/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 94;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 91,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 90,
  Feature_HasVendorXqcislsBit = 87,
  Feature_HasVendorXqciaBit = 88,
  Feature_HasVendorXqciintBit = 89,
  Feature_HasVendorXqciliaBit = 85,
  Feature_HasVendorXqciloBit = 86,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 93,
  Feature_HwMode0Bit = 92,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9926,
  GICXXPred_MI_Predicate_anonymous_9928,
  GICXXPred_MI_Predicate_anonymous_10016,
  GICXXPred_MI_Predicate_anonymous_10030,
  GICXXPred_MI_Predicate_anonymous_10034,
  GICXXPred_MI_Predicate_anonymous_10036,
  GICXXPred_MI_Predicate_anonymous_10038,
  GICXXPred_MI_Predicate_anonymous_10040,
  GICXXPred_MI_Predicate_anonymous_10043,
  GICXXPred_MI_Predicate_anonymous_10045,
  GICXXPred_MI_Predicate_anonymous_10058,
  GICXXPred_MI_Predicate_anonymous_10070,
  GICXXPred_MI_Predicate_anonymous_11203,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9926: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9928: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10016: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10030: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10034: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10036: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10038: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10040: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10043: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10045: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10058: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10070: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11203: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(331), /*)*//*default:*//*Label 123*/ GIMT_Encode4(2431261),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1122),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(56953),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(76186),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(103240),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(105974),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(108708),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(111487), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(114221),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(123665),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(136286), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(151193), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(151254), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(151315), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(151406), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(151773),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(151971),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(152169),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(152749),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(152959),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(153157),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(153196),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(153235),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(163415),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(165385), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(166875), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(174977),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(179863),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(182773), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(185683),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(188593),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(189505),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(192415),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(195325),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(198235),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(201145),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(204055), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     294 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(206965), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     314 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(207183),
     /*     318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2192570), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     330 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2194086), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     354 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2197207),
     /*     358 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2200682),
     /*     362 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2201231),
     /*     366 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2204918),
     /*     370 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2213514),
     /*     374 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2216545), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     386 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2219484),
     /*     390 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2222424),
     /*     394 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2225334),
     /*     398 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2251997), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     410 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2259459), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     454 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2263851),
     /*     458 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2266585),
     /*     462 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2269319),
     /*     466 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2272172),
     /*     470 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2275025),
     /*     474 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2277878),
     /*     478 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2280731),
     /*     482 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2280789), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     518 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2280847),
     /*     522 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2283275),
     /*     526 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2285703),
     /*     530 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2288131), GIMT_Encode4(0),
     /*     538 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2304776), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     586 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2307204),
     /*     590 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2309175),
     /*     594 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2309628),
     /*     598 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2311164),
     /*     602 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2316050),
     /*     606 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2320936),
     /*     610 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2326222), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     622 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2331508),
     /*     626 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2333479), GIMT_Encode4(0),
     /*     634 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2339541),
     /*     638 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2339731),
     /*     642 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2341816), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     654 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2343901),
     /*     658 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2344027), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     694 */ /*TargetOpcode::G_SMIN*//*Label 78*/ GIMT_Encode4(2344153),
     /*     698 */ /*TargetOpcode::G_SMAX*//*Label 79*/ GIMT_Encode4(2346929),
     /*     702 */ /*TargetOpcode::G_UMIN*//*Label 80*/ GIMT_Encode4(2349705),
     /*     706 */ /*TargetOpcode::G_UMAX*//*Label 81*/ GIMT_Encode4(2352481),
     /*     710 */ /*TargetOpcode::G_ABS*//*Label 82*/ GIMT_Encode4(2355257),
     /*     714 */ /*TargetOpcode::G_LROUND*//*Label 83*/ GIMT_Encode4(2355415),
     /*     718 */ /*TargetOpcode::G_LLROUND*//*Label 84*/ GIMT_Encode4(2355995),
     /*     722 */ /*TargetOpcode::G_BR*//*Label 85*/ GIMT_Encode4(2356205), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTTZ*//*Label 86*/ GIMT_Encode4(2356221), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTLZ*//*Label 87*/ GIMT_Encode4(2358741), GIMT_Encode4(0),
     /*     782 */ /*TargetOpcode::G_CTPOP*//*Label 88*/ GIMT_Encode4(2361399),
     /*     786 */ /*TargetOpcode::G_BSWAP*//*Label 89*/ GIMT_Encode4(2363950),
     /*     790 */ /*TargetOpcode::G_BITREVERSE*//*Label 90*/ GIMT_Encode4(2366485),
     /*     794 */ /*TargetOpcode::G_FCEIL*//*Label 91*/ GIMT_Encode4(2368979), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     842 */ /*TargetOpcode::G_FSQRT*//*Label 92*/ GIMT_Encode4(2369177),
     /*     846 */ /*TargetOpcode::G_FFLOOR*//*Label 93*/ GIMT_Encode4(2371353),
     /*     850 */ /*TargetOpcode::G_FRINT*//*Label 94*/ GIMT_Encode4(2371551),
     /*     854 */ /*TargetOpcode::G_FNEARBYINT*//*Label 95*/ GIMT_Encode4(2371749), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     882 */ /*TargetOpcode::G_STRICT_FADD*//*Label 96*/ GIMT_Encode4(2371947),
     /*     886 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 97*/ GIMT_Encode4(2374375),
     /*     890 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 98*/ GIMT_Encode4(2376803),
     /*     894 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 99*/ GIMT_Encode4(2379231), GIMT_Encode4(0),
     /*     902 */ /*TargetOpcode::G_STRICT_FMA*//*Label 100*/ GIMT_Encode4(2381659),
     /*     906 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 101*/ GIMT_Encode4(2398304), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     942 */ /*TargetOpcode::G_TRAP*//*Label 102*/ GIMT_Encode4(2400480),
     /*     946 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 103*/ GIMT_Encode4(2400493), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1042 */ /*RISCV::G_CLZW*//*Label 104*/ GIMT_Encode4(2400506),
     /*    1046 */ /*RISCV::G_CTZW*//*Label 105*/ GIMT_Encode4(2400601),
     /*    1050 */ /*RISCV::G_DIVUW*//*Label 106*/ GIMT_Encode4(2400631),
     /*    1054 */ /*RISCV::G_DIVW*//*Label 107*/ GIMT_Encode4(2400668),
     /*    1058 */ /*RISCV::G_FCLASS*//*Label 108*/ GIMT_Encode4(2400705),
     /*    1062 */ /*RISCV::G_FCVT_WU_RV64*//*Label 109*/ GIMT_Encode4(2401065),
     /*    1066 */ /*RISCV::G_FCVT_W_RV64*//*Label 110*/ GIMT_Encode4(2401263),
     /*    1070 */ /*RISCV::G_READ_VLENB*//*Label 111*/ GIMT_Encode4(2401461),
     /*    1074 */ /*RISCV::G_REMUW*//*Label 112*/ GIMT_Encode4(2401521),
     /*    1078 */ /*RISCV::G_ROLW*//*Label 113*/ GIMT_Encode4(2401558),
     /*    1082 */ /*RISCV::G_RORW*//*Label 114*/ GIMT_Encode4(2401683),
     /*    1086 */ /*RISCV::G_SLLW*//*Label 115*/ GIMT_Encode4(2401804), GIMT_Encode4(0),
     /*    1094 */ /*RISCV::G_SRAW*//*Label 116*/ GIMT_Encode4(2401851),
     /*    1098 */ /*RISCV::G_SRLW*//*Label 117*/ GIMT_Encode4(2401898),
     /*    1102 */ /*RISCV::G_VMCLR_VL*//*Label 118*/ GIMT_Encode4(2401945),
     /*    1106 */ /*RISCV::G_VMSET_VL*//*Label 119*/ GIMT_Encode4(2402594),
     /*    1110 */ /*RISCV::G_VMV_V_V_VL*//*Label 120*/ GIMT_Encode4(2403243),
     /*    1114 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 121*/ GIMT_Encode4(2407501),
     /*    1118 */ /*RISCV::G_VSLIDEUP_VL*//*Label 122*/ GIMT_Encode4(2419381),
     /*    1122 */ // Label 0: @1122
     /*    1122 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 148*/ GIMT_Encode4(56952),
     /*    1133 */ /*GILLT_s32*//*Label 124*/ GIMT_Encode4(1257),
     /*    1137 */ /*GILLT_s64*//*Label 125*/ GIMT_Encode4(2826), GIMT_Encode4(0),
     /*    1145 */ /*GILLT_nxv1s8*//*Label 126*/ GIMT_Encode4(7312),
     /*    1149 */ /*GILLT_nxv1s16*//*Label 127*/ GIMT_Encode4(7707),
     /*    1153 */ /*GILLT_nxv1s32*//*Label 128*/ GIMT_Encode4(10832),
     /*    1157 */ /*GILLT_nxv1s64*//*Label 129*/ GIMT_Encode4(13957), GIMT_Encode4(0),
     /*    1165 */ /*GILLT_nxv2s8*//*Label 130*/ GIMT_Encode4(17082),
     /*    1169 */ /*GILLT_nxv2s16*//*Label 131*/ GIMT_Encode4(17477),
     /*    1173 */ /*GILLT_nxv2s32*//*Label 132*/ GIMT_Encode4(20602),
     /*    1177 */ /*GILLT_nxv2s64*//*Label 133*/ GIMT_Encode4(23727), GIMT_Encode4(0),
     /*    1185 */ /*GILLT_nxv4s8*//*Label 134*/ GIMT_Encode4(26852),
     /*    1189 */ /*GILLT_nxv4s16*//*Label 135*/ GIMT_Encode4(27247),
     /*    1193 */ /*GILLT_nxv4s32*//*Label 136*/ GIMT_Encode4(30372),
     /*    1197 */ /*GILLT_nxv4s64*//*Label 137*/ GIMT_Encode4(33497), GIMT_Encode4(0),
     /*    1205 */ /*GILLT_nxv8s8*//*Label 138*/ GIMT_Encode4(36622),
     /*    1209 */ /*GILLT_nxv8s16*//*Label 139*/ GIMT_Encode4(37017),
     /*    1213 */ /*GILLT_nxv8s32*//*Label 140*/ GIMT_Encode4(40142),
     /*    1217 */ /*GILLT_nxv8s64*//*Label 141*/ GIMT_Encode4(43267), GIMT_Encode4(0),
     /*    1225 */ /*GILLT_nxv16s8*//*Label 142*/ GIMT_Encode4(46392),
     /*    1229 */ /*GILLT_nxv16s16*//*Label 143*/ GIMT_Encode4(46787),
     /*    1233 */ /*GILLT_nxv16s32*//*Label 144*/ GIMT_Encode4(49912), GIMT_Encode4(0),
     /*    1241 */ /*GILLT_nxv32s8*//*Label 145*/ GIMT_Encode4(53037),
     /*    1245 */ /*GILLT_nxv32s16*//*Label 146*/ GIMT_Encode4(53432), GIMT_Encode4(0),
     /*    1253 */ /*GILLT_nxv64s8*//*Label 147*/ GIMT_Encode4(56557),
     /*    1257 */ // Label 124: @1257
     /*    1257 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2825),
     /*    1262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1268 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1316), // Rule ID 2460 //
     /*    1273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1280 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1284 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1292 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1303 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1308 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1314 */     GIR_RootConstrainSelectedInstOperands,
     /*    1315 */     // GIR_Coverage, 2460,
     /*    1315 */     GIR_EraseRootFromParent_Done,
     /*    1316 */   // Label 150: @1316
     /*    1316 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1364), // Rule ID 2470 //
     /*    1321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1328 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1332 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1351 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1356 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1362 */     GIR_RootConstrainSelectedInstOperands,
     /*    1363 */     // GIR_Coverage, 2470,
     /*    1363 */     GIR_EraseRootFromParent_Done,
     /*    1364 */   // Label 151: @1364
     /*    1364 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1412), // Rule ID 2480 //
     /*    1369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1376 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1380 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1388 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1399 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1410 */     GIR_RootConstrainSelectedInstOperands,
     /*    1411 */     // GIR_Coverage, 2480,
     /*    1411 */     GIR_EraseRootFromParent_Done,
     /*    1412 */   // Label 152: @1412
     /*    1412 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1463), // Rule ID 62446 //
     /*    1417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1424 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1428 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1436 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1447 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1454 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1461 */     GIR_RootConstrainSelectedInstOperands,
     /*    1462 */     // GIR_Coverage, 62446,
     /*    1462 */     GIR_EraseRootFromParent_Done,
     /*    1463 */   // Label 153: @1463
     /*    1463 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1514), // Rule ID 62450 //
     /*    1468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1475 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1479 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1487 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1498 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1505 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1512 */     GIR_RootConstrainSelectedInstOperands,
     /*    1513 */     // GIR_Coverage, 62450,
     /*    1513 */     GIR_EraseRootFromParent_Done,
     /*    1514 */   // Label 154: @1514
     /*    1514 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1565), // Rule ID 62454 //
     /*    1519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1526 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1530 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1549 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1556 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1563 */     GIR_RootConstrainSelectedInstOperands,
     /*    1564 */     // GIR_Coverage, 62454,
     /*    1564 */     GIR_EraseRootFromParent_Done,
     /*    1565 */   // Label 155: @1565
     /*    1565 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1613), // Rule ID 65114 //
     /*    1570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1585 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1589 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1600 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1605 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1611 */     GIR_RootConstrainSelectedInstOperands,
     /*    1612 */     // GIR_Coverage, 65114,
     /*    1612 */     GIR_EraseRootFromParent_Done,
     /*    1613 */   // Label 156: @1613
     /*    1613 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1661), // Rule ID 65122 //
     /*    1618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1633 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1648 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1653 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1659 */     GIR_RootConstrainSelectedInstOperands,
     /*    1660 */     // GIR_Coverage, 65122,
     /*    1660 */     GIR_EraseRootFromParent_Done,
     /*    1661 */   // Label 157: @1661
     /*    1661 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1709), // Rule ID 65130 //
     /*    1666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1681 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1696 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1701 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1707 */     GIR_RootConstrainSelectedInstOperands,
     /*    1708 */     // GIR_Coverage, 65130,
     /*    1708 */     GIR_EraseRootFromParent_Done,
     /*    1709 */   // Label 158: @1709
     /*    1709 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1760), // Rule ID 73938 //
     /*    1714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1729 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1733 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1744 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1751 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1758 */     GIR_RootConstrainSelectedInstOperands,
     /*    1759 */     // GIR_Coverage, 73938,
     /*    1759 */     GIR_EraseRootFromParent_Done,
     /*    1760 */   // Label 159: @1760
     /*    1760 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1811), // Rule ID 73942 //
     /*    1765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1780 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1784 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1795 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1802 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1809 */     GIR_RootConstrainSelectedInstOperands,
     /*    1810 */     // GIR_Coverage, 73942,
     /*    1810 */     GIR_EraseRootFromParent_Done,
     /*    1811 */   // Label 160: @1811
     /*    1811 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1862), // Rule ID 73946 //
     /*    1816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1831 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1835 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1846 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1853 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1860 */     GIR_RootConstrainSelectedInstOperands,
     /*    1861 */     // GIR_Coverage, 73946,
     /*    1861 */     GIR_EraseRootFromParent_Done,
     /*    1862 */   // Label 161: @1862
     /*    1862 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1930), // Rule ID 2454 //
     /*    1867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1874 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1899 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1903 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1911 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1917 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1928 */     GIR_RootConstrainSelectedInstOperands,
     /*    1929 */     // GIR_Coverage, 2454,
     /*    1929 */     GIR_EraseRootFromParent_Done,
     /*    1930 */   // Label 162: @1930
     /*    1930 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1998), // Rule ID 2464 //
     /*    1935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1942 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1967 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1971 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1979 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1985 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1996 */     GIR_RootConstrainSelectedInstOperands,
     /*    1997 */     // GIR_Coverage, 2464,
     /*    1997 */     GIR_EraseRootFromParent_Done,
     /*    1998 */   // Label 163: @1998
     /*    1998 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2066), // Rule ID 2474 //
     /*    2003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2010 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2035 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2039 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2047 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2053 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2064 */     GIR_RootConstrainSelectedInstOperands,
     /*    2065 */     // GIR_Coverage, 2474,
     /*    2065 */     GIR_EraseRootFromParent_Done,
     /*    2066 */   // Label 164: @2066
     /*    2066 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2134), // Rule ID 65110 //
     /*    2071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2086 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2111 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2115 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2121 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2132 */     GIR_RootConstrainSelectedInstOperands,
     /*    2133 */     // GIR_Coverage, 65110,
     /*    2133 */     GIR_EraseRootFromParent_Done,
     /*    2134 */   // Label 165: @2134
     /*    2134 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2202), // Rule ID 65118 //
     /*    2139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2154 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2179 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2183 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2189 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2200 */     GIR_RootConstrainSelectedInstOperands,
     /*    2201 */     // GIR_Coverage, 65118,
     /*    2201 */     GIR_EraseRootFromParent_Done,
     /*    2202 */   // Label 166: @2202
     /*    2202 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2270), // Rule ID 65126 //
     /*    2207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2222 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2247 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2251 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2257 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2268 */     GIR_RootConstrainSelectedInstOperands,
     /*    2269 */     // GIR_Coverage, 65126,
     /*    2269 */     GIR_EraseRootFromParent_Done,
     /*    2270 */   // Label 167: @2270
     /*    2270 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2349), // Rule ID 62440 //
     /*    2275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2282 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2315 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2319 */     // MIs[2] Operand 1
     /*    2319 */     // No operand predicates
     /*    2319 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2333 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2347 */     GIR_RootConstrainSelectedInstOperands,
     /*    2348 */     // GIR_Coverage, 62440,
     /*    2348 */     GIR_EraseRootFromParent_Done,
     /*    2349 */   // Label 168: @2349
     /*    2349 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2428), // Rule ID 73934 //
     /*    2354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2369 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2402 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2406 */     // MIs[2] Operand 1
     /*    2406 */     // No operand predicates
     /*    2406 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2412 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2426 */     GIR_RootConstrainSelectedInstOperands,
     /*    2427 */     // GIR_Coverage, 73934,
     /*    2427 */     GIR_EraseRootFromParent_Done,
     /*    2428 */   // Label 169: @2428
     /*    2428 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2477), // Rule ID 115 //
     /*    2433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2448 */     // MIs[1] Operand 1
     /*    2448 */     // No operand predicates
     /*    2448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2456 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2460 */     // MIs[2] Operand 1
     /*    2460 */     // No operand predicates
     /*    2460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2462 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2467 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2475 */     GIR_RootConstrainSelectedInstOperands,
     /*    2476 */     // GIR_Coverage, 115,
     /*    2476 */     GIR_EraseRootFromParent_Done,
     /*    2477 */   // Label 170: @2477
     /*    2477 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2519), // Rule ID 75 //
     /*    2482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2505 */     // MIs[1] Operand 1
     /*    2505 */     // No operand predicates
     /*    2505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2507 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2517 */     GIR_RootConstrainSelectedInstOperands,
     /*    2518 */     // GIR_Coverage, 75,
     /*    2518 */     GIR_EraseRootFromParent_Done,
     /*    2519 */   // Label 171: @2519
     /*    2519 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2591), // Rule ID 286 //
     /*    2524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2547 */     // MIs[1] Operand 1
     /*    2547 */     // No operand predicates
     /*    2547 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10058),
     /*    2551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2553 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10058>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2569 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2584 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2589 */     GIR_RootConstrainSelectedInstOperands,
     /*    2590 */     // GIR_Coverage, 286,
     /*    2590 */     GIR_EraseRootFromParent_Done,
     /*    2591 */   // Label 172: @2591
     /*    2591 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2633), // Rule ID 64439 //
     /*    2596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    2619 */     // MIs[1] Operand 1
     /*    2619 */     // No operand predicates
     /*    2619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2621 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    2621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    2624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2631 */     GIR_RootConstrainSelectedInstOperands,
     /*    2632 */     // GIR_Coverage, 64439,
     /*    2632 */     GIR_EraseRootFromParent_Done,
     /*    2633 */   // Label 173: @2633
     /*    2633 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2675), // Rule ID 64443 //
     /*    2638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    2661 */     // MIs[1] Operand 1
     /*    2661 */     // No operand predicates
     /*    2661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2663 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    2663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    2666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2673 */     GIR_RootConstrainSelectedInstOperands,
     /*    2674 */     // GIR_Coverage, 64443,
     /*    2674 */     GIR_EraseRootFromParent_Done,
     /*    2675 */   // Label 174: @2675
     /*    2675 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2736), // Rule ID 73948 //
     /*    2680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2719 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2734 */     GIR_RootConstrainSelectedInstOperands,
     /*    2735 */     // GIR_Coverage, 73948,
     /*    2735 */     GIR_EraseRootFromParent_Done,
     /*    2736 */   // Label 175: @2736
     /*    2736 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2797), // Rule ID 62508 //
     /*    2741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2780 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2795 */     GIR_RootConstrainSelectedInstOperands,
     /*    2796 */     // GIR_Coverage, 62508,
     /*    2796 */     GIR_EraseRootFromParent_Done,
     /*    2797 */   // Label 176: @2797
     /*    2797 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2824), // Rule ID 73 //
     /*    2802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2817 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2822 */     GIR_RootConstrainSelectedInstOperands,
     /*    2823 */     // GIR_Coverage, 73,
     /*    2823 */     GIR_Done,
     /*    2824 */   // Label 177: @2824
     /*    2824 */   GIM_Reject,
     /*    2825 */ // Label 149: @2825
     /*    2825 */ GIM_Reject,
     /*    2826 */ // Label 125: @2826
     /*    2826 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(7311),
     /*    2831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2837 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2932), // Rule ID 2504 //
     /*    2842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2849 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2881 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2890 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2894 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2905 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2913 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2919 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2930 */     GIR_RootConstrainSelectedInstOperands,
     /*    2931 */     // GIR_Coverage, 2504,
     /*    2931 */     GIR_EraseRootFromParent_Done,
     /*    2932 */   // Label 179: @2932
     /*    2932 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3027), // Rule ID 2506 //
     /*    2937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2944 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2976 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2980 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2985 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2989 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3000 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    3004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3008 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3014 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3025 */     GIR_RootConstrainSelectedInstOperands,
     /*    3026 */     // GIR_Coverage, 2506,
     /*    3026 */     GIR_EraseRootFromParent_Done,
     /*    3027 */   // Label 180: @3027
     /*    3027 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3122), // Rule ID 2508 //
     /*    3032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3039 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    3043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3071 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3080 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3084 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3095 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3103 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3109 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3120 */     GIR_RootConstrainSelectedInstOperands,
     /*    3121 */     // GIR_Coverage, 2508,
     /*    3121 */     GIR_EraseRootFromParent_Done,
     /*    3122 */   // Label 181: @3122
     /*    3122 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3217), // Rule ID 2495 //
     /*    3127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3134 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3175 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3186 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3190 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3198 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3204 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3215 */     GIR_RootConstrainSelectedInstOperands,
     /*    3216 */     // GIR_Coverage, 2495,
     /*    3216 */     GIR_EraseRootFromParent_Done,
     /*    3217 */   // Label 182: @3217
     /*    3217 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3312), // Rule ID 2498 //
     /*    3222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3229 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3261 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3270 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3281 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3285 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3293 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3299 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3310 */     GIR_RootConstrainSelectedInstOperands,
     /*    3311 */     // GIR_Coverage, 2498,
     /*    3311 */     GIR_EraseRootFromParent_Done,
     /*    3312 */   // Label 183: @3312
     /*    3312 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3407), // Rule ID 2501 //
     /*    3317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3356 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3365 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3376 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3380 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3388 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3394 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3405 */     GIR_RootConstrainSelectedInstOperands,
     /*    3406 */     // GIR_Coverage, 2501,
     /*    3406 */     GIR_EraseRootFromParent_Done,
     /*    3407 */   // Label 184: @3407
     /*    3407 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3502), // Rule ID 65140 //
     /*    3412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3419 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3427 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3468 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3472 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3483 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3489 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3500 */     GIR_RootConstrainSelectedInstOperands,
     /*    3501 */     // GIR_Coverage, 65140,
     /*    3501 */     GIR_EraseRootFromParent_Done,
     /*    3502 */   // Label 185: @3502
     /*    3502 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3597), // Rule ID 65142 //
     /*    3507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3554 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3563 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3567 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3584 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3595 */     GIR_RootConstrainSelectedInstOperands,
     /*    3596 */     // GIR_Coverage, 65142,
     /*    3596 */     GIR_EraseRootFromParent_Done,
     /*    3597 */   // Label 186: @3597
     /*    3597 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3692), // Rule ID 65144 //
     /*    3602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3649 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3658 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3662 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3673 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3679 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3690 */     GIR_RootConstrainSelectedInstOperands,
     /*    3691 */     // GIR_Coverage, 65144,
     /*    3691 */     GIR_EraseRootFromParent_Done,
     /*    3692 */   // Label 187: @3692
     /*    3692 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3787), // Rule ID 65134 //
     /*    3697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3712 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3744 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3753 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3764 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3768 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3774 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3785 */     GIR_RootConstrainSelectedInstOperands,
     /*    3786 */     // GIR_Coverage, 65134,
     /*    3786 */     GIR_EraseRootFromParent_Done,
     /*    3787 */   // Label 188: @3787
     /*    3787 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3882), // Rule ID 65136 //
     /*    3792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3807 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3839 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3848 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3859 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3863 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3869 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3880 */     GIR_RootConstrainSelectedInstOperands,
     /*    3881 */     // GIR_Coverage, 65136,
     /*    3881 */     GIR_EraseRootFromParent_Done,
     /*    3882 */   // Label 189: @3882
     /*    3882 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3977), // Rule ID 65138 //
     /*    3887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3902 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3934 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3943 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3954 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3958 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3964 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3975 */     GIR_RootConstrainSelectedInstOperands,
     /*    3976 */     // GIR_Coverage, 65138,
     /*    3976 */     GIR_EraseRootFromParent_Done,
     /*    3977 */   // Label 190: @3977
     /*    3977 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4025), // Rule ID 2459 //
     /*    3982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3989 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3993 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4001 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4012 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4017 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4023 */     GIR_RootConstrainSelectedInstOperands,
     /*    4024 */     // GIR_Coverage, 2459,
     /*    4024 */     GIR_EraseRootFromParent_Done,
     /*    4025 */   // Label 191: @4025
     /*    4025 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4073), // Rule ID 2469 //
     /*    4030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4037 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    4041 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    4045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4049 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4060 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4065 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4071 */     GIR_RootConstrainSelectedInstOperands,
     /*    4072 */     // GIR_Coverage, 2469,
     /*    4072 */     GIR_EraseRootFromParent_Done,
     /*    4073 */   // Label 192: @4073
     /*    4073 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4121), // Rule ID 2479 //
     /*    4078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4085 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    4089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4097 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4108 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4113 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4119 */     GIR_RootConstrainSelectedInstOperands,
     /*    4120 */     // GIR_Coverage, 2479,
     /*    4120 */     GIR_EraseRootFromParent_Done,
     /*    4121 */   // Label 193: @4121
     /*    4121 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4169), // Rule ID 2510 //
     /*    4126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4133 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4137 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4145 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4156 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4161 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4167 */     GIR_RootConstrainSelectedInstOperands,
     /*    4168 */     // GIR_Coverage, 2510,
     /*    4168 */     GIR_EraseRootFromParent_Done,
     /*    4169 */   // Label 194: @4169
     /*    4169 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4217), // Rule ID 2512 //
     /*    4174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4181 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4185 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4193 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4204 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4209 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4215 */     GIR_RootConstrainSelectedInstOperands,
     /*    4216 */     // GIR_Coverage, 2512,
     /*    4216 */     GIR_EraseRootFromParent_Done,
     /*    4217 */   // Label 195: @4217
     /*    4217 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4265), // Rule ID 2514 //
     /*    4222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4229 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4233 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4241 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4252 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4257 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4263 */     GIR_RootConstrainSelectedInstOperands,
     /*    4264 */     // GIR_Coverage, 2514,
     /*    4264 */     GIR_EraseRootFromParent_Done,
     /*    4265 */   // Label 196: @4265
     /*    4265 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4316), // Rule ID 62445 //
     /*    4270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4277 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4281 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4289 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4300 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4307 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4314 */     GIR_RootConstrainSelectedInstOperands,
     /*    4315 */     // GIR_Coverage, 62445,
     /*    4315 */     GIR_EraseRootFromParent_Done,
     /*    4316 */   // Label 197: @4316
     /*    4316 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4367), // Rule ID 62449 //
     /*    4321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4328 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4332 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4351 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4358 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4365 */     GIR_RootConstrainSelectedInstOperands,
     /*    4366 */     // GIR_Coverage, 62449,
     /*    4366 */     GIR_EraseRootFromParent_Done,
     /*    4367 */   // Label 198: @4367
     /*    4367 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4418), // Rule ID 62453 //
     /*    4372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4379 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4383 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4402 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4416 */     GIR_RootConstrainSelectedInstOperands,
     /*    4417 */     // GIR_Coverage, 62453,
     /*    4417 */     GIR_EraseRootFromParent_Done,
     /*    4418 */   // Label 199: @4418
     /*    4418 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4466), // Rule ID 65113 //
     /*    4423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4438 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4442 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4453 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4458 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4464 */     GIR_RootConstrainSelectedInstOperands,
     /*    4465 */     // GIR_Coverage, 65113,
     /*    4465 */     GIR_EraseRootFromParent_Done,
     /*    4466 */   // Label 200: @4466
     /*    4466 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4514), // Rule ID 65121 //
     /*    4471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4486 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4501 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4506 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4512 */     GIR_RootConstrainSelectedInstOperands,
     /*    4513 */     // GIR_Coverage, 65121,
     /*    4513 */     GIR_EraseRootFromParent_Done,
     /*    4514 */   // Label 201: @4514
     /*    4514 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4562), // Rule ID 65129 //
     /*    4519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4526 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4534 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4549 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4554 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4560 */     GIR_RootConstrainSelectedInstOperands,
     /*    4561 */     // GIR_Coverage, 65129,
     /*    4561 */     GIR_EraseRootFromParent_Done,
     /*    4562 */   // Label 202: @4562
     /*    4562 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4610), // Rule ID 65146 //
     /*    4567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4574 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4582 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4586 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4597 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4602 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4608 */     GIR_RootConstrainSelectedInstOperands,
     /*    4609 */     // GIR_Coverage, 65146,
     /*    4609 */     GIR_EraseRootFromParent_Done,
     /*    4610 */   // Label 203: @4610
     /*    4610 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4658), // Rule ID 65148 //
     /*    4615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4630 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4634 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4645 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4650 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4656 */     GIR_RootConstrainSelectedInstOperands,
     /*    4657 */     // GIR_Coverage, 65148,
     /*    4657 */     GIR_EraseRootFromParent_Done,
     /*    4658 */   // Label 204: @4658
     /*    4658 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4706), // Rule ID 65150 //
     /*    4663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4670 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4678 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4682 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4693 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4698 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4704 */     GIR_RootConstrainSelectedInstOperands,
     /*    4705 */     // GIR_Coverage, 65150,
     /*    4705 */     GIR_EraseRootFromParent_Done,
     /*    4706 */   // Label 205: @4706
     /*    4706 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4757), // Rule ID 73937 //
     /*    4711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4718 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4726 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4730 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4741 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4748 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4755 */     GIR_RootConstrainSelectedInstOperands,
     /*    4756 */     // GIR_Coverage, 73937,
     /*    4756 */     GIR_EraseRootFromParent_Done,
     /*    4757 */   // Label 206: @4757
     /*    4757 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4808), // Rule ID 73941 //
     /*    4762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4769 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4777 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4781 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4792 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4806 */     GIR_RootConstrainSelectedInstOperands,
     /*    4807 */     // GIR_Coverage, 73941,
     /*    4807 */     GIR_EraseRootFromParent_Done,
     /*    4808 */   // Label 207: @4808
     /*    4808 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(4859), // Rule ID 73945 //
     /*    4813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4820 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4828 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4832 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4843 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4850 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4857 */     GIR_RootConstrainSelectedInstOperands,
     /*    4858 */     // GIR_Coverage, 73945,
     /*    4858 */     GIR_EraseRootFromParent_Done,
     /*    4859 */   // Label 208: @4859
     /*    4859 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(4934), // Rule ID 2492 //
     /*    4864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4871 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4896 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4907 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4915 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4921 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4932 */     GIR_RootConstrainSelectedInstOperands,
     /*    4933 */     // GIR_Coverage, 2492,
     /*    4933 */     GIR_EraseRootFromParent_Done,
     /*    4934 */   // Label 209: @4934
     /*    4934 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5029), // Rule ID 2516 //
     /*    4939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4946 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4971 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4982 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4990 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4996 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5012 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5027 */     GIR_RootConstrainSelectedInstOperands,
     /*    5028 */     // GIR_Coverage, 2516,
     /*    5028 */     GIR_EraseRootFromParent_Done,
     /*    5029 */   // Label 210: @5029
     /*    5029 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5124), // Rule ID 2518 //
     /*    5034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5041 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    5045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5066 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5077 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    5081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5085 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5091 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5107 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5122 */     GIR_RootConstrainSelectedInstOperands,
     /*    5123 */     // GIR_Coverage, 2518,
     /*    5123 */     GIR_EraseRootFromParent_Done,
     /*    5124 */   // Label 211: @5124
     /*    5124 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5219), // Rule ID 2520 //
     /*    5129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5136 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5161 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5172 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5186 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5202 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5217 */     GIR_RootConstrainSelectedInstOperands,
     /*    5218 */     // GIR_Coverage, 2520,
     /*    5218 */     GIR_EraseRootFromParent_Done,
     /*    5219 */   // Label 212: @5219
     /*    5219 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5314), // Rule ID 2522 //
     /*    5224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5231 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5256 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5267 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5281 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5297 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5312 */     GIR_RootConstrainSelectedInstOperands,
     /*    5313 */     // GIR_Coverage, 2522,
     /*    5313 */     GIR_EraseRootFromParent_Done,
     /*    5314 */   // Label 213: @5314
     /*    5314 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5409), // Rule ID 2524 //
     /*    5319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5326 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5351 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5362 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5370 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5376 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5407 */     GIR_RootConstrainSelectedInstOperands,
     /*    5408 */     // GIR_Coverage, 2524,
     /*    5408 */     GIR_EraseRootFromParent_Done,
     /*    5409 */   // Label 214: @5409
     /*    5409 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5504), // Rule ID 2526 //
     /*    5414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5421 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5446 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5457 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5471 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5487 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5502 */     GIR_RootConstrainSelectedInstOperands,
     /*    5503 */     // GIR_Coverage, 2526,
     /*    5503 */     GIR_EraseRootFromParent_Done,
     /*    5504 */   // Label 215: @5504
     /*    5504 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5572), // Rule ID 2453 //
     /*    5509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5516 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5541 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5545 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5553 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5559 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5570 */     GIR_RootConstrainSelectedInstOperands,
     /*    5571 */     // GIR_Coverage, 2453,
     /*    5571 */     GIR_EraseRootFromParent_Done,
     /*    5572 */   // Label 216: @5572
     /*    5572 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5640), // Rule ID 2463 //
     /*    5577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5584 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5609 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5613 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5621 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5627 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5638 */     GIR_RootConstrainSelectedInstOperands,
     /*    5639 */     // GIR_Coverage, 2463,
     /*    5639 */     GIR_EraseRootFromParent_Done,
     /*    5640 */   // Label 217: @5640
     /*    5640 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5708), // Rule ID 2473 //
     /*    5645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5652 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5677 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5681 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5695 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5706 */     GIR_RootConstrainSelectedInstOperands,
     /*    5707 */     // GIR_Coverage, 2473,
     /*    5707 */     GIR_EraseRootFromParent_Done,
     /*    5708 */   // Label 218: @5708
     /*    5708 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5783), // Rule ID 65132 //
     /*    5713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5720 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5728 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5753 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5764 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5770 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5781 */     GIR_RootConstrainSelectedInstOperands,
     /*    5782 */     // GIR_Coverage, 65132,
     /*    5782 */     GIR_EraseRootFromParent_Done,
     /*    5783 */   // Label 219: @5783
     /*    5783 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5878), // Rule ID 65152 //
     /*    5788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5795 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5803 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5828 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5839 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5845 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5861 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5876 */     GIR_RootConstrainSelectedInstOperands,
     /*    5877 */     // GIR_Coverage, 65152,
     /*    5877 */     GIR_EraseRootFromParent_Done,
     /*    5878 */   // Label 220: @5878
     /*    5878 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5973), // Rule ID 65154 //
     /*    5883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5898 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5923 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5934 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5940 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5956 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5971 */     GIR_RootConstrainSelectedInstOperands,
     /*    5972 */     // GIR_Coverage, 65154,
     /*    5972 */     GIR_EraseRootFromParent_Done,
     /*    5973 */   // Label 221: @5973
     /*    5973 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6068), // Rule ID 65156 //
     /*    5978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5993 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6018 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    6029 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6035 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    6042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6051 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6066 */     GIR_RootConstrainSelectedInstOperands,
     /*    6067 */     // GIR_Coverage, 65156,
     /*    6067 */     GIR_EraseRootFromParent_Done,
     /*    6068 */   // Label 222: @6068
     /*    6068 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6163), // Rule ID 65158 //
     /*    6073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    6084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6088 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6113 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6124 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6130 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6146 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6161 */     GIR_RootConstrainSelectedInstOperands,
     /*    6162 */     // GIR_Coverage, 65158,
     /*    6162 */     GIR_EraseRootFromParent_Done,
     /*    6163 */   // Label 223: @6163
     /*    6163 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6258), // Rule ID 65160 //
     /*    6168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6183 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6208 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6219 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6225 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6241 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6256 */     GIR_RootConstrainSelectedInstOperands,
     /*    6257 */     // GIR_Coverage, 65160,
     /*    6257 */     GIR_EraseRootFromParent_Done,
     /*    6258 */   // Label 224: @6258
     /*    6258 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6353), // Rule ID 65162 //
     /*    6263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6278 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6303 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6314 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6320 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6332 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6336 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6351 */     GIR_RootConstrainSelectedInstOperands,
     /*    6352 */     // GIR_Coverage, 65162,
     /*    6352 */     GIR_EraseRootFromParent_Done,
     /*    6353 */   // Label 225: @6353
     /*    6353 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6421), // Rule ID 65109 //
     /*    6358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6373 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6398 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6402 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6408 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6419 */     GIR_RootConstrainSelectedInstOperands,
     /*    6420 */     // GIR_Coverage, 65109,
     /*    6420 */     GIR_EraseRootFromParent_Done,
     /*    6421 */   // Label 226: @6421
     /*    6421 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6489), // Rule ID 65117 //
     /*    6426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6433 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6441 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6466 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6470 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6476 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6487 */     GIR_RootConstrainSelectedInstOperands,
     /*    6488 */     // GIR_Coverage, 65117,
     /*    6488 */     GIR_EraseRootFromParent_Done,
     /*    6489 */   // Label 227: @6489
     /*    6489 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6557), // Rule ID 65125 //
     /*    6494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6509 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6534 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6538 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6544 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6555 */     GIR_RootConstrainSelectedInstOperands,
     /*    6556 */     // GIR_Coverage, 65125,
     /*    6556 */     GIR_EraseRootFromParent_Done,
     /*    6557 */   // Label 228: @6557
     /*    6557 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6636), // Rule ID 62439 //
     /*    6562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6602 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6606 */     // MIs[2] Operand 1
     /*    6606 */     // No operand predicates
     /*    6606 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6614 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6620 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6634 */     GIR_RootConstrainSelectedInstOperands,
     /*    6635 */     // GIR_Coverage, 62439,
     /*    6635 */     GIR_EraseRootFromParent_Done,
     /*    6636 */   // Label 229: @6636
     /*    6636 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6715), // Rule ID 73933 //
     /*    6641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6656 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6689 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6693 */     // MIs[2] Operand 1
     /*    6693 */     // No operand predicates
     /*    6693 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6699 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6713 */     GIR_RootConstrainSelectedInstOperands,
     /*    6714 */     // GIR_Coverage, 73933,
     /*    6714 */     GIR_EraseRootFromParent_Done,
     /*    6715 */   // Label 230: @6715
     /*    6715 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6764), // Rule ID 114 //
     /*    6720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6735 */     // MIs[1] Operand 1
     /*    6735 */     // No operand predicates
     /*    6735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6743 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6747 */     // MIs[2] Operand 1
     /*    6747 */     // No operand predicates
     /*    6747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6749 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6754 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6762 */     GIR_RootConstrainSelectedInstOperands,
     /*    6763 */     // GIR_Coverage, 114,
     /*    6763 */     GIR_EraseRootFromParent_Done,
     /*    6764 */   // Label 231: @6764
     /*    6764 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6810), // Rule ID 265 //
     /*    6769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6792 */     // MIs[1] Operand 1
     /*    6792 */     // No operand predicates
     /*    6792 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10030),
     /*    6796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6798 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10030>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6808 */     GIR_RootConstrainSelectedInstOperands,
     /*    6809 */     // GIR_Coverage, 265,
     /*    6809 */     GIR_EraseRootFromParent_Done,
     /*    6810 */   // Label 232: @6810
     /*    6810 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6886), // Rule ID 287 //
     /*    6815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6838 */     // MIs[1] Operand 1
     /*    6838 */     // No operand predicates
     /*    6838 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10058),
     /*    6842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10030),
     /*    6846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6848 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10058>>:$rs2)<<P:Predicate_anonymous_10030>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6864 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6879 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6884 */     GIR_RootConstrainSelectedInstOperands,
     /*    6885 */     // GIR_Coverage, 287,
     /*    6885 */     GIR_EraseRootFromParent_Done,
     /*    6886 */   // Label 233: @6886
     /*    6886 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6951), // Rule ID 73949 //
     /*    6891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6928 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10030),
     /*    6932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6934 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10030>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6949 */     GIR_RootConstrainSelectedInstOperands,
     /*    6950 */     // GIR_Coverage, 73949,
     /*    6950 */     GIR_EraseRootFromParent_Done,
     /*    6951 */   // Label 234: @6951
     /*    6951 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7016), // Rule ID 62511 //
     /*    6956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10030),
     /*    6997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6999 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10030>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    7002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7014 */     GIR_RootConstrainSelectedInstOperands,
     /*    7015 */     // GIR_Coverage, 62511,
     /*    7015 */     GIR_EraseRootFromParent_Done,
     /*    7016 */   // Label 235: @7016
     /*    7016 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7058), // Rule ID 74 //
     /*    7021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    7044 */     // MIs[1] Operand 1
     /*    7044 */     // No operand predicates
     /*    7044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7046 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    7046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    7056 */     GIR_RootConstrainSelectedInstOperands,
     /*    7057 */     // GIR_Coverage, 74,
     /*    7057 */     GIR_EraseRootFromParent_Done,
     /*    7058 */   // Label 236: @7058
     /*    7058 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7130), // Rule ID 285 //
     /*    7063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    7086 */     // MIs[1] Operand 1
     /*    7086 */     // No operand predicates
     /*    7086 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10058),
     /*    7090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7092 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10058>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7108 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7123 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7128 */     GIR_RootConstrainSelectedInstOperands,
     /*    7129 */     // GIR_Coverage, 285,
     /*    7129 */     GIR_EraseRootFromParent_Done,
     /*    7130 */   // Label 237: @7130
     /*    7130 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7191), // Rule ID 73947 //
     /*    7135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7154 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7174 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7189 */     GIR_RootConstrainSelectedInstOperands,
     /*    7190 */     // GIR_Coverage, 73947,
     /*    7190 */     GIR_EraseRootFromParent_Done,
     /*    7191 */   // Label 238: @7191
     /*    7191 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7252), // Rule ID 62507 //
     /*    7196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7235 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7250 */     GIR_RootConstrainSelectedInstOperands,
     /*    7251 */     // GIR_Coverage, 62507,
     /*    7251 */     GIR_EraseRootFromParent_Done,
     /*    7252 */   // Label 239: @7252
     /*    7252 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7283), // Rule ID 264 //
     /*    7257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7272 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10030),
     /*    7276 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10030>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7281 */     GIR_RootConstrainSelectedInstOperands,
     /*    7282 */     // GIR_Coverage, 264,
     /*    7282 */     GIR_Done,
     /*    7283 */   // Label 240: @7283
     /*    7283 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7310), // Rule ID 72 //
     /*    7288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7303 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7303 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7308 */     GIR_RootConstrainSelectedInstOperands,
     /*    7309 */     // GIR_Coverage, 72,
     /*    7309 */     GIR_Done,
     /*    7310 */   // Label 241: @7310
     /*    7310 */   GIM_Reject,
     /*    7311 */ // Label 178: @7311
     /*    7311 */ GIM_Reject,
     /*    7312 */ // Label 126: @7312
     /*    7312 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7706),
     /*    7317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7327 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7395), // Rule ID 68901 //
     /*    7332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7369 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7393 */     GIR_RootConstrainSelectedInstOperands,
     /*    7394 */     // GIR_Coverage, 68901,
     /*    7394 */     GIR_EraseRootFromParent_Done,
     /*    7395 */   // Label 243: @7395
     /*    7395 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7463), // Rule ID 68902 //
     /*    7400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7419 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7437 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7461 */     GIR_RootConstrainSelectedInstOperands,
     /*    7462 */     // GIR_Coverage, 68902,
     /*    7462 */     GIR_EraseRootFromParent_Done,
     /*    7463 */   // Label 244: @7463
     /*    7463 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7531), // Rule ID 45796 //
     /*    7468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7505 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7529 */     GIR_RootConstrainSelectedInstOperands,
     /*    7530 */     // GIR_Coverage, 45796,
     /*    7530 */     GIR_EraseRootFromParent_Done,
     /*    7531 */   // Label 245: @7531
     /*    7531 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7599), // Rule ID 45797 //
     /*    7536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7573 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7597 */     GIR_RootConstrainSelectedInstOperands,
     /*    7598 */     // GIR_Coverage, 45797,
     /*    7598 */     GIR_EraseRootFromParent_Done,
     /*    7599 */   // Label 246: @7599
     /*    7599 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7652), // Rule ID 45624 //
     /*    7604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7615 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7650 */     GIR_RootConstrainSelectedInstOperands,
     /*    7651 */     // GIR_Coverage, 45624,
     /*    7651 */     GIR_EraseRootFromParent_Done,
     /*    7652 */   // Label 247: @7652
     /*    7652 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7705), // Rule ID 45625 //
     /*    7657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7668 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7703 */     GIR_RootConstrainSelectedInstOperands,
     /*    7704 */     // GIR_Coverage, 45625,
     /*    7704 */     GIR_EraseRootFromParent_Done,
     /*    7705 */   // Label 248: @7705
     /*    7705 */   GIM_Reject,
     /*    7706 */ // Label 242: @7706
     /*    7706 */ GIM_Reject,
     /*    7707 */ // Label 127: @7707
     /*    7707 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(10831),
     /*    7712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7722 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7818), // Rule ID 68815 //
     /*    7727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7775 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7779 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7781 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7792 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7816 */     GIR_RootConstrainSelectedInstOperands,
     /*    7817 */     // GIR_Coverage, 68815,
     /*    7817 */     GIR_EraseRootFromParent_Done,
     /*    7818 */   // Label 250: @7818
     /*    7818 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7914), // Rule ID 68816 //
     /*    7823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7856 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7871 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7875 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7877 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7888 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7912 */     GIR_RootConstrainSelectedInstOperands,
     /*    7913 */     // GIR_Coverage, 68816,
     /*    7913 */     GIR_EraseRootFromParent_Done,
     /*    7914 */   // Label 251: @7914
     /*    7914 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(8010), // Rule ID 70637 //
     /*    7919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7938 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7952 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    7967 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7971 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7973 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7982 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7984 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    7987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8008 */     GIR_RootConstrainSelectedInstOperands,
     /*    8009 */     // GIR_Coverage, 70637,
     /*    8009 */     GIR_EraseRootFromParent_Done,
     /*    8010 */   // Label 252: @8010
     /*    8010 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(8106), // Rule ID 70638 //
     /*    8015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8048 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8055 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8059 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8063 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8067 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8069 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8080 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8104 */     GIR_RootConstrainSelectedInstOperands,
     /*    8105 */     // GIR_Coverage, 70638,
     /*    8105 */     GIR_EraseRootFromParent_Done,
     /*    8106 */   // Label 253: @8106
     /*    8106 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(8202), // Rule ID 70639 //
     /*    8111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8151 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8155 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8159 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8163 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8165 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8174 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8176 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8200 */     GIR_RootConstrainSelectedInstOperands,
     /*    8201 */     // GIR_Coverage, 70639,
     /*    8201 */     GIR_EraseRootFromParent_Done,
     /*    8202 */   // Label 254: @8202
     /*    8202 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8298), // Rule ID 70640 //
     /*    8207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8240 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8255 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8259 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8261 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8270 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8272 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8296 */     GIR_RootConstrainSelectedInstOperands,
     /*    8297 */     // GIR_Coverage, 70640,
     /*    8297 */     GIR_EraseRootFromParent_Done,
     /*    8298 */   // Label 255: @8298
     /*    8298 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8394), // Rule ID 70515 //
     /*    8303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8322 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8336 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8343 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8347 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8351 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8355 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8357 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8366 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8368 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8392 */     GIR_RootConstrainSelectedInstOperands,
     /*    8393 */     // GIR_Coverage, 70515,
     /*    8393 */     GIR_EraseRootFromParent_Done,
     /*    8394 */   // Label 256: @8394
     /*    8394 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8490), // Rule ID 70516 //
     /*    8399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8439 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8443 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8447 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8451 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8453 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8462 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8464 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8488 */     GIR_RootConstrainSelectedInstOperands,
     /*    8489 */     // GIR_Coverage, 70516,
     /*    8489 */     GIR_EraseRootFromParent_Done,
     /*    8490 */   // Label 257: @8490
     /*    8490 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8586), // Rule ID 45708 //
     /*    8495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8518 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8532 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8547 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8551 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8553 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8558 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8560 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8584 */     GIR_RootConstrainSelectedInstOperands,
     /*    8585 */     // GIR_Coverage, 45708,
     /*    8585 */     GIR_EraseRootFromParent_Done,
     /*    8586 */   // Label 258: @8586
     /*    8586 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8682), // Rule ID 45709 //
     /*    8591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8643 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8647 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8649 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8656 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8680 */     GIR_RootConstrainSelectedInstOperands,
     /*    8681 */     // GIR_Coverage, 45709,
     /*    8681 */     GIR_EraseRootFromParent_Done,
     /*    8682 */   // Label 259: @8682
     /*    8682 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8778), // Rule ID 52024 //
     /*    8687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8731 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8735 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8739 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8743 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8745 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8750 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8752 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8776 */     GIR_RootConstrainSelectedInstOperands,
     /*    8777 */     // GIR_Coverage, 52024,
     /*    8777 */     GIR_EraseRootFromParent_Done,
     /*    8778 */   // Label 260: @8778
     /*    8778 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8874), // Rule ID 52025 //
     /*    8783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8827 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8831 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8835 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8839 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8841 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8846 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8848 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8872 */     GIR_RootConstrainSelectedInstOperands,
     /*    8873 */     // GIR_Coverage, 52025,
     /*    8873 */     GIR_EraseRootFromParent_Done,
     /*    8874 */   // Label 261: @8874
     /*    8874 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8970), // Rule ID 70635 //
     /*    8879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8916 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8923 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8927 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8931 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8935 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8937 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8942 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8944 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8968 */     GIR_RootConstrainSelectedInstOperands,
     /*    8969 */     // GIR_Coverage, 70635,
     /*    8969 */     GIR_EraseRootFromParent_Done,
     /*    8970 */   // Label 262: @8970
     /*    8970 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(9066), // Rule ID 70636 //
     /*    8975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9027 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9031 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9033 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9038 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9040 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    9043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    9051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    9055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9064 */     GIR_RootConstrainSelectedInstOperands,
     /*    9065 */     // GIR_Coverage, 70636,
     /*    9065 */     GIR_EraseRootFromParent_Done,
     /*    9066 */   // Label 263: @9066
     /*    9066 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(9162), // Rule ID 51964 //
     /*    9071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9119 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9123 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9127 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9129 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9134 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9136 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9160 */     GIR_RootConstrainSelectedInstOperands,
     /*    9161 */     // GIR_Coverage, 51964,
     /*    9161 */     GIR_EraseRootFromParent_Done,
     /*    9162 */   // Label 264: @9162
     /*    9162 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(9258), // Rule ID 51965 //
     /*    9167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9204 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9211 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9215 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9219 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9223 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9225 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9232 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9256 */     GIR_RootConstrainSelectedInstOperands,
     /*    9257 */     // GIR_Coverage, 51965,
     /*    9257 */     GIR_EraseRootFromParent_Done,
     /*    9258 */   // Label 265: @9258
     /*    9258 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(9347), // Rule ID 46550 //
     /*    9263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9297 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9306 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9345 */     GIR_RootConstrainSelectedInstOperands,
     /*    9346 */     // GIR_Coverage, 46550,
     /*    9346 */     GIR_EraseRootFromParent_Done,
     /*    9347 */   // Label 266: @9347
     /*    9347 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9436), // Rule ID 46551 //
     /*    9352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9395 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9434 */     GIR_RootConstrainSelectedInstOperands,
     /*    9435 */     // GIR_Coverage, 46551,
     /*    9435 */     GIR_EraseRootFromParent_Done,
     /*    9436 */   // Label 267: @9436
     /*    9436 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9525), // Rule ID 45700 //
     /*    9441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9484 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9523 */     GIR_RootConstrainSelectedInstOperands,
     /*    9524 */     // GIR_Coverage, 45700,
     /*    9524 */     GIR_EraseRootFromParent_Done,
     /*    9525 */   // Label 268: @9525
     /*    9525 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9614), // Rule ID 45701 //
     /*    9530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9545 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9564 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9573 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9612 */     GIR_RootConstrainSelectedInstOperands,
     /*    9613 */     // GIR_Coverage, 45701,
     /*    9613 */     GIR_EraseRootFromParent_Done,
     /*    9614 */   // Label 269: @9614
     /*    9614 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9703), // Rule ID 46430 //
     /*    9619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9653 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9655 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9662 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9701 */     GIR_RootConstrainSelectedInstOperands,
     /*    9702 */     // GIR_Coverage, 46430,
     /*    9702 */     GIR_EraseRootFromParent_Done,
     /*    9703 */   // Label 270: @9703
     /*    9703 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9792), // Rule ID 46431 //
     /*    9708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9742 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9751 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9790 */     GIR_RootConstrainSelectedInstOperands,
     /*    9791 */     // GIR_Coverage, 46431,
     /*    9791 */     GIR_EraseRootFromParent_Done,
     /*    9792 */   // Label 271: @9792
     /*    9792 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9860), // Rule ID 70207 //
     /*    9797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9834 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*    9834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9858 */     GIR_RootConstrainSelectedInstOperands,
     /*    9859 */     // GIR_Coverage, 70207,
     /*    9859 */     GIR_EraseRootFromParent_Done,
     /*    9860 */   // Label 272: @9860
     /*    9860 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9928), // Rule ID 70208 //
     /*    9865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9902 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*    9902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9926 */     GIR_RootConstrainSelectedInstOperands,
     /*    9927 */     // GIR_Coverage, 70208,
     /*    9927 */     GIR_EraseRootFromParent_Done,
     /*    9928 */   // Label 273: @9928
     /*    9928 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9983), // Rule ID 69199 //
     /*    9933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9961 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*    9964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9981 */     GIR_RootConstrainSelectedInstOperands,
     /*    9982 */     // GIR_Coverage, 69199,
     /*    9982 */     GIR_EraseRootFromParent_Done,
     /*    9983 */   // Label 274: @9983
     /*    9983 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(10038), // Rule ID 69200 //
     /*    9988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10016 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10036 */     GIR_RootConstrainSelectedInstOperands,
     /*   10037 */     // GIR_Coverage, 69200,
     /*   10037 */     GIR_EraseRootFromParent_Done,
     /*   10038 */   // Label 275: @10038
     /*   10038 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(10093), // Rule ID 68811 //
     /*   10043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10071 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10091 */     GIR_RootConstrainSelectedInstOperands,
     /*   10092 */     // GIR_Coverage, 68811,
     /*   10092 */     GIR_EraseRootFromParent_Done,
     /*   10093 */   // Label 276: @10093
     /*   10093 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(10148), // Rule ID 68812 //
     /*   10098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10126 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10146 */     GIR_RootConstrainSelectedInstOperands,
     /*   10147 */     // GIR_Coverage, 68812,
     /*   10147 */     GIR_EraseRootFromParent_Done,
     /*   10148 */   // Label 277: @10148
     /*   10148 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10203), // Rule ID 69109 //
     /*   10153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10168 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10181 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10201 */     GIR_RootConstrainSelectedInstOperands,
     /*   10202 */     // GIR_Coverage, 69109,
     /*   10202 */     GIR_EraseRootFromParent_Done,
     /*   10203 */   // Label 278: @10203
     /*   10203 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10258), // Rule ID 69110 //
     /*   10208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10236 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10256 */     GIR_RootConstrainSelectedInstOperands,
     /*   10257 */     // GIR_Coverage, 69110,
     /*   10257 */     GIR_EraseRootFromParent_Done,
     /*   10258 */   // Label 279: @10258
     /*   10258 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10326), // Rule ID 51744 //
     /*   10263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10300 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10324 */     GIR_RootConstrainSelectedInstOperands,
     /*   10325 */     // GIR_Coverage, 51744,
     /*   10325 */     GIR_EraseRootFromParent_Done,
     /*   10326 */   // Label 280: @10326
     /*   10326 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10394), // Rule ID 51745 //
     /*   10331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10368 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   10368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10392 */     GIR_RootConstrainSelectedInstOperands,
     /*   10393 */     // GIR_Coverage, 51745,
     /*   10393 */     GIR_EraseRootFromParent_Done,
     /*   10394 */   // Label 281: @10394
     /*   10394 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10449), // Rule ID 46610 //
     /*   10399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10427 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10447 */     GIR_RootConstrainSelectedInstOperands,
     /*   10448 */     // GIR_Coverage, 46610,
     /*   10448 */     GIR_EraseRootFromParent_Done,
     /*   10449 */   // Label 282: @10449
     /*   10449 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10504), // Rule ID 46611 //
     /*   10454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10482 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10502 */     GIR_RootConstrainSelectedInstOperands,
     /*   10503 */     // GIR_Coverage, 46611,
     /*   10503 */     GIR_EraseRootFromParent_Done,
     /*   10504 */   // Label 283: @10504
     /*   10504 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10559), // Rule ID 45704 //
     /*   10509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10537 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10557 */     GIR_RootConstrainSelectedInstOperands,
     /*   10558 */     // GIR_Coverage, 45704,
     /*   10558 */     GIR_EraseRootFromParent_Done,
     /*   10559 */   // Label 284: @10559
     /*   10559 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10614), // Rule ID 45705 //
     /*   10564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10592 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10612 */     GIR_RootConstrainSelectedInstOperands,
     /*   10613 */     // GIR_Coverage, 45705,
     /*   10613 */     GIR_EraseRootFromParent_Done,
     /*   10614 */   // Label 285: @10614
     /*   10614 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10669), // Rule ID 46490 //
     /*   10619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10638 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10647 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10667 */     GIR_RootConstrainSelectedInstOperands,
     /*   10668 */     // GIR_Coverage, 46490,
     /*   10668 */     GIR_EraseRootFromParent_Done,
     /*   10669 */   // Label 286: @10669
     /*   10669 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10724), // Rule ID 46491 //
     /*   10674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10702 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10722 */     GIR_RootConstrainSelectedInstOperands,
     /*   10723 */     // GIR_Coverage, 46491,
     /*   10723 */     GIR_EraseRootFromParent_Done,
     /*   10724 */   // Label 287: @10724
     /*   10724 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10777), // Rule ID 45980 //
     /*   10729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10740 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10775 */     GIR_RootConstrainSelectedInstOperands,
     /*   10776 */     // GIR_Coverage, 45980,
     /*   10776 */     GIR_EraseRootFromParent_Done,
     /*   10777 */   // Label 288: @10777
     /*   10777 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10830), // Rule ID 45981 //
     /*   10782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10793 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10828 */     GIR_RootConstrainSelectedInstOperands,
     /*   10829 */     // GIR_Coverage, 45981,
     /*   10829 */     GIR_EraseRootFromParent_Done,
     /*   10830 */   // Label 289: @10830
     /*   10830 */   GIM_Reject,
     /*   10831 */ // Label 249: @10831
     /*   10831 */ GIM_Reject,
     /*   10832 */ // Label 128: @10832
     /*   10832 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(13956),
     /*   10837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10847 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(10943), // Rule ID 70413 //
     /*   10852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10885 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10892 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10896 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10900 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10904 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10906 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10915 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   10917 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   10920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   10924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   10928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   10932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10941 */     GIR_RootConstrainSelectedInstOperands,
     /*   10942 */     // GIR_Coverage, 70413,
     /*   10942 */     GIR_EraseRootFromParent_Done,
     /*   10943 */   // Label 291: @10943
     /*   10943 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11039), // Rule ID 70414 //
     /*   10948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10967 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10988 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10992 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10996 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11000 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11002 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11011 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11013 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11037 */     GIR_RootConstrainSelectedInstOperands,
     /*   11038 */     // GIR_Coverage, 70414,
     /*   11038 */     GIR_EraseRootFromParent_Done,
     /*   11039 */   // Label 292: @11039
     /*   11039 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11135), // Rule ID 70673 //
     /*   11044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11077 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11084 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11088 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11092 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11096 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11098 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11109 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11133 */     GIR_RootConstrainSelectedInstOperands,
     /*   11134 */     // GIR_Coverage, 70673,
     /*   11134 */     GIR_EraseRootFromParent_Done,
     /*   11135 */   // Label 293: @11135
     /*   11135 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11231), // Rule ID 70674 //
     /*   11140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11159 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11173 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11180 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11184 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11188 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11192 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11194 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11203 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11205 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11229 */     GIR_RootConstrainSelectedInstOperands,
     /*   11230 */     // GIR_Coverage, 70674,
     /*   11230 */     GIR_EraseRootFromParent_Done,
     /*   11231 */   // Label 294: @11231
     /*   11231 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11327), // Rule ID 70675 //
     /*   11236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11251 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11276 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11280 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11284 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11288 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11290 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11301 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11325 */     GIR_RootConstrainSelectedInstOperands,
     /*   11326 */     // GIR_Coverage, 70675,
     /*   11326 */     GIR_EraseRootFromParent_Done,
     /*   11327 */   // Label 295: @11327
     /*   11327 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11423), // Rule ID 70676 //
     /*   11332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11365 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11372 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11376 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11380 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11384 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11386 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11395 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11397 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11421 */     GIR_RootConstrainSelectedInstOperands,
     /*   11422 */     // GIR_Coverage, 70676,
     /*   11422 */     GIR_EraseRootFromParent_Done,
     /*   11423 */   // Label 296: @11423
     /*   11423 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11519), // Rule ID 70527 //
     /*   11428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11447 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11476 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11480 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11482 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11491 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11493 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11517 */     GIR_RootConstrainSelectedInstOperands,
     /*   11518 */     // GIR_Coverage, 70527,
     /*   11518 */     GIR_EraseRootFromParent_Done,
     /*   11519 */   // Label 297: @11519
     /*   11519 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11615), // Rule ID 70528 //
     /*   11524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11543 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11557 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11564 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11568 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11572 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11576 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11578 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11589 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11613 */     GIR_RootConstrainSelectedInstOperands,
     /*   11614 */     // GIR_Coverage, 70528,
     /*   11614 */     GIR_EraseRootFromParent_Done,
     /*   11615 */   // Label 298: @11615
     /*   11615 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11711), // Rule ID 51918 //
     /*   11620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11657 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11672 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11676 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11678 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11683 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11685 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11709 */     GIR_RootConstrainSelectedInstOperands,
     /*   11710 */     // GIR_Coverage, 51918,
     /*   11710 */     GIR_EraseRootFromParent_Done,
     /*   11711 */   // Label 299: @11711
     /*   11711 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11807), // Rule ID 51919 //
     /*   11716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11753 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11768 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11772 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11774 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11779 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11781 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11805 */     GIR_RootConstrainSelectedInstOperands,
     /*   11806 */     // GIR_Coverage, 51919,
     /*   11806 */     GIR_EraseRootFromParent_Done,
     /*   11807 */   // Label 300: @11807
     /*   11807 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11903), // Rule ID 52036 //
     /*   11812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11831 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11856 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11860 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11864 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11868 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11870 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11875 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11877 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11901 */     GIR_RootConstrainSelectedInstOperands,
     /*   11902 */     // GIR_Coverage, 52036,
     /*   11902 */     GIR_EraseRootFromParent_Done,
     /*   11903 */   // Label 301: @11903
     /*   11903 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11999), // Rule ID 52037 //
     /*   11908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11945 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11956 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11960 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11964 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11966 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11971 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11973 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11997 */     GIR_RootConstrainSelectedInstOperands,
     /*   11998 */     // GIR_Coverage, 52037,
     /*   11998 */     GIR_EraseRootFromParent_Done,
     /*   11999 */   // Label 302: @11999
     /*   11999 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(12095), // Rule ID 70671 //
     /*   12004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12048 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12052 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12056 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12060 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12062 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12067 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12069 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12093 */     GIR_RootConstrainSelectedInstOperands,
     /*   12094 */     // GIR_Coverage, 70671,
     /*   12094 */     GIR_EraseRootFromParent_Done,
     /*   12095 */   // Label 303: @12095
     /*   12095 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(12191), // Rule ID 70672 //
     /*   12100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12137 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12148 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12152 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12156 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12158 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12163 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12165 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12189 */     GIR_RootConstrainSelectedInstOperands,
     /*   12190 */     // GIR_Coverage, 70672,
     /*   12190 */     GIR_EraseRootFromParent_Done,
     /*   12191 */   // Label 304: @12191
     /*   12191 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(12287), // Rule ID 51976 //
     /*   12196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12244 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12248 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12252 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12254 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12259 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12261 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12285 */     GIR_RootConstrainSelectedInstOperands,
     /*   12286 */     // GIR_Coverage, 51976,
     /*   12286 */     GIR_EraseRootFromParent_Done,
     /*   12287 */   // Label 305: @12287
     /*   12287 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(12383), // Rule ID 51977 //
     /*   12292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12329 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12336 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12340 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12344 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12348 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12350 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12355 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12357 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12381 */     GIR_RootConstrainSelectedInstOperands,
     /*   12382 */     // GIR_Coverage, 51977,
     /*   12382 */     GIR_EraseRootFromParent_Done,
     /*   12383 */   // Label 306: @12383
     /*   12383 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(12472), // Rule ID 46574 //
     /*   12388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12422 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12431 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12470 */     GIR_RootConstrainSelectedInstOperands,
     /*   12471 */     // GIR_Coverage, 46574,
     /*   12471 */     GIR_EraseRootFromParent_Done,
     /*   12472 */   // Label 307: @12472
     /*   12472 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(12561), // Rule ID 46575 //
     /*   12477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12511 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12513 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12520 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12559 */     GIR_RootConstrainSelectedInstOperands,
     /*   12560 */     // GIR_Coverage, 46575,
     /*   12560 */     GIR_EraseRootFromParent_Done,
     /*   12561 */   // Label 308: @12561
     /*   12561 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12650), // Rule ID 46338 //
     /*   12566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12600 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12609 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12648 */     GIR_RootConstrainSelectedInstOperands,
     /*   12649 */     // GIR_Coverage, 46338,
     /*   12649 */     GIR_EraseRootFromParent_Done,
     /*   12650 */   // Label 309: @12650
     /*   12650 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12739), // Rule ID 46339 //
     /*   12655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12689 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12698 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12737 */     GIR_RootConstrainSelectedInstOperands,
     /*   12738 */     // GIR_Coverage, 46339,
     /*   12738 */     GIR_EraseRootFromParent_Done,
     /*   12739 */   // Label 310: @12739
     /*   12739 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12828), // Rule ID 46454 //
     /*   12744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12778 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12780 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12787 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12826 */     GIR_RootConstrainSelectedInstOperands,
     /*   12827 */     // GIR_Coverage, 46454,
     /*   12827 */     GIR_EraseRootFromParent_Done,
     /*   12828 */   // Label 311: @12828
     /*   12828 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12917), // Rule ID 46455 //
     /*   12833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12867 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12869 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12876 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12915 */     GIR_RootConstrainSelectedInstOperands,
     /*   12916 */     // GIR_Coverage, 46455,
     /*   12916 */     GIR_EraseRootFromParent_Done,
     /*   12917 */   // Label 312: @12917
     /*   12917 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12985), // Rule ID 70223 //
     /*   12922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12959 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   12959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   12962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   12968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   12972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12983 */     GIR_RootConstrainSelectedInstOperands,
     /*   12984 */     // GIR_Coverage, 70223,
     /*   12984 */     GIR_EraseRootFromParent_Done,
     /*   12985 */   // Label 313: @12985
     /*   12985 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(13053), // Rule ID 70224 //
     /*   12990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13027 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13051 */     GIR_RootConstrainSelectedInstOperands,
     /*   13052 */     // GIR_Coverage, 70224,
     /*   13052 */     GIR_EraseRootFromParent_Done,
     /*   13053 */   // Label 314: @13053
     /*   13053 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(13108), // Rule ID 69223 //
     /*   13058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13073 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13086 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13106 */     GIR_RootConstrainSelectedInstOperands,
     /*   13107 */     // GIR_Coverage, 69223,
     /*   13107 */     GIR_EraseRootFromParent_Done,
     /*   13108 */   // Label 315: @13108
     /*   13108 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(13163), // Rule ID 69224 //
     /*   13113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13141 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13161 */     GIR_RootConstrainSelectedInstOperands,
     /*   13162 */     // GIR_Coverage, 69224,
     /*   13162 */     GIR_EraseRootFromParent_Done,
     /*   13163 */   // Label 316: @13163
     /*   13163 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(13218), // Rule ID 69043 //
     /*   13168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13196 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13216 */     GIR_RootConstrainSelectedInstOperands,
     /*   13217 */     // GIR_Coverage, 69043,
     /*   13217 */     GIR_EraseRootFromParent_Done,
     /*   13218 */   // Label 317: @13218
     /*   13218 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(13273), // Rule ID 69044 //
     /*   13223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13251 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13271 */     GIR_RootConstrainSelectedInstOperands,
     /*   13272 */     // GIR_Coverage, 69044,
     /*   13272 */     GIR_EraseRootFromParent_Done,
     /*   13273 */   // Label 318: @13273
     /*   13273 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(13328), // Rule ID 69133 //
     /*   13278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13293 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13306 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13326 */     GIR_RootConstrainSelectedInstOperands,
     /*   13327 */     // GIR_Coverage, 69133,
     /*   13327 */     GIR_EraseRootFromParent_Done,
     /*   13328 */   // Label 319: @13328
     /*   13328 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13383), // Rule ID 69134 //
     /*   13333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13361 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13381 */     GIR_RootConstrainSelectedInstOperands,
     /*   13382 */     // GIR_Coverage, 69134,
     /*   13382 */     GIR_EraseRootFromParent_Done,
     /*   13383 */   // Label 320: @13383
     /*   13383 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13451), // Rule ID 51752 //
     /*   13388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13425 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   13425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13449 */     GIR_RootConstrainSelectedInstOperands,
     /*   13450 */     // GIR_Coverage, 51752,
     /*   13450 */     GIR_EraseRootFromParent_Done,
     /*   13451 */   // Label 321: @13451
     /*   13451 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13519), // Rule ID 51753 //
     /*   13456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13479 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13493 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13517 */     GIR_RootConstrainSelectedInstOperands,
     /*   13518 */     // GIR_Coverage, 51753,
     /*   13518 */     GIR_EraseRootFromParent_Done,
     /*   13519 */   // Label 322: @13519
     /*   13519 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13574), // Rule ID 46634 //
     /*   13524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13543 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13552 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13572 */     GIR_RootConstrainSelectedInstOperands,
     /*   13573 */     // GIR_Coverage, 46634,
     /*   13573 */     GIR_EraseRootFromParent_Done,
     /*   13574 */   // Label 323: @13574
     /*   13574 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13629), // Rule ID 46635 //
     /*   13579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13607 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13627 */     GIR_RootConstrainSelectedInstOperands,
     /*   13628 */     // GIR_Coverage, 46635,
     /*   13628 */     GIR_EraseRootFromParent_Done,
     /*   13629 */   // Label 324: @13629
     /*   13629 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13684), // Rule ID 46394 //
     /*   13634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13662 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13682 */     GIR_RootConstrainSelectedInstOperands,
     /*   13683 */     // GIR_Coverage, 46394,
     /*   13683 */     GIR_EraseRootFromParent_Done,
     /*   13684 */   // Label 325: @13684
     /*   13684 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13739), // Rule ID 46395 //
     /*   13689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13717 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13737 */     GIR_RootConstrainSelectedInstOperands,
     /*   13738 */     // GIR_Coverage, 46395,
     /*   13738 */     GIR_EraseRootFromParent_Done,
     /*   13739 */   // Label 326: @13739
     /*   13739 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13794), // Rule ID 46514 //
     /*   13744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13772 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13792 */     GIR_RootConstrainSelectedInstOperands,
     /*   13793 */     // GIR_Coverage, 46514,
     /*   13793 */     GIR_EraseRootFromParent_Done,
     /*   13794 */   // Label 327: @13794
     /*   13794 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13849), // Rule ID 46515 //
     /*   13799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13827 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13847 */     GIR_RootConstrainSelectedInstOperands,
     /*   13848 */     // GIR_Coverage, 46515,
     /*   13848 */     GIR_EraseRootFromParent_Done,
     /*   13849 */   // Label 328: @13849
     /*   13849 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13902), // Rule ID 45988 //
     /*   13854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13865 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13900 */     GIR_RootConstrainSelectedInstOperands,
     /*   13901 */     // GIR_Coverage, 45988,
     /*   13901 */     GIR_EraseRootFromParent_Done,
     /*   13902 */   // Label 329: @13902
     /*   13902 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13955), // Rule ID 45989 //
     /*   13907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13918 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13953 */     GIR_RootConstrainSelectedInstOperands,
     /*   13954 */     // GIR_Coverage, 45989,
     /*   13954 */     GIR_EraseRootFromParent_Done,
     /*   13955 */   // Label 330: @13955
     /*   13955 */   GIM_Reject,
     /*   13956 */ // Label 290: @13956
     /*   13956 */ GIM_Reject,
     /*   13957 */ // Label 129: @13957
     /*   13957 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(17081),
     /*   13962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13972 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14068), // Rule ID 70423 //
     /*   13977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   13980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14017 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14021 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14025 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14029 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14031 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14042 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14066 */     GIR_RootConstrainSelectedInstOperands,
     /*   14067 */     // GIR_Coverage, 70423,
     /*   14067 */     GIR_EraseRootFromParent_Done,
     /*   14068 */   // Label 332: @14068
     /*   14068 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14164), // Rule ID 70424 //
     /*   14073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14113 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14117 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14121 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14125 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14127 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14138 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14162 */     GIR_RootConstrainSelectedInstOperands,
     /*   14163 */     // GIR_Coverage, 70424,
     /*   14163 */     GIR_EraseRootFromParent_Done,
     /*   14164 */   // Label 333: @14164
     /*   14164 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14260), // Rule ID 70703 //
     /*   14169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14202 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14209 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14213 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14217 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14221 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14223 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14234 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14258 */     GIR_RootConstrainSelectedInstOperands,
     /*   14259 */     // GIR_Coverage, 70703,
     /*   14259 */     GIR_EraseRootFromParent_Done,
     /*   14260 */   // Label 334: @14260
     /*   14260 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14356), // Rule ID 70704 //
     /*   14265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14284 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14298 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14309 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14313 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14317 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14319 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14330 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14354 */     GIR_RootConstrainSelectedInstOperands,
     /*   14355 */     // GIR_Coverage, 70704,
     /*   14355 */     GIR_EraseRootFromParent_Done,
     /*   14356 */   // Label 335: @14356
     /*   14356 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14452), // Rule ID 70705 //
     /*   14361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14376 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14394 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14401 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14405 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14409 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14413 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14415 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14426 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14450 */     GIR_RootConstrainSelectedInstOperands,
     /*   14451 */     // GIR_Coverage, 70705,
     /*   14451 */     GIR_EraseRootFromParent_Done,
     /*   14452 */   // Label 336: @14452
     /*   14452 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14548), // Rule ID 70706 //
     /*   14457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14490 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14505 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14509 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14511 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14520 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14522 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14546 */     GIR_RootConstrainSelectedInstOperands,
     /*   14547 */     // GIR_Coverage, 70706,
     /*   14547 */     GIR_EraseRootFromParent_Done,
     /*   14548 */   // Label 337: @14548
     /*   14548 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14644), // Rule ID 70537 //
     /*   14553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14586 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14593 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14597 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14601 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14605 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14607 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14618 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14642 */     GIR_RootConstrainSelectedInstOperands,
     /*   14643 */     // GIR_Coverage, 70537,
     /*   14643 */     GIR_EraseRootFromParent_Done,
     /*   14644 */   // Label 338: @14644
     /*   14644 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14740), // Rule ID 70538 //
     /*   14649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14682 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14689 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14693 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14697 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14701 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14703 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14712 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14714 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14738 */     GIR_RootConstrainSelectedInstOperands,
     /*   14739 */     // GIR_Coverage, 70538,
     /*   14739 */     GIR_EraseRootFromParent_Done,
     /*   14740 */   // Label 339: @14740
     /*   14740 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14836), // Rule ID 51928 //
     /*   14745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14797 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14801 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14803 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14808 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14810 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14834 */     GIR_RootConstrainSelectedInstOperands,
     /*   14835 */     // GIR_Coverage, 51928,
     /*   14835 */     GIR_EraseRootFromParent_Done,
     /*   14836 */   // Label 340: @14836
     /*   14836 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14932), // Rule ID 51929 //
     /*   14841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14893 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14897 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14899 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14904 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14906 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14930 */     GIR_RootConstrainSelectedInstOperands,
     /*   14931 */     // GIR_Coverage, 51929,
     /*   14931 */     GIR_EraseRootFromParent_Done,
     /*   14932 */   // Label 341: @14932
     /*   14932 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(15028), // Rule ID 52046 //
     /*   14937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14993 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14995 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15000 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15002 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15026 */     GIR_RootConstrainSelectedInstOperands,
     /*   15027 */     // GIR_Coverage, 52046,
     /*   15027 */     GIR_EraseRootFromParent_Done,
     /*   15028 */   // Label 342: @15028
     /*   15028 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(15124), // Rule ID 52047 //
     /*   15033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15085 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15089 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15096 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15098 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15122 */     GIR_RootConstrainSelectedInstOperands,
     /*   15123 */     // GIR_Coverage, 52047,
     /*   15123 */     GIR_EraseRootFromParent_Done,
     /*   15124 */   // Label 343: @15124
     /*   15124 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(15220), // Rule ID 70701 //
     /*   15129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15181 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15185 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15187 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15192 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15194 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15218 */     GIR_RootConstrainSelectedInstOperands,
     /*   15219 */     // GIR_Coverage, 70701,
     /*   15219 */     GIR_EraseRootFromParent_Done,
     /*   15220 */   // Label 344: @15220
     /*   15220 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(15316), // Rule ID 70702 //
     /*   15225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15277 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15281 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15283 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15288 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15290 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15314 */     GIR_RootConstrainSelectedInstOperands,
     /*   15315 */     // GIR_Coverage, 70702,
     /*   15315 */     GIR_EraseRootFromParent_Done,
     /*   15316 */   // Label 345: @15316
     /*   15316 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(15412), // Rule ID 51986 //
     /*   15321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15373 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15377 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15379 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15384 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15386 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15410 */     GIR_RootConstrainSelectedInstOperands,
     /*   15411 */     // GIR_Coverage, 51986,
     /*   15411 */     GIR_EraseRootFromParent_Done,
     /*   15412 */   // Label 346: @15412
     /*   15412 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(15508), // Rule ID 51987 //
     /*   15417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15461 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15465 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15469 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15473 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15475 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15480 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15482 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15506 */     GIR_RootConstrainSelectedInstOperands,
     /*   15507 */     // GIR_Coverage, 51987,
     /*   15507 */     GIR_EraseRootFromParent_Done,
     /*   15508 */   // Label 347: @15508
     /*   15508 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(15597), // Rule ID 46594 //
     /*   15513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15547 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15556 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15595 */     GIR_RootConstrainSelectedInstOperands,
     /*   15596 */     // GIR_Coverage, 46594,
     /*   15596 */     GIR_EraseRootFromParent_Done,
     /*   15597 */   // Label 348: @15597
     /*   15597 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15686), // Rule ID 46595 //
     /*   15602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15636 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15645 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15684 */     GIR_RootConstrainSelectedInstOperands,
     /*   15685 */     // GIR_Coverage, 46595,
     /*   15685 */     GIR_EraseRootFromParent_Done,
     /*   15686 */   // Label 349: @15686
     /*   15686 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15775), // Rule ID 46358 //
     /*   15691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15734 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15773 */     GIR_RootConstrainSelectedInstOperands,
     /*   15774 */     // GIR_Coverage, 46358,
     /*   15774 */     GIR_EraseRootFromParent_Done,
     /*   15775 */   // Label 350: @15775
     /*   15775 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15864), // Rule ID 46359 //
     /*   15780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15823 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15862 */     GIR_RootConstrainSelectedInstOperands,
     /*   15863 */     // GIR_Coverage, 46359,
     /*   15863 */     GIR_EraseRootFromParent_Done,
     /*   15864 */   // Label 351: @15864
     /*   15864 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15953), // Rule ID 46474 //
     /*   15869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15903 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15912 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15951 */     GIR_RootConstrainSelectedInstOperands,
     /*   15952 */     // GIR_Coverage, 46474,
     /*   15952 */     GIR_EraseRootFromParent_Done,
     /*   15953 */   // Label 352: @15953
     /*   15953 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(16042), // Rule ID 46475 //
     /*   15958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15992 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16001 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   16001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   16018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16040 */     GIR_RootConstrainSelectedInstOperands,
     /*   16041 */     // GIR_Coverage, 46475,
     /*   16041 */     GIR_EraseRootFromParent_Done,
     /*   16042 */   // Label 353: @16042
     /*   16042 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(16110), // Rule ID 70255 //
     /*   16047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16062 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16084 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16108 */     GIR_RootConstrainSelectedInstOperands,
     /*   16109 */     // GIR_Coverage, 70255,
     /*   16109 */     GIR_EraseRootFromParent_Done,
     /*   16110 */   // Label 354: @16110
     /*   16110 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(16178), // Rule ID 70256 //
     /*   16115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16152 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16176 */     GIR_RootConstrainSelectedInstOperands,
     /*   16177 */     // GIR_Coverage, 70256,
     /*   16177 */     GIR_EraseRootFromParent_Done,
     /*   16178 */   // Label 355: @16178
     /*   16178 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(16233), // Rule ID 69243 //
     /*   16183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16211 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16231 */     GIR_RootConstrainSelectedInstOperands,
     /*   16232 */     // GIR_Coverage, 69243,
     /*   16232 */     GIR_EraseRootFromParent_Done,
     /*   16233 */   // Label 356: @16233
     /*   16233 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(16288), // Rule ID 69244 //
     /*   16238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16266 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16286 */     GIR_RootConstrainSelectedInstOperands,
     /*   16287 */     // GIR_Coverage, 69244,
     /*   16287 */     GIR_EraseRootFromParent_Done,
     /*   16288 */   // Label 357: @16288
     /*   16288 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(16343), // Rule ID 69063 //
     /*   16293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16321 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16341 */     GIR_RootConstrainSelectedInstOperands,
     /*   16342 */     // GIR_Coverage, 69063,
     /*   16342 */     GIR_EraseRootFromParent_Done,
     /*   16343 */   // Label 358: @16343
     /*   16343 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16398), // Rule ID 69064 //
     /*   16348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16376 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16396 */     GIR_RootConstrainSelectedInstOperands,
     /*   16397 */     // GIR_Coverage, 69064,
     /*   16397 */     GIR_EraseRootFromParent_Done,
     /*   16398 */   // Label 359: @16398
     /*   16398 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16453), // Rule ID 69153 //
     /*   16403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16431 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16451 */     GIR_RootConstrainSelectedInstOperands,
     /*   16452 */     // GIR_Coverage, 69153,
     /*   16452 */     GIR_EraseRootFromParent_Done,
     /*   16453 */   // Label 360: @16453
     /*   16453 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16508), // Rule ID 69154 //
     /*   16458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16486 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16506 */     GIR_RootConstrainSelectedInstOperands,
     /*   16507 */     // GIR_Coverage, 69154,
     /*   16507 */     GIR_EraseRootFromParent_Done,
     /*   16508 */   // Label 361: @16508
     /*   16508 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16576), // Rule ID 51768 //
     /*   16513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16550 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16574 */     GIR_RootConstrainSelectedInstOperands,
     /*   16575 */     // GIR_Coverage, 51768,
     /*   16575 */     GIR_EraseRootFromParent_Done,
     /*   16576 */   // Label 362: @16576
     /*   16576 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16644), // Rule ID 51769 //
     /*   16581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16618 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16642 */     GIR_RootConstrainSelectedInstOperands,
     /*   16643 */     // GIR_Coverage, 51769,
     /*   16643 */     GIR_EraseRootFromParent_Done,
     /*   16644 */   // Label 363: @16644
     /*   16644 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16699), // Rule ID 46654 //
     /*   16649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16677 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16697 */     GIR_RootConstrainSelectedInstOperands,
     /*   16698 */     // GIR_Coverage, 46654,
     /*   16698 */     GIR_EraseRootFromParent_Done,
     /*   16699 */   // Label 364: @16699
     /*   16699 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16754), // Rule ID 46655 //
     /*   16704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16732 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16752 */     GIR_RootConstrainSelectedInstOperands,
     /*   16753 */     // GIR_Coverage, 46655,
     /*   16753 */     GIR_EraseRootFromParent_Done,
     /*   16754 */   // Label 365: @16754
     /*   16754 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16809), // Rule ID 46414 //
     /*   16759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16787 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16807 */     GIR_RootConstrainSelectedInstOperands,
     /*   16808 */     // GIR_Coverage, 46414,
     /*   16808 */     GIR_EraseRootFromParent_Done,
     /*   16809 */   // Label 366: @16809
     /*   16809 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16864), // Rule ID 46415 //
     /*   16814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16833 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16842 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16862 */     GIR_RootConstrainSelectedInstOperands,
     /*   16863 */     // GIR_Coverage, 46415,
     /*   16863 */     GIR_EraseRootFromParent_Done,
     /*   16864 */   // Label 367: @16864
     /*   16864 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16919), // Rule ID 46534 //
     /*   16869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16897 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16917 */     GIR_RootConstrainSelectedInstOperands,
     /*   16918 */     // GIR_Coverage, 46534,
     /*   16918 */     GIR_EraseRootFromParent_Done,
     /*   16919 */   // Label 368: @16919
     /*   16919 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16974), // Rule ID 46535 //
     /*   16924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16952 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16972 */     GIR_RootConstrainSelectedInstOperands,
     /*   16973 */     // GIR_Coverage, 46535,
     /*   16973 */     GIR_EraseRootFromParent_Done,
     /*   16974 */   // Label 369: @16974
     /*   16974 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17027), // Rule ID 46004 //
     /*   16979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16990 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   17007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17025 */     GIR_RootConstrainSelectedInstOperands,
     /*   17026 */     // GIR_Coverage, 46004,
     /*   17026 */     GIR_EraseRootFromParent_Done,
     /*   17027 */   // Label 370: @17027
     /*   17027 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17080), // Rule ID 46005 //
     /*   17032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17043 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   17046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   17060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17078 */     GIR_RootConstrainSelectedInstOperands,
     /*   17079 */     // GIR_Coverage, 46005,
     /*   17079 */     GIR_EraseRootFromParent_Done,
     /*   17080 */   // Label 371: @17080
     /*   17080 */   GIM_Reject,
     /*   17081 */ // Label 331: @17081
     /*   17081 */ GIM_Reject,
     /*   17082 */ // Label 130: @17082
     /*   17082 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17476),
     /*   17087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17097 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17165), // Rule ID 70191 //
     /*   17102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17139 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17163 */     GIR_RootConstrainSelectedInstOperands,
     /*   17164 */     // GIR_Coverage, 70191,
     /*   17164 */     GIR_EraseRootFromParent_Done,
     /*   17165 */   // Label 373: @17165
     /*   17165 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17233), // Rule ID 70192 //
     /*   17170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17207 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17231 */     GIR_RootConstrainSelectedInstOperands,
     /*   17232 */     // GIR_Coverage, 70192,
     /*   17232 */     GIR_EraseRootFromParent_Done,
     /*   17233 */   // Label 374: @17233
     /*   17233 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17301), // Rule ID 51736 //
     /*   17238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17275 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17299 */     GIR_RootConstrainSelectedInstOperands,
     /*   17300 */     // GIR_Coverage, 51736,
     /*   17300 */     GIR_EraseRootFromParent_Done,
     /*   17301 */   // Label 375: @17301
     /*   17301 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17369), // Rule ID 51737 //
     /*   17306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17343 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17367 */     GIR_RootConstrainSelectedInstOperands,
     /*   17368 */     // GIR_Coverage, 51737,
     /*   17368 */     GIR_EraseRootFromParent_Done,
     /*   17369 */   // Label 376: @17369
     /*   17369 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17422), // Rule ID 45972 //
     /*   17374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17385 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17420 */     GIR_RootConstrainSelectedInstOperands,
     /*   17421 */     // GIR_Coverage, 45972,
     /*   17421 */     GIR_EraseRootFromParent_Done,
     /*   17422 */   // Label 377: @17422
     /*   17422 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17475), // Rule ID 45973 //
     /*   17427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17438 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17473 */     GIR_RootConstrainSelectedInstOperands,
     /*   17474 */     // GIR_Coverage, 45973,
     /*   17474 */     GIR_EraseRootFromParent_Done,
     /*   17475 */   // Label 378: @17475
     /*   17475 */   GIM_Reject,
     /*   17476 */ // Label 372: @17476
     /*   17476 */ GIM_Reject,
     /*   17477 */ // Label 131: @17477
     /*   17477 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(20601),
     /*   17482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17492 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17588), // Rule ID 70403 //
     /*   17497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17530 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17545 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17549 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17551 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17560 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17562 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17586 */     GIR_RootConstrainSelectedInstOperands,
     /*   17587 */     // GIR_Coverage, 70403,
     /*   17587 */     GIR_EraseRootFromParent_Done,
     /*   17588 */   // Label 380: @17588
     /*   17588 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17684), // Rule ID 70404 //
     /*   17593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17626 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17641 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17645 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17647 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17656 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17658 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17682 */     GIR_RootConstrainSelectedInstOperands,
     /*   17683 */     // GIR_Coverage, 70404,
     /*   17683 */     GIR_EraseRootFromParent_Done,
     /*   17684 */   // Label 381: @17684
     /*   17684 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17780), // Rule ID 70643 //
     /*   17689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17737 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17741 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17743 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17752 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17754 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17778 */     GIR_RootConstrainSelectedInstOperands,
     /*   17779 */     // GIR_Coverage, 70643,
     /*   17779 */     GIR_EraseRootFromParent_Done,
     /*   17780 */   // Label 382: @17780
     /*   17780 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17876), // Rule ID 70644 //
     /*   17785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17825 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17829 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17833 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17837 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17839 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17848 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17850 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17874 */     GIR_RootConstrainSelectedInstOperands,
     /*   17875 */     // GIR_Coverage, 70644,
     /*   17875 */     GIR_EraseRootFromParent_Done,
     /*   17876 */   // Label 383: @17876
     /*   17876 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17972), // Rule ID 70645 //
     /*   17881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17925 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17929 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17933 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17935 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17944 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17946 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   17957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   17961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17970 */     GIR_RootConstrainSelectedInstOperands,
     /*   17971 */     // GIR_Coverage, 70645,
     /*   17971 */     GIR_EraseRootFromParent_Done,
     /*   17972 */   // Label 384: @17972
     /*   17972 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(18068), // Rule ID 70646 //
     /*   17977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18017 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18021 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18025 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18029 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18031 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18042 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18066 */     GIR_RootConstrainSelectedInstOperands,
     /*   18067 */     // GIR_Coverage, 70646,
     /*   18067 */     GIR_EraseRootFromParent_Done,
     /*   18068 */   // Label 385: @18068
     /*   18068 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(18164), // Rule ID 70517 //
     /*   18073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18113 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18117 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18121 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18125 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18127 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18138 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18162 */     GIR_RootConstrainSelectedInstOperands,
     /*   18163 */     // GIR_Coverage, 70517,
     /*   18163 */     GIR_EraseRootFromParent_Done,
     /*   18164 */   // Label 386: @18164
     /*   18164 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18260), // Rule ID 70518 //
     /*   18169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18202 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18209 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18213 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18217 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18221 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18223 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18234 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18258 */     GIR_RootConstrainSelectedInstOperands,
     /*   18259 */     // GIR_Coverage, 70518,
     /*   18259 */     GIR_EraseRootFromParent_Done,
     /*   18260 */   // Label 387: @18260
     /*   18260 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18356), // Rule ID 51908 //
     /*   18265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18309 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18313 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18317 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18321 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18323 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18330 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18354 */     GIR_RootConstrainSelectedInstOperands,
     /*   18355 */     // GIR_Coverage, 51908,
     /*   18355 */     GIR_EraseRootFromParent_Done,
     /*   18356 */   // Label 388: @18356
     /*   18356 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18452), // Rule ID 51909 //
     /*   18361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18413 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18417 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18419 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18426 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18450 */     GIR_RootConstrainSelectedInstOperands,
     /*   18451 */     // GIR_Coverage, 51909,
     /*   18451 */     GIR_EraseRootFromParent_Done,
     /*   18452 */   // Label 389: @18452
     /*   18452 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18548), // Rule ID 52026 //
     /*   18457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18501 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18505 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18509 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18513 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18515 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18520 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18522 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18546 */     GIR_RootConstrainSelectedInstOperands,
     /*   18547 */     // GIR_Coverage, 52026,
     /*   18547 */     GIR_EraseRootFromParent_Done,
     /*   18548 */   // Label 390: @18548
     /*   18548 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18644), // Rule ID 52027 //
     /*   18553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18597 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18601 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18605 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18609 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18611 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18618 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18642 */     GIR_RootConstrainSelectedInstOperands,
     /*   18643 */     // GIR_Coverage, 52027,
     /*   18643 */     GIR_EraseRootFromParent_Done,
     /*   18644 */   // Label 391: @18644
     /*   18644 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18740), // Rule ID 70641 //
     /*   18649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18693 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18697 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18701 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18705 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18707 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18712 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18714 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18738 */     GIR_RootConstrainSelectedInstOperands,
     /*   18739 */     // GIR_Coverage, 70641,
     /*   18739 */     GIR_EraseRootFromParent_Done,
     /*   18740 */   // Label 392: @18740
     /*   18740 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18836), // Rule ID 70642 //
     /*   18745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18797 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18801 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18803 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18808 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18810 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18834 */     GIR_RootConstrainSelectedInstOperands,
     /*   18835 */     // GIR_Coverage, 70642,
     /*   18835 */     GIR_EraseRootFromParent_Done,
     /*   18836 */   // Label 393: @18836
     /*   18836 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18932), // Rule ID 51966 //
     /*   18841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18893 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18897 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18899 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18904 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18906 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18930 */     GIR_RootConstrainSelectedInstOperands,
     /*   18931 */     // GIR_Coverage, 51966,
     /*   18931 */     GIR_EraseRootFromParent_Done,
     /*   18932 */   // Label 394: @18932
     /*   18932 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(19028), // Rule ID 51967 //
     /*   18937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18993 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18995 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19000 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19002 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   19005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19026 */     GIR_RootConstrainSelectedInstOperands,
     /*   19027 */     // GIR_Coverage, 51967,
     /*   19027 */     GIR_EraseRootFromParent_Done,
     /*   19028 */   // Label 395: @19028
     /*   19028 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(19117), // Rule ID 46554 //
     /*   19033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19067 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19076 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19115 */     GIR_RootConstrainSelectedInstOperands,
     /*   19116 */     // GIR_Coverage, 46554,
     /*   19116 */     GIR_EraseRootFromParent_Done,
     /*   19117 */   // Label 396: @19117
     /*   19117 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(19206), // Rule ID 46555 //
     /*   19122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19156 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19165 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19204 */     GIR_RootConstrainSelectedInstOperands,
     /*   19205 */     // GIR_Coverage, 46555,
     /*   19205 */     GIR_EraseRootFromParent_Done,
     /*   19206 */   // Label 397: @19206
     /*   19206 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(19295), // Rule ID 46318 //
     /*   19211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19245 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19252 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19254 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19293 */     GIR_RootConstrainSelectedInstOperands,
     /*   19294 */     // GIR_Coverage, 46318,
     /*   19294 */     GIR_EraseRootFromParent_Done,
     /*   19295 */   // Label 398: @19295
     /*   19295 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19384), // Rule ID 46319 //
     /*   19300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19334 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19343 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19382 */     GIR_RootConstrainSelectedInstOperands,
     /*   19383 */     // GIR_Coverage, 46319,
     /*   19383 */     GIR_EraseRootFromParent_Done,
     /*   19384 */   // Label 399: @19384
     /*   19384 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19473), // Rule ID 46434 //
     /*   19389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19419 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19423 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19430 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19432 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19471 */     GIR_RootConstrainSelectedInstOperands,
     /*   19472 */     // GIR_Coverage, 46434,
     /*   19472 */     GIR_EraseRootFromParent_Done,
     /*   19473 */   // Label 400: @19473
     /*   19473 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19562), // Rule ID 46435 //
     /*   19478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19493 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19512 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19521 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19560 */     GIR_RootConstrainSelectedInstOperands,
     /*   19561 */     // GIR_Coverage, 46435,
     /*   19561 */     GIR_EraseRootFromParent_Done,
     /*   19562 */   // Label 401: @19562
     /*   19562 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19630), // Rule ID 70215 //
     /*   19567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19604 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   19604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19628 */     GIR_RootConstrainSelectedInstOperands,
     /*   19629 */     // GIR_Coverage, 70215,
     /*   19629 */     GIR_EraseRootFromParent_Done,
     /*   19630 */   // Label 402: @19630
     /*   19630 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19698), // Rule ID 70216 //
     /*   19635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19672 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   19672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19696 */     GIR_RootConstrainSelectedInstOperands,
     /*   19697 */     // GIR_Coverage, 70216,
     /*   19697 */     GIR_EraseRootFromParent_Done,
     /*   19698 */   // Label 403: @19698
     /*   19698 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19753), // Rule ID 69203 //
     /*   19703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19731 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19751 */     GIR_RootConstrainSelectedInstOperands,
     /*   19752 */     // GIR_Coverage, 69203,
     /*   19752 */     GIR_EraseRootFromParent_Done,
     /*   19753 */   // Label 404: @19753
     /*   19753 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19808), // Rule ID 69204 //
     /*   19758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19773 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19786 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19806 */     GIR_RootConstrainSelectedInstOperands,
     /*   19807 */     // GIR_Coverage, 69204,
     /*   19807 */     GIR_EraseRootFromParent_Done,
     /*   19808 */   // Label 405: @19808
     /*   19808 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19863), // Rule ID 69023 //
     /*   19813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19841 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19861 */     GIR_RootConstrainSelectedInstOperands,
     /*   19862 */     // GIR_Coverage, 69023,
     /*   19862 */     GIR_EraseRootFromParent_Done,
     /*   19863 */   // Label 406: @19863
     /*   19863 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19918), // Rule ID 69024 //
     /*   19868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19896 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19916 */     GIR_RootConstrainSelectedInstOperands,
     /*   19917 */     // GIR_Coverage, 69024,
     /*   19917 */     GIR_EraseRootFromParent_Done,
     /*   19918 */   // Label 407: @19918
     /*   19918 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19973), // Rule ID 69113 //
     /*   19923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19938 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19951 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19971 */     GIR_RootConstrainSelectedInstOperands,
     /*   19972 */     // GIR_Coverage, 69113,
     /*   19972 */     GIR_EraseRootFromParent_Done,
     /*   19973 */   // Label 408: @19973
     /*   19973 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(20028), // Rule ID 69114 //
     /*   19978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20006 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20026 */     GIR_RootConstrainSelectedInstOperands,
     /*   20027 */     // GIR_Coverage, 69114,
     /*   20027 */     GIR_EraseRootFromParent_Done,
     /*   20028 */   // Label 409: @20028
     /*   20028 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20096), // Rule ID 51748 //
     /*   20033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20070 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20094 */     GIR_RootConstrainSelectedInstOperands,
     /*   20095 */     // GIR_Coverage, 51748,
     /*   20095 */     GIR_EraseRootFromParent_Done,
     /*   20096 */   // Label 410: @20096
     /*   20096 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20164), // Rule ID 51749 //
     /*   20101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20124 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20138 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20162 */     GIR_RootConstrainSelectedInstOperands,
     /*   20163 */     // GIR_Coverage, 51749,
     /*   20163 */     GIR_EraseRootFromParent_Done,
     /*   20164 */   // Label 411: @20164
     /*   20164 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20219), // Rule ID 46614 //
     /*   20169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20197 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20217 */     GIR_RootConstrainSelectedInstOperands,
     /*   20218 */     // GIR_Coverage, 46614,
     /*   20218 */     GIR_EraseRootFromParent_Done,
     /*   20219 */   // Label 412: @20219
     /*   20219 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20274), // Rule ID 46615 //
     /*   20224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20252 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20272 */     GIR_RootConstrainSelectedInstOperands,
     /*   20273 */     // GIR_Coverage, 46615,
     /*   20273 */     GIR_EraseRootFromParent_Done,
     /*   20274 */   // Label 413: @20274
     /*   20274 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20329), // Rule ID 46374 //
     /*   20279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20307 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20327 */     GIR_RootConstrainSelectedInstOperands,
     /*   20328 */     // GIR_Coverage, 46374,
     /*   20328 */     GIR_EraseRootFromParent_Done,
     /*   20329 */   // Label 414: @20329
     /*   20329 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20384), // Rule ID 46375 //
     /*   20334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20362 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20382 */     GIR_RootConstrainSelectedInstOperands,
     /*   20383 */     // GIR_Coverage, 46375,
     /*   20383 */     GIR_EraseRootFromParent_Done,
     /*   20384 */   // Label 415: @20384
     /*   20384 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20439), // Rule ID 46494 //
     /*   20389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20417 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20437 */     GIR_RootConstrainSelectedInstOperands,
     /*   20438 */     // GIR_Coverage, 46494,
     /*   20438 */     GIR_EraseRootFromParent_Done,
     /*   20439 */   // Label 416: @20439
     /*   20439 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20494), // Rule ID 46495 //
     /*   20444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20472 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20492 */     GIR_RootConstrainSelectedInstOperands,
     /*   20493 */     // GIR_Coverage, 46495,
     /*   20493 */     GIR_EraseRootFromParent_Done,
     /*   20494 */   // Label 417: @20494
     /*   20494 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20547), // Rule ID 45984 //
     /*   20499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20510 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20545 */     GIR_RootConstrainSelectedInstOperands,
     /*   20546 */     // GIR_Coverage, 45984,
     /*   20546 */     GIR_EraseRootFromParent_Done,
     /*   20547 */   // Label 418: @20547
     /*   20547 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20600), // Rule ID 45985 //
     /*   20552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20563 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20598 */     GIR_RootConstrainSelectedInstOperands,
     /*   20599 */     // GIR_Coverage, 45985,
     /*   20599 */     GIR_EraseRootFromParent_Done,
     /*   20600 */   // Label 419: @20600
     /*   20600 */   GIM_Reject,
     /*   20601 */ // Label 379: @20601
     /*   20601 */ GIM_Reject,
     /*   20602 */ // Label 132: @20602
     /*   20602 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(23726),
     /*   20607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20617 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20713), // Rule ID 70415 //
     /*   20622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20655 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20657 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20670 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20674 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20676 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20687 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20711 */     GIR_RootConstrainSelectedInstOperands,
     /*   20712 */     // GIR_Coverage, 70415,
     /*   20712 */     GIR_EraseRootFromParent_Done,
     /*   20713 */   // Label 421: @20713
     /*   20713 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20809), // Rule ID 70416 //
     /*   20718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20737 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20751 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20766 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20770 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20772 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20781 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20783 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20807 */     GIR_RootConstrainSelectedInstOperands,
     /*   20808 */     // GIR_Coverage, 70416,
     /*   20808 */     GIR_EraseRootFromParent_Done,
     /*   20809 */   // Label 422: @20809
     /*   20809 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20905), // Rule ID 70679 //
     /*   20814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20833 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20847 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20854 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20858 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20862 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20866 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20868 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20877 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20879 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20903 */     GIR_RootConstrainSelectedInstOperands,
     /*   20904 */     // GIR_Coverage, 70679,
     /*   20904 */     GIR_EraseRootFromParent_Done,
     /*   20905 */   // Label 423: @20905
     /*   20905 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(21001), // Rule ID 70680 //
     /*   20910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20943 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20945 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20950 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20954 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20958 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20962 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20964 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20973 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20975 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20999 */     GIR_RootConstrainSelectedInstOperands,
     /*   21000 */     // GIR_Coverage, 70680,
     /*   21000 */     GIR_EraseRootFromParent_Done,
     /*   21001 */   // Label 424: @21001
     /*   21001 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(21097), // Rule ID 70681 //
     /*   21006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21046 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21050 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21054 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21058 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21060 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21069 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21071 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21095 */     GIR_RootConstrainSelectedInstOperands,
     /*   21096 */     // GIR_Coverage, 70681,
     /*   21096 */     GIR_EraseRootFromParent_Done,
     /*   21097 */   // Label 425: @21097
     /*   21097 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21193), // Rule ID 70682 //
     /*   21102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21135 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21146 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21150 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21154 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21156 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21165 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21167 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21191 */     GIR_RootConstrainSelectedInstOperands,
     /*   21192 */     // GIR_Coverage, 70682,
     /*   21192 */     GIR_EraseRootFromParent_Done,
     /*   21193 */   // Label 426: @21193
     /*   21193 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21289), // Rule ID 70529 //
     /*   21198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21231 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21238 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21242 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21246 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21250 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21252 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21261 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21263 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21287 */     GIR_RootConstrainSelectedInstOperands,
     /*   21288 */     // GIR_Coverage, 70529,
     /*   21288 */     GIR_EraseRootFromParent_Done,
     /*   21289 */   // Label 427: @21289
     /*   21289 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21385), // Rule ID 70530 //
     /*   21294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21313 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21327 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21334 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21338 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21342 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21346 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21348 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21357 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21359 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21383 */     GIR_RootConstrainSelectedInstOperands,
     /*   21384 */     // GIR_Coverage, 70530,
     /*   21384 */     GIR_EraseRootFromParent_Done,
     /*   21385 */   // Label 428: @21385
     /*   21385 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21481), // Rule ID 51920 //
     /*   21390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21427 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21434 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21438 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21442 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21446 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21448 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21453 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21455 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21479 */     GIR_RootConstrainSelectedInstOperands,
     /*   21480 */     // GIR_Coverage, 51920,
     /*   21480 */     GIR_EraseRootFromParent_Done,
     /*   21481 */   // Label 429: @21481
     /*   21481 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21577), // Rule ID 51921 //
     /*   21486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21509 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21523 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21530 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21534 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21538 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21542 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21544 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21549 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21551 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21575 */     GIR_RootConstrainSelectedInstOperands,
     /*   21576 */     // GIR_Coverage, 51921,
     /*   21576 */     GIR_EraseRootFromParent_Done,
     /*   21577 */   // Label 430: @21577
     /*   21577 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21673), // Rule ID 52038 //
     /*   21582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21626 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21630 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21634 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21638 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21640 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21647 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21671 */     GIR_RootConstrainSelectedInstOperands,
     /*   21672 */     // GIR_Coverage, 52038,
     /*   21672 */     GIR_EraseRootFromParent_Done,
     /*   21673 */   // Label 431: @21673
     /*   21673 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21769), // Rule ID 52039 //
     /*   21678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21715 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21726 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21730 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21734 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21736 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21741 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21743 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21767 */     GIR_RootConstrainSelectedInstOperands,
     /*   21768 */     // GIR_Coverage, 52039,
     /*   21768 */     GIR_EraseRootFromParent_Done,
     /*   21769 */   // Label 432: @21769
     /*   21769 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21865), // Rule ID 70677 //
     /*   21774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21818 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21822 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21826 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21830 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21832 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21837 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21839 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21863 */     GIR_RootConstrainSelectedInstOperands,
     /*   21864 */     // GIR_Coverage, 70677,
     /*   21864 */     GIR_EraseRootFromParent_Done,
     /*   21865 */   // Label 433: @21865
     /*   21865 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21961), // Rule ID 70678 //
     /*   21870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21893 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21907 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21918 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21922 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21926 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21928 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21933 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21935 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21959 */     GIR_RootConstrainSelectedInstOperands,
     /*   21960 */     // GIR_Coverage, 70678,
     /*   21960 */     GIR_EraseRootFromParent_Done,
     /*   21961 */   // Label 434: @21961
     /*   21961 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(22057), // Rule ID 51978 //
     /*   21966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22010 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22014 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22018 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22022 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22024 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22029 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22031 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22055 */     GIR_RootConstrainSelectedInstOperands,
     /*   22056 */     // GIR_Coverage, 51978,
     /*   22056 */     GIR_EraseRootFromParent_Done,
     /*   22057 */   // Label 435: @22057
     /*   22057 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(22153), // Rule ID 51979 //
     /*   22062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22110 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22114 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22118 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22120 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22125 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22127 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22151 */     GIR_RootConstrainSelectedInstOperands,
     /*   22152 */     // GIR_Coverage, 51979,
     /*   22152 */     GIR_EraseRootFromParent_Done,
     /*   22153 */   // Label 436: @22153
     /*   22153 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(22242), // Rule ID 46578 //
     /*   22158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22192 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22201 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22240 */     GIR_RootConstrainSelectedInstOperands,
     /*   22241 */     // GIR_Coverage, 46578,
     /*   22241 */     GIR_EraseRootFromParent_Done,
     /*   22242 */   // Label 437: @22242
     /*   22242 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(22331), // Rule ID 46579 //
     /*   22247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22281 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22290 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22329 */     GIR_RootConstrainSelectedInstOperands,
     /*   22330 */     // GIR_Coverage, 46579,
     /*   22330 */     GIR_EraseRootFromParent_Done,
     /*   22331 */   // Label 438: @22331
     /*   22331 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(22420), // Rule ID 46342 //
     /*   22336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22370 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22379 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22418 */     GIR_RootConstrainSelectedInstOperands,
     /*   22419 */     // GIR_Coverage, 46342,
     /*   22419 */     GIR_EraseRootFromParent_Done,
     /*   22420 */   // Label 439: @22420
     /*   22420 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(22509), // Rule ID 46343 //
     /*   22425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22459 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22468 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22507 */     GIR_RootConstrainSelectedInstOperands,
     /*   22508 */     // GIR_Coverage, 46343,
     /*   22508 */     GIR_EraseRootFromParent_Done,
     /*   22509 */   // Label 440: @22509
     /*   22509 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(22598), // Rule ID 46458 //
     /*   22514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22548 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22557 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22596 */     GIR_RootConstrainSelectedInstOperands,
     /*   22597 */     // GIR_Coverage, 46458,
     /*   22597 */     GIR_EraseRootFromParent_Done,
     /*   22598 */   // Label 441: @22598
     /*   22598 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22687), // Rule ID 46459 //
     /*   22603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22637 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22639 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22646 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22685 */     GIR_RootConstrainSelectedInstOperands,
     /*   22686 */     // GIR_Coverage, 46459,
     /*   22686 */     GIR_EraseRootFromParent_Done,
     /*   22687 */   // Label 442: @22687
     /*   22687 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22755), // Rule ID 70247 //
     /*   22692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22711 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22729 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   22729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22753 */     GIR_RootConstrainSelectedInstOperands,
     /*   22754 */     // GIR_Coverage, 70247,
     /*   22754 */     GIR_EraseRootFromParent_Done,
     /*   22755 */   // Label 443: @22755
     /*   22755 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22823), // Rule ID 70248 //
     /*   22760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22797 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   22797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22821 */     GIR_RootConstrainSelectedInstOperands,
     /*   22822 */     // GIR_Coverage, 70248,
     /*   22822 */     GIR_EraseRootFromParent_Done,
     /*   22823 */   // Label 444: @22823
     /*   22823 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22878), // Rule ID 69227 //
     /*   22828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22843 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22856 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22876 */     GIR_RootConstrainSelectedInstOperands,
     /*   22877 */     // GIR_Coverage, 69227,
     /*   22877 */     GIR_EraseRootFromParent_Done,
     /*   22878 */   // Label 445: @22878
     /*   22878 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22933), // Rule ID 69228 //
     /*   22883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22898 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22911 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22931 */     GIR_RootConstrainSelectedInstOperands,
     /*   22932 */     // GIR_Coverage, 69228,
     /*   22932 */     GIR_EraseRootFromParent_Done,
     /*   22933 */   // Label 446: @22933
     /*   22933 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22988), // Rule ID 69047 //
     /*   22938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22966 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   22969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22986 */     GIR_RootConstrainSelectedInstOperands,
     /*   22987 */     // GIR_Coverage, 69047,
     /*   22987 */     GIR_EraseRootFromParent_Done,
     /*   22988 */   // Label 447: @22988
     /*   22988 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(23043), // Rule ID 69048 //
     /*   22993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23021 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23041 */     GIR_RootConstrainSelectedInstOperands,
     /*   23042 */     // GIR_Coverage, 69048,
     /*   23042 */     GIR_EraseRootFromParent_Done,
     /*   23043 */   // Label 448: @23043
     /*   23043 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(23098), // Rule ID 69137 //
     /*   23048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23076 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23096 */     GIR_RootConstrainSelectedInstOperands,
     /*   23097 */     // GIR_Coverage, 69137,
     /*   23097 */     GIR_EraseRootFromParent_Done,
     /*   23098 */   // Label 449: @23098
     /*   23098 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(23153), // Rule ID 69138 //
     /*   23103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23131 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23151 */     GIR_RootConstrainSelectedInstOperands,
     /*   23152 */     // GIR_Coverage, 69138,
     /*   23152 */     GIR_EraseRootFromParent_Done,
     /*   23153 */   // Label 450: @23153
     /*   23153 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(23221), // Rule ID 51764 //
     /*   23158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23195 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23219 */     GIR_RootConstrainSelectedInstOperands,
     /*   23220 */     // GIR_Coverage, 51764,
     /*   23220 */     GIR_EraseRootFromParent_Done,
     /*   23221 */   // Label 451: @23221
     /*   23221 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23289), // Rule ID 51765 //
     /*   23226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23263 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23287 */     GIR_RootConstrainSelectedInstOperands,
     /*   23288 */     // GIR_Coverage, 51765,
     /*   23288 */     GIR_EraseRootFromParent_Done,
     /*   23289 */   // Label 452: @23289
     /*   23289 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23344), // Rule ID 46638 //
     /*   23294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23313 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23322 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23342 */     GIR_RootConstrainSelectedInstOperands,
     /*   23343 */     // GIR_Coverage, 46638,
     /*   23343 */     GIR_EraseRootFromParent_Done,
     /*   23344 */   // Label 453: @23344
     /*   23344 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23399), // Rule ID 46639 //
     /*   23349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23377 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23397 */     GIR_RootConstrainSelectedInstOperands,
     /*   23398 */     // GIR_Coverage, 46639,
     /*   23398 */     GIR_EraseRootFromParent_Done,
     /*   23399 */   // Label 454: @23399
     /*   23399 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23454), // Rule ID 46398 //
     /*   23404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23432 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23452 */     GIR_RootConstrainSelectedInstOperands,
     /*   23453 */     // GIR_Coverage, 46398,
     /*   23453 */     GIR_EraseRootFromParent_Done,
     /*   23454 */   // Label 455: @23454
     /*   23454 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23509), // Rule ID 46399 //
     /*   23459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23487 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23507 */     GIR_RootConstrainSelectedInstOperands,
     /*   23508 */     // GIR_Coverage, 46399,
     /*   23508 */     GIR_EraseRootFromParent_Done,
     /*   23509 */   // Label 456: @23509
     /*   23509 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23564), // Rule ID 46518 //
     /*   23514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23542 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23562 */     GIR_RootConstrainSelectedInstOperands,
     /*   23563 */     // GIR_Coverage, 46518,
     /*   23563 */     GIR_EraseRootFromParent_Done,
     /*   23564 */   // Label 457: @23564
     /*   23564 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23619), // Rule ID 46519 //
     /*   23569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23597 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23617 */     GIR_RootConstrainSelectedInstOperands,
     /*   23618 */     // GIR_Coverage, 46519,
     /*   23618 */     GIR_EraseRootFromParent_Done,
     /*   23619 */   // Label 458: @23619
     /*   23619 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23672), // Rule ID 46000 //
     /*   23624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23635 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23670 */     GIR_RootConstrainSelectedInstOperands,
     /*   23671 */     // GIR_Coverage, 46000,
     /*   23671 */     GIR_EraseRootFromParent_Done,
     /*   23672 */   // Label 459: @23672
     /*   23672 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23725), // Rule ID 46001 //
     /*   23677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23688 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23723 */     GIR_RootConstrainSelectedInstOperands,
     /*   23724 */     // GIR_Coverage, 46001,
     /*   23724 */     GIR_EraseRootFromParent_Done,
     /*   23725 */   // Label 460: @23725
     /*   23725 */   GIM_Reject,
     /*   23726 */ // Label 420: @23726
     /*   23726 */ GIM_Reject,
     /*   23727 */ // Label 133: @23727
     /*   23727 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(26851),
     /*   23732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23742 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23838), // Rule ID 70425 //
     /*   23747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23795 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23799 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23801 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23810 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23812 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23836 */     GIR_RootConstrainSelectedInstOperands,
     /*   23837 */     // GIR_Coverage, 70425,
     /*   23837 */     GIR_EraseRootFromParent_Done,
     /*   23838 */   // Label 462: @23838
     /*   23838 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23934), // Rule ID 70426 //
     /*   23843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   23846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23887 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23891 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23895 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23897 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23908 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23932 */     GIR_RootConstrainSelectedInstOperands,
     /*   23933 */     // GIR_Coverage, 70426,
     /*   23933 */     GIR_EraseRootFromParent_Done,
     /*   23934 */   // Label 463: @23934
     /*   23934 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(24030), // Rule ID 70709 //
     /*   23939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23972 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23987 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23991 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24002 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24004 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24028 */     GIR_RootConstrainSelectedInstOperands,
     /*   24029 */     // GIR_Coverage, 70709,
     /*   24029 */     GIR_EraseRootFromParent_Done,
     /*   24030 */   // Label 464: @24030
     /*   24030 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24126), // Rule ID 70710 //
     /*   24035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24054 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24079 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24083 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24087 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24089 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24098 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24100 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24124 */     GIR_RootConstrainSelectedInstOperands,
     /*   24125 */     // GIR_Coverage, 70710,
     /*   24125 */     GIR_EraseRootFromParent_Done,
     /*   24126 */   // Label 465: @24126
     /*   24126 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24222), // Rule ID 70711 //
     /*   24131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24164 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24171 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24175 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24179 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24183 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24185 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24194 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24196 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24220 */     GIR_RootConstrainSelectedInstOperands,
     /*   24221 */     // GIR_Coverage, 70711,
     /*   24221 */     GIR_EraseRootFromParent_Done,
     /*   24222 */   // Label 466: @24222
     /*   24222 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24318), // Rule ID 70712 //
     /*   24227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24260 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24275 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24279 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24281 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24292 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24316 */     GIR_RootConstrainSelectedInstOperands,
     /*   24317 */     // GIR_Coverage, 70712,
     /*   24317 */     GIR_EraseRootFromParent_Done,
     /*   24318 */   // Label 467: @24318
     /*   24318 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24414), // Rule ID 70539 //
     /*   24323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24342 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24356 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24363 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24367 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24371 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24375 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24377 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24386 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24388 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24412 */     GIR_RootConstrainSelectedInstOperands,
     /*   24413 */     // GIR_Coverage, 70539,
     /*   24413 */     GIR_EraseRootFromParent_Done,
     /*   24414 */   // Label 468: @24414
     /*   24414 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24510), // Rule ID 70540 //
     /*   24419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24452 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24459 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24463 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24467 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24471 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24473 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24484 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24508 */     GIR_RootConstrainSelectedInstOperands,
     /*   24509 */     // GIR_Coverage, 70540,
     /*   24509 */     GIR_EraseRootFromParent_Done,
     /*   24510 */   // Label 469: @24510
     /*   24510 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24606), // Rule ID 51930 //
     /*   24515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24552 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24559 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24563 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24567 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24571 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24573 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24578 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24580 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24604 */     GIR_RootConstrainSelectedInstOperands,
     /*   24605 */     // GIR_Coverage, 51930,
     /*   24605 */     GIR_EraseRootFromParent_Done,
     /*   24606 */   // Label 470: @24606
     /*   24606 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24702), // Rule ID 51931 //
     /*   24611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24667 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24669 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24676 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24700 */     GIR_RootConstrainSelectedInstOperands,
     /*   24701 */     // GIR_Coverage, 51931,
     /*   24701 */     GIR_EraseRootFromParent_Done,
     /*   24702 */   // Label 471: @24702
     /*   24702 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24798), // Rule ID 52048 //
     /*   24707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24744 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24763 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24772 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24796 */     GIR_RootConstrainSelectedInstOperands,
     /*   24797 */     // GIR_Coverage, 52048,
     /*   24797 */     GIR_EraseRootFromParent_Done,
     /*   24798 */   // Label 472: @24798
     /*   24798 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24894), // Rule ID 52049 //
     /*   24803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24855 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24859 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24861 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24866 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24868 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24892 */     GIR_RootConstrainSelectedInstOperands,
     /*   24893 */     // GIR_Coverage, 52049,
     /*   24893 */     GIR_EraseRootFromParent_Done,
     /*   24894 */   // Label 473: @24894
     /*   24894 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24990), // Rule ID 70707 //
     /*   24899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24951 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24955 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24957 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24962 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24964 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24988 */     GIR_RootConstrainSelectedInstOperands,
     /*   24989 */     // GIR_Coverage, 70707,
     /*   24989 */     GIR_EraseRootFromParent_Done,
     /*   24990 */   // Label 474: @24990
     /*   24990 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(25086), // Rule ID 70708 //
     /*   24995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25047 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25051 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25053 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25058 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25060 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   25063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25084 */     GIR_RootConstrainSelectedInstOperands,
     /*   25085 */     // GIR_Coverage, 70708,
     /*   25085 */     GIR_EraseRootFromParent_Done,
     /*   25086 */   // Label 475: @25086
     /*   25086 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(25182), // Rule ID 51988 //
     /*   25091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25156 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25180 */     GIR_RootConstrainSelectedInstOperands,
     /*   25181 */     // GIR_Coverage, 51988,
     /*   25181 */     GIR_EraseRootFromParent_Done,
     /*   25182 */   // Label 476: @25182
     /*   25182 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(25278), // Rule ID 51989 //
     /*   25187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25250 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25252 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25276 */     GIR_RootConstrainSelectedInstOperands,
     /*   25277 */     // GIR_Coverage, 51989,
     /*   25277 */     GIR_EraseRootFromParent_Done,
     /*   25278 */   // Label 477: @25278
     /*   25278 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(25367), // Rule ID 46598 //
     /*   25283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25317 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25326 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25365 */     GIR_RootConstrainSelectedInstOperands,
     /*   25366 */     // GIR_Coverage, 46598,
     /*   25366 */     GIR_EraseRootFromParent_Done,
     /*   25367 */   // Label 478: @25367
     /*   25367 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(25456), // Rule ID 46599 //
     /*   25372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25406 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25415 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25454 */     GIR_RootConstrainSelectedInstOperands,
     /*   25455 */     // GIR_Coverage, 46599,
     /*   25455 */     GIR_EraseRootFromParent_Done,
     /*   25456 */   // Label 479: @25456
     /*   25456 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(25545), // Rule ID 46362 //
     /*   25461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25504 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25543 */     GIR_RootConstrainSelectedInstOperands,
     /*   25544 */     // GIR_Coverage, 46362,
     /*   25544 */     GIR_EraseRootFromParent_Done,
     /*   25545 */   // Label 480: @25545
     /*   25545 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25634), // Rule ID 46363 //
     /*   25550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25593 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25632 */     GIR_RootConstrainSelectedInstOperands,
     /*   25633 */     // GIR_Coverage, 46363,
     /*   25633 */     GIR_EraseRootFromParent_Done,
     /*   25634 */   // Label 481: @25634
     /*   25634 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25723), // Rule ID 46478 //
     /*   25639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25682 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25721 */     GIR_RootConstrainSelectedInstOperands,
     /*   25722 */     // GIR_Coverage, 46478,
     /*   25722 */     GIR_EraseRootFromParent_Done,
     /*   25723 */   // Label 482: @25723
     /*   25723 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25812), // Rule ID 46479 //
     /*   25728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25771 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25810 */     GIR_RootConstrainSelectedInstOperands,
     /*   25811 */     // GIR_Coverage, 46479,
     /*   25811 */     GIR_EraseRootFromParent_Done,
     /*   25812 */   // Label 483: @25812
     /*   25812 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25880), // Rule ID 70335 //
     /*   25817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25854 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   25854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25878 */     GIR_RootConstrainSelectedInstOperands,
     /*   25879 */     // GIR_Coverage, 70335,
     /*   25879 */     GIR_EraseRootFromParent_Done,
     /*   25880 */   // Label 484: @25880
     /*   25880 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25948), // Rule ID 70336 //
     /*   25885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25922 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   25922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25946 */     GIR_RootConstrainSelectedInstOperands,
     /*   25947 */     // GIR_Coverage, 70336,
     /*   25947 */     GIR_EraseRootFromParent_Done,
     /*   25948 */   // Label 485: @25948
     /*   25948 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(26003), // Rule ID 69247 //
     /*   25953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25981 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   25984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26001 */     GIR_RootConstrainSelectedInstOperands,
     /*   26002 */     // GIR_Coverage, 69247,
     /*   26002 */     GIR_EraseRootFromParent_Done,
     /*   26003 */   // Label 486: @26003
     /*   26003 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(26058), // Rule ID 69248 //
     /*   26008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26036 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26056 */     GIR_RootConstrainSelectedInstOperands,
     /*   26057 */     // GIR_Coverage, 69248,
     /*   26057 */     GIR_EraseRootFromParent_Done,
     /*   26058 */   // Label 487: @26058
     /*   26058 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(26113), // Rule ID 69067 //
     /*   26063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26091 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26111 */     GIR_RootConstrainSelectedInstOperands,
     /*   26112 */     // GIR_Coverage, 69067,
     /*   26112 */     GIR_EraseRootFromParent_Done,
     /*   26113 */   // Label 488: @26113
     /*   26113 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(26168), // Rule ID 69068 //
     /*   26118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26146 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26166 */     GIR_RootConstrainSelectedInstOperands,
     /*   26167 */     // GIR_Coverage, 69068,
     /*   26167 */     GIR_EraseRootFromParent_Done,
     /*   26168 */   // Label 489: @26168
     /*   26168 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(26223), // Rule ID 69157 //
     /*   26173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26201 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26221 */     GIR_RootConstrainSelectedInstOperands,
     /*   26222 */     // GIR_Coverage, 69157,
     /*   26222 */     GIR_EraseRootFromParent_Done,
     /*   26223 */   // Label 490: @26223
     /*   26223 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(26278), // Rule ID 69158 //
     /*   26228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26256 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26276 */     GIR_RootConstrainSelectedInstOperands,
     /*   26277 */     // GIR_Coverage, 69158,
     /*   26277 */     GIR_EraseRootFromParent_Done,
     /*   26278 */   // Label 491: @26278
     /*   26278 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26346), // Rule ID 51808 //
     /*   26283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26320 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   26320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26344 */     GIR_RootConstrainSelectedInstOperands,
     /*   26345 */     // GIR_Coverage, 51808,
     /*   26345 */     GIR_EraseRootFromParent_Done,
     /*   26346 */   // Label 492: @26346
     /*   26346 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26414), // Rule ID 51809 //
     /*   26351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26388 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   26388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26412 */     GIR_RootConstrainSelectedInstOperands,
     /*   26413 */     // GIR_Coverage, 51809,
     /*   26413 */     GIR_EraseRootFromParent_Done,
     /*   26414 */   // Label 493: @26414
     /*   26414 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26469), // Rule ID 46658 //
     /*   26419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26447 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26467 */     GIR_RootConstrainSelectedInstOperands,
     /*   26468 */     // GIR_Coverage, 46658,
     /*   26468 */     GIR_EraseRootFromParent_Done,
     /*   26469 */   // Label 494: @26469
     /*   26469 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26524), // Rule ID 46659 //
     /*   26474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26493 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26502 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26522 */     GIR_RootConstrainSelectedInstOperands,
     /*   26523 */     // GIR_Coverage, 46659,
     /*   26523 */     GIR_EraseRootFromParent_Done,
     /*   26524 */   // Label 495: @26524
     /*   26524 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26579), // Rule ID 46418 //
     /*   26529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26557 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26577 */     GIR_RootConstrainSelectedInstOperands,
     /*   26578 */     // GIR_Coverage, 46418,
     /*   26578 */     GIR_EraseRootFromParent_Done,
     /*   26579 */   // Label 496: @26579
     /*   26579 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26634), // Rule ID 46419 //
     /*   26584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26612 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26632 */     GIR_RootConstrainSelectedInstOperands,
     /*   26633 */     // GIR_Coverage, 46419,
     /*   26633 */     GIR_EraseRootFromParent_Done,
     /*   26634 */   // Label 497: @26634
     /*   26634 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26689), // Rule ID 46538 //
     /*   26639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26667 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26687 */     GIR_RootConstrainSelectedInstOperands,
     /*   26688 */     // GIR_Coverage, 46538,
     /*   26688 */     GIR_EraseRootFromParent_Done,
     /*   26689 */   // Label 498: @26689
     /*   26689 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26744), // Rule ID 46539 //
     /*   26694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26722 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26742 */     GIR_RootConstrainSelectedInstOperands,
     /*   26743 */     // GIR_Coverage, 46539,
     /*   26743 */     GIR_EraseRootFromParent_Done,
     /*   26744 */   // Label 499: @26744
     /*   26744 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26797), // Rule ID 46044 //
     /*   26749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26760 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   26760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26795 */     GIR_RootConstrainSelectedInstOperands,
     /*   26796 */     // GIR_Coverage, 46044,
     /*   26796 */     GIR_EraseRootFromParent_Done,
     /*   26797 */   // Label 500: @26797
     /*   26797 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26850), // Rule ID 46045 //
     /*   26802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26813 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   26813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26848 */     GIR_RootConstrainSelectedInstOperands,
     /*   26849 */     // GIR_Coverage, 46045,
     /*   26849 */     GIR_EraseRootFromParent_Done,
     /*   26850 */   // Label 501: @26850
     /*   26850 */   GIM_Reject,
     /*   26851 */ // Label 461: @26851
     /*   26851 */ GIM_Reject,
     /*   26852 */ // Label 134: @26852
     /*   26852 */ GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(27246),
     /*   26857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26867 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(26935), // Rule ID 70199 //
     /*   26872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26909 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   26909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26933 */     GIR_RootConstrainSelectedInstOperands,
     /*   26934 */     // GIR_Coverage, 70199,
     /*   26934 */     GIR_EraseRootFromParent_Done,
     /*   26935 */   // Label 503: @26935
     /*   26935 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(27003), // Rule ID 70200 //
     /*   26940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26977 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   26977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27001 */     GIR_RootConstrainSelectedInstOperands,
     /*   27002 */     // GIR_Coverage, 70200,
     /*   27002 */     GIR_EraseRootFromParent_Done,
     /*   27003 */   // Label 504: @27003
     /*   27003 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27071), // Rule ID 51740 //
     /*   27008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27045 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27069 */     GIR_RootConstrainSelectedInstOperands,
     /*   27070 */     // GIR_Coverage, 51740,
     /*   27070 */     GIR_EraseRootFromParent_Done,
     /*   27071 */   // Label 505: @27071
     /*   27071 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27139), // Rule ID 51741 //
     /*   27076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27113 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27137 */     GIR_RootConstrainSelectedInstOperands,
     /*   27138 */     // GIR_Coverage, 51741,
     /*   27138 */     GIR_EraseRootFromParent_Done,
     /*   27139 */   // Label 506: @27139
     /*   27139 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27192), // Rule ID 45976 //
     /*   27144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27155 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   27155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27190 */     GIR_RootConstrainSelectedInstOperands,
     /*   27191 */     // GIR_Coverage, 45976,
     /*   27191 */     GIR_EraseRootFromParent_Done,
     /*   27192 */   // Label 507: @27192
     /*   27192 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27245), // Rule ID 45977 //
     /*   27197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27208 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   27208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27243 */     GIR_RootConstrainSelectedInstOperands,
     /*   27244 */     // GIR_Coverage, 45977,
     /*   27244 */     GIR_EraseRootFromParent_Done,
     /*   27245 */   // Label 508: @27245
     /*   27245 */   GIM_Reject,
     /*   27246 */ // Label 502: @27246
     /*   27246 */ GIM_Reject,
     /*   27247 */ // Label 135: @27247
     /*   27247 */ GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(30371),
     /*   27252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27262 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27358), // Rule ID 70405 //
     /*   27267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27315 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27319 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27321 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27330 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27332 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27356 */     GIR_RootConstrainSelectedInstOperands,
     /*   27357 */     // GIR_Coverage, 70405,
     /*   27357 */     GIR_EraseRootFromParent_Done,
     /*   27358 */   // Label 510: @27358
     /*   27358 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27454), // Rule ID 70406 //
     /*   27363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27411 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27415 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27417 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27426 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27428 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27452 */     GIR_RootConstrainSelectedInstOperands,
     /*   27453 */     // GIR_Coverage, 70406,
     /*   27453 */     GIR_EraseRootFromParent_Done,
     /*   27454 */   // Label 511: @27454
     /*   27454 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27550), // Rule ID 70649 //
     /*   27459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27503 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27507 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27511 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27513 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27522 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27524 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27548 */     GIR_RootConstrainSelectedInstOperands,
     /*   27549 */     // GIR_Coverage, 70649,
     /*   27549 */     GIR_EraseRootFromParent_Done,
     /*   27550 */   // Label 512: @27550
     /*   27550 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27646), // Rule ID 70650 //
     /*   27555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27603 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27607 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27609 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27618 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27620 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27644 */     GIR_RootConstrainSelectedInstOperands,
     /*   27645 */     // GIR_Coverage, 70650,
     /*   27645 */     GIR_EraseRootFromParent_Done,
     /*   27646 */   // Label 513: @27646
     /*   27646 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27742), // Rule ID 70651 //
     /*   27651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27684 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27691 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27695 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27699 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27703 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27705 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27714 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27716 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27740 */     GIR_RootConstrainSelectedInstOperands,
     /*   27741 */     // GIR_Coverage, 70651,
     /*   27741 */     GIR_EraseRootFromParent_Done,
     /*   27742 */   // Label 514: @27742
     /*   27742 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27838), // Rule ID 70652 //
     /*   27747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27795 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27799 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27801 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27810 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27812 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27836 */     GIR_RootConstrainSelectedInstOperands,
     /*   27837 */     // GIR_Coverage, 70652,
     /*   27837 */     GIR_EraseRootFromParent_Done,
     /*   27838 */   // Label 515: @27838
     /*   27838 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27934), // Rule ID 70519 //
     /*   27843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27887 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27891 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27895 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27897 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27908 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27932 */     GIR_RootConstrainSelectedInstOperands,
     /*   27933 */     // GIR_Coverage, 70519,
     /*   27933 */     GIR_EraseRootFromParent_Done,
     /*   27934 */   // Label 516: @27934
     /*   27934 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(28030), // Rule ID 70520 //
     /*   27939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27972 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27987 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27991 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28002 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28004 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28028 */     GIR_RootConstrainSelectedInstOperands,
     /*   28029 */     // GIR_Coverage, 70520,
     /*   28029 */     GIR_EraseRootFromParent_Done,
     /*   28030 */   // Label 517: @28030
     /*   28030 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(28126), // Rule ID 51910 //
     /*   28035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28072 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28087 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28091 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28093 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28098 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28100 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28124 */     GIR_RootConstrainSelectedInstOperands,
     /*   28125 */     // GIR_Coverage, 51910,
     /*   28125 */     GIR_EraseRootFromParent_Done,
     /*   28126 */   // Label 518: @28126
     /*   28126 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(28222), // Rule ID 51911 //
     /*   28131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28154 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28183 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28187 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28189 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28194 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28196 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28220 */     GIR_RootConstrainSelectedInstOperands,
     /*   28221 */     // GIR_Coverage, 51911,
     /*   28221 */     GIR_EraseRootFromParent_Done,
     /*   28222 */   // Label 519: @28222
     /*   28222 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(28318), // Rule ID 52028 //
     /*   28227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28264 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28271 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28275 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28279 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28283 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28285 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28292 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28316 */     GIR_RootConstrainSelectedInstOperands,
     /*   28317 */     // GIR_Coverage, 52028,
     /*   28317 */     GIR_EraseRootFromParent_Done,
     /*   28318 */   // Label 520: @28318
     /*   28318 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28414), // Rule ID 52029 //
     /*   28323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28371 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28375 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28379 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28381 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28386 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28388 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28412 */     GIR_RootConstrainSelectedInstOperands,
     /*   28413 */     // GIR_Coverage, 52029,
     /*   28413 */     GIR_EraseRootFromParent_Done,
     /*   28414 */   // Label 521: @28414
     /*   28414 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28510), // Rule ID 70647 //
     /*   28419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28456 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28463 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28467 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28471 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28475 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28477 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28484 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28508 */     GIR_RootConstrainSelectedInstOperands,
     /*   28509 */     // GIR_Coverage, 70647,
     /*   28509 */     GIR_EraseRootFromParent_Done,
     /*   28510 */   // Label 522: @28510
     /*   28510 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28606), // Rule ID 70648 //
     /*   28515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28552 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28559 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28563 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28567 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28571 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28573 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28578 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28580 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28604 */     GIR_RootConstrainSelectedInstOperands,
     /*   28605 */     // GIR_Coverage, 70648,
     /*   28605 */     GIR_EraseRootFromParent_Done,
     /*   28606 */   // Label 523: @28606
     /*   28606 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28702), // Rule ID 51968 //
     /*   28611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28667 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28669 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28676 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28700 */     GIR_RootConstrainSelectedInstOperands,
     /*   28701 */     // GIR_Coverage, 51968,
     /*   28701 */     GIR_EraseRootFromParent_Done,
     /*   28702 */   // Label 524: @28702
     /*   28702 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28798), // Rule ID 51969 //
     /*   28707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28744 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28763 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28772 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28796 */     GIR_RootConstrainSelectedInstOperands,
     /*   28797 */     // GIR_Coverage, 51969,
     /*   28797 */     GIR_EraseRootFromParent_Done,
     /*   28798 */   // Label 525: @28798
     /*   28798 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28887), // Rule ID 46558 //
     /*   28803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28837 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28846 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   28846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28885 */     GIR_RootConstrainSelectedInstOperands,
     /*   28886 */     // GIR_Coverage, 46558,
     /*   28886 */     GIR_EraseRootFromParent_Done,
     /*   28887 */   // Label 526: @28887
     /*   28887 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28976), // Rule ID 46559 //
     /*   28892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28926 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28935 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   28935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28974 */     GIR_RootConstrainSelectedInstOperands,
     /*   28975 */     // GIR_Coverage, 46559,
     /*   28975 */     GIR_EraseRootFromParent_Done,
     /*   28976 */   // Label 527: @28976
     /*   28976 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(29065), // Rule ID 46322 //
     /*   28981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29015 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29024 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29063 */     GIR_RootConstrainSelectedInstOperands,
     /*   29064 */     // GIR_Coverage, 46322,
     /*   29064 */     GIR_EraseRootFromParent_Done,
     /*   29065 */   // Label 528: @29065
     /*   29065 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(29154), // Rule ID 46323 //
     /*   29070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29104 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29113 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29152 */     GIR_RootConstrainSelectedInstOperands,
     /*   29153 */     // GIR_Coverage, 46323,
     /*   29153 */     GIR_EraseRootFromParent_Done,
     /*   29154 */   // Label 529: @29154
     /*   29154 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(29243), // Rule ID 46438 //
     /*   29159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29193 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29195 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29200 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29202 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29241 */     GIR_RootConstrainSelectedInstOperands,
     /*   29242 */     // GIR_Coverage, 46438,
     /*   29242 */     GIR_EraseRootFromParent_Done,
     /*   29243 */   // Label 530: @29243
     /*   29243 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29332), // Rule ID 46439 //
     /*   29248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29263 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29282 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29291 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29330 */     GIR_RootConstrainSelectedInstOperands,
     /*   29331 */     // GIR_Coverage, 46439,
     /*   29331 */     GIR_EraseRootFromParent_Done,
     /*   29332 */   // Label 531: @29332
     /*   29332 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29400), // Rule ID 70239 //
     /*   29337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29374 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29398 */     GIR_RootConstrainSelectedInstOperands,
     /*   29399 */     // GIR_Coverage, 70239,
     /*   29399 */     GIR_EraseRootFromParent_Done,
     /*   29400 */   // Label 532: @29400
     /*   29400 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29468), // Rule ID 70240 //
     /*   29405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29442 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29466 */     GIR_RootConstrainSelectedInstOperands,
     /*   29467 */     // GIR_Coverage, 70240,
     /*   29467 */     GIR_EraseRootFromParent_Done,
     /*   29468 */   // Label 533: @29468
     /*   29468 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29523), // Rule ID 69207 //
     /*   29473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29488 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29501 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29521 */     GIR_RootConstrainSelectedInstOperands,
     /*   29522 */     // GIR_Coverage, 69207,
     /*   29522 */     GIR_EraseRootFromParent_Done,
     /*   29523 */   // Label 534: @29523
     /*   29523 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29578), // Rule ID 69208 //
     /*   29528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29543 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29556 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29576 */     GIR_RootConstrainSelectedInstOperands,
     /*   29577 */     // GIR_Coverage, 69208,
     /*   29577 */     GIR_EraseRootFromParent_Done,
     /*   29578 */   // Label 535: @29578
     /*   29578 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29633), // Rule ID 69027 //
     /*   29583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29611 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29631 */     GIR_RootConstrainSelectedInstOperands,
     /*   29632 */     // GIR_Coverage, 69027,
     /*   29632 */     GIR_EraseRootFromParent_Done,
     /*   29633 */   // Label 536: @29633
     /*   29633 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29688), // Rule ID 69028 //
     /*   29638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29666 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29686 */     GIR_RootConstrainSelectedInstOperands,
     /*   29687 */     // GIR_Coverage, 69028,
     /*   29687 */     GIR_EraseRootFromParent_Done,
     /*   29688 */   // Label 537: @29688
     /*   29688 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29743), // Rule ID 69117 //
     /*   29693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29721 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29741 */     GIR_RootConstrainSelectedInstOperands,
     /*   29742 */     // GIR_Coverage, 69117,
     /*   29742 */     GIR_EraseRootFromParent_Done,
     /*   29743 */   // Label 538: @29743
     /*   29743 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29798), // Rule ID 69118 //
     /*   29748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29776 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29796 */     GIR_RootConstrainSelectedInstOperands,
     /*   29797 */     // GIR_Coverage, 69118,
     /*   29797 */     GIR_EraseRootFromParent_Done,
     /*   29798 */   // Label 539: @29798
     /*   29798 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29866), // Rule ID 51760 //
     /*   29803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29840 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29864 */     GIR_RootConstrainSelectedInstOperands,
     /*   29865 */     // GIR_Coverage, 51760,
     /*   29865 */     GIR_EraseRootFromParent_Done,
     /*   29866 */   // Label 540: @29866
     /*   29866 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29934), // Rule ID 51761 //
     /*   29871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29908 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29932 */     GIR_RootConstrainSelectedInstOperands,
     /*   29933 */     // GIR_Coverage, 51761,
     /*   29933 */     GIR_EraseRootFromParent_Done,
     /*   29934 */   // Label 541: @29934
     /*   29934 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29989), // Rule ID 46618 //
     /*   29939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29967 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29987 */     GIR_RootConstrainSelectedInstOperands,
     /*   29988 */     // GIR_Coverage, 46618,
     /*   29988 */     GIR_EraseRootFromParent_Done,
     /*   29989 */   // Label 542: @29989
     /*   29989 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30044), // Rule ID 46619 //
     /*   29994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30022 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30042 */     GIR_RootConstrainSelectedInstOperands,
     /*   30043 */     // GIR_Coverage, 46619,
     /*   30043 */     GIR_EraseRootFromParent_Done,
     /*   30044 */   // Label 543: @30044
     /*   30044 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30099), // Rule ID 46378 //
     /*   30049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30077 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30097 */     GIR_RootConstrainSelectedInstOperands,
     /*   30098 */     // GIR_Coverage, 46378,
     /*   30098 */     GIR_EraseRootFromParent_Done,
     /*   30099 */   // Label 544: @30099
     /*   30099 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30154), // Rule ID 46379 //
     /*   30104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30132 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30152 */     GIR_RootConstrainSelectedInstOperands,
     /*   30153 */     // GIR_Coverage, 46379,
     /*   30153 */     GIR_EraseRootFromParent_Done,
     /*   30154 */   // Label 545: @30154
     /*   30154 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30209), // Rule ID 46498 //
     /*   30159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30187 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30207 */     GIR_RootConstrainSelectedInstOperands,
     /*   30208 */     // GIR_Coverage, 46498,
     /*   30208 */     GIR_EraseRootFromParent_Done,
     /*   30209 */   // Label 546: @30209
     /*   30209 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30264), // Rule ID 46499 //
     /*   30214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30242 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30262 */     GIR_RootConstrainSelectedInstOperands,
     /*   30263 */     // GIR_Coverage, 46499,
     /*   30263 */     GIR_EraseRootFromParent_Done,
     /*   30264 */   // Label 547: @30264
     /*   30264 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30317), // Rule ID 45996 //
     /*   30269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30280 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30315 */     GIR_RootConstrainSelectedInstOperands,
     /*   30316 */     // GIR_Coverage, 45996,
     /*   30316 */     GIR_EraseRootFromParent_Done,
     /*   30317 */   // Label 548: @30317
     /*   30317 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30370), // Rule ID 45997 //
     /*   30322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30333 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30368 */     GIR_RootConstrainSelectedInstOperands,
     /*   30369 */     // GIR_Coverage, 45997,
     /*   30369 */     GIR_EraseRootFromParent_Done,
     /*   30370 */   // Label 549: @30370
     /*   30370 */   GIM_Reject,
     /*   30371 */ // Label 509: @30371
     /*   30371 */ GIM_Reject,
     /*   30372 */ // Label 136: @30372
     /*   30372 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(33496),
     /*   30377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30387 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30483), // Rule ID 70417 //
     /*   30392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30425 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30427 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30432 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30436 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30440 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30444 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30446 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30455 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30457 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30481 */     GIR_RootConstrainSelectedInstOperands,
     /*   30482 */     // GIR_Coverage, 70417,
     /*   30482 */     GIR_EraseRootFromParent_Done,
     /*   30483 */   // Label 551: @30483
     /*   30483 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30579), // Rule ID 70418 //
     /*   30488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30528 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30532 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30536 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30540 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30542 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30551 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30553 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30577 */     GIR_RootConstrainSelectedInstOperands,
     /*   30578 */     // GIR_Coverage, 70418,
     /*   30578 */     GIR_EraseRootFromParent_Done,
     /*   30579 */   // Label 552: @30579
     /*   30579 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30675), // Rule ID 70685 //
     /*   30584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30624 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30628 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30632 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30636 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30638 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30647 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30649 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30673 */     GIR_RootConstrainSelectedInstOperands,
     /*   30674 */     // GIR_Coverage, 70685,
     /*   30674 */     GIR_EraseRootFromParent_Done,
     /*   30675 */   // Label 553: @30675
     /*   30675 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30771), // Rule ID 70686 //
     /*   30680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30713 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30715 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30728 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30732 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30734 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30743 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30745 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30769 */     GIR_RootConstrainSelectedInstOperands,
     /*   30770 */     // GIR_Coverage, 70686,
     /*   30770 */     GIR_EraseRootFromParent_Done,
     /*   30771 */   // Label 554: @30771
     /*   30771 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30867), // Rule ID 70687 //
     /*   30776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30816 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30820 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30824 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30828 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30830 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30839 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30841 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30865 */     GIR_RootConstrainSelectedInstOperands,
     /*   30866 */     // GIR_Coverage, 70687,
     /*   30866 */     GIR_EraseRootFromParent_Done,
     /*   30867 */   // Label 555: @30867
     /*   30867 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30963), // Rule ID 70688 //
     /*   30872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30912 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30916 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30920 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30924 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30926 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30935 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30937 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30961 */     GIR_RootConstrainSelectedInstOperands,
     /*   30962 */     // GIR_Coverage, 70688,
     /*   30962 */     GIR_EraseRootFromParent_Done,
     /*   30963 */   // Label 556: @30963
     /*   30963 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(31059), // Rule ID 70531 //
     /*   30968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31001 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31008 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31012 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31016 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31020 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31022 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31031 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31033 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31057 */     GIR_RootConstrainSelectedInstOperands,
     /*   31058 */     // GIR_Coverage, 70531,
     /*   31058 */     GIR_EraseRootFromParent_Done,
     /*   31059 */   // Label 557: @31059
     /*   31059 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(31155), // Rule ID 70532 //
     /*   31064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31083 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31097 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31104 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31108 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31112 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31116 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31118 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31129 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31153 */     GIR_RootConstrainSelectedInstOperands,
     /*   31154 */     // GIR_Coverage, 70532,
     /*   31154 */     GIR_EraseRootFromParent_Done,
     /*   31155 */   // Label 558: @31155
     /*   31155 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(31251), // Rule ID 51922 //
     /*   31160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31212 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31216 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31218 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31223 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31225 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31249 */     GIR_RootConstrainSelectedInstOperands,
     /*   31250 */     // GIR_Coverage, 51922,
     /*   31250 */     GIR_EraseRootFromParent_Done,
     /*   31251 */   // Label 559: @31251
     /*   31251 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31347), // Rule ID 51923 //
     /*   31256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31279 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31293 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31300 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31304 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31308 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31312 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31314 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31319 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31321 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31345 */     GIR_RootConstrainSelectedInstOperands,
     /*   31346 */     // GIR_Coverage, 51923,
     /*   31346 */     GIR_EraseRootFromParent_Done,
     /*   31347 */   // Label 560: @31347
     /*   31347 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31443), // Rule ID 52040 //
     /*   31352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31396 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31400 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31404 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31408 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31410 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31415 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31417 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31441 */     GIR_RootConstrainSelectedInstOperands,
     /*   31442 */     // GIR_Coverage, 52040,
     /*   31442 */     GIR_EraseRootFromParent_Done,
     /*   31443 */   // Label 561: @31443
     /*   31443 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31539), // Rule ID 52041 //
     /*   31448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31492 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31496 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31500 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31504 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31506 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31513 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31537 */     GIR_RootConstrainSelectedInstOperands,
     /*   31538 */     // GIR_Coverage, 52041,
     /*   31538 */     GIR_EraseRootFromParent_Done,
     /*   31539 */   // Label 562: @31539
     /*   31539 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31635), // Rule ID 70683 //
     /*   31544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31596 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31600 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31602 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31609 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31633 */     GIR_RootConstrainSelectedInstOperands,
     /*   31634 */     // GIR_Coverage, 70683,
     /*   31634 */     GIR_EraseRootFromParent_Done,
     /*   31635 */   // Label 563: @31635
     /*   31635 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31731), // Rule ID 70684 //
     /*   31640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31684 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31688 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31692 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31696 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31698 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31705 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31729 */     GIR_RootConstrainSelectedInstOperands,
     /*   31730 */     // GIR_Coverage, 70684,
     /*   31730 */     GIR_EraseRootFromParent_Done,
     /*   31731 */   // Label 564: @31731
     /*   31731 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31827), // Rule ID 51980 //
     /*   31736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31773 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31788 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31792 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31794 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31799 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31801 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31825 */     GIR_RootConstrainSelectedInstOperands,
     /*   31826 */     // GIR_Coverage, 51980,
     /*   31826 */     GIR_EraseRootFromParent_Done,
     /*   31827 */   // Label 565: @31827
     /*   31827 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31923), // Rule ID 51981 //
     /*   31832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31884 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31888 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31890 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31895 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31897 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31921 */     GIR_RootConstrainSelectedInstOperands,
     /*   31922 */     // GIR_Coverage, 51981,
     /*   31922 */     GIR_EraseRootFromParent_Done,
     /*   31923 */   // Label 566: @31923
     /*   31923 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(32012), // Rule ID 46582 //
     /*   31928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   31954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31962 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31971 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   31974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   31988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32010 */     GIR_RootConstrainSelectedInstOperands,
     /*   32011 */     // GIR_Coverage, 46582,
     /*   32011 */     GIR_EraseRootFromParent_Done,
     /*   32012 */   // Label 567: @32012
     /*   32012 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(32101), // Rule ID 46583 //
     /*   32017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32051 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32060 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32099 */     GIR_RootConstrainSelectedInstOperands,
     /*   32100 */     // GIR_Coverage, 46583,
     /*   32100 */     GIR_EraseRootFromParent_Done,
     /*   32101 */   // Label 568: @32101
     /*   32101 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(32190), // Rule ID 46346 //
     /*   32106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32140 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32149 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32188 */     GIR_RootConstrainSelectedInstOperands,
     /*   32189 */     // GIR_Coverage, 46346,
     /*   32189 */     GIR_EraseRootFromParent_Done,
     /*   32190 */   // Label 569: @32190
     /*   32190 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(32279), // Rule ID 46347 //
     /*   32195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32229 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32238 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32277 */     GIR_RootConstrainSelectedInstOperands,
     /*   32278 */     // GIR_Coverage, 46347,
     /*   32278 */     GIR_EraseRootFromParent_Done,
     /*   32279 */   // Label 570: @32279
     /*   32279 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(32368), // Rule ID 46462 //
     /*   32284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32318 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32327 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32366 */     GIR_RootConstrainSelectedInstOperands,
     /*   32367 */     // GIR_Coverage, 46462,
     /*   32367 */     GIR_EraseRootFromParent_Done,
     /*   32368 */   // Label 571: @32368
     /*   32368 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(32457), // Rule ID 46463 //
     /*   32373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32407 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32416 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32455 */     GIR_RootConstrainSelectedInstOperands,
     /*   32456 */     // GIR_Coverage, 46463,
     /*   32456 */     GIR_EraseRootFromParent_Done,
     /*   32457 */   // Label 572: @32457
     /*   32457 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(32525), // Rule ID 70311 //
     /*   32462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32499 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32523 */     GIR_RootConstrainSelectedInstOperands,
     /*   32524 */     // GIR_Coverage, 70311,
     /*   32524 */     GIR_EraseRootFromParent_Done,
     /*   32525 */   // Label 573: @32525
     /*   32525 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32593), // Rule ID 70312 //
     /*   32530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32567 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   32567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32591 */     GIR_RootConstrainSelectedInstOperands,
     /*   32592 */     // GIR_Coverage, 70312,
     /*   32592 */     GIR_EraseRootFromParent_Done,
     /*   32593 */   // Label 574: @32593
     /*   32593 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32648), // Rule ID 69231 //
     /*   32598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32613 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32626 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32646 */     GIR_RootConstrainSelectedInstOperands,
     /*   32647 */     // GIR_Coverage, 69231,
     /*   32647 */     GIR_EraseRootFromParent_Done,
     /*   32648 */   // Label 575: @32648
     /*   32648 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32703), // Rule ID 69232 //
     /*   32653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32681 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32701 */     GIR_RootConstrainSelectedInstOperands,
     /*   32702 */     // GIR_Coverage, 69232,
     /*   32702 */     GIR_EraseRootFromParent_Done,
     /*   32703 */   // Label 576: @32703
     /*   32703 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32758), // Rule ID 69051 //
     /*   32708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32736 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32756 */     GIR_RootConstrainSelectedInstOperands,
     /*   32757 */     // GIR_Coverage, 69051,
     /*   32757 */     GIR_EraseRootFromParent_Done,
     /*   32758 */   // Label 577: @32758
     /*   32758 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32813), // Rule ID 69052 //
     /*   32763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32791 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32811 */     GIR_RootConstrainSelectedInstOperands,
     /*   32812 */     // GIR_Coverage, 69052,
     /*   32812 */     GIR_EraseRootFromParent_Done,
     /*   32813 */   // Label 578: @32813
     /*   32813 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32868), // Rule ID 69141 //
     /*   32818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32833 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32846 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32866 */     GIR_RootConstrainSelectedInstOperands,
     /*   32867 */     // GIR_Coverage, 69141,
     /*   32867 */     GIR_EraseRootFromParent_Done,
     /*   32868 */   // Label 579: @32868
     /*   32868 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32923), // Rule ID 69142 //
     /*   32873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32901 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32921 */     GIR_RootConstrainSelectedInstOperands,
     /*   32922 */     // GIR_Coverage, 69142,
     /*   32922 */     GIR_EraseRootFromParent_Done,
     /*   32923 */   // Label 580: @32923
     /*   32923 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32991), // Rule ID 51796 //
     /*   32928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32965 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   32980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32989 */     GIR_RootConstrainSelectedInstOperands,
     /*   32990 */     // GIR_Coverage, 51796,
     /*   32990 */     GIR_EraseRootFromParent_Done,
     /*   32991 */   // Label 581: @32991
     /*   32991 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(33059), // Rule ID 51797 //
     /*   32996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   33019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33033 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   33036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33057 */     GIR_RootConstrainSelectedInstOperands,
     /*   33058 */     // GIR_Coverage, 51797,
     /*   33058 */     GIR_EraseRootFromParent_Done,
     /*   33059 */   // Label 582: @33059
     /*   33059 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(33114), // Rule ID 46642 //
     /*   33064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33083 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33092 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33112 */     GIR_RootConstrainSelectedInstOperands,
     /*   33113 */     // GIR_Coverage, 46642,
     /*   33113 */     GIR_EraseRootFromParent_Done,
     /*   33114 */   // Label 583: @33114
     /*   33114 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33169), // Rule ID 46643 //
     /*   33119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33147 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33167 */     GIR_RootConstrainSelectedInstOperands,
     /*   33168 */     // GIR_Coverage, 46643,
     /*   33168 */     GIR_EraseRootFromParent_Done,
     /*   33169 */   // Label 584: @33169
     /*   33169 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33224), // Rule ID 46402 //
     /*   33174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33193 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33202 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33222 */     GIR_RootConstrainSelectedInstOperands,
     /*   33223 */     // GIR_Coverage, 46402,
     /*   33223 */     GIR_EraseRootFromParent_Done,
     /*   33224 */   // Label 585: @33224
     /*   33224 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33279), // Rule ID 46403 //
     /*   33229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33257 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33277 */     GIR_RootConstrainSelectedInstOperands,
     /*   33278 */     // GIR_Coverage, 46403,
     /*   33278 */     GIR_EraseRootFromParent_Done,
     /*   33279 */   // Label 586: @33279
     /*   33279 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33334), // Rule ID 46522 //
     /*   33284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33303 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33312 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33332 */     GIR_RootConstrainSelectedInstOperands,
     /*   33333 */     // GIR_Coverage, 46522,
     /*   33333 */     GIR_EraseRootFromParent_Done,
     /*   33334 */   // Label 587: @33334
     /*   33334 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33389), // Rule ID 46523 //
     /*   33339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33367 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33387 */     GIR_RootConstrainSelectedInstOperands,
     /*   33388 */     // GIR_Coverage, 46523,
     /*   33388 */     GIR_EraseRootFromParent_Done,
     /*   33389 */   // Label 588: @33389
     /*   33389 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33442), // Rule ID 46032 //
     /*   33394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33405 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33440 */     GIR_RootConstrainSelectedInstOperands,
     /*   33441 */     // GIR_Coverage, 46032,
     /*   33441 */     GIR_EraseRootFromParent_Done,
     /*   33442 */   // Label 589: @33442
     /*   33442 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33495), // Rule ID 46033 //
     /*   33447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33458 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33493 */     GIR_RootConstrainSelectedInstOperands,
     /*   33494 */     // GIR_Coverage, 46033,
     /*   33494 */     GIR_EraseRootFromParent_Done,
     /*   33495 */   // Label 590: @33495
     /*   33495 */   GIM_Reject,
     /*   33496 */ // Label 550: @33496
     /*   33496 */ GIM_Reject,
     /*   33497 */ // Label 137: @33497
     /*   33497 */ GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(36621),
     /*   33502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33512 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33608), // Rule ID 70427 //
     /*   33517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33565 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33569 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33571 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33582 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33606 */     GIR_RootConstrainSelectedInstOperands,
     /*   33607 */     // GIR_Coverage, 70427,
     /*   33607 */     GIR_EraseRootFromParent_Done,
     /*   33608 */   // Label 592: @33608
     /*   33608 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33704), // Rule ID 70428 //
     /*   33613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33632 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33646 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33653 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33657 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33661 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33665 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33667 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33678 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33702 */     GIR_RootConstrainSelectedInstOperands,
     /*   33703 */     // GIR_Coverage, 70428,
     /*   33703 */     GIR_EraseRootFromParent_Done,
     /*   33704 */   // Label 593: @33704
     /*   33704 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33800), // Rule ID 70715 //
     /*   33709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33742 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33757 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33761 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33763 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33774 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33798 */     GIR_RootConstrainSelectedInstOperands,
     /*   33799 */     // GIR_Coverage, 70715,
     /*   33799 */     GIR_EraseRootFromParent_Done,
     /*   33800 */   // Label 594: @33800
     /*   33800 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33896), // Rule ID 70716 //
     /*   33805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33824 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33838 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33845 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33849 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33853 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33857 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33859 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33868 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33870 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33894 */     GIR_RootConstrainSelectedInstOperands,
     /*   33895 */     // GIR_Coverage, 70716,
     /*   33895 */     GIR_EraseRootFromParent_Done,
     /*   33896 */   // Label 595: @33896
     /*   33896 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33992), // Rule ID 70717 //
     /*   33901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33934 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33945 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33949 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33953 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33955 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33966 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   33977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   33981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33990 */     GIR_RootConstrainSelectedInstOperands,
     /*   33991 */     // GIR_Coverage, 70717,
     /*   33991 */     GIR_EraseRootFromParent_Done,
     /*   33992 */   // Label 596: @33992
     /*   33992 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(34088), // Rule ID 70718 //
     /*   33997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34030 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34037 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34041 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34045 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34049 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34051 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34062 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34086 */     GIR_RootConstrainSelectedInstOperands,
     /*   34087 */     // GIR_Coverage, 70718,
     /*   34087 */     GIR_EraseRootFromParent_Done,
     /*   34088 */   // Label 597: @34088
     /*   34088 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(34184), // Rule ID 70541 //
     /*   34093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34108 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34112 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34126 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34133 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34137 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34141 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34145 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34147 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34158 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34182 */     GIR_RootConstrainSelectedInstOperands,
     /*   34183 */     // GIR_Coverage, 70541,
     /*   34183 */     GIR_EraseRootFromParent_Done,
     /*   34184 */   // Label 598: @34184
     /*   34184 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34280), // Rule ID 70542 //
     /*   34189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34222 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34229 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34233 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34237 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34241 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34243 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34254 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34278 */     GIR_RootConstrainSelectedInstOperands,
     /*   34279 */     // GIR_Coverage, 70542,
     /*   34279 */     GIR_EraseRootFromParent_Done,
     /*   34280 */   // Label 599: @34280
     /*   34280 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34376), // Rule ID 51932 //
     /*   34285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34322 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34337 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34341 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34343 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34348 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34350 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34374 */     GIR_RootConstrainSelectedInstOperands,
     /*   34375 */     // GIR_Coverage, 51932,
     /*   34375 */     GIR_EraseRootFromParent_Done,
     /*   34376 */   // Label 600: @34376
     /*   34376 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34472), // Rule ID 51933 //
     /*   34381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34433 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34437 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34439 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34444 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34446 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34470 */     GIR_RootConstrainSelectedInstOperands,
     /*   34471 */     // GIR_Coverage, 51933,
     /*   34471 */     GIR_EraseRootFromParent_Done,
     /*   34472 */   // Label 601: @34472
     /*   34472 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34568), // Rule ID 52050 //
     /*   34477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34514 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34529 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34533 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34535 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34540 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34542 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34566 */     GIR_RootConstrainSelectedInstOperands,
     /*   34567 */     // GIR_Coverage, 52050,
     /*   34567 */     GIR_EraseRootFromParent_Done,
     /*   34568 */   // Label 602: @34568
     /*   34568 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34664), // Rule ID 52051 //
     /*   34573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34625 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34629 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34631 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34638 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34662 */     GIR_RootConstrainSelectedInstOperands,
     /*   34663 */     // GIR_Coverage, 52051,
     /*   34663 */     GIR_EraseRootFromParent_Done,
     /*   34664 */   // Label 603: @34664
     /*   34664 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34760), // Rule ID 70713 //
     /*   34669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34692 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34721 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34725 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34727 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34732 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34734 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34758 */     GIR_RootConstrainSelectedInstOperands,
     /*   34759 */     // GIR_Coverage, 70713,
     /*   34759 */     GIR_EraseRootFromParent_Done,
     /*   34760 */   // Label 604: @34760
     /*   34760 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34856), // Rule ID 70714 //
     /*   34765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34802 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34817 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34821 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34823 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34828 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34830 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34854 */     GIR_RootConstrainSelectedInstOperands,
     /*   34855 */     // GIR_Coverage, 70714,
     /*   34855 */     GIR_EraseRootFromParent_Done,
     /*   34856 */   // Label 605: @34856
     /*   34856 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34952), // Rule ID 51990 //
     /*   34861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34913 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34917 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34919 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34924 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34926 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34950 */     GIR_RootConstrainSelectedInstOperands,
     /*   34951 */     // GIR_Coverage, 51990,
     /*   34951 */     GIR_EraseRootFromParent_Done,
     /*   34952 */   // Label 606: @34952
     /*   34952 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(35048), // Rule ID 51991 //
     /*   34957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35013 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35015 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35020 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35022 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   35025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35046 */     GIR_RootConstrainSelectedInstOperands,
     /*   35047 */     // GIR_Coverage, 51991,
     /*   35047 */     GIR_EraseRootFromParent_Done,
     /*   35048 */   // Label 607: @35048
     /*   35048 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(35137), // Rule ID 46602 //
     /*   35053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35096 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35135 */     GIR_RootConstrainSelectedInstOperands,
     /*   35136 */     // GIR_Coverage, 46602,
     /*   35136 */     GIR_EraseRootFromParent_Done,
     /*   35137 */   // Label 608: @35137
     /*   35137 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(35226), // Rule ID 46603 //
     /*   35142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35185 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35224 */     GIR_RootConstrainSelectedInstOperands,
     /*   35225 */     // GIR_Coverage, 46603,
     /*   35225 */     GIR_EraseRootFromParent_Done,
     /*   35226 */   // Label 609: @35226
     /*   35226 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(35315), // Rule ID 46366 //
     /*   35231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35274 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35313 */     GIR_RootConstrainSelectedInstOperands,
     /*   35314 */     // GIR_Coverage, 46366,
     /*   35314 */     GIR_EraseRootFromParent_Done,
     /*   35315 */   // Label 610: @35315
     /*   35315 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(35404), // Rule ID 46367 //
     /*   35320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35363 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35402 */     GIR_RootConstrainSelectedInstOperands,
     /*   35403 */     // GIR_Coverage, 46367,
     /*   35403 */     GIR_EraseRootFromParent_Done,
     /*   35404 */   // Label 611: @35404
     /*   35404 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(35493), // Rule ID 46482 //
     /*   35409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35452 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35491 */     GIR_RootConstrainSelectedInstOperands,
     /*   35492 */     // GIR_Coverage, 46482,
     /*   35492 */     GIR_EraseRootFromParent_Done,
     /*   35493 */   // Label 612: @35493
     /*   35493 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(35582), // Rule ID 46483 //
     /*   35498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35532 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35541 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35580 */     GIR_RootConstrainSelectedInstOperands,
     /*   35581 */     // GIR_Coverage, 46483,
     /*   35581 */     GIR_EraseRootFromParent_Done,
     /*   35582 */   // Label 613: @35582
     /*   35582 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35650), // Rule ID 70343 //
     /*   35587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   35590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35624 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   35624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35648 */     GIR_RootConstrainSelectedInstOperands,
     /*   35649 */     // GIR_Coverage, 70343,
     /*   35649 */     GIR_EraseRootFromParent_Done,
     /*   35650 */   // Label 614: @35650
     /*   35650 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35718), // Rule ID 70344 //
     /*   35655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   35658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35692 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   35692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35716 */     GIR_RootConstrainSelectedInstOperands,
     /*   35717 */     // GIR_Coverage, 70344,
     /*   35717 */     GIR_EraseRootFromParent_Done,
     /*   35718 */   // Label 615: @35718
     /*   35718 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35773), // Rule ID 69251 //
     /*   35723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35751 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35771 */     GIR_RootConstrainSelectedInstOperands,
     /*   35772 */     // GIR_Coverage, 69251,
     /*   35772 */     GIR_EraseRootFromParent_Done,
     /*   35773 */   // Label 616: @35773
     /*   35773 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35828), // Rule ID 69252 //
     /*   35778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35806 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35826 */     GIR_RootConstrainSelectedInstOperands,
     /*   35827 */     // GIR_Coverage, 69252,
     /*   35827 */     GIR_EraseRootFromParent_Done,
     /*   35828 */   // Label 617: @35828
     /*   35828 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35883), // Rule ID 69071 //
     /*   35833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35861 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35881 */     GIR_RootConstrainSelectedInstOperands,
     /*   35882 */     // GIR_Coverage, 69071,
     /*   35882 */     GIR_EraseRootFromParent_Done,
     /*   35883 */   // Label 618: @35883
     /*   35883 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35938), // Rule ID 69072 //
     /*   35888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35903 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35916 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35936 */     GIR_RootConstrainSelectedInstOperands,
     /*   35937 */     // GIR_Coverage, 69072,
     /*   35937 */     GIR_EraseRootFromParent_Done,
     /*   35938 */   // Label 619: @35938
     /*   35938 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35993), // Rule ID 69161 //
     /*   35943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35971 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35991 */     GIR_RootConstrainSelectedInstOperands,
     /*   35992 */     // GIR_Coverage, 69161,
     /*   35992 */     GIR_EraseRootFromParent_Done,
     /*   35993 */   // Label 620: @35993
     /*   35993 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(36048), // Rule ID 69162 //
     /*   35998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36026 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36046 */     GIR_RootConstrainSelectedInstOperands,
     /*   36047 */     // GIR_Coverage, 69162,
     /*   36047 */     GIR_EraseRootFromParent_Done,
     /*   36048 */   // Label 621: @36048
     /*   36048 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(36116), // Rule ID 51812 //
     /*   36053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36090 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   36090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36114 */     GIR_RootConstrainSelectedInstOperands,
     /*   36115 */     // GIR_Coverage, 51812,
     /*   36115 */     GIR_EraseRootFromParent_Done,
     /*   36116 */   // Label 622: @36116
     /*   36116 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(36184), // Rule ID 51813 //
     /*   36121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36158 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   36158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36182 */     GIR_RootConstrainSelectedInstOperands,
     /*   36183 */     // GIR_Coverage, 51813,
     /*   36183 */     GIR_EraseRootFromParent_Done,
     /*   36184 */   // Label 623: @36184
     /*   36184 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36239), // Rule ID 46662 //
     /*   36189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36217 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36237 */     GIR_RootConstrainSelectedInstOperands,
     /*   36238 */     // GIR_Coverage, 46662,
     /*   36238 */     GIR_EraseRootFromParent_Done,
     /*   36239 */   // Label 624: @36239
     /*   36239 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36294), // Rule ID 46663 //
     /*   36244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36263 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36272 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36292 */     GIR_RootConstrainSelectedInstOperands,
     /*   36293 */     // GIR_Coverage, 46663,
     /*   36293 */     GIR_EraseRootFromParent_Done,
     /*   36294 */   // Label 625: @36294
     /*   36294 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36349), // Rule ID 46422 //
     /*   36299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36318 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36327 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36347 */     GIR_RootConstrainSelectedInstOperands,
     /*   36348 */     // GIR_Coverage, 46422,
     /*   36348 */     GIR_EraseRootFromParent_Done,
     /*   36349 */   // Label 626: @36349
     /*   36349 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36404), // Rule ID 46423 //
     /*   36354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36382 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36402 */     GIR_RootConstrainSelectedInstOperands,
     /*   36403 */     // GIR_Coverage, 46423,
     /*   36403 */     GIR_EraseRootFromParent_Done,
     /*   36404 */   // Label 627: @36404
     /*   36404 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36459), // Rule ID 46542 //
     /*   36409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36437 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36457 */     GIR_RootConstrainSelectedInstOperands,
     /*   36458 */     // GIR_Coverage, 46542,
     /*   36458 */     GIR_EraseRootFromParent_Done,
     /*   36459 */   // Label 628: @36459
     /*   36459 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36514), // Rule ID 46543 //
     /*   36464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36492 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36512 */     GIR_RootConstrainSelectedInstOperands,
     /*   36513 */     // GIR_Coverage, 46543,
     /*   36513 */     GIR_EraseRootFromParent_Done,
     /*   36514 */   // Label 629: @36514
     /*   36514 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36567), // Rule ID 46048 //
     /*   36519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36530 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   36530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36565 */     GIR_RootConstrainSelectedInstOperands,
     /*   36566 */     // GIR_Coverage, 46048,
     /*   36566 */     GIR_EraseRootFromParent_Done,
     /*   36567 */   // Label 630: @36567
     /*   36567 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36620), // Rule ID 46049 //
     /*   36572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36583 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   36583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36618 */     GIR_RootConstrainSelectedInstOperands,
     /*   36619 */     // GIR_Coverage, 46049,
     /*   36619 */     GIR_EraseRootFromParent_Done,
     /*   36620 */   // Label 631: @36620
     /*   36620 */   GIM_Reject,
     /*   36621 */ // Label 591: @36621
     /*   36621 */ GIM_Reject,
     /*   36622 */ // Label 138: @36622
     /*   36622 */ GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(37016),
     /*   36627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36637 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36705), // Rule ID 70231 //
     /*   36642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36679 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36703 */     GIR_RootConstrainSelectedInstOperands,
     /*   36704 */     // GIR_Coverage, 70231,
     /*   36704 */     GIR_EraseRootFromParent_Done,
     /*   36705 */   // Label 633: @36705
     /*   36705 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36773), // Rule ID 70232 //
     /*   36710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36747 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36771 */     GIR_RootConstrainSelectedInstOperands,
     /*   36772 */     // GIR_Coverage, 70232,
     /*   36772 */     GIR_EraseRootFromParent_Done,
     /*   36773 */   // Label 634: @36773
     /*   36773 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36841), // Rule ID 51756 //
     /*   36778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36815 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36839 */     GIR_RootConstrainSelectedInstOperands,
     /*   36840 */     // GIR_Coverage, 51756,
     /*   36840 */     GIR_EraseRootFromParent_Done,
     /*   36841 */   // Label 635: @36841
     /*   36841 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36909), // Rule ID 51757 //
     /*   36846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36869 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36883 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36907 */     GIR_RootConstrainSelectedInstOperands,
     /*   36908 */     // GIR_Coverage, 51757,
     /*   36908 */     GIR_EraseRootFromParent_Done,
     /*   36909 */   // Label 636: @36909
     /*   36909 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(36962), // Rule ID 45992 //
     /*   36914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36925 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   36925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36960 */     GIR_RootConstrainSelectedInstOperands,
     /*   36961 */     // GIR_Coverage, 45992,
     /*   36961 */     GIR_EraseRootFromParent_Done,
     /*   36962 */   // Label 637: @36962
     /*   36962 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37015), // Rule ID 45993 //
     /*   36967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36978 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   36978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37013 */     GIR_RootConstrainSelectedInstOperands,
     /*   37014 */     // GIR_Coverage, 45993,
     /*   37014 */     GIR_EraseRootFromParent_Done,
     /*   37015 */   // Label 638: @37015
     /*   37015 */   GIM_Reject,
     /*   37016 */ // Label 632: @37016
     /*   37016 */ GIM_Reject,
     /*   37017 */ // Label 139: @37017
     /*   37017 */ GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(40141),
     /*   37022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37032 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37128), // Rule ID 70407 //
     /*   37037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37085 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37089 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37102 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37126 */     GIR_RootConstrainSelectedInstOperands,
     /*   37127 */     // GIR_Coverage, 70407,
     /*   37127 */     GIR_EraseRootFromParent_Done,
     /*   37128 */   // Label 640: @37128
     /*   37128 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37224), // Rule ID 70408 //
     /*   37133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37181 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37185 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37187 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37198 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37222 */     GIR_RootConstrainSelectedInstOperands,
     /*   37223 */     // GIR_Coverage, 70408,
     /*   37223 */     GIR_EraseRootFromParent_Done,
     /*   37224 */   // Label 641: @37224
     /*   37224 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37320), // Rule ID 70655 //
     /*   37229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37277 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37281 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37283 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37294 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37318 */     GIR_RootConstrainSelectedInstOperands,
     /*   37319 */     // GIR_Coverage, 70655,
     /*   37319 */     GIR_EraseRootFromParent_Done,
     /*   37320 */   // Label 642: @37320
     /*   37320 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37416), // Rule ID 70656 //
     /*   37325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37373 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37377 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37379 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37388 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37390 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37414 */     GIR_RootConstrainSelectedInstOperands,
     /*   37415 */     // GIR_Coverage, 70656,
     /*   37415 */     GIR_EraseRootFromParent_Done,
     /*   37416 */   // Label 643: @37416
     /*   37416 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37512), // Rule ID 70657 //
     /*   37421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37461 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37465 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37469 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37473 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37475 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37486 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37510 */     GIR_RootConstrainSelectedInstOperands,
     /*   37511 */     // GIR_Coverage, 70657,
     /*   37511 */     GIR_EraseRootFromParent_Done,
     /*   37512 */   // Label 644: @37512
     /*   37512 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37608), // Rule ID 70658 //
     /*   37517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37565 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37569 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37571 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37582 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37606 */     GIR_RootConstrainSelectedInstOperands,
     /*   37607 */     // GIR_Coverage, 70658,
     /*   37607 */     GIR_EraseRootFromParent_Done,
     /*   37608 */   // Label 645: @37608
     /*   37608 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37704), // Rule ID 70521 //
     /*   37613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37632 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37646 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37653 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37657 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37661 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37665 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37667 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37678 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37702 */     GIR_RootConstrainSelectedInstOperands,
     /*   37703 */     // GIR_Coverage, 70521,
     /*   37703 */     GIR_EraseRootFromParent_Done,
     /*   37704 */   // Label 646: @37704
     /*   37704 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37800), // Rule ID 70522 //
     /*   37709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37742 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37757 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37761 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37763 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37774 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37798 */     GIR_RootConstrainSelectedInstOperands,
     /*   37799 */     // GIR_Coverage, 70522,
     /*   37799 */     GIR_EraseRootFromParent_Done,
     /*   37800 */   // Label 647: @37800
     /*   37800 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37896), // Rule ID 51912 //
     /*   37805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37842 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37857 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37861 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37863 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37868 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37870 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37894 */     GIR_RootConstrainSelectedInstOperands,
     /*   37895 */     // GIR_Coverage, 51912,
     /*   37895 */     GIR_EraseRootFromParent_Done,
     /*   37896 */   // Label 648: @37896
     /*   37896 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(37992), // Rule ID 51913 //
     /*   37901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37953 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37957 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37959 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37966 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37990 */     GIR_RootConstrainSelectedInstOperands,
     /*   37991 */     // GIR_Coverage, 51913,
     /*   37991 */     GIR_EraseRootFromParent_Done,
     /*   37992 */   // Label 649: @37992
     /*   37992 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(38088), // Rule ID 52030 //
     /*   37997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38034 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38049 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38053 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38055 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38062 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38086 */     GIR_RootConstrainSelectedInstOperands,
     /*   38087 */     // GIR_Coverage, 52030,
     /*   38087 */     GIR_EraseRootFromParent_Done,
     /*   38088 */   // Label 650: @38088
     /*   38088 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(38184), // Rule ID 52031 //
     /*   38093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38145 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38149 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38151 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38158 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38182 */     GIR_RootConstrainSelectedInstOperands,
     /*   38183 */     // GIR_Coverage, 52031,
     /*   38183 */     GIR_EraseRootFromParent_Done,
     /*   38184 */   // Label 651: @38184
     /*   38184 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(38280), // Rule ID 70653 //
     /*   38189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38226 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38241 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38245 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38247 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38254 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38278 */     GIR_RootConstrainSelectedInstOperands,
     /*   38279 */     // GIR_Coverage, 70653,
     /*   38279 */     GIR_EraseRootFromParent_Done,
     /*   38280 */   // Label 652: @38280
     /*   38280 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38376), // Rule ID 70654 //
     /*   38285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38322 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38337 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38341 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38343 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38348 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38350 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38374 */     GIR_RootConstrainSelectedInstOperands,
     /*   38375 */     // GIR_Coverage, 70654,
     /*   38375 */     GIR_EraseRootFromParent_Done,
     /*   38376 */   // Label 653: @38376
     /*   38376 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38472), // Rule ID 51970 //
     /*   38381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38433 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38437 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38439 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38444 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38446 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38470 */     GIR_RootConstrainSelectedInstOperands,
     /*   38471 */     // GIR_Coverage, 51970,
     /*   38471 */     GIR_EraseRootFromParent_Done,
     /*   38472 */   // Label 654: @38472
     /*   38472 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38568), // Rule ID 51971 //
     /*   38477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38514 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38529 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38533 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38535 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38540 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38542 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38566 */     GIR_RootConstrainSelectedInstOperands,
     /*   38567 */     // GIR_Coverage, 51971,
     /*   38567 */     GIR_EraseRootFromParent_Done,
     /*   38568 */   // Label 655: @38568
     /*   38568 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38657), // Rule ID 46562 //
     /*   38573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38607 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38616 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38655 */     GIR_RootConstrainSelectedInstOperands,
     /*   38656 */     // GIR_Coverage, 46562,
     /*   38656 */     GIR_EraseRootFromParent_Done,
     /*   38657 */   // Label 656: @38657
     /*   38657 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38746), // Rule ID 46563 //
     /*   38662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38696 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38705 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38744 */     GIR_RootConstrainSelectedInstOperands,
     /*   38745 */     // GIR_Coverage, 46563,
     /*   38745 */     GIR_EraseRootFromParent_Done,
     /*   38746 */   // Label 657: @38746
     /*   38746 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38835), // Rule ID 46326 //
     /*   38751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38785 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38787 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38794 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38833 */     GIR_RootConstrainSelectedInstOperands,
     /*   38834 */     // GIR_Coverage, 46326,
     /*   38834 */     GIR_EraseRootFromParent_Done,
     /*   38835 */   // Label 658: @38835
     /*   38835 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38924), // Rule ID 46327 //
     /*   38840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38874 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38883 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38922 */     GIR_RootConstrainSelectedInstOperands,
     /*   38923 */     // GIR_Coverage, 46327,
     /*   38923 */     GIR_EraseRootFromParent_Done,
     /*   38924 */   // Label 659: @38924
     /*   38924 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(39013), // Rule ID 46442 //
     /*   38929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38963 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38970 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38972 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39011 */     GIR_RootConstrainSelectedInstOperands,
     /*   39012 */     // GIR_Coverage, 46442,
     /*   39012 */     GIR_EraseRootFromParent_Done,
     /*   39013 */   // Label 660: @39013
     /*   39013 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(39102), // Rule ID 46443 //
     /*   39018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39052 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39061 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   39061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   39064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   39078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39100 */     GIR_RootConstrainSelectedInstOperands,
     /*   39101 */     // GIR_Coverage, 46443,
     /*   39101 */     GIR_EraseRootFromParent_Done,
     /*   39102 */   // Label 661: @39102
     /*   39102 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(39170), // Rule ID 70287 //
     /*   39107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39144 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39168 */     GIR_RootConstrainSelectedInstOperands,
     /*   39169 */     // GIR_Coverage, 70287,
     /*   39169 */     GIR_EraseRootFromParent_Done,
     /*   39170 */   // Label 662: @39170
     /*   39170 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(39238), // Rule ID 70288 //
     /*   39175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39212 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39236 */     GIR_RootConstrainSelectedInstOperands,
     /*   39237 */     // GIR_Coverage, 70288,
     /*   39237 */     GIR_EraseRootFromParent_Done,
     /*   39238 */   // Label 663: @39238
     /*   39238 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39293), // Rule ID 69211 //
     /*   39243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39258 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39271 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39291 */     GIR_RootConstrainSelectedInstOperands,
     /*   39292 */     // GIR_Coverage, 69211,
     /*   39292 */     GIR_EraseRootFromParent_Done,
     /*   39293 */   // Label 664: @39293
     /*   39293 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39348), // Rule ID 69212 //
     /*   39298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39313 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39326 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39346 */     GIR_RootConstrainSelectedInstOperands,
     /*   39347 */     // GIR_Coverage, 69212,
     /*   39347 */     GIR_EraseRootFromParent_Done,
     /*   39348 */   // Label 665: @39348
     /*   39348 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39403), // Rule ID 69031 //
     /*   39353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39381 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39401 */     GIR_RootConstrainSelectedInstOperands,
     /*   39402 */     // GIR_Coverage, 69031,
     /*   39402 */     GIR_EraseRootFromParent_Done,
     /*   39403 */   // Label 666: @39403
     /*   39403 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39458), // Rule ID 69032 //
     /*   39408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39436 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39456 */     GIR_RootConstrainSelectedInstOperands,
     /*   39457 */     // GIR_Coverage, 69032,
     /*   39457 */     GIR_EraseRootFromParent_Done,
     /*   39458 */   // Label 667: @39458
     /*   39458 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39513), // Rule ID 69121 //
     /*   39463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39491 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39511 */     GIR_RootConstrainSelectedInstOperands,
     /*   39512 */     // GIR_Coverage, 69121,
     /*   39512 */     GIR_EraseRootFromParent_Done,
     /*   39513 */   // Label 668: @39513
     /*   39513 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39568), // Rule ID 69122 //
     /*   39518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39546 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39566 */     GIR_RootConstrainSelectedInstOperands,
     /*   39567 */     // GIR_Coverage, 69122,
     /*   39567 */     GIR_EraseRootFromParent_Done,
     /*   39568 */   // Label 669: @39568
     /*   39568 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39636), // Rule ID 51784 //
     /*   39573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39610 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39634 */     GIR_RootConstrainSelectedInstOperands,
     /*   39635 */     // GIR_Coverage, 51784,
     /*   39635 */     GIR_EraseRootFromParent_Done,
     /*   39636 */   // Label 670: @39636
     /*   39636 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39704), // Rule ID 51785 //
     /*   39641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39678 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39702 */     GIR_RootConstrainSelectedInstOperands,
     /*   39703 */     // GIR_Coverage, 51785,
     /*   39703 */     GIR_EraseRootFromParent_Done,
     /*   39704 */   // Label 671: @39704
     /*   39704 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39759), // Rule ID 46622 //
     /*   39709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39737 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39757 */     GIR_RootConstrainSelectedInstOperands,
     /*   39758 */     // GIR_Coverage, 46622,
     /*   39758 */     GIR_EraseRootFromParent_Done,
     /*   39759 */   // Label 672: @39759
     /*   39759 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39814), // Rule ID 46623 //
     /*   39764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39783 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39792 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39812 */     GIR_RootConstrainSelectedInstOperands,
     /*   39813 */     // GIR_Coverage, 46623,
     /*   39813 */     GIR_EraseRootFromParent_Done,
     /*   39814 */   // Label 673: @39814
     /*   39814 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39869), // Rule ID 46382 //
     /*   39819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39847 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39867 */     GIR_RootConstrainSelectedInstOperands,
     /*   39868 */     // GIR_Coverage, 46382,
     /*   39868 */     GIR_EraseRootFromParent_Done,
     /*   39869 */   // Label 674: @39869
     /*   39869 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39924), // Rule ID 46383 //
     /*   39874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39893 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39902 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39922 */     GIR_RootConstrainSelectedInstOperands,
     /*   39923 */     // GIR_Coverage, 46383,
     /*   39923 */     GIR_EraseRootFromParent_Done,
     /*   39924 */   // Label 675: @39924
     /*   39924 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(39979), // Rule ID 46502 //
     /*   39929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39957 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39977 */     GIR_RootConstrainSelectedInstOperands,
     /*   39978 */     // GIR_Coverage, 46502,
     /*   39978 */     GIR_EraseRootFromParent_Done,
     /*   39979 */   // Label 676: @39979
     /*   39979 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40034), // Rule ID 46503 //
     /*   39984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40012 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   40015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40032 */     GIR_RootConstrainSelectedInstOperands,
     /*   40033 */     // GIR_Coverage, 46503,
     /*   40033 */     GIR_EraseRootFromParent_Done,
     /*   40034 */   // Label 677: @40034
     /*   40034 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40087), // Rule ID 46020 //
     /*   40039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40050 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   40050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40085 */     GIR_RootConstrainSelectedInstOperands,
     /*   40086 */     // GIR_Coverage, 46020,
     /*   40086 */     GIR_EraseRootFromParent_Done,
     /*   40087 */   // Label 678: @40087
     /*   40087 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40140), // Rule ID 46021 //
     /*   40092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40103 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   40103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40138 */     GIR_RootConstrainSelectedInstOperands,
     /*   40139 */     // GIR_Coverage, 46021,
     /*   40139 */     GIR_EraseRootFromParent_Done,
     /*   40140 */   // Label 679: @40140
     /*   40140 */   GIM_Reject,
     /*   40141 */ // Label 639: @40141
     /*   40141 */ GIM_Reject,
     /*   40142 */ // Label 140: @40142
     /*   40142 */ GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(43266),
     /*   40147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40157 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40253), // Rule ID 70419 //
     /*   40162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40210 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40214 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40216 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40227 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40251 */     GIR_RootConstrainSelectedInstOperands,
     /*   40252 */     // GIR_Coverage, 70419,
     /*   40252 */     GIR_EraseRootFromParent_Done,
     /*   40253 */   // Label 681: @40253
     /*   40253 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40349), // Rule ID 70420 //
     /*   40258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40306 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40310 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40312 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40321 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40323 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40347 */     GIR_RootConstrainSelectedInstOperands,
     /*   40348 */     // GIR_Coverage, 70420,
     /*   40348 */     GIR_EraseRootFromParent_Done,
     /*   40349 */   // Label 682: @40349
     /*   40349 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40445), // Rule ID 70691 //
     /*   40354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40402 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40406 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40408 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40417 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40419 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40443 */     GIR_RootConstrainSelectedInstOperands,
     /*   40444 */     // GIR_Coverage, 70691,
     /*   40444 */     GIR_EraseRootFromParent_Done,
     /*   40445 */   // Label 683: @40445
     /*   40445 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40541), // Rule ID 70692 //
     /*   40450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40483 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40498 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40502 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40504 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40513 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40515 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40539 */     GIR_RootConstrainSelectedInstOperands,
     /*   40540 */     // GIR_Coverage, 70692,
     /*   40540 */     GIR_EraseRootFromParent_Done,
     /*   40541 */   // Label 684: @40541
     /*   40541 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40637), // Rule ID 70693 //
     /*   40546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40579 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40594 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40598 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40600 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40609 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40611 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40635 */     GIR_RootConstrainSelectedInstOperands,
     /*   40636 */     // GIR_Coverage, 70693,
     /*   40636 */     GIR_EraseRootFromParent_Done,
     /*   40637 */   // Label 685: @40637
     /*   40637 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40733), // Rule ID 70694 //
     /*   40642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40690 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40694 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40696 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40707 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40731 */     GIR_RootConstrainSelectedInstOperands,
     /*   40732 */     // GIR_Coverage, 70694,
     /*   40732 */     GIR_EraseRootFromParent_Done,
     /*   40733 */   // Label 686: @40733
     /*   40733 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40829), // Rule ID 70533 //
     /*   40738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40771 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40773 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40778 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40782 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40786 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40790 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40792 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40803 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40827 */     GIR_RootConstrainSelectedInstOperands,
     /*   40828 */     // GIR_Coverage, 70533,
     /*   40828 */     GIR_EraseRootFromParent_Done,
     /*   40829 */   // Label 687: @40829
     /*   40829 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40925), // Rule ID 70534 //
     /*   40834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40867 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40869 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40874 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40878 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40882 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40886 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40888 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40899 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40923 */     GIR_RootConstrainSelectedInstOperands,
     /*   40924 */     // GIR_Coverage, 70534,
     /*   40924 */     GIR_EraseRootFromParent_Done,
     /*   40925 */   // Label 688: @40925
     /*   40925 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(41021), // Rule ID 51924 //
     /*   40930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40982 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40986 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40988 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40993 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40995 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41019 */     GIR_RootConstrainSelectedInstOperands,
     /*   41020 */     // GIR_Coverage, 51924,
     /*   41020 */     GIR_EraseRootFromParent_Done,
     /*   41021 */   // Label 689: @41021
     /*   41021 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41117), // Rule ID 51925 //
     /*   41026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41063 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41082 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41084 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41091 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   41094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41115 */     GIR_RootConstrainSelectedInstOperands,
     /*   41116 */     // GIR_Coverage, 51925,
     /*   41116 */     GIR_EraseRootFromParent_Done,
     /*   41117 */   // Label 690: @41117
     /*   41117 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(41213), // Rule ID 52042 //
     /*   41122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41178 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41180 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41185 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41187 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41211 */     GIR_RootConstrainSelectedInstOperands,
     /*   41212 */     // GIR_Coverage, 52042,
     /*   41212 */     GIR_EraseRootFromParent_Done,
     /*   41213 */   // Label 691: @41213
     /*   41213 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(41309), // Rule ID 52043 //
     /*   41218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41270 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41274 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41276 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41283 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41307 */     GIR_RootConstrainSelectedInstOperands,
     /*   41308 */     // GIR_Coverage, 52043,
     /*   41308 */     GIR_EraseRootFromParent_Done,
     /*   41309 */   // Label 692: @41309
     /*   41309 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(41405), // Rule ID 70689 //
     /*   41314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41366 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41370 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41372 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41379 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41403 */     GIR_RootConstrainSelectedInstOperands,
     /*   41404 */     // GIR_Coverage, 70689,
     /*   41404 */     GIR_EraseRootFromParent_Done,
     /*   41405 */   // Label 693: @41405
     /*   41405 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41501), // Rule ID 70690 //
     /*   41410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41462 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41466 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41468 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41475 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41499 */     GIR_RootConstrainSelectedInstOperands,
     /*   41500 */     // GIR_Coverage, 70690,
     /*   41500 */     GIR_EraseRootFromParent_Done,
     /*   41501 */   // Label 694: @41501
     /*   41501 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41597), // Rule ID 51982 //
     /*   41506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41543 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41558 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41562 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41564 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41571 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41595 */     GIR_RootConstrainSelectedInstOperands,
     /*   41596 */     // GIR_Coverage, 51982,
     /*   41596 */     GIR_EraseRootFromParent_Done,
     /*   41597 */   // Label 695: @41597
     /*   41597 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41693), // Rule ID 51983 //
     /*   41602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41625 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41654 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41658 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41660 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41665 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41667 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41691 */     GIR_RootConstrainSelectedInstOperands,
     /*   41692 */     // GIR_Coverage, 51983,
     /*   41692 */     GIR_EraseRootFromParent_Done,
     /*   41693 */   // Label 696: @41693
     /*   41693 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(41782), // Rule ID 46586 //
     /*   41698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41741 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41780 */     GIR_RootConstrainSelectedInstOperands,
     /*   41781 */     // GIR_Coverage, 46586,
     /*   41781 */     GIR_EraseRootFromParent_Done,
     /*   41782 */   // Label 697: @41782
     /*   41782 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41871), // Rule ID 46587 //
     /*   41787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41830 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   41830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41869 */     GIR_RootConstrainSelectedInstOperands,
     /*   41870 */     // GIR_Coverage, 46587,
     /*   41870 */     GIR_EraseRootFromParent_Done,
     /*   41871 */   // Label 698: @41871
     /*   41871 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(41960), // Rule ID 46350 //
     /*   41876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41910 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41919 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   41936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41958 */     GIR_RootConstrainSelectedInstOperands,
     /*   41959 */     // GIR_Coverage, 46350,
     /*   41959 */     GIR_EraseRootFromParent_Done,
     /*   41960 */   // Label 699: @41960
     /*   41960 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(42049), // Rule ID 46351 //
     /*   41965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41999 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42008 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   42025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42047 */     GIR_RootConstrainSelectedInstOperands,
     /*   42048 */     // GIR_Coverage, 46351,
     /*   42048 */     GIR_EraseRootFromParent_Done,
     /*   42049 */   // Label 700: @42049
     /*   42049 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(42138), // Rule ID 46466 //
     /*   42054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42088 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42097 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42136 */     GIR_RootConstrainSelectedInstOperands,
     /*   42137 */     // GIR_Coverage, 46466,
     /*   42137 */     GIR_EraseRootFromParent_Done,
     /*   42138 */   // Label 701: @42138
     /*   42138 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(42227), // Rule ID 46467 //
     /*   42143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42158 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42177 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42186 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42225 */     GIR_RootConstrainSelectedInstOperands,
     /*   42226 */     // GIR_Coverage, 46467,
     /*   42226 */     GIR_EraseRootFromParent_Done,
     /*   42227 */   // Label 702: @42227
     /*   42227 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(42295), // Rule ID 70319 //
     /*   42232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42269 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42293 */     GIR_RootConstrainSelectedInstOperands,
     /*   42294 */     // GIR_Coverage, 70319,
     /*   42294 */     GIR_EraseRootFromParent_Done,
     /*   42295 */   // Label 703: @42295
     /*   42295 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(42363), // Rule ID 70320 //
     /*   42300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42319 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42337 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42361 */     GIR_RootConstrainSelectedInstOperands,
     /*   42362 */     // GIR_Coverage, 70320,
     /*   42362 */     GIR_EraseRootFromParent_Done,
     /*   42363 */   // Label 704: @42363
     /*   42363 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(42418), // Rule ID 69235 //
     /*   42368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42383 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42396 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42416 */     GIR_RootConstrainSelectedInstOperands,
     /*   42417 */     // GIR_Coverage, 69235,
     /*   42417 */     GIR_EraseRootFromParent_Done,
     /*   42418 */   // Label 705: @42418
     /*   42418 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42473), // Rule ID 69236 //
     /*   42423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42451 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42471 */     GIR_RootConstrainSelectedInstOperands,
     /*   42472 */     // GIR_Coverage, 69236,
     /*   42472 */     GIR_EraseRootFromParent_Done,
     /*   42473 */   // Label 706: @42473
     /*   42473 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42528), // Rule ID 69055 //
     /*   42478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42493 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42506 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42526 */     GIR_RootConstrainSelectedInstOperands,
     /*   42527 */     // GIR_Coverage, 69055,
     /*   42527 */     GIR_EraseRootFromParent_Done,
     /*   42528 */   // Label 707: @42528
     /*   42528 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42583), // Rule ID 69056 //
     /*   42533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42561 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42581 */     GIR_RootConstrainSelectedInstOperands,
     /*   42582 */     // GIR_Coverage, 69056,
     /*   42582 */     GIR_EraseRootFromParent_Done,
     /*   42583 */   // Label 708: @42583
     /*   42583 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42638), // Rule ID 69145 //
     /*   42588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42616 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42636 */     GIR_RootConstrainSelectedInstOperands,
     /*   42637 */     // GIR_Coverage, 69145,
     /*   42637 */     GIR_EraseRootFromParent_Done,
     /*   42638 */   // Label 709: @42638
     /*   42638 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42693), // Rule ID 69146 //
     /*   42643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42671 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42691 */     GIR_RootConstrainSelectedInstOperands,
     /*   42692 */     // GIR_Coverage, 69146,
     /*   42692 */     GIR_EraseRootFromParent_Done,
     /*   42693 */   // Label 710: @42693
     /*   42693 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42761), // Rule ID 51800 //
     /*   42698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42735 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42759 */     GIR_RootConstrainSelectedInstOperands,
     /*   42760 */     // GIR_Coverage, 51800,
     /*   42760 */     GIR_EraseRootFromParent_Done,
     /*   42761 */   // Label 711: @42761
     /*   42761 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42829), // Rule ID 51801 //
     /*   42766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42789 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42803 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42827 */     GIR_RootConstrainSelectedInstOperands,
     /*   42828 */     // GIR_Coverage, 51801,
     /*   42828 */     GIR_EraseRootFromParent_Done,
     /*   42829 */   // Label 712: @42829
     /*   42829 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42884), // Rule ID 46646 //
     /*   42834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42862 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42882 */     GIR_RootConstrainSelectedInstOperands,
     /*   42883 */     // GIR_Coverage, 46646,
     /*   42883 */     GIR_EraseRootFromParent_Done,
     /*   42884 */   // Label 713: @42884
     /*   42884 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42939), // Rule ID 46647 //
     /*   42889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42917 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42937 */     GIR_RootConstrainSelectedInstOperands,
     /*   42938 */     // GIR_Coverage, 46647,
     /*   42938 */     GIR_EraseRootFromParent_Done,
     /*   42939 */   // Label 714: @42939
     /*   42939 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42994), // Rule ID 46406 //
     /*   42944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42963 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42972 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42992 */     GIR_RootConstrainSelectedInstOperands,
     /*   42993 */     // GIR_Coverage, 46406,
     /*   42993 */     GIR_EraseRootFromParent_Done,
     /*   42994 */   // Label 715: @42994
     /*   42994 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(43049), // Rule ID 46407 //
     /*   42999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43027 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   43030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43047 */     GIR_RootConstrainSelectedInstOperands,
     /*   43048 */     // GIR_Coverage, 46407,
     /*   43048 */     GIR_EraseRootFromParent_Done,
     /*   43049 */   // Label 716: @43049
     /*   43049 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43104), // Rule ID 46526 //
     /*   43054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43073 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43082 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43102 */     GIR_RootConstrainSelectedInstOperands,
     /*   43103 */     // GIR_Coverage, 46526,
     /*   43103 */     GIR_EraseRootFromParent_Done,
     /*   43104 */   // Label 717: @43104
     /*   43104 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43159), // Rule ID 46527 //
     /*   43109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43137 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43157 */     GIR_RootConstrainSelectedInstOperands,
     /*   43158 */     // GIR_Coverage, 46527,
     /*   43158 */     GIR_EraseRootFromParent_Done,
     /*   43159 */   // Label 718: @43159
     /*   43159 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43212), // Rule ID 46036 //
     /*   43164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43175 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43210 */     GIR_RootConstrainSelectedInstOperands,
     /*   43211 */     // GIR_Coverage, 46036,
     /*   43211 */     GIR_EraseRootFromParent_Done,
     /*   43212 */   // Label 719: @43212
     /*   43212 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43265), // Rule ID 46037 //
     /*   43217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43228 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43263 */     GIR_RootConstrainSelectedInstOperands,
     /*   43264 */     // GIR_Coverage, 46037,
     /*   43264 */     GIR_EraseRootFromParent_Done,
     /*   43265 */   // Label 720: @43265
     /*   43265 */   GIM_Reject,
     /*   43266 */ // Label 680: @43266
     /*   43266 */ GIM_Reject,
     /*   43267 */ // Label 141: @43267
     /*   43267 */ GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(46391),
     /*   43272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43282 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43378), // Rule ID 70429 //
     /*   43287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43352 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43376 */     GIR_RootConstrainSelectedInstOperands,
     /*   43377 */     // GIR_Coverage, 70429,
     /*   43377 */     GIR_EraseRootFromParent_Done,
     /*   43378 */   // Label 722: @43378
     /*   43378 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43474), // Rule ID 70430 //
     /*   43383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43431 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43435 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43437 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43448 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43472 */     GIR_RootConstrainSelectedInstOperands,
     /*   43473 */     // GIR_Coverage, 70430,
     /*   43473 */     GIR_EraseRootFromParent_Done,
     /*   43474 */   // Label 723: @43474
     /*   43474 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43570), // Rule ID 70721 //
     /*   43479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43512 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43527 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43531 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43533 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43544 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43568 */     GIR_RootConstrainSelectedInstOperands,
     /*   43569 */     // GIR_Coverage, 70721,
     /*   43569 */     GIR_EraseRootFromParent_Done,
     /*   43570 */   // Label 724: @43570
     /*   43570 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43666), // Rule ID 70722 //
     /*   43575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43608 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43623 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43627 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43629 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43640 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43664 */     GIR_RootConstrainSelectedInstOperands,
     /*   43665 */     // GIR_Coverage, 70722,
     /*   43665 */     GIR_EraseRootFromParent_Done,
     /*   43666 */   // Label 725: @43666
     /*   43666 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43762), // Rule ID 70723 //
     /*   43671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43715 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43719 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43723 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43725 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43736 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43760 */     GIR_RootConstrainSelectedInstOperands,
     /*   43761 */     // GIR_Coverage, 70723,
     /*   43761 */     GIR_EraseRootFromParent_Done,
     /*   43762 */   // Label 726: @43762
     /*   43762 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43858), // Rule ID 70724 //
     /*   43767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43800 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43815 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43819 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43821 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43832 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43856 */     GIR_RootConstrainSelectedInstOperands,
     /*   43857 */     // GIR_Coverage, 70724,
     /*   43857 */     GIR_EraseRootFromParent_Done,
     /*   43858 */   // Label 727: @43858
     /*   43858 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43954), // Rule ID 70543 //
     /*   43863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43878 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43882 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43903 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43907 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43911 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43915 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43917 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43928 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   43931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43952 */     GIR_RootConstrainSelectedInstOperands,
     /*   43953 */     // GIR_Coverage, 70543,
     /*   43953 */     GIR_EraseRootFromParent_Done,
     /*   43954 */   // Label 728: @43954
     /*   43954 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(44050), // Rule ID 70544 //
     /*   43959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43978 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43992 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43999 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44003 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44007 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44011 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44013 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44024 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44048 */     GIR_RootConstrainSelectedInstOperands,
     /*   44049 */     // GIR_Coverage, 70544,
     /*   44049 */     GIR_EraseRootFromParent_Done,
     /*   44050 */   // Label 729: @44050
     /*   44050 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(44146), // Rule ID 51934 //
     /*   44055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44120 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44144 */     GIR_RootConstrainSelectedInstOperands,
     /*   44145 */     // GIR_Coverage, 51934,
     /*   44145 */     GIR_EraseRootFromParent_Done,
     /*   44146 */   // Label 730: @44146
     /*   44146 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(44242), // Rule ID 51935 //
     /*   44151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44216 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44240 */     GIR_RootConstrainSelectedInstOperands,
     /*   44241 */     // GIR_Coverage, 51935,
     /*   44241 */     GIR_EraseRootFromParent_Done,
     /*   44242 */   // Label 731: @44242
     /*   44242 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(44338), // Rule ID 52052 //
     /*   44247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44312 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44336 */     GIR_RootConstrainSelectedInstOperands,
     /*   44337 */     // GIR_Coverage, 52052,
     /*   44337 */     GIR_EraseRootFromParent_Done,
     /*   44338 */   // Label 732: @44338
     /*   44338 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44434), // Rule ID 52053 //
     /*   44343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44399 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44401 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44408 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44432 */     GIR_RootConstrainSelectedInstOperands,
     /*   44433 */     // GIR_Coverage, 52053,
     /*   44433 */     GIR_EraseRootFromParent_Done,
     /*   44434 */   // Label 733: @44434
     /*   44434 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44530), // Rule ID 70719 //
     /*   44439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44491 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44495 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44497 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44504 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44528 */     GIR_RootConstrainSelectedInstOperands,
     /*   44529 */     // GIR_Coverage, 70719,
     /*   44529 */     GIR_EraseRootFromParent_Done,
     /*   44530 */   // Label 734: @44530
     /*   44530 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44626), // Rule ID 70720 //
     /*   44535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44591 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44593 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44598 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44600 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44624 */     GIR_RootConstrainSelectedInstOperands,
     /*   44625 */     // GIR_Coverage, 70720,
     /*   44625 */     GIR_EraseRootFromParent_Done,
     /*   44626 */   // Label 735: @44626
     /*   44626 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44722), // Rule ID 51992 //
     /*   44631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44696 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44720 */     GIR_RootConstrainSelectedInstOperands,
     /*   44721 */     // GIR_Coverage, 51992,
     /*   44721 */     GIR_EraseRootFromParent_Done,
     /*   44722 */   // Label 736: @44722
     /*   44722 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44818), // Rule ID 51993 //
     /*   44727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44792 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44816 */     GIR_RootConstrainSelectedInstOperands,
     /*   44817 */     // GIR_Coverage, 51993,
     /*   44817 */     GIR_EraseRootFromParent_Done,
     /*   44818 */   // Label 737: @44818
     /*   44818 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(44907), // Rule ID 46606 //
     /*   44823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44857 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44866 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44905 */     GIR_RootConstrainSelectedInstOperands,
     /*   44906 */     // GIR_Coverage, 46606,
     /*   44906 */     GIR_EraseRootFromParent_Done,
     /*   44907 */   // Label 738: @44907
     /*   44907 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44996), // Rule ID 46607 //
     /*   44912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44946 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44955 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44994 */     GIR_RootConstrainSelectedInstOperands,
     /*   44995 */     // GIR_Coverage, 46607,
     /*   44995 */     GIR_EraseRootFromParent_Done,
     /*   44996 */   // Label 739: @44996
     /*   44996 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(45085), // Rule ID 46370 //
     /*   45001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45035 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45044 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45083 */     GIR_RootConstrainSelectedInstOperands,
     /*   45084 */     // GIR_Coverage, 46370,
     /*   45084 */     GIR_EraseRootFromParent_Done,
     /*   45085 */   // Label 740: @45085
     /*   45085 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(45174), // Rule ID 46371 //
     /*   45090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45133 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45172 */     GIR_RootConstrainSelectedInstOperands,
     /*   45173 */     // GIR_Coverage, 46371,
     /*   45173 */     GIR_EraseRootFromParent_Done,
     /*   45174 */   // Label 741: @45174
     /*   45174 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(45263), // Rule ID 46486 //
     /*   45179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45222 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45261 */     GIR_RootConstrainSelectedInstOperands,
     /*   45262 */     // GIR_Coverage, 46486,
     /*   45262 */     GIR_EraseRootFromParent_Done,
     /*   45263 */   // Label 742: @45263
     /*   45263 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(45352), // Rule ID 46487 //
     /*   45268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45311 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45350 */     GIR_RootConstrainSelectedInstOperands,
     /*   45351 */     // GIR_Coverage, 46487,
     /*   45351 */     GIR_EraseRootFromParent_Done,
     /*   45352 */   // Label 743: @45352
     /*   45352 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(45420), // Rule ID 70351 //
     /*   45357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45394 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45418 */     GIR_RootConstrainSelectedInstOperands,
     /*   45419 */     // GIR_Coverage, 70351,
     /*   45419 */     GIR_EraseRootFromParent_Done,
     /*   45420 */   // Label 744: @45420
     /*   45420 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(45488), // Rule ID 70352 //
     /*   45425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45444 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45462 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45486 */     GIR_RootConstrainSelectedInstOperands,
     /*   45487 */     // GIR_Coverage, 70352,
     /*   45487 */     GIR_EraseRootFromParent_Done,
     /*   45488 */   // Label 745: @45488
     /*   45488 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45543), // Rule ID 69255 //
     /*   45493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45508 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45521 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45541 */     GIR_RootConstrainSelectedInstOperands,
     /*   45542 */     // GIR_Coverage, 69255,
     /*   45542 */     GIR_EraseRootFromParent_Done,
     /*   45543 */   // Label 746: @45543
     /*   45543 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45598), // Rule ID 69256 //
     /*   45548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45576 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45596 */     GIR_RootConstrainSelectedInstOperands,
     /*   45597 */     // GIR_Coverage, 69256,
     /*   45597 */     GIR_EraseRootFromParent_Done,
     /*   45598 */   // Label 747: @45598
     /*   45598 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45653), // Rule ID 69075 //
     /*   45603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45631 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45651 */     GIR_RootConstrainSelectedInstOperands,
     /*   45652 */     // GIR_Coverage, 69075,
     /*   45652 */     GIR_EraseRootFromParent_Done,
     /*   45653 */   // Label 748: @45653
     /*   45653 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45708), // Rule ID 69076 //
     /*   45658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45686 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45706 */     GIR_RootConstrainSelectedInstOperands,
     /*   45707 */     // GIR_Coverage, 69076,
     /*   45707 */     GIR_EraseRootFromParent_Done,
     /*   45708 */   // Label 749: @45708
     /*   45708 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45763), // Rule ID 69165 //
     /*   45713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45741 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45761 */     GIR_RootConstrainSelectedInstOperands,
     /*   45762 */     // GIR_Coverage, 69165,
     /*   45762 */     GIR_EraseRootFromParent_Done,
     /*   45763 */   // Label 750: @45763
     /*   45763 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45818), // Rule ID 69166 //
     /*   45768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45783 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45796 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45816 */     GIR_RootConstrainSelectedInstOperands,
     /*   45817 */     // GIR_Coverage, 69166,
     /*   45817 */     GIR_EraseRootFromParent_Done,
     /*   45818 */   // Label 751: @45818
     /*   45818 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45886), // Rule ID 51816 //
     /*   45823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45860 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45884 */     GIR_RootConstrainSelectedInstOperands,
     /*   45885 */     // GIR_Coverage, 51816,
     /*   45885 */     GIR_EraseRootFromParent_Done,
     /*   45886 */   // Label 752: @45886
     /*   45886 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45954), // Rule ID 51817 //
     /*   45891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45928 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45952 */     GIR_RootConstrainSelectedInstOperands,
     /*   45953 */     // GIR_Coverage, 51817,
     /*   45953 */     GIR_EraseRootFromParent_Done,
     /*   45954 */   // Label 753: @45954
     /*   45954 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(46009), // Rule ID 46666 //
     /*   45959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45978 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45987 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46007 */     GIR_RootConstrainSelectedInstOperands,
     /*   46008 */     // GIR_Coverage, 46666,
     /*   46008 */     GIR_EraseRootFromParent_Done,
     /*   46009 */   // Label 754: @46009
     /*   46009 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(46064), // Rule ID 46667 //
     /*   46014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46042 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46062 */     GIR_RootConstrainSelectedInstOperands,
     /*   46063 */     // GIR_Coverage, 46667,
     /*   46063 */     GIR_EraseRootFromParent_Done,
     /*   46064 */   // Label 755: @46064
     /*   46064 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(46119), // Rule ID 46426 //
     /*   46069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46088 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46097 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46117 */     GIR_RootConstrainSelectedInstOperands,
     /*   46118 */     // GIR_Coverage, 46426,
     /*   46118 */     GIR_EraseRootFromParent_Done,
     /*   46119 */   // Label 756: @46119
     /*   46119 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46174), // Rule ID 46427 //
     /*   46124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46152 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46172 */     GIR_RootConstrainSelectedInstOperands,
     /*   46173 */     // GIR_Coverage, 46427,
     /*   46173 */     GIR_EraseRootFromParent_Done,
     /*   46174 */   // Label 757: @46174
     /*   46174 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46229), // Rule ID 46546 //
     /*   46179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46207 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46227 */     GIR_RootConstrainSelectedInstOperands,
     /*   46228 */     // GIR_Coverage, 46546,
     /*   46228 */     GIR_EraseRootFromParent_Done,
     /*   46229 */   // Label 758: @46229
     /*   46229 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46284), // Rule ID 46547 //
     /*   46234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46262 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46282 */     GIR_RootConstrainSelectedInstOperands,
     /*   46283 */     // GIR_Coverage, 46547,
     /*   46283 */     GIR_EraseRootFromParent_Done,
     /*   46284 */   // Label 759: @46284
     /*   46284 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46337), // Rule ID 46052 //
     /*   46289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   46292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46300 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   46300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46335 */     GIR_RootConstrainSelectedInstOperands,
     /*   46336 */     // GIR_Coverage, 46052,
     /*   46336 */     GIR_EraseRootFromParent_Done,
     /*   46337 */   // Label 760: @46337
     /*   46337 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46390), // Rule ID 46053 //
     /*   46342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   46345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46353 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   46353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46388 */     GIR_RootConstrainSelectedInstOperands,
     /*   46389 */     // GIR_Coverage, 46053,
     /*   46389 */     GIR_EraseRootFromParent_Done,
     /*   46390 */   // Label 761: @46390
     /*   46390 */   GIM_Reject,
     /*   46391 */ // Label 721: @46391
     /*   46391 */ GIM_Reject,
     /*   46392 */ // Label 142: @46392
     /*   46392 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46786),
     /*   46397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46407 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46475), // Rule ID 70263 //
     /*   46412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46449 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46473 */     GIR_RootConstrainSelectedInstOperands,
     /*   46474 */     // GIR_Coverage, 70263,
     /*   46474 */     GIR_EraseRootFromParent_Done,
     /*   46475 */   // Label 763: @46475
     /*   46475 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46543), // Rule ID 70264 //
     /*   46480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46499 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46517 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46541 */     GIR_RootConstrainSelectedInstOperands,
     /*   46542 */     // GIR_Coverage, 70264,
     /*   46542 */     GIR_EraseRootFromParent_Done,
     /*   46543 */   // Label 764: @46543
     /*   46543 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46611), // Rule ID 51772 //
     /*   46548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46585 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46609 */     GIR_RootConstrainSelectedInstOperands,
     /*   46610 */     // GIR_Coverage, 51772,
     /*   46610 */     GIR_EraseRootFromParent_Done,
     /*   46611 */   // Label 765: @46611
     /*   46611 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46679), // Rule ID 51773 //
     /*   46616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46639 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46653 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46677 */     GIR_RootConstrainSelectedInstOperands,
     /*   46678 */     // GIR_Coverage, 51773,
     /*   46678 */     GIR_EraseRootFromParent_Done,
     /*   46679 */   // Label 766: @46679
     /*   46679 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46732), // Rule ID 46008 //
     /*   46684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46695 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46730 */     GIR_RootConstrainSelectedInstOperands,
     /*   46731 */     // GIR_Coverage, 46008,
     /*   46731 */     GIR_EraseRootFromParent_Done,
     /*   46732 */   // Label 767: @46732
     /*   46732 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46785), // Rule ID 46009 //
     /*   46737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46748 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46783 */     GIR_RootConstrainSelectedInstOperands,
     /*   46784 */     // GIR_Coverage, 46009,
     /*   46784 */     GIR_EraseRootFromParent_Done,
     /*   46785 */   // Label 768: @46785
     /*   46785 */   GIM_Reject,
     /*   46786 */ // Label 762: @46786
     /*   46786 */ GIM_Reject,
     /*   46787 */ // Label 143: @46787
     /*   46787 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(49911),
     /*   46792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46802 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46898), // Rule ID 70409 //
     /*   46807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46855 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46859 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46861 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46872 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46896 */     GIR_RootConstrainSelectedInstOperands,
     /*   46897 */     // GIR_Coverage, 70409,
     /*   46897 */     GIR_EraseRootFromParent_Done,
     /*   46898 */   // Label 770: @46898
     /*   46898 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(46994), // Rule ID 70410 //
     /*   46903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46951 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46955 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46957 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46966 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46968 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46992 */     GIR_RootConstrainSelectedInstOperands,
     /*   46993 */     // GIR_Coverage, 70410,
     /*   46993 */     GIR_EraseRootFromParent_Done,
     /*   46994 */   // Label 771: @46994
     /*   46994 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47090), // Rule ID 70661 //
     /*   46999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47047 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47051 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47053 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47064 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47088 */     GIR_RootConstrainSelectedInstOperands,
     /*   47089 */     // GIR_Coverage, 70661,
     /*   47089 */     GIR_EraseRootFromParent_Done,
     /*   47090 */   // Label 772: @47090
     /*   47090 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47186), // Rule ID 70662 //
     /*   47095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47160 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47184 */     GIR_RootConstrainSelectedInstOperands,
     /*   47185 */     // GIR_Coverage, 70662,
     /*   47185 */     GIR_EraseRootFromParent_Done,
     /*   47186 */   // Label 773: @47186
     /*   47186 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47282), // Rule ID 70663 //
     /*   47191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47256 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47280 */     GIR_RootConstrainSelectedInstOperands,
     /*   47281 */     // GIR_Coverage, 70663,
     /*   47281 */     GIR_EraseRootFromParent_Done,
     /*   47282 */   // Label 774: @47282
     /*   47282 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47378), // Rule ID 70664 //
     /*   47287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47352 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47376 */     GIR_RootConstrainSelectedInstOperands,
     /*   47377 */     // GIR_Coverage, 70664,
     /*   47377 */     GIR_EraseRootFromParent_Done,
     /*   47378 */   // Label 775: @47378
     /*   47378 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47474), // Rule ID 70523 //
     /*   47383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47431 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47435 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47437 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47448 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47472 */     GIR_RootConstrainSelectedInstOperands,
     /*   47473 */     // GIR_Coverage, 70523,
     /*   47473 */     GIR_EraseRootFromParent_Done,
     /*   47474 */   // Label 776: @47474
     /*   47474 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47570), // Rule ID 70524 //
     /*   47479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47512 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47527 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47531 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47533 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47544 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47568 */     GIR_RootConstrainSelectedInstOperands,
     /*   47569 */     // GIR_Coverage, 70524,
     /*   47569 */     GIR_EraseRootFromParent_Done,
     /*   47570 */   // Label 777: @47570
     /*   47570 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47666), // Rule ID 51914 //
     /*   47575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47612 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47631 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47633 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47640 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47664 */     GIR_RootConstrainSelectedInstOperands,
     /*   47665 */     // GIR_Coverage, 51914,
     /*   47665 */     GIR_EraseRootFromParent_Done,
     /*   47666 */   // Label 778: @47666
     /*   47666 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(47762), // Rule ID 51915 //
     /*   47671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47694 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47723 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47727 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47729 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47736 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47760 */     GIR_RootConstrainSelectedInstOperands,
     /*   47761 */     // GIR_Coverage, 51915,
     /*   47761 */     GIR_EraseRootFromParent_Done,
     /*   47762 */   // Label 779: @47762
     /*   47762 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47858), // Rule ID 52032 //
     /*   47767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47804 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47819 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47823 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47825 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47832 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47856 */     GIR_RootConstrainSelectedInstOperands,
     /*   47857 */     // GIR_Coverage, 52032,
     /*   47857 */     GIR_EraseRootFromParent_Done,
     /*   47858 */   // Label 780: @47858
     /*   47858 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(47954), // Rule ID 52033 //
     /*   47863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47928 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47952 */     GIR_RootConstrainSelectedInstOperands,
     /*   47953 */     // GIR_Coverage, 52033,
     /*   47953 */     GIR_EraseRootFromParent_Done,
     /*   47954 */   // Label 781: @47954
     /*   47954 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(48050), // Rule ID 70659 //
     /*   47959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48011 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48015 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48024 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48048 */     GIR_RootConstrainSelectedInstOperands,
     /*   48049 */     // GIR_Coverage, 70659,
     /*   48049 */     GIR_EraseRootFromParent_Done,
     /*   48050 */   // Label 782: @48050
     /*   48050 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(48146), // Rule ID 70660 //
     /*   48055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48120 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48144 */     GIR_RootConstrainSelectedInstOperands,
     /*   48145 */     // GIR_Coverage, 70660,
     /*   48145 */     GIR_EraseRootFromParent_Done,
     /*   48146 */   // Label 783: @48146
     /*   48146 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(48242), // Rule ID 51972 //
     /*   48151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48216 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48240 */     GIR_RootConstrainSelectedInstOperands,
     /*   48241 */     // GIR_Coverage, 51972,
     /*   48241 */     GIR_EraseRootFromParent_Done,
     /*   48242 */   // Label 784: @48242
     /*   48242 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(48338), // Rule ID 51973 //
     /*   48247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48312 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48336 */     GIR_RootConstrainSelectedInstOperands,
     /*   48337 */     // GIR_Coverage, 51973,
     /*   48337 */     GIR_EraseRootFromParent_Done,
     /*   48338 */   // Label 785: @48338
     /*   48338 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48427), // Rule ID 46566 //
     /*   48343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48377 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48386 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48425 */     GIR_RootConstrainSelectedInstOperands,
     /*   48426 */     // GIR_Coverage, 46566,
     /*   48426 */     GIR_EraseRootFromParent_Done,
     /*   48427 */   // Label 786: @48427
     /*   48427 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48516), // Rule ID 46567 //
     /*   48432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48447 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48466 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48475 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48514 */     GIR_RootConstrainSelectedInstOperands,
     /*   48515 */     // GIR_Coverage, 46567,
     /*   48515 */     GIR_EraseRootFromParent_Done,
     /*   48516 */   // Label 787: @48516
     /*   48516 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48605), // Rule ID 46330 //
     /*   48521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48555 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48564 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48603 */     GIR_RootConstrainSelectedInstOperands,
     /*   48604 */     // GIR_Coverage, 46330,
     /*   48604 */     GIR_EraseRootFromParent_Done,
     /*   48605 */   // Label 788: @48605
     /*   48605 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48694), // Rule ID 46331 //
     /*   48610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48625 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48644 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48653 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48692 */     GIR_RootConstrainSelectedInstOperands,
     /*   48693 */     // GIR_Coverage, 46331,
     /*   48693 */     GIR_EraseRootFromParent_Done,
     /*   48694 */   // Label 789: @48694
     /*   48694 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48783), // Rule ID 46446 //
     /*   48699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48733 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48742 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48781 */     GIR_RootConstrainSelectedInstOperands,
     /*   48782 */     // GIR_Coverage, 46446,
     /*   48782 */     GIR_EraseRootFromParent_Done,
     /*   48783 */   // Label 790: @48783
     /*   48783 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48872), // Rule ID 46447 //
     /*   48788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48803 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48822 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48831 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48870 */     GIR_RootConstrainSelectedInstOperands,
     /*   48871 */     // GIR_Coverage, 46447,
     /*   48871 */     GIR_EraseRootFromParent_Done,
     /*   48872 */   // Label 791: @48872
     /*   48872 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48940), // Rule ID 70295 //
     /*   48877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48914 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   48914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48938 */     GIR_RootConstrainSelectedInstOperands,
     /*   48939 */     // GIR_Coverage, 70295,
     /*   48939 */     GIR_EraseRootFromParent_Done,
     /*   48940 */   // Label 792: @48940
     /*   48940 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(49008), // Rule ID 70296 //
     /*   48945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48982 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   48982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49006 */     GIR_RootConstrainSelectedInstOperands,
     /*   49007 */     // GIR_Coverage, 70296,
     /*   49007 */     GIR_EraseRootFromParent_Done,
     /*   49008 */   // Label 793: @49008
     /*   49008 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(49063), // Rule ID 69215 //
     /*   49013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49028 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49041 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49061 */     GIR_RootConstrainSelectedInstOperands,
     /*   49062 */     // GIR_Coverage, 69215,
     /*   49062 */     GIR_EraseRootFromParent_Done,
     /*   49063 */   // Label 794: @49063
     /*   49063 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(49118), // Rule ID 69216 //
     /*   49068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49083 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49096 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49116 */     GIR_RootConstrainSelectedInstOperands,
     /*   49117 */     // GIR_Coverage, 69216,
     /*   49117 */     GIR_EraseRootFromParent_Done,
     /*   49118 */   // Label 795: @49118
     /*   49118 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49173), // Rule ID 69035 //
     /*   49123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49151 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49171 */     GIR_RootConstrainSelectedInstOperands,
     /*   49172 */     // GIR_Coverage, 69035,
     /*   49172 */     GIR_EraseRootFromParent_Done,
     /*   49173 */   // Label 796: @49173
     /*   49173 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49228), // Rule ID 69036 //
     /*   49178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49193 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49206 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49226 */     GIR_RootConstrainSelectedInstOperands,
     /*   49227 */     // GIR_Coverage, 69036,
     /*   49227 */     GIR_EraseRootFromParent_Done,
     /*   49228 */   // Label 797: @49228
     /*   49228 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49283), // Rule ID 69125 //
     /*   49233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49261 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49281 */     GIR_RootConstrainSelectedInstOperands,
     /*   49282 */     // GIR_Coverage, 69125,
     /*   49282 */     GIR_EraseRootFromParent_Done,
     /*   49283 */   // Label 798: @49283
     /*   49283 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49338), // Rule ID 69126 //
     /*   49288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49303 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49316 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49336 */     GIR_RootConstrainSelectedInstOperands,
     /*   49337 */     // GIR_Coverage, 69126,
     /*   49337 */     GIR_EraseRootFromParent_Done,
     /*   49338 */   // Label 799: @49338
     /*   49338 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49406), // Rule ID 51788 //
     /*   49343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49380 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49404 */     GIR_RootConstrainSelectedInstOperands,
     /*   49405 */     // GIR_Coverage, 51788,
     /*   49405 */     GIR_EraseRootFromParent_Done,
     /*   49406 */   // Label 800: @49406
     /*   49406 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49474), // Rule ID 51789 //
     /*   49411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49448 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   49448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49472 */     GIR_RootConstrainSelectedInstOperands,
     /*   49473 */     // GIR_Coverage, 51789,
     /*   49473 */     GIR_EraseRootFromParent_Done,
     /*   49474 */   // Label 801: @49474
     /*   49474 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49529), // Rule ID 46626 //
     /*   49479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49507 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49527 */     GIR_RootConstrainSelectedInstOperands,
     /*   49528 */     // GIR_Coverage, 46626,
     /*   49528 */     GIR_EraseRootFromParent_Done,
     /*   49529 */   // Label 802: @49529
     /*   49529 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49584), // Rule ID 46627 //
     /*   49534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49562 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49582 */     GIR_RootConstrainSelectedInstOperands,
     /*   49583 */     // GIR_Coverage, 46627,
     /*   49583 */     GIR_EraseRootFromParent_Done,
     /*   49584 */   // Label 803: @49584
     /*   49584 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49639), // Rule ID 46386 //
     /*   49589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49608 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49617 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49637 */     GIR_RootConstrainSelectedInstOperands,
     /*   49638 */     // GIR_Coverage, 46386,
     /*   49638 */     GIR_EraseRootFromParent_Done,
     /*   49639 */   // Label 804: @49639
     /*   49639 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49694), // Rule ID 46387 //
     /*   49644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49672 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49692 */     GIR_RootConstrainSelectedInstOperands,
     /*   49693 */     // GIR_Coverage, 46387,
     /*   49693 */     GIR_EraseRootFromParent_Done,
     /*   49694 */   // Label 805: @49694
     /*   49694 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49749), // Rule ID 46506 //
     /*   49699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49727 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49747 */     GIR_RootConstrainSelectedInstOperands,
     /*   49748 */     // GIR_Coverage, 46506,
     /*   49748 */     GIR_EraseRootFromParent_Done,
     /*   49749 */   // Label 806: @49749
     /*   49749 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49804), // Rule ID 46507 //
     /*   49754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49773 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49782 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49802 */     GIR_RootConstrainSelectedInstOperands,
     /*   49803 */     // GIR_Coverage, 46507,
     /*   49803 */     GIR_EraseRootFromParent_Done,
     /*   49804 */   // Label 807: @49804
     /*   49804 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49857), // Rule ID 46024 //
     /*   49809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49820 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   49820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49855 */     GIR_RootConstrainSelectedInstOperands,
     /*   49856 */     // GIR_Coverage, 46024,
     /*   49856 */     GIR_EraseRootFromParent_Done,
     /*   49857 */   // Label 808: @49857
     /*   49857 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49910), // Rule ID 46025 //
     /*   49862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49873 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   49873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49908 */     GIR_RootConstrainSelectedInstOperands,
     /*   49909 */     // GIR_Coverage, 46025,
     /*   49909 */     GIR_EraseRootFromParent_Done,
     /*   49910 */   // Label 809: @49910
     /*   49910 */   GIM_Reject,
     /*   49911 */ // Label 769: @49911
     /*   49911 */ GIM_Reject,
     /*   49912 */ // Label 144: @49912
     /*   49912 */ GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(53036),
     /*   49917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49927 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50023), // Rule ID 70421 //
     /*   49932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49984 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   49997 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50021 */     GIR_RootConstrainSelectedInstOperands,
     /*   50022 */     // GIR_Coverage, 70421,
     /*   50022 */     GIR_EraseRootFromParent_Done,
     /*   50023 */   // Label 811: @50023
     /*   50023 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50119), // Rule ID 70422 //
     /*   50028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50061 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50076 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50080 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50082 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50093 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50117 */     GIR_RootConstrainSelectedInstOperands,
     /*   50118 */     // GIR_Coverage, 70422,
     /*   50118 */     GIR_EraseRootFromParent_Done,
     /*   50119 */   // Label 812: @50119
     /*   50119 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50215), // Rule ID 70697 //
     /*   50124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50172 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50176 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50178 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50189 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50213 */     GIR_RootConstrainSelectedInstOperands,
     /*   50214 */     // GIR_Coverage, 70697,
     /*   50214 */     GIR_EraseRootFromParent_Done,
     /*   50215 */   // Label 813: @50215
     /*   50215 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50311), // Rule ID 70698 //
     /*   50220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50253 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50260 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50264 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50268 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50272 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50274 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50283 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50285 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50309 */     GIR_RootConstrainSelectedInstOperands,
     /*   50310 */     // GIR_Coverage, 70698,
     /*   50310 */     GIR_EraseRootFromParent_Done,
     /*   50311 */   // Label 814: @50311
     /*   50311 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50407), // Rule ID 70699 //
     /*   50316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50356 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50360 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50364 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50368 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50370 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50381 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50405 */     GIR_RootConstrainSelectedInstOperands,
     /*   50406 */     // GIR_Coverage, 70699,
     /*   50406 */     GIR_EraseRootFromParent_Done,
     /*   50407 */   // Label 815: @50407
     /*   50407 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50503), // Rule ID 70700 //
     /*   50412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50452 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50456 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50460 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50464 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50466 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50475 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50477 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50501 */     GIR_RootConstrainSelectedInstOperands,
     /*   50502 */     // GIR_Coverage, 70700,
     /*   50502 */     GIR_EraseRootFromParent_Done,
     /*   50503 */   // Label 816: @50503
     /*   50503 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50599), // Rule ID 70535 //
     /*   50508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50541 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50548 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50552 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50556 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50560 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50562 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50573 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50597 */     GIR_RootConstrainSelectedInstOperands,
     /*   50598 */     // GIR_Coverage, 70535,
     /*   50598 */     GIR_EraseRootFromParent_Done,
     /*   50599 */   // Label 817: @50599
     /*   50599 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50695), // Rule ID 70536 //
     /*   50604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50623 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50637 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50639 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50644 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50648 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50652 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50656 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50658 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50669 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50693 */     GIR_RootConstrainSelectedInstOperands,
     /*   50694 */     // GIR_Coverage, 70536,
     /*   50694 */     GIR_EraseRootFromParent_Done,
     /*   50695 */   // Label 818: @50695
     /*   50695 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50791), // Rule ID 51926 //
     /*   50700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50752 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50756 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50758 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50765 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50789 */     GIR_RootConstrainSelectedInstOperands,
     /*   50790 */     // GIR_Coverage, 51926,
     /*   50790 */     GIR_EraseRootFromParent_Done,
     /*   50791 */   // Label 819: @50791
     /*   50791 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50887), // Rule ID 51927 //
     /*   50796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50833 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50852 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50854 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50861 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50885 */     GIR_RootConstrainSelectedInstOperands,
     /*   50886 */     // GIR_Coverage, 51927,
     /*   50886 */     GIR_EraseRootFromParent_Done,
     /*   50887 */   // Label 820: @50887
     /*   50887 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50983), // Rule ID 52044 //
     /*   50892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50944 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50948 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50950 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50957 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50981 */     GIR_RootConstrainSelectedInstOperands,
     /*   50982 */     // GIR_Coverage, 52044,
     /*   50982 */     GIR_EraseRootFromParent_Done,
     /*   50983 */   // Label 821: @50983
     /*   50983 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(51079), // Rule ID 52045 //
     /*   50988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51040 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51044 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51046 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51053 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51077 */     GIR_RootConstrainSelectedInstOperands,
     /*   51078 */     // GIR_Coverage, 52045,
     /*   51078 */     GIR_EraseRootFromParent_Done,
     /*   51079 */   // Label 822: @51079
     /*   51079 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(51175), // Rule ID 70695 //
     /*   51084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51121 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51136 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51140 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51142 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51149 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51173 */     GIR_RootConstrainSelectedInstOperands,
     /*   51174 */     // GIR_Coverage, 70695,
     /*   51174 */     GIR_EraseRootFromParent_Done,
     /*   51175 */   // Label 823: @51175
     /*   51175 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(51271), // Rule ID 70696 //
     /*   51180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51232 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51236 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51238 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51243 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51245 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51269 */     GIR_RootConstrainSelectedInstOperands,
     /*   51270 */     // GIR_Coverage, 70696,
     /*   51270 */     GIR_EraseRootFromParent_Done,
     /*   51271 */   // Label 824: @51271
     /*   51271 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(51367), // Rule ID 51984 //
     /*   51276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51313 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51328 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51332 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51334 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51341 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51365 */     GIR_RootConstrainSelectedInstOperands,
     /*   51366 */     // GIR_Coverage, 51984,
     /*   51366 */     GIR_EraseRootFromParent_Done,
     /*   51367 */   // Label 825: @51367
     /*   51367 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(51463), // Rule ID 51985 //
     /*   51372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51409 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51416 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51420 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51424 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51428 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51430 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51435 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51437 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51461 */     GIR_RootConstrainSelectedInstOperands,
     /*   51462 */     // GIR_Coverage, 51985,
     /*   51462 */     GIR_EraseRootFromParent_Done,
     /*   51463 */   // Label 826: @51463
     /*   51463 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(51552), // Rule ID 46590 //
     /*   51468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51498 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51502 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51504 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51511 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51550 */     GIR_RootConstrainSelectedInstOperands,
     /*   51551 */     // GIR_Coverage, 46590,
     /*   51551 */     GIR_EraseRootFromParent_Done,
     /*   51552 */   // Label 827: @51552
     /*   51552 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51641), // Rule ID 46591 //
     /*   51557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51591 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51600 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51639 */     GIR_RootConstrainSelectedInstOperands,
     /*   51640 */     // GIR_Coverage, 46591,
     /*   51640 */     GIR_EraseRootFromParent_Done,
     /*   51641 */   // Label 828: @51641
     /*   51641 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51730), // Rule ID 46354 //
     /*   51646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51680 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51682 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51689 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51728 */     GIR_RootConstrainSelectedInstOperands,
     /*   51729 */     // GIR_Coverage, 46354,
     /*   51729 */     GIR_EraseRootFromParent_Done,
     /*   51730 */   // Label 829: @51730
     /*   51730 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51819), // Rule ID 46355 //
     /*   51735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51769 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51771 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51776 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51778 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51817 */     GIR_RootConstrainSelectedInstOperands,
     /*   51818 */     // GIR_Coverage, 46355,
     /*   51818 */     GIR_EraseRootFromParent_Done,
     /*   51819 */   // Label 830: @51819
     /*   51819 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51908), // Rule ID 46470 //
     /*   51824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51858 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51867 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51906 */     GIR_RootConstrainSelectedInstOperands,
     /*   51907 */     // GIR_Coverage, 46470,
     /*   51907 */     GIR_EraseRootFromParent_Done,
     /*   51908 */   // Label 831: @51908
     /*   51908 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51997), // Rule ID 46471 //
     /*   51913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51947 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51956 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51995 */     GIR_RootConstrainSelectedInstOperands,
     /*   51996 */     // GIR_Coverage, 46471,
     /*   51996 */     GIR_EraseRootFromParent_Done,
     /*   51997 */   // Label 832: @51997
     /*   51997 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(52065), // Rule ID 70327 //
     /*   52002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52039 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52063 */     GIR_RootConstrainSelectedInstOperands,
     /*   52064 */     // GIR_Coverage, 70327,
     /*   52064 */     GIR_EraseRootFromParent_Done,
     /*   52065 */   // Label 833: @52065
     /*   52065 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(52133), // Rule ID 70328 //
     /*   52070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52107 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52131 */     GIR_RootConstrainSelectedInstOperands,
     /*   52132 */     // GIR_Coverage, 70328,
     /*   52132 */     GIR_EraseRootFromParent_Done,
     /*   52133 */   // Label 834: @52133
     /*   52133 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(52188), // Rule ID 69239 //
     /*   52138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52153 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52166 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52186 */     GIR_RootConstrainSelectedInstOperands,
     /*   52187 */     // GIR_Coverage, 69239,
     /*   52187 */     GIR_EraseRootFromParent_Done,
     /*   52188 */   // Label 835: @52188
     /*   52188 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(52243), // Rule ID 69240 //
     /*   52193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52221 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52241 */     GIR_RootConstrainSelectedInstOperands,
     /*   52242 */     // GIR_Coverage, 69240,
     /*   52242 */     GIR_EraseRootFromParent_Done,
     /*   52243 */   // Label 836: @52243
     /*   52243 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(52298), // Rule ID 69059 //
     /*   52248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52263 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52276 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52296 */     GIR_RootConstrainSelectedInstOperands,
     /*   52297 */     // GIR_Coverage, 69059,
     /*   52297 */     GIR_EraseRootFromParent_Done,
     /*   52298 */   // Label 837: @52298
     /*   52298 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(52353), // Rule ID 69060 //
     /*   52303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52318 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52331 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52351 */     GIR_RootConstrainSelectedInstOperands,
     /*   52352 */     // GIR_Coverage, 69060,
     /*   52352 */     GIR_EraseRootFromParent_Done,
     /*   52353 */   // Label 838: @52353
     /*   52353 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52408), // Rule ID 69149 //
     /*   52358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52386 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52406 */     GIR_RootConstrainSelectedInstOperands,
     /*   52407 */     // GIR_Coverage, 69149,
     /*   52407 */     GIR_EraseRootFromParent_Done,
     /*   52408 */   // Label 839: @52408
     /*   52408 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52463), // Rule ID 69150 //
     /*   52413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52441 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52461 */     GIR_RootConstrainSelectedInstOperands,
     /*   52462 */     // GIR_Coverage, 69150,
     /*   52462 */     GIR_EraseRootFromParent_Done,
     /*   52463 */   // Label 840: @52463
     /*   52463 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52531), // Rule ID 51804 //
     /*   52468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52505 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52529 */     GIR_RootConstrainSelectedInstOperands,
     /*   52530 */     // GIR_Coverage, 51804,
     /*   52530 */     GIR_EraseRootFromParent_Done,
     /*   52531 */   // Label 841: @52531
     /*   52531 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52599), // Rule ID 51805 //
     /*   52536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52573 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52597 */     GIR_RootConstrainSelectedInstOperands,
     /*   52598 */     // GIR_Coverage, 51805,
     /*   52598 */     GIR_EraseRootFromParent_Done,
     /*   52599 */   // Label 842: @52599
     /*   52599 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52654), // Rule ID 46650 //
     /*   52604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52623 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52632 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52652 */     GIR_RootConstrainSelectedInstOperands,
     /*   52653 */     // GIR_Coverage, 46650,
     /*   52653 */     GIR_EraseRootFromParent_Done,
     /*   52654 */   // Label 843: @52654
     /*   52654 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52709), // Rule ID 46651 //
     /*   52659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52678 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52687 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52707 */     GIR_RootConstrainSelectedInstOperands,
     /*   52708 */     // GIR_Coverage, 46651,
     /*   52708 */     GIR_EraseRootFromParent_Done,
     /*   52709 */   // Label 844: @52709
     /*   52709 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52764), // Rule ID 46410 //
     /*   52714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52742 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52762 */     GIR_RootConstrainSelectedInstOperands,
     /*   52763 */     // GIR_Coverage, 46410,
     /*   52763 */     GIR_EraseRootFromParent_Done,
     /*   52764 */   // Label 845: @52764
     /*   52764 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52819), // Rule ID 46411 //
     /*   52769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52797 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52817 */     GIR_RootConstrainSelectedInstOperands,
     /*   52818 */     // GIR_Coverage, 46411,
     /*   52818 */     GIR_EraseRootFromParent_Done,
     /*   52819 */   // Label 846: @52819
     /*   52819 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52874), // Rule ID 46530 //
     /*   52824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52843 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52852 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52872 */     GIR_RootConstrainSelectedInstOperands,
     /*   52873 */     // GIR_Coverage, 46530,
     /*   52873 */     GIR_EraseRootFromParent_Done,
     /*   52874 */   // Label 847: @52874
     /*   52874 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52929), // Rule ID 46531 //
     /*   52879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52898 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52907 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52927 */     GIR_RootConstrainSelectedInstOperands,
     /*   52928 */     // GIR_Coverage, 46531,
     /*   52928 */     GIR_EraseRootFromParent_Done,
     /*   52929 */   // Label 848: @52929
     /*   52929 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52982), // Rule ID 46040 //
     /*   52934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52945 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   52945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   52962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   52969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52980 */     GIR_RootConstrainSelectedInstOperands,
     /*   52981 */     // GIR_Coverage, 46040,
     /*   52981 */     GIR_EraseRootFromParent_Done,
     /*   52982 */   // Label 849: @52982
     /*   52982 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53035), // Rule ID 46041 //
     /*   52987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52998 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   52998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   53001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   53015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53033 */     GIR_RootConstrainSelectedInstOperands,
     /*   53034 */     // GIR_Coverage, 46041,
     /*   53034 */     GIR_EraseRootFromParent_Done,
     /*   53035 */   // Label 850: @53035
     /*   53035 */   GIM_Reject,
     /*   53036 */ // Label 810: @53036
     /*   53036 */ GIM_Reject,
     /*   53037 */ // Label 145: @53037
     /*   53037 */ GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53431),
     /*   53042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53052 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53120), // Rule ID 70271 //
     /*   53057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53094 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53118 */     GIR_RootConstrainSelectedInstOperands,
     /*   53119 */     // GIR_Coverage, 70271,
     /*   53119 */     GIR_EraseRootFromParent_Done,
     /*   53120 */   // Label 852: @53120
     /*   53120 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53188), // Rule ID 70272 //
     /*   53125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53162 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53186 */     GIR_RootConstrainSelectedInstOperands,
     /*   53187 */     // GIR_Coverage, 70272,
     /*   53187 */     GIR_EraseRootFromParent_Done,
     /*   53188 */   // Label 853: @53188
     /*   53188 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53256), // Rule ID 51776 //
     /*   53193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53230 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53254 */     GIR_RootConstrainSelectedInstOperands,
     /*   53255 */     // GIR_Coverage, 51776,
     /*   53255 */     GIR_EraseRootFromParent_Done,
     /*   53256 */   // Label 854: @53256
     /*   53256 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53324), // Rule ID 51777 //
     /*   53261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53284 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53298 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53322 */     GIR_RootConstrainSelectedInstOperands,
     /*   53323 */     // GIR_Coverage, 51777,
     /*   53323 */     GIR_EraseRootFromParent_Done,
     /*   53324 */   // Label 855: @53324
     /*   53324 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53377), // Rule ID 46012 //
     /*   53329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53340 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53375 */     GIR_RootConstrainSelectedInstOperands,
     /*   53376 */     // GIR_Coverage, 46012,
     /*   53376 */     GIR_EraseRootFromParent_Done,
     /*   53377 */   // Label 856: @53377
     /*   53377 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53430), // Rule ID 46013 //
     /*   53382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53393 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53428 */     GIR_RootConstrainSelectedInstOperands,
     /*   53429 */     // GIR_Coverage, 46013,
     /*   53429 */     GIR_EraseRootFromParent_Done,
     /*   53430 */   // Label 857: @53430
     /*   53430 */   GIM_Reject,
     /*   53431 */ // Label 851: @53431
     /*   53431 */ GIM_Reject,
     /*   53432 */ // Label 146: @53432
     /*   53432 */ GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(56556),
     /*   53437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53447 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53543), // Rule ID 70411 //
     /*   53452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53492 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53496 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53500 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53504 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53506 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53515 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53517 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53541 */     GIR_RootConstrainSelectedInstOperands,
     /*   53542 */     // GIR_Coverage, 70411,
     /*   53542 */     GIR_EraseRootFromParent_Done,
     /*   53543 */   // Label 859: @53543
     /*   53543 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53639), // Rule ID 70412 //
     /*   53548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53596 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53600 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53602 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53613 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53637 */     GIR_RootConstrainSelectedInstOperands,
     /*   53638 */     // GIR_Coverage, 70412,
     /*   53638 */     GIR_EraseRootFromParent_Done,
     /*   53639 */   // Label 860: @53639
     /*   53639 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53735), // Rule ID 70667 //
     /*   53644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53684 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53688 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53692 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53696 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53698 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53707 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53709 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53733 */     GIR_RootConstrainSelectedInstOperands,
     /*   53734 */     // GIR_Coverage, 70667,
     /*   53734 */     GIR_EraseRootFromParent_Done,
     /*   53735 */   // Label 861: @53735
     /*   53735 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53831), // Rule ID 70668 //
     /*   53740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53773 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53788 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53792 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53794 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53803 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53805 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53829 */     GIR_RootConstrainSelectedInstOperands,
     /*   53830 */     // GIR_Coverage, 70668,
     /*   53830 */     GIR_EraseRootFromParent_Done,
     /*   53831 */   // Label 862: @53831
     /*   53831 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53927), // Rule ID 70669 //
     /*   53836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53884 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53888 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53890 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53901 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   53912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   53916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53925 */     GIR_RootConstrainSelectedInstOperands,
     /*   53926 */     // GIR_Coverage, 70669,
     /*   53926 */     GIR_EraseRootFromParent_Done,
     /*   53927 */   // Label 863: @53927
     /*   53927 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(54023), // Rule ID 70670 //
     /*   53932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53984 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53997 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54021 */     GIR_RootConstrainSelectedInstOperands,
     /*   54022 */     // GIR_Coverage, 70670,
     /*   54022 */     GIR_EraseRootFromParent_Done,
     /*   54023 */   // Label 864: @54023
     /*   54023 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(54119), // Rule ID 70525 //
     /*   54028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54061 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54076 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54080 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54082 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54093 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54117 */     GIR_RootConstrainSelectedInstOperands,
     /*   54118 */     // GIR_Coverage, 70525,
     /*   54118 */     GIR_EraseRootFromParent_Done,
     /*   54119 */   // Label 865: @54119
     /*   54119 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(54215), // Rule ID 70526 //
     /*   54124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54172 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54176 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54178 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54189 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54213 */     GIR_RootConstrainSelectedInstOperands,
     /*   54214 */     // GIR_Coverage, 70526,
     /*   54214 */     GIR_EraseRootFromParent_Done,
     /*   54215 */   // Label 866: @54215
     /*   54215 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54311), // Rule ID 51916 //
     /*   54220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54257 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54264 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54268 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54272 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54276 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54278 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54283 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54285 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54309 */     GIR_RootConstrainSelectedInstOperands,
     /*   54310 */     // GIR_Coverage, 51916,
     /*   54310 */     GIR_EraseRootFromParent_Done,
     /*   54311 */   // Label 867: @54311
     /*   54311 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(54407), // Rule ID 51917 //
     /*   54316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54353 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54368 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54372 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54374 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54381 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54405 */     GIR_RootConstrainSelectedInstOperands,
     /*   54406 */     // GIR_Coverage, 51917,
     /*   54406 */     GIR_EraseRootFromParent_Done,
     /*   54407 */   // Label 868: @54407
     /*   54407 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54503), // Rule ID 52034 //
     /*   54412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54435 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54449 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54456 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54460 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54464 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54468 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54470 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54475 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54477 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54501 */     GIR_RootConstrainSelectedInstOperands,
     /*   54502 */     // GIR_Coverage, 52034,
     /*   54502 */     GIR_EraseRootFromParent_Done,
     /*   54503 */   // Label 869: @54503
     /*   54503 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54599), // Rule ID 52035 //
     /*   54508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54545 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54560 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54564 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54566 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54573 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54597 */     GIR_RootConstrainSelectedInstOperands,
     /*   54598 */     // GIR_Coverage, 52035,
     /*   54598 */     GIR_EraseRootFromParent_Done,
     /*   54599 */   // Label 870: @54599
     /*   54599 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54695), // Rule ID 70665 //
     /*   54604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54641 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54656 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54660 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54662 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54669 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54693 */     GIR_RootConstrainSelectedInstOperands,
     /*   54694 */     // GIR_Coverage, 70665,
     /*   54694 */     GIR_EraseRootFromParent_Done,
     /*   54695 */   // Label 871: @54695
     /*   54695 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54791), // Rule ID 70666 //
     /*   54700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54752 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54756 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54758 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54765 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54789 */     GIR_RootConstrainSelectedInstOperands,
     /*   54790 */     // GIR_Coverage, 70666,
     /*   54790 */     GIR_EraseRootFromParent_Done,
     /*   54791 */   // Label 872: @54791
     /*   54791 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54887), // Rule ID 51974 //
     /*   54796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54833 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54852 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54854 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54861 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54885 */     GIR_RootConstrainSelectedInstOperands,
     /*   54886 */     // GIR_Coverage, 51974,
     /*   54886 */     GIR_EraseRootFromParent_Done,
     /*   54887 */   // Label 873: @54887
     /*   54887 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54983), // Rule ID 51975 //
     /*   54892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54944 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54948 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54950 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54957 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54981 */     GIR_RootConstrainSelectedInstOperands,
     /*   54982 */     // GIR_Coverage, 51975,
     /*   54982 */     GIR_EraseRootFromParent_Done,
     /*   54983 */   // Label 874: @54983
     /*   54983 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(55072), // Rule ID 46570 //
     /*   54988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55022 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55031 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55070 */     GIR_RootConstrainSelectedInstOperands,
     /*   55071 */     // GIR_Coverage, 46570,
     /*   55071 */     GIR_EraseRootFromParent_Done,
     /*   55072 */   // Label 875: @55072
     /*   55072 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(55161), // Rule ID 46571 //
     /*   55077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55111 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55120 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55159 */     GIR_RootConstrainSelectedInstOperands,
     /*   55160 */     // GIR_Coverage, 46571,
     /*   55160 */     GIR_EraseRootFromParent_Done,
     /*   55161 */   // Label 876: @55161
     /*   55161 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(55250), // Rule ID 46334 //
     /*   55166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55200 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55209 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55248 */     GIR_RootConstrainSelectedInstOperands,
     /*   55249 */     // GIR_Coverage, 46334,
     /*   55249 */     GIR_EraseRootFromParent_Done,
     /*   55250 */   // Label 877: @55250
     /*   55250 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55339), // Rule ID 46335 //
     /*   55255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55289 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55298 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55337 */     GIR_RootConstrainSelectedInstOperands,
     /*   55338 */     // GIR_Coverage, 46335,
     /*   55338 */     GIR_EraseRootFromParent_Done,
     /*   55339 */   // Label 878: @55339
     /*   55339 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55428), // Rule ID 46450 //
     /*   55344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55387 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55426 */     GIR_RootConstrainSelectedInstOperands,
     /*   55427 */     // GIR_Coverage, 46450,
     /*   55427 */     GIR_EraseRootFromParent_Done,
     /*   55428 */   // Label 879: @55428
     /*   55428 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55517), // Rule ID 46451 //
     /*   55433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55448 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55476 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55515 */     GIR_RootConstrainSelectedInstOperands,
     /*   55516 */     // GIR_Coverage, 46451,
     /*   55516 */     GIR_EraseRootFromParent_Done,
     /*   55517 */   // Label 880: @55517
     /*   55517 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55585), // Rule ID 70303 //
     /*   55522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55559 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55583 */     GIR_RootConstrainSelectedInstOperands,
     /*   55584 */     // GIR_Coverage, 70303,
     /*   55584 */     GIR_EraseRootFromParent_Done,
     /*   55585 */   // Label 881: @55585
     /*   55585 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55653), // Rule ID 70304 //
     /*   55590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55627 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55651 */     GIR_RootConstrainSelectedInstOperands,
     /*   55652 */     // GIR_Coverage, 70304,
     /*   55652 */     GIR_EraseRootFromParent_Done,
     /*   55653 */   // Label 882: @55653
     /*   55653 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55708), // Rule ID 69219 //
     /*   55658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55686 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55706 */     GIR_RootConstrainSelectedInstOperands,
     /*   55707 */     // GIR_Coverage, 69219,
     /*   55707 */     GIR_EraseRootFromParent_Done,
     /*   55708 */   // Label 883: @55708
     /*   55708 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55763), // Rule ID 69220 //
     /*   55713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55741 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55761 */     GIR_RootConstrainSelectedInstOperands,
     /*   55762 */     // GIR_Coverage, 69220,
     /*   55762 */     GIR_EraseRootFromParent_Done,
     /*   55763 */   // Label 884: @55763
     /*   55763 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55818), // Rule ID 69039 //
     /*   55768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55783 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55796 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55816 */     GIR_RootConstrainSelectedInstOperands,
     /*   55817 */     // GIR_Coverage, 69039,
     /*   55817 */     GIR_EraseRootFromParent_Done,
     /*   55818 */   // Label 885: @55818
     /*   55818 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55873), // Rule ID 69040 //
     /*   55823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55851 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55871 */     GIR_RootConstrainSelectedInstOperands,
     /*   55872 */     // GIR_Coverage, 69040,
     /*   55872 */     GIR_EraseRootFromParent_Done,
     /*   55873 */   // Label 886: @55873
     /*   55873 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55928), // Rule ID 69129 //
     /*   55878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55893 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55906 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55926 */     GIR_RootConstrainSelectedInstOperands,
     /*   55927 */     // GIR_Coverage, 69129,
     /*   55927 */     GIR_EraseRootFromParent_Done,
     /*   55928 */   // Label 887: @55928
     /*   55928 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55983), // Rule ID 69130 //
     /*   55933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55961 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55981 */     GIR_RootConstrainSelectedInstOperands,
     /*   55982 */     // GIR_Coverage, 69130,
     /*   55982 */     GIR_EraseRootFromParent_Done,
     /*   55983 */   // Label 888: @55983
     /*   55983 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56051), // Rule ID 51792 //
     /*   55988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   56007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56025 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56049 */     GIR_RootConstrainSelectedInstOperands,
     /*   56050 */     // GIR_Coverage, 51792,
     /*   56050 */     GIR_EraseRootFromParent_Done,
     /*   56051 */   // Label 889: @56051
     /*   56051 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56119), // Rule ID 51793 //
     /*   56056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   56075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56079 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56093 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56117 */     GIR_RootConstrainSelectedInstOperands,
     /*   56118 */     // GIR_Coverage, 51793,
     /*   56118 */     GIR_EraseRootFromParent_Done,
     /*   56119 */   // Label 890: @56119
     /*   56119 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56174), // Rule ID 46630 //
     /*   56124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56152 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56172 */     GIR_RootConstrainSelectedInstOperands,
     /*   56173 */     // GIR_Coverage, 46630,
     /*   56173 */     GIR_EraseRootFromParent_Done,
     /*   56174 */   // Label 891: @56174
     /*   56174 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56229), // Rule ID 46631 //
     /*   56179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56207 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56227 */     GIR_RootConstrainSelectedInstOperands,
     /*   56228 */     // GIR_Coverage, 46631,
     /*   56228 */     GIR_EraseRootFromParent_Done,
     /*   56229 */   // Label 892: @56229
     /*   56229 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56284), // Rule ID 46390 //
     /*   56234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56262 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56282 */     GIR_RootConstrainSelectedInstOperands,
     /*   56283 */     // GIR_Coverage, 46390,
     /*   56283 */     GIR_EraseRootFromParent_Done,
     /*   56284 */   // Label 893: @56284
     /*   56284 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56339), // Rule ID 46391 //
     /*   56289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56317 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56337 */     GIR_RootConstrainSelectedInstOperands,
     /*   56338 */     // GIR_Coverage, 46391,
     /*   56338 */     GIR_EraseRootFromParent_Done,
     /*   56339 */   // Label 894: @56339
     /*   56339 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56394), // Rule ID 46510 //
     /*   56344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56372 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56392 */     GIR_RootConstrainSelectedInstOperands,
     /*   56393 */     // GIR_Coverage, 46510,
     /*   56393 */     GIR_EraseRootFromParent_Done,
     /*   56394 */   // Label 895: @56394
     /*   56394 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56449), // Rule ID 46511 //
     /*   56399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56427 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56447 */     GIR_RootConstrainSelectedInstOperands,
     /*   56448 */     // GIR_Coverage, 46511,
     /*   56448 */     GIR_EraseRootFromParent_Done,
     /*   56449 */   // Label 896: @56449
     /*   56449 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56502), // Rule ID 46028 //
     /*   56454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56465 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   56465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56500 */     GIR_RootConstrainSelectedInstOperands,
     /*   56501 */     // GIR_Coverage, 46028,
     /*   56501 */     GIR_EraseRootFromParent_Done,
     /*   56502 */   // Label 897: @56502
     /*   56502 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56555), // Rule ID 46029 //
     /*   56507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56518 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56553 */     GIR_RootConstrainSelectedInstOperands,
     /*   56554 */     // GIR_Coverage, 46029,
     /*   56554 */     GIR_EraseRootFromParent_Done,
     /*   56555 */   // Label 898: @56555
     /*   56555 */   GIM_Reject,
     /*   56556 */ // Label 858: @56556
     /*   56556 */ GIM_Reject,
     /*   56557 */ // Label 147: @56557
     /*   56557 */ GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56951),
     /*   56562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56572 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56640), // Rule ID 70279 //
     /*   56577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56614 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56638 */     GIR_RootConstrainSelectedInstOperands,
     /*   56639 */     // GIR_Coverage, 70279,
     /*   56639 */     GIR_EraseRootFromParent_Done,
     /*   56640 */   // Label 900: @56640
     /*   56640 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56708), // Rule ID 70280 //
     /*   56645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56682 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56706 */     GIR_RootConstrainSelectedInstOperands,
     /*   56707 */     // GIR_Coverage, 70280,
     /*   56707 */     GIR_EraseRootFromParent_Done,
     /*   56708 */   // Label 901: @56708
     /*   56708 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56776), // Rule ID 51780 //
     /*   56713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56750 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56774 */     GIR_RootConstrainSelectedInstOperands,
     /*   56775 */     // GIR_Coverage, 51780,
     /*   56775 */     GIR_EraseRootFromParent_Done,
     /*   56776 */   // Label 902: @56776
     /*   56776 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56844), // Rule ID 51781 //
     /*   56781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56818 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56842 */     GIR_RootConstrainSelectedInstOperands,
     /*   56843 */     // GIR_Coverage, 51781,
     /*   56843 */     GIR_EraseRootFromParent_Done,
     /*   56844 */   // Label 903: @56844
     /*   56844 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56897), // Rule ID 46016 //
     /*   56849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56860 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   56860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56895 */     GIR_RootConstrainSelectedInstOperands,
     /*   56896 */     // GIR_Coverage, 46016,
     /*   56896 */     GIR_EraseRootFromParent_Done,
     /*   56897 */   // Label 904: @56897
     /*   56897 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56950), // Rule ID 46017 //
     /*   56902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56913 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   56913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56948 */     GIR_RootConstrainSelectedInstOperands,
     /*   56949 */     // GIR_Coverage, 46017,
     /*   56949 */     GIR_EraseRootFromParent_Done,
     /*   56950 */   // Label 905: @56950
     /*   56950 */   GIM_Reject,
     /*   56951 */ // Label 899: @56951
     /*   56951 */ GIM_Reject,
     /*   56952 */ // Label 148: @56952
     /*   56952 */ GIM_Reject,
     /*   56953 */ // Label 1: @56953
     /*   56953 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 930*/ GIMT_Encode4(76185),
     /*   56964 */ /*GILLT_s32*//*Label 906*/ GIMT_Encode4(57088),
     /*   56968 */ /*GILLT_s64*//*Label 907*/ GIMT_Encode4(57335), GIMT_Encode4(0),
     /*   56976 */ /*GILLT_nxv1s8*//*Label 908*/ GIMT_Encode4(57611),
     /*   56980 */ /*GILLT_nxv1s16*//*Label 909*/ GIMT_Encode4(57858),
     /*   56984 */ /*GILLT_nxv1s32*//*Label 910*/ GIMT_Encode4(58981),
     /*   56988 */ /*GILLT_nxv1s64*//*Label 911*/ GIMT_Encode4(60104), GIMT_Encode4(0),
     /*   56996 */ /*GILLT_nxv2s8*//*Label 912*/ GIMT_Encode4(61227),
     /*   57000 */ /*GILLT_nxv2s16*//*Label 913*/ GIMT_Encode4(61474),
     /*   57004 */ /*GILLT_nxv2s32*//*Label 914*/ GIMT_Encode4(62597),
     /*   57008 */ /*GILLT_nxv2s64*//*Label 915*/ GIMT_Encode4(63720), GIMT_Encode4(0),
     /*   57016 */ /*GILLT_nxv4s8*//*Label 916*/ GIMT_Encode4(64843),
     /*   57020 */ /*GILLT_nxv4s16*//*Label 917*/ GIMT_Encode4(65090),
     /*   57024 */ /*GILLT_nxv4s32*//*Label 918*/ GIMT_Encode4(66213),
     /*   57028 */ /*GILLT_nxv4s64*//*Label 919*/ GIMT_Encode4(67336), GIMT_Encode4(0),
     /*   57036 */ /*GILLT_nxv8s8*//*Label 920*/ GIMT_Encode4(68459),
     /*   57040 */ /*GILLT_nxv8s16*//*Label 921*/ GIMT_Encode4(68706),
     /*   57044 */ /*GILLT_nxv8s32*//*Label 922*/ GIMT_Encode4(69829),
     /*   57048 */ /*GILLT_nxv8s64*//*Label 923*/ GIMT_Encode4(70952), GIMT_Encode4(0),
     /*   57056 */ /*GILLT_nxv16s8*//*Label 924*/ GIMT_Encode4(72075),
     /*   57060 */ /*GILLT_nxv16s16*//*Label 925*/ GIMT_Encode4(72322),
     /*   57064 */ /*GILLT_nxv16s32*//*Label 926*/ GIMT_Encode4(73445), GIMT_Encode4(0),
     /*   57072 */ /*GILLT_nxv32s8*//*Label 927*/ GIMT_Encode4(74568),
     /*   57076 */ /*GILLT_nxv32s16*//*Label 928*/ GIMT_Encode4(74815), GIMT_Encode4(0),
     /*   57084 */ /*GILLT_nxv64s8*//*Label 929*/ GIMT_Encode4(75938),
     /*   57088 */ // Label 906: @57088
     /*   57088 */ GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57334),
     /*   57093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   57096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   57099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57103 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57178), // Rule ID 98 //
     /*   57108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   57111 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57138 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57144 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   57144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57160 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57176 */     GIR_RootConstrainSelectedInstOperands,
     /*   57177 */     // GIR_Coverage, 98,
     /*   57177 */     GIR_EraseRootFromParent_Done,
     /*   57178 */   // Label 932: @57178
     /*   57178 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57253), // Rule ID 99 //
     /*   57183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   57186 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57219 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   57219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57235 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57251 */     GIR_RootConstrainSelectedInstOperands,
     /*   57252 */     // GIR_Coverage, 99,
     /*   57252 */     GIR_EraseRootFromParent_Done,
     /*   57253 */   // Label 933: @57253
     /*   57253 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57310), // Rule ID 62510 //
     /*   57258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   57261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57293 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57308 */     GIR_RootConstrainSelectedInstOperands,
     /*   57309 */     // GIR_Coverage, 62510,
     /*   57309 */     GIR_EraseRootFromParent_Done,
     /*   57310 */   // Label 934: @57310
     /*   57310 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57333), // Rule ID 77 //
     /*   57315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   57318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57326 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57331 */     GIR_RootConstrainSelectedInstOperands,
     /*   57332 */     // GIR_Coverage, 77,
     /*   57332 */     GIR_Done,
     /*   57333 */   // Label 935: @57333
     /*   57333 */   GIM_Reject,
     /*   57334 */ // Label 931: @57334
     /*   57334 */ GIM_Reject,
     /*   57335 */ // Label 907: @57335
     /*   57335 */ GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57610),
     /*   57340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   57343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   57346 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57425), // Rule ID 100 //
     /*   57351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57358 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57378 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57385 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57391 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   57391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   57394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57407 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   57410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   57423 */     GIR_RootConstrainSelectedInstOperands,
     /*   57424 */     // GIR_Coverage, 100,
     /*   57424 */     GIR_EraseRootFromParent_Done,
     /*   57425 */   // Label 937: @57425
     /*   57425 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57490), // Rule ID 62512 //
     /*   57430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   57433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57467 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10034),
     /*   57471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57473 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10034>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   57476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57488 */     GIR_RootConstrainSelectedInstOperands,
     /*   57489 */     // GIR_Coverage, 62512,
     /*   57489 */     GIR_EraseRootFromParent_Done,
     /*   57490 */   // Label 938: @57490
     /*   57490 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(57551), // Rule ID 62509 //
     /*   57495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   57498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57534 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57549 */     GIR_RootConstrainSelectedInstOperands,
     /*   57550 */     // GIR_Coverage, 62509,
     /*   57550 */     GIR_EraseRootFromParent_Done,
     /*   57551 */   // Label 939: @57551
     /*   57551 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57582), // Rule ID 267 //
     /*   57556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57571 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10034),
     /*   57575 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10034>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   57580 */     GIR_RootConstrainSelectedInstOperands,
     /*   57581 */     // GIR_Coverage, 267,
     /*   57581 */     GIR_Done,
     /*   57582 */   // Label 940: @57582
     /*   57582 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57609), // Rule ID 76 //
     /*   57587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   57590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57602 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57607 */     GIR_RootConstrainSelectedInstOperands,
     /*   57608 */     // GIR_Coverage, 76,
     /*   57608 */     GIR_Done,
     /*   57609 */   // Label 941: @57609
     /*   57609 */   GIM_Reject,
     /*   57610 */ // Label 936: @57610
     /*   57610 */ GIM_Reject,
     /*   57611 */ // Label 908: @57611
     /*   57611 */ GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57857),
     /*   57616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57630 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57694), // Rule ID 51820 //
     /*   57635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57668 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57692 */     GIR_RootConstrainSelectedInstOperands,
     /*   57693 */     // GIR_Coverage, 51820,
     /*   57693 */     GIR_EraseRootFromParent_Done,
     /*   57694 */   // Label 943: @57694
     /*   57694 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57758), // Rule ID 51821 //
     /*   57699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57732 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57756 */     GIR_RootConstrainSelectedInstOperands,
     /*   57757 */     // GIR_Coverage, 51821,
     /*   57757 */     GIR_EraseRootFromParent_Done,
     /*   57758 */   // Label 944: @57758
     /*   57758 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57807), // Rule ID 46098 //
     /*   57763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57770 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57805 */     GIR_RootConstrainSelectedInstOperands,
     /*   57806 */     // GIR_Coverage, 46098,
     /*   57806 */     GIR_EraseRootFromParent_Done,
     /*   57807 */   // Label 945: @57807
     /*   57807 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57856), // Rule ID 46099 //
     /*   57812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57819 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57854 */     GIR_RootConstrainSelectedInstOperands,
     /*   57855 */     // GIR_Coverage, 46099,
     /*   57855 */     GIR_EraseRootFromParent_Done,
     /*   57856 */   // Label 946: @57856
     /*   57856 */   GIM_Reject,
     /*   57857 */ // Label 942: @57857
     /*   57857 */ GIM_Reject,
     /*   57858 */ // Label 909: @57858
     /*   57858 */ GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(58980),
     /*   57863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   57866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   57869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57873 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(57962), // Rule ID 47090 //
     /*   57878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57893 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57912 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57921 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   57924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   57938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   57947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57960 */     GIR_RootConstrainSelectedInstOperands,
     /*   57961 */     // GIR_Coverage, 47090,
     /*   57961 */     GIR_EraseRootFromParent_Done,
     /*   57962 */   // Label 948: @57962
     /*   57962 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58051), // Rule ID 47091 //
     /*   57967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58001 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58010 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58049 */     GIR_RootConstrainSelectedInstOperands,
     /*   58050 */     // GIR_Coverage, 47091,
     /*   58050 */     GIR_EraseRootFromParent_Done,
     /*   58051 */   // Label 949: @58051
     /*   58051 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58140), // Rule ID 46850 //
     /*   58056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58099 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58138 */     GIR_RootConstrainSelectedInstOperands,
     /*   58139 */     // GIR_Coverage, 46850,
     /*   58139 */     GIR_EraseRootFromParent_Done,
     /*   58140 */   // Label 950: @58140
     /*   58140 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58229), // Rule ID 46851 //
     /*   58145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58188 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58227 */     GIR_RootConstrainSelectedInstOperands,
     /*   58228 */     // GIR_Coverage, 46851,
     /*   58228 */     GIR_EraseRootFromParent_Done,
     /*   58229 */   // Label 951: @58229
     /*   58229 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58318), // Rule ID 46970 //
     /*   58234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58268 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58277 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58316 */     GIR_RootConstrainSelectedInstOperands,
     /*   58317 */     // GIR_Coverage, 46970,
     /*   58317 */     GIR_EraseRootFromParent_Done,
     /*   58318 */   // Label 952: @58318
     /*   58318 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58407), // Rule ID 46971 //
     /*   58323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58364 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58366 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58405 */     GIR_RootConstrainSelectedInstOperands,
     /*   58406 */     // GIR_Coverage, 46971,
     /*   58406 */     GIR_EraseRootFromParent_Done,
     /*   58407 */   // Label 953: @58407
     /*   58407 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58475), // Rule ID 51832 //
     /*   58412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58435 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58449 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   58449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58473 */     GIR_RootConstrainSelectedInstOperands,
     /*   58474 */     // GIR_Coverage, 51832,
     /*   58474 */     GIR_EraseRootFromParent_Done,
     /*   58475 */   // Label 954: @58475
     /*   58475 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58543), // Rule ID 51833 //
     /*   58480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58503 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58517 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   58517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58541 */     GIR_RootConstrainSelectedInstOperands,
     /*   58542 */     // GIR_Coverage, 51833,
     /*   58542 */     GIR_EraseRootFromParent_Done,
     /*   58543 */   // Label 955: @58543
     /*   58543 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58598), // Rule ID 47150 //
     /*   58548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58576 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58596 */     GIR_RootConstrainSelectedInstOperands,
     /*   58597 */     // GIR_Coverage, 47150,
     /*   58597 */     GIR_EraseRootFromParent_Done,
     /*   58598 */   // Label 956: @58598
     /*   58598 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58653), // Rule ID 47151 //
     /*   58603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58622 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58631 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58651 */     GIR_RootConstrainSelectedInstOperands,
     /*   58652 */     // GIR_Coverage, 47151,
     /*   58652 */     GIR_EraseRootFromParent_Done,
     /*   58653 */   // Label 957: @58653
     /*   58653 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58708), // Rule ID 46910 //
     /*   58658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58686 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58706 */     GIR_RootConstrainSelectedInstOperands,
     /*   58707 */     // GIR_Coverage, 46910,
     /*   58707 */     GIR_EraseRootFromParent_Done,
     /*   58708 */   // Label 958: @58708
     /*   58708 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58763), // Rule ID 46911 //
     /*   58713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58741 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58761 */     GIR_RootConstrainSelectedInstOperands,
     /*   58762 */     // GIR_Coverage, 46911,
     /*   58762 */     GIR_EraseRootFromParent_Done,
     /*   58763 */   // Label 959: @58763
     /*   58763 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(58818), // Rule ID 47030 //
     /*   58768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58796 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58816 */     GIR_RootConstrainSelectedInstOperands,
     /*   58817 */     // GIR_Coverage, 47030,
     /*   58817 */     GIR_EraseRootFromParent_Done,
     /*   58818 */   // Label 960: @58818
     /*   58818 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58873), // Rule ID 47031 //
     /*   58823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58851 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58871 */     GIR_RootConstrainSelectedInstOperands,
     /*   58872 */     // GIR_Coverage, 47031,
     /*   58872 */     GIR_EraseRootFromParent_Done,
     /*   58873 */   // Label 961: @58873
     /*   58873 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(58926), // Rule ID 46110 //
     /*   58878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58889 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   58889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58924 */     GIR_RootConstrainSelectedInstOperands,
     /*   58925 */     // GIR_Coverage, 46110,
     /*   58925 */     GIR_EraseRootFromParent_Done,
     /*   58926 */   // Label 962: @58926
     /*   58926 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(58979), // Rule ID 46111 //
     /*   58931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58942 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   58942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58977 */     GIR_RootConstrainSelectedInstOperands,
     /*   58978 */     // GIR_Coverage, 46111,
     /*   58978 */     GIR_EraseRootFromParent_Done,
     /*   58979 */   // Label 963: @58979
     /*   58979 */   GIM_Reject,
     /*   58980 */ // Label 947: @58980
     /*   58980 */ GIM_Reject,
     /*   58981 */ // Label 910: @58981
     /*   58981 */ GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(60103),
     /*   58986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   58989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   58992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58996 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(59085), // Rule ID 47114 //
     /*   59001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59035 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59044 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59083 */     GIR_RootConstrainSelectedInstOperands,
     /*   59084 */     // GIR_Coverage, 47114,
     /*   59084 */     GIR_EraseRootFromParent_Done,
     /*   59085 */   // Label 965: @59085
     /*   59085 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(59174), // Rule ID 47115 //
     /*   59090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59133 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59172 */     GIR_RootConstrainSelectedInstOperands,
     /*   59173 */     // GIR_Coverage, 47115,
     /*   59173 */     GIR_EraseRootFromParent_Done,
     /*   59174 */   // Label 966: @59174
     /*   59174 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(59263), // Rule ID 46874 //
     /*   59179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59222 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59261 */     GIR_RootConstrainSelectedInstOperands,
     /*   59262 */     // GIR_Coverage, 46874,
     /*   59262 */     GIR_EraseRootFromParent_Done,
     /*   59263 */   // Label 967: @59263
     /*   59263 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59352), // Rule ID 46875 //
     /*   59268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59311 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59350 */     GIR_RootConstrainSelectedInstOperands,
     /*   59351 */     // GIR_Coverage, 46875,
     /*   59351 */     GIR_EraseRootFromParent_Done,
     /*   59352 */   // Label 968: @59352
     /*   59352 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59441), // Rule ID 46994 //
     /*   59357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59400 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59439 */     GIR_RootConstrainSelectedInstOperands,
     /*   59440 */     // GIR_Coverage, 46994,
     /*   59440 */     GIR_EraseRootFromParent_Done,
     /*   59441 */   // Label 969: @59441
     /*   59441 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59530), // Rule ID 46995 //
     /*   59446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59489 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59528 */     GIR_RootConstrainSelectedInstOperands,
     /*   59529 */     // GIR_Coverage, 46995,
     /*   59529 */     GIR_EraseRootFromParent_Done,
     /*   59530 */   // Label 970: @59530
     /*   59530 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59598), // Rule ID 51840 //
     /*   59535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59572 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   59572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59596 */     GIR_RootConstrainSelectedInstOperands,
     /*   59597 */     // GIR_Coverage, 51840,
     /*   59597 */     GIR_EraseRootFromParent_Done,
     /*   59598 */   // Label 971: @59598
     /*   59598 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59666), // Rule ID 51841 //
     /*   59603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59640 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   59640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59664 */     GIR_RootConstrainSelectedInstOperands,
     /*   59665 */     // GIR_Coverage, 51841,
     /*   59665 */     GIR_EraseRootFromParent_Done,
     /*   59666 */   // Label 972: @59666
     /*   59666 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59721), // Rule ID 47174 //
     /*   59671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59699 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59719 */     GIR_RootConstrainSelectedInstOperands,
     /*   59720 */     // GIR_Coverage, 47174,
     /*   59720 */     GIR_EraseRootFromParent_Done,
     /*   59721 */   // Label 973: @59721
     /*   59721 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59776), // Rule ID 47175 //
     /*   59726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59745 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59754 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59774 */     GIR_RootConstrainSelectedInstOperands,
     /*   59775 */     // GIR_Coverage, 47175,
     /*   59775 */     GIR_EraseRootFromParent_Done,
     /*   59776 */   // Label 974: @59776
     /*   59776 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59831), // Rule ID 46934 //
     /*   59781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59800 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59809 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59829 */     GIR_RootConstrainSelectedInstOperands,
     /*   59830 */     // GIR_Coverage, 46934,
     /*   59830 */     GIR_EraseRootFromParent_Done,
     /*   59831 */   // Label 975: @59831
     /*   59831 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(59886), // Rule ID 46935 //
     /*   59836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59864 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59884 */     GIR_RootConstrainSelectedInstOperands,
     /*   59885 */     // GIR_Coverage, 46935,
     /*   59885 */     GIR_EraseRootFromParent_Done,
     /*   59886 */   // Label 976: @59886
     /*   59886 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(59941), // Rule ID 47054 //
     /*   59891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59910 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59919 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59939 */     GIR_RootConstrainSelectedInstOperands,
     /*   59940 */     // GIR_Coverage, 47054,
     /*   59940 */     GIR_EraseRootFromParent_Done,
     /*   59941 */   // Label 977: @59941
     /*   59941 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(59996), // Rule ID 47055 //
     /*   59946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59974 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59994 */     GIR_RootConstrainSelectedInstOperands,
     /*   59995 */     // GIR_Coverage, 47055,
     /*   59995 */     GIR_EraseRootFromParent_Done,
     /*   59996 */   // Label 978: @59996
     /*   59996 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(60049), // Rule ID 46118 //
     /*   60001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60012 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60047 */     GIR_RootConstrainSelectedInstOperands,
     /*   60048 */     // GIR_Coverage, 46118,
     /*   60048 */     GIR_EraseRootFromParent_Done,
     /*   60049 */   // Label 979: @60049
     /*   60049 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(60102), // Rule ID 46119 //
     /*   60054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60065 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60100 */     GIR_RootConstrainSelectedInstOperands,
     /*   60101 */     // GIR_Coverage, 46119,
     /*   60101 */     GIR_EraseRootFromParent_Done,
     /*   60102 */   // Label 980: @60102
     /*   60102 */   GIM_Reject,
     /*   60103 */ // Label 964: @60103
     /*   60103 */ GIM_Reject,
     /*   60104 */ // Label 911: @60104
     /*   60104 */ GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(61226),
     /*   60109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60119 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(60208), // Rule ID 47134 //
     /*   60124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60139 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60167 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60206 */     GIR_RootConstrainSelectedInstOperands,
     /*   60207 */     // GIR_Coverage, 47134,
     /*   60207 */     GIR_EraseRootFromParent_Done,
     /*   60208 */   // Label 982: @60208
     /*   60208 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(60297), // Rule ID 47135 //
     /*   60213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60228 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60247 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60256 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60295 */     GIR_RootConstrainSelectedInstOperands,
     /*   60296 */     // GIR_Coverage, 47135,
     /*   60296 */     GIR_EraseRootFromParent_Done,
     /*   60297 */   // Label 983: @60297
     /*   60297 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(60386), // Rule ID 46894 //
     /*   60302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60317 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60336 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60345 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60384 */     GIR_RootConstrainSelectedInstOperands,
     /*   60385 */     // GIR_Coverage, 46894,
     /*   60385 */     GIR_EraseRootFromParent_Done,
     /*   60386 */   // Label 984: @60386
     /*   60386 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(60475), // Rule ID 46895 //
     /*   60391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60425 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60427 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60432 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60434 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60473 */     GIR_RootConstrainSelectedInstOperands,
     /*   60474 */     // GIR_Coverage, 46895,
     /*   60474 */     GIR_EraseRootFromParent_Done,
     /*   60475 */   // Label 985: @60475
     /*   60475 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(60564), // Rule ID 47014 //
     /*   60480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60495 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60514 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60523 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60562 */     GIR_RootConstrainSelectedInstOperands,
     /*   60563 */     // GIR_Coverage, 47014,
     /*   60563 */     GIR_EraseRootFromParent_Done,
     /*   60564 */   // Label 986: @60564
     /*   60564 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(60653), // Rule ID 47015 //
     /*   60569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60584 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60612 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60651 */     GIR_RootConstrainSelectedInstOperands,
     /*   60652 */     // GIR_Coverage, 47015,
     /*   60652 */     GIR_EraseRootFromParent_Done,
     /*   60653 */   // Label 987: @60653
     /*   60653 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(60721), // Rule ID 51856 //
     /*   60658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   60661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60695 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   60695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60719 */     GIR_RootConstrainSelectedInstOperands,
     /*   60720 */     // GIR_Coverage, 51856,
     /*   60720 */     GIR_EraseRootFromParent_Done,
     /*   60721 */   // Label 988: @60721
     /*   60721 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60789), // Rule ID 51857 //
     /*   60726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   60729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60763 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   60763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60787 */     GIR_RootConstrainSelectedInstOperands,
     /*   60788 */     // GIR_Coverage, 51857,
     /*   60788 */     GIR_EraseRootFromParent_Done,
     /*   60789 */   // Label 989: @60789
     /*   60789 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60844), // Rule ID 47194 //
     /*   60794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60813 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60822 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60842 */     GIR_RootConstrainSelectedInstOperands,
     /*   60843 */     // GIR_Coverage, 47194,
     /*   60843 */     GIR_EraseRootFromParent_Done,
     /*   60844 */   // Label 990: @60844
     /*   60844 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(60899), // Rule ID 47195 //
     /*   60849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60877 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60897 */     GIR_RootConstrainSelectedInstOperands,
     /*   60898 */     // GIR_Coverage, 47195,
     /*   60898 */     GIR_EraseRootFromParent_Done,
     /*   60899 */   // Label 991: @60899
     /*   60899 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(60954), // Rule ID 46954 //
     /*   60904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60932 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60952 */     GIR_RootConstrainSelectedInstOperands,
     /*   60953 */     // GIR_Coverage, 46954,
     /*   60953 */     GIR_EraseRootFromParent_Done,
     /*   60954 */   // Label 992: @60954
     /*   60954 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61009), // Rule ID 46955 //
     /*   60959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60978 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60987 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61007 */     GIR_RootConstrainSelectedInstOperands,
     /*   61008 */     // GIR_Coverage, 46955,
     /*   61008 */     GIR_EraseRootFromParent_Done,
     /*   61009 */   // Label 993: @61009
     /*   61009 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61064), // Rule ID 47074 //
     /*   61014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   61017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61042 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   61042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61062 */     GIR_RootConstrainSelectedInstOperands,
     /*   61063 */     // GIR_Coverage, 47074,
     /*   61063 */     GIR_EraseRootFromParent_Done,
     /*   61064 */   // Label 994: @61064
     /*   61064 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61119), // Rule ID 47075 //
     /*   61069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   61072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61088 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61097 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   61097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61117 */     GIR_RootConstrainSelectedInstOperands,
     /*   61118 */     // GIR_Coverage, 47075,
     /*   61118 */     GIR_EraseRootFromParent_Done,
     /*   61119 */   // Label 995: @61119
     /*   61119 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61172), // Rule ID 46134 //
     /*   61124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   61127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61135 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   61135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61170 */     GIR_RootConstrainSelectedInstOperands,
     /*   61171 */     // GIR_Coverage, 46134,
     /*   61171 */     GIR_EraseRootFromParent_Done,
     /*   61172 */   // Label 996: @61172
     /*   61172 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61225), // Rule ID 46135 //
     /*   61177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   61180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61188 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   61188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61223 */     GIR_RootConstrainSelectedInstOperands,
     /*   61224 */     // GIR_Coverage, 46135,
     /*   61224 */     GIR_EraseRootFromParent_Done,
     /*   61225 */   // Label 997: @61225
     /*   61225 */   GIM_Reject,
     /*   61226 */ // Label 981: @61226
     /*   61226 */ GIM_Reject,
     /*   61227 */ // Label 912: @61227
     /*   61227 */ GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61473),
     /*   61232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61246 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61310), // Rule ID 51824 //
     /*   61251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61284 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61308 */     GIR_RootConstrainSelectedInstOperands,
     /*   61309 */     // GIR_Coverage, 51824,
     /*   61309 */     GIR_EraseRootFromParent_Done,
     /*   61310 */   // Label 999: @61310
     /*   61310 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61374), // Rule ID 51825 //
     /*   61315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61348 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61372 */     GIR_RootConstrainSelectedInstOperands,
     /*   61373 */     // GIR_Coverage, 51825,
     /*   61373 */     GIR_EraseRootFromParent_Done,
     /*   61374 */   // Label 1000: @61374
     /*   61374 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61423), // Rule ID 46102 //
     /*   61379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61386 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61421 */     GIR_RootConstrainSelectedInstOperands,
     /*   61422 */     // GIR_Coverage, 46102,
     /*   61422 */     GIR_EraseRootFromParent_Done,
     /*   61423 */   // Label 1001: @61423
     /*   61423 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61472), // Rule ID 46103 //
     /*   61428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61435 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61470 */     GIR_RootConstrainSelectedInstOperands,
     /*   61471 */     // GIR_Coverage, 46103,
     /*   61471 */     GIR_EraseRootFromParent_Done,
     /*   61472 */   // Label 1002: @61472
     /*   61472 */   GIM_Reject,
     /*   61473 */ // Label 998: @61473
     /*   61473 */ GIM_Reject,
     /*   61474 */ // Label 913: @61474
     /*   61474 */ GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(62596),
     /*   61479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   61482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   61485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61489 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61578), // Rule ID 47094 //
     /*   61494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61509 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61528 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61537 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61576 */     GIR_RootConstrainSelectedInstOperands,
     /*   61577 */     // GIR_Coverage, 47094,
     /*   61577 */     GIR_EraseRootFromParent_Done,
     /*   61578 */   // Label 1004: @61578
     /*   61578 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(61667), // Rule ID 47095 //
     /*   61583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61626 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61665 */     GIR_RootConstrainSelectedInstOperands,
     /*   61666 */     // GIR_Coverage, 47095,
     /*   61666 */     GIR_EraseRootFromParent_Done,
     /*   61667 */   // Label 1005: @61667
     /*   61667 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(61756), // Rule ID 46854 //
     /*   61672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61715 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61754 */     GIR_RootConstrainSelectedInstOperands,
     /*   61755 */     // GIR_Coverage, 46854,
     /*   61755 */     GIR_EraseRootFromParent_Done,
     /*   61756 */   // Label 1006: @61756
     /*   61756 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(61845), // Rule ID 46855 //
     /*   61761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61804 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61843 */     GIR_RootConstrainSelectedInstOperands,
     /*   61844 */     // GIR_Coverage, 46855,
     /*   61844 */     GIR_EraseRootFromParent_Done,
     /*   61845 */   // Label 1007: @61845
     /*   61845 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(61934), // Rule ID 46974 //
     /*   61850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61893 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61932 */     GIR_RootConstrainSelectedInstOperands,
     /*   61933 */     // GIR_Coverage, 46974,
     /*   61933 */     GIR_EraseRootFromParent_Done,
     /*   61934 */   // Label 1008: @61934
     /*   61934 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62023), // Rule ID 46975 //
     /*   61939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61982 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62021 */     GIR_RootConstrainSelectedInstOperands,
     /*   62022 */     // GIR_Coverage, 46975,
     /*   62022 */     GIR_EraseRootFromParent_Done,
     /*   62023 */   // Label 1009: @62023
     /*   62023 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62091), // Rule ID 51836 //
     /*   62028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62065 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62089 */     GIR_RootConstrainSelectedInstOperands,
     /*   62090 */     // GIR_Coverage, 51836,
     /*   62090 */     GIR_EraseRootFromParent_Done,
     /*   62091 */   // Label 1010: @62091
     /*   62091 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62159), // Rule ID 51837 //
     /*   62096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62115 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62119 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62133 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62157 */     GIR_RootConstrainSelectedInstOperands,
     /*   62158 */     // GIR_Coverage, 51837,
     /*   62158 */     GIR_EraseRootFromParent_Done,
     /*   62159 */   // Label 1011: @62159
     /*   62159 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62214), // Rule ID 47154 //
     /*   62164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62192 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62212 */     GIR_RootConstrainSelectedInstOperands,
     /*   62213 */     // GIR_Coverage, 47154,
     /*   62213 */     GIR_EraseRootFromParent_Done,
     /*   62214 */   // Label 1012: @62214
     /*   62214 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62269), // Rule ID 47155 //
     /*   62219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62247 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62267 */     GIR_RootConstrainSelectedInstOperands,
     /*   62268 */     // GIR_Coverage, 47155,
     /*   62268 */     GIR_EraseRootFromParent_Done,
     /*   62269 */   // Label 1013: @62269
     /*   62269 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62324), // Rule ID 46914 //
     /*   62274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62293 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62302 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62322 */     GIR_RootConstrainSelectedInstOperands,
     /*   62323 */     // GIR_Coverage, 46914,
     /*   62323 */     GIR_EraseRootFromParent_Done,
     /*   62324 */   // Label 1014: @62324
     /*   62324 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62379), // Rule ID 46915 //
     /*   62329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62357 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62377 */     GIR_RootConstrainSelectedInstOperands,
     /*   62378 */     // GIR_Coverage, 46915,
     /*   62378 */     GIR_EraseRootFromParent_Done,
     /*   62379 */   // Label 1015: @62379
     /*   62379 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62434), // Rule ID 47034 //
     /*   62384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62412 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62432 */     GIR_RootConstrainSelectedInstOperands,
     /*   62433 */     // GIR_Coverage, 47034,
     /*   62433 */     GIR_EraseRootFromParent_Done,
     /*   62434 */   // Label 1016: @62434
     /*   62434 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62489), // Rule ID 47035 //
     /*   62439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62458 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62467 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62487 */     GIR_RootConstrainSelectedInstOperands,
     /*   62488 */     // GIR_Coverage, 47035,
     /*   62488 */     GIR_EraseRootFromParent_Done,
     /*   62489 */   // Label 1017: @62489
     /*   62489 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62542), // Rule ID 46114 //
     /*   62494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62505 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62540 */     GIR_RootConstrainSelectedInstOperands,
     /*   62541 */     // GIR_Coverage, 46114,
     /*   62541 */     GIR_EraseRootFromParent_Done,
     /*   62542 */   // Label 1018: @62542
     /*   62542 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62595), // Rule ID 46115 //
     /*   62547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62558 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62593 */     GIR_RootConstrainSelectedInstOperands,
     /*   62594 */     // GIR_Coverage, 46115,
     /*   62594 */     GIR_EraseRootFromParent_Done,
     /*   62595 */   // Label 1019: @62595
     /*   62595 */   GIM_Reject,
     /*   62596 */ // Label 1003: @62596
     /*   62596 */ GIM_Reject,
     /*   62597 */ // Label 914: @62597
     /*   62597 */ GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63719),
     /*   62602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   62605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   62608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62612 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(62701), // Rule ID 47118 //
     /*   62617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62632 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62651 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62660 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62699 */     GIR_RootConstrainSelectedInstOperands,
     /*   62700 */     // GIR_Coverage, 47118,
     /*   62700 */     GIR_EraseRootFromParent_Done,
     /*   62701 */   // Label 1021: @62701
     /*   62701 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(62790), // Rule ID 47119 //
     /*   62706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62740 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62749 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62788 */     GIR_RootConstrainSelectedInstOperands,
     /*   62789 */     // GIR_Coverage, 47119,
     /*   62789 */     GIR_EraseRootFromParent_Done,
     /*   62790 */   // Label 1022: @62790
     /*   62790 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(62879), // Rule ID 46878 //
     /*   62795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62829 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62838 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62877 */     GIR_RootConstrainSelectedInstOperands,
     /*   62878 */     // GIR_Coverage, 46878,
     /*   62878 */     GIR_EraseRootFromParent_Done,
     /*   62879 */   // Label 1023: @62879
     /*   62879 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(62968), // Rule ID 46879 //
     /*   62884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62899 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62927 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62966 */     GIR_RootConstrainSelectedInstOperands,
     /*   62967 */     // GIR_Coverage, 46879,
     /*   62967 */     GIR_EraseRootFromParent_Done,
     /*   62968 */   // Label 1024: @62968
     /*   62968 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63057), // Rule ID 46998 //
     /*   62973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63007 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63016 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63055 */     GIR_RootConstrainSelectedInstOperands,
     /*   63056 */     // GIR_Coverage, 46998,
     /*   63056 */     GIR_EraseRootFromParent_Done,
     /*   63057 */   // Label 1025: @63057
     /*   63057 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63146), // Rule ID 46999 //
     /*   63062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63105 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63144 */     GIR_RootConstrainSelectedInstOperands,
     /*   63145 */     // GIR_Coverage, 46999,
     /*   63145 */     GIR_EraseRootFromParent_Done,
     /*   63146 */   // Label 1026: @63146
     /*   63146 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63214), // Rule ID 51852 //
     /*   63151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63188 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63212 */     GIR_RootConstrainSelectedInstOperands,
     /*   63213 */     // GIR_Coverage, 51852,
     /*   63213 */     GIR_EraseRootFromParent_Done,
     /*   63214 */   // Label 1027: @63214
     /*   63214 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63282), // Rule ID 51853 //
     /*   63219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63256 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63280 */     GIR_RootConstrainSelectedInstOperands,
     /*   63281 */     // GIR_Coverage, 51853,
     /*   63281 */     GIR_EraseRootFromParent_Done,
     /*   63282 */   // Label 1028: @63282
     /*   63282 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63337), // Rule ID 47178 //
     /*   63287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63315 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63335 */     GIR_RootConstrainSelectedInstOperands,
     /*   63336 */     // GIR_Coverage, 47178,
     /*   63336 */     GIR_EraseRootFromParent_Done,
     /*   63337 */   // Label 1029: @63337
     /*   63337 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63392), // Rule ID 47179 //
     /*   63342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63370 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63390 */     GIR_RootConstrainSelectedInstOperands,
     /*   63391 */     // GIR_Coverage, 47179,
     /*   63391 */     GIR_EraseRootFromParent_Done,
     /*   63392 */   // Label 1030: @63392
     /*   63392 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63447), // Rule ID 46938 //
     /*   63397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63425 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63445 */     GIR_RootConstrainSelectedInstOperands,
     /*   63446 */     // GIR_Coverage, 46938,
     /*   63446 */     GIR_EraseRootFromParent_Done,
     /*   63447 */   // Label 1031: @63447
     /*   63447 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63502), // Rule ID 46939 //
     /*   63452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63480 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63500 */     GIR_RootConstrainSelectedInstOperands,
     /*   63501 */     // GIR_Coverage, 46939,
     /*   63501 */     GIR_EraseRootFromParent_Done,
     /*   63502 */   // Label 1032: @63502
     /*   63502 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63557), // Rule ID 47058 //
     /*   63507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63535 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63555 */     GIR_RootConstrainSelectedInstOperands,
     /*   63556 */     // GIR_Coverage, 47058,
     /*   63556 */     GIR_EraseRootFromParent_Done,
     /*   63557 */   // Label 1033: @63557
     /*   63557 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(63612), // Rule ID 47059 //
     /*   63562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63590 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63610 */     GIR_RootConstrainSelectedInstOperands,
     /*   63611 */     // GIR_Coverage, 47059,
     /*   63611 */     GIR_EraseRootFromParent_Done,
     /*   63612 */   // Label 1034: @63612
     /*   63612 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(63665), // Rule ID 46130 //
     /*   63617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63628 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63663 */     GIR_RootConstrainSelectedInstOperands,
     /*   63664 */     // GIR_Coverage, 46130,
     /*   63664 */     GIR_EraseRootFromParent_Done,
     /*   63665 */   // Label 1035: @63665
     /*   63665 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(63718), // Rule ID 46131 //
     /*   63670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63681 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63716 */     GIR_RootConstrainSelectedInstOperands,
     /*   63717 */     // GIR_Coverage, 46131,
     /*   63717 */     GIR_EraseRootFromParent_Done,
     /*   63718 */   // Label 1036: @63718
     /*   63718 */   GIM_Reject,
     /*   63719 */ // Label 1020: @63719
     /*   63719 */ GIM_Reject,
     /*   63720 */ // Label 915: @63720
     /*   63720 */ GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64842),
     /*   63725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   63728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   63731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   63735 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(63824), // Rule ID 47138 //
     /*   63740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63783 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63822 */     GIR_RootConstrainSelectedInstOperands,
     /*   63823 */     // GIR_Coverage, 47138,
     /*   63823 */     GIR_EraseRootFromParent_Done,
     /*   63824 */   // Label 1038: @63824
     /*   63824 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(63913), // Rule ID 47139 //
     /*   63829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   63832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63844 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63863 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63872 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63911 */     GIR_RootConstrainSelectedInstOperands,
     /*   63912 */     // GIR_Coverage, 47139,
     /*   63912 */     GIR_EraseRootFromParent_Done,
     /*   63913 */   // Label 1039: @63913
     /*   63913 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(64002), // Rule ID 46898 //
     /*   63918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63952 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63959 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63961 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   63978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64000 */     GIR_RootConstrainSelectedInstOperands,
     /*   64001 */     // GIR_Coverage, 46898,
     /*   64001 */     GIR_EraseRootFromParent_Done,
     /*   64002 */   // Label 1040: @64002
     /*   64002 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64091), // Rule ID 46899 //
     /*   64007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64050 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   64067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64089 */     GIR_RootConstrainSelectedInstOperands,
     /*   64090 */     // GIR_Coverage, 46899,
     /*   64090 */     GIR_EraseRootFromParent_Done,
     /*   64091 */   // Label 1041: @64091
     /*   64091 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64180), // Rule ID 47018 //
     /*   64096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64139 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64178 */     GIR_RootConstrainSelectedInstOperands,
     /*   64179 */     // GIR_Coverage, 47018,
     /*   64179 */     GIR_EraseRootFromParent_Done,
     /*   64180 */   // Label 1042: @64180
     /*   64180 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64269), // Rule ID 47019 //
     /*   64185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64219 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64228 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64267 */     GIR_RootConstrainSelectedInstOperands,
     /*   64268 */     // GIR_Coverage, 47019,
     /*   64268 */     GIR_EraseRootFromParent_Done,
     /*   64269 */   // Label 1043: @64269
     /*   64269 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64337), // Rule ID 51896 //
     /*   64274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64297 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64311 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64335 */     GIR_RootConstrainSelectedInstOperands,
     /*   64336 */     // GIR_Coverage, 51896,
     /*   64336 */     GIR_EraseRootFromParent_Done,
     /*   64337 */   // Label 1044: @64337
     /*   64337 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64405), // Rule ID 51897 //
     /*   64342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64379 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64403 */     GIR_RootConstrainSelectedInstOperands,
     /*   64404 */     // GIR_Coverage, 51897,
     /*   64404 */     GIR_EraseRootFromParent_Done,
     /*   64405 */   // Label 1045: @64405
     /*   64405 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64460), // Rule ID 47198 //
     /*   64410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64429 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64438 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64458 */     GIR_RootConstrainSelectedInstOperands,
     /*   64459 */     // GIR_Coverage, 47198,
     /*   64459 */     GIR_EraseRootFromParent_Done,
     /*   64460 */   // Label 1046: @64460
     /*   64460 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64515), // Rule ID 47199 //
     /*   64465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64493 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64513 */     GIR_RootConstrainSelectedInstOperands,
     /*   64514 */     // GIR_Coverage, 47199,
     /*   64514 */     GIR_EraseRootFromParent_Done,
     /*   64515 */   // Label 1047: @64515
     /*   64515 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64570), // Rule ID 46958 //
     /*   64520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64539 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64548 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64568 */     GIR_RootConstrainSelectedInstOperands,
     /*   64569 */     // GIR_Coverage, 46958,
     /*   64569 */     GIR_EraseRootFromParent_Done,
     /*   64570 */   // Label 1048: @64570
     /*   64570 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(64625), // Rule ID 46959 //
     /*   64575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64603 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64623 */     GIR_RootConstrainSelectedInstOperands,
     /*   64624 */     // GIR_Coverage, 46959,
     /*   64624 */     GIR_EraseRootFromParent_Done,
     /*   64625 */   // Label 1049: @64625
     /*   64625 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(64680), // Rule ID 47078 //
     /*   64630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64649 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64658 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64678 */     GIR_RootConstrainSelectedInstOperands,
     /*   64679 */     // GIR_Coverage, 47078,
     /*   64679 */     GIR_EraseRootFromParent_Done,
     /*   64680 */   // Label 1050: @64680
     /*   64680 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(64735), // Rule ID 47079 //
     /*   64685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64704 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64713 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64733 */     GIR_RootConstrainSelectedInstOperands,
     /*   64734 */     // GIR_Coverage, 47079,
     /*   64734 */     GIR_EraseRootFromParent_Done,
     /*   64735 */   // Label 1051: @64735
     /*   64735 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(64788), // Rule ID 46174 //
     /*   64740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64751 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   64751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64786 */     GIR_RootConstrainSelectedInstOperands,
     /*   64787 */     // GIR_Coverage, 46174,
     /*   64787 */     GIR_EraseRootFromParent_Done,
     /*   64788 */   // Label 1052: @64788
     /*   64788 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(64841), // Rule ID 46175 //
     /*   64793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64804 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   64804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64839 */     GIR_RootConstrainSelectedInstOperands,
     /*   64840 */     // GIR_Coverage, 46175,
     /*   64840 */     GIR_EraseRootFromParent_Done,
     /*   64841 */   // Label 1053: @64841
     /*   64841 */   GIM_Reject,
     /*   64842 */ // Label 1037: @64842
     /*   64842 */ GIM_Reject,
     /*   64843 */ // Label 916: @64843
     /*   64843 */ GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65089),
     /*   64848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64862 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(64926), // Rule ID 51828 //
     /*   64867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64900 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   64900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64924 */     GIR_RootConstrainSelectedInstOperands,
     /*   64925 */     // GIR_Coverage, 51828,
     /*   64925 */     GIR_EraseRootFromParent_Done,
     /*   64926 */   // Label 1055: @64926
     /*   64926 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(64990), // Rule ID 51829 //
     /*   64931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64964 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   64964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64988 */     GIR_RootConstrainSelectedInstOperands,
     /*   64989 */     // GIR_Coverage, 51829,
     /*   64989 */     GIR_EraseRootFromParent_Done,
     /*   64990 */   // Label 1056: @64990
     /*   64990 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65039), // Rule ID 46106 //
     /*   64995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65002 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   65005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65037 */     GIR_RootConstrainSelectedInstOperands,
     /*   65038 */     // GIR_Coverage, 46106,
     /*   65038 */     GIR_EraseRootFromParent_Done,
     /*   65039 */   // Label 1057: @65039
     /*   65039 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65088), // Rule ID 46107 //
     /*   65044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65051 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   65054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65086 */     GIR_RootConstrainSelectedInstOperands,
     /*   65087 */     // GIR_Coverage, 46107,
     /*   65087 */     GIR_EraseRootFromParent_Done,
     /*   65088 */   // Label 1058: @65088
     /*   65088 */   GIM_Reject,
     /*   65089 */ // Label 1054: @65089
     /*   65089 */ GIM_Reject,
     /*   65090 */ // Label 917: @65090
     /*   65090 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(66212),
     /*   65095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65105 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65194), // Rule ID 47098 //
     /*   65110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65153 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65192 */     GIR_RootConstrainSelectedInstOperands,
     /*   65193 */     // GIR_Coverage, 47098,
     /*   65193 */     GIR_EraseRootFromParent_Done,
     /*   65194 */   // Label 1060: @65194
     /*   65194 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(65283), // Rule ID 47099 //
     /*   65199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65242 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65281 */     GIR_RootConstrainSelectedInstOperands,
     /*   65282 */     // GIR_Coverage, 47099,
     /*   65282 */     GIR_EraseRootFromParent_Done,
     /*   65283 */   // Label 1061: @65283
     /*   65283 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65372), // Rule ID 46858 //
     /*   65288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65303 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65322 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65331 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65370 */     GIR_RootConstrainSelectedInstOperands,
     /*   65371 */     // GIR_Coverage, 46858,
     /*   65371 */     GIR_EraseRootFromParent_Done,
     /*   65372 */   // Label 1062: @65372
     /*   65372 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65461), // Rule ID 46859 //
     /*   65377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65392 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65411 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65420 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65459 */     GIR_RootConstrainSelectedInstOperands,
     /*   65460 */     // GIR_Coverage, 46859,
     /*   65460 */     GIR_EraseRootFromParent_Done,
     /*   65461 */   // Label 1063: @65461
     /*   65461 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65550), // Rule ID 46978 //
     /*   65466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65500 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65502 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65509 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65548 */     GIR_RootConstrainSelectedInstOperands,
     /*   65549 */     // GIR_Coverage, 46978,
     /*   65549 */     GIR_EraseRootFromParent_Done,
     /*   65550 */   // Label 1064: @65550
     /*   65550 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65639), // Rule ID 46979 //
     /*   65555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65570 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65589 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65591 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65598 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65637 */     GIR_RootConstrainSelectedInstOperands,
     /*   65638 */     // GIR_Coverage, 46979,
     /*   65638 */     GIR_EraseRootFromParent_Done,
     /*   65639 */   // Label 1065: @65639
     /*   65639 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(65707), // Rule ID 51848 //
     /*   65644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65681 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   65681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65705 */     GIR_RootConstrainSelectedInstOperands,
     /*   65706 */     // GIR_Coverage, 51848,
     /*   65706 */     GIR_EraseRootFromParent_Done,
     /*   65707 */   // Label 1066: @65707
     /*   65707 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(65775), // Rule ID 51849 //
     /*   65712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65731 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65749 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   65749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65773 */     GIR_RootConstrainSelectedInstOperands,
     /*   65774 */     // GIR_Coverage, 51849,
     /*   65774 */     GIR_EraseRootFromParent_Done,
     /*   65775 */   // Label 1067: @65775
     /*   65775 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(65830), // Rule ID 47158 //
     /*   65780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65808 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65828 */     GIR_RootConstrainSelectedInstOperands,
     /*   65829 */     // GIR_Coverage, 47158,
     /*   65829 */     GIR_EraseRootFromParent_Done,
     /*   65830 */   // Label 1068: @65830
     /*   65830 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(65885), // Rule ID 47159 //
     /*   65835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65863 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65883 */     GIR_RootConstrainSelectedInstOperands,
     /*   65884 */     // GIR_Coverage, 47159,
     /*   65884 */     GIR_EraseRootFromParent_Done,
     /*   65885 */   // Label 1069: @65885
     /*   65885 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(65940), // Rule ID 46918 //
     /*   65890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65909 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65918 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65938 */     GIR_RootConstrainSelectedInstOperands,
     /*   65939 */     // GIR_Coverage, 46918,
     /*   65939 */     GIR_EraseRootFromParent_Done,
     /*   65940 */   // Label 1070: @65940
     /*   65940 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(65995), // Rule ID 46919 //
     /*   65945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65973 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65993 */     GIR_RootConstrainSelectedInstOperands,
     /*   65994 */     // GIR_Coverage, 46919,
     /*   65994 */     GIR_EraseRootFromParent_Done,
     /*   65995 */   // Label 1071: @65995
     /*   65995 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66050), // Rule ID 47038 //
     /*   66000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66028 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66048 */     GIR_RootConstrainSelectedInstOperands,
     /*   66049 */     // GIR_Coverage, 47038,
     /*   66049 */     GIR_EraseRootFromParent_Done,
     /*   66050 */   // Label 1072: @66050
     /*   66050 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66105), // Rule ID 47039 //
     /*   66055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66074 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66083 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66103 */     GIR_RootConstrainSelectedInstOperands,
     /*   66104 */     // GIR_Coverage, 47039,
     /*   66104 */     GIR_EraseRootFromParent_Done,
     /*   66105 */   // Label 1073: @66105
     /*   66105 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66158), // Rule ID 46126 //
     /*   66110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66121 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66156 */     GIR_RootConstrainSelectedInstOperands,
     /*   66157 */     // GIR_Coverage, 46126,
     /*   66157 */     GIR_EraseRootFromParent_Done,
     /*   66158 */   // Label 1074: @66158
     /*   66158 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66211), // Rule ID 46127 //
     /*   66163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66174 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66209 */     GIR_RootConstrainSelectedInstOperands,
     /*   66210 */     // GIR_Coverage, 46127,
     /*   66210 */     GIR_EraseRootFromParent_Done,
     /*   66211 */   // Label 1075: @66211
     /*   66211 */   GIM_Reject,
     /*   66212 */ // Label 1059: @66212
     /*   66212 */ GIM_Reject,
     /*   66213 */ // Label 918: @66213
     /*   66213 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(67335),
     /*   66218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66228 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66317), // Rule ID 47122 //
     /*   66233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66267 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66276 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66315 */     GIR_RootConstrainSelectedInstOperands,
     /*   66316 */     // GIR_Coverage, 47122,
     /*   66316 */     GIR_EraseRootFromParent_Done,
     /*   66317 */   // Label 1077: @66317
     /*   66317 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(66406), // Rule ID 47123 //
     /*   66322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66356 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66365 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66404 */     GIR_RootConstrainSelectedInstOperands,
     /*   66405 */     // GIR_Coverage, 47123,
     /*   66405 */     GIR_EraseRootFromParent_Done,
     /*   66406 */   // Label 1078: @66406
     /*   66406 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66495), // Rule ID 46882 //
     /*   66411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66454 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66493 */     GIR_RootConstrainSelectedInstOperands,
     /*   66494 */     // GIR_Coverage, 46882,
     /*   66494 */     GIR_EraseRootFromParent_Done,
     /*   66495 */   // Label 1079: @66495
     /*   66495 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66584), // Rule ID 46883 //
     /*   66500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66543 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66582 */     GIR_RootConstrainSelectedInstOperands,
     /*   66583 */     // GIR_Coverage, 46883,
     /*   66583 */     GIR_EraseRootFromParent_Done,
     /*   66584 */   // Label 1080: @66584
     /*   66584 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66673), // Rule ID 47002 //
     /*   66589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66632 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66671 */     GIR_RootConstrainSelectedInstOperands,
     /*   66672 */     // GIR_Coverage, 47002,
     /*   66672 */     GIR_EraseRootFromParent_Done,
     /*   66673 */   // Label 1081: @66673
     /*   66673 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66762), // Rule ID 47003 //
     /*   66678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66721 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66760 */     GIR_RootConstrainSelectedInstOperands,
     /*   66761 */     // GIR_Coverage, 47003,
     /*   66761 */     GIR_EraseRootFromParent_Done,
     /*   66762 */   // Label 1082: @66762
     /*   66762 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(66830), // Rule ID 51884 //
     /*   66767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66804 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   66804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66828 */     GIR_RootConstrainSelectedInstOperands,
     /*   66829 */     // GIR_Coverage, 51884,
     /*   66829 */     GIR_EraseRootFromParent_Done,
     /*   66830 */   // Label 1083: @66830
     /*   66830 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(66898), // Rule ID 51885 //
     /*   66835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66872 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   66872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66896 */     GIR_RootConstrainSelectedInstOperands,
     /*   66897 */     // GIR_Coverage, 51885,
     /*   66897 */     GIR_EraseRootFromParent_Done,
     /*   66898 */   // Label 1084: @66898
     /*   66898 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(66953), // Rule ID 47182 //
     /*   66903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66931 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66951 */     GIR_RootConstrainSelectedInstOperands,
     /*   66952 */     // GIR_Coverage, 47182,
     /*   66952 */     GIR_EraseRootFromParent_Done,
     /*   66953 */   // Label 1085: @66953
     /*   66953 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67008), // Rule ID 47183 //
     /*   66958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66986 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67006 */     GIR_RootConstrainSelectedInstOperands,
     /*   67007 */     // GIR_Coverage, 47183,
     /*   67007 */     GIR_EraseRootFromParent_Done,
     /*   67008 */   // Label 1086: @67008
     /*   67008 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67063), // Rule ID 46942 //
     /*   67013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67041 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67061 */     GIR_RootConstrainSelectedInstOperands,
     /*   67062 */     // GIR_Coverage, 46942,
     /*   67062 */     GIR_EraseRootFromParent_Done,
     /*   67063 */   // Label 1087: @67063
     /*   67063 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67118), // Rule ID 46943 //
     /*   67068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67096 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67116 */     GIR_RootConstrainSelectedInstOperands,
     /*   67117 */     // GIR_Coverage, 46943,
     /*   67117 */     GIR_EraseRootFromParent_Done,
     /*   67118 */   // Label 1088: @67118
     /*   67118 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67173), // Rule ID 47062 //
     /*   67123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67151 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67171 */     GIR_RootConstrainSelectedInstOperands,
     /*   67172 */     // GIR_Coverage, 47062,
     /*   67172 */     GIR_EraseRootFromParent_Done,
     /*   67173 */   // Label 1089: @67173
     /*   67173 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67228), // Rule ID 47063 //
     /*   67178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67197 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67206 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67226 */     GIR_RootConstrainSelectedInstOperands,
     /*   67227 */     // GIR_Coverage, 47063,
     /*   67227 */     GIR_EraseRootFromParent_Done,
     /*   67228 */   // Label 1090: @67228
     /*   67228 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67281), // Rule ID 46162 //
     /*   67233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67244 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67279 */     GIR_RootConstrainSelectedInstOperands,
     /*   67280 */     // GIR_Coverage, 46162,
     /*   67280 */     GIR_EraseRootFromParent_Done,
     /*   67281 */   // Label 1091: @67281
     /*   67281 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67334), // Rule ID 46163 //
     /*   67286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67297 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67332 */     GIR_RootConstrainSelectedInstOperands,
     /*   67333 */     // GIR_Coverage, 46163,
     /*   67333 */     GIR_EraseRootFromParent_Done,
     /*   67334 */   // Label 1092: @67334
     /*   67334 */   GIM_Reject,
     /*   67335 */ // Label 1076: @67335
     /*   67335 */ GIM_Reject,
     /*   67336 */ // Label 919: @67336
     /*   67336 */ GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(68458),
     /*   67341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67351 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67440), // Rule ID 47142 //
     /*   67356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67390 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67399 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67438 */     GIR_RootConstrainSelectedInstOperands,
     /*   67439 */     // GIR_Coverage, 47142,
     /*   67439 */     GIR_EraseRootFromParent_Done,
     /*   67440 */   // Label 1094: @67440
     /*   67440 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(67529), // Rule ID 47143 //
     /*   67445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67460 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67479 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67488 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67527 */     GIR_RootConstrainSelectedInstOperands,
     /*   67528 */     // GIR_Coverage, 47143,
     /*   67528 */     GIR_EraseRootFromParent_Done,
     /*   67529 */   // Label 1095: @67529
     /*   67529 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67618), // Rule ID 46902 //
     /*   67534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67568 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67577 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67616 */     GIR_RootConstrainSelectedInstOperands,
     /*   67617 */     // GIR_Coverage, 46902,
     /*   67617 */     GIR_EraseRootFromParent_Done,
     /*   67618 */   // Label 1096: @67618
     /*   67618 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(67707), // Rule ID 46903 //
     /*   67623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67638 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67657 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67666 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67705 */     GIR_RootConstrainSelectedInstOperands,
     /*   67706 */     // GIR_Coverage, 46903,
     /*   67706 */     GIR_EraseRootFromParent_Done,
     /*   67707 */   // Label 1097: @67707
     /*   67707 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67796), // Rule ID 47022 //
     /*   67712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67746 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67755 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67794 */     GIR_RootConstrainSelectedInstOperands,
     /*   67795 */     // GIR_Coverage, 47022,
     /*   67795 */     GIR_EraseRootFromParent_Done,
     /*   67796 */   // Label 1098: @67796
     /*   67796 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(67885), // Rule ID 47023 //
     /*   67801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67835 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67837 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67844 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67883 */     GIR_RootConstrainSelectedInstOperands,
     /*   67884 */     // GIR_Coverage, 47023,
     /*   67884 */     GIR_EraseRootFromParent_Done,
     /*   67885 */   // Label 1099: @67885
     /*   67885 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(67953), // Rule ID 51900 //
     /*   67890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   67893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67927 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   67927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   67948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67951 */     GIR_RootConstrainSelectedInstOperands,
     /*   67952 */     // GIR_Coverage, 51900,
     /*   67952 */     GIR_EraseRootFromParent_Done,
     /*   67953 */   // Label 1100: @67953
     /*   67953 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68021), // Rule ID 51901 //
     /*   67958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   67961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67995 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   67995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68019 */     GIR_RootConstrainSelectedInstOperands,
     /*   68020 */     // GIR_Coverage, 51901,
     /*   68020 */     GIR_EraseRootFromParent_Done,
     /*   68021 */   // Label 1101: @68021
     /*   68021 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68076), // Rule ID 47202 //
     /*   68026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68054 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68074 */     GIR_RootConstrainSelectedInstOperands,
     /*   68075 */     // GIR_Coverage, 47202,
     /*   68075 */     GIR_EraseRootFromParent_Done,
     /*   68076 */   // Label 1102: @68076
     /*   68076 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68131), // Rule ID 47203 //
     /*   68081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68109 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68129 */     GIR_RootConstrainSelectedInstOperands,
     /*   68130 */     // GIR_Coverage, 47203,
     /*   68130 */     GIR_EraseRootFromParent_Done,
     /*   68131 */   // Label 1103: @68131
     /*   68131 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68186), // Rule ID 46962 //
     /*   68136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68155 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68164 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68184 */     GIR_RootConstrainSelectedInstOperands,
     /*   68185 */     // GIR_Coverage, 46962,
     /*   68185 */     GIR_EraseRootFromParent_Done,
     /*   68186 */   // Label 1104: @68186
     /*   68186 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68241), // Rule ID 46963 //
     /*   68191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68219 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68239 */     GIR_RootConstrainSelectedInstOperands,
     /*   68240 */     // GIR_Coverage, 46963,
     /*   68240 */     GIR_EraseRootFromParent_Done,
     /*   68241 */   // Label 1105: @68241
     /*   68241 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68296), // Rule ID 47082 //
     /*   68246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68274 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68294 */     GIR_RootConstrainSelectedInstOperands,
     /*   68295 */     // GIR_Coverage, 47082,
     /*   68295 */     GIR_EraseRootFromParent_Done,
     /*   68296 */   // Label 1106: @68296
     /*   68296 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68351), // Rule ID 47083 //
     /*   68301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68320 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68329 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68349 */     GIR_RootConstrainSelectedInstOperands,
     /*   68350 */     // GIR_Coverage, 47083,
     /*   68350 */     GIR_EraseRootFromParent_Done,
     /*   68351 */   // Label 1107: @68351
     /*   68351 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68404), // Rule ID 46178 //
     /*   68356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68367 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68402 */     GIR_RootConstrainSelectedInstOperands,
     /*   68403 */     // GIR_Coverage, 46178,
     /*   68403 */     GIR_EraseRootFromParent_Done,
     /*   68404 */   // Label 1108: @68404
     /*   68404 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68457), // Rule ID 46179 //
     /*   68409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68420 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68455 */     GIR_RootConstrainSelectedInstOperands,
     /*   68456 */     // GIR_Coverage, 46179,
     /*   68456 */     GIR_EraseRootFromParent_Done,
     /*   68457 */   // Label 1109: @68457
     /*   68457 */   GIM_Reject,
     /*   68458 */ // Label 1093: @68458
     /*   68458 */ GIM_Reject,
     /*   68459 */ // Label 920: @68459
     /*   68459 */ GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68705),
     /*   68464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68478 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68542), // Rule ID 51844 //
     /*   68483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68516 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   68516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68540 */     GIR_RootConstrainSelectedInstOperands,
     /*   68541 */     // GIR_Coverage, 51844,
     /*   68541 */     GIR_EraseRootFromParent_Done,
     /*   68542 */   // Label 1111: @68542
     /*   68542 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(68606), // Rule ID 51845 //
     /*   68547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68580 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   68580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68604 */     GIR_RootConstrainSelectedInstOperands,
     /*   68605 */     // GIR_Coverage, 51845,
     /*   68605 */     GIR_EraseRootFromParent_Done,
     /*   68606 */   // Label 1112: @68606
     /*   68606 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(68655), // Rule ID 46122 //
     /*   68611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68618 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68653 */     GIR_RootConstrainSelectedInstOperands,
     /*   68654 */     // GIR_Coverage, 46122,
     /*   68654 */     GIR_EraseRootFromParent_Done,
     /*   68655 */   // Label 1113: @68655
     /*   68655 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68704), // Rule ID 46123 //
     /*   68660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68667 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68702 */     GIR_RootConstrainSelectedInstOperands,
     /*   68703 */     // GIR_Coverage, 46123,
     /*   68703 */     GIR_EraseRootFromParent_Done,
     /*   68704 */   // Label 1114: @68704
     /*   68704 */   GIM_Reject,
     /*   68705 */ // Label 1110: @68705
     /*   68705 */ GIM_Reject,
     /*   68706 */ // Label 921: @68706
     /*   68706 */ GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69828),
     /*   68711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   68714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   68717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68721 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(68810), // Rule ID 47102 //
     /*   68726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68769 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68808 */     GIR_RootConstrainSelectedInstOperands,
     /*   68809 */     // GIR_Coverage, 47102,
     /*   68809 */     GIR_EraseRootFromParent_Done,
     /*   68810 */   // Label 1116: @68810
     /*   68810 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(68899), // Rule ID 47103 //
     /*   68815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68858 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68897 */     GIR_RootConstrainSelectedInstOperands,
     /*   68898 */     // GIR_Coverage, 47103,
     /*   68898 */     GIR_EraseRootFromParent_Done,
     /*   68899 */   // Label 1117: @68899
     /*   68899 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(68988), // Rule ID 46862 //
     /*   68904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68947 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68986 */     GIR_RootConstrainSelectedInstOperands,
     /*   68987 */     // GIR_Coverage, 46862,
     /*   68987 */     GIR_EraseRootFromParent_Done,
     /*   68988 */   // Label 1118: @68988
     /*   68988 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69077), // Rule ID 46863 //
     /*   68993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69036 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   69053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69075 */     GIR_RootConstrainSelectedInstOperands,
     /*   69076 */     // GIR_Coverage, 46863,
     /*   69076 */     GIR_EraseRootFromParent_Done,
     /*   69077 */   // Label 1119: @69077
     /*   69077 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69166), // Rule ID 46982 //
     /*   69082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69125 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69164 */     GIR_RootConstrainSelectedInstOperands,
     /*   69165 */     // GIR_Coverage, 46982,
     /*   69165 */     GIR_EraseRootFromParent_Done,
     /*   69166 */   // Label 1120: @69166
     /*   69166 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69255), // Rule ID 46983 //
     /*   69171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69214 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69253 */     GIR_RootConstrainSelectedInstOperands,
     /*   69254 */     // GIR_Coverage, 46983,
     /*   69254 */     GIR_EraseRootFromParent_Done,
     /*   69255 */   // Label 1121: @69255
     /*   69255 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69323), // Rule ID 51872 //
     /*   69260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69297 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69321 */     GIR_RootConstrainSelectedInstOperands,
     /*   69322 */     // GIR_Coverage, 51872,
     /*   69322 */     GIR_EraseRootFromParent_Done,
     /*   69323 */   // Label 1122: @69323
     /*   69323 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69391), // Rule ID 51873 //
     /*   69328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69365 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69389 */     GIR_RootConstrainSelectedInstOperands,
     /*   69390 */     // GIR_Coverage, 51873,
     /*   69390 */     GIR_EraseRootFromParent_Done,
     /*   69391 */   // Label 1123: @69391
     /*   69391 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69446), // Rule ID 47162 //
     /*   69396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69424 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69444 */     GIR_RootConstrainSelectedInstOperands,
     /*   69445 */     // GIR_Coverage, 47162,
     /*   69445 */     GIR_EraseRootFromParent_Done,
     /*   69446 */   // Label 1124: @69446
     /*   69446 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69501), // Rule ID 47163 //
     /*   69451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69479 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69499 */     GIR_RootConstrainSelectedInstOperands,
     /*   69500 */     // GIR_Coverage, 47163,
     /*   69500 */     GIR_EraseRootFromParent_Done,
     /*   69501 */   // Label 1125: @69501
     /*   69501 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69556), // Rule ID 46922 //
     /*   69506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69534 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69554 */     GIR_RootConstrainSelectedInstOperands,
     /*   69555 */     // GIR_Coverage, 46922,
     /*   69555 */     GIR_EraseRootFromParent_Done,
     /*   69556 */   // Label 1126: @69556
     /*   69556 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(69611), // Rule ID 46923 //
     /*   69561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69589 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69609 */     GIR_RootConstrainSelectedInstOperands,
     /*   69610 */     // GIR_Coverage, 46923,
     /*   69610 */     GIR_EraseRootFromParent_Done,
     /*   69611 */   // Label 1127: @69611
     /*   69611 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(69666), // Rule ID 47042 //
     /*   69616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69644 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69664 */     GIR_RootConstrainSelectedInstOperands,
     /*   69665 */     // GIR_Coverage, 47042,
     /*   69665 */     GIR_EraseRootFromParent_Done,
     /*   69666 */   // Label 1128: @69666
     /*   69666 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(69721), // Rule ID 47043 //
     /*   69671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69699 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69719 */     GIR_RootConstrainSelectedInstOperands,
     /*   69720 */     // GIR_Coverage, 47043,
     /*   69720 */     GIR_EraseRootFromParent_Done,
     /*   69721 */   // Label 1129: @69721
     /*   69721 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(69774), // Rule ID 46150 //
     /*   69726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69737 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69772 */     GIR_RootConstrainSelectedInstOperands,
     /*   69773 */     // GIR_Coverage, 46150,
     /*   69773 */     GIR_EraseRootFromParent_Done,
     /*   69774 */   // Label 1130: @69774
     /*   69774 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(69827), // Rule ID 46151 //
     /*   69779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69790 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69825 */     GIR_RootConstrainSelectedInstOperands,
     /*   69826 */     // GIR_Coverage, 46151,
     /*   69826 */     GIR_EraseRootFromParent_Done,
     /*   69827 */   // Label 1131: @69827
     /*   69827 */   GIM_Reject,
     /*   69828 */ // Label 1115: @69828
     /*   69828 */ GIM_Reject,
     /*   69829 */ // Label 922: @69829
     /*   69829 */ GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70951),
     /*   69834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   69837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   69840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   69844 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(69933), // Rule ID 47126 //
     /*   69849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69883 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69892 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69931 */     GIR_RootConstrainSelectedInstOperands,
     /*   69932 */     // GIR_Coverage, 47126,
     /*   69932 */     GIR_EraseRootFromParent_Done,
     /*   69933 */   // Label 1133: @69933
     /*   69933 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(70022), // Rule ID 47127 //
     /*   69938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69972 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69979 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69981 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70020 */     GIR_RootConstrainSelectedInstOperands,
     /*   70021 */     // GIR_Coverage, 47127,
     /*   70021 */     GIR_EraseRootFromParent_Done,
     /*   70022 */   // Label 1134: @70022
     /*   70022 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70111), // Rule ID 46886 //
     /*   70027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70042 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70061 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70070 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70109 */     GIR_RootConstrainSelectedInstOperands,
     /*   70110 */     // GIR_Coverage, 46886,
     /*   70110 */     GIR_EraseRootFromParent_Done,
     /*   70111 */   // Label 1135: @70111
     /*   70111 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70200), // Rule ID 46887 //
     /*   70116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70159 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70198 */     GIR_RootConstrainSelectedInstOperands,
     /*   70199 */     // GIR_Coverage, 46887,
     /*   70199 */     GIR_EraseRootFromParent_Done,
     /*   70200 */   // Label 1136: @70200
     /*   70200 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70289), // Rule ID 47006 //
     /*   70205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70220 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70248 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70287 */     GIR_RootConstrainSelectedInstOperands,
     /*   70288 */     // GIR_Coverage, 47006,
     /*   70288 */     GIR_EraseRootFromParent_Done,
     /*   70289 */   // Label 1137: @70289
     /*   70289 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70378), // Rule ID 47007 //
     /*   70294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70309 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70337 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70376 */     GIR_RootConstrainSelectedInstOperands,
     /*   70377 */     // GIR_Coverage, 47007,
     /*   70377 */     GIR_EraseRootFromParent_Done,
     /*   70378 */   // Label 1138: @70378
     /*   70378 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70446), // Rule ID 51888 //
     /*   70383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70420 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70444 */     GIR_RootConstrainSelectedInstOperands,
     /*   70445 */     // GIR_Coverage, 51888,
     /*   70445 */     GIR_EraseRootFromParent_Done,
     /*   70446 */   // Label 1139: @70446
     /*   70446 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70514), // Rule ID 51889 //
     /*   70451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70488 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70512 */     GIR_RootConstrainSelectedInstOperands,
     /*   70513 */     // GIR_Coverage, 51889,
     /*   70513 */     GIR_EraseRootFromParent_Done,
     /*   70514 */   // Label 1140: @70514
     /*   70514 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70569), // Rule ID 47186 //
     /*   70519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70547 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70567 */     GIR_RootConstrainSelectedInstOperands,
     /*   70568 */     // GIR_Coverage, 47186,
     /*   70568 */     GIR_EraseRootFromParent_Done,
     /*   70569 */   // Label 1141: @70569
     /*   70569 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(70624), // Rule ID 47187 //
     /*   70574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70593 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70602 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70622 */     GIR_RootConstrainSelectedInstOperands,
     /*   70623 */     // GIR_Coverage, 47187,
     /*   70623 */     GIR_EraseRootFromParent_Done,
     /*   70624 */   // Label 1142: @70624
     /*   70624 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(70679), // Rule ID 46946 //
     /*   70629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70648 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70657 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70677 */     GIR_RootConstrainSelectedInstOperands,
     /*   70678 */     // GIR_Coverage, 46946,
     /*   70678 */     GIR_EraseRootFromParent_Done,
     /*   70679 */   // Label 1143: @70679
     /*   70679 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(70734), // Rule ID 46947 //
     /*   70684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70712 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70732 */     GIR_RootConstrainSelectedInstOperands,
     /*   70733 */     // GIR_Coverage, 46947,
     /*   70733 */     GIR_EraseRootFromParent_Done,
     /*   70734 */   // Label 1144: @70734
     /*   70734 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(70789), // Rule ID 47066 //
     /*   70739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70767 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70787 */     GIR_RootConstrainSelectedInstOperands,
     /*   70788 */     // GIR_Coverage, 47066,
     /*   70788 */     GIR_EraseRootFromParent_Done,
     /*   70789 */   // Label 1145: @70789
     /*   70789 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(70844), // Rule ID 47067 //
     /*   70794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70813 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70822 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70842 */     GIR_RootConstrainSelectedInstOperands,
     /*   70843 */     // GIR_Coverage, 47067,
     /*   70843 */     GIR_EraseRootFromParent_Done,
     /*   70844 */   // Label 1146: @70844
     /*   70844 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(70897), // Rule ID 46166 //
     /*   70849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70860 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70895 */     GIR_RootConstrainSelectedInstOperands,
     /*   70896 */     // GIR_Coverage, 46166,
     /*   70896 */     GIR_EraseRootFromParent_Done,
     /*   70897 */   // Label 1147: @70897
     /*   70897 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(70950), // Rule ID 46167 //
     /*   70902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70913 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70948 */     GIR_RootConstrainSelectedInstOperands,
     /*   70949 */     // GIR_Coverage, 46167,
     /*   70949 */     GIR_EraseRootFromParent_Done,
     /*   70950 */   // Label 1148: @70950
     /*   70950 */   GIM_Reject,
     /*   70951 */ // Label 1132: @70951
     /*   70951 */ GIM_Reject,
     /*   70952 */ // Label 923: @70952
     /*   70952 */ GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(72074),
     /*   70957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   70960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   70963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   70967 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71056), // Rule ID 47146 //
     /*   70972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   70975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71006 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71008 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71015 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71054 */     GIR_RootConstrainSelectedInstOperands,
     /*   71055 */     // GIR_Coverage, 47146,
     /*   71055 */     GIR_EraseRootFromParent_Done,
     /*   71056 */   // Label 1150: @71056
     /*   71056 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(71145), // Rule ID 47147 //
     /*   71061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71095 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71104 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71143 */     GIR_RootConstrainSelectedInstOperands,
     /*   71144 */     // GIR_Coverage, 47147,
     /*   71144 */     GIR_EraseRootFromParent_Done,
     /*   71145 */   // Label 1151: @71145
     /*   71145 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71234), // Rule ID 46906 //
     /*   71150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71193 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71232 */     GIR_RootConstrainSelectedInstOperands,
     /*   71233 */     // GIR_Coverage, 46906,
     /*   71233 */     GIR_EraseRootFromParent_Done,
     /*   71234 */   // Label 1152: @71234
     /*   71234 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71323), // Rule ID 46907 //
     /*   71239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71282 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71321 */     GIR_RootConstrainSelectedInstOperands,
     /*   71322 */     // GIR_Coverage, 46907,
     /*   71322 */     GIR_EraseRootFromParent_Done,
     /*   71323 */   // Label 1153: @71323
     /*   71323 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71412), // Rule ID 47026 //
     /*   71328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71371 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71410 */     GIR_RootConstrainSelectedInstOperands,
     /*   71411 */     // GIR_Coverage, 47026,
     /*   71411 */     GIR_EraseRootFromParent_Done,
     /*   71412 */   // Label 1154: @71412
     /*   71412 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71501), // Rule ID 47027 //
     /*   71417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71460 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71499 */     GIR_RootConstrainSelectedInstOperands,
     /*   71500 */     // GIR_Coverage, 47027,
     /*   71500 */     GIR_EraseRootFromParent_Done,
     /*   71501 */   // Label 1155: @71501
     /*   71501 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71569), // Rule ID 51904 //
     /*   71506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71543 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   71543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71567 */     GIR_RootConstrainSelectedInstOperands,
     /*   71568 */     // GIR_Coverage, 51904,
     /*   71568 */     GIR_EraseRootFromParent_Done,
     /*   71569 */   // Label 1156: @71569
     /*   71569 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71637), // Rule ID 51905 //
     /*   71574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71611 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   71611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71635 */     GIR_RootConstrainSelectedInstOperands,
     /*   71636 */     // GIR_Coverage, 51905,
     /*   71636 */     GIR_EraseRootFromParent_Done,
     /*   71637 */   // Label 1157: @71637
     /*   71637 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71692), // Rule ID 47206 //
     /*   71642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71670 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71690 */     GIR_RootConstrainSelectedInstOperands,
     /*   71691 */     // GIR_Coverage, 47206,
     /*   71691 */     GIR_EraseRootFromParent_Done,
     /*   71692 */   // Label 1158: @71692
     /*   71692 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71747), // Rule ID 47207 //
     /*   71697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71725 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71745 */     GIR_RootConstrainSelectedInstOperands,
     /*   71746 */     // GIR_Coverage, 47207,
     /*   71746 */     GIR_EraseRootFromParent_Done,
     /*   71747 */   // Label 1159: @71747
     /*   71747 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71802), // Rule ID 46966 //
     /*   71752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71780 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71800 */     GIR_RootConstrainSelectedInstOperands,
     /*   71801 */     // GIR_Coverage, 46966,
     /*   71801 */     GIR_EraseRootFromParent_Done,
     /*   71802 */   // Label 1160: @71802
     /*   71802 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71857), // Rule ID 46967 //
     /*   71807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71835 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71855 */     GIR_RootConstrainSelectedInstOperands,
     /*   71856 */     // GIR_Coverage, 46967,
     /*   71856 */     GIR_EraseRootFromParent_Done,
     /*   71857 */   // Label 1161: @71857
     /*   71857 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(71912), // Rule ID 47086 //
     /*   71862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71890 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71910 */     GIR_RootConstrainSelectedInstOperands,
     /*   71911 */     // GIR_Coverage, 47086,
     /*   71911 */     GIR_EraseRootFromParent_Done,
     /*   71912 */   // Label 1162: @71912
     /*   71912 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(71967), // Rule ID 47087 //
     /*   71917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71945 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71965 */     GIR_RootConstrainSelectedInstOperands,
     /*   71966 */     // GIR_Coverage, 47087,
     /*   71966 */     GIR_EraseRootFromParent_Done,
     /*   71967 */   // Label 1163: @71967
     /*   71967 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72020), // Rule ID 46182 //
     /*   71972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71983 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   72000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72018 */     GIR_RootConstrainSelectedInstOperands,
     /*   72019 */     // GIR_Coverage, 46182,
     /*   72019 */     GIR_EraseRootFromParent_Done,
     /*   72020 */   // Label 1164: @72020
     /*   72020 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72073), // Rule ID 46183 //
     /*   72025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72036 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   72053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72071 */     GIR_RootConstrainSelectedInstOperands,
     /*   72072 */     // GIR_Coverage, 46183,
     /*   72072 */     GIR_EraseRootFromParent_Done,
     /*   72073 */   // Label 1165: @72073
     /*   72073 */   GIM_Reject,
     /*   72074 */ // Label 1149: @72074
     /*   72074 */ GIM_Reject,
     /*   72075 */ // Label 924: @72075
     /*   72075 */ GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72321),
     /*   72080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72094 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72158), // Rule ID 51860 //
     /*   72099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72132 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72156 */     GIR_RootConstrainSelectedInstOperands,
     /*   72157 */     // GIR_Coverage, 51860,
     /*   72157 */     GIR_EraseRootFromParent_Done,
     /*   72158 */   // Label 1167: @72158
     /*   72158 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72222), // Rule ID 51861 //
     /*   72163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72182 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72196 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72220 */     GIR_RootConstrainSelectedInstOperands,
     /*   72221 */     // GIR_Coverage, 51861,
     /*   72221 */     GIR_EraseRootFromParent_Done,
     /*   72222 */   // Label 1168: @72222
     /*   72222 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72271), // Rule ID 46138 //
     /*   72227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72234 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72269 */     GIR_RootConstrainSelectedInstOperands,
     /*   72270 */     // GIR_Coverage, 46138,
     /*   72270 */     GIR_EraseRootFromParent_Done,
     /*   72271 */   // Label 1169: @72271
     /*   72271 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72320), // Rule ID 46139 //
     /*   72276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72283 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72318 */     GIR_RootConstrainSelectedInstOperands,
     /*   72319 */     // GIR_Coverage, 46139,
     /*   72319 */     GIR_EraseRootFromParent_Done,
     /*   72320 */   // Label 1170: @72320
     /*   72320 */   GIM_Reject,
     /*   72321 */ // Label 1166: @72321
     /*   72321 */ GIM_Reject,
     /*   72322 */ // Label 925: @72322
     /*   72322 */ GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(73444),
     /*   72327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72337 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72426), // Rule ID 47106 //
     /*   72342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72376 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72378 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72385 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72424 */     GIR_RootConstrainSelectedInstOperands,
     /*   72425 */     // GIR_Coverage, 47106,
     /*   72425 */     GIR_EraseRootFromParent_Done,
     /*   72426 */   // Label 1172: @72426
     /*   72426 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72515), // Rule ID 47107 //
     /*   72431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72465 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72467 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72472 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72474 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72513 */     GIR_RootConstrainSelectedInstOperands,
     /*   72514 */     // GIR_Coverage, 47107,
     /*   72514 */     GIR_EraseRootFromParent_Done,
     /*   72515 */   // Label 1173: @72515
     /*   72515 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72604), // Rule ID 46866 //
     /*   72520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72554 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72563 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72602 */     GIR_RootConstrainSelectedInstOperands,
     /*   72603 */     // GIR_Coverage, 46866,
     /*   72603 */     GIR_EraseRootFromParent_Done,
     /*   72604 */   // Label 1174: @72604
     /*   72604 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72693), // Rule ID 46867 //
     /*   72609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72643 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72652 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72691 */     GIR_RootConstrainSelectedInstOperands,
     /*   72692 */     // GIR_Coverage, 46867,
     /*   72692 */     GIR_EraseRootFromParent_Done,
     /*   72693 */   // Label 1175: @72693
     /*   72693 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72782), // Rule ID 46986 //
     /*   72698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72741 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72780 */     GIR_RootConstrainSelectedInstOperands,
     /*   72781 */     // GIR_Coverage, 46986,
     /*   72781 */     GIR_EraseRootFromParent_Done,
     /*   72782 */   // Label 1176: @72782
     /*   72782 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(72871), // Rule ID 46987 //
     /*   72787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72830 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72869 */     GIR_RootConstrainSelectedInstOperands,
     /*   72870 */     // GIR_Coverage, 46987,
     /*   72870 */     GIR_EraseRootFromParent_Done,
     /*   72871 */   // Label 1177: @72871
     /*   72871 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(72939), // Rule ID 51876 //
     /*   72876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72899 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72913 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   72913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72937 */     GIR_RootConstrainSelectedInstOperands,
     /*   72938 */     // GIR_Coverage, 51876,
     /*   72938 */     GIR_EraseRootFromParent_Done,
     /*   72939 */   // Label 1178: @72939
     /*   72939 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(73007), // Rule ID 51877 //
     /*   72944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72967 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72981 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   72981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73005 */     GIR_RootConstrainSelectedInstOperands,
     /*   73006 */     // GIR_Coverage, 51877,
     /*   73006 */     GIR_EraseRootFromParent_Done,
     /*   73007 */   // Label 1179: @73007
     /*   73007 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73062), // Rule ID 47166 //
     /*   73012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73040 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73060 */     GIR_RootConstrainSelectedInstOperands,
     /*   73061 */     // GIR_Coverage, 47166,
     /*   73061 */     GIR_EraseRootFromParent_Done,
     /*   73062 */   // Label 1180: @73062
     /*   73062 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73117), // Rule ID 47167 //
     /*   73067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73095 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73115 */     GIR_RootConstrainSelectedInstOperands,
     /*   73116 */     // GIR_Coverage, 47167,
     /*   73116 */     GIR_EraseRootFromParent_Done,
     /*   73117 */   // Label 1181: @73117
     /*   73117 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73172), // Rule ID 46926 //
     /*   73122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73141 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73150 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73170 */     GIR_RootConstrainSelectedInstOperands,
     /*   73171 */     // GIR_Coverage, 46926,
     /*   73171 */     GIR_EraseRootFromParent_Done,
     /*   73172 */   // Label 1182: @73172
     /*   73172 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73227), // Rule ID 46927 //
     /*   73177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73205 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73225 */     GIR_RootConstrainSelectedInstOperands,
     /*   73226 */     // GIR_Coverage, 46927,
     /*   73226 */     GIR_EraseRootFromParent_Done,
     /*   73227 */   // Label 1183: @73227
     /*   73227 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73282), // Rule ID 47046 //
     /*   73232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73260 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73280 */     GIR_RootConstrainSelectedInstOperands,
     /*   73281 */     // GIR_Coverage, 47046,
     /*   73281 */     GIR_EraseRootFromParent_Done,
     /*   73282 */   // Label 1184: @73282
     /*   73282 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73337), // Rule ID 47047 //
     /*   73287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73315 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73335 */     GIR_RootConstrainSelectedInstOperands,
     /*   73336 */     // GIR_Coverage, 47047,
     /*   73336 */     GIR_EraseRootFromParent_Done,
     /*   73337 */   // Label 1185: @73337
     /*   73337 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73390), // Rule ID 46154 //
     /*   73342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73353 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73388 */     GIR_RootConstrainSelectedInstOperands,
     /*   73389 */     // GIR_Coverage, 46154,
     /*   73389 */     GIR_EraseRootFromParent_Done,
     /*   73390 */   // Label 1186: @73390
     /*   73390 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73443), // Rule ID 46155 //
     /*   73395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73406 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73441 */     GIR_RootConstrainSelectedInstOperands,
     /*   73442 */     // GIR_Coverage, 46155,
     /*   73442 */     GIR_EraseRootFromParent_Done,
     /*   73443 */   // Label 1187: @73443
     /*   73443 */   GIM_Reject,
     /*   73444 */ // Label 1171: @73444
     /*   73444 */ GIM_Reject,
     /*   73445 */ // Label 926: @73445
     /*   73445 */ GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(74567),
     /*   73450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73460 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73549), // Rule ID 47130 //
     /*   73465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73499 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73508 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73547 */     GIR_RootConstrainSelectedInstOperands,
     /*   73548 */     // GIR_Coverage, 47130,
     /*   73548 */     GIR_EraseRootFromParent_Done,
     /*   73549 */   // Label 1189: @73549
     /*   73549 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(73638), // Rule ID 47131 //
     /*   73554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73597 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73636 */     GIR_RootConstrainSelectedInstOperands,
     /*   73637 */     // GIR_Coverage, 47131,
     /*   73637 */     GIR_EraseRootFromParent_Done,
     /*   73638 */   // Label 1190: @73638
     /*   73638 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(73727), // Rule ID 46890 //
     /*   73643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73686 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73725 */     GIR_RootConstrainSelectedInstOperands,
     /*   73726 */     // GIR_Coverage, 46890,
     /*   73726 */     GIR_EraseRootFromParent_Done,
     /*   73727 */   // Label 1191: @73727
     /*   73727 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(73816), // Rule ID 46891 //
     /*   73732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73775 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73814 */     GIR_RootConstrainSelectedInstOperands,
     /*   73815 */     // GIR_Coverage, 46891,
     /*   73815 */     GIR_EraseRootFromParent_Done,
     /*   73816 */   // Label 1192: @73816
     /*   73816 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(73905), // Rule ID 47010 //
     /*   73821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73864 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73903 */     GIR_RootConstrainSelectedInstOperands,
     /*   73904 */     // GIR_Coverage, 47010,
     /*   73904 */     GIR_EraseRootFromParent_Done,
     /*   73905 */   // Label 1193: @73905
     /*   73905 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(73994), // Rule ID 47011 //
     /*   73910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73953 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73992 */     GIR_RootConstrainSelectedInstOperands,
     /*   73993 */     // GIR_Coverage, 47011,
     /*   73993 */     GIR_EraseRootFromParent_Done,
     /*   73994 */   // Label 1194: @73994
     /*   73994 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74062), // Rule ID 51892 //
     /*   73999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74036 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74060 */     GIR_RootConstrainSelectedInstOperands,
     /*   74061 */     // GIR_Coverage, 51892,
     /*   74061 */     GIR_EraseRootFromParent_Done,
     /*   74062 */   // Label 1195: @74062
     /*   74062 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74130), // Rule ID 51893 //
     /*   74067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74090 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74104 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74128 */     GIR_RootConstrainSelectedInstOperands,
     /*   74129 */     // GIR_Coverage, 51893,
     /*   74129 */     GIR_EraseRootFromParent_Done,
     /*   74130 */   // Label 1196: @74130
     /*   74130 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74185), // Rule ID 47190 //
     /*   74135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74154 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74163 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74183 */     GIR_RootConstrainSelectedInstOperands,
     /*   74184 */     // GIR_Coverage, 47190,
     /*   74184 */     GIR_EraseRootFromParent_Done,
     /*   74185 */   // Label 1197: @74185
     /*   74185 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74240), // Rule ID 47191 //
     /*   74190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74218 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74238 */     GIR_RootConstrainSelectedInstOperands,
     /*   74239 */     // GIR_Coverage, 47191,
     /*   74239 */     GIR_EraseRootFromParent_Done,
     /*   74240 */   // Label 1198: @74240
     /*   74240 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74295), // Rule ID 46950 //
     /*   74245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74273 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74293 */     GIR_RootConstrainSelectedInstOperands,
     /*   74294 */     // GIR_Coverage, 46950,
     /*   74294 */     GIR_EraseRootFromParent_Done,
     /*   74295 */   // Label 1199: @74295
     /*   74295 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74350), // Rule ID 46951 //
     /*   74300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74319 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74328 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74348 */     GIR_RootConstrainSelectedInstOperands,
     /*   74349 */     // GIR_Coverage, 46951,
     /*   74349 */     GIR_EraseRootFromParent_Done,
     /*   74350 */   // Label 1200: @74350
     /*   74350 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74405), // Rule ID 47070 //
     /*   74355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74383 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74403 */     GIR_RootConstrainSelectedInstOperands,
     /*   74404 */     // GIR_Coverage, 47070,
     /*   74404 */     GIR_EraseRootFromParent_Done,
     /*   74405 */   // Label 1201: @74405
     /*   74405 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74460), // Rule ID 47071 //
     /*   74410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74429 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74438 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74458 */     GIR_RootConstrainSelectedInstOperands,
     /*   74459 */     // GIR_Coverage, 47071,
     /*   74459 */     GIR_EraseRootFromParent_Done,
     /*   74460 */   // Label 1202: @74460
     /*   74460 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74513), // Rule ID 46170 //
     /*   74465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74476 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74511 */     GIR_RootConstrainSelectedInstOperands,
     /*   74512 */     // GIR_Coverage, 46170,
     /*   74512 */     GIR_EraseRootFromParent_Done,
     /*   74513 */   // Label 1203: @74513
     /*   74513 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74566), // Rule ID 46171 //
     /*   74518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74529 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   74529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74564 */     GIR_RootConstrainSelectedInstOperands,
     /*   74565 */     // GIR_Coverage, 46171,
     /*   74565 */     GIR_EraseRootFromParent_Done,
     /*   74566 */   // Label 1204: @74566
     /*   74566 */   GIM_Reject,
     /*   74567 */ // Label 1188: @74567
     /*   74567 */ GIM_Reject,
     /*   74568 */ // Label 927: @74568
     /*   74568 */ GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(74814),
     /*   74573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74587 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(74651), // Rule ID 51864 //
     /*   74592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74625 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   74625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74649 */     GIR_RootConstrainSelectedInstOperands,
     /*   74650 */     // GIR_Coverage, 51864,
     /*   74650 */     GIR_EraseRootFromParent_Done,
     /*   74651 */   // Label 1206: @74651
     /*   74651 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(74715), // Rule ID 51865 //
     /*   74656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74671 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74675 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74689 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   74689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74713 */     GIR_RootConstrainSelectedInstOperands,
     /*   74714 */     // GIR_Coverage, 51865,
     /*   74714 */     GIR_EraseRootFromParent_Done,
     /*   74715 */   // Label 1207: @74715
     /*   74715 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(74764), // Rule ID 46142 //
     /*   74720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74727 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74762 */     GIR_RootConstrainSelectedInstOperands,
     /*   74763 */     // GIR_Coverage, 46142,
     /*   74763 */     GIR_EraseRootFromParent_Done,
     /*   74764 */   // Label 1208: @74764
     /*   74764 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(74813), // Rule ID 46143 //
     /*   74769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74776 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74811 */     GIR_RootConstrainSelectedInstOperands,
     /*   74812 */     // GIR_Coverage, 46143,
     /*   74812 */     GIR_EraseRootFromParent_Done,
     /*   74813 */   // Label 1209: @74813
     /*   74813 */   GIM_Reject,
     /*   74814 */ // Label 1205: @74814
     /*   74814 */ GIM_Reject,
     /*   74815 */ // Label 928: @74815
     /*   74815 */ GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75937),
     /*   74820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   74823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   74826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74830 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(74919), // Rule ID 47110 //
     /*   74835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74878 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74917 */     GIR_RootConstrainSelectedInstOperands,
     /*   74918 */     // GIR_Coverage, 47110,
     /*   74918 */     GIR_EraseRootFromParent_Done,
     /*   74919 */   // Label 1211: @74919
     /*   74919 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75008), // Rule ID 47111 //
     /*   74924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74967 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75006 */     GIR_RootConstrainSelectedInstOperands,
     /*   75007 */     // GIR_Coverage, 47111,
     /*   75007 */     GIR_EraseRootFromParent_Done,
     /*   75008 */   // Label 1212: @75008
     /*   75008 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75097), // Rule ID 46870 //
     /*   75013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75028 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75047 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75054 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75056 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75095 */     GIR_RootConstrainSelectedInstOperands,
     /*   75096 */     // GIR_Coverage, 46870,
     /*   75096 */     GIR_EraseRootFromParent_Done,
     /*   75097 */   // Label 1213: @75097
     /*   75097 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75186), // Rule ID 46871 //
     /*   75102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75145 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75184 */     GIR_RootConstrainSelectedInstOperands,
     /*   75185 */     // GIR_Coverage, 46871,
     /*   75185 */     GIR_EraseRootFromParent_Done,
     /*   75186 */   // Label 1214: @75186
     /*   75186 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75275), // Rule ID 46990 //
     /*   75191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75234 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75273 */     GIR_RootConstrainSelectedInstOperands,
     /*   75274 */     // GIR_Coverage, 46990,
     /*   75274 */     GIR_EraseRootFromParent_Done,
     /*   75275 */   // Label 1215: @75275
     /*   75275 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75364), // Rule ID 46991 //
     /*   75280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75323 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75362 */     GIR_RootConstrainSelectedInstOperands,
     /*   75363 */     // GIR_Coverage, 46991,
     /*   75363 */     GIR_EraseRootFromParent_Done,
     /*   75364 */   // Label 1216: @75364
     /*   75364 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75432), // Rule ID 51880 //
     /*   75369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75392 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75406 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   75406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75430 */     GIR_RootConstrainSelectedInstOperands,
     /*   75431 */     // GIR_Coverage, 51880,
     /*   75431 */     GIR_EraseRootFromParent_Done,
     /*   75432 */   // Label 1217: @75432
     /*   75432 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75500), // Rule ID 51881 //
     /*   75437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75460 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75474 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   75474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75498 */     GIR_RootConstrainSelectedInstOperands,
     /*   75499 */     // GIR_Coverage, 51881,
     /*   75499 */     GIR_EraseRootFromParent_Done,
     /*   75500 */   // Label 1218: @75500
     /*   75500 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75555), // Rule ID 47170 //
     /*   75505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75524 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75533 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75553 */     GIR_RootConstrainSelectedInstOperands,
     /*   75554 */     // GIR_Coverage, 47170,
     /*   75554 */     GIR_EraseRootFromParent_Done,
     /*   75555 */   // Label 1219: @75555
     /*   75555 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(75610), // Rule ID 47171 //
     /*   75560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75588 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75608 */     GIR_RootConstrainSelectedInstOperands,
     /*   75609 */     // GIR_Coverage, 47171,
     /*   75609 */     GIR_EraseRootFromParent_Done,
     /*   75610 */   // Label 1220: @75610
     /*   75610 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(75665), // Rule ID 46930 //
     /*   75615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75643 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75663 */     GIR_RootConstrainSelectedInstOperands,
     /*   75664 */     // GIR_Coverage, 46930,
     /*   75664 */     GIR_EraseRootFromParent_Done,
     /*   75665 */   // Label 1221: @75665
     /*   75665 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(75720), // Rule ID 46931 //
     /*   75670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75698 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75718 */     GIR_RootConstrainSelectedInstOperands,
     /*   75719 */     // GIR_Coverage, 46931,
     /*   75719 */     GIR_EraseRootFromParent_Done,
     /*   75720 */   // Label 1222: @75720
     /*   75720 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(75775), // Rule ID 47050 //
     /*   75725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75753 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75773 */     GIR_RootConstrainSelectedInstOperands,
     /*   75774 */     // GIR_Coverage, 47050,
     /*   75774 */     GIR_EraseRootFromParent_Done,
     /*   75775 */   // Label 1223: @75775
     /*   75775 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(75830), // Rule ID 47051 //
     /*   75780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75808 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75828 */     GIR_RootConstrainSelectedInstOperands,
     /*   75829 */     // GIR_Coverage, 47051,
     /*   75829 */     GIR_EraseRootFromParent_Done,
     /*   75830 */   // Label 1224: @75830
     /*   75830 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(75883), // Rule ID 46158 //
     /*   75835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75846 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   75846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75881 */     GIR_RootConstrainSelectedInstOperands,
     /*   75882 */     // GIR_Coverage, 46158,
     /*   75882 */     GIR_EraseRootFromParent_Done,
     /*   75883 */   // Label 1225: @75883
     /*   75883 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(75936), // Rule ID 46159 //
     /*   75888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75899 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   75899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75934 */     GIR_RootConstrainSelectedInstOperands,
     /*   75935 */     // GIR_Coverage, 46159,
     /*   75935 */     GIR_EraseRootFromParent_Done,
     /*   75936 */   // Label 1226: @75936
     /*   75936 */   GIM_Reject,
     /*   75937 */ // Label 1210: @75937
     /*   75937 */ GIM_Reject,
     /*   75938 */ // Label 929: @75938
     /*   75938 */ GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76184),
     /*   75943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75957 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76021), // Rule ID 51868 //
     /*   75962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75995 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76019 */     GIR_RootConstrainSelectedInstOperands,
     /*   76020 */     // GIR_Coverage, 51868,
     /*   76020 */     GIR_EraseRootFromParent_Done,
     /*   76021 */   // Label 1228: @76021
     /*   76021 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(76085), // Rule ID 51869 //
     /*   76026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   76041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   76045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76059 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   76062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76083 */     GIR_RootConstrainSelectedInstOperands,
     /*   76084 */     // GIR_Coverage, 51869,
     /*   76084 */     GIR_EraseRootFromParent_Done,
     /*   76085 */   // Label 1229: @76085
     /*   76085 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76134), // Rule ID 46146 //
     /*   76090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76097 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76132 */     GIR_RootConstrainSelectedInstOperands,
     /*   76133 */     // GIR_Coverage, 46146,
     /*   76133 */     GIR_EraseRootFromParent_Done,
     /*   76134 */   // Label 1230: @76134
     /*   76134 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(76183), // Rule ID 46147 //
     /*   76139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76146 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76181 */     GIR_RootConstrainSelectedInstOperands,
     /*   76182 */     // GIR_Coverage, 46147,
     /*   76182 */     GIR_EraseRootFromParent_Done,
     /*   76183 */   // Label 1231: @76183
     /*   76183 */   GIM_Reject,
     /*   76184 */ // Label 1227: @76184
     /*   76184 */ GIM_Reject,
     /*   76185 */ // Label 930: @76185
     /*   76185 */ GIM_Reject,
     /*   76186 */ // Label 2: @76186
     /*   76186 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1256*/ GIMT_Encode4(103239),
     /*   76197 */ /*GILLT_s32*//*Label 1232*/ GIMT_Encode4(76321),
     /*   76201 */ /*GILLT_s64*//*Label 1233*/ GIMT_Encode4(76355), GIMT_Encode4(0),
     /*   76209 */ /*GILLT_nxv1s8*//*Label 1234*/ GIMT_Encode4(76559),
     /*   76213 */ /*GILLT_nxv1s16*//*Label 1235*/ GIMT_Encode4(76674),
     /*   76217 */ /*GILLT_nxv1s32*//*Label 1236*/ GIMT_Encode4(78399),
     /*   76221 */ /*GILLT_nxv1s64*//*Label 1237*/ GIMT_Encode4(80124), GIMT_Encode4(0),
     /*   76229 */ /*GILLT_nxv2s8*//*Label 1238*/ GIMT_Encode4(81849),
     /*   76233 */ /*GILLT_nxv2s16*//*Label 1239*/ GIMT_Encode4(81964),
     /*   76237 */ /*GILLT_nxv2s32*//*Label 1240*/ GIMT_Encode4(83689),
     /*   76241 */ /*GILLT_nxv2s64*//*Label 1241*/ GIMT_Encode4(85414), GIMT_Encode4(0),
     /*   76249 */ /*GILLT_nxv4s8*//*Label 1242*/ GIMT_Encode4(87139),
     /*   76253 */ /*GILLT_nxv4s16*//*Label 1243*/ GIMT_Encode4(87254),
     /*   76257 */ /*GILLT_nxv4s32*//*Label 1244*/ GIMT_Encode4(88979),
     /*   76261 */ /*GILLT_nxv4s64*//*Label 1245*/ GIMT_Encode4(90704), GIMT_Encode4(0),
     /*   76269 */ /*GILLT_nxv8s8*//*Label 1246*/ GIMT_Encode4(92429),
     /*   76273 */ /*GILLT_nxv8s16*//*Label 1247*/ GIMT_Encode4(92544),
     /*   76277 */ /*GILLT_nxv8s32*//*Label 1248*/ GIMT_Encode4(94269),
     /*   76281 */ /*GILLT_nxv8s64*//*Label 1249*/ GIMT_Encode4(95994), GIMT_Encode4(0),
     /*   76289 */ /*GILLT_nxv16s8*//*Label 1250*/ GIMT_Encode4(97719),
     /*   76293 */ /*GILLT_nxv16s16*//*Label 1251*/ GIMT_Encode4(97834),
     /*   76297 */ /*GILLT_nxv16s32*//*Label 1252*/ GIMT_Encode4(99559), GIMT_Encode4(0),
     /*   76305 */ /*GILLT_nxv32s8*//*Label 1253*/ GIMT_Encode4(101284),
     /*   76309 */ /*GILLT_nxv32s16*//*Label 1254*/ GIMT_Encode4(101399), GIMT_Encode4(0),
     /*   76317 */ /*GILLT_nxv64s8*//*Label 1255*/ GIMT_Encode4(103124),
     /*   76321 */ // Label 1232: @76321
     /*   76321 */ GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(76354), // Rule ID 290 //
     /*   76326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   76329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   76332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   76335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76347 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76352 */   GIR_RootConstrainSelectedInstOperands,
     /*   76353 */   // GIR_Coverage, 290,
     /*   76353 */   GIR_Done,
     /*   76354 */ // Label 1257: @76354
     /*   76354 */ GIM_Reject,
     /*   76355 */ // Label 1233: @76355
     /*   76355 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(76558),
     /*   76360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   76363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   76366 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(76499), // Rule ID 312 //
     /*   76371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   76374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   76390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   76394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76399 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   76422 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   76426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76431 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76444 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   76444 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   76447 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76451 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76456 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76460 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   76463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   76465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   76468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76481 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   76484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   76489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   76497 */     GIR_RootConstrainSelectedInstOperands,
     /*   76498 */     // GIR_Coverage, 312,
     /*   76498 */     GIR_EraseRootFromParent_Done,
     /*   76499 */   // Label 1259: @76499
     /*   76499 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76530), // Rule ID 305 //
     /*   76504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   76507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76519 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10070),
     /*   76523 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10070>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   76528 */     GIR_RootConstrainSelectedInstOperands,
     /*   76529 */     // GIR_Coverage, 305,
     /*   76529 */     GIR_Done,
     /*   76530 */   // Label 1260: @76530
     /*   76530 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(76557), // Rule ID 289 //
     /*   76535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   76538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76550 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76555 */     GIR_RootConstrainSelectedInstOperands,
     /*   76556 */     // GIR_Coverage, 289,
     /*   76556 */     GIR_Done,
     /*   76557 */   // Label 1261: @76557
     /*   76557 */   GIM_Reject,
     /*   76558 */ // Label 1258: @76558
     /*   76558 */ GIM_Reject,
     /*   76559 */ // Label 1234: @76559
     /*   76559 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(76673),
     /*   76564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   76570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76582 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(76627), // Rule ID 50730 //
     /*   76587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76590 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76625 */     GIR_RootConstrainSelectedInstOperands,
     /*   76626 */     // GIR_Coverage, 50730,
     /*   76626 */     GIR_EraseRootFromParent_Done,
     /*   76627 */   // Label 1263: @76627
     /*   76627 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(76672), // Rule ID 50731 //
     /*   76632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76635 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76670 */     GIR_RootConstrainSelectedInstOperands,
     /*   76671 */     // GIR_Coverage, 50731,
     /*   76671 */     GIR_EraseRootFromParent_Done,
     /*   76672 */   // Label 1264: @76672
     /*   76672 */   GIM_Reject,
     /*   76673 */ // Label 1262: @76673
     /*   76673 */ GIM_Reject,
     /*   76674 */ // Label 1235: @76674
     /*   76674 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(78398),
     /*   76679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   76682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   76685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76689 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(76778), // Rule ID 51496 //
     /*   76694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76737 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76776 */     GIR_RootConstrainSelectedInstOperands,
     /*   76777 */     // GIR_Coverage, 51496,
     /*   76777 */     GIR_EraseRootFromParent_Done,
     /*   76778 */   // Label 1266: @76778
     /*   76778 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(76867), // Rule ID 51497 //
     /*   76783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76817 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76826 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76865 */     GIR_RootConstrainSelectedInstOperands,
     /*   76866 */     // GIR_Coverage, 51497,
     /*   76866 */     GIR_EraseRootFromParent_Done,
     /*   76867 */   // Label 1267: @76867
     /*   76867 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(76956), // Rule ID 70131 //
     /*   76872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76887 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76915 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   76932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76954 */     GIR_RootConstrainSelectedInstOperands,
     /*   76955 */     // GIR_Coverage, 70131,
     /*   76955 */     GIR_EraseRootFromParent_Done,
     /*   76956 */   // Label 1268: @76956
     /*   76956 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(77045), // Rule ID 70132 //
     /*   76961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77004 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77043 */     GIR_RootConstrainSelectedInstOperands,
     /*   77044 */     // GIR_Coverage, 70132,
     /*   77044 */     GIR_EraseRootFromParent_Done,
     /*   77045 */   // Label 1269: @77045
     /*   77045 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(77134), // Rule ID 70011 //
     /*   77050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77093 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77132 */     GIR_RootConstrainSelectedInstOperands,
     /*   77133 */     // GIR_Coverage, 70011,
     /*   77133 */     GIR_EraseRootFromParent_Done,
     /*   77134 */   // Label 1270: @77134
     /*   77134 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(77223), // Rule ID 70012 //
     /*   77139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77154 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77173 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77182 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77221 */     GIR_RootConstrainSelectedInstOperands,
     /*   77222 */     // GIR_Coverage, 70012,
     /*   77222 */     GIR_EraseRootFromParent_Done,
     /*   77223 */   // Label 1271: @77223
     /*   77223 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(77312), // Rule ID 51676 //
     /*   77228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77271 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77310 */     GIR_RootConstrainSelectedInstOperands,
     /*   77311 */     // GIR_Coverage, 51676,
     /*   77311 */     GIR_EraseRootFromParent_Done,
     /*   77312 */   // Label 1272: @77312
     /*   77312 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(77401), // Rule ID 51677 //
     /*   77317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77332 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77360 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77399 */     GIR_RootConstrainSelectedInstOperands,
     /*   77400 */     // GIR_Coverage, 51677,
     /*   77400 */     GIR_EraseRootFromParent_Done,
     /*   77401 */   // Label 1273: @77401
     /*   77401 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(77490), // Rule ID 51376 //
     /*   77406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77449 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77488 */     GIR_RootConstrainSelectedInstOperands,
     /*   77489 */     // GIR_Coverage, 51376,
     /*   77489 */     GIR_EraseRootFromParent_Done,
     /*   77490 */   // Label 1274: @77490
     /*   77490 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(77579), // Rule ID 51377 //
     /*   77495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77529 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77538 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77577 */     GIR_RootConstrainSelectedInstOperands,
     /*   77578 */     // GIR_Coverage, 51377,
     /*   77578 */     GIR_EraseRootFromParent_Done,
     /*   77579 */   // Label 1275: @77579
     /*   77579 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77668), // Rule ID 51616 //
     /*   77584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77599 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77627 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77666 */     GIR_RootConstrainSelectedInstOperands,
     /*   77667 */     // GIR_Coverage, 51616,
     /*   77667 */     GIR_EraseRootFromParent_Done,
     /*   77668 */   // Label 1276: @77668
     /*   77668 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(77757), // Rule ID 51617 //
     /*   77673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77688 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77716 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77755 */     GIR_RootConstrainSelectedInstOperands,
     /*   77756 */     // GIR_Coverage, 51617,
     /*   77756 */     GIR_EraseRootFromParent_Done,
     /*   77757 */   // Label 1277: @77757
     /*   77757 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(77846), // Rule ID 51556 //
     /*   77762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77777 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77796 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77805 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77844 */     GIR_RootConstrainSelectedInstOperands,
     /*   77845 */     // GIR_Coverage, 51556,
     /*   77845 */     GIR_EraseRootFromParent_Done,
     /*   77846 */   // Label 1278: @77846
     /*   77846 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(77935), // Rule ID 51557 //
     /*   77851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77885 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77894 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77933 */     GIR_RootConstrainSelectedInstOperands,
     /*   77934 */     // GIR_Coverage, 51557,
     /*   77934 */     GIR_EraseRootFromParent_Done,
     /*   77935 */   // Label 1279: @77935
     /*   77935 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(78024), // Rule ID 70071 //
     /*   77940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77983 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   78000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78022 */     GIR_RootConstrainSelectedInstOperands,
     /*   78023 */     // GIR_Coverage, 70071,
     /*   78023 */     GIR_EraseRootFromParent_Done,
     /*   78024 */   // Label 1280: @78024
     /*   78024 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(78113), // Rule ID 70072 //
     /*   78029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78044 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78063 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78072 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   78089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78111 */     GIR_RootConstrainSelectedInstOperands,
     /*   78112 */     // GIR_Coverage, 70072,
     /*   78112 */     GIR_EraseRootFromParent_Done,
     /*   78113 */   // Label 1281: @78113
     /*   78113 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(78202), // Rule ID 51436 //
     /*   78118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78152 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78161 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78200 */     GIR_RootConstrainSelectedInstOperands,
     /*   78201 */     // GIR_Coverage, 51436,
     /*   78201 */     GIR_EraseRootFromParent_Done,
     /*   78202 */   // Label 1282: @78202
     /*   78202 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(78291), // Rule ID 51437 //
     /*   78207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78222 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78241 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78250 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78289 */     GIR_RootConstrainSelectedInstOperands,
     /*   78290 */     // GIR_Coverage, 51437,
     /*   78290 */     GIR_EraseRootFromParent_Done,
     /*   78291 */   // Label 1283: @78291
     /*   78291 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(78344), // Rule ID 50742 //
     /*   78296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78307 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78342 */     GIR_RootConstrainSelectedInstOperands,
     /*   78343 */     // GIR_Coverage, 50742,
     /*   78343 */     GIR_EraseRootFromParent_Done,
     /*   78344 */   // Label 1284: @78344
     /*   78344 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(78397), // Rule ID 50743 //
     /*   78349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78360 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78395 */     GIR_RootConstrainSelectedInstOperands,
     /*   78396 */     // GIR_Coverage, 50743,
     /*   78396 */     GIR_EraseRootFromParent_Done,
     /*   78397 */   // Label 1285: @78397
     /*   78397 */   GIM_Reject,
     /*   78398 */ // Label 1265: @78398
     /*   78398 */ GIM_Reject,
     /*   78399 */ // Label 1236: @78399
     /*   78399 */ GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80123),
     /*   78404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   78407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   78410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78414 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(78503), // Rule ID 51520 //
     /*   78419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78462 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78501 */     GIR_RootConstrainSelectedInstOperands,
     /*   78502 */     // GIR_Coverage, 51520,
     /*   78502 */     GIR_EraseRootFromParent_Done,
     /*   78503 */   // Label 1287: @78503
     /*   78503 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(78592), // Rule ID 51521 //
     /*   78508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78551 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78590 */     GIR_RootConstrainSelectedInstOperands,
     /*   78591 */     // GIR_Coverage, 51521,
     /*   78591 */     GIR_EraseRootFromParent_Done,
     /*   78592 */   // Label 1288: @78592
     /*   78592 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(78681), // Rule ID 70155 //
     /*   78597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78640 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78679 */     GIR_RootConstrainSelectedInstOperands,
     /*   78680 */     // GIR_Coverage, 70155,
     /*   78680 */     GIR_EraseRootFromParent_Done,
     /*   78681 */   // Label 1289: @78681
     /*   78681 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(78770), // Rule ID 70156 //
     /*   78686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78729 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78768 */     GIR_RootConstrainSelectedInstOperands,
     /*   78769 */     // GIR_Coverage, 70156,
     /*   78769 */     GIR_EraseRootFromParent_Done,
     /*   78770 */   // Label 1290: @78770
     /*   78770 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(78859), // Rule ID 70035 //
     /*   78775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78818 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78857 */     GIR_RootConstrainSelectedInstOperands,
     /*   78858 */     // GIR_Coverage, 70035,
     /*   78858 */     GIR_EraseRootFromParent_Done,
     /*   78859 */   // Label 1291: @78859
     /*   78859 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(78948), // Rule ID 70036 //
     /*   78864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78879 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78907 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78946 */     GIR_RootConstrainSelectedInstOperands,
     /*   78947 */     // GIR_Coverage, 70036,
     /*   78947 */     GIR_EraseRootFromParent_Done,
     /*   78948 */   // Label 1292: @78948
     /*   78948 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(79037), // Rule ID 51700 //
     /*   78953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78996 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79035 */     GIR_RootConstrainSelectedInstOperands,
     /*   79036 */     // GIR_Coverage, 51700,
     /*   79036 */     GIR_EraseRootFromParent_Done,
     /*   79037 */   // Label 1293: @79037
     /*   79037 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(79126), // Rule ID 51701 //
     /*   79042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79085 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79124 */     GIR_RootConstrainSelectedInstOperands,
     /*   79125 */     // GIR_Coverage, 51701,
     /*   79125 */     GIR_EraseRootFromParent_Done,
     /*   79126 */   // Label 1294: @79126
     /*   79126 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(79215), // Rule ID 51400 //
     /*   79131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79174 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79213 */     GIR_RootConstrainSelectedInstOperands,
     /*   79214 */     // GIR_Coverage, 51400,
     /*   79214 */     GIR_EraseRootFromParent_Done,
     /*   79215 */   // Label 1295: @79215
     /*   79215 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(79304), // Rule ID 51401 //
     /*   79220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79263 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79302 */     GIR_RootConstrainSelectedInstOperands,
     /*   79303 */     // GIR_Coverage, 51401,
     /*   79303 */     GIR_EraseRootFromParent_Done,
     /*   79304 */   // Label 1296: @79304
     /*   79304 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(79393), // Rule ID 51640 //
     /*   79309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79352 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79391 */     GIR_RootConstrainSelectedInstOperands,
     /*   79392 */     // GIR_Coverage, 51640,
     /*   79392 */     GIR_EraseRootFromParent_Done,
     /*   79393 */   // Label 1297: @79393
     /*   79393 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(79482), // Rule ID 51641 //
     /*   79398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79441 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79480 */     GIR_RootConstrainSelectedInstOperands,
     /*   79481 */     // GIR_Coverage, 51641,
     /*   79481 */     GIR_EraseRootFromParent_Done,
     /*   79482 */   // Label 1298: @79482
     /*   79482 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(79571), // Rule ID 51580 //
     /*   79487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79530 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79569 */     GIR_RootConstrainSelectedInstOperands,
     /*   79570 */     // GIR_Coverage, 51580,
     /*   79570 */     GIR_EraseRootFromParent_Done,
     /*   79571 */   // Label 1299: @79571
     /*   79571 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(79660), // Rule ID 51581 //
     /*   79576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79619 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79658 */     GIR_RootConstrainSelectedInstOperands,
     /*   79659 */     // GIR_Coverage, 51581,
     /*   79659 */     GIR_EraseRootFromParent_Done,
     /*   79660 */   // Label 1300: @79660
     /*   79660 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(79749), // Rule ID 70095 //
     /*   79665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79680 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79708 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79747 */     GIR_RootConstrainSelectedInstOperands,
     /*   79748 */     // GIR_Coverage, 70095,
     /*   79748 */     GIR_EraseRootFromParent_Done,
     /*   79749 */   // Label 1301: @79749
     /*   79749 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(79838), // Rule ID 70096 //
     /*   79754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79769 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79788 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79797 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79836 */     GIR_RootConstrainSelectedInstOperands,
     /*   79837 */     // GIR_Coverage, 70096,
     /*   79837 */     GIR_EraseRootFromParent_Done,
     /*   79838 */   // Label 1302: @79838
     /*   79838 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(79927), // Rule ID 51460 //
     /*   79843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79886 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79925 */     GIR_RootConstrainSelectedInstOperands,
     /*   79926 */     // GIR_Coverage, 51460,
     /*   79926 */     GIR_EraseRootFromParent_Done,
     /*   79927 */   // Label 1303: @79927
     /*   79927 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(80016), // Rule ID 51461 //
     /*   79932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79947 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79975 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80014 */     GIR_RootConstrainSelectedInstOperands,
     /*   80015 */     // GIR_Coverage, 51461,
     /*   80015 */     GIR_EraseRootFromParent_Done,
     /*   80016 */   // Label 1304: @80016
     /*   80016 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(80069), // Rule ID 50750 //
     /*   80021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80032 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80067 */     GIR_RootConstrainSelectedInstOperands,
     /*   80068 */     // GIR_Coverage, 50750,
     /*   80068 */     GIR_EraseRootFromParent_Done,
     /*   80069 */   // Label 1305: @80069
     /*   80069 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(80122), // Rule ID 50751 //
     /*   80074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80085 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80120 */     GIR_RootConstrainSelectedInstOperands,
     /*   80121 */     // GIR_Coverage, 50751,
     /*   80121 */     GIR_EraseRootFromParent_Done,
     /*   80122 */   // Label 1306: @80122
     /*   80122 */   GIM_Reject,
     /*   80123 */ // Label 1286: @80123
     /*   80123 */ GIM_Reject,
     /*   80124 */ // Label 1237: @80124
     /*   80124 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(81848),
     /*   80129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   80132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   80135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80139 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(80228), // Rule ID 51540 //
     /*   80144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80159 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80178 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80187 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80226 */     GIR_RootConstrainSelectedInstOperands,
     /*   80227 */     // GIR_Coverage, 51540,
     /*   80227 */     GIR_EraseRootFromParent_Done,
     /*   80228 */   // Label 1308: @80228
     /*   80228 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(80317), // Rule ID 51541 //
     /*   80233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80267 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80276 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80315 */     GIR_RootConstrainSelectedInstOperands,
     /*   80316 */     // GIR_Coverage, 51541,
     /*   80316 */     GIR_EraseRootFromParent_Done,
     /*   80317 */   // Label 1309: @80317
     /*   80317 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(80406), // Rule ID 70175 //
     /*   80322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80356 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80365 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80404 */     GIR_RootConstrainSelectedInstOperands,
     /*   80405 */     // GIR_Coverage, 70175,
     /*   80405 */     GIR_EraseRootFromParent_Done,
     /*   80406 */   // Label 1310: @80406
     /*   80406 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(80495), // Rule ID 70176 //
     /*   80411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80454 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80493 */     GIR_RootConstrainSelectedInstOperands,
     /*   80494 */     // GIR_Coverage, 70176,
     /*   80494 */     GIR_EraseRootFromParent_Done,
     /*   80495 */   // Label 1311: @80495
     /*   80495 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(80584), // Rule ID 70055 //
     /*   80500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80543 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80582 */     GIR_RootConstrainSelectedInstOperands,
     /*   80583 */     // GIR_Coverage, 70055,
     /*   80583 */     GIR_EraseRootFromParent_Done,
     /*   80584 */   // Label 1312: @80584
     /*   80584 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(80673), // Rule ID 70056 //
     /*   80589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80632 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80671 */     GIR_RootConstrainSelectedInstOperands,
     /*   80672 */     // GIR_Coverage, 70056,
     /*   80672 */     GIR_EraseRootFromParent_Done,
     /*   80673 */   // Label 1313: @80673
     /*   80673 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(80762), // Rule ID 51720 //
     /*   80678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80721 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80760 */     GIR_RootConstrainSelectedInstOperands,
     /*   80761 */     // GIR_Coverage, 51720,
     /*   80761 */     GIR_EraseRootFromParent_Done,
     /*   80762 */   // Label 1314: @80762
     /*   80762 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(80851), // Rule ID 51721 //
     /*   80767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80810 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80849 */     GIR_RootConstrainSelectedInstOperands,
     /*   80850 */     // GIR_Coverage, 51721,
     /*   80850 */     GIR_EraseRootFromParent_Done,
     /*   80851 */   // Label 1315: @80851
     /*   80851 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(80940), // Rule ID 51420 //
     /*   80856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80899 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80938 */     GIR_RootConstrainSelectedInstOperands,
     /*   80939 */     // GIR_Coverage, 51420,
     /*   80939 */     GIR_EraseRootFromParent_Done,
     /*   80940 */   // Label 1316: @80940
     /*   80940 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(81029), // Rule ID 51421 //
     /*   80945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80988 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   81005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81027 */     GIR_RootConstrainSelectedInstOperands,
     /*   81028 */     // GIR_Coverage, 51421,
     /*   81028 */     GIR_EraseRootFromParent_Done,
     /*   81029 */   // Label 1317: @81029
     /*   81029 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(81118), // Rule ID 51660 //
     /*   81034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81077 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81116 */     GIR_RootConstrainSelectedInstOperands,
     /*   81117 */     // GIR_Coverage, 51660,
     /*   81117 */     GIR_EraseRootFromParent_Done,
     /*   81118 */   // Label 1318: @81118
     /*   81118 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(81207), // Rule ID 51661 //
     /*   81123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81166 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81205 */     GIR_RootConstrainSelectedInstOperands,
     /*   81206 */     // GIR_Coverage, 51661,
     /*   81206 */     GIR_EraseRootFromParent_Done,
     /*   81207 */   // Label 1319: @81207
     /*   81207 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(81296), // Rule ID 51600 //
     /*   81212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81255 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81294 */     GIR_RootConstrainSelectedInstOperands,
     /*   81295 */     // GIR_Coverage, 51600,
     /*   81295 */     GIR_EraseRootFromParent_Done,
     /*   81296 */   // Label 1320: @81296
     /*   81296 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(81385), // Rule ID 51601 //
     /*   81301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81344 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81383 */     GIR_RootConstrainSelectedInstOperands,
     /*   81384 */     // GIR_Coverage, 51601,
     /*   81384 */     GIR_EraseRootFromParent_Done,
     /*   81385 */   // Label 1321: @81385
     /*   81385 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(81474), // Rule ID 70115 //
     /*   81390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81433 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81472 */     GIR_RootConstrainSelectedInstOperands,
     /*   81473 */     // GIR_Coverage, 70115,
     /*   81473 */     GIR_EraseRootFromParent_Done,
     /*   81474 */   // Label 1322: @81474
     /*   81474 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(81563), // Rule ID 70116 //
     /*   81479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81522 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81561 */     GIR_RootConstrainSelectedInstOperands,
     /*   81562 */     // GIR_Coverage, 70116,
     /*   81562 */     GIR_EraseRootFromParent_Done,
     /*   81563 */   // Label 1323: @81563
     /*   81563 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(81652), // Rule ID 51480 //
     /*   81568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81611 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81650 */     GIR_RootConstrainSelectedInstOperands,
     /*   81651 */     // GIR_Coverage, 51480,
     /*   81651 */     GIR_EraseRootFromParent_Done,
     /*   81652 */   // Label 1324: @81652
     /*   81652 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(81741), // Rule ID 51481 //
     /*   81657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81700 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81739 */     GIR_RootConstrainSelectedInstOperands,
     /*   81740 */     // GIR_Coverage, 51481,
     /*   81740 */     GIR_EraseRootFromParent_Done,
     /*   81741 */   // Label 1325: @81741
     /*   81741 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81794), // Rule ID 50766 //
     /*   81746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   81749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81757 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   81757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81792 */     GIR_RootConstrainSelectedInstOperands,
     /*   81793 */     // GIR_Coverage, 50766,
     /*   81793 */     GIR_EraseRootFromParent_Done,
     /*   81794 */   // Label 1326: @81794
     /*   81794 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81847), // Rule ID 50767 //
     /*   81799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   81802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81810 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   81810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81845 */     GIR_RootConstrainSelectedInstOperands,
     /*   81846 */     // GIR_Coverage, 50767,
     /*   81846 */     GIR_EraseRootFromParent_Done,
     /*   81847 */   // Label 1327: @81847
     /*   81847 */   GIM_Reject,
     /*   81848 */ // Label 1307: @81848
     /*   81848 */ GIM_Reject,
     /*   81849 */ // Label 1238: @81849
     /*   81849 */ GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81963),
     /*   81854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   81860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81872 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81917), // Rule ID 50734 //
     /*   81877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81880 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81915 */     GIR_RootConstrainSelectedInstOperands,
     /*   81916 */     // GIR_Coverage, 50734,
     /*   81916 */     GIR_EraseRootFromParent_Done,
     /*   81917 */   // Label 1329: @81917
     /*   81917 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81962), // Rule ID 50735 //
     /*   81922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81925 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81960 */     GIR_RootConstrainSelectedInstOperands,
     /*   81961 */     // GIR_Coverage, 50735,
     /*   81961 */     GIR_EraseRootFromParent_Done,
     /*   81962 */   // Label 1330: @81962
     /*   81962 */   GIM_Reject,
     /*   81963 */ // Label 1328: @81963
     /*   81963 */ GIM_Reject,
     /*   81964 */ // Label 1239: @81964
     /*   81964 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(83688),
     /*   81969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   81972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   81975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81979 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(82068), // Rule ID 51500 //
     /*   81984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81999 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82018 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82027 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82066 */     GIR_RootConstrainSelectedInstOperands,
     /*   82067 */     // GIR_Coverage, 51500,
     /*   82067 */     GIR_EraseRootFromParent_Done,
     /*   82068 */   // Label 1332: @82068
     /*   82068 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(82157), // Rule ID 51501 //
     /*   82073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82088 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82107 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82116 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82155 */     GIR_RootConstrainSelectedInstOperands,
     /*   82156 */     // GIR_Coverage, 51501,
     /*   82156 */     GIR_EraseRootFromParent_Done,
     /*   82157 */   // Label 1333: @82157
     /*   82157 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(82246), // Rule ID 70135 //
     /*   82162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82177 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82205 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82244 */     GIR_RootConstrainSelectedInstOperands,
     /*   82245 */     // GIR_Coverage, 70135,
     /*   82245 */     GIR_EraseRootFromParent_Done,
     /*   82246 */   // Label 1334: @82246
     /*   82246 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(82335), // Rule ID 70136 //
     /*   82251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82266 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82294 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82333 */     GIR_RootConstrainSelectedInstOperands,
     /*   82334 */     // GIR_Coverage, 70136,
     /*   82334 */     GIR_EraseRootFromParent_Done,
     /*   82335 */   // Label 1335: @82335
     /*   82335 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(82424), // Rule ID 70015 //
     /*   82340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82383 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82422 */     GIR_RootConstrainSelectedInstOperands,
     /*   82423 */     // GIR_Coverage, 70015,
     /*   82423 */     GIR_EraseRootFromParent_Done,
     /*   82424 */   // Label 1336: @82424
     /*   82424 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82513), // Rule ID 70016 //
     /*   82429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82444 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82463 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82472 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82511 */     GIR_RootConstrainSelectedInstOperands,
     /*   82512 */     // GIR_Coverage, 70016,
     /*   82512 */     GIR_EraseRootFromParent_Done,
     /*   82513 */   // Label 1337: @82513
     /*   82513 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82602), // Rule ID 51680 //
     /*   82518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82552 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82561 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82600 */     GIR_RootConstrainSelectedInstOperands,
     /*   82601 */     // GIR_Coverage, 51680,
     /*   82601 */     GIR_EraseRootFromParent_Done,
     /*   82602 */   // Label 1338: @82602
     /*   82602 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82691), // Rule ID 51681 //
     /*   82607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82622 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82641 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82650 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82689 */     GIR_RootConstrainSelectedInstOperands,
     /*   82690 */     // GIR_Coverage, 51681,
     /*   82690 */     GIR_EraseRootFromParent_Done,
     /*   82691 */   // Label 1339: @82691
     /*   82691 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82780), // Rule ID 51380 //
     /*   82696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82711 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82730 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82739 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82778 */     GIR_RootConstrainSelectedInstOperands,
     /*   82779 */     // GIR_Coverage, 51380,
     /*   82779 */     GIR_EraseRootFromParent_Done,
     /*   82780 */   // Label 1340: @82780
     /*   82780 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82869), // Rule ID 51381 //
     /*   82785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82800 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82819 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82821 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82828 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82867 */     GIR_RootConstrainSelectedInstOperands,
     /*   82868 */     // GIR_Coverage, 51381,
     /*   82868 */     GIR_EraseRootFromParent_Done,
     /*   82869 */   // Label 1341: @82869
     /*   82869 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82958), // Rule ID 51620 //
     /*   82874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82889 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82908 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82917 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82956 */     GIR_RootConstrainSelectedInstOperands,
     /*   82957 */     // GIR_Coverage, 51620,
     /*   82957 */     GIR_EraseRootFromParent_Done,
     /*   82958 */   // Label 1342: @82958
     /*   82958 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(83047), // Rule ID 51621 //
     /*   82963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82978 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82997 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82999 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83006 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83045 */     GIR_RootConstrainSelectedInstOperands,
     /*   83046 */     // GIR_Coverage, 51621,
     /*   83046 */     GIR_EraseRootFromParent_Done,
     /*   83047 */   // Label 1343: @83047
     /*   83047 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(83136), // Rule ID 51560 //
     /*   83052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83067 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83086 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83095 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83134 */     GIR_RootConstrainSelectedInstOperands,
     /*   83135 */     // GIR_Coverage, 51560,
     /*   83135 */     GIR_EraseRootFromParent_Done,
     /*   83136 */   // Label 1344: @83136
     /*   83136 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(83225), // Rule ID 51561 //
     /*   83141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83175 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83184 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83223 */     GIR_RootConstrainSelectedInstOperands,
     /*   83224 */     // GIR_Coverage, 51561,
     /*   83224 */     GIR_EraseRootFromParent_Done,
     /*   83225 */   // Label 1345: @83225
     /*   83225 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(83314), // Rule ID 70075 //
     /*   83230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83264 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83273 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83312 */     GIR_RootConstrainSelectedInstOperands,
     /*   83313 */     // GIR_Coverage, 70075,
     /*   83313 */     GIR_EraseRootFromParent_Done,
     /*   83314 */   // Label 1346: @83314
     /*   83314 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(83403), // Rule ID 70076 //
     /*   83319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83353 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83362 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83401 */     GIR_RootConstrainSelectedInstOperands,
     /*   83402 */     // GIR_Coverage, 70076,
     /*   83402 */     GIR_EraseRootFromParent_Done,
     /*   83403 */   // Label 1347: @83403
     /*   83403 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(83492), // Rule ID 51440 //
     /*   83408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83442 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83451 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83490 */     GIR_RootConstrainSelectedInstOperands,
     /*   83491 */     // GIR_Coverage, 51440,
     /*   83491 */     GIR_EraseRootFromParent_Done,
     /*   83492 */   // Label 1348: @83492
     /*   83492 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(83581), // Rule ID 51441 //
     /*   83497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83512 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83527 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83531 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83540 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83579 */     GIR_RootConstrainSelectedInstOperands,
     /*   83580 */     // GIR_Coverage, 51441,
     /*   83580 */     GIR_EraseRootFromParent_Done,
     /*   83581 */   // Label 1349: @83581
     /*   83581 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83634), // Rule ID 50746 //
     /*   83586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83597 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83632 */     GIR_RootConstrainSelectedInstOperands,
     /*   83633 */     // GIR_Coverage, 50746,
     /*   83633 */     GIR_EraseRootFromParent_Done,
     /*   83634 */   // Label 1350: @83634
     /*   83634 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83687), // Rule ID 50747 //
     /*   83639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83650 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83685 */     GIR_RootConstrainSelectedInstOperands,
     /*   83686 */     // GIR_Coverage, 50747,
     /*   83686 */     GIR_EraseRootFromParent_Done,
     /*   83687 */   // Label 1351: @83687
     /*   83687 */   GIM_Reject,
     /*   83688 */ // Label 1331: @83688
     /*   83688 */ GIM_Reject,
     /*   83689 */ // Label 1240: @83689
     /*   83689 */ GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(85413),
     /*   83694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   83697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   83700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83704 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83793), // Rule ID 51524 //
     /*   83709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83752 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83791 */     GIR_RootConstrainSelectedInstOperands,
     /*   83792 */     // GIR_Coverage, 51524,
     /*   83792 */     GIR_EraseRootFromParent_Done,
     /*   83793 */   // Label 1353: @83793
     /*   83793 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83882), // Rule ID 51525 //
     /*   83798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83813 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83841 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83880 */     GIR_RootConstrainSelectedInstOperands,
     /*   83881 */     // GIR_Coverage, 51525,
     /*   83881 */     GIR_EraseRootFromParent_Done,
     /*   83882 */   // Label 1354: @83882
     /*   83882 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83971), // Rule ID 70159 //
     /*   83887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83930 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   83947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83969 */     GIR_RootConstrainSelectedInstOperands,
     /*   83970 */     // GIR_Coverage, 70159,
     /*   83970 */     GIR_EraseRootFromParent_Done,
     /*   83971 */   // Label 1355: @83971
     /*   83971 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(84060), // Rule ID 70160 //
     /*   83976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84019 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84058 */     GIR_RootConstrainSelectedInstOperands,
     /*   84059 */     // GIR_Coverage, 70160,
     /*   84059 */     GIR_EraseRootFromParent_Done,
     /*   84060 */   // Label 1356: @84060
     /*   84060 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(84149), // Rule ID 70039 //
     /*   84065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84108 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84147 */     GIR_RootConstrainSelectedInstOperands,
     /*   84148 */     // GIR_Coverage, 70039,
     /*   84148 */     GIR_EraseRootFromParent_Done,
     /*   84149 */   // Label 1357: @84149
     /*   84149 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(84238), // Rule ID 70040 //
     /*   84154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84197 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84236 */     GIR_RootConstrainSelectedInstOperands,
     /*   84237 */     // GIR_Coverage, 70040,
     /*   84237 */     GIR_EraseRootFromParent_Done,
     /*   84238 */   // Label 1358: @84238
     /*   84238 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(84327), // Rule ID 51704 //
     /*   84243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84258 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84286 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84325 */     GIR_RootConstrainSelectedInstOperands,
     /*   84326 */     // GIR_Coverage, 51704,
     /*   84326 */     GIR_EraseRootFromParent_Done,
     /*   84327 */   // Label 1359: @84327
     /*   84327 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(84416), // Rule ID 51705 //
     /*   84332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84347 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84366 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84375 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84414 */     GIR_RootConstrainSelectedInstOperands,
     /*   84415 */     // GIR_Coverage, 51705,
     /*   84415 */     GIR_EraseRootFromParent_Done,
     /*   84416 */   // Label 1360: @84416
     /*   84416 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84505), // Rule ID 51404 //
     /*   84421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84455 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84464 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84503 */     GIR_RootConstrainSelectedInstOperands,
     /*   84504 */     // GIR_Coverage, 51404,
     /*   84504 */     GIR_EraseRootFromParent_Done,
     /*   84505 */   // Label 1361: @84505
     /*   84505 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84594), // Rule ID 51405 //
     /*   84510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84553 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84592 */     GIR_RootConstrainSelectedInstOperands,
     /*   84593 */     // GIR_Coverage, 51405,
     /*   84593 */     GIR_EraseRootFromParent_Done,
     /*   84594 */   // Label 1362: @84594
     /*   84594 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84683), // Rule ID 51644 //
     /*   84599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84642 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84681 */     GIR_RootConstrainSelectedInstOperands,
     /*   84682 */     // GIR_Coverage, 51644,
     /*   84682 */     GIR_EraseRootFromParent_Done,
     /*   84683 */   // Label 1363: @84683
     /*   84683 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84772), // Rule ID 51645 //
     /*   84688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84731 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84770 */     GIR_RootConstrainSelectedInstOperands,
     /*   84771 */     // GIR_Coverage, 51645,
     /*   84771 */     GIR_EraseRootFromParent_Done,
     /*   84772 */   // Label 1364: @84772
     /*   84772 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(84861), // Rule ID 51584 //
     /*   84777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84820 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84859 */     GIR_RootConstrainSelectedInstOperands,
     /*   84860 */     // GIR_Coverage, 51584,
     /*   84860 */     GIR_EraseRootFromParent_Done,
     /*   84861 */   // Label 1365: @84861
     /*   84861 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84950), // Rule ID 51585 //
     /*   84866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84909 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84948 */     GIR_RootConstrainSelectedInstOperands,
     /*   84949 */     // GIR_Coverage, 51585,
     /*   84949 */     GIR_EraseRootFromParent_Done,
     /*   84950 */   // Label 1366: @84950
     /*   84950 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(85039), // Rule ID 70099 //
     /*   84955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84989 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84998 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85037 */     GIR_RootConstrainSelectedInstOperands,
     /*   85038 */     // GIR_Coverage, 70099,
     /*   85038 */     GIR_EraseRootFromParent_Done,
     /*   85039 */   // Label 1367: @85039
     /*   85039 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(85128), // Rule ID 70100 //
     /*   85044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85078 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85087 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85126 */     GIR_RootConstrainSelectedInstOperands,
     /*   85127 */     // GIR_Coverage, 70100,
     /*   85127 */     GIR_EraseRootFromParent_Done,
     /*   85128 */   // Label 1368: @85128
     /*   85128 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(85217), // Rule ID 51464 //
     /*   85133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85148 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85167 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85176 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   85176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85215 */     GIR_RootConstrainSelectedInstOperands,
     /*   85216 */     // GIR_Coverage, 51464,
     /*   85216 */     GIR_EraseRootFromParent_Done,
     /*   85217 */   // Label 1369: @85217
     /*   85217 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(85306), // Rule ID 51465 //
     /*   85222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85265 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85304 */     GIR_RootConstrainSelectedInstOperands,
     /*   85305 */     // GIR_Coverage, 51465,
     /*   85305 */     GIR_EraseRootFromParent_Done,
     /*   85306 */   // Label 1370: @85306
     /*   85306 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(85359), // Rule ID 50762 //
     /*   85311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85322 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85357 */     GIR_RootConstrainSelectedInstOperands,
     /*   85358 */     // GIR_Coverage, 50762,
     /*   85358 */     GIR_EraseRootFromParent_Done,
     /*   85359 */   // Label 1371: @85359
     /*   85359 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(85412), // Rule ID 50763 //
     /*   85364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85375 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85410 */     GIR_RootConstrainSelectedInstOperands,
     /*   85411 */     // GIR_Coverage, 50763,
     /*   85411 */     GIR_EraseRootFromParent_Done,
     /*   85412 */   // Label 1372: @85412
     /*   85412 */   GIM_Reject,
     /*   85413 */ // Label 1352: @85413
     /*   85413 */ GIM_Reject,
     /*   85414 */ // Label 1241: @85414
     /*   85414 */ GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(87138),
     /*   85419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   85422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   85425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   85429 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85518), // Rule ID 51544 //
     /*   85434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85449 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85468 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85477 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85516 */     GIR_RootConstrainSelectedInstOperands,
     /*   85517 */     // GIR_Coverage, 51544,
     /*   85517 */     GIR_EraseRootFromParent_Done,
     /*   85518 */   // Label 1374: @85518
     /*   85518 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85607), // Rule ID 51545 //
     /*   85523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85557 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85566 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85605 */     GIR_RootConstrainSelectedInstOperands,
     /*   85606 */     // GIR_Coverage, 51545,
     /*   85606 */     GIR_EraseRootFromParent_Done,
     /*   85607 */   // Label 1375: @85607
     /*   85607 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85696), // Rule ID 70179 //
     /*   85612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85646 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85655 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85694 */     GIR_RootConstrainSelectedInstOperands,
     /*   85695 */     // GIR_Coverage, 70179,
     /*   85695 */     GIR_EraseRootFromParent_Done,
     /*   85696 */   // Label 1376: @85696
     /*   85696 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85785), // Rule ID 70180 //
     /*   85701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85744 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85783 */     GIR_RootConstrainSelectedInstOperands,
     /*   85784 */     // GIR_Coverage, 70180,
     /*   85784 */     GIR_EraseRootFromParent_Done,
     /*   85785 */   // Label 1377: @85785
     /*   85785 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85874), // Rule ID 70059 //
     /*   85790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85833 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85872 */     GIR_RootConstrainSelectedInstOperands,
     /*   85873 */     // GIR_Coverage, 70059,
     /*   85873 */     GIR_EraseRootFromParent_Done,
     /*   85874 */   // Label 1378: @85874
     /*   85874 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85963), // Rule ID 70060 //
     /*   85879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85922 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85961 */     GIR_RootConstrainSelectedInstOperands,
     /*   85962 */     // GIR_Coverage, 70060,
     /*   85962 */     GIR_EraseRootFromParent_Done,
     /*   85963 */   // Label 1379: @85963
     /*   85963 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(86052), // Rule ID 51724 //
     /*   85968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86011 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86050 */     GIR_RootConstrainSelectedInstOperands,
     /*   86051 */     // GIR_Coverage, 51724,
     /*   86051 */     GIR_EraseRootFromParent_Done,
     /*   86052 */   // Label 1380: @86052
     /*   86052 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(86141), // Rule ID 51725 //
     /*   86057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86100 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86139 */     GIR_RootConstrainSelectedInstOperands,
     /*   86140 */     // GIR_Coverage, 51725,
     /*   86140 */     GIR_EraseRootFromParent_Done,
     /*   86141 */   // Label 1381: @86141
     /*   86141 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(86230), // Rule ID 51424 //
     /*   86146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86189 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86228 */     GIR_RootConstrainSelectedInstOperands,
     /*   86229 */     // GIR_Coverage, 51424,
     /*   86229 */     GIR_EraseRootFromParent_Done,
     /*   86230 */   // Label 1382: @86230
     /*   86230 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(86319), // Rule ID 51425 //
     /*   86235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86278 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86317 */     GIR_RootConstrainSelectedInstOperands,
     /*   86318 */     // GIR_Coverage, 51425,
     /*   86318 */     GIR_EraseRootFromParent_Done,
     /*   86319 */   // Label 1383: @86319
     /*   86319 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(86408), // Rule ID 51664 //
     /*   86324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86367 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86406 */     GIR_RootConstrainSelectedInstOperands,
     /*   86407 */     // GIR_Coverage, 51664,
     /*   86407 */     GIR_EraseRootFromParent_Done,
     /*   86408 */   // Label 1384: @86408
     /*   86408 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(86497), // Rule ID 51665 //
     /*   86413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86456 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86495 */     GIR_RootConstrainSelectedInstOperands,
     /*   86496 */     // GIR_Coverage, 51665,
     /*   86496 */     GIR_EraseRootFromParent_Done,
     /*   86497 */   // Label 1385: @86497
     /*   86497 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86586), // Rule ID 51604 //
     /*   86502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86545 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86584 */     GIR_RootConstrainSelectedInstOperands,
     /*   86585 */     // GIR_Coverage, 51604,
     /*   86585 */     GIR_EraseRootFromParent_Done,
     /*   86586 */   // Label 1386: @86586
     /*   86586 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86675), // Rule ID 51605 //
     /*   86591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86625 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86634 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86673 */     GIR_RootConstrainSelectedInstOperands,
     /*   86674 */     // GIR_Coverage, 51605,
     /*   86674 */     GIR_EraseRootFromParent_Done,
     /*   86675 */   // Label 1387: @86675
     /*   86675 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86764), // Rule ID 70119 //
     /*   86680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86723 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86762 */     GIR_RootConstrainSelectedInstOperands,
     /*   86763 */     // GIR_Coverage, 70119,
     /*   86763 */     GIR_EraseRootFromParent_Done,
     /*   86764 */   // Label 1388: @86764
     /*   86764 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(86853), // Rule ID 70120 //
     /*   86769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86784 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86812 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86851 */     GIR_RootConstrainSelectedInstOperands,
     /*   86852 */     // GIR_Coverage, 70120,
     /*   86852 */     GIR_EraseRootFromParent_Done,
     /*   86853 */   // Label 1389: @86853
     /*   86853 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86942), // Rule ID 51484 //
     /*   86858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86901 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86940 */     GIR_RootConstrainSelectedInstOperands,
     /*   86941 */     // GIR_Coverage, 51484,
     /*   86941 */     GIR_EraseRootFromParent_Done,
     /*   86942 */   // Label 1390: @86942
     /*   86942 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(87031), // Rule ID 51485 //
     /*   86947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86990 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   87007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   87026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87029 */     GIR_RootConstrainSelectedInstOperands,
     /*   87030 */     // GIR_Coverage, 51485,
     /*   87030 */     GIR_EraseRootFromParent_Done,
     /*   87031 */   // Label 1391: @87031
     /*   87031 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(87084), // Rule ID 50806 //
     /*   87036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   87039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87047 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   87047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87082 */     GIR_RootConstrainSelectedInstOperands,
     /*   87083 */     // GIR_Coverage, 50806,
     /*   87083 */     GIR_EraseRootFromParent_Done,
     /*   87084 */   // Label 1392: @87084
     /*   87084 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(87137), // Rule ID 50807 //
     /*   87089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   87092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87100 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   87100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87135 */     GIR_RootConstrainSelectedInstOperands,
     /*   87136 */     // GIR_Coverage, 50807,
     /*   87136 */     GIR_EraseRootFromParent_Done,
     /*   87137 */   // Label 1393: @87137
     /*   87137 */   GIM_Reject,
     /*   87138 */ // Label 1373: @87138
     /*   87138 */ GIM_Reject,
     /*   87139 */ // Label 1242: @87139
     /*   87139 */ GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(87253),
     /*   87144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   87150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87162 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(87207), // Rule ID 50738 //
     /*   87167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87170 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87205 */     GIR_RootConstrainSelectedInstOperands,
     /*   87206 */     // GIR_Coverage, 50738,
     /*   87206 */     GIR_EraseRootFromParent_Done,
     /*   87207 */   // Label 1395: @87207
     /*   87207 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(87252), // Rule ID 50739 //
     /*   87212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87215 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87250 */     GIR_RootConstrainSelectedInstOperands,
     /*   87251 */     // GIR_Coverage, 50739,
     /*   87251 */     GIR_EraseRootFromParent_Done,
     /*   87252 */   // Label 1396: @87252
     /*   87252 */   GIM_Reject,
     /*   87253 */ // Label 1394: @87253
     /*   87253 */ GIM_Reject,
     /*   87254 */ // Label 1243: @87254
     /*   87254 */ GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(88978),
     /*   87259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   87262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   87265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87269 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(87358), // Rule ID 51504 //
     /*   87274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87308 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87317 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87356 */     GIR_RootConstrainSelectedInstOperands,
     /*   87357 */     // GIR_Coverage, 51504,
     /*   87357 */     GIR_EraseRootFromParent_Done,
     /*   87358 */   // Label 1398: @87358
     /*   87358 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(87447), // Rule ID 51505 //
     /*   87363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87378 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87397 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87406 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87445 */     GIR_RootConstrainSelectedInstOperands,
     /*   87446 */     // GIR_Coverage, 51505,
     /*   87446 */     GIR_EraseRootFromParent_Done,
     /*   87447 */   // Label 1399: @87447
     /*   87447 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87536), // Rule ID 70139 //
     /*   87452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87467 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87495 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87534 */     GIR_RootConstrainSelectedInstOperands,
     /*   87535 */     // GIR_Coverage, 70139,
     /*   87535 */     GIR_EraseRootFromParent_Done,
     /*   87536 */   // Label 1400: @87536
     /*   87536 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87625), // Rule ID 70140 //
     /*   87541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87575 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87584 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87623 */     GIR_RootConstrainSelectedInstOperands,
     /*   87624 */     // GIR_Coverage, 70140,
     /*   87624 */     GIR_EraseRootFromParent_Done,
     /*   87625 */   // Label 1401: @87625
     /*   87625 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87714), // Rule ID 70019 //
     /*   87630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87664 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87673 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87712 */     GIR_RootConstrainSelectedInstOperands,
     /*   87713 */     // GIR_Coverage, 70019,
     /*   87713 */     GIR_EraseRootFromParent_Done,
     /*   87714 */   // Label 1402: @87714
     /*   87714 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87803), // Rule ID 70020 //
     /*   87719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87734 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87753 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87762 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87801 */     GIR_RootConstrainSelectedInstOperands,
     /*   87802 */     // GIR_Coverage, 70020,
     /*   87802 */     GIR_EraseRootFromParent_Done,
     /*   87803 */   // Label 1403: @87803
     /*   87803 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87892), // Rule ID 51684 //
     /*   87808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87823 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87842 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87849 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87851 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87890 */     GIR_RootConstrainSelectedInstOperands,
     /*   87891 */     // GIR_Coverage, 51684,
     /*   87891 */     GIR_EraseRootFromParent_Done,
     /*   87892 */   // Label 1404: @87892
     /*   87892 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87981), // Rule ID 51685 //
     /*   87897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87912 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87931 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87933 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87938 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87940 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87979 */     GIR_RootConstrainSelectedInstOperands,
     /*   87980 */     // GIR_Coverage, 51685,
     /*   87980 */     GIR_EraseRootFromParent_Done,
     /*   87981 */   // Label 1405: @87981
     /*   87981 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(88070), // Rule ID 51384 //
     /*   87986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88020 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88027 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88029 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88068 */     GIR_RootConstrainSelectedInstOperands,
     /*   88069 */     // GIR_Coverage, 51384,
     /*   88069 */     GIR_EraseRootFromParent_Done,
     /*   88070 */   // Label 1406: @88070
     /*   88070 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(88159), // Rule ID 51385 //
     /*   88075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88090 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88109 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88111 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88118 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88157 */     GIR_RootConstrainSelectedInstOperands,
     /*   88158 */     // GIR_Coverage, 51385,
     /*   88158 */     GIR_EraseRootFromParent_Done,
     /*   88159 */   // Label 1407: @88159
     /*   88159 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(88248), // Rule ID 51624 //
     /*   88164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88179 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88198 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88200 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88207 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88246 */     GIR_RootConstrainSelectedInstOperands,
     /*   88247 */     // GIR_Coverage, 51624,
     /*   88247 */     GIR_EraseRootFromParent_Done,
     /*   88248 */   // Label 1408: @88248
     /*   88248 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(88337), // Rule ID 51625 //
     /*   88253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88268 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88287 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88296 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88335 */     GIR_RootConstrainSelectedInstOperands,
     /*   88336 */     // GIR_Coverage, 51625,
     /*   88336 */     GIR_EraseRootFromParent_Done,
     /*   88337 */   // Label 1409: @88337
     /*   88337 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(88426), // Rule ID 51564 //
     /*   88342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88376 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88378 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88385 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88424 */     GIR_RootConstrainSelectedInstOperands,
     /*   88425 */     // GIR_Coverage, 51564,
     /*   88425 */     GIR_EraseRootFromParent_Done,
     /*   88426 */   // Label 1410: @88426
     /*   88426 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(88515), // Rule ID 51565 //
     /*   88431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88465 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88467 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88472 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88474 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88513 */     GIR_RootConstrainSelectedInstOperands,
     /*   88514 */     // GIR_Coverage, 51565,
     /*   88514 */     GIR_EraseRootFromParent_Done,
     /*   88515 */   // Label 1411: @88515
     /*   88515 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88604), // Rule ID 70079 //
     /*   88520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88554 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88563 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88602 */     GIR_RootConstrainSelectedInstOperands,
     /*   88603 */     // GIR_Coverage, 70079,
     /*   88603 */     GIR_EraseRootFromParent_Done,
     /*   88604 */   // Label 1412: @88604
     /*   88604 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88693), // Rule ID 70080 //
     /*   88609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88643 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88652 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88691 */     GIR_RootConstrainSelectedInstOperands,
     /*   88692 */     // GIR_Coverage, 70080,
     /*   88692 */     GIR_EraseRootFromParent_Done,
     /*   88693 */   // Label 1413: @88693
     /*   88693 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88782), // Rule ID 51444 //
     /*   88698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88741 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88780 */     GIR_RootConstrainSelectedInstOperands,
     /*   88781 */     // GIR_Coverage, 51444,
     /*   88781 */     GIR_EraseRootFromParent_Done,
     /*   88782 */   // Label 1414: @88782
     /*   88782 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88871), // Rule ID 51445 //
     /*   88787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88830 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88869 */     GIR_RootConstrainSelectedInstOperands,
     /*   88870 */     // GIR_Coverage, 51445,
     /*   88870 */     GIR_EraseRootFromParent_Done,
     /*   88871 */   // Label 1415: @88871
     /*   88871 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88924), // Rule ID 50758 //
     /*   88876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88887 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88922 */     GIR_RootConstrainSelectedInstOperands,
     /*   88923 */     // GIR_Coverage, 50758,
     /*   88923 */     GIR_EraseRootFromParent_Done,
     /*   88924 */   // Label 1416: @88924
     /*   88924 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88977), // Rule ID 50759 //
     /*   88929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88940 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88975 */     GIR_RootConstrainSelectedInstOperands,
     /*   88976 */     // GIR_Coverage, 50759,
     /*   88976 */     GIR_EraseRootFromParent_Done,
     /*   88977 */   // Label 1417: @88977
     /*   88977 */   GIM_Reject,
     /*   88978 */ // Label 1397: @88978
     /*   88978 */ GIM_Reject,
     /*   88979 */ // Label 1244: @88979
     /*   88979 */ GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(90703),
     /*   88984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   88987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   88990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   88994 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(89083), // Rule ID 51528 //
     /*   88999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89042 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89081 */     GIR_RootConstrainSelectedInstOperands,
     /*   89082 */     // GIR_Coverage, 51528,
     /*   89082 */     GIR_EraseRootFromParent_Done,
     /*   89083 */   // Label 1419: @89083
     /*   89083 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(89172), // Rule ID 51529 //
     /*   89088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89131 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89170 */     GIR_RootConstrainSelectedInstOperands,
     /*   89171 */     // GIR_Coverage, 51529,
     /*   89171 */     GIR_EraseRootFromParent_Done,
     /*   89172 */   // Label 1420: @89172
     /*   89172 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(89261), // Rule ID 70163 //
     /*   89177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89220 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89259 */     GIR_RootConstrainSelectedInstOperands,
     /*   89260 */     // GIR_Coverage, 70163,
     /*   89260 */     GIR_EraseRootFromParent_Done,
     /*   89261 */   // Label 1421: @89261
     /*   89261 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(89350), // Rule ID 70164 //
     /*   89266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89309 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89348 */     GIR_RootConstrainSelectedInstOperands,
     /*   89349 */     // GIR_Coverage, 70164,
     /*   89349 */     GIR_EraseRootFromParent_Done,
     /*   89350 */   // Label 1422: @89350
     /*   89350 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(89439), // Rule ID 70043 //
     /*   89355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89398 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89437 */     GIR_RootConstrainSelectedInstOperands,
     /*   89438 */     // GIR_Coverage, 70043,
     /*   89438 */     GIR_EraseRootFromParent_Done,
     /*   89439 */   // Label 1423: @89439
     /*   89439 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89528), // Rule ID 70044 //
     /*   89444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89459 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89487 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89526 */     GIR_RootConstrainSelectedInstOperands,
     /*   89527 */     // GIR_Coverage, 70044,
     /*   89527 */     GIR_EraseRootFromParent_Done,
     /*   89528 */   // Label 1424: @89528
     /*   89528 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89617), // Rule ID 51708 //
     /*   89533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89576 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89615 */     GIR_RootConstrainSelectedInstOperands,
     /*   89616 */     // GIR_Coverage, 51708,
     /*   89616 */     GIR_EraseRootFromParent_Done,
     /*   89617 */   // Label 1425: @89617
     /*   89617 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89706), // Rule ID 51709 //
     /*   89622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89637 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89656 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89665 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89704 */     GIR_RootConstrainSelectedInstOperands,
     /*   89705 */     // GIR_Coverage, 51709,
     /*   89705 */     GIR_EraseRootFromParent_Done,
     /*   89706 */   // Label 1426: @89706
     /*   89706 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89795), // Rule ID 51408 //
     /*   89711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89754 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89793 */     GIR_RootConstrainSelectedInstOperands,
     /*   89794 */     // GIR_Coverage, 51408,
     /*   89794 */     GIR_EraseRootFromParent_Done,
     /*   89795 */   // Label 1427: @89795
     /*   89795 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89884), // Rule ID 51409 //
     /*   89800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89815 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89843 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89882 */     GIR_RootConstrainSelectedInstOperands,
     /*   89883 */     // GIR_Coverage, 51409,
     /*   89883 */     GIR_EraseRootFromParent_Done,
     /*   89884 */   // Label 1428: @89884
     /*   89884 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89973), // Rule ID 51648 //
     /*   89889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89923 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89932 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89971 */     GIR_RootConstrainSelectedInstOperands,
     /*   89972 */     // GIR_Coverage, 51648,
     /*   89972 */     GIR_EraseRootFromParent_Done,
     /*   89973 */   // Label 1429: @89973
     /*   89973 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(90062), // Rule ID 51649 //
     /*   89978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90021 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90060 */     GIR_RootConstrainSelectedInstOperands,
     /*   90061 */     // GIR_Coverage, 51649,
     /*   90061 */     GIR_EraseRootFromParent_Done,
     /*   90062 */   // Label 1430: @90062
     /*   90062 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(90151), // Rule ID 51588 //
     /*   90067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90110 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90149 */     GIR_RootConstrainSelectedInstOperands,
     /*   90150 */     // GIR_Coverage, 51588,
     /*   90150 */     GIR_EraseRootFromParent_Done,
     /*   90151 */   // Label 1431: @90151
     /*   90151 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(90240), // Rule ID 51589 //
     /*   90156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90199 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90238 */     GIR_RootConstrainSelectedInstOperands,
     /*   90239 */     // GIR_Coverage, 51589,
     /*   90239 */     GIR_EraseRootFromParent_Done,
     /*   90240 */   // Label 1432: @90240
     /*   90240 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(90329), // Rule ID 70103 //
     /*   90245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90279 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90288 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90327 */     GIR_RootConstrainSelectedInstOperands,
     /*   90328 */     // GIR_Coverage, 70103,
     /*   90328 */     GIR_EraseRootFromParent_Done,
     /*   90329 */   // Label 1433: @90329
     /*   90329 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(90418), // Rule ID 70104 //
     /*   90334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90377 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90416 */     GIR_RootConstrainSelectedInstOperands,
     /*   90417 */     // GIR_Coverage, 70104,
     /*   90417 */     GIR_EraseRootFromParent_Done,
     /*   90418 */   // Label 1434: @90418
     /*   90418 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(90507), // Rule ID 51468 //
     /*   90423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90466 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90505 */     GIR_RootConstrainSelectedInstOperands,
     /*   90506 */     // GIR_Coverage, 51468,
     /*   90506 */     GIR_EraseRootFromParent_Done,
     /*   90507 */   // Label 1435: @90507
     /*   90507 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(90596), // Rule ID 51469 //
     /*   90512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90555 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90594 */     GIR_RootConstrainSelectedInstOperands,
     /*   90595 */     // GIR_Coverage, 51469,
     /*   90595 */     GIR_EraseRootFromParent_Done,
     /*   90596 */   // Label 1436: @90596
     /*   90596 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90649), // Rule ID 50794 //
     /*   90601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90612 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90647 */     GIR_RootConstrainSelectedInstOperands,
     /*   90648 */     // GIR_Coverage, 50794,
     /*   90648 */     GIR_EraseRootFromParent_Done,
     /*   90649 */   // Label 1437: @90649
     /*   90649 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90702), // Rule ID 50795 //
     /*   90654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90665 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90700 */     GIR_RootConstrainSelectedInstOperands,
     /*   90701 */     // GIR_Coverage, 50795,
     /*   90701 */     GIR_EraseRootFromParent_Done,
     /*   90702 */   // Label 1438: @90702
     /*   90702 */   GIM_Reject,
     /*   90703 */ // Label 1418: @90703
     /*   90703 */ GIM_Reject,
     /*   90704 */ // Label 1245: @90704
     /*   90704 */ GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(92428),
     /*   90709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   90712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   90715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   90719 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90808), // Rule ID 51548 //
     /*   90724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90758 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90760 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90767 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90806 */     GIR_RootConstrainSelectedInstOperands,
     /*   90807 */     // GIR_Coverage, 51548,
     /*   90807 */     GIR_EraseRootFromParent_Done,
     /*   90808 */   // Label 1440: @90808
     /*   90808 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90897), // Rule ID 51549 //
     /*   90813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90847 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90856 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90895 */     GIR_RootConstrainSelectedInstOperands,
     /*   90896 */     // GIR_Coverage, 51549,
     /*   90896 */     GIR_EraseRootFromParent_Done,
     /*   90897 */   // Label 1441: @90897
     /*   90897 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90986), // Rule ID 70183 //
     /*   90902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90945 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   90962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90984 */     GIR_RootConstrainSelectedInstOperands,
     /*   90985 */     // GIR_Coverage, 70183,
     /*   90985 */     GIR_EraseRootFromParent_Done,
     /*   90986 */   // Label 1442: @90986
     /*   90986 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(91075), // Rule ID 70184 //
     /*   90991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91034 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91073 */     GIR_RootConstrainSelectedInstOperands,
     /*   91074 */     // GIR_Coverage, 70184,
     /*   91074 */     GIR_EraseRootFromParent_Done,
     /*   91075 */   // Label 1443: @91075
     /*   91075 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(91164), // Rule ID 70063 //
     /*   91080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91123 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91162 */     GIR_RootConstrainSelectedInstOperands,
     /*   91163 */     // GIR_Coverage, 70063,
     /*   91163 */     GIR_EraseRootFromParent_Done,
     /*   91164 */   // Label 1444: @91164
     /*   91164 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(91253), // Rule ID 70064 //
     /*   91169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91203 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91212 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91251 */     GIR_RootConstrainSelectedInstOperands,
     /*   91252 */     // GIR_Coverage, 70064,
     /*   91252 */     GIR_EraseRootFromParent_Done,
     /*   91253 */   // Label 1445: @91253
     /*   91253 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(91342), // Rule ID 51728 //
     /*   91258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91301 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91340 */     GIR_RootConstrainSelectedInstOperands,
     /*   91341 */     // GIR_Coverage, 51728,
     /*   91341 */     GIR_EraseRootFromParent_Done,
     /*   91342 */   // Label 1446: @91342
     /*   91342 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(91431), // Rule ID 51729 //
     /*   91347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91362 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91390 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91429 */     GIR_RootConstrainSelectedInstOperands,
     /*   91430 */     // GIR_Coverage, 51729,
     /*   91430 */     GIR_EraseRootFromParent_Done,
     /*   91431 */   // Label 1447: @91431
     /*   91431 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91520), // Rule ID 51428 //
     /*   91436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91470 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91479 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91518 */     GIR_RootConstrainSelectedInstOperands,
     /*   91519 */     // GIR_Coverage, 51428,
     /*   91519 */     GIR_EraseRootFromParent_Done,
     /*   91520 */   // Label 1448: @91520
     /*   91520 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91609), // Rule ID 51429 //
     /*   91525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91559 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91568 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91607 */     GIR_RootConstrainSelectedInstOperands,
     /*   91608 */     // GIR_Coverage, 51429,
     /*   91608 */     GIR_EraseRootFromParent_Done,
     /*   91609 */   // Label 1449: @91609
     /*   91609 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91698), // Rule ID 51668 //
     /*   91614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91657 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91696 */     GIR_RootConstrainSelectedInstOperands,
     /*   91697 */     // GIR_Coverage, 51668,
     /*   91697 */     GIR_EraseRootFromParent_Done,
     /*   91698 */   // Label 1450: @91698
     /*   91698 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91787), // Rule ID 51669 //
     /*   91703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91746 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91785 */     GIR_RootConstrainSelectedInstOperands,
     /*   91786 */     // GIR_Coverage, 51669,
     /*   91786 */     GIR_EraseRootFromParent_Done,
     /*   91787 */   // Label 1451: @91787
     /*   91787 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91876), // Rule ID 51608 //
     /*   91792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91835 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91874 */     GIR_RootConstrainSelectedInstOperands,
     /*   91875 */     // GIR_Coverage, 51608,
     /*   91875 */     GIR_EraseRootFromParent_Done,
     /*   91876 */   // Label 1452: @91876
     /*   91876 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91965), // Rule ID 51609 //
     /*   91881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91915 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91924 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91963 */     GIR_RootConstrainSelectedInstOperands,
     /*   91964 */     // GIR_Coverage, 51609,
     /*   91964 */     GIR_EraseRootFromParent_Done,
     /*   91965 */   // Label 1453: @91965
     /*   91965 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(92054), // Rule ID 70123 //
     /*   91970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92013 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92052 */     GIR_RootConstrainSelectedInstOperands,
     /*   92053 */     // GIR_Coverage, 70123,
     /*   92053 */     GIR_EraseRootFromParent_Done,
     /*   92054 */   // Label 1454: @92054
     /*   92054 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(92143), // Rule ID 70124 //
     /*   92059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92074 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92093 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92102 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92141 */     GIR_RootConstrainSelectedInstOperands,
     /*   92142 */     // GIR_Coverage, 70124,
     /*   92142 */     GIR_EraseRootFromParent_Done,
     /*   92143 */   // Label 1455: @92143
     /*   92143 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(92232), // Rule ID 51488 //
     /*   92148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   92151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92182 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92191 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92230 */     GIR_RootConstrainSelectedInstOperands,
     /*   92231 */     // GIR_Coverage, 51488,
     /*   92231 */     GIR_EraseRootFromParent_Done,
     /*   92232 */   // Label 1456: @92232
     /*   92232 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(92321), // Rule ID 51489 //
     /*   92237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92271 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92280 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92319 */     GIR_RootConstrainSelectedInstOperands,
     /*   92320 */     // GIR_Coverage, 51489,
     /*   92320 */     GIR_EraseRootFromParent_Done,
     /*   92321 */   // Label 1457: @92321
     /*   92321 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(92374), // Rule ID 50810 //
     /*   92326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   92329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92337 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   92337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92372 */     GIR_RootConstrainSelectedInstOperands,
     /*   92373 */     // GIR_Coverage, 50810,
     /*   92373 */     GIR_EraseRootFromParent_Done,
     /*   92374 */   // Label 1458: @92374
     /*   92374 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(92427), // Rule ID 50811 //
     /*   92379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   92382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92390 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   92390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92425 */     GIR_RootConstrainSelectedInstOperands,
     /*   92426 */     // GIR_Coverage, 50811,
     /*   92426 */     GIR_EraseRootFromParent_Done,
     /*   92427 */   // Label 1459: @92427
     /*   92427 */   GIM_Reject,
     /*   92428 */ // Label 1439: @92428
     /*   92428 */ GIM_Reject,
     /*   92429 */ // Label 1246: @92429
     /*   92429 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(92543),
     /*   92434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   92440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92452 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(92497), // Rule ID 50754 //
     /*   92457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92460 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92495 */     GIR_RootConstrainSelectedInstOperands,
     /*   92496 */     // GIR_Coverage, 50754,
     /*   92496 */     GIR_EraseRootFromParent_Done,
     /*   92497 */   // Label 1461: @92497
     /*   92497 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92542), // Rule ID 50755 //
     /*   92502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92505 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92540 */     GIR_RootConstrainSelectedInstOperands,
     /*   92541 */     // GIR_Coverage, 50755,
     /*   92541 */     GIR_EraseRootFromParent_Done,
     /*   92542 */   // Label 1462: @92542
     /*   92542 */   GIM_Reject,
     /*   92543 */ // Label 1460: @92543
     /*   92543 */ GIM_Reject,
     /*   92544 */ // Label 1247: @92544
     /*   92544 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(94268),
     /*   92549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   92552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   92555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92559 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92648), // Rule ID 51508 //
     /*   92564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92598 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92607 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92646 */     GIR_RootConstrainSelectedInstOperands,
     /*   92647 */     // GIR_Coverage, 51508,
     /*   92647 */     GIR_EraseRootFromParent_Done,
     /*   92648 */   // Label 1464: @92648
     /*   92648 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92737), // Rule ID 51509 //
     /*   92653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92687 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92696 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92735 */     GIR_RootConstrainSelectedInstOperands,
     /*   92736 */     // GIR_Coverage, 51509,
     /*   92736 */     GIR_EraseRootFromParent_Done,
     /*   92737 */   // Label 1465: @92737
     /*   92737 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92826), // Rule ID 70143 //
     /*   92742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92776 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92783 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92785 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92824 */     GIR_RootConstrainSelectedInstOperands,
     /*   92825 */     // GIR_Coverage, 70143,
     /*   92825 */     GIR_EraseRootFromParent_Done,
     /*   92826 */   // Label 1466: @92826
     /*   92826 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92915), // Rule ID 70144 //
     /*   92831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92865 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92874 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92913 */     GIR_RootConstrainSelectedInstOperands,
     /*   92914 */     // GIR_Coverage, 70144,
     /*   92914 */     GIR_EraseRootFromParent_Done,
     /*   92915 */   // Label 1467: @92915
     /*   92915 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(93004), // Rule ID 70023 //
     /*   92920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92963 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93002 */     GIR_RootConstrainSelectedInstOperands,
     /*   93003 */     // GIR_Coverage, 70023,
     /*   93003 */     GIR_EraseRootFromParent_Done,
     /*   93004 */   // Label 1468: @93004
     /*   93004 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(93093), // Rule ID 70024 //
     /*   93009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93043 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93052 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93091 */     GIR_RootConstrainSelectedInstOperands,
     /*   93092 */     // GIR_Coverage, 70024,
     /*   93092 */     GIR_EraseRootFromParent_Done,
     /*   93093 */   // Label 1469: @93093
     /*   93093 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(93182), // Rule ID 51688 //
     /*   93098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93132 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93141 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93180 */     GIR_RootConstrainSelectedInstOperands,
     /*   93181 */     // GIR_Coverage, 51688,
     /*   93181 */     GIR_EraseRootFromParent_Done,
     /*   93182 */   // Label 1470: @93182
     /*   93182 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(93271), // Rule ID 51689 //
     /*   93187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93221 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93230 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93269 */     GIR_RootConstrainSelectedInstOperands,
     /*   93270 */     // GIR_Coverage, 51689,
     /*   93270 */     GIR_EraseRootFromParent_Done,
     /*   93271 */   // Label 1471: @93271
     /*   93271 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(93360), // Rule ID 51388 //
     /*   93276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93319 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93358 */     GIR_RootConstrainSelectedInstOperands,
     /*   93359 */     // GIR_Coverage, 51388,
     /*   93359 */     GIR_EraseRootFromParent_Done,
     /*   93360 */   // Label 1472: @93360
     /*   93360 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(93449), // Rule ID 51389 //
     /*   93365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93408 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93447 */     GIR_RootConstrainSelectedInstOperands,
     /*   93448 */     // GIR_Coverage, 51389,
     /*   93448 */     GIR_EraseRootFromParent_Done,
     /*   93449 */   // Label 1473: @93449
     /*   93449 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93538), // Rule ID 51628 //
     /*   93454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93488 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93497 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93536 */     GIR_RootConstrainSelectedInstOperands,
     /*   93537 */     // GIR_Coverage, 51628,
     /*   93537 */     GIR_EraseRootFromParent_Done,
     /*   93538 */   // Label 1474: @93538
     /*   93538 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93627), // Rule ID 51629 //
     /*   93543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93577 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93586 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93625 */     GIR_RootConstrainSelectedInstOperands,
     /*   93626 */     // GIR_Coverage, 51629,
     /*   93626 */     GIR_EraseRootFromParent_Done,
     /*   93627 */   // Label 1475: @93627
     /*   93627 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(93716), // Rule ID 51568 //
     /*   93632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93666 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93675 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93714 */     GIR_RootConstrainSelectedInstOperands,
     /*   93715 */     // GIR_Coverage, 51568,
     /*   93715 */     GIR_EraseRootFromParent_Done,
     /*   93716 */   // Label 1476: @93716
     /*   93716 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93805), // Rule ID 51569 //
     /*   93721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93764 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93803 */     GIR_RootConstrainSelectedInstOperands,
     /*   93804 */     // GIR_Coverage, 51569,
     /*   93804 */     GIR_EraseRootFromParent_Done,
     /*   93805 */   // Label 1477: @93805
     /*   93805 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(93894), // Rule ID 70083 //
     /*   93810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93844 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93853 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93892 */     GIR_RootConstrainSelectedInstOperands,
     /*   93893 */     // GIR_Coverage, 70083,
     /*   93893 */     GIR_EraseRootFromParent_Done,
     /*   93894 */   // Label 1478: @93894
     /*   93894 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93983), // Rule ID 70084 //
     /*   93899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93929 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93933 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93942 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93981 */     GIR_RootConstrainSelectedInstOperands,
     /*   93982 */     // GIR_Coverage, 70084,
     /*   93982 */     GIR_EraseRootFromParent_Done,
     /*   93983 */   // Label 1479: @93983
     /*   93983 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(94072), // Rule ID 51448 //
     /*   93988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94022 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94031 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   94031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94070 */     GIR_RootConstrainSelectedInstOperands,
     /*   94071 */     // GIR_Coverage, 51448,
     /*   94071 */     GIR_EraseRootFromParent_Done,
     /*   94072 */   // Label 1480: @94072
     /*   94072 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(94161), // Rule ID 51449 //
     /*   94077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94111 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94120 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   94120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94159 */     GIR_RootConstrainSelectedInstOperands,
     /*   94160 */     // GIR_Coverage, 51449,
     /*   94160 */     GIR_EraseRootFromParent_Done,
     /*   94161 */   // Label 1481: @94161
     /*   94161 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(94214), // Rule ID 50782 //
     /*   94166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94177 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94212 */     GIR_RootConstrainSelectedInstOperands,
     /*   94213 */     // GIR_Coverage, 50782,
     /*   94213 */     GIR_EraseRootFromParent_Done,
     /*   94214 */   // Label 1482: @94214
     /*   94214 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(94267), // Rule ID 50783 //
     /*   94219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94230 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94265 */     GIR_RootConstrainSelectedInstOperands,
     /*   94266 */     // GIR_Coverage, 50783,
     /*   94266 */     GIR_EraseRootFromParent_Done,
     /*   94267 */   // Label 1483: @94267
     /*   94267 */   GIM_Reject,
     /*   94268 */ // Label 1463: @94268
     /*   94268 */ GIM_Reject,
     /*   94269 */ // Label 1248: @94269
     /*   94269 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(95993),
     /*   94274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   94277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   94280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94284 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(94373), // Rule ID 51532 //
     /*   94289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94304 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94323 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94332 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94371 */     GIR_RootConstrainSelectedInstOperands,
     /*   94372 */     // GIR_Coverage, 51532,
     /*   94372 */     GIR_EraseRootFromParent_Done,
     /*   94373 */   // Label 1485: @94373
     /*   94373 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94462), // Rule ID 51533 //
     /*   94378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94393 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94412 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94421 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94460 */     GIR_RootConstrainSelectedInstOperands,
     /*   94461 */     // GIR_Coverage, 51533,
     /*   94461 */     GIR_EraseRootFromParent_Done,
     /*   94462 */   // Label 1486: @94462
     /*   94462 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94551), // Rule ID 70167 //
     /*   94467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94482 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94501 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94510 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94549 */     GIR_RootConstrainSelectedInstOperands,
     /*   94550 */     // GIR_Coverage, 70167,
     /*   94550 */     GIR_EraseRootFromParent_Done,
     /*   94551 */   // Label 1487: @94551
     /*   94551 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94640), // Rule ID 70168 //
     /*   94556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94599 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94638 */     GIR_RootConstrainSelectedInstOperands,
     /*   94639 */     // GIR_Coverage, 70168,
     /*   94639 */     GIR_EraseRootFromParent_Done,
     /*   94640 */   // Label 1488: @94640
     /*   94640 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94729), // Rule ID 70047 //
     /*   94645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94688 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94727 */     GIR_RootConstrainSelectedInstOperands,
     /*   94728 */     // GIR_Coverage, 70047,
     /*   94728 */     GIR_EraseRootFromParent_Done,
     /*   94729 */   // Label 1489: @94729
     /*   94729 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94818), // Rule ID 70048 //
     /*   94734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94768 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94777 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94816 */     GIR_RootConstrainSelectedInstOperands,
     /*   94817 */     // GIR_Coverage, 70048,
     /*   94817 */     GIR_EraseRootFromParent_Done,
     /*   94818 */   // Label 1490: @94818
     /*   94818 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94907), // Rule ID 51712 //
     /*   94823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94857 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94866 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94905 */     GIR_RootConstrainSelectedInstOperands,
     /*   94906 */     // GIR_Coverage, 51712,
     /*   94906 */     GIR_EraseRootFromParent_Done,
     /*   94907 */   // Label 1491: @94907
     /*   94907 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94996), // Rule ID 51713 //
     /*   94912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94946 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94955 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94994 */     GIR_RootConstrainSelectedInstOperands,
     /*   94995 */     // GIR_Coverage, 51713,
     /*   94995 */     GIR_EraseRootFromParent_Done,
     /*   94996 */   // Label 1492: @94996
     /*   94996 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(95085), // Rule ID 51412 //
     /*   95001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95035 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95044 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95083 */     GIR_RootConstrainSelectedInstOperands,
     /*   95084 */     // GIR_Coverage, 51412,
     /*   95084 */     GIR_EraseRootFromParent_Done,
     /*   95085 */   // Label 1493: @95085
     /*   95085 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(95174), // Rule ID 51413 //
     /*   95090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95133 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95172 */     GIR_RootConstrainSelectedInstOperands,
     /*   95173 */     // GIR_Coverage, 51413,
     /*   95173 */     GIR_EraseRootFromParent_Done,
     /*   95174 */   // Label 1494: @95174
     /*   95174 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(95263), // Rule ID 51652 //
     /*   95179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95222 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95261 */     GIR_RootConstrainSelectedInstOperands,
     /*   95262 */     // GIR_Coverage, 51652,
     /*   95262 */     GIR_EraseRootFromParent_Done,
     /*   95263 */   // Label 1495: @95263
     /*   95263 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(95352), // Rule ID 51653 //
     /*   95268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95311 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95350 */     GIR_RootConstrainSelectedInstOperands,
     /*   95351 */     // GIR_Coverage, 51653,
     /*   95351 */     GIR_EraseRootFromParent_Done,
     /*   95352 */   // Label 1496: @95352
     /*   95352 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(95441), // Rule ID 51592 //
     /*   95357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95400 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95439 */     GIR_RootConstrainSelectedInstOperands,
     /*   95440 */     // GIR_Coverage, 51592,
     /*   95440 */     GIR_EraseRootFromParent_Done,
     /*   95441 */   // Label 1497: @95441
     /*   95441 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(95530), // Rule ID 51593 //
     /*   95446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95489 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95528 */     GIR_RootConstrainSelectedInstOperands,
     /*   95529 */     // GIR_Coverage, 51593,
     /*   95529 */     GIR_EraseRootFromParent_Done,
     /*   95530 */   // Label 1498: @95530
     /*   95530 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95619), // Rule ID 70107 //
     /*   95535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95578 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95617 */     GIR_RootConstrainSelectedInstOperands,
     /*   95618 */     // GIR_Coverage, 70107,
     /*   95618 */     GIR_EraseRootFromParent_Done,
     /*   95619 */   // Label 1499: @95619
     /*   95619 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95708), // Rule ID 70108 //
     /*   95624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95639 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95658 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95667 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95706 */     GIR_RootConstrainSelectedInstOperands,
     /*   95707 */     // GIR_Coverage, 70108,
     /*   95707 */     GIR_EraseRootFromParent_Done,
     /*   95708 */   // Label 1500: @95708
     /*   95708 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95797), // Rule ID 51472 //
     /*   95713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95747 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95756 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95795 */     GIR_RootConstrainSelectedInstOperands,
     /*   95796 */     // GIR_Coverage, 51472,
     /*   95796 */     GIR_EraseRootFromParent_Done,
     /*   95797 */   // Label 1501: @95797
     /*   95797 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95886), // Rule ID 51473 //
     /*   95802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95836 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95845 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95884 */     GIR_RootConstrainSelectedInstOperands,
     /*   95885 */     // GIR_Coverage, 51473,
     /*   95885 */     GIR_EraseRootFromParent_Done,
     /*   95886 */   // Label 1502: @95886
     /*   95886 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95939), // Rule ID 50798 //
     /*   95891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95902 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95937 */     GIR_RootConstrainSelectedInstOperands,
     /*   95938 */     // GIR_Coverage, 50798,
     /*   95938 */     GIR_EraseRootFromParent_Done,
     /*   95939 */   // Label 1503: @95939
     /*   95939 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95992), // Rule ID 50799 //
     /*   95944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95955 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95990 */     GIR_RootConstrainSelectedInstOperands,
     /*   95991 */     // GIR_Coverage, 50799,
     /*   95991 */     GIR_EraseRootFromParent_Done,
     /*   95992 */   // Label 1504: @95992
     /*   95992 */   GIM_Reject,
     /*   95993 */ // Label 1484: @95993
     /*   95993 */ GIM_Reject,
     /*   95994 */ // Label 1249: @95994
     /*   95994 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(97718),
     /*   95999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   96002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   96005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   96009 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(96098), // Rule ID 51552 //
     /*   96014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96029 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96048 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96057 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96096 */     GIR_RootConstrainSelectedInstOperands,
     /*   96097 */     // GIR_Coverage, 51552,
     /*   96097 */     GIR_EraseRootFromParent_Done,
     /*   96098 */   // Label 1506: @96098
     /*   96098 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(96187), // Rule ID 51553 //
     /*   96103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96137 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96146 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96185 */     GIR_RootConstrainSelectedInstOperands,
     /*   96186 */     // GIR_Coverage, 51553,
     /*   96186 */     GIR_EraseRootFromParent_Done,
     /*   96187 */   // Label 1507: @96187
     /*   96187 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(96276), // Rule ID 70187 //
     /*   96192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96226 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96235 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96274 */     GIR_RootConstrainSelectedInstOperands,
     /*   96275 */     // GIR_Coverage, 70187,
     /*   96275 */     GIR_EraseRootFromParent_Done,
     /*   96276 */   // Label 1508: @96276
     /*   96276 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(96365), // Rule ID 70188 //
     /*   96281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96324 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96363 */     GIR_RootConstrainSelectedInstOperands,
     /*   96364 */     // GIR_Coverage, 70188,
     /*   96364 */     GIR_EraseRootFromParent_Done,
     /*   96365 */   // Label 1509: @96365
     /*   96365 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(96454), // Rule ID 70067 //
     /*   96370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96385 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96404 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96413 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96452 */     GIR_RootConstrainSelectedInstOperands,
     /*   96453 */     // GIR_Coverage, 70067,
     /*   96453 */     GIR_EraseRootFromParent_Done,
     /*   96454 */   // Label 1510: @96454
     /*   96454 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96543), // Rule ID 70068 //
     /*   96459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96493 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96502 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96541 */     GIR_RootConstrainSelectedInstOperands,
     /*   96542 */     // GIR_Coverage, 70068,
     /*   96542 */     GIR_EraseRootFromParent_Done,
     /*   96543 */   // Label 1511: @96543
     /*   96543 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96632), // Rule ID 51732 //
     /*   96548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96591 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96630 */     GIR_RootConstrainSelectedInstOperands,
     /*   96631 */     // GIR_Coverage, 51732,
     /*   96631 */     GIR_EraseRootFromParent_Done,
     /*   96632 */   // Label 1512: @96632
     /*   96632 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96721), // Rule ID 51733 //
     /*   96637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96652 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96671 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96680 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96719 */     GIR_RootConstrainSelectedInstOperands,
     /*   96720 */     // GIR_Coverage, 51733,
     /*   96720 */     GIR_EraseRootFromParent_Done,
     /*   96721 */   // Label 1513: @96721
     /*   96721 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96810), // Rule ID 51432 //
     /*   96726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96769 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96808 */     GIR_RootConstrainSelectedInstOperands,
     /*   96809 */     // GIR_Coverage, 51432,
     /*   96809 */     GIR_EraseRootFromParent_Done,
     /*   96810 */   // Label 1514: @96810
     /*   96810 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96899), // Rule ID 51433 //
     /*   96815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96858 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96897 */     GIR_RootConstrainSelectedInstOperands,
     /*   96898 */     // GIR_Coverage, 51433,
     /*   96898 */     GIR_EraseRootFromParent_Done,
     /*   96899 */   // Label 1515: @96899
     /*   96899 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96988), // Rule ID 51672 //
     /*   96904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96947 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96986 */     GIR_RootConstrainSelectedInstOperands,
     /*   96987 */     // GIR_Coverage, 51672,
     /*   96987 */     GIR_EraseRootFromParent_Done,
     /*   96988 */   // Label 1516: @96988
     /*   96988 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(97077), // Rule ID 51673 //
     /*   96993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97036 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97075 */     GIR_RootConstrainSelectedInstOperands,
     /*   97076 */     // GIR_Coverage, 51673,
     /*   97076 */     GIR_EraseRootFromParent_Done,
     /*   97077 */   // Label 1517: @97077
     /*   97077 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(97166), // Rule ID 51612 //
     /*   97082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97125 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97164 */     GIR_RootConstrainSelectedInstOperands,
     /*   97165 */     // GIR_Coverage, 51612,
     /*   97165 */     GIR_EraseRootFromParent_Done,
     /*   97166 */   // Label 1518: @97166
     /*   97166 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(97255), // Rule ID 51613 //
     /*   97171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97214 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97253 */     GIR_RootConstrainSelectedInstOperands,
     /*   97254 */     // GIR_Coverage, 51613,
     /*   97254 */     GIR_EraseRootFromParent_Done,
     /*   97255 */   // Label 1519: @97255
     /*   97255 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(97344), // Rule ID 70127 //
     /*   97260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97303 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97342 */     GIR_RootConstrainSelectedInstOperands,
     /*   97343 */     // GIR_Coverage, 70127,
     /*   97343 */     GIR_EraseRootFromParent_Done,
     /*   97344 */   // Label 1520: @97344
     /*   97344 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(97433), // Rule ID 70128 //
     /*   97349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97392 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97431 */     GIR_RootConstrainSelectedInstOperands,
     /*   97432 */     // GIR_Coverage, 70128,
     /*   97432 */     GIR_EraseRootFromParent_Done,
     /*   97433 */   // Label 1521: @97433
     /*   97433 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(97522), // Rule ID 51492 //
     /*   97438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97481 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97520 */     GIR_RootConstrainSelectedInstOperands,
     /*   97521 */     // GIR_Coverage, 51492,
     /*   97521 */     GIR_EraseRootFromParent_Done,
     /*   97522 */   // Label 1522: @97522
     /*   97522 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(97611), // Rule ID 51493 //
     /*   97527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97570 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97609 */     GIR_RootConstrainSelectedInstOperands,
     /*   97610 */     // GIR_Coverage, 51493,
     /*   97610 */     GIR_EraseRootFromParent_Done,
     /*   97611 */   // Label 1523: @97611
     /*   97611 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(97664), // Rule ID 50814 //
     /*   97616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   97619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97627 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   97627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97662 */     GIR_RootConstrainSelectedInstOperands,
     /*   97663 */     // GIR_Coverage, 50814,
     /*   97663 */     GIR_EraseRootFromParent_Done,
     /*   97664 */   // Label 1524: @97664
     /*   97664 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97717), // Rule ID 50815 //
     /*   97669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   97672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97680 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   97680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97715 */     GIR_RootConstrainSelectedInstOperands,
     /*   97716 */     // GIR_Coverage, 50815,
     /*   97716 */     GIR_EraseRootFromParent_Done,
     /*   97717 */   // Label 1525: @97717
     /*   97717 */   GIM_Reject,
     /*   97718 */ // Label 1505: @97718
     /*   97718 */ GIM_Reject,
     /*   97719 */ // Label 1250: @97719
     /*   97719 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97833),
     /*   97724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   97730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97742 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97787), // Rule ID 50770 //
     /*   97747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97750 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97785 */     GIR_RootConstrainSelectedInstOperands,
     /*   97786 */     // GIR_Coverage, 50770,
     /*   97786 */     GIR_EraseRootFromParent_Done,
     /*   97787 */   // Label 1527: @97787
     /*   97787 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97832), // Rule ID 50771 //
     /*   97792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97795 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97830 */     GIR_RootConstrainSelectedInstOperands,
     /*   97831 */     // GIR_Coverage, 50771,
     /*   97831 */     GIR_EraseRootFromParent_Done,
     /*   97832 */   // Label 1528: @97832
     /*   97832 */   GIM_Reject,
     /*   97833 */ // Label 1526: @97833
     /*   97833 */ GIM_Reject,
     /*   97834 */ // Label 1251: @97834
     /*   97834 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(99558),
     /*   97839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   97842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   97845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97849 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97938), // Rule ID 51512 //
     /*   97854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97869 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97897 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97936 */     GIR_RootConstrainSelectedInstOperands,
     /*   97937 */     // GIR_Coverage, 51512,
     /*   97937 */     GIR_EraseRootFromParent_Done,
     /*   97938 */   // Label 1530: @97938
     /*   97938 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(98027), // Rule ID 51513 //
     /*   97943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97977 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97979 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97986 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98025 */     GIR_RootConstrainSelectedInstOperands,
     /*   98026 */     // GIR_Coverage, 51513,
     /*   98026 */     GIR_EraseRootFromParent_Done,
     /*   98027 */   // Label 1531: @98027
     /*   98027 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(98116), // Rule ID 70147 //
     /*   98032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98066 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98075 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98114 */     GIR_RootConstrainSelectedInstOperands,
     /*   98115 */     // GIR_Coverage, 70147,
     /*   98115 */     GIR_EraseRootFromParent_Done,
     /*   98116 */   // Label 1532: @98116
     /*   98116 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(98205), // Rule ID 70148 //
     /*   98121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98155 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98164 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98203 */     GIR_RootConstrainSelectedInstOperands,
     /*   98204 */     // GIR_Coverage, 70148,
     /*   98204 */     GIR_EraseRootFromParent_Done,
     /*   98205 */   // Label 1533: @98205
     /*   98205 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(98294), // Rule ID 70027 //
     /*   98210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98253 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98292 */     GIR_RootConstrainSelectedInstOperands,
     /*   98293 */     // GIR_Coverage, 70027,
     /*   98293 */     GIR_EraseRootFromParent_Done,
     /*   98294 */   // Label 1534: @98294
     /*   98294 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(98383), // Rule ID 70028 //
     /*   98299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98333 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98342 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98381 */     GIR_RootConstrainSelectedInstOperands,
     /*   98382 */     // GIR_Coverage, 70028,
     /*   98382 */     GIR_EraseRootFromParent_Done,
     /*   98383 */   // Label 1535: @98383
     /*   98383 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98472), // Rule ID 51692 //
     /*   98388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98422 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98431 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98470 */     GIR_RootConstrainSelectedInstOperands,
     /*   98471 */     // GIR_Coverage, 51692,
     /*   98471 */     GIR_EraseRootFromParent_Done,
     /*   98472 */   // Label 1536: @98472
     /*   98472 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98561), // Rule ID 51693 //
     /*   98477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98511 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98513 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98520 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98559 */     GIR_RootConstrainSelectedInstOperands,
     /*   98560 */     // GIR_Coverage, 51693,
     /*   98560 */     GIR_EraseRootFromParent_Done,
     /*   98561 */   // Label 1537: @98561
     /*   98561 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98650), // Rule ID 51392 //
     /*   98566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98600 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98609 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98648 */     GIR_RootConstrainSelectedInstOperands,
     /*   98649 */     // GIR_Coverage, 51392,
     /*   98649 */     GIR_EraseRootFromParent_Done,
     /*   98650 */   // Label 1538: @98650
     /*   98650 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98739), // Rule ID 51393 //
     /*   98655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98689 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98698 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98737 */     GIR_RootConstrainSelectedInstOperands,
     /*   98738 */     // GIR_Coverage, 51393,
     /*   98738 */     GIR_EraseRootFromParent_Done,
     /*   98739 */   // Label 1539: @98739
     /*   98739 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98828), // Rule ID 51632 //
     /*   98744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98778 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98780 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98787 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98826 */     GIR_RootConstrainSelectedInstOperands,
     /*   98827 */     // GIR_Coverage, 51632,
     /*   98827 */     GIR_EraseRootFromParent_Done,
     /*   98828 */   // Label 1540: @98828
     /*   98828 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98917), // Rule ID 51633 //
     /*   98833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98867 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98869 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98876 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98915 */     GIR_RootConstrainSelectedInstOperands,
     /*   98916 */     // GIR_Coverage, 51633,
     /*   98916 */     GIR_EraseRootFromParent_Done,
     /*   98917 */   // Label 1541: @98917
     /*   98917 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(99006), // Rule ID 51572 //
     /*   98922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98956 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98965 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99004 */     GIR_RootConstrainSelectedInstOperands,
     /*   99005 */     // GIR_Coverage, 51572,
     /*   99005 */     GIR_EraseRootFromParent_Done,
     /*   99006 */   // Label 1542: @99006
     /*   99006 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(99095), // Rule ID 51573 //
     /*   99011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99045 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99047 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99052 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99054 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99093 */     GIR_RootConstrainSelectedInstOperands,
     /*   99094 */     // GIR_Coverage, 51573,
     /*   99094 */     GIR_EraseRootFromParent_Done,
     /*   99095 */   // Label 1543: @99095
     /*   99095 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(99184), // Rule ID 70087 //
     /*   99100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99134 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99143 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99182 */     GIR_RootConstrainSelectedInstOperands,
     /*   99183 */     // GIR_Coverage, 70087,
     /*   99183 */     GIR_EraseRootFromParent_Done,
     /*   99184 */   // Label 1544: @99184
     /*   99184 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(99273), // Rule ID 70088 //
     /*   99189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99223 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99232 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99271 */     GIR_RootConstrainSelectedInstOperands,
     /*   99272 */     // GIR_Coverage, 70088,
     /*   99272 */     GIR_EraseRootFromParent_Done,
     /*   99273 */   // Label 1545: @99273
     /*   99273 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(99362), // Rule ID 51452 //
     /*   99278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99293 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99321 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99360 */     GIR_RootConstrainSelectedInstOperands,
     /*   99361 */     // GIR_Coverage, 51452,
     /*   99361 */     GIR_EraseRootFromParent_Done,
     /*   99362 */   // Label 1546: @99362
     /*   99362 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(99451), // Rule ID 51453 //
     /*   99367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99401 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99410 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99449 */     GIR_RootConstrainSelectedInstOperands,
     /*   99450 */     // GIR_Coverage, 51453,
     /*   99450 */     GIR_EraseRootFromParent_Done,
     /*   99451 */   // Label 1547: @99451
     /*   99451 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(99504), // Rule ID 50786 //
     /*   99456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99467 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99502 */     GIR_RootConstrainSelectedInstOperands,
     /*   99503 */     // GIR_Coverage, 50786,
     /*   99503 */     GIR_EraseRootFromParent_Done,
     /*   99504 */   // Label 1548: @99504
     /*   99504 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99557), // Rule ID 50787 //
     /*   99509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99520 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99555 */     GIR_RootConstrainSelectedInstOperands,
     /*   99556 */     // GIR_Coverage, 50787,
     /*   99556 */     GIR_EraseRootFromParent_Done,
     /*   99557 */   // Label 1549: @99557
     /*   99557 */   GIM_Reject,
     /*   99558 */ // Label 1529: @99558
     /*   99558 */ GIM_Reject,
     /*   99559 */ // Label 1252: @99559
     /*   99559 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(101283),
     /*   99564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   99567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   99570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   99574 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99663), // Rule ID 51536 //
     /*   99579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99613 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99615 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99622 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99661 */     GIR_RootConstrainSelectedInstOperands,
     /*   99662 */     // GIR_Coverage, 51536,
     /*   99662 */     GIR_EraseRootFromParent_Done,
     /*   99663 */   // Label 1551: @99663
     /*   99663 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99752), // Rule ID 51537 //
     /*   99668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99702 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99711 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99750 */     GIR_RootConstrainSelectedInstOperands,
     /*   99751 */     // GIR_Coverage, 51537,
     /*   99751 */     GIR_EraseRootFromParent_Done,
     /*   99752 */   // Label 1552: @99752
     /*   99752 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99841), // Rule ID 70171 //
     /*   99757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99791 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99800 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99839 */     GIR_RootConstrainSelectedInstOperands,
     /*   99840 */     // GIR_Coverage, 70171,
     /*   99840 */     GIR_EraseRootFromParent_Done,
     /*   99841 */   // Label 1553: @99841
     /*   99841 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99930), // Rule ID 70172 //
     /*   99846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99889 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99928 */     GIR_RootConstrainSelectedInstOperands,
     /*   99929 */     // GIR_Coverage, 70172,
     /*   99929 */     GIR_EraseRootFromParent_Done,
     /*   99930 */   // Label 1554: @99930
     /*   99930 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(100019), // Rule ID 70051 //
     /*   99935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99978 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100017 */     GIR_RootConstrainSelectedInstOperands,
     /*  100018 */     // GIR_Coverage, 70051,
     /*  100018 */     GIR_EraseRootFromParent_Done,
     /*  100019 */   // Label 1555: @100019
     /*  100019 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(100108), // Rule ID 70052 //
     /*  100024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100058 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100067 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100106 */     GIR_RootConstrainSelectedInstOperands,
     /*  100107 */     // GIR_Coverage, 70052,
     /*  100107 */     GIR_EraseRootFromParent_Done,
     /*  100108 */   // Label 1556: @100108
     /*  100108 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(100197), // Rule ID 51716 //
     /*  100113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100147 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100156 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100195 */     GIR_RootConstrainSelectedInstOperands,
     /*  100196 */     // GIR_Coverage, 51716,
     /*  100196 */     GIR_EraseRootFromParent_Done,
     /*  100197 */   // Label 1557: @100197
     /*  100197 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(100286), // Rule ID 51717 //
     /*  100202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100236 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100245 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100284 */     GIR_RootConstrainSelectedInstOperands,
     /*  100285 */     // GIR_Coverage, 51717,
     /*  100285 */     GIR_EraseRootFromParent_Done,
     /*  100286 */   // Label 1558: @100286
     /*  100286 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(100375), // Rule ID 51416 //
     /*  100291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100325 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100334 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100373 */     GIR_RootConstrainSelectedInstOperands,
     /*  100374 */     // GIR_Coverage, 51416,
     /*  100374 */     GIR_EraseRootFromParent_Done,
     /*  100375 */   // Label 1559: @100375
     /*  100375 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100464), // Rule ID 51417 //
     /*  100380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100423 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100462 */     GIR_RootConstrainSelectedInstOperands,
     /*  100463 */     // GIR_Coverage, 51417,
     /*  100463 */     GIR_EraseRootFromParent_Done,
     /*  100464 */   // Label 1560: @100464
     /*  100464 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100553), // Rule ID 51656 //
     /*  100469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100512 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100551 */     GIR_RootConstrainSelectedInstOperands,
     /*  100552 */     // GIR_Coverage, 51656,
     /*  100552 */     GIR_EraseRootFromParent_Done,
     /*  100553 */   // Label 1561: @100553
     /*  100553 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100642), // Rule ID 51657 //
     /*  100558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100601 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100640 */     GIR_RootConstrainSelectedInstOperands,
     /*  100641 */     // GIR_Coverage, 51657,
     /*  100641 */     GIR_EraseRootFromParent_Done,
     /*  100642 */   // Label 1562: @100642
     /*  100642 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(100731), // Rule ID 51596 //
     /*  100647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100690 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100729 */     GIR_RootConstrainSelectedInstOperands,
     /*  100730 */     // GIR_Coverage, 51596,
     /*  100730 */     GIR_EraseRootFromParent_Done,
     /*  100731 */   // Label 1563: @100731
     /*  100731 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100820), // Rule ID 51597 //
     /*  100736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100779 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100818 */     GIR_RootConstrainSelectedInstOperands,
     /*  100819 */     // GIR_Coverage, 51597,
     /*  100819 */     GIR_EraseRootFromParent_Done,
     /*  100820 */   // Label 1564: @100820
     /*  100820 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(100909), // Rule ID 70111 //
     /*  100825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100868 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100907 */     GIR_RootConstrainSelectedInstOperands,
     /*  100908 */     // GIR_Coverage, 70111,
     /*  100908 */     GIR_EraseRootFromParent_Done,
     /*  100909 */   // Label 1565: @100909
     /*  100909 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100998), // Rule ID 70112 //
     /*  100914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100948 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100957 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100996 */     GIR_RootConstrainSelectedInstOperands,
     /*  100997 */     // GIR_Coverage, 70112,
     /*  100997 */     GIR_EraseRootFromParent_Done,
     /*  100998 */   // Label 1566: @100998
     /*  100998 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(101087), // Rule ID 51476 //
     /*  101003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101037 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101046 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  101046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101085 */     GIR_RootConstrainSelectedInstOperands,
     /*  101086 */     // GIR_Coverage, 51476,
     /*  101086 */     GIR_EraseRootFromParent_Done,
     /*  101087 */   // Label 1567: @101087
     /*  101087 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(101176), // Rule ID 51477 //
     /*  101092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101126 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101135 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  101135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101174 */     GIR_RootConstrainSelectedInstOperands,
     /*  101175 */     // GIR_Coverage, 51477,
     /*  101175 */     GIR_EraseRootFromParent_Done,
     /*  101176 */   // Label 1568: @101176
     /*  101176 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(101229), // Rule ID 50802 //
     /*  101181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101192 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101227 */     GIR_RootConstrainSelectedInstOperands,
     /*  101228 */     // GIR_Coverage, 50802,
     /*  101228 */     GIR_EraseRootFromParent_Done,
     /*  101229 */   // Label 1569: @101229
     /*  101229 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(101282), // Rule ID 50803 //
     /*  101234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101245 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101280 */     GIR_RootConstrainSelectedInstOperands,
     /*  101281 */     // GIR_Coverage, 50803,
     /*  101281 */     GIR_EraseRootFromParent_Done,
     /*  101282 */   // Label 1570: @101282
     /*  101282 */   GIM_Reject,
     /*  101283 */ // Label 1550: @101283
     /*  101283 */ GIM_Reject,
     /*  101284 */ // Label 1253: @101284
     /*  101284 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(101398),
     /*  101289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  101295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101307 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(101352), // Rule ID 50774 //
     /*  101312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101315 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101350 */     GIR_RootConstrainSelectedInstOperands,
     /*  101351 */     // GIR_Coverage, 50774,
     /*  101351 */     GIR_EraseRootFromParent_Done,
     /*  101352 */   // Label 1572: @101352
     /*  101352 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101397), // Rule ID 50775 //
     /*  101357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101360 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101395 */     GIR_RootConstrainSelectedInstOperands,
     /*  101396 */     // GIR_Coverage, 50775,
     /*  101396 */     GIR_EraseRootFromParent_Done,
     /*  101397 */   // Label 1573: @101397
     /*  101397 */   GIM_Reject,
     /*  101398 */ // Label 1571: @101398
     /*  101398 */ GIM_Reject,
     /*  101399 */ // Label 1254: @101399
     /*  101399 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(103123),
     /*  101404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  101407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  101410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101414 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101503), // Rule ID 51516 //
     /*  101419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101462 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101501 */     GIR_RootConstrainSelectedInstOperands,
     /*  101502 */     // GIR_Coverage, 51516,
     /*  101502 */     GIR_EraseRootFromParent_Done,
     /*  101503 */   // Label 1575: @101503
     /*  101503 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101592), // Rule ID 51517 //
     /*  101508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101551 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101590 */     GIR_RootConstrainSelectedInstOperands,
     /*  101591 */     // GIR_Coverage, 51517,
     /*  101591 */     GIR_EraseRootFromParent_Done,
     /*  101592 */   // Label 1576: @101592
     /*  101592 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101681), // Rule ID 70151 //
     /*  101597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101640 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101679 */     GIR_RootConstrainSelectedInstOperands,
     /*  101680 */     // GIR_Coverage, 70151,
     /*  101680 */     GIR_EraseRootFromParent_Done,
     /*  101681 */   // Label 1577: @101681
     /*  101681 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101770), // Rule ID 70152 //
     /*  101686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101729 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101768 */     GIR_RootConstrainSelectedInstOperands,
     /*  101769 */     // GIR_Coverage, 70152,
     /*  101769 */     GIR_EraseRootFromParent_Done,
     /*  101770 */   // Label 1578: @101770
     /*  101770 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101859), // Rule ID 70031 //
     /*  101775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101818 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101857 */     GIR_RootConstrainSelectedInstOperands,
     /*  101858 */     // GIR_Coverage, 70031,
     /*  101858 */     GIR_EraseRootFromParent_Done,
     /*  101859 */   // Label 1579: @101859
     /*  101859 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101948), // Rule ID 70032 //
     /*  101864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101879 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101907 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101946 */     GIR_RootConstrainSelectedInstOperands,
     /*  101947 */     // GIR_Coverage, 70032,
     /*  101947 */     GIR_EraseRootFromParent_Done,
     /*  101948 */   // Label 1580: @101948
     /*  101948 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(102037), // Rule ID 51696 //
     /*  101953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101996 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102035 */     GIR_RootConstrainSelectedInstOperands,
     /*  102036 */     // GIR_Coverage, 51696,
     /*  102036 */     GIR_EraseRootFromParent_Done,
     /*  102037 */   // Label 1581: @102037
     /*  102037 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(102126), // Rule ID 51697 //
     /*  102042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102085 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102124 */     GIR_RootConstrainSelectedInstOperands,
     /*  102125 */     // GIR_Coverage, 51697,
     /*  102125 */     GIR_EraseRootFromParent_Done,
     /*  102126 */   // Label 1582: @102126
     /*  102126 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(102215), // Rule ID 51396 //
     /*  102131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102174 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102213 */     GIR_RootConstrainSelectedInstOperands,
     /*  102214 */     // GIR_Coverage, 51396,
     /*  102214 */     GIR_EraseRootFromParent_Done,
     /*  102215 */   // Label 1583: @102215
     /*  102215 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(102304), // Rule ID 51397 //
     /*  102220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102263 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102302 */     GIR_RootConstrainSelectedInstOperands,
     /*  102303 */     // GIR_Coverage, 51397,
     /*  102303 */     GIR_EraseRootFromParent_Done,
     /*  102304 */   // Label 1584: @102304
     /*  102304 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(102393), // Rule ID 51636 //
     /*  102309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102352 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102391 */     GIR_RootConstrainSelectedInstOperands,
     /*  102392 */     // GIR_Coverage, 51636,
     /*  102392 */     GIR_EraseRootFromParent_Done,
     /*  102393 */   // Label 1585: @102393
     /*  102393 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(102482), // Rule ID 51637 //
     /*  102398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102441 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102480 */     GIR_RootConstrainSelectedInstOperands,
     /*  102481 */     // GIR_Coverage, 51637,
     /*  102481 */     GIR_EraseRootFromParent_Done,
     /*  102482 */   // Label 1586: @102482
     /*  102482 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(102571), // Rule ID 51576 //
     /*  102487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102530 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102569 */     GIR_RootConstrainSelectedInstOperands,
     /*  102570 */     // GIR_Coverage, 51576,
     /*  102570 */     GIR_EraseRootFromParent_Done,
     /*  102571 */   // Label 1587: @102571
     /*  102571 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102660), // Rule ID 51577 //
     /*  102576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102619 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102658 */     GIR_RootConstrainSelectedInstOperands,
     /*  102659 */     // GIR_Coverage, 51577,
     /*  102659 */     GIR_EraseRootFromParent_Done,
     /*  102660 */   // Label 1588: @102660
     /*  102660 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102749), // Rule ID 70091 //
     /*  102665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102680 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102708 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102747 */     GIR_RootConstrainSelectedInstOperands,
     /*  102748 */     // GIR_Coverage, 70091,
     /*  102748 */     GIR_EraseRootFromParent_Done,
     /*  102749 */   // Label 1589: @102749
     /*  102749 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102838), // Rule ID 70092 //
     /*  102754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102769 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102788 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102797 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102836 */     GIR_RootConstrainSelectedInstOperands,
     /*  102837 */     // GIR_Coverage, 70092,
     /*  102837 */     GIR_EraseRootFromParent_Done,
     /*  102838 */   // Label 1590: @102838
     /*  102838 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102927), // Rule ID 51456 //
     /*  102843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102886 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102925 */     GIR_RootConstrainSelectedInstOperands,
     /*  102926 */     // GIR_Coverage, 51456,
     /*  102926 */     GIR_EraseRootFromParent_Done,
     /*  102927 */   // Label 1591: @102927
     /*  102927 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(103016), // Rule ID 51457 //
     /*  102932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102947 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102975 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103014 */     GIR_RootConstrainSelectedInstOperands,
     /*  103015 */     // GIR_Coverage, 51457,
     /*  103015 */     GIR_EraseRootFromParent_Done,
     /*  103016 */   // Label 1592: @103016
     /*  103016 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(103069), // Rule ID 50790 //
     /*  103021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103032 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103067 */     GIR_RootConstrainSelectedInstOperands,
     /*  103068 */     // GIR_Coverage, 50790,
     /*  103068 */     GIR_EraseRootFromParent_Done,
     /*  103069 */   // Label 1593: @103069
     /*  103069 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(103122), // Rule ID 50791 //
     /*  103074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103085 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103120 */     GIR_RootConstrainSelectedInstOperands,
     /*  103121 */     // GIR_Coverage, 50791,
     /*  103121 */     GIR_EraseRootFromParent_Done,
     /*  103122 */   // Label 1594: @103122
     /*  103122 */   GIM_Reject,
     /*  103123 */ // Label 1574: @103123
     /*  103123 */ GIM_Reject,
     /*  103124 */ // Label 1255: @103124
     /*  103124 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(103238),
     /*  103129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  103132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  103135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103147 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(103192), // Rule ID 50778 //
     /*  103152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103155 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103190 */     GIR_RootConstrainSelectedInstOperands,
     /*  103191 */     // GIR_Coverage, 50778,
     /*  103191 */     GIR_EraseRootFromParent_Done,
     /*  103192 */   // Label 1596: @103192
     /*  103192 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(103237), // Rule ID 50779 //
     /*  103197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103200 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103235 */     GIR_RootConstrainSelectedInstOperands,
     /*  103236 */     // GIR_Coverage, 50779,
     /*  103236 */     GIR_EraseRootFromParent_Done,
     /*  103237 */   // Label 1597: @103237
     /*  103237 */   GIM_Reject,
     /*  103238 */ // Label 1595: @103238
     /*  103238 */ GIM_Reject,
     /*  103239 */ // Label 1256: @103239
     /*  103239 */ GIM_Reject,
     /*  103240 */ // Label 3: @103240
     /*  103240 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1622*/ GIMT_Encode4(105973),
     /*  103251 */ /*GILLT_s32*//*Label 1598*/ GIMT_Encode4(103375),
     /*  103255 */ /*GILLT_s64*//*Label 1599*/ GIMT_Encode4(103409), GIMT_Encode4(0),
     /*  103263 */ /*GILLT_nxv1s8*//*Label 1600*/ GIMT_Encode4(103443),
     /*  103267 */ /*GILLT_nxv1s16*//*Label 1601*/ GIMT_Encode4(103558),
     /*  103271 */ /*GILLT_nxv1s32*//*Label 1602*/ GIMT_Encode4(103673),
     /*  103275 */ /*GILLT_nxv1s64*//*Label 1603*/ GIMT_Encode4(103788), GIMT_Encode4(0),
     /*  103283 */ /*GILLT_nxv2s8*//*Label 1604*/ GIMT_Encode4(103903),
     /*  103287 */ /*GILLT_nxv2s16*//*Label 1605*/ GIMT_Encode4(104018),
     /*  103291 */ /*GILLT_nxv2s32*//*Label 1606*/ GIMT_Encode4(104133),
     /*  103295 */ /*GILLT_nxv2s64*//*Label 1607*/ GIMT_Encode4(104248), GIMT_Encode4(0),
     /*  103303 */ /*GILLT_nxv4s8*//*Label 1608*/ GIMT_Encode4(104363),
     /*  103307 */ /*GILLT_nxv4s16*//*Label 1609*/ GIMT_Encode4(104478),
     /*  103311 */ /*GILLT_nxv4s32*//*Label 1610*/ GIMT_Encode4(104593),
     /*  103315 */ /*GILLT_nxv4s64*//*Label 1611*/ GIMT_Encode4(104708), GIMT_Encode4(0),
     /*  103323 */ /*GILLT_nxv8s8*//*Label 1612*/ GIMT_Encode4(104823),
     /*  103327 */ /*GILLT_nxv8s16*//*Label 1613*/ GIMT_Encode4(104938),
     /*  103331 */ /*GILLT_nxv8s32*//*Label 1614*/ GIMT_Encode4(105053),
     /*  103335 */ /*GILLT_nxv8s64*//*Label 1615*/ GIMT_Encode4(105168), GIMT_Encode4(0),
     /*  103343 */ /*GILLT_nxv16s8*//*Label 1616*/ GIMT_Encode4(105283),
     /*  103347 */ /*GILLT_nxv16s16*//*Label 1617*/ GIMT_Encode4(105398),
     /*  103351 */ /*GILLT_nxv16s32*//*Label 1618*/ GIMT_Encode4(105513), GIMT_Encode4(0),
     /*  103359 */ /*GILLT_nxv32s8*//*Label 1619*/ GIMT_Encode4(105628),
     /*  103363 */ /*GILLT_nxv32s16*//*Label 1620*/ GIMT_Encode4(105743), GIMT_Encode4(0),
     /*  103371 */ /*GILLT_nxv64s8*//*Label 1621*/ GIMT_Encode4(105858),
     /*  103375 */ // Label 1598: @103375
     /*  103375 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(103408), // Rule ID 298 //
     /*  103380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  103383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  103386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  103389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103401 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  103401 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103406 */   GIR_RootConstrainSelectedInstOperands,
     /*  103407 */   // GIR_Coverage, 298,
     /*  103407 */   GIR_Done,
     /*  103408 */ // Label 1623: @103408
     /*  103408 */ GIM_Reject,
     /*  103409 */ // Label 1599: @103409
     /*  103409 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(103442), // Rule ID 297 //
     /*  103414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  103417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  103420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  103423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103435 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103435 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103440 */   GIR_RootConstrainSelectedInstOperands,
     /*  103441 */   // GIR_Coverage, 297,
     /*  103441 */   GIR_Done,
     /*  103442 */ // Label 1624: @103442
     /*  103442 */ GIM_Reject,
     /*  103443 */ // Label 1600: @103443
     /*  103443 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(103557),
     /*  103448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  103451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  103454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103466 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(103511), // Rule ID 51082 //
     /*  103471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103474 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103509 */     GIR_RootConstrainSelectedInstOperands,
     /*  103510 */     // GIR_Coverage, 51082,
     /*  103510 */     GIR_EraseRootFromParent_Done,
     /*  103511 */   // Label 1626: @103511
     /*  103511 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(103556), // Rule ID 51083 //
     /*  103516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103519 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103554 */     GIR_RootConstrainSelectedInstOperands,
     /*  103555 */     // GIR_Coverage, 51083,
     /*  103555 */     GIR_EraseRootFromParent_Done,
     /*  103556 */   // Label 1627: @103556
     /*  103556 */   GIM_Reject,
     /*  103557 */ // Label 1625: @103557
     /*  103557 */ GIM_Reject,
     /*  103558 */ // Label 1601: @103558
     /*  103558 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(103672),
     /*  103563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  103566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  103569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103581 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(103626), // Rule ID 51094 //
     /*  103586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103589 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103624 */     GIR_RootConstrainSelectedInstOperands,
     /*  103625 */     // GIR_Coverage, 51094,
     /*  103625 */     GIR_EraseRootFromParent_Done,
     /*  103626 */   // Label 1629: @103626
     /*  103626 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(103671), // Rule ID 51095 //
     /*  103631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103634 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103669 */     GIR_RootConstrainSelectedInstOperands,
     /*  103670 */     // GIR_Coverage, 51095,
     /*  103670 */     GIR_EraseRootFromParent_Done,
     /*  103671 */   // Label 1630: @103671
     /*  103671 */   GIM_Reject,
     /*  103672 */ // Label 1628: @103672
     /*  103672 */ GIM_Reject,
     /*  103673 */ // Label 1602: @103673
     /*  103673 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(103787),
     /*  103678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  103681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  103684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103696 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(103741), // Rule ID 51102 //
     /*  103701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103704 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  103704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103739 */     GIR_RootConstrainSelectedInstOperands,
     /*  103740 */     // GIR_Coverage, 51102,
     /*  103740 */     GIR_EraseRootFromParent_Done,
     /*  103741 */   // Label 1632: @103741
     /*  103741 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(103786), // Rule ID 51103 //
     /*  103746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103749 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  103749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103784 */     GIR_RootConstrainSelectedInstOperands,
     /*  103785 */     // GIR_Coverage, 51103,
     /*  103785 */     GIR_EraseRootFromParent_Done,
     /*  103786 */   // Label 1633: @103786
     /*  103786 */   GIM_Reject,
     /*  103787 */ // Label 1631: @103787
     /*  103787 */ GIM_Reject,
     /*  103788 */ // Label 1603: @103788
     /*  103788 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(103902),
     /*  103793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  103796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  103799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103811 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(103856), // Rule ID 51118 //
     /*  103816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  103819 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  103819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103854 */     GIR_RootConstrainSelectedInstOperands,
     /*  103855 */     // GIR_Coverage, 51118,
     /*  103855 */     GIR_EraseRootFromParent_Done,
     /*  103856 */   // Label 1635: @103856
     /*  103856 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(103901), // Rule ID 51119 //
     /*  103861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  103864 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  103864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103899 */     GIR_RootConstrainSelectedInstOperands,
     /*  103900 */     // GIR_Coverage, 51119,
     /*  103900 */     GIR_EraseRootFromParent_Done,
     /*  103901 */   // Label 1636: @103901
     /*  103901 */   GIM_Reject,
     /*  103902 */ // Label 1634: @103902
     /*  103902 */ GIM_Reject,
     /*  103903 */ // Label 1604: @103903
     /*  103903 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(104017),
     /*  103908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  103911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  103914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103926 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(103971), // Rule ID 51086 //
     /*  103931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103934 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103969 */     GIR_RootConstrainSelectedInstOperands,
     /*  103970 */     // GIR_Coverage, 51086,
     /*  103970 */     GIR_EraseRootFromParent_Done,
     /*  103971 */   // Label 1638: @103971
     /*  103971 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(104016), // Rule ID 51087 //
     /*  103976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103979 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104014 */     GIR_RootConstrainSelectedInstOperands,
     /*  104015 */     // GIR_Coverage, 51087,
     /*  104015 */     GIR_EraseRootFromParent_Done,
     /*  104016 */   // Label 1639: @104016
     /*  104016 */   GIM_Reject,
     /*  104017 */ // Label 1637: @104017
     /*  104017 */ GIM_Reject,
     /*  104018 */ // Label 1605: @104018
     /*  104018 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(104132),
     /*  104023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  104026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  104029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104041 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(104086), // Rule ID 51098 //
     /*  104046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104049 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104084 */     GIR_RootConstrainSelectedInstOperands,
     /*  104085 */     // GIR_Coverage, 51098,
     /*  104085 */     GIR_EraseRootFromParent_Done,
     /*  104086 */   // Label 1641: @104086
     /*  104086 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(104131), // Rule ID 51099 //
     /*  104091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104094 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104129 */     GIR_RootConstrainSelectedInstOperands,
     /*  104130 */     // GIR_Coverage, 51099,
     /*  104130 */     GIR_EraseRootFromParent_Done,
     /*  104131 */   // Label 1642: @104131
     /*  104131 */   GIM_Reject,
     /*  104132 */ // Label 1640: @104132
     /*  104132 */ GIM_Reject,
     /*  104133 */ // Label 1606: @104133
     /*  104133 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(104247),
     /*  104138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  104141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  104144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104156 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(104201), // Rule ID 51114 //
     /*  104161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104164 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104199 */     GIR_RootConstrainSelectedInstOperands,
     /*  104200 */     // GIR_Coverage, 51114,
     /*  104200 */     GIR_EraseRootFromParent_Done,
     /*  104201 */   // Label 1644: @104201
     /*  104201 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(104246), // Rule ID 51115 //
     /*  104206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104209 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104244 */     GIR_RootConstrainSelectedInstOperands,
     /*  104245 */     // GIR_Coverage, 51115,
     /*  104245 */     GIR_EraseRootFromParent_Done,
     /*  104246 */   // Label 1645: @104246
     /*  104246 */   GIM_Reject,
     /*  104247 */ // Label 1643: @104247
     /*  104247 */ GIM_Reject,
     /*  104248 */ // Label 1607: @104248
     /*  104248 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(104362),
     /*  104253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  104256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  104259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104271 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(104316), // Rule ID 51158 //
     /*  104276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104279 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104314 */     GIR_RootConstrainSelectedInstOperands,
     /*  104315 */     // GIR_Coverage, 51158,
     /*  104315 */     GIR_EraseRootFromParent_Done,
     /*  104316 */   // Label 1647: @104316
     /*  104316 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(104361), // Rule ID 51159 //
     /*  104321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104324 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104359 */     GIR_RootConstrainSelectedInstOperands,
     /*  104360 */     // GIR_Coverage, 51159,
     /*  104360 */     GIR_EraseRootFromParent_Done,
     /*  104361 */   // Label 1648: @104361
     /*  104361 */   GIM_Reject,
     /*  104362 */ // Label 1646: @104362
     /*  104362 */ GIM_Reject,
     /*  104363 */ // Label 1608: @104363
     /*  104363 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(104477),
     /*  104368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  104371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  104374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104386 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(104431), // Rule ID 51090 //
     /*  104391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104394 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104429 */     GIR_RootConstrainSelectedInstOperands,
     /*  104430 */     // GIR_Coverage, 51090,
     /*  104430 */     GIR_EraseRootFromParent_Done,
     /*  104431 */   // Label 1650: @104431
     /*  104431 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(104476), // Rule ID 51091 //
     /*  104436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104439 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104474 */     GIR_RootConstrainSelectedInstOperands,
     /*  104475 */     // GIR_Coverage, 51091,
     /*  104475 */     GIR_EraseRootFromParent_Done,
     /*  104476 */   // Label 1651: @104476
     /*  104476 */   GIM_Reject,
     /*  104477 */ // Label 1649: @104477
     /*  104477 */ GIM_Reject,
     /*  104478 */ // Label 1609: @104478
     /*  104478 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(104592),
     /*  104483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  104486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  104489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104501 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(104546), // Rule ID 51110 //
     /*  104506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104509 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104544 */     GIR_RootConstrainSelectedInstOperands,
     /*  104545 */     // GIR_Coverage, 51110,
     /*  104545 */     GIR_EraseRootFromParent_Done,
     /*  104546 */   // Label 1653: @104546
     /*  104546 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(104591), // Rule ID 51111 //
     /*  104551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104554 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104589 */     GIR_RootConstrainSelectedInstOperands,
     /*  104590 */     // GIR_Coverage, 51111,
     /*  104590 */     GIR_EraseRootFromParent_Done,
     /*  104591 */   // Label 1654: @104591
     /*  104591 */   GIM_Reject,
     /*  104592 */ // Label 1652: @104592
     /*  104592 */ GIM_Reject,
     /*  104593 */ // Label 1610: @104593
     /*  104593 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(104707),
     /*  104598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  104601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  104604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104616 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(104661), // Rule ID 51146 //
     /*  104621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104624 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104659 */     GIR_RootConstrainSelectedInstOperands,
     /*  104660 */     // GIR_Coverage, 51146,
     /*  104660 */     GIR_EraseRootFromParent_Done,
     /*  104661 */   // Label 1656: @104661
     /*  104661 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(104706), // Rule ID 51147 //
     /*  104666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104669 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104704 */     GIR_RootConstrainSelectedInstOperands,
     /*  104705 */     // GIR_Coverage, 51147,
     /*  104705 */     GIR_EraseRootFromParent_Done,
     /*  104706 */   // Label 1657: @104706
     /*  104706 */   GIM_Reject,
     /*  104707 */ // Label 1655: @104707
     /*  104707 */ GIM_Reject,
     /*  104708 */ // Label 1611: @104708
     /*  104708 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(104822),
     /*  104713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  104716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  104719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104731 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(104776), // Rule ID 51162 //
     /*  104736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104739 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104774 */     GIR_RootConstrainSelectedInstOperands,
     /*  104775 */     // GIR_Coverage, 51162,
     /*  104775 */     GIR_EraseRootFromParent_Done,
     /*  104776 */   // Label 1659: @104776
     /*  104776 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(104821), // Rule ID 51163 //
     /*  104781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104784 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104819 */     GIR_RootConstrainSelectedInstOperands,
     /*  104820 */     // GIR_Coverage, 51163,
     /*  104820 */     GIR_EraseRootFromParent_Done,
     /*  104821 */   // Label 1660: @104821
     /*  104821 */   GIM_Reject,
     /*  104822 */ // Label 1658: @104822
     /*  104822 */ GIM_Reject,
     /*  104823 */ // Label 1612: @104823
     /*  104823 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(104937),
     /*  104828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  104831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  104834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104846 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(104891), // Rule ID 51106 //
     /*  104851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104854 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104889 */     GIR_RootConstrainSelectedInstOperands,
     /*  104890 */     // GIR_Coverage, 51106,
     /*  104890 */     GIR_EraseRootFromParent_Done,
     /*  104891 */   // Label 1662: @104891
     /*  104891 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(104936), // Rule ID 51107 //
     /*  104896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104899 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104934 */     GIR_RootConstrainSelectedInstOperands,
     /*  104935 */     // GIR_Coverage, 51107,
     /*  104935 */     GIR_EraseRootFromParent_Done,
     /*  104936 */   // Label 1663: @104936
     /*  104936 */   GIM_Reject,
     /*  104937 */ // Label 1661: @104937
     /*  104937 */ GIM_Reject,
     /*  104938 */ // Label 1613: @104938
     /*  104938 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(105052),
     /*  104943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  104946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  104949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104961 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(105006), // Rule ID 51134 //
     /*  104966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104969 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  104972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  104986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105004 */     GIR_RootConstrainSelectedInstOperands,
     /*  105005 */     // GIR_Coverage, 51134,
     /*  105005 */     GIR_EraseRootFromParent_Done,
     /*  105006 */   // Label 1665: @105006
     /*  105006 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(105051), // Rule ID 51135 //
     /*  105011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105014 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  105017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  105031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105049 */     GIR_RootConstrainSelectedInstOperands,
     /*  105050 */     // GIR_Coverage, 51135,
     /*  105050 */     GIR_EraseRootFromParent_Done,
     /*  105051 */   // Label 1666: @105051
     /*  105051 */   GIM_Reject,
     /*  105052 */ // Label 1664: @105052
     /*  105052 */ GIM_Reject,
     /*  105053 */ // Label 1614: @105053
     /*  105053 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(105167),
     /*  105058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  105061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  105064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105076 */   GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(105121), // Rule ID 51150 //
     /*  105081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105084 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105119 */     GIR_RootConstrainSelectedInstOperands,
     /*  105120 */     // GIR_Coverage, 51150,
     /*  105120 */     GIR_EraseRootFromParent_Done,
     /*  105121 */   // Label 1668: @105121
     /*  105121 */   GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(105166), // Rule ID 51151 //
     /*  105126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105129 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105164 */     GIR_RootConstrainSelectedInstOperands,
     /*  105165 */     // GIR_Coverage, 51151,
     /*  105165 */     GIR_EraseRootFromParent_Done,
     /*  105166 */   // Label 1669: @105166
     /*  105166 */   GIM_Reject,
     /*  105167 */ // Label 1667: @105167
     /*  105167 */ GIM_Reject,
     /*  105168 */ // Label 1615: @105168
     /*  105168 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(105282),
     /*  105173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  105176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  105179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105191 */   GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(105236), // Rule ID 51166 //
     /*  105196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  105199 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  105199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105234 */     GIR_RootConstrainSelectedInstOperands,
     /*  105235 */     // GIR_Coverage, 51166,
     /*  105235 */     GIR_EraseRootFromParent_Done,
     /*  105236 */   // Label 1671: @105236
     /*  105236 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(105281), // Rule ID 51167 //
     /*  105241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  105244 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  105244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105279 */     GIR_RootConstrainSelectedInstOperands,
     /*  105280 */     // GIR_Coverage, 51167,
     /*  105280 */     GIR_EraseRootFromParent_Done,
     /*  105281 */   // Label 1672: @105281
     /*  105281 */   GIM_Reject,
     /*  105282 */ // Label 1670: @105282
     /*  105282 */ GIM_Reject,
     /*  105283 */ // Label 1616: @105283
     /*  105283 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(105397),
     /*  105288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  105291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  105294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105306 */   GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(105351), // Rule ID 51122 //
     /*  105311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105314 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105349 */     GIR_RootConstrainSelectedInstOperands,
     /*  105350 */     // GIR_Coverage, 51122,
     /*  105350 */     GIR_EraseRootFromParent_Done,
     /*  105351 */   // Label 1674: @105351
     /*  105351 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(105396), // Rule ID 51123 //
     /*  105356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105359 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105394 */     GIR_RootConstrainSelectedInstOperands,
     /*  105395 */     // GIR_Coverage, 51123,
     /*  105395 */     GIR_EraseRootFromParent_Done,
     /*  105396 */   // Label 1675: @105396
     /*  105396 */   GIM_Reject,
     /*  105397 */ // Label 1673: @105397
     /*  105397 */ GIM_Reject,
     /*  105398 */ // Label 1617: @105398
     /*  105398 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(105512),
     /*  105403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  105409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105421 */   GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(105466), // Rule ID 51138 //
     /*  105426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105429 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105464 */     GIR_RootConstrainSelectedInstOperands,
     /*  105465 */     // GIR_Coverage, 51138,
     /*  105465 */     GIR_EraseRootFromParent_Done,
     /*  105466 */   // Label 1677: @105466
     /*  105466 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(105511), // Rule ID 51139 //
     /*  105471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105474 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105509 */     GIR_RootConstrainSelectedInstOperands,
     /*  105510 */     // GIR_Coverage, 51139,
     /*  105510 */     GIR_EraseRootFromParent_Done,
     /*  105511 */   // Label 1678: @105511
     /*  105511 */   GIM_Reject,
     /*  105512 */ // Label 1676: @105512
     /*  105512 */ GIM_Reject,
     /*  105513 */ // Label 1618: @105513
     /*  105513 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(105627),
     /*  105518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  105521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  105524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105536 */   GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(105581), // Rule ID 51154 //
     /*  105541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105544 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105579 */     GIR_RootConstrainSelectedInstOperands,
     /*  105580 */     // GIR_Coverage, 51154,
     /*  105580 */     GIR_EraseRootFromParent_Done,
     /*  105581 */   // Label 1680: @105581
     /*  105581 */   GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(105626), // Rule ID 51155 //
     /*  105586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105589 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105624 */     GIR_RootConstrainSelectedInstOperands,
     /*  105625 */     // GIR_Coverage, 51155,
     /*  105625 */     GIR_EraseRootFromParent_Done,
     /*  105626 */   // Label 1681: @105626
     /*  105626 */   GIM_Reject,
     /*  105627 */ // Label 1679: @105627
     /*  105627 */ GIM_Reject,
     /*  105628 */ // Label 1619: @105628
     /*  105628 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(105742),
     /*  105633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105651 */   GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(105696), // Rule ID 51126 //
     /*  105656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105659 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105694 */     GIR_RootConstrainSelectedInstOperands,
     /*  105695 */     // GIR_Coverage, 51126,
     /*  105695 */     GIR_EraseRootFromParent_Done,
     /*  105696 */   // Label 1683: @105696
     /*  105696 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(105741), // Rule ID 51127 //
     /*  105701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105704 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105739 */     GIR_RootConstrainSelectedInstOperands,
     /*  105740 */     // GIR_Coverage, 51127,
     /*  105740 */     GIR_EraseRootFromParent_Done,
     /*  105741 */   // Label 1684: @105741
     /*  105741 */   GIM_Reject,
     /*  105742 */ // Label 1682: @105742
     /*  105742 */ GIM_Reject,
     /*  105743 */ // Label 1620: @105743
     /*  105743 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(105857),
     /*  105748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105766 */   GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(105811), // Rule ID 51142 //
     /*  105771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105774 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105809 */     GIR_RootConstrainSelectedInstOperands,
     /*  105810 */     // GIR_Coverage, 51142,
     /*  105810 */     GIR_EraseRootFromParent_Done,
     /*  105811 */   // Label 1686: @105811
     /*  105811 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(105856), // Rule ID 51143 //
     /*  105816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105819 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105854 */     GIR_RootConstrainSelectedInstOperands,
     /*  105855 */     // GIR_Coverage, 51143,
     /*  105855 */     GIR_EraseRootFromParent_Done,
     /*  105856 */   // Label 1687: @105856
     /*  105856 */   GIM_Reject,
     /*  105857 */ // Label 1685: @105857
     /*  105857 */ GIM_Reject,
     /*  105858 */ // Label 1621: @105858
     /*  105858 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(105972),
     /*  105863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  105866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  105869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105881 */   GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(105926), // Rule ID 51130 //
     /*  105886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105889 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105924 */     GIR_RootConstrainSelectedInstOperands,
     /*  105925 */     // GIR_Coverage, 51130,
     /*  105925 */     GIR_EraseRootFromParent_Done,
     /*  105926 */   // Label 1689: @105926
     /*  105926 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(105971), // Rule ID 51131 //
     /*  105931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105934 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105969 */     GIR_RootConstrainSelectedInstOperands,
     /*  105970 */     // GIR_Coverage, 51131,
     /*  105970 */     GIR_EraseRootFromParent_Done,
     /*  105971 */   // Label 1690: @105971
     /*  105971 */   GIM_Reject,
     /*  105972 */ // Label 1688: @105972
     /*  105972 */ GIM_Reject,
     /*  105973 */ // Label 1622: @105973
     /*  105973 */ GIM_Reject,
     /*  105974 */ // Label 4: @105974
     /*  105974 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1715*/ GIMT_Encode4(108707),
     /*  105985 */ /*GILLT_s32*//*Label 1691*/ GIMT_Encode4(106109),
     /*  105989 */ /*GILLT_s64*//*Label 1692*/ GIMT_Encode4(106143), GIMT_Encode4(0),
     /*  105997 */ /*GILLT_nxv1s8*//*Label 1693*/ GIMT_Encode4(106177),
     /*  106001 */ /*GILLT_nxv1s16*//*Label 1694*/ GIMT_Encode4(106292),
     /*  106005 */ /*GILLT_nxv1s32*//*Label 1695*/ GIMT_Encode4(106407),
     /*  106009 */ /*GILLT_nxv1s64*//*Label 1696*/ GIMT_Encode4(106522), GIMT_Encode4(0),
     /*  106017 */ /*GILLT_nxv2s8*//*Label 1697*/ GIMT_Encode4(106637),
     /*  106021 */ /*GILLT_nxv2s16*//*Label 1698*/ GIMT_Encode4(106752),
     /*  106025 */ /*GILLT_nxv2s32*//*Label 1699*/ GIMT_Encode4(106867),
     /*  106029 */ /*GILLT_nxv2s64*//*Label 1700*/ GIMT_Encode4(106982), GIMT_Encode4(0),
     /*  106037 */ /*GILLT_nxv4s8*//*Label 1701*/ GIMT_Encode4(107097),
     /*  106041 */ /*GILLT_nxv4s16*//*Label 1702*/ GIMT_Encode4(107212),
     /*  106045 */ /*GILLT_nxv4s32*//*Label 1703*/ GIMT_Encode4(107327),
     /*  106049 */ /*GILLT_nxv4s64*//*Label 1704*/ GIMT_Encode4(107442), GIMT_Encode4(0),
     /*  106057 */ /*GILLT_nxv8s8*//*Label 1705*/ GIMT_Encode4(107557),
     /*  106061 */ /*GILLT_nxv8s16*//*Label 1706*/ GIMT_Encode4(107672),
     /*  106065 */ /*GILLT_nxv8s32*//*Label 1707*/ GIMT_Encode4(107787),
     /*  106069 */ /*GILLT_nxv8s64*//*Label 1708*/ GIMT_Encode4(107902), GIMT_Encode4(0),
     /*  106077 */ /*GILLT_nxv16s8*//*Label 1709*/ GIMT_Encode4(108017),
     /*  106081 */ /*GILLT_nxv16s16*//*Label 1710*/ GIMT_Encode4(108132),
     /*  106085 */ /*GILLT_nxv16s32*//*Label 1711*/ GIMT_Encode4(108247), GIMT_Encode4(0),
     /*  106093 */ /*GILLT_nxv32s8*//*Label 1712*/ GIMT_Encode4(108362),
     /*  106097 */ /*GILLT_nxv32s16*//*Label 1713*/ GIMT_Encode4(108477), GIMT_Encode4(0),
     /*  106105 */ /*GILLT_nxv64s8*//*Label 1714*/ GIMT_Encode4(108592),
     /*  106109 */ // Label 1691: @106109
     /*  106109 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(106142), // Rule ID 300 //
     /*  106114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  106117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  106120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  106123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106135 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  106135 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106140 */   GIR_RootConstrainSelectedInstOperands,
     /*  106141 */   // GIR_Coverage, 300,
     /*  106141 */   GIR_Done,
     /*  106142 */ // Label 1716: @106142
     /*  106142 */ GIM_Reject,
     /*  106143 */ // Label 1692: @106143
     /*  106143 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(106176), // Rule ID 299 //
     /*  106148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  106151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  106154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  106157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106169 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106169 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106174 */   GIR_RootConstrainSelectedInstOperands,
     /*  106175 */   // GIR_Coverage, 299,
     /*  106175 */   GIR_Done,
     /*  106176 */ // Label 1717: @106176
     /*  106176 */ GIM_Reject,
     /*  106177 */ // Label 1693: @106177
     /*  106177 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(106291),
     /*  106182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  106185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  106188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106200 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(106245), // Rule ID 50994 //
     /*  106205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106208 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106243 */     GIR_RootConstrainSelectedInstOperands,
     /*  106244 */     // GIR_Coverage, 50994,
     /*  106244 */     GIR_EraseRootFromParent_Done,
     /*  106245 */   // Label 1719: @106245
     /*  106245 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(106290), // Rule ID 50995 //
     /*  106250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106253 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106288 */     GIR_RootConstrainSelectedInstOperands,
     /*  106289 */     // GIR_Coverage, 50995,
     /*  106289 */     GIR_EraseRootFromParent_Done,
     /*  106290 */   // Label 1720: @106290
     /*  106290 */   GIM_Reject,
     /*  106291 */ // Label 1718: @106291
     /*  106291 */ GIM_Reject,
     /*  106292 */ // Label 1694: @106292
     /*  106292 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(106406),
     /*  106297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  106300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  106303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106315 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(106360), // Rule ID 51006 //
     /*  106320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106323 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106358 */     GIR_RootConstrainSelectedInstOperands,
     /*  106359 */     // GIR_Coverage, 51006,
     /*  106359 */     GIR_EraseRootFromParent_Done,
     /*  106360 */   // Label 1722: @106360
     /*  106360 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(106405), // Rule ID 51007 //
     /*  106365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106368 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106403 */     GIR_RootConstrainSelectedInstOperands,
     /*  106404 */     // GIR_Coverage, 51007,
     /*  106404 */     GIR_EraseRootFromParent_Done,
     /*  106405 */   // Label 1723: @106405
     /*  106405 */   GIM_Reject,
     /*  106406 */ // Label 1721: @106406
     /*  106406 */ GIM_Reject,
     /*  106407 */ // Label 1695: @106407
     /*  106407 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(106521),
     /*  106412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  106415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  106418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106430 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(106475), // Rule ID 51014 //
     /*  106435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106438 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106473 */     GIR_RootConstrainSelectedInstOperands,
     /*  106474 */     // GIR_Coverage, 51014,
     /*  106474 */     GIR_EraseRootFromParent_Done,
     /*  106475 */   // Label 1725: @106475
     /*  106475 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(106520), // Rule ID 51015 //
     /*  106480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106483 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106518 */     GIR_RootConstrainSelectedInstOperands,
     /*  106519 */     // GIR_Coverage, 51015,
     /*  106519 */     GIR_EraseRootFromParent_Done,
     /*  106520 */   // Label 1726: @106520
     /*  106520 */   GIM_Reject,
     /*  106521 */ // Label 1724: @106521
     /*  106521 */ GIM_Reject,
     /*  106522 */ // Label 1696: @106522
     /*  106522 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(106636),
     /*  106527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  106530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  106533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106545 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(106590), // Rule ID 51030 //
     /*  106550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  106553 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  106553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106588 */     GIR_RootConstrainSelectedInstOperands,
     /*  106589 */     // GIR_Coverage, 51030,
     /*  106589 */     GIR_EraseRootFromParent_Done,
     /*  106590 */   // Label 1728: @106590
     /*  106590 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(106635), // Rule ID 51031 //
     /*  106595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  106598 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  106598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106633 */     GIR_RootConstrainSelectedInstOperands,
     /*  106634 */     // GIR_Coverage, 51031,
     /*  106634 */     GIR_EraseRootFromParent_Done,
     /*  106635 */   // Label 1729: @106635
     /*  106635 */   GIM_Reject,
     /*  106636 */ // Label 1727: @106636
     /*  106636 */ GIM_Reject,
     /*  106637 */ // Label 1697: @106637
     /*  106637 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(106751),
     /*  106642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  106645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  106648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106660 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(106705), // Rule ID 50998 //
     /*  106665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106668 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106703 */     GIR_RootConstrainSelectedInstOperands,
     /*  106704 */     // GIR_Coverage, 50998,
     /*  106704 */     GIR_EraseRootFromParent_Done,
     /*  106705 */   // Label 1731: @106705
     /*  106705 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(106750), // Rule ID 50999 //
     /*  106710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106713 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106748 */     GIR_RootConstrainSelectedInstOperands,
     /*  106749 */     // GIR_Coverage, 50999,
     /*  106749 */     GIR_EraseRootFromParent_Done,
     /*  106750 */   // Label 1732: @106750
     /*  106750 */   GIM_Reject,
     /*  106751 */ // Label 1730: @106751
     /*  106751 */ GIM_Reject,
     /*  106752 */ // Label 1698: @106752
     /*  106752 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(106866),
     /*  106757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  106760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  106763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106775 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(106820), // Rule ID 51010 //
     /*  106780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106783 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106818 */     GIR_RootConstrainSelectedInstOperands,
     /*  106819 */     // GIR_Coverage, 51010,
     /*  106819 */     GIR_EraseRootFromParent_Done,
     /*  106820 */   // Label 1734: @106820
     /*  106820 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(106865), // Rule ID 51011 //
     /*  106825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106828 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106863 */     GIR_RootConstrainSelectedInstOperands,
     /*  106864 */     // GIR_Coverage, 51011,
     /*  106864 */     GIR_EraseRootFromParent_Done,
     /*  106865 */   // Label 1735: @106865
     /*  106865 */   GIM_Reject,
     /*  106866 */ // Label 1733: @106866
     /*  106866 */ GIM_Reject,
     /*  106867 */ // Label 1699: @106867
     /*  106867 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(106981),
     /*  106872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  106875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  106878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106890 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(106935), // Rule ID 51026 //
     /*  106895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106898 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106933 */     GIR_RootConstrainSelectedInstOperands,
     /*  106934 */     // GIR_Coverage, 51026,
     /*  106934 */     GIR_EraseRootFromParent_Done,
     /*  106935 */   // Label 1737: @106935
     /*  106935 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(106980), // Rule ID 51027 //
     /*  106940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106943 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106978 */     GIR_RootConstrainSelectedInstOperands,
     /*  106979 */     // GIR_Coverage, 51027,
     /*  106979 */     GIR_EraseRootFromParent_Done,
     /*  106980 */   // Label 1738: @106980
     /*  106980 */   GIM_Reject,
     /*  106981 */ // Label 1736: @106981
     /*  106981 */ GIM_Reject,
     /*  106982 */ // Label 1700: @106982
     /*  106982 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(107096),
     /*  106987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  106990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  106993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107005 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(107050), // Rule ID 51070 //
     /*  107010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107013 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107048 */     GIR_RootConstrainSelectedInstOperands,
     /*  107049 */     // GIR_Coverage, 51070,
     /*  107049 */     GIR_EraseRootFromParent_Done,
     /*  107050 */   // Label 1740: @107050
     /*  107050 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(107095), // Rule ID 51071 //
     /*  107055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107058 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107093 */     GIR_RootConstrainSelectedInstOperands,
     /*  107094 */     // GIR_Coverage, 51071,
     /*  107094 */     GIR_EraseRootFromParent_Done,
     /*  107095 */   // Label 1741: @107095
     /*  107095 */   GIM_Reject,
     /*  107096 */ // Label 1739: @107096
     /*  107096 */ GIM_Reject,
     /*  107097 */ // Label 1701: @107097
     /*  107097 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(107211),
     /*  107102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  107105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  107108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107120 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(107165), // Rule ID 51002 //
     /*  107125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107128 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107163 */     GIR_RootConstrainSelectedInstOperands,
     /*  107164 */     // GIR_Coverage, 51002,
     /*  107164 */     GIR_EraseRootFromParent_Done,
     /*  107165 */   // Label 1743: @107165
     /*  107165 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(107210), // Rule ID 51003 //
     /*  107170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107173 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107208 */     GIR_RootConstrainSelectedInstOperands,
     /*  107209 */     // GIR_Coverage, 51003,
     /*  107209 */     GIR_EraseRootFromParent_Done,
     /*  107210 */   // Label 1744: @107210
     /*  107210 */   GIM_Reject,
     /*  107211 */ // Label 1742: @107211
     /*  107211 */ GIM_Reject,
     /*  107212 */ // Label 1702: @107212
     /*  107212 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(107326),
     /*  107217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  107220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  107223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107235 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(107280), // Rule ID 51022 //
     /*  107240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107243 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107278 */     GIR_RootConstrainSelectedInstOperands,
     /*  107279 */     // GIR_Coverage, 51022,
     /*  107279 */     GIR_EraseRootFromParent_Done,
     /*  107280 */   // Label 1746: @107280
     /*  107280 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(107325), // Rule ID 51023 //
     /*  107285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107288 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107323 */     GIR_RootConstrainSelectedInstOperands,
     /*  107324 */     // GIR_Coverage, 51023,
     /*  107324 */     GIR_EraseRootFromParent_Done,
     /*  107325 */   // Label 1747: @107325
     /*  107325 */   GIM_Reject,
     /*  107326 */ // Label 1745: @107326
     /*  107326 */ GIM_Reject,
     /*  107327 */ // Label 1703: @107327
     /*  107327 */ GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(107441),
     /*  107332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  107335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  107338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107350 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(107395), // Rule ID 51058 //
     /*  107355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107358 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107393 */     GIR_RootConstrainSelectedInstOperands,
     /*  107394 */     // GIR_Coverage, 51058,
     /*  107394 */     GIR_EraseRootFromParent_Done,
     /*  107395 */   // Label 1749: @107395
     /*  107395 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(107440), // Rule ID 51059 //
     /*  107400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107403 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107438 */     GIR_RootConstrainSelectedInstOperands,
     /*  107439 */     // GIR_Coverage, 51059,
     /*  107439 */     GIR_EraseRootFromParent_Done,
     /*  107440 */   // Label 1750: @107440
     /*  107440 */   GIM_Reject,
     /*  107441 */ // Label 1748: @107441
     /*  107441 */ GIM_Reject,
     /*  107442 */ // Label 1704: @107442
     /*  107442 */ GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(107556),
     /*  107447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  107450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  107453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107465 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(107510), // Rule ID 51074 //
     /*  107470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107473 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107508 */     GIR_RootConstrainSelectedInstOperands,
     /*  107509 */     // GIR_Coverage, 51074,
     /*  107509 */     GIR_EraseRootFromParent_Done,
     /*  107510 */   // Label 1752: @107510
     /*  107510 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(107555), // Rule ID 51075 //
     /*  107515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107518 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107553 */     GIR_RootConstrainSelectedInstOperands,
     /*  107554 */     // GIR_Coverage, 51075,
     /*  107554 */     GIR_EraseRootFromParent_Done,
     /*  107555 */   // Label 1753: @107555
     /*  107555 */   GIM_Reject,
     /*  107556 */ // Label 1751: @107556
     /*  107556 */ GIM_Reject,
     /*  107557 */ // Label 1705: @107557
     /*  107557 */ GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(107671),
     /*  107562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  107565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  107568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107580 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(107625), // Rule ID 51018 //
     /*  107585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107588 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107623 */     GIR_RootConstrainSelectedInstOperands,
     /*  107624 */     // GIR_Coverage, 51018,
     /*  107624 */     GIR_EraseRootFromParent_Done,
     /*  107625 */   // Label 1755: @107625
     /*  107625 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(107670), // Rule ID 51019 //
     /*  107630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107633 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107668 */     GIR_RootConstrainSelectedInstOperands,
     /*  107669 */     // GIR_Coverage, 51019,
     /*  107669 */     GIR_EraseRootFromParent_Done,
     /*  107670 */   // Label 1756: @107670
     /*  107670 */   GIM_Reject,
     /*  107671 */ // Label 1754: @107671
     /*  107671 */ GIM_Reject,
     /*  107672 */ // Label 1706: @107672
     /*  107672 */ GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(107786),
     /*  107677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  107680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  107683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107695 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(107740), // Rule ID 51046 //
     /*  107700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107703 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107738 */     GIR_RootConstrainSelectedInstOperands,
     /*  107739 */     // GIR_Coverage, 51046,
     /*  107739 */     GIR_EraseRootFromParent_Done,
     /*  107740 */   // Label 1758: @107740
     /*  107740 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(107785), // Rule ID 51047 //
     /*  107745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107748 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107783 */     GIR_RootConstrainSelectedInstOperands,
     /*  107784 */     // GIR_Coverage, 51047,
     /*  107784 */     GIR_EraseRootFromParent_Done,
     /*  107785 */   // Label 1759: @107785
     /*  107785 */   GIM_Reject,
     /*  107786 */ // Label 1757: @107786
     /*  107786 */ GIM_Reject,
     /*  107787 */ // Label 1707: @107787
     /*  107787 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(107901),
     /*  107792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  107795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  107798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107810 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(107855), // Rule ID 51062 //
     /*  107815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107818 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107853 */     GIR_RootConstrainSelectedInstOperands,
     /*  107854 */     // GIR_Coverage, 51062,
     /*  107854 */     GIR_EraseRootFromParent_Done,
     /*  107855 */   // Label 1761: @107855
     /*  107855 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(107900), // Rule ID 51063 //
     /*  107860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107863 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107898 */     GIR_RootConstrainSelectedInstOperands,
     /*  107899 */     // GIR_Coverage, 51063,
     /*  107899 */     GIR_EraseRootFromParent_Done,
     /*  107900 */   // Label 1762: @107900
     /*  107900 */   GIM_Reject,
     /*  107901 */ // Label 1760: @107901
     /*  107901 */ GIM_Reject,
     /*  107902 */ // Label 1708: @107902
     /*  107902 */ GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(108016),
     /*  107907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  107910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  107913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107925 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(107970), // Rule ID 51078 //
     /*  107930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107933 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107968 */     GIR_RootConstrainSelectedInstOperands,
     /*  107969 */     // GIR_Coverage, 51078,
     /*  107969 */     GIR_EraseRootFromParent_Done,
     /*  107970 */   // Label 1764: @107970
     /*  107970 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(108015), // Rule ID 51079 //
     /*  107975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107978 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108013 */     GIR_RootConstrainSelectedInstOperands,
     /*  108014 */     // GIR_Coverage, 51079,
     /*  108014 */     GIR_EraseRootFromParent_Done,
     /*  108015 */   // Label 1765: @108015
     /*  108015 */   GIM_Reject,
     /*  108016 */ // Label 1763: @108016
     /*  108016 */ GIM_Reject,
     /*  108017 */ // Label 1709: @108017
     /*  108017 */ GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(108131),
     /*  108022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  108025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  108028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108040 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(108085), // Rule ID 51034 //
     /*  108045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108048 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108083 */     GIR_RootConstrainSelectedInstOperands,
     /*  108084 */     // GIR_Coverage, 51034,
     /*  108084 */     GIR_EraseRootFromParent_Done,
     /*  108085 */   // Label 1767: @108085
     /*  108085 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(108130), // Rule ID 51035 //
     /*  108090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108093 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108128 */     GIR_RootConstrainSelectedInstOperands,
     /*  108129 */     // GIR_Coverage, 51035,
     /*  108129 */     GIR_EraseRootFromParent_Done,
     /*  108130 */   // Label 1768: @108130
     /*  108130 */   GIM_Reject,
     /*  108131 */ // Label 1766: @108131
     /*  108131 */ GIM_Reject,
     /*  108132 */ // Label 1710: @108132
     /*  108132 */ GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(108246),
     /*  108137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  108140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  108143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108155 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(108200), // Rule ID 51050 //
     /*  108160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108163 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108198 */     GIR_RootConstrainSelectedInstOperands,
     /*  108199 */     // GIR_Coverage, 51050,
     /*  108199 */     GIR_EraseRootFromParent_Done,
     /*  108200 */   // Label 1770: @108200
     /*  108200 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(108245), // Rule ID 51051 //
     /*  108205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108208 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108243 */     GIR_RootConstrainSelectedInstOperands,
     /*  108244 */     // GIR_Coverage, 51051,
     /*  108244 */     GIR_EraseRootFromParent_Done,
     /*  108245 */   // Label 1771: @108245
     /*  108245 */   GIM_Reject,
     /*  108246 */ // Label 1769: @108246
     /*  108246 */ GIM_Reject,
     /*  108247 */ // Label 1711: @108247
     /*  108247 */ GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(108361),
     /*  108252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  108255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  108258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108270 */   GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(108315), // Rule ID 51066 //
     /*  108275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108278 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108313 */     GIR_RootConstrainSelectedInstOperands,
     /*  108314 */     // GIR_Coverage, 51066,
     /*  108314 */     GIR_EraseRootFromParent_Done,
     /*  108315 */   // Label 1773: @108315
     /*  108315 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(108360), // Rule ID 51067 //
     /*  108320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108323 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108358 */     GIR_RootConstrainSelectedInstOperands,
     /*  108359 */     // GIR_Coverage, 51067,
     /*  108359 */     GIR_EraseRootFromParent_Done,
     /*  108360 */   // Label 1774: @108360
     /*  108360 */   GIM_Reject,
     /*  108361 */ // Label 1772: @108361
     /*  108361 */ GIM_Reject,
     /*  108362 */ // Label 1712: @108362
     /*  108362 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(108476),
     /*  108367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  108370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  108373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108385 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(108430), // Rule ID 51038 //
     /*  108390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108393 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108428 */     GIR_RootConstrainSelectedInstOperands,
     /*  108429 */     // GIR_Coverage, 51038,
     /*  108429 */     GIR_EraseRootFromParent_Done,
     /*  108430 */   // Label 1776: @108430
     /*  108430 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(108475), // Rule ID 51039 //
     /*  108435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108438 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108473 */     GIR_RootConstrainSelectedInstOperands,
     /*  108474 */     // GIR_Coverage, 51039,
     /*  108474 */     GIR_EraseRootFromParent_Done,
     /*  108475 */   // Label 1777: @108475
     /*  108475 */   GIM_Reject,
     /*  108476 */ // Label 1775: @108476
     /*  108476 */ GIM_Reject,
     /*  108477 */ // Label 1713: @108477
     /*  108477 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(108591),
     /*  108482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  108485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  108488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108500 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(108545), // Rule ID 51054 //
     /*  108505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108508 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108543 */     GIR_RootConstrainSelectedInstOperands,
     /*  108544 */     // GIR_Coverage, 51054,
     /*  108544 */     GIR_EraseRootFromParent_Done,
     /*  108545 */   // Label 1779: @108545
     /*  108545 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(108590), // Rule ID 51055 //
     /*  108550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108553 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108588 */     GIR_RootConstrainSelectedInstOperands,
     /*  108589 */     // GIR_Coverage, 51055,
     /*  108589 */     GIR_EraseRootFromParent_Done,
     /*  108590 */   // Label 1780: @108590
     /*  108590 */   GIM_Reject,
     /*  108591 */ // Label 1778: @108591
     /*  108591 */ GIM_Reject,
     /*  108592 */ // Label 1714: @108592
     /*  108592 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(108706),
     /*  108597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  108600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  108603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108615 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(108660), // Rule ID 51042 //
     /*  108620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108623 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108658 */     GIR_RootConstrainSelectedInstOperands,
     /*  108659 */     // GIR_Coverage, 51042,
     /*  108659 */     GIR_EraseRootFromParent_Done,
     /*  108660 */   // Label 1782: @108660
     /*  108660 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(108705), // Rule ID 51043 //
     /*  108665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108668 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108703 */     GIR_RootConstrainSelectedInstOperands,
     /*  108704 */     // GIR_Coverage, 51043,
     /*  108704 */     GIR_EraseRootFromParent_Done,
     /*  108705 */   // Label 1783: @108705
     /*  108705 */   GIM_Reject,
     /*  108706 */ // Label 1781: @108706
     /*  108706 */ GIM_Reject,
     /*  108707 */ // Label 1715: @108707
     /*  108707 */ GIM_Reject,
     /*  108708 */ // Label 5: @108708
     /*  108708 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1808*/ GIMT_Encode4(111486),
     /*  108719 */ /*GILLT_s32*//*Label 1784*/ GIMT_Encode4(108843),
     /*  108723 */ /*GILLT_s64*//*Label 1785*/ GIMT_Encode4(108877), GIMT_Encode4(0),
     /*  108731 */ /*GILLT_nxv1s8*//*Label 1786*/ GIMT_Encode4(108956),
     /*  108735 */ /*GILLT_nxv1s16*//*Label 1787*/ GIMT_Encode4(109071),
     /*  108739 */ /*GILLT_nxv1s32*//*Label 1788*/ GIMT_Encode4(109186),
     /*  108743 */ /*GILLT_nxv1s64*//*Label 1789*/ GIMT_Encode4(109301), GIMT_Encode4(0),
     /*  108751 */ /*GILLT_nxv2s8*//*Label 1790*/ GIMT_Encode4(109416),
     /*  108755 */ /*GILLT_nxv2s16*//*Label 1791*/ GIMT_Encode4(109531),
     /*  108759 */ /*GILLT_nxv2s32*//*Label 1792*/ GIMT_Encode4(109646),
     /*  108763 */ /*GILLT_nxv2s64*//*Label 1793*/ GIMT_Encode4(109761), GIMT_Encode4(0),
     /*  108771 */ /*GILLT_nxv4s8*//*Label 1794*/ GIMT_Encode4(109876),
     /*  108775 */ /*GILLT_nxv4s16*//*Label 1795*/ GIMT_Encode4(109991),
     /*  108779 */ /*GILLT_nxv4s32*//*Label 1796*/ GIMT_Encode4(110106),
     /*  108783 */ /*GILLT_nxv4s64*//*Label 1797*/ GIMT_Encode4(110221), GIMT_Encode4(0),
     /*  108791 */ /*GILLT_nxv8s8*//*Label 1798*/ GIMT_Encode4(110336),
     /*  108795 */ /*GILLT_nxv8s16*//*Label 1799*/ GIMT_Encode4(110451),
     /*  108799 */ /*GILLT_nxv8s32*//*Label 1800*/ GIMT_Encode4(110566),
     /*  108803 */ /*GILLT_nxv8s64*//*Label 1801*/ GIMT_Encode4(110681), GIMT_Encode4(0),
     /*  108811 */ /*GILLT_nxv16s8*//*Label 1802*/ GIMT_Encode4(110796),
     /*  108815 */ /*GILLT_nxv16s16*//*Label 1803*/ GIMT_Encode4(110911),
     /*  108819 */ /*GILLT_nxv16s32*//*Label 1804*/ GIMT_Encode4(111026), GIMT_Encode4(0),
     /*  108827 */ /*GILLT_nxv32s8*//*Label 1805*/ GIMT_Encode4(111141),
     /*  108831 */ /*GILLT_nxv32s16*//*Label 1806*/ GIMT_Encode4(111256), GIMT_Encode4(0),
     /*  108839 */ /*GILLT_nxv64s8*//*Label 1807*/ GIMT_Encode4(111371),
     /*  108843 */ // Label 1784: @108843
     /*  108843 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(108876), // Rule ID 302 //
     /*  108848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  108851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  108854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  108857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108869 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108869 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108874 */   GIR_RootConstrainSelectedInstOperands,
     /*  108875 */   // GIR_Coverage, 302,
     /*  108875 */   GIR_Done,
     /*  108876 */ // Label 1809: @108876
     /*  108876 */ GIM_Reject,
     /*  108877 */ // Label 1785: @108877
     /*  108877 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(108955),
     /*  108882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  108885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108892 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(108931), // Rule ID 311 //
     /*  108897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  108900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  108907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  108914 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  108917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  108924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  108929 */     GIR_RootConstrainSelectedInstOperands,
     /*  108930 */     // GIR_Coverage, 311,
     /*  108930 */     GIR_EraseRootFromParent_Done,
     /*  108931 */   // Label 1811: @108931
     /*  108931 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(108954), // Rule ID 301 //
     /*  108936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  108939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108947 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108952 */     GIR_RootConstrainSelectedInstOperands,
     /*  108953 */     // GIR_Coverage, 301,
     /*  108953 */     GIR_Done,
     /*  108954 */   // Label 1812: @108954
     /*  108954 */   GIM_Reject,
     /*  108955 */ // Label 1810: @108955
     /*  108955 */ GIM_Reject,
     /*  108956 */ // Label 1786: @108956
     /*  108956 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(109070),
     /*  108961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  108964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  108967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108979 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(109024), // Rule ID 51258 //
     /*  108984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108987 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  108990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  109004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109022 */     GIR_RootConstrainSelectedInstOperands,
     /*  109023 */     // GIR_Coverage, 51258,
     /*  109023 */     GIR_EraseRootFromParent_Done,
     /*  109024 */   // Label 1814: @109024
     /*  109024 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(109069), // Rule ID 51259 //
     /*  109029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109032 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  109035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  109049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109067 */     GIR_RootConstrainSelectedInstOperands,
     /*  109068 */     // GIR_Coverage, 51259,
     /*  109068 */     GIR_EraseRootFromParent_Done,
     /*  109069 */   // Label 1815: @109069
     /*  109069 */   GIM_Reject,
     /*  109070 */ // Label 1813: @109070
     /*  109070 */ GIM_Reject,
     /*  109071 */ // Label 1787: @109071
     /*  109071 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(109185),
     /*  109076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  109079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  109082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109094 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(109139), // Rule ID 51270 //
     /*  109099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109102 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109137 */     GIR_RootConstrainSelectedInstOperands,
     /*  109138 */     // GIR_Coverage, 51270,
     /*  109138 */     GIR_EraseRootFromParent_Done,
     /*  109139 */   // Label 1817: @109139
     /*  109139 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(109184), // Rule ID 51271 //
     /*  109144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109147 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109182 */     GIR_RootConstrainSelectedInstOperands,
     /*  109183 */     // GIR_Coverage, 51271,
     /*  109183 */     GIR_EraseRootFromParent_Done,
     /*  109184 */   // Label 1818: @109184
     /*  109184 */   GIM_Reject,
     /*  109185 */ // Label 1816: @109185
     /*  109185 */ GIM_Reject,
     /*  109186 */ // Label 1788: @109186
     /*  109186 */ GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(109300),
     /*  109191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  109194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  109197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109209 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(109254), // Rule ID 51278 //
     /*  109214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109217 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109252 */     GIR_RootConstrainSelectedInstOperands,
     /*  109253 */     // GIR_Coverage, 51278,
     /*  109253 */     GIR_EraseRootFromParent_Done,
     /*  109254 */   // Label 1820: @109254
     /*  109254 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(109299), // Rule ID 51279 //
     /*  109259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109262 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109297 */     GIR_RootConstrainSelectedInstOperands,
     /*  109298 */     // GIR_Coverage, 51279,
     /*  109298 */     GIR_EraseRootFromParent_Done,
     /*  109299 */   // Label 1821: @109299
     /*  109299 */   GIM_Reject,
     /*  109300 */ // Label 1819: @109300
     /*  109300 */ GIM_Reject,
     /*  109301 */ // Label 1789: @109301
     /*  109301 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(109415),
     /*  109306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  109309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  109312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109324 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(109369), // Rule ID 51294 //
     /*  109329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109332 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109367 */     GIR_RootConstrainSelectedInstOperands,
     /*  109368 */     // GIR_Coverage, 51294,
     /*  109368 */     GIR_EraseRootFromParent_Done,
     /*  109369 */   // Label 1823: @109369
     /*  109369 */   GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(109414), // Rule ID 51295 //
     /*  109374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109377 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109412 */     GIR_RootConstrainSelectedInstOperands,
     /*  109413 */     // GIR_Coverage, 51295,
     /*  109413 */     GIR_EraseRootFromParent_Done,
     /*  109414 */   // Label 1824: @109414
     /*  109414 */   GIM_Reject,
     /*  109415 */ // Label 1822: @109415
     /*  109415 */ GIM_Reject,
     /*  109416 */ // Label 1790: @109416
     /*  109416 */ GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(109530),
     /*  109421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  109424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  109427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109439 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(109484), // Rule ID 51262 //
     /*  109444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109447 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109482 */     GIR_RootConstrainSelectedInstOperands,
     /*  109483 */     // GIR_Coverage, 51262,
     /*  109483 */     GIR_EraseRootFromParent_Done,
     /*  109484 */   // Label 1826: @109484
     /*  109484 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(109529), // Rule ID 51263 //
     /*  109489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109492 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109527 */     GIR_RootConstrainSelectedInstOperands,
     /*  109528 */     // GIR_Coverage, 51263,
     /*  109528 */     GIR_EraseRootFromParent_Done,
     /*  109529 */   // Label 1827: @109529
     /*  109529 */   GIM_Reject,
     /*  109530 */ // Label 1825: @109530
     /*  109530 */ GIM_Reject,
     /*  109531 */ // Label 1791: @109531
     /*  109531 */ GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(109645),
     /*  109536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  109539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  109542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109554 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(109599), // Rule ID 51274 //
     /*  109559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109562 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109597 */     GIR_RootConstrainSelectedInstOperands,
     /*  109598 */     // GIR_Coverage, 51274,
     /*  109598 */     GIR_EraseRootFromParent_Done,
     /*  109599 */   // Label 1829: @109599
     /*  109599 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(109644), // Rule ID 51275 //
     /*  109604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109607 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109642 */     GIR_RootConstrainSelectedInstOperands,
     /*  109643 */     // GIR_Coverage, 51275,
     /*  109643 */     GIR_EraseRootFromParent_Done,
     /*  109644 */   // Label 1830: @109644
     /*  109644 */   GIM_Reject,
     /*  109645 */ // Label 1828: @109645
     /*  109645 */ GIM_Reject,
     /*  109646 */ // Label 1792: @109646
     /*  109646 */ GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(109760),
     /*  109651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  109654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  109657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109669 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(109714), // Rule ID 51290 //
     /*  109674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109677 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109712 */     GIR_RootConstrainSelectedInstOperands,
     /*  109713 */     // GIR_Coverage, 51290,
     /*  109713 */     GIR_EraseRootFromParent_Done,
     /*  109714 */   // Label 1832: @109714
     /*  109714 */   GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(109759), // Rule ID 51291 //
     /*  109719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109722 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109757 */     GIR_RootConstrainSelectedInstOperands,
     /*  109758 */     // GIR_Coverage, 51291,
     /*  109758 */     GIR_EraseRootFromParent_Done,
     /*  109759 */   // Label 1833: @109759
     /*  109759 */   GIM_Reject,
     /*  109760 */ // Label 1831: @109760
     /*  109760 */ GIM_Reject,
     /*  109761 */ // Label 1793: @109761
     /*  109761 */ GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(109875),
     /*  109766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  109769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  109772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109784 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(109829), // Rule ID 51334 //
     /*  109789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109792 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109827 */     GIR_RootConstrainSelectedInstOperands,
     /*  109828 */     // GIR_Coverage, 51334,
     /*  109828 */     GIR_EraseRootFromParent_Done,
     /*  109829 */   // Label 1835: @109829
     /*  109829 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(109874), // Rule ID 51335 //
     /*  109834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109837 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109872 */     GIR_RootConstrainSelectedInstOperands,
     /*  109873 */     // GIR_Coverage, 51335,
     /*  109873 */     GIR_EraseRootFromParent_Done,
     /*  109874 */   // Label 1836: @109874
     /*  109874 */   GIM_Reject,
     /*  109875 */ // Label 1834: @109875
     /*  109875 */ GIM_Reject,
     /*  109876 */ // Label 1794: @109876
     /*  109876 */ GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(109990),
     /*  109881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  109884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  109887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109899 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(109944), // Rule ID 51266 //
     /*  109904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109907 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109942 */     GIR_RootConstrainSelectedInstOperands,
     /*  109943 */     // GIR_Coverage, 51266,
     /*  109943 */     GIR_EraseRootFromParent_Done,
     /*  109944 */   // Label 1838: @109944
     /*  109944 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(109989), // Rule ID 51267 //
     /*  109949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109952 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109987 */     GIR_RootConstrainSelectedInstOperands,
     /*  109988 */     // GIR_Coverage, 51267,
     /*  109988 */     GIR_EraseRootFromParent_Done,
     /*  109989 */   // Label 1839: @109989
     /*  109989 */   GIM_Reject,
     /*  109990 */ // Label 1837: @109990
     /*  109990 */ GIM_Reject,
     /*  109991 */ // Label 1795: @109991
     /*  109991 */ GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(110105),
     /*  109996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  109999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  110002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110014 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(110059), // Rule ID 51286 //
     /*  110019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110022 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110057 */     GIR_RootConstrainSelectedInstOperands,
     /*  110058 */     // GIR_Coverage, 51286,
     /*  110058 */     GIR_EraseRootFromParent_Done,
     /*  110059 */   // Label 1841: @110059
     /*  110059 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(110104), // Rule ID 51287 //
     /*  110064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110067 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110102 */     GIR_RootConstrainSelectedInstOperands,
     /*  110103 */     // GIR_Coverage, 51287,
     /*  110103 */     GIR_EraseRootFromParent_Done,
     /*  110104 */   // Label 1842: @110104
     /*  110104 */   GIM_Reject,
     /*  110105 */ // Label 1840: @110105
     /*  110105 */ GIM_Reject,
     /*  110106 */ // Label 1796: @110106
     /*  110106 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(110220),
     /*  110111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  110114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  110117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110129 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(110174), // Rule ID 51322 //
     /*  110134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110137 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110172 */     GIR_RootConstrainSelectedInstOperands,
     /*  110173 */     // GIR_Coverage, 51322,
     /*  110173 */     GIR_EraseRootFromParent_Done,
     /*  110174 */   // Label 1844: @110174
     /*  110174 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(110219), // Rule ID 51323 //
     /*  110179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110182 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110217 */     GIR_RootConstrainSelectedInstOperands,
     /*  110218 */     // GIR_Coverage, 51323,
     /*  110218 */     GIR_EraseRootFromParent_Done,
     /*  110219 */   // Label 1845: @110219
     /*  110219 */   GIM_Reject,
     /*  110220 */ // Label 1843: @110220
     /*  110220 */ GIM_Reject,
     /*  110221 */ // Label 1797: @110221
     /*  110221 */ GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(110335),
     /*  110226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  110229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  110232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110244 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(110289), // Rule ID 51338 //
     /*  110249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110252 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110287 */     GIR_RootConstrainSelectedInstOperands,
     /*  110288 */     // GIR_Coverage, 51338,
     /*  110288 */     GIR_EraseRootFromParent_Done,
     /*  110289 */   // Label 1847: @110289
     /*  110289 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(110334), // Rule ID 51339 //
     /*  110294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110297 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110332 */     GIR_RootConstrainSelectedInstOperands,
     /*  110333 */     // GIR_Coverage, 51339,
     /*  110333 */     GIR_EraseRootFromParent_Done,
     /*  110334 */   // Label 1848: @110334
     /*  110334 */   GIM_Reject,
     /*  110335 */ // Label 1846: @110335
     /*  110335 */ GIM_Reject,
     /*  110336 */ // Label 1798: @110336
     /*  110336 */ GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(110450),
     /*  110341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  110344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  110347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110359 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(110404), // Rule ID 51282 //
     /*  110364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110367 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110402 */     GIR_RootConstrainSelectedInstOperands,
     /*  110403 */     // GIR_Coverage, 51282,
     /*  110403 */     GIR_EraseRootFromParent_Done,
     /*  110404 */   // Label 1850: @110404
     /*  110404 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(110449), // Rule ID 51283 //
     /*  110409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110412 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110447 */     GIR_RootConstrainSelectedInstOperands,
     /*  110448 */     // GIR_Coverage, 51283,
     /*  110448 */     GIR_EraseRootFromParent_Done,
     /*  110449 */   // Label 1851: @110449
     /*  110449 */   GIM_Reject,
     /*  110450 */ // Label 1849: @110450
     /*  110450 */ GIM_Reject,
     /*  110451 */ // Label 1799: @110451
     /*  110451 */ GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(110565),
     /*  110456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  110459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  110462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110474 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(110519), // Rule ID 51310 //
     /*  110479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110482 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110517 */     GIR_RootConstrainSelectedInstOperands,
     /*  110518 */     // GIR_Coverage, 51310,
     /*  110518 */     GIR_EraseRootFromParent_Done,
     /*  110519 */   // Label 1853: @110519
     /*  110519 */   GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(110564), // Rule ID 51311 //
     /*  110524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110527 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110562 */     GIR_RootConstrainSelectedInstOperands,
     /*  110563 */     // GIR_Coverage, 51311,
     /*  110563 */     GIR_EraseRootFromParent_Done,
     /*  110564 */   // Label 1854: @110564
     /*  110564 */   GIM_Reject,
     /*  110565 */ // Label 1852: @110565
     /*  110565 */ GIM_Reject,
     /*  110566 */ // Label 1800: @110566
     /*  110566 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(110680),
     /*  110571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  110574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  110577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110589 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(110634), // Rule ID 51326 //
     /*  110594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110597 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110632 */     GIR_RootConstrainSelectedInstOperands,
     /*  110633 */     // GIR_Coverage, 51326,
     /*  110633 */     GIR_EraseRootFromParent_Done,
     /*  110634 */   // Label 1856: @110634
     /*  110634 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(110679), // Rule ID 51327 //
     /*  110639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110642 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110677 */     GIR_RootConstrainSelectedInstOperands,
     /*  110678 */     // GIR_Coverage, 51327,
     /*  110678 */     GIR_EraseRootFromParent_Done,
     /*  110679 */   // Label 1857: @110679
     /*  110679 */   GIM_Reject,
     /*  110680 */ // Label 1855: @110680
     /*  110680 */ GIM_Reject,
     /*  110681 */ // Label 1801: @110681
     /*  110681 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(110795),
     /*  110686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  110689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  110692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110704 */   GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(110749), // Rule ID 51342 //
     /*  110709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110712 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110747 */     GIR_RootConstrainSelectedInstOperands,
     /*  110748 */     // GIR_Coverage, 51342,
     /*  110748 */     GIR_EraseRootFromParent_Done,
     /*  110749 */   // Label 1859: @110749
     /*  110749 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(110794), // Rule ID 51343 //
     /*  110754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110757 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110792 */     GIR_RootConstrainSelectedInstOperands,
     /*  110793 */     // GIR_Coverage, 51343,
     /*  110793 */     GIR_EraseRootFromParent_Done,
     /*  110794 */   // Label 1860: @110794
     /*  110794 */   GIM_Reject,
     /*  110795 */ // Label 1858: @110795
     /*  110795 */ GIM_Reject,
     /*  110796 */ // Label 1802: @110796
     /*  110796 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(110910),
     /*  110801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  110804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  110807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110819 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(110864), // Rule ID 51298 //
     /*  110824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110827 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110862 */     GIR_RootConstrainSelectedInstOperands,
     /*  110863 */     // GIR_Coverage, 51298,
     /*  110863 */     GIR_EraseRootFromParent_Done,
     /*  110864 */   // Label 1862: @110864
     /*  110864 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(110909), // Rule ID 51299 //
     /*  110869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110872 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110907 */     GIR_RootConstrainSelectedInstOperands,
     /*  110908 */     // GIR_Coverage, 51299,
     /*  110908 */     GIR_EraseRootFromParent_Done,
     /*  110909 */   // Label 1863: @110909
     /*  110909 */   GIM_Reject,
     /*  110910 */ // Label 1861: @110910
     /*  110910 */ GIM_Reject,
     /*  110911 */ // Label 1803: @110911
     /*  110911 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(111025),
     /*  110916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  110919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  110922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110934 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(110979), // Rule ID 51314 //
     /*  110939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110942 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110977 */     GIR_RootConstrainSelectedInstOperands,
     /*  110978 */     // GIR_Coverage, 51314,
     /*  110978 */     GIR_EraseRootFromParent_Done,
     /*  110979 */   // Label 1865: @110979
     /*  110979 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(111024), // Rule ID 51315 //
     /*  110984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110987 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  111004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111022 */     GIR_RootConstrainSelectedInstOperands,
     /*  111023 */     // GIR_Coverage, 51315,
     /*  111023 */     GIR_EraseRootFromParent_Done,
     /*  111024 */   // Label 1866: @111024
     /*  111024 */   GIM_Reject,
     /*  111025 */ // Label 1864: @111025
     /*  111025 */ GIM_Reject,
     /*  111026 */ // Label 1804: @111026
     /*  111026 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(111140),
     /*  111031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  111034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  111037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111049 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(111094), // Rule ID 51330 //
     /*  111054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111057 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111092 */     GIR_RootConstrainSelectedInstOperands,
     /*  111093 */     // GIR_Coverage, 51330,
     /*  111093 */     GIR_EraseRootFromParent_Done,
     /*  111094 */   // Label 1868: @111094
     /*  111094 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(111139), // Rule ID 51331 //
     /*  111099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111102 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111137 */     GIR_RootConstrainSelectedInstOperands,
     /*  111138 */     // GIR_Coverage, 51331,
     /*  111138 */     GIR_EraseRootFromParent_Done,
     /*  111139 */   // Label 1869: @111139
     /*  111139 */   GIM_Reject,
     /*  111140 */ // Label 1867: @111140
     /*  111140 */ GIM_Reject,
     /*  111141 */ // Label 1805: @111141
     /*  111141 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(111255),
     /*  111146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  111149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  111152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111164 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(111209), // Rule ID 51302 //
     /*  111169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111172 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111207 */     GIR_RootConstrainSelectedInstOperands,
     /*  111208 */     // GIR_Coverage, 51302,
     /*  111208 */     GIR_EraseRootFromParent_Done,
     /*  111209 */   // Label 1871: @111209
     /*  111209 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(111254), // Rule ID 51303 //
     /*  111214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111217 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111252 */     GIR_RootConstrainSelectedInstOperands,
     /*  111253 */     // GIR_Coverage, 51303,
     /*  111253 */     GIR_EraseRootFromParent_Done,
     /*  111254 */   // Label 1872: @111254
     /*  111254 */   GIM_Reject,
     /*  111255 */ // Label 1870: @111255
     /*  111255 */ GIM_Reject,
     /*  111256 */ // Label 1806: @111256
     /*  111256 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(111370),
     /*  111261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  111264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  111267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111279 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(111324), // Rule ID 51318 //
     /*  111284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111287 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111322 */     GIR_RootConstrainSelectedInstOperands,
     /*  111323 */     // GIR_Coverage, 51318,
     /*  111323 */     GIR_EraseRootFromParent_Done,
     /*  111324 */   // Label 1874: @111324
     /*  111324 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(111369), // Rule ID 51319 //
     /*  111329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111332 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111367 */     GIR_RootConstrainSelectedInstOperands,
     /*  111368 */     // GIR_Coverage, 51319,
     /*  111368 */     GIR_EraseRootFromParent_Done,
     /*  111369 */   // Label 1875: @111369
     /*  111369 */   GIM_Reject,
     /*  111370 */ // Label 1873: @111370
     /*  111370 */ GIM_Reject,
     /*  111371 */ // Label 1807: @111371
     /*  111371 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(111485),
     /*  111376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  111379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  111382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111394 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(111439), // Rule ID 51306 //
     /*  111399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111402 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111437 */     GIR_RootConstrainSelectedInstOperands,
     /*  111438 */     // GIR_Coverage, 51306,
     /*  111438 */     GIR_EraseRootFromParent_Done,
     /*  111439 */   // Label 1877: @111439
     /*  111439 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(111484), // Rule ID 51307 //
     /*  111444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111447 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111482 */     GIR_RootConstrainSelectedInstOperands,
     /*  111483 */     // GIR_Coverage, 51307,
     /*  111483 */     GIR_EraseRootFromParent_Done,
     /*  111484 */   // Label 1878: @111484
     /*  111484 */   GIM_Reject,
     /*  111485 */ // Label 1876: @111485
     /*  111485 */ GIM_Reject,
     /*  111486 */ // Label 1808: @111486
     /*  111486 */ GIM_Reject,
     /*  111487 */ // Label 6: @111487
     /*  111487 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1903*/ GIMT_Encode4(114220),
     /*  111498 */ /*GILLT_s32*//*Label 1879*/ GIMT_Encode4(111622),
     /*  111502 */ /*GILLT_s64*//*Label 1880*/ GIMT_Encode4(111656), GIMT_Encode4(0),
     /*  111510 */ /*GILLT_nxv1s8*//*Label 1881*/ GIMT_Encode4(111690),
     /*  111514 */ /*GILLT_nxv1s16*//*Label 1882*/ GIMT_Encode4(111805),
     /*  111518 */ /*GILLT_nxv1s32*//*Label 1883*/ GIMT_Encode4(111920),
     /*  111522 */ /*GILLT_nxv1s64*//*Label 1884*/ GIMT_Encode4(112035), GIMT_Encode4(0),
     /*  111530 */ /*GILLT_nxv2s8*//*Label 1885*/ GIMT_Encode4(112150),
     /*  111534 */ /*GILLT_nxv2s16*//*Label 1886*/ GIMT_Encode4(112265),
     /*  111538 */ /*GILLT_nxv2s32*//*Label 1887*/ GIMT_Encode4(112380),
     /*  111542 */ /*GILLT_nxv2s64*//*Label 1888*/ GIMT_Encode4(112495), GIMT_Encode4(0),
     /*  111550 */ /*GILLT_nxv4s8*//*Label 1889*/ GIMT_Encode4(112610),
     /*  111554 */ /*GILLT_nxv4s16*//*Label 1890*/ GIMT_Encode4(112725),
     /*  111558 */ /*GILLT_nxv4s32*//*Label 1891*/ GIMT_Encode4(112840),
     /*  111562 */ /*GILLT_nxv4s64*//*Label 1892*/ GIMT_Encode4(112955), GIMT_Encode4(0),
     /*  111570 */ /*GILLT_nxv8s8*//*Label 1893*/ GIMT_Encode4(113070),
     /*  111574 */ /*GILLT_nxv8s16*//*Label 1894*/ GIMT_Encode4(113185),
     /*  111578 */ /*GILLT_nxv8s32*//*Label 1895*/ GIMT_Encode4(113300),
     /*  111582 */ /*GILLT_nxv8s64*//*Label 1896*/ GIMT_Encode4(113415), GIMT_Encode4(0),
     /*  111590 */ /*GILLT_nxv16s8*//*Label 1897*/ GIMT_Encode4(113530),
     /*  111594 */ /*GILLT_nxv16s16*//*Label 1898*/ GIMT_Encode4(113645),
     /*  111598 */ /*GILLT_nxv16s32*//*Label 1899*/ GIMT_Encode4(113760), GIMT_Encode4(0),
     /*  111606 */ /*GILLT_nxv32s8*//*Label 1900*/ GIMT_Encode4(113875),
     /*  111610 */ /*GILLT_nxv32s16*//*Label 1901*/ GIMT_Encode4(113990), GIMT_Encode4(0),
     /*  111618 */ /*GILLT_nxv64s8*//*Label 1902*/ GIMT_Encode4(114105),
     /*  111622 */ // Label 1879: @111622
     /*  111622 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(111655), // Rule ID 304 //
     /*  111627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  111630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  111633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  111636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111648 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111648 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111653 */   GIR_RootConstrainSelectedInstOperands,
     /*  111654 */   // GIR_Coverage, 304,
     /*  111654 */   GIR_Done,
     /*  111655 */ // Label 1904: @111655
     /*  111655 */ GIM_Reject,
     /*  111656 */ // Label 1880: @111656
     /*  111656 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(111689), // Rule ID 303 //
     /*  111661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  111664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  111667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111682 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111682 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111687 */   GIR_RootConstrainSelectedInstOperands,
     /*  111688 */   // GIR_Coverage, 303,
     /*  111688 */   GIR_Done,
     /*  111689 */ // Label 1905: @111689
     /*  111689 */ GIM_Reject,
     /*  111690 */ // Label 1881: @111690
     /*  111690 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(111804),
     /*  111695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  111698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  111701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111713 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(111758), // Rule ID 51170 //
     /*  111718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111721 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111756 */     GIR_RootConstrainSelectedInstOperands,
     /*  111757 */     // GIR_Coverage, 51170,
     /*  111757 */     GIR_EraseRootFromParent_Done,
     /*  111758 */   // Label 1907: @111758
     /*  111758 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(111803), // Rule ID 51171 //
     /*  111763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111766 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111801 */     GIR_RootConstrainSelectedInstOperands,
     /*  111802 */     // GIR_Coverage, 51171,
     /*  111802 */     GIR_EraseRootFromParent_Done,
     /*  111803 */   // Label 1908: @111803
     /*  111803 */   GIM_Reject,
     /*  111804 */ // Label 1906: @111804
     /*  111804 */ GIM_Reject,
     /*  111805 */ // Label 1882: @111805
     /*  111805 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(111919),
     /*  111810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  111813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  111816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111828 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(111873), // Rule ID 51182 //
     /*  111833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111836 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111871 */     GIR_RootConstrainSelectedInstOperands,
     /*  111872 */     // GIR_Coverage, 51182,
     /*  111872 */     GIR_EraseRootFromParent_Done,
     /*  111873 */   // Label 1910: @111873
     /*  111873 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(111918), // Rule ID 51183 //
     /*  111878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111881 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111916 */     GIR_RootConstrainSelectedInstOperands,
     /*  111917 */     // GIR_Coverage, 51183,
     /*  111917 */     GIR_EraseRootFromParent_Done,
     /*  111918 */   // Label 1911: @111918
     /*  111918 */   GIM_Reject,
     /*  111919 */ // Label 1909: @111919
     /*  111919 */ GIM_Reject,
     /*  111920 */ // Label 1883: @111920
     /*  111920 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(112034),
     /*  111925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  111928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  111931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111943 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(111988), // Rule ID 51190 //
     /*  111948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111951 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  111968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111986 */     GIR_RootConstrainSelectedInstOperands,
     /*  111987 */     // GIR_Coverage, 51190,
     /*  111987 */     GIR_EraseRootFromParent_Done,
     /*  111988 */   // Label 1913: @111988
     /*  111988 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(112033), // Rule ID 51191 //
     /*  111993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111996 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  112013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112031 */     GIR_RootConstrainSelectedInstOperands,
     /*  112032 */     // GIR_Coverage, 51191,
     /*  112032 */     GIR_EraseRootFromParent_Done,
     /*  112033 */   // Label 1914: @112033
     /*  112033 */   GIM_Reject,
     /*  112034 */ // Label 1912: @112034
     /*  112034 */ GIM_Reject,
     /*  112035 */ // Label 1884: @112035
     /*  112035 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(112149),
     /*  112040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  112043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  112046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112058 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(112103), // Rule ID 51206 //
     /*  112063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112066 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112101 */     GIR_RootConstrainSelectedInstOperands,
     /*  112102 */     // GIR_Coverage, 51206,
     /*  112102 */     GIR_EraseRootFromParent_Done,
     /*  112103 */   // Label 1916: @112103
     /*  112103 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(112148), // Rule ID 51207 //
     /*  112108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112111 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112146 */     GIR_RootConstrainSelectedInstOperands,
     /*  112147 */     // GIR_Coverage, 51207,
     /*  112147 */     GIR_EraseRootFromParent_Done,
     /*  112148 */   // Label 1917: @112148
     /*  112148 */   GIM_Reject,
     /*  112149 */ // Label 1915: @112149
     /*  112149 */ GIM_Reject,
     /*  112150 */ // Label 1885: @112150
     /*  112150 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(112264),
     /*  112155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  112158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  112161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112173 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(112218), // Rule ID 51174 //
     /*  112178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112181 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112216 */     GIR_RootConstrainSelectedInstOperands,
     /*  112217 */     // GIR_Coverage, 51174,
     /*  112217 */     GIR_EraseRootFromParent_Done,
     /*  112218 */   // Label 1919: @112218
     /*  112218 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(112263), // Rule ID 51175 //
     /*  112223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112226 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112261 */     GIR_RootConstrainSelectedInstOperands,
     /*  112262 */     // GIR_Coverage, 51175,
     /*  112262 */     GIR_EraseRootFromParent_Done,
     /*  112263 */   // Label 1920: @112263
     /*  112263 */   GIM_Reject,
     /*  112264 */ // Label 1918: @112264
     /*  112264 */ GIM_Reject,
     /*  112265 */ // Label 1886: @112265
     /*  112265 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(112379),
     /*  112270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  112273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  112276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112288 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(112333), // Rule ID 51186 //
     /*  112293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112296 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112331 */     GIR_RootConstrainSelectedInstOperands,
     /*  112332 */     // GIR_Coverage, 51186,
     /*  112332 */     GIR_EraseRootFromParent_Done,
     /*  112333 */   // Label 1922: @112333
     /*  112333 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(112378), // Rule ID 51187 //
     /*  112338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112341 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112376 */     GIR_RootConstrainSelectedInstOperands,
     /*  112377 */     // GIR_Coverage, 51187,
     /*  112377 */     GIR_EraseRootFromParent_Done,
     /*  112378 */   // Label 1923: @112378
     /*  112378 */   GIM_Reject,
     /*  112379 */ // Label 1921: @112379
     /*  112379 */ GIM_Reject,
     /*  112380 */ // Label 1887: @112380
     /*  112380 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(112494),
     /*  112385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  112388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  112391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112403 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(112448), // Rule ID 51202 //
     /*  112408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112411 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112446 */     GIR_RootConstrainSelectedInstOperands,
     /*  112447 */     // GIR_Coverage, 51202,
     /*  112447 */     GIR_EraseRootFromParent_Done,
     /*  112448 */   // Label 1925: @112448
     /*  112448 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(112493), // Rule ID 51203 //
     /*  112453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112456 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112491 */     GIR_RootConstrainSelectedInstOperands,
     /*  112492 */     // GIR_Coverage, 51203,
     /*  112492 */     GIR_EraseRootFromParent_Done,
     /*  112493 */   // Label 1926: @112493
     /*  112493 */   GIM_Reject,
     /*  112494 */ // Label 1924: @112494
     /*  112494 */ GIM_Reject,
     /*  112495 */ // Label 1888: @112495
     /*  112495 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(112609),
     /*  112500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  112503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  112506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112518 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(112563), // Rule ID 51246 //
     /*  112523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112526 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112561 */     GIR_RootConstrainSelectedInstOperands,
     /*  112562 */     // GIR_Coverage, 51246,
     /*  112562 */     GIR_EraseRootFromParent_Done,
     /*  112563 */   // Label 1928: @112563
     /*  112563 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(112608), // Rule ID 51247 //
     /*  112568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112571 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112606 */     GIR_RootConstrainSelectedInstOperands,
     /*  112607 */     // GIR_Coverage, 51247,
     /*  112607 */     GIR_EraseRootFromParent_Done,
     /*  112608 */   // Label 1929: @112608
     /*  112608 */   GIM_Reject,
     /*  112609 */ // Label 1927: @112609
     /*  112609 */ GIM_Reject,
     /*  112610 */ // Label 1889: @112610
     /*  112610 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(112724),
     /*  112615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  112618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  112621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112633 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(112678), // Rule ID 51178 //
     /*  112638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112641 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112676 */     GIR_RootConstrainSelectedInstOperands,
     /*  112677 */     // GIR_Coverage, 51178,
     /*  112677 */     GIR_EraseRootFromParent_Done,
     /*  112678 */   // Label 1931: @112678
     /*  112678 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(112723), // Rule ID 51179 //
     /*  112683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112686 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112721 */     GIR_RootConstrainSelectedInstOperands,
     /*  112722 */     // GIR_Coverage, 51179,
     /*  112722 */     GIR_EraseRootFromParent_Done,
     /*  112723 */   // Label 1932: @112723
     /*  112723 */   GIM_Reject,
     /*  112724 */ // Label 1930: @112724
     /*  112724 */ GIM_Reject,
     /*  112725 */ // Label 1890: @112725
     /*  112725 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(112839),
     /*  112730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  112733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  112736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112748 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(112793), // Rule ID 51198 //
     /*  112753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112756 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112791 */     GIR_RootConstrainSelectedInstOperands,
     /*  112792 */     // GIR_Coverage, 51198,
     /*  112792 */     GIR_EraseRootFromParent_Done,
     /*  112793 */   // Label 1934: @112793
     /*  112793 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(112838), // Rule ID 51199 //
     /*  112798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112801 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112836 */     GIR_RootConstrainSelectedInstOperands,
     /*  112837 */     // GIR_Coverage, 51199,
     /*  112837 */     GIR_EraseRootFromParent_Done,
     /*  112838 */   // Label 1935: @112838
     /*  112838 */   GIM_Reject,
     /*  112839 */ // Label 1933: @112839
     /*  112839 */ GIM_Reject,
     /*  112840 */ // Label 1891: @112840
     /*  112840 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(112954),
     /*  112845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  112848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  112851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112863 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(112908), // Rule ID 51234 //
     /*  112868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112871 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112906 */     GIR_RootConstrainSelectedInstOperands,
     /*  112907 */     // GIR_Coverage, 51234,
     /*  112907 */     GIR_EraseRootFromParent_Done,
     /*  112908 */   // Label 1937: @112908
     /*  112908 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(112953), // Rule ID 51235 //
     /*  112913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112916 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112951 */     GIR_RootConstrainSelectedInstOperands,
     /*  112952 */     // GIR_Coverage, 51235,
     /*  112952 */     GIR_EraseRootFromParent_Done,
     /*  112953 */   // Label 1938: @112953
     /*  112953 */   GIM_Reject,
     /*  112954 */ // Label 1936: @112954
     /*  112954 */ GIM_Reject,
     /*  112955 */ // Label 1892: @112955
     /*  112955 */ GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(113069),
     /*  112960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  112963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  112966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112978 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(113023), // Rule ID 51250 //
     /*  112983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112986 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  112989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  113003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113021 */     GIR_RootConstrainSelectedInstOperands,
     /*  113022 */     // GIR_Coverage, 51250,
     /*  113022 */     GIR_EraseRootFromParent_Done,
     /*  113023 */   // Label 1940: @113023
     /*  113023 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(113068), // Rule ID 51251 //
     /*  113028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113031 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  113034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  113048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113066 */     GIR_RootConstrainSelectedInstOperands,
     /*  113067 */     // GIR_Coverage, 51251,
     /*  113067 */     GIR_EraseRootFromParent_Done,
     /*  113068 */   // Label 1941: @113068
     /*  113068 */   GIM_Reject,
     /*  113069 */ // Label 1939: @113069
     /*  113069 */ GIM_Reject,
     /*  113070 */ // Label 1893: @113070
     /*  113070 */ GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(113184),
     /*  113075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  113078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  113081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113093 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(113138), // Rule ID 51194 //
     /*  113098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113101 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113136 */     GIR_RootConstrainSelectedInstOperands,
     /*  113137 */     // GIR_Coverage, 51194,
     /*  113137 */     GIR_EraseRootFromParent_Done,
     /*  113138 */   // Label 1943: @113138
     /*  113138 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(113183), // Rule ID 51195 //
     /*  113143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113146 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113181 */     GIR_RootConstrainSelectedInstOperands,
     /*  113182 */     // GIR_Coverage, 51195,
     /*  113182 */     GIR_EraseRootFromParent_Done,
     /*  113183 */   // Label 1944: @113183
     /*  113183 */   GIM_Reject,
     /*  113184 */ // Label 1942: @113184
     /*  113184 */ GIM_Reject,
     /*  113185 */ // Label 1894: @113185
     /*  113185 */ GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(113299),
     /*  113190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  113193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  113196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113208 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(113253), // Rule ID 51222 //
     /*  113213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113216 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113251 */     GIR_RootConstrainSelectedInstOperands,
     /*  113252 */     // GIR_Coverage, 51222,
     /*  113252 */     GIR_EraseRootFromParent_Done,
     /*  113253 */   // Label 1946: @113253
     /*  113253 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(113298), // Rule ID 51223 //
     /*  113258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113261 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113296 */     GIR_RootConstrainSelectedInstOperands,
     /*  113297 */     // GIR_Coverage, 51223,
     /*  113297 */     GIR_EraseRootFromParent_Done,
     /*  113298 */   // Label 1947: @113298
     /*  113298 */   GIM_Reject,
     /*  113299 */ // Label 1945: @113299
     /*  113299 */ GIM_Reject,
     /*  113300 */ // Label 1895: @113300
     /*  113300 */ GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(113414),
     /*  113305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  113308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  113311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113323 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(113368), // Rule ID 51238 //
     /*  113328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113331 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113366 */     GIR_RootConstrainSelectedInstOperands,
     /*  113367 */     // GIR_Coverage, 51238,
     /*  113367 */     GIR_EraseRootFromParent_Done,
     /*  113368 */   // Label 1949: @113368
     /*  113368 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(113413), // Rule ID 51239 //
     /*  113373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113376 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113411 */     GIR_RootConstrainSelectedInstOperands,
     /*  113412 */     // GIR_Coverage, 51239,
     /*  113412 */     GIR_EraseRootFromParent_Done,
     /*  113413 */   // Label 1950: @113413
     /*  113413 */   GIM_Reject,
     /*  113414 */ // Label 1948: @113414
     /*  113414 */ GIM_Reject,
     /*  113415 */ // Label 1896: @113415
     /*  113415 */ GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(113529),
     /*  113420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  113423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  113426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113438 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(113483), // Rule ID 51254 //
     /*  113443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113446 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113481 */     GIR_RootConstrainSelectedInstOperands,
     /*  113482 */     // GIR_Coverage, 51254,
     /*  113482 */     GIR_EraseRootFromParent_Done,
     /*  113483 */   // Label 1952: @113483
     /*  113483 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(113528), // Rule ID 51255 //
     /*  113488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113491 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113526 */     GIR_RootConstrainSelectedInstOperands,
     /*  113527 */     // GIR_Coverage, 51255,
     /*  113527 */     GIR_EraseRootFromParent_Done,
     /*  113528 */   // Label 1953: @113528
     /*  113528 */   GIM_Reject,
     /*  113529 */ // Label 1951: @113529
     /*  113529 */ GIM_Reject,
     /*  113530 */ // Label 1897: @113530
     /*  113530 */ GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(113644),
     /*  113535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  113538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  113541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113553 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(113598), // Rule ID 51210 //
     /*  113558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113561 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113596 */     GIR_RootConstrainSelectedInstOperands,
     /*  113597 */     // GIR_Coverage, 51210,
     /*  113597 */     GIR_EraseRootFromParent_Done,
     /*  113598 */   // Label 1955: @113598
     /*  113598 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(113643), // Rule ID 51211 //
     /*  113603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113606 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113641 */     GIR_RootConstrainSelectedInstOperands,
     /*  113642 */     // GIR_Coverage, 51211,
     /*  113642 */     GIR_EraseRootFromParent_Done,
     /*  113643 */   // Label 1956: @113643
     /*  113643 */   GIM_Reject,
     /*  113644 */ // Label 1954: @113644
     /*  113644 */ GIM_Reject,
     /*  113645 */ // Label 1898: @113645
     /*  113645 */ GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(113759),
     /*  113650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  113653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  113656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113668 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(113713), // Rule ID 51226 //
     /*  113673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113676 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113711 */     GIR_RootConstrainSelectedInstOperands,
     /*  113712 */     // GIR_Coverage, 51226,
     /*  113712 */     GIR_EraseRootFromParent_Done,
     /*  113713 */   // Label 1958: @113713
     /*  113713 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(113758), // Rule ID 51227 //
     /*  113718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113721 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113756 */     GIR_RootConstrainSelectedInstOperands,
     /*  113757 */     // GIR_Coverage, 51227,
     /*  113757 */     GIR_EraseRootFromParent_Done,
     /*  113758 */   // Label 1959: @113758
     /*  113758 */   GIM_Reject,
     /*  113759 */ // Label 1957: @113759
     /*  113759 */ GIM_Reject,
     /*  113760 */ // Label 1899: @113760
     /*  113760 */ GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(113874),
     /*  113765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  113768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  113771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113783 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(113828), // Rule ID 51242 //
     /*  113788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113791 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113826 */     GIR_RootConstrainSelectedInstOperands,
     /*  113827 */     // GIR_Coverage, 51242,
     /*  113827 */     GIR_EraseRootFromParent_Done,
     /*  113828 */   // Label 1961: @113828
     /*  113828 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(113873), // Rule ID 51243 //
     /*  113833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113836 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113871 */     GIR_RootConstrainSelectedInstOperands,
     /*  113872 */     // GIR_Coverage, 51243,
     /*  113872 */     GIR_EraseRootFromParent_Done,
     /*  113873 */   // Label 1962: @113873
     /*  113873 */   GIM_Reject,
     /*  113874 */ // Label 1960: @113874
     /*  113874 */ GIM_Reject,
     /*  113875 */ // Label 1900: @113875
     /*  113875 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(113989),
     /*  113880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  113883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  113886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113898 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(113943), // Rule ID 51214 //
     /*  113903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113906 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113941 */     GIR_RootConstrainSelectedInstOperands,
     /*  113942 */     // GIR_Coverage, 51214,
     /*  113942 */     GIR_EraseRootFromParent_Done,
     /*  113943 */   // Label 1964: @113943
     /*  113943 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(113988), // Rule ID 51215 //
     /*  113948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113951 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113986 */     GIR_RootConstrainSelectedInstOperands,
     /*  113987 */     // GIR_Coverage, 51215,
     /*  113987 */     GIR_EraseRootFromParent_Done,
     /*  113988 */   // Label 1965: @113988
     /*  113988 */   GIM_Reject,
     /*  113989 */ // Label 1963: @113989
     /*  113989 */ GIM_Reject,
     /*  113990 */ // Label 1901: @113990
     /*  113990 */ GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(114104),
     /*  113995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  113998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  114001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114013 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(114058), // Rule ID 51230 //
     /*  114018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114021 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114056 */     GIR_RootConstrainSelectedInstOperands,
     /*  114057 */     // GIR_Coverage, 51230,
     /*  114057 */     GIR_EraseRootFromParent_Done,
     /*  114058 */   // Label 1967: @114058
     /*  114058 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(114103), // Rule ID 51231 //
     /*  114063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114066 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114101 */     GIR_RootConstrainSelectedInstOperands,
     /*  114102 */     // GIR_Coverage, 51231,
     /*  114102 */     GIR_EraseRootFromParent_Done,
     /*  114103 */   // Label 1968: @114103
     /*  114103 */   GIM_Reject,
     /*  114104 */ // Label 1966: @114104
     /*  114104 */ GIM_Reject,
     /*  114105 */ // Label 1902: @114105
     /*  114105 */ GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(114219),
     /*  114110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  114113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  114116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114128 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(114173), // Rule ID 51218 //
     /*  114133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114136 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114171 */     GIR_RootConstrainSelectedInstOperands,
     /*  114172 */     // GIR_Coverage, 51218,
     /*  114172 */     GIR_EraseRootFromParent_Done,
     /*  114173 */   // Label 1970: @114173
     /*  114173 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(114218), // Rule ID 51219 //
     /*  114178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114181 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114216 */     GIR_RootConstrainSelectedInstOperands,
     /*  114217 */     // GIR_Coverage, 51219,
     /*  114217 */     GIR_EraseRootFromParent_Done,
     /*  114218 */   // Label 1971: @114218
     /*  114218 */   GIM_Reject,
     /*  114219 */ // Label 1969: @114219
     /*  114219 */ GIM_Reject,
     /*  114220 */ // Label 1903: @114220
     /*  114220 */ GIM_Reject,
     /*  114221 */ // Label 7: @114221
     /*  114221 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2003*/ GIMT_Encode4(123664),
     /*  114232 */ /*GILLT_s32*//*Label 1972*/ GIMT_Encode4(114356),
     /*  114236 */ /*GILLT_s64*//*Label 1973*/ GIMT_Encode4(115574),
     /*  114240 */ /*GILLT_nxv1s1*//*Label 1974*/ GIMT_Encode4(116857),
     /*  114244 */ /*GILLT_nxv1s8*//*Label 1975*/ GIMT_Encode4(117468),
     /*  114248 */ /*GILLT_nxv1s16*//*Label 1976*/ GIMT_Encode4(117583),
     /*  114252 */ /*GILLT_nxv1s32*//*Label 1977*/ GIMT_Encode4(117698),
     /*  114256 */ /*GILLT_nxv1s64*//*Label 1978*/ GIMT_Encode4(117813),
     /*  114260 */ /*GILLT_nxv2s1*//*Label 1979*/ GIMT_Encode4(117928),
     /*  114264 */ /*GILLT_nxv2s8*//*Label 1980*/ GIMT_Encode4(118539),
     /*  114268 */ /*GILLT_nxv2s16*//*Label 1981*/ GIMT_Encode4(118654),
     /*  114272 */ /*GILLT_nxv2s32*//*Label 1982*/ GIMT_Encode4(118769),
     /*  114276 */ /*GILLT_nxv2s64*//*Label 1983*/ GIMT_Encode4(118884),
     /*  114280 */ /*GILLT_nxv4s1*//*Label 1984*/ GIMT_Encode4(118999),
     /*  114284 */ /*GILLT_nxv4s8*//*Label 1985*/ GIMT_Encode4(119610),
     /*  114288 */ /*GILLT_nxv4s16*//*Label 1986*/ GIMT_Encode4(119725),
     /*  114292 */ /*GILLT_nxv4s32*//*Label 1987*/ GIMT_Encode4(119840),
     /*  114296 */ /*GILLT_nxv4s64*//*Label 1988*/ GIMT_Encode4(119955),
     /*  114300 */ /*GILLT_nxv8s1*//*Label 1989*/ GIMT_Encode4(120070),
     /*  114304 */ /*GILLT_nxv8s8*//*Label 1990*/ GIMT_Encode4(120681),
     /*  114308 */ /*GILLT_nxv8s16*//*Label 1991*/ GIMT_Encode4(120796),
     /*  114312 */ /*GILLT_nxv8s32*//*Label 1992*/ GIMT_Encode4(120911),
     /*  114316 */ /*GILLT_nxv8s64*//*Label 1993*/ GIMT_Encode4(121026),
     /*  114320 */ /*GILLT_nxv16s1*//*Label 1994*/ GIMT_Encode4(121141),
     /*  114324 */ /*GILLT_nxv16s8*//*Label 1995*/ GIMT_Encode4(121752),
     /*  114328 */ /*GILLT_nxv16s16*//*Label 1996*/ GIMT_Encode4(121867),
     /*  114332 */ /*GILLT_nxv16s32*//*Label 1997*/ GIMT_Encode4(121982),
     /*  114336 */ /*GILLT_nxv32s1*//*Label 1998*/ GIMT_Encode4(122097),
     /*  114340 */ /*GILLT_nxv32s8*//*Label 1999*/ GIMT_Encode4(122708),
     /*  114344 */ /*GILLT_nxv32s16*//*Label 2000*/ GIMT_Encode4(122823),
     /*  114348 */ /*GILLT_nxv64s1*//*Label 2001*/ GIMT_Encode4(122938),
     /*  114352 */ /*GILLT_nxv64s8*//*Label 2002*/ GIMT_Encode4(123549),
     /*  114356 */ // Label 1972: @114356
     /*  114356 */ GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(115573),
     /*  114361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  114364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114367 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(114456), // Rule ID 65084 //
     /*  114372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114416 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114420 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114440 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114454 */     GIR_RootConstrainSelectedInstOperands,
     /*  114455 */     // GIR_Coverage, 65084,
     /*  114455 */     GIR_EraseRootFromParent_Done,
     /*  114456 */   // Label 2005: @114456
     /*  114456 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(114545), // Rule ID 2434 //
     /*  114461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114496 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114505 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114509 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114529 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114543 */     GIR_RootConstrainSelectedInstOperands,
     /*  114544 */     // GIR_Coverage, 2434,
     /*  114544 */     GIR_EraseRootFromParent_Done,
     /*  114545 */   // Label 2006: @114545
     /*  114545 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(114624), // Rule ID 2361 //
     /*  114550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114589 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114593 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114603 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114610 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114622 */     GIR_RootConstrainSelectedInstOperands,
     /*  114623 */     // GIR_Coverage, 2361,
     /*  114623 */     GIR_EraseRootFromParent_Done,
     /*  114624 */   // Label 2007: @114624
     /*  114624 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(114703), // Rule ID 65072 //
     /*  114629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114672 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114676 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114682 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114689 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114701 */     GIR_RootConstrainSelectedInstOperands,
     /*  114702 */     // GIR_Coverage, 65072,
     /*  114702 */     GIR_EraseRootFromParent_Done,
     /*  114703 */   // Label 2008: @114703
     /*  114703 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(114768), // Rule ID 2381 //
     /*  114708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114744 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114748 */     // MIs[2] Operand 1
     /*  114748 */     // No operand predicates
     /*  114748 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114754 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  114757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114766 */     GIR_RootConstrainSelectedInstOperands,
     /*  114767 */     // GIR_Coverage, 2381,
     /*  114767 */     GIR_EraseRootFromParent_Done,
     /*  114768 */   // Label 2009: @114768
     /*  114768 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(114833), // Rule ID 62486 //
     /*  114773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  114776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114809 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114813 */     // MIs[2] Operand 1
     /*  114813 */     // No operand predicates
     /*  114813 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114819 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  114822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114831 */     GIR_RootConstrainSelectedInstOperands,
     /*  114832 */     // GIR_Coverage, 62486,
     /*  114832 */     GIR_EraseRootFromParent_Done,
     /*  114833 */   // Label 2010: @114833
     /*  114833 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(114895), // Rule ID 2369 //
     /*  114838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114872 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114879 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  114882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114893 */     GIR_RootConstrainSelectedInstOperands,
     /*  114894 */     // GIR_Coverage, 2369,
     /*  114894 */     GIR_EraseRootFromParent_Done,
     /*  114895 */   // Label 2011: @114895
     /*  114895 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(114951), // Rule ID 2363 //
     /*  114900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  114915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114923 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  114927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114938 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  114949 */     GIR_RootConstrainSelectedInstOperands,
     /*  114950 */     // GIR_Coverage, 2363,
     /*  114950 */     GIR_EraseRootFromParent_Done,
     /*  114951 */   // Label 2012: @114951
     /*  114951 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(115007), // Rule ID 65058 //
     /*  114956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  114959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114984 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114994 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  114997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  115005 */     GIR_RootConstrainSelectedInstOperands,
     /*  115006 */     // GIR_Coverage, 65058,
     /*  115006 */     GIR_EraseRootFromParent_Done,
     /*  115007 */   // Label 2013: @115007
     /*  115007 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(115063), // Rule ID 65074 //
     /*  115012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  115015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  115031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115039 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  115043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115050 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  115061 */     GIR_RootConstrainSelectedInstOperands,
     /*  115062 */     // GIR_Coverage, 65074,
     /*  115062 */     GIR_EraseRootFromParent_Done,
     /*  115063 */   // Label 2014: @115063
     /*  115063 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(115119), // Rule ID 2337 //
     /*  115068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  115071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115100 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115106 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  115109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  115117 */     GIR_RootConstrainSelectedInstOperands,
     /*  115118 */     // GIR_Coverage, 2337,
     /*  115118 */     GIR_EraseRootFromParent_Done,
     /*  115119 */   // Label 2015: @115119
     /*  115119 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(115155), // Rule ID 64387 //
     /*  115124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115135 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115146 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  115149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115153 */     GIR_RootConstrainSelectedInstOperands,
     /*  115154 */     // GIR_Coverage, 64387,
     /*  115154 */     GIR_EraseRootFromParent_Done,
     /*  115155 */   // Label 2016: @115155
     /*  115155 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(115191), // Rule ID 64389 //
     /*  115160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115171 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  115182 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  115185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115189 */     GIR_RootConstrainSelectedInstOperands,
     /*  115190 */     // GIR_Coverage, 64389,
     /*  115190 */     GIR_EraseRootFromParent_Done,
     /*  115191 */   // Label 2017: @115191
     /*  115191 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(115227), // Rule ID 2445 //
     /*  115196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  115199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115207 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115218 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115225 */     GIR_RootConstrainSelectedInstOperands,
     /*  115226 */     // GIR_Coverage, 2445,
     /*  115226 */     GIR_EraseRootFromParent_Done,
     /*  115227 */   // Label 2018: @115227
     /*  115227 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(115263), // Rule ID 2446 //
     /*  115232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  115235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115243 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115254 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115261 */     GIR_RootConstrainSelectedInstOperands,
     /*  115262 */     // GIR_Coverage, 2446,
     /*  115262 */     GIR_EraseRootFromParent_Done,
     /*  115263 */   // Label 2019: @115263
     /*  115263 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(115305), // Rule ID 2448 //
     /*  115268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  115271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115279 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115290 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  115290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115297 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115303 */     GIR_RootConstrainSelectedInstOperands,
     /*  115304 */     // GIR_Coverage, 2448,
     /*  115304 */     GIR_EraseRootFromParent_Done,
     /*  115305 */   // Label 2020: @115305
     /*  115305 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(115347), // Rule ID 2449 //
     /*  115310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  115313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115321 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115332 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  115332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115345 */     GIR_RootConstrainSelectedInstOperands,
     /*  115346 */     // GIR_Coverage, 2449,
     /*  115346 */     GIR_EraseRootFromParent_Done,
     /*  115347 */   // Label 2021: @115347
     /*  115347 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(115389), // Rule ID 85 //
     /*  115352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  115375 */     // MIs[1] Operand 1
     /*  115375 */     // No operand predicates
     /*  115375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115377 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  115377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  115380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115387 */     GIR_RootConstrainSelectedInstOperands,
     /*  115388 */     // GIR_Coverage, 85,
     /*  115388 */     GIR_EraseRootFromParent_Done,
     /*  115389 */   // Label 2022: @115389
     /*  115389 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(115461), // Rule ID 103 //
     /*  115394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115413 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  115417 */     // MIs[1] Operand 1
     /*  115417 */     // No operand predicates
     /*  115417 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9928),
     /*  115421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115423 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9928>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  115423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  115426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  115430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  115439 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  115449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115454 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115459 */     GIR_RootConstrainSelectedInstOperands,
     /*  115460 */     // GIR_Coverage, 103,
     /*  115460 */     GIR_EraseRootFromParent_Done,
     /*  115461 */   // Label 2023: @115461
     /*  115461 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(115503), // Rule ID 64440 //
     /*  115466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  115489 */     // MIs[1] Operand 1
     /*  115489 */     // No operand predicates
     /*  115489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115491 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  115491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  115494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  115496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115501 */     GIR_RootConstrainSelectedInstOperands,
     /*  115502 */     // GIR_Coverage, 64440,
     /*  115502 */     GIR_EraseRootFromParent_Done,
     /*  115503 */   // Label 2024: @115503
     /*  115503 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(115545), // Rule ID 64444 //
     /*  115508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  115531 */     // MIs[1] Operand 1
     /*  115531 */     // No operand predicates
     /*  115531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115533 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  115533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  115536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115543 */     GIR_RootConstrainSelectedInstOperands,
     /*  115544 */     // GIR_Coverage, 64444,
     /*  115544 */     GIR_EraseRootFromParent_Done,
     /*  115545 */   // Label 2025: @115545
     /*  115545 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(115572), // Rule ID 83 //
     /*  115550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115565 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  115570 */     GIR_RootConstrainSelectedInstOperands,
     /*  115571 */     // GIR_Coverage, 83,
     /*  115571 */     GIR_Done,
     /*  115572 */   // Label 2026: @115572
     /*  115572 */   GIM_Reject,
     /*  115573 */ // Label 2004: @115573
     /*  115573 */ GIM_Reject,
     /*  115574 */ // Label 1973: @115574
     /*  115574 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(116856),
     /*  115579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115589 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(115674), // Rule ID 65083 //
     /*  115594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115609 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115625 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115629 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115634 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115638 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115651 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115658 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115672 */     GIR_RootConstrainSelectedInstOperands,
     /*  115673 */     // GIR_Coverage, 65083,
     /*  115673 */     GIR_EraseRootFromParent_Done,
     /*  115674 */   // Label 2028: @115674
     /*  115674 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(115759), // Rule ID 2433 //
     /*  115679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115719 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115723 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115743 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115757 */     GIR_RootConstrainSelectedInstOperands,
     /*  115758 */     // GIR_Coverage, 2433,
     /*  115758 */     GIR_EraseRootFromParent_Done,
     /*  115759 */   // Label 2029: @115759
     /*  115759 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(115834), // Rule ID 2360 //
     /*  115764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115795 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115799 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115803 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115813 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115820 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115832 */     GIR_RootConstrainSelectedInstOperands,
     /*  115833 */     // GIR_Coverage, 2360,
     /*  115833 */     GIR_EraseRootFromParent_Done,
     /*  115834 */   // Label 2030: @115834
     /*  115834 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(115909), // Rule ID 65071 //
     /*  115839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115874 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115878 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115882 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115888 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115895 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115907 */     GIR_RootConstrainSelectedInstOperands,
     /*  115908 */     // GIR_Coverage, 65071,
     /*  115908 */     GIR_EraseRootFromParent_Done,
     /*  115909 */   // Label 2031: @115909
     /*  115909 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(115970), // Rule ID 2380 //
     /*  115914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115946 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  115950 */     // MIs[2] Operand 1
     /*  115950 */     // No operand predicates
     /*  115950 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115956 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  115956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  115959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  115968 */     GIR_RootConstrainSelectedInstOperands,
     /*  115969 */     // GIR_Coverage, 2380,
     /*  115969 */     GIR_EraseRootFromParent_Done,
     /*  115970 */   // Label 2032: @115970
     /*  115970 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(116031), // Rule ID 62485 //
     /*  115975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  115978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  116003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116007 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  116011 */     // MIs[2] Operand 1
     /*  116011 */     // No operand predicates
     /*  116011 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116017 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  116017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  116020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  116029 */     GIR_RootConstrainSelectedInstOperands,
     /*  116030 */     // GIR_Coverage, 62485,
     /*  116030 */     GIR_EraseRootFromParent_Done,
     /*  116031 */   // Label 2033: @116031
     /*  116031 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(116089), // Rule ID 2368 //
     /*  116036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  116047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116060 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  116073 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  116076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  116087 */     GIR_RootConstrainSelectedInstOperands,
     /*  116088 */     // GIR_Coverage, 2368,
     /*  116088 */     GIR_EraseRootFromParent_Done,
     /*  116089 */   // Label 2034: @116089
     /*  116089 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(116141), // Rule ID 2362 //
     /*  116094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116113 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116128 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116139 */     GIR_RootConstrainSelectedInstOperands,
     /*  116140 */     // GIR_Coverage, 2362,
     /*  116140 */     GIR_EraseRootFromParent_Done,
     /*  116141 */   // Label 2035: @116141
     /*  116141 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(116193), // Rule ID 65057 //
     /*  116146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116170 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116180 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116191 */     GIR_RootConstrainSelectedInstOperands,
     /*  116192 */     // GIR_Coverage, 65057,
     /*  116192 */     GIR_EraseRootFromParent_Done,
     /*  116193 */   // Label 2036: @116193
     /*  116193 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(116245), // Rule ID 65073 //
     /*  116198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116221 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116232 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116243 */     GIR_RootConstrainSelectedInstOperands,
     /*  116244 */     // GIR_Coverage, 65073,
     /*  116244 */     GIR_EraseRootFromParent_Done,
     /*  116245 */   // Label 2037: @116245
     /*  116245 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(116297), // Rule ID 2336 //
     /*  116250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116278 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116284 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116295 */     GIR_RootConstrainSelectedInstOperands,
     /*  116296 */     // GIR_Coverage, 2336,
     /*  116296 */     GIR_EraseRootFromParent_Done,
     /*  116297 */   // Label 2038: @116297
     /*  116297 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(116329), // Rule ID 64386 //
     /*  116302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116309 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116320 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  116323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116327 */     GIR_RootConstrainSelectedInstOperands,
     /*  116328 */     // GIR_Coverage, 64386,
     /*  116328 */     GIR_EraseRootFromParent_Done,
     /*  116329 */   // Label 2039: @116329
     /*  116329 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(116361), // Rule ID 64388 //
     /*  116334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116341 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  116352 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  116355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116359 */     GIR_RootConstrainSelectedInstOperands,
     /*  116360 */     // GIR_Coverage, 64388,
     /*  116360 */     GIR_EraseRootFromParent_Done,
     /*  116361 */   // Label 2040: @116361
     /*  116361 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(116418), // Rule ID 252 //
     /*  116366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  116369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116373 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116384 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  116384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116400 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  116403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  116416 */     GIR_RootConstrainSelectedInstOperands,
     /*  116417 */     // GIR_Coverage, 252,
     /*  116417 */     GIR_EraseRootFromParent_Done,
     /*  116418 */   // Label 2041: @116418
     /*  116418 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(116450), // Rule ID 2447 //
     /*  116423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  116426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116430 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116441 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  116441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  116444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116448 */     GIR_RootConstrainSelectedInstOperands,
     /*  116449 */     // GIR_Coverage, 2447,
     /*  116449 */     GIR_EraseRootFromParent_Done,
     /*  116450 */   // Label 2042: @116450
     /*  116450 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(116488), // Rule ID 2450 //
     /*  116455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  116458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116462 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116473 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  116476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116486 */     GIR_RootConstrainSelectedInstOperands,
     /*  116487 */     // GIR_Coverage, 2450,
     /*  116487 */     GIR_EraseRootFromParent_Done,
     /*  116488 */   // Label 2043: @116488
     /*  116488 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(116526), // Rule ID 2493 //
     /*  116493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116500 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116511 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  116514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116524 */     GIR_RootConstrainSelectedInstOperands,
     /*  116525 */     // GIR_Coverage, 2493,
     /*  116525 */     GIR_EraseRootFromParent_Done,
     /*  116526 */   // Label 2044: @116526
     /*  116526 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(116564), // Rule ID 84 //
     /*  116531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  116550 */     // MIs[1] Operand 1
     /*  116550 */     // No operand predicates
     /*  116550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116552 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  116552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  116555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  116562 */     GIR_RootConstrainSelectedInstOperands,
     /*  116563 */     // GIR_Coverage, 84,
     /*  116563 */     GIR_EraseRootFromParent_Done,
     /*  116564 */   // Label 2045: @116564
     /*  116564 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(116632), // Rule ID 101 //
     /*  116569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  116588 */     // MIs[1] Operand 1
     /*  116588 */     // No operand predicates
     /*  116588 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9926),
     /*  116592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116594 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9926>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116610 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116625 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116630 */     GIR_RootConstrainSelectedInstOperands,
     /*  116631 */     // GIR_Coverage, 101,
     /*  116631 */     GIR_EraseRootFromParent_Done,
     /*  116632 */   // Label 2046: @116632
     /*  116632 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(116700), // Rule ID 102 //
     /*  116637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116652 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  116656 */     // MIs[1] Operand 1
     /*  116656 */     // No operand predicates
     /*  116656 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9928),
     /*  116660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116662 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9928>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116678 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116693 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116698 */     GIR_RootConstrainSelectedInstOperands,
     /*  116699 */     // GIR_Coverage, 102,
     /*  116699 */     GIR_EraseRootFromParent_Done,
     /*  116700 */   // Label 2047: @116700
     /*  116700 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(116768), // Rule ID 254 //
     /*  116705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  116708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  116724 */     // MIs[1] Operand 1
     /*  116724 */     // No operand predicates
     /*  116724 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10016),
     /*  116728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116730 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_10016>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  116737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116746 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116761 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116766 */     GIR_RootConstrainSelectedInstOperands,
     /*  116767 */     // GIR_Coverage, 254,
     /*  116767 */     GIR_EraseRootFromParent_Done,
     /*  116768 */   // Label 2048: @116768
     /*  116768 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(116832), // Rule ID 2490 //
     /*  116773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116788 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  116792 */     // MIs[1] Operand 1
     /*  116792 */     // No operand predicates
     /*  116792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116794 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  116794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116806 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116810 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  116820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116825 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116830 */     GIR_RootConstrainSelectedInstOperands,
     /*  116831 */     // GIR_Coverage, 2490,
     /*  116831 */     GIR_EraseRootFromParent_Done,
     /*  116832 */   // Label 2049: @116832
     /*  116832 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(116855), // Rule ID 82 //
     /*  116837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116848 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  116853 */     GIR_RootConstrainSelectedInstOperands,
     /*  116854 */     // GIR_Coverage, 82,
     /*  116854 */     GIR_Done,
     /*  116855 */   // Label 2050: @116855
     /*  116855 */   GIM_Reject,
     /*  116856 */ // Label 2027: @116856
     /*  116856 */ GIM_Reject,
     /*  116857 */ // Label 1974: @116857
     /*  116857 */ GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(117467),
     /*  116862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116872 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(116938), // Rule ID 71273 //
     /*  116877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116919 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116936 */     GIR_RootConstrainSelectedInstOperands,
     /*  116937 */     // GIR_Coverage, 71273,
     /*  116937 */     GIR_EraseRootFromParent_Done,
     /*  116938 */   // Label 2052: @116938
     /*  116938 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(117004), // Rule ID 71274 //
     /*  116943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116985 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117002 */     GIR_RootConstrainSelectedInstOperands,
     /*  117003 */     // GIR_Coverage, 71274,
     /*  117003 */     GIR_EraseRootFromParent_Done,
     /*  117004 */   // Label 2053: @117004
     /*  117004 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(117070), // Rule ID 71271 //
     /*  117009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117051 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117068 */     GIR_RootConstrainSelectedInstOperands,
     /*  117069 */     // GIR_Coverage, 71271,
     /*  117069 */     GIR_EraseRootFromParent_Done,
     /*  117070 */   // Label 2054: @117070
     /*  117070 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(117136), // Rule ID 71272 //
     /*  117075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117117 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117134 */     GIR_RootConstrainSelectedInstOperands,
     /*  117135 */     // GIR_Coverage, 71272,
     /*  117135 */     GIR_EraseRootFromParent_Done,
     /*  117136 */   // Label 2055: @117136
     /*  117136 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(117202), // Rule ID 71269 //
     /*  117141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117183 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117200 */     GIR_RootConstrainSelectedInstOperands,
     /*  117201 */     // GIR_Coverage, 71269,
     /*  117201 */     GIR_EraseRootFromParent_Done,
     /*  117202 */   // Label 2056: @117202
     /*  117202 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(117268), // Rule ID 71270 //
     /*  117207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117249 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117266 */     GIR_RootConstrainSelectedInstOperands,
     /*  117267 */     // GIR_Coverage, 71270,
     /*  117267 */     GIR_EraseRootFromParent_Done,
     /*  117268 */   // Label 2057: @117268
     /*  117268 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(117334), // Rule ID 53046 //
     /*  117273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117315 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117332 */     GIR_RootConstrainSelectedInstOperands,
     /*  117333 */     // GIR_Coverage, 53046,
     /*  117333 */     GIR_EraseRootFromParent_Done,
     /*  117334 */   // Label 2058: @117334
     /*  117334 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(117400), // Rule ID 53047 //
     /*  117339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117381 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117398 */     GIR_RootConstrainSelectedInstOperands,
     /*  117399 */     // GIR_Coverage, 53047,
     /*  117399 */     GIR_EraseRootFromParent_Done,
     /*  117400 */   // Label 2059: @117400
     /*  117400 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(117433), // Rule ID 53034 //
     /*  117405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117416 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117431 */     GIR_RootConstrainSelectedInstOperands,
     /*  117432 */     // GIR_Coverage, 53034,
     /*  117432 */     GIR_EraseRootFromParent_Done,
     /*  117433 */   // Label 2060: @117433
     /*  117433 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(117466), // Rule ID 53035 //
     /*  117438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117449 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117464 */     GIR_RootConstrainSelectedInstOperands,
     /*  117465 */     // GIR_Coverage, 53035,
     /*  117465 */     GIR_EraseRootFromParent_Done,
     /*  117466 */   // Label 2061: @117466
     /*  117466 */   GIM_Reject,
     /*  117467 */ // Label 2051: @117467
     /*  117467 */ GIM_Reject,
     /*  117468 */ // Label 1975: @117468
     /*  117468 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(117582),
     /*  117473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  117476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  117479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117491 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(117536), // Rule ID 47526 //
     /*  117496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117499 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117534 */     GIR_RootConstrainSelectedInstOperands,
     /*  117535 */     // GIR_Coverage, 47526,
     /*  117535 */     GIR_EraseRootFromParent_Done,
     /*  117536 */   // Label 2063: @117536
     /*  117536 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(117581), // Rule ID 47527 //
     /*  117541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117544 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117579 */     GIR_RootConstrainSelectedInstOperands,
     /*  117580 */     // GIR_Coverage, 47527,
     /*  117580 */     GIR_EraseRootFromParent_Done,
     /*  117581 */   // Label 2064: @117581
     /*  117581 */   GIM_Reject,
     /*  117582 */ // Label 2062: @117582
     /*  117582 */ GIM_Reject,
     /*  117583 */ // Label 1976: @117583
     /*  117583 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(117697),
     /*  117588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  117591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  117594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117606 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(117651), // Rule ID 47538 //
     /*  117611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117614 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117649 */     GIR_RootConstrainSelectedInstOperands,
     /*  117650 */     // GIR_Coverage, 47538,
     /*  117650 */     GIR_EraseRootFromParent_Done,
     /*  117651 */   // Label 2066: @117651
     /*  117651 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(117696), // Rule ID 47539 //
     /*  117656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117659 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117694 */     GIR_RootConstrainSelectedInstOperands,
     /*  117695 */     // GIR_Coverage, 47539,
     /*  117695 */     GIR_EraseRootFromParent_Done,
     /*  117696 */   // Label 2067: @117696
     /*  117696 */   GIM_Reject,
     /*  117697 */ // Label 2065: @117697
     /*  117697 */ GIM_Reject,
     /*  117698 */ // Label 1977: @117698
     /*  117698 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(117812),
     /*  117703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  117706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  117709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117721 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(117766), // Rule ID 47546 //
     /*  117726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117729 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117764 */     GIR_RootConstrainSelectedInstOperands,
     /*  117765 */     // GIR_Coverage, 47546,
     /*  117765 */     GIR_EraseRootFromParent_Done,
     /*  117766 */   // Label 2069: @117766
     /*  117766 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(117811), // Rule ID 47547 //
     /*  117771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117774 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117809 */     GIR_RootConstrainSelectedInstOperands,
     /*  117810 */     // GIR_Coverage, 47547,
     /*  117810 */     GIR_EraseRootFromParent_Done,
     /*  117811 */   // Label 2070: @117811
     /*  117811 */   GIM_Reject,
     /*  117812 */ // Label 2068: @117812
     /*  117812 */ GIM_Reject,
     /*  117813 */ // Label 1978: @117813
     /*  117813 */ GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(117927),
     /*  117818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  117821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  117824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117836 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(117881), // Rule ID 47562 //
     /*  117841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117844 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117879 */     GIR_RootConstrainSelectedInstOperands,
     /*  117880 */     // GIR_Coverage, 47562,
     /*  117880 */     GIR_EraseRootFromParent_Done,
     /*  117881 */   // Label 2072: @117881
     /*  117881 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(117926), // Rule ID 47563 //
     /*  117886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117889 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117924 */     GIR_RootConstrainSelectedInstOperands,
     /*  117925 */     // GIR_Coverage, 47563,
     /*  117925 */     GIR_EraseRootFromParent_Done,
     /*  117926 */   // Label 2073: @117926
     /*  117926 */   GIM_Reject,
     /*  117927 */ // Label 2071: @117927
     /*  117927 */ GIM_Reject,
     /*  117928 */ // Label 1979: @117928
     /*  117928 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(118538),
     /*  117933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117943 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(118009), // Rule ID 71301 //
     /*  117948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117990 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118007 */     GIR_RootConstrainSelectedInstOperands,
     /*  118008 */     // GIR_Coverage, 71301,
     /*  118008 */     GIR_EraseRootFromParent_Done,
     /*  118009 */   // Label 2075: @118009
     /*  118009 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(118075), // Rule ID 71302 //
     /*  118014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118054 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118056 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118073 */     GIR_RootConstrainSelectedInstOperands,
     /*  118074 */     // GIR_Coverage, 71302,
     /*  118074 */     GIR_EraseRootFromParent_Done,
     /*  118075 */   // Label 2076: @118075
     /*  118075 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(118141), // Rule ID 71299 //
     /*  118080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118122 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118139 */     GIR_RootConstrainSelectedInstOperands,
     /*  118140 */     // GIR_Coverage, 71299,
     /*  118140 */     GIR_EraseRootFromParent_Done,
     /*  118141 */   // Label 2077: @118141
     /*  118141 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(118207), // Rule ID 71300 //
     /*  118146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118188 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118205 */     GIR_RootConstrainSelectedInstOperands,
     /*  118206 */     // GIR_Coverage, 71300,
     /*  118206 */     GIR_EraseRootFromParent_Done,
     /*  118207 */   // Label 2078: @118207
     /*  118207 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(118273), // Rule ID 71297 //
     /*  118212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118252 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118254 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118271 */     GIR_RootConstrainSelectedInstOperands,
     /*  118272 */     // GIR_Coverage, 71297,
     /*  118272 */     GIR_EraseRootFromParent_Done,
     /*  118273 */   // Label 2079: @118273
     /*  118273 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(118339), // Rule ID 71298 //
     /*  118278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118320 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118337 */     GIR_RootConstrainSelectedInstOperands,
     /*  118338 */     // GIR_Coverage, 71298,
     /*  118338 */     GIR_EraseRootFromParent_Done,
     /*  118339 */   // Label 2080: @118339
     /*  118339 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(118405), // Rule ID 53064 //
     /*  118344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118386 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118403 */     GIR_RootConstrainSelectedInstOperands,
     /*  118404 */     // GIR_Coverage, 53064,
     /*  118404 */     GIR_EraseRootFromParent_Done,
     /*  118405 */   // Label 2081: @118405
     /*  118405 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(118471), // Rule ID 53065 //
     /*  118410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118452 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118469 */     GIR_RootConstrainSelectedInstOperands,
     /*  118470 */     // GIR_Coverage, 53065,
     /*  118470 */     GIR_EraseRootFromParent_Done,
     /*  118471 */   // Label 2082: @118471
     /*  118471 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(118504), // Rule ID 53052 //
     /*  118476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118487 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118502 */     GIR_RootConstrainSelectedInstOperands,
     /*  118503 */     // GIR_Coverage, 53052,
     /*  118503 */     GIR_EraseRootFromParent_Done,
     /*  118504 */   // Label 2083: @118504
     /*  118504 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(118537), // Rule ID 53053 //
     /*  118509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118520 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118535 */     GIR_RootConstrainSelectedInstOperands,
     /*  118536 */     // GIR_Coverage, 53053,
     /*  118536 */     GIR_EraseRootFromParent_Done,
     /*  118537 */   // Label 2084: @118537
     /*  118537 */   GIM_Reject,
     /*  118538 */ // Label 2074: @118538
     /*  118538 */ GIM_Reject,
     /*  118539 */ // Label 1980: @118539
     /*  118539 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(118653),
     /*  118544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  118547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118562 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(118607), // Rule ID 47530 //
     /*  118567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118570 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118605 */     GIR_RootConstrainSelectedInstOperands,
     /*  118606 */     // GIR_Coverage, 47530,
     /*  118606 */     GIR_EraseRootFromParent_Done,
     /*  118607 */   // Label 2086: @118607
     /*  118607 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(118652), // Rule ID 47531 //
     /*  118612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118615 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118650 */     GIR_RootConstrainSelectedInstOperands,
     /*  118651 */     // GIR_Coverage, 47531,
     /*  118651 */     GIR_EraseRootFromParent_Done,
     /*  118652 */   // Label 2087: @118652
     /*  118652 */   GIM_Reject,
     /*  118653 */ // Label 2085: @118653
     /*  118653 */ GIM_Reject,
     /*  118654 */ // Label 1981: @118654
     /*  118654 */ GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(118768),
     /*  118659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  118662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  118665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118677 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(118722), // Rule ID 47542 //
     /*  118682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118685 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118720 */     GIR_RootConstrainSelectedInstOperands,
     /*  118721 */     // GIR_Coverage, 47542,
     /*  118721 */     GIR_EraseRootFromParent_Done,
     /*  118722 */   // Label 2089: @118722
     /*  118722 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(118767), // Rule ID 47543 //
     /*  118727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118730 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118765 */     GIR_RootConstrainSelectedInstOperands,
     /*  118766 */     // GIR_Coverage, 47543,
     /*  118766 */     GIR_EraseRootFromParent_Done,
     /*  118767 */   // Label 2090: @118767
     /*  118767 */   GIM_Reject,
     /*  118768 */ // Label 2088: @118768
     /*  118768 */ GIM_Reject,
     /*  118769 */ // Label 1982: @118769
     /*  118769 */ GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(118883),
     /*  118774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  118777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  118780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118792 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(118837), // Rule ID 47558 //
     /*  118797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118800 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  118800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118835 */     GIR_RootConstrainSelectedInstOperands,
     /*  118836 */     // GIR_Coverage, 47558,
     /*  118836 */     GIR_EraseRootFromParent_Done,
     /*  118837 */   // Label 2092: @118837
     /*  118837 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(118882), // Rule ID 47559 //
     /*  118842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118845 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  118845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118880 */     GIR_RootConstrainSelectedInstOperands,
     /*  118881 */     // GIR_Coverage, 47559,
     /*  118881 */     GIR_EraseRootFromParent_Done,
     /*  118882 */   // Label 2093: @118882
     /*  118882 */   GIM_Reject,
     /*  118883 */ // Label 2091: @118883
     /*  118883 */ GIM_Reject,
     /*  118884 */ // Label 1983: @118884
     /*  118884 */ GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(118998),
     /*  118889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  118892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  118895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118907 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(118952), // Rule ID 47602 //
     /*  118912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  118915 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  118915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118950 */     GIR_RootConstrainSelectedInstOperands,
     /*  118951 */     // GIR_Coverage, 47602,
     /*  118951 */     GIR_EraseRootFromParent_Done,
     /*  118952 */   // Label 2095: @118952
     /*  118952 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(118997), // Rule ID 47603 //
     /*  118957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  118960 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  118960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118995 */     GIR_RootConstrainSelectedInstOperands,
     /*  118996 */     // GIR_Coverage, 47603,
     /*  118996 */     GIR_EraseRootFromParent_Done,
     /*  118997 */   // Label 2096: @118997
     /*  118997 */   GIM_Reject,
     /*  118998 */ // Label 2094: @118998
     /*  118998 */ GIM_Reject,
     /*  118999 */ // Label 1984: @118999
     /*  118999 */ GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(119609),
     /*  119004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119014 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(119080), // Rule ID 71329 //
     /*  119019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119061 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119078 */     GIR_RootConstrainSelectedInstOperands,
     /*  119079 */     // GIR_Coverage, 71329,
     /*  119079 */     GIR_EraseRootFromParent_Done,
     /*  119080 */   // Label 2098: @119080
     /*  119080 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(119146), // Rule ID 71330 //
     /*  119085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119127 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119144 */     GIR_RootConstrainSelectedInstOperands,
     /*  119145 */     // GIR_Coverage, 71330,
     /*  119145 */     GIR_EraseRootFromParent_Done,
     /*  119146 */   // Label 2099: @119146
     /*  119146 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(119212), // Rule ID 71327 //
     /*  119151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119166 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119193 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119210 */     GIR_RootConstrainSelectedInstOperands,
     /*  119211 */     // GIR_Coverage, 71327,
     /*  119211 */     GIR_EraseRootFromParent_Done,
     /*  119212 */   // Label 2100: @119212
     /*  119212 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(119278), // Rule ID 71328 //
     /*  119217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119259 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119276 */     GIR_RootConstrainSelectedInstOperands,
     /*  119277 */     // GIR_Coverage, 71328,
     /*  119277 */     GIR_EraseRootFromParent_Done,
     /*  119278 */   // Label 2101: @119278
     /*  119278 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(119344), // Rule ID 71325 //
     /*  119283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119325 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119342 */     GIR_RootConstrainSelectedInstOperands,
     /*  119343 */     // GIR_Coverage, 71325,
     /*  119343 */     GIR_EraseRootFromParent_Done,
     /*  119344 */   // Label 2102: @119344
     /*  119344 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(119410), // Rule ID 71326 //
     /*  119349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119391 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119408 */     GIR_RootConstrainSelectedInstOperands,
     /*  119409 */     // GIR_Coverage, 71326,
     /*  119409 */     GIR_EraseRootFromParent_Done,
     /*  119410 */   // Label 2103: @119410
     /*  119410 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(119476), // Rule ID 53082 //
     /*  119415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119455 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119457 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119474 */     GIR_RootConstrainSelectedInstOperands,
     /*  119475 */     // GIR_Coverage, 53082,
     /*  119475 */     GIR_EraseRootFromParent_Done,
     /*  119476 */   // Label 2104: @119476
     /*  119476 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(119542), // Rule ID 53083 //
     /*  119481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119523 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119540 */     GIR_RootConstrainSelectedInstOperands,
     /*  119541 */     // GIR_Coverage, 53083,
     /*  119541 */     GIR_EraseRootFromParent_Done,
     /*  119542 */   // Label 2105: @119542
     /*  119542 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(119575), // Rule ID 53070 //
     /*  119547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119558 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119573 */     GIR_RootConstrainSelectedInstOperands,
     /*  119574 */     // GIR_Coverage, 53070,
     /*  119574 */     GIR_EraseRootFromParent_Done,
     /*  119575 */   // Label 2106: @119575
     /*  119575 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(119608), // Rule ID 53071 //
     /*  119580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119591 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119606 */     GIR_RootConstrainSelectedInstOperands,
     /*  119607 */     // GIR_Coverage, 53071,
     /*  119607 */     GIR_EraseRootFromParent_Done,
     /*  119608 */   // Label 2107: @119608
     /*  119608 */   GIM_Reject,
     /*  119609 */ // Label 2097: @119609
     /*  119609 */ GIM_Reject,
     /*  119610 */ // Label 1985: @119610
     /*  119610 */ GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(119724),
     /*  119615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  119618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  119621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119633 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(119678), // Rule ID 47534 //
     /*  119638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119641 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  119641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119676 */     GIR_RootConstrainSelectedInstOperands,
     /*  119677 */     // GIR_Coverage, 47534,
     /*  119677 */     GIR_EraseRootFromParent_Done,
     /*  119678 */   // Label 2109: @119678
     /*  119678 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(119723), // Rule ID 47535 //
     /*  119683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119686 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  119686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119721 */     GIR_RootConstrainSelectedInstOperands,
     /*  119722 */     // GIR_Coverage, 47535,
     /*  119722 */     GIR_EraseRootFromParent_Done,
     /*  119723 */   // Label 2110: @119723
     /*  119723 */   GIM_Reject,
     /*  119724 */ // Label 2108: @119724
     /*  119724 */ GIM_Reject,
     /*  119725 */ // Label 1986: @119725
     /*  119725 */ GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(119839),
     /*  119730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  119733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119748 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(119793), // Rule ID 47554 //
     /*  119753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119756 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  119756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119791 */     GIR_RootConstrainSelectedInstOperands,
     /*  119792 */     // GIR_Coverage, 47554,
     /*  119792 */     GIR_EraseRootFromParent_Done,
     /*  119793 */   // Label 2112: @119793
     /*  119793 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(119838), // Rule ID 47555 //
     /*  119798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119801 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  119801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119836 */     GIR_RootConstrainSelectedInstOperands,
     /*  119837 */     // GIR_Coverage, 47555,
     /*  119837 */     GIR_EraseRootFromParent_Done,
     /*  119838 */   // Label 2113: @119838
     /*  119838 */   GIM_Reject,
     /*  119839 */ // Label 2111: @119839
     /*  119839 */ GIM_Reject,
     /*  119840 */ // Label 1987: @119840
     /*  119840 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(119954),
     /*  119845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  119848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  119851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119863 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(119908), // Rule ID 47590 //
     /*  119868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119871 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  119871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119906 */     GIR_RootConstrainSelectedInstOperands,
     /*  119907 */     // GIR_Coverage, 47590,
     /*  119907 */     GIR_EraseRootFromParent_Done,
     /*  119908 */   // Label 2115: @119908
     /*  119908 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(119953), // Rule ID 47591 //
     /*  119913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119916 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  119916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119951 */     GIR_RootConstrainSelectedInstOperands,
     /*  119952 */     // GIR_Coverage, 47591,
     /*  119952 */     GIR_EraseRootFromParent_Done,
     /*  119953 */   // Label 2116: @119953
     /*  119953 */   GIM_Reject,
     /*  119954 */ // Label 2114: @119954
     /*  119954 */ GIM_Reject,
     /*  119955 */ // Label 1988: @119955
     /*  119955 */ GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(120069),
     /*  119960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  119963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  119966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119978 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(120023), // Rule ID 47606 //
     /*  119983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119986 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  119986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  119989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120021 */     GIR_RootConstrainSelectedInstOperands,
     /*  120022 */     // GIR_Coverage, 47606,
     /*  120022 */     GIR_EraseRootFromParent_Done,
     /*  120023 */   // Label 2118: @120023
     /*  120023 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(120068), // Rule ID 47607 //
     /*  120028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120031 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  120031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  120034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120066 */     GIR_RootConstrainSelectedInstOperands,
     /*  120067 */     // GIR_Coverage, 47607,
     /*  120067 */     GIR_EraseRootFromParent_Done,
     /*  120068 */   // Label 2119: @120068
     /*  120068 */   GIM_Reject,
     /*  120069 */ // Label 2117: @120069
     /*  120069 */ GIM_Reject,
     /*  120070 */ // Label 1989: @120070
     /*  120070 */ GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(120680),
     /*  120075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120085 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(120151), // Rule ID 71357 //
     /*  120090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120132 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120149 */     GIR_RootConstrainSelectedInstOperands,
     /*  120150 */     // GIR_Coverage, 71357,
     /*  120150 */     GIR_EraseRootFromParent_Done,
     /*  120151 */   // Label 2121: @120151
     /*  120151 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(120217), // Rule ID 71358 //
     /*  120156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120198 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120215 */     GIR_RootConstrainSelectedInstOperands,
     /*  120216 */     // GIR_Coverage, 71358,
     /*  120216 */     GIR_EraseRootFromParent_Done,
     /*  120217 */   // Label 2122: @120217
     /*  120217 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(120283), // Rule ID 71355 //
     /*  120222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120264 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120281 */     GIR_RootConstrainSelectedInstOperands,
     /*  120282 */     // GIR_Coverage, 71355,
     /*  120282 */     GIR_EraseRootFromParent_Done,
     /*  120283 */   // Label 2123: @120283
     /*  120283 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(120349), // Rule ID 71356 //
     /*  120288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120330 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120347 */     GIR_RootConstrainSelectedInstOperands,
     /*  120348 */     // GIR_Coverage, 71356,
     /*  120348 */     GIR_EraseRootFromParent_Done,
     /*  120349 */   // Label 2124: @120349
     /*  120349 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(120415), // Rule ID 71353 //
     /*  120354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120396 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120413 */     GIR_RootConstrainSelectedInstOperands,
     /*  120414 */     // GIR_Coverage, 71353,
     /*  120414 */     GIR_EraseRootFromParent_Done,
     /*  120415 */   // Label 2125: @120415
     /*  120415 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(120481), // Rule ID 71354 //
     /*  120420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120462 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120479 */     GIR_RootConstrainSelectedInstOperands,
     /*  120480 */     // GIR_Coverage, 71354,
     /*  120480 */     GIR_EraseRootFromParent_Done,
     /*  120481 */   // Label 2126: @120481
     /*  120481 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(120547), // Rule ID 53100 //
     /*  120486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120528 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120545 */     GIR_RootConstrainSelectedInstOperands,
     /*  120546 */     // GIR_Coverage, 53100,
     /*  120546 */     GIR_EraseRootFromParent_Done,
     /*  120547 */   // Label 2127: @120547
     /*  120547 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(120613), // Rule ID 53101 //
     /*  120552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120594 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120611 */     GIR_RootConstrainSelectedInstOperands,
     /*  120612 */     // GIR_Coverage, 53101,
     /*  120612 */     GIR_EraseRootFromParent_Done,
     /*  120613 */   // Label 2128: @120613
     /*  120613 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(120646), // Rule ID 53088 //
     /*  120618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120629 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120644 */     GIR_RootConstrainSelectedInstOperands,
     /*  120645 */     // GIR_Coverage, 53088,
     /*  120645 */     GIR_EraseRootFromParent_Done,
     /*  120646 */   // Label 2129: @120646
     /*  120646 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(120679), // Rule ID 53089 //
     /*  120651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120662 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120677 */     GIR_RootConstrainSelectedInstOperands,
     /*  120678 */     // GIR_Coverage, 53089,
     /*  120678 */     GIR_EraseRootFromParent_Done,
     /*  120679 */   // Label 2130: @120679
     /*  120679 */   GIM_Reject,
     /*  120680 */ // Label 2120: @120680
     /*  120680 */ GIM_Reject,
     /*  120681 */ // Label 1990: @120681
     /*  120681 */ GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(120795),
     /*  120686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  120689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  120692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120704 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(120749), // Rule ID 47550 //
     /*  120709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120712 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  120712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120747 */     GIR_RootConstrainSelectedInstOperands,
     /*  120748 */     // GIR_Coverage, 47550,
     /*  120748 */     GIR_EraseRootFromParent_Done,
     /*  120749 */   // Label 2132: @120749
     /*  120749 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(120794), // Rule ID 47551 //
     /*  120754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120757 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  120757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120792 */     GIR_RootConstrainSelectedInstOperands,
     /*  120793 */     // GIR_Coverage, 47551,
     /*  120793 */     GIR_EraseRootFromParent_Done,
     /*  120794 */   // Label 2133: @120794
     /*  120794 */   GIM_Reject,
     /*  120795 */ // Label 2131: @120795
     /*  120795 */ GIM_Reject,
     /*  120796 */ // Label 1991: @120796
     /*  120796 */ GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(120910),
     /*  120801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  120804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120819 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(120864), // Rule ID 47578 //
     /*  120824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120827 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  120827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120862 */     GIR_RootConstrainSelectedInstOperands,
     /*  120863 */     // GIR_Coverage, 47578,
     /*  120863 */     GIR_EraseRootFromParent_Done,
     /*  120864 */   // Label 2135: @120864
     /*  120864 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(120909), // Rule ID 47579 //
     /*  120869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120872 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  120872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120907 */     GIR_RootConstrainSelectedInstOperands,
     /*  120908 */     // GIR_Coverage, 47579,
     /*  120908 */     GIR_EraseRootFromParent_Done,
     /*  120909 */   // Label 2136: @120909
     /*  120909 */   GIM_Reject,
     /*  120910 */ // Label 2134: @120910
     /*  120910 */ GIM_Reject,
     /*  120911 */ // Label 1992: @120911
     /*  120911 */ GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(121025),
     /*  120916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  120919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120934 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(120979), // Rule ID 47594 //
     /*  120939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120942 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  120942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120977 */     GIR_RootConstrainSelectedInstOperands,
     /*  120978 */     // GIR_Coverage, 47594,
     /*  120978 */     GIR_EraseRootFromParent_Done,
     /*  120979 */   // Label 2138: @120979
     /*  120979 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(121024), // Rule ID 47595 //
     /*  120984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120987 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  120987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121022 */     GIR_RootConstrainSelectedInstOperands,
     /*  121023 */     // GIR_Coverage, 47595,
     /*  121023 */     GIR_EraseRootFromParent_Done,
     /*  121024 */   // Label 2139: @121024
     /*  121024 */   GIM_Reject,
     /*  121025 */ // Label 2137: @121025
     /*  121025 */ GIM_Reject,
     /*  121026 */ // Label 1993: @121026
     /*  121026 */ GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(121140),
     /*  121031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  121034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  121037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121049 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(121094), // Rule ID 47610 //
     /*  121054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  121057 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  121057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121092 */     GIR_RootConstrainSelectedInstOperands,
     /*  121093 */     // GIR_Coverage, 47610,
     /*  121093 */     GIR_EraseRootFromParent_Done,
     /*  121094 */   // Label 2141: @121094
     /*  121094 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(121139), // Rule ID 47611 //
     /*  121099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  121102 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  121102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121137 */     GIR_RootConstrainSelectedInstOperands,
     /*  121138 */     // GIR_Coverage, 47611,
     /*  121138 */     GIR_EraseRootFromParent_Done,
     /*  121139 */   // Label 2142: @121139
     /*  121139 */   GIM_Reject,
     /*  121140 */ // Label 2140: @121140
     /*  121140 */ GIM_Reject,
     /*  121141 */ // Label 1994: @121141
     /*  121141 */ GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(121751),
     /*  121146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121156 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(121222), // Rule ID 71385 //
     /*  121161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121203 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121220 */     GIR_RootConstrainSelectedInstOperands,
     /*  121221 */     // GIR_Coverage, 71385,
     /*  121221 */     GIR_EraseRootFromParent_Done,
     /*  121222 */   // Label 2144: @121222
     /*  121222 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(121288), // Rule ID 71386 //
     /*  121227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121269 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121286 */     GIR_RootConstrainSelectedInstOperands,
     /*  121287 */     // GIR_Coverage, 71386,
     /*  121287 */     GIR_EraseRootFromParent_Done,
     /*  121288 */   // Label 2145: @121288
     /*  121288 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(121354), // Rule ID 71383 //
     /*  121293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121335 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121352 */     GIR_RootConstrainSelectedInstOperands,
     /*  121353 */     // GIR_Coverage, 71383,
     /*  121353 */     GIR_EraseRootFromParent_Done,
     /*  121354 */   // Label 2146: @121354
     /*  121354 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(121420), // Rule ID 71384 //
     /*  121359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121401 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121418 */     GIR_RootConstrainSelectedInstOperands,
     /*  121419 */     // GIR_Coverage, 71384,
     /*  121419 */     GIR_EraseRootFromParent_Done,
     /*  121420 */   // Label 2147: @121420
     /*  121420 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(121486), // Rule ID 71381 //
     /*  121425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121467 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121484 */     GIR_RootConstrainSelectedInstOperands,
     /*  121485 */     // GIR_Coverage, 71381,
     /*  121485 */     GIR_EraseRootFromParent_Done,
     /*  121486 */   // Label 2148: @121486
     /*  121486 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(121552), // Rule ID 71382 //
     /*  121491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121533 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121550 */     GIR_RootConstrainSelectedInstOperands,
     /*  121551 */     // GIR_Coverage, 71382,
     /*  121551 */     GIR_EraseRootFromParent_Done,
     /*  121552 */   // Label 2149: @121552
     /*  121552 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(121618), // Rule ID 53118 //
     /*  121557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121599 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121616 */     GIR_RootConstrainSelectedInstOperands,
     /*  121617 */     // GIR_Coverage, 53118,
     /*  121617 */     GIR_EraseRootFromParent_Done,
     /*  121618 */   // Label 2150: @121618
     /*  121618 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(121684), // Rule ID 53119 //
     /*  121623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121665 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121682 */     GIR_RootConstrainSelectedInstOperands,
     /*  121683 */     // GIR_Coverage, 53119,
     /*  121683 */     GIR_EraseRootFromParent_Done,
     /*  121684 */   // Label 2151: @121684
     /*  121684 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(121717), // Rule ID 53106 //
     /*  121689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121700 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121715 */     GIR_RootConstrainSelectedInstOperands,
     /*  121716 */     // GIR_Coverage, 53106,
     /*  121716 */     GIR_EraseRootFromParent_Done,
     /*  121717 */   // Label 2152: @121717
     /*  121717 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(121750), // Rule ID 53107 //
     /*  121722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121733 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121748 */     GIR_RootConstrainSelectedInstOperands,
     /*  121749 */     // GIR_Coverage, 53107,
     /*  121749 */     GIR_EraseRootFromParent_Done,
     /*  121750 */   // Label 2153: @121750
     /*  121750 */   GIM_Reject,
     /*  121751 */ // Label 2143: @121751
     /*  121751 */ GIM_Reject,
     /*  121752 */ // Label 1995: @121752
     /*  121752 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(121866),
     /*  121757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  121760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  121763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121775 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(121820), // Rule ID 47566 //
     /*  121780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121783 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121818 */     GIR_RootConstrainSelectedInstOperands,
     /*  121819 */     // GIR_Coverage, 47566,
     /*  121819 */     GIR_EraseRootFromParent_Done,
     /*  121820 */   // Label 2155: @121820
     /*  121820 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(121865), // Rule ID 47567 //
     /*  121825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121828 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121863 */     GIR_RootConstrainSelectedInstOperands,
     /*  121864 */     // GIR_Coverage, 47567,
     /*  121864 */     GIR_EraseRootFromParent_Done,
     /*  121865 */   // Label 2156: @121865
     /*  121865 */   GIM_Reject,
     /*  121866 */ // Label 2154: @121866
     /*  121866 */ GIM_Reject,
     /*  121867 */ // Label 1996: @121867
     /*  121867 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(121981),
     /*  121872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  121875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  121878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121890 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(121935), // Rule ID 47582 //
     /*  121895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121898 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121933 */     GIR_RootConstrainSelectedInstOperands,
     /*  121934 */     // GIR_Coverage, 47582,
     /*  121934 */     GIR_EraseRootFromParent_Done,
     /*  121935 */   // Label 2158: @121935
     /*  121935 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(121980), // Rule ID 47583 //
     /*  121940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121943 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121978 */     GIR_RootConstrainSelectedInstOperands,
     /*  121979 */     // GIR_Coverage, 47583,
     /*  121979 */     GIR_EraseRootFromParent_Done,
     /*  121980 */   // Label 2159: @121980
     /*  121980 */   GIM_Reject,
     /*  121981 */ // Label 2157: @121981
     /*  121981 */ GIM_Reject,
     /*  121982 */ // Label 1997: @121982
     /*  121982 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(122096),
     /*  121987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  121990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  121993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122005 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(122050), // Rule ID 47598 //
     /*  122010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122013 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122048 */     GIR_RootConstrainSelectedInstOperands,
     /*  122049 */     // GIR_Coverage, 47598,
     /*  122049 */     GIR_EraseRootFromParent_Done,
     /*  122050 */   // Label 2161: @122050
     /*  122050 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(122095), // Rule ID 47599 //
     /*  122055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122058 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  122058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122093 */     GIR_RootConstrainSelectedInstOperands,
     /*  122094 */     // GIR_Coverage, 47599,
     /*  122094 */     GIR_EraseRootFromParent_Done,
     /*  122095 */   // Label 2162: @122095
     /*  122095 */   GIM_Reject,
     /*  122096 */ // Label 2160: @122096
     /*  122096 */ GIM_Reject,
     /*  122097 */ // Label 1998: @122097
     /*  122097 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(122707),
     /*  122102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122112 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(122178), // Rule ID 71413 //
     /*  122117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122159 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122176 */     GIR_RootConstrainSelectedInstOperands,
     /*  122177 */     // GIR_Coverage, 71413,
     /*  122177 */     GIR_EraseRootFromParent_Done,
     /*  122178 */   // Label 2164: @122178
     /*  122178 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(122244), // Rule ID 71414 //
     /*  122183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122223 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122225 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122242 */     GIR_RootConstrainSelectedInstOperands,
     /*  122243 */     // GIR_Coverage, 71414,
     /*  122243 */     GIR_EraseRootFromParent_Done,
     /*  122244 */   // Label 2165: @122244
     /*  122244 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(122310), // Rule ID 71411 //
     /*  122249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122291 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122308 */     GIR_RootConstrainSelectedInstOperands,
     /*  122309 */     // GIR_Coverage, 71411,
     /*  122309 */     GIR_EraseRootFromParent_Done,
     /*  122310 */   // Label 2166: @122310
     /*  122310 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(122376), // Rule ID 71412 //
     /*  122315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122357 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122374 */     GIR_RootConstrainSelectedInstOperands,
     /*  122375 */     // GIR_Coverage, 71412,
     /*  122375 */     GIR_EraseRootFromParent_Done,
     /*  122376 */   // Label 2167: @122376
     /*  122376 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(122442), // Rule ID 71409 //
     /*  122381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122423 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122440 */     GIR_RootConstrainSelectedInstOperands,
     /*  122441 */     // GIR_Coverage, 71409,
     /*  122441 */     GIR_EraseRootFromParent_Done,
     /*  122442 */   // Label 2168: @122442
     /*  122442 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(122508), // Rule ID 71410 //
     /*  122447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122489 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122506 */     GIR_RootConstrainSelectedInstOperands,
     /*  122507 */     // GIR_Coverage, 71410,
     /*  122507 */     GIR_EraseRootFromParent_Done,
     /*  122508 */   // Label 2169: @122508
     /*  122508 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(122574), // Rule ID 53136 //
     /*  122513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122555 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122572 */     GIR_RootConstrainSelectedInstOperands,
     /*  122573 */     // GIR_Coverage, 53136,
     /*  122573 */     GIR_EraseRootFromParent_Done,
     /*  122574 */   // Label 2170: @122574
     /*  122574 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(122640), // Rule ID 53137 //
     /*  122579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122621 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122638 */     GIR_RootConstrainSelectedInstOperands,
     /*  122639 */     // GIR_Coverage, 53137,
     /*  122639 */     GIR_EraseRootFromParent_Done,
     /*  122640 */   // Label 2171: @122640
     /*  122640 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(122673), // Rule ID 53124 //
     /*  122645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122656 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122671 */     GIR_RootConstrainSelectedInstOperands,
     /*  122672 */     // GIR_Coverage, 53124,
     /*  122672 */     GIR_EraseRootFromParent_Done,
     /*  122673 */   // Label 2172: @122673
     /*  122673 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(122706), // Rule ID 53125 //
     /*  122678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122689 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122704 */     GIR_RootConstrainSelectedInstOperands,
     /*  122705 */     // GIR_Coverage, 53125,
     /*  122705 */     GIR_EraseRootFromParent_Done,
     /*  122706 */   // Label 2173: @122706
     /*  122706 */   GIM_Reject,
     /*  122707 */ // Label 2163: @122707
     /*  122707 */ GIM_Reject,
     /*  122708 */ // Label 1999: @122708
     /*  122708 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(122822),
     /*  122713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  122716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  122719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122731 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(122776), // Rule ID 47570 //
     /*  122736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122739 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122774 */     GIR_RootConstrainSelectedInstOperands,
     /*  122775 */     // GIR_Coverage, 47570,
     /*  122775 */     GIR_EraseRootFromParent_Done,
     /*  122776 */   // Label 2175: @122776
     /*  122776 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(122821), // Rule ID 47571 //
     /*  122781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122784 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122819 */     GIR_RootConstrainSelectedInstOperands,
     /*  122820 */     // GIR_Coverage, 47571,
     /*  122820 */     GIR_EraseRootFromParent_Done,
     /*  122821 */   // Label 2176: @122821
     /*  122821 */   GIM_Reject,
     /*  122822 */ // Label 2174: @122822
     /*  122822 */ GIM_Reject,
     /*  122823 */ // Label 2000: @122823
     /*  122823 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(122937),
     /*  122828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  122831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  122834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122846 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(122891), // Rule ID 47586 //
     /*  122851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122854 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122889 */     GIR_RootConstrainSelectedInstOperands,
     /*  122890 */     // GIR_Coverage, 47586,
     /*  122890 */     GIR_EraseRootFromParent_Done,
     /*  122891 */   // Label 2178: @122891
     /*  122891 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(122936), // Rule ID 47587 //
     /*  122896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122899 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122934 */     GIR_RootConstrainSelectedInstOperands,
     /*  122935 */     // GIR_Coverage, 47587,
     /*  122935 */     GIR_EraseRootFromParent_Done,
     /*  122936 */   // Label 2179: @122936
     /*  122936 */   GIM_Reject,
     /*  122937 */ // Label 2177: @122937
     /*  122937 */ GIM_Reject,
     /*  122938 */ // Label 2001: @122938
     /*  122938 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(123548),
     /*  122943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122953 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(123019), // Rule ID 71441 //
     /*  122958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123000 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123017 */     GIR_RootConstrainSelectedInstOperands,
     /*  123018 */     // GIR_Coverage, 71441,
     /*  123018 */     GIR_EraseRootFromParent_Done,
     /*  123019 */   // Label 2181: @123019
     /*  123019 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(123085), // Rule ID 71442 //
     /*  123024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123064 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123066 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123083 */     GIR_RootConstrainSelectedInstOperands,
     /*  123084 */     // GIR_Coverage, 71442,
     /*  123084 */     GIR_EraseRootFromParent_Done,
     /*  123085 */   // Label 2182: @123085
     /*  123085 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(123151), // Rule ID 71439 //
     /*  123090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123132 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123149 */     GIR_RootConstrainSelectedInstOperands,
     /*  123150 */     // GIR_Coverage, 71439,
     /*  123150 */     GIR_EraseRootFromParent_Done,
     /*  123151 */   // Label 2183: @123151
     /*  123151 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(123217), // Rule ID 71440 //
     /*  123156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123198 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123215 */     GIR_RootConstrainSelectedInstOperands,
     /*  123216 */     // GIR_Coverage, 71440,
     /*  123216 */     GIR_EraseRootFromParent_Done,
     /*  123217 */   // Label 2184: @123217
     /*  123217 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(123283), // Rule ID 71437 //
     /*  123222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123264 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123281 */     GIR_RootConstrainSelectedInstOperands,
     /*  123282 */     // GIR_Coverage, 71437,
     /*  123282 */     GIR_EraseRootFromParent_Done,
     /*  123283 */   // Label 2185: @123283
     /*  123283 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(123349), // Rule ID 71438 //
     /*  123288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123330 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123347 */     GIR_RootConstrainSelectedInstOperands,
     /*  123348 */     // GIR_Coverage, 71438,
     /*  123348 */     GIR_EraseRootFromParent_Done,
     /*  123349 */   // Label 2186: @123349
     /*  123349 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(123415), // Rule ID 53154 //
     /*  123354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123396 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123413 */     GIR_RootConstrainSelectedInstOperands,
     /*  123414 */     // GIR_Coverage, 53154,
     /*  123414 */     GIR_EraseRootFromParent_Done,
     /*  123415 */   // Label 2187: @123415
     /*  123415 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(123481), // Rule ID 53155 //
     /*  123420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123462 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123479 */     GIR_RootConstrainSelectedInstOperands,
     /*  123480 */     // GIR_Coverage, 53155,
     /*  123480 */     GIR_EraseRootFromParent_Done,
     /*  123481 */   // Label 2188: @123481
     /*  123481 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(123514), // Rule ID 53142 //
     /*  123486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123497 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123512 */     GIR_RootConstrainSelectedInstOperands,
     /*  123513 */     // GIR_Coverage, 53142,
     /*  123513 */     GIR_EraseRootFromParent_Done,
     /*  123514 */   // Label 2189: @123514
     /*  123514 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(123547), // Rule ID 53143 //
     /*  123519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123530 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123545 */     GIR_RootConstrainSelectedInstOperands,
     /*  123546 */     // GIR_Coverage, 53143,
     /*  123546 */     GIR_EraseRootFromParent_Done,
     /*  123547 */   // Label 2190: @123547
     /*  123547 */   GIM_Reject,
     /*  123548 */ // Label 2180: @123548
     /*  123548 */ GIM_Reject,
     /*  123549 */ // Label 2002: @123549
     /*  123549 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(123663),
     /*  123554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  123557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123572 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(123617), // Rule ID 47574 //
     /*  123577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123580 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123615 */     GIR_RootConstrainSelectedInstOperands,
     /*  123616 */     // GIR_Coverage, 47574,
     /*  123616 */     GIR_EraseRootFromParent_Done,
     /*  123617 */   // Label 2192: @123617
     /*  123617 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(123662), // Rule ID 47575 //
     /*  123622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123625 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123660 */     GIR_RootConstrainSelectedInstOperands,
     /*  123661 */     // GIR_Coverage, 47575,
     /*  123661 */     GIR_EraseRootFromParent_Done,
     /*  123662 */   // Label 2193: @123662
     /*  123662 */   GIM_Reject,
     /*  123663 */ // Label 2191: @123663
     /*  123663 */ GIM_Reject,
     /*  123664 */ // Label 2003: @123664
     /*  123664 */ GIM_Reject,
     /*  123665 */ // Label 8: @123665
     /*  123665 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2225*/ GIMT_Encode4(136285),
     /*  123676 */ /*GILLT_s32*//*Label 2194*/ GIMT_Encode4(123800),
     /*  123680 */ /*GILLT_s64*//*Label 2195*/ GIMT_Encode4(126530),
     /*  123684 */ /*GILLT_nxv1s1*//*Label 2196*/ GIMT_Encode4(129478),
     /*  123688 */ /*GILLT_nxv1s8*//*Label 2197*/ GIMT_Encode4(130089),
     /*  123692 */ /*GILLT_nxv1s16*//*Label 2198*/ GIMT_Encode4(130204),
     /*  123696 */ /*GILLT_nxv1s32*//*Label 2199*/ GIMT_Encode4(130319),
     /*  123700 */ /*GILLT_nxv1s64*//*Label 2200*/ GIMT_Encode4(130434),
     /*  123704 */ /*GILLT_nxv2s1*//*Label 2201*/ GIMT_Encode4(130549),
     /*  123708 */ /*GILLT_nxv2s8*//*Label 2202*/ GIMT_Encode4(131160),
     /*  123712 */ /*GILLT_nxv2s16*//*Label 2203*/ GIMT_Encode4(131275),
     /*  123716 */ /*GILLT_nxv2s32*//*Label 2204*/ GIMT_Encode4(131390),
     /*  123720 */ /*GILLT_nxv2s64*//*Label 2205*/ GIMT_Encode4(131505),
     /*  123724 */ /*GILLT_nxv4s1*//*Label 2206*/ GIMT_Encode4(131620),
     /*  123728 */ /*GILLT_nxv4s8*//*Label 2207*/ GIMT_Encode4(132231),
     /*  123732 */ /*GILLT_nxv4s16*//*Label 2208*/ GIMT_Encode4(132346),
     /*  123736 */ /*GILLT_nxv4s32*//*Label 2209*/ GIMT_Encode4(132461),
     /*  123740 */ /*GILLT_nxv4s64*//*Label 2210*/ GIMT_Encode4(132576),
     /*  123744 */ /*GILLT_nxv8s1*//*Label 2211*/ GIMT_Encode4(132691),
     /*  123748 */ /*GILLT_nxv8s8*//*Label 2212*/ GIMT_Encode4(133302),
     /*  123752 */ /*GILLT_nxv8s16*//*Label 2213*/ GIMT_Encode4(133417),
     /*  123756 */ /*GILLT_nxv8s32*//*Label 2214*/ GIMT_Encode4(133532),
     /*  123760 */ /*GILLT_nxv8s64*//*Label 2215*/ GIMT_Encode4(133647),
     /*  123764 */ /*GILLT_nxv16s1*//*Label 2216*/ GIMT_Encode4(133762),
     /*  123768 */ /*GILLT_nxv16s8*//*Label 2217*/ GIMT_Encode4(134373),
     /*  123772 */ /*GILLT_nxv16s16*//*Label 2218*/ GIMT_Encode4(134488),
     /*  123776 */ /*GILLT_nxv16s32*//*Label 2219*/ GIMT_Encode4(134603),
     /*  123780 */ /*GILLT_nxv32s1*//*Label 2220*/ GIMT_Encode4(134718),
     /*  123784 */ /*GILLT_nxv32s8*//*Label 2221*/ GIMT_Encode4(135329),
     /*  123788 */ /*GILLT_nxv32s16*//*Label 2222*/ GIMT_Encode4(135444),
     /*  123792 */ /*GILLT_nxv64s1*//*Label 2223*/ GIMT_Encode4(135559),
     /*  123796 */ /*GILLT_nxv64s8*//*Label 2224*/ GIMT_Encode4(136170),
     /*  123800 */ // Label 2194: @123800
     /*  123800 */ GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126529),
     /*  123805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  123808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  123811 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(124006), // Rule ID 65101 //
     /*  123816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123855 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123859 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  123863 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123867 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  123871 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  123875 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  123879 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123883 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  123887 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  123891 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  123895 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  123899 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123903 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  123907 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  123911 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  123915 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  123917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  123924 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  123931 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  123938 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  123945 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  123945 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  123948 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123952 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  123962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  123967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  123969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  123972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  123986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  123991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  123996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124004 */     GIR_RootConstrainSelectedInstOperands,
     /*  124005 */     // GIR_Coverage, 65101,
     /*  124005 */     GIR_EraseRootFromParent_Done,
     /*  124006 */   // Label 2227: @124006
     /*  124006 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(124201), // Rule ID 65103 //
     /*  124011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124046 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124050 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124062 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124066 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124070 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124074 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124078 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124082 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124086 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124090 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124094 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124098 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124102 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124106 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124110 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124119 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124126 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124133 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124140 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124140 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124143 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124147 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  124181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  124186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124199 */     GIR_RootConstrainSelectedInstOperands,
     /*  124200 */     // GIR_Coverage, 65103,
     /*  124200 */     GIR_EraseRootFromParent_Done,
     /*  124201 */   // Label 2228: @124201
     /*  124201 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(124396), // Rule ID 65097 //
     /*  124206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124241 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124245 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124257 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124261 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124265 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124269 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124273 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124277 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124281 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  124285 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124289 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124293 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124297 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124301 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  124305 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124307 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124314 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124321 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124328 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124335 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124335 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124338 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124342 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  124352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  124357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124394 */     GIR_RootConstrainSelectedInstOperands,
     /*  124395 */     // GIR_Coverage, 65097,
     /*  124395 */     GIR_EraseRootFromParent_Done,
     /*  124396 */   // Label 2229: @124396
     /*  124396 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(124591), // Rule ID 65099 //
     /*  124401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124436 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124440 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124456 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124460 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124464 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124468 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124472 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124476 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124480 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124484 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124488 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124492 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124496 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124500 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124509 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124516 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124523 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124530 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124530 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124533 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124537 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124589 */     GIR_RootConstrainSelectedInstOperands,
     /*  124590 */     // GIR_Coverage, 65099,
     /*  124590 */     GIR_EraseRootFromParent_Done,
     /*  124591 */   // Label 2230: @124591
     /*  124591 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(124786), // Rule ID 65091 //
     /*  124596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124631 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124635 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  124639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124651 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124655 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  124659 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124663 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124667 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124671 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124675 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124679 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124683 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124687 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124691 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124695 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124697 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124704 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124711 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124718 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124725 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124725 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124728 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124732 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  124742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  124747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124784 */     GIR_RootConstrainSelectedInstOperands,
     /*  124785 */     // GIR_Coverage, 65091,
     /*  124785 */     GIR_EraseRootFromParent_Done,
     /*  124786 */   // Label 2231: @124786
     /*  124786 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(124981), // Rule ID 65095 //
     /*  124791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124830 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  124834 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124838 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124842 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124846 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124850 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  124854 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124858 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124862 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124866 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124870 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124874 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124878 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124882 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124886 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124890 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124892 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124899 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124906 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124913 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124920 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124920 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124923 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124927 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  124937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  124942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124979 */     GIR_RootConstrainSelectedInstOperands,
     /*  124980 */     // GIR_Coverage, 65095,
     /*  124980 */     GIR_EraseRootFromParent_Done,
     /*  124981 */   // Label 2232: @124981
     /*  124981 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(125176), // Rule ID 2441 //
     /*  124986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125025 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125037 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125041 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125045 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  125049 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125053 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125057 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125061 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125065 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125069 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125073 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125077 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125081 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125085 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125087 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125094 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125101 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125108 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125115 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125115 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125118 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125122 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  125132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  125137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125174 */     GIR_RootConstrainSelectedInstOperands,
     /*  125175 */     // GIR_Coverage, 2441,
     /*  125175 */     GIR_EraseRootFromParent_Done,
     /*  125176 */   // Label 2233: @125176
     /*  125176 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(125371), // Rule ID 65093 //
     /*  125181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  125184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125216 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125220 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125232 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125236 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125240 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  125244 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125248 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125252 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125256 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125260 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125264 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125268 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125272 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125276 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125280 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125282 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125289 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125296 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125303 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125310 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125310 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125313 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125317 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  125327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  125332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125369 */     GIR_RootConstrainSelectedInstOperands,
     /*  125370 */     // GIR_Coverage, 65093,
     /*  125370 */     GIR_EraseRootFromParent_Done,
     /*  125371 */   // Label 2234: @125371
     /*  125371 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(125476), // Rule ID 2436 //
     /*  125376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125399 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  125403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125415 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125419 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125425 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125432 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125439 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125474 */     GIR_RootConstrainSelectedInstOperands,
     /*  125475 */     // GIR_Coverage, 2436,
     /*  125475 */     GIR_EraseRootFromParent_Done,
     /*  125476 */   // Label 2235: @125476
     /*  125476 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(125581), // Rule ID 65086 //
     /*  125481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125504 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125520 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125524 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125530 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125537 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125544 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125579 */     GIR_RootConstrainSelectedInstOperands,
     /*  125580 */     // GIR_Coverage, 65086,
     /*  125580 */     GIR_EraseRootFromParent_Done,
     /*  125581 */   // Label 2236: @125581
     /*  125581 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(125670), // Rule ID 65080 //
     /*  125586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125630 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125634 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125654 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125668 */     GIR_RootConstrainSelectedInstOperands,
     /*  125669 */     // GIR_Coverage, 65080,
     /*  125669 */     GIR_EraseRootFromParent_Done,
     /*  125670 */   // Label 2237: @125670
     /*  125670 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(125759), // Rule ID 2430 //
     /*  125675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125719 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125723 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125743 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125757 */     GIR_RootConstrainSelectedInstOperands,
     /*  125758 */     // GIR_Coverage, 2430,
     /*  125758 */     GIR_EraseRootFromParent_Done,
     /*  125759 */   // Label 2238: @125759
     /*  125759 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(125824), // Rule ID 65082 //
     /*  125764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125787 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125800 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125807 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125822 */     GIR_RootConstrainSelectedInstOperands,
     /*  125823 */     // GIR_Coverage, 65082,
     /*  125823 */     GIR_EraseRootFromParent_Done,
     /*  125824 */   // Label 2239: @125824
     /*  125824 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(125889), // Rule ID 2432 //
     /*  125829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125852 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125865 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125872 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125887 */     GIR_RootConstrainSelectedInstOperands,
     /*  125888 */     // GIR_Coverage, 2432,
     /*  125888 */     GIR_EraseRootFromParent_Done,
     /*  125889 */   // Label 2240: @125889
     /*  125889 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(125955), // Rule ID 65088 //
     /*  125894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125922 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11203),
     /*  125930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125939 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11203>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125953 */     GIR_RootConstrainSelectedInstOperands,
     /*  125954 */     // GIR_Coverage, 65088,
     /*  125954 */     GIR_EraseRootFromParent_Done,
     /*  125955 */   // Label 2241: @125955
     /*  125955 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(126021), // Rule ID 2438 //
     /*  125960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125988 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125992 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11203),
     /*  125996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126005 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11203>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126019 */     GIR_RootConstrainSelectedInstOperands,
     /*  126020 */     // GIR_Coverage, 2438,
     /*  126020 */     GIR_EraseRootFromParent_Done,
     /*  126021 */   // Label 2242: @126021
     /*  126021 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(126083), // Rule ID 2439 //
     /*  126026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126054 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126067 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126081 */     GIR_RootConstrainSelectedInstOperands,
     /*  126082 */     // GIR_Coverage, 2439,
     /*  126082 */     GIR_EraseRootFromParent_Done,
     /*  126083 */   // Label 2243: @126083
     /*  126083 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(126145), // Rule ID 65089 //
     /*  126088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126116 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126129 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126143 */     GIR_RootConstrainSelectedInstOperands,
     /*  126144 */     // GIR_Coverage, 65089,
     /*  126144 */     GIR_EraseRootFromParent_Done,
     /*  126145 */   // Label 2244: @126145
     /*  126145 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(126204), // Rule ID 2365 //
     /*  126150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126173 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126190 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126202 */     GIR_RootConstrainSelectedInstOperands,
     /*  126203 */     // GIR_Coverage, 2365,
     /*  126203 */     GIR_EraseRootFromParent_Done,
     /*  126204 */   // Label 2245: @126204
     /*  126204 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(126263), // Rule ID 65076 //
     /*  126209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126236 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126242 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126249 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126261 */     GIR_RootConstrainSelectedInstOperands,
     /*  126262 */     // GIR_Coverage, 65076,
     /*  126262 */     GIR_EraseRootFromParent_Done,
     /*  126263 */   // Label 2246: @126263
     /*  126263 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(126319), // Rule ID 65060 //
     /*  126268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126296 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126306 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126317 */     GIR_RootConstrainSelectedInstOperands,
     /*  126318 */     // GIR_Coverage, 65060,
     /*  126318 */     GIR_EraseRootFromParent_Done,
     /*  126319 */   // Label 2247: @126319
     /*  126319 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(126375), // Rule ID 2339 //
     /*  126324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126356 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126362 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126373 */     GIR_RootConstrainSelectedInstOperands,
     /*  126374 */     // GIR_Coverage, 2339,
     /*  126374 */     GIR_EraseRootFromParent_Done,
     /*  126375 */   // Label 2248: @126375
     /*  126375 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(126417), // Rule ID 81 //
     /*  126380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  126403 */     // MIs[1] Operand 1
     /*  126403 */     // No operand predicates
     /*  126403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126405 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  126405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  126408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126415 */     GIR_RootConstrainSelectedInstOperands,
     /*  126416 */     // GIR_Coverage, 81,
     /*  126416 */     GIR_EraseRootFromParent_Done,
     /*  126417 */   // Label 2249: @126417
     /*  126417 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(126459), // Rule ID 64441 //
     /*  126422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  126445 */     // MIs[1] Operand 1
     /*  126445 */     // No operand predicates
     /*  126445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126447 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  126447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  126450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  126452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126457 */     GIR_RootConstrainSelectedInstOperands,
     /*  126458 */     // GIR_Coverage, 64441,
     /*  126458 */     GIR_EraseRootFromParent_Done,
     /*  126459 */   // Label 2250: @126459
     /*  126459 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(126501), // Rule ID 64445 //
     /*  126464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  126487 */     // MIs[1] Operand 1
     /*  126487 */     // No operand predicates
     /*  126487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126489 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  126489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  126492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126499 */     GIR_RootConstrainSelectedInstOperands,
     /*  126500 */     // GIR_Coverage, 64445,
     /*  126500 */     GIR_EraseRootFromParent_Done,
     /*  126501 */   // Label 2251: @126501
     /*  126501 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(126528), // Rule ID 79 //
     /*  126506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126521 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  126526 */     GIR_RootConstrainSelectedInstOperands,
     /*  126527 */     // GIR_Coverage, 79,
     /*  126527 */     GIR_Done,
     /*  126528 */   // Label 2252: @126528
     /*  126528 */   GIM_Reject,
     /*  126529 */ // Label 2226: @126529
     /*  126529 */ GIM_Reject,
     /*  126530 */ // Label 2195: @126530
     /*  126530 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(129477),
     /*  126535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  126538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  126541 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(126736), // Rule ID 65100 //
     /*  126546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126581 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126585 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126597 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126601 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126605 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126609 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126613 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126617 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126621 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  126625 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126629 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126633 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126637 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126641 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  126645 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126654 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126661 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126668 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126675 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126675 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126678 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126682 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  126692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  126697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126734 */     GIR_RootConstrainSelectedInstOperands,
     /*  126735 */     // GIR_Coverage, 65100,
     /*  126735 */     GIR_EraseRootFromParent_Done,
     /*  126736 */   // Label 2254: @126736
     /*  126736 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(126931), // Rule ID 65102 //
     /*  126741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126776 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126780 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126784 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126788 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126792 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126796 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126800 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126804 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126808 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126812 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126816 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  126820 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126824 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126828 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126832 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126836 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  126840 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126842 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126849 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126856 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126863 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126870 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126870 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126873 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126877 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  126887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  126892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126929 */     GIR_RootConstrainSelectedInstOperands,
     /*  126930 */     // GIR_Coverage, 65102,
     /*  126930 */     GIR_EraseRootFromParent_Done,
     /*  126931 */   // Label 2255: @126931
     /*  126931 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(127126), // Rule ID 65096 //
     /*  126936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126971 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126975 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126987 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126991 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126995 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126999 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127003 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127007 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127011 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  127015 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127019 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127023 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127027 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127031 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  127035 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127044 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127051 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127058 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127065 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127065 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127068 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127072 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  127082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  127087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127124 */     GIR_RootConstrainSelectedInstOperands,
     /*  127125 */     // GIR_Coverage, 65096,
     /*  127125 */     GIR_EraseRootFromParent_Done,
     /*  127126 */   // Label 2256: @127126
     /*  127126 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(127321), // Rule ID 65098 //
     /*  127131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127170 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  127174 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  127178 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127182 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127186 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127190 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  127194 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127198 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127202 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127206 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  127210 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127214 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127218 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127222 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127226 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  127230 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127232 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127239 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127246 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127253 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127260 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127260 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127263 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127267 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  127277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  127282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127319 */     GIR_RootConstrainSelectedInstOperands,
     /*  127320 */     // GIR_Coverage, 65098,
     /*  127320 */     GIR_EraseRootFromParent_Done,
     /*  127321 */   // Label 2257: @127321
     /*  127321 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(127516), // Rule ID 65090 //
     /*  127326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127361 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127365 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127377 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127381 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127385 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127389 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127393 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127397 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127401 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127405 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127409 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127413 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127417 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127421 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127425 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127427 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127434 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127441 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127448 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127455 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127455 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127458 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127462 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127514 */     GIR_RootConstrainSelectedInstOperands,
     /*  127515 */     // GIR_Coverage, 65090,
     /*  127515 */     GIR_EraseRootFromParent_Done,
     /*  127516 */   // Label 2258: @127516
     /*  127516 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(127711), // Rule ID 65094 //
     /*  127521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127540 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127556 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127560 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127564 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127568 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127572 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127576 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127580 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127584 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127588 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127592 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127596 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127600 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127604 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127608 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127612 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127616 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127620 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127622 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127629 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127636 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127643 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127650 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127650 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127653 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127657 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  127667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  127672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127709 */     GIR_RootConstrainSelectedInstOperands,
     /*  127710 */     // GIR_Coverage, 65094,
     /*  127710 */     GIR_EraseRootFromParent_Done,
     /*  127711 */   // Label 2259: @127711
     /*  127711 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(127906), // Rule ID 2440 //
     /*  127716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127751 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127755 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127767 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127771 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127775 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127779 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127783 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127787 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127791 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127795 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127799 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127803 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127807 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127811 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127815 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127817 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127824 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127831 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127838 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127845 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127845 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127848 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127852 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  127886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  127891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127904 */     GIR_RootConstrainSelectedInstOperands,
     /*  127905 */     // GIR_Coverage, 2440,
     /*  127905 */     GIR_EraseRootFromParent_Done,
     /*  127906 */   // Label 2260: @127906
     /*  127906 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128101), // Rule ID 65092 //
     /*  127911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127930 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127946 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127950 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127954 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127958 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127962 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127966 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127970 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127974 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127978 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127982 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127986 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127990 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127994 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127998 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  128002 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  128006 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  128010 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128012 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128019 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128026 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128033 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128040 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  128040 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  128043 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128047 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  128057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  128062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  128081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  128086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128099 */     GIR_RootConstrainSelectedInstOperands,
     /*  128100 */     // GIR_Coverage, 65092,
     /*  128100 */     GIR_EraseRootFromParent_Done,
     /*  128101 */   // Label 2261: @128101
     /*  128101 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128206), // Rule ID 2435 //
     /*  128106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128129 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  128133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128149 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128153 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128155 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128162 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128169 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128204 */     GIR_RootConstrainSelectedInstOperands,
     /*  128205 */     // GIR_Coverage, 2435,
     /*  128205 */     GIR_EraseRootFromParent_Done,
     /*  128206 */   // Label 2262: @128206
     /*  128206 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128311), // Rule ID 65085 //
     /*  128211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128234 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128254 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  128258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128260 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128267 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128274 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128309 */     GIR_RootConstrainSelectedInstOperands,
     /*  128310 */     // GIR_Coverage, 65085,
     /*  128310 */     GIR_EraseRootFromParent_Done,
     /*  128311 */   // Label 2263: @128311
     /*  128311 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128400), // Rule ID 65079 //
     /*  128316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128351 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128360 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128364 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128384 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128398 */     GIR_RootConstrainSelectedInstOperands,
     /*  128399 */     // GIR_Coverage, 65079,
     /*  128399 */     GIR_EraseRootFromParent_Done,
     /*  128400 */   // Label 2264: @128400
     /*  128400 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(128489), // Rule ID 2429 //
     /*  128405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128449 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128453 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128473 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128487 */     GIR_RootConstrainSelectedInstOperands,
     /*  128488 */     // GIR_Coverage, 2429,
     /*  128488 */     GIR_EraseRootFromParent_Done,
     /*  128489 */   // Label 2265: @128489
     /*  128489 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(128554), // Rule ID 65081 //
     /*  128494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128517 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128530 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128537 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128552 */     GIR_RootConstrainSelectedInstOperands,
     /*  128553 */     // GIR_Coverage, 65081,
     /*  128553 */     GIR_EraseRootFromParent_Done,
     /*  128554 */   // Label 2266: @128554
     /*  128554 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(128619), // Rule ID 2431 //
     /*  128559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128578 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128582 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128602 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128617 */     GIR_RootConstrainSelectedInstOperands,
     /*  128618 */     // GIR_Coverage, 2431,
     /*  128618 */     GIR_EraseRootFromParent_Done,
     /*  128619 */   // Label 2267: @128619
     /*  128619 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(128704), // Rule ID 65106 //
     /*  128624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128655 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128664 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128668 */     // MIs[1] Operand 2
     /*  128668 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128688 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128702 */     GIR_RootConstrainSelectedInstOperands,
     /*  128703 */     // GIR_Coverage, 65106,
     /*  128703 */     GIR_EraseRootFromParent_Done,
     /*  128704 */   // Label 2268: @128704
     /*  128704 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(128789), // Rule ID 2444 //
     /*  128709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128749 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128753 */     // MIs[1] Operand 2
     /*  128753 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128773 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128787 */     GIR_RootConstrainSelectedInstOperands,
     /*  128788 */     // GIR_Coverage, 2444,
     /*  128788 */     GIR_EraseRootFromParent_Done,
     /*  128789 */   // Label 2269: @128789
     /*  128789 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(128855), // Rule ID 65087 //
     /*  128794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128822 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128826 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11203),
     /*  128830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128839 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11203>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128853 */     GIR_RootConstrainSelectedInstOperands,
     /*  128854 */     // GIR_Coverage, 65087,
     /*  128854 */     GIR_EraseRootFromParent_Done,
     /*  128855 */   // Label 2270: @128855
     /*  128855 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(128921), // Rule ID 65105 //
     /*  128860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128888 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128892 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10043),
     /*  128896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128905 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10043>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128919 */     GIR_RootConstrainSelectedInstOperands,
     /*  128920 */     // GIR_Coverage, 65105,
     /*  128920 */     GIR_EraseRootFromParent_Done,
     /*  128921 */   // Label 2271: @128921
     /*  128921 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(128987), // Rule ID 2437 //
     /*  128926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128954 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128958 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11203),
     /*  128962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128971 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11203>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128985 */     GIR_RootConstrainSelectedInstOperands,
     /*  128986 */     // GIR_Coverage, 2437,
     /*  128986 */     GIR_EraseRootFromParent_Done,
     /*  128987 */   // Label 2272: @128987
     /*  128987 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(129053), // Rule ID 2443 //
     /*  128992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129020 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  129024 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10043),
     /*  129028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  129037 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10043>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  129040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129051 */     GIR_RootConstrainSelectedInstOperands,
     /*  129052 */     // GIR_Coverage, 2443,
     /*  129052 */     GIR_EraseRootFromParent_Done,
     /*  129053 */   // Label 2273: @129053
     /*  129053 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(129115), // Rule ID 2442 //
     /*  129058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129086 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129099 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129113 */     GIR_RootConstrainSelectedInstOperands,
     /*  129114 */     // GIR_Coverage, 2442,
     /*  129114 */     GIR_EraseRootFromParent_Done,
     /*  129115 */   // Label 2274: @129115
     /*  129115 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(129177), // Rule ID 65104 //
     /*  129120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129148 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129161 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129175 */     GIR_RootConstrainSelectedInstOperands,
     /*  129176 */     // GIR_Coverage, 65104,
     /*  129176 */     GIR_EraseRootFromParent_Done,
     /*  129177 */   // Label 2275: @129177
     /*  129177 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(129236), // Rule ID 2364 //
     /*  129182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129205 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129215 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129222 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129234 */     GIR_RootConstrainSelectedInstOperands,
     /*  129235 */     // GIR_Coverage, 2364,
     /*  129235 */     GIR_EraseRootFromParent_Done,
     /*  129236 */   // Label 2276: @129236
     /*  129236 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(129295), // Rule ID 65075 //
     /*  129241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129268 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129281 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129293 */     GIR_RootConstrainSelectedInstOperands,
     /*  129294 */     // GIR_Coverage, 65075,
     /*  129294 */     GIR_EraseRootFromParent_Done,
     /*  129295 */   // Label 2277: @129295
     /*  129295 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(129351), // Rule ID 65059 //
     /*  129300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129328 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129338 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129349 */     GIR_RootConstrainSelectedInstOperands,
     /*  129350 */     // GIR_Coverage, 65059,
     /*  129350 */     GIR_EraseRootFromParent_Done,
     /*  129351 */   // Label 2278: @129351
     /*  129351 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(129407), // Rule ID 2338 //
     /*  129356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129388 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129394 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129405 */     GIR_RootConstrainSelectedInstOperands,
     /*  129406 */     // GIR_Coverage, 2338,
     /*  129406 */     GIR_EraseRootFromParent_Done,
     /*  129407 */   // Label 2279: @129407
     /*  129407 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(129449), // Rule ID 80 //
     /*  129412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  129435 */     // MIs[1] Operand 1
     /*  129435 */     // No operand predicates
     /*  129435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129437 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  129437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  129440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  129447 */     GIR_RootConstrainSelectedInstOperands,
     /*  129448 */     // GIR_Coverage, 80,
     /*  129448 */     GIR_EraseRootFromParent_Done,
     /*  129449 */   // Label 2280: @129449
     /*  129449 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(129476), // Rule ID 78 //
     /*  129454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129469 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  129474 */     GIR_RootConstrainSelectedInstOperands,
     /*  129475 */     // GIR_Coverage, 78,
     /*  129475 */     GIR_Done,
     /*  129476 */   // Label 2281: @129476
     /*  129476 */   GIM_Reject,
     /*  129477 */ // Label 2253: @129477
     /*  129477 */ GIM_Reject,
     /*  129478 */ // Label 2196: @129478
     /*  129478 */ GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(130088),
     /*  129483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129493 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(129559), // Rule ID 71279 //
     /*  129498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129540 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129557 */     GIR_RootConstrainSelectedInstOperands,
     /*  129558 */     // GIR_Coverage, 71279,
     /*  129558 */     GIR_EraseRootFromParent_Done,
     /*  129559 */   // Label 2283: @129559
     /*  129559 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(129625), // Rule ID 71280 //
     /*  129564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129606 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129623 */     GIR_RootConstrainSelectedInstOperands,
     /*  129624 */     // GIR_Coverage, 71280,
     /*  129624 */     GIR_EraseRootFromParent_Done,
     /*  129625 */   // Label 2284: @129625
     /*  129625 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(129691), // Rule ID 71277 //
     /*  129630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129672 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129689 */     GIR_RootConstrainSelectedInstOperands,
     /*  129690 */     // GIR_Coverage, 71277,
     /*  129690 */     GIR_EraseRootFromParent_Done,
     /*  129691 */   // Label 2285: @129691
     /*  129691 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(129757), // Rule ID 71278 //
     /*  129696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129738 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129755 */     GIR_RootConstrainSelectedInstOperands,
     /*  129756 */     // GIR_Coverage, 71278,
     /*  129756 */     GIR_EraseRootFromParent_Done,
     /*  129757 */   // Label 2286: @129757
     /*  129757 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(129823), // Rule ID 71275 //
     /*  129762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129804 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129821 */     GIR_RootConstrainSelectedInstOperands,
     /*  129822 */     // GIR_Coverage, 71275,
     /*  129822 */     GIR_EraseRootFromParent_Done,
     /*  129823 */   // Label 2287: @129823
     /*  129823 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(129889), // Rule ID 71276 //
     /*  129828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129870 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129887 */     GIR_RootConstrainSelectedInstOperands,
     /*  129888 */     // GIR_Coverage, 71276,
     /*  129888 */     GIR_EraseRootFromParent_Done,
     /*  129889 */   // Label 2288: @129889
     /*  129889 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(129955), // Rule ID 53048 //
     /*  129894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129936 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129953 */     GIR_RootConstrainSelectedInstOperands,
     /*  129954 */     // GIR_Coverage, 53048,
     /*  129954 */     GIR_EraseRootFromParent_Done,
     /*  129955 */   // Label 2289: @129955
     /*  129955 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(130021), // Rule ID 53049 //
     /*  129960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130002 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  130005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130019 */     GIR_RootConstrainSelectedInstOperands,
     /*  130020 */     // GIR_Coverage, 53049,
     /*  130020 */     GIR_EraseRootFromParent_Done,
     /*  130021 */   // Label 2290: @130021
     /*  130021 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(130054), // Rule ID 53036 //
     /*  130026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130037 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130052 */     GIR_RootConstrainSelectedInstOperands,
     /*  130053 */     // GIR_Coverage, 53036,
     /*  130053 */     GIR_EraseRootFromParent_Done,
     /*  130054 */   // Label 2291: @130054
     /*  130054 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(130087), // Rule ID 53037 //
     /*  130059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130070 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130085 */     GIR_RootConstrainSelectedInstOperands,
     /*  130086 */     // GIR_Coverage, 53037,
     /*  130086 */     GIR_EraseRootFromParent_Done,
     /*  130087 */   // Label 2292: @130087
     /*  130087 */   GIM_Reject,
     /*  130088 */ // Label 2282: @130088
     /*  130088 */ GIM_Reject,
     /*  130089 */ // Label 2197: @130089
     /*  130089 */ GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(130203),
     /*  130094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  130097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  130100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130112 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(130157), // Rule ID 47658 //
     /*  130117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130120 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  130120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130155 */     GIR_RootConstrainSelectedInstOperands,
     /*  130156 */     // GIR_Coverage, 47658,
     /*  130156 */     GIR_EraseRootFromParent_Done,
     /*  130157 */   // Label 2294: @130157
     /*  130157 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(130202), // Rule ID 47659 //
     /*  130162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130165 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  130165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130200 */     GIR_RootConstrainSelectedInstOperands,
     /*  130201 */     // GIR_Coverage, 47659,
     /*  130201 */     GIR_EraseRootFromParent_Done,
     /*  130202 */   // Label 2295: @130202
     /*  130202 */   GIM_Reject,
     /*  130203 */ // Label 2293: @130203
     /*  130203 */ GIM_Reject,
     /*  130204 */ // Label 2198: @130204
     /*  130204 */ GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(130318),
     /*  130209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  130212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  130215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130227 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(130272), // Rule ID 47670 //
     /*  130232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130235 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  130235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130270 */     GIR_RootConstrainSelectedInstOperands,
     /*  130271 */     // GIR_Coverage, 47670,
     /*  130271 */     GIR_EraseRootFromParent_Done,
     /*  130272 */   // Label 2297: @130272
     /*  130272 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(130317), // Rule ID 47671 //
     /*  130277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130280 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  130280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130315 */     GIR_RootConstrainSelectedInstOperands,
     /*  130316 */     // GIR_Coverage, 47671,
     /*  130316 */     GIR_EraseRootFromParent_Done,
     /*  130317 */   // Label 2298: @130317
     /*  130317 */   GIM_Reject,
     /*  130318 */ // Label 2296: @130318
     /*  130318 */ GIM_Reject,
     /*  130319 */ // Label 2199: @130319
     /*  130319 */ GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130433),
     /*  130324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  130327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  130330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130342 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130387), // Rule ID 47678 //
     /*  130347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130350 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  130350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130385 */     GIR_RootConstrainSelectedInstOperands,
     /*  130386 */     // GIR_Coverage, 47678,
     /*  130386 */     GIR_EraseRootFromParent_Done,
     /*  130387 */   // Label 2300: @130387
     /*  130387 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130432), // Rule ID 47679 //
     /*  130392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130395 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  130395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130430 */     GIR_RootConstrainSelectedInstOperands,
     /*  130431 */     // GIR_Coverage, 47679,
     /*  130431 */     GIR_EraseRootFromParent_Done,
     /*  130432 */   // Label 2301: @130432
     /*  130432 */   GIM_Reject,
     /*  130433 */ // Label 2299: @130433
     /*  130433 */ GIM_Reject,
     /*  130434 */ // Label 2200: @130434
     /*  130434 */ GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130548),
     /*  130439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  130442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130457 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(130502), // Rule ID 47694 //
     /*  130462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  130465 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  130465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130500 */     GIR_RootConstrainSelectedInstOperands,
     /*  130501 */     // GIR_Coverage, 47694,
     /*  130501 */     GIR_EraseRootFromParent_Done,
     /*  130502 */   // Label 2303: @130502
     /*  130502 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130547), // Rule ID 47695 //
     /*  130507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130510 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  130510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130545 */     GIR_RootConstrainSelectedInstOperands,
     /*  130546 */     // GIR_Coverage, 47695,
     /*  130546 */     GIR_EraseRootFromParent_Done,
     /*  130547 */   // Label 2304: @130547
     /*  130547 */   GIM_Reject,
     /*  130548 */ // Label 2302: @130548
     /*  130548 */ GIM_Reject,
     /*  130549 */ // Label 2201: @130549
     /*  130549 */ GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(131159),
     /*  130554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130564 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130630), // Rule ID 71307 //
     /*  130569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130611 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130628 */     GIR_RootConstrainSelectedInstOperands,
     /*  130629 */     // GIR_Coverage, 71307,
     /*  130629 */     GIR_EraseRootFromParent_Done,
     /*  130630 */   // Label 2306: @130630
     /*  130630 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130696), // Rule ID 71308 //
     /*  130635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130677 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130694 */     GIR_RootConstrainSelectedInstOperands,
     /*  130695 */     // GIR_Coverage, 71308,
     /*  130695 */     GIR_EraseRootFromParent_Done,
     /*  130696 */   // Label 2307: @130696
     /*  130696 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130762), // Rule ID 71305 //
     /*  130701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130743 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130760 */     GIR_RootConstrainSelectedInstOperands,
     /*  130761 */     // GIR_Coverage, 71305,
     /*  130761 */     GIR_EraseRootFromParent_Done,
     /*  130762 */   // Label 2308: @130762
     /*  130762 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130828), // Rule ID 71306 //
     /*  130767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130809 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130826 */     GIR_RootConstrainSelectedInstOperands,
     /*  130827 */     // GIR_Coverage, 71306,
     /*  130827 */     GIR_EraseRootFromParent_Done,
     /*  130828 */   // Label 2309: @130828
     /*  130828 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130894), // Rule ID 71303 //
     /*  130833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130875 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130892 */     GIR_RootConstrainSelectedInstOperands,
     /*  130893 */     // GIR_Coverage, 71303,
     /*  130893 */     GIR_EraseRootFromParent_Done,
     /*  130894 */   // Label 2310: @130894
     /*  130894 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130960), // Rule ID 71304 //
     /*  130899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130941 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130958 */     GIR_RootConstrainSelectedInstOperands,
     /*  130959 */     // GIR_Coverage, 71304,
     /*  130959 */     GIR_EraseRootFromParent_Done,
     /*  130960 */   // Label 2311: @130960
     /*  130960 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(131026), // Rule ID 53066 //
     /*  130965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131007 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131024 */     GIR_RootConstrainSelectedInstOperands,
     /*  131025 */     // GIR_Coverage, 53066,
     /*  131025 */     GIR_EraseRootFromParent_Done,
     /*  131026 */   // Label 2312: @131026
     /*  131026 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(131092), // Rule ID 53067 //
     /*  131031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  131050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  131054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131073 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131090 */     GIR_RootConstrainSelectedInstOperands,
     /*  131091 */     // GIR_Coverage, 53067,
     /*  131091 */     GIR_EraseRootFromParent_Done,
     /*  131092 */   // Label 2313: @131092
     /*  131092 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131125), // Rule ID 53054 //
     /*  131097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131108 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131123 */     GIR_RootConstrainSelectedInstOperands,
     /*  131124 */     // GIR_Coverage, 53054,
     /*  131124 */     GIR_EraseRootFromParent_Done,
     /*  131125 */   // Label 2314: @131125
     /*  131125 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131158), // Rule ID 53055 //
     /*  131130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131141 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131156 */     GIR_RootConstrainSelectedInstOperands,
     /*  131157 */     // GIR_Coverage, 53055,
     /*  131157 */     GIR_EraseRootFromParent_Done,
     /*  131158 */   // Label 2315: @131158
     /*  131158 */   GIM_Reject,
     /*  131159 */ // Label 2305: @131159
     /*  131159 */ GIM_Reject,
     /*  131160 */ // Label 2202: @131160
     /*  131160 */ GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131274),
     /*  131165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  131168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  131171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131183 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131228), // Rule ID 47662 //
     /*  131188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131191 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  131191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131226 */     GIR_RootConstrainSelectedInstOperands,
     /*  131227 */     // GIR_Coverage, 47662,
     /*  131227 */     GIR_EraseRootFromParent_Done,
     /*  131228 */   // Label 2317: @131228
     /*  131228 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131273), // Rule ID 47663 //
     /*  131233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131236 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  131236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131271 */     GIR_RootConstrainSelectedInstOperands,
     /*  131272 */     // GIR_Coverage, 47663,
     /*  131272 */     GIR_EraseRootFromParent_Done,
     /*  131273 */   // Label 2318: @131273
     /*  131273 */   GIM_Reject,
     /*  131274 */ // Label 2316: @131274
     /*  131274 */ GIM_Reject,
     /*  131275 */ // Label 2203: @131275
     /*  131275 */ GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131389),
     /*  131280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  131283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  131286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131298 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131343), // Rule ID 47674 //
     /*  131303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131306 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  131306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131341 */     GIR_RootConstrainSelectedInstOperands,
     /*  131342 */     // GIR_Coverage, 47674,
     /*  131342 */     GIR_EraseRootFromParent_Done,
     /*  131343 */   // Label 2320: @131343
     /*  131343 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131388), // Rule ID 47675 //
     /*  131348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131351 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  131351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131386 */     GIR_RootConstrainSelectedInstOperands,
     /*  131387 */     // GIR_Coverage, 47675,
     /*  131387 */     GIR_EraseRootFromParent_Done,
     /*  131388 */   // Label 2321: @131388
     /*  131388 */   GIM_Reject,
     /*  131389 */ // Label 2319: @131389
     /*  131389 */ GIM_Reject,
     /*  131390 */ // Label 2204: @131390
     /*  131390 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131504),
     /*  131395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  131398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  131401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131413 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131458), // Rule ID 47690 //
     /*  131418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131421 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  131421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131456 */     GIR_RootConstrainSelectedInstOperands,
     /*  131457 */     // GIR_Coverage, 47690,
     /*  131457 */     GIR_EraseRootFromParent_Done,
     /*  131458 */   // Label 2323: @131458
     /*  131458 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(131503), // Rule ID 47691 //
     /*  131463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131466 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  131466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131501 */     GIR_RootConstrainSelectedInstOperands,
     /*  131502 */     // GIR_Coverage, 47691,
     /*  131502 */     GIR_EraseRootFromParent_Done,
     /*  131503 */   // Label 2324: @131503
     /*  131503 */   GIM_Reject,
     /*  131504 */ // Label 2322: @131504
     /*  131504 */ GIM_Reject,
     /*  131505 */ // Label 2205: @131505
     /*  131505 */ GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131619),
     /*  131510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  131513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131528 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(131573), // Rule ID 47734 //
     /*  131533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131536 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  131536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131571 */     GIR_RootConstrainSelectedInstOperands,
     /*  131572 */     // GIR_Coverage, 47734,
     /*  131572 */     GIR_EraseRootFromParent_Done,
     /*  131573 */   // Label 2326: @131573
     /*  131573 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131618), // Rule ID 47735 //
     /*  131578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131581 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  131581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131616 */     GIR_RootConstrainSelectedInstOperands,
     /*  131617 */     // GIR_Coverage, 47735,
     /*  131617 */     GIR_EraseRootFromParent_Done,
     /*  131618 */   // Label 2327: @131618
     /*  131618 */   GIM_Reject,
     /*  131619 */ // Label 2325: @131619
     /*  131619 */ GIM_Reject,
     /*  131620 */ // Label 2206: @131620
     /*  131620 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(132230),
     /*  131625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131635 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(131701), // Rule ID 71335 //
     /*  131640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131682 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131699 */     GIR_RootConstrainSelectedInstOperands,
     /*  131700 */     // GIR_Coverage, 71335,
     /*  131700 */     GIR_EraseRootFromParent_Done,
     /*  131701 */   // Label 2329: @131701
     /*  131701 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(131767), // Rule ID 71336 //
     /*  131706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131748 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131765 */     GIR_RootConstrainSelectedInstOperands,
     /*  131766 */     // GIR_Coverage, 71336,
     /*  131766 */     GIR_EraseRootFromParent_Done,
     /*  131767 */   // Label 2330: @131767
     /*  131767 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(131833), // Rule ID 71333 //
     /*  131772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131814 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131831 */     GIR_RootConstrainSelectedInstOperands,
     /*  131832 */     // GIR_Coverage, 71333,
     /*  131832 */     GIR_EraseRootFromParent_Done,
     /*  131833 */   // Label 2331: @131833
     /*  131833 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(131899), // Rule ID 71334 //
     /*  131838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131880 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131897 */     GIR_RootConstrainSelectedInstOperands,
     /*  131898 */     // GIR_Coverage, 71334,
     /*  131898 */     GIR_EraseRootFromParent_Done,
     /*  131899 */   // Label 2332: @131899
     /*  131899 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(131965), // Rule ID 71331 //
     /*  131904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131946 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131963 */     GIR_RootConstrainSelectedInstOperands,
     /*  131964 */     // GIR_Coverage, 71331,
     /*  131964 */     GIR_EraseRootFromParent_Done,
     /*  131965 */   // Label 2333: @131965
     /*  131965 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132031), // Rule ID 71332 //
     /*  131970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132012 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132029 */     GIR_RootConstrainSelectedInstOperands,
     /*  132030 */     // GIR_Coverage, 71332,
     /*  132030 */     GIR_EraseRootFromParent_Done,
     /*  132031 */   // Label 2334: @132031
     /*  132031 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(132097), // Rule ID 53084 //
     /*  132036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132078 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132095 */     GIR_RootConstrainSelectedInstOperands,
     /*  132096 */     // GIR_Coverage, 53084,
     /*  132096 */     GIR_EraseRootFromParent_Done,
     /*  132097 */   // Label 2335: @132097
     /*  132097 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(132163), // Rule ID 53085 //
     /*  132102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132144 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132161 */     GIR_RootConstrainSelectedInstOperands,
     /*  132162 */     // GIR_Coverage, 53085,
     /*  132162 */     GIR_EraseRootFromParent_Done,
     /*  132163 */   // Label 2336: @132163
     /*  132163 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(132196), // Rule ID 53072 //
     /*  132168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132179 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132194 */     GIR_RootConstrainSelectedInstOperands,
     /*  132195 */     // GIR_Coverage, 53072,
     /*  132195 */     GIR_EraseRootFromParent_Done,
     /*  132196 */   // Label 2337: @132196
     /*  132196 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(132229), // Rule ID 53073 //
     /*  132201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132212 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132227 */     GIR_RootConstrainSelectedInstOperands,
     /*  132228 */     // GIR_Coverage, 53073,
     /*  132228 */     GIR_EraseRootFromParent_Done,
     /*  132229 */   // Label 2338: @132229
     /*  132229 */   GIM_Reject,
     /*  132230 */ // Label 2328: @132230
     /*  132230 */ GIM_Reject,
     /*  132231 */ // Label 2207: @132231
     /*  132231 */ GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(132345),
     /*  132236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  132239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132254 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(132299), // Rule ID 47666 //
     /*  132259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132262 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  132262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132297 */     GIR_RootConstrainSelectedInstOperands,
     /*  132298 */     // GIR_Coverage, 47666,
     /*  132298 */     GIR_EraseRootFromParent_Done,
     /*  132299 */   // Label 2340: @132299
     /*  132299 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(132344), // Rule ID 47667 //
     /*  132304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132307 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  132307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132342 */     GIR_RootConstrainSelectedInstOperands,
     /*  132343 */     // GIR_Coverage, 47667,
     /*  132343 */     GIR_EraseRootFromParent_Done,
     /*  132344 */   // Label 2341: @132344
     /*  132344 */   GIM_Reject,
     /*  132345 */ // Label 2339: @132345
     /*  132345 */ GIM_Reject,
     /*  132346 */ // Label 2208: @132346
     /*  132346 */ GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(132460),
     /*  132351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  132354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132369 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(132414), // Rule ID 47686 //
     /*  132374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132377 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  132377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132412 */     GIR_RootConstrainSelectedInstOperands,
     /*  132413 */     // GIR_Coverage, 47686,
     /*  132413 */     GIR_EraseRootFromParent_Done,
     /*  132414 */   // Label 2343: @132414
     /*  132414 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(132459), // Rule ID 47687 //
     /*  132419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132422 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  132422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132457 */     GIR_RootConstrainSelectedInstOperands,
     /*  132458 */     // GIR_Coverage, 47687,
     /*  132458 */     GIR_EraseRootFromParent_Done,
     /*  132459 */   // Label 2344: @132459
     /*  132459 */   GIM_Reject,
     /*  132460 */ // Label 2342: @132460
     /*  132460 */ GIM_Reject,
     /*  132461 */ // Label 2209: @132461
     /*  132461 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(132575),
     /*  132466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  132469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  132472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132484 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(132529), // Rule ID 47722 //
     /*  132489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132492 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  132492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132527 */     GIR_RootConstrainSelectedInstOperands,
     /*  132528 */     // GIR_Coverage, 47722,
     /*  132528 */     GIR_EraseRootFromParent_Done,
     /*  132529 */   // Label 2346: @132529
     /*  132529 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(132574), // Rule ID 47723 //
     /*  132534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132537 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  132537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132572 */     GIR_RootConstrainSelectedInstOperands,
     /*  132573 */     // GIR_Coverage, 47723,
     /*  132573 */     GIR_EraseRootFromParent_Done,
     /*  132574 */   // Label 2347: @132574
     /*  132574 */   GIM_Reject,
     /*  132575 */ // Label 2345: @132575
     /*  132575 */ GIM_Reject,
     /*  132576 */ // Label 2210: @132576
     /*  132576 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(132690),
     /*  132581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  132584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  132587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132599 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(132644), // Rule ID 47738 //
     /*  132604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  132607 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  132607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132642 */     GIR_RootConstrainSelectedInstOperands,
     /*  132643 */     // GIR_Coverage, 47738,
     /*  132643 */     GIR_EraseRootFromParent_Done,
     /*  132644 */   // Label 2349: @132644
     /*  132644 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(132689), // Rule ID 47739 //
     /*  132649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  132652 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  132652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132687 */     GIR_RootConstrainSelectedInstOperands,
     /*  132688 */     // GIR_Coverage, 47739,
     /*  132688 */     GIR_EraseRootFromParent_Done,
     /*  132689 */   // Label 2350: @132689
     /*  132689 */   GIM_Reject,
     /*  132690 */ // Label 2348: @132690
     /*  132690 */ GIM_Reject,
     /*  132691 */ // Label 2211: @132691
     /*  132691 */ GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(133301),
     /*  132696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132706 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(132772), // Rule ID 71363 //
     /*  132711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132753 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132770 */     GIR_RootConstrainSelectedInstOperands,
     /*  132771 */     // GIR_Coverage, 71363,
     /*  132771 */     GIR_EraseRootFromParent_Done,
     /*  132772 */   // Label 2352: @132772
     /*  132772 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(132838), // Rule ID 71364 //
     /*  132777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132819 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132836 */     GIR_RootConstrainSelectedInstOperands,
     /*  132837 */     // GIR_Coverage, 71364,
     /*  132837 */     GIR_EraseRootFromParent_Done,
     /*  132838 */   // Label 2353: @132838
     /*  132838 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(132904), // Rule ID 71361 //
     /*  132843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132885 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132902 */     GIR_RootConstrainSelectedInstOperands,
     /*  132903 */     // GIR_Coverage, 71361,
     /*  132903 */     GIR_EraseRootFromParent_Done,
     /*  132904 */   // Label 2354: @132904
     /*  132904 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(132970), // Rule ID 71362 //
     /*  132909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132951 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132968 */     GIR_RootConstrainSelectedInstOperands,
     /*  132969 */     // GIR_Coverage, 71362,
     /*  132969 */     GIR_EraseRootFromParent_Done,
     /*  132970 */   // Label 2355: @132970
     /*  132970 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(133036), // Rule ID 71359 //
     /*  132975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133017 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133034 */     GIR_RootConstrainSelectedInstOperands,
     /*  133035 */     // GIR_Coverage, 71359,
     /*  133035 */     GIR_EraseRootFromParent_Done,
     /*  133036 */   // Label 2356: @133036
     /*  133036 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(133102), // Rule ID 71360 //
     /*  133041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133083 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133100 */     GIR_RootConstrainSelectedInstOperands,
     /*  133101 */     // GIR_Coverage, 71360,
     /*  133101 */     GIR_EraseRootFromParent_Done,
     /*  133102 */   // Label 2357: @133102
     /*  133102 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(133168), // Rule ID 53102 //
     /*  133107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133149 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133166 */     GIR_RootConstrainSelectedInstOperands,
     /*  133167 */     // GIR_Coverage, 53102,
     /*  133167 */     GIR_EraseRootFromParent_Done,
     /*  133168 */   // Label 2358: @133168
     /*  133168 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(133234), // Rule ID 53103 //
     /*  133173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133215 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133232 */     GIR_RootConstrainSelectedInstOperands,
     /*  133233 */     // GIR_Coverage, 53103,
     /*  133233 */     GIR_EraseRootFromParent_Done,
     /*  133234 */   // Label 2359: @133234
     /*  133234 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(133267), // Rule ID 53090 //
     /*  133239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133250 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133265 */     GIR_RootConstrainSelectedInstOperands,
     /*  133266 */     // GIR_Coverage, 53090,
     /*  133266 */     GIR_EraseRootFromParent_Done,
     /*  133267 */   // Label 2360: @133267
     /*  133267 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(133300), // Rule ID 53091 //
     /*  133272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133283 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133298 */     GIR_RootConstrainSelectedInstOperands,
     /*  133299 */     // GIR_Coverage, 53091,
     /*  133299 */     GIR_EraseRootFromParent_Done,
     /*  133300 */   // Label 2361: @133300
     /*  133300 */   GIM_Reject,
     /*  133301 */ // Label 2351: @133301
     /*  133301 */ GIM_Reject,
     /*  133302 */ // Label 2212: @133302
     /*  133302 */ GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(133416),
     /*  133307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  133310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  133313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133325 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(133370), // Rule ID 47682 //
     /*  133330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133333 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  133333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133368 */     GIR_RootConstrainSelectedInstOperands,
     /*  133369 */     // GIR_Coverage, 47682,
     /*  133369 */     GIR_EraseRootFromParent_Done,
     /*  133370 */   // Label 2363: @133370
     /*  133370 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(133415), // Rule ID 47683 //
     /*  133375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133378 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  133378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133413 */     GIR_RootConstrainSelectedInstOperands,
     /*  133414 */     // GIR_Coverage, 47683,
     /*  133414 */     GIR_EraseRootFromParent_Done,
     /*  133415 */   // Label 2364: @133415
     /*  133415 */   GIM_Reject,
     /*  133416 */ // Label 2362: @133416
     /*  133416 */ GIM_Reject,
     /*  133417 */ // Label 2213: @133417
     /*  133417 */ GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(133531),
     /*  133422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  133425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133440 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(133485), // Rule ID 47710 //
     /*  133445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133448 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  133448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133483 */     GIR_RootConstrainSelectedInstOperands,
     /*  133484 */     // GIR_Coverage, 47710,
     /*  133484 */     GIR_EraseRootFromParent_Done,
     /*  133485 */   // Label 2366: @133485
     /*  133485 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(133530), // Rule ID 47711 //
     /*  133490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133493 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  133493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133528 */     GIR_RootConstrainSelectedInstOperands,
     /*  133529 */     // GIR_Coverage, 47711,
     /*  133529 */     GIR_EraseRootFromParent_Done,
     /*  133530 */   // Label 2367: @133530
     /*  133530 */   GIM_Reject,
     /*  133531 */ // Label 2365: @133531
     /*  133531 */ GIM_Reject,
     /*  133532 */ // Label 2214: @133532
     /*  133532 */ GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(133646),
     /*  133537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  133540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  133543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133555 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(133600), // Rule ID 47726 //
     /*  133560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133563 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  133563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133598 */     GIR_RootConstrainSelectedInstOperands,
     /*  133599 */     // GIR_Coverage, 47726,
     /*  133599 */     GIR_EraseRootFromParent_Done,
     /*  133600 */   // Label 2369: @133600
     /*  133600 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(133645), // Rule ID 47727 //
     /*  133605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133608 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  133608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133643 */     GIR_RootConstrainSelectedInstOperands,
     /*  133644 */     // GIR_Coverage, 47727,
     /*  133644 */     GIR_EraseRootFromParent_Done,
     /*  133645 */   // Label 2370: @133645
     /*  133645 */   GIM_Reject,
     /*  133646 */ // Label 2368: @133646
     /*  133646 */ GIM_Reject,
     /*  133647 */ // Label 2215: @133647
     /*  133647 */ GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(133761),
     /*  133652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  133655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  133658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133670 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(133715), // Rule ID 47742 //
     /*  133675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133678 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  133678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133713 */     GIR_RootConstrainSelectedInstOperands,
     /*  133714 */     // GIR_Coverage, 47742,
     /*  133714 */     GIR_EraseRootFromParent_Done,
     /*  133715 */   // Label 2372: @133715
     /*  133715 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(133760), // Rule ID 47743 //
     /*  133720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133723 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  133723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133758 */     GIR_RootConstrainSelectedInstOperands,
     /*  133759 */     // GIR_Coverage, 47743,
     /*  133759 */     GIR_EraseRootFromParent_Done,
     /*  133760 */   // Label 2373: @133760
     /*  133760 */   GIM_Reject,
     /*  133761 */ // Label 2371: @133761
     /*  133761 */ GIM_Reject,
     /*  133762 */ // Label 2216: @133762
     /*  133762 */ GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(134372),
     /*  133767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133777 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(133843), // Rule ID 71391 //
     /*  133782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133824 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133841 */     GIR_RootConstrainSelectedInstOperands,
     /*  133842 */     // GIR_Coverage, 71391,
     /*  133842 */     GIR_EraseRootFromParent_Done,
     /*  133843 */   // Label 2375: @133843
     /*  133843 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(133909), // Rule ID 71392 //
     /*  133848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133890 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133907 */     GIR_RootConstrainSelectedInstOperands,
     /*  133908 */     // GIR_Coverage, 71392,
     /*  133908 */     GIR_EraseRootFromParent_Done,
     /*  133909 */   // Label 2376: @133909
     /*  133909 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(133975), // Rule ID 71389 //
     /*  133914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133956 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133973 */     GIR_RootConstrainSelectedInstOperands,
     /*  133974 */     // GIR_Coverage, 71389,
     /*  133974 */     GIR_EraseRootFromParent_Done,
     /*  133975 */   // Label 2377: @133975
     /*  133975 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(134041), // Rule ID 71390 //
     /*  133980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134022 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134039 */     GIR_RootConstrainSelectedInstOperands,
     /*  134040 */     // GIR_Coverage, 71390,
     /*  134040 */     GIR_EraseRootFromParent_Done,
     /*  134041 */   // Label 2378: @134041
     /*  134041 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(134107), // Rule ID 71387 //
     /*  134046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134088 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134105 */     GIR_RootConstrainSelectedInstOperands,
     /*  134106 */     // GIR_Coverage, 71387,
     /*  134106 */     GIR_EraseRootFromParent_Done,
     /*  134107 */   // Label 2379: @134107
     /*  134107 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(134173), // Rule ID 71388 //
     /*  134112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134154 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134171 */     GIR_RootConstrainSelectedInstOperands,
     /*  134172 */     // GIR_Coverage, 71388,
     /*  134172 */     GIR_EraseRootFromParent_Done,
     /*  134173 */   // Label 2380: @134173
     /*  134173 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(134239), // Rule ID 53120 //
     /*  134178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134220 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134237 */     GIR_RootConstrainSelectedInstOperands,
     /*  134238 */     // GIR_Coverage, 53120,
     /*  134238 */     GIR_EraseRootFromParent_Done,
     /*  134239 */   // Label 2381: @134239
     /*  134239 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(134305), // Rule ID 53121 //
     /*  134244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134286 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134303 */     GIR_RootConstrainSelectedInstOperands,
     /*  134304 */     // GIR_Coverage, 53121,
     /*  134304 */     GIR_EraseRootFromParent_Done,
     /*  134305 */   // Label 2382: @134305
     /*  134305 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(134338), // Rule ID 53108 //
     /*  134310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134321 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134336 */     GIR_RootConstrainSelectedInstOperands,
     /*  134337 */     // GIR_Coverage, 53108,
     /*  134337 */     GIR_EraseRootFromParent_Done,
     /*  134338 */   // Label 2383: @134338
     /*  134338 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(134371), // Rule ID 53109 //
     /*  134343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134354 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134369 */     GIR_RootConstrainSelectedInstOperands,
     /*  134370 */     // GIR_Coverage, 53109,
     /*  134370 */     GIR_EraseRootFromParent_Done,
     /*  134371 */   // Label 2384: @134371
     /*  134371 */   GIM_Reject,
     /*  134372 */ // Label 2374: @134372
     /*  134372 */ GIM_Reject,
     /*  134373 */ // Label 2217: @134373
     /*  134373 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(134487),
     /*  134378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  134381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  134384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134396 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(134441), // Rule ID 47698 //
     /*  134401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134404 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134439 */     GIR_RootConstrainSelectedInstOperands,
     /*  134440 */     // GIR_Coverage, 47698,
     /*  134440 */     GIR_EraseRootFromParent_Done,
     /*  134441 */   // Label 2386: @134441
     /*  134441 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(134486), // Rule ID 47699 //
     /*  134446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134449 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134484 */     GIR_RootConstrainSelectedInstOperands,
     /*  134485 */     // GIR_Coverage, 47699,
     /*  134485 */     GIR_EraseRootFromParent_Done,
     /*  134486 */   // Label 2387: @134486
     /*  134486 */   GIM_Reject,
     /*  134487 */ // Label 2385: @134487
     /*  134487 */ GIM_Reject,
     /*  134488 */ // Label 2218: @134488
     /*  134488 */ GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(134602),
     /*  134493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  134496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134511 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(134556), // Rule ID 47714 //
     /*  134516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134519 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134554 */     GIR_RootConstrainSelectedInstOperands,
     /*  134555 */     // GIR_Coverage, 47714,
     /*  134555 */     GIR_EraseRootFromParent_Done,
     /*  134556 */   // Label 2389: @134556
     /*  134556 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(134601), // Rule ID 47715 //
     /*  134561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134564 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134599 */     GIR_RootConstrainSelectedInstOperands,
     /*  134600 */     // GIR_Coverage, 47715,
     /*  134600 */     GIR_EraseRootFromParent_Done,
     /*  134601 */   // Label 2390: @134601
     /*  134601 */   GIM_Reject,
     /*  134602 */ // Label 2388: @134602
     /*  134602 */ GIM_Reject,
     /*  134603 */ // Label 2219: @134603
     /*  134603 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(134717),
     /*  134608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  134611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134626 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(134671), // Rule ID 47730 //
     /*  134631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134634 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134669 */     GIR_RootConstrainSelectedInstOperands,
     /*  134670 */     // GIR_Coverage, 47730,
     /*  134670 */     GIR_EraseRootFromParent_Done,
     /*  134671 */   // Label 2392: @134671
     /*  134671 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(134716), // Rule ID 47731 //
     /*  134676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134679 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134714 */     GIR_RootConstrainSelectedInstOperands,
     /*  134715 */     // GIR_Coverage, 47731,
     /*  134715 */     GIR_EraseRootFromParent_Done,
     /*  134716 */   // Label 2393: @134716
     /*  134716 */   GIM_Reject,
     /*  134717 */ // Label 2391: @134717
     /*  134717 */ GIM_Reject,
     /*  134718 */ // Label 2220: @134718
     /*  134718 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(135328),
     /*  134723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134733 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(134799), // Rule ID 71419 //
     /*  134738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134780 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134797 */     GIR_RootConstrainSelectedInstOperands,
     /*  134798 */     // GIR_Coverage, 71419,
     /*  134798 */     GIR_EraseRootFromParent_Done,
     /*  134799 */   // Label 2395: @134799
     /*  134799 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(134865), // Rule ID 71420 //
     /*  134804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134846 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134863 */     GIR_RootConstrainSelectedInstOperands,
     /*  134864 */     // GIR_Coverage, 71420,
     /*  134864 */     GIR_EraseRootFromParent_Done,
     /*  134865 */   // Label 2396: @134865
     /*  134865 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(134931), // Rule ID 71417 //
     /*  134870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134912 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134929 */     GIR_RootConstrainSelectedInstOperands,
     /*  134930 */     // GIR_Coverage, 71417,
     /*  134930 */     GIR_EraseRootFromParent_Done,
     /*  134931 */   // Label 2397: @134931
     /*  134931 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(134997), // Rule ID 71418 //
     /*  134936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134978 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134995 */     GIR_RootConstrainSelectedInstOperands,
     /*  134996 */     // GIR_Coverage, 71418,
     /*  134996 */     GIR_EraseRootFromParent_Done,
     /*  134997 */   // Label 2398: @134997
     /*  134997 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(135063), // Rule ID 71415 //
     /*  135002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135044 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135061 */     GIR_RootConstrainSelectedInstOperands,
     /*  135062 */     // GIR_Coverage, 71415,
     /*  135062 */     GIR_EraseRootFromParent_Done,
     /*  135063 */   // Label 2399: @135063
     /*  135063 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(135129), // Rule ID 71416 //
     /*  135068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135110 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135127 */     GIR_RootConstrainSelectedInstOperands,
     /*  135128 */     // GIR_Coverage, 71416,
     /*  135128 */     GIR_EraseRootFromParent_Done,
     /*  135129 */   // Label 2400: @135129
     /*  135129 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(135195), // Rule ID 53138 //
     /*  135134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135176 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135193 */     GIR_RootConstrainSelectedInstOperands,
     /*  135194 */     // GIR_Coverage, 53138,
     /*  135194 */     GIR_EraseRootFromParent_Done,
     /*  135195 */   // Label 2401: @135195
     /*  135195 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(135261), // Rule ID 53139 //
     /*  135200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135242 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135259 */     GIR_RootConstrainSelectedInstOperands,
     /*  135260 */     // GIR_Coverage, 53139,
     /*  135260 */     GIR_EraseRootFromParent_Done,
     /*  135261 */   // Label 2402: @135261
     /*  135261 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(135294), // Rule ID 53126 //
     /*  135266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135277 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135292 */     GIR_RootConstrainSelectedInstOperands,
     /*  135293 */     // GIR_Coverage, 53126,
     /*  135293 */     GIR_EraseRootFromParent_Done,
     /*  135294 */   // Label 2403: @135294
     /*  135294 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(135327), // Rule ID 53127 //
     /*  135299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135310 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135325 */     GIR_RootConstrainSelectedInstOperands,
     /*  135326 */     // GIR_Coverage, 53127,
     /*  135326 */     GIR_EraseRootFromParent_Done,
     /*  135327 */   // Label 2404: @135327
     /*  135327 */   GIM_Reject,
     /*  135328 */ // Label 2394: @135328
     /*  135328 */ GIM_Reject,
     /*  135329 */ // Label 2221: @135329
     /*  135329 */ GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(135443),
     /*  135334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  135337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  135340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135352 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(135397), // Rule ID 47702 //
     /*  135357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135360 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135395 */     GIR_RootConstrainSelectedInstOperands,
     /*  135396 */     // GIR_Coverage, 47702,
     /*  135396 */     GIR_EraseRootFromParent_Done,
     /*  135397 */   // Label 2406: @135397
     /*  135397 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(135442), // Rule ID 47703 //
     /*  135402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135405 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135440 */     GIR_RootConstrainSelectedInstOperands,
     /*  135441 */     // GIR_Coverage, 47703,
     /*  135441 */     GIR_EraseRootFromParent_Done,
     /*  135442 */   // Label 2407: @135442
     /*  135442 */   GIM_Reject,
     /*  135443 */ // Label 2405: @135443
     /*  135443 */ GIM_Reject,
     /*  135444 */ // Label 2222: @135444
     /*  135444 */ GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(135558),
     /*  135449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  135452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  135455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135467 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(135512), // Rule ID 47718 //
     /*  135472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135475 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135510 */     GIR_RootConstrainSelectedInstOperands,
     /*  135511 */     // GIR_Coverage, 47718,
     /*  135511 */     GIR_EraseRootFromParent_Done,
     /*  135512 */   // Label 2409: @135512
     /*  135512 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(135557), // Rule ID 47719 //
     /*  135517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135520 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135555 */     GIR_RootConstrainSelectedInstOperands,
     /*  135556 */     // GIR_Coverage, 47719,
     /*  135556 */     GIR_EraseRootFromParent_Done,
     /*  135557 */   // Label 2410: @135557
     /*  135557 */   GIM_Reject,
     /*  135558 */ // Label 2408: @135558
     /*  135558 */ GIM_Reject,
     /*  135559 */ // Label 2223: @135559
     /*  135559 */ GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(136169),
     /*  135564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135574 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(135640), // Rule ID 71447 //
     /*  135579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135621 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135638 */     GIR_RootConstrainSelectedInstOperands,
     /*  135639 */     // GIR_Coverage, 71447,
     /*  135639 */     GIR_EraseRootFromParent_Done,
     /*  135640 */   // Label 2412: @135640
     /*  135640 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(135706), // Rule ID 71448 //
     /*  135645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135687 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135704 */     GIR_RootConstrainSelectedInstOperands,
     /*  135705 */     // GIR_Coverage, 71448,
     /*  135705 */     GIR_EraseRootFromParent_Done,
     /*  135706 */   // Label 2413: @135706
     /*  135706 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(135772), // Rule ID 71445 //
     /*  135711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135753 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135770 */     GIR_RootConstrainSelectedInstOperands,
     /*  135771 */     // GIR_Coverage, 71445,
     /*  135771 */     GIR_EraseRootFromParent_Done,
     /*  135772 */   // Label 2414: @135772
     /*  135772 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(135838), // Rule ID 71446 //
     /*  135777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135819 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135836 */     GIR_RootConstrainSelectedInstOperands,
     /*  135837 */     // GIR_Coverage, 71446,
     /*  135837 */     GIR_EraseRootFromParent_Done,
     /*  135838 */   // Label 2415: @135838
     /*  135838 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(135904), // Rule ID 71443 //
     /*  135843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135885 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135902 */     GIR_RootConstrainSelectedInstOperands,
     /*  135903 */     // GIR_Coverage, 71443,
     /*  135903 */     GIR_EraseRootFromParent_Done,
     /*  135904 */   // Label 2416: @135904
     /*  135904 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(135970), // Rule ID 71444 //
     /*  135909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135951 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135968 */     GIR_RootConstrainSelectedInstOperands,
     /*  135969 */     // GIR_Coverage, 71444,
     /*  135969 */     GIR_EraseRootFromParent_Done,
     /*  135970 */   // Label 2417: @135970
     /*  135970 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(136036), // Rule ID 53156 //
     /*  135975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136017 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136034 */     GIR_RootConstrainSelectedInstOperands,
     /*  136035 */     // GIR_Coverage, 53156,
     /*  136035 */     GIR_EraseRootFromParent_Done,
     /*  136036 */   // Label 2418: @136036
     /*  136036 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(136102), // Rule ID 53157 //
     /*  136041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  136060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  136064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136083 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136100 */     GIR_RootConstrainSelectedInstOperands,
     /*  136101 */     // GIR_Coverage, 53157,
     /*  136101 */     GIR_EraseRootFromParent_Done,
     /*  136102 */   // Label 2419: @136102
     /*  136102 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(136135), // Rule ID 53144 //
     /*  136107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136118 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136133 */     GIR_RootConstrainSelectedInstOperands,
     /*  136134 */     // GIR_Coverage, 53144,
     /*  136134 */     GIR_EraseRootFromParent_Done,
     /*  136135 */   // Label 2420: @136135
     /*  136135 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(136168), // Rule ID 53145 //
     /*  136140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136151 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136166 */     GIR_RootConstrainSelectedInstOperands,
     /*  136167 */     // GIR_Coverage, 53145,
     /*  136167 */     GIR_EraseRootFromParent_Done,
     /*  136168 */   // Label 2421: @136168
     /*  136168 */   GIM_Reject,
     /*  136169 */ // Label 2411: @136169
     /*  136169 */ GIM_Reject,
     /*  136170 */ // Label 2224: @136170
     /*  136170 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(136284),
     /*  136175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  136178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136193 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(136238), // Rule ID 47706 //
     /*  136198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136201 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136236 */     GIR_RootConstrainSelectedInstOperands,
     /*  136237 */     // GIR_Coverage, 47706,
     /*  136237 */     GIR_EraseRootFromParent_Done,
     /*  136238 */   // Label 2423: @136238
     /*  136238 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(136283), // Rule ID 47707 //
     /*  136243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136246 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136281 */     GIR_RootConstrainSelectedInstOperands,
     /*  136282 */     // GIR_Coverage, 47707,
     /*  136282 */     GIR_EraseRootFromParent_Done,
     /*  136283 */   // Label 2424: @136283
     /*  136283 */   GIM_Reject,
     /*  136284 */ // Label 2422: @136284
     /*  136284 */ GIM_Reject,
     /*  136285 */ // Label 2225: @136285
     /*  136285 */ GIM_Reject,
     /*  136286 */ // Label 9: @136286
     /*  136286 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2456*/ GIMT_Encode4(151192),
     /*  136297 */ /*GILLT_s32*//*Label 2425*/ GIMT_Encode4(136421),
     /*  136301 */ /*GILLT_s64*//*Label 2426*/ GIMT_Encode4(136959),
     /*  136305 */ /*GILLT_nxv1s1*//*Label 2427*/ GIMT_Encode4(137385),
     /*  136309 */ /*GILLT_nxv1s8*//*Label 2428*/ GIMT_Encode4(138996),
     /*  136313 */ /*GILLT_nxv1s16*//*Label 2429*/ GIMT_Encode4(139111),
     /*  136317 */ /*GILLT_nxv1s32*//*Label 2430*/ GIMT_Encode4(139226),
     /*  136321 */ /*GILLT_nxv1s64*//*Label 2431*/ GIMT_Encode4(139341),
     /*  136325 */ /*GILLT_nxv2s1*//*Label 2432*/ GIMT_Encode4(139456),
     /*  136329 */ /*GILLT_nxv2s8*//*Label 2433*/ GIMT_Encode4(141067),
     /*  136333 */ /*GILLT_nxv2s16*//*Label 2434*/ GIMT_Encode4(141182),
     /*  136337 */ /*GILLT_nxv2s32*//*Label 2435*/ GIMT_Encode4(141297),
     /*  136341 */ /*GILLT_nxv2s64*//*Label 2436*/ GIMT_Encode4(141412),
     /*  136345 */ /*GILLT_nxv4s1*//*Label 2437*/ GIMT_Encode4(141527),
     /*  136349 */ /*GILLT_nxv4s8*//*Label 2438*/ GIMT_Encode4(143138),
     /*  136353 */ /*GILLT_nxv4s16*//*Label 2439*/ GIMT_Encode4(143253),
     /*  136357 */ /*GILLT_nxv4s32*//*Label 2440*/ GIMT_Encode4(143368),
     /*  136361 */ /*GILLT_nxv4s64*//*Label 2441*/ GIMT_Encode4(143483),
     /*  136365 */ /*GILLT_nxv8s1*//*Label 2442*/ GIMT_Encode4(143598),
     /*  136369 */ /*GILLT_nxv8s8*//*Label 2443*/ GIMT_Encode4(145209),
     /*  136373 */ /*GILLT_nxv8s16*//*Label 2444*/ GIMT_Encode4(145324),
     /*  136377 */ /*GILLT_nxv8s32*//*Label 2445*/ GIMT_Encode4(145439),
     /*  136381 */ /*GILLT_nxv8s64*//*Label 2446*/ GIMT_Encode4(145554),
     /*  136385 */ /*GILLT_nxv16s1*//*Label 2447*/ GIMT_Encode4(145669),
     /*  136389 */ /*GILLT_nxv16s8*//*Label 2448*/ GIMT_Encode4(147280),
     /*  136393 */ /*GILLT_nxv16s16*//*Label 2449*/ GIMT_Encode4(147395),
     /*  136397 */ /*GILLT_nxv16s32*//*Label 2450*/ GIMT_Encode4(147510),
     /*  136401 */ /*GILLT_nxv32s1*//*Label 2451*/ GIMT_Encode4(147625),
     /*  136405 */ /*GILLT_nxv32s8*//*Label 2452*/ GIMT_Encode4(149236),
     /*  136409 */ /*GILLT_nxv32s16*//*Label 2453*/ GIMT_Encode4(149351),
     /*  136413 */ /*GILLT_nxv64s1*//*Label 2454*/ GIMT_Encode4(149466),
     /*  136417 */ /*GILLT_nxv64s8*//*Label 2455*/ GIMT_Encode4(151077),
     /*  136421 */ // Label 2425: @136421
     /*  136421 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(136958),
     /*  136426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  136429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  136432 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(136515), // Rule ID 2373 //
     /*  136437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136460 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136464 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136470 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136477 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  136477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  136480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  136484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  136495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  136505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136513 */     GIR_RootConstrainSelectedInstOperands,
     /*  136514 */     // GIR_Coverage, 2373,
     /*  136514 */     GIR_EraseRootFromParent_Done,
     /*  136515 */   // Label 2458: @136515
     /*  136515 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(136574), // Rule ID 2367 //
     /*  136520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136543 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136553 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136560 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136572 */     GIR_RootConstrainSelectedInstOperands,
     /*  136573 */     // GIR_Coverage, 2367,
     /*  136573 */     GIR_EraseRootFromParent_Done,
     /*  136574 */   // Label 2459: @136574
     /*  136574 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(136633), // Rule ID 65078 //
     /*  136579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136606 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136612 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136619 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136631 */     GIR_RootConstrainSelectedInstOperands,
     /*  136632 */     // GIR_Coverage, 65078,
     /*  136632 */     GIR_EraseRootFromParent_Done,
     /*  136633 */   // Label 2460: @136633
     /*  136633 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(136689), // Rule ID 65064 //
     /*  136638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136666 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136676 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136687 */     GIR_RootConstrainSelectedInstOperands,
     /*  136688 */     // GIR_Coverage, 65064,
     /*  136688 */     GIR_EraseRootFromParent_Done,
     /*  136689 */   // Label 2461: @136689
     /*  136689 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(136748), // Rule ID 65062 //
     /*  136694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136727 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136733 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136746 */     GIR_RootConstrainSelectedInstOperands,
     /*  136747 */     // GIR_Coverage, 65062,
     /*  136747 */     GIR_EraseRootFromParent_Done,
     /*  136748 */   // Label 2462: @136748
     /*  136748 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(136804), // Rule ID 2341 //
     /*  136753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136785 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136791 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136802 */     GIR_RootConstrainSelectedInstOperands,
     /*  136803 */     // GIR_Coverage, 2341,
     /*  136803 */     GIR_EraseRootFromParent_Done,
     /*  136804 */   // Label 2463: @136804
     /*  136804 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(136846), // Rule ID 89 //
     /*  136809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  136832 */     // MIs[1] Operand 1
     /*  136832 */     // No operand predicates
     /*  136832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136834 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  136834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  136837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136844 */     GIR_RootConstrainSelectedInstOperands,
     /*  136845 */     // GIR_Coverage, 89,
     /*  136845 */     GIR_EraseRootFromParent_Done,
     /*  136846 */   // Label 2464: @136846
     /*  136846 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(136888), // Rule ID 64442 //
     /*  136851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  136874 */     // MIs[1] Operand 1
     /*  136874 */     // No operand predicates
     /*  136874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136876 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  136876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  136879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  136881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136886 */     GIR_RootConstrainSelectedInstOperands,
     /*  136887 */     // GIR_Coverage, 64442,
     /*  136887 */     GIR_EraseRootFromParent_Done,
     /*  136888 */   // Label 2465: @136888
     /*  136888 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(136930), // Rule ID 64446 //
     /*  136893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  136916 */     // MIs[1] Operand 1
     /*  136916 */     // No operand predicates
     /*  136916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136918 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  136918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  136921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136928 */     GIR_RootConstrainSelectedInstOperands,
     /*  136929 */     // GIR_Coverage, 64446,
     /*  136929 */     GIR_EraseRootFromParent_Done,
     /*  136930 */   // Label 2466: @136930
     /*  136930 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(136957), // Rule ID 87 //
     /*  136935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136950 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  136955 */     GIR_RootConstrainSelectedInstOperands,
     /*  136956 */     // GIR_Coverage, 87,
     /*  136956 */     GIR_Done,
     /*  136957 */   // Label 2467: @136957
     /*  136957 */   GIM_Reject,
     /*  136958 */ // Label 2457: @136958
     /*  136958 */ GIM_Reject,
     /*  136959 */ // Label 2426: @136959
     /*  136959 */ GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(137384),
     /*  136964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  136967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  136970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136974 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(137053), // Rule ID 2372 //
     /*  136979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136998 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  137002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  137006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137008 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137015 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  137015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  137018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  137022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  137033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  137043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137051 */     GIR_RootConstrainSelectedInstOperands,
     /*  137052 */     // GIR_Coverage, 2372,
     /*  137052 */     GIR_EraseRootFromParent_Done,
     /*  137053 */   // Label 2469: @137053
     /*  137053 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(137108), // Rule ID 2366 //
     /*  137058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137077 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137094 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137106 */     GIR_RootConstrainSelectedInstOperands,
     /*  137107 */     // GIR_Coverage, 2366,
     /*  137107 */     GIR_EraseRootFromParent_Done,
     /*  137108 */   // Label 2470: @137108
     /*  137108 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(137163), // Rule ID 65077 //
     /*  137113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137136 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137149 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137161 */     GIR_RootConstrainSelectedInstOperands,
     /*  137162 */     // GIR_Coverage, 65077,
     /*  137162 */     GIR_EraseRootFromParent_Done,
     /*  137163 */   // Label 2471: @137163
     /*  137163 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(137215), // Rule ID 65063 //
     /*  137168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137192 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137202 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137213 */     GIR_RootConstrainSelectedInstOperands,
     /*  137214 */     // GIR_Coverage, 65063,
     /*  137214 */     GIR_EraseRootFromParent_Done,
     /*  137215 */   // Label 2472: @137215
     /*  137215 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(137270), // Rule ID 65061 //
     /*  137220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137249 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  137253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137255 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137268 */     GIR_RootConstrainSelectedInstOperands,
     /*  137269 */     // GIR_Coverage, 65061,
     /*  137269 */     GIR_EraseRootFromParent_Done,
     /*  137270 */   // Label 2473: @137270
     /*  137270 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(137322), // Rule ID 2340 //
     /*  137275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137303 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137309 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137320 */     GIR_RootConstrainSelectedInstOperands,
     /*  137321 */     // GIR_Coverage, 2340,
     /*  137321 */     GIR_EraseRootFromParent_Done,
     /*  137322 */   // Label 2474: @137322
     /*  137322 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(137360), // Rule ID 88 //
     /*  137327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  137346 */     // MIs[1] Operand 1
     /*  137346 */     // No operand predicates
     /*  137346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137348 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  137348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  137351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  137358 */     GIR_RootConstrainSelectedInstOperands,
     /*  137359 */     // GIR_Coverage, 88,
     /*  137359 */     GIR_EraseRootFromParent_Done,
     /*  137360 */   // Label 2475: @137360
     /*  137360 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(137383), // Rule ID 86 //
     /*  137365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137376 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  137381 */     GIR_RootConstrainSelectedInstOperands,
     /*  137382 */     // GIR_Coverage, 86,
     /*  137382 */     GIR_Done,
     /*  137383 */   // Label 2476: @137383
     /*  137383 */   GIM_Reject,
     /*  137384 */ // Label 2468: @137384
     /*  137384 */ GIM_Reject,
     /*  137385 */ // Label 2427: @137385
     /*  137385 */ GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(138995),
     /*  137390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137400 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(137469), // Rule ID 53040 //
     /*  137405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137448 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137467 */     GIR_RootConstrainSelectedInstOperands,
     /*  137468 */     // GIR_Coverage, 53040,
     /*  137468 */     GIR_EraseRootFromParent_Done,
     /*  137469 */   // Label 2478: @137469
     /*  137469 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(137538), // Rule ID 53041 //
     /*  137474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137517 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137536 */     GIR_RootConstrainSelectedInstOperands,
     /*  137537 */     // GIR_Coverage, 53041,
     /*  137537 */     GIR_EraseRootFromParent_Done,
     /*  137538 */   // Label 2479: @137538
     /*  137538 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(137607), // Rule ID 53042 //
     /*  137543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137586 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137605 */     GIR_RootConstrainSelectedInstOperands,
     /*  137606 */     // GIR_Coverage, 53042,
     /*  137606 */     GIR_EraseRootFromParent_Done,
     /*  137607 */   // Label 2480: @137607
     /*  137607 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(137676), // Rule ID 53043 //
     /*  137612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137655 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137674 */     GIR_RootConstrainSelectedInstOperands,
     /*  137675 */     // GIR_Coverage, 53043,
     /*  137675 */     GIR_EraseRootFromParent_Done,
     /*  137676 */   // Label 2481: @137676
     /*  137676 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(137742), // Rule ID 71261 //
     /*  137681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137723 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137740 */     GIR_RootConstrainSelectedInstOperands,
     /*  137741 */     // GIR_Coverage, 71261,
     /*  137741 */     GIR_EraseRootFromParent_Done,
     /*  137742 */   // Label 2482: @137742
     /*  137742 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(137808), // Rule ID 71262 //
     /*  137747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137789 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137806 */     GIR_RootConstrainSelectedInstOperands,
     /*  137807 */     // GIR_Coverage, 71262,
     /*  137807 */     GIR_EraseRootFromParent_Done,
     /*  137808 */   // Label 2483: @137808
     /*  137808 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(137874), // Rule ID 71259 //
     /*  137813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137855 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137872 */     GIR_RootConstrainSelectedInstOperands,
     /*  137873 */     // GIR_Coverage, 71259,
     /*  137873 */     GIR_EraseRootFromParent_Done,
     /*  137874 */   // Label 2484: @137874
     /*  137874 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(137940), // Rule ID 71260 //
     /*  137879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137921 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137938 */     GIR_RootConstrainSelectedInstOperands,
     /*  137939 */     // GIR_Coverage, 71260,
     /*  137939 */     GIR_EraseRootFromParent_Done,
     /*  137940 */   // Label 2485: @137940
     /*  137940 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(138009), // Rule ID 53044 //
     /*  137945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137988 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138007 */     GIR_RootConstrainSelectedInstOperands,
     /*  138008 */     // GIR_Coverage, 53044,
     /*  138008 */     GIR_EraseRootFromParent_Done,
     /*  138009 */   // Label 2486: @138009
     /*  138009 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(138078), // Rule ID 53045 //
     /*  138014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138057 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138076 */     GIR_RootConstrainSelectedInstOperands,
     /*  138077 */     // GIR_Coverage, 53045,
     /*  138077 */     GIR_EraseRootFromParent_Done,
     /*  138078 */   // Label 2487: @138078
     /*  138078 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(138147), // Rule ID 71255 //
     /*  138083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138110 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138126 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138145 */     GIR_RootConstrainSelectedInstOperands,
     /*  138146 */     // GIR_Coverage, 71255,
     /*  138146 */     GIR_EraseRootFromParent_Done,
     /*  138147 */   // Label 2488: @138147
     /*  138147 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(138216), // Rule ID 71256 //
     /*  138152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138179 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138195 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138214 */     GIR_RootConstrainSelectedInstOperands,
     /*  138215 */     // GIR_Coverage, 71256,
     /*  138215 */     GIR_EraseRootFromParent_Done,
     /*  138216 */   // Label 2489: @138216
     /*  138216 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(138285), // Rule ID 71257 //
     /*  138221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138248 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138264 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138283 */     GIR_RootConstrainSelectedInstOperands,
     /*  138284 */     // GIR_Coverage, 71257,
     /*  138284 */     GIR_EraseRootFromParent_Done,
     /*  138285 */   // Label 2490: @138285
     /*  138285 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(138354), // Rule ID 71258 //
     /*  138290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138317 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138333 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138352 */     GIR_RootConstrainSelectedInstOperands,
     /*  138353 */     // GIR_Coverage, 71258,
     /*  138353 */     GIR_EraseRootFromParent_Done,
     /*  138354 */   // Label 2491: @138354
     /*  138354 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(138423), // Rule ID 71263 //
     /*  138359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138402 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138421 */     GIR_RootConstrainSelectedInstOperands,
     /*  138422 */     // GIR_Coverage, 71263,
     /*  138422 */     GIR_EraseRootFromParent_Done,
     /*  138423 */   // Label 2492: @138423
     /*  138423 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(138492), // Rule ID 71264 //
     /*  138428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138471 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138490 */     GIR_RootConstrainSelectedInstOperands,
     /*  138491 */     // GIR_Coverage, 71264,
     /*  138491 */     GIR_EraseRootFromParent_Done,
     /*  138492 */   // Label 2493: @138492
     /*  138492 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(138558), // Rule ID 71267 //
     /*  138497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138539 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138556 */     GIR_RootConstrainSelectedInstOperands,
     /*  138557 */     // GIR_Coverage, 71267,
     /*  138557 */     GIR_EraseRootFromParent_Done,
     /*  138558 */   // Label 2494: @138558
     /*  138558 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(138624), // Rule ID 71268 //
     /*  138563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138605 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138622 */     GIR_RootConstrainSelectedInstOperands,
     /*  138623 */     // GIR_Coverage, 71268,
     /*  138623 */     GIR_EraseRootFromParent_Done,
     /*  138624 */   // Label 2495: @138624
     /*  138624 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(138690), // Rule ID 71265 //
     /*  138629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138671 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138688 */     GIR_RootConstrainSelectedInstOperands,
     /*  138689 */     // GIR_Coverage, 71265,
     /*  138689 */     GIR_EraseRootFromParent_Done,
     /*  138690 */   // Label 2496: @138690
     /*  138690 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(138756), // Rule ID 71266 //
     /*  138695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138737 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138754 */     GIR_RootConstrainSelectedInstOperands,
     /*  138755 */     // GIR_Coverage, 71266,
     /*  138755 */     GIR_EraseRootFromParent_Done,
     /*  138756 */   // Label 2497: @138756
     /*  138756 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(138799), // Rule ID 71281 //
     /*  138761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138782 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138797 */     GIR_RootConstrainSelectedInstOperands,
     /*  138798 */     // GIR_Coverage, 71281,
     /*  138798 */     GIR_EraseRootFromParent_Done,
     /*  138799 */   // Label 2498: @138799
     /*  138799 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(138842), // Rule ID 71282 //
     /*  138804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138825 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138840 */     GIR_RootConstrainSelectedInstOperands,
     /*  138841 */     // GIR_Coverage, 71282,
     /*  138841 */     GIR_EraseRootFromParent_Done,
     /*  138842 */   // Label 2499: @138842
     /*  138842 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(138885), // Rule ID 53050 //
     /*  138847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138868 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138883 */     GIR_RootConstrainSelectedInstOperands,
     /*  138884 */     // GIR_Coverage, 53050,
     /*  138884 */     GIR_EraseRootFromParent_Done,
     /*  138885 */   // Label 2500: @138885
     /*  138885 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(138928), // Rule ID 53051 //
     /*  138890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138911 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138926 */     GIR_RootConstrainSelectedInstOperands,
     /*  138927 */     // GIR_Coverage, 53051,
     /*  138927 */     GIR_EraseRootFromParent_Done,
     /*  138928 */   // Label 2501: @138928
     /*  138928 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(138961), // Rule ID 53038 //
     /*  138933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138944 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138959 */     GIR_RootConstrainSelectedInstOperands,
     /*  138960 */     // GIR_Coverage, 53038,
     /*  138960 */     GIR_EraseRootFromParent_Done,
     /*  138961 */   // Label 2502: @138961
     /*  138961 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(138994), // Rule ID 53039 //
     /*  138966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138977 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138992 */     GIR_RootConstrainSelectedInstOperands,
     /*  138993 */     // GIR_Coverage, 53039,
     /*  138993 */     GIR_EraseRootFromParent_Done,
     /*  138994 */   // Label 2503: @138994
     /*  138994 */   GIM_Reject,
     /*  138995 */ // Label 2477: @138995
     /*  138995 */ GIM_Reject,
     /*  138996 */ // Label 2428: @138996
     /*  138996 */ GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(139110),
     /*  139001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  139004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  139007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139019 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(139064), // Rule ID 47790 //
     /*  139024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139027 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139062 */     GIR_RootConstrainSelectedInstOperands,
     /*  139063 */     // GIR_Coverage, 47790,
     /*  139063 */     GIR_EraseRootFromParent_Done,
     /*  139064 */   // Label 2505: @139064
     /*  139064 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(139109), // Rule ID 47791 //
     /*  139069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139072 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139107 */     GIR_RootConstrainSelectedInstOperands,
     /*  139108 */     // GIR_Coverage, 47791,
     /*  139108 */     GIR_EraseRootFromParent_Done,
     /*  139109 */   // Label 2506: @139109
     /*  139109 */   GIM_Reject,
     /*  139110 */ // Label 2504: @139110
     /*  139110 */ GIM_Reject,
     /*  139111 */ // Label 2429: @139111
     /*  139111 */ GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(139225),
     /*  139116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  139119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  139122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139134 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(139179), // Rule ID 47802 //
     /*  139139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139142 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139177 */     GIR_RootConstrainSelectedInstOperands,
     /*  139178 */     // GIR_Coverage, 47802,
     /*  139178 */     GIR_EraseRootFromParent_Done,
     /*  139179 */   // Label 2508: @139179
     /*  139179 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(139224), // Rule ID 47803 //
     /*  139184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139187 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139222 */     GIR_RootConstrainSelectedInstOperands,
     /*  139223 */     // GIR_Coverage, 47803,
     /*  139223 */     GIR_EraseRootFromParent_Done,
     /*  139224 */   // Label 2509: @139224
     /*  139224 */   GIM_Reject,
     /*  139225 */ // Label 2507: @139225
     /*  139225 */ GIM_Reject,
     /*  139226 */ // Label 2430: @139226
     /*  139226 */ GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(139340),
     /*  139231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  139234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139249 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(139294), // Rule ID 47810 //
     /*  139254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139257 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  139257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139292 */     GIR_RootConstrainSelectedInstOperands,
     /*  139293 */     // GIR_Coverage, 47810,
     /*  139293 */     GIR_EraseRootFromParent_Done,
     /*  139294 */   // Label 2511: @139294
     /*  139294 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(139339), // Rule ID 47811 //
     /*  139299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139302 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  139302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139337 */     GIR_RootConstrainSelectedInstOperands,
     /*  139338 */     // GIR_Coverage, 47811,
     /*  139338 */     GIR_EraseRootFromParent_Done,
     /*  139339 */   // Label 2512: @139339
     /*  139339 */   GIM_Reject,
     /*  139340 */ // Label 2510: @139340
     /*  139340 */ GIM_Reject,
     /*  139341 */ // Label 2431: @139341
     /*  139341 */ GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(139455),
     /*  139346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  139349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139364 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(139409), // Rule ID 47826 //
     /*  139369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  139372 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  139372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139407 */     GIR_RootConstrainSelectedInstOperands,
     /*  139408 */     // GIR_Coverage, 47826,
     /*  139408 */     GIR_EraseRootFromParent_Done,
     /*  139409 */   // Label 2514: @139409
     /*  139409 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(139454), // Rule ID 47827 //
     /*  139414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  139417 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  139417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139452 */     GIR_RootConstrainSelectedInstOperands,
     /*  139453 */     // GIR_Coverage, 47827,
     /*  139453 */     GIR_EraseRootFromParent_Done,
     /*  139454 */   // Label 2515: @139454
     /*  139454 */   GIM_Reject,
     /*  139455 */ // Label 2513: @139455
     /*  139455 */ GIM_Reject,
     /*  139456 */ // Label 2432: @139456
     /*  139456 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(141066),
     /*  139461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139471 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(139540), // Rule ID 53058 //
     /*  139476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139519 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139538 */     GIR_RootConstrainSelectedInstOperands,
     /*  139539 */     // GIR_Coverage, 53058,
     /*  139539 */     GIR_EraseRootFromParent_Done,
     /*  139540 */   // Label 2517: @139540
     /*  139540 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(139609), // Rule ID 53059 //
     /*  139545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139588 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139607 */     GIR_RootConstrainSelectedInstOperands,
     /*  139608 */     // GIR_Coverage, 53059,
     /*  139608 */     GIR_EraseRootFromParent_Done,
     /*  139609 */   // Label 2518: @139609
     /*  139609 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(139678), // Rule ID 53060 //
     /*  139614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139657 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139676 */     GIR_RootConstrainSelectedInstOperands,
     /*  139677 */     // GIR_Coverage, 53060,
     /*  139677 */     GIR_EraseRootFromParent_Done,
     /*  139678 */   // Label 2519: @139678
     /*  139678 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(139747), // Rule ID 53061 //
     /*  139683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139726 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139745 */     GIR_RootConstrainSelectedInstOperands,
     /*  139746 */     // GIR_Coverage, 53061,
     /*  139746 */     GIR_EraseRootFromParent_Done,
     /*  139747 */   // Label 2520: @139747
     /*  139747 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(139813), // Rule ID 71289 //
     /*  139752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139794 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139811 */     GIR_RootConstrainSelectedInstOperands,
     /*  139812 */     // GIR_Coverage, 71289,
     /*  139812 */     GIR_EraseRootFromParent_Done,
     /*  139813 */   // Label 2521: @139813
     /*  139813 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(139879), // Rule ID 71290 //
     /*  139818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139860 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139877 */     GIR_RootConstrainSelectedInstOperands,
     /*  139878 */     // GIR_Coverage, 71290,
     /*  139878 */     GIR_EraseRootFromParent_Done,
     /*  139879 */   // Label 2522: @139879
     /*  139879 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(139945), // Rule ID 71287 //
     /*  139884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139926 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139943 */     GIR_RootConstrainSelectedInstOperands,
     /*  139944 */     // GIR_Coverage, 71287,
     /*  139944 */     GIR_EraseRootFromParent_Done,
     /*  139945 */   // Label 2523: @139945
     /*  139945 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(140011), // Rule ID 71288 //
     /*  139950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139992 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140009 */     GIR_RootConstrainSelectedInstOperands,
     /*  140010 */     // GIR_Coverage, 71288,
     /*  140010 */     GIR_EraseRootFromParent_Done,
     /*  140011 */   // Label 2524: @140011
     /*  140011 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(140080), // Rule ID 53062 //
     /*  140016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140031 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140059 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140078 */     GIR_RootConstrainSelectedInstOperands,
     /*  140079 */     // GIR_Coverage, 53062,
     /*  140079 */     GIR_EraseRootFromParent_Done,
     /*  140080 */   // Label 2525: @140080
     /*  140080 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(140149), // Rule ID 53063 //
     /*  140085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140128 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140147 */     GIR_RootConstrainSelectedInstOperands,
     /*  140148 */     // GIR_Coverage, 53063,
     /*  140148 */     GIR_EraseRootFromParent_Done,
     /*  140149 */   // Label 2526: @140149
     /*  140149 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(140218), // Rule ID 71283 //
     /*  140154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140181 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140185 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140197 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140216 */     GIR_RootConstrainSelectedInstOperands,
     /*  140217 */     // GIR_Coverage, 71283,
     /*  140217 */     GIR_EraseRootFromParent_Done,
     /*  140218 */   // Label 2527: @140218
     /*  140218 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(140287), // Rule ID 71284 //
     /*  140223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140266 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140285 */     GIR_RootConstrainSelectedInstOperands,
     /*  140286 */     // GIR_Coverage, 71284,
     /*  140286 */     GIR_EraseRootFromParent_Done,
     /*  140287 */   // Label 2528: @140287
     /*  140287 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(140356), // Rule ID 71285 //
     /*  140292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140319 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140335 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140354 */     GIR_RootConstrainSelectedInstOperands,
     /*  140355 */     // GIR_Coverage, 71285,
     /*  140355 */     GIR_EraseRootFromParent_Done,
     /*  140356 */   // Label 2529: @140356
     /*  140356 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(140425), // Rule ID 71286 //
     /*  140361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140388 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140404 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140423 */     GIR_RootConstrainSelectedInstOperands,
     /*  140424 */     // GIR_Coverage, 71286,
     /*  140424 */     GIR_EraseRootFromParent_Done,
     /*  140425 */   // Label 2530: @140425
     /*  140425 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(140494), // Rule ID 71291 //
     /*  140430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140457 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140473 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140492 */     GIR_RootConstrainSelectedInstOperands,
     /*  140493 */     // GIR_Coverage, 71291,
     /*  140493 */     GIR_EraseRootFromParent_Done,
     /*  140494 */   // Label 2531: @140494
     /*  140494 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(140563), // Rule ID 71292 //
     /*  140499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140526 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140542 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140561 */     GIR_RootConstrainSelectedInstOperands,
     /*  140562 */     // GIR_Coverage, 71292,
     /*  140562 */     GIR_EraseRootFromParent_Done,
     /*  140563 */   // Label 2532: @140563
     /*  140563 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(140629), // Rule ID 71295 //
     /*  140568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140587 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140610 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140627 */     GIR_RootConstrainSelectedInstOperands,
     /*  140628 */     // GIR_Coverage, 71295,
     /*  140628 */     GIR_EraseRootFromParent_Done,
     /*  140629 */   // Label 2533: @140629
     /*  140629 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(140695), // Rule ID 71296 //
     /*  140634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140676 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140693 */     GIR_RootConstrainSelectedInstOperands,
     /*  140694 */     // GIR_Coverage, 71296,
     /*  140694 */     GIR_EraseRootFromParent_Done,
     /*  140695 */   // Label 2534: @140695
     /*  140695 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(140761), // Rule ID 71293 //
     /*  140700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140742 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140759 */     GIR_RootConstrainSelectedInstOperands,
     /*  140760 */     // GIR_Coverage, 71293,
     /*  140760 */     GIR_EraseRootFromParent_Done,
     /*  140761 */   // Label 2535: @140761
     /*  140761 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(140827), // Rule ID 71294 //
     /*  140766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140808 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140825 */     GIR_RootConstrainSelectedInstOperands,
     /*  140826 */     // GIR_Coverage, 71294,
     /*  140826 */     GIR_EraseRootFromParent_Done,
     /*  140827 */   // Label 2536: @140827
     /*  140827 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(140870), // Rule ID 71309 //
     /*  140832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140853 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140868 */     GIR_RootConstrainSelectedInstOperands,
     /*  140869 */     // GIR_Coverage, 71309,
     /*  140869 */     GIR_EraseRootFromParent_Done,
     /*  140870 */   // Label 2537: @140870
     /*  140870 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(140913), // Rule ID 71310 //
     /*  140875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140896 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140911 */     GIR_RootConstrainSelectedInstOperands,
     /*  140912 */     // GIR_Coverage, 71310,
     /*  140912 */     GIR_EraseRootFromParent_Done,
     /*  140913 */   // Label 2538: @140913
     /*  140913 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(140956), // Rule ID 53068 //
     /*  140918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140939 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140954 */     GIR_RootConstrainSelectedInstOperands,
     /*  140955 */     // GIR_Coverage, 53068,
     /*  140955 */     GIR_EraseRootFromParent_Done,
     /*  140956 */   // Label 2539: @140956
     /*  140956 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(140999), // Rule ID 53069 //
     /*  140961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140982 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140997 */     GIR_RootConstrainSelectedInstOperands,
     /*  140998 */     // GIR_Coverage, 53069,
     /*  140998 */     GIR_EraseRootFromParent_Done,
     /*  140999 */   // Label 2540: @140999
     /*  140999 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141032), // Rule ID 53056 //
     /*  141004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141015 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141030 */     GIR_RootConstrainSelectedInstOperands,
     /*  141031 */     // GIR_Coverage, 53056,
     /*  141031 */     GIR_EraseRootFromParent_Done,
     /*  141032 */   // Label 2541: @141032
     /*  141032 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141065), // Rule ID 53057 //
     /*  141037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141048 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141063 */     GIR_RootConstrainSelectedInstOperands,
     /*  141064 */     // GIR_Coverage, 53057,
     /*  141064 */     GIR_EraseRootFromParent_Done,
     /*  141065 */   // Label 2542: @141065
     /*  141065 */   GIM_Reject,
     /*  141066 */ // Label 2516: @141066
     /*  141066 */ GIM_Reject,
     /*  141067 */ // Label 2433: @141067
     /*  141067 */ GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141181),
     /*  141072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  141075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141090 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141135), // Rule ID 47794 //
     /*  141095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141098 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  141098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141133 */     GIR_RootConstrainSelectedInstOperands,
     /*  141134 */     // GIR_Coverage, 47794,
     /*  141134 */     GIR_EraseRootFromParent_Done,
     /*  141135 */   // Label 2544: @141135
     /*  141135 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(141180), // Rule ID 47795 //
     /*  141140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141143 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  141143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141178 */     GIR_RootConstrainSelectedInstOperands,
     /*  141179 */     // GIR_Coverage, 47795,
     /*  141179 */     GIR_EraseRootFromParent_Done,
     /*  141180 */   // Label 2545: @141180
     /*  141180 */   GIM_Reject,
     /*  141181 */ // Label 2543: @141181
     /*  141181 */ GIM_Reject,
     /*  141182 */ // Label 2434: @141182
     /*  141182 */ GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(141296),
     /*  141187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  141190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  141193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141205 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(141250), // Rule ID 47806 //
     /*  141210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141213 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  141213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141248 */     GIR_RootConstrainSelectedInstOperands,
     /*  141249 */     // GIR_Coverage, 47806,
     /*  141249 */     GIR_EraseRootFromParent_Done,
     /*  141250 */   // Label 2547: @141250
     /*  141250 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(141295), // Rule ID 47807 //
     /*  141255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141258 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  141258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141293 */     GIR_RootConstrainSelectedInstOperands,
     /*  141294 */     // GIR_Coverage, 47807,
     /*  141294 */     GIR_EraseRootFromParent_Done,
     /*  141295 */   // Label 2548: @141295
     /*  141295 */   GIM_Reject,
     /*  141296 */ // Label 2546: @141296
     /*  141296 */ GIM_Reject,
     /*  141297 */ // Label 2435: @141297
     /*  141297 */ GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(141411),
     /*  141302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  141305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  141308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141320 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(141365), // Rule ID 47822 //
     /*  141325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141328 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  141328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141363 */     GIR_RootConstrainSelectedInstOperands,
     /*  141364 */     // GIR_Coverage, 47822,
     /*  141364 */     GIR_EraseRootFromParent_Done,
     /*  141365 */   // Label 2550: @141365
     /*  141365 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(141410), // Rule ID 47823 //
     /*  141370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141373 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  141373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141408 */     GIR_RootConstrainSelectedInstOperands,
     /*  141409 */     // GIR_Coverage, 47823,
     /*  141409 */     GIR_EraseRootFromParent_Done,
     /*  141410 */   // Label 2551: @141410
     /*  141410 */   GIM_Reject,
     /*  141411 */ // Label 2549: @141411
     /*  141411 */ GIM_Reject,
     /*  141412 */ // Label 2436: @141412
     /*  141412 */ GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(141526),
     /*  141417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  141420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141435 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(141480), // Rule ID 47866 //
     /*  141440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141443 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  141443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141478 */     GIR_RootConstrainSelectedInstOperands,
     /*  141479 */     // GIR_Coverage, 47866,
     /*  141479 */     GIR_EraseRootFromParent_Done,
     /*  141480 */   // Label 2553: @141480
     /*  141480 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(141525), // Rule ID 47867 //
     /*  141485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141488 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  141488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141523 */     GIR_RootConstrainSelectedInstOperands,
     /*  141524 */     // GIR_Coverage, 47867,
     /*  141524 */     GIR_EraseRootFromParent_Done,
     /*  141525 */   // Label 2554: @141525
     /*  141525 */   GIM_Reject,
     /*  141526 */ // Label 2552: @141526
     /*  141526 */ GIM_Reject,
     /*  141527 */ // Label 2437: @141527
     /*  141527 */ GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(143137),
     /*  141532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141542 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(141611), // Rule ID 53076 //
     /*  141547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141590 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141609 */     GIR_RootConstrainSelectedInstOperands,
     /*  141610 */     // GIR_Coverage, 53076,
     /*  141610 */     GIR_EraseRootFromParent_Done,
     /*  141611 */   // Label 2556: @141611
     /*  141611 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(141680), // Rule ID 53077 //
     /*  141616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141659 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141678 */     GIR_RootConstrainSelectedInstOperands,
     /*  141679 */     // GIR_Coverage, 53077,
     /*  141679 */     GIR_EraseRootFromParent_Done,
     /*  141680 */   // Label 2557: @141680
     /*  141680 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(141749), // Rule ID 53078 //
     /*  141685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141728 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141747 */     GIR_RootConstrainSelectedInstOperands,
     /*  141748 */     // GIR_Coverage, 53078,
     /*  141748 */     GIR_EraseRootFromParent_Done,
     /*  141749 */   // Label 2558: @141749
     /*  141749 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(141818), // Rule ID 53079 //
     /*  141754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141797 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141816 */     GIR_RootConstrainSelectedInstOperands,
     /*  141817 */     // GIR_Coverage, 53079,
     /*  141817 */     GIR_EraseRootFromParent_Done,
     /*  141818 */   // Label 2559: @141818
     /*  141818 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(141884), // Rule ID 71317 //
     /*  141823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141865 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141882 */     GIR_RootConstrainSelectedInstOperands,
     /*  141883 */     // GIR_Coverage, 71317,
     /*  141883 */     GIR_EraseRootFromParent_Done,
     /*  141884 */   // Label 2560: @141884
     /*  141884 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(141950), // Rule ID 71318 //
     /*  141889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141931 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141948 */     GIR_RootConstrainSelectedInstOperands,
     /*  141949 */     // GIR_Coverage, 71318,
     /*  141949 */     GIR_EraseRootFromParent_Done,
     /*  141950 */   // Label 2561: @141950
     /*  141950 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142016), // Rule ID 71315 //
     /*  141955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141997 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142014 */     GIR_RootConstrainSelectedInstOperands,
     /*  142015 */     // GIR_Coverage, 71315,
     /*  142015 */     GIR_EraseRootFromParent_Done,
     /*  142016 */   // Label 2562: @142016
     /*  142016 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(142082), // Rule ID 71316 //
     /*  142021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142063 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142080 */     GIR_RootConstrainSelectedInstOperands,
     /*  142081 */     // GIR_Coverage, 71316,
     /*  142081 */     GIR_EraseRootFromParent_Done,
     /*  142082 */   // Label 2563: @142082
     /*  142082 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(142151), // Rule ID 53080 //
     /*  142087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142130 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142149 */     GIR_RootConstrainSelectedInstOperands,
     /*  142150 */     // GIR_Coverage, 53080,
     /*  142150 */     GIR_EraseRootFromParent_Done,
     /*  142151 */   // Label 2564: @142151
     /*  142151 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(142220), // Rule ID 53081 //
     /*  142156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142199 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142218 */     GIR_RootConstrainSelectedInstOperands,
     /*  142219 */     // GIR_Coverage, 53081,
     /*  142219 */     GIR_EraseRootFromParent_Done,
     /*  142220 */   // Label 2565: @142220
     /*  142220 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(142289), // Rule ID 71311 //
     /*  142225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142268 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142287 */     GIR_RootConstrainSelectedInstOperands,
     /*  142288 */     // GIR_Coverage, 71311,
     /*  142288 */     GIR_EraseRootFromParent_Done,
     /*  142289 */   // Label 2566: @142289
     /*  142289 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(142358), // Rule ID 71312 //
     /*  142294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142337 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142356 */     GIR_RootConstrainSelectedInstOperands,
     /*  142357 */     // GIR_Coverage, 71312,
     /*  142357 */     GIR_EraseRootFromParent_Done,
     /*  142358 */   // Label 2567: @142358
     /*  142358 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(142427), // Rule ID 71313 //
     /*  142363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142406 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142425 */     GIR_RootConstrainSelectedInstOperands,
     /*  142426 */     // GIR_Coverage, 71313,
     /*  142426 */     GIR_EraseRootFromParent_Done,
     /*  142427 */   // Label 2568: @142427
     /*  142427 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(142496), // Rule ID 71314 //
     /*  142432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142475 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142494 */     GIR_RootConstrainSelectedInstOperands,
     /*  142495 */     // GIR_Coverage, 71314,
     /*  142495 */     GIR_EraseRootFromParent_Done,
     /*  142496 */   // Label 2569: @142496
     /*  142496 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(142565), // Rule ID 71319 //
     /*  142501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142544 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142563 */     GIR_RootConstrainSelectedInstOperands,
     /*  142564 */     // GIR_Coverage, 71319,
     /*  142564 */     GIR_EraseRootFromParent_Done,
     /*  142565 */   // Label 2570: @142565
     /*  142565 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(142634), // Rule ID 71320 //
     /*  142570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142597 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142613 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142632 */     GIR_RootConstrainSelectedInstOperands,
     /*  142633 */     // GIR_Coverage, 71320,
     /*  142633 */     GIR_EraseRootFromParent_Done,
     /*  142634 */   // Label 2571: @142634
     /*  142634 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(142700), // Rule ID 71323 //
     /*  142639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142681 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142698 */     GIR_RootConstrainSelectedInstOperands,
     /*  142699 */     // GIR_Coverage, 71323,
     /*  142699 */     GIR_EraseRootFromParent_Done,
     /*  142700 */   // Label 2572: @142700
     /*  142700 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(142766), // Rule ID 71324 //
     /*  142705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142747 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142764 */     GIR_RootConstrainSelectedInstOperands,
     /*  142765 */     // GIR_Coverage, 71324,
     /*  142765 */     GIR_EraseRootFromParent_Done,
     /*  142766 */   // Label 2573: @142766
     /*  142766 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(142832), // Rule ID 71321 //
     /*  142771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142813 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142830 */     GIR_RootConstrainSelectedInstOperands,
     /*  142831 */     // GIR_Coverage, 71321,
     /*  142831 */     GIR_EraseRootFromParent_Done,
     /*  142832 */   // Label 2574: @142832
     /*  142832 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(142898), // Rule ID 71322 //
     /*  142837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142879 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142896 */     GIR_RootConstrainSelectedInstOperands,
     /*  142897 */     // GIR_Coverage, 71322,
     /*  142897 */     GIR_EraseRootFromParent_Done,
     /*  142898 */   // Label 2575: @142898
     /*  142898 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(142941), // Rule ID 71337 //
     /*  142903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142924 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142939 */     GIR_RootConstrainSelectedInstOperands,
     /*  142940 */     // GIR_Coverage, 71337,
     /*  142940 */     GIR_EraseRootFromParent_Done,
     /*  142941 */   // Label 2576: @142941
     /*  142941 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(142984), // Rule ID 71338 //
     /*  142946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142967 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142982 */     GIR_RootConstrainSelectedInstOperands,
     /*  142983 */     // GIR_Coverage, 71338,
     /*  142983 */     GIR_EraseRootFromParent_Done,
     /*  142984 */   // Label 2577: @142984
     /*  142984 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143027), // Rule ID 53086 //
     /*  142989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143010 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143025 */     GIR_RootConstrainSelectedInstOperands,
     /*  143026 */     // GIR_Coverage, 53086,
     /*  143026 */     GIR_EraseRootFromParent_Done,
     /*  143027 */   // Label 2578: @143027
     /*  143027 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143070), // Rule ID 53087 //
     /*  143032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143053 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143068 */     GIR_RootConstrainSelectedInstOperands,
     /*  143069 */     // GIR_Coverage, 53087,
     /*  143069 */     GIR_EraseRootFromParent_Done,
     /*  143070 */   // Label 2579: @143070
     /*  143070 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143103), // Rule ID 53074 //
     /*  143075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143086 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143101 */     GIR_RootConstrainSelectedInstOperands,
     /*  143102 */     // GIR_Coverage, 53074,
     /*  143102 */     GIR_EraseRootFromParent_Done,
     /*  143103 */   // Label 2580: @143103
     /*  143103 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143136), // Rule ID 53075 //
     /*  143108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143119 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143134 */     GIR_RootConstrainSelectedInstOperands,
     /*  143135 */     // GIR_Coverage, 53075,
     /*  143135 */     GIR_EraseRootFromParent_Done,
     /*  143136 */   // Label 2581: @143136
     /*  143136 */   GIM_Reject,
     /*  143137 */ // Label 2555: @143137
     /*  143137 */ GIM_Reject,
     /*  143138 */ // Label 2438: @143138
     /*  143138 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(143252),
     /*  143143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  143146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  143149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143161 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(143206), // Rule ID 47798 //
     /*  143166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143169 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143204 */     GIR_RootConstrainSelectedInstOperands,
     /*  143205 */     // GIR_Coverage, 47798,
     /*  143205 */     GIR_EraseRootFromParent_Done,
     /*  143206 */   // Label 2583: @143206
     /*  143206 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(143251), // Rule ID 47799 //
     /*  143211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143214 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143249 */     GIR_RootConstrainSelectedInstOperands,
     /*  143250 */     // GIR_Coverage, 47799,
     /*  143250 */     GIR_EraseRootFromParent_Done,
     /*  143251 */   // Label 2584: @143251
     /*  143251 */   GIM_Reject,
     /*  143252 */ // Label 2582: @143252
     /*  143252 */ GIM_Reject,
     /*  143253 */ // Label 2439: @143253
     /*  143253 */ GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(143367),
     /*  143258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  143261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  143264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143276 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(143321), // Rule ID 47818 //
     /*  143281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143284 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143319 */     GIR_RootConstrainSelectedInstOperands,
     /*  143320 */     // GIR_Coverage, 47818,
     /*  143320 */     GIR_EraseRootFromParent_Done,
     /*  143321 */   // Label 2586: @143321
     /*  143321 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(143366), // Rule ID 47819 //
     /*  143326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143329 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143364 */     GIR_RootConstrainSelectedInstOperands,
     /*  143365 */     // GIR_Coverage, 47819,
     /*  143365 */     GIR_EraseRootFromParent_Done,
     /*  143366 */   // Label 2587: @143366
     /*  143366 */   GIM_Reject,
     /*  143367 */ // Label 2585: @143367
     /*  143367 */ GIM_Reject,
     /*  143368 */ // Label 2440: @143368
     /*  143368 */ GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(143482),
     /*  143373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  143376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  143379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143391 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(143436), // Rule ID 47854 //
     /*  143396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143399 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143434 */     GIR_RootConstrainSelectedInstOperands,
     /*  143435 */     // GIR_Coverage, 47854,
     /*  143435 */     GIR_EraseRootFromParent_Done,
     /*  143436 */   // Label 2589: @143436
     /*  143436 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(143481), // Rule ID 47855 //
     /*  143441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143444 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143479 */     GIR_RootConstrainSelectedInstOperands,
     /*  143480 */     // GIR_Coverage, 47855,
     /*  143480 */     GIR_EraseRootFromParent_Done,
     /*  143481 */   // Label 2590: @143481
     /*  143481 */   GIM_Reject,
     /*  143482 */ // Label 2588: @143482
     /*  143482 */ GIM_Reject,
     /*  143483 */ // Label 2441: @143483
     /*  143483 */ GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(143597),
     /*  143488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  143491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  143494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143506 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(143551), // Rule ID 47870 //
     /*  143511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143514 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143549 */     GIR_RootConstrainSelectedInstOperands,
     /*  143550 */     // GIR_Coverage, 47870,
     /*  143550 */     GIR_EraseRootFromParent_Done,
     /*  143551 */   // Label 2592: @143551
     /*  143551 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(143596), // Rule ID 47871 //
     /*  143556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143559 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143594 */     GIR_RootConstrainSelectedInstOperands,
     /*  143595 */     // GIR_Coverage, 47871,
     /*  143595 */     GIR_EraseRootFromParent_Done,
     /*  143596 */   // Label 2593: @143596
     /*  143596 */   GIM_Reject,
     /*  143597 */ // Label 2591: @143597
     /*  143597 */ GIM_Reject,
     /*  143598 */ // Label 2442: @143598
     /*  143598 */ GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(145208),
     /*  143603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143613 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(143682), // Rule ID 53094 //
     /*  143618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143661 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143680 */     GIR_RootConstrainSelectedInstOperands,
     /*  143681 */     // GIR_Coverage, 53094,
     /*  143681 */     GIR_EraseRootFromParent_Done,
     /*  143682 */   // Label 2595: @143682
     /*  143682 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(143751), // Rule ID 53095 //
     /*  143687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143702 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143730 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143749 */     GIR_RootConstrainSelectedInstOperands,
     /*  143750 */     // GIR_Coverage, 53095,
     /*  143750 */     GIR_EraseRootFromParent_Done,
     /*  143751 */   // Label 2596: @143751
     /*  143751 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(143820), // Rule ID 53096 //
     /*  143756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143799 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143818 */     GIR_RootConstrainSelectedInstOperands,
     /*  143819 */     // GIR_Coverage, 53096,
     /*  143819 */     GIR_EraseRootFromParent_Done,
     /*  143820 */   // Label 2597: @143820
     /*  143820 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(143889), // Rule ID 53097 //
     /*  143825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143868 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143887 */     GIR_RootConstrainSelectedInstOperands,
     /*  143888 */     // GIR_Coverage, 53097,
     /*  143888 */     GIR_EraseRootFromParent_Done,
     /*  143889 */   // Label 2598: @143889
     /*  143889 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(143955), // Rule ID 71345 //
     /*  143894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143936 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143953 */     GIR_RootConstrainSelectedInstOperands,
     /*  143954 */     // GIR_Coverage, 71345,
     /*  143954 */     GIR_EraseRootFromParent_Done,
     /*  143955 */   // Label 2599: @143955
     /*  143955 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(144021), // Rule ID 71346 //
     /*  143960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144002 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144019 */     GIR_RootConstrainSelectedInstOperands,
     /*  144020 */     // GIR_Coverage, 71346,
     /*  144020 */     GIR_EraseRootFromParent_Done,
     /*  144021 */   // Label 2600: @144021
     /*  144021 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(144087), // Rule ID 71343 //
     /*  144026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144068 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144085 */     GIR_RootConstrainSelectedInstOperands,
     /*  144086 */     // GIR_Coverage, 71343,
     /*  144086 */     GIR_EraseRootFromParent_Done,
     /*  144087 */   // Label 2601: @144087
     /*  144087 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(144153), // Rule ID 71344 //
     /*  144092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144134 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144151 */     GIR_RootConstrainSelectedInstOperands,
     /*  144152 */     // GIR_Coverage, 71344,
     /*  144152 */     GIR_EraseRootFromParent_Done,
     /*  144153 */   // Label 2602: @144153
     /*  144153 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(144222), // Rule ID 53098 //
     /*  144158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144201 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144220 */     GIR_RootConstrainSelectedInstOperands,
     /*  144221 */     // GIR_Coverage, 53098,
     /*  144221 */     GIR_EraseRootFromParent_Done,
     /*  144222 */   // Label 2603: @144222
     /*  144222 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(144291), // Rule ID 53099 //
     /*  144227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144270 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144289 */     GIR_RootConstrainSelectedInstOperands,
     /*  144290 */     // GIR_Coverage, 53099,
     /*  144290 */     GIR_EraseRootFromParent_Done,
     /*  144291 */   // Label 2604: @144291
     /*  144291 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(144360), // Rule ID 71339 //
     /*  144296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144323 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144332 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144339 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144358 */     GIR_RootConstrainSelectedInstOperands,
     /*  144359 */     // GIR_Coverage, 71339,
     /*  144359 */     GIR_EraseRootFromParent_Done,
     /*  144360 */   // Label 2605: @144360
     /*  144360 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(144429), // Rule ID 71340 //
     /*  144365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144392 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144408 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144427 */     GIR_RootConstrainSelectedInstOperands,
     /*  144428 */     // GIR_Coverage, 71340,
     /*  144428 */     GIR_EraseRootFromParent_Done,
     /*  144429 */   // Label 2606: @144429
     /*  144429 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(144498), // Rule ID 71341 //
     /*  144434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144461 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144477 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144496 */     GIR_RootConstrainSelectedInstOperands,
     /*  144497 */     // GIR_Coverage, 71341,
     /*  144497 */     GIR_EraseRootFromParent_Done,
     /*  144498 */   // Label 2607: @144498
     /*  144498 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(144567), // Rule ID 71342 //
     /*  144503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144530 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144546 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144565 */     GIR_RootConstrainSelectedInstOperands,
     /*  144566 */     // GIR_Coverage, 71342,
     /*  144566 */     GIR_EraseRootFromParent_Done,
     /*  144567 */   // Label 2608: @144567
     /*  144567 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(144636), // Rule ID 71347 //
     /*  144572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144599 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144615 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144634 */     GIR_RootConstrainSelectedInstOperands,
     /*  144635 */     // GIR_Coverage, 71347,
     /*  144635 */     GIR_EraseRootFromParent_Done,
     /*  144636 */   // Label 2609: @144636
     /*  144636 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(144705), // Rule ID 71348 //
     /*  144641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144684 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144703 */     GIR_RootConstrainSelectedInstOperands,
     /*  144704 */     // GIR_Coverage, 71348,
     /*  144704 */     GIR_EraseRootFromParent_Done,
     /*  144705 */   // Label 2610: @144705
     /*  144705 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(144771), // Rule ID 71351 //
     /*  144710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144752 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144769 */     GIR_RootConstrainSelectedInstOperands,
     /*  144770 */     // GIR_Coverage, 71351,
     /*  144770 */     GIR_EraseRootFromParent_Done,
     /*  144771 */   // Label 2611: @144771
     /*  144771 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(144837), // Rule ID 71352 //
     /*  144776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144818 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144835 */     GIR_RootConstrainSelectedInstOperands,
     /*  144836 */     // GIR_Coverage, 71352,
     /*  144836 */     GIR_EraseRootFromParent_Done,
     /*  144837 */   // Label 2612: @144837
     /*  144837 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(144903), // Rule ID 71349 //
     /*  144842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144884 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144901 */     GIR_RootConstrainSelectedInstOperands,
     /*  144902 */     // GIR_Coverage, 71349,
     /*  144902 */     GIR_EraseRootFromParent_Done,
     /*  144903 */   // Label 2613: @144903
     /*  144903 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(144969), // Rule ID 71350 //
     /*  144908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144950 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144967 */     GIR_RootConstrainSelectedInstOperands,
     /*  144968 */     // GIR_Coverage, 71350,
     /*  144968 */     GIR_EraseRootFromParent_Done,
     /*  144969 */   // Label 2614: @144969
     /*  144969 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145012), // Rule ID 71365 //
     /*  144974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144995 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145010 */     GIR_RootConstrainSelectedInstOperands,
     /*  145011 */     // GIR_Coverage, 71365,
     /*  145011 */     GIR_EraseRootFromParent_Done,
     /*  145012 */   // Label 2615: @145012
     /*  145012 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145055), // Rule ID 71366 //
     /*  145017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145038 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145053 */     GIR_RootConstrainSelectedInstOperands,
     /*  145054 */     // GIR_Coverage, 71366,
     /*  145054 */     GIR_EraseRootFromParent_Done,
     /*  145055 */   // Label 2616: @145055
     /*  145055 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145098), // Rule ID 53104 //
     /*  145060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145081 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145096 */     GIR_RootConstrainSelectedInstOperands,
     /*  145097 */     // GIR_Coverage, 53104,
     /*  145097 */     GIR_EraseRootFromParent_Done,
     /*  145098 */   // Label 2617: @145098
     /*  145098 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145141), // Rule ID 53105 //
     /*  145103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145124 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145139 */     GIR_RootConstrainSelectedInstOperands,
     /*  145140 */     // GIR_Coverage, 53105,
     /*  145140 */     GIR_EraseRootFromParent_Done,
     /*  145141 */   // Label 2618: @145141
     /*  145141 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(145174), // Rule ID 53092 //
     /*  145146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145157 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145172 */     GIR_RootConstrainSelectedInstOperands,
     /*  145173 */     // GIR_Coverage, 53092,
     /*  145173 */     GIR_EraseRootFromParent_Done,
     /*  145174 */   // Label 2619: @145174
     /*  145174 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(145207), // Rule ID 53093 //
     /*  145179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145190 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145205 */     GIR_RootConstrainSelectedInstOperands,
     /*  145206 */     // GIR_Coverage, 53093,
     /*  145206 */     GIR_EraseRootFromParent_Done,
     /*  145207 */   // Label 2620: @145207
     /*  145207 */   GIM_Reject,
     /*  145208 */ // Label 2594: @145208
     /*  145208 */ GIM_Reject,
     /*  145209 */ // Label 2443: @145209
     /*  145209 */ GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(145323),
     /*  145214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  145217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  145220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145232 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(145277), // Rule ID 47814 //
     /*  145237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145240 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145275 */     GIR_RootConstrainSelectedInstOperands,
     /*  145276 */     // GIR_Coverage, 47814,
     /*  145276 */     GIR_EraseRootFromParent_Done,
     /*  145277 */   // Label 2622: @145277
     /*  145277 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(145322), // Rule ID 47815 //
     /*  145282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145285 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145320 */     GIR_RootConstrainSelectedInstOperands,
     /*  145321 */     // GIR_Coverage, 47815,
     /*  145321 */     GIR_EraseRootFromParent_Done,
     /*  145322 */   // Label 2623: @145322
     /*  145322 */   GIM_Reject,
     /*  145323 */ // Label 2621: @145323
     /*  145323 */ GIM_Reject,
     /*  145324 */ // Label 2444: @145324
     /*  145324 */ GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(145438),
     /*  145329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  145332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  145335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145347 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(145392), // Rule ID 47842 //
     /*  145352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145355 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145390 */     GIR_RootConstrainSelectedInstOperands,
     /*  145391 */     // GIR_Coverage, 47842,
     /*  145391 */     GIR_EraseRootFromParent_Done,
     /*  145392 */   // Label 2625: @145392
     /*  145392 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(145437), // Rule ID 47843 //
     /*  145397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145400 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145435 */     GIR_RootConstrainSelectedInstOperands,
     /*  145436 */     // GIR_Coverage, 47843,
     /*  145436 */     GIR_EraseRootFromParent_Done,
     /*  145437 */   // Label 2626: @145437
     /*  145437 */   GIM_Reject,
     /*  145438 */ // Label 2624: @145438
     /*  145438 */ GIM_Reject,
     /*  145439 */ // Label 2445: @145439
     /*  145439 */ GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(145553),
     /*  145444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  145447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  145450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145462 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(145507), // Rule ID 47858 //
     /*  145467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145470 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145505 */     GIR_RootConstrainSelectedInstOperands,
     /*  145506 */     // GIR_Coverage, 47858,
     /*  145506 */     GIR_EraseRootFromParent_Done,
     /*  145507 */   // Label 2628: @145507
     /*  145507 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(145552), // Rule ID 47859 //
     /*  145512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145515 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145550 */     GIR_RootConstrainSelectedInstOperands,
     /*  145551 */     // GIR_Coverage, 47859,
     /*  145551 */     GIR_EraseRootFromParent_Done,
     /*  145552 */   // Label 2629: @145552
     /*  145552 */   GIM_Reject,
     /*  145553 */ // Label 2627: @145553
     /*  145553 */ GIM_Reject,
     /*  145554 */ // Label 2446: @145554
     /*  145554 */ GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(145668),
     /*  145559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  145562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  145565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145577 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(145622), // Rule ID 47874 //
     /*  145582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145585 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145620 */     GIR_RootConstrainSelectedInstOperands,
     /*  145621 */     // GIR_Coverage, 47874,
     /*  145621 */     GIR_EraseRootFromParent_Done,
     /*  145622 */   // Label 2631: @145622
     /*  145622 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(145667), // Rule ID 47875 //
     /*  145627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145630 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145665 */     GIR_RootConstrainSelectedInstOperands,
     /*  145666 */     // GIR_Coverage, 47875,
     /*  145666 */     GIR_EraseRootFromParent_Done,
     /*  145667 */   // Label 2632: @145667
     /*  145667 */   GIM_Reject,
     /*  145668 */ // Label 2630: @145668
     /*  145668 */ GIM_Reject,
     /*  145669 */ // Label 2447: @145669
     /*  145669 */ GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(147279),
     /*  145674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145684 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(145753), // Rule ID 53112 //
     /*  145689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145732 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145751 */     GIR_RootConstrainSelectedInstOperands,
     /*  145752 */     // GIR_Coverage, 53112,
     /*  145752 */     GIR_EraseRootFromParent_Done,
     /*  145753 */   // Label 2634: @145753
     /*  145753 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(145822), // Rule ID 53113 //
     /*  145758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145801 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145820 */     GIR_RootConstrainSelectedInstOperands,
     /*  145821 */     // GIR_Coverage, 53113,
     /*  145821 */     GIR_EraseRootFromParent_Done,
     /*  145822 */   // Label 2635: @145822
     /*  145822 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(145891), // Rule ID 53114 //
     /*  145827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145870 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145889 */     GIR_RootConstrainSelectedInstOperands,
     /*  145890 */     // GIR_Coverage, 53114,
     /*  145890 */     GIR_EraseRootFromParent_Done,
     /*  145891 */   // Label 2636: @145891
     /*  145891 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(145960), // Rule ID 53115 //
     /*  145896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145939 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145958 */     GIR_RootConstrainSelectedInstOperands,
     /*  145959 */     // GIR_Coverage, 53115,
     /*  145959 */     GIR_EraseRootFromParent_Done,
     /*  145960 */   // Label 2637: @145960
     /*  145960 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(146026), // Rule ID 71373 //
     /*  145965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146007 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146024 */     GIR_RootConstrainSelectedInstOperands,
     /*  146025 */     // GIR_Coverage, 71373,
     /*  146025 */     GIR_EraseRootFromParent_Done,
     /*  146026 */   // Label 2638: @146026
     /*  146026 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(146092), // Rule ID 71374 //
     /*  146031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146073 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146090 */     GIR_RootConstrainSelectedInstOperands,
     /*  146091 */     // GIR_Coverage, 71374,
     /*  146091 */     GIR_EraseRootFromParent_Done,
     /*  146092 */   // Label 2639: @146092
     /*  146092 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(146158), // Rule ID 71371 //
     /*  146097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146139 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146156 */     GIR_RootConstrainSelectedInstOperands,
     /*  146157 */     // GIR_Coverage, 71371,
     /*  146157 */     GIR_EraseRootFromParent_Done,
     /*  146158 */   // Label 2640: @146158
     /*  146158 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(146224), // Rule ID 71372 //
     /*  146163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146205 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146222 */     GIR_RootConstrainSelectedInstOperands,
     /*  146223 */     // GIR_Coverage, 71372,
     /*  146223 */     GIR_EraseRootFromParent_Done,
     /*  146224 */   // Label 2641: @146224
     /*  146224 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(146293), // Rule ID 53116 //
     /*  146229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146272 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146291 */     GIR_RootConstrainSelectedInstOperands,
     /*  146292 */     // GIR_Coverage, 53116,
     /*  146292 */     GIR_EraseRootFromParent_Done,
     /*  146293 */   // Label 2642: @146293
     /*  146293 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(146362), // Rule ID 53117 //
     /*  146298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146313 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146341 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146360 */     GIR_RootConstrainSelectedInstOperands,
     /*  146361 */     // GIR_Coverage, 53117,
     /*  146361 */     GIR_EraseRootFromParent_Done,
     /*  146362 */   // Label 2643: @146362
     /*  146362 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(146431), // Rule ID 71367 //
     /*  146367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146394 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146410 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146429 */     GIR_RootConstrainSelectedInstOperands,
     /*  146430 */     // GIR_Coverage, 71367,
     /*  146430 */     GIR_EraseRootFromParent_Done,
     /*  146431 */   // Label 2644: @146431
     /*  146431 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(146500), // Rule ID 71368 //
     /*  146436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146463 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146467 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146479 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146498 */     GIR_RootConstrainSelectedInstOperands,
     /*  146499 */     // GIR_Coverage, 71368,
     /*  146499 */     GIR_EraseRootFromParent_Done,
     /*  146500 */   // Label 2645: @146500
     /*  146500 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(146569), // Rule ID 71369 //
     /*  146505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146532 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146548 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146567 */     GIR_RootConstrainSelectedInstOperands,
     /*  146568 */     // GIR_Coverage, 71369,
     /*  146568 */     GIR_EraseRootFromParent_Done,
     /*  146569 */   // Label 2646: @146569
     /*  146569 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(146638), // Rule ID 71370 //
     /*  146574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146601 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146617 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146636 */     GIR_RootConstrainSelectedInstOperands,
     /*  146637 */     // GIR_Coverage, 71370,
     /*  146637 */     GIR_EraseRootFromParent_Done,
     /*  146638 */   // Label 2647: @146638
     /*  146638 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(146707), // Rule ID 71375 //
     /*  146643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146670 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146686 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146705 */     GIR_RootConstrainSelectedInstOperands,
     /*  146706 */     // GIR_Coverage, 71375,
     /*  146706 */     GIR_EraseRootFromParent_Done,
     /*  146707 */   // Label 2648: @146707
     /*  146707 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(146776), // Rule ID 71376 //
     /*  146712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146739 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146755 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146774 */     GIR_RootConstrainSelectedInstOperands,
     /*  146775 */     // GIR_Coverage, 71376,
     /*  146775 */     GIR_EraseRootFromParent_Done,
     /*  146776 */   // Label 2649: @146776
     /*  146776 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(146842), // Rule ID 71379 //
     /*  146781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146823 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146840 */     GIR_RootConstrainSelectedInstOperands,
     /*  146841 */     // GIR_Coverage, 71379,
     /*  146841 */     GIR_EraseRootFromParent_Done,
     /*  146842 */   // Label 2650: @146842
     /*  146842 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(146908), // Rule ID 71380 //
     /*  146847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146889 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146906 */     GIR_RootConstrainSelectedInstOperands,
     /*  146907 */     // GIR_Coverage, 71380,
     /*  146907 */     GIR_EraseRootFromParent_Done,
     /*  146908 */   // Label 2651: @146908
     /*  146908 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(146974), // Rule ID 71377 //
     /*  146913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146955 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146972 */     GIR_RootConstrainSelectedInstOperands,
     /*  146973 */     // GIR_Coverage, 71377,
     /*  146973 */     GIR_EraseRootFromParent_Done,
     /*  146974 */   // Label 2652: @146974
     /*  146974 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147040), // Rule ID 71378 //
     /*  146979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  147002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147021 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  147024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147038 */     GIR_RootConstrainSelectedInstOperands,
     /*  147039 */     // GIR_Coverage, 71378,
     /*  147039 */     GIR_EraseRootFromParent_Done,
     /*  147040 */   // Label 2653: @147040
     /*  147040 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147083), // Rule ID 71393 //
     /*  147045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147066 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147081 */     GIR_RootConstrainSelectedInstOperands,
     /*  147082 */     // GIR_Coverage, 71393,
     /*  147082 */     GIR_EraseRootFromParent_Done,
     /*  147083 */   // Label 2654: @147083
     /*  147083 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147126), // Rule ID 71394 //
     /*  147088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147109 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147124 */     GIR_RootConstrainSelectedInstOperands,
     /*  147125 */     // GIR_Coverage, 71394,
     /*  147125 */     GIR_EraseRootFromParent_Done,
     /*  147126 */   // Label 2655: @147126
     /*  147126 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147169), // Rule ID 53122 //
     /*  147131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147152 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147167 */     GIR_RootConstrainSelectedInstOperands,
     /*  147168 */     // GIR_Coverage, 53122,
     /*  147168 */     GIR_EraseRootFromParent_Done,
     /*  147169 */   // Label 2656: @147169
     /*  147169 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(147212), // Rule ID 53123 //
     /*  147174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147195 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147210 */     GIR_RootConstrainSelectedInstOperands,
     /*  147211 */     // GIR_Coverage, 53123,
     /*  147211 */     GIR_EraseRootFromParent_Done,
     /*  147212 */   // Label 2657: @147212
     /*  147212 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(147245), // Rule ID 53110 //
     /*  147217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147228 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147243 */     GIR_RootConstrainSelectedInstOperands,
     /*  147244 */     // GIR_Coverage, 53110,
     /*  147244 */     GIR_EraseRootFromParent_Done,
     /*  147245 */   // Label 2658: @147245
     /*  147245 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(147278), // Rule ID 53111 //
     /*  147250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147261 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147276 */     GIR_RootConstrainSelectedInstOperands,
     /*  147277 */     // GIR_Coverage, 53111,
     /*  147277 */     GIR_EraseRootFromParent_Done,
     /*  147278 */   // Label 2659: @147278
     /*  147278 */   GIM_Reject,
     /*  147279 */ // Label 2633: @147279
     /*  147279 */ GIM_Reject,
     /*  147280 */ // Label 2448: @147280
     /*  147280 */ GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(147394),
     /*  147285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  147288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  147291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147303 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(147348), // Rule ID 47830 //
     /*  147308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147311 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147346 */     GIR_RootConstrainSelectedInstOperands,
     /*  147347 */     // GIR_Coverage, 47830,
     /*  147347 */     GIR_EraseRootFromParent_Done,
     /*  147348 */   // Label 2661: @147348
     /*  147348 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(147393), // Rule ID 47831 //
     /*  147353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147356 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147391 */     GIR_RootConstrainSelectedInstOperands,
     /*  147392 */     // GIR_Coverage, 47831,
     /*  147392 */     GIR_EraseRootFromParent_Done,
     /*  147393 */   // Label 2662: @147393
     /*  147393 */   GIM_Reject,
     /*  147394 */ // Label 2660: @147394
     /*  147394 */ GIM_Reject,
     /*  147395 */ // Label 2449: @147395
     /*  147395 */ GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(147509),
     /*  147400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  147403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  147406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147418 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(147463), // Rule ID 47846 //
     /*  147423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147426 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147461 */     GIR_RootConstrainSelectedInstOperands,
     /*  147462 */     // GIR_Coverage, 47846,
     /*  147462 */     GIR_EraseRootFromParent_Done,
     /*  147463 */   // Label 2664: @147463
     /*  147463 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(147508), // Rule ID 47847 //
     /*  147468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147471 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147506 */     GIR_RootConstrainSelectedInstOperands,
     /*  147507 */     // GIR_Coverage, 47847,
     /*  147507 */     GIR_EraseRootFromParent_Done,
     /*  147508 */   // Label 2665: @147508
     /*  147508 */   GIM_Reject,
     /*  147509 */ // Label 2663: @147509
     /*  147509 */ GIM_Reject,
     /*  147510 */ // Label 2450: @147510
     /*  147510 */ GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(147624),
     /*  147515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  147518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147533 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(147578), // Rule ID 47862 //
     /*  147538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147541 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147576 */     GIR_RootConstrainSelectedInstOperands,
     /*  147577 */     // GIR_Coverage, 47862,
     /*  147577 */     GIR_EraseRootFromParent_Done,
     /*  147578 */   // Label 2667: @147578
     /*  147578 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(147623), // Rule ID 47863 //
     /*  147583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147586 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147621 */     GIR_RootConstrainSelectedInstOperands,
     /*  147622 */     // GIR_Coverage, 47863,
     /*  147622 */     GIR_EraseRootFromParent_Done,
     /*  147623 */   // Label 2668: @147623
     /*  147623 */   GIM_Reject,
     /*  147624 */ // Label 2666: @147624
     /*  147624 */ GIM_Reject,
     /*  147625 */ // Label 2451: @147625
     /*  147625 */ GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(149235),
     /*  147630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147640 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(147709), // Rule ID 53130 //
     /*  147645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147688 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147707 */     GIR_RootConstrainSelectedInstOperands,
     /*  147708 */     // GIR_Coverage, 53130,
     /*  147708 */     GIR_EraseRootFromParent_Done,
     /*  147709 */   // Label 2670: @147709
     /*  147709 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(147778), // Rule ID 53131 //
     /*  147714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147757 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147776 */     GIR_RootConstrainSelectedInstOperands,
     /*  147777 */     // GIR_Coverage, 53131,
     /*  147777 */     GIR_EraseRootFromParent_Done,
     /*  147778 */   // Label 2671: @147778
     /*  147778 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(147847), // Rule ID 53132 //
     /*  147783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147826 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147845 */     GIR_RootConstrainSelectedInstOperands,
     /*  147846 */     // GIR_Coverage, 53132,
     /*  147846 */     GIR_EraseRootFromParent_Done,
     /*  147847 */   // Label 2672: @147847
     /*  147847 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(147916), // Rule ID 53133 //
     /*  147852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147895 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147914 */     GIR_RootConstrainSelectedInstOperands,
     /*  147915 */     // GIR_Coverage, 53133,
     /*  147915 */     GIR_EraseRootFromParent_Done,
     /*  147916 */   // Label 2673: @147916
     /*  147916 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(147982), // Rule ID 71401 //
     /*  147921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147936 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147963 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147980 */     GIR_RootConstrainSelectedInstOperands,
     /*  147981 */     // GIR_Coverage, 71401,
     /*  147981 */     GIR_EraseRootFromParent_Done,
     /*  147982 */   // Label 2674: @147982
     /*  147982 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148048), // Rule ID 71402 //
     /*  147987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148027 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148029 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148046 */     GIR_RootConstrainSelectedInstOperands,
     /*  148047 */     // GIR_Coverage, 71402,
     /*  148047 */     GIR_EraseRootFromParent_Done,
     /*  148048 */   // Label 2675: @148048
     /*  148048 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(148114), // Rule ID 71399 //
     /*  148053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148095 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148112 */     GIR_RootConstrainSelectedInstOperands,
     /*  148113 */     // GIR_Coverage, 71399,
     /*  148113 */     GIR_EraseRootFromParent_Done,
     /*  148114 */   // Label 2676: @148114
     /*  148114 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(148180), // Rule ID 71400 //
     /*  148119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148161 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148178 */     GIR_RootConstrainSelectedInstOperands,
     /*  148179 */     // GIR_Coverage, 71400,
     /*  148179 */     GIR_EraseRootFromParent_Done,
     /*  148180 */   // Label 2677: @148180
     /*  148180 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(148249), // Rule ID 53134 //
     /*  148185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148228 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148247 */     GIR_RootConstrainSelectedInstOperands,
     /*  148248 */     // GIR_Coverage, 53134,
     /*  148248 */     GIR_EraseRootFromParent_Done,
     /*  148249 */   // Label 2678: @148249
     /*  148249 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(148318), // Rule ID 53135 //
     /*  148254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148297 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148316 */     GIR_RootConstrainSelectedInstOperands,
     /*  148317 */     // GIR_Coverage, 53135,
     /*  148317 */     GIR_EraseRootFromParent_Done,
     /*  148318 */   // Label 2679: @148318
     /*  148318 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(148387), // Rule ID 71395 //
     /*  148323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148350 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148364 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148366 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148385 */     GIR_RootConstrainSelectedInstOperands,
     /*  148386 */     // GIR_Coverage, 71395,
     /*  148386 */     GIR_EraseRootFromParent_Done,
     /*  148387 */   // Label 2680: @148387
     /*  148387 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(148456), // Rule ID 71396 //
     /*  148392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148419 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148423 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148435 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148454 */     GIR_RootConstrainSelectedInstOperands,
     /*  148455 */     // GIR_Coverage, 71396,
     /*  148455 */     GIR_EraseRootFromParent_Done,
     /*  148456 */   // Label 2681: @148456
     /*  148456 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(148525), // Rule ID 71397 //
     /*  148461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148504 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148523 */     GIR_RootConstrainSelectedInstOperands,
     /*  148524 */     // GIR_Coverage, 71397,
     /*  148524 */     GIR_EraseRootFromParent_Done,
     /*  148525 */   // Label 2682: @148525
     /*  148525 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(148594), // Rule ID 71398 //
     /*  148530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148573 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148592 */     GIR_RootConstrainSelectedInstOperands,
     /*  148593 */     // GIR_Coverage, 71398,
     /*  148593 */     GIR_EraseRootFromParent_Done,
     /*  148594 */   // Label 2683: @148594
     /*  148594 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(148663), // Rule ID 71403 //
     /*  148599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148642 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148661 */     GIR_RootConstrainSelectedInstOperands,
     /*  148662 */     // GIR_Coverage, 71403,
     /*  148662 */     GIR_EraseRootFromParent_Done,
     /*  148663 */   // Label 2684: @148663
     /*  148663 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(148732), // Rule ID 71404 //
     /*  148668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148695 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148711 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148730 */     GIR_RootConstrainSelectedInstOperands,
     /*  148731 */     // GIR_Coverage, 71404,
     /*  148731 */     GIR_EraseRootFromParent_Done,
     /*  148732 */   // Label 2685: @148732
     /*  148732 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(148798), // Rule ID 71407 //
     /*  148737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148779 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148796 */     GIR_RootConstrainSelectedInstOperands,
     /*  148797 */     // GIR_Coverage, 71407,
     /*  148797 */     GIR_EraseRootFromParent_Done,
     /*  148798 */   // Label 2686: @148798
     /*  148798 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(148864), // Rule ID 71408 //
     /*  148803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148845 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148862 */     GIR_RootConstrainSelectedInstOperands,
     /*  148863 */     // GIR_Coverage, 71408,
     /*  148863 */     GIR_EraseRootFromParent_Done,
     /*  148864 */   // Label 2687: @148864
     /*  148864 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(148930), // Rule ID 71405 //
     /*  148869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148911 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148928 */     GIR_RootConstrainSelectedInstOperands,
     /*  148929 */     // GIR_Coverage, 71405,
     /*  148929 */     GIR_EraseRootFromParent_Done,
     /*  148930 */   // Label 2688: @148930
     /*  148930 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(148996), // Rule ID 71406 //
     /*  148935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148977 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148994 */     GIR_RootConstrainSelectedInstOperands,
     /*  148995 */     // GIR_Coverage, 71406,
     /*  148995 */     GIR_EraseRootFromParent_Done,
     /*  148996 */   // Label 2689: @148996
     /*  148996 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149039), // Rule ID 71421 //
     /*  149001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149022 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149037 */     GIR_RootConstrainSelectedInstOperands,
     /*  149038 */     // GIR_Coverage, 71421,
     /*  149038 */     GIR_EraseRootFromParent_Done,
     /*  149039 */   // Label 2690: @149039
     /*  149039 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149082), // Rule ID 71422 //
     /*  149044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149065 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149080 */     GIR_RootConstrainSelectedInstOperands,
     /*  149081 */     // GIR_Coverage, 71422,
     /*  149081 */     GIR_EraseRootFromParent_Done,
     /*  149082 */   // Label 2691: @149082
     /*  149082 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(149125), // Rule ID 53140 //
     /*  149087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149108 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149123 */     GIR_RootConstrainSelectedInstOperands,
     /*  149124 */     // GIR_Coverage, 53140,
     /*  149124 */     GIR_EraseRootFromParent_Done,
     /*  149125 */   // Label 2692: @149125
     /*  149125 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149168), // Rule ID 53141 //
     /*  149130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149151 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149166 */     GIR_RootConstrainSelectedInstOperands,
     /*  149167 */     // GIR_Coverage, 53141,
     /*  149167 */     GIR_EraseRootFromParent_Done,
     /*  149168 */   // Label 2693: @149168
     /*  149168 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149201), // Rule ID 53128 //
     /*  149173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149184 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149199 */     GIR_RootConstrainSelectedInstOperands,
     /*  149200 */     // GIR_Coverage, 53128,
     /*  149200 */     GIR_EraseRootFromParent_Done,
     /*  149201 */   // Label 2694: @149201
     /*  149201 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(149234), // Rule ID 53129 //
     /*  149206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149217 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149232 */     GIR_RootConstrainSelectedInstOperands,
     /*  149233 */     // GIR_Coverage, 53129,
     /*  149233 */     GIR_EraseRootFromParent_Done,
     /*  149234 */   // Label 2695: @149234
     /*  149234 */   GIM_Reject,
     /*  149235 */ // Label 2669: @149235
     /*  149235 */ GIM_Reject,
     /*  149236 */ // Label 2452: @149236
     /*  149236 */ GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(149350),
     /*  149241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  149244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  149247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149259 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(149304), // Rule ID 47834 //
     /*  149264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149267 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149302 */     GIR_RootConstrainSelectedInstOperands,
     /*  149303 */     // GIR_Coverage, 47834,
     /*  149303 */     GIR_EraseRootFromParent_Done,
     /*  149304 */   // Label 2697: @149304
     /*  149304 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(149349), // Rule ID 47835 //
     /*  149309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149312 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149347 */     GIR_RootConstrainSelectedInstOperands,
     /*  149348 */     // GIR_Coverage, 47835,
     /*  149348 */     GIR_EraseRootFromParent_Done,
     /*  149349 */   // Label 2698: @149349
     /*  149349 */   GIM_Reject,
     /*  149350 */ // Label 2696: @149350
     /*  149350 */ GIM_Reject,
     /*  149351 */ // Label 2453: @149351
     /*  149351 */ GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(149465),
     /*  149356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  149359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  149362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149374 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(149419), // Rule ID 47850 //
     /*  149379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149382 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149417 */     GIR_RootConstrainSelectedInstOperands,
     /*  149418 */     // GIR_Coverage, 47850,
     /*  149418 */     GIR_EraseRootFromParent_Done,
     /*  149419 */   // Label 2700: @149419
     /*  149419 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(149464), // Rule ID 47851 //
     /*  149424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149427 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  149427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149462 */     GIR_RootConstrainSelectedInstOperands,
     /*  149463 */     // GIR_Coverage, 47851,
     /*  149463 */     GIR_EraseRootFromParent_Done,
     /*  149464 */   // Label 2701: @149464
     /*  149464 */   GIM_Reject,
     /*  149465 */ // Label 2699: @149465
     /*  149465 */ GIM_Reject,
     /*  149466 */ // Label 2454: @149466
     /*  149466 */ GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(151076),
     /*  149471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149481 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(149550), // Rule ID 53148 //
     /*  149486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149529 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149548 */     GIR_RootConstrainSelectedInstOperands,
     /*  149549 */     // GIR_Coverage, 53148,
     /*  149549 */     GIR_EraseRootFromParent_Done,
     /*  149550 */   // Label 2703: @149550
     /*  149550 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(149619), // Rule ID 53149 //
     /*  149555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149598 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149617 */     GIR_RootConstrainSelectedInstOperands,
     /*  149618 */     // GIR_Coverage, 53149,
     /*  149618 */     GIR_EraseRootFromParent_Done,
     /*  149619 */   // Label 2704: @149619
     /*  149619 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(149688), // Rule ID 53150 //
     /*  149624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149667 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149686 */     GIR_RootConstrainSelectedInstOperands,
     /*  149687 */     // GIR_Coverage, 53150,
     /*  149687 */     GIR_EraseRootFromParent_Done,
     /*  149688 */   // Label 2705: @149688
     /*  149688 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(149757), // Rule ID 53151 //
     /*  149693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149736 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149755 */     GIR_RootConstrainSelectedInstOperands,
     /*  149756 */     // GIR_Coverage, 53151,
     /*  149756 */     GIR_EraseRootFromParent_Done,
     /*  149757 */   // Label 2706: @149757
     /*  149757 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(149823), // Rule ID 71429 //
     /*  149762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149804 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149821 */     GIR_RootConstrainSelectedInstOperands,
     /*  149822 */     // GIR_Coverage, 71429,
     /*  149822 */     GIR_EraseRootFromParent_Done,
     /*  149823 */   // Label 2707: @149823
     /*  149823 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(149889), // Rule ID 71430 //
     /*  149828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149870 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149887 */     GIR_RootConstrainSelectedInstOperands,
     /*  149888 */     // GIR_Coverage, 71430,
     /*  149888 */     GIR_EraseRootFromParent_Done,
     /*  149889 */   // Label 2708: @149889
     /*  149889 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(149955), // Rule ID 71427 //
     /*  149894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149936 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149953 */     GIR_RootConstrainSelectedInstOperands,
     /*  149954 */     // GIR_Coverage, 71427,
     /*  149954 */     GIR_EraseRootFromParent_Done,
     /*  149955 */   // Label 2709: @149955
     /*  149955 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150021), // Rule ID 71428 //
     /*  149960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150002 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150019 */     GIR_RootConstrainSelectedInstOperands,
     /*  150020 */     // GIR_Coverage, 71428,
     /*  150020 */     GIR_EraseRootFromParent_Done,
     /*  150021 */   // Label 2710: @150021
     /*  150021 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150090), // Rule ID 53152 //
     /*  150026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150069 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150088 */     GIR_RootConstrainSelectedInstOperands,
     /*  150089 */     // GIR_Coverage, 53152,
     /*  150089 */     GIR_EraseRootFromParent_Done,
     /*  150090 */   // Label 2711: @150090
     /*  150090 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150159), // Rule ID 53153 //
     /*  150095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150138 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150157 */     GIR_RootConstrainSelectedInstOperands,
     /*  150158 */     // GIR_Coverage, 53153,
     /*  150158 */     GIR_EraseRootFromParent_Done,
     /*  150159 */   // Label 2712: @150159
     /*  150159 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150228), // Rule ID 71423 //
     /*  150164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150191 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150195 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150200 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150207 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150226 */     GIR_RootConstrainSelectedInstOperands,
     /*  150227 */     // GIR_Coverage, 71423,
     /*  150227 */     GIR_EraseRootFromParent_Done,
     /*  150228 */   // Label 2713: @150228
     /*  150228 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(150297), // Rule ID 71424 //
     /*  150233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150260 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150276 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150295 */     GIR_RootConstrainSelectedInstOperands,
     /*  150296 */     // GIR_Coverage, 71424,
     /*  150296 */     GIR_EraseRootFromParent_Done,
     /*  150297 */   // Label 2714: @150297
     /*  150297 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(150366), // Rule ID 71425 //
     /*  150302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150345 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150364 */     GIR_RootConstrainSelectedInstOperands,
     /*  150365 */     // GIR_Coverage, 71425,
     /*  150365 */     GIR_EraseRootFromParent_Done,
     /*  150366 */   // Label 2715: @150366
     /*  150366 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(150435), // Rule ID 71426 //
     /*  150371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150398 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150414 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150433 */     GIR_RootConstrainSelectedInstOperands,
     /*  150434 */     // GIR_Coverage, 71426,
     /*  150434 */     GIR_EraseRootFromParent_Done,
     /*  150435 */   // Label 2716: @150435
     /*  150435 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(150504), // Rule ID 71431 //
     /*  150440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150467 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150483 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150502 */     GIR_RootConstrainSelectedInstOperands,
     /*  150503 */     // GIR_Coverage, 71431,
     /*  150503 */     GIR_EraseRootFromParent_Done,
     /*  150504 */   // Label 2717: @150504
     /*  150504 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(150573), // Rule ID 71432 //
     /*  150509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150552 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150571 */     GIR_RootConstrainSelectedInstOperands,
     /*  150572 */     // GIR_Coverage, 71432,
     /*  150572 */     GIR_EraseRootFromParent_Done,
     /*  150573 */   // Label 2718: @150573
     /*  150573 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(150639), // Rule ID 71435 //
     /*  150578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150620 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150637 */     GIR_RootConstrainSelectedInstOperands,
     /*  150638 */     // GIR_Coverage, 71435,
     /*  150638 */     GIR_EraseRootFromParent_Done,
     /*  150639 */   // Label 2719: @150639
     /*  150639 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(150705), // Rule ID 71436 //
     /*  150644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150686 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150703 */     GIR_RootConstrainSelectedInstOperands,
     /*  150704 */     // GIR_Coverage, 71436,
     /*  150704 */     GIR_EraseRootFromParent_Done,
     /*  150705 */   // Label 2720: @150705
     /*  150705 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(150771), // Rule ID 71433 //
     /*  150710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150752 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150769 */     GIR_RootConstrainSelectedInstOperands,
     /*  150770 */     // GIR_Coverage, 71433,
     /*  150770 */     GIR_EraseRootFromParent_Done,
     /*  150771 */   // Label 2721: @150771
     /*  150771 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(150837), // Rule ID 71434 //
     /*  150776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150818 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150835 */     GIR_RootConstrainSelectedInstOperands,
     /*  150836 */     // GIR_Coverage, 71434,
     /*  150836 */     GIR_EraseRootFromParent_Done,
     /*  150837 */   // Label 2722: @150837
     /*  150837 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(150880), // Rule ID 71449 //
     /*  150842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150863 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150878 */     GIR_RootConstrainSelectedInstOperands,
     /*  150879 */     // GIR_Coverage, 71449,
     /*  150879 */     GIR_EraseRootFromParent_Done,
     /*  150880 */   // Label 2723: @150880
     /*  150880 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(150923), // Rule ID 71450 //
     /*  150885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150906 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150921 */     GIR_RootConstrainSelectedInstOperands,
     /*  150922 */     // GIR_Coverage, 71450,
     /*  150922 */     GIR_EraseRootFromParent_Done,
     /*  150923 */   // Label 2724: @150923
     /*  150923 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(150966), // Rule ID 53158 //
     /*  150928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150949 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150964 */     GIR_RootConstrainSelectedInstOperands,
     /*  150965 */     // GIR_Coverage, 53158,
     /*  150965 */     GIR_EraseRootFromParent_Done,
     /*  150966 */   // Label 2725: @150966
     /*  150966 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151009), // Rule ID 53159 //
     /*  150971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150992 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151007 */     GIR_RootConstrainSelectedInstOperands,
     /*  151008 */     // GIR_Coverage, 53159,
     /*  151008 */     GIR_EraseRootFromParent_Done,
     /*  151009 */   // Label 2726: @151009
     /*  151009 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151042), // Rule ID 53146 //
     /*  151014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151025 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151040 */     GIR_RootConstrainSelectedInstOperands,
     /*  151041 */     // GIR_Coverage, 53146,
     /*  151041 */     GIR_EraseRootFromParent_Done,
     /*  151042 */   // Label 2727: @151042
     /*  151042 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(151075), // Rule ID 53147 //
     /*  151047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151058 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151073 */     GIR_RootConstrainSelectedInstOperands,
     /*  151074 */     // GIR_Coverage, 53147,
     /*  151074 */     GIR_EraseRootFromParent_Done,
     /*  151075 */   // Label 2728: @151075
     /*  151075 */   GIM_Reject,
     /*  151076 */ // Label 2702: @151076
     /*  151076 */ GIM_Reject,
     /*  151077 */ // Label 2455: @151077
     /*  151077 */ GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151191),
     /*  151082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  151085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  151088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151100 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151145), // Rule ID 47838 //
     /*  151105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151108 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151143 */     GIR_RootConstrainSelectedInstOperands,
     /*  151144 */     // GIR_Coverage, 47838,
     /*  151144 */     GIR_EraseRootFromParent_Done,
     /*  151145 */   // Label 2730: @151145
     /*  151145 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(151190), // Rule ID 47839 //
     /*  151150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151153 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151188 */     GIR_RootConstrainSelectedInstOperands,
     /*  151189 */     // GIR_Coverage, 47839,
     /*  151189 */     GIR_EraseRootFromParent_Done,
     /*  151190 */   // Label 2731: @151190
     /*  151190 */   GIM_Reject,
     /*  151191 */ // Label 2729: @151191
     /*  151191 */ GIM_Reject,
     /*  151192 */ // Label 2456: @151192
     /*  151192 */ GIM_Reject,
     /*  151193 */ // Label 10: @151193
     /*  151193 */ GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(151253),
     /*  151198 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  151202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151206 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(151229), // Rule ID 110 //
     /*  151211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  151214 */     // MIs[0] Operand 1
     /*  151214 */     // No operand predicates
     /*  151214 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  151214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151219 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151227 */     GIR_RootConstrainSelectedInstOperands,
     /*  151228 */     // GIR_Coverage, 110,
     /*  151228 */     GIR_EraseRootFromParent_Done,
     /*  151229 */   // Label 2733: @151229
     /*  151229 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(151252), // Rule ID 111 //
     /*  151234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  151237 */     // MIs[0] Operand 1
     /*  151237 */     // No operand predicates
     /*  151237 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  151237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151242 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151250 */     GIR_RootConstrainSelectedInstOperands,
     /*  151251 */     // GIR_Coverage, 111,
     /*  151251 */     GIR_EraseRootFromParent_Done,
     /*  151252 */   // Label 2734: @151252
     /*  151252 */   GIM_Reject,
     /*  151253 */ // Label 2732: @151253
     /*  151253 */ GIM_Reject,
     /*  151254 */ // Label 11: @151254
     /*  151254 */ GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(151314),
     /*  151259 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151262 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  151265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  151271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151283 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(151298), // Rule ID 50 //
     /*  151288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151291 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151296 */     GIR_RootConstrainSelectedInstOperands,
     /*  151297 */     // GIR_Coverage, 50,
     /*  151297 */     GIR_Done,
     /*  151298 */   // Label 2736: @151298
     /*  151298 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(151313), // Rule ID 51 //
     /*  151303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151306 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151311 */     GIR_RootConstrainSelectedInstOperands,
     /*  151312 */     // GIR_Coverage, 51,
     /*  151312 */     GIR_Done,
     /*  151313 */   // Label 2737: @151313
     /*  151313 */   GIM_Reject,
     /*  151314 */ // Label 2735: @151314
     /*  151314 */ GIM_Reject,
     /*  151315 */ // Label 12: @151315
     /*  151315 */ GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(151405),
     /*  151320 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151323 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  151326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  151332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151344 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(151359), // Rule ID 48 //
     /*  151349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151352 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151357 */     GIR_RootConstrainSelectedInstOperands,
     /*  151358 */     // GIR_Coverage, 48,
     /*  151358 */     GIR_Done,
     /*  151359 */   // Label 2739: @151359
     /*  151359 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(151374), // Rule ID 49 //
     /*  151364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151367 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151372 */     GIR_RootConstrainSelectedInstOperands,
     /*  151373 */     // GIR_Coverage, 49,
     /*  151373 */     GIR_Done,
     /*  151374 */   // Label 2740: @151374
     /*  151374 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(151389), // Rule ID 2294 //
     /*  151379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  151382 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151387 */     GIR_RootConstrainSelectedInstOperands,
     /*  151388 */     // GIR_Coverage, 2294,
     /*  151388 */     GIR_Done,
     /*  151389 */   // Label 2741: @151389
     /*  151389 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(151404), // Rule ID 2295 //
     /*  151394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  151397 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151402 */     GIR_RootConstrainSelectedInstOperands,
     /*  151403 */     // GIR_Coverage, 2295,
     /*  151403 */     GIR_Done,
     /*  151404 */   // Label 2742: @151404
     /*  151404 */   GIM_Reject,
     /*  151405 */ // Label 2738: @151405
     /*  151405 */ GIM_Reject,
     /*  151406 */ // Label 13: @151406
     /*  151406 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2745*/ GIMT_Encode4(151772),
     /*  151417 */ /*GILLT_s32*//*Label 2743*/ GIMT_Encode4(151425),
     /*  151421 */ /*GILLT_s64*//*Label 2744*/ GIMT_Encode4(151662),
     /*  151425 */ // Label 2743: @151425
     /*  151425 */ GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(151661),
     /*  151430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151433 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(151456), // Rule ID 1337 //
     /*  151438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151449 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151454 */     GIR_RootConstrainSelectedInstOperands,
     /*  151455 */     // GIR_Coverage, 1337,
     /*  151455 */     GIR_Done,
     /*  151456 */   // Label 2747: @151456
     /*  151456 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(151479), // Rule ID 1338 //
     /*  151461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151472 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151477 */     GIR_RootConstrainSelectedInstOperands,
     /*  151478 */     // GIR_Coverage, 1338,
     /*  151478 */     GIR_Done,
     /*  151479 */   // Label 2748: @151479
     /*  151479 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(151502), // Rule ID 1339 //
     /*  151484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151495 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151500 */     GIR_RootConstrainSelectedInstOperands,
     /*  151501 */     // GIR_Coverage, 1339,
     /*  151501 */     GIR_Done,
     /*  151502 */   // Label 2749: @151502
     /*  151502 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(151525), // Rule ID 1340 //
     /*  151507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151518 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151523 */     GIR_RootConstrainSelectedInstOperands,
     /*  151524 */     // GIR_Coverage, 1340,
     /*  151524 */     GIR_Done,
     /*  151525 */   // Label 2750: @151525
     /*  151525 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(151563), // Rule ID 1341 //
     /*  151530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  151533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151541 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151546 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151552 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151557 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151562 */     // GIR_Coverage, 1341,
     /*  151562 */     GIR_EraseRootFromParent_Done,
     /*  151563 */   // Label 2751: @151563
     /*  151563 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(151601), // Rule ID 1342 //
     /*  151568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151579 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151584 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151590 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151595 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151600 */     // GIR_Coverage, 1342,
     /*  151600 */     GIR_EraseRootFromParent_Done,
     /*  151601 */   // Label 2752: @151601
     /*  151601 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(151660), // Rule ID 1343 //
     /*  151606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151617 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  151617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  151620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  151634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  151644 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151649 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151659 */     // GIR_Coverage, 1343,
     /*  151659 */     GIR_EraseRootFromParent_Done,
     /*  151660 */   // Label 2753: @151660
     /*  151660 */   GIM_Reject,
     /*  151661 */ // Label 2746: @151661
     /*  151661 */ GIM_Reject,
     /*  151662 */ // Label 2744: @151662
     /*  151662 */ GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(151771),
     /*  151667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151670 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(151693), // Rule ID 1790 //
     /*  151675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151686 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  151686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  151691 */     GIR_RootConstrainSelectedInstOperands,
     /*  151692 */     // GIR_Coverage, 1790,
     /*  151692 */     GIR_Done,
     /*  151693 */   // Label 2755: @151693
     /*  151693 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(151716), // Rule ID 1791 //
     /*  151698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151709 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  151709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  151714 */     GIR_RootConstrainSelectedInstOperands,
     /*  151715 */     // GIR_Coverage, 1791,
     /*  151715 */     GIR_Done,
     /*  151716 */   // Label 2756: @151716
     /*  151716 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(151743), // Rule ID 1818 //
     /*  151721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151732 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  151732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151737 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151742 */     // GIR_Coverage, 1818,
     /*  151742 */     GIR_Done,
     /*  151743 */   // Label 2757: @151743
     /*  151743 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(151770), // Rule ID 1819 //
     /*  151748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151759 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  151759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151764 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151769 */     // GIR_Coverage, 1819,
     /*  151769 */     GIR_Done,
     /*  151770 */   // Label 2758: @151770
     /*  151770 */   GIM_Reject,
     /*  151771 */ // Label 2754: @151771
     /*  151771 */ GIM_Reject,
     /*  151772 */ // Label 2745: @151772
     /*  151772 */ GIM_Reject,
     /*  151773 */ // Label 14: @151773
     /*  151773 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2762*/ GIMT_Encode4(151970),
     /*  151784 */ /*GILLT_s16*//*Label 2759*/ GIMT_Encode4(151796),
     /*  151788 */ /*GILLT_s32*//*Label 2760*/ GIMT_Encode4(151854),
     /*  151792 */ /*GILLT_s64*//*Label 2761*/ GIMT_Encode4(151912),
     /*  151796 */ // Label 2759: @151796
     /*  151796 */ GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(151853),
     /*  151801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151812 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(151832), // Rule ID 2326 //
     /*  151817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  151820 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  151820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151830 */     GIR_RootConstrainSelectedInstOperands,
     /*  151831 */     // GIR_Coverage, 2326,
     /*  151831 */     GIR_EraseRootFromParent_Done,
     /*  151832 */   // Label 2764: @151832
     /*  151832 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(151852), // Rule ID 2327 //
     /*  151837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  151840 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  151840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151850 */     GIR_RootConstrainSelectedInstOperands,
     /*  151851 */     // GIR_Coverage, 2327,
     /*  151851 */     GIR_EraseRootFromParent_Done,
     /*  151852 */   // Label 2765: @151852
     /*  151852 */   GIM_Reject,
     /*  151853 */ // Label 2763: @151853
     /*  151853 */ GIM_Reject,
     /*  151854 */ // Label 2760: @151854
     /*  151854 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(151911),
     /*  151859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151870 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(151890), // Rule ID 2244 //
     /*  151875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  151878 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  151878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151888 */     GIR_RootConstrainSelectedInstOperands,
     /*  151889 */     // GIR_Coverage, 2244,
     /*  151889 */     GIR_EraseRootFromParent_Done,
     /*  151890 */   // Label 2767: @151890
     /*  151890 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(151910), // Rule ID 2245 //
     /*  151895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  151898 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  151898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151908 */     GIR_RootConstrainSelectedInstOperands,
     /*  151909 */     // GIR_Coverage, 2245,
     /*  151909 */     GIR_EraseRootFromParent_Done,
     /*  151910 */   // Label 2768: @151910
     /*  151910 */   GIM_Reject,
     /*  151911 */ // Label 2766: @151911
     /*  151911 */ GIM_Reject,
     /*  151912 */ // Label 2761: @151912
     /*  151912 */ GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(151969),
     /*  151917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151928 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(151948), // Rule ID 2284 //
     /*  151933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  151936 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  151936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151946 */     GIR_RootConstrainSelectedInstOperands,
     /*  151947 */     // GIR_Coverage, 2284,
     /*  151947 */     GIR_EraseRootFromParent_Done,
     /*  151948 */   // Label 2770: @151948
     /*  151948 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(151968), // Rule ID 2285 //
     /*  151953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  151956 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  151956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151966 */     GIR_RootConstrainSelectedInstOperands,
     /*  151967 */     // GIR_Coverage, 2285,
     /*  151967 */     GIR_EraseRootFromParent_Done,
     /*  151968 */   // Label 2771: @151968
     /*  151968 */   GIM_Reject,
     /*  151969 */ // Label 2769: @151969
     /*  151969 */ GIM_Reject,
     /*  151970 */ // Label 2762: @151970
     /*  151970 */ GIM_Reject,
     /*  151971 */ // Label 15: @151971
     /*  151971 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2775*/ GIMT_Encode4(152168),
     /*  151982 */ /*GILLT_s16*//*Label 2772*/ GIMT_Encode4(151994),
     /*  151986 */ /*GILLT_s32*//*Label 2773*/ GIMT_Encode4(152052),
     /*  151990 */ /*GILLT_s64*//*Label 2774*/ GIMT_Encode4(152110),
     /*  151994 */ // Label 2772: @151994
     /*  151994 */ GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(152051),
     /*  151999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152010 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(152030), // Rule ID 2310 //
     /*  152015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152018 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  152018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152028 */     GIR_RootConstrainSelectedInstOperands,
     /*  152029 */     // GIR_Coverage, 2310,
     /*  152029 */     GIR_EraseRootFromParent_Done,
     /*  152030 */   // Label 2777: @152030
     /*  152030 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(152050), // Rule ID 2311 //
     /*  152035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  152038 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  152038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152048 */     GIR_RootConstrainSelectedInstOperands,
     /*  152049 */     // GIR_Coverage, 2311,
     /*  152049 */     GIR_EraseRootFromParent_Done,
     /*  152050 */   // Label 2778: @152050
     /*  152050 */   GIM_Reject,
     /*  152051 */ // Label 2776: @152051
     /*  152051 */ GIM_Reject,
     /*  152052 */ // Label 2773: @152052
     /*  152052 */ GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(152109),
     /*  152057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152068 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(152088), // Rule ID 2228 //
     /*  152073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  152076 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  152076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152086 */     GIR_RootConstrainSelectedInstOperands,
     /*  152087 */     // GIR_Coverage, 2228,
     /*  152087 */     GIR_EraseRootFromParent_Done,
     /*  152088 */   // Label 2780: @152088
     /*  152088 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(152108), // Rule ID 2229 //
     /*  152093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  152096 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  152096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152106 */     GIR_RootConstrainSelectedInstOperands,
     /*  152107 */     // GIR_Coverage, 2229,
     /*  152107 */     GIR_EraseRootFromParent_Done,
     /*  152108 */   // Label 2781: @152108
     /*  152108 */   GIM_Reject,
     /*  152109 */ // Label 2779: @152109
     /*  152109 */ GIM_Reject,
     /*  152110 */ // Label 2774: @152110
     /*  152110 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(152167),
     /*  152115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152126 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(152146), // Rule ID 2268 //
     /*  152131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  152134 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  152134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152144 */     GIR_RootConstrainSelectedInstOperands,
     /*  152145 */     // GIR_Coverage, 2268,
     /*  152145 */     GIR_EraseRootFromParent_Done,
     /*  152146 */   // Label 2783: @152146
     /*  152146 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(152166), // Rule ID 2269 //
     /*  152151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  152154 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  152154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152164 */     GIR_RootConstrainSelectedInstOperands,
     /*  152165 */     // GIR_Coverage, 2269,
     /*  152165 */     GIR_EraseRootFromParent_Done,
     /*  152166 */   // Label 2784: @152166
     /*  152166 */   GIM_Reject,
     /*  152167 */ // Label 2782: @152167
     /*  152167 */ GIM_Reject,
     /*  152168 */ // Label 2775: @152168
     /*  152168 */ GIM_Reject,
     /*  152169 */ // Label 16: @152169
     /*  152169 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2787*/ GIMT_Encode4(152748),
     /*  152180 */ /*GILLT_s32*//*Label 2785*/ GIMT_Encode4(152188),
     /*  152184 */ /*GILLT_s64*//*Label 2786*/ GIMT_Encode4(152561),
     /*  152188 */ // Label 2785: @152188
     /*  152188 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(152219), // Rule ID 1356 //
     /*  152193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  152196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152207 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152212 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152217 */   GIR_RootConstrainSelectedInstOperands,
     /*  152218 */   // GIR_Coverage, 1356,
     /*  152218 */   GIR_EraseRootFromParent_Done,
     /*  152219 */ // Label 2788: @152219
     /*  152219 */ GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(152250), // Rule ID 1357 //
     /*  152224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  152227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152238 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152243 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152248 */   GIR_RootConstrainSelectedInstOperands,
     /*  152249 */   // GIR_Coverage, 1357,
     /*  152249 */   GIR_EraseRootFromParent_Done,
     /*  152250 */ // Label 2789: @152250
     /*  152250 */ GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(152281), // Rule ID 1382 //
     /*  152255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  152258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152269 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152274 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152279 */   GIR_RootConstrainSelectedInstOperands,
     /*  152280 */   // GIR_Coverage, 1382,
     /*  152280 */   GIR_EraseRootFromParent_Done,
     /*  152281 */ // Label 2790: @152281
     /*  152281 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(152312), // Rule ID 1383 //
     /*  152286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  152289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152300 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152305 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152310 */   GIR_RootConstrainSelectedInstOperands,
     /*  152311 */   // GIR_Coverage, 1383,
     /*  152311 */   GIR_EraseRootFromParent_Done,
     /*  152312 */ // Label 2791: @152312
     /*  152312 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(152343), // Rule ID 1750 //
     /*  152317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  152320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152331 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152336 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152341 */   GIR_RootConstrainSelectedInstOperands,
     /*  152342 */   // GIR_Coverage, 1750,
     /*  152342 */   GIR_EraseRootFromParent_Done,
     /*  152343 */ // Label 2792: @152343
     /*  152343 */ GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(152374), // Rule ID 1751 //
     /*  152348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  152351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152362 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152367 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152372 */   GIR_RootConstrainSelectedInstOperands,
     /*  152373 */   // GIR_Coverage, 1751,
     /*  152373 */   GIR_EraseRootFromParent_Done,
     /*  152374 */ // Label 2793: @152374
     /*  152374 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(152405), // Rule ID 1776 //
     /*  152379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  152382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152393 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152398 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152403 */   GIR_RootConstrainSelectedInstOperands,
     /*  152404 */   // GIR_Coverage, 1776,
     /*  152404 */   GIR_EraseRootFromParent_Done,
     /*  152405 */ // Label 2794: @152405
     /*  152405 */ GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(152436), // Rule ID 1777 //
     /*  152410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  152413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152424 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152434 */   GIR_RootConstrainSelectedInstOperands,
     /*  152435 */   // GIR_Coverage, 1777,
     /*  152435 */   GIR_EraseRootFromParent_Done,
     /*  152436 */ // Label 2795: @152436
     /*  152436 */ GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(152467), // Rule ID 2092 //
     /*  152441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  152444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152455 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152465 */   GIR_RootConstrainSelectedInstOperands,
     /*  152466 */   // GIR_Coverage, 2092,
     /*  152466 */   GIR_EraseRootFromParent_Done,
     /*  152467 */ // Label 2796: @152467
     /*  152467 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(152498), // Rule ID 2093 //
     /*  152472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  152475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152486 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152491 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152496 */   GIR_RootConstrainSelectedInstOperands,
     /*  152497 */   // GIR_Coverage, 2093,
     /*  152497 */   GIR_EraseRootFromParent_Done,
     /*  152498 */ // Label 2797: @152498
     /*  152498 */ GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(152529), // Rule ID 2118 //
     /*  152503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  152506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152517 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152522 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152527 */   GIR_RootConstrainSelectedInstOperands,
     /*  152528 */   // GIR_Coverage, 2118,
     /*  152528 */   GIR_EraseRootFromParent_Done,
     /*  152529 */ // Label 2798: @152529
     /*  152529 */ GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(152560), // Rule ID 2119 //
     /*  152534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  152537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152548 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152553 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152558 */   GIR_RootConstrainSelectedInstOperands,
     /*  152559 */   // GIR_Coverage, 2119,
     /*  152559 */   GIR_EraseRootFromParent_Done,
     /*  152560 */ // Label 2799: @152560
     /*  152560 */ GIM_Reject,
     /*  152561 */ // Label 2786: @152561
     /*  152561 */ GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(152592), // Rule ID 1409 //
     /*  152566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152580 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152590 */   GIR_RootConstrainSelectedInstOperands,
     /*  152591 */   // GIR_Coverage, 1409,
     /*  152591 */   GIR_EraseRootFromParent_Done,
     /*  152592 */ // Label 2800: @152592
     /*  152592 */ GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(152623), // Rule ID 1437 //
     /*  152597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152611 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152621 */   GIR_RootConstrainSelectedInstOperands,
     /*  152622 */   // GIR_Coverage, 1437,
     /*  152622 */   GIR_EraseRootFromParent_Done,
     /*  152623 */ // Label 2801: @152623
     /*  152623 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(152654), // Rule ID 1807 //
     /*  152628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152642 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152652 */   GIR_RootConstrainSelectedInstOperands,
     /*  152653 */   // GIR_Coverage, 1807,
     /*  152653 */   GIR_EraseRootFromParent_Done,
     /*  152654 */ // Label 2802: @152654
     /*  152654 */ GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(152685), // Rule ID 1835 //
     /*  152659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152673 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152683 */   GIR_RootConstrainSelectedInstOperands,
     /*  152684 */   // GIR_Coverage, 1835,
     /*  152684 */   GIR_EraseRootFromParent_Done,
     /*  152685 */ // Label 2803: @152685
     /*  152685 */ GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(152716), // Rule ID 2143 //
     /*  152690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152704 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152714 */   GIR_RootConstrainSelectedInstOperands,
     /*  152715 */   // GIR_Coverage, 2143,
     /*  152715 */   GIR_EraseRootFromParent_Done,
     /*  152716 */ // Label 2804: @152716
     /*  152716 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(152747), // Rule ID 2169 //
     /*  152721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152735 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152740 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152745 */   GIR_RootConstrainSelectedInstOperands,
     /*  152746 */   // GIR_Coverage, 2169,
     /*  152746 */   GIR_EraseRootFromParent_Done,
     /*  152747 */ // Label 2805: @152747
     /*  152747 */ GIM_Reject,
     /*  152748 */ // Label 2787: @152748
     /*  152748 */ GIM_Reject,
     /*  152749 */ // Label 17: @152749
     /*  152749 */ GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(152958),
     /*  152754 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152757 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2810*/ GIMT_Encode4(152957),
     /*  152768 */   /*GILLT_s16*//*Label 2807*/ GIMT_Encode4(152780),
     /*  152772 */   /*GILLT_s32*//*Label 2808*/ GIMT_Encode4(152839),
     /*  152776 */   /*GILLT_s64*//*Label 2809*/ GIMT_Encode4(152898),
     /*  152780 */   // Label 2807: @152780
     /*  152780 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(152838),
     /*  152785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152789 */     GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(152813), // Rule ID 2145 //
     /*  152794 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152797 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152801 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152801 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152804 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152806 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152808 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152811 */       GIR_RootConstrainSelectedInstOperands,
     /*  152812 */       // GIR_Coverage, 2145,
     /*  152812 */       GIR_EraseRootFromParent_Done,
     /*  152813 */     // Label 2812: @152813
     /*  152813 */     GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(152837), // Rule ID 2171 //
     /*  152818 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152821 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152825 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152825 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152828 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152830 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152832 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152835 */       GIR_RootConstrainSelectedInstOperands,
     /*  152836 */       // GIR_Coverage, 2171,
     /*  152836 */       GIR_EraseRootFromParent_Done,
     /*  152837 */     // Label 2813: @152837
     /*  152837 */     GIM_Reject,
     /*  152838 */   // Label 2811: @152838
     /*  152838 */   GIM_Reject,
     /*  152839 */   // Label 2808: @152839
     /*  152839 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(152897),
     /*  152844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152848 */     GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(152872), // Rule ID 1411 //
     /*  152853 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152856 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152860 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152860 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152863 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152865 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152867 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152870 */       GIR_RootConstrainSelectedInstOperands,
     /*  152871 */       // GIR_Coverage, 1411,
     /*  152871 */       GIR_EraseRootFromParent_Done,
     /*  152872 */     // Label 2815: @152872
     /*  152872 */     GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(152896), // Rule ID 1439 //
     /*  152877 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152880 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152884 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152884 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152887 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152889 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152891 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152894 */       GIR_RootConstrainSelectedInstOperands,
     /*  152895 */       // GIR_Coverage, 1439,
     /*  152895 */       GIR_EraseRootFromParent_Done,
     /*  152896 */     // Label 2816: @152896
     /*  152896 */     GIM_Reject,
     /*  152897 */   // Label 2814: @152897
     /*  152897 */   GIM_Reject,
     /*  152898 */   // Label 2809: @152898
     /*  152898 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(152956),
     /*  152903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152907 */     GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(152931), // Rule ID 1809 //
     /*  152912 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152915 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152919 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152919 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152922 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152924 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152926 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152929 */       GIR_RootConstrainSelectedInstOperands,
     /*  152930 */       // GIR_Coverage, 1809,
     /*  152930 */       GIR_EraseRootFromParent_Done,
     /*  152931 */     // Label 2818: @152931
     /*  152931 */     GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(152955), // Rule ID 1837 //
     /*  152936 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152939 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152943 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152943 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152946 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152948 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152950 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152953 */       GIR_RootConstrainSelectedInstOperands,
     /*  152954 */       // GIR_Coverage, 1837,
     /*  152954 */       GIR_EraseRootFromParent_Done,
     /*  152955 */     // Label 2819: @152955
     /*  152955 */     GIM_Reject,
     /*  152956 */   // Label 2817: @152956
     /*  152956 */   GIM_Reject,
     /*  152957 */   // Label 2810: @152957
     /*  152957 */   GIM_Reject,
     /*  152958 */ // Label 2806: @152958
     /*  152958 */ GIM_Reject,
     /*  152959 */ // Label 18: @152959
     /*  152959 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2823*/ GIMT_Encode4(153156),
     /*  152970 */ /*GILLT_s16*//*Label 2820*/ GIMT_Encode4(152982),
     /*  152974 */ /*GILLT_s32*//*Label 2821*/ GIMT_Encode4(153040),
     /*  152978 */ /*GILLT_s64*//*Label 2822*/ GIMT_Encode4(153098),
     /*  152982 */ // Label 2820: @152982
     /*  152982 */ GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(153039),
     /*  152987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152998 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(153018), // Rule ID 2314 //
     /*  153003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  153006 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  153006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153016 */     GIR_RootConstrainSelectedInstOperands,
     /*  153017 */     // GIR_Coverage, 2314,
     /*  153017 */     GIR_EraseRootFromParent_Done,
     /*  153018 */   // Label 2825: @153018
     /*  153018 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(153038), // Rule ID 2315 //
     /*  153023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  153026 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  153026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153036 */     GIR_RootConstrainSelectedInstOperands,
     /*  153037 */     // GIR_Coverage, 2315,
     /*  153037 */     GIR_EraseRootFromParent_Done,
     /*  153038 */   // Label 2826: @153038
     /*  153038 */   GIM_Reject,
     /*  153039 */ // Label 2824: @153039
     /*  153039 */ GIM_Reject,
     /*  153040 */ // Label 2821: @153040
     /*  153040 */ GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(153097),
     /*  153045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  153048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153056 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(153076), // Rule ID 2232 //
     /*  153061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  153064 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  153064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153074 */     GIR_RootConstrainSelectedInstOperands,
     /*  153075 */     // GIR_Coverage, 2232,
     /*  153075 */     GIR_EraseRootFromParent_Done,
     /*  153076 */   // Label 2828: @153076
     /*  153076 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(153096), // Rule ID 2233 //
     /*  153081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  153084 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  153084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153094 */     GIR_RootConstrainSelectedInstOperands,
     /*  153095 */     // GIR_Coverage, 2233,
     /*  153095 */     GIR_EraseRootFromParent_Done,
     /*  153096 */   // Label 2829: @153096
     /*  153096 */   GIM_Reject,
     /*  153097 */ // Label 2827: @153097
     /*  153097 */ GIM_Reject,
     /*  153098 */ // Label 2822: @153098
     /*  153098 */ GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(153155),
     /*  153103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  153106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153114 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(153134), // Rule ID 2272 //
     /*  153119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  153122 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  153122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153132 */     GIR_RootConstrainSelectedInstOperands,
     /*  153133 */     // GIR_Coverage, 2272,
     /*  153133 */     GIR_EraseRootFromParent_Done,
     /*  153134 */   // Label 2831: @153134
     /*  153134 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(153154), // Rule ID 2273 //
     /*  153139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  153142 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  153142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153152 */     GIR_RootConstrainSelectedInstOperands,
     /*  153153 */     // GIR_Coverage, 2273,
     /*  153153 */     GIR_EraseRootFromParent_Done,
     /*  153154 */   // Label 2832: @153154
     /*  153154 */   GIM_Reject,
     /*  153155 */ // Label 2830: @153155
     /*  153155 */ GIM_Reject,
     /*  153156 */ // Label 2823: @153156
     /*  153156 */ GIM_Reject,
     /*  153157 */ // Label 19: @153157
     /*  153157 */ GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(153195), // Rule ID 281 //
     /*  153162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153165 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153172 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  153172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153177 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  153187 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153193 */   GIR_RootConstrainSelectedInstOperands,
     /*  153194 */   // GIR_Coverage, 281,
     /*  153194 */   GIR_EraseRootFromParent_Done,
     /*  153195 */ // Label 2833: @153195
     /*  153195 */ GIM_Reject,
     /*  153196 */ // Label 20: @153196
     /*  153196 */ GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(153234), // Rule ID 282 //
     /*  153201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153204 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153211 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  153211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153216 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  153226 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153232 */   GIR_RootConstrainSelectedInstOperands,
     /*  153233 */   // GIR_Coverage, 282,
     /*  153233 */   GIR_EraseRootFromParent_Done,
     /*  153234 */ // Label 2834: @153234
     /*  153234 */ GIM_Reject,
     /*  153235 */ // Label 21: @153235
     /*  153235 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2869*/ GIMT_Encode4(163414),
     /*  153246 */ /*GILLT_p0s32*//*Label 2835*/ GIMT_Encode4(153382),
     /*  153250 */ /*GILLT_p0s64*//*Label 2836*/ GIMT_Encode4(153476),
     /*  153254 */ /*GILLT_s16*//*Label 2837*/ GIMT_Encode4(153570),
     /*  153258 */ /*GILLT_s32*//*Label 2838*/ GIMT_Encode4(154225),
     /*  153262 */ /*GILLT_s64*//*Label 2839*/ GIMT_Encode4(156984),
     /*  153266 */ /*GILLT_nxv1s1*//*Label 2840*/ GIMT_Encode4(158108),
     /*  153270 */ /*GILLT_nxv1s8*//*Label 2841*/ GIMT_Encode4(158228),
     /*  153274 */ /*GILLT_nxv1s16*//*Label 2842*/ GIMT_Encode4(158356),
     /*  153278 */ /*GILLT_nxv1s32*//*Label 2843*/ GIMT_Encode4(158594),
     /*  153282 */ /*GILLT_nxv1s64*//*Label 2844*/ GIMT_Encode4(158832),
     /*  153286 */ /*GILLT_nxv2s1*//*Label 2845*/ GIMT_Encode4(159070),
     /*  153290 */ /*GILLT_nxv2s8*//*Label 2846*/ GIMT_Encode4(159190),
     /*  153294 */ /*GILLT_nxv2s16*//*Label 2847*/ GIMT_Encode4(159318),
     /*  153298 */ /*GILLT_nxv2s32*//*Label 2848*/ GIMT_Encode4(159556),
     /*  153302 */ /*GILLT_nxv2s64*//*Label 2849*/ GIMT_Encode4(159794),
     /*  153306 */ /*GILLT_nxv4s1*//*Label 2850*/ GIMT_Encode4(160032),
     /*  153310 */ /*GILLT_nxv4s8*//*Label 2851*/ GIMT_Encode4(160152),
     /*  153314 */ /*GILLT_nxv4s16*//*Label 2852*/ GIMT_Encode4(160280),
     /*  153318 */ /*GILLT_nxv4s32*//*Label 2853*/ GIMT_Encode4(160518),
     /*  153322 */ /*GILLT_nxv4s64*//*Label 2854*/ GIMT_Encode4(160756),
     /*  153326 */ /*GILLT_nxv8s1*//*Label 2855*/ GIMT_Encode4(160994),
     /*  153330 */ /*GILLT_nxv8s8*//*Label 2856*/ GIMT_Encode4(161114),
     /*  153334 */ /*GILLT_nxv8s16*//*Label 2857*/ GIMT_Encode4(161242),
     /*  153338 */ /*GILLT_nxv8s32*//*Label 2858*/ GIMT_Encode4(161480),
     /*  153342 */ /*GILLT_nxv8s64*//*Label 2859*/ GIMT_Encode4(161718),
     /*  153346 */ /*GILLT_nxv16s1*//*Label 2860*/ GIMT_Encode4(161956),
     /*  153350 */ /*GILLT_nxv16s8*//*Label 2861*/ GIMT_Encode4(162076),
     /*  153354 */ /*GILLT_nxv16s16*//*Label 2862*/ GIMT_Encode4(162204),
     /*  153358 */ /*GILLT_nxv16s32*//*Label 2863*/ GIMT_Encode4(162442),
     /*  153362 */ /*GILLT_nxv32s1*//*Label 2864*/ GIMT_Encode4(162680),
     /*  153366 */ /*GILLT_nxv32s8*//*Label 2865*/ GIMT_Encode4(162800),
     /*  153370 */ /*GILLT_nxv32s16*//*Label 2866*/ GIMT_Encode4(162928),
     /*  153374 */ /*GILLT_nxv64s1*//*Label 2867*/ GIMT_Encode4(163166),
     /*  153378 */ /*GILLT_nxv64s8*//*Label 2868*/ GIMT_Encode4(163286),
     /*  153382 */ // Label 2835: @153382
     /*  153382 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(153475),
     /*  153387 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153390 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153398 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153402 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(153438), // Rule ID 64939 //
     /*  153407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  153410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153417 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153436 */     GIR_RootConstrainSelectedInstOperands,
     /*  153437 */     // GIR_Coverage, 64939,
     /*  153437 */     GIR_EraseRootFromParent_Done,
     /*  153438 */   // Label 2871: @153438
     /*  153438 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(153474), // Rule ID 64943 //
     /*  153443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  153446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153453 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153472 */     GIR_RootConstrainSelectedInstOperands,
     /*  153473 */     // GIR_Coverage, 64943,
     /*  153473 */     GIR_EraseRootFromParent_Done,
     /*  153474 */   // Label 2872: @153474
     /*  153474 */   GIM_Reject,
     /*  153475 */ // Label 2870: @153475
     /*  153475 */ GIM_Reject,
     /*  153476 */ // Label 2836: @153476
     /*  153476 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(153569),
     /*  153481 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153484 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153492 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153496 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(153532), // Rule ID 64938 //
     /*  153501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  153504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153511 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153530 */     GIR_RootConstrainSelectedInstOperands,
     /*  153531 */     // GIR_Coverage, 64938,
     /*  153531 */     GIR_EraseRootFromParent_Done,
     /*  153532 */   // Label 2874: @153532
     /*  153532 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(153568), // Rule ID 64942 //
     /*  153537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153547 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153566 */     GIR_RootConstrainSelectedInstOperands,
     /*  153567 */     // GIR_Coverage, 64942,
     /*  153567 */     GIR_EraseRootFromParent_Done,
     /*  153568 */   // Label 2875: @153568
     /*  153568 */   GIM_Reject,
     /*  153569 */ // Label 2873: @153569
     /*  153569 */ GIM_Reject,
     /*  153570 */ // Label 2837: @153570
     /*  153570 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(153621), // Rule ID 2040 //
     /*  153575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  153578 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153581 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153600 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153615 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153619 */   GIR_RootConstrainSelectedInstOperands,
     /*  153620 */   // GIR_Coverage, 2040,
     /*  153620 */   GIR_EraseRootFromParent_Done,
     /*  153621 */ // Label 2876: @153621
     /*  153621 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(153672), // Rule ID 2041 //
     /*  153626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  153629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153632 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153640 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153644 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153651 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153661 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153666 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153670 */   GIR_RootConstrainSelectedInstOperands,
     /*  153671 */   // GIR_Coverage, 2041,
     /*  153671 */   GIR_EraseRootFromParent_Done,
     /*  153672 */ // Label 2877: @153672
     /*  153672 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(153723), // Rule ID 2046 //
     /*  153677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  153680 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153683 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153691 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153695 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153702 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153707 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153712 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153717 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153721 */   GIR_RootConstrainSelectedInstOperands,
     /*  153722 */   // GIR_Coverage, 2046,
     /*  153722 */   GIR_EraseRootFromParent_Done,
     /*  153723 */ // Label 2878: @153723
     /*  153723 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(153774), // Rule ID 2047 //
     /*  153728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  153731 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153734 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153742 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153746 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153753 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153772 */   GIR_RootConstrainSelectedInstOperands,
     /*  153773 */   // GIR_Coverage, 2047,
     /*  153773 */   GIR_EraseRootFromParent_Done,
     /*  153774 */ // Label 2879: @153774
     /*  153774 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(153825), // Rule ID 64946 //
     /*  153779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153785 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153793 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153797 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153804 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153814 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153819 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153823 */   GIR_RootConstrainSelectedInstOperands,
     /*  153824 */   // GIR_Coverage, 64946,
     /*  153824 */   GIR_EraseRootFromParent_Done,
     /*  153825 */ // Label 2880: @153825
     /*  153825 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(153876), // Rule ID 64947 //
     /*  153830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  153833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153836 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153844 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153848 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153855 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153860 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153865 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153870 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153874 */   GIR_RootConstrainSelectedInstOperands,
     /*  153875 */   // GIR_Coverage, 64947,
     /*  153875 */   GIR_EraseRootFromParent_Done,
     /*  153876 */ // Label 2881: @153876
     /*  153876 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(153934), // Rule ID 64950 //
     /*  153881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153884 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153887 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153891 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153902 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153906 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153913 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  153916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153928 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153932 */   GIR_RootConstrainSelectedInstOperands,
     /*  153933 */   // GIR_Coverage, 64950,
     /*  153933 */   GIR_EraseRootFromParent_Done,
     /*  153934 */ // Label 2882: @153934
     /*  153934 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(153992), // Rule ID 64951 //
     /*  153939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  153942 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153945 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153949 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153960 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153964 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153971 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  153974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153981 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153986 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153990 */   GIR_RootConstrainSelectedInstOperands,
     /*  153991 */   // GIR_Coverage, 64951,
     /*  153991 */   GIR_EraseRootFromParent_Done,
     /*  153992 */ // Label 2883: @153992
     /*  153992 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(154050), // Rule ID 64954 //
     /*  153997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  154000 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154003 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154007 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154018 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154022 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154029 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  154032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154034 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154048 */   GIR_RootConstrainSelectedInstOperands,
     /*  154049 */   // GIR_Coverage, 64954,
     /*  154049 */   GIR_EraseRootFromParent_Done,
     /*  154050 */ // Label 2884: @154050
     /*  154050 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(154108), // Rule ID 64955 //
     /*  154055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  154058 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154061 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154065 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154076 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154080 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154087 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  154090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154102 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154106 */   GIR_RootConstrainSelectedInstOperands,
     /*  154107 */   // GIR_Coverage, 64955,
     /*  154107 */   GIR_EraseRootFromParent_Done,
     /*  154108 */ // Label 2885: @154108
     /*  154108 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(154166), // Rule ID 64956 //
     /*  154113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  154116 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154119 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154123 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154134 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154138 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154145 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154160 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154164 */   GIR_RootConstrainSelectedInstOperands,
     /*  154165 */   // GIR_Coverage, 64956,
     /*  154165 */   GIR_EraseRootFromParent_Done,
     /*  154166 */ // Label 2886: @154166
     /*  154166 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(154224), // Rule ID 64957 //
     /*  154171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  154174 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154177 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154181 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154192 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154196 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154203 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154208 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154222 */   GIR_RootConstrainSelectedInstOperands,
     /*  154223 */   // GIR_Coverage, 64957,
     /*  154223 */   GIR_EraseRootFromParent_Done,
     /*  154224 */ // Label 2887: @154224
     /*  154224 */ GIM_Reject,
     /*  154225 */ // Label 2838: @154225
     /*  154225 */ GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(154336), // Rule ID 73954 //
     /*  154230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154233 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154236 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154251 */   // MIs[0] Operand 1
     /*  154251 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154255 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154259 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154263 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154267 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154271 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154275 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154279 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154283 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154287 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154292 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154296 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154300 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154304 */   // MIs[3] Operand 1
     /*  154304 */   // No operand predicates
     /*  154304 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154309 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154311 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154316 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154320 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154324 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154334 */   GIR_RootConstrainSelectedInstOperands,
     /*  154335 */   // GIR_Coverage, 73954,
     /*  154335 */   GIR_EraseRootFromParent_Done,
     /*  154336 */ // Label 2888: @154336
     /*  154336 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(154447), // Rule ID 73955 //
     /*  154341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154344 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154347 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154351 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154362 */   // MIs[0] Operand 1
     /*  154362 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154366 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154370 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154374 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154378 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154382 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154386 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154390 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154394 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154398 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154403 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154407 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154411 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154415 */   // MIs[3] Operand 1
     /*  154415 */   // No operand predicates
     /*  154415 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154420 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154422 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154427 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154431 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154435 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154438 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154445 */   GIR_RootConstrainSelectedInstOperands,
     /*  154446 */   // GIR_Coverage, 73955,
     /*  154446 */   GIR_EraseRootFromParent_Done,
     /*  154447 */ // Label 2889: @154447
     /*  154447 */ GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(154558), // Rule ID 73958 //
     /*  154452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154458 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154462 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154473 */   // MIs[0] Operand 1
     /*  154473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154477 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154481 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154485 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154489 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154493 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154497 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154501 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154505 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154509 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154514 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154518 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154522 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154526 */   // MIs[3] Operand 1
     /*  154526 */   // No operand predicates
     /*  154526 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154531 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154533 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154538 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154542 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154546 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154549 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154556 */   GIR_RootConstrainSelectedInstOperands,
     /*  154557 */   // GIR_Coverage, 73958,
     /*  154557 */   GIR_EraseRootFromParent_Done,
     /*  154558 */ // Label 2890: @154558
     /*  154558 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(154669), // Rule ID 73959 //
     /*  154563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154566 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154569 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154573 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154584 */   // MIs[0] Operand 1
     /*  154584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154588 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154592 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154596 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154600 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154604 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154608 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154612 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154616 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154620 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154625 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154629 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154633 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154637 */   // MIs[3] Operand 1
     /*  154637 */   // No operand predicates
     /*  154637 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154642 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154644 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154649 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154653 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154657 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154660 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154667 */   GIR_RootConstrainSelectedInstOperands,
     /*  154668 */   // GIR_Coverage, 73959,
     /*  154668 */   GIR_EraseRootFromParent_Done,
     /*  154669 */ // Label 2891: @154669
     /*  154669 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(154773), // Rule ID 73960 //
     /*  154674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154677 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154680 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154688 */   // MIs[0] Operand 1
     /*  154688 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154692 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154696 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154700 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154704 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154708 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154712 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154716 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154720 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154724 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154729 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154733 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154737 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154741 */   // MIs[3] Operand 1
     /*  154741 */   // No operand predicates
     /*  154741 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154746 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154748 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154753 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154757 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154761 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154764 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154771 */   GIR_RootConstrainSelectedInstOperands,
     /*  154772 */   // GIR_Coverage, 73960,
     /*  154772 */   GIR_EraseRootFromParent_Done,
     /*  154773 */ // Label 2892: @154773
     /*  154773 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(154877), // Rule ID 73961 //
     /*  154778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154781 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154784 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154792 */   // MIs[0] Operand 1
     /*  154792 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154796 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154800 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154804 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154808 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154812 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154816 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154820 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154824 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154828 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154833 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154837 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154841 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154845 */   // MIs[3] Operand 1
     /*  154845 */   // No operand predicates
     /*  154845 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154850 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154852 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154857 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154861 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154865 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154868 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154875 */   GIR_RootConstrainSelectedInstOperands,
     /*  154876 */   // GIR_Coverage, 73961,
     /*  154876 */   GIR_EraseRootFromParent_Done,
     /*  154877 */ // Label 2893: @154877
     /*  154877 */ GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(154988), // Rule ID 64469 //
     /*  154882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154885 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154888 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154892 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154903 */   // MIs[0] Operand 1
     /*  154903 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154907 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154911 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154915 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154919 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154923 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154928 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154932 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154936 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154940 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154944 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154949 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154953 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154957 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154961 */   // MIs[3] Operand 1
     /*  154961 */   // No operand predicates
     /*  154961 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154963 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154968 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154972 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154976 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154979 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154986 */   GIR_RootConstrainSelectedInstOperands,
     /*  154987 */   // GIR_Coverage, 64469,
     /*  154987 */   GIR_EraseRootFromParent_Done,
     /*  154988 */ // Label 2894: @154988
     /*  154988 */ GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(155099), // Rule ID 64470 //
     /*  154993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154996 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154999 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155003 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155014 */   // MIs[0] Operand 1
     /*  155014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155018 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155022 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155026 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155030 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155034 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155039 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155043 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155047 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155051 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155055 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155060 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155064 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155068 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155072 */   // MIs[3] Operand 1
     /*  155072 */   // No operand predicates
     /*  155072 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155074 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  155077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155079 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155083 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155087 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155090 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155097 */   GIR_RootConstrainSelectedInstOperands,
     /*  155098 */   // GIR_Coverage, 64470,
     /*  155098 */   GIR_EraseRootFromParent_Done,
     /*  155099 */ // Label 2895: @155099
     /*  155099 */ GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(155210), // Rule ID 64473 //
     /*  155104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155110 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155114 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155125 */   // MIs[0] Operand 1
     /*  155125 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155129 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155133 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155137 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155141 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155145 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155150 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155154 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155158 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155162 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155166 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155171 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155175 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155179 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155183 */   // MIs[3] Operand 1
     /*  155183 */   // No operand predicates
     /*  155183 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155185 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155190 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155194 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155198 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155201 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155208 */   GIR_RootConstrainSelectedInstOperands,
     /*  155209 */   // GIR_Coverage, 64473,
     /*  155209 */   GIR_EraseRootFromParent_Done,
     /*  155210 */ // Label 2896: @155210
     /*  155210 */ GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(155321), // Rule ID 64474 //
     /*  155215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155218 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155221 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155225 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155236 */   // MIs[0] Operand 1
     /*  155236 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155240 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155244 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155248 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155252 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155256 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155261 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155265 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155269 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155273 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155277 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155282 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155286 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155290 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155294 */   // MIs[3] Operand 1
     /*  155294 */   // No operand predicates
     /*  155294 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155296 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155301 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155305 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155309 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155312 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155319 */   GIR_RootConstrainSelectedInstOperands,
     /*  155320 */   // GIR_Coverage, 64474,
     /*  155320 */   GIR_EraseRootFromParent_Done,
     /*  155321 */ // Label 2897: @155321
     /*  155321 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(155425), // Rule ID 64475 //
     /*  155326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155329 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155332 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155340 */   // MIs[0] Operand 1
     /*  155340 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155344 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155348 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155352 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155356 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155360 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155365 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155369 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155373 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155377 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155381 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155386 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155390 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155394 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155398 */   // MIs[3] Operand 1
     /*  155398 */   // No operand predicates
     /*  155398 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155400 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155405 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155409 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155413 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155416 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155423 */   GIR_RootConstrainSelectedInstOperands,
     /*  155424 */   // GIR_Coverage, 64475,
     /*  155424 */   GIR_EraseRootFromParent_Done,
     /*  155425 */ // Label 2898: @155425
     /*  155425 */ GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(155529), // Rule ID 64476 //
     /*  155430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155433 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155436 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155444 */   // MIs[0] Operand 1
     /*  155444 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155448 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155452 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155456 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155460 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155464 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155469 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155473 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155477 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155481 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155485 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155490 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155494 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155498 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155502 */   // MIs[3] Operand 1
     /*  155502 */   // No operand predicates
     /*  155502 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155504 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155509 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155513 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155517 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155520 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155527 */   GIR_RootConstrainSelectedInstOperands,
     /*  155528 */   // GIR_Coverage, 64476,
     /*  155528 */   GIR_EraseRootFromParent_Done,
     /*  155529 */ // Label 2899: @155529
     /*  155529 */ GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(155587), // Rule ID 227 //
     /*  155534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155537 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155540 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155544 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155555 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155559 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155566 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  155569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155571 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155581 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155585 */   GIR_RootConstrainSelectedInstOperands,
     /*  155586 */   // GIR_Coverage, 227,
     /*  155586 */   GIR_EraseRootFromParent_Done,
     /*  155587 */ // Label 2900: @155587
     /*  155587 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(155645), // Rule ID 231 //
     /*  155592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155595 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155598 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155602 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155613 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155617 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155624 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155643 */   GIR_RootConstrainSelectedInstOperands,
     /*  155644 */   // GIR_Coverage, 231,
     /*  155644 */   GIR_EraseRootFromParent_Done,
     /*  155645 */ // Label 2901: @155645
     /*  155645 */ GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(155696), // Rule ID 232 //
     /*  155650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155653 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155656 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155675 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155690 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155694 */   GIR_RootConstrainSelectedInstOperands,
     /*  155695 */   // GIR_Coverage, 232,
     /*  155695 */   GIR_EraseRootFromParent_Done,
     /*  155696 */ // Label 2902: @155696
     /*  155696 */ GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(155747), // Rule ID 233 //
     /*  155701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155704 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155707 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155715 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155719 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155726 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155741 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155745 */   GIR_RootConstrainSelectedInstOperands,
     /*  155746 */   // GIR_Coverage, 233,
     /*  155746 */   GIR_EraseRootFromParent_Done,
     /*  155747 */ // Label 2903: @155747
     /*  155747 */ GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(155808), // Rule ID 314 //
     /*  155752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155755 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155758 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155762 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155769 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155776 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155780 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155787 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10079>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  155790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155802 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155806 */   GIR_RootConstrainSelectedInstOperands,
     /*  155807 */   // GIR_Coverage, 314,
     /*  155807 */   GIR_EraseRootFromParent_Done,
     /*  155808 */ // Label 2904: @155808
     /*  155808 */ GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(155869), // Rule ID 318 //
     /*  155813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155816 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155819 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155823 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155830 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155837 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155841 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155848 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10081>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155863 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155867 */   GIR_RootConstrainSelectedInstOperands,
     /*  155868 */   // GIR_Coverage, 318,
     /*  155868 */   GIR_EraseRootFromParent_Done,
     /*  155869 */ // Label 2905: @155869
     /*  155869 */ GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(155930), // Rule ID 332 //
     /*  155874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  155877 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155880 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155884 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155891 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155898 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155902 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155909 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10093>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155919 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155924 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155928 */   GIR_RootConstrainSelectedInstOperands,
     /*  155929 */   // GIR_Coverage, 332,
     /*  155929 */   GIR_EraseRootFromParent_Done,
     /*  155930 */ // Label 2906: @155930
     /*  155930 */ GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(155991), // Rule ID 334 //
     /*  155935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  155938 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155941 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155945 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155952 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155959 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155963 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155970 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10095>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155975 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155985 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155989 */   GIR_RootConstrainSelectedInstOperands,
     /*  155990 */   // GIR_Coverage, 334,
     /*  155990 */   GIR_EraseRootFromParent_Done,
     /*  155991 */ // Label 2907: @155991
     /*  155991 */ GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(156042), // Rule ID 1327 //
     /*  155996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  155999 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156002 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156010 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156014 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156021 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156026 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156031 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156040 */   GIR_RootConstrainSelectedInstOperands,
     /*  156041 */   // GIR_Coverage, 1327,
     /*  156041 */   GIR_EraseRootFromParent_Done,
     /*  156042 */ // Label 2908: @156042
     /*  156042 */ GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(156093), // Rule ID 1328 //
     /*  156047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  156050 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156053 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156061 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156065 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156072 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156091 */   GIR_RootConstrainSelectedInstOperands,
     /*  156092 */   // GIR_Coverage, 1328,
     /*  156092 */   GIR_EraseRootFromParent_Done,
     /*  156093 */ // Label 2909: @156093
     /*  156093 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(156144), // Rule ID 1333 //
     /*  156098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  156101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156104 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156112 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156116 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156123 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156128 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156133 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156138 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156142 */   GIR_RootConstrainSelectedInstOperands,
     /*  156143 */   // GIR_Coverage, 1333,
     /*  156143 */   GIR_EraseRootFromParent_Done,
     /*  156144 */ // Label 2910: @156144
     /*  156144 */ GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(156195), // Rule ID 1334 //
     /*  156149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  156152 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156155 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156163 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156167 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156174 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156179 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156184 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156189 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156193 */   GIR_RootConstrainSelectedInstOperands,
     /*  156194 */   // GIR_Coverage, 1334,
     /*  156194 */   GIR_EraseRootFromParent_Done,
     /*  156195 */ // Label 2911: @156195
     /*  156195 */ GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(156253), // Rule ID 64962 //
     /*  156200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  156203 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156206 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156210 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156221 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156225 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156232 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156242 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156247 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156251 */   GIR_RootConstrainSelectedInstOperands,
     /*  156252 */   // GIR_Coverage, 64962,
     /*  156252 */   GIR_EraseRootFromParent_Done,
     /*  156253 */ // Label 2912: @156253
     /*  156253 */ GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(156311), // Rule ID 64963 //
     /*  156258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  156261 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156264 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156268 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156279 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156283 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156290 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156295 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156300 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156305 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156309 */   GIR_RootConstrainSelectedInstOperands,
     /*  156310 */   // GIR_Coverage, 64963,
     /*  156310 */   GIR_EraseRootFromParent_Done,
     /*  156311 */ // Label 2913: @156311
     /*  156311 */ GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(156369), // Rule ID 64966 //
     /*  156316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156319 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156322 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156326 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156337 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156341 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156348 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156358 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156363 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156367 */   GIR_RootConstrainSelectedInstOperands,
     /*  156368 */   // GIR_Coverage, 64966,
     /*  156368 */   GIR_EraseRootFromParent_Done,
     /*  156369 */ // Label 2914: @156369
     /*  156369 */ GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(156427), // Rule ID 64967 //
     /*  156374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156377 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156380 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156384 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156395 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156399 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156406 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156411 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156421 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156425 */   GIR_RootConstrainSelectedInstOperands,
     /*  156426 */   // GIR_Coverage, 64967,
     /*  156426 */   GIR_EraseRootFromParent_Done,
     /*  156427 */ // Label 2915: @156427
     /*  156427 */ GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(156485), // Rule ID 64968 //
     /*  156432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156435 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156438 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156442 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156453 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156457 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156464 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156479 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156483 */   GIR_RootConstrainSelectedInstOperands,
     /*  156484 */   // GIR_Coverage, 64968,
     /*  156484 */   GIR_EraseRootFromParent_Done,
     /*  156485 */ // Label 2916: @156485
     /*  156485 */ GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(156543), // Rule ID 64969 //
     /*  156490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156493 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156496 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156500 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156511 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156515 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156522 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156537 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156541 */   GIR_RootConstrainSelectedInstOperands,
     /*  156542 */   // GIR_Coverage, 64969,
     /*  156542 */   GIR_EraseRootFromParent_Done,
     /*  156543 */ // Label 2917: @156543
     /*  156543 */ GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(156587), // Rule ID 1090 //
     /*  156548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156551 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156554 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156558 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156565 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156572 */   // MIs[0] rs1
     /*  156572 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156580 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156580 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156585 */   GIR_RootConstrainSelectedInstOperands,
     /*  156586 */   // GIR_Coverage, 1090,
     /*  156586 */   GIR_Done,
     /*  156587 */ // Label 2918: @156587
     /*  156587 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(156631), // Rule ID 1094 //
     /*  156592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156595 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156598 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156602 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156609 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156616 */   // MIs[0] rs1
     /*  156616 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156624 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10585>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156624 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156629 */   GIR_RootConstrainSelectedInstOperands,
     /*  156630 */   // GIR_Coverage, 1094,
     /*  156630 */   GIR_Done,
     /*  156631 */ // Label 2919: @156631
     /*  156631 */ GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(156675), // Rule ID 1098 //
     /*  156636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156639 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156642 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156646 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156653 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156660 */   // MIs[0] rs1
     /*  156660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156668 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156668 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156673 */   GIR_RootConstrainSelectedInstOperands,
     /*  156674 */   // GIR_Coverage, 1098,
     /*  156674 */   GIR_Done,
     /*  156675 */ // Label 2920: @156675
     /*  156675 */ GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(156719), // Rule ID 1102 //
     /*  156680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156683 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156686 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156690 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156697 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156704 */   // MIs[0] rs1
     /*  156704 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156712 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10589>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156712 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156717 */   GIR_RootConstrainSelectedInstOperands,
     /*  156718 */   // GIR_Coverage, 1102,
     /*  156718 */   GIR_Done,
     /*  156719 */ // Label 2921: @156719
     /*  156719 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(156763), // Rule ID 1118 //
     /*  156724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156727 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156730 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156734 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156741 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156748 */   // MIs[0] rs1
     /*  156748 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156756 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156756 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156761 */   GIR_RootConstrainSelectedInstOperands,
     /*  156762 */   // GIR_Coverage, 1118,
     /*  156762 */   GIR_Done,
     /*  156763 */ // Label 2922: @156763
     /*  156763 */ GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(156807), // Rule ID 1120 //
     /*  156768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156771 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156774 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156778 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156785 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156792 */   // MIs[0] rs1
     /*  156792 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156800 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156800 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156805 */   GIR_RootConstrainSelectedInstOperands,
     /*  156806 */   // GIR_Coverage, 1120,
     /*  156806 */   GIR_Done,
     /*  156807 */ // Label 2923: @156807
     /*  156807 */ GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(156851), // Rule ID 1122 //
     /*  156812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156815 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156818 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156822 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156829 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156836 */   // MIs[0] rs1
     /*  156836 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156844 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156844 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156849 */   GIR_RootConstrainSelectedInstOperands,
     /*  156850 */   // GIR_Coverage, 1122,
     /*  156850 */   GIR_Done,
     /*  156851 */ // Label 2924: @156851
     /*  156851 */ GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(156895), // Rule ID 1126 //
     /*  156856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156859 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156862 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156866 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156873 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156880 */   // MIs[0] rs1
     /*  156880 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156888 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10609>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156888 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156893 */   GIR_RootConstrainSelectedInstOperands,
     /*  156894 */   // GIR_Coverage, 1126,
     /*  156894 */   GIR_Done,
     /*  156895 */ // Label 2925: @156895
     /*  156895 */ GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(156939), // Rule ID 1130 //
     /*  156900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156903 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156906 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156910 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156917 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156924 */   // MIs[0] rs1
     /*  156924 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156932 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10611>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156932 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156937 */   GIR_RootConstrainSelectedInstOperands,
     /*  156938 */   // GIR_Coverage, 1130,
     /*  156938 */   GIR_Done,
     /*  156939 */ // Label 2926: @156939
     /*  156939 */ GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(156983), // Rule ID 1132 //
     /*  156944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156947 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156950 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156954 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156968 */   // MIs[0] rs1
     /*  156968 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156976 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10613>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156976 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156981 */   GIR_RootConstrainSelectedInstOperands,
     /*  156982 */   // GIR_Coverage, 1132,
     /*  156982 */   GIR_Done,
     /*  156983 */ // Label 2927: @156983
     /*  156983 */ GIM_Reject,
     /*  156984 */ // Label 2839: @156984
     /*  156984 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(157042), // Rule ID 226 //
     /*  156989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  156992 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156995 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156999 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157010 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157014 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157021 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  157024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157026 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157031 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157040 */   GIR_RootConstrainSelectedInstOperands,
     /*  157041 */   // GIR_Coverage, 226,
     /*  157041 */   GIR_EraseRootFromParent_Done,
     /*  157042 */ // Label 2928: @157042
     /*  157042 */ GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(157100), // Rule ID 230 //
     /*  157047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157050 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157053 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157057 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157072 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157079 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157094 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157098 */   GIR_RootConstrainSelectedInstOperands,
     /*  157099 */   // GIR_Coverage, 230,
     /*  157099 */   GIR_EraseRootFromParent_Done,
     /*  157100 */ // Label 2929: @157100
     /*  157100 */ GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(157158), // Rule ID 276 //
     /*  157105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157108 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157111 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157115 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157126 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157130 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157137 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157142 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157152 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157156 */   GIR_RootConstrainSelectedInstOperands,
     /*  157157 */   // GIR_Coverage, 276,
     /*  157157 */   GIR_EraseRootFromParent_Done,
     /*  157158 */ // Label 2930: @157158
     /*  157158 */ GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(157209), // Rule ID 278 //
     /*  157163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157166 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157169 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157177 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157181 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157188 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157203 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157207 */   GIR_RootConstrainSelectedInstOperands,
     /*  157208 */   // GIR_Coverage, 278,
     /*  157208 */   GIR_EraseRootFromParent_Done,
     /*  157209 */ // Label 2931: @157209
     /*  157209 */ GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(157270), // Rule ID 313 //
     /*  157214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157217 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157220 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157224 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157231 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157238 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157242 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157249 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10079>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  157252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157254 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157264 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157268 */   GIR_RootConstrainSelectedInstOperands,
     /*  157269 */   // GIR_Coverage, 313,
     /*  157269 */   GIR_EraseRootFromParent_Done,
     /*  157270 */ // Label 2932: @157270
     /*  157270 */ GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(157331), // Rule ID 317 //
     /*  157275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157278 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157281 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157285 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157292 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157299 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157303 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157310 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10081>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157325 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157329 */   GIR_RootConstrainSelectedInstOperands,
     /*  157330 */   // GIR_Coverage, 317,
     /*  157330 */   GIR_EraseRootFromParent_Done,
     /*  157331 */ // Label 2933: @157331
     /*  157331 */ GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(157392), // Rule ID 331 //
     /*  157336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  157339 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157342 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157346 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157353 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157360 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157364 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157371 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10093>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157376 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157381 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157386 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157390 */   GIR_RootConstrainSelectedInstOperands,
     /*  157391 */   // GIR_Coverage, 331,
     /*  157391 */   GIR_EraseRootFromParent_Done,
     /*  157392 */ // Label 2934: @157392
     /*  157392 */ GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(157453), // Rule ID 333 //
     /*  157397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  157400 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157403 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157407 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157414 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157425 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157432 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10095>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157437 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157442 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157447 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157451 */   GIR_RootConstrainSelectedInstOperands,
     /*  157452 */   // GIR_Coverage, 333,
     /*  157452 */   GIR_EraseRootFromParent_Done,
     /*  157453 */ // Label 2935: @157453
     /*  157453 */ GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(157514), // Rule ID 339 //
     /*  157458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  157461 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157464 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157468 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157475 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157482 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157486 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157493 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10099>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157508 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157512 */   GIR_RootConstrainSelectedInstOperands,
     /*  157513 */   // GIR_Coverage, 339,
     /*  157513 */   GIR_EraseRootFromParent_Done,
     /*  157514 */ // Label 2936: @157514
     /*  157514 */ GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(157565), // Rule ID 1725 //
     /*  157519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  157522 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157525 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157533 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157537 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157544 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157554 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157559 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157563 */   GIR_RootConstrainSelectedInstOperands,
     /*  157564 */   // GIR_Coverage, 1725,
     /*  157564 */   GIR_EraseRootFromParent_Done,
     /*  157565 */ // Label 2937: @157565
     /*  157565 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(157616), // Rule ID 1726 //
     /*  157570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  157573 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157576 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157588 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157595 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157610 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157614 */   GIR_RootConstrainSelectedInstOperands,
     /*  157615 */   // GIR_Coverage, 1726,
     /*  157615 */   GIR_EraseRootFromParent_Done,
     /*  157616 */ // Label 2938: @157616
     /*  157616 */ GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(157667), // Rule ID 1730 //
     /*  157621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157624 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157627 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157635 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157639 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157646 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157661 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157665 */   GIR_RootConstrainSelectedInstOperands,
     /*  157666 */   // GIR_Coverage, 1730,
     /*  157666 */   GIR_EraseRootFromParent_Done,
     /*  157667 */ // Label 2939: @157667
     /*  157667 */ GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(157711), // Rule ID 1089 //
     /*  157672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157675 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157678 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157682 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157689 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157696 */   // MIs[0] rs1
     /*  157696 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157704 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157704 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157709 */   GIR_RootConstrainSelectedInstOperands,
     /*  157710 */   // GIR_Coverage, 1089,
     /*  157710 */   GIR_Done,
     /*  157711 */ // Label 2940: @157711
     /*  157711 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(157755), // Rule ID 1093 //
     /*  157716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157719 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157722 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157726 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157740 */   // MIs[0] rs1
     /*  157740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157748 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10585>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157753 */   GIR_RootConstrainSelectedInstOperands,
     /*  157754 */   // GIR_Coverage, 1093,
     /*  157754 */   GIR_Done,
     /*  157755 */ // Label 2941: @157755
     /*  157755 */ GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(157799), // Rule ID 1097 //
     /*  157760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157763 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157766 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157784 */   // MIs[0] rs1
     /*  157784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157792 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157792 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157797 */   GIR_RootConstrainSelectedInstOperands,
     /*  157798 */   // GIR_Coverage, 1097,
     /*  157798 */   GIR_Done,
     /*  157799 */ // Label 2942: @157799
     /*  157799 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(157843), // Rule ID 1101 //
     /*  157804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157807 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157810 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157814 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157821 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157828 */   // MIs[0] rs1
     /*  157828 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157836 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10589>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157836 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157841 */   GIR_RootConstrainSelectedInstOperands,
     /*  157842 */   // GIR_Coverage, 1101,
     /*  157842 */   GIR_Done,
     /*  157843 */ // Label 2943: @157843
     /*  157843 */ GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(157887), // Rule ID 1117 //
     /*  157848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157851 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157854 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157858 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157872 */   // MIs[0] rs1
     /*  157872 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157880 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157880 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157885 */   GIR_RootConstrainSelectedInstOperands,
     /*  157886 */   // GIR_Coverage, 1117,
     /*  157886 */   GIR_Done,
     /*  157887 */ // Label 2944: @157887
     /*  157887 */ GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(157931), // Rule ID 1119 //
     /*  157892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157895 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157902 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157916 */   // MIs[0] rs1
     /*  157916 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157924 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157924 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157929 */   GIR_RootConstrainSelectedInstOperands,
     /*  157930 */   // GIR_Coverage, 1119,
     /*  157930 */   GIR_Done,
     /*  157931 */ // Label 2945: @157931
     /*  157931 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(157975), // Rule ID 1121 //
     /*  157936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157939 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157942 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157946 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157953 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157960 */   // MIs[0] rs1
     /*  157960 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157968 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157968 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157973 */   GIR_RootConstrainSelectedInstOperands,
     /*  157974 */   // GIR_Coverage, 1121,
     /*  157974 */   GIR_Done,
     /*  157975 */ // Label 2946: @157975
     /*  157975 */ GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(158019), // Rule ID 1125 //
     /*  157980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157983 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157986 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157990 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157997 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  158000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158004 */   // MIs[0] rs1
     /*  158004 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158012 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10609>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158012 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  158017 */   GIR_RootConstrainSelectedInstOperands,
     /*  158018 */   // GIR_Coverage, 1125,
     /*  158018 */   GIR_Done,
     /*  158019 */ // Label 2947: @158019
     /*  158019 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158063), // Rule ID 1129 //
     /*  158024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  158027 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158030 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158034 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  158041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  158044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158048 */   // MIs[0] rs1
     /*  158048 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158056 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10611>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158056 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  158061 */   GIR_RootConstrainSelectedInstOperands,
     /*  158062 */   // GIR_Coverage, 1129,
     /*  158062 */   GIR_Done,
     /*  158063 */ // Label 2948: @158063
     /*  158063 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158107), // Rule ID 1131 //
     /*  158068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  158071 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158074 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  158085 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  158088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158092 */   // MIs[0] rs1
     /*  158092 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158100 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10613>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158100 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  158105 */   GIR_RootConstrainSelectedInstOperands,
     /*  158106 */   // GIR_Coverage, 1131,
     /*  158106 */   GIR_Done,
     /*  158107 */ // Label 2949: @158107
     /*  158107 */ GIM_Reject,
     /*  158108 */ // Label 2840: @158108
     /*  158108 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158227),
     /*  158113 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158116 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158132 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158179), // Rule ID 45620 //
     /*  158137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158140 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  158140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158177 */     GIR_RootConstrainSelectedInstOperands,
     /*  158178 */     // GIR_Coverage, 45620,
     /*  158178 */     GIR_EraseRootFromParent_Done,
     /*  158179 */   // Label 2951: @158179
     /*  158179 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(158226), // Rule ID 45621 //
     /*  158184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158187 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  158187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158224 */     GIR_RootConstrainSelectedInstOperands,
     /*  158225 */     // GIR_Coverage, 45621,
     /*  158225 */     GIR_EraseRootFromParent_Done,
     /*  158226 */   // Label 2952: @158226
     /*  158226 */   GIM_Reject,
     /*  158227 */ // Label 2950: @158227
     /*  158227 */ GIM_Reject,
     /*  158228 */ // Label 2841: @158228
     /*  158228 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(158355),
     /*  158233 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158236 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158244 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(158299), // Rule ID 45616 //
     /*  158249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158252 */     // MIs[0] rs1
     /*  158252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158260 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  158260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158297 */     GIR_RootConstrainSelectedInstOperands,
     /*  158298 */     // GIR_Coverage, 45616,
     /*  158298 */     GIR_EraseRootFromParent_Done,
     /*  158299 */   // Label 2954: @158299
     /*  158299 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(158354), // Rule ID 45617 //
     /*  158304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158307 */     // MIs[0] rs1
     /*  158307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158315 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  158315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158352 */     GIR_RootConstrainSelectedInstOperands,
     /*  158353 */     // GIR_Coverage, 45617,
     /*  158353 */     GIR_EraseRootFromParent_Done,
     /*  158354 */   // Label 2955: @158354
     /*  158354 */   GIM_Reject,
     /*  158355 */ // Label 2953: @158355
     /*  158355 */ GIM_Reject,
     /*  158356 */ // Label 2842: @158356
     /*  158356 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(158593),
     /*  158361 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158364 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158372 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(158427), // Rule ID 45812 //
     /*  158377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158380 */     // MIs[0] rs1
     /*  158380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158388 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158425 */     GIR_RootConstrainSelectedInstOperands,
     /*  158426 */     // GIR_Coverage, 45812,
     /*  158426 */     GIR_EraseRootFromParent_Done,
     /*  158427 */   // Label 2957: @158427
     /*  158427 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(158482), // Rule ID 45813 //
     /*  158432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158435 */     // MIs[0] rs1
     /*  158435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158443 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158480 */     GIR_RootConstrainSelectedInstOperands,
     /*  158481 */     // GIR_Coverage, 45813,
     /*  158481 */     GIR_EraseRootFromParent_Done,
     /*  158482 */   // Label 2958: @158482
     /*  158482 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(158537), // Rule ID 45888 //
     /*  158487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  158490 */     // MIs[0] rs1
     /*  158490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158498 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158535 */     GIR_RootConstrainSelectedInstOperands,
     /*  158536 */     // GIR_Coverage, 45888,
     /*  158536 */     GIR_EraseRootFromParent_Done,
     /*  158537 */   // Label 2959: @158537
     /*  158537 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(158592), // Rule ID 45889 //
     /*  158542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  158545 */     // MIs[0] rs1
     /*  158545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158553 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158590 */     GIR_RootConstrainSelectedInstOperands,
     /*  158591 */     // GIR_Coverage, 45889,
     /*  158591 */     GIR_EraseRootFromParent_Done,
     /*  158592 */   // Label 2960: @158592
     /*  158592 */   GIM_Reject,
     /*  158593 */ // Label 2956: @158593
     /*  158593 */ GIM_Reject,
     /*  158594 */ // Label 2843: @158594
     /*  158594 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(158831),
     /*  158599 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158602 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158610 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(158665), // Rule ID 45820 //
     /*  158615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158618 */     // MIs[0] rs1
     /*  158618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158626 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158663 */     GIR_RootConstrainSelectedInstOperands,
     /*  158664 */     // GIR_Coverage, 45820,
     /*  158664 */     GIR_EraseRootFromParent_Done,
     /*  158665 */   // Label 2962: @158665
     /*  158665 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(158720), // Rule ID 45821 //
     /*  158670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158673 */     // MIs[0] rs1
     /*  158673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158681 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158718 */     GIR_RootConstrainSelectedInstOperands,
     /*  158719 */     // GIR_Coverage, 45821,
     /*  158719 */     GIR_EraseRootFromParent_Done,
     /*  158720 */   // Label 2963: @158720
     /*  158720 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(158775), // Rule ID 45896 //
     /*  158725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  158728 */     // MIs[0] rs1
     /*  158728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158736 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158773 */     GIR_RootConstrainSelectedInstOperands,
     /*  158774 */     // GIR_Coverage, 45896,
     /*  158774 */     GIR_EraseRootFromParent_Done,
     /*  158775 */   // Label 2964: @158775
     /*  158775 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(158830), // Rule ID 45897 //
     /*  158780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  158783 */     // MIs[0] rs1
     /*  158783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158791 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158828 */     GIR_RootConstrainSelectedInstOperands,
     /*  158829 */     // GIR_Coverage, 45897,
     /*  158829 */     GIR_EraseRootFromParent_Done,
     /*  158830 */   // Label 2965: @158830
     /*  158830 */   GIM_Reject,
     /*  158831 */ // Label 2961: @158831
     /*  158831 */ GIM_Reject,
     /*  158832 */ // Label 2844: @158832
     /*  158832 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(159069),
     /*  158837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158848 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(158903), // Rule ID 45836 //
     /*  158853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158856 */     // MIs[0] rs1
     /*  158856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158864 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158901 */     GIR_RootConstrainSelectedInstOperands,
     /*  158902 */     // GIR_Coverage, 45836,
     /*  158902 */     GIR_EraseRootFromParent_Done,
     /*  158903 */   // Label 2967: @158903
     /*  158903 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(158958), // Rule ID 45837 //
     /*  158908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158911 */     // MIs[0] rs1
     /*  158911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158919 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158956 */     GIR_RootConstrainSelectedInstOperands,
     /*  158957 */     // GIR_Coverage, 45837,
     /*  158957 */     GIR_EraseRootFromParent_Done,
     /*  158958 */   // Label 2968: @158958
     /*  158958 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(159013), // Rule ID 45908 //
     /*  158963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  158966 */     // MIs[0] rs1
     /*  158966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158974 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159011 */     GIR_RootConstrainSelectedInstOperands,
     /*  159012 */     // GIR_Coverage, 45908,
     /*  159012 */     GIR_EraseRootFromParent_Done,
     /*  159013 */   // Label 2969: @159013
     /*  159013 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(159068), // Rule ID 45909 //
     /*  159018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159021 */     // MIs[0] rs1
     /*  159021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159029 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  159032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  159046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159066 */     GIR_RootConstrainSelectedInstOperands,
     /*  159067 */     // GIR_Coverage, 45909,
     /*  159067 */     GIR_EraseRootFromParent_Done,
     /*  159068 */   // Label 2970: @159068
     /*  159068 */   GIM_Reject,
     /*  159069 */ // Label 2966: @159069
     /*  159069 */ GIM_Reject,
     /*  159070 */ // Label 2845: @159070
     /*  159070 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(159189),
     /*  159075 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159078 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159086 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159094 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(159141), // Rule ID 45948 //
     /*  159099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159102 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  159102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159139 */     GIR_RootConstrainSelectedInstOperands,
     /*  159140 */     // GIR_Coverage, 45948,
     /*  159140 */     GIR_EraseRootFromParent_Done,
     /*  159141 */   // Label 2972: @159141
     /*  159141 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(159188), // Rule ID 45949 //
     /*  159146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159149 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  159149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159186 */     GIR_RootConstrainSelectedInstOperands,
     /*  159187 */     // GIR_Coverage, 45949,
     /*  159187 */     GIR_EraseRootFromParent_Done,
     /*  159188 */   // Label 2973: @159188
     /*  159188 */   GIM_Reject,
     /*  159189 */ // Label 2971: @159189
     /*  159189 */ GIM_Reject,
     /*  159190 */ // Label 2846: @159190
     /*  159190 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(159317),
     /*  159195 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159198 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159206 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(159261), // Rule ID 45804 //
     /*  159211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159214 */     // MIs[0] rs1
     /*  159214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159222 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  159222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159259 */     GIR_RootConstrainSelectedInstOperands,
     /*  159260 */     // GIR_Coverage, 45804,
     /*  159260 */     GIR_EraseRootFromParent_Done,
     /*  159261 */   // Label 2975: @159261
     /*  159261 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(159316), // Rule ID 45805 //
     /*  159266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159269 */     // MIs[0] rs1
     /*  159269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159277 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  159277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159314 */     GIR_RootConstrainSelectedInstOperands,
     /*  159315 */     // GIR_Coverage, 45805,
     /*  159315 */     GIR_EraseRootFromParent_Done,
     /*  159316 */   // Label 2976: @159316
     /*  159316 */   GIM_Reject,
     /*  159317 */ // Label 2974: @159317
     /*  159317 */ GIM_Reject,
     /*  159318 */ // Label 2847: @159318
     /*  159318 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(159555),
     /*  159323 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159326 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159334 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(159389), // Rule ID 45816 //
     /*  159339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159342 */     // MIs[0] rs1
     /*  159342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159350 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159387 */     GIR_RootConstrainSelectedInstOperands,
     /*  159388 */     // GIR_Coverage, 45816,
     /*  159388 */     GIR_EraseRootFromParent_Done,
     /*  159389 */   // Label 2978: @159389
     /*  159389 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(159444), // Rule ID 45817 //
     /*  159394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159397 */     // MIs[0] rs1
     /*  159397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159405 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159442 */     GIR_RootConstrainSelectedInstOperands,
     /*  159443 */     // GIR_Coverage, 45817,
     /*  159443 */     GIR_EraseRootFromParent_Done,
     /*  159444 */   // Label 2979: @159444
     /*  159444 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(159499), // Rule ID 45892 //
     /*  159449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  159452 */     // MIs[0] rs1
     /*  159452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159460 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159497 */     GIR_RootConstrainSelectedInstOperands,
     /*  159498 */     // GIR_Coverage, 45892,
     /*  159498 */     GIR_EraseRootFromParent_Done,
     /*  159499 */   // Label 2980: @159499
     /*  159499 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(159554), // Rule ID 45893 //
     /*  159504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  159507 */     // MIs[0] rs1
     /*  159507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159515 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159552 */     GIR_RootConstrainSelectedInstOperands,
     /*  159553 */     // GIR_Coverage, 45893,
     /*  159553 */     GIR_EraseRootFromParent_Done,
     /*  159554 */   // Label 2981: @159554
     /*  159554 */   GIM_Reject,
     /*  159555 */ // Label 2977: @159555
     /*  159555 */ GIM_Reject,
     /*  159556 */ // Label 2848: @159556
     /*  159556 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(159793),
     /*  159561 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159564 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159572 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(159627), // Rule ID 45832 //
     /*  159577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159580 */     // MIs[0] rs1
     /*  159580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159588 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159625 */     GIR_RootConstrainSelectedInstOperands,
     /*  159626 */     // GIR_Coverage, 45832,
     /*  159626 */     GIR_EraseRootFromParent_Done,
     /*  159627 */   // Label 2983: @159627
     /*  159627 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(159682), // Rule ID 45833 //
     /*  159632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159635 */     // MIs[0] rs1
     /*  159635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159643 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159680 */     GIR_RootConstrainSelectedInstOperands,
     /*  159681 */     // GIR_Coverage, 45833,
     /*  159681 */     GIR_EraseRootFromParent_Done,
     /*  159682 */   // Label 2984: @159682
     /*  159682 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(159737), // Rule ID 45904 //
     /*  159687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  159690 */     // MIs[0] rs1
     /*  159690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159698 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159735 */     GIR_RootConstrainSelectedInstOperands,
     /*  159736 */     // GIR_Coverage, 45904,
     /*  159736 */     GIR_EraseRootFromParent_Done,
     /*  159737 */   // Label 2985: @159737
     /*  159737 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(159792), // Rule ID 45905 //
     /*  159742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  159745 */     // MIs[0] rs1
     /*  159745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159753 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159790 */     GIR_RootConstrainSelectedInstOperands,
     /*  159791 */     // GIR_Coverage, 45905,
     /*  159791 */     GIR_EraseRootFromParent_Done,
     /*  159792 */   // Label 2986: @159792
     /*  159792 */   GIM_Reject,
     /*  159793 */ // Label 2982: @159793
     /*  159793 */ GIM_Reject,
     /*  159794 */ // Label 2849: @159794
     /*  159794 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(160031),
     /*  159799 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159802 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  159810 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(159865), // Rule ID 45876 //
     /*  159815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159818 */     // MIs[0] rs1
     /*  159818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159826 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159863 */     GIR_RootConstrainSelectedInstOperands,
     /*  159864 */     // GIR_Coverage, 45876,
     /*  159864 */     GIR_EraseRootFromParent_Done,
     /*  159865 */   // Label 2988: @159865
     /*  159865 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(159920), // Rule ID 45877 //
     /*  159870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  159873 */     // MIs[0] rs1
     /*  159873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159881 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159918 */     GIR_RootConstrainSelectedInstOperands,
     /*  159919 */     // GIR_Coverage, 45877,
     /*  159919 */     GIR_EraseRootFromParent_Done,
     /*  159920 */   // Label 2989: @159920
     /*  159920 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(159975), // Rule ID 45936 //
     /*  159925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  159928 */     // MIs[0] rs1
     /*  159928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159936 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159973 */     GIR_RootConstrainSelectedInstOperands,
     /*  159974 */     // GIR_Coverage, 45936,
     /*  159974 */     GIR_EraseRootFromParent_Done,
     /*  159975 */   // Label 2990: @159975
     /*  159975 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(160030), // Rule ID 45937 //
     /*  159980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159983 */     // MIs[0] rs1
     /*  159983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159991 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  160008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160028 */     GIR_RootConstrainSelectedInstOperands,
     /*  160029 */     // GIR_Coverage, 45937,
     /*  160029 */     GIR_EraseRootFromParent_Done,
     /*  160030 */   // Label 2991: @160030
     /*  160030 */   GIM_Reject,
     /*  160031 */ // Label 2987: @160031
     /*  160031 */ GIM_Reject,
     /*  160032 */ // Label 2850: @160032
     /*  160032 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(160151),
     /*  160037 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160040 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160048 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160056 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(160103), // Rule ID 45952 //
     /*  160061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160064 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  160064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  160067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160101 */     GIR_RootConstrainSelectedInstOperands,
     /*  160102 */     // GIR_Coverage, 45952,
     /*  160102 */     GIR_EraseRootFromParent_Done,
     /*  160103 */   // Label 2993: @160103
     /*  160103 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(160150), // Rule ID 45953 //
     /*  160108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160111 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  160111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  160114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160148 */     GIR_RootConstrainSelectedInstOperands,
     /*  160149 */     // GIR_Coverage, 45953,
     /*  160149 */     GIR_EraseRootFromParent_Done,
     /*  160150 */   // Label 2994: @160150
     /*  160150 */   GIM_Reject,
     /*  160151 */ // Label 2992: @160151
     /*  160151 */ GIM_Reject,
     /*  160152 */ // Label 2851: @160152
     /*  160152 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(160279),
     /*  160157 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160160 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160168 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(160223), // Rule ID 45808 //
     /*  160173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160176 */     // MIs[0] rs1
     /*  160176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160184 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  160184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160221 */     GIR_RootConstrainSelectedInstOperands,
     /*  160222 */     // GIR_Coverage, 45808,
     /*  160222 */     GIR_EraseRootFromParent_Done,
     /*  160223 */   // Label 2996: @160223
     /*  160223 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(160278), // Rule ID 45809 //
     /*  160228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160231 */     // MIs[0] rs1
     /*  160231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160239 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  160239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160276 */     GIR_RootConstrainSelectedInstOperands,
     /*  160277 */     // GIR_Coverage, 45809,
     /*  160277 */     GIR_EraseRootFromParent_Done,
     /*  160278 */   // Label 2997: @160278
     /*  160278 */   GIM_Reject,
     /*  160279 */ // Label 2995: @160279
     /*  160279 */ GIM_Reject,
     /*  160280 */ // Label 2852: @160280
     /*  160280 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(160517),
     /*  160285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160296 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(160351), // Rule ID 45828 //
     /*  160301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160304 */     // MIs[0] rs1
     /*  160304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160312 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160349 */     GIR_RootConstrainSelectedInstOperands,
     /*  160350 */     // GIR_Coverage, 45828,
     /*  160350 */     GIR_EraseRootFromParent_Done,
     /*  160351 */   // Label 2999: @160351
     /*  160351 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(160406), // Rule ID 45829 //
     /*  160356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160359 */     // MIs[0] rs1
     /*  160359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160367 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160404 */     GIR_RootConstrainSelectedInstOperands,
     /*  160405 */     // GIR_Coverage, 45829,
     /*  160405 */     GIR_EraseRootFromParent_Done,
     /*  160406 */   // Label 3000: @160406
     /*  160406 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(160461), // Rule ID 45900 //
     /*  160411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  160414 */     // MIs[0] rs1
     /*  160414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160422 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160459 */     GIR_RootConstrainSelectedInstOperands,
     /*  160460 */     // GIR_Coverage, 45900,
     /*  160460 */     GIR_EraseRootFromParent_Done,
     /*  160461 */   // Label 3001: @160461
     /*  160461 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(160516), // Rule ID 45901 //
     /*  160466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  160469 */     // MIs[0] rs1
     /*  160469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160477 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160514 */     GIR_RootConstrainSelectedInstOperands,
     /*  160515 */     // GIR_Coverage, 45901,
     /*  160515 */     GIR_EraseRootFromParent_Done,
     /*  160516 */   // Label 3002: @160516
     /*  160516 */   GIM_Reject,
     /*  160517 */ // Label 2998: @160517
     /*  160517 */ GIM_Reject,
     /*  160518 */ // Label 2853: @160518
     /*  160518 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(160755),
     /*  160523 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160526 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160534 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(160589), // Rule ID 45864 //
     /*  160539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160542 */     // MIs[0] rs1
     /*  160542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160550 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160587 */     GIR_RootConstrainSelectedInstOperands,
     /*  160588 */     // GIR_Coverage, 45864,
     /*  160588 */     GIR_EraseRootFromParent_Done,
     /*  160589 */   // Label 3004: @160589
     /*  160589 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(160644), // Rule ID 45865 //
     /*  160594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160597 */     // MIs[0] rs1
     /*  160597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160605 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160642 */     GIR_RootConstrainSelectedInstOperands,
     /*  160643 */     // GIR_Coverage, 45865,
     /*  160643 */     GIR_EraseRootFromParent_Done,
     /*  160644 */   // Label 3005: @160644
     /*  160644 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(160699), // Rule ID 45924 //
     /*  160649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  160652 */     // MIs[0] rs1
     /*  160652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160660 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160697 */     GIR_RootConstrainSelectedInstOperands,
     /*  160698 */     // GIR_Coverage, 45924,
     /*  160698 */     GIR_EraseRootFromParent_Done,
     /*  160699 */   // Label 3006: @160699
     /*  160699 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(160754), // Rule ID 45925 //
     /*  160704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  160707 */     // MIs[0] rs1
     /*  160707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160715 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160752 */     GIR_RootConstrainSelectedInstOperands,
     /*  160753 */     // GIR_Coverage, 45925,
     /*  160753 */     GIR_EraseRootFromParent_Done,
     /*  160754 */   // Label 3007: @160754
     /*  160754 */   GIM_Reject,
     /*  160755 */ // Label 3003: @160755
     /*  160755 */ GIM_Reject,
     /*  160756 */ // Label 2854: @160756
     /*  160756 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(160993),
     /*  160761 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160764 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160772 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(160827), // Rule ID 45880 //
     /*  160777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  160780 */     // MIs[0] rs1
     /*  160780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160788 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160825 */     GIR_RootConstrainSelectedInstOperands,
     /*  160826 */     // GIR_Coverage, 45880,
     /*  160826 */     GIR_EraseRootFromParent_Done,
     /*  160827 */   // Label 3009: @160827
     /*  160827 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(160882), // Rule ID 45881 //
     /*  160832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  160835 */     // MIs[0] rs1
     /*  160835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160843 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160880 */     GIR_RootConstrainSelectedInstOperands,
     /*  160881 */     // GIR_Coverage, 45881,
     /*  160881 */     GIR_EraseRootFromParent_Done,
     /*  160882 */   // Label 3010: @160882
     /*  160882 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(160937), // Rule ID 45940 //
     /*  160887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  160890 */     // MIs[0] rs1
     /*  160890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160898 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160935 */     GIR_RootConstrainSelectedInstOperands,
     /*  160936 */     // GIR_Coverage, 45940,
     /*  160936 */     GIR_EraseRootFromParent_Done,
     /*  160937 */   // Label 3011: @160937
     /*  160937 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(160992), // Rule ID 45941 //
     /*  160942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  160945 */     // MIs[0] rs1
     /*  160945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160953 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160990 */     GIR_RootConstrainSelectedInstOperands,
     /*  160991 */     // GIR_Coverage, 45941,
     /*  160991 */     GIR_EraseRootFromParent_Done,
     /*  160992 */   // Label 3012: @160992
     /*  160992 */   GIM_Reject,
     /*  160993 */ // Label 3008: @160993
     /*  160993 */ GIM_Reject,
     /*  160994 */ // Label 2855: @160994
     /*  160994 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(161113),
     /*  160999 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161002 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161010 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161018 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(161065), // Rule ID 45956 //
     /*  161023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161026 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  161029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  161043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161063 */     GIR_RootConstrainSelectedInstOperands,
     /*  161064 */     // GIR_Coverage, 45956,
     /*  161064 */     GIR_EraseRootFromParent_Done,
     /*  161065 */   // Label 3014: @161065
     /*  161065 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(161112), // Rule ID 45957 //
     /*  161070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161073 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  161073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  161076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  161090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161110 */     GIR_RootConstrainSelectedInstOperands,
     /*  161111 */     // GIR_Coverage, 45957,
     /*  161111 */     GIR_EraseRootFromParent_Done,
     /*  161112 */   // Label 3015: @161112
     /*  161112 */   GIM_Reject,
     /*  161113 */ // Label 3013: @161113
     /*  161113 */ GIM_Reject,
     /*  161114 */ // Label 2856: @161114
     /*  161114 */ GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(161241),
     /*  161119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161122 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161130 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(161185), // Rule ID 45824 //
     /*  161135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161138 */     // MIs[0] rs1
     /*  161138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161146 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  161146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161183 */     GIR_RootConstrainSelectedInstOperands,
     /*  161184 */     // GIR_Coverage, 45824,
     /*  161184 */     GIR_EraseRootFromParent_Done,
     /*  161185 */   // Label 3017: @161185
     /*  161185 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(161240), // Rule ID 45825 //
     /*  161190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161193 */     // MIs[0] rs1
     /*  161193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161201 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  161201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161238 */     GIR_RootConstrainSelectedInstOperands,
     /*  161239 */     // GIR_Coverage, 45825,
     /*  161239 */     GIR_EraseRootFromParent_Done,
     /*  161240 */   // Label 3018: @161240
     /*  161240 */   GIM_Reject,
     /*  161241 */ // Label 3016: @161241
     /*  161241 */ GIM_Reject,
     /*  161242 */ // Label 2857: @161242
     /*  161242 */ GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(161479),
     /*  161247 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161250 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161258 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(161313), // Rule ID 45852 //
     /*  161263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161266 */     // MIs[0] rs1
     /*  161266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161274 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161311 */     GIR_RootConstrainSelectedInstOperands,
     /*  161312 */     // GIR_Coverage, 45852,
     /*  161312 */     GIR_EraseRootFromParent_Done,
     /*  161313 */   // Label 3020: @161313
     /*  161313 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(161368), // Rule ID 45853 //
     /*  161318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161321 */     // MIs[0] rs1
     /*  161321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161329 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161366 */     GIR_RootConstrainSelectedInstOperands,
     /*  161367 */     // GIR_Coverage, 45853,
     /*  161367 */     GIR_EraseRootFromParent_Done,
     /*  161368 */   // Label 3021: @161368
     /*  161368 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(161423), // Rule ID 45912 //
     /*  161373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  161376 */     // MIs[0] rs1
     /*  161376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161384 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161421 */     GIR_RootConstrainSelectedInstOperands,
     /*  161422 */     // GIR_Coverage, 45912,
     /*  161422 */     GIR_EraseRootFromParent_Done,
     /*  161423 */   // Label 3022: @161423
     /*  161423 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(161478), // Rule ID 45913 //
     /*  161428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  161431 */     // MIs[0] rs1
     /*  161431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161439 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161476 */     GIR_RootConstrainSelectedInstOperands,
     /*  161477 */     // GIR_Coverage, 45913,
     /*  161477 */     GIR_EraseRootFromParent_Done,
     /*  161478 */   // Label 3023: @161478
     /*  161478 */   GIM_Reject,
     /*  161479 */ // Label 3019: @161479
     /*  161479 */ GIM_Reject,
     /*  161480 */ // Label 2858: @161480
     /*  161480 */ GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(161717),
     /*  161485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161488 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161496 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(161551), // Rule ID 45868 //
     /*  161501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161504 */     // MIs[0] rs1
     /*  161504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161512 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161549 */     GIR_RootConstrainSelectedInstOperands,
     /*  161550 */     // GIR_Coverage, 45868,
     /*  161550 */     GIR_EraseRootFromParent_Done,
     /*  161551 */   // Label 3025: @161551
     /*  161551 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(161606), // Rule ID 45869 //
     /*  161556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161559 */     // MIs[0] rs1
     /*  161559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161567 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161604 */     GIR_RootConstrainSelectedInstOperands,
     /*  161605 */     // GIR_Coverage, 45869,
     /*  161605 */     GIR_EraseRootFromParent_Done,
     /*  161606 */   // Label 3026: @161606
     /*  161606 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(161661), // Rule ID 45928 //
     /*  161611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  161614 */     // MIs[0] rs1
     /*  161614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161622 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161659 */     GIR_RootConstrainSelectedInstOperands,
     /*  161660 */     // GIR_Coverage, 45928,
     /*  161660 */     GIR_EraseRootFromParent_Done,
     /*  161661 */   // Label 3027: @161661
     /*  161661 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(161716), // Rule ID 45929 //
     /*  161666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  161669 */     // MIs[0] rs1
     /*  161669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161677 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161714 */     GIR_RootConstrainSelectedInstOperands,
     /*  161715 */     // GIR_Coverage, 45929,
     /*  161715 */     GIR_EraseRootFromParent_Done,
     /*  161716 */   // Label 3028: @161716
     /*  161716 */   GIM_Reject,
     /*  161717 */ // Label 3024: @161717
     /*  161717 */ GIM_Reject,
     /*  161718 */ // Label 2859: @161718
     /*  161718 */ GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(161955),
     /*  161723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161726 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161734 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(161789), // Rule ID 45884 //
     /*  161739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161742 */     // MIs[0] rs1
     /*  161742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161750 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161787 */     GIR_RootConstrainSelectedInstOperands,
     /*  161788 */     // GIR_Coverage, 45884,
     /*  161788 */     GIR_EraseRootFromParent_Done,
     /*  161789 */   // Label 3030: @161789
     /*  161789 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(161844), // Rule ID 45885 //
     /*  161794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161797 */     // MIs[0] rs1
     /*  161797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161805 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161842 */     GIR_RootConstrainSelectedInstOperands,
     /*  161843 */     // GIR_Coverage, 45885,
     /*  161843 */     GIR_EraseRootFromParent_Done,
     /*  161844 */   // Label 3031: @161844
     /*  161844 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(161899), // Rule ID 45944 //
     /*  161849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  161852 */     // MIs[0] rs1
     /*  161852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161860 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161897 */     GIR_RootConstrainSelectedInstOperands,
     /*  161898 */     // GIR_Coverage, 45944,
     /*  161898 */     GIR_EraseRootFromParent_Done,
     /*  161899 */   // Label 3032: @161899
     /*  161899 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(161954), // Rule ID 45945 //
     /*  161904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  161907 */     // MIs[0] rs1
     /*  161907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161915 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161952 */     GIR_RootConstrainSelectedInstOperands,
     /*  161953 */     // GIR_Coverage, 45945,
     /*  161953 */     GIR_EraseRootFromParent_Done,
     /*  161954 */   // Label 3033: @161954
     /*  161954 */   GIM_Reject,
     /*  161955 */ // Label 3029: @161955
     /*  161955 */ GIM_Reject,
     /*  161956 */ // Label 2860: @161956
     /*  161956 */ GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(162075),
     /*  161961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161964 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161980 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(162027), // Rule ID 45960 //
     /*  161985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161988 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  161991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  162005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162025 */     GIR_RootConstrainSelectedInstOperands,
     /*  162026 */     // GIR_Coverage, 45960,
     /*  162026 */     GIR_EraseRootFromParent_Done,
     /*  162027 */   // Label 3035: @162027
     /*  162027 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(162074), // Rule ID 45961 //
     /*  162032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162035 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  162038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  162052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162072 */     GIR_RootConstrainSelectedInstOperands,
     /*  162073 */     // GIR_Coverage, 45961,
     /*  162073 */     GIR_EraseRootFromParent_Done,
     /*  162074 */   // Label 3036: @162074
     /*  162074 */   GIM_Reject,
     /*  162075 */ // Label 3034: @162075
     /*  162075 */ GIM_Reject,
     /*  162076 */ // Label 2861: @162076
     /*  162076 */ GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(162203),
     /*  162081 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162084 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162092 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(162147), // Rule ID 45840 //
     /*  162097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162100 */     // MIs[0] rs1
     /*  162100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162108 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162145 */     GIR_RootConstrainSelectedInstOperands,
     /*  162146 */     // GIR_Coverage, 45840,
     /*  162146 */     GIR_EraseRootFromParent_Done,
     /*  162147 */   // Label 3038: @162147
     /*  162147 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(162202), // Rule ID 45841 //
     /*  162152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162155 */     // MIs[0] rs1
     /*  162155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162163 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162200 */     GIR_RootConstrainSelectedInstOperands,
     /*  162201 */     // GIR_Coverage, 45841,
     /*  162201 */     GIR_EraseRootFromParent_Done,
     /*  162202 */   // Label 3039: @162202
     /*  162202 */   GIM_Reject,
     /*  162203 */ // Label 3037: @162203
     /*  162203 */ GIM_Reject,
     /*  162204 */ // Label 2862: @162204
     /*  162204 */ GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(162441),
     /*  162209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162212 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162220 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(162275), // Rule ID 45856 //
     /*  162225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162228 */     // MIs[0] rs1
     /*  162228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162236 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162273 */     GIR_RootConstrainSelectedInstOperands,
     /*  162274 */     // GIR_Coverage, 45856,
     /*  162274 */     GIR_EraseRootFromParent_Done,
     /*  162275 */   // Label 3041: @162275
     /*  162275 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(162330), // Rule ID 45857 //
     /*  162280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162283 */     // MIs[0] rs1
     /*  162283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162291 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162328 */     GIR_RootConstrainSelectedInstOperands,
     /*  162329 */     // GIR_Coverage, 45857,
     /*  162329 */     GIR_EraseRootFromParent_Done,
     /*  162330 */   // Label 3042: @162330
     /*  162330 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(162385), // Rule ID 45916 //
     /*  162335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162338 */     // MIs[0] rs1
     /*  162338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162346 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162383 */     GIR_RootConstrainSelectedInstOperands,
     /*  162384 */     // GIR_Coverage, 45916,
     /*  162384 */     GIR_EraseRootFromParent_Done,
     /*  162385 */   // Label 3043: @162385
     /*  162385 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(162440), // Rule ID 45917 //
     /*  162390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162393 */     // MIs[0] rs1
     /*  162393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162401 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162438 */     GIR_RootConstrainSelectedInstOperands,
     /*  162439 */     // GIR_Coverage, 45917,
     /*  162439 */     GIR_EraseRootFromParent_Done,
     /*  162440 */   // Label 3044: @162440
     /*  162440 */   GIM_Reject,
     /*  162441 */ // Label 3040: @162441
     /*  162441 */ GIM_Reject,
     /*  162442 */ // Label 2863: @162442
     /*  162442 */ GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(162679),
     /*  162447 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162450 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162458 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(162513), // Rule ID 45872 //
     /*  162463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162466 */     // MIs[0] rs1
     /*  162466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162474 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162511 */     GIR_RootConstrainSelectedInstOperands,
     /*  162512 */     // GIR_Coverage, 45872,
     /*  162512 */     GIR_EraseRootFromParent_Done,
     /*  162513 */   // Label 3046: @162513
     /*  162513 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(162568), // Rule ID 45873 //
     /*  162518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162521 */     // MIs[0] rs1
     /*  162521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162529 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162566 */     GIR_RootConstrainSelectedInstOperands,
     /*  162567 */     // GIR_Coverage, 45873,
     /*  162567 */     GIR_EraseRootFromParent_Done,
     /*  162568 */   // Label 3047: @162568
     /*  162568 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(162623), // Rule ID 45932 //
     /*  162573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162576 */     // MIs[0] rs1
     /*  162576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162584 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162621 */     GIR_RootConstrainSelectedInstOperands,
     /*  162622 */     // GIR_Coverage, 45932,
     /*  162622 */     GIR_EraseRootFromParent_Done,
     /*  162623 */   // Label 3048: @162623
     /*  162623 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(162678), // Rule ID 45933 //
     /*  162628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  162631 */     // MIs[0] rs1
     /*  162631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162639 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162676 */     GIR_RootConstrainSelectedInstOperands,
     /*  162677 */     // GIR_Coverage, 45933,
     /*  162677 */     GIR_EraseRootFromParent_Done,
     /*  162678 */   // Label 3049: @162678
     /*  162678 */   GIM_Reject,
     /*  162679 */ // Label 3045: @162679
     /*  162679 */ GIM_Reject,
     /*  162680 */ // Label 2864: @162680
     /*  162680 */ GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(162799),
     /*  162685 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162688 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162696 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162704 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(162751), // Rule ID 45964 //
     /*  162709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162712 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162749 */     GIR_RootConstrainSelectedInstOperands,
     /*  162750 */     // GIR_Coverage, 45964,
     /*  162750 */     GIR_EraseRootFromParent_Done,
     /*  162751 */   // Label 3051: @162751
     /*  162751 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(162798), // Rule ID 45965 //
     /*  162756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162759 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162796 */     GIR_RootConstrainSelectedInstOperands,
     /*  162797 */     // GIR_Coverage, 45965,
     /*  162797 */     GIR_EraseRootFromParent_Done,
     /*  162798 */   // Label 3052: @162798
     /*  162798 */   GIM_Reject,
     /*  162799 */ // Label 3050: @162799
     /*  162799 */ GIM_Reject,
     /*  162800 */ // Label 2865: @162800
     /*  162800 */ GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(162927),
     /*  162805 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162808 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162816 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(162871), // Rule ID 45844 //
     /*  162821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162824 */     // MIs[0] rs1
     /*  162824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162832 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162869 */     GIR_RootConstrainSelectedInstOperands,
     /*  162870 */     // GIR_Coverage, 45844,
     /*  162870 */     GIR_EraseRootFromParent_Done,
     /*  162871 */   // Label 3054: @162871
     /*  162871 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(162926), // Rule ID 45845 //
     /*  162876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162879 */     // MIs[0] rs1
     /*  162879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162887 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162924 */     GIR_RootConstrainSelectedInstOperands,
     /*  162925 */     // GIR_Coverage, 45845,
     /*  162925 */     GIR_EraseRootFromParent_Done,
     /*  162926 */   // Label 3055: @162926
     /*  162926 */   GIM_Reject,
     /*  162927 */ // Label 3053: @162927
     /*  162927 */ GIM_Reject,
     /*  162928 */ // Label 2866: @162928
     /*  162928 */ GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(163165),
     /*  162933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162936 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162944 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(162999), // Rule ID 45860 //
     /*  162949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162952 */     // MIs[0] rs1
     /*  162952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162960 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162997 */     GIR_RootConstrainSelectedInstOperands,
     /*  162998 */     // GIR_Coverage, 45860,
     /*  162998 */     GIR_EraseRootFromParent_Done,
     /*  162999 */   // Label 3057: @162999
     /*  162999 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(163054), // Rule ID 45861 //
     /*  163004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163007 */     // MIs[0] rs1
     /*  163007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163015 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163052 */     GIR_RootConstrainSelectedInstOperands,
     /*  163053 */     // GIR_Coverage, 45861,
     /*  163053 */     GIR_EraseRootFromParent_Done,
     /*  163054 */   // Label 3058: @163054
     /*  163054 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(163109), // Rule ID 45920 //
     /*  163059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163062 */     // MIs[0] rs1
     /*  163062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163070 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163107 */     GIR_RootConstrainSelectedInstOperands,
     /*  163108 */     // GIR_Coverage, 45920,
     /*  163108 */     GIR_EraseRootFromParent_Done,
     /*  163109 */   // Label 3059: @163109
     /*  163109 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(163164), // Rule ID 45921 //
     /*  163114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163117 */     // MIs[0] rs1
     /*  163117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163125 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163162 */     GIR_RootConstrainSelectedInstOperands,
     /*  163163 */     // GIR_Coverage, 45921,
     /*  163163 */     GIR_EraseRootFromParent_Done,
     /*  163164 */   // Label 3060: @163164
     /*  163164 */   GIM_Reject,
     /*  163165 */ // Label 3056: @163165
     /*  163165 */ GIM_Reject,
     /*  163166 */ // Label 2867: @163166
     /*  163166 */ GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(163285),
     /*  163171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163182 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163190 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(163237), // Rule ID 45968 //
     /*  163195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163198 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163235 */     GIR_RootConstrainSelectedInstOperands,
     /*  163236 */     // GIR_Coverage, 45968,
     /*  163236 */     GIR_EraseRootFromParent_Done,
     /*  163237 */   // Label 3062: @163237
     /*  163237 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(163284), // Rule ID 45969 //
     /*  163242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163245 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163282 */     GIR_RootConstrainSelectedInstOperands,
     /*  163283 */     // GIR_Coverage, 45969,
     /*  163283 */     GIR_EraseRootFromParent_Done,
     /*  163284 */   // Label 3063: @163284
     /*  163284 */   GIM_Reject,
     /*  163285 */ // Label 3061: @163285
     /*  163285 */ GIM_Reject,
     /*  163286 */ // Label 2868: @163286
     /*  163286 */ GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(163413),
     /*  163291 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163294 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163302 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(163357), // Rule ID 45848 //
     /*  163307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163310 */     // MIs[0] rs1
     /*  163310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163318 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163355 */     GIR_RootConstrainSelectedInstOperands,
     /*  163356 */     // GIR_Coverage, 45848,
     /*  163356 */     GIR_EraseRootFromParent_Done,
     /*  163357 */   // Label 3065: @163357
     /*  163357 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(163412), // Rule ID 45849 //
     /*  163362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163365 */     // MIs[0] rs1
     /*  163365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163373 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163410 */     GIR_RootConstrainSelectedInstOperands,
     /*  163411 */     // GIR_Coverage, 45849,
     /*  163411 */     GIR_EraseRootFromParent_Done,
     /*  163412 */   // Label 3066: @163412
     /*  163412 */   GIM_Reject,
     /*  163413 */ // Label 3064: @163413
     /*  163413 */ GIM_Reject,
     /*  163414 */ // Label 2869: @163414
     /*  163414 */ GIM_Reject,
     /*  163415 */ // Label 22: @163415
     /*  163415 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3069*/ GIMT_Encode4(165384),
     /*  163426 */ /*GILLT_s32*//*Label 3067*/ GIMT_Encode4(163434),
     /*  163430 */ /*GILLT_s64*//*Label 3068*/ GIMT_Encode4(164810),
     /*  163434 */ // Label 3067: @163434
     /*  163434 */ GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(163541), // Rule ID 73952 //
     /*  163439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163442 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163445 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163456 */   // MIs[0] Operand 1
     /*  163456 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163460 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163464 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163468 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163472 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163476 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163480 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163484 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163488 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163492 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163497 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163501 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163505 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163509 */   // MIs[3] Operand 1
     /*  163509 */   // No operand predicates
     /*  163509 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163514 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163516 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163521 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163525 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163529 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163532 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163539 */   GIR_RootConstrainSelectedInstOperands,
     /*  163540 */   // GIR_Coverage, 73952,
     /*  163540 */   GIR_EraseRootFromParent_Done,
     /*  163541 */ // Label 3070: @163541
     /*  163541 */ GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(163648), // Rule ID 73953 //
     /*  163546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163552 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163563 */   // MIs[0] Operand 1
     /*  163563 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163567 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163571 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163575 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163579 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163583 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163587 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163591 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163595 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163599 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163604 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163608 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163612 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163616 */   // MIs[3] Operand 1
     /*  163616 */   // No operand predicates
     /*  163616 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163621 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163623 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163628 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163632 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163636 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163646 */   GIR_RootConstrainSelectedInstOperands,
     /*  163647 */   // GIR_Coverage, 73953,
     /*  163647 */   GIR_EraseRootFromParent_Done,
     /*  163648 */ // Label 3071: @163648
     /*  163648 */ GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(163755), // Rule ID 73956 //
     /*  163653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163656 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163659 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163670 */   // MIs[0] Operand 1
     /*  163670 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163674 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163678 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163682 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163686 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163690 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163694 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163698 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163702 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163706 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163711 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163715 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163719 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163723 */   // MIs[3] Operand 1
     /*  163723 */   // No operand predicates
     /*  163723 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163728 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163730 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163735 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163739 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163743 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163746 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163753 */   GIR_RootConstrainSelectedInstOperands,
     /*  163754 */   // GIR_Coverage, 73956,
     /*  163754 */   GIR_EraseRootFromParent_Done,
     /*  163755 */ // Label 3072: @163755
     /*  163755 */ GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(163862), // Rule ID 73957 //
     /*  163760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163763 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163766 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163777 */   // MIs[0] Operand 1
     /*  163777 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163781 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163785 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163789 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163793 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163797 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163801 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163805 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163809 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163813 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163818 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163822 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163826 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163830 */   // MIs[3] Operand 1
     /*  163830 */   // No operand predicates
     /*  163830 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163835 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163837 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163842 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163846 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163850 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163853 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163860 */   GIR_RootConstrainSelectedInstOperands,
     /*  163861 */   // GIR_Coverage, 73957,
     /*  163861 */   GIR_EraseRootFromParent_Done,
     /*  163862 */ // Label 3073: @163862
     /*  163862 */ GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(163969), // Rule ID 64467 //
     /*  163867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163870 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163873 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163884 */   // MIs[0] Operand 1
     /*  163884 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163888 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163892 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163896 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163900 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163904 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163909 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163913 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163917 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163921 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163925 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163930 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163934 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163938 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163942 */   // MIs[3] Operand 1
     /*  163942 */   // No operand predicates
     /*  163942 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163944 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163949 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163953 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163957 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163960 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163967 */   GIR_RootConstrainSelectedInstOperands,
     /*  163968 */   // GIR_Coverage, 64467,
     /*  163968 */   GIR_EraseRootFromParent_Done,
     /*  163969 */ // Label 3074: @163969
     /*  163969 */ GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(164076), // Rule ID 64468 //
     /*  163974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163977 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163980 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163991 */   // MIs[0] Operand 1
     /*  163991 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163995 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164003 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164007 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164011 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164016 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164020 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164024 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164028 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164032 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164037 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164041 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164045 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164049 */   // MIs[3] Operand 1
     /*  164049 */   // No operand predicates
     /*  164049 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164051 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  164054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164056 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164060 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164064 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164067 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164074 */   GIR_RootConstrainSelectedInstOperands,
     /*  164075 */   // GIR_Coverage, 64468,
     /*  164075 */   GIR_EraseRootFromParent_Done,
     /*  164076 */ // Label 3075: @164076
     /*  164076 */ GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(164183), // Rule ID 64471 //
     /*  164081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164084 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164087 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164098 */   // MIs[0] Operand 1
     /*  164098 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164102 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164106 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164110 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164114 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164118 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164123 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164127 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164131 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164135 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164139 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164144 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164148 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164152 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164156 */   // MIs[3] Operand 1
     /*  164156 */   // No operand predicates
     /*  164156 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164158 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164163 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164167 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164171 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164174 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164181 */   GIR_RootConstrainSelectedInstOperands,
     /*  164182 */   // GIR_Coverage, 64471,
     /*  164182 */   GIR_EraseRootFromParent_Done,
     /*  164183 */ // Label 3076: @164183
     /*  164183 */ GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(164290), // Rule ID 64472 //
     /*  164188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164194 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164205 */   // MIs[0] Operand 1
     /*  164205 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164209 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164213 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164217 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164221 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164225 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164230 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164234 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164238 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164242 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164246 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164251 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164255 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164259 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164263 */   // MIs[3] Operand 1
     /*  164263 */   // No operand predicates
     /*  164263 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164265 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164270 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164274 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164278 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164281 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164288 */   GIR_RootConstrainSelectedInstOperands,
     /*  164289 */   // GIR_Coverage, 64472,
     /*  164289 */   GIR_EraseRootFromParent_Done,
     /*  164290 */ // Label 3077: @164290
     /*  164290 */ GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(164344), // Rule ID 225 //
     /*  164295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164298 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164301 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164312 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164316 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164323 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164338 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164342 */   GIR_RootConstrainSelectedInstOperands,
     /*  164343 */   // GIR_Coverage, 225,
     /*  164343 */   GIR_EraseRootFromParent_Done,
     /*  164344 */ // Label 3078: @164344
     /*  164344 */ GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(164398), // Rule ID 229 //
     /*  164349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164352 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164355 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164366 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164370 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164377 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164392 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164396 */   GIR_RootConstrainSelectedInstOperands,
     /*  164397 */   // GIR_Coverage, 229,
     /*  164397 */   GIR_EraseRootFromParent_Done,
     /*  164398 */ // Label 3079: @164398
     /*  164398 */ GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(164455), // Rule ID 316 //
     /*  164403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164406 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164409 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164416 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164423 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164427 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164434 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10079>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164444 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164449 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164453 */   GIR_RootConstrainSelectedInstOperands,
     /*  164454 */   // GIR_Coverage, 316,
     /*  164454 */   GIR_EraseRootFromParent_Done,
     /*  164455 */ // Label 3080: @164455
     /*  164455 */ GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(164512), // Rule ID 320 //
     /*  164460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164463 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164466 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164473 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164480 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164484 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164491 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10081>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164496 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164501 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164506 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164510 */   GIR_RootConstrainSelectedInstOperands,
     /*  164511 */   // GIR_Coverage, 320,
     /*  164511 */   GIR_EraseRootFromParent_Done,
     /*  164512 */ // Label 3081: @164512
     /*  164512 */ GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(164569), // Rule ID 336 //
     /*  164517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  164520 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164523 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164530 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164537 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164541 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164548 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10095>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164553 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164563 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164567 */   GIR_RootConstrainSelectedInstOperands,
     /*  164568 */   // GIR_Coverage, 336,
     /*  164568 */   GIR_EraseRootFromParent_Done,
     /*  164569 */ // Label 3082: @164569
     /*  164569 */ GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(164609), // Rule ID 1092 //
     /*  164574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164577 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164580 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164587 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164594 */   // MIs[0] rs1
     /*  164594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164602 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164602 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164607 */   GIR_RootConstrainSelectedInstOperands,
     /*  164608 */   // GIR_Coverage, 1092,
     /*  164608 */   GIR_Done,
     /*  164609 */ // Label 3083: @164609
     /*  164609 */ GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(164649), // Rule ID 1096 //
     /*  164614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164617 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164620 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164627 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164634 */   // MIs[0] rs1
     /*  164634 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164642 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10585>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164642 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164647 */   GIR_RootConstrainSelectedInstOperands,
     /*  164648 */   // GIR_Coverage, 1096,
     /*  164648 */   GIR_Done,
     /*  164649 */ // Label 3084: @164649
     /*  164649 */ GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(164689), // Rule ID 1100 //
     /*  164654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164657 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164660 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164667 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164674 */   // MIs[0] rs1
     /*  164674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164682 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164682 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164687 */   GIR_RootConstrainSelectedInstOperands,
     /*  164688 */   // GIR_Coverage, 1100,
     /*  164688 */   GIR_Done,
     /*  164689 */ // Label 3085: @164689
     /*  164689 */ GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(164729), // Rule ID 1104 //
     /*  164694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164697 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164700 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164707 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164714 */   // MIs[0] rs1
     /*  164714 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164722 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10589>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164722 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164727 */   GIR_RootConstrainSelectedInstOperands,
     /*  164728 */   // GIR_Coverage, 1104,
     /*  164728 */   GIR_Done,
     /*  164729 */ // Label 3086: @164729
     /*  164729 */ GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(164769), // Rule ID 1124 //
     /*  164734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164737 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164740 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164747 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164754 */   // MIs[0] rs1
     /*  164754 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164762 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164762 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164767 */   GIR_RootConstrainSelectedInstOperands,
     /*  164768 */   // GIR_Coverage, 1124,
     /*  164768 */   GIR_Done,
     /*  164769 */ // Label 3087: @164769
     /*  164769 */ GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(164809), // Rule ID 1128 //
     /*  164774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164777 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164780 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164787 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164794 */   // MIs[0] rs1
     /*  164794 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164802 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10609>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164802 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164807 */   GIR_RootConstrainSelectedInstOperands,
     /*  164808 */   // GIR_Coverage, 1128,
     /*  164808 */   GIR_Done,
     /*  164809 */ // Label 3088: @164809
     /*  164809 */ GIM_Reject,
     /*  164810 */ // Label 3068: @164810
     /*  164810 */ GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(164864), // Rule ID 224 //
     /*  164815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164818 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164821 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164832 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164836 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164843 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164858 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164862 */   GIR_RootConstrainSelectedInstOperands,
     /*  164863 */   // GIR_Coverage, 224,
     /*  164863 */   GIR_EraseRootFromParent_Done,
     /*  164864 */ // Label 3089: @164864
     /*  164864 */ GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(164918), // Rule ID 228 //
     /*  164869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164872 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164875 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164886 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164890 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164897 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164902 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164907 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164912 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164916 */   GIR_RootConstrainSelectedInstOperands,
     /*  164917 */   // GIR_Coverage, 228,
     /*  164917 */   GIR_EraseRootFromParent_Done,
     /*  164918 */ // Label 3090: @164918
     /*  164918 */ GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(164972), // Rule ID 275 //
     /*  164923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  164926 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164929 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164940 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164944 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164951 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164966 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164970 */   GIR_RootConstrainSelectedInstOperands,
     /*  164971 */   // GIR_Coverage, 275,
     /*  164971 */   GIR_EraseRootFromParent_Done,
     /*  164972 */ // Label 3091: @164972
     /*  164972 */ GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(165029), // Rule ID 315 //
     /*  164977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164980 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164983 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164990 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164997 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165001 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165008 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10079>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  165011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165023 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165027 */   GIR_RootConstrainSelectedInstOperands,
     /*  165028 */   // GIR_Coverage, 315,
     /*  165028 */   GIR_EraseRootFromParent_Done,
     /*  165029 */ // Label 3092: @165029
     /*  165029 */ GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(165086), // Rule ID 319 //
     /*  165034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  165037 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165040 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165047 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165058 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165065 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10081>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  165068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165080 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165084 */   GIR_RootConstrainSelectedInstOperands,
     /*  165085 */   // GIR_Coverage, 319,
     /*  165085 */   GIR_EraseRootFromParent_Done,
     /*  165086 */ // Label 3093: @165086
     /*  165086 */ GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(165143), // Rule ID 335 //
     /*  165091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  165094 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165097 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165104 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165111 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165115 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165122 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10095>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  165125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165127 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165132 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165137 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165141 */   GIR_RootConstrainSelectedInstOperands,
     /*  165142 */   // GIR_Coverage, 335,
     /*  165142 */   GIR_EraseRootFromParent_Done,
     /*  165143 */ // Label 3094: @165143
     /*  165143 */ GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(165183), // Rule ID 1091 //
     /*  165148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165151 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165154 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165161 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165168 */   // MIs[0] rs1
     /*  165168 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165176 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165176 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165181 */   GIR_RootConstrainSelectedInstOperands,
     /*  165182 */   // GIR_Coverage, 1091,
     /*  165182 */   GIR_Done,
     /*  165183 */ // Label 3095: @165183
     /*  165183 */ GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(165223), // Rule ID 1095 //
     /*  165188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165191 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165194 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165201 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165208 */   // MIs[0] rs1
     /*  165208 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165216 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10585>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165216 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165221 */   GIR_RootConstrainSelectedInstOperands,
     /*  165222 */   // GIR_Coverage, 1095,
     /*  165222 */   GIR_Done,
     /*  165223 */ // Label 3096: @165223
     /*  165223 */ GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(165263), // Rule ID 1099 //
     /*  165228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165231 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165234 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165241 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165248 */   // MIs[0] rs1
     /*  165248 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165256 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165256 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165261 */   GIR_RootConstrainSelectedInstOperands,
     /*  165262 */   // GIR_Coverage, 1099,
     /*  165262 */   GIR_Done,
     /*  165263 */ // Label 3097: @165263
     /*  165263 */ GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(165303), // Rule ID 1103 //
     /*  165268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165271 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165274 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165281 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165288 */   // MIs[0] rs1
     /*  165288 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165296 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10589>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165296 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165301 */   GIR_RootConstrainSelectedInstOperands,
     /*  165302 */   // GIR_Coverage, 1103,
     /*  165302 */   GIR_Done,
     /*  165303 */ // Label 3098: @165303
     /*  165303 */ GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(165343), // Rule ID 1123 //
     /*  165308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165311 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165314 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165328 */   // MIs[0] rs1
     /*  165328 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165336 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165336 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165341 */   GIR_RootConstrainSelectedInstOperands,
     /*  165342 */   // GIR_Coverage, 1123,
     /*  165342 */   GIR_Done,
     /*  165343 */ // Label 3099: @165343
     /*  165343 */ GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(165383), // Rule ID 1127 //
     /*  165348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165351 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165354 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165361 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165368 */   // MIs[0] rs1
     /*  165368 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165376 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10609>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165376 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165381 */   GIR_RootConstrainSelectedInstOperands,
     /*  165382 */   // GIR_Coverage, 1127,
     /*  165382 */   GIR_Done,
     /*  165383 */ // Label 3100: @165383
     /*  165383 */ GIM_Reject,
     /*  165384 */ // Label 3069: @165384
     /*  165384 */ GIM_Reject,
     /*  165385 */ // Label 23: @165385
     /*  165385 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3103*/ GIMT_Encode4(166874),
     /*  165396 */ /*GILLT_s32*//*Label 3101*/ GIMT_Encode4(165404),
     /*  165400 */ /*GILLT_s64*//*Label 3102*/ GIMT_Encode4(166540),
     /*  165404 */ // Label 3101: @165404
     /*  165404 */ GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(165511), // Rule ID 73962 //
     /*  165409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165412 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165415 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165426 */   // MIs[0] Operand 1
     /*  165426 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165430 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165434 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165438 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165442 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165446 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165450 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165454 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165458 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165462 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165467 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165471 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165475 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165479 */   // MIs[3] Operand 1
     /*  165479 */   // No operand predicates
     /*  165479 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165484 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165486 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165491 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165495 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165499 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165502 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165509 */   GIR_RootConstrainSelectedInstOperands,
     /*  165510 */   // GIR_Coverage, 73962,
     /*  165510 */   GIR_EraseRootFromParent_Done,
     /*  165511 */ // Label 3104: @165511
     /*  165511 */ GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(165618), // Rule ID 73963 //
     /*  165516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165519 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165522 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165533 */   // MIs[0] Operand 1
     /*  165533 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165537 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165541 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165545 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165549 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165553 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165557 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165561 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165565 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165569 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165574 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165578 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165582 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165586 */   // MIs[3] Operand 1
     /*  165586 */   // No operand predicates
     /*  165586 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165591 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165593 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165598 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165602 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165606 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165609 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165616 */   GIR_RootConstrainSelectedInstOperands,
     /*  165617 */   // GIR_Coverage, 73963,
     /*  165617 */   GIR_EraseRootFromParent_Done,
     /*  165618 */ // Label 3105: @165618
     /*  165618 */ GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(165725), // Rule ID 73964 //
     /*  165623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165626 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165629 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165640 */   // MIs[0] Operand 1
     /*  165640 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165644 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165648 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165652 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165656 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165660 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165664 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165668 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165672 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165676 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165681 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165685 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165689 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165693 */   // MIs[3] Operand 1
     /*  165693 */   // No operand predicates
     /*  165693 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165698 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165700 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165705 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165709 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165713 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165723 */   GIR_RootConstrainSelectedInstOperands,
     /*  165724 */   // GIR_Coverage, 73964,
     /*  165724 */   GIR_EraseRootFromParent_Done,
     /*  165725 */ // Label 3106: @165725
     /*  165725 */ GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(165832), // Rule ID 73965 //
     /*  165730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165736 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165747 */   // MIs[0] Operand 1
     /*  165747 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165751 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165755 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165759 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165763 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165767 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165771 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165775 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165779 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165783 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165788 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165792 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165796 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165800 */   // MIs[3] Operand 1
     /*  165800 */   // No operand predicates
     /*  165800 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165805 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165807 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165812 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165816 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165820 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165830 */   GIR_RootConstrainSelectedInstOperands,
     /*  165831 */   // GIR_Coverage, 73965,
     /*  165831 */   GIR_EraseRootFromParent_Done,
     /*  165832 */ // Label 3107: @165832
     /*  165832 */ GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(165939), // Rule ID 64477 //
     /*  165837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165840 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165843 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165854 */   // MIs[0] Operand 1
     /*  165854 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165858 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165866 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165870 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165874 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165879 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165883 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165887 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165891 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165895 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165900 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165904 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165908 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165912 */   // MIs[3] Operand 1
     /*  165912 */   // No operand predicates
     /*  165912 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165914 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165919 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  165923 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165927 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165930 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165937 */   GIR_RootConstrainSelectedInstOperands,
     /*  165938 */   // GIR_Coverage, 64477,
     /*  165938 */   GIR_EraseRootFromParent_Done,
     /*  165939 */ // Label 3108: @165939
     /*  165939 */ GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(166046), // Rule ID 64478 //
     /*  165944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165947 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165950 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165961 */   // MIs[0] Operand 1
     /*  165961 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165965 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165969 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165973 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165977 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165981 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165986 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165990 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165994 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165998 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166002 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166007 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166011 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166015 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166019 */   // MIs[3] Operand 1
     /*  166019 */   // No operand predicates
     /*  166019 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166021 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  166024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166026 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166030 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166034 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166037 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166044 */   GIR_RootConstrainSelectedInstOperands,
     /*  166045 */   // GIR_Coverage, 64478,
     /*  166045 */   GIR_EraseRootFromParent_Done,
     /*  166046 */ // Label 3109: @166046
     /*  166046 */ GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(166153), // Rule ID 64479 //
     /*  166051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  166054 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166057 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166068 */   // MIs[0] Operand 1
     /*  166068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166072 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166076 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166080 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166084 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166088 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166093 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166097 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166101 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166105 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166109 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166114 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166118 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166122 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166126 */   // MIs[3] Operand 1
     /*  166126 */   // No operand predicates
     /*  166126 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166128 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166133 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166137 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166141 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166144 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166151 */   GIR_RootConstrainSelectedInstOperands,
     /*  166152 */   // GIR_Coverage, 64479,
     /*  166152 */   GIR_EraseRootFromParent_Done,
     /*  166153 */ // Label 3110: @166153
     /*  166153 */ GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(166260), // Rule ID 64480 //
     /*  166158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166161 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166164 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166175 */   // MIs[0] Operand 1
     /*  166175 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166179 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166183 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166187 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166191 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166195 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166200 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166204 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166208 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166212 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166216 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166221 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166225 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166229 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166233 */   // MIs[3] Operand 1
     /*  166233 */   // No operand predicates
     /*  166233 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166235 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166240 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166244 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166248 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166251 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166258 */   GIR_RootConstrainSelectedInstOperands,
     /*  166259 */   // GIR_Coverage, 64480,
     /*  166259 */   GIR_EraseRootFromParent_Done,
     /*  166260 */ // Label 3111: @166260
     /*  166260 */ GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(166314), // Rule ID 235 //
     /*  166265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166268 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166271 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166282 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166286 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166293 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166303 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166308 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166312 */   GIR_RootConstrainSelectedInstOperands,
     /*  166313 */   // GIR_Coverage, 235,
     /*  166313 */   GIR_EraseRootFromParent_Done,
     /*  166314 */ // Label 3112: @166314
     /*  166314 */ GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(166368), // Rule ID 237 //
     /*  166319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166325 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166336 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166340 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166347 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166362 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166366 */   GIR_RootConstrainSelectedInstOperands,
     /*  166367 */   // GIR_Coverage, 237,
     /*  166367 */   GIR_EraseRootFromParent_Done,
     /*  166368 */ // Label 3113: @166368
     /*  166368 */ GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(166425), // Rule ID 322 //
     /*  166373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166376 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166379 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166386 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166393 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166397 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166404 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10083>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166419 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166423 */   GIR_RootConstrainSelectedInstOperands,
     /*  166424 */   // GIR_Coverage, 322,
     /*  166424 */   GIR_EraseRootFromParent_Done,
     /*  166425 */ // Label 3114: @166425
     /*  166425 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(166482), // Rule ID 324 //
     /*  166430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166433 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166436 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166443 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166450 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166454 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166461 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10085>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166466 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166471 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166476 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166480 */   GIR_RootConstrainSelectedInstOperands,
     /*  166481 */   // GIR_Coverage, 324,
     /*  166481 */   GIR_EraseRootFromParent_Done,
     /*  166482 */ // Label 3115: @166482
     /*  166482 */ GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(166539), // Rule ID 338 //
     /*  166487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  166490 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166493 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166500 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166507 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166511 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166518 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10097>>  =>  (LWU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166523 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166528 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166533 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166537 */   GIR_RootConstrainSelectedInstOperands,
     /*  166538 */   // GIR_Coverage, 338,
     /*  166538 */   GIR_EraseRootFromParent_Done,
     /*  166539 */ // Label 3116: @166539
     /*  166539 */ GIM_Reject,
     /*  166540 */ // Label 3102: @166540
     /*  166540 */ GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(166594), // Rule ID 234 //
     /*  166545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166548 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166551 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166562 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166566 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166573 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166578 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166583 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166588 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166592 */   GIR_RootConstrainSelectedInstOperands,
     /*  166593 */   // GIR_Coverage, 234,
     /*  166593 */   GIR_EraseRootFromParent_Done,
     /*  166594 */ // Label 3117: @166594
     /*  166594 */ GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(166648), // Rule ID 236 //
     /*  166599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166602 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166605 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166616 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166620 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166627 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166632 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166637 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166642 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166646 */   GIR_RootConstrainSelectedInstOperands,
     /*  166647 */   // GIR_Coverage, 236,
     /*  166647 */   GIR_EraseRootFromParent_Done,
     /*  166648 */ // Label 3118: @166648
     /*  166648 */ GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(166702), // Rule ID 277 //
     /*  166653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  166656 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166659 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166670 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166674 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166681 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166691 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166696 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166700 */   GIR_RootConstrainSelectedInstOperands,
     /*  166701 */   // GIR_Coverage, 277,
     /*  166701 */   GIR_EraseRootFromParent_Done,
     /*  166702 */ // Label 3119: @166702
     /*  166702 */ GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(166759), // Rule ID 321 //
     /*  166707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166710 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166713 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166720 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166727 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166731 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166738 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10083>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166753 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166757 */   GIR_RootConstrainSelectedInstOperands,
     /*  166758 */   // GIR_Coverage, 321,
     /*  166758 */   GIR_EraseRootFromParent_Done,
     /*  166759 */ // Label 3120: @166759
     /*  166759 */ GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(166816), // Rule ID 323 //
     /*  166764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166767 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166777 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166788 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166795 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10085>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166810 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166814 */   GIR_RootConstrainSelectedInstOperands,
     /*  166815 */   // GIR_Coverage, 323,
     /*  166815 */   GIR_EraseRootFromParent_Done,
     /*  166816 */ // Label 3121: @166816
     /*  166816 */ GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(166873), // Rule ID 337 //
     /*  166821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  166824 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166827 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166834 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166841 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166845 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166852 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10097>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166867 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166871 */   GIR_RootConstrainSelectedInstOperands,
     /*  166872 */   // GIR_Coverage, 337,
     /*  166872 */   GIR_EraseRootFromParent_Done,
     /*  166873 */ // Label 3122: @166873
     /*  166873 */ GIM_Reject,
     /*  166874 */ // Label 3103: @166874
     /*  166874 */ GIM_Reject,
     /*  166875 */ // Label 24: @166875
     /*  166875 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3157*/ GIMT_Encode4(174976),
     /*  166886 */ /*GILLT_p0s32*//*Label 3123*/ GIMT_Encode4(167022),
     /*  166890 */ /*GILLT_p0s64*//*Label 3124*/ GIMT_Encode4(167116),
     /*  166894 */ /*GILLT_s16*//*Label 3125*/ GIMT_Encode4(167210),
     /*  166898 */ /*GILLT_s32*//*Label 3126*/ GIMT_Encode4(167849),
     /*  166902 */ /*GILLT_s64*//*Label 3127*/ GIMT_Encode4(170455),
     /*  166906 */ /*GILLT_nxv1s1*//*Label 3128*/ GIMT_Encode4(171430),
     /*  166910 */ /*GILLT_nxv1s8*//*Label 3129*/ GIMT_Encode4(171510),
     /*  166914 */ /*GILLT_nxv1s16*//*Label 3130*/ GIMT_Encode4(171598),
     /*  166918 */ /*GILLT_nxv1s32*//*Label 3131*/ GIMT_Encode4(171756),
     /*  166922 */ /*GILLT_nxv1s64*//*Label 3132*/ GIMT_Encode4(171914),
     /*  166926 */ /*GILLT_nxv2s1*//*Label 3133*/ GIMT_Encode4(172072),
     /*  166930 */ /*GILLT_nxv2s8*//*Label 3134*/ GIMT_Encode4(172152),
     /*  166934 */ /*GILLT_nxv2s16*//*Label 3135*/ GIMT_Encode4(172240),
     /*  166938 */ /*GILLT_nxv2s32*//*Label 3136*/ GIMT_Encode4(172398),
     /*  166942 */ /*GILLT_nxv2s64*//*Label 3137*/ GIMT_Encode4(172556),
     /*  166946 */ /*GILLT_nxv4s1*//*Label 3138*/ GIMT_Encode4(172714),
     /*  166950 */ /*GILLT_nxv4s8*//*Label 3139*/ GIMT_Encode4(172794),
     /*  166954 */ /*GILLT_nxv4s16*//*Label 3140*/ GIMT_Encode4(172882),
     /*  166958 */ /*GILLT_nxv4s32*//*Label 3141*/ GIMT_Encode4(173040),
     /*  166962 */ /*GILLT_nxv4s64*//*Label 3142*/ GIMT_Encode4(173198),
     /*  166966 */ /*GILLT_nxv8s1*//*Label 3143*/ GIMT_Encode4(173356),
     /*  166970 */ /*GILLT_nxv8s8*//*Label 3144*/ GIMT_Encode4(173436),
     /*  166974 */ /*GILLT_nxv8s16*//*Label 3145*/ GIMT_Encode4(173524),
     /*  166978 */ /*GILLT_nxv8s32*//*Label 3146*/ GIMT_Encode4(173682),
     /*  166982 */ /*GILLT_nxv8s64*//*Label 3147*/ GIMT_Encode4(173840),
     /*  166986 */ /*GILLT_nxv16s1*//*Label 3148*/ GIMT_Encode4(173998),
     /*  166990 */ /*GILLT_nxv16s8*//*Label 3149*/ GIMT_Encode4(174078),
     /*  166994 */ /*GILLT_nxv16s16*//*Label 3150*/ GIMT_Encode4(174166),
     /*  166998 */ /*GILLT_nxv16s32*//*Label 3151*/ GIMT_Encode4(174324),
     /*  167002 */ /*GILLT_nxv32s1*//*Label 3152*/ GIMT_Encode4(174482),
     /*  167006 */ /*GILLT_nxv32s8*//*Label 3153*/ GIMT_Encode4(174562),
     /*  167010 */ /*GILLT_nxv32s16*//*Label 3154*/ GIMT_Encode4(174650),
     /*  167014 */ /*GILLT_nxv64s1*//*Label 3155*/ GIMT_Encode4(174808),
     /*  167018 */ /*GILLT_nxv64s8*//*Label 3156*/ GIMT_Encode4(174888),
     /*  167022 */ // Label 3123: @167022
     /*  167022 */ GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(167115),
     /*  167027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167030 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167038 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167042 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(167078), // Rule ID 64941 //
     /*  167047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  167050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167057 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167060 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167076 */     GIR_RootConstrainSelectedInstOperands,
     /*  167077 */     // GIR_Coverage, 64941,
     /*  167077 */     GIR_EraseRootFromParent_Done,
     /*  167078 */   // Label 3159: @167078
     /*  167078 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(167114), // Rule ID 64945 //
     /*  167083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  167086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167093 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  167096 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167112 */     GIR_RootConstrainSelectedInstOperands,
     /*  167113 */     // GIR_Coverage, 64945,
     /*  167113 */     GIR_EraseRootFromParent_Done,
     /*  167114 */   // Label 3160: @167114
     /*  167114 */   GIM_Reject,
     /*  167115 */ // Label 3158: @167115
     /*  167115 */ GIM_Reject,
     /*  167116 */ // Label 3124: @167116
     /*  167116 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(167209),
     /*  167121 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167124 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167132 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167136 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(167172), // Rule ID 64940 //
     /*  167141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  167144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167151 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167154 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167170 */     GIR_RootConstrainSelectedInstOperands,
     /*  167171 */     // GIR_Coverage, 64940,
     /*  167171 */     GIR_EraseRootFromParent_Done,
     /*  167172 */   // Label 3162: @167172
     /*  167172 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(167208), // Rule ID 64944 //
     /*  167177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  167180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167187 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  167190 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167206 */     GIR_RootConstrainSelectedInstOperands,
     /*  167207 */     // GIR_Coverage, 64944,
     /*  167207 */     GIR_EraseRootFromParent_Done,
     /*  167208 */   // Label 3163: @167208
     /*  167208 */   GIM_Reject,
     /*  167209 */ // Label 3161: @167209
     /*  167209 */ GIM_Reject,
     /*  167210 */ // Label 3125: @167210
     /*  167210 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(167264), // Rule ID 64958 //
     /*  167215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  167218 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167232 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167236 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167243 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167246 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167262 */   GIR_RootConstrainSelectedInstOperands,
     /*  167263 */   // GIR_Coverage, 64958,
     /*  167263 */   GIR_EraseRootFromParent_Done,
     /*  167264 */ // Label 3164: @167264
     /*  167264 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(167318), // Rule ID 64959 //
     /*  167269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167272 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167275 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167286 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167290 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167297 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167300 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167312 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167316 */   GIR_RootConstrainSelectedInstOperands,
     /*  167317 */   // GIR_Coverage, 64959,
     /*  167317 */   GIR_EraseRootFromParent_Done,
     /*  167318 */ // Label 3165: @167318
     /*  167318 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(167372), // Rule ID 64960 //
     /*  167323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  167326 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167329 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167340 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167344 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167351 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167354 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167356 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167361 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167366 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167370 */   GIR_RootConstrainSelectedInstOperands,
     /*  167371 */   // GIR_Coverage, 64960,
     /*  167371 */   GIR_EraseRootFromParent_Done,
     /*  167372 */ // Label 3166: @167372
     /*  167372 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(167426), // Rule ID 64961 //
     /*  167377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167380 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167383 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167394 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167398 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167405 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167408 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167420 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167424 */   GIR_RootConstrainSelectedInstOperands,
     /*  167425 */   // GIR_Coverage, 64961,
     /*  167425 */   GIR_EraseRootFromParent_Done,
     /*  167426 */ // Label 3167: @167426
     /*  167426 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(167477), // Rule ID 2042 //
     /*  167431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  167434 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167437 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167445 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167449 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167456 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167459 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167461 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167466 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167471 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167475 */   GIR_RootConstrainSelectedInstOperands,
     /*  167476 */   // GIR_Coverage, 2042,
     /*  167476 */   GIR_EraseRootFromParent_Done,
     /*  167477 */ // Label 3168: @167477
     /*  167477 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(167528), // Rule ID 2043 //
     /*  167482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  167485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167488 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167500 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167507 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167510 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167512 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167517 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167526 */   GIR_RootConstrainSelectedInstOperands,
     /*  167527 */   // GIR_Coverage, 2043,
     /*  167527 */   GIR_EraseRootFromParent_Done,
     /*  167528 */ // Label 3169: @167528
     /*  167528 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(167579), // Rule ID 2048 //
     /*  167533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  167536 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167539 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167547 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167551 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167558 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167561 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167568 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167573 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167577 */   GIR_RootConstrainSelectedInstOperands,
     /*  167578 */   // GIR_Coverage, 2048,
     /*  167578 */   GIR_EraseRootFromParent_Done,
     /*  167579 */ // Label 3170: @167579
     /*  167579 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(167630), // Rule ID 2049 //
     /*  167584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  167587 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167590 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167598 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167602 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167609 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167612 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167624 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167628 */   GIR_RootConstrainSelectedInstOperands,
     /*  167629 */   // GIR_Coverage, 2049,
     /*  167629 */   GIR_EraseRootFromParent_Done,
     /*  167630 */ // Label 3171: @167630
     /*  167630 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(167681), // Rule ID 64948 //
     /*  167635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167641 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167649 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167653 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167660 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167663 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167665 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167670 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167675 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167679 */   GIR_RootConstrainSelectedInstOperands,
     /*  167680 */   // GIR_Coverage, 64948,
     /*  167680 */   GIR_EraseRootFromParent_Done,
     /*  167681 */ // Label 3172: @167681
     /*  167681 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(167732), // Rule ID 64949 //
     /*  167686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167689 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167692 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167700 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167704 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167711 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167714 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167726 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167730 */   GIR_RootConstrainSelectedInstOperands,
     /*  167731 */   // GIR_Coverage, 64949,
     /*  167731 */   GIR_EraseRootFromParent_Done,
     /*  167732 */ // Label 3173: @167732
     /*  167732 */ GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(167790), // Rule ID 64952 //
     /*  167737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167740 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167743 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167747 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167758 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167762 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167769 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167772 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167774 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167784 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167788 */   GIR_RootConstrainSelectedInstOperands,
     /*  167789 */   // GIR_Coverage, 64952,
     /*  167789 */   GIR_EraseRootFromParent_Done,
     /*  167790 */ // Label 3174: @167790
     /*  167790 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(167848), // Rule ID 64953 //
     /*  167795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167798 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167801 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167805 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167816 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167820 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167827 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167830 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167832 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167837 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167842 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167846 */   GIR_RootConstrainSelectedInstOperands,
     /*  167847 */   // GIR_Coverage, 64953,
     /*  167847 */   GIR_EraseRootFromParent_Done,
     /*  167848 */ // Label 3175: @167848
     /*  167848 */ GIM_Reject,
     /*  167849 */ // Label 3126: @167849
     /*  167849 */ GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(167960), // Rule ID 73966 //
     /*  167854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167857 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167860 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167864 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167875 */   // MIs[0] Operand 1
     /*  167875 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167879 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167883 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167887 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167891 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167895 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167899 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167903 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167907 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167911 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167916 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167920 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167924 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167928 */   // MIs[3] Operand 1
     /*  167928 */   // No operand predicates
     /*  167928 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167933 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167935 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  167938 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167940 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167944 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167948 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167951 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167958 */   GIR_RootConstrainSelectedInstOperands,
     /*  167959 */   // GIR_Coverage, 73966,
     /*  167959 */   GIR_EraseRootFromParent_Done,
     /*  167960 */ // Label 3176: @167960
     /*  167960 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(168071), // Rule ID 73967 //
     /*  167965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167968 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167971 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167975 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167986 */   // MIs[0] Operand 1
     /*  167986 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167990 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167994 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167998 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168002 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168006 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168010 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168014 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168018 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168022 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168027 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168031 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168035 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168039 */   // MIs[3] Operand 1
     /*  168039 */   // No operand predicates
     /*  168039 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168044 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168046 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168049 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168051 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168055 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168059 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168069 */   GIR_RootConstrainSelectedInstOperands,
     /*  168070 */   // GIR_Coverage, 73967,
     /*  168070 */   GIR_EraseRootFromParent_Done,
     /*  168071 */ // Label 3177: @168071
     /*  168071 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(168182), // Rule ID 73968 //
     /*  168076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168079 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168082 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168086 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168097 */   // MIs[0] Operand 1
     /*  168097 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168101 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168105 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168109 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168113 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168117 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168121 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168125 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168129 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168133 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168138 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168142 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168146 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168150 */   // MIs[3] Operand 1
     /*  168150 */   // No operand predicates
     /*  168150 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168155 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168157 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168160 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168162 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168166 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168170 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168180 */   GIR_RootConstrainSelectedInstOperands,
     /*  168181 */   // GIR_Coverage, 73968,
     /*  168181 */   GIR_EraseRootFromParent_Done,
     /*  168182 */ // Label 3178: @168182
     /*  168182 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(168293), // Rule ID 73969 //
     /*  168187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168190 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168193 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168197 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168208 */   // MIs[0] Operand 1
     /*  168208 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168212 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168216 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168220 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168224 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168228 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168232 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168236 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168240 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168244 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168249 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168253 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168257 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168261 */   // MIs[3] Operand 1
     /*  168261 */   // No operand predicates
     /*  168261 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168266 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168268 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168271 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168273 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168277 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168281 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168284 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168291 */   GIR_RootConstrainSelectedInstOperands,
     /*  168292 */   // GIR_Coverage, 73969,
     /*  168292 */   GIR_EraseRootFromParent_Done,
     /*  168293 */ // Label 3179: @168293
     /*  168293 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(168397), // Rule ID 73970 //
     /*  168298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168301 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168304 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168312 */   // MIs[0] Operand 1
     /*  168312 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168316 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168320 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168324 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168328 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168332 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168336 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168340 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168344 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168348 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168353 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168357 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168361 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168365 */   // MIs[3] Operand 1
     /*  168365 */   // No operand predicates
     /*  168365 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168370 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168372 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168375 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168377 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168381 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168385 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168388 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168395 */   GIR_RootConstrainSelectedInstOperands,
     /*  168396 */   // GIR_Coverage, 73970,
     /*  168396 */   GIR_EraseRootFromParent_Done,
     /*  168397 */ // Label 3180: @168397
     /*  168397 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(168501), // Rule ID 73971 //
     /*  168402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168405 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168408 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168416 */   // MIs[0] Operand 1
     /*  168416 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168420 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168424 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168428 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168432 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168436 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168440 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168444 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168448 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168452 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168457 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168461 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168465 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168469 */   // MIs[3] Operand 1
     /*  168469 */   // No operand predicates
     /*  168469 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168474 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168476 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168479 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168481 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168485 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168489 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168492 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168499 */   GIR_RootConstrainSelectedInstOperands,
     /*  168500 */   // GIR_Coverage, 73971,
     /*  168500 */   GIR_EraseRootFromParent_Done,
     /*  168501 */ // Label 3181: @168501
     /*  168501 */ GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(168612), // Rule ID 64481 //
     /*  168506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168509 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168512 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168516 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168527 */   // MIs[0] Operand 1
     /*  168527 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168531 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168535 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168539 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168543 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168547 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168552 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168556 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168560 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168564 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168568 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168573 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168577 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168581 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168585 */   // MIs[3] Operand 1
     /*  168585 */   // No operand predicates
     /*  168585 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168587 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168590 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168592 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168596 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168600 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168603 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168610 */   GIR_RootConstrainSelectedInstOperands,
     /*  168611 */   // GIR_Coverage, 64481,
     /*  168611 */   GIR_EraseRootFromParent_Done,
     /*  168612 */ // Label 3182: @168612
     /*  168612 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(168723), // Rule ID 64482 //
     /*  168617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168620 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168623 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168627 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168638 */   // MIs[0] Operand 1
     /*  168638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168642 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168646 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168650 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168654 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168658 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168663 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168667 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168671 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168675 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168679 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168684 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168688 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168692 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168696 */   // MIs[3] Operand 1
     /*  168696 */   // No operand predicates
     /*  168696 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168698 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168701 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168703 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168707 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168711 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168714 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168721 */   GIR_RootConstrainSelectedInstOperands,
     /*  168722 */   // GIR_Coverage, 64482,
     /*  168722 */   GIR_EraseRootFromParent_Done,
     /*  168723 */ // Label 3183: @168723
     /*  168723 */ GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(168834), // Rule ID 64483 //
     /*  168728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168731 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168734 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168738 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168749 */   // MIs[0] Operand 1
     /*  168749 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168753 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168757 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168761 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168765 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168769 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168774 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168778 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168782 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168786 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168790 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168795 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168799 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168803 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168807 */   // MIs[3] Operand 1
     /*  168807 */   // No operand predicates
     /*  168807 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168809 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168812 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168814 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168818 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168822 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168825 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168832 */   GIR_RootConstrainSelectedInstOperands,
     /*  168833 */   // GIR_Coverage, 64483,
     /*  168833 */   GIR_EraseRootFromParent_Done,
     /*  168834 */ // Label 3184: @168834
     /*  168834 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(168945), // Rule ID 64484 //
     /*  168839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168842 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168845 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168849 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168860 */   // MIs[0] Operand 1
     /*  168860 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168864 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168868 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168872 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168876 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168880 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168885 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168889 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168893 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168897 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168901 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168906 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168910 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168914 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168918 */   // MIs[3] Operand 1
     /*  168918 */   // No operand predicates
     /*  168918 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168920 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168923 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168925 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168929 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168933 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168936 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168943 */   GIR_RootConstrainSelectedInstOperands,
     /*  168944 */   // GIR_Coverage, 64484,
     /*  168944 */   GIR_EraseRootFromParent_Done,
     /*  168945 */ // Label 3185: @168945
     /*  168945 */ GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(169049), // Rule ID 64485 //
     /*  168950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168953 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168956 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168964 */   // MIs[0] Operand 1
     /*  168964 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168968 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168972 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168976 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168980 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168984 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168989 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168993 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168997 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169001 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  169005 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169010 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169014 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169018 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169022 */   // MIs[3] Operand 1
     /*  169022 */   // No operand predicates
     /*  169022 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169024 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  169024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  169027 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  169029 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  169033 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169037 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169040 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169047 */   GIR_RootConstrainSelectedInstOperands,
     /*  169048 */   // GIR_Coverage, 64485,
     /*  169048 */   GIR_EraseRootFromParent_Done,
     /*  169049 */ // Label 3186: @169049
     /*  169049 */ GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(169153), // Rule ID 64486 //
     /*  169054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  169057 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169060 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169068 */   // MIs[0] Operand 1
     /*  169068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169072 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169076 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169080 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169084 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169088 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169093 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  169097 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169101 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169105 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  169109 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169114 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169118 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169122 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169126 */   // MIs[3] Operand 1
     /*  169126 */   // No operand predicates
     /*  169126 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169128 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  169128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  169131 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  169133 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  169137 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169141 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169144 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169151 */   GIR_RootConstrainSelectedInstOperands,
     /*  169152 */   // GIR_Coverage, 64486,
     /*  169152 */   GIR_EraseRootFromParent_Done,
     /*  169153 */ // Label 3187: @169153
     /*  169153 */ GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(169210), // Rule ID 326 //
     /*  169158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169161 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169164 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169171 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169178 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169182 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169189 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10087>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169192 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169199 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169204 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169208 */   GIR_RootConstrainSelectedInstOperands,
     /*  169209 */   // GIR_Coverage, 326,
     /*  169209 */   GIR_EraseRootFromParent_Done,
     /*  169210 */ // Label 3188: @169210
     /*  169210 */ GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(169267), // Rule ID 328 //
     /*  169215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169218 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169228 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169235 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169239 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169246 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10089>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169249 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169261 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169265 */   GIR_RootConstrainSelectedInstOperands,
     /*  169266 */   // GIR_Coverage, 328,
     /*  169266 */   GIR_EraseRootFromParent_Done,
     /*  169267 */ // Label 3189: @169267
     /*  169267 */ GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(169324), // Rule ID 330 //
     /*  169272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169275 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169278 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169285 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169292 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169296 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169303 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10091>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169306 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169308 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169313 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169318 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169322 */   GIR_RootConstrainSelectedInstOperands,
     /*  169323 */   // GIR_Coverage, 330,
     /*  169323 */   GIR_EraseRootFromParent_Done,
     /*  169324 */ // Label 3190: @169324
     /*  169324 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(169378), // Rule ID 64964 //
     /*  169329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  169332 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169335 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169346 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169350 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169357 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169360 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169362 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169367 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169372 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169376 */   GIR_RootConstrainSelectedInstOperands,
     /*  169377 */   // GIR_Coverage, 64964,
     /*  169377 */   GIR_EraseRootFromParent_Done,
     /*  169378 */ // Label 3191: @169378
     /*  169378 */ GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(169432), // Rule ID 64965 //
     /*  169383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  169386 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169389 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169400 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169404 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169411 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169414 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169421 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169426 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169430 */   GIR_RootConstrainSelectedInstOperands,
     /*  169431 */   // GIR_Coverage, 64965,
     /*  169431 */   GIR_EraseRootFromParent_Done,
     /*  169432 */ // Label 3192: @169432
     /*  169432 */ GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(169490), // Rule ID 239 //
     /*  169437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169440 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169443 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169447 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169458 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169462 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169469 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169472 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169479 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169484 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169488 */   GIR_RootConstrainSelectedInstOperands,
     /*  169489 */   // GIR_Coverage, 239,
     /*  169489 */   GIR_EraseRootFromParent_Done,
     /*  169490 */ // Label 3193: @169490
     /*  169490 */ GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(169548), // Rule ID 241 //
     /*  169495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169498 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169501 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169505 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169516 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169520 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169527 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169530 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169542 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169546 */   GIR_RootConstrainSelectedInstOperands,
     /*  169547 */   // GIR_Coverage, 241,
     /*  169547 */   GIR_EraseRootFromParent_Done,
     /*  169548 */ // Label 3194: @169548
     /*  169548 */ GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(169599), // Rule ID 242 //
     /*  169553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169556 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169559 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169567 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169571 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169578 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169581 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169583 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169593 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169597 */   GIR_RootConstrainSelectedInstOperands,
     /*  169598 */   // GIR_Coverage, 242,
     /*  169598 */   GIR_EraseRootFromParent_Done,
     /*  169599 */ // Label 3195: @169599
     /*  169599 */ GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(169650), // Rule ID 243 //
     /*  169604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169607 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169610 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169618 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169622 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169629 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169632 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169644 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169648 */   GIR_RootConstrainSelectedInstOperands,
     /*  169649 */   // GIR_Coverage, 243,
     /*  169649 */   GIR_EraseRootFromParent_Done,
     /*  169650 */ // Label 3196: @169650
     /*  169650 */ GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(169701), // Rule ID 1329 //
     /*  169655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  169658 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169661 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169669 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169673 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169680 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169683 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169695 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169699 */   GIR_RootConstrainSelectedInstOperands,
     /*  169700 */   // GIR_Coverage, 1329,
     /*  169700 */   GIR_EraseRootFromParent_Done,
     /*  169701 */ // Label 3197: @169701
     /*  169701 */ GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(169752), // Rule ID 1330 //
     /*  169706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  169709 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169712 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169720 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169724 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169731 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169734 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169741 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169746 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169750 */   GIR_RootConstrainSelectedInstOperands,
     /*  169751 */   // GIR_Coverage, 1330,
     /*  169751 */   GIR_EraseRootFromParent_Done,
     /*  169752 */ // Label 3198: @169752
     /*  169752 */ GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(169803), // Rule ID 1335 //
     /*  169757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  169760 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169763 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169771 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169775 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169782 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169785 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169787 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169797 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169801 */   GIR_RootConstrainSelectedInstOperands,
     /*  169802 */   // GIR_Coverage, 1335,
     /*  169802 */   GIR_EraseRootFromParent_Done,
     /*  169803 */ // Label 3199: @169803
     /*  169803 */ GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(169854), // Rule ID 1336 //
     /*  169808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  169811 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169814 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169822 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169826 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169833 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169836 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169848 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169852 */   GIR_RootConstrainSelectedInstOperands,
     /*  169853 */   // GIR_Coverage, 1336,
     /*  169853 */   GIR_EraseRootFromParent_Done,
     /*  169854 */ // Label 3200: @169854
     /*  169854 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(169912), // Rule ID 64970 //
     /*  169859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169862 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169865 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169869 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169880 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169884 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169891 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169894 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169896 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169906 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169910 */   GIR_RootConstrainSelectedInstOperands,
     /*  169911 */   // GIR_Coverage, 64970,
     /*  169911 */   GIR_EraseRootFromParent_Done,
     /*  169912 */ // Label 3201: @169912
     /*  169912 */ GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(169970), // Rule ID 64971 //
     /*  169917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  169920 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169923 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169927 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169938 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169942 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169949 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169952 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169959 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169964 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169968 */   GIR_RootConstrainSelectedInstOperands,
     /*  169969 */   // GIR_Coverage, 64971,
     /*  169969 */   GIR_EraseRootFromParent_Done,
     /*  169970 */ // Label 3202: @169970
     /*  169970 */ GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(170028), // Rule ID 64972 //
     /*  169975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169978 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169981 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169985 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169996 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170000 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170007 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170010 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170012 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170022 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170026 */   GIR_RootConstrainSelectedInstOperands,
     /*  170027 */   // GIR_Coverage, 64972,
     /*  170027 */   GIR_EraseRootFromParent_Done,
     /*  170028 */ // Label 3203: @170028
     /*  170028 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(170086), // Rule ID 64973 //
     /*  170033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  170036 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170039 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170043 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170058 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170065 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170068 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170080 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170084 */   GIR_RootConstrainSelectedInstOperands,
     /*  170085 */   // GIR_Coverage, 64973,
     /*  170085 */   GIR_EraseRootFromParent_Done,
     /*  170086 */ // Label 3204: @170086
     /*  170086 */ GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(170132), // Rule ID 1106 //
     /*  170091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170094 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170097 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170104 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170111 */   // MIs[0] rs1
     /*  170111 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170119 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10591>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170122 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170124 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170126 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170130 */   GIR_RootConstrainSelectedInstOperands,
     /*  170131 */   // GIR_Coverage, 1106,
     /*  170131 */   GIR_EraseRootFromParent_Done,
     /*  170132 */ // Label 3205: @170132
     /*  170132 */ GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(170178), // Rule ID 1108 //
     /*  170137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170140 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170143 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170150 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170157 */   // MIs[0] rs1
     /*  170157 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170165 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10593>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170168 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170170 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170172 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170176 */   GIR_RootConstrainSelectedInstOperands,
     /*  170177 */   // GIR_Coverage, 1108,
     /*  170177 */   GIR_EraseRootFromParent_Done,
     /*  170178 */ // Label 3206: @170178
     /*  170178 */ GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(170224), // Rule ID 1110 //
     /*  170183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170186 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170189 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170196 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170203 */   // MIs[0] rs1
     /*  170203 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170211 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10595>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170214 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170216 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170222 */   GIR_RootConstrainSelectedInstOperands,
     /*  170223 */   // GIR_Coverage, 1110,
     /*  170223 */   GIR_EraseRootFromParent_Done,
     /*  170224 */ // Label 3207: @170224
     /*  170224 */ GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(170270), // Rule ID 1112 //
     /*  170229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170232 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170235 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170242 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170249 */   // MIs[0] rs1
     /*  170249 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170257 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10597>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170260 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170262 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170264 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170268 */   GIR_RootConstrainSelectedInstOperands,
     /*  170269 */   // GIR_Coverage, 1112,
     /*  170269 */   GIR_EraseRootFromParent_Done,
     /*  170270 */ // Label 3208: @170270
     /*  170270 */ GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(170316), // Rule ID 1114 //
     /*  170275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170278 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170281 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170288 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170295 */   // MIs[0] rs1
     /*  170295 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170303 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10599>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170308 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170310 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170314 */   GIR_RootConstrainSelectedInstOperands,
     /*  170315 */   // GIR_Coverage, 1114,
     /*  170315 */   GIR_EraseRootFromParent_Done,
     /*  170316 */ // Label 3209: @170316
     /*  170316 */ GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(170362), // Rule ID 1116 //
     /*  170321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170324 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170327 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170334 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170341 */   // MIs[0] rs1
     /*  170341 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170349 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10601>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170352 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170354 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170356 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170360 */   GIR_RootConstrainSelectedInstOperands,
     /*  170361 */   // GIR_Coverage, 1116,
     /*  170361 */   GIR_EraseRootFromParent_Done,
     /*  170362 */ // Label 3210: @170362
     /*  170362 */ GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(170408), // Rule ID 1134 //
     /*  170367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  170370 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170373 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170380 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170387 */   // MIs[0] rs1
     /*  170387 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170395 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10615>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170398 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170400 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170402 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170406 */   GIR_RootConstrainSelectedInstOperands,
     /*  170407 */   // GIR_Coverage, 1134,
     /*  170407 */   GIR_EraseRootFromParent_Done,
     /*  170408 */ // Label 3211: @170408
     /*  170408 */ GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(170454), // Rule ID 1136 //
     /*  170413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  170416 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170419 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170426 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170433 */   // MIs[0] rs1
     /*  170433 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170441 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10617>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170444 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170446 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170448 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170452 */   GIR_RootConstrainSelectedInstOperands,
     /*  170453 */   // GIR_Coverage, 1136,
     /*  170453 */   GIR_EraseRootFromParent_Done,
     /*  170454 */ // Label 3212: @170454
     /*  170454 */ GIM_Reject,
     /*  170455 */ // Label 3127: @170455
     /*  170455 */ GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(170512), // Rule ID 325 //
     /*  170460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170463 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170466 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170473 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170480 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170484 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170491 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10087>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170494 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170496 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170501 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170506 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170510 */   GIR_RootConstrainSelectedInstOperands,
     /*  170511 */   // GIR_Coverage, 325,
     /*  170511 */   GIR_EraseRootFromParent_Done,
     /*  170512 */ // Label 3213: @170512
     /*  170512 */ GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(170569), // Rule ID 327 //
     /*  170517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170520 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170523 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170530 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170537 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170541 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170548 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10089>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170551 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170553 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170563 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170567 */   GIR_RootConstrainSelectedInstOperands,
     /*  170568 */   // GIR_Coverage, 327,
     /*  170568 */   GIR_EraseRootFromParent_Done,
     /*  170569 */ // Label 3214: @170569
     /*  170569 */ GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(170626), // Rule ID 329 //
     /*  170574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170577 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170580 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170587 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170598 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170605 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10091>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170608 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170620 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170624 */   GIR_RootConstrainSelectedInstOperands,
     /*  170625 */   // GIR_Coverage, 329,
     /*  170625 */   GIR_EraseRootFromParent_Done,
     /*  170626 */ // Label 3215: @170626
     /*  170626 */ GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(170683), // Rule ID 340 //
     /*  170631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  170634 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170637 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170644 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170651 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170655 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170662 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10101>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170665 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170667 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170677 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170681 */   GIR_RootConstrainSelectedInstOperands,
     /*  170682 */   // GIR_Coverage, 340,
     /*  170682 */   GIR_EraseRootFromParent_Done,
     /*  170683 */ // Label 3216: @170683
     /*  170683 */ GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(170741), // Rule ID 238 //
     /*  170688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170691 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170694 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170698 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170709 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170713 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170720 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170723 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170735 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170739 */   GIR_RootConstrainSelectedInstOperands,
     /*  170740 */   // GIR_Coverage, 238,
     /*  170740 */   GIR_EraseRootFromParent_Done,
     /*  170741 */ // Label 3217: @170741
     /*  170741 */ GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(170799), // Rule ID 240 //
     /*  170746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170749 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170752 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170756 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170767 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170771 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170778 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170781 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170793 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170797 */   GIR_RootConstrainSelectedInstOperands,
     /*  170798 */   // GIR_Coverage, 240,
     /*  170798 */   GIR_EraseRootFromParent_Done,
     /*  170799 */ // Label 3218: @170799
     /*  170799 */ GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(170857), // Rule ID 279 //
     /*  170804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170807 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170810 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170814 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170825 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170829 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170836 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170839 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170851 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170855 */   GIR_RootConstrainSelectedInstOperands,
     /*  170856 */   // GIR_Coverage, 279,
     /*  170856 */   GIR_EraseRootFromParent_Done,
     /*  170857 */ // Label 3219: @170857
     /*  170857 */ GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(170908), // Rule ID 280 //
     /*  170862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170868 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170876 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170880 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170887 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170890 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170897 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170902 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170906 */   GIR_RootConstrainSelectedInstOperands,
     /*  170907 */   // GIR_Coverage, 280,
     /*  170907 */   GIR_EraseRootFromParent_Done,
     /*  170908 */ // Label 3220: @170908
     /*  170908 */ GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(170959), // Rule ID 1727 //
     /*  170913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  170916 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170919 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170927 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170931 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170938 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170941 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170953 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170957 */   GIR_RootConstrainSelectedInstOperands,
     /*  170958 */   // GIR_Coverage, 1727,
     /*  170958 */   GIR_EraseRootFromParent_Done,
     /*  170959 */ // Label 3221: @170959
     /*  170959 */ GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(171010), // Rule ID 1728 //
     /*  170964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  170967 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170970 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170989 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170992 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171008 */   GIR_RootConstrainSelectedInstOperands,
     /*  171009 */   // GIR_Coverage, 1728,
     /*  171009 */   GIR_EraseRootFromParent_Done,
     /*  171010 */ // Label 3222: @171010
     /*  171010 */ GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(171061), // Rule ID 1731 //
     /*  171015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  171018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171021 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171029 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171040 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171043 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171050 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171055 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171059 */   GIR_RootConstrainSelectedInstOperands,
     /*  171060 */   // GIR_Coverage, 1731,
     /*  171060 */   GIR_EraseRootFromParent_Done,
     /*  171061 */ // Label 3223: @171061
     /*  171061 */ GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(171107), // Rule ID 1105 //
     /*  171066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171069 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171072 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171079 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171086 */   // MIs[0] rs1
     /*  171086 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171094 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10591>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  171097 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171099 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171101 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171105 */   GIR_RootConstrainSelectedInstOperands,
     /*  171106 */   // GIR_Coverage, 1105,
     /*  171106 */   GIR_EraseRootFromParent_Done,
     /*  171107 */ // Label 3224: @171107
     /*  171107 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(171153), // Rule ID 1107 //
     /*  171112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171115 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171125 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171132 */   // MIs[0] rs1
     /*  171132 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171140 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10593>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  171143 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171145 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171147 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171151 */   GIR_RootConstrainSelectedInstOperands,
     /*  171152 */   // GIR_Coverage, 1107,
     /*  171152 */   GIR_EraseRootFromParent_Done,
     /*  171153 */ // Label 3225: @171153
     /*  171153 */ GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(171199), // Rule ID 1109 //
     /*  171158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171161 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171164 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171178 */   // MIs[0] rs1
     /*  171178 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171186 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10595>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  171189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171191 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171193 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171197 */   GIR_RootConstrainSelectedInstOperands,
     /*  171198 */   // GIR_Coverage, 1109,
     /*  171198 */   GIR_EraseRootFromParent_Done,
     /*  171199 */ // Label 3226: @171199
     /*  171199 */ GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(171245), // Rule ID 1111 //
     /*  171204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171207 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171210 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171217 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171224 */   // MIs[0] rs1
     /*  171224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171232 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10597>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  171235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171237 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171239 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171243 */   GIR_RootConstrainSelectedInstOperands,
     /*  171244 */   // GIR_Coverage, 1111,
     /*  171244 */   GIR_EraseRootFromParent_Done,
     /*  171245 */ // Label 3227: @171245
     /*  171245 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(171291), // Rule ID 1113 //
     /*  171250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171253 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171256 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171270 */   // MIs[0] rs1
     /*  171270 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171278 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10599>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  171281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171283 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171285 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171289 */   GIR_RootConstrainSelectedInstOperands,
     /*  171290 */   // GIR_Coverage, 1113,
     /*  171290 */   GIR_EraseRootFromParent_Done,
     /*  171291 */ // Label 3228: @171291
     /*  171291 */ GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(171337), // Rule ID 1115 //
     /*  171296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171299 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171302 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171309 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171316 */   // MIs[0] rs1
     /*  171316 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171324 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10601>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  171327 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171329 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171331 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171335 */   GIR_RootConstrainSelectedInstOperands,
     /*  171336 */   // GIR_Coverage, 1115,
     /*  171336 */   GIR_EraseRootFromParent_Done,
     /*  171337 */ // Label 3229: @171337
     /*  171337 */ GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(171383), // Rule ID 1133 //
     /*  171342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  171345 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171348 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171355 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171362 */   // MIs[0] rs1
     /*  171362 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171370 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10615>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  171373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171375 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171377 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171381 */   GIR_RootConstrainSelectedInstOperands,
     /*  171382 */   // GIR_Coverage, 1133,
     /*  171382 */   GIR_EraseRootFromParent_Done,
     /*  171383 */ // Label 3230: @171383
     /*  171383 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(171429), // Rule ID 1135 //
     /*  171388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  171391 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171394 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171401 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171408 */   // MIs[0] rs1
     /*  171408 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171416 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10617>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  171419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171421 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171423 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171427 */   GIR_RootConstrainSelectedInstOperands,
     /*  171428 */   // GIR_Coverage, 1135,
     /*  171428 */   GIR_EraseRootFromParent_Done,
     /*  171429 */ // Label 3231: @171429
     /*  171429 */ GIM_Reject,
     /*  171430 */ // Label 3128: @171430
     /*  171430 */ GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(171509),
     /*  171435 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171438 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171446 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171454 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(171481), // Rule ID 45622 //
     /*  171459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171462 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171465 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171479 */     GIR_RootConstrainSelectedInstOperands,
     /*  171480 */     // GIR_Coverage, 45622,
     /*  171480 */     GIR_EraseRootFromParent_Done,
     /*  171481 */   // Label 3233: @171481
     /*  171481 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(171508), // Rule ID 45623 //
     /*  171486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171489 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171492 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171506 */     GIR_RootConstrainSelectedInstOperands,
     /*  171507 */     // GIR_Coverage, 45623,
     /*  171507 */     GIR_EraseRootFromParent_Done,
     /*  171508 */   // Label 3234: @171508
     /*  171508 */   GIM_Reject,
     /*  171509 */ // Label 3232: @171509
     /*  171509 */ GIM_Reject,
     /*  171510 */ // Label 3129: @171510
     /*  171510 */ GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(171597),
     /*  171515 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171518 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171526 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(171561), // Rule ID 45618 //
     /*  171531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171534 */     // MIs[0] rs1
     /*  171534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171542 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171545 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171559 */     GIR_RootConstrainSelectedInstOperands,
     /*  171560 */     // GIR_Coverage, 45618,
     /*  171560 */     GIR_EraseRootFromParent_Done,
     /*  171561 */   // Label 3236: @171561
     /*  171561 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(171596), // Rule ID 45619 //
     /*  171566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171569 */     // MIs[0] rs1
     /*  171569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171577 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171580 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171594 */     GIR_RootConstrainSelectedInstOperands,
     /*  171595 */     // GIR_Coverage, 45619,
     /*  171595 */     GIR_EraseRootFromParent_Done,
     /*  171596 */   // Label 3237: @171596
     /*  171596 */   GIM_Reject,
     /*  171597 */ // Label 3235: @171597
     /*  171597 */ GIM_Reject,
     /*  171598 */ // Label 3130: @171598
     /*  171598 */ GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(171755),
     /*  171603 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171606 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171614 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(171649), // Rule ID 45814 //
     /*  171619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171622 */     // MIs[0] rs1
     /*  171622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171630 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171633 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171647 */     GIR_RootConstrainSelectedInstOperands,
     /*  171648 */     // GIR_Coverage, 45814,
     /*  171648 */     GIR_EraseRootFromParent_Done,
     /*  171649 */   // Label 3239: @171649
     /*  171649 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(171684), // Rule ID 45815 //
     /*  171654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171657 */     // MIs[0] rs1
     /*  171657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171665 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171668 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171682 */     GIR_RootConstrainSelectedInstOperands,
     /*  171683 */     // GIR_Coverage, 45815,
     /*  171683 */     GIR_EraseRootFromParent_Done,
     /*  171684 */   // Label 3240: @171684
     /*  171684 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(171719), // Rule ID 45890 //
     /*  171689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171692 */     // MIs[0] rs1
     /*  171692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171700 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171703 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171717 */     GIR_RootConstrainSelectedInstOperands,
     /*  171718 */     // GIR_Coverage, 45890,
     /*  171718 */     GIR_EraseRootFromParent_Done,
     /*  171719 */   // Label 3241: @171719
     /*  171719 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(171754), // Rule ID 45891 //
     /*  171724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  171727 */     // MIs[0] rs1
     /*  171727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171735 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171738 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171752 */     GIR_RootConstrainSelectedInstOperands,
     /*  171753 */     // GIR_Coverage, 45891,
     /*  171753 */     GIR_EraseRootFromParent_Done,
     /*  171754 */   // Label 3242: @171754
     /*  171754 */   GIM_Reject,
     /*  171755 */ // Label 3238: @171755
     /*  171755 */ GIM_Reject,
     /*  171756 */ // Label 3131: @171756
     /*  171756 */ GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(171913),
     /*  171761 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171764 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171772 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(171807), // Rule ID 45822 //
     /*  171777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171780 */     // MIs[0] rs1
     /*  171780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171788 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171791 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171805 */     GIR_RootConstrainSelectedInstOperands,
     /*  171806 */     // GIR_Coverage, 45822,
     /*  171806 */     GIR_EraseRootFromParent_Done,
     /*  171807 */   // Label 3244: @171807
     /*  171807 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(171842), // Rule ID 45823 //
     /*  171812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171815 */     // MIs[0] rs1
     /*  171815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171823 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171826 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171840 */     GIR_RootConstrainSelectedInstOperands,
     /*  171841 */     // GIR_Coverage, 45823,
     /*  171841 */     GIR_EraseRootFromParent_Done,
     /*  171842 */   // Label 3245: @171842
     /*  171842 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(171877), // Rule ID 45898 //
     /*  171847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  171850 */     // MIs[0] rs1
     /*  171850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171858 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171861 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171875 */     GIR_RootConstrainSelectedInstOperands,
     /*  171876 */     // GIR_Coverage, 45898,
     /*  171876 */     GIR_EraseRootFromParent_Done,
     /*  171877 */   // Label 3246: @171877
     /*  171877 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(171912), // Rule ID 45899 //
     /*  171882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  171885 */     // MIs[0] rs1
     /*  171885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171893 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171896 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171910 */     GIR_RootConstrainSelectedInstOperands,
     /*  171911 */     // GIR_Coverage, 45899,
     /*  171911 */     GIR_EraseRootFromParent_Done,
     /*  171912 */   // Label 3247: @171912
     /*  171912 */   GIM_Reject,
     /*  171913 */ // Label 3243: @171913
     /*  171913 */ GIM_Reject,
     /*  171914 */ // Label 3132: @171914
     /*  171914 */ GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(172071),
     /*  171919 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171922 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171930 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(171965), // Rule ID 45838 //
     /*  171935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  171938 */     // MIs[0] rs1
     /*  171938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171946 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171949 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171963 */     GIR_RootConstrainSelectedInstOperands,
     /*  171964 */     // GIR_Coverage, 45838,
     /*  171964 */     GIR_EraseRootFromParent_Done,
     /*  171965 */   // Label 3249: @171965
     /*  171965 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(172000), // Rule ID 45839 //
     /*  171970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  171973 */     // MIs[0] rs1
     /*  171973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171981 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171984 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171998 */     GIR_RootConstrainSelectedInstOperands,
     /*  171999 */     // GIR_Coverage, 45839,
     /*  171999 */     GIR_EraseRootFromParent_Done,
     /*  172000 */   // Label 3250: @172000
     /*  172000 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(172035), // Rule ID 45910 //
     /*  172005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172008 */     // MIs[0] rs1
     /*  172008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172016 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172019 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172033 */     GIR_RootConstrainSelectedInstOperands,
     /*  172034 */     // GIR_Coverage, 45910,
     /*  172034 */     GIR_EraseRootFromParent_Done,
     /*  172035 */   // Label 3251: @172035
     /*  172035 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(172070), // Rule ID 45911 //
     /*  172040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172043 */     // MIs[0] rs1
     /*  172043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172051 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172054 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172068 */     GIR_RootConstrainSelectedInstOperands,
     /*  172069 */     // GIR_Coverage, 45911,
     /*  172069 */     GIR_EraseRootFromParent_Done,
     /*  172070 */   // Label 3252: @172070
     /*  172070 */   GIM_Reject,
     /*  172071 */ // Label 3248: @172071
     /*  172071 */ GIM_Reject,
     /*  172072 */ // Label 3133: @172072
     /*  172072 */ GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(172151),
     /*  172077 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172080 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172088 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172096 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(172123), // Rule ID 45950 //
     /*  172101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172104 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  172107 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172121 */     GIR_RootConstrainSelectedInstOperands,
     /*  172122 */     // GIR_Coverage, 45950,
     /*  172122 */     GIR_EraseRootFromParent_Done,
     /*  172123 */   // Label 3254: @172123
     /*  172123 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(172150), // Rule ID 45951 //
     /*  172128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172131 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  172134 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172148 */     GIR_RootConstrainSelectedInstOperands,
     /*  172149 */     // GIR_Coverage, 45951,
     /*  172149 */     GIR_EraseRootFromParent_Done,
     /*  172150 */   // Label 3255: @172150
     /*  172150 */   GIM_Reject,
     /*  172151 */ // Label 3253: @172151
     /*  172151 */ GIM_Reject,
     /*  172152 */ // Label 3134: @172152
     /*  172152 */ GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(172239),
     /*  172157 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172160 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172168 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(172203), // Rule ID 45806 //
     /*  172173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172176 */     // MIs[0] rs1
     /*  172176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172184 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  172187 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172201 */     GIR_RootConstrainSelectedInstOperands,
     /*  172202 */     // GIR_Coverage, 45806,
     /*  172202 */     GIR_EraseRootFromParent_Done,
     /*  172203 */   // Label 3257: @172203
     /*  172203 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(172238), // Rule ID 45807 //
     /*  172208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172211 */     // MIs[0] rs1
     /*  172211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172219 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  172222 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172236 */     GIR_RootConstrainSelectedInstOperands,
     /*  172237 */     // GIR_Coverage, 45807,
     /*  172237 */     GIR_EraseRootFromParent_Done,
     /*  172238 */   // Label 3258: @172238
     /*  172238 */   GIM_Reject,
     /*  172239 */ // Label 3256: @172239
     /*  172239 */ GIM_Reject,
     /*  172240 */ // Label 3135: @172240
     /*  172240 */ GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(172397),
     /*  172245 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172248 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172256 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(172291), // Rule ID 45818 //
     /*  172261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172264 */     // MIs[0] rs1
     /*  172264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172272 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172275 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172289 */     GIR_RootConstrainSelectedInstOperands,
     /*  172290 */     // GIR_Coverage, 45818,
     /*  172290 */     GIR_EraseRootFromParent_Done,
     /*  172291 */   // Label 3260: @172291
     /*  172291 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(172326), // Rule ID 45819 //
     /*  172296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172299 */     // MIs[0] rs1
     /*  172299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172307 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172310 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172324 */     GIR_RootConstrainSelectedInstOperands,
     /*  172325 */     // GIR_Coverage, 45819,
     /*  172325 */     GIR_EraseRootFromParent_Done,
     /*  172326 */   // Label 3261: @172326
     /*  172326 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(172361), // Rule ID 45894 //
     /*  172331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172334 */     // MIs[0] rs1
     /*  172334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172342 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172345 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172359 */     GIR_RootConstrainSelectedInstOperands,
     /*  172360 */     // GIR_Coverage, 45894,
     /*  172360 */     GIR_EraseRootFromParent_Done,
     /*  172361 */   // Label 3262: @172361
     /*  172361 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(172396), // Rule ID 45895 //
     /*  172366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  172369 */     // MIs[0] rs1
     /*  172369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172377 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172380 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172394 */     GIR_RootConstrainSelectedInstOperands,
     /*  172395 */     // GIR_Coverage, 45895,
     /*  172395 */     GIR_EraseRootFromParent_Done,
     /*  172396 */   // Label 3263: @172396
     /*  172396 */   GIM_Reject,
     /*  172397 */ // Label 3259: @172397
     /*  172397 */ GIM_Reject,
     /*  172398 */ // Label 3136: @172398
     /*  172398 */ GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(172555),
     /*  172403 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172406 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172414 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(172449), // Rule ID 45834 //
     /*  172419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172422 */     // MIs[0] rs1
     /*  172422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172430 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172433 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172447 */     GIR_RootConstrainSelectedInstOperands,
     /*  172448 */     // GIR_Coverage, 45834,
     /*  172448 */     GIR_EraseRootFromParent_Done,
     /*  172449 */   // Label 3265: @172449
     /*  172449 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(172484), // Rule ID 45835 //
     /*  172454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172457 */     // MIs[0] rs1
     /*  172457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172465 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172468 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172482 */     GIR_RootConstrainSelectedInstOperands,
     /*  172483 */     // GIR_Coverage, 45835,
     /*  172483 */     GIR_EraseRootFromParent_Done,
     /*  172484 */   // Label 3266: @172484
     /*  172484 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(172519), // Rule ID 45906 //
     /*  172489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172492 */     // MIs[0] rs1
     /*  172492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172500 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172503 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172517 */     GIR_RootConstrainSelectedInstOperands,
     /*  172518 */     // GIR_Coverage, 45906,
     /*  172518 */     GIR_EraseRootFromParent_Done,
     /*  172519 */   // Label 3267: @172519
     /*  172519 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(172554), // Rule ID 45907 //
     /*  172524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172527 */     // MIs[0] rs1
     /*  172527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172535 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172538 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172552 */     GIR_RootConstrainSelectedInstOperands,
     /*  172553 */     // GIR_Coverage, 45907,
     /*  172553 */     GIR_EraseRootFromParent_Done,
     /*  172554 */   // Label 3268: @172554
     /*  172554 */   GIM_Reject,
     /*  172555 */ // Label 3264: @172555
     /*  172555 */ GIM_Reject,
     /*  172556 */ // Label 3137: @172556
     /*  172556 */ GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(172713),
     /*  172561 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172564 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172572 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(172607), // Rule ID 45878 //
     /*  172577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172580 */     // MIs[0] rs1
     /*  172580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172588 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172591 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172605 */     GIR_RootConstrainSelectedInstOperands,
     /*  172606 */     // GIR_Coverage, 45878,
     /*  172606 */     GIR_EraseRootFromParent_Done,
     /*  172607 */   // Label 3270: @172607
     /*  172607 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(172642), // Rule ID 45879 //
     /*  172612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172615 */     // MIs[0] rs1
     /*  172615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172623 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172626 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172640 */     GIR_RootConstrainSelectedInstOperands,
     /*  172641 */     // GIR_Coverage, 45879,
     /*  172641 */     GIR_EraseRootFromParent_Done,
     /*  172642 */   // Label 3271: @172642
     /*  172642 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(172677), // Rule ID 45938 //
     /*  172647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172650 */     // MIs[0] rs1
     /*  172650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172658 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172661 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172675 */     GIR_RootConstrainSelectedInstOperands,
     /*  172676 */     // GIR_Coverage, 45938,
     /*  172676 */     GIR_EraseRootFromParent_Done,
     /*  172677 */   // Label 3272: @172677
     /*  172677 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(172712), // Rule ID 45939 //
     /*  172682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172685 */     // MIs[0] rs1
     /*  172685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172693 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172696 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172710 */     GIR_RootConstrainSelectedInstOperands,
     /*  172711 */     // GIR_Coverage, 45939,
     /*  172711 */     GIR_EraseRootFromParent_Done,
     /*  172712 */   // Label 3273: @172712
     /*  172712 */   GIM_Reject,
     /*  172713 */ // Label 3269: @172713
     /*  172713 */ GIM_Reject,
     /*  172714 */ // Label 3138: @172714
     /*  172714 */ GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(172793),
     /*  172719 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172722 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172730 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172738 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(172765), // Rule ID 45954 //
     /*  172743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172746 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172749 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172763 */     GIR_RootConstrainSelectedInstOperands,
     /*  172764 */     // GIR_Coverage, 45954,
     /*  172764 */     GIR_EraseRootFromParent_Done,
     /*  172765 */   // Label 3275: @172765
     /*  172765 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(172792), // Rule ID 45955 //
     /*  172770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172773 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172776 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172790 */     GIR_RootConstrainSelectedInstOperands,
     /*  172791 */     // GIR_Coverage, 45955,
     /*  172791 */     GIR_EraseRootFromParent_Done,
     /*  172792 */   // Label 3276: @172792
     /*  172792 */   GIM_Reject,
     /*  172793 */ // Label 3274: @172793
     /*  172793 */ GIM_Reject,
     /*  172794 */ // Label 3139: @172794
     /*  172794 */ GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(172881),
     /*  172799 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172802 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172810 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(172845), // Rule ID 45810 //
     /*  172815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172818 */     // MIs[0] rs1
     /*  172818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172826 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172829 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172843 */     GIR_RootConstrainSelectedInstOperands,
     /*  172844 */     // GIR_Coverage, 45810,
     /*  172844 */     GIR_EraseRootFromParent_Done,
     /*  172845 */   // Label 3278: @172845
     /*  172845 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(172880), // Rule ID 45811 //
     /*  172850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172853 */     // MIs[0] rs1
     /*  172853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172861 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172864 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172878 */     GIR_RootConstrainSelectedInstOperands,
     /*  172879 */     // GIR_Coverage, 45811,
     /*  172879 */     GIR_EraseRootFromParent_Done,
     /*  172880 */   // Label 3279: @172880
     /*  172880 */   GIM_Reject,
     /*  172881 */ // Label 3277: @172881
     /*  172881 */ GIM_Reject,
     /*  172882 */ // Label 3140: @172882
     /*  172882 */ GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(173039),
     /*  172887 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172890 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172898 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(172933), // Rule ID 45830 //
     /*  172903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172906 */     // MIs[0] rs1
     /*  172906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172914 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172917 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172931 */     GIR_RootConstrainSelectedInstOperands,
     /*  172932 */     // GIR_Coverage, 45830,
     /*  172932 */     GIR_EraseRootFromParent_Done,
     /*  172933 */   // Label 3281: @172933
     /*  172933 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(172968), // Rule ID 45831 //
     /*  172938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172941 */     // MIs[0] rs1
     /*  172941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172949 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172952 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172966 */     GIR_RootConstrainSelectedInstOperands,
     /*  172967 */     // GIR_Coverage, 45831,
     /*  172967 */     GIR_EraseRootFromParent_Done,
     /*  172968 */   // Label 3282: @172968
     /*  172968 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(173003), // Rule ID 45902 //
     /*  172973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172976 */     // MIs[0] rs1
     /*  172976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172984 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172987 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173001 */     GIR_RootConstrainSelectedInstOperands,
     /*  173002 */     // GIR_Coverage, 45902,
     /*  173002 */     GIR_EraseRootFromParent_Done,
     /*  173003 */   // Label 3283: @173003
     /*  173003 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(173038), // Rule ID 45903 //
     /*  173008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173011 */     // MIs[0] rs1
     /*  173011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173019 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  173022 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173036 */     GIR_RootConstrainSelectedInstOperands,
     /*  173037 */     // GIR_Coverage, 45903,
     /*  173037 */     GIR_EraseRootFromParent_Done,
     /*  173038 */   // Label 3284: @173038
     /*  173038 */   GIM_Reject,
     /*  173039 */ // Label 3280: @173039
     /*  173039 */ GIM_Reject,
     /*  173040 */ // Label 3141: @173040
     /*  173040 */ GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(173197),
     /*  173045 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173048 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173056 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(173091), // Rule ID 45866 //
     /*  173061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173064 */     // MIs[0] rs1
     /*  173064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173072 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173075 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173089 */     GIR_RootConstrainSelectedInstOperands,
     /*  173090 */     // GIR_Coverage, 45866,
     /*  173090 */     GIR_EraseRootFromParent_Done,
     /*  173091 */   // Label 3286: @173091
     /*  173091 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(173126), // Rule ID 45867 //
     /*  173096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173099 */     // MIs[0] rs1
     /*  173099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173107 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173110 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173124 */     GIR_RootConstrainSelectedInstOperands,
     /*  173125 */     // GIR_Coverage, 45867,
     /*  173125 */     GIR_EraseRootFromParent_Done,
     /*  173126 */   // Label 3287: @173126
     /*  173126 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(173161), // Rule ID 45926 //
     /*  173131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173134 */     // MIs[0] rs1
     /*  173134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173142 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173145 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173159 */     GIR_RootConstrainSelectedInstOperands,
     /*  173160 */     // GIR_Coverage, 45926,
     /*  173160 */     GIR_EraseRootFromParent_Done,
     /*  173161 */   // Label 3288: @173161
     /*  173161 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(173196), // Rule ID 45927 //
     /*  173166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173169 */     // MIs[0] rs1
     /*  173169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173177 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173180 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173194 */     GIR_RootConstrainSelectedInstOperands,
     /*  173195 */     // GIR_Coverage, 45927,
     /*  173195 */     GIR_EraseRootFromParent_Done,
     /*  173196 */   // Label 3289: @173196
     /*  173196 */   GIM_Reject,
     /*  173197 */ // Label 3285: @173197
     /*  173197 */ GIM_Reject,
     /*  173198 */ // Label 3142: @173198
     /*  173198 */ GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(173355),
     /*  173203 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173206 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173214 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(173249), // Rule ID 45882 //
     /*  173219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173222 */     // MIs[0] rs1
     /*  173222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173230 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173233 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173247 */     GIR_RootConstrainSelectedInstOperands,
     /*  173248 */     // GIR_Coverage, 45882,
     /*  173248 */     GIR_EraseRootFromParent_Done,
     /*  173249 */   // Label 3291: @173249
     /*  173249 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(173284), // Rule ID 45883 //
     /*  173254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173257 */     // MIs[0] rs1
     /*  173257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173265 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173268 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173282 */     GIR_RootConstrainSelectedInstOperands,
     /*  173283 */     // GIR_Coverage, 45883,
     /*  173283 */     GIR_EraseRootFromParent_Done,
     /*  173284 */   // Label 3292: @173284
     /*  173284 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(173319), // Rule ID 45942 //
     /*  173289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173292 */     // MIs[0] rs1
     /*  173292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173300 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173303 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173317 */     GIR_RootConstrainSelectedInstOperands,
     /*  173318 */     // GIR_Coverage, 45942,
     /*  173318 */     GIR_EraseRootFromParent_Done,
     /*  173319 */   // Label 3293: @173319
     /*  173319 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(173354), // Rule ID 45943 //
     /*  173324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173327 */     // MIs[0] rs1
     /*  173327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173335 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173338 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173352 */     GIR_RootConstrainSelectedInstOperands,
     /*  173353 */     // GIR_Coverage, 45943,
     /*  173353 */     GIR_EraseRootFromParent_Done,
     /*  173354 */   // Label 3294: @173354
     /*  173354 */   GIM_Reject,
     /*  173355 */ // Label 3290: @173355
     /*  173355 */ GIM_Reject,
     /*  173356 */ // Label 3143: @173356
     /*  173356 */ GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(173435),
     /*  173361 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173364 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173372 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173380 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(173407), // Rule ID 45958 //
     /*  173385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173388 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  173388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  173391 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173405 */     GIR_RootConstrainSelectedInstOperands,
     /*  173406 */     // GIR_Coverage, 45958,
     /*  173406 */     GIR_EraseRootFromParent_Done,
     /*  173407 */   // Label 3296: @173407
     /*  173407 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(173434), // Rule ID 45959 //
     /*  173412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173415 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  173415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  173418 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173432 */     GIR_RootConstrainSelectedInstOperands,
     /*  173433 */     // GIR_Coverage, 45959,
     /*  173433 */     GIR_EraseRootFromParent_Done,
     /*  173434 */   // Label 3297: @173434
     /*  173434 */   GIM_Reject,
     /*  173435 */ // Label 3295: @173435
     /*  173435 */ GIM_Reject,
     /*  173436 */ // Label 3144: @173436
     /*  173436 */ GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(173523),
     /*  173441 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173444 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173452 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(173487), // Rule ID 45826 //
     /*  173457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173460 */     // MIs[0] rs1
     /*  173460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173468 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173471 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173485 */     GIR_RootConstrainSelectedInstOperands,
     /*  173486 */     // GIR_Coverage, 45826,
     /*  173486 */     GIR_EraseRootFromParent_Done,
     /*  173487 */   // Label 3299: @173487
     /*  173487 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(173522), // Rule ID 45827 //
     /*  173492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173495 */     // MIs[0] rs1
     /*  173495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173503 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173506 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173520 */     GIR_RootConstrainSelectedInstOperands,
     /*  173521 */     // GIR_Coverage, 45827,
     /*  173521 */     GIR_EraseRootFromParent_Done,
     /*  173522 */   // Label 3300: @173522
     /*  173522 */   GIM_Reject,
     /*  173523 */ // Label 3298: @173523
     /*  173523 */ GIM_Reject,
     /*  173524 */ // Label 3145: @173524
     /*  173524 */ GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(173681),
     /*  173529 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173532 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173540 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(173575), // Rule ID 45854 //
     /*  173545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173548 */     // MIs[0] rs1
     /*  173548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173556 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173559 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173573 */     GIR_RootConstrainSelectedInstOperands,
     /*  173574 */     // GIR_Coverage, 45854,
     /*  173574 */     GIR_EraseRootFromParent_Done,
     /*  173575 */   // Label 3302: @173575
     /*  173575 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(173610), // Rule ID 45855 //
     /*  173580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173583 */     // MIs[0] rs1
     /*  173583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173591 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173594 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173608 */     GIR_RootConstrainSelectedInstOperands,
     /*  173609 */     // GIR_Coverage, 45855,
     /*  173609 */     GIR_EraseRootFromParent_Done,
     /*  173610 */   // Label 3303: @173610
     /*  173610 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(173645), // Rule ID 45914 //
     /*  173615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173618 */     // MIs[0] rs1
     /*  173618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173626 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173629 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173643 */     GIR_RootConstrainSelectedInstOperands,
     /*  173644 */     // GIR_Coverage, 45914,
     /*  173644 */     GIR_EraseRootFromParent_Done,
     /*  173645 */   // Label 3304: @173645
     /*  173645 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(173680), // Rule ID 45915 //
     /*  173650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173653 */     // MIs[0] rs1
     /*  173653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173661 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173664 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173678 */     GIR_RootConstrainSelectedInstOperands,
     /*  173679 */     // GIR_Coverage, 45915,
     /*  173679 */     GIR_EraseRootFromParent_Done,
     /*  173680 */   // Label 3305: @173680
     /*  173680 */   GIM_Reject,
     /*  173681 */ // Label 3301: @173681
     /*  173681 */ GIM_Reject,
     /*  173682 */ // Label 3146: @173682
     /*  173682 */ GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(173839),
     /*  173687 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173690 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173698 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(173733), // Rule ID 45870 //
     /*  173703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173706 */     // MIs[0] rs1
     /*  173706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173714 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173717 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173731 */     GIR_RootConstrainSelectedInstOperands,
     /*  173732 */     // GIR_Coverage, 45870,
     /*  173732 */     GIR_EraseRootFromParent_Done,
     /*  173733 */   // Label 3307: @173733
     /*  173733 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(173768), // Rule ID 45871 //
     /*  173738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173741 */     // MIs[0] rs1
     /*  173741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173749 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173752 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173766 */     GIR_RootConstrainSelectedInstOperands,
     /*  173767 */     // GIR_Coverage, 45871,
     /*  173767 */     GIR_EraseRootFromParent_Done,
     /*  173768 */   // Label 3308: @173768
     /*  173768 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(173803), // Rule ID 45930 //
     /*  173773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173776 */     // MIs[0] rs1
     /*  173776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173784 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173787 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173801 */     GIR_RootConstrainSelectedInstOperands,
     /*  173802 */     // GIR_Coverage, 45930,
     /*  173802 */     GIR_EraseRootFromParent_Done,
     /*  173803 */   // Label 3309: @173803
     /*  173803 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(173838), // Rule ID 45931 //
     /*  173808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173811 */     // MIs[0] rs1
     /*  173811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173819 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173822 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173836 */     GIR_RootConstrainSelectedInstOperands,
     /*  173837 */     // GIR_Coverage, 45931,
     /*  173837 */     GIR_EraseRootFromParent_Done,
     /*  173838 */   // Label 3310: @173838
     /*  173838 */   GIM_Reject,
     /*  173839 */ // Label 3306: @173839
     /*  173839 */ GIM_Reject,
     /*  173840 */ // Label 3147: @173840
     /*  173840 */ GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(173997),
     /*  173845 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173848 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173856 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(173891), // Rule ID 45886 //
     /*  173861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173864 */     // MIs[0] rs1
     /*  173864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173872 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173875 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173889 */     GIR_RootConstrainSelectedInstOperands,
     /*  173890 */     // GIR_Coverage, 45886,
     /*  173890 */     GIR_EraseRootFromParent_Done,
     /*  173891 */   // Label 3312: @173891
     /*  173891 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(173926), // Rule ID 45887 //
     /*  173896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173899 */     // MIs[0] rs1
     /*  173899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173907 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173910 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173924 */     GIR_RootConstrainSelectedInstOperands,
     /*  173925 */     // GIR_Coverage, 45887,
     /*  173925 */     GIR_EraseRootFromParent_Done,
     /*  173926 */   // Label 3313: @173926
     /*  173926 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(173961), // Rule ID 45946 //
     /*  173931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173934 */     // MIs[0] rs1
     /*  173934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173942 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173945 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173959 */     GIR_RootConstrainSelectedInstOperands,
     /*  173960 */     // GIR_Coverage, 45946,
     /*  173960 */     GIR_EraseRootFromParent_Done,
     /*  173961 */   // Label 3314: @173961
     /*  173961 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(173996), // Rule ID 45947 //
     /*  173966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173969 */     // MIs[0] rs1
     /*  173969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173977 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173980 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173994 */     GIR_RootConstrainSelectedInstOperands,
     /*  173995 */     // GIR_Coverage, 45947,
     /*  173995 */     GIR_EraseRootFromParent_Done,
     /*  173996 */   // Label 3315: @173996
     /*  173996 */   GIM_Reject,
     /*  173997 */ // Label 3311: @173997
     /*  173997 */ GIM_Reject,
     /*  173998 */ // Label 3148: @173998
     /*  173998 */ GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(174077),
     /*  174003 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174006 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174022 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(174049), // Rule ID 45962 //
     /*  174027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174030 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  174033 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174047 */     GIR_RootConstrainSelectedInstOperands,
     /*  174048 */     // GIR_Coverage, 45962,
     /*  174048 */     GIR_EraseRootFromParent_Done,
     /*  174049 */   // Label 3317: @174049
     /*  174049 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(174076), // Rule ID 45963 //
     /*  174054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174057 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  174060 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174074 */     GIR_RootConstrainSelectedInstOperands,
     /*  174075 */     // GIR_Coverage, 45963,
     /*  174075 */     GIR_EraseRootFromParent_Done,
     /*  174076 */   // Label 3318: @174076
     /*  174076 */   GIM_Reject,
     /*  174077 */ // Label 3316: @174077
     /*  174077 */ GIM_Reject,
     /*  174078 */ // Label 3149: @174078
     /*  174078 */ GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(174165),
     /*  174083 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174086 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174094 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(174129), // Rule ID 45842 //
     /*  174099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174102 */     // MIs[0] rs1
     /*  174102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174110 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  174113 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174127 */     GIR_RootConstrainSelectedInstOperands,
     /*  174128 */     // GIR_Coverage, 45842,
     /*  174128 */     GIR_EraseRootFromParent_Done,
     /*  174129 */   // Label 3320: @174129
     /*  174129 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(174164), // Rule ID 45843 //
     /*  174134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174137 */     // MIs[0] rs1
     /*  174137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174145 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  174148 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174162 */     GIR_RootConstrainSelectedInstOperands,
     /*  174163 */     // GIR_Coverage, 45843,
     /*  174163 */     GIR_EraseRootFromParent_Done,
     /*  174164 */   // Label 3321: @174164
     /*  174164 */   GIM_Reject,
     /*  174165 */ // Label 3319: @174165
     /*  174165 */ GIM_Reject,
     /*  174166 */ // Label 3150: @174166
     /*  174166 */ GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(174323),
     /*  174171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174182 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(174217), // Rule ID 45858 //
     /*  174187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174190 */     // MIs[0] rs1
     /*  174190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174198 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174201 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174215 */     GIR_RootConstrainSelectedInstOperands,
     /*  174216 */     // GIR_Coverage, 45858,
     /*  174216 */     GIR_EraseRootFromParent_Done,
     /*  174217 */   // Label 3323: @174217
     /*  174217 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(174252), // Rule ID 45859 //
     /*  174222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174225 */     // MIs[0] rs1
     /*  174225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174233 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174236 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174250 */     GIR_RootConstrainSelectedInstOperands,
     /*  174251 */     // GIR_Coverage, 45859,
     /*  174251 */     GIR_EraseRootFromParent_Done,
     /*  174252 */   // Label 3324: @174252
     /*  174252 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(174287), // Rule ID 45918 //
     /*  174257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174260 */     // MIs[0] rs1
     /*  174260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174268 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174271 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174285 */     GIR_RootConstrainSelectedInstOperands,
     /*  174286 */     // GIR_Coverage, 45918,
     /*  174286 */     GIR_EraseRootFromParent_Done,
     /*  174287 */   // Label 3325: @174287
     /*  174287 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(174322), // Rule ID 45919 //
     /*  174292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174295 */     // MIs[0] rs1
     /*  174295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174303 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174306 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174320 */     GIR_RootConstrainSelectedInstOperands,
     /*  174321 */     // GIR_Coverage, 45919,
     /*  174321 */     GIR_EraseRootFromParent_Done,
     /*  174322 */   // Label 3326: @174322
     /*  174322 */   GIM_Reject,
     /*  174323 */ // Label 3322: @174323
     /*  174323 */ GIM_Reject,
     /*  174324 */ // Label 3151: @174324
     /*  174324 */ GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(174481),
     /*  174329 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174332 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174340 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(174375), // Rule ID 45874 //
     /*  174345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174348 */     // MIs[0] rs1
     /*  174348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174356 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  174356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174359 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174373 */     GIR_RootConstrainSelectedInstOperands,
     /*  174374 */     // GIR_Coverage, 45874,
     /*  174374 */     GIR_EraseRootFromParent_Done,
     /*  174375 */   // Label 3328: @174375
     /*  174375 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(174410), // Rule ID 45875 //
     /*  174380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174383 */     // MIs[0] rs1
     /*  174383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174391 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174394 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174408 */     GIR_RootConstrainSelectedInstOperands,
     /*  174409 */     // GIR_Coverage, 45875,
     /*  174409 */     GIR_EraseRootFromParent_Done,
     /*  174410 */   // Label 3329: @174410
     /*  174410 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(174445), // Rule ID 45934 //
     /*  174415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  174418 */     // MIs[0] rs1
     /*  174418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174426 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  174426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174429 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174443 */     GIR_RootConstrainSelectedInstOperands,
     /*  174444 */     // GIR_Coverage, 45934,
     /*  174444 */     GIR_EraseRootFromParent_Done,
     /*  174445 */   // Label 3330: @174445
     /*  174445 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(174480), // Rule ID 45935 //
     /*  174450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  174453 */     // MIs[0] rs1
     /*  174453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174461 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174464 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174478 */     GIR_RootConstrainSelectedInstOperands,
     /*  174479 */     // GIR_Coverage, 45935,
     /*  174479 */     GIR_EraseRootFromParent_Done,
     /*  174480 */   // Label 3331: @174480
     /*  174480 */   GIM_Reject,
     /*  174481 */ // Label 3327: @174481
     /*  174481 */ GIM_Reject,
     /*  174482 */ // Label 3152: @174482
     /*  174482 */ GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(174561),
     /*  174487 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174490 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174498 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174506 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(174533), // Rule ID 45966 //
     /*  174511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174514 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174517 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174531 */     GIR_RootConstrainSelectedInstOperands,
     /*  174532 */     // GIR_Coverage, 45966,
     /*  174532 */     GIR_EraseRootFromParent_Done,
     /*  174533 */   // Label 3333: @174533
     /*  174533 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(174560), // Rule ID 45967 //
     /*  174538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174541 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174544 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174558 */     GIR_RootConstrainSelectedInstOperands,
     /*  174559 */     // GIR_Coverage, 45967,
     /*  174559 */     GIR_EraseRootFromParent_Done,
     /*  174560 */   // Label 3334: @174560
     /*  174560 */   GIM_Reject,
     /*  174561 */ // Label 3332: @174561
     /*  174561 */ GIM_Reject,
     /*  174562 */ // Label 3153: @174562
     /*  174562 */ GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(174649),
     /*  174567 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174570 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174578 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(174613), // Rule ID 45846 //
     /*  174583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174586 */     // MIs[0] rs1
     /*  174586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174594 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174597 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174611 */     GIR_RootConstrainSelectedInstOperands,
     /*  174612 */     // GIR_Coverage, 45846,
     /*  174612 */     GIR_EraseRootFromParent_Done,
     /*  174613 */   // Label 3336: @174613
     /*  174613 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(174648), // Rule ID 45847 //
     /*  174618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174621 */     // MIs[0] rs1
     /*  174621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174629 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174632 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174646 */     GIR_RootConstrainSelectedInstOperands,
     /*  174647 */     // GIR_Coverage, 45847,
     /*  174647 */     GIR_EraseRootFromParent_Done,
     /*  174648 */   // Label 3337: @174648
     /*  174648 */   GIM_Reject,
     /*  174649 */ // Label 3335: @174649
     /*  174649 */ GIM_Reject,
     /*  174650 */ // Label 3154: @174650
     /*  174650 */ GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(174807),
     /*  174655 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174658 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174666 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(174701), // Rule ID 45862 //
     /*  174671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174674 */     // MIs[0] rs1
     /*  174674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174682 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174685 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174699 */     GIR_RootConstrainSelectedInstOperands,
     /*  174700 */     // GIR_Coverage, 45862,
     /*  174700 */     GIR_EraseRootFromParent_Done,
     /*  174701 */   // Label 3339: @174701
     /*  174701 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(174736), // Rule ID 45863 //
     /*  174706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174709 */     // MIs[0] rs1
     /*  174709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174717 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174720 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174734 */     GIR_RootConstrainSelectedInstOperands,
     /*  174735 */     // GIR_Coverage, 45863,
     /*  174735 */     GIR_EraseRootFromParent_Done,
     /*  174736 */   // Label 3340: @174736
     /*  174736 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(174771), // Rule ID 45922 //
     /*  174741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174744 */     // MIs[0] rs1
     /*  174744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174752 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174755 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174769 */     GIR_RootConstrainSelectedInstOperands,
     /*  174770 */     // GIR_Coverage, 45922,
     /*  174770 */     GIR_EraseRootFromParent_Done,
     /*  174771 */   // Label 3341: @174771
     /*  174771 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(174806), // Rule ID 45923 //
     /*  174776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174779 */     // MIs[0] rs1
     /*  174779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174787 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174790 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174804 */     GIR_RootConstrainSelectedInstOperands,
     /*  174805 */     // GIR_Coverage, 45923,
     /*  174805 */     GIR_EraseRootFromParent_Done,
     /*  174806 */   // Label 3342: @174806
     /*  174806 */   GIM_Reject,
     /*  174807 */ // Label 3338: @174807
     /*  174807 */ GIM_Reject,
     /*  174808 */ // Label 3155: @174808
     /*  174808 */ GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(174887),
     /*  174813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174816 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174832 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(174859), // Rule ID 45970 //
     /*  174837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174840 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174843 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174857 */     GIR_RootConstrainSelectedInstOperands,
     /*  174858 */     // GIR_Coverage, 45970,
     /*  174858 */     GIR_EraseRootFromParent_Done,
     /*  174859 */   // Label 3344: @174859
     /*  174859 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(174886), // Rule ID 45971 //
     /*  174864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174867 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174870 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174884 */     GIR_RootConstrainSelectedInstOperands,
     /*  174885 */     // GIR_Coverage, 45971,
     /*  174885 */     GIR_EraseRootFromParent_Done,
     /*  174886 */   // Label 3345: @174886
     /*  174886 */   GIM_Reject,
     /*  174887 */ // Label 3343: @174887
     /*  174887 */ GIM_Reject,
     /*  174888 */ // Label 3156: @174888
     /*  174888 */ GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(174975),
     /*  174893 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174896 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174904 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(174939), // Rule ID 45850 //
     /*  174909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174912 */     // MIs[0] rs1
     /*  174912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174920 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174923 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174937 */     GIR_RootConstrainSelectedInstOperands,
     /*  174938 */     // GIR_Coverage, 45850,
     /*  174938 */     GIR_EraseRootFromParent_Done,
     /*  174939 */   // Label 3347: @174939
     /*  174939 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(174974), // Rule ID 45851 //
     /*  174944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174947 */     // MIs[0] rs1
     /*  174947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174955 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174958 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174972 */     GIR_RootConstrainSelectedInstOperands,
     /*  174973 */     // GIR_Coverage, 45851,
     /*  174973 */     GIR_EraseRootFromParent_Done,
     /*  174974 */   // Label 3348: @174974
     /*  174974 */   GIM_Reject,
     /*  174975 */ // Label 3346: @174975
     /*  174975 */ GIM_Reject,
     /*  174976 */ // Label 3157: @174976
     /*  174976 */ GIM_Reject,
     /*  174977 */ // Label 25: @174977
     /*  174977 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3351*/ GIMT_Encode4(179862),
     /*  174988 */ /*GILLT_s32*//*Label 3349*/ GIMT_Encode4(174996),
     /*  174992 */ /*GILLT_s64*//*Label 3350*/ GIMT_Encode4(176989),
     /*  174996 */ // Label 3349: @174996
     /*  174996 */ GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(176988),
     /*  175001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  175004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  175007 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(175073), // Rule ID 643 //
     /*  175012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175015 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175029 */     // MIs[0] addr
     /*  175029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175045 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  175045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175053 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175058 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175060 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175062 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  175067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175071 */     GIR_RootConstrainSelectedInstOperands,
     /*  175072 */     // GIR_Coverage, 643,
     /*  175072 */     GIR_EraseRootFromParent_Done,
     /*  175073 */   // Label 3353: @175073
     /*  175073 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(175139), // Rule ID 645 //
     /*  175078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175095 */     // MIs[0] addr
     /*  175095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175111 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  175111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175119 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175124 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175126 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175128 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175137 */     GIR_RootConstrainSelectedInstOperands,
     /*  175138 */     // GIR_Coverage, 645,
     /*  175138 */     GIR_EraseRootFromParent_Done,
     /*  175139 */   // Label 3354: @175139
     /*  175139 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(175205), // Rule ID 647 //
     /*  175144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175161 */     // MIs[0] addr
     /*  175161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175177 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  175177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175185 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175190 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175192 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175194 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175203 */     GIR_RootConstrainSelectedInstOperands,
     /*  175204 */     // GIR_Coverage, 647,
     /*  175204 */     GIR_EraseRootFromParent_Done,
     /*  175205 */   // Label 3355: @175205
     /*  175205 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(175271), // Rule ID 649 //
     /*  175210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175227 */     // MIs[0] addr
     /*  175227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175243 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  175243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175251 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175256 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175258 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175260 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175269 */     GIR_RootConstrainSelectedInstOperands,
     /*  175270 */     // GIR_Coverage, 649,
     /*  175270 */     GIR_EraseRootFromParent_Done,
     /*  175271 */   // Label 3356: @175271
     /*  175271 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(175337), // Rule ID 651 //
     /*  175276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175293 */     // MIs[0] addr
     /*  175293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175309 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  175309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175317 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175322 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175324 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175326 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  175331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175335 */     GIR_RootConstrainSelectedInstOperands,
     /*  175336 */     // GIR_Coverage, 651,
     /*  175336 */     GIR_EraseRootFromParent_Done,
     /*  175337 */   // Label 3357: @175337
     /*  175337 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(175392), // Rule ID 660 //
     /*  175342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175345 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175352 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175359 */     // MIs[0] addr
     /*  175359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175375 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175380 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175382 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175384 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175390 */     GIR_RootConstrainSelectedInstOperands,
     /*  175391 */     // GIR_Coverage, 660,
     /*  175391 */     GIR_EraseRootFromParent_Done,
     /*  175392 */   // Label 3358: @175392
     /*  175392 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(175447), // Rule ID 662 //
     /*  175397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175400 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175414 */     // MIs[0] addr
     /*  175414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175430 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  175433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175435 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175437 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175439 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175445 */     GIR_RootConstrainSelectedInstOperands,
     /*  175446 */     // GIR_Coverage, 662,
     /*  175446 */     GIR_EraseRootFromParent_Done,
     /*  175447 */   // Label 3359: @175447
     /*  175447 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(175502), // Rule ID 664 //
     /*  175452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175455 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175462 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175469 */     // MIs[0] addr
     /*  175469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175485 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  175488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175490 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175492 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175494 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175500 */     GIR_RootConstrainSelectedInstOperands,
     /*  175501 */     // GIR_Coverage, 664,
     /*  175501 */     GIR_EraseRootFromParent_Done,
     /*  175502 */   // Label 3360: @175502
     /*  175502 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(175557), // Rule ID 666 //
     /*  175507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175524 */     // MIs[0] addr
     /*  175524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175540 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175545 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175547 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175549 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175555 */     GIR_RootConstrainSelectedInstOperands,
     /*  175556 */     // GIR_Coverage, 666,
     /*  175556 */     GIR_EraseRootFromParent_Done,
     /*  175557 */   // Label 3361: @175557
     /*  175557 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(175612), // Rule ID 668 //
     /*  175562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175579 */     // MIs[0] addr
     /*  175579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175595 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175600 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175602 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175604 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175610 */     GIR_RootConstrainSelectedInstOperands,
     /*  175611 */     // GIR_Coverage, 668,
     /*  175611 */     GIR_EraseRootFromParent_Done,
     /*  175612 */   // Label 3362: @175612
     /*  175612 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(175667), // Rule ID 670 //
     /*  175617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175634 */     // MIs[0] addr
     /*  175634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175650 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175655 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175657 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175659 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175665 */     GIR_RootConstrainSelectedInstOperands,
     /*  175666 */     // GIR_Coverage, 670,
     /*  175666 */     GIR_EraseRootFromParent_Done,
     /*  175667 */   // Label 3363: @175667
     /*  175667 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(175722), // Rule ID 672 //
     /*  175672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175689 */     // MIs[0] addr
     /*  175689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175705 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175710 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175712 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175714 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175720 */     GIR_RootConstrainSelectedInstOperands,
     /*  175721 */     // GIR_Coverage, 672,
     /*  175721 */     GIR_EraseRootFromParent_Done,
     /*  175722 */   // Label 3364: @175722
     /*  175722 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(175777), // Rule ID 674 //
     /*  175727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175730 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175737 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175744 */     // MIs[0] addr
     /*  175744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175760 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175765 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175767 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175769 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175775 */     GIR_RootConstrainSelectedInstOperands,
     /*  175776 */     // GIR_Coverage, 674,
     /*  175776 */     GIR_EraseRootFromParent_Done,
     /*  175777 */   // Label 3365: @175777
     /*  175777 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(175832), // Rule ID 676 //
     /*  175782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175799 */     // MIs[0] addr
     /*  175799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175815 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175820 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175822 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175824 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175830 */     GIR_RootConstrainSelectedInstOperands,
     /*  175831 */     // GIR_Coverage, 676,
     /*  175831 */     GIR_EraseRootFromParent_Done,
     /*  175832 */   // Label 3366: @175832
     /*  175832 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(175887), // Rule ID 678 //
     /*  175837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175840 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175854 */     // MIs[0] addr
     /*  175854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175870 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175875 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175877 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175879 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175885 */     GIR_RootConstrainSelectedInstOperands,
     /*  175886 */     // GIR_Coverage, 678,
     /*  175886 */     GIR_EraseRootFromParent_Done,
     /*  175887 */   // Label 3367: @175887
     /*  175887 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(175942), // Rule ID 1050 //
     /*  175892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175909 */     // MIs[0] addr
     /*  175909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175925 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175930 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175932 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175934 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175940 */     GIR_RootConstrainSelectedInstOperands,
     /*  175941 */     // GIR_Coverage, 1050,
     /*  175941 */     GIR_EraseRootFromParent_Done,
     /*  175942 */   // Label 3368: @175942
     /*  175942 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(175997), // Rule ID 1052 //
     /*  175947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175964 */     // MIs[0] addr
     /*  175964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175980 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  175983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175985 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175987 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175989 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175995 */     GIR_RootConstrainSelectedInstOperands,
     /*  175996 */     // GIR_Coverage, 1052,
     /*  175996 */     GIR_EraseRootFromParent_Done,
     /*  175997 */   // Label 3369: @175997
     /*  175997 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(176052), // Rule ID 1054 //
     /*  176002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176019 */     // MIs[0] addr
     /*  176019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176035 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  176038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176040 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176042 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176044 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176050 */     GIR_RootConstrainSelectedInstOperands,
     /*  176051 */     // GIR_Coverage, 1054,
     /*  176051 */     GIR_EraseRootFromParent_Done,
     /*  176052 */   // Label 3370: @176052
     /*  176052 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(176107), // Rule ID 1056 //
     /*  176057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176074 */     // MIs[0] addr
     /*  176074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176090 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  176093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176095 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176097 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176099 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176101 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176105 */     GIR_RootConstrainSelectedInstOperands,
     /*  176106 */     // GIR_Coverage, 1056,
     /*  176106 */     GIR_EraseRootFromParent_Done,
     /*  176107 */   // Label 3371: @176107
     /*  176107 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(176162), // Rule ID 1058 //
     /*  176112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176129 */     // MIs[0] addr
     /*  176129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176145 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  176148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176150 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176152 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176154 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176160 */     GIR_RootConstrainSelectedInstOperands,
     /*  176161 */     // GIR_Coverage, 1058,
     /*  176161 */     GIR_EraseRootFromParent_Done,
     /*  176162 */   // Label 3372: @176162
     /*  176162 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(176217), // Rule ID 1060 //
     /*  176167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176184 */     // MIs[0] addr
     /*  176184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176200 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176205 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176207 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176209 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176215 */     GIR_RootConstrainSelectedInstOperands,
     /*  176216 */     // GIR_Coverage, 1060,
     /*  176216 */     GIR_EraseRootFromParent_Done,
     /*  176217 */   // Label 3373: @176217
     /*  176217 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(176272), // Rule ID 1062 //
     /*  176222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176239 */     // MIs[0] addr
     /*  176239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176255 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176260 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176262 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176264 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176270 */     GIR_RootConstrainSelectedInstOperands,
     /*  176271 */     // GIR_Coverage, 1062,
     /*  176271 */     GIR_EraseRootFromParent_Done,
     /*  176272 */   // Label 3374: @176272
     /*  176272 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(176327), // Rule ID 1064 //
     /*  176277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176294 */     // MIs[0] addr
     /*  176294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176310 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176315 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176317 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176319 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176325 */     GIR_RootConstrainSelectedInstOperands,
     /*  176326 */     // GIR_Coverage, 1064,
     /*  176326 */     GIR_EraseRootFromParent_Done,
     /*  176327 */   // Label 3375: @176327
     /*  176327 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(176382), // Rule ID 1066 //
     /*  176332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176349 */     // MIs[0] addr
     /*  176349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176365 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176370 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176372 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176374 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176380 */     GIR_RootConstrainSelectedInstOperands,
     /*  176381 */     // GIR_Coverage, 1066,
     /*  176381 */     GIR_EraseRootFromParent_Done,
     /*  176382 */   // Label 3376: @176382
     /*  176382 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(176437), // Rule ID 1068 //
     /*  176387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176404 */     // MIs[0] addr
     /*  176404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176420 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176425 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176427 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176429 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176435 */     GIR_RootConstrainSelectedInstOperands,
     /*  176436 */     // GIR_Coverage, 1068,
     /*  176436 */     GIR_EraseRootFromParent_Done,
     /*  176437 */   // Label 3377: @176437
     /*  176437 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(176492), // Rule ID 1070 //
     /*  176442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176459 */     // MIs[0] addr
     /*  176459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176475 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176480 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176482 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176484 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176490 */     GIR_RootConstrainSelectedInstOperands,
     /*  176491 */     // GIR_Coverage, 1070,
     /*  176491 */     GIR_EraseRootFromParent_Done,
     /*  176492 */   // Label 3378: @176492
     /*  176492 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(176547), // Rule ID 1072 //
     /*  176497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176514 */     // MIs[0] addr
     /*  176514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176530 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  176533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176535 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176537 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176539 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176545 */     GIR_RootConstrainSelectedInstOperands,
     /*  176546 */     // GIR_Coverage, 1072,
     /*  176546 */     GIR_EraseRootFromParent_Done,
     /*  176547 */   // Label 3379: @176547
     /*  176547 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(176602), // Rule ID 1074 //
     /*  176552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176562 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176569 */     // MIs[0] addr
     /*  176569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176585 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  176588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176590 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176592 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176594 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176600 */     GIR_RootConstrainSelectedInstOperands,
     /*  176601 */     // GIR_Coverage, 1074,
     /*  176601 */     GIR_EraseRootFromParent_Done,
     /*  176602 */   // Label 3380: @176602
     /*  176602 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(176657), // Rule ID 1076 //
     /*  176607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176624 */     // MIs[0] addr
     /*  176624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176640 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176645 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176647 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176649 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176655 */     GIR_RootConstrainSelectedInstOperands,
     /*  176656 */     // GIR_Coverage, 1076,
     /*  176656 */     GIR_EraseRootFromParent_Done,
     /*  176657 */   // Label 3381: @176657
     /*  176657 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(176712), // Rule ID 1078 //
     /*  176662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176679 */     // MIs[0] addr
     /*  176679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176695 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176700 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176702 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176704 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176710 */     GIR_RootConstrainSelectedInstOperands,
     /*  176711 */     // GIR_Coverage, 1078,
     /*  176711 */     GIR_EraseRootFromParent_Done,
     /*  176712 */   // Label 3382: @176712
     /*  176712 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(176767), // Rule ID 1080 //
     /*  176717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176734 */     // MIs[0] addr
     /*  176734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176750 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176755 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176757 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176759 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176765 */     GIR_RootConstrainSelectedInstOperands,
     /*  176766 */     // GIR_Coverage, 1080,
     /*  176766 */     GIR_EraseRootFromParent_Done,
     /*  176767 */   // Label 3383: @176767
     /*  176767 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(176822), // Rule ID 1082 //
     /*  176772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176782 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176789 */     // MIs[0] addr
     /*  176789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176805 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176810 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176812 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176814 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176820 */     GIR_RootConstrainSelectedInstOperands,
     /*  176821 */     // GIR_Coverage, 1082,
     /*  176821 */     GIR_EraseRootFromParent_Done,
     /*  176822 */   // Label 3384: @176822
     /*  176822 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(176877), // Rule ID 1084 //
     /*  176827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176844 */     // MIs[0] addr
     /*  176844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176860 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176865 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176867 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176869 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176875 */     GIR_RootConstrainSelectedInstOperands,
     /*  176876 */     // GIR_Coverage, 1084,
     /*  176876 */     GIR_EraseRootFromParent_Done,
     /*  176877 */   // Label 3385: @176877
     /*  176877 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(176932), // Rule ID 1086 //
     /*  176882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176899 */     // MIs[0] addr
     /*  176899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176915 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176920 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176922 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176924 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176930 */     GIR_RootConstrainSelectedInstOperands,
     /*  176931 */     // GIR_Coverage, 1086,
     /*  176931 */     GIR_EraseRootFromParent_Done,
     /*  176932 */   // Label 3386: @176932
     /*  176932 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(176987), // Rule ID 1088 //
     /*  176937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176954 */     // MIs[0] addr
     /*  176954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176970 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176975 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176977 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176979 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176985 */     GIR_RootConstrainSelectedInstOperands,
     /*  176986 */     // GIR_Coverage, 1088,
     /*  176986 */     GIR_EraseRootFromParent_Done,
     /*  176987 */   // Label 3387: @176987
     /*  176987 */   GIM_Reject,
     /*  176988 */ // Label 3352: @176988
     /*  176988 */ GIM_Reject,
     /*  176989 */ // Label 3350: @176989
     /*  176989 */ GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(179861),
     /*  176994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  176997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  177000 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(177066), // Rule ID 642 //
     /*  177005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177022 */     // MIs[0] addr
     /*  177022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177038 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  177038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177046 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177051 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177053 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177055 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  177060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177064 */     GIR_RootConstrainSelectedInstOperands,
     /*  177065 */     // GIR_Coverage, 642,
     /*  177065 */     GIR_EraseRootFromParent_Done,
     /*  177066 */   // Label 3389: @177066
     /*  177066 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(177132), // Rule ID 644 //
     /*  177071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177088 */     // MIs[0] addr
     /*  177088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177104 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  177104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177112 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177117 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177119 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177121 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177130 */     GIR_RootConstrainSelectedInstOperands,
     /*  177131 */     // GIR_Coverage, 644,
     /*  177131 */     GIR_EraseRootFromParent_Done,
     /*  177132 */   // Label 3390: @177132
     /*  177132 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(177198), // Rule ID 646 //
     /*  177137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177140 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177147 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177154 */     // MIs[0] addr
     /*  177154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177170 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  177170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177178 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177183 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177185 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177187 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177196 */     GIR_RootConstrainSelectedInstOperands,
     /*  177197 */     // GIR_Coverage, 646,
     /*  177197 */     GIR_EraseRootFromParent_Done,
     /*  177198 */   // Label 3391: @177198
     /*  177198 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(177264), // Rule ID 648 //
     /*  177203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177206 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177220 */     // MIs[0] addr
     /*  177220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177236 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  177236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177244 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177249 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177251 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177253 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177262 */     GIR_RootConstrainSelectedInstOperands,
     /*  177263 */     // GIR_Coverage, 648,
     /*  177263 */     GIR_EraseRootFromParent_Done,
     /*  177264 */   // Label 3392: @177264
     /*  177264 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(177330), // Rule ID 650 //
     /*  177269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177286 */     // MIs[0] addr
     /*  177286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177302 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  177302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177310 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177315 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177317 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177319 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  177324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177328 */     GIR_RootConstrainSelectedInstOperands,
     /*  177329 */     // GIR_Coverage, 650,
     /*  177329 */     GIR_EraseRootFromParent_Done,
     /*  177330 */   // Label 3393: @177330
     /*  177330 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(177396), // Rule ID 652 //
     /*  177335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177352 */     // MIs[0] addr
     /*  177352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177368 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  177368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177376 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177381 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177383 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177385 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  177390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177394 */     GIR_RootConstrainSelectedInstOperands,
     /*  177395 */     // GIR_Coverage, 652,
     /*  177395 */     GIR_EraseRootFromParent_Done,
     /*  177396 */   // Label 3394: @177396
     /*  177396 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(177462), // Rule ID 653 //
     /*  177401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177418 */     // MIs[0] addr
     /*  177418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177434 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  177434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177442 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177447 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177449 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177451 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177460 */     GIR_RootConstrainSelectedInstOperands,
     /*  177461 */     // GIR_Coverage, 653,
     /*  177461 */     GIR_EraseRootFromParent_Done,
     /*  177462 */   // Label 3395: @177462
     /*  177462 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(177528), // Rule ID 654 //
     /*  177467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177484 */     // MIs[0] addr
     /*  177484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177500 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  177500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177508 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177513 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177515 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177517 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177526 */     GIR_RootConstrainSelectedInstOperands,
     /*  177527 */     // GIR_Coverage, 654,
     /*  177527 */     GIR_EraseRootFromParent_Done,
     /*  177528 */   // Label 3396: @177528
     /*  177528 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(177594), // Rule ID 655 //
     /*  177533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177536 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177543 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177550 */     // MIs[0] addr
     /*  177550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177566 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  177566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177574 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177579 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177581 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177583 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177592 */     GIR_RootConstrainSelectedInstOperands,
     /*  177593 */     // GIR_Coverage, 655,
     /*  177593 */     GIR_EraseRootFromParent_Done,
     /*  177594 */   // Label 3397: @177594
     /*  177594 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(177660), // Rule ID 656 //
     /*  177599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177602 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177609 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177616 */     // MIs[0] addr
     /*  177616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177632 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  177632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177640 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177645 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177647 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177649 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  177654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177658 */     GIR_RootConstrainSelectedInstOperands,
     /*  177659 */     // GIR_Coverage, 656,
     /*  177659 */     GIR_EraseRootFromParent_Done,
     /*  177660 */   // Label 3398: @177660
     /*  177660 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(177715), // Rule ID 659 //
     /*  177665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177668 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177675 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177682 */     // MIs[0] addr
     /*  177682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177698 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177703 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177705 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177707 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177713 */     GIR_RootConstrainSelectedInstOperands,
     /*  177714 */     // GIR_Coverage, 659,
     /*  177714 */     GIR_EraseRootFromParent_Done,
     /*  177715 */   // Label 3399: @177715
     /*  177715 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(177770), // Rule ID 661 //
     /*  177720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177737 */     // MIs[0] addr
     /*  177737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177753 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  177756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177758 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177760 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177762 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177768 */     GIR_RootConstrainSelectedInstOperands,
     /*  177769 */     // GIR_Coverage, 661,
     /*  177769 */     GIR_EraseRootFromParent_Done,
     /*  177770 */   // Label 3400: @177770
     /*  177770 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(177825), // Rule ID 663 //
     /*  177775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177792 */     // MIs[0] addr
     /*  177792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177808 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  177811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177813 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177815 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177817 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177823 */     GIR_RootConstrainSelectedInstOperands,
     /*  177824 */     // GIR_Coverage, 663,
     /*  177824 */     GIR_EraseRootFromParent_Done,
     /*  177825 */   // Label 3401: @177825
     /*  177825 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(177880), // Rule ID 665 //
     /*  177830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177847 */     // MIs[0] addr
     /*  177847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177863 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177868 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177870 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177872 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177878 */     GIR_RootConstrainSelectedInstOperands,
     /*  177879 */     // GIR_Coverage, 665,
     /*  177879 */     GIR_EraseRootFromParent_Done,
     /*  177880 */   // Label 3402: @177880
     /*  177880 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(177935), // Rule ID 667 //
     /*  177885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177902 */     // MIs[0] addr
     /*  177902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177918 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177923 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177925 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177927 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177933 */     GIR_RootConstrainSelectedInstOperands,
     /*  177934 */     // GIR_Coverage, 667,
     /*  177934 */     GIR_EraseRootFromParent_Done,
     /*  177935 */   // Label 3403: @177935
     /*  177935 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(177990), // Rule ID 669 //
     /*  177940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177943 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177957 */     // MIs[0] addr
     /*  177957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177973 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177978 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177980 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177982 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177988 */     GIR_RootConstrainSelectedInstOperands,
     /*  177989 */     // GIR_Coverage, 669,
     /*  177989 */     GIR_EraseRootFromParent_Done,
     /*  177990 */   // Label 3404: @177990
     /*  177990 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(178045), // Rule ID 671 //
     /*  177995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177998 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178005 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178012 */     // MIs[0] addr
     /*  178012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178028 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178033 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178035 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178037 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178043 */     GIR_RootConstrainSelectedInstOperands,
     /*  178044 */     // GIR_Coverage, 671,
     /*  178044 */     GIR_EraseRootFromParent_Done,
     /*  178045 */   // Label 3405: @178045
     /*  178045 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(178100), // Rule ID 673 //
     /*  178050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178053 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178060 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178067 */     // MIs[0] addr
     /*  178067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178083 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178088 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178090 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178092 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178098 */     GIR_RootConstrainSelectedInstOperands,
     /*  178099 */     // GIR_Coverage, 673,
     /*  178099 */     GIR_EraseRootFromParent_Done,
     /*  178100 */   // Label 3406: @178100
     /*  178100 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(178155), // Rule ID 675 //
     /*  178105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178122 */     // MIs[0] addr
     /*  178122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178138 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178143 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178145 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178147 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178153 */     GIR_RootConstrainSelectedInstOperands,
     /*  178154 */     // GIR_Coverage, 675,
     /*  178154 */     GIR_EraseRootFromParent_Done,
     /*  178155 */   // Label 3407: @178155
     /*  178155 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(178210), // Rule ID 677 //
     /*  178160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178177 */     // MIs[0] addr
     /*  178177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178193 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178198 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178200 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178202 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178208 */     GIR_RootConstrainSelectedInstOperands,
     /*  178209 */     // GIR_Coverage, 677,
     /*  178209 */     GIR_EraseRootFromParent_Done,
     /*  178210 */   // Label 3408: @178210
     /*  178210 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(178265), // Rule ID 679 //
     /*  178215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178232 */     // MIs[0] addr
     /*  178232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178248 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178253 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178255 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178257 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178263 */     GIR_RootConstrainSelectedInstOperands,
     /*  178264 */     // GIR_Coverage, 679,
     /*  178264 */     GIR_EraseRootFromParent_Done,
     /*  178265 */   // Label 3409: @178265
     /*  178265 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(178320), // Rule ID 680 //
     /*  178270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178287 */     // MIs[0] addr
     /*  178287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178303 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  178306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178308 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178310 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178312 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178318 */     GIR_RootConstrainSelectedInstOperands,
     /*  178319 */     // GIR_Coverage, 680,
     /*  178319 */     GIR_EraseRootFromParent_Done,
     /*  178320 */   // Label 3410: @178320
     /*  178320 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(178375), // Rule ID 681 //
     /*  178325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178342 */     // MIs[0] addr
     /*  178342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178358 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  178361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178363 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178365 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178367 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178373 */     GIR_RootConstrainSelectedInstOperands,
     /*  178374 */     // GIR_Coverage, 681,
     /*  178374 */     GIR_EraseRootFromParent_Done,
     /*  178375 */   // Label 3411: @178375
     /*  178375 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(178430), // Rule ID 682 //
     /*  178380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178397 */     // MIs[0] addr
     /*  178397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178413 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  178416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178418 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178420 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178422 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178428 */     GIR_RootConstrainSelectedInstOperands,
     /*  178429 */     // GIR_Coverage, 682,
     /*  178429 */     GIR_EraseRootFromParent_Done,
     /*  178430 */   // Label 3412: @178430
     /*  178430 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(178485), // Rule ID 683 //
     /*  178435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178452 */     // MIs[0] addr
     /*  178452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178468 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  178471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178473 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178475 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178477 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178483 */     GIR_RootConstrainSelectedInstOperands,
     /*  178484 */     // GIR_Coverage, 683,
     /*  178484 */     GIR_EraseRootFromParent_Done,
     /*  178485 */   // Label 3413: @178485
     /*  178485 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(178540), // Rule ID 684 //
     /*  178490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178500 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178507 */     // MIs[0] addr
     /*  178507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178523 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178528 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178530 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178532 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178538 */     GIR_RootConstrainSelectedInstOperands,
     /*  178539 */     // GIR_Coverage, 684,
     /*  178539 */     GIR_EraseRootFromParent_Done,
     /*  178540 */   // Label 3414: @178540
     /*  178540 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(178595), // Rule ID 685 //
     /*  178545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178562 */     // MIs[0] addr
     /*  178562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178578 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178583 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178585 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178587 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178593 */     GIR_RootConstrainSelectedInstOperands,
     /*  178594 */     // GIR_Coverage, 685,
     /*  178594 */     GIR_EraseRootFromParent_Done,
     /*  178595 */   // Label 3415: @178595
     /*  178595 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(178650), // Rule ID 686 //
     /*  178600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178603 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178610 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178617 */     // MIs[0] addr
     /*  178617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178633 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178638 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178640 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178642 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178648 */     GIR_RootConstrainSelectedInstOperands,
     /*  178649 */     // GIR_Coverage, 686,
     /*  178649 */     GIR_EraseRootFromParent_Done,
     /*  178650 */   // Label 3416: @178650
     /*  178650 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(178705), // Rule ID 687 //
     /*  178655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178672 */     // MIs[0] addr
     /*  178672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178688 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178693 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178695 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178697 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178703 */     GIR_RootConstrainSelectedInstOperands,
     /*  178704 */     // GIR_Coverage, 687,
     /*  178704 */     GIR_EraseRootFromParent_Done,
     /*  178705 */   // Label 3417: @178705
     /*  178705 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(178760), // Rule ID 688 //
     /*  178710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178727 */     // MIs[0] addr
     /*  178727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178743 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178748 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178750 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178752 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178758 */     GIR_RootConstrainSelectedInstOperands,
     /*  178759 */     // GIR_Coverage, 688,
     /*  178759 */     GIR_EraseRootFromParent_Done,
     /*  178760 */   // Label 3418: @178760
     /*  178760 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(178815), // Rule ID 1049 //
     /*  178765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178782 */     // MIs[0] addr
     /*  178782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178798 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178803 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178805 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178807 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178813 */     GIR_RootConstrainSelectedInstOperands,
     /*  178814 */     // GIR_Coverage, 1049,
     /*  178814 */     GIR_EraseRootFromParent_Done,
     /*  178815 */   // Label 3419: @178815
     /*  178815 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(178870), // Rule ID 1051 //
     /*  178820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178837 */     // MIs[0] addr
     /*  178837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178853 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  178856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178858 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178860 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178862 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178868 */     GIR_RootConstrainSelectedInstOperands,
     /*  178869 */     // GIR_Coverage, 1051,
     /*  178869 */     GIR_EraseRootFromParent_Done,
     /*  178870 */   // Label 3420: @178870
     /*  178870 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(178925), // Rule ID 1053 //
     /*  178875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178878 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178885 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178892 */     // MIs[0] addr
     /*  178892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178908 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  178911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178913 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178915 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178917 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178923 */     GIR_RootConstrainSelectedInstOperands,
     /*  178924 */     // GIR_Coverage, 1053,
     /*  178924 */     GIR_EraseRootFromParent_Done,
     /*  178925 */   // Label 3421: @178925
     /*  178925 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(178980), // Rule ID 1055 //
     /*  178930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178940 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178947 */     // MIs[0] addr
     /*  178947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178963 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  178966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178968 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178970 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178972 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178978 */     GIR_RootConstrainSelectedInstOperands,
     /*  178979 */     // GIR_Coverage, 1055,
     /*  178979 */     GIR_EraseRootFromParent_Done,
     /*  178980 */   // Label 3422: @178980
     /*  178980 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(179035), // Rule ID 1057 //
     /*  178985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178995 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179002 */     // MIs[0] addr
     /*  179002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179018 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  179021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179023 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179025 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179027 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179033 */     GIR_RootConstrainSelectedInstOperands,
     /*  179034 */     // GIR_Coverage, 1057,
     /*  179034 */     GIR_EraseRootFromParent_Done,
     /*  179035 */   // Label 3423: @179035
     /*  179035 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(179090), // Rule ID 1059 //
     /*  179040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179057 */     // MIs[0] addr
     /*  179057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179073 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179078 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179080 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179082 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179088 */     GIR_RootConstrainSelectedInstOperands,
     /*  179089 */     // GIR_Coverage, 1059,
     /*  179089 */     GIR_EraseRootFromParent_Done,
     /*  179090 */   // Label 3424: @179090
     /*  179090 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(179145), // Rule ID 1061 //
     /*  179095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179112 */     // MIs[0] addr
     /*  179112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179128 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179133 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179135 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179137 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179143 */     GIR_RootConstrainSelectedInstOperands,
     /*  179144 */     // GIR_Coverage, 1061,
     /*  179144 */     GIR_EraseRootFromParent_Done,
     /*  179145 */   // Label 3425: @179145
     /*  179145 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(179200), // Rule ID 1063 //
     /*  179150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179167 */     // MIs[0] addr
     /*  179167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179183 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179188 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179190 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179192 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179198 */     GIR_RootConstrainSelectedInstOperands,
     /*  179199 */     // GIR_Coverage, 1063,
     /*  179199 */     GIR_EraseRootFromParent_Done,
     /*  179200 */   // Label 3426: @179200
     /*  179200 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(179255), // Rule ID 1065 //
     /*  179205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179222 */     // MIs[0] addr
     /*  179222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179238 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179243 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179245 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179247 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179253 */     GIR_RootConstrainSelectedInstOperands,
     /*  179254 */     // GIR_Coverage, 1065,
     /*  179254 */     GIR_EraseRootFromParent_Done,
     /*  179255 */   // Label 3427: @179255
     /*  179255 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(179310), // Rule ID 1067 //
     /*  179260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179263 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179277 */     // MIs[0] addr
     /*  179277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179293 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179298 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179300 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179302 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179308 */     GIR_RootConstrainSelectedInstOperands,
     /*  179309 */     // GIR_Coverage, 1067,
     /*  179309 */     GIR_EraseRootFromParent_Done,
     /*  179310 */   // Label 3428: @179310
     /*  179310 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(179365), // Rule ID 1069 //
     /*  179315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179318 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179332 */     // MIs[0] addr
     /*  179332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179348 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179353 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179355 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179357 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179363 */     GIR_RootConstrainSelectedInstOperands,
     /*  179364 */     // GIR_Coverage, 1069,
     /*  179364 */     GIR_EraseRootFromParent_Done,
     /*  179365 */   // Label 3429: @179365
     /*  179365 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(179420), // Rule ID 1071 //
     /*  179370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179373 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179380 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179387 */     // MIs[0] addr
     /*  179387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179403 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  179406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179408 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179410 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179412 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179418 */     GIR_RootConstrainSelectedInstOperands,
     /*  179419 */     // GIR_Coverage, 1071,
     /*  179419 */     GIR_EraseRootFromParent_Done,
     /*  179420 */   // Label 3430: @179420
     /*  179420 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(179475), // Rule ID 1073 //
     /*  179425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179442 */     // MIs[0] addr
     /*  179442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179458 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  179461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179463 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179465 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179467 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179473 */     GIR_RootConstrainSelectedInstOperands,
     /*  179474 */     // GIR_Coverage, 1073,
     /*  179474 */     GIR_EraseRootFromParent_Done,
     /*  179475 */   // Label 3431: @179475
     /*  179475 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(179530), // Rule ID 1075 //
     /*  179480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179497 */     // MIs[0] addr
     /*  179497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179513 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179518 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179520 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179522 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179528 */     GIR_RootConstrainSelectedInstOperands,
     /*  179529 */     // GIR_Coverage, 1075,
     /*  179529 */     GIR_EraseRootFromParent_Done,
     /*  179530 */   // Label 3432: @179530
     /*  179530 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(179585), // Rule ID 1077 //
     /*  179535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179552 */     // MIs[0] addr
     /*  179552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179568 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179573 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179575 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179577 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179583 */     GIR_RootConstrainSelectedInstOperands,
     /*  179584 */     // GIR_Coverage, 1077,
     /*  179584 */     GIR_EraseRootFromParent_Done,
     /*  179585 */   // Label 3433: @179585
     /*  179585 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(179640), // Rule ID 1079 //
     /*  179590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179607 */     // MIs[0] addr
     /*  179607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179623 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179628 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179630 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179632 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179638 */     GIR_RootConstrainSelectedInstOperands,
     /*  179639 */     // GIR_Coverage, 1079,
     /*  179639 */     GIR_EraseRootFromParent_Done,
     /*  179640 */   // Label 3434: @179640
     /*  179640 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(179695), // Rule ID 1081 //
     /*  179645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179648 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179655 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179662 */     // MIs[0] addr
     /*  179662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179678 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179683 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179685 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179687 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179693 */     GIR_RootConstrainSelectedInstOperands,
     /*  179694 */     // GIR_Coverage, 1081,
     /*  179694 */     GIR_EraseRootFromParent_Done,
     /*  179695 */   // Label 3435: @179695
     /*  179695 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(179750), // Rule ID 1083 //
     /*  179700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179717 */     // MIs[0] addr
     /*  179717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179733 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179738 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179740 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179742 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179748 */     GIR_RootConstrainSelectedInstOperands,
     /*  179749 */     // GIR_Coverage, 1083,
     /*  179749 */     GIR_EraseRootFromParent_Done,
     /*  179750 */   // Label 3436: @179750
     /*  179750 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(179805), // Rule ID 1085 //
     /*  179755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179772 */     // MIs[0] addr
     /*  179772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179788 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179793 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179795 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179797 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179803 */     GIR_RootConstrainSelectedInstOperands,
     /*  179804 */     // GIR_Coverage, 1085,
     /*  179804 */     GIR_EraseRootFromParent_Done,
     /*  179805 */   // Label 3437: @179805
     /*  179805 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(179860), // Rule ID 1087 //
     /*  179810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179827 */     // MIs[0] addr
     /*  179827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179843 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179848 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179850 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179852 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179858 */     GIR_RootConstrainSelectedInstOperands,
     /*  179859 */     // GIR_Coverage, 1087,
     /*  179859 */     GIR_EraseRootFromParent_Done,
     /*  179860 */   // Label 3438: @179860
     /*  179860 */   GIM_Reject,
     /*  179861 */ // Label 3388: @179861
     /*  179861 */ GIM_Reject,
     /*  179862 */ // Label 3351: @179862
     /*  179862 */ GIM_Reject,
     /*  179863 */ // Label 26: @179863
     /*  179863 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3441*/ GIMT_Encode4(182772),
     /*  179874 */ /*GILLT_s32*//*Label 3439*/ GIMT_Encode4(179882),
     /*  179878 */ /*GILLT_s64*//*Label 3440*/ GIMT_Encode4(181122),
     /*  179882 */ // Label 3439: @179882
     /*  179882 */ GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(181121),
     /*  179887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179890 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(179931), // Rule ID 342 //
     /*  179895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179912 */     // MIs[0] rs1
     /*  179912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179924 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179929 */     GIR_RootConstrainSelectedInstOperands,
     /*  179930 */     // GIR_Coverage, 342,
     /*  179930 */     GIR_Done,
     /*  179931 */   // Label 3443: @179931
     /*  179931 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(179972), // Rule ID 344 //
     /*  179936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179939 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179953 */     // MIs[0] rs1
     /*  179953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179965 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  179970 */     GIR_RootConstrainSelectedInstOperands,
     /*  179971 */     // GIR_Coverage, 344,
     /*  179971 */     GIR_Done,
     /*  179972 */   // Label 3444: @179972
     /*  179972 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(180013), // Rule ID 346 //
     /*  179977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179994 */     // MIs[0] rs1
     /*  179994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180006 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  180011 */     GIR_RootConstrainSelectedInstOperands,
     /*  180012 */     // GIR_Coverage, 346,
     /*  180012 */     GIR_Done,
     /*  180013 */   // Label 3445: @180013
     /*  180013 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(180054), // Rule ID 348 //
     /*  180018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180021 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180035 */     // MIs[0] rs1
     /*  180035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180047 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180052 */     GIR_RootConstrainSelectedInstOperands,
     /*  180053 */     // GIR_Coverage, 348,
     /*  180053 */     GIR_Done,
     /*  180054 */   // Label 3446: @180054
     /*  180054 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(180095), // Rule ID 350 //
     /*  180059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180062 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180076 */     // MIs[0] rs1
     /*  180076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180088 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180093 */     GIR_RootConstrainSelectedInstOperands,
     /*  180094 */     // GIR_Coverage, 350,
     /*  180094 */     GIR_Done,
     /*  180095 */   // Label 3447: @180095
     /*  180095 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(180136), // Rule ID 352 //
     /*  180100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180103 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180110 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180117 */     // MIs[0] rs1
     /*  180117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180129 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180134 */     GIR_RootConstrainSelectedInstOperands,
     /*  180135 */     // GIR_Coverage, 352,
     /*  180135 */     GIR_Done,
     /*  180136 */   // Label 3448: @180136
     /*  180136 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(180177), // Rule ID 354 //
     /*  180141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180158 */     // MIs[0] rs1
     /*  180158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180170 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180175 */     GIR_RootConstrainSelectedInstOperands,
     /*  180176 */     // GIR_Coverage, 354,
     /*  180176 */     GIR_Done,
     /*  180177 */   // Label 3449: @180177
     /*  180177 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(180218), // Rule ID 356 //
     /*  180182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180199 */     // MIs[0] rs1
     /*  180199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180211 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180216 */     GIR_RootConstrainSelectedInstOperands,
     /*  180217 */     // GIR_Coverage, 356,
     /*  180217 */     GIR_Done,
     /*  180218 */   // Label 3450: @180218
     /*  180218 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(180259), // Rule ID 358 //
     /*  180223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180240 */     // MIs[0] rs1
     /*  180240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180252 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180257 */     GIR_RootConstrainSelectedInstOperands,
     /*  180258 */     // GIR_Coverage, 358,
     /*  180258 */     GIR_Done,
     /*  180259 */   // Label 3451: @180259
     /*  180259 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(180300), // Rule ID 360 //
     /*  180264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180281 */     // MIs[0] rs1
     /*  180281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180293 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180298 */     GIR_RootConstrainSelectedInstOperands,
     /*  180299 */     // GIR_Coverage, 360,
     /*  180299 */     GIR_Done,
     /*  180300 */   // Label 3452: @180300
     /*  180300 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(180341), // Rule ID 690 //
     /*  180305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180308 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180315 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180322 */     // MIs[0] rs1
     /*  180322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180334 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180339 */     GIR_RootConstrainSelectedInstOperands,
     /*  180340 */     // GIR_Coverage, 690,
     /*  180340 */     GIR_Done,
     /*  180341 */   // Label 3453: @180341
     /*  180341 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(180382), // Rule ID 692 //
     /*  180346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180349 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180356 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180363 */     // MIs[0] rs1
     /*  180363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180375 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  180380 */     GIR_RootConstrainSelectedInstOperands,
     /*  180381 */     // GIR_Coverage, 692,
     /*  180381 */     GIR_Done,
     /*  180382 */   // Label 3454: @180382
     /*  180382 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(180423), // Rule ID 694 //
     /*  180387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180404 */     // MIs[0] rs1
     /*  180404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180416 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  180421 */     GIR_RootConstrainSelectedInstOperands,
     /*  180422 */     // GIR_Coverage, 694,
     /*  180422 */     GIR_Done,
     /*  180423 */   // Label 3455: @180423
     /*  180423 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(180464), // Rule ID 696 //
     /*  180428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180431 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180438 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180445 */     // MIs[0] rs1
     /*  180445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180457 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180462 */     GIR_RootConstrainSelectedInstOperands,
     /*  180463 */     // GIR_Coverage, 696,
     /*  180463 */     GIR_Done,
     /*  180464 */   // Label 3456: @180464
     /*  180464 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(180505), // Rule ID 698 //
     /*  180469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180472 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180479 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180486 */     // MIs[0] rs1
     /*  180486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180498 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180503 */     GIR_RootConstrainSelectedInstOperands,
     /*  180504 */     // GIR_Coverage, 698,
     /*  180504 */     GIR_Done,
     /*  180505 */   // Label 3457: @180505
     /*  180505 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(180546), // Rule ID 700 //
     /*  180510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180527 */     // MIs[0] rs1
     /*  180527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180539 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180544 */     GIR_RootConstrainSelectedInstOperands,
     /*  180545 */     // GIR_Coverage, 700,
     /*  180545 */     GIR_Done,
     /*  180546 */   // Label 3458: @180546
     /*  180546 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(180587), // Rule ID 702 //
     /*  180551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180568 */     // MIs[0] rs1
     /*  180568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180580 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180585 */     GIR_RootConstrainSelectedInstOperands,
     /*  180586 */     // GIR_Coverage, 702,
     /*  180586 */     GIR_Done,
     /*  180587 */   // Label 3459: @180587
     /*  180587 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(180628), // Rule ID 704 //
     /*  180592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180609 */     // MIs[0] rs1
     /*  180609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180621 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180626 */     GIR_RootConstrainSelectedInstOperands,
     /*  180627 */     // GIR_Coverage, 704,
     /*  180627 */     GIR_Done,
     /*  180628 */   // Label 3460: @180628
     /*  180628 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(180669), // Rule ID 706 //
     /*  180633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180650 */     // MIs[0] rs1
     /*  180650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180662 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180667 */     GIR_RootConstrainSelectedInstOperands,
     /*  180668 */     // GIR_Coverage, 706,
     /*  180668 */     GIR_Done,
     /*  180669 */   // Label 3461: @180669
     /*  180669 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(180710), // Rule ID 708 //
     /*  180674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180691 */     // MIs[0] rs1
     /*  180691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180703 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180703 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180708 */     GIR_RootConstrainSelectedInstOperands,
     /*  180709 */     // GIR_Coverage, 708,
     /*  180709 */     GIR_Done,
     /*  180710 */   // Label 3462: @180710
     /*  180710 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(180751), // Rule ID 870 //
     /*  180715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180732 */     // MIs[0] rs1
     /*  180732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180744 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180749 */     GIR_RootConstrainSelectedInstOperands,
     /*  180750 */     // GIR_Coverage, 870,
     /*  180750 */     GIR_Done,
     /*  180751 */   // Label 3463: @180751
     /*  180751 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(180792), // Rule ID 872 //
     /*  180756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180773 */     // MIs[0] rs1
     /*  180773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180785 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  180790 */     GIR_RootConstrainSelectedInstOperands,
     /*  180791 */     // GIR_Coverage, 872,
     /*  180791 */     GIR_Done,
     /*  180792 */   // Label 3464: @180792
     /*  180792 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(180833), // Rule ID 874 //
     /*  180797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180814 */     // MIs[0] rs1
     /*  180814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180826 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  180831 */     GIR_RootConstrainSelectedInstOperands,
     /*  180832 */     // GIR_Coverage, 874,
     /*  180832 */     GIR_Done,
     /*  180833 */   // Label 3465: @180833
     /*  180833 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(180874), // Rule ID 876 //
     /*  180838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180855 */     // MIs[0] rs1
     /*  180855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180867 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180872 */     GIR_RootConstrainSelectedInstOperands,
     /*  180873 */     // GIR_Coverage, 876,
     /*  180873 */     GIR_Done,
     /*  180874 */   // Label 3466: @180874
     /*  180874 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(180915), // Rule ID 878 //
     /*  180879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180896 */     // MIs[0] rs1
     /*  180896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180908 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180913 */     GIR_RootConstrainSelectedInstOperands,
     /*  180914 */     // GIR_Coverage, 878,
     /*  180914 */     GIR_Done,
     /*  180915 */   // Label 3467: @180915
     /*  180915 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(180956), // Rule ID 880 //
     /*  180920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180937 */     // MIs[0] rs1
     /*  180937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180949 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180954 */     GIR_RootConstrainSelectedInstOperands,
     /*  180955 */     // GIR_Coverage, 880,
     /*  180955 */     GIR_Done,
     /*  180956 */   // Label 3468: @180956
     /*  180956 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(180997), // Rule ID 882 //
     /*  180961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180978 */     // MIs[0] rs1
     /*  180978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180990 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180995 */     GIR_RootConstrainSelectedInstOperands,
     /*  180996 */     // GIR_Coverage, 882,
     /*  180996 */     GIR_Done,
     /*  180997 */   // Label 3469: @180997
     /*  180997 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(181038), // Rule ID 884 //
     /*  181002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181019 */     // MIs[0] rs1
     /*  181019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181031 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181036 */     GIR_RootConstrainSelectedInstOperands,
     /*  181037 */     // GIR_Coverage, 884,
     /*  181037 */     GIR_Done,
     /*  181038 */   // Label 3470: @181038
     /*  181038 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(181079), // Rule ID 886 //
     /*  181043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181060 */     // MIs[0] rs1
     /*  181060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181072 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181077 */     GIR_RootConstrainSelectedInstOperands,
     /*  181078 */     // GIR_Coverage, 886,
     /*  181078 */     GIR_Done,
     /*  181079 */   // Label 3471: @181079
     /*  181079 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(181120), // Rule ID 888 //
     /*  181084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181101 */     // MIs[0] rs1
     /*  181101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181113 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181118 */     GIR_RootConstrainSelectedInstOperands,
     /*  181119 */     // GIR_Coverage, 888,
     /*  181119 */     GIR_Done,
     /*  181120 */   // Label 3472: @181120
     /*  181120 */   GIM_Reject,
     /*  181121 */ // Label 3442: @181121
     /*  181121 */ GIM_Reject,
     /*  181122 */ // Label 3440: @181122
     /*  181122 */ GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(182771),
     /*  181127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  181130 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(181171), // Rule ID 341 //
     /*  181135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181152 */     // MIs[0] rs1
     /*  181152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181164 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181169 */     GIR_RootConstrainSelectedInstOperands,
     /*  181170 */     // GIR_Coverage, 341,
     /*  181170 */     GIR_Done,
     /*  181171 */   // Label 3474: @181171
     /*  181171 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(181212), // Rule ID 343 //
     /*  181176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181179 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181193 */     // MIs[0] rs1
     /*  181193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181205 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  181210 */     GIR_RootConstrainSelectedInstOperands,
     /*  181211 */     // GIR_Coverage, 343,
     /*  181211 */     GIR_Done,
     /*  181212 */   // Label 3475: @181212
     /*  181212 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(181253), // Rule ID 345 //
     /*  181217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181220 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181227 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181234 */     // MIs[0] rs1
     /*  181234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181246 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  181251 */     GIR_RootConstrainSelectedInstOperands,
     /*  181252 */     // GIR_Coverage, 345,
     /*  181252 */     GIR_Done,
     /*  181253 */   // Label 3476: @181253
     /*  181253 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(181294), // Rule ID 347 //
     /*  181258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181275 */     // MIs[0] rs1
     /*  181275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181287 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  181292 */     GIR_RootConstrainSelectedInstOperands,
     /*  181293 */     // GIR_Coverage, 347,
     /*  181293 */     GIR_Done,
     /*  181294 */   // Label 3477: @181294
     /*  181294 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(181335), // Rule ID 349 //
     /*  181299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181316 */     // MIs[0] rs1
     /*  181316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181328 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  181333 */     GIR_RootConstrainSelectedInstOperands,
     /*  181334 */     // GIR_Coverage, 349,
     /*  181334 */     GIR_Done,
     /*  181335 */   // Label 3478: @181335
     /*  181335 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(181376), // Rule ID 351 //
     /*  181340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181357 */     // MIs[0] rs1
     /*  181357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181369 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181374 */     GIR_RootConstrainSelectedInstOperands,
     /*  181375 */     // GIR_Coverage, 351,
     /*  181375 */     GIR_Done,
     /*  181376 */   // Label 3479: @181376
     /*  181376 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(181417), // Rule ID 353 //
     /*  181381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181398 */     // MIs[0] rs1
     /*  181398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181410 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181415 */     GIR_RootConstrainSelectedInstOperands,
     /*  181416 */     // GIR_Coverage, 353,
     /*  181416 */     GIR_Done,
     /*  181417 */   // Label 3480: @181417
     /*  181417 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(181458), // Rule ID 355 //
     /*  181422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181439 */     // MIs[0] rs1
     /*  181439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181451 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181456 */     GIR_RootConstrainSelectedInstOperands,
     /*  181457 */     // GIR_Coverage, 355,
     /*  181457 */     GIR_Done,
     /*  181458 */   // Label 3481: @181458
     /*  181458 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(181499), // Rule ID 357 //
     /*  181463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181480 */     // MIs[0] rs1
     /*  181480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181492 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181497 */     GIR_RootConstrainSelectedInstOperands,
     /*  181498 */     // GIR_Coverage, 357,
     /*  181498 */     GIR_Done,
     /*  181499 */   // Label 3482: @181499
     /*  181499 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(181540), // Rule ID 359 //
     /*  181504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181521 */     // MIs[0] rs1
     /*  181521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181533 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181538 */     GIR_RootConstrainSelectedInstOperands,
     /*  181539 */     // GIR_Coverage, 359,
     /*  181539 */     GIR_Done,
     /*  181540 */   // Label 3483: @181540
     /*  181540 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(181581), // Rule ID 521 //
     /*  181545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181562 */     // MIs[0] rs1
     /*  181562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181574 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181579 */     GIR_RootConstrainSelectedInstOperands,
     /*  181580 */     // GIR_Coverage, 521,
     /*  181580 */     GIR_Done,
     /*  181581 */   // Label 3484: @181581
     /*  181581 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(181622), // Rule ID 522 //
     /*  181586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181603 */     // MIs[0] rs1
     /*  181603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181615 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  181620 */     GIR_RootConstrainSelectedInstOperands,
     /*  181621 */     // GIR_Coverage, 522,
     /*  181621 */     GIR_Done,
     /*  181622 */   // Label 3485: @181622
     /*  181622 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(181663), // Rule ID 523 //
     /*  181627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181644 */     // MIs[0] rs1
     /*  181644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181656 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  181661 */     GIR_RootConstrainSelectedInstOperands,
     /*  181662 */     // GIR_Coverage, 523,
     /*  181662 */     GIR_Done,
     /*  181663 */   // Label 3486: @181663
     /*  181663 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(181704), // Rule ID 524 //
     /*  181668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181685 */     // MIs[0] rs1
     /*  181685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181697 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181702 */     GIR_RootConstrainSelectedInstOperands,
     /*  181703 */     // GIR_Coverage, 524,
     /*  181703 */     GIR_Done,
     /*  181704 */   // Label 3487: @181704
     /*  181704 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(181745), // Rule ID 525 //
     /*  181709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181726 */     // MIs[0] rs1
     /*  181726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181738 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181743 */     GIR_RootConstrainSelectedInstOperands,
     /*  181744 */     // GIR_Coverage, 525,
     /*  181744 */     GIR_Done,
     /*  181745 */   // Label 3488: @181745
     /*  181745 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(181786), // Rule ID 526 //
     /*  181750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181767 */     // MIs[0] rs1
     /*  181767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181779 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181784 */     GIR_RootConstrainSelectedInstOperands,
     /*  181785 */     // GIR_Coverage, 526,
     /*  181785 */     GIR_Done,
     /*  181786 */   // Label 3489: @181786
     /*  181786 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(181827), // Rule ID 527 //
     /*  181791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181808 */     // MIs[0] rs1
     /*  181808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181820 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181825 */     GIR_RootConstrainSelectedInstOperands,
     /*  181826 */     // GIR_Coverage, 527,
     /*  181826 */     GIR_Done,
     /*  181827 */   // Label 3490: @181827
     /*  181827 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(181868), // Rule ID 528 //
     /*  181832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181849 */     // MIs[0] rs1
     /*  181849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181861 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181866 */     GIR_RootConstrainSelectedInstOperands,
     /*  181867 */     // GIR_Coverage, 528,
     /*  181867 */     GIR_Done,
     /*  181868 */   // Label 3491: @181868
     /*  181868 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(181909), // Rule ID 529 //
     /*  181873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181890 */     // MIs[0] rs1
     /*  181890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181902 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181907 */     GIR_RootConstrainSelectedInstOperands,
     /*  181908 */     // GIR_Coverage, 529,
     /*  181908 */     GIR_Done,
     /*  181909 */   // Label 3492: @181909
     /*  181909 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(181950), // Rule ID 530 //
     /*  181914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181931 */     // MIs[0] rs1
     /*  181931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181943 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181948 */     GIR_RootConstrainSelectedInstOperands,
     /*  181949 */     // GIR_Coverage, 530,
     /*  181949 */     GIR_Done,
     /*  181950 */   // Label 3493: @181950
     /*  181950 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(181991), // Rule ID 689 //
     /*  181955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181972 */     // MIs[0] rs1
     /*  181972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181984 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181989 */     GIR_RootConstrainSelectedInstOperands,
     /*  181990 */     // GIR_Coverage, 689,
     /*  181990 */     GIR_Done,
     /*  181991 */   // Label 3494: @181991
     /*  181991 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(182032), // Rule ID 691 //
     /*  181996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182013 */     // MIs[0] rs1
     /*  182013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182025 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  182030 */     GIR_RootConstrainSelectedInstOperands,
     /*  182031 */     // GIR_Coverage, 691,
     /*  182031 */     GIR_Done,
     /*  182032 */   // Label 3495: @182032
     /*  182032 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(182073), // Rule ID 693 //
     /*  182037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182054 */     // MIs[0] rs1
     /*  182054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182066 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  182071 */     GIR_RootConstrainSelectedInstOperands,
     /*  182072 */     // GIR_Coverage, 693,
     /*  182072 */     GIR_Done,
     /*  182073 */   // Label 3496: @182073
     /*  182073 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(182114), // Rule ID 695 //
     /*  182078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182095 */     // MIs[0] rs1
     /*  182095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182107 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  182112 */     GIR_RootConstrainSelectedInstOperands,
     /*  182113 */     // GIR_Coverage, 695,
     /*  182113 */     GIR_Done,
     /*  182114 */   // Label 3497: @182114
     /*  182114 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(182155), // Rule ID 697 //
     /*  182119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182136 */     // MIs[0] rs1
     /*  182136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182148 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  182153 */     GIR_RootConstrainSelectedInstOperands,
     /*  182154 */     // GIR_Coverage, 697,
     /*  182154 */     GIR_Done,
     /*  182155 */   // Label 3498: @182155
     /*  182155 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(182196), // Rule ID 699 //
     /*  182160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182177 */     // MIs[0] rs1
     /*  182177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182189 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182194 */     GIR_RootConstrainSelectedInstOperands,
     /*  182195 */     // GIR_Coverage, 699,
     /*  182195 */     GIR_Done,
     /*  182196 */   // Label 3499: @182196
     /*  182196 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(182237), // Rule ID 701 //
     /*  182201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182218 */     // MIs[0] rs1
     /*  182218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182230 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182235 */     GIR_RootConstrainSelectedInstOperands,
     /*  182236 */     // GIR_Coverage, 701,
     /*  182236 */     GIR_Done,
     /*  182237 */   // Label 3500: @182237
     /*  182237 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(182278), // Rule ID 703 //
     /*  182242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182259 */     // MIs[0] rs1
     /*  182259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182271 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182276 */     GIR_RootConstrainSelectedInstOperands,
     /*  182277 */     // GIR_Coverage, 703,
     /*  182277 */     GIR_Done,
     /*  182278 */   // Label 3501: @182278
     /*  182278 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(182319), // Rule ID 705 //
     /*  182283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182300 */     // MIs[0] rs1
     /*  182300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182312 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182317 */     GIR_RootConstrainSelectedInstOperands,
     /*  182318 */     // GIR_Coverage, 705,
     /*  182318 */     GIR_Done,
     /*  182319 */   // Label 3502: @182319
     /*  182319 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(182360), // Rule ID 707 //
     /*  182324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182341 */     // MIs[0] rs1
     /*  182341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182353 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182358 */     GIR_RootConstrainSelectedInstOperands,
     /*  182359 */     // GIR_Coverage, 707,
     /*  182359 */     GIR_Done,
     /*  182360 */   // Label 3503: @182360
     /*  182360 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(182401), // Rule ID 869 //
     /*  182365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182382 */     // MIs[0] rs1
     /*  182382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182394 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182399 */     GIR_RootConstrainSelectedInstOperands,
     /*  182400 */     // GIR_Coverage, 869,
     /*  182400 */     GIR_Done,
     /*  182401 */   // Label 3504: @182401
     /*  182401 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(182442), // Rule ID 871 //
     /*  182406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182423 */     // MIs[0] rs1
     /*  182423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182435 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  182440 */     GIR_RootConstrainSelectedInstOperands,
     /*  182441 */     // GIR_Coverage, 871,
     /*  182441 */     GIR_Done,
     /*  182442 */   // Label 3505: @182442
     /*  182442 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(182483), // Rule ID 873 //
     /*  182447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182464 */     // MIs[0] rs1
     /*  182464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182476 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  182481 */     GIR_RootConstrainSelectedInstOperands,
     /*  182482 */     // GIR_Coverage, 873,
     /*  182482 */     GIR_Done,
     /*  182483 */   // Label 3506: @182483
     /*  182483 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(182524), // Rule ID 875 //
     /*  182488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182505 */     // MIs[0] rs1
     /*  182505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182517 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182522 */     GIR_RootConstrainSelectedInstOperands,
     /*  182523 */     // GIR_Coverage, 875,
     /*  182523 */     GIR_Done,
     /*  182524 */   // Label 3507: @182524
     /*  182524 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(182565), // Rule ID 877 //
     /*  182529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182546 */     // MIs[0] rs1
     /*  182546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182558 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182563 */     GIR_RootConstrainSelectedInstOperands,
     /*  182564 */     // GIR_Coverage, 877,
     /*  182564 */     GIR_Done,
     /*  182565 */   // Label 3508: @182565
     /*  182565 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(182606), // Rule ID 879 //
     /*  182570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182587 */     // MIs[0] rs1
     /*  182587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182599 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182604 */     GIR_RootConstrainSelectedInstOperands,
     /*  182605 */     // GIR_Coverage, 879,
     /*  182605 */     GIR_Done,
     /*  182606 */   // Label 3509: @182606
     /*  182606 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(182647), // Rule ID 881 //
     /*  182611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182628 */     // MIs[0] rs1
     /*  182628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182640 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182645 */     GIR_RootConstrainSelectedInstOperands,
     /*  182646 */     // GIR_Coverage, 881,
     /*  182646 */     GIR_Done,
     /*  182647 */   // Label 3510: @182647
     /*  182647 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(182688), // Rule ID 883 //
     /*  182652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182669 */     // MIs[0] rs1
     /*  182669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182681 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182686 */     GIR_RootConstrainSelectedInstOperands,
     /*  182687 */     // GIR_Coverage, 883,
     /*  182687 */     GIR_Done,
     /*  182688 */   // Label 3511: @182688
     /*  182688 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(182729), // Rule ID 885 //
     /*  182693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182710 */     // MIs[0] rs1
     /*  182710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182722 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182727 */     GIR_RootConstrainSelectedInstOperands,
     /*  182728 */     // GIR_Coverage, 885,
     /*  182728 */     GIR_Done,
     /*  182729 */   // Label 3512: @182729
     /*  182729 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(182770), // Rule ID 887 //
     /*  182734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182751 */     // MIs[0] rs1
     /*  182751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182763 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182768 */     GIR_RootConstrainSelectedInstOperands,
     /*  182769 */     // GIR_Coverage, 887,
     /*  182769 */     GIR_Done,
     /*  182770 */   // Label 3513: @182770
     /*  182770 */   GIM_Reject,
     /*  182771 */ // Label 3473: @182771
     /*  182771 */ GIM_Reject,
     /*  182772 */ // Label 3441: @182772
     /*  182772 */ GIM_Reject,
     /*  182773 */ // Label 27: @182773
     /*  182773 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3516*/ GIMT_Encode4(185682),
     /*  182784 */ /*GILLT_s32*//*Label 3514*/ GIMT_Encode4(182792),
     /*  182788 */ /*GILLT_s64*//*Label 3515*/ GIMT_Encode4(184032),
     /*  182792 */ // Label 3514: @182792
     /*  182792 */ GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(184031),
     /*  182797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  182800 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(182841), // Rule ID 362 //
     /*  182805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182808 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182815 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182822 */     // MIs[0] rs1
     /*  182822 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182834 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182834 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182839 */     GIR_RootConstrainSelectedInstOperands,
     /*  182840 */     // GIR_Coverage, 362,
     /*  182840 */     GIR_Done,
     /*  182841 */   // Label 3518: @182841
     /*  182841 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(182882), // Rule ID 364 //
     /*  182846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182849 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182856 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182863 */     // MIs[0] rs1
     /*  182863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182875 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182875 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  182880 */     GIR_RootConstrainSelectedInstOperands,
     /*  182881 */     // GIR_Coverage, 364,
     /*  182881 */     GIR_Done,
     /*  182882 */   // Label 3519: @182882
     /*  182882 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(182923), // Rule ID 366 //
     /*  182887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182890 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182897 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182904 */     // MIs[0] rs1
     /*  182904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182916 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  182921 */     GIR_RootConstrainSelectedInstOperands,
     /*  182922 */     // GIR_Coverage, 366,
     /*  182922 */     GIR_Done,
     /*  182923 */   // Label 3520: @182923
     /*  182923 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(182964), // Rule ID 368 //
     /*  182928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182945 */     // MIs[0] rs1
     /*  182945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182957 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182962 */     GIR_RootConstrainSelectedInstOperands,
     /*  182963 */     // GIR_Coverage, 368,
     /*  182963 */     GIR_Done,
     /*  182964 */   // Label 3521: @182964
     /*  182964 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(183005), // Rule ID 370 //
     /*  182969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182986 */     // MIs[0] rs1
     /*  182986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182998 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  183003 */     GIR_RootConstrainSelectedInstOperands,
     /*  183004 */     // GIR_Coverage, 370,
     /*  183004 */     GIR_Done,
     /*  183005 */   // Label 3522: @183005
     /*  183005 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(183046), // Rule ID 372 //
     /*  183010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183027 */     // MIs[0] rs1
     /*  183027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183039 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183039 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183044 */     GIR_RootConstrainSelectedInstOperands,
     /*  183045 */     // GIR_Coverage, 372,
     /*  183045 */     GIR_Done,
     /*  183046 */   // Label 3523: @183046
     /*  183046 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(183087), // Rule ID 374 //
     /*  183051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183068 */     // MIs[0] rs1
     /*  183068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183080 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183085 */     GIR_RootConstrainSelectedInstOperands,
     /*  183086 */     // GIR_Coverage, 374,
     /*  183086 */     GIR_Done,
     /*  183087 */   // Label 3524: @183087
     /*  183087 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(183128), // Rule ID 376 //
     /*  183092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183109 */     // MIs[0] rs1
     /*  183109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183121 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183126 */     GIR_RootConstrainSelectedInstOperands,
     /*  183127 */     // GIR_Coverage, 376,
     /*  183127 */     GIR_Done,
     /*  183128 */   // Label 3525: @183128
     /*  183128 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(183169), // Rule ID 378 //
     /*  183133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183150 */     // MIs[0] rs1
     /*  183150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183162 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183167 */     GIR_RootConstrainSelectedInstOperands,
     /*  183168 */     // GIR_Coverage, 378,
     /*  183168 */     GIR_Done,
     /*  183169 */   // Label 3526: @183169
     /*  183169 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(183210), // Rule ID 380 //
     /*  183174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183191 */     // MIs[0] rs1
     /*  183191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183203 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183208 */     GIR_RootConstrainSelectedInstOperands,
     /*  183209 */     // GIR_Coverage, 380,
     /*  183209 */     GIR_Done,
     /*  183210 */   // Label 3527: @183210
     /*  183210 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(183251), // Rule ID 710 //
     /*  183215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183232 */     // MIs[0] rs1
     /*  183232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183244 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183249 */     GIR_RootConstrainSelectedInstOperands,
     /*  183250 */     // GIR_Coverage, 710,
     /*  183250 */     GIR_Done,
     /*  183251 */   // Label 3528: @183251
     /*  183251 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(183292), // Rule ID 712 //
     /*  183256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183273 */     // MIs[0] rs1
     /*  183273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183285 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  183290 */     GIR_RootConstrainSelectedInstOperands,
     /*  183291 */     // GIR_Coverage, 712,
     /*  183291 */     GIR_Done,
     /*  183292 */   // Label 3529: @183292
     /*  183292 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(183333), // Rule ID 714 //
     /*  183297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183314 */     // MIs[0] rs1
     /*  183314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183326 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  183331 */     GIR_RootConstrainSelectedInstOperands,
     /*  183332 */     // GIR_Coverage, 714,
     /*  183332 */     GIR_Done,
     /*  183333 */   // Label 3530: @183333
     /*  183333 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(183374), // Rule ID 716 //
     /*  183338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183355 */     // MIs[0] rs1
     /*  183355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183367 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  183372 */     GIR_RootConstrainSelectedInstOperands,
     /*  183373 */     // GIR_Coverage, 716,
     /*  183373 */     GIR_Done,
     /*  183374 */   // Label 3531: @183374
     /*  183374 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(183415), // Rule ID 718 //
     /*  183379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183396 */     // MIs[0] rs1
     /*  183396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183408 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  183413 */     GIR_RootConstrainSelectedInstOperands,
     /*  183414 */     // GIR_Coverage, 718,
     /*  183414 */     GIR_Done,
     /*  183415 */   // Label 3532: @183415
     /*  183415 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(183456), // Rule ID 720 //
     /*  183420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183437 */     // MIs[0] rs1
     /*  183437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183449 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183454 */     GIR_RootConstrainSelectedInstOperands,
     /*  183455 */     // GIR_Coverage, 720,
     /*  183455 */     GIR_Done,
     /*  183456 */   // Label 3533: @183456
     /*  183456 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(183497), // Rule ID 722 //
     /*  183461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183478 */     // MIs[0] rs1
     /*  183478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183490 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183495 */     GIR_RootConstrainSelectedInstOperands,
     /*  183496 */     // GIR_Coverage, 722,
     /*  183496 */     GIR_Done,
     /*  183497 */   // Label 3534: @183497
     /*  183497 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(183538), // Rule ID 724 //
     /*  183502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183519 */     // MIs[0] rs1
     /*  183519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183531 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183536 */     GIR_RootConstrainSelectedInstOperands,
     /*  183537 */     // GIR_Coverage, 724,
     /*  183537 */     GIR_Done,
     /*  183538 */   // Label 3535: @183538
     /*  183538 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(183579), // Rule ID 726 //
     /*  183543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183560 */     // MIs[0] rs1
     /*  183560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183572 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183577 */     GIR_RootConstrainSelectedInstOperands,
     /*  183578 */     // GIR_Coverage, 726,
     /*  183578 */     GIR_Done,
     /*  183579 */   // Label 3536: @183579
     /*  183579 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(183620), // Rule ID 728 //
     /*  183584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183601 */     // MIs[0] rs1
     /*  183601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183613 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183618 */     GIR_RootConstrainSelectedInstOperands,
     /*  183619 */     // GIR_Coverage, 728,
     /*  183619 */     GIR_Done,
     /*  183620 */   // Label 3537: @183620
     /*  183620 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(183661), // Rule ID 890 //
     /*  183625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183642 */     // MIs[0] rs1
     /*  183642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183654 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183659 */     GIR_RootConstrainSelectedInstOperands,
     /*  183660 */     // GIR_Coverage, 890,
     /*  183660 */     GIR_Done,
     /*  183661 */   // Label 3538: @183661
     /*  183661 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(183702), // Rule ID 892 //
     /*  183666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183683 */     // MIs[0] rs1
     /*  183683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183695 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  183700 */     GIR_RootConstrainSelectedInstOperands,
     /*  183701 */     // GIR_Coverage, 892,
     /*  183701 */     GIR_Done,
     /*  183702 */   // Label 3539: @183702
     /*  183702 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(183743), // Rule ID 894 //
     /*  183707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183724 */     // MIs[0] rs1
     /*  183724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183736 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  183741 */     GIR_RootConstrainSelectedInstOperands,
     /*  183742 */     // GIR_Coverage, 894,
     /*  183742 */     GIR_Done,
     /*  183743 */   // Label 3540: @183743
     /*  183743 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(183784), // Rule ID 896 //
     /*  183748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183765 */     // MIs[0] rs1
     /*  183765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183777 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183782 */     GIR_RootConstrainSelectedInstOperands,
     /*  183783 */     // GIR_Coverage, 896,
     /*  183783 */     GIR_Done,
     /*  183784 */   // Label 3541: @183784
     /*  183784 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(183825), // Rule ID 898 //
     /*  183789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183806 */     // MIs[0] rs1
     /*  183806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183818 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183823 */     GIR_RootConstrainSelectedInstOperands,
     /*  183824 */     // GIR_Coverage, 898,
     /*  183824 */     GIR_Done,
     /*  183825 */   // Label 3542: @183825
     /*  183825 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(183866), // Rule ID 900 //
     /*  183830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183847 */     // MIs[0] rs1
     /*  183847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183859 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183864 */     GIR_RootConstrainSelectedInstOperands,
     /*  183865 */     // GIR_Coverage, 900,
     /*  183865 */     GIR_Done,
     /*  183866 */   // Label 3543: @183866
     /*  183866 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(183907), // Rule ID 902 //
     /*  183871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183888 */     // MIs[0] rs1
     /*  183888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183900 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183905 */     GIR_RootConstrainSelectedInstOperands,
     /*  183906 */     // GIR_Coverage, 902,
     /*  183906 */     GIR_Done,
     /*  183907 */   // Label 3544: @183907
     /*  183907 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(183948), // Rule ID 904 //
     /*  183912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183929 */     // MIs[0] rs1
     /*  183929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183941 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183946 */     GIR_RootConstrainSelectedInstOperands,
     /*  183947 */     // GIR_Coverage, 904,
     /*  183947 */     GIR_Done,
     /*  183948 */   // Label 3545: @183948
     /*  183948 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(183989), // Rule ID 906 //
     /*  183953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183970 */     // MIs[0] rs1
     /*  183970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183982 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183987 */     GIR_RootConstrainSelectedInstOperands,
     /*  183988 */     // GIR_Coverage, 906,
     /*  183988 */     GIR_Done,
     /*  183989 */   // Label 3546: @183989
     /*  183989 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(184030), // Rule ID 908 //
     /*  183994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184011 */     // MIs[0] rs1
     /*  184011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184023 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184028 */     GIR_RootConstrainSelectedInstOperands,
     /*  184029 */     // GIR_Coverage, 908,
     /*  184029 */     GIR_Done,
     /*  184030 */   // Label 3547: @184030
     /*  184030 */   GIM_Reject,
     /*  184031 */ // Label 3517: @184031
     /*  184031 */ GIM_Reject,
     /*  184032 */ // Label 3515: @184032
     /*  184032 */ GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(185681),
     /*  184037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  184040 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(184081), // Rule ID 361 //
     /*  184045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184048 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184055 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184062 */     // MIs[0] rs1
     /*  184062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184074 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184079 */     GIR_RootConstrainSelectedInstOperands,
     /*  184080 */     // GIR_Coverage, 361,
     /*  184080 */     GIR_Done,
     /*  184081 */   // Label 3549: @184081
     /*  184081 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(184122), // Rule ID 363 //
     /*  184086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184103 */     // MIs[0] rs1
     /*  184103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184115 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184115 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  184120 */     GIR_RootConstrainSelectedInstOperands,
     /*  184121 */     // GIR_Coverage, 363,
     /*  184121 */     GIR_Done,
     /*  184122 */   // Label 3550: @184122
     /*  184122 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(184163), // Rule ID 365 //
     /*  184127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184144 */     // MIs[0] rs1
     /*  184144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184156 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184156 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  184161 */     GIR_RootConstrainSelectedInstOperands,
     /*  184162 */     // GIR_Coverage, 365,
     /*  184162 */     GIR_Done,
     /*  184163 */   // Label 3551: @184163
     /*  184163 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(184204), // Rule ID 367 //
     /*  184168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184185 */     // MIs[0] rs1
     /*  184185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184197 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  184202 */     GIR_RootConstrainSelectedInstOperands,
     /*  184203 */     // GIR_Coverage, 367,
     /*  184203 */     GIR_Done,
     /*  184204 */   // Label 3552: @184204
     /*  184204 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(184245), // Rule ID 369 //
     /*  184209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184226 */     // MIs[0] rs1
     /*  184226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184238 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  184243 */     GIR_RootConstrainSelectedInstOperands,
     /*  184244 */     // GIR_Coverage, 369,
     /*  184244 */     GIR_Done,
     /*  184245 */   // Label 3553: @184245
     /*  184245 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(184286), // Rule ID 371 //
     /*  184250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184267 */     // MIs[0] rs1
     /*  184267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184279 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184284 */     GIR_RootConstrainSelectedInstOperands,
     /*  184285 */     // GIR_Coverage, 371,
     /*  184285 */     GIR_Done,
     /*  184286 */   // Label 3554: @184286
     /*  184286 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(184327), // Rule ID 373 //
     /*  184291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184308 */     // MIs[0] rs1
     /*  184308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184320 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184325 */     GIR_RootConstrainSelectedInstOperands,
     /*  184326 */     // GIR_Coverage, 373,
     /*  184326 */     GIR_Done,
     /*  184327 */   // Label 3555: @184327
     /*  184327 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(184368), // Rule ID 375 //
     /*  184332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184349 */     // MIs[0] rs1
     /*  184349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184361 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184366 */     GIR_RootConstrainSelectedInstOperands,
     /*  184367 */     // GIR_Coverage, 375,
     /*  184367 */     GIR_Done,
     /*  184368 */   // Label 3556: @184368
     /*  184368 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(184409), // Rule ID 377 //
     /*  184373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184390 */     // MIs[0] rs1
     /*  184390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184402 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184407 */     GIR_RootConstrainSelectedInstOperands,
     /*  184408 */     // GIR_Coverage, 377,
     /*  184408 */     GIR_Done,
     /*  184409 */   // Label 3557: @184409
     /*  184409 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(184450), // Rule ID 379 //
     /*  184414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184431 */     // MIs[0] rs1
     /*  184431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184443 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184448 */     GIR_RootConstrainSelectedInstOperands,
     /*  184449 */     // GIR_Coverage, 379,
     /*  184449 */     GIR_Done,
     /*  184450 */   // Label 3558: @184450
     /*  184450 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(184491), // Rule ID 531 //
     /*  184455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184472 */     // MIs[0] rs1
     /*  184472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184484 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184489 */     GIR_RootConstrainSelectedInstOperands,
     /*  184490 */     // GIR_Coverage, 531,
     /*  184490 */     GIR_Done,
     /*  184491 */   // Label 3559: @184491
     /*  184491 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(184532), // Rule ID 532 //
     /*  184496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184513 */     // MIs[0] rs1
     /*  184513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184525 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  184530 */     GIR_RootConstrainSelectedInstOperands,
     /*  184531 */     // GIR_Coverage, 532,
     /*  184531 */     GIR_Done,
     /*  184532 */   // Label 3560: @184532
     /*  184532 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(184573), // Rule ID 533 //
     /*  184537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184554 */     // MIs[0] rs1
     /*  184554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184566 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  184571 */     GIR_RootConstrainSelectedInstOperands,
     /*  184572 */     // GIR_Coverage, 533,
     /*  184572 */     GIR_Done,
     /*  184573 */   // Label 3561: @184573
     /*  184573 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(184614), // Rule ID 534 //
     /*  184578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184595 */     // MIs[0] rs1
     /*  184595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184607 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184612 */     GIR_RootConstrainSelectedInstOperands,
     /*  184613 */     // GIR_Coverage, 534,
     /*  184613 */     GIR_Done,
     /*  184614 */   // Label 3562: @184614
     /*  184614 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(184655), // Rule ID 535 //
     /*  184619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184636 */     // MIs[0] rs1
     /*  184636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184648 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184653 */     GIR_RootConstrainSelectedInstOperands,
     /*  184654 */     // GIR_Coverage, 535,
     /*  184654 */     GIR_Done,
     /*  184655 */   // Label 3563: @184655
     /*  184655 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(184696), // Rule ID 536 //
     /*  184660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184677 */     // MIs[0] rs1
     /*  184677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184689 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184694 */     GIR_RootConstrainSelectedInstOperands,
     /*  184695 */     // GIR_Coverage, 536,
     /*  184695 */     GIR_Done,
     /*  184696 */   // Label 3564: @184696
     /*  184696 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(184737), // Rule ID 537 //
     /*  184701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184718 */     // MIs[0] rs1
     /*  184718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184730 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184735 */     GIR_RootConstrainSelectedInstOperands,
     /*  184736 */     // GIR_Coverage, 537,
     /*  184736 */     GIR_Done,
     /*  184737 */   // Label 3565: @184737
     /*  184737 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(184778), // Rule ID 538 //
     /*  184742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184759 */     // MIs[0] rs1
     /*  184759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184771 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184776 */     GIR_RootConstrainSelectedInstOperands,
     /*  184777 */     // GIR_Coverage, 538,
     /*  184777 */     GIR_Done,
     /*  184778 */   // Label 3566: @184778
     /*  184778 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(184819), // Rule ID 539 //
     /*  184783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184800 */     // MIs[0] rs1
     /*  184800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184812 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184817 */     GIR_RootConstrainSelectedInstOperands,
     /*  184818 */     // GIR_Coverage, 539,
     /*  184818 */     GIR_Done,
     /*  184819 */   // Label 3567: @184819
     /*  184819 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(184860), // Rule ID 540 //
     /*  184824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184841 */     // MIs[0] rs1
     /*  184841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184853 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184858 */     GIR_RootConstrainSelectedInstOperands,
     /*  184859 */     // GIR_Coverage, 540,
     /*  184859 */     GIR_Done,
     /*  184860 */   // Label 3568: @184860
     /*  184860 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(184901), // Rule ID 709 //
     /*  184865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184882 */     // MIs[0] rs1
     /*  184882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184894 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184899 */     GIR_RootConstrainSelectedInstOperands,
     /*  184900 */     // GIR_Coverage, 709,
     /*  184900 */     GIR_Done,
     /*  184901 */   // Label 3569: @184901
     /*  184901 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(184942), // Rule ID 711 //
     /*  184906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184923 */     // MIs[0] rs1
     /*  184923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184935 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  184940 */     GIR_RootConstrainSelectedInstOperands,
     /*  184941 */     // GIR_Coverage, 711,
     /*  184941 */     GIR_Done,
     /*  184942 */   // Label 3570: @184942
     /*  184942 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(184983), // Rule ID 713 //
     /*  184947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184964 */     // MIs[0] rs1
     /*  184964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184976 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  184981 */     GIR_RootConstrainSelectedInstOperands,
     /*  184982 */     // GIR_Coverage, 713,
     /*  184982 */     GIR_Done,
     /*  184983 */   // Label 3571: @184983
     /*  184983 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(185024), // Rule ID 715 //
     /*  184988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185005 */     // MIs[0] rs1
     /*  185005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185017 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  185022 */     GIR_RootConstrainSelectedInstOperands,
     /*  185023 */     // GIR_Coverage, 715,
     /*  185023 */     GIR_Done,
     /*  185024 */   // Label 3572: @185024
     /*  185024 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(185065), // Rule ID 717 //
     /*  185029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185046 */     // MIs[0] rs1
     /*  185046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185058 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  185063 */     GIR_RootConstrainSelectedInstOperands,
     /*  185064 */     // GIR_Coverage, 717,
     /*  185064 */     GIR_Done,
     /*  185065 */   // Label 3573: @185065
     /*  185065 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(185106), // Rule ID 719 //
     /*  185070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185087 */     // MIs[0] rs1
     /*  185087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185099 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185104 */     GIR_RootConstrainSelectedInstOperands,
     /*  185105 */     // GIR_Coverage, 719,
     /*  185105 */     GIR_Done,
     /*  185106 */   // Label 3574: @185106
     /*  185106 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(185147), // Rule ID 721 //
     /*  185111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185128 */     // MIs[0] rs1
     /*  185128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185140 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185145 */     GIR_RootConstrainSelectedInstOperands,
     /*  185146 */     // GIR_Coverage, 721,
     /*  185146 */     GIR_Done,
     /*  185147 */   // Label 3575: @185147
     /*  185147 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(185188), // Rule ID 723 //
     /*  185152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185169 */     // MIs[0] rs1
     /*  185169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185181 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185186 */     GIR_RootConstrainSelectedInstOperands,
     /*  185187 */     // GIR_Coverage, 723,
     /*  185187 */     GIR_Done,
     /*  185188 */   // Label 3576: @185188
     /*  185188 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(185229), // Rule ID 725 //
     /*  185193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185210 */     // MIs[0] rs1
     /*  185210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185222 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185227 */     GIR_RootConstrainSelectedInstOperands,
     /*  185228 */     // GIR_Coverage, 725,
     /*  185228 */     GIR_Done,
     /*  185229 */   // Label 3577: @185229
     /*  185229 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(185270), // Rule ID 727 //
     /*  185234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185251 */     // MIs[0] rs1
     /*  185251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185263 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185268 */     GIR_RootConstrainSelectedInstOperands,
     /*  185269 */     // GIR_Coverage, 727,
     /*  185269 */     GIR_Done,
     /*  185270 */   // Label 3578: @185270
     /*  185270 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(185311), // Rule ID 889 //
     /*  185275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185292 */     // MIs[0] rs1
     /*  185292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185304 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185309 */     GIR_RootConstrainSelectedInstOperands,
     /*  185310 */     // GIR_Coverage, 889,
     /*  185310 */     GIR_Done,
     /*  185311 */   // Label 3579: @185311
     /*  185311 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(185352), // Rule ID 891 //
     /*  185316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185333 */     // MIs[0] rs1
     /*  185333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185345 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  185350 */     GIR_RootConstrainSelectedInstOperands,
     /*  185351 */     // GIR_Coverage, 891,
     /*  185351 */     GIR_Done,
     /*  185352 */   // Label 3580: @185352
     /*  185352 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(185393), // Rule ID 893 //
     /*  185357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185374 */     // MIs[0] rs1
     /*  185374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185386 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  185391 */     GIR_RootConstrainSelectedInstOperands,
     /*  185392 */     // GIR_Coverage, 893,
     /*  185392 */     GIR_Done,
     /*  185393 */   // Label 3581: @185393
     /*  185393 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(185434), // Rule ID 895 //
     /*  185398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185415 */     // MIs[0] rs1
     /*  185415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185427 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  185432 */     GIR_RootConstrainSelectedInstOperands,
     /*  185433 */     // GIR_Coverage, 895,
     /*  185433 */     GIR_Done,
     /*  185434 */   // Label 3582: @185434
     /*  185434 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(185475), // Rule ID 897 //
     /*  185439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185456 */     // MIs[0] rs1
     /*  185456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185468 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  185473 */     GIR_RootConstrainSelectedInstOperands,
     /*  185474 */     // GIR_Coverage, 897,
     /*  185474 */     GIR_Done,
     /*  185475 */   // Label 3583: @185475
     /*  185475 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(185516), // Rule ID 899 //
     /*  185480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185497 */     // MIs[0] rs1
     /*  185497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185509 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185514 */     GIR_RootConstrainSelectedInstOperands,
     /*  185515 */     // GIR_Coverage, 899,
     /*  185515 */     GIR_Done,
     /*  185516 */   // Label 3584: @185516
     /*  185516 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(185557), // Rule ID 901 //
     /*  185521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185538 */     // MIs[0] rs1
     /*  185538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185550 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185555 */     GIR_RootConstrainSelectedInstOperands,
     /*  185556 */     // GIR_Coverage, 901,
     /*  185556 */     GIR_Done,
     /*  185557 */   // Label 3585: @185557
     /*  185557 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(185598), // Rule ID 903 //
     /*  185562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185579 */     // MIs[0] rs1
     /*  185579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185591 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185596 */     GIR_RootConstrainSelectedInstOperands,
     /*  185597 */     // GIR_Coverage, 903,
     /*  185597 */     GIR_Done,
     /*  185598 */   // Label 3586: @185598
     /*  185598 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(185639), // Rule ID 905 //
     /*  185603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185620 */     // MIs[0] rs1
     /*  185620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185632 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185637 */     GIR_RootConstrainSelectedInstOperands,
     /*  185638 */     // GIR_Coverage, 905,
     /*  185638 */     GIR_Done,
     /*  185639 */   // Label 3587: @185639
     /*  185639 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(185680), // Rule ID 907 //
     /*  185644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185661 */     // MIs[0] rs1
     /*  185661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185673 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185678 */     GIR_RootConstrainSelectedInstOperands,
     /*  185679 */     // GIR_Coverage, 907,
     /*  185679 */     GIR_Done,
     /*  185680 */   // Label 3588: @185680
     /*  185680 */   GIM_Reject,
     /*  185681 */ // Label 3548: @185681
     /*  185681 */ GIM_Reject,
     /*  185682 */ // Label 3516: @185682
     /*  185682 */ GIM_Reject,
     /*  185683 */ // Label 28: @185683
     /*  185683 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3591*/ GIMT_Encode4(188592),
     /*  185694 */ /*GILLT_s32*//*Label 3589*/ GIMT_Encode4(185702),
     /*  185698 */ /*GILLT_s64*//*Label 3590*/ GIMT_Encode4(186942),
     /*  185702 */ // Label 3589: @185702
     /*  185702 */ GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(186941),
     /*  185707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  185710 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(185751), // Rule ID 382 //
     /*  185715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185732 */     // MIs[0] rs1
     /*  185732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185744 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185749 */     GIR_RootConstrainSelectedInstOperands,
     /*  185750 */     // GIR_Coverage, 382,
     /*  185750 */     GIR_Done,
     /*  185751 */   // Label 3593: @185751
     /*  185751 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(185792), // Rule ID 384 //
     /*  185756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185773 */     // MIs[0] rs1
     /*  185773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185785 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  185790 */     GIR_RootConstrainSelectedInstOperands,
     /*  185791 */     // GIR_Coverage, 384,
     /*  185791 */     GIR_Done,
     /*  185792 */   // Label 3594: @185792
     /*  185792 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(185833), // Rule ID 386 //
     /*  185797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185814 */     // MIs[0] rs1
     /*  185814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185826 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  185831 */     GIR_RootConstrainSelectedInstOperands,
     /*  185832 */     // GIR_Coverage, 386,
     /*  185832 */     GIR_Done,
     /*  185833 */   // Label 3595: @185833
     /*  185833 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(185874), // Rule ID 388 //
     /*  185838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185855 */     // MIs[0] rs1
     /*  185855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185867 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185872 */     GIR_RootConstrainSelectedInstOperands,
     /*  185873 */     // GIR_Coverage, 388,
     /*  185873 */     GIR_Done,
     /*  185874 */   // Label 3596: @185874
     /*  185874 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185915), // Rule ID 390 //
     /*  185879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185896 */     // MIs[0] rs1
     /*  185896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185908 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185913 */     GIR_RootConstrainSelectedInstOperands,
     /*  185914 */     // GIR_Coverage, 390,
     /*  185914 */     GIR_Done,
     /*  185915 */   // Label 3597: @185915
     /*  185915 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185956), // Rule ID 392 //
     /*  185920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185937 */     // MIs[0] rs1
     /*  185937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185949 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185954 */     GIR_RootConstrainSelectedInstOperands,
     /*  185955 */     // GIR_Coverage, 392,
     /*  185955 */     GIR_Done,
     /*  185956 */   // Label 3598: @185956
     /*  185956 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185997), // Rule ID 394 //
     /*  185961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185978 */     // MIs[0] rs1
     /*  185978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185990 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185995 */     GIR_RootConstrainSelectedInstOperands,
     /*  185996 */     // GIR_Coverage, 394,
     /*  185996 */     GIR_Done,
     /*  185997 */   // Label 3599: @185997
     /*  185997 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(186038), // Rule ID 396 //
     /*  186002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186019 */     // MIs[0] rs1
     /*  186019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186031 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186036 */     GIR_RootConstrainSelectedInstOperands,
     /*  186037 */     // GIR_Coverage, 396,
     /*  186037 */     GIR_Done,
     /*  186038 */   // Label 3600: @186038
     /*  186038 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(186079), // Rule ID 398 //
     /*  186043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186060 */     // MIs[0] rs1
     /*  186060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186072 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186077 */     GIR_RootConstrainSelectedInstOperands,
     /*  186078 */     // GIR_Coverage, 398,
     /*  186078 */     GIR_Done,
     /*  186079 */   // Label 3601: @186079
     /*  186079 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(186120), // Rule ID 400 //
     /*  186084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186101 */     // MIs[0] rs1
     /*  186101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186113 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186118 */     GIR_RootConstrainSelectedInstOperands,
     /*  186119 */     // GIR_Coverage, 400,
     /*  186119 */     GIR_Done,
     /*  186120 */   // Label 3602: @186120
     /*  186120 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(186161), // Rule ID 730 //
     /*  186125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186142 */     // MIs[0] rs1
     /*  186142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186154 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186159 */     GIR_RootConstrainSelectedInstOperands,
     /*  186160 */     // GIR_Coverage, 730,
     /*  186160 */     GIR_Done,
     /*  186161 */   // Label 3603: @186161
     /*  186161 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(186202), // Rule ID 732 //
     /*  186166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186183 */     // MIs[0] rs1
     /*  186183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186195 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  186200 */     GIR_RootConstrainSelectedInstOperands,
     /*  186201 */     // GIR_Coverage, 732,
     /*  186201 */     GIR_Done,
     /*  186202 */   // Label 3604: @186202
     /*  186202 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(186243), // Rule ID 734 //
     /*  186207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186224 */     // MIs[0] rs1
     /*  186224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186236 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  186241 */     GIR_RootConstrainSelectedInstOperands,
     /*  186242 */     // GIR_Coverage, 734,
     /*  186242 */     GIR_Done,
     /*  186243 */   // Label 3605: @186243
     /*  186243 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(186284), // Rule ID 736 //
     /*  186248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186265 */     // MIs[0] rs1
     /*  186265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186277 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186282 */     GIR_RootConstrainSelectedInstOperands,
     /*  186283 */     // GIR_Coverage, 736,
     /*  186283 */     GIR_Done,
     /*  186284 */   // Label 3606: @186284
     /*  186284 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(186325), // Rule ID 738 //
     /*  186289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186306 */     // MIs[0] rs1
     /*  186306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186318 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186323 */     GIR_RootConstrainSelectedInstOperands,
     /*  186324 */     // GIR_Coverage, 738,
     /*  186324 */     GIR_Done,
     /*  186325 */   // Label 3607: @186325
     /*  186325 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(186366), // Rule ID 740 //
     /*  186330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186347 */     // MIs[0] rs1
     /*  186347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186359 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186364 */     GIR_RootConstrainSelectedInstOperands,
     /*  186365 */     // GIR_Coverage, 740,
     /*  186365 */     GIR_Done,
     /*  186366 */   // Label 3608: @186366
     /*  186366 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(186407), // Rule ID 742 //
     /*  186371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186388 */     // MIs[0] rs1
     /*  186388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186400 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186405 */     GIR_RootConstrainSelectedInstOperands,
     /*  186406 */     // GIR_Coverage, 742,
     /*  186406 */     GIR_Done,
     /*  186407 */   // Label 3609: @186407
     /*  186407 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(186448), // Rule ID 744 //
     /*  186412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186429 */     // MIs[0] rs1
     /*  186429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186441 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186446 */     GIR_RootConstrainSelectedInstOperands,
     /*  186447 */     // GIR_Coverage, 744,
     /*  186447 */     GIR_Done,
     /*  186448 */   // Label 3610: @186448
     /*  186448 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(186489), // Rule ID 746 //
     /*  186453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186470 */     // MIs[0] rs1
     /*  186470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186482 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186487 */     GIR_RootConstrainSelectedInstOperands,
     /*  186488 */     // GIR_Coverage, 746,
     /*  186488 */     GIR_Done,
     /*  186489 */   // Label 3611: @186489
     /*  186489 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(186530), // Rule ID 748 //
     /*  186494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186511 */     // MIs[0] rs1
     /*  186511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186523 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186528 */     GIR_RootConstrainSelectedInstOperands,
     /*  186529 */     // GIR_Coverage, 748,
     /*  186529 */     GIR_Done,
     /*  186530 */   // Label 3612: @186530
     /*  186530 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(186571), // Rule ID 910 //
     /*  186535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186552 */     // MIs[0] rs1
     /*  186552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186564 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186569 */     GIR_RootConstrainSelectedInstOperands,
     /*  186570 */     // GIR_Coverage, 910,
     /*  186570 */     GIR_Done,
     /*  186571 */   // Label 3613: @186571
     /*  186571 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(186612), // Rule ID 912 //
     /*  186576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186593 */     // MIs[0] rs1
     /*  186593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186605 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  186610 */     GIR_RootConstrainSelectedInstOperands,
     /*  186611 */     // GIR_Coverage, 912,
     /*  186611 */     GIR_Done,
     /*  186612 */   // Label 3614: @186612
     /*  186612 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(186653), // Rule ID 914 //
     /*  186617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186634 */     // MIs[0] rs1
     /*  186634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186646 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  186651 */     GIR_RootConstrainSelectedInstOperands,
     /*  186652 */     // GIR_Coverage, 914,
     /*  186652 */     GIR_Done,
     /*  186653 */   // Label 3615: @186653
     /*  186653 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(186694), // Rule ID 916 //
     /*  186658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186675 */     // MIs[0] rs1
     /*  186675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186687 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186692 */     GIR_RootConstrainSelectedInstOperands,
     /*  186693 */     // GIR_Coverage, 916,
     /*  186693 */     GIR_Done,
     /*  186694 */   // Label 3616: @186694
     /*  186694 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(186735), // Rule ID 918 //
     /*  186699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186716 */     // MIs[0] rs1
     /*  186716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186728 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186733 */     GIR_RootConstrainSelectedInstOperands,
     /*  186734 */     // GIR_Coverage, 918,
     /*  186734 */     GIR_Done,
     /*  186735 */   // Label 3617: @186735
     /*  186735 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(186776), // Rule ID 920 //
     /*  186740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186757 */     // MIs[0] rs1
     /*  186757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186769 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186774 */     GIR_RootConstrainSelectedInstOperands,
     /*  186775 */     // GIR_Coverage, 920,
     /*  186775 */     GIR_Done,
     /*  186776 */   // Label 3618: @186776
     /*  186776 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(186817), // Rule ID 922 //
     /*  186781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186798 */     // MIs[0] rs1
     /*  186798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186810 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186815 */     GIR_RootConstrainSelectedInstOperands,
     /*  186816 */     // GIR_Coverage, 922,
     /*  186816 */     GIR_Done,
     /*  186817 */   // Label 3619: @186817
     /*  186817 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(186858), // Rule ID 924 //
     /*  186822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186839 */     // MIs[0] rs1
     /*  186839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186851 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186856 */     GIR_RootConstrainSelectedInstOperands,
     /*  186857 */     // GIR_Coverage, 924,
     /*  186857 */     GIR_Done,
     /*  186858 */   // Label 3620: @186858
     /*  186858 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(186899), // Rule ID 926 //
     /*  186863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186880 */     // MIs[0] rs1
     /*  186880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186892 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186897 */     GIR_RootConstrainSelectedInstOperands,
     /*  186898 */     // GIR_Coverage, 926,
     /*  186898 */     GIR_Done,
     /*  186899 */   // Label 3621: @186899
     /*  186899 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(186940), // Rule ID 928 //
     /*  186904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186921 */     // MIs[0] rs1
     /*  186921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186933 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186938 */     GIR_RootConstrainSelectedInstOperands,
     /*  186939 */     // GIR_Coverage, 928,
     /*  186939 */     GIR_Done,
     /*  186940 */   // Label 3622: @186940
     /*  186940 */   GIM_Reject,
     /*  186941 */ // Label 3592: @186941
     /*  186941 */ GIM_Reject,
     /*  186942 */ // Label 3590: @186942
     /*  186942 */ GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(188591),
     /*  186947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  186950 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186991), // Rule ID 381 //
     /*  186955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186972 */     // MIs[0] rs1
     /*  186972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186984 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186989 */     GIR_RootConstrainSelectedInstOperands,
     /*  186990 */     // GIR_Coverage, 381,
     /*  186990 */     GIR_Done,
     /*  186991 */   // Label 3624: @186991
     /*  186991 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(187032), // Rule ID 383 //
     /*  186996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187013 */     // MIs[0] rs1
     /*  187013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187025 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  187030 */     GIR_RootConstrainSelectedInstOperands,
     /*  187031 */     // GIR_Coverage, 383,
     /*  187031 */     GIR_Done,
     /*  187032 */   // Label 3625: @187032
     /*  187032 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(187073), // Rule ID 385 //
     /*  187037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187054 */     // MIs[0] rs1
     /*  187054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187066 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  187071 */     GIR_RootConstrainSelectedInstOperands,
     /*  187072 */     // GIR_Coverage, 385,
     /*  187072 */     GIR_Done,
     /*  187073 */   // Label 3626: @187073
     /*  187073 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(187114), // Rule ID 387 //
     /*  187078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187095 */     // MIs[0] rs1
     /*  187095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187107 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  187112 */     GIR_RootConstrainSelectedInstOperands,
     /*  187113 */     // GIR_Coverage, 387,
     /*  187113 */     GIR_Done,
     /*  187114 */   // Label 3627: @187114
     /*  187114 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(187155), // Rule ID 389 //
     /*  187119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187136 */     // MIs[0] rs1
     /*  187136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187148 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  187153 */     GIR_RootConstrainSelectedInstOperands,
     /*  187154 */     // GIR_Coverage, 389,
     /*  187154 */     GIR_Done,
     /*  187155 */   // Label 3628: @187155
     /*  187155 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(187196), // Rule ID 391 //
     /*  187160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187177 */     // MIs[0] rs1
     /*  187177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187189 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187194 */     GIR_RootConstrainSelectedInstOperands,
     /*  187195 */     // GIR_Coverage, 391,
     /*  187195 */     GIR_Done,
     /*  187196 */   // Label 3629: @187196
     /*  187196 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(187237), // Rule ID 393 //
     /*  187201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187218 */     // MIs[0] rs1
     /*  187218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187230 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187235 */     GIR_RootConstrainSelectedInstOperands,
     /*  187236 */     // GIR_Coverage, 393,
     /*  187236 */     GIR_Done,
     /*  187237 */   // Label 3630: @187237
     /*  187237 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(187278), // Rule ID 395 //
     /*  187242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187259 */     // MIs[0] rs1
     /*  187259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187271 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187276 */     GIR_RootConstrainSelectedInstOperands,
     /*  187277 */     // GIR_Coverage, 395,
     /*  187277 */     GIR_Done,
     /*  187278 */   // Label 3631: @187278
     /*  187278 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(187319), // Rule ID 397 //
     /*  187283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187300 */     // MIs[0] rs1
     /*  187300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187312 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187317 */     GIR_RootConstrainSelectedInstOperands,
     /*  187318 */     // GIR_Coverage, 397,
     /*  187318 */     GIR_Done,
     /*  187319 */   // Label 3632: @187319
     /*  187319 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(187360), // Rule ID 399 //
     /*  187324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187341 */     // MIs[0] rs1
     /*  187341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187353 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187358 */     GIR_RootConstrainSelectedInstOperands,
     /*  187359 */     // GIR_Coverage, 399,
     /*  187359 */     GIR_Done,
     /*  187360 */   // Label 3633: @187360
     /*  187360 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(187401), // Rule ID 541 //
     /*  187365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187382 */     // MIs[0] rs1
     /*  187382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187394 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187399 */     GIR_RootConstrainSelectedInstOperands,
     /*  187400 */     // GIR_Coverage, 541,
     /*  187400 */     GIR_Done,
     /*  187401 */   // Label 3634: @187401
     /*  187401 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(187442), // Rule ID 542 //
     /*  187406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187423 */     // MIs[0] rs1
     /*  187423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187435 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  187440 */     GIR_RootConstrainSelectedInstOperands,
     /*  187441 */     // GIR_Coverage, 542,
     /*  187441 */     GIR_Done,
     /*  187442 */   // Label 3635: @187442
     /*  187442 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(187483), // Rule ID 543 //
     /*  187447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187464 */     // MIs[0] rs1
     /*  187464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187476 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  187481 */     GIR_RootConstrainSelectedInstOperands,
     /*  187482 */     // GIR_Coverage, 543,
     /*  187482 */     GIR_Done,
     /*  187483 */   // Label 3636: @187483
     /*  187483 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(187524), // Rule ID 544 //
     /*  187488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187505 */     // MIs[0] rs1
     /*  187505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187517 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187522 */     GIR_RootConstrainSelectedInstOperands,
     /*  187523 */     // GIR_Coverage, 544,
     /*  187523 */     GIR_Done,
     /*  187524 */   // Label 3637: @187524
     /*  187524 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(187565), // Rule ID 545 //
     /*  187529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187546 */     // MIs[0] rs1
     /*  187546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187558 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187563 */     GIR_RootConstrainSelectedInstOperands,
     /*  187564 */     // GIR_Coverage, 545,
     /*  187564 */     GIR_Done,
     /*  187565 */   // Label 3638: @187565
     /*  187565 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(187606), // Rule ID 546 //
     /*  187570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187587 */     // MIs[0] rs1
     /*  187587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187599 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187604 */     GIR_RootConstrainSelectedInstOperands,
     /*  187605 */     // GIR_Coverage, 546,
     /*  187605 */     GIR_Done,
     /*  187606 */   // Label 3639: @187606
     /*  187606 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(187647), // Rule ID 547 //
     /*  187611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187628 */     // MIs[0] rs1
     /*  187628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187640 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187645 */     GIR_RootConstrainSelectedInstOperands,
     /*  187646 */     // GIR_Coverage, 547,
     /*  187646 */     GIR_Done,
     /*  187647 */   // Label 3640: @187647
     /*  187647 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(187688), // Rule ID 548 //
     /*  187652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187669 */     // MIs[0] rs1
     /*  187669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187681 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187686 */     GIR_RootConstrainSelectedInstOperands,
     /*  187687 */     // GIR_Coverage, 548,
     /*  187687 */     GIR_Done,
     /*  187688 */   // Label 3641: @187688
     /*  187688 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(187729), // Rule ID 549 //
     /*  187693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187710 */     // MIs[0] rs1
     /*  187710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187722 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187727 */     GIR_RootConstrainSelectedInstOperands,
     /*  187728 */     // GIR_Coverage, 549,
     /*  187728 */     GIR_Done,
     /*  187729 */   // Label 3642: @187729
     /*  187729 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(187770), // Rule ID 550 //
     /*  187734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187751 */     // MIs[0] rs1
     /*  187751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187763 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187768 */     GIR_RootConstrainSelectedInstOperands,
     /*  187769 */     // GIR_Coverage, 550,
     /*  187769 */     GIR_Done,
     /*  187770 */   // Label 3643: @187770
     /*  187770 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(187811), // Rule ID 729 //
     /*  187775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187792 */     // MIs[0] rs1
     /*  187792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187804 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187809 */     GIR_RootConstrainSelectedInstOperands,
     /*  187810 */     // GIR_Coverage, 729,
     /*  187810 */     GIR_Done,
     /*  187811 */   // Label 3644: @187811
     /*  187811 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(187852), // Rule ID 731 //
     /*  187816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187833 */     // MIs[0] rs1
     /*  187833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187845 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  187850 */     GIR_RootConstrainSelectedInstOperands,
     /*  187851 */     // GIR_Coverage, 731,
     /*  187851 */     GIR_Done,
     /*  187852 */   // Label 3645: @187852
     /*  187852 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(187893), // Rule ID 733 //
     /*  187857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187874 */     // MIs[0] rs1
     /*  187874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187886 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  187891 */     GIR_RootConstrainSelectedInstOperands,
     /*  187892 */     // GIR_Coverage, 733,
     /*  187892 */     GIR_Done,
     /*  187893 */   // Label 3646: @187893
     /*  187893 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(187934), // Rule ID 735 //
     /*  187898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187915 */     // MIs[0] rs1
     /*  187915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187927 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187932 */     GIR_RootConstrainSelectedInstOperands,
     /*  187933 */     // GIR_Coverage, 735,
     /*  187933 */     GIR_Done,
     /*  187934 */   // Label 3647: @187934
     /*  187934 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(187975), // Rule ID 737 //
     /*  187939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187956 */     // MIs[0] rs1
     /*  187956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187968 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187973 */     GIR_RootConstrainSelectedInstOperands,
     /*  187974 */     // GIR_Coverage, 737,
     /*  187974 */     GIR_Done,
     /*  187975 */   // Label 3648: @187975
     /*  187975 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(188016), // Rule ID 739 //
     /*  187980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187997 */     // MIs[0] rs1
     /*  187997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188009 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188014 */     GIR_RootConstrainSelectedInstOperands,
     /*  188015 */     // GIR_Coverage, 739,
     /*  188015 */     GIR_Done,
     /*  188016 */   // Label 3649: @188016
     /*  188016 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(188057), // Rule ID 741 //
     /*  188021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188038 */     // MIs[0] rs1
     /*  188038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188050 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188055 */     GIR_RootConstrainSelectedInstOperands,
     /*  188056 */     // GIR_Coverage, 741,
     /*  188056 */     GIR_Done,
     /*  188057 */   // Label 3650: @188057
     /*  188057 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(188098), // Rule ID 743 //
     /*  188062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188079 */     // MIs[0] rs1
     /*  188079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188091 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188096 */     GIR_RootConstrainSelectedInstOperands,
     /*  188097 */     // GIR_Coverage, 743,
     /*  188097 */     GIR_Done,
     /*  188098 */   // Label 3651: @188098
     /*  188098 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(188139), // Rule ID 745 //
     /*  188103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188120 */     // MIs[0] rs1
     /*  188120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188132 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188137 */     GIR_RootConstrainSelectedInstOperands,
     /*  188138 */     // GIR_Coverage, 745,
     /*  188138 */     GIR_Done,
     /*  188139 */   // Label 3652: @188139
     /*  188139 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(188180), // Rule ID 747 //
     /*  188144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188161 */     // MIs[0] rs1
     /*  188161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188173 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188178 */     GIR_RootConstrainSelectedInstOperands,
     /*  188179 */     // GIR_Coverage, 747,
     /*  188179 */     GIR_Done,
     /*  188180 */   // Label 3653: @188180
     /*  188180 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(188221), // Rule ID 909 //
     /*  188185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188202 */     // MIs[0] rs1
     /*  188202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188214 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188219 */     GIR_RootConstrainSelectedInstOperands,
     /*  188220 */     // GIR_Coverage, 909,
     /*  188220 */     GIR_Done,
     /*  188221 */   // Label 3654: @188221
     /*  188221 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(188262), // Rule ID 911 //
     /*  188226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188243 */     // MIs[0] rs1
     /*  188243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188255 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  188260 */     GIR_RootConstrainSelectedInstOperands,
     /*  188261 */     // GIR_Coverage, 911,
     /*  188261 */     GIR_Done,
     /*  188262 */   // Label 3655: @188262
     /*  188262 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(188303), // Rule ID 913 //
     /*  188267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188284 */     // MIs[0] rs1
     /*  188284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188296 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  188301 */     GIR_RootConstrainSelectedInstOperands,
     /*  188302 */     // GIR_Coverage, 913,
     /*  188302 */     GIR_Done,
     /*  188303 */   // Label 3656: @188303
     /*  188303 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(188344), // Rule ID 915 //
     /*  188308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188325 */     // MIs[0] rs1
     /*  188325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188337 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  188342 */     GIR_RootConstrainSelectedInstOperands,
     /*  188343 */     // GIR_Coverage, 915,
     /*  188343 */     GIR_Done,
     /*  188344 */   // Label 3657: @188344
     /*  188344 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(188385), // Rule ID 917 //
     /*  188349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188366 */     // MIs[0] rs1
     /*  188366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188378 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  188383 */     GIR_RootConstrainSelectedInstOperands,
     /*  188384 */     // GIR_Coverage, 917,
     /*  188384 */     GIR_Done,
     /*  188385 */   // Label 3658: @188385
     /*  188385 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(188426), // Rule ID 919 //
     /*  188390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188407 */     // MIs[0] rs1
     /*  188407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188419 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188424 */     GIR_RootConstrainSelectedInstOperands,
     /*  188425 */     // GIR_Coverage, 919,
     /*  188425 */     GIR_Done,
     /*  188426 */   // Label 3659: @188426
     /*  188426 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(188467), // Rule ID 921 //
     /*  188431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188448 */     // MIs[0] rs1
     /*  188448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188460 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188465 */     GIR_RootConstrainSelectedInstOperands,
     /*  188466 */     // GIR_Coverage, 921,
     /*  188466 */     GIR_Done,
     /*  188467 */   // Label 3660: @188467
     /*  188467 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(188508), // Rule ID 923 //
     /*  188472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188489 */     // MIs[0] rs1
     /*  188489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188501 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188506 */     GIR_RootConstrainSelectedInstOperands,
     /*  188507 */     // GIR_Coverage, 923,
     /*  188507 */     GIR_Done,
     /*  188508 */   // Label 3661: @188508
     /*  188508 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(188549), // Rule ID 925 //
     /*  188513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188530 */     // MIs[0] rs1
     /*  188530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188542 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188547 */     GIR_RootConstrainSelectedInstOperands,
     /*  188548 */     // GIR_Coverage, 925,
     /*  188548 */     GIR_Done,
     /*  188549 */   // Label 3662: @188549
     /*  188549 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(188590), // Rule ID 927 //
     /*  188554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188571 */     // MIs[0] rs1
     /*  188571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188583 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188588 */     GIR_RootConstrainSelectedInstOperands,
     /*  188589 */     // GIR_Coverage, 927,
     /*  188589 */     GIR_Done,
     /*  188590 */   // Label 3663: @188590
     /*  188590 */   GIM_Reject,
     /*  188591 */ // Label 3623: @188591
     /*  188591 */ GIM_Reject,
     /*  188592 */ // Label 3591: @188592
     /*  188592 */ GIM_Reject,
     /*  188593 */ // Label 29: @188593
     /*  188593 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3666*/ GIMT_Encode4(189504),
     /*  188604 */ /*GILLT_s32*//*Label 3664*/ GIMT_Encode4(188612),
     /*  188608 */ /*GILLT_s64*//*Label 3665*/ GIMT_Encode4(188894),
     /*  188612 */ // Label 3664: @188612
     /*  188612 */ GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(188893),
     /*  188617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  188620 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188627 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(188680), // Rule ID 612 //
     /*  188632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188642 */     // MIs[0] addr
     /*  188642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188654 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  188654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188662 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188667 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188669 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188678 */     GIR_RootConstrainSelectedInstOperands,
     /*  188679 */     // GIR_Coverage, 612,
     /*  188679 */     GIR_EraseRootFromParent_Done,
     /*  188680 */   // Label 3668: @188680
     /*  188680 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(188733), // Rule ID 614 //
     /*  188685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188688 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188695 */     // MIs[0] addr
     /*  188695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188707 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  188707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188715 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188720 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188722 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188731 */     GIR_RootConstrainSelectedInstOperands,
     /*  188732 */     // GIR_Coverage, 614,
     /*  188732 */     GIR_EraseRootFromParent_Done,
     /*  188733 */   // Label 3669: @188733
     /*  188733 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(188786), // Rule ID 616 //
     /*  188738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188741 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188748 */     // MIs[0] addr
     /*  188748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188760 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  188760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188768 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188773 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188775 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188784 */     GIR_RootConstrainSelectedInstOperands,
     /*  188785 */     // GIR_Coverage, 616,
     /*  188785 */     GIR_EraseRootFromParent_Done,
     /*  188786 */   // Label 3670: @188786
     /*  188786 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(188839), // Rule ID 618 //
     /*  188791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188801 */     // MIs[0] addr
     /*  188801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188813 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  188813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188821 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188826 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188828 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188837 */     GIR_RootConstrainSelectedInstOperands,
     /*  188838 */     // GIR_Coverage, 618,
     /*  188838 */     GIR_EraseRootFromParent_Done,
     /*  188839 */   // Label 3671: @188839
     /*  188839 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(188892), // Rule ID 620 //
     /*  188844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188854 */     // MIs[0] addr
     /*  188854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188866 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  188866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188874 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188879 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188881 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  188886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188890 */     GIR_RootConstrainSelectedInstOperands,
     /*  188891 */     // GIR_Coverage, 620,
     /*  188891 */     GIR_EraseRootFromParent_Done,
     /*  188892 */   // Label 3672: @188892
     /*  188892 */   GIM_Reject,
     /*  188893 */ // Label 3667: @188893
     /*  188893 */ GIM_Reject,
     /*  188894 */ // Label 3665: @188894
     /*  188894 */ GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(189503),
     /*  188899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  188902 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(188962), // Rule ID 611 //
     /*  188907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188924 */     // MIs[0] addr
     /*  188924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188936 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  188936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188944 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188949 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188951 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188960 */     GIR_RootConstrainSelectedInstOperands,
     /*  188961 */     // GIR_Coverage, 611,
     /*  188961 */     GIR_EraseRootFromParent_Done,
     /*  188962 */   // Label 3674: @188962
     /*  188962 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(189022), // Rule ID 613 //
     /*  188967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188984 */     // MIs[0] addr
     /*  188984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188996 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  188996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189004 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189009 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189011 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189020 */     GIR_RootConstrainSelectedInstOperands,
     /*  189021 */     // GIR_Coverage, 613,
     /*  189021 */     GIR_EraseRootFromParent_Done,
     /*  189022 */   // Label 3675: @189022
     /*  189022 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(189082), // Rule ID 615 //
     /*  189027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189044 */     // MIs[0] addr
     /*  189044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189056 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  189056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189064 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189069 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189071 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189080 */     GIR_RootConstrainSelectedInstOperands,
     /*  189081 */     // GIR_Coverage, 615,
     /*  189081 */     GIR_EraseRootFromParent_Done,
     /*  189082 */   // Label 3676: @189082
     /*  189082 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(189142), // Rule ID 617 //
     /*  189087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189104 */     // MIs[0] addr
     /*  189104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189116 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  189116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189124 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189129 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189131 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189140 */     GIR_RootConstrainSelectedInstOperands,
     /*  189141 */     // GIR_Coverage, 617,
     /*  189141 */     GIR_EraseRootFromParent_Done,
     /*  189142 */   // Label 3677: @189142
     /*  189142 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(189202), // Rule ID 619 //
     /*  189147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189164 */     // MIs[0] addr
     /*  189164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189176 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  189176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189184 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189189 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189191 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189200 */     GIR_RootConstrainSelectedInstOperands,
     /*  189201 */     // GIR_Coverage, 619,
     /*  189201 */     GIR_EraseRootFromParent_Done,
     /*  189202 */   // Label 3678: @189202
     /*  189202 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(189262), // Rule ID 629 //
     /*  189207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189224 */     // MIs[0] addr
     /*  189224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189236 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  189236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189244 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189249 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189251 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  189256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189260 */     GIR_RootConstrainSelectedInstOperands,
     /*  189261 */     // GIR_Coverage, 629,
     /*  189261 */     GIR_EraseRootFromParent_Done,
     /*  189262 */   // Label 3679: @189262
     /*  189262 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(189322), // Rule ID 630 //
     /*  189267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189284 */     // MIs[0] addr
     /*  189284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189296 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  189296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189304 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189309 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189311 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189320 */     GIR_RootConstrainSelectedInstOperands,
     /*  189321 */     // GIR_Coverage, 630,
     /*  189321 */     GIR_EraseRootFromParent_Done,
     /*  189322 */   // Label 3680: @189322
     /*  189322 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(189382), // Rule ID 631 //
     /*  189327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189344 */     // MIs[0] addr
     /*  189344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189356 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  189356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189364 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189369 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189371 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189380 */     GIR_RootConstrainSelectedInstOperands,
     /*  189381 */     // GIR_Coverage, 631,
     /*  189381 */     GIR_EraseRootFromParent_Done,
     /*  189382 */   // Label 3681: @189382
     /*  189382 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(189442), // Rule ID 632 //
     /*  189387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189404 */     // MIs[0] addr
     /*  189404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189416 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  189416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189424 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189429 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189431 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189440 */     GIR_RootConstrainSelectedInstOperands,
     /*  189441 */     // GIR_Coverage, 632,
     /*  189441 */     GIR_EraseRootFromParent_Done,
     /*  189442 */   // Label 3682: @189442
     /*  189442 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(189502), // Rule ID 633 //
     /*  189447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189464 */     // MIs[0] addr
     /*  189464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189476 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  189476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189484 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189489 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189491 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189500 */     GIR_RootConstrainSelectedInstOperands,
     /*  189501 */     // GIR_Coverage, 633,
     /*  189501 */     GIR_EraseRootFromParent_Done,
     /*  189502 */   // Label 3683: @189502
     /*  189502 */   GIM_Reject,
     /*  189503 */ // Label 3673: @189503
     /*  189503 */ GIM_Reject,
     /*  189504 */ // Label 3666: @189504
     /*  189504 */ GIM_Reject,
     /*  189505 */ // Label 30: @189505
     /*  189505 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3686*/ GIMT_Encode4(192414),
     /*  189516 */ /*GILLT_s32*//*Label 3684*/ GIMT_Encode4(189524),
     /*  189520 */ /*GILLT_s64*//*Label 3685*/ GIMT_Encode4(190764),
     /*  189524 */ // Label 3684: @189524
     /*  189524 */ GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(190763),
     /*  189529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  189532 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(189573), // Rule ID 402 //
     /*  189537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189554 */     // MIs[0] rs1
     /*  189554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189566 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189571 */     GIR_RootConstrainSelectedInstOperands,
     /*  189572 */     // GIR_Coverage, 402,
     /*  189572 */     GIR_Done,
     /*  189573 */   // Label 3688: @189573
     /*  189573 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(189614), // Rule ID 404 //
     /*  189578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189595 */     // MIs[0] rs1
     /*  189595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189607 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  189612 */     GIR_RootConstrainSelectedInstOperands,
     /*  189613 */     // GIR_Coverage, 404,
     /*  189613 */     GIR_Done,
     /*  189614 */   // Label 3689: @189614
     /*  189614 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(189655), // Rule ID 406 //
     /*  189619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189636 */     // MIs[0] rs1
     /*  189636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189648 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  189653 */     GIR_RootConstrainSelectedInstOperands,
     /*  189654 */     // GIR_Coverage, 406,
     /*  189654 */     GIR_Done,
     /*  189655 */   // Label 3690: @189655
     /*  189655 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(189696), // Rule ID 408 //
     /*  189660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189677 */     // MIs[0] rs1
     /*  189677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189689 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189694 */     GIR_RootConstrainSelectedInstOperands,
     /*  189695 */     // GIR_Coverage, 408,
     /*  189695 */     GIR_Done,
     /*  189696 */   // Label 3691: @189696
     /*  189696 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(189737), // Rule ID 410 //
     /*  189701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189718 */     // MIs[0] rs1
     /*  189718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189730 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189735 */     GIR_RootConstrainSelectedInstOperands,
     /*  189736 */     // GIR_Coverage, 410,
     /*  189736 */     GIR_Done,
     /*  189737 */   // Label 3692: @189737
     /*  189737 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(189778), // Rule ID 412 //
     /*  189742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189759 */     // MIs[0] rs1
     /*  189759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189771 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189776 */     GIR_RootConstrainSelectedInstOperands,
     /*  189777 */     // GIR_Coverage, 412,
     /*  189777 */     GIR_Done,
     /*  189778 */   // Label 3693: @189778
     /*  189778 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(189819), // Rule ID 414 //
     /*  189783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189800 */     // MIs[0] rs1
     /*  189800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189812 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189817 */     GIR_RootConstrainSelectedInstOperands,
     /*  189818 */     // GIR_Coverage, 414,
     /*  189818 */     GIR_Done,
     /*  189819 */   // Label 3694: @189819
     /*  189819 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(189860), // Rule ID 416 //
     /*  189824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189841 */     // MIs[0] rs1
     /*  189841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189853 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189858 */     GIR_RootConstrainSelectedInstOperands,
     /*  189859 */     // GIR_Coverage, 416,
     /*  189859 */     GIR_Done,
     /*  189860 */   // Label 3695: @189860
     /*  189860 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(189901), // Rule ID 418 //
     /*  189865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189882 */     // MIs[0] rs1
     /*  189882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189894 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189899 */     GIR_RootConstrainSelectedInstOperands,
     /*  189900 */     // GIR_Coverage, 418,
     /*  189900 */     GIR_Done,
     /*  189901 */   // Label 3696: @189901
     /*  189901 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(189942), // Rule ID 420 //
     /*  189906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189923 */     // MIs[0] rs1
     /*  189923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189935 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189940 */     GIR_RootConstrainSelectedInstOperands,
     /*  189941 */     // GIR_Coverage, 420,
     /*  189941 */     GIR_Done,
     /*  189942 */   // Label 3697: @189942
     /*  189942 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(189983), // Rule ID 750 //
     /*  189947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189964 */     // MIs[0] rs1
     /*  189964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189976 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189981 */     GIR_RootConstrainSelectedInstOperands,
     /*  189982 */     // GIR_Coverage, 750,
     /*  189982 */     GIR_Done,
     /*  189983 */   // Label 3698: @189983
     /*  189983 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(190024), // Rule ID 752 //
     /*  189988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190005 */     // MIs[0] rs1
     /*  190005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190017 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  190022 */     GIR_RootConstrainSelectedInstOperands,
     /*  190023 */     // GIR_Coverage, 752,
     /*  190023 */     GIR_Done,
     /*  190024 */   // Label 3699: @190024
     /*  190024 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(190065), // Rule ID 754 //
     /*  190029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190046 */     // MIs[0] rs1
     /*  190046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190058 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  190063 */     GIR_RootConstrainSelectedInstOperands,
     /*  190064 */     // GIR_Coverage, 754,
     /*  190064 */     GIR_Done,
     /*  190065 */   // Label 3700: @190065
     /*  190065 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(190106), // Rule ID 756 //
     /*  190070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190087 */     // MIs[0] rs1
     /*  190087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190099 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190104 */     GIR_RootConstrainSelectedInstOperands,
     /*  190105 */     // GIR_Coverage, 756,
     /*  190105 */     GIR_Done,
     /*  190106 */   // Label 3701: @190106
     /*  190106 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(190147), // Rule ID 758 //
     /*  190111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190128 */     // MIs[0] rs1
     /*  190128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190140 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190145 */     GIR_RootConstrainSelectedInstOperands,
     /*  190146 */     // GIR_Coverage, 758,
     /*  190146 */     GIR_Done,
     /*  190147 */   // Label 3702: @190147
     /*  190147 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(190188), // Rule ID 760 //
     /*  190152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190169 */     // MIs[0] rs1
     /*  190169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190181 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190186 */     GIR_RootConstrainSelectedInstOperands,
     /*  190187 */     // GIR_Coverage, 760,
     /*  190187 */     GIR_Done,
     /*  190188 */   // Label 3703: @190188
     /*  190188 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(190229), // Rule ID 762 //
     /*  190193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190210 */     // MIs[0] rs1
     /*  190210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190222 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190227 */     GIR_RootConstrainSelectedInstOperands,
     /*  190228 */     // GIR_Coverage, 762,
     /*  190228 */     GIR_Done,
     /*  190229 */   // Label 3704: @190229
     /*  190229 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(190270), // Rule ID 764 //
     /*  190234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190251 */     // MIs[0] rs1
     /*  190251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190263 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190268 */     GIR_RootConstrainSelectedInstOperands,
     /*  190269 */     // GIR_Coverage, 764,
     /*  190269 */     GIR_Done,
     /*  190270 */   // Label 3705: @190270
     /*  190270 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(190311), // Rule ID 766 //
     /*  190275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190292 */     // MIs[0] rs1
     /*  190292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190304 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190309 */     GIR_RootConstrainSelectedInstOperands,
     /*  190310 */     // GIR_Coverage, 766,
     /*  190310 */     GIR_Done,
     /*  190311 */   // Label 3706: @190311
     /*  190311 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(190352), // Rule ID 768 //
     /*  190316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190333 */     // MIs[0] rs1
     /*  190333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190345 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190350 */     GIR_RootConstrainSelectedInstOperands,
     /*  190351 */     // GIR_Coverage, 768,
     /*  190351 */     GIR_Done,
     /*  190352 */   // Label 3707: @190352
     /*  190352 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(190393), // Rule ID 930 //
     /*  190357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190374 */     // MIs[0] rs1
     /*  190374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190386 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190391 */     GIR_RootConstrainSelectedInstOperands,
     /*  190392 */     // GIR_Coverage, 930,
     /*  190392 */     GIR_Done,
     /*  190393 */   // Label 3708: @190393
     /*  190393 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(190434), // Rule ID 932 //
     /*  190398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190415 */     // MIs[0] rs1
     /*  190415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190427 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  190432 */     GIR_RootConstrainSelectedInstOperands,
     /*  190433 */     // GIR_Coverage, 932,
     /*  190433 */     GIR_Done,
     /*  190434 */   // Label 3709: @190434
     /*  190434 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(190475), // Rule ID 934 //
     /*  190439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190456 */     // MIs[0] rs1
     /*  190456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190468 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  190473 */     GIR_RootConstrainSelectedInstOperands,
     /*  190474 */     // GIR_Coverage, 934,
     /*  190474 */     GIR_Done,
     /*  190475 */   // Label 3710: @190475
     /*  190475 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(190516), // Rule ID 936 //
     /*  190480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190497 */     // MIs[0] rs1
     /*  190497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190509 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190514 */     GIR_RootConstrainSelectedInstOperands,
     /*  190515 */     // GIR_Coverage, 936,
     /*  190515 */     GIR_Done,
     /*  190516 */   // Label 3711: @190516
     /*  190516 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(190557), // Rule ID 938 //
     /*  190521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190538 */     // MIs[0] rs1
     /*  190538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190550 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190555 */     GIR_RootConstrainSelectedInstOperands,
     /*  190556 */     // GIR_Coverage, 938,
     /*  190556 */     GIR_Done,
     /*  190557 */   // Label 3712: @190557
     /*  190557 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(190598), // Rule ID 940 //
     /*  190562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190579 */     // MIs[0] rs1
     /*  190579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190591 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190596 */     GIR_RootConstrainSelectedInstOperands,
     /*  190597 */     // GIR_Coverage, 940,
     /*  190597 */     GIR_Done,
     /*  190598 */   // Label 3713: @190598
     /*  190598 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(190639), // Rule ID 942 //
     /*  190603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190620 */     // MIs[0] rs1
     /*  190620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190632 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190637 */     GIR_RootConstrainSelectedInstOperands,
     /*  190638 */     // GIR_Coverage, 942,
     /*  190638 */     GIR_Done,
     /*  190639 */   // Label 3714: @190639
     /*  190639 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(190680), // Rule ID 944 //
     /*  190644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190661 */     // MIs[0] rs1
     /*  190661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190673 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190678 */     GIR_RootConstrainSelectedInstOperands,
     /*  190679 */     // GIR_Coverage, 944,
     /*  190679 */     GIR_Done,
     /*  190680 */   // Label 3715: @190680
     /*  190680 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(190721), // Rule ID 946 //
     /*  190685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190702 */     // MIs[0] rs1
     /*  190702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190714 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190719 */     GIR_RootConstrainSelectedInstOperands,
     /*  190720 */     // GIR_Coverage, 946,
     /*  190720 */     GIR_Done,
     /*  190721 */   // Label 3716: @190721
     /*  190721 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(190762), // Rule ID 948 //
     /*  190726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190743 */     // MIs[0] rs1
     /*  190743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190755 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190760 */     GIR_RootConstrainSelectedInstOperands,
     /*  190761 */     // GIR_Coverage, 948,
     /*  190761 */     GIR_Done,
     /*  190762 */   // Label 3717: @190762
     /*  190762 */   GIM_Reject,
     /*  190763 */ // Label 3687: @190763
     /*  190763 */ GIM_Reject,
     /*  190764 */ // Label 3685: @190764
     /*  190764 */ GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(192413),
     /*  190769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  190772 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(190813), // Rule ID 401 //
     /*  190777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190780 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190787 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190794 */     // MIs[0] rs1
     /*  190794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190806 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190806 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190811 */     GIR_RootConstrainSelectedInstOperands,
     /*  190812 */     // GIR_Coverage, 401,
     /*  190812 */     GIR_Done,
     /*  190813 */   // Label 3719: @190813
     /*  190813 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(190854), // Rule ID 403 //
     /*  190818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190835 */     // MIs[0] rs1
     /*  190835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190847 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  190852 */     GIR_RootConstrainSelectedInstOperands,
     /*  190853 */     // GIR_Coverage, 403,
     /*  190853 */     GIR_Done,
     /*  190854 */   // Label 3720: @190854
     /*  190854 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(190895), // Rule ID 405 //
     /*  190859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190876 */     // MIs[0] rs1
     /*  190876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190888 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  190893 */     GIR_RootConstrainSelectedInstOperands,
     /*  190894 */     // GIR_Coverage, 405,
     /*  190894 */     GIR_Done,
     /*  190895 */   // Label 3721: @190895
     /*  190895 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(190936), // Rule ID 407 //
     /*  190900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190917 */     // MIs[0] rs1
     /*  190917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190929 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190934 */     GIR_RootConstrainSelectedInstOperands,
     /*  190935 */     // GIR_Coverage, 407,
     /*  190935 */     GIR_Done,
     /*  190936 */   // Label 3722: @190936
     /*  190936 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(190977), // Rule ID 409 //
     /*  190941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190958 */     // MIs[0] rs1
     /*  190958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190970 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190975 */     GIR_RootConstrainSelectedInstOperands,
     /*  190976 */     // GIR_Coverage, 409,
     /*  190976 */     GIR_Done,
     /*  190977 */   // Label 3723: @190977
     /*  190977 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(191018), // Rule ID 411 //
     /*  190982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190999 */     // MIs[0] rs1
     /*  190999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191011 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191016 */     GIR_RootConstrainSelectedInstOperands,
     /*  191017 */     // GIR_Coverage, 411,
     /*  191017 */     GIR_Done,
     /*  191018 */   // Label 3724: @191018
     /*  191018 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(191059), // Rule ID 413 //
     /*  191023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191040 */     // MIs[0] rs1
     /*  191040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191052 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191057 */     GIR_RootConstrainSelectedInstOperands,
     /*  191058 */     // GIR_Coverage, 413,
     /*  191058 */     GIR_Done,
     /*  191059 */   // Label 3725: @191059
     /*  191059 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(191100), // Rule ID 415 //
     /*  191064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191081 */     // MIs[0] rs1
     /*  191081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191093 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191098 */     GIR_RootConstrainSelectedInstOperands,
     /*  191099 */     // GIR_Coverage, 415,
     /*  191099 */     GIR_Done,
     /*  191100 */   // Label 3726: @191100
     /*  191100 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(191141), // Rule ID 417 //
     /*  191105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191122 */     // MIs[0] rs1
     /*  191122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191134 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191139 */     GIR_RootConstrainSelectedInstOperands,
     /*  191140 */     // GIR_Coverage, 417,
     /*  191140 */     GIR_Done,
     /*  191141 */   // Label 3727: @191141
     /*  191141 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(191182), // Rule ID 419 //
     /*  191146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191163 */     // MIs[0] rs1
     /*  191163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191175 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191180 */     GIR_RootConstrainSelectedInstOperands,
     /*  191181 */     // GIR_Coverage, 419,
     /*  191181 */     GIR_Done,
     /*  191182 */   // Label 3728: @191182
     /*  191182 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(191223), // Rule ID 551 //
     /*  191187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191204 */     // MIs[0] rs1
     /*  191204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191216 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191221 */     GIR_RootConstrainSelectedInstOperands,
     /*  191222 */     // GIR_Coverage, 551,
     /*  191222 */     GIR_Done,
     /*  191223 */   // Label 3729: @191223
     /*  191223 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(191264), // Rule ID 552 //
     /*  191228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191245 */     // MIs[0] rs1
     /*  191245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191257 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  191262 */     GIR_RootConstrainSelectedInstOperands,
     /*  191263 */     // GIR_Coverage, 552,
     /*  191263 */     GIR_Done,
     /*  191264 */   // Label 3730: @191264
     /*  191264 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(191305), // Rule ID 553 //
     /*  191269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191286 */     // MIs[0] rs1
     /*  191286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191298 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  191303 */     GIR_RootConstrainSelectedInstOperands,
     /*  191304 */     // GIR_Coverage, 553,
     /*  191304 */     GIR_Done,
     /*  191305 */   // Label 3731: @191305
     /*  191305 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(191346), // Rule ID 554 //
     /*  191310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191327 */     // MIs[0] rs1
     /*  191327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191339 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  191344 */     GIR_RootConstrainSelectedInstOperands,
     /*  191345 */     // GIR_Coverage, 554,
     /*  191345 */     GIR_Done,
     /*  191346 */   // Label 3732: @191346
     /*  191346 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(191387), // Rule ID 555 //
     /*  191351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191368 */     // MIs[0] rs1
     /*  191368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191380 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  191385 */     GIR_RootConstrainSelectedInstOperands,
     /*  191386 */     // GIR_Coverage, 555,
     /*  191386 */     GIR_Done,
     /*  191387 */   // Label 3733: @191387
     /*  191387 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(191428), // Rule ID 556 //
     /*  191392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191409 */     // MIs[0] rs1
     /*  191409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191421 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191426 */     GIR_RootConstrainSelectedInstOperands,
     /*  191427 */     // GIR_Coverage, 556,
     /*  191427 */     GIR_Done,
     /*  191428 */   // Label 3734: @191428
     /*  191428 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(191469), // Rule ID 557 //
     /*  191433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191450 */     // MIs[0] rs1
     /*  191450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191462 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191467 */     GIR_RootConstrainSelectedInstOperands,
     /*  191468 */     // GIR_Coverage, 557,
     /*  191468 */     GIR_Done,
     /*  191469 */   // Label 3735: @191469
     /*  191469 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(191510), // Rule ID 558 //
     /*  191474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191491 */     // MIs[0] rs1
     /*  191491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191503 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191508 */     GIR_RootConstrainSelectedInstOperands,
     /*  191509 */     // GIR_Coverage, 558,
     /*  191509 */     GIR_Done,
     /*  191510 */   // Label 3736: @191510
     /*  191510 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(191551), // Rule ID 559 //
     /*  191515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191532 */     // MIs[0] rs1
     /*  191532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191544 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191549 */     GIR_RootConstrainSelectedInstOperands,
     /*  191550 */     // GIR_Coverage, 559,
     /*  191550 */     GIR_Done,
     /*  191551 */   // Label 3737: @191551
     /*  191551 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(191592), // Rule ID 560 //
     /*  191556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191573 */     // MIs[0] rs1
     /*  191573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191585 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191590 */     GIR_RootConstrainSelectedInstOperands,
     /*  191591 */     // GIR_Coverage, 560,
     /*  191591 */     GIR_Done,
     /*  191592 */   // Label 3738: @191592
     /*  191592 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(191633), // Rule ID 749 //
     /*  191597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191614 */     // MIs[0] rs1
     /*  191614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191626 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191631 */     GIR_RootConstrainSelectedInstOperands,
     /*  191632 */     // GIR_Coverage, 749,
     /*  191632 */     GIR_Done,
     /*  191633 */   // Label 3739: @191633
     /*  191633 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(191674), // Rule ID 751 //
     /*  191638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191655 */     // MIs[0] rs1
     /*  191655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191667 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  191672 */     GIR_RootConstrainSelectedInstOperands,
     /*  191673 */     // GIR_Coverage, 751,
     /*  191673 */     GIR_Done,
     /*  191674 */   // Label 3740: @191674
     /*  191674 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(191715), // Rule ID 753 //
     /*  191679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191696 */     // MIs[0] rs1
     /*  191696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191708 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  191713 */     GIR_RootConstrainSelectedInstOperands,
     /*  191714 */     // GIR_Coverage, 753,
     /*  191714 */     GIR_Done,
     /*  191715 */   // Label 3741: @191715
     /*  191715 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(191756), // Rule ID 755 //
     /*  191720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191737 */     // MIs[0] rs1
     /*  191737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191749 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191754 */     GIR_RootConstrainSelectedInstOperands,
     /*  191755 */     // GIR_Coverage, 755,
     /*  191755 */     GIR_Done,
     /*  191756 */   // Label 3742: @191756
     /*  191756 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(191797), // Rule ID 757 //
     /*  191761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191778 */     // MIs[0] rs1
     /*  191778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191790 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191795 */     GIR_RootConstrainSelectedInstOperands,
     /*  191796 */     // GIR_Coverage, 757,
     /*  191796 */     GIR_Done,
     /*  191797 */   // Label 3743: @191797
     /*  191797 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(191838), // Rule ID 759 //
     /*  191802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191819 */     // MIs[0] rs1
     /*  191819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191831 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191836 */     GIR_RootConstrainSelectedInstOperands,
     /*  191837 */     // GIR_Coverage, 759,
     /*  191837 */     GIR_Done,
     /*  191838 */   // Label 3744: @191838
     /*  191838 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(191879), // Rule ID 761 //
     /*  191843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191860 */     // MIs[0] rs1
     /*  191860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191872 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191877 */     GIR_RootConstrainSelectedInstOperands,
     /*  191878 */     // GIR_Coverage, 761,
     /*  191878 */     GIR_Done,
     /*  191879 */   // Label 3745: @191879
     /*  191879 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(191920), // Rule ID 763 //
     /*  191884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191901 */     // MIs[0] rs1
     /*  191901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191913 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191918 */     GIR_RootConstrainSelectedInstOperands,
     /*  191919 */     // GIR_Coverage, 763,
     /*  191919 */     GIR_Done,
     /*  191920 */   // Label 3746: @191920
     /*  191920 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(191961), // Rule ID 765 //
     /*  191925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191942 */     // MIs[0] rs1
     /*  191942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191954 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191959 */     GIR_RootConstrainSelectedInstOperands,
     /*  191960 */     // GIR_Coverage, 765,
     /*  191960 */     GIR_Done,
     /*  191961 */   // Label 3747: @191961
     /*  191961 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(192002), // Rule ID 767 //
     /*  191966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191983 */     // MIs[0] rs1
     /*  191983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191995 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  192000 */     GIR_RootConstrainSelectedInstOperands,
     /*  192001 */     // GIR_Coverage, 767,
     /*  192001 */     GIR_Done,
     /*  192002 */   // Label 3748: @192002
     /*  192002 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(192043), // Rule ID 929 //
     /*  192007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192024 */     // MIs[0] rs1
     /*  192024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192036 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192041 */     GIR_RootConstrainSelectedInstOperands,
     /*  192042 */     // GIR_Coverage, 929,
     /*  192042 */     GIR_Done,
     /*  192043 */   // Label 3749: @192043
     /*  192043 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(192084), // Rule ID 931 //
     /*  192048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192065 */     // MIs[0] rs1
     /*  192065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192077 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  192082 */     GIR_RootConstrainSelectedInstOperands,
     /*  192083 */     // GIR_Coverage, 931,
     /*  192083 */     GIR_Done,
     /*  192084 */   // Label 3750: @192084
     /*  192084 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(192125), // Rule ID 933 //
     /*  192089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192106 */     // MIs[0] rs1
     /*  192106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192118 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  192123 */     GIR_RootConstrainSelectedInstOperands,
     /*  192124 */     // GIR_Coverage, 933,
     /*  192124 */     GIR_Done,
     /*  192125 */   // Label 3751: @192125
     /*  192125 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(192166), // Rule ID 935 //
     /*  192130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192147 */     // MIs[0] rs1
     /*  192147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192159 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  192164 */     GIR_RootConstrainSelectedInstOperands,
     /*  192165 */     // GIR_Coverage, 935,
     /*  192165 */     GIR_Done,
     /*  192166 */   // Label 3752: @192166
     /*  192166 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(192207), // Rule ID 937 //
     /*  192171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192188 */     // MIs[0] rs1
     /*  192188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192200 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  192205 */     GIR_RootConstrainSelectedInstOperands,
     /*  192206 */     // GIR_Coverage, 937,
     /*  192206 */     GIR_Done,
     /*  192207 */   // Label 3753: @192207
     /*  192207 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(192248), // Rule ID 939 //
     /*  192212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192229 */     // MIs[0] rs1
     /*  192229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192241 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192246 */     GIR_RootConstrainSelectedInstOperands,
     /*  192247 */     // GIR_Coverage, 939,
     /*  192247 */     GIR_Done,
     /*  192248 */   // Label 3754: @192248
     /*  192248 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(192289), // Rule ID 941 //
     /*  192253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192270 */     // MIs[0] rs1
     /*  192270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192282 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192287 */     GIR_RootConstrainSelectedInstOperands,
     /*  192288 */     // GIR_Coverage, 941,
     /*  192288 */     GIR_Done,
     /*  192289 */   // Label 3755: @192289
     /*  192289 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(192330), // Rule ID 943 //
     /*  192294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192311 */     // MIs[0] rs1
     /*  192311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192323 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192328 */     GIR_RootConstrainSelectedInstOperands,
     /*  192329 */     // GIR_Coverage, 943,
     /*  192329 */     GIR_Done,
     /*  192330 */   // Label 3756: @192330
     /*  192330 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(192371), // Rule ID 945 //
     /*  192335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192352 */     // MIs[0] rs1
     /*  192352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192364 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192369 */     GIR_RootConstrainSelectedInstOperands,
     /*  192370 */     // GIR_Coverage, 945,
     /*  192370 */     GIR_Done,
     /*  192371 */   // Label 3757: @192371
     /*  192371 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(192412), // Rule ID 947 //
     /*  192376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192393 */     // MIs[0] rs1
     /*  192393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192405 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192410 */     GIR_RootConstrainSelectedInstOperands,
     /*  192411 */     // GIR_Coverage, 947,
     /*  192411 */     GIR_Done,
     /*  192412 */   // Label 3758: @192412
     /*  192412 */   GIM_Reject,
     /*  192413 */ // Label 3718: @192413
     /*  192413 */ GIM_Reject,
     /*  192414 */ // Label 3686: @192414
     /*  192414 */ GIM_Reject,
     /*  192415 */ // Label 31: @192415
     /*  192415 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3761*/ GIMT_Encode4(195324),
     /*  192426 */ /*GILLT_s32*//*Label 3759*/ GIMT_Encode4(192434),
     /*  192430 */ /*GILLT_s64*//*Label 3760*/ GIMT_Encode4(193674),
     /*  192434 */ // Label 3759: @192434
     /*  192434 */ GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(193673),
     /*  192439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  192442 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(192483), // Rule ID 422 //
     /*  192447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192464 */     // MIs[0] rs1
     /*  192464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192476 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192481 */     GIR_RootConstrainSelectedInstOperands,
     /*  192482 */     // GIR_Coverage, 422,
     /*  192482 */     GIR_Done,
     /*  192483 */   // Label 3763: @192483
     /*  192483 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(192524), // Rule ID 424 //
     /*  192488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192505 */     // MIs[0] rs1
     /*  192505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192517 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  192522 */     GIR_RootConstrainSelectedInstOperands,
     /*  192523 */     // GIR_Coverage, 424,
     /*  192523 */     GIR_Done,
     /*  192524 */   // Label 3764: @192524
     /*  192524 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(192565), // Rule ID 426 //
     /*  192529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192546 */     // MIs[0] rs1
     /*  192546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192558 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  192563 */     GIR_RootConstrainSelectedInstOperands,
     /*  192564 */     // GIR_Coverage, 426,
     /*  192564 */     GIR_Done,
     /*  192565 */   // Label 3765: @192565
     /*  192565 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(192606), // Rule ID 428 //
     /*  192570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192587 */     // MIs[0] rs1
     /*  192587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192599 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192604 */     GIR_RootConstrainSelectedInstOperands,
     /*  192605 */     // GIR_Coverage, 428,
     /*  192605 */     GIR_Done,
     /*  192606 */   // Label 3766: @192606
     /*  192606 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(192647), // Rule ID 430 //
     /*  192611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192628 */     // MIs[0] rs1
     /*  192628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192640 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192645 */     GIR_RootConstrainSelectedInstOperands,
     /*  192646 */     // GIR_Coverage, 430,
     /*  192646 */     GIR_Done,
     /*  192647 */   // Label 3767: @192647
     /*  192647 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(192688), // Rule ID 432 //
     /*  192652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192669 */     // MIs[0] rs1
     /*  192669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192681 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192686 */     GIR_RootConstrainSelectedInstOperands,
     /*  192687 */     // GIR_Coverage, 432,
     /*  192687 */     GIR_Done,
     /*  192688 */   // Label 3768: @192688
     /*  192688 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(192729), // Rule ID 434 //
     /*  192693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192710 */     // MIs[0] rs1
     /*  192710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192722 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192727 */     GIR_RootConstrainSelectedInstOperands,
     /*  192728 */     // GIR_Coverage, 434,
     /*  192728 */     GIR_Done,
     /*  192729 */   // Label 3769: @192729
     /*  192729 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(192770), // Rule ID 436 //
     /*  192734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192751 */     // MIs[0] rs1
     /*  192751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192763 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192768 */     GIR_RootConstrainSelectedInstOperands,
     /*  192769 */     // GIR_Coverage, 436,
     /*  192769 */     GIR_Done,
     /*  192770 */   // Label 3770: @192770
     /*  192770 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(192811), // Rule ID 438 //
     /*  192775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192792 */     // MIs[0] rs1
     /*  192792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192804 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192809 */     GIR_RootConstrainSelectedInstOperands,
     /*  192810 */     // GIR_Coverage, 438,
     /*  192810 */     GIR_Done,
     /*  192811 */   // Label 3771: @192811
     /*  192811 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(192852), // Rule ID 440 //
     /*  192816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192833 */     // MIs[0] rs1
     /*  192833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192845 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192850 */     GIR_RootConstrainSelectedInstOperands,
     /*  192851 */     // GIR_Coverage, 440,
     /*  192851 */     GIR_Done,
     /*  192852 */   // Label 3772: @192852
     /*  192852 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(192893), // Rule ID 770 //
     /*  192857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192874 */     // MIs[0] rs1
     /*  192874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192886 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192891 */     GIR_RootConstrainSelectedInstOperands,
     /*  192892 */     // GIR_Coverage, 770,
     /*  192892 */     GIR_Done,
     /*  192893 */   // Label 3773: @192893
     /*  192893 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(192934), // Rule ID 772 //
     /*  192898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192915 */     // MIs[0] rs1
     /*  192915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192927 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  192932 */     GIR_RootConstrainSelectedInstOperands,
     /*  192933 */     // GIR_Coverage, 772,
     /*  192933 */     GIR_Done,
     /*  192934 */   // Label 3774: @192934
     /*  192934 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(192975), // Rule ID 774 //
     /*  192939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192956 */     // MIs[0] rs1
     /*  192956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192968 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  192973 */     GIR_RootConstrainSelectedInstOperands,
     /*  192974 */     // GIR_Coverage, 774,
     /*  192974 */     GIR_Done,
     /*  192975 */   // Label 3775: @192975
     /*  192975 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(193016), // Rule ID 776 //
     /*  192980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192997 */     // MIs[0] rs1
     /*  192997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193009 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193014 */     GIR_RootConstrainSelectedInstOperands,
     /*  193015 */     // GIR_Coverage, 776,
     /*  193015 */     GIR_Done,
     /*  193016 */   // Label 3776: @193016
     /*  193016 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(193057), // Rule ID 778 //
     /*  193021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193038 */     // MIs[0] rs1
     /*  193038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193050 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193055 */     GIR_RootConstrainSelectedInstOperands,
     /*  193056 */     // GIR_Coverage, 778,
     /*  193056 */     GIR_Done,
     /*  193057 */   // Label 3777: @193057
     /*  193057 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(193098), // Rule ID 780 //
     /*  193062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193079 */     // MIs[0] rs1
     /*  193079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193091 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193096 */     GIR_RootConstrainSelectedInstOperands,
     /*  193097 */     // GIR_Coverage, 780,
     /*  193097 */     GIR_Done,
     /*  193098 */   // Label 3778: @193098
     /*  193098 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(193139), // Rule ID 782 //
     /*  193103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193120 */     // MIs[0] rs1
     /*  193120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193132 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193137 */     GIR_RootConstrainSelectedInstOperands,
     /*  193138 */     // GIR_Coverage, 782,
     /*  193138 */     GIR_Done,
     /*  193139 */   // Label 3779: @193139
     /*  193139 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(193180), // Rule ID 784 //
     /*  193144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193161 */     // MIs[0] rs1
     /*  193161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193173 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193178 */     GIR_RootConstrainSelectedInstOperands,
     /*  193179 */     // GIR_Coverage, 784,
     /*  193179 */     GIR_Done,
     /*  193180 */   // Label 3780: @193180
     /*  193180 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(193221), // Rule ID 786 //
     /*  193185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193202 */     // MIs[0] rs1
     /*  193202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193214 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193219 */     GIR_RootConstrainSelectedInstOperands,
     /*  193220 */     // GIR_Coverage, 786,
     /*  193220 */     GIR_Done,
     /*  193221 */   // Label 3781: @193221
     /*  193221 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(193262), // Rule ID 788 //
     /*  193226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193243 */     // MIs[0] rs1
     /*  193243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193255 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193260 */     GIR_RootConstrainSelectedInstOperands,
     /*  193261 */     // GIR_Coverage, 788,
     /*  193261 */     GIR_Done,
     /*  193262 */   // Label 3782: @193262
     /*  193262 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(193303), // Rule ID 950 //
     /*  193267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193284 */     // MIs[0] rs1
     /*  193284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193296 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193301 */     GIR_RootConstrainSelectedInstOperands,
     /*  193302 */     // GIR_Coverage, 950,
     /*  193302 */     GIR_Done,
     /*  193303 */   // Label 3783: @193303
     /*  193303 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(193344), // Rule ID 952 //
     /*  193308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193325 */     // MIs[0] rs1
     /*  193325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193337 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  193342 */     GIR_RootConstrainSelectedInstOperands,
     /*  193343 */     // GIR_Coverage, 952,
     /*  193343 */     GIR_Done,
     /*  193344 */   // Label 3784: @193344
     /*  193344 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(193385), // Rule ID 954 //
     /*  193349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193366 */     // MIs[0] rs1
     /*  193366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193378 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  193383 */     GIR_RootConstrainSelectedInstOperands,
     /*  193384 */     // GIR_Coverage, 954,
     /*  193384 */     GIR_Done,
     /*  193385 */   // Label 3785: @193385
     /*  193385 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(193426), // Rule ID 956 //
     /*  193390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193407 */     // MIs[0] rs1
     /*  193407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193419 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193424 */     GIR_RootConstrainSelectedInstOperands,
     /*  193425 */     // GIR_Coverage, 956,
     /*  193425 */     GIR_Done,
     /*  193426 */   // Label 3786: @193426
     /*  193426 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(193467), // Rule ID 958 //
     /*  193431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193448 */     // MIs[0] rs1
     /*  193448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193460 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193465 */     GIR_RootConstrainSelectedInstOperands,
     /*  193466 */     // GIR_Coverage, 958,
     /*  193466 */     GIR_Done,
     /*  193467 */   // Label 3787: @193467
     /*  193467 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(193508), // Rule ID 960 //
     /*  193472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193489 */     // MIs[0] rs1
     /*  193489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193501 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193506 */     GIR_RootConstrainSelectedInstOperands,
     /*  193507 */     // GIR_Coverage, 960,
     /*  193507 */     GIR_Done,
     /*  193508 */   // Label 3788: @193508
     /*  193508 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(193549), // Rule ID 962 //
     /*  193513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193530 */     // MIs[0] rs1
     /*  193530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193542 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193547 */     GIR_RootConstrainSelectedInstOperands,
     /*  193548 */     // GIR_Coverage, 962,
     /*  193548 */     GIR_Done,
     /*  193549 */   // Label 3789: @193549
     /*  193549 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(193590), // Rule ID 964 //
     /*  193554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193571 */     // MIs[0] rs1
     /*  193571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193583 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193588 */     GIR_RootConstrainSelectedInstOperands,
     /*  193589 */     // GIR_Coverage, 964,
     /*  193589 */     GIR_Done,
     /*  193590 */   // Label 3790: @193590
     /*  193590 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(193631), // Rule ID 966 //
     /*  193595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193612 */     // MIs[0] rs1
     /*  193612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193624 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193629 */     GIR_RootConstrainSelectedInstOperands,
     /*  193630 */     // GIR_Coverage, 966,
     /*  193630 */     GIR_Done,
     /*  193631 */   // Label 3791: @193631
     /*  193631 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(193672), // Rule ID 968 //
     /*  193636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193653 */     // MIs[0] rs1
     /*  193653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193665 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193670 */     GIR_RootConstrainSelectedInstOperands,
     /*  193671 */     // GIR_Coverage, 968,
     /*  193671 */     GIR_Done,
     /*  193672 */   // Label 3792: @193672
     /*  193672 */   GIM_Reject,
     /*  193673 */ // Label 3762: @193673
     /*  193673 */ GIM_Reject,
     /*  193674 */ // Label 3760: @193674
     /*  193674 */ GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(195323),
     /*  193679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193682 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(193723), // Rule ID 421 //
     /*  193687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193704 */     // MIs[0] rs1
     /*  193704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193716 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193721 */     GIR_RootConstrainSelectedInstOperands,
     /*  193722 */     // GIR_Coverage, 421,
     /*  193722 */     GIR_Done,
     /*  193723 */   // Label 3794: @193723
     /*  193723 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(193764), // Rule ID 423 //
     /*  193728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193745 */     // MIs[0] rs1
     /*  193745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193757 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  193762 */     GIR_RootConstrainSelectedInstOperands,
     /*  193763 */     // GIR_Coverage, 423,
     /*  193763 */     GIR_Done,
     /*  193764 */   // Label 3795: @193764
     /*  193764 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(193805), // Rule ID 425 //
     /*  193769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193786 */     // MIs[0] rs1
     /*  193786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193798 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  193803 */     GIR_RootConstrainSelectedInstOperands,
     /*  193804 */     // GIR_Coverage, 425,
     /*  193804 */     GIR_Done,
     /*  193805 */   // Label 3796: @193805
     /*  193805 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(193846), // Rule ID 427 //
     /*  193810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193827 */     // MIs[0] rs1
     /*  193827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193839 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193844 */     GIR_RootConstrainSelectedInstOperands,
     /*  193845 */     // GIR_Coverage, 427,
     /*  193845 */     GIR_Done,
     /*  193846 */   // Label 3797: @193846
     /*  193846 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(193887), // Rule ID 429 //
     /*  193851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193868 */     // MIs[0] rs1
     /*  193868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193880 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193885 */     GIR_RootConstrainSelectedInstOperands,
     /*  193886 */     // GIR_Coverage, 429,
     /*  193886 */     GIR_Done,
     /*  193887 */   // Label 3798: @193887
     /*  193887 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(193928), // Rule ID 431 //
     /*  193892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193909 */     // MIs[0] rs1
     /*  193909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193921 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193926 */     GIR_RootConstrainSelectedInstOperands,
     /*  193927 */     // GIR_Coverage, 431,
     /*  193927 */     GIR_Done,
     /*  193928 */   // Label 3799: @193928
     /*  193928 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(193969), // Rule ID 433 //
     /*  193933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193950 */     // MIs[0] rs1
     /*  193950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193962 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193967 */     GIR_RootConstrainSelectedInstOperands,
     /*  193968 */     // GIR_Coverage, 433,
     /*  193968 */     GIR_Done,
     /*  193969 */   // Label 3800: @193969
     /*  193969 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(194010), // Rule ID 435 //
     /*  193974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193991 */     // MIs[0] rs1
     /*  193991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194003 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194008 */     GIR_RootConstrainSelectedInstOperands,
     /*  194009 */     // GIR_Coverage, 435,
     /*  194009 */     GIR_Done,
     /*  194010 */   // Label 3801: @194010
     /*  194010 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(194051), // Rule ID 437 //
     /*  194015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194032 */     // MIs[0] rs1
     /*  194032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194044 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194049 */     GIR_RootConstrainSelectedInstOperands,
     /*  194050 */     // GIR_Coverage, 437,
     /*  194050 */     GIR_Done,
     /*  194051 */   // Label 3802: @194051
     /*  194051 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(194092), // Rule ID 439 //
     /*  194056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194073 */     // MIs[0] rs1
     /*  194073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194085 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194090 */     GIR_RootConstrainSelectedInstOperands,
     /*  194091 */     // GIR_Coverage, 439,
     /*  194091 */     GIR_Done,
     /*  194092 */   // Label 3803: @194092
     /*  194092 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(194133), // Rule ID 561 //
     /*  194097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194114 */     // MIs[0] rs1
     /*  194114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194126 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194131 */     GIR_RootConstrainSelectedInstOperands,
     /*  194132 */     // GIR_Coverage, 561,
     /*  194132 */     GIR_Done,
     /*  194133 */   // Label 3804: @194133
     /*  194133 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(194174), // Rule ID 562 //
     /*  194138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194155 */     // MIs[0] rs1
     /*  194155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194167 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  194172 */     GIR_RootConstrainSelectedInstOperands,
     /*  194173 */     // GIR_Coverage, 562,
     /*  194173 */     GIR_Done,
     /*  194174 */   // Label 3805: @194174
     /*  194174 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(194215), // Rule ID 563 //
     /*  194179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194196 */     // MIs[0] rs1
     /*  194196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194208 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  194213 */     GIR_RootConstrainSelectedInstOperands,
     /*  194214 */     // GIR_Coverage, 563,
     /*  194214 */     GIR_Done,
     /*  194215 */   // Label 3806: @194215
     /*  194215 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(194256), // Rule ID 564 //
     /*  194220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194237 */     // MIs[0] rs1
     /*  194237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194249 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  194254 */     GIR_RootConstrainSelectedInstOperands,
     /*  194255 */     // GIR_Coverage, 564,
     /*  194255 */     GIR_Done,
     /*  194256 */   // Label 3807: @194256
     /*  194256 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(194297), // Rule ID 565 //
     /*  194261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194278 */     // MIs[0] rs1
     /*  194278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194290 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  194295 */     GIR_RootConstrainSelectedInstOperands,
     /*  194296 */     // GIR_Coverage, 565,
     /*  194296 */     GIR_Done,
     /*  194297 */   // Label 3808: @194297
     /*  194297 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(194338), // Rule ID 566 //
     /*  194302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194319 */     // MIs[0] rs1
     /*  194319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194331 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194336 */     GIR_RootConstrainSelectedInstOperands,
     /*  194337 */     // GIR_Coverage, 566,
     /*  194337 */     GIR_Done,
     /*  194338 */   // Label 3809: @194338
     /*  194338 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(194379), // Rule ID 567 //
     /*  194343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194360 */     // MIs[0] rs1
     /*  194360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194372 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194377 */     GIR_RootConstrainSelectedInstOperands,
     /*  194378 */     // GIR_Coverage, 567,
     /*  194378 */     GIR_Done,
     /*  194379 */   // Label 3810: @194379
     /*  194379 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(194420), // Rule ID 568 //
     /*  194384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194401 */     // MIs[0] rs1
     /*  194401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194413 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194418 */     GIR_RootConstrainSelectedInstOperands,
     /*  194419 */     // GIR_Coverage, 568,
     /*  194419 */     GIR_Done,
     /*  194420 */   // Label 3811: @194420
     /*  194420 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(194461), // Rule ID 569 //
     /*  194425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194442 */     // MIs[0] rs1
     /*  194442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194454 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194459 */     GIR_RootConstrainSelectedInstOperands,
     /*  194460 */     // GIR_Coverage, 569,
     /*  194460 */     GIR_Done,
     /*  194461 */   // Label 3812: @194461
     /*  194461 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(194502), // Rule ID 570 //
     /*  194466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194483 */     // MIs[0] rs1
     /*  194483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194495 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194500 */     GIR_RootConstrainSelectedInstOperands,
     /*  194501 */     // GIR_Coverage, 570,
     /*  194501 */     GIR_Done,
     /*  194502 */   // Label 3813: @194502
     /*  194502 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(194543), // Rule ID 769 //
     /*  194507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194524 */     // MIs[0] rs1
     /*  194524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194536 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194541 */     GIR_RootConstrainSelectedInstOperands,
     /*  194542 */     // GIR_Coverage, 769,
     /*  194542 */     GIR_Done,
     /*  194543 */   // Label 3814: @194543
     /*  194543 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(194584), // Rule ID 771 //
     /*  194548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194565 */     // MIs[0] rs1
     /*  194565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194577 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  194582 */     GIR_RootConstrainSelectedInstOperands,
     /*  194583 */     // GIR_Coverage, 771,
     /*  194583 */     GIR_Done,
     /*  194584 */   // Label 3815: @194584
     /*  194584 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(194625), // Rule ID 773 //
     /*  194589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194606 */     // MIs[0] rs1
     /*  194606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194618 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  194623 */     GIR_RootConstrainSelectedInstOperands,
     /*  194624 */     // GIR_Coverage, 773,
     /*  194624 */     GIR_Done,
     /*  194625 */   // Label 3816: @194625
     /*  194625 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(194666), // Rule ID 775 //
     /*  194630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194647 */     // MIs[0] rs1
     /*  194647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194659 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194664 */     GIR_RootConstrainSelectedInstOperands,
     /*  194665 */     // GIR_Coverage, 775,
     /*  194665 */     GIR_Done,
     /*  194666 */   // Label 3817: @194666
     /*  194666 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(194707), // Rule ID 777 //
     /*  194671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194688 */     // MIs[0] rs1
     /*  194688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194700 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194705 */     GIR_RootConstrainSelectedInstOperands,
     /*  194706 */     // GIR_Coverage, 777,
     /*  194706 */     GIR_Done,
     /*  194707 */   // Label 3818: @194707
     /*  194707 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(194748), // Rule ID 779 //
     /*  194712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194729 */     // MIs[0] rs1
     /*  194729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194741 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194746 */     GIR_RootConstrainSelectedInstOperands,
     /*  194747 */     // GIR_Coverage, 779,
     /*  194747 */     GIR_Done,
     /*  194748 */   // Label 3819: @194748
     /*  194748 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(194789), // Rule ID 781 //
     /*  194753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194770 */     // MIs[0] rs1
     /*  194770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194782 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194787 */     GIR_RootConstrainSelectedInstOperands,
     /*  194788 */     // GIR_Coverage, 781,
     /*  194788 */     GIR_Done,
     /*  194789 */   // Label 3820: @194789
     /*  194789 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(194830), // Rule ID 783 //
     /*  194794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194811 */     // MIs[0] rs1
     /*  194811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194823 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194828 */     GIR_RootConstrainSelectedInstOperands,
     /*  194829 */     // GIR_Coverage, 783,
     /*  194829 */     GIR_Done,
     /*  194830 */   // Label 3821: @194830
     /*  194830 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(194871), // Rule ID 785 //
     /*  194835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194852 */     // MIs[0] rs1
     /*  194852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194864 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194869 */     GIR_RootConstrainSelectedInstOperands,
     /*  194870 */     // GIR_Coverage, 785,
     /*  194870 */     GIR_Done,
     /*  194871 */   // Label 3822: @194871
     /*  194871 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(194912), // Rule ID 787 //
     /*  194876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194893 */     // MIs[0] rs1
     /*  194893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194905 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194910 */     GIR_RootConstrainSelectedInstOperands,
     /*  194911 */     // GIR_Coverage, 787,
     /*  194911 */     GIR_Done,
     /*  194912 */   // Label 3823: @194912
     /*  194912 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(194953), // Rule ID 949 //
     /*  194917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194934 */     // MIs[0] rs1
     /*  194934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194946 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194951 */     GIR_RootConstrainSelectedInstOperands,
     /*  194952 */     // GIR_Coverage, 949,
     /*  194952 */     GIR_Done,
     /*  194953 */   // Label 3824: @194953
     /*  194953 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(194994), // Rule ID 951 //
     /*  194958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194975 */     // MIs[0] rs1
     /*  194975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194987 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  194992 */     GIR_RootConstrainSelectedInstOperands,
     /*  194993 */     // GIR_Coverage, 951,
     /*  194993 */     GIR_Done,
     /*  194994 */   // Label 3825: @194994
     /*  194994 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(195035), // Rule ID 953 //
     /*  194999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195016 */     // MIs[0] rs1
     /*  195016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195028 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  195033 */     GIR_RootConstrainSelectedInstOperands,
     /*  195034 */     // GIR_Coverage, 953,
     /*  195034 */     GIR_Done,
     /*  195035 */   // Label 3826: @195035
     /*  195035 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(195076), // Rule ID 955 //
     /*  195040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195057 */     // MIs[0] rs1
     /*  195057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195069 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  195074 */     GIR_RootConstrainSelectedInstOperands,
     /*  195075 */     // GIR_Coverage, 955,
     /*  195075 */     GIR_Done,
     /*  195076 */   // Label 3827: @195076
     /*  195076 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(195117), // Rule ID 957 //
     /*  195081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195098 */     // MIs[0] rs1
     /*  195098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195110 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  195115 */     GIR_RootConstrainSelectedInstOperands,
     /*  195116 */     // GIR_Coverage, 957,
     /*  195116 */     GIR_Done,
     /*  195117 */   // Label 3828: @195117
     /*  195117 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(195158), // Rule ID 959 //
     /*  195122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195139 */     // MIs[0] rs1
     /*  195139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195151 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195156 */     GIR_RootConstrainSelectedInstOperands,
     /*  195157 */     // GIR_Coverage, 959,
     /*  195157 */     GIR_Done,
     /*  195158 */   // Label 3829: @195158
     /*  195158 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(195199), // Rule ID 961 //
     /*  195163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195180 */     // MIs[0] rs1
     /*  195180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195192 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195197 */     GIR_RootConstrainSelectedInstOperands,
     /*  195198 */     // GIR_Coverage, 961,
     /*  195198 */     GIR_Done,
     /*  195199 */   // Label 3830: @195199
     /*  195199 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(195240), // Rule ID 963 //
     /*  195204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195221 */     // MIs[0] rs1
     /*  195221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195233 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195238 */     GIR_RootConstrainSelectedInstOperands,
     /*  195239 */     // GIR_Coverage, 963,
     /*  195239 */     GIR_Done,
     /*  195240 */   // Label 3831: @195240
     /*  195240 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(195281), // Rule ID 965 //
     /*  195245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195262 */     // MIs[0] rs1
     /*  195262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195274 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195279 */     GIR_RootConstrainSelectedInstOperands,
     /*  195280 */     // GIR_Coverage, 965,
     /*  195280 */     GIR_Done,
     /*  195281 */   // Label 3832: @195281
     /*  195281 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(195322), // Rule ID 967 //
     /*  195286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195303 */     // MIs[0] rs1
     /*  195303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195315 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195320 */     GIR_RootConstrainSelectedInstOperands,
     /*  195321 */     // GIR_Coverage, 967,
     /*  195321 */     GIR_Done,
     /*  195322 */   // Label 3833: @195322
     /*  195322 */   GIM_Reject,
     /*  195323 */ // Label 3793: @195323
     /*  195323 */ GIM_Reject,
     /*  195324 */ // Label 3761: @195324
     /*  195324 */ GIM_Reject,
     /*  195325 */ // Label 32: @195325
     /*  195325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3836*/ GIMT_Encode4(198234),
     /*  195336 */ /*GILLT_s32*//*Label 3834*/ GIMT_Encode4(195344),
     /*  195340 */ /*GILLT_s64*//*Label 3835*/ GIMT_Encode4(196584),
     /*  195344 */ // Label 3834: @195344
     /*  195344 */ GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(196583),
     /*  195349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  195352 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(195393), // Rule ID 442 //
     /*  195357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195374 */     // MIs[0] rs1
     /*  195374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195386 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195391 */     GIR_RootConstrainSelectedInstOperands,
     /*  195392 */     // GIR_Coverage, 442,
     /*  195392 */     GIR_Done,
     /*  195393 */   // Label 3838: @195393
     /*  195393 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(195434), // Rule ID 444 //
     /*  195398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195415 */     // MIs[0] rs1
     /*  195415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195427 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  195432 */     GIR_RootConstrainSelectedInstOperands,
     /*  195433 */     // GIR_Coverage, 444,
     /*  195433 */     GIR_Done,
     /*  195434 */   // Label 3839: @195434
     /*  195434 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(195475), // Rule ID 446 //
     /*  195439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195456 */     // MIs[0] rs1
     /*  195456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195468 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  195473 */     GIR_RootConstrainSelectedInstOperands,
     /*  195474 */     // GIR_Coverage, 446,
     /*  195474 */     GIR_Done,
     /*  195475 */   // Label 3840: @195475
     /*  195475 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(195516), // Rule ID 448 //
     /*  195480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195497 */     // MIs[0] rs1
     /*  195497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195509 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195514 */     GIR_RootConstrainSelectedInstOperands,
     /*  195515 */     // GIR_Coverage, 448,
     /*  195515 */     GIR_Done,
     /*  195516 */   // Label 3841: @195516
     /*  195516 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(195557), // Rule ID 450 //
     /*  195521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195538 */     // MIs[0] rs1
     /*  195538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195550 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195555 */     GIR_RootConstrainSelectedInstOperands,
     /*  195556 */     // GIR_Coverage, 450,
     /*  195556 */     GIR_Done,
     /*  195557 */   // Label 3842: @195557
     /*  195557 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(195598), // Rule ID 452 //
     /*  195562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195579 */     // MIs[0] rs1
     /*  195579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195591 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195596 */     GIR_RootConstrainSelectedInstOperands,
     /*  195597 */     // GIR_Coverage, 452,
     /*  195597 */     GIR_Done,
     /*  195598 */   // Label 3843: @195598
     /*  195598 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(195639), // Rule ID 454 //
     /*  195603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195620 */     // MIs[0] rs1
     /*  195620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195632 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195637 */     GIR_RootConstrainSelectedInstOperands,
     /*  195638 */     // GIR_Coverage, 454,
     /*  195638 */     GIR_Done,
     /*  195639 */   // Label 3844: @195639
     /*  195639 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(195680), // Rule ID 456 //
     /*  195644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195661 */     // MIs[0] rs1
     /*  195661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195673 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195678 */     GIR_RootConstrainSelectedInstOperands,
     /*  195679 */     // GIR_Coverage, 456,
     /*  195679 */     GIR_Done,
     /*  195680 */   // Label 3845: @195680
     /*  195680 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(195721), // Rule ID 458 //
     /*  195685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195702 */     // MIs[0] rs1
     /*  195702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195714 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195719 */     GIR_RootConstrainSelectedInstOperands,
     /*  195720 */     // GIR_Coverage, 458,
     /*  195720 */     GIR_Done,
     /*  195721 */   // Label 3846: @195721
     /*  195721 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(195762), // Rule ID 460 //
     /*  195726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195743 */     // MIs[0] rs1
     /*  195743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195755 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195760 */     GIR_RootConstrainSelectedInstOperands,
     /*  195761 */     // GIR_Coverage, 460,
     /*  195761 */     GIR_Done,
     /*  195762 */   // Label 3847: @195762
     /*  195762 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(195803), // Rule ID 790 //
     /*  195767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195784 */     // MIs[0] rs1
     /*  195784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195796 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195801 */     GIR_RootConstrainSelectedInstOperands,
     /*  195802 */     // GIR_Coverage, 790,
     /*  195802 */     GIR_Done,
     /*  195803 */   // Label 3848: @195803
     /*  195803 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(195844), // Rule ID 792 //
     /*  195808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195825 */     // MIs[0] rs1
     /*  195825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195837 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  195842 */     GIR_RootConstrainSelectedInstOperands,
     /*  195843 */     // GIR_Coverage, 792,
     /*  195843 */     GIR_Done,
     /*  195844 */   // Label 3849: @195844
     /*  195844 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(195885), // Rule ID 794 //
     /*  195849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195866 */     // MIs[0] rs1
     /*  195866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195878 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  195883 */     GIR_RootConstrainSelectedInstOperands,
     /*  195884 */     // GIR_Coverage, 794,
     /*  195884 */     GIR_Done,
     /*  195885 */   // Label 3850: @195885
     /*  195885 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(195926), // Rule ID 796 //
     /*  195890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195907 */     // MIs[0] rs1
     /*  195907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195919 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195924 */     GIR_RootConstrainSelectedInstOperands,
     /*  195925 */     // GIR_Coverage, 796,
     /*  195925 */     GIR_Done,
     /*  195926 */   // Label 3851: @195926
     /*  195926 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(195967), // Rule ID 798 //
     /*  195931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195948 */     // MIs[0] rs1
     /*  195948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195960 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195965 */     GIR_RootConstrainSelectedInstOperands,
     /*  195966 */     // GIR_Coverage, 798,
     /*  195966 */     GIR_Done,
     /*  195967 */   // Label 3852: @195967
     /*  195967 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(196008), // Rule ID 800 //
     /*  195972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195989 */     // MIs[0] rs1
     /*  195989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196001 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196006 */     GIR_RootConstrainSelectedInstOperands,
     /*  196007 */     // GIR_Coverage, 800,
     /*  196007 */     GIR_Done,
     /*  196008 */   // Label 3853: @196008
     /*  196008 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(196049), // Rule ID 802 //
     /*  196013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196030 */     // MIs[0] rs1
     /*  196030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196042 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196047 */     GIR_RootConstrainSelectedInstOperands,
     /*  196048 */     // GIR_Coverage, 802,
     /*  196048 */     GIR_Done,
     /*  196049 */   // Label 3854: @196049
     /*  196049 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(196090), // Rule ID 804 //
     /*  196054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196071 */     // MIs[0] rs1
     /*  196071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196083 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196088 */     GIR_RootConstrainSelectedInstOperands,
     /*  196089 */     // GIR_Coverage, 804,
     /*  196089 */     GIR_Done,
     /*  196090 */   // Label 3855: @196090
     /*  196090 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(196131), // Rule ID 806 //
     /*  196095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196112 */     // MIs[0] rs1
     /*  196112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196124 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196129 */     GIR_RootConstrainSelectedInstOperands,
     /*  196130 */     // GIR_Coverage, 806,
     /*  196130 */     GIR_Done,
     /*  196131 */   // Label 3856: @196131
     /*  196131 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(196172), // Rule ID 808 //
     /*  196136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196153 */     // MIs[0] rs1
     /*  196153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196165 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196170 */     GIR_RootConstrainSelectedInstOperands,
     /*  196171 */     // GIR_Coverage, 808,
     /*  196171 */     GIR_Done,
     /*  196172 */   // Label 3857: @196172
     /*  196172 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(196213), // Rule ID 970 //
     /*  196177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196194 */     // MIs[0] rs1
     /*  196194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196206 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196211 */     GIR_RootConstrainSelectedInstOperands,
     /*  196212 */     // GIR_Coverage, 970,
     /*  196212 */     GIR_Done,
     /*  196213 */   // Label 3858: @196213
     /*  196213 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(196254), // Rule ID 972 //
     /*  196218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196235 */     // MIs[0] rs1
     /*  196235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196247 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  196252 */     GIR_RootConstrainSelectedInstOperands,
     /*  196253 */     // GIR_Coverage, 972,
     /*  196253 */     GIR_Done,
     /*  196254 */   // Label 3859: @196254
     /*  196254 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(196295), // Rule ID 974 //
     /*  196259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196276 */     // MIs[0] rs1
     /*  196276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196288 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  196293 */     GIR_RootConstrainSelectedInstOperands,
     /*  196294 */     // GIR_Coverage, 974,
     /*  196294 */     GIR_Done,
     /*  196295 */   // Label 3860: @196295
     /*  196295 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(196336), // Rule ID 976 //
     /*  196300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196317 */     // MIs[0] rs1
     /*  196317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196329 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  196334 */     GIR_RootConstrainSelectedInstOperands,
     /*  196335 */     // GIR_Coverage, 976,
     /*  196335 */     GIR_Done,
     /*  196336 */   // Label 3861: @196336
     /*  196336 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(196377), // Rule ID 978 //
     /*  196341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196358 */     // MIs[0] rs1
     /*  196358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196370 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  196375 */     GIR_RootConstrainSelectedInstOperands,
     /*  196376 */     // GIR_Coverage, 978,
     /*  196376 */     GIR_Done,
     /*  196377 */   // Label 3862: @196377
     /*  196377 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(196418), // Rule ID 980 //
     /*  196382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196399 */     // MIs[0] rs1
     /*  196399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196411 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196416 */     GIR_RootConstrainSelectedInstOperands,
     /*  196417 */     // GIR_Coverage, 980,
     /*  196417 */     GIR_Done,
     /*  196418 */   // Label 3863: @196418
     /*  196418 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(196459), // Rule ID 982 //
     /*  196423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196440 */     // MIs[0] rs1
     /*  196440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196452 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196457 */     GIR_RootConstrainSelectedInstOperands,
     /*  196458 */     // GIR_Coverage, 982,
     /*  196458 */     GIR_Done,
     /*  196459 */   // Label 3864: @196459
     /*  196459 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(196500), // Rule ID 984 //
     /*  196464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196481 */     // MIs[0] rs1
     /*  196481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196493 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196498 */     GIR_RootConstrainSelectedInstOperands,
     /*  196499 */     // GIR_Coverage, 984,
     /*  196499 */     GIR_Done,
     /*  196500 */   // Label 3865: @196500
     /*  196500 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(196541), // Rule ID 986 //
     /*  196505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196522 */     // MIs[0] rs1
     /*  196522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196534 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196539 */     GIR_RootConstrainSelectedInstOperands,
     /*  196540 */     // GIR_Coverage, 986,
     /*  196540 */     GIR_Done,
     /*  196541 */   // Label 3866: @196541
     /*  196541 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(196582), // Rule ID 988 //
     /*  196546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196563 */     // MIs[0] rs1
     /*  196563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196575 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196580 */     GIR_RootConstrainSelectedInstOperands,
     /*  196581 */     // GIR_Coverage, 988,
     /*  196581 */     GIR_Done,
     /*  196582 */   // Label 3867: @196582
     /*  196582 */   GIM_Reject,
     /*  196583 */ // Label 3837: @196583
     /*  196583 */ GIM_Reject,
     /*  196584 */ // Label 3835: @196584
     /*  196584 */ GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(198233),
     /*  196589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  196592 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(196633), // Rule ID 441 //
     /*  196597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196614 */     // MIs[0] rs1
     /*  196614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196626 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196631 */     GIR_RootConstrainSelectedInstOperands,
     /*  196632 */     // GIR_Coverage, 441,
     /*  196632 */     GIR_Done,
     /*  196633 */   // Label 3869: @196633
     /*  196633 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(196674), // Rule ID 443 //
     /*  196638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196655 */     // MIs[0] rs1
     /*  196655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196667 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  196672 */     GIR_RootConstrainSelectedInstOperands,
     /*  196673 */     // GIR_Coverage, 443,
     /*  196673 */     GIR_Done,
     /*  196674 */   // Label 3870: @196674
     /*  196674 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(196715), // Rule ID 445 //
     /*  196679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196696 */     // MIs[0] rs1
     /*  196696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196708 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  196713 */     GIR_RootConstrainSelectedInstOperands,
     /*  196714 */     // GIR_Coverage, 445,
     /*  196714 */     GIR_Done,
     /*  196715 */   // Label 3871: @196715
     /*  196715 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(196756), // Rule ID 447 //
     /*  196720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196737 */     // MIs[0] rs1
     /*  196737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196749 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196754 */     GIR_RootConstrainSelectedInstOperands,
     /*  196755 */     // GIR_Coverage, 447,
     /*  196755 */     GIR_Done,
     /*  196756 */   // Label 3872: @196756
     /*  196756 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(196797), // Rule ID 449 //
     /*  196761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196778 */     // MIs[0] rs1
     /*  196778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196790 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196795 */     GIR_RootConstrainSelectedInstOperands,
     /*  196796 */     // GIR_Coverage, 449,
     /*  196796 */     GIR_Done,
     /*  196797 */   // Label 3873: @196797
     /*  196797 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(196838), // Rule ID 451 //
     /*  196802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196819 */     // MIs[0] rs1
     /*  196819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196831 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196836 */     GIR_RootConstrainSelectedInstOperands,
     /*  196837 */     // GIR_Coverage, 451,
     /*  196837 */     GIR_Done,
     /*  196838 */   // Label 3874: @196838
     /*  196838 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(196879), // Rule ID 453 //
     /*  196843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196860 */     // MIs[0] rs1
     /*  196860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196872 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196877 */     GIR_RootConstrainSelectedInstOperands,
     /*  196878 */     // GIR_Coverage, 453,
     /*  196878 */     GIR_Done,
     /*  196879 */   // Label 3875: @196879
     /*  196879 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(196920), // Rule ID 455 //
     /*  196884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196901 */     // MIs[0] rs1
     /*  196901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196913 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196918 */     GIR_RootConstrainSelectedInstOperands,
     /*  196919 */     // GIR_Coverage, 455,
     /*  196919 */     GIR_Done,
     /*  196920 */   // Label 3876: @196920
     /*  196920 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(196961), // Rule ID 457 //
     /*  196925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196942 */     // MIs[0] rs1
     /*  196942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196954 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196959 */     GIR_RootConstrainSelectedInstOperands,
     /*  196960 */     // GIR_Coverage, 457,
     /*  196960 */     GIR_Done,
     /*  196961 */   // Label 3877: @196961
     /*  196961 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(197002), // Rule ID 459 //
     /*  196966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196983 */     // MIs[0] rs1
     /*  196983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196995 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  197000 */     GIR_RootConstrainSelectedInstOperands,
     /*  197001 */     // GIR_Coverage, 459,
     /*  197001 */     GIR_Done,
     /*  197002 */   // Label 3878: @197002
     /*  197002 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(197043), // Rule ID 571 //
     /*  197007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197024 */     // MIs[0] rs1
     /*  197024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197036 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197041 */     GIR_RootConstrainSelectedInstOperands,
     /*  197042 */     // GIR_Coverage, 571,
     /*  197042 */     GIR_Done,
     /*  197043 */   // Label 3879: @197043
     /*  197043 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(197084), // Rule ID 572 //
     /*  197048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197065 */     // MIs[0] rs1
     /*  197065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197077 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  197082 */     GIR_RootConstrainSelectedInstOperands,
     /*  197083 */     // GIR_Coverage, 572,
     /*  197083 */     GIR_Done,
     /*  197084 */   // Label 3880: @197084
     /*  197084 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(197125), // Rule ID 573 //
     /*  197089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197106 */     // MIs[0] rs1
     /*  197106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197118 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  197123 */     GIR_RootConstrainSelectedInstOperands,
     /*  197124 */     // GIR_Coverage, 573,
     /*  197124 */     GIR_Done,
     /*  197125 */   // Label 3881: @197125
     /*  197125 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(197166), // Rule ID 574 //
     /*  197130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197147 */     // MIs[0] rs1
     /*  197147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197159 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  197164 */     GIR_RootConstrainSelectedInstOperands,
     /*  197165 */     // GIR_Coverage, 574,
     /*  197165 */     GIR_Done,
     /*  197166 */   // Label 3882: @197166
     /*  197166 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(197207), // Rule ID 575 //
     /*  197171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197188 */     // MIs[0] rs1
     /*  197188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197200 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  197205 */     GIR_RootConstrainSelectedInstOperands,
     /*  197206 */     // GIR_Coverage, 575,
     /*  197206 */     GIR_Done,
     /*  197207 */   // Label 3883: @197207
     /*  197207 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(197248), // Rule ID 576 //
     /*  197212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197229 */     // MIs[0] rs1
     /*  197229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197241 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197246 */     GIR_RootConstrainSelectedInstOperands,
     /*  197247 */     // GIR_Coverage, 576,
     /*  197247 */     GIR_Done,
     /*  197248 */   // Label 3884: @197248
     /*  197248 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(197289), // Rule ID 577 //
     /*  197253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197270 */     // MIs[0] rs1
     /*  197270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197282 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197287 */     GIR_RootConstrainSelectedInstOperands,
     /*  197288 */     // GIR_Coverage, 577,
     /*  197288 */     GIR_Done,
     /*  197289 */   // Label 3885: @197289
     /*  197289 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(197330), // Rule ID 578 //
     /*  197294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197311 */     // MIs[0] rs1
     /*  197311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197323 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197328 */     GIR_RootConstrainSelectedInstOperands,
     /*  197329 */     // GIR_Coverage, 578,
     /*  197329 */     GIR_Done,
     /*  197330 */   // Label 3886: @197330
     /*  197330 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(197371), // Rule ID 579 //
     /*  197335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197352 */     // MIs[0] rs1
     /*  197352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197364 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197369 */     GIR_RootConstrainSelectedInstOperands,
     /*  197370 */     // GIR_Coverage, 579,
     /*  197370 */     GIR_Done,
     /*  197371 */   // Label 3887: @197371
     /*  197371 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(197412), // Rule ID 580 //
     /*  197376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197393 */     // MIs[0] rs1
     /*  197393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197405 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197410 */     GIR_RootConstrainSelectedInstOperands,
     /*  197411 */     // GIR_Coverage, 580,
     /*  197411 */     GIR_Done,
     /*  197412 */   // Label 3888: @197412
     /*  197412 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(197453), // Rule ID 789 //
     /*  197417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197434 */     // MIs[0] rs1
     /*  197434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197446 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197451 */     GIR_RootConstrainSelectedInstOperands,
     /*  197452 */     // GIR_Coverage, 789,
     /*  197452 */     GIR_Done,
     /*  197453 */   // Label 3889: @197453
     /*  197453 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(197494), // Rule ID 791 //
     /*  197458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197475 */     // MIs[0] rs1
     /*  197475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197487 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  197492 */     GIR_RootConstrainSelectedInstOperands,
     /*  197493 */     // GIR_Coverage, 791,
     /*  197493 */     GIR_Done,
     /*  197494 */   // Label 3890: @197494
     /*  197494 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(197535), // Rule ID 793 //
     /*  197499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197516 */     // MIs[0] rs1
     /*  197516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197528 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  197533 */     GIR_RootConstrainSelectedInstOperands,
     /*  197534 */     // GIR_Coverage, 793,
     /*  197534 */     GIR_Done,
     /*  197535 */   // Label 3891: @197535
     /*  197535 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(197576), // Rule ID 795 //
     /*  197540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197557 */     // MIs[0] rs1
     /*  197557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197569 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197574 */     GIR_RootConstrainSelectedInstOperands,
     /*  197575 */     // GIR_Coverage, 795,
     /*  197575 */     GIR_Done,
     /*  197576 */   // Label 3892: @197576
     /*  197576 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(197617), // Rule ID 797 //
     /*  197581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197598 */     // MIs[0] rs1
     /*  197598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197610 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197615 */     GIR_RootConstrainSelectedInstOperands,
     /*  197616 */     // GIR_Coverage, 797,
     /*  197616 */     GIR_Done,
     /*  197617 */   // Label 3893: @197617
     /*  197617 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(197658), // Rule ID 799 //
     /*  197622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197639 */     // MIs[0] rs1
     /*  197639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197651 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197656 */     GIR_RootConstrainSelectedInstOperands,
     /*  197657 */     // GIR_Coverage, 799,
     /*  197657 */     GIR_Done,
     /*  197658 */   // Label 3894: @197658
     /*  197658 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(197699), // Rule ID 801 //
     /*  197663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197680 */     // MIs[0] rs1
     /*  197680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197692 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197697 */     GIR_RootConstrainSelectedInstOperands,
     /*  197698 */     // GIR_Coverage, 801,
     /*  197698 */     GIR_Done,
     /*  197699 */   // Label 3895: @197699
     /*  197699 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(197740), // Rule ID 803 //
     /*  197704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197721 */     // MIs[0] rs1
     /*  197721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197733 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197738 */     GIR_RootConstrainSelectedInstOperands,
     /*  197739 */     // GIR_Coverage, 803,
     /*  197739 */     GIR_Done,
     /*  197740 */   // Label 3896: @197740
     /*  197740 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(197781), // Rule ID 805 //
     /*  197745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197762 */     // MIs[0] rs1
     /*  197762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197774 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197779 */     GIR_RootConstrainSelectedInstOperands,
     /*  197780 */     // GIR_Coverage, 805,
     /*  197780 */     GIR_Done,
     /*  197781 */   // Label 3897: @197781
     /*  197781 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(197822), // Rule ID 807 //
     /*  197786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197803 */     // MIs[0] rs1
     /*  197803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197815 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197820 */     GIR_RootConstrainSelectedInstOperands,
     /*  197821 */     // GIR_Coverage, 807,
     /*  197821 */     GIR_Done,
     /*  197822 */   // Label 3898: @197822
     /*  197822 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(197863), // Rule ID 969 //
     /*  197827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197844 */     // MIs[0] rs1
     /*  197844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197856 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197861 */     GIR_RootConstrainSelectedInstOperands,
     /*  197862 */     // GIR_Coverage, 969,
     /*  197862 */     GIR_Done,
     /*  197863 */   // Label 3899: @197863
     /*  197863 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(197904), // Rule ID 971 //
     /*  197868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197885 */     // MIs[0] rs1
     /*  197885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197897 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  197902 */     GIR_RootConstrainSelectedInstOperands,
     /*  197903 */     // GIR_Coverage, 971,
     /*  197903 */     GIR_Done,
     /*  197904 */   // Label 3900: @197904
     /*  197904 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(197945), // Rule ID 973 //
     /*  197909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197926 */     // MIs[0] rs1
     /*  197926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197938 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  197943 */     GIR_RootConstrainSelectedInstOperands,
     /*  197944 */     // GIR_Coverage, 973,
     /*  197944 */     GIR_Done,
     /*  197945 */   // Label 3901: @197945
     /*  197945 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(197986), // Rule ID 975 //
     /*  197950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197967 */     // MIs[0] rs1
     /*  197967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197979 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197984 */     GIR_RootConstrainSelectedInstOperands,
     /*  197985 */     // GIR_Coverage, 975,
     /*  197985 */     GIR_Done,
     /*  197986 */   // Label 3902: @197986
     /*  197986 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(198027), // Rule ID 977 //
     /*  197991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198008 */     // MIs[0] rs1
     /*  198008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198020 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  198025 */     GIR_RootConstrainSelectedInstOperands,
     /*  198026 */     // GIR_Coverage, 977,
     /*  198026 */     GIR_Done,
     /*  198027 */   // Label 3903: @198027
     /*  198027 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(198068), // Rule ID 979 //
     /*  198032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198049 */     // MIs[0] rs1
     /*  198049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198061 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198066 */     GIR_RootConstrainSelectedInstOperands,
     /*  198067 */     // GIR_Coverage, 979,
     /*  198067 */     GIR_Done,
     /*  198068 */   // Label 3904: @198068
     /*  198068 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(198109), // Rule ID 981 //
     /*  198073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198090 */     // MIs[0] rs1
     /*  198090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198102 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198107 */     GIR_RootConstrainSelectedInstOperands,
     /*  198108 */     // GIR_Coverage, 981,
     /*  198108 */     GIR_Done,
     /*  198109 */   // Label 3905: @198109
     /*  198109 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(198150), // Rule ID 983 //
     /*  198114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198131 */     // MIs[0] rs1
     /*  198131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198143 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198148 */     GIR_RootConstrainSelectedInstOperands,
     /*  198149 */     // GIR_Coverage, 983,
     /*  198149 */     GIR_Done,
     /*  198150 */   // Label 3906: @198150
     /*  198150 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(198191), // Rule ID 985 //
     /*  198155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198172 */     // MIs[0] rs1
     /*  198172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198184 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198189 */     GIR_RootConstrainSelectedInstOperands,
     /*  198190 */     // GIR_Coverage, 985,
     /*  198190 */     GIR_Done,
     /*  198191 */   // Label 3907: @198191
     /*  198191 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(198232), // Rule ID 987 //
     /*  198196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198213 */     // MIs[0] rs1
     /*  198213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198225 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198230 */     GIR_RootConstrainSelectedInstOperands,
     /*  198231 */     // GIR_Coverage, 987,
     /*  198231 */     GIR_Done,
     /*  198232 */   // Label 3908: @198232
     /*  198232 */   GIM_Reject,
     /*  198233 */ // Label 3868: @198233
     /*  198233 */ GIM_Reject,
     /*  198234 */ // Label 3836: @198234
     /*  198234 */ GIM_Reject,
     /*  198235 */ // Label 33: @198235
     /*  198235 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3911*/ GIMT_Encode4(201144),
     /*  198246 */ /*GILLT_s32*//*Label 3909*/ GIMT_Encode4(198254),
     /*  198250 */ /*GILLT_s64*//*Label 3910*/ GIMT_Encode4(199494),
     /*  198254 */ // Label 3909: @198254
     /*  198254 */ GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(199493),
     /*  198259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  198262 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(198303), // Rule ID 462 //
     /*  198267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198284 */     // MIs[0] rs1
     /*  198284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198296 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198301 */     GIR_RootConstrainSelectedInstOperands,
     /*  198302 */     // GIR_Coverage, 462,
     /*  198302 */     GIR_Done,
     /*  198303 */   // Label 3913: @198303
     /*  198303 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(198344), // Rule ID 464 //
     /*  198308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198325 */     // MIs[0] rs1
     /*  198325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198337 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  198342 */     GIR_RootConstrainSelectedInstOperands,
     /*  198343 */     // GIR_Coverage, 464,
     /*  198343 */     GIR_Done,
     /*  198344 */   // Label 3914: @198344
     /*  198344 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(198385), // Rule ID 466 //
     /*  198349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198366 */     // MIs[0] rs1
     /*  198366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198378 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  198383 */     GIR_RootConstrainSelectedInstOperands,
     /*  198384 */     // GIR_Coverage, 466,
     /*  198384 */     GIR_Done,
     /*  198385 */   // Label 3915: @198385
     /*  198385 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(198426), // Rule ID 468 //
     /*  198390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198407 */     // MIs[0] rs1
     /*  198407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198419 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198424 */     GIR_RootConstrainSelectedInstOperands,
     /*  198425 */     // GIR_Coverage, 468,
     /*  198425 */     GIR_Done,
     /*  198426 */   // Label 3916: @198426
     /*  198426 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(198467), // Rule ID 470 //
     /*  198431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198448 */     // MIs[0] rs1
     /*  198448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198460 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198465 */     GIR_RootConstrainSelectedInstOperands,
     /*  198466 */     // GIR_Coverage, 470,
     /*  198466 */     GIR_Done,
     /*  198467 */   // Label 3917: @198467
     /*  198467 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(198508), // Rule ID 472 //
     /*  198472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198489 */     // MIs[0] rs1
     /*  198489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198501 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198506 */     GIR_RootConstrainSelectedInstOperands,
     /*  198507 */     // GIR_Coverage, 472,
     /*  198507 */     GIR_Done,
     /*  198508 */   // Label 3918: @198508
     /*  198508 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(198549), // Rule ID 474 //
     /*  198513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198530 */     // MIs[0] rs1
     /*  198530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198542 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198547 */     GIR_RootConstrainSelectedInstOperands,
     /*  198548 */     // GIR_Coverage, 474,
     /*  198548 */     GIR_Done,
     /*  198549 */   // Label 3919: @198549
     /*  198549 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(198590), // Rule ID 476 //
     /*  198554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198571 */     // MIs[0] rs1
     /*  198571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198583 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198588 */     GIR_RootConstrainSelectedInstOperands,
     /*  198589 */     // GIR_Coverage, 476,
     /*  198589 */     GIR_Done,
     /*  198590 */   // Label 3920: @198590
     /*  198590 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(198631), // Rule ID 478 //
     /*  198595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198612 */     // MIs[0] rs1
     /*  198612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198624 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198629 */     GIR_RootConstrainSelectedInstOperands,
     /*  198630 */     // GIR_Coverage, 478,
     /*  198630 */     GIR_Done,
     /*  198631 */   // Label 3921: @198631
     /*  198631 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(198672), // Rule ID 480 //
     /*  198636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198653 */     // MIs[0] rs1
     /*  198653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198665 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198670 */     GIR_RootConstrainSelectedInstOperands,
     /*  198671 */     // GIR_Coverage, 480,
     /*  198671 */     GIR_Done,
     /*  198672 */   // Label 3922: @198672
     /*  198672 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(198713), // Rule ID 810 //
     /*  198677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198694 */     // MIs[0] rs1
     /*  198694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198706 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198711 */     GIR_RootConstrainSelectedInstOperands,
     /*  198712 */     // GIR_Coverage, 810,
     /*  198712 */     GIR_Done,
     /*  198713 */   // Label 3923: @198713
     /*  198713 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(198754), // Rule ID 812 //
     /*  198718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198735 */     // MIs[0] rs1
     /*  198735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198747 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  198752 */     GIR_RootConstrainSelectedInstOperands,
     /*  198753 */     // GIR_Coverage, 812,
     /*  198753 */     GIR_Done,
     /*  198754 */   // Label 3924: @198754
     /*  198754 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(198795), // Rule ID 814 //
     /*  198759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198776 */     // MIs[0] rs1
     /*  198776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198788 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  198793 */     GIR_RootConstrainSelectedInstOperands,
     /*  198794 */     // GIR_Coverage, 814,
     /*  198794 */     GIR_Done,
     /*  198795 */   // Label 3925: @198795
     /*  198795 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(198836), // Rule ID 816 //
     /*  198800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198817 */     // MIs[0] rs1
     /*  198817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198829 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198834 */     GIR_RootConstrainSelectedInstOperands,
     /*  198835 */     // GIR_Coverage, 816,
     /*  198835 */     GIR_Done,
     /*  198836 */   // Label 3926: @198836
     /*  198836 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(198877), // Rule ID 818 //
     /*  198841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198858 */     // MIs[0] rs1
     /*  198858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198870 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198875 */     GIR_RootConstrainSelectedInstOperands,
     /*  198876 */     // GIR_Coverage, 818,
     /*  198876 */     GIR_Done,
     /*  198877 */   // Label 3927: @198877
     /*  198877 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(198918), // Rule ID 820 //
     /*  198882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198899 */     // MIs[0] rs1
     /*  198899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198911 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198916 */     GIR_RootConstrainSelectedInstOperands,
     /*  198917 */     // GIR_Coverage, 820,
     /*  198917 */     GIR_Done,
     /*  198918 */   // Label 3928: @198918
     /*  198918 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(198959), // Rule ID 822 //
     /*  198923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198940 */     // MIs[0] rs1
     /*  198940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198952 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198957 */     GIR_RootConstrainSelectedInstOperands,
     /*  198958 */     // GIR_Coverage, 822,
     /*  198958 */     GIR_Done,
     /*  198959 */   // Label 3929: @198959
     /*  198959 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(199000), // Rule ID 824 //
     /*  198964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198981 */     // MIs[0] rs1
     /*  198981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198993 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198998 */     GIR_RootConstrainSelectedInstOperands,
     /*  198999 */     // GIR_Coverage, 824,
     /*  198999 */     GIR_Done,
     /*  199000 */   // Label 3930: @199000
     /*  199000 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(199041), // Rule ID 826 //
     /*  199005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199022 */     // MIs[0] rs1
     /*  199022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199034 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199039 */     GIR_RootConstrainSelectedInstOperands,
     /*  199040 */     // GIR_Coverage, 826,
     /*  199040 */     GIR_Done,
     /*  199041 */   // Label 3931: @199041
     /*  199041 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(199082), // Rule ID 828 //
     /*  199046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199063 */     // MIs[0] rs1
     /*  199063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199075 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199080 */     GIR_RootConstrainSelectedInstOperands,
     /*  199081 */     // GIR_Coverage, 828,
     /*  199081 */     GIR_Done,
     /*  199082 */   // Label 3932: @199082
     /*  199082 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(199123), // Rule ID 990 //
     /*  199087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199104 */     // MIs[0] rs1
     /*  199104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199116 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199121 */     GIR_RootConstrainSelectedInstOperands,
     /*  199122 */     // GIR_Coverage, 990,
     /*  199122 */     GIR_Done,
     /*  199123 */   // Label 3933: @199123
     /*  199123 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(199164), // Rule ID 992 //
     /*  199128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199145 */     // MIs[0] rs1
     /*  199145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199157 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  199162 */     GIR_RootConstrainSelectedInstOperands,
     /*  199163 */     // GIR_Coverage, 992,
     /*  199163 */     GIR_Done,
     /*  199164 */   // Label 3934: @199164
     /*  199164 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(199205), // Rule ID 994 //
     /*  199169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199186 */     // MIs[0] rs1
     /*  199186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199198 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  199203 */     GIR_RootConstrainSelectedInstOperands,
     /*  199204 */     // GIR_Coverage, 994,
     /*  199204 */     GIR_Done,
     /*  199205 */   // Label 3935: @199205
     /*  199205 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(199246), // Rule ID 996 //
     /*  199210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199227 */     // MIs[0] rs1
     /*  199227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199239 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199244 */     GIR_RootConstrainSelectedInstOperands,
     /*  199245 */     // GIR_Coverage, 996,
     /*  199245 */     GIR_Done,
     /*  199246 */   // Label 3936: @199246
     /*  199246 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(199287), // Rule ID 998 //
     /*  199251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199268 */     // MIs[0] rs1
     /*  199268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199280 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199285 */     GIR_RootConstrainSelectedInstOperands,
     /*  199286 */     // GIR_Coverage, 998,
     /*  199286 */     GIR_Done,
     /*  199287 */   // Label 3937: @199287
     /*  199287 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(199328), // Rule ID 1000 //
     /*  199292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199309 */     // MIs[0] rs1
     /*  199309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199321 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199326 */     GIR_RootConstrainSelectedInstOperands,
     /*  199327 */     // GIR_Coverage, 1000,
     /*  199327 */     GIR_Done,
     /*  199328 */   // Label 3938: @199328
     /*  199328 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(199369), // Rule ID 1002 //
     /*  199333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199350 */     // MIs[0] rs1
     /*  199350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199362 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199367 */     GIR_RootConstrainSelectedInstOperands,
     /*  199368 */     // GIR_Coverage, 1002,
     /*  199368 */     GIR_Done,
     /*  199369 */   // Label 3939: @199369
     /*  199369 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(199410), // Rule ID 1004 //
     /*  199374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199391 */     // MIs[0] rs1
     /*  199391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199403 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199408 */     GIR_RootConstrainSelectedInstOperands,
     /*  199409 */     // GIR_Coverage, 1004,
     /*  199409 */     GIR_Done,
     /*  199410 */   // Label 3940: @199410
     /*  199410 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(199451), // Rule ID 1006 //
     /*  199415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199432 */     // MIs[0] rs1
     /*  199432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199444 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199449 */     GIR_RootConstrainSelectedInstOperands,
     /*  199450 */     // GIR_Coverage, 1006,
     /*  199450 */     GIR_Done,
     /*  199451 */   // Label 3941: @199451
     /*  199451 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(199492), // Rule ID 1008 //
     /*  199456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199473 */     // MIs[0] rs1
     /*  199473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199485 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199490 */     GIR_RootConstrainSelectedInstOperands,
     /*  199491 */     // GIR_Coverage, 1008,
     /*  199491 */     GIR_Done,
     /*  199492 */   // Label 3942: @199492
     /*  199492 */   GIM_Reject,
     /*  199493 */ // Label 3912: @199493
     /*  199493 */ GIM_Reject,
     /*  199494 */ // Label 3910: @199494
     /*  199494 */ GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(201143),
     /*  199499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  199502 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(199543), // Rule ID 461 //
     /*  199507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199524 */     // MIs[0] rs1
     /*  199524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199536 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199541 */     GIR_RootConstrainSelectedInstOperands,
     /*  199542 */     // GIR_Coverage, 461,
     /*  199542 */     GIR_Done,
     /*  199543 */   // Label 3944: @199543
     /*  199543 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(199584), // Rule ID 463 //
     /*  199548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199565 */     // MIs[0] rs1
     /*  199565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199577 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  199582 */     GIR_RootConstrainSelectedInstOperands,
     /*  199583 */     // GIR_Coverage, 463,
     /*  199583 */     GIR_Done,
     /*  199584 */   // Label 3945: @199584
     /*  199584 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(199625), // Rule ID 465 //
     /*  199589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199606 */     // MIs[0] rs1
     /*  199606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199618 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  199623 */     GIR_RootConstrainSelectedInstOperands,
     /*  199624 */     // GIR_Coverage, 465,
     /*  199624 */     GIR_Done,
     /*  199625 */   // Label 3946: @199625
     /*  199625 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(199666), // Rule ID 467 //
     /*  199630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199647 */     // MIs[0] rs1
     /*  199647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199659 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199664 */     GIR_RootConstrainSelectedInstOperands,
     /*  199665 */     // GIR_Coverage, 467,
     /*  199665 */     GIR_Done,
     /*  199666 */   // Label 3947: @199666
     /*  199666 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(199707), // Rule ID 469 //
     /*  199671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199688 */     // MIs[0] rs1
     /*  199688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199700 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199705 */     GIR_RootConstrainSelectedInstOperands,
     /*  199706 */     // GIR_Coverage, 469,
     /*  199706 */     GIR_Done,
     /*  199707 */   // Label 3948: @199707
     /*  199707 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(199748), // Rule ID 471 //
     /*  199712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199729 */     // MIs[0] rs1
     /*  199729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199741 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199746 */     GIR_RootConstrainSelectedInstOperands,
     /*  199747 */     // GIR_Coverage, 471,
     /*  199747 */     GIR_Done,
     /*  199748 */   // Label 3949: @199748
     /*  199748 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(199789), // Rule ID 473 //
     /*  199753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199770 */     // MIs[0] rs1
     /*  199770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199782 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199787 */     GIR_RootConstrainSelectedInstOperands,
     /*  199788 */     // GIR_Coverage, 473,
     /*  199788 */     GIR_Done,
     /*  199789 */   // Label 3950: @199789
     /*  199789 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(199830), // Rule ID 475 //
     /*  199794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199811 */     // MIs[0] rs1
     /*  199811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199823 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199828 */     GIR_RootConstrainSelectedInstOperands,
     /*  199829 */     // GIR_Coverage, 475,
     /*  199829 */     GIR_Done,
     /*  199830 */   // Label 3951: @199830
     /*  199830 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(199871), // Rule ID 477 //
     /*  199835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199852 */     // MIs[0] rs1
     /*  199852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199864 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199869 */     GIR_RootConstrainSelectedInstOperands,
     /*  199870 */     // GIR_Coverage, 477,
     /*  199870 */     GIR_Done,
     /*  199871 */   // Label 3952: @199871
     /*  199871 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(199912), // Rule ID 479 //
     /*  199876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199893 */     // MIs[0] rs1
     /*  199893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199905 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199910 */     GIR_RootConstrainSelectedInstOperands,
     /*  199911 */     // GIR_Coverage, 479,
     /*  199911 */     GIR_Done,
     /*  199912 */   // Label 3953: @199912
     /*  199912 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(199953), // Rule ID 581 //
     /*  199917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199934 */     // MIs[0] rs1
     /*  199934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199946 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199951 */     GIR_RootConstrainSelectedInstOperands,
     /*  199952 */     // GIR_Coverage, 581,
     /*  199952 */     GIR_Done,
     /*  199953 */   // Label 3954: @199953
     /*  199953 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(199994), // Rule ID 582 //
     /*  199958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199975 */     // MIs[0] rs1
     /*  199975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199987 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  199992 */     GIR_RootConstrainSelectedInstOperands,
     /*  199993 */     // GIR_Coverage, 582,
     /*  199993 */     GIR_Done,
     /*  199994 */   // Label 3955: @199994
     /*  199994 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(200035), // Rule ID 583 //
     /*  199999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200016 */     // MIs[0] rs1
     /*  200016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200028 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  200033 */     GIR_RootConstrainSelectedInstOperands,
     /*  200034 */     // GIR_Coverage, 583,
     /*  200034 */     GIR_Done,
     /*  200035 */   // Label 3956: @200035
     /*  200035 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(200076), // Rule ID 584 //
     /*  200040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200057 */     // MIs[0] rs1
     /*  200057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200069 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  200074 */     GIR_RootConstrainSelectedInstOperands,
     /*  200075 */     // GIR_Coverage, 584,
     /*  200075 */     GIR_Done,
     /*  200076 */   // Label 3957: @200076
     /*  200076 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(200117), // Rule ID 585 //
     /*  200081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200098 */     // MIs[0] rs1
     /*  200098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200110 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  200115 */     GIR_RootConstrainSelectedInstOperands,
     /*  200116 */     // GIR_Coverage, 585,
     /*  200116 */     GIR_Done,
     /*  200117 */   // Label 3958: @200117
     /*  200117 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(200158), // Rule ID 586 //
     /*  200122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200139 */     // MIs[0] rs1
     /*  200139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200151 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200156 */     GIR_RootConstrainSelectedInstOperands,
     /*  200157 */     // GIR_Coverage, 586,
     /*  200157 */     GIR_Done,
     /*  200158 */   // Label 3959: @200158
     /*  200158 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(200199), // Rule ID 587 //
     /*  200163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200180 */     // MIs[0] rs1
     /*  200180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200192 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200197 */     GIR_RootConstrainSelectedInstOperands,
     /*  200198 */     // GIR_Coverage, 587,
     /*  200198 */     GIR_Done,
     /*  200199 */   // Label 3960: @200199
     /*  200199 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(200240), // Rule ID 588 //
     /*  200204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200221 */     // MIs[0] rs1
     /*  200221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200233 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200238 */     GIR_RootConstrainSelectedInstOperands,
     /*  200239 */     // GIR_Coverage, 588,
     /*  200239 */     GIR_Done,
     /*  200240 */   // Label 3961: @200240
     /*  200240 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(200281), // Rule ID 589 //
     /*  200245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200262 */     // MIs[0] rs1
     /*  200262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200274 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200279 */     GIR_RootConstrainSelectedInstOperands,
     /*  200280 */     // GIR_Coverage, 589,
     /*  200280 */     GIR_Done,
     /*  200281 */   // Label 3962: @200281
     /*  200281 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(200322), // Rule ID 590 //
     /*  200286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200303 */     // MIs[0] rs1
     /*  200303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200315 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200320 */     GIR_RootConstrainSelectedInstOperands,
     /*  200321 */     // GIR_Coverage, 590,
     /*  200321 */     GIR_Done,
     /*  200322 */   // Label 3963: @200322
     /*  200322 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(200363), // Rule ID 809 //
     /*  200327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200344 */     // MIs[0] rs1
     /*  200344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200356 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200361 */     GIR_RootConstrainSelectedInstOperands,
     /*  200362 */     // GIR_Coverage, 809,
     /*  200362 */     GIR_Done,
     /*  200363 */   // Label 3964: @200363
     /*  200363 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(200404), // Rule ID 811 //
     /*  200368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200385 */     // MIs[0] rs1
     /*  200385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200397 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  200402 */     GIR_RootConstrainSelectedInstOperands,
     /*  200403 */     // GIR_Coverage, 811,
     /*  200403 */     GIR_Done,
     /*  200404 */   // Label 3965: @200404
     /*  200404 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(200445), // Rule ID 813 //
     /*  200409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200426 */     // MIs[0] rs1
     /*  200426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200438 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  200443 */     GIR_RootConstrainSelectedInstOperands,
     /*  200444 */     // GIR_Coverage, 813,
     /*  200444 */     GIR_Done,
     /*  200445 */   // Label 3966: @200445
     /*  200445 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(200486), // Rule ID 815 //
     /*  200450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200467 */     // MIs[0] rs1
     /*  200467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200479 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200484 */     GIR_RootConstrainSelectedInstOperands,
     /*  200485 */     // GIR_Coverage, 815,
     /*  200485 */     GIR_Done,
     /*  200486 */   // Label 3967: @200486
     /*  200486 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(200527), // Rule ID 817 //
     /*  200491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200508 */     // MIs[0] rs1
     /*  200508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200520 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200525 */     GIR_RootConstrainSelectedInstOperands,
     /*  200526 */     // GIR_Coverage, 817,
     /*  200526 */     GIR_Done,
     /*  200527 */   // Label 3968: @200527
     /*  200527 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(200568), // Rule ID 819 //
     /*  200532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200549 */     // MIs[0] rs1
     /*  200549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200561 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200566 */     GIR_RootConstrainSelectedInstOperands,
     /*  200567 */     // GIR_Coverage, 819,
     /*  200567 */     GIR_Done,
     /*  200568 */   // Label 3969: @200568
     /*  200568 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(200609), // Rule ID 821 //
     /*  200573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200590 */     // MIs[0] rs1
     /*  200590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200602 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200607 */     GIR_RootConstrainSelectedInstOperands,
     /*  200608 */     // GIR_Coverage, 821,
     /*  200608 */     GIR_Done,
     /*  200609 */   // Label 3970: @200609
     /*  200609 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(200650), // Rule ID 823 //
     /*  200614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200631 */     // MIs[0] rs1
     /*  200631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200643 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200648 */     GIR_RootConstrainSelectedInstOperands,
     /*  200649 */     // GIR_Coverage, 823,
     /*  200649 */     GIR_Done,
     /*  200650 */   // Label 3971: @200650
     /*  200650 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(200691), // Rule ID 825 //
     /*  200655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200672 */     // MIs[0] rs1
     /*  200672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200684 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200689 */     GIR_RootConstrainSelectedInstOperands,
     /*  200690 */     // GIR_Coverage, 825,
     /*  200690 */     GIR_Done,
     /*  200691 */   // Label 3972: @200691
     /*  200691 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(200732), // Rule ID 827 //
     /*  200696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200713 */     // MIs[0] rs1
     /*  200713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200725 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200730 */     GIR_RootConstrainSelectedInstOperands,
     /*  200731 */     // GIR_Coverage, 827,
     /*  200731 */     GIR_Done,
     /*  200732 */   // Label 3973: @200732
     /*  200732 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(200773), // Rule ID 989 //
     /*  200737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200754 */     // MIs[0] rs1
     /*  200754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200766 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200771 */     GIR_RootConstrainSelectedInstOperands,
     /*  200772 */     // GIR_Coverage, 989,
     /*  200772 */     GIR_Done,
     /*  200773 */   // Label 3974: @200773
     /*  200773 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(200814), // Rule ID 991 //
     /*  200778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200795 */     // MIs[0] rs1
     /*  200795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200807 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  200812 */     GIR_RootConstrainSelectedInstOperands,
     /*  200813 */     // GIR_Coverage, 991,
     /*  200813 */     GIR_Done,
     /*  200814 */   // Label 3975: @200814
     /*  200814 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(200855), // Rule ID 993 //
     /*  200819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200836 */     // MIs[0] rs1
     /*  200836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200848 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  200853 */     GIR_RootConstrainSelectedInstOperands,
     /*  200854 */     // GIR_Coverage, 993,
     /*  200854 */     GIR_Done,
     /*  200855 */   // Label 3976: @200855
     /*  200855 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(200896), // Rule ID 995 //
     /*  200860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200877 */     // MIs[0] rs1
     /*  200877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200889 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200894 */     GIR_RootConstrainSelectedInstOperands,
     /*  200895 */     // GIR_Coverage, 995,
     /*  200895 */     GIR_Done,
     /*  200896 */   // Label 3977: @200896
     /*  200896 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(200937), // Rule ID 997 //
     /*  200901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200918 */     // MIs[0] rs1
     /*  200918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200930 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200935 */     GIR_RootConstrainSelectedInstOperands,
     /*  200936 */     // GIR_Coverage, 997,
     /*  200936 */     GIR_Done,
     /*  200937 */   // Label 3978: @200937
     /*  200937 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(200978), // Rule ID 999 //
     /*  200942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200959 */     // MIs[0] rs1
     /*  200959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200971 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200976 */     GIR_RootConstrainSelectedInstOperands,
     /*  200977 */     // GIR_Coverage, 999,
     /*  200977 */     GIR_Done,
     /*  200978 */   // Label 3979: @200978
     /*  200978 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(201019), // Rule ID 1001 //
     /*  200983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201000 */     // MIs[0] rs1
     /*  201000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201012 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201017 */     GIR_RootConstrainSelectedInstOperands,
     /*  201018 */     // GIR_Coverage, 1001,
     /*  201018 */     GIR_Done,
     /*  201019 */   // Label 3980: @201019
     /*  201019 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(201060), // Rule ID 1003 //
     /*  201024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201041 */     // MIs[0] rs1
     /*  201041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201053 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201058 */     GIR_RootConstrainSelectedInstOperands,
     /*  201059 */     // GIR_Coverage, 1003,
     /*  201059 */     GIR_Done,
     /*  201060 */   // Label 3981: @201060
     /*  201060 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(201101), // Rule ID 1005 //
     /*  201065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201082 */     // MIs[0] rs1
     /*  201082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201094 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201099 */     GIR_RootConstrainSelectedInstOperands,
     /*  201100 */     // GIR_Coverage, 1005,
     /*  201100 */     GIR_Done,
     /*  201101 */   // Label 3982: @201101
     /*  201101 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(201142), // Rule ID 1007 //
     /*  201106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201123 */     // MIs[0] rs1
     /*  201123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201135 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201140 */     GIR_RootConstrainSelectedInstOperands,
     /*  201141 */     // GIR_Coverage, 1007,
     /*  201141 */     GIR_Done,
     /*  201142 */   // Label 3983: @201142
     /*  201142 */   GIM_Reject,
     /*  201143 */ // Label 3943: @201143
     /*  201143 */ GIM_Reject,
     /*  201144 */ // Label 3911: @201144
     /*  201144 */ GIM_Reject,
     /*  201145 */ // Label 34: @201145
     /*  201145 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3986*/ GIMT_Encode4(204054),
     /*  201156 */ /*GILLT_s32*//*Label 3984*/ GIMT_Encode4(201164),
     /*  201160 */ /*GILLT_s64*//*Label 3985*/ GIMT_Encode4(202404),
     /*  201164 */ // Label 3984: @201164
     /*  201164 */ GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(202403),
     /*  201169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201172 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(201213), // Rule ID 482 //
     /*  201177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201194 */     // MIs[0] rs1
     /*  201194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201206 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201211 */     GIR_RootConstrainSelectedInstOperands,
     /*  201212 */     // GIR_Coverage, 482,
     /*  201212 */     GIR_Done,
     /*  201213 */   // Label 3988: @201213
     /*  201213 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(201254), // Rule ID 484 //
     /*  201218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201235 */     // MIs[0] rs1
     /*  201235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201247 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  201252 */     GIR_RootConstrainSelectedInstOperands,
     /*  201253 */     // GIR_Coverage, 484,
     /*  201253 */     GIR_Done,
     /*  201254 */   // Label 3989: @201254
     /*  201254 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(201295), // Rule ID 486 //
     /*  201259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201276 */     // MIs[0] rs1
     /*  201276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201288 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  201293 */     GIR_RootConstrainSelectedInstOperands,
     /*  201294 */     // GIR_Coverage, 486,
     /*  201294 */     GIR_Done,
     /*  201295 */   // Label 3990: @201295
     /*  201295 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(201336), // Rule ID 488 //
     /*  201300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201317 */     // MIs[0] rs1
     /*  201317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201329 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  201334 */     GIR_RootConstrainSelectedInstOperands,
     /*  201335 */     // GIR_Coverage, 488,
     /*  201335 */     GIR_Done,
     /*  201336 */   // Label 3991: @201336
     /*  201336 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(201377), // Rule ID 490 //
     /*  201341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201358 */     // MIs[0] rs1
     /*  201358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201370 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  201375 */     GIR_RootConstrainSelectedInstOperands,
     /*  201376 */     // GIR_Coverage, 490,
     /*  201376 */     GIR_Done,
     /*  201377 */   // Label 3992: @201377
     /*  201377 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(201418), // Rule ID 492 //
     /*  201382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201399 */     // MIs[0] rs1
     /*  201399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201411 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201416 */     GIR_RootConstrainSelectedInstOperands,
     /*  201417 */     // GIR_Coverage, 492,
     /*  201417 */     GIR_Done,
     /*  201418 */   // Label 3993: @201418
     /*  201418 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(201459), // Rule ID 494 //
     /*  201423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201440 */     // MIs[0] rs1
     /*  201440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201452 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201457 */     GIR_RootConstrainSelectedInstOperands,
     /*  201458 */     // GIR_Coverage, 494,
     /*  201458 */     GIR_Done,
     /*  201459 */   // Label 3994: @201459
     /*  201459 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(201500), // Rule ID 496 //
     /*  201464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201481 */     // MIs[0] rs1
     /*  201481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201493 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201498 */     GIR_RootConstrainSelectedInstOperands,
     /*  201499 */     // GIR_Coverage, 496,
     /*  201499 */     GIR_Done,
     /*  201500 */   // Label 3995: @201500
     /*  201500 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(201541), // Rule ID 498 //
     /*  201505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201522 */     // MIs[0] rs1
     /*  201522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201534 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201539 */     GIR_RootConstrainSelectedInstOperands,
     /*  201540 */     // GIR_Coverage, 498,
     /*  201540 */     GIR_Done,
     /*  201541 */   // Label 3996: @201541
     /*  201541 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(201582), // Rule ID 500 //
     /*  201546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201563 */     // MIs[0] rs1
     /*  201563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201575 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201580 */     GIR_RootConstrainSelectedInstOperands,
     /*  201581 */     // GIR_Coverage, 500,
     /*  201581 */     GIR_Done,
     /*  201582 */   // Label 3997: @201582
     /*  201582 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(201623), // Rule ID 830 //
     /*  201587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201604 */     // MIs[0] rs1
     /*  201604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201616 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201621 */     GIR_RootConstrainSelectedInstOperands,
     /*  201622 */     // GIR_Coverage, 830,
     /*  201622 */     GIR_Done,
     /*  201623 */   // Label 3998: @201623
     /*  201623 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(201664), // Rule ID 832 //
     /*  201628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201645 */     // MIs[0] rs1
     /*  201645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201657 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  201662 */     GIR_RootConstrainSelectedInstOperands,
     /*  201663 */     // GIR_Coverage, 832,
     /*  201663 */     GIR_Done,
     /*  201664 */   // Label 3999: @201664
     /*  201664 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(201705), // Rule ID 834 //
     /*  201669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201686 */     // MIs[0] rs1
     /*  201686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201698 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  201703 */     GIR_RootConstrainSelectedInstOperands,
     /*  201704 */     // GIR_Coverage, 834,
     /*  201704 */     GIR_Done,
     /*  201705 */   // Label 4000: @201705
     /*  201705 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201746), // Rule ID 836 //
     /*  201710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201727 */     // MIs[0] rs1
     /*  201727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201739 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201744 */     GIR_RootConstrainSelectedInstOperands,
     /*  201745 */     // GIR_Coverage, 836,
     /*  201745 */     GIR_Done,
     /*  201746 */   // Label 4001: @201746
     /*  201746 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201787), // Rule ID 838 //
     /*  201751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201768 */     // MIs[0] rs1
     /*  201768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201780 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201785 */     GIR_RootConstrainSelectedInstOperands,
     /*  201786 */     // GIR_Coverage, 838,
     /*  201786 */     GIR_Done,
     /*  201787 */   // Label 4002: @201787
     /*  201787 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201828), // Rule ID 840 //
     /*  201792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201809 */     // MIs[0] rs1
     /*  201809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201821 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201826 */     GIR_RootConstrainSelectedInstOperands,
     /*  201827 */     // GIR_Coverage, 840,
     /*  201827 */     GIR_Done,
     /*  201828 */   // Label 4003: @201828
     /*  201828 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201869), // Rule ID 842 //
     /*  201833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201850 */     // MIs[0] rs1
     /*  201850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201862 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201867 */     GIR_RootConstrainSelectedInstOperands,
     /*  201868 */     // GIR_Coverage, 842,
     /*  201868 */     GIR_Done,
     /*  201869 */   // Label 4004: @201869
     /*  201869 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201910), // Rule ID 844 //
     /*  201874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201891 */     // MIs[0] rs1
     /*  201891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201903 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201908 */     GIR_RootConstrainSelectedInstOperands,
     /*  201909 */     // GIR_Coverage, 844,
     /*  201909 */     GIR_Done,
     /*  201910 */   // Label 4005: @201910
     /*  201910 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201951), // Rule ID 846 //
     /*  201915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201932 */     // MIs[0] rs1
     /*  201932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201944 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201949 */     GIR_RootConstrainSelectedInstOperands,
     /*  201950 */     // GIR_Coverage, 846,
     /*  201950 */     GIR_Done,
     /*  201951 */   // Label 4006: @201951
     /*  201951 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201992), // Rule ID 848 //
     /*  201956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201973 */     // MIs[0] rs1
     /*  201973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201985 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201990 */     GIR_RootConstrainSelectedInstOperands,
     /*  201991 */     // GIR_Coverage, 848,
     /*  201991 */     GIR_Done,
     /*  201992 */   // Label 4007: @201992
     /*  201992 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(202033), // Rule ID 1010 //
     /*  201997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202014 */     // MIs[0] rs1
     /*  202014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202026 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202031 */     GIR_RootConstrainSelectedInstOperands,
     /*  202032 */     // GIR_Coverage, 1010,
     /*  202032 */     GIR_Done,
     /*  202033 */   // Label 4008: @202033
     /*  202033 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(202074), // Rule ID 1012 //
     /*  202038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202055 */     // MIs[0] rs1
     /*  202055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202067 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  202072 */     GIR_RootConstrainSelectedInstOperands,
     /*  202073 */     // GIR_Coverage, 1012,
     /*  202073 */     GIR_Done,
     /*  202074 */   // Label 4009: @202074
     /*  202074 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(202115), // Rule ID 1014 //
     /*  202079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202096 */     // MIs[0] rs1
     /*  202096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202108 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  202113 */     GIR_RootConstrainSelectedInstOperands,
     /*  202114 */     // GIR_Coverage, 1014,
     /*  202114 */     GIR_Done,
     /*  202115 */   // Label 4010: @202115
     /*  202115 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(202156), // Rule ID 1016 //
     /*  202120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202137 */     // MIs[0] rs1
     /*  202137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202149 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202154 */     GIR_RootConstrainSelectedInstOperands,
     /*  202155 */     // GIR_Coverage, 1016,
     /*  202155 */     GIR_Done,
     /*  202156 */   // Label 4011: @202156
     /*  202156 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(202197), // Rule ID 1018 //
     /*  202161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202178 */     // MIs[0] rs1
     /*  202178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202190 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202195 */     GIR_RootConstrainSelectedInstOperands,
     /*  202196 */     // GIR_Coverage, 1018,
     /*  202196 */     GIR_Done,
     /*  202197 */   // Label 4012: @202197
     /*  202197 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(202238), // Rule ID 1020 //
     /*  202202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202219 */     // MIs[0] rs1
     /*  202219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202231 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202236 */     GIR_RootConstrainSelectedInstOperands,
     /*  202237 */     // GIR_Coverage, 1020,
     /*  202237 */     GIR_Done,
     /*  202238 */   // Label 4013: @202238
     /*  202238 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(202279), // Rule ID 1022 //
     /*  202243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202260 */     // MIs[0] rs1
     /*  202260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202272 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202277 */     GIR_RootConstrainSelectedInstOperands,
     /*  202278 */     // GIR_Coverage, 1022,
     /*  202278 */     GIR_Done,
     /*  202279 */   // Label 4014: @202279
     /*  202279 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(202320), // Rule ID 1024 //
     /*  202284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202301 */     // MIs[0] rs1
     /*  202301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202313 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202318 */     GIR_RootConstrainSelectedInstOperands,
     /*  202319 */     // GIR_Coverage, 1024,
     /*  202319 */     GIR_Done,
     /*  202320 */   // Label 4015: @202320
     /*  202320 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(202361), // Rule ID 1026 //
     /*  202325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202342 */     // MIs[0] rs1
     /*  202342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202354 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202359 */     GIR_RootConstrainSelectedInstOperands,
     /*  202360 */     // GIR_Coverage, 1026,
     /*  202360 */     GIR_Done,
     /*  202361 */   // Label 4016: @202361
     /*  202361 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(202402), // Rule ID 1028 //
     /*  202366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202383 */     // MIs[0] rs1
     /*  202383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202395 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202400 */     GIR_RootConstrainSelectedInstOperands,
     /*  202401 */     // GIR_Coverage, 1028,
     /*  202401 */     GIR_Done,
     /*  202402 */   // Label 4017: @202402
     /*  202402 */   GIM_Reject,
     /*  202403 */ // Label 3987: @202403
     /*  202403 */ GIM_Reject,
     /*  202404 */ // Label 3985: @202404
     /*  202404 */ GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(204053),
     /*  202409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202412 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(202453), // Rule ID 481 //
     /*  202417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202434 */     // MIs[0] rs1
     /*  202434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202446 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202451 */     GIR_RootConstrainSelectedInstOperands,
     /*  202452 */     // GIR_Coverage, 481,
     /*  202452 */     GIR_Done,
     /*  202453 */   // Label 4019: @202453
     /*  202453 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(202494), // Rule ID 483 //
     /*  202458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202475 */     // MIs[0] rs1
     /*  202475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202487 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  202492 */     GIR_RootConstrainSelectedInstOperands,
     /*  202493 */     // GIR_Coverage, 483,
     /*  202493 */     GIR_Done,
     /*  202494 */   // Label 4020: @202494
     /*  202494 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(202535), // Rule ID 485 //
     /*  202499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202516 */     // MIs[0] rs1
     /*  202516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202528 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  202533 */     GIR_RootConstrainSelectedInstOperands,
     /*  202534 */     // GIR_Coverage, 485,
     /*  202534 */     GIR_Done,
     /*  202535 */   // Label 4021: @202535
     /*  202535 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(202576), // Rule ID 487 //
     /*  202540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202557 */     // MIs[0] rs1
     /*  202557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202569 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202574 */     GIR_RootConstrainSelectedInstOperands,
     /*  202575 */     // GIR_Coverage, 487,
     /*  202575 */     GIR_Done,
     /*  202576 */   // Label 4022: @202576
     /*  202576 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202617), // Rule ID 489 //
     /*  202581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202598 */     // MIs[0] rs1
     /*  202598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202610 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202615 */     GIR_RootConstrainSelectedInstOperands,
     /*  202616 */     // GIR_Coverage, 489,
     /*  202616 */     GIR_Done,
     /*  202617 */   // Label 4023: @202617
     /*  202617 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202658), // Rule ID 491 //
     /*  202622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202639 */     // MIs[0] rs1
     /*  202639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202651 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202656 */     GIR_RootConstrainSelectedInstOperands,
     /*  202657 */     // GIR_Coverage, 491,
     /*  202657 */     GIR_Done,
     /*  202658 */   // Label 4024: @202658
     /*  202658 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202699), // Rule ID 493 //
     /*  202663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202680 */     // MIs[0] rs1
     /*  202680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202692 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202697 */     GIR_RootConstrainSelectedInstOperands,
     /*  202698 */     // GIR_Coverage, 493,
     /*  202698 */     GIR_Done,
     /*  202699 */   // Label 4025: @202699
     /*  202699 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(202740), // Rule ID 495 //
     /*  202704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202721 */     // MIs[0] rs1
     /*  202721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202733 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202738 */     GIR_RootConstrainSelectedInstOperands,
     /*  202739 */     // GIR_Coverage, 495,
     /*  202739 */     GIR_Done,
     /*  202740 */   // Label 4026: @202740
     /*  202740 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(202781), // Rule ID 497 //
     /*  202745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202762 */     // MIs[0] rs1
     /*  202762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202774 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202779 */     GIR_RootConstrainSelectedInstOperands,
     /*  202780 */     // GIR_Coverage, 497,
     /*  202780 */     GIR_Done,
     /*  202781 */   // Label 4027: @202781
     /*  202781 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(202822), // Rule ID 499 //
     /*  202786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202803 */     // MIs[0] rs1
     /*  202803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202815 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202820 */     GIR_RootConstrainSelectedInstOperands,
     /*  202821 */     // GIR_Coverage, 499,
     /*  202821 */     GIR_Done,
     /*  202822 */   // Label 4028: @202822
     /*  202822 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(202863), // Rule ID 591 //
     /*  202827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202844 */     // MIs[0] rs1
     /*  202844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202856 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202861 */     GIR_RootConstrainSelectedInstOperands,
     /*  202862 */     // GIR_Coverage, 591,
     /*  202862 */     GIR_Done,
     /*  202863 */   // Label 4029: @202863
     /*  202863 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(202904), // Rule ID 592 //
     /*  202868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202885 */     // MIs[0] rs1
     /*  202885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202897 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  202902 */     GIR_RootConstrainSelectedInstOperands,
     /*  202903 */     // GIR_Coverage, 592,
     /*  202903 */     GIR_Done,
     /*  202904 */   // Label 4030: @202904
     /*  202904 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(202945), // Rule ID 593 //
     /*  202909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202926 */     // MIs[0] rs1
     /*  202926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202938 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  202943 */     GIR_RootConstrainSelectedInstOperands,
     /*  202944 */     // GIR_Coverage, 593,
     /*  202944 */     GIR_Done,
     /*  202945 */   // Label 4031: @202945
     /*  202945 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(202986), // Rule ID 594 //
     /*  202950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202967 */     // MIs[0] rs1
     /*  202967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202979 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  202984 */     GIR_RootConstrainSelectedInstOperands,
     /*  202985 */     // GIR_Coverage, 594,
     /*  202985 */     GIR_Done,
     /*  202986 */   // Label 4032: @202986
     /*  202986 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(203027), // Rule ID 595 //
     /*  202991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203008 */     // MIs[0] rs1
     /*  203008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203020 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  203025 */     GIR_RootConstrainSelectedInstOperands,
     /*  203026 */     // GIR_Coverage, 595,
     /*  203026 */     GIR_Done,
     /*  203027 */   // Label 4033: @203027
     /*  203027 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(203068), // Rule ID 596 //
     /*  203032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203049 */     // MIs[0] rs1
     /*  203049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203061 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203066 */     GIR_RootConstrainSelectedInstOperands,
     /*  203067 */     // GIR_Coverage, 596,
     /*  203067 */     GIR_Done,
     /*  203068 */   // Label 4034: @203068
     /*  203068 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(203109), // Rule ID 597 //
     /*  203073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203090 */     // MIs[0] rs1
     /*  203090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203102 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203107 */     GIR_RootConstrainSelectedInstOperands,
     /*  203108 */     // GIR_Coverage, 597,
     /*  203108 */     GIR_Done,
     /*  203109 */   // Label 4035: @203109
     /*  203109 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(203150), // Rule ID 598 //
     /*  203114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203131 */     // MIs[0] rs1
     /*  203131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203143 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203148 */     GIR_RootConstrainSelectedInstOperands,
     /*  203149 */     // GIR_Coverage, 598,
     /*  203149 */     GIR_Done,
     /*  203150 */   // Label 4036: @203150
     /*  203150 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(203191), // Rule ID 599 //
     /*  203155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203172 */     // MIs[0] rs1
     /*  203172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203184 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203189 */     GIR_RootConstrainSelectedInstOperands,
     /*  203190 */     // GIR_Coverage, 599,
     /*  203190 */     GIR_Done,
     /*  203191 */   // Label 4037: @203191
     /*  203191 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(203232), // Rule ID 600 //
     /*  203196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203213 */     // MIs[0] rs1
     /*  203213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203225 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203230 */     GIR_RootConstrainSelectedInstOperands,
     /*  203231 */     // GIR_Coverage, 600,
     /*  203231 */     GIR_Done,
     /*  203232 */   // Label 4038: @203232
     /*  203232 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(203273), // Rule ID 829 //
     /*  203237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203254 */     // MIs[0] rs1
     /*  203254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203266 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203271 */     GIR_RootConstrainSelectedInstOperands,
     /*  203272 */     // GIR_Coverage, 829,
     /*  203272 */     GIR_Done,
     /*  203273 */   // Label 4039: @203273
     /*  203273 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(203314), // Rule ID 831 //
     /*  203278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203295 */     // MIs[0] rs1
     /*  203295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203307 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  203312 */     GIR_RootConstrainSelectedInstOperands,
     /*  203313 */     // GIR_Coverage, 831,
     /*  203313 */     GIR_Done,
     /*  203314 */   // Label 4040: @203314
     /*  203314 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(203355), // Rule ID 833 //
     /*  203319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203336 */     // MIs[0] rs1
     /*  203336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203348 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  203353 */     GIR_RootConstrainSelectedInstOperands,
     /*  203354 */     // GIR_Coverage, 833,
     /*  203354 */     GIR_Done,
     /*  203355 */   // Label 4041: @203355
     /*  203355 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(203396), // Rule ID 835 //
     /*  203360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203377 */     // MIs[0] rs1
     /*  203377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203389 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  203394 */     GIR_RootConstrainSelectedInstOperands,
     /*  203395 */     // GIR_Coverage, 835,
     /*  203395 */     GIR_Done,
     /*  203396 */   // Label 4042: @203396
     /*  203396 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(203437), // Rule ID 837 //
     /*  203401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203418 */     // MIs[0] rs1
     /*  203418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203430 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  203435 */     GIR_RootConstrainSelectedInstOperands,
     /*  203436 */     // GIR_Coverage, 837,
     /*  203436 */     GIR_Done,
     /*  203437 */   // Label 4043: @203437
     /*  203437 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(203478), // Rule ID 839 //
     /*  203442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203459 */     // MIs[0] rs1
     /*  203459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203471 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203476 */     GIR_RootConstrainSelectedInstOperands,
     /*  203477 */     // GIR_Coverage, 839,
     /*  203477 */     GIR_Done,
     /*  203478 */   // Label 4044: @203478
     /*  203478 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(203519), // Rule ID 841 //
     /*  203483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203500 */     // MIs[0] rs1
     /*  203500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203512 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203517 */     GIR_RootConstrainSelectedInstOperands,
     /*  203518 */     // GIR_Coverage, 841,
     /*  203518 */     GIR_Done,
     /*  203519 */   // Label 4045: @203519
     /*  203519 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(203560), // Rule ID 843 //
     /*  203524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203541 */     // MIs[0] rs1
     /*  203541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203553 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203558 */     GIR_RootConstrainSelectedInstOperands,
     /*  203559 */     // GIR_Coverage, 843,
     /*  203559 */     GIR_Done,
     /*  203560 */   // Label 4046: @203560
     /*  203560 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(203601), // Rule ID 845 //
     /*  203565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203582 */     // MIs[0] rs1
     /*  203582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203594 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203599 */     GIR_RootConstrainSelectedInstOperands,
     /*  203600 */     // GIR_Coverage, 845,
     /*  203600 */     GIR_Done,
     /*  203601 */   // Label 4047: @203601
     /*  203601 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(203642), // Rule ID 847 //
     /*  203606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203623 */     // MIs[0] rs1
     /*  203623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203635 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203640 */     GIR_RootConstrainSelectedInstOperands,
     /*  203641 */     // GIR_Coverage, 847,
     /*  203641 */     GIR_Done,
     /*  203642 */   // Label 4048: @203642
     /*  203642 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(203683), // Rule ID 1009 //
     /*  203647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203664 */     // MIs[0] rs1
     /*  203664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203676 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203681 */     GIR_RootConstrainSelectedInstOperands,
     /*  203682 */     // GIR_Coverage, 1009,
     /*  203682 */     GIR_Done,
     /*  203683 */   // Label 4049: @203683
     /*  203683 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(203724), // Rule ID 1011 //
     /*  203688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203705 */     // MIs[0] rs1
     /*  203705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203717 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  203722 */     GIR_RootConstrainSelectedInstOperands,
     /*  203723 */     // GIR_Coverage, 1011,
     /*  203723 */     GIR_Done,
     /*  203724 */   // Label 4050: @203724
     /*  203724 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(203765), // Rule ID 1013 //
     /*  203729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203746 */     // MIs[0] rs1
     /*  203746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203758 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  203763 */     GIR_RootConstrainSelectedInstOperands,
     /*  203764 */     // GIR_Coverage, 1013,
     /*  203764 */     GIR_Done,
     /*  203765 */   // Label 4051: @203765
     /*  203765 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(203806), // Rule ID 1015 //
     /*  203770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203787 */     // MIs[0] rs1
     /*  203787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203799 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203804 */     GIR_RootConstrainSelectedInstOperands,
     /*  203805 */     // GIR_Coverage, 1015,
     /*  203805 */     GIR_Done,
     /*  203806 */   // Label 4052: @203806
     /*  203806 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(203847), // Rule ID 1017 //
     /*  203811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203828 */     // MIs[0] rs1
     /*  203828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203840 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203845 */     GIR_RootConstrainSelectedInstOperands,
     /*  203846 */     // GIR_Coverage, 1017,
     /*  203846 */     GIR_Done,
     /*  203847 */   // Label 4053: @203847
     /*  203847 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(203888), // Rule ID 1019 //
     /*  203852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203869 */     // MIs[0] rs1
     /*  203869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203881 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203886 */     GIR_RootConstrainSelectedInstOperands,
     /*  203887 */     // GIR_Coverage, 1019,
     /*  203887 */     GIR_Done,
     /*  203888 */   // Label 4054: @203888
     /*  203888 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(203929), // Rule ID 1021 //
     /*  203893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203910 */     // MIs[0] rs1
     /*  203910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203922 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203927 */     GIR_RootConstrainSelectedInstOperands,
     /*  203928 */     // GIR_Coverage, 1021,
     /*  203928 */     GIR_Done,
     /*  203929 */   // Label 4055: @203929
     /*  203929 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(203970), // Rule ID 1023 //
     /*  203934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203951 */     // MIs[0] rs1
     /*  203951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203963 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203968 */     GIR_RootConstrainSelectedInstOperands,
     /*  203969 */     // GIR_Coverage, 1023,
     /*  203969 */     GIR_Done,
     /*  203970 */   // Label 4056: @203970
     /*  203970 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(204011), // Rule ID 1025 //
     /*  203975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203992 */     // MIs[0] rs1
     /*  203992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204004 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204009 */     GIR_RootConstrainSelectedInstOperands,
     /*  204010 */     // GIR_Coverage, 1025,
     /*  204010 */     GIR_Done,
     /*  204011 */   // Label 4057: @204011
     /*  204011 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(204052), // Rule ID 1027 //
     /*  204016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204033 */     // MIs[0] rs1
     /*  204033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204045 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204050 */     GIR_RootConstrainSelectedInstOperands,
     /*  204051 */     // GIR_Coverage, 1027,
     /*  204051 */     GIR_Done,
     /*  204052 */   // Label 4058: @204052
     /*  204052 */   GIM_Reject,
     /*  204053 */ // Label 4018: @204053
     /*  204053 */ GIM_Reject,
     /*  204054 */ // Label 3986: @204054
     /*  204054 */ GIM_Reject,
     /*  204055 */ // Label 35: @204055
     /*  204055 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4061*/ GIMT_Encode4(206964),
     /*  204066 */ /*GILLT_s32*//*Label 4059*/ GIMT_Encode4(204074),
     /*  204070 */ /*GILLT_s64*//*Label 4060*/ GIMT_Encode4(205314),
     /*  204074 */ // Label 4059: @204074
     /*  204074 */ GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(205313),
     /*  204079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  204082 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(204123), // Rule ID 502 //
     /*  204087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204104 */     // MIs[0] rs1
     /*  204104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204116 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204121 */     GIR_RootConstrainSelectedInstOperands,
     /*  204122 */     // GIR_Coverage, 502,
     /*  204122 */     GIR_Done,
     /*  204123 */   // Label 4063: @204123
     /*  204123 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(204164), // Rule ID 504 //
     /*  204128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204145 */     // MIs[0] rs1
     /*  204145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204157 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  204162 */     GIR_RootConstrainSelectedInstOperands,
     /*  204163 */     // GIR_Coverage, 504,
     /*  204163 */     GIR_Done,
     /*  204164 */   // Label 4064: @204164
     /*  204164 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(204205), // Rule ID 506 //
     /*  204169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204186 */     // MIs[0] rs1
     /*  204186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204198 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  204203 */     GIR_RootConstrainSelectedInstOperands,
     /*  204204 */     // GIR_Coverage, 506,
     /*  204204 */     GIR_Done,
     /*  204205 */   // Label 4065: @204205
     /*  204205 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(204246), // Rule ID 508 //
     /*  204210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204227 */     // MIs[0] rs1
     /*  204227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204239 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  204244 */     GIR_RootConstrainSelectedInstOperands,
     /*  204245 */     // GIR_Coverage, 508,
     /*  204245 */     GIR_Done,
     /*  204246 */   // Label 4066: @204246
     /*  204246 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(204287), // Rule ID 510 //
     /*  204251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204268 */     // MIs[0] rs1
     /*  204268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204280 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  204285 */     GIR_RootConstrainSelectedInstOperands,
     /*  204286 */     // GIR_Coverage, 510,
     /*  204286 */     GIR_Done,
     /*  204287 */   // Label 4067: @204287
     /*  204287 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(204328), // Rule ID 512 //
     /*  204292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204309 */     // MIs[0] rs1
     /*  204309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204321 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204326 */     GIR_RootConstrainSelectedInstOperands,
     /*  204327 */     // GIR_Coverage, 512,
     /*  204327 */     GIR_Done,
     /*  204328 */   // Label 4068: @204328
     /*  204328 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(204369), // Rule ID 514 //
     /*  204333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204350 */     // MIs[0] rs1
     /*  204350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204362 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204367 */     GIR_RootConstrainSelectedInstOperands,
     /*  204368 */     // GIR_Coverage, 514,
     /*  204368 */     GIR_Done,
     /*  204369 */   // Label 4069: @204369
     /*  204369 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(204410), // Rule ID 516 //
     /*  204374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204391 */     // MIs[0] rs1
     /*  204391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204403 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204408 */     GIR_RootConstrainSelectedInstOperands,
     /*  204409 */     // GIR_Coverage, 516,
     /*  204409 */     GIR_Done,
     /*  204410 */   // Label 4070: @204410
     /*  204410 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(204451), // Rule ID 518 //
     /*  204415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204432 */     // MIs[0] rs1
     /*  204432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204444 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204449 */     GIR_RootConstrainSelectedInstOperands,
     /*  204450 */     // GIR_Coverage, 518,
     /*  204450 */     GIR_Done,
     /*  204451 */   // Label 4071: @204451
     /*  204451 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(204492), // Rule ID 520 //
     /*  204456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204473 */     // MIs[0] rs1
     /*  204473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204485 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204490 */     GIR_RootConstrainSelectedInstOperands,
     /*  204491 */     // GIR_Coverage, 520,
     /*  204491 */     GIR_Done,
     /*  204492 */   // Label 4072: @204492
     /*  204492 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(204533), // Rule ID 850 //
     /*  204497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204514 */     // MIs[0] rs1
     /*  204514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204526 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204531 */     GIR_RootConstrainSelectedInstOperands,
     /*  204532 */     // GIR_Coverage, 850,
     /*  204532 */     GIR_Done,
     /*  204533 */   // Label 4073: @204533
     /*  204533 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(204574), // Rule ID 852 //
     /*  204538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204555 */     // MIs[0] rs1
     /*  204555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204567 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  204572 */     GIR_RootConstrainSelectedInstOperands,
     /*  204573 */     // GIR_Coverage, 852,
     /*  204573 */     GIR_Done,
     /*  204574 */   // Label 4074: @204574
     /*  204574 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(204615), // Rule ID 854 //
     /*  204579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204596 */     // MIs[0] rs1
     /*  204596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204608 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  204613 */     GIR_RootConstrainSelectedInstOperands,
     /*  204614 */     // GIR_Coverage, 854,
     /*  204614 */     GIR_Done,
     /*  204615 */   // Label 4075: @204615
     /*  204615 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(204656), // Rule ID 856 //
     /*  204620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204637 */     // MIs[0] rs1
     /*  204637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204649 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204654 */     GIR_RootConstrainSelectedInstOperands,
     /*  204655 */     // GIR_Coverage, 856,
     /*  204655 */     GIR_Done,
     /*  204656 */   // Label 4076: @204656
     /*  204656 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(204697), // Rule ID 858 //
     /*  204661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204678 */     // MIs[0] rs1
     /*  204678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204690 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204695 */     GIR_RootConstrainSelectedInstOperands,
     /*  204696 */     // GIR_Coverage, 858,
     /*  204696 */     GIR_Done,
     /*  204697 */   // Label 4077: @204697
     /*  204697 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(204738), // Rule ID 860 //
     /*  204702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204719 */     // MIs[0] rs1
     /*  204719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204731 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204736 */     GIR_RootConstrainSelectedInstOperands,
     /*  204737 */     // GIR_Coverage, 860,
     /*  204737 */     GIR_Done,
     /*  204738 */   // Label 4078: @204738
     /*  204738 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(204779), // Rule ID 862 //
     /*  204743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204760 */     // MIs[0] rs1
     /*  204760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204772 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204777 */     GIR_RootConstrainSelectedInstOperands,
     /*  204778 */     // GIR_Coverage, 862,
     /*  204778 */     GIR_Done,
     /*  204779 */   // Label 4079: @204779
     /*  204779 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(204820), // Rule ID 864 //
     /*  204784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204801 */     // MIs[0] rs1
     /*  204801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204813 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204818 */     GIR_RootConstrainSelectedInstOperands,
     /*  204819 */     // GIR_Coverage, 864,
     /*  204819 */     GIR_Done,
     /*  204820 */   // Label 4080: @204820
     /*  204820 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(204861), // Rule ID 866 //
     /*  204825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204842 */     // MIs[0] rs1
     /*  204842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204854 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204859 */     GIR_RootConstrainSelectedInstOperands,
     /*  204860 */     // GIR_Coverage, 866,
     /*  204860 */     GIR_Done,
     /*  204861 */   // Label 4081: @204861
     /*  204861 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(204902), // Rule ID 868 //
     /*  204866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204883 */     // MIs[0] rs1
     /*  204883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204895 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204900 */     GIR_RootConstrainSelectedInstOperands,
     /*  204901 */     // GIR_Coverage, 868,
     /*  204901 */     GIR_Done,
     /*  204902 */   // Label 4082: @204902
     /*  204902 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(204943), // Rule ID 1030 //
     /*  204907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204924 */     // MIs[0] rs1
     /*  204924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204936 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204941 */     GIR_RootConstrainSelectedInstOperands,
     /*  204942 */     // GIR_Coverage, 1030,
     /*  204942 */     GIR_Done,
     /*  204943 */   // Label 4083: @204943
     /*  204943 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(204984), // Rule ID 1032 //
     /*  204948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204965 */     // MIs[0] rs1
     /*  204965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204977 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  204982 */     GIR_RootConstrainSelectedInstOperands,
     /*  204983 */     // GIR_Coverage, 1032,
     /*  204983 */     GIR_Done,
     /*  204984 */   // Label 4084: @204984
     /*  204984 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(205025), // Rule ID 1034 //
     /*  204989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205006 */     // MIs[0] rs1
     /*  205006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205018 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  205023 */     GIR_RootConstrainSelectedInstOperands,
     /*  205024 */     // GIR_Coverage, 1034,
     /*  205024 */     GIR_Done,
     /*  205025 */   // Label 4085: @205025
     /*  205025 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(205066), // Rule ID 1036 //
     /*  205030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205047 */     // MIs[0] rs1
     /*  205047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205059 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205064 */     GIR_RootConstrainSelectedInstOperands,
     /*  205065 */     // GIR_Coverage, 1036,
     /*  205065 */     GIR_Done,
     /*  205066 */   // Label 4086: @205066
     /*  205066 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(205107), // Rule ID 1038 //
     /*  205071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205088 */     // MIs[0] rs1
     /*  205088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205100 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205105 */     GIR_RootConstrainSelectedInstOperands,
     /*  205106 */     // GIR_Coverage, 1038,
     /*  205106 */     GIR_Done,
     /*  205107 */   // Label 4087: @205107
     /*  205107 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(205148), // Rule ID 1040 //
     /*  205112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205129 */     // MIs[0] rs1
     /*  205129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205141 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205146 */     GIR_RootConstrainSelectedInstOperands,
     /*  205147 */     // GIR_Coverage, 1040,
     /*  205147 */     GIR_Done,
     /*  205148 */   // Label 4088: @205148
     /*  205148 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(205189), // Rule ID 1042 //
     /*  205153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205170 */     // MIs[0] rs1
     /*  205170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205182 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205187 */     GIR_RootConstrainSelectedInstOperands,
     /*  205188 */     // GIR_Coverage, 1042,
     /*  205188 */     GIR_Done,
     /*  205189 */   // Label 4089: @205189
     /*  205189 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(205230), // Rule ID 1044 //
     /*  205194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205211 */     // MIs[0] rs1
     /*  205211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205223 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205228 */     GIR_RootConstrainSelectedInstOperands,
     /*  205229 */     // GIR_Coverage, 1044,
     /*  205229 */     GIR_Done,
     /*  205230 */   // Label 4090: @205230
     /*  205230 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(205271), // Rule ID 1046 //
     /*  205235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205252 */     // MIs[0] rs1
     /*  205252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205264 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205269 */     GIR_RootConstrainSelectedInstOperands,
     /*  205270 */     // GIR_Coverage, 1046,
     /*  205270 */     GIR_Done,
     /*  205271 */   // Label 4091: @205271
     /*  205271 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(205312), // Rule ID 1048 //
     /*  205276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205293 */     // MIs[0] rs1
     /*  205293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205305 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205310 */     GIR_RootConstrainSelectedInstOperands,
     /*  205311 */     // GIR_Coverage, 1048,
     /*  205311 */     GIR_Done,
     /*  205312 */   // Label 4092: @205312
     /*  205312 */   GIM_Reject,
     /*  205313 */ // Label 4062: @205313
     /*  205313 */ GIM_Reject,
     /*  205314 */ // Label 4060: @205314
     /*  205314 */ GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(206963),
     /*  205319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205322 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(205363), // Rule ID 501 //
     /*  205327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205344 */     // MIs[0] rs1
     /*  205344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205356 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205361 */     GIR_RootConstrainSelectedInstOperands,
     /*  205362 */     // GIR_Coverage, 501,
     /*  205362 */     GIR_Done,
     /*  205363 */   // Label 4094: @205363
     /*  205363 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(205404), // Rule ID 503 //
     /*  205368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205385 */     // MIs[0] rs1
     /*  205385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205397 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  205402 */     GIR_RootConstrainSelectedInstOperands,
     /*  205403 */     // GIR_Coverage, 503,
     /*  205403 */     GIR_Done,
     /*  205404 */   // Label 4095: @205404
     /*  205404 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(205445), // Rule ID 505 //
     /*  205409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205426 */     // MIs[0] rs1
     /*  205426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205438 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  205443 */     GIR_RootConstrainSelectedInstOperands,
     /*  205444 */     // GIR_Coverage, 505,
     /*  205444 */     GIR_Done,
     /*  205445 */   // Label 4096: @205445
     /*  205445 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(205486), // Rule ID 507 //
     /*  205450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205467 */     // MIs[0] rs1
     /*  205467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205479 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205484 */     GIR_RootConstrainSelectedInstOperands,
     /*  205485 */     // GIR_Coverage, 507,
     /*  205485 */     GIR_Done,
     /*  205486 */   // Label 4097: @205486
     /*  205486 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(205527), // Rule ID 509 //
     /*  205491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205508 */     // MIs[0] rs1
     /*  205508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205520 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205525 */     GIR_RootConstrainSelectedInstOperands,
     /*  205526 */     // GIR_Coverage, 509,
     /*  205526 */     GIR_Done,
     /*  205527 */   // Label 4098: @205527
     /*  205527 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(205568), // Rule ID 511 //
     /*  205532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205549 */     // MIs[0] rs1
     /*  205549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205561 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205566 */     GIR_RootConstrainSelectedInstOperands,
     /*  205567 */     // GIR_Coverage, 511,
     /*  205567 */     GIR_Done,
     /*  205568 */   // Label 4099: @205568
     /*  205568 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(205609), // Rule ID 513 //
     /*  205573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205590 */     // MIs[0] rs1
     /*  205590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205602 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205607 */     GIR_RootConstrainSelectedInstOperands,
     /*  205608 */     // GIR_Coverage, 513,
     /*  205608 */     GIR_Done,
     /*  205609 */   // Label 4100: @205609
     /*  205609 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(205650), // Rule ID 515 //
     /*  205614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205631 */     // MIs[0] rs1
     /*  205631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205643 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205648 */     GIR_RootConstrainSelectedInstOperands,
     /*  205649 */     // GIR_Coverage, 515,
     /*  205649 */     GIR_Done,
     /*  205650 */   // Label 4101: @205650
     /*  205650 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(205691), // Rule ID 517 //
     /*  205655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205672 */     // MIs[0] rs1
     /*  205672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205684 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205689 */     GIR_RootConstrainSelectedInstOperands,
     /*  205690 */     // GIR_Coverage, 517,
     /*  205690 */     GIR_Done,
     /*  205691 */   // Label 4102: @205691
     /*  205691 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(205732), // Rule ID 519 //
     /*  205696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205713 */     // MIs[0] rs1
     /*  205713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205725 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205730 */     GIR_RootConstrainSelectedInstOperands,
     /*  205731 */     // GIR_Coverage, 519,
     /*  205731 */     GIR_Done,
     /*  205732 */   // Label 4103: @205732
     /*  205732 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(205773), // Rule ID 601 //
     /*  205737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205754 */     // MIs[0] rs1
     /*  205754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205766 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205771 */     GIR_RootConstrainSelectedInstOperands,
     /*  205772 */     // GIR_Coverage, 601,
     /*  205772 */     GIR_Done,
     /*  205773 */   // Label 4104: @205773
     /*  205773 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(205814), // Rule ID 602 //
     /*  205778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205795 */     // MIs[0] rs1
     /*  205795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205807 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  205812 */     GIR_RootConstrainSelectedInstOperands,
     /*  205813 */     // GIR_Coverage, 602,
     /*  205813 */     GIR_Done,
     /*  205814 */   // Label 4105: @205814
     /*  205814 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(205855), // Rule ID 603 //
     /*  205819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205836 */     // MIs[0] rs1
     /*  205836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205848 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  205853 */     GIR_RootConstrainSelectedInstOperands,
     /*  205854 */     // GIR_Coverage, 603,
     /*  205854 */     GIR_Done,
     /*  205855 */   // Label 4106: @205855
     /*  205855 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(205896), // Rule ID 604 //
     /*  205860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205877 */     // MIs[0] rs1
     /*  205877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205889 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205894 */     GIR_RootConstrainSelectedInstOperands,
     /*  205895 */     // GIR_Coverage, 604,
     /*  205895 */     GIR_Done,
     /*  205896 */   // Label 4107: @205896
     /*  205896 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(205937), // Rule ID 605 //
     /*  205901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205918 */     // MIs[0] rs1
     /*  205918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205930 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205935 */     GIR_RootConstrainSelectedInstOperands,
     /*  205936 */     // GIR_Coverage, 605,
     /*  205936 */     GIR_Done,
     /*  205937 */   // Label 4108: @205937
     /*  205937 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(205978), // Rule ID 606 //
     /*  205942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205959 */     // MIs[0] rs1
     /*  205959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205971 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205976 */     GIR_RootConstrainSelectedInstOperands,
     /*  205977 */     // GIR_Coverage, 606,
     /*  205977 */     GIR_Done,
     /*  205978 */   // Label 4109: @205978
     /*  205978 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(206019), // Rule ID 607 //
     /*  205983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206000 */     // MIs[0] rs1
     /*  206000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206012 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206017 */     GIR_RootConstrainSelectedInstOperands,
     /*  206018 */     // GIR_Coverage, 607,
     /*  206018 */     GIR_Done,
     /*  206019 */   // Label 4110: @206019
     /*  206019 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(206060), // Rule ID 608 //
     /*  206024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206041 */     // MIs[0] rs1
     /*  206041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206053 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206058 */     GIR_RootConstrainSelectedInstOperands,
     /*  206059 */     // GIR_Coverage, 608,
     /*  206059 */     GIR_Done,
     /*  206060 */   // Label 4111: @206060
     /*  206060 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(206101), // Rule ID 609 //
     /*  206065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206082 */     // MIs[0] rs1
     /*  206082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206094 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206099 */     GIR_RootConstrainSelectedInstOperands,
     /*  206100 */     // GIR_Coverage, 609,
     /*  206100 */     GIR_Done,
     /*  206101 */   // Label 4112: @206101
     /*  206101 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(206142), // Rule ID 610 //
     /*  206106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206123 */     // MIs[0] rs1
     /*  206123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206135 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206140 */     GIR_RootConstrainSelectedInstOperands,
     /*  206141 */     // GIR_Coverage, 610,
     /*  206141 */     GIR_Done,
     /*  206142 */   // Label 4113: @206142
     /*  206142 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(206183), // Rule ID 849 //
     /*  206147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206164 */     // MIs[0] rs1
     /*  206164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206176 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206181 */     GIR_RootConstrainSelectedInstOperands,
     /*  206182 */     // GIR_Coverage, 849,
     /*  206182 */     GIR_Done,
     /*  206183 */   // Label 4114: @206183
     /*  206183 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(206224), // Rule ID 851 //
     /*  206188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206205 */     // MIs[0] rs1
     /*  206205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206217 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  206222 */     GIR_RootConstrainSelectedInstOperands,
     /*  206223 */     // GIR_Coverage, 851,
     /*  206223 */     GIR_Done,
     /*  206224 */   // Label 4115: @206224
     /*  206224 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(206265), // Rule ID 853 //
     /*  206229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206246 */     // MIs[0] rs1
     /*  206246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206258 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  206263 */     GIR_RootConstrainSelectedInstOperands,
     /*  206264 */     // GIR_Coverage, 853,
     /*  206264 */     GIR_Done,
     /*  206265 */   // Label 4116: @206265
     /*  206265 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(206306), // Rule ID 855 //
     /*  206270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206287 */     // MIs[0] rs1
     /*  206287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206299 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  206304 */     GIR_RootConstrainSelectedInstOperands,
     /*  206305 */     // GIR_Coverage, 855,
     /*  206305 */     GIR_Done,
     /*  206306 */   // Label 4117: @206306
     /*  206306 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(206347), // Rule ID 857 //
     /*  206311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206328 */     // MIs[0] rs1
     /*  206328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206340 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  206345 */     GIR_RootConstrainSelectedInstOperands,
     /*  206346 */     // GIR_Coverage, 857,
     /*  206346 */     GIR_Done,
     /*  206347 */   // Label 4118: @206347
     /*  206347 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(206388), // Rule ID 859 //
     /*  206352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206369 */     // MIs[0] rs1
     /*  206369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206381 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206386 */     GIR_RootConstrainSelectedInstOperands,
     /*  206387 */     // GIR_Coverage, 859,
     /*  206387 */     GIR_Done,
     /*  206388 */   // Label 4119: @206388
     /*  206388 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(206429), // Rule ID 861 //
     /*  206393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206410 */     // MIs[0] rs1
     /*  206410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206422 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206427 */     GIR_RootConstrainSelectedInstOperands,
     /*  206428 */     // GIR_Coverage, 861,
     /*  206428 */     GIR_Done,
     /*  206429 */   // Label 4120: @206429
     /*  206429 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(206470), // Rule ID 863 //
     /*  206434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206451 */     // MIs[0] rs1
     /*  206451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206463 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206468 */     GIR_RootConstrainSelectedInstOperands,
     /*  206469 */     // GIR_Coverage, 863,
     /*  206469 */     GIR_Done,
     /*  206470 */   // Label 4121: @206470
     /*  206470 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(206511), // Rule ID 865 //
     /*  206475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206492 */     // MIs[0] rs1
     /*  206492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206504 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206509 */     GIR_RootConstrainSelectedInstOperands,
     /*  206510 */     // GIR_Coverage, 865,
     /*  206510 */     GIR_Done,
     /*  206511 */   // Label 4122: @206511
     /*  206511 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(206552), // Rule ID 867 //
     /*  206516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206533 */     // MIs[0] rs1
     /*  206533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206545 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206550 */     GIR_RootConstrainSelectedInstOperands,
     /*  206551 */     // GIR_Coverage, 867,
     /*  206551 */     GIR_Done,
     /*  206552 */   // Label 4123: @206552
     /*  206552 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(206593), // Rule ID 1029 //
     /*  206557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206574 */     // MIs[0] rs1
     /*  206574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206586 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206591 */     GIR_RootConstrainSelectedInstOperands,
     /*  206592 */     // GIR_Coverage, 1029,
     /*  206592 */     GIR_Done,
     /*  206593 */   // Label 4124: @206593
     /*  206593 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(206634), // Rule ID 1031 //
     /*  206598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206615 */     // MIs[0] rs1
     /*  206615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206627 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  206632 */     GIR_RootConstrainSelectedInstOperands,
     /*  206633 */     // GIR_Coverage, 1031,
     /*  206633 */     GIR_Done,
     /*  206634 */   // Label 4125: @206634
     /*  206634 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(206675), // Rule ID 1033 //
     /*  206639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206656 */     // MIs[0] rs1
     /*  206656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206668 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  206673 */     GIR_RootConstrainSelectedInstOperands,
     /*  206674 */     // GIR_Coverage, 1033,
     /*  206674 */     GIR_Done,
     /*  206675 */   // Label 4126: @206675
     /*  206675 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(206716), // Rule ID 1035 //
     /*  206680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206697 */     // MIs[0] rs1
     /*  206697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206709 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206714 */     GIR_RootConstrainSelectedInstOperands,
     /*  206715 */     // GIR_Coverage, 1035,
     /*  206715 */     GIR_Done,
     /*  206716 */   // Label 4127: @206716
     /*  206716 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(206757), // Rule ID 1037 //
     /*  206721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206738 */     // MIs[0] rs1
     /*  206738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206750 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206755 */     GIR_RootConstrainSelectedInstOperands,
     /*  206756 */     // GIR_Coverage, 1037,
     /*  206756 */     GIR_Done,
     /*  206757 */   // Label 4128: @206757
     /*  206757 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(206798), // Rule ID 1039 //
     /*  206762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206779 */     // MIs[0] rs1
     /*  206779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206791 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206796 */     GIR_RootConstrainSelectedInstOperands,
     /*  206797 */     // GIR_Coverage, 1039,
     /*  206797 */     GIR_Done,
     /*  206798 */   // Label 4129: @206798
     /*  206798 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(206839), // Rule ID 1041 //
     /*  206803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206820 */     // MIs[0] rs1
     /*  206820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206832 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206837 */     GIR_RootConstrainSelectedInstOperands,
     /*  206838 */     // GIR_Coverage, 1041,
     /*  206838 */     GIR_Done,
     /*  206839 */   // Label 4130: @206839
     /*  206839 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(206880), // Rule ID 1043 //
     /*  206844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206861 */     // MIs[0] rs1
     /*  206861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206873 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206878 */     GIR_RootConstrainSelectedInstOperands,
     /*  206879 */     // GIR_Coverage, 1043,
     /*  206879 */     GIR_Done,
     /*  206880 */   // Label 4131: @206880
     /*  206880 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(206921), // Rule ID 1045 //
     /*  206885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206902 */     // MIs[0] rs1
     /*  206902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206914 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206919 */     GIR_RootConstrainSelectedInstOperands,
     /*  206920 */     // GIR_Coverage, 1045,
     /*  206920 */     GIR_Done,
     /*  206921 */   // Label 4132: @206921
     /*  206921 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(206962), // Rule ID 1047 //
     /*  206926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206943 */     // MIs[0] rs1
     /*  206943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206955 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206960 */     GIR_RootConstrainSelectedInstOperands,
     /*  206961 */     // GIR_Coverage, 1047,
     /*  206961 */     GIR_Done,
     /*  206962 */   // Label 4133: @206962
     /*  206962 */   GIM_Reject,
     /*  206963 */ // Label 4093: @206963
     /*  206963 */ GIM_Reject,
     /*  206964 */ // Label 4061: @206964
     /*  206964 */ GIM_Reject,
     /*  206965 */ // Label 36: @206965
     /*  206965 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4136*/ GIMT_Encode4(207182),
     /*  206976 */ /*GILLT_s32*//*Label 4134*/ GIMT_Encode4(206984),
     /*  206980 */ /*GILLT_s64*//*Label 4135*/ GIMT_Encode4(207083),
     /*  206984 */ // Label 4134: @206984
     /*  206984 */ GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(207010), // Rule ID 245 //
     /*  206989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206992 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  206996 */   // MIs[0] Operand 1
     /*  206996 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206999 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  206999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  207005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207008 */   GIR_RootConstrainSelectedInstOperands,
     /*  207009 */   // GIR_Coverage, 245,
     /*  207009 */   GIR_EraseRootFromParent_Done,
     /*  207010 */ // Label 4137: @207010
     /*  207010 */ GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(207036), // Rule ID 247 //
     /*  207015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207018 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  207022 */   // MIs[0] Operand 1
     /*  207022 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207025 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  207025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  207034 */   GIR_RootConstrainSelectedInstOperands,
     /*  207035 */   // GIR_Coverage, 247,
     /*  207035 */   GIR_EraseRootFromParent_Done,
     /*  207036 */ // Label 4138: @207036
     /*  207036 */ GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(207056), // Rule ID 249 //
     /*  207041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207044 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  207048 */   // MIs[0] Operand 1
     /*  207048 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207051 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  207051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  207054 */   GIR_RootConstrainSelectedInstOperands,
     /*  207055 */   // GIR_Coverage, 249,
     /*  207055 */   GIR_EraseRootFromParent_Done,
     /*  207056 */ // Label 4139: @207056
     /*  207056 */ GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(207082), // Rule ID 251 //
     /*  207061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207064 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  207068 */   // MIs[0] Operand 1
     /*  207068 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207071 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  207071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207080 */   GIR_RootConstrainSelectedInstOperands,
     /*  207081 */   // GIR_Coverage, 251,
     /*  207081 */   GIR_EraseRootFromParent_Done,
     /*  207082 */ // Label 4140: @207082
     /*  207082 */ GIM_Reject,
     /*  207083 */ // Label 4135: @207083
     /*  207083 */ GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(207109), // Rule ID 244 //
     /*  207088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207091 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  207095 */   // MIs[0] Operand 1
     /*  207095 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207098 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  207098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  207104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207107 */   GIR_RootConstrainSelectedInstOperands,
     /*  207108 */   // GIR_Coverage, 244,
     /*  207108 */   GIR_EraseRootFromParent_Done,
     /*  207109 */ // Label 4141: @207109
     /*  207109 */ GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(207135), // Rule ID 246 //
     /*  207114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207117 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  207121 */   // MIs[0] Operand 1
     /*  207121 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207124 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  207124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  207133 */   GIR_RootConstrainSelectedInstOperands,
     /*  207134 */   // GIR_Coverage, 246,
     /*  207134 */   GIR_EraseRootFromParent_Done,
     /*  207135 */ // Label 4142: @207135
     /*  207135 */ GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(207155), // Rule ID 248 //
     /*  207140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207143 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  207147 */   // MIs[0] Operand 1
     /*  207147 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207150 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  207150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  207153 */   GIR_RootConstrainSelectedInstOperands,
     /*  207154 */   // GIR_Coverage, 248,
     /*  207154 */   GIR_EraseRootFromParent_Done,
     /*  207155 */ // Label 4143: @207155
     /*  207155 */ GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(207181), // Rule ID 250 //
     /*  207160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207163 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  207167 */   // MIs[0] Operand 1
     /*  207167 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207170 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  207170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207179 */   GIR_RootConstrainSelectedInstOperands,
     /*  207180 */   // GIR_Coverage, 250,
     /*  207180 */   GIR_EraseRootFromParent_Done,
     /*  207181 */ // Label 4144: @207181
     /*  207181 */ GIM_Reject,
     /*  207182 */ // Label 4136: @207182
     /*  207182 */ GIM_Reject,
     /*  207183 */ // Label 37: @207183
     /*  207183 */ GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(208668),
     /*  207188 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  207191 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(207236), // Rule ID 2604 //
     /*  207196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207221 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  207224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207234 */     GIR_RootConstrainSelectedInstOperands,
     /*  207235 */     // GIR_Coverage, 2604,
     /*  207235 */     GIR_EraseRootFromParent_Done,
     /*  207236 */   // Label 4146: @207236
     /*  207236 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(207281), // Rule ID 2605 //
     /*  207241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  207269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207279 */     GIR_RootConstrainSelectedInstOperands,
     /*  207280 */     // GIR_Coverage, 2605,
     /*  207280 */     GIR_EraseRootFromParent_Done,
     /*  207281 */   // Label 4147: @207281
     /*  207281 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(207326), // Rule ID 23146 //
     /*  207286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207311 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  207314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207324 */     GIR_RootConstrainSelectedInstOperands,
     /*  207325 */     // GIR_Coverage, 23146,
     /*  207325 */     GIR_EraseRootFromParent_Done,
     /*  207326 */   // Label 4148: @207326
     /*  207326 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(207371), // Rule ID 23147 //
     /*  207331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  207359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207369 */     GIR_RootConstrainSelectedInstOperands,
     /*  207370 */     // GIR_Coverage, 23147,
     /*  207370 */     GIR_EraseRootFromParent_Done,
     /*  207371 */   // Label 4149: @207371
     /*  207371 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(207416), // Rule ID 23148 //
     /*  207376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207401 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  207404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207414 */     GIR_RootConstrainSelectedInstOperands,
     /*  207415 */     // GIR_Coverage, 23148,
     /*  207415 */     GIR_EraseRootFromParent_Done,
     /*  207416 */   // Label 4150: @207416
     /*  207416 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(207461), // Rule ID 23149 //
     /*  207421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  207449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207459 */     GIR_RootConstrainSelectedInstOperands,
     /*  207460 */     // GIR_Coverage, 23149,
     /*  207460 */     GIR_EraseRootFromParent_Done,
     /*  207461 */   // Label 4151: @207461
     /*  207461 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(207506), // Rule ID 23150 //
     /*  207466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207491 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207504 */     GIR_RootConstrainSelectedInstOperands,
     /*  207505 */     // GIR_Coverage, 23150,
     /*  207505 */     GIR_EraseRootFromParent_Done,
     /*  207506 */   // Label 4152: @207506
     /*  207506 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(207551), // Rule ID 23151 //
     /*  207511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207549 */     GIR_RootConstrainSelectedInstOperands,
     /*  207550 */     // GIR_Coverage, 23151,
     /*  207550 */     GIR_EraseRootFromParent_Done,
     /*  207551 */   // Label 4153: @207551
     /*  207551 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(207596), // Rule ID 23152 //
     /*  207556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207581 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207594 */     GIR_RootConstrainSelectedInstOperands,
     /*  207595 */     // GIR_Coverage, 23152,
     /*  207595 */     GIR_EraseRootFromParent_Done,
     /*  207596 */   // Label 4154: @207596
     /*  207596 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(207641), // Rule ID 23153 //
     /*  207601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207639 */     GIR_RootConstrainSelectedInstOperands,
     /*  207640 */     // GIR_Coverage, 23153,
     /*  207640 */     GIR_EraseRootFromParent_Done,
     /*  207641 */   // Label 4155: @207641
     /*  207641 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(207686), // Rule ID 23154 //
     /*  207646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207671 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207684 */     GIR_RootConstrainSelectedInstOperands,
     /*  207685 */     // GIR_Coverage, 23154,
     /*  207685 */     GIR_EraseRootFromParent_Done,
     /*  207686 */   // Label 4156: @207686
     /*  207686 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(207731), // Rule ID 23155 //
     /*  207691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207716 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207729 */     GIR_RootConstrainSelectedInstOperands,
     /*  207730 */     // GIR_Coverage, 23155,
     /*  207730 */     GIR_EraseRootFromParent_Done,
     /*  207731 */   // Label 4157: @207731
     /*  207731 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(207776), // Rule ID 23156 //
     /*  207736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207761 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207774 */     GIR_RootConstrainSelectedInstOperands,
     /*  207775 */     // GIR_Coverage, 23156,
     /*  207775 */     GIR_EraseRootFromParent_Done,
     /*  207776 */   // Label 4158: @207776
     /*  207776 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(207821), // Rule ID 23157 //
     /*  207781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207806 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207819 */     GIR_RootConstrainSelectedInstOperands,
     /*  207820 */     // GIR_Coverage, 23157,
     /*  207820 */     GIR_EraseRootFromParent_Done,
     /*  207821 */   // Label 4159: @207821
     /*  207821 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(207866), // Rule ID 23158 //
     /*  207826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207851 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207864 */     GIR_RootConstrainSelectedInstOperands,
     /*  207865 */     // GIR_Coverage, 23158,
     /*  207865 */     GIR_EraseRootFromParent_Done,
     /*  207866 */   // Label 4160: @207866
     /*  207866 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(207911), // Rule ID 23159 //
     /*  207871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207896 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207909 */     GIR_RootConstrainSelectedInstOperands,
     /*  207910 */     // GIR_Coverage, 23159,
     /*  207910 */     GIR_EraseRootFromParent_Done,
     /*  207911 */   // Label 4161: @207911
     /*  207911 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(207956), // Rule ID 23160 //
     /*  207916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207941 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207954 */     GIR_RootConstrainSelectedInstOperands,
     /*  207955 */     // GIR_Coverage, 23160,
     /*  207955 */     GIR_EraseRootFromParent_Done,
     /*  207956 */   // Label 4162: @207956
     /*  207956 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(208001), // Rule ID 23161 //
     /*  207961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207986 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207999 */     GIR_RootConstrainSelectedInstOperands,
     /*  208000 */     // GIR_Coverage, 23161,
     /*  208000 */     GIR_EraseRootFromParent_Done,
     /*  208001 */   // Label 4163: @208001
     /*  208001 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(208046), // Rule ID 23162 //
     /*  208006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208031 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  208034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208044 */     GIR_RootConstrainSelectedInstOperands,
     /*  208045 */     // GIR_Coverage, 23162,
     /*  208045 */     GIR_EraseRootFromParent_Done,
     /*  208046 */   // Label 4164: @208046
     /*  208046 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(208091), // Rule ID 23163 //
     /*  208051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  208079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208089 */     GIR_RootConstrainSelectedInstOperands,
     /*  208090 */     // GIR_Coverage, 23163,
     /*  208090 */     GIR_EraseRootFromParent_Done,
     /*  208091 */   // Label 4165: @208091
     /*  208091 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(208136), // Rule ID 23164 //
     /*  208096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208121 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  208124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208134 */     GIR_RootConstrainSelectedInstOperands,
     /*  208135 */     // GIR_Coverage, 23164,
     /*  208135 */     GIR_EraseRootFromParent_Done,
     /*  208136 */   // Label 4166: @208136
     /*  208136 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(208181), // Rule ID 23165 //
     /*  208141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208166 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  208169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208179 */     GIR_RootConstrainSelectedInstOperands,
     /*  208180 */     // GIR_Coverage, 23165,
     /*  208180 */     GIR_EraseRootFromParent_Done,
     /*  208181 */   // Label 4167: @208181
     /*  208181 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(208226), // Rule ID 23166 //
     /*  208186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208211 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  208214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208224 */     GIR_RootConstrainSelectedInstOperands,
     /*  208225 */     // GIR_Coverage, 23166,
     /*  208225 */     GIR_EraseRootFromParent_Done,
     /*  208226 */   // Label 4168: @208226
     /*  208226 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(208271), // Rule ID 23167 //
     /*  208231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  208259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208269 */     GIR_RootConstrainSelectedInstOperands,
     /*  208270 */     // GIR_Coverage, 23167,
     /*  208270 */     GIR_EraseRootFromParent_Done,
     /*  208271 */   // Label 4169: @208271
     /*  208271 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(208316), // Rule ID 23168 //
     /*  208276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208301 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  208304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208314 */     GIR_RootConstrainSelectedInstOperands,
     /*  208315 */     // GIR_Coverage, 23168,
     /*  208315 */     GIR_EraseRootFromParent_Done,
     /*  208316 */   // Label 4170: @208316
     /*  208316 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(208361), // Rule ID 23169 //
     /*  208321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208346 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  208349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208359 */     GIR_RootConstrainSelectedInstOperands,
     /*  208360 */     // GIR_Coverage, 23169,
     /*  208360 */     GIR_EraseRootFromParent_Done,
     /*  208361 */   // Label 4171: @208361
     /*  208361 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(208406), // Rule ID 23170 //
     /*  208366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  208377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208391 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  208394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208404 */     GIR_RootConstrainSelectedInstOperands,
     /*  208405 */     // GIR_Coverage, 23170,
     /*  208405 */     GIR_EraseRootFromParent_Done,
     /*  208406 */   // Label 4172: @208406
     /*  208406 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(208451), // Rule ID 23171 //
     /*  208411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  208422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208436 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  208439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208449 */     GIR_RootConstrainSelectedInstOperands,
     /*  208450 */     // GIR_Coverage, 23171,
     /*  208450 */     GIR_EraseRootFromParent_Done,
     /*  208451 */   // Label 4173: @208451
     /*  208451 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(208487), // Rule ID 2541 //
     /*  208456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  208459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  208464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208478 */     // (intrinsic_wo_chain:{ *:[i64] } 10904:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  208481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208485 */     GIR_RootConstrainSelectedInstOperands,
     /*  208486 */     // GIR_Coverage, 2541,
     /*  208486 */     GIR_EraseRootFromParent_Done,
     /*  208487 */   // Label 4174: @208487
     /*  208487 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(208523), // Rule ID 2562 //
     /*  208492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  208500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208514 */     // (intrinsic_wo_chain:{ *:[i64] } 11040:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  208517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208521 */     GIR_RootConstrainSelectedInstOperands,
     /*  208522 */     // GIR_Coverage, 2562,
     /*  208522 */     GIR_EraseRootFromParent_Done,
     /*  208523 */   // Label 4175: @208523
     /*  208523 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(208559), // Rule ID 2563 //
     /*  208528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  208536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208550 */     // (intrinsic_wo_chain:{ *:[i64] } 11043:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  208553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208557 */     GIR_RootConstrainSelectedInstOperands,
     /*  208558 */     // GIR_Coverage, 2563,
     /*  208558 */     GIR_EraseRootFromParent_Done,
     /*  208559 */   // Label 4176: @208559
     /*  208559 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(208595), // Rule ID 2564 //
     /*  208564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  208572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208586 */     // (intrinsic_wo_chain:{ *:[i64] } 11046:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  208589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208593 */     GIR_RootConstrainSelectedInstOperands,
     /*  208594 */     // GIR_Coverage, 2564,
     /*  208594 */     GIR_EraseRootFromParent_Done,
     /*  208595 */   // Label 4177: @208595
     /*  208595 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(208631), // Rule ID 2565 //
     /*  208600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  208608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208622 */     // (intrinsic_wo_chain:{ *:[i64] } 11048:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  208625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208629 */     GIR_RootConstrainSelectedInstOperands,
     /*  208630 */     // GIR_Coverage, 2565,
     /*  208630 */     GIR_EraseRootFromParent_Done,
     /*  208631 */   // Label 4178: @208631
     /*  208631 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(208667), // Rule ID 64355 //
     /*  208636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  208639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  208644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208658 */     // (intrinsic_wo_chain:{ *:[i32] } 10924:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  208658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  208661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208665 */     GIR_RootConstrainSelectedInstOperands,
     /*  208666 */     // GIR_Coverage, 64355,
     /*  208666 */     GIR_EraseRootFromParent_Done,
     /*  208667 */   // Label 4179: @208667
     /*  208667 */   GIM_Reject,
     /*  208668 */ // Label 4145: @208668
     /*  208668 */ GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(215956),
     /*  208673 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  208676 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(208730), // Rule ID 2574 //
     /*  208681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208713 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208728 */     GIR_RootConstrainSelectedInstOperands,
     /*  208729 */     // GIR_Coverage, 2574,
     /*  208729 */     GIR_EraseRootFromParent_Done,
     /*  208730 */   // Label 4181: @208730
     /*  208730 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(208784), // Rule ID 2575 //
     /*  208735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208767 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208782 */     GIR_RootConstrainSelectedInstOperands,
     /*  208783 */     // GIR_Coverage, 2575,
     /*  208783 */     GIR_EraseRootFromParent_Done,
     /*  208784 */   // Label 4182: @208784
     /*  208784 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(208838), // Rule ID 2580 //
     /*  208789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208836 */     GIR_RootConstrainSelectedInstOperands,
     /*  208837 */     // GIR_Coverage, 2580,
     /*  208837 */     GIR_EraseRootFromParent_Done,
     /*  208838 */   // Label 4183: @208838
     /*  208838 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(208892), // Rule ID 2581 //
     /*  208843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208875 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208890 */     GIR_RootConstrainSelectedInstOperands,
     /*  208891 */     // GIR_Coverage, 2581,
     /*  208891 */     GIR_EraseRootFromParent_Done,
     /*  208892 */   // Label 4184: @208892
     /*  208892 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(208949), // Rule ID 2600 //
     /*  208897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208929 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  208929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208947 */     GIR_RootConstrainSelectedInstOperands,
     /*  208948 */     // GIR_Coverage, 2600,
     /*  208948 */     GIR_EraseRootFromParent_Done,
     /*  208949 */   // Label 4185: @208949
     /*  208949 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(209006), // Rule ID 2601 //
     /*  208954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  208986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209004 */     GIR_RootConstrainSelectedInstOperands,
     /*  209005 */     // GIR_Coverage, 2601,
     /*  209005 */     GIR_EraseRootFromParent_Done,
     /*  209006 */   // Label 4186: @209006
     /*  209006 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(209060), // Rule ID 23172 //
     /*  209011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209043 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  209046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209058 */     GIR_RootConstrainSelectedInstOperands,
     /*  209059 */     // GIR_Coverage, 23172,
     /*  209059 */     GIR_EraseRootFromParent_Done,
     /*  209060 */   // Label 4187: @209060
     /*  209060 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(209114), // Rule ID 23173 //
     /*  209065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209097 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  209100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209112 */     GIR_RootConstrainSelectedInstOperands,
     /*  209113 */     // GIR_Coverage, 23173,
     /*  209113 */     GIR_EraseRootFromParent_Done,
     /*  209114 */   // Label 4188: @209114
     /*  209114 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(209168), // Rule ID 23176 //
     /*  209119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209151 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  209154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209166 */     GIR_RootConstrainSelectedInstOperands,
     /*  209167 */     // GIR_Coverage, 23176,
     /*  209167 */     GIR_EraseRootFromParent_Done,
     /*  209168 */   // Label 4189: @209168
     /*  209168 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(209222), // Rule ID 23177 //
     /*  209173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209205 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  209208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209220 */     GIR_RootConstrainSelectedInstOperands,
     /*  209221 */     // GIR_Coverage, 23177,
     /*  209221 */     GIR_EraseRootFromParent_Done,
     /*  209222 */   // Label 4190: @209222
     /*  209222 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(209276), // Rule ID 23180 //
     /*  209227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209259 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  209262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209274 */     GIR_RootConstrainSelectedInstOperands,
     /*  209275 */     // GIR_Coverage, 23180,
     /*  209275 */     GIR_EraseRootFromParent_Done,
     /*  209276 */   // Label 4191: @209276
     /*  209276 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(209330), // Rule ID 23181 //
     /*  209281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209313 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  209316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209328 */     GIR_RootConstrainSelectedInstOperands,
     /*  209329 */     // GIR_Coverage, 23181,
     /*  209329 */     GIR_EraseRootFromParent_Done,
     /*  209330 */   // Label 4192: @209330
     /*  209330 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(209384), // Rule ID 23184 //
     /*  209335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209367 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  209370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209382 */     GIR_RootConstrainSelectedInstOperands,
     /*  209383 */     // GIR_Coverage, 23184,
     /*  209383 */     GIR_EraseRootFromParent_Done,
     /*  209384 */   // Label 4193: @209384
     /*  209384 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(209438), // Rule ID 23185 //
     /*  209389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209421 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  209424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209436 */     GIR_RootConstrainSelectedInstOperands,
     /*  209437 */     // GIR_Coverage, 23185,
     /*  209437 */     GIR_EraseRootFromParent_Done,
     /*  209438 */   // Label 4194: @209438
     /*  209438 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(209492), // Rule ID 23188 //
     /*  209443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209475 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209490 */     GIR_RootConstrainSelectedInstOperands,
     /*  209491 */     // GIR_Coverage, 23188,
     /*  209491 */     GIR_EraseRootFromParent_Done,
     /*  209492 */   // Label 4195: @209492
     /*  209492 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(209546), // Rule ID 23189 //
     /*  209497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209529 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209544 */     GIR_RootConstrainSelectedInstOperands,
     /*  209545 */     // GIR_Coverage, 23189,
     /*  209545 */     GIR_EraseRootFromParent_Done,
     /*  209546 */   // Label 4196: @209546
     /*  209546 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(209600), // Rule ID 23192 //
     /*  209551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209583 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209598 */     GIR_RootConstrainSelectedInstOperands,
     /*  209599 */     // GIR_Coverage, 23192,
     /*  209599 */     GIR_EraseRootFromParent_Done,
     /*  209600 */   // Label 4197: @209600
     /*  209600 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(209654), // Rule ID 23193 //
     /*  209605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209637 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209652 */     GIR_RootConstrainSelectedInstOperands,
     /*  209653 */     // GIR_Coverage, 23193,
     /*  209653 */     GIR_EraseRootFromParent_Done,
     /*  209654 */   // Label 4198: @209654
     /*  209654 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(209708), // Rule ID 23196 //
     /*  209659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209691 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209706 */     GIR_RootConstrainSelectedInstOperands,
     /*  209707 */     // GIR_Coverage, 23196,
     /*  209707 */     GIR_EraseRootFromParent_Done,
     /*  209708 */   // Label 4199: @209708
     /*  209708 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(209762), // Rule ID 23197 //
     /*  209713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209745 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209760 */     GIR_RootConstrainSelectedInstOperands,
     /*  209761 */     // GIR_Coverage, 23197,
     /*  209761 */     GIR_EraseRootFromParent_Done,
     /*  209762 */   // Label 4200: @209762
     /*  209762 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(209816), // Rule ID 23200 //
     /*  209767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209799 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209814 */     GIR_RootConstrainSelectedInstOperands,
     /*  209815 */     // GIR_Coverage, 23200,
     /*  209815 */     GIR_EraseRootFromParent_Done,
     /*  209816 */   // Label 4201: @209816
     /*  209816 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(209870), // Rule ID 23201 //
     /*  209821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209853 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209868 */     GIR_RootConstrainSelectedInstOperands,
     /*  209869 */     // GIR_Coverage, 23201,
     /*  209869 */     GIR_EraseRootFromParent_Done,
     /*  209870 */   // Label 4202: @209870
     /*  209870 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(209924), // Rule ID 23204 //
     /*  209875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209907 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209922 */     GIR_RootConstrainSelectedInstOperands,
     /*  209923 */     // GIR_Coverage, 23204,
     /*  209923 */     GIR_EraseRootFromParent_Done,
     /*  209924 */   // Label 4203: @209924
     /*  209924 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(209978), // Rule ID 23205 //
     /*  209929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209961 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209976 */     GIR_RootConstrainSelectedInstOperands,
     /*  209977 */     // GIR_Coverage, 23205,
     /*  209977 */     GIR_EraseRootFromParent_Done,
     /*  209978 */   // Label 4204: @209978
     /*  209978 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(210032), // Rule ID 23208 //
     /*  209983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210015 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  210018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210030 */     GIR_RootConstrainSelectedInstOperands,
     /*  210031 */     // GIR_Coverage, 23208,
     /*  210031 */     GIR_EraseRootFromParent_Done,
     /*  210032 */   // Label 4205: @210032
     /*  210032 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(210086), // Rule ID 23209 //
     /*  210037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210069 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  210072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210084 */     GIR_RootConstrainSelectedInstOperands,
     /*  210085 */     // GIR_Coverage, 23209,
     /*  210085 */     GIR_EraseRootFromParent_Done,
     /*  210086 */   // Label 4206: @210086
     /*  210086 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(210140), // Rule ID 23212 //
     /*  210091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210123 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  210126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210138 */     GIR_RootConstrainSelectedInstOperands,
     /*  210139 */     // GIR_Coverage, 23212,
     /*  210139 */     GIR_EraseRootFromParent_Done,
     /*  210140 */   // Label 4207: @210140
     /*  210140 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(210194), // Rule ID 23213 //
     /*  210145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210177 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  210180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210192 */     GIR_RootConstrainSelectedInstOperands,
     /*  210193 */     // GIR_Coverage, 23213,
     /*  210193 */     GIR_EraseRootFromParent_Done,
     /*  210194 */   // Label 4208: @210194
     /*  210194 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(210248), // Rule ID 23216 //
     /*  210199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210231 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  210234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210246 */     GIR_RootConstrainSelectedInstOperands,
     /*  210247 */     // GIR_Coverage, 23216,
     /*  210247 */     GIR_EraseRootFromParent_Done,
     /*  210248 */   // Label 4209: @210248
     /*  210248 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(210302), // Rule ID 23217 //
     /*  210253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210285 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  210288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210300 */     GIR_RootConstrainSelectedInstOperands,
     /*  210301 */     // GIR_Coverage, 23217,
     /*  210301 */     GIR_EraseRootFromParent_Done,
     /*  210302 */   // Label 4210: @210302
     /*  210302 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(210356), // Rule ID 23220 //
     /*  210307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210339 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  210342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210354 */     GIR_RootConstrainSelectedInstOperands,
     /*  210355 */     // GIR_Coverage, 23220,
     /*  210355 */     GIR_EraseRootFromParent_Done,
     /*  210356 */   // Label 4211: @210356
     /*  210356 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(210410), // Rule ID 23221 //
     /*  210361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210393 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  210396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210408 */     GIR_RootConstrainSelectedInstOperands,
     /*  210409 */     // GIR_Coverage, 23221,
     /*  210409 */     GIR_EraseRootFromParent_Done,
     /*  210410 */   // Label 4212: @210410
     /*  210410 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(210464), // Rule ID 23224 //
     /*  210415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210462 */     GIR_RootConstrainSelectedInstOperands,
     /*  210463 */     // GIR_Coverage, 23224,
     /*  210463 */     GIR_EraseRootFromParent_Done,
     /*  210464 */   // Label 4213: @210464
     /*  210464 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(210518), // Rule ID 23225 //
     /*  210469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210516 */     GIR_RootConstrainSelectedInstOperands,
     /*  210517 */     // GIR_Coverage, 23225,
     /*  210517 */     GIR_EraseRootFromParent_Done,
     /*  210518 */   // Label 4214: @210518
     /*  210518 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(210572), // Rule ID 23228 //
     /*  210523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210555 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210570 */     GIR_RootConstrainSelectedInstOperands,
     /*  210571 */     // GIR_Coverage, 23228,
     /*  210571 */     GIR_EraseRootFromParent_Done,
     /*  210572 */   // Label 4215: @210572
     /*  210572 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(210626), // Rule ID 23229 //
     /*  210577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210624 */     GIR_RootConstrainSelectedInstOperands,
     /*  210625 */     // GIR_Coverage, 23229,
     /*  210625 */     GIR_EraseRootFromParent_Done,
     /*  210626 */   // Label 4216: @210626
     /*  210626 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(210680), // Rule ID 23232 //
     /*  210631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210678 */     GIR_RootConstrainSelectedInstOperands,
     /*  210679 */     // GIR_Coverage, 23232,
     /*  210679 */     GIR_EraseRootFromParent_Done,
     /*  210680 */   // Label 4217: @210680
     /*  210680 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(210734), // Rule ID 23233 //
     /*  210685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210717 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210732 */     GIR_RootConstrainSelectedInstOperands,
     /*  210733 */     // GIR_Coverage, 23233,
     /*  210733 */     GIR_EraseRootFromParent_Done,
     /*  210734 */   // Label 4218: @210734
     /*  210734 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(210788), // Rule ID 23236 //
     /*  210739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210771 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210786 */     GIR_RootConstrainSelectedInstOperands,
     /*  210787 */     // GIR_Coverage, 23236,
     /*  210787 */     GIR_EraseRootFromParent_Done,
     /*  210788 */   // Label 4219: @210788
     /*  210788 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(210842), // Rule ID 23237 //
     /*  210793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210825 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210840 */     GIR_RootConstrainSelectedInstOperands,
     /*  210841 */     // GIR_Coverage, 23237,
     /*  210841 */     GIR_EraseRootFromParent_Done,
     /*  210842 */   // Label 4220: @210842
     /*  210842 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(210896), // Rule ID 23240 //
     /*  210847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210879 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210894 */     GIR_RootConstrainSelectedInstOperands,
     /*  210895 */     // GIR_Coverage, 23240,
     /*  210895 */     GIR_EraseRootFromParent_Done,
     /*  210896 */   // Label 4221: @210896
     /*  210896 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(210950), // Rule ID 23241 //
     /*  210901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210933 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210948 */     GIR_RootConstrainSelectedInstOperands,
     /*  210949 */     // GIR_Coverage, 23241,
     /*  210949 */     GIR_EraseRootFromParent_Done,
     /*  210950 */   // Label 4222: @210950
     /*  210950 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(211004), // Rule ID 23244 //
     /*  210955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210987 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  210990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211002 */     GIR_RootConstrainSelectedInstOperands,
     /*  211003 */     // GIR_Coverage, 23244,
     /*  211003 */     GIR_EraseRootFromParent_Done,
     /*  211004 */   // Label 4223: @211004
     /*  211004 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(211058), // Rule ID 23245 //
     /*  211009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211041 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  211044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211056 */     GIR_RootConstrainSelectedInstOperands,
     /*  211057 */     // GIR_Coverage, 23245,
     /*  211057 */     GIR_EraseRootFromParent_Done,
     /*  211058 */   // Label 4224: @211058
     /*  211058 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(211112), // Rule ID 23248 //
     /*  211063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  211098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211110 */     GIR_RootConstrainSelectedInstOperands,
     /*  211111 */     // GIR_Coverage, 23248,
     /*  211111 */     GIR_EraseRootFromParent_Done,
     /*  211112 */   // Label 4225: @211112
     /*  211112 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(211166), // Rule ID 23249 //
     /*  211117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  211152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211164 */     GIR_RootConstrainSelectedInstOperands,
     /*  211165 */     // GIR_Coverage, 23249,
     /*  211165 */     GIR_EraseRootFromParent_Done,
     /*  211166 */   // Label 4226: @211166
     /*  211166 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(211220), // Rule ID 23252 //
     /*  211171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211203 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  211206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211218 */     GIR_RootConstrainSelectedInstOperands,
     /*  211219 */     // GIR_Coverage, 23252,
     /*  211219 */     GIR_EraseRootFromParent_Done,
     /*  211220 */   // Label 4227: @211220
     /*  211220 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(211274), // Rule ID 23253 //
     /*  211225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211257 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  211260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211272 */     GIR_RootConstrainSelectedInstOperands,
     /*  211273 */     // GIR_Coverage, 23253,
     /*  211273 */     GIR_EraseRootFromParent_Done,
     /*  211274 */   // Label 4228: @211274
     /*  211274 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(211328), // Rule ID 23256 //
     /*  211279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211311 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  211314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211326 */     GIR_RootConstrainSelectedInstOperands,
     /*  211327 */     // GIR_Coverage, 23256,
     /*  211327 */     GIR_EraseRootFromParent_Done,
     /*  211328 */   // Label 4229: @211328
     /*  211328 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(211382), // Rule ID 23257 //
     /*  211333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  211368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211380 */     GIR_RootConstrainSelectedInstOperands,
     /*  211381 */     // GIR_Coverage, 23257,
     /*  211381 */     GIR_EraseRootFromParent_Done,
     /*  211382 */   // Label 4230: @211382
     /*  211382 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(211436), // Rule ID 23260 //
     /*  211387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  211422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211434 */     GIR_RootConstrainSelectedInstOperands,
     /*  211435 */     // GIR_Coverage, 23260,
     /*  211435 */     GIR_EraseRootFromParent_Done,
     /*  211436 */   // Label 4231: @211436
     /*  211436 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(211490), // Rule ID 23261 //
     /*  211441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  211476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211488 */     GIR_RootConstrainSelectedInstOperands,
     /*  211489 */     // GIR_Coverage, 23261,
     /*  211489 */     GIR_EraseRootFromParent_Done,
     /*  211490 */   // Label 4232: @211490
     /*  211490 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(211544), // Rule ID 23264 //
     /*  211495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211527 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211542 */     GIR_RootConstrainSelectedInstOperands,
     /*  211543 */     // GIR_Coverage, 23264,
     /*  211543 */     GIR_EraseRootFromParent_Done,
     /*  211544 */   // Label 4233: @211544
     /*  211544 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(211598), // Rule ID 23265 //
     /*  211549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211581 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211596 */     GIR_RootConstrainSelectedInstOperands,
     /*  211597 */     // GIR_Coverage, 23265,
     /*  211597 */     GIR_EraseRootFromParent_Done,
     /*  211598 */   // Label 4234: @211598
     /*  211598 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(211652), // Rule ID 23268 //
     /*  211603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211635 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211650 */     GIR_RootConstrainSelectedInstOperands,
     /*  211651 */     // GIR_Coverage, 23268,
     /*  211651 */     GIR_EraseRootFromParent_Done,
     /*  211652 */   // Label 4235: @211652
     /*  211652 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(211706), // Rule ID 23269 //
     /*  211657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211689 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211704 */     GIR_RootConstrainSelectedInstOperands,
     /*  211705 */     // GIR_Coverage, 23269,
     /*  211705 */     GIR_EraseRootFromParent_Done,
     /*  211706 */   // Label 4236: @211706
     /*  211706 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(211760), // Rule ID 23272 //
     /*  211711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211743 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211758 */     GIR_RootConstrainSelectedInstOperands,
     /*  211759 */     // GIR_Coverage, 23272,
     /*  211759 */     GIR_EraseRootFromParent_Done,
     /*  211760 */   // Label 4237: @211760
     /*  211760 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(211814), // Rule ID 23273 //
     /*  211765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211797 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211812 */     GIR_RootConstrainSelectedInstOperands,
     /*  211813 */     // GIR_Coverage, 23273,
     /*  211813 */     GIR_EraseRootFromParent_Done,
     /*  211814 */   // Label 4238: @211814
     /*  211814 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(211868), // Rule ID 23276 //
     /*  211819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211851 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211866 */     GIR_RootConstrainSelectedInstOperands,
     /*  211867 */     // GIR_Coverage, 23276,
     /*  211867 */     GIR_EraseRootFromParent_Done,
     /*  211868 */   // Label 4239: @211868
     /*  211868 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(211922), // Rule ID 23277 //
     /*  211873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211920 */     GIR_RootConstrainSelectedInstOperands,
     /*  211921 */     // GIR_Coverage, 23277,
     /*  211921 */     GIR_EraseRootFromParent_Done,
     /*  211922 */   // Label 4240: @211922
     /*  211922 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(211976), // Rule ID 23280 //
     /*  211927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  211962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211974 */     GIR_RootConstrainSelectedInstOperands,
     /*  211975 */     // GIR_Coverage, 23280,
     /*  211975 */     GIR_EraseRootFromParent_Done,
     /*  211976 */   // Label 4241: @211976
     /*  211976 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(212030), // Rule ID 23281 //
     /*  211981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  212016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212028 */     GIR_RootConstrainSelectedInstOperands,
     /*  212029 */     // GIR_Coverage, 23281,
     /*  212029 */     GIR_EraseRootFromParent_Done,
     /*  212030 */   // Label 4242: @212030
     /*  212030 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(212084), // Rule ID 23284 //
     /*  212035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  212049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  212070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212082 */     GIR_RootConstrainSelectedInstOperands,
     /*  212083 */     // GIR_Coverage, 23284,
     /*  212083 */     GIR_EraseRootFromParent_Done,
     /*  212084 */   // Label 4243: @212084
     /*  212084 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(212138), // Rule ID 23285 //
     /*  212089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  212103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212121 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  212124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212136 */     GIR_RootConstrainSelectedInstOperands,
     /*  212137 */     // GIR_Coverage, 23285,
     /*  212137 */     GIR_EraseRootFromParent_Done,
     /*  212138 */   // Label 4244: @212138
     /*  212138 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(212192), // Rule ID 23288 //
     /*  212143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212175 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  212178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212190 */     GIR_RootConstrainSelectedInstOperands,
     /*  212191 */     // GIR_Coverage, 23288,
     /*  212191 */     GIR_EraseRootFromParent_Done,
     /*  212192 */   // Label 4245: @212192
     /*  212192 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(212246), // Rule ID 23289 //
     /*  212197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  212232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212244 */     GIR_RootConstrainSelectedInstOperands,
     /*  212245 */     // GIR_Coverage, 23289,
     /*  212245 */     GIR_EraseRootFromParent_Done,
     /*  212246 */   // Label 4246: @212246
     /*  212246 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(212300), // Rule ID 23292 //
     /*  212251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  212286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212298 */     GIR_RootConstrainSelectedInstOperands,
     /*  212299 */     // GIR_Coverage, 23292,
     /*  212299 */     GIR_EraseRootFromParent_Done,
     /*  212300 */   // Label 4247: @212300
     /*  212300 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(212354), // Rule ID 23293 //
     /*  212305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  212340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212352 */     GIR_RootConstrainSelectedInstOperands,
     /*  212353 */     // GIR_Coverage, 23293,
     /*  212353 */     GIR_EraseRootFromParent_Done,
     /*  212354 */   // Label 4248: @212354
     /*  212354 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(212408), // Rule ID 23296 //
     /*  212359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  212373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212391 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  212394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212406 */     GIR_RootConstrainSelectedInstOperands,
     /*  212407 */     // GIR_Coverage, 23296,
     /*  212407 */     GIR_EraseRootFromParent_Done,
     /*  212408 */   // Label 4249: @212408
     /*  212408 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(212462), // Rule ID 23297 //
     /*  212413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  212427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212445 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  212448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212460 */     GIR_RootConstrainSelectedInstOperands,
     /*  212461 */     // GIR_Coverage, 23297,
     /*  212461 */     GIR_EraseRootFromParent_Done,
     /*  212462 */   // Label 4250: @212462
     /*  212462 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(212516), // Rule ID 23300 //
     /*  212467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212499 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212514 */     GIR_RootConstrainSelectedInstOperands,
     /*  212515 */     // GIR_Coverage, 23300,
     /*  212515 */     GIR_EraseRootFromParent_Done,
     /*  212516 */   // Label 4251: @212516
     /*  212516 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(212570), // Rule ID 23301 //
     /*  212521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212553 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212568 */     GIR_RootConstrainSelectedInstOperands,
     /*  212569 */     // GIR_Coverage, 23301,
     /*  212569 */     GIR_EraseRootFromParent_Done,
     /*  212570 */   // Label 4252: @212570
     /*  212570 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(212627), // Rule ID 23388 //
     /*  212575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212625 */     GIR_RootConstrainSelectedInstOperands,
     /*  212626 */     // GIR_Coverage, 23388,
     /*  212626 */     GIR_EraseRootFromParent_Done,
     /*  212627 */   // Label 4253: @212627
     /*  212627 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(212684), // Rule ID 23389 //
     /*  212632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212664 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212682 */     GIR_RootConstrainSelectedInstOperands,
     /*  212683 */     // GIR_Coverage, 23389,
     /*  212683 */     GIR_EraseRootFromParent_Done,
     /*  212684 */   // Label 4254: @212684
     /*  212684 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(212741), // Rule ID 23392 //
     /*  212689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212721 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212739 */     GIR_RootConstrainSelectedInstOperands,
     /*  212740 */     // GIR_Coverage, 23392,
     /*  212740 */     GIR_EraseRootFromParent_Done,
     /*  212741 */   // Label 4255: @212741
     /*  212741 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(212798), // Rule ID 23393 //
     /*  212746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212796 */     GIR_RootConstrainSelectedInstOperands,
     /*  212797 */     // GIR_Coverage, 23393,
     /*  212797 */     GIR_EraseRootFromParent_Done,
     /*  212798 */   // Label 4256: @212798
     /*  212798 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(212855), // Rule ID 23396 //
     /*  212803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212853 */     GIR_RootConstrainSelectedInstOperands,
     /*  212854 */     // GIR_Coverage, 23396,
     /*  212854 */     GIR_EraseRootFromParent_Done,
     /*  212855 */   // Label 4257: @212855
     /*  212855 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(212912), // Rule ID 23397 //
     /*  212860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212910 */     GIR_RootConstrainSelectedInstOperands,
     /*  212911 */     // GIR_Coverage, 23397,
     /*  212911 */     GIR_EraseRootFromParent_Done,
     /*  212912 */   // Label 4258: @212912
     /*  212912 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(212969), // Rule ID 23400 //
     /*  212917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212967 */     GIR_RootConstrainSelectedInstOperands,
     /*  212968 */     // GIR_Coverage, 23400,
     /*  212968 */     GIR_EraseRootFromParent_Done,
     /*  212969 */   // Label 4259: @212969
     /*  212969 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(213026), // Rule ID 23401 //
     /*  212974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213006 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213024 */     GIR_RootConstrainSelectedInstOperands,
     /*  213025 */     // GIR_Coverage, 23401,
     /*  213025 */     GIR_EraseRootFromParent_Done,
     /*  213026 */   // Label 4260: @213026
     /*  213026 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(213083), // Rule ID 23404 //
     /*  213031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  213042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213081 */     GIR_RootConstrainSelectedInstOperands,
     /*  213082 */     // GIR_Coverage, 23404,
     /*  213082 */     GIR_EraseRootFromParent_Done,
     /*  213083 */   // Label 4261: @213083
     /*  213083 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(213140), // Rule ID 23405 //
     /*  213088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  213099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213138 */     GIR_RootConstrainSelectedInstOperands,
     /*  213139 */     // GIR_Coverage, 23405,
     /*  213139 */     GIR_EraseRootFromParent_Done,
     /*  213140 */   // Label 4262: @213140
     /*  213140 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(213197), // Rule ID 23408 //
     /*  213145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  213156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213195 */     GIR_RootConstrainSelectedInstOperands,
     /*  213196 */     // GIR_Coverage, 23408,
     /*  213196 */     GIR_EraseRootFromParent_Done,
     /*  213197 */   // Label 4263: @213197
     /*  213197 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(213254), // Rule ID 23409 //
     /*  213202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  213213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213252 */     GIR_RootConstrainSelectedInstOperands,
     /*  213253 */     // GIR_Coverage, 23409,
     /*  213253 */     GIR_EraseRootFromParent_Done,
     /*  213254 */   // Label 4264: @213254
     /*  213254 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(213311), // Rule ID 23412 //
     /*  213259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  213270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  213273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213291 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213309 */     GIR_RootConstrainSelectedInstOperands,
     /*  213310 */     // GIR_Coverage, 23412,
     /*  213310 */     GIR_EraseRootFromParent_Done,
     /*  213311 */   // Label 4265: @213311
     /*  213311 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(213368), // Rule ID 23413 //
     /*  213316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  213327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  213330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213366 */     GIR_RootConstrainSelectedInstOperands,
     /*  213367 */     // GIR_Coverage, 23413,
     /*  213367 */     GIR_EraseRootFromParent_Done,
     /*  213368 */   // Label 4266: @213368
     /*  213368 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(213425), // Rule ID 23416 //
     /*  213373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  213384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  213387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213423 */     GIR_RootConstrainSelectedInstOperands,
     /*  213424 */     // GIR_Coverage, 23416,
     /*  213424 */     GIR_EraseRootFromParent_Done,
     /*  213425 */   // Label 4267: @213425
     /*  213425 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(213482), // Rule ID 23417 //
     /*  213430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  213441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  213444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213480 */     GIR_RootConstrainSelectedInstOperands,
     /*  213481 */     // GIR_Coverage, 23417,
     /*  213481 */     GIR_EraseRootFromParent_Done,
     /*  213482 */   // Label 4268: @213482
     /*  213482 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(213539), // Rule ID 23420 //
     /*  213487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213519 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  213519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213537 */     GIR_RootConstrainSelectedInstOperands,
     /*  213538 */     // GIR_Coverage, 23420,
     /*  213538 */     GIR_EraseRootFromParent_Done,
     /*  213539 */   // Label 4269: @213539
     /*  213539 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(213596), // Rule ID 23421 //
     /*  213544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  213576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213594 */     GIR_RootConstrainSelectedInstOperands,
     /*  213595 */     // GIR_Coverage, 23421,
     /*  213595 */     GIR_EraseRootFromParent_Done,
     /*  213596 */   // Label 4270: @213596
     /*  213596 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(213653), // Rule ID 23424 //
     /*  213601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213651 */     GIR_RootConstrainSelectedInstOperands,
     /*  213652 */     // GIR_Coverage, 23424,
     /*  213652 */     GIR_EraseRootFromParent_Done,
     /*  213653 */   // Label 4271: @213653
     /*  213653 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(213710), // Rule ID 23425 //
     /*  213658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213708 */     GIR_RootConstrainSelectedInstOperands,
     /*  213709 */     // GIR_Coverage, 23425,
     /*  213709 */     GIR_EraseRootFromParent_Done,
     /*  213710 */   // Label 4272: @213710
     /*  213710 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(213767), // Rule ID 23428 //
     /*  213715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213765 */     GIR_RootConstrainSelectedInstOperands,
     /*  213766 */     // GIR_Coverage, 23428,
     /*  213766 */     GIR_EraseRootFromParent_Done,
     /*  213767 */   // Label 4273: @213767
     /*  213767 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(213824), // Rule ID 23429 //
     /*  213772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213822 */     GIR_RootConstrainSelectedInstOperands,
     /*  213823 */     // GIR_Coverage, 23429,
     /*  213823 */     GIR_EraseRootFromParent_Done,
     /*  213824 */   // Label 4274: @213824
     /*  213824 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(213881), // Rule ID 23432 //
     /*  213829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213861 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213879 */     GIR_RootConstrainSelectedInstOperands,
     /*  213880 */     // GIR_Coverage, 23432,
     /*  213880 */     GIR_EraseRootFromParent_Done,
     /*  213881 */   // Label 4275: @213881
     /*  213881 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(213938), // Rule ID 23433 //
     /*  213886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213918 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213936 */     GIR_RootConstrainSelectedInstOperands,
     /*  213937 */     // GIR_Coverage, 23433,
     /*  213937 */     GIR_EraseRootFromParent_Done,
     /*  213938 */   // Label 4276: @213938
     /*  213938 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(213995), // Rule ID 23436 //
     /*  213943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  213954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  213957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213993 */     GIR_RootConstrainSelectedInstOperands,
     /*  213994 */     // GIR_Coverage, 23436,
     /*  213994 */     GIR_EraseRootFromParent_Done,
     /*  213995 */   // Label 4277: @213995
     /*  213995 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(214052), // Rule ID 23437 //
     /*  214000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  214011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  214014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214050 */     GIR_RootConstrainSelectedInstOperands,
     /*  214051 */     // GIR_Coverage, 23437,
     /*  214051 */     GIR_EraseRootFromParent_Done,
     /*  214052 */   // Label 4278: @214052
     /*  214052 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(214109), // Rule ID 23440 //
     /*  214057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  214068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  214071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214107 */     GIR_RootConstrainSelectedInstOperands,
     /*  214108 */     // GIR_Coverage, 23440,
     /*  214108 */     GIR_EraseRootFromParent_Done,
     /*  214109 */   // Label 4279: @214109
     /*  214109 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(214166), // Rule ID 23441 //
     /*  214114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  214125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  214128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214164 */     GIR_RootConstrainSelectedInstOperands,
     /*  214165 */     // GIR_Coverage, 23441,
     /*  214165 */     GIR_EraseRootFromParent_Done,
     /*  214166 */   // Label 4280: @214166
     /*  214166 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(214223), // Rule ID 23444 //
     /*  214171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  214182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  214185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214221 */     GIR_RootConstrainSelectedInstOperands,
     /*  214222 */     // GIR_Coverage, 23444,
     /*  214222 */     GIR_EraseRootFromParent_Done,
     /*  214223 */   // Label 4281: @214223
     /*  214223 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(214280), // Rule ID 23445 //
     /*  214228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  214239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  214242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214278 */     GIR_RootConstrainSelectedInstOperands,
     /*  214279 */     // GIR_Coverage, 23445,
     /*  214279 */     GIR_EraseRootFromParent_Done,
     /*  214280 */   // Label 4282: @214280
     /*  214280 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(214337), // Rule ID 23448 //
     /*  214285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  214296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  214299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214335 */     GIR_RootConstrainSelectedInstOperands,
     /*  214336 */     // GIR_Coverage, 23448,
     /*  214336 */     GIR_EraseRootFromParent_Done,
     /*  214337 */   // Label 4283: @214337
     /*  214337 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(214394), // Rule ID 23449 //
     /*  214342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  214353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  214356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214392 */     GIR_RootConstrainSelectedInstOperands,
     /*  214393 */     // GIR_Coverage, 23449,
     /*  214393 */     GIR_EraseRootFromParent_Done,
     /*  214394 */   // Label 4284: @214394
     /*  214394 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(214451), // Rule ID 23452 //
     /*  214399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  214410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  214413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214431 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214449 */     GIR_RootConstrainSelectedInstOperands,
     /*  214450 */     // GIR_Coverage, 23452,
     /*  214450 */     GIR_EraseRootFromParent_Done,
     /*  214451 */   // Label 4285: @214451
     /*  214451 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(214508), // Rule ID 23453 //
     /*  214456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  214467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  214470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214488 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214506 */     GIR_RootConstrainSelectedInstOperands,
     /*  214507 */     // GIR_Coverage, 23453,
     /*  214507 */     GIR_EraseRootFromParent_Done,
     /*  214508 */   // Label 4286: @214508
     /*  214508 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(214565), // Rule ID 23456 //
     /*  214513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214545 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214563 */     GIR_RootConstrainSelectedInstOperands,
     /*  214564 */     // GIR_Coverage, 23456,
     /*  214564 */     GIR_EraseRootFromParent_Done,
     /*  214565 */   // Label 4287: @214565
     /*  214565 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(214622), // Rule ID 23457 //
     /*  214570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214620 */     GIR_RootConstrainSelectedInstOperands,
     /*  214621 */     // GIR_Coverage, 23457,
     /*  214621 */     GIR_EraseRootFromParent_Done,
     /*  214622 */   // Label 4288: @214622
     /*  214622 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(214679), // Rule ID 23460 //
     /*  214627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214677 */     GIR_RootConstrainSelectedInstOperands,
     /*  214678 */     // GIR_Coverage, 23460,
     /*  214678 */     GIR_EraseRootFromParent_Done,
     /*  214679 */   // Label 4289: @214679
     /*  214679 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(214736), // Rule ID 23461 //
     /*  214684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214734 */     GIR_RootConstrainSelectedInstOperands,
     /*  214735 */     // GIR_Coverage, 23461,
     /*  214735 */     GIR_EraseRootFromParent_Done,
     /*  214736 */   // Label 4290: @214736
     /*  214736 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(214793), // Rule ID 23464 //
     /*  214741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214773 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214791 */     GIR_RootConstrainSelectedInstOperands,
     /*  214792 */     // GIR_Coverage, 23464,
     /*  214792 */     GIR_EraseRootFromParent_Done,
     /*  214793 */   // Label 4291: @214793
     /*  214793 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(214850), // Rule ID 23465 //
     /*  214798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214848 */     GIR_RootConstrainSelectedInstOperands,
     /*  214849 */     // GIR_Coverage, 23465,
     /*  214849 */     GIR_EraseRootFromParent_Done,
     /*  214850 */   // Label 4292: @214850
     /*  214850 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(214907), // Rule ID 23468 //
     /*  214855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214905 */     GIR_RootConstrainSelectedInstOperands,
     /*  214906 */     // GIR_Coverage, 23468,
     /*  214906 */     GIR_EraseRootFromParent_Done,
     /*  214907 */   // Label 4293: @214907
     /*  214907 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(214964), // Rule ID 23469 //
     /*  214912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214962 */     GIR_RootConstrainSelectedInstOperands,
     /*  214963 */     // GIR_Coverage, 23469,
     /*  214963 */     GIR_EraseRootFromParent_Done,
     /*  214964 */   // Label 4294: @214964
     /*  214964 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(215010), // Rule ID 2543 //
     /*  214969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  214972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  214977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214991 */     // MIs[0] rnum
     /*  214991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  214994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  214999 */     // (intrinsic_wo_chain:{ *:[i64] } 10905:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  214999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  215002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  215008 */     GIR_RootConstrainSelectedInstOperands,
     /*  215009 */     // GIR_Coverage, 2543,
     /*  215009 */     GIR_EraseRootFromParent_Done,
     /*  215010 */   // Label 4295: @215010
     /*  215010 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(215055), // Rule ID 64363 //
     /*  215015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  215018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  215023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215044 */     // (intrinsic_wo_chain:{ *:[i32] } 10915:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  215047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215053 */     GIR_RootConstrainSelectedInstOperands,
     /*  215054 */     // GIR_Coverage, 64363,
     /*  215054 */     GIR_EraseRootFromParent_Done,
     /*  215055 */   // Label 4296: @215055
     /*  215055 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(215100), // Rule ID 64390 //
     /*  215060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  215063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  215068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215089 */     // (intrinsic_wo_chain:{ *:[i32] } 10916:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  215092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215098 */     GIR_RootConstrainSelectedInstOperands,
     /*  215099 */     // GIR_Coverage, 64390,
     /*  215099 */     GIR_EraseRootFromParent_Done,
     /*  215100 */   // Label 4297: @215100
     /*  215100 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(215145), // Rule ID 2533 //
     /*  215105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  215108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  215113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215134 */     // (intrinsic_wo_chain:{ *:[i64] } 11606:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  215137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215143 */     GIR_RootConstrainSelectedInstOperands,
     /*  215144 */     // GIR_Coverage, 2533,
     /*  215144 */     GIR_EraseRootFromParent_Done,
     /*  215145 */   // Label 4298: @215145
     /*  215145 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(215190), // Rule ID 2534 //
     /*  215150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  215153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  215158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215179 */     // (intrinsic_wo_chain:{ *:[i32] } 11606:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  215182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215188 */     GIR_RootConstrainSelectedInstOperands,
     /*  215189 */     // GIR_Coverage, 2534,
     /*  215189 */     GIR_EraseRootFromParent_Done,
     /*  215190 */   // Label 4299: @215190
     /*  215190 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(215235), // Rule ID 2535 //
     /*  215195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  215198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  215203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215224 */     // (intrinsic_wo_chain:{ *:[i64] } 11607:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  215227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215233 */     GIR_RootConstrainSelectedInstOperands,
     /*  215234 */     // GIR_Coverage, 2535,
     /*  215234 */     GIR_EraseRootFromParent_Done,
     /*  215235 */   // Label 4300: @215235
     /*  215235 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(215280), // Rule ID 2536 //
     /*  215240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  215243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  215248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215269 */     // (intrinsic_wo_chain:{ *:[i32] } 11607:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  215272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215278 */     GIR_RootConstrainSelectedInstOperands,
     /*  215279 */     // GIR_Coverage, 2536,
     /*  215279 */     GIR_EraseRootFromParent_Done,
     /*  215280 */   // Label 4301: @215280
     /*  215280 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(215325), // Rule ID 2539 //
     /*  215285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  215288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  215293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215314 */     // (intrinsic_wo_chain:{ *:[i64] } 10900:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  215317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215323 */     GIR_RootConstrainSelectedInstOperands,
     /*  215324 */     // GIR_Coverage, 2539,
     /*  215324 */     GIR_EraseRootFromParent_Done,
     /*  215325 */   // Label 4302: @215325
     /*  215325 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(215370), // Rule ID 2540 //
     /*  215330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  215333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  215338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215359 */     // (intrinsic_wo_chain:{ *:[i64] } 10901:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  215362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215368 */     GIR_RootConstrainSelectedInstOperands,
     /*  215369 */     // GIR_Coverage, 2540,
     /*  215369 */     GIR_EraseRootFromParent_Done,
     /*  215370 */   // Label 4303: @215370
     /*  215370 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(215415), // Rule ID 2542 //
     /*  215375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  215378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  215383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215404 */     // (intrinsic_wo_chain:{ *:[i64] } 10906:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  215407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215413 */     GIR_RootConstrainSelectedInstOperands,
     /*  215414 */     // GIR_Coverage, 2542,
     /*  215414 */     GIR_EraseRootFromParent_Done,
     /*  215415 */   // Label 4304: @215415
     /*  215415 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(215460), // Rule ID 2546 //
     /*  215420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  215423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  215428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215449 */     // (intrinsic_wo_chain:{ *:[i64] } 10902:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  215452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215458 */     GIR_RootConstrainSelectedInstOperands,
     /*  215459 */     // GIR_Coverage, 2546,
     /*  215459 */     GIR_EraseRootFromParent_Done,
     /*  215460 */   // Label 4305: @215460
     /*  215460 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(215505), // Rule ID 2547 //
     /*  215465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  215468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  215473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215494 */     // (intrinsic_wo_chain:{ *:[i64] } 10903:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  215497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215503 */     GIR_RootConstrainSelectedInstOperands,
     /*  215504 */     // GIR_Coverage, 2547,
     /*  215504 */     GIR_EraseRootFromParent_Done,
     /*  215505 */   // Label 4306: @215505
     /*  215505 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(215550), // Rule ID 2556 //
     /*  215510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  215518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215539 */     // (intrinsic_wo_chain:{ *:[i32] } 11042:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  215542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215548 */     GIR_RootConstrainSelectedInstOperands,
     /*  215549 */     // GIR_Coverage, 2556,
     /*  215549 */     GIR_EraseRootFromParent_Done,
     /*  215550 */   // Label 4307: @215550
     /*  215550 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(215595), // Rule ID 2557 //
     /*  215555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  215563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215584 */     // (intrinsic_wo_chain:{ *:[i32] } 11041:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  215587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215593 */     GIR_RootConstrainSelectedInstOperands,
     /*  215594 */     // GIR_Coverage, 2557,
     /*  215594 */     GIR_EraseRootFromParent_Done,
     /*  215595 */   // Label 4308: @215595
     /*  215595 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(215640), // Rule ID 2558 //
     /*  215600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  215608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215629 */     // (intrinsic_wo_chain:{ *:[i32] } 11045:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  215632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215638 */     GIR_RootConstrainSelectedInstOperands,
     /*  215639 */     // GIR_Coverage, 2558,
     /*  215639 */     GIR_EraseRootFromParent_Done,
     /*  215640 */   // Label 4309: @215640
     /*  215640 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(215685), // Rule ID 2559 //
     /*  215645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  215653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215674 */     // (intrinsic_wo_chain:{ *:[i32] } 11044:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  215677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215683 */     GIR_RootConstrainSelectedInstOperands,
     /*  215684 */     // GIR_Coverage, 2559,
     /*  215684 */     GIR_EraseRootFromParent_Done,
     /*  215685 */   // Label 4310: @215685
     /*  215685 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(215730), // Rule ID 2560 //
     /*  215690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  215698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215719 */     // (intrinsic_wo_chain:{ *:[i32] } 11047:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  215722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215728 */     GIR_RootConstrainSelectedInstOperands,
     /*  215729 */     // GIR_Coverage, 2560,
     /*  215729 */     GIR_EraseRootFromParent_Done,
     /*  215730 */   // Label 4311: @215730
     /*  215730 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(215775), // Rule ID 2561 //
     /*  215735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  215743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215764 */     // (intrinsic_wo_chain:{ *:[i32] } 11049:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  215767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215773 */     GIR_RootConstrainSelectedInstOperands,
     /*  215774 */     // GIR_Coverage, 2561,
     /*  215774 */     GIR_EraseRootFromParent_Done,
     /*  215775 */   // Label 4312: @215775
     /*  215775 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(215820), // Rule ID 64340 //
     /*  215780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  215788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215809 */     // (intrinsic_wo_chain:{ *:[i32] } 10925:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  215812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215818 */     GIR_RootConstrainSelectedInstOperands,
     /*  215819 */     // GIR_Coverage, 64340,
     /*  215819 */     GIR_EraseRootFromParent_Done,
     /*  215820 */   // Label 4313: @215820
     /*  215820 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(215865), // Rule ID 64342 //
     /*  215825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  215833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215854 */     // (intrinsic_wo_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  215857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215863 */     GIR_RootConstrainSelectedInstOperands,
     /*  215864 */     // GIR_Coverage, 64342,
     /*  215864 */     GIR_EraseRootFromParent_Done,
     /*  215865 */   // Label 4314: @215865
     /*  215865 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(215910), // Rule ID 64344 //
     /*  215870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  215878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215899 */     // (intrinsic_wo_chain:{ *:[i32] } 10921:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  215902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215908 */     GIR_RootConstrainSelectedInstOperands,
     /*  215909 */     // GIR_Coverage, 64344,
     /*  215909 */     GIR_EraseRootFromParent_Done,
     /*  215910 */   // Label 4315: @215910
     /*  215910 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(215955), // Rule ID 64346 //
     /*  215915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  215923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215944 */     // (intrinsic_wo_chain:{ *:[i32] } 10923:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  215947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215953 */     GIR_RootConstrainSelectedInstOperands,
     /*  215954 */     // GIR_Coverage, 64346,
     /*  215954 */     GIR_EraseRootFromParent_Done,
     /*  215955 */   // Label 4316: @215955
     /*  215955 */   GIM_Reject,
     /*  215956 */ // Label 4180: @215956
     /*  215956 */ GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(386861),
     /*  215961 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  215964 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(216038), // Rule ID 5346 //
     /*  215969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  215983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216009 */     // MIs[1] Operand 1
     /*  216009 */     // No operand predicates
     /*  216009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216018 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  216021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216036 */     GIR_RootConstrainSelectedInstOperands,
     /*  216037 */     // GIR_Coverage, 5346,
     /*  216037 */     GIR_EraseRootFromParent_Done,
     /*  216038 */   // Label 4318: @216038
     /*  216038 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(216112), // Rule ID 5347 //
     /*  216043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  216057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216083 */     // MIs[1] Operand 1
     /*  216083 */     // No operand predicates
     /*  216083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216092 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  216095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216110 */     GIR_RootConstrainSelectedInstOperands,
     /*  216111 */     // GIR_Coverage, 5347,
     /*  216111 */     GIR_EraseRootFromParent_Done,
     /*  216112 */   // Label 4319: @216112
     /*  216112 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(216186), // Rule ID 5348 //
     /*  216117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216157 */     // MIs[1] Operand 1
     /*  216157 */     // No operand predicates
     /*  216157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216166 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216184 */     GIR_RootConstrainSelectedInstOperands,
     /*  216185 */     // GIR_Coverage, 5348,
     /*  216185 */     GIR_EraseRootFromParent_Done,
     /*  216186 */   // Label 4320: @216186
     /*  216186 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(216260), // Rule ID 5349 //
     /*  216191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216231 */     // MIs[1] Operand 1
     /*  216231 */     // No operand predicates
     /*  216231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216258 */     GIR_RootConstrainSelectedInstOperands,
     /*  216259 */     // GIR_Coverage, 5349,
     /*  216259 */     GIR_EraseRootFromParent_Done,
     /*  216260 */   // Label 4321: @216260
     /*  216260 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(216334), // Rule ID 5350 //
     /*  216265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216305 */     // MIs[1] Operand 1
     /*  216305 */     // No operand predicates
     /*  216305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216314 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216332 */     GIR_RootConstrainSelectedInstOperands,
     /*  216333 */     // GIR_Coverage, 5350,
     /*  216333 */     GIR_EraseRootFromParent_Done,
     /*  216334 */   // Label 4322: @216334
     /*  216334 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(216408), // Rule ID 5351 //
     /*  216339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216379 */     // MIs[1] Operand 1
     /*  216379 */     // No operand predicates
     /*  216379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216406 */     GIR_RootConstrainSelectedInstOperands,
     /*  216407 */     // GIR_Coverage, 5351,
     /*  216407 */     GIR_EraseRootFromParent_Done,
     /*  216408 */   // Label 4323: @216408
     /*  216408 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(216482), // Rule ID 5352 //
     /*  216413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216453 */     // MIs[1] Operand 1
     /*  216453 */     // No operand predicates
     /*  216453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216462 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216480 */     GIR_RootConstrainSelectedInstOperands,
     /*  216481 */     // GIR_Coverage, 5352,
     /*  216481 */     GIR_EraseRootFromParent_Done,
     /*  216482 */   // Label 4324: @216482
     /*  216482 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(216556), // Rule ID 5353 //
     /*  216487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216527 */     // MIs[1] Operand 1
     /*  216527 */     // No operand predicates
     /*  216527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216554 */     GIR_RootConstrainSelectedInstOperands,
     /*  216555 */     // GIR_Coverage, 5353,
     /*  216555 */     GIR_EraseRootFromParent_Done,
     /*  216556 */   // Label 4325: @216556
     /*  216556 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(216630), // Rule ID 5354 //
     /*  216561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216601 */     // MIs[1] Operand 1
     /*  216601 */     // No operand predicates
     /*  216601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216610 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216628 */     GIR_RootConstrainSelectedInstOperands,
     /*  216629 */     // GIR_Coverage, 5354,
     /*  216629 */     GIR_EraseRootFromParent_Done,
     /*  216630 */   // Label 4326: @216630
     /*  216630 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(216704), // Rule ID 5355 //
     /*  216635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216675 */     // MIs[1] Operand 1
     /*  216675 */     // No operand predicates
     /*  216675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216702 */     GIR_RootConstrainSelectedInstOperands,
     /*  216703 */     // GIR_Coverage, 5355,
     /*  216703 */     GIR_EraseRootFromParent_Done,
     /*  216704 */   // Label 4327: @216704
     /*  216704 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(216778), // Rule ID 5356 //
     /*  216709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216749 */     // MIs[1] Operand 1
     /*  216749 */     // No operand predicates
     /*  216749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216758 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216776 */     GIR_RootConstrainSelectedInstOperands,
     /*  216777 */     // GIR_Coverage, 5356,
     /*  216777 */     GIR_EraseRootFromParent_Done,
     /*  216778 */   // Label 4328: @216778
     /*  216778 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(216852), // Rule ID 5357 //
     /*  216783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216823 */     // MIs[1] Operand 1
     /*  216823 */     // No operand predicates
     /*  216823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216850 */     GIR_RootConstrainSelectedInstOperands,
     /*  216851 */     // GIR_Coverage, 5357,
     /*  216851 */     GIR_EraseRootFromParent_Done,
     /*  216852 */   // Label 4329: @216852
     /*  216852 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(216926), // Rule ID 5358 //
     /*  216857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216897 */     // MIs[1] Operand 1
     /*  216897 */     // No operand predicates
     /*  216897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216906 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216924 */     GIR_RootConstrainSelectedInstOperands,
     /*  216925 */     // GIR_Coverage, 5358,
     /*  216925 */     GIR_EraseRootFromParent_Done,
     /*  216926 */   // Label 4330: @216926
     /*  216926 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(217000), // Rule ID 5359 //
     /*  216931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216971 */     // MIs[1] Operand 1
     /*  216971 */     // No operand predicates
     /*  216971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216998 */     GIR_RootConstrainSelectedInstOperands,
     /*  216999 */     // GIR_Coverage, 5359,
     /*  216999 */     GIR_EraseRootFromParent_Done,
     /*  217000 */   // Label 4331: @217000
     /*  217000 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(217074), // Rule ID 5360 //
     /*  217005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217045 */     // MIs[1] Operand 1
     /*  217045 */     // No operand predicates
     /*  217045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217054 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217072 */     GIR_RootConstrainSelectedInstOperands,
     /*  217073 */     // GIR_Coverage, 5360,
     /*  217073 */     GIR_EraseRootFromParent_Done,
     /*  217074 */   // Label 4332: @217074
     /*  217074 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217148), // Rule ID 5361 //
     /*  217079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217119 */     // MIs[1] Operand 1
     /*  217119 */     // No operand predicates
     /*  217119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217146 */     GIR_RootConstrainSelectedInstOperands,
     /*  217147 */     // GIR_Coverage, 5361,
     /*  217147 */     GIR_EraseRootFromParent_Done,
     /*  217148 */   // Label 4333: @217148
     /*  217148 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(217222), // Rule ID 5362 //
     /*  217153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217193 */     // MIs[1] Operand 1
     /*  217193 */     // No operand predicates
     /*  217193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217220 */     GIR_RootConstrainSelectedInstOperands,
     /*  217221 */     // GIR_Coverage, 5362,
     /*  217221 */     GIR_EraseRootFromParent_Done,
     /*  217222 */   // Label 4334: @217222
     /*  217222 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(217296), // Rule ID 5363 //
     /*  217227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217267 */     // MIs[1] Operand 1
     /*  217267 */     // No operand predicates
     /*  217267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  217276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217294 */     GIR_RootConstrainSelectedInstOperands,
     /*  217295 */     // GIR_Coverage, 5363,
     /*  217295 */     GIR_EraseRootFromParent_Done,
     /*  217296 */   // Label 4335: @217296
     /*  217296 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(217370), // Rule ID 5364 //
     /*  217301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217341 */     // MIs[1] Operand 1
     /*  217341 */     // No operand predicates
     /*  217341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217350 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  217350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217368 */     GIR_RootConstrainSelectedInstOperands,
     /*  217369 */     // GIR_Coverage, 5364,
     /*  217369 */     GIR_EraseRootFromParent_Done,
     /*  217370 */   // Label 4336: @217370
     /*  217370 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(217444), // Rule ID 5365 //
     /*  217375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217415 */     // MIs[1] Operand 1
     /*  217415 */     // No operand predicates
     /*  217415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  217424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217442 */     GIR_RootConstrainSelectedInstOperands,
     /*  217443 */     // GIR_Coverage, 5365,
     /*  217443 */     GIR_EraseRootFromParent_Done,
     /*  217444 */   // Label 4337: @217444
     /*  217444 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(217518), // Rule ID 5366 //
     /*  217449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217489 */     // MIs[1] Operand 1
     /*  217489 */     // No operand predicates
     /*  217489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217516 */     GIR_RootConstrainSelectedInstOperands,
     /*  217517 */     // GIR_Coverage, 5366,
     /*  217517 */     GIR_EraseRootFromParent_Done,
     /*  217518 */   // Label 4338: @217518
     /*  217518 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(217592), // Rule ID 5367 //
     /*  217523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217563 */     // MIs[1] Operand 1
     /*  217563 */     // No operand predicates
     /*  217563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217572 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217590 */     GIR_RootConstrainSelectedInstOperands,
     /*  217591 */     // GIR_Coverage, 5367,
     /*  217591 */     GIR_EraseRootFromParent_Done,
     /*  217592 */   // Label 4339: @217592
     /*  217592 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(217666), // Rule ID 5368 //
     /*  217597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217637 */     // MIs[1] Operand 1
     /*  217637 */     // No operand predicates
     /*  217637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217646 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217664 */     GIR_RootConstrainSelectedInstOperands,
     /*  217665 */     // GIR_Coverage, 5368,
     /*  217665 */     GIR_EraseRootFromParent_Done,
     /*  217666 */   // Label 4340: @217666
     /*  217666 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(217740), // Rule ID 5369 //
     /*  217671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217711 */     // MIs[1] Operand 1
     /*  217711 */     // No operand predicates
     /*  217711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217720 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217738 */     GIR_RootConstrainSelectedInstOperands,
     /*  217739 */     // GIR_Coverage, 5369,
     /*  217739 */     GIR_EraseRootFromParent_Done,
     /*  217740 */   // Label 4341: @217740
     /*  217740 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(217814), // Rule ID 5370 //
     /*  217745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217785 */     // MIs[1] Operand 1
     /*  217785 */     // No operand predicates
     /*  217785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217794 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217812 */     GIR_RootConstrainSelectedInstOperands,
     /*  217813 */     // GIR_Coverage, 5370,
     /*  217813 */     GIR_EraseRootFromParent_Done,
     /*  217814 */   // Label 4342: @217814
     /*  217814 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(217888), // Rule ID 5371 //
     /*  217819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217859 */     // MIs[1] Operand 1
     /*  217859 */     // No operand predicates
     /*  217859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217868 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217886 */     GIR_RootConstrainSelectedInstOperands,
     /*  217887 */     // GIR_Coverage, 5371,
     /*  217887 */     GIR_EraseRootFromParent_Done,
     /*  217888 */   // Label 4343: @217888
     /*  217888 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(217962), // Rule ID 5372 //
     /*  217893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217933 */     // MIs[1] Operand 1
     /*  217933 */     // No operand predicates
     /*  217933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217960 */     GIR_RootConstrainSelectedInstOperands,
     /*  217961 */     // GIR_Coverage, 5372,
     /*  217961 */     GIR_EraseRootFromParent_Done,
     /*  217962 */   // Label 4344: @217962
     /*  217962 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(218036), // Rule ID 5373 //
     /*  217967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218007 */     // MIs[1] Operand 1
     /*  218007 */     // No operand predicates
     /*  218007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218034 */     GIR_RootConstrainSelectedInstOperands,
     /*  218035 */     // GIR_Coverage, 5373,
     /*  218035 */     GIR_EraseRootFromParent_Done,
     /*  218036 */   // Label 4345: @218036
     /*  218036 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218110), // Rule ID 5374 //
     /*  218041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218081 */     // MIs[1] Operand 1
     /*  218081 */     // No operand predicates
     /*  218081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218090 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218108 */     GIR_RootConstrainSelectedInstOperands,
     /*  218109 */     // GIR_Coverage, 5374,
     /*  218109 */     GIR_EraseRootFromParent_Done,
     /*  218110 */   // Label 4346: @218110
     /*  218110 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218184), // Rule ID 5375 //
     /*  218115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218155 */     // MIs[1] Operand 1
     /*  218155 */     // No operand predicates
     /*  218155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218182 */     GIR_RootConstrainSelectedInstOperands,
     /*  218183 */     // GIR_Coverage, 5375,
     /*  218183 */     GIR_EraseRootFromParent_Done,
     /*  218184 */   // Label 4347: @218184
     /*  218184 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218258), // Rule ID 5376 //
     /*  218189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218229 */     // MIs[1] Operand 1
     /*  218229 */     // No operand predicates
     /*  218229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218238 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218256 */     GIR_RootConstrainSelectedInstOperands,
     /*  218257 */     // GIR_Coverage, 5376,
     /*  218257 */     GIR_EraseRootFromParent_Done,
     /*  218258 */   // Label 4348: @218258
     /*  218258 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218332), // Rule ID 5377 //
     /*  218263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218303 */     // MIs[1] Operand 1
     /*  218303 */     // No operand predicates
     /*  218303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218330 */     GIR_RootConstrainSelectedInstOperands,
     /*  218331 */     // GIR_Coverage, 5377,
     /*  218331 */     GIR_EraseRootFromParent_Done,
     /*  218332 */   // Label 4349: @218332
     /*  218332 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218406), // Rule ID 5378 //
     /*  218337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218377 */     // MIs[1] Operand 1
     /*  218377 */     // No operand predicates
     /*  218377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218386 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218404 */     GIR_RootConstrainSelectedInstOperands,
     /*  218405 */     // GIR_Coverage, 5378,
     /*  218405 */     GIR_EraseRootFromParent_Done,
     /*  218406 */   // Label 4350: @218406
     /*  218406 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(218480), // Rule ID 5379 //
     /*  218411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218451 */     // MIs[1] Operand 1
     /*  218451 */     // No operand predicates
     /*  218451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218460 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218478 */     GIR_RootConstrainSelectedInstOperands,
     /*  218479 */     // GIR_Coverage, 5379,
     /*  218479 */     GIR_EraseRootFromParent_Done,
     /*  218480 */   // Label 4351: @218480
     /*  218480 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(218554), // Rule ID 5380 //
     /*  218485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218525 */     // MIs[1] Operand 1
     /*  218525 */     // No operand predicates
     /*  218525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218534 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218552 */     GIR_RootConstrainSelectedInstOperands,
     /*  218553 */     // GIR_Coverage, 5380,
     /*  218553 */     GIR_EraseRootFromParent_Done,
     /*  218554 */   // Label 4352: @218554
     /*  218554 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(218628), // Rule ID 5381 //
     /*  218559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218599 */     // MIs[1] Operand 1
     /*  218599 */     // No operand predicates
     /*  218599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218626 */     GIR_RootConstrainSelectedInstOperands,
     /*  218627 */     // GIR_Coverage, 5381,
     /*  218627 */     GIR_EraseRootFromParent_Done,
     /*  218628 */   // Label 4353: @218628
     /*  218628 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(218702), // Rule ID 5382 //
     /*  218633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218673 */     // MIs[1] Operand 1
     /*  218673 */     // No operand predicates
     /*  218673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218682 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218700 */     GIR_RootConstrainSelectedInstOperands,
     /*  218701 */     // GIR_Coverage, 5382,
     /*  218701 */     GIR_EraseRootFromParent_Done,
     /*  218702 */   // Label 4354: @218702
     /*  218702 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(218776), // Rule ID 5383 //
     /*  218707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218747 */     // MIs[1] Operand 1
     /*  218747 */     // No operand predicates
     /*  218747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218774 */     GIR_RootConstrainSelectedInstOperands,
     /*  218775 */     // GIR_Coverage, 5383,
     /*  218775 */     GIR_EraseRootFromParent_Done,
     /*  218776 */   // Label 4355: @218776
     /*  218776 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(218850), // Rule ID 5384 //
     /*  218781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218821 */     // MIs[1] Operand 1
     /*  218821 */     // No operand predicates
     /*  218821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218830 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218848 */     GIR_RootConstrainSelectedInstOperands,
     /*  218849 */     // GIR_Coverage, 5384,
     /*  218849 */     GIR_EraseRootFromParent_Done,
     /*  218850 */   // Label 4356: @218850
     /*  218850 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(218924), // Rule ID 5385 //
     /*  218855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218895 */     // MIs[1] Operand 1
     /*  218895 */     // No operand predicates
     /*  218895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218922 */     GIR_RootConstrainSelectedInstOperands,
     /*  218923 */     // GIR_Coverage, 5385,
     /*  218923 */     GIR_EraseRootFromParent_Done,
     /*  218924 */   // Label 4357: @218924
     /*  218924 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(218998), // Rule ID 5386 //
     /*  218929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218969 */     // MIs[1] Operand 1
     /*  218969 */     // No operand predicates
     /*  218969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218996 */     GIR_RootConstrainSelectedInstOperands,
     /*  218997 */     // GIR_Coverage, 5386,
     /*  218997 */     GIR_EraseRootFromParent_Done,
     /*  218998 */   // Label 4358: @218998
     /*  218998 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(219072), // Rule ID 5387 //
     /*  219003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219043 */     // MIs[1] Operand 1
     /*  219043 */     // No operand predicates
     /*  219043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  219055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219070 */     GIR_RootConstrainSelectedInstOperands,
     /*  219071 */     // GIR_Coverage, 5387,
     /*  219071 */     GIR_EraseRootFromParent_Done,
     /*  219072 */   // Label 4359: @219072
     /*  219072 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219146), // Rule ID 5388 //
     /*  219077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219117 */     // MIs[1] Operand 1
     /*  219117 */     // No operand predicates
     /*  219117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219126 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219144 */     GIR_RootConstrainSelectedInstOperands,
     /*  219145 */     // GIR_Coverage, 5388,
     /*  219145 */     GIR_EraseRootFromParent_Done,
     /*  219146 */   // Label 4360: @219146
     /*  219146 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219220), // Rule ID 5389 //
     /*  219151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219191 */     // MIs[1] Operand 1
     /*  219191 */     // No operand predicates
     /*  219191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219200 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219218 */     GIR_RootConstrainSelectedInstOperands,
     /*  219219 */     // GIR_Coverage, 5389,
     /*  219219 */     GIR_EraseRootFromParent_Done,
     /*  219220 */   // Label 4361: @219220
     /*  219220 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219294), // Rule ID 7858 //
     /*  219225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219265 */     // MIs[1] Operand 1
     /*  219265 */     // No operand predicates
     /*  219265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219274 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  219277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219292 */     GIR_RootConstrainSelectedInstOperands,
     /*  219293 */     // GIR_Coverage, 7858,
     /*  219293 */     GIR_EraseRootFromParent_Done,
     /*  219294 */   // Label 4362: @219294
     /*  219294 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219368), // Rule ID 7859 //
     /*  219299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219339 */     // MIs[1] Operand 1
     /*  219339 */     // No operand predicates
     /*  219339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  219351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219366 */     GIR_RootConstrainSelectedInstOperands,
     /*  219367 */     // GIR_Coverage, 7859,
     /*  219367 */     GIR_EraseRootFromParent_Done,
     /*  219368 */   // Label 4363: @219368
     /*  219368 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219442), // Rule ID 7862 //
     /*  219373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219413 */     // MIs[1] Operand 1
     /*  219413 */     // No operand predicates
     /*  219413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219422 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219440 */     GIR_RootConstrainSelectedInstOperands,
     /*  219441 */     // GIR_Coverage, 7862,
     /*  219441 */     GIR_EraseRootFromParent_Done,
     /*  219442 */   // Label 4364: @219442
     /*  219442 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219516), // Rule ID 7863 //
     /*  219447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219487 */     // MIs[1] Operand 1
     /*  219487 */     // No operand predicates
     /*  219487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219514 */     GIR_RootConstrainSelectedInstOperands,
     /*  219515 */     // GIR_Coverage, 7863,
     /*  219515 */     GIR_EraseRootFromParent_Done,
     /*  219516 */   // Label 4365: @219516
     /*  219516 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219590), // Rule ID 7866 //
     /*  219521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219561 */     // MIs[1] Operand 1
     /*  219561 */     // No operand predicates
     /*  219561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219570 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219588 */     GIR_RootConstrainSelectedInstOperands,
     /*  219589 */     // GIR_Coverage, 7866,
     /*  219589 */     GIR_EraseRootFromParent_Done,
     /*  219590 */   // Label 4366: @219590
     /*  219590 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219664), // Rule ID 7867 //
     /*  219595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219635 */     // MIs[1] Operand 1
     /*  219635 */     // No operand predicates
     /*  219635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219662 */     GIR_RootConstrainSelectedInstOperands,
     /*  219663 */     // GIR_Coverage, 7867,
     /*  219663 */     GIR_EraseRootFromParent_Done,
     /*  219664 */   // Label 4367: @219664
     /*  219664 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219738), // Rule ID 7870 //
     /*  219669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219709 */     // MIs[1] Operand 1
     /*  219709 */     // No operand predicates
     /*  219709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219718 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219736 */     GIR_RootConstrainSelectedInstOperands,
     /*  219737 */     // GIR_Coverage, 7870,
     /*  219737 */     GIR_EraseRootFromParent_Done,
     /*  219738 */   // Label 4368: @219738
     /*  219738 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219812), // Rule ID 7871 //
     /*  219743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219783 */     // MIs[1] Operand 1
     /*  219783 */     // No operand predicates
     /*  219783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219810 */     GIR_RootConstrainSelectedInstOperands,
     /*  219811 */     // GIR_Coverage, 7871,
     /*  219811 */     GIR_EraseRootFromParent_Done,
     /*  219812 */   // Label 4369: @219812
     /*  219812 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219886), // Rule ID 7874 //
     /*  219817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219857 */     // MIs[1] Operand 1
     /*  219857 */     // No operand predicates
     /*  219857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219866 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219884 */     GIR_RootConstrainSelectedInstOperands,
     /*  219885 */     // GIR_Coverage, 7874,
     /*  219885 */     GIR_EraseRootFromParent_Done,
     /*  219886 */   // Label 4370: @219886
     /*  219886 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219960), // Rule ID 7875 //
     /*  219891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219931 */     // MIs[1] Operand 1
     /*  219931 */     // No operand predicates
     /*  219931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219958 */     GIR_RootConstrainSelectedInstOperands,
     /*  219959 */     // GIR_Coverage, 7875,
     /*  219959 */     GIR_EraseRootFromParent_Done,
     /*  219960 */   // Label 4371: @219960
     /*  219960 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(220034), // Rule ID 7878 //
     /*  219965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220005 */     // MIs[1] Operand 1
     /*  220005 */     // No operand predicates
     /*  220005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220032 */     GIR_RootConstrainSelectedInstOperands,
     /*  220033 */     // GIR_Coverage, 7878,
     /*  220033 */     GIR_EraseRootFromParent_Done,
     /*  220034 */   // Label 4372: @220034
     /*  220034 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(220108), // Rule ID 7879 //
     /*  220039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220079 */     // MIs[1] Operand 1
     /*  220079 */     // No operand predicates
     /*  220079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220106 */     GIR_RootConstrainSelectedInstOperands,
     /*  220107 */     // GIR_Coverage, 7879,
     /*  220107 */     GIR_EraseRootFromParent_Done,
     /*  220108 */   // Label 4373: @220108
     /*  220108 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220182), // Rule ID 7882 //
     /*  220113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220153 */     // MIs[1] Operand 1
     /*  220153 */     // No operand predicates
     /*  220153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220162 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220180 */     GIR_RootConstrainSelectedInstOperands,
     /*  220181 */     // GIR_Coverage, 7882,
     /*  220181 */     GIR_EraseRootFromParent_Done,
     /*  220182 */   // Label 4374: @220182
     /*  220182 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220256), // Rule ID 7883 //
     /*  220187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220227 */     // MIs[1] Operand 1
     /*  220227 */     // No operand predicates
     /*  220227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220254 */     GIR_RootConstrainSelectedInstOperands,
     /*  220255 */     // GIR_Coverage, 7883,
     /*  220255 */     GIR_EraseRootFromParent_Done,
     /*  220256 */   // Label 4375: @220256
     /*  220256 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220330), // Rule ID 7886 //
     /*  220261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  220275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220301 */     // MIs[1] Operand 1
     /*  220301 */     // No operand predicates
     /*  220301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220310 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220328 */     GIR_RootConstrainSelectedInstOperands,
     /*  220329 */     // GIR_Coverage, 7886,
     /*  220329 */     GIR_EraseRootFromParent_Done,
     /*  220330 */   // Label 4376: @220330
     /*  220330 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220404), // Rule ID 7887 //
     /*  220335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  220349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220375 */     // MIs[1] Operand 1
     /*  220375 */     // No operand predicates
     /*  220375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220402 */     GIR_RootConstrainSelectedInstOperands,
     /*  220403 */     // GIR_Coverage, 7887,
     /*  220403 */     GIR_EraseRootFromParent_Done,
     /*  220404 */   // Label 4377: @220404
     /*  220404 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220478), // Rule ID 7890 //
     /*  220409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220449 */     // MIs[1] Operand 1
     /*  220449 */     // No operand predicates
     /*  220449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220476 */     GIR_RootConstrainSelectedInstOperands,
     /*  220477 */     // GIR_Coverage, 7890,
     /*  220477 */     GIR_EraseRootFromParent_Done,
     /*  220478 */   // Label 4378: @220478
     /*  220478 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220552), // Rule ID 7891 //
     /*  220483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220523 */     // MIs[1] Operand 1
     /*  220523 */     // No operand predicates
     /*  220523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220550 */     GIR_RootConstrainSelectedInstOperands,
     /*  220551 */     // GIR_Coverage, 7891,
     /*  220551 */     GIR_EraseRootFromParent_Done,
     /*  220552 */   // Label 4379: @220552
     /*  220552 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(220626), // Rule ID 7894 //
     /*  220557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220597 */     // MIs[1] Operand 1
     /*  220597 */     // No operand predicates
     /*  220597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220606 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220624 */     GIR_RootConstrainSelectedInstOperands,
     /*  220625 */     // GIR_Coverage, 7894,
     /*  220625 */     GIR_EraseRootFromParent_Done,
     /*  220626 */   // Label 4380: @220626
     /*  220626 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220700), // Rule ID 7895 //
     /*  220631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220671 */     // MIs[1] Operand 1
     /*  220671 */     // No operand predicates
     /*  220671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220698 */     GIR_RootConstrainSelectedInstOperands,
     /*  220699 */     // GIR_Coverage, 7895,
     /*  220699 */     GIR_EraseRootFromParent_Done,
     /*  220700 */   // Label 4381: @220700
     /*  220700 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220774), // Rule ID 7898 //
     /*  220705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220745 */     // MIs[1] Operand 1
     /*  220745 */     // No operand predicates
     /*  220745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220754 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220772 */     GIR_RootConstrainSelectedInstOperands,
     /*  220773 */     // GIR_Coverage, 7898,
     /*  220773 */     GIR_EraseRootFromParent_Done,
     /*  220774 */   // Label 4382: @220774
     /*  220774 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220848), // Rule ID 7899 //
     /*  220779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220819 */     // MIs[1] Operand 1
     /*  220819 */     // No operand predicates
     /*  220819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220846 */     GIR_RootConstrainSelectedInstOperands,
     /*  220847 */     // GIR_Coverage, 7899,
     /*  220847 */     GIR_EraseRootFromParent_Done,
     /*  220848 */   // Label 4383: @220848
     /*  220848 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220922), // Rule ID 7902 //
     /*  220853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220893 */     // MIs[1] Operand 1
     /*  220893 */     // No operand predicates
     /*  220893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220902 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220920 */     GIR_RootConstrainSelectedInstOperands,
     /*  220921 */     // GIR_Coverage, 7902,
     /*  220921 */     GIR_EraseRootFromParent_Done,
     /*  220922 */   // Label 4384: @220922
     /*  220922 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220996), // Rule ID 7903 //
     /*  220927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220967 */     // MIs[1] Operand 1
     /*  220967 */     // No operand predicates
     /*  220967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220976 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220994 */     GIR_RootConstrainSelectedInstOperands,
     /*  220995 */     // GIR_Coverage, 7903,
     /*  220995 */     GIR_EraseRootFromParent_Done,
     /*  220996 */   // Label 4385: @220996
     /*  220996 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(221070), // Rule ID 7906 //
     /*  221001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221041 */     // MIs[1] Operand 1
     /*  221041 */     // No operand predicates
     /*  221041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221050 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221068 */     GIR_RootConstrainSelectedInstOperands,
     /*  221069 */     // GIR_Coverage, 7906,
     /*  221069 */     GIR_EraseRootFromParent_Done,
     /*  221070 */   // Label 4386: @221070
     /*  221070 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(221144), // Rule ID 7907 //
     /*  221075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221115 */     // MIs[1] Operand 1
     /*  221115 */     // No operand predicates
     /*  221115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221124 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221142 */     GIR_RootConstrainSelectedInstOperands,
     /*  221143 */     // GIR_Coverage, 7907,
     /*  221143 */     GIR_EraseRootFromParent_Done,
     /*  221144 */   // Label 4387: @221144
     /*  221144 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(221218), // Rule ID 7910 //
     /*  221149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221189 */     // MIs[1] Operand 1
     /*  221189 */     // No operand predicates
     /*  221189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221216 */     GIR_RootConstrainSelectedInstOperands,
     /*  221217 */     // GIR_Coverage, 7910,
     /*  221217 */     GIR_EraseRootFromParent_Done,
     /*  221218 */   // Label 4388: @221218
     /*  221218 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(221292), // Rule ID 7911 //
     /*  221223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221263 */     // MIs[1] Operand 1
     /*  221263 */     // No operand predicates
     /*  221263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221290 */     GIR_RootConstrainSelectedInstOperands,
     /*  221291 */     // GIR_Coverage, 7911,
     /*  221291 */     GIR_EraseRootFromParent_Done,
     /*  221292 */   // Label 4389: @221292
     /*  221292 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(221366), // Rule ID 7914 //
     /*  221297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221337 */     // MIs[1] Operand 1
     /*  221337 */     // No operand predicates
     /*  221337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221346 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221364 */     GIR_RootConstrainSelectedInstOperands,
     /*  221365 */     // GIR_Coverage, 7914,
     /*  221365 */     GIR_EraseRootFromParent_Done,
     /*  221366 */   // Label 4390: @221366
     /*  221366 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(221440), // Rule ID 7915 //
     /*  221371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221411 */     // MIs[1] Operand 1
     /*  221411 */     // No operand predicates
     /*  221411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221438 */     GIR_RootConstrainSelectedInstOperands,
     /*  221439 */     // GIR_Coverage, 7915,
     /*  221439 */     GIR_EraseRootFromParent_Done,
     /*  221440 */   // Label 4391: @221440
     /*  221440 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(221514), // Rule ID 7918 //
     /*  221445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221485 */     // MIs[1] Operand 1
     /*  221485 */     // No operand predicates
     /*  221485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221494 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221512 */     GIR_RootConstrainSelectedInstOperands,
     /*  221513 */     // GIR_Coverage, 7918,
     /*  221513 */     GIR_EraseRootFromParent_Done,
     /*  221514 */   // Label 4392: @221514
     /*  221514 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(221588), // Rule ID 7919 //
     /*  221519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221559 */     // MIs[1] Operand 1
     /*  221559 */     // No operand predicates
     /*  221559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221586 */     GIR_RootConstrainSelectedInstOperands,
     /*  221587 */     // GIR_Coverage, 7919,
     /*  221587 */     GIR_EraseRootFromParent_Done,
     /*  221588 */   // Label 4393: @221588
     /*  221588 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(221662), // Rule ID 7922 //
     /*  221593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221633 */     // MIs[1] Operand 1
     /*  221633 */     // No operand predicates
     /*  221633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221642 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221660 */     GIR_RootConstrainSelectedInstOperands,
     /*  221661 */     // GIR_Coverage, 7922,
     /*  221661 */     GIR_EraseRootFromParent_Done,
     /*  221662 */   // Label 4394: @221662
     /*  221662 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221736), // Rule ID 7923 //
     /*  221667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221707 */     // MIs[1] Operand 1
     /*  221707 */     // No operand predicates
     /*  221707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221734 */     GIR_RootConstrainSelectedInstOperands,
     /*  221735 */     // GIR_Coverage, 7923,
     /*  221735 */     GIR_EraseRootFromParent_Done,
     /*  221736 */   // Label 4395: @221736
     /*  221736 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221810), // Rule ID 7926 //
     /*  221741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221781 */     // MIs[1] Operand 1
     /*  221781 */     // No operand predicates
     /*  221781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221808 */     GIR_RootConstrainSelectedInstOperands,
     /*  221809 */     // GIR_Coverage, 7926,
     /*  221809 */     GIR_EraseRootFromParent_Done,
     /*  221810 */   // Label 4396: @221810
     /*  221810 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221884), // Rule ID 7927 //
     /*  221815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221855 */     // MIs[1] Operand 1
     /*  221855 */     // No operand predicates
     /*  221855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221882 */     GIR_RootConstrainSelectedInstOperands,
     /*  221883 */     // GIR_Coverage, 7927,
     /*  221883 */     GIR_EraseRootFromParent_Done,
     /*  221884 */   // Label 4397: @221884
     /*  221884 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221958), // Rule ID 7930 //
     /*  221889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221929 */     // MIs[1] Operand 1
     /*  221929 */     // No operand predicates
     /*  221929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221938 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221956 */     GIR_RootConstrainSelectedInstOperands,
     /*  221957 */     // GIR_Coverage, 7930,
     /*  221957 */     GIR_EraseRootFromParent_Done,
     /*  221958 */   // Label 4398: @221958
     /*  221958 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(222032), // Rule ID 7931 //
     /*  221963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222003 */     // MIs[1] Operand 1
     /*  222003 */     // No operand predicates
     /*  222003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222030 */     GIR_RootConstrainSelectedInstOperands,
     /*  222031 */     // GIR_Coverage, 7931,
     /*  222031 */     GIR_EraseRootFromParent_Done,
     /*  222032 */   // Label 4399: @222032
     /*  222032 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(222106), // Rule ID 7934 //
     /*  222037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222077 */     // MIs[1] Operand 1
     /*  222077 */     // No operand predicates
     /*  222077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222086 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222104 */     GIR_RootConstrainSelectedInstOperands,
     /*  222105 */     // GIR_Coverage, 7934,
     /*  222105 */     GIR_EraseRootFromParent_Done,
     /*  222106 */   // Label 4400: @222106
     /*  222106 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(222180), // Rule ID 7935 //
     /*  222111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222151 */     // MIs[1] Operand 1
     /*  222151 */     // No operand predicates
     /*  222151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222178 */     GIR_RootConstrainSelectedInstOperands,
     /*  222179 */     // GIR_Coverage, 7935,
     /*  222179 */     GIR_EraseRootFromParent_Done,
     /*  222180 */   // Label 4401: @222180
     /*  222180 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(222254), // Rule ID 7938 //
     /*  222185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222225 */     // MIs[1] Operand 1
     /*  222225 */     // No operand predicates
     /*  222225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222234 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222252 */     GIR_RootConstrainSelectedInstOperands,
     /*  222253 */     // GIR_Coverage, 7938,
     /*  222253 */     GIR_EraseRootFromParent_Done,
     /*  222254 */   // Label 4402: @222254
     /*  222254 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222328), // Rule ID 7939 //
     /*  222259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222299 */     // MIs[1] Operand 1
     /*  222299 */     // No operand predicates
     /*  222299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222326 */     GIR_RootConstrainSelectedInstOperands,
     /*  222327 */     // GIR_Coverage, 7939,
     /*  222327 */     GIR_EraseRootFromParent_Done,
     /*  222328 */   // Label 4403: @222328
     /*  222328 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222402), // Rule ID 7942 //
     /*  222333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222373 */     // MIs[1] Operand 1
     /*  222373 */     // No operand predicates
     /*  222373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222382 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222400 */     GIR_RootConstrainSelectedInstOperands,
     /*  222401 */     // GIR_Coverage, 7942,
     /*  222401 */     GIR_EraseRootFromParent_Done,
     /*  222402 */   // Label 4404: @222402
     /*  222402 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222476), // Rule ID 7943 //
     /*  222407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222447 */     // MIs[1] Operand 1
     /*  222447 */     // No operand predicates
     /*  222447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222474 */     GIR_RootConstrainSelectedInstOperands,
     /*  222475 */     // GIR_Coverage, 7943,
     /*  222475 */     GIR_EraseRootFromParent_Done,
     /*  222476 */   // Label 4405: @222476
     /*  222476 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222550), // Rule ID 8122 //
     /*  222481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222521 */     // MIs[1] Operand 1
     /*  222521 */     // No operand predicates
     /*  222521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222530 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222548 */     GIR_RootConstrainSelectedInstOperands,
     /*  222549 */     // GIR_Coverage, 8122,
     /*  222549 */     GIR_EraseRootFromParent_Done,
     /*  222550 */   // Label 4406: @222550
     /*  222550 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(222624), // Rule ID 8123 //
     /*  222555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222595 */     // MIs[1] Operand 1
     /*  222595 */     // No operand predicates
     /*  222595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222622 */     GIR_RootConstrainSelectedInstOperands,
     /*  222623 */     // GIR_Coverage, 8123,
     /*  222623 */     GIR_EraseRootFromParent_Done,
     /*  222624 */   // Label 4407: @222624
     /*  222624 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(222698), // Rule ID 8126 //
     /*  222629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222669 */     // MIs[1] Operand 1
     /*  222669 */     // No operand predicates
     /*  222669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222696 */     GIR_RootConstrainSelectedInstOperands,
     /*  222697 */     // GIR_Coverage, 8126,
     /*  222697 */     GIR_EraseRootFromParent_Done,
     /*  222698 */   // Label 4408: @222698
     /*  222698 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222772), // Rule ID 8127 //
     /*  222703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222743 */     // MIs[1] Operand 1
     /*  222743 */     // No operand predicates
     /*  222743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222770 */     GIR_RootConstrainSelectedInstOperands,
     /*  222771 */     // GIR_Coverage, 8127,
     /*  222771 */     GIR_EraseRootFromParent_Done,
     /*  222772 */   // Label 4409: @222772
     /*  222772 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222846), // Rule ID 8130 //
     /*  222777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222817 */     // MIs[1] Operand 1
     /*  222817 */     // No operand predicates
     /*  222817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222826 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222844 */     GIR_RootConstrainSelectedInstOperands,
     /*  222845 */     // GIR_Coverage, 8130,
     /*  222845 */     GIR_EraseRootFromParent_Done,
     /*  222846 */   // Label 4410: @222846
     /*  222846 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222920), // Rule ID 8131 //
     /*  222851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222891 */     // MIs[1] Operand 1
     /*  222891 */     // No operand predicates
     /*  222891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222918 */     GIR_RootConstrainSelectedInstOperands,
     /*  222919 */     // GIR_Coverage, 8131,
     /*  222919 */     GIR_EraseRootFromParent_Done,
     /*  222920 */   // Label 4411: @222920
     /*  222920 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222994), // Rule ID 8134 //
     /*  222925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222965 */     // MIs[1] Operand 1
     /*  222965 */     // No operand predicates
     /*  222965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222992 */     GIR_RootConstrainSelectedInstOperands,
     /*  222993 */     // GIR_Coverage, 8134,
     /*  222993 */     GIR_EraseRootFromParent_Done,
     /*  222994 */   // Label 4412: @222994
     /*  222994 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(223068), // Rule ID 8135 //
     /*  222999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223039 */     // MIs[1] Operand 1
     /*  223039 */     // No operand predicates
     /*  223039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  223051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223066 */     GIR_RootConstrainSelectedInstOperands,
     /*  223067 */     // GIR_Coverage, 8135,
     /*  223067 */     GIR_EraseRootFromParent_Done,
     /*  223068 */   // Label 4413: @223068
     /*  223068 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(223142), // Rule ID 8138 //
     /*  223073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223113 */     // MIs[1] Operand 1
     /*  223113 */     // No operand predicates
     /*  223113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223122 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223140 */     GIR_RootConstrainSelectedInstOperands,
     /*  223141 */     // GIR_Coverage, 8138,
     /*  223141 */     GIR_EraseRootFromParent_Done,
     /*  223142 */   // Label 4414: @223142
     /*  223142 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223216), // Rule ID 8139 //
     /*  223147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223187 */     // MIs[1] Operand 1
     /*  223187 */     // No operand predicates
     /*  223187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223214 */     GIR_RootConstrainSelectedInstOperands,
     /*  223215 */     // GIR_Coverage, 8139,
     /*  223215 */     GIR_EraseRootFromParent_Done,
     /*  223216 */   // Label 4415: @223216
     /*  223216 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(223290), // Rule ID 8142 //
     /*  223221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223261 */     // MIs[1] Operand 1
     /*  223261 */     // No operand predicates
     /*  223261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223270 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223288 */     GIR_RootConstrainSelectedInstOperands,
     /*  223289 */     // GIR_Coverage, 8142,
     /*  223289 */     GIR_EraseRootFromParent_Done,
     /*  223290 */   // Label 4416: @223290
     /*  223290 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223364), // Rule ID 8143 //
     /*  223295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223335 */     // MIs[1] Operand 1
     /*  223335 */     // No operand predicates
     /*  223335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223362 */     GIR_RootConstrainSelectedInstOperands,
     /*  223363 */     // GIR_Coverage, 8143,
     /*  223363 */     GIR_EraseRootFromParent_Done,
     /*  223364 */   // Label 4417: @223364
     /*  223364 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223438), // Rule ID 8146 //
     /*  223369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223409 */     // MIs[1] Operand 1
     /*  223409 */     // No operand predicates
     /*  223409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223436 */     GIR_RootConstrainSelectedInstOperands,
     /*  223437 */     // GIR_Coverage, 8146,
     /*  223437 */     GIR_EraseRootFromParent_Done,
     /*  223438 */   // Label 4418: @223438
     /*  223438 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223512), // Rule ID 8147 //
     /*  223443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223483 */     // MIs[1] Operand 1
     /*  223483 */     // No operand predicates
     /*  223483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223510 */     GIR_RootConstrainSelectedInstOperands,
     /*  223511 */     // GIR_Coverage, 8147,
     /*  223511 */     GIR_EraseRootFromParent_Done,
     /*  223512 */   // Label 4419: @223512
     /*  223512 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(223586), // Rule ID 8150 //
     /*  223517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223557 */     // MIs[1] Operand 1
     /*  223557 */     // No operand predicates
     /*  223557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223584 */     GIR_RootConstrainSelectedInstOperands,
     /*  223585 */     // GIR_Coverage, 8150,
     /*  223585 */     GIR_EraseRootFromParent_Done,
     /*  223586 */   // Label 4420: @223586
     /*  223586 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(223660), // Rule ID 8151 //
     /*  223591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223631 */     // MIs[1] Operand 1
     /*  223631 */     // No operand predicates
     /*  223631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223658 */     GIR_RootConstrainSelectedInstOperands,
     /*  223659 */     // GIR_Coverage, 8151,
     /*  223659 */     GIR_EraseRootFromParent_Done,
     /*  223660 */   // Label 4421: @223660
     /*  223660 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223734), // Rule ID 8154 //
     /*  223665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223705 */     // MIs[1] Operand 1
     /*  223705 */     // No operand predicates
     /*  223705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223714 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223732 */     GIR_RootConstrainSelectedInstOperands,
     /*  223733 */     // GIR_Coverage, 8154,
     /*  223733 */     GIR_EraseRootFromParent_Done,
     /*  223734 */   // Label 4422: @223734
     /*  223734 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223808), // Rule ID 8155 //
     /*  223739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223779 */     // MIs[1] Operand 1
     /*  223779 */     // No operand predicates
     /*  223779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223806 */     GIR_RootConstrainSelectedInstOperands,
     /*  223807 */     // GIR_Coverage, 8155,
     /*  223807 */     GIR_EraseRootFromParent_Done,
     /*  223808 */   // Label 4423: @223808
     /*  223808 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223882), // Rule ID 8158 //
     /*  223813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223853 */     // MIs[1] Operand 1
     /*  223853 */     // No operand predicates
     /*  223853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223862 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223880 */     GIR_RootConstrainSelectedInstOperands,
     /*  223881 */     // GIR_Coverage, 8158,
     /*  223881 */     GIR_EraseRootFromParent_Done,
     /*  223882 */   // Label 4424: @223882
     /*  223882 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223956), // Rule ID 8159 //
     /*  223887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223927 */     // MIs[1] Operand 1
     /*  223927 */     // No operand predicates
     /*  223927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223954 */     GIR_RootConstrainSelectedInstOperands,
     /*  223955 */     // GIR_Coverage, 8159,
     /*  223955 */     GIR_EraseRootFromParent_Done,
     /*  223956 */   // Label 4425: @223956
     /*  223956 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(224030), // Rule ID 8162 //
     /*  223961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  223975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224001 */     // MIs[1] Operand 1
     /*  224001 */     // No operand predicates
     /*  224001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224010 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224028 */     GIR_RootConstrainSelectedInstOperands,
     /*  224029 */     // GIR_Coverage, 8162,
     /*  224029 */     GIR_EraseRootFromParent_Done,
     /*  224030 */   // Label 4426: @224030
     /*  224030 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(224104), // Rule ID 8163 //
     /*  224035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224075 */     // MIs[1] Operand 1
     /*  224075 */     // No operand predicates
     /*  224075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224102 */     GIR_RootConstrainSelectedInstOperands,
     /*  224103 */     // GIR_Coverage, 8163,
     /*  224103 */     GIR_EraseRootFromParent_Done,
     /*  224104 */   // Label 4427: @224104
     /*  224104 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(224178), // Rule ID 8166 //
     /*  224109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224149 */     // MIs[1] Operand 1
     /*  224149 */     // No operand predicates
     /*  224149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224158 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224176 */     GIR_RootConstrainSelectedInstOperands,
     /*  224177 */     // GIR_Coverage, 8166,
     /*  224177 */     GIR_EraseRootFromParent_Done,
     /*  224178 */   // Label 4428: @224178
     /*  224178 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224252), // Rule ID 8167 //
     /*  224183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224223 */     // MIs[1] Operand 1
     /*  224223 */     // No operand predicates
     /*  224223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224232 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224250 */     GIR_RootConstrainSelectedInstOperands,
     /*  224251 */     // GIR_Coverage, 8167,
     /*  224251 */     GIR_EraseRootFromParent_Done,
     /*  224252 */   // Label 4429: @224252
     /*  224252 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224326), // Rule ID 8170 //
     /*  224257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  224268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  224271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224297 */     // MIs[1] Operand 1
     /*  224297 */     // No operand predicates
     /*  224297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224306 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224324 */     GIR_RootConstrainSelectedInstOperands,
     /*  224325 */     // GIR_Coverage, 8170,
     /*  224325 */     GIR_EraseRootFromParent_Done,
     /*  224326 */   // Label 4430: @224326
     /*  224326 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224400), // Rule ID 8171 //
     /*  224331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  224342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  224345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224371 */     // MIs[1] Operand 1
     /*  224371 */     // No operand predicates
     /*  224371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224380 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224398 */     GIR_RootConstrainSelectedInstOperands,
     /*  224399 */     // GIR_Coverage, 8171,
     /*  224399 */     GIR_EraseRootFromParent_Done,
     /*  224400 */   // Label 4431: @224400
     /*  224400 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224474), // Rule ID 8174 //
     /*  224405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224445 */     // MIs[1] Operand 1
     /*  224445 */     // No operand predicates
     /*  224445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224454 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224472 */     GIR_RootConstrainSelectedInstOperands,
     /*  224473 */     // GIR_Coverage, 8174,
     /*  224473 */     GIR_EraseRootFromParent_Done,
     /*  224474 */   // Label 4432: @224474
     /*  224474 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224548), // Rule ID 8175 //
     /*  224479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224519 */     // MIs[1] Operand 1
     /*  224519 */     // No operand predicates
     /*  224519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224546 */     GIR_RootConstrainSelectedInstOperands,
     /*  224547 */     // GIR_Coverage, 8175,
     /*  224547 */     GIR_EraseRootFromParent_Done,
     /*  224548 */   // Label 4433: @224548
     /*  224548 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224622), // Rule ID 8178 //
     /*  224553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224593 */     // MIs[1] Operand 1
     /*  224593 */     // No operand predicates
     /*  224593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224602 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224620 */     GIR_RootConstrainSelectedInstOperands,
     /*  224621 */     // GIR_Coverage, 8178,
     /*  224621 */     GIR_EraseRootFromParent_Done,
     /*  224622 */   // Label 4434: @224622
     /*  224622 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224696), // Rule ID 8179 //
     /*  224627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224667 */     // MIs[1] Operand 1
     /*  224667 */     // No operand predicates
     /*  224667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224694 */     GIR_RootConstrainSelectedInstOperands,
     /*  224695 */     // GIR_Coverage, 8179,
     /*  224695 */     GIR_EraseRootFromParent_Done,
     /*  224696 */   // Label 4435: @224696
     /*  224696 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224770), // Rule ID 8182 //
     /*  224701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224741 */     // MIs[1] Operand 1
     /*  224741 */     // No operand predicates
     /*  224741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224750 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224768 */     GIR_RootConstrainSelectedInstOperands,
     /*  224769 */     // GIR_Coverage, 8182,
     /*  224769 */     GIR_EraseRootFromParent_Done,
     /*  224770 */   // Label 4436: @224770
     /*  224770 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224844), // Rule ID 8183 //
     /*  224775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224815 */     // MIs[1] Operand 1
     /*  224815 */     // No operand predicates
     /*  224815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224824 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224842 */     GIR_RootConstrainSelectedInstOperands,
     /*  224843 */     // GIR_Coverage, 8183,
     /*  224843 */     GIR_EraseRootFromParent_Done,
     /*  224844 */   // Label 4437: @224844
     /*  224844 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224918), // Rule ID 8186 //
     /*  224849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224889 */     // MIs[1] Operand 1
     /*  224889 */     // No operand predicates
     /*  224889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224916 */     GIR_RootConstrainSelectedInstOperands,
     /*  224917 */     // GIR_Coverage, 8186,
     /*  224917 */     GIR_EraseRootFromParent_Done,
     /*  224918 */   // Label 4438: @224918
     /*  224918 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224992), // Rule ID 8187 //
     /*  224923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224963 */     // MIs[1] Operand 1
     /*  224963 */     // No operand predicates
     /*  224963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224990 */     GIR_RootConstrainSelectedInstOperands,
     /*  224991 */     // GIR_Coverage, 8187,
     /*  224991 */     GIR_EraseRootFromParent_Done,
     /*  224992 */   // Label 4439: @224992
     /*  224992 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(225066), // Rule ID 8190 //
     /*  224997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225037 */     // MIs[1] Operand 1
     /*  225037 */     // No operand predicates
     /*  225037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225046 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225064 */     GIR_RootConstrainSelectedInstOperands,
     /*  225065 */     // GIR_Coverage, 8190,
     /*  225065 */     GIR_EraseRootFromParent_Done,
     /*  225066 */   // Label 4440: @225066
     /*  225066 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(225140), // Rule ID 8191 //
     /*  225071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225111 */     // MIs[1] Operand 1
     /*  225111 */     // No operand predicates
     /*  225111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225138 */     GIR_RootConstrainSelectedInstOperands,
     /*  225139 */     // GIR_Coverage, 8191,
     /*  225139 */     GIR_EraseRootFromParent_Done,
     /*  225140 */   // Label 4441: @225140
     /*  225140 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225214), // Rule ID 8194 //
     /*  225145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225185 */     // MIs[1] Operand 1
     /*  225185 */     // No operand predicates
     /*  225185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225212 */     GIR_RootConstrainSelectedInstOperands,
     /*  225213 */     // GIR_Coverage, 8194,
     /*  225213 */     GIR_EraseRootFromParent_Done,
     /*  225214 */   // Label 4442: @225214
     /*  225214 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225288), // Rule ID 8195 //
     /*  225219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225259 */     // MIs[1] Operand 1
     /*  225259 */     // No operand predicates
     /*  225259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225286 */     GIR_RootConstrainSelectedInstOperands,
     /*  225287 */     // GIR_Coverage, 8195,
     /*  225287 */     GIR_EraseRootFromParent_Done,
     /*  225288 */   // Label 4443: @225288
     /*  225288 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225362), // Rule ID 8198 //
     /*  225293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  225307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225333 */     // MIs[1] Operand 1
     /*  225333 */     // No operand predicates
     /*  225333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225342 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225360 */     GIR_RootConstrainSelectedInstOperands,
     /*  225361 */     // GIR_Coverage, 8198,
     /*  225361 */     GIR_EraseRootFromParent_Done,
     /*  225362 */   // Label 4444: @225362
     /*  225362 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225436), // Rule ID 8199 //
     /*  225367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  225381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225407 */     // MIs[1] Operand 1
     /*  225407 */     // No operand predicates
     /*  225407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225434 */     GIR_RootConstrainSelectedInstOperands,
     /*  225435 */     // GIR_Coverage, 8199,
     /*  225435 */     GIR_EraseRootFromParent_Done,
     /*  225436 */   // Label 4445: @225436
     /*  225436 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225510), // Rule ID 8202 //
     /*  225441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225481 */     // MIs[1] Operand 1
     /*  225481 */     // No operand predicates
     /*  225481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225490 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225508 */     GIR_RootConstrainSelectedInstOperands,
     /*  225509 */     // GIR_Coverage, 8202,
     /*  225509 */     GIR_EraseRootFromParent_Done,
     /*  225510 */   // Label 4446: @225510
     /*  225510 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225584), // Rule ID 8203 //
     /*  225515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225555 */     // MIs[1] Operand 1
     /*  225555 */     // No operand predicates
     /*  225555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225582 */     GIR_RootConstrainSelectedInstOperands,
     /*  225583 */     // GIR_Coverage, 8203,
     /*  225583 */     GIR_EraseRootFromParent_Done,
     /*  225584 */   // Label 4447: @225584
     /*  225584 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225658), // Rule ID 8206 //
     /*  225589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225629 */     // MIs[1] Operand 1
     /*  225629 */     // No operand predicates
     /*  225629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225638 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225656 */     GIR_RootConstrainSelectedInstOperands,
     /*  225657 */     // GIR_Coverage, 8206,
     /*  225657 */     GIR_EraseRootFromParent_Done,
     /*  225658 */   // Label 4448: @225658
     /*  225658 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225732), // Rule ID 8207 //
     /*  225663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225703 */     // MIs[1] Operand 1
     /*  225703 */     // No operand predicates
     /*  225703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225730 */     GIR_RootConstrainSelectedInstOperands,
     /*  225731 */     // GIR_Coverage, 8207,
     /*  225731 */     GIR_EraseRootFromParent_Done,
     /*  225732 */   // Label 4449: @225732
     /*  225732 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225806), // Rule ID 8738 //
     /*  225737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225777 */     // MIs[1] Operand 1
     /*  225777 */     // No operand predicates
     /*  225777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225804 */     GIR_RootConstrainSelectedInstOperands,
     /*  225805 */     // GIR_Coverage, 8738,
     /*  225805 */     GIR_EraseRootFromParent_Done,
     /*  225806 */   // Label 4450: @225806
     /*  225806 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225880), // Rule ID 8739 //
     /*  225811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225851 */     // MIs[1] Operand 1
     /*  225851 */     // No operand predicates
     /*  225851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225878 */     GIR_RootConstrainSelectedInstOperands,
     /*  225879 */     // GIR_Coverage, 8739,
     /*  225879 */     GIR_EraseRootFromParent_Done,
     /*  225880 */   // Label 4451: @225880
     /*  225880 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225954), // Rule ID 8742 //
     /*  225885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225925 */     // MIs[1] Operand 1
     /*  225925 */     // No operand predicates
     /*  225925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225952 */     GIR_RootConstrainSelectedInstOperands,
     /*  225953 */     // GIR_Coverage, 8742,
     /*  225953 */     GIR_EraseRootFromParent_Done,
     /*  225954 */   // Label 4452: @225954
     /*  225954 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(226028), // Rule ID 8743 //
     /*  225959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225999 */     // MIs[1] Operand 1
     /*  225999 */     // No operand predicates
     /*  225999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226026 */     GIR_RootConstrainSelectedInstOperands,
     /*  226027 */     // GIR_Coverage, 8743,
     /*  226027 */     GIR_EraseRootFromParent_Done,
     /*  226028 */   // Label 4453: @226028
     /*  226028 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(226102), // Rule ID 8746 //
     /*  226033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226073 */     // MIs[1] Operand 1
     /*  226073 */     // No operand predicates
     /*  226073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226082 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226100 */     GIR_RootConstrainSelectedInstOperands,
     /*  226101 */     // GIR_Coverage, 8746,
     /*  226101 */     GIR_EraseRootFromParent_Done,
     /*  226102 */   // Label 4454: @226102
     /*  226102 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(226176), // Rule ID 8747 //
     /*  226107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226147 */     // MIs[1] Operand 1
     /*  226147 */     // No operand predicates
     /*  226147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226174 */     GIR_RootConstrainSelectedInstOperands,
     /*  226175 */     // GIR_Coverage, 8747,
     /*  226175 */     GIR_EraseRootFromParent_Done,
     /*  226176 */   // Label 4455: @226176
     /*  226176 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(226250), // Rule ID 8750 //
     /*  226181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226221 */     // MIs[1] Operand 1
     /*  226221 */     // No operand predicates
     /*  226221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226230 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226248 */     GIR_RootConstrainSelectedInstOperands,
     /*  226249 */     // GIR_Coverage, 8750,
     /*  226249 */     GIR_EraseRootFromParent_Done,
     /*  226250 */   // Label 4456: @226250
     /*  226250 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(226324), // Rule ID 8751 //
     /*  226255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226295 */     // MIs[1] Operand 1
     /*  226295 */     // No operand predicates
     /*  226295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226322 */     GIR_RootConstrainSelectedInstOperands,
     /*  226323 */     // GIR_Coverage, 8751,
     /*  226323 */     GIR_EraseRootFromParent_Done,
     /*  226324 */   // Label 4457: @226324
     /*  226324 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(226398), // Rule ID 8754 //
     /*  226329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226369 */     // MIs[1] Operand 1
     /*  226369 */     // No operand predicates
     /*  226369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226396 */     GIR_RootConstrainSelectedInstOperands,
     /*  226397 */     // GIR_Coverage, 8754,
     /*  226397 */     GIR_EraseRootFromParent_Done,
     /*  226398 */   // Label 4458: @226398
     /*  226398 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(226472), // Rule ID 8755 //
     /*  226403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226443 */     // MIs[1] Operand 1
     /*  226443 */     // No operand predicates
     /*  226443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226470 */     GIR_RootConstrainSelectedInstOperands,
     /*  226471 */     // GIR_Coverage, 8755,
     /*  226471 */     GIR_EraseRootFromParent_Done,
     /*  226472 */   // Label 4459: @226472
     /*  226472 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(226546), // Rule ID 8758 //
     /*  226477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226517 */     // MIs[1] Operand 1
     /*  226517 */     // No operand predicates
     /*  226517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226526 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226544 */     GIR_RootConstrainSelectedInstOperands,
     /*  226545 */     // GIR_Coverage, 8758,
     /*  226545 */     GIR_EraseRootFromParent_Done,
     /*  226546 */   // Label 4460: @226546
     /*  226546 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(226620), // Rule ID 8759 //
     /*  226551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226591 */     // MIs[1] Operand 1
     /*  226591 */     // No operand predicates
     /*  226591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226618 */     GIR_RootConstrainSelectedInstOperands,
     /*  226619 */     // GIR_Coverage, 8759,
     /*  226619 */     GIR_EraseRootFromParent_Done,
     /*  226620 */   // Label 4461: @226620
     /*  226620 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(226694), // Rule ID 8762 //
     /*  226625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226665 */     // MIs[1] Operand 1
     /*  226665 */     // No operand predicates
     /*  226665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226674 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226692 */     GIR_RootConstrainSelectedInstOperands,
     /*  226693 */     // GIR_Coverage, 8762,
     /*  226693 */     GIR_EraseRootFromParent_Done,
     /*  226694 */   // Label 4462: @226694
     /*  226694 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226768), // Rule ID 8763 //
     /*  226699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226739 */     // MIs[1] Operand 1
     /*  226739 */     // No operand predicates
     /*  226739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226766 */     GIR_RootConstrainSelectedInstOperands,
     /*  226767 */     // GIR_Coverage, 8763,
     /*  226767 */     GIR_EraseRootFromParent_Done,
     /*  226768 */   // Label 4463: @226768
     /*  226768 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226842), // Rule ID 8766 //
     /*  226773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226813 */     // MIs[1] Operand 1
     /*  226813 */     // No operand predicates
     /*  226813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226840 */     GIR_RootConstrainSelectedInstOperands,
     /*  226841 */     // GIR_Coverage, 8766,
     /*  226841 */     GIR_EraseRootFromParent_Done,
     /*  226842 */   // Label 4464: @226842
     /*  226842 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226916), // Rule ID 8767 //
     /*  226847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226887 */     // MIs[1] Operand 1
     /*  226887 */     // No operand predicates
     /*  226887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226914 */     GIR_RootConstrainSelectedInstOperands,
     /*  226915 */     // GIR_Coverage, 8767,
     /*  226915 */     GIR_EraseRootFromParent_Done,
     /*  226916 */   // Label 4465: @226916
     /*  226916 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226990), // Rule ID 8770 //
     /*  226921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226961 */     // MIs[1] Operand 1
     /*  226961 */     // No operand predicates
     /*  226961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226988 */     GIR_RootConstrainSelectedInstOperands,
     /*  226989 */     // GIR_Coverage, 8770,
     /*  226989 */     GIR_EraseRootFromParent_Done,
     /*  226990 */   // Label 4466: @226990
     /*  226990 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(227064), // Rule ID 8771 //
     /*  226995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227035 */     // MIs[1] Operand 1
     /*  227035 */     // No operand predicates
     /*  227035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227062 */     GIR_RootConstrainSelectedInstOperands,
     /*  227063 */     // GIR_Coverage, 8771,
     /*  227063 */     GIR_EraseRootFromParent_Done,
     /*  227064 */   // Label 4467: @227064
     /*  227064 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(227138), // Rule ID 8774 //
     /*  227069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227109 */     // MIs[1] Operand 1
     /*  227109 */     // No operand predicates
     /*  227109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227118 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227136 */     GIR_RootConstrainSelectedInstOperands,
     /*  227137 */     // GIR_Coverage, 8774,
     /*  227137 */     GIR_EraseRootFromParent_Done,
     /*  227138 */   // Label 4468: @227138
     /*  227138 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(227212), // Rule ID 8775 //
     /*  227143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227183 */     // MIs[1] Operand 1
     /*  227183 */     // No operand predicates
     /*  227183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227210 */     GIR_RootConstrainSelectedInstOperands,
     /*  227211 */     // GIR_Coverage, 8775,
     /*  227211 */     GIR_EraseRootFromParent_Done,
     /*  227212 */   // Label 4469: @227212
     /*  227212 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(227286), // Rule ID 8778 //
     /*  227217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227257 */     // MIs[1] Operand 1
     /*  227257 */     // No operand predicates
     /*  227257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227266 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227284 */     GIR_RootConstrainSelectedInstOperands,
     /*  227285 */     // GIR_Coverage, 8778,
     /*  227285 */     GIR_EraseRootFromParent_Done,
     /*  227286 */   // Label 4470: @227286
     /*  227286 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(227360), // Rule ID 8779 //
     /*  227291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227331 */     // MIs[1] Operand 1
     /*  227331 */     // No operand predicates
     /*  227331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227358 */     GIR_RootConstrainSelectedInstOperands,
     /*  227359 */     // GIR_Coverage, 8779,
     /*  227359 */     GIR_EraseRootFromParent_Done,
     /*  227360 */   // Label 4471: @227360
     /*  227360 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(227434), // Rule ID 8782 //
     /*  227365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227405 */     // MIs[1] Operand 1
     /*  227405 */     // No operand predicates
     /*  227405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227414 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227432 */     GIR_RootConstrainSelectedInstOperands,
     /*  227433 */     // GIR_Coverage, 8782,
     /*  227433 */     GIR_EraseRootFromParent_Done,
     /*  227434 */   // Label 4472: @227434
     /*  227434 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(227508), // Rule ID 8783 //
     /*  227439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227479 */     // MIs[1] Operand 1
     /*  227479 */     // No operand predicates
     /*  227479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227506 */     GIR_RootConstrainSelectedInstOperands,
     /*  227507 */     // GIR_Coverage, 8783,
     /*  227507 */     GIR_EraseRootFromParent_Done,
     /*  227508 */   // Label 4473: @227508
     /*  227508 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(227582), // Rule ID 8786 //
     /*  227513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227553 */     // MIs[1] Operand 1
     /*  227553 */     // No operand predicates
     /*  227553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227562 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227580 */     GIR_RootConstrainSelectedInstOperands,
     /*  227581 */     // GIR_Coverage, 8786,
     /*  227581 */     GIR_EraseRootFromParent_Done,
     /*  227582 */   // Label 4474: @227582
     /*  227582 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(227656), // Rule ID 8787 //
     /*  227587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227627 */     // MIs[1] Operand 1
     /*  227627 */     // No operand predicates
     /*  227627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227636 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227654 */     GIR_RootConstrainSelectedInstOperands,
     /*  227655 */     // GIR_Coverage, 8787,
     /*  227655 */     GIR_EraseRootFromParent_Done,
     /*  227656 */   // Label 4475: @227656
     /*  227656 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227730), // Rule ID 8790 //
     /*  227661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227701 */     // MIs[1] Operand 1
     /*  227701 */     // No operand predicates
     /*  227701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227710 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227728 */     GIR_RootConstrainSelectedInstOperands,
     /*  227729 */     // GIR_Coverage, 8790,
     /*  227729 */     GIR_EraseRootFromParent_Done,
     /*  227730 */   // Label 4476: @227730
     /*  227730 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227804), // Rule ID 8791 //
     /*  227735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227775 */     // MIs[1] Operand 1
     /*  227775 */     // No operand predicates
     /*  227775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227802 */     GIR_RootConstrainSelectedInstOperands,
     /*  227803 */     // GIR_Coverage, 8791,
     /*  227803 */     GIR_EraseRootFromParent_Done,
     /*  227804 */   // Label 4477: @227804
     /*  227804 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227878), // Rule ID 8794 //
     /*  227809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227849 */     // MIs[1] Operand 1
     /*  227849 */     // No operand predicates
     /*  227849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227858 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227876 */     GIR_RootConstrainSelectedInstOperands,
     /*  227877 */     // GIR_Coverage, 8794,
     /*  227877 */     GIR_EraseRootFromParent_Done,
     /*  227878 */   // Label 4478: @227878
     /*  227878 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227952), // Rule ID 8795 //
     /*  227883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227923 */     // MIs[1] Operand 1
     /*  227923 */     // No operand predicates
     /*  227923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227932 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227950 */     GIR_RootConstrainSelectedInstOperands,
     /*  227951 */     // GIR_Coverage, 8795,
     /*  227951 */     GIR_EraseRootFromParent_Done,
     /*  227952 */   // Label 4479: @227952
     /*  227952 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(228026), // Rule ID 8798 //
     /*  227957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227997 */     // MIs[1] Operand 1
     /*  227997 */     // No operand predicates
     /*  227997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228006 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228024 */     GIR_RootConstrainSelectedInstOperands,
     /*  228025 */     // GIR_Coverage, 8798,
     /*  228025 */     GIR_EraseRootFromParent_Done,
     /*  228026 */   // Label 4480: @228026
     /*  228026 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(228100), // Rule ID 8799 //
     /*  228031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228071 */     // MIs[1] Operand 1
     /*  228071 */     // No operand predicates
     /*  228071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228098 */     GIR_RootConstrainSelectedInstOperands,
     /*  228099 */     // GIR_Coverage, 8799,
     /*  228099 */     GIR_EraseRootFromParent_Done,
     /*  228100 */   // Label 4481: @228100
     /*  228100 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(228174), // Rule ID 8802 //
     /*  228105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228145 */     // MIs[1] Operand 1
     /*  228145 */     // No operand predicates
     /*  228145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228172 */     GIR_RootConstrainSelectedInstOperands,
     /*  228173 */     // GIR_Coverage, 8802,
     /*  228173 */     GIR_EraseRootFromParent_Done,
     /*  228174 */   // Label 4482: @228174
     /*  228174 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(228248), // Rule ID 8803 //
     /*  228179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228219 */     // MIs[1] Operand 1
     /*  228219 */     // No operand predicates
     /*  228219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228246 */     GIR_RootConstrainSelectedInstOperands,
     /*  228247 */     // GIR_Coverage, 8803,
     /*  228247 */     GIR_EraseRootFromParent_Done,
     /*  228248 */   // Label 4483: @228248
     /*  228248 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(228322), // Rule ID 8806 //
     /*  228253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  228267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228293 */     // MIs[1] Operand 1
     /*  228293 */     // No operand predicates
     /*  228293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228302 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228320 */     GIR_RootConstrainSelectedInstOperands,
     /*  228321 */     // GIR_Coverage, 8806,
     /*  228321 */     GIR_EraseRootFromParent_Done,
     /*  228322 */   // Label 4484: @228322
     /*  228322 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(228396), // Rule ID 8807 //
     /*  228327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  228341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228367 */     // MIs[1] Operand 1
     /*  228367 */     // No operand predicates
     /*  228367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228394 */     GIR_RootConstrainSelectedInstOperands,
     /*  228395 */     // GIR_Coverage, 8807,
     /*  228395 */     GIR_EraseRootFromParent_Done,
     /*  228396 */   // Label 4485: @228396
     /*  228396 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(228470), // Rule ID 8810 //
     /*  228401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228441 */     // MIs[1] Operand 1
     /*  228441 */     // No operand predicates
     /*  228441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228468 */     GIR_RootConstrainSelectedInstOperands,
     /*  228469 */     // GIR_Coverage, 8810,
     /*  228469 */     GIR_EraseRootFromParent_Done,
     /*  228470 */   // Label 4486: @228470
     /*  228470 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(228544), // Rule ID 8811 //
     /*  228475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228515 */     // MIs[1] Operand 1
     /*  228515 */     // No operand predicates
     /*  228515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228542 */     GIR_RootConstrainSelectedInstOperands,
     /*  228543 */     // GIR_Coverage, 8811,
     /*  228543 */     GIR_EraseRootFromParent_Done,
     /*  228544 */   // Label 4487: @228544
     /*  228544 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(228618), // Rule ID 8814 //
     /*  228549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228589 */     // MIs[1] Operand 1
     /*  228589 */     // No operand predicates
     /*  228589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228598 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228616 */     GIR_RootConstrainSelectedInstOperands,
     /*  228617 */     // GIR_Coverage, 8814,
     /*  228617 */     GIR_EraseRootFromParent_Done,
     /*  228618 */   // Label 4488: @228618
     /*  228618 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(228692), // Rule ID 8815 //
     /*  228623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228663 */     // MIs[1] Operand 1
     /*  228663 */     // No operand predicates
     /*  228663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228690 */     GIR_RootConstrainSelectedInstOperands,
     /*  228691 */     // GIR_Coverage, 8815,
     /*  228691 */     GIR_EraseRootFromParent_Done,
     /*  228692 */   // Label 4489: @228692
     /*  228692 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228766), // Rule ID 8818 //
     /*  228697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228737 */     // MIs[1] Operand 1
     /*  228737 */     // No operand predicates
     /*  228737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228764 */     GIR_RootConstrainSelectedInstOperands,
     /*  228765 */     // GIR_Coverage, 8818,
     /*  228765 */     GIR_EraseRootFromParent_Done,
     /*  228766 */   // Label 4490: @228766
     /*  228766 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228840), // Rule ID 8819 //
     /*  228771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228811 */     // MIs[1] Operand 1
     /*  228811 */     // No operand predicates
     /*  228811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228838 */     GIR_RootConstrainSelectedInstOperands,
     /*  228839 */     // GIR_Coverage, 8819,
     /*  228839 */     GIR_EraseRootFromParent_Done,
     /*  228840 */   // Label 4491: @228840
     /*  228840 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228914), // Rule ID 8822 //
     /*  228845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228885 */     // MIs[1] Operand 1
     /*  228885 */     // No operand predicates
     /*  228885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228894 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228912 */     GIR_RootConstrainSelectedInstOperands,
     /*  228913 */     // GIR_Coverage, 8822,
     /*  228913 */     GIR_EraseRootFromParent_Done,
     /*  228914 */   // Label 4492: @228914
     /*  228914 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228988), // Rule ID 8823 //
     /*  228919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228959 */     // MIs[1] Operand 1
     /*  228959 */     // No operand predicates
     /*  228959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228986 */     GIR_RootConstrainSelectedInstOperands,
     /*  228987 */     // GIR_Coverage, 8823,
     /*  228987 */     GIR_EraseRootFromParent_Done,
     /*  228988 */   // Label 4493: @228988
     /*  228988 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(229062), // Rule ID 9002 //
     /*  228993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229033 */     // MIs[1] Operand 1
     /*  229033 */     // No operand predicates
     /*  229033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229042 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  229045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229060 */     GIR_RootConstrainSelectedInstOperands,
     /*  229061 */     // GIR_Coverage, 9002,
     /*  229061 */     GIR_EraseRootFromParent_Done,
     /*  229062 */   // Label 4494: @229062
     /*  229062 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(229136), // Rule ID 9003 //
     /*  229067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229107 */     // MIs[1] Operand 1
     /*  229107 */     // No operand predicates
     /*  229107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  229119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229134 */     GIR_RootConstrainSelectedInstOperands,
     /*  229135 */     // GIR_Coverage, 9003,
     /*  229135 */     GIR_EraseRootFromParent_Done,
     /*  229136 */   // Label 4495: @229136
     /*  229136 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(229210), // Rule ID 9006 //
     /*  229141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229181 */     // MIs[1] Operand 1
     /*  229181 */     // No operand predicates
     /*  229181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229208 */     GIR_RootConstrainSelectedInstOperands,
     /*  229209 */     // GIR_Coverage, 9006,
     /*  229209 */     GIR_EraseRootFromParent_Done,
     /*  229210 */   // Label 4496: @229210
     /*  229210 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(229284), // Rule ID 9007 //
     /*  229215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229255 */     // MIs[1] Operand 1
     /*  229255 */     // No operand predicates
     /*  229255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229282 */     GIR_RootConstrainSelectedInstOperands,
     /*  229283 */     // GIR_Coverage, 9007,
     /*  229283 */     GIR_EraseRootFromParent_Done,
     /*  229284 */   // Label 4497: @229284
     /*  229284 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(229358), // Rule ID 9010 //
     /*  229289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  229303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229329 */     // MIs[1] Operand 1
     /*  229329 */     // No operand predicates
     /*  229329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229338 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229356 */     GIR_RootConstrainSelectedInstOperands,
     /*  229357 */     // GIR_Coverage, 9010,
     /*  229357 */     GIR_EraseRootFromParent_Done,
     /*  229358 */   // Label 4498: @229358
     /*  229358 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(229432), // Rule ID 9011 //
     /*  229363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  229377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229403 */     // MIs[1] Operand 1
     /*  229403 */     // No operand predicates
     /*  229403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229430 */     GIR_RootConstrainSelectedInstOperands,
     /*  229431 */     // GIR_Coverage, 9011,
     /*  229431 */     GIR_EraseRootFromParent_Done,
     /*  229432 */   // Label 4499: @229432
     /*  229432 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(229506), // Rule ID 9014 //
     /*  229437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229477 */     // MIs[1] Operand 1
     /*  229477 */     // No operand predicates
     /*  229477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229504 */     GIR_RootConstrainSelectedInstOperands,
     /*  229505 */     // GIR_Coverage, 9014,
     /*  229505 */     GIR_EraseRootFromParent_Done,
     /*  229506 */   // Label 4500: @229506
     /*  229506 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(229580), // Rule ID 9015 //
     /*  229511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229551 */     // MIs[1] Operand 1
     /*  229551 */     // No operand predicates
     /*  229551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229578 */     GIR_RootConstrainSelectedInstOperands,
     /*  229579 */     // GIR_Coverage, 9015,
     /*  229579 */     GIR_EraseRootFromParent_Done,
     /*  229580 */   // Label 4501: @229580
     /*  229580 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(229654), // Rule ID 9018 //
     /*  229585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229625 */     // MIs[1] Operand 1
     /*  229625 */     // No operand predicates
     /*  229625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229652 */     GIR_RootConstrainSelectedInstOperands,
     /*  229653 */     // GIR_Coverage, 9018,
     /*  229653 */     GIR_EraseRootFromParent_Done,
     /*  229654 */   // Label 4502: @229654
     /*  229654 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229728), // Rule ID 9019 //
     /*  229659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229699 */     // MIs[1] Operand 1
     /*  229699 */     // No operand predicates
     /*  229699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229726 */     GIR_RootConstrainSelectedInstOperands,
     /*  229727 */     // GIR_Coverage, 9019,
     /*  229727 */     GIR_EraseRootFromParent_Done,
     /*  229728 */   // Label 4503: @229728
     /*  229728 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229802), // Rule ID 9022 //
     /*  229733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229773 */     // MIs[1] Operand 1
     /*  229773 */     // No operand predicates
     /*  229773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229800 */     GIR_RootConstrainSelectedInstOperands,
     /*  229801 */     // GIR_Coverage, 9022,
     /*  229801 */     GIR_EraseRootFromParent_Done,
     /*  229802 */   // Label 4504: @229802
     /*  229802 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229876), // Rule ID 9023 //
     /*  229807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229847 */     // MIs[1] Operand 1
     /*  229847 */     // No operand predicates
     /*  229847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229874 */     GIR_RootConstrainSelectedInstOperands,
     /*  229875 */     // GIR_Coverage, 9023,
     /*  229875 */     GIR_EraseRootFromParent_Done,
     /*  229876 */   // Label 4505: @229876
     /*  229876 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229950), // Rule ID 9026 //
     /*  229881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229921 */     // MIs[1] Operand 1
     /*  229921 */     // No operand predicates
     /*  229921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229948 */     GIR_RootConstrainSelectedInstOperands,
     /*  229949 */     // GIR_Coverage, 9026,
     /*  229949 */     GIR_EraseRootFromParent_Done,
     /*  229950 */   // Label 4506: @229950
     /*  229950 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(230024), // Rule ID 9027 //
     /*  229955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229995 */     // MIs[1] Operand 1
     /*  229995 */     // No operand predicates
     /*  229995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230022 */     GIR_RootConstrainSelectedInstOperands,
     /*  230023 */     // GIR_Coverage, 9027,
     /*  230023 */     GIR_EraseRootFromParent_Done,
     /*  230024 */   // Label 4507: @230024
     /*  230024 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(230098), // Rule ID 9030 //
     /*  230029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230069 */     // MIs[1] Operand 1
     /*  230069 */     // No operand predicates
     /*  230069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230096 */     GIR_RootConstrainSelectedInstOperands,
     /*  230097 */     // GIR_Coverage, 9030,
     /*  230097 */     GIR_EraseRootFromParent_Done,
     /*  230098 */   // Label 4508: @230098
     /*  230098 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(230172), // Rule ID 9031 //
     /*  230103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230143 */     // MIs[1] Operand 1
     /*  230143 */     // No operand predicates
     /*  230143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230170 */     GIR_RootConstrainSelectedInstOperands,
     /*  230171 */     // GIR_Coverage, 9031,
     /*  230171 */     GIR_EraseRootFromParent_Done,
     /*  230172 */   // Label 4509: @230172
     /*  230172 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(230246), // Rule ID 9034 //
     /*  230177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230217 */     // MIs[1] Operand 1
     /*  230217 */     // No operand predicates
     /*  230217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230226 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230244 */     GIR_RootConstrainSelectedInstOperands,
     /*  230245 */     // GIR_Coverage, 9034,
     /*  230245 */     GIR_EraseRootFromParent_Done,
     /*  230246 */   // Label 4510: @230246
     /*  230246 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(230320), // Rule ID 9035 //
     /*  230251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230291 */     // MIs[1] Operand 1
     /*  230291 */     // No operand predicates
     /*  230291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230318 */     GIR_RootConstrainSelectedInstOperands,
     /*  230319 */     // GIR_Coverage, 9035,
     /*  230319 */     GIR_EraseRootFromParent_Done,
     /*  230320 */   // Label 4511: @230320
     /*  230320 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(230394), // Rule ID 9038 //
     /*  230325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230365 */     // MIs[1] Operand 1
     /*  230365 */     // No operand predicates
     /*  230365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230374 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230392 */     GIR_RootConstrainSelectedInstOperands,
     /*  230393 */     // GIR_Coverage, 9038,
     /*  230393 */     GIR_EraseRootFromParent_Done,
     /*  230394 */   // Label 4512: @230394
     /*  230394 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(230468), // Rule ID 9039 //
     /*  230399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230439 */     // MIs[1] Operand 1
     /*  230439 */     // No operand predicates
     /*  230439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230466 */     GIR_RootConstrainSelectedInstOperands,
     /*  230467 */     // GIR_Coverage, 9039,
     /*  230467 */     GIR_EraseRootFromParent_Done,
     /*  230468 */   // Label 4513: @230468
     /*  230468 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(230542), // Rule ID 9042 //
     /*  230473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230513 */     // MIs[1] Operand 1
     /*  230513 */     // No operand predicates
     /*  230513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230540 */     GIR_RootConstrainSelectedInstOperands,
     /*  230541 */     // GIR_Coverage, 9042,
     /*  230541 */     GIR_EraseRootFromParent_Done,
     /*  230542 */   // Label 4514: @230542
     /*  230542 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(230616), // Rule ID 9043 //
     /*  230547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230587 */     // MIs[1] Operand 1
     /*  230587 */     // No operand predicates
     /*  230587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230614 */     GIR_RootConstrainSelectedInstOperands,
     /*  230615 */     // GIR_Coverage, 9043,
     /*  230615 */     GIR_EraseRootFromParent_Done,
     /*  230616 */   // Label 4515: @230616
     /*  230616 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(230690), // Rule ID 9046 //
     /*  230621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230661 */     // MIs[1] Operand 1
     /*  230661 */     // No operand predicates
     /*  230661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230670 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230688 */     GIR_RootConstrainSelectedInstOperands,
     /*  230689 */     // GIR_Coverage, 9046,
     /*  230689 */     GIR_EraseRootFromParent_Done,
     /*  230690 */   // Label 4516: @230690
     /*  230690 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230764), // Rule ID 9047 //
     /*  230695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230735 */     // MIs[1] Operand 1
     /*  230735 */     // No operand predicates
     /*  230735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230744 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230762 */     GIR_RootConstrainSelectedInstOperands,
     /*  230763 */     // GIR_Coverage, 9047,
     /*  230763 */     GIR_EraseRootFromParent_Done,
     /*  230764 */   // Label 4517: @230764
     /*  230764 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230838), // Rule ID 9050 //
     /*  230769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230809 */     // MIs[1] Operand 1
     /*  230809 */     // No operand predicates
     /*  230809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230818 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230836 */     GIR_RootConstrainSelectedInstOperands,
     /*  230837 */     // GIR_Coverage, 9050,
     /*  230837 */     GIR_EraseRootFromParent_Done,
     /*  230838 */   // Label 4518: @230838
     /*  230838 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230912), // Rule ID 9051 //
     /*  230843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230883 */     // MIs[1] Operand 1
     /*  230883 */     // No operand predicates
     /*  230883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230892 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230910 */     GIR_RootConstrainSelectedInstOperands,
     /*  230911 */     // GIR_Coverage, 9051,
     /*  230911 */     GIR_EraseRootFromParent_Done,
     /*  230912 */   // Label 4519: @230912
     /*  230912 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230986), // Rule ID 9054 //
     /*  230917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230957 */     // MIs[1] Operand 1
     /*  230957 */     // No operand predicates
     /*  230957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230984 */     GIR_RootConstrainSelectedInstOperands,
     /*  230985 */     // GIR_Coverage, 9054,
     /*  230985 */     GIR_EraseRootFromParent_Done,
     /*  230986 */   // Label 4520: @230986
     /*  230986 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(231060), // Rule ID 9055 //
     /*  230991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231031 */     // MIs[1] Operand 1
     /*  231031 */     // No operand predicates
     /*  231031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231058 */     GIR_RootConstrainSelectedInstOperands,
     /*  231059 */     // GIR_Coverage, 9055,
     /*  231059 */     GIR_EraseRootFromParent_Done,
     /*  231060 */   // Label 4521: @231060
     /*  231060 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(231134), // Rule ID 9058 //
     /*  231065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231105 */     // MIs[1] Operand 1
     /*  231105 */     // No operand predicates
     /*  231105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231114 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231132 */     GIR_RootConstrainSelectedInstOperands,
     /*  231133 */     // GIR_Coverage, 9058,
     /*  231133 */     GIR_EraseRootFromParent_Done,
     /*  231134 */   // Label 4522: @231134
     /*  231134 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(231208), // Rule ID 9059 //
     /*  231139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231179 */     // MIs[1] Operand 1
     /*  231179 */     // No operand predicates
     /*  231179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231206 */     GIR_RootConstrainSelectedInstOperands,
     /*  231207 */     // GIR_Coverage, 9059,
     /*  231207 */     GIR_EraseRootFromParent_Done,
     /*  231208 */   // Label 4523: @231208
     /*  231208 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(231282), // Rule ID 9062 //
     /*  231213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231253 */     // MIs[1] Operand 1
     /*  231253 */     // No operand predicates
     /*  231253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231262 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231280 */     GIR_RootConstrainSelectedInstOperands,
     /*  231281 */     // GIR_Coverage, 9062,
     /*  231281 */     GIR_EraseRootFromParent_Done,
     /*  231282 */   // Label 4524: @231282
     /*  231282 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(231356), // Rule ID 9063 //
     /*  231287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231327 */     // MIs[1] Operand 1
     /*  231327 */     // No operand predicates
     /*  231327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231354 */     GIR_RootConstrainSelectedInstOperands,
     /*  231355 */     // GIR_Coverage, 9063,
     /*  231355 */     GIR_EraseRootFromParent_Done,
     /*  231356 */   // Label 4525: @231356
     /*  231356 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(231430), // Rule ID 9066 //
     /*  231361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231401 */     // MIs[1] Operand 1
     /*  231401 */     // No operand predicates
     /*  231401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231410 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231428 */     GIR_RootConstrainSelectedInstOperands,
     /*  231429 */     // GIR_Coverage, 9066,
     /*  231429 */     GIR_EraseRootFromParent_Done,
     /*  231430 */   // Label 4526: @231430
     /*  231430 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(231504), // Rule ID 9067 //
     /*  231435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231475 */     // MIs[1] Operand 1
     /*  231475 */     // No operand predicates
     /*  231475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231502 */     GIR_RootConstrainSelectedInstOperands,
     /*  231503 */     // GIR_Coverage, 9067,
     /*  231503 */     GIR_EraseRootFromParent_Done,
     /*  231504 */   // Label 4527: @231504
     /*  231504 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(231578), // Rule ID 9070 //
     /*  231509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231549 */     // MIs[1] Operand 1
     /*  231549 */     // No operand predicates
     /*  231549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231576 */     GIR_RootConstrainSelectedInstOperands,
     /*  231577 */     // GIR_Coverage, 9070,
     /*  231577 */     GIR_EraseRootFromParent_Done,
     /*  231578 */   // Label 4528: @231578
     /*  231578 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(231652), // Rule ID 9071 //
     /*  231583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231623 */     // MIs[1] Operand 1
     /*  231623 */     // No operand predicates
     /*  231623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231650 */     GIR_RootConstrainSelectedInstOperands,
     /*  231651 */     // GIR_Coverage, 9071,
     /*  231651 */     GIR_EraseRootFromParent_Done,
     /*  231652 */   // Label 4529: @231652
     /*  231652 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231726), // Rule ID 9074 //
     /*  231657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231697 */     // MIs[1] Operand 1
     /*  231697 */     // No operand predicates
     /*  231697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231706 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231724 */     GIR_RootConstrainSelectedInstOperands,
     /*  231725 */     // GIR_Coverage, 9074,
     /*  231725 */     GIR_EraseRootFromParent_Done,
     /*  231726 */   // Label 4530: @231726
     /*  231726 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231800), // Rule ID 9075 //
     /*  231731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231771 */     // MIs[1] Operand 1
     /*  231771 */     // No operand predicates
     /*  231771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231798 */     GIR_RootConstrainSelectedInstOperands,
     /*  231799 */     // GIR_Coverage, 9075,
     /*  231799 */     GIR_EraseRootFromParent_Done,
     /*  231800 */   // Label 4531: @231800
     /*  231800 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231874), // Rule ID 9078 //
     /*  231805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231845 */     // MIs[1] Operand 1
     /*  231845 */     // No operand predicates
     /*  231845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231854 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231872 */     GIR_RootConstrainSelectedInstOperands,
     /*  231873 */     // GIR_Coverage, 9078,
     /*  231873 */     GIR_EraseRootFromParent_Done,
     /*  231874 */   // Label 4532: @231874
     /*  231874 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231948), // Rule ID 9079 //
     /*  231879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231919 */     // MIs[1] Operand 1
     /*  231919 */     // No operand predicates
     /*  231919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231946 */     GIR_RootConstrainSelectedInstOperands,
     /*  231947 */     // GIR_Coverage, 9079,
     /*  231947 */     GIR_EraseRootFromParent_Done,
     /*  231948 */   // Label 4533: @231948
     /*  231948 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(232022), // Rule ID 9082 //
     /*  231953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231993 */     // MIs[1] Operand 1
     /*  231993 */     // No operand predicates
     /*  231993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  232005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232020 */     GIR_RootConstrainSelectedInstOperands,
     /*  232021 */     // GIR_Coverage, 9082,
     /*  232021 */     GIR_EraseRootFromParent_Done,
     /*  232022 */   // Label 4534: @232022
     /*  232022 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(232096), // Rule ID 9083 //
     /*  232027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232067 */     // MIs[1] Operand 1
     /*  232067 */     // No operand predicates
     /*  232067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  232079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232094 */     GIR_RootConstrainSelectedInstOperands,
     /*  232095 */     // GIR_Coverage, 9083,
     /*  232095 */     GIR_EraseRootFromParent_Done,
     /*  232096 */   // Label 4535: @232096
     /*  232096 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(232170), // Rule ID 9086 //
     /*  232101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232141 */     // MIs[1] Operand 1
     /*  232141 */     // No operand predicates
     /*  232141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232168 */     GIR_RootConstrainSelectedInstOperands,
     /*  232169 */     // GIR_Coverage, 9086,
     /*  232169 */     GIR_EraseRootFromParent_Done,
     /*  232170 */   // Label 4536: @232170
     /*  232170 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(232244), // Rule ID 9087 //
     /*  232175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232215 */     // MIs[1] Operand 1
     /*  232215 */     // No operand predicates
     /*  232215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232242 */     GIR_RootConstrainSelectedInstOperands,
     /*  232243 */     // GIR_Coverage, 9087,
     /*  232243 */     GIR_EraseRootFromParent_Done,
     /*  232244 */   // Label 4537: @232244
     /*  232244 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(232318), // Rule ID 9178 //
     /*  232249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  232263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232289 */     // MIs[1] Operand 1
     /*  232289 */     // No operand predicates
     /*  232289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  232301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232316 */     GIR_RootConstrainSelectedInstOperands,
     /*  232317 */     // GIR_Coverage, 9178,
     /*  232317 */     GIR_EraseRootFromParent_Done,
     /*  232318 */   // Label 4538: @232318
     /*  232318 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(232392), // Rule ID 9179 //
     /*  232323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  232337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232363 */     // MIs[1] Operand 1
     /*  232363 */     // No operand predicates
     /*  232363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  232375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232390 */     GIR_RootConstrainSelectedInstOperands,
     /*  232391 */     // GIR_Coverage, 9179,
     /*  232391 */     GIR_EraseRootFromParent_Done,
     /*  232392 */   // Label 4539: @232392
     /*  232392 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(232466), // Rule ID 9182 //
     /*  232397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  232411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232437 */     // MIs[1] Operand 1
     /*  232437 */     // No operand predicates
     /*  232437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232464 */     GIR_RootConstrainSelectedInstOperands,
     /*  232465 */     // GIR_Coverage, 9182,
     /*  232465 */     GIR_EraseRootFromParent_Done,
     /*  232466 */   // Label 4540: @232466
     /*  232466 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(232540), // Rule ID 9183 //
     /*  232471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  232485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232511 */     // MIs[1] Operand 1
     /*  232511 */     // No operand predicates
     /*  232511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232538 */     GIR_RootConstrainSelectedInstOperands,
     /*  232539 */     // GIR_Coverage, 9183,
     /*  232539 */     GIR_EraseRootFromParent_Done,
     /*  232540 */   // Label 4541: @232540
     /*  232540 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(232614), // Rule ID 9186 //
     /*  232545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232585 */     // MIs[1] Operand 1
     /*  232585 */     // No operand predicates
     /*  232585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232594 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232612 */     GIR_RootConstrainSelectedInstOperands,
     /*  232613 */     // GIR_Coverage, 9186,
     /*  232613 */     GIR_EraseRootFromParent_Done,
     /*  232614 */   // Label 4542: @232614
     /*  232614 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(232688), // Rule ID 9187 //
     /*  232619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232659 */     // MIs[1] Operand 1
     /*  232659 */     // No operand predicates
     /*  232659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232686 */     GIR_RootConstrainSelectedInstOperands,
     /*  232687 */     // GIR_Coverage, 9187,
     /*  232687 */     GIR_EraseRootFromParent_Done,
     /*  232688 */   // Label 4543: @232688
     /*  232688 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232762), // Rule ID 9190 //
     /*  232693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232733 */     // MIs[1] Operand 1
     /*  232733 */     // No operand predicates
     /*  232733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232742 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232760 */     GIR_RootConstrainSelectedInstOperands,
     /*  232761 */     // GIR_Coverage, 9190,
     /*  232761 */     GIR_EraseRootFromParent_Done,
     /*  232762 */   // Label 4544: @232762
     /*  232762 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232836), // Rule ID 9191 //
     /*  232767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232807 */     // MIs[1] Operand 1
     /*  232807 */     // No operand predicates
     /*  232807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232834 */     GIR_RootConstrainSelectedInstOperands,
     /*  232835 */     // GIR_Coverage, 9191,
     /*  232835 */     GIR_EraseRootFromParent_Done,
     /*  232836 */   // Label 4545: @232836
     /*  232836 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232910), // Rule ID 9194 //
     /*  232841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232881 */     // MIs[1] Operand 1
     /*  232881 */     // No operand predicates
     /*  232881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232890 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232908 */     GIR_RootConstrainSelectedInstOperands,
     /*  232909 */     // GIR_Coverage, 9194,
     /*  232909 */     GIR_EraseRootFromParent_Done,
     /*  232910 */   // Label 4546: @232910
     /*  232910 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232984), // Rule ID 9195 //
     /*  232915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232955 */     // MIs[1] Operand 1
     /*  232955 */     // No operand predicates
     /*  232955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232982 */     GIR_RootConstrainSelectedInstOperands,
     /*  232983 */     // GIR_Coverage, 9195,
     /*  232983 */     GIR_EraseRootFromParent_Done,
     /*  232984 */   // Label 4547: @232984
     /*  232984 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(233058), // Rule ID 9198 //
     /*  232989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  233003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233029 */     // MIs[1] Operand 1
     /*  233029 */     // No operand predicates
     /*  233029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233038 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233056 */     GIR_RootConstrainSelectedInstOperands,
     /*  233057 */     // GIR_Coverage, 9198,
     /*  233057 */     GIR_EraseRootFromParent_Done,
     /*  233058 */   // Label 4548: @233058
     /*  233058 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(233132), // Rule ID 9199 //
     /*  233063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  233077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233103 */     // MIs[1] Operand 1
     /*  233103 */     // No operand predicates
     /*  233103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233130 */     GIR_RootConstrainSelectedInstOperands,
     /*  233131 */     // GIR_Coverage, 9199,
     /*  233131 */     GIR_EraseRootFromParent_Done,
     /*  233132 */   // Label 4549: @233132
     /*  233132 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(233206), // Rule ID 9202 //
     /*  233137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  233151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233177 */     // MIs[1] Operand 1
     /*  233177 */     // No operand predicates
     /*  233177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233204 */     GIR_RootConstrainSelectedInstOperands,
     /*  233205 */     // GIR_Coverage, 9202,
     /*  233205 */     GIR_EraseRootFromParent_Done,
     /*  233206 */   // Label 4550: @233206
     /*  233206 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(233280), // Rule ID 9203 //
     /*  233211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  233225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233251 */     // MIs[1] Operand 1
     /*  233251 */     // No operand predicates
     /*  233251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233278 */     GIR_RootConstrainSelectedInstOperands,
     /*  233279 */     // GIR_Coverage, 9203,
     /*  233279 */     GIR_EraseRootFromParent_Done,
     /*  233280 */   // Label 4551: @233280
     /*  233280 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(233354), // Rule ID 9206 //
     /*  233285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  233299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233325 */     // MIs[1] Operand 1
     /*  233325 */     // No operand predicates
     /*  233325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233334 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233352 */     GIR_RootConstrainSelectedInstOperands,
     /*  233353 */     // GIR_Coverage, 9206,
     /*  233353 */     GIR_EraseRootFromParent_Done,
     /*  233354 */   // Label 4552: @233354
     /*  233354 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(233428), // Rule ID 9207 //
     /*  233359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  233373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233399 */     // MIs[1] Operand 1
     /*  233399 */     // No operand predicates
     /*  233399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233426 */     GIR_RootConstrainSelectedInstOperands,
     /*  233427 */     // GIR_Coverage, 9207,
     /*  233427 */     GIR_EraseRootFromParent_Done,
     /*  233428 */   // Label 4553: @233428
     /*  233428 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(233502), // Rule ID 9210 //
     /*  233433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233473 */     // MIs[1] Operand 1
     /*  233473 */     // No operand predicates
     /*  233473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233500 */     GIR_RootConstrainSelectedInstOperands,
     /*  233501 */     // GIR_Coverage, 9210,
     /*  233501 */     GIR_EraseRootFromParent_Done,
     /*  233502 */   // Label 4554: @233502
     /*  233502 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(233576), // Rule ID 9211 //
     /*  233507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233547 */     // MIs[1] Operand 1
     /*  233547 */     // No operand predicates
     /*  233547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233574 */     GIR_RootConstrainSelectedInstOperands,
     /*  233575 */     // GIR_Coverage, 9211,
     /*  233575 */     GIR_EraseRootFromParent_Done,
     /*  233576 */   // Label 4555: @233576
     /*  233576 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(233650), // Rule ID 9214 //
     /*  233581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233621 */     // MIs[1] Operand 1
     /*  233621 */     // No operand predicates
     /*  233621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233630 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233648 */     GIR_RootConstrainSelectedInstOperands,
     /*  233649 */     // GIR_Coverage, 9214,
     /*  233649 */     GIR_EraseRootFromParent_Done,
     /*  233650 */   // Label 4556: @233650
     /*  233650 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(233724), // Rule ID 9215 //
     /*  233655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233695 */     // MIs[1] Operand 1
     /*  233695 */     // No operand predicates
     /*  233695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233722 */     GIR_RootConstrainSelectedInstOperands,
     /*  233723 */     // GIR_Coverage, 9215,
     /*  233723 */     GIR_EraseRootFromParent_Done,
     /*  233724 */   // Label 4557: @233724
     /*  233724 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(233798), // Rule ID 9218 //
     /*  233729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233769 */     // MIs[1] Operand 1
     /*  233769 */     // No operand predicates
     /*  233769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233778 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233796 */     GIR_RootConstrainSelectedInstOperands,
     /*  233797 */     // GIR_Coverage, 9218,
     /*  233797 */     GIR_EraseRootFromParent_Done,
     /*  233798 */   // Label 4558: @233798
     /*  233798 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233872), // Rule ID 9219 //
     /*  233803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233843 */     // MIs[1] Operand 1
     /*  233843 */     // No operand predicates
     /*  233843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233870 */     GIR_RootConstrainSelectedInstOperands,
     /*  233871 */     // GIR_Coverage, 9219,
     /*  233871 */     GIR_EraseRootFromParent_Done,
     /*  233872 */   // Label 4559: @233872
     /*  233872 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233946), // Rule ID 9222 //
     /*  233877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233917 */     // MIs[1] Operand 1
     /*  233917 */     // No operand predicates
     /*  233917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233926 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233944 */     GIR_RootConstrainSelectedInstOperands,
     /*  233945 */     // GIR_Coverage, 9222,
     /*  233945 */     GIR_EraseRootFromParent_Done,
     /*  233946 */   // Label 4560: @233946
     /*  233946 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(234020), // Rule ID 9223 //
     /*  233951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233991 */     // MIs[1] Operand 1
     /*  233991 */     // No operand predicates
     /*  233991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234000 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234018 */     GIR_RootConstrainSelectedInstOperands,
     /*  234019 */     // GIR_Coverage, 9223,
     /*  234019 */     GIR_EraseRootFromParent_Done,
     /*  234020 */   // Label 4561: @234020
     /*  234020 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(234094), // Rule ID 9226 //
     /*  234025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  234036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  234039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234065 */     // MIs[1] Operand 1
     /*  234065 */     // No operand predicates
     /*  234065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234074 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234092 */     GIR_RootConstrainSelectedInstOperands,
     /*  234093 */     // GIR_Coverage, 9226,
     /*  234093 */     GIR_EraseRootFromParent_Done,
     /*  234094 */   // Label 4562: @234094
     /*  234094 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(234168), // Rule ID 9227 //
     /*  234099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  234110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  234113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234139 */     // MIs[1] Operand 1
     /*  234139 */     // No operand predicates
     /*  234139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234148 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234166 */     GIR_RootConstrainSelectedInstOperands,
     /*  234167 */     // GIR_Coverage, 9227,
     /*  234167 */     GIR_EraseRootFromParent_Done,
     /*  234168 */   // Label 4563: @234168
     /*  234168 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(234242), // Rule ID 9230 //
     /*  234173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234213 */     // MIs[1] Operand 1
     /*  234213 */     // No operand predicates
     /*  234213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234222 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234240 */     GIR_RootConstrainSelectedInstOperands,
     /*  234241 */     // GIR_Coverage, 9230,
     /*  234241 */     GIR_EraseRootFromParent_Done,
     /*  234242 */   // Label 4564: @234242
     /*  234242 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(234316), // Rule ID 9231 //
     /*  234247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234287 */     // MIs[1] Operand 1
     /*  234287 */     // No operand predicates
     /*  234287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234314 */     GIR_RootConstrainSelectedInstOperands,
     /*  234315 */     // GIR_Coverage, 9231,
     /*  234315 */     GIR_EraseRootFromParent_Done,
     /*  234316 */   // Label 4565: @234316
     /*  234316 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(234390), // Rule ID 9234 //
     /*  234321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234361 */     // MIs[1] Operand 1
     /*  234361 */     // No operand predicates
     /*  234361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234388 */     GIR_RootConstrainSelectedInstOperands,
     /*  234389 */     // GIR_Coverage, 9234,
     /*  234389 */     GIR_EraseRootFromParent_Done,
     /*  234390 */   // Label 4566: @234390
     /*  234390 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(234464), // Rule ID 9235 //
     /*  234395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234435 */     // MIs[1] Operand 1
     /*  234435 */     // No operand predicates
     /*  234435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234462 */     GIR_RootConstrainSelectedInstOperands,
     /*  234463 */     // GIR_Coverage, 9235,
     /*  234463 */     GIR_EraseRootFromParent_Done,
     /*  234464 */   // Label 4567: @234464
     /*  234464 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(234538), // Rule ID 9238 //
     /*  234469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234509 */     // MIs[1] Operand 1
     /*  234509 */     // No operand predicates
     /*  234509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234536 */     GIR_RootConstrainSelectedInstOperands,
     /*  234537 */     // GIR_Coverage, 9238,
     /*  234537 */     GIR_EraseRootFromParent_Done,
     /*  234538 */   // Label 4568: @234538
     /*  234538 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(234612), // Rule ID 9239 //
     /*  234543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234583 */     // MIs[1] Operand 1
     /*  234583 */     // No operand predicates
     /*  234583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234592 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234610 */     GIR_RootConstrainSelectedInstOperands,
     /*  234611 */     // GIR_Coverage, 9239,
     /*  234611 */     GIR_EraseRootFromParent_Done,
     /*  234612 */   // Label 4569: @234612
     /*  234612 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(234686), // Rule ID 9242 //
     /*  234617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234657 */     // MIs[1] Operand 1
     /*  234657 */     // No operand predicates
     /*  234657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234684 */     GIR_RootConstrainSelectedInstOperands,
     /*  234685 */     // GIR_Coverage, 9242,
     /*  234685 */     GIR_EraseRootFromParent_Done,
     /*  234686 */   // Label 4570: @234686
     /*  234686 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(234760), // Rule ID 9243 //
     /*  234691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234731 */     // MIs[1] Operand 1
     /*  234731 */     // No operand predicates
     /*  234731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234758 */     GIR_RootConstrainSelectedInstOperands,
     /*  234759 */     // GIR_Coverage, 9243,
     /*  234759 */     GIR_EraseRootFromParent_Done,
     /*  234760 */   // Label 4571: @234760
     /*  234760 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(234834), // Rule ID 9246 //
     /*  234765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234805 */     // MIs[1] Operand 1
     /*  234805 */     // No operand predicates
     /*  234805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234832 */     GIR_RootConstrainSelectedInstOperands,
     /*  234833 */     // GIR_Coverage, 9246,
     /*  234833 */     GIR_EraseRootFromParent_Done,
     /*  234834 */   // Label 4572: @234834
     /*  234834 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(234908), // Rule ID 9247 //
     /*  234839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234879 */     // MIs[1] Operand 1
     /*  234879 */     // No operand predicates
     /*  234879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234906 */     GIR_RootConstrainSelectedInstOperands,
     /*  234907 */     // GIR_Coverage, 9247,
     /*  234907 */     GIR_EraseRootFromParent_Done,
     /*  234908 */   // Label 4573: @234908
     /*  234908 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234982), // Rule ID 9250 //
     /*  234913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234953 */     // MIs[1] Operand 1
     /*  234953 */     // No operand predicates
     /*  234953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234962 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234980 */     GIR_RootConstrainSelectedInstOperands,
     /*  234981 */     // GIR_Coverage, 9250,
     /*  234981 */     GIR_EraseRootFromParent_Done,
     /*  234982 */   // Label 4574: @234982
     /*  234982 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(235056), // Rule ID 9251 //
     /*  234987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235027 */     // MIs[1] Operand 1
     /*  235027 */     // No operand predicates
     /*  235027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235054 */     GIR_RootConstrainSelectedInstOperands,
     /*  235055 */     // GIR_Coverage, 9251,
     /*  235055 */     GIR_EraseRootFromParent_Done,
     /*  235056 */   // Label 4575: @235056
     /*  235056 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(235130), // Rule ID 9254 //
     /*  235061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235101 */     // MIs[1] Operand 1
     /*  235101 */     // No operand predicates
     /*  235101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235128 */     GIR_RootConstrainSelectedInstOperands,
     /*  235129 */     // GIR_Coverage, 9254,
     /*  235129 */     GIR_EraseRootFromParent_Done,
     /*  235130 */   // Label 4576: @235130
     /*  235130 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(235204), // Rule ID 9255 //
     /*  235135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235175 */     // MIs[1] Operand 1
     /*  235175 */     // No operand predicates
     /*  235175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235202 */     GIR_RootConstrainSelectedInstOperands,
     /*  235203 */     // GIR_Coverage, 9255,
     /*  235203 */     GIR_EraseRootFromParent_Done,
     /*  235204 */   // Label 4577: @235204
     /*  235204 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(235278), // Rule ID 9258 //
     /*  235209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235249 */     // MIs[1] Operand 1
     /*  235249 */     // No operand predicates
     /*  235249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235276 */     GIR_RootConstrainSelectedInstOperands,
     /*  235277 */     // GIR_Coverage, 9258,
     /*  235277 */     GIR_EraseRootFromParent_Done,
     /*  235278 */   // Label 4578: @235278
     /*  235278 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(235352), // Rule ID 9259 //
     /*  235283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235323 */     // MIs[1] Operand 1
     /*  235323 */     // No operand predicates
     /*  235323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235350 */     GIR_RootConstrainSelectedInstOperands,
     /*  235351 */     // GIR_Coverage, 9259,
     /*  235351 */     GIR_EraseRootFromParent_Done,
     /*  235352 */   // Label 4579: @235352
     /*  235352 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(235426), // Rule ID 9262 //
     /*  235357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235397 */     // MIs[1] Operand 1
     /*  235397 */     // No operand predicates
     /*  235397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235424 */     GIR_RootConstrainSelectedInstOperands,
     /*  235425 */     // GIR_Coverage, 9262,
     /*  235425 */     GIR_EraseRootFromParent_Done,
     /*  235426 */   // Label 4580: @235426
     /*  235426 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(235500), // Rule ID 9263 //
     /*  235431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235471 */     // MIs[1] Operand 1
     /*  235471 */     // No operand predicates
     /*  235471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235498 */     GIR_RootConstrainSelectedInstOperands,
     /*  235499 */     // GIR_Coverage, 9263,
     /*  235499 */     GIR_EraseRootFromParent_Done,
     /*  235500 */   // Label 4581: @235500
     /*  235500 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(235574), // Rule ID 9354 //
     /*  235505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235545 */     // MIs[1] Operand 1
     /*  235545 */     // No operand predicates
     /*  235545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235572 */     GIR_RootConstrainSelectedInstOperands,
     /*  235573 */     // GIR_Coverage, 9354,
     /*  235573 */     GIR_EraseRootFromParent_Done,
     /*  235574 */   // Label 4582: @235574
     /*  235574 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(235648), // Rule ID 9355 //
     /*  235579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235619 */     // MIs[1] Operand 1
     /*  235619 */     // No operand predicates
     /*  235619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235646 */     GIR_RootConstrainSelectedInstOperands,
     /*  235647 */     // GIR_Coverage, 9355,
     /*  235647 */     GIR_EraseRootFromParent_Done,
     /*  235648 */   // Label 4583: @235648
     /*  235648 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(235722), // Rule ID 9358 //
     /*  235653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235693 */     // MIs[1] Operand 1
     /*  235693 */     // No operand predicates
     /*  235693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235720 */     GIR_RootConstrainSelectedInstOperands,
     /*  235721 */     // GIR_Coverage, 9358,
     /*  235721 */     GIR_EraseRootFromParent_Done,
     /*  235722 */   // Label 4584: @235722
     /*  235722 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(235796), // Rule ID 9359 //
     /*  235727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235767 */     // MIs[1] Operand 1
     /*  235767 */     // No operand predicates
     /*  235767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235794 */     GIR_RootConstrainSelectedInstOperands,
     /*  235795 */     // GIR_Coverage, 9359,
     /*  235795 */     GIR_EraseRootFromParent_Done,
     /*  235796 */   // Label 4585: @235796
     /*  235796 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(235870), // Rule ID 9362 //
     /*  235801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235841 */     // MIs[1] Operand 1
     /*  235841 */     // No operand predicates
     /*  235841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235850 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235868 */     GIR_RootConstrainSelectedInstOperands,
     /*  235869 */     // GIR_Coverage, 9362,
     /*  235869 */     GIR_EraseRootFromParent_Done,
     /*  235870 */   // Label 4586: @235870
     /*  235870 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(235944), // Rule ID 9363 //
     /*  235875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235915 */     // MIs[1] Operand 1
     /*  235915 */     // No operand predicates
     /*  235915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235942 */     GIR_RootConstrainSelectedInstOperands,
     /*  235943 */     // GIR_Coverage, 9363,
     /*  235943 */     GIR_EraseRootFromParent_Done,
     /*  235944 */   // Label 4587: @235944
     /*  235944 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(236018), // Rule ID 9366 //
     /*  235949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235989 */     // MIs[1] Operand 1
     /*  235989 */     // No operand predicates
     /*  235989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  236001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236016 */     GIR_RootConstrainSelectedInstOperands,
     /*  236017 */     // GIR_Coverage, 9366,
     /*  236017 */     GIR_EraseRootFromParent_Done,
     /*  236018 */   // Label 4588: @236018
     /*  236018 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(236092), // Rule ID 9367 //
     /*  236023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  236037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236063 */     // MIs[1] Operand 1
     /*  236063 */     // No operand predicates
     /*  236063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  236075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236090 */     GIR_RootConstrainSelectedInstOperands,
     /*  236091 */     // GIR_Coverage, 9367,
     /*  236091 */     GIR_EraseRootFromParent_Done,
     /*  236092 */   // Label 4589: @236092
     /*  236092 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(236166), // Rule ID 9370 //
     /*  236097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236137 */     // MIs[1] Operand 1
     /*  236137 */     // No operand predicates
     /*  236137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236146 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236164 */     GIR_RootConstrainSelectedInstOperands,
     /*  236165 */     // GIR_Coverage, 9370,
     /*  236165 */     GIR_EraseRootFromParent_Done,
     /*  236166 */   // Label 4590: @236166
     /*  236166 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(236240), // Rule ID 9371 //
     /*  236171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236211 */     // MIs[1] Operand 1
     /*  236211 */     // No operand predicates
     /*  236211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236238 */     GIR_RootConstrainSelectedInstOperands,
     /*  236239 */     // GIR_Coverage, 9371,
     /*  236239 */     GIR_EraseRootFromParent_Done,
     /*  236240 */   // Label 4591: @236240
     /*  236240 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(236314), // Rule ID 9374 //
     /*  236245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236285 */     // MIs[1] Operand 1
     /*  236285 */     // No operand predicates
     /*  236285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236294 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236312 */     GIR_RootConstrainSelectedInstOperands,
     /*  236313 */     // GIR_Coverage, 9374,
     /*  236313 */     GIR_EraseRootFromParent_Done,
     /*  236314 */   // Label 4592: @236314
     /*  236314 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(236388), // Rule ID 9375 //
     /*  236319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236359 */     // MIs[1] Operand 1
     /*  236359 */     // No operand predicates
     /*  236359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236386 */     GIR_RootConstrainSelectedInstOperands,
     /*  236387 */     // GIR_Coverage, 9375,
     /*  236387 */     GIR_EraseRootFromParent_Done,
     /*  236388 */   // Label 4593: @236388
     /*  236388 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(236462), // Rule ID 9378 //
     /*  236393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  236407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236433 */     // MIs[1] Operand 1
     /*  236433 */     // No operand predicates
     /*  236433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236442 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236460 */     GIR_RootConstrainSelectedInstOperands,
     /*  236461 */     // GIR_Coverage, 9378,
     /*  236461 */     GIR_EraseRootFromParent_Done,
     /*  236462 */   // Label 4594: @236462
     /*  236462 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(236536), // Rule ID 9379 //
     /*  236467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  236481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236507 */     // MIs[1] Operand 1
     /*  236507 */     // No operand predicates
     /*  236507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236534 */     GIR_RootConstrainSelectedInstOperands,
     /*  236535 */     // GIR_Coverage, 9379,
     /*  236535 */     GIR_EraseRootFromParent_Done,
     /*  236536 */   // Label 4595: @236536
     /*  236536 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(236610), // Rule ID 9382 //
     /*  236541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236581 */     // MIs[1] Operand 1
     /*  236581 */     // No operand predicates
     /*  236581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236590 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236608 */     GIR_RootConstrainSelectedInstOperands,
     /*  236609 */     // GIR_Coverage, 9382,
     /*  236609 */     GIR_EraseRootFromParent_Done,
     /*  236610 */   // Label 4596: @236610
     /*  236610 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(236684), // Rule ID 9383 //
     /*  236615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236655 */     // MIs[1] Operand 1
     /*  236655 */     // No operand predicates
     /*  236655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236682 */     GIR_RootConstrainSelectedInstOperands,
     /*  236683 */     // GIR_Coverage, 9383,
     /*  236683 */     GIR_EraseRootFromParent_Done,
     /*  236684 */   // Label 4597: @236684
     /*  236684 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(236758), // Rule ID 9386 //
     /*  236689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236729 */     // MIs[1] Operand 1
     /*  236729 */     // No operand predicates
     /*  236729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236738 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236756 */     GIR_RootConstrainSelectedInstOperands,
     /*  236757 */     // GIR_Coverage, 9386,
     /*  236757 */     GIR_EraseRootFromParent_Done,
     /*  236758 */   // Label 4598: @236758
     /*  236758 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(236832), // Rule ID 9387 //
     /*  236763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236803 */     // MIs[1] Operand 1
     /*  236803 */     // No operand predicates
     /*  236803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236830 */     GIR_RootConstrainSelectedInstOperands,
     /*  236831 */     // GIR_Coverage, 9387,
     /*  236831 */     GIR_EraseRootFromParent_Done,
     /*  236832 */   // Label 4599: @236832
     /*  236832 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(236906), // Rule ID 9390 //
     /*  236837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236877 */     // MIs[1] Operand 1
     /*  236877 */     // No operand predicates
     /*  236877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236886 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236904 */     GIR_RootConstrainSelectedInstOperands,
     /*  236905 */     // GIR_Coverage, 9390,
     /*  236905 */     GIR_EraseRootFromParent_Done,
     /*  236906 */   // Label 4600: @236906
     /*  236906 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(236980), // Rule ID 9391 //
     /*  236911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236951 */     // MIs[1] Operand 1
     /*  236951 */     // No operand predicates
     /*  236951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236978 */     GIR_RootConstrainSelectedInstOperands,
     /*  236979 */     // GIR_Coverage, 9391,
     /*  236979 */     GIR_EraseRootFromParent_Done,
     /*  236980 */   // Label 4601: @236980
     /*  236980 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(237054), // Rule ID 9394 //
     /*  236985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  236999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237025 */     // MIs[1] Operand 1
     /*  237025 */     // No operand predicates
     /*  237025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237034 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237052 */     GIR_RootConstrainSelectedInstOperands,
     /*  237053 */     // GIR_Coverage, 9394,
     /*  237053 */     GIR_EraseRootFromParent_Done,
     /*  237054 */   // Label 4602: @237054
     /*  237054 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(237128), // Rule ID 9395 //
     /*  237059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  237073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237099 */     // MIs[1] Operand 1
     /*  237099 */     // No operand predicates
     /*  237099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237126 */     GIR_RootConstrainSelectedInstOperands,
     /*  237127 */     // GIR_Coverage, 9395,
     /*  237127 */     GIR_EraseRootFromParent_Done,
     /*  237128 */   // Label 4603: @237128
     /*  237128 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(237202), // Rule ID 9398 //
     /*  237133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  237147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237173 */     // MIs[1] Operand 1
     /*  237173 */     // No operand predicates
     /*  237173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237182 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237200 */     GIR_RootConstrainSelectedInstOperands,
     /*  237201 */     // GIR_Coverage, 9398,
     /*  237201 */     GIR_EraseRootFromParent_Done,
     /*  237202 */   // Label 4604: @237202
     /*  237202 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(237276), // Rule ID 9399 //
     /*  237207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  237221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237247 */     // MIs[1] Operand 1
     /*  237247 */     // No operand predicates
     /*  237247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237274 */     GIR_RootConstrainSelectedInstOperands,
     /*  237275 */     // GIR_Coverage, 9399,
     /*  237275 */     GIR_EraseRootFromParent_Done,
     /*  237276 */   // Label 4605: @237276
     /*  237276 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(237350), // Rule ID 9402 //
     /*  237281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  237292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  237295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237321 */     // MIs[1] Operand 1
     /*  237321 */     // No operand predicates
     /*  237321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237330 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237348 */     GIR_RootConstrainSelectedInstOperands,
     /*  237349 */     // GIR_Coverage, 9402,
     /*  237349 */     GIR_EraseRootFromParent_Done,
     /*  237350 */   // Label 4606: @237350
     /*  237350 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(237424), // Rule ID 9403 //
     /*  237355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  237366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  237369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237395 */     // MIs[1] Operand 1
     /*  237395 */     // No operand predicates
     /*  237395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237404 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237422 */     GIR_RootConstrainSelectedInstOperands,
     /*  237423 */     // GIR_Coverage, 9403,
     /*  237423 */     GIR_EraseRootFromParent_Done,
     /*  237424 */   // Label 4607: @237424
     /*  237424 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(237498), // Rule ID 9406 //
     /*  237429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237469 */     // MIs[1] Operand 1
     /*  237469 */     // No operand predicates
     /*  237469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237478 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237496 */     GIR_RootConstrainSelectedInstOperands,
     /*  237497 */     // GIR_Coverage, 9406,
     /*  237497 */     GIR_EraseRootFromParent_Done,
     /*  237498 */   // Label 4608: @237498
     /*  237498 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(237572), // Rule ID 9407 //
     /*  237503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237543 */     // MIs[1] Operand 1
     /*  237543 */     // No operand predicates
     /*  237543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237570 */     GIR_RootConstrainSelectedInstOperands,
     /*  237571 */     // GIR_Coverage, 9407,
     /*  237571 */     GIR_EraseRootFromParent_Done,
     /*  237572 */   // Label 4609: @237572
     /*  237572 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(237646), // Rule ID 9410 //
     /*  237577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237617 */     // MIs[1] Operand 1
     /*  237617 */     // No operand predicates
     /*  237617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237644 */     GIR_RootConstrainSelectedInstOperands,
     /*  237645 */     // GIR_Coverage, 9410,
     /*  237645 */     GIR_EraseRootFromParent_Done,
     /*  237646 */   // Label 4610: @237646
     /*  237646 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(237720), // Rule ID 9411 //
     /*  237651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237691 */     // MIs[1] Operand 1
     /*  237691 */     // No operand predicates
     /*  237691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237718 */     GIR_RootConstrainSelectedInstOperands,
     /*  237719 */     // GIR_Coverage, 9411,
     /*  237719 */     GIR_EraseRootFromParent_Done,
     /*  237720 */   // Label 4611: @237720
     /*  237720 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(237794), // Rule ID 9414 //
     /*  237725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237765 */     // MIs[1] Operand 1
     /*  237765 */     // No operand predicates
     /*  237765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237774 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237792 */     GIR_RootConstrainSelectedInstOperands,
     /*  237793 */     // GIR_Coverage, 9414,
     /*  237793 */     GIR_EraseRootFromParent_Done,
     /*  237794 */   // Label 4612: @237794
     /*  237794 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(237868), // Rule ID 9415 //
     /*  237799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237839 */     // MIs[1] Operand 1
     /*  237839 */     // No operand predicates
     /*  237839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237848 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237866 */     GIR_RootConstrainSelectedInstOperands,
     /*  237867 */     // GIR_Coverage, 9415,
     /*  237867 */     GIR_EraseRootFromParent_Done,
     /*  237868 */   // Label 4613: @237868
     /*  237868 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(237942), // Rule ID 9418 //
     /*  237873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237913 */     // MIs[1] Operand 1
     /*  237913 */     // No operand predicates
     /*  237913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237940 */     GIR_RootConstrainSelectedInstOperands,
     /*  237941 */     // GIR_Coverage, 9418,
     /*  237941 */     GIR_EraseRootFromParent_Done,
     /*  237942 */   // Label 4614: @237942
     /*  237942 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(238016), // Rule ID 9419 //
     /*  237947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237987 */     // MIs[1] Operand 1
     /*  237987 */     // No operand predicates
     /*  237987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238014 */     GIR_RootConstrainSelectedInstOperands,
     /*  238015 */     // GIR_Coverage, 9419,
     /*  238015 */     GIR_EraseRootFromParent_Done,
     /*  238016 */   // Label 4615: @238016
     /*  238016 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(238090), // Rule ID 9422 //
     /*  238021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238061 */     // MIs[1] Operand 1
     /*  238061 */     // No operand predicates
     /*  238061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238070 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238088 */     GIR_RootConstrainSelectedInstOperands,
     /*  238089 */     // GIR_Coverage, 9422,
     /*  238089 */     GIR_EraseRootFromParent_Done,
     /*  238090 */   // Label 4616: @238090
     /*  238090 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(238164), // Rule ID 9423 //
     /*  238095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238135 */     // MIs[1] Operand 1
     /*  238135 */     // No operand predicates
     /*  238135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238162 */     GIR_RootConstrainSelectedInstOperands,
     /*  238163 */     // GIR_Coverage, 9423,
     /*  238163 */     GIR_EraseRootFromParent_Done,
     /*  238164 */   // Label 4617: @238164
     /*  238164 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(238238), // Rule ID 9426 //
     /*  238169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238209 */     // MIs[1] Operand 1
     /*  238209 */     // No operand predicates
     /*  238209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238218 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238236 */     GIR_RootConstrainSelectedInstOperands,
     /*  238237 */     // GIR_Coverage, 9426,
     /*  238237 */     GIR_EraseRootFromParent_Done,
     /*  238238 */   // Label 4618: @238238
     /*  238238 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(238312), // Rule ID 9427 //
     /*  238243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238283 */     // MIs[1] Operand 1
     /*  238283 */     // No operand predicates
     /*  238283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238310 */     GIR_RootConstrainSelectedInstOperands,
     /*  238311 */     // GIR_Coverage, 9427,
     /*  238311 */     GIR_EraseRootFromParent_Done,
     /*  238312 */   // Label 4619: @238312
     /*  238312 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(238386), // Rule ID 9430 //
     /*  238317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238357 */     // MIs[1] Operand 1
     /*  238357 */     // No operand predicates
     /*  238357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238366 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238384 */     GIR_RootConstrainSelectedInstOperands,
     /*  238385 */     // GIR_Coverage, 9430,
     /*  238385 */     GIR_EraseRootFromParent_Done,
     /*  238386 */   // Label 4620: @238386
     /*  238386 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(238460), // Rule ID 9431 //
     /*  238391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238431 */     // MIs[1] Operand 1
     /*  238431 */     // No operand predicates
     /*  238431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238458 */     GIR_RootConstrainSelectedInstOperands,
     /*  238459 */     // GIR_Coverage, 9431,
     /*  238459 */     GIR_EraseRootFromParent_Done,
     /*  238460 */   // Label 4621: @238460
     /*  238460 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(238534), // Rule ID 9434 //
     /*  238465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238505 */     // MIs[1] Operand 1
     /*  238505 */     // No operand predicates
     /*  238505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238532 */     GIR_RootConstrainSelectedInstOperands,
     /*  238533 */     // GIR_Coverage, 9434,
     /*  238533 */     GIR_EraseRootFromParent_Done,
     /*  238534 */   // Label 4622: @238534
     /*  238534 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(238608), // Rule ID 9435 //
     /*  238539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238579 */     // MIs[1] Operand 1
     /*  238579 */     // No operand predicates
     /*  238579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238606 */     GIR_RootConstrainSelectedInstOperands,
     /*  238607 */     // GIR_Coverage, 9435,
     /*  238607 */     GIR_EraseRootFromParent_Done,
     /*  238608 */   // Label 4623: @238608
     /*  238608 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(238682), // Rule ID 9438 //
     /*  238613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238653 */     // MIs[1] Operand 1
     /*  238653 */     // No operand predicates
     /*  238653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238680 */     GIR_RootConstrainSelectedInstOperands,
     /*  238681 */     // GIR_Coverage, 9438,
     /*  238681 */     GIR_EraseRootFromParent_Done,
     /*  238682 */   // Label 4624: @238682
     /*  238682 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238756), // Rule ID 9439 //
     /*  238687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238727 */     // MIs[1] Operand 1
     /*  238727 */     // No operand predicates
     /*  238727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238754 */     GIR_RootConstrainSelectedInstOperands,
     /*  238755 */     // GIR_Coverage, 9439,
     /*  238755 */     GIR_EraseRootFromParent_Done,
     /*  238756 */   // Label 4625: @238756
     /*  238756 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(238812), // Rule ID 64360 //
     /*  238761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  238764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  238769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  238775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238783 */     // MIs[0] pts
     /*  238783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  238786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  238791 */     // MIs[0] radix
     /*  238791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  238794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  238799 */     // (intrinsic_wo_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  238799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  238802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238806 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  238808 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  238810 */     GIR_RootConstrainSelectedInstOperands,
     /*  238811 */     // GIR_Coverage, 64360,
     /*  238811 */     GIR_EraseRootFromParent_Done,
     /*  238812 */   // Label 4626: @238812
     /*  238812 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(238875), // Rule ID 2576 //
     /*  238817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  238820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  238828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238856 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  238856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238863 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238873 */     GIR_RootConstrainSelectedInstOperands,
     /*  238874 */     // GIR_Coverage, 2576,
     /*  238874 */     GIR_EraseRootFromParent_Done,
     /*  238875 */   // Label 4627: @238875
     /*  238875 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(238938), // Rule ID 2577 //
     /*  238880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  238883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238919 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  238919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238926 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238936 */     GIR_RootConstrainSelectedInstOperands,
     /*  238937 */     // GIR_Coverage, 2577,
     /*  238937 */     GIR_EraseRootFromParent_Done,
     /*  238938 */   // Label 4628: @238938
     /*  238938 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(239004), // Rule ID 2584 //
     /*  238943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  238951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  238954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238982 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  238982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  238985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239002 */     GIR_RootConstrainSelectedInstOperands,
     /*  239003 */     // GIR_Coverage, 2584,
     /*  239003 */     GIR_EraseRootFromParent_Done,
     /*  239004 */   // Label 4629: @239004
     /*  239004 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(239070), // Rule ID 2585 //
     /*  239009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  239017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  239020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239048 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  239048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  239051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239068 */     GIR_RootConstrainSelectedInstOperands,
     /*  239069 */     // GIR_Coverage, 2585,
     /*  239069 */     GIR_EraseRootFromParent_Done,
     /*  239070 */   // Label 4630: @239070
     /*  239070 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(239136), // Rule ID 2588 //
     /*  239075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  239117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239134 */     GIR_RootConstrainSelectedInstOperands,
     /*  239135 */     // GIR_Coverage, 2588,
     /*  239135 */     GIR_EraseRootFromParent_Done,
     /*  239136 */   // Label 4631: @239136
     /*  239136 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(239202), // Rule ID 2589 //
     /*  239141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  239183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239200 */     GIR_RootConstrainSelectedInstOperands,
     /*  239201 */     // GIR_Coverage, 2589,
     /*  239201 */     GIR_EraseRootFromParent_Done,
     /*  239202 */   // Label 4632: @239202
     /*  239202 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(239268), // Rule ID 2592 //
     /*  239207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  239215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239246 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  239249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239266 */     GIR_RootConstrainSelectedInstOperands,
     /*  239267 */     // GIR_Coverage, 2592,
     /*  239267 */     GIR_EraseRootFromParent_Done,
     /*  239268 */   // Label 4633: @239268
     /*  239268 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(239334), // Rule ID 2593 //
     /*  239273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  239276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  239281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239312 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  239315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239332 */     GIR_RootConstrainSelectedInstOperands,
     /*  239333 */     // GIR_Coverage, 2593,
     /*  239333 */     GIR_EraseRootFromParent_Done,
     /*  239334 */   // Label 4634: @239334
     /*  239334 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(239397), // Rule ID 2606 //
     /*  239339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  239347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  239381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239395 */     GIR_RootConstrainSelectedInstOperands,
     /*  239396 */     // GIR_Coverage, 2606,
     /*  239396 */     GIR_EraseRootFromParent_Done,
     /*  239397 */   // Label 4635: @239397
     /*  239397 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(239460), // Rule ID 2607 //
     /*  239402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  239410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239441 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  239444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239458 */     GIR_RootConstrainSelectedInstOperands,
     /*  239459 */     // GIR_Coverage, 2607,
     /*  239459 */     GIR_EraseRootFromParent_Done,
     /*  239460 */   // Label 4636: @239460
     /*  239460 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(239523), // Rule ID 2618 //
     /*  239465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239521 */     GIR_RootConstrainSelectedInstOperands,
     /*  239522 */     // GIR_Coverage, 2618,
     /*  239522 */     GIR_EraseRootFromParent_Done,
     /*  239523 */   // Label 4637: @239523
     /*  239523 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239586), // Rule ID 2619 //
     /*  239528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239567 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239584 */     GIR_RootConstrainSelectedInstOperands,
     /*  239585 */     // GIR_Coverage, 2619,
     /*  239585 */     GIR_EraseRootFromParent_Done,
     /*  239586 */   // Label 4638: @239586
     /*  239586 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239649), // Rule ID 2626 //
     /*  239591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239630 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239647 */     GIR_RootConstrainSelectedInstOperands,
     /*  239648 */     // GIR_Coverage, 2626,
     /*  239648 */     GIR_EraseRootFromParent_Done,
     /*  239649 */   // Label 4639: @239649
     /*  239649 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239712), // Rule ID 2627 //
     /*  239654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239710 */     GIR_RootConstrainSelectedInstOperands,
     /*  239711 */     // GIR_Coverage, 2627,
     /*  239711 */     GIR_EraseRootFromParent_Done,
     /*  239712 */   // Label 4640: @239712
     /*  239712 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239778), // Rule ID 2628 //
     /*  239717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  239720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239756 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239776 */     GIR_RootConstrainSelectedInstOperands,
     /*  239777 */     // GIR_Coverage, 2628,
     /*  239777 */     GIR_EraseRootFromParent_Done,
     /*  239778 */   // Label 4641: @239778
     /*  239778 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(239844), // Rule ID 2629 //
     /*  239783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  239786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239842 */     GIR_RootConstrainSelectedInstOperands,
     /*  239843 */     // GIR_Coverage, 2629,
     /*  239843 */     GIR_EraseRootFromParent_Done,
     /*  239844 */   // Label 4642: @239844
     /*  239844 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(239907), // Rule ID 2640 //
     /*  239849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  239888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239905 */     GIR_RootConstrainSelectedInstOperands,
     /*  239906 */     // GIR_Coverage, 2640,
     /*  239906 */     GIR_EraseRootFromParent_Done,
     /*  239907 */   // Label 4643: @239907
     /*  239907 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(239970), // Rule ID 2641 //
     /*  239912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239951 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  239951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239968 */     GIR_RootConstrainSelectedInstOperands,
     /*  239969 */     // GIR_Coverage, 2641,
     /*  239969 */     GIR_EraseRootFromParent_Done,
     /*  239970 */   // Label 4644: @239970
     /*  239970 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(240036), // Rule ID 4780 //
     /*  239975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  239986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240034 */     GIR_RootConstrainSelectedInstOperands,
     /*  240035 */     // GIR_Coverage, 4780,
     /*  240035 */     GIR_EraseRootFromParent_Done,
     /*  240036 */   // Label 4645: @240036
     /*  240036 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(240102), // Rule ID 4781 //
     /*  240041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  240052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240080 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240100 */     GIR_RootConstrainSelectedInstOperands,
     /*  240101 */     // GIR_Coverage, 4781,
     /*  240101 */     GIR_EraseRootFromParent_Done,
     /*  240102 */   // Label 4646: @240102
     /*  240102 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(240168), // Rule ID 4784 //
     /*  240107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  240118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240166 */     GIR_RootConstrainSelectedInstOperands,
     /*  240167 */     // GIR_Coverage, 4784,
     /*  240167 */     GIR_EraseRootFromParent_Done,
     /*  240168 */   // Label 4647: @240168
     /*  240168 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(240234), // Rule ID 4785 //
     /*  240173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  240184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240232 */     GIR_RootConstrainSelectedInstOperands,
     /*  240233 */     // GIR_Coverage, 4785,
     /*  240233 */     GIR_EraseRootFromParent_Done,
     /*  240234 */   // Label 4648: @240234
     /*  240234 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(240300), // Rule ID 4788 //
     /*  240239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  240250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240298 */     GIR_RootConstrainSelectedInstOperands,
     /*  240299 */     // GIR_Coverage, 4788,
     /*  240299 */     GIR_EraseRootFromParent_Done,
     /*  240300 */   // Label 4649: @240300
     /*  240300 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(240366), // Rule ID 4789 //
     /*  240305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  240316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240364 */     GIR_RootConstrainSelectedInstOperands,
     /*  240365 */     // GIR_Coverage, 4789,
     /*  240365 */     GIR_EraseRootFromParent_Done,
     /*  240366 */   // Label 4650: @240366
     /*  240366 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(240432), // Rule ID 4792 //
     /*  240371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  240382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240410 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240430 */     GIR_RootConstrainSelectedInstOperands,
     /*  240431 */     // GIR_Coverage, 4792,
     /*  240431 */     GIR_EraseRootFromParent_Done,
     /*  240432 */   // Label 4651: @240432
     /*  240432 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240498), // Rule ID 4793 //
     /*  240437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  240448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240476 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240496 */     GIR_RootConstrainSelectedInstOperands,
     /*  240497 */     // GIR_Coverage, 4793,
     /*  240497 */     GIR_EraseRootFromParent_Done,
     /*  240498 */   // Label 4652: @240498
     /*  240498 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240564), // Rule ID 4796 //
     /*  240503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240562 */     GIR_RootConstrainSelectedInstOperands,
     /*  240563 */     // GIR_Coverage, 4796,
     /*  240563 */     GIR_EraseRootFromParent_Done,
     /*  240564 */   // Label 4653: @240564
     /*  240564 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240630), // Rule ID 4797 //
     /*  240569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240628 */     GIR_RootConstrainSelectedInstOperands,
     /*  240629 */     // GIR_Coverage, 4797,
     /*  240629 */     GIR_EraseRootFromParent_Done,
     /*  240630 */   // Label 4654: @240630
     /*  240630 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240696), // Rule ID 4800 //
     /*  240635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240694 */     GIR_RootConstrainSelectedInstOperands,
     /*  240695 */     // GIR_Coverage, 4800,
     /*  240695 */     GIR_EraseRootFromParent_Done,
     /*  240696 */   // Label 4655: @240696
     /*  240696 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240762), // Rule ID 4801 //
     /*  240701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240760 */     GIR_RootConstrainSelectedInstOperands,
     /*  240761 */     // GIR_Coverage, 4801,
     /*  240761 */     GIR_EraseRootFromParent_Done,
     /*  240762 */   // Label 4656: @240762
     /*  240762 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(240828), // Rule ID 4804 //
     /*  240767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240826 */     GIR_RootConstrainSelectedInstOperands,
     /*  240827 */     // GIR_Coverage, 4804,
     /*  240827 */     GIR_EraseRootFromParent_Done,
     /*  240828 */   // Label 4657: @240828
     /*  240828 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(240894), // Rule ID 4805 //
     /*  240833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240892 */     GIR_RootConstrainSelectedInstOperands,
     /*  240893 */     // GIR_Coverage, 4805,
     /*  240893 */     GIR_EraseRootFromParent_Done,
     /*  240894 */   // Label 4658: @240894
     /*  240894 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(240960), // Rule ID 4808 //
     /*  240899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240938 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240958 */     GIR_RootConstrainSelectedInstOperands,
     /*  240959 */     // GIR_Coverage, 4808,
     /*  240959 */     GIR_EraseRootFromParent_Done,
     /*  240960 */   // Label 4659: @240960
     /*  240960 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(241026), // Rule ID 4809 //
     /*  240965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241024 */     GIR_RootConstrainSelectedInstOperands,
     /*  241025 */     // GIR_Coverage, 4809,
     /*  241025 */     GIR_EraseRootFromParent_Done,
     /*  241026 */   // Label 4660: @241026
     /*  241026 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(241092), // Rule ID 4812 //
     /*  241031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241090 */     GIR_RootConstrainSelectedInstOperands,
     /*  241091 */     // GIR_Coverage, 4812,
     /*  241091 */     GIR_EraseRootFromParent_Done,
     /*  241092 */   // Label 4661: @241092
     /*  241092 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(241158), // Rule ID 4813 //
     /*  241097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241156 */     GIR_RootConstrainSelectedInstOperands,
     /*  241157 */     // GIR_Coverage, 4813,
     /*  241157 */     GIR_EraseRootFromParent_Done,
     /*  241158 */   // Label 4662: @241158
     /*  241158 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(241224), // Rule ID 4816 //
     /*  241163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  241180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241222 */     GIR_RootConstrainSelectedInstOperands,
     /*  241223 */     // GIR_Coverage, 4816,
     /*  241223 */     GIR_EraseRootFromParent_Done,
     /*  241224 */   // Label 4663: @241224
     /*  241224 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(241290), // Rule ID 4817 //
     /*  241229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  241246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241288 */     GIR_RootConstrainSelectedInstOperands,
     /*  241289 */     // GIR_Coverage, 4817,
     /*  241289 */     GIR_EraseRootFromParent_Done,
     /*  241290 */   // Label 4664: @241290
     /*  241290 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241356), // Rule ID 4820 //
     /*  241295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  241306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  241337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241354 */     GIR_RootConstrainSelectedInstOperands,
     /*  241355 */     // GIR_Coverage, 4820,
     /*  241355 */     GIR_EraseRootFromParent_Done,
     /*  241356 */   // Label 4665: @241356
     /*  241356 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241422), // Rule ID 4821 //
     /*  241361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  241372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  241403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241420 */     GIR_RootConstrainSelectedInstOperands,
     /*  241421 */     // GIR_Coverage, 4821,
     /*  241421 */     GIR_EraseRootFromParent_Done,
     /*  241422 */   // Label 4666: @241422
     /*  241422 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241488), // Rule ID 4824 //
     /*  241427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241486 */     GIR_RootConstrainSelectedInstOperands,
     /*  241487 */     // GIR_Coverage, 4824,
     /*  241487 */     GIR_EraseRootFromParent_Done,
     /*  241488 */   // Label 4667: @241488
     /*  241488 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241554), // Rule ID 4825 //
     /*  241493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241532 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241552 */     GIR_RootConstrainSelectedInstOperands,
     /*  241553 */     // GIR_Coverage, 4825,
     /*  241553 */     GIR_EraseRootFromParent_Done,
     /*  241554 */   // Label 4668: @241554
     /*  241554 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241620), // Rule ID 4828 //
     /*  241559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241618 */     GIR_RootConstrainSelectedInstOperands,
     /*  241619 */     // GIR_Coverage, 4828,
     /*  241619 */     GIR_EraseRootFromParent_Done,
     /*  241620 */   // Label 4669: @241620
     /*  241620 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241686), // Rule ID 4829 //
     /*  241625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241684 */     GIR_RootConstrainSelectedInstOperands,
     /*  241685 */     // GIR_Coverage, 4829,
     /*  241685 */     GIR_EraseRootFromParent_Done,
     /*  241686 */   // Label 4670: @241686
     /*  241686 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241752), // Rule ID 4832 //
     /*  241691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241750 */     GIR_RootConstrainSelectedInstOperands,
     /*  241751 */     // GIR_Coverage, 4832,
     /*  241751 */     GIR_EraseRootFromParent_Done,
     /*  241752 */   // Label 4671: @241752
     /*  241752 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(241818), // Rule ID 4833 //
     /*  241757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241816 */     GIR_RootConstrainSelectedInstOperands,
     /*  241817 */     // GIR_Coverage, 4833,
     /*  241817 */     GIR_EraseRootFromParent_Done,
     /*  241818 */   // Label 4672: @241818
     /*  241818 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(241884), // Rule ID 4836 //
     /*  241823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241882 */     GIR_RootConstrainSelectedInstOperands,
     /*  241883 */     // GIR_Coverage, 4836,
     /*  241883 */     GIR_EraseRootFromParent_Done,
     /*  241884 */   // Label 4673: @241884
     /*  241884 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(241950), // Rule ID 4837 //
     /*  241889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241928 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241948 */     GIR_RootConstrainSelectedInstOperands,
     /*  241949 */     // GIR_Coverage, 4837,
     /*  241949 */     GIR_EraseRootFromParent_Done,
     /*  241950 */   // Label 4674: @241950
     /*  241950 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(242016), // Rule ID 4840 //
     /*  241955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  241997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242014 */     GIR_RootConstrainSelectedInstOperands,
     /*  242015 */     // GIR_Coverage, 4840,
     /*  242015 */     GIR_EraseRootFromParent_Done,
     /*  242016 */   // Label 4675: @242016
     /*  242016 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(242082), // Rule ID 4841 //
     /*  242021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  242032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242080 */     GIR_RootConstrainSelectedInstOperands,
     /*  242081 */     // GIR_Coverage, 4841,
     /*  242081 */     GIR_EraseRootFromParent_Done,
     /*  242082 */   // Label 4676: @242082
     /*  242082 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(242148), // Rule ID 4844 //
     /*  242087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  242098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242146 */     GIR_RootConstrainSelectedInstOperands,
     /*  242147 */     // GIR_Coverage, 4844,
     /*  242147 */     GIR_EraseRootFromParent_Done,
     /*  242148 */   // Label 4677: @242148
     /*  242148 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(242214), // Rule ID 4845 //
     /*  242153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  242164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242212 */     GIR_RootConstrainSelectedInstOperands,
     /*  242213 */     // GIR_Coverage, 4845,
     /*  242213 */     GIR_EraseRootFromParent_Done,
     /*  242214 */   // Label 4678: @242214
     /*  242214 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242280), // Rule ID 4848 //
     /*  242219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  242230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242278 */     GIR_RootConstrainSelectedInstOperands,
     /*  242279 */     // GIR_Coverage, 4848,
     /*  242279 */     GIR_EraseRootFromParent_Done,
     /*  242280 */   // Label 4679: @242280
     /*  242280 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242346), // Rule ID 4849 //
     /*  242285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  242296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242344 */     GIR_RootConstrainSelectedInstOperands,
     /*  242345 */     // GIR_Coverage, 4849,
     /*  242345 */     GIR_EraseRootFromParent_Done,
     /*  242346 */   // Label 4680: @242346
     /*  242346 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242412), // Rule ID 4852 //
     /*  242351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  242362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242410 */     GIR_RootConstrainSelectedInstOperands,
     /*  242411 */     // GIR_Coverage, 4852,
     /*  242411 */     GIR_EraseRootFromParent_Done,
     /*  242412 */   // Label 4681: @242412
     /*  242412 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242478), // Rule ID 4853 //
     /*  242417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  242428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242456 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242476 */     GIR_RootConstrainSelectedInstOperands,
     /*  242477 */     // GIR_Coverage, 4853,
     /*  242477 */     GIR_EraseRootFromParent_Done,
     /*  242478 */   // Label 4682: @242478
     /*  242478 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242544), // Rule ID 4856 //
     /*  242483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242542 */     GIR_RootConstrainSelectedInstOperands,
     /*  242543 */     // GIR_Coverage, 4856,
     /*  242543 */     GIR_EraseRootFromParent_Done,
     /*  242544 */   // Label 4683: @242544
     /*  242544 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242610), // Rule ID 4857 //
     /*  242549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242608 */     GIR_RootConstrainSelectedInstOperands,
     /*  242609 */     // GIR_Coverage, 4857,
     /*  242609 */     GIR_EraseRootFromParent_Done,
     /*  242610 */   // Label 4684: @242610
     /*  242610 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242676), // Rule ID 4860 //
     /*  242615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242654 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242674 */     GIR_RootConstrainSelectedInstOperands,
     /*  242675 */     // GIR_Coverage, 4860,
     /*  242675 */     GIR_EraseRootFromParent_Done,
     /*  242676 */   // Label 4685: @242676
     /*  242676 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(242742), // Rule ID 4861 //
     /*  242681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242740 */     GIR_RootConstrainSelectedInstOperands,
     /*  242741 */     // GIR_Coverage, 4861,
     /*  242741 */     GIR_EraseRootFromParent_Done,
     /*  242742 */   // Label 4686: @242742
     /*  242742 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(242808), // Rule ID 4864 //
     /*  242747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242806 */     GIR_RootConstrainSelectedInstOperands,
     /*  242807 */     // GIR_Coverage, 4864,
     /*  242807 */     GIR_EraseRootFromParent_Done,
     /*  242808 */   // Label 4687: @242808
     /*  242808 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(242874), // Rule ID 4865 //
     /*  242813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242872 */     GIR_RootConstrainSelectedInstOperands,
     /*  242873 */     // GIR_Coverage, 4865,
     /*  242873 */     GIR_EraseRootFromParent_Done,
     /*  242874 */   // Label 4688: @242874
     /*  242874 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(242940), // Rule ID 4868 //
     /*  242879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242938 */     GIR_RootConstrainSelectedInstOperands,
     /*  242939 */     // GIR_Coverage, 4868,
     /*  242939 */     GIR_EraseRootFromParent_Done,
     /*  242940 */   // Label 4689: @242940
     /*  242940 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(243006), // Rule ID 4869 //
     /*  242945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243004 */     GIR_RootConstrainSelectedInstOperands,
     /*  243005 */     // GIR_Coverage, 4869,
     /*  243005 */     GIR_EraseRootFromParent_Done,
     /*  243006 */   // Label 4690: @243006
     /*  243006 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(243072), // Rule ID 4872 //
     /*  243011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  243053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243070 */     GIR_RootConstrainSelectedInstOperands,
     /*  243071 */     // GIR_Coverage, 4872,
     /*  243071 */     GIR_EraseRootFromParent_Done,
     /*  243072 */   // Label 4691: @243072
     /*  243072 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(243138), // Rule ID 4873 //
     /*  243077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  243119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243136 */     GIR_RootConstrainSelectedInstOperands,
     /*  243137 */     // GIR_Coverage, 4873,
     /*  243137 */     GIR_EraseRootFromParent_Done,
     /*  243138 */   // Label 4692: @243138
     /*  243138 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243204), // Rule ID 4876 //
     /*  243143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  243185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243202 */     GIR_RootConstrainSelectedInstOperands,
     /*  243203 */     // GIR_Coverage, 4876,
     /*  243203 */     GIR_EraseRootFromParent_Done,
     /*  243204 */   // Label 4693: @243204
     /*  243204 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243270), // Rule ID 4877 //
     /*  243209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  243251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243268 */     GIR_RootConstrainSelectedInstOperands,
     /*  243269 */     // GIR_Coverage, 4877,
     /*  243269 */     GIR_EraseRootFromParent_Done,
     /*  243270 */   // Label 4694: @243270
     /*  243270 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243336), // Rule ID 4880 //
     /*  243275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  243317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243334 */     GIR_RootConstrainSelectedInstOperands,
     /*  243335 */     // GIR_Coverage, 4880,
     /*  243335 */     GIR_EraseRootFromParent_Done,
     /*  243336 */   // Label 4695: @243336
     /*  243336 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243402), // Rule ID 4881 //
     /*  243341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243380 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  243383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243400 */     GIR_RootConstrainSelectedInstOperands,
     /*  243401 */     // GIR_Coverage, 4881,
     /*  243401 */     GIR_EraseRootFromParent_Done,
     /*  243402 */   // Label 4696: @243402
     /*  243402 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243468), // Rule ID 4884 //
     /*  243407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243466 */     GIR_RootConstrainSelectedInstOperands,
     /*  243467 */     // GIR_Coverage, 4884,
     /*  243467 */     GIR_EraseRootFromParent_Done,
     /*  243468 */   // Label 4697: @243468
     /*  243468 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243534), // Rule ID 4885 //
     /*  243473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243532 */     GIR_RootConstrainSelectedInstOperands,
     /*  243533 */     // GIR_Coverage, 4885,
     /*  243533 */     GIR_EraseRootFromParent_Done,
     /*  243534 */   // Label 4698: @243534
     /*  243534 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243600), // Rule ID 4888 //
     /*  243539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243598 */     GIR_RootConstrainSelectedInstOperands,
     /*  243599 */     // GIR_Coverage, 4888,
     /*  243599 */     GIR_EraseRootFromParent_Done,
     /*  243600 */   // Label 4699: @243600
     /*  243600 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243666), // Rule ID 4889 //
     /*  243605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243664 */     GIR_RootConstrainSelectedInstOperands,
     /*  243665 */     // GIR_Coverage, 4889,
     /*  243665 */     GIR_EraseRootFromParent_Done,
     /*  243666 */   // Label 4700: @243666
     /*  243666 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(243732), // Rule ID 4892 //
     /*  243671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243710 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243730 */     GIR_RootConstrainSelectedInstOperands,
     /*  243731 */     // GIR_Coverage, 4892,
     /*  243731 */     GIR_EraseRootFromParent_Done,
     /*  243732 */   // Label 4701: @243732
     /*  243732 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(243798), // Rule ID 4893 //
     /*  243737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243796 */     GIR_RootConstrainSelectedInstOperands,
     /*  243797 */     // GIR_Coverage, 4893,
     /*  243797 */     GIR_EraseRootFromParent_Done,
     /*  243798 */   // Label 4702: @243798
     /*  243798 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(243864), // Rule ID 4896 //
     /*  243803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243862 */     GIR_RootConstrainSelectedInstOperands,
     /*  243863 */     // GIR_Coverage, 4896,
     /*  243863 */     GIR_EraseRootFromParent_Done,
     /*  243864 */   // Label 4703: @243864
     /*  243864 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(243930), // Rule ID 4897 //
     /*  243869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243928 */     GIR_RootConstrainSelectedInstOperands,
     /*  243929 */     // GIR_Coverage, 4897,
     /*  243929 */     GIR_EraseRootFromParent_Done,
     /*  243930 */   // Label 4704: @243930
     /*  243930 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(243996), // Rule ID 4900 //
     /*  243935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  243946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  243949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243994 */     GIR_RootConstrainSelectedInstOperands,
     /*  243995 */     // GIR_Coverage, 4900,
     /*  243995 */     GIR_EraseRootFromParent_Done,
     /*  243996 */   // Label 4705: @243996
     /*  243996 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(244062), // Rule ID 4901 //
     /*  244001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244060 */     GIR_RootConstrainSelectedInstOperands,
     /*  244061 */     // GIR_Coverage, 4901,
     /*  244061 */     GIR_EraseRootFromParent_Done,
     /*  244062 */   // Label 4706: @244062
     /*  244062 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(244128), // Rule ID 4904 //
     /*  244067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244126 */     GIR_RootConstrainSelectedInstOperands,
     /*  244127 */     // GIR_Coverage, 4904,
     /*  244127 */     GIR_EraseRootFromParent_Done,
     /*  244128 */   // Label 4707: @244128
     /*  244128 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244194), // Rule ID 4905 //
     /*  244133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244192 */     GIR_RootConstrainSelectedInstOperands,
     /*  244193 */     // GIR_Coverage, 4905,
     /*  244193 */     GIR_EraseRootFromParent_Done,
     /*  244194 */   // Label 4708: @244194
     /*  244194 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244260), // Rule ID 4908 //
     /*  244199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244258 */     GIR_RootConstrainSelectedInstOperands,
     /*  244259 */     // GIR_Coverage, 4908,
     /*  244259 */     GIR_EraseRootFromParent_Done,
     /*  244260 */   // Label 4709: @244260
     /*  244260 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244326), // Rule ID 4909 //
     /*  244265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244324 */     GIR_RootConstrainSelectedInstOperands,
     /*  244325 */     // GIR_Coverage, 4909,
     /*  244325 */     GIR_EraseRootFromParent_Done,
     /*  244326 */   // Label 4710: @244326
     /*  244326 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244392), // Rule ID 4912 //
     /*  244331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  244342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244390 */     GIR_RootConstrainSelectedInstOperands,
     /*  244391 */     // GIR_Coverage, 4912,
     /*  244391 */     GIR_EraseRootFromParent_Done,
     /*  244392 */   // Label 4711: @244392
     /*  244392 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244458), // Rule ID 4913 //
     /*  244397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  244408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244456 */     GIR_RootConstrainSelectedInstOperands,
     /*  244457 */     // GIR_Coverage, 4913,
     /*  244457 */     GIR_EraseRootFromParent_Done,
     /*  244458 */   // Label 4712: @244458
     /*  244458 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244524), // Rule ID 4916 //
     /*  244463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244522 */     GIR_RootConstrainSelectedInstOperands,
     /*  244523 */     // GIR_Coverage, 4916,
     /*  244523 */     GIR_EraseRootFromParent_Done,
     /*  244524 */   // Label 4713: @244524
     /*  244524 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244590), // Rule ID 4917 //
     /*  244529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244588 */     GIR_RootConstrainSelectedInstOperands,
     /*  244589 */     // GIR_Coverage, 4917,
     /*  244589 */     GIR_EraseRootFromParent_Done,
     /*  244590 */   // Label 4714: @244590
     /*  244590 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244656), // Rule ID 4920 //
     /*  244595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244654 */     GIR_RootConstrainSelectedInstOperands,
     /*  244655 */     // GIR_Coverage, 4920,
     /*  244655 */     GIR_EraseRootFromParent_Done,
     /*  244656 */   // Label 4715: @244656
     /*  244656 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244722), // Rule ID 4921 //
     /*  244661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244720 */     GIR_RootConstrainSelectedInstOperands,
     /*  244721 */     // GIR_Coverage, 4921,
     /*  244721 */     GIR_EraseRootFromParent_Done,
     /*  244722 */   // Label 4716: @244722
     /*  244722 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(244788), // Rule ID 4924 //
     /*  244727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244786 */     GIR_RootConstrainSelectedInstOperands,
     /*  244787 */     // GIR_Coverage, 4924,
     /*  244787 */     GIR_EraseRootFromParent_Done,
     /*  244788 */   // Label 4717: @244788
     /*  244788 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(244854), // Rule ID 4925 //
     /*  244793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244852 */     GIR_RootConstrainSelectedInstOperands,
     /*  244853 */     // GIR_Coverage, 4925,
     /*  244853 */     GIR_EraseRootFromParent_Done,
     /*  244854 */   // Label 4718: @244854
     /*  244854 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(244920), // Rule ID 4928 //
     /*  244859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244918 */     GIR_RootConstrainSelectedInstOperands,
     /*  244919 */     // GIR_Coverage, 4928,
     /*  244919 */     GIR_EraseRootFromParent_Done,
     /*  244920 */   // Label 4719: @244920
     /*  244920 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(244986), // Rule ID 4929 //
     /*  244925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244984 */     GIR_RootConstrainSelectedInstOperands,
     /*  244985 */     // GIR_Coverage, 4929,
     /*  244985 */     GIR_EraseRootFromParent_Done,
     /*  244986 */   // Label 4720: @244986
     /*  244986 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(245052), // Rule ID 4932 //
     /*  244991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245050 */     GIR_RootConstrainSelectedInstOperands,
     /*  245051 */     // GIR_Coverage, 4932,
     /*  245051 */     GIR_EraseRootFromParent_Done,
     /*  245052 */   // Label 4721: @245052
     /*  245052 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(245118), // Rule ID 4933 //
     /*  245057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245116 */     GIR_RootConstrainSelectedInstOperands,
     /*  245117 */     // GIR_Coverage, 4933,
     /*  245117 */     GIR_EraseRootFromParent_Done,
     /*  245118 */   // Label 4722: @245118
     /*  245118 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245184), // Rule ID 4936 //
     /*  245123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245182 */     GIR_RootConstrainSelectedInstOperands,
     /*  245183 */     // GIR_Coverage, 4936,
     /*  245183 */     GIR_EraseRootFromParent_Done,
     /*  245184 */   // Label 4723: @245184
     /*  245184 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245250), // Rule ID 4937 //
     /*  245189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245248 */     GIR_RootConstrainSelectedInstOperands,
     /*  245249 */     // GIR_Coverage, 4937,
     /*  245249 */     GIR_EraseRootFromParent_Done,
     /*  245250 */   // Label 4724: @245250
     /*  245250 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245316), // Rule ID 4940 //
     /*  245255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  245297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245314 */     GIR_RootConstrainSelectedInstOperands,
     /*  245315 */     // GIR_Coverage, 4940,
     /*  245315 */     GIR_EraseRootFromParent_Done,
     /*  245316 */   // Label 4725: @245316
     /*  245316 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245382), // Rule ID 4941 //
     /*  245321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  245363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245380 */     GIR_RootConstrainSelectedInstOperands,
     /*  245381 */     // GIR_Coverage, 4941,
     /*  245381 */     GIR_EraseRootFromParent_Done,
     /*  245382 */   // Label 4726: @245382
     /*  245382 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245448), // Rule ID 4944 //
     /*  245387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245446 */     GIR_RootConstrainSelectedInstOperands,
     /*  245447 */     // GIR_Coverage, 4944,
     /*  245447 */     GIR_EraseRootFromParent_Done,
     /*  245448 */   // Label 4727: @245448
     /*  245448 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245514), // Rule ID 4945 //
     /*  245453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245512 */     GIR_RootConstrainSelectedInstOperands,
     /*  245513 */     // GIR_Coverage, 4945,
     /*  245513 */     GIR_EraseRootFromParent_Done,
     /*  245514 */   // Label 4728: @245514
     /*  245514 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245580), // Rule ID 4948 //
     /*  245519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245578 */     GIR_RootConstrainSelectedInstOperands,
     /*  245579 */     // GIR_Coverage, 4948,
     /*  245579 */     GIR_EraseRootFromParent_Done,
     /*  245580 */   // Label 4729: @245580
     /*  245580 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245646), // Rule ID 4949 //
     /*  245585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245644 */     GIR_RootConstrainSelectedInstOperands,
     /*  245645 */     // GIR_Coverage, 4949,
     /*  245645 */     GIR_EraseRootFromParent_Done,
     /*  245646 */   // Label 4730: @245646
     /*  245646 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245712), // Rule ID 4952 //
     /*  245651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245710 */     GIR_RootConstrainSelectedInstOperands,
     /*  245711 */     // GIR_Coverage, 4952,
     /*  245711 */     GIR_EraseRootFromParent_Done,
     /*  245712 */   // Label 4731: @245712
     /*  245712 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(245778), // Rule ID 4953 //
     /*  245717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245776 */     GIR_RootConstrainSelectedInstOperands,
     /*  245777 */     // GIR_Coverage, 4953,
     /*  245777 */     GIR_EraseRootFromParent_Done,
     /*  245778 */   // Label 4732: @245778
     /*  245778 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(245844), // Rule ID 4956 //
     /*  245783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245842 */     GIR_RootConstrainSelectedInstOperands,
     /*  245843 */     // GIR_Coverage, 4956,
     /*  245843 */     GIR_EraseRootFromParent_Done,
     /*  245844 */   // Label 4733: @245844
     /*  245844 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(245910), // Rule ID 4957 //
     /*  245849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245908 */     GIR_RootConstrainSelectedInstOperands,
     /*  245909 */     // GIR_Coverage, 4957,
     /*  245909 */     GIR_EraseRootFromParent_Done,
     /*  245910 */   // Label 4734: @245910
     /*  245910 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(245976), // Rule ID 4960 //
     /*  245915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  245957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245974 */     GIR_RootConstrainSelectedInstOperands,
     /*  245975 */     // GIR_Coverage, 4960,
     /*  245975 */     GIR_EraseRootFromParent_Done,
     /*  245976 */   // Label 4735: @245976
     /*  245976 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(246042), // Rule ID 4961 //
     /*  245981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246040 */     GIR_RootConstrainSelectedInstOperands,
     /*  246041 */     // GIR_Coverage, 4961,
     /*  246041 */     GIR_EraseRootFromParent_Done,
     /*  246042 */   // Label 4736: @246042
     /*  246042 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(246108), // Rule ID 4964 //
     /*  246047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246106 */     GIR_RootConstrainSelectedInstOperands,
     /*  246107 */     // GIR_Coverage, 4964,
     /*  246107 */     GIR_EraseRootFromParent_Done,
     /*  246108 */   // Label 4737: @246108
     /*  246108 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(246174), // Rule ID 4965 //
     /*  246113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246172 */     GIR_RootConstrainSelectedInstOperands,
     /*  246173 */     // GIR_Coverage, 4965,
     /*  246173 */     GIR_EraseRootFromParent_Done,
     /*  246174 */   // Label 4738: @246174
     /*  246174 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246240), // Rule ID 4968 //
     /*  246179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246238 */     GIR_RootConstrainSelectedInstOperands,
     /*  246239 */     // GIR_Coverage, 4968,
     /*  246239 */     GIR_EraseRootFromParent_Done,
     /*  246240 */   // Label 4739: @246240
     /*  246240 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246306), // Rule ID 4969 //
     /*  246245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246304 */     GIR_RootConstrainSelectedInstOperands,
     /*  246305 */     // GIR_Coverage, 4969,
     /*  246305 */     GIR_EraseRootFromParent_Done,
     /*  246306 */   // Label 4740: @246306
     /*  246306 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246372), // Rule ID 4972 //
     /*  246311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  246353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246370 */     GIR_RootConstrainSelectedInstOperands,
     /*  246371 */     // GIR_Coverage, 4972,
     /*  246371 */     GIR_EraseRootFromParent_Done,
     /*  246372 */   // Label 4741: @246372
     /*  246372 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246438), // Rule ID 4973 //
     /*  246377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  246419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246436 */     GIR_RootConstrainSelectedInstOperands,
     /*  246437 */     // GIR_Coverage, 4973,
     /*  246437 */     GIR_EraseRootFromParent_Done,
     /*  246438 */   // Label 4742: @246438
     /*  246438 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246504), // Rule ID 4976 //
     /*  246443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246482 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246502 */     GIR_RootConstrainSelectedInstOperands,
     /*  246503 */     // GIR_Coverage, 4976,
     /*  246503 */     GIR_EraseRootFromParent_Done,
     /*  246504 */   // Label 4743: @246504
     /*  246504 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246570), // Rule ID 4977 //
     /*  246509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246568 */     GIR_RootConstrainSelectedInstOperands,
     /*  246569 */     // GIR_Coverage, 4977,
     /*  246569 */     GIR_EraseRootFromParent_Done,
     /*  246570 */   // Label 4744: @246570
     /*  246570 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246636), // Rule ID 4980 //
     /*  246575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246634 */     GIR_RootConstrainSelectedInstOperands,
     /*  246635 */     // GIR_Coverage, 4980,
     /*  246635 */     GIR_EraseRootFromParent_Done,
     /*  246636 */   // Label 4745: @246636
     /*  246636 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246702), // Rule ID 4981 //
     /*  246641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246700 */     GIR_RootConstrainSelectedInstOperands,
     /*  246701 */     // GIR_Coverage, 4981,
     /*  246701 */     GIR_EraseRootFromParent_Done,
     /*  246702 */   // Label 4746: @246702
     /*  246702 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(246768), // Rule ID 4984 //
     /*  246707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246766 */     GIR_RootConstrainSelectedInstOperands,
     /*  246767 */     // GIR_Coverage, 4984,
     /*  246767 */     GIR_EraseRootFromParent_Done,
     /*  246768 */   // Label 4747: @246768
     /*  246768 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(246834), // Rule ID 4985 //
     /*  246773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246832 */     GIR_RootConstrainSelectedInstOperands,
     /*  246833 */     // GIR_Coverage, 4985,
     /*  246833 */     GIR_EraseRootFromParent_Done,
     /*  246834 */   // Label 4748: @246834
     /*  246834 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(246900), // Rule ID 4988 //
     /*  246839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246898 */     GIR_RootConstrainSelectedInstOperands,
     /*  246899 */     // GIR_Coverage, 4988,
     /*  246899 */     GIR_EraseRootFromParent_Done,
     /*  246900 */   // Label 4749: @246900
     /*  246900 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(246966), // Rule ID 4989 //
     /*  246905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246964 */     GIR_RootConstrainSelectedInstOperands,
     /*  246965 */     // GIR_Coverage, 4989,
     /*  246965 */     GIR_EraseRootFromParent_Done,
     /*  246966 */   // Label 4750: @246966
     /*  246966 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(247032), // Rule ID 4992 //
     /*  246971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247010 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  247013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247030 */     GIR_RootConstrainSelectedInstOperands,
     /*  247031 */     // GIR_Coverage, 4992,
     /*  247031 */     GIR_EraseRootFromParent_Done,
     /*  247032 */   // Label 4751: @247032
     /*  247032 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(247098), // Rule ID 4993 //
     /*  247037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  247079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247096 */     GIR_RootConstrainSelectedInstOperands,
     /*  247097 */     // GIR_Coverage, 4993,
     /*  247097 */     GIR_EraseRootFromParent_Done,
     /*  247098 */   // Label 4752: @247098
     /*  247098 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(247164), // Rule ID 4996 //
     /*  247103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  247145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247162 */     GIR_RootConstrainSelectedInstOperands,
     /*  247163 */     // GIR_Coverage, 4996,
     /*  247163 */     GIR_EraseRootFromParent_Done,
     /*  247164 */   // Label 4753: @247164
     /*  247164 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247230), // Rule ID 4997 //
     /*  247169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247208 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  247211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247228 */     GIR_RootConstrainSelectedInstOperands,
     /*  247229 */     // GIR_Coverage, 4997,
     /*  247229 */     GIR_EraseRootFromParent_Done,
     /*  247230 */   // Label 4754: @247230
     /*  247230 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247293), // Rule ID 5260 //
     /*  247235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  247249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247291 */     GIR_RootConstrainSelectedInstOperands,
     /*  247292 */     // GIR_Coverage, 5260,
     /*  247292 */     GIR_EraseRootFromParent_Done,
     /*  247293 */   // Label 4755: @247293
     /*  247293 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247356), // Rule ID 5261 //
     /*  247298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  247312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247354 */     GIR_RootConstrainSelectedInstOperands,
     /*  247355 */     // GIR_Coverage, 5261,
     /*  247355 */     GIR_EraseRootFromParent_Done,
     /*  247356 */   // Label 4756: @247356
     /*  247356 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247419), // Rule ID 5262 //
     /*  247361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  247375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247417 */     GIR_RootConstrainSelectedInstOperands,
     /*  247418 */     // GIR_Coverage, 5262,
     /*  247418 */     GIR_EraseRootFromParent_Done,
     /*  247419 */   // Label 4757: @247419
     /*  247419 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247482), // Rule ID 5263 //
     /*  247424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  247438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247463 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247480 */     GIR_RootConstrainSelectedInstOperands,
     /*  247481 */     // GIR_Coverage, 5263,
     /*  247481 */     GIR_EraseRootFromParent_Done,
     /*  247482 */   // Label 4758: @247482
     /*  247482 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247545), // Rule ID 5264 //
     /*  247487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247526 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247543 */     GIR_RootConstrainSelectedInstOperands,
     /*  247544 */     // GIR_Coverage, 5264,
     /*  247544 */     GIR_EraseRootFromParent_Done,
     /*  247545 */   // Label 4759: @247545
     /*  247545 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247608), // Rule ID 5265 //
     /*  247550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247589 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247606 */     GIR_RootConstrainSelectedInstOperands,
     /*  247607 */     // GIR_Coverage, 5265,
     /*  247607 */     GIR_EraseRootFromParent_Done,
     /*  247608 */   // Label 4760: @247608
     /*  247608 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247671), // Rule ID 5266 //
     /*  247613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247669 */     GIR_RootConstrainSelectedInstOperands,
     /*  247670 */     // GIR_Coverage, 5266,
     /*  247670 */     GIR_EraseRootFromParent_Done,
     /*  247671 */   // Label 4761: @247671
     /*  247671 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(247734), // Rule ID 5267 //
     /*  247676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247715 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247732 */     GIR_RootConstrainSelectedInstOperands,
     /*  247733 */     // GIR_Coverage, 5267,
     /*  247733 */     GIR_EraseRootFromParent_Done,
     /*  247734 */   // Label 4762: @247734
     /*  247734 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(247797), // Rule ID 5268 //
     /*  247739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247795 */     GIR_RootConstrainSelectedInstOperands,
     /*  247796 */     // GIR_Coverage, 5268,
     /*  247796 */     GIR_EraseRootFromParent_Done,
     /*  247797 */   // Label 4763: @247797
     /*  247797 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(247860), // Rule ID 5269 //
     /*  247802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247841 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247858 */     GIR_RootConstrainSelectedInstOperands,
     /*  247859 */     // GIR_Coverage, 5269,
     /*  247859 */     GIR_EraseRootFromParent_Done,
     /*  247860 */   // Label 4764: @247860
     /*  247860 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(247923), // Rule ID 5270 //
     /*  247865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247921 */     GIR_RootConstrainSelectedInstOperands,
     /*  247922 */     // GIR_Coverage, 5270,
     /*  247922 */     GIR_EraseRootFromParent_Done,
     /*  247923 */   // Label 4765: @247923
     /*  247923 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(247986), // Rule ID 5271 //
     /*  247928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247967 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247984 */     GIR_RootConstrainSelectedInstOperands,
     /*  247985 */     // GIR_Coverage, 5271,
     /*  247985 */     GIR_EraseRootFromParent_Done,
     /*  247986 */   // Label 4766: @247986
     /*  247986 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(248049), // Rule ID 5272 //
     /*  247991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248030 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248047 */     GIR_RootConstrainSelectedInstOperands,
     /*  248048 */     // GIR_Coverage, 5272,
     /*  248048 */     GIR_EraseRootFromParent_Done,
     /*  248049 */   // Label 4767: @248049
     /*  248049 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(248112), // Rule ID 5273 //
     /*  248054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248110 */     GIR_RootConstrainSelectedInstOperands,
     /*  248111 */     // GIR_Coverage, 5273,
     /*  248111 */     GIR_EraseRootFromParent_Done,
     /*  248112 */   // Label 4768: @248112
     /*  248112 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(248175), // Rule ID 5274 //
     /*  248117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  248134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248173 */     GIR_RootConstrainSelectedInstOperands,
     /*  248174 */     // GIR_Coverage, 5274,
     /*  248174 */     GIR_EraseRootFromParent_Done,
     /*  248175 */   // Label 4769: @248175
     /*  248175 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248238), // Rule ID 5275 //
     /*  248180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  248197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248219 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248236 */     GIR_RootConstrainSelectedInstOperands,
     /*  248237 */     // GIR_Coverage, 5275,
     /*  248237 */     GIR_EraseRootFromParent_Done,
     /*  248238 */   // Label 4770: @248238
     /*  248238 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248301), // Rule ID 5276 //
     /*  248243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  248257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  248260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248282 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248299 */     GIR_RootConstrainSelectedInstOperands,
     /*  248300 */     // GIR_Coverage, 5276,
     /*  248300 */     GIR_EraseRootFromParent_Done,
     /*  248301 */   // Label 4771: @248301
     /*  248301 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248364), // Rule ID 5277 //
     /*  248306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  248309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  248320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  248323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248345 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  248345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248362 */     GIR_RootConstrainSelectedInstOperands,
     /*  248363 */     // GIR_Coverage, 5277,
     /*  248363 */     GIR_EraseRootFromParent_Done,
     /*  248364 */   // Label 4772: @248364
     /*  248364 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248427), // Rule ID 5278 //
     /*  248369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  248383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248425 */     GIR_RootConstrainSelectedInstOperands,
     /*  248426 */     // GIR_Coverage, 5278,
     /*  248426 */     GIR_EraseRootFromParent_Done,
     /*  248427 */   // Label 4773: @248427
     /*  248427 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248490), // Rule ID 5279 //
     /*  248432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  248446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248471 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248488 */     GIR_RootConstrainSelectedInstOperands,
     /*  248489 */     // GIR_Coverage, 5279,
     /*  248489 */     GIR_EraseRootFromParent_Done,
     /*  248490 */   // Label 4774: @248490
     /*  248490 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248553), // Rule ID 5280 //
     /*  248495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248534 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248551 */     GIR_RootConstrainSelectedInstOperands,
     /*  248552 */     // GIR_Coverage, 5280,
     /*  248552 */     GIR_EraseRootFromParent_Done,
     /*  248553 */   // Label 4775: @248553
     /*  248553 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248616), // Rule ID 5281 //
     /*  248558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248597 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248614 */     GIR_RootConstrainSelectedInstOperands,
     /*  248615 */     // GIR_Coverage, 5281,
     /*  248615 */     GIR_EraseRootFromParent_Done,
     /*  248616 */   // Label 4776: @248616
     /*  248616 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(248679), // Rule ID 5282 //
     /*  248621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248660 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248677 */     GIR_RootConstrainSelectedInstOperands,
     /*  248678 */     // GIR_Coverage, 5282,
     /*  248678 */     GIR_EraseRootFromParent_Done,
     /*  248679 */   // Label 4777: @248679
     /*  248679 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(248742), // Rule ID 5283 //
     /*  248684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248723 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248740 */     GIR_RootConstrainSelectedInstOperands,
     /*  248741 */     // GIR_Coverage, 5283,
     /*  248741 */     GIR_EraseRootFromParent_Done,
     /*  248742 */   // Label 4778: @248742
     /*  248742 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(248805), // Rule ID 5284 //
     /*  248747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248803 */     GIR_RootConstrainSelectedInstOperands,
     /*  248804 */     // GIR_Coverage, 5284,
     /*  248804 */     GIR_EraseRootFromParent_Done,
     /*  248805 */   // Label 4779: @248805
     /*  248805 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(248868), // Rule ID 5285 //
     /*  248810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248866 */     GIR_RootConstrainSelectedInstOperands,
     /*  248867 */     // GIR_Coverage, 5285,
     /*  248867 */     GIR_EraseRootFromParent_Done,
     /*  248868 */   // Label 4780: @248868
     /*  248868 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(248931), // Rule ID 5286 //
     /*  248873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248929 */     GIR_RootConstrainSelectedInstOperands,
     /*  248930 */     // GIR_Coverage, 5286,
     /*  248930 */     GIR_EraseRootFromParent_Done,
     /*  248931 */   // Label 4781: @248931
     /*  248931 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(248994), // Rule ID 5287 //
     /*  248936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248975 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248992 */     GIR_RootConstrainSelectedInstOperands,
     /*  248993 */     // GIR_Coverage, 5287,
     /*  248993 */     GIR_EraseRootFromParent_Done,
     /*  248994 */   // Label 4782: @248994
     /*  248994 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(249057), // Rule ID 5288 //
     /*  248999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  249016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249038 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249055 */     GIR_RootConstrainSelectedInstOperands,
     /*  249056 */     // GIR_Coverage, 5288,
     /*  249056 */     GIR_EraseRootFromParent_Done,
     /*  249057 */   // Label 4783: @249057
     /*  249057 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(249120), // Rule ID 5289 //
     /*  249062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  249079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249101 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249118 */     GIR_RootConstrainSelectedInstOperands,
     /*  249119 */     // GIR_Coverage, 5289,
     /*  249119 */     GIR_EraseRootFromParent_Done,
     /*  249120 */   // Label 4784: @249120
     /*  249120 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(249183), // Rule ID 5290 //
     /*  249125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249181 */     GIR_RootConstrainSelectedInstOperands,
     /*  249182 */     // GIR_Coverage, 5290,
     /*  249182 */     GIR_EraseRootFromParent_Done,
     /*  249183 */   // Label 4785: @249183
     /*  249183 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249246), // Rule ID 5291 //
     /*  249188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249227 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249244 */     GIR_RootConstrainSelectedInstOperands,
     /*  249245 */     // GIR_Coverage, 5291,
     /*  249245 */     GIR_EraseRootFromParent_Done,
     /*  249246 */   // Label 4786: @249246
     /*  249246 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249309), // Rule ID 5292 //
     /*  249251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249290 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249307 */     GIR_RootConstrainSelectedInstOperands,
     /*  249308 */     // GIR_Coverage, 5292,
     /*  249308 */     GIR_EraseRootFromParent_Done,
     /*  249309 */   // Label 4787: @249309
     /*  249309 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249372), // Rule ID 5293 //
     /*  249314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249353 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249370 */     GIR_RootConstrainSelectedInstOperands,
     /*  249371 */     // GIR_Coverage, 5293,
     /*  249371 */     GIR_EraseRootFromParent_Done,
     /*  249372 */   // Label 4788: @249372
     /*  249372 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249435), // Rule ID 5294 //
     /*  249377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  249394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249433 */     GIR_RootConstrainSelectedInstOperands,
     /*  249434 */     // GIR_Coverage, 5294,
     /*  249434 */     GIR_EraseRootFromParent_Done,
     /*  249435 */   // Label 4789: @249435
     /*  249435 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249498), // Rule ID 5295 //
     /*  249440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  249457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249479 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249496 */     GIR_RootConstrainSelectedInstOperands,
     /*  249497 */     // GIR_Coverage, 5295,
     /*  249497 */     GIR_EraseRootFromParent_Done,
     /*  249498 */   // Label 4790: @249498
     /*  249498 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249561), // Rule ID 5296 //
     /*  249503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249542 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249559 */     GIR_RootConstrainSelectedInstOperands,
     /*  249560 */     // GIR_Coverage, 5296,
     /*  249560 */     GIR_EraseRootFromParent_Done,
     /*  249561 */   // Label 4791: @249561
     /*  249561 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(249624), // Rule ID 5297 //
     /*  249566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249622 */     GIR_RootConstrainSelectedInstOperands,
     /*  249623 */     // GIR_Coverage, 5297,
     /*  249623 */     GIR_EraseRootFromParent_Done,
     /*  249624 */   // Label 4792: @249624
     /*  249624 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(249687), // Rule ID 5298 //
     /*  249629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249685 */     GIR_RootConstrainSelectedInstOperands,
     /*  249686 */     // GIR_Coverage, 5298,
     /*  249686 */     GIR_EraseRootFromParent_Done,
     /*  249687 */   // Label 4793: @249687
     /*  249687 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(249750), // Rule ID 5299 //
     /*  249692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249731 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249748 */     GIR_RootConstrainSelectedInstOperands,
     /*  249749 */     // GIR_Coverage, 5299,
     /*  249749 */     GIR_EraseRootFromParent_Done,
     /*  249750 */   // Label 4794: @249750
     /*  249750 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(249813), // Rule ID 5300 //
     /*  249755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249811 */     GIR_RootConstrainSelectedInstOperands,
     /*  249812 */     // GIR_Coverage, 5300,
     /*  249812 */     GIR_EraseRootFromParent_Done,
     /*  249813 */   // Label 4795: @249813
     /*  249813 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(249876), // Rule ID 5301 //
     /*  249818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249874 */     GIR_RootConstrainSelectedInstOperands,
     /*  249875 */     // GIR_Coverage, 5301,
     /*  249875 */     GIR_EraseRootFromParent_Done,
     /*  249876 */   // Label 4796: @249876
     /*  249876 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(249939), // Rule ID 5302 //
     /*  249881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249937 */     GIR_RootConstrainSelectedInstOperands,
     /*  249938 */     // GIR_Coverage, 5302,
     /*  249938 */     GIR_EraseRootFromParent_Done,
     /*  249939 */   // Label 4797: @249939
     /*  249939 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(250002), // Rule ID 5303 //
     /*  249944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250000 */     GIR_RootConstrainSelectedInstOperands,
     /*  250001 */     // GIR_Coverage, 5303,
     /*  250001 */     GIR_EraseRootFromParent_Done,
     /*  250002 */   // Label 4798: @250002
     /*  250002 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(250065), // Rule ID 5304 //
     /*  250007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  250021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250046 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250063 */     GIR_RootConstrainSelectedInstOperands,
     /*  250064 */     // GIR_Coverage, 5304,
     /*  250064 */     GIR_EraseRootFromParent_Done,
     /*  250065 */   // Label 4799: @250065
     /*  250065 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(250128), // Rule ID 5305 //
     /*  250070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  250084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250126 */     GIR_RootConstrainSelectedInstOperands,
     /*  250127 */     // GIR_Coverage, 5305,
     /*  250127 */     GIR_EraseRootFromParent_Done,
     /*  250128 */   // Label 4800: @250128
     /*  250128 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250191), // Rule ID 5306 //
     /*  250133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  250147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250189 */     GIR_RootConstrainSelectedInstOperands,
     /*  250190 */     // GIR_Coverage, 5306,
     /*  250190 */     GIR_EraseRootFromParent_Done,
     /*  250191 */   // Label 4801: @250191
     /*  250191 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250254), // Rule ID 5307 //
     /*  250196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  250210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250235 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250252 */     GIR_RootConstrainSelectedInstOperands,
     /*  250253 */     // GIR_Coverage, 5307,
     /*  250253 */     GIR_EraseRootFromParent_Done,
     /*  250254 */   // Label 4802: @250254
     /*  250254 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250317), // Rule ID 5308 //
     /*  250259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  250273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250315 */     GIR_RootConstrainSelectedInstOperands,
     /*  250316 */     // GIR_Coverage, 5308,
     /*  250316 */     GIR_EraseRootFromParent_Done,
     /*  250317 */   // Label 4803: @250317
     /*  250317 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250380), // Rule ID 5309 //
     /*  250322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  250336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250361 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250378 */     GIR_RootConstrainSelectedInstOperands,
     /*  250379 */     // GIR_Coverage, 5309,
     /*  250379 */     GIR_EraseRootFromParent_Done,
     /*  250380 */   // Label 4804: @250380
     /*  250380 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250443), // Rule ID 5310 //
     /*  250385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  250399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250441 */     GIR_RootConstrainSelectedInstOperands,
     /*  250442 */     // GIR_Coverage, 5310,
     /*  250442 */     GIR_EraseRootFromParent_Done,
     /*  250443 */   // Label 4805: @250443
     /*  250443 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250506), // Rule ID 5311 //
     /*  250448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  250462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250487 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250504 */     GIR_RootConstrainSelectedInstOperands,
     /*  250505 */     // GIR_Coverage, 5311,
     /*  250505 */     GIR_EraseRootFromParent_Done,
     /*  250506 */   // Label 4806: @250506
     /*  250506 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250569), // Rule ID 5312 //
     /*  250511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250550 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250567 */     GIR_RootConstrainSelectedInstOperands,
     /*  250568 */     // GIR_Coverage, 5312,
     /*  250568 */     GIR_EraseRootFromParent_Done,
     /*  250569 */   // Label 4807: @250569
     /*  250569 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(250632), // Rule ID 5313 //
     /*  250574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250613 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250630 */     GIR_RootConstrainSelectedInstOperands,
     /*  250631 */     // GIR_Coverage, 5313,
     /*  250631 */     GIR_EraseRootFromParent_Done,
     /*  250632 */   // Label 4808: @250632
     /*  250632 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(250695), // Rule ID 5314 //
     /*  250637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250693 */     GIR_RootConstrainSelectedInstOperands,
     /*  250694 */     // GIR_Coverage, 5314,
     /*  250694 */     GIR_EraseRootFromParent_Done,
     /*  250695 */   // Label 4809: @250695
     /*  250695 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(250758), // Rule ID 5315 //
     /*  250700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250756 */     GIR_RootConstrainSelectedInstOperands,
     /*  250757 */     // GIR_Coverage, 5315,
     /*  250757 */     GIR_EraseRootFromParent_Done,
     /*  250758 */   // Label 4810: @250758
     /*  250758 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(250821), // Rule ID 5316 //
     /*  250763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250819 */     GIR_RootConstrainSelectedInstOperands,
     /*  250820 */     // GIR_Coverage, 5316,
     /*  250820 */     GIR_EraseRootFromParent_Done,
     /*  250821 */   // Label 4811: @250821
     /*  250821 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(250884), // Rule ID 5317 //
     /*  250826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250865 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250882 */     GIR_RootConstrainSelectedInstOperands,
     /*  250883 */     // GIR_Coverage, 5317,
     /*  250883 */     GIR_EraseRootFromParent_Done,
     /*  250884 */   // Label 4812: @250884
     /*  250884 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(250947), // Rule ID 5318 //
     /*  250889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250945 */     GIR_RootConstrainSelectedInstOperands,
     /*  250946 */     // GIR_Coverage, 5318,
     /*  250946 */     GIR_EraseRootFromParent_Done,
     /*  250947 */   // Label 4813: @250947
     /*  250947 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(251010), // Rule ID 5319 //
     /*  250952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250991 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251008 */     GIR_RootConstrainSelectedInstOperands,
     /*  251009 */     // GIR_Coverage, 5319,
     /*  251009 */     GIR_EraseRootFromParent_Done,
     /*  251010 */   // Label 4814: @251010
     /*  251010 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(251073), // Rule ID 5320 //
     /*  251015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251054 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251071 */     GIR_RootConstrainSelectedInstOperands,
     /*  251072 */     // GIR_Coverage, 5320,
     /*  251072 */     GIR_EraseRootFromParent_Done,
     /*  251073 */   // Label 4815: @251073
     /*  251073 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(251136), // Rule ID 5321 //
     /*  251078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251134 */     GIR_RootConstrainSelectedInstOperands,
     /*  251135 */     // GIR_Coverage, 5321,
     /*  251135 */     GIR_EraseRootFromParent_Done,
     /*  251136 */   // Label 4816: @251136
     /*  251136 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251199), // Rule ID 5322 //
     /*  251141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  251155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251197 */     GIR_RootConstrainSelectedInstOperands,
     /*  251198 */     // GIR_Coverage, 5322,
     /*  251198 */     GIR_EraseRootFromParent_Done,
     /*  251199 */   // Label 4817: @251199
     /*  251199 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251262), // Rule ID 5323 //
     /*  251204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  251218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251243 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251260 */     GIR_RootConstrainSelectedInstOperands,
     /*  251261 */     // GIR_Coverage, 5323,
     /*  251261 */     GIR_EraseRootFromParent_Done,
     /*  251262 */   // Label 4818: @251262
     /*  251262 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251325), // Rule ID 5324 //
     /*  251267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  251281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251306 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251323 */     GIR_RootConstrainSelectedInstOperands,
     /*  251324 */     // GIR_Coverage, 5324,
     /*  251324 */     GIR_EraseRootFromParent_Done,
     /*  251325 */   // Label 4819: @251325
     /*  251325 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251388), // Rule ID 5325 //
     /*  251330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  251344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251369 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251386 */     GIR_RootConstrainSelectedInstOperands,
     /*  251387 */     // GIR_Coverage, 5325,
     /*  251387 */     GIR_EraseRootFromParent_Done,
     /*  251388 */   // Label 4820: @251388
     /*  251388 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251451), // Rule ID 5326 //
     /*  251393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  251404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  251407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251432 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251449 */     GIR_RootConstrainSelectedInstOperands,
     /*  251450 */     // GIR_Coverage, 5326,
     /*  251450 */     GIR_EraseRootFromParent_Done,
     /*  251451 */   // Label 4821: @251451
     /*  251451 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251514), // Rule ID 5327 //
     /*  251456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  251467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  251470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251495 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251512 */     GIR_RootConstrainSelectedInstOperands,
     /*  251513 */     // GIR_Coverage, 5327,
     /*  251513 */     GIR_EraseRootFromParent_Done,
     /*  251514 */   // Label 4822: @251514
     /*  251514 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(251577), // Rule ID 5328 //
     /*  251519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251575 */     GIR_RootConstrainSelectedInstOperands,
     /*  251576 */     // GIR_Coverage, 5328,
     /*  251576 */     GIR_EraseRootFromParent_Done,
     /*  251577 */   // Label 4823: @251577
     /*  251577 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(251640), // Rule ID 5329 //
     /*  251582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251621 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251638 */     GIR_RootConstrainSelectedInstOperands,
     /*  251639 */     // GIR_Coverage, 5329,
     /*  251639 */     GIR_EraseRootFromParent_Done,
     /*  251640 */   // Label 4824: @251640
     /*  251640 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(251703), // Rule ID 5330 //
     /*  251645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251701 */     GIR_RootConstrainSelectedInstOperands,
     /*  251702 */     // GIR_Coverage, 5330,
     /*  251702 */     GIR_EraseRootFromParent_Done,
     /*  251703 */   // Label 4825: @251703
     /*  251703 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(251766), // Rule ID 5331 //
     /*  251708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251747 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251764 */     GIR_RootConstrainSelectedInstOperands,
     /*  251765 */     // GIR_Coverage, 5331,
     /*  251765 */     GIR_EraseRootFromParent_Done,
     /*  251766 */   // Label 4826: @251766
     /*  251766 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(251829), // Rule ID 5332 //
     /*  251771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251810 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251827 */     GIR_RootConstrainSelectedInstOperands,
     /*  251828 */     // GIR_Coverage, 5332,
     /*  251828 */     GIR_EraseRootFromParent_Done,
     /*  251829 */   // Label 4827: @251829
     /*  251829 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(251892), // Rule ID 5333 //
     /*  251834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251873 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251890 */     GIR_RootConstrainSelectedInstOperands,
     /*  251891 */     // GIR_Coverage, 5333,
     /*  251891 */     GIR_EraseRootFromParent_Done,
     /*  251892 */   // Label 4828: @251892
     /*  251892 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(251955), // Rule ID 5334 //
     /*  251897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251953 */     GIR_RootConstrainSelectedInstOperands,
     /*  251954 */     // GIR_Coverage, 5334,
     /*  251954 */     GIR_EraseRootFromParent_Done,
     /*  251955 */   // Label 4829: @251955
     /*  251955 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(252018), // Rule ID 5335 //
     /*  251960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251999 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252016 */     GIR_RootConstrainSelectedInstOperands,
     /*  252017 */     // GIR_Coverage, 5335,
     /*  252017 */     GIR_EraseRootFromParent_Done,
     /*  252018 */   // Label 4830: @252018
     /*  252018 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(252081), // Rule ID 5336 //
     /*  252023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252079 */     GIR_RootConstrainSelectedInstOperands,
     /*  252080 */     // GIR_Coverage, 5336,
     /*  252080 */     GIR_EraseRootFromParent_Done,
     /*  252081 */   // Label 4831: @252081
     /*  252081 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(252144), // Rule ID 5337 //
     /*  252086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252125 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252142 */     GIR_RootConstrainSelectedInstOperands,
     /*  252143 */     // GIR_Coverage, 5337,
     /*  252143 */     GIR_EraseRootFromParent_Done,
     /*  252144 */   // Label 4832: @252144
     /*  252144 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252207), // Rule ID 5338 //
     /*  252149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252205 */     GIR_RootConstrainSelectedInstOperands,
     /*  252206 */     // GIR_Coverage, 5338,
     /*  252206 */     GIR_EraseRootFromParent_Done,
     /*  252207 */   // Label 4833: @252207
     /*  252207 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252270), // Rule ID 5339 //
     /*  252212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252251 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252268 */     GIR_RootConstrainSelectedInstOperands,
     /*  252269 */     // GIR_Coverage, 5339,
     /*  252269 */     GIR_EraseRootFromParent_Done,
     /*  252270 */   // Label 4834: @252270
     /*  252270 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252333), // Rule ID 5340 //
     /*  252275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  252289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252331 */     GIR_RootConstrainSelectedInstOperands,
     /*  252332 */     // GIR_Coverage, 5340,
     /*  252332 */     GIR_EraseRootFromParent_Done,
     /*  252333 */   // Label 4835: @252333
     /*  252333 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252396), // Rule ID 5341 //
     /*  252338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  252352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252377 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252394 */     GIR_RootConstrainSelectedInstOperands,
     /*  252395 */     // GIR_Coverage, 5341,
     /*  252395 */     GIR_EraseRootFromParent_Done,
     /*  252396 */   // Label 4836: @252396
     /*  252396 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252459), // Rule ID 5342 //
     /*  252401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  252415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252457 */     GIR_RootConstrainSelectedInstOperands,
     /*  252458 */     // GIR_Coverage, 5342,
     /*  252458 */     GIR_EraseRootFromParent_Done,
     /*  252459 */   // Label 4837: @252459
     /*  252459 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252522), // Rule ID 5343 //
     /*  252464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  252478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252520 */     GIR_RootConstrainSelectedInstOperands,
     /*  252521 */     // GIR_Coverage, 5343,
     /*  252521 */     GIR_EraseRootFromParent_Done,
     /*  252522 */   // Label 4838: @252522
     /*  252522 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(252585), // Rule ID 5344 //
     /*  252527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252566 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252583 */     GIR_RootConstrainSelectedInstOperands,
     /*  252584 */     // GIR_Coverage, 5344,
     /*  252584 */     GIR_EraseRootFromParent_Done,
     /*  252585 */   // Label 4839: @252585
     /*  252585 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(252648), // Rule ID 5345 //
     /*  252590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252646 */     GIR_RootConstrainSelectedInstOperands,
     /*  252647 */     // GIR_Coverage, 5345,
     /*  252647 */     GIR_EraseRootFromParent_Done,
     /*  252648 */   // Label 4840: @252648
     /*  252648 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(252711), // Rule ID 5566 //
     /*  252653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252709 */     GIR_RootConstrainSelectedInstOperands,
     /*  252710 */     // GIR_Coverage, 5566,
     /*  252710 */     GIR_EraseRootFromParent_Done,
     /*  252711 */   // Label 4841: @252711
     /*  252711 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(252774), // Rule ID 5567 //
     /*  252716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252772 */     GIR_RootConstrainSelectedInstOperands,
     /*  252773 */     // GIR_Coverage, 5567,
     /*  252773 */     GIR_EraseRootFromParent_Done,
     /*  252774 */   // Label 4842: @252774
     /*  252774 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(252837), // Rule ID 5568 //
     /*  252779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252818 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252835 */     GIR_RootConstrainSelectedInstOperands,
     /*  252836 */     // GIR_Coverage, 5568,
     /*  252836 */     GIR_EraseRootFromParent_Done,
     /*  252837 */   // Label 4843: @252837
     /*  252837 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(252900), // Rule ID 5569 //
     /*  252842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252881 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252898 */     GIR_RootConstrainSelectedInstOperands,
     /*  252899 */     // GIR_Coverage, 5569,
     /*  252899 */     GIR_EraseRootFromParent_Done,
     /*  252900 */   // Label 4844: @252900
     /*  252900 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(252963), // Rule ID 5570 //
     /*  252905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252961 */     GIR_RootConstrainSelectedInstOperands,
     /*  252962 */     // GIR_Coverage, 5570,
     /*  252962 */     GIR_EraseRootFromParent_Done,
     /*  252963 */   // Label 4845: @252963
     /*  252963 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(253026), // Rule ID 5571 //
     /*  252968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253007 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253024 */     GIR_RootConstrainSelectedInstOperands,
     /*  253025 */     // GIR_Coverage, 5571,
     /*  253025 */     GIR_EraseRootFromParent_Done,
     /*  253026 */   // Label 4846: @253026
     /*  253026 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(253089), // Rule ID 5572 //
     /*  253031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  253048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253070 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253087 */     GIR_RootConstrainSelectedInstOperands,
     /*  253088 */     // GIR_Coverage, 5572,
     /*  253088 */     GIR_EraseRootFromParent_Done,
     /*  253089 */   // Label 4847: @253089
     /*  253089 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(253152), // Rule ID 5573 //
     /*  253094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  253111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253133 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253150 */     GIR_RootConstrainSelectedInstOperands,
     /*  253151 */     // GIR_Coverage, 5573,
     /*  253151 */     GIR_EraseRootFromParent_Done,
     /*  253152 */   // Label 4848: @253152
     /*  253152 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253215), // Rule ID 5574 //
     /*  253157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  253174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253213 */     GIR_RootConstrainSelectedInstOperands,
     /*  253214 */     // GIR_Coverage, 5574,
     /*  253214 */     GIR_EraseRootFromParent_Done,
     /*  253215 */   // Label 4849: @253215
     /*  253215 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253278), // Rule ID 5575 //
     /*  253220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  253237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253259 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253276 */     GIR_RootConstrainSelectedInstOperands,
     /*  253277 */     // GIR_Coverage, 5575,
     /*  253277 */     GIR_EraseRootFromParent_Done,
     /*  253278 */   // Label 4850: @253278
     /*  253278 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253341), // Rule ID 5576 //
     /*  253283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  253297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253339 */     GIR_RootConstrainSelectedInstOperands,
     /*  253340 */     // GIR_Coverage, 5576,
     /*  253340 */     GIR_EraseRootFromParent_Done,
     /*  253341 */   // Label 4851: @253341
     /*  253341 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253404), // Rule ID 5577 //
     /*  253346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  253360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253402 */     GIR_RootConstrainSelectedInstOperands,
     /*  253403 */     // GIR_Coverage, 5577,
     /*  253403 */     GIR_EraseRootFromParent_Done,
     /*  253404 */   // Label 4852: @253404
     /*  253404 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253467), // Rule ID 5578 //
     /*  253409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  253423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253465 */     GIR_RootConstrainSelectedInstOperands,
     /*  253466 */     // GIR_Coverage, 5578,
     /*  253466 */     GIR_EraseRootFromParent_Done,
     /*  253467 */   // Label 4853: @253467
     /*  253467 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253530), // Rule ID 5579 //
     /*  253472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  253486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253511 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253528 */     GIR_RootConstrainSelectedInstOperands,
     /*  253529 */     // GIR_Coverage, 5579,
     /*  253529 */     GIR_EraseRootFromParent_Done,
     /*  253530 */   // Label 4854: @253530
     /*  253530 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(253593), // Rule ID 5580 //
     /*  253535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253574 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253591 */     GIR_RootConstrainSelectedInstOperands,
     /*  253592 */     // GIR_Coverage, 5580,
     /*  253592 */     GIR_EraseRootFromParent_Done,
     /*  253593 */   // Label 4855: @253593
     /*  253593 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(253656), // Rule ID 5581 //
     /*  253598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253637 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253654 */     GIR_RootConstrainSelectedInstOperands,
     /*  253655 */     // GIR_Coverage, 5581,
     /*  253655 */     GIR_EraseRootFromParent_Done,
     /*  253656 */   // Label 4856: @253656
     /*  253656 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(253719), // Rule ID 5582 //
     /*  253661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253717 */     GIR_RootConstrainSelectedInstOperands,
     /*  253718 */     // GIR_Coverage, 5582,
     /*  253718 */     GIR_EraseRootFromParent_Done,
     /*  253719 */   // Label 4857: @253719
     /*  253719 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(253782), // Rule ID 5583 //
     /*  253724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253763 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253780 */     GIR_RootConstrainSelectedInstOperands,
     /*  253781 */     // GIR_Coverage, 5583,
     /*  253781 */     GIR_EraseRootFromParent_Done,
     /*  253782 */   // Label 4858: @253782
     /*  253782 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(253845), // Rule ID 5584 //
     /*  253787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253826 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253843 */     GIR_RootConstrainSelectedInstOperands,
     /*  253844 */     // GIR_Coverage, 5584,
     /*  253844 */     GIR_EraseRootFromParent_Done,
     /*  253845 */   // Label 4859: @253845
     /*  253845 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(253908), // Rule ID 5585 //
     /*  253850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253889 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253906 */     GIR_RootConstrainSelectedInstOperands,
     /*  253907 */     // GIR_Coverage, 5585,
     /*  253907 */     GIR_EraseRootFromParent_Done,
     /*  253908 */   // Label 4860: @253908
     /*  253908 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(253971), // Rule ID 5586 //
     /*  253913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253969 */     GIR_RootConstrainSelectedInstOperands,
     /*  253970 */     // GIR_Coverage, 5586,
     /*  253970 */     GIR_EraseRootFromParent_Done,
     /*  253971 */   // Label 4861: @253971
     /*  253971 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(254034), // Rule ID 5587 //
     /*  253976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254015 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254032 */     GIR_RootConstrainSelectedInstOperands,
     /*  254033 */     // GIR_Coverage, 5587,
     /*  254033 */     GIR_EraseRootFromParent_Done,
     /*  254034 */   // Label 4862: @254034
     /*  254034 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(254097), // Rule ID 5588 //
     /*  254039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  254053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254078 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254095 */     GIR_RootConstrainSelectedInstOperands,
     /*  254096 */     // GIR_Coverage, 5588,
     /*  254096 */     GIR_EraseRootFromParent_Done,
     /*  254097 */   // Label 4863: @254097
     /*  254097 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(254160), // Rule ID 5589 //
     /*  254102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  254116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254141 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254158 */     GIR_RootConstrainSelectedInstOperands,
     /*  254159 */     // GIR_Coverage, 5589,
     /*  254159 */     GIR_EraseRootFromParent_Done,
     /*  254160 */   // Label 4864: @254160
     /*  254160 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254223), // Rule ID 5590 //
     /*  254165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  254176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  254179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  254182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254204 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254221 */     GIR_RootConstrainSelectedInstOperands,
     /*  254222 */     // GIR_Coverage, 5590,
     /*  254222 */     GIR_EraseRootFromParent_Done,
     /*  254223 */   // Label 4865: @254223
     /*  254223 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254286), // Rule ID 5591 //
     /*  254228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  254239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  254242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  254245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254267 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254284 */     GIR_RootConstrainSelectedInstOperands,
     /*  254285 */     // GIR_Coverage, 5591,
     /*  254285 */     GIR_EraseRootFromParent_Done,
     /*  254286 */   // Label 4866: @254286
     /*  254286 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254349), // Rule ID 5592 //
     /*  254291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  254305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254330 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254347 */     GIR_RootConstrainSelectedInstOperands,
     /*  254348 */     // GIR_Coverage, 5592,
     /*  254348 */     GIR_EraseRootFromParent_Done,
     /*  254349 */   // Label 4867: @254349
     /*  254349 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254412), // Rule ID 5593 //
     /*  254354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  254368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254410 */     GIR_RootConstrainSelectedInstOperands,
     /*  254411 */     // GIR_Coverage, 5593,
     /*  254411 */     GIR_EraseRootFromParent_Done,
     /*  254412 */   // Label 4868: @254412
     /*  254412 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254475), // Rule ID 5594 //
     /*  254417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254473 */     GIR_RootConstrainSelectedInstOperands,
     /*  254474 */     // GIR_Coverage, 5594,
     /*  254474 */     GIR_EraseRootFromParent_Done,
     /*  254475 */   // Label 4869: @254475
     /*  254475 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254538), // Rule ID 5595 //
     /*  254480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254519 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254536 */     GIR_RootConstrainSelectedInstOperands,
     /*  254537 */     // GIR_Coverage, 5595,
     /*  254537 */     GIR_EraseRootFromParent_Done,
     /*  254538 */   // Label 4870: @254538
     /*  254538 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(254601), // Rule ID 5596 //
     /*  254543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254582 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254599 */     GIR_RootConstrainSelectedInstOperands,
     /*  254600 */     // GIR_Coverage, 5596,
     /*  254600 */     GIR_EraseRootFromParent_Done,
     /*  254601 */   // Label 4871: @254601
     /*  254601 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(254664), // Rule ID 5597 //
     /*  254606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254645 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254662 */     GIR_RootConstrainSelectedInstOperands,
     /*  254663 */     // GIR_Coverage, 5597,
     /*  254663 */     GIR_EraseRootFromParent_Done,
     /*  254664 */   // Label 4872: @254664
     /*  254664 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(254727), // Rule ID 5598 //
     /*  254669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254725 */     GIR_RootConstrainSelectedInstOperands,
     /*  254726 */     // GIR_Coverage, 5598,
     /*  254726 */     GIR_EraseRootFromParent_Done,
     /*  254727 */   // Label 4873: @254727
     /*  254727 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(254790), // Rule ID 5599 //
     /*  254732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254771 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254788 */     GIR_RootConstrainSelectedInstOperands,
     /*  254789 */     // GIR_Coverage, 5599,
     /*  254789 */     GIR_EraseRootFromParent_Done,
     /*  254790 */   // Label 4874: @254790
     /*  254790 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(254853), // Rule ID 5600 //
     /*  254795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254834 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254851 */     GIR_RootConstrainSelectedInstOperands,
     /*  254852 */     // GIR_Coverage, 5600,
     /*  254852 */     GIR_EraseRootFromParent_Done,
     /*  254853 */   // Label 4875: @254853
     /*  254853 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(254916), // Rule ID 5601 //
     /*  254858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254897 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254914 */     GIR_RootConstrainSelectedInstOperands,
     /*  254915 */     // GIR_Coverage, 5601,
     /*  254915 */     GIR_EraseRootFromParent_Done,
     /*  254916 */   // Label 4876: @254916
     /*  254916 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(254979), // Rule ID 5602 //
     /*  254921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254977 */     GIR_RootConstrainSelectedInstOperands,
     /*  254978 */     // GIR_Coverage, 5602,
     /*  254978 */     GIR_EraseRootFromParent_Done,
     /*  254979 */   // Label 4877: @254979
     /*  254979 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(255042), // Rule ID 5603 //
     /*  254984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  255001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255023 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255040 */     GIR_RootConstrainSelectedInstOperands,
     /*  255041 */     // GIR_Coverage, 5603,
     /*  255041 */     GIR_EraseRootFromParent_Done,
     /*  255042 */   // Label 4878: @255042
     /*  255042 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(255105), // Rule ID 5604 //
     /*  255047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  255064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255086 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255103 */     GIR_RootConstrainSelectedInstOperands,
     /*  255104 */     // GIR_Coverage, 5604,
     /*  255104 */     GIR_EraseRootFromParent_Done,
     /*  255105 */   // Label 4879: @255105
     /*  255105 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(255168), // Rule ID 5605 //
     /*  255110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  255127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255149 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255166 */     GIR_RootConstrainSelectedInstOperands,
     /*  255167 */     // GIR_Coverage, 5605,
     /*  255167 */     GIR_EraseRootFromParent_Done,
     /*  255168 */   // Label 4880: @255168
     /*  255168 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255231), // Rule ID 5606 //
     /*  255173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  255190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255229 */     GIR_RootConstrainSelectedInstOperands,
     /*  255230 */     // GIR_Coverage, 5606,
     /*  255230 */     GIR_EraseRootFromParent_Done,
     /*  255231 */   // Label 4881: @255231
     /*  255231 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255294), // Rule ID 5607 //
     /*  255236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  255253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255292 */     GIR_RootConstrainSelectedInstOperands,
     /*  255293 */     // GIR_Coverage, 5607,
     /*  255293 */     GIR_EraseRootFromParent_Done,
     /*  255294 */   // Label 4882: @255294
     /*  255294 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255357), // Rule ID 5608 //
     /*  255299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  255316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255355 */     GIR_RootConstrainSelectedInstOperands,
     /*  255356 */     // GIR_Coverage, 5608,
     /*  255356 */     GIR_EraseRootFromParent_Done,
     /*  255357 */   // Label 4883: @255357
     /*  255357 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255420), // Rule ID 5609 //
     /*  255362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  255379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255401 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255418 */     GIR_RootConstrainSelectedInstOperands,
     /*  255419 */     // GIR_Coverage, 5609,
     /*  255419 */     GIR_EraseRootFromParent_Done,
     /*  255420 */   // Label 4884: @255420
     /*  255420 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255483), // Rule ID 5610 //
     /*  255425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255481 */     GIR_RootConstrainSelectedInstOperands,
     /*  255482 */     // GIR_Coverage, 5610,
     /*  255482 */     GIR_EraseRootFromParent_Done,
     /*  255483 */   // Label 4885: @255483
     /*  255483 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255546), // Rule ID 5611 //
     /*  255488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255527 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255544 */     GIR_RootConstrainSelectedInstOperands,
     /*  255545 */     // GIR_Coverage, 5611,
     /*  255545 */     GIR_EraseRootFromParent_Done,
     /*  255546 */   // Label 4886: @255546
     /*  255546 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(255609), // Rule ID 5612 //
     /*  255551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255590 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255607 */     GIR_RootConstrainSelectedInstOperands,
     /*  255608 */     // GIR_Coverage, 5612,
     /*  255608 */     GIR_EraseRootFromParent_Done,
     /*  255609 */   // Label 4887: @255609
     /*  255609 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(255672), // Rule ID 5613 //
     /*  255614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255653 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255670 */     GIR_RootConstrainSelectedInstOperands,
     /*  255671 */     // GIR_Coverage, 5613,
     /*  255671 */     GIR_EraseRootFromParent_Done,
     /*  255672 */   // Label 4888: @255672
     /*  255672 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(255735), // Rule ID 5614 //
     /*  255677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255733 */     GIR_RootConstrainSelectedInstOperands,
     /*  255734 */     // GIR_Coverage, 5614,
     /*  255734 */     GIR_EraseRootFromParent_Done,
     /*  255735 */   // Label 4889: @255735
     /*  255735 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(255798), // Rule ID 5615 //
     /*  255740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255779 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255796 */     GIR_RootConstrainSelectedInstOperands,
     /*  255797 */     // GIR_Coverage, 5615,
     /*  255797 */     GIR_EraseRootFromParent_Done,
     /*  255798 */   // Label 4890: @255798
     /*  255798 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(255861), // Rule ID 5616 //
     /*  255803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255859 */     GIR_RootConstrainSelectedInstOperands,
     /*  255860 */     // GIR_Coverage, 5616,
     /*  255860 */     GIR_EraseRootFromParent_Done,
     /*  255861 */   // Label 4891: @255861
     /*  255861 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(255924), // Rule ID 5617 //
     /*  255866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255922 */     GIR_RootConstrainSelectedInstOperands,
     /*  255923 */     // GIR_Coverage, 5617,
     /*  255923 */     GIR_EraseRootFromParent_Done,
     /*  255924 */   // Label 4892: @255924
     /*  255924 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(255987), // Rule ID 5618 //
     /*  255929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255985 */     GIR_RootConstrainSelectedInstOperands,
     /*  255986 */     // GIR_Coverage, 5618,
     /*  255986 */     GIR_EraseRootFromParent_Done,
     /*  255987 */   // Label 4893: @255987
     /*  255987 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(256050), // Rule ID 5619 //
     /*  255992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  256006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256031 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256048 */     GIR_RootConstrainSelectedInstOperands,
     /*  256049 */     // GIR_Coverage, 5619,
     /*  256049 */     GIR_EraseRootFromParent_Done,
     /*  256050 */   // Label 4894: @256050
     /*  256050 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(256113), // Rule ID 5620 //
     /*  256055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  256069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256111 */     GIR_RootConstrainSelectedInstOperands,
     /*  256112 */     // GIR_Coverage, 5620,
     /*  256112 */     GIR_EraseRootFromParent_Done,
     /*  256113 */   // Label 4895: @256113
     /*  256113 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(256176), // Rule ID 5621 //
     /*  256118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  256132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256174 */     GIR_RootConstrainSelectedInstOperands,
     /*  256175 */     // GIR_Coverage, 5621,
     /*  256175 */     GIR_EraseRootFromParent_Done,
     /*  256176 */   // Label 4896: @256176
     /*  256176 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256239), // Rule ID 5622 //
     /*  256181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  256195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256237 */     GIR_RootConstrainSelectedInstOperands,
     /*  256238 */     // GIR_Coverage, 5622,
     /*  256238 */     GIR_EraseRootFromParent_Done,
     /*  256239 */   // Label 4897: @256239
     /*  256239 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256302), // Rule ID 5623 //
     /*  256244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  256258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256283 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256300 */     GIR_RootConstrainSelectedInstOperands,
     /*  256301 */     // GIR_Coverage, 5623,
     /*  256301 */     GIR_EraseRootFromParent_Done,
     /*  256302 */   // Label 4898: @256302
     /*  256302 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256365), // Rule ID 5624 //
     /*  256307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  256321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256346 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256363 */     GIR_RootConstrainSelectedInstOperands,
     /*  256364 */     // GIR_Coverage, 5624,
     /*  256364 */     GIR_EraseRootFromParent_Done,
     /*  256365 */   // Label 4899: @256365
     /*  256365 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256428), // Rule ID 5625 //
     /*  256370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  256384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256409 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256426 */     GIR_RootConstrainSelectedInstOperands,
     /*  256427 */     // GIR_Coverage, 5625,
     /*  256427 */     GIR_EraseRootFromParent_Done,
     /*  256428 */   // Label 4900: @256428
     /*  256428 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256491), // Rule ID 5626 //
     /*  256433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256489 */     GIR_RootConstrainSelectedInstOperands,
     /*  256490 */     // GIR_Coverage, 5626,
     /*  256490 */     GIR_EraseRootFromParent_Done,
     /*  256491 */   // Label 4901: @256491
     /*  256491 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256554), // Rule ID 5627 //
     /*  256496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256535 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256552 */     GIR_RootConstrainSelectedInstOperands,
     /*  256553 */     // GIR_Coverage, 5627,
     /*  256553 */     GIR_EraseRootFromParent_Done,
     /*  256554 */   // Label 4902: @256554
     /*  256554 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(256617), // Rule ID 5628 //
     /*  256559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256598 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256615 */     GIR_RootConstrainSelectedInstOperands,
     /*  256616 */     // GIR_Coverage, 5628,
     /*  256616 */     GIR_EraseRootFromParent_Done,
     /*  256617 */   // Label 4903: @256617
     /*  256617 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(256680), // Rule ID 5629 //
     /*  256622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256678 */     GIR_RootConstrainSelectedInstOperands,
     /*  256679 */     // GIR_Coverage, 5629,
     /*  256679 */     GIR_EraseRootFromParent_Done,
     /*  256680 */   // Label 4904: @256680
     /*  256680 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(256743), // Rule ID 5630 //
     /*  256685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256724 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256741 */     GIR_RootConstrainSelectedInstOperands,
     /*  256742 */     // GIR_Coverage, 5630,
     /*  256742 */     GIR_EraseRootFromParent_Done,
     /*  256743 */   // Label 4905: @256743
     /*  256743 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(256806), // Rule ID 5631 //
     /*  256748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256787 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256804 */     GIR_RootConstrainSelectedInstOperands,
     /*  256805 */     // GIR_Coverage, 5631,
     /*  256805 */     GIR_EraseRootFromParent_Done,
     /*  256806 */   // Label 4906: @256806
     /*  256806 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(256869), // Rule ID 5632 //
     /*  256811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256850 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256867 */     GIR_RootConstrainSelectedInstOperands,
     /*  256868 */     // GIR_Coverage, 5632,
     /*  256868 */     GIR_EraseRootFromParent_Done,
     /*  256869 */   // Label 4907: @256869
     /*  256869 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(256932), // Rule ID 5633 //
     /*  256874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256913 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256930 */     GIR_RootConstrainSelectedInstOperands,
     /*  256931 */     // GIR_Coverage, 5633,
     /*  256931 */     GIR_EraseRootFromParent_Done,
     /*  256932 */   // Label 4908: @256932
     /*  256932 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(256995), // Rule ID 5634 //
     /*  256937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256976 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256993 */     GIR_RootConstrainSelectedInstOperands,
     /*  256994 */     // GIR_Coverage, 5634,
     /*  256994 */     GIR_EraseRootFromParent_Done,
     /*  256995 */   // Label 4909: @256995
     /*  256995 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(257058), // Rule ID 5635 //
     /*  257000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  257011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  257014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257039 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257056 */     GIR_RootConstrainSelectedInstOperands,
     /*  257057 */     // GIR_Coverage, 5635,
     /*  257057 */     GIR_EraseRootFromParent_Done,
     /*  257058 */   // Label 4910: @257058
     /*  257058 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(257121), // Rule ID 5636 //
     /*  257063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257119 */     GIR_RootConstrainSelectedInstOperands,
     /*  257120 */     // GIR_Coverage, 5636,
     /*  257120 */     GIR_EraseRootFromParent_Done,
     /*  257121 */   // Label 4911: @257121
     /*  257121 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(257184), // Rule ID 5637 //
     /*  257126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257182 */     GIR_RootConstrainSelectedInstOperands,
     /*  257183 */     // GIR_Coverage, 5637,
     /*  257183 */     GIR_EraseRootFromParent_Done,
     /*  257184 */   // Label 4912: @257184
     /*  257184 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257247), // Rule ID 5638 //
     /*  257189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  257203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257245 */     GIR_RootConstrainSelectedInstOperands,
     /*  257246 */     // GIR_Coverage, 5638,
     /*  257246 */     GIR_EraseRootFromParent_Done,
     /*  257247 */   // Label 4913: @257247
     /*  257247 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257310), // Rule ID 5639 //
     /*  257252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  257266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257291 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257308 */     GIR_RootConstrainSelectedInstOperands,
     /*  257309 */     // GIR_Coverage, 5639,
     /*  257309 */     GIR_EraseRootFromParent_Done,
     /*  257310 */   // Label 4914: @257310
     /*  257310 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257373), // Rule ID 5640 //
     /*  257315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  257329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257354 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257371 */     GIR_RootConstrainSelectedInstOperands,
     /*  257372 */     // GIR_Coverage, 5640,
     /*  257372 */     GIR_EraseRootFromParent_Done,
     /*  257373 */   // Label 4915: @257373
     /*  257373 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257436), // Rule ID 5641 //
     /*  257378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  257392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257417 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257434 */     GIR_RootConstrainSelectedInstOperands,
     /*  257435 */     // GIR_Coverage, 5641,
     /*  257435 */     GIR_EraseRootFromParent_Done,
     /*  257436 */   // Label 4916: @257436
     /*  257436 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257499), // Rule ID 5642 //
     /*  257441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257497 */     GIR_RootConstrainSelectedInstOperands,
     /*  257498 */     // GIR_Coverage, 5642,
     /*  257498 */     GIR_EraseRootFromParent_Done,
     /*  257499 */   // Label 4917: @257499
     /*  257499 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(257562), // Rule ID 5643 //
     /*  257504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257543 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257560 */     GIR_RootConstrainSelectedInstOperands,
     /*  257561 */     // GIR_Coverage, 5643,
     /*  257561 */     GIR_EraseRootFromParent_Done,
     /*  257562 */   // Label 4918: @257562
     /*  257562 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(257625), // Rule ID 5644 //
     /*  257567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257606 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257623 */     GIR_RootConstrainSelectedInstOperands,
     /*  257624 */     // GIR_Coverage, 5644,
     /*  257624 */     GIR_EraseRootFromParent_Done,
     /*  257625 */   // Label 4919: @257625
     /*  257625 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(257688), // Rule ID 5645 //
     /*  257630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257686 */     GIR_RootConstrainSelectedInstOperands,
     /*  257687 */     // GIR_Coverage, 5645,
     /*  257687 */     GIR_EraseRootFromParent_Done,
     /*  257688 */   // Label 4920: @257688
     /*  257688 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(257751), // Rule ID 5646 //
     /*  257693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257749 */     GIR_RootConstrainSelectedInstOperands,
     /*  257750 */     // GIR_Coverage, 5646,
     /*  257750 */     GIR_EraseRootFromParent_Done,
     /*  257751 */   // Label 4921: @257751
     /*  257751 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(257814), // Rule ID 5647 //
     /*  257756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257795 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257812 */     GIR_RootConstrainSelectedInstOperands,
     /*  257813 */     // GIR_Coverage, 5647,
     /*  257813 */     GIR_EraseRootFromParent_Done,
     /*  257814 */   // Label 4922: @257814
     /*  257814 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(257877), // Rule ID 5648 //
     /*  257819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257875 */     GIR_RootConstrainSelectedInstOperands,
     /*  257876 */     // GIR_Coverage, 5648,
     /*  257876 */     GIR_EraseRootFromParent_Done,
     /*  257877 */   // Label 4923: @257877
     /*  257877 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(257940), // Rule ID 5649 //
     /*  257882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257938 */     GIR_RootConstrainSelectedInstOperands,
     /*  257939 */     // GIR_Coverage, 5649,
     /*  257939 */     GIR_EraseRootFromParent_Done,
     /*  257940 */   // Label 4924: @257940
     /*  257940 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(258003), // Rule ID 5650 //
     /*  257945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258001 */     GIR_RootConstrainSelectedInstOperands,
     /*  258002 */     // GIR_Coverage, 5650,
     /*  258002 */     GIR_EraseRootFromParent_Done,
     /*  258003 */   // Label 4925: @258003
     /*  258003 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(258066), // Rule ID 5651 //
     /*  258008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  258022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258047 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  258050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258064 */     GIR_RootConstrainSelectedInstOperands,
     /*  258065 */     // GIR_Coverage, 5651,
     /*  258065 */     GIR_EraseRootFromParent_Done,
     /*  258066 */   // Label 4926: @258066
     /*  258066 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(258129), // Rule ID 5652 //
     /*  258071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  258085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258110 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258127 */     GIR_RootConstrainSelectedInstOperands,
     /*  258128 */     // GIR_Coverage, 5652,
     /*  258128 */     GIR_EraseRootFromParent_Done,
     /*  258129 */   // Label 4927: @258129
     /*  258129 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258192), // Rule ID 5653 //
     /*  258134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  258148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258173 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258190 */     GIR_RootConstrainSelectedInstOperands,
     /*  258191 */     // GIR_Coverage, 5653,
     /*  258191 */     GIR_EraseRootFromParent_Done,
     /*  258192 */   // Label 4928: @258192
     /*  258192 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258255), // Rule ID 7686 //
     /*  258197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  258214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258253 */     GIR_RootConstrainSelectedInstOperands,
     /*  258254 */     // GIR_Coverage, 7686,
     /*  258254 */     GIR_EraseRootFromParent_Done,
     /*  258255 */   // Label 4929: @258255
     /*  258255 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258318), // Rule ID 7687 //
     /*  258260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  258277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258316 */     GIR_RootConstrainSelectedInstOperands,
     /*  258317 */     // GIR_Coverage, 7687,
     /*  258317 */     GIR_EraseRootFromParent_Done,
     /*  258318 */   // Label 4930: @258318
     /*  258318 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258381), // Rule ID 7690 //
     /*  258323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  258337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  258340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258379 */     GIR_RootConstrainSelectedInstOperands,
     /*  258380 */     // GIR_Coverage, 7690,
     /*  258380 */     GIR_EraseRootFromParent_Done,
     /*  258381 */   // Label 4931: @258381
     /*  258381 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258444), // Rule ID 7691 //
     /*  258386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  258400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  258403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258442 */     GIR_RootConstrainSelectedInstOperands,
     /*  258443 */     // GIR_Coverage, 7691,
     /*  258443 */     GIR_EraseRootFromParent_Done,
     /*  258444 */   // Label 4932: @258444
     /*  258444 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258507), // Rule ID 7694 //
     /*  258449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258505 */     GIR_RootConstrainSelectedInstOperands,
     /*  258506 */     // GIR_Coverage, 7694,
     /*  258506 */     GIR_EraseRootFromParent_Done,
     /*  258507 */   // Label 4933: @258507
     /*  258507 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(258570), // Rule ID 7695 //
     /*  258512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258551 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258568 */     GIR_RootConstrainSelectedInstOperands,
     /*  258569 */     // GIR_Coverage, 7695,
     /*  258569 */     GIR_EraseRootFromParent_Done,
     /*  258570 */   // Label 4934: @258570
     /*  258570 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(258633), // Rule ID 7698 //
     /*  258575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258614 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258631 */     GIR_RootConstrainSelectedInstOperands,
     /*  258632 */     // GIR_Coverage, 7698,
     /*  258632 */     GIR_EraseRootFromParent_Done,
     /*  258633 */   // Label 4935: @258633
     /*  258633 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(258696), // Rule ID 7699 //
     /*  258638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258694 */     GIR_RootConstrainSelectedInstOperands,
     /*  258695 */     // GIR_Coverage, 7699,
     /*  258695 */     GIR_EraseRootFromParent_Done,
     /*  258696 */   // Label 4936: @258696
     /*  258696 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(258759), // Rule ID 7702 //
     /*  258701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258757 */     GIR_RootConstrainSelectedInstOperands,
     /*  258758 */     // GIR_Coverage, 7702,
     /*  258758 */     GIR_EraseRootFromParent_Done,
     /*  258759 */   // Label 4937: @258759
     /*  258759 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(258822), // Rule ID 7703 //
     /*  258764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258820 */     GIR_RootConstrainSelectedInstOperands,
     /*  258821 */     // GIR_Coverage, 7703,
     /*  258821 */     GIR_EraseRootFromParent_Done,
     /*  258822 */   // Label 4938: @258822
     /*  258822 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(258885), // Rule ID 7706 //
     /*  258827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258866 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258883 */     GIR_RootConstrainSelectedInstOperands,
     /*  258884 */     // GIR_Coverage, 7706,
     /*  258884 */     GIR_EraseRootFromParent_Done,
     /*  258885 */   // Label 4939: @258885
     /*  258885 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(258948), // Rule ID 7707 //
     /*  258890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258946 */     GIR_RootConstrainSelectedInstOperands,
     /*  258947 */     // GIR_Coverage, 7707,
     /*  258947 */     GIR_EraseRootFromParent_Done,
     /*  258948 */   // Label 4940: @258948
     /*  258948 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(259011), // Rule ID 7710 //
     /*  258953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259009 */     GIR_RootConstrainSelectedInstOperands,
     /*  259010 */     // GIR_Coverage, 7710,
     /*  259010 */     GIR_EraseRootFromParent_Done,
     /*  259011 */   // Label 4941: @259011
     /*  259011 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(259074), // Rule ID 7711 //
     /*  259016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  259033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259055 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259072 */     GIR_RootConstrainSelectedInstOperands,
     /*  259073 */     // GIR_Coverage, 7711,
     /*  259073 */     GIR_EraseRootFromParent_Done,
     /*  259074 */   // Label 4942: @259074
     /*  259074 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(259137), // Rule ID 7714 //
     /*  259079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  259093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259118 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259135 */     GIR_RootConstrainSelectedInstOperands,
     /*  259136 */     // GIR_Coverage, 7714,
     /*  259136 */     GIR_EraseRootFromParent_Done,
     /*  259137 */   // Label 4943: @259137
     /*  259137 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259200), // Rule ID 7715 //
     /*  259142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  259156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259181 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259198 */     GIR_RootConstrainSelectedInstOperands,
     /*  259199 */     // GIR_Coverage, 7715,
     /*  259199 */     GIR_EraseRootFromParent_Done,
     /*  259200 */   // Label 4944: @259200
     /*  259200 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259263), // Rule ID 7718 //
     /*  259205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  259219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  259222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259261 */     GIR_RootConstrainSelectedInstOperands,
     /*  259262 */     // GIR_Coverage, 7718,
     /*  259262 */     GIR_EraseRootFromParent_Done,
     /*  259263 */   // Label 4945: @259263
     /*  259263 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259326), // Rule ID 7719 //
     /*  259268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  259282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  259285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259307 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259324 */     GIR_RootConstrainSelectedInstOperands,
     /*  259325 */     // GIR_Coverage, 7719,
     /*  259325 */     GIR_EraseRootFromParent_Done,
     /*  259326 */   // Label 4946: @259326
     /*  259326 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259389), // Rule ID 7722 //
     /*  259331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  259348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259387 */     GIR_RootConstrainSelectedInstOperands,
     /*  259388 */     // GIR_Coverage, 7722,
     /*  259388 */     GIR_EraseRootFromParent_Done,
     /*  259389 */   // Label 4947: @259389
     /*  259389 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259452), // Rule ID 7723 //
     /*  259394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  259411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259450 */     GIR_RootConstrainSelectedInstOperands,
     /*  259451 */     // GIR_Coverage, 7723,
     /*  259451 */     GIR_EraseRootFromParent_Done,
     /*  259452 */   // Label 4948: @259452
     /*  259452 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259515), // Rule ID 7726 //
     /*  259457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259496 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259513 */     GIR_RootConstrainSelectedInstOperands,
     /*  259514 */     // GIR_Coverage, 7726,
     /*  259514 */     GIR_EraseRootFromParent_Done,
     /*  259515 */   // Label 4949: @259515
     /*  259515 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(259578), // Rule ID 7727 //
     /*  259520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259559 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259576 */     GIR_RootConstrainSelectedInstOperands,
     /*  259577 */     // GIR_Coverage, 7727,
     /*  259577 */     GIR_EraseRootFromParent_Done,
     /*  259578 */   // Label 4950: @259578
     /*  259578 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(259641), // Rule ID 7730 //
     /*  259583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259622 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259639 */     GIR_RootConstrainSelectedInstOperands,
     /*  259640 */     // GIR_Coverage, 7730,
     /*  259640 */     GIR_EraseRootFromParent_Done,
     /*  259641 */   // Label 4951: @259641
     /*  259641 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(259704), // Rule ID 7731 //
     /*  259646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259685 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259702 */     GIR_RootConstrainSelectedInstOperands,
     /*  259703 */     // GIR_Coverage, 7731,
     /*  259703 */     GIR_EraseRootFromParent_Done,
     /*  259704 */   // Label 4952: @259704
     /*  259704 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(259767), // Rule ID 7734 //
     /*  259709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259765 */     GIR_RootConstrainSelectedInstOperands,
     /*  259766 */     // GIR_Coverage, 7734,
     /*  259766 */     GIR_EraseRootFromParent_Done,
     /*  259767 */   // Label 4953: @259767
     /*  259767 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(259830), // Rule ID 7735 //
     /*  259772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259828 */     GIR_RootConstrainSelectedInstOperands,
     /*  259829 */     // GIR_Coverage, 7735,
     /*  259829 */     GIR_EraseRootFromParent_Done,
     /*  259830 */   // Label 4954: @259830
     /*  259830 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(259893), // Rule ID 7738 //
     /*  259835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259874 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259891 */     GIR_RootConstrainSelectedInstOperands,
     /*  259892 */     // GIR_Coverage, 7738,
     /*  259892 */     GIR_EraseRootFromParent_Done,
     /*  259893 */   // Label 4955: @259893
     /*  259893 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(259956), // Rule ID 7739 //
     /*  259898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259937 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259954 */     GIR_RootConstrainSelectedInstOperands,
     /*  259955 */     // GIR_Coverage, 7739,
     /*  259955 */     GIR_EraseRootFromParent_Done,
     /*  259956 */   // Label 4956: @259956
     /*  259956 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(260019), // Rule ID 7742 //
     /*  259961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260000 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260017 */     GIR_RootConstrainSelectedInstOperands,
     /*  260018 */     // GIR_Coverage, 7742,
     /*  260018 */     GIR_EraseRootFromParent_Done,
     /*  260019 */   // Label 4957: @260019
     /*  260019 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(260082), // Rule ID 7743 //
     /*  260024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  260038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  260041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260063 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260080 */     GIR_RootConstrainSelectedInstOperands,
     /*  260081 */     // GIR_Coverage, 7743,
     /*  260081 */     GIR_EraseRootFromParent_Done,
     /*  260082 */   // Label 4958: @260082
     /*  260082 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(260145), // Rule ID 7746 //
     /*  260087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260143 */     GIR_RootConstrainSelectedInstOperands,
     /*  260144 */     // GIR_Coverage, 7746,
     /*  260144 */     GIR_EraseRootFromParent_Done,
     /*  260145 */   // Label 4959: @260145
     /*  260145 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260208), // Rule ID 7747 //
     /*  260150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260206 */     GIR_RootConstrainSelectedInstOperands,
     /*  260207 */     // GIR_Coverage, 7747,
     /*  260207 */     GIR_EraseRootFromParent_Done,
     /*  260208 */   // Label 4960: @260208
     /*  260208 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260271), // Rule ID 7750 //
     /*  260213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  260230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260269 */     GIR_RootConstrainSelectedInstOperands,
     /*  260270 */     // GIR_Coverage, 7750,
     /*  260270 */     GIR_EraseRootFromParent_Done,
     /*  260271 */   // Label 4961: @260271
     /*  260271 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260334), // Rule ID 7751 //
     /*  260276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  260293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260315 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260332 */     GIR_RootConstrainSelectedInstOperands,
     /*  260333 */     // GIR_Coverage, 7751,
     /*  260333 */     GIR_EraseRootFromParent_Done,
     /*  260334 */   // Label 4962: @260334
     /*  260334 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260397), // Rule ID 7754 //
     /*  260339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  260353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260378 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260395 */     GIR_RootConstrainSelectedInstOperands,
     /*  260396 */     // GIR_Coverage, 7754,
     /*  260396 */     GIR_EraseRootFromParent_Done,
     /*  260397 */   // Label 4963: @260397
     /*  260397 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260460), // Rule ID 7755 //
     /*  260402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  260416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260458 */     GIR_RootConstrainSelectedInstOperands,
     /*  260459 */     // GIR_Coverage, 7755,
     /*  260459 */     GIR_EraseRootFromParent_Done,
     /*  260460 */   // Label 4964: @260460
     /*  260460 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260523), // Rule ID 7758 //
     /*  260465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260521 */     GIR_RootConstrainSelectedInstOperands,
     /*  260522 */     // GIR_Coverage, 7758,
     /*  260522 */     GIR_EraseRootFromParent_Done,
     /*  260523 */   // Label 4965: @260523
     /*  260523 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(260586), // Rule ID 7759 //
     /*  260528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260567 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260584 */     GIR_RootConstrainSelectedInstOperands,
     /*  260585 */     // GIR_Coverage, 7759,
     /*  260585 */     GIR_EraseRootFromParent_Done,
     /*  260586 */   // Label 4966: @260586
     /*  260586 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(260649), // Rule ID 7762 //
     /*  260591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260630 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260647 */     GIR_RootConstrainSelectedInstOperands,
     /*  260648 */     // GIR_Coverage, 7762,
     /*  260648 */     GIR_EraseRootFromParent_Done,
     /*  260649 */   // Label 4967: @260649
     /*  260649 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(260712), // Rule ID 7763 //
     /*  260654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260710 */     GIR_RootConstrainSelectedInstOperands,
     /*  260711 */     // GIR_Coverage, 7763,
     /*  260711 */     GIR_EraseRootFromParent_Done,
     /*  260712 */   // Label 4968: @260712
     /*  260712 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(260775), // Rule ID 7766 //
     /*  260717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260773 */     GIR_RootConstrainSelectedInstOperands,
     /*  260774 */     // GIR_Coverage, 7766,
     /*  260774 */     GIR_EraseRootFromParent_Done,
     /*  260775 */   // Label 4969: @260775
     /*  260775 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(260838), // Rule ID 7767 //
     /*  260780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260819 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260836 */     GIR_RootConstrainSelectedInstOperands,
     /*  260837 */     // GIR_Coverage, 7767,
     /*  260837 */     GIR_EraseRootFromParent_Done,
     /*  260838 */   // Label 4970: @260838
     /*  260838 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(260901), // Rule ID 7770 //
     /*  260843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260882 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260899 */     GIR_RootConstrainSelectedInstOperands,
     /*  260900 */     // GIR_Coverage, 7770,
     /*  260900 */     GIR_EraseRootFromParent_Done,
     /*  260901 */   // Label 4971: @260901
     /*  260901 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(260964), // Rule ID 7771 //
     /*  260906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260945 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260962 */     GIR_RootConstrainSelectedInstOperands,
     /*  260963 */     // GIR_Coverage, 7771,
     /*  260963 */     GIR_EraseRootFromParent_Done,
     /*  260964 */   // Label 4972: @260964
     /*  260964 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(261027), // Rule ID 7774 //
     /*  260969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261025 */     GIR_RootConstrainSelectedInstOperands,
     /*  261026 */     // GIR_Coverage, 7774,
     /*  261026 */     GIR_EraseRootFromParent_Done,
     /*  261027 */   // Label 4973: @261027
     /*  261027 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(261090), // Rule ID 7775 //
     /*  261032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  261046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261071 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261088 */     GIR_RootConstrainSelectedInstOperands,
     /*  261089 */     // GIR_Coverage, 7775,
     /*  261089 */     GIR_EraseRootFromParent_Done,
     /*  261090 */   // Label 4974: @261090
     /*  261090 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(261153), // Rule ID 7778 //
     /*  261095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  261109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261134 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261151 */     GIR_RootConstrainSelectedInstOperands,
     /*  261152 */     // GIR_Coverage, 7778,
     /*  261152 */     GIR_EraseRootFromParent_Done,
     /*  261153 */   // Label 4975: @261153
     /*  261153 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261216), // Rule ID 7779 //
     /*  261158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  261172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261197 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261214 */     GIR_RootConstrainSelectedInstOperands,
     /*  261215 */     // GIR_Coverage, 7779,
     /*  261215 */     GIR_EraseRootFromParent_Done,
     /*  261216 */   // Label 4976: @261216
     /*  261216 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261279), // Rule ID 7782 //
     /*  261221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  261235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261277 */     GIR_RootConstrainSelectedInstOperands,
     /*  261278 */     // GIR_Coverage, 7782,
     /*  261278 */     GIR_EraseRootFromParent_Done,
     /*  261279 */   // Label 4977: @261279
     /*  261279 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261342), // Rule ID 7783 //
     /*  261284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  261298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261340 */     GIR_RootConstrainSelectedInstOperands,
     /*  261341 */     // GIR_Coverage, 7783,
     /*  261341 */     GIR_EraseRootFromParent_Done,
     /*  261342 */   // Label 4978: @261342
     /*  261342 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261405), // Rule ID 7786 //
     /*  261347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  261361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261386 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261403 */     GIR_RootConstrainSelectedInstOperands,
     /*  261404 */     // GIR_Coverage, 7786,
     /*  261404 */     GIR_EraseRootFromParent_Done,
     /*  261405 */   // Label 4979: @261405
     /*  261405 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261468), // Rule ID 7787 //
     /*  261410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  261424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261449 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261466 */     GIR_RootConstrainSelectedInstOperands,
     /*  261467 */     // GIR_Coverage, 7787,
     /*  261467 */     GIR_EraseRootFromParent_Done,
     /*  261468 */   // Label 4980: @261468
     /*  261468 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261531), // Rule ID 7790 //
     /*  261473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261529 */     GIR_RootConstrainSelectedInstOperands,
     /*  261530 */     // GIR_Coverage, 7790,
     /*  261530 */     GIR_EraseRootFromParent_Done,
     /*  261531 */   // Label 4981: @261531
     /*  261531 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(261594), // Rule ID 7791 //
     /*  261536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261575 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261592 */     GIR_RootConstrainSelectedInstOperands,
     /*  261593 */     // GIR_Coverage, 7791,
     /*  261593 */     GIR_EraseRootFromParent_Done,
     /*  261594 */   // Label 4982: @261594
     /*  261594 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(261657), // Rule ID 7794 //
     /*  261599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261638 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261655 */     GIR_RootConstrainSelectedInstOperands,
     /*  261656 */     // GIR_Coverage, 7794,
     /*  261656 */     GIR_EraseRootFromParent_Done,
     /*  261657 */   // Label 4983: @261657
     /*  261657 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(261720), // Rule ID 7795 //
     /*  261662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261701 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261718 */     GIR_RootConstrainSelectedInstOperands,
     /*  261719 */     // GIR_Coverage, 7795,
     /*  261719 */     GIR_EraseRootFromParent_Done,
     /*  261720 */   // Label 4984: @261720
     /*  261720 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(261783), // Rule ID 7798 //
     /*  261725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261781 */     GIR_RootConstrainSelectedInstOperands,
     /*  261782 */     // GIR_Coverage, 7798,
     /*  261782 */     GIR_EraseRootFromParent_Done,
     /*  261783 */   // Label 4985: @261783
     /*  261783 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(261846), // Rule ID 7799 //
     /*  261788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261827 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261844 */     GIR_RootConstrainSelectedInstOperands,
     /*  261845 */     // GIR_Coverage, 7799,
     /*  261845 */     GIR_EraseRootFromParent_Done,
     /*  261846 */   // Label 4986: @261846
     /*  261846 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(261909), // Rule ID 7802 //
     /*  261851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261890 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261907 */     GIR_RootConstrainSelectedInstOperands,
     /*  261908 */     // GIR_Coverage, 7802,
     /*  261908 */     GIR_EraseRootFromParent_Done,
     /*  261909 */   // Label 4987: @261909
     /*  261909 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(261972), // Rule ID 7803 //
     /*  261914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261970 */     GIR_RootConstrainSelectedInstOperands,
     /*  261971 */     // GIR_Coverage, 7803,
     /*  261971 */     GIR_EraseRootFromParent_Done,
     /*  261972 */   // Label 4988: @261972
     /*  261972 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(262035), // Rule ID 7806 //
     /*  261977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262033 */     GIR_RootConstrainSelectedInstOperands,
     /*  262034 */     // GIR_Coverage, 7806,
     /*  262034 */     GIR_EraseRootFromParent_Done,
     /*  262035 */   // Label 4989: @262035
     /*  262035 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(262098), // Rule ID 7807 //
     /*  262040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  262054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262079 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262096 */     GIR_RootConstrainSelectedInstOperands,
     /*  262097 */     // GIR_Coverage, 7807,
     /*  262097 */     GIR_EraseRootFromParent_Done,
     /*  262098 */   // Label 4990: @262098
     /*  262098 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(262161), // Rule ID 7810 //
     /*  262103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  262117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262159 */     GIR_RootConstrainSelectedInstOperands,
     /*  262160 */     // GIR_Coverage, 7810,
     /*  262160 */     GIR_EraseRootFromParent_Done,
     /*  262161 */   // Label 4991: @262161
     /*  262161 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262224), // Rule ID 7811 //
     /*  262166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  262180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262222 */     GIR_RootConstrainSelectedInstOperands,
     /*  262223 */     // GIR_Coverage, 7811,
     /*  262223 */     GIR_EraseRootFromParent_Done,
     /*  262224 */   // Label 4992: @262224
     /*  262224 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262287), // Rule ID 7814 //
     /*  262229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  262243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262285 */     GIR_RootConstrainSelectedInstOperands,
     /*  262286 */     // GIR_Coverage, 7814,
     /*  262286 */     GIR_EraseRootFromParent_Done,
     /*  262287 */   // Label 4993: @262287
     /*  262287 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262350), // Rule ID 7815 //
     /*  262292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  262306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262331 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262348 */     GIR_RootConstrainSelectedInstOperands,
     /*  262349 */     // GIR_Coverage, 7815,
     /*  262349 */     GIR_EraseRootFromParent_Done,
     /*  262350 */   // Label 4994: @262350
     /*  262350 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262413), // Rule ID 7818 //
     /*  262355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  262369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262394 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262411 */     GIR_RootConstrainSelectedInstOperands,
     /*  262412 */     // GIR_Coverage, 7818,
     /*  262412 */     GIR_EraseRootFromParent_Done,
     /*  262413 */   // Label 4995: @262413
     /*  262413 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262476), // Rule ID 7819 //
     /*  262418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  262432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262457 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262474 */     GIR_RootConstrainSelectedInstOperands,
     /*  262475 */     // GIR_Coverage, 7819,
     /*  262475 */     GIR_EraseRootFromParent_Done,
     /*  262476 */   // Label 4996: @262476
     /*  262476 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262539), // Rule ID 7822 //
     /*  262481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262537 */     GIR_RootConstrainSelectedInstOperands,
     /*  262538 */     // GIR_Coverage, 7822,
     /*  262538 */     GIR_EraseRootFromParent_Done,
     /*  262539 */   // Label 4997: @262539
     /*  262539 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(262602), // Rule ID 7823 //
     /*  262544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262583 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262600 */     GIR_RootConstrainSelectedInstOperands,
     /*  262601 */     // GIR_Coverage, 7823,
     /*  262601 */     GIR_EraseRootFromParent_Done,
     /*  262602 */   // Label 4998: @262602
     /*  262602 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(262665), // Rule ID 7826 //
     /*  262607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262646 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262663 */     GIR_RootConstrainSelectedInstOperands,
     /*  262664 */     // GIR_Coverage, 7826,
     /*  262664 */     GIR_EraseRootFromParent_Done,
     /*  262665 */   // Label 4999: @262665
     /*  262665 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(262728), // Rule ID 7827 //
     /*  262670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262709 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262726 */     GIR_RootConstrainSelectedInstOperands,
     /*  262727 */     // GIR_Coverage, 7827,
     /*  262727 */     GIR_EraseRootFromParent_Done,
     /*  262728 */   // Label 5000: @262728
     /*  262728 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(262791), // Rule ID 7830 //
     /*  262733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262772 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262789 */     GIR_RootConstrainSelectedInstOperands,
     /*  262790 */     // GIR_Coverage, 7830,
     /*  262790 */     GIR_EraseRootFromParent_Done,
     /*  262791 */   // Label 5001: @262791
     /*  262791 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(262854), // Rule ID 7831 //
     /*  262796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262835 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262852 */     GIR_RootConstrainSelectedInstOperands,
     /*  262853 */     // GIR_Coverage, 7831,
     /*  262853 */     GIR_EraseRootFromParent_Done,
     /*  262854 */   // Label 5002: @262854
     /*  262854 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(262917), // Rule ID 7834 //
     /*  262859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262915 */     GIR_RootConstrainSelectedInstOperands,
     /*  262916 */     // GIR_Coverage, 7834,
     /*  262916 */     GIR_EraseRootFromParent_Done,
     /*  262917 */   // Label 5003: @262917
     /*  262917 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(262980), // Rule ID 7835 //
     /*  262922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262978 */     GIR_RootConstrainSelectedInstOperands,
     /*  262979 */     // GIR_Coverage, 7835,
     /*  262979 */     GIR_EraseRootFromParent_Done,
     /*  262980 */   // Label 5004: @262980
     /*  262980 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(263043), // Rule ID 7838 //
     /*  262985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263041 */     GIR_RootConstrainSelectedInstOperands,
     /*  263042 */     // GIR_Coverage, 7838,
     /*  263042 */     GIR_EraseRootFromParent_Done,
     /*  263043 */   // Label 5005: @263043
     /*  263043 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(263106), // Rule ID 7839 //
     /*  263048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  263062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263087 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263104 */     GIR_RootConstrainSelectedInstOperands,
     /*  263105 */     // GIR_Coverage, 7839,
     /*  263105 */     GIR_EraseRootFromParent_Done,
     /*  263106 */   // Label 5006: @263106
     /*  263106 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(263169), // Rule ID 7842 //
     /*  263111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  263125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263150 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263167 */     GIR_RootConstrainSelectedInstOperands,
     /*  263168 */     // GIR_Coverage, 7842,
     /*  263168 */     GIR_EraseRootFromParent_Done,
     /*  263169 */   // Label 5007: @263169
     /*  263169 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263232), // Rule ID 7843 //
     /*  263174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  263188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263230 */     GIR_RootConstrainSelectedInstOperands,
     /*  263231 */     // GIR_Coverage, 7843,
     /*  263231 */     GIR_EraseRootFromParent_Done,
     /*  263232 */   // Label 5008: @263232
     /*  263232 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263295), // Rule ID 7846 //
     /*  263237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  263251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263293 */     GIR_RootConstrainSelectedInstOperands,
     /*  263294 */     // GIR_Coverage, 7846,
     /*  263294 */     GIR_EraseRootFromParent_Done,
     /*  263295 */   // Label 5009: @263295
     /*  263295 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263358), // Rule ID 7847 //
     /*  263300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  263314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263339 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263356 */     GIR_RootConstrainSelectedInstOperands,
     /*  263357 */     // GIR_Coverage, 7847,
     /*  263357 */     GIR_EraseRootFromParent_Done,
     /*  263358 */   // Label 5010: @263358
     /*  263358 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263421), // Rule ID 7850 //
     /*  263363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  263377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263419 */     GIR_RootConstrainSelectedInstOperands,
     /*  263420 */     // GIR_Coverage, 7850,
     /*  263420 */     GIR_EraseRootFromParent_Done,
     /*  263421 */   // Label 5011: @263421
     /*  263421 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263484), // Rule ID 7851 //
     /*  263426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  263440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263465 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263482 */     GIR_RootConstrainSelectedInstOperands,
     /*  263483 */     // GIR_Coverage, 7851,
     /*  263483 */     GIR_EraseRootFromParent_Done,
     /*  263484 */   // Label 5012: @263484
     /*  263484 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263547), // Rule ID 7854 //
     /*  263489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263545 */     GIR_RootConstrainSelectedInstOperands,
     /*  263546 */     // GIR_Coverage, 7854,
     /*  263546 */     GIR_EraseRootFromParent_Done,
     /*  263547 */   // Label 5013: @263547
     /*  263547 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(263610), // Rule ID 7855 //
     /*  263552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263591 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263608 */     GIR_RootConstrainSelectedInstOperands,
     /*  263609 */     // GIR_Coverage, 7855,
     /*  263609 */     GIR_EraseRootFromParent_Done,
     /*  263610 */   // Label 5014: @263610
     /*  263610 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(263673), // Rule ID 7946 //
     /*  263615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263671 */     GIR_RootConstrainSelectedInstOperands,
     /*  263672 */     // GIR_Coverage, 7946,
     /*  263672 */     GIR_EraseRootFromParent_Done,
     /*  263673 */   // Label 5015: @263673
     /*  263673 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(263736), // Rule ID 7947 //
     /*  263678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263734 */     GIR_RootConstrainSelectedInstOperands,
     /*  263735 */     // GIR_Coverage, 7947,
     /*  263735 */     GIR_EraseRootFromParent_Done,
     /*  263736 */   // Label 5016: @263736
     /*  263736 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(263799), // Rule ID 7950 //
     /*  263741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263797 */     GIR_RootConstrainSelectedInstOperands,
     /*  263798 */     // GIR_Coverage, 7950,
     /*  263798 */     GIR_EraseRootFromParent_Done,
     /*  263799 */   // Label 5017: @263799
     /*  263799 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(263862), // Rule ID 7951 //
     /*  263804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263843 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263860 */     GIR_RootConstrainSelectedInstOperands,
     /*  263861 */     // GIR_Coverage, 7951,
     /*  263861 */     GIR_EraseRootFromParent_Done,
     /*  263862 */   // Label 5018: @263862
     /*  263862 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(263925), // Rule ID 7954 //
     /*  263867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263906 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263923 */     GIR_RootConstrainSelectedInstOperands,
     /*  263924 */     // GIR_Coverage, 7954,
     /*  263924 */     GIR_EraseRootFromParent_Done,
     /*  263925 */   // Label 5019: @263925
     /*  263925 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(263988), // Rule ID 7955 //
     /*  263930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263986 */     GIR_RootConstrainSelectedInstOperands,
     /*  263987 */     // GIR_Coverage, 7955,
     /*  263987 */     GIR_EraseRootFromParent_Done,
     /*  263988 */   // Label 5020: @263988
     /*  263988 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(264051), // Rule ID 7958 //
     /*  263993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  264007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  264010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264049 */     GIR_RootConstrainSelectedInstOperands,
     /*  264050 */     // GIR_Coverage, 7958,
     /*  264050 */     GIR_EraseRootFromParent_Done,
     /*  264051 */   // Label 5021: @264051
     /*  264051 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(264114), // Rule ID 7959 //
     /*  264056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  264070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  264073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264112 */     GIR_RootConstrainSelectedInstOperands,
     /*  264113 */     // GIR_Coverage, 7959,
     /*  264113 */     GIR_EraseRootFromParent_Done,
     /*  264114 */   // Label 5022: @264114
     /*  264114 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(264177), // Rule ID 7962 //
     /*  264119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  264133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  264136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264158 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264175 */     GIR_RootConstrainSelectedInstOperands,
     /*  264176 */     // GIR_Coverage, 7962,
     /*  264176 */     GIR_EraseRootFromParent_Done,
     /*  264177 */   // Label 5023: @264177
     /*  264177 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264240), // Rule ID 7963 //
     /*  264182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  264196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  264199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264221 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264238 */     GIR_RootConstrainSelectedInstOperands,
     /*  264239 */     // GIR_Coverage, 7963,
     /*  264239 */     GIR_EraseRootFromParent_Done,
     /*  264240 */   // Label 5024: @264240
     /*  264240 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264303), // Rule ID 7966 //
     /*  264245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  264259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  264262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264301 */     GIR_RootConstrainSelectedInstOperands,
     /*  264302 */     // GIR_Coverage, 7966,
     /*  264302 */     GIR_EraseRootFromParent_Done,
     /*  264303 */   // Label 5025: @264303
     /*  264303 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264366), // Rule ID 7967 //
     /*  264308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  264322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  264325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264347 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264364 */     GIR_RootConstrainSelectedInstOperands,
     /*  264365 */     // GIR_Coverage, 7967,
     /*  264365 */     GIR_EraseRootFromParent_Done,
     /*  264366 */   // Label 5026: @264366
     /*  264366 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264429), // Rule ID 7970 //
     /*  264371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  264385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  264388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264410 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264427 */     GIR_RootConstrainSelectedInstOperands,
     /*  264428 */     // GIR_Coverage, 7970,
     /*  264428 */     GIR_EraseRootFromParent_Done,
     /*  264429 */   // Label 5027: @264429
     /*  264429 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264492), // Rule ID 7971 //
     /*  264434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  264448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  264451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264490 */     GIR_RootConstrainSelectedInstOperands,
     /*  264491 */     // GIR_Coverage, 7971,
     /*  264491 */     GIR_EraseRootFromParent_Done,
     /*  264492 */   // Label 5028: @264492
     /*  264492 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264555), // Rule ID 7974 //
     /*  264497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264553 */     GIR_RootConstrainSelectedInstOperands,
     /*  264554 */     // GIR_Coverage, 7974,
     /*  264554 */     GIR_EraseRootFromParent_Done,
     /*  264555 */   // Label 5029: @264555
     /*  264555 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(264618), // Rule ID 7975 //
     /*  264560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264616 */     GIR_RootConstrainSelectedInstOperands,
     /*  264617 */     // GIR_Coverage, 7975,
     /*  264617 */     GIR_EraseRootFromParent_Done,
     /*  264618 */   // Label 5030: @264618
     /*  264618 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(264681), // Rule ID 7978 //
     /*  264623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264662 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264679 */     GIR_RootConstrainSelectedInstOperands,
     /*  264680 */     // GIR_Coverage, 7978,
     /*  264680 */     GIR_EraseRootFromParent_Done,
     /*  264681 */   // Label 5031: @264681
     /*  264681 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(264744), // Rule ID 7979 //
     /*  264686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264725 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264742 */     GIR_RootConstrainSelectedInstOperands,
     /*  264743 */     // GIR_Coverage, 7979,
     /*  264743 */     GIR_EraseRootFromParent_Done,
     /*  264744 */   // Label 5032: @264744
     /*  264744 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(264807), // Rule ID 7982 //
     /*  264749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264805 */     GIR_RootConstrainSelectedInstOperands,
     /*  264806 */     // GIR_Coverage, 7982,
     /*  264806 */     GIR_EraseRootFromParent_Done,
     /*  264807 */   // Label 5033: @264807
     /*  264807 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(264870), // Rule ID 7983 //
     /*  264812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264851 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264868 */     GIR_RootConstrainSelectedInstOperands,
     /*  264869 */     // GIR_Coverage, 7983,
     /*  264869 */     GIR_EraseRootFromParent_Done,
     /*  264870 */   // Label 5034: @264870
     /*  264870 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(264933), // Rule ID 7986 //
     /*  264875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264914 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264931 */     GIR_RootConstrainSelectedInstOperands,
     /*  264932 */     // GIR_Coverage, 7986,
     /*  264932 */     GIR_EraseRootFromParent_Done,
     /*  264933 */   // Label 5035: @264933
     /*  264933 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(264996), // Rule ID 7987 //
     /*  264938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264977 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264994 */     GIR_RootConstrainSelectedInstOperands,
     /*  264995 */     // GIR_Coverage, 7987,
     /*  264995 */     GIR_EraseRootFromParent_Done,
     /*  264996 */   // Label 5036: @264996
     /*  264996 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(265059), // Rule ID 7990 //
     /*  265001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  265015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  265018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265040 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265057 */     GIR_RootConstrainSelectedInstOperands,
     /*  265058 */     // GIR_Coverage, 7990,
     /*  265058 */     GIR_EraseRootFromParent_Done,
     /*  265059 */   // Label 5037: @265059
     /*  265059 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(265122), // Rule ID 7991 //
     /*  265064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  265078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  265081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265103 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265120 */     GIR_RootConstrainSelectedInstOperands,
     /*  265121 */     // GIR_Coverage, 7991,
     /*  265121 */     GIR_EraseRootFromParent_Done,
     /*  265122 */   // Label 5038: @265122
     /*  265122 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(265185), // Rule ID 7994 //
     /*  265127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  265141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  265144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265166 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265183 */     GIR_RootConstrainSelectedInstOperands,
     /*  265184 */     // GIR_Coverage, 7994,
     /*  265184 */     GIR_EraseRootFromParent_Done,
     /*  265185 */   // Label 5039: @265185
     /*  265185 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265248), // Rule ID 7995 //
     /*  265190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  265204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  265207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265229 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265246 */     GIR_RootConstrainSelectedInstOperands,
     /*  265247 */     // GIR_Coverage, 7995,
     /*  265247 */     GIR_EraseRootFromParent_Done,
     /*  265248 */   // Label 5040: @265248
     /*  265248 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265311), // Rule ID 7998 //
     /*  265253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  265267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  265270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265309 */     GIR_RootConstrainSelectedInstOperands,
     /*  265310 */     // GIR_Coverage, 7998,
     /*  265310 */     GIR_EraseRootFromParent_Done,
     /*  265311 */   // Label 5041: @265311
     /*  265311 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265374), // Rule ID 7999 //
     /*  265316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  265330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  265333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265355 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265372 */     GIR_RootConstrainSelectedInstOperands,
     /*  265373 */     // GIR_Coverage, 7999,
     /*  265373 */     GIR_EraseRootFromParent_Done,
     /*  265374 */   // Label 5042: @265374
     /*  265374 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265437), // Rule ID 8002 //
     /*  265379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  265393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  265396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265418 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265435 */     GIR_RootConstrainSelectedInstOperands,
     /*  265436 */     // GIR_Coverage, 8002,
     /*  265436 */     GIR_EraseRootFromParent_Done,
     /*  265437 */   // Label 5043: @265437
     /*  265437 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265500), // Rule ID 8003 //
     /*  265442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  265456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  265459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265481 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265498 */     GIR_RootConstrainSelectedInstOperands,
     /*  265499 */     // GIR_Coverage, 8003,
     /*  265499 */     GIR_EraseRootFromParent_Done,
     /*  265500 */   // Label 5044: @265500
     /*  265500 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(265563), // Rule ID 8006 //
     /*  265505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265544 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265561 */     GIR_RootConstrainSelectedInstOperands,
     /*  265562 */     // GIR_Coverage, 8006,
     /*  265562 */     GIR_EraseRootFromParent_Done,
     /*  265563 */   // Label 5045: @265563
     /*  265563 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(265626), // Rule ID 8007 //
     /*  265568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265607 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265624 */     GIR_RootConstrainSelectedInstOperands,
     /*  265625 */     // GIR_Coverage, 8007,
     /*  265625 */     GIR_EraseRootFromParent_Done,
     /*  265626 */   // Label 5046: @265626
     /*  265626 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(265689), // Rule ID 8010 //
     /*  265631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265670 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265687 */     GIR_RootConstrainSelectedInstOperands,
     /*  265688 */     // GIR_Coverage, 8010,
     /*  265688 */     GIR_EraseRootFromParent_Done,
     /*  265689 */   // Label 5047: @265689
     /*  265689 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(265752), // Rule ID 8011 //
     /*  265694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265750 */     GIR_RootConstrainSelectedInstOperands,
     /*  265751 */     // GIR_Coverage, 8011,
     /*  265751 */     GIR_EraseRootFromParent_Done,
     /*  265752 */   // Label 5048: @265752
     /*  265752 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(265815), // Rule ID 8014 //
     /*  265757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265813 */     GIR_RootConstrainSelectedInstOperands,
     /*  265814 */     // GIR_Coverage, 8014,
     /*  265814 */     GIR_EraseRootFromParent_Done,
     /*  265815 */   // Label 5049: @265815
     /*  265815 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(265878), // Rule ID 8015 //
     /*  265820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265859 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265876 */     GIR_RootConstrainSelectedInstOperands,
     /*  265877 */     // GIR_Coverage, 8015,
     /*  265877 */     GIR_EraseRootFromParent_Done,
     /*  265878 */   // Label 5050: @265878
     /*  265878 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(265941), // Rule ID 8018 //
     /*  265883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265922 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265939 */     GIR_RootConstrainSelectedInstOperands,
     /*  265940 */     // GIR_Coverage, 8018,
     /*  265940 */     GIR_EraseRootFromParent_Done,
     /*  265941 */   // Label 5051: @265941
     /*  265941 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(266004), // Rule ID 8019 //
     /*  265946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265985 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266002 */     GIR_RootConstrainSelectedInstOperands,
     /*  266003 */     // GIR_Coverage, 8019,
     /*  266003 */     GIR_EraseRootFromParent_Done,
     /*  266004 */   // Label 5052: @266004
     /*  266004 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(266067), // Rule ID 8022 //
     /*  266009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  266023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  266026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266065 */     GIR_RootConstrainSelectedInstOperands,
     /*  266066 */     // GIR_Coverage, 8022,
     /*  266066 */     GIR_EraseRootFromParent_Done,
     /*  266067 */   // Label 5053: @266067
     /*  266067 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(266130), // Rule ID 8023 //
     /*  266072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  266086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  266089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266111 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266128 */     GIR_RootConstrainSelectedInstOperands,
     /*  266129 */     // GIR_Coverage, 8023,
     /*  266129 */     GIR_EraseRootFromParent_Done,
     /*  266130 */   // Label 5054: @266130
     /*  266130 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266193), // Rule ID 8026 //
     /*  266135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  266149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  266152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266174 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266191 */     GIR_RootConstrainSelectedInstOperands,
     /*  266192 */     // GIR_Coverage, 8026,
     /*  266192 */     GIR_EraseRootFromParent_Done,
     /*  266193 */   // Label 5055: @266193
     /*  266193 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266256), // Rule ID 8027 //
     /*  266198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  266212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  266215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266237 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266254 */     GIR_RootConstrainSelectedInstOperands,
     /*  266255 */     // GIR_Coverage, 8027,
     /*  266255 */     GIR_EraseRootFromParent_Done,
     /*  266256 */   // Label 5056: @266256
     /*  266256 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266319), // Rule ID 8030 //
     /*  266261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  266275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  266278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266317 */     GIR_RootConstrainSelectedInstOperands,
     /*  266318 */     // GIR_Coverage, 8030,
     /*  266318 */     GIR_EraseRootFromParent_Done,
     /*  266319 */   // Label 5057: @266319
     /*  266319 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266382), // Rule ID 8031 //
     /*  266324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  266338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  266341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266363 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266380 */     GIR_RootConstrainSelectedInstOperands,
     /*  266381 */     // GIR_Coverage, 8031,
     /*  266381 */     GIR_EraseRootFromParent_Done,
     /*  266382 */   // Label 5058: @266382
     /*  266382 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266445), // Rule ID 8034 //
     /*  266387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  266401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266426 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  266429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266443 */     GIR_RootConstrainSelectedInstOperands,
     /*  266444 */     // GIR_Coverage, 8034,
     /*  266444 */     GIR_EraseRootFromParent_Done,
     /*  266445 */   // Label 5059: @266445
     /*  266445 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266508), // Rule ID 8035 //
     /*  266450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  266464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266489 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  266492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266506 */     GIR_RootConstrainSelectedInstOperands,
     /*  266507 */     // GIR_Coverage, 8035,
     /*  266507 */     GIR_EraseRootFromParent_Done,
     /*  266508 */   // Label 5060: @266508
     /*  266508 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(266571), // Rule ID 8038 //
     /*  266513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266569 */     GIR_RootConstrainSelectedInstOperands,
     /*  266570 */     // GIR_Coverage, 8038,
     /*  266570 */     GIR_EraseRootFromParent_Done,
     /*  266571 */   // Label 5061: @266571
     /*  266571 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(266634), // Rule ID 8039 //
     /*  266576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266615 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266632 */     GIR_RootConstrainSelectedInstOperands,
     /*  266633 */     // GIR_Coverage, 8039,
     /*  266633 */     GIR_EraseRootFromParent_Done,
     /*  266634 */   // Label 5062: @266634
     /*  266634 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(266697), // Rule ID 8042 //
     /*  266639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266678 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266695 */     GIR_RootConstrainSelectedInstOperands,
     /*  266696 */     // GIR_Coverage, 8042,
     /*  266696 */     GIR_EraseRootFromParent_Done,
     /*  266697 */   // Label 5063: @266697
     /*  266697 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(266760), // Rule ID 8043 //
     /*  266702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266741 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266758 */     GIR_RootConstrainSelectedInstOperands,
     /*  266759 */     // GIR_Coverage, 8043,
     /*  266759 */     GIR_EraseRootFromParent_Done,
     /*  266760 */   // Label 5064: @266760
     /*  266760 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(266823), // Rule ID 8046 //
     /*  266765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266821 */     GIR_RootConstrainSelectedInstOperands,
     /*  266822 */     // GIR_Coverage, 8046,
     /*  266822 */     GIR_EraseRootFromParent_Done,
     /*  266823 */   // Label 5065: @266823
     /*  266823 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(266886), // Rule ID 8047 //
     /*  266828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266867 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266884 */     GIR_RootConstrainSelectedInstOperands,
     /*  266885 */     // GIR_Coverage, 8047,
     /*  266885 */     GIR_EraseRootFromParent_Done,
     /*  266886 */   // Label 5066: @266886
     /*  266886 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(266949), // Rule ID 8050 //
     /*  266891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266930 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266947 */     GIR_RootConstrainSelectedInstOperands,
     /*  266948 */     // GIR_Coverage, 8050,
     /*  266948 */     GIR_EraseRootFromParent_Done,
     /*  266949 */   // Label 5067: @266949
     /*  266949 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(267012), // Rule ID 8051 //
     /*  266954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266993 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267010 */     GIR_RootConstrainSelectedInstOperands,
     /*  267011 */     // GIR_Coverage, 8051,
     /*  267011 */     GIR_EraseRootFromParent_Done,
     /*  267012 */   // Label 5068: @267012
     /*  267012 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(267075), // Rule ID 8054 //
     /*  267017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  267031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267073 */     GIR_RootConstrainSelectedInstOperands,
     /*  267074 */     // GIR_Coverage, 8054,
     /*  267074 */     GIR_EraseRootFromParent_Done,
     /*  267075 */   // Label 5069: @267075
     /*  267075 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(267138), // Rule ID 8055 //
     /*  267080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  267094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267119 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267136 */     GIR_RootConstrainSelectedInstOperands,
     /*  267137 */     // GIR_Coverage, 8055,
     /*  267137 */     GIR_EraseRootFromParent_Done,
     /*  267138 */   // Label 5070: @267138
     /*  267138 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267201), // Rule ID 8058 //
     /*  267143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  267157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267199 */     GIR_RootConstrainSelectedInstOperands,
     /*  267200 */     // GIR_Coverage, 8058,
     /*  267200 */     GIR_EraseRootFromParent_Done,
     /*  267201 */   // Label 5071: @267201
     /*  267201 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267264), // Rule ID 8059 //
     /*  267206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  267220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267245 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267262 */     GIR_RootConstrainSelectedInstOperands,
     /*  267263 */     // GIR_Coverage, 8059,
     /*  267263 */     GIR_EraseRootFromParent_Done,
     /*  267264 */   // Label 5072: @267264
     /*  267264 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267327), // Rule ID 8062 //
     /*  267269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  267283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267325 */     GIR_RootConstrainSelectedInstOperands,
     /*  267326 */     // GIR_Coverage, 8062,
     /*  267326 */     GIR_EraseRootFromParent_Done,
     /*  267327 */   // Label 5073: @267327
     /*  267327 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267390), // Rule ID 8063 //
     /*  267332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  267346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267388 */     GIR_RootConstrainSelectedInstOperands,
     /*  267389 */     // GIR_Coverage, 8063,
     /*  267389 */     GIR_EraseRootFromParent_Done,
     /*  267390 */   // Label 5074: @267390
     /*  267390 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267453), // Rule ID 8066 //
     /*  267395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  267409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267451 */     GIR_RootConstrainSelectedInstOperands,
     /*  267452 */     // GIR_Coverage, 8066,
     /*  267452 */     GIR_EraseRootFromParent_Done,
     /*  267453 */   // Label 5075: @267453
     /*  267453 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267516), // Rule ID 8067 //
     /*  267458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  267472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267514 */     GIR_RootConstrainSelectedInstOperands,
     /*  267515 */     // GIR_Coverage, 8067,
     /*  267515 */     GIR_EraseRootFromParent_Done,
     /*  267516 */   // Label 5076: @267516
     /*  267516 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(267579), // Rule ID 8070 //
     /*  267521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267577 */     GIR_RootConstrainSelectedInstOperands,
     /*  267578 */     // GIR_Coverage, 8070,
     /*  267578 */     GIR_EraseRootFromParent_Done,
     /*  267579 */   // Label 5077: @267579
     /*  267579 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(267642), // Rule ID 8071 //
     /*  267584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267623 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267640 */     GIR_RootConstrainSelectedInstOperands,
     /*  267641 */     // GIR_Coverage, 8071,
     /*  267641 */     GIR_EraseRootFromParent_Done,
     /*  267642 */   // Label 5078: @267642
     /*  267642 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(267705), // Rule ID 8074 //
     /*  267647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267686 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267703 */     GIR_RootConstrainSelectedInstOperands,
     /*  267704 */     // GIR_Coverage, 8074,
     /*  267704 */     GIR_EraseRootFromParent_Done,
     /*  267705 */   // Label 5079: @267705
     /*  267705 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(267768), // Rule ID 8075 //
     /*  267710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267766 */     GIR_RootConstrainSelectedInstOperands,
     /*  267767 */     // GIR_Coverage, 8075,
     /*  267767 */     GIR_EraseRootFromParent_Done,
     /*  267768 */   // Label 5080: @267768
     /*  267768 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(267831), // Rule ID 8078 //
     /*  267773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267812 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267829 */     GIR_RootConstrainSelectedInstOperands,
     /*  267830 */     // GIR_Coverage, 8078,
     /*  267830 */     GIR_EraseRootFromParent_Done,
     /*  267831 */   // Label 5081: @267831
     /*  267831 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(267894), // Rule ID 8079 //
     /*  267836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267875 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267892 */     GIR_RootConstrainSelectedInstOperands,
     /*  267893 */     // GIR_Coverage, 8079,
     /*  267893 */     GIR_EraseRootFromParent_Done,
     /*  267894 */   // Label 5082: @267894
     /*  267894 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(267957), // Rule ID 8082 //
     /*  267899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267938 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267955 */     GIR_RootConstrainSelectedInstOperands,
     /*  267956 */     // GIR_Coverage, 8082,
     /*  267956 */     GIR_EraseRootFromParent_Done,
     /*  267957 */   // Label 5083: @267957
     /*  267957 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(268020), // Rule ID 8083 //
     /*  267962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268001 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268018 */     GIR_RootConstrainSelectedInstOperands,
     /*  268019 */     // GIR_Coverage, 8083,
     /*  268019 */     GIR_EraseRootFromParent_Done,
     /*  268020 */   // Label 5084: @268020
     /*  268020 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(268083), // Rule ID 8086 //
     /*  268025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  268039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268081 */     GIR_RootConstrainSelectedInstOperands,
     /*  268082 */     // GIR_Coverage, 8086,
     /*  268082 */     GIR_EraseRootFromParent_Done,
     /*  268083 */   // Label 5085: @268083
     /*  268083 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(268146), // Rule ID 8087 //
     /*  268088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  268102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268127 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268144 */     GIR_RootConstrainSelectedInstOperands,
     /*  268145 */     // GIR_Coverage, 8087,
     /*  268145 */     GIR_EraseRootFromParent_Done,
     /*  268146 */   // Label 5086: @268146
     /*  268146 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268209), // Rule ID 8090 //
     /*  268151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  268165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268190 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268207 */     GIR_RootConstrainSelectedInstOperands,
     /*  268208 */     // GIR_Coverage, 8090,
     /*  268208 */     GIR_EraseRootFromParent_Done,
     /*  268209 */   // Label 5087: @268209
     /*  268209 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268272), // Rule ID 8091 //
     /*  268214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  268228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268253 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268270 */     GIR_RootConstrainSelectedInstOperands,
     /*  268271 */     // GIR_Coverage, 8091,
     /*  268271 */     GIR_EraseRootFromParent_Done,
     /*  268272 */   // Label 5088: @268272
     /*  268272 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268335), // Rule ID 8094 //
     /*  268277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  268291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268316 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268333 */     GIR_RootConstrainSelectedInstOperands,
     /*  268334 */     // GIR_Coverage, 8094,
     /*  268334 */     GIR_EraseRootFromParent_Done,
     /*  268335 */   // Label 5089: @268335
     /*  268335 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268398), // Rule ID 8095 //
     /*  268340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  268354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268379 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268396 */     GIR_RootConstrainSelectedInstOperands,
     /*  268397 */     // GIR_Coverage, 8095,
     /*  268397 */     GIR_EraseRootFromParent_Done,
     /*  268398 */   // Label 5090: @268398
     /*  268398 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268461), // Rule ID 8098 //
     /*  268403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  268417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268459 */     GIR_RootConstrainSelectedInstOperands,
     /*  268460 */     // GIR_Coverage, 8098,
     /*  268460 */     GIR_EraseRootFromParent_Done,
     /*  268461 */   // Label 5091: @268461
     /*  268461 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268524), // Rule ID 8099 //
     /*  268466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  268480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268505 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268522 */     GIR_RootConstrainSelectedInstOperands,
     /*  268523 */     // GIR_Coverage, 8099,
     /*  268523 */     GIR_EraseRootFromParent_Done,
     /*  268524 */   // Label 5092: @268524
     /*  268524 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(268587), // Rule ID 8102 //
     /*  268529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268585 */     GIR_RootConstrainSelectedInstOperands,
     /*  268586 */     // GIR_Coverage, 8102,
     /*  268586 */     GIR_EraseRootFromParent_Done,
     /*  268587 */   // Label 5093: @268587
     /*  268587 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(268650), // Rule ID 8103 //
     /*  268592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268631 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268648 */     GIR_RootConstrainSelectedInstOperands,
     /*  268649 */     // GIR_Coverage, 8103,
     /*  268649 */     GIR_EraseRootFromParent_Done,
     /*  268650 */   // Label 5094: @268650
     /*  268650 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(268713), // Rule ID 8106 //
     /*  268655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268694 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268711 */     GIR_RootConstrainSelectedInstOperands,
     /*  268712 */     // GIR_Coverage, 8106,
     /*  268712 */     GIR_EraseRootFromParent_Done,
     /*  268713 */   // Label 5095: @268713
     /*  268713 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(268776), // Rule ID 8107 //
     /*  268718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268757 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268774 */     GIR_RootConstrainSelectedInstOperands,
     /*  268775 */     // GIR_Coverage, 8107,
     /*  268775 */     GIR_EraseRootFromParent_Done,
     /*  268776 */   // Label 5096: @268776
     /*  268776 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(268839), // Rule ID 8110 //
     /*  268781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268837 */     GIR_RootConstrainSelectedInstOperands,
     /*  268838 */     // GIR_Coverage, 8110,
     /*  268838 */     GIR_EraseRootFromParent_Done,
     /*  268839 */   // Label 5097: @268839
     /*  268839 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(268902), // Rule ID 8111 //
     /*  268844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268883 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268900 */     GIR_RootConstrainSelectedInstOperands,
     /*  268901 */     // GIR_Coverage, 8111,
     /*  268901 */     GIR_EraseRootFromParent_Done,
     /*  268902 */   // Label 5098: @268902
     /*  268902 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(268965), // Rule ID 8114 //
     /*  268907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268946 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268963 */     GIR_RootConstrainSelectedInstOperands,
     /*  268964 */     // GIR_Coverage, 8114,
     /*  268964 */     GIR_EraseRootFromParent_Done,
     /*  268965 */   // Label 5099: @268965
     /*  268965 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(269028), // Rule ID 8115 //
     /*  268970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  269012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269026 */     GIR_RootConstrainSelectedInstOperands,
     /*  269027 */     // GIR_Coverage, 8115,
     /*  269027 */     GIR_EraseRootFromParent_Done,
     /*  269028 */   // Label 5100: @269028
     /*  269028 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(269091), // Rule ID 8118 //
     /*  269033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  269047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269089 */     GIR_RootConstrainSelectedInstOperands,
     /*  269090 */     // GIR_Coverage, 8118,
     /*  269090 */     GIR_EraseRootFromParent_Done,
     /*  269091 */   // Label 5101: @269091
     /*  269091 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(269154), // Rule ID 8119 //
     /*  269096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  269110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269135 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269152 */     GIR_RootConstrainSelectedInstOperands,
     /*  269153 */     // GIR_Coverage, 8119,
     /*  269153 */     GIR_EraseRootFromParent_Done,
     /*  269154 */   // Label 5102: @269154
     /*  269154 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269217), // Rule ID 8210 //
     /*  269159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  269173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  269176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  269201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269215 */     GIR_RootConstrainSelectedInstOperands,
     /*  269216 */     // GIR_Coverage, 8210,
     /*  269216 */     GIR_EraseRootFromParent_Done,
     /*  269217 */   // Label 5103: @269217
     /*  269217 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269280), // Rule ID 8211 //
     /*  269222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  269236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  269239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269261 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  269264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269278 */     GIR_RootConstrainSelectedInstOperands,
     /*  269279 */     // GIR_Coverage, 8211,
     /*  269279 */     GIR_EraseRootFromParent_Done,
     /*  269280 */   // Label 5104: @269280
     /*  269280 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269343), // Rule ID 8214 //
     /*  269285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  269299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  269302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269341 */     GIR_RootConstrainSelectedInstOperands,
     /*  269342 */     // GIR_Coverage, 8214,
     /*  269342 */     GIR_EraseRootFromParent_Done,
     /*  269343 */   // Label 5105: @269343
     /*  269343 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269406), // Rule ID 8215 //
     /*  269348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  269362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  269365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269387 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269404 */     GIR_RootConstrainSelectedInstOperands,
     /*  269405 */     // GIR_Coverage, 8215,
     /*  269405 */     GIR_EraseRootFromParent_Done,
     /*  269406 */   // Label 5106: @269406
     /*  269406 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269469), // Rule ID 8218 //
     /*  269411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  269425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  269428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269450 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269467 */     GIR_RootConstrainSelectedInstOperands,
     /*  269468 */     // GIR_Coverage, 8218,
     /*  269468 */     GIR_EraseRootFromParent_Done,
     /*  269469 */   // Label 5107: @269469
     /*  269469 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269532), // Rule ID 8219 //
     /*  269474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  269488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  269491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269513 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269530 */     GIR_RootConstrainSelectedInstOperands,
     /*  269531 */     // GIR_Coverage, 8219,
     /*  269531 */     GIR_EraseRootFromParent_Done,
     /*  269532 */   // Label 5108: @269532
     /*  269532 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(269595), // Rule ID 8222 //
     /*  269537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269593 */     GIR_RootConstrainSelectedInstOperands,
     /*  269594 */     // GIR_Coverage, 8222,
     /*  269594 */     GIR_EraseRootFromParent_Done,
     /*  269595 */   // Label 5109: @269595
     /*  269595 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(269658), // Rule ID 8223 //
     /*  269600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269639 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269656 */     GIR_RootConstrainSelectedInstOperands,
     /*  269657 */     // GIR_Coverage, 8223,
     /*  269657 */     GIR_EraseRootFromParent_Done,
     /*  269658 */   // Label 5110: @269658
     /*  269658 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(269721), // Rule ID 8226 //
     /*  269663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269719 */     GIR_RootConstrainSelectedInstOperands,
     /*  269720 */     // GIR_Coverage, 8226,
     /*  269720 */     GIR_EraseRootFromParent_Done,
     /*  269721 */   // Label 5111: @269721
     /*  269721 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(269784), // Rule ID 8227 //
     /*  269726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269765 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269782 */     GIR_RootConstrainSelectedInstOperands,
     /*  269783 */     // GIR_Coverage, 8227,
     /*  269783 */     GIR_EraseRootFromParent_Done,
     /*  269784 */   // Label 5112: @269784
     /*  269784 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(269847), // Rule ID 8230 //
     /*  269789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269845 */     GIR_RootConstrainSelectedInstOperands,
     /*  269846 */     // GIR_Coverage, 8230,
     /*  269846 */     GIR_EraseRootFromParent_Done,
     /*  269847 */   // Label 5113: @269847
     /*  269847 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(269910), // Rule ID 8231 //
     /*  269852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269891 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269908 */     GIR_RootConstrainSelectedInstOperands,
     /*  269909 */     // GIR_Coverage, 8231,
     /*  269909 */     GIR_EraseRootFromParent_Done,
     /*  269910 */   // Label 5114: @269910
     /*  269910 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(269973), // Rule ID 8234 //
     /*  269915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269954 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269971 */     GIR_RootConstrainSelectedInstOperands,
     /*  269972 */     // GIR_Coverage, 8234,
     /*  269972 */     GIR_EraseRootFromParent_Done,
     /*  269973 */   // Label 5115: @269973
     /*  269973 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(270036), // Rule ID 8235 //
     /*  269978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270034 */     GIR_RootConstrainSelectedInstOperands,
     /*  270035 */     // GIR_Coverage, 8235,
     /*  270035 */     GIR_EraseRootFromParent_Done,
     /*  270036 */   // Label 5116: @270036
     /*  270036 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(270099), // Rule ID 8238 //
     /*  270041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  270055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  270058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270097 */     GIR_RootConstrainSelectedInstOperands,
     /*  270098 */     // GIR_Coverage, 8238,
     /*  270098 */     GIR_EraseRootFromParent_Done,
     /*  270099 */   // Label 5117: @270099
     /*  270099 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(270162), // Rule ID 8239 //
     /*  270104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  270118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  270121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270143 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270160 */     GIR_RootConstrainSelectedInstOperands,
     /*  270161 */     // GIR_Coverage, 8239,
     /*  270161 */     GIR_EraseRootFromParent_Done,
     /*  270162 */   // Label 5118: @270162
     /*  270162 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270225), // Rule ID 8242 //
     /*  270167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  270181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  270184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270206 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270223 */     GIR_RootConstrainSelectedInstOperands,
     /*  270224 */     // GIR_Coverage, 8242,
     /*  270224 */     GIR_EraseRootFromParent_Done,
     /*  270225 */   // Label 5119: @270225
     /*  270225 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270288), // Rule ID 8243 //
     /*  270230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  270244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  270247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270286 */     GIR_RootConstrainSelectedInstOperands,
     /*  270287 */     // GIR_Coverage, 8243,
     /*  270287 */     GIR_EraseRootFromParent_Done,
     /*  270288 */   // Label 5120: @270288
     /*  270288 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270351), // Rule ID 8246 //
     /*  270293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  270307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  270310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270349 */     GIR_RootConstrainSelectedInstOperands,
     /*  270350 */     // GIR_Coverage, 8246,
     /*  270350 */     GIR_EraseRootFromParent_Done,
     /*  270351 */   // Label 5121: @270351
     /*  270351 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270414), // Rule ID 8247 //
     /*  270356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  270370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  270373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270395 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270412 */     GIR_RootConstrainSelectedInstOperands,
     /*  270413 */     // GIR_Coverage, 8247,
     /*  270413 */     GIR_EraseRootFromParent_Done,
     /*  270414 */   // Label 5122: @270414
     /*  270414 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270477), // Rule ID 8250 //
     /*  270419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  270433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  270436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270475 */     GIR_RootConstrainSelectedInstOperands,
     /*  270476 */     // GIR_Coverage, 8250,
     /*  270476 */     GIR_EraseRootFromParent_Done,
     /*  270477 */   // Label 5123: @270477
     /*  270477 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270540), // Rule ID 8251 //
     /*  270482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  270496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  270499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270521 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270538 */     GIR_RootConstrainSelectedInstOperands,
     /*  270539 */     // GIR_Coverage, 8251,
     /*  270539 */     GIR_EraseRootFromParent_Done,
     /*  270540 */   // Label 5124: @270540
     /*  270540 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(270603), // Rule ID 8254 //
     /*  270545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270584 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270601 */     GIR_RootConstrainSelectedInstOperands,
     /*  270602 */     // GIR_Coverage, 8254,
     /*  270602 */     GIR_EraseRootFromParent_Done,
     /*  270603 */   // Label 5125: @270603
     /*  270603 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(270666), // Rule ID 8255 //
     /*  270608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270647 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270664 */     GIR_RootConstrainSelectedInstOperands,
     /*  270665 */     // GIR_Coverage, 8255,
     /*  270665 */     GIR_EraseRootFromParent_Done,
     /*  270666 */   // Label 5126: @270666
     /*  270666 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(270729), // Rule ID 8258 //
     /*  270671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270710 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270727 */     GIR_RootConstrainSelectedInstOperands,
     /*  270728 */     // GIR_Coverage, 8258,
     /*  270728 */     GIR_EraseRootFromParent_Done,
     /*  270729 */   // Label 5127: @270729
     /*  270729 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(270792), // Rule ID 8259 //
     /*  270734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270773 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270790 */     GIR_RootConstrainSelectedInstOperands,
     /*  270791 */     // GIR_Coverage, 8259,
     /*  270791 */     GIR_EraseRootFromParent_Done,
     /*  270792 */   // Label 5128: @270792
     /*  270792 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(270855), // Rule ID 8262 //
     /*  270797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270853 */     GIR_RootConstrainSelectedInstOperands,
     /*  270854 */     // GIR_Coverage, 8262,
     /*  270854 */     GIR_EraseRootFromParent_Done,
     /*  270855 */   // Label 5129: @270855
     /*  270855 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(270918), // Rule ID 8263 //
     /*  270860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270899 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270916 */     GIR_RootConstrainSelectedInstOperands,
     /*  270917 */     // GIR_Coverage, 8263,
     /*  270917 */     GIR_EraseRootFromParent_Done,
     /*  270918 */   // Label 5130: @270918
     /*  270918 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(270981), // Rule ID 8266 //
     /*  270923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270962 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270979 */     GIR_RootConstrainSelectedInstOperands,
     /*  270980 */     // GIR_Coverage, 8266,
     /*  270980 */     GIR_EraseRootFromParent_Done,
     /*  270981 */   // Label 5131: @270981
     /*  270981 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(271044), // Rule ID 8267 //
     /*  270986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  271000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  271003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271025 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271042 */     GIR_RootConstrainSelectedInstOperands,
     /*  271043 */     // GIR_Coverage, 8267,
     /*  271043 */     GIR_EraseRootFromParent_Done,
     /*  271044 */   // Label 5132: @271044
     /*  271044 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(271107), // Rule ID 8270 //
     /*  271049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  271063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  271066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271088 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271105 */     GIR_RootConstrainSelectedInstOperands,
     /*  271106 */     // GIR_Coverage, 8270,
     /*  271106 */     GIR_EraseRootFromParent_Done,
     /*  271107 */   // Label 5133: @271107
     /*  271107 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(271170), // Rule ID 8271 //
     /*  271112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  271126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  271129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271151 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271168 */     GIR_RootConstrainSelectedInstOperands,
     /*  271169 */     // GIR_Coverage, 8271,
     /*  271169 */     GIR_EraseRootFromParent_Done,
     /*  271170 */   // Label 5134: @271170
     /*  271170 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271233), // Rule ID 8274 //
     /*  271175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  271189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  271192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271231 */     GIR_RootConstrainSelectedInstOperands,
     /*  271232 */     // GIR_Coverage, 8274,
     /*  271232 */     GIR_EraseRootFromParent_Done,
     /*  271233 */   // Label 5135: @271233
     /*  271233 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271296), // Rule ID 8275 //
     /*  271238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  271252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  271255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271294 */     GIR_RootConstrainSelectedInstOperands,
     /*  271295 */     // GIR_Coverage, 8275,
     /*  271295 */     GIR_EraseRootFromParent_Done,
     /*  271296 */   // Label 5136: @271296
     /*  271296 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271359), // Rule ID 8278 //
     /*  271301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  271315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  271318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271357 */     GIR_RootConstrainSelectedInstOperands,
     /*  271358 */     // GIR_Coverage, 8278,
     /*  271358 */     GIR_EraseRootFromParent_Done,
     /*  271359 */   // Label 5137: @271359
     /*  271359 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271422), // Rule ID 8279 //
     /*  271364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  271378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  271381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271403 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271420 */     GIR_RootConstrainSelectedInstOperands,
     /*  271421 */     // GIR_Coverage, 8279,
     /*  271421 */     GIR_EraseRootFromParent_Done,
     /*  271422 */   // Label 5138: @271422
     /*  271422 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271485), // Rule ID 8282 //
     /*  271427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271466 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271483 */     GIR_RootConstrainSelectedInstOperands,
     /*  271484 */     // GIR_Coverage, 8282,
     /*  271484 */     GIR_EraseRootFromParent_Done,
     /*  271485 */   // Label 5139: @271485
     /*  271485 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271548), // Rule ID 8283 //
     /*  271490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271529 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271546 */     GIR_RootConstrainSelectedInstOperands,
     /*  271547 */     // GIR_Coverage, 8283,
     /*  271547 */     GIR_EraseRootFromParent_Done,
     /*  271548 */   // Label 5140: @271548
     /*  271548 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(271611), // Rule ID 8286 //
     /*  271553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271609 */     GIR_RootConstrainSelectedInstOperands,
     /*  271610 */     // GIR_Coverage, 8286,
     /*  271610 */     GIR_EraseRootFromParent_Done,
     /*  271611 */   // Label 5141: @271611
     /*  271611 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(271674), // Rule ID 8287 //
     /*  271616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271655 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271672 */     GIR_RootConstrainSelectedInstOperands,
     /*  271673 */     // GIR_Coverage, 8287,
     /*  271673 */     GIR_EraseRootFromParent_Done,
     /*  271674 */   // Label 5142: @271674
     /*  271674 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(271737), // Rule ID 8290 //
     /*  271679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271718 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271735 */     GIR_RootConstrainSelectedInstOperands,
     /*  271736 */     // GIR_Coverage, 8290,
     /*  271736 */     GIR_EraseRootFromParent_Done,
     /*  271737 */   // Label 5143: @271737
     /*  271737 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(271800), // Rule ID 8291 //
     /*  271742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271798 */     GIR_RootConstrainSelectedInstOperands,
     /*  271799 */     // GIR_Coverage, 8291,
     /*  271799 */     GIR_EraseRootFromParent_Done,
     /*  271800 */   // Label 5144: @271800
     /*  271800 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(271863), // Rule ID 8294 //
     /*  271805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271861 */     GIR_RootConstrainSelectedInstOperands,
     /*  271862 */     // GIR_Coverage, 8294,
     /*  271862 */     GIR_EraseRootFromParent_Done,
     /*  271863 */   // Label 5145: @271863
     /*  271863 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(271926), // Rule ID 8295 //
     /*  271868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271907 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271924 */     GIR_RootConstrainSelectedInstOperands,
     /*  271925 */     // GIR_Coverage, 8295,
     /*  271925 */     GIR_EraseRootFromParent_Done,
     /*  271926 */   // Label 5146: @271926
     /*  271926 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(271989), // Rule ID 8298 //
     /*  271931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271970 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  271973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271987 */     GIR_RootConstrainSelectedInstOperands,
     /*  271988 */     // GIR_Coverage, 8298,
     /*  271988 */     GIR_EraseRootFromParent_Done,
     /*  271989 */   // Label 5147: @271989
     /*  271989 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(272052), // Rule ID 8299 //
     /*  271994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  272008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  272036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272050 */     GIR_RootConstrainSelectedInstOperands,
     /*  272051 */     // GIR_Coverage, 8299,
     /*  272051 */     GIR_EraseRootFromParent_Done,
     /*  272052 */   // Label 5148: @272052
     /*  272052 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(272115), // Rule ID 8302 //
     /*  272057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  272071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272113 */     GIR_RootConstrainSelectedInstOperands,
     /*  272114 */     // GIR_Coverage, 8302,
     /*  272114 */     GIR_EraseRootFromParent_Done,
     /*  272115 */   // Label 5149: @272115
     /*  272115 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(272178), // Rule ID 8303 //
     /*  272120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  272134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272159 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272176 */     GIR_RootConstrainSelectedInstOperands,
     /*  272177 */     // GIR_Coverage, 8303,
     /*  272177 */     GIR_EraseRootFromParent_Done,
     /*  272178 */   // Label 5150: @272178
     /*  272178 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272241), // Rule ID 8306 //
     /*  272183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  272197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272222 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272239 */     GIR_RootConstrainSelectedInstOperands,
     /*  272240 */     // GIR_Coverage, 8306,
     /*  272240 */     GIR_EraseRootFromParent_Done,
     /*  272241 */   // Label 5151: @272241
     /*  272241 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272304), // Rule ID 8307 //
     /*  272246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  272260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272302 */     GIR_RootConstrainSelectedInstOperands,
     /*  272303 */     // GIR_Coverage, 8307,
     /*  272303 */     GIR_EraseRootFromParent_Done,
     /*  272304 */   // Label 5152: @272304
     /*  272304 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272367), // Rule ID 8310 //
     /*  272309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  272323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272365 */     GIR_RootConstrainSelectedInstOperands,
     /*  272366 */     // GIR_Coverage, 8310,
     /*  272366 */     GIR_EraseRootFromParent_Done,
     /*  272367 */   // Label 5153: @272367
     /*  272367 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272430), // Rule ID 8311 //
     /*  272372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  272386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272411 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272428 */     GIR_RootConstrainSelectedInstOperands,
     /*  272429 */     // GIR_Coverage, 8311,
     /*  272429 */     GIR_EraseRootFromParent_Done,
     /*  272430 */   // Label 5154: @272430
     /*  272430 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272493), // Rule ID 8314 //
     /*  272435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272474 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272491 */     GIR_RootConstrainSelectedInstOperands,
     /*  272492 */     // GIR_Coverage, 8314,
     /*  272492 */     GIR_EraseRootFromParent_Done,
     /*  272493 */   // Label 5155: @272493
     /*  272493 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272556), // Rule ID 8315 //
     /*  272498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272537 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272554 */     GIR_RootConstrainSelectedInstOperands,
     /*  272555 */     // GIR_Coverage, 8315,
     /*  272555 */     GIR_EraseRootFromParent_Done,
     /*  272556 */   // Label 5156: @272556
     /*  272556 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(272619), // Rule ID 8318 //
     /*  272561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272617 */     GIR_RootConstrainSelectedInstOperands,
     /*  272618 */     // GIR_Coverage, 8318,
     /*  272618 */     GIR_EraseRootFromParent_Done,
     /*  272619 */   // Label 5157: @272619
     /*  272619 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(272682), // Rule ID 8319 //
     /*  272624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272663 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272680 */     GIR_RootConstrainSelectedInstOperands,
     /*  272681 */     // GIR_Coverage, 8319,
     /*  272681 */     GIR_EraseRootFromParent_Done,
     /*  272682 */   // Label 5158: @272682
     /*  272682 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(272745), // Rule ID 8322 //
     /*  272687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272726 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272743 */     GIR_RootConstrainSelectedInstOperands,
     /*  272744 */     // GIR_Coverage, 8322,
     /*  272744 */     GIR_EraseRootFromParent_Done,
     /*  272745 */   // Label 5159: @272745
     /*  272745 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(272808), // Rule ID 8323 //
     /*  272750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272789 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272806 */     GIR_RootConstrainSelectedInstOperands,
     /*  272807 */     // GIR_Coverage, 8323,
     /*  272807 */     GIR_EraseRootFromParent_Done,
     /*  272808 */   // Label 5160: @272808
     /*  272808 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(272871), // Rule ID 8326 //
     /*  272813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272869 */     GIR_RootConstrainSelectedInstOperands,
     /*  272870 */     // GIR_Coverage, 8326,
     /*  272870 */     GIR_EraseRootFromParent_Done,
     /*  272871 */   // Label 5161: @272871
     /*  272871 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(272934), // Rule ID 8327 //
     /*  272876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272915 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272932 */     GIR_RootConstrainSelectedInstOperands,
     /*  272933 */     // GIR_Coverage, 8327,
     /*  272933 */     GIR_EraseRootFromParent_Done,
     /*  272934 */   // Label 5162: @272934
     /*  272934 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(272997), // Rule ID 8330 //
     /*  272939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272978 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272995 */     GIR_RootConstrainSelectedInstOperands,
     /*  272996 */     // GIR_Coverage, 8330,
     /*  272996 */     GIR_EraseRootFromParent_Done,
     /*  272997 */   // Label 5163: @272997
     /*  272997 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(273060), // Rule ID 8331 //
     /*  273002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  273016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273041 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273058 */     GIR_RootConstrainSelectedInstOperands,
     /*  273059 */     // GIR_Coverage, 8331,
     /*  273059 */     GIR_EraseRootFromParent_Done,
     /*  273060 */   // Label 5164: @273060
     /*  273060 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(273123), // Rule ID 8334 //
     /*  273065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  273079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273121 */     GIR_RootConstrainSelectedInstOperands,
     /*  273122 */     // GIR_Coverage, 8334,
     /*  273122 */     GIR_EraseRootFromParent_Done,
     /*  273123 */   // Label 5165: @273123
     /*  273123 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(273186), // Rule ID 8335 //
     /*  273128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  273142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273167 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273184 */     GIR_RootConstrainSelectedInstOperands,
     /*  273185 */     // GIR_Coverage, 8335,
     /*  273185 */     GIR_EraseRootFromParent_Done,
     /*  273186 */   // Label 5166: @273186
     /*  273186 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273249), // Rule ID 8338 //
     /*  273191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  273205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273247 */     GIR_RootConstrainSelectedInstOperands,
     /*  273248 */     // GIR_Coverage, 8338,
     /*  273248 */     GIR_EraseRootFromParent_Done,
     /*  273249 */   // Label 5167: @273249
     /*  273249 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273312), // Rule ID 8339 //
     /*  273254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  273268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273310 */     GIR_RootConstrainSelectedInstOperands,
     /*  273311 */     // GIR_Coverage, 8339,
     /*  273311 */     GIR_EraseRootFromParent_Done,
     /*  273312 */   // Label 5168: @273312
     /*  273312 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273375), // Rule ID 8342 //
     /*  273317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  273331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273373 */     GIR_RootConstrainSelectedInstOperands,
     /*  273374 */     // GIR_Coverage, 8342,
     /*  273374 */     GIR_EraseRootFromParent_Done,
     /*  273375 */   // Label 5169: @273375
     /*  273375 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273438), // Rule ID 8343 //
     /*  273380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  273394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273419 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273436 */     GIR_RootConstrainSelectedInstOperands,
     /*  273437 */     // GIR_Coverage, 8343,
     /*  273437 */     GIR_EraseRootFromParent_Done,
     /*  273438 */   // Label 5170: @273438
     /*  273438 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273501), // Rule ID 8346 //
     /*  273443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273482 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273499 */     GIR_RootConstrainSelectedInstOperands,
     /*  273500 */     // GIR_Coverage, 8346,
     /*  273500 */     GIR_EraseRootFromParent_Done,
     /*  273501 */   // Label 5171: @273501
     /*  273501 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(273564), // Rule ID 8347 //
     /*  273506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273545 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273562 */     GIR_RootConstrainSelectedInstOperands,
     /*  273563 */     // GIR_Coverage, 8347,
     /*  273563 */     GIR_EraseRootFromParent_Done,
     /*  273564 */   // Label 5172: @273564
     /*  273564 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(273627), // Rule ID 8350 //
     /*  273569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273625 */     GIR_RootConstrainSelectedInstOperands,
     /*  273626 */     // GIR_Coverage, 8350,
     /*  273626 */     GIR_EraseRootFromParent_Done,
     /*  273627 */   // Label 5173: @273627
     /*  273627 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(273690), // Rule ID 8351 //
     /*  273632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273688 */     GIR_RootConstrainSelectedInstOperands,
     /*  273689 */     // GIR_Coverage, 8351,
     /*  273689 */     GIR_EraseRootFromParent_Done,
     /*  273690 */   // Label 5174: @273690
     /*  273690 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(273753), // Rule ID 8354 //
     /*  273695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273734 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273751 */     GIR_RootConstrainSelectedInstOperands,
     /*  273752 */     // GIR_Coverage, 8354,
     /*  273752 */     GIR_EraseRootFromParent_Done,
     /*  273753 */   // Label 5175: @273753
     /*  273753 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(273816), // Rule ID 8355 //
     /*  273758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273797 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273814 */     GIR_RootConstrainSelectedInstOperands,
     /*  273815 */     // GIR_Coverage, 8355,
     /*  273815 */     GIR_EraseRootFromParent_Done,
     /*  273816 */   // Label 5176: @273816
     /*  273816 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(273879), // Rule ID 8358 //
     /*  273821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273860 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273877 */     GIR_RootConstrainSelectedInstOperands,
     /*  273878 */     // GIR_Coverage, 8358,
     /*  273878 */     GIR_EraseRootFromParent_Done,
     /*  273879 */   // Label 5177: @273879
     /*  273879 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(273942), // Rule ID 8359 //
     /*  273884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273923 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273940 */     GIR_RootConstrainSelectedInstOperands,
     /*  273941 */     // GIR_Coverage, 8359,
     /*  273941 */     GIR_EraseRootFromParent_Done,
     /*  273942 */   // Label 5178: @273942
     /*  273942 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(274005), // Rule ID 8362 //
     /*  273947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274003 */     GIR_RootConstrainSelectedInstOperands,
     /*  274004 */     // GIR_Coverage, 8362,
     /*  274004 */     GIR_EraseRootFromParent_Done,
     /*  274005 */   // Label 5179: @274005
     /*  274005 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(274068), // Rule ID 8363 //
     /*  274010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  274024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274066 */     GIR_RootConstrainSelectedInstOperands,
     /*  274067 */     // GIR_Coverage, 8363,
     /*  274067 */     GIR_EraseRootFromParent_Done,
     /*  274068 */   // Label 5180: @274068
     /*  274068 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(274131), // Rule ID 8366 //
     /*  274073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  274087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274129 */     GIR_RootConstrainSelectedInstOperands,
     /*  274130 */     // GIR_Coverage, 8366,
     /*  274130 */     GIR_EraseRootFromParent_Done,
     /*  274131 */   // Label 5181: @274131
     /*  274131 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274194), // Rule ID 8367 //
     /*  274136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  274150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274175 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274192 */     GIR_RootConstrainSelectedInstOperands,
     /*  274193 */     // GIR_Coverage, 8367,
     /*  274193 */     GIR_EraseRootFromParent_Done,
     /*  274194 */   // Label 5182: @274194
     /*  274194 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274257), // Rule ID 8370 //
     /*  274199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  274213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274238 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274255 */     GIR_RootConstrainSelectedInstOperands,
     /*  274256 */     // GIR_Coverage, 8370,
     /*  274256 */     GIR_EraseRootFromParent_Done,
     /*  274257 */   // Label 5183: @274257
     /*  274257 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274320), // Rule ID 8371 //
     /*  274262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  274276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274301 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274318 */     GIR_RootConstrainSelectedInstOperands,
     /*  274319 */     // GIR_Coverage, 8371,
     /*  274319 */     GIR_EraseRootFromParent_Done,
     /*  274320 */   // Label 5184: @274320
     /*  274320 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274383), // Rule ID 8374 //
     /*  274325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  274339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274381 */     GIR_RootConstrainSelectedInstOperands,
     /*  274382 */     // GIR_Coverage, 8374,
     /*  274382 */     GIR_EraseRootFromParent_Done,
     /*  274383 */   // Label 5185: @274383
     /*  274383 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274446), // Rule ID 8375 //
     /*  274388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  274402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274427 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274444 */     GIR_RootConstrainSelectedInstOperands,
     /*  274445 */     // GIR_Coverage, 8375,
     /*  274445 */     GIR_EraseRootFromParent_Done,
     /*  274446 */   // Label 5186: @274446
     /*  274446 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274509), // Rule ID 8378 //
     /*  274451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274490 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274507 */     GIR_RootConstrainSelectedInstOperands,
     /*  274508 */     // GIR_Coverage, 8378,
     /*  274508 */     GIR_EraseRootFromParent_Done,
     /*  274509 */   // Label 5187: @274509
     /*  274509 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(274572), // Rule ID 8379 //
     /*  274514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274553 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274570 */     GIR_RootConstrainSelectedInstOperands,
     /*  274571 */     // GIR_Coverage, 8379,
     /*  274571 */     GIR_EraseRootFromParent_Done,
     /*  274572 */   // Label 5188: @274572
     /*  274572 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(274635), // Rule ID 8382 //
     /*  274577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274633 */     GIR_RootConstrainSelectedInstOperands,
     /*  274634 */     // GIR_Coverage, 8382,
     /*  274634 */     GIR_EraseRootFromParent_Done,
     /*  274635 */   // Label 5189: @274635
     /*  274635 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(274698), // Rule ID 8383 //
     /*  274640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274679 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274696 */     GIR_RootConstrainSelectedInstOperands,
     /*  274697 */     // GIR_Coverage, 8383,
     /*  274697 */     GIR_EraseRootFromParent_Done,
     /*  274698 */   // Label 5190: @274698
     /*  274698 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(274761), // Rule ID 8386 //
     /*  274703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274742 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274759 */     GIR_RootConstrainSelectedInstOperands,
     /*  274760 */     // GIR_Coverage, 8386,
     /*  274760 */     GIR_EraseRootFromParent_Done,
     /*  274761 */   // Label 5191: @274761
     /*  274761 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(274824), // Rule ID 8387 //
     /*  274766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274805 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274822 */     GIR_RootConstrainSelectedInstOperands,
     /*  274823 */     // GIR_Coverage, 8387,
     /*  274823 */     GIR_EraseRootFromParent_Done,
     /*  274824 */   // Label 5192: @274824
     /*  274824 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(274887), // Rule ID 8390 //
     /*  274829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274885 */     GIR_RootConstrainSelectedInstOperands,
     /*  274886 */     // GIR_Coverage, 8390,
     /*  274886 */     GIR_EraseRootFromParent_Done,
     /*  274887 */   // Label 5193: @274887
     /*  274887 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(274950), // Rule ID 8391 //
     /*  274892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274931 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274948 */     GIR_RootConstrainSelectedInstOperands,
     /*  274949 */     // GIR_Coverage, 8391,
     /*  274949 */     GIR_EraseRootFromParent_Done,
     /*  274950 */   // Label 5194: @274950
     /*  274950 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(275013), // Rule ID 8394 //
     /*  274955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274994 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275011 */     GIR_RootConstrainSelectedInstOperands,
     /*  275012 */     // GIR_Coverage, 8394,
     /*  275012 */     GIR_EraseRootFromParent_Done,
     /*  275013 */   // Label 5195: @275013
     /*  275013 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(275076), // Rule ID 8395 //
     /*  275018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  275032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  275035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275074 */     GIR_RootConstrainSelectedInstOperands,
     /*  275075 */     // GIR_Coverage, 8395,
     /*  275075 */     GIR_EraseRootFromParent_Done,
     /*  275076 */   // Label 5196: @275076
     /*  275076 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(275139), // Rule ID 8398 //
     /*  275081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  275095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  275098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275137 */     GIR_RootConstrainSelectedInstOperands,
     /*  275138 */     // GIR_Coverage, 8398,
     /*  275138 */     GIR_EraseRootFromParent_Done,
     /*  275139 */   // Label 5197: @275139
     /*  275139 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275202), // Rule ID 8399 //
     /*  275144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  275158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  275161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275183 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275200 */     GIR_RootConstrainSelectedInstOperands,
     /*  275201 */     // GIR_Coverage, 8399,
     /*  275201 */     GIR_EraseRootFromParent_Done,
     /*  275202 */   // Label 5198: @275202
     /*  275202 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275265), // Rule ID 8402 //
     /*  275207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  275221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  275224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275246 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275263 */     GIR_RootConstrainSelectedInstOperands,
     /*  275264 */     // GIR_Coverage, 8402,
     /*  275264 */     GIR_EraseRootFromParent_Done,
     /*  275265 */   // Label 5199: @275265
     /*  275265 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275328), // Rule ID 8403 //
     /*  275270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  275284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  275287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275309 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275326 */     GIR_RootConstrainSelectedInstOperands,
     /*  275327 */     // GIR_Coverage, 8403,
     /*  275327 */     GIR_EraseRootFromParent_Done,
     /*  275328 */   // Label 5200: @275328
     /*  275328 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275391), // Rule ID 8406 //
     /*  275333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  275347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  275350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275389 */     GIR_RootConstrainSelectedInstOperands,
     /*  275390 */     // GIR_Coverage, 8406,
     /*  275390 */     GIR_EraseRootFromParent_Done,
     /*  275391 */   // Label 5201: @275391
     /*  275391 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275454), // Rule ID 8407 //
     /*  275396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  275410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  275413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275435 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275452 */     GIR_RootConstrainSelectedInstOperands,
     /*  275453 */     // GIR_Coverage, 8407,
     /*  275453 */     GIR_EraseRootFromParent_Done,
     /*  275454 */   // Label 5202: @275454
     /*  275454 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275517), // Rule ID 8410 //
     /*  275459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275498 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275515 */     GIR_RootConstrainSelectedInstOperands,
     /*  275516 */     // GIR_Coverage, 8410,
     /*  275516 */     GIR_EraseRootFromParent_Done,
     /*  275517 */   // Label 5203: @275517
     /*  275517 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(275580), // Rule ID 8411 //
     /*  275522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275561 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275578 */     GIR_RootConstrainSelectedInstOperands,
     /*  275579 */     // GIR_Coverage, 8411,
     /*  275579 */     GIR_EraseRootFromParent_Done,
     /*  275580 */   // Label 5204: @275580
     /*  275580 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(275643), // Rule ID 8414 //
     /*  275585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275641 */     GIR_RootConstrainSelectedInstOperands,
     /*  275642 */     // GIR_Coverage, 8414,
     /*  275642 */     GIR_EraseRootFromParent_Done,
     /*  275643 */   // Label 5205: @275643
     /*  275643 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(275706), // Rule ID 8415 //
     /*  275648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275687 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275704 */     GIR_RootConstrainSelectedInstOperands,
     /*  275705 */     // GIR_Coverage, 8415,
     /*  275705 */     GIR_EraseRootFromParent_Done,
     /*  275706 */   // Label 5206: @275706
     /*  275706 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(275769), // Rule ID 8418 //
     /*  275711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275750 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275767 */     GIR_RootConstrainSelectedInstOperands,
     /*  275768 */     // GIR_Coverage, 8418,
     /*  275768 */     GIR_EraseRootFromParent_Done,
     /*  275769 */   // Label 5207: @275769
     /*  275769 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(275832), // Rule ID 8419 //
     /*  275774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275830 */     GIR_RootConstrainSelectedInstOperands,
     /*  275831 */     // GIR_Coverage, 8419,
     /*  275831 */     GIR_EraseRootFromParent_Done,
     /*  275832 */   // Label 5208: @275832
     /*  275832 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(275895), // Rule ID 8422 //
     /*  275837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275893 */     GIR_RootConstrainSelectedInstOperands,
     /*  275894 */     // GIR_Coverage, 8422,
     /*  275894 */     GIR_EraseRootFromParent_Done,
     /*  275895 */   // Label 5209: @275895
     /*  275895 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(275958), // Rule ID 8423 //
     /*  275900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275939 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275956 */     GIR_RootConstrainSelectedInstOperands,
     /*  275957 */     // GIR_Coverage, 8423,
     /*  275957 */     GIR_EraseRootFromParent_Done,
     /*  275958 */   // Label 5210: @275958
     /*  275958 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(276021), // Rule ID 8426 //
     /*  275963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276019 */     GIR_RootConstrainSelectedInstOperands,
     /*  276020 */     // GIR_Coverage, 8426,
     /*  276020 */     GIR_EraseRootFromParent_Done,
     /*  276021 */   // Label 5211: @276021
     /*  276021 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(276084), // Rule ID 8427 //
     /*  276026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  276040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  276043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276065 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276082 */     GIR_RootConstrainSelectedInstOperands,
     /*  276083 */     // GIR_Coverage, 8427,
     /*  276083 */     GIR_EraseRootFromParent_Done,
     /*  276084 */   // Label 5212: @276084
     /*  276084 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(276147), // Rule ID 8430 //
     /*  276089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  276103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  276106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276128 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276145 */     GIR_RootConstrainSelectedInstOperands,
     /*  276146 */     // GIR_Coverage, 8430,
     /*  276146 */     GIR_EraseRootFromParent_Done,
     /*  276147 */   // Label 5213: @276147
     /*  276147 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276210), // Rule ID 8431 //
     /*  276152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  276166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  276169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276191 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276208 */     GIR_RootConstrainSelectedInstOperands,
     /*  276209 */     // GIR_Coverage, 8431,
     /*  276209 */     GIR_EraseRootFromParent_Done,
     /*  276210 */   // Label 5214: @276210
     /*  276210 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276273), // Rule ID 8434 //
     /*  276215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  276226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  276229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  276232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276254 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276271 */     GIR_RootConstrainSelectedInstOperands,
     /*  276272 */     // GIR_Coverage, 8434,
     /*  276272 */     GIR_EraseRootFromParent_Done,
     /*  276273 */   // Label 5215: @276273
     /*  276273 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276336), // Rule ID 8435 //
     /*  276278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  276289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  276292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  276295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276317 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276334 */     GIR_RootConstrainSelectedInstOperands,
     /*  276335 */     // GIR_Coverage, 8435,
     /*  276335 */     GIR_EraseRootFromParent_Done,
     /*  276336 */   // Label 5216: @276336
     /*  276336 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276399), // Rule ID 8438 //
     /*  276341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  276355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  276358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276397 */     GIR_RootConstrainSelectedInstOperands,
     /*  276398 */     // GIR_Coverage, 8438,
     /*  276398 */     GIR_EraseRootFromParent_Done,
     /*  276399 */   // Label 5217: @276399
     /*  276399 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276462), // Rule ID 8439 //
     /*  276404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  276418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  276421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276443 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276460 */     GIR_RootConstrainSelectedInstOperands,
     /*  276461 */     // GIR_Coverage, 8439,
     /*  276461 */     GIR_EraseRootFromParent_Done,
     /*  276462 */   // Label 5218: @276462
     /*  276462 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276525), // Rule ID 8442 //
     /*  276467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276506 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276523 */     GIR_RootConstrainSelectedInstOperands,
     /*  276524 */     // GIR_Coverage, 8442,
     /*  276524 */     GIR_EraseRootFromParent_Done,
     /*  276525 */   // Label 5219: @276525
     /*  276525 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(276588), // Rule ID 8443 //
     /*  276530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276569 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276586 */     GIR_RootConstrainSelectedInstOperands,
     /*  276587 */     // GIR_Coverage, 8443,
     /*  276587 */     GIR_EraseRootFromParent_Done,
     /*  276588 */   // Label 5220: @276588
     /*  276588 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(276651), // Rule ID 8446 //
     /*  276593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276632 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276649 */     GIR_RootConstrainSelectedInstOperands,
     /*  276650 */     // GIR_Coverage, 8446,
     /*  276650 */     GIR_EraseRootFromParent_Done,
     /*  276651 */   // Label 5221: @276651
     /*  276651 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(276714), // Rule ID 8447 //
     /*  276656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276695 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276712 */     GIR_RootConstrainSelectedInstOperands,
     /*  276713 */     // GIR_Coverage, 8447,
     /*  276713 */     GIR_EraseRootFromParent_Done,
     /*  276714 */   // Label 5222: @276714
     /*  276714 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(276777), // Rule ID 8450 //
     /*  276719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276775 */     GIR_RootConstrainSelectedInstOperands,
     /*  276776 */     // GIR_Coverage, 8450,
     /*  276776 */     GIR_EraseRootFromParent_Done,
     /*  276777 */   // Label 5223: @276777
     /*  276777 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(276840), // Rule ID 8451 //
     /*  276782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276838 */     GIR_RootConstrainSelectedInstOperands,
     /*  276839 */     // GIR_Coverage, 8451,
     /*  276839 */     GIR_EraseRootFromParent_Done,
     /*  276840 */   // Label 5224: @276840
     /*  276840 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(276903), // Rule ID 8454 //
     /*  276845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276901 */     GIR_RootConstrainSelectedInstOperands,
     /*  276902 */     // GIR_Coverage, 8454,
     /*  276902 */     GIR_EraseRootFromParent_Done,
     /*  276903 */   // Label 5225: @276903
     /*  276903 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(276966), // Rule ID 8455 //
     /*  276908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276947 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276964 */     GIR_RootConstrainSelectedInstOperands,
     /*  276965 */     // GIR_Coverage, 8455,
     /*  276965 */     GIR_EraseRootFromParent_Done,
     /*  276966 */   // Label 5226: @276966
     /*  276966 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(277029), // Rule ID 8458 //
     /*  276971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277010 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277027 */     GIR_RootConstrainSelectedInstOperands,
     /*  277028 */     // GIR_Coverage, 8458,
     /*  277028 */     GIR_EraseRootFromParent_Done,
     /*  277029 */   // Label 5227: @277029
     /*  277029 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(277092), // Rule ID 8459 //
     /*  277034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  277048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  277051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277073 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277090 */     GIR_RootConstrainSelectedInstOperands,
     /*  277091 */     // GIR_Coverage, 8459,
     /*  277091 */     GIR_EraseRootFromParent_Done,
     /*  277092 */   // Label 5228: @277092
     /*  277092 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(277155), // Rule ID 8462 //
     /*  277097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  277111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  277114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277153 */     GIR_RootConstrainSelectedInstOperands,
     /*  277154 */     // GIR_Coverage, 8462,
     /*  277154 */     GIR_EraseRootFromParent_Done,
     /*  277155 */   // Label 5229: @277155
     /*  277155 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277218), // Rule ID 8463 //
     /*  277160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  277174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  277177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277199 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277216 */     GIR_RootConstrainSelectedInstOperands,
     /*  277217 */     // GIR_Coverage, 8463,
     /*  277217 */     GIR_EraseRootFromParent_Done,
     /*  277218 */   // Label 5230: @277218
     /*  277218 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277281), // Rule ID 8466 //
     /*  277223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  277237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  277240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277262 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277279 */     GIR_RootConstrainSelectedInstOperands,
     /*  277280 */     // GIR_Coverage, 8466,
     /*  277280 */     GIR_EraseRootFromParent_Done,
     /*  277281 */   // Label 5231: @277281
     /*  277281 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277344), // Rule ID 8467 //
     /*  277286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  277300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  277303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277342 */     GIR_RootConstrainSelectedInstOperands,
     /*  277343 */     // GIR_Coverage, 8467,
     /*  277343 */     GIR_EraseRootFromParent_Done,
     /*  277344 */   // Label 5232: @277344
     /*  277344 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277407), // Rule ID 8470 //
     /*  277349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  277363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  277366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277405 */     GIR_RootConstrainSelectedInstOperands,
     /*  277406 */     // GIR_Coverage, 8470,
     /*  277406 */     GIR_EraseRootFromParent_Done,
     /*  277407 */   // Label 5233: @277407
     /*  277407 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277470), // Rule ID 8471 //
     /*  277412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  277426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  277429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277451 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277468 */     GIR_RootConstrainSelectedInstOperands,
     /*  277469 */     // GIR_Coverage, 8471,
     /*  277469 */     GIR_EraseRootFromParent_Done,
     /*  277470 */   // Label 5234: @277470
     /*  277470 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277533), // Rule ID 8474 //
     /*  277475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277514 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277531 */     GIR_RootConstrainSelectedInstOperands,
     /*  277532 */     // GIR_Coverage, 8474,
     /*  277532 */     GIR_EraseRootFromParent_Done,
     /*  277533 */   // Label 5235: @277533
     /*  277533 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(277596), // Rule ID 8475 //
     /*  277538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277594 */     GIR_RootConstrainSelectedInstOperands,
     /*  277595 */     // GIR_Coverage, 8475,
     /*  277595 */     GIR_EraseRootFromParent_Done,
     /*  277596 */   // Label 5236: @277596
     /*  277596 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(277659), // Rule ID 8478 //
     /*  277601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277657 */     GIR_RootConstrainSelectedInstOperands,
     /*  277658 */     // GIR_Coverage, 8478,
     /*  277658 */     GIR_EraseRootFromParent_Done,
     /*  277659 */   // Label 5237: @277659
     /*  277659 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(277722), // Rule ID 8479 //
     /*  277664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277703 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277720 */     GIR_RootConstrainSelectedInstOperands,
     /*  277721 */     // GIR_Coverage, 8479,
     /*  277721 */     GIR_EraseRootFromParent_Done,
     /*  277722 */   // Label 5238: @277722
     /*  277722 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(277785), // Rule ID 8482 //
     /*  277727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277766 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277783 */     GIR_RootConstrainSelectedInstOperands,
     /*  277784 */     // GIR_Coverage, 8482,
     /*  277784 */     GIR_EraseRootFromParent_Done,
     /*  277785 */   // Label 5239: @277785
     /*  277785 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(277848), // Rule ID 8483 //
     /*  277790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277829 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277846 */     GIR_RootConstrainSelectedInstOperands,
     /*  277847 */     // GIR_Coverage, 8483,
     /*  277847 */     GIR_EraseRootFromParent_Done,
     /*  277848 */   // Label 5240: @277848
     /*  277848 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(277911), // Rule ID 8486 //
     /*  277853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277909 */     GIR_RootConstrainSelectedInstOperands,
     /*  277910 */     // GIR_Coverage, 8486,
     /*  277910 */     GIR_EraseRootFromParent_Done,
     /*  277911 */   // Label 5241: @277911
     /*  277911 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(277974), // Rule ID 8487 //
     /*  277916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277972 */     GIR_RootConstrainSelectedInstOperands,
     /*  277973 */     // GIR_Coverage, 8487,
     /*  277973 */     GIR_EraseRootFromParent_Done,
     /*  277974 */   // Label 5242: @277974
     /*  277974 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(278037), // Rule ID 8490 //
     /*  277979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278018 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278035 */     GIR_RootConstrainSelectedInstOperands,
     /*  278036 */     // GIR_Coverage, 8490,
     /*  278036 */     GIR_EraseRootFromParent_Done,
     /*  278037 */   // Label 5243: @278037
     /*  278037 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(278100), // Rule ID 8491 //
     /*  278042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  278056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278098 */     GIR_RootConstrainSelectedInstOperands,
     /*  278099 */     // GIR_Coverage, 8491,
     /*  278099 */     GIR_EraseRootFromParent_Done,
     /*  278100 */   // Label 5244: @278100
     /*  278100 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(278163), // Rule ID 8494 //
     /*  278105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  278119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278161 */     GIR_RootConstrainSelectedInstOperands,
     /*  278162 */     // GIR_Coverage, 8494,
     /*  278162 */     GIR_EraseRootFromParent_Done,
     /*  278163 */   // Label 5245: @278163
     /*  278163 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278226), // Rule ID 8495 //
     /*  278168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  278182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278207 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278224 */     GIR_RootConstrainSelectedInstOperands,
     /*  278225 */     // GIR_Coverage, 8495,
     /*  278225 */     GIR_EraseRootFromParent_Done,
     /*  278226 */   // Label 5246: @278226
     /*  278226 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278289), // Rule ID 8498 //
     /*  278231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  278245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278270 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278287 */     GIR_RootConstrainSelectedInstOperands,
     /*  278288 */     // GIR_Coverage, 8498,
     /*  278288 */     GIR_EraseRootFromParent_Done,
     /*  278289 */   // Label 5247: @278289
     /*  278289 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278352), // Rule ID 8499 //
     /*  278294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  278308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278350 */     GIR_RootConstrainSelectedInstOperands,
     /*  278351 */     // GIR_Coverage, 8499,
     /*  278351 */     GIR_EraseRootFromParent_Done,
     /*  278352 */   // Label 5248: @278352
     /*  278352 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278415), // Rule ID 8502 //
     /*  278357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  278371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278413 */     GIR_RootConstrainSelectedInstOperands,
     /*  278414 */     // GIR_Coverage, 8502,
     /*  278414 */     GIR_EraseRootFromParent_Done,
     /*  278415 */   // Label 5249: @278415
     /*  278415 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278478), // Rule ID 8503 //
     /*  278420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  278434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278459 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278476 */     GIR_RootConstrainSelectedInstOperands,
     /*  278477 */     // GIR_Coverage, 8503,
     /*  278477 */     GIR_EraseRootFromParent_Done,
     /*  278478 */   // Label 5250: @278478
     /*  278478 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278541), // Rule ID 8506 //
     /*  278483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278522 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278539 */     GIR_RootConstrainSelectedInstOperands,
     /*  278540 */     // GIR_Coverage, 8506,
     /*  278540 */     GIR_EraseRootFromParent_Done,
     /*  278541 */   // Label 5251: @278541
     /*  278541 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(278604), // Rule ID 8507 //
     /*  278546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278585 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278602 */     GIR_RootConstrainSelectedInstOperands,
     /*  278603 */     // GIR_Coverage, 8507,
     /*  278603 */     GIR_EraseRootFromParent_Done,
     /*  278604 */   // Label 5252: @278604
     /*  278604 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(278667), // Rule ID 8510 //
     /*  278609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278665 */     GIR_RootConstrainSelectedInstOperands,
     /*  278666 */     // GIR_Coverage, 8510,
     /*  278666 */     GIR_EraseRootFromParent_Done,
     /*  278667 */   // Label 5253: @278667
     /*  278667 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(278730), // Rule ID 8511 //
     /*  278672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278711 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278728 */     GIR_RootConstrainSelectedInstOperands,
     /*  278729 */     // GIR_Coverage, 8511,
     /*  278729 */     GIR_EraseRootFromParent_Done,
     /*  278730 */   // Label 5254: @278730
     /*  278730 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(278793), // Rule ID 8514 //
     /*  278735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278791 */     GIR_RootConstrainSelectedInstOperands,
     /*  278792 */     // GIR_Coverage, 8514,
     /*  278792 */     GIR_EraseRootFromParent_Done,
     /*  278793 */   // Label 5255: @278793
     /*  278793 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(278856), // Rule ID 8515 //
     /*  278798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278837 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278854 */     GIR_RootConstrainSelectedInstOperands,
     /*  278855 */     // GIR_Coverage, 8515,
     /*  278855 */     GIR_EraseRootFromParent_Done,
     /*  278856 */   // Label 5256: @278856
     /*  278856 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(278919), // Rule ID 8518 //
     /*  278861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278917 */     GIR_RootConstrainSelectedInstOperands,
     /*  278918 */     // GIR_Coverage, 8518,
     /*  278918 */     GIR_EraseRootFromParent_Done,
     /*  278919 */   // Label 5257: @278919
     /*  278919 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(278982), // Rule ID 8519 //
     /*  278924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278963 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278980 */     GIR_RootConstrainSelectedInstOperands,
     /*  278981 */     // GIR_Coverage, 8519,
     /*  278981 */     GIR_EraseRootFromParent_Done,
     /*  278982 */   // Label 5258: @278982
     /*  278982 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(279045), // Rule ID 8522 //
     /*  278987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  279001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279026 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279043 */     GIR_RootConstrainSelectedInstOperands,
     /*  279044 */     // GIR_Coverage, 8522,
     /*  279044 */     GIR_EraseRootFromParent_Done,
     /*  279045 */   // Label 5259: @279045
     /*  279045 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(279108), // Rule ID 8523 //
     /*  279050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  279061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  279064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279089 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279106 */     GIR_RootConstrainSelectedInstOperands,
     /*  279107 */     // GIR_Coverage, 8523,
     /*  279107 */     GIR_EraseRootFromParent_Done,
     /*  279108 */   // Label 5260: @279108
     /*  279108 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(279171), // Rule ID 8526 //
     /*  279113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  279127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279169 */     GIR_RootConstrainSelectedInstOperands,
     /*  279170 */     // GIR_Coverage, 8526,
     /*  279170 */     GIR_EraseRootFromParent_Done,
     /*  279171 */   // Label 5261: @279171
     /*  279171 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279234), // Rule ID 8527 //
     /*  279176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  279190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279232 */     GIR_RootConstrainSelectedInstOperands,
     /*  279233 */     // GIR_Coverage, 8527,
     /*  279233 */     GIR_EraseRootFromParent_Done,
     /*  279234 */   // Label 5262: @279234
     /*  279234 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279297), // Rule ID 8530 //
     /*  279239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  279253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279278 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279295 */     GIR_RootConstrainSelectedInstOperands,
     /*  279296 */     // GIR_Coverage, 8530,
     /*  279296 */     GIR_EraseRootFromParent_Done,
     /*  279297 */   // Label 5263: @279297
     /*  279297 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279360), // Rule ID 8531 //
     /*  279302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  279316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279358 */     GIR_RootConstrainSelectedInstOperands,
     /*  279359 */     // GIR_Coverage, 8531,
     /*  279359 */     GIR_EraseRootFromParent_Done,
     /*  279360 */   // Label 5264: @279360
     /*  279360 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279423), // Rule ID 8534 //
     /*  279365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  279379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279404 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279421 */     GIR_RootConstrainSelectedInstOperands,
     /*  279422 */     // GIR_Coverage, 8534,
     /*  279422 */     GIR_EraseRootFromParent_Done,
     /*  279423 */   // Label 5265: @279423
     /*  279423 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279486), // Rule ID 8535 //
     /*  279428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  279442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279467 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279484 */     GIR_RootConstrainSelectedInstOperands,
     /*  279485 */     // GIR_Coverage, 8535,
     /*  279485 */     GIR_EraseRootFromParent_Done,
     /*  279486 */   // Label 5266: @279486
     /*  279486 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279549), // Rule ID 8538 //
     /*  279491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279547 */     GIR_RootConstrainSelectedInstOperands,
     /*  279548 */     // GIR_Coverage, 8538,
     /*  279548 */     GIR_EraseRootFromParent_Done,
     /*  279549 */   // Label 5267: @279549
     /*  279549 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(279612), // Rule ID 8539 //
     /*  279554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279593 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279610 */     GIR_RootConstrainSelectedInstOperands,
     /*  279611 */     // GIR_Coverage, 8539,
     /*  279611 */     GIR_EraseRootFromParent_Done,
     /*  279612 */   // Label 5268: @279612
     /*  279612 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(279675), // Rule ID 8542 //
     /*  279617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279673 */     GIR_RootConstrainSelectedInstOperands,
     /*  279674 */     // GIR_Coverage, 8542,
     /*  279674 */     GIR_EraseRootFromParent_Done,
     /*  279675 */   // Label 5269: @279675
     /*  279675 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(279738), // Rule ID 8543 //
     /*  279680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279719 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279736 */     GIR_RootConstrainSelectedInstOperands,
     /*  279737 */     // GIR_Coverage, 8543,
     /*  279737 */     GIR_EraseRootFromParent_Done,
     /*  279738 */   // Label 5270: @279738
     /*  279738 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(279801), // Rule ID 8546 //
     /*  279743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279782 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279799 */     GIR_RootConstrainSelectedInstOperands,
     /*  279800 */     // GIR_Coverage, 8546,
     /*  279800 */     GIR_EraseRootFromParent_Done,
     /*  279801 */   // Label 5271: @279801
     /*  279801 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(279864), // Rule ID 8547 //
     /*  279806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279845 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279862 */     GIR_RootConstrainSelectedInstOperands,
     /*  279863 */     // GIR_Coverage, 8547,
     /*  279863 */     GIR_EraseRootFromParent_Done,
     /*  279864 */   // Label 5272: @279864
     /*  279864 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(279927), // Rule ID 8550 //
     /*  279869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279925 */     GIR_RootConstrainSelectedInstOperands,
     /*  279926 */     // GIR_Coverage, 8550,
     /*  279926 */     GIR_EraseRootFromParent_Done,
     /*  279927 */   // Label 5273: @279927
     /*  279927 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(279990), // Rule ID 8551 //
     /*  279932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279971 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279988 */     GIR_RootConstrainSelectedInstOperands,
     /*  279989 */     // GIR_Coverage, 8551,
     /*  279989 */     GIR_EraseRootFromParent_Done,
     /*  279990 */   // Label 5274: @279990
     /*  279990 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(280053), // Rule ID 8554 //
     /*  279995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  280009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280034 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280051 */     GIR_RootConstrainSelectedInstOperands,
     /*  280052 */     // GIR_Coverage, 8554,
     /*  280052 */     GIR_EraseRootFromParent_Done,
     /*  280053 */   // Label 5275: @280053
     /*  280053 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(280116), // Rule ID 8555 //
     /*  280058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  280072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280114 */     GIR_RootConstrainSelectedInstOperands,
     /*  280115 */     // GIR_Coverage, 8555,
     /*  280115 */     GIR_EraseRootFromParent_Done,
     /*  280116 */   // Label 5276: @280116
     /*  280116 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(280179), // Rule ID 8558 //
     /*  280121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  280135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280177 */     GIR_RootConstrainSelectedInstOperands,
     /*  280178 */     // GIR_Coverage, 8558,
     /*  280178 */     GIR_EraseRootFromParent_Done,
     /*  280179 */   // Label 5277: @280179
     /*  280179 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280242), // Rule ID 8559 //
     /*  280184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  280198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280223 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280240 */     GIR_RootConstrainSelectedInstOperands,
     /*  280241 */     // GIR_Coverage, 8559,
     /*  280241 */     GIR_EraseRootFromParent_Done,
     /*  280242 */   // Label 5278: @280242
     /*  280242 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280305), // Rule ID 8562 //
     /*  280247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  280261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  280264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280286 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  280289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280303 */     GIR_RootConstrainSelectedInstOperands,
     /*  280304 */     // GIR_Coverage, 8562,
     /*  280304 */     GIR_EraseRootFromParent_Done,
     /*  280305 */   // Label 5279: @280305
     /*  280305 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280368), // Rule ID 8563 //
     /*  280310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  280324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  280327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  280352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280366 */     GIR_RootConstrainSelectedInstOperands,
     /*  280367 */     // GIR_Coverage, 8563,
     /*  280367 */     GIR_EraseRootFromParent_Done,
     /*  280368 */   // Label 5280: @280368
     /*  280368 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280431), // Rule ID 8566 //
     /*  280373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  280387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  280390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280429 */     GIR_RootConstrainSelectedInstOperands,
     /*  280430 */     // GIR_Coverage, 8566,
     /*  280430 */     GIR_EraseRootFromParent_Done,
     /*  280431 */   // Label 5281: @280431
     /*  280431 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280494), // Rule ID 8567 //
     /*  280436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  280450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  280453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280475 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280492 */     GIR_RootConstrainSelectedInstOperands,
     /*  280493 */     // GIR_Coverage, 8567,
     /*  280493 */     GIR_EraseRootFromParent_Done,
     /*  280494 */   // Label 5282: @280494
     /*  280494 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280557), // Rule ID 8570 //
     /*  280499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280538 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280555 */     GIR_RootConstrainSelectedInstOperands,
     /*  280556 */     // GIR_Coverage, 8570,
     /*  280556 */     GIR_EraseRootFromParent_Done,
     /*  280557 */   // Label 5283: @280557
     /*  280557 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(280620), // Rule ID 8571 //
     /*  280562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280618 */     GIR_RootConstrainSelectedInstOperands,
     /*  280619 */     // GIR_Coverage, 8571,
     /*  280619 */     GIR_EraseRootFromParent_Done,
     /*  280620 */   // Label 5284: @280620
     /*  280620 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(280683), // Rule ID 8574 //
     /*  280625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280681 */     GIR_RootConstrainSelectedInstOperands,
     /*  280682 */     // GIR_Coverage, 8574,
     /*  280682 */     GIR_EraseRootFromParent_Done,
     /*  280683 */   // Label 5285: @280683
     /*  280683 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(280746), // Rule ID 8575 //
     /*  280688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280744 */     GIR_RootConstrainSelectedInstOperands,
     /*  280745 */     // GIR_Coverage, 8575,
     /*  280745 */     GIR_EraseRootFromParent_Done,
     /*  280746 */   // Label 5286: @280746
     /*  280746 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(280809), // Rule ID 8578 //
     /*  280751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280790 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280807 */     GIR_RootConstrainSelectedInstOperands,
     /*  280808 */     // GIR_Coverage, 8578,
     /*  280808 */     GIR_EraseRootFromParent_Done,
     /*  280809 */   // Label 5287: @280809
     /*  280809 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(280872), // Rule ID 8579 //
     /*  280814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280870 */     GIR_RootConstrainSelectedInstOperands,
     /*  280871 */     // GIR_Coverage, 8579,
     /*  280871 */     GIR_EraseRootFromParent_Done,
     /*  280872 */   // Label 5288: @280872
     /*  280872 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(280935), // Rule ID 8582 //
     /*  280877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280933 */     GIR_RootConstrainSelectedInstOperands,
     /*  280934 */     // GIR_Coverage, 8582,
     /*  280934 */     GIR_EraseRootFromParent_Done,
     /*  280935 */   // Label 5289: @280935
     /*  280935 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(280998), // Rule ID 8583 //
     /*  280940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280979 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280996 */     GIR_RootConstrainSelectedInstOperands,
     /*  280997 */     // GIR_Coverage, 8583,
     /*  280997 */     GIR_EraseRootFromParent_Done,
     /*  280998 */   // Label 5290: @280998
     /*  280998 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(281061), // Rule ID 8586 //
     /*  281003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  281017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  281020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281042 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281059 */     GIR_RootConstrainSelectedInstOperands,
     /*  281060 */     // GIR_Coverage, 8586,
     /*  281060 */     GIR_EraseRootFromParent_Done,
     /*  281061 */   // Label 5291: @281061
     /*  281061 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(281124), // Rule ID 8587 //
     /*  281066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  281080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  281083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281122 */     GIR_RootConstrainSelectedInstOperands,
     /*  281123 */     // GIR_Coverage, 8587,
     /*  281123 */     GIR_EraseRootFromParent_Done,
     /*  281124 */   // Label 5292: @281124
     /*  281124 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281187), // Rule ID 8590 //
     /*  281129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  281143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  281146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281185 */     GIR_RootConstrainSelectedInstOperands,
     /*  281186 */     // GIR_Coverage, 8590,
     /*  281186 */     GIR_EraseRootFromParent_Done,
     /*  281187 */   // Label 5293: @281187
     /*  281187 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281250), // Rule ID 8591 //
     /*  281192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  281206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  281209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281231 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281248 */     GIR_RootConstrainSelectedInstOperands,
     /*  281249 */     // GIR_Coverage, 8591,
     /*  281249 */     GIR_EraseRootFromParent_Done,
     /*  281250 */   // Label 5294: @281250
     /*  281250 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281313), // Rule ID 8594 //
     /*  281255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  281269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  281272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281294 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281311 */     GIR_RootConstrainSelectedInstOperands,
     /*  281312 */     // GIR_Coverage, 8594,
     /*  281312 */     GIR_EraseRootFromParent_Done,
     /*  281313 */   // Label 5295: @281313
     /*  281313 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281376), // Rule ID 8595 //
     /*  281318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  281332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  281335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281357 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281374 */     GIR_RootConstrainSelectedInstOperands,
     /*  281375 */     // GIR_Coverage, 8595,
     /*  281375 */     GIR_EraseRootFromParent_Done,
     /*  281376 */   // Label 5296: @281376
     /*  281376 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281439), // Rule ID 8598 //
     /*  281381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  281395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  281398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281437 */     GIR_RootConstrainSelectedInstOperands,
     /*  281438 */     // GIR_Coverage, 8598,
     /*  281438 */     GIR_EraseRootFromParent_Done,
     /*  281439 */   // Label 5297: @281439
     /*  281439 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281502), // Rule ID 8599 //
     /*  281444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  281458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  281461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281483 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281500 */     GIR_RootConstrainSelectedInstOperands,
     /*  281501 */     // GIR_Coverage, 8599,
     /*  281501 */     GIR_EraseRootFromParent_Done,
     /*  281502 */   // Label 5298: @281502
     /*  281502 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(281565), // Rule ID 8602 //
     /*  281507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281563 */     GIR_RootConstrainSelectedInstOperands,
     /*  281564 */     // GIR_Coverage, 8602,
     /*  281564 */     GIR_EraseRootFromParent_Done,
     /*  281565 */   // Label 5299: @281565
     /*  281565 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(281628), // Rule ID 8603 //
     /*  281570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281609 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281626 */     GIR_RootConstrainSelectedInstOperands,
     /*  281627 */     // GIR_Coverage, 8603,
     /*  281627 */     GIR_EraseRootFromParent_Done,
     /*  281628 */   // Label 5300: @281628
     /*  281628 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(281691), // Rule ID 8606 //
     /*  281633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281672 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281689 */     GIR_RootConstrainSelectedInstOperands,
     /*  281690 */     // GIR_Coverage, 8606,
     /*  281690 */     GIR_EraseRootFromParent_Done,
     /*  281691 */   // Label 5301: @281691
     /*  281691 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(281754), // Rule ID 8607 //
     /*  281696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281735 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281752 */     GIR_RootConstrainSelectedInstOperands,
     /*  281753 */     // GIR_Coverage, 8607,
     /*  281753 */     GIR_EraseRootFromParent_Done,
     /*  281754 */   // Label 5302: @281754
     /*  281754 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(281817), // Rule ID 8610 //
     /*  281759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281798 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281815 */     GIR_RootConstrainSelectedInstOperands,
     /*  281816 */     // GIR_Coverage, 8610,
     /*  281816 */     GIR_EraseRootFromParent_Done,
     /*  281817 */   // Label 5303: @281817
     /*  281817 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(281880), // Rule ID 8611 //
     /*  281822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281861 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281878 */     GIR_RootConstrainSelectedInstOperands,
     /*  281879 */     // GIR_Coverage, 8611,
     /*  281879 */     GIR_EraseRootFromParent_Done,
     /*  281880 */   // Label 5304: @281880
     /*  281880 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(281943), // Rule ID 8614 //
     /*  281885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281941 */     GIR_RootConstrainSelectedInstOperands,
     /*  281942 */     // GIR_Coverage, 8614,
     /*  281942 */     GIR_EraseRootFromParent_Done,
     /*  281943 */   // Label 5305: @281943
     /*  281943 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(282006), // Rule ID 8615 //
     /*  281948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282004 */     GIR_RootConstrainSelectedInstOperands,
     /*  282005 */     // GIR_Coverage, 8615,
     /*  282005 */     GIR_EraseRootFromParent_Done,
     /*  282006 */   // Label 5306: @282006
     /*  282006 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(282069), // Rule ID 8618 //
     /*  282011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  282025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  282028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282050 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282067 */     GIR_RootConstrainSelectedInstOperands,
     /*  282068 */     // GIR_Coverage, 8618,
     /*  282068 */     GIR_EraseRootFromParent_Done,
     /*  282069 */   // Label 5307: @282069
     /*  282069 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(282132), // Rule ID 8619 //
     /*  282074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  282088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  282091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282130 */     GIR_RootConstrainSelectedInstOperands,
     /*  282131 */     // GIR_Coverage, 8619,
     /*  282131 */     GIR_EraseRootFromParent_Done,
     /*  282132 */   // Label 5308: @282132
     /*  282132 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282195), // Rule ID 8622 //
     /*  282137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  282151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  282154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282176 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282193 */     GIR_RootConstrainSelectedInstOperands,
     /*  282194 */     // GIR_Coverage, 8622,
     /*  282194 */     GIR_EraseRootFromParent_Done,
     /*  282195 */   // Label 5309: @282195
     /*  282195 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282258), // Rule ID 8623 //
     /*  282200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  282214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  282217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282239 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282256 */     GIR_RootConstrainSelectedInstOperands,
     /*  282257 */     // GIR_Coverage, 8623,
     /*  282257 */     GIR_EraseRootFromParent_Done,
     /*  282258 */   // Label 5310: @282258
     /*  282258 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282321), // Rule ID 8626 //
     /*  282263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  282277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  282280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282319 */     GIR_RootConstrainSelectedInstOperands,
     /*  282320 */     // GIR_Coverage, 8626,
     /*  282320 */     GIR_EraseRootFromParent_Done,
     /*  282321 */   // Label 5311: @282321
     /*  282321 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282384), // Rule ID 8627 //
     /*  282326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  282340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  282343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282382 */     GIR_RootConstrainSelectedInstOperands,
     /*  282383 */     // GIR_Coverage, 8627,
     /*  282383 */     GIR_EraseRootFromParent_Done,
     /*  282384 */   // Label 5312: @282384
     /*  282384 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282447), // Rule ID 8630 //
     /*  282389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  282403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  282406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282445 */     GIR_RootConstrainSelectedInstOperands,
     /*  282446 */     // GIR_Coverage, 8630,
     /*  282446 */     GIR_EraseRootFromParent_Done,
     /*  282447 */   // Label 5313: @282447
     /*  282447 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282510), // Rule ID 8631 //
     /*  282452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  282466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  282469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282491 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282508 */     GIR_RootConstrainSelectedInstOperands,
     /*  282509 */     // GIR_Coverage, 8631,
     /*  282509 */     GIR_EraseRootFromParent_Done,
     /*  282510 */   // Label 5314: @282510
     /*  282510 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(282573), // Rule ID 8634 //
     /*  282515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282554 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282571 */     GIR_RootConstrainSelectedInstOperands,
     /*  282572 */     // GIR_Coverage, 8634,
     /*  282572 */     GIR_EraseRootFromParent_Done,
     /*  282573 */   // Label 5315: @282573
     /*  282573 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(282636), // Rule ID 8635 //
     /*  282578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282617 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282634 */     GIR_RootConstrainSelectedInstOperands,
     /*  282635 */     // GIR_Coverage, 8635,
     /*  282635 */     GIR_EraseRootFromParent_Done,
     /*  282636 */   // Label 5316: @282636
     /*  282636 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(282699), // Rule ID 8638 //
     /*  282641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282697 */     GIR_RootConstrainSelectedInstOperands,
     /*  282698 */     // GIR_Coverage, 8638,
     /*  282698 */     GIR_EraseRootFromParent_Done,
     /*  282699 */   // Label 5317: @282699
     /*  282699 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(282762), // Rule ID 8639 //
     /*  282704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282743 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282760 */     GIR_RootConstrainSelectedInstOperands,
     /*  282761 */     // GIR_Coverage, 8639,
     /*  282761 */     GIR_EraseRootFromParent_Done,
     /*  282762 */   // Label 5318: @282762
     /*  282762 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(282825), // Rule ID 8642 //
     /*  282767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282806 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282823 */     GIR_RootConstrainSelectedInstOperands,
     /*  282824 */     // GIR_Coverage, 8642,
     /*  282824 */     GIR_EraseRootFromParent_Done,
     /*  282825 */   // Label 5319: @282825
     /*  282825 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(282888), // Rule ID 8643 //
     /*  282830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282886 */     GIR_RootConstrainSelectedInstOperands,
     /*  282887 */     // GIR_Coverage, 8643,
     /*  282887 */     GIR_EraseRootFromParent_Done,
     /*  282888 */   // Label 5320: @282888
     /*  282888 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(282951), // Rule ID 8646 //
     /*  282893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282949 */     GIR_RootConstrainSelectedInstOperands,
     /*  282950 */     // GIR_Coverage, 8646,
     /*  282950 */     GIR_EraseRootFromParent_Done,
     /*  282951 */   // Label 5321: @282951
     /*  282951 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(283014), // Rule ID 8647 //
     /*  282956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282995 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283012 */     GIR_RootConstrainSelectedInstOperands,
     /*  283013 */     // GIR_Coverage, 8647,
     /*  283013 */     GIR_EraseRootFromParent_Done,
     /*  283014 */   // Label 5322: @283014
     /*  283014 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(283077), // Rule ID 8650 //
     /*  283019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  283033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283058 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  283061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283075 */     GIR_RootConstrainSelectedInstOperands,
     /*  283076 */     // GIR_Coverage, 8650,
     /*  283076 */     GIR_EraseRootFromParent_Done,
     /*  283077 */   // Label 5323: @283077
     /*  283077 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(283140), // Rule ID 8651 //
     /*  283082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  283096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  283124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283138 */     GIR_RootConstrainSelectedInstOperands,
     /*  283139 */     // GIR_Coverage, 8651,
     /*  283139 */     GIR_EraseRootFromParent_Done,
     /*  283140 */   // Label 5324: @283140
     /*  283140 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283203), // Rule ID 8654 //
     /*  283145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  283159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283201 */     GIR_RootConstrainSelectedInstOperands,
     /*  283202 */     // GIR_Coverage, 8654,
     /*  283202 */     GIR_EraseRootFromParent_Done,
     /*  283203 */   // Label 5325: @283203
     /*  283203 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283266), // Rule ID 8655 //
     /*  283208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  283222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283247 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283264 */     GIR_RootConstrainSelectedInstOperands,
     /*  283265 */     // GIR_Coverage, 8655,
     /*  283265 */     GIR_EraseRootFromParent_Done,
     /*  283266 */   // Label 5326: @283266
     /*  283266 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283329), // Rule ID 8658 //
     /*  283271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  283285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283310 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283327 */     GIR_RootConstrainSelectedInstOperands,
     /*  283328 */     // GIR_Coverage, 8658,
     /*  283328 */     GIR_EraseRootFromParent_Done,
     /*  283329 */   // Label 5327: @283329
     /*  283329 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283392), // Rule ID 8659 //
     /*  283334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  283348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283390 */     GIR_RootConstrainSelectedInstOperands,
     /*  283391 */     // GIR_Coverage, 8659,
     /*  283391 */     GIR_EraseRootFromParent_Done,
     /*  283392 */   // Label 5328: @283392
     /*  283392 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283455), // Rule ID 8662 //
     /*  283397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  283411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283453 */     GIR_RootConstrainSelectedInstOperands,
     /*  283454 */     // GIR_Coverage, 8662,
     /*  283454 */     GIR_EraseRootFromParent_Done,
     /*  283455 */   // Label 5329: @283455
     /*  283455 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283518), // Rule ID 8663 //
     /*  283460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  283474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283516 */     GIR_RootConstrainSelectedInstOperands,
     /*  283517 */     // GIR_Coverage, 8663,
     /*  283517 */     GIR_EraseRootFromParent_Done,
     /*  283518 */   // Label 5330: @283518
     /*  283518 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(283581), // Rule ID 8666 //
     /*  283523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283562 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283579 */     GIR_RootConstrainSelectedInstOperands,
     /*  283580 */     // GIR_Coverage, 8666,
     /*  283580 */     GIR_EraseRootFromParent_Done,
     /*  283581 */   // Label 5331: @283581
     /*  283581 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(283644), // Rule ID 8667 //
     /*  283586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283642 */     GIR_RootConstrainSelectedInstOperands,
     /*  283643 */     // GIR_Coverage, 8667,
     /*  283643 */     GIR_EraseRootFromParent_Done,
     /*  283644 */   // Label 5332: @283644
     /*  283644 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(283707), // Rule ID 8670 //
     /*  283649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283688 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283705 */     GIR_RootConstrainSelectedInstOperands,
     /*  283706 */     // GIR_Coverage, 8670,
     /*  283706 */     GIR_EraseRootFromParent_Done,
     /*  283707 */   // Label 5333: @283707
     /*  283707 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(283770), // Rule ID 8671 //
     /*  283712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283751 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283768 */     GIR_RootConstrainSelectedInstOperands,
     /*  283769 */     // GIR_Coverage, 8671,
     /*  283769 */     GIR_EraseRootFromParent_Done,
     /*  283770 */   // Label 5334: @283770
     /*  283770 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(283833), // Rule ID 8674 //
     /*  283775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283831 */     GIR_RootConstrainSelectedInstOperands,
     /*  283832 */     // GIR_Coverage, 8674,
     /*  283832 */     GIR_EraseRootFromParent_Done,
     /*  283833 */   // Label 5335: @283833
     /*  283833 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(283896), // Rule ID 8675 //
     /*  283838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283877 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283894 */     GIR_RootConstrainSelectedInstOperands,
     /*  283895 */     // GIR_Coverage, 8675,
     /*  283895 */     GIR_EraseRootFromParent_Done,
     /*  283896 */   // Label 5336: @283896
     /*  283896 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(283959), // Rule ID 8678 //
     /*  283901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283957 */     GIR_RootConstrainSelectedInstOperands,
     /*  283958 */     // GIR_Coverage, 8678,
     /*  283958 */     GIR_EraseRootFromParent_Done,
     /*  283959 */   // Label 5337: @283959
     /*  283959 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(284022), // Rule ID 8679 //
     /*  283964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284020 */     GIR_RootConstrainSelectedInstOperands,
     /*  284021 */     // GIR_Coverage, 8679,
     /*  284021 */     GIR_EraseRootFromParent_Done,
     /*  284022 */   // Label 5338: @284022
     /*  284022 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(284085), // Rule ID 8682 //
     /*  284027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  284041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284066 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284083 */     GIR_RootConstrainSelectedInstOperands,
     /*  284084 */     // GIR_Coverage, 8682,
     /*  284084 */     GIR_EraseRootFromParent_Done,
     /*  284085 */   // Label 5339: @284085
     /*  284085 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(284148), // Rule ID 8683 //
     /*  284090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  284104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284129 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284146 */     GIR_RootConstrainSelectedInstOperands,
     /*  284147 */     // GIR_Coverage, 8683,
     /*  284147 */     GIR_EraseRootFromParent_Done,
     /*  284148 */   // Label 5340: @284148
     /*  284148 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284211), // Rule ID 8686 //
     /*  284153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  284167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284209 */     GIR_RootConstrainSelectedInstOperands,
     /*  284210 */     // GIR_Coverage, 8686,
     /*  284210 */     GIR_EraseRootFromParent_Done,
     /*  284211 */   // Label 5341: @284211
     /*  284211 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284274), // Rule ID 8687 //
     /*  284216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  284230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284255 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284272 */     GIR_RootConstrainSelectedInstOperands,
     /*  284273 */     // GIR_Coverage, 8687,
     /*  284273 */     GIR_EraseRootFromParent_Done,
     /*  284274 */   // Label 5342: @284274
     /*  284274 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284337), // Rule ID 8690 //
     /*  284279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  284293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284318 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284335 */     GIR_RootConstrainSelectedInstOperands,
     /*  284336 */     // GIR_Coverage, 8690,
     /*  284336 */     GIR_EraseRootFromParent_Done,
     /*  284337 */   // Label 5343: @284337
     /*  284337 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284400), // Rule ID 8691 //
     /*  284342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  284356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284381 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284398 */     GIR_RootConstrainSelectedInstOperands,
     /*  284399 */     // GIR_Coverage, 8691,
     /*  284399 */     GIR_EraseRootFromParent_Done,
     /*  284400 */   // Label 5344: @284400
     /*  284400 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284463), // Rule ID 8694 //
     /*  284405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  284419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284444 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284461 */     GIR_RootConstrainSelectedInstOperands,
     /*  284462 */     // GIR_Coverage, 8694,
     /*  284462 */     GIR_EraseRootFromParent_Done,
     /*  284463 */   // Label 5345: @284463
     /*  284463 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284526), // Rule ID 8695 //
     /*  284468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  284482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284507 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284524 */     GIR_RootConstrainSelectedInstOperands,
     /*  284525 */     // GIR_Coverage, 8695,
     /*  284525 */     GIR_EraseRootFromParent_Done,
     /*  284526 */   // Label 5346: @284526
     /*  284526 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(284589), // Rule ID 8698 //
     /*  284531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284570 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284587 */     GIR_RootConstrainSelectedInstOperands,
     /*  284588 */     // GIR_Coverage, 8698,
     /*  284588 */     GIR_EraseRootFromParent_Done,
     /*  284589 */   // Label 5347: @284589
     /*  284589 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(284652), // Rule ID 8699 //
     /*  284594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284633 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284650 */     GIR_RootConstrainSelectedInstOperands,
     /*  284651 */     // GIR_Coverage, 8699,
     /*  284651 */     GIR_EraseRootFromParent_Done,
     /*  284652 */   // Label 5348: @284652
     /*  284652 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(284715), // Rule ID 8702 //
     /*  284657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284713 */     GIR_RootConstrainSelectedInstOperands,
     /*  284714 */     // GIR_Coverage, 8702,
     /*  284714 */     GIR_EraseRootFromParent_Done,
     /*  284715 */   // Label 5349: @284715
     /*  284715 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(284778), // Rule ID 8703 //
     /*  284720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284759 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284776 */     GIR_RootConstrainSelectedInstOperands,
     /*  284777 */     // GIR_Coverage, 8703,
     /*  284777 */     GIR_EraseRootFromParent_Done,
     /*  284778 */   // Label 5350: @284778
     /*  284778 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(284841), // Rule ID 8706 //
     /*  284783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284822 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284839 */     GIR_RootConstrainSelectedInstOperands,
     /*  284840 */     // GIR_Coverage, 8706,
     /*  284840 */     GIR_EraseRootFromParent_Done,
     /*  284841 */   // Label 5351: @284841
     /*  284841 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(284904), // Rule ID 8707 //
     /*  284846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284885 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284902 */     GIR_RootConstrainSelectedInstOperands,
     /*  284903 */     // GIR_Coverage, 8707,
     /*  284903 */     GIR_EraseRootFromParent_Done,
     /*  284904 */   // Label 5352: @284904
     /*  284904 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(284967), // Rule ID 8710 //
     /*  284909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284948 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284965 */     GIR_RootConstrainSelectedInstOperands,
     /*  284966 */     // GIR_Coverage, 8710,
     /*  284966 */     GIR_EraseRootFromParent_Done,
     /*  284967 */   // Label 5353: @284967
     /*  284967 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(285030), // Rule ID 8711 //
     /*  284972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285011 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285028 */     GIR_RootConstrainSelectedInstOperands,
     /*  285029 */     // GIR_Coverage, 8711,
     /*  285029 */     GIR_EraseRootFromParent_Done,
     /*  285030 */   // Label 5354: @285030
     /*  285030 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(285093), // Rule ID 8714 //
     /*  285035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  285049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285091 */     GIR_RootConstrainSelectedInstOperands,
     /*  285092 */     // GIR_Coverage, 8714,
     /*  285092 */     GIR_EraseRootFromParent_Done,
     /*  285093 */   // Label 5355: @285093
     /*  285093 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(285156), // Rule ID 8715 //
     /*  285098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  285112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285137 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285154 */     GIR_RootConstrainSelectedInstOperands,
     /*  285155 */     // GIR_Coverage, 8715,
     /*  285155 */     GIR_EraseRootFromParent_Done,
     /*  285156 */   // Label 5356: @285156
     /*  285156 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285219), // Rule ID 8718 //
     /*  285161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  285175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285200 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285217 */     GIR_RootConstrainSelectedInstOperands,
     /*  285218 */     // GIR_Coverage, 8718,
     /*  285218 */     GIR_EraseRootFromParent_Done,
     /*  285219 */   // Label 5357: @285219
     /*  285219 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285282), // Rule ID 8719 //
     /*  285224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  285238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285263 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285280 */     GIR_RootConstrainSelectedInstOperands,
     /*  285281 */     // GIR_Coverage, 8719,
     /*  285281 */     GIR_EraseRootFromParent_Done,
     /*  285282 */   // Label 5358: @285282
     /*  285282 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285345), // Rule ID 8722 //
     /*  285287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  285301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285326 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285343 */     GIR_RootConstrainSelectedInstOperands,
     /*  285344 */     // GIR_Coverage, 8722,
     /*  285344 */     GIR_EraseRootFromParent_Done,
     /*  285345 */   // Label 5359: @285345
     /*  285345 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285408), // Rule ID 8723 //
     /*  285350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  285364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285406 */     GIR_RootConstrainSelectedInstOperands,
     /*  285407 */     // GIR_Coverage, 8723,
     /*  285407 */     GIR_EraseRootFromParent_Done,
     /*  285408 */   // Label 5360: @285408
     /*  285408 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285471), // Rule ID 8726 //
     /*  285413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285469 */     GIR_RootConstrainSelectedInstOperands,
     /*  285470 */     // GIR_Coverage, 8726,
     /*  285470 */     GIR_EraseRootFromParent_Done,
     /*  285471 */   // Label 5361: @285471
     /*  285471 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285534), // Rule ID 8727 //
     /*  285476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285515 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285532 */     GIR_RootConstrainSelectedInstOperands,
     /*  285533 */     // GIR_Coverage, 8727,
     /*  285533 */     GIR_EraseRootFromParent_Done,
     /*  285534 */   // Label 5362: @285534
     /*  285534 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(285597), // Rule ID 8730 //
     /*  285539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285578 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285595 */     GIR_RootConstrainSelectedInstOperands,
     /*  285596 */     // GIR_Coverage, 8730,
     /*  285596 */     GIR_EraseRootFromParent_Done,
     /*  285597 */   // Label 5363: @285597
     /*  285597 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(285660), // Rule ID 8731 //
     /*  285602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285658 */     GIR_RootConstrainSelectedInstOperands,
     /*  285659 */     // GIR_Coverage, 8731,
     /*  285659 */     GIR_EraseRootFromParent_Done,
     /*  285660 */   // Label 5364: @285660
     /*  285660 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(285723), // Rule ID 8734 //
     /*  285665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285721 */     GIR_RootConstrainSelectedInstOperands,
     /*  285722 */     // GIR_Coverage, 8734,
     /*  285722 */     GIR_EraseRootFromParent_Done,
     /*  285723 */   // Label 5365: @285723
     /*  285723 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(285786), // Rule ID 8735 //
     /*  285728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285767 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285784 */     GIR_RootConstrainSelectedInstOperands,
     /*  285785 */     // GIR_Coverage, 8735,
     /*  285785 */     GIR_EraseRootFromParent_Done,
     /*  285786 */   // Label 5366: @285786
     /*  285786 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(285849), // Rule ID 8826 //
     /*  285791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285847 */     GIR_RootConstrainSelectedInstOperands,
     /*  285848 */     // GIR_Coverage, 8826,
     /*  285848 */     GIR_EraseRootFromParent_Done,
     /*  285849 */   // Label 5367: @285849
     /*  285849 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(285912), // Rule ID 8827 //
     /*  285854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285910 */     GIR_RootConstrainSelectedInstOperands,
     /*  285911 */     // GIR_Coverage, 8827,
     /*  285911 */     GIR_EraseRootFromParent_Done,
     /*  285912 */   // Label 5368: @285912
     /*  285912 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(285975), // Rule ID 8830 //
     /*  285917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285973 */     GIR_RootConstrainSelectedInstOperands,
     /*  285974 */     // GIR_Coverage, 8830,
     /*  285974 */     GIR_EraseRootFromParent_Done,
     /*  285975 */   // Label 5369: @285975
     /*  285975 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(286038), // Rule ID 8831 //
     /*  285980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286036 */     GIR_RootConstrainSelectedInstOperands,
     /*  286037 */     // GIR_Coverage, 8831,
     /*  286037 */     GIR_EraseRootFromParent_Done,
     /*  286038 */   // Label 5370: @286038
     /*  286038 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(286101), // Rule ID 8834 //
     /*  286043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  286057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  286060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286082 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286099 */     GIR_RootConstrainSelectedInstOperands,
     /*  286100 */     // GIR_Coverage, 8834,
     /*  286100 */     GIR_EraseRootFromParent_Done,
     /*  286101 */   // Label 5371: @286101
     /*  286101 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(286164), // Rule ID 8835 //
     /*  286106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  286120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  286123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286145 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286162 */     GIR_RootConstrainSelectedInstOperands,
     /*  286163 */     // GIR_Coverage, 8835,
     /*  286163 */     GIR_EraseRootFromParent_Done,
     /*  286164 */   // Label 5372: @286164
     /*  286164 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286227), // Rule ID 8838 //
     /*  286169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  286183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  286186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286208 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286225 */     GIR_RootConstrainSelectedInstOperands,
     /*  286226 */     // GIR_Coverage, 8838,
     /*  286226 */     GIR_EraseRootFromParent_Done,
     /*  286227 */   // Label 5373: @286227
     /*  286227 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286290), // Rule ID 8839 //
     /*  286232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  286246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  286249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286271 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286288 */     GIR_RootConstrainSelectedInstOperands,
     /*  286289 */     // GIR_Coverage, 8839,
     /*  286289 */     GIR_EraseRootFromParent_Done,
     /*  286290 */   // Label 5374: @286290
     /*  286290 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286353), // Rule ID 8842 //
     /*  286295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  286309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  286312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286334 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286351 */     GIR_RootConstrainSelectedInstOperands,
     /*  286352 */     // GIR_Coverage, 8842,
     /*  286352 */     GIR_EraseRootFromParent_Done,
     /*  286353 */   // Label 5375: @286353
     /*  286353 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286416), // Rule ID 8843 //
     /*  286358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  286372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  286375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286397 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286414 */     GIR_RootConstrainSelectedInstOperands,
     /*  286415 */     // GIR_Coverage, 8843,
     /*  286415 */     GIR_EraseRootFromParent_Done,
     /*  286416 */   // Label 5376: @286416
     /*  286416 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286479), // Rule ID 8846 //
     /*  286421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286477 */     GIR_RootConstrainSelectedInstOperands,
     /*  286478 */     // GIR_Coverage, 8846,
     /*  286478 */     GIR_EraseRootFromParent_Done,
     /*  286479 */   // Label 5377: @286479
     /*  286479 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286542), // Rule ID 8847 //
     /*  286484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286523 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286540 */     GIR_RootConstrainSelectedInstOperands,
     /*  286541 */     // GIR_Coverage, 8847,
     /*  286541 */     GIR_EraseRootFromParent_Done,
     /*  286542 */   // Label 5378: @286542
     /*  286542 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(286605), // Rule ID 8850 //
     /*  286547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286586 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286603 */     GIR_RootConstrainSelectedInstOperands,
     /*  286604 */     // GIR_Coverage, 8850,
     /*  286604 */     GIR_EraseRootFromParent_Done,
     /*  286605 */   // Label 5379: @286605
     /*  286605 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(286668), // Rule ID 8851 //
     /*  286610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286649 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286666 */     GIR_RootConstrainSelectedInstOperands,
     /*  286667 */     // GIR_Coverage, 8851,
     /*  286667 */     GIR_EraseRootFromParent_Done,
     /*  286668 */   // Label 5380: @286668
     /*  286668 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(286731), // Rule ID 8854 //
     /*  286673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286729 */     GIR_RootConstrainSelectedInstOperands,
     /*  286730 */     // GIR_Coverage, 8854,
     /*  286730 */     GIR_EraseRootFromParent_Done,
     /*  286731 */   // Label 5381: @286731
     /*  286731 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(286794), // Rule ID 8855 //
     /*  286736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286775 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286792 */     GIR_RootConstrainSelectedInstOperands,
     /*  286793 */     // GIR_Coverage, 8855,
     /*  286793 */     GIR_EraseRootFromParent_Done,
     /*  286794 */   // Label 5382: @286794
     /*  286794 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(286857), // Rule ID 8858 //
     /*  286799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286838 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286855 */     GIR_RootConstrainSelectedInstOperands,
     /*  286856 */     // GIR_Coverage, 8858,
     /*  286856 */     GIR_EraseRootFromParent_Done,
     /*  286857 */   // Label 5383: @286857
     /*  286857 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(286920), // Rule ID 8859 //
     /*  286862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286901 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286918 */     GIR_RootConstrainSelectedInstOperands,
     /*  286919 */     // GIR_Coverage, 8859,
     /*  286919 */     GIR_EraseRootFromParent_Done,
     /*  286920 */   // Label 5384: @286920
     /*  286920 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(286983), // Rule ID 8862 //
     /*  286925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286981 */     GIR_RootConstrainSelectedInstOperands,
     /*  286982 */     // GIR_Coverage, 8862,
     /*  286982 */     GIR_EraseRootFromParent_Done,
     /*  286983 */   // Label 5385: @286983
     /*  286983 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(287046), // Rule ID 8863 //
     /*  286988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  287002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  287005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287027 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287044 */     GIR_RootConstrainSelectedInstOperands,
     /*  287045 */     // GIR_Coverage, 8863,
     /*  287045 */     GIR_EraseRootFromParent_Done,
     /*  287046 */   // Label 5386: @287046
     /*  287046 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(287109), // Rule ID 8866 //
     /*  287051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  287065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  287068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287090 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287107 */     GIR_RootConstrainSelectedInstOperands,
     /*  287108 */     // GIR_Coverage, 8866,
     /*  287108 */     GIR_EraseRootFromParent_Done,
     /*  287109 */   // Label 5387: @287109
     /*  287109 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(287172), // Rule ID 8867 //
     /*  287114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  287128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  287131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287153 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287170 */     GIR_RootConstrainSelectedInstOperands,
     /*  287171 */     // GIR_Coverage, 8867,
     /*  287171 */     GIR_EraseRootFromParent_Done,
     /*  287172 */   // Label 5388: @287172
     /*  287172 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287235), // Rule ID 8870 //
     /*  287177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  287191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  287194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287216 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287233 */     GIR_RootConstrainSelectedInstOperands,
     /*  287234 */     // GIR_Coverage, 8870,
     /*  287234 */     GIR_EraseRootFromParent_Done,
     /*  287235 */   // Label 5389: @287235
     /*  287235 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287298), // Rule ID 8871 //
     /*  287240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  287254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  287257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287279 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287296 */     GIR_RootConstrainSelectedInstOperands,
     /*  287297 */     // GIR_Coverage, 8871,
     /*  287297 */     GIR_EraseRootFromParent_Done,
     /*  287298 */   // Label 5390: @287298
     /*  287298 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287361), // Rule ID 8874 //
     /*  287303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  287314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  287317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  287320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287342 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287359 */     GIR_RootConstrainSelectedInstOperands,
     /*  287360 */     // GIR_Coverage, 8874,
     /*  287360 */     GIR_EraseRootFromParent_Done,
     /*  287361 */   // Label 5391: @287361
     /*  287361 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287424), // Rule ID 8875 //
     /*  287366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  287377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  287380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  287383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287405 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287422 */     GIR_RootConstrainSelectedInstOperands,
     /*  287423 */     // GIR_Coverage, 8875,
     /*  287423 */     GIR_EraseRootFromParent_Done,
     /*  287424 */   // Label 5392: @287424
     /*  287424 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287487), // Rule ID 8878 //
     /*  287429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287485 */     GIR_RootConstrainSelectedInstOperands,
     /*  287486 */     // GIR_Coverage, 8878,
     /*  287486 */     GIR_EraseRootFromParent_Done,
     /*  287487 */   // Label 5393: @287487
     /*  287487 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287550), // Rule ID 8879 //
     /*  287492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287531 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287548 */     GIR_RootConstrainSelectedInstOperands,
     /*  287549 */     // GIR_Coverage, 8879,
     /*  287549 */     GIR_EraseRootFromParent_Done,
     /*  287550 */   // Label 5394: @287550
     /*  287550 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(287613), // Rule ID 8882 //
     /*  287555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287594 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287611 */     GIR_RootConstrainSelectedInstOperands,
     /*  287612 */     // GIR_Coverage, 8882,
     /*  287612 */     GIR_EraseRootFromParent_Done,
     /*  287613 */   // Label 5395: @287613
     /*  287613 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(287676), // Rule ID 8883 //
     /*  287618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287657 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287674 */     GIR_RootConstrainSelectedInstOperands,
     /*  287675 */     // GIR_Coverage, 8883,
     /*  287675 */     GIR_EraseRootFromParent_Done,
     /*  287676 */   // Label 5396: @287676
     /*  287676 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(287739), // Rule ID 8886 //
     /*  287681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287720 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287737 */     GIR_RootConstrainSelectedInstOperands,
     /*  287738 */     // GIR_Coverage, 8886,
     /*  287738 */     GIR_EraseRootFromParent_Done,
     /*  287739 */   // Label 5397: @287739
     /*  287739 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(287802), // Rule ID 8887 //
     /*  287744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287783 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287800 */     GIR_RootConstrainSelectedInstOperands,
     /*  287801 */     // GIR_Coverage, 8887,
     /*  287801 */     GIR_EraseRootFromParent_Done,
     /*  287802 */   // Label 5398: @287802
     /*  287802 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(287865), // Rule ID 8890 //
     /*  287807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287846 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287863 */     GIR_RootConstrainSelectedInstOperands,
     /*  287864 */     // GIR_Coverage, 8890,
     /*  287864 */     GIR_EraseRootFromParent_Done,
     /*  287865 */   // Label 5399: @287865
     /*  287865 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(287928), // Rule ID 8891 //
     /*  287870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287909 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287926 */     GIR_RootConstrainSelectedInstOperands,
     /*  287927 */     // GIR_Coverage, 8891,
     /*  287927 */     GIR_EraseRootFromParent_Done,
     /*  287928 */   // Label 5400: @287928
     /*  287928 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(287991), // Rule ID 8894 //
     /*  287933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287989 */     GIR_RootConstrainSelectedInstOperands,
     /*  287990 */     // GIR_Coverage, 8894,
     /*  287990 */     GIR_EraseRootFromParent_Done,
     /*  287991 */   // Label 5401: @287991
     /*  287991 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(288054), // Rule ID 8895 //
     /*  287996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  288010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  288013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288035 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288052 */     GIR_RootConstrainSelectedInstOperands,
     /*  288053 */     // GIR_Coverage, 8895,
     /*  288053 */     GIR_EraseRootFromParent_Done,
     /*  288054 */   // Label 5402: @288054
     /*  288054 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(288117), // Rule ID 8898 //
     /*  288059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  288073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  288076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288098 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288115 */     GIR_RootConstrainSelectedInstOperands,
     /*  288116 */     // GIR_Coverage, 8898,
     /*  288116 */     GIR_EraseRootFromParent_Done,
     /*  288117 */   // Label 5403: @288117
     /*  288117 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(288180), // Rule ID 8899 //
     /*  288122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  288136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  288139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288161 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288178 */     GIR_RootConstrainSelectedInstOperands,
     /*  288179 */     // GIR_Coverage, 8899,
     /*  288179 */     GIR_EraseRootFromParent_Done,
     /*  288180 */   // Label 5404: @288180
     /*  288180 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288243), // Rule ID 8902 //
     /*  288185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  288199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  288202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288241 */     GIR_RootConstrainSelectedInstOperands,
     /*  288242 */     // GIR_Coverage, 8902,
     /*  288242 */     GIR_EraseRootFromParent_Done,
     /*  288243 */   // Label 5405: @288243
     /*  288243 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288306), // Rule ID 8903 //
     /*  288248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  288262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  288265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288287 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288304 */     GIR_RootConstrainSelectedInstOperands,
     /*  288305 */     // GIR_Coverage, 8903,
     /*  288305 */     GIR_EraseRootFromParent_Done,
     /*  288306 */   // Label 5406: @288306
     /*  288306 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288369), // Rule ID 8906 //
     /*  288311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  288325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  288328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288367 */     GIR_RootConstrainSelectedInstOperands,
     /*  288368 */     // GIR_Coverage, 8906,
     /*  288368 */     GIR_EraseRootFromParent_Done,
     /*  288369 */   // Label 5407: @288369
     /*  288369 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288432), // Rule ID 8907 //
     /*  288374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  288388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  288391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288413 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288430 */     GIR_RootConstrainSelectedInstOperands,
     /*  288431 */     // GIR_Coverage, 8907,
     /*  288431 */     GIR_EraseRootFromParent_Done,
     /*  288432 */   // Label 5408: @288432
     /*  288432 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288495), // Rule ID 8910 //
     /*  288437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288493 */     GIR_RootConstrainSelectedInstOperands,
     /*  288494 */     // GIR_Coverage, 8910,
     /*  288494 */     GIR_EraseRootFromParent_Done,
     /*  288495 */   // Label 5409: @288495
     /*  288495 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288558), // Rule ID 8911 //
     /*  288500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288539 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288556 */     GIR_RootConstrainSelectedInstOperands,
     /*  288557 */     // GIR_Coverage, 8911,
     /*  288557 */     GIR_EraseRootFromParent_Done,
     /*  288558 */   // Label 5410: @288558
     /*  288558 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(288621), // Rule ID 8914 //
     /*  288563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288619 */     GIR_RootConstrainSelectedInstOperands,
     /*  288620 */     // GIR_Coverage, 8914,
     /*  288620 */     GIR_EraseRootFromParent_Done,
     /*  288621 */   // Label 5411: @288621
     /*  288621 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(288684), // Rule ID 8915 //
     /*  288626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288682 */     GIR_RootConstrainSelectedInstOperands,
     /*  288683 */     // GIR_Coverage, 8915,
     /*  288683 */     GIR_EraseRootFromParent_Done,
     /*  288684 */   // Label 5412: @288684
     /*  288684 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(288747), // Rule ID 8918 //
     /*  288689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288745 */     GIR_RootConstrainSelectedInstOperands,
     /*  288746 */     // GIR_Coverage, 8918,
     /*  288746 */     GIR_EraseRootFromParent_Done,
     /*  288747 */   // Label 5413: @288747
     /*  288747 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(288810), // Rule ID 8919 //
     /*  288752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288791 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288808 */     GIR_RootConstrainSelectedInstOperands,
     /*  288809 */     // GIR_Coverage, 8919,
     /*  288809 */     GIR_EraseRootFromParent_Done,
     /*  288810 */   // Label 5414: @288810
     /*  288810 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(288873), // Rule ID 8922 //
     /*  288815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288854 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288871 */     GIR_RootConstrainSelectedInstOperands,
     /*  288872 */     // GIR_Coverage, 8922,
     /*  288872 */     GIR_EraseRootFromParent_Done,
     /*  288873 */   // Label 5415: @288873
     /*  288873 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(288936), // Rule ID 8923 //
     /*  288878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288917 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288934 */     GIR_RootConstrainSelectedInstOperands,
     /*  288935 */     // GIR_Coverage, 8923,
     /*  288935 */     GIR_EraseRootFromParent_Done,
     /*  288936 */   // Label 5416: @288936
     /*  288936 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(288999), // Rule ID 8926 //
     /*  288941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288997 */     GIR_RootConstrainSelectedInstOperands,
     /*  288998 */     // GIR_Coverage, 8926,
     /*  288998 */     GIR_EraseRootFromParent_Done,
     /*  288999 */   // Label 5417: @288999
     /*  288999 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(289062), // Rule ID 8927 //
     /*  289004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  289018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289043 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  289046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289060 */     GIR_RootConstrainSelectedInstOperands,
     /*  289061 */     // GIR_Coverage, 8927,
     /*  289061 */     GIR_EraseRootFromParent_Done,
     /*  289062 */   // Label 5418: @289062
     /*  289062 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(289125), // Rule ID 8930 //
     /*  289067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  289081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289106 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289123 */     GIR_RootConstrainSelectedInstOperands,
     /*  289124 */     // GIR_Coverage, 8930,
     /*  289124 */     GIR_EraseRootFromParent_Done,
     /*  289125 */   // Label 5419: @289125
     /*  289125 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289188), // Rule ID 8931 //
     /*  289130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  289144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289186 */     GIR_RootConstrainSelectedInstOperands,
     /*  289187 */     // GIR_Coverage, 8931,
     /*  289187 */     GIR_EraseRootFromParent_Done,
     /*  289188 */   // Label 5420: @289188
     /*  289188 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289251), // Rule ID 8934 //
     /*  289193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  289207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289249 */     GIR_RootConstrainSelectedInstOperands,
     /*  289250 */     // GIR_Coverage, 8934,
     /*  289250 */     GIR_EraseRootFromParent_Done,
     /*  289251 */   // Label 5421: @289251
     /*  289251 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289314), // Rule ID 8935 //
     /*  289256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  289270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289295 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289312 */     GIR_RootConstrainSelectedInstOperands,
     /*  289313 */     // GIR_Coverage, 8935,
     /*  289313 */     GIR_EraseRootFromParent_Done,
     /*  289314 */   // Label 5422: @289314
     /*  289314 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289377), // Rule ID 8938 //
     /*  289319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289358 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289375 */     GIR_RootConstrainSelectedInstOperands,
     /*  289376 */     // GIR_Coverage, 8938,
     /*  289376 */     GIR_EraseRootFromParent_Done,
     /*  289377 */   // Label 5423: @289377
     /*  289377 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289440), // Rule ID 8939 //
     /*  289382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289421 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289438 */     GIR_RootConstrainSelectedInstOperands,
     /*  289439 */     // GIR_Coverage, 8939,
     /*  289439 */     GIR_EraseRootFromParent_Done,
     /*  289440 */   // Label 5424: @289440
     /*  289440 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289503), // Rule ID 8942 //
     /*  289445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289501 */     GIR_RootConstrainSelectedInstOperands,
     /*  289502 */     // GIR_Coverage, 8942,
     /*  289502 */     GIR_EraseRootFromParent_Done,
     /*  289503 */   // Label 5425: @289503
     /*  289503 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(289566), // Rule ID 8943 //
     /*  289508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289547 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289564 */     GIR_RootConstrainSelectedInstOperands,
     /*  289565 */     // GIR_Coverage, 8943,
     /*  289565 */     GIR_EraseRootFromParent_Done,
     /*  289566 */   // Label 5426: @289566
     /*  289566 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(289629), // Rule ID 8946 //
     /*  289571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289610 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289627 */     GIR_RootConstrainSelectedInstOperands,
     /*  289628 */     // GIR_Coverage, 8946,
     /*  289628 */     GIR_EraseRootFromParent_Done,
     /*  289629 */   // Label 5427: @289629
     /*  289629 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(289692), // Rule ID 8947 //
     /*  289634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289673 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289690 */     GIR_RootConstrainSelectedInstOperands,
     /*  289691 */     // GIR_Coverage, 8947,
     /*  289691 */     GIR_EraseRootFromParent_Done,
     /*  289692 */   // Label 5428: @289692
     /*  289692 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(289755), // Rule ID 8950 //
     /*  289697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289753 */     GIR_RootConstrainSelectedInstOperands,
     /*  289754 */     // GIR_Coverage, 8950,
     /*  289754 */     GIR_EraseRootFromParent_Done,
     /*  289755 */   // Label 5429: @289755
     /*  289755 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(289818), // Rule ID 8951 //
     /*  289760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289799 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289816 */     GIR_RootConstrainSelectedInstOperands,
     /*  289817 */     // GIR_Coverage, 8951,
     /*  289817 */     GIR_EraseRootFromParent_Done,
     /*  289818 */   // Label 5430: @289818
     /*  289818 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(289881), // Rule ID 8954 //
     /*  289823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289862 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289879 */     GIR_RootConstrainSelectedInstOperands,
     /*  289880 */     // GIR_Coverage, 8954,
     /*  289880 */     GIR_EraseRootFromParent_Done,
     /*  289881 */   // Label 5431: @289881
     /*  289881 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(289944), // Rule ID 8955 //
     /*  289886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289925 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289942 */     GIR_RootConstrainSelectedInstOperands,
     /*  289943 */     // GIR_Coverage, 8955,
     /*  289943 */     GIR_EraseRootFromParent_Done,
     /*  289944 */   // Label 5432: @289944
     /*  289944 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(290007), // Rule ID 8958 //
     /*  289949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289988 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290005 */     GIR_RootConstrainSelectedInstOperands,
     /*  290006 */     // GIR_Coverage, 8958,
     /*  290006 */     GIR_EraseRootFromParent_Done,
     /*  290007 */   // Label 5433: @290007
     /*  290007 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(290070), // Rule ID 8959 //
     /*  290012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  290026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290051 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290068 */     GIR_RootConstrainSelectedInstOperands,
     /*  290069 */     // GIR_Coverage, 8959,
     /*  290069 */     GIR_EraseRootFromParent_Done,
     /*  290070 */   // Label 5434: @290070
     /*  290070 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(290133), // Rule ID 8962 //
     /*  290075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  290086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  290089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290114 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290131 */     GIR_RootConstrainSelectedInstOperands,
     /*  290132 */     // GIR_Coverage, 8962,
     /*  290132 */     GIR_EraseRootFromParent_Done,
     /*  290133 */   // Label 5435: @290133
     /*  290133 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290196), // Rule ID 8963 //
     /*  290138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  290149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  290152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290177 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290194 */     GIR_RootConstrainSelectedInstOperands,
     /*  290195 */     // GIR_Coverage, 8963,
     /*  290195 */     GIR_EraseRootFromParent_Done,
     /*  290196 */   // Label 5436: @290196
     /*  290196 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290259), // Rule ID 8966 //
     /*  290201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  290215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290240 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290257 */     GIR_RootConstrainSelectedInstOperands,
     /*  290258 */     // GIR_Coverage, 8966,
     /*  290258 */     GIR_EraseRootFromParent_Done,
     /*  290259 */   // Label 5437: @290259
     /*  290259 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290322), // Rule ID 8967 //
     /*  290264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  290278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290303 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290320 */     GIR_RootConstrainSelectedInstOperands,
     /*  290321 */     // GIR_Coverage, 8967,
     /*  290321 */     GIR_EraseRootFromParent_Done,
     /*  290322 */   // Label 5438: @290322
     /*  290322 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290385), // Rule ID 8970 //
     /*  290327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  290341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290366 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290383 */     GIR_RootConstrainSelectedInstOperands,
     /*  290384 */     // GIR_Coverage, 8970,
     /*  290384 */     GIR_EraseRootFromParent_Done,
     /*  290385 */   // Label 5439: @290385
     /*  290385 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290448), // Rule ID 8971 //
     /*  290390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  290404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290429 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290446 */     GIR_RootConstrainSelectedInstOperands,
     /*  290447 */     // GIR_Coverage, 8971,
     /*  290447 */     GIR_EraseRootFromParent_Done,
     /*  290448 */   // Label 5440: @290448
     /*  290448 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290511), // Rule ID 8974 //
     /*  290453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290492 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290509 */     GIR_RootConstrainSelectedInstOperands,
     /*  290510 */     // GIR_Coverage, 8974,
     /*  290510 */     GIR_EraseRootFromParent_Done,
     /*  290511 */   // Label 5441: @290511
     /*  290511 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(290574), // Rule ID 8975 //
     /*  290516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290555 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290572 */     GIR_RootConstrainSelectedInstOperands,
     /*  290573 */     // GIR_Coverage, 8975,
     /*  290573 */     GIR_EraseRootFromParent_Done,
     /*  290574 */   // Label 5442: @290574
     /*  290574 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(290637), // Rule ID 8978 //
     /*  290579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290618 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290635 */     GIR_RootConstrainSelectedInstOperands,
     /*  290636 */     // GIR_Coverage, 8978,
     /*  290636 */     GIR_EraseRootFromParent_Done,
     /*  290637 */   // Label 5443: @290637
     /*  290637 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(290700), // Rule ID 8979 //
     /*  290642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290681 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290698 */     GIR_RootConstrainSelectedInstOperands,
     /*  290699 */     // GIR_Coverage, 8979,
     /*  290699 */     GIR_EraseRootFromParent_Done,
     /*  290700 */   // Label 5444: @290700
     /*  290700 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(290763), // Rule ID 8982 //
     /*  290705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290761 */     GIR_RootConstrainSelectedInstOperands,
     /*  290762 */     // GIR_Coverage, 8982,
     /*  290762 */     GIR_EraseRootFromParent_Done,
     /*  290763 */   // Label 5445: @290763
     /*  290763 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(290826), // Rule ID 8983 //
     /*  290768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290807 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290824 */     GIR_RootConstrainSelectedInstOperands,
     /*  290825 */     // GIR_Coverage, 8983,
     /*  290825 */     GIR_EraseRootFromParent_Done,
     /*  290826 */   // Label 5446: @290826
     /*  290826 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(290889), // Rule ID 8986 //
     /*  290831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290870 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290887 */     GIR_RootConstrainSelectedInstOperands,
     /*  290888 */     // GIR_Coverage, 8986,
     /*  290888 */     GIR_EraseRootFromParent_Done,
     /*  290889 */   // Label 5447: @290889
     /*  290889 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(290952), // Rule ID 8987 //
     /*  290894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290933 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290950 */     GIR_RootConstrainSelectedInstOperands,
     /*  290951 */     // GIR_Coverage, 8987,
     /*  290951 */     GIR_EraseRootFromParent_Done,
     /*  290952 */   // Label 5448: @290952
     /*  290952 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(291015), // Rule ID 8990 //
     /*  290957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291013 */     GIR_RootConstrainSelectedInstOperands,
     /*  291014 */     // GIR_Coverage, 8990,
     /*  291014 */     GIR_EraseRootFromParent_Done,
     /*  291015 */   // Label 5449: @291015
     /*  291015 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(291078), // Rule ID 8991 //
     /*  291020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  291034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  291062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291076 */     GIR_RootConstrainSelectedInstOperands,
     /*  291077 */     // GIR_Coverage, 8991,
     /*  291077 */     GIR_EraseRootFromParent_Done,
     /*  291078 */   // Label 5450: @291078
     /*  291078 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(291141), // Rule ID 8994 //
     /*  291083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  291097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291122 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291139 */     GIR_RootConstrainSelectedInstOperands,
     /*  291140 */     // GIR_Coverage, 8994,
     /*  291140 */     GIR_EraseRootFromParent_Done,
     /*  291141 */   // Label 5451: @291141
     /*  291141 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291204), // Rule ID 8995 //
     /*  291146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  291160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291185 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291202 */     GIR_RootConstrainSelectedInstOperands,
     /*  291203 */     // GIR_Coverage, 8995,
     /*  291203 */     GIR_EraseRootFromParent_Done,
     /*  291204 */   // Label 5452: @291204
     /*  291204 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291267), // Rule ID 8998 //
     /*  291209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291265 */     GIR_RootConstrainSelectedInstOperands,
     /*  291266 */     // GIR_Coverage, 8998,
     /*  291266 */     GIR_EraseRootFromParent_Done,
     /*  291267 */   // Label 5453: @291267
     /*  291267 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291330), // Rule ID 8999 //
     /*  291272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291311 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291328 */     GIR_RootConstrainSelectedInstOperands,
     /*  291329 */     // GIR_Coverage, 8999,
     /*  291329 */     GIR_EraseRootFromParent_Done,
     /*  291330 */   // Label 5454: @291330
     /*  291330 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291393), // Rule ID 9090 //
     /*  291335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  291349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291374 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  291377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291391 */     GIR_RootConstrainSelectedInstOperands,
     /*  291392 */     // GIR_Coverage, 9090,
     /*  291392 */     GIR_EraseRootFromParent_Done,
     /*  291393 */   // Label 5455: @291393
     /*  291393 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291456), // Rule ID 9091 //
     /*  291398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  291412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  291440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291454 */     GIR_RootConstrainSelectedInstOperands,
     /*  291455 */     // GIR_Coverage, 9091,
     /*  291455 */     GIR_EraseRootFromParent_Done,
     /*  291456 */   // Label 5456: @291456
     /*  291456 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291519), // Rule ID 9094 //
     /*  291461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291517 */     GIR_RootConstrainSelectedInstOperands,
     /*  291518 */     // GIR_Coverage, 9094,
     /*  291518 */     GIR_EraseRootFromParent_Done,
     /*  291519 */   // Label 5457: @291519
     /*  291519 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(291582), // Rule ID 9095 //
     /*  291524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291563 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291580 */     GIR_RootConstrainSelectedInstOperands,
     /*  291581 */     // GIR_Coverage, 9095,
     /*  291581 */     GIR_EraseRootFromParent_Done,
     /*  291582 */   // Label 5458: @291582
     /*  291582 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(291645), // Rule ID 9098 //
     /*  291587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291626 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291643 */     GIR_RootConstrainSelectedInstOperands,
     /*  291644 */     // GIR_Coverage, 9098,
     /*  291644 */     GIR_EraseRootFromParent_Done,
     /*  291645 */   // Label 5459: @291645
     /*  291645 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(291708), // Rule ID 9099 //
     /*  291650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291706 */     GIR_RootConstrainSelectedInstOperands,
     /*  291707 */     // GIR_Coverage, 9099,
     /*  291707 */     GIR_EraseRootFromParent_Done,
     /*  291708 */   // Label 5460: @291708
     /*  291708 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(291771), // Rule ID 9102 //
     /*  291713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291769 */     GIR_RootConstrainSelectedInstOperands,
     /*  291770 */     // GIR_Coverage, 9102,
     /*  291770 */     GIR_EraseRootFromParent_Done,
     /*  291771 */   // Label 5461: @291771
     /*  291771 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(291834), // Rule ID 9103 //
     /*  291776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291815 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291832 */     GIR_RootConstrainSelectedInstOperands,
     /*  291833 */     // GIR_Coverage, 9103,
     /*  291833 */     GIR_EraseRootFromParent_Done,
     /*  291834 */   // Label 5462: @291834
     /*  291834 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(291897), // Rule ID 9106 //
     /*  291839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291878 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291895 */     GIR_RootConstrainSelectedInstOperands,
     /*  291896 */     // GIR_Coverage, 9106,
     /*  291896 */     GIR_EraseRootFromParent_Done,
     /*  291897 */   // Label 5463: @291897
     /*  291897 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(291960), // Rule ID 9107 //
     /*  291902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291941 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291958 */     GIR_RootConstrainSelectedInstOperands,
     /*  291959 */     // GIR_Coverage, 9107,
     /*  291959 */     GIR_EraseRootFromParent_Done,
     /*  291960 */   // Label 5464: @291960
     /*  291960 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(292023), // Rule ID 9110 //
     /*  291965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292021 */     GIR_RootConstrainSelectedInstOperands,
     /*  292022 */     // GIR_Coverage, 9110,
     /*  292022 */     GIR_EraseRootFromParent_Done,
     /*  292023 */   // Label 5465: @292023
     /*  292023 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(292086), // Rule ID 9111 //
     /*  292028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  292042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292067 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292084 */     GIR_RootConstrainSelectedInstOperands,
     /*  292085 */     // GIR_Coverage, 9111,
     /*  292085 */     GIR_EraseRootFromParent_Done,
     /*  292086 */   // Label 5466: @292086
     /*  292086 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(292149), // Rule ID 9114 //
     /*  292091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  292105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292130 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292147 */     GIR_RootConstrainSelectedInstOperands,
     /*  292148 */     // GIR_Coverage, 9114,
     /*  292148 */     GIR_EraseRootFromParent_Done,
     /*  292149 */   // Label 5467: @292149
     /*  292149 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292212), // Rule ID 9115 //
     /*  292154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  292168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292210 */     GIR_RootConstrainSelectedInstOperands,
     /*  292211 */     // GIR_Coverage, 9115,
     /*  292211 */     GIR_EraseRootFromParent_Done,
     /*  292212 */   // Label 5468: @292212
     /*  292212 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292275), // Rule ID 9118 //
     /*  292217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  292231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292273 */     GIR_RootConstrainSelectedInstOperands,
     /*  292274 */     // GIR_Coverage, 9118,
     /*  292274 */     GIR_EraseRootFromParent_Done,
     /*  292275 */   // Label 5469: @292275
     /*  292275 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292338), // Rule ID 9119 //
     /*  292280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  292294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292319 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292336 */     GIR_RootConstrainSelectedInstOperands,
     /*  292337 */     // GIR_Coverage, 9119,
     /*  292337 */     GIR_EraseRootFromParent_Done,
     /*  292338 */   // Label 5470: @292338
     /*  292338 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292401), // Rule ID 9122 //
     /*  292343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  292357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292382 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292399 */     GIR_RootConstrainSelectedInstOperands,
     /*  292400 */     // GIR_Coverage, 9122,
     /*  292400 */     GIR_EraseRootFromParent_Done,
     /*  292401 */   // Label 5471: @292401
     /*  292401 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292464), // Rule ID 9123 //
     /*  292406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  292420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292445 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292462 */     GIR_RootConstrainSelectedInstOperands,
     /*  292463 */     // GIR_Coverage, 9123,
     /*  292463 */     GIR_EraseRootFromParent_Done,
     /*  292464 */   // Label 5472: @292464
     /*  292464 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292527), // Rule ID 9126 //
     /*  292469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292525 */     GIR_RootConstrainSelectedInstOperands,
     /*  292526 */     // GIR_Coverage, 9126,
     /*  292526 */     GIR_EraseRootFromParent_Done,
     /*  292527 */   // Label 5473: @292527
     /*  292527 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(292590), // Rule ID 9127 //
     /*  292532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292571 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292588 */     GIR_RootConstrainSelectedInstOperands,
     /*  292589 */     // GIR_Coverage, 9127,
     /*  292589 */     GIR_EraseRootFromParent_Done,
     /*  292590 */   // Label 5474: @292590
     /*  292590 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(292653), // Rule ID 9130 //
     /*  292595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292634 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292651 */     GIR_RootConstrainSelectedInstOperands,
     /*  292652 */     // GIR_Coverage, 9130,
     /*  292652 */     GIR_EraseRootFromParent_Done,
     /*  292653 */   // Label 5475: @292653
     /*  292653 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(292716), // Rule ID 9131 //
     /*  292658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292697 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292714 */     GIR_RootConstrainSelectedInstOperands,
     /*  292715 */     // GIR_Coverage, 9131,
     /*  292715 */     GIR_EraseRootFromParent_Done,
     /*  292716 */   // Label 5476: @292716
     /*  292716 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(292779), // Rule ID 9134 //
     /*  292721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292760 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292777 */     GIR_RootConstrainSelectedInstOperands,
     /*  292778 */     // GIR_Coverage, 9134,
     /*  292778 */     GIR_EraseRootFromParent_Done,
     /*  292779 */   // Label 5477: @292779
     /*  292779 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(292842), // Rule ID 9135 //
     /*  292784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292823 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292840 */     GIR_RootConstrainSelectedInstOperands,
     /*  292841 */     // GIR_Coverage, 9135,
     /*  292841 */     GIR_EraseRootFromParent_Done,
     /*  292842 */   // Label 5478: @292842
     /*  292842 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(292905), // Rule ID 9138 //
     /*  292847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292886 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292903 */     GIR_RootConstrainSelectedInstOperands,
     /*  292904 */     // GIR_Coverage, 9138,
     /*  292904 */     GIR_EraseRootFromParent_Done,
     /*  292905 */   // Label 5479: @292905
     /*  292905 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(292968), // Rule ID 9139 //
     /*  292910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292949 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292966 */     GIR_RootConstrainSelectedInstOperands,
     /*  292967 */     // GIR_Coverage, 9139,
     /*  292967 */     GIR_EraseRootFromParent_Done,
     /*  292968 */   // Label 5480: @292968
     /*  292968 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(293031), // Rule ID 9142 //
     /*  292973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293029 */     GIR_RootConstrainSelectedInstOperands,
     /*  293030 */     // GIR_Coverage, 9142,
     /*  293030 */     GIR_EraseRootFromParent_Done,
     /*  293031 */   // Label 5481: @293031
     /*  293031 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(293094), // Rule ID 9143 //
     /*  293036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  293050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293075 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293092 */     GIR_RootConstrainSelectedInstOperands,
     /*  293093 */     // GIR_Coverage, 9143,
     /*  293093 */     GIR_EraseRootFromParent_Done,
     /*  293094 */   // Label 5482: @293094
     /*  293094 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(293157), // Rule ID 9146 //
     /*  293099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  293113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293138 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293155 */     GIR_RootConstrainSelectedInstOperands,
     /*  293156 */     // GIR_Coverage, 9146,
     /*  293156 */     GIR_EraseRootFromParent_Done,
     /*  293157 */   // Label 5483: @293157
     /*  293157 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293220), // Rule ID 9147 //
     /*  293162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  293176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293201 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293218 */     GIR_RootConstrainSelectedInstOperands,
     /*  293219 */     // GIR_Coverage, 9147,
     /*  293219 */     GIR_EraseRootFromParent_Done,
     /*  293220 */   // Label 5484: @293220
     /*  293220 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293283), // Rule ID 9150 //
     /*  293225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  293239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293281 */     GIR_RootConstrainSelectedInstOperands,
     /*  293282 */     // GIR_Coverage, 9150,
     /*  293282 */     GIR_EraseRootFromParent_Done,
     /*  293283 */   // Label 5485: @293283
     /*  293283 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293346), // Rule ID 9151 //
     /*  293288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  293302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293327 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293344 */     GIR_RootConstrainSelectedInstOperands,
     /*  293345 */     // GIR_Coverage, 9151,
     /*  293345 */     GIR_EraseRootFromParent_Done,
     /*  293346 */   // Label 5486: @293346
     /*  293346 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293409), // Rule ID 9154 //
     /*  293351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  293365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293407 */     GIR_RootConstrainSelectedInstOperands,
     /*  293408 */     // GIR_Coverage, 9154,
     /*  293408 */     GIR_EraseRootFromParent_Done,
     /*  293409 */   // Label 5487: @293409
     /*  293409 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293472), // Rule ID 9155 //
     /*  293414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  293428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293453 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293470 */     GIR_RootConstrainSelectedInstOperands,
     /*  293471 */     // GIR_Coverage, 9155,
     /*  293471 */     GIR_EraseRootFromParent_Done,
     /*  293472 */   // Label 5488: @293472
     /*  293472 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293535), // Rule ID 9158 //
     /*  293477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293533 */     GIR_RootConstrainSelectedInstOperands,
     /*  293534 */     // GIR_Coverage, 9158,
     /*  293534 */     GIR_EraseRootFromParent_Done,
     /*  293535 */   // Label 5489: @293535
     /*  293535 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(293598), // Rule ID 9159 //
     /*  293540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293596 */     GIR_RootConstrainSelectedInstOperands,
     /*  293597 */     // GIR_Coverage, 9159,
     /*  293597 */     GIR_EraseRootFromParent_Done,
     /*  293598 */   // Label 5490: @293598
     /*  293598 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(293661), // Rule ID 9162 //
     /*  293603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293642 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293659 */     GIR_RootConstrainSelectedInstOperands,
     /*  293660 */     // GIR_Coverage, 9162,
     /*  293660 */     GIR_EraseRootFromParent_Done,
     /*  293661 */   // Label 5491: @293661
     /*  293661 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(293724), // Rule ID 9163 //
     /*  293666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293705 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293722 */     GIR_RootConstrainSelectedInstOperands,
     /*  293723 */     // GIR_Coverage, 9163,
     /*  293723 */     GIR_EraseRootFromParent_Done,
     /*  293724 */   // Label 5492: @293724
     /*  293724 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(293787), // Rule ID 9166 //
     /*  293729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293785 */     GIR_RootConstrainSelectedInstOperands,
     /*  293786 */     // GIR_Coverage, 9166,
     /*  293786 */     GIR_EraseRootFromParent_Done,
     /*  293787 */   // Label 5493: @293787
     /*  293787 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(293850), // Rule ID 9167 //
     /*  293792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293831 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293848 */     GIR_RootConstrainSelectedInstOperands,
     /*  293849 */     // GIR_Coverage, 9167,
     /*  293849 */     GIR_EraseRootFromParent_Done,
     /*  293850 */   // Label 5494: @293850
     /*  293850 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(293913), // Rule ID 9170 //
     /*  293855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293894 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293911 */     GIR_RootConstrainSelectedInstOperands,
     /*  293912 */     // GIR_Coverage, 9170,
     /*  293912 */     GIR_EraseRootFromParent_Done,
     /*  293913 */   // Label 5495: @293913
     /*  293913 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(293976), // Rule ID 9171 //
     /*  293918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293957 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293974 */     GIR_RootConstrainSelectedInstOperands,
     /*  293975 */     // GIR_Coverage, 9171,
     /*  293975 */     GIR_EraseRootFromParent_Done,
     /*  293976 */   // Label 5496: @293976
     /*  293976 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(294039), // Rule ID 9174 //
     /*  293981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294037 */     GIR_RootConstrainSelectedInstOperands,
     /*  294038 */     // GIR_Coverage, 9174,
     /*  294038 */     GIR_EraseRootFromParent_Done,
     /*  294039 */   // Label 5497: @294039
     /*  294039 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(294102), // Rule ID 9175 //
     /*  294044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  294058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294083 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294100 */     GIR_RootConstrainSelectedInstOperands,
     /*  294101 */     // GIR_Coverage, 9175,
     /*  294101 */     GIR_EraseRootFromParent_Done,
     /*  294102 */   // Label 5498: @294102
     /*  294102 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(294165), // Rule ID 9266 //
     /*  294107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  294121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294146 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  294149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294163 */     GIR_RootConstrainSelectedInstOperands,
     /*  294164 */     // GIR_Coverage, 9266,
     /*  294164 */     GIR_EraseRootFromParent_Done,
     /*  294165 */   // Label 5499: @294165
     /*  294165 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294228), // Rule ID 9267 //
     /*  294170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  294184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  294212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294226 */     GIR_RootConstrainSelectedInstOperands,
     /*  294227 */     // GIR_Coverage, 9267,
     /*  294227 */     GIR_EraseRootFromParent_Done,
     /*  294228 */   // Label 5500: @294228
     /*  294228 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294291), // Rule ID 9270 //
     /*  294233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  294247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294289 */     GIR_RootConstrainSelectedInstOperands,
     /*  294290 */     // GIR_Coverage, 9270,
     /*  294290 */     GIR_EraseRootFromParent_Done,
     /*  294291 */   // Label 5501: @294291
     /*  294291 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294354), // Rule ID 9271 //
     /*  294296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  294310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294335 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294352 */     GIR_RootConstrainSelectedInstOperands,
     /*  294353 */     // GIR_Coverage, 9271,
     /*  294353 */     GIR_EraseRootFromParent_Done,
     /*  294354 */   // Label 5502: @294354
     /*  294354 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294417), // Rule ID 9274 //
     /*  294359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  294373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294398 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294415 */     GIR_RootConstrainSelectedInstOperands,
     /*  294416 */     // GIR_Coverage, 9274,
     /*  294416 */     GIR_EraseRootFromParent_Done,
     /*  294417 */   // Label 5503: @294417
     /*  294417 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294480), // Rule ID 9275 //
     /*  294422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  294436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294478 */     GIR_RootConstrainSelectedInstOperands,
     /*  294479 */     // GIR_Coverage, 9275,
     /*  294479 */     GIR_EraseRootFromParent_Done,
     /*  294480 */   // Label 5504: @294480
     /*  294480 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294543), // Rule ID 9278 //
     /*  294485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294541 */     GIR_RootConstrainSelectedInstOperands,
     /*  294542 */     // GIR_Coverage, 9278,
     /*  294542 */     GIR_EraseRootFromParent_Done,
     /*  294543 */   // Label 5505: @294543
     /*  294543 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(294606), // Rule ID 9279 //
     /*  294548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294604 */     GIR_RootConstrainSelectedInstOperands,
     /*  294605 */     // GIR_Coverage, 9279,
     /*  294605 */     GIR_EraseRootFromParent_Done,
     /*  294606 */   // Label 5506: @294606
     /*  294606 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(294669), // Rule ID 9282 //
     /*  294611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294650 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294667 */     GIR_RootConstrainSelectedInstOperands,
     /*  294668 */     // GIR_Coverage, 9282,
     /*  294668 */     GIR_EraseRootFromParent_Done,
     /*  294669 */   // Label 5507: @294669
     /*  294669 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(294732), // Rule ID 9283 //
     /*  294674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294713 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294730 */     GIR_RootConstrainSelectedInstOperands,
     /*  294731 */     // GIR_Coverage, 9283,
     /*  294731 */     GIR_EraseRootFromParent_Done,
     /*  294732 */   // Label 5508: @294732
     /*  294732 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(294795), // Rule ID 9286 //
     /*  294737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294793 */     GIR_RootConstrainSelectedInstOperands,
     /*  294794 */     // GIR_Coverage, 9286,
     /*  294794 */     GIR_EraseRootFromParent_Done,
     /*  294795 */   // Label 5509: @294795
     /*  294795 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(294858), // Rule ID 9287 //
     /*  294800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294839 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294856 */     GIR_RootConstrainSelectedInstOperands,
     /*  294857 */     // GIR_Coverage, 9287,
     /*  294857 */     GIR_EraseRootFromParent_Done,
     /*  294858 */   // Label 5510: @294858
     /*  294858 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(294921), // Rule ID 9290 //
     /*  294863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294919 */     GIR_RootConstrainSelectedInstOperands,
     /*  294920 */     // GIR_Coverage, 9290,
     /*  294920 */     GIR_EraseRootFromParent_Done,
     /*  294921 */   // Label 5511: @294921
     /*  294921 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(294984), // Rule ID 9291 //
     /*  294926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294965 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294982 */     GIR_RootConstrainSelectedInstOperands,
     /*  294983 */     // GIR_Coverage, 9291,
     /*  294983 */     GIR_EraseRootFromParent_Done,
     /*  294984 */   // Label 5512: @294984
     /*  294984 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(295047), // Rule ID 9294 //
     /*  294989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  295003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295045 */     GIR_RootConstrainSelectedInstOperands,
     /*  295046 */     // GIR_Coverage, 9294,
     /*  295046 */     GIR_EraseRootFromParent_Done,
     /*  295047 */   // Label 5513: @295047
     /*  295047 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(295110), // Rule ID 9295 //
     /*  295052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  295066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295091 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295108 */     GIR_RootConstrainSelectedInstOperands,
     /*  295109 */     // GIR_Coverage, 9295,
     /*  295109 */     GIR_EraseRootFromParent_Done,
     /*  295110 */   // Label 5514: @295110
     /*  295110 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(295173), // Rule ID 9298 //
     /*  295115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  295129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295171 */     GIR_RootConstrainSelectedInstOperands,
     /*  295172 */     // GIR_Coverage, 9298,
     /*  295172 */     GIR_EraseRootFromParent_Done,
     /*  295173 */   // Label 5515: @295173
     /*  295173 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295236), // Rule ID 9299 //
     /*  295178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  295192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295217 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295234 */     GIR_RootConstrainSelectedInstOperands,
     /*  295235 */     // GIR_Coverage, 9299,
     /*  295235 */     GIR_EraseRootFromParent_Done,
     /*  295236 */   // Label 5516: @295236
     /*  295236 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295299), // Rule ID 9302 //
     /*  295241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  295255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295297 */     GIR_RootConstrainSelectedInstOperands,
     /*  295298 */     // GIR_Coverage, 9302,
     /*  295298 */     GIR_EraseRootFromParent_Done,
     /*  295299 */   // Label 5517: @295299
     /*  295299 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295362), // Rule ID 9303 //
     /*  295304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  295318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295343 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295360 */     GIR_RootConstrainSelectedInstOperands,
     /*  295361 */     // GIR_Coverage, 9303,
     /*  295361 */     GIR_EraseRootFromParent_Done,
     /*  295362 */   // Label 5518: @295362
     /*  295362 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295425), // Rule ID 9306 //
     /*  295367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  295381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295423 */     GIR_RootConstrainSelectedInstOperands,
     /*  295424 */     // GIR_Coverage, 9306,
     /*  295424 */     GIR_EraseRootFromParent_Done,
     /*  295425 */   // Label 5519: @295425
     /*  295425 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295488), // Rule ID 9307 //
     /*  295430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  295444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295469 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295486 */     GIR_RootConstrainSelectedInstOperands,
     /*  295487 */     // GIR_Coverage, 9307,
     /*  295487 */     GIR_EraseRootFromParent_Done,
     /*  295488 */   // Label 5520: @295488
     /*  295488 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295551), // Rule ID 9310 //
     /*  295493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295532 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295549 */     GIR_RootConstrainSelectedInstOperands,
     /*  295550 */     // GIR_Coverage, 9310,
     /*  295550 */     GIR_EraseRootFromParent_Done,
     /*  295551 */   // Label 5521: @295551
     /*  295551 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(295614), // Rule ID 9311 //
     /*  295556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295595 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295612 */     GIR_RootConstrainSelectedInstOperands,
     /*  295613 */     // GIR_Coverage, 9311,
     /*  295613 */     GIR_EraseRootFromParent_Done,
     /*  295614 */   // Label 5522: @295614
     /*  295614 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(295677), // Rule ID 9314 //
     /*  295619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295658 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295675 */     GIR_RootConstrainSelectedInstOperands,
     /*  295676 */     // GIR_Coverage, 9314,
     /*  295676 */     GIR_EraseRootFromParent_Done,
     /*  295677 */   // Label 5523: @295677
     /*  295677 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(295740), // Rule ID 9315 //
     /*  295682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295721 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295738 */     GIR_RootConstrainSelectedInstOperands,
     /*  295739 */     // GIR_Coverage, 9315,
     /*  295739 */     GIR_EraseRootFromParent_Done,
     /*  295740 */   // Label 5524: @295740
     /*  295740 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(295803), // Rule ID 9318 //
     /*  295745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295801 */     GIR_RootConstrainSelectedInstOperands,
     /*  295802 */     // GIR_Coverage, 9318,
     /*  295802 */     GIR_EraseRootFromParent_Done,
     /*  295803 */   // Label 5525: @295803
     /*  295803 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(295866), // Rule ID 9319 //
     /*  295808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295847 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295864 */     GIR_RootConstrainSelectedInstOperands,
     /*  295865 */     // GIR_Coverage, 9319,
     /*  295865 */     GIR_EraseRootFromParent_Done,
     /*  295866 */   // Label 5526: @295866
     /*  295866 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(295929), // Rule ID 9322 //
     /*  295871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295910 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295927 */     GIR_RootConstrainSelectedInstOperands,
     /*  295928 */     // GIR_Coverage, 9322,
     /*  295928 */     GIR_EraseRootFromParent_Done,
     /*  295929 */   // Label 5527: @295929
     /*  295929 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(295992), // Rule ID 9323 //
     /*  295934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295973 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295990 */     GIR_RootConstrainSelectedInstOperands,
     /*  295991 */     // GIR_Coverage, 9323,
     /*  295991 */     GIR_EraseRootFromParent_Done,
     /*  295992 */   // Label 5528: @295992
     /*  295992 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(296055), // Rule ID 9326 //
     /*  295997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  296011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296053 */     GIR_RootConstrainSelectedInstOperands,
     /*  296054 */     // GIR_Coverage, 9326,
     /*  296054 */     GIR_EraseRootFromParent_Done,
     /*  296055 */   // Label 5529: @296055
     /*  296055 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(296118), // Rule ID 9327 //
     /*  296060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  296074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296099 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296116 */     GIR_RootConstrainSelectedInstOperands,
     /*  296117 */     // GIR_Coverage, 9327,
     /*  296117 */     GIR_EraseRootFromParent_Done,
     /*  296118 */   // Label 5530: @296118
     /*  296118 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(296181), // Rule ID 9330 //
     /*  296123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  296137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296162 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296179 */     GIR_RootConstrainSelectedInstOperands,
     /*  296180 */     // GIR_Coverage, 9330,
     /*  296180 */     GIR_EraseRootFromParent_Done,
     /*  296181 */   // Label 5531: @296181
     /*  296181 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296244), // Rule ID 9331 //
     /*  296186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  296200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296225 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296242 */     GIR_RootConstrainSelectedInstOperands,
     /*  296243 */     // GIR_Coverage, 9331,
     /*  296243 */     GIR_EraseRootFromParent_Done,
     /*  296244 */   // Label 5532: @296244
     /*  296244 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296307), // Rule ID 9334 //
     /*  296249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  296263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296305 */     GIR_RootConstrainSelectedInstOperands,
     /*  296306 */     // GIR_Coverage, 9334,
     /*  296306 */     GIR_EraseRootFromParent_Done,
     /*  296307 */   // Label 5533: @296307
     /*  296307 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296370), // Rule ID 9335 //
     /*  296312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  296326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296351 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296368 */     GIR_RootConstrainSelectedInstOperands,
     /*  296369 */     // GIR_Coverage, 9335,
     /*  296369 */     GIR_EraseRootFromParent_Done,
     /*  296370 */   // Label 5534: @296370
     /*  296370 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296433), // Rule ID 9338 //
     /*  296375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  296389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296414 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296431 */     GIR_RootConstrainSelectedInstOperands,
     /*  296432 */     // GIR_Coverage, 9338,
     /*  296432 */     GIR_EraseRootFromParent_Done,
     /*  296433 */   // Label 5535: @296433
     /*  296433 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296496), // Rule ID 9339 //
     /*  296438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  296452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296477 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296494 */     GIR_RootConstrainSelectedInstOperands,
     /*  296495 */     // GIR_Coverage, 9339,
     /*  296495 */     GIR_EraseRootFromParent_Done,
     /*  296496 */   // Label 5536: @296496
     /*  296496 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296559), // Rule ID 9342 //
     /*  296501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296557 */     GIR_RootConstrainSelectedInstOperands,
     /*  296558 */     // GIR_Coverage, 9342,
     /*  296558 */     GIR_EraseRootFromParent_Done,
     /*  296559 */   // Label 5537: @296559
     /*  296559 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(296622), // Rule ID 9343 //
     /*  296564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296603 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296620 */     GIR_RootConstrainSelectedInstOperands,
     /*  296621 */     // GIR_Coverage, 9343,
     /*  296621 */     GIR_EraseRootFromParent_Done,
     /*  296622 */   // Label 5538: @296622
     /*  296622 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(296685), // Rule ID 9346 //
     /*  296627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296683 */     GIR_RootConstrainSelectedInstOperands,
     /*  296684 */     // GIR_Coverage, 9346,
     /*  296684 */     GIR_EraseRootFromParent_Done,
     /*  296685 */   // Label 5539: @296685
     /*  296685 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(296748), // Rule ID 9347 //
     /*  296690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296746 */     GIR_RootConstrainSelectedInstOperands,
     /*  296747 */     // GIR_Coverage, 9347,
     /*  296747 */     GIR_EraseRootFromParent_Done,
     /*  296748 */   // Label 5540: @296748
     /*  296748 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(296811), // Rule ID 9350 //
     /*  296753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296809 */     GIR_RootConstrainSelectedInstOperands,
     /*  296810 */     // GIR_Coverage, 9350,
     /*  296810 */     GIR_EraseRootFromParent_Done,
     /*  296811 */   // Label 5541: @296811
     /*  296811 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(296874), // Rule ID 9351 //
     /*  296816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296855 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296872 */     GIR_RootConstrainSelectedInstOperands,
     /*  296873 */     // GIR_Coverage, 9351,
     /*  296873 */     GIR_EraseRootFromParent_Done,
     /*  296874 */   // Label 5542: @296874
     /*  296874 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(296937), // Rule ID 9442 //
     /*  296879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296918 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296935 */     GIR_RootConstrainSelectedInstOperands,
     /*  296936 */     // GIR_Coverage, 9442,
     /*  296936 */     GIR_EraseRootFromParent_Done,
     /*  296937 */   // Label 5543: @296937
     /*  296937 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(297000), // Rule ID 9443 //
     /*  296942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296981 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296998 */     GIR_RootConstrainSelectedInstOperands,
     /*  296999 */     // GIR_Coverage, 9443,
     /*  296999 */     GIR_EraseRootFromParent_Done,
     /*  297000 */   // Label 5544: @297000
     /*  297000 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(297063), // Rule ID 9446 //
     /*  297005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  297019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  297022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297061 */     GIR_RootConstrainSelectedInstOperands,
     /*  297062 */     // GIR_Coverage, 9446,
     /*  297062 */     GIR_EraseRootFromParent_Done,
     /*  297063 */   // Label 5545: @297063
     /*  297063 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(297126), // Rule ID 9447 //
     /*  297068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  297082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  297085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297107 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297124 */     GIR_RootConstrainSelectedInstOperands,
     /*  297125 */     // GIR_Coverage, 9447,
     /*  297125 */     GIR_EraseRootFromParent_Done,
     /*  297126 */   // Label 5546: @297126
     /*  297126 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297189), // Rule ID 9450 //
     /*  297131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  297145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  297148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297170 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297187 */     GIR_RootConstrainSelectedInstOperands,
     /*  297188 */     // GIR_Coverage, 9450,
     /*  297188 */     GIR_EraseRootFromParent_Done,
     /*  297189 */   // Label 5547: @297189
     /*  297189 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297252), // Rule ID 9451 //
     /*  297194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  297208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  297211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297233 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297250 */     GIR_RootConstrainSelectedInstOperands,
     /*  297251 */     // GIR_Coverage, 9451,
     /*  297251 */     GIR_EraseRootFromParent_Done,
     /*  297252 */   // Label 5548: @297252
     /*  297252 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297315), // Rule ID 9454 //
     /*  297257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  297271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  297274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297313 */     GIR_RootConstrainSelectedInstOperands,
     /*  297314 */     // GIR_Coverage, 9454,
     /*  297314 */     GIR_EraseRootFromParent_Done,
     /*  297315 */   // Label 5549: @297315
     /*  297315 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297378), // Rule ID 9455 //
     /*  297320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  297334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  297337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297359 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297376 */     GIR_RootConstrainSelectedInstOperands,
     /*  297377 */     // GIR_Coverage, 9455,
     /*  297377 */     GIR_EraseRootFromParent_Done,
     /*  297378 */   // Label 5550: @297378
     /*  297378 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297441), // Rule ID 9458 //
     /*  297383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  297397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  297400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297422 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297439 */     GIR_RootConstrainSelectedInstOperands,
     /*  297440 */     // GIR_Coverage, 9458,
     /*  297440 */     GIR_EraseRootFromParent_Done,
     /*  297441 */   // Label 5551: @297441
     /*  297441 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297504), // Rule ID 9459 //
     /*  297446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  297460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  297463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297485 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297502 */     GIR_RootConstrainSelectedInstOperands,
     /*  297503 */     // GIR_Coverage, 9459,
     /*  297503 */     GIR_EraseRootFromParent_Done,
     /*  297504 */   // Label 5552: @297504
     /*  297504 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(297567), // Rule ID 9462 //
     /*  297509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297565 */     GIR_RootConstrainSelectedInstOperands,
     /*  297566 */     // GIR_Coverage, 9462,
     /*  297566 */     GIR_EraseRootFromParent_Done,
     /*  297567 */   // Label 5553: @297567
     /*  297567 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(297630), // Rule ID 9463 //
     /*  297572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297611 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297628 */     GIR_RootConstrainSelectedInstOperands,
     /*  297629 */     // GIR_Coverage, 9463,
     /*  297629 */     GIR_EraseRootFromParent_Done,
     /*  297630 */   // Label 5554: @297630
     /*  297630 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(297693), // Rule ID 9466 //
     /*  297635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297674 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297691 */     GIR_RootConstrainSelectedInstOperands,
     /*  297692 */     // GIR_Coverage, 9466,
     /*  297692 */     GIR_EraseRootFromParent_Done,
     /*  297693 */   // Label 5555: @297693
     /*  297693 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(297756), // Rule ID 9467 //
     /*  297698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297754 */     GIR_RootConstrainSelectedInstOperands,
     /*  297755 */     // GIR_Coverage, 9467,
     /*  297755 */     GIR_EraseRootFromParent_Done,
     /*  297756 */   // Label 5556: @297756
     /*  297756 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(297819), // Rule ID 9470 //
     /*  297761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297817 */     GIR_RootConstrainSelectedInstOperands,
     /*  297818 */     // GIR_Coverage, 9470,
     /*  297818 */     GIR_EraseRootFromParent_Done,
     /*  297819 */   // Label 5557: @297819
     /*  297819 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(297882), // Rule ID 9471 //
     /*  297824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297863 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297880 */     GIR_RootConstrainSelectedInstOperands,
     /*  297881 */     // GIR_Coverage, 9471,
     /*  297881 */     GIR_EraseRootFromParent_Done,
     /*  297882 */   // Label 5558: @297882
     /*  297882 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(297945), // Rule ID 9474 //
     /*  297887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297926 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297943 */     GIR_RootConstrainSelectedInstOperands,
     /*  297944 */     // GIR_Coverage, 9474,
     /*  297944 */     GIR_EraseRootFromParent_Done,
     /*  297945 */   // Label 5559: @297945
     /*  297945 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(298008), // Rule ID 9475 //
     /*  297950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297989 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298006 */     GIR_RootConstrainSelectedInstOperands,
     /*  298007 */     // GIR_Coverage, 9475,
     /*  298007 */     GIR_EraseRootFromParent_Done,
     /*  298008 */   // Label 5560: @298008
     /*  298008 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(298071), // Rule ID 9478 //
     /*  298013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  298027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  298030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298069 */     GIR_RootConstrainSelectedInstOperands,
     /*  298070 */     // GIR_Coverage, 9478,
     /*  298070 */     GIR_EraseRootFromParent_Done,
     /*  298071 */   // Label 5561: @298071
     /*  298071 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(298134), // Rule ID 9479 //
     /*  298076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  298090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  298093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298115 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298132 */     GIR_RootConstrainSelectedInstOperands,
     /*  298133 */     // GIR_Coverage, 9479,
     /*  298133 */     GIR_EraseRootFromParent_Done,
     /*  298134 */   // Label 5562: @298134
     /*  298134 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298197), // Rule ID 9482 //
     /*  298139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  298153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  298156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298178 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298195 */     GIR_RootConstrainSelectedInstOperands,
     /*  298196 */     // GIR_Coverage, 9482,
     /*  298196 */     GIR_EraseRootFromParent_Done,
     /*  298197 */   // Label 5563: @298197
     /*  298197 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298260), // Rule ID 9483 //
     /*  298202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  298216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  298219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298241 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298258 */     GIR_RootConstrainSelectedInstOperands,
     /*  298259 */     // GIR_Coverage, 9483,
     /*  298259 */     GIR_EraseRootFromParent_Done,
     /*  298260 */   // Label 5564: @298260
     /*  298260 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298323), // Rule ID 9486 //
     /*  298265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  298276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  298279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  298282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298304 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298321 */     GIR_RootConstrainSelectedInstOperands,
     /*  298322 */     // GIR_Coverage, 9486,
     /*  298322 */     GIR_EraseRootFromParent_Done,
     /*  298323 */   // Label 5565: @298323
     /*  298323 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298386), // Rule ID 9487 //
     /*  298328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  298339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  298342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  298345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298367 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298384 */     GIR_RootConstrainSelectedInstOperands,
     /*  298385 */     // GIR_Coverage, 9487,
     /*  298385 */     GIR_EraseRootFromParent_Done,
     /*  298386 */   // Label 5566: @298386
     /*  298386 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298449), // Rule ID 9490 //
     /*  298391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  298405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  298408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298430 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298447 */     GIR_RootConstrainSelectedInstOperands,
     /*  298448 */     // GIR_Coverage, 9490,
     /*  298448 */     GIR_EraseRootFromParent_Done,
     /*  298449 */   // Label 5567: @298449
     /*  298449 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298512), // Rule ID 9491 //
     /*  298454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  298468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  298471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298510 */     GIR_RootConstrainSelectedInstOperands,
     /*  298511 */     // GIR_Coverage, 9491,
     /*  298511 */     GIR_EraseRootFromParent_Done,
     /*  298512 */   // Label 5568: @298512
     /*  298512 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(298575), // Rule ID 9494 //
     /*  298517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298573 */     GIR_RootConstrainSelectedInstOperands,
     /*  298574 */     // GIR_Coverage, 9494,
     /*  298574 */     GIR_EraseRootFromParent_Done,
     /*  298575 */   // Label 5569: @298575
     /*  298575 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(298638), // Rule ID 9495 //
     /*  298580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298619 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298636 */     GIR_RootConstrainSelectedInstOperands,
     /*  298637 */     // GIR_Coverage, 9495,
     /*  298637 */     GIR_EraseRootFromParent_Done,
     /*  298638 */   // Label 5570: @298638
     /*  298638 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(298701), // Rule ID 9498 //
     /*  298643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298682 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298699 */     GIR_RootConstrainSelectedInstOperands,
     /*  298700 */     // GIR_Coverage, 9498,
     /*  298700 */     GIR_EraseRootFromParent_Done,
     /*  298701 */   // Label 5571: @298701
     /*  298701 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(298764), // Rule ID 9499 //
     /*  298706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298745 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298762 */     GIR_RootConstrainSelectedInstOperands,
     /*  298763 */     // GIR_Coverage, 9499,
     /*  298763 */     GIR_EraseRootFromParent_Done,
     /*  298764 */   // Label 5572: @298764
     /*  298764 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(298827), // Rule ID 9502 //
     /*  298769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298825 */     GIR_RootConstrainSelectedInstOperands,
     /*  298826 */     // GIR_Coverage, 9502,
     /*  298826 */     GIR_EraseRootFromParent_Done,
     /*  298827 */   // Label 5573: @298827
     /*  298827 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(298890), // Rule ID 9503 //
     /*  298832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298888 */     GIR_RootConstrainSelectedInstOperands,
     /*  298889 */     // GIR_Coverage, 9503,
     /*  298889 */     GIR_EraseRootFromParent_Done,
     /*  298890 */   // Label 5574: @298890
     /*  298890 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(298953), // Rule ID 9506 //
     /*  298895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298934 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298951 */     GIR_RootConstrainSelectedInstOperands,
     /*  298952 */     // GIR_Coverage, 9506,
     /*  298952 */     GIR_EraseRootFromParent_Done,
     /*  298953 */   // Label 5575: @298953
     /*  298953 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(299016), // Rule ID 9507 //
     /*  298958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298997 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299014 */     GIR_RootConstrainSelectedInstOperands,
     /*  299015 */     // GIR_Coverage, 9507,
     /*  299015 */     GIR_EraseRootFromParent_Done,
     /*  299016 */   // Label 5576: @299016
     /*  299016 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(299079), // Rule ID 9510 //
     /*  299021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  299035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  299038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299077 */     GIR_RootConstrainSelectedInstOperands,
     /*  299078 */     // GIR_Coverage, 9510,
     /*  299078 */     GIR_EraseRootFromParent_Done,
     /*  299079 */   // Label 5577: @299079
     /*  299079 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(299142), // Rule ID 9511 //
     /*  299084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  299098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  299101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299123 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299140 */     GIR_RootConstrainSelectedInstOperands,
     /*  299141 */     // GIR_Coverage, 9511,
     /*  299141 */     GIR_EraseRootFromParent_Done,
     /*  299142 */   // Label 5578: @299142
     /*  299142 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299205), // Rule ID 9514 //
     /*  299147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  299161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  299164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299186 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299203 */     GIR_RootConstrainSelectedInstOperands,
     /*  299204 */     // GIR_Coverage, 9514,
     /*  299204 */     GIR_EraseRootFromParent_Done,
     /*  299205 */   // Label 5579: @299205
     /*  299205 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299268), // Rule ID 9515 //
     /*  299210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  299224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  299227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299249 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299266 */     GIR_RootConstrainSelectedInstOperands,
     /*  299267 */     // GIR_Coverage, 9515,
     /*  299267 */     GIR_EraseRootFromParent_Done,
     /*  299268 */   // Label 5580: @299268
     /*  299268 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299331), // Rule ID 9518 //
     /*  299273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  299287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  299290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299329 */     GIR_RootConstrainSelectedInstOperands,
     /*  299330 */     // GIR_Coverage, 9518,
     /*  299330 */     GIR_EraseRootFromParent_Done,
     /*  299331 */   // Label 5581: @299331
     /*  299331 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299394), // Rule ID 9519 //
     /*  299336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  299350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  299353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299375 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299392 */     GIR_RootConstrainSelectedInstOperands,
     /*  299393 */     // GIR_Coverage, 9519,
     /*  299393 */     GIR_EraseRootFromParent_Done,
     /*  299394 */   // Label 5582: @299394
     /*  299394 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299457), // Rule ID 9522 //
     /*  299399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  299413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  299416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299455 */     GIR_RootConstrainSelectedInstOperands,
     /*  299456 */     // GIR_Coverage, 9522,
     /*  299456 */     GIR_EraseRootFromParent_Done,
     /*  299457 */   // Label 5583: @299457
     /*  299457 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299520), // Rule ID 9523 //
     /*  299462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  299476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  299479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299518 */     GIR_RootConstrainSelectedInstOperands,
     /*  299519 */     // GIR_Coverage, 9523,
     /*  299519 */     GIR_EraseRootFromParent_Done,
     /*  299520 */   // Label 5584: @299520
     /*  299520 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(299583), // Rule ID 9526 //
     /*  299525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299581 */     GIR_RootConstrainSelectedInstOperands,
     /*  299582 */     // GIR_Coverage, 9526,
     /*  299582 */     GIR_EraseRootFromParent_Done,
     /*  299583 */   // Label 5585: @299583
     /*  299583 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(299646), // Rule ID 9527 //
     /*  299588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299627 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299644 */     GIR_RootConstrainSelectedInstOperands,
     /*  299645 */     // GIR_Coverage, 9527,
     /*  299645 */     GIR_EraseRootFromParent_Done,
     /*  299646 */   // Label 5586: @299646
     /*  299646 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(299709), // Rule ID 9530 //
     /*  299651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299690 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299707 */     GIR_RootConstrainSelectedInstOperands,
     /*  299708 */     // GIR_Coverage, 9530,
     /*  299708 */     GIR_EraseRootFromParent_Done,
     /*  299709 */   // Label 5587: @299709
     /*  299709 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(299772), // Rule ID 9531 //
     /*  299714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299753 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299770 */     GIR_RootConstrainSelectedInstOperands,
     /*  299771 */     // GIR_Coverage, 9531,
     /*  299771 */     GIR_EraseRootFromParent_Done,
     /*  299772 */   // Label 5588: @299772
     /*  299772 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(299835), // Rule ID 9534 //
     /*  299777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299833 */     GIR_RootConstrainSelectedInstOperands,
     /*  299834 */     // GIR_Coverage, 9534,
     /*  299834 */     GIR_EraseRootFromParent_Done,
     /*  299835 */   // Label 5589: @299835
     /*  299835 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(299898), // Rule ID 9535 //
     /*  299840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299879 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299896 */     GIR_RootConstrainSelectedInstOperands,
     /*  299897 */     // GIR_Coverage, 9535,
     /*  299897 */     GIR_EraseRootFromParent_Done,
     /*  299898 */   // Label 5590: @299898
     /*  299898 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(299961), // Rule ID 9538 //
     /*  299903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299942 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299959 */     GIR_RootConstrainSelectedInstOperands,
     /*  299960 */     // GIR_Coverage, 9538,
     /*  299960 */     GIR_EraseRootFromParent_Done,
     /*  299961 */   // Label 5591: @299961
     /*  299961 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(300024), // Rule ID 9539 //
     /*  299966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  300008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300022 */     GIR_RootConstrainSelectedInstOperands,
     /*  300023 */     // GIR_Coverage, 9539,
     /*  300023 */     GIR_EraseRootFromParent_Done,
     /*  300024 */   // Label 5592: @300024
     /*  300024 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(300087), // Rule ID 9542 //
     /*  300029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  300043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300085 */     GIR_RootConstrainSelectedInstOperands,
     /*  300086 */     // GIR_Coverage, 9542,
     /*  300086 */     GIR_EraseRootFromParent_Done,
     /*  300087 */   // Label 5593: @300087
     /*  300087 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(300150), // Rule ID 9543 //
     /*  300092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  300106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300148 */     GIR_RootConstrainSelectedInstOperands,
     /*  300149 */     // GIR_Coverage, 9543,
     /*  300149 */     GIR_EraseRootFromParent_Done,
     /*  300150 */   // Label 5594: @300150
     /*  300150 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300213), // Rule ID 9546 //
     /*  300155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  300169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300194 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300211 */     GIR_RootConstrainSelectedInstOperands,
     /*  300212 */     // GIR_Coverage, 9546,
     /*  300212 */     GIR_EraseRootFromParent_Done,
     /*  300213 */   // Label 5595: @300213
     /*  300213 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300276), // Rule ID 9547 //
     /*  300218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  300232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300257 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300274 */     GIR_RootConstrainSelectedInstOperands,
     /*  300275 */     // GIR_Coverage, 9547,
     /*  300275 */     GIR_EraseRootFromParent_Done,
     /*  300276 */   // Label 5596: @300276
     /*  300276 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300339), // Rule ID 9550 //
     /*  300281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  300295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300337 */     GIR_RootConstrainSelectedInstOperands,
     /*  300338 */     // GIR_Coverage, 9550,
     /*  300338 */     GIR_EraseRootFromParent_Done,
     /*  300339 */   // Label 5597: @300339
     /*  300339 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300402), // Rule ID 9551 //
     /*  300344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  300358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300400 */     GIR_RootConstrainSelectedInstOperands,
     /*  300401 */     // GIR_Coverage, 9551,
     /*  300401 */     GIR_EraseRootFromParent_Done,
     /*  300402 */   // Label 5598: @300402
     /*  300402 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300465), // Rule ID 9554 //
     /*  300407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  300421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300463 */     GIR_RootConstrainSelectedInstOperands,
     /*  300464 */     // GIR_Coverage, 9554,
     /*  300464 */     GIR_EraseRootFromParent_Done,
     /*  300465 */   // Label 5599: @300465
     /*  300465 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300528), // Rule ID 9555 //
     /*  300470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  300484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300526 */     GIR_RootConstrainSelectedInstOperands,
     /*  300527 */     // GIR_Coverage, 9555,
     /*  300527 */     GIR_EraseRootFromParent_Done,
     /*  300528 */   // Label 5600: @300528
     /*  300528 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(300591), // Rule ID 9558 //
     /*  300533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300589 */     GIR_RootConstrainSelectedInstOperands,
     /*  300590 */     // GIR_Coverage, 9558,
     /*  300590 */     GIR_EraseRootFromParent_Done,
     /*  300591 */   // Label 5601: @300591
     /*  300591 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(300654), // Rule ID 9559 //
     /*  300596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300635 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300652 */     GIR_RootConstrainSelectedInstOperands,
     /*  300653 */     // GIR_Coverage, 9559,
     /*  300653 */     GIR_EraseRootFromParent_Done,
     /*  300654 */   // Label 5602: @300654
     /*  300654 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(300717), // Rule ID 9562 //
     /*  300659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300715 */     GIR_RootConstrainSelectedInstOperands,
     /*  300716 */     // GIR_Coverage, 9562,
     /*  300716 */     GIR_EraseRootFromParent_Done,
     /*  300717 */   // Label 5603: @300717
     /*  300717 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(300780), // Rule ID 9563 //
     /*  300722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300761 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300778 */     GIR_RootConstrainSelectedInstOperands,
     /*  300779 */     // GIR_Coverage, 9563,
     /*  300779 */     GIR_EraseRootFromParent_Done,
     /*  300780 */   // Label 5604: @300780
     /*  300780 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(300843), // Rule ID 9566 //
     /*  300785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300841 */     GIR_RootConstrainSelectedInstOperands,
     /*  300842 */     // GIR_Coverage, 9566,
     /*  300842 */     GIR_EraseRootFromParent_Done,
     /*  300843 */   // Label 5605: @300843
     /*  300843 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(300906), // Rule ID 9567 //
     /*  300848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300904 */     GIR_RootConstrainSelectedInstOperands,
     /*  300905 */     // GIR_Coverage, 9567,
     /*  300905 */     GIR_EraseRootFromParent_Done,
     /*  300906 */   // Label 5606: @300906
     /*  300906 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(300969), // Rule ID 9570 //
     /*  300911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300950 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300967 */     GIR_RootConstrainSelectedInstOperands,
     /*  300968 */     // GIR_Coverage, 9570,
     /*  300968 */     GIR_EraseRootFromParent_Done,
     /*  300969 */   // Label 5607: @300969
     /*  300969 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(301032), // Rule ID 9571 //
     /*  300974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301013 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301030 */     GIR_RootConstrainSelectedInstOperands,
     /*  301031 */     // GIR_Coverage, 9571,
     /*  301031 */     GIR_EraseRootFromParent_Done,
     /*  301032 */   // Label 5608: @301032
     /*  301032 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(301095), // Rule ID 9574 //
     /*  301037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  301048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  301051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301076 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301093 */     GIR_RootConstrainSelectedInstOperands,
     /*  301094 */     // GIR_Coverage, 9574,
     /*  301094 */     GIR_EraseRootFromParent_Done,
     /*  301095 */   // Label 5609: @301095
     /*  301095 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(301158), // Rule ID 9575 //
     /*  301100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  301111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  301114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301139 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301156 */     GIR_RootConstrainSelectedInstOperands,
     /*  301157 */     // GIR_Coverage, 9575,
     /*  301157 */     GIR_EraseRootFromParent_Done,
     /*  301158 */   // Label 5610: @301158
     /*  301158 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301221), // Rule ID 9578 //
     /*  301163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  301177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301219 */     GIR_RootConstrainSelectedInstOperands,
     /*  301220 */     // GIR_Coverage, 9578,
     /*  301220 */     GIR_EraseRootFromParent_Done,
     /*  301221 */   // Label 5611: @301221
     /*  301221 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301284), // Rule ID 9579 //
     /*  301226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  301240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301282 */     GIR_RootConstrainSelectedInstOperands,
     /*  301283 */     // GIR_Coverage, 9579,
     /*  301283 */     GIR_EraseRootFromParent_Done,
     /*  301284 */   // Label 5612: @301284
     /*  301284 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301347), // Rule ID 9582 //
     /*  301289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  301303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  301306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301345 */     GIR_RootConstrainSelectedInstOperands,
     /*  301346 */     // GIR_Coverage, 9582,
     /*  301346 */     GIR_EraseRootFromParent_Done,
     /*  301347 */   // Label 5613: @301347
     /*  301347 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301410), // Rule ID 9583 //
     /*  301352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  301366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  301369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301391 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301408 */     GIR_RootConstrainSelectedInstOperands,
     /*  301409 */     // GIR_Coverage, 9583,
     /*  301409 */     GIR_EraseRootFromParent_Done,
     /*  301410 */   // Label 5614: @301410
     /*  301410 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301473), // Rule ID 9586 //
     /*  301415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  301429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301454 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301471 */     GIR_RootConstrainSelectedInstOperands,
     /*  301472 */     // GIR_Coverage, 9586,
     /*  301472 */     GIR_EraseRootFromParent_Done,
     /*  301473 */   // Label 5615: @301473
     /*  301473 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301536), // Rule ID 9587 //
     /*  301478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  301492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301517 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301534 */     GIR_RootConstrainSelectedInstOperands,
     /*  301535 */     // GIR_Coverage, 9587,
     /*  301535 */     GIR_EraseRootFromParent_Done,
     /*  301536 */   // Label 5616: @301536
     /*  301536 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(301599), // Rule ID 9590 //
     /*  301541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301597 */     GIR_RootConstrainSelectedInstOperands,
     /*  301598 */     // GIR_Coverage, 9590,
     /*  301598 */     GIR_EraseRootFromParent_Done,
     /*  301599 */   // Label 5617: @301599
     /*  301599 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(301662), // Rule ID 9591 //
     /*  301604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301660 */     GIR_RootConstrainSelectedInstOperands,
     /*  301661 */     // GIR_Coverage, 9591,
     /*  301661 */     GIR_EraseRootFromParent_Done,
     /*  301662 */   // Label 5618: @301662
     /*  301662 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(301725), // Rule ID 9594 //
     /*  301667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301706 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301723 */     GIR_RootConstrainSelectedInstOperands,
     /*  301724 */     // GIR_Coverage, 9594,
     /*  301724 */     GIR_EraseRootFromParent_Done,
     /*  301725 */   // Label 5619: @301725
     /*  301725 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(301788), // Rule ID 9595 //
     /*  301730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301769 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301786 */     GIR_RootConstrainSelectedInstOperands,
     /*  301787 */     // GIR_Coverage, 9595,
     /*  301787 */     GIR_EraseRootFromParent_Done,
     /*  301788 */   // Label 5620: @301788
     /*  301788 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(301851), // Rule ID 9598 //
     /*  301793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301849 */     GIR_RootConstrainSelectedInstOperands,
     /*  301850 */     // GIR_Coverage, 9598,
     /*  301850 */     GIR_EraseRootFromParent_Done,
     /*  301851 */   // Label 5621: @301851
     /*  301851 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(301914), // Rule ID 9599 //
     /*  301856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301895 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301912 */     GIR_RootConstrainSelectedInstOperands,
     /*  301913 */     // GIR_Coverage, 9599,
     /*  301913 */     GIR_EraseRootFromParent_Done,
     /*  301914 */   // Label 5622: @301914
     /*  301914 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(301977), // Rule ID 9602 //
     /*  301919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301975 */     GIR_RootConstrainSelectedInstOperands,
     /*  301976 */     // GIR_Coverage, 9602,
     /*  301976 */     GIR_EraseRootFromParent_Done,
     /*  301977 */   // Label 5623: @301977
     /*  301977 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(302040), // Rule ID 9603 //
     /*  301982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302021 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  302024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302038 */     GIR_RootConstrainSelectedInstOperands,
     /*  302039 */     // GIR_Coverage, 9603,
     /*  302039 */     GIR_EraseRootFromParent_Done,
     /*  302040 */   // Label 5624: @302040
     /*  302040 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(302103), // Rule ID 9606 //
     /*  302045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  302059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302101 */     GIR_RootConstrainSelectedInstOperands,
     /*  302102 */     // GIR_Coverage, 9606,
     /*  302102 */     GIR_EraseRootFromParent_Done,
     /*  302103 */   // Label 5625: @302103
     /*  302103 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(302166), // Rule ID 9607 //
     /*  302108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  302122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302147 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302164 */     GIR_RootConstrainSelectedInstOperands,
     /*  302165 */     // GIR_Coverage, 9607,
     /*  302165 */     GIR_EraseRootFromParent_Done,
     /*  302166 */   // Label 5626: @302166
     /*  302166 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302229), // Rule ID 9610 //
     /*  302171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  302185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302210 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302227 */     GIR_RootConstrainSelectedInstOperands,
     /*  302228 */     // GIR_Coverage, 9610,
     /*  302228 */     GIR_EraseRootFromParent_Done,
     /*  302229 */   // Label 5627: @302229
     /*  302229 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302292), // Rule ID 9611 //
     /*  302234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  302248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302273 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302290 */     GIR_RootConstrainSelectedInstOperands,
     /*  302291 */     // GIR_Coverage, 9611,
     /*  302291 */     GIR_EraseRootFromParent_Done,
     /*  302292 */   // Label 5628: @302292
     /*  302292 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302355), // Rule ID 9614 //
     /*  302297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  302311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  302314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  302339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302353 */     GIR_RootConstrainSelectedInstOperands,
     /*  302354 */     // GIR_Coverage, 9614,
     /*  302354 */     GIR_EraseRootFromParent_Done,
     /*  302355 */   // Label 5629: @302355
     /*  302355 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302418), // Rule ID 9615 //
     /*  302360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  302374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  302377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302399 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  302402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302416 */     GIR_RootConstrainSelectedInstOperands,
     /*  302417 */     // GIR_Coverage, 9615,
     /*  302417 */     GIR_EraseRootFromParent_Done,
     /*  302418 */   // Label 5630: @302418
     /*  302418 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302481), // Rule ID 9618 //
     /*  302423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302462 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302479 */     GIR_RootConstrainSelectedInstOperands,
     /*  302480 */     // GIR_Coverage, 9618,
     /*  302480 */     GIR_EraseRootFromParent_Done,
     /*  302481 */   // Label 5631: @302481
     /*  302481 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302544), // Rule ID 9619 //
     /*  302486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302525 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302542 */     GIR_RootConstrainSelectedInstOperands,
     /*  302543 */     // GIR_Coverage, 9619,
     /*  302543 */     GIR_EraseRootFromParent_Done,
     /*  302544 */   // Label 5632: @302544
     /*  302544 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(302607), // Rule ID 9622 //
     /*  302549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302605 */     GIR_RootConstrainSelectedInstOperands,
     /*  302606 */     // GIR_Coverage, 9622,
     /*  302606 */     GIR_EraseRootFromParent_Done,
     /*  302607 */   // Label 5633: @302607
     /*  302607 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(302670), // Rule ID 9623 //
     /*  302612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302651 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302668 */     GIR_RootConstrainSelectedInstOperands,
     /*  302669 */     // GIR_Coverage, 9623,
     /*  302669 */     GIR_EraseRootFromParent_Done,
     /*  302670 */   // Label 5634: @302670
     /*  302670 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(302733), // Rule ID 9626 //
     /*  302675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302714 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302731 */     GIR_RootConstrainSelectedInstOperands,
     /*  302732 */     // GIR_Coverage, 9626,
     /*  302732 */     GIR_EraseRootFromParent_Done,
     /*  302733 */   // Label 5635: @302733
     /*  302733 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(302796), // Rule ID 9627 //
     /*  302738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302777 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302794 */     GIR_RootConstrainSelectedInstOperands,
     /*  302795 */     // GIR_Coverage, 9627,
     /*  302795 */     GIR_EraseRootFromParent_Done,
     /*  302796 */   // Label 5636: @302796
     /*  302796 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(302859), // Rule ID 9630 //
     /*  302801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302857 */     GIR_RootConstrainSelectedInstOperands,
     /*  302858 */     // GIR_Coverage, 9630,
     /*  302858 */     GIR_EraseRootFromParent_Done,
     /*  302859 */   // Label 5637: @302859
     /*  302859 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(302922), // Rule ID 9631 //
     /*  302864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302920 */     GIR_RootConstrainSelectedInstOperands,
     /*  302921 */     // GIR_Coverage, 9631,
     /*  302921 */     GIR_EraseRootFromParent_Done,
     /*  302922 */   // Label 5638: @302922
     /*  302922 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(302985), // Rule ID 9634 //
     /*  302927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302966 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302983 */     GIR_RootConstrainSelectedInstOperands,
     /*  302984 */     // GIR_Coverage, 9634,
     /*  302984 */     GIR_EraseRootFromParent_Done,
     /*  302985 */   // Label 5639: @302985
     /*  302985 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(303048), // Rule ID 9635 //
     /*  302990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  303004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  303007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303029 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303046 */     GIR_RootConstrainSelectedInstOperands,
     /*  303047 */     // GIR_Coverage, 9635,
     /*  303047 */     GIR_EraseRootFromParent_Done,
     /*  303048 */   // Label 5640: @303048
     /*  303048 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(303111), // Rule ID 9638 //
     /*  303053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303109 */     GIR_RootConstrainSelectedInstOperands,
     /*  303110 */     // GIR_Coverage, 9638,
     /*  303110 */     GIR_EraseRootFromParent_Done,
     /*  303111 */   // Label 5641: @303111
     /*  303111 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(303174), // Rule ID 9639 //
     /*  303116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303155 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303172 */     GIR_RootConstrainSelectedInstOperands,
     /*  303173 */     // GIR_Coverage, 9639,
     /*  303173 */     GIR_EraseRootFromParent_Done,
     /*  303174 */   // Label 5642: @303174
     /*  303174 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303237), // Rule ID 9642 //
     /*  303179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303218 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303235 */     GIR_RootConstrainSelectedInstOperands,
     /*  303236 */     // GIR_Coverage, 9642,
     /*  303236 */     GIR_EraseRootFromParent_Done,
     /*  303237 */   // Label 5643: @303237
     /*  303237 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303300), // Rule ID 9643 //
     /*  303242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303281 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303298 */     GIR_RootConstrainSelectedInstOperands,
     /*  303299 */     // GIR_Coverage, 9643,
     /*  303299 */     GIR_EraseRootFromParent_Done,
     /*  303300 */   // Label 5644: @303300
     /*  303300 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303363), // Rule ID 9646 //
     /*  303305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  303319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  303322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303361 */     GIR_RootConstrainSelectedInstOperands,
     /*  303362 */     // GIR_Coverage, 9646,
     /*  303362 */     GIR_EraseRootFromParent_Done,
     /*  303363 */   // Label 5645: @303363
     /*  303363 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303426), // Rule ID 9647 //
     /*  303368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  303382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  303385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303407 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303424 */     GIR_RootConstrainSelectedInstOperands,
     /*  303425 */     // GIR_Coverage, 9647,
     /*  303425 */     GIR_EraseRootFromParent_Done,
     /*  303426 */   // Label 5646: @303426
     /*  303426 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303489), // Rule ID 9650 //
     /*  303431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303470 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303487 */     GIR_RootConstrainSelectedInstOperands,
     /*  303488 */     // GIR_Coverage, 9650,
     /*  303488 */     GIR_EraseRootFromParent_Done,
     /*  303489 */   // Label 5647: @303489
     /*  303489 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303552), // Rule ID 9651 //
     /*  303494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303550 */     GIR_RootConstrainSelectedInstOperands,
     /*  303551 */     // GIR_Coverage, 9651,
     /*  303551 */     GIR_EraseRootFromParent_Done,
     /*  303552 */   // Label 5648: @303552
     /*  303552 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(303615), // Rule ID 9654 //
     /*  303557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303613 */     GIR_RootConstrainSelectedInstOperands,
     /*  303614 */     // GIR_Coverage, 9654,
     /*  303614 */     GIR_EraseRootFromParent_Done,
     /*  303615 */   // Label 5649: @303615
     /*  303615 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(303678), // Rule ID 9655 //
     /*  303620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303659 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303676 */     GIR_RootConstrainSelectedInstOperands,
     /*  303677 */     // GIR_Coverage, 9655,
     /*  303677 */     GIR_EraseRootFromParent_Done,
     /*  303678 */   // Label 5650: @303678
     /*  303678 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(303741), // Rule ID 9658 //
     /*  303683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303722 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303739 */     GIR_RootConstrainSelectedInstOperands,
     /*  303740 */     // GIR_Coverage, 9658,
     /*  303740 */     GIR_EraseRootFromParent_Done,
     /*  303741 */   // Label 5651: @303741
     /*  303741 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(303804), // Rule ID 9659 //
     /*  303746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303785 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303802 */     GIR_RootConstrainSelectedInstOperands,
     /*  303803 */     // GIR_Coverage, 9659,
     /*  303803 */     GIR_EraseRootFromParent_Done,
     /*  303804 */   // Label 5652: @303804
     /*  303804 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(303867), // Rule ID 9662 //
     /*  303809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303848 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303865 */     GIR_RootConstrainSelectedInstOperands,
     /*  303866 */     // GIR_Coverage, 9662,
     /*  303866 */     GIR_EraseRootFromParent_Done,
     /*  303867 */   // Label 5653: @303867
     /*  303867 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(303930), // Rule ID 9663 //
     /*  303872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303911 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303928 */     GIR_RootConstrainSelectedInstOperands,
     /*  303929 */     // GIR_Coverage, 9663,
     /*  303929 */     GIR_EraseRootFromParent_Done,
     /*  303930 */   // Label 5654: @303930
     /*  303930 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(303993), // Rule ID 9666 //
     /*  303935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303991 */     GIR_RootConstrainSelectedInstOperands,
     /*  303992 */     // GIR_Coverage, 9666,
     /*  303992 */     GIR_EraseRootFromParent_Done,
     /*  303993 */   // Label 5655: @303993
     /*  303993 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(304056), // Rule ID 9667 //
     /*  303998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  304012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  304015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304054 */     GIR_RootConstrainSelectedInstOperands,
     /*  304055 */     // GIR_Coverage, 9667,
     /*  304055 */     GIR_EraseRootFromParent_Done,
     /*  304056 */   // Label 5656: @304056
     /*  304056 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(304119), // Rule ID 9670 //
     /*  304061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  304078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304117 */     GIR_RootConstrainSelectedInstOperands,
     /*  304118 */     // GIR_Coverage, 9670,
     /*  304118 */     GIR_EraseRootFromParent_Done,
     /*  304119 */   // Label 5657: @304119
     /*  304119 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(304182), // Rule ID 9671 //
     /*  304124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  304141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304163 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304180 */     GIR_RootConstrainSelectedInstOperands,
     /*  304181 */     // GIR_Coverage, 9671,
     /*  304181 */     GIR_EraseRootFromParent_Done,
     /*  304182 */   // Label 5658: @304182
     /*  304182 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304245), // Rule ID 9674 //
     /*  304187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  304201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  304204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304226 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304243 */     GIR_RootConstrainSelectedInstOperands,
     /*  304244 */     // GIR_Coverage, 9674,
     /*  304244 */     GIR_EraseRootFromParent_Done,
     /*  304245 */   // Label 5659: @304245
     /*  304245 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304308), // Rule ID 9675 //
     /*  304250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  304264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  304267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304289 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304306 */     GIR_RootConstrainSelectedInstOperands,
     /*  304307 */     // GIR_Coverage, 9675,
     /*  304307 */     GIR_EraseRootFromParent_Done,
     /*  304308 */   // Label 5660: @304308
     /*  304308 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304371), // Rule ID 9678 //
     /*  304313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  304327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  304330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304369 */     GIR_RootConstrainSelectedInstOperands,
     /*  304370 */     // GIR_Coverage, 9678,
     /*  304370 */     GIR_EraseRootFromParent_Done,
     /*  304371 */   // Label 5661: @304371
     /*  304371 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304434), // Rule ID 9679 //
     /*  304376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  304390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  304393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304432 */     GIR_RootConstrainSelectedInstOperands,
     /*  304433 */     // GIR_Coverage, 9679,
     /*  304433 */     GIR_EraseRootFromParent_Done,
     /*  304434 */   // Label 5662: @304434
     /*  304434 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304497), // Rule ID 9682 //
     /*  304439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304478 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304495 */     GIR_RootConstrainSelectedInstOperands,
     /*  304496 */     // GIR_Coverage, 9682,
     /*  304496 */     GIR_EraseRootFromParent_Done,
     /*  304497 */   // Label 5663: @304497
     /*  304497 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304560), // Rule ID 9683 //
     /*  304502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304558 */     GIR_RootConstrainSelectedInstOperands,
     /*  304559 */     // GIR_Coverage, 9683,
     /*  304559 */     GIR_EraseRootFromParent_Done,
     /*  304560 */   // Label 5664: @304560
     /*  304560 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(304623), // Rule ID 9686 //
     /*  304565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304621 */     GIR_RootConstrainSelectedInstOperands,
     /*  304622 */     // GIR_Coverage, 9686,
     /*  304622 */     GIR_EraseRootFromParent_Done,
     /*  304623 */   // Label 5665: @304623
     /*  304623 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(304686), // Rule ID 9687 //
     /*  304628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304667 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304684 */     GIR_RootConstrainSelectedInstOperands,
     /*  304685 */     // GIR_Coverage, 9687,
     /*  304685 */     GIR_EraseRootFromParent_Done,
     /*  304686 */   // Label 5666: @304686
     /*  304686 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(304749), // Rule ID 9690 //
     /*  304691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304747 */     GIR_RootConstrainSelectedInstOperands,
     /*  304748 */     // GIR_Coverage, 9690,
     /*  304748 */     GIR_EraseRootFromParent_Done,
     /*  304749 */   // Label 5667: @304749
     /*  304749 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(304812), // Rule ID 9691 //
     /*  304754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304793 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304810 */     GIR_RootConstrainSelectedInstOperands,
     /*  304811 */     // GIR_Coverage, 9691,
     /*  304811 */     GIR_EraseRootFromParent_Done,
     /*  304812 */   // Label 5668: @304812
     /*  304812 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(304875), // Rule ID 9694 //
     /*  304817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304873 */     GIR_RootConstrainSelectedInstOperands,
     /*  304874 */     // GIR_Coverage, 9694,
     /*  304874 */     GIR_EraseRootFromParent_Done,
     /*  304875 */   // Label 5669: @304875
     /*  304875 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(304938), // Rule ID 9695 //
     /*  304880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304936 */     GIR_RootConstrainSelectedInstOperands,
     /*  304937 */     // GIR_Coverage, 9695,
     /*  304937 */     GIR_EraseRootFromParent_Done,
     /*  304938 */   // Label 5670: @304938
     /*  304938 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(305001), // Rule ID 9698 //
     /*  304943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304999 */     GIR_RootConstrainSelectedInstOperands,
     /*  305000 */     // GIR_Coverage, 9698,
     /*  305000 */     GIR_EraseRootFromParent_Done,
     /*  305001 */   // Label 5671: @305001
     /*  305001 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(305064), // Rule ID 9699 //
     /*  305006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  305020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  305023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305045 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  305048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305062 */     GIR_RootConstrainSelectedInstOperands,
     /*  305063 */     // GIR_Coverage, 9699,
     /*  305063 */     GIR_EraseRootFromParent_Done,
     /*  305064 */   // Label 5672: @305064
     /*  305064 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(305127), // Rule ID 9702 //
     /*  305069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  305083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  305086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  305111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305125 */     GIR_RootConstrainSelectedInstOperands,
     /*  305126 */     // GIR_Coverage, 9702,
     /*  305126 */     GIR_EraseRootFromParent_Done,
     /*  305127 */   // Label 5673: @305127
     /*  305127 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305190), // Rule ID 9703 //
     /*  305132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  305146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  305149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305171 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  305174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305188 */     GIR_RootConstrainSelectedInstOperands,
     /*  305189 */     // GIR_Coverage, 9703,
     /*  305189 */     GIR_EraseRootFromParent_Done,
     /*  305190 */   // Label 5674: @305190
     /*  305190 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305253), // Rule ID 9706 //
     /*  305195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  305209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  305212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305234 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305251 */     GIR_RootConstrainSelectedInstOperands,
     /*  305252 */     // GIR_Coverage, 9706,
     /*  305252 */     GIR_EraseRootFromParent_Done,
     /*  305253 */   // Label 5675: @305253
     /*  305253 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305316), // Rule ID 9707 //
     /*  305258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  305272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  305275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305314 */     GIR_RootConstrainSelectedInstOperands,
     /*  305315 */     // GIR_Coverage, 9707,
     /*  305315 */     GIR_EraseRootFromParent_Done,
     /*  305316 */   // Label 5676: @305316
     /*  305316 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305379), // Rule ID 9710 //
     /*  305321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  305335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  305338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305377 */     GIR_RootConstrainSelectedInstOperands,
     /*  305378 */     // GIR_Coverage, 9710,
     /*  305378 */     GIR_EraseRootFromParent_Done,
     /*  305379 */   // Label 5677: @305379
     /*  305379 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305442), // Rule ID 9711 //
     /*  305384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  305398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  305401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305440 */     GIR_RootConstrainSelectedInstOperands,
     /*  305441 */     // GIR_Coverage, 9711,
     /*  305441 */     GIR_EraseRootFromParent_Done,
     /*  305442 */   // Label 5678: @305442
     /*  305442 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305505), // Rule ID 9714 //
     /*  305447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305503 */     GIR_RootConstrainSelectedInstOperands,
     /*  305504 */     // GIR_Coverage, 9714,
     /*  305504 */     GIR_EraseRootFromParent_Done,
     /*  305505 */   // Label 5679: @305505
     /*  305505 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(305568), // Rule ID 9715 //
     /*  305510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305549 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305566 */     GIR_RootConstrainSelectedInstOperands,
     /*  305567 */     // GIR_Coverage, 9715,
     /*  305567 */     GIR_EraseRootFromParent_Done,
     /*  305568 */   // Label 5680: @305568
     /*  305568 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(305631), // Rule ID 9718 //
     /*  305573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305629 */     GIR_RootConstrainSelectedInstOperands,
     /*  305630 */     // GIR_Coverage, 9718,
     /*  305630 */     GIR_EraseRootFromParent_Done,
     /*  305631 */   // Label 5681: @305631
     /*  305631 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(305694), // Rule ID 9719 //
     /*  305636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305675 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305692 */     GIR_RootConstrainSelectedInstOperands,
     /*  305693 */     // GIR_Coverage, 9719,
     /*  305693 */     GIR_EraseRootFromParent_Done,
     /*  305694 */   // Label 5682: @305694
     /*  305694 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(305757), // Rule ID 9722 //
     /*  305699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305755 */     GIR_RootConstrainSelectedInstOperands,
     /*  305756 */     // GIR_Coverage, 9722,
     /*  305756 */     GIR_EraseRootFromParent_Done,
     /*  305757 */   // Label 5683: @305757
     /*  305757 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(305820), // Rule ID 9723 //
     /*  305762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305801 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305818 */     GIR_RootConstrainSelectedInstOperands,
     /*  305819 */     // GIR_Coverage, 9723,
     /*  305819 */     GIR_EraseRootFromParent_Done,
     /*  305820 */   // Label 5684: @305820
     /*  305820 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(305883), // Rule ID 9726 //
     /*  305825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305881 */     GIR_RootConstrainSelectedInstOperands,
     /*  305882 */     // GIR_Coverage, 9726,
     /*  305882 */     GIR_EraseRootFromParent_Done,
     /*  305883 */   // Label 5685: @305883
     /*  305883 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(305946), // Rule ID 9727 //
     /*  305888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305927 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305944 */     GIR_RootConstrainSelectedInstOperands,
     /*  305945 */     // GIR_Coverage, 9727,
     /*  305945 */     GIR_EraseRootFromParent_Done,
     /*  305946 */   // Label 5686: @305946
     /*  305946 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(306009), // Rule ID 9730 //
     /*  305951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306007 */     GIR_RootConstrainSelectedInstOperands,
     /*  306008 */     // GIR_Coverage, 9730,
     /*  306008 */     GIR_EraseRootFromParent_Done,
     /*  306009 */   // Label 5687: @306009
     /*  306009 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(306072), // Rule ID 9731 //
     /*  306014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306070 */     GIR_RootConstrainSelectedInstOperands,
     /*  306071 */     // GIR_Coverage, 9731,
     /*  306071 */     GIR_EraseRootFromParent_Done,
     /*  306072 */   // Label 5688: @306072
     /*  306072 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(306135), // Rule ID 9734 //
     /*  306077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306133 */     GIR_RootConstrainSelectedInstOperands,
     /*  306134 */     // GIR_Coverage, 9734,
     /*  306134 */     GIR_EraseRootFromParent_Done,
     /*  306135 */   // Label 5689: @306135
     /*  306135 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306198), // Rule ID 9735 //
     /*  306140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306196 */     GIR_RootConstrainSelectedInstOperands,
     /*  306197 */     // GIR_Coverage, 9735,
     /*  306197 */     GIR_EraseRootFromParent_Done,
     /*  306198 */   // Label 5690: @306198
     /*  306198 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306261), // Rule ID 9738 //
     /*  306203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306242 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306259 */     GIR_RootConstrainSelectedInstOperands,
     /*  306260 */     // GIR_Coverage, 9738,
     /*  306260 */     GIR_EraseRootFromParent_Done,
     /*  306261 */   // Label 5691: @306261
     /*  306261 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306324), // Rule ID 9739 //
     /*  306266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306322 */     GIR_RootConstrainSelectedInstOperands,
     /*  306323 */     // GIR_Coverage, 9739,
     /*  306323 */     GIR_EraseRootFromParent_Done,
     /*  306324 */   // Label 5692: @306324
     /*  306324 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306387), // Rule ID 9742 //
     /*  306329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  306343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  306346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306368 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306385 */     GIR_RootConstrainSelectedInstOperands,
     /*  306386 */     // GIR_Coverage, 9742,
     /*  306386 */     GIR_EraseRootFromParent_Done,
     /*  306387 */   // Label 5693: @306387
     /*  306387 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306450), // Rule ID 9743 //
     /*  306392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  306406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  306409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306431 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306448 */     GIR_RootConstrainSelectedInstOperands,
     /*  306449 */     // GIR_Coverage, 9743,
     /*  306449 */     GIR_EraseRootFromParent_Done,
     /*  306450 */   // Label 5694: @306450
     /*  306450 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306513), // Rule ID 9746 //
     /*  306455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306494 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306511 */     GIR_RootConstrainSelectedInstOperands,
     /*  306512 */     // GIR_Coverage, 9746,
     /*  306512 */     GIR_EraseRootFromParent_Done,
     /*  306513 */   // Label 5695: @306513
     /*  306513 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(306576), // Rule ID 9747 //
     /*  306518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306557 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306574 */     GIR_RootConstrainSelectedInstOperands,
     /*  306575 */     // GIR_Coverage, 9747,
     /*  306575 */     GIR_EraseRootFromParent_Done,
     /*  306576 */   // Label 5696: @306576
     /*  306576 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(306639), // Rule ID 9750 //
     /*  306581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306620 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306637 */     GIR_RootConstrainSelectedInstOperands,
     /*  306638 */     // GIR_Coverage, 9750,
     /*  306638 */     GIR_EraseRootFromParent_Done,
     /*  306639 */   // Label 5697: @306639
     /*  306639 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(306702), // Rule ID 9751 //
     /*  306644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306683 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306700 */     GIR_RootConstrainSelectedInstOperands,
     /*  306701 */     // GIR_Coverage, 9751,
     /*  306701 */     GIR_EraseRootFromParent_Done,
     /*  306702 */   // Label 5698: @306702
     /*  306702 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(306765), // Rule ID 9754 //
     /*  306707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306746 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306763 */     GIR_RootConstrainSelectedInstOperands,
     /*  306764 */     // GIR_Coverage, 9754,
     /*  306764 */     GIR_EraseRootFromParent_Done,
     /*  306765 */   // Label 5699: @306765
     /*  306765 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(306828), // Rule ID 9755 //
     /*  306770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306809 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306826 */     GIR_RootConstrainSelectedInstOperands,
     /*  306827 */     // GIR_Coverage, 9755,
     /*  306827 */     GIR_EraseRootFromParent_Done,
     /*  306828 */   // Label 5700: @306828
     /*  306828 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(306891), // Rule ID 9758 //
     /*  306833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306889 */     GIR_RootConstrainSelectedInstOperands,
     /*  306890 */     // GIR_Coverage, 9758,
     /*  306890 */     GIR_EraseRootFromParent_Done,
     /*  306891 */   // Label 5701: @306891
     /*  306891 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(306954), // Rule ID 9759 //
     /*  306896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306935 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306952 */     GIR_RootConstrainSelectedInstOperands,
     /*  306953 */     // GIR_Coverage, 9759,
     /*  306953 */     GIR_EraseRootFromParent_Done,
     /*  306954 */   // Label 5702: @306954
     /*  306954 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(307017), // Rule ID 9762 //
     /*  306959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306998 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307015 */     GIR_RootConstrainSelectedInstOperands,
     /*  307016 */     // GIR_Coverage, 9762,
     /*  307016 */     GIR_EraseRootFromParent_Done,
     /*  307017 */   // Label 5703: @307017
     /*  307017 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(307080), // Rule ID 9763 //
     /*  307022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307061 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307078 */     GIR_RootConstrainSelectedInstOperands,
     /*  307079 */     // GIR_Coverage, 9763,
     /*  307079 */     GIR_EraseRootFromParent_Done,
     /*  307080 */   // Label 5704: @307080
     /*  307080 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(307143), // Rule ID 9766 //
     /*  307085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307141 */     GIR_RootConstrainSelectedInstOperands,
     /*  307142 */     // GIR_Coverage, 9766,
     /*  307142 */     GIR_EraseRootFromParent_Done,
     /*  307143 */   // Label 5705: @307143
     /*  307143 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307206), // Rule ID 9767 //
     /*  307148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307187 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307204 */     GIR_RootConstrainSelectedInstOperands,
     /*  307205 */     // GIR_Coverage, 9767,
     /*  307205 */     GIR_EraseRootFromParent_Done,
     /*  307206 */   // Label 5706: @307206
     /*  307206 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307269), // Rule ID 9770 //
     /*  307211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307250 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307267 */     GIR_RootConstrainSelectedInstOperands,
     /*  307268 */     // GIR_Coverage, 9770,
     /*  307268 */     GIR_EraseRootFromParent_Done,
     /*  307269 */   // Label 5707: @307269
     /*  307269 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307332), // Rule ID 9771 //
     /*  307274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307330 */     GIR_RootConstrainSelectedInstOperands,
     /*  307331 */     // GIR_Coverage, 9771,
     /*  307331 */     GIR_EraseRootFromParent_Done,
     /*  307332 */   // Label 5708: @307332
     /*  307332 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307395), // Rule ID 9774 //
     /*  307337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307393 */     GIR_RootConstrainSelectedInstOperands,
     /*  307394 */     // GIR_Coverage, 9774,
     /*  307394 */     GIR_EraseRootFromParent_Done,
     /*  307395 */   // Label 5709: @307395
     /*  307395 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307458), // Rule ID 9775 //
     /*  307400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307439 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307456 */     GIR_RootConstrainSelectedInstOperands,
     /*  307457 */     // GIR_Coverage, 9775,
     /*  307457 */     GIR_EraseRootFromParent_Done,
     /*  307458 */   // Label 5710: @307458
     /*  307458 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307521), // Rule ID 9778 //
     /*  307463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307502 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307519 */     GIR_RootConstrainSelectedInstOperands,
     /*  307520 */     // GIR_Coverage, 9778,
     /*  307520 */     GIR_EraseRootFromParent_Done,
     /*  307521 */   // Label 5711: @307521
     /*  307521 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(307584), // Rule ID 9779 //
     /*  307526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307565 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307582 */     GIR_RootConstrainSelectedInstOperands,
     /*  307583 */     // GIR_Coverage, 9779,
     /*  307583 */     GIR_EraseRootFromParent_Done,
     /*  307584 */   // Label 5712: @307584
     /*  307584 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(307647), // Rule ID 9782 //
     /*  307589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307645 */     GIR_RootConstrainSelectedInstOperands,
     /*  307646 */     // GIR_Coverage, 9782,
     /*  307646 */     GIR_EraseRootFromParent_Done,
     /*  307647 */   // Label 5713: @307647
     /*  307647 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(307710), // Rule ID 9783 //
     /*  307652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307691 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307708 */     GIR_RootConstrainSelectedInstOperands,
     /*  307709 */     // GIR_Coverage, 9783,
     /*  307709 */     GIR_EraseRootFromParent_Done,
     /*  307710 */   // Label 5714: @307710
     /*  307710 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(307773), // Rule ID 9786 //
     /*  307715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307771 */     GIR_RootConstrainSelectedInstOperands,
     /*  307772 */     // GIR_Coverage, 9786,
     /*  307772 */     GIR_EraseRootFromParent_Done,
     /*  307773 */   // Label 5715: @307773
     /*  307773 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(307836), // Rule ID 9787 //
     /*  307778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307817 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307834 */     GIR_RootConstrainSelectedInstOperands,
     /*  307835 */     // GIR_Coverage, 9787,
     /*  307835 */     GIR_EraseRootFromParent_Done,
     /*  307836 */   // Label 5716: @307836
     /*  307836 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(307902), // Rule ID 13862 //
     /*  307841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307880 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307900 */     GIR_RootConstrainSelectedInstOperands,
     /*  307901 */     // GIR_Coverage, 13862,
     /*  307901 */     GIR_EraseRootFromParent_Done,
     /*  307902 */   // Label 5717: @307902
     /*  307902 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(307968), // Rule ID 13863 //
     /*  307907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307946 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307966 */     GIR_RootConstrainSelectedInstOperands,
     /*  307967 */     // GIR_Coverage, 13863,
     /*  307967 */     GIR_EraseRootFromParent_Done,
     /*  307968 */   // Label 5718: @307968
     /*  307968 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(308034), // Rule ID 13864 //
     /*  307973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  307984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308032 */     GIR_RootConstrainSelectedInstOperands,
     /*  308033 */     // GIR_Coverage, 13864,
     /*  308033 */     GIR_EraseRootFromParent_Done,
     /*  308034 */   // Label 5719: @308034
     /*  308034 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(308100), // Rule ID 13865 //
     /*  308039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  308050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  308053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  308056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308098 */     GIR_RootConstrainSelectedInstOperands,
     /*  308099 */     // GIR_Coverage, 13865,
     /*  308099 */     GIR_EraseRootFromParent_Done,
     /*  308100 */   // Label 5720: @308100
     /*  308100 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(308166), // Rule ID 13866 //
     /*  308105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  308116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  308119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  308122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308144 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308164 */     GIR_RootConstrainSelectedInstOperands,
     /*  308165 */     // GIR_Coverage, 13866,
     /*  308165 */     GIR_EraseRootFromParent_Done,
     /*  308166 */   // Label 5721: @308166
     /*  308166 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308232), // Rule ID 13867 //
     /*  308171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  308182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  308185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  308188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308230 */     GIR_RootConstrainSelectedInstOperands,
     /*  308231 */     // GIR_Coverage, 13867,
     /*  308231 */     GIR_EraseRootFromParent_Done,
     /*  308232 */   // Label 5722: @308232
     /*  308232 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308298), // Rule ID 13868 //
     /*  308237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308296 */     GIR_RootConstrainSelectedInstOperands,
     /*  308297 */     // GIR_Coverage, 13868,
     /*  308297 */     GIR_EraseRootFromParent_Done,
     /*  308298 */   // Label 5723: @308298
     /*  308298 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308364), // Rule ID 13869 //
     /*  308303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308362 */     GIR_RootConstrainSelectedInstOperands,
     /*  308363 */     // GIR_Coverage, 13869,
     /*  308363 */     GIR_EraseRootFromParent_Done,
     /*  308364 */   // Label 5724: @308364
     /*  308364 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308430), // Rule ID 13870 //
     /*  308369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308428 */     GIR_RootConstrainSelectedInstOperands,
     /*  308429 */     // GIR_Coverage, 13870,
     /*  308429 */     GIR_EraseRootFromParent_Done,
     /*  308430 */   // Label 5725: @308430
     /*  308430 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308496), // Rule ID 13871 //
     /*  308435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308494 */     GIR_RootConstrainSelectedInstOperands,
     /*  308495 */     // GIR_Coverage, 13871,
     /*  308495 */     GIR_EraseRootFromParent_Done,
     /*  308496 */   // Label 5726: @308496
     /*  308496 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308562), // Rule ID 13872 //
     /*  308501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308540 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308560 */     GIR_RootConstrainSelectedInstOperands,
     /*  308561 */     // GIR_Coverage, 13872,
     /*  308561 */     GIR_EraseRootFromParent_Done,
     /*  308562 */   // Label 5727: @308562
     /*  308562 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(308628), // Rule ID 13873 //
     /*  308567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308626 */     GIR_RootConstrainSelectedInstOperands,
     /*  308627 */     // GIR_Coverage, 13873,
     /*  308627 */     GIR_EraseRootFromParent_Done,
     /*  308628 */   // Label 5728: @308628
     /*  308628 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(308694), // Rule ID 13874 //
     /*  308633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308692 */     GIR_RootConstrainSelectedInstOperands,
     /*  308693 */     // GIR_Coverage, 13874,
     /*  308693 */     GIR_EraseRootFromParent_Done,
     /*  308694 */   // Label 5729: @308694
     /*  308694 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(308760), // Rule ID 13875 //
     /*  308699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308738 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308758 */     GIR_RootConstrainSelectedInstOperands,
     /*  308759 */     // GIR_Coverage, 13875,
     /*  308759 */     GIR_EraseRootFromParent_Done,
     /*  308760 */   // Label 5730: @308760
     /*  308760 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(308826), // Rule ID 13876 //
     /*  308765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308824 */     GIR_RootConstrainSelectedInstOperands,
     /*  308825 */     // GIR_Coverage, 13876,
     /*  308825 */     GIR_EraseRootFromParent_Done,
     /*  308826 */   // Label 5731: @308826
     /*  308826 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(308892), // Rule ID 13877 //
     /*  308831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308890 */     GIR_RootConstrainSelectedInstOperands,
     /*  308891 */     // GIR_Coverage, 13877,
     /*  308891 */     GIR_EraseRootFromParent_Done,
     /*  308892 */   // Label 5732: @308892
     /*  308892 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(308958), // Rule ID 13878 //
     /*  308897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308956 */     GIR_RootConstrainSelectedInstOperands,
     /*  308957 */     // GIR_Coverage, 13878,
     /*  308957 */     GIR_EraseRootFromParent_Done,
     /*  308958 */   // Label 5733: @308958
     /*  308958 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(309024), // Rule ID 13879 //
     /*  308963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309022 */     GIR_RootConstrainSelectedInstOperands,
     /*  309023 */     // GIR_Coverage, 13879,
     /*  309023 */     GIR_EraseRootFromParent_Done,
     /*  309024 */   // Label 5734: @309024
     /*  309024 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(309090), // Rule ID 13880 //
     /*  309029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309088 */     GIR_RootConstrainSelectedInstOperands,
     /*  309089 */     // GIR_Coverage, 13880,
     /*  309089 */     GIR_EraseRootFromParent_Done,
     /*  309090 */   // Label 5735: @309090
     /*  309090 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(309156), // Rule ID 13881 //
     /*  309095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  309134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309154 */     GIR_RootConstrainSelectedInstOperands,
     /*  309155 */     // GIR_Coverage, 13881,
     /*  309155 */     GIR_EraseRootFromParent_Done,
     /*  309156 */   // Label 5736: @309156
     /*  309156 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309222), // Rule ID 13882 //
     /*  309161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  309172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  309175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  309178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309220 */     GIR_RootConstrainSelectedInstOperands,
     /*  309221 */     // GIR_Coverage, 13882,
     /*  309221 */     GIR_EraseRootFromParent_Done,
     /*  309222 */   // Label 5737: @309222
     /*  309222 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309288), // Rule ID 13883 //
     /*  309227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  309238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  309241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  309244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309286 */     GIR_RootConstrainSelectedInstOperands,
     /*  309287 */     // GIR_Coverage, 13883,
     /*  309287 */     GIR_EraseRootFromParent_Done,
     /*  309288 */   // Label 5738: @309288
     /*  309288 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309354), // Rule ID 13884 //
     /*  309293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  309304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  309307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  309310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309332 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309352 */     GIR_RootConstrainSelectedInstOperands,
     /*  309353 */     // GIR_Coverage, 13884,
     /*  309353 */     GIR_EraseRootFromParent_Done,
     /*  309354 */   // Label 5739: @309354
     /*  309354 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309420), // Rule ID 13885 //
     /*  309359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  309370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  309373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  309376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309398 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309418 */     GIR_RootConstrainSelectedInstOperands,
     /*  309419 */     // GIR_Coverage, 13885,
     /*  309419 */     GIR_EraseRootFromParent_Done,
     /*  309420 */   // Label 5740: @309420
     /*  309420 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309486), // Rule ID 13886 //
     /*  309425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  309436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309464 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309484 */     GIR_RootConstrainSelectedInstOperands,
     /*  309485 */     // GIR_Coverage, 13886,
     /*  309485 */     GIR_EraseRootFromParent_Done,
     /*  309486 */   // Label 5741: @309486
     /*  309486 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309552), // Rule ID 13887 //
     /*  309491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  309502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309530 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309550 */     GIR_RootConstrainSelectedInstOperands,
     /*  309551 */     // GIR_Coverage, 13887,
     /*  309551 */     GIR_EraseRootFromParent_Done,
     /*  309552 */   // Label 5742: @309552
     /*  309552 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309618), // Rule ID 13888 //
     /*  309557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309616 */     GIR_RootConstrainSelectedInstOperands,
     /*  309617 */     // GIR_Coverage, 13888,
     /*  309617 */     GIR_EraseRootFromParent_Done,
     /*  309618 */   // Label 5743: @309618
     /*  309618 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(309684), // Rule ID 13889 //
     /*  309623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309682 */     GIR_RootConstrainSelectedInstOperands,
     /*  309683 */     // GIR_Coverage, 13889,
     /*  309683 */     GIR_EraseRootFromParent_Done,
     /*  309684 */   // Label 5744: @309684
     /*  309684 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(309750), // Rule ID 13890 //
     /*  309689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309748 */     GIR_RootConstrainSelectedInstOperands,
     /*  309749 */     // GIR_Coverage, 13890,
     /*  309749 */     GIR_EraseRootFromParent_Done,
     /*  309750 */   // Label 5745: @309750
     /*  309750 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(309816), // Rule ID 13891 //
     /*  309755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309814 */     GIR_RootConstrainSelectedInstOperands,
     /*  309815 */     // GIR_Coverage, 13891,
     /*  309815 */     GIR_EraseRootFromParent_Done,
     /*  309816 */   // Label 5746: @309816
     /*  309816 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(309882), // Rule ID 13892 //
     /*  309821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309880 */     GIR_RootConstrainSelectedInstOperands,
     /*  309881 */     // GIR_Coverage, 13892,
     /*  309881 */     GIR_EraseRootFromParent_Done,
     /*  309882 */   // Label 5747: @309882
     /*  309882 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(309948), // Rule ID 13893 //
     /*  309887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309946 */     GIR_RootConstrainSelectedInstOperands,
     /*  309947 */     // GIR_Coverage, 13893,
     /*  309947 */     GIR_EraseRootFromParent_Done,
     /*  309948 */   // Label 5748: @309948
     /*  309948 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(310014), // Rule ID 13894 //
     /*  309953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310012 */     GIR_RootConstrainSelectedInstOperands,
     /*  310013 */     // GIR_Coverage, 13894,
     /*  310013 */     GIR_EraseRootFromParent_Done,
     /*  310014 */   // Label 5749: @310014
     /*  310014 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(310080), // Rule ID 13895 //
     /*  310019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310078 */     GIR_RootConstrainSelectedInstOperands,
     /*  310079 */     // GIR_Coverage, 13895,
     /*  310079 */     GIR_EraseRootFromParent_Done,
     /*  310080 */   // Label 5750: @310080
     /*  310080 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(310146), // Rule ID 13896 //
     /*  310085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310144 */     GIR_RootConstrainSelectedInstOperands,
     /*  310145 */     // GIR_Coverage, 13896,
     /*  310145 */     GIR_EraseRootFromParent_Done,
     /*  310146 */   // Label 5751: @310146
     /*  310146 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310212), // Rule ID 13897 //
     /*  310151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310210 */     GIR_RootConstrainSelectedInstOperands,
     /*  310211 */     // GIR_Coverage, 13897,
     /*  310211 */     GIR_EraseRootFromParent_Done,
     /*  310212 */   // Label 5752: @310212
     /*  310212 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310278), // Rule ID 13898 //
     /*  310217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310276 */     GIR_RootConstrainSelectedInstOperands,
     /*  310277 */     // GIR_Coverage, 13898,
     /*  310277 */     GIR_EraseRootFromParent_Done,
     /*  310278 */   // Label 5753: @310278
     /*  310278 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310344), // Rule ID 13899 //
     /*  310283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310342 */     GIR_RootConstrainSelectedInstOperands,
     /*  310343 */     // GIR_Coverage, 13899,
     /*  310343 */     GIR_EraseRootFromParent_Done,
     /*  310344 */   // Label 5754: @310344
     /*  310344 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310410), // Rule ID 13900 //
     /*  310349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310408 */     GIR_RootConstrainSelectedInstOperands,
     /*  310409 */     // GIR_Coverage, 13900,
     /*  310409 */     GIR_EraseRootFromParent_Done,
     /*  310410 */   // Label 5755: @310410
     /*  310410 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310476), // Rule ID 13901 //
     /*  310415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310474 */     GIR_RootConstrainSelectedInstOperands,
     /*  310475 */     // GIR_Coverage, 13901,
     /*  310475 */     GIR_EraseRootFromParent_Done,
     /*  310476 */   // Label 5756: @310476
     /*  310476 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310542), // Rule ID 13902 //
     /*  310481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310540 */     GIR_RootConstrainSelectedInstOperands,
     /*  310541 */     // GIR_Coverage, 13902,
     /*  310541 */     GIR_EraseRootFromParent_Done,
     /*  310542 */   // Label 5757: @310542
     /*  310542 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310608), // Rule ID 13903 //
     /*  310547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310606 */     GIR_RootConstrainSelectedInstOperands,
     /*  310607 */     // GIR_Coverage, 13903,
     /*  310607 */     GIR_EraseRootFromParent_Done,
     /*  310608 */   // Label 5758: @310608
     /*  310608 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310674), // Rule ID 13904 //
     /*  310613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310672 */     GIR_RootConstrainSelectedInstOperands,
     /*  310673 */     // GIR_Coverage, 13904,
     /*  310673 */     GIR_EraseRootFromParent_Done,
     /*  310674 */   // Label 5759: @310674
     /*  310674 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(310740), // Rule ID 13905 //
     /*  310679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310738 */     GIR_RootConstrainSelectedInstOperands,
     /*  310739 */     // GIR_Coverage, 13905,
     /*  310739 */     GIR_EraseRootFromParent_Done,
     /*  310740 */   // Label 5760: @310740
     /*  310740 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(310806), // Rule ID 13906 //
     /*  310745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310784 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310804 */     GIR_RootConstrainSelectedInstOperands,
     /*  310805 */     // GIR_Coverage, 13906,
     /*  310805 */     GIR_EraseRootFromParent_Done,
     /*  310806 */   // Label 5761: @310806
     /*  310806 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(310872), // Rule ID 13907 //
     /*  310811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310850 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310870 */     GIR_RootConstrainSelectedInstOperands,
     /*  310871 */     // GIR_Coverage, 13907,
     /*  310871 */     GIR_EraseRootFromParent_Done,
     /*  310872 */   // Label 5762: @310872
     /*  310872 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(310938), // Rule ID 13908 //
     /*  310877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310916 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310936 */     GIR_RootConstrainSelectedInstOperands,
     /*  310937 */     // GIR_Coverage, 13908,
     /*  310937 */     GIR_EraseRootFromParent_Done,
     /*  310938 */   // Label 5763: @310938
     /*  310938 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(311004), // Rule ID 13909 //
     /*  310943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310982 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311002 */     GIR_RootConstrainSelectedInstOperands,
     /*  311003 */     // GIR_Coverage, 13909,
     /*  311003 */     GIR_EraseRootFromParent_Done,
     /*  311004 */   // Label 5764: @311004
     /*  311004 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(311070), // Rule ID 13910 //
     /*  311009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311048 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311068 */     GIR_RootConstrainSelectedInstOperands,
     /*  311069 */     // GIR_Coverage, 13910,
     /*  311069 */     GIR_EraseRootFromParent_Done,
     /*  311070 */   // Label 5765: @311070
     /*  311070 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(311136), // Rule ID 13911 //
     /*  311075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311114 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311134 */     GIR_RootConstrainSelectedInstOperands,
     /*  311135 */     // GIR_Coverage, 13911,
     /*  311135 */     GIR_EraseRootFromParent_Done,
     /*  311136 */   // Label 5766: @311136
     /*  311136 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311202), // Rule ID 13912 //
     /*  311141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311180 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311200 */     GIR_RootConstrainSelectedInstOperands,
     /*  311201 */     // GIR_Coverage, 13912,
     /*  311201 */     GIR_EraseRootFromParent_Done,
     /*  311202 */   // Label 5767: @311202
     /*  311202 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311268), // Rule ID 13913 //
     /*  311207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311246 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311266 */     GIR_RootConstrainSelectedInstOperands,
     /*  311267 */     // GIR_Coverage, 13913,
     /*  311267 */     GIR_EraseRootFromParent_Done,
     /*  311268 */   // Label 5768: @311268
     /*  311268 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311334), // Rule ID 13914 //
     /*  311273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311312 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311332 */     GIR_RootConstrainSelectedInstOperands,
     /*  311333 */     // GIR_Coverage, 13914,
     /*  311333 */     GIR_EraseRootFromParent_Done,
     /*  311334 */   // Label 5769: @311334
     /*  311334 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311400), // Rule ID 13915 //
     /*  311339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311398 */     GIR_RootConstrainSelectedInstOperands,
     /*  311399 */     // GIR_Coverage, 13915,
     /*  311399 */     GIR_EraseRootFromParent_Done,
     /*  311400 */   // Label 5770: @311400
     /*  311400 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311466), // Rule ID 13916 //
     /*  311405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311444 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311464 */     GIR_RootConstrainSelectedInstOperands,
     /*  311465 */     // GIR_Coverage, 13916,
     /*  311465 */     GIR_EraseRootFromParent_Done,
     /*  311466 */   // Label 5771: @311466
     /*  311466 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311532), // Rule ID 13917 //
     /*  311471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311510 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311530 */     GIR_RootConstrainSelectedInstOperands,
     /*  311531 */     // GIR_Coverage, 13917,
     /*  311531 */     GIR_EraseRootFromParent_Done,
     /*  311532 */   // Label 5772: @311532
     /*  311532 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311598), // Rule ID 13918 //
     /*  311537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311596 */     GIR_RootConstrainSelectedInstOperands,
     /*  311597 */     // GIR_Coverage, 13918,
     /*  311597 */     GIR_EraseRootFromParent_Done,
     /*  311598 */   // Label 5773: @311598
     /*  311598 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311664), // Rule ID 13919 //
     /*  311603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311642 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311662 */     GIR_RootConstrainSelectedInstOperands,
     /*  311663 */     // GIR_Coverage, 13919,
     /*  311663 */     GIR_EraseRootFromParent_Done,
     /*  311664 */   // Label 5774: @311664
     /*  311664 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311730), // Rule ID 13920 //
     /*  311669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311708 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311728 */     GIR_RootConstrainSelectedInstOperands,
     /*  311729 */     // GIR_Coverage, 13920,
     /*  311729 */     GIR_EraseRootFromParent_Done,
     /*  311730 */   // Label 5775: @311730
     /*  311730 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(311796), // Rule ID 13921 //
     /*  311735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311774 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311794 */     GIR_RootConstrainSelectedInstOperands,
     /*  311795 */     // GIR_Coverage, 13921,
     /*  311795 */     GIR_EraseRootFromParent_Done,
     /*  311796 */   // Label 5776: @311796
     /*  311796 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(311862), // Rule ID 13922 //
     /*  311801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311840 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311860 */     GIR_RootConstrainSelectedInstOperands,
     /*  311861 */     // GIR_Coverage, 13922,
     /*  311861 */     GIR_EraseRootFromParent_Done,
     /*  311862 */   // Label 5777: @311862
     /*  311862 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(311928), // Rule ID 13923 //
     /*  311867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311906 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311926 */     GIR_RootConstrainSelectedInstOperands,
     /*  311927 */     // GIR_Coverage, 13923,
     /*  311927 */     GIR_EraseRootFromParent_Done,
     /*  311928 */   // Label 5778: @311928
     /*  311928 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(311994), // Rule ID 13924 //
     /*  311933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311972 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311992 */     GIR_RootConstrainSelectedInstOperands,
     /*  311993 */     // GIR_Coverage, 13924,
     /*  311993 */     GIR_EraseRootFromParent_Done,
     /*  311994 */   // Label 5779: @311994
     /*  311994 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(312060), // Rule ID 13925 //
     /*  311999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312038 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312058 */     GIR_RootConstrainSelectedInstOperands,
     /*  312059 */     // GIR_Coverage, 13925,
     /*  312059 */     GIR_EraseRootFromParent_Done,
     /*  312060 */   // Label 5780: @312060
     /*  312060 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(312126), // Rule ID 13926 //
     /*  312065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312104 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312124 */     GIR_RootConstrainSelectedInstOperands,
     /*  312125 */     // GIR_Coverage, 13926,
     /*  312125 */     GIR_EraseRootFromParent_Done,
     /*  312126 */   // Label 5781: @312126
     /*  312126 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312192), // Rule ID 13927 //
     /*  312131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312170 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312190 */     GIR_RootConstrainSelectedInstOperands,
     /*  312191 */     // GIR_Coverage, 13927,
     /*  312191 */     GIR_EraseRootFromParent_Done,
     /*  312192 */   // Label 5782: @312192
     /*  312192 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312258), // Rule ID 13928 //
     /*  312197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312236 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312256 */     GIR_RootConstrainSelectedInstOperands,
     /*  312257 */     // GIR_Coverage, 13928,
     /*  312257 */     GIR_EraseRootFromParent_Done,
     /*  312258 */   // Label 5783: @312258
     /*  312258 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312324), // Rule ID 13929 //
     /*  312263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312322 */     GIR_RootConstrainSelectedInstOperands,
     /*  312323 */     // GIR_Coverage, 13929,
     /*  312323 */     GIR_EraseRootFromParent_Done,
     /*  312324 */   // Label 5784: @312324
     /*  312324 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312390), // Rule ID 13930 //
     /*  312329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312388 */     GIR_RootConstrainSelectedInstOperands,
     /*  312389 */     // GIR_Coverage, 13930,
     /*  312389 */     GIR_EraseRootFromParent_Done,
     /*  312390 */   // Label 5785: @312390
     /*  312390 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312456), // Rule ID 13931 //
     /*  312395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312434 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312454 */     GIR_RootConstrainSelectedInstOperands,
     /*  312455 */     // GIR_Coverage, 13931,
     /*  312455 */     GIR_EraseRootFromParent_Done,
     /*  312456 */   // Label 5786: @312456
     /*  312456 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312522), // Rule ID 13932 //
     /*  312461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312500 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312520 */     GIR_RootConstrainSelectedInstOperands,
     /*  312521 */     // GIR_Coverage, 13932,
     /*  312521 */     GIR_EraseRootFromParent_Done,
     /*  312522 */   // Label 5787: @312522
     /*  312522 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312588), // Rule ID 13933 //
     /*  312527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312566 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312586 */     GIR_RootConstrainSelectedInstOperands,
     /*  312587 */     // GIR_Coverage, 13933,
     /*  312587 */     GIR_EraseRootFromParent_Done,
     /*  312588 */   // Label 5788: @312588
     /*  312588 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312654), // Rule ID 13934 //
     /*  312593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312632 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312652 */     GIR_RootConstrainSelectedInstOperands,
     /*  312653 */     // GIR_Coverage, 13934,
     /*  312653 */     GIR_EraseRootFromParent_Done,
     /*  312654 */   // Label 5789: @312654
     /*  312654 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312720), // Rule ID 13935 //
     /*  312659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312698 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312718 */     GIR_RootConstrainSelectedInstOperands,
     /*  312719 */     // GIR_Coverage, 13935,
     /*  312719 */     GIR_EraseRootFromParent_Done,
     /*  312720 */   // Label 5790: @312720
     /*  312720 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(312786), // Rule ID 18938 //
     /*  312725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312764 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312784 */     GIR_RootConstrainSelectedInstOperands,
     /*  312785 */     // GIR_Coverage, 18938,
     /*  312785 */     GIR_EraseRootFromParent_Done,
     /*  312786 */   // Label 5791: @312786
     /*  312786 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(312852), // Rule ID 18939 //
     /*  312791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312830 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312850 */     GIR_RootConstrainSelectedInstOperands,
     /*  312851 */     // GIR_Coverage, 18939,
     /*  312851 */     GIR_EraseRootFromParent_Done,
     /*  312852 */   // Label 5792: @312852
     /*  312852 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(312918), // Rule ID 18942 //
     /*  312857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312916 */     GIR_RootConstrainSelectedInstOperands,
     /*  312917 */     // GIR_Coverage, 18942,
     /*  312917 */     GIR_EraseRootFromParent_Done,
     /*  312918 */   // Label 5793: @312918
     /*  312918 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(312984), // Rule ID 18943 //
     /*  312923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312962 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312982 */     GIR_RootConstrainSelectedInstOperands,
     /*  312983 */     // GIR_Coverage, 18943,
     /*  312983 */     GIR_EraseRootFromParent_Done,
     /*  312984 */   // Label 5794: @312984
     /*  312984 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(313050), // Rule ID 18946 //
     /*  312989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313028 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  313031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313048 */     GIR_RootConstrainSelectedInstOperands,
     /*  313049 */     // GIR_Coverage, 18946,
     /*  313049 */     GIR_EraseRootFromParent_Done,
     /*  313050 */   // Label 5795: @313050
     /*  313050 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(313116), // Rule ID 18947 //
     /*  313055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313094 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  313097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313114 */     GIR_RootConstrainSelectedInstOperands,
     /*  313115 */     // GIR_Coverage, 18947,
     /*  313115 */     GIR_EraseRootFromParent_Done,
     /*  313116 */   // Label 5796: @313116
     /*  313116 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313182), // Rule ID 18950 //
     /*  313121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  313163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313180 */     GIR_RootConstrainSelectedInstOperands,
     /*  313181 */     // GIR_Coverage, 18950,
     /*  313181 */     GIR_EraseRootFromParent_Done,
     /*  313182 */   // Label 5797: @313182
     /*  313182 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313248), // Rule ID 18951 //
     /*  313187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313226 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  313229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313246 */     GIR_RootConstrainSelectedInstOperands,
     /*  313247 */     // GIR_Coverage, 18951,
     /*  313247 */     GIR_EraseRootFromParent_Done,
     /*  313248 */   // Label 5798: @313248
     /*  313248 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313314), // Rule ID 18954 //
     /*  313253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  313295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313312 */     GIR_RootConstrainSelectedInstOperands,
     /*  313313 */     // GIR_Coverage, 18954,
     /*  313313 */     GIR_EraseRootFromParent_Done,
     /*  313314 */   // Label 5799: @313314
     /*  313314 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313380), // Rule ID 18955 //
     /*  313319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313358 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  313361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313378 */     GIR_RootConstrainSelectedInstOperands,
     /*  313379 */     // GIR_Coverage, 18955,
     /*  313379 */     GIR_EraseRootFromParent_Done,
     /*  313380 */   // Label 5800: @313380
     /*  313380 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313446), // Rule ID 18958 //
     /*  313385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313424 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  313427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313444 */     GIR_RootConstrainSelectedInstOperands,
     /*  313445 */     // GIR_Coverage, 18958,
     /*  313445 */     GIR_EraseRootFromParent_Done,
     /*  313446 */   // Label 5801: @313446
     /*  313446 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313512), // Rule ID 18959 //
     /*  313451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313490 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  313493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313510 */     GIR_RootConstrainSelectedInstOperands,
     /*  313511 */     // GIR_Coverage, 18959,
     /*  313511 */     GIR_EraseRootFromParent_Done,
     /*  313512 */   // Label 5802: @313512
     /*  313512 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313578), // Rule ID 18962 //
     /*  313517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313556 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313576 */     GIR_RootConstrainSelectedInstOperands,
     /*  313577 */     // GIR_Coverage, 18962,
     /*  313577 */     GIR_EraseRootFromParent_Done,
     /*  313578 */   // Label 5803: @313578
     /*  313578 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313644), // Rule ID 18963 //
     /*  313583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313622 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313642 */     GIR_RootConstrainSelectedInstOperands,
     /*  313643 */     // GIR_Coverage, 18963,
     /*  313643 */     GIR_EraseRootFromParent_Done,
     /*  313644 */   // Label 5804: @313644
     /*  313644 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313710), // Rule ID 18966 //
     /*  313649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313688 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313708 */     GIR_RootConstrainSelectedInstOperands,
     /*  313709 */     // GIR_Coverage, 18966,
     /*  313709 */     GIR_EraseRootFromParent_Done,
     /*  313710 */   // Label 5805: @313710
     /*  313710 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(313776), // Rule ID 18967 //
     /*  313715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313754 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313774 */     GIR_RootConstrainSelectedInstOperands,
     /*  313775 */     // GIR_Coverage, 18967,
     /*  313775 */     GIR_EraseRootFromParent_Done,
     /*  313776 */   // Label 5806: @313776
     /*  313776 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(313842), // Rule ID 18970 //
     /*  313781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313820 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313840 */     GIR_RootConstrainSelectedInstOperands,
     /*  313841 */     // GIR_Coverage, 18970,
     /*  313841 */     GIR_EraseRootFromParent_Done,
     /*  313842 */   // Label 5807: @313842
     /*  313842 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(313908), // Rule ID 18971 //
     /*  313847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313886 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313906 */     GIR_RootConstrainSelectedInstOperands,
     /*  313907 */     // GIR_Coverage, 18971,
     /*  313907 */     GIR_EraseRootFromParent_Done,
     /*  313908 */   // Label 5808: @313908
     /*  313908 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(313974), // Rule ID 18974 //
     /*  313913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  313955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313972 */     GIR_RootConstrainSelectedInstOperands,
     /*  313973 */     // GIR_Coverage, 18974,
     /*  313973 */     GIR_EraseRootFromParent_Done,
     /*  313974 */   // Label 5809: @313974
     /*  313974 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(314040), // Rule ID 18975 //
     /*  313979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314018 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  314021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314038 */     GIR_RootConstrainSelectedInstOperands,
     /*  314039 */     // GIR_Coverage, 18975,
     /*  314039 */     GIR_EraseRootFromParent_Done,
     /*  314040 */   // Label 5810: @314040
     /*  314040 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(314106), // Rule ID 18978 //
     /*  314045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314084 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  314087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314104 */     GIR_RootConstrainSelectedInstOperands,
     /*  314105 */     // GIR_Coverage, 18978,
     /*  314105 */     GIR_EraseRootFromParent_Done,
     /*  314106 */   // Label 5811: @314106
     /*  314106 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(314172), // Rule ID 18979 //
     /*  314111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314150 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  314153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314170 */     GIR_RootConstrainSelectedInstOperands,
     /*  314171 */     // GIR_Coverage, 18979,
     /*  314171 */     GIR_EraseRootFromParent_Done,
     /*  314172 */   // Label 5812: @314172
     /*  314172 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314238), // Rule ID 18982 //
     /*  314177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  314219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314236 */     GIR_RootConstrainSelectedInstOperands,
     /*  314237 */     // GIR_Coverage, 18982,
     /*  314237 */     GIR_EraseRootFromParent_Done,
     /*  314238 */   // Label 5813: @314238
     /*  314238 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314304), // Rule ID 18983 //
     /*  314243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314282 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  314285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314302 */     GIR_RootConstrainSelectedInstOperands,
     /*  314303 */     // GIR_Coverage, 18983,
     /*  314303 */     GIR_EraseRootFromParent_Done,
     /*  314304 */   // Label 5814: @314304
     /*  314304 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314370), // Rule ID 18986 //
     /*  314309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  314351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314368 */     GIR_RootConstrainSelectedInstOperands,
     /*  314369 */     // GIR_Coverage, 18986,
     /*  314369 */     GIR_EraseRootFromParent_Done,
     /*  314370 */   // Label 5815: @314370
     /*  314370 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314436), // Rule ID 18987 //
     /*  314375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314414 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  314417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314434 */     GIR_RootConstrainSelectedInstOperands,
     /*  314435 */     // GIR_Coverage, 18987,
     /*  314435 */     GIR_EraseRootFromParent_Done,
     /*  314436 */   // Label 5816: @314436
     /*  314436 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314502), // Rule ID 18990 //
     /*  314441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314480 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314500 */     GIR_RootConstrainSelectedInstOperands,
     /*  314501 */     // GIR_Coverage, 18990,
     /*  314501 */     GIR_EraseRootFromParent_Done,
     /*  314502 */   // Label 5817: @314502
     /*  314502 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314568), // Rule ID 18991 //
     /*  314507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314546 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314566 */     GIR_RootConstrainSelectedInstOperands,
     /*  314567 */     // GIR_Coverage, 18991,
     /*  314567 */     GIR_EraseRootFromParent_Done,
     /*  314568 */   // Label 5818: @314568
     /*  314568 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314631), // Rule ID 19654 //
     /*  314573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314629 */     GIR_RootConstrainSelectedInstOperands,
     /*  314630 */     // GIR_Coverage, 19654,
     /*  314630 */     GIR_EraseRootFromParent_Done,
     /*  314631 */   // Label 5819: @314631
     /*  314631 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314694), // Rule ID 19655 //
     /*  314636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314675 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314692 */     GIR_RootConstrainSelectedInstOperands,
     /*  314693 */     // GIR_Coverage, 19655,
     /*  314693 */     GIR_EraseRootFromParent_Done,
     /*  314694 */   // Label 5820: @314694
     /*  314694 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(314757), // Rule ID 19658 //
     /*  314699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314738 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314755 */     GIR_RootConstrainSelectedInstOperands,
     /*  314756 */     // GIR_Coverage, 19658,
     /*  314756 */     GIR_EraseRootFromParent_Done,
     /*  314757 */   // Label 5821: @314757
     /*  314757 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(314820), // Rule ID 19659 //
     /*  314762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314818 */     GIR_RootConstrainSelectedInstOperands,
     /*  314819 */     // GIR_Coverage, 19659,
     /*  314819 */     GIR_EraseRootFromParent_Done,
     /*  314820 */   // Label 5822: @314820
     /*  314820 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(314883), // Rule ID 19662 //
     /*  314825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314881 */     GIR_RootConstrainSelectedInstOperands,
     /*  314882 */     // GIR_Coverage, 19662,
     /*  314882 */     GIR_EraseRootFromParent_Done,
     /*  314883 */   // Label 5823: @314883
     /*  314883 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(314946), // Rule ID 19663 //
     /*  314888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314927 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314944 */     GIR_RootConstrainSelectedInstOperands,
     /*  314945 */     // GIR_Coverage, 19663,
     /*  314945 */     GIR_EraseRootFromParent_Done,
     /*  314946 */   // Label 5824: @314946
     /*  314946 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(315009), // Rule ID 19666 //
     /*  314951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315007 */     GIR_RootConstrainSelectedInstOperands,
     /*  315008 */     // GIR_Coverage, 19666,
     /*  315008 */     GIR_EraseRootFromParent_Done,
     /*  315009 */   // Label 5825: @315009
     /*  315009 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(315072), // Rule ID 19667 //
     /*  315014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315070 */     GIR_RootConstrainSelectedInstOperands,
     /*  315071 */     // GIR_Coverage, 19667,
     /*  315071 */     GIR_EraseRootFromParent_Done,
     /*  315072 */   // Label 5826: @315072
     /*  315072 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(315135), // Rule ID 19670 //
     /*  315077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315133 */     GIR_RootConstrainSelectedInstOperands,
     /*  315134 */     // GIR_Coverage, 19670,
     /*  315134 */     GIR_EraseRootFromParent_Done,
     /*  315135 */   // Label 5827: @315135
     /*  315135 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315198), // Rule ID 19671 //
     /*  315140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315196 */     GIR_RootConstrainSelectedInstOperands,
     /*  315197 */     // GIR_Coverage, 19671,
     /*  315197 */     GIR_EraseRootFromParent_Done,
     /*  315198 */   // Label 5828: @315198
     /*  315198 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315261), // Rule ID 19674 //
     /*  315203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315242 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315259 */     GIR_RootConstrainSelectedInstOperands,
     /*  315260 */     // GIR_Coverage, 19674,
     /*  315260 */     GIR_EraseRootFromParent_Done,
     /*  315261 */   // Label 5829: @315261
     /*  315261 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315324), // Rule ID 19675 //
     /*  315266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315322 */     GIR_RootConstrainSelectedInstOperands,
     /*  315323 */     // GIR_Coverage, 19675,
     /*  315323 */     GIR_EraseRootFromParent_Done,
     /*  315324 */   // Label 5830: @315324
     /*  315324 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315387), // Rule ID 19678 //
     /*  315329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315385 */     GIR_RootConstrainSelectedInstOperands,
     /*  315386 */     // GIR_Coverage, 19678,
     /*  315386 */     GIR_EraseRootFromParent_Done,
     /*  315387 */   // Label 5831: @315387
     /*  315387 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315450), // Rule ID 19679 //
     /*  315392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315431 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315448 */     GIR_RootConstrainSelectedInstOperands,
     /*  315449 */     // GIR_Coverage, 19679,
     /*  315449 */     GIR_EraseRootFromParent_Done,
     /*  315450 */   // Label 5832: @315450
     /*  315450 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315513), // Rule ID 19682 //
     /*  315455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315494 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315511 */     GIR_RootConstrainSelectedInstOperands,
     /*  315512 */     // GIR_Coverage, 19682,
     /*  315512 */     GIR_EraseRootFromParent_Done,
     /*  315513 */   // Label 5833: @315513
     /*  315513 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315576), // Rule ID 19683 //
     /*  315518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315557 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315574 */     GIR_RootConstrainSelectedInstOperands,
     /*  315575 */     // GIR_Coverage, 19683,
     /*  315575 */     GIR_EraseRootFromParent_Done,
     /*  315576 */   // Label 5834: @315576
     /*  315576 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315639), // Rule ID 19686 //
     /*  315581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315620 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315637 */     GIR_RootConstrainSelectedInstOperands,
     /*  315638 */     // GIR_Coverage, 19686,
     /*  315638 */     GIR_EraseRootFromParent_Done,
     /*  315639 */   // Label 5835: @315639
     /*  315639 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(315702), // Rule ID 19687 //
     /*  315644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315683 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315700 */     GIR_RootConstrainSelectedInstOperands,
     /*  315701 */     // GIR_Coverage, 19687,
     /*  315701 */     GIR_EraseRootFromParent_Done,
     /*  315702 */   // Label 5836: @315702
     /*  315702 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(315765), // Rule ID 19690 //
     /*  315707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315763 */     GIR_RootConstrainSelectedInstOperands,
     /*  315764 */     // GIR_Coverage, 19690,
     /*  315764 */     GIR_EraseRootFromParent_Done,
     /*  315765 */   // Label 5837: @315765
     /*  315765 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(315828), // Rule ID 19691 //
     /*  315770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315826 */     GIR_RootConstrainSelectedInstOperands,
     /*  315827 */     // GIR_Coverage, 19691,
     /*  315827 */     GIR_EraseRootFromParent_Done,
     /*  315828 */   // Label 5838: @315828
     /*  315828 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(315891), // Rule ID 19694 //
     /*  315833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315889 */     GIR_RootConstrainSelectedInstOperands,
     /*  315890 */     // GIR_Coverage, 19694,
     /*  315890 */     GIR_EraseRootFromParent_Done,
     /*  315891 */   // Label 5839: @315891
     /*  315891 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(315954), // Rule ID 19695 //
     /*  315896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315935 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315952 */     GIR_RootConstrainSelectedInstOperands,
     /*  315953 */     // GIR_Coverage, 19695,
     /*  315953 */     GIR_EraseRootFromParent_Done,
     /*  315954 */   // Label 5840: @315954
     /*  315954 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(316017), // Rule ID 19698 //
     /*  315959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315998 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316015 */     GIR_RootConstrainSelectedInstOperands,
     /*  316016 */     // GIR_Coverage, 19698,
     /*  316016 */     GIR_EraseRootFromParent_Done,
     /*  316017 */   // Label 5841: @316017
     /*  316017 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(316080), // Rule ID 19699 //
     /*  316022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316061 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316078 */     GIR_RootConstrainSelectedInstOperands,
     /*  316079 */     // GIR_Coverage, 19699,
     /*  316079 */     GIR_EraseRootFromParent_Done,
     /*  316080 */   // Label 5842: @316080
     /*  316080 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(316143), // Rule ID 19702 //
     /*  316085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316141 */     GIR_RootConstrainSelectedInstOperands,
     /*  316142 */     // GIR_Coverage, 19702,
     /*  316142 */     GIR_EraseRootFromParent_Done,
     /*  316143 */   // Label 5843: @316143
     /*  316143 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316206), // Rule ID 19703 //
     /*  316148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316204 */     GIR_RootConstrainSelectedInstOperands,
     /*  316205 */     // GIR_Coverage, 19703,
     /*  316205 */     GIR_EraseRootFromParent_Done,
     /*  316206 */   // Label 5844: @316206
     /*  316206 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316269), // Rule ID 19706 //
     /*  316211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316267 */     GIR_RootConstrainSelectedInstOperands,
     /*  316268 */     // GIR_Coverage, 19706,
     /*  316268 */     GIR_EraseRootFromParent_Done,
     /*  316269 */   // Label 5845: @316269
     /*  316269 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316332), // Rule ID 19707 //
     /*  316274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316313 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316330 */     GIR_RootConstrainSelectedInstOperands,
     /*  316331 */     // GIR_Coverage, 19707,
     /*  316331 */     GIR_EraseRootFromParent_Done,
     /*  316332 */   // Label 5846: @316332
     /*  316332 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316395), // Rule ID 19710 //
     /*  316337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316393 */     GIR_RootConstrainSelectedInstOperands,
     /*  316394 */     // GIR_Coverage, 19710,
     /*  316394 */     GIR_EraseRootFromParent_Done,
     /*  316395 */   // Label 5847: @316395
     /*  316395 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316458), // Rule ID 19711 //
     /*  316400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316439 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316456 */     GIR_RootConstrainSelectedInstOperands,
     /*  316457 */     // GIR_Coverage, 19711,
     /*  316457 */     GIR_EraseRootFromParent_Done,
     /*  316458 */   // Label 5848: @316458
     /*  316458 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316521), // Rule ID 19714 //
     /*  316463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316519 */     GIR_RootConstrainSelectedInstOperands,
     /*  316520 */     // GIR_Coverage, 19714,
     /*  316520 */     GIR_EraseRootFromParent_Done,
     /*  316521 */   // Label 5849: @316521
     /*  316521 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316584), // Rule ID 19715 //
     /*  316526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316582 */     GIR_RootConstrainSelectedInstOperands,
     /*  316583 */     // GIR_Coverage, 19715,
     /*  316583 */     GIR_EraseRootFromParent_Done,
     /*  316584 */   // Label 5850: @316584
     /*  316584 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(316647), // Rule ID 19718 //
     /*  316589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316645 */     GIR_RootConstrainSelectedInstOperands,
     /*  316646 */     // GIR_Coverage, 19718,
     /*  316646 */     GIR_EraseRootFromParent_Done,
     /*  316647 */   // Label 5851: @316647
     /*  316647 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(316710), // Rule ID 19719 //
     /*  316652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316691 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316708 */     GIR_RootConstrainSelectedInstOperands,
     /*  316709 */     // GIR_Coverage, 19719,
     /*  316709 */     GIR_EraseRootFromParent_Done,
     /*  316710 */   // Label 5852: @316710
     /*  316710 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(316773), // Rule ID 19722 //
     /*  316715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316771 */     GIR_RootConstrainSelectedInstOperands,
     /*  316772 */     // GIR_Coverage, 19722,
     /*  316772 */     GIR_EraseRootFromParent_Done,
     /*  316773 */   // Label 5853: @316773
     /*  316773 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(316836), // Rule ID 19723 //
     /*  316778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316834 */     GIR_RootConstrainSelectedInstOperands,
     /*  316835 */     // GIR_Coverage, 19723,
     /*  316835 */     GIR_EraseRootFromParent_Done,
     /*  316836 */   // Label 5854: @316836
     /*  316836 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(316899), // Rule ID 19726 //
     /*  316841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316897 */     GIR_RootConstrainSelectedInstOperands,
     /*  316898 */     // GIR_Coverage, 19726,
     /*  316898 */     GIR_EraseRootFromParent_Done,
     /*  316899 */   // Label 5855: @316899
     /*  316899 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(316962), // Rule ID 19727 //
     /*  316904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316960 */     GIR_RootConstrainSelectedInstOperands,
     /*  316961 */     // GIR_Coverage, 19727,
     /*  316961 */     GIR_EraseRootFromParent_Done,
     /*  316962 */   // Label 5856: @316962
     /*  316962 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(317025), // Rule ID 19730 //
     /*  316967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  317009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317023 */     GIR_RootConstrainSelectedInstOperands,
     /*  317024 */     // GIR_Coverage, 19730,
     /*  317024 */     GIR_EraseRootFromParent_Done,
     /*  317025 */   // Label 5857: @317025
     /*  317025 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(317088), // Rule ID 19731 //
     /*  317030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  317072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317086 */     GIR_RootConstrainSelectedInstOperands,
     /*  317087 */     // GIR_Coverage, 19731,
     /*  317087 */     GIR_EraseRootFromParent_Done,
     /*  317088 */   // Label 5858: @317088
     /*  317088 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(317151), // Rule ID 19734 //
     /*  317093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  317135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317149 */     GIR_RootConstrainSelectedInstOperands,
     /*  317150 */     // GIR_Coverage, 19734,
     /*  317150 */     GIR_EraseRootFromParent_Done,
     /*  317151 */   // Label 5859: @317151
     /*  317151 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317214), // Rule ID 19735 //
     /*  317156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317195 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  317198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317212 */     GIR_RootConstrainSelectedInstOperands,
     /*  317213 */     // GIR_Coverage, 19735,
     /*  317213 */     GIR_EraseRootFromParent_Done,
     /*  317214 */   // Label 5860: @317214
     /*  317214 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317277), // Rule ID 19738 //
     /*  317219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  317261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317275 */     GIR_RootConstrainSelectedInstOperands,
     /*  317276 */     // GIR_Coverage, 19738,
     /*  317276 */     GIR_EraseRootFromParent_Done,
     /*  317277 */   // Label 5861: @317277
     /*  317277 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317340), // Rule ID 19739 //
     /*  317282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  317324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317338 */     GIR_RootConstrainSelectedInstOperands,
     /*  317339 */     // GIR_Coverage, 19739,
     /*  317339 */     GIR_EraseRootFromParent_Done,
     /*  317340 */   // Label 5862: @317340
     /*  317340 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317403), // Rule ID 19742 //
     /*  317345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  317387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317401 */     GIR_RootConstrainSelectedInstOperands,
     /*  317402 */     // GIR_Coverage, 19742,
     /*  317402 */     GIR_EraseRootFromParent_Done,
     /*  317403 */   // Label 5863: @317403
     /*  317403 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317466), // Rule ID 19743 //
     /*  317408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  317450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317464 */     GIR_RootConstrainSelectedInstOperands,
     /*  317465 */     // GIR_Coverage, 19743,
     /*  317465 */     GIR_EraseRootFromParent_Done,
     /*  317466 */   // Label 5864: @317466
     /*  317466 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317529), // Rule ID 19746 //
     /*  317471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317510 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317527 */     GIR_RootConstrainSelectedInstOperands,
     /*  317528 */     // GIR_Coverage, 19746,
     /*  317528 */     GIR_EraseRootFromParent_Done,
     /*  317529 */   // Label 5865: @317529
     /*  317529 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317592), // Rule ID 19747 //
     /*  317534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317590 */     GIR_RootConstrainSelectedInstOperands,
     /*  317591 */     // GIR_Coverage, 19747,
     /*  317591 */     GIR_EraseRootFromParent_Done,
     /*  317592 */   // Label 5866: @317592
     /*  317592 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(317655), // Rule ID 19750 //
     /*  317597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317653 */     GIR_RootConstrainSelectedInstOperands,
     /*  317654 */     // GIR_Coverage, 19750,
     /*  317654 */     GIR_EraseRootFromParent_Done,
     /*  317655 */   // Label 5867: @317655
     /*  317655 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(317718), // Rule ID 19751 //
     /*  317660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317716 */     GIR_RootConstrainSelectedInstOperands,
     /*  317717 */     // GIR_Coverage, 19751,
     /*  317717 */     GIR_EraseRootFromParent_Done,
     /*  317718 */   // Label 5868: @317718
     /*  317718 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(317781), // Rule ID 19754 //
     /*  317723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317779 */     GIR_RootConstrainSelectedInstOperands,
     /*  317780 */     // GIR_Coverage, 19754,
     /*  317780 */     GIR_EraseRootFromParent_Done,
     /*  317781 */   // Label 5869: @317781
     /*  317781 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(317844), // Rule ID 19755 //
     /*  317786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317825 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317842 */     GIR_RootConstrainSelectedInstOperands,
     /*  317843 */     // GIR_Coverage, 19755,
     /*  317843 */     GIR_EraseRootFromParent_Done,
     /*  317844 */   // Label 5870: @317844
     /*  317844 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(317907), // Rule ID 19758 //
     /*  317849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317905 */     GIR_RootConstrainSelectedInstOperands,
     /*  317906 */     // GIR_Coverage, 19758,
     /*  317906 */     GIR_EraseRootFromParent_Done,
     /*  317907 */   // Label 5871: @317907
     /*  317907 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(317970), // Rule ID 19759 //
     /*  317912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317968 */     GIR_RootConstrainSelectedInstOperands,
     /*  317969 */     // GIR_Coverage, 19759,
     /*  317969 */     GIR_EraseRootFromParent_Done,
     /*  317970 */   // Label 5872: @317970
     /*  317970 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(318033), // Rule ID 19762 //
     /*  317975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  318017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318031 */     GIR_RootConstrainSelectedInstOperands,
     /*  318032 */     // GIR_Coverage, 19762,
     /*  318032 */     GIR_EraseRootFromParent_Done,
     /*  318033 */   // Label 5873: @318033
     /*  318033 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(318096), // Rule ID 19763 //
     /*  318038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  318080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318094 */     GIR_RootConstrainSelectedInstOperands,
     /*  318095 */     // GIR_Coverage, 19763,
     /*  318095 */     GIR_EraseRootFromParent_Done,
     /*  318096 */   // Label 5874: @318096
     /*  318096 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(318159), // Rule ID 19766 //
     /*  318101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  318143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318157 */     GIR_RootConstrainSelectedInstOperands,
     /*  318158 */     // GIR_Coverage, 19766,
     /*  318158 */     GIR_EraseRootFromParent_Done,
     /*  318159 */   // Label 5875: @318159
     /*  318159 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318222), // Rule ID 19767 //
     /*  318164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  318206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318220 */     GIR_RootConstrainSelectedInstOperands,
     /*  318221 */     // GIR_Coverage, 19767,
     /*  318221 */     GIR_EraseRootFromParent_Done,
     /*  318222 */   // Label 5876: @318222
     /*  318222 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318285), // Rule ID 19770 //
     /*  318227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  318269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318283 */     GIR_RootConstrainSelectedInstOperands,
     /*  318284 */     // GIR_Coverage, 19770,
     /*  318284 */     GIR_EraseRootFromParent_Done,
     /*  318285 */   // Label 5877: @318285
     /*  318285 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318348), // Rule ID 19771 //
     /*  318290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  318332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318346 */     GIR_RootConstrainSelectedInstOperands,
     /*  318347 */     // GIR_Coverage, 19771,
     /*  318347 */     GIR_EraseRootFromParent_Done,
     /*  318348 */   // Label 5878: @318348
     /*  318348 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318411), // Rule ID 19774 //
     /*  318353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  318395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318409 */     GIR_RootConstrainSelectedInstOperands,
     /*  318410 */     // GIR_Coverage, 19774,
     /*  318410 */     GIR_EraseRootFromParent_Done,
     /*  318411 */   // Label 5879: @318411
     /*  318411 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318474), // Rule ID 19775 //
     /*  318416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  318458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318472 */     GIR_RootConstrainSelectedInstOperands,
     /*  318473 */     // GIR_Coverage, 19775,
     /*  318473 */     GIR_EraseRootFromParent_Done,
     /*  318474 */   // Label 5880: @318474
     /*  318474 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318537), // Rule ID 19778 //
     /*  318479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318535 */     GIR_RootConstrainSelectedInstOperands,
     /*  318536 */     // GIR_Coverage, 19778,
     /*  318536 */     GIR_EraseRootFromParent_Done,
     /*  318537 */   // Label 5881: @318537
     /*  318537 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(318600), // Rule ID 19779 //
     /*  318542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318598 */     GIR_RootConstrainSelectedInstOperands,
     /*  318599 */     // GIR_Coverage, 19779,
     /*  318599 */     GIR_EraseRootFromParent_Done,
     /*  318600 */   // Label 5882: @318600
     /*  318600 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(318663), // Rule ID 19782 //
     /*  318605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318661 */     GIR_RootConstrainSelectedInstOperands,
     /*  318662 */     // GIR_Coverage, 19782,
     /*  318662 */     GIR_EraseRootFromParent_Done,
     /*  318663 */   // Label 5883: @318663
     /*  318663 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(318726), // Rule ID 19783 //
     /*  318668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318724 */     GIR_RootConstrainSelectedInstOperands,
     /*  318725 */     // GIR_Coverage, 19783,
     /*  318725 */     GIR_EraseRootFromParent_Done,
     /*  318726 */   // Label 5884: @318726
     /*  318726 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(318789), // Rule ID 19786 //
     /*  318731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318770 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318787 */     GIR_RootConstrainSelectedInstOperands,
     /*  318788 */     // GIR_Coverage, 19786,
     /*  318788 */     GIR_EraseRootFromParent_Done,
     /*  318789 */   // Label 5885: @318789
     /*  318789 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(318852), // Rule ID 19787 //
     /*  318794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318833 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318850 */     GIR_RootConstrainSelectedInstOperands,
     /*  318851 */     // GIR_Coverage, 19787,
     /*  318851 */     GIR_EraseRootFromParent_Done,
     /*  318852 */   // Label 5886: @318852
     /*  318852 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(318915), // Rule ID 19790 //
     /*  318857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318913 */     GIR_RootConstrainSelectedInstOperands,
     /*  318914 */     // GIR_Coverage, 19790,
     /*  318914 */     GIR_EraseRootFromParent_Done,
     /*  318915 */   // Label 5887: @318915
     /*  318915 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(318978), // Rule ID 19791 //
     /*  318920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318976 */     GIR_RootConstrainSelectedInstOperands,
     /*  318977 */     // GIR_Coverage, 19791,
     /*  318977 */     GIR_EraseRootFromParent_Done,
     /*  318978 */   // Label 5888: @318978
     /*  318978 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(319041), // Rule ID 19794 //
     /*  318983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319022 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319039 */     GIR_RootConstrainSelectedInstOperands,
     /*  319040 */     // GIR_Coverage, 19794,
     /*  319040 */     GIR_EraseRootFromParent_Done,
     /*  319041 */   // Label 5889: @319041
     /*  319041 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(319104), // Rule ID 19795 //
     /*  319046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319085 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319102 */     GIR_RootConstrainSelectedInstOperands,
     /*  319103 */     // GIR_Coverage, 19795,
     /*  319103 */     GIR_EraseRootFromParent_Done,
     /*  319104 */   // Label 5890: @319104
     /*  319104 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(319167), // Rule ID 19798 //
     /*  319109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319165 */     GIR_RootConstrainSelectedInstOperands,
     /*  319166 */     // GIR_Coverage, 19798,
     /*  319166 */     GIR_EraseRootFromParent_Done,
     /*  319167 */   // Label 5891: @319167
     /*  319167 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319230), // Rule ID 19799 //
     /*  319172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319211 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319228 */     GIR_RootConstrainSelectedInstOperands,
     /*  319229 */     // GIR_Coverage, 19799,
     /*  319229 */     GIR_EraseRootFromParent_Done,
     /*  319230 */   // Label 5892: @319230
     /*  319230 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319293), // Rule ID 19802 //
     /*  319235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319274 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319291 */     GIR_RootConstrainSelectedInstOperands,
     /*  319292 */     // GIR_Coverage, 19802,
     /*  319292 */     GIR_EraseRootFromParent_Done,
     /*  319293 */   // Label 5893: @319293
     /*  319293 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319356), // Rule ID 19803 //
     /*  319298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319354 */     GIR_RootConstrainSelectedInstOperands,
     /*  319355 */     // GIR_Coverage, 19803,
     /*  319355 */     GIR_EraseRootFromParent_Done,
     /*  319356 */   // Label 5894: @319356
     /*  319356 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319419), // Rule ID 19806 //
     /*  319361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319400 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319417 */     GIR_RootConstrainSelectedInstOperands,
     /*  319418 */     // GIR_Coverage, 19806,
     /*  319418 */     GIR_EraseRootFromParent_Done,
     /*  319419 */   // Label 5895: @319419
     /*  319419 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319482), // Rule ID 19807 //
     /*  319424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319463 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319480 */     GIR_RootConstrainSelectedInstOperands,
     /*  319481 */     // GIR_Coverage, 19807,
     /*  319481 */     GIR_EraseRootFromParent_Done,
     /*  319482 */   // Label 5896: @319482
     /*  319482 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319545), // Rule ID 19810 //
     /*  319487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319526 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319543 */     GIR_RootConstrainSelectedInstOperands,
     /*  319544 */     // GIR_Coverage, 19810,
     /*  319544 */     GIR_EraseRootFromParent_Done,
     /*  319545 */   // Label 5897: @319545
     /*  319545 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(319608), // Rule ID 19811 //
     /*  319550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319606 */     GIR_RootConstrainSelectedInstOperands,
     /*  319607 */     // GIR_Coverage, 19811,
     /*  319607 */     GIR_EraseRootFromParent_Done,
     /*  319608 */   // Label 5898: @319608
     /*  319608 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(319671), // Rule ID 19814 //
     /*  319613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319669 */     GIR_RootConstrainSelectedInstOperands,
     /*  319670 */     // GIR_Coverage, 19814,
     /*  319670 */     GIR_EraseRootFromParent_Done,
     /*  319671 */   // Label 5899: @319671
     /*  319671 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(319734), // Rule ID 19815 //
     /*  319676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319732 */     GIR_RootConstrainSelectedInstOperands,
     /*  319733 */     // GIR_Coverage, 19815,
     /*  319733 */     GIR_EraseRootFromParent_Done,
     /*  319734 */   // Label 5900: @319734
     /*  319734 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(319797), // Rule ID 19818 //
     /*  319739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319778 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319795 */     GIR_RootConstrainSelectedInstOperands,
     /*  319796 */     // GIR_Coverage, 19818,
     /*  319796 */     GIR_EraseRootFromParent_Done,
     /*  319797 */   // Label 5901: @319797
     /*  319797 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(319860), // Rule ID 19819 //
     /*  319802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319841 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319858 */     GIR_RootConstrainSelectedInstOperands,
     /*  319859 */     // GIR_Coverage, 19819,
     /*  319859 */     GIR_EraseRootFromParent_Done,
     /*  319860 */   // Label 5902: @319860
     /*  319860 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(319923), // Rule ID 19822 //
     /*  319865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319921 */     GIR_RootConstrainSelectedInstOperands,
     /*  319922 */     // GIR_Coverage, 19822,
     /*  319922 */     GIR_EraseRootFromParent_Done,
     /*  319923 */   // Label 5903: @319923
     /*  319923 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(319986), // Rule ID 19823 //
     /*  319928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319967 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319984 */     GIR_RootConstrainSelectedInstOperands,
     /*  319985 */     // GIR_Coverage, 19823,
     /*  319985 */     GIR_EraseRootFromParent_Done,
     /*  319986 */   // Label 5904: @319986
     /*  319986 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(320049), // Rule ID 19826 //
     /*  319991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320030 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320047 */     GIR_RootConstrainSelectedInstOperands,
     /*  320048 */     // GIR_Coverage, 19826,
     /*  320048 */     GIR_EraseRootFromParent_Done,
     /*  320049 */   // Label 5905: @320049
     /*  320049 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(320112), // Rule ID 19827 //
     /*  320054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320110 */     GIR_RootConstrainSelectedInstOperands,
     /*  320111 */     // GIR_Coverage, 19827,
     /*  320111 */     GIR_EraseRootFromParent_Done,
     /*  320112 */   // Label 5906: @320112
     /*  320112 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(320175), // Rule ID 19830 //
     /*  320117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320173 */     GIR_RootConstrainSelectedInstOperands,
     /*  320174 */     // GIR_Coverage, 19830,
     /*  320174 */     GIR_EraseRootFromParent_Done,
     /*  320175 */   // Label 5907: @320175
     /*  320175 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320238), // Rule ID 19831 //
     /*  320180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320236 */     GIR_RootConstrainSelectedInstOperands,
     /*  320237 */     // GIR_Coverage, 19831,
     /*  320237 */     GIR_EraseRootFromParent_Done,
     /*  320238 */   // Label 5908: @320238
     /*  320238 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320301), // Rule ID 19834 //
     /*  320243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320282 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  320285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320299 */     GIR_RootConstrainSelectedInstOperands,
     /*  320300 */     // GIR_Coverage, 19834,
     /*  320300 */     GIR_EraseRootFromParent_Done,
     /*  320301 */   // Label 5909: @320301
     /*  320301 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320364), // Rule ID 19835 //
     /*  320306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320345 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  320348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320362 */     GIR_RootConstrainSelectedInstOperands,
     /*  320363 */     // GIR_Coverage, 19835,
     /*  320363 */     GIR_EraseRootFromParent_Done,
     /*  320364 */   // Label 5910: @320364
     /*  320364 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320427), // Rule ID 19838 //
     /*  320369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  320411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320425 */     GIR_RootConstrainSelectedInstOperands,
     /*  320426 */     // GIR_Coverage, 19838,
     /*  320426 */     GIR_EraseRootFromParent_Done,
     /*  320427 */   // Label 5911: @320427
     /*  320427 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320490), // Rule ID 19839 //
     /*  320432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  320474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320488 */     GIR_RootConstrainSelectedInstOperands,
     /*  320489 */     // GIR_Coverage, 19839,
     /*  320489 */     GIR_EraseRootFromParent_Done,
     /*  320490 */   // Label 5912: @320490
     /*  320490 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320553), // Rule ID 19842 //
     /*  320495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320551 */     GIR_RootConstrainSelectedInstOperands,
     /*  320552 */     // GIR_Coverage, 19842,
     /*  320552 */     GIR_EraseRootFromParent_Done,
     /*  320553 */   // Label 5913: @320553
     /*  320553 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(320616), // Rule ID 19843 //
     /*  320558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320614 */     GIR_RootConstrainSelectedInstOperands,
     /*  320615 */     // GIR_Coverage, 19843,
     /*  320615 */     GIR_EraseRootFromParent_Done,
     /*  320616 */   // Label 5914: @320616
     /*  320616 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(320679), // Rule ID 19846 //
     /*  320621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320677 */     GIR_RootConstrainSelectedInstOperands,
     /*  320678 */     // GIR_Coverage, 19846,
     /*  320678 */     GIR_EraseRootFromParent_Done,
     /*  320679 */   // Label 5915: @320679
     /*  320679 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(320742), // Rule ID 19847 //
     /*  320684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320740 */     GIR_RootConstrainSelectedInstOperands,
     /*  320741 */     // GIR_Coverage, 19847,
     /*  320741 */     GIR_EraseRootFromParent_Done,
     /*  320742 */   // Label 5916: @320742
     /*  320742 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(320805), // Rule ID 19850 //
     /*  320747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320786 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320803 */     GIR_RootConstrainSelectedInstOperands,
     /*  320804 */     // GIR_Coverage, 19850,
     /*  320804 */     GIR_EraseRootFromParent_Done,
     /*  320805 */   // Label 5917: @320805
     /*  320805 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(320868), // Rule ID 19851 //
     /*  320810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320866 */     GIR_RootConstrainSelectedInstOperands,
     /*  320867 */     // GIR_Coverage, 19851,
     /*  320867 */     GIR_EraseRootFromParent_Done,
     /*  320868 */   // Label 5918: @320868
     /*  320868 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(320931), // Rule ID 19854 //
     /*  320873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320929 */     GIR_RootConstrainSelectedInstOperands,
     /*  320930 */     // GIR_Coverage, 19854,
     /*  320930 */     GIR_EraseRootFromParent_Done,
     /*  320931 */   // Label 5919: @320931
     /*  320931 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(320994), // Rule ID 19855 //
     /*  320936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320975 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320992 */     GIR_RootConstrainSelectedInstOperands,
     /*  320993 */     // GIR_Coverage, 19855,
     /*  320993 */     GIR_EraseRootFromParent_Done,
     /*  320994 */   // Label 5920: @320994
     /*  320994 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(321057), // Rule ID 19858 //
     /*  320999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  321041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321055 */     GIR_RootConstrainSelectedInstOperands,
     /*  321056 */     // GIR_Coverage, 19858,
     /*  321056 */     GIR_EraseRootFromParent_Done,
     /*  321057 */   // Label 5921: @321057
     /*  321057 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(321120), // Rule ID 19859 //
     /*  321062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  321104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321118 */     GIR_RootConstrainSelectedInstOperands,
     /*  321119 */     // GIR_Coverage, 19859,
     /*  321119 */     GIR_EraseRootFromParent_Done,
     /*  321120 */   // Label 5922: @321120
     /*  321120 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(321183), // Rule ID 19862 //
     /*  321125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  321167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321181 */     GIR_RootConstrainSelectedInstOperands,
     /*  321182 */     // GIR_Coverage, 19862,
     /*  321182 */     GIR_EraseRootFromParent_Done,
     /*  321183 */   // Label 5923: @321183
     /*  321183 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321246), // Rule ID 19863 //
     /*  321188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321227 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  321230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321244 */     GIR_RootConstrainSelectedInstOperands,
     /*  321245 */     // GIR_Coverage, 19863,
     /*  321245 */     GIR_EraseRootFromParent_Done,
     /*  321246 */   // Label 5924: @321246
     /*  321246 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321309), // Rule ID 19866 //
     /*  321251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321290 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  321293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321307 */     GIR_RootConstrainSelectedInstOperands,
     /*  321308 */     // GIR_Coverage, 19866,
     /*  321308 */     GIR_EraseRootFromParent_Done,
     /*  321309 */   // Label 5925: @321309
     /*  321309 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321372), // Rule ID 19867 //
     /*  321314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321353 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  321356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321370 */     GIR_RootConstrainSelectedInstOperands,
     /*  321371 */     // GIR_Coverage, 19867,
     /*  321371 */     GIR_EraseRootFromParent_Done,
     /*  321372 */   // Label 5926: @321372
     /*  321372 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321435), // Rule ID 19870 //
     /*  321377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  321419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321433 */     GIR_RootConstrainSelectedInstOperands,
     /*  321434 */     // GIR_Coverage, 19870,
     /*  321434 */     GIR_EraseRootFromParent_Done,
     /*  321435 */   // Label 5927: @321435
     /*  321435 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321498), // Rule ID 19871 //
     /*  321440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321479 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  321482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321496 */     GIR_RootConstrainSelectedInstOperands,
     /*  321497 */     // GIR_Coverage, 19871,
     /*  321497 */     GIR_EraseRootFromParent_Done,
     /*  321498 */   // Label 5928: @321498
     /*  321498 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(321561), // Rule ID 19874 //
     /*  321503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321559 */     GIR_RootConstrainSelectedInstOperands,
     /*  321560 */     // GIR_Coverage, 19874,
     /*  321560 */     GIR_EraseRootFromParent_Done,
     /*  321561 */   // Label 5929: @321561
     /*  321561 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(321624), // Rule ID 19875 //
     /*  321566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321622 */     GIR_RootConstrainSelectedInstOperands,
     /*  321623 */     // GIR_Coverage, 19875,
     /*  321623 */     GIR_EraseRootFromParent_Done,
     /*  321624 */   // Label 5930: @321624
     /*  321624 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(321687), // Rule ID 19878 //
     /*  321629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321685 */     GIR_RootConstrainSelectedInstOperands,
     /*  321686 */     // GIR_Coverage, 19878,
     /*  321686 */     GIR_EraseRootFromParent_Done,
     /*  321687 */   // Label 5931: @321687
     /*  321687 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(321750), // Rule ID 19879 //
     /*  321692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321731 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321748 */     GIR_RootConstrainSelectedInstOperands,
     /*  321749 */     // GIR_Coverage, 19879,
     /*  321749 */     GIR_EraseRootFromParent_Done,
     /*  321750 */   // Label 5932: @321750
     /*  321750 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(321813), // Rule ID 19882 //
     /*  321755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321811 */     GIR_RootConstrainSelectedInstOperands,
     /*  321812 */     // GIR_Coverage, 19882,
     /*  321812 */     GIR_EraseRootFromParent_Done,
     /*  321813 */   // Label 5933: @321813
     /*  321813 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(321876), // Rule ID 19883 //
     /*  321818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321874 */     GIR_RootConstrainSelectedInstOperands,
     /*  321875 */     // GIR_Coverage, 19883,
     /*  321875 */     GIR_EraseRootFromParent_Done,
     /*  321876 */   // Label 5934: @321876
     /*  321876 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(321939), // Rule ID 19886 //
     /*  321881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321937 */     GIR_RootConstrainSelectedInstOperands,
     /*  321938 */     // GIR_Coverage, 19886,
     /*  321938 */     GIR_EraseRootFromParent_Done,
     /*  321939 */   // Label 5935: @321939
     /*  321939 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(322002), // Rule ID 19887 //
     /*  321944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321983 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322000 */     GIR_RootConstrainSelectedInstOperands,
     /*  322001 */     // GIR_Coverage, 19887,
     /*  322001 */     GIR_EraseRootFromParent_Done,
     /*  322002 */   // Label 5936: @322002
     /*  322002 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(322065), // Rule ID 19890 //
     /*  322007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322046 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  322049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322063 */     GIR_RootConstrainSelectedInstOperands,
     /*  322064 */     // GIR_Coverage, 19890,
     /*  322064 */     GIR_EraseRootFromParent_Done,
     /*  322065 */   // Label 5937: @322065
     /*  322065 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(322128), // Rule ID 19891 //
     /*  322070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  322112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322126 */     GIR_RootConstrainSelectedInstOperands,
     /*  322127 */     // GIR_Coverage, 19891,
     /*  322127 */     GIR_EraseRootFromParent_Done,
     /*  322128 */   // Label 5938: @322128
     /*  322128 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322191), // Rule ID 19894 //
     /*  322133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  322175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322189 */     GIR_RootConstrainSelectedInstOperands,
     /*  322190 */     // GIR_Coverage, 19894,
     /*  322190 */     GIR_EraseRootFromParent_Done,
     /*  322191 */   // Label 5939: @322191
     /*  322191 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322254), // Rule ID 19895 //
     /*  322196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  322238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322252 */     GIR_RootConstrainSelectedInstOperands,
     /*  322253 */     // GIR_Coverage, 19895,
     /*  322253 */     GIR_EraseRootFromParent_Done,
     /*  322254 */   // Label 5940: @322254
     /*  322254 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322317), // Rule ID 19898 //
     /*  322259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322298 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322315 */     GIR_RootConstrainSelectedInstOperands,
     /*  322316 */     // GIR_Coverage, 19898,
     /*  322316 */     GIR_EraseRootFromParent_Done,
     /*  322317 */   // Label 5941: @322317
     /*  322317 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322380), // Rule ID 19899 //
     /*  322322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322361 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322378 */     GIR_RootConstrainSelectedInstOperands,
     /*  322379 */     // GIR_Coverage, 19899,
     /*  322379 */     GIR_EraseRootFromParent_Done,
     /*  322380 */   // Label 5942: @322380
     /*  322380 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322443), // Rule ID 19902 //
     /*  322385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322441 */     GIR_RootConstrainSelectedInstOperands,
     /*  322442 */     // GIR_Coverage, 19902,
     /*  322442 */     GIR_EraseRootFromParent_Done,
     /*  322443 */   // Label 5943: @322443
     /*  322443 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322506), // Rule ID 19903 //
     /*  322448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322487 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322504 */     GIR_RootConstrainSelectedInstOperands,
     /*  322505 */     // GIR_Coverage, 19903,
     /*  322505 */     GIR_EraseRootFromParent_Done,
     /*  322506 */   // Label 5944: @322506
     /*  322506 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(322569), // Rule ID 19906 //
     /*  322511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322550 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322567 */     GIR_RootConstrainSelectedInstOperands,
     /*  322568 */     // GIR_Coverage, 19906,
     /*  322568 */     GIR_EraseRootFromParent_Done,
     /*  322569 */   // Label 5945: @322569
     /*  322569 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(322632), // Rule ID 19907 //
     /*  322574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322630 */     GIR_RootConstrainSelectedInstOperands,
     /*  322631 */     // GIR_Coverage, 19907,
     /*  322631 */     GIR_EraseRootFromParent_Done,
     /*  322632 */   // Label 5946: @322632
     /*  322632 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(322695), // Rule ID 19910 //
     /*  322637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322693 */     GIR_RootConstrainSelectedInstOperands,
     /*  322694 */     // GIR_Coverage, 19910,
     /*  322694 */     GIR_EraseRootFromParent_Done,
     /*  322695 */   // Label 5947: @322695
     /*  322695 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(322758), // Rule ID 19911 //
     /*  322700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322756 */     GIR_RootConstrainSelectedInstOperands,
     /*  322757 */     // GIR_Coverage, 19911,
     /*  322757 */     GIR_EraseRootFromParent_Done,
     /*  322758 */   // Label 5948: @322758
     /*  322758 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(322821), // Rule ID 19914 //
     /*  322763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322802 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322819 */     GIR_RootConstrainSelectedInstOperands,
     /*  322820 */     // GIR_Coverage, 19914,
     /*  322820 */     GIR_EraseRootFromParent_Done,
     /*  322821 */   // Label 5949: @322821
     /*  322821 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(322884), // Rule ID 19915 //
     /*  322826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322882 */     GIR_RootConstrainSelectedInstOperands,
     /*  322883 */     // GIR_Coverage, 19915,
     /*  322883 */     GIR_EraseRootFromParent_Done,
     /*  322884 */   // Label 5950: @322884
     /*  322884 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(322947), // Rule ID 19918 //
     /*  322889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322945 */     GIR_RootConstrainSelectedInstOperands,
     /*  322946 */     // GIR_Coverage, 19918,
     /*  322946 */     GIR_EraseRootFromParent_Done,
     /*  322947 */   // Label 5951: @322947
     /*  322947 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(323010), // Rule ID 19919 //
     /*  322952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323008 */     GIR_RootConstrainSelectedInstOperands,
     /*  323009 */     // GIR_Coverage, 19919,
     /*  323009 */     GIR_EraseRootFromParent_Done,
     /*  323010 */   // Label 5952: @323010
     /*  323010 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(323073), // Rule ID 19922 //
     /*  323015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323071 */     GIR_RootConstrainSelectedInstOperands,
     /*  323072 */     // GIR_Coverage, 19922,
     /*  323072 */     GIR_EraseRootFromParent_Done,
     /*  323073 */   // Label 5953: @323073
     /*  323073 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(323136), // Rule ID 19923 //
     /*  323078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323117 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323134 */     GIR_RootConstrainSelectedInstOperands,
     /*  323135 */     // GIR_Coverage, 19923,
     /*  323135 */     GIR_EraseRootFromParent_Done,
     /*  323136 */   // Label 5954: @323136
     /*  323136 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323199), // Rule ID 19926 //
     /*  323141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323197 */     GIR_RootConstrainSelectedInstOperands,
     /*  323198 */     // GIR_Coverage, 19926,
     /*  323198 */     GIR_EraseRootFromParent_Done,
     /*  323199 */   // Label 5955: @323199
     /*  323199 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323262), // Rule ID 19927 //
     /*  323204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323243 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323260 */     GIR_RootConstrainSelectedInstOperands,
     /*  323261 */     // GIR_Coverage, 19927,
     /*  323261 */     GIR_EraseRootFromParent_Done,
     /*  323262 */   // Label 5956: @323262
     /*  323262 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323325), // Rule ID 19930 //
     /*  323267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323323 */     GIR_RootConstrainSelectedInstOperands,
     /*  323324 */     // GIR_Coverage, 19930,
     /*  323324 */     GIR_EraseRootFromParent_Done,
     /*  323325 */   // Label 5957: @323325
     /*  323325 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323388), // Rule ID 19931 //
     /*  323330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323386 */     GIR_RootConstrainSelectedInstOperands,
     /*  323387 */     // GIR_Coverage, 19931,
     /*  323387 */     GIR_EraseRootFromParent_Done,
     /*  323388 */   // Label 5958: @323388
     /*  323388 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323451), // Rule ID 19934 //
     /*  323393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323449 */     GIR_RootConstrainSelectedInstOperands,
     /*  323450 */     // GIR_Coverage, 19934,
     /*  323450 */     GIR_EraseRootFromParent_Done,
     /*  323451 */   // Label 5959: @323451
     /*  323451 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323514), // Rule ID 19935 //
     /*  323456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323495 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323512 */     GIR_RootConstrainSelectedInstOperands,
     /*  323513 */     // GIR_Coverage, 19935,
     /*  323513 */     GIR_EraseRootFromParent_Done,
     /*  323514 */   // Label 5960: @323514
     /*  323514 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(323577), // Rule ID 19938 //
     /*  323519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323558 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323575 */     GIR_RootConstrainSelectedInstOperands,
     /*  323576 */     // GIR_Coverage, 19938,
     /*  323576 */     GIR_EraseRootFromParent_Done,
     /*  323577 */   // Label 5961: @323577
     /*  323577 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(323640), // Rule ID 19939 //
     /*  323582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323621 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323638 */     GIR_RootConstrainSelectedInstOperands,
     /*  323639 */     // GIR_Coverage, 19939,
     /*  323639 */     GIR_EraseRootFromParent_Done,
     /*  323640 */   // Label 5962: @323640
     /*  323640 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(323703), // Rule ID 19942 //
     /*  323645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323701 */     GIR_RootConstrainSelectedInstOperands,
     /*  323702 */     // GIR_Coverage, 19942,
     /*  323702 */     GIR_EraseRootFromParent_Done,
     /*  323703 */   // Label 5963: @323703
     /*  323703 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(323766), // Rule ID 19943 //
     /*  323708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323764 */     GIR_RootConstrainSelectedInstOperands,
     /*  323765 */     // GIR_Coverage, 19943,
     /*  323765 */     GIR_EraseRootFromParent_Done,
     /*  323766 */   // Label 5964: @323766
     /*  323766 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(323829), // Rule ID 19946 //
     /*  323771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323827 */     GIR_RootConstrainSelectedInstOperands,
     /*  323828 */     // GIR_Coverage, 19946,
     /*  323828 */     GIR_EraseRootFromParent_Done,
     /*  323829 */   // Label 5965: @323829
     /*  323829 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(323892), // Rule ID 19947 //
     /*  323834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323873 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323890 */     GIR_RootConstrainSelectedInstOperands,
     /*  323891 */     // GIR_Coverage, 19947,
     /*  323891 */     GIR_EraseRootFromParent_Done,
     /*  323892 */   // Label 5966: @323892
     /*  323892 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(323955), // Rule ID 19950 //
     /*  323897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323953 */     GIR_RootConstrainSelectedInstOperands,
     /*  323954 */     // GIR_Coverage, 19950,
     /*  323954 */     GIR_EraseRootFromParent_Done,
     /*  323955 */   // Label 5967: @323955
     /*  323955 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(324018), // Rule ID 19951 //
     /*  323960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323999 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  324002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324016 */     GIR_RootConstrainSelectedInstOperands,
     /*  324017 */     // GIR_Coverage, 19951,
     /*  324017 */     GIR_EraseRootFromParent_Done,
     /*  324018 */   // Label 5968: @324018
     /*  324018 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(324081), // Rule ID 19954 //
     /*  324023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324062 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  324065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324079 */     GIR_RootConstrainSelectedInstOperands,
     /*  324080 */     // GIR_Coverage, 19954,
     /*  324080 */     GIR_EraseRootFromParent_Done,
     /*  324081 */   // Label 5969: @324081
     /*  324081 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(324144), // Rule ID 19955 //
     /*  324086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  324128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324142 */     GIR_RootConstrainSelectedInstOperands,
     /*  324143 */     // GIR_Coverage, 19955,
     /*  324143 */     GIR_EraseRootFromParent_Done,
     /*  324144 */   // Label 5970: @324144
     /*  324144 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324207), // Rule ID 19958 //
     /*  324149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  324191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324205 */     GIR_RootConstrainSelectedInstOperands,
     /*  324206 */     // GIR_Coverage, 19958,
     /*  324206 */     GIR_EraseRootFromParent_Done,
     /*  324207 */   // Label 5971: @324207
     /*  324207 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324270), // Rule ID 19959 //
     /*  324212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  324254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324268 */     GIR_RootConstrainSelectedInstOperands,
     /*  324269 */     // GIR_Coverage, 19959,
     /*  324269 */     GIR_EraseRootFromParent_Done,
     /*  324270 */   // Label 5972: @324270
     /*  324270 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324333), // Rule ID 19962 //
     /*  324275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324314 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  324317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324331 */     GIR_RootConstrainSelectedInstOperands,
     /*  324332 */     // GIR_Coverage, 19962,
     /*  324332 */     GIR_EraseRootFromParent_Done,
     /*  324333 */   // Label 5973: @324333
     /*  324333 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324396), // Rule ID 19963 //
     /*  324338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  324380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324394 */     GIR_RootConstrainSelectedInstOperands,
     /*  324395 */     // GIR_Coverage, 19963,
     /*  324395 */     GIR_EraseRootFromParent_Done,
     /*  324396 */   // Label 5974: @324396
     /*  324396 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324459), // Rule ID 19966 //
     /*  324401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324457 */     GIR_RootConstrainSelectedInstOperands,
     /*  324458 */     // GIR_Coverage, 19966,
     /*  324458 */     GIR_EraseRootFromParent_Done,
     /*  324459 */   // Label 5975: @324459
     /*  324459 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324522), // Rule ID 19967 //
     /*  324464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324520 */     GIR_RootConstrainSelectedInstOperands,
     /*  324521 */     // GIR_Coverage, 19967,
     /*  324521 */     GIR_EraseRootFromParent_Done,
     /*  324522 */   // Label 5976: @324522
     /*  324522 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(324585), // Rule ID 19970 //
     /*  324527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324583 */     GIR_RootConstrainSelectedInstOperands,
     /*  324584 */     // GIR_Coverage, 19970,
     /*  324584 */     GIR_EraseRootFromParent_Done,
     /*  324585 */   // Label 5977: @324585
     /*  324585 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(324648), // Rule ID 19971 //
     /*  324590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324646 */     GIR_RootConstrainSelectedInstOperands,
     /*  324647 */     // GIR_Coverage, 19971,
     /*  324647 */     GIR_EraseRootFromParent_Done,
     /*  324648 */   // Label 5978: @324648
     /*  324648 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(324711), // Rule ID 19974 //
     /*  324653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324709 */     GIR_RootConstrainSelectedInstOperands,
     /*  324710 */     // GIR_Coverage, 19974,
     /*  324710 */     GIR_EraseRootFromParent_Done,
     /*  324711 */   // Label 5979: @324711
     /*  324711 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(324774), // Rule ID 19975 //
     /*  324716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324772 */     GIR_RootConstrainSelectedInstOperands,
     /*  324773 */     // GIR_Coverage, 19975,
     /*  324773 */     GIR_EraseRootFromParent_Done,
     /*  324774 */   // Label 5980: @324774
     /*  324774 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(324837), // Rule ID 19978 //
     /*  324779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324835 */     GIR_RootConstrainSelectedInstOperands,
     /*  324836 */     // GIR_Coverage, 19978,
     /*  324836 */     GIR_EraseRootFromParent_Done,
     /*  324837 */   // Label 5981: @324837
     /*  324837 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(324900), // Rule ID 19979 //
     /*  324842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324898 */     GIR_RootConstrainSelectedInstOperands,
     /*  324899 */     // GIR_Coverage, 19979,
     /*  324899 */     GIR_EraseRootFromParent_Done,
     /*  324900 */   // Label 5982: @324900
     /*  324900 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(324963), // Rule ID 19982 //
     /*  324905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  324947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324961 */     GIR_RootConstrainSelectedInstOperands,
     /*  324962 */     // GIR_Coverage, 19982,
     /*  324962 */     GIR_EraseRootFromParent_Done,
     /*  324963 */   // Label 5983: @324963
     /*  324963 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(325026), // Rule ID 19983 //
     /*  324968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  325010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325024 */     GIR_RootConstrainSelectedInstOperands,
     /*  325025 */     // GIR_Coverage, 19983,
     /*  325025 */     GIR_EraseRootFromParent_Done,
     /*  325026 */   // Label 5984: @325026
     /*  325026 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(325089), // Rule ID 19986 //
     /*  325031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325070 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  325073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325087 */     GIR_RootConstrainSelectedInstOperands,
     /*  325088 */     // GIR_Coverage, 19986,
     /*  325088 */     GIR_EraseRootFromParent_Done,
     /*  325089 */   // Label 5985: @325089
     /*  325089 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(325152), // Rule ID 19987 //
     /*  325094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325133 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  325136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325150 */     GIR_RootConstrainSelectedInstOperands,
     /*  325151 */     // GIR_Coverage, 19987,
     /*  325151 */     GIR_EraseRootFromParent_Done,
     /*  325152 */   // Label 5986: @325152
     /*  325152 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325215), // Rule ID 19990 //
     /*  325157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  325199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325213 */     GIR_RootConstrainSelectedInstOperands,
     /*  325214 */     // GIR_Coverage, 19990,
     /*  325214 */     GIR_EraseRootFromParent_Done,
     /*  325215 */   // Label 5987: @325215
     /*  325215 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325278), // Rule ID 19991 //
     /*  325220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  325262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325276 */     GIR_RootConstrainSelectedInstOperands,
     /*  325277 */     // GIR_Coverage, 19991,
     /*  325277 */     GIR_EraseRootFromParent_Done,
     /*  325278 */   // Label 5988: @325278
     /*  325278 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325341), // Rule ID 19994 //
     /*  325283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  325325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325339 */     GIR_RootConstrainSelectedInstOperands,
     /*  325340 */     // GIR_Coverage, 19994,
     /*  325340 */     GIR_EraseRootFromParent_Done,
     /*  325341 */   // Label 5989: @325341
     /*  325341 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325404), // Rule ID 19995 //
     /*  325346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  325388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325402 */     GIR_RootConstrainSelectedInstOperands,
     /*  325403 */     // GIR_Coverage, 19995,
     /*  325403 */     GIR_EraseRootFromParent_Done,
     /*  325404 */   // Label 5990: @325404
     /*  325404 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325467), // Rule ID 19998 //
     /*  325409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325465 */     GIR_RootConstrainSelectedInstOperands,
     /*  325466 */     // GIR_Coverage, 19998,
     /*  325466 */     GIR_EraseRootFromParent_Done,
     /*  325467 */   // Label 5991: @325467
     /*  325467 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325530), // Rule ID 19999 //
     /*  325472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325511 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325528 */     GIR_RootConstrainSelectedInstOperands,
     /*  325529 */     // GIR_Coverage, 19999,
     /*  325529 */     GIR_EraseRootFromParent_Done,
     /*  325530 */   // Label 5992: @325530
     /*  325530 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(325593), // Rule ID 20002 //
     /*  325535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325591 */     GIR_RootConstrainSelectedInstOperands,
     /*  325592 */     // GIR_Coverage, 20002,
     /*  325592 */     GIR_EraseRootFromParent_Done,
     /*  325593 */   // Label 5993: @325593
     /*  325593 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(325656), // Rule ID 20003 //
     /*  325598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325654 */     GIR_RootConstrainSelectedInstOperands,
     /*  325655 */     // GIR_Coverage, 20003,
     /*  325655 */     GIR_EraseRootFromParent_Done,
     /*  325656 */   // Label 5994: @325656
     /*  325656 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(325719), // Rule ID 20006 //
     /*  325661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325717 */     GIR_RootConstrainSelectedInstOperands,
     /*  325718 */     // GIR_Coverage, 20006,
     /*  325718 */     GIR_EraseRootFromParent_Done,
     /*  325719 */   // Label 5995: @325719
     /*  325719 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(325782), // Rule ID 20007 //
     /*  325724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325780 */     GIR_RootConstrainSelectedInstOperands,
     /*  325781 */     // GIR_Coverage, 20007,
     /*  325781 */     GIR_EraseRootFromParent_Done,
     /*  325782 */   // Label 5996: @325782
     /*  325782 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(325845), // Rule ID 20010 //
     /*  325787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325843 */     GIR_RootConstrainSelectedInstOperands,
     /*  325844 */     // GIR_Coverage, 20010,
     /*  325844 */     GIR_EraseRootFromParent_Done,
     /*  325845 */   // Label 5997: @325845
     /*  325845 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(325908), // Rule ID 20011 //
     /*  325850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325906 */     GIR_RootConstrainSelectedInstOperands,
     /*  325907 */     // GIR_Coverage, 20011,
     /*  325907 */     GIR_EraseRootFromParent_Done,
     /*  325908 */   // Label 5998: @325908
     /*  325908 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(325971), // Rule ID 20014 //
     /*  325913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  325955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325969 */     GIR_RootConstrainSelectedInstOperands,
     /*  325970 */     // GIR_Coverage, 20014,
     /*  325970 */     GIR_EraseRootFromParent_Done,
     /*  325971 */   // Label 5999: @325971
     /*  325971 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(326034), // Rule ID 20015 //
     /*  325976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326015 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  326018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326032 */     GIR_RootConstrainSelectedInstOperands,
     /*  326033 */     // GIR_Coverage, 20015,
     /*  326033 */     GIR_EraseRootFromParent_Done,
     /*  326034 */   // Label 6000: @326034
     /*  326034 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(326097), // Rule ID 20018 //
     /*  326039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326078 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326095 */     GIR_RootConstrainSelectedInstOperands,
     /*  326096 */     // GIR_Coverage, 20018,
     /*  326096 */     GIR_EraseRootFromParent_Done,
     /*  326097 */   // Label 6001: @326097
     /*  326097 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(326160), // Rule ID 20019 //
     /*  326102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326141 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326158 */     GIR_RootConstrainSelectedInstOperands,
     /*  326159 */     // GIR_Coverage, 20019,
     /*  326159 */     GIR_EraseRootFromParent_Done,
     /*  326160 */   // Label 6002: @326160
     /*  326160 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326223), // Rule ID 20022 //
     /*  326165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326221 */     GIR_RootConstrainSelectedInstOperands,
     /*  326222 */     // GIR_Coverage, 20022,
     /*  326222 */     GIR_EraseRootFromParent_Done,
     /*  326223 */   // Label 6003: @326223
     /*  326223 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326286), // Rule ID 20023 //
     /*  326228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326267 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326284 */     GIR_RootConstrainSelectedInstOperands,
     /*  326285 */     // GIR_Coverage, 20023,
     /*  326285 */     GIR_EraseRootFromParent_Done,
     /*  326286 */   // Label 6004: @326286
     /*  326286 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326349), // Rule ID 20026 //
     /*  326291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326330 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326347 */     GIR_RootConstrainSelectedInstOperands,
     /*  326348 */     // GIR_Coverage, 20026,
     /*  326348 */     GIR_EraseRootFromParent_Done,
     /*  326349 */   // Label 6005: @326349
     /*  326349 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326412), // Rule ID 20027 //
     /*  326354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326410 */     GIR_RootConstrainSelectedInstOperands,
     /*  326411 */     // GIR_Coverage, 20027,
     /*  326411 */     GIR_EraseRootFromParent_Done,
     /*  326412 */   // Label 6006: @326412
     /*  326412 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326475), // Rule ID 20030 //
     /*  326417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326473 */     GIR_RootConstrainSelectedInstOperands,
     /*  326474 */     // GIR_Coverage, 20030,
     /*  326474 */     GIR_EraseRootFromParent_Done,
     /*  326475 */   // Label 6007: @326475
     /*  326475 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326538), // Rule ID 20031 //
     /*  326480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326519 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326536 */     GIR_RootConstrainSelectedInstOperands,
     /*  326537 */     // GIR_Coverage, 20031,
     /*  326537 */     GIR_EraseRootFromParent_Done,
     /*  326538 */   // Label 6008: @326538
     /*  326538 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(326601), // Rule ID 20034 //
     /*  326543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326582 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326599 */     GIR_RootConstrainSelectedInstOperands,
     /*  326600 */     // GIR_Coverage, 20034,
     /*  326600 */     GIR_EraseRootFromParent_Done,
     /*  326601 */   // Label 6009: @326601
     /*  326601 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(326664), // Rule ID 20035 //
     /*  326606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326662 */     GIR_RootConstrainSelectedInstOperands,
     /*  326663 */     // GIR_Coverage, 20035,
     /*  326663 */     GIR_EraseRootFromParent_Done,
     /*  326664 */   // Label 6010: @326664
     /*  326664 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(326727), // Rule ID 20038 //
     /*  326669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326725 */     GIR_RootConstrainSelectedInstOperands,
     /*  326726 */     // GIR_Coverage, 20038,
     /*  326726 */     GIR_EraseRootFromParent_Done,
     /*  326727 */   // Label 6011: @326727
     /*  326727 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(326790), // Rule ID 20039 //
     /*  326732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326788 */     GIR_RootConstrainSelectedInstOperands,
     /*  326789 */     // GIR_Coverage, 20039,
     /*  326789 */     GIR_EraseRootFromParent_Done,
     /*  326790 */   // Label 6012: @326790
     /*  326790 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(326853), // Rule ID 20042 //
     /*  326795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326834 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326851 */     GIR_RootConstrainSelectedInstOperands,
     /*  326852 */     // GIR_Coverage, 20042,
     /*  326852 */     GIR_EraseRootFromParent_Done,
     /*  326853 */   // Label 6013: @326853
     /*  326853 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(326916), // Rule ID 20043 //
     /*  326858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326914 */     GIR_RootConstrainSelectedInstOperands,
     /*  326915 */     // GIR_Coverage, 20043,
     /*  326915 */     GIR_EraseRootFromParent_Done,
     /*  326916 */   // Label 6014: @326916
     /*  326916 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(326979), // Rule ID 20046 //
     /*  326921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  326938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326960 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326977 */     GIR_RootConstrainSelectedInstOperands,
     /*  326978 */     // GIR_Coverage, 20046,
     /*  326978 */     GIR_EraseRootFromParent_Done,
     /*  326979 */   // Label 6015: @326979
     /*  326979 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(327042), // Rule ID 20047 //
     /*  326984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327023 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327040 */     GIR_RootConstrainSelectedInstOperands,
     /*  327041 */     // GIR_Coverage, 20047,
     /*  327041 */     GIR_EraseRootFromParent_Done,
     /*  327042 */   // Label 6016: @327042
     /*  327042 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(327105), // Rule ID 20050 //
     /*  327047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327086 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327103 */     GIR_RootConstrainSelectedInstOperands,
     /*  327104 */     // GIR_Coverage, 20050,
     /*  327104 */     GIR_EraseRootFromParent_Done,
     /*  327105 */   // Label 6017: @327105
     /*  327105 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(327168), // Rule ID 20051 //
     /*  327110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327166 */     GIR_RootConstrainSelectedInstOperands,
     /*  327167 */     // GIR_Coverage, 20051,
     /*  327167 */     GIR_EraseRootFromParent_Done,
     /*  327168 */   // Label 6018: @327168
     /*  327168 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327231), // Rule ID 20054 //
     /*  327173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327229 */     GIR_RootConstrainSelectedInstOperands,
     /*  327230 */     // GIR_Coverage, 20054,
     /*  327230 */     GIR_EraseRootFromParent_Done,
     /*  327231 */   // Label 6019: @327231
     /*  327231 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327294), // Rule ID 20055 //
     /*  327236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327275 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327292 */     GIR_RootConstrainSelectedInstOperands,
     /*  327293 */     // GIR_Coverage, 20055,
     /*  327293 */     GIR_EraseRootFromParent_Done,
     /*  327294 */   // Label 6020: @327294
     /*  327294 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327357), // Rule ID 20058 //
     /*  327299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327338 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327355 */     GIR_RootConstrainSelectedInstOperands,
     /*  327356 */     // GIR_Coverage, 20058,
     /*  327356 */     GIR_EraseRootFromParent_Done,
     /*  327357 */   // Label 6021: @327357
     /*  327357 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327420), // Rule ID 20059 //
     /*  327362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327401 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327418 */     GIR_RootConstrainSelectedInstOperands,
     /*  327419 */     // GIR_Coverage, 20059,
     /*  327419 */     GIR_EraseRootFromParent_Done,
     /*  327420 */   // Label 6022: @327420
     /*  327420 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327483), // Rule ID 20062 //
     /*  327425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327481 */     GIR_RootConstrainSelectedInstOperands,
     /*  327482 */     // GIR_Coverage, 20062,
     /*  327482 */     GIR_EraseRootFromParent_Done,
     /*  327483 */   // Label 6023: @327483
     /*  327483 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327546), // Rule ID 20063 //
     /*  327488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327527 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327544 */     GIR_RootConstrainSelectedInstOperands,
     /*  327545 */     // GIR_Coverage, 20063,
     /*  327545 */     GIR_EraseRootFromParent_Done,
     /*  327546 */   // Label 6024: @327546
     /*  327546 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(327609), // Rule ID 20066 //
     /*  327551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327590 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327607 */     GIR_RootConstrainSelectedInstOperands,
     /*  327608 */     // GIR_Coverage, 20066,
     /*  327608 */     GIR_EraseRootFromParent_Done,
     /*  327609 */   // Label 6025: @327609
     /*  327609 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(327672), // Rule ID 20067 //
     /*  327614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327670 */     GIR_RootConstrainSelectedInstOperands,
     /*  327671 */     // GIR_Coverage, 20067,
     /*  327671 */     GIR_EraseRootFromParent_Done,
     /*  327672 */   // Label 6026: @327672
     /*  327672 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(327735), // Rule ID 20070 //
     /*  327677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327733 */     GIR_RootConstrainSelectedInstOperands,
     /*  327734 */     // GIR_Coverage, 20070,
     /*  327734 */     GIR_EraseRootFromParent_Done,
     /*  327735 */   // Label 6027: @327735
     /*  327735 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(327798), // Rule ID 20071 //
     /*  327740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327779 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327796 */     GIR_RootConstrainSelectedInstOperands,
     /*  327797 */     // GIR_Coverage, 20071,
     /*  327797 */     GIR_EraseRootFromParent_Done,
     /*  327798 */   // Label 6028: @327798
     /*  327798 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(327861), // Rule ID 20074 //
     /*  327803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327859 */     GIR_RootConstrainSelectedInstOperands,
     /*  327860 */     // GIR_Coverage, 20074,
     /*  327860 */     GIR_EraseRootFromParent_Done,
     /*  327861 */   // Label 6029: @327861
     /*  327861 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(327924), // Rule ID 20075 //
     /*  327866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327922 */     GIR_RootConstrainSelectedInstOperands,
     /*  327923 */     // GIR_Coverage, 20075,
     /*  327923 */     GIR_EraseRootFromParent_Done,
     /*  327924 */   // Label 6030: @327924
     /*  327924 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(327987), // Rule ID 20078 //
     /*  327929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  327971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327985 */     GIR_RootConstrainSelectedInstOperands,
     /*  327986 */     // GIR_Coverage, 20078,
     /*  327986 */     GIR_EraseRootFromParent_Done,
     /*  327987 */   // Label 6031: @327987
     /*  327987 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(328050), // Rule ID 20079 //
     /*  327992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328031 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  328034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328048 */     GIR_RootConstrainSelectedInstOperands,
     /*  328049 */     // GIR_Coverage, 20079,
     /*  328049 */     GIR_EraseRootFromParent_Done,
     /*  328050 */   // Label 6032: @328050
     /*  328050 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(328113), // Rule ID 20082 //
     /*  328055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  328097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328111 */     GIR_RootConstrainSelectedInstOperands,
     /*  328112 */     // GIR_Coverage, 20082,
     /*  328112 */     GIR_EraseRootFromParent_Done,
     /*  328113 */   // Label 6033: @328113
     /*  328113 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(328176), // Rule ID 20083 //
     /*  328118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  328160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328174 */     GIR_RootConstrainSelectedInstOperands,
     /*  328175 */     // GIR_Coverage, 20083,
     /*  328175 */     GIR_EraseRootFromParent_Done,
     /*  328176 */   // Label 6034: @328176
     /*  328176 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328239), // Rule ID 20086 //
     /*  328181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  328223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328237 */     GIR_RootConstrainSelectedInstOperands,
     /*  328238 */     // GIR_Coverage, 20086,
     /*  328238 */     GIR_EraseRootFromParent_Done,
     /*  328239 */   // Label 6035: @328239
     /*  328239 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328302), // Rule ID 20087 //
     /*  328244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328283 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  328286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328300 */     GIR_RootConstrainSelectedInstOperands,
     /*  328301 */     // GIR_Coverage, 20087,
     /*  328301 */     GIR_EraseRootFromParent_Done,
     /*  328302 */   // Label 6036: @328302
     /*  328302 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328365), // Rule ID 20090 //
     /*  328307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  328349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328363 */     GIR_RootConstrainSelectedInstOperands,
     /*  328364 */     // GIR_Coverage, 20090,
     /*  328364 */     GIR_EraseRootFromParent_Done,
     /*  328365 */   // Label 6037: @328365
     /*  328365 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328428), // Rule ID 20091 //
     /*  328370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  328412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328426 */     GIR_RootConstrainSelectedInstOperands,
     /*  328427 */     // GIR_Coverage, 20091,
     /*  328427 */     GIR_EraseRootFromParent_Done,
     /*  328428 */   // Label 6038: @328428
     /*  328428 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328491), // Rule ID 20094 //
     /*  328433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328489 */     GIR_RootConstrainSelectedInstOperands,
     /*  328490 */     // GIR_Coverage, 20094,
     /*  328490 */     GIR_EraseRootFromParent_Done,
     /*  328491 */   // Label 6039: @328491
     /*  328491 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328554), // Rule ID 20095 //
     /*  328496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328535 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328552 */     GIR_RootConstrainSelectedInstOperands,
     /*  328553 */     // GIR_Coverage, 20095,
     /*  328553 */     GIR_EraseRootFromParent_Done,
     /*  328554 */   // Label 6040: @328554
     /*  328554 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(328617), // Rule ID 20098 //
     /*  328559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328615 */     GIR_RootConstrainSelectedInstOperands,
     /*  328616 */     // GIR_Coverage, 20098,
     /*  328616 */     GIR_EraseRootFromParent_Done,
     /*  328617 */   // Label 6041: @328617
     /*  328617 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(328680), // Rule ID 20099 //
     /*  328622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328661 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328678 */     GIR_RootConstrainSelectedInstOperands,
     /*  328679 */     // GIR_Coverage, 20099,
     /*  328679 */     GIR_EraseRootFromParent_Done,
     /*  328680 */   // Label 6042: @328680
     /*  328680 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(328743), // Rule ID 20102 //
     /*  328685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328724 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328741 */     GIR_RootConstrainSelectedInstOperands,
     /*  328742 */     // GIR_Coverage, 20102,
     /*  328742 */     GIR_EraseRootFromParent_Done,
     /*  328743 */   // Label 6043: @328743
     /*  328743 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(328806), // Rule ID 20103 //
     /*  328748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328787 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328804 */     GIR_RootConstrainSelectedInstOperands,
     /*  328805 */     // GIR_Coverage, 20103,
     /*  328805 */     GIR_EraseRootFromParent_Done,
     /*  328806 */   // Label 6044: @328806
     /*  328806 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(328869), // Rule ID 20106 //
     /*  328811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328850 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328867 */     GIR_RootConstrainSelectedInstOperands,
     /*  328868 */     // GIR_Coverage, 20106,
     /*  328868 */     GIR_EraseRootFromParent_Done,
     /*  328869 */   // Label 6045: @328869
     /*  328869 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(328932), // Rule ID 20107 //
     /*  328874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328913 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328930 */     GIR_RootConstrainSelectedInstOperands,
     /*  328931 */     // GIR_Coverage, 20107,
     /*  328931 */     GIR_EraseRootFromParent_Done,
     /*  328932 */   // Label 6046: @328932
     /*  328932 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(328995), // Rule ID 20110 //
     /*  328937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  328979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328993 */     GIR_RootConstrainSelectedInstOperands,
     /*  328994 */     // GIR_Coverage, 20110,
     /*  328994 */     GIR_EraseRootFromParent_Done,
     /*  328995 */   // Label 6047: @328995
     /*  328995 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(329058), // Rule ID 20111 //
     /*  329000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  329042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329056 */     GIR_RootConstrainSelectedInstOperands,
     /*  329057 */     // GIR_Coverage, 20111,
     /*  329057 */     GIR_EraseRootFromParent_Done,
     /*  329058 */   // Label 6048: @329058
     /*  329058 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(329121), // Rule ID 20114 //
     /*  329063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  329105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329119 */     GIR_RootConstrainSelectedInstOperands,
     /*  329120 */     // GIR_Coverage, 20114,
     /*  329120 */     GIR_EraseRootFromParent_Done,
     /*  329121 */   // Label 6049: @329121
     /*  329121 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(329184), // Rule ID 20115 //
     /*  329126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  329168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329182 */     GIR_RootConstrainSelectedInstOperands,
     /*  329183 */     // GIR_Coverage, 20115,
     /*  329183 */     GIR_EraseRootFromParent_Done,
     /*  329184 */   // Label 6050: @329184
     /*  329184 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329247), // Rule ID 20118 //
     /*  329189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  329231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329245 */     GIR_RootConstrainSelectedInstOperands,
     /*  329246 */     // GIR_Coverage, 20118,
     /*  329246 */     GIR_EraseRootFromParent_Done,
     /*  329247 */   // Label 6051: @329247
     /*  329247 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329310), // Rule ID 20119 //
     /*  329252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329291 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  329294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329308 */     GIR_RootConstrainSelectedInstOperands,
     /*  329309 */     // GIR_Coverage, 20119,
     /*  329309 */     GIR_EraseRootFromParent_Done,
     /*  329310 */   // Label 6052: @329310
     /*  329310 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329373), // Rule ID 20122 //
     /*  329315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329354 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  329357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329371 */     GIR_RootConstrainSelectedInstOperands,
     /*  329372 */     // GIR_Coverage, 20122,
     /*  329372 */     GIR_EraseRootFromParent_Done,
     /*  329373 */   // Label 6053: @329373
     /*  329373 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329436), // Rule ID 20123 //
     /*  329378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329417 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  329420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329434 */     GIR_RootConstrainSelectedInstOperands,
     /*  329435 */     // GIR_Coverage, 20123,
     /*  329435 */     GIR_EraseRootFromParent_Done,
     /*  329436 */   // Label 6054: @329436
     /*  329436 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329499), // Rule ID 20126 //
     /*  329441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329497 */     GIR_RootConstrainSelectedInstOperands,
     /*  329498 */     // GIR_Coverage, 20126,
     /*  329498 */     GIR_EraseRootFromParent_Done,
     /*  329499 */   // Label 6055: @329499
     /*  329499 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(329562), // Rule ID 20127 //
     /*  329504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329543 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329560 */     GIR_RootConstrainSelectedInstOperands,
     /*  329561 */     // GIR_Coverage, 20127,
     /*  329561 */     GIR_EraseRootFromParent_Done,
     /*  329562 */   // Label 6056: @329562
     /*  329562 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(329625), // Rule ID 20130 //
     /*  329567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329606 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329623 */     GIR_RootConstrainSelectedInstOperands,
     /*  329624 */     // GIR_Coverage, 20130,
     /*  329624 */     GIR_EraseRootFromParent_Done,
     /*  329625 */   // Label 6057: @329625
     /*  329625 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(329688), // Rule ID 20131 //
     /*  329630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329686 */     GIR_RootConstrainSelectedInstOperands,
     /*  329687 */     // GIR_Coverage, 20131,
     /*  329687 */     GIR_EraseRootFromParent_Done,
     /*  329688 */   // Label 6058: @329688
     /*  329688 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(329751), // Rule ID 20134 //
     /*  329693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329749 */     GIR_RootConstrainSelectedInstOperands,
     /*  329750 */     // GIR_Coverage, 20134,
     /*  329750 */     GIR_EraseRootFromParent_Done,
     /*  329751 */   // Label 6059: @329751
     /*  329751 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(329814), // Rule ID 20135 //
     /*  329756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329795 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329812 */     GIR_RootConstrainSelectedInstOperands,
     /*  329813 */     // GIR_Coverage, 20135,
     /*  329813 */     GIR_EraseRootFromParent_Done,
     /*  329814 */   // Label 6060: @329814
     /*  329814 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(329877), // Rule ID 20138 //
     /*  329819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329875 */     GIR_RootConstrainSelectedInstOperands,
     /*  329876 */     // GIR_Coverage, 20138,
     /*  329876 */     GIR_EraseRootFromParent_Done,
     /*  329877 */   // Label 6061: @329877
     /*  329877 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(329940), // Rule ID 20139 //
     /*  329882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329938 */     GIR_RootConstrainSelectedInstOperands,
     /*  329939 */     // GIR_Coverage, 20139,
     /*  329939 */     GIR_EraseRootFromParent_Done,
     /*  329940 */   // Label 6062: @329940
     /*  329940 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(330003), // Rule ID 20142 //
     /*  329945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  329987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330001 */     GIR_RootConstrainSelectedInstOperands,
     /*  330002 */     // GIR_Coverage, 20142,
     /*  330002 */     GIR_EraseRootFromParent_Done,
     /*  330003 */   // Label 6063: @330003
     /*  330003 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(330066), // Rule ID 20143 //
     /*  330008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  330050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330064 */     GIR_RootConstrainSelectedInstOperands,
     /*  330065 */     // GIR_Coverage, 20143,
     /*  330065 */     GIR_EraseRootFromParent_Done,
     /*  330066 */   // Label 6064: @330066
     /*  330066 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(330129), // Rule ID 20146 //
     /*  330071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330110 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  330113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330127 */     GIR_RootConstrainSelectedInstOperands,
     /*  330128 */     // GIR_Coverage, 20146,
     /*  330128 */     GIR_EraseRootFromParent_Done,
     /*  330129 */   // Label 6065: @330129
     /*  330129 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330192), // Rule ID 20147 //
     /*  330134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  330176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330190 */     GIR_RootConstrainSelectedInstOperands,
     /*  330191 */     // GIR_Coverage, 20147,
     /*  330191 */     GIR_EraseRootFromParent_Done,
     /*  330192 */   // Label 6066: @330192
     /*  330192 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330255), // Rule ID 20150 //
     /*  330197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  330239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330253 */     GIR_RootConstrainSelectedInstOperands,
     /*  330254 */     // GIR_Coverage, 20150,
     /*  330254 */     GIR_EraseRootFromParent_Done,
     /*  330255 */   // Label 6067: @330255
     /*  330255 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330318), // Rule ID 20151 //
     /*  330260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  330302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330316 */     GIR_RootConstrainSelectedInstOperands,
     /*  330317 */     // GIR_Coverage, 20151,
     /*  330317 */     GIR_EraseRootFromParent_Done,
     /*  330318 */   // Label 6068: @330318
     /*  330318 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330381), // Rule ID 20154 //
     /*  330323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330362 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  330365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330379 */     GIR_RootConstrainSelectedInstOperands,
     /*  330380 */     // GIR_Coverage, 20154,
     /*  330380 */     GIR_EraseRootFromParent_Done,
     /*  330381 */   // Label 6069: @330381
     /*  330381 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330444), // Rule ID 20155 //
     /*  330386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330425 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  330428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330442 */     GIR_RootConstrainSelectedInstOperands,
     /*  330443 */     // GIR_Coverage, 20155,
     /*  330443 */     GIR_EraseRootFromParent_Done,
     /*  330444 */   // Label 6070: @330444
     /*  330444 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330507), // Rule ID 20158 //
     /*  330449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330505 */     GIR_RootConstrainSelectedInstOperands,
     /*  330506 */     // GIR_Coverage, 20158,
     /*  330506 */     GIR_EraseRootFromParent_Done,
     /*  330507 */   // Label 6071: @330507
     /*  330507 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(330570), // Rule ID 20159 //
     /*  330512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330551 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330568 */     GIR_RootConstrainSelectedInstOperands,
     /*  330569 */     // GIR_Coverage, 20159,
     /*  330569 */     GIR_EraseRootFromParent_Done,
     /*  330570 */   // Label 6072: @330570
     /*  330570 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(330633), // Rule ID 20162 //
     /*  330575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330614 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330631 */     GIR_RootConstrainSelectedInstOperands,
     /*  330632 */     // GIR_Coverage, 20162,
     /*  330632 */     GIR_EraseRootFromParent_Done,
     /*  330633 */   // Label 6073: @330633
     /*  330633 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(330696), // Rule ID 20163 //
     /*  330638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330677 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330694 */     GIR_RootConstrainSelectedInstOperands,
     /*  330695 */     // GIR_Coverage, 20163,
     /*  330695 */     GIR_EraseRootFromParent_Done,
     /*  330696 */   // Label 6074: @330696
     /*  330696 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(330759), // Rule ID 20166 //
     /*  330701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330740 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330757 */     GIR_RootConstrainSelectedInstOperands,
     /*  330758 */     // GIR_Coverage, 20166,
     /*  330758 */     GIR_EraseRootFromParent_Done,
     /*  330759 */   // Label 6075: @330759
     /*  330759 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(330822), // Rule ID 20167 //
     /*  330764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330803 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330820 */     GIR_RootConstrainSelectedInstOperands,
     /*  330821 */     // GIR_Coverage, 20167,
     /*  330821 */     GIR_EraseRootFromParent_Done,
     /*  330822 */   // Label 6076: @330822
     /*  330822 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(330885), // Rule ID 20170 //
     /*  330827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330866 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330883 */     GIR_RootConstrainSelectedInstOperands,
     /*  330884 */     // GIR_Coverage, 20170,
     /*  330884 */     GIR_EraseRootFromParent_Done,
     /*  330885 */   // Label 6077: @330885
     /*  330885 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(330948), // Rule ID 20171 //
     /*  330890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330946 */     GIR_RootConstrainSelectedInstOperands,
     /*  330947 */     // GIR_Coverage, 20171,
     /*  330947 */     GIR_EraseRootFromParent_Done,
     /*  330948 */   // Label 6078: @330948
     /*  330948 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(331011), // Rule ID 20174 //
     /*  330953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  330995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331009 */     GIR_RootConstrainSelectedInstOperands,
     /*  331010 */     // GIR_Coverage, 20174,
     /*  331010 */     GIR_EraseRootFromParent_Done,
     /*  331011 */   // Label 6079: @331011
     /*  331011 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(331074), // Rule ID 20175 //
     /*  331016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331055 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  331058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331072 */     GIR_RootConstrainSelectedInstOperands,
     /*  331073 */     // GIR_Coverage, 20175,
     /*  331073 */     GIR_EraseRootFromParent_Done,
     /*  331074 */   // Label 6080: @331074
     /*  331074 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(331137), // Rule ID 20178 //
     /*  331079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  331121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331135 */     GIR_RootConstrainSelectedInstOperands,
     /*  331136 */     // GIR_Coverage, 20178,
     /*  331136 */     GIR_EraseRootFromParent_Done,
     /*  331137 */   // Label 6081: @331137
     /*  331137 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331200), // Rule ID 20179 //
     /*  331142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331181 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  331184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331198 */     GIR_RootConstrainSelectedInstOperands,
     /*  331199 */     // GIR_Coverage, 20179,
     /*  331199 */     GIR_EraseRootFromParent_Done,
     /*  331200 */   // Label 6082: @331200
     /*  331200 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331263), // Rule ID 20182 //
     /*  331205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  331247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331261 */     GIR_RootConstrainSelectedInstOperands,
     /*  331262 */     // GIR_Coverage, 20182,
     /*  331262 */     GIR_EraseRootFromParent_Done,
     /*  331263 */   // Label 6083: @331263
     /*  331263 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331326), // Rule ID 20183 //
     /*  331268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331307 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  331310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331324 */     GIR_RootConstrainSelectedInstOperands,
     /*  331325 */     // GIR_Coverage, 20183,
     /*  331325 */     GIR_EraseRootFromParent_Done,
     /*  331326 */   // Label 6084: @331326
     /*  331326 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331389), // Rule ID 20186 //
     /*  331331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331370 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  331373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331387 */     GIR_RootConstrainSelectedInstOperands,
     /*  331388 */     // GIR_Coverage, 20186,
     /*  331388 */     GIR_EraseRootFromParent_Done,
     /*  331389 */   // Label 6085: @331389
     /*  331389 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331452), // Rule ID 20187 //
     /*  331394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  331436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331450 */     GIR_RootConstrainSelectedInstOperands,
     /*  331451 */     // GIR_Coverage, 20187,
     /*  331451 */     GIR_EraseRootFromParent_Done,
     /*  331452 */   // Label 6086: @331452
     /*  331452 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331515), // Rule ID 20190 //
     /*  331457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331513 */     GIR_RootConstrainSelectedInstOperands,
     /*  331514 */     // GIR_Coverage, 20190,
     /*  331514 */     GIR_EraseRootFromParent_Done,
     /*  331515 */   // Label 6087: @331515
     /*  331515 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(331578), // Rule ID 20191 //
     /*  331520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331559 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331576 */     GIR_RootConstrainSelectedInstOperands,
     /*  331577 */     // GIR_Coverage, 20191,
     /*  331577 */     GIR_EraseRootFromParent_Done,
     /*  331578 */   // Label 6088: @331578
     /*  331578 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(331641), // Rule ID 20194 //
     /*  331583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331622 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331639 */     GIR_RootConstrainSelectedInstOperands,
     /*  331640 */     // GIR_Coverage, 20194,
     /*  331640 */     GIR_EraseRootFromParent_Done,
     /*  331641 */   // Label 6089: @331641
     /*  331641 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(331704), // Rule ID 20195 //
     /*  331646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331685 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331702 */     GIR_RootConstrainSelectedInstOperands,
     /*  331703 */     // GIR_Coverage, 20195,
     /*  331703 */     GIR_EraseRootFromParent_Done,
     /*  331704 */   // Label 6090: @331704
     /*  331704 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(331767), // Rule ID 20198 //
     /*  331709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331765 */     GIR_RootConstrainSelectedInstOperands,
     /*  331766 */     // GIR_Coverage, 20198,
     /*  331766 */     GIR_EraseRootFromParent_Done,
     /*  331767 */   // Label 6091: @331767
     /*  331767 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(331830), // Rule ID 20199 //
     /*  331772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331811 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331828 */     GIR_RootConstrainSelectedInstOperands,
     /*  331829 */     // GIR_Coverage, 20199,
     /*  331829 */     GIR_EraseRootFromParent_Done,
     /*  331830 */   // Label 6092: @331830
     /*  331830 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(331893), // Rule ID 20202 //
     /*  331835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331891 */     GIR_RootConstrainSelectedInstOperands,
     /*  331892 */     // GIR_Coverage, 20202,
     /*  331892 */     GIR_EraseRootFromParent_Done,
     /*  331893 */   // Label 6093: @331893
     /*  331893 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(331956), // Rule ID 20203 //
     /*  331898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331954 */     GIR_RootConstrainSelectedInstOperands,
     /*  331955 */     // GIR_Coverage, 20203,
     /*  331955 */     GIR_EraseRootFromParent_Done,
     /*  331956 */   // Label 6094: @331956
     /*  331956 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(332019), // Rule ID 20206 //
     /*  331961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  332003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332017 */     GIR_RootConstrainSelectedInstOperands,
     /*  332018 */     // GIR_Coverage, 20206,
     /*  332018 */     GIR_EraseRootFromParent_Done,
     /*  332019 */   // Label 6095: @332019
     /*  332019 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(332082), // Rule ID 20207 //
     /*  332024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  332066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332080 */     GIR_RootConstrainSelectedInstOperands,
     /*  332081 */     // GIR_Coverage, 20207,
     /*  332081 */     GIR_EraseRootFromParent_Done,
     /*  332082 */   // Label 6096: @332082
     /*  332082 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(332145), // Rule ID 20210 //
     /*  332087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332126 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  332129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332143 */     GIR_RootConstrainSelectedInstOperands,
     /*  332144 */     // GIR_Coverage, 20210,
     /*  332144 */     GIR_EraseRootFromParent_Done,
     /*  332145 */   // Label 6097: @332145
     /*  332145 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332208), // Rule ID 20211 //
     /*  332150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332189 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  332192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332206 */     GIR_RootConstrainSelectedInstOperands,
     /*  332207 */     // GIR_Coverage, 20211,
     /*  332207 */     GIR_EraseRootFromParent_Done,
     /*  332208 */   // Label 6098: @332208
     /*  332208 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332271), // Rule ID 20214 //
     /*  332213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  332255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332269 */     GIR_RootConstrainSelectedInstOperands,
     /*  332270 */     // GIR_Coverage, 20214,
     /*  332270 */     GIR_EraseRootFromParent_Done,
     /*  332271 */   // Label 6099: @332271
     /*  332271 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332334), // Rule ID 20215 //
     /*  332276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  332318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332332 */     GIR_RootConstrainSelectedInstOperands,
     /*  332333 */     // GIR_Coverage, 20215,
     /*  332333 */     GIR_EraseRootFromParent_Done,
     /*  332334 */   // Label 6100: @332334
     /*  332334 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332397), // Rule ID 20218 //
     /*  332339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  332381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332395 */     GIR_RootConstrainSelectedInstOperands,
     /*  332396 */     // GIR_Coverage, 20218,
     /*  332396 */     GIR_EraseRootFromParent_Done,
     /*  332397 */   // Label 6101: @332397
     /*  332397 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332460), // Rule ID 20219 //
     /*  332402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332441 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  332444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332458 */     GIR_RootConstrainSelectedInstOperands,
     /*  332459 */     // GIR_Coverage, 20219,
     /*  332459 */     GIR_EraseRootFromParent_Done,
     /*  332460 */   // Label 6102: @332460
     /*  332460 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332523), // Rule ID 20222 //
     /*  332465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332521 */     GIR_RootConstrainSelectedInstOperands,
     /*  332522 */     // GIR_Coverage, 20222,
     /*  332522 */     GIR_EraseRootFromParent_Done,
     /*  332523 */   // Label 6103: @332523
     /*  332523 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(332586), // Rule ID 20223 //
     /*  332528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332567 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332584 */     GIR_RootConstrainSelectedInstOperands,
     /*  332585 */     // GIR_Coverage, 20223,
     /*  332585 */     GIR_EraseRootFromParent_Done,
     /*  332586 */   // Label 6104: @332586
     /*  332586 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(332649), // Rule ID 20226 //
     /*  332591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332630 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332647 */     GIR_RootConstrainSelectedInstOperands,
     /*  332648 */     // GIR_Coverage, 20226,
     /*  332648 */     GIR_EraseRootFromParent_Done,
     /*  332649 */   // Label 6105: @332649
     /*  332649 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(332712), // Rule ID 20227 //
     /*  332654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332693 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332710 */     GIR_RootConstrainSelectedInstOperands,
     /*  332711 */     // GIR_Coverage, 20227,
     /*  332711 */     GIR_EraseRootFromParent_Done,
     /*  332712 */   // Label 6106: @332712
     /*  332712 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(332775), // Rule ID 20230 //
     /*  332717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332773 */     GIR_RootConstrainSelectedInstOperands,
     /*  332774 */     // GIR_Coverage, 20230,
     /*  332774 */     GIR_EraseRootFromParent_Done,
     /*  332775 */   // Label 6107: @332775
     /*  332775 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(332838), // Rule ID 20231 //
     /*  332780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332819 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332836 */     GIR_RootConstrainSelectedInstOperands,
     /*  332837 */     // GIR_Coverage, 20231,
     /*  332837 */     GIR_EraseRootFromParent_Done,
     /*  332838 */   // Label 6108: @332838
     /*  332838 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(332901), // Rule ID 20234 //
     /*  332843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332899 */     GIR_RootConstrainSelectedInstOperands,
     /*  332900 */     // GIR_Coverage, 20234,
     /*  332900 */     GIR_EraseRootFromParent_Done,
     /*  332901 */   // Label 6109: @332901
     /*  332901 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(332964), // Rule ID 20235 //
     /*  332906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332962 */     GIR_RootConstrainSelectedInstOperands,
     /*  332963 */     // GIR_Coverage, 20235,
     /*  332963 */     GIR_EraseRootFromParent_Done,
     /*  332964 */   // Label 6110: @332964
     /*  332964 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(333027), // Rule ID 20238 //
     /*  332969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  333011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333025 */     GIR_RootConstrainSelectedInstOperands,
     /*  333026 */     // GIR_Coverage, 20238,
     /*  333026 */     GIR_EraseRootFromParent_Done,
     /*  333027 */   // Label 6111: @333027
     /*  333027 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(333090), // Rule ID 20239 //
     /*  333032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333071 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  333074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333088 */     GIR_RootConstrainSelectedInstOperands,
     /*  333089 */     // GIR_Coverage, 20239,
     /*  333089 */     GIR_EraseRootFromParent_Done,
     /*  333090 */   // Label 6112: @333090
     /*  333090 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(333153), // Rule ID 20242 //
     /*  333095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  333137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333151 */     GIR_RootConstrainSelectedInstOperands,
     /*  333152 */     // GIR_Coverage, 20242,
     /*  333152 */     GIR_EraseRootFromParent_Done,
     /*  333153 */   // Label 6113: @333153
     /*  333153 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333216), // Rule ID 20243 //
     /*  333158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  333200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333214 */     GIR_RootConstrainSelectedInstOperands,
     /*  333215 */     // GIR_Coverage, 20243,
     /*  333215 */     GIR_EraseRootFromParent_Done,
     /*  333216 */   // Label 6114: @333216
     /*  333216 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333279), // Rule ID 20246 //
     /*  333221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  333263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333277 */     GIR_RootConstrainSelectedInstOperands,
     /*  333278 */     // GIR_Coverage, 20246,
     /*  333278 */     GIR_EraseRootFromParent_Done,
     /*  333279 */   // Label 6115: @333279
     /*  333279 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333342), // Rule ID 20247 //
     /*  333284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333323 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  333326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333340 */     GIR_RootConstrainSelectedInstOperands,
     /*  333341 */     // GIR_Coverage, 20247,
     /*  333341 */     GIR_EraseRootFromParent_Done,
     /*  333342 */   // Label 6116: @333342
     /*  333342 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333405), // Rule ID 20250 //
     /*  333347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333386 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  333389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333403 */     GIR_RootConstrainSelectedInstOperands,
     /*  333404 */     // GIR_Coverage, 20250,
     /*  333404 */     GIR_EraseRootFromParent_Done,
     /*  333405 */   // Label 6117: @333405
     /*  333405 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333468), // Rule ID 20251 //
     /*  333410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  333452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333466 */     GIR_RootConstrainSelectedInstOperands,
     /*  333467 */     // GIR_Coverage, 20251,
     /*  333467 */     GIR_EraseRootFromParent_Done,
     /*  333468 */   // Label 6118: @333468
     /*  333468 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333531), // Rule ID 20254 //
     /*  333473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333529 */     GIR_RootConstrainSelectedInstOperands,
     /*  333530 */     // GIR_Coverage, 20254,
     /*  333530 */     GIR_EraseRootFromParent_Done,
     /*  333531 */   // Label 6119: @333531
     /*  333531 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(333594), // Rule ID 20255 //
     /*  333536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333575 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333592 */     GIR_RootConstrainSelectedInstOperands,
     /*  333593 */     // GIR_Coverage, 20255,
     /*  333593 */     GIR_EraseRootFromParent_Done,
     /*  333594 */   // Label 6120: @333594
     /*  333594 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(333657), // Rule ID 20258 //
     /*  333599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333638 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333655 */     GIR_RootConstrainSelectedInstOperands,
     /*  333656 */     // GIR_Coverage, 20258,
     /*  333656 */     GIR_EraseRootFromParent_Done,
     /*  333657 */   // Label 6121: @333657
     /*  333657 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(333720), // Rule ID 20259 //
     /*  333662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333701 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333718 */     GIR_RootConstrainSelectedInstOperands,
     /*  333719 */     // GIR_Coverage, 20259,
     /*  333719 */     GIR_EraseRootFromParent_Done,
     /*  333720 */   // Label 6122: @333720
     /*  333720 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(333783), // Rule ID 20262 //
     /*  333725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333781 */     GIR_RootConstrainSelectedInstOperands,
     /*  333782 */     // GIR_Coverage, 20262,
     /*  333782 */     GIR_EraseRootFromParent_Done,
     /*  333783 */   // Label 6123: @333783
     /*  333783 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(333846), // Rule ID 20263 //
     /*  333788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333827 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333844 */     GIR_RootConstrainSelectedInstOperands,
     /*  333845 */     // GIR_Coverage, 20263,
     /*  333845 */     GIR_EraseRootFromParent_Done,
     /*  333846 */   // Label 6124: @333846
     /*  333846 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(333909), // Rule ID 20266 //
     /*  333851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333907 */     GIR_RootConstrainSelectedInstOperands,
     /*  333908 */     // GIR_Coverage, 20266,
     /*  333908 */     GIR_EraseRootFromParent_Done,
     /*  333909 */   // Label 6125: @333909
     /*  333909 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(333972), // Rule ID 20267 //
     /*  333914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333953 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333970 */     GIR_RootConstrainSelectedInstOperands,
     /*  333971 */     // GIR_Coverage, 20267,
     /*  333971 */     GIR_EraseRootFromParent_Done,
     /*  333972 */   // Label 6126: @333972
     /*  333972 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(334035), // Rule ID 20270 //
     /*  333977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334033 */     GIR_RootConstrainSelectedInstOperands,
     /*  334034 */     // GIR_Coverage, 20270,
     /*  334034 */     GIR_EraseRootFromParent_Done,
     /*  334035 */   // Label 6127: @334035
     /*  334035 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(334098), // Rule ID 20271 //
     /*  334040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334079 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334096 */     GIR_RootConstrainSelectedInstOperands,
     /*  334097 */     // GIR_Coverage, 20271,
     /*  334097 */     GIR_EraseRootFromParent_Done,
     /*  334098 */   // Label 6128: @334098
     /*  334098 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(334161), // Rule ID 20274 //
     /*  334103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334142 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334159 */     GIR_RootConstrainSelectedInstOperands,
     /*  334160 */     // GIR_Coverage, 20274,
     /*  334160 */     GIR_EraseRootFromParent_Done,
     /*  334161 */   // Label 6129: @334161
     /*  334161 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334224), // Rule ID 20275 //
     /*  334166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334205 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334222 */     GIR_RootConstrainSelectedInstOperands,
     /*  334223 */     // GIR_Coverage, 20275,
     /*  334223 */     GIR_EraseRootFromParent_Done,
     /*  334224 */   // Label 6130: @334224
     /*  334224 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334287), // Rule ID 20278 //
     /*  334229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334285 */     GIR_RootConstrainSelectedInstOperands,
     /*  334286 */     // GIR_Coverage, 20278,
     /*  334286 */     GIR_EraseRootFromParent_Done,
     /*  334287 */   // Label 6131: @334287
     /*  334287 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334350), // Rule ID 20279 //
     /*  334292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334348 */     GIR_RootConstrainSelectedInstOperands,
     /*  334349 */     // GIR_Coverage, 20279,
     /*  334349 */     GIR_EraseRootFromParent_Done,
     /*  334350 */   // Label 6132: @334350
     /*  334350 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334413), // Rule ID 20282 //
     /*  334355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334394 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334411 */     GIR_RootConstrainSelectedInstOperands,
     /*  334412 */     // GIR_Coverage, 20282,
     /*  334412 */     GIR_EraseRootFromParent_Done,
     /*  334413 */   // Label 6133: @334413
     /*  334413 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334476), // Rule ID 20283 //
     /*  334418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334457 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334474 */     GIR_RootConstrainSelectedInstOperands,
     /*  334475 */     // GIR_Coverage, 20283,
     /*  334475 */     GIR_EraseRootFromParent_Done,
     /*  334476 */   // Label 6134: @334476
     /*  334476 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334539), // Rule ID 20286 //
     /*  334481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334520 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334537 */     GIR_RootConstrainSelectedInstOperands,
     /*  334538 */     // GIR_Coverage, 20286,
     /*  334538 */     GIR_EraseRootFromParent_Done,
     /*  334539 */   // Label 6135: @334539
     /*  334539 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(334602), // Rule ID 20287 //
     /*  334544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334583 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334600 */     GIR_RootConstrainSelectedInstOperands,
     /*  334601 */     // GIR_Coverage, 20287,
     /*  334601 */     GIR_EraseRootFromParent_Done,
     /*  334602 */   // Label 6136: @334602
     /*  334602 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(334665), // Rule ID 20290 //
     /*  334607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334663 */     GIR_RootConstrainSelectedInstOperands,
     /*  334664 */     // GIR_Coverage, 20290,
     /*  334664 */     GIR_EraseRootFromParent_Done,
     /*  334665 */   // Label 6137: @334665
     /*  334665 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(334728), // Rule ID 20291 //
     /*  334670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334726 */     GIR_RootConstrainSelectedInstOperands,
     /*  334727 */     // GIR_Coverage, 20291,
     /*  334727 */     GIR_EraseRootFromParent_Done,
     /*  334728 */   // Label 6138: @334728
     /*  334728 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(334791), // Rule ID 20294 //
     /*  334733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334789 */     GIR_RootConstrainSelectedInstOperands,
     /*  334790 */     // GIR_Coverage, 20294,
     /*  334790 */     GIR_EraseRootFromParent_Done,
     /*  334791 */   // Label 6139: @334791
     /*  334791 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(334854), // Rule ID 20295 //
     /*  334796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334852 */     GIR_RootConstrainSelectedInstOperands,
     /*  334853 */     // GIR_Coverage, 20295,
     /*  334853 */     GIR_EraseRootFromParent_Done,
     /*  334854 */   // Label 6140: @334854
     /*  334854 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(334917), // Rule ID 20298 //
     /*  334859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334898 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334915 */     GIR_RootConstrainSelectedInstOperands,
     /*  334916 */     // GIR_Coverage, 20298,
     /*  334916 */     GIR_EraseRootFromParent_Done,
     /*  334917 */   // Label 6141: @334917
     /*  334917 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(334980), // Rule ID 20299 //
     /*  334922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334961 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334978 */     GIR_RootConstrainSelectedInstOperands,
     /*  334979 */     // GIR_Coverage, 20299,
     /*  334979 */     GIR_EraseRootFromParent_Done,
     /*  334980 */   // Label 6142: @334980
     /*  334980 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(335043), // Rule ID 20302 //
     /*  334985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335041 */     GIR_RootConstrainSelectedInstOperands,
     /*  335042 */     // GIR_Coverage, 20302,
     /*  335042 */     GIR_EraseRootFromParent_Done,
     /*  335043 */   // Label 6143: @335043
     /*  335043 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(335106), // Rule ID 20303 //
     /*  335048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335104 */     GIR_RootConstrainSelectedInstOperands,
     /*  335105 */     // GIR_Coverage, 20303,
     /*  335105 */     GIR_EraseRootFromParent_Done,
     /*  335106 */   // Label 6144: @335106
     /*  335106 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(335169), // Rule ID 20306 //
     /*  335111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335167 */     GIR_RootConstrainSelectedInstOperands,
     /*  335168 */     // GIR_Coverage, 20306,
     /*  335168 */     GIR_EraseRootFromParent_Done,
     /*  335169 */   // Label 6145: @335169
     /*  335169 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335232), // Rule ID 20307 //
     /*  335174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335230 */     GIR_RootConstrainSelectedInstOperands,
     /*  335231 */     // GIR_Coverage, 20307,
     /*  335231 */     GIR_EraseRootFromParent_Done,
     /*  335232 */   // Label 6146: @335232
     /*  335232 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335295), // Rule ID 20310 //
     /*  335237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335293 */     GIR_RootConstrainSelectedInstOperands,
     /*  335294 */     // GIR_Coverage, 20310,
     /*  335294 */     GIR_EraseRootFromParent_Done,
     /*  335295 */   // Label 6147: @335295
     /*  335295 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335358), // Rule ID 20311 //
     /*  335300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335339 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335356 */     GIR_RootConstrainSelectedInstOperands,
     /*  335357 */     // GIR_Coverage, 20311,
     /*  335357 */     GIR_EraseRootFromParent_Done,
     /*  335358 */   // Label 6148: @335358
     /*  335358 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335421), // Rule ID 20314 //
     /*  335363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  335380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  335405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335419 */     GIR_RootConstrainSelectedInstOperands,
     /*  335420 */     // GIR_Coverage, 20314,
     /*  335420 */     GIR_EraseRootFromParent_Done,
     /*  335421 */   // Label 6149: @335421
     /*  335421 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335484), // Rule ID 20315 //
     /*  335426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  335443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335465 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  335468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335482 */     GIR_RootConstrainSelectedInstOperands,
     /*  335483 */     // GIR_Coverage, 20315,
     /*  335483 */     GIR_EraseRootFromParent_Done,
     /*  335484 */   // Label 6150: @335484
     /*  335484 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335547), // Rule ID 20318 //
     /*  335489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335545 */     GIR_RootConstrainSelectedInstOperands,
     /*  335546 */     // GIR_Coverage, 20318,
     /*  335546 */     GIR_EraseRootFromParent_Done,
     /*  335547 */   // Label 6151: @335547
     /*  335547 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(335610), // Rule ID 20319 //
     /*  335552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335591 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335608 */     GIR_RootConstrainSelectedInstOperands,
     /*  335609 */     // GIR_Coverage, 20319,
     /*  335609 */     GIR_EraseRootFromParent_Done,
     /*  335610 */   // Label 6152: @335610
     /*  335610 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(335673), // Rule ID 20322 //
     /*  335615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335671 */     GIR_RootConstrainSelectedInstOperands,
     /*  335672 */     // GIR_Coverage, 20322,
     /*  335672 */     GIR_EraseRootFromParent_Done,
     /*  335673 */   // Label 6153: @335673
     /*  335673 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(335736), // Rule ID 20323 //
     /*  335678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335734 */     GIR_RootConstrainSelectedInstOperands,
     /*  335735 */     // GIR_Coverage, 20323,
     /*  335735 */     GIR_EraseRootFromParent_Done,
     /*  335736 */   // Label 6154: @335736
     /*  335736 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(335799), // Rule ID 20326 //
     /*  335741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335797 */     GIR_RootConstrainSelectedInstOperands,
     /*  335798 */     // GIR_Coverage, 20326,
     /*  335798 */     GIR_EraseRootFromParent_Done,
     /*  335799 */   // Label 6155: @335799
     /*  335799 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(335862), // Rule ID 20327 //
     /*  335804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335843 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335860 */     GIR_RootConstrainSelectedInstOperands,
     /*  335861 */     // GIR_Coverage, 20327,
     /*  335861 */     GIR_EraseRootFromParent_Done,
     /*  335862 */   // Label 6156: @335862
     /*  335862 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(335925), // Rule ID 20330 //
     /*  335867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335906 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335923 */     GIR_RootConstrainSelectedInstOperands,
     /*  335924 */     // GIR_Coverage, 20330,
     /*  335924 */     GIR_EraseRootFromParent_Done,
     /*  335925 */   // Label 6157: @335925
     /*  335925 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(335988), // Rule ID 20331 //
     /*  335930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335986 */     GIR_RootConstrainSelectedInstOperands,
     /*  335987 */     // GIR_Coverage, 20331,
     /*  335987 */     GIR_EraseRootFromParent_Done,
     /*  335988 */   // Label 6158: @335988
     /*  335988 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(336051), // Rule ID 20334 //
     /*  335993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336049 */     GIR_RootConstrainSelectedInstOperands,
     /*  336050 */     // GIR_Coverage, 20334,
     /*  336050 */     GIR_EraseRootFromParent_Done,
     /*  336051 */   // Label 6159: @336051
     /*  336051 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(336114), // Rule ID 20335 //
     /*  336056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336112 */     GIR_RootConstrainSelectedInstOperands,
     /*  336113 */     // GIR_Coverage, 20335,
     /*  336113 */     GIR_EraseRootFromParent_Done,
     /*  336114 */   // Label 6160: @336114
     /*  336114 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(336177), // Rule ID 20338 //
     /*  336119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336175 */     GIR_RootConstrainSelectedInstOperands,
     /*  336176 */     // GIR_Coverage, 20338,
     /*  336176 */     GIR_EraseRootFromParent_Done,
     /*  336177 */   // Label 6161: @336177
     /*  336177 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336240), // Rule ID 20339 //
     /*  336182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336238 */     GIR_RootConstrainSelectedInstOperands,
     /*  336239 */     // GIR_Coverage, 20339,
     /*  336239 */     GIR_EraseRootFromParent_Done,
     /*  336240 */   // Label 6162: @336240
     /*  336240 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336303), // Rule ID 20342 //
     /*  336245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336301 */     GIR_RootConstrainSelectedInstOperands,
     /*  336302 */     // GIR_Coverage, 20342,
     /*  336302 */     GIR_EraseRootFromParent_Done,
     /*  336303 */   // Label 6163: @336303
     /*  336303 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336366), // Rule ID 20343 //
     /*  336308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336347 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336364 */     GIR_RootConstrainSelectedInstOperands,
     /*  336365 */     // GIR_Coverage, 20343,
     /*  336365 */     GIR_EraseRootFromParent_Done,
     /*  336366 */   // Label 6164: @336366
     /*  336366 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336429), // Rule ID 20346 //
     /*  336371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336410 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336427 */     GIR_RootConstrainSelectedInstOperands,
     /*  336428 */     // GIR_Coverage, 20346,
     /*  336428 */     GIR_EraseRootFromParent_Done,
     /*  336429 */   // Label 6165: @336429
     /*  336429 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336492), // Rule ID 20347 //
     /*  336434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336473 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336490 */     GIR_RootConstrainSelectedInstOperands,
     /*  336491 */     // GIR_Coverage, 20347,
     /*  336491 */     GIR_EraseRootFromParent_Done,
     /*  336492 */   // Label 6166: @336492
     /*  336492 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336555), // Rule ID 20350 //
     /*  336497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336553 */     GIR_RootConstrainSelectedInstOperands,
     /*  336554 */     // GIR_Coverage, 20350,
     /*  336554 */     GIR_EraseRootFromParent_Done,
     /*  336555 */   // Label 6167: @336555
     /*  336555 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(336618), // Rule ID 20351 //
     /*  336560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336616 */     GIR_RootConstrainSelectedInstOperands,
     /*  336617 */     // GIR_Coverage, 20351,
     /*  336617 */     GIR_EraseRootFromParent_Done,
     /*  336618 */   // Label 6168: @336618
     /*  336618 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(336681), // Rule ID 20354 //
     /*  336623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336679 */     GIR_RootConstrainSelectedInstOperands,
     /*  336680 */     // GIR_Coverage, 20354,
     /*  336680 */     GIR_EraseRootFromParent_Done,
     /*  336681 */   // Label 6169: @336681
     /*  336681 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(336744), // Rule ID 20355 //
     /*  336686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336742 */     GIR_RootConstrainSelectedInstOperands,
     /*  336743 */     // GIR_Coverage, 20355,
     /*  336743 */     GIR_EraseRootFromParent_Done,
     /*  336744 */   // Label 6170: @336744
     /*  336744 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(336807), // Rule ID 20358 //
     /*  336749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336805 */     GIR_RootConstrainSelectedInstOperands,
     /*  336806 */     // GIR_Coverage, 20358,
     /*  336806 */     GIR_EraseRootFromParent_Done,
     /*  336807 */   // Label 6171: @336807
     /*  336807 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(336870), // Rule ID 20359 //
     /*  336812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336851 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336868 */     GIR_RootConstrainSelectedInstOperands,
     /*  336869 */     // GIR_Coverage, 20359,
     /*  336869 */     GIR_EraseRootFromParent_Done,
     /*  336870 */   // Label 6172: @336870
     /*  336870 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(336933), // Rule ID 20362 //
     /*  336875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336931 */     GIR_RootConstrainSelectedInstOperands,
     /*  336932 */     // GIR_Coverage, 20362,
     /*  336932 */     GIR_EraseRootFromParent_Done,
     /*  336933 */   // Label 6173: @336933
     /*  336933 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(336996), // Rule ID 20363 //
     /*  336938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336994 */     GIR_RootConstrainSelectedInstOperands,
     /*  336995 */     // GIR_Coverage, 20363,
     /*  336995 */     GIR_EraseRootFromParent_Done,
     /*  336996 */   // Label 6174: @336996
     /*  336996 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(337059), // Rule ID 20366 //
     /*  337001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337057 */     GIR_RootConstrainSelectedInstOperands,
     /*  337058 */     // GIR_Coverage, 20366,
     /*  337058 */     GIR_EraseRootFromParent_Done,
     /*  337059 */   // Label 6175: @337059
     /*  337059 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(337122), // Rule ID 20367 //
     /*  337064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337103 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337120 */     GIR_RootConstrainSelectedInstOperands,
     /*  337121 */     // GIR_Coverage, 20367,
     /*  337121 */     GIR_EraseRootFromParent_Done,
     /*  337122 */   // Label 6176: @337122
     /*  337122 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337185), // Rule ID 20370 //
     /*  337127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337166 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337183 */     GIR_RootConstrainSelectedInstOperands,
     /*  337184 */     // GIR_Coverage, 20370,
     /*  337184 */     GIR_EraseRootFromParent_Done,
     /*  337185 */   // Label 6177: @337185
     /*  337185 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337248), // Rule ID 20371 //
     /*  337190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337246 */     GIR_RootConstrainSelectedInstOperands,
     /*  337247 */     // GIR_Coverage, 20371,
     /*  337247 */     GIR_EraseRootFromParent_Done,
     /*  337248 */   // Label 6178: @337248
     /*  337248 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337314), // Rule ID 20374 //
     /*  337253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337312 */     GIR_RootConstrainSelectedInstOperands,
     /*  337313 */     // GIR_Coverage, 20374,
     /*  337313 */     GIR_EraseRootFromParent_Done,
     /*  337314 */   // Label 6179: @337314
     /*  337314 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337380), // Rule ID 20375 //
     /*  337319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337358 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337378 */     GIR_RootConstrainSelectedInstOperands,
     /*  337379 */     // GIR_Coverage, 20375,
     /*  337379 */     GIR_EraseRootFromParent_Done,
     /*  337380 */   // Label 6180: @337380
     /*  337380 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337446), // Rule ID 20378 //
     /*  337385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337444 */     GIR_RootConstrainSelectedInstOperands,
     /*  337445 */     // GIR_Coverage, 20378,
     /*  337445 */     GIR_EraseRootFromParent_Done,
     /*  337446 */   // Label 6181: @337446
     /*  337446 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337512), // Rule ID 20379 //
     /*  337451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337510 */     GIR_RootConstrainSelectedInstOperands,
     /*  337511 */     // GIR_Coverage, 20379,
     /*  337511 */     GIR_EraseRootFromParent_Done,
     /*  337512 */   // Label 6182: @337512
     /*  337512 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(337578), // Rule ID 20382 //
     /*  337517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337576 */     GIR_RootConstrainSelectedInstOperands,
     /*  337577 */     // GIR_Coverage, 20382,
     /*  337577 */     GIR_EraseRootFromParent_Done,
     /*  337578 */   // Label 6183: @337578
     /*  337578 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(337644), // Rule ID 20383 //
     /*  337583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337642 */     GIR_RootConstrainSelectedInstOperands,
     /*  337643 */     // GIR_Coverage, 20383,
     /*  337643 */     GIR_EraseRootFromParent_Done,
     /*  337644 */   // Label 6184: @337644
     /*  337644 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(337710), // Rule ID 20386 //
     /*  337649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337708 */     GIR_RootConstrainSelectedInstOperands,
     /*  337709 */     // GIR_Coverage, 20386,
     /*  337709 */     GIR_EraseRootFromParent_Done,
     /*  337710 */   // Label 6185: @337710
     /*  337710 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(337776), // Rule ID 20387 //
     /*  337715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337774 */     GIR_RootConstrainSelectedInstOperands,
     /*  337775 */     // GIR_Coverage, 20387,
     /*  337775 */     GIR_EraseRootFromParent_Done,
     /*  337776 */   // Label 6186: @337776
     /*  337776 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(337842), // Rule ID 20390 //
     /*  337781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  337784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337840 */     GIR_RootConstrainSelectedInstOperands,
     /*  337841 */     // GIR_Coverage, 20390,
     /*  337841 */     GIR_EraseRootFromParent_Done,
     /*  337842 */   // Label 6187: @337842
     /*  337842 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(337908), // Rule ID 20391 //
     /*  337847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  337850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337906 */     GIR_RootConstrainSelectedInstOperands,
     /*  337907 */     // GIR_Coverage, 20391,
     /*  337907 */     GIR_EraseRootFromParent_Done,
     /*  337908 */   // Label 6188: @337908
     /*  337908 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(337974), // Rule ID 20394 //
     /*  337913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337972 */     GIR_RootConstrainSelectedInstOperands,
     /*  337973 */     // GIR_Coverage, 20394,
     /*  337973 */     GIR_EraseRootFromParent_Done,
     /*  337974 */   // Label 6189: @337974
     /*  337974 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(338040), // Rule ID 20395 //
     /*  337979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338018 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338038 */     GIR_RootConstrainSelectedInstOperands,
     /*  338039 */     // GIR_Coverage, 20395,
     /*  338039 */     GIR_EraseRootFromParent_Done,
     /*  338040 */   // Label 6190: @338040
     /*  338040 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(338106), // Rule ID 20398 //
     /*  338045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338104 */     GIR_RootConstrainSelectedInstOperands,
     /*  338105 */     // GIR_Coverage, 20398,
     /*  338105 */     GIR_EraseRootFromParent_Done,
     /*  338106 */   // Label 6191: @338106
     /*  338106 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(338172), // Rule ID 20399 //
     /*  338111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338150 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338170 */     GIR_RootConstrainSelectedInstOperands,
     /*  338171 */     // GIR_Coverage, 20399,
     /*  338171 */     GIR_EraseRootFromParent_Done,
     /*  338172 */   // Label 6192: @338172
     /*  338172 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338238), // Rule ID 20402 //
     /*  338177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338236 */     GIR_RootConstrainSelectedInstOperands,
     /*  338237 */     // GIR_Coverage, 20402,
     /*  338237 */     GIR_EraseRootFromParent_Done,
     /*  338238 */   // Label 6193: @338238
     /*  338238 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338304), // Rule ID 20403 //
     /*  338243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338302 */     GIR_RootConstrainSelectedInstOperands,
     /*  338303 */     // GIR_Coverage, 20403,
     /*  338303 */     GIR_EraseRootFromParent_Done,
     /*  338304 */   // Label 6194: @338304
     /*  338304 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338370), // Rule ID 20406 //
     /*  338309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338368 */     GIR_RootConstrainSelectedInstOperands,
     /*  338369 */     // GIR_Coverage, 20406,
     /*  338369 */     GIR_EraseRootFromParent_Done,
     /*  338370 */   // Label 6195: @338370
     /*  338370 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338436), // Rule ID 20407 //
     /*  338375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338434 */     GIR_RootConstrainSelectedInstOperands,
     /*  338435 */     // GIR_Coverage, 20407,
     /*  338435 */     GIR_EraseRootFromParent_Done,
     /*  338436 */   // Label 6196: @338436
     /*  338436 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338502), // Rule ID 20410 //
     /*  338441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338500 */     GIR_RootConstrainSelectedInstOperands,
     /*  338501 */     // GIR_Coverage, 20410,
     /*  338501 */     GIR_EraseRootFromParent_Done,
     /*  338502 */   // Label 6197: @338502
     /*  338502 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338568), // Rule ID 20411 //
     /*  338507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338566 */     GIR_RootConstrainSelectedInstOperands,
     /*  338567 */     // GIR_Coverage, 20411,
     /*  338567 */     GIR_EraseRootFromParent_Done,
     /*  338568 */   // Label 6198: @338568
     /*  338568 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(338634), // Rule ID 20414 //
     /*  338573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338632 */     GIR_RootConstrainSelectedInstOperands,
     /*  338633 */     // GIR_Coverage, 20414,
     /*  338633 */     GIR_EraseRootFromParent_Done,
     /*  338634 */   // Label 6199: @338634
     /*  338634 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(338700), // Rule ID 20415 //
     /*  338639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338698 */     GIR_RootConstrainSelectedInstOperands,
     /*  338699 */     // GIR_Coverage, 20415,
     /*  338699 */     GIR_EraseRootFromParent_Done,
     /*  338700 */   // Label 6200: @338700
     /*  338700 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(338766), // Rule ID 20418 //
     /*  338705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338764 */     GIR_RootConstrainSelectedInstOperands,
     /*  338765 */     // GIR_Coverage, 20418,
     /*  338765 */     GIR_EraseRootFromParent_Done,
     /*  338766 */   // Label 6201: @338766
     /*  338766 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(338832), // Rule ID 20419 //
     /*  338771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338830 */     GIR_RootConstrainSelectedInstOperands,
     /*  338831 */     // GIR_Coverage, 20419,
     /*  338831 */     GIR_EraseRootFromParent_Done,
     /*  338832 */   // Label 6202: @338832
     /*  338832 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(338898), // Rule ID 20422 //
     /*  338837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338896 */     GIR_RootConstrainSelectedInstOperands,
     /*  338897 */     // GIR_Coverage, 20422,
     /*  338897 */     GIR_EraseRootFromParent_Done,
     /*  338898 */   // Label 6203: @338898
     /*  338898 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(338964), // Rule ID 20423 //
     /*  338903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338962 */     GIR_RootConstrainSelectedInstOperands,
     /*  338963 */     // GIR_Coverage, 20423,
     /*  338963 */     GIR_EraseRootFromParent_Done,
     /*  338964 */   // Label 6204: @338964
     /*  338964 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(339030), // Rule ID 20426 //
     /*  338969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  338980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  338986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339028 */     GIR_RootConstrainSelectedInstOperands,
     /*  339029 */     // GIR_Coverage, 20426,
     /*  339029 */     GIR_EraseRootFromParent_Done,
     /*  339030 */   // Label 6205: @339030
     /*  339030 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(339096), // Rule ID 20427 //
     /*  339035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339094 */     GIR_RootConstrainSelectedInstOperands,
     /*  339095 */     // GIR_Coverage, 20427,
     /*  339095 */     GIR_EraseRootFromParent_Done,
     /*  339096 */   // Label 6206: @339096
     /*  339096 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(339162), // Rule ID 20752 //
     /*  339101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  339143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339160 */     GIR_RootConstrainSelectedInstOperands,
     /*  339161 */     // GIR_Coverage, 20752,
     /*  339161 */     GIR_EraseRootFromParent_Done,
     /*  339162 */   // Label 6207: @339162
     /*  339162 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339228), // Rule ID 20753 //
     /*  339167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  339209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339226 */     GIR_RootConstrainSelectedInstOperands,
     /*  339227 */     // GIR_Coverage, 20753,
     /*  339227 */     GIR_EraseRootFromParent_Done,
     /*  339228 */   // Label 6208: @339228
     /*  339228 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339294), // Rule ID 20756 //
     /*  339233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339292 */     GIR_RootConstrainSelectedInstOperands,
     /*  339293 */     // GIR_Coverage, 20756,
     /*  339293 */     GIR_EraseRootFromParent_Done,
     /*  339294 */   // Label 6209: @339294
     /*  339294 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339360), // Rule ID 20757 //
     /*  339299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339338 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339358 */     GIR_RootConstrainSelectedInstOperands,
     /*  339359 */     // GIR_Coverage, 20757,
     /*  339359 */     GIR_EraseRootFromParent_Done,
     /*  339360 */   // Label 6210: @339360
     /*  339360 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339426), // Rule ID 20760 //
     /*  339365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339424 */     GIR_RootConstrainSelectedInstOperands,
     /*  339425 */     // GIR_Coverage, 20760,
     /*  339425 */     GIR_EraseRootFromParent_Done,
     /*  339426 */   // Label 6211: @339426
     /*  339426 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339492), // Rule ID 20761 //
     /*  339431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339470 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339490 */     GIR_RootConstrainSelectedInstOperands,
     /*  339491 */     // GIR_Coverage, 20761,
     /*  339491 */     GIR_EraseRootFromParent_Done,
     /*  339492 */   // Label 6212: @339492
     /*  339492 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339558), // Rule ID 20764 //
     /*  339497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339556 */     GIR_RootConstrainSelectedInstOperands,
     /*  339557 */     // GIR_Coverage, 20764,
     /*  339557 */     GIR_EraseRootFromParent_Done,
     /*  339558 */   // Label 6213: @339558
     /*  339558 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339624), // Rule ID 20765 //
     /*  339563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339622 */     GIR_RootConstrainSelectedInstOperands,
     /*  339623 */     // GIR_Coverage, 20765,
     /*  339623 */     GIR_EraseRootFromParent_Done,
     /*  339624 */   // Label 6214: @339624
     /*  339624 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(339690), // Rule ID 20768 //
     /*  339629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339688 */     GIR_RootConstrainSelectedInstOperands,
     /*  339689 */     // GIR_Coverage, 20768,
     /*  339689 */     GIR_EraseRootFromParent_Done,
     /*  339690 */   // Label 6215: @339690
     /*  339690 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(339756), // Rule ID 20769 //
     /*  339695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339754 */     GIR_RootConstrainSelectedInstOperands,
     /*  339755 */     // GIR_Coverage, 20769,
     /*  339755 */     GIR_EraseRootFromParent_Done,
     /*  339756 */   // Label 6216: @339756
     /*  339756 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(339822), // Rule ID 20772 //
     /*  339761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339820 */     GIR_RootConstrainSelectedInstOperands,
     /*  339821 */     // GIR_Coverage, 20772,
     /*  339821 */     GIR_EraseRootFromParent_Done,
     /*  339822 */   // Label 6217: @339822
     /*  339822 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(339888), // Rule ID 20773 //
     /*  339827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339866 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339886 */     GIR_RootConstrainSelectedInstOperands,
     /*  339887 */     // GIR_Coverage, 20773,
     /*  339887 */     GIR_EraseRootFromParent_Done,
     /*  339888 */   // Label 6218: @339888
     /*  339888 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(339954), // Rule ID 20776 //
     /*  339893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339932 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339952 */     GIR_RootConstrainSelectedInstOperands,
     /*  339953 */     // GIR_Coverage, 20776,
     /*  339953 */     GIR_EraseRootFromParent_Done,
     /*  339954 */   // Label 6219: @339954
     /*  339954 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(340020), // Rule ID 20777 //
     /*  339959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340018 */     GIR_RootConstrainSelectedInstOperands,
     /*  340019 */     // GIR_Coverage, 20777,
     /*  340019 */     GIR_EraseRootFromParent_Done,
     /*  340020 */   // Label 6220: @340020
     /*  340020 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(340086), // Rule ID 20780 //
     /*  340025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340084 */     GIR_RootConstrainSelectedInstOperands,
     /*  340085 */     // GIR_Coverage, 20780,
     /*  340085 */     GIR_EraseRootFromParent_Done,
     /*  340086 */   // Label 6221: @340086
     /*  340086 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(340152), // Rule ID 20781 //
     /*  340091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340150 */     GIR_RootConstrainSelectedInstOperands,
     /*  340151 */     // GIR_Coverage, 20781,
     /*  340151 */     GIR_EraseRootFromParent_Done,
     /*  340152 */   // Label 6222: @340152
     /*  340152 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340218), // Rule ID 20784 //
     /*  340157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340216 */     GIR_RootConstrainSelectedInstOperands,
     /*  340217 */     // GIR_Coverage, 20784,
     /*  340217 */     GIR_EraseRootFromParent_Done,
     /*  340218 */   // Label 6223: @340218
     /*  340218 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340284), // Rule ID 20785 //
     /*  340223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340282 */     GIR_RootConstrainSelectedInstOperands,
     /*  340283 */     // GIR_Coverage, 20785,
     /*  340283 */     GIR_EraseRootFromParent_Done,
     /*  340284 */   // Label 6224: @340284
     /*  340284 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340350), // Rule ID 20788 //
     /*  340289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340348 */     GIR_RootConstrainSelectedInstOperands,
     /*  340349 */     // GIR_Coverage, 20788,
     /*  340349 */     GIR_EraseRootFromParent_Done,
     /*  340350 */   // Label 6225: @340350
     /*  340350 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340416), // Rule ID 20789 //
     /*  340355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340394 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340414 */     GIR_RootConstrainSelectedInstOperands,
     /*  340415 */     // GIR_Coverage, 20789,
     /*  340415 */     GIR_EraseRootFromParent_Done,
     /*  340416 */   // Label 6226: @340416
     /*  340416 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340482), // Rule ID 20792 //
     /*  340421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340460 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340480 */     GIR_RootConstrainSelectedInstOperands,
     /*  340481 */     // GIR_Coverage, 20792,
     /*  340481 */     GIR_EraseRootFromParent_Done,
     /*  340482 */   // Label 6227: @340482
     /*  340482 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340548), // Rule ID 20793 //
     /*  340487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340546 */     GIR_RootConstrainSelectedInstOperands,
     /*  340547 */     // GIR_Coverage, 20793,
     /*  340547 */     GIR_EraseRootFromParent_Done,
     /*  340548 */   // Label 6228: @340548
     /*  340548 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340614), // Rule ID 20796 //
     /*  340553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340612 */     GIR_RootConstrainSelectedInstOperands,
     /*  340613 */     // GIR_Coverage, 20796,
     /*  340613 */     GIR_EraseRootFromParent_Done,
     /*  340614 */   // Label 6229: @340614
     /*  340614 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340680), // Rule ID 20797 //
     /*  340619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340678 */     GIR_RootConstrainSelectedInstOperands,
     /*  340679 */     // GIR_Coverage, 20797,
     /*  340679 */     GIR_EraseRootFromParent_Done,
     /*  340680 */   // Label 6230: @340680
     /*  340680 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(340746), // Rule ID 20800 //
     /*  340685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340744 */     GIR_RootConstrainSelectedInstOperands,
     /*  340745 */     // GIR_Coverage, 20800,
     /*  340745 */     GIR_EraseRootFromParent_Done,
     /*  340746 */   // Label 6231: @340746
     /*  340746 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(340812), // Rule ID 20801 //
     /*  340751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340810 */     GIR_RootConstrainSelectedInstOperands,
     /*  340811 */     // GIR_Coverage, 20801,
     /*  340811 */     GIR_EraseRootFromParent_Done,
     /*  340812 */   // Label 6232: @340812
     /*  340812 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(340878), // Rule ID 20804 //
     /*  340817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340876 */     GIR_RootConstrainSelectedInstOperands,
     /*  340877 */     // GIR_Coverage, 20804,
     /*  340877 */     GIR_EraseRootFromParent_Done,
     /*  340878 */   // Label 6233: @340878
     /*  340878 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(340944), // Rule ID 20805 //
     /*  340883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340942 */     GIR_RootConstrainSelectedInstOperands,
     /*  340943 */     // GIR_Coverage, 20805,
     /*  340943 */     GIR_EraseRootFromParent_Done,
     /*  340944 */   // Label 6234: @340944
     /*  340944 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(341010), // Rule ID 20808 //
     /*  340949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340988 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341008 */     GIR_RootConstrainSelectedInstOperands,
     /*  341009 */     // GIR_Coverage, 20808,
     /*  341009 */     GIR_EraseRootFromParent_Done,
     /*  341010 */   // Label 6235: @341010
     /*  341010 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(341076), // Rule ID 20809 //
     /*  341015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  341026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341054 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  341057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341074 */     GIR_RootConstrainSelectedInstOperands,
     /*  341075 */     // GIR_Coverage, 20809,
     /*  341075 */     GIR_EraseRootFromParent_Done,
     /*  341076 */   // Label 6236: @341076
     /*  341076 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(341142), // Rule ID 20812 //
     /*  341081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341120 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  341123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341140 */     GIR_RootConstrainSelectedInstOperands,
     /*  341141 */     // GIR_Coverage, 20812,
     /*  341141 */     GIR_EraseRootFromParent_Done,
     /*  341142 */   // Label 6237: @341142
     /*  341142 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341208), // Rule ID 20813 //
     /*  341147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  341189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341206 */     GIR_RootConstrainSelectedInstOperands,
     /*  341207 */     // GIR_Coverage, 20813,
     /*  341207 */     GIR_EraseRootFromParent_Done,
     /*  341208 */   // Label 6238: @341208
     /*  341208 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341274), // Rule ID 20816 //
     /*  341213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341252 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341272 */     GIR_RootConstrainSelectedInstOperands,
     /*  341273 */     // GIR_Coverage, 20816,
     /*  341273 */     GIR_EraseRootFromParent_Done,
     /*  341274 */   // Label 6239: @341274
     /*  341274 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341340), // Rule ID 20817 //
     /*  341279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341318 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341338 */     GIR_RootConstrainSelectedInstOperands,
     /*  341339 */     // GIR_Coverage, 20817,
     /*  341339 */     GIR_EraseRootFromParent_Done,
     /*  341340 */   // Label 6240: @341340
     /*  341340 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341406), // Rule ID 20820 //
     /*  341345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341404 */     GIR_RootConstrainSelectedInstOperands,
     /*  341405 */     // GIR_Coverage, 20820,
     /*  341405 */     GIR_EraseRootFromParent_Done,
     /*  341406 */   // Label 6241: @341406
     /*  341406 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341472), // Rule ID 20821 //
     /*  341411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341470 */     GIR_RootConstrainSelectedInstOperands,
     /*  341471 */     // GIR_Coverage, 20821,
     /*  341471 */     GIR_EraseRootFromParent_Done,
     /*  341472 */   // Label 6242: @341472
     /*  341472 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341538), // Rule ID 20824 //
     /*  341477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341536 */     GIR_RootConstrainSelectedInstOperands,
     /*  341537 */     // GIR_Coverage, 20824,
     /*  341537 */     GIR_EraseRootFromParent_Done,
     /*  341538 */   // Label 6243: @341538
     /*  341538 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341604), // Rule ID 20825 //
     /*  341543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341602 */     GIR_RootConstrainSelectedInstOperands,
     /*  341603 */     // GIR_Coverage, 20825,
     /*  341603 */     GIR_EraseRootFromParent_Done,
     /*  341604 */   // Label 6244: @341604
     /*  341604 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341670), // Rule ID 20828 //
     /*  341609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341668 */     GIR_RootConstrainSelectedInstOperands,
     /*  341669 */     // GIR_Coverage, 20828,
     /*  341669 */     GIR_EraseRootFromParent_Done,
     /*  341670 */   // Label 6245: @341670
     /*  341670 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341736), // Rule ID 20829 //
     /*  341675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341734 */     GIR_RootConstrainSelectedInstOperands,
     /*  341735 */     // GIR_Coverage, 20829,
     /*  341735 */     GIR_EraseRootFromParent_Done,
     /*  341736 */   // Label 6246: @341736
     /*  341736 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(341802), // Rule ID 20832 //
     /*  341741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341800 */     GIR_RootConstrainSelectedInstOperands,
     /*  341801 */     // GIR_Coverage, 20832,
     /*  341801 */     GIR_EraseRootFromParent_Done,
     /*  341802 */   // Label 6247: @341802
     /*  341802 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(341868), // Rule ID 20833 //
     /*  341807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341866 */     GIR_RootConstrainSelectedInstOperands,
     /*  341867 */     // GIR_Coverage, 20833,
     /*  341867 */     GIR_EraseRootFromParent_Done,
     /*  341868 */   // Label 6248: @341868
     /*  341868 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(341934), // Rule ID 20836 //
     /*  341873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341932 */     GIR_RootConstrainSelectedInstOperands,
     /*  341933 */     // GIR_Coverage, 20836,
     /*  341933 */     GIR_EraseRootFromParent_Done,
     /*  341934 */   // Label 6249: @341934
     /*  341934 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(342000), // Rule ID 20837 //
     /*  341939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341998 */     GIR_RootConstrainSelectedInstOperands,
     /*  341999 */     // GIR_Coverage, 20837,
     /*  341999 */     GIR_EraseRootFromParent_Done,
     /*  342000 */   // Label 6250: @342000
     /*  342000 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(342066), // Rule ID 20840 //
     /*  342005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342064 */     GIR_RootConstrainSelectedInstOperands,
     /*  342065 */     // GIR_Coverage, 20840,
     /*  342065 */     GIR_EraseRootFromParent_Done,
     /*  342066 */   // Label 6251: @342066
     /*  342066 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(342132), // Rule ID 20841 //
     /*  342071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342110 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342130 */     GIR_RootConstrainSelectedInstOperands,
     /*  342131 */     // GIR_Coverage, 20841,
     /*  342131 */     GIR_EraseRootFromParent_Done,
     /*  342132 */   // Label 6252: @342132
     /*  342132 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342198), // Rule ID 20844 //
     /*  342137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342196 */     GIR_RootConstrainSelectedInstOperands,
     /*  342197 */     // GIR_Coverage, 20844,
     /*  342197 */     GIR_EraseRootFromParent_Done,
     /*  342198 */   // Label 6253: @342198
     /*  342198 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342264), // Rule ID 20845 //
     /*  342203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342262 */     GIR_RootConstrainSelectedInstOperands,
     /*  342263 */     // GIR_Coverage, 20845,
     /*  342263 */     GIR_EraseRootFromParent_Done,
     /*  342264 */   // Label 6254: @342264
     /*  342264 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342330), // Rule ID 20848 //
     /*  342269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342328 */     GIR_RootConstrainSelectedInstOperands,
     /*  342329 */     // GIR_Coverage, 20848,
     /*  342329 */     GIR_EraseRootFromParent_Done,
     /*  342330 */   // Label 6255: @342330
     /*  342330 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342396), // Rule ID 20849 //
     /*  342335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342394 */     GIR_RootConstrainSelectedInstOperands,
     /*  342395 */     // GIR_Coverage, 20849,
     /*  342395 */     GIR_EraseRootFromParent_Done,
     /*  342396 */   // Label 6256: @342396
     /*  342396 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342462), // Rule ID 20852 //
     /*  342401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342460 */     GIR_RootConstrainSelectedInstOperands,
     /*  342461 */     // GIR_Coverage, 20852,
     /*  342461 */     GIR_EraseRootFromParent_Done,
     /*  342462 */   // Label 6257: @342462
     /*  342462 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342528), // Rule ID 20853 //
     /*  342467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342526 */     GIR_RootConstrainSelectedInstOperands,
     /*  342527 */     // GIR_Coverage, 20853,
     /*  342527 */     GIR_EraseRootFromParent_Done,
     /*  342528 */   // Label 6258: @342528
     /*  342528 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342594), // Rule ID 20856 //
     /*  342533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342592 */     GIR_RootConstrainSelectedInstOperands,
     /*  342593 */     // GIR_Coverage, 20856,
     /*  342593 */     GIR_EraseRootFromParent_Done,
     /*  342594 */   // Label 6259: @342594
     /*  342594 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342660), // Rule ID 20857 //
     /*  342599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342638 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342658 */     GIR_RootConstrainSelectedInstOperands,
     /*  342659 */     // GIR_Coverage, 20857,
     /*  342659 */     GIR_EraseRootFromParent_Done,
     /*  342660 */   // Label 6260: @342660
     /*  342660 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342726), // Rule ID 20860 //
     /*  342665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342724 */     GIR_RootConstrainSelectedInstOperands,
     /*  342725 */     // GIR_Coverage, 20860,
     /*  342725 */     GIR_EraseRootFromParent_Done,
     /*  342726 */   // Label 6261: @342726
     /*  342726 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(342792), // Rule ID 20861 //
     /*  342731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342790 */     GIR_RootConstrainSelectedInstOperands,
     /*  342791 */     // GIR_Coverage, 20861,
     /*  342791 */     GIR_EraseRootFromParent_Done,
     /*  342792 */   // Label 6262: @342792
     /*  342792 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(342858), // Rule ID 20864 //
     /*  342797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342856 */     GIR_RootConstrainSelectedInstOperands,
     /*  342857 */     // GIR_Coverage, 20864,
     /*  342857 */     GIR_EraseRootFromParent_Done,
     /*  342858 */   // Label 6263: @342858
     /*  342858 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(342924), // Rule ID 20865 //
     /*  342863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342922 */     GIR_RootConstrainSelectedInstOperands,
     /*  342923 */     // GIR_Coverage, 20865,
     /*  342923 */     GIR_EraseRootFromParent_Done,
     /*  342924 */   // Label 6264: @342924
     /*  342924 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(342990), // Rule ID 20868 //
     /*  342929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  342946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342988 */     GIR_RootConstrainSelectedInstOperands,
     /*  342989 */     // GIR_Coverage, 20868,
     /*  342989 */     GIR_EraseRootFromParent_Done,
     /*  342990 */   // Label 6265: @342990
     /*  342990 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(343056), // Rule ID 20869 //
     /*  342995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  343037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343054 */     GIR_RootConstrainSelectedInstOperands,
     /*  343055 */     // GIR_Coverage, 20869,
     /*  343055 */     GIR_EraseRootFromParent_Done,
     /*  343056 */   // Label 6266: @343056
     /*  343056 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(343122), // Rule ID 21136 //
     /*  343061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  343103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343120 */     GIR_RootConstrainSelectedInstOperands,
     /*  343121 */     // GIR_Coverage, 21136,
     /*  343121 */     GIR_EraseRootFromParent_Done,
     /*  343122 */   // Label 6267: @343122
     /*  343122 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343188), // Rule ID 21137 //
     /*  343127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  343169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343186 */     GIR_RootConstrainSelectedInstOperands,
     /*  343187 */     // GIR_Coverage, 21137,
     /*  343187 */     GIR_EraseRootFromParent_Done,
     /*  343188 */   // Label 6268: @343188
     /*  343188 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343254), // Rule ID 21140 //
     /*  343193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343252 */     GIR_RootConstrainSelectedInstOperands,
     /*  343253 */     // GIR_Coverage, 21140,
     /*  343253 */     GIR_EraseRootFromParent_Done,
     /*  343254 */   // Label 6269: @343254
     /*  343254 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343320), // Rule ID 21141 //
     /*  343259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343318 */     GIR_RootConstrainSelectedInstOperands,
     /*  343319 */     // GIR_Coverage, 21141,
     /*  343319 */     GIR_EraseRootFromParent_Done,
     /*  343320 */   // Label 6270: @343320
     /*  343320 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343386), // Rule ID 21144 //
     /*  343325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343384 */     GIR_RootConstrainSelectedInstOperands,
     /*  343385 */     // GIR_Coverage, 21144,
     /*  343385 */     GIR_EraseRootFromParent_Done,
     /*  343386 */   // Label 6271: @343386
     /*  343386 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343452), // Rule ID 21145 //
     /*  343391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343450 */     GIR_RootConstrainSelectedInstOperands,
     /*  343451 */     // GIR_Coverage, 21145,
     /*  343451 */     GIR_EraseRootFromParent_Done,
     /*  343452 */   // Label 6272: @343452
     /*  343452 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343518), // Rule ID 21148 //
     /*  343457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343516 */     GIR_RootConstrainSelectedInstOperands,
     /*  343517 */     // GIR_Coverage, 21148,
     /*  343517 */     GIR_EraseRootFromParent_Done,
     /*  343518 */   // Label 6273: @343518
     /*  343518 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343584), // Rule ID 21149 //
     /*  343523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343582 */     GIR_RootConstrainSelectedInstOperands,
     /*  343583 */     // GIR_Coverage, 21149,
     /*  343583 */     GIR_EraseRootFromParent_Done,
     /*  343584 */   // Label 6274: @343584
     /*  343584 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343650), // Rule ID 21152 //
     /*  343589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343648 */     GIR_RootConstrainSelectedInstOperands,
     /*  343649 */     // GIR_Coverage, 21152,
     /*  343649 */     GIR_EraseRootFromParent_Done,
     /*  343650 */   // Label 6275: @343650
     /*  343650 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343716), // Rule ID 21153 //
     /*  343655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343714 */     GIR_RootConstrainSelectedInstOperands,
     /*  343715 */     // GIR_Coverage, 21153,
     /*  343715 */     GIR_EraseRootFromParent_Done,
     /*  343716 */   // Label 6276: @343716
     /*  343716 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(343782), // Rule ID 21156 //
     /*  343721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343780 */     GIR_RootConstrainSelectedInstOperands,
     /*  343781 */     // GIR_Coverage, 21156,
     /*  343781 */     GIR_EraseRootFromParent_Done,
     /*  343782 */   // Label 6277: @343782
     /*  343782 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(343848), // Rule ID 21157 //
     /*  343787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343846 */     GIR_RootConstrainSelectedInstOperands,
     /*  343847 */     // GIR_Coverage, 21157,
     /*  343847 */     GIR_EraseRootFromParent_Done,
     /*  343848 */   // Label 6278: @343848
     /*  343848 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(343914), // Rule ID 21160 //
     /*  343853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343912 */     GIR_RootConstrainSelectedInstOperands,
     /*  343913 */     // GIR_Coverage, 21160,
     /*  343913 */     GIR_EraseRootFromParent_Done,
     /*  343914 */   // Label 6279: @343914
     /*  343914 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(343980), // Rule ID 21161 //
     /*  343919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343978 */     GIR_RootConstrainSelectedInstOperands,
     /*  343979 */     // GIR_Coverage, 21161,
     /*  343979 */     GIR_EraseRootFromParent_Done,
     /*  343980 */   // Label 6280: @343980
     /*  343980 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(344046), // Rule ID 21164 //
     /*  343985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344044 */     GIR_RootConstrainSelectedInstOperands,
     /*  344045 */     // GIR_Coverage, 21164,
     /*  344045 */     GIR_EraseRootFromParent_Done,
     /*  344046 */   // Label 6281: @344046
     /*  344046 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(344112), // Rule ID 21165 //
     /*  344051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344110 */     GIR_RootConstrainSelectedInstOperands,
     /*  344111 */     // GIR_Coverage, 21165,
     /*  344111 */     GIR_EraseRootFromParent_Done,
     /*  344112 */   // Label 6282: @344112
     /*  344112 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344178), // Rule ID 21168 //
     /*  344117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344156 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344176 */     GIR_RootConstrainSelectedInstOperands,
     /*  344177 */     // GIR_Coverage, 21168,
     /*  344177 */     GIR_EraseRootFromParent_Done,
     /*  344178 */   // Label 6283: @344178
     /*  344178 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344244), // Rule ID 21169 //
     /*  344183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344242 */     GIR_RootConstrainSelectedInstOperands,
     /*  344243 */     // GIR_Coverage, 21169,
     /*  344243 */     GIR_EraseRootFromParent_Done,
     /*  344244 */   // Label 6284: @344244
     /*  344244 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344310), // Rule ID 21172 //
     /*  344249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  344291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344308 */     GIR_RootConstrainSelectedInstOperands,
     /*  344309 */     // GIR_Coverage, 21172,
     /*  344309 */     GIR_EraseRootFromParent_Done,
     /*  344310 */   // Label 6285: @344310
     /*  344310 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344376), // Rule ID 21173 //
     /*  344315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  344357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344374 */     GIR_RootConstrainSelectedInstOperands,
     /*  344375 */     // GIR_Coverage, 21173,
     /*  344375 */     GIR_EraseRootFromParent_Done,
     /*  344376 */   // Label 6286: @344376
     /*  344376 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344442), // Rule ID 21176 //
     /*  344381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344440 */     GIR_RootConstrainSelectedInstOperands,
     /*  344441 */     // GIR_Coverage, 21176,
     /*  344441 */     GIR_EraseRootFromParent_Done,
     /*  344442 */   // Label 6287: @344442
     /*  344442 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344508), // Rule ID 21177 //
     /*  344447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344506 */     GIR_RootConstrainSelectedInstOperands,
     /*  344507 */     // GIR_Coverage, 21177,
     /*  344507 */     GIR_EraseRootFromParent_Done,
     /*  344508 */   // Label 6288: @344508
     /*  344508 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344574), // Rule ID 21180 //
     /*  344513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344572 */     GIR_RootConstrainSelectedInstOperands,
     /*  344573 */     // GIR_Coverage, 21180,
     /*  344573 */     GIR_EraseRootFromParent_Done,
     /*  344574 */   // Label 6289: @344574
     /*  344574 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344640), // Rule ID 21181 //
     /*  344579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344638 */     GIR_RootConstrainSelectedInstOperands,
     /*  344639 */     // GIR_Coverage, 21181,
     /*  344639 */     GIR_EraseRootFromParent_Done,
     /*  344640 */   // Label 6290: @344640
     /*  344640 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344706), // Rule ID 21184 //
     /*  344645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344704 */     GIR_RootConstrainSelectedInstOperands,
     /*  344705 */     // GIR_Coverage, 21184,
     /*  344705 */     GIR_EraseRootFromParent_Done,
     /*  344706 */   // Label 6291: @344706
     /*  344706 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(344772), // Rule ID 21185 //
     /*  344711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344770 */     GIR_RootConstrainSelectedInstOperands,
     /*  344771 */     // GIR_Coverage, 21185,
     /*  344771 */     GIR_EraseRootFromParent_Done,
     /*  344772 */   // Label 6292: @344772
     /*  344772 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(344838), // Rule ID 21188 //
     /*  344777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344836 */     GIR_RootConstrainSelectedInstOperands,
     /*  344837 */     // GIR_Coverage, 21188,
     /*  344837 */     GIR_EraseRootFromParent_Done,
     /*  344838 */   // Label 6293: @344838
     /*  344838 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(344904), // Rule ID 21189 //
     /*  344843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344902 */     GIR_RootConstrainSelectedInstOperands,
     /*  344903 */     // GIR_Coverage, 21189,
     /*  344903 */     GIR_EraseRootFromParent_Done,
     /*  344904 */   // Label 6294: @344904
     /*  344904 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(344970), // Rule ID 21192 //
     /*  344909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344968 */     GIR_RootConstrainSelectedInstOperands,
     /*  344969 */     // GIR_Coverage, 21192,
     /*  344969 */     GIR_EraseRootFromParent_Done,
     /*  344970 */   // Label 6295: @344970
     /*  344970 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(345036), // Rule ID 21193 //
     /*  344975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  345017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345034 */     GIR_RootConstrainSelectedInstOperands,
     /*  345035 */     // GIR_Coverage, 21193,
     /*  345035 */     GIR_EraseRootFromParent_Done,
     /*  345036 */   // Label 6296: @345036
     /*  345036 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(345102), // Rule ID 21196 //
     /*  345041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345100 */     GIR_RootConstrainSelectedInstOperands,
     /*  345101 */     // GIR_Coverage, 21196,
     /*  345101 */     GIR_EraseRootFromParent_Done,
     /*  345102 */   // Label 6297: @345102
     /*  345102 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(345168), // Rule ID 21197 //
     /*  345107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345166 */     GIR_RootConstrainSelectedInstOperands,
     /*  345167 */     // GIR_Coverage, 21197,
     /*  345167 */     GIR_EraseRootFromParent_Done,
     /*  345168 */   // Label 6298: @345168
     /*  345168 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345234), // Rule ID 21200 //
     /*  345173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345212 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345232 */     GIR_RootConstrainSelectedInstOperands,
     /*  345233 */     // GIR_Coverage, 21200,
     /*  345233 */     GIR_EraseRootFromParent_Done,
     /*  345234 */   // Label 6299: @345234
     /*  345234 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345300), // Rule ID 21201 //
     /*  345239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345278 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345298 */     GIR_RootConstrainSelectedInstOperands,
     /*  345299 */     // GIR_Coverage, 21201,
     /*  345299 */     GIR_EraseRootFromParent_Done,
     /*  345300 */   // Label 6300: @345300
     /*  345300 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345366), // Rule ID 21204 //
     /*  345305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  345347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345364 */     GIR_RootConstrainSelectedInstOperands,
     /*  345365 */     // GIR_Coverage, 21204,
     /*  345365 */     GIR_EraseRootFromParent_Done,
     /*  345366 */   // Label 6301: @345366
     /*  345366 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345432), // Rule ID 21205 //
     /*  345371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  345413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345430 */     GIR_RootConstrainSelectedInstOperands,
     /*  345431 */     // GIR_Coverage, 21205,
     /*  345431 */     GIR_EraseRootFromParent_Done,
     /*  345432 */   // Label 6302: @345432
     /*  345432 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345498), // Rule ID 21208 //
     /*  345437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345476 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345496 */     GIR_RootConstrainSelectedInstOperands,
     /*  345497 */     // GIR_Coverage, 21208,
     /*  345497 */     GIR_EraseRootFromParent_Done,
     /*  345498 */   // Label 6303: @345498
     /*  345498 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345564), // Rule ID 21209 //
     /*  345503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345542 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345562 */     GIR_RootConstrainSelectedInstOperands,
     /*  345563 */     // GIR_Coverage, 21209,
     /*  345563 */     GIR_EraseRootFromParent_Done,
     /*  345564 */   // Label 6304: @345564
     /*  345564 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345630), // Rule ID 21212 //
     /*  345569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345628 */     GIR_RootConstrainSelectedInstOperands,
     /*  345629 */     // GIR_Coverage, 21212,
     /*  345629 */     GIR_EraseRootFromParent_Done,
     /*  345630 */   // Label 6305: @345630
     /*  345630 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345696), // Rule ID 21213 //
     /*  345635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345674 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345694 */     GIR_RootConstrainSelectedInstOperands,
     /*  345695 */     // GIR_Coverage, 21213,
     /*  345695 */     GIR_EraseRootFromParent_Done,
     /*  345696 */   // Label 6306: @345696
     /*  345696 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(345762), // Rule ID 21216 //
     /*  345701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345740 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345760 */     GIR_RootConstrainSelectedInstOperands,
     /*  345761 */     // GIR_Coverage, 21216,
     /*  345761 */     GIR_EraseRootFromParent_Done,
     /*  345762 */   // Label 6307: @345762
     /*  345762 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(345828), // Rule ID 21217 //
     /*  345767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345806 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345826 */     GIR_RootConstrainSelectedInstOperands,
     /*  345827 */     // GIR_Coverage, 21217,
     /*  345827 */     GIR_EraseRootFromParent_Done,
     /*  345828 */   // Label 6308: @345828
     /*  345828 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(345894), // Rule ID 21220 //
     /*  345833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345892 */     GIR_RootConstrainSelectedInstOperands,
     /*  345893 */     // GIR_Coverage, 21220,
     /*  345893 */     GIR_EraseRootFromParent_Done,
     /*  345894 */   // Label 6309: @345894
     /*  345894 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(345960), // Rule ID 21221 //
     /*  345899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345938 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345958 */     GIR_RootConstrainSelectedInstOperands,
     /*  345959 */     // GIR_Coverage, 21221,
     /*  345959 */     GIR_EraseRootFromParent_Done,
     /*  345960 */   // Label 6310: @345960
     /*  345960 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(346026), // Rule ID 21224 //
     /*  345965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346004 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  346007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346024 */     GIR_RootConstrainSelectedInstOperands,
     /*  346025 */     // GIR_Coverage, 21224,
     /*  346025 */     GIR_EraseRootFromParent_Done,
     /*  346026 */   // Label 6311: @346026
     /*  346026 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(346092), // Rule ID 21225 //
     /*  346031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346070 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  346073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346090 */     GIR_RootConstrainSelectedInstOperands,
     /*  346091 */     // GIR_Coverage, 21225,
     /*  346091 */     GIR_EraseRootFromParent_Done,
     /*  346092 */   // Label 6312: @346092
     /*  346092 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(346158), // Rule ID 21228 //
     /*  346097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346136 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  346139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346156 */     GIR_RootConstrainSelectedInstOperands,
     /*  346157 */     // GIR_Coverage, 21228,
     /*  346157 */     GIR_EraseRootFromParent_Done,
     /*  346158 */   // Label 6313: @346158
     /*  346158 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346224), // Rule ID 21229 //
     /*  346163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346202 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  346205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346222 */     GIR_RootConstrainSelectedInstOperands,
     /*  346223 */     // GIR_Coverage, 21229,
     /*  346223 */     GIR_EraseRootFromParent_Done,
     /*  346224 */   // Label 6314: @346224
     /*  346224 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346290), // Rule ID 21232 //
     /*  346229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346268 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  346271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346288 */     GIR_RootConstrainSelectedInstOperands,
     /*  346289 */     // GIR_Coverage, 21232,
     /*  346289 */     GIR_EraseRootFromParent_Done,
     /*  346290 */   // Label 6315: @346290
     /*  346290 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346356), // Rule ID 21233 //
     /*  346295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  346337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346354 */     GIR_RootConstrainSelectedInstOperands,
     /*  346355 */     // GIR_Coverage, 21233,
     /*  346355 */     GIR_EraseRootFromParent_Done,
     /*  346356 */   // Label 6316: @346356
     /*  346356 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346422), // Rule ID 21236 //
     /*  346361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  346403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346420 */     GIR_RootConstrainSelectedInstOperands,
     /*  346421 */     // GIR_Coverage, 21236,
     /*  346421 */     GIR_EraseRootFromParent_Done,
     /*  346422 */   // Label 6317: @346422
     /*  346422 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346488), // Rule ID 21237 //
     /*  346427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346466 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  346469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346486 */     GIR_RootConstrainSelectedInstOperands,
     /*  346487 */     // GIR_Coverage, 21237,
     /*  346487 */     GIR_EraseRootFromParent_Done,
     /*  346488 */   // Label 6318: @346488
     /*  346488 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346554), // Rule ID 21240 //
     /*  346493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346552 */     GIR_RootConstrainSelectedInstOperands,
     /*  346553 */     // GIR_Coverage, 21240,
     /*  346553 */     GIR_EraseRootFromParent_Done,
     /*  346554 */   // Label 6319: @346554
     /*  346554 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346620), // Rule ID 21241 //
     /*  346559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346598 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346618 */     GIR_RootConstrainSelectedInstOperands,
     /*  346619 */     // GIR_Coverage, 21241,
     /*  346619 */     GIR_EraseRootFromParent_Done,
     /*  346620 */   // Label 6320: @346620
     /*  346620 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346686), // Rule ID 21244 //
     /*  346625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346684 */     GIR_RootConstrainSelectedInstOperands,
     /*  346685 */     // GIR_Coverage, 21244,
     /*  346685 */     GIR_EraseRootFromParent_Done,
     /*  346686 */   // Label 6321: @346686
     /*  346686 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(346752), // Rule ID 21245 //
     /*  346691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346750 */     GIR_RootConstrainSelectedInstOperands,
     /*  346751 */     // GIR_Coverage, 21245,
     /*  346751 */     GIR_EraseRootFromParent_Done,
     /*  346752 */   // Label 6322: @346752
     /*  346752 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(346818), // Rule ID 21248 //
     /*  346757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346796 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346816 */     GIR_RootConstrainSelectedInstOperands,
     /*  346817 */     // GIR_Coverage, 21248,
     /*  346817 */     GIR_EraseRootFromParent_Done,
     /*  346818 */   // Label 6323: @346818
     /*  346818 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(346884), // Rule ID 21249 //
     /*  346823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346862 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346882 */     GIR_RootConstrainSelectedInstOperands,
     /*  346883 */     // GIR_Coverage, 21249,
     /*  346883 */     GIR_EraseRootFromParent_Done,
     /*  346884 */   // Label 6324: @346884
     /*  346884 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(346950), // Rule ID 21252 //
     /*  346889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346948 */     GIR_RootConstrainSelectedInstOperands,
     /*  346949 */     // GIR_Coverage, 21252,
     /*  346949 */     GIR_EraseRootFromParent_Done,
     /*  346950 */   // Label 6325: @346950
     /*  346950 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(347016), // Rule ID 21253 //
     /*  346955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346994 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347014 */     GIR_RootConstrainSelectedInstOperands,
     /*  347015 */     // GIR_Coverage, 21253,
     /*  347015 */     GIR_EraseRootFromParent_Done,
     /*  347016 */   // Label 6326: @347016
     /*  347016 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(347082), // Rule ID 21256 //
     /*  347021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347060 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  347063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347080 */     GIR_RootConstrainSelectedInstOperands,
     /*  347081 */     // GIR_Coverage, 21256,
     /*  347081 */     GIR_EraseRootFromParent_Done,
     /*  347082 */   // Label 6327: @347082
     /*  347082 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(347148), // Rule ID 21257 //
     /*  347087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347126 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  347129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347146 */     GIR_RootConstrainSelectedInstOperands,
     /*  347147 */     // GIR_Coverage, 21257,
     /*  347147 */     GIR_EraseRootFromParent_Done,
     /*  347148 */   // Label 6328: @347148
     /*  347148 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347214), // Rule ID 21260 //
     /*  347153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347192 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  347195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347212 */     GIR_RootConstrainSelectedInstOperands,
     /*  347213 */     // GIR_Coverage, 21260,
     /*  347213 */     GIR_EraseRootFromParent_Done,
     /*  347214 */   // Label 6329: @347214
     /*  347214 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347280), // Rule ID 21261 //
     /*  347219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347258 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  347261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347278 */     GIR_RootConstrainSelectedInstOperands,
     /*  347279 */     // GIR_Coverage, 21261,
     /*  347279 */     GIR_EraseRootFromParent_Done,
     /*  347280 */   // Label 6330: @347280
     /*  347280 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347346), // Rule ID 21264 //
     /*  347285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347324 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  347327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347344 */     GIR_RootConstrainSelectedInstOperands,
     /*  347345 */     // GIR_Coverage, 21264,
     /*  347345 */     GIR_EraseRootFromParent_Done,
     /*  347346 */   // Label 6331: @347346
     /*  347346 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347412), // Rule ID 21265 //
     /*  347351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347390 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  347393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347410 */     GIR_RootConstrainSelectedInstOperands,
     /*  347411 */     // GIR_Coverage, 21265,
     /*  347411 */     GIR_EraseRootFromParent_Done,
     /*  347412 */   // Label 6332: @347412
     /*  347412 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347478), // Rule ID 21268 //
     /*  347417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347456 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347476 */     GIR_RootConstrainSelectedInstOperands,
     /*  347477 */     // GIR_Coverage, 21268,
     /*  347477 */     GIR_EraseRootFromParent_Done,
     /*  347478 */   // Label 6333: @347478
     /*  347478 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347544), // Rule ID 21269 //
     /*  347483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347522 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347542 */     GIR_RootConstrainSelectedInstOperands,
     /*  347543 */     // GIR_Coverage, 21269,
     /*  347543 */     GIR_EraseRootFromParent_Done,
     /*  347544 */   // Label 6334: @347544
     /*  347544 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347610), // Rule ID 21272 //
     /*  347549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347588 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347608 */     GIR_RootConstrainSelectedInstOperands,
     /*  347609 */     // GIR_Coverage, 21272,
     /*  347609 */     GIR_EraseRootFromParent_Done,
     /*  347610 */   // Label 6335: @347610
     /*  347610 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347676), // Rule ID 21273 //
     /*  347615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347654 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347674 */     GIR_RootConstrainSelectedInstOperands,
     /*  347675 */     // GIR_Coverage, 21273,
     /*  347675 */     GIR_EraseRootFromParent_Done,
     /*  347676 */   // Label 6336: @347676
     /*  347676 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(347742), // Rule ID 21276 //
     /*  347681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347720 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347740 */     GIR_RootConstrainSelectedInstOperands,
     /*  347741 */     // GIR_Coverage, 21276,
     /*  347741 */     GIR_EraseRootFromParent_Done,
     /*  347742 */   // Label 6337: @347742
     /*  347742 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(347808), // Rule ID 21277 //
     /*  347747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347786 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347806 */     GIR_RootConstrainSelectedInstOperands,
     /*  347807 */     // GIR_Coverage, 21277,
     /*  347807 */     GIR_EraseRootFromParent_Done,
     /*  347808 */   // Label 6338: @347808
     /*  347808 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(347874), // Rule ID 21280 //
     /*  347813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347872 */     GIR_RootConstrainSelectedInstOperands,
     /*  347873 */     // GIR_Coverage, 21280,
     /*  347873 */     GIR_EraseRootFromParent_Done,
     /*  347874 */   // Label 6339: @347874
     /*  347874 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(347940), // Rule ID 21281 //
     /*  347879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347918 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347938 */     GIR_RootConstrainSelectedInstOperands,
     /*  347939 */     // GIR_Coverage, 21281,
     /*  347939 */     GIR_EraseRootFromParent_Done,
     /*  347940 */   // Label 6340: @347940
     /*  347940 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(348006), // Rule ID 21284 //
     /*  347945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  347962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347984 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  347987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348004 */     GIR_RootConstrainSelectedInstOperands,
     /*  348005 */     // GIR_Coverage, 21284,
     /*  348005 */     GIR_EraseRootFromParent_Done,
     /*  348006 */   // Label 6341: @348006
     /*  348006 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(348072), // Rule ID 21285 //
     /*  348011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  348022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  348025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  348028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  348053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348070 */     GIR_RootConstrainSelectedInstOperands,
     /*  348071 */     // GIR_Coverage, 21285,
     /*  348071 */     GIR_EraseRootFromParent_Done,
     /*  348072 */   // Label 6342: @348072
     /*  348072 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(348138), // Rule ID 21288 //
     /*  348077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  348088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  348091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  348094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348116 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  348119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348136 */     GIR_RootConstrainSelectedInstOperands,
     /*  348137 */     // GIR_Coverage, 21288,
     /*  348137 */     GIR_EraseRootFromParent_Done,
     /*  348138 */   // Label 6343: @348138
     /*  348138 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348204), // Rule ID 21289 //
     /*  348143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  348154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  348157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  348160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348182 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  348185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348202 */     GIR_RootConstrainSelectedInstOperands,
     /*  348203 */     // GIR_Coverage, 21289,
     /*  348203 */     GIR_EraseRootFromParent_Done,
     /*  348204 */   // Label 6344: @348204
     /*  348204 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348270), // Rule ID 21292 //
     /*  348209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  348251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348268 */     GIR_RootConstrainSelectedInstOperands,
     /*  348269 */     // GIR_Coverage, 21292,
     /*  348269 */     GIR_EraseRootFromParent_Done,
     /*  348270 */   // Label 6345: @348270
     /*  348270 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348336), // Rule ID 21293 //
     /*  348275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348314 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  348317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348334 */     GIR_RootConstrainSelectedInstOperands,
     /*  348335 */     // GIR_Coverage, 21293,
     /*  348335 */     GIR_EraseRootFromParent_Done,
     /*  348336 */   // Label 6346: @348336
     /*  348336 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348402), // Rule ID 21296 //
     /*  348341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348380 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  348383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348400 */     GIR_RootConstrainSelectedInstOperands,
     /*  348401 */     // GIR_Coverage, 21296,
     /*  348401 */     GIR_EraseRootFromParent_Done,
     /*  348402 */   // Label 6347: @348402
     /*  348402 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348468), // Rule ID 21297 //
     /*  348407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  348449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348466 */     GIR_RootConstrainSelectedInstOperands,
     /*  348467 */     // GIR_Coverage, 21297,
     /*  348467 */     GIR_EraseRootFromParent_Done,
     /*  348468 */   // Label 6348: @348468
     /*  348468 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348534), // Rule ID 21300 //
     /*  348473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348512 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348532 */     GIR_RootConstrainSelectedInstOperands,
     /*  348533 */     // GIR_Coverage, 21300,
     /*  348533 */     GIR_EraseRootFromParent_Done,
     /*  348534 */   // Label 6349: @348534
     /*  348534 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348600), // Rule ID 21301 //
     /*  348539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348578 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348598 */     GIR_RootConstrainSelectedInstOperands,
     /*  348599 */     // GIR_Coverage, 21301,
     /*  348599 */     GIR_EraseRootFromParent_Done,
     /*  348600 */   // Label 6350: @348600
     /*  348600 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348666), // Rule ID 21304 //
     /*  348605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348644 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348664 */     GIR_RootConstrainSelectedInstOperands,
     /*  348665 */     // GIR_Coverage, 21304,
     /*  348665 */     GIR_EraseRootFromParent_Done,
     /*  348666 */   // Label 6351: @348666
     /*  348666 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348732), // Rule ID 21305 //
     /*  348671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348710 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348730 */     GIR_RootConstrainSelectedInstOperands,
     /*  348731 */     // GIR_Coverage, 21305,
     /*  348731 */     GIR_EraseRootFromParent_Done,
     /*  348732 */   // Label 6352: @348732
     /*  348732 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(348798), // Rule ID 21308 //
     /*  348737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348776 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348796 */     GIR_RootConstrainSelectedInstOperands,
     /*  348797 */     // GIR_Coverage, 21308,
     /*  348797 */     GIR_EraseRootFromParent_Done,
     /*  348798 */   // Label 6353: @348798
     /*  348798 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(348864), // Rule ID 21309 //
     /*  348803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348842 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348862 */     GIR_RootConstrainSelectedInstOperands,
     /*  348863 */     // GIR_Coverage, 21309,
     /*  348863 */     GIR_EraseRootFromParent_Done,
     /*  348864 */   // Label 6354: @348864
     /*  348864 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(348930), // Rule ID 21312 //
     /*  348869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348928 */     GIR_RootConstrainSelectedInstOperands,
     /*  348929 */     // GIR_Coverage, 21312,
     /*  348929 */     GIR_EraseRootFromParent_Done,
     /*  348930 */   // Label 6355: @348930
     /*  348930 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(348996), // Rule ID 21313 //
     /*  348935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348974 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348994 */     GIR_RootConstrainSelectedInstOperands,
     /*  348995 */     // GIR_Coverage, 21313,
     /*  348995 */     GIR_EraseRootFromParent_Done,
     /*  348996 */   // Label 6356: @348996
     /*  348996 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(349062), // Rule ID 21316 //
     /*  349001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349040 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  349043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349060 */     GIR_RootConstrainSelectedInstOperands,
     /*  349061 */     // GIR_Coverage, 21316,
     /*  349061 */     GIR_EraseRootFromParent_Done,
     /*  349062 */   // Label 6357: @349062
     /*  349062 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(349128), // Rule ID 21317 //
     /*  349067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349106 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  349109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349126 */     GIR_RootConstrainSelectedInstOperands,
     /*  349127 */     // GIR_Coverage, 21317,
     /*  349127 */     GIR_EraseRootFromParent_Done,
     /*  349128 */   // Label 6358: @349128
     /*  349128 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349194), // Rule ID 21320 //
     /*  349133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  349175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349192 */     GIR_RootConstrainSelectedInstOperands,
     /*  349193 */     // GIR_Coverage, 21320,
     /*  349193 */     GIR_EraseRootFromParent_Done,
     /*  349194 */   // Label 6359: @349194
     /*  349194 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349260), // Rule ID 21321 //
     /*  349199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349238 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  349241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349258 */     GIR_RootConstrainSelectedInstOperands,
     /*  349259 */     // GIR_Coverage, 21321,
     /*  349259 */     GIR_EraseRootFromParent_Done,
     /*  349260 */   // Label 6360: @349260
     /*  349260 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349326), // Rule ID 21324 //
     /*  349265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349304 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  349307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349324 */     GIR_RootConstrainSelectedInstOperands,
     /*  349325 */     // GIR_Coverage, 21324,
     /*  349325 */     GIR_EraseRootFromParent_Done,
     /*  349326 */   // Label 6361: @349326
     /*  349326 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349392), // Rule ID 21325 //
     /*  349331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349370 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  349373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349390 */     GIR_RootConstrainSelectedInstOperands,
     /*  349391 */     // GIR_Coverage, 21325,
     /*  349391 */     GIR_EraseRootFromParent_Done,
     /*  349392 */   // Label 6362: @349392
     /*  349392 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349458), // Rule ID 21328 //
     /*  349397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349436 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349456 */     GIR_RootConstrainSelectedInstOperands,
     /*  349457 */     // GIR_Coverage, 21328,
     /*  349457 */     GIR_EraseRootFromParent_Done,
     /*  349458 */   // Label 6363: @349458
     /*  349458 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349524), // Rule ID 21329 //
     /*  349463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349522 */     GIR_RootConstrainSelectedInstOperands,
     /*  349523 */     // GIR_Coverage, 21329,
     /*  349523 */     GIR_EraseRootFromParent_Done,
     /*  349524 */   // Label 6364: @349524
     /*  349524 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349590), // Rule ID 21332 //
     /*  349529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349588 */     GIR_RootConstrainSelectedInstOperands,
     /*  349589 */     // GIR_Coverage, 21332,
     /*  349589 */     GIR_EraseRootFromParent_Done,
     /*  349590 */   // Label 6365: @349590
     /*  349590 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349656), // Rule ID 21333 //
     /*  349595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349634 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349654 */     GIR_RootConstrainSelectedInstOperands,
     /*  349655 */     // GIR_Coverage, 21333,
     /*  349655 */     GIR_EraseRootFromParent_Done,
     /*  349656 */   // Label 6366: @349656
     /*  349656 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349722), // Rule ID 21336 //
     /*  349661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349700 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349720 */     GIR_RootConstrainSelectedInstOperands,
     /*  349721 */     // GIR_Coverage, 21336,
     /*  349721 */     GIR_EraseRootFromParent_Done,
     /*  349722 */   // Label 6367: @349722
     /*  349722 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(349788), // Rule ID 21337 //
     /*  349727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349766 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349786 */     GIR_RootConstrainSelectedInstOperands,
     /*  349787 */     // GIR_Coverage, 21337,
     /*  349787 */     GIR_EraseRootFromParent_Done,
     /*  349788 */   // Label 6368: @349788
     /*  349788 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(349854), // Rule ID 21340 //
     /*  349793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349832 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349852 */     GIR_RootConstrainSelectedInstOperands,
     /*  349853 */     // GIR_Coverage, 21340,
     /*  349853 */     GIR_EraseRootFromParent_Done,
     /*  349854 */   // Label 6369: @349854
     /*  349854 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(349920), // Rule ID 21341 //
     /*  349859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349898 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349918 */     GIR_RootConstrainSelectedInstOperands,
     /*  349919 */     // GIR_Coverage, 21341,
     /*  349919 */     GIR_EraseRootFromParent_Done,
     /*  349920 */   // Label 6370: @349920
     /*  349920 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(349986), // Rule ID 21344 //
     /*  349925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349964 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  349967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349984 */     GIR_RootConstrainSelectedInstOperands,
     /*  349985 */     // GIR_Coverage, 21344,
     /*  349985 */     GIR_EraseRootFromParent_Done,
     /*  349986 */   // Label 6371: @349986
     /*  349986 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(350052), // Rule ID 21345 //
     /*  349991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  350002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  350005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350030 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  350033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350050 */     GIR_RootConstrainSelectedInstOperands,
     /*  350051 */     // GIR_Coverage, 21345,
     /*  350051 */     GIR_EraseRootFromParent_Done,
     /*  350052 */   // Label 6372: @350052
     /*  350052 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(350118), // Rule ID 21348 //
     /*  350057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  350068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  350071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  350074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  350099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350116 */     GIR_RootConstrainSelectedInstOperands,
     /*  350117 */     // GIR_Coverage, 21348,
     /*  350117 */     GIR_EraseRootFromParent_Done,
     /*  350118 */   // Label 6373: @350118
     /*  350118 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350184), // Rule ID 21349 //
     /*  350123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  350134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  350137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  350140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350162 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  350165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350182 */     GIR_RootConstrainSelectedInstOperands,
     /*  350183 */     // GIR_Coverage, 21349,
     /*  350183 */     GIR_EraseRootFromParent_Done,
     /*  350184 */   // Label 6374: @350184
     /*  350184 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350250), // Rule ID 21352 //
     /*  350189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  350206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  350231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350248 */     GIR_RootConstrainSelectedInstOperands,
     /*  350249 */     // GIR_Coverage, 21352,
     /*  350249 */     GIR_EraseRootFromParent_Done,
     /*  350250 */   // Label 6375: @350250
     /*  350250 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350316), // Rule ID 21353 //
     /*  350255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  350272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350294 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  350297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350314 */     GIR_RootConstrainSelectedInstOperands,
     /*  350315 */     // GIR_Coverage, 21353,
     /*  350315 */     GIR_EraseRootFromParent_Done,
     /*  350316 */   // Label 6376: @350316
     /*  350316 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350382), // Rule ID 21356 //
     /*  350321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350360 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  350363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350380 */     GIR_RootConstrainSelectedInstOperands,
     /*  350381 */     // GIR_Coverage, 21356,
     /*  350381 */     GIR_EraseRootFromParent_Done,
     /*  350382 */   // Label 6377: @350382
     /*  350382 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350448), // Rule ID 21357 //
     /*  350387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350426 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  350429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350446 */     GIR_RootConstrainSelectedInstOperands,
     /*  350447 */     // GIR_Coverage, 21357,
     /*  350447 */     GIR_EraseRootFromParent_Done,
     /*  350448 */   // Label 6378: @350448
     /*  350448 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350514), // Rule ID 21360 //
     /*  350453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350492 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350512 */     GIR_RootConstrainSelectedInstOperands,
     /*  350513 */     // GIR_Coverage, 21360,
     /*  350513 */     GIR_EraseRootFromParent_Done,
     /*  350514 */   // Label 6379: @350514
     /*  350514 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350580), // Rule ID 21361 //
     /*  350519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350558 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350578 */     GIR_RootConstrainSelectedInstOperands,
     /*  350579 */     // GIR_Coverage, 21361,
     /*  350579 */     GIR_EraseRootFromParent_Done,
     /*  350580 */   // Label 6380: @350580
     /*  350580 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350646), // Rule ID 21604 //
     /*  350585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350644 */     GIR_RootConstrainSelectedInstOperands,
     /*  350645 */     // GIR_Coverage, 21604,
     /*  350645 */     GIR_EraseRootFromParent_Done,
     /*  350646 */   // Label 6381: @350646
     /*  350646 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350712), // Rule ID 21605 //
     /*  350651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350710 */     GIR_RootConstrainSelectedInstOperands,
     /*  350711 */     // GIR_Coverage, 21605,
     /*  350711 */     GIR_EraseRootFromParent_Done,
     /*  350712 */   // Label 6382: @350712
     /*  350712 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(350778), // Rule ID 21608 //
     /*  350717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350756 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350776 */     GIR_RootConstrainSelectedInstOperands,
     /*  350777 */     // GIR_Coverage, 21608,
     /*  350777 */     GIR_EraseRootFromParent_Done,
     /*  350778 */   // Label 6383: @350778
     /*  350778 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(350844), // Rule ID 21609 //
     /*  350783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350842 */     GIR_RootConstrainSelectedInstOperands,
     /*  350843 */     // GIR_Coverage, 21609,
     /*  350843 */     GIR_EraseRootFromParent_Done,
     /*  350844 */   // Label 6384: @350844
     /*  350844 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(350910), // Rule ID 21612 //
     /*  350849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350888 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350908 */     GIR_RootConstrainSelectedInstOperands,
     /*  350909 */     // GIR_Coverage, 21612,
     /*  350909 */     GIR_EraseRootFromParent_Done,
     /*  350910 */   // Label 6385: @350910
     /*  350910 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(350976), // Rule ID 21613 //
     /*  350915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350954 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350974 */     GIR_RootConstrainSelectedInstOperands,
     /*  350975 */     // GIR_Coverage, 21613,
     /*  350975 */     GIR_EraseRootFromParent_Done,
     /*  350976 */   // Label 6386: @350976
     /*  350976 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(351042), // Rule ID 21616 //
     /*  350981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  350992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  350995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351020 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351040 */     GIR_RootConstrainSelectedInstOperands,
     /*  351041 */     // GIR_Coverage, 21616,
     /*  351041 */     GIR_EraseRootFromParent_Done,
     /*  351042 */   // Label 6387: @351042
     /*  351042 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(351108), // Rule ID 21617 //
     /*  351047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  351058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  351061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351106 */     GIR_RootConstrainSelectedInstOperands,
     /*  351107 */     // GIR_Coverage, 21617,
     /*  351107 */     GIR_EraseRootFromParent_Done,
     /*  351108 */   // Label 6388: @351108
     /*  351108 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(351174), // Rule ID 21620 //
     /*  351113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351172 */     GIR_RootConstrainSelectedInstOperands,
     /*  351173 */     // GIR_Coverage, 21620,
     /*  351173 */     GIR_EraseRootFromParent_Done,
     /*  351174 */   // Label 6389: @351174
     /*  351174 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351240), // Rule ID 21621 //
     /*  351179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351218 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351238 */     GIR_RootConstrainSelectedInstOperands,
     /*  351239 */     // GIR_Coverage, 21621,
     /*  351239 */     GIR_EraseRootFromParent_Done,
     /*  351240 */   // Label 6390: @351240
     /*  351240 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351306), // Rule ID 21624 //
     /*  351245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351304 */     GIR_RootConstrainSelectedInstOperands,
     /*  351305 */     // GIR_Coverage, 21624,
     /*  351305 */     GIR_EraseRootFromParent_Done,
     /*  351306 */   // Label 6391: @351306
     /*  351306 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351372), // Rule ID 21625 //
     /*  351311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351370 */     GIR_RootConstrainSelectedInstOperands,
     /*  351371 */     // GIR_Coverage, 21625,
     /*  351371 */     GIR_EraseRootFromParent_Done,
     /*  351372 */   // Label 6392: @351372
     /*  351372 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351438), // Rule ID 21628 //
     /*  351377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351436 */     GIR_RootConstrainSelectedInstOperands,
     /*  351437 */     // GIR_Coverage, 21628,
     /*  351437 */     GIR_EraseRootFromParent_Done,
     /*  351438 */   // Label 6393: @351438
     /*  351438 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351504), // Rule ID 21629 //
     /*  351443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351502 */     GIR_RootConstrainSelectedInstOperands,
     /*  351503 */     // GIR_Coverage, 21629,
     /*  351503 */     GIR_EraseRootFromParent_Done,
     /*  351504 */   // Label 6394: @351504
     /*  351504 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351570), // Rule ID 21632 //
     /*  351509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351568 */     GIR_RootConstrainSelectedInstOperands,
     /*  351569 */     // GIR_Coverage, 21632,
     /*  351569 */     GIR_EraseRootFromParent_Done,
     /*  351570 */   // Label 6395: @351570
     /*  351570 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351636), // Rule ID 21633 //
     /*  351575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351634 */     GIR_RootConstrainSelectedInstOperands,
     /*  351635 */     // GIR_Coverage, 21633,
     /*  351635 */     GIR_EraseRootFromParent_Done,
     /*  351636 */   // Label 6396: @351636
     /*  351636 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351702), // Rule ID 21636 //
     /*  351641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351700 */     GIR_RootConstrainSelectedInstOperands,
     /*  351701 */     // GIR_Coverage, 21636,
     /*  351701 */     GIR_EraseRootFromParent_Done,
     /*  351702 */   // Label 6397: @351702
     /*  351702 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(351768), // Rule ID 21637 //
     /*  351707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351766 */     GIR_RootConstrainSelectedInstOperands,
     /*  351767 */     // GIR_Coverage, 21637,
     /*  351767 */     GIR_EraseRootFromParent_Done,
     /*  351768 */   // Label 6398: @351768
     /*  351768 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(351834), // Rule ID 21640 //
     /*  351773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351832 */     GIR_RootConstrainSelectedInstOperands,
     /*  351833 */     // GIR_Coverage, 21640,
     /*  351833 */     GIR_EraseRootFromParent_Done,
     /*  351834 */   // Label 6399: @351834
     /*  351834 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(351900), // Rule ID 21641 //
     /*  351839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351898 */     GIR_RootConstrainSelectedInstOperands,
     /*  351899 */     // GIR_Coverage, 21641,
     /*  351899 */     GIR_EraseRootFromParent_Done,
     /*  351900 */   // Label 6400: @351900
     /*  351900 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(351966), // Rule ID 21644 //
     /*  351905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351964 */     GIR_RootConstrainSelectedInstOperands,
     /*  351965 */     // GIR_Coverage, 21644,
     /*  351965 */     GIR_EraseRootFromParent_Done,
     /*  351966 */   // Label 6401: @351966
     /*  351966 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(352032), // Rule ID 21645 //
     /*  351971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352010 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352030 */     GIR_RootConstrainSelectedInstOperands,
     /*  352031 */     // GIR_Coverage, 21645,
     /*  352031 */     GIR_EraseRootFromParent_Done,
     /*  352032 */   // Label 6402: @352032
     /*  352032 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(352098), // Rule ID 21648 //
     /*  352037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352096 */     GIR_RootConstrainSelectedInstOperands,
     /*  352097 */     // GIR_Coverage, 21648,
     /*  352097 */     GIR_EraseRootFromParent_Done,
     /*  352098 */   // Label 6403: @352098
     /*  352098 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(352164), // Rule ID 21649 //
     /*  352103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352162 */     GIR_RootConstrainSelectedInstOperands,
     /*  352163 */     // GIR_Coverage, 21649,
     /*  352163 */     GIR_EraseRootFromParent_Done,
     /*  352164 */   // Label 6404: @352164
     /*  352164 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352230), // Rule ID 21652 //
     /*  352169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352228 */     GIR_RootConstrainSelectedInstOperands,
     /*  352229 */     // GIR_Coverage, 21652,
     /*  352229 */     GIR_EraseRootFromParent_Done,
     /*  352230 */   // Label 6405: @352230
     /*  352230 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352296), // Rule ID 21653 //
     /*  352235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352294 */     GIR_RootConstrainSelectedInstOperands,
     /*  352295 */     // GIR_Coverage, 21653,
     /*  352295 */     GIR_EraseRootFromParent_Done,
     /*  352296 */   // Label 6406: @352296
     /*  352296 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352362), // Rule ID 21656 //
     /*  352301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  352318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  352343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352360 */     GIR_RootConstrainSelectedInstOperands,
     /*  352361 */     // GIR_Coverage, 21656,
     /*  352361 */     GIR_EraseRootFromParent_Done,
     /*  352362 */   // Label 6407: @352362
     /*  352362 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352428), // Rule ID 21657 //
     /*  352367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  352384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  352409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352426 */     GIR_RootConstrainSelectedInstOperands,
     /*  352427 */     // GIR_Coverage, 21657,
     /*  352427 */     GIR_EraseRootFromParent_Done,
     /*  352428 */   // Label 6408: @352428
     /*  352428 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352494), // Rule ID 21660 //
     /*  352433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352492 */     GIR_RootConstrainSelectedInstOperands,
     /*  352493 */     // GIR_Coverage, 21660,
     /*  352493 */     GIR_EraseRootFromParent_Done,
     /*  352494 */   // Label 6409: @352494
     /*  352494 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352560), // Rule ID 21661 //
     /*  352499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352558 */     GIR_RootConstrainSelectedInstOperands,
     /*  352559 */     // GIR_Coverage, 21661,
     /*  352559 */     GIR_EraseRootFromParent_Done,
     /*  352560 */   // Label 6410: @352560
     /*  352560 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352626), // Rule ID 21664 //
     /*  352565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352624 */     GIR_RootConstrainSelectedInstOperands,
     /*  352625 */     // GIR_Coverage, 21664,
     /*  352625 */     GIR_EraseRootFromParent_Done,
     /*  352626 */   // Label 6411: @352626
     /*  352626 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352692), // Rule ID 21665 //
     /*  352631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352670 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352690 */     GIR_RootConstrainSelectedInstOperands,
     /*  352691 */     // GIR_Coverage, 21665,
     /*  352691 */     GIR_EraseRootFromParent_Done,
     /*  352692 */   // Label 6412: @352692
     /*  352692 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(352758), // Rule ID 21668 //
     /*  352697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352736 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352756 */     GIR_RootConstrainSelectedInstOperands,
     /*  352757 */     // GIR_Coverage, 21668,
     /*  352757 */     GIR_EraseRootFromParent_Done,
     /*  352758 */   // Label 6413: @352758
     /*  352758 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(352824), // Rule ID 21669 //
     /*  352763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352802 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352822 */     GIR_RootConstrainSelectedInstOperands,
     /*  352823 */     // GIR_Coverage, 21669,
     /*  352823 */     GIR_EraseRootFromParent_Done,
     /*  352824 */   // Label 6414: @352824
     /*  352824 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(352890), // Rule ID 21672 //
     /*  352829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352888 */     GIR_RootConstrainSelectedInstOperands,
     /*  352889 */     // GIR_Coverage, 21672,
     /*  352889 */     GIR_EraseRootFromParent_Done,
     /*  352890 */   // Label 6415: @352890
     /*  352890 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(352956), // Rule ID 21673 //
     /*  352895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352954 */     GIR_RootConstrainSelectedInstOperands,
     /*  352955 */     // GIR_Coverage, 21673,
     /*  352955 */     GIR_EraseRootFromParent_Done,
     /*  352956 */   // Label 6416: @352956
     /*  352956 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(353022), // Rule ID 21676 //
     /*  352961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  352972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  352975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353020 */     GIR_RootConstrainSelectedInstOperands,
     /*  353021 */     // GIR_Coverage, 21676,
     /*  353021 */     GIR_EraseRootFromParent_Done,
     /*  353022 */   // Label 6417: @353022
     /*  353022 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(353088), // Rule ID 21677 //
     /*  353027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  353038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  353041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353086 */     GIR_RootConstrainSelectedInstOperands,
     /*  353087 */     // GIR_Coverage, 21677,
     /*  353087 */     GIR_EraseRootFromParent_Done,
     /*  353088 */   // Label 6418: @353088
     /*  353088 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(353154), // Rule ID 21680 //
     /*  353093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  353104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  353107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353132 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353152 */     GIR_RootConstrainSelectedInstOperands,
     /*  353153 */     // GIR_Coverage, 21680,
     /*  353153 */     GIR_EraseRootFromParent_Done,
     /*  353154 */   // Label 6419: @353154
     /*  353154 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353220), // Rule ID 21681 //
     /*  353159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  353170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  353173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353218 */     GIR_RootConstrainSelectedInstOperands,
     /*  353219 */     // GIR_Coverage, 21681,
     /*  353219 */     GIR_EraseRootFromParent_Done,
     /*  353220 */   // Label 6420: @353220
     /*  353220 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353286), // Rule ID 21684 //
     /*  353225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  353236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  353239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353284 */     GIR_RootConstrainSelectedInstOperands,
     /*  353285 */     // GIR_Coverage, 21684,
     /*  353285 */     GIR_EraseRootFromParent_Done,
     /*  353286 */   // Label 6421: @353286
     /*  353286 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353352), // Rule ID 21685 //
     /*  353291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  353302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  353305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353330 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353350 */     GIR_RootConstrainSelectedInstOperands,
     /*  353351 */     // GIR_Coverage, 21685,
     /*  353351 */     GIR_EraseRootFromParent_Done,
     /*  353352 */   // Label 6422: @353352
     /*  353352 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353418), // Rule ID 21688 //
     /*  353357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  353368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  353371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353416 */     GIR_RootConstrainSelectedInstOperands,
     /*  353417 */     // GIR_Coverage, 21688,
     /*  353417 */     GIR_EraseRootFromParent_Done,
     /*  353418 */   // Label 6423: @353418
     /*  353418 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353484), // Rule ID 21689 //
     /*  353423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  353434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  353437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353482 */     GIR_RootConstrainSelectedInstOperands,
     /*  353483 */     // GIR_Coverage, 21689,
     /*  353483 */     GIR_EraseRootFromParent_Done,
     /*  353484 */   // Label 6424: @353484
     /*  353484 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353550), // Rule ID 21692 //
     /*  353489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353548 */     GIR_RootConstrainSelectedInstOperands,
     /*  353549 */     // GIR_Coverage, 21692,
     /*  353549 */     GIR_EraseRootFromParent_Done,
     /*  353550 */   // Label 6425: @353550
     /*  353550 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353616), // Rule ID 21693 //
     /*  353555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353594 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353614 */     GIR_RootConstrainSelectedInstOperands,
     /*  353615 */     // GIR_Coverage, 21693,
     /*  353615 */     GIR_EraseRootFromParent_Done,
     /*  353616 */   // Label 6426: @353616
     /*  353616 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353682), // Rule ID 21696 //
     /*  353621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353680 */     GIR_RootConstrainSelectedInstOperands,
     /*  353681 */     // GIR_Coverage, 21696,
     /*  353681 */     GIR_EraseRootFromParent_Done,
     /*  353682 */   // Label 6427: @353682
     /*  353682 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(353748), // Rule ID 21697 //
     /*  353687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353746 */     GIR_RootConstrainSelectedInstOperands,
     /*  353747 */     // GIR_Coverage, 21697,
     /*  353747 */     GIR_EraseRootFromParent_Done,
     /*  353748 */   // Label 6428: @353748
     /*  353748 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(353814), // Rule ID 21700 //
     /*  353753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353792 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353812 */     GIR_RootConstrainSelectedInstOperands,
     /*  353813 */     // GIR_Coverage, 21700,
     /*  353813 */     GIR_EraseRootFromParent_Done,
     /*  353814 */   // Label 6429: @353814
     /*  353814 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(353880), // Rule ID 21701 //
     /*  353819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353878 */     GIR_RootConstrainSelectedInstOperands,
     /*  353879 */     // GIR_Coverage, 21701,
     /*  353879 */     GIR_EraseRootFromParent_Done,
     /*  353880 */   // Label 6430: @353880
     /*  353880 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(353946), // Rule ID 21704 //
     /*  353885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353944 */     GIR_RootConstrainSelectedInstOperands,
     /*  353945 */     // GIR_Coverage, 21704,
     /*  353945 */     GIR_EraseRootFromParent_Done,
     /*  353946 */   // Label 6431: @353946
     /*  353946 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(354012), // Rule ID 21705 //
     /*  353951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354010 */     GIR_RootConstrainSelectedInstOperands,
     /*  354011 */     // GIR_Coverage, 21705,
     /*  354011 */     GIR_EraseRootFromParent_Done,
     /*  354012 */   // Label 6432: @354012
     /*  354012 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(354078), // Rule ID 21708 //
     /*  354017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354076 */     GIR_RootConstrainSelectedInstOperands,
     /*  354077 */     // GIR_Coverage, 21708,
     /*  354077 */     GIR_EraseRootFromParent_Done,
     /*  354078 */   // Label 6433: @354078
     /*  354078 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(354144), // Rule ID 21709 //
     /*  354083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354142 */     GIR_RootConstrainSelectedInstOperands,
     /*  354143 */     // GIR_Coverage, 21709,
     /*  354143 */     GIR_EraseRootFromParent_Done,
     /*  354144 */   // Label 6434: @354144
     /*  354144 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354210), // Rule ID 21712 //
     /*  354149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354208 */     GIR_RootConstrainSelectedInstOperands,
     /*  354209 */     // GIR_Coverage, 21712,
     /*  354209 */     GIR_EraseRootFromParent_Done,
     /*  354210 */   // Label 6435: @354210
     /*  354210 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354276), // Rule ID 21713 //
     /*  354215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354274 */     GIR_RootConstrainSelectedInstOperands,
     /*  354275 */     // GIR_Coverage, 21713,
     /*  354275 */     GIR_EraseRootFromParent_Done,
     /*  354276 */   // Label 6436: @354276
     /*  354276 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354342), // Rule ID 21716 //
     /*  354281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  354298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354340 */     GIR_RootConstrainSelectedInstOperands,
     /*  354341 */     // GIR_Coverage, 21716,
     /*  354341 */     GIR_EraseRootFromParent_Done,
     /*  354342 */   // Label 6437: @354342
     /*  354342 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354408), // Rule ID 21717 //
     /*  354347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  354364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354406 */     GIR_RootConstrainSelectedInstOperands,
     /*  354407 */     // GIR_Coverage, 21717,
     /*  354407 */     GIR_EraseRootFromParent_Done,
     /*  354408 */   // Label 6438: @354408
     /*  354408 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354474), // Rule ID 21720 //
     /*  354413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354472 */     GIR_RootConstrainSelectedInstOperands,
     /*  354473 */     // GIR_Coverage, 21720,
     /*  354473 */     GIR_EraseRootFromParent_Done,
     /*  354474 */   // Label 6439: @354474
     /*  354474 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354540), // Rule ID 21721 //
     /*  354479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354538 */     GIR_RootConstrainSelectedInstOperands,
     /*  354539 */     // GIR_Coverage, 21721,
     /*  354539 */     GIR_EraseRootFromParent_Done,
     /*  354540 */   // Label 6440: @354540
     /*  354540 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354606), // Rule ID 21832 //
     /*  354545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354584 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354604 */     GIR_RootConstrainSelectedInstOperands,
     /*  354605 */     // GIR_Coverage, 21832,
     /*  354605 */     GIR_EraseRootFromParent_Done,
     /*  354606 */   // Label 6441: @354606
     /*  354606 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354672), // Rule ID 21833 //
     /*  354611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354650 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354670 */     GIR_RootConstrainSelectedInstOperands,
     /*  354671 */     // GIR_Coverage, 21833,
     /*  354671 */     GIR_EraseRootFromParent_Done,
     /*  354672 */   // Label 6442: @354672
     /*  354672 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(354738), // Rule ID 21836 //
     /*  354677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354716 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354736 */     GIR_RootConstrainSelectedInstOperands,
     /*  354737 */     // GIR_Coverage, 21836,
     /*  354737 */     GIR_EraseRootFromParent_Done,
     /*  354738 */   // Label 6443: @354738
     /*  354738 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(354804), // Rule ID 21837 //
     /*  354743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354782 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354802 */     GIR_RootConstrainSelectedInstOperands,
     /*  354803 */     // GIR_Coverage, 21837,
     /*  354803 */     GIR_EraseRootFromParent_Done,
     /*  354804 */   // Label 6444: @354804
     /*  354804 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(354870), // Rule ID 21840 //
     /*  354809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354848 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354868 */     GIR_RootConstrainSelectedInstOperands,
     /*  354869 */     // GIR_Coverage, 21840,
     /*  354869 */     GIR_EraseRootFromParent_Done,
     /*  354870 */   // Label 6445: @354870
     /*  354870 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(354936), // Rule ID 21841 //
     /*  354875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354914 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354934 */     GIR_RootConstrainSelectedInstOperands,
     /*  354935 */     // GIR_Coverage, 21841,
     /*  354935 */     GIR_EraseRootFromParent_Done,
     /*  354936 */   // Label 6446: @354936
     /*  354936 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(355002), // Rule ID 21844 //
     /*  354941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354980 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  354983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355000 */     GIR_RootConstrainSelectedInstOperands,
     /*  355001 */     // GIR_Coverage, 21844,
     /*  355001 */     GIR_EraseRootFromParent_Done,
     /*  355002 */   // Label 6447: @355002
     /*  355002 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(355068), // Rule ID 21845 //
     /*  355007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  355018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  355021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355046 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  355049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355066 */     GIR_RootConstrainSelectedInstOperands,
     /*  355067 */     // GIR_Coverage, 21845,
     /*  355067 */     GIR_EraseRootFromParent_Done,
     /*  355068 */   // Label 6448: @355068
     /*  355068 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(355134), // Rule ID 21848 //
     /*  355073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  355076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  355084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  355087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355112 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  355115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355132 */     GIR_RootConstrainSelectedInstOperands,
     /*  355133 */     // GIR_Coverage, 21848,
     /*  355133 */     GIR_EraseRootFromParent_Done,
     /*  355134 */   // Label 6449: @355134
     /*  355134 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355200), // Rule ID 21849 //
     /*  355139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  355150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  355153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355178 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  355181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355198 */     GIR_RootConstrainSelectedInstOperands,
     /*  355199 */     // GIR_Coverage, 21849,
     /*  355199 */     GIR_EraseRootFromParent_Done,
     /*  355200 */   // Label 6450: @355200
     /*  355200 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355266), // Rule ID 21852 //
     /*  355205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  355222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355244 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  355247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355264 */     GIR_RootConstrainSelectedInstOperands,
     /*  355265 */     // GIR_Coverage, 21852,
     /*  355265 */     GIR_EraseRootFromParent_Done,
     /*  355266 */   // Label 6451: @355266
     /*  355266 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355332), // Rule ID 21853 //
     /*  355271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  355288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355310 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  355313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355330 */     GIR_RootConstrainSelectedInstOperands,
     /*  355331 */     // GIR_Coverage, 21853,
     /*  355331 */     GIR_EraseRootFromParent_Done,
     /*  355332 */   // Label 6452: @355332
     /*  355332 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355398), // Rule ID 21856 //
     /*  355337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  355348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  355351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  355354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  355379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355396 */     GIR_RootConstrainSelectedInstOperands,
     /*  355397 */     // GIR_Coverage, 21856,
     /*  355397 */     GIR_EraseRootFromParent_Done,
     /*  355398 */   // Label 6453: @355398
     /*  355398 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355464), // Rule ID 21857 //
     /*  355403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  355414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  355417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  355420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355442 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  355445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355462 */     GIR_RootConstrainSelectedInstOperands,
     /*  355463 */     // GIR_Coverage, 21857,
     /*  355463 */     GIR_EraseRootFromParent_Done,
     /*  355464 */   // Label 6454: @355464
     /*  355464 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355530), // Rule ID 21860 //
     /*  355469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355508 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355528 */     GIR_RootConstrainSelectedInstOperands,
     /*  355529 */     // GIR_Coverage, 21860,
     /*  355529 */     GIR_EraseRootFromParent_Done,
     /*  355530 */   // Label 6455: @355530
     /*  355530 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355596), // Rule ID 21861 //
     /*  355535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355574 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355594 */     GIR_RootConstrainSelectedInstOperands,
     /*  355595 */     // GIR_Coverage, 21861,
     /*  355595 */     GIR_EraseRootFromParent_Done,
     /*  355596 */   // Label 6456: @355596
     /*  355596 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355662), // Rule ID 21864 //
     /*  355601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355640 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355660 */     GIR_RootConstrainSelectedInstOperands,
     /*  355661 */     // GIR_Coverage, 21864,
     /*  355661 */     GIR_EraseRootFromParent_Done,
     /*  355662 */   // Label 6457: @355662
     /*  355662 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355728), // Rule ID 21865 //
     /*  355667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355706 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355726 */     GIR_RootConstrainSelectedInstOperands,
     /*  355727 */     // GIR_Coverage, 21865,
     /*  355727 */     GIR_EraseRootFromParent_Done,
     /*  355728 */   // Label 6458: @355728
     /*  355728 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(355791), // Rule ID 23036 //
     /*  355733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355789 */     GIR_RootConstrainSelectedInstOperands,
     /*  355790 */     // GIR_Coverage, 23036,
     /*  355790 */     GIR_EraseRootFromParent_Done,
     /*  355791 */   // Label 6459: @355791
     /*  355791 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(355854), // Rule ID 23037 //
     /*  355796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355852 */     GIR_RootConstrainSelectedInstOperands,
     /*  355853 */     // GIR_Coverage, 23037,
     /*  355853 */     GIR_EraseRootFromParent_Done,
     /*  355854 */   // Label 6460: @355854
     /*  355854 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(355917), // Rule ID 23038 //
     /*  355859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355915 */     GIR_RootConstrainSelectedInstOperands,
     /*  355916 */     // GIR_Coverage, 23038,
     /*  355916 */     GIR_EraseRootFromParent_Done,
     /*  355917 */   // Label 6461: @355917
     /*  355917 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(355980), // Rule ID 23039 //
     /*  355922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355978 */     GIR_RootConstrainSelectedInstOperands,
     /*  355979 */     // GIR_Coverage, 23039,
     /*  355979 */     GIR_EraseRootFromParent_Done,
     /*  355980 */   // Label 6462: @355980
     /*  355980 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(356043), // Rule ID 23040 //
     /*  355985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  356027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356041 */     GIR_RootConstrainSelectedInstOperands,
     /*  356042 */     // GIR_Coverage, 23040,
     /*  356042 */     GIR_EraseRootFromParent_Done,
     /*  356043 */   // Label 6463: @356043
     /*  356043 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(356106), // Rule ID 23041 //
     /*  356048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356087 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  356090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356104 */     GIR_RootConstrainSelectedInstOperands,
     /*  356105 */     // GIR_Coverage, 23041,
     /*  356105 */     GIR_EraseRootFromParent_Done,
     /*  356106 */   // Label 6464: @356106
     /*  356106 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(356169), // Rule ID 23042 //
     /*  356111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356150 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  356153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356167 */     GIR_RootConstrainSelectedInstOperands,
     /*  356168 */     // GIR_Coverage, 23042,
     /*  356168 */     GIR_EraseRootFromParent_Done,
     /*  356169 */   // Label 6465: @356169
     /*  356169 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356232), // Rule ID 23043 //
     /*  356174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  356216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356230 */     GIR_RootConstrainSelectedInstOperands,
     /*  356231 */     // GIR_Coverage, 23043,
     /*  356231 */     GIR_EraseRootFromParent_Done,
     /*  356232 */   // Label 6466: @356232
     /*  356232 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356295), // Rule ID 23044 //
     /*  356237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356276 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  356279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356293 */     GIR_RootConstrainSelectedInstOperands,
     /*  356294 */     // GIR_Coverage, 23044,
     /*  356294 */     GIR_EraseRootFromParent_Done,
     /*  356295 */   // Label 6467: @356295
     /*  356295 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356358), // Rule ID 23045 //
     /*  356300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356339 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  356342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356356 */     GIR_RootConstrainSelectedInstOperands,
     /*  356357 */     // GIR_Coverage, 23045,
     /*  356357 */     GIR_EraseRootFromParent_Done,
     /*  356358 */   // Label 6468: @356358
     /*  356358 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356421), // Rule ID 23046 //
     /*  356363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356402 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  356405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356419 */     GIR_RootConstrainSelectedInstOperands,
     /*  356420 */     // GIR_Coverage, 23046,
     /*  356420 */     GIR_EraseRootFromParent_Done,
     /*  356421 */   // Label 6469: @356421
     /*  356421 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356484), // Rule ID 23047 //
     /*  356426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356465 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  356468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356482 */     GIR_RootConstrainSelectedInstOperands,
     /*  356483 */     // GIR_Coverage, 23047,
     /*  356483 */     GIR_EraseRootFromParent_Done,
     /*  356484 */   // Label 6470: @356484
     /*  356484 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356547), // Rule ID 23048 //
     /*  356489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356545 */     GIR_RootConstrainSelectedInstOperands,
     /*  356546 */     // GIR_Coverage, 23048,
     /*  356546 */     GIR_EraseRootFromParent_Done,
     /*  356547 */   // Label 6471: @356547
     /*  356547 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356610), // Rule ID 23049 //
     /*  356552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356591 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356608 */     GIR_RootConstrainSelectedInstOperands,
     /*  356609 */     // GIR_Coverage, 23049,
     /*  356609 */     GIR_EraseRootFromParent_Done,
     /*  356610 */   // Label 6472: @356610
     /*  356610 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356673), // Rule ID 23050 //
     /*  356615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356654 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356671 */     GIR_RootConstrainSelectedInstOperands,
     /*  356672 */     // GIR_Coverage, 23050,
     /*  356672 */     GIR_EraseRootFromParent_Done,
     /*  356673 */   // Label 6473: @356673
     /*  356673 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(356736), // Rule ID 23051 //
     /*  356678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356734 */     GIR_RootConstrainSelectedInstOperands,
     /*  356735 */     // GIR_Coverage, 23051,
     /*  356735 */     GIR_EraseRootFromParent_Done,
     /*  356736 */   // Label 6474: @356736
     /*  356736 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(356799), // Rule ID 23052 //
     /*  356741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356797 */     GIR_RootConstrainSelectedInstOperands,
     /*  356798 */     // GIR_Coverage, 23052,
     /*  356798 */     GIR_EraseRootFromParent_Done,
     /*  356799 */   // Label 6475: @356799
     /*  356799 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(356862), // Rule ID 23053 //
     /*  356804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356843 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356860 */     GIR_RootConstrainSelectedInstOperands,
     /*  356861 */     // GIR_Coverage, 23053,
     /*  356861 */     GIR_EraseRootFromParent_Done,
     /*  356862 */   // Label 6476: @356862
     /*  356862 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(356925), // Rule ID 23054 //
     /*  356867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356906 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356923 */     GIR_RootConstrainSelectedInstOperands,
     /*  356924 */     // GIR_Coverage, 23054,
     /*  356924 */     GIR_EraseRootFromParent_Done,
     /*  356925 */   // Label 6477: @356925
     /*  356925 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(356988), // Rule ID 23055 //
     /*  356930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356969 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356986 */     GIR_RootConstrainSelectedInstOperands,
     /*  356987 */     // GIR_Coverage, 23055,
     /*  356987 */     GIR_EraseRootFromParent_Done,
     /*  356988 */   // Label 6478: @356988
     /*  356988 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(357051), // Rule ID 23056 //
     /*  356993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  357035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357049 */     GIR_RootConstrainSelectedInstOperands,
     /*  357050 */     // GIR_Coverage, 23056,
     /*  357050 */     GIR_EraseRootFromParent_Done,
     /*  357051 */   // Label 6479: @357051
     /*  357051 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(357114), // Rule ID 23057 //
     /*  357056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357095 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  357098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357112 */     GIR_RootConstrainSelectedInstOperands,
     /*  357113 */     // GIR_Coverage, 23057,
     /*  357113 */     GIR_EraseRootFromParent_Done,
     /*  357114 */   // Label 6480: @357114
     /*  357114 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(357177), // Rule ID 23058 //
     /*  357119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357158 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  357161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357175 */     GIR_RootConstrainSelectedInstOperands,
     /*  357176 */     // GIR_Coverage, 23058,
     /*  357176 */     GIR_EraseRootFromParent_Done,
     /*  357177 */   // Label 6481: @357177
     /*  357177 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357240), // Rule ID 23059 //
     /*  357182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357221 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  357224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357238 */     GIR_RootConstrainSelectedInstOperands,
     /*  357239 */     // GIR_Coverage, 23059,
     /*  357239 */     GIR_EraseRootFromParent_Done,
     /*  357240 */   // Label 6482: @357240
     /*  357240 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357303), // Rule ID 23060 //
     /*  357245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357284 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  357287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357301 */     GIR_RootConstrainSelectedInstOperands,
     /*  357302 */     // GIR_Coverage, 23060,
     /*  357302 */     GIR_EraseRootFromParent_Done,
     /*  357303 */   // Label 6483: @357303
     /*  357303 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357366), // Rule ID 23061 //
     /*  357308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357347 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  357350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357364 */     GIR_RootConstrainSelectedInstOperands,
     /*  357365 */     // GIR_Coverage, 23061,
     /*  357365 */     GIR_EraseRootFromParent_Done,
     /*  357366 */   // Label 6484: @357366
     /*  357366 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357429), // Rule ID 23062 //
     /*  357371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357410 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  357413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357427 */     GIR_RootConstrainSelectedInstOperands,
     /*  357428 */     // GIR_Coverage, 23062,
     /*  357428 */     GIR_EraseRootFromParent_Done,
     /*  357429 */   // Label 6485: @357429
     /*  357429 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357492), // Rule ID 23063 //
     /*  357434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  357476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357490 */     GIR_RootConstrainSelectedInstOperands,
     /*  357491 */     // GIR_Coverage, 23063,
     /*  357491 */     GIR_EraseRootFromParent_Done,
     /*  357492 */   // Label 6486: @357492
     /*  357492 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357555), // Rule ID 23064 //
     /*  357497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357553 */     GIR_RootConstrainSelectedInstOperands,
     /*  357554 */     // GIR_Coverage, 23064,
     /*  357554 */     GIR_EraseRootFromParent_Done,
     /*  357555 */   // Label 6487: @357555
     /*  357555 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357618), // Rule ID 23065 //
     /*  357560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357599 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357616 */     GIR_RootConstrainSelectedInstOperands,
     /*  357617 */     // GIR_Coverage, 23065,
     /*  357617 */     GIR_EraseRootFromParent_Done,
     /*  357618 */   // Label 6488: @357618
     /*  357618 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(357681), // Rule ID 23066 //
     /*  357623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357679 */     GIR_RootConstrainSelectedInstOperands,
     /*  357680 */     // GIR_Coverage, 23066,
     /*  357680 */     GIR_EraseRootFromParent_Done,
     /*  357681 */   // Label 6489: @357681
     /*  357681 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(357744), // Rule ID 23067 //
     /*  357686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357742 */     GIR_RootConstrainSelectedInstOperands,
     /*  357743 */     // GIR_Coverage, 23067,
     /*  357743 */     GIR_EraseRootFromParent_Done,
     /*  357744 */   // Label 6490: @357744
     /*  357744 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(357807), // Rule ID 23068 //
     /*  357749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357805 */     GIR_RootConstrainSelectedInstOperands,
     /*  357806 */     // GIR_Coverage, 23068,
     /*  357806 */     GIR_EraseRootFromParent_Done,
     /*  357807 */   // Label 6491: @357807
     /*  357807 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(357870), // Rule ID 23069 //
     /*  357812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357868 */     GIR_RootConstrainSelectedInstOperands,
     /*  357869 */     // GIR_Coverage, 23069,
     /*  357869 */     GIR_EraseRootFromParent_Done,
     /*  357870 */   // Label 6492: @357870
     /*  357870 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(357933), // Rule ID 23070 //
     /*  357875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357914 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357931 */     GIR_RootConstrainSelectedInstOperands,
     /*  357932 */     // GIR_Coverage, 23070,
     /*  357932 */     GIR_EraseRootFromParent_Done,
     /*  357933 */   // Label 6493: @357933
     /*  357933 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(357996), // Rule ID 23071 //
     /*  357938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357977 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357994 */     GIR_RootConstrainSelectedInstOperands,
     /*  357995 */     // GIR_Coverage, 23071,
     /*  357995 */     GIR_EraseRootFromParent_Done,
     /*  357996 */   // Label 6494: @357996
     /*  357996 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(358059), // Rule ID 23072 //
     /*  358001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358040 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  358043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358057 */     GIR_RootConstrainSelectedInstOperands,
     /*  358058 */     // GIR_Coverage, 23072,
     /*  358058 */     GIR_EraseRootFromParent_Done,
     /*  358059 */   // Label 6495: @358059
     /*  358059 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(358122), // Rule ID 23073 //
     /*  358064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358103 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  358106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358120 */     GIR_RootConstrainSelectedInstOperands,
     /*  358121 */     // GIR_Coverage, 23073,
     /*  358121 */     GIR_EraseRootFromParent_Done,
     /*  358122 */   // Label 6496: @358122
     /*  358122 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(358185), // Rule ID 23074 //
     /*  358127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358166 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  358169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358183 */     GIR_RootConstrainSelectedInstOperands,
     /*  358184 */     // GIR_Coverage, 23074,
     /*  358184 */     GIR_EraseRootFromParent_Done,
     /*  358185 */   // Label 6497: @358185
     /*  358185 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358248), // Rule ID 23075 //
     /*  358190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358229 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  358232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358246 */     GIR_RootConstrainSelectedInstOperands,
     /*  358247 */     // GIR_Coverage, 23075,
     /*  358247 */     GIR_EraseRootFromParent_Done,
     /*  358248 */   // Label 6498: @358248
     /*  358248 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358311), // Rule ID 23076 //
     /*  358253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  358295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358309 */     GIR_RootConstrainSelectedInstOperands,
     /*  358310 */     // GIR_Coverage, 23076,
     /*  358310 */     GIR_EraseRootFromParent_Done,
     /*  358311 */   // Label 6499: @358311
     /*  358311 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358374), // Rule ID 23077 //
     /*  358316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  358358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358372 */     GIR_RootConstrainSelectedInstOperands,
     /*  358373 */     // GIR_Coverage, 23077,
     /*  358373 */     GIR_EraseRootFromParent_Done,
     /*  358374 */   // Label 6500: @358374
     /*  358374 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358437), // Rule ID 23078 //
     /*  358379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358418 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  358421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358435 */     GIR_RootConstrainSelectedInstOperands,
     /*  358436 */     // GIR_Coverage, 23078,
     /*  358436 */     GIR_EraseRootFromParent_Done,
     /*  358437 */   // Label 6501: @358437
     /*  358437 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358500), // Rule ID 23079 //
     /*  358442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358481 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  358484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358498 */     GIR_RootConstrainSelectedInstOperands,
     /*  358499 */     // GIR_Coverage, 23079,
     /*  358499 */     GIR_EraseRootFromParent_Done,
     /*  358500 */   // Label 6502: @358500
     /*  358500 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358563), // Rule ID 23080 //
     /*  358505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358561 */     GIR_RootConstrainSelectedInstOperands,
     /*  358562 */     // GIR_Coverage, 23080,
     /*  358562 */     GIR_EraseRootFromParent_Done,
     /*  358563 */   // Label 6503: @358563
     /*  358563 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(358626), // Rule ID 23081 //
     /*  358568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358624 */     GIR_RootConstrainSelectedInstOperands,
     /*  358625 */     // GIR_Coverage, 23081,
     /*  358625 */     GIR_EraseRootFromParent_Done,
     /*  358626 */   // Label 6504: @358626
     /*  358626 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(358689), // Rule ID 23082 //
     /*  358631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358670 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358687 */     GIR_RootConstrainSelectedInstOperands,
     /*  358688 */     // GIR_Coverage, 23082,
     /*  358688 */     GIR_EraseRootFromParent_Done,
     /*  358689 */   // Label 6505: @358689
     /*  358689 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(358752), // Rule ID 23083 //
     /*  358694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358733 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358750 */     GIR_RootConstrainSelectedInstOperands,
     /*  358751 */     // GIR_Coverage, 23083,
     /*  358751 */     GIR_EraseRootFromParent_Done,
     /*  358752 */   // Label 6506: @358752
     /*  358752 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(358815), // Rule ID 23084 //
     /*  358757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358813 */     GIR_RootConstrainSelectedInstOperands,
     /*  358814 */     // GIR_Coverage, 23084,
     /*  358814 */     GIR_EraseRootFromParent_Done,
     /*  358815 */   // Label 6507: @358815
     /*  358815 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(358878), // Rule ID 23085 //
     /*  358820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358859 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358876 */     GIR_RootConstrainSelectedInstOperands,
     /*  358877 */     // GIR_Coverage, 23085,
     /*  358877 */     GIR_EraseRootFromParent_Done,
     /*  358878 */   // Label 6508: @358878
     /*  358878 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(358941), // Rule ID 23086 //
     /*  358883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358922 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358939 */     GIR_RootConstrainSelectedInstOperands,
     /*  358940 */     // GIR_Coverage, 23086,
     /*  358940 */     GIR_EraseRootFromParent_Done,
     /*  358941 */   // Label 6509: @358941
     /*  358941 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(359004), // Rule ID 23087 //
     /*  358946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358985 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359002 */     GIR_RootConstrainSelectedInstOperands,
     /*  359003 */     // GIR_Coverage, 23087,
     /*  359003 */     GIR_EraseRootFromParent_Done,
     /*  359004 */   // Label 6510: @359004
     /*  359004 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(359067), // Rule ID 23088 //
     /*  359009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359048 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  359051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359065 */     GIR_RootConstrainSelectedInstOperands,
     /*  359066 */     // GIR_Coverage, 23088,
     /*  359066 */     GIR_EraseRootFromParent_Done,
     /*  359067 */   // Label 6511: @359067
     /*  359067 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(359130), // Rule ID 23089 //
     /*  359072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359111 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  359114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359128 */     GIR_RootConstrainSelectedInstOperands,
     /*  359129 */     // GIR_Coverage, 23089,
     /*  359129 */     GIR_EraseRootFromParent_Done,
     /*  359130 */   // Label 6512: @359130
     /*  359130 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359193), // Rule ID 23090 //
     /*  359135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  359177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359191 */     GIR_RootConstrainSelectedInstOperands,
     /*  359192 */     // GIR_Coverage, 23090,
     /*  359192 */     GIR_EraseRootFromParent_Done,
     /*  359193 */   // Label 6513: @359193
     /*  359193 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359256), // Rule ID 23091 //
     /*  359198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  359240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359254 */     GIR_RootConstrainSelectedInstOperands,
     /*  359255 */     // GIR_Coverage, 23091,
     /*  359255 */     GIR_EraseRootFromParent_Done,
     /*  359256 */   // Label 6514: @359256
     /*  359256 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359319), // Rule ID 23092 //
     /*  359261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  359303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359317 */     GIR_RootConstrainSelectedInstOperands,
     /*  359318 */     // GIR_Coverage, 23092,
     /*  359318 */     GIR_EraseRootFromParent_Done,
     /*  359319 */   // Label 6515: @359319
     /*  359319 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359382), // Rule ID 23093 //
     /*  359324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  359366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359380 */     GIR_RootConstrainSelectedInstOperands,
     /*  359381 */     // GIR_Coverage, 23093,
     /*  359381 */     GIR_EraseRootFromParent_Done,
     /*  359382 */   // Label 6516: @359382
     /*  359382 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359445), // Rule ID 23094 //
     /*  359387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359426 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  359429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359443 */     GIR_RootConstrainSelectedInstOperands,
     /*  359444 */     // GIR_Coverage, 23094,
     /*  359444 */     GIR_EraseRootFromParent_Done,
     /*  359445 */   // Label 6517: @359445
     /*  359445 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359508), // Rule ID 23095 //
     /*  359450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  359492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359506 */     GIR_RootConstrainSelectedInstOperands,
     /*  359507 */     // GIR_Coverage, 23095,
     /*  359507 */     GIR_EraseRootFromParent_Done,
     /*  359508 */   // Label 6518: @359508
     /*  359508 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(359571), // Rule ID 23096 //
     /*  359513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359569 */     GIR_RootConstrainSelectedInstOperands,
     /*  359570 */     // GIR_Coverage, 23096,
     /*  359570 */     GIR_EraseRootFromParent_Done,
     /*  359571 */   // Label 6519: @359571
     /*  359571 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(359634), // Rule ID 23097 //
     /*  359576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359615 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359632 */     GIR_RootConstrainSelectedInstOperands,
     /*  359633 */     // GIR_Coverage, 23097,
     /*  359633 */     GIR_EraseRootFromParent_Done,
     /*  359634 */   // Label 6520: @359634
     /*  359634 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(359697), // Rule ID 23098 //
     /*  359639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359695 */     GIR_RootConstrainSelectedInstOperands,
     /*  359696 */     // GIR_Coverage, 23098,
     /*  359696 */     GIR_EraseRootFromParent_Done,
     /*  359697 */   // Label 6521: @359697
     /*  359697 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(359760), // Rule ID 23099 //
     /*  359702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359741 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359758 */     GIR_RootConstrainSelectedInstOperands,
     /*  359759 */     // GIR_Coverage, 23099,
     /*  359759 */     GIR_EraseRootFromParent_Done,
     /*  359760 */   // Label 6522: @359760
     /*  359760 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(359823), // Rule ID 23100 //
     /*  359765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359821 */     GIR_RootConstrainSelectedInstOperands,
     /*  359822 */     // GIR_Coverage, 23100,
     /*  359822 */     GIR_EraseRootFromParent_Done,
     /*  359823 */   // Label 6523: @359823
     /*  359823 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(359886), // Rule ID 23101 //
     /*  359828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359867 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359884 */     GIR_RootConstrainSelectedInstOperands,
     /*  359885 */     // GIR_Coverage, 23101,
     /*  359885 */     GIR_EraseRootFromParent_Done,
     /*  359886 */   // Label 6524: @359886
     /*  359886 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(359949), // Rule ID 23102 //
     /*  359891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359930 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359947 */     GIR_RootConstrainSelectedInstOperands,
     /*  359948 */     // GIR_Coverage, 23102,
     /*  359948 */     GIR_EraseRootFromParent_Done,
     /*  359949 */   // Label 6525: @359949
     /*  359949 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(360012), // Rule ID 23103 //
     /*  359954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359993 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360010 */     GIR_RootConstrainSelectedInstOperands,
     /*  360011 */     // GIR_Coverage, 23103,
     /*  360011 */     GIR_EraseRootFromParent_Done,
     /*  360012 */   // Label 6526: @360012
     /*  360012 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(360075), // Rule ID 23104 //
     /*  360017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  360059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360073 */     GIR_RootConstrainSelectedInstOperands,
     /*  360074 */     // GIR_Coverage, 23104,
     /*  360074 */     GIR_EraseRootFromParent_Done,
     /*  360075 */   // Label 6527: @360075
     /*  360075 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(360138), // Rule ID 23105 //
     /*  360080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360119 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  360122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360136 */     GIR_RootConstrainSelectedInstOperands,
     /*  360137 */     // GIR_Coverage, 23105,
     /*  360137 */     GIR_EraseRootFromParent_Done,
     /*  360138 */   // Label 6528: @360138
     /*  360138 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360201), // Rule ID 23106 //
     /*  360143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360182 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  360185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360199 */     GIR_RootConstrainSelectedInstOperands,
     /*  360200 */     // GIR_Coverage, 23106,
     /*  360200 */     GIR_EraseRootFromParent_Done,
     /*  360201 */   // Label 6529: @360201
     /*  360201 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360264), // Rule ID 23107 //
     /*  360206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  360248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360262 */     GIR_RootConstrainSelectedInstOperands,
     /*  360263 */     // GIR_Coverage, 23107,
     /*  360263 */     GIR_EraseRootFromParent_Done,
     /*  360264 */   // Label 6530: @360264
     /*  360264 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360327), // Rule ID 23108 //
     /*  360269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  360311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360325 */     GIR_RootConstrainSelectedInstOperands,
     /*  360326 */     // GIR_Coverage, 23108,
     /*  360326 */     GIR_EraseRootFromParent_Done,
     /*  360327 */   // Label 6531: @360327
     /*  360327 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360390), // Rule ID 23109 //
     /*  360332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  360374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360388 */     GIR_RootConstrainSelectedInstOperands,
     /*  360389 */     // GIR_Coverage, 23109,
     /*  360389 */     GIR_EraseRootFromParent_Done,
     /*  360390 */   // Label 6532: @360390
     /*  360390 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360453), // Rule ID 23110 //
     /*  360395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  360437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360451 */     GIR_RootConstrainSelectedInstOperands,
     /*  360452 */     // GIR_Coverage, 23110,
     /*  360452 */     GIR_EraseRootFromParent_Done,
     /*  360453 */   // Label 6533: @360453
     /*  360453 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360516), // Rule ID 23111 //
     /*  360458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  360500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360514 */     GIR_RootConstrainSelectedInstOperands,
     /*  360515 */     // GIR_Coverage, 23111,
     /*  360515 */     GIR_EraseRootFromParent_Done,
     /*  360516 */   // Label 6534: @360516
     /*  360516 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(360579), // Rule ID 23112 //
     /*  360521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360577 */     GIR_RootConstrainSelectedInstOperands,
     /*  360578 */     // GIR_Coverage, 23112,
     /*  360578 */     GIR_EraseRootFromParent_Done,
     /*  360579 */   // Label 6535: @360579
     /*  360579 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(360642), // Rule ID 23113 //
     /*  360584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360640 */     GIR_RootConstrainSelectedInstOperands,
     /*  360641 */     // GIR_Coverage, 23113,
     /*  360641 */     GIR_EraseRootFromParent_Done,
     /*  360642 */   // Label 6536: @360642
     /*  360642 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(360705), // Rule ID 23114 //
     /*  360647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360686 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360703 */     GIR_RootConstrainSelectedInstOperands,
     /*  360704 */     // GIR_Coverage, 23114,
     /*  360704 */     GIR_EraseRootFromParent_Done,
     /*  360705 */   // Label 6537: @360705
     /*  360705 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(360768), // Rule ID 23115 //
     /*  360710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360749 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360766 */     GIR_RootConstrainSelectedInstOperands,
     /*  360767 */     // GIR_Coverage, 23115,
     /*  360767 */     GIR_EraseRootFromParent_Done,
     /*  360768 */   // Label 6538: @360768
     /*  360768 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(360831), // Rule ID 23116 //
     /*  360773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360812 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360829 */     GIR_RootConstrainSelectedInstOperands,
     /*  360830 */     // GIR_Coverage, 23116,
     /*  360830 */     GIR_EraseRootFromParent_Done,
     /*  360831 */   // Label 6539: @360831
     /*  360831 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(360894), // Rule ID 23117 //
     /*  360836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360875 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360892 */     GIR_RootConstrainSelectedInstOperands,
     /*  360893 */     // GIR_Coverage, 23117,
     /*  360893 */     GIR_EraseRootFromParent_Done,
     /*  360894 */   // Label 6540: @360894
     /*  360894 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(360957), // Rule ID 23118 //
     /*  360899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360938 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  360941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360955 */     GIR_RootConstrainSelectedInstOperands,
     /*  360956 */     // GIR_Coverage, 23118,
     /*  360956 */     GIR_EraseRootFromParent_Done,
     /*  360957 */   // Label 6541: @360957
     /*  360957 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(361020), // Rule ID 23119 //
     /*  360962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361001 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  361004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361018 */     GIR_RootConstrainSelectedInstOperands,
     /*  361019 */     // GIR_Coverage, 23119,
     /*  361019 */     GIR_EraseRootFromParent_Done,
     /*  361020 */   // Label 6542: @361020
     /*  361020 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(361083), // Rule ID 23120 //
     /*  361025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  361067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361081 */     GIR_RootConstrainSelectedInstOperands,
     /*  361082 */     // GIR_Coverage, 23120,
     /*  361082 */     GIR_EraseRootFromParent_Done,
     /*  361083 */   // Label 6543: @361083
     /*  361083 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(361146), // Rule ID 23121 //
     /*  361088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361127 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  361130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361144 */     GIR_RootConstrainSelectedInstOperands,
     /*  361145 */     // GIR_Coverage, 23121,
     /*  361145 */     GIR_EraseRootFromParent_Done,
     /*  361146 */   // Label 6544: @361146
     /*  361146 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361209), // Rule ID 23122 //
     /*  361151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361190 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  361193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361207 */     GIR_RootConstrainSelectedInstOperands,
     /*  361208 */     // GIR_Coverage, 23122,
     /*  361208 */     GIR_EraseRootFromParent_Done,
     /*  361209 */   // Label 6545: @361209
     /*  361209 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361272), // Rule ID 23123 //
     /*  361214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361253 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  361256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361270 */     GIR_RootConstrainSelectedInstOperands,
     /*  361271 */     // GIR_Coverage, 23123,
     /*  361271 */     GIR_EraseRootFromParent_Done,
     /*  361272 */   // Label 6546: @361272
     /*  361272 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361335), // Rule ID 23124 //
     /*  361277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  361319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361333 */     GIR_RootConstrainSelectedInstOperands,
     /*  361334 */     // GIR_Coverage, 23124,
     /*  361334 */     GIR_EraseRootFromParent_Done,
     /*  361335 */   // Label 6547: @361335
     /*  361335 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361398), // Rule ID 23125 //
     /*  361340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361379 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  361382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361396 */     GIR_RootConstrainSelectedInstOperands,
     /*  361397 */     // GIR_Coverage, 23125,
     /*  361397 */     GIR_EraseRootFromParent_Done,
     /*  361398 */   // Label 6548: @361398
     /*  361398 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361461), // Rule ID 23126 //
     /*  361403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361442 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361459 */     GIR_RootConstrainSelectedInstOperands,
     /*  361460 */     // GIR_Coverage, 23126,
     /*  361460 */     GIR_EraseRootFromParent_Done,
     /*  361461 */   // Label 6549: @361461
     /*  361461 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361524), // Rule ID 23127 //
     /*  361466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361505 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361522 */     GIR_RootConstrainSelectedInstOperands,
     /*  361523 */     // GIR_Coverage, 23127,
     /*  361523 */     GIR_EraseRootFromParent_Done,
     /*  361524 */   // Label 6550: @361524
     /*  361524 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(361587), // Rule ID 23128 //
     /*  361529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361585 */     GIR_RootConstrainSelectedInstOperands,
     /*  361586 */     // GIR_Coverage, 23128,
     /*  361586 */     GIR_EraseRootFromParent_Done,
     /*  361587 */   // Label 6551: @361587
     /*  361587 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(361650), // Rule ID 23129 //
     /*  361592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361631 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361648 */     GIR_RootConstrainSelectedInstOperands,
     /*  361649 */     // GIR_Coverage, 23129,
     /*  361649 */     GIR_EraseRootFromParent_Done,
     /*  361650 */   // Label 6552: @361650
     /*  361650 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(361713), // Rule ID 23130 //
     /*  361655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361694 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361711 */     GIR_RootConstrainSelectedInstOperands,
     /*  361712 */     // GIR_Coverage, 23130,
     /*  361712 */     GIR_EraseRootFromParent_Done,
     /*  361713 */   // Label 6553: @361713
     /*  361713 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(361776), // Rule ID 23131 //
     /*  361718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361757 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361774 */     GIR_RootConstrainSelectedInstOperands,
     /*  361775 */     // GIR_Coverage, 23131,
     /*  361775 */     GIR_EraseRootFromParent_Done,
     /*  361776 */   // Label 6554: @361776
     /*  361776 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(361839), // Rule ID 23132 //
     /*  361781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361837 */     GIR_RootConstrainSelectedInstOperands,
     /*  361838 */     // GIR_Coverage, 23132,
     /*  361838 */     GIR_EraseRootFromParent_Done,
     /*  361839 */   // Label 6555: @361839
     /*  361839 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(361902), // Rule ID 23133 //
     /*  361844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361900 */     GIR_RootConstrainSelectedInstOperands,
     /*  361901 */     // GIR_Coverage, 23133,
     /*  361901 */     GIR_EraseRootFromParent_Done,
     /*  361902 */   // Label 6556: @361902
     /*  361902 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(361965), // Rule ID 23134 //
     /*  361907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361946 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  361949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361963 */     GIR_RootConstrainSelectedInstOperands,
     /*  361964 */     // GIR_Coverage, 23134,
     /*  361964 */     GIR_EraseRootFromParent_Done,
     /*  361965 */   // Label 6557: @361965
     /*  361965 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(362028), // Rule ID 23135 //
     /*  361970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362009 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  362012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362026 */     GIR_RootConstrainSelectedInstOperands,
     /*  362027 */     // GIR_Coverage, 23135,
     /*  362027 */     GIR_EraseRootFromParent_Done,
     /*  362028 */   // Label 6558: @362028
     /*  362028 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(362091), // Rule ID 23136 //
     /*  362033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  362075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362089 */     GIR_RootConstrainSelectedInstOperands,
     /*  362090 */     // GIR_Coverage, 23136,
     /*  362090 */     GIR_EraseRootFromParent_Done,
     /*  362091 */   // Label 6559: @362091
     /*  362091 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(362154), // Rule ID 23137 //
     /*  362096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362135 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  362138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362152 */     GIR_RootConstrainSelectedInstOperands,
     /*  362153 */     // GIR_Coverage, 23137,
     /*  362153 */     GIR_EraseRootFromParent_Done,
     /*  362154 */   // Label 6560: @362154
     /*  362154 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362217), // Rule ID 23138 //
     /*  362159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  362201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362215 */     GIR_RootConstrainSelectedInstOperands,
     /*  362216 */     // GIR_Coverage, 23138,
     /*  362216 */     GIR_EraseRootFromParent_Done,
     /*  362217 */   // Label 6561: @362217
     /*  362217 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362280), // Rule ID 23139 //
     /*  362222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  362264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362278 */     GIR_RootConstrainSelectedInstOperands,
     /*  362279 */     // GIR_Coverage, 23139,
     /*  362279 */     GIR_EraseRootFromParent_Done,
     /*  362280 */   // Label 6562: @362280
     /*  362280 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362343), // Rule ID 23140 //
     /*  362285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362324 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  362327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362341 */     GIR_RootConstrainSelectedInstOperands,
     /*  362342 */     // GIR_Coverage, 23140,
     /*  362342 */     GIR_EraseRootFromParent_Done,
     /*  362343 */   // Label 6563: @362343
     /*  362343 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362406), // Rule ID 23141 //
     /*  362348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362387 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  362390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362404 */     GIR_RootConstrainSelectedInstOperands,
     /*  362405 */     // GIR_Coverage, 23141,
     /*  362405 */     GIR_EraseRootFromParent_Done,
     /*  362406 */   // Label 6564: @362406
     /*  362406 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362469), // Rule ID 23142 //
     /*  362411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362450 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362467 */     GIR_RootConstrainSelectedInstOperands,
     /*  362468 */     // GIR_Coverage, 23142,
     /*  362468 */     GIR_EraseRootFromParent_Done,
     /*  362469 */   // Label 6565: @362469
     /*  362469 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362532), // Rule ID 23143 //
     /*  362474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362513 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362530 */     GIR_RootConstrainSelectedInstOperands,
     /*  362531 */     // GIR_Coverage, 23143,
     /*  362531 */     GIR_EraseRootFromParent_Done,
     /*  362532 */   // Label 6566: @362532
     /*  362532 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(362595), // Rule ID 23144 //
     /*  362537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362576 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362593 */     GIR_RootConstrainSelectedInstOperands,
     /*  362594 */     // GIR_Coverage, 23144,
     /*  362594 */     GIR_EraseRootFromParent_Done,
     /*  362595 */   // Label 6567: @362595
     /*  362595 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(362658), // Rule ID 23145 //
     /*  362600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362639 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362656 */     GIR_RootConstrainSelectedInstOperands,
     /*  362657 */     // GIR_Coverage, 23145,
     /*  362657 */     GIR_EraseRootFromParent_Done,
     /*  362658 */   // Label 6568: @362658
     /*  362658 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(362721), // Rule ID 23174 //
     /*  362663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362702 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362709 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362719 */     GIR_RootConstrainSelectedInstOperands,
     /*  362720 */     // GIR_Coverage, 23174,
     /*  362720 */     GIR_EraseRootFromParent_Done,
     /*  362721 */   // Label 6569: @362721
     /*  362721 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(362784), // Rule ID 23175 //
     /*  362726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362765 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362772 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362782 */     GIR_RootConstrainSelectedInstOperands,
     /*  362783 */     // GIR_Coverage, 23175,
     /*  362783 */     GIR_EraseRootFromParent_Done,
     /*  362784 */   // Label 6570: @362784
     /*  362784 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(362847), // Rule ID 23178 //
     /*  362789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362828 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362835 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362845 */     GIR_RootConstrainSelectedInstOperands,
     /*  362846 */     // GIR_Coverage, 23178,
     /*  362846 */     GIR_EraseRootFromParent_Done,
     /*  362847 */   // Label 6571: @362847
     /*  362847 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(362910), // Rule ID 23179 //
     /*  362852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362891 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362898 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362908 */     GIR_RootConstrainSelectedInstOperands,
     /*  362909 */     // GIR_Coverage, 23179,
     /*  362909 */     GIR_EraseRootFromParent_Done,
     /*  362910 */   // Label 6572: @362910
     /*  362910 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(362973), // Rule ID 23182 //
     /*  362915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362954 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  362957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362961 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362971 */     GIR_RootConstrainSelectedInstOperands,
     /*  362972 */     // GIR_Coverage, 23182,
     /*  362972 */     GIR_EraseRootFromParent_Done,
     /*  362973 */   // Label 6573: @362973
     /*  362973 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(363036), // Rule ID 23183 //
     /*  362978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363017 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  363020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363024 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363034 */     GIR_RootConstrainSelectedInstOperands,
     /*  363035 */     // GIR_Coverage, 23183,
     /*  363035 */     GIR_EraseRootFromParent_Done,
     /*  363036 */   // Label 6574: @363036
     /*  363036 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(363099), // Rule ID 23186 //
     /*  363041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363080 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  363083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363087 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363097 */     GIR_RootConstrainSelectedInstOperands,
     /*  363098 */     // GIR_Coverage, 23186,
     /*  363098 */     GIR_EraseRootFromParent_Done,
     /*  363099 */   // Label 6575: @363099
     /*  363099 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(363162), // Rule ID 23187 //
     /*  363104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363143 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  363146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363150 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363160 */     GIR_RootConstrainSelectedInstOperands,
     /*  363161 */     // GIR_Coverage, 23187,
     /*  363161 */     GIR_EraseRootFromParent_Done,
     /*  363162 */   // Label 6576: @363162
     /*  363162 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363225), // Rule ID 23190 //
     /*  363167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363206 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  363209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363213 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363223 */     GIR_RootConstrainSelectedInstOperands,
     /*  363224 */     // GIR_Coverage, 23190,
     /*  363224 */     GIR_EraseRootFromParent_Done,
     /*  363225 */   // Label 6577: @363225
     /*  363225 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363288), // Rule ID 23191 //
     /*  363230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363269 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  363272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363276 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363286 */     GIR_RootConstrainSelectedInstOperands,
     /*  363287 */     // GIR_Coverage, 23191,
     /*  363287 */     GIR_EraseRootFromParent_Done,
     /*  363288 */   // Label 6578: @363288
     /*  363288 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363351), // Rule ID 23194 //
     /*  363293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363332 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  363335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363339 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363349 */     GIR_RootConstrainSelectedInstOperands,
     /*  363350 */     // GIR_Coverage, 23194,
     /*  363350 */     GIR_EraseRootFromParent_Done,
     /*  363351 */   // Label 6579: @363351
     /*  363351 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363414), // Rule ID 23195 //
     /*  363356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363395 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  363398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363402 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363412 */     GIR_RootConstrainSelectedInstOperands,
     /*  363413 */     // GIR_Coverage, 23195,
     /*  363413 */     GIR_EraseRootFromParent_Done,
     /*  363414 */   // Label 6580: @363414
     /*  363414 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363477), // Rule ID 23198 //
     /*  363419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363458 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363465 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363475 */     GIR_RootConstrainSelectedInstOperands,
     /*  363476 */     // GIR_Coverage, 23198,
     /*  363476 */     GIR_EraseRootFromParent_Done,
     /*  363477 */   // Label 6581: @363477
     /*  363477 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363540), // Rule ID 23199 //
     /*  363482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363521 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363528 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363538 */     GIR_RootConstrainSelectedInstOperands,
     /*  363539 */     // GIR_Coverage, 23199,
     /*  363539 */     GIR_EraseRootFromParent_Done,
     /*  363540 */   // Label 6582: @363540
     /*  363540 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(363603), // Rule ID 23202 //
     /*  363545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363584 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363591 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363601 */     GIR_RootConstrainSelectedInstOperands,
     /*  363602 */     // GIR_Coverage, 23202,
     /*  363602 */     GIR_EraseRootFromParent_Done,
     /*  363603 */   // Label 6583: @363603
     /*  363603 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(363666), // Rule ID 23203 //
     /*  363608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363647 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363654 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363664 */     GIR_RootConstrainSelectedInstOperands,
     /*  363665 */     // GIR_Coverage, 23203,
     /*  363665 */     GIR_EraseRootFromParent_Done,
     /*  363666 */   // Label 6584: @363666
     /*  363666 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(363729), // Rule ID 23206 //
     /*  363671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363710 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363717 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363727 */     GIR_RootConstrainSelectedInstOperands,
     /*  363728 */     // GIR_Coverage, 23206,
     /*  363728 */     GIR_EraseRootFromParent_Done,
     /*  363729 */   // Label 6585: @363729
     /*  363729 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(363792), // Rule ID 23207 //
     /*  363734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363773 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363780 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363790 */     GIR_RootConstrainSelectedInstOperands,
     /*  363791 */     // GIR_Coverage, 23207,
     /*  363791 */     GIR_EraseRootFromParent_Done,
     /*  363792 */   // Label 6586: @363792
     /*  363792 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(363855), // Rule ID 23210 //
     /*  363797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363836 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363843 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363853 */     GIR_RootConstrainSelectedInstOperands,
     /*  363854 */     // GIR_Coverage, 23210,
     /*  363854 */     GIR_EraseRootFromParent_Done,
     /*  363855 */   // Label 6587: @363855
     /*  363855 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(363918), // Rule ID 23211 //
     /*  363860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363899 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363906 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363916 */     GIR_RootConstrainSelectedInstOperands,
     /*  363917 */     // GIR_Coverage, 23211,
     /*  363917 */     GIR_EraseRootFromParent_Done,
     /*  363918 */   // Label 6588: @363918
     /*  363918 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(363981), // Rule ID 23214 //
     /*  363923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363962 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  363965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363969 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363979 */     GIR_RootConstrainSelectedInstOperands,
     /*  363980 */     // GIR_Coverage, 23214,
     /*  363980 */     GIR_EraseRootFromParent_Done,
     /*  363981 */   // Label 6589: @363981
     /*  363981 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(364044), // Rule ID 23215 //
     /*  363986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364025 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  364028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364032 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364042 */     GIR_RootConstrainSelectedInstOperands,
     /*  364043 */     // GIR_Coverage, 23215,
     /*  364043 */     GIR_EraseRootFromParent_Done,
     /*  364044 */   // Label 6590: @364044
     /*  364044 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(364107), // Rule ID 23218 //
     /*  364049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364088 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  364091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364095 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364105 */     GIR_RootConstrainSelectedInstOperands,
     /*  364106 */     // GIR_Coverage, 23218,
     /*  364106 */     GIR_EraseRootFromParent_Done,
     /*  364107 */   // Label 6591: @364107
     /*  364107 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(364170), // Rule ID 23219 //
     /*  364112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364151 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  364154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364158 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364168 */     GIR_RootConstrainSelectedInstOperands,
     /*  364169 */     // GIR_Coverage, 23219,
     /*  364169 */     GIR_EraseRootFromParent_Done,
     /*  364170 */   // Label 6592: @364170
     /*  364170 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364233), // Rule ID 23222 //
     /*  364175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364214 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  364217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364221 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364231 */     GIR_RootConstrainSelectedInstOperands,
     /*  364232 */     // GIR_Coverage, 23222,
     /*  364232 */     GIR_EraseRootFromParent_Done,
     /*  364233 */   // Label 6593: @364233
     /*  364233 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364296), // Rule ID 23223 //
     /*  364238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364277 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  364280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364284 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364294 */     GIR_RootConstrainSelectedInstOperands,
     /*  364295 */     // GIR_Coverage, 23223,
     /*  364295 */     GIR_EraseRootFromParent_Done,
     /*  364296 */   // Label 6594: @364296
     /*  364296 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364362), // Rule ID 23304 //
     /*  364301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  364312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  364315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364360 */     GIR_RootConstrainSelectedInstOperands,
     /*  364361 */     // GIR_Coverage, 23304,
     /*  364361 */     GIR_EraseRootFromParent_Done,
     /*  364362 */   // Label 6595: @364362
     /*  364362 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364428), // Rule ID 23305 //
     /*  364367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  364378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  364381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364406 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364426 */     GIR_RootConstrainSelectedInstOperands,
     /*  364427 */     // GIR_Coverage, 23305,
     /*  364427 */     GIR_EraseRootFromParent_Done,
     /*  364428 */   // Label 6596: @364428
     /*  364428 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364494), // Rule ID 23308 //
     /*  364433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364492 */     GIR_RootConstrainSelectedInstOperands,
     /*  364493 */     // GIR_Coverage, 23308,
     /*  364493 */     GIR_EraseRootFromParent_Done,
     /*  364494 */   // Label 6597: @364494
     /*  364494 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364560), // Rule ID 23309 //
     /*  364499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364558 */     GIR_RootConstrainSelectedInstOperands,
     /*  364559 */     // GIR_Coverage, 23309,
     /*  364559 */     GIR_EraseRootFromParent_Done,
     /*  364560 */   // Label 6598: @364560
     /*  364560 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(364626), // Rule ID 23312 //
     /*  364565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364604 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364624 */     GIR_RootConstrainSelectedInstOperands,
     /*  364625 */     // GIR_Coverage, 23312,
     /*  364625 */     GIR_EraseRootFromParent_Done,
     /*  364626 */   // Label 6599: @364626
     /*  364626 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(364692), // Rule ID 23313 //
     /*  364631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364690 */     GIR_RootConstrainSelectedInstOperands,
     /*  364691 */     // GIR_Coverage, 23313,
     /*  364691 */     GIR_EraseRootFromParent_Done,
     /*  364692 */   // Label 6600: @364692
     /*  364692 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(364758), // Rule ID 23316 //
     /*  364697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364756 */     GIR_RootConstrainSelectedInstOperands,
     /*  364757 */     // GIR_Coverage, 23316,
     /*  364757 */     GIR_EraseRootFromParent_Done,
     /*  364758 */   // Label 6601: @364758
     /*  364758 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(364824), // Rule ID 23317 //
     /*  364763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364822 */     GIR_RootConstrainSelectedInstOperands,
     /*  364823 */     // GIR_Coverage, 23317,
     /*  364823 */     GIR_EraseRootFromParent_Done,
     /*  364824 */   // Label 6602: @364824
     /*  364824 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(364890), // Rule ID 23320 //
     /*  364829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364868 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364888 */     GIR_RootConstrainSelectedInstOperands,
     /*  364889 */     // GIR_Coverage, 23320,
     /*  364889 */     GIR_EraseRootFromParent_Done,
     /*  364890 */   // Label 6603: @364890
     /*  364890 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(364956), // Rule ID 23321 //
     /*  364895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364954 */     GIR_RootConstrainSelectedInstOperands,
     /*  364955 */     // GIR_Coverage, 23321,
     /*  364955 */     GIR_EraseRootFromParent_Done,
     /*  364956 */   // Label 6604: @364956
     /*  364956 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(365022), // Rule ID 23324 //
     /*  364961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365020 */     GIR_RootConstrainSelectedInstOperands,
     /*  365021 */     // GIR_Coverage, 23324,
     /*  365021 */     GIR_EraseRootFromParent_Done,
     /*  365022 */   // Label 6605: @365022
     /*  365022 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(365088), // Rule ID 23325 //
     /*  365027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  365038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  365041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365086 */     GIR_RootConstrainSelectedInstOperands,
     /*  365087 */     // GIR_Coverage, 23325,
     /*  365087 */     GIR_EraseRootFromParent_Done,
     /*  365088 */   // Label 6606: @365088
     /*  365088 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(365154), // Rule ID 23328 //
     /*  365093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  365104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  365107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365152 */     GIR_RootConstrainSelectedInstOperands,
     /*  365153 */     // GIR_Coverage, 23328,
     /*  365153 */     GIR_EraseRootFromParent_Done,
     /*  365154 */   // Label 6607: @365154
     /*  365154 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365220), // Rule ID 23329 //
     /*  365159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  365170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  365173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365218 */     GIR_RootConstrainSelectedInstOperands,
     /*  365219 */     // GIR_Coverage, 23329,
     /*  365219 */     GIR_EraseRootFromParent_Done,
     /*  365220 */   // Label 6608: @365220
     /*  365220 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365286), // Rule ID 23332 //
     /*  365225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  365236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  365239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365284 */     GIR_RootConstrainSelectedInstOperands,
     /*  365285 */     // GIR_Coverage, 23332,
     /*  365285 */     GIR_EraseRootFromParent_Done,
     /*  365286 */   // Label 6609: @365286
     /*  365286 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365352), // Rule ID 23333 //
     /*  365291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  365302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  365305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365350 */     GIR_RootConstrainSelectedInstOperands,
     /*  365351 */     // GIR_Coverage, 23333,
     /*  365351 */     GIR_EraseRootFromParent_Done,
     /*  365352 */   // Label 6610: @365352
     /*  365352 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365418), // Rule ID 23336 //
     /*  365357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  365368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  365371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365416 */     GIR_RootConstrainSelectedInstOperands,
     /*  365417 */     // GIR_Coverage, 23336,
     /*  365417 */     GIR_EraseRootFromParent_Done,
     /*  365418 */   // Label 6611: @365418
     /*  365418 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365484), // Rule ID 23337 //
     /*  365423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  365434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  365437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365482 */     GIR_RootConstrainSelectedInstOperands,
     /*  365483 */     // GIR_Coverage, 23337,
     /*  365483 */     GIR_EraseRootFromParent_Done,
     /*  365484 */   // Label 6612: @365484
     /*  365484 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365550), // Rule ID 23340 //
     /*  365489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365548 */     GIR_RootConstrainSelectedInstOperands,
     /*  365549 */     // GIR_Coverage, 23340,
     /*  365549 */     GIR_EraseRootFromParent_Done,
     /*  365550 */   // Label 6613: @365550
     /*  365550 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365616), // Rule ID 23341 //
     /*  365555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365614 */     GIR_RootConstrainSelectedInstOperands,
     /*  365615 */     // GIR_Coverage, 23341,
     /*  365615 */     GIR_EraseRootFromParent_Done,
     /*  365616 */   // Label 6614: @365616
     /*  365616 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(365682), // Rule ID 23344 //
     /*  365621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365660 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365680 */     GIR_RootConstrainSelectedInstOperands,
     /*  365681 */     // GIR_Coverage, 23344,
     /*  365681 */     GIR_EraseRootFromParent_Done,
     /*  365682 */   // Label 6615: @365682
     /*  365682 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(365748), // Rule ID 23345 //
     /*  365687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365746 */     GIR_RootConstrainSelectedInstOperands,
     /*  365747 */     // GIR_Coverage, 23345,
     /*  365747 */     GIR_EraseRootFromParent_Done,
     /*  365748 */   // Label 6616: @365748
     /*  365748 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(365814), // Rule ID 23348 //
     /*  365753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365812 */     GIR_RootConstrainSelectedInstOperands,
     /*  365813 */     // GIR_Coverage, 23348,
     /*  365813 */     GIR_EraseRootFromParent_Done,
     /*  365814 */   // Label 6617: @365814
     /*  365814 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(365880), // Rule ID 23349 //
     /*  365819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365858 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365878 */     GIR_RootConstrainSelectedInstOperands,
     /*  365879 */     // GIR_Coverage, 23349,
     /*  365879 */     GIR_EraseRootFromParent_Done,
     /*  365880 */   // Label 6618: @365880
     /*  365880 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(365946), // Rule ID 23352 //
     /*  365885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365944 */     GIR_RootConstrainSelectedInstOperands,
     /*  365945 */     // GIR_Coverage, 23352,
     /*  365945 */     GIR_EraseRootFromParent_Done,
     /*  365946 */   // Label 6619: @365946
     /*  365946 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(366012), // Rule ID 23353 //
     /*  365951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366010 */     GIR_RootConstrainSelectedInstOperands,
     /*  366011 */     // GIR_Coverage, 23353,
     /*  366011 */     GIR_EraseRootFromParent_Done,
     /*  366012 */   // Label 6620: @366012
     /*  366012 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(366078), // Rule ID 23356 //
     /*  366017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  366028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  366031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366076 */     GIR_RootConstrainSelectedInstOperands,
     /*  366077 */     // GIR_Coverage, 23356,
     /*  366077 */     GIR_EraseRootFromParent_Done,
     /*  366078 */   // Label 6621: @366078
     /*  366078 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(366144), // Rule ID 23357 //
     /*  366083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  366094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  366097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366142 */     GIR_RootConstrainSelectedInstOperands,
     /*  366143 */     // GIR_Coverage, 23357,
     /*  366143 */     GIR_EraseRootFromParent_Done,
     /*  366144 */   // Label 6622: @366144
     /*  366144 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366210), // Rule ID 23360 //
     /*  366149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366208 */     GIR_RootConstrainSelectedInstOperands,
     /*  366209 */     // GIR_Coverage, 23360,
     /*  366209 */     GIR_EraseRootFromParent_Done,
     /*  366210 */   // Label 6623: @366210
     /*  366210 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366276), // Rule ID 23361 //
     /*  366215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366274 */     GIR_RootConstrainSelectedInstOperands,
     /*  366275 */     // GIR_Coverage, 23361,
     /*  366275 */     GIR_EraseRootFromParent_Done,
     /*  366276 */   // Label 6624: @366276
     /*  366276 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366342), // Rule ID 23364 //
     /*  366281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  366292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  366295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366340 */     GIR_RootConstrainSelectedInstOperands,
     /*  366341 */     // GIR_Coverage, 23364,
     /*  366341 */     GIR_EraseRootFromParent_Done,
     /*  366342 */   // Label 6625: @366342
     /*  366342 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366408), // Rule ID 23365 //
     /*  366347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  366358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  366361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366406 */     GIR_RootConstrainSelectedInstOperands,
     /*  366407 */     // GIR_Coverage, 23365,
     /*  366407 */     GIR_EraseRootFromParent_Done,
     /*  366408 */   // Label 6626: @366408
     /*  366408 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366474), // Rule ID 23368 //
     /*  366413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366472 */     GIR_RootConstrainSelectedInstOperands,
     /*  366473 */     // GIR_Coverage, 23368,
     /*  366473 */     GIR_EraseRootFromParent_Done,
     /*  366474 */   // Label 6627: @366474
     /*  366474 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366540), // Rule ID 23369 //
     /*  366479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366538 */     GIR_RootConstrainSelectedInstOperands,
     /*  366539 */     // GIR_Coverage, 23369,
     /*  366539 */     GIR_EraseRootFromParent_Done,
     /*  366540 */   // Label 6628: @366540
     /*  366540 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366606), // Rule ID 23372 //
     /*  366545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366604 */     GIR_RootConstrainSelectedInstOperands,
     /*  366605 */     // GIR_Coverage, 23372,
     /*  366605 */     GIR_EraseRootFromParent_Done,
     /*  366606 */   // Label 6629: @366606
     /*  366606 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(366672), // Rule ID 23373 //
     /*  366611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366670 */     GIR_RootConstrainSelectedInstOperands,
     /*  366671 */     // GIR_Coverage, 23373,
     /*  366671 */     GIR_EraseRootFromParent_Done,
     /*  366672 */   // Label 6630: @366672
     /*  366672 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(366738), // Rule ID 23376 //
     /*  366677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366736 */     GIR_RootConstrainSelectedInstOperands,
     /*  366737 */     // GIR_Coverage, 23376,
     /*  366737 */     GIR_EraseRootFromParent_Done,
     /*  366738 */   // Label 6631: @366738
     /*  366738 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(366804), // Rule ID 23377 //
     /*  366743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366802 */     GIR_RootConstrainSelectedInstOperands,
     /*  366803 */     // GIR_Coverage, 23377,
     /*  366803 */     GIR_EraseRootFromParent_Done,
     /*  366804 */   // Label 6632: @366804
     /*  366804 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(366870), // Rule ID 23380 //
     /*  366809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366868 */     GIR_RootConstrainSelectedInstOperands,
     /*  366869 */     // GIR_Coverage, 23380,
     /*  366869 */     GIR_EraseRootFromParent_Done,
     /*  366870 */   // Label 6633: @366870
     /*  366870 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(366936), // Rule ID 23381 //
     /*  366875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366934 */     GIR_RootConstrainSelectedInstOperands,
     /*  366935 */     // GIR_Coverage, 23381,
     /*  366935 */     GIR_EraseRootFromParent_Done,
     /*  366936 */   // Label 6634: @366936
     /*  366936 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(367002), // Rule ID 23384 //
     /*  366941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367000 */     GIR_RootConstrainSelectedInstOperands,
     /*  367001 */     // GIR_Coverage, 23384,
     /*  367001 */     GIR_EraseRootFromParent_Done,
     /*  367002 */   // Label 6635: @367002
     /*  367002 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(367068), // Rule ID 23385 //
     /*  367007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  367010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  367018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  367021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  367049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367066 */     GIR_RootConstrainSelectedInstOperands,
     /*  367067 */     // GIR_Coverage, 23385,
     /*  367067 */     GIR_EraseRootFromParent_Done,
     /*  367068 */   // Label 6636: @367068
     /*  367068 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(367134), // Rule ID 60492 //
     /*  367073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  367090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  367115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367132 */     GIR_RootConstrainSelectedInstOperands,
     /*  367133 */     // GIR_Coverage, 60492,
     /*  367133 */     GIR_EraseRootFromParent_Done,
     /*  367134 */   // Label 6637: @367134
     /*  367134 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367200), // Rule ID 60493 //
     /*  367139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  367156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367178 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  367181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367198 */     GIR_RootConstrainSelectedInstOperands,
     /*  367199 */     // GIR_Coverage, 60493,
     /*  367199 */     GIR_EraseRootFromParent_Done,
     /*  367200 */   // Label 6638: @367200
     /*  367200 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367266), // Rule ID 60496 //
     /*  367205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  367222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367264 */     GIR_RootConstrainSelectedInstOperands,
     /*  367265 */     // GIR_Coverage, 60496,
     /*  367265 */     GIR_EraseRootFromParent_Done,
     /*  367266 */   // Label 6639: @367266
     /*  367266 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367332), // Rule ID 60497 //
     /*  367271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  367288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367330 */     GIR_RootConstrainSelectedInstOperands,
     /*  367331 */     // GIR_Coverage, 60497,
     /*  367331 */     GIR_EraseRootFromParent_Done,
     /*  367332 */   // Label 6640: @367332
     /*  367332 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367398), // Rule ID 60500 //
     /*  367337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  367348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  367351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  367354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367396 */     GIR_RootConstrainSelectedInstOperands,
     /*  367397 */     // GIR_Coverage, 60500,
     /*  367397 */     GIR_EraseRootFromParent_Done,
     /*  367398 */   // Label 6641: @367398
     /*  367398 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367464), // Rule ID 60501 //
     /*  367403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  367414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  367417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  367420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367462 */     GIR_RootConstrainSelectedInstOperands,
     /*  367463 */     // GIR_Coverage, 60501,
     /*  367463 */     GIR_EraseRootFromParent_Done,
     /*  367464 */   // Label 6642: @367464
     /*  367464 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367530), // Rule ID 60504 //
     /*  367469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367528 */     GIR_RootConstrainSelectedInstOperands,
     /*  367529 */     // GIR_Coverage, 60504,
     /*  367529 */     GIR_EraseRootFromParent_Done,
     /*  367530 */   // Label 6643: @367530
     /*  367530 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367596), // Rule ID 60505 //
     /*  367535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367594 */     GIR_RootConstrainSelectedInstOperands,
     /*  367595 */     // GIR_Coverage, 60505,
     /*  367595 */     GIR_EraseRootFromParent_Done,
     /*  367596 */   // Label 6644: @367596
     /*  367596 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367662), // Rule ID 60508 //
     /*  367601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367660 */     GIR_RootConstrainSelectedInstOperands,
     /*  367661 */     // GIR_Coverage, 60508,
     /*  367661 */     GIR_EraseRootFromParent_Done,
     /*  367662 */   // Label 6645: @367662
     /*  367662 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(367728), // Rule ID 60509 //
     /*  367667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367726 */     GIR_RootConstrainSelectedInstOperands,
     /*  367727 */     // GIR_Coverage, 60509,
     /*  367727 */     GIR_EraseRootFromParent_Done,
     /*  367728 */   // Label 6646: @367728
     /*  367728 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(367794), // Rule ID 60512 //
     /*  367733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367792 */     GIR_RootConstrainSelectedInstOperands,
     /*  367793 */     // GIR_Coverage, 60512,
     /*  367793 */     GIR_EraseRootFromParent_Done,
     /*  367794 */   // Label 6647: @367794
     /*  367794 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(367860), // Rule ID 60513 //
     /*  367799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367858 */     GIR_RootConstrainSelectedInstOperands,
     /*  367859 */     // GIR_Coverage, 60513,
     /*  367859 */     GIR_EraseRootFromParent_Done,
     /*  367860 */   // Label 6648: @367860
     /*  367860 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(367926), // Rule ID 60516 //
     /*  367865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367924 */     GIR_RootConstrainSelectedInstOperands,
     /*  367925 */     // GIR_Coverage, 60516,
     /*  367925 */     GIR_EraseRootFromParent_Done,
     /*  367926 */   // Label 6649: @367926
     /*  367926 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(367992), // Rule ID 60517 //
     /*  367931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367970 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367990 */     GIR_RootConstrainSelectedInstOperands,
     /*  367991 */     // GIR_Coverage, 60517,
     /*  367991 */     GIR_EraseRootFromParent_Done,
     /*  367992 */   // Label 6650: @367992
     /*  367992 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(368058), // Rule ID 60520 //
     /*  367997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  368014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368056 */     GIR_RootConstrainSelectedInstOperands,
     /*  368057 */     // GIR_Coverage, 60520,
     /*  368057 */     GIR_EraseRootFromParent_Done,
     /*  368058 */   // Label 6651: @368058
     /*  368058 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(368124), // Rule ID 60521 //
     /*  368063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  368080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368122 */     GIR_RootConstrainSelectedInstOperands,
     /*  368123 */     // GIR_Coverage, 60521,
     /*  368123 */     GIR_EraseRootFromParent_Done,
     /*  368124 */   // Label 6652: @368124
     /*  368124 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368190), // Rule ID 60524 //
     /*  368129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368188 */     GIR_RootConstrainSelectedInstOperands,
     /*  368189 */     // GIR_Coverage, 60524,
     /*  368189 */     GIR_EraseRootFromParent_Done,
     /*  368190 */   // Label 6653: @368190
     /*  368190 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368256), // Rule ID 60525 //
     /*  368195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368254 */     GIR_RootConstrainSelectedInstOperands,
     /*  368255 */     // GIR_Coverage, 60525,
     /*  368255 */     GIR_EraseRootFromParent_Done,
     /*  368256 */   // Label 6654: @368256
     /*  368256 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368322), // Rule ID 60528 //
     /*  368261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  368272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  368275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  368278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  368300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368320 */     GIR_RootConstrainSelectedInstOperands,
     /*  368321 */     // GIR_Coverage, 60528,
     /*  368321 */     GIR_EraseRootFromParent_Done,
     /*  368322 */   // Label 6655: @368322
     /*  368322 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368388), // Rule ID 60529 //
     /*  368327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  368338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  368341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  368344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  368366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368386 */     GIR_RootConstrainSelectedInstOperands,
     /*  368387 */     // GIR_Coverage, 60529,
     /*  368387 */     GIR_EraseRootFromParent_Done,
     /*  368388 */   // Label 6656: @368388
     /*  368388 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368454), // Rule ID 60532 //
     /*  368393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  368410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368432 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368452 */     GIR_RootConstrainSelectedInstOperands,
     /*  368453 */     // GIR_Coverage, 60532,
     /*  368453 */     GIR_EraseRootFromParent_Done,
     /*  368454 */   // Label 6657: @368454
     /*  368454 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368520), // Rule ID 60533 //
     /*  368459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  368476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368518 */     GIR_RootConstrainSelectedInstOperands,
     /*  368519 */     // GIR_Coverage, 60533,
     /*  368519 */     GIR_EraseRootFromParent_Done,
     /*  368520 */   // Label 6658: @368520
     /*  368520 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368586), // Rule ID 60536 //
     /*  368525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368584 */     GIR_RootConstrainSelectedInstOperands,
     /*  368585 */     // GIR_Coverage, 60536,
     /*  368585 */     GIR_EraseRootFromParent_Done,
     /*  368586 */   // Label 6659: @368586
     /*  368586 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368652), // Rule ID 60537 //
     /*  368591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368650 */     GIR_RootConstrainSelectedInstOperands,
     /*  368651 */     // GIR_Coverage, 60537,
     /*  368651 */     GIR_EraseRootFromParent_Done,
     /*  368652 */   // Label 6660: @368652
     /*  368652 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368718), // Rule ID 60540 //
     /*  368657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368716 */     GIR_RootConstrainSelectedInstOperands,
     /*  368717 */     // GIR_Coverage, 60540,
     /*  368717 */     GIR_EraseRootFromParent_Done,
     /*  368718 */   // Label 6661: @368718
     /*  368718 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(368784), // Rule ID 60541 //
     /*  368723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368762 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368782 */     GIR_RootConstrainSelectedInstOperands,
     /*  368783 */     // GIR_Coverage, 60541,
     /*  368783 */     GIR_EraseRootFromParent_Done,
     /*  368784 */   // Label 6662: @368784
     /*  368784 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(368850), // Rule ID 60544 //
     /*  368789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368848 */     GIR_RootConstrainSelectedInstOperands,
     /*  368849 */     // GIR_Coverage, 60544,
     /*  368849 */     GIR_EraseRootFromParent_Done,
     /*  368850 */   // Label 6663: @368850
     /*  368850 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(368916), // Rule ID 60545 //
     /*  368855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368914 */     GIR_RootConstrainSelectedInstOperands,
     /*  368915 */     // GIR_Coverage, 60545,
     /*  368915 */     GIR_EraseRootFromParent_Done,
     /*  368916 */   // Label 6664: @368916
     /*  368916 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(368982), // Rule ID 60548 //
     /*  368921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368980 */     GIR_RootConstrainSelectedInstOperands,
     /*  368981 */     // GIR_Coverage, 60548,
     /*  368981 */     GIR_EraseRootFromParent_Done,
     /*  368982 */   // Label 6665: @368982
     /*  368982 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(369048), // Rule ID 60549 //
     /*  368987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  369001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  369004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369046 */     GIR_RootConstrainSelectedInstOperands,
     /*  369047 */     // GIR_Coverage, 60549,
     /*  369047 */     GIR_EraseRootFromParent_Done,
     /*  369048 */   // Label 6666: @369048
     /*  369048 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(369114), // Rule ID 60552 //
     /*  369053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  369064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  369067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369092 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369112 */     GIR_RootConstrainSelectedInstOperands,
     /*  369113 */     // GIR_Coverage, 60552,
     /*  369113 */     GIR_EraseRootFromParent_Done,
     /*  369114 */   // Label 6667: @369114
     /*  369114 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369180), // Rule ID 60553 //
     /*  369119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  369130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  369133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369178 */     GIR_RootConstrainSelectedInstOperands,
     /*  369179 */     // GIR_Coverage, 60553,
     /*  369179 */     GIR_EraseRootFromParent_Done,
     /*  369180 */   // Label 6668: @369180
     /*  369180 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369246), // Rule ID 60556 //
     /*  369185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  369202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369244 */     GIR_RootConstrainSelectedInstOperands,
     /*  369245 */     // GIR_Coverage, 60556,
     /*  369245 */     GIR_EraseRootFromParent_Done,
     /*  369246 */   // Label 6669: @369246
     /*  369246 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369312), // Rule ID 60557 //
     /*  369251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  369268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369310 */     GIR_RootConstrainSelectedInstOperands,
     /*  369311 */     // GIR_Coverage, 60557,
     /*  369311 */     GIR_EraseRootFromParent_Done,
     /*  369312 */   // Label 6670: @369312
     /*  369312 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369378), // Rule ID 60560 //
     /*  369317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  369334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369376 */     GIR_RootConstrainSelectedInstOperands,
     /*  369377 */     // GIR_Coverage, 60560,
     /*  369377 */     GIR_EraseRootFromParent_Done,
     /*  369378 */   // Label 6671: @369378
     /*  369378 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369444), // Rule ID 60561 //
     /*  369383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  369400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369442 */     GIR_RootConstrainSelectedInstOperands,
     /*  369443 */     // GIR_Coverage, 60561,
     /*  369443 */     GIR_EraseRootFromParent_Done,
     /*  369444 */   // Label 6672: @369444
     /*  369444 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369510), // Rule ID 60564 //
     /*  369449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369508 */     GIR_RootConstrainSelectedInstOperands,
     /*  369509 */     // GIR_Coverage, 60564,
     /*  369509 */     GIR_EraseRootFromParent_Done,
     /*  369510 */   // Label 6673: @369510
     /*  369510 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369576), // Rule ID 60565 //
     /*  369515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369554 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369574 */     GIR_RootConstrainSelectedInstOperands,
     /*  369575 */     // GIR_Coverage, 60565,
     /*  369575 */     GIR_EraseRootFromParent_Done,
     /*  369576 */   // Label 6674: @369576
     /*  369576 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369642), // Rule ID 60568 //
     /*  369581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369640 */     GIR_RootConstrainSelectedInstOperands,
     /*  369641 */     // GIR_Coverage, 60568,
     /*  369641 */     GIR_EraseRootFromParent_Done,
     /*  369642 */   // Label 6675: @369642
     /*  369642 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369708), // Rule ID 60569 //
     /*  369647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369706 */     GIR_RootConstrainSelectedInstOperands,
     /*  369707 */     // GIR_Coverage, 60569,
     /*  369707 */     GIR_EraseRootFromParent_Done,
     /*  369708 */   // Label 6676: @369708
     /*  369708 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(369774), // Rule ID 60572 //
     /*  369713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369772 */     GIR_RootConstrainSelectedInstOperands,
     /*  369773 */     // GIR_Coverage, 60572,
     /*  369773 */     GIR_EraseRootFromParent_Done,
     /*  369774 */   // Label 6677: @369774
     /*  369774 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(369840), // Rule ID 60573 //
     /*  369779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369838 */     GIR_RootConstrainSelectedInstOperands,
     /*  369839 */     // GIR_Coverage, 60573,
     /*  369839 */     GIR_EraseRootFromParent_Done,
     /*  369840 */   // Label 6678: @369840
     /*  369840 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(369906), // Rule ID 60576 //
     /*  369845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369904 */     GIR_RootConstrainSelectedInstOperands,
     /*  369905 */     // GIR_Coverage, 60576,
     /*  369905 */     GIR_EraseRootFromParent_Done,
     /*  369906 */   // Label 6679: @369906
     /*  369906 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(369972), // Rule ID 60577 //
     /*  369911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369970 */     GIR_RootConstrainSelectedInstOperands,
     /*  369971 */     // GIR_Coverage, 60577,
     /*  369971 */     GIR_EraseRootFromParent_Done,
     /*  369972 */   // Label 6680: @369972
     /*  369972 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(370038), // Rule ID 60580 //
     /*  369977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  370019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370036 */     GIR_RootConstrainSelectedInstOperands,
     /*  370037 */     // GIR_Coverage, 60580,
     /*  370037 */     GIR_EraseRootFromParent_Done,
     /*  370038 */   // Label 6681: @370038
     /*  370038 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(370104), // Rule ID 60581 //
     /*  370043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  370054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  370057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  370060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  370085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370102 */     GIR_RootConstrainSelectedInstOperands,
     /*  370103 */     // GIR_Coverage, 60581,
     /*  370103 */     GIR_EraseRootFromParent_Done,
     /*  370104 */   // Label 6682: @370104
     /*  370104 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(370170), // Rule ID 60584 //
     /*  370109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  370126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370168 */     GIR_RootConstrainSelectedInstOperands,
     /*  370169 */     // GIR_Coverage, 60584,
     /*  370169 */     GIR_EraseRootFromParent_Done,
     /*  370170 */   // Label 6683: @370170
     /*  370170 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370236), // Rule ID 60585 //
     /*  370175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  370192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370234 */     GIR_RootConstrainSelectedInstOperands,
     /*  370235 */     // GIR_Coverage, 60585,
     /*  370235 */     GIR_EraseRootFromParent_Done,
     /*  370236 */   // Label 6684: @370236
     /*  370236 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370302), // Rule ID 60588 //
     /*  370241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  370258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370280 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370300 */     GIR_RootConstrainSelectedInstOperands,
     /*  370301 */     // GIR_Coverage, 60588,
     /*  370301 */     GIR_EraseRootFromParent_Done,
     /*  370302 */   // Label 6685: @370302
     /*  370302 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370368), // Rule ID 60589 //
     /*  370307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  370324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370366 */     GIR_RootConstrainSelectedInstOperands,
     /*  370367 */     // GIR_Coverage, 60589,
     /*  370367 */     GIR_EraseRootFromParent_Done,
     /*  370368 */   // Label 6686: @370368
     /*  370368 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370434), // Rule ID 60592 //
     /*  370373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  370384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370412 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370432 */     GIR_RootConstrainSelectedInstOperands,
     /*  370433 */     // GIR_Coverage, 60592,
     /*  370433 */     GIR_EraseRootFromParent_Done,
     /*  370434 */   // Label 6687: @370434
     /*  370434 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370500), // Rule ID 60593 //
     /*  370439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  370450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370498 */     GIR_RootConstrainSelectedInstOperands,
     /*  370499 */     // GIR_Coverage, 60593,
     /*  370499 */     GIR_EraseRootFromParent_Done,
     /*  370500 */   // Label 6688: @370500
     /*  370500 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370566), // Rule ID 60596 //
     /*  370505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370564 */     GIR_RootConstrainSelectedInstOperands,
     /*  370565 */     // GIR_Coverage, 60596,
     /*  370565 */     GIR_EraseRootFromParent_Done,
     /*  370566 */   // Label 6689: @370566
     /*  370566 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370632), // Rule ID 60597 //
     /*  370571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370610 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370630 */     GIR_RootConstrainSelectedInstOperands,
     /*  370631 */     // GIR_Coverage, 60597,
     /*  370631 */     GIR_EraseRootFromParent_Done,
     /*  370632 */   // Label 6690: @370632
     /*  370632 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370698), // Rule ID 60600 //
     /*  370637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370696 */     GIR_RootConstrainSelectedInstOperands,
     /*  370697 */     // GIR_Coverage, 60600,
     /*  370697 */     GIR_EraseRootFromParent_Done,
     /*  370698 */   // Label 6691: @370698
     /*  370698 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(370764), // Rule ID 60601 //
     /*  370703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370762 */     GIR_RootConstrainSelectedInstOperands,
     /*  370763 */     // GIR_Coverage, 60601,
     /*  370763 */     GIR_EraseRootFromParent_Done,
     /*  370764 */   // Label 6692: @370764
     /*  370764 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(370830), // Rule ID 60604 //
     /*  370769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370828 */     GIR_RootConstrainSelectedInstOperands,
     /*  370829 */     // GIR_Coverage, 60604,
     /*  370829 */     GIR_EraseRootFromParent_Done,
     /*  370830 */   // Label 6693: @370830
     /*  370830 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(370896), // Rule ID 60605 //
     /*  370835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370874 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370894 */     GIR_RootConstrainSelectedInstOperands,
     /*  370895 */     // GIR_Coverage, 60605,
     /*  370895 */     GIR_EraseRootFromParent_Done,
     /*  370896 */   // Label 6694: @370896
     /*  370896 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(370962), // Rule ID 60608 //
     /*  370901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370960 */     GIR_RootConstrainSelectedInstOperands,
     /*  370961 */     // GIR_Coverage, 60608,
     /*  370961 */     GIR_EraseRootFromParent_Done,
     /*  370962 */   // Label 6695: @370962
     /*  370962 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(371028), // Rule ID 60609 //
     /*  370967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371026 */     GIR_RootConstrainSelectedInstOperands,
     /*  371027 */     // GIR_Coverage, 60609,
     /*  371027 */     GIR_EraseRootFromParent_Done,
     /*  371028 */   // Label 6696: @371028
     /*  371028 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(371094), // Rule ID 60612 //
     /*  371033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  371044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  371047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371092 */     GIR_RootConstrainSelectedInstOperands,
     /*  371093 */     // GIR_Coverage, 60612,
     /*  371093 */     GIR_EraseRootFromParent_Done,
     /*  371094 */   // Label 6697: @371094
     /*  371094 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(371160), // Rule ID 60613 //
     /*  371099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  371110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  371113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371158 */     GIR_RootConstrainSelectedInstOperands,
     /*  371159 */     // GIR_Coverage, 60613,
     /*  371159 */     GIR_EraseRootFromParent_Done,
     /*  371160 */   // Label 6698: @371160
     /*  371160 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371226), // Rule ID 60616 //
     /*  371165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  371176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  371179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371224 */     GIR_RootConstrainSelectedInstOperands,
     /*  371225 */     // GIR_Coverage, 60616,
     /*  371225 */     GIR_EraseRootFromParent_Done,
     /*  371226 */   // Label 6699: @371226
     /*  371226 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371292), // Rule ID 60617 //
     /*  371231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  371242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  371245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371270 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371290 */     GIR_RootConstrainSelectedInstOperands,
     /*  371291 */     // GIR_Coverage, 60617,
     /*  371291 */     GIR_EraseRootFromParent_Done,
     /*  371292 */   // Label 6700: @371292
     /*  371292 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371358), // Rule ID 60620 //
     /*  371297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  371308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  371311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  371314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371356 */     GIR_RootConstrainSelectedInstOperands,
     /*  371357 */     // GIR_Coverage, 60620,
     /*  371357 */     GIR_EraseRootFromParent_Done,
     /*  371358 */   // Label 6701: @371358
     /*  371358 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371424), // Rule ID 60621 //
     /*  371363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  371374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  371377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  371380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371422 */     GIR_RootConstrainSelectedInstOperands,
     /*  371423 */     // GIR_Coverage, 60621,
     /*  371423 */     GIR_EraseRootFromParent_Done,
     /*  371424 */   // Label 6702: @371424
     /*  371424 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371490), // Rule ID 60624 //
     /*  371429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371468 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371488 */     GIR_RootConstrainSelectedInstOperands,
     /*  371489 */     // GIR_Coverage, 60624,
     /*  371489 */     GIR_EraseRootFromParent_Done,
     /*  371490 */   // Label 6703: @371490
     /*  371490 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371556), // Rule ID 60625 //
     /*  371495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371534 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371554 */     GIR_RootConstrainSelectedInstOperands,
     /*  371555 */     // GIR_Coverage, 60625,
     /*  371555 */     GIR_EraseRootFromParent_Done,
     /*  371556 */   // Label 6704: @371556
     /*  371556 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371622), // Rule ID 60628 //
     /*  371561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371600 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371620 */     GIR_RootConstrainSelectedInstOperands,
     /*  371621 */     // GIR_Coverage, 60628,
     /*  371621 */     GIR_EraseRootFromParent_Done,
     /*  371622 */   // Label 6705: @371622
     /*  371622 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371688), // Rule ID 60629 //
     /*  371627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371686 */     GIR_RootConstrainSelectedInstOperands,
     /*  371687 */     // GIR_Coverage, 60629,
     /*  371687 */     GIR_EraseRootFromParent_Done,
     /*  371688 */   // Label 6706: @371688
     /*  371688 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(371754), // Rule ID 60632 //
     /*  371693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371752 */     GIR_RootConstrainSelectedInstOperands,
     /*  371753 */     // GIR_Coverage, 60632,
     /*  371753 */     GIR_EraseRootFromParent_Done,
     /*  371754 */   // Label 6707: @371754
     /*  371754 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(371820), // Rule ID 60633 //
     /*  371759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371818 */     GIR_RootConstrainSelectedInstOperands,
     /*  371819 */     // GIR_Coverage, 60633,
     /*  371819 */     GIR_EraseRootFromParent_Done,
     /*  371820 */   // Label 6708: @371820
     /*  371820 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(371886), // Rule ID 60636 //
     /*  371825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371864 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371884 */     GIR_RootConstrainSelectedInstOperands,
     /*  371885 */     // GIR_Coverage, 60636,
     /*  371885 */     GIR_EraseRootFromParent_Done,
     /*  371886 */   // Label 6709: @371886
     /*  371886 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(371952), // Rule ID 60637 //
     /*  371891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371950 */     GIR_RootConstrainSelectedInstOperands,
     /*  371951 */     // GIR_Coverage, 60637,
     /*  371951 */     GIR_EraseRootFromParent_Done,
     /*  371952 */   // Label 6710: @371952
     /*  371952 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(372018), // Rule ID 60640 //
     /*  371957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372016 */     GIR_RootConstrainSelectedInstOperands,
     /*  372017 */     // GIR_Coverage, 60640,
     /*  372017 */     GIR_EraseRootFromParent_Done,
     /*  372018 */   // Label 6711: @372018
     /*  372018 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(372084), // Rule ID 60641 //
     /*  372023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  372034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  372037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  372040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372082 */     GIR_RootConstrainSelectedInstOperands,
     /*  372083 */     // GIR_Coverage, 60641,
     /*  372083 */     GIR_EraseRootFromParent_Done,
     /*  372084 */   // Label 6712: @372084
     /*  372084 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(372150), // Rule ID 60644 //
     /*  372089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  372106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372148 */     GIR_RootConstrainSelectedInstOperands,
     /*  372149 */     // GIR_Coverage, 60644,
     /*  372149 */     GIR_EraseRootFromParent_Done,
     /*  372150 */   // Label 6713: @372150
     /*  372150 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372216), // Rule ID 60645 //
     /*  372155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  372172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372214 */     GIR_RootConstrainSelectedInstOperands,
     /*  372215 */     // GIR_Coverage, 60645,
     /*  372215 */     GIR_EraseRootFromParent_Done,
     /*  372216 */   // Label 6714: @372216
     /*  372216 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372282), // Rule ID 60648 //
     /*  372221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  372238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372280 */     GIR_RootConstrainSelectedInstOperands,
     /*  372281 */     // GIR_Coverage, 60648,
     /*  372281 */     GIR_EraseRootFromParent_Done,
     /*  372282 */   // Label 6715: @372282
     /*  372282 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372348), // Rule ID 60649 //
     /*  372287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  372304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372346 */     GIR_RootConstrainSelectedInstOperands,
     /*  372347 */     // GIR_Coverage, 60649,
     /*  372347 */     GIR_EraseRootFromParent_Done,
     /*  372348 */   // Label 6716: @372348
     /*  372348 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372414), // Rule ID 60652 //
     /*  372353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  372364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  372367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  372370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372412 */     GIR_RootConstrainSelectedInstOperands,
     /*  372413 */     // GIR_Coverage, 60652,
     /*  372413 */     GIR_EraseRootFromParent_Done,
     /*  372414 */   // Label 6717: @372414
     /*  372414 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372480), // Rule ID 60653 //
     /*  372419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  372430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  372433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  372436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372478 */     GIR_RootConstrainSelectedInstOperands,
     /*  372479 */     // GIR_Coverage, 60653,
     /*  372479 */     GIR_EraseRootFromParent_Done,
     /*  372480 */   // Label 6718: @372480
     /*  372480 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372546), // Rule ID 60656 //
     /*  372485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372544 */     GIR_RootConstrainSelectedInstOperands,
     /*  372545 */     // GIR_Coverage, 60656,
     /*  372545 */     GIR_EraseRootFromParent_Done,
     /*  372546 */   // Label 6719: @372546
     /*  372546 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372612), // Rule ID 60657 //
     /*  372551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372610 */     GIR_RootConstrainSelectedInstOperands,
     /*  372611 */     // GIR_Coverage, 60657,
     /*  372611 */     GIR_EraseRootFromParent_Done,
     /*  372612 */   // Label 6720: @372612
     /*  372612 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372678), // Rule ID 60660 //
     /*  372617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372676 */     GIR_RootConstrainSelectedInstOperands,
     /*  372677 */     // GIR_Coverage, 60660,
     /*  372677 */     GIR_EraseRootFromParent_Done,
     /*  372678 */   // Label 6721: @372678
     /*  372678 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(372744), // Rule ID 60661 //
     /*  372683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372742 */     GIR_RootConstrainSelectedInstOperands,
     /*  372743 */     // GIR_Coverage, 60661,
     /*  372743 */     GIR_EraseRootFromParent_Done,
     /*  372744 */   // Label 6722: @372744
     /*  372744 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(372810), // Rule ID 60664 //
     /*  372749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372808 */     GIR_RootConstrainSelectedInstOperands,
     /*  372809 */     // GIR_Coverage, 60664,
     /*  372809 */     GIR_EraseRootFromParent_Done,
     /*  372810 */   // Label 6723: @372810
     /*  372810 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(372876), // Rule ID 60665 //
     /*  372815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372874 */     GIR_RootConstrainSelectedInstOperands,
     /*  372875 */     // GIR_Coverage, 60665,
     /*  372875 */     GIR_EraseRootFromParent_Done,
     /*  372876 */   // Label 6724: @372876
     /*  372876 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(372942), // Rule ID 60668 //
     /*  372881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372920 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372940 */     GIR_RootConstrainSelectedInstOperands,
     /*  372941 */     // GIR_Coverage, 60668,
     /*  372941 */     GIR_EraseRootFromParent_Done,
     /*  372942 */   // Label 6725: @372942
     /*  372942 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(373008), // Rule ID 60669 //
     /*  372947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373006 */     GIR_RootConstrainSelectedInstOperands,
     /*  373007 */     // GIR_Coverage, 60669,
     /*  373007 */     GIR_EraseRootFromParent_Done,
     /*  373008 */   // Label 6726: @373008
     /*  373008 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(373074), // Rule ID 60672 //
     /*  373013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  373024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  373027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  373030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373072 */     GIR_RootConstrainSelectedInstOperands,
     /*  373073 */     // GIR_Coverage, 60672,
     /*  373073 */     GIR_EraseRootFromParent_Done,
     /*  373074 */   // Label 6727: @373074
     /*  373074 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(373140), // Rule ID 60673 //
     /*  373079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  373090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  373093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  373096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373118 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373138 */     GIR_RootConstrainSelectedInstOperands,
     /*  373139 */     // GIR_Coverage, 60673,
     /*  373139 */     GIR_EraseRootFromParent_Done,
     /*  373140 */   // Label 6728: @373140
     /*  373140 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373206), // Rule ID 60676 //
     /*  373145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  373156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  373159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  373162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373204 */     GIR_RootConstrainSelectedInstOperands,
     /*  373205 */     // GIR_Coverage, 60676,
     /*  373205 */     GIR_EraseRootFromParent_Done,
     /*  373206 */   // Label 6729: @373206
     /*  373206 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373272), // Rule ID 60677 //
     /*  373211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  373222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  373225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  373228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373270 */     GIR_RootConstrainSelectedInstOperands,
     /*  373271 */     // GIR_Coverage, 60677,
     /*  373271 */     GIR_EraseRootFromParent_Done,
     /*  373272 */   // Label 6730: @373272
     /*  373272 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373338), // Rule ID 60680 //
     /*  373277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  373288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  373291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  373294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373316 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373336 */     GIR_RootConstrainSelectedInstOperands,
     /*  373337 */     // GIR_Coverage, 60680,
     /*  373337 */     GIR_EraseRootFromParent_Done,
     /*  373338 */   // Label 6731: @373338
     /*  373338 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373404), // Rule ID 60681 //
     /*  373343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  373354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  373357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  373360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373402 */     GIR_RootConstrainSelectedInstOperands,
     /*  373403 */     // GIR_Coverage, 60681,
     /*  373403 */     GIR_EraseRootFromParent_Done,
     /*  373404 */   // Label 6732: @373404
     /*  373404 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373470), // Rule ID 60684 //
     /*  373409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373468 */     GIR_RootConstrainSelectedInstOperands,
     /*  373469 */     // GIR_Coverage, 60684,
     /*  373469 */     GIR_EraseRootFromParent_Done,
     /*  373470 */   // Label 6733: @373470
     /*  373470 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373536), // Rule ID 60685 //
     /*  373475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373534 */     GIR_RootConstrainSelectedInstOperands,
     /*  373535 */     // GIR_Coverage, 60685,
     /*  373535 */     GIR_EraseRootFromParent_Done,
     /*  373536 */   // Label 6734: @373536
     /*  373536 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373602), // Rule ID 60688 //
     /*  373541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373600 */     GIR_RootConstrainSelectedInstOperands,
     /*  373601 */     // GIR_Coverage, 60688,
     /*  373601 */     GIR_EraseRootFromParent_Done,
     /*  373602 */   // Label 6735: @373602
     /*  373602 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373668), // Rule ID 60689 //
     /*  373607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373666 */     GIR_RootConstrainSelectedInstOperands,
     /*  373667 */     // GIR_Coverage, 60689,
     /*  373667 */     GIR_EraseRootFromParent_Done,
     /*  373668 */   // Label 6736: @373668
     /*  373668 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373734), // Rule ID 60692 //
     /*  373673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373732 */     GIR_RootConstrainSelectedInstOperands,
     /*  373733 */     // GIR_Coverage, 60692,
     /*  373733 */     GIR_EraseRootFromParent_Done,
     /*  373734 */   // Label 6737: @373734
     /*  373734 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(373800), // Rule ID 60693 //
     /*  373739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373798 */     GIR_RootConstrainSelectedInstOperands,
     /*  373799 */     // GIR_Coverage, 60693,
     /*  373799 */     GIR_EraseRootFromParent_Done,
     /*  373800 */   // Label 6738: @373800
     /*  373800 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(373866), // Rule ID 60696 //
     /*  373805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373864 */     GIR_RootConstrainSelectedInstOperands,
     /*  373865 */     // GIR_Coverage, 60696,
     /*  373865 */     GIR_EraseRootFromParent_Done,
     /*  373866 */   // Label 6739: @373866
     /*  373866 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(373932), // Rule ID 60697 //
     /*  373871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373910 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373930 */     GIR_RootConstrainSelectedInstOperands,
     /*  373931 */     // GIR_Coverage, 60697,
     /*  373931 */     GIR_EraseRootFromParent_Done,
     /*  373932 */   // Label 6740: @373932
     /*  373932 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(373998), // Rule ID 60700 //
     /*  373937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373996 */     GIR_RootConstrainSelectedInstOperands,
     /*  373997 */     // GIR_Coverage, 60700,
     /*  373997 */     GIR_EraseRootFromParent_Done,
     /*  373998 */   // Label 6741: @373998
     /*  373998 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(374064), // Rule ID 60701 //
     /*  374003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  374014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  374017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  374020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374062 */     GIR_RootConstrainSelectedInstOperands,
     /*  374063 */     // GIR_Coverage, 60701,
     /*  374063 */     GIR_EraseRootFromParent_Done,
     /*  374064 */   // Label 6742: @374064
     /*  374064 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(374130), // Rule ID 60704 //
     /*  374069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374128 */     GIR_RootConstrainSelectedInstOperands,
     /*  374129 */     // GIR_Coverage, 60704,
     /*  374129 */     GIR_EraseRootFromParent_Done,
     /*  374130 */   // Label 6743: @374130
     /*  374130 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374196), // Rule ID 60705 //
     /*  374135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374194 */     GIR_RootConstrainSelectedInstOperands,
     /*  374195 */     // GIR_Coverage, 60705,
     /*  374195 */     GIR_EraseRootFromParent_Done,
     /*  374196 */   // Label 6744: @374196
     /*  374196 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374262), // Rule ID 60708 //
     /*  374201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374260 */     GIR_RootConstrainSelectedInstOperands,
     /*  374261 */     // GIR_Coverage, 60708,
     /*  374261 */     GIR_EraseRootFromParent_Done,
     /*  374262 */   // Label 6745: @374262
     /*  374262 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374328), // Rule ID 60709 //
     /*  374267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374326 */     GIR_RootConstrainSelectedInstOperands,
     /*  374327 */     // GIR_Coverage, 60709,
     /*  374327 */     GIR_EraseRootFromParent_Done,
     /*  374328 */   // Label 6746: @374328
     /*  374328 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374394), // Rule ID 60712 //
     /*  374333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  374344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  374347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  374350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374392 */     GIR_RootConstrainSelectedInstOperands,
     /*  374393 */     // GIR_Coverage, 60712,
     /*  374393 */     GIR_EraseRootFromParent_Done,
     /*  374394 */   // Label 6747: @374394
     /*  374394 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374460), // Rule ID 60713 //
     /*  374399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  374410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  374413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  374416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374458 */     GIR_RootConstrainSelectedInstOperands,
     /*  374459 */     // GIR_Coverage, 60713,
     /*  374459 */     GIR_EraseRootFromParent_Done,
     /*  374460 */   // Label 6748: @374460
     /*  374460 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374526), // Rule ID 60716 //
     /*  374465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374504 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374524 */     GIR_RootConstrainSelectedInstOperands,
     /*  374525 */     // GIR_Coverage, 60716,
     /*  374525 */     GIR_EraseRootFromParent_Done,
     /*  374526 */   // Label 6749: @374526
     /*  374526 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374592), // Rule ID 60717 //
     /*  374531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374570 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374590 */     GIR_RootConstrainSelectedInstOperands,
     /*  374591 */     // GIR_Coverage, 60717,
     /*  374591 */     GIR_EraseRootFromParent_Done,
     /*  374592 */   // Label 6750: @374592
     /*  374592 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374658), // Rule ID 60720 //
     /*  374597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374636 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374656 */     GIR_RootConstrainSelectedInstOperands,
     /*  374657 */     // GIR_Coverage, 60720,
     /*  374657 */     GIR_EraseRootFromParent_Done,
     /*  374658 */   // Label 6751: @374658
     /*  374658 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374724), // Rule ID 60721 //
     /*  374663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374722 */     GIR_RootConstrainSelectedInstOperands,
     /*  374723 */     // GIR_Coverage, 60721,
     /*  374723 */     GIR_EraseRootFromParent_Done,
     /*  374724 */   // Label 6752: @374724
     /*  374724 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(374790), // Rule ID 60724 //
     /*  374729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374788 */     GIR_RootConstrainSelectedInstOperands,
     /*  374789 */     // GIR_Coverage, 60724,
     /*  374789 */     GIR_EraseRootFromParent_Done,
     /*  374790 */   // Label 6753: @374790
     /*  374790 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(374856), // Rule ID 60725 //
     /*  374795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374854 */     GIR_RootConstrainSelectedInstOperands,
     /*  374855 */     // GIR_Coverage, 60725,
     /*  374855 */     GIR_EraseRootFromParent_Done,
     /*  374856 */   // Label 6754: @374856
     /*  374856 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(374922), // Rule ID 60728 //
     /*  374861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374900 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374920 */     GIR_RootConstrainSelectedInstOperands,
     /*  374921 */     // GIR_Coverage, 60728,
     /*  374921 */     GIR_EraseRootFromParent_Done,
     /*  374922 */   // Label 6755: @374922
     /*  374922 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(374988), // Rule ID 60729 //
     /*  374927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374986 */     GIR_RootConstrainSelectedInstOperands,
     /*  374987 */     // GIR_Coverage, 60729,
     /*  374987 */     GIR_EraseRootFromParent_Done,
     /*  374988 */   // Label 6756: @374988
     /*  374988 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(375054), // Rule ID 60732 //
     /*  374993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  375004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  375007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375052 */     GIR_RootConstrainSelectedInstOperands,
     /*  375053 */     // GIR_Coverage, 60732,
     /*  375053 */     GIR_EraseRootFromParent_Done,
     /*  375054 */   // Label 6757: @375054
     /*  375054 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(375120), // Rule ID 60733 //
     /*  375059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  375070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  375073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375118 */     GIR_RootConstrainSelectedInstOperands,
     /*  375119 */     // GIR_Coverage, 60733,
     /*  375119 */     GIR_EraseRootFromParent_Done,
     /*  375120 */   // Label 6758: @375120
     /*  375120 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375186), // Rule ID 60736 //
     /*  375125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375184 */     GIR_RootConstrainSelectedInstOperands,
     /*  375185 */     // GIR_Coverage, 60736,
     /*  375185 */     GIR_EraseRootFromParent_Done,
     /*  375186 */   // Label 6759: @375186
     /*  375186 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375252), // Rule ID 60737 //
     /*  375191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375250 */     GIR_RootConstrainSelectedInstOperands,
     /*  375251 */     // GIR_Coverage, 60737,
     /*  375251 */     GIR_EraseRootFromParent_Done,
     /*  375252 */   // Label 6760: @375252
     /*  375252 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375318), // Rule ID 60740 //
     /*  375257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  375268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  375271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  375274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375316 */     GIR_RootConstrainSelectedInstOperands,
     /*  375317 */     // GIR_Coverage, 60740,
     /*  375317 */     GIR_EraseRootFromParent_Done,
     /*  375318 */   // Label 6761: @375318
     /*  375318 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375384), // Rule ID 60741 //
     /*  375323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  375334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  375337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  375340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375382 */     GIR_RootConstrainSelectedInstOperands,
     /*  375383 */     // GIR_Coverage, 60741,
     /*  375383 */     GIR_EraseRootFromParent_Done,
     /*  375384 */   // Label 6762: @375384
     /*  375384 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375450), // Rule ID 60744 //
     /*  375389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375448 */     GIR_RootConstrainSelectedInstOperands,
     /*  375449 */     // GIR_Coverage, 60744,
     /*  375449 */     GIR_EraseRootFromParent_Done,
     /*  375450 */   // Label 6763: @375450
     /*  375450 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375516), // Rule ID 60745 //
     /*  375455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375494 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375514 */     GIR_RootConstrainSelectedInstOperands,
     /*  375515 */     // GIR_Coverage, 60745,
     /*  375515 */     GIR_EraseRootFromParent_Done,
     /*  375516 */   // Label 6764: @375516
     /*  375516 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375582), // Rule ID 60748 //
     /*  375521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375580 */     GIR_RootConstrainSelectedInstOperands,
     /*  375581 */     // GIR_Coverage, 60748,
     /*  375581 */     GIR_EraseRootFromParent_Done,
     /*  375582 */   // Label 6765: @375582
     /*  375582 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375648), // Rule ID 60749 //
     /*  375587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375646 */     GIR_RootConstrainSelectedInstOperands,
     /*  375647 */     // GIR_Coverage, 60749,
     /*  375647 */     GIR_EraseRootFromParent_Done,
     /*  375648 */   // Label 6766: @375648
     /*  375648 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375714), // Rule ID 60752 //
     /*  375653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375712 */     GIR_RootConstrainSelectedInstOperands,
     /*  375713 */     // GIR_Coverage, 60752,
     /*  375713 */     GIR_EraseRootFromParent_Done,
     /*  375714 */   // Label 6767: @375714
     /*  375714 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(375780), // Rule ID 60753 //
     /*  375719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375778 */     GIR_RootConstrainSelectedInstOperands,
     /*  375779 */     // GIR_Coverage, 60753,
     /*  375779 */     GIR_EraseRootFromParent_Done,
     /*  375780 */   // Label 6768: @375780
     /*  375780 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(375846), // Rule ID 60756 //
     /*  375785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375844 */     GIR_RootConstrainSelectedInstOperands,
     /*  375845 */     // GIR_Coverage, 60756,
     /*  375845 */     GIR_EraseRootFromParent_Done,
     /*  375846 */   // Label 6769: @375846
     /*  375846 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(375912), // Rule ID 60757 //
     /*  375851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375890 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375910 */     GIR_RootConstrainSelectedInstOperands,
     /*  375911 */     // GIR_Coverage, 60757,
     /*  375911 */     GIR_EraseRootFromParent_Done,
     /*  375912 */   // Label 6770: @375912
     /*  375912 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(375978), // Rule ID 60760 //
     /*  375917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375956 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375976 */     GIR_RootConstrainSelectedInstOperands,
     /*  375977 */     // GIR_Coverage, 60760,
     /*  375977 */     GIR_EraseRootFromParent_Done,
     /*  375978 */   // Label 6771: @375978
     /*  375978 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(376044), // Rule ID 60761 //
     /*  375983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  376000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376042 */     GIR_RootConstrainSelectedInstOperands,
     /*  376043 */     // GIR_Coverage, 60761,
     /*  376043 */     GIR_EraseRootFromParent_Done,
     /*  376044 */   // Label 6772: @376044
     /*  376044 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(376110), // Rule ID 60764 //
     /*  376049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376108 */     GIR_RootConstrainSelectedInstOperands,
     /*  376109 */     // GIR_Coverage, 60764,
     /*  376109 */     GIR_EraseRootFromParent_Done,
     /*  376110 */   // Label 6773: @376110
     /*  376110 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376176), // Rule ID 60765 //
     /*  376115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376154 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376174 */     GIR_RootConstrainSelectedInstOperands,
     /*  376175 */     // GIR_Coverage, 60765,
     /*  376175 */     GIR_EraseRootFromParent_Done,
     /*  376176 */   // Label 6774: @376176
     /*  376176 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376242), // Rule ID 60768 //
     /*  376181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  376192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  376195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  376198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376240 */     GIR_RootConstrainSelectedInstOperands,
     /*  376241 */     // GIR_Coverage, 60768,
     /*  376241 */     GIR_EraseRootFromParent_Done,
     /*  376242 */   // Label 6775: @376242
     /*  376242 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376308), // Rule ID 60769 //
     /*  376247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  376258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  376261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  376264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376306 */     GIR_RootConstrainSelectedInstOperands,
     /*  376307 */     // GIR_Coverage, 60769,
     /*  376307 */     GIR_EraseRootFromParent_Done,
     /*  376308 */   // Label 6776: @376308
     /*  376308 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376374), // Rule ID 60772 //
     /*  376313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  376324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  376327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  376330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376372 */     GIR_RootConstrainSelectedInstOperands,
     /*  376373 */     // GIR_Coverage, 60772,
     /*  376373 */     GIR_EraseRootFromParent_Done,
     /*  376374 */   // Label 6777: @376374
     /*  376374 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376440), // Rule ID 60773 //
     /*  376379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  376390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  376393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  376396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376438 */     GIR_RootConstrainSelectedInstOperands,
     /*  376439 */     // GIR_Coverage, 60773,
     /*  376439 */     GIR_EraseRootFromParent_Done,
     /*  376440 */   // Label 6778: @376440
     /*  376440 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376506), // Rule ID 60776 //
     /*  376445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376504 */     GIR_RootConstrainSelectedInstOperands,
     /*  376505 */     // GIR_Coverage, 60776,
     /*  376505 */     GIR_EraseRootFromParent_Done,
     /*  376506 */   // Label 6779: @376506
     /*  376506 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376572), // Rule ID 60777 //
     /*  376511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376570 */     GIR_RootConstrainSelectedInstOperands,
     /*  376571 */     // GIR_Coverage, 60777,
     /*  376571 */     GIR_EraseRootFromParent_Done,
     /*  376572 */   // Label 6780: @376572
     /*  376572 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376638), // Rule ID 60780 //
     /*  376577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376636 */     GIR_RootConstrainSelectedInstOperands,
     /*  376637 */     // GIR_Coverage, 60780,
     /*  376637 */     GIR_EraseRootFromParent_Done,
     /*  376638 */   // Label 6781: @376638
     /*  376638 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376704), // Rule ID 60781 //
     /*  376643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376682 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376702 */     GIR_RootConstrainSelectedInstOperands,
     /*  376703 */     // GIR_Coverage, 60781,
     /*  376703 */     GIR_EraseRootFromParent_Done,
     /*  376704 */   // Label 6782: @376704
     /*  376704 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376770), // Rule ID 60784 //
     /*  376709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376768 */     GIR_RootConstrainSelectedInstOperands,
     /*  376769 */     // GIR_Coverage, 60784,
     /*  376769 */     GIR_EraseRootFromParent_Done,
     /*  376770 */   // Label 6783: @376770
     /*  376770 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(376836), // Rule ID 60785 //
     /*  376775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376834 */     GIR_RootConstrainSelectedInstOperands,
     /*  376835 */     // GIR_Coverage, 60785,
     /*  376835 */     GIR_EraseRootFromParent_Done,
     /*  376836 */   // Label 6784: @376836
     /*  376836 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(376902), // Rule ID 60788 //
     /*  376841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376900 */     GIR_RootConstrainSelectedInstOperands,
     /*  376901 */     // GIR_Coverage, 60788,
     /*  376901 */     GIR_EraseRootFromParent_Done,
     /*  376902 */   // Label 6785: @376902
     /*  376902 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(376968), // Rule ID 60789 //
     /*  376907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376966 */     GIR_RootConstrainSelectedInstOperands,
     /*  376967 */     // GIR_Coverage, 60789,
     /*  376967 */     GIR_EraseRootFromParent_Done,
     /*  376968 */   // Label 6786: @376968
     /*  376968 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(377034), // Rule ID 60792 //
     /*  376973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377032 */     GIR_RootConstrainSelectedInstOperands,
     /*  377033 */     // GIR_Coverage, 60792,
     /*  377033 */     GIR_EraseRootFromParent_Done,
     /*  377034 */   // Label 6787: @377034
     /*  377034 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(377100), // Rule ID 60793 //
     /*  377039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  377050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  377053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  377056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377098 */     GIR_RootConstrainSelectedInstOperands,
     /*  377099 */     // GIR_Coverage, 60793,
     /*  377099 */     GIR_EraseRootFromParent_Done,
     /*  377100 */   // Label 6788: @377100
     /*  377100 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(377166), // Rule ID 60796 //
     /*  377105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  377116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  377119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  377122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377164 */     GIR_RootConstrainSelectedInstOperands,
     /*  377165 */     // GIR_Coverage, 60796,
     /*  377165 */     GIR_EraseRootFromParent_Done,
     /*  377166 */   // Label 6789: @377166
     /*  377166 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377232), // Rule ID 60797 //
     /*  377171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  377182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  377185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  377188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377230 */     GIR_RootConstrainSelectedInstOperands,
     /*  377231 */     // GIR_Coverage, 60797,
     /*  377231 */     GIR_EraseRootFromParent_Done,
     /*  377232 */   // Label 6790: @377232
     /*  377232 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377298), // Rule ID 60800 //
     /*  377237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377296 */     GIR_RootConstrainSelectedInstOperands,
     /*  377297 */     // GIR_Coverage, 60800,
     /*  377297 */     GIR_EraseRootFromParent_Done,
     /*  377298 */   // Label 6791: @377298
     /*  377298 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377364), // Rule ID 60801 //
     /*  377303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377362 */     GIR_RootConstrainSelectedInstOperands,
     /*  377363 */     // GIR_Coverage, 60801,
     /*  377363 */     GIR_EraseRootFromParent_Done,
     /*  377364 */   // Label 6792: @377364
     /*  377364 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377430), // Rule ID 60804 //
     /*  377369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377428 */     GIR_RootConstrainSelectedInstOperands,
     /*  377429 */     // GIR_Coverage, 60804,
     /*  377429 */     GIR_EraseRootFromParent_Done,
     /*  377430 */   // Label 6793: @377430
     /*  377430 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377496), // Rule ID 60805 //
     /*  377435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377474 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377494 */     GIR_RootConstrainSelectedInstOperands,
     /*  377495 */     // GIR_Coverage, 60805,
     /*  377495 */     GIR_EraseRootFromParent_Done,
     /*  377496 */   // Label 6794: @377496
     /*  377496 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377562), // Rule ID 60808 //
     /*  377501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377560 */     GIR_RootConstrainSelectedInstOperands,
     /*  377561 */     // GIR_Coverage, 60808,
     /*  377561 */     GIR_EraseRootFromParent_Done,
     /*  377562 */   // Label 6795: @377562
     /*  377562 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377628), // Rule ID 60809 //
     /*  377567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377626 */     GIR_RootConstrainSelectedInstOperands,
     /*  377627 */     // GIR_Coverage, 60809,
     /*  377627 */     GIR_EraseRootFromParent_Done,
     /*  377628 */   // Label 6796: @377628
     /*  377628 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377694), // Rule ID 60812 //
     /*  377633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377692 */     GIR_RootConstrainSelectedInstOperands,
     /*  377693 */     // GIR_Coverage, 60812,
     /*  377693 */     GIR_EraseRootFromParent_Done,
     /*  377694 */   // Label 6797: @377694
     /*  377694 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377760), // Rule ID 60813 //
     /*  377699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377758 */     GIR_RootConstrainSelectedInstOperands,
     /*  377759 */     // GIR_Coverage, 60813,
     /*  377759 */     GIR_EraseRootFromParent_Done,
     /*  377760 */   // Label 6798: @377760
     /*  377760 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(377826), // Rule ID 60816 //
     /*  377765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377804 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377824 */     GIR_RootConstrainSelectedInstOperands,
     /*  377825 */     // GIR_Coverage, 60816,
     /*  377825 */     GIR_EraseRootFromParent_Done,
     /*  377826 */   // Label 6799: @377826
     /*  377826 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(377892), // Rule ID 60817 //
     /*  377831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377870 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377890 */     GIR_RootConstrainSelectedInstOperands,
     /*  377891 */     // GIR_Coverage, 60817,
     /*  377891 */     GIR_EraseRootFromParent_Done,
     /*  377892 */   // Label 6800: @377892
     /*  377892 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(377958), // Rule ID 60820 //
     /*  377897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377956 */     GIR_RootConstrainSelectedInstOperands,
     /*  377957 */     // GIR_Coverage, 60820,
     /*  377957 */     GIR_EraseRootFromParent_Done,
     /*  377958 */   // Label 6801: @377958
     /*  377958 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(378024), // Rule ID 60821 //
     /*  377963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378022 */     GIR_RootConstrainSelectedInstOperands,
     /*  378023 */     // GIR_Coverage, 60821,
     /*  378023 */     GIR_EraseRootFromParent_Done,
     /*  378024 */   // Label 6802: @378024
     /*  378024 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(378090), // Rule ID 60824 //
     /*  378029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378088 */     GIR_RootConstrainSelectedInstOperands,
     /*  378089 */     // GIR_Coverage, 60824,
     /*  378089 */     GIR_EraseRootFromParent_Done,
     /*  378090 */   // Label 6803: @378090
     /*  378090 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378156), // Rule ID 60825 //
     /*  378095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378154 */     GIR_RootConstrainSelectedInstOperands,
     /*  378155 */     // GIR_Coverage, 60825,
     /*  378155 */     GIR_EraseRootFromParent_Done,
     /*  378156 */   // Label 6804: @378156
     /*  378156 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378222), // Rule ID 60828 //
     /*  378161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378220 */     GIR_RootConstrainSelectedInstOperands,
     /*  378221 */     // GIR_Coverage, 60828,
     /*  378221 */     GIR_EraseRootFromParent_Done,
     /*  378222 */   // Label 6805: @378222
     /*  378222 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378288), // Rule ID 60829 //
     /*  378227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378286 */     GIR_RootConstrainSelectedInstOperands,
     /*  378287 */     // GIR_Coverage, 60829,
     /*  378287 */     GIR_EraseRootFromParent_Done,
     /*  378288 */   // Label 6806: @378288
     /*  378288 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378354), // Rule ID 60832 //
     /*  378293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  378304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  378307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  378310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378352 */     GIR_RootConstrainSelectedInstOperands,
     /*  378353 */     // GIR_Coverage, 60832,
     /*  378353 */     GIR_EraseRootFromParent_Done,
     /*  378354 */   // Label 6807: @378354
     /*  378354 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378420), // Rule ID 60833 //
     /*  378359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  378370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  378373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  378376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378418 */     GIR_RootConstrainSelectedInstOperands,
     /*  378419 */     // GIR_Coverage, 60833,
     /*  378419 */     GIR_EraseRootFromParent_Done,
     /*  378420 */   // Label 6808: @378420
     /*  378420 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378486), // Rule ID 60836 //
     /*  378425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378464 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378484 */     GIR_RootConstrainSelectedInstOperands,
     /*  378485 */     // GIR_Coverage, 60836,
     /*  378485 */     GIR_EraseRootFromParent_Done,
     /*  378486 */   // Label 6809: @378486
     /*  378486 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378552), // Rule ID 60837 //
     /*  378491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378550 */     GIR_RootConstrainSelectedInstOperands,
     /*  378551 */     // GIR_Coverage, 60837,
     /*  378551 */     GIR_EraseRootFromParent_Done,
     /*  378552 */   // Label 6810: @378552
     /*  378552 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378618), // Rule ID 60840 //
     /*  378557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378616 */     GIR_RootConstrainSelectedInstOperands,
     /*  378617 */     // GIR_Coverage, 60840,
     /*  378617 */     GIR_EraseRootFromParent_Done,
     /*  378618 */   // Label 6811: @378618
     /*  378618 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378684), // Rule ID 60841 //
     /*  378623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378682 */     GIR_RootConstrainSelectedInstOperands,
     /*  378683 */     // GIR_Coverage, 60841,
     /*  378683 */     GIR_EraseRootFromParent_Done,
     /*  378684 */   // Label 6812: @378684
     /*  378684 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378750), // Rule ID 61264 //
     /*  378689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378748 */     GIR_RootConstrainSelectedInstOperands,
     /*  378749 */     // GIR_Coverage, 61264,
     /*  378749 */     GIR_EraseRootFromParent_Done,
     /*  378750 */   // Label 6813: @378750
     /*  378750 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(378816), // Rule ID 61265 //
     /*  378755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378794 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378814 */     GIR_RootConstrainSelectedInstOperands,
     /*  378815 */     // GIR_Coverage, 61265,
     /*  378815 */     GIR_EraseRootFromParent_Done,
     /*  378816 */   // Label 6814: @378816
     /*  378816 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(378882), // Rule ID 61268 //
     /*  378821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378880 */     GIR_RootConstrainSelectedInstOperands,
     /*  378881 */     // GIR_Coverage, 61268,
     /*  378881 */     GIR_EraseRootFromParent_Done,
     /*  378882 */   // Label 6815: @378882
     /*  378882 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(378948), // Rule ID 61269 //
     /*  378887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378946 */     GIR_RootConstrainSelectedInstOperands,
     /*  378947 */     // GIR_Coverage, 61269,
     /*  378947 */     GIR_EraseRootFromParent_Done,
     /*  378948 */   // Label 6816: @378948
     /*  378948 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(379014), // Rule ID 61272 //
     /*  378953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  378964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  378967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  378970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378992 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379012 */     GIR_RootConstrainSelectedInstOperands,
     /*  379013 */     // GIR_Coverage, 61272,
     /*  379013 */     GIR_EraseRootFromParent_Done,
     /*  379014 */   // Label 6817: @379014
     /*  379014 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(379080), // Rule ID 61273 //
     /*  379019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  379030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  379033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  379036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379078 */     GIR_RootConstrainSelectedInstOperands,
     /*  379079 */     // GIR_Coverage, 61273,
     /*  379079 */     GIR_EraseRootFromParent_Done,
     /*  379080 */   // Label 6818: @379080
     /*  379080 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379146), // Rule ID 61276 //
     /*  379085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379144 */     GIR_RootConstrainSelectedInstOperands,
     /*  379145 */     // GIR_Coverage, 61276,
     /*  379145 */     GIR_EraseRootFromParent_Done,
     /*  379146 */   // Label 6819: @379146
     /*  379146 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379212), // Rule ID 61277 //
     /*  379151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379210 */     GIR_RootConstrainSelectedInstOperands,
     /*  379211 */     // GIR_Coverage, 61277,
     /*  379211 */     GIR_EraseRootFromParent_Done,
     /*  379212 */   // Label 6820: @379212
     /*  379212 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379278), // Rule ID 61280 //
     /*  379217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379276 */     GIR_RootConstrainSelectedInstOperands,
     /*  379277 */     // GIR_Coverage, 61280,
     /*  379277 */     GIR_EraseRootFromParent_Done,
     /*  379278 */   // Label 6821: @379278
     /*  379278 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379344), // Rule ID 61281 //
     /*  379283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379342 */     GIR_RootConstrainSelectedInstOperands,
     /*  379343 */     // GIR_Coverage, 61281,
     /*  379343 */     GIR_EraseRootFromParent_Done,
     /*  379344 */   // Label 6822: @379344
     /*  379344 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379410), // Rule ID 61284 //
     /*  379349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  379360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  379363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  379366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379408 */     GIR_RootConstrainSelectedInstOperands,
     /*  379409 */     // GIR_Coverage, 61284,
     /*  379409 */     GIR_EraseRootFromParent_Done,
     /*  379410 */   // Label 6823: @379410
     /*  379410 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379476), // Rule ID 61285 //
     /*  379415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  379426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  379429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  379432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379474 */     GIR_RootConstrainSelectedInstOperands,
     /*  379475 */     // GIR_Coverage, 61285,
     /*  379475 */     GIR_EraseRootFromParent_Done,
     /*  379476 */   // Label 6824: @379476
     /*  379476 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379542), // Rule ID 61288 //
     /*  379481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379540 */     GIR_RootConstrainSelectedInstOperands,
     /*  379541 */     // GIR_Coverage, 61288,
     /*  379541 */     GIR_EraseRootFromParent_Done,
     /*  379542 */   // Label 6825: @379542
     /*  379542 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379608), // Rule ID 61289 //
     /*  379547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379606 */     GIR_RootConstrainSelectedInstOperands,
     /*  379607 */     // GIR_Coverage, 61289,
     /*  379607 */     GIR_EraseRootFromParent_Done,
     /*  379608 */   // Label 6826: @379608
     /*  379608 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379674), // Rule ID 61292 //
     /*  379613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379672 */     GIR_RootConstrainSelectedInstOperands,
     /*  379673 */     // GIR_Coverage, 61292,
     /*  379673 */     GIR_EraseRootFromParent_Done,
     /*  379674 */   // Label 6827: @379674
     /*  379674 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(379740), // Rule ID 61293 //
     /*  379679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379738 */     GIR_RootConstrainSelectedInstOperands,
     /*  379739 */     // GIR_Coverage, 61293,
     /*  379739 */     GIR_EraseRootFromParent_Done,
     /*  379740 */   // Label 6828: @379740
     /*  379740 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(379806), // Rule ID 61296 //
     /*  379745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379804 */     GIR_RootConstrainSelectedInstOperands,
     /*  379805 */     // GIR_Coverage, 61296,
     /*  379805 */     GIR_EraseRootFromParent_Done,
     /*  379806 */   // Label 6829: @379806
     /*  379806 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(379872), // Rule ID 61297 //
     /*  379811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379870 */     GIR_RootConstrainSelectedInstOperands,
     /*  379871 */     // GIR_Coverage, 61297,
     /*  379871 */     GIR_EraseRootFromParent_Done,
     /*  379872 */   // Label 6830: @379872
     /*  379872 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(379938), // Rule ID 61300 //
     /*  379877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379936 */     GIR_RootConstrainSelectedInstOperands,
     /*  379937 */     // GIR_Coverage, 61300,
     /*  379937 */     GIR_EraseRootFromParent_Done,
     /*  379938 */   // Label 6831: @379938
     /*  379938 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(380004), // Rule ID 61301 //
     /*  379943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380002 */     GIR_RootConstrainSelectedInstOperands,
     /*  380003 */     // GIR_Coverage, 61301,
     /*  380003 */     GIR_EraseRootFromParent_Done,
     /*  380004 */   // Label 6832: @380004
     /*  380004 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(380070), // Rule ID 61304 //
     /*  380009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380068 */     GIR_RootConstrainSelectedInstOperands,
     /*  380069 */     // GIR_Coverage, 61304,
     /*  380069 */     GIR_EraseRootFromParent_Done,
     /*  380070 */   // Label 6833: @380070
     /*  380070 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380136), // Rule ID 61305 //
     /*  380075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380114 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380134 */     GIR_RootConstrainSelectedInstOperands,
     /*  380135 */     // GIR_Coverage, 61305,
     /*  380135 */     GIR_EraseRootFromParent_Done,
     /*  380136 */   // Label 6834: @380136
     /*  380136 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380202), // Rule ID 61308 //
     /*  380141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  380152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  380155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  380158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380200 */     GIR_RootConstrainSelectedInstOperands,
     /*  380201 */     // GIR_Coverage, 61308,
     /*  380201 */     GIR_EraseRootFromParent_Done,
     /*  380202 */   // Label 6835: @380202
     /*  380202 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380268), // Rule ID 61309 //
     /*  380207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  380218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  380221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  380224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380266 */     GIR_RootConstrainSelectedInstOperands,
     /*  380267 */     // GIR_Coverage, 61309,
     /*  380267 */     GIR_EraseRootFromParent_Done,
     /*  380268 */   // Label 6836: @380268
     /*  380268 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380334), // Rule ID 61312 //
     /*  380273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  380284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  380287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  380290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380332 */     GIR_RootConstrainSelectedInstOperands,
     /*  380333 */     // GIR_Coverage, 61312,
     /*  380333 */     GIR_EraseRootFromParent_Done,
     /*  380334 */   // Label 6837: @380334
     /*  380334 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380400), // Rule ID 61313 //
     /*  380339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  380350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  380353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  380356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380398 */     GIR_RootConstrainSelectedInstOperands,
     /*  380399 */     // GIR_Coverage, 61313,
     /*  380399 */     GIR_EraseRootFromParent_Done,
     /*  380400 */   // Label 6838: @380400
     /*  380400 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380466), // Rule ID 61316 //
     /*  380405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  380416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  380419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  380422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380464 */     GIR_RootConstrainSelectedInstOperands,
     /*  380465 */     // GIR_Coverage, 61316,
     /*  380465 */     GIR_EraseRootFromParent_Done,
     /*  380466 */   // Label 6839: @380466
     /*  380466 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380532), // Rule ID 61317 //
     /*  380471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  380482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  380485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  380488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380510 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380530 */     GIR_RootConstrainSelectedInstOperands,
     /*  380531 */     // GIR_Coverage, 61317,
     /*  380531 */     GIR_EraseRootFromParent_Done,
     /*  380532 */   // Label 6840: @380532
     /*  380532 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380598), // Rule ID 61320 //
     /*  380537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380596 */     GIR_RootConstrainSelectedInstOperands,
     /*  380597 */     // GIR_Coverage, 61320,
     /*  380597 */     GIR_EraseRootFromParent_Done,
     /*  380598 */   // Label 6841: @380598
     /*  380598 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380664), // Rule ID 61321 //
     /*  380603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380662 */     GIR_RootConstrainSelectedInstOperands,
     /*  380663 */     // GIR_Coverage, 61321,
     /*  380663 */     GIR_EraseRootFromParent_Done,
     /*  380664 */   // Label 6842: @380664
     /*  380664 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380730), // Rule ID 61324 //
     /*  380669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380728 */     GIR_RootConstrainSelectedInstOperands,
     /*  380729 */     // GIR_Coverage, 61324,
     /*  380729 */     GIR_EraseRootFromParent_Done,
     /*  380730 */   // Label 6843: @380730
     /*  380730 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(380796), // Rule ID 61325 //
     /*  380735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380794 */     GIR_RootConstrainSelectedInstOperands,
     /*  380795 */     // GIR_Coverage, 61325,
     /*  380795 */     GIR_EraseRootFromParent_Done,
     /*  380796 */   // Label 6844: @380796
     /*  380796 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(380862), // Rule ID 61328 //
     /*  380801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380860 */     GIR_RootConstrainSelectedInstOperands,
     /*  380861 */     // GIR_Coverage, 61328,
     /*  380861 */     GIR_EraseRootFromParent_Done,
     /*  380862 */   // Label 6845: @380862
     /*  380862 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(380928), // Rule ID 61329 //
     /*  380867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380926 */     GIR_RootConstrainSelectedInstOperands,
     /*  380927 */     // GIR_Coverage, 61329,
     /*  380927 */     GIR_EraseRootFromParent_Done,
     /*  380928 */   // Label 6846: @380928
     /*  380928 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(380994), // Rule ID 61332 //
     /*  380933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  380944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  380947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  380950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380992 */     GIR_RootConstrainSelectedInstOperands,
     /*  380993 */     // GIR_Coverage, 61332,
     /*  380993 */     GIR_EraseRootFromParent_Done,
     /*  380994 */   // Label 6847: @380994
     /*  380994 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(381060), // Rule ID 61333 //
     /*  380999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  381010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  381013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  381016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381058 */     GIR_RootConstrainSelectedInstOperands,
     /*  381059 */     // GIR_Coverage, 61333,
     /*  381059 */     GIR_EraseRootFromParent_Done,
     /*  381060 */   // Label 6848: @381060
     /*  381060 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381126), // Rule ID 61336 //
     /*  381065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  381076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  381079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  381082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381124 */     GIR_RootConstrainSelectedInstOperands,
     /*  381125 */     // GIR_Coverage, 61336,
     /*  381125 */     GIR_EraseRootFromParent_Done,
     /*  381126 */   // Label 6849: @381126
     /*  381126 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381192), // Rule ID 61337 //
     /*  381131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  381142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  381145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  381148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381190 */     GIR_RootConstrainSelectedInstOperands,
     /*  381191 */     // GIR_Coverage, 61337,
     /*  381191 */     GIR_EraseRootFromParent_Done,
     /*  381192 */   // Label 6850: @381192
     /*  381192 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381258), // Rule ID 61340 //
     /*  381197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  381208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  381211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  381214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381256 */     GIR_RootConstrainSelectedInstOperands,
     /*  381257 */     // GIR_Coverage, 61340,
     /*  381257 */     GIR_EraseRootFromParent_Done,
     /*  381258 */   // Label 6851: @381258
     /*  381258 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381324), // Rule ID 61341 //
     /*  381263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  381274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  381277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  381280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381322 */     GIR_RootConstrainSelectedInstOperands,
     /*  381323 */     // GIR_Coverage, 61341,
     /*  381323 */     GIR_EraseRootFromParent_Done,
     /*  381324 */   // Label 6852: @381324
     /*  381324 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381390), // Rule ID 61344 //
     /*  381329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  381340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  381343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  381346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381388 */     GIR_RootConstrainSelectedInstOperands,
     /*  381389 */     // GIR_Coverage, 61344,
     /*  381389 */     GIR_EraseRootFromParent_Done,
     /*  381390 */   // Label 6853: @381390
     /*  381390 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381456), // Rule ID 61345 //
     /*  381395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  381406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  381409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  381412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381454 */     GIR_RootConstrainSelectedInstOperands,
     /*  381455 */     // GIR_Coverage, 61345,
     /*  381455 */     GIR_EraseRootFromParent_Done,
     /*  381456 */   // Label 6854: @381456
     /*  381456 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381522), // Rule ID 61348 //
     /*  381461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381520 */     GIR_RootConstrainSelectedInstOperands,
     /*  381521 */     // GIR_Coverage, 61348,
     /*  381521 */     GIR_EraseRootFromParent_Done,
     /*  381522 */   // Label 6855: @381522
     /*  381522 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381588), // Rule ID 61349 //
     /*  381527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381586 */     GIR_RootConstrainSelectedInstOperands,
     /*  381587 */     // GIR_Coverage, 61349,
     /*  381587 */     GIR_EraseRootFromParent_Done,
     /*  381588 */   // Label 6856: @381588
     /*  381588 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381654), // Rule ID 61352 //
     /*  381593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381652 */     GIR_RootConstrainSelectedInstOperands,
     /*  381653 */     // GIR_Coverage, 61352,
     /*  381653 */     GIR_EraseRootFromParent_Done,
     /*  381654 */   // Label 6857: @381654
     /*  381654 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381720), // Rule ID 61353 //
     /*  381659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381718 */     GIR_RootConstrainSelectedInstOperands,
     /*  381719 */     // GIR_Coverage, 61353,
     /*  381719 */     GIR_EraseRootFromParent_Done,
     /*  381720 */   // Label 6858: @381720
     /*  381720 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(381786), // Rule ID 61356 //
     /*  381725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381764 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381784 */     GIR_RootConstrainSelectedInstOperands,
     /*  381785 */     // GIR_Coverage, 61356,
     /*  381785 */     GIR_EraseRootFromParent_Done,
     /*  381786 */   // Label 6859: @381786
     /*  381786 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(381852), // Rule ID 61357 //
     /*  381791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381830 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381850 */     GIR_RootConstrainSelectedInstOperands,
     /*  381851 */     // GIR_Coverage, 61357,
     /*  381851 */     GIR_EraseRootFromParent_Done,
     /*  381852 */   // Label 6860: @381852
     /*  381852 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(381918), // Rule ID 61360 //
     /*  381857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381916 */     GIR_RootConstrainSelectedInstOperands,
     /*  381917 */     // GIR_Coverage, 61360,
     /*  381917 */     GIR_EraseRootFromParent_Done,
     /*  381918 */   // Label 6861: @381918
     /*  381918 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(381984), // Rule ID 61361 //
     /*  381923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381962 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381982 */     GIR_RootConstrainSelectedInstOperands,
     /*  381983 */     // GIR_Coverage, 61361,
     /*  381983 */     GIR_EraseRootFromParent_Done,
     /*  381984 */   // Label 6862: @381984
     /*  381984 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(382050), // Rule ID 61364 //
     /*  381989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  382000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  382003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  382006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382048 */     GIR_RootConstrainSelectedInstOperands,
     /*  382049 */     // GIR_Coverage, 61364,
     /*  382049 */     GIR_EraseRootFromParent_Done,
     /*  382050 */   // Label 6863: @382050
     /*  382050 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(382116), // Rule ID 61365 //
     /*  382055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  382066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  382069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  382072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382114 */     GIR_RootConstrainSelectedInstOperands,
     /*  382115 */     // GIR_Coverage, 61365,
     /*  382115 */     GIR_EraseRootFromParent_Done,
     /*  382116 */   // Label 6864: @382116
     /*  382116 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382182), // Rule ID 61368 //
     /*  382121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  382132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  382135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  382138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382180 */     GIR_RootConstrainSelectedInstOperands,
     /*  382181 */     // GIR_Coverage, 61368,
     /*  382181 */     GIR_EraseRootFromParent_Done,
     /*  382182 */   // Label 6865: @382182
     /*  382182 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382248), // Rule ID 61369 //
     /*  382187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  382198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  382201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  382204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382246 */     GIR_RootConstrainSelectedInstOperands,
     /*  382247 */     // GIR_Coverage, 61369,
     /*  382247 */     GIR_EraseRootFromParent_Done,
     /*  382248 */   // Label 6866: @382248
     /*  382248 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382314), // Rule ID 61372 //
     /*  382253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  382270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382312 */     GIR_RootConstrainSelectedInstOperands,
     /*  382313 */     // GIR_Coverage, 61372,
     /*  382313 */     GIR_EraseRootFromParent_Done,
     /*  382314 */   // Label 6867: @382314
     /*  382314 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382380), // Rule ID 61373 //
     /*  382319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  382336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382378 */     GIR_RootConstrainSelectedInstOperands,
     /*  382379 */     // GIR_Coverage, 61373,
     /*  382379 */     GIR_EraseRootFromParent_Done,
     /*  382380 */   // Label 6868: @382380
     /*  382380 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382446), // Rule ID 61376 //
     /*  382385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  382396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  382399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  382402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382444 */     GIR_RootConstrainSelectedInstOperands,
     /*  382445 */     // GIR_Coverage, 61376,
     /*  382445 */     GIR_EraseRootFromParent_Done,
     /*  382446 */   // Label 6869: @382446
     /*  382446 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382512), // Rule ID 61377 //
     /*  382451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  382462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  382465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  382468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382510 */     GIR_RootConstrainSelectedInstOperands,
     /*  382511 */     // GIR_Coverage, 61377,
     /*  382511 */     GIR_EraseRootFromParent_Done,
     /*  382512 */   // Label 6870: @382512
     /*  382512 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382578), // Rule ID 61380 //
     /*  382517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382576 */     GIR_RootConstrainSelectedInstOperands,
     /*  382577 */     // GIR_Coverage, 61380,
     /*  382577 */     GIR_EraseRootFromParent_Done,
     /*  382578 */   // Label 6871: @382578
     /*  382578 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382644), // Rule ID 61381 //
     /*  382583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382642 */     GIR_RootConstrainSelectedInstOperands,
     /*  382643 */     // GIR_Coverage, 61381,
     /*  382643 */     GIR_EraseRootFromParent_Done,
     /*  382644 */   // Label 6872: @382644
     /*  382644 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382710), // Rule ID 61384 //
     /*  382649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382708 */     GIR_RootConstrainSelectedInstOperands,
     /*  382709 */     // GIR_Coverage, 61384,
     /*  382709 */     GIR_EraseRootFromParent_Done,
     /*  382710 */   // Label 6873: @382710
     /*  382710 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382776), // Rule ID 61385 //
     /*  382715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382774 */     GIR_RootConstrainSelectedInstOperands,
     /*  382775 */     // GIR_Coverage, 61385,
     /*  382775 */     GIR_EraseRootFromParent_Done,
     /*  382776 */   // Label 6874: @382776
     /*  382776 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(382842), // Rule ID 61388 //
     /*  382781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382840 */     GIR_RootConstrainSelectedInstOperands,
     /*  382841 */     // GIR_Coverage, 61388,
     /*  382841 */     GIR_EraseRootFromParent_Done,
     /*  382842 */   // Label 6875: @382842
     /*  382842 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(382908), // Rule ID 61389 //
     /*  382847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382906 */     GIR_RootConstrainSelectedInstOperands,
     /*  382907 */     // GIR_Coverage, 61389,
     /*  382907 */     GIR_EraseRootFromParent_Done,
     /*  382908 */   // Label 6876: @382908
     /*  382908 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(382974), // Rule ID 61392 //
     /*  382913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382972 */     GIR_RootConstrainSelectedInstOperands,
     /*  382973 */     // GIR_Coverage, 61392,
     /*  382973 */     GIR_EraseRootFromParent_Done,
     /*  382974 */   // Label 6877: @382974
     /*  382974 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(383040), // Rule ID 61393 //
     /*  382979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383038 */     GIR_RootConstrainSelectedInstOperands,
     /*  383039 */     // GIR_Coverage, 61393,
     /*  383039 */     GIR_EraseRootFromParent_Done,
     /*  383040 */   // Label 6878: @383040
     /*  383040 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(383106), // Rule ID 61396 //
     /*  383045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  383056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  383059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  383062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383104 */     GIR_RootConstrainSelectedInstOperands,
     /*  383105 */     // GIR_Coverage, 61396,
     /*  383105 */     GIR_EraseRootFromParent_Done,
     /*  383106 */   // Label 6879: @383106
     /*  383106 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383172), // Rule ID 61397 //
     /*  383111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  383122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  383125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  383128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383150 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383170 */     GIR_RootConstrainSelectedInstOperands,
     /*  383171 */     // GIR_Coverage, 61397,
     /*  383171 */     GIR_EraseRootFromParent_Done,
     /*  383172 */   // Label 6880: @383172
     /*  383172 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383238), // Rule ID 61400 //
     /*  383177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  383188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  383191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  383194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383216 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383236 */     GIR_RootConstrainSelectedInstOperands,
     /*  383237 */     // GIR_Coverage, 61400,
     /*  383237 */     GIR_EraseRootFromParent_Done,
     /*  383238 */   // Label 6881: @383238
     /*  383238 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383304), // Rule ID 61401 //
     /*  383243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  383254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  383257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  383260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383282 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383302 */     GIR_RootConstrainSelectedInstOperands,
     /*  383303 */     // GIR_Coverage, 61401,
     /*  383303 */     GIR_EraseRootFromParent_Done,
     /*  383304 */   // Label 6882: @383304
     /*  383304 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383370), // Rule ID 61404 //
     /*  383309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  383320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  383323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  383326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383368 */     GIR_RootConstrainSelectedInstOperands,
     /*  383369 */     // GIR_Coverage, 61404,
     /*  383369 */     GIR_EraseRootFromParent_Done,
     /*  383370 */   // Label 6883: @383370
     /*  383370 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383436), // Rule ID 61405 //
     /*  383375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  383386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  383389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  383392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383434 */     GIR_RootConstrainSelectedInstOperands,
     /*  383435 */     // GIR_Coverage, 61405,
     /*  383435 */     GIR_EraseRootFromParent_Done,
     /*  383436 */   // Label 6884: @383436
     /*  383436 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383502), // Rule ID 61408 //
     /*  383441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383500 */     GIR_RootConstrainSelectedInstOperands,
     /*  383501 */     // GIR_Coverage, 61408,
     /*  383501 */     GIR_EraseRootFromParent_Done,
     /*  383502 */   // Label 6885: @383502
     /*  383502 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383568), // Rule ID 61409 //
     /*  383507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383566 */     GIR_RootConstrainSelectedInstOperands,
     /*  383567 */     // GIR_Coverage, 61409,
     /*  383567 */     GIR_EraseRootFromParent_Done,
     /*  383568 */   // Label 6886: @383568
     /*  383568 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383634), // Rule ID 61412 //
     /*  383573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383632 */     GIR_RootConstrainSelectedInstOperands,
     /*  383633 */     // GIR_Coverage, 61412,
     /*  383633 */     GIR_EraseRootFromParent_Done,
     /*  383634 */   // Label 6887: @383634
     /*  383634 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383700), // Rule ID 61413 //
     /*  383639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383698 */     GIR_RootConstrainSelectedInstOperands,
     /*  383699 */     // GIR_Coverage, 61413,
     /*  383699 */     GIR_EraseRootFromParent_Done,
     /*  383700 */   // Label 6888: @383700
     /*  383700 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(383766), // Rule ID 61416 //
     /*  383705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383764 */     GIR_RootConstrainSelectedInstOperands,
     /*  383765 */     // GIR_Coverage, 61416,
     /*  383765 */     GIR_EraseRootFromParent_Done,
     /*  383766 */   // Label 6889: @383766
     /*  383766 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(383832), // Rule ID 61417 //
     /*  383771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383830 */     GIR_RootConstrainSelectedInstOperands,
     /*  383831 */     // GIR_Coverage, 61417,
     /*  383831 */     GIR_EraseRootFromParent_Done,
     /*  383832 */   // Label 6890: @383832
     /*  383832 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(383898), // Rule ID 61420 //
     /*  383837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383896 */     GIR_RootConstrainSelectedInstOperands,
     /*  383897 */     // GIR_Coverage, 61420,
     /*  383897 */     GIR_EraseRootFromParent_Done,
     /*  383898 */   // Label 6891: @383898
     /*  383898 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(383964), // Rule ID 61421 //
     /*  383903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383962 */     GIR_RootConstrainSelectedInstOperands,
     /*  383963 */     // GIR_Coverage, 61421,
     /*  383963 */     GIR_EraseRootFromParent_Done,
     /*  383964 */   // Label 6892: @383964
     /*  383964 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(384030), // Rule ID 61424 //
     /*  383969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384028 */     GIR_RootConstrainSelectedInstOperands,
     /*  384029 */     // GIR_Coverage, 61424,
     /*  384029 */     GIR_EraseRootFromParent_Done,
     /*  384030 */   // Label 6893: @384030
     /*  384030 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(384096), // Rule ID 61425 //
     /*  384035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  384046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  384049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  384052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384094 */     GIR_RootConstrainSelectedInstOperands,
     /*  384095 */     // GIR_Coverage, 61425,
     /*  384095 */     GIR_EraseRootFromParent_Done,
     /*  384096 */   // Label 6894: @384096
     /*  384096 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384162), // Rule ID 61428 //
     /*  384101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  384112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  384115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  384118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384140 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384160 */     GIR_RootConstrainSelectedInstOperands,
     /*  384161 */     // GIR_Coverage, 61428,
     /*  384161 */     GIR_EraseRootFromParent_Done,
     /*  384162 */   // Label 6895: @384162
     /*  384162 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384228), // Rule ID 61429 //
     /*  384167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  384178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  384181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  384184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384206 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384226 */     GIR_RootConstrainSelectedInstOperands,
     /*  384227 */     // GIR_Coverage, 61429,
     /*  384227 */     GIR_EraseRootFromParent_Done,
     /*  384228 */   // Label 6896: @384228
     /*  384228 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384294), // Rule ID 61432 //
     /*  384233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384292 */     GIR_RootConstrainSelectedInstOperands,
     /*  384293 */     // GIR_Coverage, 61432,
     /*  384293 */     GIR_EraseRootFromParent_Done,
     /*  384294 */   // Label 6897: @384294
     /*  384294 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384360), // Rule ID 61433 //
     /*  384299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384358 */     GIR_RootConstrainSelectedInstOperands,
     /*  384359 */     // GIR_Coverage, 61433,
     /*  384359 */     GIR_EraseRootFromParent_Done,
     /*  384360 */   // Label 6898: @384360
     /*  384360 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384426), // Rule ID 61436 //
     /*  384365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384404 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384424 */     GIR_RootConstrainSelectedInstOperands,
     /*  384425 */     // GIR_Coverage, 61436,
     /*  384425 */     GIR_EraseRootFromParent_Done,
     /*  384426 */   // Label 6899: @384426
     /*  384426 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384492), // Rule ID 61437 //
     /*  384431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384470 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384490 */     GIR_RootConstrainSelectedInstOperands,
     /*  384491 */     // GIR_Coverage, 61437,
     /*  384491 */     GIR_EraseRootFromParent_Done,
     /*  384492 */   // Label 6900: @384492
     /*  384492 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384557), // Rule ID 64367 //
     /*  384497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  384505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384541 */     // MIs[1] Operand 1
     /*  384541 */     // No operand predicates
     /*  384541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384543 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  384546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384555 */     GIR_RootConstrainSelectedInstOperands,
     /*  384556 */     // GIR_Coverage, 64367,
     /*  384556 */     GIR_EraseRootFromParent_Done,
     /*  384557 */   // Label 6901: @384557
     /*  384557 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384622), // Rule ID 64394 //
     /*  384562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  384570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384606 */     // MIs[1] Operand 1
     /*  384606 */     // No operand predicates
     /*  384606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384608 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  384611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384620 */     GIR_RootConstrainSelectedInstOperands,
     /*  384621 */     // GIR_Coverage, 64394,
     /*  384621 */     GIR_EraseRootFromParent_Done,
     /*  384622 */   // Label 6902: @384622
     /*  384622 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384687), // Rule ID 64397 //
     /*  384627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  384635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384671 */     // MIs[1] Operand 1
     /*  384671 */     // No operand predicates
     /*  384671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384673 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  384676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384685 */     GIR_RootConstrainSelectedInstOperands,
     /*  384686 */     // GIR_Coverage, 64397,
     /*  384686 */     GIR_EraseRootFromParent_Done,
     /*  384687 */   // Label 6903: @384687
     /*  384687 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(384752), // Rule ID 64400 //
     /*  384692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  384700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384736 */     // MIs[1] Operand 1
     /*  384736 */     // No operand predicates
     /*  384736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384738 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  384741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384750 */     GIR_RootConstrainSelectedInstOperands,
     /*  384751 */     // GIR_Coverage, 64400,
     /*  384751 */     GIR_EraseRootFromParent_Done,
     /*  384752 */   // Label 6904: @384752
     /*  384752 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(384817), // Rule ID 64403 //
     /*  384757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  384765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384801 */     // MIs[1] Operand 1
     /*  384801 */     // No operand predicates
     /*  384801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384803 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  384806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384815 */     GIR_RootConstrainSelectedInstOperands,
     /*  384816 */     // GIR_Coverage, 64403,
     /*  384816 */     GIR_EraseRootFromParent_Done,
     /*  384817 */   // Label 6905: @384817
     /*  384817 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(384882), // Rule ID 64406 //
     /*  384822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  384830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384866 */     // MIs[1] Operand 1
     /*  384866 */     // No operand predicates
     /*  384866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384868 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  384871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384880 */     GIR_RootConstrainSelectedInstOperands,
     /*  384881 */     // GIR_Coverage, 64406,
     /*  384881 */     GIR_EraseRootFromParent_Done,
     /*  384882 */   // Label 6906: @384882
     /*  384882 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(384947), // Rule ID 64409 //
     /*  384887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  384895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384931 */     // MIs[1] Operand 1
     /*  384931 */     // No operand predicates
     /*  384931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384933 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  384936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384945 */     GIR_RootConstrainSelectedInstOperands,
     /*  384946 */     // GIR_Coverage, 64409,
     /*  384946 */     GIR_EraseRootFromParent_Done,
     /*  384947 */   // Label 6907: @384947
     /*  384947 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(385012), // Rule ID 64412 //
     /*  384952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  384960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384996 */     // MIs[1] Operand 1
     /*  384996 */     // No operand predicates
     /*  384996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384998 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  385001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385010 */     GIR_RootConstrainSelectedInstOperands,
     /*  385011 */     // GIR_Coverage, 64412,
     /*  385011 */     GIR_EraseRootFromParent_Done,
     /*  385012 */   // Label 6908: @385012
     /*  385012 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(385067), // Rule ID 2537 //
     /*  385017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  385020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  385025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385046 */     // MIs[0] imm
     /*  385046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385054 */     // (intrinsic_wo_chain:{ *:[i32] } 10896:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  385057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385063 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385065 */     GIR_RootConstrainSelectedInstOperands,
     /*  385066 */     // GIR_Coverage, 2537,
     /*  385066 */     GIR_EraseRootFromParent_Done,
     /*  385067 */   // Label 6909: @385067
     /*  385067 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(385122), // Rule ID 2538 //
     /*  385072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  385075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  385080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385101 */     // MIs[0] imm
     /*  385101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385109 */     // (intrinsic_wo_chain:{ *:[i32] } 10897:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  385112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385118 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385120 */     GIR_RootConstrainSelectedInstOperands,
     /*  385121 */     // GIR_Coverage, 2538,
     /*  385121 */     GIR_EraseRootFromParent_Done,
     /*  385122 */   // Label 6910: @385122
     /*  385122 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(385177), // Rule ID 2544 //
     /*  385127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  385130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  385135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385156 */     // MIs[0] imm
     /*  385156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385164 */     // (intrinsic_wo_chain:{ *:[i32] } 10898:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  385167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385173 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385175 */     GIR_RootConstrainSelectedInstOperands,
     /*  385176 */     // GIR_Coverage, 2544,
     /*  385176 */     GIR_EraseRootFromParent_Done,
     /*  385177 */   // Label 6911: @385177
     /*  385177 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385232), // Rule ID 2545 //
     /*  385182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  385185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  385190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385211 */     // MIs[0] imm
     /*  385211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385219 */     // (intrinsic_wo_chain:{ *:[i32] } 10899:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  385222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385228 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385230 */     GIR_RootConstrainSelectedInstOperands,
     /*  385231 */     // GIR_Coverage, 2545,
     /*  385231 */     GIR_EraseRootFromParent_Done,
     /*  385232 */   // Label 6912: @385232
     /*  385232 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385287), // Rule ID 64423 //
     /*  385237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  385245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385266 */     // MIs[0] imm5
     /*  385266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385274 */     // (intrinsic_wo_chain:{ *:[i32] } 10944:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  385277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385283 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385285 */     GIR_RootConstrainSelectedInstOperands,
     /*  385286 */     // GIR_Coverage, 64423,
     /*  385286 */     GIR_EraseRootFromParent_Done,
     /*  385287 */   // Label 6913: @385287
     /*  385287 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385342), // Rule ID 64424 //
     /*  385292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  385300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385321 */     // MIs[0] imm5
     /*  385321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385329 */     // (intrinsic_wo_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  385332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385338 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385340 */     GIR_RootConstrainSelectedInstOperands,
     /*  385341 */     // GIR_Coverage, 64424,
     /*  385341 */     GIR_EraseRootFromParent_Done,
     /*  385342 */   // Label 6914: @385342
     /*  385342 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(385397), // Rule ID 64425 //
     /*  385347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  385355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385376 */     // MIs[0] imm5
     /*  385376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385379 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385384 */     // (intrinsic_wo_chain:{ *:[i32] } 10942:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  385387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385393 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385395 */     GIR_RootConstrainSelectedInstOperands,
     /*  385396 */     // GIR_Coverage, 64425,
     /*  385396 */     GIR_EraseRootFromParent_Done,
     /*  385397 */   // Label 6915: @385397
     /*  385397 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385452), // Rule ID 64426 //
     /*  385402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  385410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385431 */     // MIs[0] imm5
     /*  385431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385439 */     // (intrinsic_wo_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  385442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385448 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385450 */     GIR_RootConstrainSelectedInstOperands,
     /*  385451 */     // GIR_Coverage, 64426,
     /*  385451 */     GIR_EraseRootFromParent_Done,
     /*  385452 */   // Label 6916: @385452
     /*  385452 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385507), // Rule ID 64427 //
     /*  385457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  385465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385486 */     // MIs[0] imm5
     /*  385486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385494 */     // (intrinsic_wo_chain:{ *:[i32] } 10945:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  385497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385503 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385505 */     GIR_RootConstrainSelectedInstOperands,
     /*  385506 */     // GIR_Coverage, 64427,
     /*  385506 */     GIR_EraseRootFromParent_Done,
     /*  385507 */   // Label 6917: @385507
     /*  385507 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385562), // Rule ID 64428 //
     /*  385512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  385520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385541 */     // MIs[0] imm5
     /*  385541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385549 */     // (intrinsic_wo_chain:{ *:[i32] } 10941:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  385552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385558 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385560 */     GIR_RootConstrainSelectedInstOperands,
     /*  385561 */     // GIR_Coverage, 64428,
     /*  385561 */     GIR_EraseRootFromParent_Done,
     /*  385562 */   // Label 6918: @385562
     /*  385562 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(385617), // Rule ID 64429 //
     /*  385567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  385575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385596 */     // MIs[0] imm5
     /*  385596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385604 */     // (intrinsic_wo_chain:{ *:[i32] } 10943:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  385607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385613 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385615 */     GIR_RootConstrainSelectedInstOperands,
     /*  385616 */     // GIR_Coverage, 64429,
     /*  385616 */     GIR_EraseRootFromParent_Done,
     /*  385617 */   // Label 6919: @385617
     /*  385617 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(385672), // Rule ID 64430 //
     /*  385622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  385630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385651 */     // MIs[0] imm5
     /*  385651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385659 */     // (intrinsic_wo_chain:{ *:[i32] } 10939:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  385662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385668 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385670 */     GIR_RootConstrainSelectedInstOperands,
     /*  385671 */     // GIR_Coverage, 64430,
     /*  385671 */     GIR_EraseRootFromParent_Done,
     /*  385672 */   // Label 6920: @385672
     /*  385672 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(385726), // Rule ID 64365 //
     /*  385677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385713 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385724 */     GIR_RootConstrainSelectedInstOperands,
     /*  385725 */     // GIR_Coverage, 64365,
     /*  385725 */     GIR_EraseRootFromParent_Done,
     /*  385726 */   // Label 6921: @385726
     /*  385726 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(385780), // Rule ID 64366 //
     /*  385731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385767 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385778 */     GIR_RootConstrainSelectedInstOperands,
     /*  385779 */     // GIR_Coverage, 64366,
     /*  385779 */     GIR_EraseRootFromParent_Done,
     /*  385780 */   // Label 6922: @385780
     /*  385780 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(385834), // Rule ID 64392 //
     /*  385785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385821 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385832 */     GIR_RootConstrainSelectedInstOperands,
     /*  385833 */     // GIR_Coverage, 64392,
     /*  385833 */     GIR_EraseRootFromParent_Done,
     /*  385834 */   // Label 6923: @385834
     /*  385834 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(385888), // Rule ID 64393 //
     /*  385839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385875 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385886 */     GIR_RootConstrainSelectedInstOperands,
     /*  385887 */     // GIR_Coverage, 64393,
     /*  385887 */     GIR_EraseRootFromParent_Done,
     /*  385888 */   // Label 6924: @385888
     /*  385888 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(385942), // Rule ID 64395 //
     /*  385893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385929 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385940 */     GIR_RootConstrainSelectedInstOperands,
     /*  385941 */     // GIR_Coverage, 64395,
     /*  385941 */     GIR_EraseRootFromParent_Done,
     /*  385942 */   // Label 6925: @385942
     /*  385942 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(385996), // Rule ID 64396 //
     /*  385947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385983 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385994 */     GIR_RootConstrainSelectedInstOperands,
     /*  385995 */     // GIR_Coverage, 64396,
     /*  385995 */     GIR_EraseRootFromParent_Done,
     /*  385996 */   // Label 6926: @385996
     /*  385996 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(386050), // Rule ID 64398 //
     /*  386001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  386009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386037 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  386040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386048 */     GIR_RootConstrainSelectedInstOperands,
     /*  386049 */     // GIR_Coverage, 64398,
     /*  386049 */     GIR_EraseRootFromParent_Done,
     /*  386050 */   // Label 6927: @386050
     /*  386050 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(386104), // Rule ID 64399 //
     /*  386055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  386063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386091 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  386094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386102 */     GIR_RootConstrainSelectedInstOperands,
     /*  386103 */     // GIR_Coverage, 64399,
     /*  386103 */     GIR_EraseRootFromParent_Done,
     /*  386104 */   // Label 6928: @386104
     /*  386104 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(386158), // Rule ID 64401 //
     /*  386109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  386117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386145 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  386148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386156 */     GIR_RootConstrainSelectedInstOperands,
     /*  386157 */     // GIR_Coverage, 64401,
     /*  386157 */     GIR_EraseRootFromParent_Done,
     /*  386158 */   // Label 6929: @386158
     /*  386158 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(386212), // Rule ID 64402 //
     /*  386163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  386171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386199 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  386202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386210 */     GIR_RootConstrainSelectedInstOperands,
     /*  386211 */     // GIR_Coverage, 64402,
     /*  386211 */     GIR_EraseRootFromParent_Done,
     /*  386212 */   // Label 6930: @386212
     /*  386212 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386266), // Rule ID 64404 //
     /*  386217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  386225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386253 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  386256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386264 */     GIR_RootConstrainSelectedInstOperands,
     /*  386265 */     // GIR_Coverage, 64404,
     /*  386265 */     GIR_EraseRootFromParent_Done,
     /*  386266 */   // Label 6931: @386266
     /*  386266 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386320), // Rule ID 64405 //
     /*  386271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  386279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386307 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  386310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386318 */     GIR_RootConstrainSelectedInstOperands,
     /*  386319 */     // GIR_Coverage, 64405,
     /*  386319 */     GIR_EraseRootFromParent_Done,
     /*  386320 */   // Label 6932: @386320
     /*  386320 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386374), // Rule ID 64407 //
     /*  386325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  386333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386361 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  386364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386372 */     GIR_RootConstrainSelectedInstOperands,
     /*  386373 */     // GIR_Coverage, 64407,
     /*  386373 */     GIR_EraseRootFromParent_Done,
     /*  386374 */   // Label 6933: @386374
     /*  386374 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386428), // Rule ID 64408 //
     /*  386379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  386387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386415 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  386418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386426 */     GIR_RootConstrainSelectedInstOperands,
     /*  386427 */     // GIR_Coverage, 64408,
     /*  386427 */     GIR_EraseRootFromParent_Done,
     /*  386428 */   // Label 6934: @386428
     /*  386428 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(386482), // Rule ID 64410 //
     /*  386433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386469 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386480 */     GIR_RootConstrainSelectedInstOperands,
     /*  386481 */     // GIR_Coverage, 64410,
     /*  386481 */     GIR_EraseRootFromParent_Done,
     /*  386482 */   // Label 6935: @386482
     /*  386482 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(386536), // Rule ID 64411 //
     /*  386487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386523 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386534 */     GIR_RootConstrainSelectedInstOperands,
     /*  386535 */     // GIR_Coverage, 64411,
     /*  386535 */     GIR_EraseRootFromParent_Done,
     /*  386536 */   // Label 6936: @386536
     /*  386536 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(386590), // Rule ID 64348 //
     /*  386541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  386544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386577 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386588 */     GIR_RootConstrainSelectedInstOperands,
     /*  386589 */     // GIR_Coverage, 64348,
     /*  386589 */     GIR_EraseRootFromParent_Done,
     /*  386590 */   // Label 6937: @386590
     /*  386590 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(386644), // Rule ID 64349 //
     /*  386595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  386598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386631 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386642 */     GIR_RootConstrainSelectedInstOperands,
     /*  386643 */     // GIR_Coverage, 64349,
     /*  386643 */     GIR_EraseRootFromParent_Done,
     /*  386644 */   // Label 6938: @386644
     /*  386644 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(386698), // Rule ID 64419 //
     /*  386649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386685 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386696 */     GIR_RootConstrainSelectedInstOperands,
     /*  386697 */     // GIR_Coverage, 64419,
     /*  386697 */     GIR_EraseRootFromParent_Done,
     /*  386698 */   // Label 6939: @386698
     /*  386698 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(386752), // Rule ID 64420 //
     /*  386703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386739 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386750 */     GIR_RootConstrainSelectedInstOperands,
     /*  386751 */     // GIR_Coverage, 64420,
     /*  386751 */     GIR_EraseRootFromParent_Done,
     /*  386752 */   // Label 6940: @386752
     /*  386752 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(386806), // Rule ID 64421 //
     /*  386757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386793 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386804 */     GIR_RootConstrainSelectedInstOperands,
     /*  386805 */     // GIR_Coverage, 64421,
     /*  386805 */     GIR_EraseRootFromParent_Done,
     /*  386806 */   // Label 6941: @386806
     /*  386806 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(386860), // Rule ID 64422 //
     /*  386811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386847 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386858 */     GIR_RootConstrainSelectedInstOperands,
     /*  386859 */     // GIR_Coverage, 64422,
     /*  386859 */     GIR_EraseRootFromParent_Done,
     /*  386860 */   // Label 6942: @386860
     /*  386860 */   GIM_Reject,
     /*  386861 */ // Label 4317: @386861
     /*  386861 */ GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(905638),
     /*  386866 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  386869 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(386944), // Rule ID 62752 //
     /*  386874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386892 */     // MIs[0] op1
     /*  386892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386900 */     // MIs[0] op2
     /*  386900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386908 */     // MIs[0] op3
     /*  386908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386923 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  386926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386942 */     GIR_RootConstrainSelectedInstOperands,
     /*  386943 */     // GIR_Coverage, 62752,
     /*  386943 */     GIR_EraseRootFromParent_Done,
     /*  386944 */   // Label 6944: @386944
     /*  386944 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(387019), // Rule ID 62753 //
     /*  386949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386967 */     // MIs[0] op1
     /*  386967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386975 */     // MIs[0] op2
     /*  386975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386983 */     // MIs[0] op3
     /*  386983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386998 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  387001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387017 */     GIR_RootConstrainSelectedInstOperands,
     /*  387018 */     // GIR_Coverage, 62753,
     /*  387018 */     GIR_EraseRootFromParent_Done,
     /*  387019 */   // Label 6945: @387019
     /*  387019 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(387094), // Rule ID 62784 //
     /*  387024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387042 */     // MIs[0] op1
     /*  387042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387050 */     // MIs[0] op2
     /*  387050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387058 */     // MIs[0] op3
     /*  387058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387078 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387080 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387082 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387092 */     GIR_RootConstrainSelectedInstOperands,
     /*  387093 */     // GIR_Coverage, 62784,
     /*  387093 */     GIR_EraseRootFromParent_Done,
     /*  387094 */   // Label 6946: @387094
     /*  387094 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387169), // Rule ID 62785 //
     /*  387099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387117 */     // MIs[0] op1
     /*  387117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387125 */     // MIs[0] op2
     /*  387125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387128 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387133 */     // MIs[0] op3
     /*  387133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387153 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387155 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387157 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387167 */     GIR_RootConstrainSelectedInstOperands,
     /*  387168 */     // GIR_Coverage, 62785,
     /*  387168 */     GIR_EraseRootFromParent_Done,
     /*  387169 */   // Label 6947: @387169
     /*  387169 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387244), // Rule ID 62828 //
     /*  387174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387192 */     // MIs[0] op1
     /*  387192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387200 */     // MIs[0] op2
     /*  387200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387208 */     // MIs[0] op3
     /*  387208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387223 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387242 */     GIR_RootConstrainSelectedInstOperands,
     /*  387243 */     // GIR_Coverage, 62828,
     /*  387243 */     GIR_EraseRootFromParent_Done,
     /*  387244 */   // Label 6948: @387244
     /*  387244 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387319), // Rule ID 62829 //
     /*  387249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387267 */     // MIs[0] op1
     /*  387267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387275 */     // MIs[0] op2
     /*  387275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387283 */     // MIs[0] op3
     /*  387283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387298 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387303 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387305 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387307 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387317 */     GIR_RootConstrainSelectedInstOperands,
     /*  387318 */     // GIR_Coverage, 62829,
     /*  387318 */     GIR_EraseRootFromParent_Done,
     /*  387319 */   // Label 6949: @387319
     /*  387319 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(387394), // Rule ID 62872 //
     /*  387324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  387335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387342 */     // MIs[0] op1
     /*  387342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387350 */     // MIs[0] op2
     /*  387350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387358 */     // MIs[0] op3
     /*  387358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387373 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387378 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387380 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387382 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387392 */     GIR_RootConstrainSelectedInstOperands,
     /*  387393 */     // GIR_Coverage, 62872,
     /*  387393 */     GIR_EraseRootFromParent_Done,
     /*  387394 */   // Label 6950: @387394
     /*  387394 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(387469), // Rule ID 62873 //
     /*  387399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  387410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387417 */     // MIs[0] op1
     /*  387417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387425 */     // MIs[0] op2
     /*  387425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387433 */     // MIs[0] op3
     /*  387433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387453 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387455 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387457 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387467 */     GIR_RootConstrainSelectedInstOperands,
     /*  387468 */     // GIR_Coverage, 62873,
     /*  387468 */     GIR_EraseRootFromParent_Done,
     /*  387469 */   // Label 6951: @387469
     /*  387469 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(387544), // Rule ID 62928 //
     /*  387474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387492 */     // MIs[0] op1
     /*  387492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387500 */     // MIs[0] op2
     /*  387500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387508 */     // MIs[0] op3
     /*  387508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387528 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387530 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387532 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387542 */     GIR_RootConstrainSelectedInstOperands,
     /*  387543 */     // GIR_Coverage, 62928,
     /*  387543 */     GIR_EraseRootFromParent_Done,
     /*  387544 */   // Label 6952: @387544
     /*  387544 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(387619), // Rule ID 62929 //
     /*  387549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387567 */     // MIs[0] op1
     /*  387567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387575 */     // MIs[0] op2
     /*  387575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387583 */     // MIs[0] op3
     /*  387583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387603 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387605 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387607 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387617 */     GIR_RootConstrainSelectedInstOperands,
     /*  387618 */     // GIR_Coverage, 62929,
     /*  387618 */     GIR_EraseRootFromParent_Done,
     /*  387619 */   // Label 6953: @387619
     /*  387619 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(387694), // Rule ID 62984 //
     /*  387624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387642 */     // MIs[0] op1
     /*  387642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387650 */     // MIs[0] op2
     /*  387650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387658 */     // MIs[0] op3
     /*  387658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387661 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387692 */     GIR_RootConstrainSelectedInstOperands,
     /*  387693 */     // GIR_Coverage, 62984,
     /*  387693 */     GIR_EraseRootFromParent_Done,
     /*  387694 */   // Label 6954: @387694
     /*  387694 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(387769), // Rule ID 62985 //
     /*  387699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387717 */     // MIs[0] op1
     /*  387717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387720 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387725 */     // MIs[0] op2
     /*  387725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387733 */     // MIs[0] op3
     /*  387733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387736 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387753 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387755 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387757 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387767 */     GIR_RootConstrainSelectedInstOperands,
     /*  387768 */     // GIR_Coverage, 62985,
     /*  387768 */     GIR_EraseRootFromParent_Done,
     /*  387769 */   // Label 6955: @387769
     /*  387769 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(387844), // Rule ID 63040 //
     /*  387774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387792 */     // MIs[0] op1
     /*  387792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387800 */     // MIs[0] op2
     /*  387800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387808 */     // MIs[0] op3
     /*  387808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387823 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387828 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387830 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387832 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387842 */     GIR_RootConstrainSelectedInstOperands,
     /*  387843 */     // GIR_Coverage, 63040,
     /*  387843 */     GIR_EraseRootFromParent_Done,
     /*  387844 */   // Label 6956: @387844
     /*  387844 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(387919), // Rule ID 63041 //
     /*  387849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387867 */     // MIs[0] op1
     /*  387867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387875 */     // MIs[0] op2
     /*  387875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387883 */     // MIs[0] op3
     /*  387883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387903 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387905 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387907 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387917 */     GIR_RootConstrainSelectedInstOperands,
     /*  387918 */     // GIR_Coverage, 63041,
     /*  387918 */     GIR_EraseRootFromParent_Done,
     /*  387919 */   // Label 6957: @387919
     /*  387919 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(387994), // Rule ID 63084 //
     /*  387924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387942 */     // MIs[0] op1
     /*  387942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387950 */     // MIs[0] op2
     /*  387950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387958 */     // MIs[0] op3
     /*  387958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387961 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387978 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387980 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387982 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387992 */     GIR_RootConstrainSelectedInstOperands,
     /*  387993 */     // GIR_Coverage, 63084,
     /*  387993 */     GIR_EraseRootFromParent_Done,
     /*  387994 */   // Label 6958: @387994
     /*  387994 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(388069), // Rule ID 63085 //
     /*  387999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  388010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388017 */     // MIs[0] op1
     /*  388017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388025 */     // MIs[0] op2
     /*  388025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388033 */     // MIs[0] op3
     /*  388033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388053 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388055 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388057 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388067 */     GIR_RootConstrainSelectedInstOperands,
     /*  388068 */     // GIR_Coverage, 63085,
     /*  388068 */     GIR_EraseRootFromParent_Done,
     /*  388069 */   // Label 6959: @388069
     /*  388069 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388144), // Rule ID 63140 //
     /*  388074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388092 */     // MIs[0] op1
     /*  388092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388100 */     // MIs[0] op2
     /*  388100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388103 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388108 */     // MIs[0] op3
     /*  388108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  388123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388128 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388130 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388132 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388142 */     GIR_RootConstrainSelectedInstOperands,
     /*  388143 */     // GIR_Coverage, 63140,
     /*  388143 */     GIR_EraseRootFromParent_Done,
     /*  388144 */   // Label 6960: @388144
     /*  388144 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388219), // Rule ID 63141 //
     /*  388149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388167 */     // MIs[0] op1
     /*  388167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388175 */     // MIs[0] op2
     /*  388175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388183 */     // MIs[0] op3
     /*  388183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  388198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388217 */     GIR_RootConstrainSelectedInstOperands,
     /*  388218 */     // GIR_Coverage, 63141,
     /*  388218 */     GIR_EraseRootFromParent_Done,
     /*  388219 */   // Label 6961: @388219
     /*  388219 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388294), // Rule ID 63196 //
     /*  388224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388242 */     // MIs[0] op1
     /*  388242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388250 */     // MIs[0] op2
     /*  388250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388258 */     // MIs[0] op3
     /*  388258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  388273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388292 */     GIR_RootConstrainSelectedInstOperands,
     /*  388293 */     // GIR_Coverage, 63196,
     /*  388293 */     GIR_EraseRootFromParent_Done,
     /*  388294 */   // Label 6962: @388294
     /*  388294 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388369), // Rule ID 63197 //
     /*  388299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388317 */     // MIs[0] op1
     /*  388317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388325 */     // MIs[0] op2
     /*  388325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388333 */     // MIs[0] op3
     /*  388333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  388348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388353 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388355 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388357 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388367 */     GIR_RootConstrainSelectedInstOperands,
     /*  388368 */     // GIR_Coverage, 63197,
     /*  388368 */     GIR_EraseRootFromParent_Done,
     /*  388369 */   // Label 6963: @388369
     /*  388369 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388444), // Rule ID 63252 //
     /*  388374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388392 */     // MIs[0] op1
     /*  388392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388400 */     // MIs[0] op2
     /*  388400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388408 */     // MIs[0] op3
     /*  388408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388428 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388430 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388432 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388442 */     GIR_RootConstrainSelectedInstOperands,
     /*  388443 */     // GIR_Coverage, 63252,
     /*  388443 */     GIR_EraseRootFromParent_Done,
     /*  388444 */   // Label 6964: @388444
     /*  388444 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(388519), // Rule ID 63253 //
     /*  388449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388467 */     // MIs[0] op1
     /*  388467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388475 */     // MIs[0] op2
     /*  388475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388483 */     // MIs[0] op3
     /*  388483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388503 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388505 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388507 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388517 */     GIR_RootConstrainSelectedInstOperands,
     /*  388518 */     // GIR_Coverage, 63253,
     /*  388518 */     GIR_EraseRootFromParent_Done,
     /*  388519 */   // Label 6965: @388519
     /*  388519 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(388594), // Rule ID 63296 //
     /*  388524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388542 */     // MIs[0] op1
     /*  388542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388545 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388550 */     // MIs[0] op2
     /*  388550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388558 */     // MIs[0] op3
     /*  388558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388573 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388578 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388580 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388582 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388592 */     GIR_RootConstrainSelectedInstOperands,
     /*  388593 */     // GIR_Coverage, 63296,
     /*  388593 */     GIR_EraseRootFromParent_Done,
     /*  388594 */   // Label 6966: @388594
     /*  388594 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(388669), // Rule ID 63297 //
     /*  388599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388617 */     // MIs[0] op1
     /*  388617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388625 */     // MIs[0] op2
     /*  388625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388633 */     // MIs[0] op3
     /*  388633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388636 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388648 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388653 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388655 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388657 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388667 */     GIR_RootConstrainSelectedInstOperands,
     /*  388668 */     // GIR_Coverage, 63297,
     /*  388668 */     GIR_EraseRootFromParent_Done,
     /*  388669 */   // Label 6967: @388669
     /*  388669 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(388744), // Rule ID 63340 //
     /*  388674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388692 */     // MIs[0] op1
     /*  388692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388700 */     // MIs[0] op2
     /*  388700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388708 */     // MIs[0] op3
     /*  388708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388723 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388742 */     GIR_RootConstrainSelectedInstOperands,
     /*  388743 */     // GIR_Coverage, 63340,
     /*  388743 */     GIR_EraseRootFromParent_Done,
     /*  388744 */   // Label 6968: @388744
     /*  388744 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(388819), // Rule ID 63341 //
     /*  388749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388767 */     // MIs[0] op1
     /*  388767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388775 */     // MIs[0] op2
     /*  388775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388783 */     // MIs[0] op3
     /*  388783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388798 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388803 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388805 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388807 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388817 */     GIR_RootConstrainSelectedInstOperands,
     /*  388818 */     // GIR_Coverage, 63341,
     /*  388818 */     GIR_EraseRootFromParent_Done,
     /*  388819 */   // Label 6969: @388819
     /*  388819 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(388894), // Rule ID 63384 //
     /*  388824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388842 */     // MIs[0] op1
     /*  388842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388850 */     // MIs[0] op2
     /*  388850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388858 */     // MIs[0] op3
     /*  388858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388873 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388878 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388880 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388882 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388892 */     GIR_RootConstrainSelectedInstOperands,
     /*  388893 */     // GIR_Coverage, 63384,
     /*  388893 */     GIR_EraseRootFromParent_Done,
     /*  388894 */   // Label 6970: @388894
     /*  388894 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(388969), // Rule ID 63385 //
     /*  388899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388917 */     // MIs[0] op1
     /*  388917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388925 */     // MIs[0] op2
     /*  388925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388928 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388933 */     // MIs[0] op3
     /*  388933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388953 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388955 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388957 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388967 */     GIR_RootConstrainSelectedInstOperands,
     /*  388968 */     // GIR_Coverage, 63385,
     /*  388968 */     GIR_EraseRootFromParent_Done,
     /*  388969 */   // Label 6971: @388969
     /*  388969 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(389044), // Rule ID 63440 //
     /*  388974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388992 */     // MIs[0] op1
     /*  388992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389000 */     // MIs[0] op2
     /*  389000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389008 */     // MIs[0] op3
     /*  389008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389023 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389042 */     GIR_RootConstrainSelectedInstOperands,
     /*  389043 */     // GIR_Coverage, 63440,
     /*  389043 */     GIR_EraseRootFromParent_Done,
     /*  389044 */   // Label 6972: @389044
     /*  389044 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(389119), // Rule ID 63441 //
     /*  389049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  389060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389067 */     // MIs[0] op1
     /*  389067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389075 */     // MIs[0] op2
     /*  389075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389083 */     // MIs[0] op3
     /*  389083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389103 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389105 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389107 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389117 */     GIR_RootConstrainSelectedInstOperands,
     /*  389118 */     // GIR_Coverage, 63441,
     /*  389118 */     GIR_EraseRootFromParent_Done,
     /*  389119 */   // Label 6973: @389119
     /*  389119 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389194), // Rule ID 63496 //
     /*  389124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389142 */     // MIs[0] op1
     /*  389142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389150 */     // MIs[0] op2
     /*  389150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389158 */     // MIs[0] op3
     /*  389158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389173 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389192 */     GIR_RootConstrainSelectedInstOperands,
     /*  389193 */     // GIR_Coverage, 63496,
     /*  389193 */     GIR_EraseRootFromParent_Done,
     /*  389194 */   // Label 6974: @389194
     /*  389194 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389269), // Rule ID 63497 //
     /*  389199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389217 */     // MIs[0] op1
     /*  389217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389225 */     // MIs[0] op2
     /*  389225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389233 */     // MIs[0] op3
     /*  389233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389253 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389255 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389257 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389267 */     GIR_RootConstrainSelectedInstOperands,
     /*  389268 */     // GIR_Coverage, 63497,
     /*  389268 */     GIR_EraseRootFromParent_Done,
     /*  389269 */   // Label 6975: @389269
     /*  389269 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389344), // Rule ID 63552 //
     /*  389274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  389285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389292 */     // MIs[0] op1
     /*  389292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389300 */     // MIs[0] op2
     /*  389300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389308 */     // MIs[0] op3
     /*  389308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389328 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389330 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389332 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389342 */     GIR_RootConstrainSelectedInstOperands,
     /*  389343 */     // GIR_Coverage, 63552,
     /*  389343 */     GIR_EraseRootFromParent_Done,
     /*  389344 */   // Label 6976: @389344
     /*  389344 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389419), // Rule ID 63553 //
     /*  389349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  389360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389367 */     // MIs[0] op1
     /*  389367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389375 */     // MIs[0] op2
     /*  389375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389383 */     // MIs[0] op3
     /*  389383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389417 */     GIR_RootConstrainSelectedInstOperands,
     /*  389418 */     // GIR_Coverage, 63553,
     /*  389418 */     GIR_EraseRootFromParent_Done,
     /*  389419 */   // Label 6977: @389419
     /*  389419 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389494), // Rule ID 63608 //
     /*  389424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389442 */     // MIs[0] op1
     /*  389442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389450 */     // MIs[0] op2
     /*  389450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389458 */     // MIs[0] op3
     /*  389458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389492 */     GIR_RootConstrainSelectedInstOperands,
     /*  389493 */     // GIR_Coverage, 63608,
     /*  389493 */     GIR_EraseRootFromParent_Done,
     /*  389494 */   // Label 6978: @389494
     /*  389494 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(389569), // Rule ID 63609 //
     /*  389499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389517 */     // MIs[0] op1
     /*  389517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389525 */     // MIs[0] op2
     /*  389525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389533 */     // MIs[0] op3
     /*  389533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389567 */     GIR_RootConstrainSelectedInstOperands,
     /*  389568 */     // GIR_Coverage, 63609,
     /*  389568 */     GIR_EraseRootFromParent_Done,
     /*  389569 */   // Label 6979: @389569
     /*  389569 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(389644), // Rule ID 63664 //
     /*  389574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389592 */     // MIs[0] op1
     /*  389592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389600 */     // MIs[0] op2
     /*  389600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389608 */     // MIs[0] op3
     /*  389608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389623 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389628 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389630 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389632 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389642 */     GIR_RootConstrainSelectedInstOperands,
     /*  389643 */     // GIR_Coverage, 63664,
     /*  389643 */     GIR_EraseRootFromParent_Done,
     /*  389644 */   // Label 6980: @389644
     /*  389644 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389719), // Rule ID 63665 //
     /*  389649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389667 */     // MIs[0] op1
     /*  389667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389675 */     // MIs[0] op2
     /*  389675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389683 */     // MIs[0] op3
     /*  389683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389717 */     GIR_RootConstrainSelectedInstOperands,
     /*  389718 */     // GIR_Coverage, 63665,
     /*  389718 */     GIR_EraseRootFromParent_Done,
     /*  389719 */   // Label 6981: @389719
     /*  389719 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389794), // Rule ID 63720 //
     /*  389724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389742 */     // MIs[0] op1
     /*  389742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389750 */     // MIs[0] op2
     /*  389750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389758 */     // MIs[0] op3
     /*  389758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389773 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389792 */     GIR_RootConstrainSelectedInstOperands,
     /*  389793 */     // GIR_Coverage, 63720,
     /*  389793 */     GIR_EraseRootFromParent_Done,
     /*  389794 */   // Label 6982: @389794
     /*  389794 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(389869), // Rule ID 63721 //
     /*  389799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389817 */     // MIs[0] op1
     /*  389817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389825 */     // MIs[0] op2
     /*  389825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389833 */     // MIs[0] op3
     /*  389833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389867 */     GIR_RootConstrainSelectedInstOperands,
     /*  389868 */     // GIR_Coverage, 63721,
     /*  389868 */     GIR_EraseRootFromParent_Done,
     /*  389869 */   // Label 6983: @389869
     /*  389869 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(389944), // Rule ID 63776 //
     /*  389874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389892 */     // MIs[0] op1
     /*  389892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389900 */     // MIs[0] op2
     /*  389900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389908 */     // MIs[0] op3
     /*  389908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389923 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389942 */     GIR_RootConstrainSelectedInstOperands,
     /*  389943 */     // GIR_Coverage, 63776,
     /*  389943 */     GIR_EraseRootFromParent_Done,
     /*  389944 */   // Label 6984: @389944
     /*  389944 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(390019), // Rule ID 63777 //
     /*  389949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389967 */     // MIs[0] op1
     /*  389967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389975 */     // MIs[0] op2
     /*  389975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389983 */     // MIs[0] op3
     /*  389983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  390001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390017 */     GIR_RootConstrainSelectedInstOperands,
     /*  390018 */     // GIR_Coverage, 63777,
     /*  390018 */     GIR_EraseRootFromParent_Done,
     /*  390019 */   // Label 6985: @390019
     /*  390019 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(390094), // Rule ID 63832 //
     /*  390024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390042 */     // MIs[0] op1
     /*  390042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390050 */     // MIs[0] op2
     /*  390050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390058 */     // MIs[0] op3
     /*  390058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390073 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  390073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  390076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390078 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390080 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390082 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390092 */     GIR_RootConstrainSelectedInstOperands,
     /*  390093 */     // GIR_Coverage, 63832,
     /*  390093 */     GIR_EraseRootFromParent_Done,
     /*  390094 */   // Label 6986: @390094
     /*  390094 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390169), // Rule ID 63833 //
     /*  390099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390117 */     // MIs[0] op1
     /*  390117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390125 */     // MIs[0] op2
     /*  390125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390128 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390133 */     // MIs[0] op3
     /*  390133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390148 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  390151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390153 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390155 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390157 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390167 */     GIR_RootConstrainSelectedInstOperands,
     /*  390168 */     // GIR_Coverage, 63833,
     /*  390168 */     GIR_EraseRootFromParent_Done,
     /*  390169 */   // Label 6987: @390169
     /*  390169 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390243), // Rule ID 62734 //
     /*  390174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390195 */     // MIs[0] op1
     /*  390195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390203 */     // MIs[0] op2
     /*  390203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390222 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  390225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390227 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390229 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390231 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390241 */     GIR_RootConstrainSelectedInstOperands,
     /*  390242 */     // GIR_Coverage, 62734,
     /*  390242 */     GIR_EraseRootFromParent_Done,
     /*  390243 */   // Label 6988: @390243
     /*  390243 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390317), // Rule ID 62735 //
     /*  390248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390269 */     // MIs[0] op1
     /*  390269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390277 */     // MIs[0] op2
     /*  390277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  390299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390301 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390303 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390305 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390315 */     GIR_RootConstrainSelectedInstOperands,
     /*  390316 */     // GIR_Coverage, 62735,
     /*  390316 */     GIR_EraseRootFromParent_Done,
     /*  390317 */   // Label 6989: @390317
     /*  390317 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390391), // Rule ID 62780 //
     /*  390322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390343 */     // MIs[0] op1
     /*  390343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390351 */     // MIs[0] op2
     /*  390351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390370 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390389 */     GIR_RootConstrainSelectedInstOperands,
     /*  390390 */     // GIR_Coverage, 62780,
     /*  390390 */     GIR_EraseRootFromParent_Done,
     /*  390391 */   // Label 6990: @390391
     /*  390391 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390465), // Rule ID 62781 //
     /*  390396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390417 */     // MIs[0] op1
     /*  390417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390425 */     // MIs[0] op2
     /*  390425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390444 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390449 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390451 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390453 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390463 */     GIR_RootConstrainSelectedInstOperands,
     /*  390464 */     // GIR_Coverage, 62781,
     /*  390464 */     GIR_EraseRootFromParent_Done,
     /*  390465 */   // Label 6991: @390465
     /*  390465 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390539), // Rule ID 62824 //
     /*  390470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390491 */     // MIs[0] op1
     /*  390491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390499 */     // MIs[0] op2
     /*  390499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390523 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390525 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390527 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390537 */     GIR_RootConstrainSelectedInstOperands,
     /*  390538 */     // GIR_Coverage, 62824,
     /*  390538 */     GIR_EraseRootFromParent_Done,
     /*  390539 */   // Label 6992: @390539
     /*  390539 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(390613), // Rule ID 62825 //
     /*  390544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390565 */     // MIs[0] op1
     /*  390565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390573 */     // MIs[0] op2
     /*  390573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390597 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390599 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390601 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390611 */     GIR_RootConstrainSelectedInstOperands,
     /*  390612 */     // GIR_Coverage, 62825,
     /*  390612 */     GIR_EraseRootFromParent_Done,
     /*  390613 */   // Label 6993: @390613
     /*  390613 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(390687), // Rule ID 62868 //
     /*  390618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390639 */     // MIs[0] op1
     /*  390639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390647 */     // MIs[0] op2
     /*  390647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390685 */     GIR_RootConstrainSelectedInstOperands,
     /*  390686 */     // GIR_Coverage, 62868,
     /*  390686 */     GIR_EraseRootFromParent_Done,
     /*  390687 */   // Label 6994: @390687
     /*  390687 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390761), // Rule ID 62869 //
     /*  390692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390713 */     // MIs[0] op1
     /*  390713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390721 */     // MIs[0] op2
     /*  390721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390740 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390745 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390747 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390749 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390759 */     GIR_RootConstrainSelectedInstOperands,
     /*  390760 */     // GIR_Coverage, 62869,
     /*  390760 */     GIR_EraseRootFromParent_Done,
     /*  390761 */   // Label 6995: @390761
     /*  390761 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390835), // Rule ID 62924 //
     /*  390766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390787 */     // MIs[0] op1
     /*  390787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390795 */     // MIs[0] op2
     /*  390795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390833 */     GIR_RootConstrainSelectedInstOperands,
     /*  390834 */     // GIR_Coverage, 62924,
     /*  390834 */     GIR_EraseRootFromParent_Done,
     /*  390835 */   // Label 6996: @390835
     /*  390835 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390909), // Rule ID 62925 //
     /*  390840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390861 */     // MIs[0] op1
     /*  390861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390869 */     // MIs[0] op2
     /*  390869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390907 */     GIR_RootConstrainSelectedInstOperands,
     /*  390908 */     // GIR_Coverage, 62925,
     /*  390908 */     GIR_EraseRootFromParent_Done,
     /*  390909 */   // Label 6997: @390909
     /*  390909 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390983), // Rule ID 62980 //
     /*  390914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390935 */     // MIs[0] op1
     /*  390935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390943 */     // MIs[0] op2
     /*  390943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390967 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390969 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390971 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390981 */     GIR_RootConstrainSelectedInstOperands,
     /*  390982 */     // GIR_Coverage, 62980,
     /*  390982 */     GIR_EraseRootFromParent_Done,
     /*  390983 */   // Label 6998: @390983
     /*  390983 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(391057), // Rule ID 62981 //
     /*  390988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391009 */     // MIs[0] op1
     /*  391009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391017 */     // MIs[0] op2
     /*  391017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  391039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391041 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391043 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391045 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391055 */     GIR_RootConstrainSelectedInstOperands,
     /*  391056 */     // GIR_Coverage, 62981,
     /*  391056 */     GIR_EraseRootFromParent_Done,
     /*  391057 */   // Label 6999: @391057
     /*  391057 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(391131), // Rule ID 63036 //
     /*  391062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391083 */     // MIs[0] op1
     /*  391083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391091 */     // MIs[0] op2
     /*  391091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391110 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391129 */     GIR_RootConstrainSelectedInstOperands,
     /*  391130 */     // GIR_Coverage, 63036,
     /*  391130 */     GIR_EraseRootFromParent_Done,
     /*  391131 */   // Label 7000: @391131
     /*  391131 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(391205), // Rule ID 63037 //
     /*  391136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391157 */     // MIs[0] op1
     /*  391157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391165 */     // MIs[0] op2
     /*  391165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391184 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391203 */     GIR_RootConstrainSelectedInstOperands,
     /*  391204 */     // GIR_Coverage, 63037,
     /*  391204 */     GIR_EraseRootFromParent_Done,
     /*  391205 */   // Label 7001: @391205
     /*  391205 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(391279), // Rule ID 63080 //
     /*  391210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391231 */     // MIs[0] op1
     /*  391231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391239 */     // MIs[0] op2
     /*  391239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391277 */     GIR_RootConstrainSelectedInstOperands,
     /*  391278 */     // GIR_Coverage, 63080,
     /*  391278 */     GIR_EraseRootFromParent_Done,
     /*  391279 */   // Label 7002: @391279
     /*  391279 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(391353), // Rule ID 63081 //
     /*  391284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391305 */     // MIs[0] op1
     /*  391305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391313 */     // MIs[0] op2
     /*  391313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391337 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391339 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391341 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391351 */     GIR_RootConstrainSelectedInstOperands,
     /*  391352 */     // GIR_Coverage, 63081,
     /*  391352 */     GIR_EraseRootFromParent_Done,
     /*  391353 */   // Label 7003: @391353
     /*  391353 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(391427), // Rule ID 63136 //
     /*  391358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391379 */     // MIs[0] op1
     /*  391379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391387 */     // MIs[0] op2
     /*  391387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  391406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391425 */     GIR_RootConstrainSelectedInstOperands,
     /*  391426 */     // GIR_Coverage, 63136,
     /*  391426 */     GIR_EraseRootFromParent_Done,
     /*  391427 */   // Label 7004: @391427
     /*  391427 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391501), // Rule ID 63137 //
     /*  391432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391453 */     // MIs[0] op1
     /*  391453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391461 */     // MIs[0] op2
     /*  391461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391485 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391487 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391489 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391499 */     GIR_RootConstrainSelectedInstOperands,
     /*  391500 */     // GIR_Coverage, 63137,
     /*  391500 */     GIR_EraseRootFromParent_Done,
     /*  391501 */   // Label 7005: @391501
     /*  391501 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(391575), // Rule ID 63192 //
     /*  391506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391527 */     // MIs[0] op1
     /*  391527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391535 */     // MIs[0] op2
     /*  391535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  391554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391573 */     GIR_RootConstrainSelectedInstOperands,
     /*  391574 */     // GIR_Coverage, 63192,
     /*  391574 */     GIR_EraseRootFromParent_Done,
     /*  391575 */   // Label 7006: @391575
     /*  391575 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(391649), // Rule ID 63193 //
     /*  391580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391601 */     // MIs[0] op1
     /*  391601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391609 */     // MIs[0] op2
     /*  391609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  391628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391633 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391635 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391637 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391647 */     GIR_RootConstrainSelectedInstOperands,
     /*  391648 */     // GIR_Coverage, 63193,
     /*  391648 */     GIR_EraseRootFromParent_Done,
     /*  391649 */   // Label 7007: @391649
     /*  391649 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391723), // Rule ID 63248 //
     /*  391654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391675 */     // MIs[0] op1
     /*  391675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391683 */     // MIs[0] op2
     /*  391683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391721 */     GIR_RootConstrainSelectedInstOperands,
     /*  391722 */     // GIR_Coverage, 63248,
     /*  391722 */     GIR_EraseRootFromParent_Done,
     /*  391723 */   // Label 7008: @391723
     /*  391723 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391797), // Rule ID 63249 //
     /*  391728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391749 */     // MIs[0] op1
     /*  391749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391757 */     // MIs[0] op2
     /*  391757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391781 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391783 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391785 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391795 */     GIR_RootConstrainSelectedInstOperands,
     /*  391796 */     // GIR_Coverage, 63249,
     /*  391796 */     GIR_EraseRootFromParent_Done,
     /*  391797 */   // Label 7009: @391797
     /*  391797 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391871), // Rule ID 63292 //
     /*  391802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391823 */     // MIs[0] op1
     /*  391823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391831 */     // MIs[0] op2
     /*  391831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391869 */     GIR_RootConstrainSelectedInstOperands,
     /*  391870 */     // GIR_Coverage, 63292,
     /*  391870 */     GIR_EraseRootFromParent_Done,
     /*  391871 */   // Label 7010: @391871
     /*  391871 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391945), // Rule ID 63293 //
     /*  391876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391897 */     // MIs[0] op1
     /*  391897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391905 */     // MIs[0] op2
     /*  391905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391929 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391931 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391933 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391943 */     GIR_RootConstrainSelectedInstOperands,
     /*  391944 */     // GIR_Coverage, 63293,
     /*  391944 */     GIR_EraseRootFromParent_Done,
     /*  391945 */   // Label 7011: @391945
     /*  391945 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(392019), // Rule ID 63336 //
     /*  391950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391971 */     // MIs[0] op1
     /*  391971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391979 */     // MIs[0] op2
     /*  391979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391998 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392017 */     GIR_RootConstrainSelectedInstOperands,
     /*  392018 */     // GIR_Coverage, 63336,
     /*  392018 */     GIR_EraseRootFromParent_Done,
     /*  392019 */   // Label 7012: @392019
     /*  392019 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(392093), // Rule ID 63337 //
     /*  392024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392045 */     // MIs[0] op1
     /*  392045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392053 */     // MIs[0] op2
     /*  392053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392077 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392079 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392081 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392091 */     GIR_RootConstrainSelectedInstOperands,
     /*  392092 */     // GIR_Coverage, 63337,
     /*  392092 */     GIR_EraseRootFromParent_Done,
     /*  392093 */   // Label 7013: @392093
     /*  392093 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(392167), // Rule ID 63380 //
     /*  392098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392119 */     // MIs[0] op1
     /*  392119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392127 */     // MIs[0] op2
     /*  392127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392151 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392153 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392155 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392165 */     GIR_RootConstrainSelectedInstOperands,
     /*  392166 */     // GIR_Coverage, 63380,
     /*  392166 */     GIR_EraseRootFromParent_Done,
     /*  392167 */   // Label 7014: @392167
     /*  392167 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(392241), // Rule ID 63381 //
     /*  392172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392193 */     // MIs[0] op1
     /*  392193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392201 */     // MIs[0] op2
     /*  392201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392239 */     GIR_RootConstrainSelectedInstOperands,
     /*  392240 */     // GIR_Coverage, 63381,
     /*  392240 */     GIR_EraseRootFromParent_Done,
     /*  392241 */   // Label 7015: @392241
     /*  392241 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(392315), // Rule ID 63436 //
     /*  392246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392267 */     // MIs[0] op1
     /*  392267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392275 */     // MIs[0] op2
     /*  392275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392294 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392299 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392301 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392303 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392313 */     GIR_RootConstrainSelectedInstOperands,
     /*  392314 */     // GIR_Coverage, 63436,
     /*  392314 */     GIR_EraseRootFromParent_Done,
     /*  392315 */   // Label 7016: @392315
     /*  392315 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(392389), // Rule ID 63437 //
     /*  392320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392341 */     // MIs[0] op1
     /*  392341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392349 */     // MIs[0] op2
     /*  392349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392373 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392375 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392377 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392387 */     GIR_RootConstrainSelectedInstOperands,
     /*  392388 */     // GIR_Coverage, 63437,
     /*  392388 */     GIR_EraseRootFromParent_Done,
     /*  392389 */   // Label 7017: @392389
     /*  392389 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(392463), // Rule ID 63492 //
     /*  392394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392415 */     // MIs[0] op1
     /*  392415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392423 */     // MIs[0] op2
     /*  392423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392447 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392449 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392451 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392461 */     GIR_RootConstrainSelectedInstOperands,
     /*  392462 */     // GIR_Coverage, 63492,
     /*  392462 */     GIR_EraseRootFromParent_Done,
     /*  392463 */   // Label 7018: @392463
     /*  392463 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(392537), // Rule ID 63493 //
     /*  392468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392489 */     // MIs[0] op1
     /*  392489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392497 */     // MIs[0] op2
     /*  392497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392535 */     GIR_RootConstrainSelectedInstOperands,
     /*  392536 */     // GIR_Coverage, 63493,
     /*  392536 */     GIR_EraseRootFromParent_Done,
     /*  392537 */   // Label 7019: @392537
     /*  392537 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(392611), // Rule ID 63548 //
     /*  392542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392563 */     // MIs[0] op1
     /*  392563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392571 */     // MIs[0] op2
     /*  392571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392595 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392597 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392599 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392609 */     GIR_RootConstrainSelectedInstOperands,
     /*  392610 */     // GIR_Coverage, 63548,
     /*  392610 */     GIR_EraseRootFromParent_Done,
     /*  392611 */   // Label 7020: @392611
     /*  392611 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(392685), // Rule ID 63549 //
     /*  392616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392637 */     // MIs[0] op1
     /*  392637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392645 */     // MIs[0] op2
     /*  392645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392669 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392671 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392673 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392683 */     GIR_RootConstrainSelectedInstOperands,
     /*  392684 */     // GIR_Coverage, 63549,
     /*  392684 */     GIR_EraseRootFromParent_Done,
     /*  392685 */   // Label 7021: @392685
     /*  392685 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392759), // Rule ID 63604 //
     /*  392690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392711 */     // MIs[0] op1
     /*  392711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392719 */     // MIs[0] op2
     /*  392719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392738 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392757 */     GIR_RootConstrainSelectedInstOperands,
     /*  392758 */     // GIR_Coverage, 63604,
     /*  392758 */     GIR_EraseRootFromParent_Done,
     /*  392759 */   // Label 7022: @392759
     /*  392759 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392833), // Rule ID 63605 //
     /*  392764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392785 */     // MIs[0] op1
     /*  392785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392793 */     // MIs[0] op2
     /*  392793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392831 */     GIR_RootConstrainSelectedInstOperands,
     /*  392832 */     // GIR_Coverage, 63605,
     /*  392832 */     GIR_EraseRootFromParent_Done,
     /*  392833 */   // Label 7023: @392833
     /*  392833 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392907), // Rule ID 63660 //
     /*  392838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392859 */     // MIs[0] op1
     /*  392859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392867 */     // MIs[0] op2
     /*  392867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392891 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392893 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392895 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392905 */     GIR_RootConstrainSelectedInstOperands,
     /*  392906 */     // GIR_Coverage, 63660,
     /*  392906 */     GIR_EraseRootFromParent_Done,
     /*  392907 */   // Label 7024: @392907
     /*  392907 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392981), // Rule ID 63661 //
     /*  392912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392933 */     // MIs[0] op1
     /*  392933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392941 */     // MIs[0] op2
     /*  392941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392960 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392965 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392967 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392969 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392979 */     GIR_RootConstrainSelectedInstOperands,
     /*  392980 */     // GIR_Coverage, 63661,
     /*  392980 */     GIR_EraseRootFromParent_Done,
     /*  392981 */   // Label 7025: @392981
     /*  392981 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(393055), // Rule ID 63716 //
     /*  392986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393007 */     // MIs[0] op1
     /*  393007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393015 */     // MIs[0] op2
     /*  393015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  393037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393053 */     GIR_RootConstrainSelectedInstOperands,
     /*  393054 */     // GIR_Coverage, 63716,
     /*  393054 */     GIR_EraseRootFromParent_Done,
     /*  393055 */   // Label 7026: @393055
     /*  393055 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(393129), // Rule ID 63717 //
     /*  393060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393081 */     // MIs[0] op1
     /*  393081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393089 */     // MIs[0] op2
     /*  393089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  393111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393127 */     GIR_RootConstrainSelectedInstOperands,
     /*  393128 */     // GIR_Coverage, 63717,
     /*  393128 */     GIR_EraseRootFromParent_Done,
     /*  393129 */   // Label 7027: @393129
     /*  393129 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(393203), // Rule ID 63772 //
     /*  393134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393155 */     // MIs[0] op1
     /*  393155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393163 */     // MIs[0] op2
     /*  393163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  393185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393187 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393189 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393191 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393201 */     GIR_RootConstrainSelectedInstOperands,
     /*  393202 */     // GIR_Coverage, 63772,
     /*  393202 */     GIR_EraseRootFromParent_Done,
     /*  393203 */   // Label 7028: @393203
     /*  393203 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(393277), // Rule ID 63773 //
     /*  393208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393229 */     // MIs[0] op1
     /*  393229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393237 */     // MIs[0] op2
     /*  393237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  393259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393275 */     GIR_RootConstrainSelectedInstOperands,
     /*  393276 */     // GIR_Coverage, 63773,
     /*  393276 */     GIR_EraseRootFromParent_Done,
     /*  393277 */   // Label 7029: @393277
     /*  393277 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(393351), // Rule ID 63828 //
     /*  393282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393303 */     // MIs[0] op1
     /*  393303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393311 */     // MIs[0] op2
     /*  393311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  393333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393349 */     GIR_RootConstrainSelectedInstOperands,
     /*  393350 */     // GIR_Coverage, 63828,
     /*  393350 */     GIR_EraseRootFromParent_Done,
     /*  393351 */   // Label 7030: @393351
     /*  393351 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(393425), // Rule ID 63829 //
     /*  393356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393377 */     // MIs[0] op1
     /*  393377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393385 */     // MIs[0] op2
     /*  393385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393404 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  393407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393409 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393411 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393413 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393423 */     GIR_RootConstrainSelectedInstOperands,
     /*  393424 */     // GIR_Coverage, 63829,
     /*  393424 */     GIR_EraseRootFromParent_Done,
     /*  393425 */   // Label 7031: @393425
     /*  393425 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(393499), // Rule ID 62758 //
     /*  393430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393451 */     // MIs[0] op1
     /*  393451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393463 */     // MIs[0] op3
     /*  393463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393483 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393485 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393487 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393497 */     GIR_RootConstrainSelectedInstOperands,
     /*  393498 */     // GIR_Coverage, 62758,
     /*  393498 */     GIR_EraseRootFromParent_Done,
     /*  393499 */   // Label 7032: @393499
     /*  393499 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(393573), // Rule ID 62759 //
     /*  393504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393525 */     // MIs[0] op1
     /*  393525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393537 */     // MIs[0] op3
     /*  393537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393571 */     GIR_RootConstrainSelectedInstOperands,
     /*  393572 */     // GIR_Coverage, 62759,
     /*  393572 */     GIR_EraseRootFromParent_Done,
     /*  393573 */   // Label 7033: @393573
     /*  393573 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(393647), // Rule ID 62796 //
     /*  393578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393599 */     // MIs[0] op1
     /*  393599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393611 */     // MIs[0] op3
     /*  393611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393626 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393631 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393633 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393635 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393645 */     GIR_RootConstrainSelectedInstOperands,
     /*  393646 */     // GIR_Coverage, 62796,
     /*  393646 */     GIR_EraseRootFromParent_Done,
     /*  393647 */   // Label 7034: @393647
     /*  393647 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(393721), // Rule ID 62797 //
     /*  393652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393673 */     // MIs[0] op1
     /*  393673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393685 */     // MIs[0] op3
     /*  393685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393719 */     GIR_RootConstrainSelectedInstOperands,
     /*  393720 */     // GIR_Coverage, 62797,
     /*  393720 */     GIR_EraseRootFromParent_Done,
     /*  393721 */   // Label 7035: @393721
     /*  393721 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393795), // Rule ID 62840 //
     /*  393726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393747 */     // MIs[0] op1
     /*  393747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393759 */     // MIs[0] op3
     /*  393759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393774 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393779 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393781 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393783 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393793 */     GIR_RootConstrainSelectedInstOperands,
     /*  393794 */     // GIR_Coverage, 62840,
     /*  393794 */     GIR_EraseRootFromParent_Done,
     /*  393795 */   // Label 7036: @393795
     /*  393795 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393869), // Rule ID 62841 //
     /*  393800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393821 */     // MIs[0] op1
     /*  393821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393833 */     // MIs[0] op3
     /*  393833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393867 */     GIR_RootConstrainSelectedInstOperands,
     /*  393868 */     // GIR_Coverage, 62841,
     /*  393868 */     GIR_EraseRootFromParent_Done,
     /*  393869 */   // Label 7037: @393869
     /*  393869 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393943), // Rule ID 62884 //
     /*  393874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393895 */     // MIs[0] op1
     /*  393895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393907 */     // MIs[0] op3
     /*  393907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393927 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393929 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393931 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393941 */     GIR_RootConstrainSelectedInstOperands,
     /*  393942 */     // GIR_Coverage, 62884,
     /*  393942 */     GIR_EraseRootFromParent_Done,
     /*  393943 */   // Label 7038: @393943
     /*  393943 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(394017), // Rule ID 62885 //
     /*  393948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393969 */     // MIs[0] op1
     /*  393969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393981 */     // MIs[0] op3
     /*  393981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394015 */     GIR_RootConstrainSelectedInstOperands,
     /*  394016 */     // GIR_Coverage, 62885,
     /*  394016 */     GIR_EraseRootFromParent_Done,
     /*  394017 */   // Label 7039: @394017
     /*  394017 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(394091), // Rule ID 62940 //
     /*  394022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394043 */     // MIs[0] op1
     /*  394043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394055 */     // MIs[0] op3
     /*  394055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394070 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394089 */     GIR_RootConstrainSelectedInstOperands,
     /*  394090 */     // GIR_Coverage, 62940,
     /*  394090 */     GIR_EraseRootFromParent_Done,
     /*  394091 */   // Label 7040: @394091
     /*  394091 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(394165), // Rule ID 62941 //
     /*  394096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394117 */     // MIs[0] op1
     /*  394117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394129 */     // MIs[0] op3
     /*  394129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394149 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394151 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394153 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394163 */     GIR_RootConstrainSelectedInstOperands,
     /*  394164 */     // GIR_Coverage, 62941,
     /*  394164 */     GIR_EraseRootFromParent_Done,
     /*  394165 */   // Label 7041: @394165
     /*  394165 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(394239), // Rule ID 62996 //
     /*  394170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394191 */     // MIs[0] op1
     /*  394191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394203 */     // MIs[0] op3
     /*  394203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394223 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394225 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394227 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394237 */     GIR_RootConstrainSelectedInstOperands,
     /*  394238 */     // GIR_Coverage, 62996,
     /*  394238 */     GIR_EraseRootFromParent_Done,
     /*  394239 */   // Label 7042: @394239
     /*  394239 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(394313), // Rule ID 62997 //
     /*  394244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394265 */     // MIs[0] op1
     /*  394265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394277 */     // MIs[0] op3
     /*  394277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394297 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394299 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394301 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394311 */     GIR_RootConstrainSelectedInstOperands,
     /*  394312 */     // GIR_Coverage, 62997,
     /*  394312 */     GIR_EraseRootFromParent_Done,
     /*  394313 */   // Label 7043: @394313
     /*  394313 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(394387), // Rule ID 63052 //
     /*  394318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  394329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  394332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394339 */     // MIs[0] op1
     /*  394339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394351 */     // MIs[0] op3
     /*  394351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394385 */     GIR_RootConstrainSelectedInstOperands,
     /*  394386 */     // GIR_Coverage, 63052,
     /*  394386 */     GIR_EraseRootFromParent_Done,
     /*  394387 */   // Label 7044: @394387
     /*  394387 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(394461), // Rule ID 63053 //
     /*  394392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  394403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  394406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394413 */     // MIs[0] op1
     /*  394413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394425 */     // MIs[0] op3
     /*  394425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394459 */     GIR_RootConstrainSelectedInstOperands,
     /*  394460 */     // GIR_Coverage, 63053,
     /*  394460 */     GIR_EraseRootFromParent_Done,
     /*  394461 */   // Label 7045: @394461
     /*  394461 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(394535), // Rule ID 63096 //
     /*  394466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394487 */     // MIs[0] op1
     /*  394487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394499 */     // MIs[0] op3
     /*  394499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394519 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394521 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394523 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394533 */     GIR_RootConstrainSelectedInstOperands,
     /*  394534 */     // GIR_Coverage, 63096,
     /*  394534 */     GIR_EraseRootFromParent_Done,
     /*  394535 */   // Label 7046: @394535
     /*  394535 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(394609), // Rule ID 63097 //
     /*  394540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394561 */     // MIs[0] op1
     /*  394561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394573 */     // MIs[0] op3
     /*  394573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394607 */     GIR_RootConstrainSelectedInstOperands,
     /*  394608 */     // GIR_Coverage, 63097,
     /*  394608 */     GIR_EraseRootFromParent_Done,
     /*  394609 */   // Label 7047: @394609
     /*  394609 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(394683), // Rule ID 63152 //
     /*  394614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394635 */     // MIs[0] op1
     /*  394635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394647 */     // MIs[0] op3
     /*  394647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394667 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394669 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394671 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394681 */     GIR_RootConstrainSelectedInstOperands,
     /*  394682 */     // GIR_Coverage, 63152,
     /*  394682 */     GIR_EraseRootFromParent_Done,
     /*  394683 */   // Label 7048: @394683
     /*  394683 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394757), // Rule ID 63153 //
     /*  394688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394709 */     // MIs[0] op1
     /*  394709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394721 */     // MIs[0] op3
     /*  394721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394741 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394743 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394745 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394755 */     GIR_RootConstrainSelectedInstOperands,
     /*  394756 */     // GIR_Coverage, 63153,
     /*  394756 */     GIR_EraseRootFromParent_Done,
     /*  394757 */   // Label 7049: @394757
     /*  394757 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394831), // Rule ID 63208 //
     /*  394762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394783 */     // MIs[0] op1
     /*  394783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394795 */     // MIs[0] op3
     /*  394795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394815 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394817 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394819 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394829 */     GIR_RootConstrainSelectedInstOperands,
     /*  394830 */     // GIR_Coverage, 63208,
     /*  394830 */     GIR_EraseRootFromParent_Done,
     /*  394831 */   // Label 7050: @394831
     /*  394831 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394905), // Rule ID 63209 //
     /*  394836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394857 */     // MIs[0] op1
     /*  394857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394869 */     // MIs[0] op3
     /*  394869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394903 */     GIR_RootConstrainSelectedInstOperands,
     /*  394904 */     // GIR_Coverage, 63209,
     /*  394904 */     GIR_EraseRootFromParent_Done,
     /*  394905 */   // Label 7051: @394905
     /*  394905 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394979), // Rule ID 63264 //
     /*  394910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394931 */     // MIs[0] op1
     /*  394931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394943 */     // MIs[0] op3
     /*  394943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394958 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394977 */     GIR_RootConstrainSelectedInstOperands,
     /*  394978 */     // GIR_Coverage, 63264,
     /*  394978 */     GIR_EraseRootFromParent_Done,
     /*  394979 */   // Label 7052: @394979
     /*  394979 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(395053), // Rule ID 63265 //
     /*  394984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395005 */     // MIs[0] op1
     /*  395005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395017 */     // MIs[0] op3
     /*  395017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395037 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395039 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395041 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395051 */     GIR_RootConstrainSelectedInstOperands,
     /*  395052 */     // GIR_Coverage, 63265,
     /*  395052 */     GIR_EraseRootFromParent_Done,
     /*  395053 */   // Label 7053: @395053
     /*  395053 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(395127), // Rule ID 63308 //
     /*  395058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  395069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  395072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395079 */     // MIs[0] op1
     /*  395079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395082 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395091 */     // MIs[0] op3
     /*  395091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395111 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395113 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395115 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395125 */     GIR_RootConstrainSelectedInstOperands,
     /*  395126 */     // GIR_Coverage, 63308,
     /*  395126 */     GIR_EraseRootFromParent_Done,
     /*  395127 */   // Label 7054: @395127
     /*  395127 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(395201), // Rule ID 63309 //
     /*  395132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  395143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  395146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395153 */     // MIs[0] op1
     /*  395153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395165 */     // MIs[0] op3
     /*  395165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395199 */     GIR_RootConstrainSelectedInstOperands,
     /*  395200 */     // GIR_Coverage, 63309,
     /*  395200 */     GIR_EraseRootFromParent_Done,
     /*  395201 */   // Label 7055: @395201
     /*  395201 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(395275), // Rule ID 63352 //
     /*  395206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  395217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  395220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395227 */     // MIs[0] op1
     /*  395227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395239 */     // MIs[0] op3
     /*  395239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395254 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395259 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395261 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395263 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395273 */     GIR_RootConstrainSelectedInstOperands,
     /*  395274 */     // GIR_Coverage, 63352,
     /*  395274 */     GIR_EraseRootFromParent_Done,
     /*  395275 */   // Label 7056: @395275
     /*  395275 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(395349), // Rule ID 63353 //
     /*  395280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  395291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  395294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395301 */     // MIs[0] op1
     /*  395301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395313 */     // MIs[0] op3
     /*  395313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395333 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395335 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395337 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395347 */     GIR_RootConstrainSelectedInstOperands,
     /*  395348 */     // GIR_Coverage, 63353,
     /*  395348 */     GIR_EraseRootFromParent_Done,
     /*  395349 */   // Label 7057: @395349
     /*  395349 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(395423), // Rule ID 63396 //
     /*  395354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  395365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  395368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395375 */     // MIs[0] op1
     /*  395375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395387 */     // MIs[0] op3
     /*  395387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395421 */     GIR_RootConstrainSelectedInstOperands,
     /*  395422 */     // GIR_Coverage, 63396,
     /*  395422 */     GIR_EraseRootFromParent_Done,
     /*  395423 */   // Label 7058: @395423
     /*  395423 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(395497), // Rule ID 63397 //
     /*  395428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  395439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  395442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395449 */     // MIs[0] op1
     /*  395449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395461 */     // MIs[0] op3
     /*  395461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395481 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395483 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395485 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395495 */     GIR_RootConstrainSelectedInstOperands,
     /*  395496 */     // GIR_Coverage, 63397,
     /*  395496 */     GIR_EraseRootFromParent_Done,
     /*  395497 */   // Label 7059: @395497
     /*  395497 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(395571), // Rule ID 63452 //
     /*  395502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395523 */     // MIs[0] op1
     /*  395523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395535 */     // MIs[0] op3
     /*  395535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395555 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395557 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395559 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395569 */     GIR_RootConstrainSelectedInstOperands,
     /*  395570 */     // GIR_Coverage, 63452,
     /*  395570 */     GIR_EraseRootFromParent_Done,
     /*  395571 */   // Label 7060: @395571
     /*  395571 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(395645), // Rule ID 63453 //
     /*  395576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395597 */     // MIs[0] op1
     /*  395597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395609 */     // MIs[0] op3
     /*  395609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395629 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395631 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395633 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395643 */     GIR_RootConstrainSelectedInstOperands,
     /*  395644 */     // GIR_Coverage, 63453,
     /*  395644 */     GIR_EraseRootFromParent_Done,
     /*  395645 */   // Label 7061: @395645
     /*  395645 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395719), // Rule ID 63508 //
     /*  395650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395671 */     // MIs[0] op1
     /*  395671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395683 */     // MIs[0] op3
     /*  395683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395717 */     GIR_RootConstrainSelectedInstOperands,
     /*  395718 */     // GIR_Coverage, 63508,
     /*  395718 */     GIR_EraseRootFromParent_Done,
     /*  395719 */   // Label 7062: @395719
     /*  395719 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395793), // Rule ID 63509 //
     /*  395724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395745 */     // MIs[0] op1
     /*  395745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395757 */     // MIs[0] op3
     /*  395757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395777 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395779 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395781 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395791 */     GIR_RootConstrainSelectedInstOperands,
     /*  395792 */     // GIR_Coverage, 63509,
     /*  395792 */     GIR_EraseRootFromParent_Done,
     /*  395793 */   // Label 7063: @395793
     /*  395793 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395867), // Rule ID 63564 //
     /*  395798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395819 */     // MIs[0] op1
     /*  395819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395831 */     // MIs[0] op3
     /*  395831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395851 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395853 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395855 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395865 */     GIR_RootConstrainSelectedInstOperands,
     /*  395866 */     // GIR_Coverage, 63564,
     /*  395866 */     GIR_EraseRootFromParent_Done,
     /*  395867 */   // Label 7064: @395867
     /*  395867 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395941), // Rule ID 63565 //
     /*  395872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395893 */     // MIs[0] op1
     /*  395893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395905 */     // MIs[0] op3
     /*  395905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395925 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395927 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395929 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395939 */     GIR_RootConstrainSelectedInstOperands,
     /*  395940 */     // GIR_Coverage, 63565,
     /*  395940 */     GIR_EraseRootFromParent_Done,
     /*  395941 */   // Label 7065: @395941
     /*  395941 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(396015), // Rule ID 63620 //
     /*  395946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395967 */     // MIs[0] op1
     /*  395967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395979 */     // MIs[0] op3
     /*  395979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396013 */     GIR_RootConstrainSelectedInstOperands,
     /*  396014 */     // GIR_Coverage, 63620,
     /*  396014 */     GIR_EraseRootFromParent_Done,
     /*  396015 */   // Label 7066: @396015
     /*  396015 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(396089), // Rule ID 63621 //
     /*  396020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  396034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396041 */     // MIs[0] op1
     /*  396041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396044 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396053 */     // MIs[0] op3
     /*  396053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396073 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396075 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396077 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396087 */     GIR_RootConstrainSelectedInstOperands,
     /*  396088 */     // GIR_Coverage, 63621,
     /*  396088 */     GIR_EraseRootFromParent_Done,
     /*  396089 */   // Label 7067: @396089
     /*  396089 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(396163), // Rule ID 63676 //
     /*  396094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  396105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  396108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396115 */     // MIs[0] op1
     /*  396115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396127 */     // MIs[0] op3
     /*  396127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396147 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396149 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396151 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396161 */     GIR_RootConstrainSelectedInstOperands,
     /*  396162 */     // GIR_Coverage, 63676,
     /*  396162 */     GIR_EraseRootFromParent_Done,
     /*  396163 */   // Label 7068: @396163
     /*  396163 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(396237), // Rule ID 63677 //
     /*  396168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  396179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  396182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396189 */     // MIs[0] op1
     /*  396189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396201 */     // MIs[0] op3
     /*  396201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396235 */     GIR_RootConstrainSelectedInstOperands,
     /*  396236 */     // GIR_Coverage, 63677,
     /*  396236 */     GIR_EraseRootFromParent_Done,
     /*  396237 */   // Label 7069: @396237
     /*  396237 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(396311), // Rule ID 63732 //
     /*  396242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396263 */     // MIs[0] op1
     /*  396263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396275 */     // MIs[0] op3
     /*  396275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  396293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396295 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396297 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396299 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396309 */     GIR_RootConstrainSelectedInstOperands,
     /*  396310 */     // GIR_Coverage, 63732,
     /*  396310 */     GIR_EraseRootFromParent_Done,
     /*  396311 */   // Label 7070: @396311
     /*  396311 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(396385), // Rule ID 63733 //
     /*  396316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396337 */     // MIs[0] op1
     /*  396337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396349 */     // MIs[0] op3
     /*  396349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  396367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396369 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396371 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396373 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396383 */     GIR_RootConstrainSelectedInstOperands,
     /*  396384 */     // GIR_Coverage, 63733,
     /*  396384 */     GIR_EraseRootFromParent_Done,
     /*  396385 */   // Label 7071: @396385
     /*  396385 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(396459), // Rule ID 63788 //
     /*  396390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396411 */     // MIs[0] op1
     /*  396411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396423 */     // MIs[0] op3
     /*  396423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396443 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396445 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396447 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396457 */     GIR_RootConstrainSelectedInstOperands,
     /*  396458 */     // GIR_Coverage, 63788,
     /*  396458 */     GIR_EraseRootFromParent_Done,
     /*  396459 */   // Label 7072: @396459
     /*  396459 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(396533), // Rule ID 63789 //
     /*  396464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396485 */     // MIs[0] op1
     /*  396485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396497 */     // MIs[0] op3
     /*  396497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396531 */     GIR_RootConstrainSelectedInstOperands,
     /*  396532 */     // GIR_Coverage, 63789,
     /*  396532 */     GIR_EraseRootFromParent_Done,
     /*  396533 */   // Label 7073: @396533
     /*  396533 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(396607), // Rule ID 63844 //
     /*  396538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396559 */     // MIs[0] op1
     /*  396559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396571 */     // MIs[0] op3
     /*  396571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396591 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396593 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396595 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396605 */     GIR_RootConstrainSelectedInstOperands,
     /*  396606 */     // GIR_Coverage, 63844,
     /*  396606 */     GIR_EraseRootFromParent_Done,
     /*  396607 */   // Label 7074: @396607
     /*  396607 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(396681), // Rule ID 63845 //
     /*  396612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396633 */     // MIs[0] op1
     /*  396633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396636 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396645 */     // MIs[0] op3
     /*  396645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396660 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396665 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396667 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396669 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396679 */     GIR_RootConstrainSelectedInstOperands,
     /*  396680 */     // GIR_Coverage, 63845,
     /*  396680 */     GIR_EraseRootFromParent_Done,
     /*  396681 */   // Label 7075: @396681
     /*  396681 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396756), // Rule ID 7238 //
     /*  396686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396721 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396754 */     GIR_RootConstrainSelectedInstOperands,
     /*  396755 */     // GIR_Coverage, 7238,
     /*  396755 */     GIR_EraseRootFromParent_Done,
     /*  396756 */   // Label 7076: @396756
     /*  396756 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396831), // Rule ID 7239 //
     /*  396761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396807 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396829 */     GIR_RootConstrainSelectedInstOperands,
     /*  396830 */     // GIR_Coverage, 7239,
     /*  396830 */     GIR_EraseRootFromParent_Done,
     /*  396831 */   // Label 7077: @396831
     /*  396831 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396906), // Rule ID 7242 //
     /*  396836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396871 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396882 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396904 */     GIR_RootConstrainSelectedInstOperands,
     /*  396905 */     // GIR_Coverage, 7242,
     /*  396905 */     GIR_EraseRootFromParent_Done,
     /*  396906 */   // Label 7078: @396906
     /*  396906 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396981), // Rule ID 7243 //
     /*  396911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396946 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396957 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396979 */     GIR_RootConstrainSelectedInstOperands,
     /*  396980 */     // GIR_Coverage, 7243,
     /*  396980 */     GIR_EraseRootFromParent_Done,
     /*  396981 */   // Label 7079: @396981
     /*  396981 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(397056), // Rule ID 7246 //
     /*  396986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  396997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  397000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  397003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397021 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397054 */     GIR_RootConstrainSelectedInstOperands,
     /*  397055 */     // GIR_Coverage, 7246,
     /*  397055 */     GIR_EraseRootFromParent_Done,
     /*  397056 */   // Label 7080: @397056
     /*  397056 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(397131), // Rule ID 7247 //
     /*  397061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  397072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  397075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  397078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397096 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397107 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397129 */     GIR_RootConstrainSelectedInstOperands,
     /*  397130 */     // GIR_Coverage, 7247,
     /*  397130 */     GIR_EraseRootFromParent_Done,
     /*  397131 */   // Label 7081: @397131
     /*  397131 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(397206), // Rule ID 7250 //
     /*  397136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397204 */     GIR_RootConstrainSelectedInstOperands,
     /*  397205 */     // GIR_Coverage, 7250,
     /*  397205 */     GIR_EraseRootFromParent_Done,
     /*  397206 */   // Label 7082: @397206
     /*  397206 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(397281), // Rule ID 7251 //
     /*  397211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397246 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397279 */     GIR_RootConstrainSelectedInstOperands,
     /*  397280 */     // GIR_Coverage, 7251,
     /*  397280 */     GIR_EraseRootFromParent_Done,
     /*  397281 */   // Label 7083: @397281
     /*  397281 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(397356), // Rule ID 7254 //
     /*  397286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  397297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  397300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  397303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397321 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397332 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397354 */     GIR_RootConstrainSelectedInstOperands,
     /*  397355 */     // GIR_Coverage, 7254,
     /*  397355 */     GIR_EraseRootFromParent_Done,
     /*  397356 */   // Label 7084: @397356
     /*  397356 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(397431), // Rule ID 7255 //
     /*  397361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  397372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  397375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  397378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397429 */     GIR_RootConstrainSelectedInstOperands,
     /*  397430 */     // GIR_Coverage, 7255,
     /*  397430 */     GIR_EraseRootFromParent_Done,
     /*  397431 */   // Label 7085: @397431
     /*  397431 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(397506), // Rule ID 7258 //
     /*  397436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397471 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397504 */     GIR_RootConstrainSelectedInstOperands,
     /*  397505 */     // GIR_Coverage, 7258,
     /*  397505 */     GIR_EraseRootFromParent_Done,
     /*  397506 */   // Label 7086: @397506
     /*  397506 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(397581), // Rule ID 7259 //
     /*  397511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397546 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397557 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397579 */     GIR_RootConstrainSelectedInstOperands,
     /*  397580 */     // GIR_Coverage, 7259,
     /*  397580 */     GIR_EraseRootFromParent_Done,
     /*  397581 */   // Label 7087: @397581
     /*  397581 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(397656), // Rule ID 7262 //
     /*  397586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397621 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397654 */     GIR_RootConstrainSelectedInstOperands,
     /*  397655 */     // GIR_Coverage, 7262,
     /*  397655 */     GIR_EraseRootFromParent_Done,
     /*  397656 */   // Label 7088: @397656
     /*  397656 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397731), // Rule ID 7263 //
     /*  397661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397696 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397729 */     GIR_RootConstrainSelectedInstOperands,
     /*  397730 */     // GIR_Coverage, 7263,
     /*  397730 */     GIR_EraseRootFromParent_Done,
     /*  397731 */   // Label 7089: @397731
     /*  397731 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397806), // Rule ID 7266 //
     /*  397736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397771 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397804 */     GIR_RootConstrainSelectedInstOperands,
     /*  397805 */     // GIR_Coverage, 7266,
     /*  397805 */     GIR_EraseRootFromParent_Done,
     /*  397806 */   // Label 7090: @397806
     /*  397806 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397881), // Rule ID 7267 //
     /*  397811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397857 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397879 */     GIR_RootConstrainSelectedInstOperands,
     /*  397880 */     // GIR_Coverage, 7267,
     /*  397880 */     GIR_EraseRootFromParent_Done,
     /*  397881 */   // Label 7091: @397881
     /*  397881 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397956), // Rule ID 7270 //
     /*  397886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397921 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397954 */     GIR_RootConstrainSelectedInstOperands,
     /*  397955 */     // GIR_Coverage, 7270,
     /*  397955 */     GIR_EraseRootFromParent_Done,
     /*  397956 */   // Label 7092: @397956
     /*  397956 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(398031), // Rule ID 7271 //
     /*  397961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397996 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398007 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398029 */     GIR_RootConstrainSelectedInstOperands,
     /*  398030 */     // GIR_Coverage, 7271,
     /*  398030 */     GIR_EraseRootFromParent_Done,
     /*  398031 */   // Label 7093: @398031
     /*  398031 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(398106), // Rule ID 7274 //
     /*  398036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  398039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398071 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  398082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398104 */     GIR_RootConstrainSelectedInstOperands,
     /*  398105 */     // GIR_Coverage, 7274,
     /*  398105 */     GIR_EraseRootFromParent_Done,
     /*  398106 */   // Label 7094: @398106
     /*  398106 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(398181), // Rule ID 7275 //
     /*  398111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  398114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398146 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398157 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398179 */     GIR_RootConstrainSelectedInstOperands,
     /*  398180 */     // GIR_Coverage, 7275,
     /*  398180 */     GIR_EraseRootFromParent_Done,
     /*  398181 */   // Label 7095: @398181
     /*  398181 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(398256), // Rule ID 7278 //
     /*  398186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  398197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  398200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  398203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398221 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398254 */     GIR_RootConstrainSelectedInstOperands,
     /*  398255 */     // GIR_Coverage, 7278,
     /*  398255 */     GIR_EraseRootFromParent_Done,
     /*  398256 */   // Label 7096: @398256
     /*  398256 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(398331), // Rule ID 7279 //
     /*  398261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  398272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  398275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  398278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398296 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398307 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398329 */     GIR_RootConstrainSelectedInstOperands,
     /*  398330 */     // GIR_Coverage, 7279,
     /*  398330 */     GIR_EraseRootFromParent_Done,
     /*  398331 */   // Label 7097: @398331
     /*  398331 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(398406), // Rule ID 7282 //
     /*  398336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  398347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  398350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  398353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398371 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398382 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398404 */     GIR_RootConstrainSelectedInstOperands,
     /*  398405 */     // GIR_Coverage, 7282,
     /*  398405 */     GIR_EraseRootFromParent_Done,
     /*  398406 */   // Label 7098: @398406
     /*  398406 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(398481), // Rule ID 7283 //
     /*  398411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  398422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  398425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  398428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398446 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398457 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398479 */     GIR_RootConstrainSelectedInstOperands,
     /*  398480 */     // GIR_Coverage, 7283,
     /*  398480 */     GIR_EraseRootFromParent_Done,
     /*  398481 */   // Label 7099: @398481
     /*  398481 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(398556), // Rule ID 7286 //
     /*  398486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398521 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398532 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398554 */     GIR_RootConstrainSelectedInstOperands,
     /*  398555 */     // GIR_Coverage, 7286,
     /*  398555 */     GIR_EraseRootFromParent_Done,
     /*  398556 */   // Label 7100: @398556
     /*  398556 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(398631), // Rule ID 7287 //
     /*  398561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398596 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398607 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398629 */     GIR_RootConstrainSelectedInstOperands,
     /*  398630 */     // GIR_Coverage, 7287,
     /*  398630 */     GIR_EraseRootFromParent_Done,
     /*  398631 */   // Label 7101: @398631
     /*  398631 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(398706), // Rule ID 7290 //
     /*  398636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398704 */     GIR_RootConstrainSelectedInstOperands,
     /*  398705 */     // GIR_Coverage, 7290,
     /*  398705 */     GIR_EraseRootFromParent_Done,
     /*  398706 */   // Label 7102: @398706
     /*  398706 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398781), // Rule ID 7291 //
     /*  398711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398757 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398779 */     GIR_RootConstrainSelectedInstOperands,
     /*  398780 */     // GIR_Coverage, 7291,
     /*  398780 */     GIR_EraseRootFromParent_Done,
     /*  398781 */   // Label 7103: @398781
     /*  398781 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398856), // Rule ID 7294 //
     /*  398786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398854 */     GIR_RootConstrainSelectedInstOperands,
     /*  398855 */     // GIR_Coverage, 7294,
     /*  398855 */     GIR_EraseRootFromParent_Done,
     /*  398856 */   // Label 7104: @398856
     /*  398856 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398931), // Rule ID 7295 //
     /*  398861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398896 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398907 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398929 */     GIR_RootConstrainSelectedInstOperands,
     /*  398930 */     // GIR_Coverage, 7295,
     /*  398930 */     GIR_EraseRootFromParent_Done,
     /*  398931 */   // Label 7105: @398931
     /*  398931 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(399006), // Rule ID 7298 //
     /*  398936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398971 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398982 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399004 */     GIR_RootConstrainSelectedInstOperands,
     /*  399005 */     // GIR_Coverage, 7298,
     /*  399005 */     GIR_EraseRootFromParent_Done,
     /*  399006 */   // Label 7106: @399006
     /*  399006 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(399081), // Rule ID 7299 //
     /*  399011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399079 */     GIR_RootConstrainSelectedInstOperands,
     /*  399080 */     // GIR_Coverage, 7299,
     /*  399080 */     GIR_EraseRootFromParent_Done,
     /*  399081 */   // Label 7107: @399081
     /*  399081 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(399156), // Rule ID 7302 //
     /*  399086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399121 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399132 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399154 */     GIR_RootConstrainSelectedInstOperands,
     /*  399155 */     // GIR_Coverage, 7302,
     /*  399155 */     GIR_EraseRootFromParent_Done,
     /*  399156 */   // Label 7108: @399156
     /*  399156 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(399231), // Rule ID 7303 //
     /*  399161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399229 */     GIR_RootConstrainSelectedInstOperands,
     /*  399230 */     // GIR_Coverage, 7303,
     /*  399230 */     GIR_EraseRootFromParent_Done,
     /*  399231 */   // Label 7109: @399231
     /*  399231 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(399306), // Rule ID 7306 //
     /*  399236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399271 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399304 */     GIR_RootConstrainSelectedInstOperands,
     /*  399305 */     // GIR_Coverage, 7306,
     /*  399305 */     GIR_EraseRootFromParent_Done,
     /*  399306 */   // Label 7110: @399306
     /*  399306 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(399381), // Rule ID 7307 //
     /*  399311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399346 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399357 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399379 */     GIR_RootConstrainSelectedInstOperands,
     /*  399380 */     // GIR_Coverage, 7307,
     /*  399380 */     GIR_EraseRootFromParent_Done,
     /*  399381 */   // Label 7111: @399381
     /*  399381 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(399456), // Rule ID 7310 //
     /*  399386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399421 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399454 */     GIR_RootConstrainSelectedInstOperands,
     /*  399455 */     // GIR_Coverage, 7310,
     /*  399455 */     GIR_EraseRootFromParent_Done,
     /*  399456 */   // Label 7112: @399456
     /*  399456 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(399531), // Rule ID 7311 //
     /*  399461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399529 */     GIR_RootConstrainSelectedInstOperands,
     /*  399530 */     // GIR_Coverage, 7311,
     /*  399530 */     GIR_EraseRootFromParent_Done,
     /*  399531 */   // Label 7113: @399531
     /*  399531 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(399606), // Rule ID 7314 //
     /*  399536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399571 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399604 */     GIR_RootConstrainSelectedInstOperands,
     /*  399605 */     // GIR_Coverage, 7314,
     /*  399605 */     GIR_EraseRootFromParent_Done,
     /*  399606 */   // Label 7114: @399606
     /*  399606 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(399681), // Rule ID 7315 //
     /*  399611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399646 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399679 */     GIR_RootConstrainSelectedInstOperands,
     /*  399680 */     // GIR_Coverage, 7315,
     /*  399680 */     GIR_EraseRootFromParent_Done,
     /*  399681 */   // Label 7115: @399681
     /*  399681 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399756), // Rule ID 7318 //
     /*  399686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399721 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399754 */     GIR_RootConstrainSelectedInstOperands,
     /*  399755 */     // GIR_Coverage, 7318,
     /*  399755 */     GIR_EraseRootFromParent_Done,
     /*  399756 */   // Label 7116: @399756
     /*  399756 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399831), // Rule ID 7319 //
     /*  399761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399829 */     GIR_RootConstrainSelectedInstOperands,
     /*  399830 */     // GIR_Coverage, 7319,
     /*  399830 */     GIR_EraseRootFromParent_Done,
     /*  399831 */   // Label 7117: @399831
     /*  399831 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399906), // Rule ID 7322 //
     /*  399836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399871 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399904 */     GIR_RootConstrainSelectedInstOperands,
     /*  399905 */     // GIR_Coverage, 7322,
     /*  399905 */     GIR_EraseRootFromParent_Done,
     /*  399906 */   // Label 7118: @399906
     /*  399906 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399981), // Rule ID 7323 //
     /*  399911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399946 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399979 */     GIR_RootConstrainSelectedInstOperands,
     /*  399980 */     // GIR_Coverage, 7323,
     /*  399980 */     GIR_EraseRootFromParent_Done,
     /*  399981 */   // Label 7119: @399981
     /*  399981 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(400058), // Rule ID 2636 //
     /*  399986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  399997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400018 */     // MIs[0] Operand 4
     /*  400018 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  400039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400056 */     GIR_RootConstrainSelectedInstOperands,
     /*  400057 */     // GIR_Coverage, 2636,
     /*  400057 */     GIR_EraseRootFromParent_Done,
     /*  400058 */   // Label 7120: @400058
     /*  400058 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(400135), // Rule ID 2637 //
     /*  400063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400095 */     // MIs[0] Operand 4
     /*  400095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400113 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  400116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400133 */     GIR_RootConstrainSelectedInstOperands,
     /*  400134 */     // GIR_Coverage, 2637,
     /*  400134 */     GIR_EraseRootFromParent_Done,
     /*  400135 */   // Label 7121: @400135
     /*  400135 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(400212), // Rule ID 20520 //
     /*  400140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400172 */     // MIs[0] Operand 4
     /*  400172 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400210 */     GIR_RootConstrainSelectedInstOperands,
     /*  400211 */     // GIR_Coverage, 20520,
     /*  400211 */     GIR_EraseRootFromParent_Done,
     /*  400212 */   // Label 7122: @400212
     /*  400212 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(400289), // Rule ID 20521 //
     /*  400217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400249 */     // MIs[0] Operand 4
     /*  400249 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400287 */     GIR_RootConstrainSelectedInstOperands,
     /*  400288 */     // GIR_Coverage, 20521,
     /*  400288 */     GIR_EraseRootFromParent_Done,
     /*  400289 */   // Label 7123: @400289
     /*  400289 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(400366), // Rule ID 20524 //
     /*  400294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  400305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  400308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400326 */     // MIs[0] Operand 4
     /*  400326 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400364 */     GIR_RootConstrainSelectedInstOperands,
     /*  400365 */     // GIR_Coverage, 20524,
     /*  400365 */     GIR_EraseRootFromParent_Done,
     /*  400366 */   // Label 7124: @400366
     /*  400366 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(400443), // Rule ID 20525 //
     /*  400371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  400374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  400382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  400385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400403 */     // MIs[0] Operand 4
     /*  400403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400441 */     GIR_RootConstrainSelectedInstOperands,
     /*  400442 */     // GIR_Coverage, 20525,
     /*  400442 */     GIR_EraseRootFromParent_Done,
     /*  400443 */   // Label 7125: @400443
     /*  400443 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(400520), // Rule ID 20528 //
     /*  400448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400480 */     // MIs[0] Operand 4
     /*  400480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400518 */     GIR_RootConstrainSelectedInstOperands,
     /*  400519 */     // GIR_Coverage, 20528,
     /*  400519 */     GIR_EraseRootFromParent_Done,
     /*  400520 */   // Label 7126: @400520
     /*  400520 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(400597), // Rule ID 20529 //
     /*  400525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400557 */     // MIs[0] Operand 4
     /*  400557 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400575 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400595 */     GIR_RootConstrainSelectedInstOperands,
     /*  400596 */     // GIR_Coverage, 20529,
     /*  400596 */     GIR_EraseRootFromParent_Done,
     /*  400597 */   // Label 7127: @400597
     /*  400597 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(400674), // Rule ID 20532 //
     /*  400602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400634 */     // MIs[0] Operand 4
     /*  400634 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400672 */     GIR_RootConstrainSelectedInstOperands,
     /*  400673 */     // GIR_Coverage, 20532,
     /*  400673 */     GIR_EraseRootFromParent_Done,
     /*  400674 */   // Label 7128: @400674
     /*  400674 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(400751), // Rule ID 20533 //
     /*  400679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  400682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400711 */     // MIs[0] Operand 4
     /*  400711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400749 */     GIR_RootConstrainSelectedInstOperands,
     /*  400750 */     // GIR_Coverage, 20533,
     /*  400750 */     GIR_EraseRootFromParent_Done,
     /*  400751 */   // Label 7129: @400751
     /*  400751 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400828), // Rule ID 20536 //
     /*  400756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  400759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400788 */     // MIs[0] Operand 4
     /*  400788 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400826 */     GIR_RootConstrainSelectedInstOperands,
     /*  400827 */     // GIR_Coverage, 20536,
     /*  400827 */     GIR_EraseRootFromParent_Done,
     /*  400828 */   // Label 7130: @400828
     /*  400828 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400905), // Rule ID 20537 //
     /*  400833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  400836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400865 */     // MIs[0] Operand 4
     /*  400865 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400903 */     GIR_RootConstrainSelectedInstOperands,
     /*  400904 */     // GIR_Coverage, 20537,
     /*  400904 */     GIR_EraseRootFromParent_Done,
     /*  400905 */   // Label 7131: @400905
     /*  400905 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400982), // Rule ID 20540 //
     /*  400910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400942 */     // MIs[0] Operand 4
     /*  400942 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400980 */     GIR_RootConstrainSelectedInstOperands,
     /*  400981 */     // GIR_Coverage, 20540,
     /*  400981 */     GIR_EraseRootFromParent_Done,
     /*  400982 */   // Label 7132: @400982
     /*  400982 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(401059), // Rule ID 20541 //
     /*  400987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  401001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  401004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401019 */     // MIs[0] Operand 4
     /*  401019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401057 */     GIR_RootConstrainSelectedInstOperands,
     /*  401058 */     // GIR_Coverage, 20541,
     /*  401058 */     GIR_EraseRootFromParent_Done,
     /*  401059 */   // Label 7133: @401059
     /*  401059 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(401136), // Rule ID 20544 //
     /*  401064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401096 */     // MIs[0] Operand 4
     /*  401096 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401134 */     GIR_RootConstrainSelectedInstOperands,
     /*  401135 */     // GIR_Coverage, 20544,
     /*  401135 */     GIR_EraseRootFromParent_Done,
     /*  401136 */   // Label 7134: @401136
     /*  401136 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(401213), // Rule ID 20545 //
     /*  401141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401173 */     // MIs[0] Operand 4
     /*  401173 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401191 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401211 */     GIR_RootConstrainSelectedInstOperands,
     /*  401212 */     // GIR_Coverage, 20545,
     /*  401212 */     GIR_EraseRootFromParent_Done,
     /*  401213 */   // Label 7135: @401213
     /*  401213 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(401290), // Rule ID 20548 //
     /*  401218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401250 */     // MIs[0] Operand 4
     /*  401250 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401288 */     GIR_RootConstrainSelectedInstOperands,
     /*  401289 */     // GIR_Coverage, 20548,
     /*  401289 */     GIR_EraseRootFromParent_Done,
     /*  401290 */   // Label 7136: @401290
     /*  401290 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(401367), // Rule ID 20549 //
     /*  401295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401327 */     // MIs[0] Operand 4
     /*  401327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401365 */     GIR_RootConstrainSelectedInstOperands,
     /*  401366 */     // GIR_Coverage, 20549,
     /*  401366 */     GIR_EraseRootFromParent_Done,
     /*  401367 */   // Label 7137: @401367
     /*  401367 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(401444), // Rule ID 20552 //
     /*  401372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401404 */     // MIs[0] Operand 4
     /*  401404 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401442 */     GIR_RootConstrainSelectedInstOperands,
     /*  401443 */     // GIR_Coverage, 20552,
     /*  401443 */     GIR_EraseRootFromParent_Done,
     /*  401444 */   // Label 7138: @401444
     /*  401444 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(401521), // Rule ID 20553 //
     /*  401449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401481 */     // MIs[0] Operand 4
     /*  401481 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401519 */     GIR_RootConstrainSelectedInstOperands,
     /*  401520 */     // GIR_Coverage, 20553,
     /*  401520 */     GIR_EraseRootFromParent_Done,
     /*  401521 */   // Label 7139: @401521
     /*  401521 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(401598), // Rule ID 20556 //
     /*  401526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401558 */     // MIs[0] Operand 4
     /*  401558 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401596 */     GIR_RootConstrainSelectedInstOperands,
     /*  401597 */     // GIR_Coverage, 20556,
     /*  401597 */     GIR_EraseRootFromParent_Done,
     /*  401598 */   // Label 7140: @401598
     /*  401598 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(401675), // Rule ID 20557 //
     /*  401603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401635 */     // MIs[0] Operand 4
     /*  401635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401673 */     GIR_RootConstrainSelectedInstOperands,
     /*  401674 */     // GIR_Coverage, 20557,
     /*  401674 */     GIR_EraseRootFromParent_Done,
     /*  401675 */   // Label 7141: @401675
     /*  401675 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(401752), // Rule ID 20560 //
     /*  401680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401712 */     // MIs[0] Operand 4
     /*  401712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401750 */     GIR_RootConstrainSelectedInstOperands,
     /*  401751 */     // GIR_Coverage, 20560,
     /*  401751 */     GIR_EraseRootFromParent_Done,
     /*  401752 */   // Label 7142: @401752
     /*  401752 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(401829), // Rule ID 20561 //
     /*  401757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401789 */     // MIs[0] Operand 4
     /*  401789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401807 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401827 */     GIR_RootConstrainSelectedInstOperands,
     /*  401828 */     // GIR_Coverage, 20561,
     /*  401828 */     GIR_EraseRootFromParent_Done,
     /*  401829 */   // Label 7143: @401829
     /*  401829 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401906), // Rule ID 20564 //
     /*  401834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401866 */     // MIs[0] Operand 4
     /*  401866 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401904 */     GIR_RootConstrainSelectedInstOperands,
     /*  401905 */     // GIR_Coverage, 20564,
     /*  401905 */     GIR_EraseRootFromParent_Done,
     /*  401906 */   // Label 7144: @401906
     /*  401906 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401983), // Rule ID 20565 //
     /*  401911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401943 */     // MIs[0] Operand 4
     /*  401943 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401981 */     GIR_RootConstrainSelectedInstOperands,
     /*  401982 */     // GIR_Coverage, 20565,
     /*  401982 */     GIR_EraseRootFromParent_Done,
     /*  401983 */   // Label 7145: @401983
     /*  401983 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(402060), // Rule ID 20568 //
     /*  401988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402020 */     // MIs[0] Operand 4
     /*  402020 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402038 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402058 */     GIR_RootConstrainSelectedInstOperands,
     /*  402059 */     // GIR_Coverage, 20568,
     /*  402059 */     GIR_EraseRootFromParent_Done,
     /*  402060 */   // Label 7146: @402060
     /*  402060 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(402137), // Rule ID 20569 //
     /*  402065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402097 */     // MIs[0] Operand 4
     /*  402097 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402135 */     GIR_RootConstrainSelectedInstOperands,
     /*  402136 */     // GIR_Coverage, 20569,
     /*  402136 */     GIR_EraseRootFromParent_Done,
     /*  402137 */   // Label 7147: @402137
     /*  402137 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(402214), // Rule ID 20572 //
     /*  402142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402174 */     // MIs[0] Operand 4
     /*  402174 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402212 */     GIR_RootConstrainSelectedInstOperands,
     /*  402213 */     // GIR_Coverage, 20572,
     /*  402213 */     GIR_EraseRootFromParent_Done,
     /*  402214 */   // Label 7148: @402214
     /*  402214 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(402291), // Rule ID 20573 //
     /*  402219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402251 */     // MIs[0] Operand 4
     /*  402251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402269 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402289 */     GIR_RootConstrainSelectedInstOperands,
     /*  402290 */     // GIR_Coverage, 20573,
     /*  402290 */     GIR_EraseRootFromParent_Done,
     /*  402291 */   // Label 7149: @402291
     /*  402291 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(402368), // Rule ID 20576 //
     /*  402296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  402307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402328 */     // MIs[0] Operand 4
     /*  402328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  402349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402366 */     GIR_RootConstrainSelectedInstOperands,
     /*  402367 */     // GIR_Coverage, 20576,
     /*  402367 */     GIR_EraseRootFromParent_Done,
     /*  402368 */   // Label 7150: @402368
     /*  402368 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(402445), // Rule ID 20577 //
     /*  402373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  402384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402405 */     // MIs[0] Operand 4
     /*  402405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402423 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  402426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402443 */     GIR_RootConstrainSelectedInstOperands,
     /*  402444 */     // GIR_Coverage, 20577,
     /*  402444 */     GIR_EraseRootFromParent_Done,
     /*  402445 */   // Label 7151: @402445
     /*  402445 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(402522), // Rule ID 20580 //
     /*  402450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402482 */     // MIs[0] Operand 4
     /*  402482 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402520 */     GIR_RootConstrainSelectedInstOperands,
     /*  402521 */     // GIR_Coverage, 20580,
     /*  402521 */     GIR_EraseRootFromParent_Done,
     /*  402522 */   // Label 7152: @402522
     /*  402522 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(402599), // Rule ID 20581 //
     /*  402527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402559 */     // MIs[0] Operand 4
     /*  402559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402597 */     GIR_RootConstrainSelectedInstOperands,
     /*  402598 */     // GIR_Coverage, 20581,
     /*  402598 */     GIR_EraseRootFromParent_Done,
     /*  402599 */   // Label 7153: @402599
     /*  402599 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(402676), // Rule ID 20584 //
     /*  402604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402636 */     // MIs[0] Operand 4
     /*  402636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402654 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402674 */     GIR_RootConstrainSelectedInstOperands,
     /*  402675 */     // GIR_Coverage, 20584,
     /*  402675 */     GIR_EraseRootFromParent_Done,
     /*  402676 */   // Label 7154: @402676
     /*  402676 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(402753), // Rule ID 20585 //
     /*  402681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402713 */     // MIs[0] Operand 4
     /*  402713 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402751 */     GIR_RootConstrainSelectedInstOperands,
     /*  402752 */     // GIR_Coverage, 20585,
     /*  402752 */     GIR_EraseRootFromParent_Done,
     /*  402753 */   // Label 7155: @402753
     /*  402753 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(402830), // Rule ID 20588 //
     /*  402758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402790 */     // MIs[0] Operand 4
     /*  402790 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402828 */     GIR_RootConstrainSelectedInstOperands,
     /*  402829 */     // GIR_Coverage, 20588,
     /*  402829 */     GIR_EraseRootFromParent_Done,
     /*  402830 */   // Label 7156: @402830
     /*  402830 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402907), // Rule ID 20589 //
     /*  402835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402867 */     // MIs[0] Operand 4
     /*  402867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402905 */     GIR_RootConstrainSelectedInstOperands,
     /*  402906 */     // GIR_Coverage, 20589,
     /*  402906 */     GIR_EraseRootFromParent_Done,
     /*  402907 */   // Label 7157: @402907
     /*  402907 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402984), // Rule ID 20592 //
     /*  402912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402944 */     // MIs[0] Operand 4
     /*  402944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402982 */     GIR_RootConstrainSelectedInstOperands,
     /*  402983 */     // GIR_Coverage, 20592,
     /*  402983 */     GIR_EraseRootFromParent_Done,
     /*  402984 */   // Label 7158: @402984
     /*  402984 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(403061), // Rule ID 20593 //
     /*  402989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  403000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  403003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  403006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403021 */     // MIs[0] Operand 4
     /*  403021 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403059 */     GIR_RootConstrainSelectedInstOperands,
     /*  403060 */     // GIR_Coverage, 20593,
     /*  403060 */     GIR_EraseRootFromParent_Done,
     /*  403061 */   // Label 7159: @403061
     /*  403061 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(403138), // Rule ID 20596 //
     /*  403066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  403069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  403083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403098 */     // MIs[0] Operand 4
     /*  403098 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403136 */     GIR_RootConstrainSelectedInstOperands,
     /*  403137 */     // GIR_Coverage, 20596,
     /*  403137 */     GIR_EraseRootFromParent_Done,
     /*  403138 */   // Label 7160: @403138
     /*  403138 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(403215), // Rule ID 20597 //
     /*  403143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  403146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  403160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403175 */     // MIs[0] Operand 4
     /*  403175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403193 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403213 */     GIR_RootConstrainSelectedInstOperands,
     /*  403214 */     // GIR_Coverage, 20597,
     /*  403214 */     GIR_EraseRootFromParent_Done,
     /*  403215 */   // Label 7161: @403215
     /*  403215 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(403292), // Rule ID 20600 //
     /*  403220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403252 */     // MIs[0] Operand 4
     /*  403252 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403270 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403290 */     GIR_RootConstrainSelectedInstOperands,
     /*  403291 */     // GIR_Coverage, 20600,
     /*  403291 */     GIR_EraseRootFromParent_Done,
     /*  403292 */   // Label 7162: @403292
     /*  403292 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(403369), // Rule ID 20601 //
     /*  403297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403329 */     // MIs[0] Operand 4
     /*  403329 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403367 */     GIR_RootConstrainSelectedInstOperands,
     /*  403368 */     // GIR_Coverage, 20601,
     /*  403368 */     GIR_EraseRootFromParent_Done,
     /*  403369 */   // Label 7163: @403369
     /*  403369 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(403446), // Rule ID 20604 //
     /*  403374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403406 */     // MIs[0] Operand 4
     /*  403406 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403444 */     GIR_RootConstrainSelectedInstOperands,
     /*  403445 */     // GIR_Coverage, 20604,
     /*  403445 */     GIR_EraseRootFromParent_Done,
     /*  403446 */   // Label 7164: @403446
     /*  403446 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(403523), // Rule ID 20605 //
     /*  403451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403483 */     // MIs[0] Operand 4
     /*  403483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403521 */     GIR_RootConstrainSelectedInstOperands,
     /*  403522 */     // GIR_Coverage, 20605,
     /*  403522 */     GIR_EraseRootFromParent_Done,
     /*  403523 */   // Label 7165: @403523
     /*  403523 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(403600), // Rule ID 20608 //
     /*  403528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403560 */     // MIs[0] Operand 4
     /*  403560 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403598 */     GIR_RootConstrainSelectedInstOperands,
     /*  403599 */     // GIR_Coverage, 20608,
     /*  403599 */     GIR_EraseRootFromParent_Done,
     /*  403600 */   // Label 7166: @403600
     /*  403600 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(403677), // Rule ID 20609 //
     /*  403605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403637 */     // MIs[0] Operand 4
     /*  403637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403655 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403675 */     GIR_RootConstrainSelectedInstOperands,
     /*  403676 */     // GIR_Coverage, 20609,
     /*  403676 */     GIR_EraseRootFromParent_Done,
     /*  403677 */   // Label 7167: @403677
     /*  403677 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(403754), // Rule ID 20612 //
     /*  403682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403714 */     // MIs[0] Operand 4
     /*  403714 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403752 */     GIR_RootConstrainSelectedInstOperands,
     /*  403753 */     // GIR_Coverage, 20612,
     /*  403753 */     GIR_EraseRootFromParent_Done,
     /*  403754 */   // Label 7168: @403754
     /*  403754 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(403831), // Rule ID 20613 //
     /*  403759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403791 */     // MIs[0] Operand 4
     /*  403791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403829 */     GIR_RootConstrainSelectedInstOperands,
     /*  403830 */     // GIR_Coverage, 20613,
     /*  403830 */     GIR_EraseRootFromParent_Done,
     /*  403831 */   // Label 7169: @403831
     /*  403831 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403908), // Rule ID 20616 //
     /*  403836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403868 */     // MIs[0] Operand 4
     /*  403868 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403906 */     GIR_RootConstrainSelectedInstOperands,
     /*  403907 */     // GIR_Coverage, 20616,
     /*  403907 */     GIR_EraseRootFromParent_Done,
     /*  403908 */   // Label 7170: @403908
     /*  403908 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403985), // Rule ID 20617 //
     /*  403913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403945 */     // MIs[0] Operand 4
     /*  403945 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403983 */     GIR_RootConstrainSelectedInstOperands,
     /*  403984 */     // GIR_Coverage, 20617,
     /*  403984 */     GIR_EraseRootFromParent_Done,
     /*  403985 */   // Label 7171: @403985
     /*  403985 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(404062), // Rule ID 20620 //
     /*  403990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404022 */     // MIs[0] Operand 4
     /*  404022 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404060 */     GIR_RootConstrainSelectedInstOperands,
     /*  404061 */     // GIR_Coverage, 20620,
     /*  404061 */     GIR_EraseRootFromParent_Done,
     /*  404062 */   // Label 7172: @404062
     /*  404062 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(404139), // Rule ID 20621 //
     /*  404067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404099 */     // MIs[0] Operand 4
     /*  404099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404137 */     GIR_RootConstrainSelectedInstOperands,
     /*  404138 */     // GIR_Coverage, 20621,
     /*  404138 */     GIR_EraseRootFromParent_Done,
     /*  404139 */   // Label 7173: @404139
     /*  404139 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(404216), // Rule ID 20624 //
     /*  404144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404176 */     // MIs[0] Operand 4
     /*  404176 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404214 */     GIR_RootConstrainSelectedInstOperands,
     /*  404215 */     // GIR_Coverage, 20624,
     /*  404215 */     GIR_EraseRootFromParent_Done,
     /*  404216 */   // Label 7174: @404216
     /*  404216 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(404293), // Rule ID 20625 //
     /*  404221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404253 */     // MIs[0] Operand 4
     /*  404253 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404271 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404291 */     GIR_RootConstrainSelectedInstOperands,
     /*  404292 */     // GIR_Coverage, 20625,
     /*  404292 */     GIR_EraseRootFromParent_Done,
     /*  404293 */   // Label 7175: @404293
     /*  404293 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(404370), // Rule ID 20628 //
     /*  404298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404330 */     // MIs[0] Operand 4
     /*  404330 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404368 */     GIR_RootConstrainSelectedInstOperands,
     /*  404369 */     // GIR_Coverage, 20628,
     /*  404369 */     GIR_EraseRootFromParent_Done,
     /*  404370 */   // Label 7176: @404370
     /*  404370 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(404447), // Rule ID 20629 //
     /*  404375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404407 */     // MIs[0] Operand 4
     /*  404407 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404445 */     GIR_RootConstrainSelectedInstOperands,
     /*  404446 */     // GIR_Coverage, 20629,
     /*  404446 */     GIR_EraseRootFromParent_Done,
     /*  404447 */   // Label 7177: @404447
     /*  404447 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(404524), // Rule ID 20632 //
     /*  404452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404484 */     // MIs[0] Operand 4
     /*  404484 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404522 */     GIR_RootConstrainSelectedInstOperands,
     /*  404523 */     // GIR_Coverage, 20632,
     /*  404523 */     GIR_EraseRootFromParent_Done,
     /*  404524 */   // Label 7178: @404524
     /*  404524 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(404601), // Rule ID 20633 //
     /*  404529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404561 */     // MIs[0] Operand 4
     /*  404561 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404579 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404599 */     GIR_RootConstrainSelectedInstOperands,
     /*  404600 */     // GIR_Coverage, 20633,
     /*  404600 */     GIR_EraseRootFromParent_Done,
     /*  404601 */   // Label 7179: @404601
     /*  404601 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(404678), // Rule ID 20992 //
     /*  404606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404638 */     // MIs[0] Operand 4
     /*  404638 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404676 */     GIR_RootConstrainSelectedInstOperands,
     /*  404677 */     // GIR_Coverage, 20992,
     /*  404677 */     GIR_EraseRootFromParent_Done,
     /*  404678 */   // Label 7180: @404678
     /*  404678 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(404755), // Rule ID 20993 //
     /*  404683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404715 */     // MIs[0] Operand 4
     /*  404715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404753 */     GIR_RootConstrainSelectedInstOperands,
     /*  404754 */     // GIR_Coverage, 20993,
     /*  404754 */     GIR_EraseRootFromParent_Done,
     /*  404755 */   // Label 7181: @404755
     /*  404755 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(404832), // Rule ID 20996 //
     /*  404760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404792 */     // MIs[0] Operand 4
     /*  404792 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404830 */     GIR_RootConstrainSelectedInstOperands,
     /*  404831 */     // GIR_Coverage, 20996,
     /*  404831 */     GIR_EraseRootFromParent_Done,
     /*  404832 */   // Label 7182: @404832
     /*  404832 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(404909), // Rule ID 20997 //
     /*  404837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404869 */     // MIs[0] Operand 4
     /*  404869 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404907 */     GIR_RootConstrainSelectedInstOperands,
     /*  404908 */     // GIR_Coverage, 20997,
     /*  404908 */     GIR_EraseRootFromParent_Done,
     /*  404909 */   // Label 7183: @404909
     /*  404909 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404986), // Rule ID 21000 //
     /*  404914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404946 */     // MIs[0] Operand 4
     /*  404946 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  404967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404984 */     GIR_RootConstrainSelectedInstOperands,
     /*  404985 */     // GIR_Coverage, 21000,
     /*  404985 */     GIR_EraseRootFromParent_Done,
     /*  404986 */   // Label 7184: @404986
     /*  404986 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(405063), // Rule ID 21001 //
     /*  404991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405023 */     // MIs[0] Operand 4
     /*  405023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405061 */     GIR_RootConstrainSelectedInstOperands,
     /*  405062 */     // GIR_Coverage, 21001,
     /*  405062 */     GIR_EraseRootFromParent_Done,
     /*  405063 */   // Label 7185: @405063
     /*  405063 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(405140), // Rule ID 21004 //
     /*  405068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405100 */     // MIs[0] Operand 4
     /*  405100 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405138 */     GIR_RootConstrainSelectedInstOperands,
     /*  405139 */     // GIR_Coverage, 21004,
     /*  405139 */     GIR_EraseRootFromParent_Done,
     /*  405140 */   // Label 7186: @405140
     /*  405140 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(405217), // Rule ID 21005 //
     /*  405145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405177 */     // MIs[0] Operand 4
     /*  405177 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405215 */     GIR_RootConstrainSelectedInstOperands,
     /*  405216 */     // GIR_Coverage, 21005,
     /*  405216 */     GIR_EraseRootFromParent_Done,
     /*  405217 */   // Label 7187: @405217
     /*  405217 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(405294), // Rule ID 21008 //
     /*  405222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405254 */     // MIs[0] Operand 4
     /*  405254 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405292 */     GIR_RootConstrainSelectedInstOperands,
     /*  405293 */     // GIR_Coverage, 21008,
     /*  405293 */     GIR_EraseRootFromParent_Done,
     /*  405294 */   // Label 7188: @405294
     /*  405294 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(405371), // Rule ID 21009 //
     /*  405299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405331 */     // MIs[0] Operand 4
     /*  405331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405369 */     GIR_RootConstrainSelectedInstOperands,
     /*  405370 */     // GIR_Coverage, 21009,
     /*  405370 */     GIR_EraseRootFromParent_Done,
     /*  405371 */   // Label 7189: @405371
     /*  405371 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(405448), // Rule ID 21012 //
     /*  405376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405408 */     // MIs[0] Operand 4
     /*  405408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405446 */     GIR_RootConstrainSelectedInstOperands,
     /*  405447 */     // GIR_Coverage, 21012,
     /*  405447 */     GIR_EraseRootFromParent_Done,
     /*  405448 */   // Label 7190: @405448
     /*  405448 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(405525), // Rule ID 21013 //
     /*  405453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405485 */     // MIs[0] Operand 4
     /*  405485 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405523 */     GIR_RootConstrainSelectedInstOperands,
     /*  405524 */     // GIR_Coverage, 21013,
     /*  405524 */     GIR_EraseRootFromParent_Done,
     /*  405525 */   // Label 7191: @405525
     /*  405525 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(405602), // Rule ID 21016 //
     /*  405530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405562 */     // MIs[0] Operand 4
     /*  405562 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405600 */     GIR_RootConstrainSelectedInstOperands,
     /*  405601 */     // GIR_Coverage, 21016,
     /*  405601 */     GIR_EraseRootFromParent_Done,
     /*  405602 */   // Label 7192: @405602
     /*  405602 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(405679), // Rule ID 21017 //
     /*  405607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405639 */     // MIs[0] Operand 4
     /*  405639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405677 */     GIR_RootConstrainSelectedInstOperands,
     /*  405678 */     // GIR_Coverage, 21017,
     /*  405678 */     GIR_EraseRootFromParent_Done,
     /*  405679 */   // Label 7193: @405679
     /*  405679 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(405756), // Rule ID 21020 //
     /*  405684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405716 */     // MIs[0] Operand 4
     /*  405716 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405754 */     GIR_RootConstrainSelectedInstOperands,
     /*  405755 */     // GIR_Coverage, 21020,
     /*  405755 */     GIR_EraseRootFromParent_Done,
     /*  405756 */   // Label 7194: @405756
     /*  405756 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(405833), // Rule ID 21021 //
     /*  405761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405793 */     // MIs[0] Operand 4
     /*  405793 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405831 */     GIR_RootConstrainSelectedInstOperands,
     /*  405832 */     // GIR_Coverage, 21021,
     /*  405832 */     GIR_EraseRootFromParent_Done,
     /*  405833 */   // Label 7195: @405833
     /*  405833 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(405910), // Rule ID 21024 //
     /*  405838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405870 */     // MIs[0] Operand 4
     /*  405870 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405908 */     GIR_RootConstrainSelectedInstOperands,
     /*  405909 */     // GIR_Coverage, 21024,
     /*  405909 */     GIR_EraseRootFromParent_Done,
     /*  405910 */   // Label 7196: @405910
     /*  405910 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405987), // Rule ID 21025 //
     /*  405915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405947 */     // MIs[0] Operand 4
     /*  405947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405965 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405985 */     GIR_RootConstrainSelectedInstOperands,
     /*  405986 */     // GIR_Coverage, 21025,
     /*  405986 */     GIR_EraseRootFromParent_Done,
     /*  405987 */   // Label 7197: @405987
     /*  405987 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(406064), // Rule ID 21028 //
     /*  405992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406024 */     // MIs[0] Operand 4
     /*  406024 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  406045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406062 */     GIR_RootConstrainSelectedInstOperands,
     /*  406063 */     // GIR_Coverage, 21028,
     /*  406063 */     GIR_EraseRootFromParent_Done,
     /*  406064 */   // Label 7198: @406064
     /*  406064 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(406141), // Rule ID 21029 //
     /*  406069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406101 */     // MIs[0] Operand 4
     /*  406101 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  406122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406139 */     GIR_RootConstrainSelectedInstOperands,
     /*  406140 */     // GIR_Coverage, 21029,
     /*  406140 */     GIR_EraseRootFromParent_Done,
     /*  406141 */   // Label 7199: @406141
     /*  406141 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(406218), // Rule ID 21032 //
     /*  406146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406178 */     // MIs[0] Operand 4
     /*  406178 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406216 */     GIR_RootConstrainSelectedInstOperands,
     /*  406217 */     // GIR_Coverage, 21032,
     /*  406217 */     GIR_EraseRootFromParent_Done,
     /*  406218 */   // Label 7200: @406218
     /*  406218 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(406295), // Rule ID 21033 //
     /*  406223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406255 */     // MIs[0] Operand 4
     /*  406255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406293 */     GIR_RootConstrainSelectedInstOperands,
     /*  406294 */     // GIR_Coverage, 21033,
     /*  406294 */     GIR_EraseRootFromParent_Done,
     /*  406295 */   // Label 7201: @406295
     /*  406295 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(406372), // Rule ID 21036 //
     /*  406300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406332 */     // MIs[0] Operand 4
     /*  406332 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406370 */     GIR_RootConstrainSelectedInstOperands,
     /*  406371 */     // GIR_Coverage, 21036,
     /*  406371 */     GIR_EraseRootFromParent_Done,
     /*  406372 */   // Label 7202: @406372
     /*  406372 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(406449), // Rule ID 21037 //
     /*  406377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406409 */     // MIs[0] Operand 4
     /*  406409 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406447 */     GIR_RootConstrainSelectedInstOperands,
     /*  406448 */     // GIR_Coverage, 21037,
     /*  406448 */     GIR_EraseRootFromParent_Done,
     /*  406449 */   // Label 7203: @406449
     /*  406449 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(406526), // Rule ID 21040 //
     /*  406454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406486 */     // MIs[0] Operand 4
     /*  406486 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406524 */     GIR_RootConstrainSelectedInstOperands,
     /*  406525 */     // GIR_Coverage, 21040,
     /*  406525 */     GIR_EraseRootFromParent_Done,
     /*  406526 */   // Label 7204: @406526
     /*  406526 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(406603), // Rule ID 21041 //
     /*  406531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406563 */     // MIs[0] Operand 4
     /*  406563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406601 */     GIR_RootConstrainSelectedInstOperands,
     /*  406602 */     // GIR_Coverage, 21041,
     /*  406602 */     GIR_EraseRootFromParent_Done,
     /*  406603 */   // Label 7205: @406603
     /*  406603 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(406680), // Rule ID 21044 //
     /*  406608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406640 */     // MIs[0] Operand 4
     /*  406640 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406678 */     GIR_RootConstrainSelectedInstOperands,
     /*  406679 */     // GIR_Coverage, 21044,
     /*  406679 */     GIR_EraseRootFromParent_Done,
     /*  406680 */   // Label 7206: @406680
     /*  406680 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(406757), // Rule ID 21045 //
     /*  406685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406717 */     // MIs[0] Operand 4
     /*  406717 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406755 */     GIR_RootConstrainSelectedInstOperands,
     /*  406756 */     // GIR_Coverage, 21045,
     /*  406756 */     GIR_EraseRootFromParent_Done,
     /*  406757 */   // Label 7207: @406757
     /*  406757 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(406834), // Rule ID 21048 //
     /*  406762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406794 */     // MIs[0] Operand 4
     /*  406794 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406832 */     GIR_RootConstrainSelectedInstOperands,
     /*  406833 */     // GIR_Coverage, 21048,
     /*  406833 */     GIR_EraseRootFromParent_Done,
     /*  406834 */   // Label 7208: @406834
     /*  406834 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(406911), // Rule ID 21049 //
     /*  406839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406871 */     // MIs[0] Operand 4
     /*  406871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406909 */     GIR_RootConstrainSelectedInstOperands,
     /*  406910 */     // GIR_Coverage, 21049,
     /*  406910 */     GIR_EraseRootFromParent_Done,
     /*  406911 */   // Label 7209: @406911
     /*  406911 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406988), // Rule ID 21052 //
     /*  406916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406948 */     // MIs[0] Operand 4
     /*  406948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406986 */     GIR_RootConstrainSelectedInstOperands,
     /*  406987 */     // GIR_Coverage, 21052,
     /*  406987 */     GIR_EraseRootFromParent_Done,
     /*  406988 */   // Label 7210: @406988
     /*  406988 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(407065), // Rule ID 21053 //
     /*  406993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  407004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  407007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407025 */     // MIs[0] Operand 4
     /*  407025 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  407046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407063 */     GIR_RootConstrainSelectedInstOperands,
     /*  407064 */     // GIR_Coverage, 21053,
     /*  407064 */     GIR_EraseRootFromParent_Done,
     /*  407065 */   // Label 7211: @407065
     /*  407065 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(407142), // Rule ID 21056 //
     /*  407070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  407081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  407084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407102 */     // MIs[0] Operand 4
     /*  407102 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407140 */     GIR_RootConstrainSelectedInstOperands,
     /*  407141 */     // GIR_Coverage, 21056,
     /*  407141 */     GIR_EraseRootFromParent_Done,
     /*  407142 */   // Label 7212: @407142
     /*  407142 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(407219), // Rule ID 21057 //
     /*  407147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  407158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  407161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407179 */     // MIs[0] Operand 4
     /*  407179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407217 */     GIR_RootConstrainSelectedInstOperands,
     /*  407218 */     // GIR_Coverage, 21057,
     /*  407218 */     GIR_EraseRootFromParent_Done,
     /*  407219 */   // Label 7213: @407219
     /*  407219 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(407296), // Rule ID 21060 //
     /*  407224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  407235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  407238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407256 */     // MIs[0] Operand 4
     /*  407256 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  407277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407294 */     GIR_RootConstrainSelectedInstOperands,
     /*  407295 */     // GIR_Coverage, 21060,
     /*  407295 */     GIR_EraseRootFromParent_Done,
     /*  407296 */   // Label 7214: @407296
     /*  407296 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(407373), // Rule ID 21061 //
     /*  407301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  407312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  407315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407333 */     // MIs[0] Operand 4
     /*  407333 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  407354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407371 */     GIR_RootConstrainSelectedInstOperands,
     /*  407372 */     // GIR_Coverage, 21061,
     /*  407372 */     GIR_EraseRootFromParent_Done,
     /*  407373 */   // Label 7215: @407373
     /*  407373 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(407450), // Rule ID 21364 //
     /*  407378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  407389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  407392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407410 */     // MIs[0] Operand 4
     /*  407410 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  407431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407448 */     GIR_RootConstrainSelectedInstOperands,
     /*  407449 */     // GIR_Coverage, 21364,
     /*  407449 */     GIR_EraseRootFromParent_Done,
     /*  407450 */   // Label 7216: @407450
     /*  407450 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(407527), // Rule ID 21365 //
     /*  407455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  407466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  407469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407487 */     // MIs[0] Operand 4
     /*  407487 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407505 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  407508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407525 */     GIR_RootConstrainSelectedInstOperands,
     /*  407526 */     // GIR_Coverage, 21365,
     /*  407526 */     GIR_EraseRootFromParent_Done,
     /*  407527 */   // Label 7217: @407527
     /*  407527 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(407604), // Rule ID 21368 //
     /*  407532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407564 */     // MIs[0] Operand 4
     /*  407564 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407602 */     GIR_RootConstrainSelectedInstOperands,
     /*  407603 */     // GIR_Coverage, 21368,
     /*  407603 */     GIR_EraseRootFromParent_Done,
     /*  407604 */   // Label 7218: @407604
     /*  407604 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(407681), // Rule ID 21369 //
     /*  407609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407641 */     // MIs[0] Operand 4
     /*  407641 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407659 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407679 */     GIR_RootConstrainSelectedInstOperands,
     /*  407680 */     // GIR_Coverage, 21369,
     /*  407680 */     GIR_EraseRootFromParent_Done,
     /*  407681 */   // Label 7219: @407681
     /*  407681 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(407758), // Rule ID 21372 //
     /*  407686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407718 */     // MIs[0] Operand 4
     /*  407718 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407756 */     GIR_RootConstrainSelectedInstOperands,
     /*  407757 */     // GIR_Coverage, 21372,
     /*  407757 */     GIR_EraseRootFromParent_Done,
     /*  407758 */   // Label 7220: @407758
     /*  407758 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(407835), // Rule ID 21373 //
     /*  407763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407795 */     // MIs[0] Operand 4
     /*  407795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407813 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407833 */     GIR_RootConstrainSelectedInstOperands,
     /*  407834 */     // GIR_Coverage, 21373,
     /*  407834 */     GIR_EraseRootFromParent_Done,
     /*  407835 */   // Label 7221: @407835
     /*  407835 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(407912), // Rule ID 21376 //
     /*  407840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407872 */     // MIs[0] Operand 4
     /*  407872 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407910 */     GIR_RootConstrainSelectedInstOperands,
     /*  407911 */     // GIR_Coverage, 21376,
     /*  407911 */     GIR_EraseRootFromParent_Done,
     /*  407912 */   // Label 7222: @407912
     /*  407912 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407989), // Rule ID 21377 //
     /*  407917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407949 */     // MIs[0] Operand 4
     /*  407949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407987 */     GIR_RootConstrainSelectedInstOperands,
     /*  407988 */     // GIR_Coverage, 21377,
     /*  407988 */     GIR_EraseRootFromParent_Done,
     /*  407989 */   // Label 7223: @407989
     /*  407989 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(408066), // Rule ID 21380 //
     /*  407994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  408005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408026 */     // MIs[0] Operand 4
     /*  408026 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408064 */     GIR_RootConstrainSelectedInstOperands,
     /*  408065 */     // GIR_Coverage, 21380,
     /*  408065 */     GIR_EraseRootFromParent_Done,
     /*  408066 */   // Label 7224: @408066
     /*  408066 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(408143), // Rule ID 21381 //
     /*  408071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  408082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408103 */     // MIs[0] Operand 4
     /*  408103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408121 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408141 */     GIR_RootConstrainSelectedInstOperands,
     /*  408142 */     // GIR_Coverage, 21381,
     /*  408142 */     GIR_EraseRootFromParent_Done,
     /*  408143 */   // Label 7225: @408143
     /*  408143 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(408220), // Rule ID 21384 //
     /*  408148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408180 */     // MIs[0] Operand 4
     /*  408180 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408218 */     GIR_RootConstrainSelectedInstOperands,
     /*  408219 */     // GIR_Coverage, 21384,
     /*  408219 */     GIR_EraseRootFromParent_Done,
     /*  408220 */   // Label 7226: @408220
     /*  408220 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(408297), // Rule ID 21385 //
     /*  408225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408257 */     // MIs[0] Operand 4
     /*  408257 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408295 */     GIR_RootConstrainSelectedInstOperands,
     /*  408296 */     // GIR_Coverage, 21385,
     /*  408296 */     GIR_EraseRootFromParent_Done,
     /*  408297 */   // Label 7227: @408297
     /*  408297 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(408374), // Rule ID 21388 //
     /*  408302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  408313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  408316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408334 */     // MIs[0] Operand 4
     /*  408334 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  408355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408372 */     GIR_RootConstrainSelectedInstOperands,
     /*  408373 */     // GIR_Coverage, 21388,
     /*  408373 */     GIR_EraseRootFromParent_Done,
     /*  408374 */   // Label 7228: @408374
     /*  408374 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(408451), // Rule ID 21389 //
     /*  408379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  408390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  408393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408411 */     // MIs[0] Operand 4
     /*  408411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  408432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408449 */     GIR_RootConstrainSelectedInstOperands,
     /*  408450 */     // GIR_Coverage, 21389,
     /*  408450 */     GIR_EraseRootFromParent_Done,
     /*  408451 */   // Label 7229: @408451
     /*  408451 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(408528), // Rule ID 21392 //
     /*  408456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408488 */     // MIs[0] Operand 4
     /*  408488 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408526 */     GIR_RootConstrainSelectedInstOperands,
     /*  408527 */     // GIR_Coverage, 21392,
     /*  408527 */     GIR_EraseRootFromParent_Done,
     /*  408528 */   // Label 7230: @408528
     /*  408528 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(408605), // Rule ID 21393 //
     /*  408533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408565 */     // MIs[0] Operand 4
     /*  408565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408603 */     GIR_RootConstrainSelectedInstOperands,
     /*  408604 */     // GIR_Coverage, 21393,
     /*  408604 */     GIR_EraseRootFromParent_Done,
     /*  408605 */   // Label 7231: @408605
     /*  408605 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(408682), // Rule ID 21396 //
     /*  408610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408642 */     // MIs[0] Operand 4
     /*  408642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408680 */     GIR_RootConstrainSelectedInstOperands,
     /*  408681 */     // GIR_Coverage, 21396,
     /*  408681 */     GIR_EraseRootFromParent_Done,
     /*  408682 */   // Label 7232: @408682
     /*  408682 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(408759), // Rule ID 21397 //
     /*  408687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408719 */     // MIs[0] Operand 4
     /*  408719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408737 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408757 */     GIR_RootConstrainSelectedInstOperands,
     /*  408758 */     // GIR_Coverage, 21397,
     /*  408758 */     GIR_EraseRootFromParent_Done,
     /*  408759 */   // Label 7233: @408759
     /*  408759 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(408836), // Rule ID 21400 //
     /*  408764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408796 */     // MIs[0] Operand 4
     /*  408796 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408834 */     GIR_RootConstrainSelectedInstOperands,
     /*  408835 */     // GIR_Coverage, 21400,
     /*  408835 */     GIR_EraseRootFromParent_Done,
     /*  408836 */   // Label 7234: @408836
     /*  408836 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(408913), // Rule ID 21401 //
     /*  408841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408873 */     // MIs[0] Operand 4
     /*  408873 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408911 */     GIR_RootConstrainSelectedInstOperands,
     /*  408912 */     // GIR_Coverage, 21401,
     /*  408912 */     GIR_EraseRootFromParent_Done,
     /*  408913 */   // Label 7235: @408913
     /*  408913 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408990), // Rule ID 21404 //
     /*  408918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408950 */     // MIs[0] Operand 4
     /*  408950 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408988 */     GIR_RootConstrainSelectedInstOperands,
     /*  408989 */     // GIR_Coverage, 21404,
     /*  408989 */     GIR_EraseRootFromParent_Done,
     /*  408990 */   // Label 7236: @408990
     /*  408990 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(409067), // Rule ID 21405 //
     /*  408995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  409006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  409009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  409012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409027 */     // MIs[0] Operand 4
     /*  409027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409045 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409065 */     GIR_RootConstrainSelectedInstOperands,
     /*  409066 */     // GIR_Coverage, 21405,
     /*  409066 */     GIR_EraseRootFromParent_Done,
     /*  409067 */   // Label 7237: @409067
     /*  409067 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(409144), // Rule ID 21408 //
     /*  409072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409104 */     // MIs[0] Operand 4
     /*  409104 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409142 */     GIR_RootConstrainSelectedInstOperands,
     /*  409143 */     // GIR_Coverage, 21408,
     /*  409143 */     GIR_EraseRootFromParent_Done,
     /*  409144 */   // Label 7238: @409144
     /*  409144 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(409221), // Rule ID 21409 //
     /*  409149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409181 */     // MIs[0] Operand 4
     /*  409181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409219 */     GIR_RootConstrainSelectedInstOperands,
     /*  409220 */     // GIR_Coverage, 21409,
     /*  409220 */     GIR_EraseRootFromParent_Done,
     /*  409221 */   // Label 7239: @409221
     /*  409221 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(409298), // Rule ID 21412 //
     /*  409226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409258 */     // MIs[0] Operand 4
     /*  409258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  409279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409296 */     GIR_RootConstrainSelectedInstOperands,
     /*  409297 */     // GIR_Coverage, 21412,
     /*  409297 */     GIR_EraseRootFromParent_Done,
     /*  409298 */   // Label 7240: @409298
     /*  409298 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(409375), // Rule ID 21413 //
     /*  409303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409335 */     // MIs[0] Operand 4
     /*  409335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  409356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409373 */     GIR_RootConstrainSelectedInstOperands,
     /*  409374 */     // GIR_Coverage, 21413,
     /*  409374 */     GIR_EraseRootFromParent_Done,
     /*  409375 */   // Label 7241: @409375
     /*  409375 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(409452), // Rule ID 21416 //
     /*  409380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409412 */     // MIs[0] Operand 4
     /*  409412 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409450 */     GIR_RootConstrainSelectedInstOperands,
     /*  409451 */     // GIR_Coverage, 21416,
     /*  409451 */     GIR_EraseRootFromParent_Done,
     /*  409452 */   // Label 7242: @409452
     /*  409452 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(409529), // Rule ID 21417 //
     /*  409457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409489 */     // MIs[0] Operand 4
     /*  409489 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409527 */     GIR_RootConstrainSelectedInstOperands,
     /*  409528 */     // GIR_Coverage, 21417,
     /*  409528 */     GIR_EraseRootFromParent_Done,
     /*  409529 */   // Label 7243: @409529
     /*  409529 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(409606), // Rule ID 21420 //
     /*  409534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409566 */     // MIs[0] Operand 4
     /*  409566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409604 */     GIR_RootConstrainSelectedInstOperands,
     /*  409605 */     // GIR_Coverage, 21420,
     /*  409605 */     GIR_EraseRootFromParent_Done,
     /*  409606 */   // Label 7244: @409606
     /*  409606 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(409683), // Rule ID 21421 //
     /*  409611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409643 */     // MIs[0] Operand 4
     /*  409643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409681 */     GIR_RootConstrainSelectedInstOperands,
     /*  409682 */     // GIR_Coverage, 21421,
     /*  409682 */     GIR_EraseRootFromParent_Done,
     /*  409683 */   // Label 7245: @409683
     /*  409683 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(409760), // Rule ID 21424 //
     /*  409688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409720 */     // MIs[0] Operand 4
     /*  409720 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409738 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409758 */     GIR_RootConstrainSelectedInstOperands,
     /*  409759 */     // GIR_Coverage, 21424,
     /*  409759 */     GIR_EraseRootFromParent_Done,
     /*  409760 */   // Label 7246: @409760
     /*  409760 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(409837), // Rule ID 21425 //
     /*  409765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409797 */     // MIs[0] Operand 4
     /*  409797 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409835 */     GIR_RootConstrainSelectedInstOperands,
     /*  409836 */     // GIR_Coverage, 21425,
     /*  409836 */     GIR_EraseRootFromParent_Done,
     /*  409837 */   // Label 7247: @409837
     /*  409837 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(409914), // Rule ID 21428 //
     /*  409842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409874 */     // MIs[0] Operand 4
     /*  409874 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409912 */     GIR_RootConstrainSelectedInstOperands,
     /*  409913 */     // GIR_Coverage, 21428,
     /*  409913 */     GIR_EraseRootFromParent_Done,
     /*  409914 */   // Label 7248: @409914
     /*  409914 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409991), // Rule ID 21429 //
     /*  409919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409951 */     // MIs[0] Operand 4
     /*  409951 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409969 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409989 */     GIR_RootConstrainSelectedInstOperands,
     /*  409990 */     // GIR_Coverage, 21429,
     /*  409990 */     GIR_EraseRootFromParent_Done,
     /*  409991 */   // Label 7249: @409991
     /*  409991 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(410068), // Rule ID 21432 //
     /*  409996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  410007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  410010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410028 */     // MIs[0] Operand 4
     /*  410028 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410066 */     GIR_RootConstrainSelectedInstOperands,
     /*  410067 */     // GIR_Coverage, 21432,
     /*  410067 */     GIR_EraseRootFromParent_Done,
     /*  410068 */   // Label 7250: @410068
     /*  410068 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(410145), // Rule ID 21433 //
     /*  410073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  410084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  410087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410105 */     // MIs[0] Operand 4
     /*  410105 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410143 */     GIR_RootConstrainSelectedInstOperands,
     /*  410144 */     // GIR_Coverage, 21433,
     /*  410144 */     GIR_EraseRootFromParent_Done,
     /*  410145 */   // Label 7251: @410145
     /*  410145 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(410222), // Rule ID 21436 //
     /*  410150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  410161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  410164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410182 */     // MIs[0] Operand 4
     /*  410182 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410220 */     GIR_RootConstrainSelectedInstOperands,
     /*  410221 */     // GIR_Coverage, 21436,
     /*  410221 */     GIR_EraseRootFromParent_Done,
     /*  410222 */   // Label 7252: @410222
     /*  410222 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(410299), // Rule ID 21437 //
     /*  410227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  410238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  410241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410259 */     // MIs[0] Operand 4
     /*  410259 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410297 */     GIR_RootConstrainSelectedInstOperands,
     /*  410298 */     // GIR_Coverage, 21437,
     /*  410298 */     GIR_EraseRootFromParent_Done,
     /*  410299 */   // Label 7253: @410299
     /*  410299 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(410376), // Rule ID 21440 //
     /*  410304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  410315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  410318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410336 */     // MIs[0] Operand 4
     /*  410336 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410374 */     GIR_RootConstrainSelectedInstOperands,
     /*  410375 */     // GIR_Coverage, 21440,
     /*  410375 */     GIR_EraseRootFromParent_Done,
     /*  410376 */   // Label 7254: @410376
     /*  410376 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(410453), // Rule ID 21441 //
     /*  410381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  410392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  410395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410413 */     // MIs[0] Operand 4
     /*  410413 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410451 */     GIR_RootConstrainSelectedInstOperands,
     /*  410452 */     // GIR_Coverage, 21441,
     /*  410452 */     GIR_EraseRootFromParent_Done,
     /*  410453 */   // Label 7255: @410453
     /*  410453 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(410530), // Rule ID 21444 //
     /*  410458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410490 */     // MIs[0] Operand 4
     /*  410490 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410528 */     GIR_RootConstrainSelectedInstOperands,
     /*  410529 */     // GIR_Coverage, 21444,
     /*  410529 */     GIR_EraseRootFromParent_Done,
     /*  410530 */   // Label 7256: @410530
     /*  410530 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(410607), // Rule ID 21445 //
     /*  410535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410567 */     // MIs[0] Operand 4
     /*  410567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410585 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410605 */     GIR_RootConstrainSelectedInstOperands,
     /*  410606 */     // GIR_Coverage, 21445,
     /*  410606 */     GIR_EraseRootFromParent_Done,
     /*  410607 */   // Label 7257: @410607
     /*  410607 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(410684), // Rule ID 21448 //
     /*  410612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410644 */     // MIs[0] Operand 4
     /*  410644 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410682 */     GIR_RootConstrainSelectedInstOperands,
     /*  410683 */     // GIR_Coverage, 21448,
     /*  410683 */     GIR_EraseRootFromParent_Done,
     /*  410684 */   // Label 7258: @410684
     /*  410684 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(410761), // Rule ID 21449 //
     /*  410689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410721 */     // MIs[0] Operand 4
     /*  410721 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410759 */     GIR_RootConstrainSelectedInstOperands,
     /*  410760 */     // GIR_Coverage, 21449,
     /*  410760 */     GIR_EraseRootFromParent_Done,
     /*  410761 */   // Label 7259: @410761
     /*  410761 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(410838), // Rule ID 21452 //
     /*  410766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410798 */     // MIs[0] Operand 4
     /*  410798 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410816 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410836 */     GIR_RootConstrainSelectedInstOperands,
     /*  410837 */     // GIR_Coverage, 21452,
     /*  410837 */     GIR_EraseRootFromParent_Done,
     /*  410838 */   // Label 7260: @410838
     /*  410838 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(410915), // Rule ID 21453 //
     /*  410843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410875 */     // MIs[0] Operand 4
     /*  410875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410913 */     GIR_RootConstrainSelectedInstOperands,
     /*  410914 */     // GIR_Coverage, 21453,
     /*  410914 */     GIR_EraseRootFromParent_Done,
     /*  410915 */   // Label 7261: @410915
     /*  410915 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410992), // Rule ID 21456 //
     /*  410920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  410931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  410934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410952 */     // MIs[0] Operand 4
     /*  410952 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410990 */     GIR_RootConstrainSelectedInstOperands,
     /*  410991 */     // GIR_Coverage, 21456,
     /*  410991 */     GIR_EraseRootFromParent_Done,
     /*  410992 */   // Label 7262: @410992
     /*  410992 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(411069), // Rule ID 21457 //
     /*  410997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  411008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  411011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411029 */     // MIs[0] Operand 4
     /*  411029 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411067 */     GIR_RootConstrainSelectedInstOperands,
     /*  411068 */     // GIR_Coverage, 21457,
     /*  411068 */     GIR_EraseRootFromParent_Done,
     /*  411069 */   // Label 7263: @411069
     /*  411069 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(411146), // Rule ID 21460 //
     /*  411074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  411085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  411088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411106 */     // MIs[0] Operand 4
     /*  411106 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411144 */     GIR_RootConstrainSelectedInstOperands,
     /*  411145 */     // GIR_Coverage, 21460,
     /*  411145 */     GIR_EraseRootFromParent_Done,
     /*  411146 */   // Label 7264: @411146
     /*  411146 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(411223), // Rule ID 21461 //
     /*  411151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  411162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  411165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411183 */     // MIs[0] Operand 4
     /*  411183 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411221 */     GIR_RootConstrainSelectedInstOperands,
     /*  411222 */     // GIR_Coverage, 21461,
     /*  411222 */     GIR_EraseRootFromParent_Done,
     /*  411223 */   // Label 7265: @411223
     /*  411223 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(411300), // Rule ID 21464 //
     /*  411228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  411242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  411245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411260 */     // MIs[0] Operand 4
     /*  411260 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411298 */     GIR_RootConstrainSelectedInstOperands,
     /*  411299 */     // GIR_Coverage, 21464,
     /*  411299 */     GIR_EraseRootFromParent_Done,
     /*  411300 */   // Label 7266: @411300
     /*  411300 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(411377), // Rule ID 21465 //
     /*  411305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  411319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  411322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411337 */     // MIs[0] Operand 4
     /*  411337 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411355 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411375 */     GIR_RootConstrainSelectedInstOperands,
     /*  411376 */     // GIR_Coverage, 21465,
     /*  411376 */     GIR_EraseRootFromParent_Done,
     /*  411377 */   // Label 7267: @411377
     /*  411377 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(411454), // Rule ID 21468 //
     /*  411382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  411393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  411396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  411399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411414 */     // MIs[0] Operand 4
     /*  411414 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411452 */     GIR_RootConstrainSelectedInstOperands,
     /*  411453 */     // GIR_Coverage, 21468,
     /*  411453 */     GIR_EraseRootFromParent_Done,
     /*  411454 */   // Label 7268: @411454
     /*  411454 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(411531), // Rule ID 21469 //
     /*  411459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  411470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  411473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  411476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411491 */     // MIs[0] Operand 4
     /*  411491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411529 */     GIR_RootConstrainSelectedInstOperands,
     /*  411530 */     // GIR_Coverage, 21469,
     /*  411530 */     GIR_EraseRootFromParent_Done,
     /*  411531 */   // Label 7269: @411531
     /*  411531 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(411608), // Rule ID 21472 //
     /*  411536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411568 */     // MIs[0] Operand 4
     /*  411568 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411606 */     GIR_RootConstrainSelectedInstOperands,
     /*  411607 */     // GIR_Coverage, 21472,
     /*  411607 */     GIR_EraseRootFromParent_Done,
     /*  411608 */   // Label 7270: @411608
     /*  411608 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(411685), // Rule ID 21473 //
     /*  411613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411645 */     // MIs[0] Operand 4
     /*  411645 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411683 */     GIR_RootConstrainSelectedInstOperands,
     /*  411684 */     // GIR_Coverage, 21473,
     /*  411684 */     GIR_EraseRootFromParent_Done,
     /*  411685 */   // Label 7271: @411685
     /*  411685 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(411762), // Rule ID 21476 //
     /*  411690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411722 */     // MIs[0] Operand 4
     /*  411722 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411740 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411760 */     GIR_RootConstrainSelectedInstOperands,
     /*  411761 */     // GIR_Coverage, 21476,
     /*  411761 */     GIR_EraseRootFromParent_Done,
     /*  411762 */   // Label 7272: @411762
     /*  411762 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(411839), // Rule ID 21477 //
     /*  411767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411799 */     // MIs[0] Operand 4
     /*  411799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411837 */     GIR_RootConstrainSelectedInstOperands,
     /*  411838 */     // GIR_Coverage, 21477,
     /*  411838 */     GIR_EraseRootFromParent_Done,
     /*  411839 */   // Label 7273: @411839
     /*  411839 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(411916), // Rule ID 21480 //
     /*  411844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411876 */     // MIs[0] Operand 4
     /*  411876 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411914 */     GIR_RootConstrainSelectedInstOperands,
     /*  411915 */     // GIR_Coverage, 21480,
     /*  411915 */     GIR_EraseRootFromParent_Done,
     /*  411916 */   // Label 7274: @411916
     /*  411916 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411993), // Rule ID 21481 //
     /*  411921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411953 */     // MIs[0] Operand 4
     /*  411953 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411991 */     GIR_RootConstrainSelectedInstOperands,
     /*  411992 */     // GIR_Coverage, 21481,
     /*  411992 */     GIR_EraseRootFromParent_Done,
     /*  411993 */   // Label 7275: @411993
     /*  411993 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(412066), // Rule ID 62740 //
     /*  411998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412022 */     // MIs[0] op1
     /*  412022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412045 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  412048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412064 */     GIR_RootConstrainSelectedInstOperands,
     /*  412065 */     // GIR_Coverage, 62740,
     /*  412065 */     GIR_EraseRootFromParent_Done,
     /*  412066 */   // Label 7276: @412066
     /*  412066 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(412139), // Rule ID 62741 //
     /*  412071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412095 */     // MIs[0] op1
     /*  412095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412118 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  412121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412123 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412125 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412127 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412137 */     GIR_RootConstrainSelectedInstOperands,
     /*  412138 */     // GIR_Coverage, 62741,
     /*  412138 */     GIR_EraseRootFromParent_Done,
     /*  412139 */   // Label 7277: @412139
     /*  412139 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(412212), // Rule ID 62764 //
     /*  412144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  412161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412168 */     // MIs[0] op1
     /*  412168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412191 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  412194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412210 */     GIR_RootConstrainSelectedInstOperands,
     /*  412211 */     // GIR_Coverage, 62764,
     /*  412211 */     GIR_EraseRootFromParent_Done,
     /*  412212 */   // Label 7278: @412212
     /*  412212 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(412285), // Rule ID 62765 //
     /*  412217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  412234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412241 */     // MIs[0] op1
     /*  412241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  412267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412283 */     GIR_RootConstrainSelectedInstOperands,
     /*  412284 */     // GIR_Coverage, 62765,
     /*  412284 */     GIR_EraseRootFromParent_Done,
     /*  412285 */   // Label 7279: @412285
     /*  412285 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(412358), // Rule ID 62790 //
     /*  412290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412314 */     // MIs[0] op1
     /*  412314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412337 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412356 */     GIR_RootConstrainSelectedInstOperands,
     /*  412357 */     // GIR_Coverage, 62790,
     /*  412357 */     GIR_EraseRootFromParent_Done,
     /*  412358 */   // Label 7280: @412358
     /*  412358 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(412431), // Rule ID 62791 //
     /*  412363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412387 */     // MIs[0] op1
     /*  412387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412410 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412429 */     GIR_RootConstrainSelectedInstOperands,
     /*  412430 */     // GIR_Coverage, 62791,
     /*  412430 */     GIR_EraseRootFromParent_Done,
     /*  412431 */   // Label 7281: @412431
     /*  412431 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(412504), // Rule ID 62802 //
     /*  412436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412460 */     // MIs[0] op1
     /*  412460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412483 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412502 */     GIR_RootConstrainSelectedInstOperands,
     /*  412503 */     // GIR_Coverage, 62802,
     /*  412503 */     GIR_EraseRootFromParent_Done,
     /*  412504 */   // Label 7282: @412504
     /*  412504 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(412577), // Rule ID 62803 //
     /*  412509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412533 */     // MIs[0] op1
     /*  412533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412575 */     GIR_RootConstrainSelectedInstOperands,
     /*  412576 */     // GIR_Coverage, 62803,
     /*  412576 */     GIR_EraseRootFromParent_Done,
     /*  412577 */   // Label 7283: @412577
     /*  412577 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(412650), // Rule ID 62834 //
     /*  412582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412606 */     // MIs[0] op1
     /*  412606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412629 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412648 */     GIR_RootConstrainSelectedInstOperands,
     /*  412649 */     // GIR_Coverage, 62834,
     /*  412649 */     GIR_EraseRootFromParent_Done,
     /*  412650 */   // Label 7284: @412650
     /*  412650 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(412723), // Rule ID 62835 //
     /*  412655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412679 */     // MIs[0] op1
     /*  412679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412721 */     GIR_RootConstrainSelectedInstOperands,
     /*  412722 */     // GIR_Coverage, 62835,
     /*  412722 */     GIR_EraseRootFromParent_Done,
     /*  412723 */   // Label 7285: @412723
     /*  412723 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(412796), // Rule ID 62846 //
     /*  412728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412752 */     // MIs[0] op1
     /*  412752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412775 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412794 */     GIR_RootConstrainSelectedInstOperands,
     /*  412795 */     // GIR_Coverage, 62846,
     /*  412795 */     GIR_EraseRootFromParent_Done,
     /*  412796 */   // Label 7286: @412796
     /*  412796 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(412869), // Rule ID 62847 //
     /*  412801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412825 */     // MIs[0] op1
     /*  412825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412867 */     GIR_RootConstrainSelectedInstOperands,
     /*  412868 */     // GIR_Coverage, 62847,
     /*  412868 */     GIR_EraseRootFromParent_Done,
     /*  412869 */   // Label 7287: @412869
     /*  412869 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412942), // Rule ID 62878 //
     /*  412874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412898 */     // MIs[0] op1
     /*  412898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412940 */     GIR_RootConstrainSelectedInstOperands,
     /*  412941 */     // GIR_Coverage, 62878,
     /*  412941 */     GIR_EraseRootFromParent_Done,
     /*  412942 */   // Label 7288: @412942
     /*  412942 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(413015), // Rule ID 62879 //
     /*  412947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412971 */     // MIs[0] op1
     /*  412971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413013 */     GIR_RootConstrainSelectedInstOperands,
     /*  413014 */     // GIR_Coverage, 62879,
     /*  413014 */     GIR_EraseRootFromParent_Done,
     /*  413015 */   // Label 7289: @413015
     /*  413015 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(413088), // Rule ID 62890 //
     /*  413020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  413037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413044 */     // MIs[0] op1
     /*  413044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  413070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413086 */     GIR_RootConstrainSelectedInstOperands,
     /*  413087 */     // GIR_Coverage, 62890,
     /*  413087 */     GIR_EraseRootFromParent_Done,
     /*  413088 */   // Label 7290: @413088
     /*  413088 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(413161), // Rule ID 62891 //
     /*  413093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  413110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413117 */     // MIs[0] op1
     /*  413117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  413143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413159 */     GIR_RootConstrainSelectedInstOperands,
     /*  413160 */     // GIR_Coverage, 62891,
     /*  413160 */     GIR_EraseRootFromParent_Done,
     /*  413161 */   // Label 7291: @413161
     /*  413161 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(413234), // Rule ID 62914 //
     /*  413166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413190 */     // MIs[0] op1
     /*  413190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413213 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  413216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413232 */     GIR_RootConstrainSelectedInstOperands,
     /*  413233 */     // GIR_Coverage, 62914,
     /*  413233 */     GIR_EraseRootFromParent_Done,
     /*  413234 */   // Label 7292: @413234
     /*  413234 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(413307), // Rule ID 62915 //
     /*  413239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413263 */     // MIs[0] op1
     /*  413263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  413289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413291 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413293 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413295 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413305 */     GIR_RootConstrainSelectedInstOperands,
     /*  413306 */     // GIR_Coverage, 62915,
     /*  413306 */     GIR_EraseRootFromParent_Done,
     /*  413307 */   // Label 7293: @413307
     /*  413307 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(413380), // Rule ID 62934 //
     /*  413312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413336 */     // MIs[0] op1
     /*  413336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413378 */     GIR_RootConstrainSelectedInstOperands,
     /*  413379 */     // GIR_Coverage, 62934,
     /*  413379 */     GIR_EraseRootFromParent_Done,
     /*  413380 */   // Label 7294: @413380
     /*  413380 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(413453), // Rule ID 62935 //
     /*  413385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413409 */     // MIs[0] op1
     /*  413409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413437 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413439 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413441 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413451 */     GIR_RootConstrainSelectedInstOperands,
     /*  413452 */     // GIR_Coverage, 62935,
     /*  413452 */     GIR_EraseRootFromParent_Done,
     /*  413453 */   // Label 7295: @413453
     /*  413453 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(413526), // Rule ID 62946 //
     /*  413458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413482 */     // MIs[0] op1
     /*  413482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413524 */     GIR_RootConstrainSelectedInstOperands,
     /*  413525 */     // GIR_Coverage, 62946,
     /*  413525 */     GIR_EraseRootFromParent_Done,
     /*  413526 */   // Label 7296: @413526
     /*  413526 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(413599), // Rule ID 62947 //
     /*  413531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413555 */     // MIs[0] op1
     /*  413555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413583 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413585 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413587 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413597 */     GIR_RootConstrainSelectedInstOperands,
     /*  413598 */     // GIR_Coverage, 62947,
     /*  413598 */     GIR_EraseRootFromParent_Done,
     /*  413599 */   // Label 7297: @413599
     /*  413599 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(413672), // Rule ID 62970 //
     /*  413604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413628 */     // MIs[0] op1
     /*  413628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413670 */     GIR_RootConstrainSelectedInstOperands,
     /*  413671 */     // GIR_Coverage, 62970,
     /*  413671 */     GIR_EraseRootFromParent_Done,
     /*  413672 */   // Label 7298: @413672
     /*  413672 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(413745), // Rule ID 62971 //
     /*  413677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413701 */     // MIs[0] op1
     /*  413701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413704 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413729 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413731 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413733 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413743 */     GIR_RootConstrainSelectedInstOperands,
     /*  413744 */     // GIR_Coverage, 62971,
     /*  413744 */     GIR_EraseRootFromParent_Done,
     /*  413745 */   // Label 7299: @413745
     /*  413745 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(413818), // Rule ID 62990 //
     /*  413750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413774 */     // MIs[0] op1
     /*  413774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413816 */     GIR_RootConstrainSelectedInstOperands,
     /*  413817 */     // GIR_Coverage, 62990,
     /*  413817 */     GIR_EraseRootFromParent_Done,
     /*  413818 */   // Label 7300: @413818
     /*  413818 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413891), // Rule ID 62991 //
     /*  413823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413847 */     // MIs[0] op1
     /*  413847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413889 */     GIR_RootConstrainSelectedInstOperands,
     /*  413890 */     // GIR_Coverage, 62991,
     /*  413890 */     GIR_EraseRootFromParent_Done,
     /*  413891 */   // Label 7301: @413891
     /*  413891 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413964), // Rule ID 63002 //
     /*  413896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413920 */     // MIs[0] op1
     /*  413920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413943 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413962 */     GIR_RootConstrainSelectedInstOperands,
     /*  413963 */     // GIR_Coverage, 63002,
     /*  413963 */     GIR_EraseRootFromParent_Done,
     /*  413964 */   // Label 7302: @413964
     /*  413964 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(414037), // Rule ID 63003 //
     /*  413969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413993 */     // MIs[0] op1
     /*  413993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  414019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414035 */     GIR_RootConstrainSelectedInstOperands,
     /*  414036 */     // GIR_Coverage, 63003,
     /*  414036 */     GIR_EraseRootFromParent_Done,
     /*  414037 */   // Label 7303: @414037
     /*  414037 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(414110), // Rule ID 63026 //
     /*  414042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414066 */     // MIs[0] op1
     /*  414066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414089 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  414092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414108 */     GIR_RootConstrainSelectedInstOperands,
     /*  414109 */     // GIR_Coverage, 63026,
     /*  414109 */     GIR_EraseRootFromParent_Done,
     /*  414110 */   // Label 7304: @414110
     /*  414110 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(414183), // Rule ID 63027 //
     /*  414115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414139 */     // MIs[0] op1
     /*  414139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  414165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414167 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414169 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414171 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414181 */     GIR_RootConstrainSelectedInstOperands,
     /*  414182 */     // GIR_Coverage, 63027,
     /*  414182 */     GIR_EraseRootFromParent_Done,
     /*  414183 */   // Label 7305: @414183
     /*  414183 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(414256), // Rule ID 63046 //
     /*  414188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414212 */     // MIs[0] op1
     /*  414212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414235 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414240 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414242 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414244 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414254 */     GIR_RootConstrainSelectedInstOperands,
     /*  414255 */     // GIR_Coverage, 63046,
     /*  414255 */     GIR_EraseRootFromParent_Done,
     /*  414256 */   // Label 7306: @414256
     /*  414256 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(414329), // Rule ID 63047 //
     /*  414261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414285 */     // MIs[0] op1
     /*  414285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414327 */     GIR_RootConstrainSelectedInstOperands,
     /*  414328 */     // GIR_Coverage, 63047,
     /*  414328 */     GIR_EraseRootFromParent_Done,
     /*  414329 */   // Label 7307: @414329
     /*  414329 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(414402), // Rule ID 63058 //
     /*  414334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  414351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414358 */     // MIs[0] op1
     /*  414358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414381 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414386 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414388 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414390 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414400 */     GIR_RootConstrainSelectedInstOperands,
     /*  414401 */     // GIR_Coverage, 63058,
     /*  414401 */     GIR_EraseRootFromParent_Done,
     /*  414402 */   // Label 7308: @414402
     /*  414402 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(414475), // Rule ID 63059 //
     /*  414407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  414424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414431 */     // MIs[0] op1
     /*  414431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414459 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414461 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414463 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414473 */     GIR_RootConstrainSelectedInstOperands,
     /*  414474 */     // GIR_Coverage, 63059,
     /*  414474 */     GIR_EraseRootFromParent_Done,
     /*  414475 */   // Label 7309: @414475
     /*  414475 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(414548), // Rule ID 63090 //
     /*  414480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414504 */     // MIs[0] op1
     /*  414504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414546 */     GIR_RootConstrainSelectedInstOperands,
     /*  414547 */     // GIR_Coverage, 63090,
     /*  414547 */     GIR_EraseRootFromParent_Done,
     /*  414548 */   // Label 7310: @414548
     /*  414548 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(414621), // Rule ID 63091 //
     /*  414553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414577 */     // MIs[0] op1
     /*  414577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414605 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414607 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414609 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414619 */     GIR_RootConstrainSelectedInstOperands,
     /*  414620 */     // GIR_Coverage, 63091,
     /*  414620 */     GIR_EraseRootFromParent_Done,
     /*  414621 */   // Label 7311: @414621
     /*  414621 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(414694), // Rule ID 63102 //
     /*  414626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414650 */     // MIs[0] op1
     /*  414650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414692 */     GIR_RootConstrainSelectedInstOperands,
     /*  414693 */     // GIR_Coverage, 63102,
     /*  414693 */     GIR_EraseRootFromParent_Done,
     /*  414694 */   // Label 7312: @414694
     /*  414694 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(414767), // Rule ID 63103 //
     /*  414699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414723 */     // MIs[0] op1
     /*  414723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414751 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414753 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414755 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414765 */     GIR_RootConstrainSelectedInstOperands,
     /*  414766 */     // GIR_Coverage, 63103,
     /*  414766 */     GIR_EraseRootFromParent_Done,
     /*  414767 */   // Label 7313: @414767
     /*  414767 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414840), // Rule ID 63126 //
     /*  414772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414796 */     // MIs[0] op1
     /*  414796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414824 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414826 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414828 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414838 */     GIR_RootConstrainSelectedInstOperands,
     /*  414839 */     // GIR_Coverage, 63126,
     /*  414839 */     GIR_EraseRootFromParent_Done,
     /*  414840 */   // Label 7314: @414840
     /*  414840 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414913), // Rule ID 63127 //
     /*  414845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414869 */     // MIs[0] op1
     /*  414869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414911 */     GIR_RootConstrainSelectedInstOperands,
     /*  414912 */     // GIR_Coverage, 63127,
     /*  414912 */     GIR_EraseRootFromParent_Done,
     /*  414913 */   // Label 7315: @414913
     /*  414913 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414986), // Rule ID 63146 //
     /*  414918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414942 */     // MIs[0] op1
     /*  414942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414984 */     GIR_RootConstrainSelectedInstOperands,
     /*  414985 */     // GIR_Coverage, 63146,
     /*  414985 */     GIR_EraseRootFromParent_Done,
     /*  414986 */   // Label 7316: @414986
     /*  414986 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(415059), // Rule ID 63147 //
     /*  414991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415015 */     // MIs[0] op1
     /*  415015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415038 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415043 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415045 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415047 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415057 */     GIR_RootConstrainSelectedInstOperands,
     /*  415058 */     // GIR_Coverage, 63147,
     /*  415058 */     GIR_EraseRootFromParent_Done,
     /*  415059 */   // Label 7317: @415059
     /*  415059 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(415132), // Rule ID 63158 //
     /*  415064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  415081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415088 */     // MIs[0] op1
     /*  415088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415130 */     GIR_RootConstrainSelectedInstOperands,
     /*  415131 */     // GIR_Coverage, 63158,
     /*  415131 */     GIR_EraseRootFromParent_Done,
     /*  415132 */   // Label 7318: @415132
     /*  415132 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(415205), // Rule ID 63159 //
     /*  415137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  415154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415161 */     // MIs[0] op1
     /*  415161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415203 */     GIR_RootConstrainSelectedInstOperands,
     /*  415204 */     // GIR_Coverage, 63159,
     /*  415204 */     GIR_EraseRootFromParent_Done,
     /*  415205 */   // Label 7319: @415205
     /*  415205 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(415278), // Rule ID 63182 //
     /*  415210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415234 */     // MIs[0] op1
     /*  415234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  415250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  415260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415262 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415264 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415266 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415276 */     GIR_RootConstrainSelectedInstOperands,
     /*  415277 */     // GIR_Coverage, 63182,
     /*  415277 */     GIR_EraseRootFromParent_Done,
     /*  415278 */   // Label 7320: @415278
     /*  415278 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(415351), // Rule ID 63183 //
     /*  415283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415307 */     // MIs[0] op1
     /*  415307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  415323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  415333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415349 */     GIR_RootConstrainSelectedInstOperands,
     /*  415350 */     // GIR_Coverage, 63183,
     /*  415350 */     GIR_EraseRootFromParent_Done,
     /*  415351 */   // Label 7321: @415351
     /*  415351 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(415424), // Rule ID 63202 //
     /*  415356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415380 */     // MIs[0] op1
     /*  415380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415422 */     GIR_RootConstrainSelectedInstOperands,
     /*  415423 */     // GIR_Coverage, 63202,
     /*  415423 */     GIR_EraseRootFromParent_Done,
     /*  415424 */   // Label 7322: @415424
     /*  415424 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(415497), // Rule ID 63203 //
     /*  415429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415453 */     // MIs[0] op1
     /*  415453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415481 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415483 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415485 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415495 */     GIR_RootConstrainSelectedInstOperands,
     /*  415496 */     // GIR_Coverage, 63203,
     /*  415496 */     GIR_EraseRootFromParent_Done,
     /*  415497 */   // Label 7323: @415497
     /*  415497 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(415570), // Rule ID 63214 //
     /*  415502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415526 */     // MIs[0] op1
     /*  415526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415529 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415554 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415556 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415558 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415568 */     GIR_RootConstrainSelectedInstOperands,
     /*  415569 */     // GIR_Coverage, 63214,
     /*  415569 */     GIR_EraseRootFromParent_Done,
     /*  415570 */   // Label 7324: @415570
     /*  415570 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(415643), // Rule ID 63215 //
     /*  415575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415599 */     // MIs[0] op1
     /*  415599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415627 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415629 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415631 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415641 */     GIR_RootConstrainSelectedInstOperands,
     /*  415642 */     // GIR_Coverage, 63215,
     /*  415642 */     GIR_EraseRootFromParent_Done,
     /*  415643 */   // Label 7325: @415643
     /*  415643 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(415716), // Rule ID 63238 //
     /*  415648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415672 */     // MIs[0] op1
     /*  415672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415695 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415714 */     GIR_RootConstrainSelectedInstOperands,
     /*  415715 */     // GIR_Coverage, 63238,
     /*  415715 */     GIR_EraseRootFromParent_Done,
     /*  415716 */   // Label 7326: @415716
     /*  415716 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415789), // Rule ID 63239 //
     /*  415721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415745 */     // MIs[0] op1
     /*  415745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415787 */     GIR_RootConstrainSelectedInstOperands,
     /*  415788 */     // GIR_Coverage, 63239,
     /*  415788 */     GIR_EraseRootFromParent_Done,
     /*  415789 */   // Label 7327: @415789
     /*  415789 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415862), // Rule ID 63258 //
     /*  415794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415818 */     // MIs[0] op1
     /*  415818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415841 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415860 */     GIR_RootConstrainSelectedInstOperands,
     /*  415861 */     // GIR_Coverage, 63258,
     /*  415861 */     GIR_EraseRootFromParent_Done,
     /*  415862 */   // Label 7328: @415862
     /*  415862 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415935), // Rule ID 63259 //
     /*  415867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415891 */     // MIs[0] op1
     /*  415891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415933 */     GIR_RootConstrainSelectedInstOperands,
     /*  415934 */     // GIR_Coverage, 63259,
     /*  415934 */     GIR_EraseRootFromParent_Done,
     /*  415935 */   // Label 7329: @415935
     /*  415935 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(416008), // Rule ID 63270 //
     /*  415940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  415957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415964 */     // MIs[0] op1
     /*  415964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416006 */     GIR_RootConstrainSelectedInstOperands,
     /*  416007 */     // GIR_Coverage, 63270,
     /*  416007 */     GIR_EraseRootFromParent_Done,
     /*  416008 */   // Label 7330: @416008
     /*  416008 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(416081), // Rule ID 63271 //
     /*  416013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  416024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  416027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  416030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416037 */     // MIs[0] op1
     /*  416037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416065 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416067 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416069 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416079 */     GIR_RootConstrainSelectedInstOperands,
     /*  416080 */     // GIR_Coverage, 63271,
     /*  416080 */     GIR_EraseRootFromParent_Done,
     /*  416081 */   // Label 7331: @416081
     /*  416081 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(416154), // Rule ID 63302 //
     /*  416086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416110 */     // MIs[0] op1
     /*  416110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416133 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416152 */     GIR_RootConstrainSelectedInstOperands,
     /*  416153 */     // GIR_Coverage, 63302,
     /*  416153 */     GIR_EraseRootFromParent_Done,
     /*  416154 */   // Label 7332: @416154
     /*  416154 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(416227), // Rule ID 63303 //
     /*  416159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416183 */     // MIs[0] op1
     /*  416183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416206 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416225 */     GIR_RootConstrainSelectedInstOperands,
     /*  416226 */     // GIR_Coverage, 63303,
     /*  416226 */     GIR_EraseRootFromParent_Done,
     /*  416227 */   // Label 7333: @416227
     /*  416227 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(416300), // Rule ID 63314 //
     /*  416232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  416249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416256 */     // MIs[0] op1
     /*  416256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416279 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416298 */     GIR_RootConstrainSelectedInstOperands,
     /*  416299 */     // GIR_Coverage, 63314,
     /*  416299 */     GIR_EraseRootFromParent_Done,
     /*  416300 */   // Label 7334: @416300
     /*  416300 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(416373), // Rule ID 63315 //
     /*  416305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  416322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416329 */     // MIs[0] op1
     /*  416329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416357 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416359 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416361 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416371 */     GIR_RootConstrainSelectedInstOperands,
     /*  416372 */     // GIR_Coverage, 63315,
     /*  416372 */     GIR_EraseRootFromParent_Done,
     /*  416373 */   // Label 7335: @416373
     /*  416373 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(416446), // Rule ID 63346 //
     /*  416378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416402 */     // MIs[0] op1
     /*  416402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416425 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416444 */     GIR_RootConstrainSelectedInstOperands,
     /*  416445 */     // GIR_Coverage, 63346,
     /*  416445 */     GIR_EraseRootFromParent_Done,
     /*  416446 */   // Label 7336: @416446
     /*  416446 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(416519), // Rule ID 63347 //
     /*  416451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416475 */     // MIs[0] op1
     /*  416475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416503 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416505 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416507 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416517 */     GIR_RootConstrainSelectedInstOperands,
     /*  416518 */     // GIR_Coverage, 63347,
     /*  416518 */     GIR_EraseRootFromParent_Done,
     /*  416519 */   // Label 7337: @416519
     /*  416519 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(416592), // Rule ID 63358 //
     /*  416524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416548 */     // MIs[0] op1
     /*  416548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416590 */     GIR_RootConstrainSelectedInstOperands,
     /*  416591 */     // GIR_Coverage, 63358,
     /*  416591 */     GIR_EraseRootFromParent_Done,
     /*  416592 */   // Label 7338: @416592
     /*  416592 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(416665), // Rule ID 63359 //
     /*  416597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416621 */     // MIs[0] op1
     /*  416621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416649 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416651 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416653 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416663 */     GIR_RootConstrainSelectedInstOperands,
     /*  416664 */     // GIR_Coverage, 63359,
     /*  416664 */     GIR_EraseRootFromParent_Done,
     /*  416665 */   // Label 7339: @416665
     /*  416665 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416738), // Rule ID 63390 //
     /*  416670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416694 */     // MIs[0] op1
     /*  416694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416722 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416724 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416726 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416736 */     GIR_RootConstrainSelectedInstOperands,
     /*  416737 */     // GIR_Coverage, 63390,
     /*  416737 */     GIR_EraseRootFromParent_Done,
     /*  416738 */   // Label 7340: @416738
     /*  416738 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416811), // Rule ID 63391 //
     /*  416743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416767 */     // MIs[0] op1
     /*  416767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416795 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416797 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416799 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416809 */     GIR_RootConstrainSelectedInstOperands,
     /*  416810 */     // GIR_Coverage, 63391,
     /*  416810 */     GIR_EraseRootFromParent_Done,
     /*  416811 */   // Label 7341: @416811
     /*  416811 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416884), // Rule ID 63402 //
     /*  416816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416840 */     // MIs[0] op1
     /*  416840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416863 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416868 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416870 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416872 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416882 */     GIR_RootConstrainSelectedInstOperands,
     /*  416883 */     // GIR_Coverage, 63402,
     /*  416883 */     GIR_EraseRootFromParent_Done,
     /*  416884 */   // Label 7342: @416884
     /*  416884 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416957), // Rule ID 63403 //
     /*  416889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416913 */     // MIs[0] op1
     /*  416913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416941 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416943 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416945 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416955 */     GIR_RootConstrainSelectedInstOperands,
     /*  416956 */     // GIR_Coverage, 63403,
     /*  416956 */     GIR_EraseRootFromParent_Done,
     /*  416957 */   // Label 7343: @416957
     /*  416957 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(417030), // Rule ID 63426 //
     /*  416962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416986 */     // MIs[0] op1
     /*  416986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  417012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417028 */     GIR_RootConstrainSelectedInstOperands,
     /*  417029 */     // GIR_Coverage, 63426,
     /*  417029 */     GIR_EraseRootFromParent_Done,
     /*  417030 */   // Label 7344: @417030
     /*  417030 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(417103), // Rule ID 63427 //
     /*  417035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417059 */     // MIs[0] op1
     /*  417059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  417085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417087 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417089 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417091 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417101 */     GIR_RootConstrainSelectedInstOperands,
     /*  417102 */     // GIR_Coverage, 63427,
     /*  417102 */     GIR_EraseRootFromParent_Done,
     /*  417103 */   // Label 7345: @417103
     /*  417103 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(417176), // Rule ID 63446 //
     /*  417108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417132 */     // MIs[0] op1
     /*  417132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417155 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  417158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417160 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417162 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417164 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417174 */     GIR_RootConstrainSelectedInstOperands,
     /*  417175 */     // GIR_Coverage, 63446,
     /*  417175 */     GIR_EraseRootFromParent_Done,
     /*  417176 */   // Label 7346: @417176
     /*  417176 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(417249), // Rule ID 63447 //
     /*  417181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417205 */     // MIs[0] op1
     /*  417205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  417231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417247 */     GIR_RootConstrainSelectedInstOperands,
     /*  417248 */     // GIR_Coverage, 63447,
     /*  417248 */     GIR_EraseRootFromParent_Done,
     /*  417249 */   // Label 7347: @417249
     /*  417249 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(417322), // Rule ID 63458 //
     /*  417254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  417271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417278 */     // MIs[0] op1
     /*  417278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417301 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  417304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417320 */     GIR_RootConstrainSelectedInstOperands,
     /*  417321 */     // GIR_Coverage, 63458,
     /*  417321 */     GIR_EraseRootFromParent_Done,
     /*  417322 */   // Label 7348: @417322
     /*  417322 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(417395), // Rule ID 63459 //
     /*  417327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  417344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417351 */     // MIs[0] op1
     /*  417351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  417377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417393 */     GIR_RootConstrainSelectedInstOperands,
     /*  417394 */     // GIR_Coverage, 63459,
     /*  417394 */     GIR_EraseRootFromParent_Done,
     /*  417395 */   // Label 7349: @417395
     /*  417395 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417468), // Rule ID 63482 //
     /*  417400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417424 */     // MIs[0] op1
     /*  417424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417466 */     GIR_RootConstrainSelectedInstOperands,
     /*  417467 */     // GIR_Coverage, 63482,
     /*  417467 */     GIR_EraseRootFromParent_Done,
     /*  417468 */   // Label 7350: @417468
     /*  417468 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417541), // Rule ID 63483 //
     /*  417473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417497 */     // MIs[0] op1
     /*  417497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417520 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417539 */     GIR_RootConstrainSelectedInstOperands,
     /*  417540 */     // GIR_Coverage, 63483,
     /*  417540 */     GIR_EraseRootFromParent_Done,
     /*  417541 */   // Label 7351: @417541
     /*  417541 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(417614), // Rule ID 63502 //
     /*  417546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417570 */     // MIs[0] op1
     /*  417570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417612 */     GIR_RootConstrainSelectedInstOperands,
     /*  417613 */     // GIR_Coverage, 63502,
     /*  417613 */     GIR_EraseRootFromParent_Done,
     /*  417614 */   // Label 7352: @417614
     /*  417614 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417687), // Rule ID 63503 //
     /*  417619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417643 */     // MIs[0] op1
     /*  417643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417666 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417685 */     GIR_RootConstrainSelectedInstOperands,
     /*  417686 */     // GIR_Coverage, 63503,
     /*  417686 */     GIR_EraseRootFromParent_Done,
     /*  417687 */   // Label 7353: @417687
     /*  417687 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417760), // Rule ID 63514 //
     /*  417692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417716 */     // MIs[0] op1
     /*  417716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417758 */     GIR_RootConstrainSelectedInstOperands,
     /*  417759 */     // GIR_Coverage, 63514,
     /*  417759 */     GIR_EraseRootFromParent_Done,
     /*  417760 */   // Label 7354: @417760
     /*  417760 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417833), // Rule ID 63515 //
     /*  417765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417789 */     // MIs[0] op1
     /*  417789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417812 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417831 */     GIR_RootConstrainSelectedInstOperands,
     /*  417832 */     // GIR_Coverage, 63515,
     /*  417832 */     GIR_EraseRootFromParent_Done,
     /*  417833 */   // Label 7355: @417833
     /*  417833 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417906), // Rule ID 63538 //
     /*  417838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417862 */     // MIs[0] op1
     /*  417862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417885 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417904 */     GIR_RootConstrainSelectedInstOperands,
     /*  417905 */     // GIR_Coverage, 63538,
     /*  417905 */     GIR_EraseRootFromParent_Done,
     /*  417906 */   // Label 7356: @417906
     /*  417906 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417979), // Rule ID 63539 //
     /*  417911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417935 */     // MIs[0] op1
     /*  417935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417977 */     GIR_RootConstrainSelectedInstOperands,
     /*  417978 */     // GIR_Coverage, 63539,
     /*  417978 */     GIR_EraseRootFromParent_Done,
     /*  417979 */   // Label 7357: @417979
     /*  417979 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(418052), // Rule ID 63558 //
     /*  417984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418008 */     // MIs[0] op1
     /*  418008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418031 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  418034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418036 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418038 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418040 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418050 */     GIR_RootConstrainSelectedInstOperands,
     /*  418051 */     // GIR_Coverage, 63558,
     /*  418051 */     GIR_EraseRootFromParent_Done,
     /*  418052 */   // Label 7358: @418052
     /*  418052 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(418125), // Rule ID 63559 //
     /*  418057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418081 */     // MIs[0] op1
     /*  418081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  418107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418109 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418111 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418113 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418123 */     GIR_RootConstrainSelectedInstOperands,
     /*  418124 */     // GIR_Coverage, 63559,
     /*  418124 */     GIR_EraseRootFromParent_Done,
     /*  418125 */   // Label 7359: @418125
     /*  418125 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(418198), // Rule ID 63570 //
     /*  418130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  418147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418154 */     // MIs[0] op1
     /*  418154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  418180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418182 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418184 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418186 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418196 */     GIR_RootConstrainSelectedInstOperands,
     /*  418197 */     // GIR_Coverage, 63570,
     /*  418197 */     GIR_EraseRootFromParent_Done,
     /*  418198 */   // Label 7360: @418198
     /*  418198 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(418271), // Rule ID 63571 //
     /*  418203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  418220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418227 */     // MIs[0] op1
     /*  418227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  418253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418255 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418257 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418259 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418269 */     GIR_RootConstrainSelectedInstOperands,
     /*  418270 */     // GIR_Coverage, 63571,
     /*  418270 */     GIR_EraseRootFromParent_Done,
     /*  418271 */   // Label 7361: @418271
     /*  418271 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(418344), // Rule ID 63594 //
     /*  418276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418300 */     // MIs[0] op1
     /*  418300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  418326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418328 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418330 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418332 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418342 */     GIR_RootConstrainSelectedInstOperands,
     /*  418343 */     // GIR_Coverage, 63594,
     /*  418343 */     GIR_EraseRootFromParent_Done,
     /*  418344 */   // Label 7362: @418344
     /*  418344 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418417), // Rule ID 63595 //
     /*  418349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418373 */     // MIs[0] op1
     /*  418373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  418399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418401 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418403 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418405 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418415 */     GIR_RootConstrainSelectedInstOperands,
     /*  418416 */     // GIR_Coverage, 63595,
     /*  418416 */     GIR_EraseRootFromParent_Done,
     /*  418417 */   // Label 7363: @418417
     /*  418417 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418490), // Rule ID 63614 //
     /*  418422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418446 */     // MIs[0] op1
     /*  418446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418469 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418488 */     GIR_RootConstrainSelectedInstOperands,
     /*  418489 */     // GIR_Coverage, 63614,
     /*  418489 */     GIR_EraseRootFromParent_Done,
     /*  418490 */   // Label 7364: @418490
     /*  418490 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418563), // Rule ID 63615 //
     /*  418495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418519 */     // MIs[0] op1
     /*  418519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418547 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418549 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418551 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418561 */     GIR_RootConstrainSelectedInstOperands,
     /*  418562 */     // GIR_Coverage, 63615,
     /*  418562 */     GIR_EraseRootFromParent_Done,
     /*  418563 */   // Label 7365: @418563
     /*  418563 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(418636), // Rule ID 63626 //
     /*  418568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418592 */     // MIs[0] op1
     /*  418592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418634 */     GIR_RootConstrainSelectedInstOperands,
     /*  418635 */     // GIR_Coverage, 63626,
     /*  418635 */     GIR_EraseRootFromParent_Done,
     /*  418636 */   // Label 7366: @418636
     /*  418636 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418709), // Rule ID 63627 //
     /*  418641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418665 */     // MIs[0] op1
     /*  418665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418707 */     GIR_RootConstrainSelectedInstOperands,
     /*  418708 */     // GIR_Coverage, 63627,
     /*  418708 */     GIR_EraseRootFromParent_Done,
     /*  418709 */   // Label 7367: @418709
     /*  418709 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418782), // Rule ID 63650 //
     /*  418714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418738 */     // MIs[0] op1
     /*  418738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418780 */     GIR_RootConstrainSelectedInstOperands,
     /*  418781 */     // GIR_Coverage, 63650,
     /*  418781 */     GIR_EraseRootFromParent_Done,
     /*  418782 */   // Label 7368: @418782
     /*  418782 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418855), // Rule ID 63651 //
     /*  418787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418811 */     // MIs[0] op1
     /*  418811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418853 */     GIR_RootConstrainSelectedInstOperands,
     /*  418854 */     // GIR_Coverage, 63651,
     /*  418854 */     GIR_EraseRootFromParent_Done,
     /*  418855 */   // Label 7369: @418855
     /*  418855 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418928), // Rule ID 63670 //
     /*  418860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418884 */     // MIs[0] op1
     /*  418884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418912 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418914 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418916 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418926 */     GIR_RootConstrainSelectedInstOperands,
     /*  418927 */     // GIR_Coverage, 63670,
     /*  418927 */     GIR_EraseRootFromParent_Done,
     /*  418928 */   // Label 7370: @418928
     /*  418928 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(419001), // Rule ID 63671 //
     /*  418933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418957 */     // MIs[0] op1
     /*  418957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418960 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418980 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418985 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418987 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418989 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418999 */     GIR_RootConstrainSelectedInstOperands,
     /*  419000 */     // GIR_Coverage, 63671,
     /*  419000 */     GIR_EraseRootFromParent_Done,
     /*  419001 */   // Label 7371: @419001
     /*  419001 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(419074), // Rule ID 63682 //
     /*  419006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  419023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419030 */     // MIs[0] op1
     /*  419030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  419056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419058 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419060 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419062 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419072 */     GIR_RootConstrainSelectedInstOperands,
     /*  419073 */     // GIR_Coverage, 63682,
     /*  419073 */     GIR_EraseRootFromParent_Done,
     /*  419074 */   // Label 7372: @419074
     /*  419074 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(419147), // Rule ID 63683 //
     /*  419079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  419096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419103 */     // MIs[0] op1
     /*  419103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  419129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419131 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419133 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419135 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419145 */     GIR_RootConstrainSelectedInstOperands,
     /*  419146 */     // GIR_Coverage, 63683,
     /*  419146 */     GIR_EraseRootFromParent_Done,
     /*  419147 */   // Label 7373: @419147
     /*  419147 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(419220), // Rule ID 63706 //
     /*  419152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419176 */     // MIs[0] op1
     /*  419176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  419202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419204 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419206 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419208 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419218 */     GIR_RootConstrainSelectedInstOperands,
     /*  419219 */     // GIR_Coverage, 63706,
     /*  419219 */     GIR_EraseRootFromParent_Done,
     /*  419220 */   // Label 7374: @419220
     /*  419220 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(419293), // Rule ID 63707 //
     /*  419225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419249 */     // MIs[0] op1
     /*  419249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  419275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419277 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419279 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419281 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419291 */     GIR_RootConstrainSelectedInstOperands,
     /*  419292 */     // GIR_Coverage, 63707,
     /*  419292 */     GIR_EraseRootFromParent_Done,
     /*  419293 */   // Label 7375: @419293
     /*  419293 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419366), // Rule ID 63726 //
     /*  419298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419322 */     // MIs[0] op1
     /*  419322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  419348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419350 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419352 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419354 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419364 */     GIR_RootConstrainSelectedInstOperands,
     /*  419365 */     // GIR_Coverage, 63726,
     /*  419365 */     GIR_EraseRootFromParent_Done,
     /*  419366 */   // Label 7376: @419366
     /*  419366 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419439), // Rule ID 63727 //
     /*  419371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419395 */     // MIs[0] op1
     /*  419395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  419421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419423 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419425 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419427 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419437 */     GIR_RootConstrainSelectedInstOperands,
     /*  419438 */     // GIR_Coverage, 63727,
     /*  419438 */     GIR_EraseRootFromParent_Done,
     /*  419439 */   // Label 7377: @419439
     /*  419439 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(419512), // Rule ID 63738 //
     /*  419444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419468 */     // MIs[0] op1
     /*  419468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419471 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419496 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419498 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419500 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419510 */     GIR_RootConstrainSelectedInstOperands,
     /*  419511 */     // GIR_Coverage, 63738,
     /*  419511 */     GIR_EraseRootFromParent_Done,
     /*  419512 */   // Label 7378: @419512
     /*  419512 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(419585), // Rule ID 63739 //
     /*  419517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419541 */     // MIs[0] op1
     /*  419541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419569 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419571 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419573 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419583 */     GIR_RootConstrainSelectedInstOperands,
     /*  419584 */     // GIR_Coverage, 63739,
     /*  419584 */     GIR_EraseRootFromParent_Done,
     /*  419585 */   // Label 7379: @419585
     /*  419585 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419658), // Rule ID 63762 //
     /*  419590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419614 */     // MIs[0] op1
     /*  419614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419642 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419644 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419646 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419656 */     GIR_RootConstrainSelectedInstOperands,
     /*  419657 */     // GIR_Coverage, 63762,
     /*  419657 */     GIR_EraseRootFromParent_Done,
     /*  419658 */   // Label 7380: @419658
     /*  419658 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419731), // Rule ID 63763 //
     /*  419663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419687 */     // MIs[0] op1
     /*  419687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419710 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419715 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419717 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419719 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419729 */     GIR_RootConstrainSelectedInstOperands,
     /*  419730 */     // GIR_Coverage, 63763,
     /*  419730 */     GIR_EraseRootFromParent_Done,
     /*  419731 */   // Label 7381: @419731
     /*  419731 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419804), // Rule ID 63782 //
     /*  419736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419760 */     // MIs[0] op1
     /*  419760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419802 */     GIR_RootConstrainSelectedInstOperands,
     /*  419803 */     // GIR_Coverage, 63782,
     /*  419803 */     GIR_EraseRootFromParent_Done,
     /*  419804 */   // Label 7382: @419804
     /*  419804 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419877), // Rule ID 63783 //
     /*  419809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419833 */     // MIs[0] op1
     /*  419833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419861 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419863 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419865 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419875 */     GIR_RootConstrainSelectedInstOperands,
     /*  419876 */     // GIR_Coverage, 63783,
     /*  419876 */     GIR_EraseRootFromParent_Done,
     /*  419877 */   // Label 7383: @419877
     /*  419877 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419950), // Rule ID 63794 //
     /*  419882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419906 */     // MIs[0] op1
     /*  419906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  419932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419934 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419936 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419938 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419948 */     GIR_RootConstrainSelectedInstOperands,
     /*  419949 */     // GIR_Coverage, 63794,
     /*  419949 */     GIR_EraseRootFromParent_Done,
     /*  419950 */   // Label 7384: @419950
     /*  419950 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(420023), // Rule ID 63795 //
     /*  419955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419979 */     // MIs[0] op1
     /*  419979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  420005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420007 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420009 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420011 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420021 */     GIR_RootConstrainSelectedInstOperands,
     /*  420022 */     // GIR_Coverage, 63795,
     /*  420022 */     GIR_EraseRootFromParent_Done,
     /*  420023 */   // Label 7385: @420023
     /*  420023 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(420096), // Rule ID 63818 //
     /*  420028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420052 */     // MIs[0] op1
     /*  420052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  420078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420080 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420082 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420084 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420094 */     GIR_RootConstrainSelectedInstOperands,
     /*  420095 */     // GIR_Coverage, 63818,
     /*  420095 */     GIR_EraseRootFromParent_Done,
     /*  420096 */   // Label 7386: @420096
     /*  420096 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(420169), // Rule ID 63819 //
     /*  420101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420125 */     // MIs[0] op1
     /*  420125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420128 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  420151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420153 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420155 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420157 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420167 */     GIR_RootConstrainSelectedInstOperands,
     /*  420168 */     // GIR_Coverage, 63819,
     /*  420168 */     GIR_EraseRootFromParent_Done,
     /*  420169 */   // Label 7387: @420169
     /*  420169 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420242), // Rule ID 63838 //
     /*  420174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420198 */     // MIs[0] op1
     /*  420198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420226 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420228 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420230 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420240 */     GIR_RootConstrainSelectedInstOperands,
     /*  420241 */     // GIR_Coverage, 63838,
     /*  420241 */     GIR_EraseRootFromParent_Done,
     /*  420242 */   // Label 7388: @420242
     /*  420242 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420315), // Rule ID 63839 //
     /*  420247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420271 */     // MIs[0] op1
     /*  420271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420274 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420294 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420299 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420301 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420303 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420313 */     GIR_RootConstrainSelectedInstOperands,
     /*  420314 */     // GIR_Coverage, 63839,
     /*  420314 */     GIR_EraseRootFromParent_Done,
     /*  420315 */   // Label 7389: @420315
     /*  420315 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(420388), // Rule ID 63850 //
     /*  420320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  420337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420344 */     // MIs[0] op1
     /*  420344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420367 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420372 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420374 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420376 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420386 */     GIR_RootConstrainSelectedInstOperands,
     /*  420387 */     // GIR_Coverage, 63850,
     /*  420387 */     GIR_EraseRootFromParent_Done,
     /*  420388 */   // Label 7390: @420388
     /*  420388 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(420461), // Rule ID 63851 //
     /*  420393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  420410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420417 */     // MIs[0] op1
     /*  420417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420459 */     GIR_RootConstrainSelectedInstOperands,
     /*  420460 */     // GIR_Coverage, 63851,
     /*  420460 */     GIR_EraseRootFromParent_Done,
     /*  420461 */   // Label 7391: @420461
     /*  420461 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(420534), // Rule ID 63874 //
     /*  420466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420490 */     // MIs[0] op1
     /*  420490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420518 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420520 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420522 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420532 */     GIR_RootConstrainSelectedInstOperands,
     /*  420533 */     // GIR_Coverage, 63874,
     /*  420533 */     GIR_EraseRootFromParent_Done,
     /*  420534 */   // Label 7392: @420534
     /*  420534 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(420607), // Rule ID 63875 //
     /*  420539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420563 */     // MIs[0] op1
     /*  420563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420591 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420593 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420595 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420605 */     GIR_RootConstrainSelectedInstOperands,
     /*  420606 */     // GIR_Coverage, 63875,
     /*  420606 */     GIR_EraseRootFromParent_Done,
     /*  420607 */   // Label 7393: @420607
     /*  420607 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420690), // Rule ID 5216 //
     /*  420612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420655 */     // MIs[1] Operand 1
     /*  420655 */     // No operand predicates
     /*  420655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420668 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420688 */     GIR_RootConstrainSelectedInstOperands,
     /*  420689 */     // GIR_Coverage, 5216,
     /*  420689 */     GIR_EraseRootFromParent_Done,
     /*  420690 */   // Label 7394: @420690
     /*  420690 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420773), // Rule ID 5217 //
     /*  420695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420738 */     // MIs[1] Operand 1
     /*  420738 */     // No operand predicates
     /*  420738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420751 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420771 */     GIR_RootConstrainSelectedInstOperands,
     /*  420772 */     // GIR_Coverage, 5217,
     /*  420772 */     GIR_EraseRootFromParent_Done,
     /*  420773 */   // Label 7395: @420773
     /*  420773 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420856), // Rule ID 5218 //
     /*  420778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420821 */     // MIs[1] Operand 1
     /*  420821 */     // No operand predicates
     /*  420821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420854 */     GIR_RootConstrainSelectedInstOperands,
     /*  420855 */     // GIR_Coverage, 5218,
     /*  420855 */     GIR_EraseRootFromParent_Done,
     /*  420856 */   // Label 7396: @420856
     /*  420856 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420939), // Rule ID 5219 //
     /*  420861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420904 */     // MIs[1] Operand 1
     /*  420904 */     // No operand predicates
     /*  420904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420937 */     GIR_RootConstrainSelectedInstOperands,
     /*  420938 */     // GIR_Coverage, 5219,
     /*  420938 */     GIR_EraseRootFromParent_Done,
     /*  420939 */   // Label 7397: @420939
     /*  420939 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(421022), // Rule ID 5220 //
     /*  420944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  420958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420987 */     // MIs[1] Operand 1
     /*  420987 */     // No operand predicates
     /*  420987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421020 */     GIR_RootConstrainSelectedInstOperands,
     /*  421021 */     // GIR_Coverage, 5220,
     /*  421021 */     GIR_EraseRootFromParent_Done,
     /*  421022 */   // Label 7398: @421022
     /*  421022 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(421105), // Rule ID 5221 //
     /*  421027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  421041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421070 */     // MIs[1] Operand 1
     /*  421070 */     // No operand predicates
     /*  421070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421103 */     GIR_RootConstrainSelectedInstOperands,
     /*  421104 */     // GIR_Coverage, 5221,
     /*  421104 */     GIR_EraseRootFromParent_Done,
     /*  421105 */   // Label 7399: @421105
     /*  421105 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(421188), // Rule ID 5222 //
     /*  421110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421153 */     // MIs[1] Operand 1
     /*  421153 */     // No operand predicates
     /*  421153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421166 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421186 */     GIR_RootConstrainSelectedInstOperands,
     /*  421187 */     // GIR_Coverage, 5222,
     /*  421187 */     GIR_EraseRootFromParent_Done,
     /*  421188 */   // Label 7400: @421188
     /*  421188 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421271), // Rule ID 5223 //
     /*  421193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421236 */     // MIs[1] Operand 1
     /*  421236 */     // No operand predicates
     /*  421236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421269 */     GIR_RootConstrainSelectedInstOperands,
     /*  421270 */     // GIR_Coverage, 5223,
     /*  421270 */     GIR_EraseRootFromParent_Done,
     /*  421271 */   // Label 7401: @421271
     /*  421271 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(421354), // Rule ID 5224 //
     /*  421276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  421290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421319 */     // MIs[1] Operand 1
     /*  421319 */     // No operand predicates
     /*  421319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421352 */     GIR_RootConstrainSelectedInstOperands,
     /*  421353 */     // GIR_Coverage, 5224,
     /*  421353 */     GIR_EraseRootFromParent_Done,
     /*  421354 */   // Label 7402: @421354
     /*  421354 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(421437), // Rule ID 5225 //
     /*  421359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  421373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421402 */     // MIs[1] Operand 1
     /*  421402 */     // No operand predicates
     /*  421402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421415 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421435 */     GIR_RootConstrainSelectedInstOperands,
     /*  421436 */     // GIR_Coverage, 5225,
     /*  421436 */     GIR_EraseRootFromParent_Done,
     /*  421437 */   // Label 7403: @421437
     /*  421437 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(421520), // Rule ID 5226 //
     /*  421442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421485 */     // MIs[1] Operand 1
     /*  421485 */     // No operand predicates
     /*  421485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421518 */     GIR_RootConstrainSelectedInstOperands,
     /*  421519 */     // GIR_Coverage, 5226,
     /*  421519 */     GIR_EraseRootFromParent_Done,
     /*  421520 */   // Label 7404: @421520
     /*  421520 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(421603), // Rule ID 5227 //
     /*  421525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421568 */     // MIs[1] Operand 1
     /*  421568 */     // No operand predicates
     /*  421568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421601 */     GIR_RootConstrainSelectedInstOperands,
     /*  421602 */     // GIR_Coverage, 5227,
     /*  421602 */     GIR_EraseRootFromParent_Done,
     /*  421603 */   // Label 7405: @421603
     /*  421603 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(421686), // Rule ID 5228 //
     /*  421608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421651 */     // MIs[1] Operand 1
     /*  421651 */     // No operand predicates
     /*  421651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421684 */     GIR_RootConstrainSelectedInstOperands,
     /*  421685 */     // GIR_Coverage, 5228,
     /*  421685 */     GIR_EraseRootFromParent_Done,
     /*  421686 */   // Label 7406: @421686
     /*  421686 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(421769), // Rule ID 5229 //
     /*  421691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421734 */     // MIs[1] Operand 1
     /*  421734 */     // No operand predicates
     /*  421734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421747 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421767 */     GIR_RootConstrainSelectedInstOperands,
     /*  421768 */     // GIR_Coverage, 5229,
     /*  421768 */     GIR_EraseRootFromParent_Done,
     /*  421769 */   // Label 7407: @421769
     /*  421769 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421852), // Rule ID 5230 //
     /*  421774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421817 */     // MIs[1] Operand 1
     /*  421817 */     // No operand predicates
     /*  421817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421830 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421850 */     GIR_RootConstrainSelectedInstOperands,
     /*  421851 */     // GIR_Coverage, 5230,
     /*  421851 */     GIR_EraseRootFromParent_Done,
     /*  421852 */   // Label 7408: @421852
     /*  421852 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421935), // Rule ID 5231 //
     /*  421857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421900 */     // MIs[1] Operand 1
     /*  421900 */     // No operand predicates
     /*  421900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421933 */     GIR_RootConstrainSelectedInstOperands,
     /*  421934 */     // GIR_Coverage, 5231,
     /*  421934 */     GIR_EraseRootFromParent_Done,
     /*  421935 */   // Label 7409: @421935
     /*  421935 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(422018), // Rule ID 5232 //
     /*  421940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  421954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421983 */     // MIs[1] Operand 1
     /*  421983 */     // No operand predicates
     /*  421983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422016 */     GIR_RootConstrainSelectedInstOperands,
     /*  422017 */     // GIR_Coverage, 5232,
     /*  422017 */     GIR_EraseRootFromParent_Done,
     /*  422018 */   // Label 7410: @422018
     /*  422018 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(422101), // Rule ID 5233 //
     /*  422023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  422034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  422043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422066 */     // MIs[1] Operand 1
     /*  422066 */     // No operand predicates
     /*  422066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422079 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422099 */     GIR_RootConstrainSelectedInstOperands,
     /*  422100 */     // GIR_Coverage, 5233,
     /*  422100 */     GIR_EraseRootFromParent_Done,
     /*  422101 */   // Label 7411: @422101
     /*  422101 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(422184), // Rule ID 5234 //
     /*  422106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422149 */     // MIs[1] Operand 1
     /*  422149 */     // No operand predicates
     /*  422149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  422162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422182 */     GIR_RootConstrainSelectedInstOperands,
     /*  422183 */     // GIR_Coverage, 5234,
     /*  422183 */     GIR_EraseRootFromParent_Done,
     /*  422184 */   // Label 7412: @422184
     /*  422184 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(422267), // Rule ID 5235 //
     /*  422189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  422192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422232 */     // MIs[1] Operand 1
     /*  422232 */     // No operand predicates
     /*  422232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422245 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  422245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422265 */     GIR_RootConstrainSelectedInstOperands,
     /*  422266 */     // GIR_Coverage, 5235,
     /*  422266 */     GIR_EraseRootFromParent_Done,
     /*  422267 */   // Label 7413: @422267
     /*  422267 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(422350), // Rule ID 5236 //
     /*  422272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  422286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422315 */     // MIs[1] Operand 1
     /*  422315 */     // No operand predicates
     /*  422315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422348 */     GIR_RootConstrainSelectedInstOperands,
     /*  422349 */     // GIR_Coverage, 5236,
     /*  422349 */     GIR_EraseRootFromParent_Done,
     /*  422350 */   // Label 7414: @422350
     /*  422350 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(422433), // Rule ID 5237 //
     /*  422355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  422369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422398 */     // MIs[1] Operand 1
     /*  422398 */     // No operand predicates
     /*  422398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422411 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422431 */     GIR_RootConstrainSelectedInstOperands,
     /*  422432 */     // GIR_Coverage, 5237,
     /*  422432 */     GIR_EraseRootFromParent_Done,
     /*  422433 */   // Label 7415: @422433
     /*  422433 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(422516), // Rule ID 5238 //
     /*  422438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422481 */     // MIs[1] Operand 1
     /*  422481 */     // No operand predicates
     /*  422481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422494 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422514 */     GIR_RootConstrainSelectedInstOperands,
     /*  422515 */     // GIR_Coverage, 5238,
     /*  422515 */     GIR_EraseRootFromParent_Done,
     /*  422516 */   // Label 7416: @422516
     /*  422516 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(422599), // Rule ID 5239 //
     /*  422521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422564 */     // MIs[1] Operand 1
     /*  422564 */     // No operand predicates
     /*  422564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422577 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422597 */     GIR_RootConstrainSelectedInstOperands,
     /*  422598 */     // GIR_Coverage, 5239,
     /*  422598 */     GIR_EraseRootFromParent_Done,
     /*  422599 */   // Label 7417: @422599
     /*  422599 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(422682), // Rule ID 5240 //
     /*  422604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422647 */     // MIs[1] Operand 1
     /*  422647 */     // No operand predicates
     /*  422647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422660 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422680 */     GIR_RootConstrainSelectedInstOperands,
     /*  422681 */     // GIR_Coverage, 5240,
     /*  422681 */     GIR_EraseRootFromParent_Done,
     /*  422682 */   // Label 7418: @422682
     /*  422682 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(422765), // Rule ID 5241 //
     /*  422687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422730 */     // MIs[1] Operand 1
     /*  422730 */     // No operand predicates
     /*  422730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422743 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422763 */     GIR_RootConstrainSelectedInstOperands,
     /*  422764 */     // GIR_Coverage, 5241,
     /*  422764 */     GIR_EraseRootFromParent_Done,
     /*  422765 */   // Label 7419: @422765
     /*  422765 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(422848), // Rule ID 5242 //
     /*  422770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422813 */     // MIs[1] Operand 1
     /*  422813 */     // No operand predicates
     /*  422813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422846 */     GIR_RootConstrainSelectedInstOperands,
     /*  422847 */     // GIR_Coverage, 5242,
     /*  422847 */     GIR_EraseRootFromParent_Done,
     /*  422848 */   // Label 7420: @422848
     /*  422848 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422931), // Rule ID 5243 //
     /*  422853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422896 */     // MIs[1] Operand 1
     /*  422896 */     // No operand predicates
     /*  422896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422909 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422929 */     GIR_RootConstrainSelectedInstOperands,
     /*  422930 */     // GIR_Coverage, 5243,
     /*  422930 */     GIR_EraseRootFromParent_Done,
     /*  422931 */   // Label 7421: @422931
     /*  422931 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(423014), // Rule ID 5244 //
     /*  422936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422979 */     // MIs[1] Operand 1
     /*  422979 */     // No operand predicates
     /*  422979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423012 */     GIR_RootConstrainSelectedInstOperands,
     /*  423013 */     // GIR_Coverage, 5244,
     /*  423013 */     GIR_EraseRootFromParent_Done,
     /*  423014 */   // Label 7422: @423014
     /*  423014 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(423097), // Rule ID 5245 //
     /*  423019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  423033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423062 */     // MIs[1] Operand 1
     /*  423062 */     // No operand predicates
     /*  423062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423075 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  423075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423095 */     GIR_RootConstrainSelectedInstOperands,
     /*  423096 */     // GIR_Coverage, 5245,
     /*  423096 */     GIR_EraseRootFromParent_Done,
     /*  423097 */   // Label 7423: @423097
     /*  423097 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(423180), // Rule ID 5246 //
     /*  423102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423145 */     // MIs[1] Operand 1
     /*  423145 */     // No operand predicates
     /*  423145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423158 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  423158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423178 */     GIR_RootConstrainSelectedInstOperands,
     /*  423179 */     // GIR_Coverage, 5246,
     /*  423179 */     GIR_EraseRootFromParent_Done,
     /*  423180 */   // Label 7424: @423180
     /*  423180 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(423263), // Rule ID 5247 //
     /*  423185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423228 */     // MIs[1] Operand 1
     /*  423228 */     // No operand predicates
     /*  423228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423241 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  423241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423261 */     GIR_RootConstrainSelectedInstOperands,
     /*  423262 */     // GIR_Coverage, 5247,
     /*  423262 */     GIR_EraseRootFromParent_Done,
     /*  423263 */   // Label 7425: @423263
     /*  423263 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(423346), // Rule ID 5248 //
     /*  423268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423311 */     // MIs[1] Operand 1
     /*  423311 */     // No operand predicates
     /*  423311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423344 */     GIR_RootConstrainSelectedInstOperands,
     /*  423345 */     // GIR_Coverage, 5248,
     /*  423345 */     GIR_EraseRootFromParent_Done,
     /*  423346 */   // Label 7426: @423346
     /*  423346 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(423429), // Rule ID 5249 //
     /*  423351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423394 */     // MIs[1] Operand 1
     /*  423394 */     // No operand predicates
     /*  423394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423407 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423427 */     GIR_RootConstrainSelectedInstOperands,
     /*  423428 */     // GIR_Coverage, 5249,
     /*  423428 */     GIR_EraseRootFromParent_Done,
     /*  423429 */   // Label 7427: @423429
     /*  423429 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(423512), // Rule ID 5250 //
     /*  423434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423477 */     // MIs[1] Operand 1
     /*  423477 */     // No operand predicates
     /*  423477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423510 */     GIR_RootConstrainSelectedInstOperands,
     /*  423511 */     // GIR_Coverage, 5250,
     /*  423511 */     GIR_EraseRootFromParent_Done,
     /*  423512 */   // Label 7428: @423512
     /*  423512 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(423595), // Rule ID 5251 //
     /*  423517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423560 */     // MIs[1] Operand 1
     /*  423560 */     // No operand predicates
     /*  423560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423593 */     GIR_RootConstrainSelectedInstOperands,
     /*  423594 */     // GIR_Coverage, 5251,
     /*  423594 */     GIR_EraseRootFromParent_Done,
     /*  423595 */   // Label 7429: @423595
     /*  423595 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(423678), // Rule ID 5252 //
     /*  423600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423643 */     // MIs[1] Operand 1
     /*  423643 */     // No operand predicates
     /*  423643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423656 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423676 */     GIR_RootConstrainSelectedInstOperands,
     /*  423677 */     // GIR_Coverage, 5252,
     /*  423677 */     GIR_EraseRootFromParent_Done,
     /*  423678 */   // Label 7430: @423678
     /*  423678 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(423761), // Rule ID 5253 //
     /*  423683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423726 */     // MIs[1] Operand 1
     /*  423726 */     // No operand predicates
     /*  423726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423739 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423759 */     GIR_RootConstrainSelectedInstOperands,
     /*  423760 */     // GIR_Coverage, 5253,
     /*  423760 */     GIR_EraseRootFromParent_Done,
     /*  423761 */   // Label 7431: @423761
     /*  423761 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(423844), // Rule ID 5254 //
     /*  423766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423809 */     // MIs[1] Operand 1
     /*  423809 */     // No operand predicates
     /*  423809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423822 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423842 */     GIR_RootConstrainSelectedInstOperands,
     /*  423843 */     // GIR_Coverage, 5254,
     /*  423843 */     GIR_EraseRootFromParent_Done,
     /*  423844 */   // Label 7432: @423844
     /*  423844 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(423927), // Rule ID 5255 //
     /*  423849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423892 */     // MIs[1] Operand 1
     /*  423892 */     // No operand predicates
     /*  423892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423925 */     GIR_RootConstrainSelectedInstOperands,
     /*  423926 */     // GIR_Coverage, 5255,
     /*  423926 */     GIR_EraseRootFromParent_Done,
     /*  423927 */   // Label 7433: @423927
     /*  423927 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(424010), // Rule ID 5256 //
     /*  423932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423975 */     // MIs[1] Operand 1
     /*  423975 */     // No operand predicates
     /*  423975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424008 */     GIR_RootConstrainSelectedInstOperands,
     /*  424009 */     // GIR_Coverage, 5256,
     /*  424009 */     GIR_EraseRootFromParent_Done,
     /*  424010 */   // Label 7434: @424010
     /*  424010 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(424093), // Rule ID 5257 //
     /*  424015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  424026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  424029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  424035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424058 */     // MIs[1] Operand 1
     /*  424058 */     // No operand predicates
     /*  424058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424071 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  424074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424091 */     GIR_RootConstrainSelectedInstOperands,
     /*  424092 */     // GIR_Coverage, 5257,
     /*  424092 */     GIR_EraseRootFromParent_Done,
     /*  424093 */   // Label 7435: @424093
     /*  424093 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(424176), // Rule ID 5258 //
     /*  424098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  424101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424141 */     // MIs[1] Operand 1
     /*  424141 */     // No operand predicates
     /*  424141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424154 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424174 */     GIR_RootConstrainSelectedInstOperands,
     /*  424175 */     // GIR_Coverage, 5258,
     /*  424175 */     GIR_EraseRootFromParent_Done,
     /*  424176 */   // Label 7436: @424176
     /*  424176 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(424259), // Rule ID 5259 //
     /*  424181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424224 */     // MIs[1] Operand 1
     /*  424224 */     // No operand predicates
     /*  424224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424257 */     GIR_RootConstrainSelectedInstOperands,
     /*  424258 */     // GIR_Coverage, 5259,
     /*  424258 */     GIR_EraseRootFromParent_Done,
     /*  424259 */   // Label 7437: @424259
     /*  424259 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(424335), // Rule ID 60484 //
     /*  424264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424296 */     // MIs[0] rs2
     /*  424296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424311 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  424314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424333 */     GIR_RootConstrainSelectedInstOperands,
     /*  424334 */     // GIR_Coverage, 60484,
     /*  424334 */     GIR_EraseRootFromParent_Done,
     /*  424335 */   // Label 7438: @424335
     /*  424335 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(424411), // Rule ID 60485 //
     /*  424340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424372 */     // MIs[0] rs2
     /*  424372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  424390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424409 */     GIR_RootConstrainSelectedInstOperands,
     /*  424410 */     // GIR_Coverage, 60485,
     /*  424410 */     GIR_EraseRootFromParent_Done,
     /*  424411 */   // Label 7439: @424411
     /*  424411 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(424487), // Rule ID 62130 //
     /*  424416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424448 */     // MIs[0] rs2
     /*  424448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424485 */     GIR_RootConstrainSelectedInstOperands,
     /*  424486 */     // GIR_Coverage, 62130,
     /*  424486 */     GIR_EraseRootFromParent_Done,
     /*  424487 */   // Label 7440: @424487
     /*  424487 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(424563), // Rule ID 62131 //
     /*  424492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424524 */     // MIs[0] rs2
     /*  424524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424561 */     GIR_RootConstrainSelectedInstOperands,
     /*  424562 */     // GIR_Coverage, 62131,
     /*  424562 */     GIR_EraseRootFromParent_Done,
     /*  424563 */   // Label 7441: @424563
     /*  424563 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(424639), // Rule ID 62132 //
     /*  424568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424600 */     // MIs[0] rs2
     /*  424600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424615 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424637 */     GIR_RootConstrainSelectedInstOperands,
     /*  424638 */     // GIR_Coverage, 62132,
     /*  424638 */     GIR_EraseRootFromParent_Done,
     /*  424639 */   // Label 7442: @424639
     /*  424639 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424715), // Rule ID 62133 //
     /*  424644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424676 */     // MIs[0] rs2
     /*  424676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424679 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424713 */     GIR_RootConstrainSelectedInstOperands,
     /*  424714 */     // GIR_Coverage, 62133,
     /*  424714 */     GIR_EraseRootFromParent_Done,
     /*  424715 */   // Label 7443: @424715
     /*  424715 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424791), // Rule ID 62134 //
     /*  424720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424752 */     // MIs[0] rs2
     /*  424752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424789 */     GIR_RootConstrainSelectedInstOperands,
     /*  424790 */     // GIR_Coverage, 62134,
     /*  424790 */     GIR_EraseRootFromParent_Done,
     /*  424791 */   // Label 7444: @424791
     /*  424791 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(424867), // Rule ID 62135 //
     /*  424796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424828 */     // MIs[0] rs2
     /*  424828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424865 */     GIR_RootConstrainSelectedInstOperands,
     /*  424866 */     // GIR_Coverage, 62135,
     /*  424866 */     GIR_EraseRootFromParent_Done,
     /*  424867 */   // Label 7445: @424867
     /*  424867 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(424943), // Rule ID 62136 //
     /*  424872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424904 */     // MIs[0] rs2
     /*  424904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424919 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424941 */     GIR_RootConstrainSelectedInstOperands,
     /*  424942 */     // GIR_Coverage, 62136,
     /*  424942 */     GIR_EraseRootFromParent_Done,
     /*  424943 */   // Label 7446: @424943
     /*  424943 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(425019), // Rule ID 62137 //
     /*  424948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424980 */     // MIs[0] rs2
     /*  424980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424995 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425017 */     GIR_RootConstrainSelectedInstOperands,
     /*  425018 */     // GIR_Coverage, 62137,
     /*  425018 */     GIR_EraseRootFromParent_Done,
     /*  425019 */   // Label 7447: @425019
     /*  425019 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(425095), // Rule ID 62258 //
     /*  425024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425056 */     // MIs[0] rs2
     /*  425056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  425074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425093 */     GIR_RootConstrainSelectedInstOperands,
     /*  425094 */     // GIR_Coverage, 62258,
     /*  425094 */     GIR_EraseRootFromParent_Done,
     /*  425095 */   // Label 7448: @425095
     /*  425095 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(425171), // Rule ID 62259 //
     /*  425100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425132 */     // MIs[0] rs2
     /*  425132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  425150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425169 */     GIR_RootConstrainSelectedInstOperands,
     /*  425170 */     // GIR_Coverage, 62259,
     /*  425170 */     GIR_EraseRootFromParent_Done,
     /*  425171 */   // Label 7449: @425171
     /*  425171 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(425247), // Rule ID 62260 //
     /*  425176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425208 */     // MIs[0] rs2
     /*  425208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  425226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425245 */     GIR_RootConstrainSelectedInstOperands,
     /*  425246 */     // GIR_Coverage, 62260,
     /*  425246 */     GIR_EraseRootFromParent_Done,
     /*  425247 */   // Label 7450: @425247
     /*  425247 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(425323), // Rule ID 62261 //
     /*  425252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425284 */     // MIs[0] rs2
     /*  425284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  425302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425321 */     GIR_RootConstrainSelectedInstOperands,
     /*  425322 */     // GIR_Coverage, 62261,
     /*  425322 */     GIR_EraseRootFromParent_Done,
     /*  425323 */   // Label 7451: @425323
     /*  425323 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(425399), // Rule ID 62262 //
     /*  425328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425360 */     // MIs[0] rs2
     /*  425360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  425378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425397 */     GIR_RootConstrainSelectedInstOperands,
     /*  425398 */     // GIR_Coverage, 62262,
     /*  425398 */     GIR_EraseRootFromParent_Done,
     /*  425399 */   // Label 7452: @425399
     /*  425399 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(425475), // Rule ID 62263 //
     /*  425404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425436 */     // MIs[0] rs2
     /*  425436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  425454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425473 */     GIR_RootConstrainSelectedInstOperands,
     /*  425474 */     // GIR_Coverage, 62263,
     /*  425474 */     GIR_EraseRootFromParent_Done,
     /*  425475 */   // Label 7453: @425475
     /*  425475 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(425551), // Rule ID 62264 //
     /*  425480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425512 */     // MIs[0] rs2
     /*  425512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425515 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425549 */     GIR_RootConstrainSelectedInstOperands,
     /*  425550 */     // GIR_Coverage, 62264,
     /*  425550 */     GIR_EraseRootFromParent_Done,
     /*  425551 */   // Label 7454: @425551
     /*  425551 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(425627), // Rule ID 62265 //
     /*  425556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425588 */     // MIs[0] rs2
     /*  425588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425625 */     GIR_RootConstrainSelectedInstOperands,
     /*  425626 */     // GIR_Coverage, 62265,
     /*  425626 */     GIR_EraseRootFromParent_Done,
     /*  425627 */   // Label 7455: @425627
     /*  425627 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(425703), // Rule ID 62266 //
     /*  425632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425664 */     // MIs[0] rs2
     /*  425664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425679 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425701 */     GIR_RootConstrainSelectedInstOperands,
     /*  425702 */     // GIR_Coverage, 62266,
     /*  425702 */     GIR_EraseRootFromParent_Done,
     /*  425703 */   // Label 7456: @425703
     /*  425703 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(425779), // Rule ID 62267 //
     /*  425708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425740 */     // MIs[0] rs2
     /*  425740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425755 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425777 */     GIR_RootConstrainSelectedInstOperands,
     /*  425778 */     // GIR_Coverage, 62267,
     /*  425778 */     GIR_EraseRootFromParent_Done,
     /*  425779 */   // Label 7457: @425779
     /*  425779 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(425867), // Rule ID 2686 //
     /*  425784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425831 */     // MIs[1] Operand 1
     /*  425831 */     // No operand predicates
     /*  425831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425849 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425865 */     GIR_RootConstrainSelectedInstOperands,
     /*  425866 */     // GIR_Coverage, 2686,
     /*  425866 */     GIR_EraseRootFromParent_Done,
     /*  425867 */   // Label 7458: @425867
     /*  425867 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(425955), // Rule ID 2687 //
     /*  425872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425919 */     // MIs[1] Operand 1
     /*  425919 */     // No operand predicates
     /*  425919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425937 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425953 */     GIR_RootConstrainSelectedInstOperands,
     /*  425954 */     // GIR_Coverage, 2687,
     /*  425954 */     GIR_EraseRootFromParent_Done,
     /*  425955 */   // Label 7459: @425955
     /*  425955 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(426043), // Rule ID 2694 //
     /*  425960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  425971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  425977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426007 */     // MIs[1] Operand 1
     /*  426007 */     // No operand predicates
     /*  426007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426025 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426041 */     GIR_RootConstrainSelectedInstOperands,
     /*  426042 */     // GIR_Coverage, 2694,
     /*  426042 */     GIR_EraseRootFromParent_Done,
     /*  426043 */   // Label 7460: @426043
     /*  426043 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(426131), // Rule ID 2695 //
     /*  426048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  426059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  426062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  426065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426095 */     // MIs[1] Operand 1
     /*  426095 */     // No operand predicates
     /*  426095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426104 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426113 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426129 */     GIR_RootConstrainSelectedInstOperands,
     /*  426130 */     // GIR_Coverage, 2695,
     /*  426130 */     GIR_EraseRootFromParent_Done,
     /*  426131 */   // Label 7461: @426131
     /*  426131 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(426219), // Rule ID 2702 //
     /*  426136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  426147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  426150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  426153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426183 */     // MIs[1] Operand 1
     /*  426183 */     // No operand predicates
     /*  426183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426201 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426217 */     GIR_RootConstrainSelectedInstOperands,
     /*  426218 */     // GIR_Coverage, 2702,
     /*  426218 */     GIR_EraseRootFromParent_Done,
     /*  426219 */   // Label 7462: @426219
     /*  426219 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(426307), // Rule ID 2703 //
     /*  426224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  426235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  426238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  426241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426271 */     // MIs[1] Operand 1
     /*  426271 */     // No operand predicates
     /*  426271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426280 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426289 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426305 */     GIR_RootConstrainSelectedInstOperands,
     /*  426306 */     // GIR_Coverage, 2703,
     /*  426306 */     GIR_EraseRootFromParent_Done,
     /*  426307 */   // Label 7463: @426307
     /*  426307 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(426395), // Rule ID 2710 //
     /*  426312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426359 */     // MIs[1] Operand 1
     /*  426359 */     // No operand predicates
     /*  426359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426377 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426393 */     GIR_RootConstrainSelectedInstOperands,
     /*  426394 */     // GIR_Coverage, 2710,
     /*  426394 */     GIR_EraseRootFromParent_Done,
     /*  426395 */   // Label 7464: @426395
     /*  426395 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(426483), // Rule ID 2711 //
     /*  426400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426447 */     // MIs[1] Operand 1
     /*  426447 */     // No operand predicates
     /*  426447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426465 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426481 */     GIR_RootConstrainSelectedInstOperands,
     /*  426482 */     // GIR_Coverage, 2711,
     /*  426482 */     GIR_EraseRootFromParent_Done,
     /*  426483 */   // Label 7465: @426483
     /*  426483 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(426571), // Rule ID 2718 //
     /*  426488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426535 */     // MIs[1] Operand 1
     /*  426535 */     // No operand predicates
     /*  426535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426553 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426569 */     GIR_RootConstrainSelectedInstOperands,
     /*  426570 */     // GIR_Coverage, 2718,
     /*  426570 */     GIR_EraseRootFromParent_Done,
     /*  426571 */   // Label 7466: @426571
     /*  426571 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(426659), // Rule ID 2719 //
     /*  426576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426623 */     // MIs[1] Operand 1
     /*  426623 */     // No operand predicates
     /*  426623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426641 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426657 */     GIR_RootConstrainSelectedInstOperands,
     /*  426658 */     // GIR_Coverage, 2719,
     /*  426658 */     GIR_EraseRootFromParent_Done,
     /*  426659 */   // Label 7467: @426659
     /*  426659 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(426747), // Rule ID 2726 //
     /*  426664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426711 */     // MIs[1] Operand 1
     /*  426711 */     // No operand predicates
     /*  426711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426729 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426745 */     GIR_RootConstrainSelectedInstOperands,
     /*  426746 */     // GIR_Coverage, 2726,
     /*  426746 */     GIR_EraseRootFromParent_Done,
     /*  426747 */   // Label 7468: @426747
     /*  426747 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(426835), // Rule ID 2727 //
     /*  426752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426799 */     // MIs[1] Operand 1
     /*  426799 */     // No operand predicates
     /*  426799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426817 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426833 */     GIR_RootConstrainSelectedInstOperands,
     /*  426834 */     // GIR_Coverage, 2727,
     /*  426834 */     GIR_EraseRootFromParent_Done,
     /*  426835 */   // Label 7469: @426835
     /*  426835 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(426923), // Rule ID 2734 //
     /*  426840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426887 */     // MIs[1] Operand 1
     /*  426887 */     // No operand predicates
     /*  426887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426905 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426921 */     GIR_RootConstrainSelectedInstOperands,
     /*  426922 */     // GIR_Coverage, 2734,
     /*  426922 */     GIR_EraseRootFromParent_Done,
     /*  426923 */   // Label 7470: @426923
     /*  426923 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(427011), // Rule ID 2735 //
     /*  426928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426975 */     // MIs[1] Operand 1
     /*  426975 */     // No operand predicates
     /*  426975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426993 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427009 */     GIR_RootConstrainSelectedInstOperands,
     /*  427010 */     // GIR_Coverage, 2735,
     /*  427010 */     GIR_EraseRootFromParent_Done,
     /*  427011 */   // Label 7471: @427011
     /*  427011 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(427099), // Rule ID 2742 //
     /*  427016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  427027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  427030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  427033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427063 */     // MIs[1] Operand 1
     /*  427063 */     // No operand predicates
     /*  427063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427081 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427097 */     GIR_RootConstrainSelectedInstOperands,
     /*  427098 */     // GIR_Coverage, 2742,
     /*  427098 */     GIR_EraseRootFromParent_Done,
     /*  427099 */   // Label 7472: @427099
     /*  427099 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(427187), // Rule ID 2743 //
     /*  427104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  427115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  427118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  427121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427151 */     // MIs[1] Operand 1
     /*  427151 */     // No operand predicates
     /*  427151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427169 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427185 */     GIR_RootConstrainSelectedInstOperands,
     /*  427186 */     // GIR_Coverage, 2743,
     /*  427186 */     GIR_EraseRootFromParent_Done,
     /*  427187 */   // Label 7473: @427187
     /*  427187 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(427275), // Rule ID 2750 //
     /*  427192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  427203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  427206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  427209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427239 */     // MIs[1] Operand 1
     /*  427239 */     // No operand predicates
     /*  427239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427257 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427273 */     GIR_RootConstrainSelectedInstOperands,
     /*  427274 */     // GIR_Coverage, 2750,
     /*  427274 */     GIR_EraseRootFromParent_Done,
     /*  427275 */   // Label 7474: @427275
     /*  427275 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(427363), // Rule ID 2751 //
     /*  427280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  427291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  427294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  427297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427327 */     // MIs[1] Operand 1
     /*  427327 */     // No operand predicates
     /*  427327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427345 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427361 */     GIR_RootConstrainSelectedInstOperands,
     /*  427362 */     // GIR_Coverage, 2751,
     /*  427362 */     GIR_EraseRootFromParent_Done,
     /*  427363 */   // Label 7475: @427363
     /*  427363 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(427451), // Rule ID 2758 //
     /*  427368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  427371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  427379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  427382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  427385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427415 */     // MIs[1] Operand 1
     /*  427415 */     // No operand predicates
     /*  427415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427433 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427449 */     GIR_RootConstrainSelectedInstOperands,
     /*  427450 */     // GIR_Coverage, 2758,
     /*  427450 */     GIR_EraseRootFromParent_Done,
     /*  427451 */   // Label 7476: @427451
     /*  427451 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(427539), // Rule ID 2759 //
     /*  427456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  427467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  427470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  427473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427503 */     // MIs[1] Operand 1
     /*  427503 */     // No operand predicates
     /*  427503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427521 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427537 */     GIR_RootConstrainSelectedInstOperands,
     /*  427538 */     // GIR_Coverage, 2759,
     /*  427538 */     GIR_EraseRootFromParent_Done,
     /*  427539 */   // Label 7477: @427539
     /*  427539 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(427627), // Rule ID 2766 //
     /*  427544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427591 */     // MIs[1] Operand 1
     /*  427591 */     // No operand predicates
     /*  427591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427609 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427625 */     GIR_RootConstrainSelectedInstOperands,
     /*  427626 */     // GIR_Coverage, 2766,
     /*  427626 */     GIR_EraseRootFromParent_Done,
     /*  427627 */   // Label 7478: @427627
     /*  427627 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(427715), // Rule ID 2767 //
     /*  427632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427679 */     // MIs[1] Operand 1
     /*  427679 */     // No operand predicates
     /*  427679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427688 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427697 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427713 */     GIR_RootConstrainSelectedInstOperands,
     /*  427714 */     // GIR_Coverage, 2767,
     /*  427714 */     GIR_EraseRootFromParent_Done,
     /*  427715 */   // Label 7479: @427715
     /*  427715 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(427803), // Rule ID 2774 //
     /*  427720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427767 */     // MIs[1] Operand 1
     /*  427767 */     // No operand predicates
     /*  427767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427785 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427801 */     GIR_RootConstrainSelectedInstOperands,
     /*  427802 */     // GIR_Coverage, 2774,
     /*  427802 */     GIR_EraseRootFromParent_Done,
     /*  427803 */   // Label 7480: @427803
     /*  427803 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(427891), // Rule ID 2775 //
     /*  427808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427855 */     // MIs[1] Operand 1
     /*  427855 */     // No operand predicates
     /*  427855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427864 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427873 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427889 */     GIR_RootConstrainSelectedInstOperands,
     /*  427890 */     // GIR_Coverage, 2775,
     /*  427890 */     GIR_EraseRootFromParent_Done,
     /*  427891 */   // Label 7481: @427891
     /*  427891 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(427979), // Rule ID 2782 //
     /*  427896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  427913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427943 */     // MIs[1] Operand 1
     /*  427943 */     // No operand predicates
     /*  427943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427961 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427977 */     GIR_RootConstrainSelectedInstOperands,
     /*  427978 */     // GIR_Coverage, 2782,
     /*  427978 */     GIR_EraseRootFromParent_Done,
     /*  427979 */   // Label 7482: @427979
     /*  427979 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(428067), // Rule ID 2783 //
     /*  427984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  428001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428031 */     // MIs[1] Operand 1
     /*  428031 */     // No operand predicates
     /*  428031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428040 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428049 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428065 */     GIR_RootConstrainSelectedInstOperands,
     /*  428066 */     // GIR_Coverage, 2783,
     /*  428066 */     GIR_EraseRootFromParent_Done,
     /*  428067 */   // Label 7483: @428067
     /*  428067 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(428155), // Rule ID 2790 //
     /*  428072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  428083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  428086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  428089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428119 */     // MIs[1] Operand 1
     /*  428119 */     // No operand predicates
     /*  428119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428137 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428153 */     GIR_RootConstrainSelectedInstOperands,
     /*  428154 */     // GIR_Coverage, 2790,
     /*  428154 */     GIR_EraseRootFromParent_Done,
     /*  428155 */   // Label 7484: @428155
     /*  428155 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(428243), // Rule ID 2791 //
     /*  428160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  428171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  428174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  428177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428207 */     // MIs[1] Operand 1
     /*  428207 */     // No operand predicates
     /*  428207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428225 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428241 */     GIR_RootConstrainSelectedInstOperands,
     /*  428242 */     // GIR_Coverage, 2791,
     /*  428242 */     GIR_EraseRootFromParent_Done,
     /*  428243 */   // Label 7485: @428243
     /*  428243 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(428331), // Rule ID 2798 //
     /*  428248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  428259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  428262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  428265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428295 */     // MIs[1] Operand 1
     /*  428295 */     // No operand predicates
     /*  428295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428313 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428329 */     GIR_RootConstrainSelectedInstOperands,
     /*  428330 */     // GIR_Coverage, 2798,
     /*  428330 */     GIR_EraseRootFromParent_Done,
     /*  428331 */   // Label 7486: @428331
     /*  428331 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(428419), // Rule ID 2799 //
     /*  428336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  428347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  428350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  428353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428383 */     // MIs[1] Operand 1
     /*  428383 */     // No operand predicates
     /*  428383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428401 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428417 */     GIR_RootConstrainSelectedInstOperands,
     /*  428418 */     // GIR_Coverage, 2799,
     /*  428418 */     GIR_EraseRootFromParent_Done,
     /*  428419 */   // Label 7487: @428419
     /*  428419 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(428507), // Rule ID 2806 //
     /*  428424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  428435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428471 */     // MIs[1] Operand 1
     /*  428471 */     // No operand predicates
     /*  428471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428489 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428505 */     GIR_RootConstrainSelectedInstOperands,
     /*  428506 */     // GIR_Coverage, 2806,
     /*  428506 */     GIR_EraseRootFromParent_Done,
     /*  428507 */   // Label 7488: @428507
     /*  428507 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(428595), // Rule ID 2807 //
     /*  428512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  428523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428559 */     // MIs[1] Operand 1
     /*  428559 */     // No operand predicates
     /*  428559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428577 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428593 */     GIR_RootConstrainSelectedInstOperands,
     /*  428594 */     // GIR_Coverage, 2807,
     /*  428594 */     GIR_EraseRootFromParent_Done,
     /*  428595 */   // Label 7489: @428595
     /*  428595 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(428683), // Rule ID 2814 //
     /*  428600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428647 */     // MIs[1] Operand 1
     /*  428647 */     // No operand predicates
     /*  428647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428665 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428681 */     GIR_RootConstrainSelectedInstOperands,
     /*  428682 */     // GIR_Coverage, 2814,
     /*  428682 */     GIR_EraseRootFromParent_Done,
     /*  428683 */   // Label 7490: @428683
     /*  428683 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(428771), // Rule ID 2815 //
     /*  428688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428735 */     // MIs[1] Operand 1
     /*  428735 */     // No operand predicates
     /*  428735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428769 */     GIR_RootConstrainSelectedInstOperands,
     /*  428770 */     // GIR_Coverage, 2815,
     /*  428770 */     GIR_EraseRootFromParent_Done,
     /*  428771 */   // Label 7491: @428771
     /*  428771 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(428859), // Rule ID 2822 //
     /*  428776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428823 */     // MIs[1] Operand 1
     /*  428823 */     // No operand predicates
     /*  428823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428841 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428857 */     GIR_RootConstrainSelectedInstOperands,
     /*  428858 */     // GIR_Coverage, 2822,
     /*  428858 */     GIR_EraseRootFromParent_Done,
     /*  428859 */   // Label 7492: @428859
     /*  428859 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(428947), // Rule ID 2823 //
     /*  428864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428911 */     // MIs[1] Operand 1
     /*  428911 */     // No operand predicates
     /*  428911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428929 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428945 */     GIR_RootConstrainSelectedInstOperands,
     /*  428946 */     // GIR_Coverage, 2823,
     /*  428946 */     GIR_EraseRootFromParent_Done,
     /*  428947 */   // Label 7493: @428947
     /*  428947 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(429035), // Rule ID 2830 //
     /*  428952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  428963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  428969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428999 */     // MIs[1] Operand 1
     /*  428999 */     // No operand predicates
     /*  428999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429017 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429033 */     GIR_RootConstrainSelectedInstOperands,
     /*  429034 */     // GIR_Coverage, 2830,
     /*  429034 */     GIR_EraseRootFromParent_Done,
     /*  429035 */   // Label 7494: @429035
     /*  429035 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(429123), // Rule ID 2831 //
     /*  429040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429087 */     // MIs[1] Operand 1
     /*  429087 */     // No operand predicates
     /*  429087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429105 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429121 */     GIR_RootConstrainSelectedInstOperands,
     /*  429122 */     // GIR_Coverage, 2831,
     /*  429122 */     GIR_EraseRootFromParent_Done,
     /*  429123 */   // Label 7495: @429123
     /*  429123 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(429211), // Rule ID 2838 //
     /*  429128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429175 */     // MIs[1] Operand 1
     /*  429175 */     // No operand predicates
     /*  429175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429193 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429209 */     GIR_RootConstrainSelectedInstOperands,
     /*  429210 */     // GIR_Coverage, 2838,
     /*  429210 */     GIR_EraseRootFromParent_Done,
     /*  429211 */   // Label 7496: @429211
     /*  429211 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(429299), // Rule ID 2839 //
     /*  429216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429263 */     // MIs[1] Operand 1
     /*  429263 */     // No operand predicates
     /*  429263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429281 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429297 */     GIR_RootConstrainSelectedInstOperands,
     /*  429298 */     // GIR_Coverage, 2839,
     /*  429298 */     GIR_EraseRootFromParent_Done,
     /*  429299 */   // Label 7497: @429299
     /*  429299 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(429387), // Rule ID 2846 //
     /*  429304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  429315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  429318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  429321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429351 */     // MIs[1] Operand 1
     /*  429351 */     // No operand predicates
     /*  429351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429369 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429385 */     GIR_RootConstrainSelectedInstOperands,
     /*  429386 */     // GIR_Coverage, 2846,
     /*  429386 */     GIR_EraseRootFromParent_Done,
     /*  429387 */   // Label 7498: @429387
     /*  429387 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(429475), // Rule ID 2847 //
     /*  429392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  429403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  429406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  429409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429439 */     // MIs[1] Operand 1
     /*  429439 */     // No operand predicates
     /*  429439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429457 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429473 */     GIR_RootConstrainSelectedInstOperands,
     /*  429474 */     // GIR_Coverage, 2847,
     /*  429474 */     GIR_EraseRootFromParent_Done,
     /*  429475 */   // Label 7499: @429475
     /*  429475 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(429563), // Rule ID 2854 //
     /*  429480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429527 */     // MIs[1] Operand 1
     /*  429527 */     // No operand predicates
     /*  429527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429545 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429561 */     GIR_RootConstrainSelectedInstOperands,
     /*  429562 */     // GIR_Coverage, 2854,
     /*  429562 */     GIR_EraseRootFromParent_Done,
     /*  429563 */   // Label 7500: @429563
     /*  429563 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(429651), // Rule ID 2855 //
     /*  429568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429615 */     // MIs[1] Operand 1
     /*  429615 */     // No operand predicates
     /*  429615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429633 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429649 */     GIR_RootConstrainSelectedInstOperands,
     /*  429650 */     // GIR_Coverage, 2855,
     /*  429650 */     GIR_EraseRootFromParent_Done,
     /*  429651 */   // Label 7501: @429651
     /*  429651 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(429737), // Rule ID 3030 //
     /*  429656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429703 */     // MIs[1] Operand 1
     /*  429703 */     // No operand predicates
     /*  429703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429712 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429735 */     GIR_RootConstrainSelectedInstOperands,
     /*  429736 */     // GIR_Coverage, 3030,
     /*  429736 */     GIR_EraseRootFromParent_Done,
     /*  429737 */   // Label 7502: @429737
     /*  429737 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(429823), // Rule ID 3031 //
     /*  429742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429789 */     // MIs[1] Operand 1
     /*  429789 */     // No operand predicates
     /*  429789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429821 */     GIR_RootConstrainSelectedInstOperands,
     /*  429822 */     // GIR_Coverage, 3031,
     /*  429822 */     GIR_EraseRootFromParent_Done,
     /*  429823 */   // Label 7503: @429823
     /*  429823 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(429909), // Rule ID 3034 //
     /*  429828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429875 */     // MIs[1] Operand 1
     /*  429875 */     // No operand predicates
     /*  429875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429907 */     GIR_RootConstrainSelectedInstOperands,
     /*  429908 */     // GIR_Coverage, 3034,
     /*  429908 */     GIR_EraseRootFromParent_Done,
     /*  429909 */   // Label 7504: @429909
     /*  429909 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(429995), // Rule ID 3035 //
     /*  429914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429961 */     // MIs[1] Operand 1
     /*  429961 */     // No operand predicates
     /*  429961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429993 */     GIR_RootConstrainSelectedInstOperands,
     /*  429994 */     // GIR_Coverage, 3035,
     /*  429994 */     GIR_EraseRootFromParent_Done,
     /*  429995 */   // Label 7505: @429995
     /*  429995 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(430081), // Rule ID 3038 //
     /*  430000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430047 */     // MIs[1] Operand 1
     /*  430047 */     // No operand predicates
     /*  430047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430056 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430079 */     GIR_RootConstrainSelectedInstOperands,
     /*  430080 */     // GIR_Coverage, 3038,
     /*  430080 */     GIR_EraseRootFromParent_Done,
     /*  430081 */   // Label 7506: @430081
     /*  430081 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(430167), // Rule ID 3039 //
     /*  430086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430133 */     // MIs[1] Operand 1
     /*  430133 */     // No operand predicates
     /*  430133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430142 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430165 */     GIR_RootConstrainSelectedInstOperands,
     /*  430166 */     // GIR_Coverage, 3039,
     /*  430166 */     GIR_EraseRootFromParent_Done,
     /*  430167 */   // Label 7507: @430167
     /*  430167 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(430253), // Rule ID 3042 //
     /*  430172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430219 */     // MIs[1] Operand 1
     /*  430219 */     // No operand predicates
     /*  430219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430251 */     GIR_RootConstrainSelectedInstOperands,
     /*  430252 */     // GIR_Coverage, 3042,
     /*  430252 */     GIR_EraseRootFromParent_Done,
     /*  430253 */   // Label 7508: @430253
     /*  430253 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(430339), // Rule ID 3043 //
     /*  430258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430305 */     // MIs[1] Operand 1
     /*  430305 */     // No operand predicates
     /*  430305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430337 */     GIR_RootConstrainSelectedInstOperands,
     /*  430338 */     // GIR_Coverage, 3043,
     /*  430338 */     GIR_EraseRootFromParent_Done,
     /*  430339 */   // Label 7509: @430339
     /*  430339 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(430425), // Rule ID 3046 //
     /*  430344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430391 */     // MIs[1] Operand 1
     /*  430391 */     // No operand predicates
     /*  430391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430400 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430423 */     GIR_RootConstrainSelectedInstOperands,
     /*  430424 */     // GIR_Coverage, 3046,
     /*  430424 */     GIR_EraseRootFromParent_Done,
     /*  430425 */   // Label 7510: @430425
     /*  430425 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(430511), // Rule ID 3047 //
     /*  430430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430477 */     // MIs[1] Operand 1
     /*  430477 */     // No operand predicates
     /*  430477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430509 */     GIR_RootConstrainSelectedInstOperands,
     /*  430510 */     // GIR_Coverage, 3047,
     /*  430510 */     GIR_EraseRootFromParent_Done,
     /*  430511 */   // Label 7511: @430511
     /*  430511 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(430597), // Rule ID 3050 //
     /*  430516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430563 */     // MIs[1] Operand 1
     /*  430563 */     // No operand predicates
     /*  430563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430595 */     GIR_RootConstrainSelectedInstOperands,
     /*  430596 */     // GIR_Coverage, 3050,
     /*  430596 */     GIR_EraseRootFromParent_Done,
     /*  430597 */   // Label 7512: @430597
     /*  430597 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(430683), // Rule ID 3051 //
     /*  430602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430649 */     // MIs[1] Operand 1
     /*  430649 */     // No operand predicates
     /*  430649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430681 */     GIR_RootConstrainSelectedInstOperands,
     /*  430682 */     // GIR_Coverage, 3051,
     /*  430682 */     GIR_EraseRootFromParent_Done,
     /*  430683 */   // Label 7513: @430683
     /*  430683 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(430769), // Rule ID 3054 //
     /*  430688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430735 */     // MIs[1] Operand 1
     /*  430735 */     // No operand predicates
     /*  430735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430767 */     GIR_RootConstrainSelectedInstOperands,
     /*  430768 */     // GIR_Coverage, 3054,
     /*  430768 */     GIR_EraseRootFromParent_Done,
     /*  430769 */   // Label 7514: @430769
     /*  430769 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(430855), // Rule ID 3055 //
     /*  430774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430821 */     // MIs[1] Operand 1
     /*  430821 */     // No operand predicates
     /*  430821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430853 */     GIR_RootConstrainSelectedInstOperands,
     /*  430854 */     // GIR_Coverage, 3055,
     /*  430854 */     GIR_EraseRootFromParent_Done,
     /*  430855 */   // Label 7515: @430855
     /*  430855 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(430941), // Rule ID 3058 //
     /*  430860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430907 */     // MIs[1] Operand 1
     /*  430907 */     // No operand predicates
     /*  430907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430939 */     GIR_RootConstrainSelectedInstOperands,
     /*  430940 */     // GIR_Coverage, 3058,
     /*  430940 */     GIR_EraseRootFromParent_Done,
     /*  430941 */   // Label 7516: @430941
     /*  430941 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(431027), // Rule ID 3059 //
     /*  430946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430993 */     // MIs[1] Operand 1
     /*  430993 */     // No operand predicates
     /*  430993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431025 */     GIR_RootConstrainSelectedInstOperands,
     /*  431026 */     // GIR_Coverage, 3059,
     /*  431026 */     GIR_EraseRootFromParent_Done,
     /*  431027 */   // Label 7517: @431027
     /*  431027 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(431113), // Rule ID 3062 //
     /*  431032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431079 */     // MIs[1] Operand 1
     /*  431079 */     // No operand predicates
     /*  431079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431111 */     GIR_RootConstrainSelectedInstOperands,
     /*  431112 */     // GIR_Coverage, 3062,
     /*  431112 */     GIR_EraseRootFromParent_Done,
     /*  431113 */   // Label 7518: @431113
     /*  431113 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(431199), // Rule ID 3063 //
     /*  431118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431165 */     // MIs[1] Operand 1
     /*  431165 */     // No operand predicates
     /*  431165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431197 */     GIR_RootConstrainSelectedInstOperands,
     /*  431198 */     // GIR_Coverage, 3063,
     /*  431198 */     GIR_EraseRootFromParent_Done,
     /*  431199 */   // Label 7519: @431199
     /*  431199 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(431285), // Rule ID 3066 //
     /*  431204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431251 */     // MIs[1] Operand 1
     /*  431251 */     // No operand predicates
     /*  431251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431283 */     GIR_RootConstrainSelectedInstOperands,
     /*  431284 */     // GIR_Coverage, 3066,
     /*  431284 */     GIR_EraseRootFromParent_Done,
     /*  431285 */   // Label 7520: @431285
     /*  431285 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(431371), // Rule ID 3067 //
     /*  431290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431337 */     // MIs[1] Operand 1
     /*  431337 */     // No operand predicates
     /*  431337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431369 */     GIR_RootConstrainSelectedInstOperands,
     /*  431370 */     // GIR_Coverage, 3067,
     /*  431370 */     GIR_EraseRootFromParent_Done,
     /*  431371 */   // Label 7521: @431371
     /*  431371 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(431457), // Rule ID 3070 //
     /*  431376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431423 */     // MIs[1] Operand 1
     /*  431423 */     // No operand predicates
     /*  431423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431432 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431455 */     GIR_RootConstrainSelectedInstOperands,
     /*  431456 */     // GIR_Coverage, 3070,
     /*  431456 */     GIR_EraseRootFromParent_Done,
     /*  431457 */   // Label 7522: @431457
     /*  431457 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(431543), // Rule ID 3071 //
     /*  431462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431509 */     // MIs[1] Operand 1
     /*  431509 */     // No operand predicates
     /*  431509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431518 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431541 */     GIR_RootConstrainSelectedInstOperands,
     /*  431542 */     // GIR_Coverage, 3071,
     /*  431542 */     GIR_EraseRootFromParent_Done,
     /*  431543 */   // Label 7523: @431543
     /*  431543 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(431629), // Rule ID 3074 //
     /*  431548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431595 */     // MIs[1] Operand 1
     /*  431595 */     // No operand predicates
     /*  431595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431604 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431627 */     GIR_RootConstrainSelectedInstOperands,
     /*  431628 */     // GIR_Coverage, 3074,
     /*  431628 */     GIR_EraseRootFromParent_Done,
     /*  431629 */   // Label 7524: @431629
     /*  431629 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(431715), // Rule ID 3075 //
     /*  431634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431681 */     // MIs[1] Operand 1
     /*  431681 */     // No operand predicates
     /*  431681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431713 */     GIR_RootConstrainSelectedInstOperands,
     /*  431714 */     // GIR_Coverage, 3075,
     /*  431714 */     GIR_EraseRootFromParent_Done,
     /*  431715 */   // Label 7525: @431715
     /*  431715 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(431801), // Rule ID 3078 //
     /*  431720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431767 */     // MIs[1] Operand 1
     /*  431767 */     // No operand predicates
     /*  431767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431799 */     GIR_RootConstrainSelectedInstOperands,
     /*  431800 */     // GIR_Coverage, 3078,
     /*  431800 */     GIR_EraseRootFromParent_Done,
     /*  431801 */   // Label 7526: @431801
     /*  431801 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(431887), // Rule ID 3079 //
     /*  431806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431853 */     // MIs[1] Operand 1
     /*  431853 */     // No operand predicates
     /*  431853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431885 */     GIR_RootConstrainSelectedInstOperands,
     /*  431886 */     // GIR_Coverage, 3079,
     /*  431886 */     GIR_EraseRootFromParent_Done,
     /*  431887 */   // Label 7527: @431887
     /*  431887 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(431973), // Rule ID 3082 //
     /*  431892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431939 */     // MIs[1] Operand 1
     /*  431939 */     // No operand predicates
     /*  431939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431971 */     GIR_RootConstrainSelectedInstOperands,
     /*  431972 */     // GIR_Coverage, 3082,
     /*  431972 */     GIR_EraseRootFromParent_Done,
     /*  431973 */   // Label 7528: @431973
     /*  431973 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(432059), // Rule ID 3083 //
     /*  431978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432025 */     // MIs[1] Operand 1
     /*  432025 */     // No operand predicates
     /*  432025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432057 */     GIR_RootConstrainSelectedInstOperands,
     /*  432058 */     // GIR_Coverage, 3083,
     /*  432058 */     GIR_EraseRootFromParent_Done,
     /*  432059 */   // Label 7529: @432059
     /*  432059 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(432145), // Rule ID 3086 //
     /*  432064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432111 */     // MIs[1] Operand 1
     /*  432111 */     // No operand predicates
     /*  432111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432143 */     GIR_RootConstrainSelectedInstOperands,
     /*  432144 */     // GIR_Coverage, 3086,
     /*  432144 */     GIR_EraseRootFromParent_Done,
     /*  432145 */   // Label 7530: @432145
     /*  432145 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(432231), // Rule ID 3087 //
     /*  432150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432197 */     // MIs[1] Operand 1
     /*  432197 */     // No operand predicates
     /*  432197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432229 */     GIR_RootConstrainSelectedInstOperands,
     /*  432230 */     // GIR_Coverage, 3087,
     /*  432230 */     GIR_EraseRootFromParent_Done,
     /*  432231 */   // Label 7531: @432231
     /*  432231 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(432317), // Rule ID 3090 //
     /*  432236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432283 */     // MIs[1] Operand 1
     /*  432283 */     // No operand predicates
     /*  432283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432315 */     GIR_RootConstrainSelectedInstOperands,
     /*  432316 */     // GIR_Coverage, 3090,
     /*  432316 */     GIR_EraseRootFromParent_Done,
     /*  432317 */   // Label 7532: @432317
     /*  432317 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(432403), // Rule ID 3091 //
     /*  432322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432369 */     // MIs[1] Operand 1
     /*  432369 */     // No operand predicates
     /*  432369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432401 */     GIR_RootConstrainSelectedInstOperands,
     /*  432402 */     // GIR_Coverage, 3091,
     /*  432402 */     GIR_EraseRootFromParent_Done,
     /*  432403 */   // Label 7533: @432403
     /*  432403 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(432489), // Rule ID 3094 //
     /*  432408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432455 */     // MIs[1] Operand 1
     /*  432455 */     // No operand predicates
     /*  432455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432487 */     GIR_RootConstrainSelectedInstOperands,
     /*  432488 */     // GIR_Coverage, 3094,
     /*  432488 */     GIR_EraseRootFromParent_Done,
     /*  432489 */   // Label 7534: @432489
     /*  432489 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(432575), // Rule ID 3095 //
     /*  432494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432541 */     // MIs[1] Operand 1
     /*  432541 */     // No operand predicates
     /*  432541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432573 */     GIR_RootConstrainSelectedInstOperands,
     /*  432574 */     // GIR_Coverage, 3095,
     /*  432574 */     GIR_EraseRootFromParent_Done,
     /*  432575 */   // Label 7535: @432575
     /*  432575 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(432661), // Rule ID 3098 //
     /*  432580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432627 */     // MIs[1] Operand 1
     /*  432627 */     // No operand predicates
     /*  432627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432659 */     GIR_RootConstrainSelectedInstOperands,
     /*  432660 */     // GIR_Coverage, 3098,
     /*  432660 */     GIR_EraseRootFromParent_Done,
     /*  432661 */   // Label 7536: @432661
     /*  432661 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(432747), // Rule ID 3099 //
     /*  432666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432713 */     // MIs[1] Operand 1
     /*  432713 */     // No operand predicates
     /*  432713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432745 */     GIR_RootConstrainSelectedInstOperands,
     /*  432746 */     // GIR_Coverage, 3099,
     /*  432746 */     GIR_EraseRootFromParent_Done,
     /*  432747 */   // Label 7537: @432747
     /*  432747 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(432833), // Rule ID 3102 //
     /*  432752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432799 */     // MIs[1] Operand 1
     /*  432799 */     // No operand predicates
     /*  432799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432831 */     GIR_RootConstrainSelectedInstOperands,
     /*  432832 */     // GIR_Coverage, 3102,
     /*  432832 */     GIR_EraseRootFromParent_Done,
     /*  432833 */   // Label 7538: @432833
     /*  432833 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(432919), // Rule ID 3103 //
     /*  432838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432885 */     // MIs[1] Operand 1
     /*  432885 */     // No operand predicates
     /*  432885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432917 */     GIR_RootConstrainSelectedInstOperands,
     /*  432918 */     // GIR_Coverage, 3103,
     /*  432918 */     GIR_EraseRootFromParent_Done,
     /*  432919 */   // Label 7539: @432919
     /*  432919 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(433005), // Rule ID 3106 //
     /*  432924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432971 */     // MIs[1] Operand 1
     /*  432971 */     // No operand predicates
     /*  432971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432980 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433003 */     GIR_RootConstrainSelectedInstOperands,
     /*  433004 */     // GIR_Coverage, 3106,
     /*  433004 */     GIR_EraseRootFromParent_Done,
     /*  433005 */   // Label 7540: @433005
     /*  433005 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(433091), // Rule ID 3107 //
     /*  433010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433057 */     // MIs[1] Operand 1
     /*  433057 */     // No operand predicates
     /*  433057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433089 */     GIR_RootConstrainSelectedInstOperands,
     /*  433090 */     // GIR_Coverage, 3107,
     /*  433090 */     GIR_EraseRootFromParent_Done,
     /*  433091 */   // Label 7541: @433091
     /*  433091 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(433177), // Rule ID 3110 //
     /*  433096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433143 */     // MIs[1] Operand 1
     /*  433143 */     // No operand predicates
     /*  433143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433175 */     GIR_RootConstrainSelectedInstOperands,
     /*  433176 */     // GIR_Coverage, 3110,
     /*  433176 */     GIR_EraseRootFromParent_Done,
     /*  433177 */   // Label 7542: @433177
     /*  433177 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(433263), // Rule ID 3111 //
     /*  433182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433229 */     // MIs[1] Operand 1
     /*  433229 */     // No operand predicates
     /*  433229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433238 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433261 */     GIR_RootConstrainSelectedInstOperands,
     /*  433262 */     // GIR_Coverage, 3111,
     /*  433262 */     GIR_EraseRootFromParent_Done,
     /*  433263 */   // Label 7543: @433263
     /*  433263 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(433349), // Rule ID 3114 //
     /*  433268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433315 */     // MIs[1] Operand 1
     /*  433315 */     // No operand predicates
     /*  433315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433347 */     GIR_RootConstrainSelectedInstOperands,
     /*  433348 */     // GIR_Coverage, 3114,
     /*  433348 */     GIR_EraseRootFromParent_Done,
     /*  433349 */   // Label 7544: @433349
     /*  433349 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(433435), // Rule ID 3115 //
     /*  433354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433401 */     // MIs[1] Operand 1
     /*  433401 */     // No operand predicates
     /*  433401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433433 */     GIR_RootConstrainSelectedInstOperands,
     /*  433434 */     // GIR_Coverage, 3115,
     /*  433434 */     GIR_EraseRootFromParent_Done,
     /*  433435 */   // Label 7545: @433435
     /*  433435 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(433521), // Rule ID 3382 //
     /*  433440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433487 */     // MIs[1] Operand 1
     /*  433487 */     // No operand predicates
     /*  433487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433519 */     GIR_RootConstrainSelectedInstOperands,
     /*  433520 */     // GIR_Coverage, 3382,
     /*  433520 */     GIR_EraseRootFromParent_Done,
     /*  433521 */   // Label 7546: @433521
     /*  433521 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(433607), // Rule ID 3383 //
     /*  433526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433573 */     // MIs[1] Operand 1
     /*  433573 */     // No operand predicates
     /*  433573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433582 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433605 */     GIR_RootConstrainSelectedInstOperands,
     /*  433606 */     // GIR_Coverage, 3383,
     /*  433606 */     GIR_EraseRootFromParent_Done,
     /*  433607 */   // Label 7547: @433607
     /*  433607 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(433693), // Rule ID 3386 //
     /*  433612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433659 */     // MIs[1] Operand 1
     /*  433659 */     // No operand predicates
     /*  433659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433668 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433691 */     GIR_RootConstrainSelectedInstOperands,
     /*  433692 */     // GIR_Coverage, 3386,
     /*  433692 */     GIR_EraseRootFromParent_Done,
     /*  433693 */   // Label 7548: @433693
     /*  433693 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(433779), // Rule ID 3387 //
     /*  433698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433745 */     // MIs[1] Operand 1
     /*  433745 */     // No operand predicates
     /*  433745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433754 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433777 */     GIR_RootConstrainSelectedInstOperands,
     /*  433778 */     // GIR_Coverage, 3387,
     /*  433778 */     GIR_EraseRootFromParent_Done,
     /*  433779 */   // Label 7549: @433779
     /*  433779 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(433865), // Rule ID 3390 //
     /*  433784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433831 */     // MIs[1] Operand 1
     /*  433831 */     // No operand predicates
     /*  433831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433840 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433863 */     GIR_RootConstrainSelectedInstOperands,
     /*  433864 */     // GIR_Coverage, 3390,
     /*  433864 */     GIR_EraseRootFromParent_Done,
     /*  433865 */   // Label 7550: @433865
     /*  433865 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(433951), // Rule ID 3391 //
     /*  433870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433917 */     // MIs[1] Operand 1
     /*  433917 */     // No operand predicates
     /*  433917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433949 */     GIR_RootConstrainSelectedInstOperands,
     /*  433950 */     // GIR_Coverage, 3391,
     /*  433950 */     GIR_EraseRootFromParent_Done,
     /*  433951 */   // Label 7551: @433951
     /*  433951 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(434037), // Rule ID 3394 //
     /*  433956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  433967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  433970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434003 */     // MIs[1] Operand 1
     /*  434003 */     // No operand predicates
     /*  434003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434035 */     GIR_RootConstrainSelectedInstOperands,
     /*  434036 */     // GIR_Coverage, 3394,
     /*  434036 */     GIR_EraseRootFromParent_Done,
     /*  434037 */   // Label 7552: @434037
     /*  434037 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(434123), // Rule ID 3395 //
     /*  434042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434089 */     // MIs[1] Operand 1
     /*  434089 */     // No operand predicates
     /*  434089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434121 */     GIR_RootConstrainSelectedInstOperands,
     /*  434122 */     // GIR_Coverage, 3395,
     /*  434122 */     GIR_EraseRootFromParent_Done,
     /*  434123 */   // Label 7553: @434123
     /*  434123 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(434209), // Rule ID 3398 //
     /*  434128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434175 */     // MIs[1] Operand 1
     /*  434175 */     // No operand predicates
     /*  434175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434207 */     GIR_RootConstrainSelectedInstOperands,
     /*  434208 */     // GIR_Coverage, 3398,
     /*  434208 */     GIR_EraseRootFromParent_Done,
     /*  434209 */   // Label 7554: @434209
     /*  434209 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(434295), // Rule ID 3399 //
     /*  434214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434261 */     // MIs[1] Operand 1
     /*  434261 */     // No operand predicates
     /*  434261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434293 */     GIR_RootConstrainSelectedInstOperands,
     /*  434294 */     // GIR_Coverage, 3399,
     /*  434294 */     GIR_EraseRootFromParent_Done,
     /*  434295 */   // Label 7555: @434295
     /*  434295 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(434381), // Rule ID 3402 //
     /*  434300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434347 */     // MIs[1] Operand 1
     /*  434347 */     // No operand predicates
     /*  434347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434379 */     GIR_RootConstrainSelectedInstOperands,
     /*  434380 */     // GIR_Coverage, 3402,
     /*  434380 */     GIR_EraseRootFromParent_Done,
     /*  434381 */   // Label 7556: @434381
     /*  434381 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(434467), // Rule ID 3403 //
     /*  434386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434433 */     // MIs[1] Operand 1
     /*  434433 */     // No operand predicates
     /*  434433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434465 */     GIR_RootConstrainSelectedInstOperands,
     /*  434466 */     // GIR_Coverage, 3403,
     /*  434466 */     GIR_EraseRootFromParent_Done,
     /*  434467 */   // Label 7557: @434467
     /*  434467 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(434553), // Rule ID 3406 //
     /*  434472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434519 */     // MIs[1] Operand 1
     /*  434519 */     // No operand predicates
     /*  434519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434551 */     GIR_RootConstrainSelectedInstOperands,
     /*  434552 */     // GIR_Coverage, 3406,
     /*  434552 */     GIR_EraseRootFromParent_Done,
     /*  434553 */   // Label 7558: @434553
     /*  434553 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(434639), // Rule ID 3407 //
     /*  434558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434605 */     // MIs[1] Operand 1
     /*  434605 */     // No operand predicates
     /*  434605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434637 */     GIR_RootConstrainSelectedInstOperands,
     /*  434638 */     // GIR_Coverage, 3407,
     /*  434638 */     GIR_EraseRootFromParent_Done,
     /*  434639 */   // Label 7559: @434639
     /*  434639 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(434725), // Rule ID 3410 //
     /*  434644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434691 */     // MIs[1] Operand 1
     /*  434691 */     // No operand predicates
     /*  434691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434723 */     GIR_RootConstrainSelectedInstOperands,
     /*  434724 */     // GIR_Coverage, 3410,
     /*  434724 */     GIR_EraseRootFromParent_Done,
     /*  434725 */   // Label 7560: @434725
     /*  434725 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(434811), // Rule ID 3411 //
     /*  434730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434777 */     // MIs[1] Operand 1
     /*  434777 */     // No operand predicates
     /*  434777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434809 */     GIR_RootConstrainSelectedInstOperands,
     /*  434810 */     // GIR_Coverage, 3411,
     /*  434810 */     GIR_EraseRootFromParent_Done,
     /*  434811 */   // Label 7561: @434811
     /*  434811 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(434897), // Rule ID 3414 //
     /*  434816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434863 */     // MIs[1] Operand 1
     /*  434863 */     // No operand predicates
     /*  434863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434895 */     GIR_RootConstrainSelectedInstOperands,
     /*  434896 */     // GIR_Coverage, 3414,
     /*  434896 */     GIR_EraseRootFromParent_Done,
     /*  434897 */   // Label 7562: @434897
     /*  434897 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(434983), // Rule ID 3415 //
     /*  434902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434949 */     // MIs[1] Operand 1
     /*  434949 */     // No operand predicates
     /*  434949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434981 */     GIR_RootConstrainSelectedInstOperands,
     /*  434982 */     // GIR_Coverage, 3415,
     /*  434982 */     GIR_EraseRootFromParent_Done,
     /*  434983 */   // Label 7563: @434983
     /*  434983 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(435069), // Rule ID 3418 //
     /*  434988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435035 */     // MIs[1] Operand 1
     /*  435035 */     // No operand predicates
     /*  435035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435067 */     GIR_RootConstrainSelectedInstOperands,
     /*  435068 */     // GIR_Coverage, 3418,
     /*  435068 */     GIR_EraseRootFromParent_Done,
     /*  435069 */   // Label 7564: @435069
     /*  435069 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(435155), // Rule ID 3419 //
     /*  435074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435121 */     // MIs[1] Operand 1
     /*  435121 */     // No operand predicates
     /*  435121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435153 */     GIR_RootConstrainSelectedInstOperands,
     /*  435154 */     // GIR_Coverage, 3419,
     /*  435154 */     GIR_EraseRootFromParent_Done,
     /*  435155 */   // Label 7565: @435155
     /*  435155 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(435241), // Rule ID 3422 //
     /*  435160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435207 */     // MIs[1] Operand 1
     /*  435207 */     // No operand predicates
     /*  435207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435216 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435239 */     GIR_RootConstrainSelectedInstOperands,
     /*  435240 */     // GIR_Coverage, 3422,
     /*  435240 */     GIR_EraseRootFromParent_Done,
     /*  435241 */   // Label 7566: @435241
     /*  435241 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(435327), // Rule ID 3423 //
     /*  435246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435293 */     // MIs[1] Operand 1
     /*  435293 */     // No operand predicates
     /*  435293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435325 */     GIR_RootConstrainSelectedInstOperands,
     /*  435326 */     // GIR_Coverage, 3423,
     /*  435326 */     GIR_EraseRootFromParent_Done,
     /*  435327 */   // Label 7567: @435327
     /*  435327 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(435413), // Rule ID 3426 //
     /*  435332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435379 */     // MIs[1] Operand 1
     /*  435379 */     // No operand predicates
     /*  435379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435411 */     GIR_RootConstrainSelectedInstOperands,
     /*  435412 */     // GIR_Coverage, 3426,
     /*  435412 */     GIR_EraseRootFromParent_Done,
     /*  435413 */   // Label 7568: @435413
     /*  435413 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(435499), // Rule ID 3427 //
     /*  435418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435465 */     // MIs[1] Operand 1
     /*  435465 */     // No operand predicates
     /*  435465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435497 */     GIR_RootConstrainSelectedInstOperands,
     /*  435498 */     // GIR_Coverage, 3427,
     /*  435498 */     GIR_EraseRootFromParent_Done,
     /*  435499 */   // Label 7569: @435499
     /*  435499 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(435585), // Rule ID 3430 //
     /*  435504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435551 */     // MIs[1] Operand 1
     /*  435551 */     // No operand predicates
     /*  435551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435560 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435583 */     GIR_RootConstrainSelectedInstOperands,
     /*  435584 */     // GIR_Coverage, 3430,
     /*  435584 */     GIR_EraseRootFromParent_Done,
     /*  435585 */   // Label 7570: @435585
     /*  435585 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(435671), // Rule ID 3431 //
     /*  435590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435637 */     // MIs[1] Operand 1
     /*  435637 */     // No operand predicates
     /*  435637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435669 */     GIR_RootConstrainSelectedInstOperands,
     /*  435670 */     // GIR_Coverage, 3431,
     /*  435670 */     GIR_EraseRootFromParent_Done,
     /*  435671 */   // Label 7571: @435671
     /*  435671 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(435757), // Rule ID 3434 //
     /*  435676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435723 */     // MIs[1] Operand 1
     /*  435723 */     // No operand predicates
     /*  435723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435755 */     GIR_RootConstrainSelectedInstOperands,
     /*  435756 */     // GIR_Coverage, 3434,
     /*  435756 */     GIR_EraseRootFromParent_Done,
     /*  435757 */   // Label 7572: @435757
     /*  435757 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(435843), // Rule ID 3435 //
     /*  435762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435809 */     // MIs[1] Operand 1
     /*  435809 */     // No operand predicates
     /*  435809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435841 */     GIR_RootConstrainSelectedInstOperands,
     /*  435842 */     // GIR_Coverage, 3435,
     /*  435842 */     GIR_EraseRootFromParent_Done,
     /*  435843 */   // Label 7573: @435843
     /*  435843 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(435929), // Rule ID 3438 //
     /*  435848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435895 */     // MIs[1] Operand 1
     /*  435895 */     // No operand predicates
     /*  435895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435927 */     GIR_RootConstrainSelectedInstOperands,
     /*  435928 */     // GIR_Coverage, 3438,
     /*  435928 */     GIR_EraseRootFromParent_Done,
     /*  435929 */   // Label 7574: @435929
     /*  435929 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(436015), // Rule ID 3439 //
     /*  435934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435981 */     // MIs[1] Operand 1
     /*  435981 */     // No operand predicates
     /*  435981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436013 */     GIR_RootConstrainSelectedInstOperands,
     /*  436014 */     // GIR_Coverage, 3439,
     /*  436014 */     GIR_EraseRootFromParent_Done,
     /*  436015 */   // Label 7575: @436015
     /*  436015 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(436101), // Rule ID 3442 //
     /*  436020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436067 */     // MIs[1] Operand 1
     /*  436067 */     // No operand predicates
     /*  436067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436099 */     GIR_RootConstrainSelectedInstOperands,
     /*  436100 */     // GIR_Coverage, 3442,
     /*  436100 */     GIR_EraseRootFromParent_Done,
     /*  436101 */   // Label 7576: @436101
     /*  436101 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(436187), // Rule ID 3443 //
     /*  436106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436153 */     // MIs[1] Operand 1
     /*  436153 */     // No operand predicates
     /*  436153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436185 */     GIR_RootConstrainSelectedInstOperands,
     /*  436186 */     // GIR_Coverage, 3443,
     /*  436186 */     GIR_EraseRootFromParent_Done,
     /*  436187 */   // Label 7577: @436187
     /*  436187 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(436273), // Rule ID 3446 //
     /*  436192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436239 */     // MIs[1] Operand 1
     /*  436239 */     // No operand predicates
     /*  436239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436271 */     GIR_RootConstrainSelectedInstOperands,
     /*  436272 */     // GIR_Coverage, 3446,
     /*  436272 */     GIR_EraseRootFromParent_Done,
     /*  436273 */   // Label 7578: @436273
     /*  436273 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(436359), // Rule ID 3447 //
     /*  436278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436325 */     // MIs[1] Operand 1
     /*  436325 */     // No operand predicates
     /*  436325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436357 */     GIR_RootConstrainSelectedInstOperands,
     /*  436358 */     // GIR_Coverage, 3447,
     /*  436358 */     GIR_EraseRootFromParent_Done,
     /*  436359 */   // Label 7579: @436359
     /*  436359 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(436445), // Rule ID 3450 //
     /*  436364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436411 */     // MIs[1] Operand 1
     /*  436411 */     // No operand predicates
     /*  436411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436443 */     GIR_RootConstrainSelectedInstOperands,
     /*  436444 */     // GIR_Coverage, 3450,
     /*  436444 */     GIR_EraseRootFromParent_Done,
     /*  436445 */   // Label 7580: @436445
     /*  436445 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(436531), // Rule ID 3451 //
     /*  436450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436497 */     // MIs[1] Operand 1
     /*  436497 */     // No operand predicates
     /*  436497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436529 */     GIR_RootConstrainSelectedInstOperands,
     /*  436530 */     // GIR_Coverage, 3451,
     /*  436530 */     GIR_EraseRootFromParent_Done,
     /*  436531 */   // Label 7581: @436531
     /*  436531 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(436617), // Rule ID 3454 //
     /*  436536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436583 */     // MIs[1] Operand 1
     /*  436583 */     // No operand predicates
     /*  436583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436615 */     GIR_RootConstrainSelectedInstOperands,
     /*  436616 */     // GIR_Coverage, 3454,
     /*  436616 */     GIR_EraseRootFromParent_Done,
     /*  436617 */   // Label 7582: @436617
     /*  436617 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(436703), // Rule ID 3455 //
     /*  436622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436669 */     // MIs[1] Operand 1
     /*  436669 */     // No operand predicates
     /*  436669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436701 */     GIR_RootConstrainSelectedInstOperands,
     /*  436702 */     // GIR_Coverage, 3455,
     /*  436702 */     GIR_EraseRootFromParent_Done,
     /*  436703 */   // Label 7583: @436703
     /*  436703 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(436789), // Rule ID 3458 //
     /*  436708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436755 */     // MIs[1] Operand 1
     /*  436755 */     // No operand predicates
     /*  436755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436787 */     GIR_RootConstrainSelectedInstOperands,
     /*  436788 */     // GIR_Coverage, 3458,
     /*  436788 */     GIR_EraseRootFromParent_Done,
     /*  436789 */   // Label 7584: @436789
     /*  436789 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(436875), // Rule ID 3459 //
     /*  436794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436841 */     // MIs[1] Operand 1
     /*  436841 */     // No operand predicates
     /*  436841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436873 */     GIR_RootConstrainSelectedInstOperands,
     /*  436874 */     // GIR_Coverage, 3459,
     /*  436874 */     GIR_EraseRootFromParent_Done,
     /*  436875 */   // Label 7585: @436875
     /*  436875 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(436961), // Rule ID 3462 //
     /*  436880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436927 */     // MIs[1] Operand 1
     /*  436927 */     // No operand predicates
     /*  436927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436959 */     GIR_RootConstrainSelectedInstOperands,
     /*  436960 */     // GIR_Coverage, 3462,
     /*  436960 */     GIR_EraseRootFromParent_Done,
     /*  436961 */   // Label 7586: @436961
     /*  436961 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(437047), // Rule ID 3463 //
     /*  436966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437013 */     // MIs[1] Operand 1
     /*  437013 */     // No operand predicates
     /*  437013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  437025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437045 */     GIR_RootConstrainSelectedInstOperands,
     /*  437046 */     // GIR_Coverage, 3463,
     /*  437046 */     GIR_EraseRootFromParent_Done,
     /*  437047 */   // Label 7587: @437047
     /*  437047 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(437133), // Rule ID 3466 //
     /*  437052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437099 */     // MIs[1] Operand 1
     /*  437099 */     // No operand predicates
     /*  437099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437131 */     GIR_RootConstrainSelectedInstOperands,
     /*  437132 */     // GIR_Coverage, 3466,
     /*  437132 */     GIR_EraseRootFromParent_Done,
     /*  437133 */   // Label 7588: @437133
     /*  437133 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(437219), // Rule ID 3467 //
     /*  437138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437185 */     // MIs[1] Operand 1
     /*  437185 */     // No operand predicates
     /*  437185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437217 */     GIR_RootConstrainSelectedInstOperands,
     /*  437218 */     // GIR_Coverage, 3467,
     /*  437218 */     GIR_EraseRootFromParent_Done,
     /*  437219 */   // Label 7589: @437219
     /*  437219 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(437305), // Rule ID 5830 //
     /*  437224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437271 */     // MIs[1] Operand 1
     /*  437271 */     // No operand predicates
     /*  437271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  437283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437303 */     GIR_RootConstrainSelectedInstOperands,
     /*  437304 */     // GIR_Coverage, 5830,
     /*  437304 */     GIR_EraseRootFromParent_Done,
     /*  437305 */   // Label 7590: @437305
     /*  437305 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(437391), // Rule ID 5831 //
     /*  437310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437357 */     // MIs[1] Operand 1
     /*  437357 */     // No operand predicates
     /*  437357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  437369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437389 */     GIR_RootConstrainSelectedInstOperands,
     /*  437390 */     // GIR_Coverage, 5831,
     /*  437390 */     GIR_EraseRootFromParent_Done,
     /*  437391 */   // Label 7591: @437391
     /*  437391 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(437477), // Rule ID 5834 //
     /*  437396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437443 */     // MIs[1] Operand 1
     /*  437443 */     // No operand predicates
     /*  437443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437475 */     GIR_RootConstrainSelectedInstOperands,
     /*  437476 */     // GIR_Coverage, 5834,
     /*  437476 */     GIR_EraseRootFromParent_Done,
     /*  437477 */   // Label 7592: @437477
     /*  437477 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(437563), // Rule ID 5835 //
     /*  437482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437529 */     // MIs[1] Operand 1
     /*  437529 */     // No operand predicates
     /*  437529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437561 */     GIR_RootConstrainSelectedInstOperands,
     /*  437562 */     // GIR_Coverage, 5835,
     /*  437562 */     GIR_EraseRootFromParent_Done,
     /*  437563 */   // Label 7593: @437563
     /*  437563 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(437649), // Rule ID 5838 //
     /*  437568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437615 */     // MIs[1] Operand 1
     /*  437615 */     // No operand predicates
     /*  437615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437647 */     GIR_RootConstrainSelectedInstOperands,
     /*  437648 */     // GIR_Coverage, 5838,
     /*  437648 */     GIR_EraseRootFromParent_Done,
     /*  437649 */   // Label 7594: @437649
     /*  437649 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(437735), // Rule ID 5839 //
     /*  437654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437701 */     // MIs[1] Operand 1
     /*  437701 */     // No operand predicates
     /*  437701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437710 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437733 */     GIR_RootConstrainSelectedInstOperands,
     /*  437734 */     // GIR_Coverage, 5839,
     /*  437734 */     GIR_EraseRootFromParent_Done,
     /*  437735 */   // Label 7595: @437735
     /*  437735 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(437821), // Rule ID 5842 //
     /*  437740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437787 */     // MIs[1] Operand 1
     /*  437787 */     // No operand predicates
     /*  437787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437796 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437819 */     GIR_RootConstrainSelectedInstOperands,
     /*  437820 */     // GIR_Coverage, 5842,
     /*  437820 */     GIR_EraseRootFromParent_Done,
     /*  437821 */   // Label 7596: @437821
     /*  437821 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(437907), // Rule ID 5843 //
     /*  437826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437873 */     // MIs[1] Operand 1
     /*  437873 */     // No operand predicates
     /*  437873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437882 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437905 */     GIR_RootConstrainSelectedInstOperands,
     /*  437906 */     // GIR_Coverage, 5843,
     /*  437906 */     GIR_EraseRootFromParent_Done,
     /*  437907 */   // Label 7597: @437907
     /*  437907 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(437993), // Rule ID 5846 //
     /*  437912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  437923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  437926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437959 */     // MIs[1] Operand 1
     /*  437959 */     // No operand predicates
     /*  437959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437991 */     GIR_RootConstrainSelectedInstOperands,
     /*  437992 */     // GIR_Coverage, 5846,
     /*  437992 */     GIR_EraseRootFromParent_Done,
     /*  437993 */   // Label 7598: @437993
     /*  437993 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(438079), // Rule ID 5847 //
     /*  437998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438045 */     // MIs[1] Operand 1
     /*  438045 */     // No operand predicates
     /*  438045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438077 */     GIR_RootConstrainSelectedInstOperands,
     /*  438078 */     // GIR_Coverage, 5847,
     /*  438078 */     GIR_EraseRootFromParent_Done,
     /*  438079 */   // Label 7599: @438079
     /*  438079 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(438165), // Rule ID 5850 //
     /*  438084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438131 */     // MIs[1] Operand 1
     /*  438131 */     // No operand predicates
     /*  438131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438163 */     GIR_RootConstrainSelectedInstOperands,
     /*  438164 */     // GIR_Coverage, 5850,
     /*  438164 */     GIR_EraseRootFromParent_Done,
     /*  438165 */   // Label 7600: @438165
     /*  438165 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(438251), // Rule ID 5851 //
     /*  438170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438217 */     // MIs[1] Operand 1
     /*  438217 */     // No operand predicates
     /*  438217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438249 */     GIR_RootConstrainSelectedInstOperands,
     /*  438250 */     // GIR_Coverage, 5851,
     /*  438250 */     GIR_EraseRootFromParent_Done,
     /*  438251 */   // Label 7601: @438251
     /*  438251 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(438337), // Rule ID 5854 //
     /*  438256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438303 */     // MIs[1] Operand 1
     /*  438303 */     // No operand predicates
     /*  438303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438335 */     GIR_RootConstrainSelectedInstOperands,
     /*  438336 */     // GIR_Coverage, 5854,
     /*  438336 */     GIR_EraseRootFromParent_Done,
     /*  438337 */   // Label 7602: @438337
     /*  438337 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(438423), // Rule ID 5855 //
     /*  438342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438389 */     // MIs[1] Operand 1
     /*  438389 */     // No operand predicates
     /*  438389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438421 */     GIR_RootConstrainSelectedInstOperands,
     /*  438422 */     // GIR_Coverage, 5855,
     /*  438422 */     GIR_EraseRootFromParent_Done,
     /*  438423 */   // Label 7603: @438423
     /*  438423 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(438509), // Rule ID 5858 //
     /*  438428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438475 */     // MIs[1] Operand 1
     /*  438475 */     // No operand predicates
     /*  438475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438507 */     GIR_RootConstrainSelectedInstOperands,
     /*  438508 */     // GIR_Coverage, 5858,
     /*  438508 */     GIR_EraseRootFromParent_Done,
     /*  438509 */   // Label 7604: @438509
     /*  438509 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(438595), // Rule ID 5859 //
     /*  438514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438561 */     // MIs[1] Operand 1
     /*  438561 */     // No operand predicates
     /*  438561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438593 */     GIR_RootConstrainSelectedInstOperands,
     /*  438594 */     // GIR_Coverage, 5859,
     /*  438594 */     GIR_EraseRootFromParent_Done,
     /*  438595 */   // Label 7605: @438595
     /*  438595 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(438681), // Rule ID 5862 //
     /*  438600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438647 */     // MIs[1] Operand 1
     /*  438647 */     // No operand predicates
     /*  438647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438679 */     GIR_RootConstrainSelectedInstOperands,
     /*  438680 */     // GIR_Coverage, 5862,
     /*  438680 */     GIR_EraseRootFromParent_Done,
     /*  438681 */   // Label 7606: @438681
     /*  438681 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(438767), // Rule ID 5863 //
     /*  438686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438733 */     // MIs[1] Operand 1
     /*  438733 */     // No operand predicates
     /*  438733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438765 */     GIR_RootConstrainSelectedInstOperands,
     /*  438766 */     // GIR_Coverage, 5863,
     /*  438766 */     GIR_EraseRootFromParent_Done,
     /*  438767 */   // Label 7607: @438767
     /*  438767 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(438853), // Rule ID 5866 //
     /*  438772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438819 */     // MIs[1] Operand 1
     /*  438819 */     // No operand predicates
     /*  438819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438851 */     GIR_RootConstrainSelectedInstOperands,
     /*  438852 */     // GIR_Coverage, 5866,
     /*  438852 */     GIR_EraseRootFromParent_Done,
     /*  438853 */   // Label 7608: @438853
     /*  438853 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(438939), // Rule ID 5867 //
     /*  438858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438905 */     // MIs[1] Operand 1
     /*  438905 */     // No operand predicates
     /*  438905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438937 */     GIR_RootConstrainSelectedInstOperands,
     /*  438938 */     // GIR_Coverage, 5867,
     /*  438938 */     GIR_EraseRootFromParent_Done,
     /*  438939 */   // Label 7609: @438939
     /*  438939 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(439025), // Rule ID 5870 //
     /*  438944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  438955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  438958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  438961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438991 */     // MIs[1] Operand 1
     /*  438991 */     // No operand predicates
     /*  438991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439000 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439023 */     GIR_RootConstrainSelectedInstOperands,
     /*  439024 */     // GIR_Coverage, 5870,
     /*  439024 */     GIR_EraseRootFromParent_Done,
     /*  439025 */   // Label 7610: @439025
     /*  439025 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(439111), // Rule ID 5871 //
     /*  439030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439077 */     // MIs[1] Operand 1
     /*  439077 */     // No operand predicates
     /*  439077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439109 */     GIR_RootConstrainSelectedInstOperands,
     /*  439110 */     // GIR_Coverage, 5871,
     /*  439110 */     GIR_EraseRootFromParent_Done,
     /*  439111 */   // Label 7611: @439111
     /*  439111 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(439197), // Rule ID 5874 //
     /*  439116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439163 */     // MIs[1] Operand 1
     /*  439163 */     // No operand predicates
     /*  439163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439195 */     GIR_RootConstrainSelectedInstOperands,
     /*  439196 */     // GIR_Coverage, 5874,
     /*  439196 */     GIR_EraseRootFromParent_Done,
     /*  439197 */   // Label 7612: @439197
     /*  439197 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(439283), // Rule ID 5875 //
     /*  439202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439249 */     // MIs[1] Operand 1
     /*  439249 */     // No operand predicates
     /*  439249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439281 */     GIR_RootConstrainSelectedInstOperands,
     /*  439282 */     // GIR_Coverage, 5875,
     /*  439282 */     GIR_EraseRootFromParent_Done,
     /*  439283 */   // Label 7613: @439283
     /*  439283 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(439369), // Rule ID 5878 //
     /*  439288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439335 */     // MIs[1] Operand 1
     /*  439335 */     // No operand predicates
     /*  439335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439344 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439367 */     GIR_RootConstrainSelectedInstOperands,
     /*  439368 */     // GIR_Coverage, 5878,
     /*  439368 */     GIR_EraseRootFromParent_Done,
     /*  439369 */   // Label 7614: @439369
     /*  439369 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(439455), // Rule ID 5879 //
     /*  439374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439421 */     // MIs[1] Operand 1
     /*  439421 */     // No operand predicates
     /*  439421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439453 */     GIR_RootConstrainSelectedInstOperands,
     /*  439454 */     // GIR_Coverage, 5879,
     /*  439454 */     GIR_EraseRootFromParent_Done,
     /*  439455 */   // Label 7615: @439455
     /*  439455 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(439541), // Rule ID 5882 //
     /*  439460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439507 */     // MIs[1] Operand 1
     /*  439507 */     // No operand predicates
     /*  439507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439539 */     GIR_RootConstrainSelectedInstOperands,
     /*  439540 */     // GIR_Coverage, 5882,
     /*  439540 */     GIR_EraseRootFromParent_Done,
     /*  439541 */   // Label 7616: @439541
     /*  439541 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(439627), // Rule ID 5883 //
     /*  439546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439593 */     // MIs[1] Operand 1
     /*  439593 */     // No operand predicates
     /*  439593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439625 */     GIR_RootConstrainSelectedInstOperands,
     /*  439626 */     // GIR_Coverage, 5883,
     /*  439626 */     GIR_EraseRootFromParent_Done,
     /*  439627 */   // Label 7617: @439627
     /*  439627 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(439713), // Rule ID 5886 //
     /*  439632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439679 */     // MIs[1] Operand 1
     /*  439679 */     // No operand predicates
     /*  439679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439711 */     GIR_RootConstrainSelectedInstOperands,
     /*  439712 */     // GIR_Coverage, 5886,
     /*  439712 */     GIR_EraseRootFromParent_Done,
     /*  439713 */   // Label 7618: @439713
     /*  439713 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(439799), // Rule ID 5887 //
     /*  439718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439765 */     // MIs[1] Operand 1
     /*  439765 */     // No operand predicates
     /*  439765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439797 */     GIR_RootConstrainSelectedInstOperands,
     /*  439798 */     // GIR_Coverage, 5887,
     /*  439798 */     GIR_EraseRootFromParent_Done,
     /*  439799 */   // Label 7619: @439799
     /*  439799 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(439885), // Rule ID 5890 //
     /*  439804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439851 */     // MIs[1] Operand 1
     /*  439851 */     // No operand predicates
     /*  439851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439883 */     GIR_RootConstrainSelectedInstOperands,
     /*  439884 */     // GIR_Coverage, 5890,
     /*  439884 */     GIR_EraseRootFromParent_Done,
     /*  439885 */   // Label 7620: @439885
     /*  439885 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(439971), // Rule ID 5891 //
     /*  439890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439937 */     // MIs[1] Operand 1
     /*  439937 */     // No operand predicates
     /*  439937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439969 */     GIR_RootConstrainSelectedInstOperands,
     /*  439970 */     // GIR_Coverage, 5891,
     /*  439970 */     GIR_EraseRootFromParent_Done,
     /*  439971 */   // Label 7621: @439971
     /*  439971 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(440057), // Rule ID 5894 //
     /*  439976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440023 */     // MIs[1] Operand 1
     /*  440023 */     // No operand predicates
     /*  440023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440055 */     GIR_RootConstrainSelectedInstOperands,
     /*  440056 */     // GIR_Coverage, 5894,
     /*  440056 */     GIR_EraseRootFromParent_Done,
     /*  440057 */   // Label 7622: @440057
     /*  440057 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(440143), // Rule ID 5895 //
     /*  440062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440109 */     // MIs[1] Operand 1
     /*  440109 */     // No operand predicates
     /*  440109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440141 */     GIR_RootConstrainSelectedInstOperands,
     /*  440142 */     // GIR_Coverage, 5895,
     /*  440142 */     GIR_EraseRootFromParent_Done,
     /*  440143 */   // Label 7623: @440143
     /*  440143 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(440229), // Rule ID 5898 //
     /*  440148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440195 */     // MIs[1] Operand 1
     /*  440195 */     // No operand predicates
     /*  440195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440227 */     GIR_RootConstrainSelectedInstOperands,
     /*  440228 */     // GIR_Coverage, 5898,
     /*  440228 */     GIR_EraseRootFromParent_Done,
     /*  440229 */   // Label 7624: @440229
     /*  440229 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(440315), // Rule ID 5899 //
     /*  440234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440281 */     // MIs[1] Operand 1
     /*  440281 */     // No operand predicates
     /*  440281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440313 */     GIR_RootConstrainSelectedInstOperands,
     /*  440314 */     // GIR_Coverage, 5899,
     /*  440314 */     GIR_EraseRootFromParent_Done,
     /*  440315 */   // Label 7625: @440315
     /*  440315 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(440401), // Rule ID 5902 //
     /*  440320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440367 */     // MIs[1] Operand 1
     /*  440367 */     // No operand predicates
     /*  440367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440399 */     GIR_RootConstrainSelectedInstOperands,
     /*  440400 */     // GIR_Coverage, 5902,
     /*  440400 */     GIR_EraseRootFromParent_Done,
     /*  440401 */   // Label 7626: @440401
     /*  440401 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(440487), // Rule ID 5903 //
     /*  440406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440453 */     // MIs[1] Operand 1
     /*  440453 */     // No operand predicates
     /*  440453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440485 */     GIR_RootConstrainSelectedInstOperands,
     /*  440486 */     // GIR_Coverage, 5903,
     /*  440486 */     GIR_EraseRootFromParent_Done,
     /*  440487 */   // Label 7627: @440487
     /*  440487 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(440573), // Rule ID 5906 //
     /*  440492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440539 */     // MIs[1] Operand 1
     /*  440539 */     // No operand predicates
     /*  440539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440571 */     GIR_RootConstrainSelectedInstOperands,
     /*  440572 */     // GIR_Coverage, 5906,
     /*  440572 */     GIR_EraseRootFromParent_Done,
     /*  440573 */   // Label 7628: @440573
     /*  440573 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(440659), // Rule ID 5907 //
     /*  440578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440625 */     // MIs[1] Operand 1
     /*  440625 */     // No operand predicates
     /*  440625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440657 */     GIR_RootConstrainSelectedInstOperands,
     /*  440658 */     // GIR_Coverage, 5907,
     /*  440658 */     GIR_EraseRootFromParent_Done,
     /*  440659 */   // Label 7629: @440659
     /*  440659 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(440745), // Rule ID 5910 //
     /*  440664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440711 */     // MIs[1] Operand 1
     /*  440711 */     // No operand predicates
     /*  440711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440743 */     GIR_RootConstrainSelectedInstOperands,
     /*  440744 */     // GIR_Coverage, 5910,
     /*  440744 */     GIR_EraseRootFromParent_Done,
     /*  440745 */   // Label 7630: @440745
     /*  440745 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(440831), // Rule ID 5911 //
     /*  440750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440797 */     // MIs[1] Operand 1
     /*  440797 */     // No operand predicates
     /*  440797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440829 */     GIR_RootConstrainSelectedInstOperands,
     /*  440830 */     // GIR_Coverage, 5911,
     /*  440830 */     GIR_EraseRootFromParent_Done,
     /*  440831 */   // Label 7631: @440831
     /*  440831 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(440917), // Rule ID 5914 //
     /*  440836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440883 */     // MIs[1] Operand 1
     /*  440883 */     // No operand predicates
     /*  440883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440892 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440915 */     GIR_RootConstrainSelectedInstOperands,
     /*  440916 */     // GIR_Coverage, 5914,
     /*  440916 */     GIR_EraseRootFromParent_Done,
     /*  440917 */   // Label 7632: @440917
     /*  440917 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(441003), // Rule ID 5915 //
     /*  440922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440969 */     // MIs[1] Operand 1
     /*  440969 */     // No operand predicates
     /*  440969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441001 */     GIR_RootConstrainSelectedInstOperands,
     /*  441002 */     // GIR_Coverage, 5915,
     /*  441002 */     GIR_EraseRootFromParent_Done,
     /*  441003 */   // Label 7633: @441003
     /*  441003 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(441089), // Rule ID 6094 //
     /*  441008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441055 */     // MIs[1] Operand 1
     /*  441055 */     // No operand predicates
     /*  441055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441064 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  441067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441087 */     GIR_RootConstrainSelectedInstOperands,
     /*  441088 */     // GIR_Coverage, 6094,
     /*  441088 */     GIR_EraseRootFromParent_Done,
     /*  441089 */   // Label 7634: @441089
     /*  441089 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(441175), // Rule ID 6095 //
     /*  441094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441141 */     // MIs[1] Operand 1
     /*  441141 */     // No operand predicates
     /*  441141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441150 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  441153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441173 */     GIR_RootConstrainSelectedInstOperands,
     /*  441174 */     // GIR_Coverage, 6095,
     /*  441174 */     GIR_EraseRootFromParent_Done,
     /*  441175 */   // Label 7635: @441175
     /*  441175 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(441261), // Rule ID 6098 //
     /*  441180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441227 */     // MIs[1] Operand 1
     /*  441227 */     // No operand predicates
     /*  441227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441236 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441259 */     GIR_RootConstrainSelectedInstOperands,
     /*  441260 */     // GIR_Coverage, 6098,
     /*  441260 */     GIR_EraseRootFromParent_Done,
     /*  441261 */   // Label 7636: @441261
     /*  441261 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(441347), // Rule ID 6099 //
     /*  441266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441313 */     // MIs[1] Operand 1
     /*  441313 */     // No operand predicates
     /*  441313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441345 */     GIR_RootConstrainSelectedInstOperands,
     /*  441346 */     // GIR_Coverage, 6099,
     /*  441346 */     GIR_EraseRootFromParent_Done,
     /*  441347 */   // Label 7637: @441347
     /*  441347 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(441433), // Rule ID 6102 //
     /*  441352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441399 */     // MIs[1] Operand 1
     /*  441399 */     // No operand predicates
     /*  441399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441431 */     GIR_RootConstrainSelectedInstOperands,
     /*  441432 */     // GIR_Coverage, 6102,
     /*  441432 */     GIR_EraseRootFromParent_Done,
     /*  441433 */   // Label 7638: @441433
     /*  441433 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(441519), // Rule ID 6103 //
     /*  441438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441485 */     // MIs[1] Operand 1
     /*  441485 */     // No operand predicates
     /*  441485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441494 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441517 */     GIR_RootConstrainSelectedInstOperands,
     /*  441518 */     // GIR_Coverage, 6103,
     /*  441518 */     GIR_EraseRootFromParent_Done,
     /*  441519 */   // Label 7639: @441519
     /*  441519 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(441605), // Rule ID 6106 //
     /*  441524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441571 */     // MIs[1] Operand 1
     /*  441571 */     // No operand predicates
     /*  441571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441580 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441603 */     GIR_RootConstrainSelectedInstOperands,
     /*  441604 */     // GIR_Coverage, 6106,
     /*  441604 */     GIR_EraseRootFromParent_Done,
     /*  441605 */   // Label 7640: @441605
     /*  441605 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(441691), // Rule ID 6107 //
     /*  441610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441657 */     // MIs[1] Operand 1
     /*  441657 */     // No operand predicates
     /*  441657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441689 */     GIR_RootConstrainSelectedInstOperands,
     /*  441690 */     // GIR_Coverage, 6107,
     /*  441690 */     GIR_EraseRootFromParent_Done,
     /*  441691 */   // Label 7641: @441691
     /*  441691 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(441777), // Rule ID 6110 //
     /*  441696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441743 */     // MIs[1] Operand 1
     /*  441743 */     // No operand predicates
     /*  441743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441775 */     GIR_RootConstrainSelectedInstOperands,
     /*  441776 */     // GIR_Coverage, 6110,
     /*  441776 */     GIR_EraseRootFromParent_Done,
     /*  441777 */   // Label 7642: @441777
     /*  441777 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(441863), // Rule ID 6111 //
     /*  441782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441829 */     // MIs[1] Operand 1
     /*  441829 */     // No operand predicates
     /*  441829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441838 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441861 */     GIR_RootConstrainSelectedInstOperands,
     /*  441862 */     // GIR_Coverage, 6111,
     /*  441862 */     GIR_EraseRootFromParent_Done,
     /*  441863 */   // Label 7643: @441863
     /*  441863 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(441949), // Rule ID 6114 //
     /*  441868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441915 */     // MIs[1] Operand 1
     /*  441915 */     // No operand predicates
     /*  441915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441947 */     GIR_RootConstrainSelectedInstOperands,
     /*  441948 */     // GIR_Coverage, 6114,
     /*  441948 */     GIR_EraseRootFromParent_Done,
     /*  441949 */   // Label 7644: @441949
     /*  441949 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(442035), // Rule ID 6115 //
     /*  441954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442001 */     // MIs[1] Operand 1
     /*  442001 */     // No operand predicates
     /*  442001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442033 */     GIR_RootConstrainSelectedInstOperands,
     /*  442034 */     // GIR_Coverage, 6115,
     /*  442034 */     GIR_EraseRootFromParent_Done,
     /*  442035 */   // Label 7645: @442035
     /*  442035 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(442121), // Rule ID 6118 //
     /*  442040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442087 */     // MIs[1] Operand 1
     /*  442087 */     // No operand predicates
     /*  442087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442119 */     GIR_RootConstrainSelectedInstOperands,
     /*  442120 */     // GIR_Coverage, 6118,
     /*  442120 */     GIR_EraseRootFromParent_Done,
     /*  442121 */   // Label 7646: @442121
     /*  442121 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(442207), // Rule ID 6119 //
     /*  442126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442173 */     // MIs[1] Operand 1
     /*  442173 */     // No operand predicates
     /*  442173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442182 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442205 */     GIR_RootConstrainSelectedInstOperands,
     /*  442206 */     // GIR_Coverage, 6119,
     /*  442206 */     GIR_EraseRootFromParent_Done,
     /*  442207 */   // Label 7647: @442207
     /*  442207 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(442293), // Rule ID 6122 //
     /*  442212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442259 */     // MIs[1] Operand 1
     /*  442259 */     // No operand predicates
     /*  442259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442291 */     GIR_RootConstrainSelectedInstOperands,
     /*  442292 */     // GIR_Coverage, 6122,
     /*  442292 */     GIR_EraseRootFromParent_Done,
     /*  442293 */   // Label 7648: @442293
     /*  442293 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(442379), // Rule ID 6123 //
     /*  442298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442345 */     // MIs[1] Operand 1
     /*  442345 */     // No operand predicates
     /*  442345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442377 */     GIR_RootConstrainSelectedInstOperands,
     /*  442378 */     // GIR_Coverage, 6123,
     /*  442378 */     GIR_EraseRootFromParent_Done,
     /*  442379 */   // Label 7649: @442379
     /*  442379 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(442465), // Rule ID 6126 //
     /*  442384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442431 */     // MIs[1] Operand 1
     /*  442431 */     // No operand predicates
     /*  442431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442463 */     GIR_RootConstrainSelectedInstOperands,
     /*  442464 */     // GIR_Coverage, 6126,
     /*  442464 */     GIR_EraseRootFromParent_Done,
     /*  442465 */   // Label 7650: @442465
     /*  442465 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(442551), // Rule ID 6127 //
     /*  442470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442517 */     // MIs[1] Operand 1
     /*  442517 */     // No operand predicates
     /*  442517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442549 */     GIR_RootConstrainSelectedInstOperands,
     /*  442550 */     // GIR_Coverage, 6127,
     /*  442550 */     GIR_EraseRootFromParent_Done,
     /*  442551 */   // Label 7651: @442551
     /*  442551 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(442637), // Rule ID 6130 //
     /*  442556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442603 */     // MIs[1] Operand 1
     /*  442603 */     // No operand predicates
     /*  442603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442635 */     GIR_RootConstrainSelectedInstOperands,
     /*  442636 */     // GIR_Coverage, 6130,
     /*  442636 */     GIR_EraseRootFromParent_Done,
     /*  442637 */   // Label 7652: @442637
     /*  442637 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(442723), // Rule ID 6131 //
     /*  442642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  442645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442689 */     // MIs[1] Operand 1
     /*  442689 */     // No operand predicates
     /*  442689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442698 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442721 */     GIR_RootConstrainSelectedInstOperands,
     /*  442722 */     // GIR_Coverage, 6131,
     /*  442722 */     GIR_EraseRootFromParent_Done,
     /*  442723 */   // Label 7653: @442723
     /*  442723 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(442809), // Rule ID 6134 //
     /*  442728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442775 */     // MIs[1] Operand 1
     /*  442775 */     // No operand predicates
     /*  442775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442807 */     GIR_RootConstrainSelectedInstOperands,
     /*  442808 */     // GIR_Coverage, 6134,
     /*  442808 */     GIR_EraseRootFromParent_Done,
     /*  442809 */   // Label 7654: @442809
     /*  442809 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(442895), // Rule ID 6135 //
     /*  442814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442861 */     // MIs[1] Operand 1
     /*  442861 */     // No operand predicates
     /*  442861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442893 */     GIR_RootConstrainSelectedInstOperands,
     /*  442894 */     // GIR_Coverage, 6135,
     /*  442894 */     GIR_EraseRootFromParent_Done,
     /*  442895 */   // Label 7655: @442895
     /*  442895 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(442981), // Rule ID 6138 //
     /*  442900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  442914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  442917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442947 */     // MIs[1] Operand 1
     /*  442947 */     // No operand predicates
     /*  442947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442979 */     GIR_RootConstrainSelectedInstOperands,
     /*  442980 */     // GIR_Coverage, 6138,
     /*  442980 */     GIR_EraseRootFromParent_Done,
     /*  442981 */   // Label 7656: @442981
     /*  442981 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(443067), // Rule ID 6139 //
     /*  442986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443033 */     // MIs[1] Operand 1
     /*  443033 */     // No operand predicates
     /*  443033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443065 */     GIR_RootConstrainSelectedInstOperands,
     /*  443066 */     // GIR_Coverage, 6139,
     /*  443066 */     GIR_EraseRootFromParent_Done,
     /*  443067 */   // Label 7657: @443067
     /*  443067 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(443153), // Rule ID 6142 //
     /*  443072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443119 */     // MIs[1] Operand 1
     /*  443119 */     // No operand predicates
     /*  443119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443128 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443151 */     GIR_RootConstrainSelectedInstOperands,
     /*  443152 */     // GIR_Coverage, 6142,
     /*  443152 */     GIR_EraseRootFromParent_Done,
     /*  443153 */   // Label 7658: @443153
     /*  443153 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(443239), // Rule ID 6143 //
     /*  443158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443205 */     // MIs[1] Operand 1
     /*  443205 */     // No operand predicates
     /*  443205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443237 */     GIR_RootConstrainSelectedInstOperands,
     /*  443238 */     // GIR_Coverage, 6143,
     /*  443238 */     GIR_EraseRootFromParent_Done,
     /*  443239 */   // Label 7659: @443239
     /*  443239 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(443325), // Rule ID 6146 //
     /*  443244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443291 */     // MIs[1] Operand 1
     /*  443291 */     // No operand predicates
     /*  443291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443300 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443323 */     GIR_RootConstrainSelectedInstOperands,
     /*  443324 */     // GIR_Coverage, 6146,
     /*  443324 */     GIR_EraseRootFromParent_Done,
     /*  443325 */   // Label 7660: @443325
     /*  443325 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(443411), // Rule ID 6147 //
     /*  443330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443377 */     // MIs[1] Operand 1
     /*  443377 */     // No operand predicates
     /*  443377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443409 */     GIR_RootConstrainSelectedInstOperands,
     /*  443410 */     // GIR_Coverage, 6147,
     /*  443410 */     GIR_EraseRootFromParent_Done,
     /*  443411 */   // Label 7661: @443411
     /*  443411 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(443497), // Rule ID 6150 //
     /*  443416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443463 */     // MIs[1] Operand 1
     /*  443463 */     // No operand predicates
     /*  443463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443495 */     GIR_RootConstrainSelectedInstOperands,
     /*  443496 */     // GIR_Coverage, 6150,
     /*  443496 */     GIR_EraseRootFromParent_Done,
     /*  443497 */   // Label 7662: @443497
     /*  443497 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(443583), // Rule ID 6151 //
     /*  443502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443549 */     // MIs[1] Operand 1
     /*  443549 */     // No operand predicates
     /*  443549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443581 */     GIR_RootConstrainSelectedInstOperands,
     /*  443582 */     // GIR_Coverage, 6151,
     /*  443582 */     GIR_EraseRootFromParent_Done,
     /*  443583 */   // Label 7663: @443583
     /*  443583 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(443669), // Rule ID 6154 //
     /*  443588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443635 */     // MIs[1] Operand 1
     /*  443635 */     // No operand predicates
     /*  443635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443644 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443667 */     GIR_RootConstrainSelectedInstOperands,
     /*  443668 */     // GIR_Coverage, 6154,
     /*  443668 */     GIR_EraseRootFromParent_Done,
     /*  443669 */   // Label 7664: @443669
     /*  443669 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(443755), // Rule ID 6155 //
     /*  443674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443721 */     // MIs[1] Operand 1
     /*  443721 */     // No operand predicates
     /*  443721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443730 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443753 */     GIR_RootConstrainSelectedInstOperands,
     /*  443754 */     // GIR_Coverage, 6155,
     /*  443754 */     GIR_EraseRootFromParent_Done,
     /*  443755 */   // Label 7665: @443755
     /*  443755 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(443841), // Rule ID 6158 //
     /*  443760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443807 */     // MIs[1] Operand 1
     /*  443807 */     // No operand predicates
     /*  443807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443839 */     GIR_RootConstrainSelectedInstOperands,
     /*  443840 */     // GIR_Coverage, 6158,
     /*  443840 */     GIR_EraseRootFromParent_Done,
     /*  443841 */   // Label 7666: @443841
     /*  443841 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(443927), // Rule ID 6159 //
     /*  443846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443893 */     // MIs[1] Operand 1
     /*  443893 */     // No operand predicates
     /*  443893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443925 */     GIR_RootConstrainSelectedInstOperands,
     /*  443926 */     // GIR_Coverage, 6159,
     /*  443926 */     GIR_EraseRootFromParent_Done,
     /*  443927 */   // Label 7667: @443927
     /*  443927 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(444013), // Rule ID 6162 //
     /*  443932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443979 */     // MIs[1] Operand 1
     /*  443979 */     // No operand predicates
     /*  443979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443988 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444011 */     GIR_RootConstrainSelectedInstOperands,
     /*  444012 */     // GIR_Coverage, 6162,
     /*  444012 */     GIR_EraseRootFromParent_Done,
     /*  444013 */   // Label 7668: @444013
     /*  444013 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(444099), // Rule ID 6163 //
     /*  444018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444065 */     // MIs[1] Operand 1
     /*  444065 */     // No operand predicates
     /*  444065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444097 */     GIR_RootConstrainSelectedInstOperands,
     /*  444098 */     // GIR_Coverage, 6163,
     /*  444098 */     GIR_EraseRootFromParent_Done,
     /*  444099 */   // Label 7669: @444099
     /*  444099 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(444185), // Rule ID 6166 //
     /*  444104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444151 */     // MIs[1] Operand 1
     /*  444151 */     // No operand predicates
     /*  444151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444160 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444183 */     GIR_RootConstrainSelectedInstOperands,
     /*  444184 */     // GIR_Coverage, 6166,
     /*  444184 */     GIR_EraseRootFromParent_Done,
     /*  444185 */   // Label 7670: @444185
     /*  444185 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(444271), // Rule ID 6167 //
     /*  444190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444237 */     // MIs[1] Operand 1
     /*  444237 */     // No operand predicates
     /*  444237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444269 */     GIR_RootConstrainSelectedInstOperands,
     /*  444270 */     // GIR_Coverage, 6167,
     /*  444270 */     GIR_EraseRootFromParent_Done,
     /*  444271 */   // Label 7671: @444271
     /*  444271 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(444357), // Rule ID 6170 //
     /*  444276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444323 */     // MIs[1] Operand 1
     /*  444323 */     // No operand predicates
     /*  444323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444355 */     GIR_RootConstrainSelectedInstOperands,
     /*  444356 */     // GIR_Coverage, 6170,
     /*  444356 */     GIR_EraseRootFromParent_Done,
     /*  444357 */   // Label 7672: @444357
     /*  444357 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(444443), // Rule ID 6171 //
     /*  444362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444409 */     // MIs[1] Operand 1
     /*  444409 */     // No operand predicates
     /*  444409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444441 */     GIR_RootConstrainSelectedInstOperands,
     /*  444442 */     // GIR_Coverage, 6171,
     /*  444442 */     GIR_EraseRootFromParent_Done,
     /*  444443 */   // Label 7673: @444443
     /*  444443 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(444529), // Rule ID 6174 //
     /*  444448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444495 */     // MIs[1] Operand 1
     /*  444495 */     // No operand predicates
     /*  444495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444527 */     GIR_RootConstrainSelectedInstOperands,
     /*  444528 */     // GIR_Coverage, 6174,
     /*  444528 */     GIR_EraseRootFromParent_Done,
     /*  444529 */   // Label 7674: @444529
     /*  444529 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(444615), // Rule ID 6175 //
     /*  444534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444581 */     // MIs[1] Operand 1
     /*  444581 */     // No operand predicates
     /*  444581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444613 */     GIR_RootConstrainSelectedInstOperands,
     /*  444614 */     // GIR_Coverage, 6175,
     /*  444614 */     GIR_EraseRootFromParent_Done,
     /*  444615 */   // Label 7675: @444615
     /*  444615 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(444701), // Rule ID 6178 //
     /*  444620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444667 */     // MIs[1] Operand 1
     /*  444667 */     // No operand predicates
     /*  444667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444699 */     GIR_RootConstrainSelectedInstOperands,
     /*  444700 */     // GIR_Coverage, 6178,
     /*  444700 */     GIR_EraseRootFromParent_Done,
     /*  444701 */   // Label 7676: @444701
     /*  444701 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(444787), // Rule ID 6179 //
     /*  444706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444753 */     // MIs[1] Operand 1
     /*  444753 */     // No operand predicates
     /*  444753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444785 */     GIR_RootConstrainSelectedInstOperands,
     /*  444786 */     // GIR_Coverage, 6179,
     /*  444786 */     GIR_EraseRootFromParent_Done,
     /*  444787 */   // Label 7677: @444787
     /*  444787 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(444873), // Rule ID 6358 //
     /*  444792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444839 */     // MIs[1] Operand 1
     /*  444839 */     // No operand predicates
     /*  444839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444871 */     GIR_RootConstrainSelectedInstOperands,
     /*  444872 */     // GIR_Coverage, 6358,
     /*  444872 */     GIR_EraseRootFromParent_Done,
     /*  444873 */   // Label 7678: @444873
     /*  444873 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(444959), // Rule ID 6359 //
     /*  444878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444925 */     // MIs[1] Operand 1
     /*  444925 */     // No operand predicates
     /*  444925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444957 */     GIR_RootConstrainSelectedInstOperands,
     /*  444958 */     // GIR_Coverage, 6359,
     /*  444958 */     GIR_EraseRootFromParent_Done,
     /*  444959 */   // Label 7679: @444959
     /*  444959 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(445045), // Rule ID 6362 //
     /*  444964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  444975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  444978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  444981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445011 */     // MIs[1] Operand 1
     /*  445011 */     // No operand predicates
     /*  445011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445020 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445043 */     GIR_RootConstrainSelectedInstOperands,
     /*  445044 */     // GIR_Coverage, 6362,
     /*  445044 */     GIR_EraseRootFromParent_Done,
     /*  445045 */   // Label 7680: @445045
     /*  445045 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(445131), // Rule ID 6363 //
     /*  445050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445097 */     // MIs[1] Operand 1
     /*  445097 */     // No operand predicates
     /*  445097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445106 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445129 */     GIR_RootConstrainSelectedInstOperands,
     /*  445130 */     // GIR_Coverage, 6363,
     /*  445130 */     GIR_EraseRootFromParent_Done,
     /*  445131 */   // Label 7681: @445131
     /*  445131 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(445217), // Rule ID 6366 //
     /*  445136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445183 */     // MIs[1] Operand 1
     /*  445183 */     // No operand predicates
     /*  445183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445215 */     GIR_RootConstrainSelectedInstOperands,
     /*  445216 */     // GIR_Coverage, 6366,
     /*  445216 */     GIR_EraseRootFromParent_Done,
     /*  445217 */   // Label 7682: @445217
     /*  445217 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(445303), // Rule ID 6367 //
     /*  445222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445269 */     // MIs[1] Operand 1
     /*  445269 */     // No operand predicates
     /*  445269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445301 */     GIR_RootConstrainSelectedInstOperands,
     /*  445302 */     // GIR_Coverage, 6367,
     /*  445302 */     GIR_EraseRootFromParent_Done,
     /*  445303 */   // Label 7683: @445303
     /*  445303 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(445389), // Rule ID 6370 //
     /*  445308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445355 */     // MIs[1] Operand 1
     /*  445355 */     // No operand predicates
     /*  445355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445364 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445387 */     GIR_RootConstrainSelectedInstOperands,
     /*  445388 */     // GIR_Coverage, 6370,
     /*  445388 */     GIR_EraseRootFromParent_Done,
     /*  445389 */   // Label 7684: @445389
     /*  445389 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(445475), // Rule ID 6371 //
     /*  445394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445441 */     // MIs[1] Operand 1
     /*  445441 */     // No operand predicates
     /*  445441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445473 */     GIR_RootConstrainSelectedInstOperands,
     /*  445474 */     // GIR_Coverage, 6371,
     /*  445474 */     GIR_EraseRootFromParent_Done,
     /*  445475 */   // Label 7685: @445475
     /*  445475 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(445561), // Rule ID 6374 //
     /*  445480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445527 */     // MIs[1] Operand 1
     /*  445527 */     // No operand predicates
     /*  445527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445559 */     GIR_RootConstrainSelectedInstOperands,
     /*  445560 */     // GIR_Coverage, 6374,
     /*  445560 */     GIR_EraseRootFromParent_Done,
     /*  445561 */   // Label 7686: @445561
     /*  445561 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(445647), // Rule ID 6375 //
     /*  445566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445613 */     // MIs[1] Operand 1
     /*  445613 */     // No operand predicates
     /*  445613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445645 */     GIR_RootConstrainSelectedInstOperands,
     /*  445646 */     // GIR_Coverage, 6375,
     /*  445646 */     GIR_EraseRootFromParent_Done,
     /*  445647 */   // Label 7687: @445647
     /*  445647 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(445733), // Rule ID 6378 //
     /*  445652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445699 */     // MIs[1] Operand 1
     /*  445699 */     // No operand predicates
     /*  445699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445731 */     GIR_RootConstrainSelectedInstOperands,
     /*  445732 */     // GIR_Coverage, 6378,
     /*  445732 */     GIR_EraseRootFromParent_Done,
     /*  445733 */   // Label 7688: @445733
     /*  445733 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(445819), // Rule ID 6379 //
     /*  445738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445785 */     // MIs[1] Operand 1
     /*  445785 */     // No operand predicates
     /*  445785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445817 */     GIR_RootConstrainSelectedInstOperands,
     /*  445818 */     // GIR_Coverage, 6379,
     /*  445818 */     GIR_EraseRootFromParent_Done,
     /*  445819 */   // Label 7689: @445819
     /*  445819 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(445905), // Rule ID 6382 //
     /*  445824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445871 */     // MIs[1] Operand 1
     /*  445871 */     // No operand predicates
     /*  445871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445903 */     GIR_RootConstrainSelectedInstOperands,
     /*  445904 */     // GIR_Coverage, 6382,
     /*  445904 */     GIR_EraseRootFromParent_Done,
     /*  445905 */   // Label 7690: @445905
     /*  445905 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(445991), // Rule ID 6383 //
     /*  445910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445957 */     // MIs[1] Operand 1
     /*  445957 */     // No operand predicates
     /*  445957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445989 */     GIR_RootConstrainSelectedInstOperands,
     /*  445990 */     // GIR_Coverage, 6383,
     /*  445990 */     GIR_EraseRootFromParent_Done,
     /*  445991 */   // Label 7691: @445991
     /*  445991 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(446077), // Rule ID 6386 //
     /*  445996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446043 */     // MIs[1] Operand 1
     /*  446043 */     // No operand predicates
     /*  446043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446075 */     GIR_RootConstrainSelectedInstOperands,
     /*  446076 */     // GIR_Coverage, 6386,
     /*  446076 */     GIR_EraseRootFromParent_Done,
     /*  446077 */   // Label 7692: @446077
     /*  446077 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(446163), // Rule ID 6387 //
     /*  446082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446129 */     // MIs[1] Operand 1
     /*  446129 */     // No operand predicates
     /*  446129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446161 */     GIR_RootConstrainSelectedInstOperands,
     /*  446162 */     // GIR_Coverage, 6387,
     /*  446162 */     GIR_EraseRootFromParent_Done,
     /*  446163 */   // Label 7693: @446163
     /*  446163 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(446249), // Rule ID 6390 //
     /*  446168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446215 */     // MIs[1] Operand 1
     /*  446215 */     // No operand predicates
     /*  446215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446247 */     GIR_RootConstrainSelectedInstOperands,
     /*  446248 */     // GIR_Coverage, 6390,
     /*  446248 */     GIR_EraseRootFromParent_Done,
     /*  446249 */   // Label 7694: @446249
     /*  446249 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(446335), // Rule ID 6391 //
     /*  446254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446301 */     // MIs[1] Operand 1
     /*  446301 */     // No operand predicates
     /*  446301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446333 */     GIR_RootConstrainSelectedInstOperands,
     /*  446334 */     // GIR_Coverage, 6391,
     /*  446334 */     GIR_EraseRootFromParent_Done,
     /*  446335 */   // Label 7695: @446335
     /*  446335 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(446421), // Rule ID 6394 //
     /*  446340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  446343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446387 */     // MIs[1] Operand 1
     /*  446387 */     // No operand predicates
     /*  446387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446419 */     GIR_RootConstrainSelectedInstOperands,
     /*  446420 */     // GIR_Coverage, 6394,
     /*  446420 */     GIR_EraseRootFromParent_Done,
     /*  446421 */   // Label 7696: @446421
     /*  446421 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(446507), // Rule ID 6395 //
     /*  446426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  446429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446473 */     // MIs[1] Operand 1
     /*  446473 */     // No operand predicates
     /*  446473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446505 */     GIR_RootConstrainSelectedInstOperands,
     /*  446506 */     // GIR_Coverage, 6395,
     /*  446506 */     GIR_EraseRootFromParent_Done,
     /*  446507 */   // Label 7697: @446507
     /*  446507 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(446593), // Rule ID 6398 //
     /*  446512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446559 */     // MIs[1] Operand 1
     /*  446559 */     // No operand predicates
     /*  446559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446568 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446591 */     GIR_RootConstrainSelectedInstOperands,
     /*  446592 */     // GIR_Coverage, 6398,
     /*  446592 */     GIR_EraseRootFromParent_Done,
     /*  446593 */   // Label 7698: @446593
     /*  446593 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(446679), // Rule ID 6399 //
     /*  446598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446645 */     // MIs[1] Operand 1
     /*  446645 */     // No operand predicates
     /*  446645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446677 */     GIR_RootConstrainSelectedInstOperands,
     /*  446678 */     // GIR_Coverage, 6399,
     /*  446678 */     GIR_EraseRootFromParent_Done,
     /*  446679 */   // Label 7699: @446679
     /*  446679 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(446765), // Rule ID 6402 //
     /*  446684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446731 */     // MIs[1] Operand 1
     /*  446731 */     // No operand predicates
     /*  446731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446740 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446763 */     GIR_RootConstrainSelectedInstOperands,
     /*  446764 */     // GIR_Coverage, 6402,
     /*  446764 */     GIR_EraseRootFromParent_Done,
     /*  446765 */   // Label 7700: @446765
     /*  446765 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(446851), // Rule ID 6403 //
     /*  446770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446817 */     // MIs[1] Operand 1
     /*  446817 */     // No operand predicates
     /*  446817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446849 */     GIR_RootConstrainSelectedInstOperands,
     /*  446850 */     // GIR_Coverage, 6403,
     /*  446850 */     GIR_EraseRootFromParent_Done,
     /*  446851 */   // Label 7701: @446851
     /*  446851 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(446937), // Rule ID 6406 //
     /*  446856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446903 */     // MIs[1] Operand 1
     /*  446903 */     // No operand predicates
     /*  446903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446935 */     GIR_RootConstrainSelectedInstOperands,
     /*  446936 */     // GIR_Coverage, 6406,
     /*  446936 */     GIR_EraseRootFromParent_Done,
     /*  446937 */   // Label 7702: @446937
     /*  446937 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(447023), // Rule ID 6407 //
     /*  446942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446989 */     // MIs[1] Operand 1
     /*  446989 */     // No operand predicates
     /*  446989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446998 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447021 */     GIR_RootConstrainSelectedInstOperands,
     /*  447022 */     // GIR_Coverage, 6407,
     /*  447022 */     GIR_EraseRootFromParent_Done,
     /*  447023 */   // Label 7703: @447023
     /*  447023 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(447109), // Rule ID 6410 //
     /*  447028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447075 */     // MIs[1] Operand 1
     /*  447075 */     // No operand predicates
     /*  447075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447107 */     GIR_RootConstrainSelectedInstOperands,
     /*  447108 */     // GIR_Coverage, 6410,
     /*  447108 */     GIR_EraseRootFromParent_Done,
     /*  447109 */   // Label 7704: @447109
     /*  447109 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(447195), // Rule ID 6411 //
     /*  447114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447161 */     // MIs[1] Operand 1
     /*  447161 */     // No operand predicates
     /*  447161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447193 */     GIR_RootConstrainSelectedInstOperands,
     /*  447194 */     // GIR_Coverage, 6411,
     /*  447194 */     GIR_EraseRootFromParent_Done,
     /*  447195 */   // Label 7705: @447195
     /*  447195 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(447281), // Rule ID 6414 //
     /*  447200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447247 */     // MIs[1] Operand 1
     /*  447247 */     // No operand predicates
     /*  447247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447279 */     GIR_RootConstrainSelectedInstOperands,
     /*  447280 */     // GIR_Coverage, 6414,
     /*  447280 */     GIR_EraseRootFromParent_Done,
     /*  447281 */   // Label 7706: @447281
     /*  447281 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(447367), // Rule ID 6415 //
     /*  447286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447333 */     // MIs[1] Operand 1
     /*  447333 */     // No operand predicates
     /*  447333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447365 */     GIR_RootConstrainSelectedInstOperands,
     /*  447366 */     // GIR_Coverage, 6415,
     /*  447366 */     GIR_EraseRootFromParent_Done,
     /*  447367 */   // Label 7707: @447367
     /*  447367 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(447453), // Rule ID 6418 //
     /*  447372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447419 */     // MIs[1] Operand 1
     /*  447419 */     // No operand predicates
     /*  447419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447451 */     GIR_RootConstrainSelectedInstOperands,
     /*  447452 */     // GIR_Coverage, 6418,
     /*  447452 */     GIR_EraseRootFromParent_Done,
     /*  447453 */   // Label 7708: @447453
     /*  447453 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(447539), // Rule ID 6419 //
     /*  447458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447505 */     // MIs[1] Operand 1
     /*  447505 */     // No operand predicates
     /*  447505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447537 */     GIR_RootConstrainSelectedInstOperands,
     /*  447538 */     // GIR_Coverage, 6419,
     /*  447538 */     GIR_EraseRootFromParent_Done,
     /*  447539 */   // Label 7709: @447539
     /*  447539 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(447625), // Rule ID 6422 //
     /*  447544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447591 */     // MIs[1] Operand 1
     /*  447591 */     // No operand predicates
     /*  447591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447623 */     GIR_RootConstrainSelectedInstOperands,
     /*  447624 */     // GIR_Coverage, 6422,
     /*  447624 */     GIR_EraseRootFromParent_Done,
     /*  447625 */   // Label 7710: @447625
     /*  447625 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(447711), // Rule ID 6423 //
     /*  447630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447677 */     // MIs[1] Operand 1
     /*  447677 */     // No operand predicates
     /*  447677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447709 */     GIR_RootConstrainSelectedInstOperands,
     /*  447710 */     // GIR_Coverage, 6423,
     /*  447710 */     GIR_EraseRootFromParent_Done,
     /*  447711 */   // Label 7711: @447711
     /*  447711 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(447797), // Rule ID 6426 //
     /*  447716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447763 */     // MIs[1] Operand 1
     /*  447763 */     // No operand predicates
     /*  447763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447795 */     GIR_RootConstrainSelectedInstOperands,
     /*  447796 */     // GIR_Coverage, 6426,
     /*  447796 */     GIR_EraseRootFromParent_Done,
     /*  447797 */   // Label 7712: @447797
     /*  447797 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(447883), // Rule ID 6427 //
     /*  447802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447849 */     // MIs[1] Operand 1
     /*  447849 */     // No operand predicates
     /*  447849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447881 */     GIR_RootConstrainSelectedInstOperands,
     /*  447882 */     // GIR_Coverage, 6427,
     /*  447882 */     GIR_EraseRootFromParent_Done,
     /*  447883 */   // Label 7713: @447883
     /*  447883 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(447969), // Rule ID 6430 //
     /*  447888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447935 */     // MIs[1] Operand 1
     /*  447935 */     // No operand predicates
     /*  447935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447967 */     GIR_RootConstrainSelectedInstOperands,
     /*  447968 */     // GIR_Coverage, 6430,
     /*  447968 */     GIR_EraseRootFromParent_Done,
     /*  447969 */   // Label 7714: @447969
     /*  447969 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(448055), // Rule ID 6431 //
     /*  447974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448021 */     // MIs[1] Operand 1
     /*  448021 */     // No operand predicates
     /*  448021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448053 */     GIR_RootConstrainSelectedInstOperands,
     /*  448054 */     // GIR_Coverage, 6431,
     /*  448054 */     GIR_EraseRootFromParent_Done,
     /*  448055 */   // Label 7715: @448055
     /*  448055 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(448141), // Rule ID 6434 //
     /*  448060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448107 */     // MIs[1] Operand 1
     /*  448107 */     // No operand predicates
     /*  448107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448139 */     GIR_RootConstrainSelectedInstOperands,
     /*  448140 */     // GIR_Coverage, 6434,
     /*  448140 */     GIR_EraseRootFromParent_Done,
     /*  448141 */   // Label 7716: @448141
     /*  448141 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(448227), // Rule ID 6435 //
     /*  448146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448193 */     // MIs[1] Operand 1
     /*  448193 */     // No operand predicates
     /*  448193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448225 */     GIR_RootConstrainSelectedInstOperands,
     /*  448226 */     // GIR_Coverage, 6435,
     /*  448226 */     GIR_EraseRootFromParent_Done,
     /*  448227 */   // Label 7717: @448227
     /*  448227 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(448313), // Rule ID 6438 //
     /*  448232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448279 */     // MIs[1] Operand 1
     /*  448279 */     // No operand predicates
     /*  448279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448311 */     GIR_RootConstrainSelectedInstOperands,
     /*  448312 */     // GIR_Coverage, 6438,
     /*  448312 */     GIR_EraseRootFromParent_Done,
     /*  448313 */   // Label 7718: @448313
     /*  448313 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(448399), // Rule ID 6439 //
     /*  448318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448365 */     // MIs[1] Operand 1
     /*  448365 */     // No operand predicates
     /*  448365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448397 */     GIR_RootConstrainSelectedInstOperands,
     /*  448398 */     // GIR_Coverage, 6439,
     /*  448398 */     GIR_EraseRootFromParent_Done,
     /*  448399 */   // Label 7719: @448399
     /*  448399 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(448485), // Rule ID 6442 //
     /*  448404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448451 */     // MIs[1] Operand 1
     /*  448451 */     // No operand predicates
     /*  448451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448460 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448483 */     GIR_RootConstrainSelectedInstOperands,
     /*  448484 */     // GIR_Coverage, 6442,
     /*  448484 */     GIR_EraseRootFromParent_Done,
     /*  448485 */   // Label 7720: @448485
     /*  448485 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(448571), // Rule ID 6443 //
     /*  448490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448537 */     // MIs[1] Operand 1
     /*  448537 */     // No operand predicates
     /*  448537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448569 */     GIR_RootConstrainSelectedInstOperands,
     /*  448570 */     // GIR_Coverage, 6443,
     /*  448570 */     GIR_EraseRootFromParent_Done,
     /*  448571 */   // Label 7721: @448571
     /*  448571 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(448657), // Rule ID 6622 //
     /*  448576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448623 */     // MIs[1] Operand 1
     /*  448623 */     // No operand predicates
     /*  448623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448655 */     GIR_RootConstrainSelectedInstOperands,
     /*  448656 */     // GIR_Coverage, 6622,
     /*  448656 */     GIR_EraseRootFromParent_Done,
     /*  448657 */   // Label 7722: @448657
     /*  448657 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(448743), // Rule ID 6623 //
     /*  448662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448709 */     // MIs[1] Operand 1
     /*  448709 */     // No operand predicates
     /*  448709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448741 */     GIR_RootConstrainSelectedInstOperands,
     /*  448742 */     // GIR_Coverage, 6623,
     /*  448742 */     GIR_EraseRootFromParent_Done,
     /*  448743 */   // Label 7723: @448743
     /*  448743 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(448829), // Rule ID 6626 //
     /*  448748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448795 */     // MIs[1] Operand 1
     /*  448795 */     // No operand predicates
     /*  448795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448804 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448827 */     GIR_RootConstrainSelectedInstOperands,
     /*  448828 */     // GIR_Coverage, 6626,
     /*  448828 */     GIR_EraseRootFromParent_Done,
     /*  448829 */   // Label 7724: @448829
     /*  448829 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(448915), // Rule ID 6627 //
     /*  448834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448881 */     // MIs[1] Operand 1
     /*  448881 */     // No operand predicates
     /*  448881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448913 */     GIR_RootConstrainSelectedInstOperands,
     /*  448914 */     // GIR_Coverage, 6627,
     /*  448914 */     GIR_EraseRootFromParent_Done,
     /*  448915 */   // Label 7725: @448915
     /*  448915 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(449001), // Rule ID 6630 //
     /*  448920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  448931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  448934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  448937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448967 */     // MIs[1] Operand 1
     /*  448967 */     // No operand predicates
     /*  448967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448976 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448999 */     GIR_RootConstrainSelectedInstOperands,
     /*  449000 */     // GIR_Coverage, 6630,
     /*  449000 */     GIR_EraseRootFromParent_Done,
     /*  449001 */   // Label 7726: @449001
     /*  449001 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(449087), // Rule ID 6631 //
     /*  449006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449053 */     // MIs[1] Operand 1
     /*  449053 */     // No operand predicates
     /*  449053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449085 */     GIR_RootConstrainSelectedInstOperands,
     /*  449086 */     // GIR_Coverage, 6631,
     /*  449086 */     GIR_EraseRootFromParent_Done,
     /*  449087 */   // Label 7727: @449087
     /*  449087 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(449173), // Rule ID 6634 //
     /*  449092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449139 */     // MIs[1] Operand 1
     /*  449139 */     // No operand predicates
     /*  449139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449171 */     GIR_RootConstrainSelectedInstOperands,
     /*  449172 */     // GIR_Coverage, 6634,
     /*  449172 */     GIR_EraseRootFromParent_Done,
     /*  449173 */   // Label 7728: @449173
     /*  449173 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(449259), // Rule ID 6635 //
     /*  449178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449225 */     // MIs[1] Operand 1
     /*  449225 */     // No operand predicates
     /*  449225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449257 */     GIR_RootConstrainSelectedInstOperands,
     /*  449258 */     // GIR_Coverage, 6635,
     /*  449258 */     GIR_EraseRootFromParent_Done,
     /*  449259 */   // Label 7729: @449259
     /*  449259 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(449345), // Rule ID 6638 //
     /*  449264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449311 */     // MIs[1] Operand 1
     /*  449311 */     // No operand predicates
     /*  449311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449343 */     GIR_RootConstrainSelectedInstOperands,
     /*  449344 */     // GIR_Coverage, 6638,
     /*  449344 */     GIR_EraseRootFromParent_Done,
     /*  449345 */   // Label 7730: @449345
     /*  449345 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(449431), // Rule ID 6639 //
     /*  449350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449397 */     // MIs[1] Operand 1
     /*  449397 */     // No operand predicates
     /*  449397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449429 */     GIR_RootConstrainSelectedInstOperands,
     /*  449430 */     // GIR_Coverage, 6639,
     /*  449430 */     GIR_EraseRootFromParent_Done,
     /*  449431 */   // Label 7731: @449431
     /*  449431 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(449517), // Rule ID 6642 //
     /*  449436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449483 */     // MIs[1] Operand 1
     /*  449483 */     // No operand predicates
     /*  449483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449515 */     GIR_RootConstrainSelectedInstOperands,
     /*  449516 */     // GIR_Coverage, 6642,
     /*  449516 */     GIR_EraseRootFromParent_Done,
     /*  449517 */   // Label 7732: @449517
     /*  449517 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(449603), // Rule ID 6643 //
     /*  449522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449569 */     // MIs[1] Operand 1
     /*  449569 */     // No operand predicates
     /*  449569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449601 */     GIR_RootConstrainSelectedInstOperands,
     /*  449602 */     // GIR_Coverage, 6643,
     /*  449602 */     GIR_EraseRootFromParent_Done,
     /*  449603 */   // Label 7733: @449603
     /*  449603 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(449689), // Rule ID 6646 //
     /*  449608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449655 */     // MIs[1] Operand 1
     /*  449655 */     // No operand predicates
     /*  449655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449687 */     GIR_RootConstrainSelectedInstOperands,
     /*  449688 */     // GIR_Coverage, 6646,
     /*  449688 */     GIR_EraseRootFromParent_Done,
     /*  449689 */   // Label 7734: @449689
     /*  449689 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(449775), // Rule ID 6647 //
     /*  449694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449741 */     // MIs[1] Operand 1
     /*  449741 */     // No operand predicates
     /*  449741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449773 */     GIR_RootConstrainSelectedInstOperands,
     /*  449774 */     // GIR_Coverage, 6647,
     /*  449774 */     GIR_EraseRootFromParent_Done,
     /*  449775 */   // Label 7735: @449775
     /*  449775 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(449861), // Rule ID 6650 //
     /*  449780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449827 */     // MIs[1] Operand 1
     /*  449827 */     // No operand predicates
     /*  449827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449859 */     GIR_RootConstrainSelectedInstOperands,
     /*  449860 */     // GIR_Coverage, 6650,
     /*  449860 */     GIR_EraseRootFromParent_Done,
     /*  449861 */   // Label 7736: @449861
     /*  449861 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(449947), // Rule ID 6651 //
     /*  449866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449913 */     // MIs[1] Operand 1
     /*  449913 */     // No operand predicates
     /*  449913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449945 */     GIR_RootConstrainSelectedInstOperands,
     /*  449946 */     // GIR_Coverage, 6651,
     /*  449946 */     GIR_EraseRootFromParent_Done,
     /*  449947 */   // Label 7737: @449947
     /*  449947 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(450033), // Rule ID 6654 //
     /*  449952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  449963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  449966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  449969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449999 */     // MIs[1] Operand 1
     /*  449999 */     // No operand predicates
     /*  449999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450031 */     GIR_RootConstrainSelectedInstOperands,
     /*  450032 */     // GIR_Coverage, 6654,
     /*  450032 */     GIR_EraseRootFromParent_Done,
     /*  450033 */   // Label 7738: @450033
     /*  450033 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(450119), // Rule ID 6655 //
     /*  450038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450085 */     // MIs[1] Operand 1
     /*  450085 */     // No operand predicates
     /*  450085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450117 */     GIR_RootConstrainSelectedInstOperands,
     /*  450118 */     // GIR_Coverage, 6655,
     /*  450118 */     GIR_EraseRootFromParent_Done,
     /*  450119 */   // Label 7739: @450119
     /*  450119 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(450205), // Rule ID 6658 //
     /*  450124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450171 */     // MIs[1] Operand 1
     /*  450171 */     // No operand predicates
     /*  450171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450203 */     GIR_RootConstrainSelectedInstOperands,
     /*  450204 */     // GIR_Coverage, 6658,
     /*  450204 */     GIR_EraseRootFromParent_Done,
     /*  450205 */   // Label 7740: @450205
     /*  450205 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(450291), // Rule ID 6659 //
     /*  450210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450257 */     // MIs[1] Operand 1
     /*  450257 */     // No operand predicates
     /*  450257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450289 */     GIR_RootConstrainSelectedInstOperands,
     /*  450290 */     // GIR_Coverage, 6659,
     /*  450290 */     GIR_EraseRootFromParent_Done,
     /*  450291 */   // Label 7741: @450291
     /*  450291 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(450377), // Rule ID 6662 //
     /*  450296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450343 */     // MIs[1] Operand 1
     /*  450343 */     // No operand predicates
     /*  450343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450375 */     GIR_RootConstrainSelectedInstOperands,
     /*  450376 */     // GIR_Coverage, 6662,
     /*  450376 */     GIR_EraseRootFromParent_Done,
     /*  450377 */   // Label 7742: @450377
     /*  450377 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(450463), // Rule ID 6663 //
     /*  450382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450429 */     // MIs[1] Operand 1
     /*  450429 */     // No operand predicates
     /*  450429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450461 */     GIR_RootConstrainSelectedInstOperands,
     /*  450462 */     // GIR_Coverage, 6663,
     /*  450462 */     GIR_EraseRootFromParent_Done,
     /*  450463 */   // Label 7743: @450463
     /*  450463 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(450549), // Rule ID 6666 //
     /*  450468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450515 */     // MIs[1] Operand 1
     /*  450515 */     // No operand predicates
     /*  450515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450524 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450547 */     GIR_RootConstrainSelectedInstOperands,
     /*  450548 */     // GIR_Coverage, 6666,
     /*  450548 */     GIR_EraseRootFromParent_Done,
     /*  450549 */   // Label 7744: @450549
     /*  450549 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(450635), // Rule ID 6667 //
     /*  450554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450601 */     // MIs[1] Operand 1
     /*  450601 */     // No operand predicates
     /*  450601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450610 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450633 */     GIR_RootConstrainSelectedInstOperands,
     /*  450634 */     // GIR_Coverage, 6667,
     /*  450634 */     GIR_EraseRootFromParent_Done,
     /*  450635 */   // Label 7745: @450635
     /*  450635 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(450721), // Rule ID 6670 //
     /*  450640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450687 */     // MIs[1] Operand 1
     /*  450687 */     // No operand predicates
     /*  450687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450719 */     GIR_RootConstrainSelectedInstOperands,
     /*  450720 */     // GIR_Coverage, 6670,
     /*  450720 */     GIR_EraseRootFromParent_Done,
     /*  450721 */   // Label 7746: @450721
     /*  450721 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(450807), // Rule ID 6671 //
     /*  450726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450773 */     // MIs[1] Operand 1
     /*  450773 */     // No operand predicates
     /*  450773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450782 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450805 */     GIR_RootConstrainSelectedInstOperands,
     /*  450806 */     // GIR_Coverage, 6671,
     /*  450806 */     GIR_EraseRootFromParent_Done,
     /*  450807 */   // Label 7747: @450807
     /*  450807 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(450893), // Rule ID 6674 //
     /*  450812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450859 */     // MIs[1] Operand 1
     /*  450859 */     // No operand predicates
     /*  450859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450891 */     GIR_RootConstrainSelectedInstOperands,
     /*  450892 */     // GIR_Coverage, 6674,
     /*  450892 */     GIR_EraseRootFromParent_Done,
     /*  450893 */   // Label 7748: @450893
     /*  450893 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(450979), // Rule ID 6675 //
     /*  450898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450945 */     // MIs[1] Operand 1
     /*  450945 */     // No operand predicates
     /*  450945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450977 */     GIR_RootConstrainSelectedInstOperands,
     /*  450978 */     // GIR_Coverage, 6675,
     /*  450978 */     GIR_EraseRootFromParent_Done,
     /*  450979 */   // Label 7749: @450979
     /*  450979 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(451065), // Rule ID 6678 //
     /*  450984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451031 */     // MIs[1] Operand 1
     /*  451031 */     // No operand predicates
     /*  451031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451063 */     GIR_RootConstrainSelectedInstOperands,
     /*  451064 */     // GIR_Coverage, 6678,
     /*  451064 */     GIR_EraseRootFromParent_Done,
     /*  451065 */   // Label 7750: @451065
     /*  451065 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(451151), // Rule ID 6679 //
     /*  451070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451117 */     // MIs[1] Operand 1
     /*  451117 */     // No operand predicates
     /*  451117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451149 */     GIR_RootConstrainSelectedInstOperands,
     /*  451150 */     // GIR_Coverage, 6679,
     /*  451150 */     GIR_EraseRootFromParent_Done,
     /*  451151 */   // Label 7751: @451151
     /*  451151 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(451237), // Rule ID 6682 //
     /*  451156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451203 */     // MIs[1] Operand 1
     /*  451203 */     // No operand predicates
     /*  451203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451212 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451235 */     GIR_RootConstrainSelectedInstOperands,
     /*  451236 */     // GIR_Coverage, 6682,
     /*  451236 */     GIR_EraseRootFromParent_Done,
     /*  451237 */   // Label 7752: @451237
     /*  451237 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(451323), // Rule ID 6683 //
     /*  451242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451289 */     // MIs[1] Operand 1
     /*  451289 */     // No operand predicates
     /*  451289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451321 */     GIR_RootConstrainSelectedInstOperands,
     /*  451322 */     // GIR_Coverage, 6683,
     /*  451322 */     GIR_EraseRootFromParent_Done,
     /*  451323 */   // Label 7753: @451323
     /*  451323 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(451409), // Rule ID 6686 //
     /*  451328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451375 */     // MIs[1] Operand 1
     /*  451375 */     // No operand predicates
     /*  451375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451407 */     GIR_RootConstrainSelectedInstOperands,
     /*  451408 */     // GIR_Coverage, 6686,
     /*  451408 */     GIR_EraseRootFromParent_Done,
     /*  451409 */   // Label 7754: @451409
     /*  451409 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(451495), // Rule ID 6687 //
     /*  451414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451461 */     // MIs[1] Operand 1
     /*  451461 */     // No operand predicates
     /*  451461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451493 */     GIR_RootConstrainSelectedInstOperands,
     /*  451494 */     // GIR_Coverage, 6687,
     /*  451494 */     GIR_EraseRootFromParent_Done,
     /*  451495 */   // Label 7755: @451495
     /*  451495 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(451581), // Rule ID 6690 //
     /*  451500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451547 */     // MIs[1] Operand 1
     /*  451547 */     // No operand predicates
     /*  451547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451579 */     GIR_RootConstrainSelectedInstOperands,
     /*  451580 */     // GIR_Coverage, 6690,
     /*  451580 */     GIR_EraseRootFromParent_Done,
     /*  451581 */   // Label 7756: @451581
     /*  451581 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(451667), // Rule ID 6691 //
     /*  451586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451633 */     // MIs[1] Operand 1
     /*  451633 */     // No operand predicates
     /*  451633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451665 */     GIR_RootConstrainSelectedInstOperands,
     /*  451666 */     // GIR_Coverage, 6691,
     /*  451666 */     GIR_EraseRootFromParent_Done,
     /*  451667 */   // Label 7757: @451667
     /*  451667 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(451753), // Rule ID 6694 //
     /*  451672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451719 */     // MIs[1] Operand 1
     /*  451719 */     // No operand predicates
     /*  451719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451751 */     GIR_RootConstrainSelectedInstOperands,
     /*  451752 */     // GIR_Coverage, 6694,
     /*  451752 */     GIR_EraseRootFromParent_Done,
     /*  451753 */   // Label 7758: @451753
     /*  451753 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(451839), // Rule ID 6695 //
     /*  451758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451805 */     // MIs[1] Operand 1
     /*  451805 */     // No operand predicates
     /*  451805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451837 */     GIR_RootConstrainSelectedInstOperands,
     /*  451838 */     // GIR_Coverage, 6695,
     /*  451838 */     GIR_EraseRootFromParent_Done,
     /*  451839 */   // Label 7759: @451839
     /*  451839 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(451925), // Rule ID 6698 //
     /*  451844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451891 */     // MIs[1] Operand 1
     /*  451891 */     // No operand predicates
     /*  451891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451923 */     GIR_RootConstrainSelectedInstOperands,
     /*  451924 */     // GIR_Coverage, 6698,
     /*  451924 */     GIR_EraseRootFromParent_Done,
     /*  451925 */   // Label 7760: @451925
     /*  451925 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(452011), // Rule ID 6699 //
     /*  451930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451977 */     // MIs[1] Operand 1
     /*  451977 */     // No operand predicates
     /*  451977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452009 */     GIR_RootConstrainSelectedInstOperands,
     /*  452010 */     // GIR_Coverage, 6699,
     /*  452010 */     GIR_EraseRootFromParent_Done,
     /*  452011 */   // Label 7761: @452011
     /*  452011 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(452097), // Rule ID 6702 //
     /*  452016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452063 */     // MIs[1] Operand 1
     /*  452063 */     // No operand predicates
     /*  452063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452095 */     GIR_RootConstrainSelectedInstOperands,
     /*  452096 */     // GIR_Coverage, 6702,
     /*  452096 */     GIR_EraseRootFromParent_Done,
     /*  452097 */   // Label 7762: @452097
     /*  452097 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(452183), // Rule ID 6703 //
     /*  452102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452149 */     // MIs[1] Operand 1
     /*  452149 */     // No operand predicates
     /*  452149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452181 */     GIR_RootConstrainSelectedInstOperands,
     /*  452182 */     // GIR_Coverage, 6703,
     /*  452182 */     GIR_EraseRootFromParent_Done,
     /*  452183 */   // Label 7763: @452183
     /*  452183 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(452269), // Rule ID 6706 //
     /*  452188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452235 */     // MIs[1] Operand 1
     /*  452235 */     // No operand predicates
     /*  452235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452267 */     GIR_RootConstrainSelectedInstOperands,
     /*  452268 */     // GIR_Coverage, 6706,
     /*  452268 */     GIR_EraseRootFromParent_Done,
     /*  452269 */   // Label 7764: @452269
     /*  452269 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(452355), // Rule ID 6707 //
     /*  452274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452321 */     // MIs[1] Operand 1
     /*  452321 */     // No operand predicates
     /*  452321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452353 */     GIR_RootConstrainSelectedInstOperands,
     /*  452354 */     // GIR_Coverage, 6707,
     /*  452354 */     GIR_EraseRootFromParent_Done,
     /*  452355 */   // Label 7765: @452355
     /*  452355 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(452441), // Rule ID 6886 //
     /*  452360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452407 */     // MIs[1] Operand 1
     /*  452407 */     // No operand predicates
     /*  452407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  452419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452439 */     GIR_RootConstrainSelectedInstOperands,
     /*  452440 */     // GIR_Coverage, 6886,
     /*  452440 */     GIR_EraseRootFromParent_Done,
     /*  452441 */   // Label 7766: @452441
     /*  452441 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(452527), // Rule ID 6887 //
     /*  452446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452493 */     // MIs[1] Operand 1
     /*  452493 */     // No operand predicates
     /*  452493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  452505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452525 */     GIR_RootConstrainSelectedInstOperands,
     /*  452526 */     // GIR_Coverage, 6887,
     /*  452526 */     GIR_EraseRootFromParent_Done,
     /*  452527 */   // Label 7767: @452527
     /*  452527 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(452613), // Rule ID 6890 //
     /*  452532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452579 */     // MIs[1] Operand 1
     /*  452579 */     // No operand predicates
     /*  452579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452588 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452611 */     GIR_RootConstrainSelectedInstOperands,
     /*  452612 */     // GIR_Coverage, 6890,
     /*  452612 */     GIR_EraseRootFromParent_Done,
     /*  452613 */   // Label 7768: @452613
     /*  452613 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(452699), // Rule ID 6891 //
     /*  452618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452665 */     // MIs[1] Operand 1
     /*  452665 */     // No operand predicates
     /*  452665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452697 */     GIR_RootConstrainSelectedInstOperands,
     /*  452698 */     // GIR_Coverage, 6891,
     /*  452698 */     GIR_EraseRootFromParent_Done,
     /*  452699 */   // Label 7769: @452699
     /*  452699 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(452785), // Rule ID 6894 //
     /*  452704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452751 */     // MIs[1] Operand 1
     /*  452751 */     // No operand predicates
     /*  452751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452760 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452783 */     GIR_RootConstrainSelectedInstOperands,
     /*  452784 */     // GIR_Coverage, 6894,
     /*  452784 */     GIR_EraseRootFromParent_Done,
     /*  452785 */   // Label 7770: @452785
     /*  452785 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(452871), // Rule ID 6895 //
     /*  452790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452837 */     // MIs[1] Operand 1
     /*  452837 */     // No operand predicates
     /*  452837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452869 */     GIR_RootConstrainSelectedInstOperands,
     /*  452870 */     // GIR_Coverage, 6895,
     /*  452870 */     GIR_EraseRootFromParent_Done,
     /*  452871 */   // Label 7771: @452871
     /*  452871 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(452957), // Rule ID 6898 //
     /*  452876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452923 */     // MIs[1] Operand 1
     /*  452923 */     // No operand predicates
     /*  452923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452955 */     GIR_RootConstrainSelectedInstOperands,
     /*  452956 */     // GIR_Coverage, 6898,
     /*  452956 */     GIR_EraseRootFromParent_Done,
     /*  452957 */   // Label 7772: @452957
     /*  452957 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(453043), // Rule ID 6899 //
     /*  452962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453009 */     // MIs[1] Operand 1
     /*  453009 */     // No operand predicates
     /*  453009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  453021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453041 */     GIR_RootConstrainSelectedInstOperands,
     /*  453042 */     // GIR_Coverage, 6899,
     /*  453042 */     GIR_EraseRootFromParent_Done,
     /*  453043 */   // Label 7773: @453043
     /*  453043 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(453129), // Rule ID 6902 //
     /*  453048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453095 */     // MIs[1] Operand 1
     /*  453095 */     // No operand predicates
     /*  453095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453104 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453127 */     GIR_RootConstrainSelectedInstOperands,
     /*  453128 */     // GIR_Coverage, 6902,
     /*  453128 */     GIR_EraseRootFromParent_Done,
     /*  453129 */   // Label 7774: @453129
     /*  453129 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(453215), // Rule ID 6903 //
     /*  453134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453181 */     // MIs[1] Operand 1
     /*  453181 */     // No operand predicates
     /*  453181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453213 */     GIR_RootConstrainSelectedInstOperands,
     /*  453214 */     // GIR_Coverage, 6903,
     /*  453214 */     GIR_EraseRootFromParent_Done,
     /*  453215 */   // Label 7775: @453215
     /*  453215 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(453301), // Rule ID 6906 //
     /*  453220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453267 */     // MIs[1] Operand 1
     /*  453267 */     // No operand predicates
     /*  453267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453299 */     GIR_RootConstrainSelectedInstOperands,
     /*  453300 */     // GIR_Coverage, 6906,
     /*  453300 */     GIR_EraseRootFromParent_Done,
     /*  453301 */   // Label 7776: @453301
     /*  453301 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(453387), // Rule ID 6907 //
     /*  453306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453353 */     // MIs[1] Operand 1
     /*  453353 */     // No operand predicates
     /*  453353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453385 */     GIR_RootConstrainSelectedInstOperands,
     /*  453386 */     // GIR_Coverage, 6907,
     /*  453386 */     GIR_EraseRootFromParent_Done,
     /*  453387 */   // Label 7777: @453387
     /*  453387 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(453473), // Rule ID 6910 //
     /*  453392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453439 */     // MIs[1] Operand 1
     /*  453439 */     // No operand predicates
     /*  453439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453471 */     GIR_RootConstrainSelectedInstOperands,
     /*  453472 */     // GIR_Coverage, 6910,
     /*  453472 */     GIR_EraseRootFromParent_Done,
     /*  453473 */   // Label 7778: @453473
     /*  453473 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(453559), // Rule ID 6911 //
     /*  453478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453525 */     // MIs[1] Operand 1
     /*  453525 */     // No operand predicates
     /*  453525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453557 */     GIR_RootConstrainSelectedInstOperands,
     /*  453558 */     // GIR_Coverage, 6911,
     /*  453558 */     GIR_EraseRootFromParent_Done,
     /*  453559 */   // Label 7779: @453559
     /*  453559 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(453645), // Rule ID 6914 //
     /*  453564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453611 */     // MIs[1] Operand 1
     /*  453611 */     // No operand predicates
     /*  453611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453643 */     GIR_RootConstrainSelectedInstOperands,
     /*  453644 */     // GIR_Coverage, 6914,
     /*  453644 */     GIR_EraseRootFromParent_Done,
     /*  453645 */   // Label 7780: @453645
     /*  453645 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(453731), // Rule ID 6915 //
     /*  453650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453697 */     // MIs[1] Operand 1
     /*  453697 */     // No operand predicates
     /*  453697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453729 */     GIR_RootConstrainSelectedInstOperands,
     /*  453730 */     // GIR_Coverage, 6915,
     /*  453730 */     GIR_EraseRootFromParent_Done,
     /*  453731 */   // Label 7781: @453731
     /*  453731 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(453817), // Rule ID 6918 //
     /*  453736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453783 */     // MIs[1] Operand 1
     /*  453783 */     // No operand predicates
     /*  453783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453815 */     GIR_RootConstrainSelectedInstOperands,
     /*  453816 */     // GIR_Coverage, 6918,
     /*  453816 */     GIR_EraseRootFromParent_Done,
     /*  453817 */   // Label 7782: @453817
     /*  453817 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(453903), // Rule ID 6919 //
     /*  453822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453869 */     // MIs[1] Operand 1
     /*  453869 */     // No operand predicates
     /*  453869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453901 */     GIR_RootConstrainSelectedInstOperands,
     /*  453902 */     // GIR_Coverage, 6919,
     /*  453902 */     GIR_EraseRootFromParent_Done,
     /*  453903 */   // Label 7783: @453903
     /*  453903 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(453989), // Rule ID 6922 //
     /*  453908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  453925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453955 */     // MIs[1] Operand 1
     /*  453955 */     // No operand predicates
     /*  453955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453987 */     GIR_RootConstrainSelectedInstOperands,
     /*  453988 */     // GIR_Coverage, 6922,
     /*  453988 */     GIR_EraseRootFromParent_Done,
     /*  453989 */   // Label 7784: @453989
     /*  453989 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(454075), // Rule ID 6923 //
     /*  453994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454041 */     // MIs[1] Operand 1
     /*  454041 */     // No operand predicates
     /*  454041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454073 */     GIR_RootConstrainSelectedInstOperands,
     /*  454074 */     // GIR_Coverage, 6923,
     /*  454074 */     GIR_EraseRootFromParent_Done,
     /*  454075 */   // Label 7785: @454075
     /*  454075 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(454161), // Rule ID 6926 //
     /*  454080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454127 */     // MIs[1] Operand 1
     /*  454127 */     // No operand predicates
     /*  454127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454159 */     GIR_RootConstrainSelectedInstOperands,
     /*  454160 */     // GIR_Coverage, 6926,
     /*  454160 */     GIR_EraseRootFromParent_Done,
     /*  454161 */   // Label 7786: @454161
     /*  454161 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(454247), // Rule ID 6927 //
     /*  454166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454213 */     // MIs[1] Operand 1
     /*  454213 */     // No operand predicates
     /*  454213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454245 */     GIR_RootConstrainSelectedInstOperands,
     /*  454246 */     // GIR_Coverage, 6927,
     /*  454246 */     GIR_EraseRootFromParent_Done,
     /*  454247 */   // Label 7787: @454247
     /*  454247 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(454333), // Rule ID 6930 //
     /*  454252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454299 */     // MIs[1] Operand 1
     /*  454299 */     // No operand predicates
     /*  454299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454331 */     GIR_RootConstrainSelectedInstOperands,
     /*  454332 */     // GIR_Coverage, 6930,
     /*  454332 */     GIR_EraseRootFromParent_Done,
     /*  454333 */   // Label 7788: @454333
     /*  454333 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(454419), // Rule ID 6931 //
     /*  454338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454385 */     // MIs[1] Operand 1
     /*  454385 */     // No operand predicates
     /*  454385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454394 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454417 */     GIR_RootConstrainSelectedInstOperands,
     /*  454418 */     // GIR_Coverage, 6931,
     /*  454418 */     GIR_EraseRootFromParent_Done,
     /*  454419 */   // Label 7789: @454419
     /*  454419 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(454505), // Rule ID 6934 //
     /*  454424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454471 */     // MIs[1] Operand 1
     /*  454471 */     // No operand predicates
     /*  454471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454503 */     GIR_RootConstrainSelectedInstOperands,
     /*  454504 */     // GIR_Coverage, 6934,
     /*  454504 */     GIR_EraseRootFromParent_Done,
     /*  454505 */   // Label 7790: @454505
     /*  454505 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(454591), // Rule ID 6935 //
     /*  454510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454557 */     // MIs[1] Operand 1
     /*  454557 */     // No operand predicates
     /*  454557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454589 */     GIR_RootConstrainSelectedInstOperands,
     /*  454590 */     // GIR_Coverage, 6935,
     /*  454590 */     GIR_EraseRootFromParent_Done,
     /*  454591 */   // Label 7791: @454591
     /*  454591 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(454677), // Rule ID 6938 //
     /*  454596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454643 */     // MIs[1] Operand 1
     /*  454643 */     // No operand predicates
     /*  454643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454675 */     GIR_RootConstrainSelectedInstOperands,
     /*  454676 */     // GIR_Coverage, 6938,
     /*  454676 */     GIR_EraseRootFromParent_Done,
     /*  454677 */   // Label 7792: @454677
     /*  454677 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(454763), // Rule ID 6939 //
     /*  454682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454729 */     // MIs[1] Operand 1
     /*  454729 */     // No operand predicates
     /*  454729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454761 */     GIR_RootConstrainSelectedInstOperands,
     /*  454762 */     // GIR_Coverage, 6939,
     /*  454762 */     GIR_EraseRootFromParent_Done,
     /*  454763 */   // Label 7793: @454763
     /*  454763 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(454849), // Rule ID 6942 //
     /*  454768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454815 */     // MIs[1] Operand 1
     /*  454815 */     // No operand predicates
     /*  454815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454847 */     GIR_RootConstrainSelectedInstOperands,
     /*  454848 */     // GIR_Coverage, 6942,
     /*  454848 */     GIR_EraseRootFromParent_Done,
     /*  454849 */   // Label 7794: @454849
     /*  454849 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(454935), // Rule ID 6943 //
     /*  454854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454901 */     // MIs[1] Operand 1
     /*  454901 */     // No operand predicates
     /*  454901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454933 */     GIR_RootConstrainSelectedInstOperands,
     /*  454934 */     // GIR_Coverage, 6943,
     /*  454934 */     GIR_EraseRootFromParent_Done,
     /*  454935 */   // Label 7795: @454935
     /*  454935 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(455021), // Rule ID 6946 //
     /*  454940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454987 */     // MIs[1] Operand 1
     /*  454987 */     // No operand predicates
     /*  454987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455019 */     GIR_RootConstrainSelectedInstOperands,
     /*  455020 */     // GIR_Coverage, 6946,
     /*  455020 */     GIR_EraseRootFromParent_Done,
     /*  455021 */   // Label 7796: @455021
     /*  455021 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(455107), // Rule ID 6947 //
     /*  455026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455073 */     // MIs[1] Operand 1
     /*  455073 */     // No operand predicates
     /*  455073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455105 */     GIR_RootConstrainSelectedInstOperands,
     /*  455106 */     // GIR_Coverage, 6947,
     /*  455106 */     GIR_EraseRootFromParent_Done,
     /*  455107 */   // Label 7797: @455107
     /*  455107 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(455193), // Rule ID 6950 //
     /*  455112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455159 */     // MIs[1] Operand 1
     /*  455159 */     // No operand predicates
     /*  455159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455191 */     GIR_RootConstrainSelectedInstOperands,
     /*  455192 */     // GIR_Coverage, 6950,
     /*  455192 */     GIR_EraseRootFromParent_Done,
     /*  455193 */   // Label 7798: @455193
     /*  455193 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(455279), // Rule ID 6951 //
     /*  455198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455245 */     // MIs[1] Operand 1
     /*  455245 */     // No operand predicates
     /*  455245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455277 */     GIR_RootConstrainSelectedInstOperands,
     /*  455278 */     // GIR_Coverage, 6951,
     /*  455278 */     GIR_EraseRootFromParent_Done,
     /*  455279 */   // Label 7799: @455279
     /*  455279 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(455365), // Rule ID 6954 //
     /*  455284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455331 */     // MIs[1] Operand 1
     /*  455331 */     // No operand predicates
     /*  455331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455363 */     GIR_RootConstrainSelectedInstOperands,
     /*  455364 */     // GIR_Coverage, 6954,
     /*  455364 */     GIR_EraseRootFromParent_Done,
     /*  455365 */   // Label 7800: @455365
     /*  455365 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(455451), // Rule ID 6955 //
     /*  455370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455417 */     // MIs[1] Operand 1
     /*  455417 */     // No operand predicates
     /*  455417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455449 */     GIR_RootConstrainSelectedInstOperands,
     /*  455450 */     // GIR_Coverage, 6955,
     /*  455450 */     GIR_EraseRootFromParent_Done,
     /*  455451 */   // Label 7801: @455451
     /*  455451 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(455537), // Rule ID 6958 //
     /*  455456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455503 */     // MIs[1] Operand 1
     /*  455503 */     // No operand predicates
     /*  455503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455535 */     GIR_RootConstrainSelectedInstOperands,
     /*  455536 */     // GIR_Coverage, 6958,
     /*  455536 */     GIR_EraseRootFromParent_Done,
     /*  455537 */   // Label 7802: @455537
     /*  455537 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(455623), // Rule ID 6959 //
     /*  455542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455589 */     // MIs[1] Operand 1
     /*  455589 */     // No operand predicates
     /*  455589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455621 */     GIR_RootConstrainSelectedInstOperands,
     /*  455622 */     // GIR_Coverage, 6959,
     /*  455622 */     GIR_EraseRootFromParent_Done,
     /*  455623 */   // Label 7803: @455623
     /*  455623 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(455709), // Rule ID 6962 //
     /*  455628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455675 */     // MIs[1] Operand 1
     /*  455675 */     // No operand predicates
     /*  455675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455707 */     GIR_RootConstrainSelectedInstOperands,
     /*  455708 */     // GIR_Coverage, 6962,
     /*  455708 */     GIR_EraseRootFromParent_Done,
     /*  455709 */   // Label 7804: @455709
     /*  455709 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(455795), // Rule ID 6963 //
     /*  455714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455761 */     // MIs[1] Operand 1
     /*  455761 */     // No operand predicates
     /*  455761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455793 */     GIR_RootConstrainSelectedInstOperands,
     /*  455794 */     // GIR_Coverage, 6963,
     /*  455794 */     GIR_EraseRootFromParent_Done,
     /*  455795 */   // Label 7805: @455795
     /*  455795 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(455881), // Rule ID 6966 //
     /*  455800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455847 */     // MIs[1] Operand 1
     /*  455847 */     // No operand predicates
     /*  455847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455879 */     GIR_RootConstrainSelectedInstOperands,
     /*  455880 */     // GIR_Coverage, 6966,
     /*  455880 */     GIR_EraseRootFromParent_Done,
     /*  455881 */   // Label 7806: @455881
     /*  455881 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(455967), // Rule ID 6967 //
     /*  455886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455933 */     // MIs[1] Operand 1
     /*  455933 */     // No operand predicates
     /*  455933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455965 */     GIR_RootConstrainSelectedInstOperands,
     /*  455966 */     // GIR_Coverage, 6967,
     /*  455966 */     GIR_EraseRootFromParent_Done,
     /*  455967 */   // Label 7807: @455967
     /*  455967 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(456053), // Rule ID 6970 //
     /*  455972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456019 */     // MIs[1] Operand 1
     /*  456019 */     // No operand predicates
     /*  456019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456051 */     GIR_RootConstrainSelectedInstOperands,
     /*  456052 */     // GIR_Coverage, 6970,
     /*  456052 */     GIR_EraseRootFromParent_Done,
     /*  456053 */   // Label 7808: @456053
     /*  456053 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(456139), // Rule ID 6971 //
     /*  456058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456105 */     // MIs[1] Operand 1
     /*  456105 */     // No operand predicates
     /*  456105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456137 */     GIR_RootConstrainSelectedInstOperands,
     /*  456138 */     // GIR_Coverage, 6971,
     /*  456138 */     GIR_EraseRootFromParent_Done,
     /*  456139 */   // Label 7809: @456139
     /*  456139 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(456225), // Rule ID 7150 //
     /*  456144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456191 */     // MIs[1] Operand 1
     /*  456191 */     // No operand predicates
     /*  456191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456200 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  456203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456223 */     GIR_RootConstrainSelectedInstOperands,
     /*  456224 */     // GIR_Coverage, 7150,
     /*  456224 */     GIR_EraseRootFromParent_Done,
     /*  456225 */   // Label 7810: @456225
     /*  456225 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(456311), // Rule ID 7151 //
     /*  456230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456277 */     // MIs[1] Operand 1
     /*  456277 */     // No operand predicates
     /*  456277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  456289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456309 */     GIR_RootConstrainSelectedInstOperands,
     /*  456310 */     // GIR_Coverage, 7151,
     /*  456310 */     GIR_EraseRootFromParent_Done,
     /*  456311 */   // Label 7811: @456311
     /*  456311 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(456397), // Rule ID 7154 //
     /*  456316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456363 */     // MIs[1] Operand 1
     /*  456363 */     // No operand predicates
     /*  456363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456395 */     GIR_RootConstrainSelectedInstOperands,
     /*  456396 */     // GIR_Coverage, 7154,
     /*  456396 */     GIR_EraseRootFromParent_Done,
     /*  456397 */   // Label 7812: @456397
     /*  456397 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(456483), // Rule ID 7155 //
     /*  456402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456449 */     // MIs[1] Operand 1
     /*  456449 */     // No operand predicates
     /*  456449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456481 */     GIR_RootConstrainSelectedInstOperands,
     /*  456482 */     // GIR_Coverage, 7155,
     /*  456482 */     GIR_EraseRootFromParent_Done,
     /*  456483 */   // Label 7813: @456483
     /*  456483 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(456569), // Rule ID 7158 //
     /*  456488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456535 */     // MIs[1] Operand 1
     /*  456535 */     // No operand predicates
     /*  456535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456567 */     GIR_RootConstrainSelectedInstOperands,
     /*  456568 */     // GIR_Coverage, 7158,
     /*  456568 */     GIR_EraseRootFromParent_Done,
     /*  456569 */   // Label 7814: @456569
     /*  456569 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(456655), // Rule ID 7159 //
     /*  456574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456621 */     // MIs[1] Operand 1
     /*  456621 */     // No operand predicates
     /*  456621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456653 */     GIR_RootConstrainSelectedInstOperands,
     /*  456654 */     // GIR_Coverage, 7159,
     /*  456654 */     GIR_EraseRootFromParent_Done,
     /*  456655 */   // Label 7815: @456655
     /*  456655 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(456741), // Rule ID 7162 //
     /*  456660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456707 */     // MIs[1] Operand 1
     /*  456707 */     // No operand predicates
     /*  456707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456739 */     GIR_RootConstrainSelectedInstOperands,
     /*  456740 */     // GIR_Coverage, 7162,
     /*  456740 */     GIR_EraseRootFromParent_Done,
     /*  456741 */   // Label 7816: @456741
     /*  456741 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(456827), // Rule ID 7163 //
     /*  456746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456793 */     // MIs[1] Operand 1
     /*  456793 */     // No operand predicates
     /*  456793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456825 */     GIR_RootConstrainSelectedInstOperands,
     /*  456826 */     // GIR_Coverage, 7163,
     /*  456826 */     GIR_EraseRootFromParent_Done,
     /*  456827 */   // Label 7817: @456827
     /*  456827 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(456913), // Rule ID 7166 //
     /*  456832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456879 */     // MIs[1] Operand 1
     /*  456879 */     // No operand predicates
     /*  456879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456911 */     GIR_RootConstrainSelectedInstOperands,
     /*  456912 */     // GIR_Coverage, 7166,
     /*  456912 */     GIR_EraseRootFromParent_Done,
     /*  456913 */   // Label 7818: @456913
     /*  456913 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(456999), // Rule ID 7167 //
     /*  456918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456965 */     // MIs[1] Operand 1
     /*  456965 */     // No operand predicates
     /*  456965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456997 */     GIR_RootConstrainSelectedInstOperands,
     /*  456998 */     // GIR_Coverage, 7167,
     /*  456998 */     GIR_EraseRootFromParent_Done,
     /*  456999 */   // Label 7819: @456999
     /*  456999 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(457085), // Rule ID 7170 //
     /*  457004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457051 */     // MIs[1] Operand 1
     /*  457051 */     // No operand predicates
     /*  457051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457083 */     GIR_RootConstrainSelectedInstOperands,
     /*  457084 */     // GIR_Coverage, 7170,
     /*  457084 */     GIR_EraseRootFromParent_Done,
     /*  457085 */   // Label 7820: @457085
     /*  457085 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(457171), // Rule ID 7171 //
     /*  457090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457137 */     // MIs[1] Operand 1
     /*  457137 */     // No operand predicates
     /*  457137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457169 */     GIR_RootConstrainSelectedInstOperands,
     /*  457170 */     // GIR_Coverage, 7171,
     /*  457170 */     GIR_EraseRootFromParent_Done,
     /*  457171 */   // Label 7821: @457171
     /*  457171 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(457257), // Rule ID 7174 //
     /*  457176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457223 */     // MIs[1] Operand 1
     /*  457223 */     // No operand predicates
     /*  457223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457255 */     GIR_RootConstrainSelectedInstOperands,
     /*  457256 */     // GIR_Coverage, 7174,
     /*  457256 */     GIR_EraseRootFromParent_Done,
     /*  457257 */   // Label 7822: @457257
     /*  457257 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(457343), // Rule ID 7175 //
     /*  457262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457309 */     // MIs[1] Operand 1
     /*  457309 */     // No operand predicates
     /*  457309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457318 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457341 */     GIR_RootConstrainSelectedInstOperands,
     /*  457342 */     // GIR_Coverage, 7175,
     /*  457342 */     GIR_EraseRootFromParent_Done,
     /*  457343 */   // Label 7823: @457343
     /*  457343 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(457429), // Rule ID 7178 //
     /*  457348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457395 */     // MIs[1] Operand 1
     /*  457395 */     // No operand predicates
     /*  457395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457427 */     GIR_RootConstrainSelectedInstOperands,
     /*  457428 */     // GIR_Coverage, 7178,
     /*  457428 */     GIR_EraseRootFromParent_Done,
     /*  457429 */   // Label 7824: @457429
     /*  457429 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(457515), // Rule ID 7179 //
     /*  457434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457481 */     // MIs[1] Operand 1
     /*  457481 */     // No operand predicates
     /*  457481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457513 */     GIR_RootConstrainSelectedInstOperands,
     /*  457514 */     // GIR_Coverage, 7179,
     /*  457514 */     GIR_EraseRootFromParent_Done,
     /*  457515 */   // Label 7825: @457515
     /*  457515 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(457601), // Rule ID 7182 //
     /*  457520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457567 */     // MIs[1] Operand 1
     /*  457567 */     // No operand predicates
     /*  457567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457599 */     GIR_RootConstrainSelectedInstOperands,
     /*  457600 */     // GIR_Coverage, 7182,
     /*  457600 */     GIR_EraseRootFromParent_Done,
     /*  457601 */   // Label 7826: @457601
     /*  457601 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(457687), // Rule ID 7183 //
     /*  457606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457653 */     // MIs[1] Operand 1
     /*  457653 */     // No operand predicates
     /*  457653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457685 */     GIR_RootConstrainSelectedInstOperands,
     /*  457686 */     // GIR_Coverage, 7183,
     /*  457686 */     GIR_EraseRootFromParent_Done,
     /*  457687 */   // Label 7827: @457687
     /*  457687 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(457773), // Rule ID 7186 //
     /*  457692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457739 */     // MIs[1] Operand 1
     /*  457739 */     // No operand predicates
     /*  457739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457771 */     GIR_RootConstrainSelectedInstOperands,
     /*  457772 */     // GIR_Coverage, 7186,
     /*  457772 */     GIR_EraseRootFromParent_Done,
     /*  457773 */   // Label 7828: @457773
     /*  457773 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(457859), // Rule ID 7187 //
     /*  457778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457825 */     // MIs[1] Operand 1
     /*  457825 */     // No operand predicates
     /*  457825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457857 */     GIR_RootConstrainSelectedInstOperands,
     /*  457858 */     // GIR_Coverage, 7187,
     /*  457858 */     GIR_EraseRootFromParent_Done,
     /*  457859 */   // Label 7829: @457859
     /*  457859 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(457945), // Rule ID 7190 //
     /*  457864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457911 */     // MIs[1] Operand 1
     /*  457911 */     // No operand predicates
     /*  457911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457943 */     GIR_RootConstrainSelectedInstOperands,
     /*  457944 */     // GIR_Coverage, 7190,
     /*  457944 */     GIR_EraseRootFromParent_Done,
     /*  457945 */   // Label 7830: @457945
     /*  457945 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(458031), // Rule ID 7191 //
     /*  457950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457997 */     // MIs[1] Operand 1
     /*  457997 */     // No operand predicates
     /*  457997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458029 */     GIR_RootConstrainSelectedInstOperands,
     /*  458030 */     // GIR_Coverage, 7191,
     /*  458030 */     GIR_EraseRootFromParent_Done,
     /*  458031 */   // Label 7831: @458031
     /*  458031 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(458117), // Rule ID 7194 //
     /*  458036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458083 */     // MIs[1] Operand 1
     /*  458083 */     // No operand predicates
     /*  458083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458092 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458115 */     GIR_RootConstrainSelectedInstOperands,
     /*  458116 */     // GIR_Coverage, 7194,
     /*  458116 */     GIR_EraseRootFromParent_Done,
     /*  458117 */   // Label 7832: @458117
     /*  458117 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(458203), // Rule ID 7195 //
     /*  458122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458169 */     // MIs[1] Operand 1
     /*  458169 */     // No operand predicates
     /*  458169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458201 */     GIR_RootConstrainSelectedInstOperands,
     /*  458202 */     // GIR_Coverage, 7195,
     /*  458202 */     GIR_EraseRootFromParent_Done,
     /*  458203 */   // Label 7833: @458203
     /*  458203 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(458289), // Rule ID 7198 //
     /*  458208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458255 */     // MIs[1] Operand 1
     /*  458255 */     // No operand predicates
     /*  458255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458264 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458287 */     GIR_RootConstrainSelectedInstOperands,
     /*  458288 */     // GIR_Coverage, 7198,
     /*  458288 */     GIR_EraseRootFromParent_Done,
     /*  458289 */   // Label 7834: @458289
     /*  458289 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(458375), // Rule ID 7199 //
     /*  458294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458341 */     // MIs[1] Operand 1
     /*  458341 */     // No operand predicates
     /*  458341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458373 */     GIR_RootConstrainSelectedInstOperands,
     /*  458374 */     // GIR_Coverage, 7199,
     /*  458374 */     GIR_EraseRootFromParent_Done,
     /*  458375 */   // Label 7835: @458375
     /*  458375 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(458461), // Rule ID 7202 //
     /*  458380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458427 */     // MIs[1] Operand 1
     /*  458427 */     // No operand predicates
     /*  458427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458459 */     GIR_RootConstrainSelectedInstOperands,
     /*  458460 */     // GIR_Coverage, 7202,
     /*  458460 */     GIR_EraseRootFromParent_Done,
     /*  458461 */   // Label 7836: @458461
     /*  458461 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(458547), // Rule ID 7203 //
     /*  458466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458513 */     // MIs[1] Operand 1
     /*  458513 */     // No operand predicates
     /*  458513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458545 */     GIR_RootConstrainSelectedInstOperands,
     /*  458546 */     // GIR_Coverage, 7203,
     /*  458546 */     GIR_EraseRootFromParent_Done,
     /*  458547 */   // Label 7837: @458547
     /*  458547 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(458633), // Rule ID 7206 //
     /*  458552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458599 */     // MIs[1] Operand 1
     /*  458599 */     // No operand predicates
     /*  458599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458631 */     GIR_RootConstrainSelectedInstOperands,
     /*  458632 */     // GIR_Coverage, 7206,
     /*  458632 */     GIR_EraseRootFromParent_Done,
     /*  458633 */   // Label 7838: @458633
     /*  458633 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(458719), // Rule ID 7207 //
     /*  458638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458685 */     // MIs[1] Operand 1
     /*  458685 */     // No operand predicates
     /*  458685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458717 */     GIR_RootConstrainSelectedInstOperands,
     /*  458718 */     // GIR_Coverage, 7207,
     /*  458718 */     GIR_EraseRootFromParent_Done,
     /*  458719 */   // Label 7839: @458719
     /*  458719 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(458805), // Rule ID 7210 //
     /*  458724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458771 */     // MIs[1] Operand 1
     /*  458771 */     // No operand predicates
     /*  458771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458803 */     GIR_RootConstrainSelectedInstOperands,
     /*  458804 */     // GIR_Coverage, 7210,
     /*  458804 */     GIR_EraseRootFromParent_Done,
     /*  458805 */   // Label 7840: @458805
     /*  458805 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(458891), // Rule ID 7211 //
     /*  458810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458857 */     // MIs[1] Operand 1
     /*  458857 */     // No operand predicates
     /*  458857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458889 */     GIR_RootConstrainSelectedInstOperands,
     /*  458890 */     // GIR_Coverage, 7211,
     /*  458890 */     GIR_EraseRootFromParent_Done,
     /*  458891 */   // Label 7841: @458891
     /*  458891 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(458977), // Rule ID 7214 //
     /*  458896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458943 */     // MIs[1] Operand 1
     /*  458943 */     // No operand predicates
     /*  458943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458975 */     GIR_RootConstrainSelectedInstOperands,
     /*  458976 */     // GIR_Coverage, 7214,
     /*  458976 */     GIR_EraseRootFromParent_Done,
     /*  458977 */   // Label 7842: @458977
     /*  458977 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(459063), // Rule ID 7215 //
     /*  458982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459029 */     // MIs[1] Operand 1
     /*  459029 */     // No operand predicates
     /*  459029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459061 */     GIR_RootConstrainSelectedInstOperands,
     /*  459062 */     // GIR_Coverage, 7215,
     /*  459062 */     GIR_EraseRootFromParent_Done,
     /*  459063 */   // Label 7843: @459063
     /*  459063 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(459149), // Rule ID 7218 //
     /*  459068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459115 */     // MIs[1] Operand 1
     /*  459115 */     // No operand predicates
     /*  459115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459147 */     GIR_RootConstrainSelectedInstOperands,
     /*  459148 */     // GIR_Coverage, 7218,
     /*  459148 */     GIR_EraseRootFromParent_Done,
     /*  459149 */   // Label 7844: @459149
     /*  459149 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(459235), // Rule ID 7219 //
     /*  459154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459201 */     // MIs[1] Operand 1
     /*  459201 */     // No operand predicates
     /*  459201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459233 */     GIR_RootConstrainSelectedInstOperands,
     /*  459234 */     // GIR_Coverage, 7219,
     /*  459234 */     GIR_EraseRootFromParent_Done,
     /*  459235 */   // Label 7845: @459235
     /*  459235 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(459321), // Rule ID 7222 //
     /*  459240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459287 */     // MIs[1] Operand 1
     /*  459287 */     // No operand predicates
     /*  459287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459319 */     GIR_RootConstrainSelectedInstOperands,
     /*  459320 */     // GIR_Coverage, 7222,
     /*  459320 */     GIR_EraseRootFromParent_Done,
     /*  459321 */   // Label 7846: @459321
     /*  459321 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(459407), // Rule ID 7223 //
     /*  459326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459373 */     // MIs[1] Operand 1
     /*  459373 */     // No operand predicates
     /*  459373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459405 */     GIR_RootConstrainSelectedInstOperands,
     /*  459406 */     // GIR_Coverage, 7223,
     /*  459406 */     GIR_EraseRootFromParent_Done,
     /*  459407 */   // Label 7847: @459407
     /*  459407 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(459493), // Rule ID 7226 //
     /*  459412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459459 */     // MIs[1] Operand 1
     /*  459459 */     // No operand predicates
     /*  459459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459491 */     GIR_RootConstrainSelectedInstOperands,
     /*  459492 */     // GIR_Coverage, 7226,
     /*  459492 */     GIR_EraseRootFromParent_Done,
     /*  459493 */   // Label 7848: @459493
     /*  459493 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(459579), // Rule ID 7227 //
     /*  459498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459545 */     // MIs[1] Operand 1
     /*  459545 */     // No operand predicates
     /*  459545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459577 */     GIR_RootConstrainSelectedInstOperands,
     /*  459578 */     // GIR_Coverage, 7227,
     /*  459578 */     GIR_EraseRootFromParent_Done,
     /*  459579 */   // Label 7849: @459579
     /*  459579 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(459665), // Rule ID 7230 //
     /*  459584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459631 */     // MIs[1] Operand 1
     /*  459631 */     // No operand predicates
     /*  459631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459663 */     GIR_RootConstrainSelectedInstOperands,
     /*  459664 */     // GIR_Coverage, 7230,
     /*  459664 */     GIR_EraseRootFromParent_Done,
     /*  459665 */   // Label 7850: @459665
     /*  459665 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(459751), // Rule ID 7231 //
     /*  459670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459717 */     // MIs[1] Operand 1
     /*  459717 */     // No operand predicates
     /*  459717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459749 */     GIR_RootConstrainSelectedInstOperands,
     /*  459750 */     // GIR_Coverage, 7231,
     /*  459750 */     GIR_EraseRootFromParent_Done,
     /*  459751 */   // Label 7851: @459751
     /*  459751 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(459837), // Rule ID 7234 //
     /*  459756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459803 */     // MIs[1] Operand 1
     /*  459803 */     // No operand predicates
     /*  459803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459835 */     GIR_RootConstrainSelectedInstOperands,
     /*  459836 */     // GIR_Coverage, 7234,
     /*  459836 */     GIR_EraseRootFromParent_Done,
     /*  459837 */   // Label 7852: @459837
     /*  459837 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(459923), // Rule ID 7235 //
     /*  459842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459889 */     // MIs[1] Operand 1
     /*  459889 */     // No operand predicates
     /*  459889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459921 */     GIR_RootConstrainSelectedInstOperands,
     /*  459922 */     // GIR_Coverage, 7235,
     /*  459922 */     GIR_EraseRootFromParent_Done,
     /*  459923 */   // Label 7853: @459923
     /*  459923 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(460009), // Rule ID 7446 //
     /*  459928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459975 */     // MIs[1] Operand 1
     /*  459975 */     // No operand predicates
     /*  459975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459984 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  459987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460007 */     GIR_RootConstrainSelectedInstOperands,
     /*  460008 */     // GIR_Coverage, 7446,
     /*  460008 */     GIR_EraseRootFromParent_Done,
     /*  460009 */   // Label 7854: @460009
     /*  460009 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(460095), // Rule ID 7447 //
     /*  460014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460061 */     // MIs[1] Operand 1
     /*  460061 */     // No operand predicates
     /*  460061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  460073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460093 */     GIR_RootConstrainSelectedInstOperands,
     /*  460094 */     // GIR_Coverage, 7447,
     /*  460094 */     GIR_EraseRootFromParent_Done,
     /*  460095 */   // Label 7855: @460095
     /*  460095 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(460181), // Rule ID 7450 //
     /*  460100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  460117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460147 */     // MIs[1] Operand 1
     /*  460147 */     // No operand predicates
     /*  460147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460156 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460179 */     GIR_RootConstrainSelectedInstOperands,
     /*  460180 */     // GIR_Coverage, 7450,
     /*  460180 */     GIR_EraseRootFromParent_Done,
     /*  460181 */   // Label 7856: @460181
     /*  460181 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(460267), // Rule ID 7451 //
     /*  460186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  460203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460233 */     // MIs[1] Operand 1
     /*  460233 */     // No operand predicates
     /*  460233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460265 */     GIR_RootConstrainSelectedInstOperands,
     /*  460266 */     // GIR_Coverage, 7451,
     /*  460266 */     GIR_EraseRootFromParent_Done,
     /*  460267 */   // Label 7857: @460267
     /*  460267 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(460353), // Rule ID 7454 //
     /*  460272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460319 */     // MIs[1] Operand 1
     /*  460319 */     // No operand predicates
     /*  460319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460351 */     GIR_RootConstrainSelectedInstOperands,
     /*  460352 */     // GIR_Coverage, 7454,
     /*  460352 */     GIR_EraseRootFromParent_Done,
     /*  460353 */   // Label 7858: @460353
     /*  460353 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(460439), // Rule ID 7455 //
     /*  460358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460405 */     // MIs[1] Operand 1
     /*  460405 */     // No operand predicates
     /*  460405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460437 */     GIR_RootConstrainSelectedInstOperands,
     /*  460438 */     // GIR_Coverage, 7455,
     /*  460438 */     GIR_EraseRootFromParent_Done,
     /*  460439 */   // Label 7859: @460439
     /*  460439 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(460525), // Rule ID 7458 //
     /*  460444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460491 */     // MIs[1] Operand 1
     /*  460491 */     // No operand predicates
     /*  460491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460523 */     GIR_RootConstrainSelectedInstOperands,
     /*  460524 */     // GIR_Coverage, 7458,
     /*  460524 */     GIR_EraseRootFromParent_Done,
     /*  460525 */   // Label 7860: @460525
     /*  460525 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(460611), // Rule ID 7459 //
     /*  460530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460577 */     // MIs[1] Operand 1
     /*  460577 */     // No operand predicates
     /*  460577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460609 */     GIR_RootConstrainSelectedInstOperands,
     /*  460610 */     // GIR_Coverage, 7459,
     /*  460610 */     GIR_EraseRootFromParent_Done,
     /*  460611 */   // Label 7861: @460611
     /*  460611 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(460697), // Rule ID 7462 //
     /*  460616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460663 */     // MIs[1] Operand 1
     /*  460663 */     // No operand predicates
     /*  460663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460695 */     GIR_RootConstrainSelectedInstOperands,
     /*  460696 */     // GIR_Coverage, 7462,
     /*  460696 */     GIR_EraseRootFromParent_Done,
     /*  460697 */   // Label 7862: @460697
     /*  460697 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(460783), // Rule ID 7463 //
     /*  460702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460749 */     // MIs[1] Operand 1
     /*  460749 */     // No operand predicates
     /*  460749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460758 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460781 */     GIR_RootConstrainSelectedInstOperands,
     /*  460782 */     // GIR_Coverage, 7463,
     /*  460782 */     GIR_EraseRootFromParent_Done,
     /*  460783 */   // Label 7863: @460783
     /*  460783 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(460869), // Rule ID 7466 //
     /*  460788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460835 */     // MIs[1] Operand 1
     /*  460835 */     // No operand predicates
     /*  460835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460867 */     GIR_RootConstrainSelectedInstOperands,
     /*  460868 */     // GIR_Coverage, 7466,
     /*  460868 */     GIR_EraseRootFromParent_Done,
     /*  460869 */   // Label 7864: @460869
     /*  460869 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(460955), // Rule ID 7467 //
     /*  460874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460921 */     // MIs[1] Operand 1
     /*  460921 */     // No operand predicates
     /*  460921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460930 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460953 */     GIR_RootConstrainSelectedInstOperands,
     /*  460954 */     // GIR_Coverage, 7467,
     /*  460954 */     GIR_EraseRootFromParent_Done,
     /*  460955 */   // Label 7865: @460955
     /*  460955 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(461041), // Rule ID 7470 //
     /*  460960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  460977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461007 */     // MIs[1] Operand 1
     /*  461007 */     // No operand predicates
     /*  461007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  461019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461039 */     GIR_RootConstrainSelectedInstOperands,
     /*  461040 */     // GIR_Coverage, 7470,
     /*  461040 */     GIR_EraseRootFromParent_Done,
     /*  461041 */   // Label 7866: @461041
     /*  461041 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(461127), // Rule ID 7471 //
     /*  461046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461093 */     // MIs[1] Operand 1
     /*  461093 */     // No operand predicates
     /*  461093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  461105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461125 */     GIR_RootConstrainSelectedInstOperands,
     /*  461126 */     // GIR_Coverage, 7471,
     /*  461126 */     GIR_EraseRootFromParent_Done,
     /*  461127 */   // Label 7867: @461127
     /*  461127 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(461213), // Rule ID 7474 //
     /*  461132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461179 */     // MIs[1] Operand 1
     /*  461179 */     // No operand predicates
     /*  461179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461211 */     GIR_RootConstrainSelectedInstOperands,
     /*  461212 */     // GIR_Coverage, 7474,
     /*  461212 */     GIR_EraseRootFromParent_Done,
     /*  461213 */   // Label 7868: @461213
     /*  461213 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(461299), // Rule ID 7475 //
     /*  461218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461265 */     // MIs[1] Operand 1
     /*  461265 */     // No operand predicates
     /*  461265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461297 */     GIR_RootConstrainSelectedInstOperands,
     /*  461298 */     // GIR_Coverage, 7475,
     /*  461298 */     GIR_EraseRootFromParent_Done,
     /*  461299 */   // Label 7869: @461299
     /*  461299 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(461385), // Rule ID 7478 //
     /*  461304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461351 */     // MIs[1] Operand 1
     /*  461351 */     // No operand predicates
     /*  461351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461383 */     GIR_RootConstrainSelectedInstOperands,
     /*  461384 */     // GIR_Coverage, 7478,
     /*  461384 */     GIR_EraseRootFromParent_Done,
     /*  461385 */   // Label 7870: @461385
     /*  461385 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(461471), // Rule ID 7479 //
     /*  461390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461437 */     // MIs[1] Operand 1
     /*  461437 */     // No operand predicates
     /*  461437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461469 */     GIR_RootConstrainSelectedInstOperands,
     /*  461470 */     // GIR_Coverage, 7479,
     /*  461470 */     GIR_EraseRootFromParent_Done,
     /*  461471 */   // Label 7871: @461471
     /*  461471 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(461557), // Rule ID 7482 //
     /*  461476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461523 */     // MIs[1] Operand 1
     /*  461523 */     // No operand predicates
     /*  461523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461555 */     GIR_RootConstrainSelectedInstOperands,
     /*  461556 */     // GIR_Coverage, 7482,
     /*  461556 */     GIR_EraseRootFromParent_Done,
     /*  461557 */   // Label 7872: @461557
     /*  461557 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(461643), // Rule ID 7483 //
     /*  461562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461609 */     // MIs[1] Operand 1
     /*  461609 */     // No operand predicates
     /*  461609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461641 */     GIR_RootConstrainSelectedInstOperands,
     /*  461642 */     // GIR_Coverage, 7483,
     /*  461642 */     GIR_EraseRootFromParent_Done,
     /*  461643 */   // Label 7873: @461643
     /*  461643 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(461729), // Rule ID 7486 //
     /*  461648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461695 */     // MIs[1] Operand 1
     /*  461695 */     // No operand predicates
     /*  461695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461727 */     GIR_RootConstrainSelectedInstOperands,
     /*  461728 */     // GIR_Coverage, 7486,
     /*  461728 */     GIR_EraseRootFromParent_Done,
     /*  461729 */   // Label 7874: @461729
     /*  461729 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(461815), // Rule ID 7487 //
     /*  461734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461781 */     // MIs[1] Operand 1
     /*  461781 */     // No operand predicates
     /*  461781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461813 */     GIR_RootConstrainSelectedInstOperands,
     /*  461814 */     // GIR_Coverage, 7487,
     /*  461814 */     GIR_EraseRootFromParent_Done,
     /*  461815 */   // Label 7875: @461815
     /*  461815 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(461901), // Rule ID 7490 //
     /*  461820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461867 */     // MIs[1] Operand 1
     /*  461867 */     // No operand predicates
     /*  461867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461899 */     GIR_RootConstrainSelectedInstOperands,
     /*  461900 */     // GIR_Coverage, 7490,
     /*  461900 */     GIR_EraseRootFromParent_Done,
     /*  461901 */   // Label 7876: @461901
     /*  461901 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(461987), // Rule ID 7491 //
     /*  461906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461953 */     // MIs[1] Operand 1
     /*  461953 */     // No operand predicates
     /*  461953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461985 */     GIR_RootConstrainSelectedInstOperands,
     /*  461986 */     // GIR_Coverage, 7491,
     /*  461986 */     GIR_EraseRootFromParent_Done,
     /*  461987 */   // Label 7877: @461987
     /*  461987 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(462073), // Rule ID 7494 //
     /*  461992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462039 */     // MIs[1] Operand 1
     /*  462039 */     // No operand predicates
     /*  462039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462071 */     GIR_RootConstrainSelectedInstOperands,
     /*  462072 */     // GIR_Coverage, 7494,
     /*  462072 */     GIR_EraseRootFromParent_Done,
     /*  462073 */   // Label 7878: @462073
     /*  462073 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(462159), // Rule ID 7495 //
     /*  462078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462125 */     // MIs[1] Operand 1
     /*  462125 */     // No operand predicates
     /*  462125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462157 */     GIR_RootConstrainSelectedInstOperands,
     /*  462158 */     // GIR_Coverage, 7495,
     /*  462158 */     GIR_EraseRootFromParent_Done,
     /*  462159 */   // Label 7879: @462159
     /*  462159 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(462245), // Rule ID 7498 //
     /*  462164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  462175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  462178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462211 */     // MIs[1] Operand 1
     /*  462211 */     // No operand predicates
     /*  462211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462243 */     GIR_RootConstrainSelectedInstOperands,
     /*  462244 */     // GIR_Coverage, 7498,
     /*  462244 */     GIR_EraseRootFromParent_Done,
     /*  462245 */   // Label 7880: @462245
     /*  462245 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(462331), // Rule ID 7499 //
     /*  462250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  462261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  462264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462297 */     // MIs[1] Operand 1
     /*  462297 */     // No operand predicates
     /*  462297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462329 */     GIR_RootConstrainSelectedInstOperands,
     /*  462330 */     // GIR_Coverage, 7499,
     /*  462330 */     GIR_EraseRootFromParent_Done,
     /*  462331 */   // Label 7881: @462331
     /*  462331 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(462417), // Rule ID 7502 //
     /*  462336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  462347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  462350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462383 */     // MIs[1] Operand 1
     /*  462383 */     // No operand predicates
     /*  462383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462415 */     GIR_RootConstrainSelectedInstOperands,
     /*  462416 */     // GIR_Coverage, 7502,
     /*  462416 */     GIR_EraseRootFromParent_Done,
     /*  462417 */   // Label 7882: @462417
     /*  462417 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(462503), // Rule ID 7503 //
     /*  462422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  462433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  462436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462469 */     // MIs[1] Operand 1
     /*  462469 */     // No operand predicates
     /*  462469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462501 */     GIR_RootConstrainSelectedInstOperands,
     /*  462502 */     // GIR_Coverage, 7503,
     /*  462502 */     GIR_EraseRootFromParent_Done,
     /*  462503 */   // Label 7883: @462503
     /*  462503 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(462589), // Rule ID 7626 //
     /*  462508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462555 */     // MIs[1] Operand 1
     /*  462555 */     // No operand predicates
     /*  462555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462564 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462587 */     GIR_RootConstrainSelectedInstOperands,
     /*  462588 */     // GIR_Coverage, 7626,
     /*  462588 */     GIR_EraseRootFromParent_Done,
     /*  462589 */   // Label 7884: @462589
     /*  462589 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(462675), // Rule ID 7627 //
     /*  462594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462641 */     // MIs[1] Operand 1
     /*  462641 */     // No operand predicates
     /*  462641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462650 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462673 */     GIR_RootConstrainSelectedInstOperands,
     /*  462674 */     // GIR_Coverage, 7627,
     /*  462674 */     GIR_EraseRootFromParent_Done,
     /*  462675 */   // Label 7885: @462675
     /*  462675 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(462761), // Rule ID 7630 //
     /*  462680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462727 */     // MIs[1] Operand 1
     /*  462727 */     // No operand predicates
     /*  462727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462736 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462759 */     GIR_RootConstrainSelectedInstOperands,
     /*  462760 */     // GIR_Coverage, 7630,
     /*  462760 */     GIR_EraseRootFromParent_Done,
     /*  462761 */   // Label 7886: @462761
     /*  462761 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(462847), // Rule ID 7631 //
     /*  462766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462813 */     // MIs[1] Operand 1
     /*  462813 */     // No operand predicates
     /*  462813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462845 */     GIR_RootConstrainSelectedInstOperands,
     /*  462846 */     // GIR_Coverage, 7631,
     /*  462846 */     GIR_EraseRootFromParent_Done,
     /*  462847 */   // Label 7887: @462847
     /*  462847 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(462933), // Rule ID 7634 //
     /*  462852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462899 */     // MIs[1] Operand 1
     /*  462899 */     // No operand predicates
     /*  462899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462931 */     GIR_RootConstrainSelectedInstOperands,
     /*  462932 */     // GIR_Coverage, 7634,
     /*  462932 */     GIR_EraseRootFromParent_Done,
     /*  462933 */   // Label 7888: @462933
     /*  462933 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(463019), // Rule ID 7635 //
     /*  462938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462985 */     // MIs[1] Operand 1
     /*  462985 */     // No operand predicates
     /*  462985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462994 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463017 */     GIR_RootConstrainSelectedInstOperands,
     /*  463018 */     // GIR_Coverage, 7635,
     /*  463018 */     GIR_EraseRootFromParent_Done,
     /*  463019 */   // Label 7889: @463019
     /*  463019 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(463105), // Rule ID 7638 //
     /*  463024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463071 */     // MIs[1] Operand 1
     /*  463071 */     // No operand predicates
     /*  463071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463103 */     GIR_RootConstrainSelectedInstOperands,
     /*  463104 */     // GIR_Coverage, 7638,
     /*  463104 */     GIR_EraseRootFromParent_Done,
     /*  463105 */   // Label 7890: @463105
     /*  463105 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(463191), // Rule ID 7639 //
     /*  463110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463157 */     // MIs[1] Operand 1
     /*  463157 */     // No operand predicates
     /*  463157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463166 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463189 */     GIR_RootConstrainSelectedInstOperands,
     /*  463190 */     // GIR_Coverage, 7639,
     /*  463190 */     GIR_EraseRootFromParent_Done,
     /*  463191 */   // Label 7891: @463191
     /*  463191 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(463277), // Rule ID 7642 //
     /*  463196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463243 */     // MIs[1] Operand 1
     /*  463243 */     // No operand predicates
     /*  463243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463275 */     GIR_RootConstrainSelectedInstOperands,
     /*  463276 */     // GIR_Coverage, 7642,
     /*  463276 */     GIR_EraseRootFromParent_Done,
     /*  463277 */   // Label 7892: @463277
     /*  463277 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(463363), // Rule ID 7643 //
     /*  463282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463329 */     // MIs[1] Operand 1
     /*  463329 */     // No operand predicates
     /*  463329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463361 */     GIR_RootConstrainSelectedInstOperands,
     /*  463362 */     // GIR_Coverage, 7643,
     /*  463362 */     GIR_EraseRootFromParent_Done,
     /*  463363 */   // Label 7893: @463363
     /*  463363 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(463449), // Rule ID 7646 //
     /*  463368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  463379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  463382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463415 */     // MIs[1] Operand 1
     /*  463415 */     // No operand predicates
     /*  463415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463447 */     GIR_RootConstrainSelectedInstOperands,
     /*  463448 */     // GIR_Coverage, 7646,
     /*  463448 */     GIR_EraseRootFromParent_Done,
     /*  463449 */   // Label 7894: @463449
     /*  463449 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(463535), // Rule ID 7647 //
     /*  463454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  463465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  463468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463501 */     // MIs[1] Operand 1
     /*  463501 */     // No operand predicates
     /*  463501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463533 */     GIR_RootConstrainSelectedInstOperands,
     /*  463534 */     // GIR_Coverage, 7647,
     /*  463534 */     GIR_EraseRootFromParent_Done,
     /*  463535 */   // Label 7895: @463535
     /*  463535 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(463621), // Rule ID 7650 //
     /*  463540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463587 */     // MIs[1] Operand 1
     /*  463587 */     // No operand predicates
     /*  463587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463619 */     GIR_RootConstrainSelectedInstOperands,
     /*  463620 */     // GIR_Coverage, 7650,
     /*  463620 */     GIR_EraseRootFromParent_Done,
     /*  463621 */   // Label 7896: @463621
     /*  463621 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(463707), // Rule ID 7651 //
     /*  463626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463673 */     // MIs[1] Operand 1
     /*  463673 */     // No operand predicates
     /*  463673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463705 */     GIR_RootConstrainSelectedInstOperands,
     /*  463706 */     // GIR_Coverage, 7651,
     /*  463706 */     GIR_EraseRootFromParent_Done,
     /*  463707 */   // Label 7897: @463707
     /*  463707 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(463793), // Rule ID 7654 //
     /*  463712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463759 */     // MIs[1] Operand 1
     /*  463759 */     // No operand predicates
     /*  463759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463791 */     GIR_RootConstrainSelectedInstOperands,
     /*  463792 */     // GIR_Coverage, 7654,
     /*  463792 */     GIR_EraseRootFromParent_Done,
     /*  463793 */   // Label 7898: @463793
     /*  463793 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(463879), // Rule ID 7655 //
     /*  463798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463845 */     // MIs[1] Operand 1
     /*  463845 */     // No operand predicates
     /*  463845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463877 */     GIR_RootConstrainSelectedInstOperands,
     /*  463878 */     // GIR_Coverage, 7655,
     /*  463878 */     GIR_EraseRootFromParent_Done,
     /*  463879 */   // Label 7899: @463879
     /*  463879 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(463965), // Rule ID 7658 //
     /*  463884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463931 */     // MIs[1] Operand 1
     /*  463931 */     // No operand predicates
     /*  463931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463963 */     GIR_RootConstrainSelectedInstOperands,
     /*  463964 */     // GIR_Coverage, 7658,
     /*  463964 */     GIR_EraseRootFromParent_Done,
     /*  463965 */   // Label 7900: @463965
     /*  463965 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(464051), // Rule ID 7659 //
     /*  463970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464017 */     // MIs[1] Operand 1
     /*  464017 */     // No operand predicates
     /*  464017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464049 */     GIR_RootConstrainSelectedInstOperands,
     /*  464050 */     // GIR_Coverage, 7659,
     /*  464050 */     GIR_EraseRootFromParent_Done,
     /*  464051 */   // Label 7901: @464051
     /*  464051 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(464137), // Rule ID 7662 //
     /*  464056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464103 */     // MIs[1] Operand 1
     /*  464103 */     // No operand predicates
     /*  464103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464135 */     GIR_RootConstrainSelectedInstOperands,
     /*  464136 */     // GIR_Coverage, 7662,
     /*  464136 */     GIR_EraseRootFromParent_Done,
     /*  464137 */   // Label 7902: @464137
     /*  464137 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(464223), // Rule ID 7663 //
     /*  464142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464189 */     // MIs[1] Operand 1
     /*  464189 */     // No operand predicates
     /*  464189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464221 */     GIR_RootConstrainSelectedInstOperands,
     /*  464222 */     // GIR_Coverage, 7663,
     /*  464222 */     GIR_EraseRootFromParent_Done,
     /*  464223 */   // Label 7903: @464223
     /*  464223 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(464309), // Rule ID 7666 //
     /*  464228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464275 */     // MIs[1] Operand 1
     /*  464275 */     // No operand predicates
     /*  464275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464307 */     GIR_RootConstrainSelectedInstOperands,
     /*  464308 */     // GIR_Coverage, 7666,
     /*  464308 */     GIR_EraseRootFromParent_Done,
     /*  464309 */   // Label 7904: @464309
     /*  464309 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(464395), // Rule ID 7667 //
     /*  464314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464361 */     // MIs[1] Operand 1
     /*  464361 */     // No operand predicates
     /*  464361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464393 */     GIR_RootConstrainSelectedInstOperands,
     /*  464394 */     // GIR_Coverage, 7667,
     /*  464394 */     GIR_EraseRootFromParent_Done,
     /*  464395 */   // Label 7905: @464395
     /*  464395 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(464481), // Rule ID 7670 //
     /*  464400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464447 */     // MIs[1] Operand 1
     /*  464447 */     // No operand predicates
     /*  464447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464479 */     GIR_RootConstrainSelectedInstOperands,
     /*  464480 */     // GIR_Coverage, 7670,
     /*  464480 */     GIR_EraseRootFromParent_Done,
     /*  464481 */   // Label 7906: @464481
     /*  464481 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(464567), // Rule ID 7671 //
     /*  464486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464533 */     // MIs[1] Operand 1
     /*  464533 */     // No operand predicates
     /*  464533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464565 */     GIR_RootConstrainSelectedInstOperands,
     /*  464566 */     // GIR_Coverage, 7671,
     /*  464566 */     GIR_EraseRootFromParent_Done,
     /*  464567 */   // Label 7907: @464567
     /*  464567 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(464653), // Rule ID 7674 //
     /*  464572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464619 */     // MIs[1] Operand 1
     /*  464619 */     // No operand predicates
     /*  464619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464651 */     GIR_RootConstrainSelectedInstOperands,
     /*  464652 */     // GIR_Coverage, 7674,
     /*  464652 */     GIR_EraseRootFromParent_Done,
     /*  464653 */   // Label 7908: @464653
     /*  464653 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(464739), // Rule ID 7675 //
     /*  464658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464705 */     // MIs[1] Operand 1
     /*  464705 */     // No operand predicates
     /*  464705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464737 */     GIR_RootConstrainSelectedInstOperands,
     /*  464738 */     // GIR_Coverage, 7675,
     /*  464738 */     GIR_EraseRootFromParent_Done,
     /*  464739 */   // Label 7909: @464739
     /*  464739 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(464825), // Rule ID 7678 //
     /*  464744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464791 */     // MIs[1] Operand 1
     /*  464791 */     // No operand predicates
     /*  464791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464823 */     GIR_RootConstrainSelectedInstOperands,
     /*  464824 */     // GIR_Coverage, 7678,
     /*  464824 */     GIR_EraseRootFromParent_Done,
     /*  464825 */   // Label 7910: @464825
     /*  464825 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(464911), // Rule ID 7679 //
     /*  464830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464877 */     // MIs[1] Operand 1
     /*  464877 */     // No operand predicates
     /*  464877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464909 */     GIR_RootConstrainSelectedInstOperands,
     /*  464910 */     // GIR_Coverage, 7679,
     /*  464910 */     GIR_EraseRootFromParent_Done,
     /*  464911 */   // Label 7911: @464911
     /*  464911 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(464997), // Rule ID 7682 //
     /*  464916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464963 */     // MIs[1] Operand 1
     /*  464963 */     // No operand predicates
     /*  464963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464995 */     GIR_RootConstrainSelectedInstOperands,
     /*  464996 */     // GIR_Coverage, 7682,
     /*  464996 */     GIR_EraseRootFromParent_Done,
     /*  464997 */   // Label 7912: @464997
     /*  464997 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(465083), // Rule ID 7683 //
     /*  465002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  465005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  465013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  465016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  465019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465049 */     // MIs[1] Operand 1
     /*  465049 */     // No operand predicates
     /*  465049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  465061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465081 */     GIR_RootConstrainSelectedInstOperands,
     /*  465082 */     // GIR_Coverage, 7683,
     /*  465082 */     GIR_EraseRootFromParent_Done,
     /*  465083 */   // Label 7913: @465083
     /*  465083 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(465172), // Rule ID 14112 //
     /*  465088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465135 */     // MIs[1] Operand 1
     /*  465135 */     // No operand predicates
     /*  465135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  465147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465170 */     GIR_RootConstrainSelectedInstOperands,
     /*  465171 */     // GIR_Coverage, 14112,
     /*  465171 */     GIR_EraseRootFromParent_Done,
     /*  465172 */   // Label 7914: @465172
     /*  465172 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(465261), // Rule ID 14113 //
     /*  465177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465224 */     // MIs[1] Operand 1
     /*  465224 */     // No operand predicates
     /*  465224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465233 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  465236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465259 */     GIR_RootConstrainSelectedInstOperands,
     /*  465260 */     // GIR_Coverage, 14113,
     /*  465260 */     GIR_EraseRootFromParent_Done,
     /*  465261 */   // Label 7915: @465261
     /*  465261 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(465350), // Rule ID 14116 //
     /*  465266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  465283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465313 */     // MIs[1] Operand 1
     /*  465313 */     // No operand predicates
     /*  465313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465348 */     GIR_RootConstrainSelectedInstOperands,
     /*  465349 */     // GIR_Coverage, 14116,
     /*  465349 */     GIR_EraseRootFromParent_Done,
     /*  465350 */   // Label 7916: @465350
     /*  465350 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(465439), // Rule ID 14117 //
     /*  465355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  465372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465402 */     // MIs[1] Operand 1
     /*  465402 */     // No operand predicates
     /*  465402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465411 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465437 */     GIR_RootConstrainSelectedInstOperands,
     /*  465438 */     // GIR_Coverage, 14117,
     /*  465438 */     GIR_EraseRootFromParent_Done,
     /*  465439 */   // Label 7917: @465439
     /*  465439 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(465528), // Rule ID 14120 //
     /*  465444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465491 */     // MIs[1] Operand 1
     /*  465491 */     // No operand predicates
     /*  465491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465526 */     GIR_RootConstrainSelectedInstOperands,
     /*  465527 */     // GIR_Coverage, 14120,
     /*  465527 */     GIR_EraseRootFromParent_Done,
     /*  465528 */   // Label 7918: @465528
     /*  465528 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(465617), // Rule ID 14121 //
     /*  465533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465580 */     // MIs[1] Operand 1
     /*  465580 */     // No operand predicates
     /*  465580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465615 */     GIR_RootConstrainSelectedInstOperands,
     /*  465616 */     // GIR_Coverage, 14121,
     /*  465616 */     GIR_EraseRootFromParent_Done,
     /*  465617 */   // Label 7919: @465617
     /*  465617 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(465706), // Rule ID 14124 //
     /*  465622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465669 */     // MIs[1] Operand 1
     /*  465669 */     // No operand predicates
     /*  465669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465704 */     GIR_RootConstrainSelectedInstOperands,
     /*  465705 */     // GIR_Coverage, 14124,
     /*  465705 */     GIR_EraseRootFromParent_Done,
     /*  465706 */   // Label 7920: @465706
     /*  465706 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(465795), // Rule ID 14125 //
     /*  465711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465758 */     // MIs[1] Operand 1
     /*  465758 */     // No operand predicates
     /*  465758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465793 */     GIR_RootConstrainSelectedInstOperands,
     /*  465794 */     // GIR_Coverage, 14125,
     /*  465794 */     GIR_EraseRootFromParent_Done,
     /*  465795 */   // Label 7921: @465795
     /*  465795 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(465884), // Rule ID 14128 //
     /*  465800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465847 */     // MIs[1] Operand 1
     /*  465847 */     // No operand predicates
     /*  465847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465882 */     GIR_RootConstrainSelectedInstOperands,
     /*  465883 */     // GIR_Coverage, 14128,
     /*  465883 */     GIR_EraseRootFromParent_Done,
     /*  465884 */   // Label 7922: @465884
     /*  465884 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(465973), // Rule ID 14129 //
     /*  465889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465936 */     // MIs[1] Operand 1
     /*  465936 */     // No operand predicates
     /*  465936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465945 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465971 */     GIR_RootConstrainSelectedInstOperands,
     /*  465972 */     // GIR_Coverage, 14129,
     /*  465972 */     GIR_EraseRootFromParent_Done,
     /*  465973 */   // Label 7923: @465973
     /*  465973 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(466062), // Rule ID 14132 //
     /*  465978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466025 */     // MIs[1] Operand 1
     /*  466025 */     // No operand predicates
     /*  466025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466060 */     GIR_RootConstrainSelectedInstOperands,
     /*  466061 */     // GIR_Coverage, 14132,
     /*  466061 */     GIR_EraseRootFromParent_Done,
     /*  466062 */   // Label 7924: @466062
     /*  466062 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(466151), // Rule ID 14133 //
     /*  466067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  466084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466114 */     // MIs[1] Operand 1
     /*  466114 */     // No operand predicates
     /*  466114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466123 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466149 */     GIR_RootConstrainSelectedInstOperands,
     /*  466150 */     // GIR_Coverage, 14133,
     /*  466150 */     GIR_EraseRootFromParent_Done,
     /*  466151 */   // Label 7925: @466151
     /*  466151 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(466240), // Rule ID 14136 //
     /*  466156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466203 */     // MIs[1] Operand 1
     /*  466203 */     // No operand predicates
     /*  466203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466238 */     GIR_RootConstrainSelectedInstOperands,
     /*  466239 */     // GIR_Coverage, 14136,
     /*  466239 */     GIR_EraseRootFromParent_Done,
     /*  466240 */   // Label 7926: @466240
     /*  466240 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(466329), // Rule ID 14137 //
     /*  466245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466292 */     // MIs[1] Operand 1
     /*  466292 */     // No operand predicates
     /*  466292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466301 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466327 */     GIR_RootConstrainSelectedInstOperands,
     /*  466328 */     // GIR_Coverage, 14137,
     /*  466328 */     GIR_EraseRootFromParent_Done,
     /*  466329 */   // Label 7927: @466329
     /*  466329 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(466418), // Rule ID 14140 //
     /*  466334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466381 */     // MIs[1] Operand 1
     /*  466381 */     // No operand predicates
     /*  466381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466416 */     GIR_RootConstrainSelectedInstOperands,
     /*  466417 */     // GIR_Coverage, 14140,
     /*  466417 */     GIR_EraseRootFromParent_Done,
     /*  466418 */   // Label 7928: @466418
     /*  466418 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(466507), // Rule ID 14141 //
     /*  466423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466470 */     // MIs[1] Operand 1
     /*  466470 */     // No operand predicates
     /*  466470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466479 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466505 */     GIR_RootConstrainSelectedInstOperands,
     /*  466506 */     // GIR_Coverage, 14141,
     /*  466506 */     GIR_EraseRootFromParent_Done,
     /*  466507 */   // Label 7929: @466507
     /*  466507 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(466596), // Rule ID 14144 //
     /*  466512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466559 */     // MIs[1] Operand 1
     /*  466559 */     // No operand predicates
     /*  466559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466594 */     GIR_RootConstrainSelectedInstOperands,
     /*  466595 */     // GIR_Coverage, 14144,
     /*  466595 */     GIR_EraseRootFromParent_Done,
     /*  466596 */   // Label 7930: @466596
     /*  466596 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(466685), // Rule ID 14145 //
     /*  466601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466648 */     // MIs[1] Operand 1
     /*  466648 */     // No operand predicates
     /*  466648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466683 */     GIR_RootConstrainSelectedInstOperands,
     /*  466684 */     // GIR_Coverage, 14145,
     /*  466684 */     GIR_EraseRootFromParent_Done,
     /*  466685 */   // Label 7931: @466685
     /*  466685 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(466774), // Rule ID 14148 //
     /*  466690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466737 */     // MIs[1] Operand 1
     /*  466737 */     // No operand predicates
     /*  466737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466772 */     GIR_RootConstrainSelectedInstOperands,
     /*  466773 */     // GIR_Coverage, 14148,
     /*  466773 */     GIR_EraseRootFromParent_Done,
     /*  466774 */   // Label 7932: @466774
     /*  466774 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(466863), // Rule ID 14149 //
     /*  466779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466826 */     // MIs[1] Operand 1
     /*  466826 */     // No operand predicates
     /*  466826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466861 */     GIR_RootConstrainSelectedInstOperands,
     /*  466862 */     // GIR_Coverage, 14149,
     /*  466862 */     GIR_EraseRootFromParent_Done,
     /*  466863 */   // Label 7933: @466863
     /*  466863 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(466952), // Rule ID 14152 //
     /*  466868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466915 */     // MIs[1] Operand 1
     /*  466915 */     // No operand predicates
     /*  466915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466950 */     GIR_RootConstrainSelectedInstOperands,
     /*  466951 */     // GIR_Coverage, 14152,
     /*  466951 */     GIR_EraseRootFromParent_Done,
     /*  466952 */   // Label 7934: @466952
     /*  466952 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(467041), // Rule ID 14153 //
     /*  466957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467004 */     // MIs[1] Operand 1
     /*  467004 */     // No operand predicates
     /*  467004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467013 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467039 */     GIR_RootConstrainSelectedInstOperands,
     /*  467040 */     // GIR_Coverage, 14153,
     /*  467040 */     GIR_EraseRootFromParent_Done,
     /*  467041 */   // Label 7935: @467041
     /*  467041 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(467130), // Rule ID 14156 //
     /*  467046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467093 */     // MIs[1] Operand 1
     /*  467093 */     // No operand predicates
     /*  467093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467128 */     GIR_RootConstrainSelectedInstOperands,
     /*  467129 */     // GIR_Coverage, 14156,
     /*  467129 */     GIR_EraseRootFromParent_Done,
     /*  467130 */   // Label 7936: @467130
     /*  467130 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(467219), // Rule ID 14157 //
     /*  467135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467182 */     // MIs[1] Operand 1
     /*  467182 */     // No operand predicates
     /*  467182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467217 */     GIR_RootConstrainSelectedInstOperands,
     /*  467218 */     // GIR_Coverage, 14157,
     /*  467218 */     GIR_EraseRootFromParent_Done,
     /*  467219 */   // Label 7937: @467219
     /*  467219 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(467308), // Rule ID 14160 //
     /*  467224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467271 */     // MIs[1] Operand 1
     /*  467271 */     // No operand predicates
     /*  467271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467280 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467306 */     GIR_RootConstrainSelectedInstOperands,
     /*  467307 */     // GIR_Coverage, 14160,
     /*  467307 */     GIR_EraseRootFromParent_Done,
     /*  467308 */   // Label 7938: @467308
     /*  467308 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(467397), // Rule ID 14161 //
     /*  467313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467360 */     // MIs[1] Operand 1
     /*  467360 */     // No operand predicates
     /*  467360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467369 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467395 */     GIR_RootConstrainSelectedInstOperands,
     /*  467396 */     // GIR_Coverage, 14161,
     /*  467396 */     GIR_EraseRootFromParent_Done,
     /*  467397 */   // Label 7939: @467397
     /*  467397 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(467486), // Rule ID 14164 //
     /*  467402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467449 */     // MIs[1] Operand 1
     /*  467449 */     // No operand predicates
     /*  467449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467484 */     GIR_RootConstrainSelectedInstOperands,
     /*  467485 */     // GIR_Coverage, 14164,
     /*  467485 */     GIR_EraseRootFromParent_Done,
     /*  467486 */   // Label 7940: @467486
     /*  467486 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(467575), // Rule ID 14165 //
     /*  467491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467538 */     // MIs[1] Operand 1
     /*  467538 */     // No operand predicates
     /*  467538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467573 */     GIR_RootConstrainSelectedInstOperands,
     /*  467574 */     // GIR_Coverage, 14165,
     /*  467574 */     GIR_EraseRootFromParent_Done,
     /*  467575 */   // Label 7941: @467575
     /*  467575 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(467664), // Rule ID 14168 //
     /*  467580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467627 */     // MIs[1] Operand 1
     /*  467627 */     // No operand predicates
     /*  467627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467662 */     GIR_RootConstrainSelectedInstOperands,
     /*  467663 */     // GIR_Coverage, 14168,
     /*  467663 */     GIR_EraseRootFromParent_Done,
     /*  467664 */   // Label 7942: @467664
     /*  467664 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(467753), // Rule ID 14169 //
     /*  467669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467716 */     // MIs[1] Operand 1
     /*  467716 */     // No operand predicates
     /*  467716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467725 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467751 */     GIR_RootConstrainSelectedInstOperands,
     /*  467752 */     // GIR_Coverage, 14169,
     /*  467752 */     GIR_EraseRootFromParent_Done,
     /*  467753 */   // Label 7943: @467753
     /*  467753 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(467842), // Rule ID 14172 //
     /*  467758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467805 */     // MIs[1] Operand 1
     /*  467805 */     // No operand predicates
     /*  467805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467840 */     GIR_RootConstrainSelectedInstOperands,
     /*  467841 */     // GIR_Coverage, 14172,
     /*  467841 */     GIR_EraseRootFromParent_Done,
     /*  467842 */   // Label 7944: @467842
     /*  467842 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(467931), // Rule ID 14173 //
     /*  467847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467894 */     // MIs[1] Operand 1
     /*  467894 */     // No operand predicates
     /*  467894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467903 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467929 */     GIR_RootConstrainSelectedInstOperands,
     /*  467930 */     // GIR_Coverage, 14173,
     /*  467930 */     GIR_EraseRootFromParent_Done,
     /*  467931 */   // Label 7945: @467931
     /*  467931 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(468020), // Rule ID 14176 //
     /*  467936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  467953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467983 */     // MIs[1] Operand 1
     /*  467983 */     // No operand predicates
     /*  467983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468018 */     GIR_RootConstrainSelectedInstOperands,
     /*  468019 */     // GIR_Coverage, 14176,
     /*  468019 */     GIR_EraseRootFromParent_Done,
     /*  468020 */   // Label 7946: @468020
     /*  468020 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(468109), // Rule ID 14177 //
     /*  468025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  468039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468072 */     // MIs[1] Operand 1
     /*  468072 */     // No operand predicates
     /*  468072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468107 */     GIR_RootConstrainSelectedInstOperands,
     /*  468108 */     // GIR_Coverage, 14177,
     /*  468108 */     GIR_EraseRootFromParent_Done,
     /*  468109 */   // Label 7947: @468109
     /*  468109 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(468198), // Rule ID 14180 //
     /*  468114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468161 */     // MIs[1] Operand 1
     /*  468161 */     // No operand predicates
     /*  468161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468196 */     GIR_RootConstrainSelectedInstOperands,
     /*  468197 */     // GIR_Coverage, 14180,
     /*  468197 */     GIR_EraseRootFromParent_Done,
     /*  468198 */   // Label 7948: @468198
     /*  468198 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(468287), // Rule ID 14181 //
     /*  468203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468250 */     // MIs[1] Operand 1
     /*  468250 */     // No operand predicates
     /*  468250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468259 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468285 */     GIR_RootConstrainSelectedInstOperands,
     /*  468286 */     // GIR_Coverage, 14181,
     /*  468286 */     GIR_EraseRootFromParent_Done,
     /*  468287 */   // Label 7949: @468287
     /*  468287 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(468376), // Rule ID 14184 //
     /*  468292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468339 */     // MIs[1] Operand 1
     /*  468339 */     // No operand predicates
     /*  468339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468374 */     GIR_RootConstrainSelectedInstOperands,
     /*  468375 */     // GIR_Coverage, 14184,
     /*  468375 */     GIR_EraseRootFromParent_Done,
     /*  468376 */   // Label 7950: @468376
     /*  468376 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(468465), // Rule ID 14185 //
     /*  468381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468428 */     // MIs[1] Operand 1
     /*  468428 */     // No operand predicates
     /*  468428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468437 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468463 */     GIR_RootConstrainSelectedInstOperands,
     /*  468464 */     // GIR_Coverage, 14185,
     /*  468464 */     GIR_EraseRootFromParent_Done,
     /*  468465 */   // Label 7951: @468465
     /*  468465 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(468554), // Rule ID 14188 //
     /*  468470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468517 */     // MIs[1] Operand 1
     /*  468517 */     // No operand predicates
     /*  468517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468552 */     GIR_RootConstrainSelectedInstOperands,
     /*  468553 */     // GIR_Coverage, 14188,
     /*  468553 */     GIR_EraseRootFromParent_Done,
     /*  468554 */   // Label 7952: @468554
     /*  468554 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(468643), // Rule ID 14189 //
     /*  468559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468606 */     // MIs[1] Operand 1
     /*  468606 */     // No operand predicates
     /*  468606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468615 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468641 */     GIR_RootConstrainSelectedInstOperands,
     /*  468642 */     // GIR_Coverage, 14189,
     /*  468642 */     GIR_EraseRootFromParent_Done,
     /*  468643 */   // Label 7953: @468643
     /*  468643 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(468732), // Rule ID 14192 //
     /*  468648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468695 */     // MIs[1] Operand 1
     /*  468695 */     // No operand predicates
     /*  468695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468730 */     GIR_RootConstrainSelectedInstOperands,
     /*  468731 */     // GIR_Coverage, 14192,
     /*  468731 */     GIR_EraseRootFromParent_Done,
     /*  468732 */   // Label 7954: @468732
     /*  468732 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(468821), // Rule ID 14193 //
     /*  468737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468784 */     // MIs[1] Operand 1
     /*  468784 */     // No operand predicates
     /*  468784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468793 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468819 */     GIR_RootConstrainSelectedInstOperands,
     /*  468820 */     // GIR_Coverage, 14193,
     /*  468820 */     GIR_EraseRootFromParent_Done,
     /*  468821 */   // Label 7955: @468821
     /*  468821 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(468910), // Rule ID 14196 //
     /*  468826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468873 */     // MIs[1] Operand 1
     /*  468873 */     // No operand predicates
     /*  468873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468908 */     GIR_RootConstrainSelectedInstOperands,
     /*  468909 */     // GIR_Coverage, 14196,
     /*  468909 */     GIR_EraseRootFromParent_Done,
     /*  468910 */   // Label 7956: @468910
     /*  468910 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(468999), // Rule ID 14197 //
     /*  468915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468962 */     // MIs[1] Operand 1
     /*  468962 */     // No operand predicates
     /*  468962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468997 */     GIR_RootConstrainSelectedInstOperands,
     /*  468998 */     // GIR_Coverage, 14197,
     /*  468998 */     GIR_EraseRootFromParent_Done,
     /*  468999 */   // Label 7957: @468999
     /*  468999 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(469088), // Rule ID 14376 //
     /*  469004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469051 */     // MIs[1] Operand 1
     /*  469051 */     // No operand predicates
     /*  469051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  469063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469086 */     GIR_RootConstrainSelectedInstOperands,
     /*  469087 */     // GIR_Coverage, 14376,
     /*  469087 */     GIR_EraseRootFromParent_Done,
     /*  469088 */   // Label 7958: @469088
     /*  469088 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(469177), // Rule ID 14377 //
     /*  469093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469140 */     // MIs[1] Operand 1
     /*  469140 */     // No operand predicates
     /*  469140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  469152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469175 */     GIR_RootConstrainSelectedInstOperands,
     /*  469176 */     // GIR_Coverage, 14377,
     /*  469176 */     GIR_EraseRootFromParent_Done,
     /*  469177 */   // Label 7959: @469177
     /*  469177 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(469266), // Rule ID 14380 //
     /*  469182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469229 */     // MIs[1] Operand 1
     /*  469229 */     // No operand predicates
     /*  469229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469238 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469264 */     GIR_RootConstrainSelectedInstOperands,
     /*  469265 */     // GIR_Coverage, 14380,
     /*  469265 */     GIR_EraseRootFromParent_Done,
     /*  469266 */   // Label 7960: @469266
     /*  469266 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(469355), // Rule ID 14381 //
     /*  469271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469318 */     // MIs[1] Operand 1
     /*  469318 */     // No operand predicates
     /*  469318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469353 */     GIR_RootConstrainSelectedInstOperands,
     /*  469354 */     // GIR_Coverage, 14381,
     /*  469354 */     GIR_EraseRootFromParent_Done,
     /*  469355 */   // Label 7961: @469355
     /*  469355 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(469444), // Rule ID 14384 //
     /*  469360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469407 */     // MIs[1] Operand 1
     /*  469407 */     // No operand predicates
     /*  469407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469442 */     GIR_RootConstrainSelectedInstOperands,
     /*  469443 */     // GIR_Coverage, 14384,
     /*  469443 */     GIR_EraseRootFromParent_Done,
     /*  469444 */   // Label 7962: @469444
     /*  469444 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(469533), // Rule ID 14385 //
     /*  469449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469496 */     // MIs[1] Operand 1
     /*  469496 */     // No operand predicates
     /*  469496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469505 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469531 */     GIR_RootConstrainSelectedInstOperands,
     /*  469532 */     // GIR_Coverage, 14385,
     /*  469532 */     GIR_EraseRootFromParent_Done,
     /*  469533 */   // Label 7963: @469533
     /*  469533 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(469622), // Rule ID 14388 //
     /*  469538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469585 */     // MIs[1] Operand 1
     /*  469585 */     // No operand predicates
     /*  469585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469620 */     GIR_RootConstrainSelectedInstOperands,
     /*  469621 */     // GIR_Coverage, 14388,
     /*  469621 */     GIR_EraseRootFromParent_Done,
     /*  469622 */   // Label 7964: @469622
     /*  469622 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(469711), // Rule ID 14389 //
     /*  469627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469674 */     // MIs[1] Operand 1
     /*  469674 */     // No operand predicates
     /*  469674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469709 */     GIR_RootConstrainSelectedInstOperands,
     /*  469710 */     // GIR_Coverage, 14389,
     /*  469710 */     GIR_EraseRootFromParent_Done,
     /*  469711 */   // Label 7965: @469711
     /*  469711 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(469800), // Rule ID 14392 //
     /*  469716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469763 */     // MIs[1] Operand 1
     /*  469763 */     // No operand predicates
     /*  469763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469798 */     GIR_RootConstrainSelectedInstOperands,
     /*  469799 */     // GIR_Coverage, 14392,
     /*  469799 */     GIR_EraseRootFromParent_Done,
     /*  469800 */   // Label 7966: @469800
     /*  469800 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(469889), // Rule ID 14393 //
     /*  469805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469852 */     // MIs[1] Operand 1
     /*  469852 */     // No operand predicates
     /*  469852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469861 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469887 */     GIR_RootConstrainSelectedInstOperands,
     /*  469888 */     // GIR_Coverage, 14393,
     /*  469888 */     GIR_EraseRootFromParent_Done,
     /*  469889 */   // Label 7967: @469889
     /*  469889 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(469978), // Rule ID 14396 //
     /*  469894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469941 */     // MIs[1] Operand 1
     /*  469941 */     // No operand predicates
     /*  469941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469976 */     GIR_RootConstrainSelectedInstOperands,
     /*  469977 */     // GIR_Coverage, 14396,
     /*  469977 */     GIR_EraseRootFromParent_Done,
     /*  469978 */   // Label 7968: @469978
     /*  469978 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(470067), // Rule ID 14397 //
     /*  469983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470030 */     // MIs[1] Operand 1
     /*  470030 */     // No operand predicates
     /*  470030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470065 */     GIR_RootConstrainSelectedInstOperands,
     /*  470066 */     // GIR_Coverage, 14397,
     /*  470066 */     GIR_EraseRootFromParent_Done,
     /*  470067 */   // Label 7969: @470067
     /*  470067 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(470156), // Rule ID 14400 //
     /*  470072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470119 */     // MIs[1] Operand 1
     /*  470119 */     // No operand predicates
     /*  470119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470154 */     GIR_RootConstrainSelectedInstOperands,
     /*  470155 */     // GIR_Coverage, 14400,
     /*  470155 */     GIR_EraseRootFromParent_Done,
     /*  470156 */   // Label 7970: @470156
     /*  470156 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(470245), // Rule ID 14401 //
     /*  470161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470208 */     // MIs[1] Operand 1
     /*  470208 */     // No operand predicates
     /*  470208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470243 */     GIR_RootConstrainSelectedInstOperands,
     /*  470244 */     // GIR_Coverage, 14401,
     /*  470244 */     GIR_EraseRootFromParent_Done,
     /*  470245 */   // Label 7971: @470245
     /*  470245 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(470334), // Rule ID 14404 //
     /*  470250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470297 */     // MIs[1] Operand 1
     /*  470297 */     // No operand predicates
     /*  470297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470306 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470332 */     GIR_RootConstrainSelectedInstOperands,
     /*  470333 */     // GIR_Coverage, 14404,
     /*  470333 */     GIR_EraseRootFromParent_Done,
     /*  470334 */   // Label 7972: @470334
     /*  470334 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(470423), // Rule ID 14405 //
     /*  470339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470386 */     // MIs[1] Operand 1
     /*  470386 */     // No operand predicates
     /*  470386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470395 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470421 */     GIR_RootConstrainSelectedInstOperands,
     /*  470422 */     // GIR_Coverage, 14405,
     /*  470422 */     GIR_EraseRootFromParent_Done,
     /*  470423 */   // Label 7973: @470423
     /*  470423 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(470512), // Rule ID 14408 //
     /*  470428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470475 */     // MIs[1] Operand 1
     /*  470475 */     // No operand predicates
     /*  470475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470510 */     GIR_RootConstrainSelectedInstOperands,
     /*  470511 */     // GIR_Coverage, 14408,
     /*  470511 */     GIR_EraseRootFromParent_Done,
     /*  470512 */   // Label 7974: @470512
     /*  470512 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(470601), // Rule ID 14409 //
     /*  470517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470564 */     // MIs[1] Operand 1
     /*  470564 */     // No operand predicates
     /*  470564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470599 */     GIR_RootConstrainSelectedInstOperands,
     /*  470600 */     // GIR_Coverage, 14409,
     /*  470600 */     GIR_EraseRootFromParent_Done,
     /*  470601 */   // Label 7975: @470601
     /*  470601 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(470690), // Rule ID 14412 //
     /*  470606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470653 */     // MIs[1] Operand 1
     /*  470653 */     // No operand predicates
     /*  470653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470688 */     GIR_RootConstrainSelectedInstOperands,
     /*  470689 */     // GIR_Coverage, 14412,
     /*  470689 */     GIR_EraseRootFromParent_Done,
     /*  470690 */   // Label 7976: @470690
     /*  470690 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(470779), // Rule ID 14413 //
     /*  470695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470742 */     // MIs[1] Operand 1
     /*  470742 */     // No operand predicates
     /*  470742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470777 */     GIR_RootConstrainSelectedInstOperands,
     /*  470778 */     // GIR_Coverage, 14413,
     /*  470778 */     GIR_EraseRootFromParent_Done,
     /*  470779 */   // Label 7977: @470779
     /*  470779 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(470868), // Rule ID 14416 //
     /*  470784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470831 */     // MIs[1] Operand 1
     /*  470831 */     // No operand predicates
     /*  470831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470840 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470866 */     GIR_RootConstrainSelectedInstOperands,
     /*  470867 */     // GIR_Coverage, 14416,
     /*  470867 */     GIR_EraseRootFromParent_Done,
     /*  470868 */   // Label 7978: @470868
     /*  470868 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(470957), // Rule ID 14417 //
     /*  470873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470920 */     // MIs[1] Operand 1
     /*  470920 */     // No operand predicates
     /*  470920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470955 */     GIR_RootConstrainSelectedInstOperands,
     /*  470956 */     // GIR_Coverage, 14417,
     /*  470956 */     GIR_EraseRootFromParent_Done,
     /*  470957 */   // Label 7979: @470957
     /*  470957 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(471046), // Rule ID 14420 //
     /*  470962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471009 */     // MIs[1] Operand 1
     /*  471009 */     // No operand predicates
     /*  471009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471044 */     GIR_RootConstrainSelectedInstOperands,
     /*  471045 */     // GIR_Coverage, 14420,
     /*  471045 */     GIR_EraseRootFromParent_Done,
     /*  471046 */   // Label 7980: @471046
     /*  471046 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(471135), // Rule ID 14421 //
     /*  471051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471098 */     // MIs[1] Operand 1
     /*  471098 */     // No operand predicates
     /*  471098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471133 */     GIR_RootConstrainSelectedInstOperands,
     /*  471134 */     // GIR_Coverage, 14421,
     /*  471134 */     GIR_EraseRootFromParent_Done,
     /*  471135 */   // Label 7981: @471135
     /*  471135 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(471224), // Rule ID 14424 //
     /*  471140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471187 */     // MIs[1] Operand 1
     /*  471187 */     // No operand predicates
     /*  471187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471222 */     GIR_RootConstrainSelectedInstOperands,
     /*  471223 */     // GIR_Coverage, 14424,
     /*  471223 */     GIR_EraseRootFromParent_Done,
     /*  471224 */   // Label 7982: @471224
     /*  471224 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(471313), // Rule ID 14425 //
     /*  471229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471276 */     // MIs[1] Operand 1
     /*  471276 */     // No operand predicates
     /*  471276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471285 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471311 */     GIR_RootConstrainSelectedInstOperands,
     /*  471312 */     // GIR_Coverage, 14425,
     /*  471312 */     GIR_EraseRootFromParent_Done,
     /*  471313 */   // Label 7983: @471313
     /*  471313 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(471402), // Rule ID 14428 //
     /*  471318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471365 */     // MIs[1] Operand 1
     /*  471365 */     // No operand predicates
     /*  471365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471400 */     GIR_RootConstrainSelectedInstOperands,
     /*  471401 */     // GIR_Coverage, 14428,
     /*  471401 */     GIR_EraseRootFromParent_Done,
     /*  471402 */   // Label 7984: @471402
     /*  471402 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(471491), // Rule ID 14429 //
     /*  471407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471454 */     // MIs[1] Operand 1
     /*  471454 */     // No operand predicates
     /*  471454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471463 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471489 */     GIR_RootConstrainSelectedInstOperands,
     /*  471490 */     // GIR_Coverage, 14429,
     /*  471490 */     GIR_EraseRootFromParent_Done,
     /*  471491 */   // Label 7985: @471491
     /*  471491 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(471580), // Rule ID 14432 //
     /*  471496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471543 */     // MIs[1] Operand 1
     /*  471543 */     // No operand predicates
     /*  471543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471578 */     GIR_RootConstrainSelectedInstOperands,
     /*  471579 */     // GIR_Coverage, 14432,
     /*  471579 */     GIR_EraseRootFromParent_Done,
     /*  471580 */   // Label 7986: @471580
     /*  471580 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(471669), // Rule ID 14433 //
     /*  471585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471632 */     // MIs[1] Operand 1
     /*  471632 */     // No operand predicates
     /*  471632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471641 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471667 */     GIR_RootConstrainSelectedInstOperands,
     /*  471668 */     // GIR_Coverage, 14433,
     /*  471668 */     GIR_EraseRootFromParent_Done,
     /*  471669 */   // Label 7987: @471669
     /*  471669 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(471758), // Rule ID 14436 //
     /*  471674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471721 */     // MIs[1] Operand 1
     /*  471721 */     // No operand predicates
     /*  471721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471730 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471756 */     GIR_RootConstrainSelectedInstOperands,
     /*  471757 */     // GIR_Coverage, 14436,
     /*  471757 */     GIR_EraseRootFromParent_Done,
     /*  471758 */   // Label 7988: @471758
     /*  471758 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(471847), // Rule ID 14437 //
     /*  471763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471810 */     // MIs[1] Operand 1
     /*  471810 */     // No operand predicates
     /*  471810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471845 */     GIR_RootConstrainSelectedInstOperands,
     /*  471846 */     // GIR_Coverage, 14437,
     /*  471846 */     GIR_EraseRootFromParent_Done,
     /*  471847 */   // Label 7989: @471847
     /*  471847 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(471936), // Rule ID 14440 //
     /*  471852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471899 */     // MIs[1] Operand 1
     /*  471899 */     // No operand predicates
     /*  471899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471934 */     GIR_RootConstrainSelectedInstOperands,
     /*  471935 */     // GIR_Coverage, 14440,
     /*  471935 */     GIR_EraseRootFromParent_Done,
     /*  471936 */   // Label 7990: @471936
     /*  471936 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(472025), // Rule ID 14441 //
     /*  471941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471988 */     // MIs[1] Operand 1
     /*  471988 */     // No operand predicates
     /*  471988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472023 */     GIR_RootConstrainSelectedInstOperands,
     /*  472024 */     // GIR_Coverage, 14441,
     /*  472024 */     GIR_EraseRootFromParent_Done,
     /*  472025 */   // Label 7991: @472025
     /*  472025 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(472114), // Rule ID 14444 //
     /*  472030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472077 */     // MIs[1] Operand 1
     /*  472077 */     // No operand predicates
     /*  472077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472112 */     GIR_RootConstrainSelectedInstOperands,
     /*  472113 */     // GIR_Coverage, 14444,
     /*  472113 */     GIR_EraseRootFromParent_Done,
     /*  472114 */   // Label 7992: @472114
     /*  472114 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(472203), // Rule ID 14445 //
     /*  472119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472166 */     // MIs[1] Operand 1
     /*  472166 */     // No operand predicates
     /*  472166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472201 */     GIR_RootConstrainSelectedInstOperands,
     /*  472202 */     // GIR_Coverage, 14445,
     /*  472202 */     GIR_EraseRootFromParent_Done,
     /*  472203 */   // Label 7993: @472203
     /*  472203 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(472292), // Rule ID 14448 //
     /*  472208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472255 */     // MIs[1] Operand 1
     /*  472255 */     // No operand predicates
     /*  472255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472290 */     GIR_RootConstrainSelectedInstOperands,
     /*  472291 */     // GIR_Coverage, 14448,
     /*  472291 */     GIR_EraseRootFromParent_Done,
     /*  472292 */   // Label 7994: @472292
     /*  472292 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(472381), // Rule ID 14449 //
     /*  472297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472344 */     // MIs[1] Operand 1
     /*  472344 */     // No operand predicates
     /*  472344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472353 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472379 */     GIR_RootConstrainSelectedInstOperands,
     /*  472380 */     // GIR_Coverage, 14449,
     /*  472380 */     GIR_EraseRootFromParent_Done,
     /*  472381 */   // Label 7995: @472381
     /*  472381 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(472470), // Rule ID 14452 //
     /*  472386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472433 */     // MIs[1] Operand 1
     /*  472433 */     // No operand predicates
     /*  472433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472468 */     GIR_RootConstrainSelectedInstOperands,
     /*  472469 */     // GIR_Coverage, 14452,
     /*  472469 */     GIR_EraseRootFromParent_Done,
     /*  472470 */   // Label 7996: @472470
     /*  472470 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(472559), // Rule ID 14453 //
     /*  472475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472522 */     // MIs[1] Operand 1
     /*  472522 */     // No operand predicates
     /*  472522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472557 */     GIR_RootConstrainSelectedInstOperands,
     /*  472558 */     // GIR_Coverage, 14453,
     /*  472558 */     GIR_EraseRootFromParent_Done,
     /*  472559 */   // Label 7997: @472559
     /*  472559 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(472648), // Rule ID 14456 //
     /*  472564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472611 */     // MIs[1] Operand 1
     /*  472611 */     // No operand predicates
     /*  472611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472646 */     GIR_RootConstrainSelectedInstOperands,
     /*  472647 */     // GIR_Coverage, 14456,
     /*  472647 */     GIR_EraseRootFromParent_Done,
     /*  472648 */   // Label 7998: @472648
     /*  472648 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(472737), // Rule ID 14457 //
     /*  472653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472700 */     // MIs[1] Operand 1
     /*  472700 */     // No operand predicates
     /*  472700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472709 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472735 */     GIR_RootConstrainSelectedInstOperands,
     /*  472736 */     // GIR_Coverage, 14457,
     /*  472736 */     GIR_EraseRootFromParent_Done,
     /*  472737 */   // Label 7999: @472737
     /*  472737 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(472826), // Rule ID 14460 //
     /*  472742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472789 */     // MIs[1] Operand 1
     /*  472789 */     // No operand predicates
     /*  472789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472824 */     GIR_RootConstrainSelectedInstOperands,
     /*  472825 */     // GIR_Coverage, 14460,
     /*  472825 */     GIR_EraseRootFromParent_Done,
     /*  472826 */   // Label 8000: @472826
     /*  472826 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(472915), // Rule ID 14461 //
     /*  472831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472878 */     // MIs[1] Operand 1
     /*  472878 */     // No operand predicates
     /*  472878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472913 */     GIR_RootConstrainSelectedInstOperands,
     /*  472914 */     // GIR_Coverage, 14461,
     /*  472914 */     GIR_EraseRootFromParent_Done,
     /*  472915 */   // Label 8001: @472915
     /*  472915 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(473001), // Rule ID 24556 //
     /*  472920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  472931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  472934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472967 */     // MIs[1] Operand 1
     /*  472967 */     // No operand predicates
     /*  472967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  472979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472999 */     GIR_RootConstrainSelectedInstOperands,
     /*  473000 */     // GIR_Coverage, 24556,
     /*  473000 */     GIR_EraseRootFromParent_Done,
     /*  473001 */   // Label 8002: @473001
     /*  473001 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(473087), // Rule ID 24557 //
     /*  473006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473053 */     // MIs[1] Operand 1
     /*  473053 */     // No operand predicates
     /*  473053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  473065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473085 */     GIR_RootConstrainSelectedInstOperands,
     /*  473086 */     // GIR_Coverage, 24557,
     /*  473086 */     GIR_EraseRootFromParent_Done,
     /*  473087 */   // Label 8003: @473087
     /*  473087 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(473173), // Rule ID 24560 //
     /*  473092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473139 */     // MIs[1] Operand 1
     /*  473139 */     // No operand predicates
     /*  473139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473171 */     GIR_RootConstrainSelectedInstOperands,
     /*  473172 */     // GIR_Coverage, 24560,
     /*  473172 */     GIR_EraseRootFromParent_Done,
     /*  473173 */   // Label 8004: @473173
     /*  473173 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(473259), // Rule ID 24561 //
     /*  473178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473225 */     // MIs[1] Operand 1
     /*  473225 */     // No operand predicates
     /*  473225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473257 */     GIR_RootConstrainSelectedInstOperands,
     /*  473258 */     // GIR_Coverage, 24561,
     /*  473258 */     GIR_EraseRootFromParent_Done,
     /*  473259 */   // Label 8005: @473259
     /*  473259 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(473345), // Rule ID 24564 //
     /*  473264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473311 */     // MIs[1] Operand 1
     /*  473311 */     // No operand predicates
     /*  473311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473343 */     GIR_RootConstrainSelectedInstOperands,
     /*  473344 */     // GIR_Coverage, 24564,
     /*  473344 */     GIR_EraseRootFromParent_Done,
     /*  473345 */   // Label 8006: @473345
     /*  473345 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(473431), // Rule ID 24565 //
     /*  473350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473397 */     // MIs[1] Operand 1
     /*  473397 */     // No operand predicates
     /*  473397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473429 */     GIR_RootConstrainSelectedInstOperands,
     /*  473430 */     // GIR_Coverage, 24565,
     /*  473430 */     GIR_EraseRootFromParent_Done,
     /*  473431 */   // Label 8007: @473431
     /*  473431 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(473517), // Rule ID 24568 //
     /*  473436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473483 */     // MIs[1] Operand 1
     /*  473483 */     // No operand predicates
     /*  473483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473515 */     GIR_RootConstrainSelectedInstOperands,
     /*  473516 */     // GIR_Coverage, 24568,
     /*  473516 */     GIR_EraseRootFromParent_Done,
     /*  473517 */   // Label 8008: @473517
     /*  473517 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(473603), // Rule ID 24569 //
     /*  473522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473569 */     // MIs[1] Operand 1
     /*  473569 */     // No operand predicates
     /*  473569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473601 */     GIR_RootConstrainSelectedInstOperands,
     /*  473602 */     // GIR_Coverage, 24569,
     /*  473602 */     GIR_EraseRootFromParent_Done,
     /*  473603 */   // Label 8009: @473603
     /*  473603 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(473689), // Rule ID 24572 //
     /*  473608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473655 */     // MIs[1] Operand 1
     /*  473655 */     // No operand predicates
     /*  473655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473687 */     GIR_RootConstrainSelectedInstOperands,
     /*  473688 */     // GIR_Coverage, 24572,
     /*  473688 */     GIR_EraseRootFromParent_Done,
     /*  473689 */   // Label 8010: @473689
     /*  473689 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(473775), // Rule ID 24573 //
     /*  473694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473741 */     // MIs[1] Operand 1
     /*  473741 */     // No operand predicates
     /*  473741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473773 */     GIR_RootConstrainSelectedInstOperands,
     /*  473774 */     // GIR_Coverage, 24573,
     /*  473774 */     GIR_EraseRootFromParent_Done,
     /*  473775 */   // Label 8011: @473775
     /*  473775 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(473861), // Rule ID 24576 //
     /*  473780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473827 */     // MIs[1] Operand 1
     /*  473827 */     // No operand predicates
     /*  473827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473836 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473859 */     GIR_RootConstrainSelectedInstOperands,
     /*  473860 */     // GIR_Coverage, 24576,
     /*  473860 */     GIR_EraseRootFromParent_Done,
     /*  473861 */   // Label 8012: @473861
     /*  473861 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(473947), // Rule ID 24577 //
     /*  473866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473913 */     // MIs[1] Operand 1
     /*  473913 */     // No operand predicates
     /*  473913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473945 */     GIR_RootConstrainSelectedInstOperands,
     /*  473946 */     // GIR_Coverage, 24577,
     /*  473946 */     GIR_EraseRootFromParent_Done,
     /*  473947 */   // Label 8013: @473947
     /*  473947 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(474033), // Rule ID 24580 //
     /*  473952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  473963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  473966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473999 */     // MIs[1] Operand 1
     /*  473999 */     // No operand predicates
     /*  473999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474031 */     GIR_RootConstrainSelectedInstOperands,
     /*  474032 */     // GIR_Coverage, 24580,
     /*  474032 */     GIR_EraseRootFromParent_Done,
     /*  474033 */   // Label 8014: @474033
     /*  474033 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(474119), // Rule ID 24581 //
     /*  474038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474085 */     // MIs[1] Operand 1
     /*  474085 */     // No operand predicates
     /*  474085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474117 */     GIR_RootConstrainSelectedInstOperands,
     /*  474118 */     // GIR_Coverage, 24581,
     /*  474118 */     GIR_EraseRootFromParent_Done,
     /*  474119 */   // Label 8015: @474119
     /*  474119 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(474205), // Rule ID 24584 //
     /*  474124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474171 */     // MIs[1] Operand 1
     /*  474171 */     // No operand predicates
     /*  474171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474203 */     GIR_RootConstrainSelectedInstOperands,
     /*  474204 */     // GIR_Coverage, 24584,
     /*  474204 */     GIR_EraseRootFromParent_Done,
     /*  474205 */   // Label 8016: @474205
     /*  474205 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(474291), // Rule ID 24585 //
     /*  474210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474257 */     // MIs[1] Operand 1
     /*  474257 */     // No operand predicates
     /*  474257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474289 */     GIR_RootConstrainSelectedInstOperands,
     /*  474290 */     // GIR_Coverage, 24585,
     /*  474290 */     GIR_EraseRootFromParent_Done,
     /*  474291 */   // Label 8017: @474291
     /*  474291 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(474377), // Rule ID 24588 //
     /*  474296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474343 */     // MIs[1] Operand 1
     /*  474343 */     // No operand predicates
     /*  474343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474375 */     GIR_RootConstrainSelectedInstOperands,
     /*  474376 */     // GIR_Coverage, 24588,
     /*  474376 */     GIR_EraseRootFromParent_Done,
     /*  474377 */   // Label 8018: @474377
     /*  474377 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(474463), // Rule ID 24589 //
     /*  474382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474429 */     // MIs[1] Operand 1
     /*  474429 */     // No operand predicates
     /*  474429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474461 */     GIR_RootConstrainSelectedInstOperands,
     /*  474462 */     // GIR_Coverage, 24589,
     /*  474462 */     GIR_EraseRootFromParent_Done,
     /*  474463 */   // Label 8019: @474463
     /*  474463 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(474549), // Rule ID 24592 //
     /*  474468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474515 */     // MIs[1] Operand 1
     /*  474515 */     // No operand predicates
     /*  474515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474547 */     GIR_RootConstrainSelectedInstOperands,
     /*  474548 */     // GIR_Coverage, 24592,
     /*  474548 */     GIR_EraseRootFromParent_Done,
     /*  474549 */   // Label 8020: @474549
     /*  474549 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(474635), // Rule ID 24593 //
     /*  474554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474601 */     // MIs[1] Operand 1
     /*  474601 */     // No operand predicates
     /*  474601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474610 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474633 */     GIR_RootConstrainSelectedInstOperands,
     /*  474634 */     // GIR_Coverage, 24593,
     /*  474634 */     GIR_EraseRootFromParent_Done,
     /*  474635 */   // Label 8021: @474635
     /*  474635 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(474721), // Rule ID 24596 //
     /*  474640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474687 */     // MIs[1] Operand 1
     /*  474687 */     // No operand predicates
     /*  474687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474719 */     GIR_RootConstrainSelectedInstOperands,
     /*  474720 */     // GIR_Coverage, 24596,
     /*  474720 */     GIR_EraseRootFromParent_Done,
     /*  474721 */   // Label 8022: @474721
     /*  474721 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(474807), // Rule ID 24597 //
     /*  474726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474773 */     // MIs[1] Operand 1
     /*  474773 */     // No operand predicates
     /*  474773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474782 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474805 */     GIR_RootConstrainSelectedInstOperands,
     /*  474806 */     // GIR_Coverage, 24597,
     /*  474806 */     GIR_EraseRootFromParent_Done,
     /*  474807 */   // Label 8023: @474807
     /*  474807 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(474893), // Rule ID 24600 //
     /*  474812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474859 */     // MIs[1] Operand 1
     /*  474859 */     // No operand predicates
     /*  474859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474891 */     GIR_RootConstrainSelectedInstOperands,
     /*  474892 */     // GIR_Coverage, 24600,
     /*  474892 */     GIR_EraseRootFromParent_Done,
     /*  474893 */   // Label 8024: @474893
     /*  474893 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(474979), // Rule ID 24601 //
     /*  474898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474945 */     // MIs[1] Operand 1
     /*  474945 */     // No operand predicates
     /*  474945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474954 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474977 */     GIR_RootConstrainSelectedInstOperands,
     /*  474978 */     // GIR_Coverage, 24601,
     /*  474978 */     GIR_EraseRootFromParent_Done,
     /*  474979 */   // Label 8025: @474979
     /*  474979 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(475065), // Rule ID 24604 //
     /*  474984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  474995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  474998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475031 */     // MIs[1] Operand 1
     /*  475031 */     // No operand predicates
     /*  475031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475040 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475063 */     GIR_RootConstrainSelectedInstOperands,
     /*  475064 */     // GIR_Coverage, 24604,
     /*  475064 */     GIR_EraseRootFromParent_Done,
     /*  475065 */   // Label 8026: @475065
     /*  475065 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(475151), // Rule ID 24605 //
     /*  475070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475117 */     // MIs[1] Operand 1
     /*  475117 */     // No operand predicates
     /*  475117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475126 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475149 */     GIR_RootConstrainSelectedInstOperands,
     /*  475150 */     // GIR_Coverage, 24605,
     /*  475150 */     GIR_EraseRootFromParent_Done,
     /*  475151 */   // Label 8027: @475151
     /*  475151 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(475237), // Rule ID 24608 //
     /*  475156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475203 */     // MIs[1] Operand 1
     /*  475203 */     // No operand predicates
     /*  475203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475212 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475235 */     GIR_RootConstrainSelectedInstOperands,
     /*  475236 */     // GIR_Coverage, 24608,
     /*  475236 */     GIR_EraseRootFromParent_Done,
     /*  475237 */   // Label 8028: @475237
     /*  475237 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(475323), // Rule ID 24609 //
     /*  475242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475289 */     // MIs[1] Operand 1
     /*  475289 */     // No operand predicates
     /*  475289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475298 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475321 */     GIR_RootConstrainSelectedInstOperands,
     /*  475322 */     // GIR_Coverage, 24609,
     /*  475322 */     GIR_EraseRootFromParent_Done,
     /*  475323 */   // Label 8029: @475323
     /*  475323 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(475409), // Rule ID 24612 //
     /*  475328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475375 */     // MIs[1] Operand 1
     /*  475375 */     // No operand predicates
     /*  475375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475407 */     GIR_RootConstrainSelectedInstOperands,
     /*  475408 */     // GIR_Coverage, 24612,
     /*  475408 */     GIR_EraseRootFromParent_Done,
     /*  475409 */   // Label 8030: @475409
     /*  475409 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(475495), // Rule ID 24613 //
     /*  475414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475461 */     // MIs[1] Operand 1
     /*  475461 */     // No operand predicates
     /*  475461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475493 */     GIR_RootConstrainSelectedInstOperands,
     /*  475494 */     // GIR_Coverage, 24613,
     /*  475494 */     GIR_EraseRootFromParent_Done,
     /*  475495 */   // Label 8031: @475495
     /*  475495 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(475581), // Rule ID 24616 //
     /*  475500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475547 */     // MIs[1] Operand 1
     /*  475547 */     // No operand predicates
     /*  475547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475556 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475579 */     GIR_RootConstrainSelectedInstOperands,
     /*  475580 */     // GIR_Coverage, 24616,
     /*  475580 */     GIR_EraseRootFromParent_Done,
     /*  475581 */   // Label 8032: @475581
     /*  475581 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(475667), // Rule ID 24617 //
     /*  475586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475633 */     // MIs[1] Operand 1
     /*  475633 */     // No operand predicates
     /*  475633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475665 */     GIR_RootConstrainSelectedInstOperands,
     /*  475666 */     // GIR_Coverage, 24617,
     /*  475666 */     GIR_EraseRootFromParent_Done,
     /*  475667 */   // Label 8033: @475667
     /*  475667 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(475753), // Rule ID 24620 //
     /*  475672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475719 */     // MIs[1] Operand 1
     /*  475719 */     // No operand predicates
     /*  475719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475751 */     GIR_RootConstrainSelectedInstOperands,
     /*  475752 */     // GIR_Coverage, 24620,
     /*  475752 */     GIR_EraseRootFromParent_Done,
     /*  475753 */   // Label 8034: @475753
     /*  475753 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(475839), // Rule ID 24621 //
     /*  475758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475805 */     // MIs[1] Operand 1
     /*  475805 */     // No operand predicates
     /*  475805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475837 */     GIR_RootConstrainSelectedInstOperands,
     /*  475838 */     // GIR_Coverage, 24621,
     /*  475838 */     GIR_EraseRootFromParent_Done,
     /*  475839 */   // Label 8035: @475839
     /*  475839 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(475925), // Rule ID 24624 //
     /*  475844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475891 */     // MIs[1] Operand 1
     /*  475891 */     // No operand predicates
     /*  475891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475923 */     GIR_RootConstrainSelectedInstOperands,
     /*  475924 */     // GIR_Coverage, 24624,
     /*  475924 */     GIR_EraseRootFromParent_Done,
     /*  475925 */   // Label 8036: @475925
     /*  475925 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(476011), // Rule ID 24625 //
     /*  475930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475977 */     // MIs[1] Operand 1
     /*  475977 */     // No operand predicates
     /*  475977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476009 */     GIR_RootConstrainSelectedInstOperands,
     /*  476010 */     // GIR_Coverage, 24625,
     /*  476010 */     GIR_EraseRootFromParent_Done,
     /*  476011 */   // Label 8037: @476011
     /*  476011 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(476097), // Rule ID 24628 //
     /*  476016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476063 */     // MIs[1] Operand 1
     /*  476063 */     // No operand predicates
     /*  476063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476095 */     GIR_RootConstrainSelectedInstOperands,
     /*  476096 */     // GIR_Coverage, 24628,
     /*  476096 */     GIR_EraseRootFromParent_Done,
     /*  476097 */   // Label 8038: @476097
     /*  476097 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(476183), // Rule ID 24629 //
     /*  476102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476149 */     // MIs[1] Operand 1
     /*  476149 */     // No operand predicates
     /*  476149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476181 */     GIR_RootConstrainSelectedInstOperands,
     /*  476182 */     // GIR_Coverage, 24629,
     /*  476182 */     GIR_EraseRootFromParent_Done,
     /*  476183 */   // Label 8039: @476183
     /*  476183 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(476269), // Rule ID 24632 //
     /*  476188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476235 */     // MIs[1] Operand 1
     /*  476235 */     // No operand predicates
     /*  476235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476267 */     GIR_RootConstrainSelectedInstOperands,
     /*  476268 */     // GIR_Coverage, 24632,
     /*  476268 */     GIR_EraseRootFromParent_Done,
     /*  476269 */   // Label 8040: @476269
     /*  476269 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(476355), // Rule ID 24633 //
     /*  476274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476321 */     // MIs[1] Operand 1
     /*  476321 */     // No operand predicates
     /*  476321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476353 */     GIR_RootConstrainSelectedInstOperands,
     /*  476354 */     // GIR_Coverage, 24633,
     /*  476354 */     GIR_EraseRootFromParent_Done,
     /*  476355 */   // Label 8041: @476355
     /*  476355 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(476441), // Rule ID 24636 //
     /*  476360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476407 */     // MIs[1] Operand 1
     /*  476407 */     // No operand predicates
     /*  476407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476439 */     GIR_RootConstrainSelectedInstOperands,
     /*  476440 */     // GIR_Coverage, 24636,
     /*  476440 */     GIR_EraseRootFromParent_Done,
     /*  476441 */   // Label 8042: @476441
     /*  476441 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(476527), // Rule ID 24637 //
     /*  476446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476493 */     // MIs[1] Operand 1
     /*  476493 */     // No operand predicates
     /*  476493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476525 */     GIR_RootConstrainSelectedInstOperands,
     /*  476526 */     // GIR_Coverage, 24637,
     /*  476526 */     GIR_EraseRootFromParent_Done,
     /*  476527 */   // Label 8043: @476527
     /*  476527 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(476613), // Rule ID 24640 //
     /*  476532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476579 */     // MIs[1] Operand 1
     /*  476579 */     // No operand predicates
     /*  476579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476611 */     GIR_RootConstrainSelectedInstOperands,
     /*  476612 */     // GIR_Coverage, 24640,
     /*  476612 */     GIR_EraseRootFromParent_Done,
     /*  476613 */   // Label 8044: @476613
     /*  476613 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(476699), // Rule ID 24641 //
     /*  476618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476665 */     // MIs[1] Operand 1
     /*  476665 */     // No operand predicates
     /*  476665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476697 */     GIR_RootConstrainSelectedInstOperands,
     /*  476698 */     // GIR_Coverage, 24641,
     /*  476698 */     GIR_EraseRootFromParent_Done,
     /*  476699 */   // Label 8045: @476699
     /*  476699 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(476785), // Rule ID 24800 //
     /*  476704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476751 */     // MIs[1] Operand 1
     /*  476751 */     // No operand predicates
     /*  476751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476760 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476783 */     GIR_RootConstrainSelectedInstOperands,
     /*  476784 */     // GIR_Coverage, 24800,
     /*  476784 */     GIR_EraseRootFromParent_Done,
     /*  476785 */   // Label 8046: @476785
     /*  476785 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(476871), // Rule ID 24801 //
     /*  476790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476837 */     // MIs[1] Operand 1
     /*  476837 */     // No operand predicates
     /*  476837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476846 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476869 */     GIR_RootConstrainSelectedInstOperands,
     /*  476870 */     // GIR_Coverage, 24801,
     /*  476870 */     GIR_EraseRootFromParent_Done,
     /*  476871 */   // Label 8047: @476871
     /*  476871 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(476957), // Rule ID 24804 //
     /*  476876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476923 */     // MIs[1] Operand 1
     /*  476923 */     // No operand predicates
     /*  476923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476955 */     GIR_RootConstrainSelectedInstOperands,
     /*  476956 */     // GIR_Coverage, 24804,
     /*  476956 */     GIR_EraseRootFromParent_Done,
     /*  476957 */   // Label 8048: @476957
     /*  476957 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(477043), // Rule ID 24805 //
     /*  476962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477009 */     // MIs[1] Operand 1
     /*  477009 */     // No operand predicates
     /*  477009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477018 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477041 */     GIR_RootConstrainSelectedInstOperands,
     /*  477042 */     // GIR_Coverage, 24805,
     /*  477042 */     GIR_EraseRootFromParent_Done,
     /*  477043 */   // Label 8049: @477043
     /*  477043 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(477129), // Rule ID 24808 //
     /*  477048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  477059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  477062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  477065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477095 */     // MIs[1] Operand 1
     /*  477095 */     // No operand predicates
     /*  477095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477104 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477127 */     GIR_RootConstrainSelectedInstOperands,
     /*  477128 */     // GIR_Coverage, 24808,
     /*  477128 */     GIR_EraseRootFromParent_Done,
     /*  477129 */   // Label 8050: @477129
     /*  477129 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(477215), // Rule ID 24809 //
     /*  477134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  477145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  477148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  477151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477181 */     // MIs[1] Operand 1
     /*  477181 */     // No operand predicates
     /*  477181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477190 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477213 */     GIR_RootConstrainSelectedInstOperands,
     /*  477214 */     // GIR_Coverage, 24809,
     /*  477214 */     GIR_EraseRootFromParent_Done,
     /*  477215 */   // Label 8051: @477215
     /*  477215 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(477301), // Rule ID 24812 //
     /*  477220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  477231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  477234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  477237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477267 */     // MIs[1] Operand 1
     /*  477267 */     // No operand predicates
     /*  477267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477299 */     GIR_RootConstrainSelectedInstOperands,
     /*  477300 */     // GIR_Coverage, 24812,
     /*  477300 */     GIR_EraseRootFromParent_Done,
     /*  477301 */   // Label 8052: @477301
     /*  477301 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(477387), // Rule ID 24813 //
     /*  477306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  477317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  477320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  477323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477353 */     // MIs[1] Operand 1
     /*  477353 */     // No operand predicates
     /*  477353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477362 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477385 */     GIR_RootConstrainSelectedInstOperands,
     /*  477386 */     // GIR_Coverage, 24813,
     /*  477386 */     GIR_EraseRootFromParent_Done,
     /*  477387 */   // Label 8053: @477387
     /*  477387 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(477473), // Rule ID 24816 //
     /*  477392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  477403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  477406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  477409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477439 */     // MIs[1] Operand 1
     /*  477439 */     // No operand predicates
     /*  477439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477471 */     GIR_RootConstrainSelectedInstOperands,
     /*  477472 */     // GIR_Coverage, 24816,
     /*  477472 */     GIR_EraseRootFromParent_Done,
     /*  477473 */   // Label 8054: @477473
     /*  477473 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(477559), // Rule ID 24817 //
     /*  477478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  477489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  477492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  477495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477525 */     // MIs[1] Operand 1
     /*  477525 */     // No operand predicates
     /*  477525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477557 */     GIR_RootConstrainSelectedInstOperands,
     /*  477558 */     // GIR_Coverage, 24817,
     /*  477558 */     GIR_EraseRootFromParent_Done,
     /*  477559 */   // Label 8055: @477559
     /*  477559 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(477645), // Rule ID 24820 //
     /*  477564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477611 */     // MIs[1] Operand 1
     /*  477611 */     // No operand predicates
     /*  477611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477620 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477643 */     GIR_RootConstrainSelectedInstOperands,
     /*  477644 */     // GIR_Coverage, 24820,
     /*  477644 */     GIR_EraseRootFromParent_Done,
     /*  477645 */   // Label 8056: @477645
     /*  477645 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(477731), // Rule ID 24821 //
     /*  477650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477697 */     // MIs[1] Operand 1
     /*  477697 */     // No operand predicates
     /*  477697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477729 */     GIR_RootConstrainSelectedInstOperands,
     /*  477730 */     // GIR_Coverage, 24821,
     /*  477730 */     GIR_EraseRootFromParent_Done,
     /*  477731 */   // Label 8057: @477731
     /*  477731 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(477817), // Rule ID 24824 //
     /*  477736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477783 */     // MIs[1] Operand 1
     /*  477783 */     // No operand predicates
     /*  477783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477815 */     GIR_RootConstrainSelectedInstOperands,
     /*  477816 */     // GIR_Coverage, 24824,
     /*  477816 */     GIR_EraseRootFromParent_Done,
     /*  477817 */   // Label 8058: @477817
     /*  477817 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(477903), // Rule ID 24825 //
     /*  477822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477869 */     // MIs[1] Operand 1
     /*  477869 */     // No operand predicates
     /*  477869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477878 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477901 */     GIR_RootConstrainSelectedInstOperands,
     /*  477902 */     // GIR_Coverage, 24825,
     /*  477902 */     GIR_EraseRootFromParent_Done,
     /*  477903 */   // Label 8059: @477903
     /*  477903 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(477989), // Rule ID 24828 //
     /*  477908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477955 */     // MIs[1] Operand 1
     /*  477955 */     // No operand predicates
     /*  477955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477964 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477987 */     GIR_RootConstrainSelectedInstOperands,
     /*  477988 */     // GIR_Coverage, 24828,
     /*  477988 */     GIR_EraseRootFromParent_Done,
     /*  477989 */   // Label 8060: @477989
     /*  477989 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(478075), // Rule ID 24829 //
     /*  477994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  478005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  478008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  478011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478041 */     // MIs[1] Operand 1
     /*  478041 */     // No operand predicates
     /*  478041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478073 */     GIR_RootConstrainSelectedInstOperands,
     /*  478074 */     // GIR_Coverage, 24829,
     /*  478074 */     GIR_EraseRootFromParent_Done,
     /*  478075 */   // Label 8061: @478075
     /*  478075 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(478161), // Rule ID 24832 //
     /*  478080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  478083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  478097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478127 */     // MIs[1] Operand 1
     /*  478127 */     // No operand predicates
     /*  478127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  478136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478159 */     GIR_RootConstrainSelectedInstOperands,
     /*  478160 */     // GIR_Coverage, 24832,
     /*  478160 */     GIR_EraseRootFromParent_Done,
     /*  478161 */   // Label 8062: @478161
     /*  478161 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(478247), // Rule ID 24833 //
     /*  478166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  478169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  478183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478213 */     // MIs[1] Operand 1
     /*  478213 */     // No operand predicates
     /*  478213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478245 */     GIR_RootConstrainSelectedInstOperands,
     /*  478246 */     // GIR_Coverage, 24833,
     /*  478246 */     GIR_EraseRootFromParent_Done,
     /*  478247 */   // Label 8063: @478247
     /*  478247 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(478333), // Rule ID 24884 //
     /*  478252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478299 */     // MIs[1] Operand 1
     /*  478299 */     // No operand predicates
     /*  478299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478308 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478331 */     GIR_RootConstrainSelectedInstOperands,
     /*  478332 */     // GIR_Coverage, 24884,
     /*  478332 */     GIR_EraseRootFromParent_Done,
     /*  478333 */   // Label 8064: @478333
     /*  478333 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(478419), // Rule ID 24885 //
     /*  478338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478385 */     // MIs[1] Operand 1
     /*  478385 */     // No operand predicates
     /*  478385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478394 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478417 */     GIR_RootConstrainSelectedInstOperands,
     /*  478418 */     // GIR_Coverage, 24885,
     /*  478418 */     GIR_EraseRootFromParent_Done,
     /*  478419 */   // Label 8065: @478419
     /*  478419 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(478505), // Rule ID 24888 //
     /*  478424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478471 */     // MIs[1] Operand 1
     /*  478471 */     // No operand predicates
     /*  478471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478480 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478503 */     GIR_RootConstrainSelectedInstOperands,
     /*  478504 */     // GIR_Coverage, 24888,
     /*  478504 */     GIR_EraseRootFromParent_Done,
     /*  478505 */   // Label 8066: @478505
     /*  478505 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(478591), // Rule ID 24889 //
     /*  478510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478557 */     // MIs[1] Operand 1
     /*  478557 */     // No operand predicates
     /*  478557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478566 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478589 */     GIR_RootConstrainSelectedInstOperands,
     /*  478590 */     // GIR_Coverage, 24889,
     /*  478590 */     GIR_EraseRootFromParent_Done,
     /*  478591 */   // Label 8067: @478591
     /*  478591 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(478677), // Rule ID 24892 //
     /*  478596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478643 */     // MIs[1] Operand 1
     /*  478643 */     // No operand predicates
     /*  478643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478675 */     GIR_RootConstrainSelectedInstOperands,
     /*  478676 */     // GIR_Coverage, 24892,
     /*  478676 */     GIR_EraseRootFromParent_Done,
     /*  478677 */   // Label 8068: @478677
     /*  478677 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(478763), // Rule ID 24893 //
     /*  478682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478729 */     // MIs[1] Operand 1
     /*  478729 */     // No operand predicates
     /*  478729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478738 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478761 */     GIR_RootConstrainSelectedInstOperands,
     /*  478762 */     // GIR_Coverage, 24893,
     /*  478762 */     GIR_EraseRootFromParent_Done,
     /*  478763 */   // Label 8069: @478763
     /*  478763 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(478849), // Rule ID 24896 //
     /*  478768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478815 */     // MIs[1] Operand 1
     /*  478815 */     // No operand predicates
     /*  478815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478824 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478847 */     GIR_RootConstrainSelectedInstOperands,
     /*  478848 */     // GIR_Coverage, 24896,
     /*  478848 */     GIR_EraseRootFromParent_Done,
     /*  478849 */   // Label 8070: @478849
     /*  478849 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(478935), // Rule ID 24897 //
     /*  478854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478901 */     // MIs[1] Operand 1
     /*  478901 */     // No operand predicates
     /*  478901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478933 */     GIR_RootConstrainSelectedInstOperands,
     /*  478934 */     // GIR_Coverage, 24897,
     /*  478934 */     GIR_EraseRootFromParent_Done,
     /*  478935 */   // Label 8071: @478935
     /*  478935 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(479021), // Rule ID 24900 //
     /*  478940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478987 */     // MIs[1] Operand 1
     /*  478987 */     // No operand predicates
     /*  478987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479019 */     GIR_RootConstrainSelectedInstOperands,
     /*  479020 */     // GIR_Coverage, 24900,
     /*  479020 */     GIR_EraseRootFromParent_Done,
     /*  479021 */   // Label 8072: @479021
     /*  479021 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(479107), // Rule ID 24901 //
     /*  479026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  479029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479073 */     // MIs[1] Operand 1
     /*  479073 */     // No operand predicates
     /*  479073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479082 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479105 */     GIR_RootConstrainSelectedInstOperands,
     /*  479106 */     // GIR_Coverage, 24901,
     /*  479106 */     GIR_EraseRootFromParent_Done,
     /*  479107 */   // Label 8073: @479107
     /*  479107 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(479193), // Rule ID 24904 //
     /*  479112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  479115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479159 */     // MIs[1] Operand 1
     /*  479159 */     // No operand predicates
     /*  479159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479168 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479191 */     GIR_RootConstrainSelectedInstOperands,
     /*  479192 */     // GIR_Coverage, 24904,
     /*  479192 */     GIR_EraseRootFromParent_Done,
     /*  479193 */   // Label 8074: @479193
     /*  479193 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(479279), // Rule ID 24905 //
     /*  479198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  479201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479245 */     // MIs[1] Operand 1
     /*  479245 */     // No operand predicates
     /*  479245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479254 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479277 */     GIR_RootConstrainSelectedInstOperands,
     /*  479278 */     // GIR_Coverage, 24905,
     /*  479278 */     GIR_EraseRootFromParent_Done,
     /*  479279 */   // Label 8075: @479279
     /*  479279 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(479365), // Rule ID 60908 //
     /*  479284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479331 */     // MIs[1] Operand 1
     /*  479331 */     // No operand predicates
     /*  479331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479340 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  479343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479363 */     GIR_RootConstrainSelectedInstOperands,
     /*  479364 */     // GIR_Coverage, 60908,
     /*  479364 */     GIR_EraseRootFromParent_Done,
     /*  479365 */   // Label 8076: @479365
     /*  479365 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(479451), // Rule ID 60909 //
     /*  479370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479417 */     // MIs[1] Operand 1
     /*  479417 */     // No operand predicates
     /*  479417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  479429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479449 */     GIR_RootConstrainSelectedInstOperands,
     /*  479450 */     // GIR_Coverage, 60909,
     /*  479450 */     GIR_EraseRootFromParent_Done,
     /*  479451 */   // Label 8077: @479451
     /*  479451 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(479537), // Rule ID 60916 //
     /*  479456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479503 */     // MIs[1] Operand 1
     /*  479503 */     // No operand predicates
     /*  479503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479535 */     GIR_RootConstrainSelectedInstOperands,
     /*  479536 */     // GIR_Coverage, 60916,
     /*  479536 */     GIR_EraseRootFromParent_Done,
     /*  479537 */   // Label 8078: @479537
     /*  479537 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(479623), // Rule ID 60917 //
     /*  479542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479589 */     // MIs[1] Operand 1
     /*  479589 */     // No operand predicates
     /*  479589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479621 */     GIR_RootConstrainSelectedInstOperands,
     /*  479622 */     // GIR_Coverage, 60917,
     /*  479622 */     GIR_EraseRootFromParent_Done,
     /*  479623 */   // Label 8079: @479623
     /*  479623 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(479709), // Rule ID 60924 //
     /*  479628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479675 */     // MIs[1] Operand 1
     /*  479675 */     // No operand predicates
     /*  479675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479707 */     GIR_RootConstrainSelectedInstOperands,
     /*  479708 */     // GIR_Coverage, 60924,
     /*  479708 */     GIR_EraseRootFromParent_Done,
     /*  479709 */   // Label 8080: @479709
     /*  479709 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(479795), // Rule ID 60925 //
     /*  479714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479761 */     // MIs[1] Operand 1
     /*  479761 */     // No operand predicates
     /*  479761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479793 */     GIR_RootConstrainSelectedInstOperands,
     /*  479794 */     // GIR_Coverage, 60925,
     /*  479794 */     GIR_EraseRootFromParent_Done,
     /*  479795 */   // Label 8081: @479795
     /*  479795 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(479881), // Rule ID 60932 //
     /*  479800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479847 */     // MIs[1] Operand 1
     /*  479847 */     // No operand predicates
     /*  479847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479879 */     GIR_RootConstrainSelectedInstOperands,
     /*  479880 */     // GIR_Coverage, 60932,
     /*  479880 */     GIR_EraseRootFromParent_Done,
     /*  479881 */   // Label 8082: @479881
     /*  479881 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(479967), // Rule ID 60933 //
     /*  479886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479933 */     // MIs[1] Operand 1
     /*  479933 */     // No operand predicates
     /*  479933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479965 */     GIR_RootConstrainSelectedInstOperands,
     /*  479966 */     // GIR_Coverage, 60933,
     /*  479966 */     GIR_EraseRootFromParent_Done,
     /*  479967 */   // Label 8083: @479967
     /*  479967 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(480053), // Rule ID 60940 //
     /*  479972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480019 */     // MIs[1] Operand 1
     /*  480019 */     // No operand predicates
     /*  480019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480051 */     GIR_RootConstrainSelectedInstOperands,
     /*  480052 */     // GIR_Coverage, 60940,
     /*  480052 */     GIR_EraseRootFromParent_Done,
     /*  480053 */   // Label 8084: @480053
     /*  480053 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(480139), // Rule ID 60941 //
     /*  480058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  480069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  480072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  480075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480105 */     // MIs[1] Operand 1
     /*  480105 */     // No operand predicates
     /*  480105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480137 */     GIR_RootConstrainSelectedInstOperands,
     /*  480138 */     // GIR_Coverage, 60941,
     /*  480138 */     GIR_EraseRootFromParent_Done,
     /*  480139 */   // Label 8085: @480139
     /*  480139 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(480225), // Rule ID 60948 //
     /*  480144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  480161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480191 */     // MIs[1] Operand 1
     /*  480191 */     // No operand predicates
     /*  480191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480200 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480223 */     GIR_RootConstrainSelectedInstOperands,
     /*  480224 */     // GIR_Coverage, 60948,
     /*  480224 */     GIR_EraseRootFromParent_Done,
     /*  480225 */   // Label 8086: @480225
     /*  480225 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(480311), // Rule ID 60949 //
     /*  480230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  480247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480277 */     // MIs[1] Operand 1
     /*  480277 */     // No operand predicates
     /*  480277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480309 */     GIR_RootConstrainSelectedInstOperands,
     /*  480310 */     // GIR_Coverage, 60949,
     /*  480310 */     GIR_EraseRootFromParent_Done,
     /*  480311 */   // Label 8087: @480311
     /*  480311 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(480397), // Rule ID 60956 //
     /*  480316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480363 */     // MIs[1] Operand 1
     /*  480363 */     // No operand predicates
     /*  480363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480395 */     GIR_RootConstrainSelectedInstOperands,
     /*  480396 */     // GIR_Coverage, 60956,
     /*  480396 */     GIR_EraseRootFromParent_Done,
     /*  480397 */   // Label 8088: @480397
     /*  480397 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(480483), // Rule ID 60957 //
     /*  480402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480449 */     // MIs[1] Operand 1
     /*  480449 */     // No operand predicates
     /*  480449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480481 */     GIR_RootConstrainSelectedInstOperands,
     /*  480482 */     // GIR_Coverage, 60957,
     /*  480482 */     GIR_EraseRootFromParent_Done,
     /*  480483 */   // Label 8089: @480483
     /*  480483 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(480569), // Rule ID 60964 //
     /*  480488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480535 */     // MIs[1] Operand 1
     /*  480535 */     // No operand predicates
     /*  480535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480567 */     GIR_RootConstrainSelectedInstOperands,
     /*  480568 */     // GIR_Coverage, 60964,
     /*  480568 */     GIR_EraseRootFromParent_Done,
     /*  480569 */   // Label 8090: @480569
     /*  480569 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(480655), // Rule ID 60965 //
     /*  480574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480621 */     // MIs[1] Operand 1
     /*  480621 */     // No operand predicates
     /*  480621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480653 */     GIR_RootConstrainSelectedInstOperands,
     /*  480654 */     // GIR_Coverage, 60965,
     /*  480654 */     GIR_EraseRootFromParent_Done,
     /*  480655 */   // Label 8091: @480655
     /*  480655 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(480741), // Rule ID 60972 //
     /*  480660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480707 */     // MIs[1] Operand 1
     /*  480707 */     // No operand predicates
     /*  480707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480739 */     GIR_RootConstrainSelectedInstOperands,
     /*  480740 */     // GIR_Coverage, 60972,
     /*  480740 */     GIR_EraseRootFromParent_Done,
     /*  480741 */   // Label 8092: @480741
     /*  480741 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(480827), // Rule ID 60973 //
     /*  480746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480793 */     // MIs[1] Operand 1
     /*  480793 */     // No operand predicates
     /*  480793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480825 */     GIR_RootConstrainSelectedInstOperands,
     /*  480826 */     // GIR_Coverage, 60973,
     /*  480826 */     GIR_EraseRootFromParent_Done,
     /*  480827 */   // Label 8093: @480827
     /*  480827 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(480913), // Rule ID 60980 //
     /*  480832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480879 */     // MIs[1] Operand 1
     /*  480879 */     // No operand predicates
     /*  480879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480911 */     GIR_RootConstrainSelectedInstOperands,
     /*  480912 */     // GIR_Coverage, 60980,
     /*  480912 */     GIR_EraseRootFromParent_Done,
     /*  480913 */   // Label 8094: @480913
     /*  480913 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(480999), // Rule ID 60981 //
     /*  480918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480965 */     // MIs[1] Operand 1
     /*  480965 */     // No operand predicates
     /*  480965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480997 */     GIR_RootConstrainSelectedInstOperands,
     /*  480998 */     // GIR_Coverage, 60981,
     /*  480998 */     GIR_EraseRootFromParent_Done,
     /*  480999 */   // Label 8095: @480999
     /*  480999 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(481085), // Rule ID 60988 //
     /*  481004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  481021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481051 */     // MIs[1] Operand 1
     /*  481051 */     // No operand predicates
     /*  481051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481083 */     GIR_RootConstrainSelectedInstOperands,
     /*  481084 */     // GIR_Coverage, 60988,
     /*  481084 */     GIR_EraseRootFromParent_Done,
     /*  481085 */   // Label 8096: @481085
     /*  481085 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(481171), // Rule ID 60989 //
     /*  481090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  481107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481137 */     // MIs[1] Operand 1
     /*  481137 */     // No operand predicates
     /*  481137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481169 */     GIR_RootConstrainSelectedInstOperands,
     /*  481170 */     // GIR_Coverage, 60989,
     /*  481170 */     GIR_EraseRootFromParent_Done,
     /*  481171 */   // Label 8097: @481171
     /*  481171 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(481257), // Rule ID 60996 //
     /*  481176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481223 */     // MIs[1] Operand 1
     /*  481223 */     // No operand predicates
     /*  481223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481255 */     GIR_RootConstrainSelectedInstOperands,
     /*  481256 */     // GIR_Coverage, 60996,
     /*  481256 */     GIR_EraseRootFromParent_Done,
     /*  481257 */   // Label 8098: @481257
     /*  481257 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(481343), // Rule ID 60997 //
     /*  481262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481309 */     // MIs[1] Operand 1
     /*  481309 */     // No operand predicates
     /*  481309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481341 */     GIR_RootConstrainSelectedInstOperands,
     /*  481342 */     // GIR_Coverage, 60997,
     /*  481342 */     GIR_EraseRootFromParent_Done,
     /*  481343 */   // Label 8099: @481343
     /*  481343 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(481429), // Rule ID 61004 //
     /*  481348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481395 */     // MIs[1] Operand 1
     /*  481395 */     // No operand predicates
     /*  481395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481427 */     GIR_RootConstrainSelectedInstOperands,
     /*  481428 */     // GIR_Coverage, 61004,
     /*  481428 */     GIR_EraseRootFromParent_Done,
     /*  481429 */   // Label 8100: @481429
     /*  481429 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(481515), // Rule ID 61005 //
     /*  481434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481481 */     // MIs[1] Operand 1
     /*  481481 */     // No operand predicates
     /*  481481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481513 */     GIR_RootConstrainSelectedInstOperands,
     /*  481514 */     // GIR_Coverage, 61005,
     /*  481514 */     GIR_EraseRootFromParent_Done,
     /*  481515 */   // Label 8101: @481515
     /*  481515 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(481601), // Rule ID 61012 //
     /*  481520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481567 */     // MIs[1] Operand 1
     /*  481567 */     // No operand predicates
     /*  481567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481599 */     GIR_RootConstrainSelectedInstOperands,
     /*  481600 */     // GIR_Coverage, 61012,
     /*  481600 */     GIR_EraseRootFromParent_Done,
     /*  481601 */   // Label 8102: @481601
     /*  481601 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(481687), // Rule ID 61013 //
     /*  481606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481653 */     // MIs[1] Operand 1
     /*  481653 */     // No operand predicates
     /*  481653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481685 */     GIR_RootConstrainSelectedInstOperands,
     /*  481686 */     // GIR_Coverage, 61013,
     /*  481686 */     GIR_EraseRootFromParent_Done,
     /*  481687 */   // Label 8103: @481687
     /*  481687 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(481773), // Rule ID 61020 //
     /*  481692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481739 */     // MIs[1] Operand 1
     /*  481739 */     // No operand predicates
     /*  481739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481748 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481771 */     GIR_RootConstrainSelectedInstOperands,
     /*  481772 */     // GIR_Coverage, 61020,
     /*  481772 */     GIR_EraseRootFromParent_Done,
     /*  481773 */   // Label 8104: @481773
     /*  481773 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(481859), // Rule ID 61021 //
     /*  481778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481825 */     // MIs[1] Operand 1
     /*  481825 */     // No operand predicates
     /*  481825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481857 */     GIR_RootConstrainSelectedInstOperands,
     /*  481858 */     // GIR_Coverage, 61021,
     /*  481858 */     GIR_EraseRootFromParent_Done,
     /*  481859 */   // Label 8105: @481859
     /*  481859 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(481945), // Rule ID 61876 //
     /*  481864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481911 */     // MIs[1] Operand 1
     /*  481911 */     // No operand predicates
     /*  481911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481920 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  481923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481943 */     GIR_RootConstrainSelectedInstOperands,
     /*  481944 */     // GIR_Coverage, 61876,
     /*  481944 */     GIR_EraseRootFromParent_Done,
     /*  481945 */   // Label 8106: @481945
     /*  481945 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(482031), // Rule ID 61877 //
     /*  481950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481997 */     // MIs[1] Operand 1
     /*  481997 */     // No operand predicates
     /*  481997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482006 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  482009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482029 */     GIR_RootConstrainSelectedInstOperands,
     /*  482030 */     // GIR_Coverage, 61877,
     /*  482030 */     GIR_EraseRootFromParent_Done,
     /*  482031 */   // Label 8107: @482031
     /*  482031 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(482117), // Rule ID 61880 //
     /*  482036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  482047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  482050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  482053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482083 */     // MIs[1] Operand 1
     /*  482083 */     // No operand predicates
     /*  482083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482115 */     GIR_RootConstrainSelectedInstOperands,
     /*  482116 */     // GIR_Coverage, 61880,
     /*  482116 */     GIR_EraseRootFromParent_Done,
     /*  482117 */   // Label 8108: @482117
     /*  482117 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(482203), // Rule ID 61881 //
     /*  482122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  482133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  482136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  482139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482169 */     // MIs[1] Operand 1
     /*  482169 */     // No operand predicates
     /*  482169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482201 */     GIR_RootConstrainSelectedInstOperands,
     /*  482202 */     // GIR_Coverage, 61881,
     /*  482202 */     GIR_EraseRootFromParent_Done,
     /*  482203 */   // Label 8109: @482203
     /*  482203 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(482289), // Rule ID 61884 //
     /*  482208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  482219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  482222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  482225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482255 */     // MIs[1] Operand 1
     /*  482255 */     // No operand predicates
     /*  482255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482264 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482287 */     GIR_RootConstrainSelectedInstOperands,
     /*  482288 */     // GIR_Coverage, 61884,
     /*  482288 */     GIR_EraseRootFromParent_Done,
     /*  482289 */   // Label 8110: @482289
     /*  482289 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(482375), // Rule ID 61885 //
     /*  482294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  482305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  482308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  482311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482341 */     // MIs[1] Operand 1
     /*  482341 */     // No operand predicates
     /*  482341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482350 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482373 */     GIR_RootConstrainSelectedInstOperands,
     /*  482374 */     // GIR_Coverage, 61885,
     /*  482374 */     GIR_EraseRootFromParent_Done,
     /*  482375 */   // Label 8111: @482375
     /*  482375 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(482461), // Rule ID 61888 //
     /*  482380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482427 */     // MIs[1] Operand 1
     /*  482427 */     // No operand predicates
     /*  482427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482459 */     GIR_RootConstrainSelectedInstOperands,
     /*  482460 */     // GIR_Coverage, 61888,
     /*  482460 */     GIR_EraseRootFromParent_Done,
     /*  482461 */   // Label 8112: @482461
     /*  482461 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(482547), // Rule ID 61889 //
     /*  482466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482513 */     // MIs[1] Operand 1
     /*  482513 */     // No operand predicates
     /*  482513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482545 */     GIR_RootConstrainSelectedInstOperands,
     /*  482546 */     // GIR_Coverage, 61889,
     /*  482546 */     GIR_EraseRootFromParent_Done,
     /*  482547 */   // Label 8113: @482547
     /*  482547 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(482633), // Rule ID 61892 //
     /*  482552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482599 */     // MIs[1] Operand 1
     /*  482599 */     // No operand predicates
     /*  482599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482631 */     GIR_RootConstrainSelectedInstOperands,
     /*  482632 */     // GIR_Coverage, 61892,
     /*  482632 */     GIR_EraseRootFromParent_Done,
     /*  482633 */   // Label 8114: @482633
     /*  482633 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(482719), // Rule ID 61893 //
     /*  482638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482685 */     // MIs[1] Operand 1
     /*  482685 */     // No operand predicates
     /*  482685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482717 */     GIR_RootConstrainSelectedInstOperands,
     /*  482718 */     // GIR_Coverage, 61893,
     /*  482718 */     GIR_EraseRootFromParent_Done,
     /*  482719 */   // Label 8115: @482719
     /*  482719 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(482805), // Rule ID 61896 //
     /*  482724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482771 */     // MIs[1] Operand 1
     /*  482771 */     // No operand predicates
     /*  482771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482803 */     GIR_RootConstrainSelectedInstOperands,
     /*  482804 */     // GIR_Coverage, 61896,
     /*  482804 */     GIR_EraseRootFromParent_Done,
     /*  482805 */   // Label 8116: @482805
     /*  482805 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(482891), // Rule ID 61897 //
     /*  482810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482857 */     // MIs[1] Operand 1
     /*  482857 */     // No operand predicates
     /*  482857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482889 */     GIR_RootConstrainSelectedInstOperands,
     /*  482890 */     // GIR_Coverage, 61897,
     /*  482890 */     GIR_EraseRootFromParent_Done,
     /*  482891 */   // Label 8117: @482891
     /*  482891 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(482977), // Rule ID 61900 //
     /*  482896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482943 */     // MIs[1] Operand 1
     /*  482943 */     // No operand predicates
     /*  482943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482975 */     GIR_RootConstrainSelectedInstOperands,
     /*  482976 */     // GIR_Coverage, 61900,
     /*  482976 */     GIR_EraseRootFromParent_Done,
     /*  482977 */   // Label 8118: @482977
     /*  482977 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(483063), // Rule ID 61901 //
     /*  482982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483029 */     // MIs[1] Operand 1
     /*  483029 */     // No operand predicates
     /*  483029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483038 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483061 */     GIR_RootConstrainSelectedInstOperands,
     /*  483062 */     // GIR_Coverage, 61901,
     /*  483062 */     GIR_EraseRootFromParent_Done,
     /*  483063 */   // Label 8119: @483063
     /*  483063 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(483149), // Rule ID 61904 //
     /*  483068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  483085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483115 */     // MIs[1] Operand 1
     /*  483115 */     // No operand predicates
     /*  483115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483147 */     GIR_RootConstrainSelectedInstOperands,
     /*  483148 */     // GIR_Coverage, 61904,
     /*  483148 */     GIR_EraseRootFromParent_Done,
     /*  483149 */   // Label 8120: @483149
     /*  483149 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(483235), // Rule ID 61905 //
     /*  483154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  483171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483201 */     // MIs[1] Operand 1
     /*  483201 */     // No operand predicates
     /*  483201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483210 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483233 */     GIR_RootConstrainSelectedInstOperands,
     /*  483234 */     // GIR_Coverage, 61905,
     /*  483234 */     GIR_EraseRootFromParent_Done,
     /*  483235 */   // Label 8121: @483235
     /*  483235 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(483321), // Rule ID 61908 //
     /*  483240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  483251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  483254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483287 */     // MIs[1] Operand 1
     /*  483287 */     // No operand predicates
     /*  483287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483319 */     GIR_RootConstrainSelectedInstOperands,
     /*  483320 */     // GIR_Coverage, 61908,
     /*  483320 */     GIR_EraseRootFromParent_Done,
     /*  483321 */   // Label 8122: @483321
     /*  483321 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(483407), // Rule ID 61909 //
     /*  483326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  483337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  483340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483373 */     // MIs[1] Operand 1
     /*  483373 */     // No operand predicates
     /*  483373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483405 */     GIR_RootConstrainSelectedInstOperands,
     /*  483406 */     // GIR_Coverage, 61909,
     /*  483406 */     GIR_EraseRootFromParent_Done,
     /*  483407 */   // Label 8123: @483407
     /*  483407 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(483493), // Rule ID 61912 //
     /*  483412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483459 */     // MIs[1] Operand 1
     /*  483459 */     // No operand predicates
     /*  483459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483491 */     GIR_RootConstrainSelectedInstOperands,
     /*  483492 */     // GIR_Coverage, 61912,
     /*  483492 */     GIR_EraseRootFromParent_Done,
     /*  483493 */   // Label 8124: @483493
     /*  483493 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(483579), // Rule ID 61913 //
     /*  483498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483545 */     // MIs[1] Operand 1
     /*  483545 */     // No operand predicates
     /*  483545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483577 */     GIR_RootConstrainSelectedInstOperands,
     /*  483578 */     // GIR_Coverage, 61913,
     /*  483578 */     GIR_EraseRootFromParent_Done,
     /*  483579 */   // Label 8125: @483579
     /*  483579 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(483665), // Rule ID 61916 //
     /*  483584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483631 */     // MIs[1] Operand 1
     /*  483631 */     // No operand predicates
     /*  483631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483663 */     GIR_RootConstrainSelectedInstOperands,
     /*  483664 */     // GIR_Coverage, 61916,
     /*  483664 */     GIR_EraseRootFromParent_Done,
     /*  483665 */   // Label 8126: @483665
     /*  483665 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(483751), // Rule ID 61917 //
     /*  483670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483717 */     // MIs[1] Operand 1
     /*  483717 */     // No operand predicates
     /*  483717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483749 */     GIR_RootConstrainSelectedInstOperands,
     /*  483750 */     // GIR_Coverage, 61917,
     /*  483750 */     GIR_EraseRootFromParent_Done,
     /*  483751 */   // Label 8127: @483751
     /*  483751 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(483837), // Rule ID 61920 //
     /*  483756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483803 */     // MIs[1] Operand 1
     /*  483803 */     // No operand predicates
     /*  483803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483812 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483835 */     GIR_RootConstrainSelectedInstOperands,
     /*  483836 */     // GIR_Coverage, 61920,
     /*  483836 */     GIR_EraseRootFromParent_Done,
     /*  483837 */   // Label 8128: @483837
     /*  483837 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(483923), // Rule ID 61921 //
     /*  483842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483889 */     // MIs[1] Operand 1
     /*  483889 */     // No operand predicates
     /*  483889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483898 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483921 */     GIR_RootConstrainSelectedInstOperands,
     /*  483922 */     // GIR_Coverage, 61921,
     /*  483922 */     GIR_EraseRootFromParent_Done,
     /*  483923 */   // Label 8129: @483923
     /*  483923 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(484009), // Rule ID 61924 //
     /*  483928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  483939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  483942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  483945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483975 */     // MIs[1] Operand 1
     /*  483975 */     // No operand predicates
     /*  483975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484007 */     GIR_RootConstrainSelectedInstOperands,
     /*  484008 */     // GIR_Coverage, 61924,
     /*  484008 */     GIR_EraseRootFromParent_Done,
     /*  484009 */   // Label 8130: @484009
     /*  484009 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(484095), // Rule ID 61925 //
     /*  484014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  484025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  484028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  484031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484061 */     // MIs[1] Operand 1
     /*  484061 */     // No operand predicates
     /*  484061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484070 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484093 */     GIR_RootConstrainSelectedInstOperands,
     /*  484094 */     // GIR_Coverage, 61925,
     /*  484094 */     GIR_EraseRootFromParent_Done,
     /*  484095 */   // Label 8131: @484095
     /*  484095 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(484181), // Rule ID 61928 //
     /*  484100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484147 */     // MIs[1] Operand 1
     /*  484147 */     // No operand predicates
     /*  484147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484179 */     GIR_RootConstrainSelectedInstOperands,
     /*  484180 */     // GIR_Coverage, 61928,
     /*  484180 */     GIR_EraseRootFromParent_Done,
     /*  484181 */   // Label 8132: @484181
     /*  484181 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(484267), // Rule ID 61929 //
     /*  484186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484233 */     // MIs[1] Operand 1
     /*  484233 */     // No operand predicates
     /*  484233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484265 */     GIR_RootConstrainSelectedInstOperands,
     /*  484266 */     // GIR_Coverage, 61929,
     /*  484266 */     GIR_EraseRootFromParent_Done,
     /*  484267 */   // Label 8133: @484267
     /*  484267 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(484353), // Rule ID 61932 //
     /*  484272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484319 */     // MIs[1] Operand 1
     /*  484319 */     // No operand predicates
     /*  484319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484351 */     GIR_RootConstrainSelectedInstOperands,
     /*  484352 */     // GIR_Coverage, 61932,
     /*  484352 */     GIR_EraseRootFromParent_Done,
     /*  484353 */   // Label 8134: @484353
     /*  484353 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(484439), // Rule ID 61933 //
     /*  484358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484405 */     // MIs[1] Operand 1
     /*  484405 */     // No operand predicates
     /*  484405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484437 */     GIR_RootConstrainSelectedInstOperands,
     /*  484438 */     // GIR_Coverage, 61933,
     /*  484438 */     GIR_EraseRootFromParent_Done,
     /*  484439 */   // Label 8135: @484439
     /*  484439 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(484525), // Rule ID 61936 //
     /*  484444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484491 */     // MIs[1] Operand 1
     /*  484491 */     // No operand predicates
     /*  484491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484523 */     GIR_RootConstrainSelectedInstOperands,
     /*  484524 */     // GIR_Coverage, 61936,
     /*  484524 */     GIR_EraseRootFromParent_Done,
     /*  484525 */   // Label 8136: @484525
     /*  484525 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(484611), // Rule ID 61937 //
     /*  484530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484577 */     // MIs[1] Operand 1
     /*  484577 */     // No operand predicates
     /*  484577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484609 */     GIR_RootConstrainSelectedInstOperands,
     /*  484610 */     // GIR_Coverage, 61937,
     /*  484610 */     GIR_EraseRootFromParent_Done,
     /*  484611 */   // Label 8137: @484611
     /*  484611 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(484697), // Rule ID 61940 //
     /*  484616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484663 */     // MIs[1] Operand 1
     /*  484663 */     // No operand predicates
     /*  484663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484695 */     GIR_RootConstrainSelectedInstOperands,
     /*  484696 */     // GIR_Coverage, 61940,
     /*  484696 */     GIR_EraseRootFromParent_Done,
     /*  484697 */   // Label 8138: @484697
     /*  484697 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(484783), // Rule ID 61941 //
     /*  484702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484749 */     // MIs[1] Operand 1
     /*  484749 */     // No operand predicates
     /*  484749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484781 */     GIR_RootConstrainSelectedInstOperands,
     /*  484782 */     // GIR_Coverage, 61941,
     /*  484782 */     GIR_EraseRootFromParent_Done,
     /*  484783 */   // Label 8139: @484783
     /*  484783 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(484869), // Rule ID 61944 //
     /*  484788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484835 */     // MIs[1] Operand 1
     /*  484835 */     // No operand predicates
     /*  484835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484867 */     GIR_RootConstrainSelectedInstOperands,
     /*  484868 */     // GIR_Coverage, 61944,
     /*  484868 */     GIR_EraseRootFromParent_Done,
     /*  484869 */   // Label 8140: @484869
     /*  484869 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(484955), // Rule ID 61945 //
     /*  484874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484921 */     // MIs[1] Operand 1
     /*  484921 */     // No operand predicates
     /*  484921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484953 */     GIR_RootConstrainSelectedInstOperands,
     /*  484954 */     // GIR_Coverage, 61945,
     /*  484954 */     GIR_EraseRootFromParent_Done,
     /*  484955 */   // Label 8141: @484955
     /*  484955 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(485041), // Rule ID 61948 //
     /*  484960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  484977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485007 */     // MIs[1] Operand 1
     /*  485007 */     // No operand predicates
     /*  485007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485039 */     GIR_RootConstrainSelectedInstOperands,
     /*  485040 */     // GIR_Coverage, 61948,
     /*  485040 */     GIR_EraseRootFromParent_Done,
     /*  485041 */   // Label 8142: @485041
     /*  485041 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(485127), // Rule ID 61949 //
     /*  485046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485093 */     // MIs[1] Operand 1
     /*  485093 */     // No operand predicates
     /*  485093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485125 */     GIR_RootConstrainSelectedInstOperands,
     /*  485126 */     // GIR_Coverage, 61949,
     /*  485126 */     GIR_EraseRootFromParent_Done,
     /*  485127 */   // Label 8143: @485127
     /*  485127 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(485213), // Rule ID 61952 //
     /*  485132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485179 */     // MIs[1] Operand 1
     /*  485179 */     // No operand predicates
     /*  485179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485211 */     GIR_RootConstrainSelectedInstOperands,
     /*  485212 */     // GIR_Coverage, 61952,
     /*  485212 */     GIR_EraseRootFromParent_Done,
     /*  485213 */   // Label 8144: @485213
     /*  485213 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(485299), // Rule ID 61953 //
     /*  485218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485265 */     // MIs[1] Operand 1
     /*  485265 */     // No operand predicates
     /*  485265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485297 */     GIR_RootConstrainSelectedInstOperands,
     /*  485298 */     // GIR_Coverage, 61953,
     /*  485298 */     GIR_EraseRootFromParent_Done,
     /*  485299 */   // Label 8145: @485299
     /*  485299 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(485385), // Rule ID 61956 //
     /*  485304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  485321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485351 */     // MIs[1] Operand 1
     /*  485351 */     // No operand predicates
     /*  485351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485383 */     GIR_RootConstrainSelectedInstOperands,
     /*  485384 */     // GIR_Coverage, 61956,
     /*  485384 */     GIR_EraseRootFromParent_Done,
     /*  485385 */   // Label 8146: @485385
     /*  485385 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(485471), // Rule ID 61957 //
     /*  485390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  485407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485437 */     // MIs[1] Operand 1
     /*  485437 */     // No operand predicates
     /*  485437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485469 */     GIR_RootConstrainSelectedInstOperands,
     /*  485470 */     // GIR_Coverage, 61957,
     /*  485470 */     GIR_EraseRootFromParent_Done,
     /*  485471 */   // Label 8147: @485471
     /*  485471 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(485557), // Rule ID 61960 //
     /*  485476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485523 */     // MIs[1] Operand 1
     /*  485523 */     // No operand predicates
     /*  485523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485555 */     GIR_RootConstrainSelectedInstOperands,
     /*  485556 */     // GIR_Coverage, 61960,
     /*  485556 */     GIR_EraseRootFromParent_Done,
     /*  485557 */   // Label 8148: @485557
     /*  485557 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(485643), // Rule ID 61961 //
     /*  485562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485609 */     // MIs[1] Operand 1
     /*  485609 */     // No operand predicates
     /*  485609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485641 */     GIR_RootConstrainSelectedInstOperands,
     /*  485642 */     // GIR_Coverage, 61961,
     /*  485642 */     GIR_EraseRootFromParent_Done,
     /*  485643 */   // Label 8149: @485643
     /*  485643 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(485722), // Rule ID 2642 //
     /*  485648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485720 */     GIR_RootConstrainSelectedInstOperands,
     /*  485721 */     // GIR_Coverage, 2642,
     /*  485721 */     GIR_EraseRootFromParent_Done,
     /*  485722 */   // Label 8150: @485722
     /*  485722 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(485801), // Rule ID 2643 //
     /*  485727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485779 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485799 */     GIR_RootConstrainSelectedInstOperands,
     /*  485800 */     // GIR_Coverage, 2643,
     /*  485800 */     GIR_EraseRootFromParent_Done,
     /*  485801 */   // Label 8151: @485801
     /*  485801 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(485880), // Rule ID 3950 //
     /*  485806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485878 */     GIR_RootConstrainSelectedInstOperands,
     /*  485879 */     // GIR_Coverage, 3950,
     /*  485879 */     GIR_EraseRootFromParent_Done,
     /*  485880 */   // Label 8152: @485880
     /*  485880 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(485959), // Rule ID 3951 //
     /*  485885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485957 */     GIR_RootConstrainSelectedInstOperands,
     /*  485958 */     // GIR_Coverage, 3951,
     /*  485958 */     GIR_EraseRootFromParent_Done,
     /*  485959 */   // Label 8153: @485959
     /*  485959 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(486038), // Rule ID 3960 //
     /*  485964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  485975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  485978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  485984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486036 */     GIR_RootConstrainSelectedInstOperands,
     /*  486037 */     // GIR_Coverage, 3960,
     /*  486037 */     GIR_EraseRootFromParent_Done,
     /*  486038 */   // Label 8154: @486038
     /*  486038 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(486117), // Rule ID 3961 //
     /*  486043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486095 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486115 */     GIR_RootConstrainSelectedInstOperands,
     /*  486116 */     // GIR_Coverage, 3961,
     /*  486116 */     GIR_EraseRootFromParent_Done,
     /*  486117 */   // Label 8155: @486117
     /*  486117 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(486196), // Rule ID 3970 //
     /*  486122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486194 */     GIR_RootConstrainSelectedInstOperands,
     /*  486195 */     // GIR_Coverage, 3970,
     /*  486195 */     GIR_EraseRootFromParent_Done,
     /*  486196 */   // Label 8156: @486196
     /*  486196 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(486275), // Rule ID 3971 //
     /*  486201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486273 */     GIR_RootConstrainSelectedInstOperands,
     /*  486274 */     // GIR_Coverage, 3971,
     /*  486274 */     GIR_EraseRootFromParent_Done,
     /*  486275 */   // Label 8157: @486275
     /*  486275 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(486354), // Rule ID 3980 //
     /*  486280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  486297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  486300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486352 */     GIR_RootConstrainSelectedInstOperands,
     /*  486353 */     // GIR_Coverage, 3980,
     /*  486353 */     GIR_EraseRootFromParent_Done,
     /*  486354 */   // Label 8158: @486354
     /*  486354 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(486433), // Rule ID 3981 //
     /*  486359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  486376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  486379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486431 */     GIR_RootConstrainSelectedInstOperands,
     /*  486432 */     // GIR_Coverage, 3981,
     /*  486432 */     GIR_EraseRootFromParent_Done,
     /*  486433 */   // Label 8159: @486433
     /*  486433 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(486512), // Rule ID 3990 //
     /*  486438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486510 */     GIR_RootConstrainSelectedInstOperands,
     /*  486511 */     // GIR_Coverage, 3990,
     /*  486511 */     GIR_EraseRootFromParent_Done,
     /*  486512 */   // Label 8160: @486512
     /*  486512 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(486591), // Rule ID 3991 //
     /*  486517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486569 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486589 */     GIR_RootConstrainSelectedInstOperands,
     /*  486590 */     // GIR_Coverage, 3991,
     /*  486590 */     GIR_EraseRootFromParent_Done,
     /*  486591 */   // Label 8161: @486591
     /*  486591 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(486670), // Rule ID 4000 //
     /*  486596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486668 */     GIR_RootConstrainSelectedInstOperands,
     /*  486669 */     // GIR_Coverage, 4000,
     /*  486669 */     GIR_EraseRootFromParent_Done,
     /*  486670 */   // Label 8162: @486670
     /*  486670 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(486749), // Rule ID 4001 //
     /*  486675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486747 */     GIR_RootConstrainSelectedInstOperands,
     /*  486748 */     // GIR_Coverage, 4001,
     /*  486748 */     GIR_EraseRootFromParent_Done,
     /*  486749 */   // Label 8163: @486749
     /*  486749 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(486828), // Rule ID 4010 //
     /*  486754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486826 */     GIR_RootConstrainSelectedInstOperands,
     /*  486827 */     // GIR_Coverage, 4010,
     /*  486827 */     GIR_EraseRootFromParent_Done,
     /*  486828 */   // Label 8164: @486828
     /*  486828 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(486907), // Rule ID 4011 //
     /*  486833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486885 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486905 */     GIR_RootConstrainSelectedInstOperands,
     /*  486906 */     // GIR_Coverage, 4011,
     /*  486906 */     GIR_EraseRootFromParent_Done,
     /*  486907 */   // Label 8165: @486907
     /*  486907 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(486986), // Rule ID 4020 //
     /*  486912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  486932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486984 */     GIR_RootConstrainSelectedInstOperands,
     /*  486985 */     // GIR_Coverage, 4020,
     /*  486985 */     GIR_EraseRootFromParent_Done,
     /*  486986 */   // Label 8166: @486986
     /*  486986 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(487065), // Rule ID 4021 //
     /*  486991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487063 */     GIR_RootConstrainSelectedInstOperands,
     /*  487064 */     // GIR_Coverage, 4021,
     /*  487064 */     GIR_EraseRootFromParent_Done,
     /*  487065 */   // Label 8167: @487065
     /*  487065 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(487144), // Rule ID 4030 //
     /*  487070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487142 */     GIR_RootConstrainSelectedInstOperands,
     /*  487143 */     // GIR_Coverage, 4030,
     /*  487143 */     GIR_EraseRootFromParent_Done,
     /*  487144 */   // Label 8168: @487144
     /*  487144 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(487223), // Rule ID 4031 //
     /*  487149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487221 */     GIR_RootConstrainSelectedInstOperands,
     /*  487222 */     // GIR_Coverage, 4031,
     /*  487222 */     GIR_EraseRootFromParent_Done,
     /*  487223 */   // Label 8169: @487223
     /*  487223 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(487302), // Rule ID 4040 //
     /*  487228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  487245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487300 */     GIR_RootConstrainSelectedInstOperands,
     /*  487301 */     // GIR_Coverage, 4040,
     /*  487301 */     GIR_EraseRootFromParent_Done,
     /*  487302 */   // Label 8170: @487302
     /*  487302 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(487381), // Rule ID 4041 //
     /*  487307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  487324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487379 */     GIR_RootConstrainSelectedInstOperands,
     /*  487380 */     // GIR_Coverage, 4041,
     /*  487380 */     GIR_EraseRootFromParent_Done,
     /*  487381 */   // Label 8171: @487381
     /*  487381 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(487460), // Rule ID 4050 //
     /*  487386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487458 */     GIR_RootConstrainSelectedInstOperands,
     /*  487459 */     // GIR_Coverage, 4050,
     /*  487459 */     GIR_EraseRootFromParent_Done,
     /*  487460 */   // Label 8172: @487460
     /*  487460 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(487539), // Rule ID 4051 //
     /*  487465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487537 */     GIR_RootConstrainSelectedInstOperands,
     /*  487538 */     // GIR_Coverage, 4051,
     /*  487538 */     GIR_EraseRootFromParent_Done,
     /*  487539 */   // Label 8173: @487539
     /*  487539 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(487618), // Rule ID 4060 //
     /*  487544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487616 */     GIR_RootConstrainSelectedInstOperands,
     /*  487617 */     // GIR_Coverage, 4060,
     /*  487617 */     GIR_EraseRootFromParent_Done,
     /*  487618 */   // Label 8174: @487618
     /*  487618 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(487697), // Rule ID 4061 //
     /*  487623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487695 */     GIR_RootConstrainSelectedInstOperands,
     /*  487696 */     // GIR_Coverage, 4061,
     /*  487696 */     GIR_EraseRootFromParent_Done,
     /*  487697 */   // Label 8175: @487697
     /*  487697 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(487776), // Rule ID 4070 //
     /*  487702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487774 */     GIR_RootConstrainSelectedInstOperands,
     /*  487775 */     // GIR_Coverage, 4070,
     /*  487775 */     GIR_EraseRootFromParent_Done,
     /*  487776 */   // Label 8176: @487776
     /*  487776 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(487855), // Rule ID 4071 //
     /*  487781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487833 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487853 */     GIR_RootConstrainSelectedInstOperands,
     /*  487854 */     // GIR_Coverage, 4071,
     /*  487854 */     GIR_EraseRootFromParent_Done,
     /*  487855 */   // Label 8177: @487855
     /*  487855 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(487934), // Rule ID 4080 //
     /*  487860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487932 */     GIR_RootConstrainSelectedInstOperands,
     /*  487933 */     // GIR_Coverage, 4080,
     /*  487933 */     GIR_EraseRootFromParent_Done,
     /*  487934 */   // Label 8178: @487934
     /*  487934 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(488013), // Rule ID 4081 //
     /*  487939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487991 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488011 */     GIR_RootConstrainSelectedInstOperands,
     /*  488012 */     // GIR_Coverage, 4081,
     /*  488012 */     GIR_EraseRootFromParent_Done,
     /*  488013 */   // Label 8179: @488013
     /*  488013 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(488092), // Rule ID 4150 //
     /*  488018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  488073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488090 */     GIR_RootConstrainSelectedInstOperands,
     /*  488091 */     // GIR_Coverage, 4150,
     /*  488091 */     GIR_EraseRootFromParent_Done,
     /*  488092 */   // Label 8180: @488092
     /*  488092 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(488171), // Rule ID 4151 //
     /*  488097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  488152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488169 */     GIR_RootConstrainSelectedInstOperands,
     /*  488170 */     // GIR_Coverage, 4151,
     /*  488170 */     GIR_EraseRootFromParent_Done,
     /*  488171 */   // Label 8181: @488171
     /*  488171 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(488250), // Rule ID 4160 //
     /*  488176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488248 */     GIR_RootConstrainSelectedInstOperands,
     /*  488249 */     // GIR_Coverage, 4160,
     /*  488249 */     GIR_EraseRootFromParent_Done,
     /*  488250 */   // Label 8182: @488250
     /*  488250 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(488329), // Rule ID 4161 //
     /*  488255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488327 */     GIR_RootConstrainSelectedInstOperands,
     /*  488328 */     // GIR_Coverage, 4161,
     /*  488328 */     GIR_EraseRootFromParent_Done,
     /*  488329 */   // Label 8183: @488329
     /*  488329 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(488408), // Rule ID 4170 //
     /*  488334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  488351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  488354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488406 */     GIR_RootConstrainSelectedInstOperands,
     /*  488407 */     // GIR_Coverage, 4170,
     /*  488407 */     GIR_EraseRootFromParent_Done,
     /*  488408 */   // Label 8184: @488408
     /*  488408 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(488487), // Rule ID 4171 //
     /*  488413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  488430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  488433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488485 */     GIR_RootConstrainSelectedInstOperands,
     /*  488486 */     // GIR_Coverage, 4171,
     /*  488486 */     GIR_EraseRootFromParent_Done,
     /*  488487 */   // Label 8185: @488487
     /*  488487 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(488566), // Rule ID 4180 //
     /*  488492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488564 */     GIR_RootConstrainSelectedInstOperands,
     /*  488565 */     // GIR_Coverage, 4180,
     /*  488565 */     GIR_EraseRootFromParent_Done,
     /*  488566 */   // Label 8186: @488566
     /*  488566 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(488645), // Rule ID 4181 //
     /*  488571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488623 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488643 */     GIR_RootConstrainSelectedInstOperands,
     /*  488644 */     // GIR_Coverage, 4181,
     /*  488644 */     GIR_EraseRootFromParent_Done,
     /*  488645 */   // Label 8187: @488645
     /*  488645 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(488724), // Rule ID 4190 //
     /*  488650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488722 */     GIR_RootConstrainSelectedInstOperands,
     /*  488723 */     // GIR_Coverage, 4190,
     /*  488723 */     GIR_EraseRootFromParent_Done,
     /*  488724 */   // Label 8188: @488724
     /*  488724 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(488803), // Rule ID 4191 //
     /*  488729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488781 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488801 */     GIR_RootConstrainSelectedInstOperands,
     /*  488802 */     // GIR_Coverage, 4191,
     /*  488802 */     GIR_EraseRootFromParent_Done,
     /*  488803 */   // Label 8189: @488803
     /*  488803 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(488882), // Rule ID 4200 //
     /*  488808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488880 */     GIR_RootConstrainSelectedInstOperands,
     /*  488881 */     // GIR_Coverage, 4200,
     /*  488881 */     GIR_EraseRootFromParent_Done,
     /*  488882 */   // Label 8190: @488882
     /*  488882 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(488961), // Rule ID 4201 //
     /*  488887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488959 */     GIR_RootConstrainSelectedInstOperands,
     /*  488960 */     // GIR_Coverage, 4201,
     /*  488960 */     GIR_EraseRootFromParent_Done,
     /*  488961 */   // Label 8191: @488961
     /*  488961 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(489040), // Rule ID 4210 //
     /*  488966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  488983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  489021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489038 */     GIR_RootConstrainSelectedInstOperands,
     /*  489039 */     // GIR_Coverage, 4210,
     /*  489039 */     GIR_EraseRootFromParent_Done,
     /*  489040 */   // Label 8192: @489040
     /*  489040 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(489119), // Rule ID 4211 //
     /*  489045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  489065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  489100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489117 */     GIR_RootConstrainSelectedInstOperands,
     /*  489118 */     // GIR_Coverage, 4211,
     /*  489118 */     GIR_EraseRootFromParent_Done,
     /*  489119 */   // Label 8193: @489119
     /*  489119 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(489198), // Rule ID 4220 //
     /*  489124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489196 */     GIR_RootConstrainSelectedInstOperands,
     /*  489197 */     // GIR_Coverage, 4220,
     /*  489197 */     GIR_EraseRootFromParent_Done,
     /*  489198 */   // Label 8194: @489198
     /*  489198 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(489277), // Rule ID 4221 //
     /*  489203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489275 */     GIR_RootConstrainSelectedInstOperands,
     /*  489276 */     // GIR_Coverage, 4221,
     /*  489276 */     GIR_EraseRootFromParent_Done,
     /*  489277 */   // Label 8195: @489277
     /*  489277 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(489356), // Rule ID 4230 //
     /*  489282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  489302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489354 */     GIR_RootConstrainSelectedInstOperands,
     /*  489355 */     // GIR_Coverage, 4230,
     /*  489355 */     GIR_EraseRootFromParent_Done,
     /*  489356 */   // Label 8196: @489356
     /*  489356 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(489435), // Rule ID 4231 //
     /*  489361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  489381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489433 */     GIR_RootConstrainSelectedInstOperands,
     /*  489434 */     // GIR_Coverage, 4231,
     /*  489434 */     GIR_EraseRootFromParent_Done,
     /*  489435 */   // Label 8197: @489435
     /*  489435 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(489514), // Rule ID 4240 //
     /*  489440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489512 */     GIR_RootConstrainSelectedInstOperands,
     /*  489513 */     // GIR_Coverage, 4240,
     /*  489513 */     GIR_EraseRootFromParent_Done,
     /*  489514 */   // Label 8198: @489514
     /*  489514 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(489593), // Rule ID 4241 //
     /*  489519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489591 */     GIR_RootConstrainSelectedInstOperands,
     /*  489592 */     // GIR_Coverage, 4241,
     /*  489592 */     GIR_EraseRootFromParent_Done,
     /*  489593 */   // Label 8199: @489593
     /*  489593 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(489672), // Rule ID 4250 //
     /*  489598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489670 */     GIR_RootConstrainSelectedInstOperands,
     /*  489671 */     // GIR_Coverage, 4250,
     /*  489671 */     GIR_EraseRootFromParent_Done,
     /*  489672 */   // Label 8200: @489672
     /*  489672 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(489751), // Rule ID 4251 //
     /*  489677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489749 */     GIR_RootConstrainSelectedInstOperands,
     /*  489750 */     // GIR_Coverage, 4251,
     /*  489750 */     GIR_EraseRootFromParent_Done,
     /*  489751 */   // Label 8201: @489751
     /*  489751 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(489830), // Rule ID 4260 //
     /*  489756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489828 */     GIR_RootConstrainSelectedInstOperands,
     /*  489829 */     // GIR_Coverage, 4260,
     /*  489829 */     GIR_EraseRootFromParent_Done,
     /*  489830 */   // Label 8202: @489830
     /*  489830 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(489909), // Rule ID 4261 //
     /*  489835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489907 */     GIR_RootConstrainSelectedInstOperands,
     /*  489908 */     // GIR_Coverage, 4261,
     /*  489908 */     GIR_EraseRootFromParent_Done,
     /*  489909 */   // Label 8203: @489909
     /*  489909 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(489988), // Rule ID 4270 //
     /*  489914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489986 */     GIR_RootConstrainSelectedInstOperands,
     /*  489987 */     // GIR_Coverage, 4270,
     /*  489987 */     GIR_EraseRootFromParent_Done,
     /*  489988 */   // Label 8204: @489988
     /*  489988 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(490067), // Rule ID 4271 //
     /*  489993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  490004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  490007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  490010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  490013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490045 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  490048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490065 */     GIR_RootConstrainSelectedInstOperands,
     /*  490066 */     // GIR_Coverage, 4271,
     /*  490066 */     GIR_EraseRootFromParent_Done,
     /*  490067 */   // Label 8205: @490067
     /*  490067 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(490146), // Rule ID 4280 //
     /*  490072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490144 */     GIR_RootConstrainSelectedInstOperands,
     /*  490145 */     // GIR_Coverage, 4280,
     /*  490145 */     GIR_EraseRootFromParent_Done,
     /*  490146 */   // Label 8206: @490146
     /*  490146 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(490225), // Rule ID 4281 //
     /*  490151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490223 */     GIR_RootConstrainSelectedInstOperands,
     /*  490224 */     // GIR_Coverage, 4281,
     /*  490224 */     GIR_EraseRootFromParent_Done,
     /*  490225 */   // Label 8207: @490225
     /*  490225 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(490304), // Rule ID 4290 //
     /*  490230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  490285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490302 */     GIR_RootConstrainSelectedInstOperands,
     /*  490303 */     // GIR_Coverage, 4290,
     /*  490303 */     GIR_EraseRootFromParent_Done,
     /*  490304 */   // Label 8208: @490304
     /*  490304 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(490383), // Rule ID 4291 //
     /*  490309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  490364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490381 */     GIR_RootConstrainSelectedInstOperands,
     /*  490382 */     // GIR_Coverage, 4291,
     /*  490382 */     GIR_EraseRootFromParent_Done,
     /*  490383 */   // Label 8209: @490383
     /*  490383 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(490462), // Rule ID 4360 //
     /*  490388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490460 */     GIR_RootConstrainSelectedInstOperands,
     /*  490461 */     // GIR_Coverage, 4360,
     /*  490461 */     GIR_EraseRootFromParent_Done,
     /*  490462 */   // Label 8210: @490462
     /*  490462 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(490541), // Rule ID 4361 //
     /*  490467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490539 */     GIR_RootConstrainSelectedInstOperands,
     /*  490540 */     // GIR_Coverage, 4361,
     /*  490540 */     GIR_EraseRootFromParent_Done,
     /*  490541 */   // Label 8211: @490541
     /*  490541 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(490620), // Rule ID 4370 //
     /*  490546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490618 */     GIR_RootConstrainSelectedInstOperands,
     /*  490619 */     // GIR_Coverage, 4370,
     /*  490619 */     GIR_EraseRootFromParent_Done,
     /*  490620 */   // Label 8212: @490620
     /*  490620 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(490699), // Rule ID 4371 //
     /*  490625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490697 */     GIR_RootConstrainSelectedInstOperands,
     /*  490698 */     // GIR_Coverage, 4371,
     /*  490698 */     GIR_EraseRootFromParent_Done,
     /*  490699 */   // Label 8213: @490699
     /*  490699 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(490778), // Rule ID 4380 //
     /*  490704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490776 */     GIR_RootConstrainSelectedInstOperands,
     /*  490777 */     // GIR_Coverage, 4380,
     /*  490777 */     GIR_EraseRootFromParent_Done,
     /*  490778 */   // Label 8214: @490778
     /*  490778 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(490857), // Rule ID 4381 //
     /*  490783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490835 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490855 */     GIR_RootConstrainSelectedInstOperands,
     /*  490856 */     // GIR_Coverage, 4381,
     /*  490856 */     GIR_EraseRootFromParent_Done,
     /*  490857 */   // Label 8215: @490857
     /*  490857 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(490936), // Rule ID 4390 //
     /*  490862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490934 */     GIR_RootConstrainSelectedInstOperands,
     /*  490935 */     // GIR_Coverage, 4390,
     /*  490935 */     GIR_EraseRootFromParent_Done,
     /*  490936 */   // Label 8216: @490936
     /*  490936 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(491015), // Rule ID 4391 //
     /*  490941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490993 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491013 */     GIR_RootConstrainSelectedInstOperands,
     /*  491014 */     // GIR_Coverage, 4391,
     /*  491014 */     GIR_EraseRootFromParent_Done,
     /*  491015 */   // Label 8217: @491015
     /*  491015 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(491094), // Rule ID 4400 //
     /*  491020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491092 */     GIR_RootConstrainSelectedInstOperands,
     /*  491093 */     // GIR_Coverage, 4400,
     /*  491093 */     GIR_EraseRootFromParent_Done,
     /*  491094 */   // Label 8218: @491094
     /*  491094 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(491173), // Rule ID 4401 //
     /*  491099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491171 */     GIR_RootConstrainSelectedInstOperands,
     /*  491172 */     // GIR_Coverage, 4401,
     /*  491172 */     GIR_EraseRootFromParent_Done,
     /*  491173 */   // Label 8219: @491173
     /*  491173 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(491252), // Rule ID 4410 //
     /*  491178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491250 */     GIR_RootConstrainSelectedInstOperands,
     /*  491251 */     // GIR_Coverage, 4410,
     /*  491251 */     GIR_EraseRootFromParent_Done,
     /*  491252 */   // Label 8220: @491252
     /*  491252 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(491331), // Rule ID 4411 //
     /*  491257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491329 */     GIR_RootConstrainSelectedInstOperands,
     /*  491330 */     // GIR_Coverage, 4411,
     /*  491330 */     GIR_EraseRootFromParent_Done,
     /*  491331 */   // Label 8221: @491331
     /*  491331 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(491410), // Rule ID 4420 //
     /*  491336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491408 */     GIR_RootConstrainSelectedInstOperands,
     /*  491409 */     // GIR_Coverage, 4420,
     /*  491409 */     GIR_EraseRootFromParent_Done,
     /*  491410 */   // Label 8222: @491410
     /*  491410 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(491489), // Rule ID 4421 //
     /*  491415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491487 */     GIR_RootConstrainSelectedInstOperands,
     /*  491488 */     // GIR_Coverage, 4421,
     /*  491488 */     GIR_EraseRootFromParent_Done,
     /*  491489 */   // Label 8223: @491489
     /*  491489 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(491568), // Rule ID 4430 //
     /*  491494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491566 */     GIR_RootConstrainSelectedInstOperands,
     /*  491567 */     // GIR_Coverage, 4430,
     /*  491567 */     GIR_EraseRootFromParent_Done,
     /*  491568 */   // Label 8224: @491568
     /*  491568 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(491647), // Rule ID 4431 //
     /*  491573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491645 */     GIR_RootConstrainSelectedInstOperands,
     /*  491646 */     // GIR_Coverage, 4431,
     /*  491646 */     GIR_EraseRootFromParent_Done,
     /*  491647 */   // Label 8225: @491647
     /*  491647 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(491726), // Rule ID 4440 //
     /*  491652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491724 */     GIR_RootConstrainSelectedInstOperands,
     /*  491725 */     // GIR_Coverage, 4440,
     /*  491725 */     GIR_EraseRootFromParent_Done,
     /*  491726 */   // Label 8226: @491726
     /*  491726 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(491805), // Rule ID 4441 //
     /*  491731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491803 */     GIR_RootConstrainSelectedInstOperands,
     /*  491804 */     // GIR_Coverage, 4441,
     /*  491804 */     GIR_EraseRootFromParent_Done,
     /*  491805 */   // Label 8227: @491805
     /*  491805 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(491884), // Rule ID 4450 //
     /*  491810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491882 */     GIR_RootConstrainSelectedInstOperands,
     /*  491883 */     // GIR_Coverage, 4450,
     /*  491883 */     GIR_EraseRootFromParent_Done,
     /*  491884 */   // Label 8228: @491884
     /*  491884 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(491963), // Rule ID 4451 //
     /*  491889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491941 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491961 */     GIR_RootConstrainSelectedInstOperands,
     /*  491962 */     // GIR_Coverage, 4451,
     /*  491962 */     GIR_EraseRootFromParent_Done,
     /*  491963 */   // Label 8229: @491963
     /*  491963 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(492042), // Rule ID 4460 //
     /*  491968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492020 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492040 */     GIR_RootConstrainSelectedInstOperands,
     /*  492041 */     // GIR_Coverage, 4460,
     /*  492041 */     GIR_EraseRootFromParent_Done,
     /*  492042 */   // Label 8230: @492042
     /*  492042 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(492121), // Rule ID 4461 //
     /*  492047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492119 */     GIR_RootConstrainSelectedInstOperands,
     /*  492120 */     // GIR_Coverage, 4461,
     /*  492120 */     GIR_EraseRootFromParent_Done,
     /*  492121 */   // Label 8231: @492121
     /*  492121 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(492200), // Rule ID 4470 //
     /*  492126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492198 */     GIR_RootConstrainSelectedInstOperands,
     /*  492199 */     // GIR_Coverage, 4470,
     /*  492199 */     GIR_EraseRootFromParent_Done,
     /*  492200 */   // Label 8232: @492200
     /*  492200 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(492279), // Rule ID 4471 //
     /*  492205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492277 */     GIR_RootConstrainSelectedInstOperands,
     /*  492278 */     // GIR_Coverage, 4471,
     /*  492278 */     GIR_EraseRootFromParent_Done,
     /*  492279 */   // Label 8233: @492279
     /*  492279 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(492358), // Rule ID 4480 //
     /*  492284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  492339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492356 */     GIR_RootConstrainSelectedInstOperands,
     /*  492357 */     // GIR_Coverage, 4480,
     /*  492357 */     GIR_EraseRootFromParent_Done,
     /*  492358 */   // Label 8234: @492358
     /*  492358 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(492437), // Rule ID 4481 //
     /*  492363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492415 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  492418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492435 */     GIR_RootConstrainSelectedInstOperands,
     /*  492436 */     // GIR_Coverage, 4481,
     /*  492436 */     GIR_EraseRootFromParent_Done,
     /*  492437 */   // Label 8235: @492437
     /*  492437 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(492516), // Rule ID 4490 //
     /*  492442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492514 */     GIR_RootConstrainSelectedInstOperands,
     /*  492515 */     // GIR_Coverage, 4490,
     /*  492515 */     GIR_EraseRootFromParent_Done,
     /*  492516 */   // Label 8236: @492516
     /*  492516 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(492595), // Rule ID 4491 //
     /*  492521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492573 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492593 */     GIR_RootConstrainSelectedInstOperands,
     /*  492594 */     // GIR_Coverage, 4491,
     /*  492594 */     GIR_EraseRootFromParent_Done,
     /*  492595 */   // Label 8237: @492595
     /*  492595 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(492674), // Rule ID 4500 //
     /*  492600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492672 */     GIR_RootConstrainSelectedInstOperands,
     /*  492673 */     // GIR_Coverage, 4500,
     /*  492673 */     GIR_EraseRootFromParent_Done,
     /*  492674 */   // Label 8238: @492674
     /*  492674 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(492753), // Rule ID 4501 //
     /*  492679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492731 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492751 */     GIR_RootConstrainSelectedInstOperands,
     /*  492752 */     // GIR_Coverage, 4501,
     /*  492752 */     GIR_EraseRootFromParent_Done,
     /*  492753 */   // Label 8239: @492753
     /*  492753 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(492832), // Rule ID 4570 //
     /*  492758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492810 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492830 */     GIR_RootConstrainSelectedInstOperands,
     /*  492831 */     // GIR_Coverage, 4570,
     /*  492831 */     GIR_EraseRootFromParent_Done,
     /*  492832 */   // Label 8240: @492832
     /*  492832 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(492911), // Rule ID 4571 //
     /*  492837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492909 */     GIR_RootConstrainSelectedInstOperands,
     /*  492910 */     // GIR_Coverage, 4571,
     /*  492910 */     GIR_EraseRootFromParent_Done,
     /*  492911 */   // Label 8241: @492911
     /*  492911 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(492990), // Rule ID 4580 //
     /*  492916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492988 */     GIR_RootConstrainSelectedInstOperands,
     /*  492989 */     // GIR_Coverage, 4580,
     /*  492989 */     GIR_EraseRootFromParent_Done,
     /*  492990 */   // Label 8242: @492990
     /*  492990 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(493069), // Rule ID 4581 //
     /*  492995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  493006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  493009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  493012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  493015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493067 */     GIR_RootConstrainSelectedInstOperands,
     /*  493068 */     // GIR_Coverage, 4581,
     /*  493068 */     GIR_EraseRootFromParent_Done,
     /*  493069 */   // Label 8243: @493069
     /*  493069 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(493148), // Rule ID 4590 //
     /*  493074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493146 */     GIR_RootConstrainSelectedInstOperands,
     /*  493147 */     // GIR_Coverage, 4590,
     /*  493147 */     GIR_EraseRootFromParent_Done,
     /*  493148 */   // Label 8244: @493148
     /*  493148 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(493227), // Rule ID 4591 //
     /*  493153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493225 */     GIR_RootConstrainSelectedInstOperands,
     /*  493226 */     // GIR_Coverage, 4591,
     /*  493226 */     GIR_EraseRootFromParent_Done,
     /*  493227 */   // Label 8245: @493227
     /*  493227 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(493306), // Rule ID 4600 //
     /*  493232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493304 */     GIR_RootConstrainSelectedInstOperands,
     /*  493305 */     // GIR_Coverage, 4600,
     /*  493305 */     GIR_EraseRootFromParent_Done,
     /*  493306 */   // Label 8246: @493306
     /*  493306 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(493385), // Rule ID 4601 //
     /*  493311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493383 */     GIR_RootConstrainSelectedInstOperands,
     /*  493384 */     // GIR_Coverage, 4601,
     /*  493384 */     GIR_EraseRootFromParent_Done,
     /*  493385 */   // Label 8247: @493385
     /*  493385 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(493464), // Rule ID 4610 //
     /*  493390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493442 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493462 */     GIR_RootConstrainSelectedInstOperands,
     /*  493463 */     // GIR_Coverage, 4610,
     /*  493463 */     GIR_EraseRootFromParent_Done,
     /*  493464 */   // Label 8248: @493464
     /*  493464 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(493543), // Rule ID 4611 //
     /*  493469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493541 */     GIR_RootConstrainSelectedInstOperands,
     /*  493542 */     // GIR_Coverage, 4611,
     /*  493542 */     GIR_EraseRootFromParent_Done,
     /*  493543 */   // Label 8249: @493543
     /*  493543 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(493622), // Rule ID 4620 //
     /*  493548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493620 */     GIR_RootConstrainSelectedInstOperands,
     /*  493621 */     // GIR_Coverage, 4620,
     /*  493621 */     GIR_EraseRootFromParent_Done,
     /*  493622 */   // Label 8250: @493622
     /*  493622 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(493701), // Rule ID 4621 //
     /*  493627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493679 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493699 */     GIR_RootConstrainSelectedInstOperands,
     /*  493700 */     // GIR_Coverage, 4621,
     /*  493700 */     GIR_EraseRootFromParent_Done,
     /*  493701 */   // Label 8251: @493701
     /*  493701 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(493780), // Rule ID 4630 //
     /*  493706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493778 */     GIR_RootConstrainSelectedInstOperands,
     /*  493779 */     // GIR_Coverage, 4630,
     /*  493779 */     GIR_EraseRootFromParent_Done,
     /*  493780 */   // Label 8252: @493780
     /*  493780 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(493859), // Rule ID 4631 //
     /*  493785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493857 */     GIR_RootConstrainSelectedInstOperands,
     /*  493858 */     // GIR_Coverage, 4631,
     /*  493858 */     GIR_EraseRootFromParent_Done,
     /*  493859 */   // Label 8253: @493859
     /*  493859 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(493938), // Rule ID 4640 //
     /*  493864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493936 */     GIR_RootConstrainSelectedInstOperands,
     /*  493937 */     // GIR_Coverage, 4640,
     /*  493937 */     GIR_EraseRootFromParent_Done,
     /*  493938 */   // Label 8254: @493938
     /*  493938 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(494017), // Rule ID 4641 //
     /*  493943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494015 */     GIR_RootConstrainSelectedInstOperands,
     /*  494016 */     // GIR_Coverage, 4641,
     /*  494016 */     GIR_EraseRootFromParent_Done,
     /*  494017 */   // Label 8255: @494017
     /*  494017 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(494096), // Rule ID 4650 //
     /*  494022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494094 */     GIR_RootConstrainSelectedInstOperands,
     /*  494095 */     // GIR_Coverage, 4650,
     /*  494095 */     GIR_EraseRootFromParent_Done,
     /*  494096 */   // Label 8256: @494096
     /*  494096 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(494175), // Rule ID 4651 //
     /*  494101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494173 */     GIR_RootConstrainSelectedInstOperands,
     /*  494174 */     // GIR_Coverage, 4651,
     /*  494174 */     GIR_EraseRootFromParent_Done,
     /*  494175 */   // Label 8257: @494175
     /*  494175 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(494254), // Rule ID 4660 //
     /*  494180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494252 */     GIR_RootConstrainSelectedInstOperands,
     /*  494253 */     // GIR_Coverage, 4660,
     /*  494253 */     GIR_EraseRootFromParent_Done,
     /*  494254 */   // Label 8258: @494254
     /*  494254 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(494333), // Rule ID 4661 //
     /*  494259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494331 */     GIR_RootConstrainSelectedInstOperands,
     /*  494332 */     // GIR_Coverage, 4661,
     /*  494332 */     GIR_EraseRootFromParent_Done,
     /*  494333 */   // Label 8259: @494333
     /*  494333 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(494412), // Rule ID 4670 //
     /*  494338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494410 */     GIR_RootConstrainSelectedInstOperands,
     /*  494411 */     // GIR_Coverage, 4670,
     /*  494411 */     GIR_EraseRootFromParent_Done,
     /*  494412 */   // Label 8260: @494412
     /*  494412 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(494491), // Rule ID 4671 //
     /*  494417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494489 */     GIR_RootConstrainSelectedInstOperands,
     /*  494490 */     // GIR_Coverage, 4671,
     /*  494490 */     GIR_EraseRootFromParent_Done,
     /*  494491 */   // Label 8261: @494491
     /*  494491 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(494570), // Rule ID 4680 //
     /*  494496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494568 */     GIR_RootConstrainSelectedInstOperands,
     /*  494569 */     // GIR_Coverage, 4680,
     /*  494569 */     GIR_EraseRootFromParent_Done,
     /*  494570 */   // Label 8262: @494570
     /*  494570 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(494649), // Rule ID 4681 //
     /*  494575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494647 */     GIR_RootConstrainSelectedInstOperands,
     /*  494648 */     // GIR_Coverage, 4681,
     /*  494648 */     GIR_EraseRootFromParent_Done,
     /*  494649 */   // Label 8263: @494649
     /*  494649 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(494728), // Rule ID 4690 //
     /*  494654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494726 */     GIR_RootConstrainSelectedInstOperands,
     /*  494727 */     // GIR_Coverage, 4690,
     /*  494727 */     GIR_EraseRootFromParent_Done,
     /*  494728 */   // Label 8264: @494728
     /*  494728 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(494807), // Rule ID 4691 //
     /*  494733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494785 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494805 */     GIR_RootConstrainSelectedInstOperands,
     /*  494806 */     // GIR_Coverage, 4691,
     /*  494806 */     GIR_EraseRootFromParent_Done,
     /*  494807 */   // Label 8265: @494807
     /*  494807 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(494886), // Rule ID 4700 //
     /*  494812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494884 */     GIR_RootConstrainSelectedInstOperands,
     /*  494885 */     // GIR_Coverage, 4700,
     /*  494885 */     GIR_EraseRootFromParent_Done,
     /*  494886 */   // Label 8266: @494886
     /*  494886 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(494965), // Rule ID 4701 //
     /*  494891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494963 */     GIR_RootConstrainSelectedInstOperands,
     /*  494964 */     // GIR_Coverage, 4701,
     /*  494964 */     GIR_EraseRootFromParent_Done,
     /*  494965 */   // Label 8267: @494965
     /*  494965 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(495044), // Rule ID 4710 //
     /*  494970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  495022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495042 */     GIR_RootConstrainSelectedInstOperands,
     /*  495043 */     // GIR_Coverage, 4710,
     /*  495043 */     GIR_EraseRootFromParent_Done,
     /*  495044 */   // Label 8268: @495044
     /*  495044 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(495123), // Rule ID 4711 //
     /*  495049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  495052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  495060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  495063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  495066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  495069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495121 */     GIR_RootConstrainSelectedInstOperands,
     /*  495122 */     // GIR_Coverage, 4711,
     /*  495122 */     GIR_EraseRootFromParent_Done,
     /*  495123 */   // Label 8269: @495123
     /*  495123 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(495191), // Rule ID 2602 //
     /*  495128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  495139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  495142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495160 */     // MIs[0] policy
     /*  495160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495170 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  495173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495177 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495189 */     GIR_RootConstrainSelectedInstOperands,
     /*  495190 */     // GIR_Coverage, 2602,
     /*  495190 */     GIR_EraseRootFromParent_Done,
     /*  495191 */   // Label 8270: @495191
     /*  495191 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(495259), // Rule ID 2603 //
     /*  495196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  495207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  495210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495228 */     // MIs[0] policy
     /*  495228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495238 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  495241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495245 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495257 */     GIR_RootConstrainSelectedInstOperands,
     /*  495258 */     // GIR_Coverage, 2603,
     /*  495258 */     GIR_EraseRootFromParent_Done,
     /*  495259 */   // Label 8271: @495259
     /*  495259 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(495327), // Rule ID 23390 //
     /*  495264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  495275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  495278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495296 */     // MIs[0] policy
     /*  495296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495313 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495325 */     GIR_RootConstrainSelectedInstOperands,
     /*  495326 */     // GIR_Coverage, 23390,
     /*  495326 */     GIR_EraseRootFromParent_Done,
     /*  495327 */   // Label 8272: @495327
     /*  495327 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(495395), // Rule ID 23391 //
     /*  495332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  495343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  495346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495364 */     // MIs[0] policy
     /*  495364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495381 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495393 */     GIR_RootConstrainSelectedInstOperands,
     /*  495394 */     // GIR_Coverage, 23391,
     /*  495394 */     GIR_EraseRootFromParent_Done,
     /*  495395 */   // Label 8273: @495395
     /*  495395 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(495463), // Rule ID 23394 //
     /*  495400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  495411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  495414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495432 */     // MIs[0] policy
     /*  495432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495449 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495461 */     GIR_RootConstrainSelectedInstOperands,
     /*  495462 */     // GIR_Coverage, 23394,
     /*  495462 */     GIR_EraseRootFromParent_Done,
     /*  495463 */   // Label 8274: @495463
     /*  495463 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(495531), // Rule ID 23395 //
     /*  495468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  495479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  495482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495500 */     // MIs[0] policy
     /*  495500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495510 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495517 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495529 */     GIR_RootConstrainSelectedInstOperands,
     /*  495530 */     // GIR_Coverage, 23395,
     /*  495530 */     GIR_EraseRootFromParent_Done,
     /*  495531 */   // Label 8275: @495531
     /*  495531 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(495599), // Rule ID 23398 //
     /*  495536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495568 */     // MIs[0] policy
     /*  495568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495585 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495597 */     GIR_RootConstrainSelectedInstOperands,
     /*  495598 */     // GIR_Coverage, 23398,
     /*  495598 */     GIR_EraseRootFromParent_Done,
     /*  495599 */   // Label 8276: @495599
     /*  495599 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(495667), // Rule ID 23399 //
     /*  495604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495636 */     // MIs[0] policy
     /*  495636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495653 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495665 */     GIR_RootConstrainSelectedInstOperands,
     /*  495666 */     // GIR_Coverage, 23399,
     /*  495666 */     GIR_EraseRootFromParent_Done,
     /*  495667 */   // Label 8277: @495667
     /*  495667 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(495735), // Rule ID 23402 //
     /*  495672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495704 */     // MIs[0] policy
     /*  495704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495721 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495733 */     GIR_RootConstrainSelectedInstOperands,
     /*  495734 */     // GIR_Coverage, 23402,
     /*  495734 */     GIR_EraseRootFromParent_Done,
     /*  495735 */   // Label 8278: @495735
     /*  495735 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(495803), // Rule ID 23403 //
     /*  495740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495772 */     // MIs[0] policy
     /*  495772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495782 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495789 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495801 */     GIR_RootConstrainSelectedInstOperands,
     /*  495802 */     // GIR_Coverage, 23403,
     /*  495802 */     GIR_EraseRootFromParent_Done,
     /*  495803 */   // Label 8279: @495803
     /*  495803 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(495871), // Rule ID 23406 //
     /*  495808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495840 */     // MIs[0] policy
     /*  495840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495857 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495869 */     GIR_RootConstrainSelectedInstOperands,
     /*  495870 */     // GIR_Coverage, 23406,
     /*  495870 */     GIR_EraseRootFromParent_Done,
     /*  495871 */   // Label 8280: @495871
     /*  495871 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(495939), // Rule ID 23407 //
     /*  495876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495908 */     // MIs[0] policy
     /*  495908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495925 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495937 */     GIR_RootConstrainSelectedInstOperands,
     /*  495938 */     // GIR_Coverage, 23407,
     /*  495938 */     GIR_EraseRootFromParent_Done,
     /*  495939 */   // Label 8281: @495939
     /*  495939 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(496007), // Rule ID 23410 //
     /*  495944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  495955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  495958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495976 */     // MIs[0] policy
     /*  495976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495993 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496005 */     GIR_RootConstrainSelectedInstOperands,
     /*  496006 */     // GIR_Coverage, 23410,
     /*  496006 */     GIR_EraseRootFromParent_Done,
     /*  496007 */   // Label 8282: @496007
     /*  496007 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(496075), // Rule ID 23411 //
     /*  496012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  496023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  496026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496044 */     // MIs[0] policy
     /*  496044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496054 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496061 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496073 */     GIR_RootConstrainSelectedInstOperands,
     /*  496074 */     // GIR_Coverage, 23411,
     /*  496074 */     GIR_EraseRootFromParent_Done,
     /*  496075 */   // Label 8283: @496075
     /*  496075 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(496143), // Rule ID 23414 //
     /*  496080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  496091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  496094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496112 */     // MIs[0] policy
     /*  496112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496129 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496141 */     GIR_RootConstrainSelectedInstOperands,
     /*  496142 */     // GIR_Coverage, 23414,
     /*  496142 */     GIR_EraseRootFromParent_Done,
     /*  496143 */   // Label 8284: @496143
     /*  496143 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(496211), // Rule ID 23415 //
     /*  496148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  496159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  496162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496180 */     // MIs[0] policy
     /*  496180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496197 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496209 */     GIR_RootConstrainSelectedInstOperands,
     /*  496210 */     // GIR_Coverage, 23415,
     /*  496210 */     GIR_EraseRootFromParent_Done,
     /*  496211 */   // Label 8285: @496211
     /*  496211 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(496279), // Rule ID 23418 //
     /*  496216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496248 */     // MIs[0] policy
     /*  496248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496265 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496277 */     GIR_RootConstrainSelectedInstOperands,
     /*  496278 */     // GIR_Coverage, 23418,
     /*  496278 */     GIR_EraseRootFromParent_Done,
     /*  496279 */   // Label 8286: @496279
     /*  496279 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(496347), // Rule ID 23419 //
     /*  496284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496316 */     // MIs[0] policy
     /*  496316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496333 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496345 */     GIR_RootConstrainSelectedInstOperands,
     /*  496346 */     // GIR_Coverage, 23419,
     /*  496346 */     GIR_EraseRootFromParent_Done,
     /*  496347 */   // Label 8287: @496347
     /*  496347 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(496415), // Rule ID 23422 //
     /*  496352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  496355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496384 */     // MIs[0] policy
     /*  496384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496401 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496413 */     GIR_RootConstrainSelectedInstOperands,
     /*  496414 */     // GIR_Coverage, 23422,
     /*  496414 */     GIR_EraseRootFromParent_Done,
     /*  496415 */   // Label 8288: @496415
     /*  496415 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(496483), // Rule ID 23423 //
     /*  496420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  496423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496452 */     // MIs[0] policy
     /*  496452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496469 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496481 */     GIR_RootConstrainSelectedInstOperands,
     /*  496482 */     // GIR_Coverage, 23423,
     /*  496482 */     GIR_EraseRootFromParent_Done,
     /*  496483 */   // Label 8289: @496483
     /*  496483 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(496551), // Rule ID 23426 //
     /*  496488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496520 */     // MIs[0] policy
     /*  496520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496537 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496549 */     GIR_RootConstrainSelectedInstOperands,
     /*  496550 */     // GIR_Coverage, 23426,
     /*  496550 */     GIR_EraseRootFromParent_Done,
     /*  496551 */   // Label 8290: @496551
     /*  496551 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(496619), // Rule ID 23427 //
     /*  496556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496588 */     // MIs[0] policy
     /*  496588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496605 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496617 */     GIR_RootConstrainSelectedInstOperands,
     /*  496618 */     // GIR_Coverage, 23427,
     /*  496618 */     GIR_EraseRootFromParent_Done,
     /*  496619 */   // Label 8291: @496619
     /*  496619 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(496687), // Rule ID 23430 //
     /*  496624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496656 */     // MIs[0] policy
     /*  496656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496673 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496685 */     GIR_RootConstrainSelectedInstOperands,
     /*  496686 */     // GIR_Coverage, 23430,
     /*  496686 */     GIR_EraseRootFromParent_Done,
     /*  496687 */   // Label 8292: @496687
     /*  496687 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(496755), // Rule ID 23431 //
     /*  496692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496724 */     // MIs[0] policy
     /*  496724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496734 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496741 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496753 */     GIR_RootConstrainSelectedInstOperands,
     /*  496754 */     // GIR_Coverage, 23431,
     /*  496754 */     GIR_EraseRootFromParent_Done,
     /*  496755 */   // Label 8293: @496755
     /*  496755 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(496823), // Rule ID 23434 //
     /*  496760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496792 */     // MIs[0] policy
     /*  496792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496809 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496821 */     GIR_RootConstrainSelectedInstOperands,
     /*  496822 */     // GIR_Coverage, 23434,
     /*  496822 */     GIR_EraseRootFromParent_Done,
     /*  496823 */   // Label 8294: @496823
     /*  496823 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(496891), // Rule ID 23435 //
     /*  496828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496860 */     // MIs[0] policy
     /*  496860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496870 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496877 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496889 */     GIR_RootConstrainSelectedInstOperands,
     /*  496890 */     // GIR_Coverage, 23435,
     /*  496890 */     GIR_EraseRootFromParent_Done,
     /*  496891 */   // Label 8295: @496891
     /*  496891 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(496959), // Rule ID 23438 //
     /*  496896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496928 */     // MIs[0] policy
     /*  496928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496945 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496957 */     GIR_RootConstrainSelectedInstOperands,
     /*  496958 */     // GIR_Coverage, 23438,
     /*  496958 */     GIR_EraseRootFromParent_Done,
     /*  496959 */   // Label 8296: @496959
     /*  496959 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(497027), // Rule ID 23439 //
     /*  496964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496996 */     // MIs[0] policy
     /*  496996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497013 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497025 */     GIR_RootConstrainSelectedInstOperands,
     /*  497026 */     // GIR_Coverage, 23439,
     /*  497026 */     GIR_EraseRootFromParent_Done,
     /*  497027 */   // Label 8297: @497027
     /*  497027 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(497095), // Rule ID 23442 //
     /*  497032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497064 */     // MIs[0] policy
     /*  497064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497081 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497093 */     GIR_RootConstrainSelectedInstOperands,
     /*  497094 */     // GIR_Coverage, 23442,
     /*  497094 */     GIR_EraseRootFromParent_Done,
     /*  497095 */   // Label 8298: @497095
     /*  497095 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(497163), // Rule ID 23443 //
     /*  497100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497132 */     // MIs[0] policy
     /*  497132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497149 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497161 */     GIR_RootConstrainSelectedInstOperands,
     /*  497162 */     // GIR_Coverage, 23443,
     /*  497162 */     GIR_EraseRootFromParent_Done,
     /*  497163 */   // Label 8299: @497163
     /*  497163 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(497231), // Rule ID 23446 //
     /*  497168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497200 */     // MIs[0] policy
     /*  497200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497210 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497217 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497229 */     GIR_RootConstrainSelectedInstOperands,
     /*  497230 */     // GIR_Coverage, 23446,
     /*  497230 */     GIR_EraseRootFromParent_Done,
     /*  497231 */   // Label 8300: @497231
     /*  497231 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(497299), // Rule ID 23447 //
     /*  497236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497268 */     // MIs[0] policy
     /*  497268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497285 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497297 */     GIR_RootConstrainSelectedInstOperands,
     /*  497298 */     // GIR_Coverage, 23447,
     /*  497298 */     GIR_EraseRootFromParent_Done,
     /*  497299 */   // Label 8301: @497299
     /*  497299 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(497367), // Rule ID 23450 //
     /*  497304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497336 */     // MIs[0] policy
     /*  497336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497353 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497365 */     GIR_RootConstrainSelectedInstOperands,
     /*  497366 */     // GIR_Coverage, 23450,
     /*  497366 */     GIR_EraseRootFromParent_Done,
     /*  497367 */   // Label 8302: @497367
     /*  497367 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(497435), // Rule ID 23451 //
     /*  497372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497404 */     // MIs[0] policy
     /*  497404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497421 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497433 */     GIR_RootConstrainSelectedInstOperands,
     /*  497434 */     // GIR_Coverage, 23451,
     /*  497434 */     GIR_EraseRootFromParent_Done,
     /*  497435 */   // Label 8303: @497435
     /*  497435 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(497503), // Rule ID 23454 //
     /*  497440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497472 */     // MIs[0] policy
     /*  497472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497489 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497501 */     GIR_RootConstrainSelectedInstOperands,
     /*  497502 */     // GIR_Coverage, 23454,
     /*  497502 */     GIR_EraseRootFromParent_Done,
     /*  497503 */   // Label 8304: @497503
     /*  497503 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(497571), // Rule ID 23455 //
     /*  497508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497540 */     // MIs[0] policy
     /*  497540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497557 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497569 */     GIR_RootConstrainSelectedInstOperands,
     /*  497570 */     // GIR_Coverage, 23455,
     /*  497570 */     GIR_EraseRootFromParent_Done,
     /*  497571 */   // Label 8305: @497571
     /*  497571 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(497639), // Rule ID 23458 //
     /*  497576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497608 */     // MIs[0] policy
     /*  497608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497625 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497637 */     GIR_RootConstrainSelectedInstOperands,
     /*  497638 */     // GIR_Coverage, 23458,
     /*  497638 */     GIR_EraseRootFromParent_Done,
     /*  497639 */   // Label 8306: @497639
     /*  497639 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497707), // Rule ID 23459 //
     /*  497644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497676 */     // MIs[0] policy
     /*  497676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497693 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497705 */     GIR_RootConstrainSelectedInstOperands,
     /*  497706 */     // GIR_Coverage, 23459,
     /*  497706 */     GIR_EraseRootFromParent_Done,
     /*  497707 */   // Label 8307: @497707
     /*  497707 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(497775), // Rule ID 23462 //
     /*  497712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497744 */     // MIs[0] policy
     /*  497744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497754 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497761 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497773 */     GIR_RootConstrainSelectedInstOperands,
     /*  497774 */     // GIR_Coverage, 23462,
     /*  497774 */     GIR_EraseRootFromParent_Done,
     /*  497775 */   // Label 8308: @497775
     /*  497775 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(497843), // Rule ID 23463 //
     /*  497780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497812 */     // MIs[0] policy
     /*  497812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497829 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497841 */     GIR_RootConstrainSelectedInstOperands,
     /*  497842 */     // GIR_Coverage, 23463,
     /*  497842 */     GIR_EraseRootFromParent_Done,
     /*  497843 */   // Label 8309: @497843
     /*  497843 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(497911), // Rule ID 23466 //
     /*  497848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497880 */     // MIs[0] policy
     /*  497880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497897 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497909 */     GIR_RootConstrainSelectedInstOperands,
     /*  497910 */     // GIR_Coverage, 23466,
     /*  497910 */     GIR_EraseRootFromParent_Done,
     /*  497911 */   // Label 8310: @497911
     /*  497911 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(497979), // Rule ID 23467 //
     /*  497916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497948 */     // MIs[0] policy
     /*  497948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497965 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497977 */     GIR_RootConstrainSelectedInstOperands,
     /*  497978 */     // GIR_Coverage, 23467,
     /*  497978 */     GIR_EraseRootFromParent_Done,
     /*  497979 */   // Label 8311: @497979
     /*  497979 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(498047), // Rule ID 23470 //
     /*  497984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  498001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498016 */     // MIs[0] policy
     /*  498016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498033 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498045 */     GIR_RootConstrainSelectedInstOperands,
     /*  498046 */     // GIR_Coverage, 23470,
     /*  498046 */     GIR_EraseRootFromParent_Done,
     /*  498047 */   // Label 8312: @498047
     /*  498047 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(498115), // Rule ID 23471 //
     /*  498052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  498055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  498063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  498066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  498069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498084 */     // MIs[0] policy
     /*  498084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498101 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498113 */     GIR_RootConstrainSelectedInstOperands,
     /*  498114 */     // GIR_Coverage, 23471,
     /*  498114 */     GIR_EraseRootFromParent_Done,
     /*  498115 */   // Label 8313: @498115
     /*  498115 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(498183), // Rule ID 60476 //
     /*  498120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498152 */     // MIs[0] policy
     /*  498152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  498165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498181 */     GIR_RootConstrainSelectedInstOperands,
     /*  498182 */     // GIR_Coverage, 60476,
     /*  498182 */     GIR_EraseRootFromParent_Done,
     /*  498183 */   // Label 8314: @498183
     /*  498183 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(498251), // Rule ID 60477 //
     /*  498188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498220 */     // MIs[0] policy
     /*  498220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  498233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498249 */     GIR_RootConstrainSelectedInstOperands,
     /*  498250 */     // GIR_Coverage, 60477,
     /*  498250 */     GIR_EraseRootFromParent_Done,
     /*  498251 */   // Label 8315: @498251
     /*  498251 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(498319), // Rule ID 60478 //
     /*  498256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498288 */     // MIs[0] policy
     /*  498288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  498301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498317 */     GIR_RootConstrainSelectedInstOperands,
     /*  498318 */     // GIR_Coverage, 60478,
     /*  498318 */     GIR_EraseRootFromParent_Done,
     /*  498319 */   // Label 8316: @498319
     /*  498319 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(498387), // Rule ID 60479 //
     /*  498324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498356 */     // MIs[0] policy
     /*  498356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  498369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498385 */     GIR_RootConstrainSelectedInstOperands,
     /*  498386 */     // GIR_Coverage, 60479,
     /*  498386 */     GIR_EraseRootFromParent_Done,
     /*  498387 */   // Label 8317: @498387
     /*  498387 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(498455), // Rule ID 61972 //
     /*  498392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498424 */     // MIs[0] policy
     /*  498424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  498437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498453 */     GIR_RootConstrainSelectedInstOperands,
     /*  498454 */     // GIR_Coverage, 61972,
     /*  498454 */     GIR_EraseRootFromParent_Done,
     /*  498455 */   // Label 8318: @498455
     /*  498455 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(498523), // Rule ID 61973 //
     /*  498460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498492 */     // MIs[0] policy
     /*  498492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  498505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498521 */     GIR_RootConstrainSelectedInstOperands,
     /*  498522 */     // GIR_Coverage, 61973,
     /*  498522 */     GIR_EraseRootFromParent_Done,
     /*  498523 */   // Label 8319: @498523
     /*  498523 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498591), // Rule ID 61974 //
     /*  498528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498560 */     // MIs[0] policy
     /*  498560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498589 */     GIR_RootConstrainSelectedInstOperands,
     /*  498590 */     // GIR_Coverage, 61974,
     /*  498590 */     GIR_EraseRootFromParent_Done,
     /*  498591 */   // Label 8320: @498591
     /*  498591 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498659), // Rule ID 61975 //
     /*  498596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498628 */     // MIs[0] policy
     /*  498628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498657 */     GIR_RootConstrainSelectedInstOperands,
     /*  498658 */     // GIR_Coverage, 61975,
     /*  498658 */     GIR_EraseRootFromParent_Done,
     /*  498659 */   // Label 8321: @498659
     /*  498659 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(498727), // Rule ID 61976 //
     /*  498664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498696 */     // MIs[0] policy
     /*  498696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498725 */     GIR_RootConstrainSelectedInstOperands,
     /*  498726 */     // GIR_Coverage, 61976,
     /*  498726 */     GIR_EraseRootFromParent_Done,
     /*  498727 */   // Label 8322: @498727
     /*  498727 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(498795), // Rule ID 61977 //
     /*  498732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498764 */     // MIs[0] policy
     /*  498764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498793 */     GIR_RootConstrainSelectedInstOperands,
     /*  498794 */     // GIR_Coverage, 61977,
     /*  498794 */     GIR_EraseRootFromParent_Done,
     /*  498795 */   // Label 8323: @498795
     /*  498795 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(498863), // Rule ID 61978 //
     /*  498800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498832 */     // MIs[0] policy
     /*  498832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498861 */     GIR_RootConstrainSelectedInstOperands,
     /*  498862 */     // GIR_Coverage, 61978,
     /*  498862 */     GIR_EraseRootFromParent_Done,
     /*  498863 */   // Label 8324: @498863
     /*  498863 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(498931), // Rule ID 61979 //
     /*  498868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498900 */     // MIs[0] policy
     /*  498900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498929 */     GIR_RootConstrainSelectedInstOperands,
     /*  498930 */     // GIR_Coverage, 61979,
     /*  498930 */     GIR_EraseRootFromParent_Done,
     /*  498931 */   // Label 8325: @498931
     /*  498931 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(498999), // Rule ID 61980 //
     /*  498936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498968 */     // MIs[0] policy
     /*  498968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  498981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498997 */     GIR_RootConstrainSelectedInstOperands,
     /*  498998 */     // GIR_Coverage, 61980,
     /*  498998 */     GIR_EraseRootFromParent_Done,
     /*  498999 */   // Label 8326: @498999
     /*  498999 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(499067), // Rule ID 61981 //
     /*  499004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499036 */     // MIs[0] policy
     /*  499036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  499049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499065 */     GIR_RootConstrainSelectedInstOperands,
     /*  499066 */     // GIR_Coverage, 61981,
     /*  499066 */     GIR_EraseRootFromParent_Done,
     /*  499067 */   // Label 8327: @499067
     /*  499067 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(499135), // Rule ID 61982 //
     /*  499072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499104 */     // MIs[0] policy
     /*  499104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  499117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499133 */     GIR_RootConstrainSelectedInstOperands,
     /*  499134 */     // GIR_Coverage, 61982,
     /*  499134 */     GIR_EraseRootFromParent_Done,
     /*  499135 */   // Label 8328: @499135
     /*  499135 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(499203), // Rule ID 61983 //
     /*  499140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499172 */     // MIs[0] policy
     /*  499172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  499185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499201 */     GIR_RootConstrainSelectedInstOperands,
     /*  499202 */     // GIR_Coverage, 61983,
     /*  499202 */     GIR_EraseRootFromParent_Done,
     /*  499203 */   // Label 8329: @499203
     /*  499203 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(499271), // Rule ID 61984 //
     /*  499208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499240 */     // MIs[0] policy
     /*  499240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  499253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499269 */     GIR_RootConstrainSelectedInstOperands,
     /*  499270 */     // GIR_Coverage, 61984,
     /*  499270 */     GIR_EraseRootFromParent_Done,
     /*  499271 */   // Label 8330: @499271
     /*  499271 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(499339), // Rule ID 61985 //
     /*  499276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499308 */     // MIs[0] policy
     /*  499308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  499321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499337 */     GIR_RootConstrainSelectedInstOperands,
     /*  499338 */     // GIR_Coverage, 61985,
     /*  499338 */     GIR_EraseRootFromParent_Done,
     /*  499339 */   // Label 8331: @499339
     /*  499339 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499407), // Rule ID 61986 //
     /*  499344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499376 */     // MIs[0] policy
     /*  499376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  499389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499405 */     GIR_RootConstrainSelectedInstOperands,
     /*  499406 */     // GIR_Coverage, 61986,
     /*  499406 */     GIR_EraseRootFromParent_Done,
     /*  499407 */   // Label 8332: @499407
     /*  499407 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499475), // Rule ID 61987 //
     /*  499412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499444 */     // MIs[0] policy
     /*  499444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  499457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499473 */     GIR_RootConstrainSelectedInstOperands,
     /*  499474 */     // GIR_Coverage, 61987,
     /*  499474 */     GIR_EraseRootFromParent_Done,
     /*  499475 */   // Label 8333: @499475
     /*  499475 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499543), // Rule ID 61988 //
     /*  499480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499512 */     // MIs[0] policy
     /*  499512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499541 */     GIR_RootConstrainSelectedInstOperands,
     /*  499542 */     // GIR_Coverage, 61988,
     /*  499542 */     GIR_EraseRootFromParent_Done,
     /*  499543 */   // Label 8334: @499543
     /*  499543 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499611), // Rule ID 61989 //
     /*  499548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499580 */     // MIs[0] policy
     /*  499580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499609 */     GIR_RootConstrainSelectedInstOperands,
     /*  499610 */     // GIR_Coverage, 61989,
     /*  499610 */     GIR_EraseRootFromParent_Done,
     /*  499611 */   // Label 8335: @499611
     /*  499611 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499679), // Rule ID 61990 //
     /*  499616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499648 */     // MIs[0] policy
     /*  499648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499675 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499677 */     GIR_RootConstrainSelectedInstOperands,
     /*  499678 */     // GIR_Coverage, 61990,
     /*  499678 */     GIR_EraseRootFromParent_Done,
     /*  499679 */   // Label 8336: @499679
     /*  499679 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(499747), // Rule ID 61991 //
     /*  499684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499716 */     // MIs[0] policy
     /*  499716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499743 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499745 */     GIR_RootConstrainSelectedInstOperands,
     /*  499746 */     // GIR_Coverage, 61991,
     /*  499746 */     GIR_EraseRootFromParent_Done,
     /*  499747 */   // Label 8337: @499747
     /*  499747 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(499815), // Rule ID 61992 //
     /*  499752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499784 */     // MIs[0] policy
     /*  499784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499811 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499813 */     GIR_RootConstrainSelectedInstOperands,
     /*  499814 */     // GIR_Coverage, 61992,
     /*  499814 */     GIR_EraseRootFromParent_Done,
     /*  499815 */   // Label 8338: @499815
     /*  499815 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(499883), // Rule ID 61993 //
     /*  499820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499852 */     // MIs[0] policy
     /*  499852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499862 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499879 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499881 */     GIR_RootConstrainSelectedInstOperands,
     /*  499882 */     // GIR_Coverage, 61993,
     /*  499882 */     GIR_EraseRootFromParent_Done,
     /*  499883 */   // Label 8339: @499883
     /*  499883 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(499951), // Rule ID 61994 //
     /*  499888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499920 */     // MIs[0] policy
     /*  499920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  499933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499947 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499949 */     GIR_RootConstrainSelectedInstOperands,
     /*  499950 */     // GIR_Coverage, 61994,
     /*  499950 */     GIR_EraseRootFromParent_Done,
     /*  499951 */   // Label 8340: @499951
     /*  499951 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(500019), // Rule ID 61995 //
     /*  499956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499988 */     // MIs[0] policy
     /*  499988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  500001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500015 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500017 */     GIR_RootConstrainSelectedInstOperands,
     /*  500018 */     // GIR_Coverage, 61995,
     /*  500018 */     GIR_EraseRootFromParent_Done,
     /*  500019 */   // Label 8341: @500019
     /*  500019 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(500087), // Rule ID 61996 //
     /*  500024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500056 */     // MIs[0] policy
     /*  500056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  500069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500083 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500085 */     GIR_RootConstrainSelectedInstOperands,
     /*  500086 */     // GIR_Coverage, 61996,
     /*  500086 */     GIR_EraseRootFromParent_Done,
     /*  500087 */   // Label 8342: @500087
     /*  500087 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(500155), // Rule ID 61997 //
     /*  500092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500124 */     // MIs[0] policy
     /*  500124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  500137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500151 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500153 */     GIR_RootConstrainSelectedInstOperands,
     /*  500154 */     // GIR_Coverage, 61997,
     /*  500154 */     GIR_EraseRootFromParent_Done,
     /*  500155 */   // Label 8343: @500155
     /*  500155 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(500223), // Rule ID 61998 //
     /*  500160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500192 */     // MIs[0] policy
     /*  500192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  500205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500219 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500221 */     GIR_RootConstrainSelectedInstOperands,
     /*  500222 */     // GIR_Coverage, 61998,
     /*  500222 */     GIR_EraseRootFromParent_Done,
     /*  500223 */   // Label 8344: @500223
     /*  500223 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500291), // Rule ID 61999 //
     /*  500228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500260 */     // MIs[0] policy
     /*  500260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  500273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500287 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500289 */     GIR_RootConstrainSelectedInstOperands,
     /*  500290 */     // GIR_Coverage, 61999,
     /*  500290 */     GIR_EraseRootFromParent_Done,
     /*  500291 */   // Label 8345: @500291
     /*  500291 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500359), // Rule ID 62000 //
     /*  500296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500328 */     // MIs[0] policy
     /*  500328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  500341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500355 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500357 */     GIR_RootConstrainSelectedInstOperands,
     /*  500358 */     // GIR_Coverage, 62000,
     /*  500358 */     GIR_EraseRootFromParent_Done,
     /*  500359 */   // Label 8346: @500359
     /*  500359 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500427), // Rule ID 62001 //
     /*  500364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500396 */     // MIs[0] policy
     /*  500396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  500409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500423 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500425 */     GIR_RootConstrainSelectedInstOperands,
     /*  500426 */     // GIR_Coverage, 62001,
     /*  500426 */     GIR_EraseRootFromParent_Done,
     /*  500427 */   // Label 8347: @500427
     /*  500427 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500495), // Rule ID 62002 //
     /*  500432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500464 */     // MIs[0] policy
     /*  500464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500491 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500493 */     GIR_RootConstrainSelectedInstOperands,
     /*  500494 */     // GIR_Coverage, 62002,
     /*  500494 */     GIR_EraseRootFromParent_Done,
     /*  500495 */   // Label 8348: @500495
     /*  500495 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500563), // Rule ID 62003 //
     /*  500500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500532 */     // MIs[0] policy
     /*  500532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500561 */     GIR_RootConstrainSelectedInstOperands,
     /*  500562 */     // GIR_Coverage, 62003,
     /*  500562 */     GIR_EraseRootFromParent_Done,
     /*  500563 */   // Label 8349: @500563
     /*  500563 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500631), // Rule ID 62004 //
     /*  500568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500600 */     // MIs[0] policy
     /*  500600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500629 */     GIR_RootConstrainSelectedInstOperands,
     /*  500630 */     // GIR_Coverage, 62004,
     /*  500630 */     GIR_EraseRootFromParent_Done,
     /*  500631 */   // Label 8350: @500631
     /*  500631 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500699), // Rule ID 62005 //
     /*  500636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500668 */     // MIs[0] policy
     /*  500668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500697 */     GIR_RootConstrainSelectedInstOperands,
     /*  500698 */     // GIR_Coverage, 62005,
     /*  500698 */     GIR_EraseRootFromParent_Done,
     /*  500699 */   // Label 8351: @500699
     /*  500699 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(500767), // Rule ID 62006 //
     /*  500704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500736 */     // MIs[0] policy
     /*  500736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500765 */     GIR_RootConstrainSelectedInstOperands,
     /*  500766 */     // GIR_Coverage, 62006,
     /*  500766 */     GIR_EraseRootFromParent_Done,
     /*  500767 */   // Label 8352: @500767
     /*  500767 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(500835), // Rule ID 62007 //
     /*  500772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500804 */     // MIs[0] policy
     /*  500804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500833 */     GIR_RootConstrainSelectedInstOperands,
     /*  500834 */     // GIR_Coverage, 62007,
     /*  500834 */     GIR_EraseRootFromParent_Done,
     /*  500835 */   // Label 8353: @500835
     /*  500835 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(500903), // Rule ID 62008 //
     /*  500840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500872 */     // MIs[0] policy
     /*  500872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500901 */     GIR_RootConstrainSelectedInstOperands,
     /*  500902 */     // GIR_Coverage, 62008,
     /*  500902 */     GIR_EraseRootFromParent_Done,
     /*  500903 */   // Label 8354: @500903
     /*  500903 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(500971), // Rule ID 62009 //
     /*  500908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500940 */     // MIs[0] policy
     /*  500940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500969 */     GIR_RootConstrainSelectedInstOperands,
     /*  500970 */     // GIR_Coverage, 62009,
     /*  500970 */     GIR_EraseRootFromParent_Done,
     /*  500971 */   // Label 8355: @500971
     /*  500971 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(501039), // Rule ID 62010 //
     /*  500976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501008 */     // MIs[0] policy
     /*  501008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  501021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501037 */     GIR_RootConstrainSelectedInstOperands,
     /*  501038 */     // GIR_Coverage, 62010,
     /*  501038 */     GIR_EraseRootFromParent_Done,
     /*  501039 */   // Label 8356: @501039
     /*  501039 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(501107), // Rule ID 62011 //
     /*  501044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501076 */     // MIs[0] policy
     /*  501076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  501089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501105 */     GIR_RootConstrainSelectedInstOperands,
     /*  501106 */     // GIR_Coverage, 62011,
     /*  501106 */     GIR_EraseRootFromParent_Done,
     /*  501107 */   // Label 8357: @501107
     /*  501107 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(501175), // Rule ID 62012 //
     /*  501112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501144 */     // MIs[0] policy
     /*  501144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  501157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501173 */     GIR_RootConstrainSelectedInstOperands,
     /*  501174 */     // GIR_Coverage, 62012,
     /*  501174 */     GIR_EraseRootFromParent_Done,
     /*  501175 */   // Label 8358: @501175
     /*  501175 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(501243), // Rule ID 62013 //
     /*  501180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501212 */     // MIs[0] policy
     /*  501212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  501225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501241 */     GIR_RootConstrainSelectedInstOperands,
     /*  501242 */     // GIR_Coverage, 62013,
     /*  501242 */     GIR_EraseRootFromParent_Done,
     /*  501243 */   // Label 8359: @501243
     /*  501243 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501311), // Rule ID 62014 //
     /*  501248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501280 */     // MIs[0] policy
     /*  501280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  501293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501309 */     GIR_RootConstrainSelectedInstOperands,
     /*  501310 */     // GIR_Coverage, 62014,
     /*  501310 */     GIR_EraseRootFromParent_Done,
     /*  501311 */   // Label 8360: @501311
     /*  501311 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501379), // Rule ID 62015 //
     /*  501316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501348 */     // MIs[0] policy
     /*  501348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  501361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501377 */     GIR_RootConstrainSelectedInstOperands,
     /*  501378 */     // GIR_Coverage, 62015,
     /*  501378 */     GIR_EraseRootFromParent_Done,
     /*  501379 */   // Label 8361: @501379
     /*  501379 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501447), // Rule ID 62016 //
     /*  501384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501416 */     // MIs[0] policy
     /*  501416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  501429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501445 */     GIR_RootConstrainSelectedInstOperands,
     /*  501446 */     // GIR_Coverage, 62016,
     /*  501446 */     GIR_EraseRootFromParent_Done,
     /*  501447 */   // Label 8362: @501447
     /*  501447 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501515), // Rule ID 62017 //
     /*  501452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501484 */     // MIs[0] policy
     /*  501484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  501497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501513 */     GIR_RootConstrainSelectedInstOperands,
     /*  501514 */     // GIR_Coverage, 62017,
     /*  501514 */     GIR_EraseRootFromParent_Done,
     /*  501515 */   // Label 8363: @501515
     /*  501515 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501583), // Rule ID 62018 //
     /*  501520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501552 */     // MIs[0] policy
     /*  501552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501581 */     GIR_RootConstrainSelectedInstOperands,
     /*  501582 */     // GIR_Coverage, 62018,
     /*  501582 */     GIR_EraseRootFromParent_Done,
     /*  501583 */   // Label 8364: @501583
     /*  501583 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501651), // Rule ID 62019 //
     /*  501588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501620 */     // MIs[0] policy
     /*  501620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501649 */     GIR_RootConstrainSelectedInstOperands,
     /*  501650 */     // GIR_Coverage, 62019,
     /*  501650 */     GIR_EraseRootFromParent_Done,
     /*  501651 */   // Label 8365: @501651
     /*  501651 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501719), // Rule ID 62020 //
     /*  501656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501688 */     // MIs[0] policy
     /*  501688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501717 */     GIR_RootConstrainSelectedInstOperands,
     /*  501718 */     // GIR_Coverage, 62020,
     /*  501718 */     GIR_EraseRootFromParent_Done,
     /*  501719 */   // Label 8366: @501719
     /*  501719 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(501787), // Rule ID 62021 //
     /*  501724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501756 */     // MIs[0] policy
     /*  501756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501785 */     GIR_RootConstrainSelectedInstOperands,
     /*  501786 */     // GIR_Coverage, 62021,
     /*  501786 */     GIR_EraseRootFromParent_Done,
     /*  501787 */   // Label 8367: @501787
     /*  501787 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(501855), // Rule ID 62022 //
     /*  501792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501824 */     // MIs[0] policy
     /*  501824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501853 */     GIR_RootConstrainSelectedInstOperands,
     /*  501854 */     // GIR_Coverage, 62022,
     /*  501854 */     GIR_EraseRootFromParent_Done,
     /*  501855 */   // Label 8368: @501855
     /*  501855 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(501923), // Rule ID 62023 //
     /*  501860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501892 */     // MIs[0] policy
     /*  501892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501921 */     GIR_RootConstrainSelectedInstOperands,
     /*  501922 */     // GIR_Coverage, 62023,
     /*  501922 */     GIR_EraseRootFromParent_Done,
     /*  501923 */   // Label 8369: @501923
     /*  501923 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(501991), // Rule ID 62024 //
     /*  501928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  501945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501960 */     // MIs[0] policy
     /*  501960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  501973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501989 */     GIR_RootConstrainSelectedInstOperands,
     /*  501990 */     // GIR_Coverage, 62024,
     /*  501990 */     GIR_EraseRootFromParent_Done,
     /*  501991 */   // Label 8370: @501991
     /*  501991 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(502059), // Rule ID 62025 //
     /*  501996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502028 */     // MIs[0] policy
     /*  502028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  502041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502055 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502057 */     GIR_RootConstrainSelectedInstOperands,
     /*  502058 */     // GIR_Coverage, 62025,
     /*  502058 */     GIR_EraseRootFromParent_Done,
     /*  502059 */   // Label 8371: @502059
     /*  502059 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(502127), // Rule ID 62026 //
     /*  502064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502096 */     // MIs[0] policy
     /*  502096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  502109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502123 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502125 */     GIR_RootConstrainSelectedInstOperands,
     /*  502126 */     // GIR_Coverage, 62026,
     /*  502126 */     GIR_EraseRootFromParent_Done,
     /*  502127 */   // Label 8372: @502127
     /*  502127 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(502195), // Rule ID 62027 //
     /*  502132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502164 */     // MIs[0] policy
     /*  502164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  502177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502191 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502193 */     GIR_RootConstrainSelectedInstOperands,
     /*  502194 */     // GIR_Coverage, 62027,
     /*  502194 */     GIR_EraseRootFromParent_Done,
     /*  502195 */   // Label 8373: @502195
     /*  502195 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(502263), // Rule ID 62028 //
     /*  502200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502232 */     // MIs[0] policy
     /*  502232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  502245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502259 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502261 */     GIR_RootConstrainSelectedInstOperands,
     /*  502262 */     // GIR_Coverage, 62028,
     /*  502262 */     GIR_EraseRootFromParent_Done,
     /*  502263 */   // Label 8374: @502263
     /*  502263 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502331), // Rule ID 62029 //
     /*  502268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502300 */     // MIs[0] policy
     /*  502300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  502313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502327 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502329 */     GIR_RootConstrainSelectedInstOperands,
     /*  502330 */     // GIR_Coverage, 62029,
     /*  502330 */     GIR_EraseRootFromParent_Done,
     /*  502331 */   // Label 8375: @502331
     /*  502331 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502399), // Rule ID 62030 //
     /*  502336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502368 */     // MIs[0] policy
     /*  502368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  502381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502395 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502397 */     GIR_RootConstrainSelectedInstOperands,
     /*  502398 */     // GIR_Coverage, 62030,
     /*  502398 */     GIR_EraseRootFromParent_Done,
     /*  502399 */   // Label 8376: @502399
     /*  502399 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502467), // Rule ID 62031 //
     /*  502404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502436 */     // MIs[0] policy
     /*  502436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  502449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502463 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502465 */     GIR_RootConstrainSelectedInstOperands,
     /*  502466 */     // GIR_Coverage, 62031,
     /*  502466 */     GIR_EraseRootFromParent_Done,
     /*  502467 */   // Label 8377: @502467
     /*  502467 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502535), // Rule ID 62032 //
     /*  502472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502504 */     // MIs[0] policy
     /*  502504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502531 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502533 */     GIR_RootConstrainSelectedInstOperands,
     /*  502534 */     // GIR_Coverage, 62032,
     /*  502534 */     GIR_EraseRootFromParent_Done,
     /*  502535 */   // Label 8378: @502535
     /*  502535 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502603), // Rule ID 62033 //
     /*  502540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502572 */     // MIs[0] policy
     /*  502572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502599 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502601 */     GIR_RootConstrainSelectedInstOperands,
     /*  502602 */     // GIR_Coverage, 62033,
     /*  502602 */     GIR_EraseRootFromParent_Done,
     /*  502603 */   // Label 8379: @502603
     /*  502603 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502671), // Rule ID 62034 //
     /*  502608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502640 */     // MIs[0] policy
     /*  502640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502667 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502669 */     GIR_RootConstrainSelectedInstOperands,
     /*  502670 */     // GIR_Coverage, 62034,
     /*  502670 */     GIR_EraseRootFromParent_Done,
     /*  502671 */   // Label 8380: @502671
     /*  502671 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(502739), // Rule ID 62035 //
     /*  502676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502708 */     // MIs[0] policy
     /*  502708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502735 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502737 */     GIR_RootConstrainSelectedInstOperands,
     /*  502738 */     // GIR_Coverage, 62035,
     /*  502738 */     GIR_EraseRootFromParent_Done,
     /*  502739 */   // Label 8381: @502739
     /*  502739 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(502807), // Rule ID 62036 //
     /*  502744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502776 */     // MIs[0] policy
     /*  502776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502803 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502805 */     GIR_RootConstrainSelectedInstOperands,
     /*  502806 */     // GIR_Coverage, 62036,
     /*  502806 */     GIR_EraseRootFromParent_Done,
     /*  502807 */   // Label 8382: @502807
     /*  502807 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(502875), // Rule ID 62037 //
     /*  502812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502844 */     // MIs[0] policy
     /*  502844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502871 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502873 */     GIR_RootConstrainSelectedInstOperands,
     /*  502874 */     // GIR_Coverage, 62037,
     /*  502874 */     GIR_EraseRootFromParent_Done,
     /*  502875 */   // Label 8383: @502875
     /*  502875 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(502943), // Rule ID 62038 //
     /*  502880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502912 */     // MIs[0] policy
     /*  502912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502939 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502941 */     GIR_RootConstrainSelectedInstOperands,
     /*  502942 */     // GIR_Coverage, 62038,
     /*  502942 */     GIR_EraseRootFromParent_Done,
     /*  502943 */   // Label 8384: @502943
     /*  502943 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(503011), // Rule ID 62039 //
     /*  502948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502980 */     // MIs[0] policy
     /*  502980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503007 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503009 */     GIR_RootConstrainSelectedInstOperands,
     /*  503010 */     // GIR_Coverage, 62039,
     /*  503010 */     GIR_EraseRootFromParent_Done,
     /*  503011 */   // Label 8385: @503011
     /*  503011 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(503079), // Rule ID 62040 //
     /*  503016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503048 */     // MIs[0] policy
     /*  503048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  503061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503075 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503077 */     GIR_RootConstrainSelectedInstOperands,
     /*  503078 */     // GIR_Coverage, 62040,
     /*  503078 */     GIR_EraseRootFromParent_Done,
     /*  503079 */   // Label 8386: @503079
     /*  503079 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(503147), // Rule ID 62041 //
     /*  503084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503116 */     // MIs[0] policy
     /*  503116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  503129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503143 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503145 */     GIR_RootConstrainSelectedInstOperands,
     /*  503146 */     // GIR_Coverage, 62041,
     /*  503146 */     GIR_EraseRootFromParent_Done,
     /*  503147 */   // Label 8387: @503147
     /*  503147 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(503215), // Rule ID 62042 //
     /*  503152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503184 */     // MIs[0] policy
     /*  503184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  503197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503211 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503213 */     GIR_RootConstrainSelectedInstOperands,
     /*  503214 */     // GIR_Coverage, 62042,
     /*  503214 */     GIR_EraseRootFromParent_Done,
     /*  503215 */   // Label 8388: @503215
     /*  503215 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503283), // Rule ID 62043 //
     /*  503220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503252 */     // MIs[0] policy
     /*  503252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  503265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503279 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503281 */     GIR_RootConstrainSelectedInstOperands,
     /*  503282 */     // GIR_Coverage, 62043,
     /*  503282 */     GIR_EraseRootFromParent_Done,
     /*  503283 */   // Label 8389: @503283
     /*  503283 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503351), // Rule ID 62044 //
     /*  503288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503320 */     // MIs[0] policy
     /*  503320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  503333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503347 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503349 */     GIR_RootConstrainSelectedInstOperands,
     /*  503350 */     // GIR_Coverage, 62044,
     /*  503350 */     GIR_EraseRootFromParent_Done,
     /*  503351 */   // Label 8390: @503351
     /*  503351 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503419), // Rule ID 62045 //
     /*  503356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503388 */     // MIs[0] policy
     /*  503388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  503401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503415 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503417 */     GIR_RootConstrainSelectedInstOperands,
     /*  503418 */     // GIR_Coverage, 62045,
     /*  503418 */     GIR_EraseRootFromParent_Done,
     /*  503419 */   // Label 8391: @503419
     /*  503419 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503487), // Rule ID 62046 //
     /*  503424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503456 */     // MIs[0] policy
     /*  503456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503483 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503485 */     GIR_RootConstrainSelectedInstOperands,
     /*  503486 */     // GIR_Coverage, 62046,
     /*  503486 */     GIR_EraseRootFromParent_Done,
     /*  503487 */   // Label 8392: @503487
     /*  503487 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503555), // Rule ID 62047 //
     /*  503492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503524 */     // MIs[0] policy
     /*  503524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503551 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503553 */     GIR_RootConstrainSelectedInstOperands,
     /*  503554 */     // GIR_Coverage, 62047,
     /*  503554 */     GIR_EraseRootFromParent_Done,
     /*  503555 */   // Label 8393: @503555
     /*  503555 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503623), // Rule ID 62048 //
     /*  503560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503592 */     // MIs[0] policy
     /*  503592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503619 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503621 */     GIR_RootConstrainSelectedInstOperands,
     /*  503622 */     // GIR_Coverage, 62048,
     /*  503622 */     GIR_EraseRootFromParent_Done,
     /*  503623 */   // Label 8394: @503623
     /*  503623 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503691), // Rule ID 62049 //
     /*  503628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503660 */     // MIs[0] policy
     /*  503660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503687 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503689 */     GIR_RootConstrainSelectedInstOperands,
     /*  503690 */     // GIR_Coverage, 62049,
     /*  503690 */     GIR_EraseRootFromParent_Done,
     /*  503691 */   // Label 8395: @503691
     /*  503691 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(503759), // Rule ID 62050 //
     /*  503696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503728 */     // MIs[0] policy
     /*  503728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503738 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503755 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503757 */     GIR_RootConstrainSelectedInstOperands,
     /*  503758 */     // GIR_Coverage, 62050,
     /*  503758 */     GIR_EraseRootFromParent_Done,
     /*  503759 */   // Label 8396: @503759
     /*  503759 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(503827), // Rule ID 62051 //
     /*  503764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503796 */     // MIs[0] policy
     /*  503796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503823 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503825 */     GIR_RootConstrainSelectedInstOperands,
     /*  503826 */     // GIR_Coverage, 62051,
     /*  503826 */     GIR_EraseRootFromParent_Done,
     /*  503827 */   // Label 8397: @503827
     /*  503827 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(503895), // Rule ID 62052 //
     /*  503832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503864 */     // MIs[0] policy
     /*  503864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503891 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503893 */     GIR_RootConstrainSelectedInstOperands,
     /*  503894 */     // GIR_Coverage, 62052,
     /*  503894 */     GIR_EraseRootFromParent_Done,
     /*  503895 */   // Label 8398: @503895
     /*  503895 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(503963), // Rule ID 62053 //
     /*  503900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503932 */     // MIs[0] policy
     /*  503932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503942 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503959 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503961 */     GIR_RootConstrainSelectedInstOperands,
     /*  503962 */     // GIR_Coverage, 62053,
     /*  503962 */     GIR_EraseRootFromParent_Done,
     /*  503963 */   // Label 8399: @503963
     /*  503963 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(504031), // Rule ID 62054 //
     /*  503968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504000 */     // MIs[0] policy
     /*  504000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  504013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504027 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504029 */     GIR_RootConstrainSelectedInstOperands,
     /*  504030 */     // GIR_Coverage, 62054,
     /*  504030 */     GIR_EraseRootFromParent_Done,
     /*  504031 */   // Label 8400: @504031
     /*  504031 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(504099), // Rule ID 62055 //
     /*  504036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504068 */     // MIs[0] policy
     /*  504068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  504081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504095 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504097 */     GIR_RootConstrainSelectedInstOperands,
     /*  504098 */     // GIR_Coverage, 62055,
     /*  504098 */     GIR_EraseRootFromParent_Done,
     /*  504099 */   // Label 8401: @504099
     /*  504099 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(504167), // Rule ID 62056 //
     /*  504104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504136 */     // MIs[0] policy
     /*  504136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  504149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504163 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504165 */     GIR_RootConstrainSelectedInstOperands,
     /*  504166 */     // GIR_Coverage, 62056,
     /*  504166 */     GIR_EraseRootFromParent_Done,
     /*  504167 */   // Label 8402: @504167
     /*  504167 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(504235), // Rule ID 62057 //
     /*  504172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504204 */     // MIs[0] policy
     /*  504204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  504217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504231 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504233 */     GIR_RootConstrainSelectedInstOperands,
     /*  504234 */     // GIR_Coverage, 62057,
     /*  504234 */     GIR_EraseRootFromParent_Done,
     /*  504235 */   // Label 8403: @504235
     /*  504235 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504303), // Rule ID 62058 //
     /*  504240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504272 */     // MIs[0] policy
     /*  504272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  504285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504299 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504301 */     GIR_RootConstrainSelectedInstOperands,
     /*  504302 */     // GIR_Coverage, 62058,
     /*  504302 */     GIR_EraseRootFromParent_Done,
     /*  504303 */   // Label 8404: @504303
     /*  504303 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504371), // Rule ID 62059 //
     /*  504308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504340 */     // MIs[0] policy
     /*  504340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  504353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504367 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504369 */     GIR_RootConstrainSelectedInstOperands,
     /*  504370 */     // GIR_Coverage, 62059,
     /*  504370 */     GIR_EraseRootFromParent_Done,
     /*  504371 */   // Label 8405: @504371
     /*  504371 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504439), // Rule ID 62060 //
     /*  504376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504408 */     // MIs[0] policy
     /*  504408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  504421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504435 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504437 */     GIR_RootConstrainSelectedInstOperands,
     /*  504438 */     // GIR_Coverage, 62060,
     /*  504438 */     GIR_EraseRootFromParent_Done,
     /*  504439 */   // Label 8406: @504439
     /*  504439 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504507), // Rule ID 62061 //
     /*  504444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504476 */     // MIs[0] policy
     /*  504476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  504489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504503 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504505 */     GIR_RootConstrainSelectedInstOperands,
     /*  504506 */     // GIR_Coverage, 62061,
     /*  504506 */     GIR_EraseRootFromParent_Done,
     /*  504507 */   // Label 8407: @504507
     /*  504507 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504575), // Rule ID 62062 //
     /*  504512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504544 */     // MIs[0] policy
     /*  504544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504554 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504571 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504573 */     GIR_RootConstrainSelectedInstOperands,
     /*  504574 */     // GIR_Coverage, 62062,
     /*  504574 */     GIR_EraseRootFromParent_Done,
     /*  504575 */   // Label 8408: @504575
     /*  504575 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504643), // Rule ID 62063 //
     /*  504580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504612 */     // MIs[0] policy
     /*  504612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504639 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504641 */     GIR_RootConstrainSelectedInstOperands,
     /*  504642 */     // GIR_Coverage, 62063,
     /*  504642 */     GIR_EraseRootFromParent_Done,
     /*  504643 */   // Label 8409: @504643
     /*  504643 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504711), // Rule ID 62064 //
     /*  504648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504680 */     // MIs[0] policy
     /*  504680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504707 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504709 */     GIR_RootConstrainSelectedInstOperands,
     /*  504710 */     // GIR_Coverage, 62064,
     /*  504710 */     GIR_EraseRootFromParent_Done,
     /*  504711 */   // Label 8410: @504711
     /*  504711 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(504779), // Rule ID 62065 //
     /*  504716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504748 */     // MIs[0] policy
     /*  504748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504775 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504777 */     GIR_RootConstrainSelectedInstOperands,
     /*  504778 */     // GIR_Coverage, 62065,
     /*  504778 */     GIR_EraseRootFromParent_Done,
     /*  504779 */   // Label 8411: @504779
     /*  504779 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(504847), // Rule ID 62066 //
     /*  504784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504816 */     // MIs[0] policy
     /*  504816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504843 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504845 */     GIR_RootConstrainSelectedInstOperands,
     /*  504846 */     // GIR_Coverage, 62066,
     /*  504846 */     GIR_EraseRootFromParent_Done,
     /*  504847 */   // Label 8412: @504847
     /*  504847 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(504915), // Rule ID 62067 //
     /*  504852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504884 */     // MIs[0] policy
     /*  504884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504911 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504913 */     GIR_RootConstrainSelectedInstOperands,
     /*  504914 */     // GIR_Coverage, 62067,
     /*  504914 */     GIR_EraseRootFromParent_Done,
     /*  504915 */   // Label 8413: @504915
     /*  504915 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(504983), // Rule ID 62068 //
     /*  504920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504952 */     // MIs[0] policy
     /*  504952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  504965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504979 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504981 */     GIR_RootConstrainSelectedInstOperands,
     /*  504982 */     // GIR_Coverage, 62068,
     /*  504982 */     GIR_EraseRootFromParent_Done,
     /*  504983 */   // Label 8414: @504983
     /*  504983 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(505051), // Rule ID 62069 //
     /*  504988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505020 */     // MIs[0] policy
     /*  505020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  505033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505047 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505049 */     GIR_RootConstrainSelectedInstOperands,
     /*  505050 */     // GIR_Coverage, 62069,
     /*  505050 */     GIR_EraseRootFromParent_Done,
     /*  505051 */   // Label 8415: @505051
     /*  505051 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(505119), // Rule ID 62070 //
     /*  505056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505088 */     // MIs[0] policy
     /*  505088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  505101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505115 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505117 */     GIR_RootConstrainSelectedInstOperands,
     /*  505118 */     // GIR_Coverage, 62070,
     /*  505118 */     GIR_EraseRootFromParent_Done,
     /*  505119 */   // Label 8416: @505119
     /*  505119 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(505187), // Rule ID 62071 //
     /*  505124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505156 */     // MIs[0] policy
     /*  505156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  505169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505183 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505185 */     GIR_RootConstrainSelectedInstOperands,
     /*  505186 */     // GIR_Coverage, 62071,
     /*  505186 */     GIR_EraseRootFromParent_Done,
     /*  505187 */   // Label 8417: @505187
     /*  505187 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(505255), // Rule ID 62072 //
     /*  505192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505224 */     // MIs[0] policy
     /*  505224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  505237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505251 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505253 */     GIR_RootConstrainSelectedInstOperands,
     /*  505254 */     // GIR_Coverage, 62072,
     /*  505254 */     GIR_EraseRootFromParent_Done,
     /*  505255 */   // Label 8418: @505255
     /*  505255 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505323), // Rule ID 62073 //
     /*  505260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505292 */     // MIs[0] policy
     /*  505292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  505305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505319 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505321 */     GIR_RootConstrainSelectedInstOperands,
     /*  505322 */     // GIR_Coverage, 62073,
     /*  505322 */     GIR_EraseRootFromParent_Done,
     /*  505323 */   // Label 8419: @505323
     /*  505323 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505391), // Rule ID 62074 //
     /*  505328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505360 */     // MIs[0] policy
     /*  505360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  505373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505387 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505389 */     GIR_RootConstrainSelectedInstOperands,
     /*  505390 */     // GIR_Coverage, 62074,
     /*  505390 */     GIR_EraseRootFromParent_Done,
     /*  505391 */   // Label 8420: @505391
     /*  505391 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505459), // Rule ID 62075 //
     /*  505396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505428 */     // MIs[0] policy
     /*  505428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  505441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505455 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505457 */     GIR_RootConstrainSelectedInstOperands,
     /*  505458 */     // GIR_Coverage, 62075,
     /*  505458 */     GIR_EraseRootFromParent_Done,
     /*  505459 */   // Label 8421: @505459
     /*  505459 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505527), // Rule ID 62076 //
     /*  505464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505496 */     // MIs[0] policy
     /*  505496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505523 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505525 */     GIR_RootConstrainSelectedInstOperands,
     /*  505526 */     // GIR_Coverage, 62076,
     /*  505526 */     GIR_EraseRootFromParent_Done,
     /*  505527 */   // Label 8422: @505527
     /*  505527 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505595), // Rule ID 62077 //
     /*  505532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505564 */     // MIs[0] policy
     /*  505564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505591 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505593 */     GIR_RootConstrainSelectedInstOperands,
     /*  505594 */     // GIR_Coverage, 62077,
     /*  505594 */     GIR_EraseRootFromParent_Done,
     /*  505595 */   // Label 8423: @505595
     /*  505595 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505663), // Rule ID 62078 //
     /*  505600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505632 */     // MIs[0] policy
     /*  505632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505659 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505661 */     GIR_RootConstrainSelectedInstOperands,
     /*  505662 */     // GIR_Coverage, 62078,
     /*  505662 */     GIR_EraseRootFromParent_Done,
     /*  505663 */   // Label 8424: @505663
     /*  505663 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(505731), // Rule ID 62079 //
     /*  505668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505700 */     // MIs[0] policy
     /*  505700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505710 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505727 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505729 */     GIR_RootConstrainSelectedInstOperands,
     /*  505730 */     // GIR_Coverage, 62079,
     /*  505730 */     GIR_EraseRootFromParent_Done,
     /*  505731 */   // Label 8425: @505731
     /*  505731 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(505799), // Rule ID 62080 //
     /*  505736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505768 */     // MIs[0] policy
     /*  505768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505795 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505797 */     GIR_RootConstrainSelectedInstOperands,
     /*  505798 */     // GIR_Coverage, 62080,
     /*  505798 */     GIR_EraseRootFromParent_Done,
     /*  505799 */   // Label 8426: @505799
     /*  505799 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(505867), // Rule ID 62081 //
     /*  505804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505836 */     // MIs[0] policy
     /*  505836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505863 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505865 */     GIR_RootConstrainSelectedInstOperands,
     /*  505866 */     // GIR_Coverage, 62081,
     /*  505866 */     GIR_EraseRootFromParent_Done,
     /*  505867 */   // Label 8427: @505867
     /*  505867 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(505935), // Rule ID 62082 //
     /*  505872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505904 */     // MIs[0] policy
     /*  505904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505931 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505933 */     GIR_RootConstrainSelectedInstOperands,
     /*  505934 */     // GIR_Coverage, 62082,
     /*  505934 */     GIR_EraseRootFromParent_Done,
     /*  505935 */   // Label 8428: @505935
     /*  505935 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(506003), // Rule ID 62083 //
     /*  505940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505972 */     // MIs[0] policy
     /*  505972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505999 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506001 */     GIR_RootConstrainSelectedInstOperands,
     /*  506002 */     // GIR_Coverage, 62083,
     /*  506002 */     GIR_EraseRootFromParent_Done,
     /*  506003 */   // Label 8429: @506003
     /*  506003 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(506071), // Rule ID 62084 //
     /*  506008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506040 */     // MIs[0] policy
     /*  506040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  506053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506067 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506069 */     GIR_RootConstrainSelectedInstOperands,
     /*  506070 */     // GIR_Coverage, 62084,
     /*  506070 */     GIR_EraseRootFromParent_Done,
     /*  506071 */   // Label 8430: @506071
     /*  506071 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(506139), // Rule ID 62085 //
     /*  506076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506108 */     // MIs[0] policy
     /*  506108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  506121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506135 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506137 */     GIR_RootConstrainSelectedInstOperands,
     /*  506138 */     // GIR_Coverage, 62085,
     /*  506138 */     GIR_EraseRootFromParent_Done,
     /*  506139 */   // Label 8431: @506139
     /*  506139 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(506207), // Rule ID 62086 //
     /*  506144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506176 */     // MIs[0] policy
     /*  506176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  506189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506203 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506205 */     GIR_RootConstrainSelectedInstOperands,
     /*  506206 */     // GIR_Coverage, 62086,
     /*  506206 */     GIR_EraseRootFromParent_Done,
     /*  506207 */   // Label 8432: @506207
     /*  506207 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506275), // Rule ID 62087 //
     /*  506212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506244 */     // MIs[0] policy
     /*  506244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  506257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506271 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506273 */     GIR_RootConstrainSelectedInstOperands,
     /*  506274 */     // GIR_Coverage, 62087,
     /*  506274 */     GIR_EraseRootFromParent_Done,
     /*  506275 */   // Label 8433: @506275
     /*  506275 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506343), // Rule ID 62088 //
     /*  506280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506312 */     // MIs[0] policy
     /*  506312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  506325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506339 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506341 */     GIR_RootConstrainSelectedInstOperands,
     /*  506342 */     // GIR_Coverage, 62088,
     /*  506342 */     GIR_EraseRootFromParent_Done,
     /*  506343 */   // Label 8434: @506343
     /*  506343 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506411), // Rule ID 62089 //
     /*  506348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506380 */     // MIs[0] policy
     /*  506380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  506393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506407 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506409 */     GIR_RootConstrainSelectedInstOperands,
     /*  506410 */     // GIR_Coverage, 62089,
     /*  506410 */     GIR_EraseRootFromParent_Done,
     /*  506411 */   // Label 8435: @506411
     /*  506411 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506479), // Rule ID 62090 //
     /*  506416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506448 */     // MIs[0] policy
     /*  506448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506475 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506477 */     GIR_RootConstrainSelectedInstOperands,
     /*  506478 */     // GIR_Coverage, 62090,
     /*  506478 */     GIR_EraseRootFromParent_Done,
     /*  506479 */   // Label 8436: @506479
     /*  506479 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506547), // Rule ID 62091 //
     /*  506484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506516 */     // MIs[0] policy
     /*  506516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506543 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506545 */     GIR_RootConstrainSelectedInstOperands,
     /*  506546 */     // GIR_Coverage, 62091,
     /*  506546 */     GIR_EraseRootFromParent_Done,
     /*  506547 */   // Label 8437: @506547
     /*  506547 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506615), // Rule ID 62092 //
     /*  506552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506584 */     // MIs[0] policy
     /*  506584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506611 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506613 */     GIR_RootConstrainSelectedInstOperands,
     /*  506614 */     // GIR_Coverage, 62092,
     /*  506614 */     GIR_EraseRootFromParent_Done,
     /*  506615 */   // Label 8438: @506615
     /*  506615 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506683), // Rule ID 62093 //
     /*  506620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506652 */     // MIs[0] policy
     /*  506652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506679 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506681 */     GIR_RootConstrainSelectedInstOperands,
     /*  506682 */     // GIR_Coverage, 62093,
     /*  506682 */     GIR_EraseRootFromParent_Done,
     /*  506683 */   // Label 8439: @506683
     /*  506683 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(506751), // Rule ID 62094 //
     /*  506688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506720 */     // MIs[0] policy
     /*  506720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506747 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506749 */     GIR_RootConstrainSelectedInstOperands,
     /*  506750 */     // GIR_Coverage, 62094,
     /*  506750 */     GIR_EraseRootFromParent_Done,
     /*  506751 */   // Label 8440: @506751
     /*  506751 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(506819), // Rule ID 62095 //
     /*  506756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506788 */     // MIs[0] policy
     /*  506788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506815 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506817 */     GIR_RootConstrainSelectedInstOperands,
     /*  506818 */     // GIR_Coverage, 62095,
     /*  506818 */     GIR_EraseRootFromParent_Done,
     /*  506819 */   // Label 8441: @506819
     /*  506819 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(506887), // Rule ID 62096 //
     /*  506824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506856 */     // MIs[0] policy
     /*  506856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506883 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506885 */     GIR_RootConstrainSelectedInstOperands,
     /*  506886 */     // GIR_Coverage, 62096,
     /*  506886 */     GIR_EraseRootFromParent_Done,
     /*  506887 */   // Label 8442: @506887
     /*  506887 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(506955), // Rule ID 62097 //
     /*  506892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506924 */     // MIs[0] policy
     /*  506924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506951 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506953 */     GIR_RootConstrainSelectedInstOperands,
     /*  506954 */     // GIR_Coverage, 62097,
     /*  506954 */     GIR_EraseRootFromParent_Done,
     /*  506955 */   // Label 8443: @506955
     /*  506955 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(507023), // Rule ID 62098 //
     /*  506960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506992 */     // MIs[0] policy
     /*  506992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  507005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507019 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507021 */     GIR_RootConstrainSelectedInstOperands,
     /*  507022 */     // GIR_Coverage, 62098,
     /*  507022 */     GIR_EraseRootFromParent_Done,
     /*  507023 */   // Label 8444: @507023
     /*  507023 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(507091), // Rule ID 62099 //
     /*  507028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507060 */     // MIs[0] policy
     /*  507060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  507073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507087 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507089 */     GIR_RootConstrainSelectedInstOperands,
     /*  507090 */     // GIR_Coverage, 62099,
     /*  507090 */     GIR_EraseRootFromParent_Done,
     /*  507091 */   // Label 8445: @507091
     /*  507091 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(507159), // Rule ID 62100 //
     /*  507096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507128 */     // MIs[0] policy
     /*  507128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  507141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507155 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507157 */     GIR_RootConstrainSelectedInstOperands,
     /*  507158 */     // GIR_Coverage, 62100,
     /*  507158 */     GIR_EraseRootFromParent_Done,
     /*  507159 */   // Label 8446: @507159
     /*  507159 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(507227), // Rule ID 62101 //
     /*  507164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507196 */     // MIs[0] policy
     /*  507196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  507209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507223 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507225 */     GIR_RootConstrainSelectedInstOperands,
     /*  507226 */     // GIR_Coverage, 62101,
     /*  507226 */     GIR_EraseRootFromParent_Done,
     /*  507227 */   // Label 8447: @507227
     /*  507227 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507295), // Rule ID 62102 //
     /*  507232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507264 */     // MIs[0] policy
     /*  507264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  507277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507291 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507293 */     GIR_RootConstrainSelectedInstOperands,
     /*  507294 */     // GIR_Coverage, 62102,
     /*  507294 */     GIR_EraseRootFromParent_Done,
     /*  507295 */   // Label 8448: @507295
     /*  507295 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507363), // Rule ID 62103 //
     /*  507300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507332 */     // MIs[0] policy
     /*  507332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  507345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507359 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507361 */     GIR_RootConstrainSelectedInstOperands,
     /*  507362 */     // GIR_Coverage, 62103,
     /*  507362 */     GIR_EraseRootFromParent_Done,
     /*  507363 */   // Label 8449: @507363
     /*  507363 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507431), // Rule ID 62104 //
     /*  507368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507400 */     // MIs[0] policy
     /*  507400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  507413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507427 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507429 */     GIR_RootConstrainSelectedInstOperands,
     /*  507430 */     // GIR_Coverage, 62104,
     /*  507430 */     GIR_EraseRootFromParent_Done,
     /*  507431 */   // Label 8450: @507431
     /*  507431 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507499), // Rule ID 62105 //
     /*  507436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507468 */     // MIs[0] policy
     /*  507468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  507481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507495 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507497 */     GIR_RootConstrainSelectedInstOperands,
     /*  507498 */     // GIR_Coverage, 62105,
     /*  507498 */     GIR_EraseRootFromParent_Done,
     /*  507499 */   // Label 8451: @507499
     /*  507499 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507567), // Rule ID 62106 //
     /*  507504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507536 */     // MIs[0] policy
     /*  507536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507563 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507565 */     GIR_RootConstrainSelectedInstOperands,
     /*  507566 */     // GIR_Coverage, 62106,
     /*  507566 */     GIR_EraseRootFromParent_Done,
     /*  507567 */   // Label 8452: @507567
     /*  507567 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507635), // Rule ID 62107 //
     /*  507572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507604 */     // MIs[0] policy
     /*  507604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507631 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507633 */     GIR_RootConstrainSelectedInstOperands,
     /*  507634 */     // GIR_Coverage, 62107,
     /*  507634 */     GIR_EraseRootFromParent_Done,
     /*  507635 */   // Label 8453: @507635
     /*  507635 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507703), // Rule ID 62108 //
     /*  507640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507672 */     // MIs[0] policy
     /*  507672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507699 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507701 */     GIR_RootConstrainSelectedInstOperands,
     /*  507702 */     // GIR_Coverage, 62108,
     /*  507702 */     GIR_EraseRootFromParent_Done,
     /*  507703 */   // Label 8454: @507703
     /*  507703 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(507771), // Rule ID 62109 //
     /*  507708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507740 */     // MIs[0] policy
     /*  507740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507750 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507767 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507769 */     GIR_RootConstrainSelectedInstOperands,
     /*  507770 */     // GIR_Coverage, 62109,
     /*  507770 */     GIR_EraseRootFromParent_Done,
     /*  507771 */   // Label 8455: @507771
     /*  507771 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(507839), // Rule ID 62110 //
     /*  507776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507808 */     // MIs[0] policy
     /*  507808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507835 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507837 */     GIR_RootConstrainSelectedInstOperands,
     /*  507838 */     // GIR_Coverage, 62110,
     /*  507838 */     GIR_EraseRootFromParent_Done,
     /*  507839 */   // Label 8456: @507839
     /*  507839 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(507907), // Rule ID 62111 //
     /*  507844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507876 */     // MIs[0] policy
     /*  507876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507903 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507905 */     GIR_RootConstrainSelectedInstOperands,
     /*  507906 */     // GIR_Coverage, 62111,
     /*  507906 */     GIR_EraseRootFromParent_Done,
     /*  507907 */   // Label 8457: @507907
     /*  507907 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(507975), // Rule ID 62112 //
     /*  507912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507944 */     // MIs[0] policy
     /*  507944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  507957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507971 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507973 */     GIR_RootConstrainSelectedInstOperands,
     /*  507974 */     // GIR_Coverage, 62112,
     /*  507974 */     GIR_EraseRootFromParent_Done,
     /*  507975 */   // Label 8458: @507975
     /*  507975 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(508043), // Rule ID 62113 //
     /*  507980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508012 */     // MIs[0] policy
     /*  508012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  508025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508039 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508041 */     GIR_RootConstrainSelectedInstOperands,
     /*  508042 */     // GIR_Coverage, 62113,
     /*  508042 */     GIR_EraseRootFromParent_Done,
     /*  508043 */   // Label 8459: @508043
     /*  508043 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(508111), // Rule ID 62114 //
     /*  508048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508080 */     // MIs[0] policy
     /*  508080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  508093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508107 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508109 */     GIR_RootConstrainSelectedInstOperands,
     /*  508110 */     // GIR_Coverage, 62114,
     /*  508110 */     GIR_EraseRootFromParent_Done,
     /*  508111 */   // Label 8460: @508111
     /*  508111 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(508179), // Rule ID 62115 //
     /*  508116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508148 */     // MIs[0] policy
     /*  508148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  508161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508175 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508177 */     GIR_RootConstrainSelectedInstOperands,
     /*  508178 */     // GIR_Coverage, 62115,
     /*  508178 */     GIR_EraseRootFromParent_Done,
     /*  508179 */   // Label 8461: @508179
     /*  508179 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(508247), // Rule ID 62116 //
     /*  508184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508216 */     // MIs[0] policy
     /*  508216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  508229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508243 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508245 */     GIR_RootConstrainSelectedInstOperands,
     /*  508246 */     // GIR_Coverage, 62116,
     /*  508246 */     GIR_EraseRootFromParent_Done,
     /*  508247 */   // Label 8462: @508247
     /*  508247 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508315), // Rule ID 62117 //
     /*  508252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508284 */     // MIs[0] policy
     /*  508284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  508297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508311 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508313 */     GIR_RootConstrainSelectedInstOperands,
     /*  508314 */     // GIR_Coverage, 62117,
     /*  508314 */     GIR_EraseRootFromParent_Done,
     /*  508315 */   // Label 8463: @508315
     /*  508315 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508383), // Rule ID 62118 //
     /*  508320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508352 */     // MIs[0] policy
     /*  508352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  508365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508379 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508381 */     GIR_RootConstrainSelectedInstOperands,
     /*  508382 */     // GIR_Coverage, 62118,
     /*  508382 */     GIR_EraseRootFromParent_Done,
     /*  508383 */   // Label 8464: @508383
     /*  508383 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508451), // Rule ID 62119 //
     /*  508388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508420 */     // MIs[0] policy
     /*  508420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  508433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508447 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508449 */     GIR_RootConstrainSelectedInstOperands,
     /*  508450 */     // GIR_Coverage, 62119,
     /*  508450 */     GIR_EraseRootFromParent_Done,
     /*  508451 */   // Label 8465: @508451
     /*  508451 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508519), // Rule ID 62120 //
     /*  508456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508488 */     // MIs[0] policy
     /*  508488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508515 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508517 */     GIR_RootConstrainSelectedInstOperands,
     /*  508518 */     // GIR_Coverage, 62120,
     /*  508518 */     GIR_EraseRootFromParent_Done,
     /*  508519 */   // Label 8466: @508519
     /*  508519 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508587), // Rule ID 62121 //
     /*  508524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508556 */     // MIs[0] policy
     /*  508556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508583 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508585 */     GIR_RootConstrainSelectedInstOperands,
     /*  508586 */     // GIR_Coverage, 62121,
     /*  508586 */     GIR_EraseRootFromParent_Done,
     /*  508587 */   // Label 8467: @508587
     /*  508587 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508655), // Rule ID 62122 //
     /*  508592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508624 */     // MIs[0] policy
     /*  508624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508651 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508653 */     GIR_RootConstrainSelectedInstOperands,
     /*  508654 */     // GIR_Coverage, 62122,
     /*  508654 */     GIR_EraseRootFromParent_Done,
     /*  508655 */   // Label 8468: @508655
     /*  508655 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508723), // Rule ID 62123 //
     /*  508660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508692 */     // MIs[0] policy
     /*  508692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508719 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508721 */     GIR_RootConstrainSelectedInstOperands,
     /*  508722 */     // GIR_Coverage, 62123,
     /*  508722 */     GIR_EraseRootFromParent_Done,
     /*  508723 */   // Label 8469: @508723
     /*  508723 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(508791), // Rule ID 62124 //
     /*  508728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508760 */     // MIs[0] policy
     /*  508760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508787 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508789 */     GIR_RootConstrainSelectedInstOperands,
     /*  508790 */     // GIR_Coverage, 62124,
     /*  508790 */     GIR_EraseRootFromParent_Done,
     /*  508791 */   // Label 8470: @508791
     /*  508791 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(508859), // Rule ID 62125 //
     /*  508796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508828 */     // MIs[0] policy
     /*  508828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508855 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508857 */     GIR_RootConstrainSelectedInstOperands,
     /*  508858 */     // GIR_Coverage, 62125,
     /*  508858 */     GIR_EraseRootFromParent_Done,
     /*  508859 */   // Label 8471: @508859
     /*  508859 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(508927), // Rule ID 62126 //
     /*  508864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508896 */     // MIs[0] policy
     /*  508896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508923 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508925 */     GIR_RootConstrainSelectedInstOperands,
     /*  508926 */     // GIR_Coverage, 62126,
     /*  508926 */     GIR_EraseRootFromParent_Done,
     /*  508927 */   // Label 8472: @508927
     /*  508927 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(508995), // Rule ID 62127 //
     /*  508932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508964 */     // MIs[0] policy
     /*  508964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508991 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508993 */     GIR_RootConstrainSelectedInstOperands,
     /*  508994 */     // GIR_Coverage, 62127,
     /*  508994 */     GIR_EraseRootFromParent_Done,
     /*  508995 */   // Label 8473: @508995
     /*  508995 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(509063), // Rule ID 62128 //
     /*  509000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509032 */     // MIs[0] policy
     /*  509032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  509045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509059 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509061 */     GIR_RootConstrainSelectedInstOperands,
     /*  509062 */     // GIR_Coverage, 62128,
     /*  509062 */     GIR_EraseRootFromParent_Done,
     /*  509063 */   // Label 8474: @509063
     /*  509063 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(509131), // Rule ID 62129 //
     /*  509068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509100 */     // MIs[0] policy
     /*  509100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  509113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509127 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509129 */     GIR_RootConstrainSelectedInstOperands,
     /*  509130 */     // GIR_Coverage, 62129,
     /*  509130 */     GIR_EraseRootFromParent_Done,
     /*  509131 */   // Label 8475: @509131
     /*  509131 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(509199), // Rule ID 62146 //
     /*  509136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509168 */     // MIs[0] policy
     /*  509168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  509181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509195 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509197 */     GIR_RootConstrainSelectedInstOperands,
     /*  509198 */     // GIR_Coverage, 62146,
     /*  509198 */     GIR_EraseRootFromParent_Done,
     /*  509199 */   // Label 8476: @509199
     /*  509199 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509267), // Rule ID 62147 //
     /*  509204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509236 */     // MIs[0] policy
     /*  509236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  509249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509263 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509265 */     GIR_RootConstrainSelectedInstOperands,
     /*  509266 */     // GIR_Coverage, 62147,
     /*  509266 */     GIR_EraseRootFromParent_Done,
     /*  509267 */   // Label 8477: @509267
     /*  509267 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509335), // Rule ID 62148 //
     /*  509272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509304 */     // MIs[0] policy
     /*  509304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  509317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509331 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509333 */     GIR_RootConstrainSelectedInstOperands,
     /*  509334 */     // GIR_Coverage, 62148,
     /*  509334 */     GIR_EraseRootFromParent_Done,
     /*  509335 */   // Label 8478: @509335
     /*  509335 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509403), // Rule ID 62149 //
     /*  509340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509372 */     // MIs[0] policy
     /*  509372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  509385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509399 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509401 */     GIR_RootConstrainSelectedInstOperands,
     /*  509402 */     // GIR_Coverage, 62149,
     /*  509402 */     GIR_EraseRootFromParent_Done,
     /*  509403 */   // Label 8479: @509403
     /*  509403 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509471), // Rule ID 62150 //
     /*  509408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509440 */     // MIs[0] policy
     /*  509440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509467 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509469 */     GIR_RootConstrainSelectedInstOperands,
     /*  509470 */     // GIR_Coverage, 62150,
     /*  509470 */     GIR_EraseRootFromParent_Done,
     /*  509471 */   // Label 8480: @509471
     /*  509471 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509539), // Rule ID 62151 //
     /*  509476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509508 */     // MIs[0] policy
     /*  509508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509535 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509537 */     GIR_RootConstrainSelectedInstOperands,
     /*  509538 */     // GIR_Coverage, 62151,
     /*  509538 */     GIR_EraseRootFromParent_Done,
     /*  509539 */   // Label 8481: @509539
     /*  509539 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509607), // Rule ID 62152 //
     /*  509544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509576 */     // MIs[0] policy
     /*  509576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509603 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509605 */     GIR_RootConstrainSelectedInstOperands,
     /*  509606 */     // GIR_Coverage, 62152,
     /*  509606 */     GIR_EraseRootFromParent_Done,
     /*  509607 */   // Label 8482: @509607
     /*  509607 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509675), // Rule ID 62153 //
     /*  509612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509644 */     // MIs[0] policy
     /*  509644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509671 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509673 */     GIR_RootConstrainSelectedInstOperands,
     /*  509674 */     // GIR_Coverage, 62153,
     /*  509674 */     GIR_EraseRootFromParent_Done,
     /*  509675 */   // Label 8483: @509675
     /*  509675 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(509743), // Rule ID 62154 //
     /*  509680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509712 */     // MIs[0] policy
     /*  509712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509739 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509741 */     GIR_RootConstrainSelectedInstOperands,
     /*  509742 */     // GIR_Coverage, 62154,
     /*  509742 */     GIR_EraseRootFromParent_Done,
     /*  509743 */   // Label 8484: @509743
     /*  509743 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(509811), // Rule ID 62155 //
     /*  509748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509780 */     // MIs[0] policy
     /*  509780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509807 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509809 */     GIR_RootConstrainSelectedInstOperands,
     /*  509810 */     // GIR_Coverage, 62155,
     /*  509810 */     GIR_EraseRootFromParent_Done,
     /*  509811 */   // Label 8485: @509811
     /*  509811 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(509879), // Rule ID 62156 //
     /*  509816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509848 */     // MIs[0] policy
     /*  509848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509875 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509877 */     GIR_RootConstrainSelectedInstOperands,
     /*  509878 */     // GIR_Coverage, 62156,
     /*  509878 */     GIR_EraseRootFromParent_Done,
     /*  509879 */   // Label 8486: @509879
     /*  509879 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(509947), // Rule ID 62157 //
     /*  509884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509916 */     // MIs[0] policy
     /*  509916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509943 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509945 */     GIR_RootConstrainSelectedInstOperands,
     /*  509946 */     // GIR_Coverage, 62157,
     /*  509946 */     GIR_EraseRootFromParent_Done,
     /*  509947 */   // Label 8487: @509947
     /*  509947 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(510015), // Rule ID 62158 //
     /*  509952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509984 */     // MIs[0] policy
     /*  509984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  509997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510011 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510013 */     GIR_RootConstrainSelectedInstOperands,
     /*  510014 */     // GIR_Coverage, 62158,
     /*  510014 */     GIR_EraseRootFromParent_Done,
     /*  510015 */   // Label 8488: @510015
     /*  510015 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(510083), // Rule ID 62159 //
     /*  510020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510052 */     // MIs[0] policy
     /*  510052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  510065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510079 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510081 */     GIR_RootConstrainSelectedInstOperands,
     /*  510082 */     // GIR_Coverage, 62159,
     /*  510082 */     GIR_EraseRootFromParent_Done,
     /*  510083 */   // Label 8489: @510083
     /*  510083 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(510151), // Rule ID 62160 //
     /*  510088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510120 */     // MIs[0] policy
     /*  510120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  510133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510147 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510149 */     GIR_RootConstrainSelectedInstOperands,
     /*  510150 */     // GIR_Coverage, 62160,
     /*  510150 */     GIR_EraseRootFromParent_Done,
     /*  510151 */   // Label 8490: @510151
     /*  510151 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(510219), // Rule ID 62161 //
     /*  510156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510188 */     // MIs[0] policy
     /*  510188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  510201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510215 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510217 */     GIR_RootConstrainSelectedInstOperands,
     /*  510218 */     // GIR_Coverage, 62161,
     /*  510218 */     GIR_EraseRootFromParent_Done,
     /*  510219 */   // Label 8491: @510219
     /*  510219 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510287), // Rule ID 62162 //
     /*  510224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510256 */     // MIs[0] policy
     /*  510256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  510269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510283 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510285 */     GIR_RootConstrainSelectedInstOperands,
     /*  510286 */     // GIR_Coverage, 62162,
     /*  510286 */     GIR_EraseRootFromParent_Done,
     /*  510287 */   // Label 8492: @510287
     /*  510287 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510355), // Rule ID 62163 //
     /*  510292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510324 */     // MIs[0] policy
     /*  510324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  510337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510351 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510353 */     GIR_RootConstrainSelectedInstOperands,
     /*  510354 */     // GIR_Coverage, 62163,
     /*  510354 */     GIR_EraseRootFromParent_Done,
     /*  510355 */   // Label 8493: @510355
     /*  510355 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510423), // Rule ID 62164 //
     /*  510360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510392 */     // MIs[0] policy
     /*  510392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  510405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510419 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510421 */     GIR_RootConstrainSelectedInstOperands,
     /*  510422 */     // GIR_Coverage, 62164,
     /*  510422 */     GIR_EraseRootFromParent_Done,
     /*  510423 */   // Label 8494: @510423
     /*  510423 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510491), // Rule ID 62165 //
     /*  510428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510460 */     // MIs[0] policy
     /*  510460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  510473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510487 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510489 */     GIR_RootConstrainSelectedInstOperands,
     /*  510490 */     // GIR_Coverage, 62165,
     /*  510490 */     GIR_EraseRootFromParent_Done,
     /*  510491 */   // Label 8495: @510491
     /*  510491 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510559), // Rule ID 62166 //
     /*  510496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510528 */     // MIs[0] policy
     /*  510528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510555 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510557 */     GIR_RootConstrainSelectedInstOperands,
     /*  510558 */     // GIR_Coverage, 62166,
     /*  510558 */     GIR_EraseRootFromParent_Done,
     /*  510559 */   // Label 8496: @510559
     /*  510559 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510627), // Rule ID 62167 //
     /*  510564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510596 */     // MIs[0] policy
     /*  510596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510623 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510625 */     GIR_RootConstrainSelectedInstOperands,
     /*  510626 */     // GIR_Coverage, 62167,
     /*  510626 */     GIR_EraseRootFromParent_Done,
     /*  510627 */   // Label 8497: @510627
     /*  510627 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510695), // Rule ID 62168 //
     /*  510632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510664 */     // MIs[0] policy
     /*  510664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510691 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510693 */     GIR_RootConstrainSelectedInstOperands,
     /*  510694 */     // GIR_Coverage, 62168,
     /*  510694 */     GIR_EraseRootFromParent_Done,
     /*  510695 */   // Label 8498: @510695
     /*  510695 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(510763), // Rule ID 62169 //
     /*  510700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510732 */     // MIs[0] policy
     /*  510732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510759 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510761 */     GIR_RootConstrainSelectedInstOperands,
     /*  510762 */     // GIR_Coverage, 62169,
     /*  510762 */     GIR_EraseRootFromParent_Done,
     /*  510763 */   // Label 8499: @510763
     /*  510763 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(510831), // Rule ID 62170 //
     /*  510768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510800 */     // MIs[0] policy
     /*  510800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510827 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510829 */     GIR_RootConstrainSelectedInstOperands,
     /*  510830 */     // GIR_Coverage, 62170,
     /*  510830 */     GIR_EraseRootFromParent_Done,
     /*  510831 */   // Label 8500: @510831
     /*  510831 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(510899), // Rule ID 62171 //
     /*  510836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510868 */     // MIs[0] policy
     /*  510868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510895 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510897 */     GIR_RootConstrainSelectedInstOperands,
     /*  510898 */     // GIR_Coverage, 62171,
     /*  510898 */     GIR_EraseRootFromParent_Done,
     /*  510899 */   // Label 8501: @510899
     /*  510899 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(510967), // Rule ID 62172 //
     /*  510904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510936 */     // MIs[0] policy
     /*  510936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  510949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510963 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510965 */     GIR_RootConstrainSelectedInstOperands,
     /*  510966 */     // GIR_Coverage, 62172,
     /*  510966 */     GIR_EraseRootFromParent_Done,
     /*  510967 */   // Label 8502: @510967
     /*  510967 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(511035), // Rule ID 62173 //
     /*  510972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511004 */     // MIs[0] policy
     /*  511004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  511017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511031 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511033 */     GIR_RootConstrainSelectedInstOperands,
     /*  511034 */     // GIR_Coverage, 62173,
     /*  511034 */     GIR_EraseRootFromParent_Done,
     /*  511035 */   // Label 8503: @511035
     /*  511035 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(511103), // Rule ID 62268 //
     /*  511040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511072 */     // MIs[0] policy
     /*  511072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  511085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511099 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511101 */     GIR_RootConstrainSelectedInstOperands,
     /*  511102 */     // GIR_Coverage, 62268,
     /*  511102 */     GIR_EraseRootFromParent_Done,
     /*  511103 */   // Label 8504: @511103
     /*  511103 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(511171), // Rule ID 62269 //
     /*  511108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511140 */     // MIs[0] policy
     /*  511140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  511153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511167 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511169 */     GIR_RootConstrainSelectedInstOperands,
     /*  511170 */     // GIR_Coverage, 62269,
     /*  511170 */     GIR_EraseRootFromParent_Done,
     /*  511171 */   // Label 8505: @511171
     /*  511171 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(511239), // Rule ID 62270 //
     /*  511176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511208 */     // MIs[0] policy
     /*  511208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  511221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511235 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511237 */     GIR_RootConstrainSelectedInstOperands,
     /*  511238 */     // GIR_Coverage, 62270,
     /*  511238 */     GIR_EraseRootFromParent_Done,
     /*  511239 */   // Label 8506: @511239
     /*  511239 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511307), // Rule ID 62271 //
     /*  511244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511276 */     // MIs[0] policy
     /*  511276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  511289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511303 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511305 */     GIR_RootConstrainSelectedInstOperands,
     /*  511306 */     // GIR_Coverage, 62271,
     /*  511306 */     GIR_EraseRootFromParent_Done,
     /*  511307 */   // Label 8507: @511307
     /*  511307 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511375), // Rule ID 62272 //
     /*  511312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511344 */     // MIs[0] policy
     /*  511344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  511357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511371 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511373 */     GIR_RootConstrainSelectedInstOperands,
     /*  511374 */     // GIR_Coverage, 62272,
     /*  511374 */     GIR_EraseRootFromParent_Done,
     /*  511375 */   // Label 8508: @511375
     /*  511375 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511443), // Rule ID 62273 //
     /*  511380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511412 */     // MIs[0] policy
     /*  511412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  511425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511439 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511441 */     GIR_RootConstrainSelectedInstOperands,
     /*  511442 */     // GIR_Coverage, 62273,
     /*  511442 */     GIR_EraseRootFromParent_Done,
     /*  511443 */   // Label 8509: @511443
     /*  511443 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511511), // Rule ID 62274 //
     /*  511448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511480 */     // MIs[0] policy
     /*  511480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511507 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511509 */     GIR_RootConstrainSelectedInstOperands,
     /*  511510 */     // GIR_Coverage, 62274,
     /*  511510 */     GIR_EraseRootFromParent_Done,
     /*  511511 */   // Label 8510: @511511
     /*  511511 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511579), // Rule ID 62275 //
     /*  511516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511548 */     // MIs[0] policy
     /*  511548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511575 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511577 */     GIR_RootConstrainSelectedInstOperands,
     /*  511578 */     // GIR_Coverage, 62275,
     /*  511578 */     GIR_EraseRootFromParent_Done,
     /*  511579 */   // Label 8511: @511579
     /*  511579 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511647), // Rule ID 62276 //
     /*  511584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511616 */     // MIs[0] policy
     /*  511616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511643 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511645 */     GIR_RootConstrainSelectedInstOperands,
     /*  511646 */     // GIR_Coverage, 62276,
     /*  511646 */     GIR_EraseRootFromParent_Done,
     /*  511647 */   // Label 8512: @511647
     /*  511647 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511715), // Rule ID 62277 //
     /*  511652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511684 */     // MIs[0] policy
     /*  511684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511711 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511713 */     GIR_RootConstrainSelectedInstOperands,
     /*  511714 */     // GIR_Coverage, 62277,
     /*  511714 */     GIR_EraseRootFromParent_Done,
     /*  511715 */   // Label 8513: @511715
     /*  511715 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(511783), // Rule ID 62278 //
     /*  511720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511752 */     // MIs[0] policy
     /*  511752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511779 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511781 */     GIR_RootConstrainSelectedInstOperands,
     /*  511782 */     // GIR_Coverage, 62278,
     /*  511782 */     GIR_EraseRootFromParent_Done,
     /*  511783 */   // Label 8514: @511783
     /*  511783 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(511851), // Rule ID 62279 //
     /*  511788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511820 */     // MIs[0] policy
     /*  511820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511849 */     GIR_RootConstrainSelectedInstOperands,
     /*  511850 */     // GIR_Coverage, 62279,
     /*  511850 */     GIR_EraseRootFromParent_Done,
     /*  511851 */   // Label 8515: @511851
     /*  511851 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(511919), // Rule ID 62280 //
     /*  511856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511888 */     // MIs[0] policy
     /*  511888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511917 */     GIR_RootConstrainSelectedInstOperands,
     /*  511918 */     // GIR_Coverage, 62280,
     /*  511918 */     GIR_EraseRootFromParent_Done,
     /*  511919 */   // Label 8516: @511919
     /*  511919 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(511987), // Rule ID 62281 //
     /*  511924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511956 */     // MIs[0] policy
     /*  511956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511985 */     GIR_RootConstrainSelectedInstOperands,
     /*  511986 */     // GIR_Coverage, 62281,
     /*  511986 */     GIR_EraseRootFromParent_Done,
     /*  511987 */   // Label 8517: @511987
     /*  511987 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(512055), // Rule ID 62282 //
     /*  511992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512024 */     // MIs[0] policy
     /*  512024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  512037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512053 */     GIR_RootConstrainSelectedInstOperands,
     /*  512054 */     // GIR_Coverage, 62282,
     /*  512054 */     GIR_EraseRootFromParent_Done,
     /*  512055 */   // Label 8518: @512055
     /*  512055 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(512123), // Rule ID 62283 //
     /*  512060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512092 */     // MIs[0] policy
     /*  512092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  512105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512121 */     GIR_RootConstrainSelectedInstOperands,
     /*  512122 */     // GIR_Coverage, 62283,
     /*  512122 */     GIR_EraseRootFromParent_Done,
     /*  512123 */   // Label 8519: @512123
     /*  512123 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(512191), // Rule ID 62284 //
     /*  512128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512160 */     // MIs[0] policy
     /*  512160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  512173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512189 */     GIR_RootConstrainSelectedInstOperands,
     /*  512190 */     // GIR_Coverage, 62284,
     /*  512190 */     GIR_EraseRootFromParent_Done,
     /*  512191 */   // Label 8520: @512191
     /*  512191 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(512259), // Rule ID 62285 //
     /*  512196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512228 */     // MIs[0] policy
     /*  512228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512238 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  512241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512257 */     GIR_RootConstrainSelectedInstOperands,
     /*  512258 */     // GIR_Coverage, 62285,
     /*  512258 */     GIR_EraseRootFromParent_Done,
     /*  512259 */   // Label 8521: @512259
     /*  512259 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512327), // Rule ID 62286 //
     /*  512264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512296 */     // MIs[0] policy
     /*  512296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  512309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512325 */     GIR_RootConstrainSelectedInstOperands,
     /*  512326 */     // GIR_Coverage, 62286,
     /*  512326 */     GIR_EraseRootFromParent_Done,
     /*  512327 */   // Label 8522: @512327
     /*  512327 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512395), // Rule ID 62287 //
     /*  512332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512364 */     // MIs[0] policy
     /*  512364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  512377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512393 */     GIR_RootConstrainSelectedInstOperands,
     /*  512394 */     // GIR_Coverage, 62287,
     /*  512394 */     GIR_EraseRootFromParent_Done,
     /*  512395 */   // Label 8523: @512395
     /*  512395 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512463), // Rule ID 62288 //
     /*  512400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512432 */     // MIs[0] policy
     /*  512432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512461 */     GIR_RootConstrainSelectedInstOperands,
     /*  512462 */     // GIR_Coverage, 62288,
     /*  512462 */     GIR_EraseRootFromParent_Done,
     /*  512463 */   // Label 8524: @512463
     /*  512463 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512531), // Rule ID 62289 //
     /*  512468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512500 */     // MIs[0] policy
     /*  512500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512529 */     GIR_RootConstrainSelectedInstOperands,
     /*  512530 */     // GIR_Coverage, 62289,
     /*  512530 */     GIR_EraseRootFromParent_Done,
     /*  512531 */   // Label 8525: @512531
     /*  512531 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512599), // Rule ID 62290 //
     /*  512536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512568 */     // MIs[0] policy
     /*  512568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512597 */     GIR_RootConstrainSelectedInstOperands,
     /*  512598 */     // GIR_Coverage, 62290,
     /*  512598 */     GIR_EraseRootFromParent_Done,
     /*  512599 */   // Label 8526: @512599
     /*  512599 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512667), // Rule ID 62291 //
     /*  512604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512636 */     // MIs[0] policy
     /*  512636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512665 */     GIR_RootConstrainSelectedInstOperands,
     /*  512666 */     // GIR_Coverage, 62291,
     /*  512666 */     GIR_EraseRootFromParent_Done,
     /*  512667 */   // Label 8527: @512667
     /*  512667 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(512735), // Rule ID 62292 //
     /*  512672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512704 */     // MIs[0] policy
     /*  512704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512714 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512733 */     GIR_RootConstrainSelectedInstOperands,
     /*  512734 */     // GIR_Coverage, 62292,
     /*  512734 */     GIR_EraseRootFromParent_Done,
     /*  512735 */   // Label 8528: @512735
     /*  512735 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(512803), // Rule ID 62293 //
     /*  512740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512772 */     // MIs[0] policy
     /*  512772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512801 */     GIR_RootConstrainSelectedInstOperands,
     /*  512802 */     // GIR_Coverage, 62293,
     /*  512802 */     GIR_EraseRootFromParent_Done,
     /*  512803 */   // Label 8529: @512803
     /*  512803 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(512871), // Rule ID 62294 //
     /*  512808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512840 */     // MIs[0] policy
     /*  512840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512869 */     GIR_RootConstrainSelectedInstOperands,
     /*  512870 */     // GIR_Coverage, 62294,
     /*  512870 */     GIR_EraseRootFromParent_Done,
     /*  512871 */   // Label 8530: @512871
     /*  512871 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(512939), // Rule ID 62295 //
     /*  512876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512908 */     // MIs[0] policy
     /*  512908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512937 */     GIR_RootConstrainSelectedInstOperands,
     /*  512938 */     // GIR_Coverage, 62295,
     /*  512938 */     GIR_EraseRootFromParent_Done,
     /*  512939 */   // Label 8531: @512939
     /*  512939 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(513007), // Rule ID 62296 //
     /*  512944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512976 */     // MIs[0] policy
     /*  512976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  512989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513005 */     GIR_RootConstrainSelectedInstOperands,
     /*  513006 */     // GIR_Coverage, 62296,
     /*  513006 */     GIR_EraseRootFromParent_Done,
     /*  513007 */   // Label 8532: @513007
     /*  513007 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(513075), // Rule ID 62297 //
     /*  513012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513044 */     // MIs[0] policy
     /*  513044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  513057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513073 */     GIR_RootConstrainSelectedInstOperands,
     /*  513074 */     // GIR_Coverage, 62297,
     /*  513074 */     GIR_EraseRootFromParent_Done,
     /*  513075 */   // Label 8533: @513075
     /*  513075 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(513143), // Rule ID 62298 //
     /*  513080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513112 */     // MIs[0] policy
     /*  513112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  513125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513141 */     GIR_RootConstrainSelectedInstOperands,
     /*  513142 */     // GIR_Coverage, 62298,
     /*  513142 */     GIR_EraseRootFromParent_Done,
     /*  513143 */   // Label 8534: @513143
     /*  513143 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(513211), // Rule ID 62299 //
     /*  513148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513180 */     // MIs[0] policy
     /*  513180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  513193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513209 */     GIR_RootConstrainSelectedInstOperands,
     /*  513210 */     // GIR_Coverage, 62299,
     /*  513210 */     GIR_EraseRootFromParent_Done,
     /*  513211 */   // Label 8535: @513211
     /*  513211 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513279), // Rule ID 62300 //
     /*  513216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513248 */     // MIs[0] policy
     /*  513248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  513261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513277 */     GIR_RootConstrainSelectedInstOperands,
     /*  513278 */     // GIR_Coverage, 62300,
     /*  513278 */     GIR_EraseRootFromParent_Done,
     /*  513279 */   // Label 8536: @513279
     /*  513279 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513347), // Rule ID 62301 //
     /*  513284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513316 */     // MIs[0] policy
     /*  513316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  513329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513345 */     GIR_RootConstrainSelectedInstOperands,
     /*  513346 */     // GIR_Coverage, 62301,
     /*  513346 */     GIR_EraseRootFromParent_Done,
     /*  513347 */   // Label 8537: @513347
     /*  513347 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513415), // Rule ID 62302 //
     /*  513352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513384 */     // MIs[0] policy
     /*  513384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  513397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513413 */     GIR_RootConstrainSelectedInstOperands,
     /*  513414 */     // GIR_Coverage, 62302,
     /*  513414 */     GIR_EraseRootFromParent_Done,
     /*  513415 */   // Label 8538: @513415
     /*  513415 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513483), // Rule ID 62303 //
     /*  513420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513452 */     // MIs[0] policy
     /*  513452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  513465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513481 */     GIR_RootConstrainSelectedInstOperands,
     /*  513482 */     // GIR_Coverage, 62303,
     /*  513482 */     GIR_EraseRootFromParent_Done,
     /*  513483 */   // Label 8539: @513483
     /*  513483 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513551), // Rule ID 62304 //
     /*  513488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513520 */     // MIs[0] policy
     /*  513520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513549 */     GIR_RootConstrainSelectedInstOperands,
     /*  513550 */     // GIR_Coverage, 62304,
     /*  513550 */     GIR_EraseRootFromParent_Done,
     /*  513551 */   // Label 8540: @513551
     /*  513551 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513619), // Rule ID 62305 //
     /*  513556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513588 */     // MIs[0] policy
     /*  513588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513617 */     GIR_RootConstrainSelectedInstOperands,
     /*  513618 */     // GIR_Coverage, 62305,
     /*  513618 */     GIR_EraseRootFromParent_Done,
     /*  513619 */   // Label 8541: @513619
     /*  513619 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(513690), // Rule ID 2596 //
     /*  513624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513656 */     // MIs[0] round
     /*  513656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513666 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513675 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513688 */     GIR_RootConstrainSelectedInstOperands,
     /*  513689 */     // GIR_Coverage, 2596,
     /*  513689 */     GIR_EraseRootFromParent_Done,
     /*  513690 */   // Label 8542: @513690
     /*  513690 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(513761), // Rule ID 2597 //
     /*  513695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513727 */     // MIs[0] round
     /*  513727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513737 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513746 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513759 */     GIR_RootConstrainSelectedInstOperands,
     /*  513760 */     // GIR_Coverage, 2597,
     /*  513760 */     GIR_EraseRootFromParent_Done,
     /*  513761 */   // Label 8543: @513761
     /*  513761 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(513832), // Rule ID 2632 //
     /*  513766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  513769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513798 */     // MIs[0] round
     /*  513798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513808 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513817 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513830 */     GIR_RootConstrainSelectedInstOperands,
     /*  513831 */     // GIR_Coverage, 2632,
     /*  513831 */     GIR_EraseRootFromParent_Done,
     /*  513832 */   // Label 8544: @513832
     /*  513832 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(513903), // Rule ID 2633 //
     /*  513837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  513840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513869 */     // MIs[0] round
     /*  513869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513888 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513901 */     GIR_RootConstrainSelectedInstOperands,
     /*  513902 */     // GIR_Coverage, 2633,
     /*  513902 */     GIR_EraseRootFromParent_Done,
     /*  513903 */   // Label 8545: @513903
     /*  513903 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(513974), // Rule ID 18882 //
     /*  513908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513940 */     // MIs[0] round
     /*  513940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513950 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  513953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513959 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513972 */     GIR_RootConstrainSelectedInstOperands,
     /*  513973 */     // GIR_Coverage, 18882,
     /*  513973 */     GIR_EraseRootFromParent_Done,
     /*  513974 */   // Label 8546: @513974
     /*  513974 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(514045), // Rule ID 18883 //
     /*  513979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514011 */     // MIs[0] round
     /*  514011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514021 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  514024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514030 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514043 */     GIR_RootConstrainSelectedInstOperands,
     /*  514044 */     // GIR_Coverage, 18883,
     /*  514044 */     GIR_EraseRootFromParent_Done,
     /*  514045 */   // Label 8547: @514045
     /*  514045 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(514116), // Rule ID 18886 //
     /*  514050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514082 */     // MIs[0] round
     /*  514082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  514095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514101 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514114 */     GIR_RootConstrainSelectedInstOperands,
     /*  514115 */     // GIR_Coverage, 18886,
     /*  514115 */     GIR_EraseRootFromParent_Done,
     /*  514116 */   // Label 8548: @514116
     /*  514116 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(514187), // Rule ID 18887 //
     /*  514121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514153 */     // MIs[0] round
     /*  514153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514163 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  514166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514172 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514185 */     GIR_RootConstrainSelectedInstOperands,
     /*  514186 */     // GIR_Coverage, 18887,
     /*  514186 */     GIR_EraseRootFromParent_Done,
     /*  514187 */   // Label 8549: @514187
     /*  514187 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(514258), // Rule ID 18890 //
     /*  514192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514224 */     // MIs[0] round
     /*  514224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  514237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514243 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514256 */     GIR_RootConstrainSelectedInstOperands,
     /*  514257 */     // GIR_Coverage, 18890,
     /*  514257 */     GIR_EraseRootFromParent_Done,
     /*  514258 */   // Label 8550: @514258
     /*  514258 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514329), // Rule ID 18891 //
     /*  514263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514295 */     // MIs[0] round
     /*  514295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514305 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  514308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514314 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514327 */     GIR_RootConstrainSelectedInstOperands,
     /*  514328 */     // GIR_Coverage, 18891,
     /*  514328 */     GIR_EraseRootFromParent_Done,
     /*  514329 */   // Label 8551: @514329
     /*  514329 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514400), // Rule ID 18894 //
     /*  514334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514366 */     // MIs[0] round
     /*  514366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  514379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514385 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514398 */     GIR_RootConstrainSelectedInstOperands,
     /*  514399 */     // GIR_Coverage, 18894,
     /*  514399 */     GIR_EraseRootFromParent_Done,
     /*  514400 */   // Label 8552: @514400
     /*  514400 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514471), // Rule ID 18895 //
     /*  514405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514437 */     // MIs[0] round
     /*  514437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514447 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  514450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514456 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514469 */     GIR_RootConstrainSelectedInstOperands,
     /*  514470 */     // GIR_Coverage, 18895,
     /*  514470 */     GIR_EraseRootFromParent_Done,
     /*  514471 */   // Label 8553: @514471
     /*  514471 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514542), // Rule ID 18898 //
     /*  514476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  514479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514508 */     // MIs[0] round
     /*  514508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514518 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  514518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514527 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514540 */     GIR_RootConstrainSelectedInstOperands,
     /*  514541 */     // GIR_Coverage, 18898,
     /*  514541 */     GIR_EraseRootFromParent_Done,
     /*  514542 */   // Label 8554: @514542
     /*  514542 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514613), // Rule ID 18899 //
     /*  514547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  514550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514579 */     // MIs[0] round
     /*  514579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514589 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  514589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514598 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514611 */     GIR_RootConstrainSelectedInstOperands,
     /*  514612 */     // GIR_Coverage, 18899,
     /*  514612 */     GIR_EraseRootFromParent_Done,
     /*  514613 */   // Label 8555: @514613
     /*  514613 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(514684), // Rule ID 18902 //
     /*  514618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514650 */     // MIs[0] round
     /*  514650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514660 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514669 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514682 */     GIR_RootConstrainSelectedInstOperands,
     /*  514683 */     // GIR_Coverage, 18902,
     /*  514683 */     GIR_EraseRootFromParent_Done,
     /*  514684 */   // Label 8556: @514684
     /*  514684 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(514755), // Rule ID 18903 //
     /*  514689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514721 */     // MIs[0] round
     /*  514721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514731 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514740 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514753 */     GIR_RootConstrainSelectedInstOperands,
     /*  514754 */     // GIR_Coverage, 18903,
     /*  514754 */     GIR_EraseRootFromParent_Done,
     /*  514755 */   // Label 8557: @514755
     /*  514755 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(514826), // Rule ID 18906 //
     /*  514760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514792 */     // MIs[0] round
     /*  514792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514802 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514811 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514824 */     GIR_RootConstrainSelectedInstOperands,
     /*  514825 */     // GIR_Coverage, 18906,
     /*  514825 */     GIR_EraseRootFromParent_Done,
     /*  514826 */   // Label 8558: @514826
     /*  514826 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(514897), // Rule ID 18907 //
     /*  514831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514863 */     // MIs[0] round
     /*  514863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514873 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514882 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514895 */     GIR_RootConstrainSelectedInstOperands,
     /*  514896 */     // GIR_Coverage, 18907,
     /*  514896 */     GIR_EraseRootFromParent_Done,
     /*  514897 */   // Label 8559: @514897
     /*  514897 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(514968), // Rule ID 18910 //
     /*  514902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514934 */     // MIs[0] round
     /*  514934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514944 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  514947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514953 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514966 */     GIR_RootConstrainSelectedInstOperands,
     /*  514967 */     // GIR_Coverage, 18910,
     /*  514967 */     GIR_EraseRootFromParent_Done,
     /*  514968 */   // Label 8560: @514968
     /*  514968 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(515039), // Rule ID 18911 //
     /*  514973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515005 */     // MIs[0] round
     /*  515005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515015 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  515018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515024 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515037 */     GIR_RootConstrainSelectedInstOperands,
     /*  515038 */     // GIR_Coverage, 18911,
     /*  515038 */     GIR_EraseRootFromParent_Done,
     /*  515039 */   // Label 8561: @515039
     /*  515039 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(515110), // Rule ID 18914 //
     /*  515044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515076 */     // MIs[0] round
     /*  515076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515086 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  515089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515095 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515108 */     GIR_RootConstrainSelectedInstOperands,
     /*  515109 */     // GIR_Coverage, 18914,
     /*  515109 */     GIR_EraseRootFromParent_Done,
     /*  515110 */   // Label 8562: @515110
     /*  515110 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(515181), // Rule ID 18915 //
     /*  515115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515147 */     // MIs[0] round
     /*  515147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515157 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  515160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515166 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515179 */     GIR_RootConstrainSelectedInstOperands,
     /*  515180 */     // GIR_Coverage, 18915,
     /*  515180 */     GIR_EraseRootFromParent_Done,
     /*  515181 */   // Label 8563: @515181
     /*  515181 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(515252), // Rule ID 18918 //
     /*  515186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515218 */     // MIs[0] round
     /*  515218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  515231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515237 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515250 */     GIR_RootConstrainSelectedInstOperands,
     /*  515251 */     // GIR_Coverage, 18918,
     /*  515251 */     GIR_EraseRootFromParent_Done,
     /*  515252 */   // Label 8564: @515252
     /*  515252 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(515323), // Rule ID 18919 //
     /*  515257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515289 */     // MIs[0] round
     /*  515289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515299 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  515302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515308 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515321 */     GIR_RootConstrainSelectedInstOperands,
     /*  515322 */     // GIR_Coverage, 18919,
     /*  515322 */     GIR_EraseRootFromParent_Done,
     /*  515323 */   // Label 8565: @515323
     /*  515323 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515394), // Rule ID 18922 //
     /*  515328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515360 */     // MIs[0] round
     /*  515360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515370 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  515373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515379 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515392 */     GIR_RootConstrainSelectedInstOperands,
     /*  515393 */     // GIR_Coverage, 18922,
     /*  515393 */     GIR_EraseRootFromParent_Done,
     /*  515394 */   // Label 8566: @515394
     /*  515394 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515465), // Rule ID 18923 //
     /*  515399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515431 */     // MIs[0] round
     /*  515431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515441 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  515444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515450 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515463 */     GIR_RootConstrainSelectedInstOperands,
     /*  515464 */     // GIR_Coverage, 18923,
     /*  515464 */     GIR_EraseRootFromParent_Done,
     /*  515465 */   // Label 8567: @515465
     /*  515465 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515536), // Rule ID 18926 //
     /*  515470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515502 */     // MIs[0] round
     /*  515502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515512 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515521 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515534 */     GIR_RootConstrainSelectedInstOperands,
     /*  515535 */     // GIR_Coverage, 18926,
     /*  515535 */     GIR_EraseRootFromParent_Done,
     /*  515536 */   // Label 8568: @515536
     /*  515536 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515607), // Rule ID 18927 //
     /*  515541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515573 */     // MIs[0] round
     /*  515573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515583 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515592 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515605 */     GIR_RootConstrainSelectedInstOperands,
     /*  515606 */     // GIR_Coverage, 18927,
     /*  515606 */     GIR_EraseRootFromParent_Done,
     /*  515607 */   // Label 8569: @515607
     /*  515607 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(515678), // Rule ID 18930 //
     /*  515612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515644 */     // MIs[0] round
     /*  515644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515654 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515663 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515676 */     GIR_RootConstrainSelectedInstOperands,
     /*  515677 */     // GIR_Coverage, 18930,
     /*  515677 */     GIR_EraseRootFromParent_Done,
     /*  515678 */   // Label 8570: @515678
     /*  515678 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(515749), // Rule ID 18931 //
     /*  515683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515715 */     // MIs[0] round
     /*  515715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515725 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515734 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515747 */     GIR_RootConstrainSelectedInstOperands,
     /*  515748 */     // GIR_Coverage, 18931,
     /*  515748 */     GIR_EraseRootFromParent_Done,
     /*  515749 */   // Label 8571: @515749
     /*  515749 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(515820), // Rule ID 18934 //
     /*  515754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515786 */     // MIs[0] round
     /*  515786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515796 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515805 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515818 */     GIR_RootConstrainSelectedInstOperands,
     /*  515819 */     // GIR_Coverage, 18934,
     /*  515819 */     GIR_EraseRootFromParent_Done,
     /*  515820 */   // Label 8572: @515820
     /*  515820 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(515891), // Rule ID 18935 //
     /*  515825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515857 */     // MIs[0] round
     /*  515857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515867 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515876 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515889 */     GIR_RootConstrainSelectedInstOperands,
     /*  515890 */     // GIR_Coverage, 18935,
     /*  515890 */     GIR_EraseRootFromParent_Done,
     /*  515891 */   // Label 8573: @515891
     /*  515891 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(515962), // Rule ID 18994 //
     /*  515896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515928 */     // MIs[0] round
     /*  515928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515938 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  515941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515947 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515960 */     GIR_RootConstrainSelectedInstOperands,
     /*  515961 */     // GIR_Coverage, 18994,
     /*  515961 */     GIR_EraseRootFromParent_Done,
     /*  515962 */   // Label 8574: @515962
     /*  515962 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(516033), // Rule ID 18995 //
     /*  515967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515999 */     // MIs[0] round
     /*  515999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516009 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  516012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516018 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516031 */     GIR_RootConstrainSelectedInstOperands,
     /*  516032 */     // GIR_Coverage, 18995,
     /*  516032 */     GIR_EraseRootFromParent_Done,
     /*  516033 */   // Label 8575: @516033
     /*  516033 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(516104), // Rule ID 18998 //
     /*  516038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516070 */     // MIs[0] round
     /*  516070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516080 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  516083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516089 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516102 */     GIR_RootConstrainSelectedInstOperands,
     /*  516103 */     // GIR_Coverage, 18998,
     /*  516103 */     GIR_EraseRootFromParent_Done,
     /*  516104 */   // Label 8576: @516104
     /*  516104 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(516175), // Rule ID 18999 //
     /*  516109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516141 */     // MIs[0] round
     /*  516141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516151 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  516154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516160 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516173 */     GIR_RootConstrainSelectedInstOperands,
     /*  516174 */     // GIR_Coverage, 18999,
     /*  516174 */     GIR_EraseRootFromParent_Done,
     /*  516175 */   // Label 8577: @516175
     /*  516175 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(516246), // Rule ID 19002 //
     /*  516180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516212 */     // MIs[0] round
     /*  516212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516222 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  516225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516231 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516244 */     GIR_RootConstrainSelectedInstOperands,
     /*  516245 */     // GIR_Coverage, 19002,
     /*  516245 */     GIR_EraseRootFromParent_Done,
     /*  516246 */   // Label 8578: @516246
     /*  516246 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(516317), // Rule ID 19003 //
     /*  516251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516283 */     // MIs[0] round
     /*  516283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516293 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  516296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516302 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516315 */     GIR_RootConstrainSelectedInstOperands,
     /*  516316 */     // GIR_Coverage, 19003,
     /*  516316 */     GIR_EraseRootFromParent_Done,
     /*  516317 */   // Label 8579: @516317
     /*  516317 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516388), // Rule ID 19006 //
     /*  516322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516354 */     // MIs[0] round
     /*  516354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  516367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516373 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516386 */     GIR_RootConstrainSelectedInstOperands,
     /*  516387 */     // GIR_Coverage, 19006,
     /*  516387 */     GIR_EraseRootFromParent_Done,
     /*  516388 */   // Label 8580: @516388
     /*  516388 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516459), // Rule ID 19007 //
     /*  516393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516425 */     // MIs[0] round
     /*  516425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516435 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  516438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516444 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516457 */     GIR_RootConstrainSelectedInstOperands,
     /*  516458 */     // GIR_Coverage, 19007,
     /*  516458 */     GIR_EraseRootFromParent_Done,
     /*  516459 */   // Label 8581: @516459
     /*  516459 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516530), // Rule ID 19010 //
     /*  516464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516496 */     // MIs[0] round
     /*  516496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516506 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516515 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516528 */     GIR_RootConstrainSelectedInstOperands,
     /*  516529 */     // GIR_Coverage, 19010,
     /*  516529 */     GIR_EraseRootFromParent_Done,
     /*  516530 */   // Label 8582: @516530
     /*  516530 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516601), // Rule ID 19011 //
     /*  516535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516567 */     // MIs[0] round
     /*  516567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516586 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516599 */     GIR_RootConstrainSelectedInstOperands,
     /*  516600 */     // GIR_Coverage, 19011,
     /*  516600 */     GIR_EraseRootFromParent_Done,
     /*  516601 */   // Label 8583: @516601
     /*  516601 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(516672), // Rule ID 19014 //
     /*  516606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516638 */     // MIs[0] round
     /*  516638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516657 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516670 */     GIR_RootConstrainSelectedInstOperands,
     /*  516671 */     // GIR_Coverage, 19014,
     /*  516671 */     GIR_EraseRootFromParent_Done,
     /*  516672 */   // Label 8584: @516672
     /*  516672 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(516743), // Rule ID 19015 //
     /*  516677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516709 */     // MIs[0] round
     /*  516709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516719 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516728 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516741 */     GIR_RootConstrainSelectedInstOperands,
     /*  516742 */     // GIR_Coverage, 19015,
     /*  516742 */     GIR_EraseRootFromParent_Done,
     /*  516743 */   // Label 8585: @516743
     /*  516743 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(516814), // Rule ID 19018 //
     /*  516748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516780 */     // MIs[0] round
     /*  516780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516790 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516799 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516812 */     GIR_RootConstrainSelectedInstOperands,
     /*  516813 */     // GIR_Coverage, 19018,
     /*  516813 */     GIR_EraseRootFromParent_Done,
     /*  516814 */   // Label 8586: @516814
     /*  516814 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(516885), // Rule ID 19019 //
     /*  516819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516851 */     // MIs[0] round
     /*  516851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516861 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516870 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516883 */     GIR_RootConstrainSelectedInstOperands,
     /*  516884 */     // GIR_Coverage, 19019,
     /*  516884 */     GIR_EraseRootFromParent_Done,
     /*  516885 */   // Label 8587: @516885
     /*  516885 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516956), // Rule ID 19022 //
     /*  516890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516922 */     // MIs[0] round
     /*  516922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516932 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  516935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516941 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516954 */     GIR_RootConstrainSelectedInstOperands,
     /*  516955 */     // GIR_Coverage, 19022,
     /*  516955 */     GIR_EraseRootFromParent_Done,
     /*  516956 */   // Label 8588: @516956
     /*  516956 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(517027), // Rule ID 19023 //
     /*  516961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516993 */     // MIs[0] round
     /*  516993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517003 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  517006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517012 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517025 */     GIR_RootConstrainSelectedInstOperands,
     /*  517026 */     // GIR_Coverage, 19023,
     /*  517026 */     GIR_EraseRootFromParent_Done,
     /*  517027 */   // Label 8589: @517027
     /*  517027 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(517098), // Rule ID 19026 //
     /*  517032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  517035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517064 */     // MIs[0] round
     /*  517064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517074 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  517077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517083 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517096 */     GIR_RootConstrainSelectedInstOperands,
     /*  517097 */     // GIR_Coverage, 19026,
     /*  517097 */     GIR_EraseRootFromParent_Done,
     /*  517098 */   // Label 8590: @517098
     /*  517098 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(517169), // Rule ID 19027 //
     /*  517103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  517106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517135 */     // MIs[0] round
     /*  517135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517145 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  517148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517154 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517167 */     GIR_RootConstrainSelectedInstOperands,
     /*  517168 */     // GIR_Coverage, 19027,
     /*  517168 */     GIR_EraseRootFromParent_Done,
     /*  517169 */   // Label 8591: @517169
     /*  517169 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(517240), // Rule ID 19030 //
     /*  517174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517206 */     // MIs[0] round
     /*  517206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  517219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517225 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517238 */     GIR_RootConstrainSelectedInstOperands,
     /*  517239 */     // GIR_Coverage, 19030,
     /*  517239 */     GIR_EraseRootFromParent_Done,
     /*  517240 */   // Label 8592: @517240
     /*  517240 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(517311), // Rule ID 19031 //
     /*  517245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517277 */     // MIs[0] round
     /*  517277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517287 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  517290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517296 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517309 */     GIR_RootConstrainSelectedInstOperands,
     /*  517310 */     // GIR_Coverage, 19031,
     /*  517310 */     GIR_EraseRootFromParent_Done,
     /*  517311 */   // Label 8593: @517311
     /*  517311 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(517382), // Rule ID 19034 //
     /*  517316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517348 */     // MIs[0] round
     /*  517348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517358 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  517361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517367 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517380 */     GIR_RootConstrainSelectedInstOperands,
     /*  517381 */     // GIR_Coverage, 19034,
     /*  517381 */     GIR_EraseRootFromParent_Done,
     /*  517382 */   // Label 8594: @517382
     /*  517382 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517453), // Rule ID 19035 //
     /*  517387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517419 */     // MIs[0] round
     /*  517419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517429 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  517432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517438 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517451 */     GIR_RootConstrainSelectedInstOperands,
     /*  517452 */     // GIR_Coverage, 19035,
     /*  517452 */     GIR_EraseRootFromParent_Done,
     /*  517453 */   // Label 8595: @517453
     /*  517453 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517524), // Rule ID 19038 //
     /*  517458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517490 */     // MIs[0] round
     /*  517490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517500 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517509 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517522 */     GIR_RootConstrainSelectedInstOperands,
     /*  517523 */     // GIR_Coverage, 19038,
     /*  517523 */     GIR_EraseRootFromParent_Done,
     /*  517524 */   // Label 8596: @517524
     /*  517524 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517595), // Rule ID 19039 //
     /*  517529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517561 */     // MIs[0] round
     /*  517561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517571 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517580 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517593 */     GIR_RootConstrainSelectedInstOperands,
     /*  517594 */     // GIR_Coverage, 19039,
     /*  517594 */     GIR_EraseRootFromParent_Done,
     /*  517595 */   // Label 8597: @517595
     /*  517595 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(517666), // Rule ID 19042 //
     /*  517600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517632 */     // MIs[0] round
     /*  517632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517642 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517651 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517664 */     GIR_RootConstrainSelectedInstOperands,
     /*  517665 */     // GIR_Coverage, 19042,
     /*  517665 */     GIR_EraseRootFromParent_Done,
     /*  517666 */   // Label 8598: @517666
     /*  517666 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(517737), // Rule ID 19043 //
     /*  517671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517703 */     // MIs[0] round
     /*  517703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517713 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517722 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517735 */     GIR_RootConstrainSelectedInstOperands,
     /*  517736 */     // GIR_Coverage, 19043,
     /*  517736 */     GIR_EraseRootFromParent_Done,
     /*  517737 */   // Label 8599: @517737
     /*  517737 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(517808), // Rule ID 19046 //
     /*  517742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517774 */     // MIs[0] round
     /*  517774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517784 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517793 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517806 */     GIR_RootConstrainSelectedInstOperands,
     /*  517807 */     // GIR_Coverage, 19046,
     /*  517807 */     GIR_EraseRootFromParent_Done,
     /*  517808 */   // Label 8600: @517808
     /*  517808 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(517879), // Rule ID 19047 //
     /*  517813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517845 */     // MIs[0] round
     /*  517845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517855 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517864 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517877 */     GIR_RootConstrainSelectedInstOperands,
     /*  517878 */     // GIR_Coverage, 19047,
     /*  517878 */     GIR_EraseRootFromParent_Done,
     /*  517879 */   // Label 8601: @517879
     /*  517879 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517950), // Rule ID 19050 //
     /*  517884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517916 */     // MIs[0] round
     /*  517916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517926 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  517929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517935 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517948 */     GIR_RootConstrainSelectedInstOperands,
     /*  517949 */     // GIR_Coverage, 19050,
     /*  517949 */     GIR_EraseRootFromParent_Done,
     /*  517950 */   // Label 8602: @517950
     /*  517950 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(518021), // Rule ID 19051 //
     /*  517955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517987 */     // MIs[0] round
     /*  517987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517997 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  518000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518006 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518019 */     GIR_RootConstrainSelectedInstOperands,
     /*  518020 */     // GIR_Coverage, 19051,
     /*  518020 */     GIR_EraseRootFromParent_Done,
     /*  518021 */   // Label 8603: @518021
     /*  518021 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(518092), // Rule ID 20636 //
     /*  518026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518058 */     // MIs[0] round
     /*  518058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518077 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518090 */     GIR_RootConstrainSelectedInstOperands,
     /*  518091 */     // GIR_Coverage, 20636,
     /*  518091 */     GIR_EraseRootFromParent_Done,
     /*  518092 */   // Label 8604: @518092
     /*  518092 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(518163), // Rule ID 20637 //
     /*  518097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518129 */     // MIs[0] round
     /*  518129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518148 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518161 */     GIR_RootConstrainSelectedInstOperands,
     /*  518162 */     // GIR_Coverage, 20637,
     /*  518162 */     GIR_EraseRootFromParent_Done,
     /*  518163 */   // Label 8605: @518163
     /*  518163 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(518234), // Rule ID 20640 //
     /*  518168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518200 */     // MIs[0] round
     /*  518200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518219 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518232 */     GIR_RootConstrainSelectedInstOperands,
     /*  518233 */     // GIR_Coverage, 20640,
     /*  518233 */     GIR_EraseRootFromParent_Done,
     /*  518234 */   // Label 8606: @518234
     /*  518234 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(518305), // Rule ID 20641 //
     /*  518239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518271 */     // MIs[0] round
     /*  518271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518290 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518303 */     GIR_RootConstrainSelectedInstOperands,
     /*  518304 */     // GIR_Coverage, 20641,
     /*  518304 */     GIR_EraseRootFromParent_Done,
     /*  518305 */   // Label 8607: @518305
     /*  518305 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(518376), // Rule ID 20644 //
     /*  518310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518342 */     // MIs[0] round
     /*  518342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518361 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518374 */     GIR_RootConstrainSelectedInstOperands,
     /*  518375 */     // GIR_Coverage, 20644,
     /*  518375 */     GIR_EraseRootFromParent_Done,
     /*  518376 */   // Label 8608: @518376
     /*  518376 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(518447), // Rule ID 20645 //
     /*  518381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518413 */     // MIs[0] round
     /*  518413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518432 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518445 */     GIR_RootConstrainSelectedInstOperands,
     /*  518446 */     // GIR_Coverage, 20645,
     /*  518446 */     GIR_EraseRootFromParent_Done,
     /*  518447 */   // Label 8609: @518447
     /*  518447 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518518), // Rule ID 20648 //
     /*  518452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518484 */     // MIs[0] round
     /*  518484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518503 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518516 */     GIR_RootConstrainSelectedInstOperands,
     /*  518517 */     // GIR_Coverage, 20648,
     /*  518517 */     GIR_EraseRootFromParent_Done,
     /*  518518 */   // Label 8610: @518518
     /*  518518 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518589), // Rule ID 20649 //
     /*  518523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518555 */     // MIs[0] round
     /*  518555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518574 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518587 */     GIR_RootConstrainSelectedInstOperands,
     /*  518588 */     // GIR_Coverage, 20649,
     /*  518588 */     GIR_EraseRootFromParent_Done,
     /*  518589 */   // Label 8611: @518589
     /*  518589 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(518660), // Rule ID 20652 //
     /*  518594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  518597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518626 */     // MIs[0] round
     /*  518626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518645 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518658 */     GIR_RootConstrainSelectedInstOperands,
     /*  518659 */     // GIR_Coverage, 20652,
     /*  518659 */     GIR_EraseRootFromParent_Done,
     /*  518660 */   // Label 8612: @518660
     /*  518660 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(518731), // Rule ID 20653 //
     /*  518665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518697 */     // MIs[0] round
     /*  518697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518716 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518729 */     GIR_RootConstrainSelectedInstOperands,
     /*  518730 */     // GIR_Coverage, 20653,
     /*  518730 */     GIR_EraseRootFromParent_Done,
     /*  518731 */   // Label 8613: @518731
     /*  518731 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(518802), // Rule ID 20656 //
     /*  518736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518768 */     // MIs[0] round
     /*  518768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518787 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518800 */     GIR_RootConstrainSelectedInstOperands,
     /*  518801 */     // GIR_Coverage, 20656,
     /*  518801 */     GIR_EraseRootFromParent_Done,
     /*  518802 */   // Label 8614: @518802
     /*  518802 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(518873), // Rule ID 20657 //
     /*  518807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518839 */     // MIs[0] round
     /*  518839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518849 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518858 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518871 */     GIR_RootConstrainSelectedInstOperands,
     /*  518872 */     // GIR_Coverage, 20657,
     /*  518872 */     GIR_EraseRootFromParent_Done,
     /*  518873 */   // Label 8615: @518873
     /*  518873 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518944), // Rule ID 20660 //
     /*  518878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518910 */     // MIs[0] round
     /*  518910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518929 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518942 */     GIR_RootConstrainSelectedInstOperands,
     /*  518943 */     // GIR_Coverage, 20660,
     /*  518943 */     GIR_EraseRootFromParent_Done,
     /*  518944 */   // Label 8616: @518944
     /*  518944 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(519015), // Rule ID 20661 //
     /*  518949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518981 */     // MIs[0] round
     /*  518981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518991 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519000 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519013 */     GIR_RootConstrainSelectedInstOperands,
     /*  519014 */     // GIR_Coverage, 20661,
     /*  519014 */     GIR_EraseRootFromParent_Done,
     /*  519015 */   // Label 8617: @519015
     /*  519015 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(519086), // Rule ID 20664 //
     /*  519020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519052 */     // MIs[0] round
     /*  519052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519071 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519084 */     GIR_RootConstrainSelectedInstOperands,
     /*  519085 */     // GIR_Coverage, 20664,
     /*  519085 */     GIR_EraseRootFromParent_Done,
     /*  519086 */   // Label 8618: @519086
     /*  519086 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(519157), // Rule ID 20665 //
     /*  519091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519123 */     // MIs[0] round
     /*  519123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519133 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519142 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519155 */     GIR_RootConstrainSelectedInstOperands,
     /*  519156 */     // GIR_Coverage, 20665,
     /*  519156 */     GIR_EraseRootFromParent_Done,
     /*  519157 */   // Label 8619: @519157
     /*  519157 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(519228), // Rule ID 20668 //
     /*  519162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519194 */     // MIs[0] round
     /*  519194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519213 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519226 */     GIR_RootConstrainSelectedInstOperands,
     /*  519227 */     // GIR_Coverage, 20668,
     /*  519227 */     GIR_EraseRootFromParent_Done,
     /*  519228 */   // Label 8620: @519228
     /*  519228 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(519299), // Rule ID 20669 //
     /*  519233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519265 */     // MIs[0] round
     /*  519265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519284 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519297 */     GIR_RootConstrainSelectedInstOperands,
     /*  519298 */     // GIR_Coverage, 20669,
     /*  519298 */     GIR_EraseRootFromParent_Done,
     /*  519299 */   // Label 8621: @519299
     /*  519299 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(519370), // Rule ID 20672 //
     /*  519304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519336 */     // MIs[0] round
     /*  519336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519355 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519368 */     GIR_RootConstrainSelectedInstOperands,
     /*  519369 */     // GIR_Coverage, 20672,
     /*  519369 */     GIR_EraseRootFromParent_Done,
     /*  519370 */   // Label 8622: @519370
     /*  519370 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(519441), // Rule ID 20673 //
     /*  519375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519407 */     // MIs[0] round
     /*  519407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519426 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519439 */     GIR_RootConstrainSelectedInstOperands,
     /*  519440 */     // GIR_Coverage, 20673,
     /*  519440 */     GIR_EraseRootFromParent_Done,
     /*  519441 */   // Label 8623: @519441
     /*  519441 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519512), // Rule ID 20676 //
     /*  519446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519478 */     // MIs[0] round
     /*  519478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519497 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519510 */     GIR_RootConstrainSelectedInstOperands,
     /*  519511 */     // GIR_Coverage, 20676,
     /*  519511 */     GIR_EraseRootFromParent_Done,
     /*  519512 */   // Label 8624: @519512
     /*  519512 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519583), // Rule ID 20677 //
     /*  519517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519549 */     // MIs[0] round
     /*  519549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519568 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519581 */     GIR_RootConstrainSelectedInstOperands,
     /*  519582 */     // GIR_Coverage, 20677,
     /*  519582 */     GIR_EraseRootFromParent_Done,
     /*  519583 */   // Label 8625: @519583
     /*  519583 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(519654), // Rule ID 20680 //
     /*  519588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519620 */     // MIs[0] round
     /*  519620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519630 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519639 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519652 */     GIR_RootConstrainSelectedInstOperands,
     /*  519653 */     // GIR_Coverage, 20680,
     /*  519653 */     GIR_EraseRootFromParent_Done,
     /*  519654 */   // Label 8626: @519654
     /*  519654 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(519725), // Rule ID 20681 //
     /*  519659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519691 */     // MIs[0] round
     /*  519691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519710 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519723 */     GIR_RootConstrainSelectedInstOperands,
     /*  519724 */     // GIR_Coverage, 20681,
     /*  519724 */     GIR_EraseRootFromParent_Done,
     /*  519725 */   // Label 8627: @519725
     /*  519725 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(519796), // Rule ID 20684 //
     /*  519730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519762 */     // MIs[0] round
     /*  519762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519781 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519794 */     GIR_RootConstrainSelectedInstOperands,
     /*  519795 */     // GIR_Coverage, 20684,
     /*  519795 */     GIR_EraseRootFromParent_Done,
     /*  519796 */   // Label 8628: @519796
     /*  519796 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(519867), // Rule ID 20685 //
     /*  519801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519833 */     // MIs[0] round
     /*  519833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519852 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519865 */     GIR_RootConstrainSelectedInstOperands,
     /*  519866 */     // GIR_Coverage, 20685,
     /*  519866 */     GIR_EraseRootFromParent_Done,
     /*  519867 */   // Label 8629: @519867
     /*  519867 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(519938), // Rule ID 20688 //
     /*  519872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519904 */     // MIs[0] round
     /*  519904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519923 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519936 */     GIR_RootConstrainSelectedInstOperands,
     /*  519937 */     // GIR_Coverage, 20688,
     /*  519937 */     GIR_EraseRootFromParent_Done,
     /*  519938 */   // Label 8630: @519938
     /*  519938 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(520009), // Rule ID 20689 //
     /*  519943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519975 */     // MIs[0] round
     /*  519975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519985 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519994 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520007 */     GIR_RootConstrainSelectedInstOperands,
     /*  520008 */     // GIR_Coverage, 20689,
     /*  520008 */     GIR_EraseRootFromParent_Done,
     /*  520009 */   // Label 8631: @520009
     /*  520009 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(520080), // Rule ID 20692 //
     /*  520014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520046 */     // MIs[0] round
     /*  520046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  520059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520065 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520078 */     GIR_RootConstrainSelectedInstOperands,
     /*  520079 */     // GIR_Coverage, 20692,
     /*  520079 */     GIR_EraseRootFromParent_Done,
     /*  520080 */   // Label 8632: @520080
     /*  520080 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(520151), // Rule ID 20693 //
     /*  520085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520117 */     // MIs[0] round
     /*  520117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  520130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520136 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520149 */     GIR_RootConstrainSelectedInstOperands,
     /*  520150 */     // GIR_Coverage, 20693,
     /*  520150 */     GIR_EraseRootFromParent_Done,
     /*  520151 */   // Label 8633: @520151
     /*  520151 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(520222), // Rule ID 20696 //
     /*  520156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520188 */     // MIs[0] round
     /*  520188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520198 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520207 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520220 */     GIR_RootConstrainSelectedInstOperands,
     /*  520221 */     // GIR_Coverage, 20696,
     /*  520221 */     GIR_EraseRootFromParent_Done,
     /*  520222 */   // Label 8634: @520222
     /*  520222 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(520293), // Rule ID 20697 //
     /*  520227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520259 */     // MIs[0] round
     /*  520259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520269 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520278 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520291 */     GIR_RootConstrainSelectedInstOperands,
     /*  520292 */     // GIR_Coverage, 20697,
     /*  520292 */     GIR_EraseRootFromParent_Done,
     /*  520293 */   // Label 8635: @520293
     /*  520293 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(520364), // Rule ID 20700 //
     /*  520298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520330 */     // MIs[0] round
     /*  520330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520349 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520362 */     GIR_RootConstrainSelectedInstOperands,
     /*  520363 */     // GIR_Coverage, 20700,
     /*  520363 */     GIR_EraseRootFromParent_Done,
     /*  520364 */   // Label 8636: @520364
     /*  520364 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(520435), // Rule ID 20701 //
     /*  520369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520401 */     // MIs[0] round
     /*  520401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520411 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520420 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520433 */     GIR_RootConstrainSelectedInstOperands,
     /*  520434 */     // GIR_Coverage, 20701,
     /*  520434 */     GIR_EraseRootFromParent_Done,
     /*  520435 */   // Label 8637: @520435
     /*  520435 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520506), // Rule ID 20704 //
     /*  520440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520472 */     // MIs[0] round
     /*  520472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520491 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520504 */     GIR_RootConstrainSelectedInstOperands,
     /*  520505 */     // GIR_Coverage, 20704,
     /*  520505 */     GIR_EraseRootFromParent_Done,
     /*  520506 */   // Label 8638: @520506
     /*  520506 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520577), // Rule ID 20705 //
     /*  520511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520543 */     // MIs[0] round
     /*  520543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520562 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520575 */     GIR_RootConstrainSelectedInstOperands,
     /*  520576 */     // GIR_Coverage, 20705,
     /*  520576 */     GIR_EraseRootFromParent_Done,
     /*  520577 */   // Label 8639: @520577
     /*  520577 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(520648), // Rule ID 20708 //
     /*  520582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520614 */     // MIs[0] round
     /*  520614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520633 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520646 */     GIR_RootConstrainSelectedInstOperands,
     /*  520647 */     // GIR_Coverage, 20708,
     /*  520647 */     GIR_EraseRootFromParent_Done,
     /*  520648 */   // Label 8640: @520648
     /*  520648 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(520719), // Rule ID 20709 //
     /*  520653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520685 */     // MIs[0] round
     /*  520685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520695 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520704 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520717 */     GIR_RootConstrainSelectedInstOperands,
     /*  520718 */     // GIR_Coverage, 20709,
     /*  520718 */     GIR_EraseRootFromParent_Done,
     /*  520719 */   // Label 8641: @520719
     /*  520719 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(520790), // Rule ID 20712 //
     /*  520724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520756 */     // MIs[0] round
     /*  520756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520775 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520788 */     GIR_RootConstrainSelectedInstOperands,
     /*  520789 */     // GIR_Coverage, 20712,
     /*  520789 */     GIR_EraseRootFromParent_Done,
     /*  520790 */   // Label 8642: @520790
     /*  520790 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(520861), // Rule ID 20713 //
     /*  520795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520827 */     // MIs[0] round
     /*  520827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520837 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520846 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520859 */     GIR_RootConstrainSelectedInstOperands,
     /*  520860 */     // GIR_Coverage, 20713,
     /*  520860 */     GIR_EraseRootFromParent_Done,
     /*  520861 */   // Label 8643: @520861
     /*  520861 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(520932), // Rule ID 20716 //
     /*  520866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520898 */     // MIs[0] round
     /*  520898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520917 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520930 */     GIR_RootConstrainSelectedInstOperands,
     /*  520931 */     // GIR_Coverage, 20716,
     /*  520931 */     GIR_EraseRootFromParent_Done,
     /*  520932 */   // Label 8644: @520932
     /*  520932 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(521003), // Rule ID 20717 //
     /*  520937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520969 */     // MIs[0] round
     /*  520969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520988 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521001 */     GIR_RootConstrainSelectedInstOperands,
     /*  521002 */     // GIR_Coverage, 20717,
     /*  521002 */     GIR_EraseRootFromParent_Done,
     /*  521003 */   // Label 8645: @521003
     /*  521003 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(521074), // Rule ID 20720 //
     /*  521008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521040 */     // MIs[0] round
     /*  521040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521050 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521059 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521072 */     GIR_RootConstrainSelectedInstOperands,
     /*  521073 */     // GIR_Coverage, 20720,
     /*  521073 */     GIR_EraseRootFromParent_Done,
     /*  521074 */   // Label 8646: @521074
     /*  521074 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(521145), // Rule ID 20721 //
     /*  521079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521111 */     // MIs[0] round
     /*  521111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521130 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521143 */     GIR_RootConstrainSelectedInstOperands,
     /*  521144 */     // GIR_Coverage, 20721,
     /*  521144 */     GIR_EraseRootFromParent_Done,
     /*  521145 */   // Label 8647: @521145
     /*  521145 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(521216), // Rule ID 20724 //
     /*  521150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521182 */     // MIs[0] round
     /*  521182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521201 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521214 */     GIR_RootConstrainSelectedInstOperands,
     /*  521215 */     // GIR_Coverage, 20724,
     /*  521215 */     GIR_EraseRootFromParent_Done,
     /*  521216 */   // Label 8648: @521216
     /*  521216 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(521287), // Rule ID 20725 //
     /*  521221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521253 */     // MIs[0] round
     /*  521253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521272 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521285 */     GIR_RootConstrainSelectedInstOperands,
     /*  521286 */     // GIR_Coverage, 20725,
     /*  521286 */     GIR_EraseRootFromParent_Done,
     /*  521287 */   // Label 8649: @521287
     /*  521287 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(521358), // Rule ID 20728 //
     /*  521292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521324 */     // MIs[0] round
     /*  521324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521343 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521356 */     GIR_RootConstrainSelectedInstOperands,
     /*  521357 */     // GIR_Coverage, 20728,
     /*  521357 */     GIR_EraseRootFromParent_Done,
     /*  521358 */   // Label 8650: @521358
     /*  521358 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(521429), // Rule ID 20729 //
     /*  521363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521395 */     // MIs[0] round
     /*  521395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521414 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521427 */     GIR_RootConstrainSelectedInstOperands,
     /*  521428 */     // GIR_Coverage, 20729,
     /*  521428 */     GIR_EraseRootFromParent_Done,
     /*  521429 */   // Label 8651: @521429
     /*  521429 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521500), // Rule ID 20732 //
     /*  521434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521466 */     // MIs[0] round
     /*  521466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521485 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521498 */     GIR_RootConstrainSelectedInstOperands,
     /*  521499 */     // GIR_Coverage, 20732,
     /*  521499 */     GIR_EraseRootFromParent_Done,
     /*  521500 */   // Label 8652: @521500
     /*  521500 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521571), // Rule ID 20733 //
     /*  521505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521537 */     // MIs[0] round
     /*  521537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521556 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521569 */     GIR_RootConstrainSelectedInstOperands,
     /*  521570 */     // GIR_Coverage, 20733,
     /*  521570 */     GIR_EraseRootFromParent_Done,
     /*  521571 */   // Label 8653: @521571
     /*  521571 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(521642), // Rule ID 20736 //
     /*  521576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521608 */     // MIs[0] round
     /*  521608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521627 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521640 */     GIR_RootConstrainSelectedInstOperands,
     /*  521641 */     // GIR_Coverage, 20736,
     /*  521641 */     GIR_EraseRootFromParent_Done,
     /*  521642 */   // Label 8654: @521642
     /*  521642 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(521713), // Rule ID 20737 //
     /*  521647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521679 */     // MIs[0] round
     /*  521679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521689 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521698 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521711 */     GIR_RootConstrainSelectedInstOperands,
     /*  521712 */     // GIR_Coverage, 20737,
     /*  521712 */     GIR_EraseRootFromParent_Done,
     /*  521713 */   // Label 8655: @521713
     /*  521713 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(521784), // Rule ID 20740 //
     /*  521718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521750 */     // MIs[0] round
     /*  521750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521769 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521782 */     GIR_RootConstrainSelectedInstOperands,
     /*  521783 */     // GIR_Coverage, 20740,
     /*  521783 */     GIR_EraseRootFromParent_Done,
     /*  521784 */   // Label 8656: @521784
     /*  521784 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(521855), // Rule ID 20741 //
     /*  521789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521821 */     // MIs[0] round
     /*  521821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521840 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521853 */     GIR_RootConstrainSelectedInstOperands,
     /*  521854 */     // GIR_Coverage, 20741,
     /*  521854 */     GIR_EraseRootFromParent_Done,
     /*  521855 */   // Label 8657: @521855
     /*  521855 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(521926), // Rule ID 20744 //
     /*  521860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521892 */     // MIs[0] round
     /*  521892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521911 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521924 */     GIR_RootConstrainSelectedInstOperands,
     /*  521925 */     // GIR_Coverage, 20744,
     /*  521925 */     GIR_EraseRootFromParent_Done,
     /*  521926 */   // Label 8658: @521926
     /*  521926 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521997), // Rule ID 20745 //
     /*  521931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521963 */     // MIs[0] round
     /*  521963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521973 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521982 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521995 */     GIR_RootConstrainSelectedInstOperands,
     /*  521996 */     // GIR_Coverage, 20745,
     /*  521996 */     GIR_EraseRootFromParent_Done,
     /*  521997 */   // Label 8659: @521997
     /*  521997 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(522068), // Rule ID 20748 //
     /*  522002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522034 */     // MIs[0] round
     /*  522034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522044 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522053 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522066 */     GIR_RootConstrainSelectedInstOperands,
     /*  522067 */     // GIR_Coverage, 20748,
     /*  522067 */     GIR_EraseRootFromParent_Done,
     /*  522068 */   // Label 8660: @522068
     /*  522068 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(522139), // Rule ID 20749 //
     /*  522073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522105 */     // MIs[0] round
     /*  522105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522124 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522137 */     GIR_RootConstrainSelectedInstOperands,
     /*  522138 */     // GIR_Coverage, 20749,
     /*  522138 */     GIR_EraseRootFromParent_Done,
     /*  522139 */   // Label 8661: @522139
     /*  522139 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(522210), // Rule ID 20872 //
     /*  522144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522176 */     // MIs[0] round
     /*  522176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522186 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  522189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522195 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522208 */     GIR_RootConstrainSelectedInstOperands,
     /*  522209 */     // GIR_Coverage, 20872,
     /*  522209 */     GIR_EraseRootFromParent_Done,
     /*  522210 */   // Label 8662: @522210
     /*  522210 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(522281), // Rule ID 20873 //
     /*  522215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522247 */     // MIs[0] round
     /*  522247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522257 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  522260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522266 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522279 */     GIR_RootConstrainSelectedInstOperands,
     /*  522280 */     // GIR_Coverage, 20873,
     /*  522280 */     GIR_EraseRootFromParent_Done,
     /*  522281 */   // Label 8663: @522281
     /*  522281 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(522352), // Rule ID 20876 //
     /*  522286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522318 */     // MIs[0] round
     /*  522318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  522331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522337 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522350 */     GIR_RootConstrainSelectedInstOperands,
     /*  522351 */     // GIR_Coverage, 20876,
     /*  522351 */     GIR_EraseRootFromParent_Done,
     /*  522352 */   // Label 8664: @522352
     /*  522352 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(522423), // Rule ID 20877 //
     /*  522357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522389 */     // MIs[0] round
     /*  522389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522399 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  522402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522408 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522421 */     GIR_RootConstrainSelectedInstOperands,
     /*  522422 */     // GIR_Coverage, 20877,
     /*  522422 */     GIR_EraseRootFromParent_Done,
     /*  522423 */   // Label 8665: @522423
     /*  522423 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522494), // Rule ID 20880 //
     /*  522428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522460 */     // MIs[0] round
     /*  522460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522470 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522479 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522492 */     GIR_RootConstrainSelectedInstOperands,
     /*  522493 */     // GIR_Coverage, 20880,
     /*  522493 */     GIR_EraseRootFromParent_Done,
     /*  522494 */   // Label 8666: @522494
     /*  522494 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522565), // Rule ID 20881 //
     /*  522499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522531 */     // MIs[0] round
     /*  522531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522541 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522550 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522563 */     GIR_RootConstrainSelectedInstOperands,
     /*  522564 */     // GIR_Coverage, 20881,
     /*  522564 */     GIR_EraseRootFromParent_Done,
     /*  522565 */   // Label 8667: @522565
     /*  522565 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522636), // Rule ID 20884 //
     /*  522570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522602 */     // MIs[0] round
     /*  522602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522612 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522621 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522634 */     GIR_RootConstrainSelectedInstOperands,
     /*  522635 */     // GIR_Coverage, 20884,
     /*  522635 */     GIR_EraseRootFromParent_Done,
     /*  522636 */   // Label 8668: @522636
     /*  522636 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(522707), // Rule ID 20885 //
     /*  522641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522673 */     // MIs[0] round
     /*  522673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522683 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522692 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522705 */     GIR_RootConstrainSelectedInstOperands,
     /*  522706 */     // GIR_Coverage, 20885,
     /*  522706 */     GIR_EraseRootFromParent_Done,
     /*  522707 */   // Label 8669: @522707
     /*  522707 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(522778), // Rule ID 20888 //
     /*  522712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522744 */     // MIs[0] round
     /*  522744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522754 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522763 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522776 */     GIR_RootConstrainSelectedInstOperands,
     /*  522777 */     // GIR_Coverage, 20888,
     /*  522777 */     GIR_EraseRootFromParent_Done,
     /*  522778 */   // Label 8670: @522778
     /*  522778 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(522849), // Rule ID 20889 //
     /*  522783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522815 */     // MIs[0] round
     /*  522815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522825 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522834 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522847 */     GIR_RootConstrainSelectedInstOperands,
     /*  522848 */     // GIR_Coverage, 20889,
     /*  522848 */     GIR_EraseRootFromParent_Done,
     /*  522849 */   // Label 8671: @522849
     /*  522849 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(522920), // Rule ID 20892 //
     /*  522854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522886 */     // MIs[0] round
     /*  522886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522905 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522918 */     GIR_RootConstrainSelectedInstOperands,
     /*  522919 */     // GIR_Coverage, 20892,
     /*  522919 */     GIR_EraseRootFromParent_Done,
     /*  522920 */   // Label 8672: @522920
     /*  522920 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522991), // Rule ID 20893 //
     /*  522925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522957 */     // MIs[0] round
     /*  522957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522967 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522976 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522989 */     GIR_RootConstrainSelectedInstOperands,
     /*  522990 */     // GIR_Coverage, 20893,
     /*  522990 */     GIR_EraseRootFromParent_Done,
     /*  522991 */   // Label 8673: @522991
     /*  522991 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(523062), // Rule ID 20896 //
     /*  522996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523028 */     // MIs[0] round
     /*  523028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523038 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  523041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523047 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523060 */     GIR_RootConstrainSelectedInstOperands,
     /*  523061 */     // GIR_Coverage, 20896,
     /*  523061 */     GIR_EraseRootFromParent_Done,
     /*  523062 */   // Label 8674: @523062
     /*  523062 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(523133), // Rule ID 20897 //
     /*  523067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523099 */     // MIs[0] round
     /*  523099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523109 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  523112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523118 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523131 */     GIR_RootConstrainSelectedInstOperands,
     /*  523132 */     // GIR_Coverage, 20897,
     /*  523132 */     GIR_EraseRootFromParent_Done,
     /*  523133 */   // Label 8675: @523133
     /*  523133 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(523204), // Rule ID 20900 //
     /*  523138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523170 */     // MIs[0] round
     /*  523170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523180 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  523183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523189 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523202 */     GIR_RootConstrainSelectedInstOperands,
     /*  523203 */     // GIR_Coverage, 20900,
     /*  523203 */     GIR_EraseRootFromParent_Done,
     /*  523204 */   // Label 8676: @523204
     /*  523204 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(523275), // Rule ID 20901 //
     /*  523209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523241 */     // MIs[0] round
     /*  523241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523251 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  523254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523260 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523273 */     GIR_RootConstrainSelectedInstOperands,
     /*  523274 */     // GIR_Coverage, 20901,
     /*  523274 */     GIR_EraseRootFromParent_Done,
     /*  523275 */   // Label 8677: @523275
     /*  523275 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(523346), // Rule ID 20904 //
     /*  523280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523312 */     // MIs[0] round
     /*  523312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523322 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  523325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523331 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523344 */     GIR_RootConstrainSelectedInstOperands,
     /*  523345 */     // GIR_Coverage, 20904,
     /*  523345 */     GIR_EraseRootFromParent_Done,
     /*  523346 */   // Label 8678: @523346
     /*  523346 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(523417), // Rule ID 20905 //
     /*  523351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523383 */     // MIs[0] round
     /*  523383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523393 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  523396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523402 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523415 */     GIR_RootConstrainSelectedInstOperands,
     /*  523416 */     // GIR_Coverage, 20905,
     /*  523416 */     GIR_EraseRootFromParent_Done,
     /*  523417 */   // Label 8679: @523417
     /*  523417 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(523488), // Rule ID 20908 //
     /*  523422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523454 */     // MIs[0] round
     /*  523454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523464 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523473 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523486 */     GIR_RootConstrainSelectedInstOperands,
     /*  523487 */     // GIR_Coverage, 20908,
     /*  523487 */     GIR_EraseRootFromParent_Done,
     /*  523488 */   // Label 8680: @523488
     /*  523488 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523559), // Rule ID 20909 //
     /*  523493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523525 */     // MIs[0] round
     /*  523525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523535 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523544 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523557 */     GIR_RootConstrainSelectedInstOperands,
     /*  523558 */     // GIR_Coverage, 20909,
     /*  523558 */     GIR_EraseRootFromParent_Done,
     /*  523559 */   // Label 8681: @523559
     /*  523559 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523630), // Rule ID 20912 //
     /*  523564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523596 */     // MIs[0] round
     /*  523596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523606 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523615 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523628 */     GIR_RootConstrainSelectedInstOperands,
     /*  523629 */     // GIR_Coverage, 20912,
     /*  523629 */     GIR_EraseRootFromParent_Done,
     /*  523630 */   // Label 8682: @523630
     /*  523630 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(523701), // Rule ID 20913 //
     /*  523635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523667 */     // MIs[0] round
     /*  523667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523677 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523686 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523699 */     GIR_RootConstrainSelectedInstOperands,
     /*  523700 */     // GIR_Coverage, 20913,
     /*  523700 */     GIR_EraseRootFromParent_Done,
     /*  523701 */   // Label 8683: @523701
     /*  523701 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(523772), // Rule ID 20916 //
     /*  523706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523738 */     // MIs[0] round
     /*  523738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523748 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523757 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523770 */     GIR_RootConstrainSelectedInstOperands,
     /*  523771 */     // GIR_Coverage, 20916,
     /*  523771 */     GIR_EraseRootFromParent_Done,
     /*  523772 */   // Label 8684: @523772
     /*  523772 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(523843), // Rule ID 20917 //
     /*  523777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523809 */     // MIs[0] round
     /*  523809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523819 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523828 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523841 */     GIR_RootConstrainSelectedInstOperands,
     /*  523842 */     // GIR_Coverage, 20917,
     /*  523842 */     GIR_EraseRootFromParent_Done,
     /*  523843 */   // Label 8685: @523843
     /*  523843 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(523914), // Rule ID 20920 //
     /*  523848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523880 */     // MIs[0] round
     /*  523880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523899 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523912 */     GIR_RootConstrainSelectedInstOperands,
     /*  523913 */     // GIR_Coverage, 20920,
     /*  523913 */     GIR_EraseRootFromParent_Done,
     /*  523914 */   // Label 8686: @523914
     /*  523914 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523985), // Rule ID 20921 //
     /*  523919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523951 */     // MIs[0] round
     /*  523951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523961 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523970 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523983 */     GIR_RootConstrainSelectedInstOperands,
     /*  523984 */     // GIR_Coverage, 20921,
     /*  523984 */     GIR_EraseRootFromParent_Done,
     /*  523985 */   // Label 8687: @523985
     /*  523985 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(524056), // Rule ID 20924 //
     /*  523990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524022 */     // MIs[0] round
     /*  524022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524032 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  524035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524041 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524054 */     GIR_RootConstrainSelectedInstOperands,
     /*  524055 */     // GIR_Coverage, 20924,
     /*  524055 */     GIR_EraseRootFromParent_Done,
     /*  524056 */   // Label 8688: @524056
     /*  524056 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(524127), // Rule ID 20925 //
     /*  524061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524093 */     // MIs[0] round
     /*  524093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524103 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  524106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524112 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524125 */     GIR_RootConstrainSelectedInstOperands,
     /*  524126 */     // GIR_Coverage, 20925,
     /*  524126 */     GIR_EraseRootFromParent_Done,
     /*  524127 */   // Label 8689: @524127
     /*  524127 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(524198), // Rule ID 20928 //
     /*  524132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524164 */     // MIs[0] round
     /*  524164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524174 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  524177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524183 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524196 */     GIR_RootConstrainSelectedInstOperands,
     /*  524197 */     // GIR_Coverage, 20928,
     /*  524197 */     GIR_EraseRootFromParent_Done,
     /*  524198 */   // Label 8690: @524198
     /*  524198 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(524269), // Rule ID 20929 //
     /*  524203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524235 */     // MIs[0] round
     /*  524235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524245 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  524248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524254 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524267 */     GIR_RootConstrainSelectedInstOperands,
     /*  524268 */     // GIR_Coverage, 20929,
     /*  524268 */     GIR_EraseRootFromParent_Done,
     /*  524269 */   // Label 8691: @524269
     /*  524269 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(524340), // Rule ID 20932 //
     /*  524274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524306 */     // MIs[0] round
     /*  524306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524316 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  524319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524325 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524338 */     GIR_RootConstrainSelectedInstOperands,
     /*  524339 */     // GIR_Coverage, 20932,
     /*  524339 */     GIR_EraseRootFromParent_Done,
     /*  524340 */   // Label 8692: @524340
     /*  524340 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(524411), // Rule ID 20933 //
     /*  524345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524377 */     // MIs[0] round
     /*  524377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524387 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  524390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524396 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524409 */     GIR_RootConstrainSelectedInstOperands,
     /*  524410 */     // GIR_Coverage, 20933,
     /*  524410 */     GIR_EraseRootFromParent_Done,
     /*  524411 */   // Label 8693: @524411
     /*  524411 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(524482), // Rule ID 20936 //
     /*  524416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524448 */     // MIs[0] round
     /*  524448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524458 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524467 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524480 */     GIR_RootConstrainSelectedInstOperands,
     /*  524481 */     // GIR_Coverage, 20936,
     /*  524481 */     GIR_EraseRootFromParent_Done,
     /*  524482 */   // Label 8694: @524482
     /*  524482 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524553), // Rule ID 20937 //
     /*  524487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524519 */     // MIs[0] round
     /*  524519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524529 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524538 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524551 */     GIR_RootConstrainSelectedInstOperands,
     /*  524552 */     // GIR_Coverage, 20937,
     /*  524552 */     GIR_EraseRootFromParent_Done,
     /*  524553 */   // Label 8695: @524553
     /*  524553 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524624), // Rule ID 20940 //
     /*  524558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524590 */     // MIs[0] round
     /*  524590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524600 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524609 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524622 */     GIR_RootConstrainSelectedInstOperands,
     /*  524623 */     // GIR_Coverage, 20940,
     /*  524623 */     GIR_EraseRootFromParent_Done,
     /*  524624 */   // Label 8696: @524624
     /*  524624 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(524695), // Rule ID 20941 //
     /*  524629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524661 */     // MIs[0] round
     /*  524661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524671 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524680 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524693 */     GIR_RootConstrainSelectedInstOperands,
     /*  524694 */     // GIR_Coverage, 20941,
     /*  524694 */     GIR_EraseRootFromParent_Done,
     /*  524695 */   // Label 8697: @524695
     /*  524695 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(524766), // Rule ID 20944 //
     /*  524700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524732 */     // MIs[0] round
     /*  524732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524751 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524764 */     GIR_RootConstrainSelectedInstOperands,
     /*  524765 */     // GIR_Coverage, 20944,
     /*  524765 */     GIR_EraseRootFromParent_Done,
     /*  524766 */   // Label 8698: @524766
     /*  524766 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(524837), // Rule ID 20945 //
     /*  524771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524803 */     // MIs[0] round
     /*  524803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524813 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524822 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524835 */     GIR_RootConstrainSelectedInstOperands,
     /*  524836 */     // GIR_Coverage, 20945,
     /*  524836 */     GIR_EraseRootFromParent_Done,
     /*  524837 */   // Label 8699: @524837
     /*  524837 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(524908), // Rule ID 20948 //
     /*  524842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524874 */     // MIs[0] round
     /*  524874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524893 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524906 */     GIR_RootConstrainSelectedInstOperands,
     /*  524907 */     // GIR_Coverage, 20948,
     /*  524907 */     GIR_EraseRootFromParent_Done,
     /*  524908 */   // Label 8700: @524908
     /*  524908 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524979), // Rule ID 20949 //
     /*  524913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524945 */     // MIs[0] round
     /*  524945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524955 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524964 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524977 */     GIR_RootConstrainSelectedInstOperands,
     /*  524978 */     // GIR_Coverage, 20949,
     /*  524978 */     GIR_EraseRootFromParent_Done,
     /*  524979 */   // Label 8701: @524979
     /*  524979 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(525050), // Rule ID 20952 //
     /*  524984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525016 */     // MIs[0] round
     /*  525016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525026 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  525029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525035 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525048 */     GIR_RootConstrainSelectedInstOperands,
     /*  525049 */     // GIR_Coverage, 20952,
     /*  525049 */     GIR_EraseRootFromParent_Done,
     /*  525050 */   // Label 8702: @525050
     /*  525050 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(525121), // Rule ID 20953 //
     /*  525055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525087 */     // MIs[0] round
     /*  525087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525097 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  525100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525106 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525119 */     GIR_RootConstrainSelectedInstOperands,
     /*  525120 */     // GIR_Coverage, 20953,
     /*  525120 */     GIR_EraseRootFromParent_Done,
     /*  525121 */   // Label 8703: @525121
     /*  525121 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(525192), // Rule ID 20956 //
     /*  525126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525158 */     // MIs[0] round
     /*  525158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525168 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  525171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525177 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525190 */     GIR_RootConstrainSelectedInstOperands,
     /*  525191 */     // GIR_Coverage, 20956,
     /*  525191 */     GIR_EraseRootFromParent_Done,
     /*  525192 */   // Label 8704: @525192
     /*  525192 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(525263), // Rule ID 20957 //
     /*  525197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525229 */     // MIs[0] round
     /*  525229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525239 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  525242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525248 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525261 */     GIR_RootConstrainSelectedInstOperands,
     /*  525262 */     // GIR_Coverage, 20957,
     /*  525262 */     GIR_EraseRootFromParent_Done,
     /*  525263 */   // Label 8705: @525263
     /*  525263 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(525334), // Rule ID 20960 //
     /*  525268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525300 */     // MIs[0] round
     /*  525300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525310 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  525313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525319 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525332 */     GIR_RootConstrainSelectedInstOperands,
     /*  525333 */     // GIR_Coverage, 20960,
     /*  525333 */     GIR_EraseRootFromParent_Done,
     /*  525334 */   // Label 8706: @525334
     /*  525334 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(525405), // Rule ID 20961 //
     /*  525339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525371 */     // MIs[0] round
     /*  525371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525381 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  525384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525390 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525403 */     GIR_RootConstrainSelectedInstOperands,
     /*  525404 */     // GIR_Coverage, 20961,
     /*  525404 */     GIR_EraseRootFromParent_Done,
     /*  525405 */   // Label 8707: @525405
     /*  525405 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(525476), // Rule ID 20964 //
     /*  525410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525442 */     // MIs[0] round
     /*  525442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525452 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525461 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525474 */     GIR_RootConstrainSelectedInstOperands,
     /*  525475 */     // GIR_Coverage, 20964,
     /*  525475 */     GIR_EraseRootFromParent_Done,
     /*  525476 */   // Label 8708: @525476
     /*  525476 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525547), // Rule ID 20965 //
     /*  525481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525513 */     // MIs[0] round
     /*  525513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525523 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525532 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525545 */     GIR_RootConstrainSelectedInstOperands,
     /*  525546 */     // GIR_Coverage, 20965,
     /*  525546 */     GIR_EraseRootFromParent_Done,
     /*  525547 */   // Label 8709: @525547
     /*  525547 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525618), // Rule ID 20968 //
     /*  525552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525584 */     // MIs[0] round
     /*  525584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525594 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525603 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525616 */     GIR_RootConstrainSelectedInstOperands,
     /*  525617 */     // GIR_Coverage, 20968,
     /*  525617 */     GIR_EraseRootFromParent_Done,
     /*  525618 */   // Label 8710: @525618
     /*  525618 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(525689), // Rule ID 20969 //
     /*  525623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525655 */     // MIs[0] round
     /*  525655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525665 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525674 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525687 */     GIR_RootConstrainSelectedInstOperands,
     /*  525688 */     // GIR_Coverage, 20969,
     /*  525688 */     GIR_EraseRootFromParent_Done,
     /*  525689 */   // Label 8711: @525689
     /*  525689 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(525760), // Rule ID 20972 //
     /*  525694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525726 */     // MIs[0] round
     /*  525726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525736 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525745 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525758 */     GIR_RootConstrainSelectedInstOperands,
     /*  525759 */     // GIR_Coverage, 20972,
     /*  525759 */     GIR_EraseRootFromParent_Done,
     /*  525760 */   // Label 8712: @525760
     /*  525760 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(525831), // Rule ID 20973 //
     /*  525765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525797 */     // MIs[0] round
     /*  525797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525807 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525816 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525829 */     GIR_RootConstrainSelectedInstOperands,
     /*  525830 */     // GIR_Coverage, 20973,
     /*  525830 */     GIR_EraseRootFromParent_Done,
     /*  525831 */   // Label 8713: @525831
     /*  525831 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(525902), // Rule ID 20976 //
     /*  525836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525868 */     // MIs[0] round
     /*  525868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525878 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525887 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525900 */     GIR_RootConstrainSelectedInstOperands,
     /*  525901 */     // GIR_Coverage, 20976,
     /*  525901 */     GIR_EraseRootFromParent_Done,
     /*  525902 */   // Label 8714: @525902
     /*  525902 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525973), // Rule ID 20977 //
     /*  525907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525939 */     // MIs[0] round
     /*  525939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525949 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525958 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525971 */     GIR_RootConstrainSelectedInstOperands,
     /*  525972 */     // GIR_Coverage, 20977,
     /*  525972 */     GIR_EraseRootFromParent_Done,
     /*  525973 */   // Label 8715: @525973
     /*  525973 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(526044), // Rule ID 20980 //
     /*  525978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526010 */     // MIs[0] round
     /*  526010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526020 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  526023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526029 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526042 */     GIR_RootConstrainSelectedInstOperands,
     /*  526043 */     // GIR_Coverage, 20980,
     /*  526043 */     GIR_EraseRootFromParent_Done,
     /*  526044 */   // Label 8716: @526044
     /*  526044 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(526115), // Rule ID 20981 //
     /*  526049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526081 */     // MIs[0] round
     /*  526081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526091 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  526094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526100 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526113 */     GIR_RootConstrainSelectedInstOperands,
     /*  526114 */     // GIR_Coverage, 20981,
     /*  526114 */     GIR_EraseRootFromParent_Done,
     /*  526115 */   // Label 8717: @526115
     /*  526115 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(526186), // Rule ID 20984 //
     /*  526120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526152 */     // MIs[0] round
     /*  526152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526162 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  526165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526171 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526184 */     GIR_RootConstrainSelectedInstOperands,
     /*  526185 */     // GIR_Coverage, 20984,
     /*  526185 */     GIR_EraseRootFromParent_Done,
     /*  526186 */   // Label 8718: @526186
     /*  526186 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(526257), // Rule ID 20985 //
     /*  526191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526223 */     // MIs[0] round
     /*  526223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526233 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  526236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526242 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526255 */     GIR_RootConstrainSelectedInstOperands,
     /*  526256 */     // GIR_Coverage, 20985,
     /*  526256 */     GIR_EraseRootFromParent_Done,
     /*  526257 */   // Label 8719: @526257
     /*  526257 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(526328), // Rule ID 20988 //
     /*  526262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526294 */     // MIs[0] round
     /*  526294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526304 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  526307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526313 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526326 */     GIR_RootConstrainSelectedInstOperands,
     /*  526327 */     // GIR_Coverage, 20988,
     /*  526327 */     GIR_EraseRootFromParent_Done,
     /*  526328 */   // Label 8720: @526328
     /*  526328 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(526399), // Rule ID 20989 //
     /*  526333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526365 */     // MIs[0] round
     /*  526365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526375 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  526378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526384 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526397 */     GIR_RootConstrainSelectedInstOperands,
     /*  526398 */     // GIR_Coverage, 20989,
     /*  526398 */     GIR_EraseRootFromParent_Done,
     /*  526399 */   // Label 8721: @526399
     /*  526399 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(526470), // Rule ID 21064 //
     /*  526404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526436 */     // MIs[0] round
     /*  526436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526455 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526468 */     GIR_RootConstrainSelectedInstOperands,
     /*  526469 */     // GIR_Coverage, 21064,
     /*  526469 */     GIR_EraseRootFromParent_Done,
     /*  526470 */   // Label 8722: @526470
     /*  526470 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526541), // Rule ID 21065 //
     /*  526475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526507 */     // MIs[0] round
     /*  526507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526526 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526539 */     GIR_RootConstrainSelectedInstOperands,
     /*  526540 */     // GIR_Coverage, 21065,
     /*  526540 */     GIR_EraseRootFromParent_Done,
     /*  526541 */   // Label 8723: @526541
     /*  526541 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526612), // Rule ID 21068 //
     /*  526546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526578 */     // MIs[0] round
     /*  526578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526597 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526610 */     GIR_RootConstrainSelectedInstOperands,
     /*  526611 */     // GIR_Coverage, 21068,
     /*  526611 */     GIR_EraseRootFromParent_Done,
     /*  526612 */   // Label 8724: @526612
     /*  526612 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(526683), // Rule ID 21069 //
     /*  526617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526649 */     // MIs[0] round
     /*  526649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526668 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526681 */     GIR_RootConstrainSelectedInstOperands,
     /*  526682 */     // GIR_Coverage, 21069,
     /*  526682 */     GIR_EraseRootFromParent_Done,
     /*  526683 */   // Label 8725: @526683
     /*  526683 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(526754), // Rule ID 21072 //
     /*  526688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526720 */     // MIs[0] round
     /*  526720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526739 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526752 */     GIR_RootConstrainSelectedInstOperands,
     /*  526753 */     // GIR_Coverage, 21072,
     /*  526753 */     GIR_EraseRootFromParent_Done,
     /*  526754 */   // Label 8726: @526754
     /*  526754 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(526825), // Rule ID 21073 //
     /*  526759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526791 */     // MIs[0] round
     /*  526791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526810 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526823 */     GIR_RootConstrainSelectedInstOperands,
     /*  526824 */     // GIR_Coverage, 21073,
     /*  526824 */     GIR_EraseRootFromParent_Done,
     /*  526825 */   // Label 8727: @526825
     /*  526825 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(526896), // Rule ID 21076 //
     /*  526830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526862 */     // MIs[0] round
     /*  526862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526881 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526894 */     GIR_RootConstrainSelectedInstOperands,
     /*  526895 */     // GIR_Coverage, 21076,
     /*  526895 */     GIR_EraseRootFromParent_Done,
     /*  526896 */   // Label 8728: @526896
     /*  526896 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526967), // Rule ID 21077 //
     /*  526901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526933 */     // MIs[0] round
     /*  526933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526952 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526965 */     GIR_RootConstrainSelectedInstOperands,
     /*  526966 */     // GIR_Coverage, 21077,
     /*  526966 */     GIR_EraseRootFromParent_Done,
     /*  526967 */   // Label 8729: @526967
     /*  526967 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(527038), // Rule ID 21080 //
     /*  526972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527004 */     // MIs[0] round
     /*  527004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527023 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527036 */     GIR_RootConstrainSelectedInstOperands,
     /*  527037 */     // GIR_Coverage, 21080,
     /*  527037 */     GIR_EraseRootFromParent_Done,
     /*  527038 */   // Label 8730: @527038
     /*  527038 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(527109), // Rule ID 21081 //
     /*  527043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527075 */     // MIs[0] round
     /*  527075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527085 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527094 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527107 */     GIR_RootConstrainSelectedInstOperands,
     /*  527108 */     // GIR_Coverage, 21081,
     /*  527108 */     GIR_EraseRootFromParent_Done,
     /*  527109 */   // Label 8731: @527109
     /*  527109 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(527180), // Rule ID 21084 //
     /*  527114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527146 */     // MIs[0] round
     /*  527146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527165 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527178 */     GIR_RootConstrainSelectedInstOperands,
     /*  527179 */     // GIR_Coverage, 21084,
     /*  527179 */     GIR_EraseRootFromParent_Done,
     /*  527180 */   // Label 8732: @527180
     /*  527180 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(527251), // Rule ID 21085 //
     /*  527185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527217 */     // MIs[0] round
     /*  527217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527236 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527249 */     GIR_RootConstrainSelectedInstOperands,
     /*  527250 */     // GIR_Coverage, 21085,
     /*  527250 */     GIR_EraseRootFromParent_Done,
     /*  527251 */   // Label 8733: @527251
     /*  527251 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(527322), // Rule ID 21088 //
     /*  527256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  527267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  527270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527288 */     // MIs[0] round
     /*  527288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  527301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527307 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527320 */     GIR_RootConstrainSelectedInstOperands,
     /*  527321 */     // GIR_Coverage, 21088,
     /*  527321 */     GIR_EraseRootFromParent_Done,
     /*  527322 */   // Label 8734: @527322
     /*  527322 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(527393), // Rule ID 21089 //
     /*  527327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  527338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  527341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527359 */     // MIs[0] round
     /*  527359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  527372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527378 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527391 */     GIR_RootConstrainSelectedInstOperands,
     /*  527392 */     // GIR_Coverage, 21089,
     /*  527392 */     GIR_EraseRootFromParent_Done,
     /*  527393 */   // Label 8735: @527393
     /*  527393 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(527464), // Rule ID 21092 //
     /*  527398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527430 */     // MIs[0] round
     /*  527430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527449 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527462 */     GIR_RootConstrainSelectedInstOperands,
     /*  527463 */     // GIR_Coverage, 21092,
     /*  527463 */     GIR_EraseRootFromParent_Done,
     /*  527464 */   // Label 8736: @527464
     /*  527464 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527535), // Rule ID 21093 //
     /*  527469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527501 */     // MIs[0] round
     /*  527501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527520 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527533 */     GIR_RootConstrainSelectedInstOperands,
     /*  527534 */     // GIR_Coverage, 21093,
     /*  527534 */     GIR_EraseRootFromParent_Done,
     /*  527535 */   // Label 8737: @527535
     /*  527535 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527606), // Rule ID 21096 //
     /*  527540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527572 */     // MIs[0] round
     /*  527572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527591 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527604 */     GIR_RootConstrainSelectedInstOperands,
     /*  527605 */     // GIR_Coverage, 21096,
     /*  527605 */     GIR_EraseRootFromParent_Done,
     /*  527606 */   // Label 8738: @527606
     /*  527606 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(527677), // Rule ID 21097 //
     /*  527611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527643 */     // MIs[0] round
     /*  527643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527662 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527675 */     GIR_RootConstrainSelectedInstOperands,
     /*  527676 */     // GIR_Coverage, 21097,
     /*  527676 */     GIR_EraseRootFromParent_Done,
     /*  527677 */   // Label 8739: @527677
     /*  527677 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(527748), // Rule ID 21100 //
     /*  527682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527714 */     // MIs[0] round
     /*  527714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527733 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527746 */     GIR_RootConstrainSelectedInstOperands,
     /*  527747 */     // GIR_Coverage, 21100,
     /*  527747 */     GIR_EraseRootFromParent_Done,
     /*  527748 */   // Label 8740: @527748
     /*  527748 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(527819), // Rule ID 21101 //
     /*  527753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527785 */     // MIs[0] round
     /*  527785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527804 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527817 */     GIR_RootConstrainSelectedInstOperands,
     /*  527818 */     // GIR_Coverage, 21101,
     /*  527818 */     GIR_EraseRootFromParent_Done,
     /*  527819 */   // Label 8741: @527819
     /*  527819 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(527890), // Rule ID 21104 //
     /*  527824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527856 */     // MIs[0] round
     /*  527856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527875 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527888 */     GIR_RootConstrainSelectedInstOperands,
     /*  527889 */     // GIR_Coverage, 21104,
     /*  527889 */     GIR_EraseRootFromParent_Done,
     /*  527890 */   // Label 8742: @527890
     /*  527890 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527961), // Rule ID 21105 //
     /*  527895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527927 */     // MIs[0] round
     /*  527927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527946 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527959 */     GIR_RootConstrainSelectedInstOperands,
     /*  527960 */     // GIR_Coverage, 21105,
     /*  527960 */     GIR_EraseRootFromParent_Done,
     /*  527961 */   // Label 8743: @527961
     /*  527961 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(528032), // Rule ID 21108 //
     /*  527966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527998 */     // MIs[0] round
     /*  527998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528017 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528030 */     GIR_RootConstrainSelectedInstOperands,
     /*  528031 */     // GIR_Coverage, 21108,
     /*  528031 */     GIR_EraseRootFromParent_Done,
     /*  528032 */   // Label 8744: @528032
     /*  528032 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(528103), // Rule ID 21109 //
     /*  528037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528069 */     // MIs[0] round
     /*  528069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528088 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528101 */     GIR_RootConstrainSelectedInstOperands,
     /*  528102 */     // GIR_Coverage, 21109,
     /*  528102 */     GIR_EraseRootFromParent_Done,
     /*  528103 */   // Label 8745: @528103
     /*  528103 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(528174), // Rule ID 21112 //
     /*  528108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  528125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528140 */     // MIs[0] round
     /*  528140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528159 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528172 */     GIR_RootConstrainSelectedInstOperands,
     /*  528173 */     // GIR_Coverage, 21112,
     /*  528173 */     GIR_EraseRootFromParent_Done,
     /*  528174 */   // Label 8746: @528174
     /*  528174 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(528245), // Rule ID 21113 //
     /*  528179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  528196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528211 */     // MIs[0] round
     /*  528211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528230 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528243 */     GIR_RootConstrainSelectedInstOperands,
     /*  528244 */     // GIR_Coverage, 21113,
     /*  528244 */     GIR_EraseRootFromParent_Done,
     /*  528245 */   // Label 8747: @528245
     /*  528245 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(528316), // Rule ID 21116 //
     /*  528250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528282 */     // MIs[0] round
     /*  528282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528301 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528314 */     GIR_RootConstrainSelectedInstOperands,
     /*  528315 */     // GIR_Coverage, 21116,
     /*  528315 */     GIR_EraseRootFromParent_Done,
     /*  528316 */   // Label 8748: @528316
     /*  528316 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(528387), // Rule ID 21117 //
     /*  528321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528353 */     // MIs[0] round
     /*  528353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528363 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528372 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528385 */     GIR_RootConstrainSelectedInstOperands,
     /*  528386 */     // GIR_Coverage, 21117,
     /*  528386 */     GIR_EraseRootFromParent_Done,
     /*  528387 */   // Label 8749: @528387
     /*  528387 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(528458), // Rule ID 21120 //
     /*  528392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528424 */     // MIs[0] round
     /*  528424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528443 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528456 */     GIR_RootConstrainSelectedInstOperands,
     /*  528457 */     // GIR_Coverage, 21120,
     /*  528457 */     GIR_EraseRootFromParent_Done,
     /*  528458 */   // Label 8750: @528458
     /*  528458 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528529), // Rule ID 21121 //
     /*  528463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528495 */     // MIs[0] round
     /*  528495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528514 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528527 */     GIR_RootConstrainSelectedInstOperands,
     /*  528528 */     // GIR_Coverage, 21121,
     /*  528528 */     GIR_EraseRootFromParent_Done,
     /*  528529 */   // Label 8751: @528529
     /*  528529 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528600), // Rule ID 21124 //
     /*  528534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528566 */     // MIs[0] round
     /*  528566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528585 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528598 */     GIR_RootConstrainSelectedInstOperands,
     /*  528599 */     // GIR_Coverage, 21124,
     /*  528599 */     GIR_EraseRootFromParent_Done,
     /*  528600 */   // Label 8752: @528600
     /*  528600 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(528671), // Rule ID 21125 //
     /*  528605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528637 */     // MIs[0] round
     /*  528637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528656 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528669 */     GIR_RootConstrainSelectedInstOperands,
     /*  528670 */     // GIR_Coverage, 21125,
     /*  528670 */     GIR_EraseRootFromParent_Done,
     /*  528671 */   // Label 8753: @528671
     /*  528671 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(528742), // Rule ID 21128 //
     /*  528676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528708 */     // MIs[0] round
     /*  528708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528727 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528740 */     GIR_RootConstrainSelectedInstOperands,
     /*  528741 */     // GIR_Coverage, 21128,
     /*  528741 */     GIR_EraseRootFromParent_Done,
     /*  528742 */   // Label 8754: @528742
     /*  528742 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(528813), // Rule ID 21129 //
     /*  528747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528779 */     // MIs[0] round
     /*  528779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528798 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528811 */     GIR_RootConstrainSelectedInstOperands,
     /*  528812 */     // GIR_Coverage, 21129,
     /*  528812 */     GIR_EraseRootFromParent_Done,
     /*  528813 */   // Label 8755: @528813
     /*  528813 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(528884), // Rule ID 21132 //
     /*  528818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528850 */     // MIs[0] round
     /*  528850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528869 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528882 */     GIR_RootConstrainSelectedInstOperands,
     /*  528883 */     // GIR_Coverage, 21132,
     /*  528883 */     GIR_EraseRootFromParent_Done,
     /*  528884 */   // Label 8756: @528884
     /*  528884 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528955), // Rule ID 21133 //
     /*  528889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528921 */     // MIs[0] round
     /*  528921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528931 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528940 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528953 */     GIR_RootConstrainSelectedInstOperands,
     /*  528954 */     // GIR_Coverage, 21133,
     /*  528954 */     GIR_EraseRootFromParent_Done,
     /*  528955 */   // Label 8757: @528955
     /*  528955 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(529026), // Rule ID 21484 //
     /*  528960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  528971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  528974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528992 */     // MIs[0] round
     /*  528992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  529005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529011 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529024 */     GIR_RootConstrainSelectedInstOperands,
     /*  529025 */     // GIR_Coverage, 21484,
     /*  529025 */     GIR_EraseRootFromParent_Done,
     /*  529026 */   // Label 8758: @529026
     /*  529026 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(529097), // Rule ID 21485 //
     /*  529031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529063 */     // MIs[0] round
     /*  529063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529073 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  529076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529082 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529095 */     GIR_RootConstrainSelectedInstOperands,
     /*  529096 */     // GIR_Coverage, 21485,
     /*  529096 */     GIR_EraseRootFromParent_Done,
     /*  529097 */   // Label 8759: @529097
     /*  529097 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(529168), // Rule ID 21488 //
     /*  529102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529134 */     // MIs[0] round
     /*  529134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529144 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529153 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529166 */     GIR_RootConstrainSelectedInstOperands,
     /*  529167 */     // GIR_Coverage, 21488,
     /*  529167 */     GIR_EraseRootFromParent_Done,
     /*  529168 */   // Label 8760: @529168
     /*  529168 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(529239), // Rule ID 21489 //
     /*  529173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529205 */     // MIs[0] round
     /*  529205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529215 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529224 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529237 */     GIR_RootConstrainSelectedInstOperands,
     /*  529238 */     // GIR_Coverage, 21489,
     /*  529238 */     GIR_EraseRootFromParent_Done,
     /*  529239 */   // Label 8761: @529239
     /*  529239 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(529310), // Rule ID 21492 //
     /*  529244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529276 */     // MIs[0] round
     /*  529276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529295 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529308 */     GIR_RootConstrainSelectedInstOperands,
     /*  529309 */     // GIR_Coverage, 21492,
     /*  529309 */     GIR_EraseRootFromParent_Done,
     /*  529310 */   // Label 8762: @529310
     /*  529310 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(529381), // Rule ID 21493 //
     /*  529315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529347 */     // MIs[0] round
     /*  529347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529357 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529366 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529379 */     GIR_RootConstrainSelectedInstOperands,
     /*  529380 */     // GIR_Coverage, 21493,
     /*  529380 */     GIR_EraseRootFromParent_Done,
     /*  529381 */   // Label 8763: @529381
     /*  529381 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(529452), // Rule ID 21496 //
     /*  529386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529418 */     // MIs[0] round
     /*  529418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529437 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529450 */     GIR_RootConstrainSelectedInstOperands,
     /*  529451 */     // GIR_Coverage, 21496,
     /*  529451 */     GIR_EraseRootFromParent_Done,
     /*  529452 */   // Label 8764: @529452
     /*  529452 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529523), // Rule ID 21497 //
     /*  529457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529489 */     // MIs[0] round
     /*  529489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529508 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529521 */     GIR_RootConstrainSelectedInstOperands,
     /*  529522 */     // GIR_Coverage, 21497,
     /*  529522 */     GIR_EraseRootFromParent_Done,
     /*  529523 */   // Label 8765: @529523
     /*  529523 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529594), // Rule ID 21500 //
     /*  529528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529560 */     // MIs[0] round
     /*  529560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529579 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529592 */     GIR_RootConstrainSelectedInstOperands,
     /*  529593 */     // GIR_Coverage, 21500,
     /*  529593 */     GIR_EraseRootFromParent_Done,
     /*  529594 */   // Label 8766: @529594
     /*  529594 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(529665), // Rule ID 21501 //
     /*  529599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529631 */     // MIs[0] round
     /*  529631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529641 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529650 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529663 */     GIR_RootConstrainSelectedInstOperands,
     /*  529664 */     // GIR_Coverage, 21501,
     /*  529664 */     GIR_EraseRootFromParent_Done,
     /*  529665 */   // Label 8767: @529665
     /*  529665 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(529736), // Rule ID 21504 //
     /*  529670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529702 */     // MIs[0] round
     /*  529702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529712 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529721 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529734 */     GIR_RootConstrainSelectedInstOperands,
     /*  529735 */     // GIR_Coverage, 21504,
     /*  529735 */     GIR_EraseRootFromParent_Done,
     /*  529736 */   // Label 8768: @529736
     /*  529736 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(529807), // Rule ID 21505 //
     /*  529741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529773 */     // MIs[0] round
     /*  529773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529783 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529792 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529805 */     GIR_RootConstrainSelectedInstOperands,
     /*  529806 */     // GIR_Coverage, 21505,
     /*  529806 */     GIR_EraseRootFromParent_Done,
     /*  529807 */   // Label 8769: @529807
     /*  529807 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(529878), // Rule ID 21508 //
     /*  529812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529844 */     // MIs[0] round
     /*  529844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529863 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529876 */     GIR_RootConstrainSelectedInstOperands,
     /*  529877 */     // GIR_Coverage, 21508,
     /*  529877 */     GIR_EraseRootFromParent_Done,
     /*  529878 */   // Label 8770: @529878
     /*  529878 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529949), // Rule ID 21509 //
     /*  529883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529915 */     // MIs[0] round
     /*  529915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529925 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529934 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529947 */     GIR_RootConstrainSelectedInstOperands,
     /*  529948 */     // GIR_Coverage, 21509,
     /*  529948 */     GIR_EraseRootFromParent_Done,
     /*  529949 */   // Label 8771: @529949
     /*  529949 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(530020), // Rule ID 21512 //
     /*  529954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529986 */     // MIs[0] round
     /*  529986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530005 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530018 */     GIR_RootConstrainSelectedInstOperands,
     /*  530019 */     // GIR_Coverage, 21512,
     /*  530019 */     GIR_EraseRootFromParent_Done,
     /*  530020 */   // Label 8772: @530020
     /*  530020 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(530091), // Rule ID 21513 //
     /*  530025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530057 */     // MIs[0] round
     /*  530057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530076 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530089 */     GIR_RootConstrainSelectedInstOperands,
     /*  530090 */     // GIR_Coverage, 21513,
     /*  530090 */     GIR_EraseRootFromParent_Done,
     /*  530091 */   // Label 8773: @530091
     /*  530091 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(530162), // Rule ID 21516 //
     /*  530096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530128 */     // MIs[0] round
     /*  530128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530147 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530160 */     GIR_RootConstrainSelectedInstOperands,
     /*  530161 */     // GIR_Coverage, 21516,
     /*  530161 */     GIR_EraseRootFromParent_Done,
     /*  530162 */   // Label 8774: @530162
     /*  530162 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(530233), // Rule ID 21517 //
     /*  530167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530199 */     // MIs[0] round
     /*  530199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530218 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530231 */     GIR_RootConstrainSelectedInstOperands,
     /*  530232 */     // GIR_Coverage, 21517,
     /*  530232 */     GIR_EraseRootFromParent_Done,
     /*  530233 */   // Label 8775: @530233
     /*  530233 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(530304), // Rule ID 21520 //
     /*  530238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530270 */     // MIs[0] round
     /*  530270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530289 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530302 */     GIR_RootConstrainSelectedInstOperands,
     /*  530303 */     // GIR_Coverage, 21520,
     /*  530303 */     GIR_EraseRootFromParent_Done,
     /*  530304 */   // Label 8776: @530304
     /*  530304 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(530375), // Rule ID 21521 //
     /*  530309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530341 */     // MIs[0] round
     /*  530341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530360 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530373 */     GIR_RootConstrainSelectedInstOperands,
     /*  530374 */     // GIR_Coverage, 21521,
     /*  530374 */     GIR_EraseRootFromParent_Done,
     /*  530375 */   // Label 8777: @530375
     /*  530375 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(530446), // Rule ID 21524 //
     /*  530380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530412 */     // MIs[0] round
     /*  530412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530422 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530431 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530444 */     GIR_RootConstrainSelectedInstOperands,
     /*  530445 */     // GIR_Coverage, 21524,
     /*  530445 */     GIR_EraseRootFromParent_Done,
     /*  530446 */   // Label 8778: @530446
     /*  530446 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530517), // Rule ID 21525 //
     /*  530451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530483 */     // MIs[0] round
     /*  530483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530502 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530515 */     GIR_RootConstrainSelectedInstOperands,
     /*  530516 */     // GIR_Coverage, 21525,
     /*  530516 */     GIR_EraseRootFromParent_Done,
     /*  530517 */   // Label 8779: @530517
     /*  530517 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530588), // Rule ID 21528 //
     /*  530522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530554 */     // MIs[0] round
     /*  530554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530573 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530586 */     GIR_RootConstrainSelectedInstOperands,
     /*  530587 */     // GIR_Coverage, 21528,
     /*  530587 */     GIR_EraseRootFromParent_Done,
     /*  530588 */   // Label 8780: @530588
     /*  530588 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(530659), // Rule ID 21529 //
     /*  530593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530625 */     // MIs[0] round
     /*  530625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530635 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530644 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530657 */     GIR_RootConstrainSelectedInstOperands,
     /*  530658 */     // GIR_Coverage, 21529,
     /*  530658 */     GIR_EraseRootFromParent_Done,
     /*  530659 */   // Label 8781: @530659
     /*  530659 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(530730), // Rule ID 21532 //
     /*  530664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530696 */     // MIs[0] round
     /*  530696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530715 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530728 */     GIR_RootConstrainSelectedInstOperands,
     /*  530729 */     // GIR_Coverage, 21532,
     /*  530729 */     GIR_EraseRootFromParent_Done,
     /*  530730 */   // Label 8782: @530730
     /*  530730 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(530801), // Rule ID 21533 //
     /*  530735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530767 */     // MIs[0] round
     /*  530767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530786 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530799 */     GIR_RootConstrainSelectedInstOperands,
     /*  530800 */     // GIR_Coverage, 21533,
     /*  530800 */     GIR_EraseRootFromParent_Done,
     /*  530801 */   // Label 8783: @530801
     /*  530801 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(530872), // Rule ID 21536 //
     /*  530806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530838 */     // MIs[0] round
     /*  530838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530857 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530870 */     GIR_RootConstrainSelectedInstOperands,
     /*  530871 */     // GIR_Coverage, 21536,
     /*  530871 */     GIR_EraseRootFromParent_Done,
     /*  530872 */   // Label 8784: @530872
     /*  530872 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(530943), // Rule ID 21537 //
     /*  530877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530909 */     // MIs[0] round
     /*  530909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530928 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530941 */     GIR_RootConstrainSelectedInstOperands,
     /*  530942 */     // GIR_Coverage, 21537,
     /*  530942 */     GIR_EraseRootFromParent_Done,
     /*  530943 */   // Label 8785: @530943
     /*  530943 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(531014), // Rule ID 21540 //
     /*  530948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530980 */     // MIs[0] round
     /*  530980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530999 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531012 */     GIR_RootConstrainSelectedInstOperands,
     /*  531013 */     // GIR_Coverage, 21540,
     /*  531013 */     GIR_EraseRootFromParent_Done,
     /*  531014 */   // Label 8786: @531014
     /*  531014 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(531085), // Rule ID 21541 //
     /*  531019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531051 */     // MIs[0] round
     /*  531051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  531064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531070 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531083 */     GIR_RootConstrainSelectedInstOperands,
     /*  531084 */     // GIR_Coverage, 21541,
     /*  531084 */     GIR_EraseRootFromParent_Done,
     /*  531085 */   // Label 8787: @531085
     /*  531085 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(531156), // Rule ID 21544 //
     /*  531090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  531101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  531104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531122 */     // MIs[0] round
     /*  531122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  531135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531141 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531154 */     GIR_RootConstrainSelectedInstOperands,
     /*  531155 */     // GIR_Coverage, 21544,
     /*  531155 */     GIR_EraseRootFromParent_Done,
     /*  531156 */   // Label 8788: @531156
     /*  531156 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(531227), // Rule ID 21545 //
     /*  531161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  531172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  531175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531193 */     // MIs[0] round
     /*  531193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  531206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531212 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531225 */     GIR_RootConstrainSelectedInstOperands,
     /*  531226 */     // GIR_Coverage, 21545,
     /*  531226 */     GIR_EraseRootFromParent_Done,
     /*  531227 */   // Label 8789: @531227
     /*  531227 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(531298), // Rule ID 21548 //
     /*  531232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  531243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  531246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531264 */     // MIs[0] round
     /*  531264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531283 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531296 */     GIR_RootConstrainSelectedInstOperands,
     /*  531297 */     // GIR_Coverage, 21548,
     /*  531297 */     GIR_EraseRootFromParent_Done,
     /*  531298 */   // Label 8790: @531298
     /*  531298 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(531369), // Rule ID 21549 //
     /*  531303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  531314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  531317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531335 */     // MIs[0] round
     /*  531335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531345 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531354 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531367 */     GIR_RootConstrainSelectedInstOperands,
     /*  531368 */     // GIR_Coverage, 21549,
     /*  531368 */     GIR_EraseRootFromParent_Done,
     /*  531369 */   // Label 8791: @531369
     /*  531369 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(531440), // Rule ID 21552 //
     /*  531374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  531385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  531388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531406 */     // MIs[0] round
     /*  531406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531425 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531438 */     GIR_RootConstrainSelectedInstOperands,
     /*  531439 */     // GIR_Coverage, 21552,
     /*  531439 */     GIR_EraseRootFromParent_Done,
     /*  531440 */   // Label 8792: @531440
     /*  531440 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531511), // Rule ID 21553 //
     /*  531445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  531456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  531459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531477 */     // MIs[0] round
     /*  531477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531487 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531496 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531509 */     GIR_RootConstrainSelectedInstOperands,
     /*  531510 */     // GIR_Coverage, 21553,
     /*  531510 */     GIR_EraseRootFromParent_Done,
     /*  531511 */   // Label 8793: @531511
     /*  531511 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531582), // Rule ID 21556 //
     /*  531516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531548 */     // MIs[0] round
     /*  531548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531558 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531567 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531580 */     GIR_RootConstrainSelectedInstOperands,
     /*  531581 */     // GIR_Coverage, 21556,
     /*  531581 */     GIR_EraseRootFromParent_Done,
     /*  531582 */   // Label 8794: @531582
     /*  531582 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(531653), // Rule ID 21557 //
     /*  531587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531619 */     // MIs[0] round
     /*  531619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531629 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531638 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531651 */     GIR_RootConstrainSelectedInstOperands,
     /*  531652 */     // GIR_Coverage, 21557,
     /*  531652 */     GIR_EraseRootFromParent_Done,
     /*  531653 */   // Label 8795: @531653
     /*  531653 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(531724), // Rule ID 21560 //
     /*  531658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531690 */     // MIs[0] round
     /*  531690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531700 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531709 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531722 */     GIR_RootConstrainSelectedInstOperands,
     /*  531723 */     // GIR_Coverage, 21560,
     /*  531723 */     GIR_EraseRootFromParent_Done,
     /*  531724 */   // Label 8796: @531724
     /*  531724 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(531795), // Rule ID 21561 //
     /*  531729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531761 */     // MIs[0] round
     /*  531761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531780 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531793 */     GIR_RootConstrainSelectedInstOperands,
     /*  531794 */     // GIR_Coverage, 21561,
     /*  531794 */     GIR_EraseRootFromParent_Done,
     /*  531795 */   // Label 8797: @531795
     /*  531795 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(531866), // Rule ID 21564 //
     /*  531800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531832 */     // MIs[0] round
     /*  531832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531851 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531864 */     GIR_RootConstrainSelectedInstOperands,
     /*  531865 */     // GIR_Coverage, 21564,
     /*  531865 */     GIR_EraseRootFromParent_Done,
     /*  531866 */   // Label 8798: @531866
     /*  531866 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(531937), // Rule ID 21565 //
     /*  531871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531903 */     // MIs[0] round
     /*  531903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531922 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531935 */     GIR_RootConstrainSelectedInstOperands,
     /*  531936 */     // GIR_Coverage, 21565,
     /*  531936 */     GIR_EraseRootFromParent_Done,
     /*  531937 */   // Label 8799: @531937
     /*  531937 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(532008), // Rule ID 21568 //
     /*  531942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531974 */     // MIs[0] round
     /*  531974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531993 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532006 */     GIR_RootConstrainSelectedInstOperands,
     /*  532007 */     // GIR_Coverage, 21568,
     /*  532007 */     GIR_EraseRootFromParent_Done,
     /*  532008 */   // Label 8800: @532008
     /*  532008 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(532079), // Rule ID 21569 //
     /*  532013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532045 */     // MIs[0] round
     /*  532045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532055 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  532058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532064 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532077 */     GIR_RootConstrainSelectedInstOperands,
     /*  532078 */     // GIR_Coverage, 21569,
     /*  532078 */     GIR_EraseRootFromParent_Done,
     /*  532079 */   // Label 8801: @532079
     /*  532079 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(532150), // Rule ID 21572 //
     /*  532084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532116 */     // MIs[0] round
     /*  532116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532135 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532148 */     GIR_RootConstrainSelectedInstOperands,
     /*  532149 */     // GIR_Coverage, 21572,
     /*  532149 */     GIR_EraseRootFromParent_Done,
     /*  532150 */   // Label 8802: @532150
     /*  532150 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(532221), // Rule ID 21573 //
     /*  532155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532187 */     // MIs[0] round
     /*  532187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532197 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532206 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532219 */     GIR_RootConstrainSelectedInstOperands,
     /*  532220 */     // GIR_Coverage, 21573,
     /*  532220 */     GIR_EraseRootFromParent_Done,
     /*  532221 */   // Label 8803: @532221
     /*  532221 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(532292), // Rule ID 21576 //
     /*  532226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  532237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  532240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532258 */     // MIs[0] round
     /*  532258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532277 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532290 */     GIR_RootConstrainSelectedInstOperands,
     /*  532291 */     // GIR_Coverage, 21576,
     /*  532291 */     GIR_EraseRootFromParent_Done,
     /*  532292 */   // Label 8804: @532292
     /*  532292 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(532363), // Rule ID 21577 //
     /*  532297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  532308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  532311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532329 */     // MIs[0] round
     /*  532329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532348 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532361 */     GIR_RootConstrainSelectedInstOperands,
     /*  532362 */     // GIR_Coverage, 21577,
     /*  532362 */     GIR_EraseRootFromParent_Done,
     /*  532363 */   // Label 8805: @532363
     /*  532363 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(532434), // Rule ID 21580 //
     /*  532368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532400 */     // MIs[0] round
     /*  532400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532419 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532432 */     GIR_RootConstrainSelectedInstOperands,
     /*  532433 */     // GIR_Coverage, 21580,
     /*  532433 */     GIR_EraseRootFromParent_Done,
     /*  532434 */   // Label 8806: @532434
     /*  532434 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532505), // Rule ID 21581 //
     /*  532439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532471 */     // MIs[0] round
     /*  532471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532490 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532503 */     GIR_RootConstrainSelectedInstOperands,
     /*  532504 */     // GIR_Coverage, 21581,
     /*  532504 */     GIR_EraseRootFromParent_Done,
     /*  532505 */   // Label 8807: @532505
     /*  532505 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532576), // Rule ID 21584 //
     /*  532510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532542 */     // MIs[0] round
     /*  532542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532561 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532574 */     GIR_RootConstrainSelectedInstOperands,
     /*  532575 */     // GIR_Coverage, 21584,
     /*  532575 */     GIR_EraseRootFromParent_Done,
     /*  532576 */   // Label 8808: @532576
     /*  532576 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(532647), // Rule ID 21585 //
     /*  532581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532613 */     // MIs[0] round
     /*  532613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532623 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532632 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532645 */     GIR_RootConstrainSelectedInstOperands,
     /*  532646 */     // GIR_Coverage, 21585,
     /*  532646 */     GIR_EraseRootFromParent_Done,
     /*  532647 */   // Label 8809: @532647
     /*  532647 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(532718), // Rule ID 21588 //
     /*  532652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532684 */     // MIs[0] round
     /*  532684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532703 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532716 */     GIR_RootConstrainSelectedInstOperands,
     /*  532717 */     // GIR_Coverage, 21588,
     /*  532717 */     GIR_EraseRootFromParent_Done,
     /*  532718 */   // Label 8810: @532718
     /*  532718 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(532789), // Rule ID 21589 //
     /*  532723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532755 */     // MIs[0] round
     /*  532755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532774 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532787 */     GIR_RootConstrainSelectedInstOperands,
     /*  532788 */     // GIR_Coverage, 21589,
     /*  532788 */     GIR_EraseRootFromParent_Done,
     /*  532789 */   // Label 8811: @532789
     /*  532789 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(532860), // Rule ID 21592 //
     /*  532794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532826 */     // MIs[0] round
     /*  532826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532845 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532858 */     GIR_RootConstrainSelectedInstOperands,
     /*  532859 */     // GIR_Coverage, 21592,
     /*  532859 */     GIR_EraseRootFromParent_Done,
     /*  532860 */   // Label 8812: @532860
     /*  532860 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(532931), // Rule ID 21593 //
     /*  532865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532897 */     // MIs[0] round
     /*  532897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532916 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532929 */     GIR_RootConstrainSelectedInstOperands,
     /*  532930 */     // GIR_Coverage, 21593,
     /*  532930 */     GIR_EraseRootFromParent_Done,
     /*  532931 */   // Label 8813: @532931
     /*  532931 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(533002), // Rule ID 21596 //
     /*  532936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532968 */     // MIs[0] round
     /*  532968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532987 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533000 */     GIR_RootConstrainSelectedInstOperands,
     /*  533001 */     // GIR_Coverage, 21596,
     /*  533001 */     GIR_EraseRootFromParent_Done,
     /*  533002 */   // Label 8814: @533002
     /*  533002 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(533073), // Rule ID 21597 //
     /*  533007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533039 */     // MIs[0] round
     /*  533039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  533052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533058 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533071 */     GIR_RootConstrainSelectedInstOperands,
     /*  533072 */     // GIR_Coverage, 21597,
     /*  533072 */     GIR_EraseRootFromParent_Done,
     /*  533073 */   // Label 8815: @533073
     /*  533073 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(533144), // Rule ID 21600 //
     /*  533078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  533081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533110 */     // MIs[0] round
     /*  533110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533129 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533142 */     GIR_RootConstrainSelectedInstOperands,
     /*  533143 */     // GIR_Coverage, 21600,
     /*  533143 */     GIR_EraseRootFromParent_Done,
     /*  533144 */   // Label 8816: @533144
     /*  533144 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(533215), // Rule ID 21601 //
     /*  533149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533181 */     // MIs[0] round
     /*  533181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533200 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533213 */     GIR_RootConstrainSelectedInstOperands,
     /*  533214 */     // GIR_Coverage, 21601,
     /*  533214 */     GIR_EraseRootFromParent_Done,
     /*  533215 */   // Label 8817: @533215
     /*  533215 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(533286), // Rule ID 21724 //
     /*  533220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533252 */     // MIs[0] round
     /*  533252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533262 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  533265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533271 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533284 */     GIR_RootConstrainSelectedInstOperands,
     /*  533285 */     // GIR_Coverage, 21724,
     /*  533285 */     GIR_EraseRootFromParent_Done,
     /*  533286 */   // Label 8818: @533286
     /*  533286 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(533357), // Rule ID 21725 //
     /*  533291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533323 */     // MIs[0] round
     /*  533323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533333 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  533336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533342 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533355 */     GIR_RootConstrainSelectedInstOperands,
     /*  533356 */     // GIR_Coverage, 21725,
     /*  533356 */     GIR_EraseRootFromParent_Done,
     /*  533357 */   // Label 8819: @533357
     /*  533357 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(533428), // Rule ID 21728 //
     /*  533362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533394 */     // MIs[0] round
     /*  533394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533404 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  533407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533413 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533426 */     GIR_RootConstrainSelectedInstOperands,
     /*  533427 */     // GIR_Coverage, 21728,
     /*  533427 */     GIR_EraseRootFromParent_Done,
     /*  533428 */   // Label 8820: @533428
     /*  533428 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533499), // Rule ID 21729 //
     /*  533433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533465 */     // MIs[0] round
     /*  533465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533475 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  533478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533484 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533497 */     GIR_RootConstrainSelectedInstOperands,
     /*  533498 */     // GIR_Coverage, 21729,
     /*  533498 */     GIR_EraseRootFromParent_Done,
     /*  533499 */   // Label 8821: @533499
     /*  533499 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533570), // Rule ID 21732 //
     /*  533504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533536 */     // MIs[0] round
     /*  533536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533546 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533555 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533568 */     GIR_RootConstrainSelectedInstOperands,
     /*  533569 */     // GIR_Coverage, 21732,
     /*  533569 */     GIR_EraseRootFromParent_Done,
     /*  533570 */   // Label 8822: @533570
     /*  533570 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(533641), // Rule ID 21733 //
     /*  533575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533607 */     // MIs[0] round
     /*  533607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533617 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533626 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533639 */     GIR_RootConstrainSelectedInstOperands,
     /*  533640 */     // GIR_Coverage, 21733,
     /*  533640 */     GIR_EraseRootFromParent_Done,
     /*  533641 */   // Label 8823: @533641
     /*  533641 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(533712), // Rule ID 21736 //
     /*  533646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533678 */     // MIs[0] round
     /*  533678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533688 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533697 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533710 */     GIR_RootConstrainSelectedInstOperands,
     /*  533711 */     // GIR_Coverage, 21736,
     /*  533711 */     GIR_EraseRootFromParent_Done,
     /*  533712 */   // Label 8824: @533712
     /*  533712 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(533783), // Rule ID 21737 //
     /*  533717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533749 */     // MIs[0] round
     /*  533749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533768 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533781 */     GIR_RootConstrainSelectedInstOperands,
     /*  533782 */     // GIR_Coverage, 21737,
     /*  533782 */     GIR_EraseRootFromParent_Done,
     /*  533783 */   // Label 8825: @533783
     /*  533783 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(533854), // Rule ID 21740 //
     /*  533788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533820 */     // MIs[0] round
     /*  533820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533830 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533839 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533852 */     GIR_RootConstrainSelectedInstOperands,
     /*  533853 */     // GIR_Coverage, 21740,
     /*  533853 */     GIR_EraseRootFromParent_Done,
     /*  533854 */   // Label 8826: @533854
     /*  533854 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(533925), // Rule ID 21741 //
     /*  533859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533891 */     // MIs[0] round
     /*  533891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533901 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533910 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533923 */     GIR_RootConstrainSelectedInstOperands,
     /*  533924 */     // GIR_Coverage, 21741,
     /*  533924 */     GIR_EraseRootFromParent_Done,
     /*  533925 */   // Label 8827: @533925
     /*  533925 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533996), // Rule ID 21744 //
     /*  533930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533962 */     // MIs[0] round
     /*  533962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533972 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  533975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533981 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533994 */     GIR_RootConstrainSelectedInstOperands,
     /*  533995 */     // GIR_Coverage, 21744,
     /*  533995 */     GIR_EraseRootFromParent_Done,
     /*  533996 */   // Label 8828: @533996
     /*  533996 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(534067), // Rule ID 21745 //
     /*  534001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534033 */     // MIs[0] round
     /*  534033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534043 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  534046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534052 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534065 */     GIR_RootConstrainSelectedInstOperands,
     /*  534066 */     // GIR_Coverage, 21745,
     /*  534066 */     GIR_EraseRootFromParent_Done,
     /*  534067 */   // Label 8829: @534067
     /*  534067 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(534138), // Rule ID 21748 //
     /*  534072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534104 */     // MIs[0] round
     /*  534104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  534117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534123 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534136 */     GIR_RootConstrainSelectedInstOperands,
     /*  534137 */     // GIR_Coverage, 21748,
     /*  534137 */     GIR_EraseRootFromParent_Done,
     /*  534138 */   // Label 8830: @534138
     /*  534138 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(534209), // Rule ID 21749 //
     /*  534143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534175 */     // MIs[0] round
     /*  534175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534185 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  534188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534194 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534207 */     GIR_RootConstrainSelectedInstOperands,
     /*  534208 */     // GIR_Coverage, 21749,
     /*  534208 */     GIR_EraseRootFromParent_Done,
     /*  534209 */   // Label 8831: @534209
     /*  534209 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(534280), // Rule ID 21752 //
     /*  534214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534246 */     // MIs[0] round
     /*  534246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534256 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  534259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534265 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534278 */     GIR_RootConstrainSelectedInstOperands,
     /*  534279 */     // GIR_Coverage, 21752,
     /*  534279 */     GIR_EraseRootFromParent_Done,
     /*  534280 */   // Label 8832: @534280
     /*  534280 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(534351), // Rule ID 21753 //
     /*  534285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534317 */     // MIs[0] round
     /*  534317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  534330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534336 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534349 */     GIR_RootConstrainSelectedInstOperands,
     /*  534350 */     // GIR_Coverage, 21753,
     /*  534350 */     GIR_EraseRootFromParent_Done,
     /*  534351 */   // Label 8833: @534351
     /*  534351 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(534422), // Rule ID 21756 //
     /*  534356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534388 */     // MIs[0] round
     /*  534388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534398 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  534401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534407 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534420 */     GIR_RootConstrainSelectedInstOperands,
     /*  534421 */     // GIR_Coverage, 21756,
     /*  534421 */     GIR_EraseRootFromParent_Done,
     /*  534422 */   // Label 8834: @534422
     /*  534422 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534493), // Rule ID 21757 //
     /*  534427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534459 */     // MIs[0] round
     /*  534459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534469 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  534472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534478 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534491 */     GIR_RootConstrainSelectedInstOperands,
     /*  534492 */     // GIR_Coverage, 21757,
     /*  534492 */     GIR_EraseRootFromParent_Done,
     /*  534493 */   // Label 8835: @534493
     /*  534493 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534564), // Rule ID 21760 //
     /*  534498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534530 */     // MIs[0] round
     /*  534530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534540 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534549 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534562 */     GIR_RootConstrainSelectedInstOperands,
     /*  534563 */     // GIR_Coverage, 21760,
     /*  534563 */     GIR_EraseRootFromParent_Done,
     /*  534564 */   // Label 8836: @534564
     /*  534564 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534635), // Rule ID 21761 //
     /*  534569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534601 */     // MIs[0] round
     /*  534601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534611 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534620 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534633 */     GIR_RootConstrainSelectedInstOperands,
     /*  534634 */     // GIR_Coverage, 21761,
     /*  534634 */     GIR_EraseRootFromParent_Done,
     /*  534635 */   // Label 8837: @534635
     /*  534635 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(534706), // Rule ID 21764 //
     /*  534640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534672 */     // MIs[0] round
     /*  534672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534682 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534691 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534704 */     GIR_RootConstrainSelectedInstOperands,
     /*  534705 */     // GIR_Coverage, 21764,
     /*  534705 */     GIR_EraseRootFromParent_Done,
     /*  534706 */   // Label 8838: @534706
     /*  534706 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(534777), // Rule ID 21765 //
     /*  534711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534743 */     // MIs[0] round
     /*  534743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534753 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534762 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534775 */     GIR_RootConstrainSelectedInstOperands,
     /*  534776 */     // GIR_Coverage, 21765,
     /*  534776 */     GIR_EraseRootFromParent_Done,
     /*  534777 */   // Label 8839: @534777
     /*  534777 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(534848), // Rule ID 21768 //
     /*  534782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534814 */     // MIs[0] round
     /*  534814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534824 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534833 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534846 */     GIR_RootConstrainSelectedInstOperands,
     /*  534847 */     // GIR_Coverage, 21768,
     /*  534847 */     GIR_EraseRootFromParent_Done,
     /*  534848 */   // Label 8840: @534848
     /*  534848 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(534919), // Rule ID 21769 //
     /*  534853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534885 */     // MIs[0] round
     /*  534885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534904 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534917 */     GIR_RootConstrainSelectedInstOperands,
     /*  534918 */     // GIR_Coverage, 21769,
     /*  534918 */     GIR_EraseRootFromParent_Done,
     /*  534919 */   // Label 8841: @534919
     /*  534919 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534990), // Rule ID 21772 //
     /*  534924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534956 */     // MIs[0] round
     /*  534956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534966 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  534969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534975 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534988 */     GIR_RootConstrainSelectedInstOperands,
     /*  534989 */     // GIR_Coverage, 21772,
     /*  534989 */     GIR_EraseRootFromParent_Done,
     /*  534990 */   // Label 8842: @534990
     /*  534990 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(535061), // Rule ID 21773 //
     /*  534995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535027 */     // MIs[0] round
     /*  535027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535037 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  535040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535046 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535059 */     GIR_RootConstrainSelectedInstOperands,
     /*  535060 */     // GIR_Coverage, 21773,
     /*  535060 */     GIR_EraseRootFromParent_Done,
     /*  535061 */   // Label 8843: @535061
     /*  535061 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(535132), // Rule ID 21776 //
     /*  535066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535098 */     // MIs[0] round
     /*  535098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535108 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  535111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535117 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535130 */     GIR_RootConstrainSelectedInstOperands,
     /*  535131 */     // GIR_Coverage, 21776,
     /*  535131 */     GIR_EraseRootFromParent_Done,
     /*  535132 */   // Label 8844: @535132
     /*  535132 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(535203), // Rule ID 21777 //
     /*  535137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535169 */     // MIs[0] round
     /*  535169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535179 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  535182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535188 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535201 */     GIR_RootConstrainSelectedInstOperands,
     /*  535202 */     // GIR_Coverage, 21777,
     /*  535202 */     GIR_EraseRootFromParent_Done,
     /*  535203 */   // Label 8845: @535203
     /*  535203 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(535274), // Rule ID 21780 //
     /*  535208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535240 */     // MIs[0] round
     /*  535240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535250 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  535253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535259 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535272 */     GIR_RootConstrainSelectedInstOperands,
     /*  535273 */     // GIR_Coverage, 21780,
     /*  535273 */     GIR_EraseRootFromParent_Done,
     /*  535274 */   // Label 8846: @535274
     /*  535274 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(535345), // Rule ID 21781 //
     /*  535279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535311 */     // MIs[0] round
     /*  535311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535321 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  535324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535330 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535343 */     GIR_RootConstrainSelectedInstOperands,
     /*  535344 */     // GIR_Coverage, 21781,
     /*  535344 */     GIR_EraseRootFromParent_Done,
     /*  535345 */   // Label 8847: @535345
     /*  535345 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(535416), // Rule ID 21784 //
     /*  535350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535382 */     // MIs[0] round
     /*  535382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535392 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  535395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535401 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535414 */     GIR_RootConstrainSelectedInstOperands,
     /*  535415 */     // GIR_Coverage, 21784,
     /*  535415 */     GIR_EraseRootFromParent_Done,
     /*  535416 */   // Label 8848: @535416
     /*  535416 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(535487), // Rule ID 21785 //
     /*  535421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535453 */     // MIs[0] round
     /*  535453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535463 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  535466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535472 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535485 */     GIR_RootConstrainSelectedInstOperands,
     /*  535486 */     // GIR_Coverage, 21785,
     /*  535486 */     GIR_EraseRootFromParent_Done,
     /*  535487 */   // Label 8849: @535487
     /*  535487 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535558), // Rule ID 21788 //
     /*  535492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535524 */     // MIs[0] round
     /*  535524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535534 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535543 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535556 */     GIR_RootConstrainSelectedInstOperands,
     /*  535557 */     // GIR_Coverage, 21788,
     /*  535557 */     GIR_EraseRootFromParent_Done,
     /*  535558 */   // Label 8850: @535558
     /*  535558 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535629), // Rule ID 21789 //
     /*  535563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535595 */     // MIs[0] round
     /*  535595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535605 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535614 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535627 */     GIR_RootConstrainSelectedInstOperands,
     /*  535628 */     // GIR_Coverage, 21789,
     /*  535628 */     GIR_EraseRootFromParent_Done,
     /*  535629 */   // Label 8851: @535629
     /*  535629 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(535700), // Rule ID 21792 //
     /*  535634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535666 */     // MIs[0] round
     /*  535666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535676 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535685 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535698 */     GIR_RootConstrainSelectedInstOperands,
     /*  535699 */     // GIR_Coverage, 21792,
     /*  535699 */     GIR_EraseRootFromParent_Done,
     /*  535700 */   // Label 8852: @535700
     /*  535700 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(535771), // Rule ID 21793 //
     /*  535705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535737 */     // MIs[0] round
     /*  535737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535747 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535756 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535769 */     GIR_RootConstrainSelectedInstOperands,
     /*  535770 */     // GIR_Coverage, 21793,
     /*  535770 */     GIR_EraseRootFromParent_Done,
     /*  535771 */   // Label 8853: @535771
     /*  535771 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(535842), // Rule ID 21796 //
     /*  535776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535808 */     // MIs[0] round
     /*  535808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535818 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535827 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535840 */     GIR_RootConstrainSelectedInstOperands,
     /*  535841 */     // GIR_Coverage, 21796,
     /*  535841 */     GIR_EraseRootFromParent_Done,
     /*  535842 */   // Label 8854: @535842
     /*  535842 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(535913), // Rule ID 21797 //
     /*  535847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535879 */     // MIs[0] round
     /*  535879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535889 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535898 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535911 */     GIR_RootConstrainSelectedInstOperands,
     /*  535912 */     // GIR_Coverage, 21797,
     /*  535912 */     GIR_EraseRootFromParent_Done,
     /*  535913 */   // Label 8855: @535913
     /*  535913 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535984), // Rule ID 21800 //
     /*  535918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535950 */     // MIs[0] round
     /*  535950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  535963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535969 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535982 */     GIR_RootConstrainSelectedInstOperands,
     /*  535983 */     // GIR_Coverage, 21800,
     /*  535983 */     GIR_EraseRootFromParent_Done,
     /*  535984 */   // Label 8856: @535984
     /*  535984 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(536055), // Rule ID 21801 //
     /*  535989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  536000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  536003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  536006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536021 */     // MIs[0] round
     /*  536021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  536034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536040 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536053 */     GIR_RootConstrainSelectedInstOperands,
     /*  536054 */     // GIR_Coverage, 21801,
     /*  536054 */     GIR_EraseRootFromParent_Done,
     /*  536055 */   // Label 8857: @536055
     /*  536055 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(536126), // Rule ID 21804 //
     /*  536060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  536063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536092 */     // MIs[0] round
     /*  536092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536102 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  536105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536111 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536124 */     GIR_RootConstrainSelectedInstOperands,
     /*  536125 */     // GIR_Coverage, 21804,
     /*  536125 */     GIR_EraseRootFromParent_Done,
     /*  536126 */   // Label 8858: @536126
     /*  536126 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(536197), // Rule ID 21805 //
     /*  536131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  536134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536163 */     // MIs[0] round
     /*  536163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536173 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  536176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536182 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536195 */     GIR_RootConstrainSelectedInstOperands,
     /*  536196 */     // GIR_Coverage, 21805,
     /*  536196 */     GIR_EraseRootFromParent_Done,
     /*  536197 */   // Label 8859: @536197
     /*  536197 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(536268), // Rule ID 21808 //
     /*  536202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  536205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  536219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536234 */     // MIs[0] round
     /*  536234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536244 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  536247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536253 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536266 */     GIR_RootConstrainSelectedInstOperands,
     /*  536267 */     // GIR_Coverage, 21808,
     /*  536267 */     GIR_EraseRootFromParent_Done,
     /*  536268 */   // Label 8860: @536268
     /*  536268 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(536339), // Rule ID 21809 //
     /*  536273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  536276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  536290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536305 */     // MIs[0] round
     /*  536305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536315 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  536318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536324 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536337 */     GIR_RootConstrainSelectedInstOperands,
     /*  536338 */     // GIR_Coverage, 21809,
     /*  536338 */     GIR_EraseRootFromParent_Done,
     /*  536339 */   // Label 8861: @536339
     /*  536339 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(536410), // Rule ID 21812 //
     /*  536344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536376 */     // MIs[0] round
     /*  536376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536386 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536395 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536408 */     GIR_RootConstrainSelectedInstOperands,
     /*  536409 */     // GIR_Coverage, 21812,
     /*  536409 */     GIR_EraseRootFromParent_Done,
     /*  536410 */   // Label 8862: @536410
     /*  536410 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(536481), // Rule ID 21813 //
     /*  536415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536447 */     // MIs[0] round
     /*  536447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536457 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536466 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536479 */     GIR_RootConstrainSelectedInstOperands,
     /*  536480 */     // GIR_Coverage, 21813,
     /*  536480 */     GIR_EraseRootFromParent_Done,
     /*  536481 */   // Label 8863: @536481
     /*  536481 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536552), // Rule ID 21816 //
     /*  536486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536518 */     // MIs[0] round
     /*  536518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536537 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536550 */     GIR_RootConstrainSelectedInstOperands,
     /*  536551 */     // GIR_Coverage, 21816,
     /*  536551 */     GIR_EraseRootFromParent_Done,
     /*  536552 */   // Label 8864: @536552
     /*  536552 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536623), // Rule ID 21817 //
     /*  536557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536589 */     // MIs[0] round
     /*  536589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536599 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536608 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536621 */     GIR_RootConstrainSelectedInstOperands,
     /*  536622 */     // GIR_Coverage, 21817,
     /*  536622 */     GIR_EraseRootFromParent_Done,
     /*  536623 */   // Label 8865: @536623
     /*  536623 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(536694), // Rule ID 21820 //
     /*  536628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536660 */     // MIs[0] round
     /*  536660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536670 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536679 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536692 */     GIR_RootConstrainSelectedInstOperands,
     /*  536693 */     // GIR_Coverage, 21820,
     /*  536693 */     GIR_EraseRootFromParent_Done,
     /*  536694 */   // Label 8866: @536694
     /*  536694 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(536765), // Rule ID 21821 //
     /*  536699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536731 */     // MIs[0] round
     /*  536731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536741 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536750 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536763 */     GIR_RootConstrainSelectedInstOperands,
     /*  536764 */     // GIR_Coverage, 21821,
     /*  536764 */     GIR_EraseRootFromParent_Done,
     /*  536765 */   // Label 8867: @536765
     /*  536765 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(536836), // Rule ID 21824 //
     /*  536770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536802 */     // MIs[0] round
     /*  536802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536812 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536821 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536834 */     GIR_RootConstrainSelectedInstOperands,
     /*  536835 */     // GIR_Coverage, 21824,
     /*  536835 */     GIR_EraseRootFromParent_Done,
     /*  536836 */   // Label 8868: @536836
     /*  536836 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(536907), // Rule ID 21825 //
     /*  536841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536873 */     // MIs[0] round
     /*  536873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536883 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536892 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536905 */     GIR_RootConstrainSelectedInstOperands,
     /*  536906 */     // GIR_Coverage, 21825,
     /*  536906 */     GIR_EraseRootFromParent_Done,
     /*  536907 */   // Label 8869: @536907
     /*  536907 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536978), // Rule ID 21828 //
     /*  536912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536944 */     // MIs[0] round
     /*  536944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536954 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  536957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536963 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536976 */     GIR_RootConstrainSelectedInstOperands,
     /*  536977 */     // GIR_Coverage, 21828,
     /*  536977 */     GIR_EraseRootFromParent_Done,
     /*  536978 */   // Label 8870: @536978
     /*  536978 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(537049), // Rule ID 21829 //
     /*  536983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  537000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537015 */     // MIs[0] round
     /*  537015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537025 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  537028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537034 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537047 */     GIR_RootConstrainSelectedInstOperands,
     /*  537048 */     // GIR_Coverage, 21829,
     /*  537048 */     GIR_EraseRootFromParent_Done,
     /*  537049 */   // Label 8871: @537049
     /*  537049 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(537120), // Rule ID 2646 //
     /*  537054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537082 */     // MIs[0] passthru
     /*  537082 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  537101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537118 */     GIR_RootConstrainSelectedInstOperands,
     /*  537119 */     // GIR_Coverage, 2646,
     /*  537119 */     GIR_EraseRootFromParent_Done,
     /*  537120 */   // Label 8872: @537120
     /*  537120 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(537191), // Rule ID 2647 //
     /*  537125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537153 */     // MIs[0] passthru
     /*  537153 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537169 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  537172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537189 */     GIR_RootConstrainSelectedInstOperands,
     /*  537190 */     // GIR_Coverage, 2647,
     /*  537190 */     GIR_EraseRootFromParent_Done,
     /*  537191 */   // Label 8873: @537191
     /*  537191 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(537262), // Rule ID 3954 //
     /*  537196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537224 */     // MIs[0] passthru
     /*  537224 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537240 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537260 */     GIR_RootConstrainSelectedInstOperands,
     /*  537261 */     // GIR_Coverage, 3954,
     /*  537261 */     GIR_EraseRootFromParent_Done,
     /*  537262 */   // Label 8874: @537262
     /*  537262 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(537333), // Rule ID 3955 //
     /*  537267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537295 */     // MIs[0] passthru
     /*  537295 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537331 */     GIR_RootConstrainSelectedInstOperands,
     /*  537332 */     // GIR_Coverage, 3955,
     /*  537332 */     GIR_EraseRootFromParent_Done,
     /*  537333 */   // Label 8875: @537333
     /*  537333 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(537404), // Rule ID 3964 //
     /*  537338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537366 */     // MIs[0] passthru
     /*  537366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537402 */     GIR_RootConstrainSelectedInstOperands,
     /*  537403 */     // GIR_Coverage, 3964,
     /*  537403 */     GIR_EraseRootFromParent_Done,
     /*  537404 */   // Label 8876: @537404
     /*  537404 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(537475), // Rule ID 3965 //
     /*  537409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537437 */     // MIs[0] passthru
     /*  537437 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537473 */     GIR_RootConstrainSelectedInstOperands,
     /*  537474 */     // GIR_Coverage, 3965,
     /*  537474 */     GIR_EraseRootFromParent_Done,
     /*  537475 */   // Label 8877: @537475
     /*  537475 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537546), // Rule ID 3974 //
     /*  537480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537508 */     // MIs[0] passthru
     /*  537508 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537544 */     GIR_RootConstrainSelectedInstOperands,
     /*  537545 */     // GIR_Coverage, 3974,
     /*  537545 */     GIR_EraseRootFromParent_Done,
     /*  537546 */   // Label 8878: @537546
     /*  537546 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537617), // Rule ID 3975 //
     /*  537551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537579 */     // MIs[0] passthru
     /*  537579 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537595 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537615 */     GIR_RootConstrainSelectedInstOperands,
     /*  537616 */     // GIR_Coverage, 3975,
     /*  537616 */     GIR_EraseRootFromParent_Done,
     /*  537617 */   // Label 8879: @537617
     /*  537617 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(537688), // Rule ID 3984 //
     /*  537622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537650 */     // MIs[0] passthru
     /*  537650 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537686 */     GIR_RootConstrainSelectedInstOperands,
     /*  537687 */     // GIR_Coverage, 3984,
     /*  537687 */     GIR_EraseRootFromParent_Done,
     /*  537688 */   // Label 8880: @537688
     /*  537688 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(537759), // Rule ID 3985 //
     /*  537693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537721 */     // MIs[0] passthru
     /*  537721 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537737 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537757 */     GIR_RootConstrainSelectedInstOperands,
     /*  537758 */     // GIR_Coverage, 3985,
     /*  537758 */     GIR_EraseRootFromParent_Done,
     /*  537759 */   // Label 8881: @537759
     /*  537759 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(537830), // Rule ID 3994 //
     /*  537764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537792 */     // MIs[0] passthru
     /*  537792 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537828 */     GIR_RootConstrainSelectedInstOperands,
     /*  537829 */     // GIR_Coverage, 3994,
     /*  537829 */     GIR_EraseRootFromParent_Done,
     /*  537830 */   // Label 8882: @537830
     /*  537830 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(537901), // Rule ID 3995 //
     /*  537835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537863 */     // MIs[0] passthru
     /*  537863 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537879 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537899 */     GIR_RootConstrainSelectedInstOperands,
     /*  537900 */     // GIR_Coverage, 3995,
     /*  537900 */     GIR_EraseRootFromParent_Done,
     /*  537901 */   // Label 8883: @537901
     /*  537901 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537972), // Rule ID 4004 //
     /*  537906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537934 */     // MIs[0] passthru
     /*  537934 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537970 */     GIR_RootConstrainSelectedInstOperands,
     /*  537971 */     // GIR_Coverage, 4004,
     /*  537971 */     GIR_EraseRootFromParent_Done,
     /*  537972 */   // Label 8884: @537972
     /*  537972 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(538043), // Rule ID 4005 //
     /*  537977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538005 */     // MIs[0] passthru
     /*  538005 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  538024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538041 */     GIR_RootConstrainSelectedInstOperands,
     /*  538042 */     // GIR_Coverage, 4005,
     /*  538042 */     GIR_EraseRootFromParent_Done,
     /*  538043 */   // Label 8885: @538043
     /*  538043 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(538114), // Rule ID 4014 //
     /*  538048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538076 */     // MIs[0] passthru
     /*  538076 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538112 */     GIR_RootConstrainSelectedInstOperands,
     /*  538113 */     // GIR_Coverage, 4014,
     /*  538113 */     GIR_EraseRootFromParent_Done,
     /*  538114 */   // Label 8886: @538114
     /*  538114 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(538185), // Rule ID 4015 //
     /*  538119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538147 */     // MIs[0] passthru
     /*  538147 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538183 */     GIR_RootConstrainSelectedInstOperands,
     /*  538184 */     // GIR_Coverage, 4015,
     /*  538184 */     GIR_EraseRootFromParent_Done,
     /*  538185 */   // Label 8887: @538185
     /*  538185 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(538256), // Rule ID 4024 //
     /*  538190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538218 */     // MIs[0] passthru
     /*  538218 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538254 */     GIR_RootConstrainSelectedInstOperands,
     /*  538255 */     // GIR_Coverage, 4024,
     /*  538255 */     GIR_EraseRootFromParent_Done,
     /*  538256 */   // Label 8888: @538256
     /*  538256 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(538327), // Rule ID 4025 //
     /*  538261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538289 */     // MIs[0] passthru
     /*  538289 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538325 */     GIR_RootConstrainSelectedInstOperands,
     /*  538326 */     // GIR_Coverage, 4025,
     /*  538326 */     GIR_EraseRootFromParent_Done,
     /*  538327 */   // Label 8889: @538327
     /*  538327 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(538398), // Rule ID 4034 //
     /*  538332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538360 */     // MIs[0] passthru
     /*  538360 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538396 */     GIR_RootConstrainSelectedInstOperands,
     /*  538397 */     // GIR_Coverage, 4034,
     /*  538397 */     GIR_EraseRootFromParent_Done,
     /*  538398 */   // Label 8890: @538398
     /*  538398 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(538469), // Rule ID 4035 //
     /*  538403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538431 */     // MIs[0] passthru
     /*  538431 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538467 */     GIR_RootConstrainSelectedInstOperands,
     /*  538468 */     // GIR_Coverage, 4035,
     /*  538468 */     GIR_EraseRootFromParent_Done,
     /*  538469 */   // Label 8891: @538469
     /*  538469 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538540), // Rule ID 4044 //
     /*  538474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538502 */     // MIs[0] passthru
     /*  538502 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538538 */     GIR_RootConstrainSelectedInstOperands,
     /*  538539 */     // GIR_Coverage, 4044,
     /*  538539 */     GIR_EraseRootFromParent_Done,
     /*  538540 */   // Label 8892: @538540
     /*  538540 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538611), // Rule ID 4045 //
     /*  538545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538573 */     // MIs[0] passthru
     /*  538573 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538589 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538609 */     GIR_RootConstrainSelectedInstOperands,
     /*  538610 */     // GIR_Coverage, 4045,
     /*  538610 */     GIR_EraseRootFromParent_Done,
     /*  538611 */   // Label 8893: @538611
     /*  538611 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(538682), // Rule ID 4054 //
     /*  538616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538644 */     // MIs[0] passthru
     /*  538644 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538680 */     GIR_RootConstrainSelectedInstOperands,
     /*  538681 */     // GIR_Coverage, 4054,
     /*  538681 */     GIR_EraseRootFromParent_Done,
     /*  538682 */   // Label 8894: @538682
     /*  538682 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(538753), // Rule ID 4055 //
     /*  538687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538715 */     // MIs[0] passthru
     /*  538715 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538751 */     GIR_RootConstrainSelectedInstOperands,
     /*  538752 */     // GIR_Coverage, 4055,
     /*  538752 */     GIR_EraseRootFromParent_Done,
     /*  538753 */   // Label 8895: @538753
     /*  538753 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(538824), // Rule ID 4064 //
     /*  538758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538786 */     // MIs[0] passthru
     /*  538786 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538822 */     GIR_RootConstrainSelectedInstOperands,
     /*  538823 */     // GIR_Coverage, 4064,
     /*  538823 */     GIR_EraseRootFromParent_Done,
     /*  538824 */   // Label 8896: @538824
     /*  538824 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(538895), // Rule ID 4065 //
     /*  538829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538857 */     // MIs[0] passthru
     /*  538857 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538873 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538893 */     GIR_RootConstrainSelectedInstOperands,
     /*  538894 */     // GIR_Coverage, 4065,
     /*  538894 */     GIR_EraseRootFromParent_Done,
     /*  538895 */   // Label 8897: @538895
     /*  538895 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538966), // Rule ID 4074 //
     /*  538900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538928 */     // MIs[0] passthru
     /*  538928 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538964 */     GIR_RootConstrainSelectedInstOperands,
     /*  538965 */     // GIR_Coverage, 4074,
     /*  538965 */     GIR_EraseRootFromParent_Done,
     /*  538966 */   // Label 8898: @538966
     /*  538966 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(539037), // Rule ID 4075 //
     /*  538971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538999 */     // MIs[0] passthru
     /*  538999 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  539018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539035 */     GIR_RootConstrainSelectedInstOperands,
     /*  539036 */     // GIR_Coverage, 4075,
     /*  539036 */     GIR_EraseRootFromParent_Done,
     /*  539037 */   // Label 8899: @539037
     /*  539037 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(539108), // Rule ID 4084 //
     /*  539042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539070 */     // MIs[0] passthru
     /*  539070 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539106 */     GIR_RootConstrainSelectedInstOperands,
     /*  539107 */     // GIR_Coverage, 4084,
     /*  539107 */     GIR_EraseRootFromParent_Done,
     /*  539108 */   // Label 8900: @539108
     /*  539108 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(539179), // Rule ID 4085 //
     /*  539113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539141 */     // MIs[0] passthru
     /*  539141 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539157 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539177 */     GIR_RootConstrainSelectedInstOperands,
     /*  539178 */     // GIR_Coverage, 4085,
     /*  539178 */     GIR_EraseRootFromParent_Done,
     /*  539179 */   // Label 8901: @539179
     /*  539179 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(539250), // Rule ID 4154 //
     /*  539184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539212 */     // MIs[0] passthru
     /*  539212 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  539231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539248 */     GIR_RootConstrainSelectedInstOperands,
     /*  539249 */     // GIR_Coverage, 4154,
     /*  539249 */     GIR_EraseRootFromParent_Done,
     /*  539250 */   // Label 8902: @539250
     /*  539250 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(539321), // Rule ID 4155 //
     /*  539255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539283 */     // MIs[0] passthru
     /*  539283 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  539302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539319 */     GIR_RootConstrainSelectedInstOperands,
     /*  539320 */     // GIR_Coverage, 4155,
     /*  539320 */     GIR_EraseRootFromParent_Done,
     /*  539321 */   // Label 8903: @539321
     /*  539321 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(539392), // Rule ID 4164 //
     /*  539326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539354 */     // MIs[0] passthru
     /*  539354 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539390 */     GIR_RootConstrainSelectedInstOperands,
     /*  539391 */     // GIR_Coverage, 4164,
     /*  539391 */     GIR_EraseRootFromParent_Done,
     /*  539392 */   // Label 8904: @539392
     /*  539392 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(539463), // Rule ID 4165 //
     /*  539397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539425 */     // MIs[0] passthru
     /*  539425 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539461 */     GIR_RootConstrainSelectedInstOperands,
     /*  539462 */     // GIR_Coverage, 4165,
     /*  539462 */     GIR_EraseRootFromParent_Done,
     /*  539463 */   // Label 8905: @539463
     /*  539463 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539534), // Rule ID 4174 //
     /*  539468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539496 */     // MIs[0] passthru
     /*  539496 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539532 */     GIR_RootConstrainSelectedInstOperands,
     /*  539533 */     // GIR_Coverage, 4174,
     /*  539533 */     GIR_EraseRootFromParent_Done,
     /*  539534 */   // Label 8906: @539534
     /*  539534 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539605), // Rule ID 4175 //
     /*  539539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539567 */     // MIs[0] passthru
     /*  539567 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539603 */     GIR_RootConstrainSelectedInstOperands,
     /*  539604 */     // GIR_Coverage, 4175,
     /*  539604 */     GIR_EraseRootFromParent_Done,
     /*  539605 */   // Label 8907: @539605
     /*  539605 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(539676), // Rule ID 4184 //
     /*  539610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539638 */     // MIs[0] passthru
     /*  539638 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539674 */     GIR_RootConstrainSelectedInstOperands,
     /*  539675 */     // GIR_Coverage, 4184,
     /*  539675 */     GIR_EraseRootFromParent_Done,
     /*  539676 */   // Label 8908: @539676
     /*  539676 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(539747), // Rule ID 4185 //
     /*  539681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539709 */     // MIs[0] passthru
     /*  539709 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539745 */     GIR_RootConstrainSelectedInstOperands,
     /*  539746 */     // GIR_Coverage, 4185,
     /*  539746 */     GIR_EraseRootFromParent_Done,
     /*  539747 */   // Label 8909: @539747
     /*  539747 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(539818), // Rule ID 4194 //
     /*  539752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539780 */     // MIs[0] passthru
     /*  539780 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539816 */     GIR_RootConstrainSelectedInstOperands,
     /*  539817 */     // GIR_Coverage, 4194,
     /*  539817 */     GIR_EraseRootFromParent_Done,
     /*  539818 */   // Label 8910: @539818
     /*  539818 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(539889), // Rule ID 4195 //
     /*  539823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539851 */     // MIs[0] passthru
     /*  539851 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539887 */     GIR_RootConstrainSelectedInstOperands,
     /*  539888 */     // GIR_Coverage, 4195,
     /*  539888 */     GIR_EraseRootFromParent_Done,
     /*  539889 */   // Label 8911: @539889
     /*  539889 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539960), // Rule ID 4204 //
     /*  539894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539922 */     // MIs[0] passthru
     /*  539922 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539938 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539958 */     GIR_RootConstrainSelectedInstOperands,
     /*  539959 */     // GIR_Coverage, 4204,
     /*  539959 */     GIR_EraseRootFromParent_Done,
     /*  539960 */   // Label 8912: @539960
     /*  539960 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(540031), // Rule ID 4205 //
     /*  539965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539993 */     // MIs[0] passthru
     /*  539993 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540009 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540029 */     GIR_RootConstrainSelectedInstOperands,
     /*  540030 */     // GIR_Coverage, 4205,
     /*  540030 */     GIR_EraseRootFromParent_Done,
     /*  540031 */   // Label 8913: @540031
     /*  540031 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(540102), // Rule ID 4214 //
     /*  540036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540064 */     // MIs[0] passthru
     /*  540064 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540100 */     GIR_RootConstrainSelectedInstOperands,
     /*  540101 */     // GIR_Coverage, 4214,
     /*  540101 */     GIR_EraseRootFromParent_Done,
     /*  540102 */   // Label 8914: @540102
     /*  540102 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(540173), // Rule ID 4215 //
     /*  540107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540135 */     // MIs[0] passthru
     /*  540135 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540171 */     GIR_RootConstrainSelectedInstOperands,
     /*  540172 */     // GIR_Coverage, 4215,
     /*  540172 */     GIR_EraseRootFromParent_Done,
     /*  540173 */   // Label 8915: @540173
     /*  540173 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(540244), // Rule ID 4224 //
     /*  540178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540206 */     // MIs[0] passthru
     /*  540206 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540242 */     GIR_RootConstrainSelectedInstOperands,
     /*  540243 */     // GIR_Coverage, 4224,
     /*  540243 */     GIR_EraseRootFromParent_Done,
     /*  540244 */   // Label 8916: @540244
     /*  540244 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(540315), // Rule ID 4225 //
     /*  540249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540277 */     // MIs[0] passthru
     /*  540277 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540313 */     GIR_RootConstrainSelectedInstOperands,
     /*  540314 */     // GIR_Coverage, 4225,
     /*  540314 */     GIR_EraseRootFromParent_Done,
     /*  540315 */   // Label 8917: @540315
     /*  540315 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(540386), // Rule ID 4234 //
     /*  540320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540348 */     // MIs[0] passthru
     /*  540348 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540384 */     GIR_RootConstrainSelectedInstOperands,
     /*  540385 */     // GIR_Coverage, 4234,
     /*  540385 */     GIR_EraseRootFromParent_Done,
     /*  540386 */   // Label 8918: @540386
     /*  540386 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(540457), // Rule ID 4235 //
     /*  540391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540419 */     // MIs[0] passthru
     /*  540419 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540455 */     GIR_RootConstrainSelectedInstOperands,
     /*  540456 */     // GIR_Coverage, 4235,
     /*  540456 */     GIR_EraseRootFromParent_Done,
     /*  540457 */   // Label 8919: @540457
     /*  540457 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540528), // Rule ID 4244 //
     /*  540462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540490 */     // MIs[0] passthru
     /*  540490 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540526 */     GIR_RootConstrainSelectedInstOperands,
     /*  540527 */     // GIR_Coverage, 4244,
     /*  540527 */     GIR_EraseRootFromParent_Done,
     /*  540528 */   // Label 8920: @540528
     /*  540528 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540599), // Rule ID 4245 //
     /*  540533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540561 */     // MIs[0] passthru
     /*  540561 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540577 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540597 */     GIR_RootConstrainSelectedInstOperands,
     /*  540598 */     // GIR_Coverage, 4245,
     /*  540598 */     GIR_EraseRootFromParent_Done,
     /*  540599 */   // Label 8921: @540599
     /*  540599 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(540670), // Rule ID 4254 //
     /*  540604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540632 */     // MIs[0] passthru
     /*  540632 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540668 */     GIR_RootConstrainSelectedInstOperands,
     /*  540669 */     // GIR_Coverage, 4254,
     /*  540669 */     GIR_EraseRootFromParent_Done,
     /*  540670 */   // Label 8922: @540670
     /*  540670 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(540741), // Rule ID 4255 //
     /*  540675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540703 */     // MIs[0] passthru
     /*  540703 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540739 */     GIR_RootConstrainSelectedInstOperands,
     /*  540740 */     // GIR_Coverage, 4255,
     /*  540740 */     GIR_EraseRootFromParent_Done,
     /*  540741 */   // Label 8923: @540741
     /*  540741 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(540812), // Rule ID 4264 //
     /*  540746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540774 */     // MIs[0] passthru
     /*  540774 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540810 */     GIR_RootConstrainSelectedInstOperands,
     /*  540811 */     // GIR_Coverage, 4264,
     /*  540811 */     GIR_EraseRootFromParent_Done,
     /*  540812 */   // Label 8924: @540812
     /*  540812 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(540883), // Rule ID 4265 //
     /*  540817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540845 */     // MIs[0] passthru
     /*  540845 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540881 */     GIR_RootConstrainSelectedInstOperands,
     /*  540882 */     // GIR_Coverage, 4265,
     /*  540882 */     GIR_EraseRootFromParent_Done,
     /*  540883 */   // Label 8925: @540883
     /*  540883 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540954), // Rule ID 4274 //
     /*  540888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540916 */     // MIs[0] passthru
     /*  540916 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540952 */     GIR_RootConstrainSelectedInstOperands,
     /*  540953 */     // GIR_Coverage, 4274,
     /*  540953 */     GIR_EraseRootFromParent_Done,
     /*  540954 */   // Label 8926: @540954
     /*  540954 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(541025), // Rule ID 4275 //
     /*  540959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540987 */     // MIs[0] passthru
     /*  540987 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  541006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541023 */     GIR_RootConstrainSelectedInstOperands,
     /*  541024 */     // GIR_Coverage, 4275,
     /*  541024 */     GIR_EraseRootFromParent_Done,
     /*  541025 */   // Label 8927: @541025
     /*  541025 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(541096), // Rule ID 4284 //
     /*  541030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541058 */     // MIs[0] passthru
     /*  541058 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541094 */     GIR_RootConstrainSelectedInstOperands,
     /*  541095 */     // GIR_Coverage, 4284,
     /*  541095 */     GIR_EraseRootFromParent_Done,
     /*  541096 */   // Label 8928: @541096
     /*  541096 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(541167), // Rule ID 4285 //
     /*  541101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541129 */     // MIs[0] passthru
     /*  541129 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541145 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541165 */     GIR_RootConstrainSelectedInstOperands,
     /*  541166 */     // GIR_Coverage, 4285,
     /*  541166 */     GIR_EraseRootFromParent_Done,
     /*  541167 */   // Label 8929: @541167
     /*  541167 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(541238), // Rule ID 4294 //
     /*  541172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541200 */     // MIs[0] passthru
     /*  541200 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541236 */     GIR_RootConstrainSelectedInstOperands,
     /*  541237 */     // GIR_Coverage, 4294,
     /*  541237 */     GIR_EraseRootFromParent_Done,
     /*  541238 */   // Label 8930: @541238
     /*  541238 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(541309), // Rule ID 4295 //
     /*  541243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541271 */     // MIs[0] passthru
     /*  541271 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541307 */     GIR_RootConstrainSelectedInstOperands,
     /*  541308 */     // GIR_Coverage, 4295,
     /*  541308 */     GIR_EraseRootFromParent_Done,
     /*  541309 */   // Label 8931: @541309
     /*  541309 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(541380), // Rule ID 4364 //
     /*  541314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541342 */     // MIs[0] passthru
     /*  541342 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  541361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541378 */     GIR_RootConstrainSelectedInstOperands,
     /*  541379 */     // GIR_Coverage, 4364,
     /*  541379 */     GIR_EraseRootFromParent_Done,
     /*  541380 */   // Label 8932: @541380
     /*  541380 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(541451), // Rule ID 4365 //
     /*  541385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541413 */     // MIs[0] passthru
     /*  541413 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  541432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541449 */     GIR_RootConstrainSelectedInstOperands,
     /*  541450 */     // GIR_Coverage, 4365,
     /*  541450 */     GIR_EraseRootFromParent_Done,
     /*  541451 */   // Label 8933: @541451
     /*  541451 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541522), // Rule ID 4374 //
     /*  541456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541484 */     // MIs[0] passthru
     /*  541484 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541520 */     GIR_RootConstrainSelectedInstOperands,
     /*  541521 */     // GIR_Coverage, 4374,
     /*  541521 */     GIR_EraseRootFromParent_Done,
     /*  541522 */   // Label 8934: @541522
     /*  541522 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541593), // Rule ID 4375 //
     /*  541527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541555 */     // MIs[0] passthru
     /*  541555 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541591 */     GIR_RootConstrainSelectedInstOperands,
     /*  541592 */     // GIR_Coverage, 4375,
     /*  541592 */     GIR_EraseRootFromParent_Done,
     /*  541593 */   // Label 8935: @541593
     /*  541593 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(541664), // Rule ID 4384 //
     /*  541598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541626 */     // MIs[0] passthru
     /*  541626 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541662 */     GIR_RootConstrainSelectedInstOperands,
     /*  541663 */     // GIR_Coverage, 4384,
     /*  541663 */     GIR_EraseRootFromParent_Done,
     /*  541664 */   // Label 8936: @541664
     /*  541664 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(541735), // Rule ID 4385 //
     /*  541669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541697 */     // MIs[0] passthru
     /*  541697 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541713 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541733 */     GIR_RootConstrainSelectedInstOperands,
     /*  541734 */     // GIR_Coverage, 4385,
     /*  541734 */     GIR_EraseRootFromParent_Done,
     /*  541735 */   // Label 8937: @541735
     /*  541735 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(541806), // Rule ID 4394 //
     /*  541740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541768 */     // MIs[0] passthru
     /*  541768 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541804 */     GIR_RootConstrainSelectedInstOperands,
     /*  541805 */     // GIR_Coverage, 4394,
     /*  541805 */     GIR_EraseRootFromParent_Done,
     /*  541806 */   // Label 8938: @541806
     /*  541806 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541877), // Rule ID 4395 //
     /*  541811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541839 */     // MIs[0] passthru
     /*  541839 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541875 */     GIR_RootConstrainSelectedInstOperands,
     /*  541876 */     // GIR_Coverage, 4395,
     /*  541876 */     GIR_EraseRootFromParent_Done,
     /*  541877 */   // Label 8939: @541877
     /*  541877 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541948), // Rule ID 4404 //
     /*  541882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541910 */     // MIs[0] passthru
     /*  541910 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541946 */     GIR_RootConstrainSelectedInstOperands,
     /*  541947 */     // GIR_Coverage, 4404,
     /*  541947 */     GIR_EraseRootFromParent_Done,
     /*  541948 */   // Label 8940: @541948
     /*  541948 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(542019), // Rule ID 4405 //
     /*  541953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541981 */     // MIs[0] passthru
     /*  541981 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542017 */     GIR_RootConstrainSelectedInstOperands,
     /*  542018 */     // GIR_Coverage, 4405,
     /*  542018 */     GIR_EraseRootFromParent_Done,
     /*  542019 */   // Label 8941: @542019
     /*  542019 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(542090), // Rule ID 4414 //
     /*  542024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542052 */     // MIs[0] passthru
     /*  542052 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542068 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542088 */     GIR_RootConstrainSelectedInstOperands,
     /*  542089 */     // GIR_Coverage, 4414,
     /*  542089 */     GIR_EraseRootFromParent_Done,
     /*  542090 */   // Label 8942: @542090
     /*  542090 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(542161), // Rule ID 4415 //
     /*  542095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542123 */     // MIs[0] passthru
     /*  542123 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542159 */     GIR_RootConstrainSelectedInstOperands,
     /*  542160 */     // GIR_Coverage, 4415,
     /*  542160 */     GIR_EraseRootFromParent_Done,
     /*  542161 */   // Label 8943: @542161
     /*  542161 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(542232), // Rule ID 4424 //
     /*  542166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542194 */     // MIs[0] passthru
     /*  542194 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542230 */     GIR_RootConstrainSelectedInstOperands,
     /*  542231 */     // GIR_Coverage, 4424,
     /*  542231 */     GIR_EraseRootFromParent_Done,
     /*  542232 */   // Label 8944: @542232
     /*  542232 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(542303), // Rule ID 4425 //
     /*  542237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542265 */     // MIs[0] passthru
     /*  542265 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542301 */     GIR_RootConstrainSelectedInstOperands,
     /*  542302 */     // GIR_Coverage, 4425,
     /*  542302 */     GIR_EraseRootFromParent_Done,
     /*  542303 */   // Label 8945: @542303
     /*  542303 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(542374), // Rule ID 4434 //
     /*  542308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542336 */     // MIs[0] passthru
     /*  542336 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542372 */     GIR_RootConstrainSelectedInstOperands,
     /*  542373 */     // GIR_Coverage, 4434,
     /*  542373 */     GIR_EraseRootFromParent_Done,
     /*  542374 */   // Label 8946: @542374
     /*  542374 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(542445), // Rule ID 4435 //
     /*  542379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542407 */     // MIs[0] passthru
     /*  542407 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542443 */     GIR_RootConstrainSelectedInstOperands,
     /*  542444 */     // GIR_Coverage, 4435,
     /*  542444 */     GIR_EraseRootFromParent_Done,
     /*  542445 */   // Label 8947: @542445
     /*  542445 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542516), // Rule ID 4444 //
     /*  542450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542478 */     // MIs[0] passthru
     /*  542478 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542514 */     GIR_RootConstrainSelectedInstOperands,
     /*  542515 */     // GIR_Coverage, 4444,
     /*  542515 */     GIR_EraseRootFromParent_Done,
     /*  542516 */   // Label 8948: @542516
     /*  542516 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542587), // Rule ID 4445 //
     /*  542521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542549 */     // MIs[0] passthru
     /*  542549 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542585 */     GIR_RootConstrainSelectedInstOperands,
     /*  542586 */     // GIR_Coverage, 4445,
     /*  542586 */     GIR_EraseRootFromParent_Done,
     /*  542587 */   // Label 8949: @542587
     /*  542587 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(542658), // Rule ID 4454 //
     /*  542592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542620 */     // MIs[0] passthru
     /*  542620 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542656 */     GIR_RootConstrainSelectedInstOperands,
     /*  542657 */     // GIR_Coverage, 4454,
     /*  542657 */     GIR_EraseRootFromParent_Done,
     /*  542658 */   // Label 8950: @542658
     /*  542658 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(542729), // Rule ID 4455 //
     /*  542663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542691 */     // MIs[0] passthru
     /*  542691 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542727 */     GIR_RootConstrainSelectedInstOperands,
     /*  542728 */     // GIR_Coverage, 4455,
     /*  542728 */     GIR_EraseRootFromParent_Done,
     /*  542729 */   // Label 8951: @542729
     /*  542729 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(542800), // Rule ID 4464 //
     /*  542734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542762 */     // MIs[0] passthru
     /*  542762 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542798 */     GIR_RootConstrainSelectedInstOperands,
     /*  542799 */     // GIR_Coverage, 4464,
     /*  542799 */     GIR_EraseRootFromParent_Done,
     /*  542800 */   // Label 8952: @542800
     /*  542800 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542871), // Rule ID 4465 //
     /*  542805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542833 */     // MIs[0] passthru
     /*  542833 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542869 */     GIR_RootConstrainSelectedInstOperands,
     /*  542870 */     // GIR_Coverage, 4465,
     /*  542870 */     GIR_EraseRootFromParent_Done,
     /*  542871 */   // Label 8953: @542871
     /*  542871 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542942), // Rule ID 4474 //
     /*  542876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542904 */     // MIs[0] passthru
     /*  542904 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542940 */     GIR_RootConstrainSelectedInstOperands,
     /*  542941 */     // GIR_Coverage, 4474,
     /*  542941 */     GIR_EraseRootFromParent_Done,
     /*  542942 */   // Label 8954: @542942
     /*  542942 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(543013), // Rule ID 4475 //
     /*  542947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542975 */     // MIs[0] passthru
     /*  542975 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542991 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543011 */     GIR_RootConstrainSelectedInstOperands,
     /*  543012 */     // GIR_Coverage, 4475,
     /*  543012 */     GIR_EraseRootFromParent_Done,
     /*  543013 */   // Label 8955: @543013
     /*  543013 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(543084), // Rule ID 4484 //
     /*  543018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543046 */     // MIs[0] passthru
     /*  543046 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543082 */     GIR_RootConstrainSelectedInstOperands,
     /*  543083 */     // GIR_Coverage, 4484,
     /*  543083 */     GIR_EraseRootFromParent_Done,
     /*  543084 */   // Label 8956: @543084
     /*  543084 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(543155), // Rule ID 4485 //
     /*  543089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543117 */     // MIs[0] passthru
     /*  543117 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543153 */     GIR_RootConstrainSelectedInstOperands,
     /*  543154 */     // GIR_Coverage, 4485,
     /*  543154 */     GIR_EraseRootFromParent_Done,
     /*  543155 */   // Label 8957: @543155
     /*  543155 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(543226), // Rule ID 4494 //
     /*  543160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543188 */     // MIs[0] passthru
     /*  543188 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543224 */     GIR_RootConstrainSelectedInstOperands,
     /*  543225 */     // GIR_Coverage, 4494,
     /*  543225 */     GIR_EraseRootFromParent_Done,
     /*  543226 */   // Label 8958: @543226
     /*  543226 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(543297), // Rule ID 4495 //
     /*  543231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543259 */     // MIs[0] passthru
     /*  543259 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543295 */     GIR_RootConstrainSelectedInstOperands,
     /*  543296 */     // GIR_Coverage, 4495,
     /*  543296 */     GIR_EraseRootFromParent_Done,
     /*  543297 */   // Label 8959: @543297
     /*  543297 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(543368), // Rule ID 4504 //
     /*  543302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543330 */     // MIs[0] passthru
     /*  543330 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  543349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543366 */     GIR_RootConstrainSelectedInstOperands,
     /*  543367 */     // GIR_Coverage, 4504,
     /*  543367 */     GIR_EraseRootFromParent_Done,
     /*  543368 */   // Label 8960: @543368
     /*  543368 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(543439), // Rule ID 4505 //
     /*  543373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543401 */     // MIs[0] passthru
     /*  543401 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  543420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543437 */     GIR_RootConstrainSelectedInstOperands,
     /*  543438 */     // GIR_Coverage, 4505,
     /*  543438 */     GIR_EraseRootFromParent_Done,
     /*  543439 */   // Label 8961: @543439
     /*  543439 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543510), // Rule ID 4574 //
     /*  543444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543472 */     // MIs[0] passthru
     /*  543472 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543488 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543508 */     GIR_RootConstrainSelectedInstOperands,
     /*  543509 */     // GIR_Coverage, 4574,
     /*  543509 */     GIR_EraseRootFromParent_Done,
     /*  543510 */   // Label 8962: @543510
     /*  543510 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543581), // Rule ID 4575 //
     /*  543515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543543 */     // MIs[0] passthru
     /*  543543 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543579 */     GIR_RootConstrainSelectedInstOperands,
     /*  543580 */     // GIR_Coverage, 4575,
     /*  543580 */     GIR_EraseRootFromParent_Done,
     /*  543581 */   // Label 8963: @543581
     /*  543581 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(543652), // Rule ID 4584 //
     /*  543586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543614 */     // MIs[0] passthru
     /*  543614 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543650 */     GIR_RootConstrainSelectedInstOperands,
     /*  543651 */     // GIR_Coverage, 4584,
     /*  543651 */     GIR_EraseRootFromParent_Done,
     /*  543652 */   // Label 8964: @543652
     /*  543652 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(543723), // Rule ID 4585 //
     /*  543657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543685 */     // MIs[0] passthru
     /*  543685 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543701 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543721 */     GIR_RootConstrainSelectedInstOperands,
     /*  543722 */     // GIR_Coverage, 4585,
     /*  543722 */     GIR_EraseRootFromParent_Done,
     /*  543723 */   // Label 8965: @543723
     /*  543723 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543794), // Rule ID 4594 //
     /*  543728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543756 */     // MIs[0] passthru
     /*  543756 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543792 */     GIR_RootConstrainSelectedInstOperands,
     /*  543793 */     // GIR_Coverage, 4594,
     /*  543793 */     GIR_EraseRootFromParent_Done,
     /*  543794 */   // Label 8966: @543794
     /*  543794 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543865), // Rule ID 4595 //
     /*  543799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543827 */     // MIs[0] passthru
     /*  543827 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543863 */     GIR_RootConstrainSelectedInstOperands,
     /*  543864 */     // GIR_Coverage, 4595,
     /*  543864 */     GIR_EraseRootFromParent_Done,
     /*  543865 */   // Label 8967: @543865
     /*  543865 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543936), // Rule ID 4604 //
     /*  543870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543898 */     // MIs[0] passthru
     /*  543898 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543934 */     GIR_RootConstrainSelectedInstOperands,
     /*  543935 */     // GIR_Coverage, 4604,
     /*  543935 */     GIR_EraseRootFromParent_Done,
     /*  543936 */   // Label 8968: @543936
     /*  543936 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(544007), // Rule ID 4605 //
     /*  543941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543969 */     // MIs[0] passthru
     /*  543969 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543985 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544005 */     GIR_RootConstrainSelectedInstOperands,
     /*  544006 */     // GIR_Coverage, 4605,
     /*  544006 */     GIR_EraseRootFromParent_Done,
     /*  544007 */   // Label 8969: @544007
     /*  544007 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(544078), // Rule ID 4614 //
     /*  544012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544040 */     // MIs[0] passthru
     /*  544040 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544076 */     GIR_RootConstrainSelectedInstOperands,
     /*  544077 */     // GIR_Coverage, 4614,
     /*  544077 */     GIR_EraseRootFromParent_Done,
     /*  544078 */   // Label 8970: @544078
     /*  544078 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(544149), // Rule ID 4615 //
     /*  544083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544111 */     // MIs[0] passthru
     /*  544111 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544147 */     GIR_RootConstrainSelectedInstOperands,
     /*  544148 */     // GIR_Coverage, 4615,
     /*  544148 */     GIR_EraseRootFromParent_Done,
     /*  544149 */   // Label 8971: @544149
     /*  544149 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(544220), // Rule ID 4624 //
     /*  544154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544182 */     // MIs[0] passthru
     /*  544182 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544198 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544218 */     GIR_RootConstrainSelectedInstOperands,
     /*  544219 */     // GIR_Coverage, 4624,
     /*  544219 */     GIR_EraseRootFromParent_Done,
     /*  544220 */   // Label 8972: @544220
     /*  544220 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(544291), // Rule ID 4625 //
     /*  544225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544253 */     // MIs[0] passthru
     /*  544253 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544269 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544289 */     GIR_RootConstrainSelectedInstOperands,
     /*  544290 */     // GIR_Coverage, 4625,
     /*  544290 */     GIR_EraseRootFromParent_Done,
     /*  544291 */   // Label 8973: @544291
     /*  544291 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(544362), // Rule ID 4634 //
     /*  544296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544324 */     // MIs[0] passthru
     /*  544324 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  544343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544360 */     GIR_RootConstrainSelectedInstOperands,
     /*  544361 */     // GIR_Coverage, 4634,
     /*  544361 */     GIR_EraseRootFromParent_Done,
     /*  544362 */   // Label 8974: @544362
     /*  544362 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(544433), // Rule ID 4635 //
     /*  544367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544395 */     // MIs[0] passthru
     /*  544395 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544411 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  544414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544431 */     GIR_RootConstrainSelectedInstOperands,
     /*  544432 */     // GIR_Coverage, 4635,
     /*  544432 */     GIR_EraseRootFromParent_Done,
     /*  544433 */   // Label 8975: @544433
     /*  544433 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544504), // Rule ID 4644 //
     /*  544438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544466 */     // MIs[0] passthru
     /*  544466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544502 */     GIR_RootConstrainSelectedInstOperands,
     /*  544503 */     // GIR_Coverage, 4644,
     /*  544503 */     GIR_EraseRootFromParent_Done,
     /*  544504 */   // Label 8976: @544504
     /*  544504 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544575), // Rule ID 4645 //
     /*  544509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544537 */     // MIs[0] passthru
     /*  544537 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544573 */     GIR_RootConstrainSelectedInstOperands,
     /*  544574 */     // GIR_Coverage, 4645,
     /*  544574 */     GIR_EraseRootFromParent_Done,
     /*  544575 */   // Label 8977: @544575
     /*  544575 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(544646), // Rule ID 4654 //
     /*  544580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544608 */     // MIs[0] passthru
     /*  544608 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544644 */     GIR_RootConstrainSelectedInstOperands,
     /*  544645 */     // GIR_Coverage, 4654,
     /*  544645 */     GIR_EraseRootFromParent_Done,
     /*  544646 */   // Label 8978: @544646
     /*  544646 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544717), // Rule ID 4655 //
     /*  544651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544679 */     // MIs[0] passthru
     /*  544679 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544695 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544715 */     GIR_RootConstrainSelectedInstOperands,
     /*  544716 */     // GIR_Coverage, 4655,
     /*  544716 */     GIR_EraseRootFromParent_Done,
     /*  544717 */   // Label 8979: @544717
     /*  544717 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544788), // Rule ID 4664 //
     /*  544722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544750 */     // MIs[0] passthru
     /*  544750 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544786 */     GIR_RootConstrainSelectedInstOperands,
     /*  544787 */     // GIR_Coverage, 4664,
     /*  544787 */     GIR_EraseRootFromParent_Done,
     /*  544788 */   // Label 8980: @544788
     /*  544788 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544859), // Rule ID 4665 //
     /*  544793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544821 */     // MIs[0] passthru
     /*  544821 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544857 */     GIR_RootConstrainSelectedInstOperands,
     /*  544858 */     // GIR_Coverage, 4665,
     /*  544858 */     GIR_EraseRootFromParent_Done,
     /*  544859 */   // Label 8981: @544859
     /*  544859 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544930), // Rule ID 4674 //
     /*  544864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544892 */     // MIs[0] passthru
     /*  544892 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544928 */     GIR_RootConstrainSelectedInstOperands,
     /*  544929 */     // GIR_Coverage, 4674,
     /*  544929 */     GIR_EraseRootFromParent_Done,
     /*  544930 */   // Label 8982: @544930
     /*  544930 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(545001), // Rule ID 4675 //
     /*  544935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544963 */     // MIs[0] passthru
     /*  544963 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544999 */     GIR_RootConstrainSelectedInstOperands,
     /*  545000 */     // GIR_Coverage, 4675,
     /*  545000 */     GIR_EraseRootFromParent_Done,
     /*  545001 */   // Label 8983: @545001
     /*  545001 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(545072), // Rule ID 4684 //
     /*  545006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545034 */     // MIs[0] passthru
     /*  545034 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545070 */     GIR_RootConstrainSelectedInstOperands,
     /*  545071 */     // GIR_Coverage, 4684,
     /*  545071 */     GIR_EraseRootFromParent_Done,
     /*  545072 */   // Label 8984: @545072
     /*  545072 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(545143), // Rule ID 4685 //
     /*  545077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545105 */     // MIs[0] passthru
     /*  545105 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545141 */     GIR_RootConstrainSelectedInstOperands,
     /*  545142 */     // GIR_Coverage, 4685,
     /*  545142 */     GIR_EraseRootFromParent_Done,
     /*  545143 */   // Label 8985: @545143
     /*  545143 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(545214), // Rule ID 4694 //
     /*  545148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545176 */     // MIs[0] passthru
     /*  545176 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545212 */     GIR_RootConstrainSelectedInstOperands,
     /*  545213 */     // GIR_Coverage, 4694,
     /*  545213 */     GIR_EraseRootFromParent_Done,
     /*  545214 */   // Label 8986: @545214
     /*  545214 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(545285), // Rule ID 4695 //
     /*  545219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545247 */     // MIs[0] passthru
     /*  545247 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545263 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545283 */     GIR_RootConstrainSelectedInstOperands,
     /*  545284 */     // GIR_Coverage, 4695,
     /*  545284 */     GIR_EraseRootFromParent_Done,
     /*  545285 */   // Label 8987: @545285
     /*  545285 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(545356), // Rule ID 4704 //
     /*  545290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545318 */     // MIs[0] passthru
     /*  545318 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  545337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545354 */     GIR_RootConstrainSelectedInstOperands,
     /*  545355 */     // GIR_Coverage, 4704,
     /*  545355 */     GIR_EraseRootFromParent_Done,
     /*  545356 */   // Label 8988: @545356
     /*  545356 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(545427), // Rule ID 4705 //
     /*  545361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545389 */     // MIs[0] passthru
     /*  545389 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  545408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545425 */     GIR_RootConstrainSelectedInstOperands,
     /*  545426 */     // GIR_Coverage, 4705,
     /*  545426 */     GIR_EraseRootFromParent_Done,
     /*  545427 */   // Label 8989: @545427
     /*  545427 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545498), // Rule ID 4714 //
     /*  545432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545460 */     // MIs[0] passthru
     /*  545460 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545496 */     GIR_RootConstrainSelectedInstOperands,
     /*  545497 */     // GIR_Coverage, 4714,
     /*  545497 */     GIR_EraseRootFromParent_Done,
     /*  545498 */   // Label 8990: @545498
     /*  545498 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(545569), // Rule ID 4715 //
     /*  545503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545531 */     // MIs[0] passthru
     /*  545531 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545567 */     GIR_RootConstrainSelectedInstOperands,
     /*  545568 */     // GIR_Coverage, 4715,
     /*  545568 */     GIR_EraseRootFromParent_Done,
     /*  545569 */   // Label 8991: @545569
     /*  545569 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(545641), // Rule ID 2578 //
     /*  545574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545620 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  545620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545639 */     GIR_RootConstrainSelectedInstOperands,
     /*  545640 */     // GIR_Coverage, 2578,
     /*  545640 */     GIR_EraseRootFromParent_Done,
     /*  545641 */   // Label 8992: @545641
     /*  545641 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545713), // Rule ID 2579 //
     /*  545646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  545692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545711 */     GIR_RootConstrainSelectedInstOperands,
     /*  545712 */     // GIR_Coverage, 2579,
     /*  545712 */     GIR_EraseRootFromParent_Done,
     /*  545713 */   // Label 8993: @545713
     /*  545713 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545788), // Rule ID 2582 //
     /*  545718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  545721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  545764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545786 */     GIR_RootConstrainSelectedInstOperands,
     /*  545787 */     // GIR_Coverage, 2582,
     /*  545787 */     GIR_EraseRootFromParent_Done,
     /*  545788 */   // Label 8994: @545788
     /*  545788 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545863), // Rule ID 2583 //
     /*  545793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  545796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545839 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  545839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545861 */     GIR_RootConstrainSelectedInstOperands,
     /*  545862 */     // GIR_Coverage, 2583,
     /*  545862 */     GIR_EraseRootFromParent_Done,
     /*  545863 */   // Label 8995: @545863
     /*  545863 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545938), // Rule ID 2610 //
     /*  545868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545914 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545936 */     GIR_RootConstrainSelectedInstOperands,
     /*  545937 */     // GIR_Coverage, 2610,
     /*  545937 */     GIR_EraseRootFromParent_Done,
     /*  545938 */   // Label 8996: @545938
     /*  545938 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(546013), // Rule ID 2611 //
     /*  545943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545989 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546011 */     GIR_RootConstrainSelectedInstOperands,
     /*  546012 */     // GIR_Coverage, 2611,
     /*  546012 */     GIR_EraseRootFromParent_Done,
     /*  546013 */   // Label 8997: @546013
     /*  546013 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(546085), // Rule ID 2624 //
     /*  546018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  546026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  546064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  546067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  546071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546083 */     GIR_RootConstrainSelectedInstOperands,
     /*  546084 */     // GIR_Coverage, 2624,
     /*  546084 */     GIR_EraseRootFromParent_Done,
     /*  546085 */   // Label 8998: @546085
     /*  546085 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(546157), // Rule ID 2625 //
     /*  546090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  546098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  546136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  546139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  546143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546155 */     GIR_RootConstrainSelectedInstOperands,
     /*  546156 */     // GIR_Coverage, 2625,
     /*  546156 */     GIR_EraseRootFromParent_Done,
     /*  546157 */   // Label 8999: @546157
     /*  546157 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(546232), // Rule ID 2644 //
     /*  546162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  546170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  546211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546230 */     GIR_RootConstrainSelectedInstOperands,
     /*  546231 */     // GIR_Coverage, 2644,
     /*  546231 */     GIR_EraseRootFromParent_Done,
     /*  546232 */   // Label 9000: @546232
     /*  546232 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(546307), // Rule ID 2645 //
     /*  546237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  546245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  546286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546305 */     GIR_RootConstrainSelectedInstOperands,
     /*  546306 */     // GIR_Coverage, 2645,
     /*  546306 */     GIR_EraseRootFromParent_Done,
     /*  546307 */   // Label 9001: @546307
     /*  546307 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(546382), // Rule ID 2670 //
     /*  546312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  546320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  546361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  546365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546380 */     GIR_RootConstrainSelectedInstOperands,
     /*  546381 */     // GIR_Coverage, 2670,
     /*  546381 */     GIR_EraseRootFromParent_Done,
     /*  546382 */   // Label 9002: @546382
     /*  546382 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(546457), // Rule ID 2671 //
     /*  546387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  546395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546433 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  546436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  546440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546455 */     GIR_RootConstrainSelectedInstOperands,
     /*  546456 */     // GIR_Coverage, 2671,
     /*  546456 */     GIR_EraseRootFromParent_Done,
     /*  546457 */   // Label 9003: @546457
     /*  546457 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(546532), // Rule ID 2682 //
     /*  546462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546530 */     GIR_RootConstrainSelectedInstOperands,
     /*  546531 */     // GIR_Coverage, 2682,
     /*  546531 */     GIR_EraseRootFromParent_Done,
     /*  546532 */   // Label 9004: @546532
     /*  546532 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(546607), // Rule ID 2683 //
     /*  546537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546605 */     GIR_RootConstrainSelectedInstOperands,
     /*  546606 */     // GIR_Coverage, 2683,
     /*  546606 */     GIR_EraseRootFromParent_Done,
     /*  546607 */   // Label 9005: @546607
     /*  546607 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546682), // Rule ID 2690 //
     /*  546612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546680 */     GIR_RootConstrainSelectedInstOperands,
     /*  546681 */     // GIR_Coverage, 2690,
     /*  546681 */     GIR_EraseRootFromParent_Done,
     /*  546682 */   // Label 9006: @546682
     /*  546682 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546757), // Rule ID 2691 //
     /*  546687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546755 */     GIR_RootConstrainSelectedInstOperands,
     /*  546756 */     // GIR_Coverage, 2691,
     /*  546756 */     GIR_EraseRootFromParent_Done,
     /*  546757 */   // Label 9007: @546757
     /*  546757 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546832), // Rule ID 2698 //
     /*  546762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546830 */     GIR_RootConstrainSelectedInstOperands,
     /*  546831 */     // GIR_Coverage, 2698,
     /*  546831 */     GIR_EraseRootFromParent_Done,
     /*  546832 */   // Label 9008: @546832
     /*  546832 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546907), // Rule ID 2699 //
     /*  546837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546905 */     GIR_RootConstrainSelectedInstOperands,
     /*  546906 */     // GIR_Coverage, 2699,
     /*  546906 */     GIR_EraseRootFromParent_Done,
     /*  546907 */   // Label 9009: @546907
     /*  546907 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546982), // Rule ID 2706 //
     /*  546912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546980 */     GIR_RootConstrainSelectedInstOperands,
     /*  546981 */     // GIR_Coverage, 2706,
     /*  546981 */     GIR_EraseRootFromParent_Done,
     /*  546982 */   // Label 9010: @546982
     /*  546982 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(547057), // Rule ID 2707 //
     /*  546987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  547004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  547007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  547036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547055 */     GIR_RootConstrainSelectedInstOperands,
     /*  547056 */     // GIR_Coverage, 2707,
     /*  547056 */     GIR_EraseRootFromParent_Done,
     /*  547057 */   // Label 9011: @547057
     /*  547057 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(547132), // Rule ID 2714 //
     /*  547062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547130 */     GIR_RootConstrainSelectedInstOperands,
     /*  547131 */     // GIR_Coverage, 2714,
     /*  547131 */     GIR_EraseRootFromParent_Done,
     /*  547132 */   // Label 9012: @547132
     /*  547132 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(547207), // Rule ID 2715 //
     /*  547137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547205 */     GIR_RootConstrainSelectedInstOperands,
     /*  547206 */     // GIR_Coverage, 2715,
     /*  547206 */     GIR_EraseRootFromParent_Done,
     /*  547207 */   // Label 9013: @547207
     /*  547207 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(547282), // Rule ID 2722 //
     /*  547212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547280 */     GIR_RootConstrainSelectedInstOperands,
     /*  547281 */     // GIR_Coverage, 2722,
     /*  547281 */     GIR_EraseRootFromParent_Done,
     /*  547282 */   // Label 9014: @547282
     /*  547282 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(547357), // Rule ID 2723 //
     /*  547287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547355 */     GIR_RootConstrainSelectedInstOperands,
     /*  547356 */     // GIR_Coverage, 2723,
     /*  547356 */     GIR_EraseRootFromParent_Done,
     /*  547357 */   // Label 9015: @547357
     /*  547357 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(547432), // Rule ID 2730 //
     /*  547362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547430 */     GIR_RootConstrainSelectedInstOperands,
     /*  547431 */     // GIR_Coverage, 2730,
     /*  547431 */     GIR_EraseRootFromParent_Done,
     /*  547432 */   // Label 9016: @547432
     /*  547432 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(547507), // Rule ID 2731 //
     /*  547437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547505 */     GIR_RootConstrainSelectedInstOperands,
     /*  547506 */     // GIR_Coverage, 2731,
     /*  547506 */     GIR_EraseRootFromParent_Done,
     /*  547507 */   // Label 9017: @547507
     /*  547507 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(547582), // Rule ID 2738 //
     /*  547512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547580 */     GIR_RootConstrainSelectedInstOperands,
     /*  547581 */     // GIR_Coverage, 2738,
     /*  547581 */     GIR_EraseRootFromParent_Done,
     /*  547582 */   // Label 9018: @547582
     /*  547582 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547657), // Rule ID 2739 //
     /*  547587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547655 */     GIR_RootConstrainSelectedInstOperands,
     /*  547656 */     // GIR_Coverage, 2739,
     /*  547656 */     GIR_EraseRootFromParent_Done,
     /*  547657 */   // Label 9019: @547657
     /*  547657 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547732), // Rule ID 2746 //
     /*  547662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547730 */     GIR_RootConstrainSelectedInstOperands,
     /*  547731 */     // GIR_Coverage, 2746,
     /*  547731 */     GIR_EraseRootFromParent_Done,
     /*  547732 */   // Label 9020: @547732
     /*  547732 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547807), // Rule ID 2747 //
     /*  547737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547805 */     GIR_RootConstrainSelectedInstOperands,
     /*  547806 */     // GIR_Coverage, 2747,
     /*  547806 */     GIR_EraseRootFromParent_Done,
     /*  547807 */   // Label 9021: @547807
     /*  547807 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547882), // Rule ID 2754 //
     /*  547812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547880 */     GIR_RootConstrainSelectedInstOperands,
     /*  547881 */     // GIR_Coverage, 2754,
     /*  547881 */     GIR_EraseRootFromParent_Done,
     /*  547882 */   // Label 9022: @547882
     /*  547882 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547957), // Rule ID 2755 //
     /*  547887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  547890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  547933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547955 */     GIR_RootConstrainSelectedInstOperands,
     /*  547956 */     // GIR_Coverage, 2755,
     /*  547956 */     GIR_EraseRootFromParent_Done,
     /*  547957 */   // Label 9023: @547957
     /*  547957 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(548032), // Rule ID 2762 //
     /*  547962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548030 */     GIR_RootConstrainSelectedInstOperands,
     /*  548031 */     // GIR_Coverage, 2762,
     /*  548031 */     GIR_EraseRootFromParent_Done,
     /*  548032 */   // Label 9024: @548032
     /*  548032 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(548107), // Rule ID 2763 //
     /*  548037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548105 */     GIR_RootConstrainSelectedInstOperands,
     /*  548106 */     // GIR_Coverage, 2763,
     /*  548106 */     GIR_EraseRootFromParent_Done,
     /*  548107 */   // Label 9025: @548107
     /*  548107 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(548182), // Rule ID 2770 //
     /*  548112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548180 */     GIR_RootConstrainSelectedInstOperands,
     /*  548181 */     // GIR_Coverage, 2770,
     /*  548181 */     GIR_EraseRootFromParent_Done,
     /*  548182 */   // Label 9026: @548182
     /*  548182 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(548257), // Rule ID 2771 //
     /*  548187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548233 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548255 */     GIR_RootConstrainSelectedInstOperands,
     /*  548256 */     // GIR_Coverage, 2771,
     /*  548256 */     GIR_EraseRootFromParent_Done,
     /*  548257 */   // Label 9027: @548257
     /*  548257 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(548332), // Rule ID 2778 //
     /*  548262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  548282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548330 */     GIR_RootConstrainSelectedInstOperands,
     /*  548331 */     // GIR_Coverage, 2778,
     /*  548331 */     GIR_EraseRootFromParent_Done,
     /*  548332 */   // Label 9028: @548332
     /*  548332 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(548407), // Rule ID 2779 //
     /*  548337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  548357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548405 */     GIR_RootConstrainSelectedInstOperands,
     /*  548406 */     // GIR_Coverage, 2779,
     /*  548406 */     GIR_EraseRootFromParent_Done,
     /*  548407 */   // Label 9029: @548407
     /*  548407 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(548482), // Rule ID 2786 //
     /*  548412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548480 */     GIR_RootConstrainSelectedInstOperands,
     /*  548481 */     // GIR_Coverage, 2786,
     /*  548481 */     GIR_EraseRootFromParent_Done,
     /*  548482 */   // Label 9030: @548482
     /*  548482 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(548557), // Rule ID 2787 //
     /*  548487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548555 */     GIR_RootConstrainSelectedInstOperands,
     /*  548556 */     // GIR_Coverage, 2787,
     /*  548556 */     GIR_EraseRootFromParent_Done,
     /*  548557 */   // Label 9031: @548557
     /*  548557 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(548632), // Rule ID 2794 //
     /*  548562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548630 */     GIR_RootConstrainSelectedInstOperands,
     /*  548631 */     // GIR_Coverage, 2794,
     /*  548631 */     GIR_EraseRootFromParent_Done,
     /*  548632 */   // Label 9032: @548632
     /*  548632 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548707), // Rule ID 2795 //
     /*  548637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548705 */     GIR_RootConstrainSelectedInstOperands,
     /*  548706 */     // GIR_Coverage, 2795,
     /*  548706 */     GIR_EraseRootFromParent_Done,
     /*  548707 */   // Label 9033: @548707
     /*  548707 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548782), // Rule ID 2802 //
     /*  548712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548780 */     GIR_RootConstrainSelectedInstOperands,
     /*  548781 */     // GIR_Coverage, 2802,
     /*  548781 */     GIR_EraseRootFromParent_Done,
     /*  548782 */   // Label 9034: @548782
     /*  548782 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548857), // Rule ID 2803 //
     /*  548787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548855 */     GIR_RootConstrainSelectedInstOperands,
     /*  548856 */     // GIR_Coverage, 2803,
     /*  548856 */     GIR_EraseRootFromParent_Done,
     /*  548857 */   // Label 9035: @548857
     /*  548857 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548932), // Rule ID 2810 //
     /*  548862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548930 */     GIR_RootConstrainSelectedInstOperands,
     /*  548931 */     // GIR_Coverage, 2810,
     /*  548931 */     GIR_EraseRootFromParent_Done,
     /*  548932 */   // Label 9036: @548932
     /*  548932 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(549007), // Rule ID 2811 //
     /*  548937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549005 */     GIR_RootConstrainSelectedInstOperands,
     /*  549006 */     // GIR_Coverage, 2811,
     /*  549006 */     GIR_EraseRootFromParent_Done,
     /*  549007 */   // Label 9037: @549007
     /*  549007 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(549082), // Rule ID 2818 //
     /*  549012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549080 */     GIR_RootConstrainSelectedInstOperands,
     /*  549081 */     // GIR_Coverage, 2818,
     /*  549081 */     GIR_EraseRootFromParent_Done,
     /*  549082 */   // Label 9038: @549082
     /*  549082 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(549157), // Rule ID 2819 //
     /*  549087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549155 */     GIR_RootConstrainSelectedInstOperands,
     /*  549156 */     // GIR_Coverage, 2819,
     /*  549156 */     GIR_EraseRootFromParent_Done,
     /*  549157 */   // Label 9039: @549157
     /*  549157 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(549232), // Rule ID 2826 //
     /*  549162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549230 */     GIR_RootConstrainSelectedInstOperands,
     /*  549231 */     // GIR_Coverage, 2826,
     /*  549231 */     GIR_EraseRootFromParent_Done,
     /*  549232 */   // Label 9040: @549232
     /*  549232 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(549307), // Rule ID 2827 //
     /*  549237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549305 */     GIR_RootConstrainSelectedInstOperands,
     /*  549306 */     // GIR_Coverage, 2827,
     /*  549306 */     GIR_EraseRootFromParent_Done,
     /*  549307 */   // Label 9041: @549307
     /*  549307 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(549382), // Rule ID 2834 //
     /*  549312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549380 */     GIR_RootConstrainSelectedInstOperands,
     /*  549381 */     // GIR_Coverage, 2834,
     /*  549381 */     GIR_EraseRootFromParent_Done,
     /*  549382 */   // Label 9042: @549382
     /*  549382 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(549457), // Rule ID 2835 //
     /*  549387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549455 */     GIR_RootConstrainSelectedInstOperands,
     /*  549456 */     // GIR_Coverage, 2835,
     /*  549456 */     GIR_EraseRootFromParent_Done,
     /*  549457 */   // Label 9043: @549457
     /*  549457 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(549532), // Rule ID 2842 //
     /*  549462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549530 */     GIR_RootConstrainSelectedInstOperands,
     /*  549531 */     // GIR_Coverage, 2842,
     /*  549531 */     GIR_EraseRootFromParent_Done,
     /*  549532 */   // Label 9044: @549532
     /*  549532 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(549607), // Rule ID 2843 //
     /*  549537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549605 */     GIR_RootConstrainSelectedInstOperands,
     /*  549606 */     // GIR_Coverage, 2843,
     /*  549606 */     GIR_EraseRootFromParent_Done,
     /*  549607 */   // Label 9045: @549607
     /*  549607 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(549682), // Rule ID 2850 //
     /*  549612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549680 */     GIR_RootConstrainSelectedInstOperands,
     /*  549681 */     // GIR_Coverage, 2850,
     /*  549681 */     GIR_EraseRootFromParent_Done,
     /*  549682 */   // Label 9046: @549682
     /*  549682 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549757), // Rule ID 2851 //
     /*  549687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549755 */     GIR_RootConstrainSelectedInstOperands,
     /*  549756 */     // GIR_Coverage, 2851,
     /*  549756 */     GIR_EraseRootFromParent_Done,
     /*  549757 */   // Label 9047: @549757
     /*  549757 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549832), // Rule ID 2858 //
     /*  549762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549808 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549830 */     GIR_RootConstrainSelectedInstOperands,
     /*  549831 */     // GIR_Coverage, 2858,
     /*  549831 */     GIR_EraseRootFromParent_Done,
     /*  549832 */   // Label 9048: @549832
     /*  549832 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549907), // Rule ID 2859 //
     /*  549837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549905 */     GIR_RootConstrainSelectedInstOperands,
     /*  549906 */     // GIR_Coverage, 2859,
     /*  549906 */     GIR_EraseRootFromParent_Done,
     /*  549907 */   // Label 9049: @549907
     /*  549907 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549982), // Rule ID 2862 //
     /*  549912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  549932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549980 */     GIR_RootConstrainSelectedInstOperands,
     /*  549981 */     // GIR_Coverage, 2862,
     /*  549981 */     GIR_EraseRootFromParent_Done,
     /*  549982 */   // Label 9050: @549982
     /*  549982 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(550057), // Rule ID 2863 //
     /*  549987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  550007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550033 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550055 */     GIR_RootConstrainSelectedInstOperands,
     /*  550056 */     // GIR_Coverage, 2863,
     /*  550056 */     GIR_EraseRootFromParent_Done,
     /*  550057 */   // Label 9051: @550057
     /*  550057 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(550132), // Rule ID 2866 //
     /*  550062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550108 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550130 */     GIR_RootConstrainSelectedInstOperands,
     /*  550131 */     // GIR_Coverage, 2866,
     /*  550131 */     GIR_EraseRootFromParent_Done,
     /*  550132 */   // Label 9052: @550132
     /*  550132 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(550207), // Rule ID 2867 //
     /*  550137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550183 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550205 */     GIR_RootConstrainSelectedInstOperands,
     /*  550206 */     // GIR_Coverage, 2867,
     /*  550206 */     GIR_EraseRootFromParent_Done,
     /*  550207 */   // Label 9053: @550207
     /*  550207 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(550282), // Rule ID 2870 //
     /*  550212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550280 */     GIR_RootConstrainSelectedInstOperands,
     /*  550281 */     // GIR_Coverage, 2870,
     /*  550281 */     GIR_EraseRootFromParent_Done,
     /*  550282 */   // Label 9054: @550282
     /*  550282 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(550357), // Rule ID 2871 //
     /*  550287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550333 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550355 */     GIR_RootConstrainSelectedInstOperands,
     /*  550356 */     // GIR_Coverage, 2871,
     /*  550356 */     GIR_EraseRootFromParent_Done,
     /*  550357 */   // Label 9055: @550357
     /*  550357 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(550432), // Rule ID 2874 //
     /*  550362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550430 */     GIR_RootConstrainSelectedInstOperands,
     /*  550431 */     // GIR_Coverage, 2874,
     /*  550431 */     GIR_EraseRootFromParent_Done,
     /*  550432 */   // Label 9056: @550432
     /*  550432 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(550507), // Rule ID 2875 //
     /*  550437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550505 */     GIR_RootConstrainSelectedInstOperands,
     /*  550506 */     // GIR_Coverage, 2875,
     /*  550506 */     GIR_EraseRootFromParent_Done,
     /*  550507 */   // Label 9057: @550507
     /*  550507 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(550582), // Rule ID 2878 //
     /*  550512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550558 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550580 */     GIR_RootConstrainSelectedInstOperands,
     /*  550581 */     // GIR_Coverage, 2878,
     /*  550581 */     GIR_EraseRootFromParent_Done,
     /*  550582 */   // Label 9058: @550582
     /*  550582 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(550657), // Rule ID 2879 //
     /*  550587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550655 */     GIR_RootConstrainSelectedInstOperands,
     /*  550656 */     // GIR_Coverage, 2879,
     /*  550656 */     GIR_EraseRootFromParent_Done,
     /*  550657 */   // Label 9059: @550657
     /*  550657 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(550732), // Rule ID 2882 //
     /*  550662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550730 */     GIR_RootConstrainSelectedInstOperands,
     /*  550731 */     // GIR_Coverage, 2882,
     /*  550731 */     GIR_EraseRootFromParent_Done,
     /*  550732 */   // Label 9060: @550732
     /*  550732 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550807), // Rule ID 2883 //
     /*  550737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550805 */     GIR_RootConstrainSelectedInstOperands,
     /*  550806 */     // GIR_Coverage, 2883,
     /*  550806 */     GIR_EraseRootFromParent_Done,
     /*  550807 */   // Label 9061: @550807
     /*  550807 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550882), // Rule ID 2886 //
     /*  550812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550880 */     GIR_RootConstrainSelectedInstOperands,
     /*  550881 */     // GIR_Coverage, 2886,
     /*  550881 */     GIR_EraseRootFromParent_Done,
     /*  550882 */   // Label 9062: @550882
     /*  550882 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550957), // Rule ID 2887 //
     /*  550887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550955 */     GIR_RootConstrainSelectedInstOperands,
     /*  550956 */     // GIR_Coverage, 2887,
     /*  550956 */     GIR_EraseRootFromParent_Done,
     /*  550957 */   // Label 9063: @550957
     /*  550957 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(551032), // Rule ID 2890 //
     /*  550962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  550982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551030 */     GIR_RootConstrainSelectedInstOperands,
     /*  551031 */     // GIR_Coverage, 2890,
     /*  551031 */     GIR_EraseRootFromParent_Done,
     /*  551032 */   // Label 9064: @551032
     /*  551032 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(551107), // Rule ID 2891 //
     /*  551037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  551057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551083 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551105 */     GIR_RootConstrainSelectedInstOperands,
     /*  551106 */     // GIR_Coverage, 2891,
     /*  551106 */     GIR_EraseRootFromParent_Done,
     /*  551107 */   // Label 9065: @551107
     /*  551107 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(551182), // Rule ID 2894 //
     /*  551112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551180 */     GIR_RootConstrainSelectedInstOperands,
     /*  551181 */     // GIR_Coverage, 2894,
     /*  551181 */     GIR_EraseRootFromParent_Done,
     /*  551182 */   // Label 9066: @551182
     /*  551182 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(551257), // Rule ID 2895 //
     /*  551187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551255 */     GIR_RootConstrainSelectedInstOperands,
     /*  551256 */     // GIR_Coverage, 2895,
     /*  551256 */     GIR_EraseRootFromParent_Done,
     /*  551257 */   // Label 9067: @551257
     /*  551257 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(551332), // Rule ID 2898 //
     /*  551262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  551282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551330 */     GIR_RootConstrainSelectedInstOperands,
     /*  551331 */     // GIR_Coverage, 2898,
     /*  551331 */     GIR_EraseRootFromParent_Done,
     /*  551332 */   // Label 9068: @551332
     /*  551332 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(551407), // Rule ID 2899 //
     /*  551337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  551357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551383 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551405 */     GIR_RootConstrainSelectedInstOperands,
     /*  551406 */     // GIR_Coverage, 2899,
     /*  551406 */     GIR_EraseRootFromParent_Done,
     /*  551407 */   // Label 9069: @551407
     /*  551407 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(551482), // Rule ID 2902 //
     /*  551412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551480 */     GIR_RootConstrainSelectedInstOperands,
     /*  551481 */     // GIR_Coverage, 2902,
     /*  551481 */     GIR_EraseRootFromParent_Done,
     /*  551482 */   // Label 9070: @551482
     /*  551482 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(551557), // Rule ID 2903 //
     /*  551487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551533 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551555 */     GIR_RootConstrainSelectedInstOperands,
     /*  551556 */     // GIR_Coverage, 2903,
     /*  551556 */     GIR_EraseRootFromParent_Done,
     /*  551557 */   // Label 9071: @551557
     /*  551557 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(551632), // Rule ID 2906 //
     /*  551562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551630 */     GIR_RootConstrainSelectedInstOperands,
     /*  551631 */     // GIR_Coverage, 2906,
     /*  551631 */     GIR_EraseRootFromParent_Done,
     /*  551632 */   // Label 9072: @551632
     /*  551632 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(551707), // Rule ID 2907 //
     /*  551637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551705 */     GIR_RootConstrainSelectedInstOperands,
     /*  551706 */     // GIR_Coverage, 2907,
     /*  551706 */     GIR_EraseRootFromParent_Done,
     /*  551707 */   // Label 9073: @551707
     /*  551707 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(551782), // Rule ID 2910 //
     /*  551712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551780 */     GIR_RootConstrainSelectedInstOperands,
     /*  551781 */     // GIR_Coverage, 2910,
     /*  551781 */     GIR_EraseRootFromParent_Done,
     /*  551782 */   // Label 9074: @551782
     /*  551782 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551857), // Rule ID 2911 //
     /*  551787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551855 */     GIR_RootConstrainSelectedInstOperands,
     /*  551856 */     // GIR_Coverage, 2911,
     /*  551856 */     GIR_EraseRootFromParent_Done,
     /*  551857 */   // Label 9075: @551857
     /*  551857 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551932), // Rule ID 2914 //
     /*  551862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551930 */     GIR_RootConstrainSelectedInstOperands,
     /*  551931 */     // GIR_Coverage, 2914,
     /*  551931 */     GIR_EraseRootFromParent_Done,
     /*  551932 */   // Label 9076: @551932
     /*  551932 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(552007), // Rule ID 2915 //
     /*  551937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552005 */     GIR_RootConstrainSelectedInstOperands,
     /*  552006 */     // GIR_Coverage, 2915,
     /*  552006 */     GIR_EraseRootFromParent_Done,
     /*  552007 */   // Label 9077: @552007
     /*  552007 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(552082), // Rule ID 2918 //
     /*  552012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552080 */     GIR_RootConstrainSelectedInstOperands,
     /*  552081 */     // GIR_Coverage, 2918,
     /*  552081 */     GIR_EraseRootFromParent_Done,
     /*  552082 */   // Label 9078: @552082
     /*  552082 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(552157), // Rule ID 2919 //
     /*  552087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552133 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552155 */     GIR_RootConstrainSelectedInstOperands,
     /*  552156 */     // GIR_Coverage, 2919,
     /*  552156 */     GIR_EraseRootFromParent_Done,
     /*  552157 */   // Label 9079: @552157
     /*  552157 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(552232), // Rule ID 2922 //
     /*  552162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552230 */     GIR_RootConstrainSelectedInstOperands,
     /*  552231 */     // GIR_Coverage, 2922,
     /*  552231 */     GIR_EraseRootFromParent_Done,
     /*  552232 */   // Label 9080: @552232
     /*  552232 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(552307), // Rule ID 2923 //
     /*  552237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552305 */     GIR_RootConstrainSelectedInstOperands,
     /*  552306 */     // GIR_Coverage, 2923,
     /*  552306 */     GIR_EraseRootFromParent_Done,
     /*  552307 */   // Label 9081: @552307
     /*  552307 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(552382), // Rule ID 2926 //
     /*  552312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552380 */     GIR_RootConstrainSelectedInstOperands,
     /*  552381 */     // GIR_Coverage, 2926,
     /*  552381 */     GIR_EraseRootFromParent_Done,
     /*  552382 */   // Label 9082: @552382
     /*  552382 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(552457), // Rule ID 2927 //
     /*  552387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552455 */     GIR_RootConstrainSelectedInstOperands,
     /*  552456 */     // GIR_Coverage, 2927,
     /*  552456 */     GIR_EraseRootFromParent_Done,
     /*  552457 */   // Label 9083: @552457
     /*  552457 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(552532), // Rule ID 2930 //
     /*  552462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552530 */     GIR_RootConstrainSelectedInstOperands,
     /*  552531 */     // GIR_Coverage, 2930,
     /*  552531 */     GIR_EraseRootFromParent_Done,
     /*  552532 */   // Label 9084: @552532
     /*  552532 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(552607), // Rule ID 2931 //
     /*  552537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552605 */     GIR_RootConstrainSelectedInstOperands,
     /*  552606 */     // GIR_Coverage, 2931,
     /*  552606 */     GIR_EraseRootFromParent_Done,
     /*  552607 */   // Label 9085: @552607
     /*  552607 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(552682), // Rule ID 2934 //
     /*  552612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552680 */     GIR_RootConstrainSelectedInstOperands,
     /*  552681 */     // GIR_Coverage, 2934,
     /*  552681 */     GIR_EraseRootFromParent_Done,
     /*  552682 */   // Label 9086: @552682
     /*  552682 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(552757), // Rule ID 2935 //
     /*  552687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552733 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552755 */     GIR_RootConstrainSelectedInstOperands,
     /*  552756 */     // GIR_Coverage, 2935,
     /*  552756 */     GIR_EraseRootFromParent_Done,
     /*  552757 */   // Label 9087: @552757
     /*  552757 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552832), // Rule ID 2938 //
     /*  552762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552830 */     GIR_RootConstrainSelectedInstOperands,
     /*  552831 */     // GIR_Coverage, 2938,
     /*  552831 */     GIR_EraseRootFromParent_Done,
     /*  552832 */   // Label 9088: @552832
     /*  552832 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552907), // Rule ID 2939 //
     /*  552837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552905 */     GIR_RootConstrainSelectedInstOperands,
     /*  552906 */     // GIR_Coverage, 2939,
     /*  552906 */     GIR_EraseRootFromParent_Done,
     /*  552907 */   // Label 9089: @552907
     /*  552907 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552982), // Rule ID 2942 //
     /*  552912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552958 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  552961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552980 */     GIR_RootConstrainSelectedInstOperands,
     /*  552981 */     // GIR_Coverage, 2942,
     /*  552981 */     GIR_EraseRootFromParent_Done,
     /*  552982 */   // Label 9090: @552982
     /*  552982 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(553057), // Rule ID 2943 //
     /*  552987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  553001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  553004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553033 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  553036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553055 */     GIR_RootConstrainSelectedInstOperands,
     /*  553056 */     // GIR_Coverage, 2943,
     /*  553056 */     GIR_EraseRootFromParent_Done,
     /*  553057 */   // Label 9091: @553057
     /*  553057 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(553132), // Rule ID 2946 //
     /*  553062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553108 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553130 */     GIR_RootConstrainSelectedInstOperands,
     /*  553131 */     // GIR_Coverage, 2946,
     /*  553131 */     GIR_EraseRootFromParent_Done,
     /*  553132 */   // Label 9092: @553132
     /*  553132 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(553207), // Rule ID 2947 //
     /*  553137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553183 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553205 */     GIR_RootConstrainSelectedInstOperands,
     /*  553206 */     // GIR_Coverage, 2947,
     /*  553206 */     GIR_EraseRootFromParent_Done,
     /*  553207 */   // Label 9093: @553207
     /*  553207 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(553282), // Rule ID 2950 //
     /*  553212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553258 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553280 */     GIR_RootConstrainSelectedInstOperands,
     /*  553281 */     // GIR_Coverage, 2950,
     /*  553281 */     GIR_EraseRootFromParent_Done,
     /*  553282 */   // Label 9094: @553282
     /*  553282 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(553357), // Rule ID 2951 //
     /*  553287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553333 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553355 */     GIR_RootConstrainSelectedInstOperands,
     /*  553356 */     // GIR_Coverage, 2951,
     /*  553356 */     GIR_EraseRootFromParent_Done,
     /*  553357 */   // Label 9095: @553357
     /*  553357 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(553432), // Rule ID 2954 //
     /*  553362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553430 */     GIR_RootConstrainSelectedInstOperands,
     /*  553431 */     // GIR_Coverage, 2954,
     /*  553431 */     GIR_EraseRootFromParent_Done,
     /*  553432 */   // Label 9096: @553432
     /*  553432 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(553507), // Rule ID 2955 //
     /*  553437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553505 */     GIR_RootConstrainSelectedInstOperands,
     /*  553506 */     // GIR_Coverage, 2955,
     /*  553506 */     GIR_EraseRootFromParent_Done,
     /*  553507 */   // Label 9097: @553507
     /*  553507 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(553582), // Rule ID 2958 //
     /*  553512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553580 */     GIR_RootConstrainSelectedInstOperands,
     /*  553581 */     // GIR_Coverage, 2958,
     /*  553581 */     GIR_EraseRootFromParent_Done,
     /*  553582 */   // Label 9098: @553582
     /*  553582 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(553657), // Rule ID 2959 //
     /*  553587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553633 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553655 */     GIR_RootConstrainSelectedInstOperands,
     /*  553656 */     // GIR_Coverage, 2959,
     /*  553656 */     GIR_EraseRootFromParent_Done,
     /*  553657 */   // Label 9099: @553657
     /*  553657 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(553732), // Rule ID 2962 //
     /*  553662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553730 */     GIR_RootConstrainSelectedInstOperands,
     /*  553731 */     // GIR_Coverage, 2962,
     /*  553731 */     GIR_EraseRootFromParent_Done,
     /*  553732 */   // Label 9100: @553732
     /*  553732 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553807), // Rule ID 2963 //
     /*  553737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553805 */     GIR_RootConstrainSelectedInstOperands,
     /*  553806 */     // GIR_Coverage, 2963,
     /*  553806 */     GIR_EraseRootFromParent_Done,
     /*  553807 */   // Label 9101: @553807
     /*  553807 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553882), // Rule ID 2966 //
     /*  553812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553880 */     GIR_RootConstrainSelectedInstOperands,
     /*  553881 */     // GIR_Coverage, 2966,
     /*  553881 */     GIR_EraseRootFromParent_Done,
     /*  553882 */   // Label 9102: @553882
     /*  553882 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553957), // Rule ID 2967 //
     /*  553887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553933 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553955 */     GIR_RootConstrainSelectedInstOperands,
     /*  553956 */     // GIR_Coverage, 2967,
     /*  553956 */     GIR_EraseRootFromParent_Done,
     /*  553957 */   // Label 9103: @553957
     /*  553957 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(554032), // Rule ID 2970 //
     /*  553962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554030 */     GIR_RootConstrainSelectedInstOperands,
     /*  554031 */     // GIR_Coverage, 2970,
     /*  554031 */     GIR_EraseRootFromParent_Done,
     /*  554032 */   // Label 9104: @554032
     /*  554032 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(554107), // Rule ID 2971 //
     /*  554037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554105 */     GIR_RootConstrainSelectedInstOperands,
     /*  554106 */     // GIR_Coverage, 2971,
     /*  554106 */     GIR_EraseRootFromParent_Done,
     /*  554107 */   // Label 9105: @554107
     /*  554107 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(554182), // Rule ID 2974 //
     /*  554112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554180 */     GIR_RootConstrainSelectedInstOperands,
     /*  554181 */     // GIR_Coverage, 2974,
     /*  554181 */     GIR_EraseRootFromParent_Done,
     /*  554182 */   // Label 9106: @554182
     /*  554182 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(554257), // Rule ID 2975 //
     /*  554187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554255 */     GIR_RootConstrainSelectedInstOperands,
     /*  554256 */     // GIR_Coverage, 2975,
     /*  554256 */     GIR_EraseRootFromParent_Done,
     /*  554257 */   // Label 9107: @554257
     /*  554257 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(554332), // Rule ID 2978 //
     /*  554262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554330 */     GIR_RootConstrainSelectedInstOperands,
     /*  554331 */     // GIR_Coverage, 2978,
     /*  554331 */     GIR_EraseRootFromParent_Done,
     /*  554332 */   // Label 9108: @554332
     /*  554332 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(554407), // Rule ID 2979 //
     /*  554337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554405 */     GIR_RootConstrainSelectedInstOperands,
     /*  554406 */     // GIR_Coverage, 2979,
     /*  554406 */     GIR_EraseRootFromParent_Done,
     /*  554407 */   // Label 9109: @554407
     /*  554407 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(554482), // Rule ID 2982 //
     /*  554412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554480 */     GIR_RootConstrainSelectedInstOperands,
     /*  554481 */     // GIR_Coverage, 2982,
     /*  554481 */     GIR_EraseRootFromParent_Done,
     /*  554482 */   // Label 9110: @554482
     /*  554482 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(554557), // Rule ID 2983 //
     /*  554487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554533 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554555 */     GIR_RootConstrainSelectedInstOperands,
     /*  554556 */     // GIR_Coverage, 2983,
     /*  554556 */     GIR_EraseRootFromParent_Done,
     /*  554557 */   // Label 9111: @554557
     /*  554557 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(554632), // Rule ID 2986 //
     /*  554562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554608 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554630 */     GIR_RootConstrainSelectedInstOperands,
     /*  554631 */     // GIR_Coverage, 2986,
     /*  554631 */     GIR_EraseRootFromParent_Done,
     /*  554632 */   // Label 9112: @554632
     /*  554632 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(554707), // Rule ID 2987 //
     /*  554637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554683 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554705 */     GIR_RootConstrainSelectedInstOperands,
     /*  554706 */     // GIR_Coverage, 2987,
     /*  554706 */     GIR_EraseRootFromParent_Done,
     /*  554707 */   // Label 9113: @554707
     /*  554707 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(554782), // Rule ID 2990 //
     /*  554712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554758 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554780 */     GIR_RootConstrainSelectedInstOperands,
     /*  554781 */     // GIR_Coverage, 2990,
     /*  554781 */     GIR_EraseRootFromParent_Done,
     /*  554782 */   // Label 9114: @554782
     /*  554782 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554857), // Rule ID 2991 //
     /*  554787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554833 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554855 */     GIR_RootConstrainSelectedInstOperands,
     /*  554856 */     // GIR_Coverage, 2991,
     /*  554856 */     GIR_EraseRootFromParent_Done,
     /*  554857 */   // Label 9115: @554857
     /*  554857 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554932), // Rule ID 2994 //
     /*  554862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554930 */     GIR_RootConstrainSelectedInstOperands,
     /*  554931 */     // GIR_Coverage, 2994,
     /*  554931 */     GIR_EraseRootFromParent_Done,
     /*  554932 */   // Label 9116: @554932
     /*  554932 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(555007), // Rule ID 2995 //
     /*  554937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554983 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555005 */     GIR_RootConstrainSelectedInstOperands,
     /*  555006 */     // GIR_Coverage, 2995,
     /*  555006 */     GIR_EraseRootFromParent_Done,
     /*  555007 */   // Label 9117: @555007
     /*  555007 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(555082), // Rule ID 2998 //
     /*  555012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555080 */     GIR_RootConstrainSelectedInstOperands,
     /*  555081 */     // GIR_Coverage, 2998,
     /*  555081 */     GIR_EraseRootFromParent_Done,
     /*  555082 */   // Label 9118: @555082
     /*  555082 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(555157), // Rule ID 2999 //
     /*  555087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555133 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555155 */     GIR_RootConstrainSelectedInstOperands,
     /*  555156 */     // GIR_Coverage, 2999,
     /*  555156 */     GIR_EraseRootFromParent_Done,
     /*  555157 */   // Label 9119: @555157
     /*  555157 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(555232), // Rule ID 3002 //
     /*  555162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555230 */     GIR_RootConstrainSelectedInstOperands,
     /*  555231 */     // GIR_Coverage, 3002,
     /*  555231 */     GIR_EraseRootFromParent_Done,
     /*  555232 */   // Label 9120: @555232
     /*  555232 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(555307), // Rule ID 3003 //
     /*  555237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555283 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555305 */     GIR_RootConstrainSelectedInstOperands,
     /*  555306 */     // GIR_Coverage, 3003,
     /*  555306 */     GIR_EraseRootFromParent_Done,
     /*  555307 */   // Label 9121: @555307
     /*  555307 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(555382), // Rule ID 3006 //
     /*  555312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555380 */     GIR_RootConstrainSelectedInstOperands,
     /*  555381 */     // GIR_Coverage, 3006,
     /*  555381 */     GIR_EraseRootFromParent_Done,
     /*  555382 */   // Label 9122: @555382
     /*  555382 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(555457), // Rule ID 3007 //
     /*  555387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555455 */     GIR_RootConstrainSelectedInstOperands,
     /*  555456 */     // GIR_Coverage, 3007,
     /*  555456 */     GIR_EraseRootFromParent_Done,
     /*  555457 */   // Label 9123: @555457
     /*  555457 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(555532), // Rule ID 3010 //
     /*  555462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555530 */     GIR_RootConstrainSelectedInstOperands,
     /*  555531 */     // GIR_Coverage, 3010,
     /*  555531 */     GIR_EraseRootFromParent_Done,
     /*  555532 */   // Label 9124: @555532
     /*  555532 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(555607), // Rule ID 3011 //
     /*  555537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555605 */     GIR_RootConstrainSelectedInstOperands,
     /*  555606 */     // GIR_Coverage, 3011,
     /*  555606 */     GIR_EraseRootFromParent_Done,
     /*  555607 */   // Label 9125: @555607
     /*  555607 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(555682), // Rule ID 3014 //
     /*  555612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555680 */     GIR_RootConstrainSelectedInstOperands,
     /*  555681 */     // GIR_Coverage, 3014,
     /*  555681 */     GIR_EraseRootFromParent_Done,
     /*  555682 */   // Label 9126: @555682
     /*  555682 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(555757), // Rule ID 3015 //
     /*  555687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555755 */     GIR_RootConstrainSelectedInstOperands,
     /*  555756 */     // GIR_Coverage, 3015,
     /*  555756 */     GIR_EraseRootFromParent_Done,
     /*  555757 */   // Label 9127: @555757
     /*  555757 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555832), // Rule ID 3018 //
     /*  555762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555830 */     GIR_RootConstrainSelectedInstOperands,
     /*  555831 */     // GIR_Coverage, 3018,
     /*  555831 */     GIR_EraseRootFromParent_Done,
     /*  555832 */   // Label 9128: @555832
     /*  555832 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555907), // Rule ID 3019 //
     /*  555837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555905 */     GIR_RootConstrainSelectedInstOperands,
     /*  555906 */     // GIR_Coverage, 3019,
     /*  555906 */     GIR_EraseRootFromParent_Done,
     /*  555907 */   // Label 9129: @555907
     /*  555907 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555982), // Rule ID 3022 //
     /*  555912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555980 */     GIR_RootConstrainSelectedInstOperands,
     /*  555981 */     // GIR_Coverage, 3022,
     /*  555981 */     GIR_EraseRootFromParent_Done,
     /*  555982 */   // Label 9130: @555982
     /*  555982 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(556057), // Rule ID 3023 //
     /*  555987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  556036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556055 */     GIR_RootConstrainSelectedInstOperands,
     /*  556056 */     // GIR_Coverage, 3023,
     /*  556056 */     GIR_EraseRootFromParent_Done,
     /*  556057 */   // Label 9131: @556057
     /*  556057 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(556132), // Rule ID 3026 //
     /*  556062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556130 */     GIR_RootConstrainSelectedInstOperands,
     /*  556131 */     // GIR_Coverage, 3026,
     /*  556131 */     GIR_EraseRootFromParent_Done,
     /*  556132 */   // Label 9132: @556132
     /*  556132 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(556207), // Rule ID 3027 //
     /*  556137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556183 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556205 */     GIR_RootConstrainSelectedInstOperands,
     /*  556206 */     // GIR_Coverage, 3027,
     /*  556206 */     GIR_EraseRootFromParent_Done,
     /*  556207 */   // Label 9133: @556207
     /*  556207 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(556282), // Rule ID 3118 //
     /*  556212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  556232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556258 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  556261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556280 */     GIR_RootConstrainSelectedInstOperands,
     /*  556281 */     // GIR_Coverage, 3118,
     /*  556281 */     GIR_EraseRootFromParent_Done,
     /*  556282 */   // Label 9134: @556282
     /*  556282 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(556357), // Rule ID 3119 //
     /*  556287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  556307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556333 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  556336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556355 */     GIR_RootConstrainSelectedInstOperands,
     /*  556356 */     // GIR_Coverage, 3119,
     /*  556356 */     GIR_EraseRootFromParent_Done,
     /*  556357 */   // Label 9135: @556357
     /*  556357 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(556432), // Rule ID 3122 //
     /*  556362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  556382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556408 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556430 */     GIR_RootConstrainSelectedInstOperands,
     /*  556431 */     // GIR_Coverage, 3122,
     /*  556431 */     GIR_EraseRootFromParent_Done,
     /*  556432 */   // Label 9136: @556432
     /*  556432 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(556507), // Rule ID 3123 //
     /*  556437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  556457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556483 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556505 */     GIR_RootConstrainSelectedInstOperands,
     /*  556506 */     // GIR_Coverage, 3123,
     /*  556506 */     GIR_EraseRootFromParent_Done,
     /*  556507 */   // Label 9137: @556507
     /*  556507 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(556582), // Rule ID 3126 //
     /*  556512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556558 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556580 */     GIR_RootConstrainSelectedInstOperands,
     /*  556581 */     // GIR_Coverage, 3126,
     /*  556581 */     GIR_EraseRootFromParent_Done,
     /*  556582 */   // Label 9138: @556582
     /*  556582 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(556657), // Rule ID 3127 //
     /*  556587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556633 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556655 */     GIR_RootConstrainSelectedInstOperands,
     /*  556656 */     // GIR_Coverage, 3127,
     /*  556656 */     GIR_EraseRootFromParent_Done,
     /*  556657 */   // Label 9139: @556657
     /*  556657 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(556732), // Rule ID 3130 //
     /*  556662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556730 */     GIR_RootConstrainSelectedInstOperands,
     /*  556731 */     // GIR_Coverage, 3130,
     /*  556731 */     GIR_EraseRootFromParent_Done,
     /*  556732 */   // Label 9140: @556732
     /*  556732 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556807), // Rule ID 3131 //
     /*  556737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556783 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556805 */     GIR_RootConstrainSelectedInstOperands,
     /*  556806 */     // GIR_Coverage, 3131,
     /*  556806 */     GIR_EraseRootFromParent_Done,
     /*  556807 */   // Label 9141: @556807
     /*  556807 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556882), // Rule ID 3134 //
     /*  556812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556880 */     GIR_RootConstrainSelectedInstOperands,
     /*  556881 */     // GIR_Coverage, 3134,
     /*  556881 */     GIR_EraseRootFromParent_Done,
     /*  556882 */   // Label 9142: @556882
     /*  556882 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556957), // Rule ID 3135 //
     /*  556887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556933 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556955 */     GIR_RootConstrainSelectedInstOperands,
     /*  556956 */     // GIR_Coverage, 3135,
     /*  556956 */     GIR_EraseRootFromParent_Done,
     /*  556957 */   // Label 9143: @556957
     /*  556957 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(557032), // Rule ID 3138 //
     /*  556962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  556982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557030 */     GIR_RootConstrainSelectedInstOperands,
     /*  557031 */     // GIR_Coverage, 3138,
     /*  557031 */     GIR_EraseRootFromParent_Done,
     /*  557032 */   // Label 9144: @557032
     /*  557032 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(557107), // Rule ID 3139 //
     /*  557037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  557057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557105 */     GIR_RootConstrainSelectedInstOperands,
     /*  557106 */     // GIR_Coverage, 3139,
     /*  557106 */     GIR_EraseRootFromParent_Done,
     /*  557107 */   // Label 9145: @557107
     /*  557107 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(557182), // Rule ID 3142 //
     /*  557112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  557132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557158 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557180 */     GIR_RootConstrainSelectedInstOperands,
     /*  557181 */     // GIR_Coverage, 3142,
     /*  557181 */     GIR_EraseRootFromParent_Done,
     /*  557182 */   // Label 9146: @557182
     /*  557182 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(557257), // Rule ID 3143 //
     /*  557187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  557207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557255 */     GIR_RootConstrainSelectedInstOperands,
     /*  557256 */     // GIR_Coverage, 3143,
     /*  557256 */     GIR_EraseRootFromParent_Done,
     /*  557257 */   // Label 9147: @557257
     /*  557257 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(557332), // Rule ID 3146 //
     /*  557262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  557282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557330 */     GIR_RootConstrainSelectedInstOperands,
     /*  557331 */     // GIR_Coverage, 3146,
     /*  557331 */     GIR_EraseRootFromParent_Done,
     /*  557332 */   // Label 9148: @557332
     /*  557332 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(557407), // Rule ID 3147 //
     /*  557337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  557357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557405 */     GIR_RootConstrainSelectedInstOperands,
     /*  557406 */     // GIR_Coverage, 3147,
     /*  557406 */     GIR_EraseRootFromParent_Done,
     /*  557407 */   // Label 9149: @557407
     /*  557407 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(557482), // Rule ID 3150 //
     /*  557412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  557432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557480 */     GIR_RootConstrainSelectedInstOperands,
     /*  557481 */     // GIR_Coverage, 3150,
     /*  557481 */     GIR_EraseRootFromParent_Done,
     /*  557482 */   // Label 9150: @557482
     /*  557482 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(557557), // Rule ID 3151 //
     /*  557487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  557507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557533 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557555 */     GIR_RootConstrainSelectedInstOperands,
     /*  557556 */     // GIR_Coverage, 3151,
     /*  557556 */     GIR_EraseRootFromParent_Done,
     /*  557557 */   // Label 9151: @557557
     /*  557557 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(557632), // Rule ID 3154 //
     /*  557562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557630 */     GIR_RootConstrainSelectedInstOperands,
     /*  557631 */     // GIR_Coverage, 3154,
     /*  557631 */     GIR_EraseRootFromParent_Done,
     /*  557632 */   // Label 9152: @557632
     /*  557632 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(557707), // Rule ID 3155 //
     /*  557637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557705 */     GIR_RootConstrainSelectedInstOperands,
     /*  557706 */     // GIR_Coverage, 3155,
     /*  557706 */     GIR_EraseRootFromParent_Done,
     /*  557707 */   // Label 9153: @557707
     /*  557707 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(557782), // Rule ID 3158 //
     /*  557712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557758 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557780 */     GIR_RootConstrainSelectedInstOperands,
     /*  557781 */     // GIR_Coverage, 3158,
     /*  557781 */     GIR_EraseRootFromParent_Done,
     /*  557782 */   // Label 9154: @557782
     /*  557782 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557857), // Rule ID 3159 //
     /*  557787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557833 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557855 */     GIR_RootConstrainSelectedInstOperands,
     /*  557856 */     // GIR_Coverage, 3159,
     /*  557856 */     GIR_EraseRootFromParent_Done,
     /*  557857 */   // Label 9155: @557857
     /*  557857 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557932), // Rule ID 3162 //
     /*  557862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557908 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557930 */     GIR_RootConstrainSelectedInstOperands,
     /*  557931 */     // GIR_Coverage, 3162,
     /*  557931 */     GIR_EraseRootFromParent_Done,
     /*  557932 */   // Label 9156: @557932
     /*  557932 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(558007), // Rule ID 3163 //
     /*  557937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557983 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558005 */     GIR_RootConstrainSelectedInstOperands,
     /*  558006 */     // GIR_Coverage, 3163,
     /*  558006 */     GIR_EraseRootFromParent_Done,
     /*  558007 */   // Label 9157: @558007
     /*  558007 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(558082), // Rule ID 3166 //
     /*  558012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  558032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558058 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558080 */     GIR_RootConstrainSelectedInstOperands,
     /*  558081 */     // GIR_Coverage, 3166,
     /*  558081 */     GIR_EraseRootFromParent_Done,
     /*  558082 */   // Label 9158: @558082
     /*  558082 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(558157), // Rule ID 3167 //
     /*  558087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  558107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558133 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558155 */     GIR_RootConstrainSelectedInstOperands,
     /*  558156 */     // GIR_Coverage, 3167,
     /*  558156 */     GIR_EraseRootFromParent_Done,
     /*  558157 */   // Label 9159: @558157
     /*  558157 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(558232), // Rule ID 3170 //
     /*  558162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  558182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558230 */     GIR_RootConstrainSelectedInstOperands,
     /*  558231 */     // GIR_Coverage, 3170,
     /*  558231 */     GIR_EraseRootFromParent_Done,
     /*  558232 */   // Label 9160: @558232
     /*  558232 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(558307), // Rule ID 3171 //
     /*  558237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  558257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558305 */     GIR_RootConstrainSelectedInstOperands,
     /*  558306 */     // GIR_Coverage, 3171,
     /*  558306 */     GIR_EraseRootFromParent_Done,
     /*  558307 */   // Label 9161: @558307
     /*  558307 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(558382), // Rule ID 3174 //
     /*  558312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  558332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558358 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558380 */     GIR_RootConstrainSelectedInstOperands,
     /*  558381 */     // GIR_Coverage, 3174,
     /*  558381 */     GIR_EraseRootFromParent_Done,
     /*  558382 */   // Label 9162: @558382
     /*  558382 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(558457), // Rule ID 3175 //
     /*  558387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  558407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558433 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558455 */     GIR_RootConstrainSelectedInstOperands,
     /*  558456 */     // GIR_Coverage, 3175,
     /*  558456 */     GIR_EraseRootFromParent_Done,
     /*  558457 */   // Label 9163: @558457
     /*  558457 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(558532), // Rule ID 3178 //
     /*  558462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558508 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558530 */     GIR_RootConstrainSelectedInstOperands,
     /*  558531 */     // GIR_Coverage, 3178,
     /*  558531 */     GIR_EraseRootFromParent_Done,
     /*  558532 */   // Label 9164: @558532
     /*  558532 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(558607), // Rule ID 3179 //
     /*  558537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558605 */     GIR_RootConstrainSelectedInstOperands,
     /*  558606 */     // GIR_Coverage, 3179,
     /*  558606 */     GIR_EraseRootFromParent_Done,
     /*  558607 */   // Label 9165: @558607
     /*  558607 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(558682), // Rule ID 3182 //
     /*  558612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558680 */     GIR_RootConstrainSelectedInstOperands,
     /*  558681 */     // GIR_Coverage, 3182,
     /*  558681 */     GIR_EraseRootFromParent_Done,
     /*  558682 */   // Label 9166: @558682
     /*  558682 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(558757), // Rule ID 3183 //
     /*  558687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558755 */     GIR_RootConstrainSelectedInstOperands,
     /*  558756 */     // GIR_Coverage, 3183,
     /*  558756 */     GIR_EraseRootFromParent_Done,
     /*  558757 */   // Label 9167: @558757
     /*  558757 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558832), // Rule ID 3186 //
     /*  558762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558830 */     GIR_RootConstrainSelectedInstOperands,
     /*  558831 */     // GIR_Coverage, 3186,
     /*  558831 */     GIR_EraseRootFromParent_Done,
     /*  558832 */   // Label 9168: @558832
     /*  558832 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558907), // Rule ID 3187 //
     /*  558837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558905 */     GIR_RootConstrainSelectedInstOperands,
     /*  558906 */     // GIR_Coverage, 3187,
     /*  558906 */     GIR_EraseRootFromParent_Done,
     /*  558907 */   // Label 9169: @558907
     /*  558907 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558982), // Rule ID 3190 //
     /*  558912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  558932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558980 */     GIR_RootConstrainSelectedInstOperands,
     /*  558981 */     // GIR_Coverage, 3190,
     /*  558981 */     GIR_EraseRootFromParent_Done,
     /*  558982 */   // Label 9170: @558982
     /*  558982 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(559057), // Rule ID 3191 //
     /*  558987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  559007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559055 */     GIR_RootConstrainSelectedInstOperands,
     /*  559056 */     // GIR_Coverage, 3191,
     /*  559056 */     GIR_EraseRootFromParent_Done,
     /*  559057 */   // Label 9171: @559057
     /*  559057 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(559132), // Rule ID 3194 //
     /*  559062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  559082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559130 */     GIR_RootConstrainSelectedInstOperands,
     /*  559131 */     // GIR_Coverage, 3194,
     /*  559131 */     GIR_EraseRootFromParent_Done,
     /*  559132 */   // Label 9172: @559132
     /*  559132 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(559207), // Rule ID 3195 //
     /*  559137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  559157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559205 */     GIR_RootConstrainSelectedInstOperands,
     /*  559206 */     // GIR_Coverage, 3195,
     /*  559206 */     GIR_EraseRootFromParent_Done,
     /*  559207 */   // Label 9173: @559207
     /*  559207 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(559282), // Rule ID 3198 //
     /*  559212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  559232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559280 */     GIR_RootConstrainSelectedInstOperands,
     /*  559281 */     // GIR_Coverage, 3198,
     /*  559281 */     GIR_EraseRootFromParent_Done,
     /*  559282 */   // Label 9174: @559282
     /*  559282 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(559357), // Rule ID 3199 //
     /*  559287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  559307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559333 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559355 */     GIR_RootConstrainSelectedInstOperands,
     /*  559356 */     // GIR_Coverage, 3199,
     /*  559356 */     GIR_EraseRootFromParent_Done,
     /*  559357 */   // Label 9175: @559357
     /*  559357 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(559432), // Rule ID 3202 //
     /*  559362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  559382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559430 */     GIR_RootConstrainSelectedInstOperands,
     /*  559431 */     // GIR_Coverage, 3202,
     /*  559431 */     GIR_EraseRootFromParent_Done,
     /*  559432 */   // Label 9176: @559432
     /*  559432 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(559507), // Rule ID 3203 //
     /*  559437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  559457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559483 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559505 */     GIR_RootConstrainSelectedInstOperands,
     /*  559506 */     // GIR_Coverage, 3203,
     /*  559506 */     GIR_EraseRootFromParent_Done,
     /*  559507 */   // Label 9177: @559507
     /*  559507 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(559582), // Rule ID 3206 //
     /*  559512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559558 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559580 */     GIR_RootConstrainSelectedInstOperands,
     /*  559581 */     // GIR_Coverage, 3206,
     /*  559581 */     GIR_EraseRootFromParent_Done,
     /*  559582 */   // Label 9178: @559582
     /*  559582 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(559657), // Rule ID 3207 //
     /*  559587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559655 */     GIR_RootConstrainSelectedInstOperands,
     /*  559656 */     // GIR_Coverage, 3207,
     /*  559656 */     GIR_EraseRootFromParent_Done,
     /*  559657 */   // Label 9179: @559657
     /*  559657 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(559732), // Rule ID 3210 //
     /*  559662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559708 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559730 */     GIR_RootConstrainSelectedInstOperands,
     /*  559731 */     // GIR_Coverage, 3210,
     /*  559731 */     GIR_EraseRootFromParent_Done,
     /*  559732 */   // Label 9180: @559732
     /*  559732 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559807), // Rule ID 3211 //
     /*  559737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559783 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559805 */     GIR_RootConstrainSelectedInstOperands,
     /*  559806 */     // GIR_Coverage, 3211,
     /*  559806 */     GIR_EraseRootFromParent_Done,
     /*  559807 */   // Label 9181: @559807
     /*  559807 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559882), // Rule ID 3214 //
     /*  559812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559858 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559880 */     GIR_RootConstrainSelectedInstOperands,
     /*  559881 */     // GIR_Coverage, 3214,
     /*  559881 */     GIR_EraseRootFromParent_Done,
     /*  559882 */   // Label 9182: @559882
     /*  559882 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559957), // Rule ID 3215 //
     /*  559887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559933 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559955 */     GIR_RootConstrainSelectedInstOperands,
     /*  559956 */     // GIR_Coverage, 3215,
     /*  559956 */     GIR_EraseRootFromParent_Done,
     /*  559957 */   // Label 9183: @559957
     /*  559957 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(560032), // Rule ID 3218 //
     /*  559962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560030 */     GIR_RootConstrainSelectedInstOperands,
     /*  560031 */     // GIR_Coverage, 3218,
     /*  560031 */     GIR_EraseRootFromParent_Done,
     /*  560032 */   // Label 9184: @560032
     /*  560032 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(560107), // Rule ID 3219 //
     /*  560037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  560048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  560051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560083 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560105 */     GIR_RootConstrainSelectedInstOperands,
     /*  560106 */     // GIR_Coverage, 3219,
     /*  560106 */     GIR_EraseRootFromParent_Done,
     /*  560107 */   // Label 9185: @560107
     /*  560107 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(560182), // Rule ID 3222 //
     /*  560112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560180 */     GIR_RootConstrainSelectedInstOperands,
     /*  560181 */     // GIR_Coverage, 3222,
     /*  560181 */     GIR_EraseRootFromParent_Done,
     /*  560182 */   // Label 9186: @560182
     /*  560182 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(560257), // Rule ID 3223 //
     /*  560187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560255 */     GIR_RootConstrainSelectedInstOperands,
     /*  560256 */     // GIR_Coverage, 3223,
     /*  560256 */     GIR_EraseRootFromParent_Done,
     /*  560257 */   // Label 9187: @560257
     /*  560257 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(560332), // Rule ID 3226 //
     /*  560262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  560273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  560276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  560279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560330 */     GIR_RootConstrainSelectedInstOperands,
     /*  560331 */     // GIR_Coverage, 3226,
     /*  560331 */     GIR_EraseRootFromParent_Done,
     /*  560332 */   // Label 9188: @560332
     /*  560332 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(560407), // Rule ID 3227 //
     /*  560337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  560348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  560351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  560354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560383 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560405 */     GIR_RootConstrainSelectedInstOperands,
     /*  560406 */     // GIR_Coverage, 3227,
     /*  560406 */     GIR_EraseRootFromParent_Done,
     /*  560407 */   // Label 9189: @560407
     /*  560407 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(560482), // Rule ID 3230 //
     /*  560412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560480 */     GIR_RootConstrainSelectedInstOperands,
     /*  560481 */     // GIR_Coverage, 3230,
     /*  560481 */     GIR_EraseRootFromParent_Done,
     /*  560482 */   // Label 9190: @560482
     /*  560482 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(560557), // Rule ID 3231 //
     /*  560487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560555 */     GIR_RootConstrainSelectedInstOperands,
     /*  560556 */     // GIR_Coverage, 3231,
     /*  560556 */     GIR_EraseRootFromParent_Done,
     /*  560557 */   // Label 9191: @560557
     /*  560557 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(560632), // Rule ID 3234 //
     /*  560562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560630 */     GIR_RootConstrainSelectedInstOperands,
     /*  560631 */     // GIR_Coverage, 3234,
     /*  560631 */     GIR_EraseRootFromParent_Done,
     /*  560632 */   // Label 9192: @560632
     /*  560632 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(560707), // Rule ID 3235 //
     /*  560637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560705 */     GIR_RootConstrainSelectedInstOperands,
     /*  560706 */     // GIR_Coverage, 3235,
     /*  560706 */     GIR_EraseRootFromParent_Done,
     /*  560707 */   // Label 9193: @560707
     /*  560707 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(560782), // Rule ID 3238 //
     /*  560712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560780 */     GIR_RootConstrainSelectedInstOperands,
     /*  560781 */     // GIR_Coverage, 3238,
     /*  560781 */     GIR_EraseRootFromParent_Done,
     /*  560782 */   // Label 9194: @560782
     /*  560782 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560857), // Rule ID 3239 //
     /*  560787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560855 */     GIR_RootConstrainSelectedInstOperands,
     /*  560856 */     // GIR_Coverage, 3239,
     /*  560856 */     GIR_EraseRootFromParent_Done,
     /*  560857 */   // Label 9195: @560857
     /*  560857 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560932), // Rule ID 3242 //
     /*  560862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560930 */     GIR_RootConstrainSelectedInstOperands,
     /*  560931 */     // GIR_Coverage, 3242,
     /*  560931 */     GIR_EraseRootFromParent_Done,
     /*  560932 */   // Label 9196: @560932
     /*  560932 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(561007), // Rule ID 3243 //
     /*  560937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561005 */     GIR_RootConstrainSelectedInstOperands,
     /*  561006 */     // GIR_Coverage, 3243,
     /*  561006 */     GIR_EraseRootFromParent_Done,
     /*  561007 */   // Label 9197: @561007
     /*  561007 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(561082), // Rule ID 3246 //
     /*  561012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561058 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561080 */     GIR_RootConstrainSelectedInstOperands,
     /*  561081 */     // GIR_Coverage, 3246,
     /*  561081 */     GIR_EraseRootFromParent_Done,
     /*  561082 */   // Label 9198: @561082
     /*  561082 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(561157), // Rule ID 3247 //
     /*  561087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561133 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561155 */     GIR_RootConstrainSelectedInstOperands,
     /*  561156 */     // GIR_Coverage, 3247,
     /*  561156 */     GIR_EraseRootFromParent_Done,
     /*  561157 */   // Label 9199: @561157
     /*  561157 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(561232), // Rule ID 3250 //
     /*  561162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  561173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  561176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  561179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561230 */     GIR_RootConstrainSelectedInstOperands,
     /*  561231 */     // GIR_Coverage, 3250,
     /*  561231 */     GIR_EraseRootFromParent_Done,
     /*  561232 */   // Label 9200: @561232
     /*  561232 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(561307), // Rule ID 3251 //
     /*  561237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  561248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  561251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  561254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561283 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561305 */     GIR_RootConstrainSelectedInstOperands,
     /*  561306 */     // GIR_Coverage, 3251,
     /*  561306 */     GIR_EraseRootFromParent_Done,
     /*  561307 */   // Label 9201: @561307
     /*  561307 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(561382), // Rule ID 3254 //
     /*  561312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  561323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  561326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  561329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561358 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561380 */     GIR_RootConstrainSelectedInstOperands,
     /*  561381 */     // GIR_Coverage, 3254,
     /*  561381 */     GIR_EraseRootFromParent_Done,
     /*  561382 */   // Label 9202: @561382
     /*  561382 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(561457), // Rule ID 3255 //
     /*  561387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  561398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  561401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  561404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561433 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561455 */     GIR_RootConstrainSelectedInstOperands,
     /*  561456 */     // GIR_Coverage, 3255,
     /*  561456 */     GIR_EraseRootFromParent_Done,
     /*  561457 */   // Label 9203: @561457
     /*  561457 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(561532), // Rule ID 3258 //
     /*  561462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561530 */     GIR_RootConstrainSelectedInstOperands,
     /*  561531 */     // GIR_Coverage, 3258,
     /*  561531 */     GIR_EraseRootFromParent_Done,
     /*  561532 */   // Label 9204: @561532
     /*  561532 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(561607), // Rule ID 3259 //
     /*  561537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561583 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561605 */     GIR_RootConstrainSelectedInstOperands,
     /*  561606 */     // GIR_Coverage, 3259,
     /*  561606 */     GIR_EraseRootFromParent_Done,
     /*  561607 */   // Label 9205: @561607
     /*  561607 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(561682), // Rule ID 3262 //
     /*  561612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561680 */     GIR_RootConstrainSelectedInstOperands,
     /*  561681 */     // GIR_Coverage, 3262,
     /*  561681 */     GIR_EraseRootFromParent_Done,
     /*  561682 */   // Label 9206: @561682
     /*  561682 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(561757), // Rule ID 3263 //
     /*  561687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561733 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561755 */     GIR_RootConstrainSelectedInstOperands,
     /*  561756 */     // GIR_Coverage, 3263,
     /*  561756 */     GIR_EraseRootFromParent_Done,
     /*  561757 */   // Label 9207: @561757
     /*  561757 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561832), // Rule ID 3266 //
     /*  561762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561830 */     GIR_RootConstrainSelectedInstOperands,
     /*  561831 */     // GIR_Coverage, 3266,
     /*  561831 */     GIR_EraseRootFromParent_Done,
     /*  561832 */   // Label 9208: @561832
     /*  561832 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561907), // Rule ID 3267 //
     /*  561837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561883 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561905 */     GIR_RootConstrainSelectedInstOperands,
     /*  561906 */     // GIR_Coverage, 3267,
     /*  561906 */     GIR_EraseRootFromParent_Done,
     /*  561907 */   // Label 9209: @561907
     /*  561907 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561982), // Rule ID 3270 //
     /*  561912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561980 */     GIR_RootConstrainSelectedInstOperands,
     /*  561981 */     // GIR_Coverage, 3270,
     /*  561981 */     GIR_EraseRootFromParent_Done,
     /*  561982 */   // Label 9210: @561982
     /*  561982 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(562057), // Rule ID 3271 //
     /*  561987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  562004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562055 */     GIR_RootConstrainSelectedInstOperands,
     /*  562056 */     // GIR_Coverage, 3271,
     /*  562056 */     GIR_EraseRootFromParent_Done,
     /*  562057 */   // Label 9211: @562057
     /*  562057 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(562132), // Rule ID 3274 //
     /*  562062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  562079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562130 */     GIR_RootConstrainSelectedInstOperands,
     /*  562131 */     // GIR_Coverage, 3274,
     /*  562131 */     GIR_EraseRootFromParent_Done,
     /*  562132 */   // Label 9212: @562132
     /*  562132 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(562207), // Rule ID 3275 //
     /*  562137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  562154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562205 */     GIR_RootConstrainSelectedInstOperands,
     /*  562206 */     // GIR_Coverage, 3275,
     /*  562206 */     GIR_EraseRootFromParent_Done,
     /*  562207 */   // Label 9213: @562207
     /*  562207 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(562282), // Rule ID 3278 //
     /*  562212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  562223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  562226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  562229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562280 */     GIR_RootConstrainSelectedInstOperands,
     /*  562281 */     // GIR_Coverage, 3278,
     /*  562281 */     GIR_EraseRootFromParent_Done,
     /*  562282 */   // Label 9214: @562282
     /*  562282 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(562357), // Rule ID 3279 //
     /*  562287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  562298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  562301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  562304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562333 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562355 */     GIR_RootConstrainSelectedInstOperands,
     /*  562356 */     // GIR_Coverage, 3279,
     /*  562356 */     GIR_EraseRootFromParent_Done,
     /*  562357 */   // Label 9215: @562357
     /*  562357 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(562432), // Rule ID 3282 //
     /*  562362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  562373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  562376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562408 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562430 */     GIR_RootConstrainSelectedInstOperands,
     /*  562431 */     // GIR_Coverage, 3282,
     /*  562431 */     GIR_EraseRootFromParent_Done,
     /*  562432 */   // Label 9216: @562432
     /*  562432 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(562507), // Rule ID 3283 //
     /*  562437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  562448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  562451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562505 */     GIR_RootConstrainSelectedInstOperands,
     /*  562506 */     // GIR_Coverage, 3283,
     /*  562506 */     GIR_EraseRootFromParent_Done,
     /*  562507 */   // Label 9217: @562507
     /*  562507 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(562582), // Rule ID 3286 //
     /*  562512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562580 */     GIR_RootConstrainSelectedInstOperands,
     /*  562581 */     // GIR_Coverage, 3286,
     /*  562581 */     GIR_EraseRootFromParent_Done,
     /*  562582 */   // Label 9218: @562582
     /*  562582 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(562657), // Rule ID 3287 //
     /*  562587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562655 */     GIR_RootConstrainSelectedInstOperands,
     /*  562656 */     // GIR_Coverage, 3287,
     /*  562656 */     GIR_EraseRootFromParent_Done,
     /*  562657 */   // Label 9219: @562657
     /*  562657 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(562732), // Rule ID 3290 //
     /*  562662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562730 */     GIR_RootConstrainSelectedInstOperands,
     /*  562731 */     // GIR_Coverage, 3290,
     /*  562731 */     GIR_EraseRootFromParent_Done,
     /*  562732 */   // Label 9220: @562732
     /*  562732 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562807), // Rule ID 3291 //
     /*  562737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562783 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562805 */     GIR_RootConstrainSelectedInstOperands,
     /*  562806 */     // GIR_Coverage, 3291,
     /*  562806 */     GIR_EraseRootFromParent_Done,
     /*  562807 */   // Label 9221: @562807
     /*  562807 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562882), // Rule ID 3294 //
     /*  562812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562858 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562880 */     GIR_RootConstrainSelectedInstOperands,
     /*  562881 */     // GIR_Coverage, 3294,
     /*  562881 */     GIR_EraseRootFromParent_Done,
     /*  562882 */   // Label 9222: @562882
     /*  562882 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562957), // Rule ID 3295 //
     /*  562887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562955 */     GIR_RootConstrainSelectedInstOperands,
     /*  562956 */     // GIR_Coverage, 3295,
     /*  562956 */     GIR_EraseRootFromParent_Done,
     /*  562957 */   // Label 9223: @562957
     /*  562957 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(563032), // Rule ID 3298 //
     /*  562962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563008 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563030 */     GIR_RootConstrainSelectedInstOperands,
     /*  563031 */     // GIR_Coverage, 3298,
     /*  563031 */     GIR_EraseRootFromParent_Done,
     /*  563032 */   // Label 9224: @563032
     /*  563032 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(563107), // Rule ID 3299 //
     /*  563037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  563048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  563051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  563054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563083 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563105 */     GIR_RootConstrainSelectedInstOperands,
     /*  563106 */     // GIR_Coverage, 3299,
     /*  563106 */     GIR_EraseRootFromParent_Done,
     /*  563107 */   // Label 9225: @563107
     /*  563107 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(563182), // Rule ID 3302 //
     /*  563112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  563123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  563126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  563129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563158 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563180 */     GIR_RootConstrainSelectedInstOperands,
     /*  563181 */     // GIR_Coverage, 3302,
     /*  563181 */     GIR_EraseRootFromParent_Done,
     /*  563182 */   // Label 9226: @563182
     /*  563182 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(563257), // Rule ID 3303 //
     /*  563187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  563198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  563201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  563204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563233 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563255 */     GIR_RootConstrainSelectedInstOperands,
     /*  563256 */     // GIR_Coverage, 3303,
     /*  563256 */     GIR_EraseRootFromParent_Done,
     /*  563257 */   // Label 9227: @563257
     /*  563257 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(563332), // Rule ID 3306 //
     /*  563262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  563273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  563276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  563279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563308 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563330 */     GIR_RootConstrainSelectedInstOperands,
     /*  563331 */     // GIR_Coverage, 3306,
     /*  563331 */     GIR_EraseRootFromParent_Done,
     /*  563332 */   // Label 9228: @563332
     /*  563332 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(563407), // Rule ID 3307 //
     /*  563337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  563348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  563351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  563354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563383 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563405 */     GIR_RootConstrainSelectedInstOperands,
     /*  563406 */     // GIR_Coverage, 3307,
     /*  563406 */     GIR_EraseRootFromParent_Done,
     /*  563407 */   // Label 9229: @563407
     /*  563407 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(563482), // Rule ID 3310 //
     /*  563412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563458 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563480 */     GIR_RootConstrainSelectedInstOperands,
     /*  563481 */     // GIR_Coverage, 3310,
     /*  563481 */     GIR_EraseRootFromParent_Done,
     /*  563482 */   // Label 9230: @563482
     /*  563482 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(563557), // Rule ID 3311 //
     /*  563487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563533 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563555 */     GIR_RootConstrainSelectedInstOperands,
     /*  563556 */     // GIR_Coverage, 3311,
     /*  563556 */     GIR_EraseRootFromParent_Done,
     /*  563557 */   // Label 9231: @563557
     /*  563557 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(563632), // Rule ID 3314 //
     /*  563562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563630 */     GIR_RootConstrainSelectedInstOperands,
     /*  563631 */     // GIR_Coverage, 3314,
     /*  563631 */     GIR_EraseRootFromParent_Done,
     /*  563632 */   // Label 9232: @563632
     /*  563632 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(563707), // Rule ID 3315 //
     /*  563637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563705 */     GIR_RootConstrainSelectedInstOperands,
     /*  563706 */     // GIR_Coverage, 3315,
     /*  563706 */     GIR_EraseRootFromParent_Done,
     /*  563707 */   // Label 9233: @563707
     /*  563707 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(563782), // Rule ID 3318 //
     /*  563712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563780 */     GIR_RootConstrainSelectedInstOperands,
     /*  563781 */     // GIR_Coverage, 3318,
     /*  563781 */     GIR_EraseRootFromParent_Done,
     /*  563782 */   // Label 9234: @563782
     /*  563782 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563857), // Rule ID 3319 //
     /*  563787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563833 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563855 */     GIR_RootConstrainSelectedInstOperands,
     /*  563856 */     // GIR_Coverage, 3319,
     /*  563856 */     GIR_EraseRootFromParent_Done,
     /*  563857 */   // Label 9235: @563857
     /*  563857 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563932), // Rule ID 3322 //
     /*  563862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563930 */     GIR_RootConstrainSelectedInstOperands,
     /*  563931 */     // GIR_Coverage, 3322,
     /*  563931 */     GIR_EraseRootFromParent_Done,
     /*  563932 */   // Label 9236: @563932
     /*  563932 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(564007), // Rule ID 3323 //
     /*  563937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564005 */     GIR_RootConstrainSelectedInstOperands,
     /*  564006 */     // GIR_Coverage, 3323,
     /*  564006 */     GIR_EraseRootFromParent_Done,
     /*  564007 */   // Label 9237: @564007
     /*  564007 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(564082), // Rule ID 3326 //
     /*  564012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564080 */     GIR_RootConstrainSelectedInstOperands,
     /*  564081 */     // GIR_Coverage, 3326,
     /*  564081 */     GIR_EraseRootFromParent_Done,
     /*  564082 */   // Label 9238: @564082
     /*  564082 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(564157), // Rule ID 3327 //
     /*  564087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564155 */     GIR_RootConstrainSelectedInstOperands,
     /*  564156 */     // GIR_Coverage, 3327,
     /*  564156 */     GIR_EraseRootFromParent_Done,
     /*  564157 */   // Label 9239: @564157
     /*  564157 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(564232), // Rule ID 3330 //
     /*  564162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  564173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  564176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564230 */     GIR_RootConstrainSelectedInstOperands,
     /*  564231 */     // GIR_Coverage, 3330,
     /*  564231 */     GIR_EraseRootFromParent_Done,
     /*  564232 */   // Label 9240: @564232
     /*  564232 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(564307), // Rule ID 3331 //
     /*  564237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  564248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  564251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564305 */     GIR_RootConstrainSelectedInstOperands,
     /*  564306 */     // GIR_Coverage, 3331,
     /*  564306 */     GIR_EraseRootFromParent_Done,
     /*  564307 */   // Label 9241: @564307
     /*  564307 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(564382), // Rule ID 3334 //
     /*  564312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  564323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  564326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564380 */     GIR_RootConstrainSelectedInstOperands,
     /*  564381 */     // GIR_Coverage, 3334,
     /*  564381 */     GIR_EraseRootFromParent_Done,
     /*  564382 */   // Label 9242: @564382
     /*  564382 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(564457), // Rule ID 3335 //
     /*  564387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  564398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  564401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564455 */     GIR_RootConstrainSelectedInstOperands,
     /*  564456 */     // GIR_Coverage, 3335,
     /*  564456 */     GIR_EraseRootFromParent_Done,
     /*  564457 */   // Label 9243: @564457
     /*  564457 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(564532), // Rule ID 3338 //
     /*  564462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564530 */     GIR_RootConstrainSelectedInstOperands,
     /*  564531 */     // GIR_Coverage, 3338,
     /*  564531 */     GIR_EraseRootFromParent_Done,
     /*  564532 */   // Label 9244: @564532
     /*  564532 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(564607), // Rule ID 3339 //
     /*  564537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564583 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564605 */     GIR_RootConstrainSelectedInstOperands,
     /*  564606 */     // GIR_Coverage, 3339,
     /*  564606 */     GIR_EraseRootFromParent_Done,
     /*  564607 */   // Label 9245: @564607
     /*  564607 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(564682), // Rule ID 3342 //
     /*  564612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564680 */     GIR_RootConstrainSelectedInstOperands,
     /*  564681 */     // GIR_Coverage, 3342,
     /*  564681 */     GIR_EraseRootFromParent_Done,
     /*  564682 */   // Label 9246: @564682
     /*  564682 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(564757), // Rule ID 3343 //
     /*  564687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564733 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564755 */     GIR_RootConstrainSelectedInstOperands,
     /*  564756 */     // GIR_Coverage, 3343,
     /*  564756 */     GIR_EraseRootFromParent_Done,
     /*  564757 */   // Label 9247: @564757
     /*  564757 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564832), // Rule ID 3346 //
     /*  564762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564830 */     GIR_RootConstrainSelectedInstOperands,
     /*  564831 */     // GIR_Coverage, 3346,
     /*  564831 */     GIR_EraseRootFromParent_Done,
     /*  564832 */   // Label 9248: @564832
     /*  564832 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564907), // Rule ID 3347 //
     /*  564837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564905 */     GIR_RootConstrainSelectedInstOperands,
     /*  564906 */     // GIR_Coverage, 3347,
     /*  564906 */     GIR_EraseRootFromParent_Done,
     /*  564907 */   // Label 9249: @564907
     /*  564907 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564982), // Rule ID 3350 //
     /*  564912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564980 */     GIR_RootConstrainSelectedInstOperands,
     /*  564981 */     // GIR_Coverage, 3350,
     /*  564981 */     GIR_EraseRootFromParent_Done,
     /*  564982 */   // Label 9250: @564982
     /*  564982 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(565057), // Rule ID 3351 //
     /*  564987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565033 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565055 */     GIR_RootConstrainSelectedInstOperands,
     /*  565056 */     // GIR_Coverage, 3351,
     /*  565056 */     GIR_EraseRootFromParent_Done,
     /*  565057 */   // Label 9251: @565057
     /*  565057 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(565132), // Rule ID 3354 //
     /*  565062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565130 */     GIR_RootConstrainSelectedInstOperands,
     /*  565131 */     // GIR_Coverage, 3354,
     /*  565131 */     GIR_EraseRootFromParent_Done,
     /*  565132 */   // Label 9252: @565132
     /*  565132 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(565207), // Rule ID 3355 //
     /*  565137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565183 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565205 */     GIR_RootConstrainSelectedInstOperands,
     /*  565206 */     // GIR_Coverage, 3355,
     /*  565206 */     GIR_EraseRootFromParent_Done,
     /*  565207 */   // Label 9253: @565207
     /*  565207 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(565282), // Rule ID 3358 //
     /*  565212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  565229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565280 */     GIR_RootConstrainSelectedInstOperands,
     /*  565281 */     // GIR_Coverage, 3358,
     /*  565281 */     GIR_EraseRootFromParent_Done,
     /*  565282 */   // Label 9254: @565282
     /*  565282 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(565357), // Rule ID 3359 //
     /*  565287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  565304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565333 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565355 */     GIR_RootConstrainSelectedInstOperands,
     /*  565356 */     // GIR_Coverage, 3359,
     /*  565356 */     GIR_EraseRootFromParent_Done,
     /*  565357 */   // Label 9255: @565357
     /*  565357 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(565432), // Rule ID 3362 //
     /*  565362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  565379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565430 */     GIR_RootConstrainSelectedInstOperands,
     /*  565431 */     // GIR_Coverage, 3362,
     /*  565431 */     GIR_EraseRootFromParent_Done,
     /*  565432 */   // Label 9256: @565432
     /*  565432 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(565507), // Rule ID 3363 //
     /*  565437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  565454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565505 */     GIR_RootConstrainSelectedInstOperands,
     /*  565506 */     // GIR_Coverage, 3363,
     /*  565506 */     GIR_EraseRootFromParent_Done,
     /*  565507 */   // Label 9257: @565507
     /*  565507 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(565582), // Rule ID 3366 //
     /*  565512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565580 */     GIR_RootConstrainSelectedInstOperands,
     /*  565581 */     // GIR_Coverage, 3366,
     /*  565581 */     GIR_EraseRootFromParent_Done,
     /*  565582 */   // Label 9258: @565582
     /*  565582 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(565657), // Rule ID 3367 //
     /*  565587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565655 */     GIR_RootConstrainSelectedInstOperands,
     /*  565656 */     // GIR_Coverage, 3367,
     /*  565656 */     GIR_EraseRootFromParent_Done,
     /*  565657 */   // Label 9259: @565657
     /*  565657 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(565732), // Rule ID 3370 //
     /*  565662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565730 */     GIR_RootConstrainSelectedInstOperands,
     /*  565731 */     // GIR_Coverage, 3370,
     /*  565731 */     GIR_EraseRootFromParent_Done,
     /*  565732 */   // Label 9260: @565732
     /*  565732 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565807), // Rule ID 3371 //
     /*  565737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565805 */     GIR_RootConstrainSelectedInstOperands,
     /*  565806 */     // GIR_Coverage, 3371,
     /*  565806 */     GIR_EraseRootFromParent_Done,
     /*  565807 */   // Label 9261: @565807
     /*  565807 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565882), // Rule ID 3374 //
     /*  565812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565880 */     GIR_RootConstrainSelectedInstOperands,
     /*  565881 */     // GIR_Coverage, 3374,
     /*  565881 */     GIR_EraseRootFromParent_Done,
     /*  565882 */   // Label 9262: @565882
     /*  565882 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565957), // Rule ID 3375 //
     /*  565887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565955 */     GIR_RootConstrainSelectedInstOperands,
     /*  565956 */     // GIR_Coverage, 3375,
     /*  565956 */     GIR_EraseRootFromParent_Done,
     /*  565957 */   // Label 9263: @565957
     /*  565957 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(566032), // Rule ID 3378 //
     /*  565962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566030 */     GIR_RootConstrainSelectedInstOperands,
     /*  566031 */     // GIR_Coverage, 3378,
     /*  566031 */     GIR_EraseRootFromParent_Done,
     /*  566032 */   // Label 9264: @566032
     /*  566032 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(566107), // Rule ID 3379 //
     /*  566037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566105 */     GIR_RootConstrainSelectedInstOperands,
     /*  566106 */     // GIR_Coverage, 3379,
     /*  566106 */     GIR_EraseRootFromParent_Done,
     /*  566107 */   // Label 9265: @566107
     /*  566107 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(566182), // Rule ID 3470 //
     /*  566112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  566132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  566161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566180 */     GIR_RootConstrainSelectedInstOperands,
     /*  566181 */     // GIR_Coverage, 3470,
     /*  566181 */     GIR_EraseRootFromParent_Done,
     /*  566182 */   // Label 9266: @566182
     /*  566182 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(566257), // Rule ID 3471 //
     /*  566187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  566207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  566236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566255 */     GIR_RootConstrainSelectedInstOperands,
     /*  566256 */     // GIR_Coverage, 3471,
     /*  566256 */     GIR_EraseRootFromParent_Done,
     /*  566257 */   // Label 9267: @566257
     /*  566257 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(566332), // Rule ID 3474 //
     /*  566262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  566282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566330 */     GIR_RootConstrainSelectedInstOperands,
     /*  566331 */     // GIR_Coverage, 3474,
     /*  566331 */     GIR_EraseRootFromParent_Done,
     /*  566332 */   // Label 9268: @566332
     /*  566332 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(566407), // Rule ID 3475 //
     /*  566337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  566357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566405 */     GIR_RootConstrainSelectedInstOperands,
     /*  566406 */     // GIR_Coverage, 3475,
     /*  566406 */     GIR_EraseRootFromParent_Done,
     /*  566407 */   // Label 9269: @566407
     /*  566407 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(566482), // Rule ID 3478 //
     /*  566412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  566432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566480 */     GIR_RootConstrainSelectedInstOperands,
     /*  566481 */     // GIR_Coverage, 3478,
     /*  566481 */     GIR_EraseRootFromParent_Done,
     /*  566482 */   // Label 9270: @566482
     /*  566482 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(566557), // Rule ID 3479 //
     /*  566487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  566507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566555 */     GIR_RootConstrainSelectedInstOperands,
     /*  566556 */     // GIR_Coverage, 3479,
     /*  566556 */     GIR_EraseRootFromParent_Done,
     /*  566557 */   // Label 9271: @566557
     /*  566557 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(566632), // Rule ID 3482 //
     /*  566562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566630 */     GIR_RootConstrainSelectedInstOperands,
     /*  566631 */     // GIR_Coverage, 3482,
     /*  566631 */     GIR_EraseRootFromParent_Done,
     /*  566632 */   // Label 9272: @566632
     /*  566632 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(566707), // Rule ID 3483 //
     /*  566637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566705 */     GIR_RootConstrainSelectedInstOperands,
     /*  566706 */     // GIR_Coverage, 3483,
     /*  566706 */     GIR_EraseRootFromParent_Done,
     /*  566707 */   // Label 9273: @566707
     /*  566707 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(566782), // Rule ID 3486 //
     /*  566712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566780 */     GIR_RootConstrainSelectedInstOperands,
     /*  566781 */     // GIR_Coverage, 3486,
     /*  566781 */     GIR_EraseRootFromParent_Done,
     /*  566782 */   // Label 9274: @566782
     /*  566782 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566857), // Rule ID 3487 //
     /*  566787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566855 */     GIR_RootConstrainSelectedInstOperands,
     /*  566856 */     // GIR_Coverage, 3487,
     /*  566856 */     GIR_EraseRootFromParent_Done,
     /*  566857 */   // Label 9275: @566857
     /*  566857 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566932), // Rule ID 3490 //
     /*  566862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566930 */     GIR_RootConstrainSelectedInstOperands,
     /*  566931 */     // GIR_Coverage, 3490,
     /*  566931 */     GIR_EraseRootFromParent_Done,
     /*  566932 */   // Label 9276: @566932
     /*  566932 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(567007), // Rule ID 3491 //
     /*  566937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567005 */     GIR_RootConstrainSelectedInstOperands,
     /*  567006 */     // GIR_Coverage, 3491,
     /*  567006 */     GIR_EraseRootFromParent_Done,
     /*  567007 */   // Label 9277: @567007
     /*  567007 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(567082), // Rule ID 3494 //
     /*  567012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  567032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  567061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567080 */     GIR_RootConstrainSelectedInstOperands,
     /*  567081 */     // GIR_Coverage, 3494,
     /*  567081 */     GIR_EraseRootFromParent_Done,
     /*  567082 */   // Label 9278: @567082
     /*  567082 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(567157), // Rule ID 3495 //
     /*  567087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  567107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  567136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567155 */     GIR_RootConstrainSelectedInstOperands,
     /*  567156 */     // GIR_Coverage, 3495,
     /*  567156 */     GIR_EraseRootFromParent_Done,
     /*  567157 */   // Label 9279: @567157
     /*  567157 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(567232), // Rule ID 3498 //
     /*  567162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  567182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567230 */     GIR_RootConstrainSelectedInstOperands,
     /*  567231 */     // GIR_Coverage, 3498,
     /*  567231 */     GIR_EraseRootFromParent_Done,
     /*  567232 */   // Label 9280: @567232
     /*  567232 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(567307), // Rule ID 3499 //
     /*  567237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  567257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567305 */     GIR_RootConstrainSelectedInstOperands,
     /*  567306 */     // GIR_Coverage, 3499,
     /*  567306 */     GIR_EraseRootFromParent_Done,
     /*  567307 */   // Label 9281: @567307
     /*  567307 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(567382), // Rule ID 3502 //
     /*  567312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  567332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567380 */     GIR_RootConstrainSelectedInstOperands,
     /*  567381 */     // GIR_Coverage, 3502,
     /*  567381 */     GIR_EraseRootFromParent_Done,
     /*  567382 */   // Label 9282: @567382
     /*  567382 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(567457), // Rule ID 3503 //
     /*  567387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  567407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567455 */     GIR_RootConstrainSelectedInstOperands,
     /*  567456 */     // GIR_Coverage, 3503,
     /*  567456 */     GIR_EraseRootFromParent_Done,
     /*  567457 */   // Label 9283: @567457
     /*  567457 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(567532), // Rule ID 3506 //
     /*  567462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567530 */     GIR_RootConstrainSelectedInstOperands,
     /*  567531 */     // GIR_Coverage, 3506,
     /*  567531 */     GIR_EraseRootFromParent_Done,
     /*  567532 */   // Label 9284: @567532
     /*  567532 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(567607), // Rule ID 3507 //
     /*  567537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567605 */     GIR_RootConstrainSelectedInstOperands,
     /*  567606 */     // GIR_Coverage, 3507,
     /*  567606 */     GIR_EraseRootFromParent_Done,
     /*  567607 */   // Label 9285: @567607
     /*  567607 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(567682), // Rule ID 3510 //
     /*  567612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567680 */     GIR_RootConstrainSelectedInstOperands,
     /*  567681 */     // GIR_Coverage, 3510,
     /*  567681 */     GIR_EraseRootFromParent_Done,
     /*  567682 */   // Label 9286: @567682
     /*  567682 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(567757), // Rule ID 3511 //
     /*  567687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567755 */     GIR_RootConstrainSelectedInstOperands,
     /*  567756 */     // GIR_Coverage, 3511,
     /*  567756 */     GIR_EraseRootFromParent_Done,
     /*  567757 */   // Label 9287: @567757
     /*  567757 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567832), // Rule ID 3514 //
     /*  567762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567830 */     GIR_RootConstrainSelectedInstOperands,
     /*  567831 */     // GIR_Coverage, 3514,
     /*  567831 */     GIR_EraseRootFromParent_Done,
     /*  567832 */   // Label 9288: @567832
     /*  567832 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567907), // Rule ID 3515 //
     /*  567837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567905 */     GIR_RootConstrainSelectedInstOperands,
     /*  567906 */     // GIR_Coverage, 3515,
     /*  567906 */     GIR_EraseRootFromParent_Done,
     /*  567907 */   // Label 9289: @567907
     /*  567907 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567982), // Rule ID 3518 //
     /*  567912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  567929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567980 */     GIR_RootConstrainSelectedInstOperands,
     /*  567981 */     // GIR_Coverage, 3518,
     /*  567981 */     GIR_EraseRootFromParent_Done,
     /*  567982 */   // Label 9290: @567982
     /*  567982 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(568057), // Rule ID 3519 //
     /*  567987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  568001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  568007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  568036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568055 */     GIR_RootConstrainSelectedInstOperands,
     /*  568056 */     // GIR_Coverage, 3519,
     /*  568056 */     GIR_EraseRootFromParent_Done,
     /*  568057 */   // Label 9291: @568057
     /*  568057 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(568132), // Rule ID 3522 //
     /*  568062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  568082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568130 */     GIR_RootConstrainSelectedInstOperands,
     /*  568131 */     // GIR_Coverage, 3522,
     /*  568131 */     GIR_EraseRootFromParent_Done,
     /*  568132 */   // Label 9292: @568132
     /*  568132 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(568207), // Rule ID 3523 //
     /*  568137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  568157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568205 */     GIR_RootConstrainSelectedInstOperands,
     /*  568206 */     // GIR_Coverage, 3523,
     /*  568206 */     GIR_EraseRootFromParent_Done,
     /*  568207 */   // Label 9293: @568207
     /*  568207 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(568282), // Rule ID 3526 //
     /*  568212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  568232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  568261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568280 */     GIR_RootConstrainSelectedInstOperands,
     /*  568281 */     // GIR_Coverage, 3526,
     /*  568281 */     GIR_EraseRootFromParent_Done,
     /*  568282 */   // Label 9294: @568282
     /*  568282 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(568357), // Rule ID 3527 //
     /*  568287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  568307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  568336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568355 */     GIR_RootConstrainSelectedInstOperands,
     /*  568356 */     // GIR_Coverage, 3527,
     /*  568356 */     GIR_EraseRootFromParent_Done,
     /*  568357 */   // Label 9295: @568357
     /*  568357 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(568432), // Rule ID 3530 //
     /*  568362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  568411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568430 */     GIR_RootConstrainSelectedInstOperands,
     /*  568431 */     // GIR_Coverage, 3530,
     /*  568431 */     GIR_EraseRootFromParent_Done,
     /*  568432 */   // Label 9296: @568432
     /*  568432 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(568507), // Rule ID 3531 //
     /*  568437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  568486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568505 */     GIR_RootConstrainSelectedInstOperands,
     /*  568506 */     // GIR_Coverage, 3531,
     /*  568506 */     GIR_EraseRootFromParent_Done,
     /*  568507 */   // Label 9297: @568507
     /*  568507 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(568582), // Rule ID 3534 //
     /*  568512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568580 */     GIR_RootConstrainSelectedInstOperands,
     /*  568581 */     // GIR_Coverage, 3534,
     /*  568581 */     GIR_EraseRootFromParent_Done,
     /*  568582 */   // Label 9298: @568582
     /*  568582 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(568657), // Rule ID 3535 //
     /*  568587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568633 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568655 */     GIR_RootConstrainSelectedInstOperands,
     /*  568656 */     // GIR_Coverage, 3535,
     /*  568656 */     GIR_EraseRootFromParent_Done,
     /*  568657 */   // Label 9299: @568657
     /*  568657 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(568732), // Rule ID 3538 //
     /*  568662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568730 */     GIR_RootConstrainSelectedInstOperands,
     /*  568731 */     // GIR_Coverage, 3538,
     /*  568731 */     GIR_EraseRootFromParent_Done,
     /*  568732 */   // Label 9300: @568732
     /*  568732 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568807), // Rule ID 3539 //
     /*  568737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568805 */     GIR_RootConstrainSelectedInstOperands,
     /*  568806 */     // GIR_Coverage, 3539,
     /*  568806 */     GIR_EraseRootFromParent_Done,
     /*  568807 */   // Label 9301: @568807
     /*  568807 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568882), // Rule ID 3542 //
     /*  568812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568880 */     GIR_RootConstrainSelectedInstOperands,
     /*  568881 */     // GIR_Coverage, 3542,
     /*  568881 */     GIR_EraseRootFromParent_Done,
     /*  568882 */   // Label 9302: @568882
     /*  568882 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568957), // Rule ID 3543 //
     /*  568887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568955 */     GIR_RootConstrainSelectedInstOperands,
     /*  568956 */     // GIR_Coverage, 3543,
     /*  568956 */     GIR_EraseRootFromParent_Done,
     /*  568957 */   // Label 9303: @568957
     /*  568957 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(569032), // Rule ID 3546 //
     /*  568962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569030 */     GIR_RootConstrainSelectedInstOperands,
     /*  569031 */     // GIR_Coverage, 3546,
     /*  569031 */     GIR_EraseRootFromParent_Done,
     /*  569032 */   // Label 9304: @569032
     /*  569032 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(569107), // Rule ID 3547 //
     /*  569037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569105 */     GIR_RootConstrainSelectedInstOperands,
     /*  569106 */     // GIR_Coverage, 3547,
     /*  569106 */     GIR_EraseRootFromParent_Done,
     /*  569107 */   // Label 9305: @569107
     /*  569107 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(569182), // Rule ID 3550 //
     /*  569112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569180 */     GIR_RootConstrainSelectedInstOperands,
     /*  569181 */     // GIR_Coverage, 3550,
     /*  569181 */     GIR_EraseRootFromParent_Done,
     /*  569182 */   // Label 9306: @569182
     /*  569182 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(569257), // Rule ID 3551 //
     /*  569187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569255 */     GIR_RootConstrainSelectedInstOperands,
     /*  569256 */     // GIR_Coverage, 3551,
     /*  569256 */     GIR_EraseRootFromParent_Done,
     /*  569257 */   // Label 9307: @569257
     /*  569257 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(569332), // Rule ID 3554 //
     /*  569262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  569311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569330 */     GIR_RootConstrainSelectedInstOperands,
     /*  569331 */     // GIR_Coverage, 3554,
     /*  569331 */     GIR_EraseRootFromParent_Done,
     /*  569332 */   // Label 9308: @569332
     /*  569332 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(569407), // Rule ID 3555 //
     /*  569337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569383 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  569386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569405 */     GIR_RootConstrainSelectedInstOperands,
     /*  569406 */     // GIR_Coverage, 3555,
     /*  569406 */     GIR_EraseRootFromParent_Done,
     /*  569407 */   // Label 9309: @569407
     /*  569407 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(569482), // Rule ID 3558 //
     /*  569412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569480 */     GIR_RootConstrainSelectedInstOperands,
     /*  569481 */     // GIR_Coverage, 3558,
     /*  569481 */     GIR_EraseRootFromParent_Done,
     /*  569482 */   // Label 9310: @569482
     /*  569482 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(569557), // Rule ID 3559 //
     /*  569487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569533 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569555 */     GIR_RootConstrainSelectedInstOperands,
     /*  569556 */     // GIR_Coverage, 3559,
     /*  569556 */     GIR_EraseRootFromParent_Done,
     /*  569557 */   // Label 9311: @569557
     /*  569557 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(569632), // Rule ID 3562 //
     /*  569562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569630 */     GIR_RootConstrainSelectedInstOperands,
     /*  569631 */     // GIR_Coverage, 3562,
     /*  569631 */     GIR_EraseRootFromParent_Done,
     /*  569632 */   // Label 9312: @569632
     /*  569632 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(569707), // Rule ID 3563 //
     /*  569637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569705 */     GIR_RootConstrainSelectedInstOperands,
     /*  569706 */     // GIR_Coverage, 3563,
     /*  569706 */     GIR_EraseRootFromParent_Done,
     /*  569707 */   // Label 9313: @569707
     /*  569707 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(569782), // Rule ID 3566 //
     /*  569712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569780 */     GIR_RootConstrainSelectedInstOperands,
     /*  569781 */     // GIR_Coverage, 3566,
     /*  569781 */     GIR_EraseRootFromParent_Done,
     /*  569782 */   // Label 9314: @569782
     /*  569782 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569857), // Rule ID 3567 //
     /*  569787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569855 */     GIR_RootConstrainSelectedInstOperands,
     /*  569856 */     // GIR_Coverage, 3567,
     /*  569856 */     GIR_EraseRootFromParent_Done,
     /*  569857 */   // Label 9315: @569857
     /*  569857 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569932), // Rule ID 3570 //
     /*  569862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569930 */     GIR_RootConstrainSelectedInstOperands,
     /*  569931 */     // GIR_Coverage, 3570,
     /*  569931 */     GIR_EraseRootFromParent_Done,
     /*  569932 */   // Label 9316: @569932
     /*  569932 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(570007), // Rule ID 3571 //
     /*  569937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570005 */     GIR_RootConstrainSelectedInstOperands,
     /*  570006 */     // GIR_Coverage, 3571,
     /*  570006 */     GIR_EraseRootFromParent_Done,
     /*  570007 */   // Label 9317: @570007
     /*  570007 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(570082), // Rule ID 3574 //
     /*  570012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570080 */     GIR_RootConstrainSelectedInstOperands,
     /*  570081 */     // GIR_Coverage, 3574,
     /*  570081 */     GIR_EraseRootFromParent_Done,
     /*  570082 */   // Label 9318: @570082
     /*  570082 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(570157), // Rule ID 3575 //
     /*  570087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570155 */     GIR_RootConstrainSelectedInstOperands,
     /*  570156 */     // GIR_Coverage, 3575,
     /*  570156 */     GIR_EraseRootFromParent_Done,
     /*  570157 */   // Label 9319: @570157
     /*  570157 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(570232), // Rule ID 3578 //
     /*  570162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570230 */     GIR_RootConstrainSelectedInstOperands,
     /*  570231 */     // GIR_Coverage, 3578,
     /*  570231 */     GIR_EraseRootFromParent_Done,
     /*  570232 */   // Label 9320: @570232
     /*  570232 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(570307), // Rule ID 3579 //
     /*  570237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570305 */     GIR_RootConstrainSelectedInstOperands,
     /*  570306 */     // GIR_Coverage, 3579,
     /*  570306 */     GIR_EraseRootFromParent_Done,
     /*  570307 */   // Label 9321: @570307
     /*  570307 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(570382), // Rule ID 3582 //
     /*  570312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570358 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  570361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570380 */     GIR_RootConstrainSelectedInstOperands,
     /*  570381 */     // GIR_Coverage, 3582,
     /*  570381 */     GIR_EraseRootFromParent_Done,
     /*  570382 */   // Label 9322: @570382
     /*  570382 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(570457), // Rule ID 3583 //
     /*  570387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570433 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  570436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570455 */     GIR_RootConstrainSelectedInstOperands,
     /*  570456 */     // GIR_Coverage, 3583,
     /*  570456 */     GIR_EraseRootFromParent_Done,
     /*  570457 */   // Label 9323: @570457
     /*  570457 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(570532), // Rule ID 3586 //
     /*  570462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570530 */     GIR_RootConstrainSelectedInstOperands,
     /*  570531 */     // GIR_Coverage, 3586,
     /*  570531 */     GIR_EraseRootFromParent_Done,
     /*  570532 */   // Label 9324: @570532
     /*  570532 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(570607), // Rule ID 3587 //
     /*  570537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570605 */     GIR_RootConstrainSelectedInstOperands,
     /*  570606 */     // GIR_Coverage, 3587,
     /*  570606 */     GIR_EraseRootFromParent_Done,
     /*  570607 */   // Label 9325: @570607
     /*  570607 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(570682), // Rule ID 3590 //
     /*  570612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570680 */     GIR_RootConstrainSelectedInstOperands,
     /*  570681 */     // GIR_Coverage, 3590,
     /*  570681 */     GIR_EraseRootFromParent_Done,
     /*  570682 */   // Label 9326: @570682
     /*  570682 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(570757), // Rule ID 3591 //
     /*  570687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570755 */     GIR_RootConstrainSelectedInstOperands,
     /*  570756 */     // GIR_Coverage, 3591,
     /*  570756 */     GIR_EraseRootFromParent_Done,
     /*  570757 */   // Label 9327: @570757
     /*  570757 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570832), // Rule ID 3594 //
     /*  570762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570830 */     GIR_RootConstrainSelectedInstOperands,
     /*  570831 */     // GIR_Coverage, 3594,
     /*  570831 */     GIR_EraseRootFromParent_Done,
     /*  570832 */   // Label 9328: @570832
     /*  570832 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570907), // Rule ID 3595 //
     /*  570837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570905 */     GIR_RootConstrainSelectedInstOperands,
     /*  570906 */     // GIR_Coverage, 3595,
     /*  570906 */     GIR_EraseRootFromParent_Done,
     /*  570907 */   // Label 9329: @570907
     /*  570907 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570982), // Rule ID 3598 //
     /*  570912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570980 */     GIR_RootConstrainSelectedInstOperands,
     /*  570981 */     // GIR_Coverage, 3598,
     /*  570981 */     GIR_EraseRootFromParent_Done,
     /*  570982 */   // Label 9330: @570982
     /*  570982 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(571057), // Rule ID 3599 //
     /*  570987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  571007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571055 */     GIR_RootConstrainSelectedInstOperands,
     /*  571056 */     // GIR_Coverage, 3599,
     /*  571056 */     GIR_EraseRootFromParent_Done,
     /*  571057 */   // Label 9331: @571057
     /*  571057 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(571132), // Rule ID 3602 //
     /*  571062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571130 */     GIR_RootConstrainSelectedInstOperands,
     /*  571131 */     // GIR_Coverage, 3602,
     /*  571131 */     GIR_EraseRootFromParent_Done,
     /*  571132 */   // Label 9332: @571132
     /*  571132 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(571207), // Rule ID 3603 //
     /*  571137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571205 */     GIR_RootConstrainSelectedInstOperands,
     /*  571206 */     // GIR_Coverage, 3603,
     /*  571206 */     GIR_EraseRootFromParent_Done,
     /*  571207 */   // Label 9333: @571207
     /*  571207 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(571282), // Rule ID 3606 //
     /*  571212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571280 */     GIR_RootConstrainSelectedInstOperands,
     /*  571281 */     // GIR_Coverage, 3606,
     /*  571281 */     GIR_EraseRootFromParent_Done,
     /*  571282 */   // Label 9334: @571282
     /*  571282 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(571357), // Rule ID 3607 //
     /*  571287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571355 */     GIR_RootConstrainSelectedInstOperands,
     /*  571356 */     // GIR_Coverage, 3607,
     /*  571356 */     GIR_EraseRootFromParent_Done,
     /*  571357 */   // Label 9335: @571357
     /*  571357 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(571432), // Rule ID 3610 //
     /*  571362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571430 */     GIR_RootConstrainSelectedInstOperands,
     /*  571431 */     // GIR_Coverage, 3610,
     /*  571431 */     GIR_EraseRootFromParent_Done,
     /*  571432 */   // Label 9336: @571432
     /*  571432 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(571507), // Rule ID 3611 //
     /*  571437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571505 */     GIR_RootConstrainSelectedInstOperands,
     /*  571506 */     // GIR_Coverage, 3611,
     /*  571506 */     GIR_EraseRootFromParent_Done,
     /*  571507 */   // Label 9337: @571507
     /*  571507 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(571582), // Rule ID 3614 //
     /*  571512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571580 */     GIR_RootConstrainSelectedInstOperands,
     /*  571581 */     // GIR_Coverage, 3614,
     /*  571581 */     GIR_EraseRootFromParent_Done,
     /*  571582 */   // Label 9338: @571582
     /*  571582 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(571657), // Rule ID 3615 //
     /*  571587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571655 */     GIR_RootConstrainSelectedInstOperands,
     /*  571656 */     // GIR_Coverage, 3615,
     /*  571656 */     GIR_EraseRootFromParent_Done,
     /*  571657 */   // Label 9339: @571657
     /*  571657 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(571732), // Rule ID 3618 //
     /*  571662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571730 */     GIR_RootConstrainSelectedInstOperands,
     /*  571731 */     // GIR_Coverage, 3618,
     /*  571731 */     GIR_EraseRootFromParent_Done,
     /*  571732 */   // Label 9340: @571732
     /*  571732 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571807), // Rule ID 3619 //
     /*  571737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571805 */     GIR_RootConstrainSelectedInstOperands,
     /*  571806 */     // GIR_Coverage, 3619,
     /*  571806 */     GIR_EraseRootFromParent_Done,
     /*  571807 */   // Label 9341: @571807
     /*  571807 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571882), // Rule ID 3622 //
     /*  571812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571880 */     GIR_RootConstrainSelectedInstOperands,
     /*  571881 */     // GIR_Coverage, 3622,
     /*  571881 */     GIR_EraseRootFromParent_Done,
     /*  571882 */   // Label 9342: @571882
     /*  571882 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571957), // Rule ID 3623 //
     /*  571887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571955 */     GIR_RootConstrainSelectedInstOperands,
     /*  571956 */     // GIR_Coverage, 3623,
     /*  571956 */     GIR_EraseRootFromParent_Done,
     /*  571957 */   // Label 9343: @571957
     /*  571957 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(572032), // Rule ID 3626 //
     /*  571962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572030 */     GIR_RootConstrainSelectedInstOperands,
     /*  572031 */     // GIR_Coverage, 3626,
     /*  572031 */     GIR_EraseRootFromParent_Done,
     /*  572032 */   // Label 9344: @572032
     /*  572032 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(572107), // Rule ID 3627 //
     /*  572037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  572057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572105 */     GIR_RootConstrainSelectedInstOperands,
     /*  572106 */     // GIR_Coverage, 3627,
     /*  572106 */     GIR_EraseRootFromParent_Done,
     /*  572107 */   // Label 9345: @572107
     /*  572107 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(572182), // Rule ID 3630 //
     /*  572112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572180 */     GIR_RootConstrainSelectedInstOperands,
     /*  572181 */     // GIR_Coverage, 3630,
     /*  572181 */     GIR_EraseRootFromParent_Done,
     /*  572182 */   // Label 9346: @572182
     /*  572182 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(572257), // Rule ID 3631 //
     /*  572187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572255 */     GIR_RootConstrainSelectedInstOperands,
     /*  572256 */     // GIR_Coverage, 3631,
     /*  572256 */     GIR_EraseRootFromParent_Done,
     /*  572257 */   // Label 9347: @572257
     /*  572257 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(572332), // Rule ID 3634 //
     /*  572262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  572311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572330 */     GIR_RootConstrainSelectedInstOperands,
     /*  572331 */     // GIR_Coverage, 3634,
     /*  572331 */     GIR_EraseRootFromParent_Done,
     /*  572332 */   // Label 9348: @572332
     /*  572332 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(572407), // Rule ID 3635 //
     /*  572337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  572386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572405 */     GIR_RootConstrainSelectedInstOperands,
     /*  572406 */     // GIR_Coverage, 3635,
     /*  572406 */     GIR_EraseRootFromParent_Done,
     /*  572407 */   // Label 9349: @572407
     /*  572407 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(572482), // Rule ID 3638 //
     /*  572412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572480 */     GIR_RootConstrainSelectedInstOperands,
     /*  572481 */     // GIR_Coverage, 3638,
     /*  572481 */     GIR_EraseRootFromParent_Done,
     /*  572482 */   // Label 9350: @572482
     /*  572482 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(572557), // Rule ID 3639 //
     /*  572487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572555 */     GIR_RootConstrainSelectedInstOperands,
     /*  572556 */     // GIR_Coverage, 3639,
     /*  572556 */     GIR_EraseRootFromParent_Done,
     /*  572557 */   // Label 9351: @572557
     /*  572557 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(572632), // Rule ID 3642 //
     /*  572562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572630 */     GIR_RootConstrainSelectedInstOperands,
     /*  572631 */     // GIR_Coverage, 3642,
     /*  572631 */     GIR_EraseRootFromParent_Done,
     /*  572632 */   // Label 9352: @572632
     /*  572632 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(572707), // Rule ID 3643 //
     /*  572637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572705 */     GIR_RootConstrainSelectedInstOperands,
     /*  572706 */     // GIR_Coverage, 3643,
     /*  572706 */     GIR_EraseRootFromParent_Done,
     /*  572707 */   // Label 9353: @572707
     /*  572707 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(572782), // Rule ID 3646 //
     /*  572712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572780 */     GIR_RootConstrainSelectedInstOperands,
     /*  572781 */     // GIR_Coverage, 3646,
     /*  572781 */     GIR_EraseRootFromParent_Done,
     /*  572782 */   // Label 9354: @572782
     /*  572782 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572857), // Rule ID 3647 //
     /*  572787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572855 */     GIR_RootConstrainSelectedInstOperands,
     /*  572856 */     // GIR_Coverage, 3647,
     /*  572856 */     GIR_EraseRootFromParent_Done,
     /*  572857 */   // Label 9355: @572857
     /*  572857 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572932), // Rule ID 3650 //
     /*  572862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572930 */     GIR_RootConstrainSelectedInstOperands,
     /*  572931 */     // GIR_Coverage, 3650,
     /*  572931 */     GIR_EraseRootFromParent_Done,
     /*  572932 */   // Label 9356: @572932
     /*  572932 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(573007), // Rule ID 3651 //
     /*  572937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572983 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573005 */     GIR_RootConstrainSelectedInstOperands,
     /*  573006 */     // GIR_Coverage, 3651,
     /*  573006 */     GIR_EraseRootFromParent_Done,
     /*  573007 */   // Label 9357: @573007
     /*  573007 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(573082), // Rule ID 3654 //
     /*  573012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573080 */     GIR_RootConstrainSelectedInstOperands,
     /*  573081 */     // GIR_Coverage, 3654,
     /*  573081 */     GIR_EraseRootFromParent_Done,
     /*  573082 */   // Label 9358: @573082
     /*  573082 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(573157), // Rule ID 3655 //
     /*  573087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573155 */     GIR_RootConstrainSelectedInstOperands,
     /*  573156 */     // GIR_Coverage, 3655,
     /*  573156 */     GIR_EraseRootFromParent_Done,
     /*  573157 */   // Label 9359: @573157
     /*  573157 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(573232), // Rule ID 3658 //
     /*  573162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573230 */     GIR_RootConstrainSelectedInstOperands,
     /*  573231 */     // GIR_Coverage, 3658,
     /*  573231 */     GIR_EraseRootFromParent_Done,
     /*  573232 */   // Label 9360: @573232
     /*  573232 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(573307), // Rule ID 3659 //
     /*  573237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573305 */     GIR_RootConstrainSelectedInstOperands,
     /*  573306 */     // GIR_Coverage, 3659,
     /*  573306 */     GIR_EraseRootFromParent_Done,
     /*  573307 */   // Label 9361: @573307
     /*  573307 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(573382), // Rule ID 3662 //
     /*  573312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573380 */     GIR_RootConstrainSelectedInstOperands,
     /*  573381 */     // GIR_Coverage, 3662,
     /*  573381 */     GIR_EraseRootFromParent_Done,
     /*  573382 */   // Label 9362: @573382
     /*  573382 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(573457), // Rule ID 3663 //
     /*  573387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573455 */     GIR_RootConstrainSelectedInstOperands,
     /*  573456 */     // GIR_Coverage, 3663,
     /*  573456 */     GIR_EraseRootFromParent_Done,
     /*  573457 */   // Label 9363: @573457
     /*  573457 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(573532), // Rule ID 3666 //
     /*  573462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573530 */     GIR_RootConstrainSelectedInstOperands,
     /*  573531 */     // GIR_Coverage, 3666,
     /*  573531 */     GIR_EraseRootFromParent_Done,
     /*  573532 */   // Label 9364: @573532
     /*  573532 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(573607), // Rule ID 3667 //
     /*  573537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573605 */     GIR_RootConstrainSelectedInstOperands,
     /*  573606 */     // GIR_Coverage, 3667,
     /*  573606 */     GIR_EraseRootFromParent_Done,
     /*  573607 */   // Label 9365: @573607
     /*  573607 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(573682), // Rule ID 3670 //
     /*  573612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573680 */     GIR_RootConstrainSelectedInstOperands,
     /*  573681 */     // GIR_Coverage, 3670,
     /*  573681 */     GIR_EraseRootFromParent_Done,
     /*  573682 */   // Label 9366: @573682
     /*  573682 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(573757), // Rule ID 3671 //
     /*  573687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573733 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573755 */     GIR_RootConstrainSelectedInstOperands,
     /*  573756 */     // GIR_Coverage, 3671,
     /*  573756 */     GIR_EraseRootFromParent_Done,
     /*  573757 */   // Label 9367: @573757
     /*  573757 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573832), // Rule ID 3674 //
     /*  573762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573830 */     GIR_RootConstrainSelectedInstOperands,
     /*  573831 */     // GIR_Coverage, 3674,
     /*  573831 */     GIR_EraseRootFromParent_Done,
     /*  573832 */   // Label 9368: @573832
     /*  573832 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573907), // Rule ID 3675 //
     /*  573837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573883 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573905 */     GIR_RootConstrainSelectedInstOperands,
     /*  573906 */     // GIR_Coverage, 3675,
     /*  573906 */     GIR_EraseRootFromParent_Done,
     /*  573907 */   // Label 9369: @573907
     /*  573907 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573982), // Rule ID 3678 //
     /*  573912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573980 */     GIR_RootConstrainSelectedInstOperands,
     /*  573981 */     // GIR_Coverage, 3678,
     /*  573981 */     GIR_EraseRootFromParent_Done,
     /*  573982 */   // Label 9370: @573982
     /*  573982 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(574057), // Rule ID 3679 //
     /*  573987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574055 */     GIR_RootConstrainSelectedInstOperands,
     /*  574056 */     // GIR_Coverage, 3679,
     /*  574056 */     GIR_EraseRootFromParent_Done,
     /*  574057 */   // Label 9371: @574057
     /*  574057 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(574132), // Rule ID 3682 //
     /*  574062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574130 */     GIR_RootConstrainSelectedInstOperands,
     /*  574131 */     // GIR_Coverage, 3682,
     /*  574131 */     GIR_EraseRootFromParent_Done,
     /*  574132 */   // Label 9372: @574132
     /*  574132 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(574207), // Rule ID 3683 //
     /*  574137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574205 */     GIR_RootConstrainSelectedInstOperands,
     /*  574206 */     // GIR_Coverage, 3683,
     /*  574206 */     GIR_EraseRootFromParent_Done,
     /*  574207 */   // Label 9373: @574207
     /*  574207 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(574282), // Rule ID 3686 //
     /*  574212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574280 */     GIR_RootConstrainSelectedInstOperands,
     /*  574281 */     // GIR_Coverage, 3686,
     /*  574281 */     GIR_EraseRootFromParent_Done,
     /*  574282 */   // Label 9374: @574282
     /*  574282 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(574357), // Rule ID 3687 //
     /*  574287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574355 */     GIR_RootConstrainSelectedInstOperands,
     /*  574356 */     // GIR_Coverage, 3687,
     /*  574356 */     GIR_EraseRootFromParent_Done,
     /*  574357 */   // Label 9375: @574357
     /*  574357 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(574432), // Rule ID 3690 //
     /*  574362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574430 */     GIR_RootConstrainSelectedInstOperands,
     /*  574431 */     // GIR_Coverage, 3690,
     /*  574431 */     GIR_EraseRootFromParent_Done,
     /*  574432 */   // Label 9376: @574432
     /*  574432 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(574507), // Rule ID 3691 //
     /*  574437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574505 */     GIR_RootConstrainSelectedInstOperands,
     /*  574506 */     // GIR_Coverage, 3691,
     /*  574506 */     GIR_EraseRootFromParent_Done,
     /*  574507 */   // Label 9377: @574507
     /*  574507 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(574582), // Rule ID 3694 //
     /*  574512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574580 */     GIR_RootConstrainSelectedInstOperands,
     /*  574581 */     // GIR_Coverage, 3694,
     /*  574581 */     GIR_EraseRootFromParent_Done,
     /*  574582 */   // Label 9378: @574582
     /*  574582 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(574657), // Rule ID 3695 //
     /*  574587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574655 */     GIR_RootConstrainSelectedInstOperands,
     /*  574656 */     // GIR_Coverage, 3695,
     /*  574656 */     GIR_EraseRootFromParent_Done,
     /*  574657 */   // Label 9379: @574657
     /*  574657 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(574732), // Rule ID 3698 //
     /*  574662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574730 */     GIR_RootConstrainSelectedInstOperands,
     /*  574731 */     // GIR_Coverage, 3698,
     /*  574731 */     GIR_EraseRootFromParent_Done,
     /*  574732 */   // Label 9380: @574732
     /*  574732 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574807), // Rule ID 3699 //
     /*  574737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574805 */     GIR_RootConstrainSelectedInstOperands,
     /*  574806 */     // GIR_Coverage, 3699,
     /*  574806 */     GIR_EraseRootFromParent_Done,
     /*  574807 */   // Label 9381: @574807
     /*  574807 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574882), // Rule ID 3702 //
     /*  574812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574880 */     GIR_RootConstrainSelectedInstOperands,
     /*  574881 */     // GIR_Coverage, 3702,
     /*  574881 */     GIR_EraseRootFromParent_Done,
     /*  574882 */   // Label 9382: @574882
     /*  574882 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574957), // Rule ID 3703 //
     /*  574887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574955 */     GIR_RootConstrainSelectedInstOperands,
     /*  574956 */     // GIR_Coverage, 3703,
     /*  574956 */     GIR_EraseRootFromParent_Done,
     /*  574957 */   // Label 9383: @574957
     /*  574957 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(575032), // Rule ID 3706 //
     /*  574962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575030 */     GIR_RootConstrainSelectedInstOperands,
     /*  575031 */     // GIR_Coverage, 3706,
     /*  575031 */     GIR_EraseRootFromParent_Done,
     /*  575032 */   // Label 9384: @575032
     /*  575032 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(575107), // Rule ID 3707 //
     /*  575037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575105 */     GIR_RootConstrainSelectedInstOperands,
     /*  575106 */     // GIR_Coverage, 3707,
     /*  575106 */     GIR_EraseRootFromParent_Done,
     /*  575107 */   // Label 9385: @575107
     /*  575107 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(575182), // Rule ID 3710 //
     /*  575112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  575161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575180 */     GIR_RootConstrainSelectedInstOperands,
     /*  575181 */     // GIR_Coverage, 3710,
     /*  575181 */     GIR_EraseRootFromParent_Done,
     /*  575182 */   // Label 9386: @575182
     /*  575182 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(575257), // Rule ID 3711 //
     /*  575187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  575236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575255 */     GIR_RootConstrainSelectedInstOperands,
     /*  575256 */     // GIR_Coverage, 3711,
     /*  575256 */     GIR_EraseRootFromParent_Done,
     /*  575257 */   // Label 9387: @575257
     /*  575257 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(575332), // Rule ID 3714 //
     /*  575262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575330 */     GIR_RootConstrainSelectedInstOperands,
     /*  575331 */     // GIR_Coverage, 3714,
     /*  575331 */     GIR_EraseRootFromParent_Done,
     /*  575332 */   // Label 9388: @575332
     /*  575332 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(575407), // Rule ID 3715 //
     /*  575337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575405 */     GIR_RootConstrainSelectedInstOperands,
     /*  575406 */     // GIR_Coverage, 3715,
     /*  575406 */     GIR_EraseRootFromParent_Done,
     /*  575407 */   // Label 9389: @575407
     /*  575407 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(575482), // Rule ID 3718 //
     /*  575412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575480 */     GIR_RootConstrainSelectedInstOperands,
     /*  575481 */     // GIR_Coverage, 3718,
     /*  575481 */     GIR_EraseRootFromParent_Done,
     /*  575482 */   // Label 9390: @575482
     /*  575482 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(575557), // Rule ID 3719 //
     /*  575487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575555 */     GIR_RootConstrainSelectedInstOperands,
     /*  575556 */     // GIR_Coverage, 3719,
     /*  575556 */     GIR_EraseRootFromParent_Done,
     /*  575557 */   // Label 9391: @575557
     /*  575557 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(575632), // Rule ID 3722 //
     /*  575562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575630 */     GIR_RootConstrainSelectedInstOperands,
     /*  575631 */     // GIR_Coverage, 3722,
     /*  575631 */     GIR_EraseRootFromParent_Done,
     /*  575632 */   // Label 9392: @575632
     /*  575632 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(575707), // Rule ID 3723 //
     /*  575637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575705 */     GIR_RootConstrainSelectedInstOperands,
     /*  575706 */     // GIR_Coverage, 3723,
     /*  575706 */     GIR_EraseRootFromParent_Done,
     /*  575707 */   // Label 9393: @575707
     /*  575707 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(575782), // Rule ID 3726 //
     /*  575712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575780 */     GIR_RootConstrainSelectedInstOperands,
     /*  575781 */     // GIR_Coverage, 3726,
     /*  575781 */     GIR_EraseRootFromParent_Done,
     /*  575782 */   // Label 9394: @575782
     /*  575782 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575857), // Rule ID 3727 //
     /*  575787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575855 */     GIR_RootConstrainSelectedInstOperands,
     /*  575856 */     // GIR_Coverage, 3727,
     /*  575856 */     GIR_EraseRootFromParent_Done,
     /*  575857 */   // Label 9395: @575857
     /*  575857 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575932), // Rule ID 3730 //
     /*  575862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575930 */     GIR_RootConstrainSelectedInstOperands,
     /*  575931 */     // GIR_Coverage, 3730,
     /*  575931 */     GIR_EraseRootFromParent_Done,
     /*  575932 */   // Label 9396: @575932
     /*  575932 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(576007), // Rule ID 3731 //
     /*  575937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576005 */     GIR_RootConstrainSelectedInstOperands,
     /*  576006 */     // GIR_Coverage, 3731,
     /*  576006 */     GIR_EraseRootFromParent_Done,
     /*  576007 */   // Label 9397: @576007
     /*  576007 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(576082), // Rule ID 3734 //
     /*  576012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  576061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576080 */     GIR_RootConstrainSelectedInstOperands,
     /*  576081 */     // GIR_Coverage, 3734,
     /*  576081 */     GIR_EraseRootFromParent_Done,
     /*  576082 */   // Label 9398: @576082
     /*  576082 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(576157), // Rule ID 3735 //
     /*  576087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  576136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576155 */     GIR_RootConstrainSelectedInstOperands,
     /*  576156 */     // GIR_Coverage, 3735,
     /*  576156 */     GIR_EraseRootFromParent_Done,
     /*  576157 */   // Label 9399: @576157
     /*  576157 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(576232), // Rule ID 3738 //
     /*  576162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576230 */     GIR_RootConstrainSelectedInstOperands,
     /*  576231 */     // GIR_Coverage, 3738,
     /*  576231 */     GIR_EraseRootFromParent_Done,
     /*  576232 */   // Label 9400: @576232
     /*  576232 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(576307), // Rule ID 3739 //
     /*  576237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576305 */     GIR_RootConstrainSelectedInstOperands,
     /*  576306 */     // GIR_Coverage, 3739,
     /*  576306 */     GIR_EraseRootFromParent_Done,
     /*  576307 */   // Label 9401: @576307
     /*  576307 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(576382), // Rule ID 3742 //
     /*  576312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576380 */     GIR_RootConstrainSelectedInstOperands,
     /*  576381 */     // GIR_Coverage, 3742,
     /*  576381 */     GIR_EraseRootFromParent_Done,
     /*  576382 */   // Label 9402: @576382
     /*  576382 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(576457), // Rule ID 3743 //
     /*  576387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576455 */     GIR_RootConstrainSelectedInstOperands,
     /*  576456 */     // GIR_Coverage, 3743,
     /*  576456 */     GIR_EraseRootFromParent_Done,
     /*  576457 */   // Label 9403: @576457
     /*  576457 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(576532), // Rule ID 3746 //
     /*  576462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576530 */     GIR_RootConstrainSelectedInstOperands,
     /*  576531 */     // GIR_Coverage, 3746,
     /*  576531 */     GIR_EraseRootFromParent_Done,
     /*  576532 */   // Label 9404: @576532
     /*  576532 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(576607), // Rule ID 3747 //
     /*  576537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576605 */     GIR_RootConstrainSelectedInstOperands,
     /*  576606 */     // GIR_Coverage, 3747,
     /*  576606 */     GIR_EraseRootFromParent_Done,
     /*  576607 */   // Label 9405: @576607
     /*  576607 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(576682), // Rule ID 3750 //
     /*  576612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576680 */     GIR_RootConstrainSelectedInstOperands,
     /*  576681 */     // GIR_Coverage, 3750,
     /*  576681 */     GIR_EraseRootFromParent_Done,
     /*  576682 */   // Label 9406: @576682
     /*  576682 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(576757), // Rule ID 3751 //
     /*  576687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576755 */     GIR_RootConstrainSelectedInstOperands,
     /*  576756 */     // GIR_Coverage, 3751,
     /*  576756 */     GIR_EraseRootFromParent_Done,
     /*  576757 */   // Label 9407: @576757
     /*  576757 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576832), // Rule ID 3754 //
     /*  576762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576830 */     GIR_RootConstrainSelectedInstOperands,
     /*  576831 */     // GIR_Coverage, 3754,
     /*  576831 */     GIR_EraseRootFromParent_Done,
     /*  576832 */   // Label 9408: @576832
     /*  576832 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576907), // Rule ID 3755 //
     /*  576837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576905 */     GIR_RootConstrainSelectedInstOperands,
     /*  576906 */     // GIR_Coverage, 3755,
     /*  576906 */     GIR_EraseRootFromParent_Done,
     /*  576907 */   // Label 9409: @576907
     /*  576907 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576982), // Rule ID 3758 //
     /*  576912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576980 */     GIR_RootConstrainSelectedInstOperands,
     /*  576981 */     // GIR_Coverage, 3758,
     /*  576981 */     GIR_EraseRootFromParent_Done,
     /*  576982 */   // Label 9410: @576982
     /*  576982 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(577057), // Rule ID 3759 //
     /*  576987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  577007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  577036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577055 */     GIR_RootConstrainSelectedInstOperands,
     /*  577056 */     // GIR_Coverage, 3759,
     /*  577056 */     GIR_EraseRootFromParent_Done,
     /*  577057 */   // Label 9411: @577057
     /*  577057 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(577132), // Rule ID 3762 //
     /*  577062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577130 */     GIR_RootConstrainSelectedInstOperands,
     /*  577131 */     // GIR_Coverage, 3762,
     /*  577131 */     GIR_EraseRootFromParent_Done,
     /*  577132 */   // Label 9412: @577132
     /*  577132 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(577207), // Rule ID 3763 //
     /*  577137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577205 */     GIR_RootConstrainSelectedInstOperands,
     /*  577206 */     // GIR_Coverage, 3763,
     /*  577206 */     GIR_EraseRootFromParent_Done,
     /*  577207 */   // Label 9413: @577207
     /*  577207 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(577282), // Rule ID 3766 //
     /*  577212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  577261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577280 */     GIR_RootConstrainSelectedInstOperands,
     /*  577281 */     // GIR_Coverage, 3766,
     /*  577281 */     GIR_EraseRootFromParent_Done,
     /*  577282 */   // Label 9414: @577282
     /*  577282 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(577357), // Rule ID 3767 //
     /*  577287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  577336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577355 */     GIR_RootConstrainSelectedInstOperands,
     /*  577356 */     // GIR_Coverage, 3767,
     /*  577356 */     GIR_EraseRootFromParent_Done,
     /*  577357 */   // Label 9415: @577357
     /*  577357 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(577432), // Rule ID 3770 //
     /*  577362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  577411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577430 */     GIR_RootConstrainSelectedInstOperands,
     /*  577431 */     // GIR_Coverage, 3770,
     /*  577431 */     GIR_EraseRootFromParent_Done,
     /*  577432 */   // Label 9416: @577432
     /*  577432 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(577507), // Rule ID 3771 //
     /*  577437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  577486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577505 */     GIR_RootConstrainSelectedInstOperands,
     /*  577506 */     // GIR_Coverage, 3771,
     /*  577506 */     GIR_EraseRootFromParent_Done,
     /*  577507 */   // Label 9417: @577507
     /*  577507 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(577582), // Rule ID 3774 //
     /*  577512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577580 */     GIR_RootConstrainSelectedInstOperands,
     /*  577581 */     // GIR_Coverage, 3774,
     /*  577581 */     GIR_EraseRootFromParent_Done,
     /*  577582 */   // Label 9418: @577582
     /*  577582 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(577657), // Rule ID 3775 //
     /*  577587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577633 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577655 */     GIR_RootConstrainSelectedInstOperands,
     /*  577656 */     // GIR_Coverage, 3775,
     /*  577656 */     GIR_EraseRootFromParent_Done,
     /*  577657 */   // Label 9419: @577657
     /*  577657 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(577732), // Rule ID 3778 //
     /*  577662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577730 */     GIR_RootConstrainSelectedInstOperands,
     /*  577731 */     // GIR_Coverage, 3778,
     /*  577731 */     GIR_EraseRootFromParent_Done,
     /*  577732 */   // Label 9420: @577732
     /*  577732 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577807), // Rule ID 3779 //
     /*  577737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577805 */     GIR_RootConstrainSelectedInstOperands,
     /*  577806 */     // GIR_Coverage, 3779,
     /*  577806 */     GIR_EraseRootFromParent_Done,
     /*  577807 */   // Label 9421: @577807
     /*  577807 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577882), // Rule ID 3782 //
     /*  577812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577880 */     GIR_RootConstrainSelectedInstOperands,
     /*  577881 */     // GIR_Coverage, 3782,
     /*  577881 */     GIR_EraseRootFromParent_Done,
     /*  577882 */   // Label 9422: @577882
     /*  577882 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577957), // Rule ID 3783 //
     /*  577887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577955 */     GIR_RootConstrainSelectedInstOperands,
     /*  577956 */     // GIR_Coverage, 3783,
     /*  577956 */     GIR_EraseRootFromParent_Done,
     /*  577957 */   // Label 9423: @577957
     /*  577957 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(578032), // Rule ID 3786 //
     /*  577962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578030 */     GIR_RootConstrainSelectedInstOperands,
     /*  578031 */     // GIR_Coverage, 3786,
     /*  578031 */     GIR_EraseRootFromParent_Done,
     /*  578032 */   // Label 9424: @578032
     /*  578032 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(578107), // Rule ID 3787 //
     /*  578037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578105 */     GIR_RootConstrainSelectedInstOperands,
     /*  578106 */     // GIR_Coverage, 3787,
     /*  578106 */     GIR_EraseRootFromParent_Done,
     /*  578107 */   // Label 9425: @578107
     /*  578107 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(578182), // Rule ID 3790 //
     /*  578112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578180 */     GIR_RootConstrainSelectedInstOperands,
     /*  578181 */     // GIR_Coverage, 3790,
     /*  578181 */     GIR_EraseRootFromParent_Done,
     /*  578182 */   // Label 9426: @578182
     /*  578182 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(578257), // Rule ID 3791 //
     /*  578187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578255 */     GIR_RootConstrainSelectedInstOperands,
     /*  578256 */     // GIR_Coverage, 3791,
     /*  578256 */     GIR_EraseRootFromParent_Done,
     /*  578257 */   // Label 9427: @578257
     /*  578257 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(578332), // Rule ID 3794 //
     /*  578262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  578311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578330 */     GIR_RootConstrainSelectedInstOperands,
     /*  578331 */     // GIR_Coverage, 3794,
     /*  578331 */     GIR_EraseRootFromParent_Done,
     /*  578332 */   // Label 9428: @578332
     /*  578332 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(578407), // Rule ID 3795 //
     /*  578337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578383 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  578386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578405 */     GIR_RootConstrainSelectedInstOperands,
     /*  578406 */     // GIR_Coverage, 3795,
     /*  578406 */     GIR_EraseRootFromParent_Done,
     /*  578407 */   // Label 9429: @578407
     /*  578407 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(578482), // Rule ID 3798 //
     /*  578412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578480 */     GIR_RootConstrainSelectedInstOperands,
     /*  578481 */     // GIR_Coverage, 3798,
     /*  578481 */     GIR_EraseRootFromParent_Done,
     /*  578482 */   // Label 9430: @578482
     /*  578482 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(578557), // Rule ID 3799 //
     /*  578487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578533 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578555 */     GIR_RootConstrainSelectedInstOperands,
     /*  578556 */     // GIR_Coverage, 3799,
     /*  578556 */     GIR_EraseRootFromParent_Done,
     /*  578557 */   // Label 9431: @578557
     /*  578557 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(578632), // Rule ID 3802 //
     /*  578562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578630 */     GIR_RootConstrainSelectedInstOperands,
     /*  578631 */     // GIR_Coverage, 3802,
     /*  578631 */     GIR_EraseRootFromParent_Done,
     /*  578632 */   // Label 9432: @578632
     /*  578632 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(578707), // Rule ID 3803 //
     /*  578637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578705 */     GIR_RootConstrainSelectedInstOperands,
     /*  578706 */     // GIR_Coverage, 3803,
     /*  578706 */     GIR_EraseRootFromParent_Done,
     /*  578707 */   // Label 9433: @578707
     /*  578707 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(578782), // Rule ID 3806 //
     /*  578712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578780 */     GIR_RootConstrainSelectedInstOperands,
     /*  578781 */     // GIR_Coverage, 3806,
     /*  578781 */     GIR_EraseRootFromParent_Done,
     /*  578782 */   // Label 9434: @578782
     /*  578782 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578857), // Rule ID 3807 //
     /*  578787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578855 */     GIR_RootConstrainSelectedInstOperands,
     /*  578856 */     // GIR_Coverage, 3807,
     /*  578856 */     GIR_EraseRootFromParent_Done,
     /*  578857 */   // Label 9435: @578857
     /*  578857 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578932), // Rule ID 3810 //
     /*  578862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578930 */     GIR_RootConstrainSelectedInstOperands,
     /*  578931 */     // GIR_Coverage, 3810,
     /*  578931 */     GIR_EraseRootFromParent_Done,
     /*  578932 */   // Label 9436: @578932
     /*  578932 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(579007), // Rule ID 3811 //
     /*  578937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579005 */     GIR_RootConstrainSelectedInstOperands,
     /*  579006 */     // GIR_Coverage, 3811,
     /*  579006 */     GIR_EraseRootFromParent_Done,
     /*  579007 */   // Label 9437: @579007
     /*  579007 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(579082), // Rule ID 3814 //
     /*  579012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579080 */     GIR_RootConstrainSelectedInstOperands,
     /*  579081 */     // GIR_Coverage, 3814,
     /*  579081 */     GIR_EraseRootFromParent_Done,
     /*  579082 */   // Label 9438: @579082
     /*  579082 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(579157), // Rule ID 3815 //
     /*  579087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579155 */     GIR_RootConstrainSelectedInstOperands,
     /*  579156 */     // GIR_Coverage, 3815,
     /*  579156 */     GIR_EraseRootFromParent_Done,
     /*  579157 */   // Label 9439: @579157
     /*  579157 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(579232), // Rule ID 3818 //
     /*  579162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579230 */     GIR_RootConstrainSelectedInstOperands,
     /*  579231 */     // GIR_Coverage, 3818,
     /*  579231 */     GIR_EraseRootFromParent_Done,
     /*  579232 */   // Label 9440: @579232
     /*  579232 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(579307), // Rule ID 3819 //
     /*  579237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579305 */     GIR_RootConstrainSelectedInstOperands,
     /*  579306 */     // GIR_Coverage, 3819,
     /*  579306 */     GIR_EraseRootFromParent_Done,
     /*  579307 */   // Label 9441: @579307
     /*  579307 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(579382), // Rule ID 3822 //
     /*  579312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579358 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  579361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579380 */     GIR_RootConstrainSelectedInstOperands,
     /*  579381 */     // GIR_Coverage, 3822,
     /*  579381 */     GIR_EraseRootFromParent_Done,
     /*  579382 */   // Label 9442: @579382
     /*  579382 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(579457), // Rule ID 3823 //
     /*  579387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579433 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  579436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579455 */     GIR_RootConstrainSelectedInstOperands,
     /*  579456 */     // GIR_Coverage, 3823,
     /*  579456 */     GIR_EraseRootFromParent_Done,
     /*  579457 */   // Label 9443: @579457
     /*  579457 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(579532), // Rule ID 3826 //
     /*  579462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579530 */     GIR_RootConstrainSelectedInstOperands,
     /*  579531 */     // GIR_Coverage, 3826,
     /*  579531 */     GIR_EraseRootFromParent_Done,
     /*  579532 */   // Label 9444: @579532
     /*  579532 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(579607), // Rule ID 3827 //
     /*  579537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579605 */     GIR_RootConstrainSelectedInstOperands,
     /*  579606 */     // GIR_Coverage, 3827,
     /*  579606 */     GIR_EraseRootFromParent_Done,
     /*  579607 */   // Label 9445: @579607
     /*  579607 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(579682), // Rule ID 3830 //
     /*  579612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579680 */     GIR_RootConstrainSelectedInstOperands,
     /*  579681 */     // GIR_Coverage, 3830,
     /*  579681 */     GIR_EraseRootFromParent_Done,
     /*  579682 */   // Label 9446: @579682
     /*  579682 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(579757), // Rule ID 3831 //
     /*  579687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579755 */     GIR_RootConstrainSelectedInstOperands,
     /*  579756 */     // GIR_Coverage, 3831,
     /*  579756 */     GIR_EraseRootFromParent_Done,
     /*  579757 */   // Label 9447: @579757
     /*  579757 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579832), // Rule ID 3834 //
     /*  579762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579830 */     GIR_RootConstrainSelectedInstOperands,
     /*  579831 */     // GIR_Coverage, 3834,
     /*  579831 */     GIR_EraseRootFromParent_Done,
     /*  579832 */   // Label 9448: @579832
     /*  579832 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579907), // Rule ID 3835 //
     /*  579837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579905 */     GIR_RootConstrainSelectedInstOperands,
     /*  579906 */     // GIR_Coverage, 3835,
     /*  579906 */     GIR_EraseRootFromParent_Done,
     /*  579907 */   // Label 9449: @579907
     /*  579907 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579982), // Rule ID 3838 //
     /*  579912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579980 */     GIR_RootConstrainSelectedInstOperands,
     /*  579981 */     // GIR_Coverage, 3838,
     /*  579981 */     GIR_EraseRootFromParent_Done,
     /*  579982 */   // Label 9450: @579982
     /*  579982 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(580057), // Rule ID 3839 //
     /*  579987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  580004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  580007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580055 */     GIR_RootConstrainSelectedInstOperands,
     /*  580056 */     // GIR_Coverage, 3839,
     /*  580056 */     GIR_EraseRootFromParent_Done,
     /*  580057 */   // Label 9451: @580057
     /*  580057 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(580132), // Rule ID 3842 //
     /*  580062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580130 */     GIR_RootConstrainSelectedInstOperands,
     /*  580131 */     // GIR_Coverage, 3842,
     /*  580131 */     GIR_EraseRootFromParent_Done,
     /*  580132 */   // Label 9452: @580132
     /*  580132 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(580207), // Rule ID 3843 //
     /*  580137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580205 */     GIR_RootConstrainSelectedInstOperands,
     /*  580206 */     // GIR_Coverage, 3843,
     /*  580206 */     GIR_EraseRootFromParent_Done,
     /*  580207 */   // Label 9453: @580207
     /*  580207 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(580282), // Rule ID 3846 //
     /*  580212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580280 */     GIR_RootConstrainSelectedInstOperands,
     /*  580281 */     // GIR_Coverage, 3846,
     /*  580281 */     GIR_EraseRootFromParent_Done,
     /*  580282 */   // Label 9454: @580282
     /*  580282 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(580357), // Rule ID 3847 //
     /*  580287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580355 */     GIR_RootConstrainSelectedInstOperands,
     /*  580356 */     // GIR_Coverage, 3847,
     /*  580356 */     GIR_EraseRootFromParent_Done,
     /*  580357 */   // Label 9455: @580357
     /*  580357 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(580432), // Rule ID 3850 //
     /*  580362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580430 */     GIR_RootConstrainSelectedInstOperands,
     /*  580431 */     // GIR_Coverage, 3850,
     /*  580431 */     GIR_EraseRootFromParent_Done,
     /*  580432 */   // Label 9456: @580432
     /*  580432 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(580507), // Rule ID 3851 //
     /*  580437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580505 */     GIR_RootConstrainSelectedInstOperands,
     /*  580506 */     // GIR_Coverage, 3851,
     /*  580506 */     GIR_EraseRootFromParent_Done,
     /*  580507 */   // Label 9457: @580507
     /*  580507 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(580582), // Rule ID 3854 //
     /*  580512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580580 */     GIR_RootConstrainSelectedInstOperands,
     /*  580581 */     // GIR_Coverage, 3854,
     /*  580581 */     GIR_EraseRootFromParent_Done,
     /*  580582 */   // Label 9458: @580582
     /*  580582 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(580657), // Rule ID 3855 //
     /*  580587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580655 */     GIR_RootConstrainSelectedInstOperands,
     /*  580656 */     // GIR_Coverage, 3855,
     /*  580656 */     GIR_EraseRootFromParent_Done,
     /*  580657 */   // Label 9459: @580657
     /*  580657 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(580732), // Rule ID 3858 //
     /*  580662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580730 */     GIR_RootConstrainSelectedInstOperands,
     /*  580731 */     // GIR_Coverage, 3858,
     /*  580731 */     GIR_EraseRootFromParent_Done,
     /*  580732 */   // Label 9460: @580732
     /*  580732 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580807), // Rule ID 3859 //
     /*  580737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580805 */     GIR_RootConstrainSelectedInstOperands,
     /*  580806 */     // GIR_Coverage, 3859,
     /*  580806 */     GIR_EraseRootFromParent_Done,
     /*  580807 */   // Label 9461: @580807
     /*  580807 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580882), // Rule ID 3862 //
     /*  580812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580880 */     GIR_RootConstrainSelectedInstOperands,
     /*  580881 */     // GIR_Coverage, 3862,
     /*  580881 */     GIR_EraseRootFromParent_Done,
     /*  580882 */   // Label 9462: @580882
     /*  580882 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580957), // Rule ID 3863 //
     /*  580887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580955 */     GIR_RootConstrainSelectedInstOperands,
     /*  580956 */     // GIR_Coverage, 3863,
     /*  580956 */     GIR_EraseRootFromParent_Done,
     /*  580957 */   // Label 9463: @580957
     /*  580957 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(581032), // Rule ID 3866 //
     /*  580962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581030 */     GIR_RootConstrainSelectedInstOperands,
     /*  581031 */     // GIR_Coverage, 3866,
     /*  581031 */     GIR_EraseRootFromParent_Done,
     /*  581032 */   // Label 9464: @581032
     /*  581032 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(581107), // Rule ID 3867 //
     /*  581037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  581057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581105 */     GIR_RootConstrainSelectedInstOperands,
     /*  581106 */     // GIR_Coverage, 3867,
     /*  581106 */     GIR_EraseRootFromParent_Done,
     /*  581107 */   // Label 9465: @581107
     /*  581107 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(581182), // Rule ID 3870 //
     /*  581112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581180 */     GIR_RootConstrainSelectedInstOperands,
     /*  581181 */     // GIR_Coverage, 3870,
     /*  581181 */     GIR_EraseRootFromParent_Done,
     /*  581182 */   // Label 9466: @581182
     /*  581182 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(581257), // Rule ID 3871 //
     /*  581187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581255 */     GIR_RootConstrainSelectedInstOperands,
     /*  581256 */     // GIR_Coverage, 3871,
     /*  581256 */     GIR_EraseRootFromParent_Done,
     /*  581257 */   // Label 9467: @581257
     /*  581257 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(581332), // Rule ID 3874 //
     /*  581262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  581311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581330 */     GIR_RootConstrainSelectedInstOperands,
     /*  581331 */     // GIR_Coverage, 3874,
     /*  581331 */     GIR_EraseRootFromParent_Done,
     /*  581332 */   // Label 9468: @581332
     /*  581332 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(581407), // Rule ID 3875 //
     /*  581337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  581386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581405 */     GIR_RootConstrainSelectedInstOperands,
     /*  581406 */     // GIR_Coverage, 3875,
     /*  581406 */     GIR_EraseRootFromParent_Done,
     /*  581407 */   // Label 9469: @581407
     /*  581407 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(581482), // Rule ID 3878 //
     /*  581412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581480 */     GIR_RootConstrainSelectedInstOperands,
     /*  581481 */     // GIR_Coverage, 3878,
     /*  581481 */     GIR_EraseRootFromParent_Done,
     /*  581482 */   // Label 9470: @581482
     /*  581482 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(581557), // Rule ID 3879 //
     /*  581487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581555 */     GIR_RootConstrainSelectedInstOperands,
     /*  581556 */     // GIR_Coverage, 3879,
     /*  581556 */     GIR_EraseRootFromParent_Done,
     /*  581557 */   // Label 9471: @581557
     /*  581557 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(581632), // Rule ID 3882 //
     /*  581562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581630 */     GIR_RootConstrainSelectedInstOperands,
     /*  581631 */     // GIR_Coverage, 3882,
     /*  581631 */     GIR_EraseRootFromParent_Done,
     /*  581632 */   // Label 9472: @581632
     /*  581632 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(581707), // Rule ID 3883 //
     /*  581637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581705 */     GIR_RootConstrainSelectedInstOperands,
     /*  581706 */     // GIR_Coverage, 3883,
     /*  581706 */     GIR_EraseRootFromParent_Done,
     /*  581707 */   // Label 9473: @581707
     /*  581707 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(581782), // Rule ID 3886 //
     /*  581712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581780 */     GIR_RootConstrainSelectedInstOperands,
     /*  581781 */     // GIR_Coverage, 3886,
     /*  581781 */     GIR_EraseRootFromParent_Done,
     /*  581782 */   // Label 9474: @581782
     /*  581782 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581857), // Rule ID 3887 //
     /*  581787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581855 */     GIR_RootConstrainSelectedInstOperands,
     /*  581856 */     // GIR_Coverage, 3887,
     /*  581856 */     GIR_EraseRootFromParent_Done,
     /*  581857 */   // Label 9475: @581857
     /*  581857 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581932), // Rule ID 3890 //
     /*  581862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581930 */     GIR_RootConstrainSelectedInstOperands,
     /*  581931 */     // GIR_Coverage, 3890,
     /*  581931 */     GIR_EraseRootFromParent_Done,
     /*  581932 */   // Label 9476: @581932
     /*  581932 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(582007), // Rule ID 3891 //
     /*  581937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581983 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582005 */     GIR_RootConstrainSelectedInstOperands,
     /*  582006 */     // GIR_Coverage, 3891,
     /*  582006 */     GIR_EraseRootFromParent_Done,
     /*  582007 */   // Label 9477: @582007
     /*  582007 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(582082), // Rule ID 3894 //
     /*  582012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582080 */     GIR_RootConstrainSelectedInstOperands,
     /*  582081 */     // GIR_Coverage, 3894,
     /*  582081 */     GIR_EraseRootFromParent_Done,
     /*  582082 */   // Label 9478: @582082
     /*  582082 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(582157), // Rule ID 3895 //
     /*  582087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582155 */     GIR_RootConstrainSelectedInstOperands,
     /*  582156 */     // GIR_Coverage, 3895,
     /*  582156 */     GIR_EraseRootFromParent_Done,
     /*  582157 */   // Label 9479: @582157
     /*  582157 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(582232), // Rule ID 3898 //
     /*  582162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582230 */     GIR_RootConstrainSelectedInstOperands,
     /*  582231 */     // GIR_Coverage, 3898,
     /*  582231 */     GIR_EraseRootFromParent_Done,
     /*  582232 */   // Label 9480: @582232
     /*  582232 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(582307), // Rule ID 3899 //
     /*  582237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582305 */     GIR_RootConstrainSelectedInstOperands,
     /*  582306 */     // GIR_Coverage, 3899,
     /*  582306 */     GIR_EraseRootFromParent_Done,
     /*  582307 */   // Label 9481: @582307
     /*  582307 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(582382), // Rule ID 3902 //
     /*  582312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582380 */     GIR_RootConstrainSelectedInstOperands,
     /*  582381 */     // GIR_Coverage, 3902,
     /*  582381 */     GIR_EraseRootFromParent_Done,
     /*  582382 */   // Label 9482: @582382
     /*  582382 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(582457), // Rule ID 3903 //
     /*  582387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582455 */     GIR_RootConstrainSelectedInstOperands,
     /*  582456 */     // GIR_Coverage, 3903,
     /*  582456 */     GIR_EraseRootFromParent_Done,
     /*  582457 */   // Label 9483: @582457
     /*  582457 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(582532), // Rule ID 3906 //
     /*  582462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582530 */     GIR_RootConstrainSelectedInstOperands,
     /*  582531 */     // GIR_Coverage, 3906,
     /*  582531 */     GIR_EraseRootFromParent_Done,
     /*  582532 */   // Label 9484: @582532
     /*  582532 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(582607), // Rule ID 3907 //
     /*  582537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582605 */     GIR_RootConstrainSelectedInstOperands,
     /*  582606 */     // GIR_Coverage, 3907,
     /*  582606 */     GIR_EraseRootFromParent_Done,
     /*  582607 */   // Label 9485: @582607
     /*  582607 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(582682), // Rule ID 3910 //
     /*  582612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582680 */     GIR_RootConstrainSelectedInstOperands,
     /*  582681 */     // GIR_Coverage, 3910,
     /*  582681 */     GIR_EraseRootFromParent_Done,
     /*  582682 */   // Label 9486: @582682
     /*  582682 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(582757), // Rule ID 3911 //
     /*  582687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582733 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582755 */     GIR_RootConstrainSelectedInstOperands,
     /*  582756 */     // GIR_Coverage, 3911,
     /*  582756 */     GIR_EraseRootFromParent_Done,
     /*  582757 */   // Label 9487: @582757
     /*  582757 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582832), // Rule ID 3914 //
     /*  582762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582830 */     GIR_RootConstrainSelectedInstOperands,
     /*  582831 */     // GIR_Coverage, 3914,
     /*  582831 */     GIR_EraseRootFromParent_Done,
     /*  582832 */   // Label 9488: @582832
     /*  582832 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582907), // Rule ID 3915 //
     /*  582837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582883 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582905 */     GIR_RootConstrainSelectedInstOperands,
     /*  582906 */     // GIR_Coverage, 3915,
     /*  582906 */     GIR_EraseRootFromParent_Done,
     /*  582907 */   // Label 9489: @582907
     /*  582907 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582982), // Rule ID 3918 //
     /*  582912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582980 */     GIR_RootConstrainSelectedInstOperands,
     /*  582981 */     // GIR_Coverage, 3918,
     /*  582981 */     GIR_EraseRootFromParent_Done,
     /*  582982 */   // Label 9490: @582982
     /*  582982 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(583057), // Rule ID 3919 //
     /*  582987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583055 */     GIR_RootConstrainSelectedInstOperands,
     /*  583056 */     // GIR_Coverage, 3919,
     /*  583056 */     GIR_EraseRootFromParent_Done,
     /*  583057 */   // Label 9491: @583057
     /*  583057 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(583132), // Rule ID 3922 //
     /*  583062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583130 */     GIR_RootConstrainSelectedInstOperands,
     /*  583131 */     // GIR_Coverage, 3922,
     /*  583131 */     GIR_EraseRootFromParent_Done,
     /*  583132 */   // Label 9492: @583132
     /*  583132 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(583207), // Rule ID 3923 //
     /*  583137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583205 */     GIR_RootConstrainSelectedInstOperands,
     /*  583206 */     // GIR_Coverage, 3923,
     /*  583206 */     GIR_EraseRootFromParent_Done,
     /*  583207 */   // Label 9493: @583207
     /*  583207 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(583282), // Rule ID 3926 //
     /*  583212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583280 */     GIR_RootConstrainSelectedInstOperands,
     /*  583281 */     // GIR_Coverage, 3926,
     /*  583281 */     GIR_EraseRootFromParent_Done,
     /*  583282 */   // Label 9494: @583282
     /*  583282 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(583357), // Rule ID 3927 //
     /*  583287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583355 */     GIR_RootConstrainSelectedInstOperands,
     /*  583356 */     // GIR_Coverage, 3927,
     /*  583356 */     GIR_EraseRootFromParent_Done,
     /*  583357 */   // Label 9495: @583357
     /*  583357 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(583432), // Rule ID 3930 //
     /*  583362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583430 */     GIR_RootConstrainSelectedInstOperands,
     /*  583431 */     // GIR_Coverage, 3930,
     /*  583431 */     GIR_EraseRootFromParent_Done,
     /*  583432 */   // Label 9496: @583432
     /*  583432 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(583507), // Rule ID 3931 //
     /*  583437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583505 */     GIR_RootConstrainSelectedInstOperands,
     /*  583506 */     // GIR_Coverage, 3931,
     /*  583506 */     GIR_EraseRootFromParent_Done,
     /*  583507 */   // Label 9497: @583507
     /*  583507 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(583582), // Rule ID 3934 //
     /*  583512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583580 */     GIR_RootConstrainSelectedInstOperands,
     /*  583581 */     // GIR_Coverage, 3934,
     /*  583581 */     GIR_EraseRootFromParent_Done,
     /*  583582 */   // Label 9498: @583582
     /*  583582 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(583657), // Rule ID 3935 //
     /*  583587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583655 */     GIR_RootConstrainSelectedInstOperands,
     /*  583656 */     // GIR_Coverage, 3935,
     /*  583656 */     GIR_EraseRootFromParent_Done,
     /*  583657 */   // Label 9499: @583657
     /*  583657 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(583732), // Rule ID 3938 //
     /*  583662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583730 */     GIR_RootConstrainSelectedInstOperands,
     /*  583731 */     // GIR_Coverage, 3938,
     /*  583731 */     GIR_EraseRootFromParent_Done,
     /*  583732 */   // Label 9500: @583732
     /*  583732 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583807), // Rule ID 3939 //
     /*  583737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583805 */     GIR_RootConstrainSelectedInstOperands,
     /*  583806 */     // GIR_Coverage, 3939,
     /*  583806 */     GIR_EraseRootFromParent_Done,
     /*  583807 */   // Label 9501: @583807
     /*  583807 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583882), // Rule ID 3942 //
     /*  583812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583880 */     GIR_RootConstrainSelectedInstOperands,
     /*  583881 */     // GIR_Coverage, 3942,
     /*  583881 */     GIR_EraseRootFromParent_Done,
     /*  583882 */   // Label 9502: @583882
     /*  583882 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583957), // Rule ID 3943 //
     /*  583887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583955 */     GIR_RootConstrainSelectedInstOperands,
     /*  583956 */     // GIR_Coverage, 3943,
     /*  583956 */     GIR_EraseRootFromParent_Done,
     /*  583957 */   // Label 9503: @583957
     /*  583957 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(584032), // Rule ID 3946 //
     /*  583962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584030 */     GIR_RootConstrainSelectedInstOperands,
     /*  584031 */     // GIR_Coverage, 3946,
     /*  584031 */     GIR_EraseRootFromParent_Done,
     /*  584032 */   // Label 9504: @584032
     /*  584032 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(584107), // Rule ID 3947 //
     /*  584037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584105 */     GIR_RootConstrainSelectedInstOperands,
     /*  584106 */     // GIR_Coverage, 3947,
     /*  584106 */     GIR_EraseRootFromParent_Done,
     /*  584107 */   // Label 9505: @584107
     /*  584107 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(584182), // Rule ID 3952 //
     /*  584112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584180 */     GIR_RootConstrainSelectedInstOperands,
     /*  584181 */     // GIR_Coverage, 3952,
     /*  584181 */     GIR_EraseRootFromParent_Done,
     /*  584182 */   // Label 9506: @584182
     /*  584182 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(584257), // Rule ID 3953 //
     /*  584187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584255 */     GIR_RootConstrainSelectedInstOperands,
     /*  584256 */     // GIR_Coverage, 3953,
     /*  584256 */     GIR_EraseRootFromParent_Done,
     /*  584257 */   // Label 9507: @584257
     /*  584257 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(584332), // Rule ID 3962 //
     /*  584262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584330 */     GIR_RootConstrainSelectedInstOperands,
     /*  584331 */     // GIR_Coverage, 3962,
     /*  584331 */     GIR_EraseRootFromParent_Done,
     /*  584332 */   // Label 9508: @584332
     /*  584332 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(584407), // Rule ID 3963 //
     /*  584337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584405 */     GIR_RootConstrainSelectedInstOperands,
     /*  584406 */     // GIR_Coverage, 3963,
     /*  584406 */     GIR_EraseRootFromParent_Done,
     /*  584407 */   // Label 9509: @584407
     /*  584407 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(584482), // Rule ID 3972 //
     /*  584412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584480 */     GIR_RootConstrainSelectedInstOperands,
     /*  584481 */     // GIR_Coverage, 3972,
     /*  584481 */     GIR_EraseRootFromParent_Done,
     /*  584482 */   // Label 9510: @584482
     /*  584482 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(584557), // Rule ID 3973 //
     /*  584487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584555 */     GIR_RootConstrainSelectedInstOperands,
     /*  584556 */     // GIR_Coverage, 3973,
     /*  584556 */     GIR_EraseRootFromParent_Done,
     /*  584557 */   // Label 9511: @584557
     /*  584557 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(584632), // Rule ID 3982 //
     /*  584562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584630 */     GIR_RootConstrainSelectedInstOperands,
     /*  584631 */     // GIR_Coverage, 3982,
     /*  584631 */     GIR_EraseRootFromParent_Done,
     /*  584632 */   // Label 9512: @584632
     /*  584632 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(584707), // Rule ID 3983 //
     /*  584637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584705 */     GIR_RootConstrainSelectedInstOperands,
     /*  584706 */     // GIR_Coverage, 3983,
     /*  584706 */     GIR_EraseRootFromParent_Done,
     /*  584707 */   // Label 9513: @584707
     /*  584707 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(584782), // Rule ID 3992 //
     /*  584712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584780 */     GIR_RootConstrainSelectedInstOperands,
     /*  584781 */     // GIR_Coverage, 3992,
     /*  584781 */     GIR_EraseRootFromParent_Done,
     /*  584782 */   // Label 9514: @584782
     /*  584782 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584857), // Rule ID 3993 //
     /*  584787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584855 */     GIR_RootConstrainSelectedInstOperands,
     /*  584856 */     // GIR_Coverage, 3993,
     /*  584856 */     GIR_EraseRootFromParent_Done,
     /*  584857 */   // Label 9515: @584857
     /*  584857 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584932), // Rule ID 4002 //
     /*  584862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584930 */     GIR_RootConstrainSelectedInstOperands,
     /*  584931 */     // GIR_Coverage, 4002,
     /*  584931 */     GIR_EraseRootFromParent_Done,
     /*  584932 */   // Label 9516: @584932
     /*  584932 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(585007), // Rule ID 4003 //
     /*  584937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585005 */     GIR_RootConstrainSelectedInstOperands,
     /*  585006 */     // GIR_Coverage, 4003,
     /*  585006 */     GIR_EraseRootFromParent_Done,
     /*  585007 */   // Label 9517: @585007
     /*  585007 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(585082), // Rule ID 4012 //
     /*  585012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585080 */     GIR_RootConstrainSelectedInstOperands,
     /*  585081 */     // GIR_Coverage, 4012,
     /*  585081 */     GIR_EraseRootFromParent_Done,
     /*  585082 */   // Label 9518: @585082
     /*  585082 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(585157), // Rule ID 4013 //
     /*  585087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585155 */     GIR_RootConstrainSelectedInstOperands,
     /*  585156 */     // GIR_Coverage, 4013,
     /*  585156 */     GIR_EraseRootFromParent_Done,
     /*  585157 */   // Label 9519: @585157
     /*  585157 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(585232), // Rule ID 4022 //
     /*  585162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585230 */     GIR_RootConstrainSelectedInstOperands,
     /*  585231 */     // GIR_Coverage, 4022,
     /*  585231 */     GIR_EraseRootFromParent_Done,
     /*  585232 */   // Label 9520: @585232
     /*  585232 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(585307), // Rule ID 4023 //
     /*  585237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585305 */     GIR_RootConstrainSelectedInstOperands,
     /*  585306 */     // GIR_Coverage, 4023,
     /*  585306 */     GIR_EraseRootFromParent_Done,
     /*  585307 */   // Label 9521: @585307
     /*  585307 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(585382), // Rule ID 4032 //
     /*  585312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585380 */     GIR_RootConstrainSelectedInstOperands,
     /*  585381 */     // GIR_Coverage, 4032,
     /*  585381 */     GIR_EraseRootFromParent_Done,
     /*  585382 */   // Label 9522: @585382
     /*  585382 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(585457), // Rule ID 4033 //
     /*  585387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585455 */     GIR_RootConstrainSelectedInstOperands,
     /*  585456 */     // GIR_Coverage, 4033,
     /*  585456 */     GIR_EraseRootFromParent_Done,
     /*  585457 */   // Label 9523: @585457
     /*  585457 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(585532), // Rule ID 4042 //
     /*  585462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585530 */     GIR_RootConstrainSelectedInstOperands,
     /*  585531 */     // GIR_Coverage, 4042,
     /*  585531 */     GIR_EraseRootFromParent_Done,
     /*  585532 */   // Label 9524: @585532
     /*  585532 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(585607), // Rule ID 4043 //
     /*  585537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585605 */     GIR_RootConstrainSelectedInstOperands,
     /*  585606 */     // GIR_Coverage, 4043,
     /*  585606 */     GIR_EraseRootFromParent_Done,
     /*  585607 */   // Label 9525: @585607
     /*  585607 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(585682), // Rule ID 4052 //
     /*  585612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585680 */     GIR_RootConstrainSelectedInstOperands,
     /*  585681 */     // GIR_Coverage, 4052,
     /*  585681 */     GIR_EraseRootFromParent_Done,
     /*  585682 */   // Label 9526: @585682
     /*  585682 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(585757), // Rule ID 4053 //
     /*  585687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585755 */     GIR_RootConstrainSelectedInstOperands,
     /*  585756 */     // GIR_Coverage, 4053,
     /*  585756 */     GIR_EraseRootFromParent_Done,
     /*  585757 */   // Label 9527: @585757
     /*  585757 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585832), // Rule ID 4062 //
     /*  585762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585830 */     GIR_RootConstrainSelectedInstOperands,
     /*  585831 */     // GIR_Coverage, 4062,
     /*  585831 */     GIR_EraseRootFromParent_Done,
     /*  585832 */   // Label 9528: @585832
     /*  585832 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585907), // Rule ID 4063 //
     /*  585837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585905 */     GIR_RootConstrainSelectedInstOperands,
     /*  585906 */     // GIR_Coverage, 4063,
     /*  585906 */     GIR_EraseRootFromParent_Done,
     /*  585907 */   // Label 9529: @585907
     /*  585907 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585982), // Rule ID 4072 //
     /*  585912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585980 */     GIR_RootConstrainSelectedInstOperands,
     /*  585981 */     // GIR_Coverage, 4072,
     /*  585981 */     GIR_EraseRootFromParent_Done,
     /*  585982 */   // Label 9530: @585982
     /*  585982 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(586057), // Rule ID 4073 //
     /*  585987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  586004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  586007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  586036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586055 */     GIR_RootConstrainSelectedInstOperands,
     /*  586056 */     // GIR_Coverage, 4073,
     /*  586056 */     GIR_EraseRootFromParent_Done,
     /*  586057 */   // Label 9531: @586057
     /*  586057 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(586132), // Rule ID 4082 //
     /*  586062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586130 */     GIR_RootConstrainSelectedInstOperands,
     /*  586131 */     // GIR_Coverage, 4082,
     /*  586131 */     GIR_EraseRootFromParent_Done,
     /*  586132 */   // Label 9532: @586132
     /*  586132 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(586207), // Rule ID 4083 //
     /*  586137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586183 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586205 */     GIR_RootConstrainSelectedInstOperands,
     /*  586206 */     // GIR_Coverage, 4083,
     /*  586206 */     GIR_EraseRootFromParent_Done,
     /*  586207 */   // Label 9533: @586207
     /*  586207 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(586282), // Rule ID 4090 //
     /*  586212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  586261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586280 */     GIR_RootConstrainSelectedInstOperands,
     /*  586281 */     // GIR_Coverage, 4090,
     /*  586281 */     GIR_EraseRootFromParent_Done,
     /*  586282 */   // Label 9534: @586282
     /*  586282 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(586357), // Rule ID 4091 //
     /*  586287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  586336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586355 */     GIR_RootConstrainSelectedInstOperands,
     /*  586356 */     // GIR_Coverage, 4091,
     /*  586356 */     GIR_EraseRootFromParent_Done,
     /*  586357 */   // Label 9535: @586357
     /*  586357 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(586432), // Rule ID 4094 //
     /*  586362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586430 */     GIR_RootConstrainSelectedInstOperands,
     /*  586431 */     // GIR_Coverage, 4094,
     /*  586431 */     GIR_EraseRootFromParent_Done,
     /*  586432 */   // Label 9536: @586432
     /*  586432 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(586507), // Rule ID 4095 //
     /*  586437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586505 */     GIR_RootConstrainSelectedInstOperands,
     /*  586506 */     // GIR_Coverage, 4095,
     /*  586506 */     GIR_EraseRootFromParent_Done,
     /*  586507 */   // Label 9537: @586507
     /*  586507 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(586582), // Rule ID 4098 //
     /*  586512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586580 */     GIR_RootConstrainSelectedInstOperands,
     /*  586581 */     // GIR_Coverage, 4098,
     /*  586581 */     GIR_EraseRootFromParent_Done,
     /*  586582 */   // Label 9538: @586582
     /*  586582 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(586657), // Rule ID 4099 //
     /*  586587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586655 */     GIR_RootConstrainSelectedInstOperands,
     /*  586656 */     // GIR_Coverage, 4099,
     /*  586656 */     GIR_EraseRootFromParent_Done,
     /*  586657 */   // Label 9539: @586657
     /*  586657 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(586732), // Rule ID 4102 //
     /*  586662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586730 */     GIR_RootConstrainSelectedInstOperands,
     /*  586731 */     // GIR_Coverage, 4102,
     /*  586731 */     GIR_EraseRootFromParent_Done,
     /*  586732 */   // Label 9540: @586732
     /*  586732 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586807), // Rule ID 4103 //
     /*  586737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586805 */     GIR_RootConstrainSelectedInstOperands,
     /*  586806 */     // GIR_Coverage, 4103,
     /*  586806 */     GIR_EraseRootFromParent_Done,
     /*  586807 */   // Label 9541: @586807
     /*  586807 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586882), // Rule ID 4106 //
     /*  586812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586880 */     GIR_RootConstrainSelectedInstOperands,
     /*  586881 */     // GIR_Coverage, 4106,
     /*  586881 */     GIR_EraseRootFromParent_Done,
     /*  586882 */   // Label 9542: @586882
     /*  586882 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586957), // Rule ID 4107 //
     /*  586887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586933 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586955 */     GIR_RootConstrainSelectedInstOperands,
     /*  586956 */     // GIR_Coverage, 4107,
     /*  586956 */     GIR_EraseRootFromParent_Done,
     /*  586957 */   // Label 9543: @586957
     /*  586957 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(587032), // Rule ID 4110 //
     /*  586962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587008 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587030 */     GIR_RootConstrainSelectedInstOperands,
     /*  587031 */     // GIR_Coverage, 4110,
     /*  587031 */     GIR_EraseRootFromParent_Done,
     /*  587032 */   // Label 9544: @587032
     /*  587032 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(587107), // Rule ID 4111 //
     /*  587037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587105 */     GIR_RootConstrainSelectedInstOperands,
     /*  587106 */     // GIR_Coverage, 4111,
     /*  587106 */     GIR_EraseRootFromParent_Done,
     /*  587107 */   // Label 9545: @587107
     /*  587107 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(587182), // Rule ID 4114 //
     /*  587112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587180 */     GIR_RootConstrainSelectedInstOperands,
     /*  587181 */     // GIR_Coverage, 4114,
     /*  587181 */     GIR_EraseRootFromParent_Done,
     /*  587182 */   // Label 9546: @587182
     /*  587182 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(587257), // Rule ID 4115 //
     /*  587187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587255 */     GIR_RootConstrainSelectedInstOperands,
     /*  587256 */     // GIR_Coverage, 4115,
     /*  587256 */     GIR_EraseRootFromParent_Done,
     /*  587257 */   // Label 9547: @587257
     /*  587257 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(587332), // Rule ID 4118 //
     /*  587262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587330 */     GIR_RootConstrainSelectedInstOperands,
     /*  587331 */     // GIR_Coverage, 4118,
     /*  587331 */     GIR_EraseRootFromParent_Done,
     /*  587332 */   // Label 9548: @587332
     /*  587332 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(587407), // Rule ID 4119 //
     /*  587337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587405 */     GIR_RootConstrainSelectedInstOperands,
     /*  587406 */     // GIR_Coverage, 4119,
     /*  587406 */     GIR_EraseRootFromParent_Done,
     /*  587407 */   // Label 9549: @587407
     /*  587407 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(587482), // Rule ID 4122 //
     /*  587412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587480 */     GIR_RootConstrainSelectedInstOperands,
     /*  587481 */     // GIR_Coverage, 4122,
     /*  587481 */     GIR_EraseRootFromParent_Done,
     /*  587482 */   // Label 9550: @587482
     /*  587482 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(587557), // Rule ID 4123 //
     /*  587487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587555 */     GIR_RootConstrainSelectedInstOperands,
     /*  587556 */     // GIR_Coverage, 4123,
     /*  587556 */     GIR_EraseRootFromParent_Done,
     /*  587557 */   // Label 9551: @587557
     /*  587557 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(587632), // Rule ID 4126 //
     /*  587562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587630 */     GIR_RootConstrainSelectedInstOperands,
     /*  587631 */     // GIR_Coverage, 4126,
     /*  587631 */     GIR_EraseRootFromParent_Done,
     /*  587632 */   // Label 9552: @587632
     /*  587632 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(587707), // Rule ID 4127 //
     /*  587637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587705 */     GIR_RootConstrainSelectedInstOperands,
     /*  587706 */     // GIR_Coverage, 4127,
     /*  587706 */     GIR_EraseRootFromParent_Done,
     /*  587707 */   // Label 9553: @587707
     /*  587707 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(587782), // Rule ID 4130 //
     /*  587712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587780 */     GIR_RootConstrainSelectedInstOperands,
     /*  587781 */     // GIR_Coverage, 4130,
     /*  587781 */     GIR_EraseRootFromParent_Done,
     /*  587782 */   // Label 9554: @587782
     /*  587782 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587857), // Rule ID 4131 //
     /*  587787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587855 */     GIR_RootConstrainSelectedInstOperands,
     /*  587856 */     // GIR_Coverage, 4131,
     /*  587856 */     GIR_EraseRootFromParent_Done,
     /*  587857 */   // Label 9555: @587857
     /*  587857 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587932), // Rule ID 4134 //
     /*  587862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587930 */     GIR_RootConstrainSelectedInstOperands,
     /*  587931 */     // GIR_Coverage, 4134,
     /*  587931 */     GIR_EraseRootFromParent_Done,
     /*  587932 */   // Label 9556: @587932
     /*  587932 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(588007), // Rule ID 4135 //
     /*  587937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588005 */     GIR_RootConstrainSelectedInstOperands,
     /*  588006 */     // GIR_Coverage, 4135,
     /*  588006 */     GIR_EraseRootFromParent_Done,
     /*  588007 */   // Label 9557: @588007
     /*  588007 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(588082), // Rule ID 4138 //
     /*  588012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588080 */     GIR_RootConstrainSelectedInstOperands,
     /*  588081 */     // GIR_Coverage, 4138,
     /*  588081 */     GIR_EraseRootFromParent_Done,
     /*  588082 */   // Label 9558: @588082
     /*  588082 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(588157), // Rule ID 4139 //
     /*  588087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588155 */     GIR_RootConstrainSelectedInstOperands,
     /*  588156 */     // GIR_Coverage, 4139,
     /*  588156 */     GIR_EraseRootFromParent_Done,
     /*  588157 */   // Label 9559: @588157
     /*  588157 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(588232), // Rule ID 4142 //
     /*  588162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588230 */     GIR_RootConstrainSelectedInstOperands,
     /*  588231 */     // GIR_Coverage, 4142,
     /*  588231 */     GIR_EraseRootFromParent_Done,
     /*  588232 */   // Label 9560: @588232
     /*  588232 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(588307), // Rule ID 4143 //
     /*  588237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588305 */     GIR_RootConstrainSelectedInstOperands,
     /*  588306 */     // GIR_Coverage, 4143,
     /*  588306 */     GIR_EraseRootFromParent_Done,
     /*  588307 */   // Label 9561: @588307
     /*  588307 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(588382), // Rule ID 4146 //
     /*  588312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  588361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588380 */     GIR_RootConstrainSelectedInstOperands,
     /*  588381 */     // GIR_Coverage, 4146,
     /*  588381 */     GIR_EraseRootFromParent_Done,
     /*  588382 */   // Label 9562: @588382
     /*  588382 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(588457), // Rule ID 4147 //
     /*  588387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  588436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588455 */     GIR_RootConstrainSelectedInstOperands,
     /*  588456 */     // GIR_Coverage, 4147,
     /*  588456 */     GIR_EraseRootFromParent_Done,
     /*  588457 */   // Label 9563: @588457
     /*  588457 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(588532), // Rule ID 4152 //
     /*  588462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588530 */     GIR_RootConstrainSelectedInstOperands,
     /*  588531 */     // GIR_Coverage, 4152,
     /*  588531 */     GIR_EraseRootFromParent_Done,
     /*  588532 */   // Label 9564: @588532
     /*  588532 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(588607), // Rule ID 4153 //
     /*  588537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588605 */     GIR_RootConstrainSelectedInstOperands,
     /*  588606 */     // GIR_Coverage, 4153,
     /*  588606 */     GIR_EraseRootFromParent_Done,
     /*  588607 */   // Label 9565: @588607
     /*  588607 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(588682), // Rule ID 4162 //
     /*  588612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588680 */     GIR_RootConstrainSelectedInstOperands,
     /*  588681 */     // GIR_Coverage, 4162,
     /*  588681 */     GIR_EraseRootFromParent_Done,
     /*  588682 */   // Label 9566: @588682
     /*  588682 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(588757), // Rule ID 4163 //
     /*  588687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588755 */     GIR_RootConstrainSelectedInstOperands,
     /*  588756 */     // GIR_Coverage, 4163,
     /*  588756 */     GIR_EraseRootFromParent_Done,
     /*  588757 */   // Label 9567: @588757
     /*  588757 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588832), // Rule ID 4172 //
     /*  588762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588830 */     GIR_RootConstrainSelectedInstOperands,
     /*  588831 */     // GIR_Coverage, 4172,
     /*  588831 */     GIR_EraseRootFromParent_Done,
     /*  588832 */   // Label 9568: @588832
     /*  588832 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588907), // Rule ID 4173 //
     /*  588837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588905 */     GIR_RootConstrainSelectedInstOperands,
     /*  588906 */     // GIR_Coverage, 4173,
     /*  588906 */     GIR_EraseRootFromParent_Done,
     /*  588907 */   // Label 9569: @588907
     /*  588907 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588982), // Rule ID 4182 //
     /*  588912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588980 */     GIR_RootConstrainSelectedInstOperands,
     /*  588981 */     // GIR_Coverage, 4182,
     /*  588981 */     GIR_EraseRootFromParent_Done,
     /*  588982 */   // Label 9570: @588982
     /*  588982 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(589057), // Rule ID 4183 //
     /*  588987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  589007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589055 */     GIR_RootConstrainSelectedInstOperands,
     /*  589056 */     // GIR_Coverage, 4183,
     /*  589056 */     GIR_EraseRootFromParent_Done,
     /*  589057 */   // Label 9571: @589057
     /*  589057 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(589132), // Rule ID 4192 //
     /*  589062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589130 */     GIR_RootConstrainSelectedInstOperands,
     /*  589131 */     // GIR_Coverage, 4192,
     /*  589131 */     GIR_EraseRootFromParent_Done,
     /*  589132 */   // Label 9572: @589132
     /*  589132 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(589207), // Rule ID 4193 //
     /*  589137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589205 */     GIR_RootConstrainSelectedInstOperands,
     /*  589206 */     // GIR_Coverage, 4193,
     /*  589206 */     GIR_EraseRootFromParent_Done,
     /*  589207 */   // Label 9573: @589207
     /*  589207 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(589282), // Rule ID 4202 //
     /*  589212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589280 */     GIR_RootConstrainSelectedInstOperands,
     /*  589281 */     // GIR_Coverage, 4202,
     /*  589281 */     GIR_EraseRootFromParent_Done,
     /*  589282 */   // Label 9574: @589282
     /*  589282 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(589357), // Rule ID 4203 //
     /*  589287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589355 */     GIR_RootConstrainSelectedInstOperands,
     /*  589356 */     // GIR_Coverage, 4203,
     /*  589356 */     GIR_EraseRootFromParent_Done,
     /*  589357 */   // Label 9575: @589357
     /*  589357 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(589432), // Rule ID 4212 //
     /*  589362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589430 */     GIR_RootConstrainSelectedInstOperands,
     /*  589431 */     // GIR_Coverage, 4212,
     /*  589431 */     GIR_EraseRootFromParent_Done,
     /*  589432 */   // Label 9576: @589432
     /*  589432 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(589507), // Rule ID 4213 //
     /*  589437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589505 */     GIR_RootConstrainSelectedInstOperands,
     /*  589506 */     // GIR_Coverage, 4213,
     /*  589506 */     GIR_EraseRootFromParent_Done,
     /*  589507 */   // Label 9577: @589507
     /*  589507 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(589582), // Rule ID 4222 //
     /*  589512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589580 */     GIR_RootConstrainSelectedInstOperands,
     /*  589581 */     // GIR_Coverage, 4222,
     /*  589581 */     GIR_EraseRootFromParent_Done,
     /*  589582 */   // Label 9578: @589582
     /*  589582 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(589657), // Rule ID 4223 //
     /*  589587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589655 */     GIR_RootConstrainSelectedInstOperands,
     /*  589656 */     // GIR_Coverage, 4223,
     /*  589656 */     GIR_EraseRootFromParent_Done,
     /*  589657 */   // Label 9579: @589657
     /*  589657 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(589732), // Rule ID 4232 //
     /*  589662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589730 */     GIR_RootConstrainSelectedInstOperands,
     /*  589731 */     // GIR_Coverage, 4232,
     /*  589731 */     GIR_EraseRootFromParent_Done,
     /*  589732 */   // Label 9580: @589732
     /*  589732 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589807), // Rule ID 4233 //
     /*  589737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589805 */     GIR_RootConstrainSelectedInstOperands,
     /*  589806 */     // GIR_Coverage, 4233,
     /*  589806 */     GIR_EraseRootFromParent_Done,
     /*  589807 */   // Label 9581: @589807
     /*  589807 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589882), // Rule ID 4242 //
     /*  589812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589880 */     GIR_RootConstrainSelectedInstOperands,
     /*  589881 */     // GIR_Coverage, 4242,
     /*  589881 */     GIR_EraseRootFromParent_Done,
     /*  589882 */   // Label 9582: @589882
     /*  589882 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589957), // Rule ID 4243 //
     /*  589887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589955 */     GIR_RootConstrainSelectedInstOperands,
     /*  589956 */     // GIR_Coverage, 4243,
     /*  589956 */     GIR_EraseRootFromParent_Done,
     /*  589957 */   // Label 9583: @589957
     /*  589957 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(590032), // Rule ID 4252 //
     /*  589962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590030 */     GIR_RootConstrainSelectedInstOperands,
     /*  590031 */     // GIR_Coverage, 4252,
     /*  590031 */     GIR_EraseRootFromParent_Done,
     /*  590032 */   // Label 9584: @590032
     /*  590032 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(590107), // Rule ID 4253 //
     /*  590037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  590057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590105 */     GIR_RootConstrainSelectedInstOperands,
     /*  590106 */     // GIR_Coverage, 4253,
     /*  590106 */     GIR_EraseRootFromParent_Done,
     /*  590107 */   // Label 9585: @590107
     /*  590107 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(590182), // Rule ID 4262 //
     /*  590112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590180 */     GIR_RootConstrainSelectedInstOperands,
     /*  590181 */     // GIR_Coverage, 4262,
     /*  590181 */     GIR_EraseRootFromParent_Done,
     /*  590182 */   // Label 9586: @590182
     /*  590182 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(590257), // Rule ID 4263 //
     /*  590187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590255 */     GIR_RootConstrainSelectedInstOperands,
     /*  590256 */     // GIR_Coverage, 4263,
     /*  590256 */     GIR_EraseRootFromParent_Done,
     /*  590257 */   // Label 9587: @590257
     /*  590257 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(590332), // Rule ID 4272 //
     /*  590262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  590311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590330 */     GIR_RootConstrainSelectedInstOperands,
     /*  590331 */     // GIR_Coverage, 4272,
     /*  590331 */     GIR_EraseRootFromParent_Done,
     /*  590332 */   // Label 9588: @590332
     /*  590332 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(590407), // Rule ID 4273 //
     /*  590337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  590386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590405 */     GIR_RootConstrainSelectedInstOperands,
     /*  590406 */     // GIR_Coverage, 4273,
     /*  590406 */     GIR_EraseRootFromParent_Done,
     /*  590407 */   // Label 9589: @590407
     /*  590407 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(590482), // Rule ID 4282 //
     /*  590412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590458 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590480 */     GIR_RootConstrainSelectedInstOperands,
     /*  590481 */     // GIR_Coverage, 4282,
     /*  590481 */     GIR_EraseRootFromParent_Done,
     /*  590482 */   // Label 9590: @590482
     /*  590482 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(590557), // Rule ID 4283 //
     /*  590487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590533 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590555 */     GIR_RootConstrainSelectedInstOperands,
     /*  590556 */     // GIR_Coverage, 4283,
     /*  590556 */     GIR_EraseRootFromParent_Done,
     /*  590557 */   // Label 9591: @590557
     /*  590557 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(590632), // Rule ID 4292 //
     /*  590562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590608 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590630 */     GIR_RootConstrainSelectedInstOperands,
     /*  590631 */     // GIR_Coverage, 4292,
     /*  590631 */     GIR_EraseRootFromParent_Done,
     /*  590632 */   // Label 9592: @590632
     /*  590632 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(590707), // Rule ID 4293 //
     /*  590637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590705 */     GIR_RootConstrainSelectedInstOperands,
     /*  590706 */     // GIR_Coverage, 4293,
     /*  590706 */     GIR_EraseRootFromParent_Done,
     /*  590707 */   // Label 9593: @590707
     /*  590707 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(590782), // Rule ID 4300 //
     /*  590712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590780 */     GIR_RootConstrainSelectedInstOperands,
     /*  590781 */     // GIR_Coverage, 4300,
     /*  590781 */     GIR_EraseRootFromParent_Done,
     /*  590782 */   // Label 9594: @590782
     /*  590782 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590857), // Rule ID 4301 //
     /*  590787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590855 */     GIR_RootConstrainSelectedInstOperands,
     /*  590856 */     // GIR_Coverage, 4301,
     /*  590856 */     GIR_EraseRootFromParent_Done,
     /*  590857 */   // Label 9595: @590857
     /*  590857 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590932), // Rule ID 4304 //
     /*  590862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590930 */     GIR_RootConstrainSelectedInstOperands,
     /*  590931 */     // GIR_Coverage, 4304,
     /*  590931 */     GIR_EraseRootFromParent_Done,
     /*  590932 */   // Label 9596: @590932
     /*  590932 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(591007), // Rule ID 4305 //
     /*  590937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591005 */     GIR_RootConstrainSelectedInstOperands,
     /*  591006 */     // GIR_Coverage, 4305,
     /*  591006 */     GIR_EraseRootFromParent_Done,
     /*  591007 */   // Label 9597: @591007
     /*  591007 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(591082), // Rule ID 4308 //
     /*  591012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591080 */     GIR_RootConstrainSelectedInstOperands,
     /*  591081 */     // GIR_Coverage, 4308,
     /*  591081 */     GIR_EraseRootFromParent_Done,
     /*  591082 */   // Label 9598: @591082
     /*  591082 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(591157), // Rule ID 4309 //
     /*  591087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591155 */     GIR_RootConstrainSelectedInstOperands,
     /*  591156 */     // GIR_Coverage, 4309,
     /*  591156 */     GIR_EraseRootFromParent_Done,
     /*  591157 */   // Label 9599: @591157
     /*  591157 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(591232), // Rule ID 4312 //
     /*  591162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591230 */     GIR_RootConstrainSelectedInstOperands,
     /*  591231 */     // GIR_Coverage, 4312,
     /*  591231 */     GIR_EraseRootFromParent_Done,
     /*  591232 */   // Label 9600: @591232
     /*  591232 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(591307), // Rule ID 4313 //
     /*  591237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591305 */     GIR_RootConstrainSelectedInstOperands,
     /*  591306 */     // GIR_Coverage, 4313,
     /*  591306 */     GIR_EraseRootFromParent_Done,
     /*  591307 */   // Label 9601: @591307
     /*  591307 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(591382), // Rule ID 4316 //
     /*  591312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591358 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591380 */     GIR_RootConstrainSelectedInstOperands,
     /*  591381 */     // GIR_Coverage, 4316,
     /*  591381 */     GIR_EraseRootFromParent_Done,
     /*  591382 */   // Label 9602: @591382
     /*  591382 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(591457), // Rule ID 4317 //
     /*  591387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591433 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591455 */     GIR_RootConstrainSelectedInstOperands,
     /*  591456 */     // GIR_Coverage, 4317,
     /*  591456 */     GIR_EraseRootFromParent_Done,
     /*  591457 */   // Label 9603: @591457
     /*  591457 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(591532), // Rule ID 4320 //
     /*  591462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591508 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591530 */     GIR_RootConstrainSelectedInstOperands,
     /*  591531 */     // GIR_Coverage, 4320,
     /*  591531 */     GIR_EraseRootFromParent_Done,
     /*  591532 */   // Label 9604: @591532
     /*  591532 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(591607), // Rule ID 4321 //
     /*  591537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591605 */     GIR_RootConstrainSelectedInstOperands,
     /*  591606 */     // GIR_Coverage, 4321,
     /*  591606 */     GIR_EraseRootFromParent_Done,
     /*  591607 */   // Label 9605: @591607
     /*  591607 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(591682), // Rule ID 4324 //
     /*  591612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591680 */     GIR_RootConstrainSelectedInstOperands,
     /*  591681 */     // GIR_Coverage, 4324,
     /*  591681 */     GIR_EraseRootFromParent_Done,
     /*  591682 */   // Label 9606: @591682
     /*  591682 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(591757), // Rule ID 4325 //
     /*  591687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591755 */     GIR_RootConstrainSelectedInstOperands,
     /*  591756 */     // GIR_Coverage, 4325,
     /*  591756 */     GIR_EraseRootFromParent_Done,
     /*  591757 */   // Label 9607: @591757
     /*  591757 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591832), // Rule ID 4328 //
     /*  591762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591830 */     GIR_RootConstrainSelectedInstOperands,
     /*  591831 */     // GIR_Coverage, 4328,
     /*  591831 */     GIR_EraseRootFromParent_Done,
     /*  591832 */   // Label 9608: @591832
     /*  591832 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591907), // Rule ID 4329 //
     /*  591837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591905 */     GIR_RootConstrainSelectedInstOperands,
     /*  591906 */     // GIR_Coverage, 4329,
     /*  591906 */     GIR_EraseRootFromParent_Done,
     /*  591907 */   // Label 9609: @591907
     /*  591907 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591982), // Rule ID 4332 //
     /*  591912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591980 */     GIR_RootConstrainSelectedInstOperands,
     /*  591981 */     // GIR_Coverage, 4332,
     /*  591981 */     GIR_EraseRootFromParent_Done,
     /*  591982 */   // Label 9610: @591982
     /*  591982 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(592057), // Rule ID 4333 //
     /*  591987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592055 */     GIR_RootConstrainSelectedInstOperands,
     /*  592056 */     // GIR_Coverage, 4333,
     /*  592056 */     GIR_EraseRootFromParent_Done,
     /*  592057 */   // Label 9611: @592057
     /*  592057 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(592132), // Rule ID 4336 //
     /*  592062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592130 */     GIR_RootConstrainSelectedInstOperands,
     /*  592131 */     // GIR_Coverage, 4336,
     /*  592131 */     GIR_EraseRootFromParent_Done,
     /*  592132 */   // Label 9612: @592132
     /*  592132 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(592207), // Rule ID 4337 //
     /*  592137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592205 */     GIR_RootConstrainSelectedInstOperands,
     /*  592206 */     // GIR_Coverage, 4337,
     /*  592206 */     GIR_EraseRootFromParent_Done,
     /*  592207 */   // Label 9613: @592207
     /*  592207 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(592282), // Rule ID 4340 //
     /*  592212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592280 */     GIR_RootConstrainSelectedInstOperands,
     /*  592281 */     // GIR_Coverage, 4340,
     /*  592281 */     GIR_EraseRootFromParent_Done,
     /*  592282 */   // Label 9614: @592282
     /*  592282 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(592357), // Rule ID 4341 //
     /*  592287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592333 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592355 */     GIR_RootConstrainSelectedInstOperands,
     /*  592356 */     // GIR_Coverage, 4341,
     /*  592356 */     GIR_EraseRootFromParent_Done,
     /*  592357 */   // Label 9615: @592357
     /*  592357 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(592432), // Rule ID 4344 //
     /*  592362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592430 */     GIR_RootConstrainSelectedInstOperands,
     /*  592431 */     // GIR_Coverage, 4344,
     /*  592431 */     GIR_EraseRootFromParent_Done,
     /*  592432 */   // Label 9616: @592432
     /*  592432 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(592507), // Rule ID 4345 //
     /*  592437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592505 */     GIR_RootConstrainSelectedInstOperands,
     /*  592506 */     // GIR_Coverage, 4345,
     /*  592506 */     GIR_EraseRootFromParent_Done,
     /*  592507 */   // Label 9617: @592507
     /*  592507 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(592582), // Rule ID 4348 //
     /*  592512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592580 */     GIR_RootConstrainSelectedInstOperands,
     /*  592581 */     // GIR_Coverage, 4348,
     /*  592581 */     GIR_EraseRootFromParent_Done,
     /*  592582 */   // Label 9618: @592582
     /*  592582 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(592657), // Rule ID 4349 //
     /*  592587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592655 */     GIR_RootConstrainSelectedInstOperands,
     /*  592656 */     // GIR_Coverage, 4349,
     /*  592656 */     GIR_EraseRootFromParent_Done,
     /*  592657 */   // Label 9619: @592657
     /*  592657 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(592732), // Rule ID 4352 //
     /*  592662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592730 */     GIR_RootConstrainSelectedInstOperands,
     /*  592731 */     // GIR_Coverage, 4352,
     /*  592731 */     GIR_EraseRootFromParent_Done,
     /*  592732 */   // Label 9620: @592732
     /*  592732 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592807), // Rule ID 4353 //
     /*  592737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592805 */     GIR_RootConstrainSelectedInstOperands,
     /*  592806 */     // GIR_Coverage, 4353,
     /*  592806 */     GIR_EraseRootFromParent_Done,
     /*  592807 */   // Label 9621: @592807
     /*  592807 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592882), // Rule ID 4356 //
     /*  592812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592880 */     GIR_RootConstrainSelectedInstOperands,
     /*  592881 */     // GIR_Coverage, 4356,
     /*  592881 */     GIR_EraseRootFromParent_Done,
     /*  592882 */   // Label 9622: @592882
     /*  592882 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592957), // Rule ID 4357 //
     /*  592887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592933 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592955 */     GIR_RootConstrainSelectedInstOperands,
     /*  592956 */     // GIR_Coverage, 4357,
     /*  592956 */     GIR_EraseRootFromParent_Done,
     /*  592957 */   // Label 9623: @592957
     /*  592957 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(593032), // Rule ID 4362 //
     /*  592962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  593011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593030 */     GIR_RootConstrainSelectedInstOperands,
     /*  593031 */     // GIR_Coverage, 4362,
     /*  593031 */     GIR_EraseRootFromParent_Done,
     /*  593032 */   // Label 9624: @593032
     /*  593032 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(593107), // Rule ID 4363 //
     /*  593037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  593057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593083 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  593086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593105 */     GIR_RootConstrainSelectedInstOperands,
     /*  593106 */     // GIR_Coverage, 4363,
     /*  593106 */     GIR_EraseRootFromParent_Done,
     /*  593107 */   // Label 9625: @593107
     /*  593107 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(593182), // Rule ID 4372 //
     /*  593112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593180 */     GIR_RootConstrainSelectedInstOperands,
     /*  593181 */     // GIR_Coverage, 4372,
     /*  593181 */     GIR_EraseRootFromParent_Done,
     /*  593182 */   // Label 9626: @593182
     /*  593182 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(593257), // Rule ID 4373 //
     /*  593187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593255 */     GIR_RootConstrainSelectedInstOperands,
     /*  593256 */     // GIR_Coverage, 4373,
     /*  593256 */     GIR_EraseRootFromParent_Done,
     /*  593257 */   // Label 9627: @593257
     /*  593257 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(593332), // Rule ID 4382 //
     /*  593262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593330 */     GIR_RootConstrainSelectedInstOperands,
     /*  593331 */     // GIR_Coverage, 4382,
     /*  593331 */     GIR_EraseRootFromParent_Done,
     /*  593332 */   // Label 9628: @593332
     /*  593332 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(593407), // Rule ID 4383 //
     /*  593337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593405 */     GIR_RootConstrainSelectedInstOperands,
     /*  593406 */     // GIR_Coverage, 4383,
     /*  593406 */     GIR_EraseRootFromParent_Done,
     /*  593407 */   // Label 9629: @593407
     /*  593407 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(593482), // Rule ID 4392 //
     /*  593412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593480 */     GIR_RootConstrainSelectedInstOperands,
     /*  593481 */     // GIR_Coverage, 4392,
     /*  593481 */     GIR_EraseRootFromParent_Done,
     /*  593482 */   // Label 9630: @593482
     /*  593482 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(593557), // Rule ID 4393 //
     /*  593487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593555 */     GIR_RootConstrainSelectedInstOperands,
     /*  593556 */     // GIR_Coverage, 4393,
     /*  593556 */     GIR_EraseRootFromParent_Done,
     /*  593557 */   // Label 9631: @593557
     /*  593557 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(593632), // Rule ID 4402 //
     /*  593562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593630 */     GIR_RootConstrainSelectedInstOperands,
     /*  593631 */     // GIR_Coverage, 4402,
     /*  593631 */     GIR_EraseRootFromParent_Done,
     /*  593632 */   // Label 9632: @593632
     /*  593632 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(593707), // Rule ID 4403 //
     /*  593637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593705 */     GIR_RootConstrainSelectedInstOperands,
     /*  593706 */     // GIR_Coverage, 4403,
     /*  593706 */     GIR_EraseRootFromParent_Done,
     /*  593707 */   // Label 9633: @593707
     /*  593707 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(593782), // Rule ID 4412 //
     /*  593712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593780 */     GIR_RootConstrainSelectedInstOperands,
     /*  593781 */     // GIR_Coverage, 4412,
     /*  593781 */     GIR_EraseRootFromParent_Done,
     /*  593782 */   // Label 9634: @593782
     /*  593782 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593857), // Rule ID 4413 //
     /*  593787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593855 */     GIR_RootConstrainSelectedInstOperands,
     /*  593856 */     // GIR_Coverage, 4413,
     /*  593856 */     GIR_EraseRootFromParent_Done,
     /*  593857 */   // Label 9635: @593857
     /*  593857 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593932), // Rule ID 4422 //
     /*  593862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593930 */     GIR_RootConstrainSelectedInstOperands,
     /*  593931 */     // GIR_Coverage, 4422,
     /*  593931 */     GIR_EraseRootFromParent_Done,
     /*  593932 */   // Label 9636: @593932
     /*  593932 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(594007), // Rule ID 4423 //
     /*  593937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594005 */     GIR_RootConstrainSelectedInstOperands,
     /*  594006 */     // GIR_Coverage, 4423,
     /*  594006 */     GIR_EraseRootFromParent_Done,
     /*  594007 */   // Label 9637: @594007
     /*  594007 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(594082), // Rule ID 4432 //
     /*  594012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594080 */     GIR_RootConstrainSelectedInstOperands,
     /*  594081 */     // GIR_Coverage, 4432,
     /*  594081 */     GIR_EraseRootFromParent_Done,
     /*  594082 */   // Label 9638: @594082
     /*  594082 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(594157), // Rule ID 4433 //
     /*  594087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594155 */     GIR_RootConstrainSelectedInstOperands,
     /*  594156 */     // GIR_Coverage, 4433,
     /*  594156 */     GIR_EraseRootFromParent_Done,
     /*  594157 */   // Label 9639: @594157
     /*  594157 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(594232), // Rule ID 4442 //
     /*  594162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594230 */     GIR_RootConstrainSelectedInstOperands,
     /*  594231 */     // GIR_Coverage, 4442,
     /*  594231 */     GIR_EraseRootFromParent_Done,
     /*  594232 */   // Label 9640: @594232
     /*  594232 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(594307), // Rule ID 4443 //
     /*  594237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594305 */     GIR_RootConstrainSelectedInstOperands,
     /*  594306 */     // GIR_Coverage, 4443,
     /*  594306 */     GIR_EraseRootFromParent_Done,
     /*  594307 */   // Label 9641: @594307
     /*  594307 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(594382), // Rule ID 4452 //
     /*  594312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594380 */     GIR_RootConstrainSelectedInstOperands,
     /*  594381 */     // GIR_Coverage, 4452,
     /*  594381 */     GIR_EraseRootFromParent_Done,
     /*  594382 */   // Label 9642: @594382
     /*  594382 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(594457), // Rule ID 4453 //
     /*  594387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594455 */     GIR_RootConstrainSelectedInstOperands,
     /*  594456 */     // GIR_Coverage, 4453,
     /*  594456 */     GIR_EraseRootFromParent_Done,
     /*  594457 */   // Label 9643: @594457
     /*  594457 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(594532), // Rule ID 4462 //
     /*  594462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594530 */     GIR_RootConstrainSelectedInstOperands,
     /*  594531 */     // GIR_Coverage, 4462,
     /*  594531 */     GIR_EraseRootFromParent_Done,
     /*  594532 */   // Label 9644: @594532
     /*  594532 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(594607), // Rule ID 4463 //
     /*  594537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594605 */     GIR_RootConstrainSelectedInstOperands,
     /*  594606 */     // GIR_Coverage, 4463,
     /*  594606 */     GIR_EraseRootFromParent_Done,
     /*  594607 */   // Label 9645: @594607
     /*  594607 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(594682), // Rule ID 4472 //
     /*  594612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594680 */     GIR_RootConstrainSelectedInstOperands,
     /*  594681 */     // GIR_Coverage, 4472,
     /*  594681 */     GIR_EraseRootFromParent_Done,
     /*  594682 */   // Label 9646: @594682
     /*  594682 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(594757), // Rule ID 4473 //
     /*  594687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594755 */     GIR_RootConstrainSelectedInstOperands,
     /*  594756 */     // GIR_Coverage, 4473,
     /*  594756 */     GIR_EraseRootFromParent_Done,
     /*  594757 */   // Label 9647: @594757
     /*  594757 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594832), // Rule ID 4482 //
     /*  594762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594830 */     GIR_RootConstrainSelectedInstOperands,
     /*  594831 */     // GIR_Coverage, 4482,
     /*  594831 */     GIR_EraseRootFromParent_Done,
     /*  594832 */   // Label 9648: @594832
     /*  594832 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594907), // Rule ID 4483 //
     /*  594837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594905 */     GIR_RootConstrainSelectedInstOperands,
     /*  594906 */     // GIR_Coverage, 4483,
     /*  594906 */     GIR_EraseRootFromParent_Done,
     /*  594907 */   // Label 9649: @594907
     /*  594907 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594982), // Rule ID 4492 //
     /*  594912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594980 */     GIR_RootConstrainSelectedInstOperands,
     /*  594981 */     // GIR_Coverage, 4492,
     /*  594981 */     GIR_EraseRootFromParent_Done,
     /*  594982 */   // Label 9650: @594982
     /*  594982 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(595057), // Rule ID 4493 //
     /*  594987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  595007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  595036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595055 */     GIR_RootConstrainSelectedInstOperands,
     /*  595056 */     // GIR_Coverage, 4493,
     /*  595056 */     GIR_EraseRootFromParent_Done,
     /*  595057 */   // Label 9651: @595057
     /*  595057 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(595132), // Rule ID 4502 //
     /*  595062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595130 */     GIR_RootConstrainSelectedInstOperands,
     /*  595131 */     // GIR_Coverage, 4502,
     /*  595131 */     GIR_EraseRootFromParent_Done,
     /*  595132 */   // Label 9652: @595132
     /*  595132 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(595207), // Rule ID 4503 //
     /*  595137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595183 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595205 */     GIR_RootConstrainSelectedInstOperands,
     /*  595206 */     // GIR_Coverage, 4503,
     /*  595206 */     GIR_EraseRootFromParent_Done,
     /*  595207 */   // Label 9653: @595207
     /*  595207 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(595282), // Rule ID 4510 //
     /*  595212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  595261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595280 */     GIR_RootConstrainSelectedInstOperands,
     /*  595281 */     // GIR_Coverage, 4510,
     /*  595281 */     GIR_EraseRootFromParent_Done,
     /*  595282 */   // Label 9654: @595282
     /*  595282 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(595357), // Rule ID 4511 //
     /*  595287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  595336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595355 */     GIR_RootConstrainSelectedInstOperands,
     /*  595356 */     // GIR_Coverage, 4511,
     /*  595356 */     GIR_EraseRootFromParent_Done,
     /*  595357 */   // Label 9655: @595357
     /*  595357 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(595432), // Rule ID 4514 //
     /*  595362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595430 */     GIR_RootConstrainSelectedInstOperands,
     /*  595431 */     // GIR_Coverage, 4514,
     /*  595431 */     GIR_EraseRootFromParent_Done,
     /*  595432 */   // Label 9656: @595432
     /*  595432 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(595507), // Rule ID 4515 //
     /*  595437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595505 */     GIR_RootConstrainSelectedInstOperands,
     /*  595506 */     // GIR_Coverage, 4515,
     /*  595506 */     GIR_EraseRootFromParent_Done,
     /*  595507 */   // Label 9657: @595507
     /*  595507 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(595582), // Rule ID 4518 //
     /*  595512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595580 */     GIR_RootConstrainSelectedInstOperands,
     /*  595581 */     // GIR_Coverage, 4518,
     /*  595581 */     GIR_EraseRootFromParent_Done,
     /*  595582 */   // Label 9658: @595582
     /*  595582 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(595657), // Rule ID 4519 //
     /*  595587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595655 */     GIR_RootConstrainSelectedInstOperands,
     /*  595656 */     // GIR_Coverage, 4519,
     /*  595656 */     GIR_EraseRootFromParent_Done,
     /*  595657 */   // Label 9659: @595657
     /*  595657 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(595732), // Rule ID 4522 //
     /*  595662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595730 */     GIR_RootConstrainSelectedInstOperands,
     /*  595731 */     // GIR_Coverage, 4522,
     /*  595731 */     GIR_EraseRootFromParent_Done,
     /*  595732 */   // Label 9660: @595732
     /*  595732 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595807), // Rule ID 4523 //
     /*  595737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595805 */     GIR_RootConstrainSelectedInstOperands,
     /*  595806 */     // GIR_Coverage, 4523,
     /*  595806 */     GIR_EraseRootFromParent_Done,
     /*  595807 */   // Label 9661: @595807
     /*  595807 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595882), // Rule ID 4526 //
     /*  595812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595880 */     GIR_RootConstrainSelectedInstOperands,
     /*  595881 */     // GIR_Coverage, 4526,
     /*  595881 */     GIR_EraseRootFromParent_Done,
     /*  595882 */   // Label 9662: @595882
     /*  595882 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595957), // Rule ID 4527 //
     /*  595887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595933 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595955 */     GIR_RootConstrainSelectedInstOperands,
     /*  595956 */     // GIR_Coverage, 4527,
     /*  595956 */     GIR_EraseRootFromParent_Done,
     /*  595957 */   // Label 9663: @595957
     /*  595957 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(596032), // Rule ID 4530 //
     /*  595962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596008 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596030 */     GIR_RootConstrainSelectedInstOperands,
     /*  596031 */     // GIR_Coverage, 4530,
     /*  596031 */     GIR_EraseRootFromParent_Done,
     /*  596032 */   // Label 9664: @596032
     /*  596032 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(596107), // Rule ID 4531 //
     /*  596037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596105 */     GIR_RootConstrainSelectedInstOperands,
     /*  596106 */     // GIR_Coverage, 4531,
     /*  596106 */     GIR_EraseRootFromParent_Done,
     /*  596107 */   // Label 9665: @596107
     /*  596107 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(596182), // Rule ID 4534 //
     /*  596112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596180 */     GIR_RootConstrainSelectedInstOperands,
     /*  596181 */     // GIR_Coverage, 4534,
     /*  596181 */     GIR_EraseRootFromParent_Done,
     /*  596182 */   // Label 9666: @596182
     /*  596182 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(596257), // Rule ID 4535 //
     /*  596187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596255 */     GIR_RootConstrainSelectedInstOperands,
     /*  596256 */     // GIR_Coverage, 4535,
     /*  596256 */     GIR_EraseRootFromParent_Done,
     /*  596257 */   // Label 9667: @596257
     /*  596257 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(596332), // Rule ID 4538 //
     /*  596262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596330 */     GIR_RootConstrainSelectedInstOperands,
     /*  596331 */     // GIR_Coverage, 4538,
     /*  596331 */     GIR_EraseRootFromParent_Done,
     /*  596332 */   // Label 9668: @596332
     /*  596332 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(596407), // Rule ID 4539 //
     /*  596337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596405 */     GIR_RootConstrainSelectedInstOperands,
     /*  596406 */     // GIR_Coverage, 4539,
     /*  596406 */     GIR_EraseRootFromParent_Done,
     /*  596407 */   // Label 9669: @596407
     /*  596407 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(596482), // Rule ID 4542 //
     /*  596412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596480 */     GIR_RootConstrainSelectedInstOperands,
     /*  596481 */     // GIR_Coverage, 4542,
     /*  596481 */     GIR_EraseRootFromParent_Done,
     /*  596482 */   // Label 9670: @596482
     /*  596482 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(596557), // Rule ID 4543 //
     /*  596487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596555 */     GIR_RootConstrainSelectedInstOperands,
     /*  596556 */     // GIR_Coverage, 4543,
     /*  596556 */     GIR_EraseRootFromParent_Done,
     /*  596557 */   // Label 9671: @596557
     /*  596557 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(596632), // Rule ID 4546 //
     /*  596562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596630 */     GIR_RootConstrainSelectedInstOperands,
     /*  596631 */     // GIR_Coverage, 4546,
     /*  596631 */     GIR_EraseRootFromParent_Done,
     /*  596632 */   // Label 9672: @596632
     /*  596632 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(596707), // Rule ID 4547 //
     /*  596637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596705 */     GIR_RootConstrainSelectedInstOperands,
     /*  596706 */     // GIR_Coverage, 4547,
     /*  596706 */     GIR_EraseRootFromParent_Done,
     /*  596707 */   // Label 9673: @596707
     /*  596707 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(596782), // Rule ID 4550 //
     /*  596712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596780 */     GIR_RootConstrainSelectedInstOperands,
     /*  596781 */     // GIR_Coverage, 4550,
     /*  596781 */     GIR_EraseRootFromParent_Done,
     /*  596782 */   // Label 9674: @596782
     /*  596782 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596857), // Rule ID 4551 //
     /*  596787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596855 */     GIR_RootConstrainSelectedInstOperands,
     /*  596856 */     // GIR_Coverage, 4551,
     /*  596856 */     GIR_EraseRootFromParent_Done,
     /*  596857 */   // Label 9675: @596857
     /*  596857 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596932), // Rule ID 4554 //
     /*  596862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596930 */     GIR_RootConstrainSelectedInstOperands,
     /*  596931 */     // GIR_Coverage, 4554,
     /*  596931 */     GIR_EraseRootFromParent_Done,
     /*  596932 */   // Label 9676: @596932
     /*  596932 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(597007), // Rule ID 4555 //
     /*  596937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597005 */     GIR_RootConstrainSelectedInstOperands,
     /*  597006 */     // GIR_Coverage, 4555,
     /*  597006 */     GIR_EraseRootFromParent_Done,
     /*  597007 */   // Label 9677: @597007
     /*  597007 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(597082), // Rule ID 4558 //
     /*  597012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597080 */     GIR_RootConstrainSelectedInstOperands,
     /*  597081 */     // GIR_Coverage, 4558,
     /*  597081 */     GIR_EraseRootFromParent_Done,
     /*  597082 */   // Label 9678: @597082
     /*  597082 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(597157), // Rule ID 4559 //
     /*  597087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597155 */     GIR_RootConstrainSelectedInstOperands,
     /*  597156 */     // GIR_Coverage, 4559,
     /*  597156 */     GIR_EraseRootFromParent_Done,
     /*  597157 */   // Label 9679: @597157
     /*  597157 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(597232), // Rule ID 4562 //
     /*  597162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597230 */     GIR_RootConstrainSelectedInstOperands,
     /*  597231 */     // GIR_Coverage, 4562,
     /*  597231 */     GIR_EraseRootFromParent_Done,
     /*  597232 */   // Label 9680: @597232
     /*  597232 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(597307), // Rule ID 4563 //
     /*  597237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597305 */     GIR_RootConstrainSelectedInstOperands,
     /*  597306 */     // GIR_Coverage, 4563,
     /*  597306 */     GIR_EraseRootFromParent_Done,
     /*  597307 */   // Label 9681: @597307
     /*  597307 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(597382), // Rule ID 4566 //
     /*  597312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  597361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597380 */     GIR_RootConstrainSelectedInstOperands,
     /*  597381 */     // GIR_Coverage, 4566,
     /*  597381 */     GIR_EraseRootFromParent_Done,
     /*  597382 */   // Label 9682: @597382
     /*  597382 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(597457), // Rule ID 4567 //
     /*  597387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  597436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597455 */     GIR_RootConstrainSelectedInstOperands,
     /*  597456 */     // GIR_Coverage, 4567,
     /*  597456 */     GIR_EraseRootFromParent_Done,
     /*  597457 */   // Label 9683: @597457
     /*  597457 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(597532), // Rule ID 4572 //
     /*  597462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597530 */     GIR_RootConstrainSelectedInstOperands,
     /*  597531 */     // GIR_Coverage, 4572,
     /*  597531 */     GIR_EraseRootFromParent_Done,
     /*  597532 */   // Label 9684: @597532
     /*  597532 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(597607), // Rule ID 4573 //
     /*  597537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597605 */     GIR_RootConstrainSelectedInstOperands,
     /*  597606 */     // GIR_Coverage, 4573,
     /*  597606 */     GIR_EraseRootFromParent_Done,
     /*  597607 */   // Label 9685: @597607
     /*  597607 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(597682), // Rule ID 4582 //
     /*  597612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597680 */     GIR_RootConstrainSelectedInstOperands,
     /*  597681 */     // GIR_Coverage, 4582,
     /*  597681 */     GIR_EraseRootFromParent_Done,
     /*  597682 */   // Label 9686: @597682
     /*  597682 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(597757), // Rule ID 4583 //
     /*  597687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597755 */     GIR_RootConstrainSelectedInstOperands,
     /*  597756 */     // GIR_Coverage, 4583,
     /*  597756 */     GIR_EraseRootFromParent_Done,
     /*  597757 */   // Label 9687: @597757
     /*  597757 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597832), // Rule ID 4592 //
     /*  597762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597830 */     GIR_RootConstrainSelectedInstOperands,
     /*  597831 */     // GIR_Coverage, 4592,
     /*  597831 */     GIR_EraseRootFromParent_Done,
     /*  597832 */   // Label 9688: @597832
     /*  597832 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597907), // Rule ID 4593 //
     /*  597837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597905 */     GIR_RootConstrainSelectedInstOperands,
     /*  597906 */     // GIR_Coverage, 4593,
     /*  597906 */     GIR_EraseRootFromParent_Done,
     /*  597907 */   // Label 9689: @597907
     /*  597907 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597982), // Rule ID 4602 //
     /*  597912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597980 */     GIR_RootConstrainSelectedInstOperands,
     /*  597981 */     // GIR_Coverage, 4602,
     /*  597981 */     GIR_EraseRootFromParent_Done,
     /*  597982 */   // Label 9690: @597982
     /*  597982 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(598057), // Rule ID 4603 //
     /*  597987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  598001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  598004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  598007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598055 */     GIR_RootConstrainSelectedInstOperands,
     /*  598056 */     // GIR_Coverage, 4603,
     /*  598056 */     GIR_EraseRootFromParent_Done,
     /*  598057 */   // Label 9691: @598057
     /*  598057 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(598132), // Rule ID 4612 //
     /*  598062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598130 */     GIR_RootConstrainSelectedInstOperands,
     /*  598131 */     // GIR_Coverage, 4612,
     /*  598131 */     GIR_EraseRootFromParent_Done,
     /*  598132 */   // Label 9692: @598132
     /*  598132 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(598207), // Rule ID 4613 //
     /*  598137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598205 */     GIR_RootConstrainSelectedInstOperands,
     /*  598206 */     // GIR_Coverage, 4613,
     /*  598206 */     GIR_EraseRootFromParent_Done,
     /*  598207 */   // Label 9693: @598207
     /*  598207 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(598282), // Rule ID 4622 //
     /*  598212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598280 */     GIR_RootConstrainSelectedInstOperands,
     /*  598281 */     // GIR_Coverage, 4622,
     /*  598281 */     GIR_EraseRootFromParent_Done,
     /*  598282 */   // Label 9694: @598282
     /*  598282 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(598357), // Rule ID 4623 //
     /*  598287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598355 */     GIR_RootConstrainSelectedInstOperands,
     /*  598356 */     // GIR_Coverage, 4623,
     /*  598356 */     GIR_EraseRootFromParent_Done,
     /*  598357 */   // Label 9695: @598357
     /*  598357 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(598432), // Rule ID 4632 //
     /*  598362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598430 */     GIR_RootConstrainSelectedInstOperands,
     /*  598431 */     // GIR_Coverage, 4632,
     /*  598431 */     GIR_EraseRootFromParent_Done,
     /*  598432 */   // Label 9696: @598432
     /*  598432 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(598507), // Rule ID 4633 //
     /*  598437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598505 */     GIR_RootConstrainSelectedInstOperands,
     /*  598506 */     // GIR_Coverage, 4633,
     /*  598506 */     GIR_EraseRootFromParent_Done,
     /*  598507 */   // Label 9697: @598507
     /*  598507 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(598582), // Rule ID 4642 //
     /*  598512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598580 */     GIR_RootConstrainSelectedInstOperands,
     /*  598581 */     // GIR_Coverage, 4642,
     /*  598581 */     GIR_EraseRootFromParent_Done,
     /*  598582 */   // Label 9698: @598582
     /*  598582 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(598657), // Rule ID 4643 //
     /*  598587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598655 */     GIR_RootConstrainSelectedInstOperands,
     /*  598656 */     // GIR_Coverage, 4643,
     /*  598656 */     GIR_EraseRootFromParent_Done,
     /*  598657 */   // Label 9699: @598657
     /*  598657 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(598732), // Rule ID 4652 //
     /*  598662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598730 */     GIR_RootConstrainSelectedInstOperands,
     /*  598731 */     // GIR_Coverage, 4652,
     /*  598731 */     GIR_EraseRootFromParent_Done,
     /*  598732 */   // Label 9700: @598732
     /*  598732 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598807), // Rule ID 4653 //
     /*  598737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598805 */     GIR_RootConstrainSelectedInstOperands,
     /*  598806 */     // GIR_Coverage, 4653,
     /*  598806 */     GIR_EraseRootFromParent_Done,
     /*  598807 */   // Label 9701: @598807
     /*  598807 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598882), // Rule ID 4662 //
     /*  598812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598880 */     GIR_RootConstrainSelectedInstOperands,
     /*  598881 */     // GIR_Coverage, 4662,
     /*  598881 */     GIR_EraseRootFromParent_Done,
     /*  598882 */   // Label 9702: @598882
     /*  598882 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598957), // Rule ID 4663 //
     /*  598887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598955 */     GIR_RootConstrainSelectedInstOperands,
     /*  598956 */     // GIR_Coverage, 4663,
     /*  598956 */     GIR_EraseRootFromParent_Done,
     /*  598957 */   // Label 9703: @598957
     /*  598957 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(599032), // Rule ID 4672 //
     /*  598962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599030 */     GIR_RootConstrainSelectedInstOperands,
     /*  599031 */     // GIR_Coverage, 4672,
     /*  599031 */     GIR_EraseRootFromParent_Done,
     /*  599032 */   // Label 9704: @599032
     /*  599032 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(599107), // Rule ID 4673 //
     /*  599037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  599057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599105 */     GIR_RootConstrainSelectedInstOperands,
     /*  599106 */     // GIR_Coverage, 4673,
     /*  599106 */     GIR_EraseRootFromParent_Done,
     /*  599107 */   // Label 9705: @599107
     /*  599107 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(599182), // Rule ID 4682 //
     /*  599112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599180 */     GIR_RootConstrainSelectedInstOperands,
     /*  599181 */     // GIR_Coverage, 4682,
     /*  599181 */     GIR_EraseRootFromParent_Done,
     /*  599182 */   // Label 9706: @599182
     /*  599182 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(599257), // Rule ID 4683 //
     /*  599187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599255 */     GIR_RootConstrainSelectedInstOperands,
     /*  599256 */     // GIR_Coverage, 4683,
     /*  599256 */     GIR_EraseRootFromParent_Done,
     /*  599257 */   // Label 9707: @599257
     /*  599257 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(599332), // Rule ID 4692 //
     /*  599262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  599311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599330 */     GIR_RootConstrainSelectedInstOperands,
     /*  599331 */     // GIR_Coverage, 4692,
     /*  599331 */     GIR_EraseRootFromParent_Done,
     /*  599332 */   // Label 9708: @599332
     /*  599332 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(599407), // Rule ID 4693 //
     /*  599337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  599386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599405 */     GIR_RootConstrainSelectedInstOperands,
     /*  599406 */     // GIR_Coverage, 4693,
     /*  599406 */     GIR_EraseRootFromParent_Done,
     /*  599407 */   // Label 9709: @599407
     /*  599407 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(599482), // Rule ID 4702 //
     /*  599412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599458 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599480 */     GIR_RootConstrainSelectedInstOperands,
     /*  599481 */     // GIR_Coverage, 4702,
     /*  599481 */     GIR_EraseRootFromParent_Done,
     /*  599482 */   // Label 9710: @599482
     /*  599482 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(599557), // Rule ID 4703 //
     /*  599487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599533 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599555 */     GIR_RootConstrainSelectedInstOperands,
     /*  599556 */     // GIR_Coverage, 4703,
     /*  599556 */     GIR_EraseRootFromParent_Done,
     /*  599557 */   // Label 9711: @599557
     /*  599557 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(599632), // Rule ID 4712 //
     /*  599562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599608 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599630 */     GIR_RootConstrainSelectedInstOperands,
     /*  599631 */     // GIR_Coverage, 4712,
     /*  599631 */     GIR_EraseRootFromParent_Done,
     /*  599632 */   // Label 9712: @599632
     /*  599632 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(599707), // Rule ID 4713 //
     /*  599637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599705 */     GIR_RootConstrainSelectedInstOperands,
     /*  599706 */     // GIR_Coverage, 4713,
     /*  599706 */     GIR_EraseRootFromParent_Done,
     /*  599707 */   // Label 9713: @599707
     /*  599707 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(599782), // Rule ID 4720 //
     /*  599712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599780 */     GIR_RootConstrainSelectedInstOperands,
     /*  599781 */     // GIR_Coverage, 4720,
     /*  599781 */     GIR_EraseRootFromParent_Done,
     /*  599782 */   // Label 9714: @599782
     /*  599782 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599857), // Rule ID 4721 //
     /*  599787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599855 */     GIR_RootConstrainSelectedInstOperands,
     /*  599856 */     // GIR_Coverage, 4721,
     /*  599856 */     GIR_EraseRootFromParent_Done,
     /*  599857 */   // Label 9715: @599857
     /*  599857 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599932), // Rule ID 4724 //
     /*  599862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599930 */     GIR_RootConstrainSelectedInstOperands,
     /*  599931 */     // GIR_Coverage, 4724,
     /*  599931 */     GIR_EraseRootFromParent_Done,
     /*  599932 */   // Label 9716: @599932
     /*  599932 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(600007), // Rule ID 4725 //
     /*  599937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600005 */     GIR_RootConstrainSelectedInstOperands,
     /*  600006 */     // GIR_Coverage, 4725,
     /*  600006 */     GIR_EraseRootFromParent_Done,
     /*  600007 */   // Label 9717: @600007
     /*  600007 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(600082), // Rule ID 4728 //
     /*  600012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600080 */     GIR_RootConstrainSelectedInstOperands,
     /*  600081 */     // GIR_Coverage, 4728,
     /*  600081 */     GIR_EraseRootFromParent_Done,
     /*  600082 */   // Label 9718: @600082
     /*  600082 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(600157), // Rule ID 4729 //
     /*  600087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600155 */     GIR_RootConstrainSelectedInstOperands,
     /*  600156 */     // GIR_Coverage, 4729,
     /*  600156 */     GIR_EraseRootFromParent_Done,
     /*  600157 */   // Label 9719: @600157
     /*  600157 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(600232), // Rule ID 4732 //
     /*  600162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600230 */     GIR_RootConstrainSelectedInstOperands,
     /*  600231 */     // GIR_Coverage, 4732,
     /*  600231 */     GIR_EraseRootFromParent_Done,
     /*  600232 */   // Label 9720: @600232
     /*  600232 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(600307), // Rule ID 4733 //
     /*  600237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600305 */     GIR_RootConstrainSelectedInstOperands,
     /*  600306 */     // GIR_Coverage, 4733,
     /*  600306 */     GIR_EraseRootFromParent_Done,
     /*  600307 */   // Label 9721: @600307
     /*  600307 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(600382), // Rule ID 4736 //
     /*  600312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600358 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600380 */     GIR_RootConstrainSelectedInstOperands,
     /*  600381 */     // GIR_Coverage, 4736,
     /*  600381 */     GIR_EraseRootFromParent_Done,
     /*  600382 */   // Label 9722: @600382
     /*  600382 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(600457), // Rule ID 4737 //
     /*  600387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600433 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600455 */     GIR_RootConstrainSelectedInstOperands,
     /*  600456 */     // GIR_Coverage, 4737,
     /*  600456 */     GIR_EraseRootFromParent_Done,
     /*  600457 */   // Label 9723: @600457
     /*  600457 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(600532), // Rule ID 4740 //
     /*  600462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600508 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600530 */     GIR_RootConstrainSelectedInstOperands,
     /*  600531 */     // GIR_Coverage, 4740,
     /*  600531 */     GIR_EraseRootFromParent_Done,
     /*  600532 */   // Label 9724: @600532
     /*  600532 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(600607), // Rule ID 4741 //
     /*  600537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600605 */     GIR_RootConstrainSelectedInstOperands,
     /*  600606 */     // GIR_Coverage, 4741,
     /*  600606 */     GIR_EraseRootFromParent_Done,
     /*  600607 */   // Label 9725: @600607
     /*  600607 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(600682), // Rule ID 4744 //
     /*  600612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600680 */     GIR_RootConstrainSelectedInstOperands,
     /*  600681 */     // GIR_Coverage, 4744,
     /*  600681 */     GIR_EraseRootFromParent_Done,
     /*  600682 */   // Label 9726: @600682
     /*  600682 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(600757), // Rule ID 4745 //
     /*  600687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600755 */     GIR_RootConstrainSelectedInstOperands,
     /*  600756 */     // GIR_Coverage, 4745,
     /*  600756 */     GIR_EraseRootFromParent_Done,
     /*  600757 */   // Label 9727: @600757
     /*  600757 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600832), // Rule ID 4748 //
     /*  600762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600830 */     GIR_RootConstrainSelectedInstOperands,
     /*  600831 */     // GIR_Coverage, 4748,
     /*  600831 */     GIR_EraseRootFromParent_Done,
     /*  600832 */   // Label 9728: @600832
     /*  600832 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600907), // Rule ID 4749 //
     /*  600837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600905 */     GIR_RootConstrainSelectedInstOperands,
     /*  600906 */     // GIR_Coverage, 4749,
     /*  600906 */     GIR_EraseRootFromParent_Done,
     /*  600907 */   // Label 9729: @600907
     /*  600907 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600982), // Rule ID 4752 //
     /*  600912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600980 */     GIR_RootConstrainSelectedInstOperands,
     /*  600981 */     // GIR_Coverage, 4752,
     /*  600981 */     GIR_EraseRootFromParent_Done,
     /*  600982 */   // Label 9730: @600982
     /*  600982 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(601057), // Rule ID 4753 //
     /*  600987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  601004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601055 */     GIR_RootConstrainSelectedInstOperands,
     /*  601056 */     // GIR_Coverage, 4753,
     /*  601056 */     GIR_EraseRootFromParent_Done,
     /*  601057 */   // Label 9731: @601057
     /*  601057 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(601132), // Rule ID 4756 //
     /*  601062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601130 */     GIR_RootConstrainSelectedInstOperands,
     /*  601131 */     // GIR_Coverage, 4756,
     /*  601131 */     GIR_EraseRootFromParent_Done,
     /*  601132 */   // Label 9732: @601132
     /*  601132 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(601207), // Rule ID 4757 //
     /*  601137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601205 */     GIR_RootConstrainSelectedInstOperands,
     /*  601206 */     // GIR_Coverage, 4757,
     /*  601206 */     GIR_EraseRootFromParent_Done,
     /*  601207 */   // Label 9733: @601207
     /*  601207 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(601282), // Rule ID 4760 //
     /*  601212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601280 */     GIR_RootConstrainSelectedInstOperands,
     /*  601281 */     // GIR_Coverage, 4760,
     /*  601281 */     GIR_EraseRootFromParent_Done,
     /*  601282 */   // Label 9734: @601282
     /*  601282 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(601357), // Rule ID 4761 //
     /*  601287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601333 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601355 */     GIR_RootConstrainSelectedInstOperands,
     /*  601356 */     // GIR_Coverage, 4761,
     /*  601356 */     GIR_EraseRootFromParent_Done,
     /*  601357 */   // Label 9735: @601357
     /*  601357 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(601432), // Rule ID 4764 //
     /*  601362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601430 */     GIR_RootConstrainSelectedInstOperands,
     /*  601431 */     // GIR_Coverage, 4764,
     /*  601431 */     GIR_EraseRootFromParent_Done,
     /*  601432 */   // Label 9736: @601432
     /*  601432 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(601507), // Rule ID 4765 //
     /*  601437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601505 */     GIR_RootConstrainSelectedInstOperands,
     /*  601506 */     // GIR_Coverage, 4765,
     /*  601506 */     GIR_EraseRootFromParent_Done,
     /*  601507 */   // Label 9737: @601507
     /*  601507 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(601582), // Rule ID 4768 //
     /*  601512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601580 */     GIR_RootConstrainSelectedInstOperands,
     /*  601581 */     // GIR_Coverage, 4768,
     /*  601581 */     GIR_EraseRootFromParent_Done,
     /*  601582 */   // Label 9738: @601582
     /*  601582 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(601657), // Rule ID 4769 //
     /*  601587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601655 */     GIR_RootConstrainSelectedInstOperands,
     /*  601656 */     // GIR_Coverage, 4769,
     /*  601656 */     GIR_EraseRootFromParent_Done,
     /*  601657 */   // Label 9739: @601657
     /*  601657 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(601732), // Rule ID 4772 //
     /*  601662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601730 */     GIR_RootConstrainSelectedInstOperands,
     /*  601731 */     // GIR_Coverage, 4772,
     /*  601731 */     GIR_EraseRootFromParent_Done,
     /*  601732 */   // Label 9740: @601732
     /*  601732 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(601807), // Rule ID 4773 //
     /*  601737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601805 */     GIR_RootConstrainSelectedInstOperands,
     /*  601806 */     // GIR_Coverage, 4773,
     /*  601806 */     GIR_EraseRootFromParent_Done,
     /*  601807 */   // Label 9741: @601807
     /*  601807 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601882), // Rule ID 4776 //
     /*  601812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601880 */     GIR_RootConstrainSelectedInstOperands,
     /*  601881 */     // GIR_Coverage, 4776,
     /*  601881 */     GIR_EraseRootFromParent_Done,
     /*  601882 */   // Label 9742: @601882
     /*  601882 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601957), // Rule ID 4777 //
     /*  601887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601933 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601955 */     GIR_RootConstrainSelectedInstOperands,
     /*  601956 */     // GIR_Coverage, 4777,
     /*  601956 */     GIR_EraseRootFromParent_Done,
     /*  601957 */   // Label 9743: @601957
     /*  601957 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(602029), // Rule ID 5130 //
     /*  601962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602027 */     GIR_RootConstrainSelectedInstOperands,
     /*  602028 */     // GIR_Coverage, 5130,
     /*  602028 */     GIR_EraseRootFromParent_Done,
     /*  602029 */   // Label 9744: @602029
     /*  602029 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(602101), // Rule ID 5131 //
     /*  602034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  602048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  602051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602099 */     GIR_RootConstrainSelectedInstOperands,
     /*  602100 */     // GIR_Coverage, 5131,
     /*  602100 */     GIR_EraseRootFromParent_Done,
     /*  602101 */   // Label 9745: @602101
     /*  602101 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(602173), // Rule ID 5132 //
     /*  602106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602171 */     GIR_RootConstrainSelectedInstOperands,
     /*  602172 */     // GIR_Coverage, 5132,
     /*  602172 */     GIR_EraseRootFromParent_Done,
     /*  602173 */   // Label 9746: @602173
     /*  602173 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(602245), // Rule ID 5133 //
     /*  602178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602243 */     GIR_RootConstrainSelectedInstOperands,
     /*  602244 */     // GIR_Coverage, 5133,
     /*  602244 */     GIR_EraseRootFromParent_Done,
     /*  602245 */   // Label 9747: @602245
     /*  602245 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(602317), // Rule ID 5134 //
     /*  602250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602315 */     GIR_RootConstrainSelectedInstOperands,
     /*  602316 */     // GIR_Coverage, 5134,
     /*  602316 */     GIR_EraseRootFromParent_Done,
     /*  602317 */   // Label 9748: @602317
     /*  602317 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(602389), // Rule ID 5135 //
     /*  602322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602387 */     GIR_RootConstrainSelectedInstOperands,
     /*  602388 */     // GIR_Coverage, 5135,
     /*  602388 */     GIR_EraseRootFromParent_Done,
     /*  602389 */   // Label 9749: @602389
     /*  602389 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(602461), // Rule ID 5136 //
     /*  602394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602459 */     GIR_RootConstrainSelectedInstOperands,
     /*  602460 */     // GIR_Coverage, 5136,
     /*  602460 */     GIR_EraseRootFromParent_Done,
     /*  602461 */   // Label 9750: @602461
     /*  602461 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(602533), // Rule ID 5137 //
     /*  602466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602531 */     GIR_RootConstrainSelectedInstOperands,
     /*  602532 */     // GIR_Coverage, 5137,
     /*  602532 */     GIR_EraseRootFromParent_Done,
     /*  602533 */   // Label 9751: @602533
     /*  602533 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(602605), // Rule ID 5138 //
     /*  602538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602603 */     GIR_RootConstrainSelectedInstOperands,
     /*  602604 */     // GIR_Coverage, 5138,
     /*  602604 */     GIR_EraseRootFromParent_Done,
     /*  602605 */   // Label 9752: @602605
     /*  602605 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(602677), // Rule ID 5139 //
     /*  602610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602675 */     GIR_RootConstrainSelectedInstOperands,
     /*  602676 */     // GIR_Coverage, 5139,
     /*  602676 */     GIR_EraseRootFromParent_Done,
     /*  602677 */   // Label 9753: @602677
     /*  602677 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(602749), // Rule ID 5140 //
     /*  602682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602747 */     GIR_RootConstrainSelectedInstOperands,
     /*  602748 */     // GIR_Coverage, 5140,
     /*  602748 */     GIR_EraseRootFromParent_Done,
     /*  602749 */   // Label 9754: @602749
     /*  602749 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(602821), // Rule ID 5141 //
     /*  602754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602819 */     GIR_RootConstrainSelectedInstOperands,
     /*  602820 */     // GIR_Coverage, 5141,
     /*  602820 */     GIR_EraseRootFromParent_Done,
     /*  602821 */   // Label 9755: @602821
     /*  602821 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602893), // Rule ID 5142 //
     /*  602826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602891 */     GIR_RootConstrainSelectedInstOperands,
     /*  602892 */     // GIR_Coverage, 5142,
     /*  602892 */     GIR_EraseRootFromParent_Done,
     /*  602893 */   // Label 9756: @602893
     /*  602893 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602965), // Rule ID 5143 //
     /*  602898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602963 */     GIR_RootConstrainSelectedInstOperands,
     /*  602964 */     // GIR_Coverage, 5143,
     /*  602964 */     GIR_EraseRootFromParent_Done,
     /*  602965 */   // Label 9757: @602965
     /*  602965 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(603037), // Rule ID 5144 //
     /*  602970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603035 */     GIR_RootConstrainSelectedInstOperands,
     /*  603036 */     // GIR_Coverage, 5144,
     /*  603036 */     GIR_EraseRootFromParent_Done,
     /*  603037 */   // Label 9758: @603037
     /*  603037 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(603109), // Rule ID 5145 //
     /*  603042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603107 */     GIR_RootConstrainSelectedInstOperands,
     /*  603108 */     // GIR_Coverage, 5145,
     /*  603108 */     GIR_EraseRootFromParent_Done,
     /*  603109 */   // Label 9759: @603109
     /*  603109 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(603181), // Rule ID 5146 //
     /*  603114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  603160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603179 */     GIR_RootConstrainSelectedInstOperands,
     /*  603180 */     // GIR_Coverage, 5146,
     /*  603180 */     GIR_EraseRootFromParent_Done,
     /*  603181 */   // Label 9760: @603181
     /*  603181 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(603253), // Rule ID 5147 //
     /*  603186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  603232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603251 */     GIR_RootConstrainSelectedInstOperands,
     /*  603252 */     // GIR_Coverage, 5147,
     /*  603252 */     GIR_EraseRootFromParent_Done,
     /*  603253 */   // Label 9761: @603253
     /*  603253 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(603325), // Rule ID 5148 //
     /*  603258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603323 */     GIR_RootConstrainSelectedInstOperands,
     /*  603324 */     // GIR_Coverage, 5148,
     /*  603324 */     GIR_EraseRootFromParent_Done,
     /*  603325 */   // Label 9762: @603325
     /*  603325 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(603397), // Rule ID 5149 //
     /*  603330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603395 */     GIR_RootConstrainSelectedInstOperands,
     /*  603396 */     // GIR_Coverage, 5149,
     /*  603396 */     GIR_EraseRootFromParent_Done,
     /*  603397 */   // Label 9763: @603397
     /*  603397 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(603469), // Rule ID 5150 //
     /*  603402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603448 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603467 */     GIR_RootConstrainSelectedInstOperands,
     /*  603468 */     // GIR_Coverage, 5150,
     /*  603468 */     GIR_EraseRootFromParent_Done,
     /*  603469 */   // Label 9764: @603469
     /*  603469 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(603541), // Rule ID 5151 //
     /*  603474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603520 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603539 */     GIR_RootConstrainSelectedInstOperands,
     /*  603540 */     // GIR_Coverage, 5151,
     /*  603540 */     GIR_EraseRootFromParent_Done,
     /*  603541 */   // Label 9765: @603541
     /*  603541 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(603613), // Rule ID 5152 //
     /*  603546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603592 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603611 */     GIR_RootConstrainSelectedInstOperands,
     /*  603612 */     // GIR_Coverage, 5152,
     /*  603612 */     GIR_EraseRootFromParent_Done,
     /*  603613 */   // Label 9766: @603613
     /*  603613 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(603685), // Rule ID 5153 //
     /*  603618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603664 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603683 */     GIR_RootConstrainSelectedInstOperands,
     /*  603684 */     // GIR_Coverage, 5153,
     /*  603684 */     GIR_EraseRootFromParent_Done,
     /*  603685 */   // Label 9767: @603685
     /*  603685 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(603757), // Rule ID 5154 //
     /*  603690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603755 */     GIR_RootConstrainSelectedInstOperands,
     /*  603756 */     // GIR_Coverage, 5154,
     /*  603756 */     GIR_EraseRootFromParent_Done,
     /*  603757 */   // Label 9768: @603757
     /*  603757 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(603829), // Rule ID 5155 //
     /*  603762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603827 */     GIR_RootConstrainSelectedInstOperands,
     /*  603828 */     // GIR_Coverage, 5155,
     /*  603828 */     GIR_EraseRootFromParent_Done,
     /*  603829 */   // Label 9769: @603829
     /*  603829 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603901), // Rule ID 5156 //
     /*  603834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603899 */     GIR_RootConstrainSelectedInstOperands,
     /*  603900 */     // GIR_Coverage, 5156,
     /*  603900 */     GIR_EraseRootFromParent_Done,
     /*  603901 */   // Label 9770: @603901
     /*  603901 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603973), // Rule ID 5157 //
     /*  603906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603971 */     GIR_RootConstrainSelectedInstOperands,
     /*  603972 */     // GIR_Coverage, 5157,
     /*  603972 */     GIR_EraseRootFromParent_Done,
     /*  603973 */   // Label 9771: @603973
     /*  603973 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(604045), // Rule ID 5158 //
     /*  603978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604024 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  604024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604043 */     GIR_RootConstrainSelectedInstOperands,
     /*  604044 */     // GIR_Coverage, 5158,
     /*  604044 */     GIR_EraseRootFromParent_Done,
     /*  604045 */   // Label 9772: @604045
     /*  604045 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(604117), // Rule ID 5159 //
     /*  604050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604096 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604115 */     GIR_RootConstrainSelectedInstOperands,
     /*  604116 */     // GIR_Coverage, 5159,
     /*  604116 */     GIR_EraseRootFromParent_Done,
     /*  604117 */   // Label 9773: @604117
     /*  604117 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(604189), // Rule ID 5160 //
     /*  604122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604187 */     GIR_RootConstrainSelectedInstOperands,
     /*  604188 */     // GIR_Coverage, 5160,
     /*  604188 */     GIR_EraseRootFromParent_Done,
     /*  604189 */   // Label 9774: @604189
     /*  604189 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(604261), // Rule ID 5161 //
     /*  604194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604259 */     GIR_RootConstrainSelectedInstOperands,
     /*  604260 */     // GIR_Coverage, 5161,
     /*  604260 */     GIR_EraseRootFromParent_Done,
     /*  604261 */   // Label 9775: @604261
     /*  604261 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(604333), // Rule ID 5162 //
     /*  604266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604331 */     GIR_RootConstrainSelectedInstOperands,
     /*  604332 */     // GIR_Coverage, 5162,
     /*  604332 */     GIR_EraseRootFromParent_Done,
     /*  604333 */   // Label 9776: @604333
     /*  604333 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(604405), // Rule ID 5163 //
     /*  604338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604403 */     GIR_RootConstrainSelectedInstOperands,
     /*  604404 */     // GIR_Coverage, 5163,
     /*  604404 */     GIR_EraseRootFromParent_Done,
     /*  604405 */   // Label 9777: @604405
     /*  604405 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(604477), // Rule ID 5164 //
     /*  604410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604475 */     GIR_RootConstrainSelectedInstOperands,
     /*  604476 */     // GIR_Coverage, 5164,
     /*  604476 */     GIR_EraseRootFromParent_Done,
     /*  604477 */   // Label 9778: @604477
     /*  604477 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(604549), // Rule ID 5165 //
     /*  604482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604528 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604547 */     GIR_RootConstrainSelectedInstOperands,
     /*  604548 */     // GIR_Coverage, 5165,
     /*  604548 */     GIR_EraseRootFromParent_Done,
     /*  604549 */   // Label 9779: @604549
     /*  604549 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(604621), // Rule ID 5166 //
     /*  604554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604619 */     GIR_RootConstrainSelectedInstOperands,
     /*  604620 */     // GIR_Coverage, 5166,
     /*  604620 */     GIR_EraseRootFromParent_Done,
     /*  604621 */   // Label 9780: @604621
     /*  604621 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(604693), // Rule ID 5167 //
     /*  604626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604691 */     GIR_RootConstrainSelectedInstOperands,
     /*  604692 */     // GIR_Coverage, 5167,
     /*  604692 */     GIR_EraseRootFromParent_Done,
     /*  604693 */   // Label 9781: @604693
     /*  604693 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(604765), // Rule ID 5168 //
     /*  604698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604763 */     GIR_RootConstrainSelectedInstOperands,
     /*  604764 */     // GIR_Coverage, 5168,
     /*  604764 */     GIR_EraseRootFromParent_Done,
     /*  604765 */   // Label 9782: @604765
     /*  604765 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(604837), // Rule ID 5169 //
     /*  604770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604835 */     GIR_RootConstrainSelectedInstOperands,
     /*  604836 */     // GIR_Coverage, 5169,
     /*  604836 */     GIR_EraseRootFromParent_Done,
     /*  604837 */   // Label 9783: @604837
     /*  604837 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604909), // Rule ID 5170 //
     /*  604842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604907 */     GIR_RootConstrainSelectedInstOperands,
     /*  604908 */     // GIR_Coverage, 5170,
     /*  604908 */     GIR_EraseRootFromParent_Done,
     /*  604909 */   // Label 9784: @604909
     /*  604909 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604981), // Rule ID 5171 //
     /*  604914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604979 */     GIR_RootConstrainSelectedInstOperands,
     /*  604980 */     // GIR_Coverage, 5171,
     /*  604980 */     GIR_EraseRootFromParent_Done,
     /*  604981 */   // Label 9785: @604981
     /*  604981 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(605053), // Rule ID 5172 //
     /*  604986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  605000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  605035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605051 */     GIR_RootConstrainSelectedInstOperands,
     /*  605052 */     // GIR_Coverage, 5172,
     /*  605052 */     GIR_EraseRootFromParent_Done,
     /*  605053 */   // Label 9786: @605053
     /*  605053 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(605125), // Rule ID 5173 //
     /*  605058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  605072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  605107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605123 */     GIR_RootConstrainSelectedInstOperands,
     /*  605124 */     // GIR_Coverage, 5173,
     /*  605124 */     GIR_EraseRootFromParent_Done,
     /*  605125 */   // Label 9787: @605125
     /*  605125 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(605197), // Rule ID 5174 //
     /*  605130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605195 */     GIR_RootConstrainSelectedInstOperands,
     /*  605196 */     // GIR_Coverage, 5174,
     /*  605196 */     GIR_EraseRootFromParent_Done,
     /*  605197 */   // Label 9788: @605197
     /*  605197 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(605269), // Rule ID 5175 //
     /*  605202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605267 */     GIR_RootConstrainSelectedInstOperands,
     /*  605268 */     // GIR_Coverage, 5175,
     /*  605268 */     GIR_EraseRootFromParent_Done,
     /*  605269 */   // Label 9789: @605269
     /*  605269 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(605341), // Rule ID 5176 //
     /*  605274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605339 */     GIR_RootConstrainSelectedInstOperands,
     /*  605340 */     // GIR_Coverage, 5176,
     /*  605340 */     GIR_EraseRootFromParent_Done,
     /*  605341 */   // Label 9790: @605341
     /*  605341 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(605413), // Rule ID 5177 //
     /*  605346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605411 */     GIR_RootConstrainSelectedInstOperands,
     /*  605412 */     // GIR_Coverage, 5177,
     /*  605412 */     GIR_EraseRootFromParent_Done,
     /*  605413 */   // Label 9791: @605413
     /*  605413 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(605485), // Rule ID 5178 //
     /*  605418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605483 */     GIR_RootConstrainSelectedInstOperands,
     /*  605484 */     // GIR_Coverage, 5178,
     /*  605484 */     GIR_EraseRootFromParent_Done,
     /*  605485 */   // Label 9792: @605485
     /*  605485 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(605557), // Rule ID 5179 //
     /*  605490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605555 */     GIR_RootConstrainSelectedInstOperands,
     /*  605556 */     // GIR_Coverage, 5179,
     /*  605556 */     GIR_EraseRootFromParent_Done,
     /*  605557 */   // Label 9793: @605557
     /*  605557 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(605629), // Rule ID 5180 //
     /*  605562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605627 */     GIR_RootConstrainSelectedInstOperands,
     /*  605628 */     // GIR_Coverage, 5180,
     /*  605628 */     GIR_EraseRootFromParent_Done,
     /*  605629 */   // Label 9794: @605629
     /*  605629 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(605701), // Rule ID 5181 //
     /*  605634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605699 */     GIR_RootConstrainSelectedInstOperands,
     /*  605700 */     // GIR_Coverage, 5181,
     /*  605700 */     GIR_EraseRootFromParent_Done,
     /*  605701 */   // Label 9795: @605701
     /*  605701 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(605773), // Rule ID 5182 //
     /*  605706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605771 */     GIR_RootConstrainSelectedInstOperands,
     /*  605772 */     // GIR_Coverage, 5182,
     /*  605772 */     GIR_EraseRootFromParent_Done,
     /*  605773 */   // Label 9796: @605773
     /*  605773 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(605845), // Rule ID 5183 //
     /*  605778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605843 */     GIR_RootConstrainSelectedInstOperands,
     /*  605844 */     // GIR_Coverage, 5183,
     /*  605844 */     GIR_EraseRootFromParent_Done,
     /*  605845 */   // Label 9797: @605845
     /*  605845 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605917), // Rule ID 5184 //
     /*  605850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605915 */     GIR_RootConstrainSelectedInstOperands,
     /*  605916 */     // GIR_Coverage, 5184,
     /*  605916 */     GIR_EraseRootFromParent_Done,
     /*  605917 */   // Label 9798: @605917
     /*  605917 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605989), // Rule ID 5185 //
     /*  605922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605987 */     GIR_RootConstrainSelectedInstOperands,
     /*  605988 */     // GIR_Coverage, 5185,
     /*  605988 */     GIR_EraseRootFromParent_Done,
     /*  605989 */   // Label 9799: @605989
     /*  605989 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(606061), // Rule ID 5186 //
     /*  605994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606059 */     GIR_RootConstrainSelectedInstOperands,
     /*  606060 */     // GIR_Coverage, 5186,
     /*  606060 */     GIR_EraseRootFromParent_Done,
     /*  606061 */   // Label 9800: @606061
     /*  606061 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(606133), // Rule ID 5187 //
     /*  606066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606131 */     GIR_RootConstrainSelectedInstOperands,
     /*  606132 */     // GIR_Coverage, 5187,
     /*  606132 */     GIR_EraseRootFromParent_Done,
     /*  606133 */   // Label 9801: @606133
     /*  606133 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(606205), // Rule ID 5188 //
     /*  606138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606203 */     GIR_RootConstrainSelectedInstOperands,
     /*  606204 */     // GIR_Coverage, 5188,
     /*  606204 */     GIR_EraseRootFromParent_Done,
     /*  606205 */   // Label 9802: @606205
     /*  606205 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(606277), // Rule ID 5189 //
     /*  606210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606275 */     GIR_RootConstrainSelectedInstOperands,
     /*  606276 */     // GIR_Coverage, 5189,
     /*  606276 */     GIR_EraseRootFromParent_Done,
     /*  606277 */   // Label 9803: @606277
     /*  606277 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(606349), // Rule ID 5190 //
     /*  606282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  606285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  606328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606347 */     GIR_RootConstrainSelectedInstOperands,
     /*  606348 */     // GIR_Coverage, 5190,
     /*  606348 */     GIR_EraseRootFromParent_Done,
     /*  606349 */   // Label 9804: @606349
     /*  606349 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(606421), // Rule ID 5191 //
     /*  606354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  606357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  606400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606419 */     GIR_RootConstrainSelectedInstOperands,
     /*  606420 */     // GIR_Coverage, 5191,
     /*  606420 */     GIR_EraseRootFromParent_Done,
     /*  606421 */   // Label 9805: @606421
     /*  606421 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(606493), // Rule ID 5192 //
     /*  606426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606491 */     GIR_RootConstrainSelectedInstOperands,
     /*  606492 */     // GIR_Coverage, 5192,
     /*  606492 */     GIR_EraseRootFromParent_Done,
     /*  606493 */   // Label 9806: @606493
     /*  606493 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(606565), // Rule ID 5193 //
     /*  606498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606563 */     GIR_RootConstrainSelectedInstOperands,
     /*  606564 */     // GIR_Coverage, 5193,
     /*  606564 */     GIR_EraseRootFromParent_Done,
     /*  606565 */   // Label 9807: @606565
     /*  606565 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(606637), // Rule ID 5194 //
     /*  606570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606616 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606635 */     GIR_RootConstrainSelectedInstOperands,
     /*  606636 */     // GIR_Coverage, 5194,
     /*  606636 */     GIR_EraseRootFromParent_Done,
     /*  606637 */   // Label 9808: @606637
     /*  606637 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(606709), // Rule ID 5195 //
     /*  606642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606688 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606707 */     GIR_RootConstrainSelectedInstOperands,
     /*  606708 */     // GIR_Coverage, 5195,
     /*  606708 */     GIR_EraseRootFromParent_Done,
     /*  606709 */   // Label 9809: @606709
     /*  606709 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(606781), // Rule ID 5196 //
     /*  606714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606760 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606779 */     GIR_RootConstrainSelectedInstOperands,
     /*  606780 */     // GIR_Coverage, 5196,
     /*  606780 */     GIR_EraseRootFromParent_Done,
     /*  606781 */   // Label 9810: @606781
     /*  606781 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(606853), // Rule ID 5197 //
     /*  606786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606832 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606851 */     GIR_RootConstrainSelectedInstOperands,
     /*  606852 */     // GIR_Coverage, 5197,
     /*  606852 */     GIR_EraseRootFromParent_Done,
     /*  606853 */   // Label 9811: @606853
     /*  606853 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606925), // Rule ID 5198 //
     /*  606858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606923 */     GIR_RootConstrainSelectedInstOperands,
     /*  606924 */     // GIR_Coverage, 5198,
     /*  606924 */     GIR_EraseRootFromParent_Done,
     /*  606925 */   // Label 9812: @606925
     /*  606925 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606997), // Rule ID 5199 //
     /*  606930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606995 */     GIR_RootConstrainSelectedInstOperands,
     /*  606996 */     // GIR_Coverage, 5199,
     /*  606996 */     GIR_EraseRootFromParent_Done,
     /*  606997 */   // Label 9813: @606997
     /*  606997 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(607069), // Rule ID 5200 //
     /*  607002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607048 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607067 */     GIR_RootConstrainSelectedInstOperands,
     /*  607068 */     // GIR_Coverage, 5200,
     /*  607068 */     GIR_EraseRootFromParent_Done,
     /*  607069 */   // Label 9814: @607069
     /*  607069 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(607141), // Rule ID 5201 //
     /*  607074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607139 */     GIR_RootConstrainSelectedInstOperands,
     /*  607140 */     // GIR_Coverage, 5201,
     /*  607140 */     GIR_EraseRootFromParent_Done,
     /*  607141 */   // Label 9815: @607141
     /*  607141 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(607213), // Rule ID 5202 //
     /*  607146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607192 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607211 */     GIR_RootConstrainSelectedInstOperands,
     /*  607212 */     // GIR_Coverage, 5202,
     /*  607212 */     GIR_EraseRootFromParent_Done,
     /*  607213 */   // Label 9816: @607213
     /*  607213 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(607285), // Rule ID 5203 //
     /*  607218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607283 */     GIR_RootConstrainSelectedInstOperands,
     /*  607284 */     // GIR_Coverage, 5203,
     /*  607284 */     GIR_EraseRootFromParent_Done,
     /*  607285 */   // Label 9817: @607285
     /*  607285 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(607357), // Rule ID 5204 //
     /*  607290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607355 */     GIR_RootConstrainSelectedInstOperands,
     /*  607356 */     // GIR_Coverage, 5204,
     /*  607356 */     GIR_EraseRootFromParent_Done,
     /*  607357 */   // Label 9818: @607357
     /*  607357 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(607429), // Rule ID 5205 //
     /*  607362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607427 */     GIR_RootConstrainSelectedInstOperands,
     /*  607428 */     // GIR_Coverage, 5205,
     /*  607428 */     GIR_EraseRootFromParent_Done,
     /*  607429 */   // Label 9819: @607429
     /*  607429 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(607501), // Rule ID 5206 //
     /*  607434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607499 */     GIR_RootConstrainSelectedInstOperands,
     /*  607500 */     // GIR_Coverage, 5206,
     /*  607500 */     GIR_EraseRootFromParent_Done,
     /*  607501 */   // Label 9820: @607501
     /*  607501 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607573), // Rule ID 5207 //
     /*  607506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607571 */     GIR_RootConstrainSelectedInstOperands,
     /*  607572 */     // GIR_Coverage, 5207,
     /*  607572 */     GIR_EraseRootFromParent_Done,
     /*  607573 */   // Label 9821: @607573
     /*  607573 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(607645), // Rule ID 5208 //
     /*  607578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607643 */     GIR_RootConstrainSelectedInstOperands,
     /*  607644 */     // GIR_Coverage, 5208,
     /*  607644 */     GIR_EraseRootFromParent_Done,
     /*  607645 */   // Label 9822: @607645
     /*  607645 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(607717), // Rule ID 5209 //
     /*  607650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607696 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607715 */     GIR_RootConstrainSelectedInstOperands,
     /*  607716 */     // GIR_Coverage, 5209,
     /*  607716 */     GIR_EraseRootFromParent_Done,
     /*  607717 */   // Label 9823: @607717
     /*  607717 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(607789), // Rule ID 5210 //
     /*  607722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607787 */     GIR_RootConstrainSelectedInstOperands,
     /*  607788 */     // GIR_Coverage, 5210,
     /*  607788 */     GIR_EraseRootFromParent_Done,
     /*  607789 */   // Label 9824: @607789
     /*  607789 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(607861), // Rule ID 5211 //
     /*  607794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607859 */     GIR_RootConstrainSelectedInstOperands,
     /*  607860 */     // GIR_Coverage, 5211,
     /*  607860 */     GIR_EraseRootFromParent_Done,
     /*  607861 */   // Label 9825: @607861
     /*  607861 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607933), // Rule ID 5212 //
     /*  607866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607931 */     GIR_RootConstrainSelectedInstOperands,
     /*  607932 */     // GIR_Coverage, 5212,
     /*  607932 */     GIR_EraseRootFromParent_Done,
     /*  607933 */   // Label 9826: @607933
     /*  607933 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(608005), // Rule ID 5213 //
     /*  607938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608003 */     GIR_RootConstrainSelectedInstOperands,
     /*  608004 */     // GIR_Coverage, 5213,
     /*  608004 */     GIR_EraseRootFromParent_Done,
     /*  608005 */   // Label 9827: @608005
     /*  608005 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(608077), // Rule ID 5214 //
     /*  608010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608075 */     GIR_RootConstrainSelectedInstOperands,
     /*  608076 */     // GIR_Coverage, 5214,
     /*  608076 */     GIR_EraseRootFromParent_Done,
     /*  608077 */   // Label 9828: @608077
     /*  608077 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(608149), // Rule ID 5215 //
     /*  608082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608147 */     GIR_RootConstrainSelectedInstOperands,
     /*  608148 */     // GIR_Coverage, 5215,
     /*  608148 */     GIR_EraseRootFromParent_Done,
     /*  608149 */   // Label 9829: @608149
     /*  608149 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(608221), // Rule ID 5478 //
     /*  608154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  608203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608219 */     GIR_RootConstrainSelectedInstOperands,
     /*  608220 */     // GIR_Coverage, 5478,
     /*  608220 */     GIR_EraseRootFromParent_Done,
     /*  608221 */   // Label 9830: @608221
     /*  608221 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(608293), // Rule ID 5479 //
     /*  608226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  608275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608291 */     GIR_RootConstrainSelectedInstOperands,
     /*  608292 */     // GIR_Coverage, 5479,
     /*  608292 */     GIR_EraseRootFromParent_Done,
     /*  608293 */   // Label 9831: @608293
     /*  608293 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(608365), // Rule ID 5480 //
     /*  608298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  608312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608363 */     GIR_RootConstrainSelectedInstOperands,
     /*  608364 */     // GIR_Coverage, 5480,
     /*  608364 */     GIR_EraseRootFromParent_Done,
     /*  608365 */   // Label 9832: @608365
     /*  608365 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(608437), // Rule ID 5481 //
     /*  608370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  608384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608435 */     GIR_RootConstrainSelectedInstOperands,
     /*  608436 */     // GIR_Coverage, 5481,
     /*  608436 */     GIR_EraseRootFromParent_Done,
     /*  608437 */   // Label 9833: @608437
     /*  608437 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(608509), // Rule ID 5482 //
     /*  608442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608507 */     GIR_RootConstrainSelectedInstOperands,
     /*  608508 */     // GIR_Coverage, 5482,
     /*  608508 */     GIR_EraseRootFromParent_Done,
     /*  608509 */   // Label 9834: @608509
     /*  608509 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608581), // Rule ID 5483 //
     /*  608514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608579 */     GIR_RootConstrainSelectedInstOperands,
     /*  608580 */     // GIR_Coverage, 5483,
     /*  608580 */     GIR_EraseRootFromParent_Done,
     /*  608581 */   // Label 9835: @608581
     /*  608581 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(608653), // Rule ID 5484 //
     /*  608586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608651 */     GIR_RootConstrainSelectedInstOperands,
     /*  608652 */     // GIR_Coverage, 5484,
     /*  608652 */     GIR_EraseRootFromParent_Done,
     /*  608653 */   // Label 9836: @608653
     /*  608653 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(608725), // Rule ID 5485 //
     /*  608658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608723 */     GIR_RootConstrainSelectedInstOperands,
     /*  608724 */     // GIR_Coverage, 5485,
     /*  608724 */     GIR_EraseRootFromParent_Done,
     /*  608725 */   // Label 9837: @608725
     /*  608725 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(608797), // Rule ID 5486 //
     /*  608730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608795 */     GIR_RootConstrainSelectedInstOperands,
     /*  608796 */     // GIR_Coverage, 5486,
     /*  608796 */     GIR_EraseRootFromParent_Done,
     /*  608797 */   // Label 9838: @608797
     /*  608797 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608869), // Rule ID 5487 //
     /*  608802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608867 */     GIR_RootConstrainSelectedInstOperands,
     /*  608868 */     // GIR_Coverage, 5487,
     /*  608868 */     GIR_EraseRootFromParent_Done,
     /*  608869 */   // Label 9839: @608869
     /*  608869 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608941), // Rule ID 5488 //
     /*  608874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608939 */     GIR_RootConstrainSelectedInstOperands,
     /*  608940 */     // GIR_Coverage, 5488,
     /*  608940 */     GIR_EraseRootFromParent_Done,
     /*  608941 */   // Label 9840: @608941
     /*  608941 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(609013), // Rule ID 5489 //
     /*  608946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609011 */     GIR_RootConstrainSelectedInstOperands,
     /*  609012 */     // GIR_Coverage, 5489,
     /*  609012 */     GIR_EraseRootFromParent_Done,
     /*  609013 */   // Label 9841: @609013
     /*  609013 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(609085), // Rule ID 5490 //
     /*  609018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609083 */     GIR_RootConstrainSelectedInstOperands,
     /*  609084 */     // GIR_Coverage, 5490,
     /*  609084 */     GIR_EraseRootFromParent_Done,
     /*  609085 */   // Label 9842: @609085
     /*  609085 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(609157), // Rule ID 5491 //
     /*  609090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609155 */     GIR_RootConstrainSelectedInstOperands,
     /*  609156 */     // GIR_Coverage, 5491,
     /*  609156 */     GIR_EraseRootFromParent_Done,
     /*  609157 */   // Label 9843: @609157
     /*  609157 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(609229), // Rule ID 5492 //
     /*  609162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609227 */     GIR_RootConstrainSelectedInstOperands,
     /*  609228 */     // GIR_Coverage, 5492,
     /*  609228 */     GIR_EraseRootFromParent_Done,
     /*  609229 */   // Label 9844: @609229
     /*  609229 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(609301), // Rule ID 5493 //
     /*  609234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609299 */     GIR_RootConstrainSelectedInstOperands,
     /*  609300 */     // GIR_Coverage, 5493,
     /*  609300 */     GIR_EraseRootFromParent_Done,
     /*  609301 */   // Label 9845: @609301
     /*  609301 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(609373), // Rule ID 5494 //
     /*  609306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609371 */     GIR_RootConstrainSelectedInstOperands,
     /*  609372 */     // GIR_Coverage, 5494,
     /*  609372 */     GIR_EraseRootFromParent_Done,
     /*  609373 */   // Label 9846: @609373
     /*  609373 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(609445), // Rule ID 5495 //
     /*  609378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609443 */     GIR_RootConstrainSelectedInstOperands,
     /*  609444 */     // GIR_Coverage, 5495,
     /*  609444 */     GIR_EraseRootFromParent_Done,
     /*  609445 */   // Label 9847: @609445
     /*  609445 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(609517), // Rule ID 5496 //
     /*  609450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609515 */     GIR_RootConstrainSelectedInstOperands,
     /*  609516 */     // GIR_Coverage, 5496,
     /*  609516 */     GIR_EraseRootFromParent_Done,
     /*  609517 */   // Label 9848: @609517
     /*  609517 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609589), // Rule ID 5497 //
     /*  609522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609587 */     GIR_RootConstrainSelectedInstOperands,
     /*  609588 */     // GIR_Coverage, 5497,
     /*  609588 */     GIR_EraseRootFromParent_Done,
     /*  609589 */   // Label 9849: @609589
     /*  609589 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(609661), // Rule ID 5498 //
     /*  609594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609640 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609659 */     GIR_RootConstrainSelectedInstOperands,
     /*  609660 */     // GIR_Coverage, 5498,
     /*  609660 */     GIR_EraseRootFromParent_Done,
     /*  609661 */   // Label 9850: @609661
     /*  609661 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(609733), // Rule ID 5499 //
     /*  609666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609731 */     GIR_RootConstrainSelectedInstOperands,
     /*  609732 */     // GIR_Coverage, 5499,
     /*  609732 */     GIR_EraseRootFromParent_Done,
     /*  609733 */   // Label 9851: @609733
     /*  609733 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(609805), // Rule ID 5500 //
     /*  609738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609784 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609803 */     GIR_RootConstrainSelectedInstOperands,
     /*  609804 */     // GIR_Coverage, 5500,
     /*  609804 */     GIR_EraseRootFromParent_Done,
     /*  609805 */   // Label 9852: @609805
     /*  609805 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609877), // Rule ID 5501 //
     /*  609810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609856 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609875 */     GIR_RootConstrainSelectedInstOperands,
     /*  609876 */     // GIR_Coverage, 5501,
     /*  609876 */     GIR_EraseRootFromParent_Done,
     /*  609877 */   // Label 9853: @609877
     /*  609877 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609949), // Rule ID 5502 //
     /*  609882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609928 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609947 */     GIR_RootConstrainSelectedInstOperands,
     /*  609948 */     // GIR_Coverage, 5502,
     /*  609948 */     GIR_EraseRootFromParent_Done,
     /*  609949 */   // Label 9854: @609949
     /*  609949 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(610021), // Rule ID 5503 //
     /*  609954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610000 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610019 */     GIR_RootConstrainSelectedInstOperands,
     /*  610020 */     // GIR_Coverage, 5503,
     /*  610020 */     GIR_EraseRootFromParent_Done,
     /*  610021 */   // Label 9855: @610021
     /*  610021 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(610093), // Rule ID 5504 //
     /*  610026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610091 */     GIR_RootConstrainSelectedInstOperands,
     /*  610092 */     // GIR_Coverage, 5504,
     /*  610092 */     GIR_EraseRootFromParent_Done,
     /*  610093 */   // Label 9856: @610093
     /*  610093 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(610165), // Rule ID 5505 //
     /*  610098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610163 */     GIR_RootConstrainSelectedInstOperands,
     /*  610164 */     // GIR_Coverage, 5505,
     /*  610164 */     GIR_EraseRootFromParent_Done,
     /*  610165 */   // Label 9857: @610165
     /*  610165 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(610237), // Rule ID 5506 //
     /*  610170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610216 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610235 */     GIR_RootConstrainSelectedInstOperands,
     /*  610236 */     // GIR_Coverage, 5506,
     /*  610236 */     GIR_EraseRootFromParent_Done,
     /*  610237 */   // Label 9858: @610237
     /*  610237 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(610309), // Rule ID 5507 //
     /*  610242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610307 */     GIR_RootConstrainSelectedInstOperands,
     /*  610308 */     // GIR_Coverage, 5507,
     /*  610308 */     GIR_EraseRootFromParent_Done,
     /*  610309 */   // Label 9859: @610309
     /*  610309 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(610381), // Rule ID 5508 //
     /*  610314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610379 */     GIR_RootConstrainSelectedInstOperands,
     /*  610380 */     // GIR_Coverage, 5508,
     /*  610380 */     GIR_EraseRootFromParent_Done,
     /*  610381 */   // Label 9860: @610381
     /*  610381 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(610453), // Rule ID 5509 //
     /*  610386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610432 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610451 */     GIR_RootConstrainSelectedInstOperands,
     /*  610452 */     // GIR_Coverage, 5509,
     /*  610452 */     GIR_EraseRootFromParent_Done,
     /*  610453 */   // Label 9861: @610453
     /*  610453 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(610525), // Rule ID 5510 //
     /*  610458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610523 */     GIR_RootConstrainSelectedInstOperands,
     /*  610524 */     // GIR_Coverage, 5510,
     /*  610524 */     GIR_EraseRootFromParent_Done,
     /*  610525 */   // Label 9862: @610525
     /*  610525 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610597), // Rule ID 5511 //
     /*  610530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610595 */     GIR_RootConstrainSelectedInstOperands,
     /*  610596 */     // GIR_Coverage, 5511,
     /*  610596 */     GIR_EraseRootFromParent_Done,
     /*  610597 */   // Label 9863: @610597
     /*  610597 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(610669), // Rule ID 5512 //
     /*  610602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610667 */     GIR_RootConstrainSelectedInstOperands,
     /*  610668 */     // GIR_Coverage, 5512,
     /*  610668 */     GIR_EraseRootFromParent_Done,
     /*  610669 */   // Label 9864: @610669
     /*  610669 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(610741), // Rule ID 5513 //
     /*  610674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610739 */     GIR_RootConstrainSelectedInstOperands,
     /*  610740 */     // GIR_Coverage, 5513,
     /*  610740 */     GIR_EraseRootFromParent_Done,
     /*  610741 */   // Label 9865: @610741
     /*  610741 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610813), // Rule ID 5514 //
     /*  610746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610811 */     GIR_RootConstrainSelectedInstOperands,
     /*  610812 */     // GIR_Coverage, 5514,
     /*  610812 */     GIR_EraseRootFromParent_Done,
     /*  610813 */   // Label 9866: @610813
     /*  610813 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610885), // Rule ID 5515 //
     /*  610818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610883 */     GIR_RootConstrainSelectedInstOperands,
     /*  610884 */     // GIR_Coverage, 5515,
     /*  610884 */     GIR_EraseRootFromParent_Done,
     /*  610885 */   // Label 9867: @610885
     /*  610885 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610957), // Rule ID 5516 //
     /*  610890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610955 */     GIR_RootConstrainSelectedInstOperands,
     /*  610956 */     // GIR_Coverage, 5516,
     /*  610956 */     GIR_EraseRootFromParent_Done,
     /*  610957 */   // Label 9868: @610957
     /*  610957 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(611029), // Rule ID 5517 //
     /*  610962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  611011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611027 */     GIR_RootConstrainSelectedInstOperands,
     /*  611028 */     // GIR_Coverage, 5517,
     /*  611028 */     GIR_EraseRootFromParent_Done,
     /*  611029 */   // Label 9869: @611029
     /*  611029 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(611101), // Rule ID 5518 //
     /*  611034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611099 */     GIR_RootConstrainSelectedInstOperands,
     /*  611100 */     // GIR_Coverage, 5518,
     /*  611100 */     GIR_EraseRootFromParent_Done,
     /*  611101 */   // Label 9870: @611101
     /*  611101 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(611173), // Rule ID 5519 //
     /*  611106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611171 */     GIR_RootConstrainSelectedInstOperands,
     /*  611172 */     // GIR_Coverage, 5519,
     /*  611172 */     GIR_EraseRootFromParent_Done,
     /*  611173 */   // Label 9871: @611173
     /*  611173 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(611245), // Rule ID 5520 //
     /*  611178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611243 */     GIR_RootConstrainSelectedInstOperands,
     /*  611244 */     // GIR_Coverage, 5520,
     /*  611244 */     GIR_EraseRootFromParent_Done,
     /*  611245 */   // Label 9872: @611245
     /*  611245 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(611317), // Rule ID 5521 //
     /*  611250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611315 */     GIR_RootConstrainSelectedInstOperands,
     /*  611316 */     // GIR_Coverage, 5521,
     /*  611316 */     GIR_EraseRootFromParent_Done,
     /*  611317 */   // Label 9873: @611317
     /*  611317 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(611389), // Rule ID 5522 //
     /*  611322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  611336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  611371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611387 */     GIR_RootConstrainSelectedInstOperands,
     /*  611388 */     // GIR_Coverage, 5522,
     /*  611388 */     GIR_EraseRootFromParent_Done,
     /*  611389 */   // Label 9874: @611389
     /*  611389 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(611461), // Rule ID 5523 //
     /*  611394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  611408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  611443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611459 */     GIR_RootConstrainSelectedInstOperands,
     /*  611460 */     // GIR_Coverage, 5523,
     /*  611460 */     GIR_EraseRootFromParent_Done,
     /*  611461 */   // Label 9875: @611461
     /*  611461 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(611533), // Rule ID 5524 //
     /*  611466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611531 */     GIR_RootConstrainSelectedInstOperands,
     /*  611532 */     // GIR_Coverage, 5524,
     /*  611532 */     GIR_EraseRootFromParent_Done,
     /*  611533 */   // Label 9876: @611533
     /*  611533 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611605), // Rule ID 5525 //
     /*  611538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611603 */     GIR_RootConstrainSelectedInstOperands,
     /*  611604 */     // GIR_Coverage, 5525,
     /*  611604 */     GIR_EraseRootFromParent_Done,
     /*  611605 */   // Label 9877: @611605
     /*  611605 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(611677), // Rule ID 5526 //
     /*  611610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611675 */     GIR_RootConstrainSelectedInstOperands,
     /*  611676 */     // GIR_Coverage, 5526,
     /*  611676 */     GIR_EraseRootFromParent_Done,
     /*  611677 */   // Label 9878: @611677
     /*  611677 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(611749), // Rule ID 5527 //
     /*  611682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611747 */     GIR_RootConstrainSelectedInstOperands,
     /*  611748 */     // GIR_Coverage, 5527,
     /*  611748 */     GIR_EraseRootFromParent_Done,
     /*  611749 */   // Label 9879: @611749
     /*  611749 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611821), // Rule ID 5528 //
     /*  611754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611819 */     GIR_RootConstrainSelectedInstOperands,
     /*  611820 */     // GIR_Coverage, 5528,
     /*  611820 */     GIR_EraseRootFromParent_Done,
     /*  611821 */   // Label 9880: @611821
     /*  611821 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611893), // Rule ID 5529 //
     /*  611826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611891 */     GIR_RootConstrainSelectedInstOperands,
     /*  611892 */     // GIR_Coverage, 5529,
     /*  611892 */     GIR_EraseRootFromParent_Done,
     /*  611893 */   // Label 9881: @611893
     /*  611893 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611965), // Rule ID 5530 //
     /*  611898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611963 */     GIR_RootConstrainSelectedInstOperands,
     /*  611964 */     // GIR_Coverage, 5530,
     /*  611964 */     GIR_EraseRootFromParent_Done,
     /*  611965 */   // Label 9882: @611965
     /*  611965 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(612037), // Rule ID 5531 //
     /*  611970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612035 */     GIR_RootConstrainSelectedInstOperands,
     /*  612036 */     // GIR_Coverage, 5531,
     /*  612036 */     GIR_EraseRootFromParent_Done,
     /*  612037 */   // Label 9883: @612037
     /*  612037 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(612109), // Rule ID 5532 //
     /*  612042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612107 */     GIR_RootConstrainSelectedInstOperands,
     /*  612108 */     // GIR_Coverage, 5532,
     /*  612108 */     GIR_EraseRootFromParent_Done,
     /*  612109 */   // Label 9884: @612109
     /*  612109 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(612181), // Rule ID 5533 //
     /*  612114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612179 */     GIR_RootConstrainSelectedInstOperands,
     /*  612180 */     // GIR_Coverage, 5533,
     /*  612180 */     GIR_EraseRootFromParent_Done,
     /*  612181 */   // Label 9885: @612181
     /*  612181 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(612253), // Rule ID 5534 //
     /*  612186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612251 */     GIR_RootConstrainSelectedInstOperands,
     /*  612252 */     // GIR_Coverage, 5534,
     /*  612252 */     GIR_EraseRootFromParent_Done,
     /*  612253 */   // Label 9886: @612253
     /*  612253 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(612325), // Rule ID 5535 //
     /*  612258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612323 */     GIR_RootConstrainSelectedInstOperands,
     /*  612324 */     // GIR_Coverage, 5535,
     /*  612324 */     GIR_EraseRootFromParent_Done,
     /*  612325 */   // Label 9887: @612325
     /*  612325 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(612397), // Rule ID 5536 //
     /*  612330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  612344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612395 */     GIR_RootConstrainSelectedInstOperands,
     /*  612396 */     // GIR_Coverage, 5536,
     /*  612396 */     GIR_EraseRootFromParent_Done,
     /*  612397 */   // Label 9888: @612397
     /*  612397 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(612469), // Rule ID 5537 //
     /*  612402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  612416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612467 */     GIR_RootConstrainSelectedInstOperands,
     /*  612468 */     // GIR_Coverage, 5537,
     /*  612468 */     GIR_EraseRootFromParent_Done,
     /*  612469 */   // Label 9889: @612469
     /*  612469 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(612541), // Rule ID 5538 //
     /*  612474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612539 */     GIR_RootConstrainSelectedInstOperands,
     /*  612540 */     // GIR_Coverage, 5538,
     /*  612540 */     GIR_EraseRootFromParent_Done,
     /*  612541 */   // Label 9890: @612541
     /*  612541 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(612613), // Rule ID 5539 //
     /*  612546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612611 */     GIR_RootConstrainSelectedInstOperands,
     /*  612612 */     // GIR_Coverage, 5539,
     /*  612612 */     GIR_EraseRootFromParent_Done,
     /*  612613 */   // Label 9891: @612613
     /*  612613 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(612685), // Rule ID 5540 //
     /*  612618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612683 */     GIR_RootConstrainSelectedInstOperands,
     /*  612684 */     // GIR_Coverage, 5540,
     /*  612684 */     GIR_EraseRootFromParent_Done,
     /*  612685 */   // Label 9892: @612685
     /*  612685 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612757), // Rule ID 5541 //
     /*  612690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612755 */     GIR_RootConstrainSelectedInstOperands,
     /*  612756 */     // GIR_Coverage, 5541,
     /*  612756 */     GIR_EraseRootFromParent_Done,
     /*  612757 */   // Label 9893: @612757
     /*  612757 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612829), // Rule ID 5542 //
     /*  612762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612827 */     GIR_RootConstrainSelectedInstOperands,
     /*  612828 */     // GIR_Coverage, 5542,
     /*  612828 */     GIR_EraseRootFromParent_Done,
     /*  612829 */   // Label 9894: @612829
     /*  612829 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612901), // Rule ID 5543 //
     /*  612834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612899 */     GIR_RootConstrainSelectedInstOperands,
     /*  612900 */     // GIR_Coverage, 5543,
     /*  612900 */     GIR_EraseRootFromParent_Done,
     /*  612901 */   // Label 9895: @612901
     /*  612901 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612973), // Rule ID 5544 //
     /*  612906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612971 */     GIR_RootConstrainSelectedInstOperands,
     /*  612972 */     // GIR_Coverage, 5544,
     /*  612972 */     GIR_EraseRootFromParent_Done,
     /*  612973 */   // Label 9896: @612973
     /*  612973 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(613045), // Rule ID 5545 //
     /*  612978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613024 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613043 */     GIR_RootConstrainSelectedInstOperands,
     /*  613044 */     // GIR_Coverage, 5545,
     /*  613044 */     GIR_EraseRootFromParent_Done,
     /*  613045 */   // Label 9897: @613045
     /*  613045 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(613117), // Rule ID 5546 //
     /*  613050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  613061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  613070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613096 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613115 */     GIR_RootConstrainSelectedInstOperands,
     /*  613116 */     // GIR_Coverage, 5546,
     /*  613116 */     GIR_EraseRootFromParent_Done,
     /*  613117 */   // Label 9898: @613117
     /*  613117 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(613189), // Rule ID 5547 //
     /*  613122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  613133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  613142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613168 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613187 */     GIR_RootConstrainSelectedInstOperands,
     /*  613188 */     // GIR_Coverage, 5547,
     /*  613188 */     GIR_EraseRootFromParent_Done,
     /*  613189 */   // Label 9899: @613189
     /*  613189 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(613261), // Rule ID 5548 //
     /*  613194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613240 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613259 */     GIR_RootConstrainSelectedInstOperands,
     /*  613260 */     // GIR_Coverage, 5548,
     /*  613260 */     GIR_EraseRootFromParent_Done,
     /*  613261 */   // Label 9900: @613261
     /*  613261 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(613333), // Rule ID 5549 //
     /*  613266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613331 */     GIR_RootConstrainSelectedInstOperands,
     /*  613332 */     // GIR_Coverage, 5549,
     /*  613332 */     GIR_EraseRootFromParent_Done,
     /*  613333 */   // Label 9901: @613333
     /*  613333 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(613405), // Rule ID 5550 //
     /*  613338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  613352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613403 */     GIR_RootConstrainSelectedInstOperands,
     /*  613404 */     // GIR_Coverage, 5550,
     /*  613404 */     GIR_EraseRootFromParent_Done,
     /*  613405 */   // Label 9902: @613405
     /*  613405 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(613477), // Rule ID 5551 //
     /*  613410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  613424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613475 */     GIR_RootConstrainSelectedInstOperands,
     /*  613476 */     // GIR_Coverage, 5551,
     /*  613476 */     GIR_EraseRootFromParent_Done,
     /*  613477 */   // Label 9903: @613477
     /*  613477 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(613549), // Rule ID 5552 //
     /*  613482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613528 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613547 */     GIR_RootConstrainSelectedInstOperands,
     /*  613548 */     // GIR_Coverage, 5552,
     /*  613548 */     GIR_EraseRootFromParent_Done,
     /*  613549 */   // Label 9904: @613549
     /*  613549 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(613621), // Rule ID 5553 //
     /*  613554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613600 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613619 */     GIR_RootConstrainSelectedInstOperands,
     /*  613620 */     // GIR_Coverage, 5553,
     /*  613620 */     GIR_EraseRootFromParent_Done,
     /*  613621 */   // Label 9905: @613621
     /*  613621 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613693), // Rule ID 5554 //
     /*  613626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613691 */     GIR_RootConstrainSelectedInstOperands,
     /*  613692 */     // GIR_Coverage, 5554,
     /*  613692 */     GIR_EraseRootFromParent_Done,
     /*  613693 */   // Label 9906: @613693
     /*  613693 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613765), // Rule ID 5555 //
     /*  613698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613763 */     GIR_RootConstrainSelectedInstOperands,
     /*  613764 */     // GIR_Coverage, 5555,
     /*  613764 */     GIR_EraseRootFromParent_Done,
     /*  613765 */   // Label 9907: @613765
     /*  613765 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613837), // Rule ID 5556 //
     /*  613770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613835 */     GIR_RootConstrainSelectedInstOperands,
     /*  613836 */     // GIR_Coverage, 5556,
     /*  613836 */     GIR_EraseRootFromParent_Done,
     /*  613837 */   // Label 9908: @613837
     /*  613837 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613909), // Rule ID 5557 //
     /*  613842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613907 */     GIR_RootConstrainSelectedInstOperands,
     /*  613908 */     // GIR_Coverage, 5557,
     /*  613908 */     GIR_EraseRootFromParent_Done,
     /*  613909 */   // Label 9909: @613909
     /*  613909 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613981), // Rule ID 5558 //
     /*  613914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  613928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613979 */     GIR_RootConstrainSelectedInstOperands,
     /*  613980 */     // GIR_Coverage, 5558,
     /*  613980 */     GIR_EraseRootFromParent_Done,
     /*  613981 */   // Label 9910: @613981
     /*  613981 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(614053), // Rule ID 5559 //
     /*  613986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  614000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614051 */     GIR_RootConstrainSelectedInstOperands,
     /*  614052 */     // GIR_Coverage, 5559,
     /*  614052 */     GIR_EraseRootFromParent_Done,
     /*  614053 */   // Label 9911: @614053
     /*  614053 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(614125), // Rule ID 5560 //
     /*  614058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614123 */     GIR_RootConstrainSelectedInstOperands,
     /*  614124 */     // GIR_Coverage, 5560,
     /*  614124 */     GIR_EraseRootFromParent_Done,
     /*  614125 */   // Label 9912: @614125
     /*  614125 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(614197), // Rule ID 5561 //
     /*  614130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614195 */     GIR_RootConstrainSelectedInstOperands,
     /*  614196 */     // GIR_Coverage, 5561,
     /*  614196 */     GIR_EraseRootFromParent_Done,
     /*  614197 */   // Label 9913: @614197
     /*  614197 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(614269), // Rule ID 5562 //
     /*  614202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614267 */     GIR_RootConstrainSelectedInstOperands,
     /*  614268 */     // GIR_Coverage, 5562,
     /*  614268 */     GIR_EraseRootFromParent_Done,
     /*  614269 */   // Label 9914: @614269
     /*  614269 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(614341), // Rule ID 5563 //
     /*  614274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614339 */     GIR_RootConstrainSelectedInstOperands,
     /*  614340 */     // GIR_Coverage, 5563,
     /*  614340 */     GIR_EraseRootFromParent_Done,
     /*  614341 */   // Label 9915: @614341
     /*  614341 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(614413), // Rule ID 5564 //
     /*  614346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  614360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614411 */     GIR_RootConstrainSelectedInstOperands,
     /*  614412 */     // GIR_Coverage, 5564,
     /*  614412 */     GIR_EraseRootFromParent_Done,
     /*  614413 */   // Label 9916: @614413
     /*  614413 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(614485), // Rule ID 5565 //
     /*  614418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  614432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614483 */     GIR_RootConstrainSelectedInstOperands,
     /*  614484 */     // GIR_Coverage, 5565,
     /*  614484 */     GIR_EraseRootFromParent_Done,
     /*  614485 */   // Label 9917: @614485
     /*  614485 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(614560), // Rule ID 5654 //
     /*  614490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614558 */     GIR_RootConstrainSelectedInstOperands,
     /*  614559 */     // GIR_Coverage, 5654,
     /*  614559 */     GIR_EraseRootFromParent_Done,
     /*  614560 */   // Label 9918: @614560
     /*  614560 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(614635), // Rule ID 5655 //
     /*  614565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614633 */     GIR_RootConstrainSelectedInstOperands,
     /*  614634 */     // GIR_Coverage, 5655,
     /*  614634 */     GIR_EraseRootFromParent_Done,
     /*  614635 */   // Label 9919: @614635
     /*  614635 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614710), // Rule ID 5658 //
     /*  614640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614708 */     GIR_RootConstrainSelectedInstOperands,
     /*  614709 */     // GIR_Coverage, 5658,
     /*  614709 */     GIR_EraseRootFromParent_Done,
     /*  614710 */   // Label 9920: @614710
     /*  614710 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614785), // Rule ID 5659 //
     /*  614715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614783 */     GIR_RootConstrainSelectedInstOperands,
     /*  614784 */     // GIR_Coverage, 5659,
     /*  614784 */     GIR_EraseRootFromParent_Done,
     /*  614785 */   // Label 9921: @614785
     /*  614785 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614860), // Rule ID 5662 //
     /*  614790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614858 */     GIR_RootConstrainSelectedInstOperands,
     /*  614859 */     // GIR_Coverage, 5662,
     /*  614859 */     GIR_EraseRootFromParent_Done,
     /*  614860 */   // Label 9922: @614860
     /*  614860 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614935), // Rule ID 5663 //
     /*  614865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614933 */     GIR_RootConstrainSelectedInstOperands,
     /*  614934 */     // GIR_Coverage, 5663,
     /*  614934 */     GIR_EraseRootFromParent_Done,
     /*  614935 */   // Label 9923: @614935
     /*  614935 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(615010), // Rule ID 5666 //
     /*  614940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  614951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  614954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  614957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  614960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615008 */     GIR_RootConstrainSelectedInstOperands,
     /*  615009 */     // GIR_Coverage, 5666,
     /*  615009 */     GIR_EraseRootFromParent_Done,
     /*  615010 */   // Label 9924: @615010
     /*  615010 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(615085), // Rule ID 5667 //
     /*  615015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  615026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  615032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  615035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  615064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615083 */     GIR_RootConstrainSelectedInstOperands,
     /*  615084 */     // GIR_Coverage, 5667,
     /*  615084 */     GIR_EraseRootFromParent_Done,
     /*  615085 */   // Label 9925: @615085
     /*  615085 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(615160), // Rule ID 5670 //
     /*  615090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615158 */     GIR_RootConstrainSelectedInstOperands,
     /*  615159 */     // GIR_Coverage, 5670,
     /*  615159 */     GIR_EraseRootFromParent_Done,
     /*  615160 */   // Label 9926: @615160
     /*  615160 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(615235), // Rule ID 5671 //
     /*  615165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615233 */     GIR_RootConstrainSelectedInstOperands,
     /*  615234 */     // GIR_Coverage, 5671,
     /*  615234 */     GIR_EraseRootFromParent_Done,
     /*  615235 */   // Label 9927: @615235
     /*  615235 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(615310), // Rule ID 5674 //
     /*  615240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  615260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615308 */     GIR_RootConstrainSelectedInstOperands,
     /*  615309 */     // GIR_Coverage, 5674,
     /*  615309 */     GIR_EraseRootFromParent_Done,
     /*  615310 */   // Label 9928: @615310
     /*  615310 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(615385), // Rule ID 5675 //
     /*  615315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  615335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615383 */     GIR_RootConstrainSelectedInstOperands,
     /*  615384 */     // GIR_Coverage, 5675,
     /*  615384 */     GIR_EraseRootFromParent_Done,
     /*  615385 */   // Label 9929: @615385
     /*  615385 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(615460), // Rule ID 5678 //
     /*  615390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615458 */     GIR_RootConstrainSelectedInstOperands,
     /*  615459 */     // GIR_Coverage, 5678,
     /*  615459 */     GIR_EraseRootFromParent_Done,
     /*  615460 */   // Label 9930: @615460
     /*  615460 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(615535), // Rule ID 5679 //
     /*  615465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615533 */     GIR_RootConstrainSelectedInstOperands,
     /*  615534 */     // GIR_Coverage, 5679,
     /*  615534 */     GIR_EraseRootFromParent_Done,
     /*  615535 */   // Label 9931: @615535
     /*  615535 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(615610), // Rule ID 5682 //
     /*  615540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615608 */     GIR_RootConstrainSelectedInstOperands,
     /*  615609 */     // GIR_Coverage, 5682,
     /*  615609 */     GIR_EraseRootFromParent_Done,
     /*  615610 */   // Label 9932: @615610
     /*  615610 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615685), // Rule ID 5683 //
     /*  615615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615683 */     GIR_RootConstrainSelectedInstOperands,
     /*  615684 */     // GIR_Coverage, 5683,
     /*  615684 */     GIR_EraseRootFromParent_Done,
     /*  615685 */   // Label 9933: @615685
     /*  615685 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615760), // Rule ID 5686 //
     /*  615690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615758 */     GIR_RootConstrainSelectedInstOperands,
     /*  615759 */     // GIR_Coverage, 5686,
     /*  615759 */     GIR_EraseRootFromParent_Done,
     /*  615760 */   // Label 9934: @615760
     /*  615760 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615835), // Rule ID 5687 //
     /*  615765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615833 */     GIR_RootConstrainSelectedInstOperands,
     /*  615834 */     // GIR_Coverage, 5687,
     /*  615834 */     GIR_EraseRootFromParent_Done,
     /*  615835 */   // Label 9935: @615835
     /*  615835 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615910), // Rule ID 5690 //
     /*  615840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  615886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615908 */     GIR_RootConstrainSelectedInstOperands,
     /*  615909 */     // GIR_Coverage, 5690,
     /*  615909 */     GIR_EraseRootFromParent_Done,
     /*  615910 */   // Label 9936: @615910
     /*  615910 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615985), // Rule ID 5691 //
     /*  615915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  615961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615983 */     GIR_RootConstrainSelectedInstOperands,
     /*  615984 */     // GIR_Coverage, 5691,
     /*  615984 */     GIR_EraseRootFromParent_Done,
     /*  615985 */   // Label 9937: @615985
     /*  615985 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(616060), // Rule ID 5694 //
     /*  615990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616058 */     GIR_RootConstrainSelectedInstOperands,
     /*  616059 */     // GIR_Coverage, 5694,
     /*  616059 */     GIR_EraseRootFromParent_Done,
     /*  616060 */   // Label 9938: @616060
     /*  616060 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(616135), // Rule ID 5695 //
     /*  616065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616133 */     GIR_RootConstrainSelectedInstOperands,
     /*  616134 */     // GIR_Coverage, 5695,
     /*  616134 */     GIR_EraseRootFromParent_Done,
     /*  616135 */   // Label 9939: @616135
     /*  616135 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(616210), // Rule ID 5698 //
     /*  616140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616208 */     GIR_RootConstrainSelectedInstOperands,
     /*  616209 */     // GIR_Coverage, 5698,
     /*  616209 */     GIR_EraseRootFromParent_Done,
     /*  616210 */   // Label 9940: @616210
     /*  616210 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(616285), // Rule ID 5699 //
     /*  616215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616261 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616283 */     GIR_RootConstrainSelectedInstOperands,
     /*  616284 */     // GIR_Coverage, 5699,
     /*  616284 */     GIR_EraseRootFromParent_Done,
     /*  616285 */   // Label 9941: @616285
     /*  616285 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(616360), // Rule ID 5702 //
     /*  616290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  616301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  616304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  616307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  616310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616358 */     GIR_RootConstrainSelectedInstOperands,
     /*  616359 */     // GIR_Coverage, 5702,
     /*  616359 */     GIR_EraseRootFromParent_Done,
     /*  616360 */   // Label 9942: @616360
     /*  616360 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(616435), // Rule ID 5703 //
     /*  616365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  616376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  616379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  616382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  616385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616433 */     GIR_RootConstrainSelectedInstOperands,
     /*  616434 */     // GIR_Coverage, 5703,
     /*  616434 */     GIR_EraseRootFromParent_Done,
     /*  616435 */   // Label 9943: @616435
     /*  616435 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(616510), // Rule ID 5706 //
     /*  616440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616508 */     GIR_RootConstrainSelectedInstOperands,
     /*  616509 */     // GIR_Coverage, 5706,
     /*  616509 */     GIR_EraseRootFromParent_Done,
     /*  616510 */   // Label 9944: @616510
     /*  616510 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(616585), // Rule ID 5707 //
     /*  616515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616583 */     GIR_RootConstrainSelectedInstOperands,
     /*  616584 */     // GIR_Coverage, 5707,
     /*  616584 */     GIR_EraseRootFromParent_Done,
     /*  616585 */   // Label 9945: @616585
     /*  616585 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616660), // Rule ID 5710 //
     /*  616590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616658 */     GIR_RootConstrainSelectedInstOperands,
     /*  616659 */     // GIR_Coverage, 5710,
     /*  616659 */     GIR_EraseRootFromParent_Done,
     /*  616660 */   // Label 9946: @616660
     /*  616660 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616735), // Rule ID 5711 //
     /*  616665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616733 */     GIR_RootConstrainSelectedInstOperands,
     /*  616734 */     // GIR_Coverage, 5711,
     /*  616734 */     GIR_EraseRootFromParent_Done,
     /*  616735 */   // Label 9947: @616735
     /*  616735 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616810), // Rule ID 5714 //
     /*  616740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616808 */     GIR_RootConstrainSelectedInstOperands,
     /*  616809 */     // GIR_Coverage, 5714,
     /*  616809 */     GIR_EraseRootFromParent_Done,
     /*  616810 */   // Label 9948: @616810
     /*  616810 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616885), // Rule ID 5715 //
     /*  616815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616883 */     GIR_RootConstrainSelectedInstOperands,
     /*  616884 */     // GIR_Coverage, 5715,
     /*  616884 */     GIR_EraseRootFromParent_Done,
     /*  616885 */   // Label 9949: @616885
     /*  616885 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616960), // Rule ID 5718 //
     /*  616890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616958 */     GIR_RootConstrainSelectedInstOperands,
     /*  616959 */     // GIR_Coverage, 5718,
     /*  616959 */     GIR_EraseRootFromParent_Done,
     /*  616960 */   // Label 9950: @616960
     /*  616960 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(617035), // Rule ID 5719 //
     /*  616965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617033 */     GIR_RootConstrainSelectedInstOperands,
     /*  617034 */     // GIR_Coverage, 5719,
     /*  617034 */     GIR_EraseRootFromParent_Done,
     /*  617035 */   // Label 9951: @617035
     /*  617035 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(617110), // Rule ID 5722 //
     /*  617040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617108 */     GIR_RootConstrainSelectedInstOperands,
     /*  617109 */     // GIR_Coverage, 5722,
     /*  617109 */     GIR_EraseRootFromParent_Done,
     /*  617110 */   // Label 9952: @617110
     /*  617110 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(617185), // Rule ID 5723 //
     /*  617115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617183 */     GIR_RootConstrainSelectedInstOperands,
     /*  617184 */     // GIR_Coverage, 5723,
     /*  617184 */     GIR_EraseRootFromParent_Done,
     /*  617185 */   // Label 9953: @617185
     /*  617185 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(617260), // Rule ID 5726 //
     /*  617190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617258 */     GIR_RootConstrainSelectedInstOperands,
     /*  617259 */     // GIR_Coverage, 5726,
     /*  617259 */     GIR_EraseRootFromParent_Done,
     /*  617260 */   // Label 9954: @617260
     /*  617260 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(617335), // Rule ID 5727 //
     /*  617265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617333 */     GIR_RootConstrainSelectedInstOperands,
     /*  617334 */     // GIR_Coverage, 5727,
     /*  617334 */     GIR_EraseRootFromParent_Done,
     /*  617335 */   // Label 9955: @617335
     /*  617335 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(617410), // Rule ID 5730 //
     /*  617340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  617351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  617354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  617357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  617360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617408 */     GIR_RootConstrainSelectedInstOperands,
     /*  617409 */     // GIR_Coverage, 5730,
     /*  617409 */     GIR_EraseRootFromParent_Done,
     /*  617410 */   // Label 9956: @617410
     /*  617410 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(617485), // Rule ID 5731 //
     /*  617415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  617426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  617429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  617432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  617435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617483 */     GIR_RootConstrainSelectedInstOperands,
     /*  617484 */     // GIR_Coverage, 5731,
     /*  617484 */     GIR_EraseRootFromParent_Done,
     /*  617485 */   // Label 9957: @617485
     /*  617485 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(617560), // Rule ID 5734 //
     /*  617490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617558 */     GIR_RootConstrainSelectedInstOperands,
     /*  617559 */     // GIR_Coverage, 5734,
     /*  617559 */     GIR_EraseRootFromParent_Done,
     /*  617560 */   // Label 9958: @617560
     /*  617560 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(617635), // Rule ID 5735 //
     /*  617565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617633 */     GIR_RootConstrainSelectedInstOperands,
     /*  617634 */     // GIR_Coverage, 5735,
     /*  617634 */     GIR_EraseRootFromParent_Done,
     /*  617635 */   // Label 9959: @617635
     /*  617635 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617710), // Rule ID 5738 //
     /*  617640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617708 */     GIR_RootConstrainSelectedInstOperands,
     /*  617709 */     // GIR_Coverage, 5738,
     /*  617709 */     GIR_EraseRootFromParent_Done,
     /*  617710 */   // Label 9960: @617710
     /*  617710 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617785), // Rule ID 5739 //
     /*  617715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617783 */     GIR_RootConstrainSelectedInstOperands,
     /*  617784 */     // GIR_Coverage, 5739,
     /*  617784 */     GIR_EraseRootFromParent_Done,
     /*  617785 */   // Label 9961: @617785
     /*  617785 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617860), // Rule ID 5742 //
     /*  617790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617858 */     GIR_RootConstrainSelectedInstOperands,
     /*  617859 */     // GIR_Coverage, 5742,
     /*  617859 */     GIR_EraseRootFromParent_Done,
     /*  617860 */   // Label 9962: @617860
     /*  617860 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617935), // Rule ID 5743 //
     /*  617865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617933 */     GIR_RootConstrainSelectedInstOperands,
     /*  617934 */     // GIR_Coverage, 5743,
     /*  617934 */     GIR_EraseRootFromParent_Done,
     /*  617935 */   // Label 9963: @617935
     /*  617935 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(618010), // Rule ID 5746 //
     /*  617940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  617951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  617954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  617957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618008 */     GIR_RootConstrainSelectedInstOperands,
     /*  618009 */     // GIR_Coverage, 5746,
     /*  618009 */     GIR_EraseRootFromParent_Done,
     /*  618010 */   // Label 9964: @618010
     /*  618010 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(618085), // Rule ID 5747 //
     /*  618015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618083 */     GIR_RootConstrainSelectedInstOperands,
     /*  618084 */     // GIR_Coverage, 5747,
     /*  618084 */     GIR_EraseRootFromParent_Done,
     /*  618085 */   // Label 9965: @618085
     /*  618085 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(618160), // Rule ID 5750 //
     /*  618090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618158 */     GIR_RootConstrainSelectedInstOperands,
     /*  618159 */     // GIR_Coverage, 5750,
     /*  618159 */     GIR_EraseRootFromParent_Done,
     /*  618160 */   // Label 9966: @618160
     /*  618160 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(618235), // Rule ID 5751 //
     /*  618165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618233 */     GIR_RootConstrainSelectedInstOperands,
     /*  618234 */     // GIR_Coverage, 5751,
     /*  618234 */     GIR_EraseRootFromParent_Done,
     /*  618235 */   // Label 9967: @618235
     /*  618235 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(618310), // Rule ID 5754 //
     /*  618240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618308 */     GIR_RootConstrainSelectedInstOperands,
     /*  618309 */     // GIR_Coverage, 5754,
     /*  618309 */     GIR_EraseRootFromParent_Done,
     /*  618310 */   // Label 9968: @618310
     /*  618310 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(618385), // Rule ID 5755 //
     /*  618315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618383 */     GIR_RootConstrainSelectedInstOperands,
     /*  618384 */     // GIR_Coverage, 5755,
     /*  618384 */     GIR_EraseRootFromParent_Done,
     /*  618385 */   // Label 9969: @618385
     /*  618385 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(618460), // Rule ID 5758 //
     /*  618390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618458 */     GIR_RootConstrainSelectedInstOperands,
     /*  618459 */     // GIR_Coverage, 5758,
     /*  618459 */     GIR_EraseRootFromParent_Done,
     /*  618460 */   // Label 9970: @618460
     /*  618460 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(618535), // Rule ID 5759 //
     /*  618465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618533 */     GIR_RootConstrainSelectedInstOperands,
     /*  618534 */     // GIR_Coverage, 5759,
     /*  618534 */     GIR_EraseRootFromParent_Done,
     /*  618535 */   // Label 9971: @618535
     /*  618535 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(618610), // Rule ID 5762 //
     /*  618540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618608 */     GIR_RootConstrainSelectedInstOperands,
     /*  618609 */     // GIR_Coverage, 5762,
     /*  618609 */     GIR_EraseRootFromParent_Done,
     /*  618610 */   // Label 9972: @618610
     /*  618610 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(618685), // Rule ID 5763 //
     /*  618615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618683 */     GIR_RootConstrainSelectedInstOperands,
     /*  618684 */     // GIR_Coverage, 5763,
     /*  618684 */     GIR_EraseRootFromParent_Done,
     /*  618685 */   // Label 9973: @618685
     /*  618685 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618760), // Rule ID 5766 //
     /*  618690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618758 */     GIR_RootConstrainSelectedInstOperands,
     /*  618759 */     // GIR_Coverage, 5766,
     /*  618759 */     GIR_EraseRootFromParent_Done,
     /*  618760 */   // Label 9974: @618760
     /*  618760 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618835), // Rule ID 5767 //
     /*  618765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618833 */     GIR_RootConstrainSelectedInstOperands,
     /*  618834 */     // GIR_Coverage, 5767,
     /*  618834 */     GIR_EraseRootFromParent_Done,
     /*  618835 */   // Label 9975: @618835
     /*  618835 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618910), // Rule ID 5770 //
     /*  618840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618908 */     GIR_RootConstrainSelectedInstOperands,
     /*  618909 */     // GIR_Coverage, 5770,
     /*  618909 */     GIR_EraseRootFromParent_Done,
     /*  618910 */   // Label 9976: @618910
     /*  618910 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618985), // Rule ID 5771 //
     /*  618915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618983 */     GIR_RootConstrainSelectedInstOperands,
     /*  618984 */     // GIR_Coverage, 5771,
     /*  618984 */     GIR_EraseRootFromParent_Done,
     /*  618985 */   // Label 9977: @618985
     /*  618985 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(619060), // Rule ID 5774 //
     /*  618990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619058 */     GIR_RootConstrainSelectedInstOperands,
     /*  619059 */     // GIR_Coverage, 5774,
     /*  619059 */     GIR_EraseRootFromParent_Done,
     /*  619060 */   // Label 9978: @619060
     /*  619060 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(619135), // Rule ID 5775 //
     /*  619065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619133 */     GIR_RootConstrainSelectedInstOperands,
     /*  619134 */     // GIR_Coverage, 5775,
     /*  619134 */     GIR_EraseRootFromParent_Done,
     /*  619135 */   // Label 9979: @619135
     /*  619135 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(619210), // Rule ID 5778 //
     /*  619140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619208 */     GIR_RootConstrainSelectedInstOperands,
     /*  619209 */     // GIR_Coverage, 5778,
     /*  619209 */     GIR_EraseRootFromParent_Done,
     /*  619210 */   // Label 9980: @619210
     /*  619210 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(619285), // Rule ID 5779 //
     /*  619215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619283 */     GIR_RootConstrainSelectedInstOperands,
     /*  619284 */     // GIR_Coverage, 5779,
     /*  619284 */     GIR_EraseRootFromParent_Done,
     /*  619285 */   // Label 9981: @619285
     /*  619285 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(619360), // Rule ID 5782 //
     /*  619290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619358 */     GIR_RootConstrainSelectedInstOperands,
     /*  619359 */     // GIR_Coverage, 5782,
     /*  619359 */     GIR_EraseRootFromParent_Done,
     /*  619360 */   // Label 9982: @619360
     /*  619360 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(619435), // Rule ID 5783 //
     /*  619365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619433 */     GIR_RootConstrainSelectedInstOperands,
     /*  619434 */     // GIR_Coverage, 5783,
     /*  619434 */     GIR_EraseRootFromParent_Done,
     /*  619435 */   // Label 9983: @619435
     /*  619435 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(619510), // Rule ID 5786 //
     /*  619440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619508 */     GIR_RootConstrainSelectedInstOperands,
     /*  619509 */     // GIR_Coverage, 5786,
     /*  619509 */     GIR_EraseRootFromParent_Done,
     /*  619510 */   // Label 9984: @619510
     /*  619510 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(619585), // Rule ID 5787 //
     /*  619515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619583 */     GIR_RootConstrainSelectedInstOperands,
     /*  619584 */     // GIR_Coverage, 5787,
     /*  619584 */     GIR_EraseRootFromParent_Done,
     /*  619585 */   // Label 9985: @619585
     /*  619585 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(619660), // Rule ID 5790 //
     /*  619590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619658 */     GIR_RootConstrainSelectedInstOperands,
     /*  619659 */     // GIR_Coverage, 5790,
     /*  619659 */     GIR_EraseRootFromParent_Done,
     /*  619660 */   // Label 9986: @619660
     /*  619660 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(619735), // Rule ID 5791 //
     /*  619665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619733 */     GIR_RootConstrainSelectedInstOperands,
     /*  619734 */     // GIR_Coverage, 5791,
     /*  619734 */     GIR_EraseRootFromParent_Done,
     /*  619735 */   // Label 9987: @619735
     /*  619735 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619810), // Rule ID 5794 //
     /*  619740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619808 */     GIR_RootConstrainSelectedInstOperands,
     /*  619809 */     // GIR_Coverage, 5794,
     /*  619809 */     GIR_EraseRootFromParent_Done,
     /*  619810 */   // Label 9988: @619810
     /*  619810 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619885), // Rule ID 5795 //
     /*  619815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619883 */     GIR_RootConstrainSelectedInstOperands,
     /*  619884 */     // GIR_Coverage, 5795,
     /*  619884 */     GIR_EraseRootFromParent_Done,
     /*  619885 */   // Label 9989: @619885
     /*  619885 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619960), // Rule ID 5798 //
     /*  619890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619958 */     GIR_RootConstrainSelectedInstOperands,
     /*  619959 */     // GIR_Coverage, 5798,
     /*  619959 */     GIR_EraseRootFromParent_Done,
     /*  619960 */   // Label 9990: @619960
     /*  619960 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(620035), // Rule ID 5799 //
     /*  619965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620033 */     GIR_RootConstrainSelectedInstOperands,
     /*  620034 */     // GIR_Coverage, 5799,
     /*  620034 */     GIR_EraseRootFromParent_Done,
     /*  620035 */   // Label 9991: @620035
     /*  620035 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(620110), // Rule ID 5802 //
     /*  620040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620086 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620108 */     GIR_RootConstrainSelectedInstOperands,
     /*  620109 */     // GIR_Coverage, 5802,
     /*  620109 */     GIR_EraseRootFromParent_Done,
     /*  620110 */   // Label 9992: @620110
     /*  620110 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(620185), // Rule ID 5803 //
     /*  620115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620183 */     GIR_RootConstrainSelectedInstOperands,
     /*  620184 */     // GIR_Coverage, 5803,
     /*  620184 */     GIR_EraseRootFromParent_Done,
     /*  620185 */   // Label 9993: @620185
     /*  620185 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(620260), // Rule ID 5806 //
     /*  620190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620258 */     GIR_RootConstrainSelectedInstOperands,
     /*  620259 */     // GIR_Coverage, 5806,
     /*  620259 */     GIR_EraseRootFromParent_Done,
     /*  620260 */   // Label 9994: @620260
     /*  620260 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(620335), // Rule ID 5807 //
     /*  620265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620333 */     GIR_RootConstrainSelectedInstOperands,
     /*  620334 */     // GIR_Coverage, 5807,
     /*  620334 */     GIR_EraseRootFromParent_Done,
     /*  620335 */   // Label 9995: @620335
     /*  620335 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(620410), // Rule ID 5810 //
     /*  620340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620408 */     GIR_RootConstrainSelectedInstOperands,
     /*  620409 */     // GIR_Coverage, 5810,
     /*  620409 */     GIR_EraseRootFromParent_Done,
     /*  620410 */   // Label 9996: @620410
     /*  620410 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(620485), // Rule ID 5811 //
     /*  620415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620483 */     GIR_RootConstrainSelectedInstOperands,
     /*  620484 */     // GIR_Coverage, 5811,
     /*  620484 */     GIR_EraseRootFromParent_Done,
     /*  620485 */   // Label 9997: @620485
     /*  620485 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(620560), // Rule ID 5814 //
     /*  620490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620558 */     GIR_RootConstrainSelectedInstOperands,
     /*  620559 */     // GIR_Coverage, 5814,
     /*  620559 */     GIR_EraseRootFromParent_Done,
     /*  620560 */   // Label 9998: @620560
     /*  620560 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(620635), // Rule ID 5815 //
     /*  620565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620633 */     GIR_RootConstrainSelectedInstOperands,
     /*  620634 */     // GIR_Coverage, 5815,
     /*  620634 */     GIR_EraseRootFromParent_Done,
     /*  620635 */   // Label 9999: @620635
     /*  620635 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(620710), // Rule ID 5818 //
     /*  620640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620708 */     GIR_RootConstrainSelectedInstOperands,
     /*  620709 */     // GIR_Coverage, 5818,
     /*  620709 */     GIR_EraseRootFromParent_Done,
     /*  620710 */   // Label 10000: @620710
     /*  620710 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620785), // Rule ID 5819 //
     /*  620715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620783 */     GIR_RootConstrainSelectedInstOperands,
     /*  620784 */     // GIR_Coverage, 5819,
     /*  620784 */     GIR_EraseRootFromParent_Done,
     /*  620785 */   // Label 10001: @620785
     /*  620785 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620860), // Rule ID 5822 //
     /*  620790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620858 */     GIR_RootConstrainSelectedInstOperands,
     /*  620859 */     // GIR_Coverage, 5822,
     /*  620859 */     GIR_EraseRootFromParent_Done,
     /*  620860 */   // Label 10002: @620860
     /*  620860 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620935), // Rule ID 5823 //
     /*  620865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620933 */     GIR_RootConstrainSelectedInstOperands,
     /*  620934 */     // GIR_Coverage, 5823,
     /*  620934 */     GIR_EraseRootFromParent_Done,
     /*  620935 */   // Label 10003: @620935
     /*  620935 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(621010), // Rule ID 5826 //
     /*  620940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621008 */     GIR_RootConstrainSelectedInstOperands,
     /*  621009 */     // GIR_Coverage, 5826,
     /*  621009 */     GIR_EraseRootFromParent_Done,
     /*  621010 */   // Label 10004: @621010
     /*  621010 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(621085), // Rule ID 5827 //
     /*  621015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  621064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621083 */     GIR_RootConstrainSelectedInstOperands,
     /*  621084 */     // GIR_Coverage, 5827,
     /*  621084 */     GIR_EraseRootFromParent_Done,
     /*  621085 */   // Label 10005: @621085
     /*  621085 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(621160), // Rule ID 5918 //
     /*  621090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  621139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621158 */     GIR_RootConstrainSelectedInstOperands,
     /*  621159 */     // GIR_Coverage, 5918,
     /*  621159 */     GIR_EraseRootFromParent_Done,
     /*  621160 */   // Label 10006: @621160
     /*  621160 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(621235), // Rule ID 5919 //
     /*  621165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  621214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621233 */     GIR_RootConstrainSelectedInstOperands,
     /*  621234 */     // GIR_Coverage, 5919,
     /*  621234 */     GIR_EraseRootFromParent_Done,
     /*  621235 */   // Label 10007: @621235
     /*  621235 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(621310), // Rule ID 5922 //
     /*  621240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  621260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621308 */     GIR_RootConstrainSelectedInstOperands,
     /*  621309 */     // GIR_Coverage, 5922,
     /*  621309 */     GIR_EraseRootFromParent_Done,
     /*  621310 */   // Label 10008: @621310
     /*  621310 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(621385), // Rule ID 5923 //
     /*  621315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  621335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621383 */     GIR_RootConstrainSelectedInstOperands,
     /*  621384 */     // GIR_Coverage, 5923,
     /*  621384 */     GIR_EraseRootFromParent_Done,
     /*  621385 */   // Label 10009: @621385
     /*  621385 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(621460), // Rule ID 5926 //
     /*  621390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621458 */     GIR_RootConstrainSelectedInstOperands,
     /*  621459 */     // GIR_Coverage, 5926,
     /*  621459 */     GIR_EraseRootFromParent_Done,
     /*  621460 */   // Label 10010: @621460
     /*  621460 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(621535), // Rule ID 5927 //
     /*  621465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621533 */     GIR_RootConstrainSelectedInstOperands,
     /*  621534 */     // GIR_Coverage, 5927,
     /*  621534 */     GIR_EraseRootFromParent_Done,
     /*  621535 */   // Label 10011: @621535
     /*  621535 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(621610), // Rule ID 5930 //
     /*  621540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621608 */     GIR_RootConstrainSelectedInstOperands,
     /*  621609 */     // GIR_Coverage, 5930,
     /*  621609 */     GIR_EraseRootFromParent_Done,
     /*  621610 */   // Label 10012: @621610
     /*  621610 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(621685), // Rule ID 5931 //
     /*  621615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621683 */     GIR_RootConstrainSelectedInstOperands,
     /*  621684 */     // GIR_Coverage, 5931,
     /*  621684 */     GIR_EraseRootFromParent_Done,
     /*  621685 */   // Label 10013: @621685
     /*  621685 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621760), // Rule ID 5934 //
     /*  621690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621758 */     GIR_RootConstrainSelectedInstOperands,
     /*  621759 */     // GIR_Coverage, 5934,
     /*  621759 */     GIR_EraseRootFromParent_Done,
     /*  621760 */   // Label 10014: @621760
     /*  621760 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621835), // Rule ID 5935 //
     /*  621765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621833 */     GIR_RootConstrainSelectedInstOperands,
     /*  621834 */     // GIR_Coverage, 5935,
     /*  621834 */     GIR_EraseRootFromParent_Done,
     /*  621835 */   // Label 10015: @621835
     /*  621835 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621910), // Rule ID 5938 //
     /*  621840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621908 */     GIR_RootConstrainSelectedInstOperands,
     /*  621909 */     // GIR_Coverage, 5938,
     /*  621909 */     GIR_EraseRootFromParent_Done,
     /*  621910 */   // Label 10016: @621910
     /*  621910 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621985), // Rule ID 5939 //
     /*  621915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621983 */     GIR_RootConstrainSelectedInstOperands,
     /*  621984 */     // GIR_Coverage, 5939,
     /*  621984 */     GIR_EraseRootFromParent_Done,
     /*  621985 */   // Label 10017: @621985
     /*  621985 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(622060), // Rule ID 5942 //
     /*  621990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622058 */     GIR_RootConstrainSelectedInstOperands,
     /*  622059 */     // GIR_Coverage, 5942,
     /*  622059 */     GIR_EraseRootFromParent_Done,
     /*  622060 */   // Label 10018: @622060
     /*  622060 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(622135), // Rule ID 5943 //
     /*  622065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622133 */     GIR_RootConstrainSelectedInstOperands,
     /*  622134 */     // GIR_Coverage, 5943,
     /*  622134 */     GIR_EraseRootFromParent_Done,
     /*  622135 */   // Label 10019: @622135
     /*  622135 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(622210), // Rule ID 5946 //
     /*  622140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622208 */     GIR_RootConstrainSelectedInstOperands,
     /*  622209 */     // GIR_Coverage, 5946,
     /*  622209 */     GIR_EraseRootFromParent_Done,
     /*  622210 */   // Label 10020: @622210
     /*  622210 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(622285), // Rule ID 5947 //
     /*  622215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622283 */     GIR_RootConstrainSelectedInstOperands,
     /*  622284 */     // GIR_Coverage, 5947,
     /*  622284 */     GIR_EraseRootFromParent_Done,
     /*  622285 */   // Label 10021: @622285
     /*  622285 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(622360), // Rule ID 5950 //
     /*  622290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  622310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622358 */     GIR_RootConstrainSelectedInstOperands,
     /*  622359 */     // GIR_Coverage, 5950,
     /*  622359 */     GIR_EraseRootFromParent_Done,
     /*  622360 */   // Label 10022: @622360
     /*  622360 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(622435), // Rule ID 5951 //
     /*  622365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  622385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622433 */     GIR_RootConstrainSelectedInstOperands,
     /*  622434 */     // GIR_Coverage, 5951,
     /*  622434 */     GIR_EraseRootFromParent_Done,
     /*  622435 */   // Label 10023: @622435
     /*  622435 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(622510), // Rule ID 5954 //
     /*  622440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622508 */     GIR_RootConstrainSelectedInstOperands,
     /*  622509 */     // GIR_Coverage, 5954,
     /*  622509 */     GIR_EraseRootFromParent_Done,
     /*  622510 */   // Label 10024: @622510
     /*  622510 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(622585), // Rule ID 5955 //
     /*  622515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622583 */     GIR_RootConstrainSelectedInstOperands,
     /*  622584 */     // GIR_Coverage, 5955,
     /*  622584 */     GIR_EraseRootFromParent_Done,
     /*  622585 */   // Label 10025: @622585
     /*  622585 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(622660), // Rule ID 5958 //
     /*  622590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622658 */     GIR_RootConstrainSelectedInstOperands,
     /*  622659 */     // GIR_Coverage, 5958,
     /*  622659 */     GIR_EraseRootFromParent_Done,
     /*  622660 */   // Label 10026: @622660
     /*  622660 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(622735), // Rule ID 5959 //
     /*  622665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622733 */     GIR_RootConstrainSelectedInstOperands,
     /*  622734 */     // GIR_Coverage, 5959,
     /*  622734 */     GIR_EraseRootFromParent_Done,
     /*  622735 */   // Label 10027: @622735
     /*  622735 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622810), // Rule ID 5962 //
     /*  622740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622808 */     GIR_RootConstrainSelectedInstOperands,
     /*  622809 */     // GIR_Coverage, 5962,
     /*  622809 */     GIR_EraseRootFromParent_Done,
     /*  622810 */   // Label 10028: @622810
     /*  622810 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622885), // Rule ID 5963 //
     /*  622815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622861 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622883 */     GIR_RootConstrainSelectedInstOperands,
     /*  622884 */     // GIR_Coverage, 5963,
     /*  622884 */     GIR_EraseRootFromParent_Done,
     /*  622885 */   // Label 10029: @622885
     /*  622885 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622960), // Rule ID 5966 //
     /*  622890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622936 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622958 */     GIR_RootConstrainSelectedInstOperands,
     /*  622959 */     // GIR_Coverage, 5966,
     /*  622959 */     GIR_EraseRootFromParent_Done,
     /*  622960 */   // Label 10030: @622960
     /*  622960 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(623035), // Rule ID 5967 //
     /*  622965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623033 */     GIR_RootConstrainSelectedInstOperands,
     /*  623034 */     // GIR_Coverage, 5967,
     /*  623034 */     GIR_EraseRootFromParent_Done,
     /*  623035 */   // Label 10031: @623035
     /*  623035 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(623110), // Rule ID 5970 //
     /*  623040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623108 */     GIR_RootConstrainSelectedInstOperands,
     /*  623109 */     // GIR_Coverage, 5970,
     /*  623109 */     GIR_EraseRootFromParent_Done,
     /*  623110 */   // Label 10032: @623110
     /*  623110 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(623185), // Rule ID 5971 //
     /*  623115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623183 */     GIR_RootConstrainSelectedInstOperands,
     /*  623184 */     // GIR_Coverage, 5971,
     /*  623184 */     GIR_EraseRootFromParent_Done,
     /*  623185 */   // Label 10033: @623185
     /*  623185 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(623260), // Rule ID 5974 //
     /*  623190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623258 */     GIR_RootConstrainSelectedInstOperands,
     /*  623259 */     // GIR_Coverage, 5974,
     /*  623259 */     GIR_EraseRootFromParent_Done,
     /*  623260 */   // Label 10034: @623260
     /*  623260 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(623335), // Rule ID 5975 //
     /*  623265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623333 */     GIR_RootConstrainSelectedInstOperands,
     /*  623334 */     // GIR_Coverage, 5975,
     /*  623334 */     GIR_EraseRootFromParent_Done,
     /*  623335 */   // Label 10035: @623335
     /*  623335 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(623410), // Rule ID 5978 //
     /*  623340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  623360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623408 */     GIR_RootConstrainSelectedInstOperands,
     /*  623409 */     // GIR_Coverage, 5978,
     /*  623409 */     GIR_EraseRootFromParent_Done,
     /*  623410 */   // Label 10036: @623410
     /*  623410 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(623485), // Rule ID 5979 //
     /*  623415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  623435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623483 */     GIR_RootConstrainSelectedInstOperands,
     /*  623484 */     // GIR_Coverage, 5979,
     /*  623484 */     GIR_EraseRootFromParent_Done,
     /*  623485 */   // Label 10037: @623485
     /*  623485 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(623560), // Rule ID 5982 //
     /*  623490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623558 */     GIR_RootConstrainSelectedInstOperands,
     /*  623559 */     // GIR_Coverage, 5982,
     /*  623559 */     GIR_EraseRootFromParent_Done,
     /*  623560 */   // Label 10038: @623560
     /*  623560 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(623635), // Rule ID 5983 //
     /*  623565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623633 */     GIR_RootConstrainSelectedInstOperands,
     /*  623634 */     // GIR_Coverage, 5983,
     /*  623634 */     GIR_EraseRootFromParent_Done,
     /*  623635 */   // Label 10039: @623635
     /*  623635 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(623710), // Rule ID 5986 //
     /*  623640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623708 */     GIR_RootConstrainSelectedInstOperands,
     /*  623709 */     // GIR_Coverage, 5986,
     /*  623709 */     GIR_EraseRootFromParent_Done,
     /*  623710 */   // Label 10040: @623710
     /*  623710 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623785), // Rule ID 5987 //
     /*  623715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623783 */     GIR_RootConstrainSelectedInstOperands,
     /*  623784 */     // GIR_Coverage, 5987,
     /*  623784 */     GIR_EraseRootFromParent_Done,
     /*  623785 */   // Label 10041: @623785
     /*  623785 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623860), // Rule ID 5990 //
     /*  623790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623858 */     GIR_RootConstrainSelectedInstOperands,
     /*  623859 */     // GIR_Coverage, 5990,
     /*  623859 */     GIR_EraseRootFromParent_Done,
     /*  623860 */   // Label 10042: @623860
     /*  623860 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623935), // Rule ID 5991 //
     /*  623865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623933 */     GIR_RootConstrainSelectedInstOperands,
     /*  623934 */     // GIR_Coverage, 5991,
     /*  623934 */     GIR_EraseRootFromParent_Done,
     /*  623935 */   // Label 10043: @623935
     /*  623935 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(624010), // Rule ID 5994 //
     /*  623940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624008 */     GIR_RootConstrainSelectedInstOperands,
     /*  624009 */     // GIR_Coverage, 5994,
     /*  624009 */     GIR_EraseRootFromParent_Done,
     /*  624010 */   // Label 10044: @624010
     /*  624010 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(624085), // Rule ID 5995 //
     /*  624015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  624064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624083 */     GIR_RootConstrainSelectedInstOperands,
     /*  624084 */     // GIR_Coverage, 5995,
     /*  624084 */     GIR_EraseRootFromParent_Done,
     /*  624085 */   // Label 10045: @624085
     /*  624085 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(624160), // Rule ID 5998 //
     /*  624090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624158 */     GIR_RootConstrainSelectedInstOperands,
     /*  624159 */     // GIR_Coverage, 5998,
     /*  624159 */     GIR_EraseRootFromParent_Done,
     /*  624160 */   // Label 10046: @624160
     /*  624160 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(624235), // Rule ID 5999 //
     /*  624165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624233 */     GIR_RootConstrainSelectedInstOperands,
     /*  624234 */     // GIR_Coverage, 5999,
     /*  624234 */     GIR_EraseRootFromParent_Done,
     /*  624235 */   // Label 10047: @624235
     /*  624235 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(624310), // Rule ID 6002 //
     /*  624240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624308 */     GIR_RootConstrainSelectedInstOperands,
     /*  624309 */     // GIR_Coverage, 6002,
     /*  624309 */     GIR_EraseRootFromParent_Done,
     /*  624310 */   // Label 10048: @624310
     /*  624310 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(624385), // Rule ID 6003 //
     /*  624315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624383 */     GIR_RootConstrainSelectedInstOperands,
     /*  624384 */     // GIR_Coverage, 6003,
     /*  624384 */     GIR_EraseRootFromParent_Done,
     /*  624385 */   // Label 10049: @624385
     /*  624385 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(624460), // Rule ID 6006 //
     /*  624390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624458 */     GIR_RootConstrainSelectedInstOperands,
     /*  624459 */     // GIR_Coverage, 6006,
     /*  624459 */     GIR_EraseRootFromParent_Done,
     /*  624460 */   // Label 10050: @624460
     /*  624460 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(624535), // Rule ID 6007 //
     /*  624465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624533 */     GIR_RootConstrainSelectedInstOperands,
     /*  624534 */     // GIR_Coverage, 6007,
     /*  624534 */     GIR_EraseRootFromParent_Done,
     /*  624535 */   // Label 10051: @624535
     /*  624535 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(624610), // Rule ID 6010 //
     /*  624540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624608 */     GIR_RootConstrainSelectedInstOperands,
     /*  624609 */     // GIR_Coverage, 6010,
     /*  624609 */     GIR_EraseRootFromParent_Done,
     /*  624610 */   // Label 10052: @624610
     /*  624610 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(624685), // Rule ID 6011 //
     /*  624615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624683 */     GIR_RootConstrainSelectedInstOperands,
     /*  624684 */     // GIR_Coverage, 6011,
     /*  624684 */     GIR_EraseRootFromParent_Done,
     /*  624685 */   // Label 10053: @624685
     /*  624685 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624760), // Rule ID 6014 //
     /*  624690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624758 */     GIR_RootConstrainSelectedInstOperands,
     /*  624759 */     // GIR_Coverage, 6014,
     /*  624759 */     GIR_EraseRootFromParent_Done,
     /*  624760 */   // Label 10054: @624760
     /*  624760 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624835), // Rule ID 6015 //
     /*  624765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624833 */     GIR_RootConstrainSelectedInstOperands,
     /*  624834 */     // GIR_Coverage, 6015,
     /*  624834 */     GIR_EraseRootFromParent_Done,
     /*  624835 */   // Label 10055: @624835
     /*  624835 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624910), // Rule ID 6018 //
     /*  624840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624908 */     GIR_RootConstrainSelectedInstOperands,
     /*  624909 */     // GIR_Coverage, 6018,
     /*  624909 */     GIR_EraseRootFromParent_Done,
     /*  624910 */   // Label 10056: @624910
     /*  624910 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624985), // Rule ID 6019 //
     /*  624915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624983 */     GIR_RootConstrainSelectedInstOperands,
     /*  624984 */     // GIR_Coverage, 6019,
     /*  624984 */     GIR_EraseRootFromParent_Done,
     /*  624985 */   // Label 10057: @624985
     /*  624985 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(625060), // Rule ID 6022 //
     /*  624990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625058 */     GIR_RootConstrainSelectedInstOperands,
     /*  625059 */     // GIR_Coverage, 6022,
     /*  625059 */     GIR_EraseRootFromParent_Done,
     /*  625060 */   // Label 10058: @625060
     /*  625060 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(625135), // Rule ID 6023 //
     /*  625065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625133 */     GIR_RootConstrainSelectedInstOperands,
     /*  625134 */     // GIR_Coverage, 6023,
     /*  625134 */     GIR_EraseRootFromParent_Done,
     /*  625135 */   // Label 10059: @625135
     /*  625135 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(625210), // Rule ID 6026 //
     /*  625140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625208 */     GIR_RootConstrainSelectedInstOperands,
     /*  625209 */     // GIR_Coverage, 6026,
     /*  625209 */     GIR_EraseRootFromParent_Done,
     /*  625210 */   // Label 10060: @625210
     /*  625210 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(625285), // Rule ID 6027 //
     /*  625215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625283 */     GIR_RootConstrainSelectedInstOperands,
     /*  625284 */     // GIR_Coverage, 6027,
     /*  625284 */     GIR_EraseRootFromParent_Done,
     /*  625285 */   // Label 10061: @625285
     /*  625285 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(625360), // Rule ID 6030 //
     /*  625290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  625301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  625304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  625307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625358 */     GIR_RootConstrainSelectedInstOperands,
     /*  625359 */     // GIR_Coverage, 6030,
     /*  625359 */     GIR_EraseRootFromParent_Done,
     /*  625360 */   // Label 10062: @625360
     /*  625360 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(625435), // Rule ID 6031 //
     /*  625365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  625376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  625379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  625382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625433 */     GIR_RootConstrainSelectedInstOperands,
     /*  625434 */     // GIR_Coverage, 6031,
     /*  625434 */     GIR_EraseRootFromParent_Done,
     /*  625435 */   // Label 10063: @625435
     /*  625435 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(625510), // Rule ID 6034 //
     /*  625440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625508 */     GIR_RootConstrainSelectedInstOperands,
     /*  625509 */     // GIR_Coverage, 6034,
     /*  625509 */     GIR_EraseRootFromParent_Done,
     /*  625510 */   // Label 10064: @625510
     /*  625510 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(625585), // Rule ID 6035 //
     /*  625515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625583 */     GIR_RootConstrainSelectedInstOperands,
     /*  625584 */     // GIR_Coverage, 6035,
     /*  625584 */     GIR_EraseRootFromParent_Done,
     /*  625585 */   // Label 10065: @625585
     /*  625585 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(625660), // Rule ID 6038 //
     /*  625590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625658 */     GIR_RootConstrainSelectedInstOperands,
     /*  625659 */     // GIR_Coverage, 6038,
     /*  625659 */     GIR_EraseRootFromParent_Done,
     /*  625660 */   // Label 10066: @625660
     /*  625660 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(625735), // Rule ID 6039 //
     /*  625665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625733 */     GIR_RootConstrainSelectedInstOperands,
     /*  625734 */     // GIR_Coverage, 6039,
     /*  625734 */     GIR_EraseRootFromParent_Done,
     /*  625735 */   // Label 10067: @625735
     /*  625735 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625810), // Rule ID 6042 //
     /*  625740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625808 */     GIR_RootConstrainSelectedInstOperands,
     /*  625809 */     // GIR_Coverage, 6042,
     /*  625809 */     GIR_EraseRootFromParent_Done,
     /*  625810 */   // Label 10068: @625810
     /*  625810 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625885), // Rule ID 6043 //
     /*  625815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625883 */     GIR_RootConstrainSelectedInstOperands,
     /*  625884 */     // GIR_Coverage, 6043,
     /*  625884 */     GIR_EraseRootFromParent_Done,
     /*  625885 */   // Label 10069: @625885
     /*  625885 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625960), // Rule ID 6046 //
     /*  625890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625958 */     GIR_RootConstrainSelectedInstOperands,
     /*  625959 */     // GIR_Coverage, 6046,
     /*  625959 */     GIR_EraseRootFromParent_Done,
     /*  625960 */   // Label 10070: @625960
     /*  625960 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(626035), // Rule ID 6047 //
     /*  625965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626033 */     GIR_RootConstrainSelectedInstOperands,
     /*  626034 */     // GIR_Coverage, 6047,
     /*  626034 */     GIR_EraseRootFromParent_Done,
     /*  626035 */   // Label 10071: @626035
     /*  626035 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(626110), // Rule ID 6050 //
     /*  626040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626108 */     GIR_RootConstrainSelectedInstOperands,
     /*  626109 */     // GIR_Coverage, 6050,
     /*  626109 */     GIR_EraseRootFromParent_Done,
     /*  626110 */   // Label 10072: @626110
     /*  626110 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(626185), // Rule ID 6051 //
     /*  626115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626183 */     GIR_RootConstrainSelectedInstOperands,
     /*  626184 */     // GIR_Coverage, 6051,
     /*  626184 */     GIR_EraseRootFromParent_Done,
     /*  626185 */   // Label 10073: @626185
     /*  626185 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(626260), // Rule ID 6054 //
     /*  626190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626258 */     GIR_RootConstrainSelectedInstOperands,
     /*  626259 */     // GIR_Coverage, 6054,
     /*  626259 */     GIR_EraseRootFromParent_Done,
     /*  626260 */   // Label 10074: @626260
     /*  626260 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(626335), // Rule ID 6055 //
     /*  626265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626333 */     GIR_RootConstrainSelectedInstOperands,
     /*  626334 */     // GIR_Coverage, 6055,
     /*  626334 */     GIR_EraseRootFromParent_Done,
     /*  626335 */   // Label 10075: @626335
     /*  626335 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(626410), // Rule ID 6058 //
     /*  626340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  626351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  626354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  626357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626408 */     GIR_RootConstrainSelectedInstOperands,
     /*  626409 */     // GIR_Coverage, 6058,
     /*  626409 */     GIR_EraseRootFromParent_Done,
     /*  626410 */   // Label 10076: @626410
     /*  626410 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(626485), // Rule ID 6059 //
     /*  626415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  626426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  626429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  626432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626483 */     GIR_RootConstrainSelectedInstOperands,
     /*  626484 */     // GIR_Coverage, 6059,
     /*  626484 */     GIR_EraseRootFromParent_Done,
     /*  626485 */   // Label 10077: @626485
     /*  626485 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(626560), // Rule ID 6062 //
     /*  626490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626558 */     GIR_RootConstrainSelectedInstOperands,
     /*  626559 */     // GIR_Coverage, 6062,
     /*  626559 */     GIR_EraseRootFromParent_Done,
     /*  626560 */   // Label 10078: @626560
     /*  626560 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(626635), // Rule ID 6063 //
     /*  626565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626633 */     GIR_RootConstrainSelectedInstOperands,
     /*  626634 */     // GIR_Coverage, 6063,
     /*  626634 */     GIR_EraseRootFromParent_Done,
     /*  626635 */   // Label 10079: @626635
     /*  626635 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(626710), // Rule ID 6066 //
     /*  626640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626708 */     GIR_RootConstrainSelectedInstOperands,
     /*  626709 */     // GIR_Coverage, 6066,
     /*  626709 */     GIR_EraseRootFromParent_Done,
     /*  626710 */   // Label 10080: @626710
     /*  626710 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626785), // Rule ID 6067 //
     /*  626715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626783 */     GIR_RootConstrainSelectedInstOperands,
     /*  626784 */     // GIR_Coverage, 6067,
     /*  626784 */     GIR_EraseRootFromParent_Done,
     /*  626785 */   // Label 10081: @626785
     /*  626785 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626860), // Rule ID 6070 //
     /*  626790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626858 */     GIR_RootConstrainSelectedInstOperands,
     /*  626859 */     // GIR_Coverage, 6070,
     /*  626859 */     GIR_EraseRootFromParent_Done,
     /*  626860 */   // Label 10082: @626860
     /*  626860 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626935), // Rule ID 6071 //
     /*  626865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626933 */     GIR_RootConstrainSelectedInstOperands,
     /*  626934 */     // GIR_Coverage, 6071,
     /*  626934 */     GIR_EraseRootFromParent_Done,
     /*  626935 */   // Label 10083: @626935
     /*  626935 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(627010), // Rule ID 6074 //
     /*  626940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  626951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  626954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  626957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627008 */     GIR_RootConstrainSelectedInstOperands,
     /*  627009 */     // GIR_Coverage, 6074,
     /*  627009 */     GIR_EraseRootFromParent_Done,
     /*  627010 */   // Label 10084: @627010
     /*  627010 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(627085), // Rule ID 6075 //
     /*  627015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627083 */     GIR_RootConstrainSelectedInstOperands,
     /*  627084 */     // GIR_Coverage, 6075,
     /*  627084 */     GIR_EraseRootFromParent_Done,
     /*  627085 */   // Label 10085: @627085
     /*  627085 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(627160), // Rule ID 6078 //
     /*  627090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627158 */     GIR_RootConstrainSelectedInstOperands,
     /*  627159 */     // GIR_Coverage, 6078,
     /*  627159 */     GIR_EraseRootFromParent_Done,
     /*  627160 */   // Label 10086: @627160
     /*  627160 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(627235), // Rule ID 6079 //
     /*  627165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627233 */     GIR_RootConstrainSelectedInstOperands,
     /*  627234 */     // GIR_Coverage, 6079,
     /*  627234 */     GIR_EraseRootFromParent_Done,
     /*  627235 */   // Label 10087: @627235
     /*  627235 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(627310), // Rule ID 6082 //
     /*  627240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627308 */     GIR_RootConstrainSelectedInstOperands,
     /*  627309 */     // GIR_Coverage, 6082,
     /*  627309 */     GIR_EraseRootFromParent_Done,
     /*  627310 */   // Label 10088: @627310
     /*  627310 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(627385), // Rule ID 6083 //
     /*  627315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627383 */     GIR_RootConstrainSelectedInstOperands,
     /*  627384 */     // GIR_Coverage, 6083,
     /*  627384 */     GIR_EraseRootFromParent_Done,
     /*  627385 */   // Label 10089: @627385
     /*  627385 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(627460), // Rule ID 6086 //
     /*  627390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627458 */     GIR_RootConstrainSelectedInstOperands,
     /*  627459 */     // GIR_Coverage, 6086,
     /*  627459 */     GIR_EraseRootFromParent_Done,
     /*  627460 */   // Label 10090: @627460
     /*  627460 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(627535), // Rule ID 6087 //
     /*  627465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627533 */     GIR_RootConstrainSelectedInstOperands,
     /*  627534 */     // GIR_Coverage, 6087,
     /*  627534 */     GIR_EraseRootFromParent_Done,
     /*  627535 */   // Label 10091: @627535
     /*  627535 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(627610), // Rule ID 6090 //
     /*  627540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627608 */     GIR_RootConstrainSelectedInstOperands,
     /*  627609 */     // GIR_Coverage, 6090,
     /*  627609 */     GIR_EraseRootFromParent_Done,
     /*  627610 */   // Label 10092: @627610
     /*  627610 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(627685), // Rule ID 6091 //
     /*  627615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627683 */     GIR_RootConstrainSelectedInstOperands,
     /*  627684 */     // GIR_Coverage, 6091,
     /*  627684 */     GIR_EraseRootFromParent_Done,
     /*  627685 */   // Label 10093: @627685
     /*  627685 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627760), // Rule ID 6182 //
     /*  627690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627758 */     GIR_RootConstrainSelectedInstOperands,
     /*  627759 */     // GIR_Coverage, 6182,
     /*  627759 */     GIR_EraseRootFromParent_Done,
     /*  627760 */   // Label 10094: @627760
     /*  627760 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627835), // Rule ID 6183 //
     /*  627765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627833 */     GIR_RootConstrainSelectedInstOperands,
     /*  627834 */     // GIR_Coverage, 6183,
     /*  627834 */     GIR_EraseRootFromParent_Done,
     /*  627835 */   // Label 10095: @627835
     /*  627835 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627910), // Rule ID 6186 //
     /*  627840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627908 */     GIR_RootConstrainSelectedInstOperands,
     /*  627909 */     // GIR_Coverage, 6186,
     /*  627909 */     GIR_EraseRootFromParent_Done,
     /*  627910 */   // Label 10096: @627910
     /*  627910 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627985), // Rule ID 6187 //
     /*  627915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627983 */     GIR_RootConstrainSelectedInstOperands,
     /*  627984 */     // GIR_Coverage, 6187,
     /*  627984 */     GIR_EraseRootFromParent_Done,
     /*  627985 */   // Label 10097: @627985
     /*  627985 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(628060), // Rule ID 6190 //
     /*  627990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628058 */     GIR_RootConstrainSelectedInstOperands,
     /*  628059 */     // GIR_Coverage, 6190,
     /*  628059 */     GIR_EraseRootFromParent_Done,
     /*  628060 */   // Label 10098: @628060
     /*  628060 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(628135), // Rule ID 6191 //
     /*  628065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628133 */     GIR_RootConstrainSelectedInstOperands,
     /*  628134 */     // GIR_Coverage, 6191,
     /*  628134 */     GIR_EraseRootFromParent_Done,
     /*  628135 */   // Label 10099: @628135
     /*  628135 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(628210), // Rule ID 6194 //
     /*  628140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628208 */     GIR_RootConstrainSelectedInstOperands,
     /*  628209 */     // GIR_Coverage, 6194,
     /*  628209 */     GIR_EraseRootFromParent_Done,
     /*  628210 */   // Label 10100: @628210
     /*  628210 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(628285), // Rule ID 6195 //
     /*  628215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628283 */     GIR_RootConstrainSelectedInstOperands,
     /*  628284 */     // GIR_Coverage, 6195,
     /*  628284 */     GIR_EraseRootFromParent_Done,
     /*  628285 */   // Label 10101: @628285
     /*  628285 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(628360), // Rule ID 6198 //
     /*  628290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  628301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  628304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  628307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628358 */     GIR_RootConstrainSelectedInstOperands,
     /*  628359 */     // GIR_Coverage, 6198,
     /*  628359 */     GIR_EraseRootFromParent_Done,
     /*  628360 */   // Label 10102: @628360
     /*  628360 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(628435), // Rule ID 6199 //
     /*  628365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  628376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  628379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  628382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628433 */     GIR_RootConstrainSelectedInstOperands,
     /*  628434 */     // GIR_Coverage, 6199,
     /*  628434 */     GIR_EraseRootFromParent_Done,
     /*  628435 */   // Label 10103: @628435
     /*  628435 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(628510), // Rule ID 6202 //
     /*  628440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628508 */     GIR_RootConstrainSelectedInstOperands,
     /*  628509 */     // GIR_Coverage, 6202,
     /*  628509 */     GIR_EraseRootFromParent_Done,
     /*  628510 */   // Label 10104: @628510
     /*  628510 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(628585), // Rule ID 6203 //
     /*  628515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628583 */     GIR_RootConstrainSelectedInstOperands,
     /*  628584 */     // GIR_Coverage, 6203,
     /*  628584 */     GIR_EraseRootFromParent_Done,
     /*  628585 */   // Label 10105: @628585
     /*  628585 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(628660), // Rule ID 6206 //
     /*  628590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628658 */     GIR_RootConstrainSelectedInstOperands,
     /*  628659 */     // GIR_Coverage, 6206,
     /*  628659 */     GIR_EraseRootFromParent_Done,
     /*  628660 */   // Label 10106: @628660
     /*  628660 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(628735), // Rule ID 6207 //
     /*  628665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628733 */     GIR_RootConstrainSelectedInstOperands,
     /*  628734 */     // GIR_Coverage, 6207,
     /*  628734 */     GIR_EraseRootFromParent_Done,
     /*  628735 */   // Label 10107: @628735
     /*  628735 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628810), // Rule ID 6210 //
     /*  628740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628808 */     GIR_RootConstrainSelectedInstOperands,
     /*  628809 */     // GIR_Coverage, 6210,
     /*  628809 */     GIR_EraseRootFromParent_Done,
     /*  628810 */   // Label 10108: @628810
     /*  628810 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628885), // Rule ID 6211 //
     /*  628815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628883 */     GIR_RootConstrainSelectedInstOperands,
     /*  628884 */     // GIR_Coverage, 6211,
     /*  628884 */     GIR_EraseRootFromParent_Done,
     /*  628885 */   // Label 10109: @628885
     /*  628885 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628960), // Rule ID 6214 //
     /*  628890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628958 */     GIR_RootConstrainSelectedInstOperands,
     /*  628959 */     // GIR_Coverage, 6214,
     /*  628959 */     GIR_EraseRootFromParent_Done,
     /*  628960 */   // Label 10110: @628960
     /*  628960 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(629035), // Rule ID 6215 //
     /*  628965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629033 */     GIR_RootConstrainSelectedInstOperands,
     /*  629034 */     // GIR_Coverage, 6215,
     /*  629034 */     GIR_EraseRootFromParent_Done,
     /*  629035 */   // Label 10111: @629035
     /*  629035 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(629110), // Rule ID 6218 //
     /*  629040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629108 */     GIR_RootConstrainSelectedInstOperands,
     /*  629109 */     // GIR_Coverage, 6218,
     /*  629109 */     GIR_EraseRootFromParent_Done,
     /*  629110 */   // Label 10112: @629110
     /*  629110 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(629185), // Rule ID 6219 //
     /*  629115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629183 */     GIR_RootConstrainSelectedInstOperands,
     /*  629184 */     // GIR_Coverage, 6219,
     /*  629184 */     GIR_EraseRootFromParent_Done,
     /*  629185 */   // Label 10113: @629185
     /*  629185 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(629260), // Rule ID 6222 //
     /*  629190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629258 */     GIR_RootConstrainSelectedInstOperands,
     /*  629259 */     // GIR_Coverage, 6222,
     /*  629259 */     GIR_EraseRootFromParent_Done,
     /*  629260 */   // Label 10114: @629260
     /*  629260 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(629335), // Rule ID 6223 //
     /*  629265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629333 */     GIR_RootConstrainSelectedInstOperands,
     /*  629334 */     // GIR_Coverage, 6223,
     /*  629334 */     GIR_EraseRootFromParent_Done,
     /*  629335 */   // Label 10115: @629335
     /*  629335 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(629410), // Rule ID 6226 //
     /*  629340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629408 */     GIR_RootConstrainSelectedInstOperands,
     /*  629409 */     // GIR_Coverage, 6226,
     /*  629409 */     GIR_EraseRootFromParent_Done,
     /*  629410 */   // Label 10116: @629410
     /*  629410 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(629485), // Rule ID 6227 //
     /*  629415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629483 */     GIR_RootConstrainSelectedInstOperands,
     /*  629484 */     // GIR_Coverage, 6227,
     /*  629484 */     GIR_EraseRootFromParent_Done,
     /*  629485 */   // Label 10117: @629485
     /*  629485 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(629560), // Rule ID 6230 //
     /*  629490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629558 */     GIR_RootConstrainSelectedInstOperands,
     /*  629559 */     // GIR_Coverage, 6230,
     /*  629559 */     GIR_EraseRootFromParent_Done,
     /*  629560 */   // Label 10118: @629560
     /*  629560 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(629635), // Rule ID 6231 //
     /*  629565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629633 */     GIR_RootConstrainSelectedInstOperands,
     /*  629634 */     // GIR_Coverage, 6231,
     /*  629634 */     GIR_EraseRootFromParent_Done,
     /*  629635 */   // Label 10119: @629635
     /*  629635 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(629710), // Rule ID 6234 //
     /*  629640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629708 */     GIR_RootConstrainSelectedInstOperands,
     /*  629709 */     // GIR_Coverage, 6234,
     /*  629709 */     GIR_EraseRootFromParent_Done,
     /*  629710 */   // Label 10120: @629710
     /*  629710 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629785), // Rule ID 6235 //
     /*  629715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629783 */     GIR_RootConstrainSelectedInstOperands,
     /*  629784 */     // GIR_Coverage, 6235,
     /*  629784 */     GIR_EraseRootFromParent_Done,
     /*  629785 */   // Label 10121: @629785
     /*  629785 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629860), // Rule ID 6238 //
     /*  629790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629858 */     GIR_RootConstrainSelectedInstOperands,
     /*  629859 */     // GIR_Coverage, 6238,
     /*  629859 */     GIR_EraseRootFromParent_Done,
     /*  629860 */   // Label 10122: @629860
     /*  629860 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629935), // Rule ID 6239 //
     /*  629865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629933 */     GIR_RootConstrainSelectedInstOperands,
     /*  629934 */     // GIR_Coverage, 6239,
     /*  629934 */     GIR_EraseRootFromParent_Done,
     /*  629935 */   // Label 10123: @629935
     /*  629935 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(630010), // Rule ID 6242 //
     /*  629940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630008 */     GIR_RootConstrainSelectedInstOperands,
     /*  630009 */     // GIR_Coverage, 6242,
     /*  630009 */     GIR_EraseRootFromParent_Done,
     /*  630010 */   // Label 10124: @630010
     /*  630010 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(630085), // Rule ID 6243 //
     /*  630015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630083 */     GIR_RootConstrainSelectedInstOperands,
     /*  630084 */     // GIR_Coverage, 6243,
     /*  630084 */     GIR_EraseRootFromParent_Done,
     /*  630085 */   // Label 10125: @630085
     /*  630085 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(630160), // Rule ID 6246 //
     /*  630090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630158 */     GIR_RootConstrainSelectedInstOperands,
     /*  630159 */     // GIR_Coverage, 6246,
     /*  630159 */     GIR_EraseRootFromParent_Done,
     /*  630160 */   // Label 10126: @630160
     /*  630160 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(630235), // Rule ID 6247 //
     /*  630165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630233 */     GIR_RootConstrainSelectedInstOperands,
     /*  630234 */     // GIR_Coverage, 6247,
     /*  630234 */     GIR_EraseRootFromParent_Done,
     /*  630235 */   // Label 10127: @630235
     /*  630235 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(630310), // Rule ID 6250 //
     /*  630240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  630260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630308 */     GIR_RootConstrainSelectedInstOperands,
     /*  630309 */     // GIR_Coverage, 6250,
     /*  630309 */     GIR_EraseRootFromParent_Done,
     /*  630310 */   // Label 10128: @630310
     /*  630310 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(630385), // Rule ID 6251 //
     /*  630315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  630335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630383 */     GIR_RootConstrainSelectedInstOperands,
     /*  630384 */     // GIR_Coverage, 6251,
     /*  630384 */     GIR_EraseRootFromParent_Done,
     /*  630385 */   // Label 10129: @630385
     /*  630385 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(630460), // Rule ID 6254 //
     /*  630390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630458 */     GIR_RootConstrainSelectedInstOperands,
     /*  630459 */     // GIR_Coverage, 6254,
     /*  630459 */     GIR_EraseRootFromParent_Done,
     /*  630460 */   // Label 10130: @630460
     /*  630460 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(630535), // Rule ID 6255 //
     /*  630465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630533 */     GIR_RootConstrainSelectedInstOperands,
     /*  630534 */     // GIR_Coverage, 6255,
     /*  630534 */     GIR_EraseRootFromParent_Done,
     /*  630535 */   // Label 10131: @630535
     /*  630535 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(630610), // Rule ID 6258 //
     /*  630540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630608 */     GIR_RootConstrainSelectedInstOperands,
     /*  630609 */     // GIR_Coverage, 6258,
     /*  630609 */     GIR_EraseRootFromParent_Done,
     /*  630610 */   // Label 10132: @630610
     /*  630610 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(630685), // Rule ID 6259 //
     /*  630615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630683 */     GIR_RootConstrainSelectedInstOperands,
     /*  630684 */     // GIR_Coverage, 6259,
     /*  630684 */     GIR_EraseRootFromParent_Done,
     /*  630685 */   // Label 10133: @630685
     /*  630685 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630760), // Rule ID 6262 //
     /*  630690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630758 */     GIR_RootConstrainSelectedInstOperands,
     /*  630759 */     // GIR_Coverage, 6262,
     /*  630759 */     GIR_EraseRootFromParent_Done,
     /*  630760 */   // Label 10134: @630760
     /*  630760 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630835), // Rule ID 6263 //
     /*  630765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630833 */     GIR_RootConstrainSelectedInstOperands,
     /*  630834 */     // GIR_Coverage, 6263,
     /*  630834 */     GIR_EraseRootFromParent_Done,
     /*  630835 */   // Label 10135: @630835
     /*  630835 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630910), // Rule ID 6266 //
     /*  630840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630908 */     GIR_RootConstrainSelectedInstOperands,
     /*  630909 */     // GIR_Coverage, 6266,
     /*  630909 */     GIR_EraseRootFromParent_Done,
     /*  630910 */   // Label 10136: @630910
     /*  630910 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630985), // Rule ID 6267 //
     /*  630915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630983 */     GIR_RootConstrainSelectedInstOperands,
     /*  630984 */     // GIR_Coverage, 6267,
     /*  630984 */     GIR_EraseRootFromParent_Done,
     /*  630985 */   // Label 10137: @630985
     /*  630985 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(631060), // Rule ID 6270 //
     /*  630990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  631039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631058 */     GIR_RootConstrainSelectedInstOperands,
     /*  631059 */     // GIR_Coverage, 6270,
     /*  631059 */     GIR_EraseRootFromParent_Done,
     /*  631060 */   // Label 10138: @631060
     /*  631060 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(631135), // Rule ID 6271 //
     /*  631065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  631114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631133 */     GIR_RootConstrainSelectedInstOperands,
     /*  631134 */     // GIR_Coverage, 6271,
     /*  631134 */     GIR_EraseRootFromParent_Done,
     /*  631135 */   // Label 10139: @631135
     /*  631135 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(631210), // Rule ID 6274 //
     /*  631140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631208 */     GIR_RootConstrainSelectedInstOperands,
     /*  631209 */     // GIR_Coverage, 6274,
     /*  631209 */     GIR_EraseRootFromParent_Done,
     /*  631210 */   // Label 10140: @631210
     /*  631210 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(631285), // Rule ID 6275 //
     /*  631215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631283 */     GIR_RootConstrainSelectedInstOperands,
     /*  631284 */     // GIR_Coverage, 6275,
     /*  631284 */     GIR_EraseRootFromParent_Done,
     /*  631285 */   // Label 10141: @631285
     /*  631285 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(631360), // Rule ID 6278 //
     /*  631290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  631301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  631304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  631307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631358 */     GIR_RootConstrainSelectedInstOperands,
     /*  631359 */     // GIR_Coverage, 6278,
     /*  631359 */     GIR_EraseRootFromParent_Done,
     /*  631360 */   // Label 10142: @631360
     /*  631360 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(631435), // Rule ID 6279 //
     /*  631365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  631376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  631379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  631382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631433 */     GIR_RootConstrainSelectedInstOperands,
     /*  631434 */     // GIR_Coverage, 6279,
     /*  631434 */     GIR_EraseRootFromParent_Done,
     /*  631435 */   // Label 10143: @631435
     /*  631435 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(631510), // Rule ID 6282 //
     /*  631440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631508 */     GIR_RootConstrainSelectedInstOperands,
     /*  631509 */     // GIR_Coverage, 6282,
     /*  631509 */     GIR_EraseRootFromParent_Done,
     /*  631510 */   // Label 10144: @631510
     /*  631510 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(631585), // Rule ID 6283 //
     /*  631515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631583 */     GIR_RootConstrainSelectedInstOperands,
     /*  631584 */     // GIR_Coverage, 6283,
     /*  631584 */     GIR_EraseRootFromParent_Done,
     /*  631585 */   // Label 10145: @631585
     /*  631585 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(631660), // Rule ID 6286 //
     /*  631590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631658 */     GIR_RootConstrainSelectedInstOperands,
     /*  631659 */     // GIR_Coverage, 6286,
     /*  631659 */     GIR_EraseRootFromParent_Done,
     /*  631660 */   // Label 10146: @631660
     /*  631660 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(631735), // Rule ID 6287 //
     /*  631665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631733 */     GIR_RootConstrainSelectedInstOperands,
     /*  631734 */     // GIR_Coverage, 6287,
     /*  631734 */     GIR_EraseRootFromParent_Done,
     /*  631735 */   // Label 10147: @631735
     /*  631735 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631810), // Rule ID 6290 //
     /*  631740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631808 */     GIR_RootConstrainSelectedInstOperands,
     /*  631809 */     // GIR_Coverage, 6290,
     /*  631809 */     GIR_EraseRootFromParent_Done,
     /*  631810 */   // Label 10148: @631810
     /*  631810 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631885), // Rule ID 6291 //
     /*  631815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631883 */     GIR_RootConstrainSelectedInstOperands,
     /*  631884 */     // GIR_Coverage, 6291,
     /*  631884 */     GIR_EraseRootFromParent_Done,
     /*  631885 */   // Label 10149: @631885
     /*  631885 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631960), // Rule ID 6294 //
     /*  631890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631958 */     GIR_RootConstrainSelectedInstOperands,
     /*  631959 */     // GIR_Coverage, 6294,
     /*  631959 */     GIR_EraseRootFromParent_Done,
     /*  631960 */   // Label 10150: @631960
     /*  631960 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(632035), // Rule ID 6295 //
     /*  631965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632033 */     GIR_RootConstrainSelectedInstOperands,
     /*  632034 */     // GIR_Coverage, 6295,
     /*  632034 */     GIR_EraseRootFromParent_Done,
     /*  632035 */   // Label 10151: @632035
     /*  632035 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(632110), // Rule ID 6298 //
     /*  632040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632108 */     GIR_RootConstrainSelectedInstOperands,
     /*  632109 */     // GIR_Coverage, 6298,
     /*  632109 */     GIR_EraseRootFromParent_Done,
     /*  632110 */   // Label 10152: @632110
     /*  632110 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(632185), // Rule ID 6299 //
     /*  632115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632183 */     GIR_RootConstrainSelectedInstOperands,
     /*  632184 */     // GIR_Coverage, 6299,
     /*  632184 */     GIR_EraseRootFromParent_Done,
     /*  632185 */   // Label 10153: @632185
     /*  632185 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(632260), // Rule ID 6302 //
     /*  632190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632258 */     GIR_RootConstrainSelectedInstOperands,
     /*  632259 */     // GIR_Coverage, 6302,
     /*  632259 */     GIR_EraseRootFromParent_Done,
     /*  632260 */   // Label 10154: @632260
     /*  632260 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(632335), // Rule ID 6303 //
     /*  632265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632333 */     GIR_RootConstrainSelectedInstOperands,
     /*  632334 */     // GIR_Coverage, 6303,
     /*  632334 */     GIR_EraseRootFromParent_Done,
     /*  632335 */   // Label 10155: @632335
     /*  632335 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(632410), // Rule ID 6306 //
     /*  632340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632408 */     GIR_RootConstrainSelectedInstOperands,
     /*  632409 */     // GIR_Coverage, 6306,
     /*  632409 */     GIR_EraseRootFromParent_Done,
     /*  632410 */   // Label 10156: @632410
     /*  632410 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(632485), // Rule ID 6307 //
     /*  632415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632483 */     GIR_RootConstrainSelectedInstOperands,
     /*  632484 */     // GIR_Coverage, 6307,
     /*  632484 */     GIR_EraseRootFromParent_Done,
     /*  632485 */   // Label 10157: @632485
     /*  632485 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(632560), // Rule ID 6310 //
     /*  632490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632558 */     GIR_RootConstrainSelectedInstOperands,
     /*  632559 */     // GIR_Coverage, 6310,
     /*  632559 */     GIR_EraseRootFromParent_Done,
     /*  632560 */   // Label 10158: @632560
     /*  632560 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(632635), // Rule ID 6311 //
     /*  632565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632633 */     GIR_RootConstrainSelectedInstOperands,
     /*  632634 */     // GIR_Coverage, 6311,
     /*  632634 */     GIR_EraseRootFromParent_Done,
     /*  632635 */   // Label 10159: @632635
     /*  632635 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(632710), // Rule ID 6314 //
     /*  632640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632708 */     GIR_RootConstrainSelectedInstOperands,
     /*  632709 */     // GIR_Coverage, 6314,
     /*  632709 */     GIR_EraseRootFromParent_Done,
     /*  632710 */   // Label 10160: @632710
     /*  632710 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632785), // Rule ID 6315 //
     /*  632715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632783 */     GIR_RootConstrainSelectedInstOperands,
     /*  632784 */     // GIR_Coverage, 6315,
     /*  632784 */     GIR_EraseRootFromParent_Done,
     /*  632785 */   // Label 10161: @632785
     /*  632785 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632860), // Rule ID 6318 //
     /*  632790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632858 */     GIR_RootConstrainSelectedInstOperands,
     /*  632859 */     // GIR_Coverage, 6318,
     /*  632859 */     GIR_EraseRootFromParent_Done,
     /*  632860 */   // Label 10162: @632860
     /*  632860 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632935), // Rule ID 6319 //
     /*  632865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632911 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632933 */     GIR_RootConstrainSelectedInstOperands,
     /*  632934 */     // GIR_Coverage, 6319,
     /*  632934 */     GIR_EraseRootFromParent_Done,
     /*  632935 */   // Label 10163: @632935
     /*  632935 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(633010), // Rule ID 6322 //
     /*  632940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633008 */     GIR_RootConstrainSelectedInstOperands,
     /*  633009 */     // GIR_Coverage, 6322,
     /*  633009 */     GIR_EraseRootFromParent_Done,
     /*  633010 */   // Label 10164: @633010
     /*  633010 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(633085), // Rule ID 6323 //
     /*  633015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633083 */     GIR_RootConstrainSelectedInstOperands,
     /*  633084 */     // GIR_Coverage, 6323,
     /*  633084 */     GIR_EraseRootFromParent_Done,
     /*  633085 */   // Label 10165: @633085
     /*  633085 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(633160), // Rule ID 6326 //
     /*  633090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633158 */     GIR_RootConstrainSelectedInstOperands,
     /*  633159 */     // GIR_Coverage, 6326,
     /*  633159 */     GIR_EraseRootFromParent_Done,
     /*  633160 */   // Label 10166: @633160
     /*  633160 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(633235), // Rule ID 6327 //
     /*  633165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633233 */     GIR_RootConstrainSelectedInstOperands,
     /*  633234 */     // GIR_Coverage, 6327,
     /*  633234 */     GIR_EraseRootFromParent_Done,
     /*  633235 */   // Label 10167: @633235
     /*  633235 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(633310), // Rule ID 6330 //
     /*  633240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633308 */     GIR_RootConstrainSelectedInstOperands,
     /*  633309 */     // GIR_Coverage, 6330,
     /*  633309 */     GIR_EraseRootFromParent_Done,
     /*  633310 */   // Label 10168: @633310
     /*  633310 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(633385), // Rule ID 6331 //
     /*  633315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633383 */     GIR_RootConstrainSelectedInstOperands,
     /*  633384 */     // GIR_Coverage, 6331,
     /*  633384 */     GIR_EraseRootFromParent_Done,
     /*  633385 */   // Label 10169: @633385
     /*  633385 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(633460), // Rule ID 6334 //
     /*  633390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633458 */     GIR_RootConstrainSelectedInstOperands,
     /*  633459 */     // GIR_Coverage, 6334,
     /*  633459 */     GIR_EraseRootFromParent_Done,
     /*  633460 */   // Label 10170: @633460
     /*  633460 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(633535), // Rule ID 6335 //
     /*  633465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633533 */     GIR_RootConstrainSelectedInstOperands,
     /*  633534 */     // GIR_Coverage, 6335,
     /*  633534 */     GIR_EraseRootFromParent_Done,
     /*  633535 */   // Label 10171: @633535
     /*  633535 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(633610), // Rule ID 6338 //
     /*  633540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633608 */     GIR_RootConstrainSelectedInstOperands,
     /*  633609 */     // GIR_Coverage, 6338,
     /*  633609 */     GIR_EraseRootFromParent_Done,
     /*  633610 */   // Label 10172: @633610
     /*  633610 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(633685), // Rule ID 6339 //
     /*  633615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633683 */     GIR_RootConstrainSelectedInstOperands,
     /*  633684 */     // GIR_Coverage, 6339,
     /*  633684 */     GIR_EraseRootFromParent_Done,
     /*  633685 */   // Label 10173: @633685
     /*  633685 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633760), // Rule ID 6342 //
     /*  633690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633758 */     GIR_RootConstrainSelectedInstOperands,
     /*  633759 */     // GIR_Coverage, 6342,
     /*  633759 */     GIR_EraseRootFromParent_Done,
     /*  633760 */   // Label 10174: @633760
     /*  633760 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633835), // Rule ID 6343 //
     /*  633765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633833 */     GIR_RootConstrainSelectedInstOperands,
     /*  633834 */     // GIR_Coverage, 6343,
     /*  633834 */     GIR_EraseRootFromParent_Done,
     /*  633835 */   // Label 10175: @633835
     /*  633835 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633910), // Rule ID 6346 //
     /*  633840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633908 */     GIR_RootConstrainSelectedInstOperands,
     /*  633909 */     // GIR_Coverage, 6346,
     /*  633909 */     GIR_EraseRootFromParent_Done,
     /*  633910 */   // Label 10176: @633910
     /*  633910 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633985), // Rule ID 6347 //
     /*  633915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633983 */     GIR_RootConstrainSelectedInstOperands,
     /*  633984 */     // GIR_Coverage, 6347,
     /*  633984 */     GIR_EraseRootFromParent_Done,
     /*  633985 */   // Label 10177: @633985
     /*  633985 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(634060), // Rule ID 6350 //
     /*  633990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634058 */     GIR_RootConstrainSelectedInstOperands,
     /*  634059 */     // GIR_Coverage, 6350,
     /*  634059 */     GIR_EraseRootFromParent_Done,
     /*  634060 */   // Label 10178: @634060
     /*  634060 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(634135), // Rule ID 6351 //
     /*  634065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634133 */     GIR_RootConstrainSelectedInstOperands,
     /*  634134 */     // GIR_Coverage, 6351,
     /*  634134 */     GIR_EraseRootFromParent_Done,
     /*  634135 */   // Label 10179: @634135
     /*  634135 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(634210), // Rule ID 6354 //
     /*  634140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634208 */     GIR_RootConstrainSelectedInstOperands,
     /*  634209 */     // GIR_Coverage, 6354,
     /*  634209 */     GIR_EraseRootFromParent_Done,
     /*  634210 */   // Label 10180: @634210
     /*  634210 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(634285), // Rule ID 6355 //
     /*  634215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634283 */     GIR_RootConstrainSelectedInstOperands,
     /*  634284 */     // GIR_Coverage, 6355,
     /*  634284 */     GIR_EraseRootFromParent_Done,
     /*  634285 */   // Label 10181: @634285
     /*  634285 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(634360), // Rule ID 6446 //
     /*  634290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  634301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  634304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  634307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  634339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634358 */     GIR_RootConstrainSelectedInstOperands,
     /*  634359 */     // GIR_Coverage, 6446,
     /*  634359 */     GIR_EraseRootFromParent_Done,
     /*  634360 */   // Label 10182: @634360
     /*  634360 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(634435), // Rule ID 6447 //
     /*  634365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  634376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  634379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  634382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634411 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  634414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634433 */     GIR_RootConstrainSelectedInstOperands,
     /*  634434 */     // GIR_Coverage, 6447,
     /*  634434 */     GIR_EraseRootFromParent_Done,
     /*  634435 */   // Label 10183: @634435
     /*  634435 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(634510), // Rule ID 6450 //
     /*  634440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634508 */     GIR_RootConstrainSelectedInstOperands,
     /*  634509 */     // GIR_Coverage, 6450,
     /*  634509 */     GIR_EraseRootFromParent_Done,
     /*  634510 */   // Label 10184: @634510
     /*  634510 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(634585), // Rule ID 6451 //
     /*  634515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634583 */     GIR_RootConstrainSelectedInstOperands,
     /*  634584 */     // GIR_Coverage, 6451,
     /*  634584 */     GIR_EraseRootFromParent_Done,
     /*  634585 */   // Label 10185: @634585
     /*  634585 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(634660), // Rule ID 6454 //
     /*  634590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634658 */     GIR_RootConstrainSelectedInstOperands,
     /*  634659 */     // GIR_Coverage, 6454,
     /*  634659 */     GIR_EraseRootFromParent_Done,
     /*  634660 */   // Label 10186: @634660
     /*  634660 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(634735), // Rule ID 6455 //
     /*  634665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634733 */     GIR_RootConstrainSelectedInstOperands,
     /*  634734 */     // GIR_Coverage, 6455,
     /*  634734 */     GIR_EraseRootFromParent_Done,
     /*  634735 */   // Label 10187: @634735
     /*  634735 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634810), // Rule ID 6458 //
     /*  634740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634808 */     GIR_RootConstrainSelectedInstOperands,
     /*  634809 */     // GIR_Coverage, 6458,
     /*  634809 */     GIR_EraseRootFromParent_Done,
     /*  634810 */   // Label 10188: @634810
     /*  634810 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634885), // Rule ID 6459 //
     /*  634815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634883 */     GIR_RootConstrainSelectedInstOperands,
     /*  634884 */     // GIR_Coverage, 6459,
     /*  634884 */     GIR_EraseRootFromParent_Done,
     /*  634885 */   // Label 10189: @634885
     /*  634885 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634960), // Rule ID 6462 //
     /*  634890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634958 */     GIR_RootConstrainSelectedInstOperands,
     /*  634959 */     // GIR_Coverage, 6462,
     /*  634959 */     GIR_EraseRootFromParent_Done,
     /*  634960 */   // Label 10190: @634960
     /*  634960 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(635035), // Rule ID 6463 //
     /*  634965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635033 */     GIR_RootConstrainSelectedInstOperands,
     /*  635034 */     // GIR_Coverage, 6463,
     /*  635034 */     GIR_EraseRootFromParent_Done,
     /*  635035 */   // Label 10191: @635035
     /*  635035 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(635110), // Rule ID 6466 //
     /*  635040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635108 */     GIR_RootConstrainSelectedInstOperands,
     /*  635109 */     // GIR_Coverage, 6466,
     /*  635109 */     GIR_EraseRootFromParent_Done,
     /*  635110 */   // Label 10192: @635110
     /*  635110 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(635185), // Rule ID 6467 //
     /*  635115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635183 */     GIR_RootConstrainSelectedInstOperands,
     /*  635184 */     // GIR_Coverage, 6467,
     /*  635184 */     GIR_EraseRootFromParent_Done,
     /*  635185 */   // Label 10193: @635185
     /*  635185 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(635260), // Rule ID 6470 //
     /*  635190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635258 */     GIR_RootConstrainSelectedInstOperands,
     /*  635259 */     // GIR_Coverage, 6470,
     /*  635259 */     GIR_EraseRootFromParent_Done,
     /*  635260 */   // Label 10194: @635260
     /*  635260 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(635335), // Rule ID 6471 //
     /*  635265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635333 */     GIR_RootConstrainSelectedInstOperands,
     /*  635334 */     // GIR_Coverage, 6471,
     /*  635334 */     GIR_EraseRootFromParent_Done,
     /*  635335 */   // Label 10195: @635335
     /*  635335 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(635410), // Rule ID 6474 //
     /*  635340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635408 */     GIR_RootConstrainSelectedInstOperands,
     /*  635409 */     // GIR_Coverage, 6474,
     /*  635409 */     GIR_EraseRootFromParent_Done,
     /*  635410 */   // Label 10196: @635410
     /*  635410 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(635485), // Rule ID 6475 //
     /*  635415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635483 */     GIR_RootConstrainSelectedInstOperands,
     /*  635484 */     // GIR_Coverage, 6475,
     /*  635484 */     GIR_EraseRootFromParent_Done,
     /*  635485 */   // Label 10197: @635485
     /*  635485 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(635560), // Rule ID 6478 //
     /*  635490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635558 */     GIR_RootConstrainSelectedInstOperands,
     /*  635559 */     // GIR_Coverage, 6478,
     /*  635559 */     GIR_EraseRootFromParent_Done,
     /*  635560 */   // Label 10198: @635560
     /*  635560 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(635635), // Rule ID 6479 //
     /*  635565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635633 */     GIR_RootConstrainSelectedInstOperands,
     /*  635634 */     // GIR_Coverage, 6479,
     /*  635634 */     GIR_EraseRootFromParent_Done,
     /*  635635 */   // Label 10199: @635635
     /*  635635 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(635710), // Rule ID 6482 //
     /*  635640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635708 */     GIR_RootConstrainSelectedInstOperands,
     /*  635709 */     // GIR_Coverage, 6482,
     /*  635709 */     GIR_EraseRootFromParent_Done,
     /*  635710 */   // Label 10200: @635710
     /*  635710 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635785), // Rule ID 6483 //
     /*  635715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635783 */     GIR_RootConstrainSelectedInstOperands,
     /*  635784 */     // GIR_Coverage, 6483,
     /*  635784 */     GIR_EraseRootFromParent_Done,
     /*  635785 */   // Label 10201: @635785
     /*  635785 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635860), // Rule ID 6486 //
     /*  635790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635858 */     GIR_RootConstrainSelectedInstOperands,
     /*  635859 */     // GIR_Coverage, 6486,
     /*  635859 */     GIR_EraseRootFromParent_Done,
     /*  635860 */   // Label 10202: @635860
     /*  635860 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635935), // Rule ID 6487 //
     /*  635865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635933 */     GIR_RootConstrainSelectedInstOperands,
     /*  635934 */     // GIR_Coverage, 6487,
     /*  635934 */     GIR_EraseRootFromParent_Done,
     /*  635935 */   // Label 10203: @635935
     /*  635935 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(636010), // Rule ID 6490 //
     /*  635940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636008 */     GIR_RootConstrainSelectedInstOperands,
     /*  636009 */     // GIR_Coverage, 6490,
     /*  636009 */     GIR_EraseRootFromParent_Done,
     /*  636010 */   // Label 10204: @636010
     /*  636010 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(636085), // Rule ID 6491 //
     /*  636015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636061 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636083 */     GIR_RootConstrainSelectedInstOperands,
     /*  636084 */     // GIR_Coverage, 6491,
     /*  636084 */     GIR_EraseRootFromParent_Done,
     /*  636085 */   // Label 10205: @636085
     /*  636085 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(636160), // Rule ID 6494 //
     /*  636090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636158 */     GIR_RootConstrainSelectedInstOperands,
     /*  636159 */     // GIR_Coverage, 6494,
     /*  636159 */     GIR_EraseRootFromParent_Done,
     /*  636160 */   // Label 10206: @636160
     /*  636160 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(636235), // Rule ID 6495 //
     /*  636165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636233 */     GIR_RootConstrainSelectedInstOperands,
     /*  636234 */     // GIR_Coverage, 6495,
     /*  636234 */     GIR_EraseRootFromParent_Done,
     /*  636235 */   // Label 10207: @636235
     /*  636235 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(636310), // Rule ID 6498 //
     /*  636240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  636260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636308 */     GIR_RootConstrainSelectedInstOperands,
     /*  636309 */     // GIR_Coverage, 6498,
     /*  636309 */     GIR_EraseRootFromParent_Done,
     /*  636310 */   // Label 10208: @636310
     /*  636310 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(636385), // Rule ID 6499 //
     /*  636315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  636335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636383 */     GIR_RootConstrainSelectedInstOperands,
     /*  636384 */     // GIR_Coverage, 6499,
     /*  636384 */     GIR_EraseRootFromParent_Done,
     /*  636385 */   // Label 10209: @636385
     /*  636385 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(636460), // Rule ID 6502 //
     /*  636390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636458 */     GIR_RootConstrainSelectedInstOperands,
     /*  636459 */     // GIR_Coverage, 6502,
     /*  636459 */     GIR_EraseRootFromParent_Done,
     /*  636460 */   // Label 10210: @636460
     /*  636460 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(636535), // Rule ID 6503 //
     /*  636465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636533 */     GIR_RootConstrainSelectedInstOperands,
     /*  636534 */     // GIR_Coverage, 6503,
     /*  636534 */     GIR_EraseRootFromParent_Done,
     /*  636535 */   // Label 10211: @636535
     /*  636535 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(636610), // Rule ID 6506 //
     /*  636540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636608 */     GIR_RootConstrainSelectedInstOperands,
     /*  636609 */     // GIR_Coverage, 6506,
     /*  636609 */     GIR_EraseRootFromParent_Done,
     /*  636610 */   // Label 10212: @636610
     /*  636610 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(636685), // Rule ID 6507 //
     /*  636615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636683 */     GIR_RootConstrainSelectedInstOperands,
     /*  636684 */     // GIR_Coverage, 6507,
     /*  636684 */     GIR_EraseRootFromParent_Done,
     /*  636685 */   // Label 10213: @636685
     /*  636685 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636760), // Rule ID 6510 //
     /*  636690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636758 */     GIR_RootConstrainSelectedInstOperands,
     /*  636759 */     // GIR_Coverage, 6510,
     /*  636759 */     GIR_EraseRootFromParent_Done,
     /*  636760 */   // Label 10214: @636760
     /*  636760 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636835), // Rule ID 6511 //
     /*  636765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636833 */     GIR_RootConstrainSelectedInstOperands,
     /*  636834 */     // GIR_Coverage, 6511,
     /*  636834 */     GIR_EraseRootFromParent_Done,
     /*  636835 */   // Label 10215: @636835
     /*  636835 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636910), // Rule ID 6514 //
     /*  636840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636908 */     GIR_RootConstrainSelectedInstOperands,
     /*  636909 */     // GIR_Coverage, 6514,
     /*  636909 */     GIR_EraseRootFromParent_Done,
     /*  636910 */   // Label 10216: @636910
     /*  636910 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636985), // Rule ID 6515 //
     /*  636915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636983 */     GIR_RootConstrainSelectedInstOperands,
     /*  636984 */     // GIR_Coverage, 6515,
     /*  636984 */     GIR_EraseRootFromParent_Done,
     /*  636985 */   // Label 10217: @636985
     /*  636985 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(637060), // Rule ID 6518 //
     /*  636990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637058 */     GIR_RootConstrainSelectedInstOperands,
     /*  637059 */     // GIR_Coverage, 6518,
     /*  637059 */     GIR_EraseRootFromParent_Done,
     /*  637060 */   // Label 10218: @637060
     /*  637060 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(637135), // Rule ID 6519 //
     /*  637065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637133 */     GIR_RootConstrainSelectedInstOperands,
     /*  637134 */     // GIR_Coverage, 6519,
     /*  637134 */     GIR_EraseRootFromParent_Done,
     /*  637135 */   // Label 10219: @637135
     /*  637135 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(637210), // Rule ID 6522 //
     /*  637140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637208 */     GIR_RootConstrainSelectedInstOperands,
     /*  637209 */     // GIR_Coverage, 6522,
     /*  637209 */     GIR_EraseRootFromParent_Done,
     /*  637210 */   // Label 10220: @637210
     /*  637210 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(637285), // Rule ID 6523 //
     /*  637215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637283 */     GIR_RootConstrainSelectedInstOperands,
     /*  637284 */     // GIR_Coverage, 6523,
     /*  637284 */     GIR_EraseRootFromParent_Done,
     /*  637285 */   // Label 10221: @637285
     /*  637285 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(637360), // Rule ID 6526 //
     /*  637290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  637301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  637304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  637307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637358 */     GIR_RootConstrainSelectedInstOperands,
     /*  637359 */     // GIR_Coverage, 6526,
     /*  637359 */     GIR_EraseRootFromParent_Done,
     /*  637360 */   // Label 10222: @637360
     /*  637360 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(637435), // Rule ID 6527 //
     /*  637365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  637376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  637379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  637382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637433 */     GIR_RootConstrainSelectedInstOperands,
     /*  637434 */     // GIR_Coverage, 6527,
     /*  637434 */     GIR_EraseRootFromParent_Done,
     /*  637435 */   // Label 10223: @637435
     /*  637435 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(637510), // Rule ID 6530 //
     /*  637440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637508 */     GIR_RootConstrainSelectedInstOperands,
     /*  637509 */     // GIR_Coverage, 6530,
     /*  637509 */     GIR_EraseRootFromParent_Done,
     /*  637510 */   // Label 10224: @637510
     /*  637510 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(637585), // Rule ID 6531 //
     /*  637515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637583 */     GIR_RootConstrainSelectedInstOperands,
     /*  637584 */     // GIR_Coverage, 6531,
     /*  637584 */     GIR_EraseRootFromParent_Done,
     /*  637585 */   // Label 10225: @637585
     /*  637585 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(637660), // Rule ID 6534 //
     /*  637590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637658 */     GIR_RootConstrainSelectedInstOperands,
     /*  637659 */     // GIR_Coverage, 6534,
     /*  637659 */     GIR_EraseRootFromParent_Done,
     /*  637660 */   // Label 10226: @637660
     /*  637660 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(637735), // Rule ID 6535 //
     /*  637665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637733 */     GIR_RootConstrainSelectedInstOperands,
     /*  637734 */     // GIR_Coverage, 6535,
     /*  637734 */     GIR_EraseRootFromParent_Done,
     /*  637735 */   // Label 10227: @637735
     /*  637735 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637810), // Rule ID 6538 //
     /*  637740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637808 */     GIR_RootConstrainSelectedInstOperands,
     /*  637809 */     // GIR_Coverage, 6538,
     /*  637809 */     GIR_EraseRootFromParent_Done,
     /*  637810 */   // Label 10228: @637810
     /*  637810 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637885), // Rule ID 6539 //
     /*  637815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637883 */     GIR_RootConstrainSelectedInstOperands,
     /*  637884 */     // GIR_Coverage, 6539,
     /*  637884 */     GIR_EraseRootFromParent_Done,
     /*  637885 */   // Label 10229: @637885
     /*  637885 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637960), // Rule ID 6542 //
     /*  637890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637958 */     GIR_RootConstrainSelectedInstOperands,
     /*  637959 */     // GIR_Coverage, 6542,
     /*  637959 */     GIR_EraseRootFromParent_Done,
     /*  637960 */   // Label 10230: @637960
     /*  637960 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(638035), // Rule ID 6543 //
     /*  637965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638033 */     GIR_RootConstrainSelectedInstOperands,
     /*  638034 */     // GIR_Coverage, 6543,
     /*  638034 */     GIR_EraseRootFromParent_Done,
     /*  638035 */   // Label 10231: @638035
     /*  638035 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(638110), // Rule ID 6546 //
     /*  638040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638108 */     GIR_RootConstrainSelectedInstOperands,
     /*  638109 */     // GIR_Coverage, 6546,
     /*  638109 */     GIR_EraseRootFromParent_Done,
     /*  638110 */   // Label 10232: @638110
     /*  638110 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(638185), // Rule ID 6547 //
     /*  638115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638183 */     GIR_RootConstrainSelectedInstOperands,
     /*  638184 */     // GIR_Coverage, 6547,
     /*  638184 */     GIR_EraseRootFromParent_Done,
     /*  638185 */   // Label 10233: @638185
     /*  638185 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(638260), // Rule ID 6550 //
     /*  638190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638258 */     GIR_RootConstrainSelectedInstOperands,
     /*  638259 */     // GIR_Coverage, 6550,
     /*  638259 */     GIR_EraseRootFromParent_Done,
     /*  638260 */   // Label 10234: @638260
     /*  638260 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(638335), // Rule ID 6551 //
     /*  638265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638333 */     GIR_RootConstrainSelectedInstOperands,
     /*  638334 */     // GIR_Coverage, 6551,
     /*  638334 */     GIR_EraseRootFromParent_Done,
     /*  638335 */   // Label 10235: @638335
     /*  638335 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(638410), // Rule ID 6554 //
     /*  638340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638408 */     GIR_RootConstrainSelectedInstOperands,
     /*  638409 */     // GIR_Coverage, 6554,
     /*  638409 */     GIR_EraseRootFromParent_Done,
     /*  638410 */   // Label 10236: @638410
     /*  638410 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(638485), // Rule ID 6555 //
     /*  638415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638483 */     GIR_RootConstrainSelectedInstOperands,
     /*  638484 */     // GIR_Coverage, 6555,
     /*  638484 */     GIR_EraseRootFromParent_Done,
     /*  638485 */   // Label 10237: @638485
     /*  638485 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(638560), // Rule ID 6558 //
     /*  638490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638558 */     GIR_RootConstrainSelectedInstOperands,
     /*  638559 */     // GIR_Coverage, 6558,
     /*  638559 */     GIR_EraseRootFromParent_Done,
     /*  638560 */   // Label 10238: @638560
     /*  638560 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(638635), // Rule ID 6559 //
     /*  638565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638633 */     GIR_RootConstrainSelectedInstOperands,
     /*  638634 */     // GIR_Coverage, 6559,
     /*  638634 */     GIR_EraseRootFromParent_Done,
     /*  638635 */   // Label 10239: @638635
     /*  638635 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(638710), // Rule ID 6562 //
     /*  638640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638708 */     GIR_RootConstrainSelectedInstOperands,
     /*  638709 */     // GIR_Coverage, 6562,
     /*  638709 */     GIR_EraseRootFromParent_Done,
     /*  638710 */   // Label 10240: @638710
     /*  638710 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638785), // Rule ID 6563 //
     /*  638715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638783 */     GIR_RootConstrainSelectedInstOperands,
     /*  638784 */     // GIR_Coverage, 6563,
     /*  638784 */     GIR_EraseRootFromParent_Done,
     /*  638785 */   // Label 10241: @638785
     /*  638785 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638860), // Rule ID 6566 //
     /*  638790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638858 */     GIR_RootConstrainSelectedInstOperands,
     /*  638859 */     // GIR_Coverage, 6566,
     /*  638859 */     GIR_EraseRootFromParent_Done,
     /*  638860 */   // Label 10242: @638860
     /*  638860 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638935), // Rule ID 6567 //
     /*  638865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638933 */     GIR_RootConstrainSelectedInstOperands,
     /*  638934 */     // GIR_Coverage, 6567,
     /*  638934 */     GIR_EraseRootFromParent_Done,
     /*  638935 */   // Label 10243: @638935
     /*  638935 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(639010), // Rule ID 6570 //
     /*  638940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639008 */     GIR_RootConstrainSelectedInstOperands,
     /*  639009 */     // GIR_Coverage, 6570,
     /*  639009 */     GIR_EraseRootFromParent_Done,
     /*  639010 */   // Label 10244: @639010
     /*  639010 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(639085), // Rule ID 6571 //
     /*  639015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639083 */     GIR_RootConstrainSelectedInstOperands,
     /*  639084 */     // GIR_Coverage, 6571,
     /*  639084 */     GIR_EraseRootFromParent_Done,
     /*  639085 */   // Label 10245: @639085
     /*  639085 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(639160), // Rule ID 6574 //
     /*  639090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639158 */     GIR_RootConstrainSelectedInstOperands,
     /*  639159 */     // GIR_Coverage, 6574,
     /*  639159 */     GIR_EraseRootFromParent_Done,
     /*  639160 */   // Label 10246: @639160
     /*  639160 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(639235), // Rule ID 6575 //
     /*  639165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639233 */     GIR_RootConstrainSelectedInstOperands,
     /*  639234 */     // GIR_Coverage, 6575,
     /*  639234 */     GIR_EraseRootFromParent_Done,
     /*  639235 */   // Label 10247: @639235
     /*  639235 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(639310), // Rule ID 6578 //
     /*  639240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639308 */     GIR_RootConstrainSelectedInstOperands,
     /*  639309 */     // GIR_Coverage, 6578,
     /*  639309 */     GIR_EraseRootFromParent_Done,
     /*  639310 */   // Label 10248: @639310
     /*  639310 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(639385), // Rule ID 6579 //
     /*  639315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639383 */     GIR_RootConstrainSelectedInstOperands,
     /*  639384 */     // GIR_Coverage, 6579,
     /*  639384 */     GIR_EraseRootFromParent_Done,
     /*  639385 */   // Label 10249: @639385
     /*  639385 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(639460), // Rule ID 6582 //
     /*  639390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639458 */     GIR_RootConstrainSelectedInstOperands,
     /*  639459 */     // GIR_Coverage, 6582,
     /*  639459 */     GIR_EraseRootFromParent_Done,
     /*  639460 */   // Label 10250: @639460
     /*  639460 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(639535), // Rule ID 6583 //
     /*  639465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639511 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639533 */     GIR_RootConstrainSelectedInstOperands,
     /*  639534 */     // GIR_Coverage, 6583,
     /*  639534 */     GIR_EraseRootFromParent_Done,
     /*  639535 */   // Label 10251: @639535
     /*  639535 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(639610), // Rule ID 6586 //
     /*  639540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639608 */     GIR_RootConstrainSelectedInstOperands,
     /*  639609 */     // GIR_Coverage, 6586,
     /*  639609 */     GIR_EraseRootFromParent_Done,
     /*  639610 */   // Label 10252: @639610
     /*  639610 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(639685), // Rule ID 6587 //
     /*  639615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639683 */     GIR_RootConstrainSelectedInstOperands,
     /*  639684 */     // GIR_Coverage, 6587,
     /*  639684 */     GIR_EraseRootFromParent_Done,
     /*  639685 */   // Label 10253: @639685
     /*  639685 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639760), // Rule ID 6590 //
     /*  639690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639758 */     GIR_RootConstrainSelectedInstOperands,
     /*  639759 */     // GIR_Coverage, 6590,
     /*  639759 */     GIR_EraseRootFromParent_Done,
     /*  639760 */   // Label 10254: @639760
     /*  639760 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639835), // Rule ID 6591 //
     /*  639765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639833 */     GIR_RootConstrainSelectedInstOperands,
     /*  639834 */     // GIR_Coverage, 6591,
     /*  639834 */     GIR_EraseRootFromParent_Done,
     /*  639835 */   // Label 10255: @639835
     /*  639835 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639910), // Rule ID 6594 //
     /*  639840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639908 */     GIR_RootConstrainSelectedInstOperands,
     /*  639909 */     // GIR_Coverage, 6594,
     /*  639909 */     GIR_EraseRootFromParent_Done,
     /*  639910 */   // Label 10256: @639910
     /*  639910 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639985), // Rule ID 6595 //
     /*  639915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639961 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639983 */     GIR_RootConstrainSelectedInstOperands,
     /*  639984 */     // GIR_Coverage, 6595,
     /*  639984 */     GIR_EraseRootFromParent_Done,
     /*  639985 */   // Label 10257: @639985
     /*  639985 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(640060), // Rule ID 6598 //
     /*  639990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640058 */     GIR_RootConstrainSelectedInstOperands,
     /*  640059 */     // GIR_Coverage, 6598,
     /*  640059 */     GIR_EraseRootFromParent_Done,
     /*  640060 */   // Label 10258: @640060
     /*  640060 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(640135), // Rule ID 6599 //
     /*  640065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640133 */     GIR_RootConstrainSelectedInstOperands,
     /*  640134 */     // GIR_Coverage, 6599,
     /*  640134 */     GIR_EraseRootFromParent_Done,
     /*  640135 */   // Label 10259: @640135
     /*  640135 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(640210), // Rule ID 6602 //
     /*  640140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640208 */     GIR_RootConstrainSelectedInstOperands,
     /*  640209 */     // GIR_Coverage, 6602,
     /*  640209 */     GIR_EraseRootFromParent_Done,
     /*  640210 */   // Label 10260: @640210
     /*  640210 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(640285), // Rule ID 6603 //
     /*  640215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640283 */     GIR_RootConstrainSelectedInstOperands,
     /*  640284 */     // GIR_Coverage, 6603,
     /*  640284 */     GIR_EraseRootFromParent_Done,
     /*  640285 */   // Label 10261: @640285
     /*  640285 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(640360), // Rule ID 6606 //
     /*  640290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  640301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  640304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  640307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640358 */     GIR_RootConstrainSelectedInstOperands,
     /*  640359 */     // GIR_Coverage, 6606,
     /*  640359 */     GIR_EraseRootFromParent_Done,
     /*  640360 */   // Label 10262: @640360
     /*  640360 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(640435), // Rule ID 6607 //
     /*  640365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  640376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  640379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  640382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640433 */     GIR_RootConstrainSelectedInstOperands,
     /*  640434 */     // GIR_Coverage, 6607,
     /*  640434 */     GIR_EraseRootFromParent_Done,
     /*  640435 */   // Label 10263: @640435
     /*  640435 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(640510), // Rule ID 6610 //
     /*  640440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640508 */     GIR_RootConstrainSelectedInstOperands,
     /*  640509 */     // GIR_Coverage, 6610,
     /*  640509 */     GIR_EraseRootFromParent_Done,
     /*  640510 */   // Label 10264: @640510
     /*  640510 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(640585), // Rule ID 6611 //
     /*  640515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640583 */     GIR_RootConstrainSelectedInstOperands,
     /*  640584 */     // GIR_Coverage, 6611,
     /*  640584 */     GIR_EraseRootFromParent_Done,
     /*  640585 */   // Label 10265: @640585
     /*  640585 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(640660), // Rule ID 6614 //
     /*  640590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640658 */     GIR_RootConstrainSelectedInstOperands,
     /*  640659 */     // GIR_Coverage, 6614,
     /*  640659 */     GIR_EraseRootFromParent_Done,
     /*  640660 */   // Label 10266: @640660
     /*  640660 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(640735), // Rule ID 6615 //
     /*  640665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640733 */     GIR_RootConstrainSelectedInstOperands,
     /*  640734 */     // GIR_Coverage, 6615,
     /*  640734 */     GIR_EraseRootFromParent_Done,
     /*  640735 */   // Label 10267: @640735
     /*  640735 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640810), // Rule ID 6618 //
     /*  640740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640808 */     GIR_RootConstrainSelectedInstOperands,
     /*  640809 */     // GIR_Coverage, 6618,
     /*  640809 */     GIR_EraseRootFromParent_Done,
     /*  640810 */   // Label 10268: @640810
     /*  640810 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640885), // Rule ID 6619 //
     /*  640815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640883 */     GIR_RootConstrainSelectedInstOperands,
     /*  640884 */     // GIR_Coverage, 6619,
     /*  640884 */     GIR_EraseRootFromParent_Done,
     /*  640885 */   // Label 10269: @640885
     /*  640885 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640960), // Rule ID 6710 //
     /*  640890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  640939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640958 */     GIR_RootConstrainSelectedInstOperands,
     /*  640959 */     // GIR_Coverage, 6710,
     /*  640959 */     GIR_EraseRootFromParent_Done,
     /*  640960 */   // Label 10270: @640960
     /*  640960 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(641035), // Rule ID 6711 //
     /*  640965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  641014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641033 */     GIR_RootConstrainSelectedInstOperands,
     /*  641034 */     // GIR_Coverage, 6711,
     /*  641034 */     GIR_EraseRootFromParent_Done,
     /*  641035 */   // Label 10271: @641035
     /*  641035 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(641110), // Rule ID 6714 //
     /*  641040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641108 */     GIR_RootConstrainSelectedInstOperands,
     /*  641109 */     // GIR_Coverage, 6714,
     /*  641109 */     GIR_EraseRootFromParent_Done,
     /*  641110 */   // Label 10272: @641110
     /*  641110 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(641185), // Rule ID 6715 //
     /*  641115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641183 */     GIR_RootConstrainSelectedInstOperands,
     /*  641184 */     // GIR_Coverage, 6715,
     /*  641184 */     GIR_EraseRootFromParent_Done,
     /*  641185 */   // Label 10273: @641185
     /*  641185 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(641260), // Rule ID 6718 //
     /*  641190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641258 */     GIR_RootConstrainSelectedInstOperands,
     /*  641259 */     // GIR_Coverage, 6718,
     /*  641259 */     GIR_EraseRootFromParent_Done,
     /*  641260 */   // Label 10274: @641260
     /*  641260 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(641335), // Rule ID 6719 //
     /*  641265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641311 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641333 */     GIR_RootConstrainSelectedInstOperands,
     /*  641334 */     // GIR_Coverage, 6719,
     /*  641334 */     GIR_EraseRootFromParent_Done,
     /*  641335 */   // Label 10275: @641335
     /*  641335 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(641410), // Rule ID 6722 //
     /*  641340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641408 */     GIR_RootConstrainSelectedInstOperands,
     /*  641409 */     // GIR_Coverage, 6722,
     /*  641409 */     GIR_EraseRootFromParent_Done,
     /*  641410 */   // Label 10276: @641410
     /*  641410 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(641485), // Rule ID 6723 //
     /*  641415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641483 */     GIR_RootConstrainSelectedInstOperands,
     /*  641484 */     // GIR_Coverage, 6723,
     /*  641484 */     GIR_EraseRootFromParent_Done,
     /*  641485 */   // Label 10277: @641485
     /*  641485 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(641560), // Rule ID 6726 //
     /*  641490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641558 */     GIR_RootConstrainSelectedInstOperands,
     /*  641559 */     // GIR_Coverage, 6726,
     /*  641559 */     GIR_EraseRootFromParent_Done,
     /*  641560 */   // Label 10278: @641560
     /*  641560 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(641635), // Rule ID 6727 //
     /*  641565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641633 */     GIR_RootConstrainSelectedInstOperands,
     /*  641634 */     // GIR_Coverage, 6727,
     /*  641634 */     GIR_EraseRootFromParent_Done,
     /*  641635 */   // Label 10279: @641635
     /*  641635 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(641710), // Rule ID 6730 //
     /*  641640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641708 */     GIR_RootConstrainSelectedInstOperands,
     /*  641709 */     // GIR_Coverage, 6730,
     /*  641709 */     GIR_EraseRootFromParent_Done,
     /*  641710 */   // Label 10280: @641710
     /*  641710 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641785), // Rule ID 6731 //
     /*  641715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641783 */     GIR_RootConstrainSelectedInstOperands,
     /*  641784 */     // GIR_Coverage, 6731,
     /*  641784 */     GIR_EraseRootFromParent_Done,
     /*  641785 */   // Label 10281: @641785
     /*  641785 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641860), // Rule ID 6734 //
     /*  641790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641858 */     GIR_RootConstrainSelectedInstOperands,
     /*  641859 */     // GIR_Coverage, 6734,
     /*  641859 */     GIR_EraseRootFromParent_Done,
     /*  641860 */   // Label 10282: @641860
     /*  641860 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641935), // Rule ID 6735 //
     /*  641865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641933 */     GIR_RootConstrainSelectedInstOperands,
     /*  641934 */     // GIR_Coverage, 6735,
     /*  641934 */     GIR_EraseRootFromParent_Done,
     /*  641935 */   // Label 10283: @641935
     /*  641935 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(642010), // Rule ID 6738 //
     /*  641940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642008 */     GIR_RootConstrainSelectedInstOperands,
     /*  642009 */     // GIR_Coverage, 6738,
     /*  642009 */     GIR_EraseRootFromParent_Done,
     /*  642010 */   // Label 10284: @642010
     /*  642010 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(642085), // Rule ID 6739 //
     /*  642015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642083 */     GIR_RootConstrainSelectedInstOperands,
     /*  642084 */     // GIR_Coverage, 6739,
     /*  642084 */     GIR_EraseRootFromParent_Done,
     /*  642085 */   // Label 10285: @642085
     /*  642085 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(642160), // Rule ID 6742 //
     /*  642090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642158 */     GIR_RootConstrainSelectedInstOperands,
     /*  642159 */     // GIR_Coverage, 6742,
     /*  642159 */     GIR_EraseRootFromParent_Done,
     /*  642160 */   // Label 10286: @642160
     /*  642160 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(642235), // Rule ID 6743 //
     /*  642165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642233 */     GIR_RootConstrainSelectedInstOperands,
     /*  642234 */     // GIR_Coverage, 6743,
     /*  642234 */     GIR_EraseRootFromParent_Done,
     /*  642235 */   // Label 10287: @642235
     /*  642235 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(642310), // Rule ID 6746 //
     /*  642240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  642260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642308 */     GIR_RootConstrainSelectedInstOperands,
     /*  642309 */     // GIR_Coverage, 6746,
     /*  642309 */     GIR_EraseRootFromParent_Done,
     /*  642310 */   // Label 10288: @642310
     /*  642310 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(642385), // Rule ID 6747 //
     /*  642315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  642335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642383 */     GIR_RootConstrainSelectedInstOperands,
     /*  642384 */     // GIR_Coverage, 6747,
     /*  642384 */     GIR_EraseRootFromParent_Done,
     /*  642385 */   // Label 10289: @642385
     /*  642385 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(642460), // Rule ID 6750 //
     /*  642390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642458 */     GIR_RootConstrainSelectedInstOperands,
     /*  642459 */     // GIR_Coverage, 6750,
     /*  642459 */     GIR_EraseRootFromParent_Done,
     /*  642460 */   // Label 10290: @642460
     /*  642460 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(642535), // Rule ID 6751 //
     /*  642465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642533 */     GIR_RootConstrainSelectedInstOperands,
     /*  642534 */     // GIR_Coverage, 6751,
     /*  642534 */     GIR_EraseRootFromParent_Done,
     /*  642535 */   // Label 10291: @642535
     /*  642535 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(642610), // Rule ID 6754 //
     /*  642540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642608 */     GIR_RootConstrainSelectedInstOperands,
     /*  642609 */     // GIR_Coverage, 6754,
     /*  642609 */     GIR_EraseRootFromParent_Done,
     /*  642610 */   // Label 10292: @642610
     /*  642610 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(642685), // Rule ID 6755 //
     /*  642615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642661 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642683 */     GIR_RootConstrainSelectedInstOperands,
     /*  642684 */     // GIR_Coverage, 6755,
     /*  642684 */     GIR_EraseRootFromParent_Done,
     /*  642685 */   // Label 10293: @642685
     /*  642685 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642760), // Rule ID 6758 //
     /*  642690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642758 */     GIR_RootConstrainSelectedInstOperands,
     /*  642759 */     // GIR_Coverage, 6758,
     /*  642759 */     GIR_EraseRootFromParent_Done,
     /*  642760 */   // Label 10294: @642760
     /*  642760 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642835), // Rule ID 6759 //
     /*  642765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642833 */     GIR_RootConstrainSelectedInstOperands,
     /*  642834 */     // GIR_Coverage, 6759,
     /*  642834 */     GIR_EraseRootFromParent_Done,
     /*  642835 */   // Label 10295: @642835
     /*  642835 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642910), // Rule ID 6762 //
     /*  642840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642908 */     GIR_RootConstrainSelectedInstOperands,
     /*  642909 */     // GIR_Coverage, 6762,
     /*  642909 */     GIR_EraseRootFromParent_Done,
     /*  642910 */   // Label 10296: @642910
     /*  642910 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642985), // Rule ID 6763 //
     /*  642915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642983 */     GIR_RootConstrainSelectedInstOperands,
     /*  642984 */     // GIR_Coverage, 6763,
     /*  642984 */     GIR_EraseRootFromParent_Done,
     /*  642985 */   // Label 10297: @642985
     /*  642985 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(643060), // Rule ID 6766 //
     /*  642990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643058 */     GIR_RootConstrainSelectedInstOperands,
     /*  643059 */     // GIR_Coverage, 6766,
     /*  643059 */     GIR_EraseRootFromParent_Done,
     /*  643060 */   // Label 10298: @643060
     /*  643060 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(643135), // Rule ID 6767 //
     /*  643065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643133 */     GIR_RootConstrainSelectedInstOperands,
     /*  643134 */     // GIR_Coverage, 6767,
     /*  643134 */     GIR_EraseRootFromParent_Done,
     /*  643135 */   // Label 10299: @643135
     /*  643135 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(643210), // Rule ID 6770 //
     /*  643140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643208 */     GIR_RootConstrainSelectedInstOperands,
     /*  643209 */     // GIR_Coverage, 6770,
     /*  643209 */     GIR_EraseRootFromParent_Done,
     /*  643210 */   // Label 10300: @643210
     /*  643210 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(643285), // Rule ID 6771 //
     /*  643215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643283 */     GIR_RootConstrainSelectedInstOperands,
     /*  643284 */     // GIR_Coverage, 6771,
     /*  643284 */     GIR_EraseRootFromParent_Done,
     /*  643285 */   // Label 10301: @643285
     /*  643285 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(643360), // Rule ID 6774 //
     /*  643290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  643301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  643304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  643307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643358 */     GIR_RootConstrainSelectedInstOperands,
     /*  643359 */     // GIR_Coverage, 6774,
     /*  643359 */     GIR_EraseRootFromParent_Done,
     /*  643360 */   // Label 10302: @643360
     /*  643360 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(643435), // Rule ID 6775 //
     /*  643365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  643376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  643379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  643382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643433 */     GIR_RootConstrainSelectedInstOperands,
     /*  643434 */     // GIR_Coverage, 6775,
     /*  643434 */     GIR_EraseRootFromParent_Done,
     /*  643435 */   // Label 10303: @643435
     /*  643435 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(643510), // Rule ID 6778 //
     /*  643440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643508 */     GIR_RootConstrainSelectedInstOperands,
     /*  643509 */     // GIR_Coverage, 6778,
     /*  643509 */     GIR_EraseRootFromParent_Done,
     /*  643510 */   // Label 10304: @643510
     /*  643510 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(643585), // Rule ID 6779 //
     /*  643515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643583 */     GIR_RootConstrainSelectedInstOperands,
     /*  643584 */     // GIR_Coverage, 6779,
     /*  643584 */     GIR_EraseRootFromParent_Done,
     /*  643585 */   // Label 10305: @643585
     /*  643585 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(643660), // Rule ID 6782 //
     /*  643590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643658 */     GIR_RootConstrainSelectedInstOperands,
     /*  643659 */     // GIR_Coverage, 6782,
     /*  643659 */     GIR_EraseRootFromParent_Done,
     /*  643660 */   // Label 10306: @643660
     /*  643660 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(643735), // Rule ID 6783 //
     /*  643665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643733 */     GIR_RootConstrainSelectedInstOperands,
     /*  643734 */     // GIR_Coverage, 6783,
     /*  643734 */     GIR_EraseRootFromParent_Done,
     /*  643735 */   // Label 10307: @643735
     /*  643735 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643810), // Rule ID 6786 //
     /*  643740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643808 */     GIR_RootConstrainSelectedInstOperands,
     /*  643809 */     // GIR_Coverage, 6786,
     /*  643809 */     GIR_EraseRootFromParent_Done,
     /*  643810 */   // Label 10308: @643810
     /*  643810 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643885), // Rule ID 6787 //
     /*  643815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643883 */     GIR_RootConstrainSelectedInstOperands,
     /*  643884 */     // GIR_Coverage, 6787,
     /*  643884 */     GIR_EraseRootFromParent_Done,
     /*  643885 */   // Label 10309: @643885
     /*  643885 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643960), // Rule ID 6790 //
     /*  643890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643958 */     GIR_RootConstrainSelectedInstOperands,
     /*  643959 */     // GIR_Coverage, 6790,
     /*  643959 */     GIR_EraseRootFromParent_Done,
     /*  643960 */   // Label 10310: @643960
     /*  643960 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(644035), // Rule ID 6791 //
     /*  643965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  644014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644033 */     GIR_RootConstrainSelectedInstOperands,
     /*  644034 */     // GIR_Coverage, 6791,
     /*  644034 */     GIR_EraseRootFromParent_Done,
     /*  644035 */   // Label 10311: @644035
     /*  644035 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(644110), // Rule ID 6794 //
     /*  644040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644108 */     GIR_RootConstrainSelectedInstOperands,
     /*  644109 */     // GIR_Coverage, 6794,
     /*  644109 */     GIR_EraseRootFromParent_Done,
     /*  644110 */   // Label 10312: @644110
     /*  644110 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(644185), // Rule ID 6795 //
     /*  644115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644183 */     GIR_RootConstrainSelectedInstOperands,
     /*  644184 */     // GIR_Coverage, 6795,
     /*  644184 */     GIR_EraseRootFromParent_Done,
     /*  644185 */   // Label 10313: @644185
     /*  644185 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(644260), // Rule ID 6798 //
     /*  644190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  644239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644258 */     GIR_RootConstrainSelectedInstOperands,
     /*  644259 */     // GIR_Coverage, 6798,
     /*  644259 */     GIR_EraseRootFromParent_Done,
     /*  644260 */   // Label 10314: @644260
     /*  644260 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(644335), // Rule ID 6799 //
     /*  644265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  644314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644333 */     GIR_RootConstrainSelectedInstOperands,
     /*  644334 */     // GIR_Coverage, 6799,
     /*  644334 */     GIR_EraseRootFromParent_Done,
     /*  644335 */   // Label 10315: @644335
     /*  644335 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(644410), // Rule ID 6802 //
     /*  644340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644408 */     GIR_RootConstrainSelectedInstOperands,
     /*  644409 */     // GIR_Coverage, 6802,
     /*  644409 */     GIR_EraseRootFromParent_Done,
     /*  644410 */   // Label 10316: @644410
     /*  644410 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(644485), // Rule ID 6803 //
     /*  644415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644461 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644483 */     GIR_RootConstrainSelectedInstOperands,
     /*  644484 */     // GIR_Coverage, 6803,
     /*  644484 */     GIR_EraseRootFromParent_Done,
     /*  644485 */   // Label 10317: @644485
     /*  644485 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(644560), // Rule ID 6806 //
     /*  644490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644558 */     GIR_RootConstrainSelectedInstOperands,
     /*  644559 */     // GIR_Coverage, 6806,
     /*  644559 */     GIR_EraseRootFromParent_Done,
     /*  644560 */   // Label 10318: @644560
     /*  644560 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(644635), // Rule ID 6807 //
     /*  644565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644633 */     GIR_RootConstrainSelectedInstOperands,
     /*  644634 */     // GIR_Coverage, 6807,
     /*  644634 */     GIR_EraseRootFromParent_Done,
     /*  644635 */   // Label 10319: @644635
     /*  644635 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(644710), // Rule ID 6810 //
     /*  644640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644708 */     GIR_RootConstrainSelectedInstOperands,
     /*  644709 */     // GIR_Coverage, 6810,
     /*  644709 */     GIR_EraseRootFromParent_Done,
     /*  644710 */   // Label 10320: @644710
     /*  644710 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644785), // Rule ID 6811 //
     /*  644715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644783 */     GIR_RootConstrainSelectedInstOperands,
     /*  644784 */     // GIR_Coverage, 6811,
     /*  644784 */     GIR_EraseRootFromParent_Done,
     /*  644785 */   // Label 10321: @644785
     /*  644785 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644860), // Rule ID 6814 //
     /*  644790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644858 */     GIR_RootConstrainSelectedInstOperands,
     /*  644859 */     // GIR_Coverage, 6814,
     /*  644859 */     GIR_EraseRootFromParent_Done,
     /*  644860 */   // Label 10322: @644860
     /*  644860 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644935), // Rule ID 6815 //
     /*  644865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644911 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644933 */     GIR_RootConstrainSelectedInstOperands,
     /*  644934 */     // GIR_Coverage, 6815,
     /*  644934 */     GIR_EraseRootFromParent_Done,
     /*  644935 */   // Label 10323: @644935
     /*  644935 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(645010), // Rule ID 6818 //
     /*  644940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645008 */     GIR_RootConstrainSelectedInstOperands,
     /*  645009 */     // GIR_Coverage, 6818,
     /*  645009 */     GIR_EraseRootFromParent_Done,
     /*  645010 */   // Label 10324: @645010
     /*  645010 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(645085), // Rule ID 6819 //
     /*  645015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645083 */     GIR_RootConstrainSelectedInstOperands,
     /*  645084 */     // GIR_Coverage, 6819,
     /*  645084 */     GIR_EraseRootFromParent_Done,
     /*  645085 */   // Label 10325: @645085
     /*  645085 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(645160), // Rule ID 6822 //
     /*  645090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645158 */     GIR_RootConstrainSelectedInstOperands,
     /*  645159 */     // GIR_Coverage, 6822,
     /*  645159 */     GIR_EraseRootFromParent_Done,
     /*  645160 */   // Label 10326: @645160
     /*  645160 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(645235), // Rule ID 6823 //
     /*  645165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645233 */     GIR_RootConstrainSelectedInstOperands,
     /*  645234 */     // GIR_Coverage, 6823,
     /*  645234 */     GIR_EraseRootFromParent_Done,
     /*  645235 */   // Label 10327: @645235
     /*  645235 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(645310), // Rule ID 6826 //
     /*  645240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645308 */     GIR_RootConstrainSelectedInstOperands,
     /*  645309 */     // GIR_Coverage, 6826,
     /*  645309 */     GIR_EraseRootFromParent_Done,
     /*  645310 */   // Label 10328: @645310
     /*  645310 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(645385), // Rule ID 6827 //
     /*  645315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645383 */     GIR_RootConstrainSelectedInstOperands,
     /*  645384 */     // GIR_Coverage, 6827,
     /*  645384 */     GIR_EraseRootFromParent_Done,
     /*  645385 */   // Label 10329: @645385
     /*  645385 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(645460), // Rule ID 6830 //
     /*  645390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645458 */     GIR_RootConstrainSelectedInstOperands,
     /*  645459 */     // GIR_Coverage, 6830,
     /*  645459 */     GIR_EraseRootFromParent_Done,
     /*  645460 */   // Label 10330: @645460
     /*  645460 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(645535), // Rule ID 6831 //
     /*  645465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645533 */     GIR_RootConstrainSelectedInstOperands,
     /*  645534 */     // GIR_Coverage, 6831,
     /*  645534 */     GIR_EraseRootFromParent_Done,
     /*  645535 */   // Label 10331: @645535
     /*  645535 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(645610), // Rule ID 6834 //
     /*  645540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645608 */     GIR_RootConstrainSelectedInstOperands,
     /*  645609 */     // GIR_Coverage, 6834,
     /*  645609 */     GIR_EraseRootFromParent_Done,
     /*  645610 */   // Label 10332: @645610
     /*  645610 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(645685), // Rule ID 6835 //
     /*  645615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645683 */     GIR_RootConstrainSelectedInstOperands,
     /*  645684 */     // GIR_Coverage, 6835,
     /*  645684 */     GIR_EraseRootFromParent_Done,
     /*  645685 */   // Label 10333: @645685
     /*  645685 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645760), // Rule ID 6838 //
     /*  645690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645736 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645758 */     GIR_RootConstrainSelectedInstOperands,
     /*  645759 */     // GIR_Coverage, 6838,
     /*  645759 */     GIR_EraseRootFromParent_Done,
     /*  645760 */   // Label 10334: @645760
     /*  645760 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645835), // Rule ID 6839 //
     /*  645765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645833 */     GIR_RootConstrainSelectedInstOperands,
     /*  645834 */     // GIR_Coverage, 6839,
     /*  645834 */     GIR_EraseRootFromParent_Done,
     /*  645835 */   // Label 10335: @645835
     /*  645835 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645910), // Rule ID 6842 //
     /*  645840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645886 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645908 */     GIR_RootConstrainSelectedInstOperands,
     /*  645909 */     // GIR_Coverage, 6842,
     /*  645909 */     GIR_EraseRootFromParent_Done,
     /*  645910 */   // Label 10336: @645910
     /*  645910 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645985), // Rule ID 6843 //
     /*  645915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645983 */     GIR_RootConstrainSelectedInstOperands,
     /*  645984 */     // GIR_Coverage, 6843,
     /*  645984 */     GIR_EraseRootFromParent_Done,
     /*  645985 */   // Label 10337: @645985
     /*  645985 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(646060), // Rule ID 6846 //
     /*  645990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646036 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646058 */     GIR_RootConstrainSelectedInstOperands,
     /*  646059 */     // GIR_Coverage, 6846,
     /*  646059 */     GIR_EraseRootFromParent_Done,
     /*  646060 */   // Label 10338: @646060
     /*  646060 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(646135), // Rule ID 6847 //
     /*  646065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646111 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646133 */     GIR_RootConstrainSelectedInstOperands,
     /*  646134 */     // GIR_Coverage, 6847,
     /*  646134 */     GIR_EraseRootFromParent_Done,
     /*  646135 */   // Label 10339: @646135
     /*  646135 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(646210), // Rule ID 6850 //
     /*  646140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646208 */     GIR_RootConstrainSelectedInstOperands,
     /*  646209 */     // GIR_Coverage, 6850,
     /*  646209 */     GIR_EraseRootFromParent_Done,
     /*  646210 */   // Label 10340: @646210
     /*  646210 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(646285), // Rule ID 6851 //
     /*  646215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646283 */     GIR_RootConstrainSelectedInstOperands,
     /*  646284 */     // GIR_Coverage, 6851,
     /*  646284 */     GIR_EraseRootFromParent_Done,
     /*  646285 */   // Label 10341: @646285
     /*  646285 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(646360), // Rule ID 6854 //
     /*  646290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  646301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  646304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  646307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646358 */     GIR_RootConstrainSelectedInstOperands,
     /*  646359 */     // GIR_Coverage, 6854,
     /*  646359 */     GIR_EraseRootFromParent_Done,
     /*  646360 */   // Label 10342: @646360
     /*  646360 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(646435), // Rule ID 6855 //
     /*  646365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  646376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  646379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  646382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646433 */     GIR_RootConstrainSelectedInstOperands,
     /*  646434 */     // GIR_Coverage, 6855,
     /*  646434 */     GIR_EraseRootFromParent_Done,
     /*  646435 */   // Label 10343: @646435
     /*  646435 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(646510), // Rule ID 6858 //
     /*  646440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646486 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646508 */     GIR_RootConstrainSelectedInstOperands,
     /*  646509 */     // GIR_Coverage, 6858,
     /*  646509 */     GIR_EraseRootFromParent_Done,
     /*  646510 */   // Label 10344: @646510
     /*  646510 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(646585), // Rule ID 6859 //
     /*  646515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646583 */     GIR_RootConstrainSelectedInstOperands,
     /*  646584 */     // GIR_Coverage, 6859,
     /*  646584 */     GIR_EraseRootFromParent_Done,
     /*  646585 */   // Label 10345: @646585
     /*  646585 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(646660), // Rule ID 6862 //
     /*  646590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646658 */     GIR_RootConstrainSelectedInstOperands,
     /*  646659 */     // GIR_Coverage, 6862,
     /*  646659 */     GIR_EraseRootFromParent_Done,
     /*  646660 */   // Label 10346: @646660
     /*  646660 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(646735), // Rule ID 6863 //
     /*  646665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646733 */     GIR_RootConstrainSelectedInstOperands,
     /*  646734 */     // GIR_Coverage, 6863,
     /*  646734 */     GIR_EraseRootFromParent_Done,
     /*  646735 */   // Label 10347: @646735
     /*  646735 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646810), // Rule ID 6866 //
     /*  646740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646808 */     GIR_RootConstrainSelectedInstOperands,
     /*  646809 */     // GIR_Coverage, 6866,
     /*  646809 */     GIR_EraseRootFromParent_Done,
     /*  646810 */   // Label 10348: @646810
     /*  646810 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646885), // Rule ID 6867 //
     /*  646815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646883 */     GIR_RootConstrainSelectedInstOperands,
     /*  646884 */     // GIR_Coverage, 6867,
     /*  646884 */     GIR_EraseRootFromParent_Done,
     /*  646885 */   // Label 10349: @646885
     /*  646885 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646960), // Rule ID 6870 //
     /*  646890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646958 */     GIR_RootConstrainSelectedInstOperands,
     /*  646959 */     // GIR_Coverage, 6870,
     /*  646959 */     GIR_EraseRootFromParent_Done,
     /*  646960 */   // Label 10350: @646960
     /*  646960 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(647035), // Rule ID 6871 //
     /*  646965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647033 */     GIR_RootConstrainSelectedInstOperands,
     /*  647034 */     // GIR_Coverage, 6871,
     /*  647034 */     GIR_EraseRootFromParent_Done,
     /*  647035 */   // Label 10351: @647035
     /*  647035 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(647110), // Rule ID 6874 //
     /*  647040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647108 */     GIR_RootConstrainSelectedInstOperands,
     /*  647109 */     // GIR_Coverage, 6874,
     /*  647109 */     GIR_EraseRootFromParent_Done,
     /*  647110 */   // Label 10352: @647110
     /*  647110 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(647185), // Rule ID 6875 //
     /*  647115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647183 */     GIR_RootConstrainSelectedInstOperands,
     /*  647184 */     // GIR_Coverage, 6875,
     /*  647184 */     GIR_EraseRootFromParent_Done,
     /*  647185 */   // Label 10353: @647185
     /*  647185 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(647260), // Rule ID 6878 //
     /*  647190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647258 */     GIR_RootConstrainSelectedInstOperands,
     /*  647259 */     // GIR_Coverage, 6878,
     /*  647259 */     GIR_EraseRootFromParent_Done,
     /*  647260 */   // Label 10354: @647260
     /*  647260 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(647335), // Rule ID 6879 //
     /*  647265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647333 */     GIR_RootConstrainSelectedInstOperands,
     /*  647334 */     // GIR_Coverage, 6879,
     /*  647334 */     GIR_EraseRootFromParent_Done,
     /*  647335 */   // Label 10355: @647335
     /*  647335 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(647410), // Rule ID 6882 //
     /*  647340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647408 */     GIR_RootConstrainSelectedInstOperands,
     /*  647409 */     // GIR_Coverage, 6882,
     /*  647409 */     GIR_EraseRootFromParent_Done,
     /*  647410 */   // Label 10356: @647410
     /*  647410 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(647485), // Rule ID 6883 //
     /*  647415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647483 */     GIR_RootConstrainSelectedInstOperands,
     /*  647484 */     // GIR_Coverage, 6883,
     /*  647484 */     GIR_EraseRootFromParent_Done,
     /*  647485 */   // Label 10357: @647485
     /*  647485 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(647560), // Rule ID 6974 //
     /*  647490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647558 */     GIR_RootConstrainSelectedInstOperands,
     /*  647559 */     // GIR_Coverage, 6974,
     /*  647559 */     GIR_EraseRootFromParent_Done,
     /*  647560 */   // Label 10358: @647560
     /*  647560 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(647635), // Rule ID 6975 //
     /*  647565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647633 */     GIR_RootConstrainSelectedInstOperands,
     /*  647634 */     // GIR_Coverage, 6975,
     /*  647634 */     GIR_EraseRootFromParent_Done,
     /*  647635 */   // Label 10359: @647635
     /*  647635 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(647710), // Rule ID 6978 //
     /*  647640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647708 */     GIR_RootConstrainSelectedInstOperands,
     /*  647709 */     // GIR_Coverage, 6978,
     /*  647709 */     GIR_EraseRootFromParent_Done,
     /*  647710 */   // Label 10360: @647710
     /*  647710 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647785), // Rule ID 6979 //
     /*  647715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647783 */     GIR_RootConstrainSelectedInstOperands,
     /*  647784 */     // GIR_Coverage, 6979,
     /*  647784 */     GIR_EraseRootFromParent_Done,
     /*  647785 */   // Label 10361: @647785
     /*  647785 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647860), // Rule ID 6982 //
     /*  647790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647858 */     GIR_RootConstrainSelectedInstOperands,
     /*  647859 */     // GIR_Coverage, 6982,
     /*  647859 */     GIR_EraseRootFromParent_Done,
     /*  647860 */   // Label 10362: @647860
     /*  647860 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647935), // Rule ID 6983 //
     /*  647865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647933 */     GIR_RootConstrainSelectedInstOperands,
     /*  647934 */     // GIR_Coverage, 6983,
     /*  647934 */     GIR_EraseRootFromParent_Done,
     /*  647935 */   // Label 10363: @647935
     /*  647935 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(648010), // Rule ID 6986 //
     /*  647940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648008 */     GIR_RootConstrainSelectedInstOperands,
     /*  648009 */     // GIR_Coverage, 6986,
     /*  648009 */     GIR_EraseRootFromParent_Done,
     /*  648010 */   // Label 10364: @648010
     /*  648010 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(648085), // Rule ID 6987 //
     /*  648015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  648032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  648035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  648064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648083 */     GIR_RootConstrainSelectedInstOperands,
     /*  648084 */     // GIR_Coverage, 6987,
     /*  648084 */     GIR_EraseRootFromParent_Done,
     /*  648085 */   // Label 10365: @648085
     /*  648085 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(648160), // Rule ID 6990 //
     /*  648090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  648107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648158 */     GIR_RootConstrainSelectedInstOperands,
     /*  648159 */     // GIR_Coverage, 6990,
     /*  648159 */     GIR_EraseRootFromParent_Done,
     /*  648160 */   // Label 10366: @648160
     /*  648160 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(648235), // Rule ID 6991 //
     /*  648165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  648182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648233 */     GIR_RootConstrainSelectedInstOperands,
     /*  648234 */     // GIR_Coverage, 6991,
     /*  648234 */     GIR_EraseRootFromParent_Done,
     /*  648235 */   // Label 10367: @648235
     /*  648235 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(648310), // Rule ID 6994 //
     /*  648240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  648251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  648254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  648260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648308 */     GIR_RootConstrainSelectedInstOperands,
     /*  648309 */     // GIR_Coverage, 6994,
     /*  648309 */     GIR_EraseRootFromParent_Done,
     /*  648310 */   // Label 10368: @648310
     /*  648310 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(648385), // Rule ID 6995 //
     /*  648315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  648326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  648329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  648335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648383 */     GIR_RootConstrainSelectedInstOperands,
     /*  648384 */     // GIR_Coverage, 6995,
     /*  648384 */     GIR_EraseRootFromParent_Done,
     /*  648385 */   // Label 10369: @648385
     /*  648385 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(648460), // Rule ID 6998 //
     /*  648390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648458 */     GIR_RootConstrainSelectedInstOperands,
     /*  648459 */     // GIR_Coverage, 6998,
     /*  648459 */     GIR_EraseRootFromParent_Done,
     /*  648460 */   // Label 10370: @648460
     /*  648460 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(648535), // Rule ID 6999 //
     /*  648465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648533 */     GIR_RootConstrainSelectedInstOperands,
     /*  648534 */     // GIR_Coverage, 6999,
     /*  648534 */     GIR_EraseRootFromParent_Done,
     /*  648535 */   // Label 10371: @648535
     /*  648535 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(648610), // Rule ID 7002 //
     /*  648540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648608 */     GIR_RootConstrainSelectedInstOperands,
     /*  648609 */     // GIR_Coverage, 7002,
     /*  648609 */     GIR_EraseRootFromParent_Done,
     /*  648610 */   // Label 10372: @648610
     /*  648610 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(648685), // Rule ID 7003 //
     /*  648615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648683 */     GIR_RootConstrainSelectedInstOperands,
     /*  648684 */     // GIR_Coverage, 7003,
     /*  648684 */     GIR_EraseRootFromParent_Done,
     /*  648685 */   // Label 10373: @648685
     /*  648685 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648760), // Rule ID 7006 //
     /*  648690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648758 */     GIR_RootConstrainSelectedInstOperands,
     /*  648759 */     // GIR_Coverage, 7006,
     /*  648759 */     GIR_EraseRootFromParent_Done,
     /*  648760 */   // Label 10374: @648760
     /*  648760 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648835), // Rule ID 7007 //
     /*  648765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648833 */     GIR_RootConstrainSelectedInstOperands,
     /*  648834 */     // GIR_Coverage, 7007,
     /*  648834 */     GIR_EraseRootFromParent_Done,
     /*  648835 */   // Label 10375: @648835
     /*  648835 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648910), // Rule ID 7010 //
     /*  648840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648908 */     GIR_RootConstrainSelectedInstOperands,
     /*  648909 */     // GIR_Coverage, 7010,
     /*  648909 */     GIR_EraseRootFromParent_Done,
     /*  648910 */   // Label 10376: @648910
     /*  648910 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648985), // Rule ID 7011 //
     /*  648915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648983 */     GIR_RootConstrainSelectedInstOperands,
     /*  648984 */     // GIR_Coverage, 7011,
     /*  648984 */     GIR_EraseRootFromParent_Done,
     /*  648985 */   // Label 10377: @648985
     /*  648985 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(649060), // Rule ID 7014 //
     /*  648990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  649001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  649004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649058 */     GIR_RootConstrainSelectedInstOperands,
     /*  649059 */     // GIR_Coverage, 7014,
     /*  649059 */     GIR_EraseRootFromParent_Done,
     /*  649060 */   // Label 10378: @649060
     /*  649060 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(649135), // Rule ID 7015 //
     /*  649065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  649076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  649079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649133 */     GIR_RootConstrainSelectedInstOperands,
     /*  649134 */     // GIR_Coverage, 7015,
     /*  649134 */     GIR_EraseRootFromParent_Done,
     /*  649135 */   // Label 10379: @649135
     /*  649135 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(649210), // Rule ID 7018 //
     /*  649140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  649151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  649154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649208 */     GIR_RootConstrainSelectedInstOperands,
     /*  649209 */     // GIR_Coverage, 7018,
     /*  649209 */     GIR_EraseRootFromParent_Done,
     /*  649210 */   // Label 10380: @649210
     /*  649210 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(649285), // Rule ID 7019 //
     /*  649215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  649226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  649229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649261 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649283 */     GIR_RootConstrainSelectedInstOperands,
     /*  649284 */     // GIR_Coverage, 7019,
     /*  649284 */     GIR_EraseRootFromParent_Done,
     /*  649285 */   // Label 10381: @649285
     /*  649285 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(649360), // Rule ID 7022 //
     /*  649290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  649301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  649304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  649307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  649310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649358 */     GIR_RootConstrainSelectedInstOperands,
     /*  649359 */     // GIR_Coverage, 7022,
     /*  649359 */     GIR_EraseRootFromParent_Done,
     /*  649360 */   // Label 10382: @649360
     /*  649360 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(649435), // Rule ID 7023 //
     /*  649365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  649376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  649379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  649382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  649385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649433 */     GIR_RootConstrainSelectedInstOperands,
     /*  649434 */     // GIR_Coverage, 7023,
     /*  649434 */     GIR_EraseRootFromParent_Done,
     /*  649435 */   // Label 10383: @649435
     /*  649435 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(649510), // Rule ID 7026 //
     /*  649440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649508 */     GIR_RootConstrainSelectedInstOperands,
     /*  649509 */     // GIR_Coverage, 7026,
     /*  649509 */     GIR_EraseRootFromParent_Done,
     /*  649510 */   // Label 10384: @649510
     /*  649510 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(649585), // Rule ID 7027 //
     /*  649515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649583 */     GIR_RootConstrainSelectedInstOperands,
     /*  649584 */     // GIR_Coverage, 7027,
     /*  649584 */     GIR_EraseRootFromParent_Done,
     /*  649585 */   // Label 10385: @649585
     /*  649585 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(649660), // Rule ID 7030 //
     /*  649590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649658 */     GIR_RootConstrainSelectedInstOperands,
     /*  649659 */     // GIR_Coverage, 7030,
     /*  649659 */     GIR_EraseRootFromParent_Done,
     /*  649660 */   // Label 10386: @649660
     /*  649660 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(649735), // Rule ID 7031 //
     /*  649665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649733 */     GIR_RootConstrainSelectedInstOperands,
     /*  649734 */     // GIR_Coverage, 7031,
     /*  649734 */     GIR_EraseRootFromParent_Done,
     /*  649735 */   // Label 10387: @649735
     /*  649735 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649810), // Rule ID 7034 //
     /*  649740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649808 */     GIR_RootConstrainSelectedInstOperands,
     /*  649809 */     // GIR_Coverage, 7034,
     /*  649809 */     GIR_EraseRootFromParent_Done,
     /*  649810 */   // Label 10388: @649810
     /*  649810 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649885), // Rule ID 7035 //
     /*  649815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649883 */     GIR_RootConstrainSelectedInstOperands,
     /*  649884 */     // GIR_Coverage, 7035,
     /*  649884 */     GIR_EraseRootFromParent_Done,
     /*  649885 */   // Label 10389: @649885
     /*  649885 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649960), // Rule ID 7038 //
     /*  649890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649958 */     GIR_RootConstrainSelectedInstOperands,
     /*  649959 */     // GIR_Coverage, 7038,
     /*  649959 */     GIR_EraseRootFromParent_Done,
     /*  649960 */   // Label 10390: @649960
     /*  649960 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(650035), // Rule ID 7039 //
     /*  649965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650033 */     GIR_RootConstrainSelectedInstOperands,
     /*  650034 */     // GIR_Coverage, 7039,
     /*  650034 */     GIR_EraseRootFromParent_Done,
     /*  650035 */   // Label 10391: @650035
     /*  650035 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(650110), // Rule ID 7042 //
     /*  650040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650108 */     GIR_RootConstrainSelectedInstOperands,
     /*  650109 */     // GIR_Coverage, 7042,
     /*  650109 */     GIR_EraseRootFromParent_Done,
     /*  650110 */   // Label 10392: @650110
     /*  650110 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(650185), // Rule ID 7043 //
     /*  650115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650183 */     GIR_RootConstrainSelectedInstOperands,
     /*  650184 */     // GIR_Coverage, 7043,
     /*  650184 */     GIR_EraseRootFromParent_Done,
     /*  650185 */   // Label 10393: @650185
     /*  650185 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(650260), // Rule ID 7046 //
     /*  650190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  650201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  650204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  650207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  650210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650258 */     GIR_RootConstrainSelectedInstOperands,
     /*  650259 */     // GIR_Coverage, 7046,
     /*  650259 */     GIR_EraseRootFromParent_Done,
     /*  650260 */   // Label 10394: @650260
     /*  650260 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(650335), // Rule ID 7047 //
     /*  650265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  650276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  650279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  650282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  650285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650333 */     GIR_RootConstrainSelectedInstOperands,
     /*  650334 */     // GIR_Coverage, 7047,
     /*  650334 */     GIR_EraseRootFromParent_Done,
     /*  650335 */   // Label 10395: @650335
     /*  650335 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(650410), // Rule ID 7050 //
     /*  650340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  650357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  650360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650408 */     GIR_RootConstrainSelectedInstOperands,
     /*  650409 */     // GIR_Coverage, 7050,
     /*  650409 */     GIR_EraseRootFromParent_Done,
     /*  650410 */   // Label 10396: @650410
     /*  650410 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(650485), // Rule ID 7051 //
     /*  650415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  650432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  650435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650483 */     GIR_RootConstrainSelectedInstOperands,
     /*  650484 */     // GIR_Coverage, 7051,
     /*  650484 */     GIR_EraseRootFromParent_Done,
     /*  650485 */   // Label 10397: @650485
     /*  650485 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(650560), // Rule ID 7054 //
     /*  650490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650558 */     GIR_RootConstrainSelectedInstOperands,
     /*  650559 */     // GIR_Coverage, 7054,
     /*  650559 */     GIR_EraseRootFromParent_Done,
     /*  650560 */   // Label 10398: @650560
     /*  650560 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(650635), // Rule ID 7055 //
     /*  650565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650633 */     GIR_RootConstrainSelectedInstOperands,
     /*  650634 */     // GIR_Coverage, 7055,
     /*  650634 */     GIR_EraseRootFromParent_Done,
     /*  650635 */   // Label 10399: @650635
     /*  650635 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(650710), // Rule ID 7058 //
     /*  650640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650708 */     GIR_RootConstrainSelectedInstOperands,
     /*  650709 */     // GIR_Coverage, 7058,
     /*  650709 */     GIR_EraseRootFromParent_Done,
     /*  650710 */   // Label 10400: @650710
     /*  650710 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650785), // Rule ID 7059 //
     /*  650715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650783 */     GIR_RootConstrainSelectedInstOperands,
     /*  650784 */     // GIR_Coverage, 7059,
     /*  650784 */     GIR_EraseRootFromParent_Done,
     /*  650785 */   // Label 10401: @650785
     /*  650785 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650860), // Rule ID 7062 //
     /*  650790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650858 */     GIR_RootConstrainSelectedInstOperands,
     /*  650859 */     // GIR_Coverage, 7062,
     /*  650859 */     GIR_EraseRootFromParent_Done,
     /*  650860 */   // Label 10402: @650860
     /*  650860 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650935), // Rule ID 7063 //
     /*  650865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650933 */     GIR_RootConstrainSelectedInstOperands,
     /*  650934 */     // GIR_Coverage, 7063,
     /*  650934 */     GIR_EraseRootFromParent_Done,
     /*  650935 */   // Label 10403: @650935
     /*  650935 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(651010), // Rule ID 7066 //
     /*  650940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651008 */     GIR_RootConstrainSelectedInstOperands,
     /*  651009 */     // GIR_Coverage, 7066,
     /*  651009 */     GIR_EraseRootFromParent_Done,
     /*  651010 */   // Label 10404: @651010
     /*  651010 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(651085), // Rule ID 7067 //
     /*  651015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  651026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  651029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  651032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651083 */     GIR_RootConstrainSelectedInstOperands,
     /*  651084 */     // GIR_Coverage, 7067,
     /*  651084 */     GIR_EraseRootFromParent_Done,
     /*  651085 */   // Label 10405: @651085
     /*  651085 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(651160), // Rule ID 7070 //
     /*  651090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  651101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  651104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651158 */     GIR_RootConstrainSelectedInstOperands,
     /*  651159 */     // GIR_Coverage, 7070,
     /*  651159 */     GIR_EraseRootFromParent_Done,
     /*  651160 */   // Label 10406: @651160
     /*  651160 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(651235), // Rule ID 7071 //
     /*  651165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  651176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  651179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651233 */     GIR_RootConstrainSelectedInstOperands,
     /*  651234 */     // GIR_Coverage, 7071,
     /*  651234 */     GIR_EraseRootFromParent_Done,
     /*  651235 */   // Label 10407: @651235
     /*  651235 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(651310), // Rule ID 7074 //
     /*  651240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  651251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  651254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651308 */     GIR_RootConstrainSelectedInstOperands,
     /*  651309 */     // GIR_Coverage, 7074,
     /*  651309 */     GIR_EraseRootFromParent_Done,
     /*  651310 */   // Label 10408: @651310
     /*  651310 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(651385), // Rule ID 7075 //
     /*  651315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  651326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  651329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651383 */     GIR_RootConstrainSelectedInstOperands,
     /*  651384 */     // GIR_Coverage, 7075,
     /*  651384 */     GIR_EraseRootFromParent_Done,
     /*  651385 */   // Label 10409: @651385
     /*  651385 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(651460), // Rule ID 7078 //
     /*  651390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651458 */     GIR_RootConstrainSelectedInstOperands,
     /*  651459 */     // GIR_Coverage, 7078,
     /*  651459 */     GIR_EraseRootFromParent_Done,
     /*  651460 */   // Label 10410: @651460
     /*  651460 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(651535), // Rule ID 7079 //
     /*  651465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651533 */     GIR_RootConstrainSelectedInstOperands,
     /*  651534 */     // GIR_Coverage, 7079,
     /*  651534 */     GIR_EraseRootFromParent_Done,
     /*  651535 */   // Label 10411: @651535
     /*  651535 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(651610), // Rule ID 7082 //
     /*  651540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651608 */     GIR_RootConstrainSelectedInstOperands,
     /*  651609 */     // GIR_Coverage, 7082,
     /*  651609 */     GIR_EraseRootFromParent_Done,
     /*  651610 */   // Label 10412: @651610
     /*  651610 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(651685), // Rule ID 7083 //
     /*  651615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651683 */     GIR_RootConstrainSelectedInstOperands,
     /*  651684 */     // GIR_Coverage, 7083,
     /*  651684 */     GIR_EraseRootFromParent_Done,
     /*  651685 */   // Label 10413: @651685
     /*  651685 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651760), // Rule ID 7086 //
     /*  651690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651758 */     GIR_RootConstrainSelectedInstOperands,
     /*  651759 */     // GIR_Coverage, 7086,
     /*  651759 */     GIR_EraseRootFromParent_Done,
     /*  651760 */   // Label 10414: @651760
     /*  651760 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651835), // Rule ID 7087 //
     /*  651765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651833 */     GIR_RootConstrainSelectedInstOperands,
     /*  651834 */     // GIR_Coverage, 7087,
     /*  651834 */     GIR_EraseRootFromParent_Done,
     /*  651835 */   // Label 10415: @651835
     /*  651835 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651910), // Rule ID 7090 //
     /*  651840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651908 */     GIR_RootConstrainSelectedInstOperands,
     /*  651909 */     // GIR_Coverage, 7090,
     /*  651909 */     GIR_EraseRootFromParent_Done,
     /*  651910 */   // Label 10416: @651910
     /*  651910 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651985), // Rule ID 7091 //
     /*  651915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651983 */     GIR_RootConstrainSelectedInstOperands,
     /*  651984 */     // GIR_Coverage, 7091,
     /*  651984 */     GIR_EraseRootFromParent_Done,
     /*  651985 */   // Label 10417: @651985
     /*  651985 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(652060), // Rule ID 7094 //
     /*  651990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  652001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  652004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652058 */     GIR_RootConstrainSelectedInstOperands,
     /*  652059 */     // GIR_Coverage, 7094,
     /*  652059 */     GIR_EraseRootFromParent_Done,
     /*  652060 */   // Label 10418: @652060
     /*  652060 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(652135), // Rule ID 7095 //
     /*  652065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  652076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  652079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652133 */     GIR_RootConstrainSelectedInstOperands,
     /*  652134 */     // GIR_Coverage, 7095,
     /*  652134 */     GIR_EraseRootFromParent_Done,
     /*  652135 */   // Label 10419: @652135
     /*  652135 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(652210), // Rule ID 7098 //
     /*  652140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  652157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652208 */     GIR_RootConstrainSelectedInstOperands,
     /*  652209 */     // GIR_Coverage, 7098,
     /*  652209 */     GIR_EraseRootFromParent_Done,
     /*  652210 */   // Label 10420: @652210
     /*  652210 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(652285), // Rule ID 7099 //
     /*  652215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  652232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652283 */     GIR_RootConstrainSelectedInstOperands,
     /*  652284 */     // GIR_Coverage, 7099,
     /*  652284 */     GIR_EraseRootFromParent_Done,
     /*  652285 */   // Label 10421: @652285
     /*  652285 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(652360), // Rule ID 7102 //
     /*  652290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  652301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  652304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  652307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652358 */     GIR_RootConstrainSelectedInstOperands,
     /*  652359 */     // GIR_Coverage, 7102,
     /*  652359 */     GIR_EraseRootFromParent_Done,
     /*  652360 */   // Label 10422: @652360
     /*  652360 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(652435), // Rule ID 7103 //
     /*  652365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  652376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  652379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  652382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652433 */     GIR_RootConstrainSelectedInstOperands,
     /*  652434 */     // GIR_Coverage, 7103,
     /*  652434 */     GIR_EraseRootFromParent_Done,
     /*  652435 */   // Label 10423: @652435
     /*  652435 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(652510), // Rule ID 7106 //
     /*  652440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652508 */     GIR_RootConstrainSelectedInstOperands,
     /*  652509 */     // GIR_Coverage, 7106,
     /*  652509 */     GIR_EraseRootFromParent_Done,
     /*  652510 */   // Label 10424: @652510
     /*  652510 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(652585), // Rule ID 7107 //
     /*  652515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652583 */     GIR_RootConstrainSelectedInstOperands,
     /*  652584 */     // GIR_Coverage, 7107,
     /*  652584 */     GIR_EraseRootFromParent_Done,
     /*  652585 */   // Label 10425: @652585
     /*  652585 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(652660), // Rule ID 7110 //
     /*  652590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652658 */     GIR_RootConstrainSelectedInstOperands,
     /*  652659 */     // GIR_Coverage, 7110,
     /*  652659 */     GIR_EraseRootFromParent_Done,
     /*  652660 */   // Label 10426: @652660
     /*  652660 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(652735), // Rule ID 7111 //
     /*  652665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652733 */     GIR_RootConstrainSelectedInstOperands,
     /*  652734 */     // GIR_Coverage, 7111,
     /*  652734 */     GIR_EraseRootFromParent_Done,
     /*  652735 */   // Label 10427: @652735
     /*  652735 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652810), // Rule ID 7114 //
     /*  652740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652808 */     GIR_RootConstrainSelectedInstOperands,
     /*  652809 */     // GIR_Coverage, 7114,
     /*  652809 */     GIR_EraseRootFromParent_Done,
     /*  652810 */   // Label 10428: @652810
     /*  652810 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652885), // Rule ID 7115 //
     /*  652815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652883 */     GIR_RootConstrainSelectedInstOperands,
     /*  652884 */     // GIR_Coverage, 7115,
     /*  652884 */     GIR_EraseRootFromParent_Done,
     /*  652885 */   // Label 10429: @652885
     /*  652885 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652960), // Rule ID 7118 //
     /*  652890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652958 */     GIR_RootConstrainSelectedInstOperands,
     /*  652959 */     // GIR_Coverage, 7118,
     /*  652959 */     GIR_EraseRootFromParent_Done,
     /*  652960 */   // Label 10430: @652960
     /*  652960 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(653035), // Rule ID 7119 //
     /*  652965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653033 */     GIR_RootConstrainSelectedInstOperands,
     /*  653034 */     // GIR_Coverage, 7119,
     /*  653034 */     GIR_EraseRootFromParent_Done,
     /*  653035 */   // Label 10431: @653035
     /*  653035 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(653110), // Rule ID 7122 //
     /*  653040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653086 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653108 */     GIR_RootConstrainSelectedInstOperands,
     /*  653109 */     // GIR_Coverage, 7122,
     /*  653109 */     GIR_EraseRootFromParent_Done,
     /*  653110 */   // Label 10432: @653110
     /*  653110 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(653185), // Rule ID 7123 //
     /*  653115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653183 */     GIR_RootConstrainSelectedInstOperands,
     /*  653184 */     // GIR_Coverage, 7123,
     /*  653184 */     GIR_EraseRootFromParent_Done,
     /*  653185 */   // Label 10433: @653185
     /*  653185 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(653260), // Rule ID 7126 //
     /*  653190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  653201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  653204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653258 */     GIR_RootConstrainSelectedInstOperands,
     /*  653259 */     // GIR_Coverage, 7126,
     /*  653259 */     GIR_EraseRootFromParent_Done,
     /*  653260 */   // Label 10434: @653260
     /*  653260 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(653335), // Rule ID 7127 //
     /*  653265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  653276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  653279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653333 */     GIR_RootConstrainSelectedInstOperands,
     /*  653334 */     // GIR_Coverage, 7127,
     /*  653334 */     GIR_EraseRootFromParent_Done,
     /*  653335 */   // Label 10435: @653335
     /*  653335 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(653410), // Rule ID 7130 //
     /*  653340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  653351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  653354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653408 */     GIR_RootConstrainSelectedInstOperands,
     /*  653409 */     // GIR_Coverage, 7130,
     /*  653409 */     GIR_EraseRootFromParent_Done,
     /*  653410 */   // Label 10436: @653410
     /*  653410 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(653485), // Rule ID 7131 //
     /*  653415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  653426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  653429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653483 */     GIR_RootConstrainSelectedInstOperands,
     /*  653484 */     // GIR_Coverage, 7131,
     /*  653484 */     GIR_EraseRootFromParent_Done,
     /*  653485 */   // Label 10437: @653485
     /*  653485 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(653560), // Rule ID 7134 //
     /*  653490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653558 */     GIR_RootConstrainSelectedInstOperands,
     /*  653559 */     // GIR_Coverage, 7134,
     /*  653559 */     GIR_EraseRootFromParent_Done,
     /*  653560 */   // Label 10438: @653560
     /*  653560 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(653635), // Rule ID 7135 //
     /*  653565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653633 */     GIR_RootConstrainSelectedInstOperands,
     /*  653634 */     // GIR_Coverage, 7135,
     /*  653634 */     GIR_EraseRootFromParent_Done,
     /*  653635 */   // Label 10439: @653635
     /*  653635 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(653710), // Rule ID 7138 //
     /*  653640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653708 */     GIR_RootConstrainSelectedInstOperands,
     /*  653709 */     // GIR_Coverage, 7138,
     /*  653709 */     GIR_EraseRootFromParent_Done,
     /*  653710 */   // Label 10440: @653710
     /*  653710 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653785), // Rule ID 7139 //
     /*  653715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653783 */     GIR_RootConstrainSelectedInstOperands,
     /*  653784 */     // GIR_Coverage, 7139,
     /*  653784 */     GIR_EraseRootFromParent_Done,
     /*  653785 */   // Label 10441: @653785
     /*  653785 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653860), // Rule ID 7142 //
     /*  653790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653858 */     GIR_RootConstrainSelectedInstOperands,
     /*  653859 */     // GIR_Coverage, 7142,
     /*  653859 */     GIR_EraseRootFromParent_Done,
     /*  653860 */   // Label 10442: @653860
     /*  653860 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653935), // Rule ID 7143 //
     /*  653865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653933 */     GIR_RootConstrainSelectedInstOperands,
     /*  653934 */     // GIR_Coverage, 7143,
     /*  653934 */     GIR_EraseRootFromParent_Done,
     /*  653935 */   // Label 10443: @653935
     /*  653935 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(654010), // Rule ID 7146 //
     /*  653940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654008 */     GIR_RootConstrainSelectedInstOperands,
     /*  654009 */     // GIR_Coverage, 7146,
     /*  654009 */     GIR_EraseRootFromParent_Done,
     /*  654010 */   // Label 10444: @654010
     /*  654010 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(654085), // Rule ID 7147 //
     /*  654015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  654026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  654029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  654064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654083 */     GIR_RootConstrainSelectedInstOperands,
     /*  654084 */     // GIR_Coverage, 7147,
     /*  654084 */     GIR_EraseRootFromParent_Done,
     /*  654085 */   // Label 10445: @654085
     /*  654085 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(654160), // Rule ID 7326 //
     /*  654090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  654110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  654139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654158 */     GIR_RootConstrainSelectedInstOperands,
     /*  654159 */     // GIR_Coverage, 7326,
     /*  654159 */     GIR_EraseRootFromParent_Done,
     /*  654160 */   // Label 10446: @654160
     /*  654160 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(654235), // Rule ID 7327 //
     /*  654165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  654185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  654214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654233 */     GIR_RootConstrainSelectedInstOperands,
     /*  654234 */     // GIR_Coverage, 7327,
     /*  654234 */     GIR_EraseRootFromParent_Done,
     /*  654235 */   // Label 10447: @654235
     /*  654235 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(654310), // Rule ID 7330 //
     /*  654240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  654260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654308 */     GIR_RootConstrainSelectedInstOperands,
     /*  654309 */     // GIR_Coverage, 7330,
     /*  654309 */     GIR_EraseRootFromParent_Done,
     /*  654310 */   // Label 10448: @654310
     /*  654310 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(654385), // Rule ID 7331 //
     /*  654315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  654335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654383 */     GIR_RootConstrainSelectedInstOperands,
     /*  654384 */     // GIR_Coverage, 7331,
     /*  654384 */     GIR_EraseRootFromParent_Done,
     /*  654385 */   // Label 10449: @654385
     /*  654385 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(654460), // Rule ID 7334 //
     /*  654390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654458 */     GIR_RootConstrainSelectedInstOperands,
     /*  654459 */     // GIR_Coverage, 7334,
     /*  654459 */     GIR_EraseRootFromParent_Done,
     /*  654460 */   // Label 10450: @654460
     /*  654460 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(654535), // Rule ID 7335 //
     /*  654465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654533 */     GIR_RootConstrainSelectedInstOperands,
     /*  654534 */     // GIR_Coverage, 7335,
     /*  654534 */     GIR_EraseRootFromParent_Done,
     /*  654535 */   // Label 10451: @654535
     /*  654535 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(654610), // Rule ID 7338 //
     /*  654540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654608 */     GIR_RootConstrainSelectedInstOperands,
     /*  654609 */     // GIR_Coverage, 7338,
     /*  654609 */     GIR_EraseRootFromParent_Done,
     /*  654610 */   // Label 10452: @654610
     /*  654610 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(654685), // Rule ID 7339 //
     /*  654615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654661 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654683 */     GIR_RootConstrainSelectedInstOperands,
     /*  654684 */     // GIR_Coverage, 7339,
     /*  654684 */     GIR_EraseRootFromParent_Done,
     /*  654685 */   // Label 10453: @654685
     /*  654685 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654760), // Rule ID 7342 //
     /*  654690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654736 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654758 */     GIR_RootConstrainSelectedInstOperands,
     /*  654759 */     // GIR_Coverage, 7342,
     /*  654759 */     GIR_EraseRootFromParent_Done,
     /*  654760 */   // Label 10454: @654760
     /*  654760 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654835), // Rule ID 7343 //
     /*  654765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654833 */     GIR_RootConstrainSelectedInstOperands,
     /*  654834 */     // GIR_Coverage, 7343,
     /*  654834 */     GIR_EraseRootFromParent_Done,
     /*  654835 */   // Label 10455: @654835
     /*  654835 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654910), // Rule ID 7346 //
     /*  654840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654886 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654908 */     GIR_RootConstrainSelectedInstOperands,
     /*  654909 */     // GIR_Coverage, 7346,
     /*  654909 */     GIR_EraseRootFromParent_Done,
     /*  654910 */   // Label 10456: @654910
     /*  654910 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654985), // Rule ID 7347 //
     /*  654915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654983 */     GIR_RootConstrainSelectedInstOperands,
     /*  654984 */     // GIR_Coverage, 7347,
     /*  654984 */     GIR_EraseRootFromParent_Done,
     /*  654985 */   // Label 10457: @654985
     /*  654985 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(655060), // Rule ID 7350 //
     /*  654990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  655010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  655039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655058 */     GIR_RootConstrainSelectedInstOperands,
     /*  655059 */     // GIR_Coverage, 7350,
     /*  655059 */     GIR_EraseRootFromParent_Done,
     /*  655060 */   // Label 10458: @655060
     /*  655060 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(655135), // Rule ID 7351 //
     /*  655065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  655085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655111 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  655114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655133 */     GIR_RootConstrainSelectedInstOperands,
     /*  655134 */     // GIR_Coverage, 7351,
     /*  655134 */     GIR_EraseRootFromParent_Done,
     /*  655135 */   // Label 10459: @655135
     /*  655135 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(655210), // Rule ID 7354 //
     /*  655140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  655160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655208 */     GIR_RootConstrainSelectedInstOperands,
     /*  655209 */     // GIR_Coverage, 7354,
     /*  655209 */     GIR_EraseRootFromParent_Done,
     /*  655210 */   // Label 10460: @655210
     /*  655210 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(655285), // Rule ID 7355 //
     /*  655215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  655235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655261 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655283 */     GIR_RootConstrainSelectedInstOperands,
     /*  655284 */     // GIR_Coverage, 7355,
     /*  655284 */     GIR_EraseRootFromParent_Done,
     /*  655285 */   // Label 10461: @655285
     /*  655285 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(655360), // Rule ID 7358 //
     /*  655290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  655310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655358 */     GIR_RootConstrainSelectedInstOperands,
     /*  655359 */     // GIR_Coverage, 7358,
     /*  655359 */     GIR_EraseRootFromParent_Done,
     /*  655360 */   // Label 10462: @655360
     /*  655360 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(655435), // Rule ID 7359 //
     /*  655365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  655385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655433 */     GIR_RootConstrainSelectedInstOperands,
     /*  655434 */     // GIR_Coverage, 7359,
     /*  655434 */     GIR_EraseRootFromParent_Done,
     /*  655435 */   // Label 10463: @655435
     /*  655435 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(655510), // Rule ID 7362 //
     /*  655440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655508 */     GIR_RootConstrainSelectedInstOperands,
     /*  655509 */     // GIR_Coverage, 7362,
     /*  655509 */     GIR_EraseRootFromParent_Done,
     /*  655510 */   // Label 10464: @655510
     /*  655510 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(655585), // Rule ID 7363 //
     /*  655515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655583 */     GIR_RootConstrainSelectedInstOperands,
     /*  655584 */     // GIR_Coverage, 7363,
     /*  655584 */     GIR_EraseRootFromParent_Done,
     /*  655585 */   // Label 10465: @655585
     /*  655585 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(655660), // Rule ID 7366 //
     /*  655590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655658 */     GIR_RootConstrainSelectedInstOperands,
     /*  655659 */     // GIR_Coverage, 7366,
     /*  655659 */     GIR_EraseRootFromParent_Done,
     /*  655660 */   // Label 10466: @655660
     /*  655660 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(655735), // Rule ID 7367 //
     /*  655665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655733 */     GIR_RootConstrainSelectedInstOperands,
     /*  655734 */     // GIR_Coverage, 7367,
     /*  655734 */     GIR_EraseRootFromParent_Done,
     /*  655735 */   // Label 10467: @655735
     /*  655735 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655810), // Rule ID 7370 //
     /*  655740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655808 */     GIR_RootConstrainSelectedInstOperands,
     /*  655809 */     // GIR_Coverage, 7370,
     /*  655809 */     GIR_EraseRootFromParent_Done,
     /*  655810 */   // Label 10468: @655810
     /*  655810 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655885), // Rule ID 7371 //
     /*  655815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655883 */     GIR_RootConstrainSelectedInstOperands,
     /*  655884 */     // GIR_Coverage, 7371,
     /*  655884 */     GIR_EraseRootFromParent_Done,
     /*  655885 */   // Label 10469: @655885
     /*  655885 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655960), // Rule ID 7374 //
     /*  655890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655958 */     GIR_RootConstrainSelectedInstOperands,
     /*  655959 */     // GIR_Coverage, 7374,
     /*  655959 */     GIR_EraseRootFromParent_Done,
     /*  655960 */   // Label 10470: @655960
     /*  655960 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(656035), // Rule ID 7375 //
     /*  655965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  656014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656033 */     GIR_RootConstrainSelectedInstOperands,
     /*  656034 */     // GIR_Coverage, 7375,
     /*  656034 */     GIR_EraseRootFromParent_Done,
     /*  656035 */   // Label 10471: @656035
     /*  656035 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(656110), // Rule ID 7378 //
     /*  656040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  656060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656108 */     GIR_RootConstrainSelectedInstOperands,
     /*  656109 */     // GIR_Coverage, 7378,
     /*  656109 */     GIR_EraseRootFromParent_Done,
     /*  656110 */   // Label 10472: @656110
     /*  656110 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(656185), // Rule ID 7379 //
     /*  656115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  656135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656183 */     GIR_RootConstrainSelectedInstOperands,
     /*  656184 */     // GIR_Coverage, 7379,
     /*  656184 */     GIR_EraseRootFromParent_Done,
     /*  656185 */   // Label 10473: @656185
     /*  656185 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(656260), // Rule ID 7382 //
     /*  656190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  656210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656258 */     GIR_RootConstrainSelectedInstOperands,
     /*  656259 */     // GIR_Coverage, 7382,
     /*  656259 */     GIR_EraseRootFromParent_Done,
     /*  656260 */   // Label 10474: @656260
     /*  656260 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(656335), // Rule ID 7383 //
     /*  656265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  656285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656333 */     GIR_RootConstrainSelectedInstOperands,
     /*  656334 */     // GIR_Coverage, 7383,
     /*  656334 */     GIR_EraseRootFromParent_Done,
     /*  656335 */   // Label 10475: @656335
     /*  656335 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(656410), // Rule ID 7386 //
     /*  656340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656386 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  656389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656408 */     GIR_RootConstrainSelectedInstOperands,
     /*  656409 */     // GIR_Coverage, 7386,
     /*  656409 */     GIR_EraseRootFromParent_Done,
     /*  656410 */   // Label 10476: @656410
     /*  656410 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(656485), // Rule ID 7387 //
     /*  656415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  656464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656483 */     GIR_RootConstrainSelectedInstOperands,
     /*  656484 */     // GIR_Coverage, 7387,
     /*  656484 */     GIR_EraseRootFromParent_Done,
     /*  656485 */   // Label 10477: @656485
     /*  656485 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(656560), // Rule ID 7390 //
     /*  656490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656558 */     GIR_RootConstrainSelectedInstOperands,
     /*  656559 */     // GIR_Coverage, 7390,
     /*  656559 */     GIR_EraseRootFromParent_Done,
     /*  656560 */   // Label 10478: @656560
     /*  656560 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(656635), // Rule ID 7391 //
     /*  656565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656611 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656633 */     GIR_RootConstrainSelectedInstOperands,
     /*  656634 */     // GIR_Coverage, 7391,
     /*  656634 */     GIR_EraseRootFromParent_Done,
     /*  656635 */   // Label 10479: @656635
     /*  656635 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(656710), // Rule ID 7394 //
     /*  656640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656686 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656708 */     GIR_RootConstrainSelectedInstOperands,
     /*  656709 */     // GIR_Coverage, 7394,
     /*  656709 */     GIR_EraseRootFromParent_Done,
     /*  656710 */   // Label 10480: @656710
     /*  656710 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656785), // Rule ID 7395 //
     /*  656715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656761 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656783 */     GIR_RootConstrainSelectedInstOperands,
     /*  656784 */     // GIR_Coverage, 7395,
     /*  656784 */     GIR_EraseRootFromParent_Done,
     /*  656785 */   // Label 10481: @656785
     /*  656785 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656860), // Rule ID 7398 //
     /*  656790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656858 */     GIR_RootConstrainSelectedInstOperands,
     /*  656859 */     // GIR_Coverage, 7398,
     /*  656859 */     GIR_EraseRootFromParent_Done,
     /*  656860 */   // Label 10482: @656860
     /*  656860 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656935), // Rule ID 7399 //
     /*  656865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656933 */     GIR_RootConstrainSelectedInstOperands,
     /*  656934 */     // GIR_Coverage, 7399,
     /*  656934 */     GIR_EraseRootFromParent_Done,
     /*  656935 */   // Label 10483: @656935
     /*  656935 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(657010), // Rule ID 7402 //
     /*  656940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657008 */     GIR_RootConstrainSelectedInstOperands,
     /*  657009 */     // GIR_Coverage, 7402,
     /*  657009 */     GIR_EraseRootFromParent_Done,
     /*  657010 */   // Label 10484: @657010
     /*  657010 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(657085), // Rule ID 7403 //
     /*  657015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657061 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657083 */     GIR_RootConstrainSelectedInstOperands,
     /*  657084 */     // GIR_Coverage, 7403,
     /*  657084 */     GIR_EraseRootFromParent_Done,
     /*  657085 */   // Label 10485: @657085
     /*  657085 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(657160), // Rule ID 7406 //
     /*  657090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657158 */     GIR_RootConstrainSelectedInstOperands,
     /*  657159 */     // GIR_Coverage, 7406,
     /*  657159 */     GIR_EraseRootFromParent_Done,
     /*  657160 */   // Label 10486: @657160
     /*  657160 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(657235), // Rule ID 7407 //
     /*  657165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657211 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657233 */     GIR_RootConstrainSelectedInstOperands,
     /*  657234 */     // GIR_Coverage, 7407,
     /*  657234 */     GIR_EraseRootFromParent_Done,
     /*  657235 */   // Label 10487: @657235
     /*  657235 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(657310), // Rule ID 7410 //
     /*  657240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  657289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657308 */     GIR_RootConstrainSelectedInstOperands,
     /*  657309 */     // GIR_Coverage, 7410,
     /*  657309 */     GIR_EraseRootFromParent_Done,
     /*  657310 */   // Label 10488: @657310
     /*  657310 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(657385), // Rule ID 7411 //
     /*  657315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  657364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657383 */     GIR_RootConstrainSelectedInstOperands,
     /*  657384 */     // GIR_Coverage, 7411,
     /*  657384 */     GIR_EraseRootFromParent_Done,
     /*  657385 */   // Label 10489: @657385
     /*  657385 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(657460), // Rule ID 7414 //
     /*  657390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657458 */     GIR_RootConstrainSelectedInstOperands,
     /*  657459 */     // GIR_Coverage, 7414,
     /*  657459 */     GIR_EraseRootFromParent_Done,
     /*  657460 */   // Label 10490: @657460
     /*  657460 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(657535), // Rule ID 7415 //
     /*  657465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657533 */     GIR_RootConstrainSelectedInstOperands,
     /*  657534 */     // GIR_Coverage, 7415,
     /*  657534 */     GIR_EraseRootFromParent_Done,
     /*  657535 */   // Label 10491: @657535
     /*  657535 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(657610), // Rule ID 7418 //
     /*  657540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657608 */     GIR_RootConstrainSelectedInstOperands,
     /*  657609 */     // GIR_Coverage, 7418,
     /*  657609 */     GIR_EraseRootFromParent_Done,
     /*  657610 */   // Label 10492: @657610
     /*  657610 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(657685), // Rule ID 7419 //
     /*  657615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657683 */     GIR_RootConstrainSelectedInstOperands,
     /*  657684 */     // GIR_Coverage, 7419,
     /*  657684 */     GIR_EraseRootFromParent_Done,
     /*  657685 */   // Label 10493: @657685
     /*  657685 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657760), // Rule ID 7422 //
     /*  657690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657758 */     GIR_RootConstrainSelectedInstOperands,
     /*  657759 */     // GIR_Coverage, 7422,
     /*  657759 */     GIR_EraseRootFromParent_Done,
     /*  657760 */   // Label 10494: @657760
     /*  657760 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657835), // Rule ID 7423 //
     /*  657765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657833 */     GIR_RootConstrainSelectedInstOperands,
     /*  657834 */     // GIR_Coverage, 7423,
     /*  657834 */     GIR_EraseRootFromParent_Done,
     /*  657835 */   // Label 10495: @657835
     /*  657835 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657910), // Rule ID 7426 //
     /*  657840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657908 */     GIR_RootConstrainSelectedInstOperands,
     /*  657909 */     // GIR_Coverage, 7426,
     /*  657909 */     GIR_EraseRootFromParent_Done,
     /*  657910 */   // Label 10496: @657910
     /*  657910 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657985), // Rule ID 7427 //
     /*  657915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657961 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657983 */     GIR_RootConstrainSelectedInstOperands,
     /*  657984 */     // GIR_Coverage, 7427,
     /*  657984 */     GIR_EraseRootFromParent_Done,
     /*  657985 */   // Label 10497: @657985
     /*  657985 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(658060), // Rule ID 7430 //
     /*  657990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658058 */     GIR_RootConstrainSelectedInstOperands,
     /*  658059 */     // GIR_Coverage, 7430,
     /*  658059 */     GIR_EraseRootFromParent_Done,
     /*  658060 */   // Label 10498: @658060
     /*  658060 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(658135), // Rule ID 7431 //
     /*  658065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658133 */     GIR_RootConstrainSelectedInstOperands,
     /*  658134 */     // GIR_Coverage, 7431,
     /*  658134 */     GIR_EraseRootFromParent_Done,
     /*  658135 */   // Label 10499: @658135
     /*  658135 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(658210), // Rule ID 7434 //
     /*  658140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658208 */     GIR_RootConstrainSelectedInstOperands,
     /*  658209 */     // GIR_Coverage, 7434,
     /*  658209 */     GIR_EraseRootFromParent_Done,
     /*  658210 */   // Label 10500: @658210
     /*  658210 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(658285), // Rule ID 7435 //
     /*  658215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658261 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658283 */     GIR_RootConstrainSelectedInstOperands,
     /*  658284 */     // GIR_Coverage, 7435,
     /*  658284 */     GIR_EraseRootFromParent_Done,
     /*  658285 */   // Label 10501: @658285
     /*  658285 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(658360), // Rule ID 7438 //
     /*  658290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  658339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658358 */     GIR_RootConstrainSelectedInstOperands,
     /*  658359 */     // GIR_Coverage, 7438,
     /*  658359 */     GIR_EraseRootFromParent_Done,
     /*  658360 */   // Label 10502: @658360
     /*  658360 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(658435), // Rule ID 7439 //
     /*  658365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  658414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658433 */     GIR_RootConstrainSelectedInstOperands,
     /*  658434 */     // GIR_Coverage, 7439,
     /*  658434 */     GIR_EraseRootFromParent_Done,
     /*  658435 */   // Label 10503: @658435
     /*  658435 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(658510), // Rule ID 7442 //
     /*  658440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658508 */     GIR_RootConstrainSelectedInstOperands,
     /*  658509 */     // GIR_Coverage, 7442,
     /*  658509 */     GIR_EraseRootFromParent_Done,
     /*  658510 */   // Label 10504: @658510
     /*  658510 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(658585), // Rule ID 7443 //
     /*  658515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658583 */     GIR_RootConstrainSelectedInstOperands,
     /*  658584 */     // GIR_Coverage, 7443,
     /*  658584 */     GIR_EraseRootFromParent_Done,
     /*  658585 */   // Label 10505: @658585
     /*  658585 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(658660), // Rule ID 7506 //
     /*  658590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658658 */     GIR_RootConstrainSelectedInstOperands,
     /*  658659 */     // GIR_Coverage, 7506,
     /*  658659 */     GIR_EraseRootFromParent_Done,
     /*  658660 */   // Label 10506: @658660
     /*  658660 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(658735), // Rule ID 7507 //
     /*  658665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658733 */     GIR_RootConstrainSelectedInstOperands,
     /*  658734 */     // GIR_Coverage, 7507,
     /*  658734 */     GIR_EraseRootFromParent_Done,
     /*  658735 */   // Label 10507: @658735
     /*  658735 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658810), // Rule ID 7510 //
     /*  658740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658808 */     GIR_RootConstrainSelectedInstOperands,
     /*  658809 */     // GIR_Coverage, 7510,
     /*  658809 */     GIR_EraseRootFromParent_Done,
     /*  658810 */   // Label 10508: @658810
     /*  658810 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658885), // Rule ID 7511 //
     /*  658815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658883 */     GIR_RootConstrainSelectedInstOperands,
     /*  658884 */     // GIR_Coverage, 7511,
     /*  658884 */     GIR_EraseRootFromParent_Done,
     /*  658885 */   // Label 10509: @658885
     /*  658885 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658960), // Rule ID 7514 //
     /*  658890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658958 */     GIR_RootConstrainSelectedInstOperands,
     /*  658959 */     // GIR_Coverage, 7514,
     /*  658959 */     GIR_EraseRootFromParent_Done,
     /*  658960 */   // Label 10510: @658960
     /*  658960 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(659035), // Rule ID 7515 //
     /*  658965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659033 */     GIR_RootConstrainSelectedInstOperands,
     /*  659034 */     // GIR_Coverage, 7515,
     /*  659034 */     GIR_EraseRootFromParent_Done,
     /*  659035 */   // Label 10511: @659035
     /*  659035 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(659110), // Rule ID 7518 //
     /*  659040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659108 */     GIR_RootConstrainSelectedInstOperands,
     /*  659109 */     // GIR_Coverage, 7518,
     /*  659109 */     GIR_EraseRootFromParent_Done,
     /*  659110 */   // Label 10512: @659110
     /*  659110 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(659185), // Rule ID 7519 //
     /*  659115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659183 */     GIR_RootConstrainSelectedInstOperands,
     /*  659184 */     // GIR_Coverage, 7519,
     /*  659184 */     GIR_EraseRootFromParent_Done,
     /*  659185 */   // Label 10513: @659185
     /*  659185 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(659260), // Rule ID 7522 //
     /*  659190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659258 */     GIR_RootConstrainSelectedInstOperands,
     /*  659259 */     // GIR_Coverage, 7522,
     /*  659259 */     GIR_EraseRootFromParent_Done,
     /*  659260 */   // Label 10514: @659260
     /*  659260 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(659335), // Rule ID 7523 //
     /*  659265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659333 */     GIR_RootConstrainSelectedInstOperands,
     /*  659334 */     // GIR_Coverage, 7523,
     /*  659334 */     GIR_EraseRootFromParent_Done,
     /*  659335 */   // Label 10515: @659335
     /*  659335 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(659410), // Rule ID 7526 //
     /*  659340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659408 */     GIR_RootConstrainSelectedInstOperands,
     /*  659409 */     // GIR_Coverage, 7526,
     /*  659409 */     GIR_EraseRootFromParent_Done,
     /*  659410 */   // Label 10516: @659410
     /*  659410 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(659485), // Rule ID 7527 //
     /*  659415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659483 */     GIR_RootConstrainSelectedInstOperands,
     /*  659484 */     // GIR_Coverage, 7527,
     /*  659484 */     GIR_EraseRootFromParent_Done,
     /*  659485 */   // Label 10517: @659485
     /*  659485 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(659560), // Rule ID 7530 //
     /*  659490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659558 */     GIR_RootConstrainSelectedInstOperands,
     /*  659559 */     // GIR_Coverage, 7530,
     /*  659559 */     GIR_EraseRootFromParent_Done,
     /*  659560 */   // Label 10518: @659560
     /*  659560 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(659635), // Rule ID 7531 //
     /*  659565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659633 */     GIR_RootConstrainSelectedInstOperands,
     /*  659634 */     // GIR_Coverage, 7531,
     /*  659634 */     GIR_EraseRootFromParent_Done,
     /*  659635 */   // Label 10519: @659635
     /*  659635 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(659710), // Rule ID 7534 //
     /*  659640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659708 */     GIR_RootConstrainSelectedInstOperands,
     /*  659709 */     // GIR_Coverage, 7534,
     /*  659709 */     GIR_EraseRootFromParent_Done,
     /*  659710 */   // Label 10520: @659710
     /*  659710 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659785), // Rule ID 7535 //
     /*  659715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659761 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659783 */     GIR_RootConstrainSelectedInstOperands,
     /*  659784 */     // GIR_Coverage, 7535,
     /*  659784 */     GIR_EraseRootFromParent_Done,
     /*  659785 */   // Label 10521: @659785
     /*  659785 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659860), // Rule ID 7538 //
     /*  659790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659858 */     GIR_RootConstrainSelectedInstOperands,
     /*  659859 */     // GIR_Coverage, 7538,
     /*  659859 */     GIR_EraseRootFromParent_Done,
     /*  659860 */   // Label 10522: @659860
     /*  659860 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659935), // Rule ID 7539 //
     /*  659865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659911 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659933 */     GIR_RootConstrainSelectedInstOperands,
     /*  659934 */     // GIR_Coverage, 7539,
     /*  659934 */     GIR_EraseRootFromParent_Done,
     /*  659935 */   // Label 10523: @659935
     /*  659935 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(660010), // Rule ID 7542 //
     /*  659940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660008 */     GIR_RootConstrainSelectedInstOperands,
     /*  660009 */     // GIR_Coverage, 7542,
     /*  660009 */     GIR_EraseRootFromParent_Done,
     /*  660010 */   // Label 10524: @660010
     /*  660010 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(660085), // Rule ID 7543 //
     /*  660015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  660035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660083 */     GIR_RootConstrainSelectedInstOperands,
     /*  660084 */     // GIR_Coverage, 7543,
     /*  660084 */     GIR_EraseRootFromParent_Done,
     /*  660085 */   // Label 10525: @660085
     /*  660085 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(660160), // Rule ID 7546 //
     /*  660090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660158 */     GIR_RootConstrainSelectedInstOperands,
     /*  660159 */     // GIR_Coverage, 7546,
     /*  660159 */     GIR_EraseRootFromParent_Done,
     /*  660160 */   // Label 10526: @660160
     /*  660160 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(660235), // Rule ID 7547 //
     /*  660165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660233 */     GIR_RootConstrainSelectedInstOperands,
     /*  660234 */     // GIR_Coverage, 7547,
     /*  660234 */     GIR_EraseRootFromParent_Done,
     /*  660235 */   // Label 10527: @660235
     /*  660235 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(660310), // Rule ID 7550 //
     /*  660240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  660289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660308 */     GIR_RootConstrainSelectedInstOperands,
     /*  660309 */     // GIR_Coverage, 7550,
     /*  660309 */     GIR_EraseRootFromParent_Done,
     /*  660310 */   // Label 10528: @660310
     /*  660310 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(660385), // Rule ID 7551 //
     /*  660315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  660364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660383 */     GIR_RootConstrainSelectedInstOperands,
     /*  660384 */     // GIR_Coverage, 7551,
     /*  660384 */     GIR_EraseRootFromParent_Done,
     /*  660385 */   // Label 10529: @660385
     /*  660385 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(660460), // Rule ID 7554 //
     /*  660390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660458 */     GIR_RootConstrainSelectedInstOperands,
     /*  660459 */     // GIR_Coverage, 7554,
     /*  660459 */     GIR_EraseRootFromParent_Done,
     /*  660460 */   // Label 10530: @660460
     /*  660460 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(660535), // Rule ID 7555 //
     /*  660465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660533 */     GIR_RootConstrainSelectedInstOperands,
     /*  660534 */     // GIR_Coverage, 7555,
     /*  660534 */     GIR_EraseRootFromParent_Done,
     /*  660535 */   // Label 10531: @660535
     /*  660535 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(660610), // Rule ID 7558 //
     /*  660540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660608 */     GIR_RootConstrainSelectedInstOperands,
     /*  660609 */     // GIR_Coverage, 7558,
     /*  660609 */     GIR_EraseRootFromParent_Done,
     /*  660610 */   // Label 10532: @660610
     /*  660610 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(660685), // Rule ID 7559 //
     /*  660615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660661 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660683 */     GIR_RootConstrainSelectedInstOperands,
     /*  660684 */     // GIR_Coverage, 7559,
     /*  660684 */     GIR_EraseRootFromParent_Done,
     /*  660685 */   // Label 10533: @660685
     /*  660685 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660760), // Rule ID 7562 //
     /*  660690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660758 */     GIR_RootConstrainSelectedInstOperands,
     /*  660759 */     // GIR_Coverage, 7562,
     /*  660759 */     GIR_EraseRootFromParent_Done,
     /*  660760 */   // Label 10534: @660760
     /*  660760 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660835), // Rule ID 7563 //
     /*  660765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660833 */     GIR_RootConstrainSelectedInstOperands,
     /*  660834 */     // GIR_Coverage, 7563,
     /*  660834 */     GIR_EraseRootFromParent_Done,
     /*  660835 */   // Label 10535: @660835
     /*  660835 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660910), // Rule ID 7566 //
     /*  660840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660886 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660908 */     GIR_RootConstrainSelectedInstOperands,
     /*  660909 */     // GIR_Coverage, 7566,
     /*  660909 */     GIR_EraseRootFromParent_Done,
     /*  660910 */   // Label 10536: @660910
     /*  660910 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660985), // Rule ID 7567 //
     /*  660915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660961 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660983 */     GIR_RootConstrainSelectedInstOperands,
     /*  660984 */     // GIR_Coverage, 7567,
     /*  660984 */     GIR_EraseRootFromParent_Done,
     /*  660985 */   // Label 10537: @660985
     /*  660985 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(661060), // Rule ID 7570 //
     /*  660990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661036 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661058 */     GIR_RootConstrainSelectedInstOperands,
     /*  661059 */     // GIR_Coverage, 7570,
     /*  661059 */     GIR_EraseRootFromParent_Done,
     /*  661060 */   // Label 10538: @661060
     /*  661060 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(661135), // Rule ID 7571 //
     /*  661065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661111 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661133 */     GIR_RootConstrainSelectedInstOperands,
     /*  661134 */     // GIR_Coverage, 7571,
     /*  661134 */     GIR_EraseRootFromParent_Done,
     /*  661135 */   // Label 10539: @661135
     /*  661135 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(661210), // Rule ID 7574 //
     /*  661140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661186 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661208 */     GIR_RootConstrainSelectedInstOperands,
     /*  661209 */     // GIR_Coverage, 7574,
     /*  661209 */     GIR_EraseRootFromParent_Done,
     /*  661210 */   // Label 10540: @661210
     /*  661210 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(661285), // Rule ID 7575 //
     /*  661215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661261 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661283 */     GIR_RootConstrainSelectedInstOperands,
     /*  661284 */     // GIR_Coverage, 7575,
     /*  661284 */     GIR_EraseRootFromParent_Done,
     /*  661285 */   // Label 10541: @661285
     /*  661285 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(661360), // Rule ID 7578 //
     /*  661290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661358 */     GIR_RootConstrainSelectedInstOperands,
     /*  661359 */     // GIR_Coverage, 7578,
     /*  661359 */     GIR_EraseRootFromParent_Done,
     /*  661360 */   // Label 10542: @661360
     /*  661360 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(661435), // Rule ID 7579 //
     /*  661365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661433 */     GIR_RootConstrainSelectedInstOperands,
     /*  661434 */     // GIR_Coverage, 7579,
     /*  661434 */     GIR_EraseRootFromParent_Done,
     /*  661435 */   // Label 10543: @661435
     /*  661435 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(661510), // Rule ID 7582 //
     /*  661440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661508 */     GIR_RootConstrainSelectedInstOperands,
     /*  661509 */     // GIR_Coverage, 7582,
     /*  661509 */     GIR_EraseRootFromParent_Done,
     /*  661510 */   // Label 10544: @661510
     /*  661510 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(661585), // Rule ID 7583 //
     /*  661515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661561 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661583 */     GIR_RootConstrainSelectedInstOperands,
     /*  661584 */     // GIR_Coverage, 7583,
     /*  661584 */     GIR_EraseRootFromParent_Done,
     /*  661585 */   // Label 10545: @661585
     /*  661585 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(661660), // Rule ID 7586 //
     /*  661590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661658 */     GIR_RootConstrainSelectedInstOperands,
     /*  661659 */     // GIR_Coverage, 7586,
     /*  661659 */     GIR_EraseRootFromParent_Done,
     /*  661660 */   // Label 10546: @661660
     /*  661660 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(661735), // Rule ID 7587 //
     /*  661665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661711 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661733 */     GIR_RootConstrainSelectedInstOperands,
     /*  661734 */     // GIR_Coverage, 7587,
     /*  661734 */     GIR_EraseRootFromParent_Done,
     /*  661735 */   // Label 10547: @661735
     /*  661735 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661810), // Rule ID 7590 //
     /*  661740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661808 */     GIR_RootConstrainSelectedInstOperands,
     /*  661809 */     // GIR_Coverage, 7590,
     /*  661809 */     GIR_EraseRootFromParent_Done,
     /*  661810 */   // Label 10548: @661810
     /*  661810 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661885), // Rule ID 7591 //
     /*  661815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661883 */     GIR_RootConstrainSelectedInstOperands,
     /*  661884 */     // GIR_Coverage, 7591,
     /*  661884 */     GIR_EraseRootFromParent_Done,
     /*  661885 */   // Label 10549: @661885
     /*  661885 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661960), // Rule ID 7594 //
     /*  661890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661958 */     GIR_RootConstrainSelectedInstOperands,
     /*  661959 */     // GIR_Coverage, 7594,
     /*  661959 */     GIR_EraseRootFromParent_Done,
     /*  661960 */   // Label 10550: @661960
     /*  661960 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(662035), // Rule ID 7595 //
     /*  661965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662033 */     GIR_RootConstrainSelectedInstOperands,
     /*  662034 */     // GIR_Coverage, 7595,
     /*  662034 */     GIR_EraseRootFromParent_Done,
     /*  662035 */   // Label 10551: @662035
     /*  662035 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(662110), // Rule ID 7598 //
     /*  662040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662108 */     GIR_RootConstrainSelectedInstOperands,
     /*  662109 */     // GIR_Coverage, 7598,
     /*  662109 */     GIR_EraseRootFromParent_Done,
     /*  662110 */   // Label 10552: @662110
     /*  662110 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(662185), // Rule ID 7599 //
     /*  662115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662183 */     GIR_RootConstrainSelectedInstOperands,
     /*  662184 */     // GIR_Coverage, 7599,
     /*  662184 */     GIR_EraseRootFromParent_Done,
     /*  662185 */   // Label 10553: @662185
     /*  662185 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(662260), // Rule ID 7602 //
     /*  662190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662258 */     GIR_RootConstrainSelectedInstOperands,
     /*  662259 */     // GIR_Coverage, 7602,
     /*  662259 */     GIR_EraseRootFromParent_Done,
     /*  662260 */   // Label 10554: @662260
     /*  662260 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(662335), // Rule ID 7603 //
     /*  662265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662311 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662333 */     GIR_RootConstrainSelectedInstOperands,
     /*  662334 */     // GIR_Coverage, 7603,
     /*  662334 */     GIR_EraseRootFromParent_Done,
     /*  662335 */   // Label 10555: @662335
     /*  662335 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(662410), // Rule ID 7606 //
     /*  662340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662408 */     GIR_RootConstrainSelectedInstOperands,
     /*  662409 */     // GIR_Coverage, 7606,
     /*  662409 */     GIR_EraseRootFromParent_Done,
     /*  662410 */   // Label 10556: @662410
     /*  662410 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(662485), // Rule ID 7607 //
     /*  662415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662461 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662483 */     GIR_RootConstrainSelectedInstOperands,
     /*  662484 */     // GIR_Coverage, 7607,
     /*  662484 */     GIR_EraseRootFromParent_Done,
     /*  662485 */   // Label 10557: @662485
     /*  662485 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(662560), // Rule ID 7610 //
     /*  662490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662558 */     GIR_RootConstrainSelectedInstOperands,
     /*  662559 */     // GIR_Coverage, 7610,
     /*  662559 */     GIR_EraseRootFromParent_Done,
     /*  662560 */   // Label 10558: @662560
     /*  662560 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(662635), // Rule ID 7611 //
     /*  662565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662633 */     GIR_RootConstrainSelectedInstOperands,
     /*  662634 */     // GIR_Coverage, 7611,
     /*  662634 */     GIR_EraseRootFromParent_Done,
     /*  662635 */   // Label 10559: @662635
     /*  662635 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(662710), // Rule ID 7614 //
     /*  662640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662708 */     GIR_RootConstrainSelectedInstOperands,
     /*  662709 */     // GIR_Coverage, 7614,
     /*  662709 */     GIR_EraseRootFromParent_Done,
     /*  662710 */   // Label 10560: @662710
     /*  662710 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662785), // Rule ID 7615 //
     /*  662715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662783 */     GIR_RootConstrainSelectedInstOperands,
     /*  662784 */     // GIR_Coverage, 7615,
     /*  662784 */     GIR_EraseRootFromParent_Done,
     /*  662785 */   // Label 10561: @662785
     /*  662785 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662860), // Rule ID 7618 //
     /*  662790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662858 */     GIR_RootConstrainSelectedInstOperands,
     /*  662859 */     // GIR_Coverage, 7618,
     /*  662859 */     GIR_EraseRootFromParent_Done,
     /*  662860 */   // Label 10562: @662860
     /*  662860 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662935), // Rule ID 7619 //
     /*  662865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662933 */     GIR_RootConstrainSelectedInstOperands,
     /*  662934 */     // GIR_Coverage, 7619,
     /*  662934 */     GIR_EraseRootFromParent_Done,
     /*  662935 */   // Label 10563: @662935
     /*  662935 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(663010), // Rule ID 7622 //
     /*  662940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663008 */     GIR_RootConstrainSelectedInstOperands,
     /*  663009 */     // GIR_Coverage, 7622,
     /*  663009 */     GIR_EraseRootFromParent_Done,
     /*  663010 */   // Label 10564: @663010
     /*  663010 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(663085), // Rule ID 7623 //
     /*  663015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  663026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  663029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  663064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663083 */     GIR_RootConstrainSelectedInstOperands,
     /*  663084 */     // GIR_Coverage, 7623,
     /*  663084 */     GIR_EraseRootFromParent_Done,
     /*  663085 */   // Label 10565: @663085
     /*  663085 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(663160), // Rule ID 10138 //
     /*  663090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  663139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663158 */     GIR_RootConstrainSelectedInstOperands,
     /*  663159 */     // GIR_Coverage, 10138,
     /*  663159 */     GIR_EraseRootFromParent_Done,
     /*  663160 */   // Label 10566: @663160
     /*  663160 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(663235), // Rule ID 10139 //
     /*  663165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  663214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663233 */     GIR_RootConstrainSelectedInstOperands,
     /*  663234 */     // GIR_Coverage, 10139,
     /*  663234 */     GIR_EraseRootFromParent_Done,
     /*  663235 */   // Label 10567: @663235
     /*  663235 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(663310), // Rule ID 10142 //
     /*  663240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663308 */     GIR_RootConstrainSelectedInstOperands,
     /*  663309 */     // GIR_Coverage, 10142,
     /*  663309 */     GIR_EraseRootFromParent_Done,
     /*  663310 */   // Label 10568: @663310
     /*  663310 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(663385), // Rule ID 10143 //
     /*  663315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663383 */     GIR_RootConstrainSelectedInstOperands,
     /*  663384 */     // GIR_Coverage, 10143,
     /*  663384 */     GIR_EraseRootFromParent_Done,
     /*  663385 */   // Label 10569: @663385
     /*  663385 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(663460), // Rule ID 10146 //
     /*  663390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663458 */     GIR_RootConstrainSelectedInstOperands,
     /*  663459 */     // GIR_Coverage, 10146,
     /*  663459 */     GIR_EraseRootFromParent_Done,
     /*  663460 */   // Label 10570: @663460
     /*  663460 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(663535), // Rule ID 10147 //
     /*  663465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663533 */     GIR_RootConstrainSelectedInstOperands,
     /*  663534 */     // GIR_Coverage, 10147,
     /*  663534 */     GIR_EraseRootFromParent_Done,
     /*  663535 */   // Label 10571: @663535
     /*  663535 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(663610), // Rule ID 10150 //
     /*  663540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663608 */     GIR_RootConstrainSelectedInstOperands,
     /*  663609 */     // GIR_Coverage, 10150,
     /*  663609 */     GIR_EraseRootFromParent_Done,
     /*  663610 */   // Label 10572: @663610
     /*  663610 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(663685), // Rule ID 10151 //
     /*  663615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663683 */     GIR_RootConstrainSelectedInstOperands,
     /*  663684 */     // GIR_Coverage, 10151,
     /*  663684 */     GIR_EraseRootFromParent_Done,
     /*  663685 */   // Label 10573: @663685
     /*  663685 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663760), // Rule ID 10154 //
     /*  663690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663758 */     GIR_RootConstrainSelectedInstOperands,
     /*  663759 */     // GIR_Coverage, 10154,
     /*  663759 */     GIR_EraseRootFromParent_Done,
     /*  663760 */   // Label 10574: @663760
     /*  663760 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663835), // Rule ID 10155 //
     /*  663765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663833 */     GIR_RootConstrainSelectedInstOperands,
     /*  663834 */     // GIR_Coverage, 10155,
     /*  663834 */     GIR_EraseRootFromParent_Done,
     /*  663835 */   // Label 10575: @663835
     /*  663835 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663910), // Rule ID 10158 //
     /*  663840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663908 */     GIR_RootConstrainSelectedInstOperands,
     /*  663909 */     // GIR_Coverage, 10158,
     /*  663909 */     GIR_EraseRootFromParent_Done,
     /*  663910 */   // Label 10576: @663910
     /*  663910 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663985), // Rule ID 10159 //
     /*  663915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663983 */     GIR_RootConstrainSelectedInstOperands,
     /*  663984 */     // GIR_Coverage, 10159,
     /*  663984 */     GIR_EraseRootFromParent_Done,
     /*  663985 */   // Label 10577: @663985
     /*  663985 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(664060), // Rule ID 10162 //
     /*  663990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  664001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  664004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  664007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664058 */     GIR_RootConstrainSelectedInstOperands,
     /*  664059 */     // GIR_Coverage, 10162,
     /*  664059 */     GIR_EraseRootFromParent_Done,
     /*  664060 */   // Label 10578: @664060
     /*  664060 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(664135), // Rule ID 10163 //
     /*  664065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  664076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  664079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  664082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664133 */     GIR_RootConstrainSelectedInstOperands,
     /*  664134 */     // GIR_Coverage, 10163,
     /*  664134 */     GIR_EraseRootFromParent_Done,
     /*  664135 */   // Label 10579: @664135
     /*  664135 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(664210), // Rule ID 10166 //
     /*  664140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664208 */     GIR_RootConstrainSelectedInstOperands,
     /*  664209 */     // GIR_Coverage, 10166,
     /*  664209 */     GIR_EraseRootFromParent_Done,
     /*  664210 */   // Label 10580: @664210
     /*  664210 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(664285), // Rule ID 10167 //
     /*  664215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664283 */     GIR_RootConstrainSelectedInstOperands,
     /*  664284 */     // GIR_Coverage, 10167,
     /*  664284 */     GIR_EraseRootFromParent_Done,
     /*  664285 */   // Label 10581: @664285
     /*  664285 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(664360), // Rule ID 10170 //
     /*  664290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664358 */     GIR_RootConstrainSelectedInstOperands,
     /*  664359 */     // GIR_Coverage, 10170,
     /*  664359 */     GIR_EraseRootFromParent_Done,
     /*  664360 */   // Label 10582: @664360
     /*  664360 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(664435), // Rule ID 10171 //
     /*  664365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664433 */     GIR_RootConstrainSelectedInstOperands,
     /*  664434 */     // GIR_Coverage, 10171,
     /*  664434 */     GIR_EraseRootFromParent_Done,
     /*  664435 */   // Label 10583: @664435
     /*  664435 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(664510), // Rule ID 10174 //
     /*  664440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664508 */     GIR_RootConstrainSelectedInstOperands,
     /*  664509 */     // GIR_Coverage, 10174,
     /*  664509 */     GIR_EraseRootFromParent_Done,
     /*  664510 */   // Label 10584: @664510
     /*  664510 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(664585), // Rule ID 10175 //
     /*  664515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664583 */     GIR_RootConstrainSelectedInstOperands,
     /*  664584 */     // GIR_Coverage, 10175,
     /*  664584 */     GIR_EraseRootFromParent_Done,
     /*  664585 */   // Label 10585: @664585
     /*  664585 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(664660), // Rule ID 10178 //
     /*  664590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664658 */     GIR_RootConstrainSelectedInstOperands,
     /*  664659 */     // GIR_Coverage, 10178,
     /*  664659 */     GIR_EraseRootFromParent_Done,
     /*  664660 */   // Label 10586: @664660
     /*  664660 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(664735), // Rule ID 10179 //
     /*  664665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664733 */     GIR_RootConstrainSelectedInstOperands,
     /*  664734 */     // GIR_Coverage, 10179,
     /*  664734 */     GIR_EraseRootFromParent_Done,
     /*  664735 */   // Label 10587: @664735
     /*  664735 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664810), // Rule ID 10182 //
     /*  664740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664808 */     GIR_RootConstrainSelectedInstOperands,
     /*  664809 */     // GIR_Coverage, 10182,
     /*  664809 */     GIR_EraseRootFromParent_Done,
     /*  664810 */   // Label 10588: @664810
     /*  664810 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664885), // Rule ID 10183 //
     /*  664815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664861 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664883 */     GIR_RootConstrainSelectedInstOperands,
     /*  664884 */     // GIR_Coverage, 10183,
     /*  664884 */     GIR_EraseRootFromParent_Done,
     /*  664885 */   // Label 10589: @664885
     /*  664885 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664960), // Rule ID 10186 //
     /*  664890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664936 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664958 */     GIR_RootConstrainSelectedInstOperands,
     /*  664959 */     // GIR_Coverage, 10186,
     /*  664959 */     GIR_EraseRootFromParent_Done,
     /*  664960 */   // Label 10590: @664960
     /*  664960 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(665035), // Rule ID 10187 //
     /*  664965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665033 */     GIR_RootConstrainSelectedInstOperands,
     /*  665034 */     // GIR_Coverage, 10187,
     /*  665034 */     GIR_EraseRootFromParent_Done,
     /*  665035 */   // Label 10591: @665035
     /*  665035 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(665110), // Rule ID 10190 //
     /*  665040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665108 */     GIR_RootConstrainSelectedInstOperands,
     /*  665109 */     // GIR_Coverage, 10190,
     /*  665109 */     GIR_EraseRootFromParent_Done,
     /*  665110 */   // Label 10592: @665110
     /*  665110 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(665185), // Rule ID 10191 //
     /*  665115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665183 */     GIR_RootConstrainSelectedInstOperands,
     /*  665184 */     // GIR_Coverage, 10191,
     /*  665184 */     GIR_EraseRootFromParent_Done,
     /*  665185 */   // Label 10593: @665185
     /*  665185 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(665260), // Rule ID 10194 //
     /*  665190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665258 */     GIR_RootConstrainSelectedInstOperands,
     /*  665259 */     // GIR_Coverage, 10194,
     /*  665259 */     GIR_EraseRootFromParent_Done,
     /*  665260 */   // Label 10594: @665260
     /*  665260 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(665335), // Rule ID 10195 //
     /*  665265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665333 */     GIR_RootConstrainSelectedInstOperands,
     /*  665334 */     // GIR_Coverage, 10195,
     /*  665334 */     GIR_EraseRootFromParent_Done,
     /*  665335 */   // Label 10595: @665335
     /*  665335 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(665410), // Rule ID 10198 //
     /*  665340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  665360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665408 */     GIR_RootConstrainSelectedInstOperands,
     /*  665409 */     // GIR_Coverage, 10198,
     /*  665409 */     GIR_EraseRootFromParent_Done,
     /*  665410 */   // Label 10596: @665410
     /*  665410 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(665485), // Rule ID 10199 //
     /*  665415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  665435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665483 */     GIR_RootConstrainSelectedInstOperands,
     /*  665484 */     // GIR_Coverage, 10199,
     /*  665484 */     GIR_EraseRootFromParent_Done,
     /*  665485 */   // Label 10597: @665485
     /*  665485 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(665560), // Rule ID 10202 //
     /*  665490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665558 */     GIR_RootConstrainSelectedInstOperands,
     /*  665559 */     // GIR_Coverage, 10202,
     /*  665559 */     GIR_EraseRootFromParent_Done,
     /*  665560 */   // Label 10598: @665560
     /*  665560 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(665635), // Rule ID 10203 //
     /*  665565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665633 */     GIR_RootConstrainSelectedInstOperands,
     /*  665634 */     // GIR_Coverage, 10203,
     /*  665634 */     GIR_EraseRootFromParent_Done,
     /*  665635 */   // Label 10599: @665635
     /*  665635 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(665710), // Rule ID 10206 //
     /*  665640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665708 */     GIR_RootConstrainSelectedInstOperands,
     /*  665709 */     // GIR_Coverage, 10206,
     /*  665709 */     GIR_EraseRootFromParent_Done,
     /*  665710 */   // Label 10600: @665710
     /*  665710 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665785), // Rule ID 10207 //
     /*  665715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665783 */     GIR_RootConstrainSelectedInstOperands,
     /*  665784 */     // GIR_Coverage, 10207,
     /*  665784 */     GIR_EraseRootFromParent_Done,
     /*  665785 */   // Label 10601: @665785
     /*  665785 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665860), // Rule ID 10210 //
     /*  665790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665858 */     GIR_RootConstrainSelectedInstOperands,
     /*  665859 */     // GIR_Coverage, 10210,
     /*  665859 */     GIR_EraseRootFromParent_Done,
     /*  665860 */   // Label 10602: @665860
     /*  665860 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665935), // Rule ID 10211 //
     /*  665865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665933 */     GIR_RootConstrainSelectedInstOperands,
     /*  665934 */     // GIR_Coverage, 10211,
     /*  665934 */     GIR_EraseRootFromParent_Done,
     /*  665935 */   // Label 10603: @665935
     /*  665935 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(666010), // Rule ID 10214 //
     /*  665940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  665951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  665954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  665960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666008 */     GIR_RootConstrainSelectedInstOperands,
     /*  666009 */     // GIR_Coverage, 10214,
     /*  666009 */     GIR_EraseRootFromParent_Done,
     /*  666010 */   // Label 10604: @666010
     /*  666010 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(666085), // Rule ID 10215 //
     /*  666015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  666035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  666064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666083 */     GIR_RootConstrainSelectedInstOperands,
     /*  666084 */     // GIR_Coverage, 10215,
     /*  666084 */     GIR_EraseRootFromParent_Done,
     /*  666085 */   // Label 10605: @666085
     /*  666085 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(666160), // Rule ID 10218 //
     /*  666090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666158 */     GIR_RootConstrainSelectedInstOperands,
     /*  666159 */     // GIR_Coverage, 10218,
     /*  666159 */     GIR_EraseRootFromParent_Done,
     /*  666160 */   // Label 10606: @666160
     /*  666160 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(666235), // Rule ID 10219 //
     /*  666165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666233 */     GIR_RootConstrainSelectedInstOperands,
     /*  666234 */     // GIR_Coverage, 10219,
     /*  666234 */     GIR_EraseRootFromParent_Done,
     /*  666235 */   // Label 10607: @666235
     /*  666235 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(666310), // Rule ID 10222 //
     /*  666240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  666260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666308 */     GIR_RootConstrainSelectedInstOperands,
     /*  666309 */     // GIR_Coverage, 10222,
     /*  666309 */     GIR_EraseRootFromParent_Done,
     /*  666310 */   // Label 10608: @666310
     /*  666310 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(666385), // Rule ID 10223 //
     /*  666315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  666335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666383 */     GIR_RootConstrainSelectedInstOperands,
     /*  666384 */     // GIR_Coverage, 10223,
     /*  666384 */     GIR_EraseRootFromParent_Done,
     /*  666385 */   // Label 10609: @666385
     /*  666385 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(666460), // Rule ID 10226 //
     /*  666390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666458 */     GIR_RootConstrainSelectedInstOperands,
     /*  666459 */     // GIR_Coverage, 10226,
     /*  666459 */     GIR_EraseRootFromParent_Done,
     /*  666460 */   // Label 10610: @666460
     /*  666460 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(666535), // Rule ID 10227 //
     /*  666465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666533 */     GIR_RootConstrainSelectedInstOperands,
     /*  666534 */     // GIR_Coverage, 10227,
     /*  666534 */     GIR_EraseRootFromParent_Done,
     /*  666535 */   // Label 10611: @666535
     /*  666535 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(666610), // Rule ID 10230 //
     /*  666540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666608 */     GIR_RootConstrainSelectedInstOperands,
     /*  666609 */     // GIR_Coverage, 10230,
     /*  666609 */     GIR_EraseRootFromParent_Done,
     /*  666610 */   // Label 10612: @666610
     /*  666610 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(666685), // Rule ID 10231 //
     /*  666615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666683 */     GIR_RootConstrainSelectedInstOperands,
     /*  666684 */     // GIR_Coverage, 10231,
     /*  666684 */     GIR_EraseRootFromParent_Done,
     /*  666685 */   // Label 10613: @666685
     /*  666685 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666760), // Rule ID 10234 //
     /*  666690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666758 */     GIR_RootConstrainSelectedInstOperands,
     /*  666759 */     // GIR_Coverage, 10234,
     /*  666759 */     GIR_EraseRootFromParent_Done,
     /*  666760 */   // Label 10614: @666760
     /*  666760 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666835), // Rule ID 10235 //
     /*  666765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666833 */     GIR_RootConstrainSelectedInstOperands,
     /*  666834 */     // GIR_Coverage, 10235,
     /*  666834 */     GIR_EraseRootFromParent_Done,
     /*  666835 */   // Label 10615: @666835
     /*  666835 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666910), // Rule ID 10238 //
     /*  666840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666908 */     GIR_RootConstrainSelectedInstOperands,
     /*  666909 */     // GIR_Coverage, 10238,
     /*  666909 */     GIR_EraseRootFromParent_Done,
     /*  666910 */   // Label 10616: @666910
     /*  666910 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666985), // Rule ID 10239 //
     /*  666915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666983 */     GIR_RootConstrainSelectedInstOperands,
     /*  666984 */     // GIR_Coverage, 10239,
     /*  666984 */     GIR_EraseRootFromParent_Done,
     /*  666985 */   // Label 10617: @666985
     /*  666985 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(667060), // Rule ID 10242 //
     /*  666990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667058 */     GIR_RootConstrainSelectedInstOperands,
     /*  667059 */     // GIR_Coverage, 10242,
     /*  667059 */     GIR_EraseRootFromParent_Done,
     /*  667060 */   // Label 10618: @667060
     /*  667060 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(667135), // Rule ID 10243 //
     /*  667065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667133 */     GIR_RootConstrainSelectedInstOperands,
     /*  667134 */     // GIR_Coverage, 10243,
     /*  667134 */     GIR_EraseRootFromParent_Done,
     /*  667135 */   // Label 10619: @667135
     /*  667135 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(667210), // Rule ID 10246 //
     /*  667140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667208 */     GIR_RootConstrainSelectedInstOperands,
     /*  667209 */     // GIR_Coverage, 10246,
     /*  667209 */     GIR_EraseRootFromParent_Done,
     /*  667210 */   // Label 10620: @667210
     /*  667210 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(667285), // Rule ID 10247 //
     /*  667215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667283 */     GIR_RootConstrainSelectedInstOperands,
     /*  667284 */     // GIR_Coverage, 10247,
     /*  667284 */     GIR_EraseRootFromParent_Done,
     /*  667285 */   // Label 10621: @667285
     /*  667285 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(667360), // Rule ID 10250 //
     /*  667290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  667301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  667304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  667307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667358 */     GIR_RootConstrainSelectedInstOperands,
     /*  667359 */     // GIR_Coverage, 10250,
     /*  667359 */     GIR_EraseRootFromParent_Done,
     /*  667360 */   // Label 10622: @667360
     /*  667360 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(667435), // Rule ID 10251 //
     /*  667365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  667376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  667379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  667382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667433 */     GIR_RootConstrainSelectedInstOperands,
     /*  667434 */     // GIR_Coverage, 10251,
     /*  667434 */     GIR_EraseRootFromParent_Done,
     /*  667435 */   // Label 10623: @667435
     /*  667435 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(667510), // Rule ID 10254 //
     /*  667440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667508 */     GIR_RootConstrainSelectedInstOperands,
     /*  667509 */     // GIR_Coverage, 10254,
     /*  667509 */     GIR_EraseRootFromParent_Done,
     /*  667510 */   // Label 10624: @667510
     /*  667510 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(667585), // Rule ID 10255 //
     /*  667515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667583 */     GIR_RootConstrainSelectedInstOperands,
     /*  667584 */     // GIR_Coverage, 10255,
     /*  667584 */     GIR_EraseRootFromParent_Done,
     /*  667585 */   // Label 10625: @667585
     /*  667585 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(667660), // Rule ID 10258 //
     /*  667590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667658 */     GIR_RootConstrainSelectedInstOperands,
     /*  667659 */     // GIR_Coverage, 10258,
     /*  667659 */     GIR_EraseRootFromParent_Done,
     /*  667660 */   // Label 10626: @667660
     /*  667660 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(667735), // Rule ID 10259 //
     /*  667665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667733 */     GIR_RootConstrainSelectedInstOperands,
     /*  667734 */     // GIR_Coverage, 10259,
     /*  667734 */     GIR_EraseRootFromParent_Done,
     /*  667735 */   // Label 10627: @667735
     /*  667735 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667810), // Rule ID 10262 //
     /*  667740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  667743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  667786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667808 */     GIR_RootConstrainSelectedInstOperands,
     /*  667809 */     // GIR_Coverage, 10262,
     /*  667809 */     GIR_EraseRootFromParent_Done,
     /*  667810 */   // Label 10628: @667810
     /*  667810 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667885), // Rule ID 10263 //
     /*  667815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  667818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  667861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667883 */     GIR_RootConstrainSelectedInstOperands,
     /*  667884 */     // GIR_Coverage, 10263,
     /*  667884 */     GIR_EraseRootFromParent_Done,
     /*  667885 */   // Label 10629: @667885
     /*  667885 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667960), // Rule ID 10266 //
     /*  667890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667958 */     GIR_RootConstrainSelectedInstOperands,
     /*  667959 */     // GIR_Coverage, 10266,
     /*  667959 */     GIR_EraseRootFromParent_Done,
     /*  667960 */   // Label 10630: @667960
     /*  667960 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(668035), // Rule ID 10267 //
     /*  667965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668033 */     GIR_RootConstrainSelectedInstOperands,
     /*  668034 */     // GIR_Coverage, 10267,
     /*  668034 */     GIR_EraseRootFromParent_Done,
     /*  668035 */   // Label 10631: @668035
     /*  668035 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(668110), // Rule ID 10270 //
     /*  668040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668108 */     GIR_RootConstrainSelectedInstOperands,
     /*  668109 */     // GIR_Coverage, 10270,
     /*  668109 */     GIR_EraseRootFromParent_Done,
     /*  668110 */   // Label 10632: @668110
     /*  668110 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(668185), // Rule ID 10271 //
     /*  668115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668183 */     GIR_RootConstrainSelectedInstOperands,
     /*  668184 */     // GIR_Coverage, 10271,
     /*  668184 */     GIR_EraseRootFromParent_Done,
     /*  668185 */   // Label 10633: @668185
     /*  668185 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(668260), // Rule ID 10274 //
     /*  668190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668258 */     GIR_RootConstrainSelectedInstOperands,
     /*  668259 */     // GIR_Coverage, 10274,
     /*  668259 */     GIR_EraseRootFromParent_Done,
     /*  668260 */   // Label 10634: @668260
     /*  668260 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(668335), // Rule ID 10275 //
     /*  668265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668333 */     GIR_RootConstrainSelectedInstOperands,
     /*  668334 */     // GIR_Coverage, 10275,
     /*  668334 */     GIR_EraseRootFromParent_Done,
     /*  668335 */   // Label 10635: @668335
     /*  668335 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(668410), // Rule ID 10278 //
     /*  668340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  668351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  668354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  668357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668408 */     GIR_RootConstrainSelectedInstOperands,
     /*  668409 */     // GIR_Coverage, 10278,
     /*  668409 */     GIR_EraseRootFromParent_Done,
     /*  668410 */   // Label 10636: @668410
     /*  668410 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(668485), // Rule ID 10279 //
     /*  668415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  668426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  668429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  668432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668483 */     GIR_RootConstrainSelectedInstOperands,
     /*  668484 */     // GIR_Coverage, 10279,
     /*  668484 */     GIR_EraseRootFromParent_Done,
     /*  668485 */   // Label 10637: @668485
     /*  668485 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(668560), // Rule ID 10282 //
     /*  668490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668558 */     GIR_RootConstrainSelectedInstOperands,
     /*  668559 */     // GIR_Coverage, 10282,
     /*  668559 */     GIR_EraseRootFromParent_Done,
     /*  668560 */   // Label 10638: @668560
     /*  668560 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(668635), // Rule ID 10283 //
     /*  668565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668633 */     GIR_RootConstrainSelectedInstOperands,
     /*  668634 */     // GIR_Coverage, 10283,
     /*  668634 */     GIR_EraseRootFromParent_Done,
     /*  668635 */   // Label 10639: @668635
     /*  668635 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(668710), // Rule ID 10286 //
     /*  668640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668708 */     GIR_RootConstrainSelectedInstOperands,
     /*  668709 */     // GIR_Coverage, 10286,
     /*  668709 */     GIR_EraseRootFromParent_Done,
     /*  668710 */   // Label 10640: @668710
     /*  668710 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668785), // Rule ID 10287 //
     /*  668715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668783 */     GIR_RootConstrainSelectedInstOperands,
     /*  668784 */     // GIR_Coverage, 10287,
     /*  668784 */     GIR_EraseRootFromParent_Done,
     /*  668785 */   // Label 10641: @668785
     /*  668785 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668860), // Rule ID 10290 //
     /*  668790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668858 */     GIR_RootConstrainSelectedInstOperands,
     /*  668859 */     // GIR_Coverage, 10290,
     /*  668859 */     GIR_EraseRootFromParent_Done,
     /*  668860 */   // Label 10642: @668860
     /*  668860 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668935), // Rule ID 10291 //
     /*  668865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668933 */     GIR_RootConstrainSelectedInstOperands,
     /*  668934 */     // GIR_Coverage, 10291,
     /*  668934 */     GIR_EraseRootFromParent_Done,
     /*  668935 */   // Label 10643: @668935
     /*  668935 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(669010), // Rule ID 10294 //
     /*  668940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669008 */     GIR_RootConstrainSelectedInstOperands,
     /*  669009 */     // GIR_Coverage, 10294,
     /*  669009 */     GIR_EraseRootFromParent_Done,
     /*  669010 */   // Label 10644: @669010
     /*  669010 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(669085), // Rule ID 10295 //
     /*  669015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669083 */     GIR_RootConstrainSelectedInstOperands,
     /*  669084 */     // GIR_Coverage, 10295,
     /*  669084 */     GIR_EraseRootFromParent_Done,
     /*  669085 */   // Label 10645: @669085
     /*  669085 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(669160), // Rule ID 10298 //
     /*  669090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669158 */     GIR_RootConstrainSelectedInstOperands,
     /*  669159 */     // GIR_Coverage, 10298,
     /*  669159 */     GIR_EraseRootFromParent_Done,
     /*  669160 */   // Label 10646: @669160
     /*  669160 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(669235), // Rule ID 10299 //
     /*  669165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669233 */     GIR_RootConstrainSelectedInstOperands,
     /*  669234 */     // GIR_Coverage, 10299,
     /*  669234 */     GIR_EraseRootFromParent_Done,
     /*  669235 */   // Label 10647: @669235
     /*  669235 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(669310), // Rule ID 10302 //
     /*  669240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669308 */     GIR_RootConstrainSelectedInstOperands,
     /*  669309 */     // GIR_Coverage, 10302,
     /*  669309 */     GIR_EraseRootFromParent_Done,
     /*  669310 */   // Label 10648: @669310
     /*  669310 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(669385), // Rule ID 10303 //
     /*  669315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669383 */     GIR_RootConstrainSelectedInstOperands,
     /*  669384 */     // GIR_Coverage, 10303,
     /*  669384 */     GIR_EraseRootFromParent_Done,
     /*  669385 */   // Label 10649: @669385
     /*  669385 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(669460), // Rule ID 10306 //
     /*  669390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669458 */     GIR_RootConstrainSelectedInstOperands,
     /*  669459 */     // GIR_Coverage, 10306,
     /*  669459 */     GIR_EraseRootFromParent_Done,
     /*  669460 */   // Label 10650: @669460
     /*  669460 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(669535), // Rule ID 10307 //
     /*  669465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669533 */     GIR_RootConstrainSelectedInstOperands,
     /*  669534 */     // GIR_Coverage, 10307,
     /*  669534 */     GIR_EraseRootFromParent_Done,
     /*  669535 */   // Label 10651: @669535
     /*  669535 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(669610), // Rule ID 10310 //
     /*  669540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669608 */     GIR_RootConstrainSelectedInstOperands,
     /*  669609 */     // GIR_Coverage, 10310,
     /*  669609 */     GIR_EraseRootFromParent_Done,
     /*  669610 */   // Label 10652: @669610
     /*  669610 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(669685), // Rule ID 10311 //
     /*  669615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669683 */     GIR_RootConstrainSelectedInstOperands,
     /*  669684 */     // GIR_Coverage, 10311,
     /*  669684 */     GIR_EraseRootFromParent_Done,
     /*  669685 */   // Label 10653: @669685
     /*  669685 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669760), // Rule ID 10314 //
     /*  669690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669758 */     GIR_RootConstrainSelectedInstOperands,
     /*  669759 */     // GIR_Coverage, 10314,
     /*  669759 */     GIR_EraseRootFromParent_Done,
     /*  669760 */   // Label 10654: @669760
     /*  669760 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669835), // Rule ID 10315 //
     /*  669765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669833 */     GIR_RootConstrainSelectedInstOperands,
     /*  669834 */     // GIR_Coverage, 10315,
     /*  669834 */     GIR_EraseRootFromParent_Done,
     /*  669835 */   // Label 10655: @669835
     /*  669835 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669910), // Rule ID 10318 //
     /*  669840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669908 */     GIR_RootConstrainSelectedInstOperands,
     /*  669909 */     // GIR_Coverage, 10318,
     /*  669909 */     GIR_EraseRootFromParent_Done,
     /*  669910 */   // Label 10656: @669910
     /*  669910 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669985), // Rule ID 10319 //
     /*  669915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669983 */     GIR_RootConstrainSelectedInstOperands,
     /*  669984 */     // GIR_Coverage, 10319,
     /*  669984 */     GIR_EraseRootFromParent_Done,
     /*  669985 */   // Label 10657: @669985
     /*  669985 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(670060), // Rule ID 10322 //
     /*  669990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670058 */     GIR_RootConstrainSelectedInstOperands,
     /*  670059 */     // GIR_Coverage, 10322,
     /*  670059 */     GIR_EraseRootFromParent_Done,
     /*  670060 */   // Label 10658: @670060
     /*  670060 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(670135), // Rule ID 10323 //
     /*  670065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670133 */     GIR_RootConstrainSelectedInstOperands,
     /*  670134 */     // GIR_Coverage, 10323,
     /*  670134 */     GIR_EraseRootFromParent_Done,
     /*  670135 */   // Label 10659: @670135
     /*  670135 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(670210), // Rule ID 10326 //
     /*  670140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670208 */     GIR_RootConstrainSelectedInstOperands,
     /*  670209 */     // GIR_Coverage, 10326,
     /*  670209 */     GIR_EraseRootFromParent_Done,
     /*  670210 */   // Label 10660: @670210
     /*  670210 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(670285), // Rule ID 10327 //
     /*  670215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670283 */     GIR_RootConstrainSelectedInstOperands,
     /*  670284 */     // GIR_Coverage, 10327,
     /*  670284 */     GIR_EraseRootFromParent_Done,
     /*  670285 */   // Label 10661: @670285
     /*  670285 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(670360), // Rule ID 10330 //
     /*  670290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  670301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  670304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  670307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  670310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670358 */     GIR_RootConstrainSelectedInstOperands,
     /*  670359 */     // GIR_Coverage, 10330,
     /*  670359 */     GIR_EraseRootFromParent_Done,
     /*  670360 */   // Label 10662: @670360
     /*  670360 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(670435), // Rule ID 10331 //
     /*  670365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  670376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  670379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  670382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  670385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670433 */     GIR_RootConstrainSelectedInstOperands,
     /*  670434 */     // GIR_Coverage, 10331,
     /*  670434 */     GIR_EraseRootFromParent_Done,
     /*  670435 */   // Label 10663: @670435
     /*  670435 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(670510), // Rule ID 10334 //
     /*  670440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670508 */     GIR_RootConstrainSelectedInstOperands,
     /*  670509 */     // GIR_Coverage, 10334,
     /*  670509 */     GIR_EraseRootFromParent_Done,
     /*  670510 */   // Label 10664: @670510
     /*  670510 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(670585), // Rule ID 10335 //
     /*  670515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670583 */     GIR_RootConstrainSelectedInstOperands,
     /*  670584 */     // GIR_Coverage, 10335,
     /*  670584 */     GIR_EraseRootFromParent_Done,
     /*  670585 */   // Label 10665: @670585
     /*  670585 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670660), // Rule ID 10338 //
     /*  670590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670658 */     GIR_RootConstrainSelectedInstOperands,
     /*  670659 */     // GIR_Coverage, 10338,
     /*  670659 */     GIR_EraseRootFromParent_Done,
     /*  670660 */   // Label 10666: @670660
     /*  670660 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670735), // Rule ID 10339 //
     /*  670665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670733 */     GIR_RootConstrainSelectedInstOperands,
     /*  670734 */     // GIR_Coverage, 10339,
     /*  670734 */     GIR_EraseRootFromParent_Done,
     /*  670735 */   // Label 10667: @670735
     /*  670735 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670810), // Rule ID 10342 //
     /*  670740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670808 */     GIR_RootConstrainSelectedInstOperands,
     /*  670809 */     // GIR_Coverage, 10342,
     /*  670809 */     GIR_EraseRootFromParent_Done,
     /*  670810 */   // Label 10668: @670810
     /*  670810 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670885), // Rule ID 10343 //
     /*  670815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670883 */     GIR_RootConstrainSelectedInstOperands,
     /*  670884 */     // GIR_Coverage, 10343,
     /*  670884 */     GIR_EraseRootFromParent_Done,
     /*  670885 */   // Label 10669: @670885
     /*  670885 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670960), // Rule ID 10346 //
     /*  670890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670958 */     GIR_RootConstrainSelectedInstOperands,
     /*  670959 */     // GIR_Coverage, 10346,
     /*  670959 */     GIR_EraseRootFromParent_Done,
     /*  670960 */   // Label 10670: @670960
     /*  670960 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(671035), // Rule ID 10347 //
     /*  670965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671033 */     GIR_RootConstrainSelectedInstOperands,
     /*  671034 */     // GIR_Coverage, 10347,
     /*  671034 */     GIR_EraseRootFromParent_Done,
     /*  671035 */   // Label 10671: @671035
     /*  671035 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(671110), // Rule ID 10350 //
     /*  671040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671108 */     GIR_RootConstrainSelectedInstOperands,
     /*  671109 */     // GIR_Coverage, 10350,
     /*  671109 */     GIR_EraseRootFromParent_Done,
     /*  671110 */   // Label 10672: @671110
     /*  671110 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(671185), // Rule ID 10351 //
     /*  671115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671183 */     GIR_RootConstrainSelectedInstOperands,
     /*  671184 */     // GIR_Coverage, 10351,
     /*  671184 */     GIR_EraseRootFromParent_Done,
     /*  671185 */   // Label 10673: @671185
     /*  671185 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(671260), // Rule ID 10354 //
     /*  671190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671258 */     GIR_RootConstrainSelectedInstOperands,
     /*  671259 */     // GIR_Coverage, 10354,
     /*  671259 */     GIR_EraseRootFromParent_Done,
     /*  671260 */   // Label 10674: @671260
     /*  671260 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(671335), // Rule ID 10355 //
     /*  671265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671333 */     GIR_RootConstrainSelectedInstOperands,
     /*  671334 */     // GIR_Coverage, 10355,
     /*  671334 */     GIR_EraseRootFromParent_Done,
     /*  671335 */   // Label 10675: @671335
     /*  671335 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(671410), // Rule ID 10358 //
     /*  671340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  671351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  671354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  671357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  671360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671408 */     GIR_RootConstrainSelectedInstOperands,
     /*  671409 */     // GIR_Coverage, 10358,
     /*  671409 */     GIR_EraseRootFromParent_Done,
     /*  671410 */   // Label 10676: @671410
     /*  671410 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(671485), // Rule ID 10359 //
     /*  671415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  671426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  671429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  671432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  671435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671483 */     GIR_RootConstrainSelectedInstOperands,
     /*  671484 */     // GIR_Coverage, 10359,
     /*  671484 */     GIR_EraseRootFromParent_Done,
     /*  671485 */   // Label 10677: @671485
     /*  671485 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(671560), // Rule ID 10362 //
     /*  671490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671558 */     GIR_RootConstrainSelectedInstOperands,
     /*  671559 */     // GIR_Coverage, 10362,
     /*  671559 */     GIR_EraseRootFromParent_Done,
     /*  671560 */   // Label 10678: @671560
     /*  671560 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(671635), // Rule ID 10363 //
     /*  671565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671633 */     GIR_RootConstrainSelectedInstOperands,
     /*  671634 */     // GIR_Coverage, 10363,
     /*  671634 */     GIR_EraseRootFromParent_Done,
     /*  671635 */   // Label 10679: @671635
     /*  671635 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671710), // Rule ID 10366 //
     /*  671640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671708 */     GIR_RootConstrainSelectedInstOperands,
     /*  671709 */     // GIR_Coverage, 10366,
     /*  671709 */     GIR_EraseRootFromParent_Done,
     /*  671710 */   // Label 10680: @671710
     /*  671710 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671785), // Rule ID 10367 //
     /*  671715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671783 */     GIR_RootConstrainSelectedInstOperands,
     /*  671784 */     // GIR_Coverage, 10367,
     /*  671784 */     GIR_EraseRootFromParent_Done,
     /*  671785 */   // Label 10681: @671785
     /*  671785 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671860), // Rule ID 10370 //
     /*  671790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671858 */     GIR_RootConstrainSelectedInstOperands,
     /*  671859 */     // GIR_Coverage, 10370,
     /*  671859 */     GIR_EraseRootFromParent_Done,
     /*  671860 */   // Label 10682: @671860
     /*  671860 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671935), // Rule ID 10371 //
     /*  671865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671933 */     GIR_RootConstrainSelectedInstOperands,
     /*  671934 */     // GIR_Coverage, 10371,
     /*  671934 */     GIR_EraseRootFromParent_Done,
     /*  671935 */   // Label 10683: @671935
     /*  671935 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(672010), // Rule ID 10374 //
     /*  671940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672008 */     GIR_RootConstrainSelectedInstOperands,
     /*  672009 */     // GIR_Coverage, 10374,
     /*  672009 */     GIR_EraseRootFromParent_Done,
     /*  672010 */   // Label 10684: @672010
     /*  672010 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(672085), // Rule ID 10375 //
     /*  672015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  672035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672083 */     GIR_RootConstrainSelectedInstOperands,
     /*  672084 */     // GIR_Coverage, 10375,
     /*  672084 */     GIR_EraseRootFromParent_Done,
     /*  672085 */   // Label 10685: @672085
     /*  672085 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(672160), // Rule ID 10378 //
     /*  672090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672158 */     GIR_RootConstrainSelectedInstOperands,
     /*  672159 */     // GIR_Coverage, 10378,
     /*  672159 */     GIR_EraseRootFromParent_Done,
     /*  672160 */   // Label 10686: @672160
     /*  672160 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(672235), // Rule ID 10379 //
     /*  672165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672233 */     GIR_RootConstrainSelectedInstOperands,
     /*  672234 */     // GIR_Coverage, 10379,
     /*  672234 */     GIR_EraseRootFromParent_Done,
     /*  672235 */   // Label 10687: @672235
     /*  672235 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(672310), // Rule ID 10382 //
     /*  672240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  672260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672308 */     GIR_RootConstrainSelectedInstOperands,
     /*  672309 */     // GIR_Coverage, 10382,
     /*  672309 */     GIR_EraseRootFromParent_Done,
     /*  672310 */   // Label 10688: @672310
     /*  672310 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(672385), // Rule ID 10383 //
     /*  672315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  672335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672383 */     GIR_RootConstrainSelectedInstOperands,
     /*  672384 */     // GIR_Coverage, 10383,
     /*  672384 */     GIR_EraseRootFromParent_Done,
     /*  672385 */   // Label 10689: @672385
     /*  672385 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(672460), // Rule ID 10386 //
     /*  672390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672458 */     GIR_RootConstrainSelectedInstOperands,
     /*  672459 */     // GIR_Coverage, 10386,
     /*  672459 */     GIR_EraseRootFromParent_Done,
     /*  672460 */   // Label 10690: @672460
     /*  672460 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(672535), // Rule ID 10387 //
     /*  672465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672533 */     GIR_RootConstrainSelectedInstOperands,
     /*  672534 */     // GIR_Coverage, 10387,
     /*  672534 */     GIR_EraseRootFromParent_Done,
     /*  672535 */   // Label 10691: @672535
     /*  672535 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(672610), // Rule ID 10390 //
     /*  672540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672608 */     GIR_RootConstrainSelectedInstOperands,
     /*  672609 */     // GIR_Coverage, 10390,
     /*  672609 */     GIR_EraseRootFromParent_Done,
     /*  672610 */   // Label 10692: @672610
     /*  672610 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672685), // Rule ID 10391 //
     /*  672615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672683 */     GIR_RootConstrainSelectedInstOperands,
     /*  672684 */     // GIR_Coverage, 10391,
     /*  672684 */     GIR_EraseRootFromParent_Done,
     /*  672685 */   // Label 10693: @672685
     /*  672685 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672760), // Rule ID 10394 //
     /*  672690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672758 */     GIR_RootConstrainSelectedInstOperands,
     /*  672759 */     // GIR_Coverage, 10394,
     /*  672759 */     GIR_EraseRootFromParent_Done,
     /*  672760 */   // Label 10694: @672760
     /*  672760 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672835), // Rule ID 10395 //
     /*  672765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672833 */     GIR_RootConstrainSelectedInstOperands,
     /*  672834 */     // GIR_Coverage, 10395,
     /*  672834 */     GIR_EraseRootFromParent_Done,
     /*  672835 */   // Label 10695: @672835
     /*  672835 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672910), // Rule ID 10398 //
     /*  672840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672908 */     GIR_RootConstrainSelectedInstOperands,
     /*  672909 */     // GIR_Coverage, 10398,
     /*  672909 */     GIR_EraseRootFromParent_Done,
     /*  672910 */   // Label 10696: @672910
     /*  672910 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672985), // Rule ID 10399 //
     /*  672915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672983 */     GIR_RootConstrainSelectedInstOperands,
     /*  672984 */     // GIR_Coverage, 10399,
     /*  672984 */     GIR_EraseRootFromParent_Done,
     /*  672985 */   // Label 10697: @672985
     /*  672985 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(673060), // Rule ID 10402 //
     /*  672990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  673039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673058 */     GIR_RootConstrainSelectedInstOperands,
     /*  673059 */     // GIR_Coverage, 10402,
     /*  673059 */     GIR_EraseRootFromParent_Done,
     /*  673060 */   // Label 10698: @673060
     /*  673060 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(673135), // Rule ID 10403 //
     /*  673065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  673114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673133 */     GIR_RootConstrainSelectedInstOperands,
     /*  673134 */     // GIR_Coverage, 10403,
     /*  673134 */     GIR_EraseRootFromParent_Done,
     /*  673135 */   // Label 10699: @673135
     /*  673135 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(673210), // Rule ID 10406 //
     /*  673140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673208 */     GIR_RootConstrainSelectedInstOperands,
     /*  673209 */     // GIR_Coverage, 10406,
     /*  673209 */     GIR_EraseRootFromParent_Done,
     /*  673210 */   // Label 10700: @673210
     /*  673210 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(673285), // Rule ID 10407 //
     /*  673215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673283 */     GIR_RootConstrainSelectedInstOperands,
     /*  673284 */     // GIR_Coverage, 10407,
     /*  673284 */     GIR_EraseRootFromParent_Done,
     /*  673285 */   // Label 10701: @673285
     /*  673285 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(673360), // Rule ID 10410 //
     /*  673290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  673301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  673304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  673307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673358 */     GIR_RootConstrainSelectedInstOperands,
     /*  673359 */     // GIR_Coverage, 10410,
     /*  673359 */     GIR_EraseRootFromParent_Done,
     /*  673360 */   // Label 10702: @673360
     /*  673360 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(673435), // Rule ID 10411 //
     /*  673365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  673376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  673379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  673382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673433 */     GIR_RootConstrainSelectedInstOperands,
     /*  673434 */     // GIR_Coverage, 10411,
     /*  673434 */     GIR_EraseRootFromParent_Done,
     /*  673435 */   // Label 10703: @673435
     /*  673435 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(673510), // Rule ID 10414 //
     /*  673440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673508 */     GIR_RootConstrainSelectedInstOperands,
     /*  673509 */     // GIR_Coverage, 10414,
     /*  673509 */     GIR_EraseRootFromParent_Done,
     /*  673510 */   // Label 10704: @673510
     /*  673510 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(673585), // Rule ID 10415 //
     /*  673515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673583 */     GIR_RootConstrainSelectedInstOperands,
     /*  673584 */     // GIR_Coverage, 10415,
     /*  673584 */     GIR_EraseRootFromParent_Done,
     /*  673585 */   // Label 10705: @673585
     /*  673585 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673660), // Rule ID 10418 //
     /*  673590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673658 */     GIR_RootConstrainSelectedInstOperands,
     /*  673659 */     // GIR_Coverage, 10418,
     /*  673659 */     GIR_EraseRootFromParent_Done,
     /*  673660 */   // Label 10706: @673660
     /*  673660 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673735), // Rule ID 10419 //
     /*  673665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673733 */     GIR_RootConstrainSelectedInstOperands,
     /*  673734 */     // GIR_Coverage, 10419,
     /*  673734 */     GIR_EraseRootFromParent_Done,
     /*  673735 */   // Label 10707: @673735
     /*  673735 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673810), // Rule ID 10422 //
     /*  673740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673808 */     GIR_RootConstrainSelectedInstOperands,
     /*  673809 */     // GIR_Coverage, 10422,
     /*  673809 */     GIR_EraseRootFromParent_Done,
     /*  673810 */   // Label 10708: @673810
     /*  673810 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673885), // Rule ID 10423 //
     /*  673815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673883 */     GIR_RootConstrainSelectedInstOperands,
     /*  673884 */     // GIR_Coverage, 10423,
     /*  673884 */     GIR_EraseRootFromParent_Done,
     /*  673885 */   // Label 10709: @673885
     /*  673885 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673960), // Rule ID 10426 //
     /*  673890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673958 */     GIR_RootConstrainSelectedInstOperands,
     /*  673959 */     // GIR_Coverage, 10426,
     /*  673959 */     GIR_EraseRootFromParent_Done,
     /*  673960 */   // Label 10710: @673960
     /*  673960 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(674035), // Rule ID 10427 //
     /*  673965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674033 */     GIR_RootConstrainSelectedInstOperands,
     /*  674034 */     // GIR_Coverage, 10427,
     /*  674034 */     GIR_EraseRootFromParent_Done,
     /*  674035 */   // Label 10711: @674035
     /*  674035 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(674110), // Rule ID 10430 //
     /*  674040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674108 */     GIR_RootConstrainSelectedInstOperands,
     /*  674109 */     // GIR_Coverage, 10430,
     /*  674109 */     GIR_EraseRootFromParent_Done,
     /*  674110 */   // Label 10712: @674110
     /*  674110 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(674185), // Rule ID 10431 //
     /*  674115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674183 */     GIR_RootConstrainSelectedInstOperands,
     /*  674184 */     // GIR_Coverage, 10431,
     /*  674184 */     GIR_EraseRootFromParent_Done,
     /*  674185 */   // Label 10713: @674185
     /*  674185 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(674260), // Rule ID 10434 //
     /*  674190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674258 */     GIR_RootConstrainSelectedInstOperands,
     /*  674259 */     // GIR_Coverage, 10434,
     /*  674259 */     GIR_EraseRootFromParent_Done,
     /*  674260 */   // Label 10714: @674260
     /*  674260 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(674335), // Rule ID 10435 //
     /*  674265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674333 */     GIR_RootConstrainSelectedInstOperands,
     /*  674334 */     // GIR_Coverage, 10435,
     /*  674334 */     GIR_EraseRootFromParent_Done,
     /*  674335 */   // Label 10715: @674335
     /*  674335 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(674410), // Rule ID 10438 //
     /*  674340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  674351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  674354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  674357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674408 */     GIR_RootConstrainSelectedInstOperands,
     /*  674409 */     // GIR_Coverage, 10438,
     /*  674409 */     GIR_EraseRootFromParent_Done,
     /*  674410 */   // Label 10716: @674410
     /*  674410 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(674485), // Rule ID 10439 //
     /*  674415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  674426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  674429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  674432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674483 */     GIR_RootConstrainSelectedInstOperands,
     /*  674484 */     // GIR_Coverage, 10439,
     /*  674484 */     GIR_EraseRootFromParent_Done,
     /*  674485 */   // Label 10717: @674485
     /*  674485 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(674560), // Rule ID 10442 //
     /*  674490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674558 */     GIR_RootConstrainSelectedInstOperands,
     /*  674559 */     // GIR_Coverage, 10442,
     /*  674559 */     GIR_EraseRootFromParent_Done,
     /*  674560 */   // Label 10718: @674560
     /*  674560 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(674635), // Rule ID 10443 //
     /*  674565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674633 */     GIR_RootConstrainSelectedInstOperands,
     /*  674634 */     // GIR_Coverage, 10443,
     /*  674634 */     GIR_EraseRootFromParent_Done,
     /*  674635 */   // Label 10719: @674635
     /*  674635 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674710), // Rule ID 10446 //
     /*  674640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674708 */     GIR_RootConstrainSelectedInstOperands,
     /*  674709 */     // GIR_Coverage, 10446,
     /*  674709 */     GIR_EraseRootFromParent_Done,
     /*  674710 */   // Label 10720: @674710
     /*  674710 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674785), // Rule ID 10447 //
     /*  674715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674783 */     GIR_RootConstrainSelectedInstOperands,
     /*  674784 */     // GIR_Coverage, 10447,
     /*  674784 */     GIR_EraseRootFromParent_Done,
     /*  674785 */   // Label 10721: @674785
     /*  674785 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674860), // Rule ID 10450 //
     /*  674790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674858 */     GIR_RootConstrainSelectedInstOperands,
     /*  674859 */     // GIR_Coverage, 10450,
     /*  674859 */     GIR_EraseRootFromParent_Done,
     /*  674860 */   // Label 10722: @674860
     /*  674860 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674935), // Rule ID 10451 //
     /*  674865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674911 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674933 */     GIR_RootConstrainSelectedInstOperands,
     /*  674934 */     // GIR_Coverage, 10451,
     /*  674934 */     GIR_EraseRootFromParent_Done,
     /*  674935 */   // Label 10723: @674935
     /*  674935 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(675010), // Rule ID 10454 //
     /*  674940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675008 */     GIR_RootConstrainSelectedInstOperands,
     /*  675009 */     // GIR_Coverage, 10454,
     /*  675009 */     GIR_EraseRootFromParent_Done,
     /*  675010 */   // Label 10724: @675010
     /*  675010 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(675085), // Rule ID 10455 //
     /*  675015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675083 */     GIR_RootConstrainSelectedInstOperands,
     /*  675084 */     // GIR_Coverage, 10455,
     /*  675084 */     GIR_EraseRootFromParent_Done,
     /*  675085 */   // Label 10725: @675085
     /*  675085 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(675160), // Rule ID 10458 //
     /*  675090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675158 */     GIR_RootConstrainSelectedInstOperands,
     /*  675159 */     // GIR_Coverage, 10458,
     /*  675159 */     GIR_EraseRootFromParent_Done,
     /*  675160 */   // Label 10726: @675160
     /*  675160 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(675235), // Rule ID 10459 //
     /*  675165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675233 */     GIR_RootConstrainSelectedInstOperands,
     /*  675234 */     // GIR_Coverage, 10459,
     /*  675234 */     GIR_EraseRootFromParent_Done,
     /*  675235 */   // Label 10727: @675235
     /*  675235 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(675310), // Rule ID 10462 //
     /*  675240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675308 */     GIR_RootConstrainSelectedInstOperands,
     /*  675309 */     // GIR_Coverage, 10462,
     /*  675309 */     GIR_EraseRootFromParent_Done,
     /*  675310 */   // Label 10728: @675310
     /*  675310 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(675385), // Rule ID 10463 //
     /*  675315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675383 */     GIR_RootConstrainSelectedInstOperands,
     /*  675384 */     // GIR_Coverage, 10463,
     /*  675384 */     GIR_EraseRootFromParent_Done,
     /*  675385 */   // Label 10729: @675385
     /*  675385 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675460), // Rule ID 10466 //
     /*  675390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675458 */     GIR_RootConstrainSelectedInstOperands,
     /*  675459 */     // GIR_Coverage, 10466,
     /*  675459 */     GIR_EraseRootFromParent_Done,
     /*  675460 */   // Label 10730: @675460
     /*  675460 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(675535), // Rule ID 10467 //
     /*  675465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675533 */     GIR_RootConstrainSelectedInstOperands,
     /*  675534 */     // GIR_Coverage, 10467,
     /*  675534 */     GIR_EraseRootFromParent_Done,
     /*  675535 */   // Label 10731: @675535
     /*  675535 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(675610), // Rule ID 10470 //
     /*  675540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675608 */     GIR_RootConstrainSelectedInstOperands,
     /*  675609 */     // GIR_Coverage, 10470,
     /*  675609 */     GIR_EraseRootFromParent_Done,
     /*  675610 */   // Label 10732: @675610
     /*  675610 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675685), // Rule ID 10471 //
     /*  675615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675683 */     GIR_RootConstrainSelectedInstOperands,
     /*  675684 */     // GIR_Coverage, 10471,
     /*  675684 */     GIR_EraseRootFromParent_Done,
     /*  675685 */   // Label 10733: @675685
     /*  675685 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675760), // Rule ID 10474 //
     /*  675690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675758 */     GIR_RootConstrainSelectedInstOperands,
     /*  675759 */     // GIR_Coverage, 10474,
     /*  675759 */     GIR_EraseRootFromParent_Done,
     /*  675760 */   // Label 10734: @675760
     /*  675760 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675835), // Rule ID 10475 //
     /*  675765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675833 */     GIR_RootConstrainSelectedInstOperands,
     /*  675834 */     // GIR_Coverage, 10475,
     /*  675834 */     GIR_EraseRootFromParent_Done,
     /*  675835 */   // Label 10735: @675835
     /*  675835 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675910), // Rule ID 10478 //
     /*  675840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675908 */     GIR_RootConstrainSelectedInstOperands,
     /*  675909 */     // GIR_Coverage, 10478,
     /*  675909 */     GIR_EraseRootFromParent_Done,
     /*  675910 */   // Label 10736: @675910
     /*  675910 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675985), // Rule ID 10479 //
     /*  675915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675983 */     GIR_RootConstrainSelectedInstOperands,
     /*  675984 */     // GIR_Coverage, 10479,
     /*  675984 */     GIR_EraseRootFromParent_Done,
     /*  675985 */   // Label 10737: @675985
     /*  675985 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(676060), // Rule ID 10482 //
     /*  675990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676058 */     GIR_RootConstrainSelectedInstOperands,
     /*  676059 */     // GIR_Coverage, 10482,
     /*  676059 */     GIR_EraseRootFromParent_Done,
     /*  676060 */   // Label 10738: @676060
     /*  676060 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(676135), // Rule ID 10483 //
     /*  676065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676133 */     GIR_RootConstrainSelectedInstOperands,
     /*  676134 */     // GIR_Coverage, 10483,
     /*  676134 */     GIR_EraseRootFromParent_Done,
     /*  676135 */   // Label 10739: @676135
     /*  676135 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(676210), // Rule ID 10486 //
     /*  676140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676208 */     GIR_RootConstrainSelectedInstOperands,
     /*  676209 */     // GIR_Coverage, 10486,
     /*  676209 */     GIR_EraseRootFromParent_Done,
     /*  676210 */   // Label 10740: @676210
     /*  676210 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(676285), // Rule ID 10487 //
     /*  676215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676283 */     GIR_RootConstrainSelectedInstOperands,
     /*  676284 */     // GIR_Coverage, 10487,
     /*  676284 */     GIR_EraseRootFromParent_Done,
     /*  676285 */   // Label 10741: @676285
     /*  676285 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(676360), // Rule ID 10490 //
     /*  676290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  676301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  676304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  676307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  676310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  676339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676358 */     GIR_RootConstrainSelectedInstOperands,
     /*  676359 */     // GIR_Coverage, 10490,
     /*  676359 */     GIR_EraseRootFromParent_Done,
     /*  676360 */   // Label 10742: @676360
     /*  676360 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676435), // Rule ID 10491 //
     /*  676365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  676376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  676379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  676382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  676385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676411 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  676414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676433 */     GIR_RootConstrainSelectedInstOperands,
     /*  676434 */     // GIR_Coverage, 10491,
     /*  676434 */     GIR_EraseRootFromParent_Done,
     /*  676435 */   // Label 10743: @676435
     /*  676435 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676510), // Rule ID 10494 //
     /*  676440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676508 */     GIR_RootConstrainSelectedInstOperands,
     /*  676509 */     // GIR_Coverage, 10494,
     /*  676509 */     GIR_EraseRootFromParent_Done,
     /*  676510 */   // Label 10744: @676510
     /*  676510 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(676585), // Rule ID 10495 //
     /*  676515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676583 */     GIR_RootConstrainSelectedInstOperands,
     /*  676584 */     // GIR_Coverage, 10495,
     /*  676584 */     GIR_EraseRootFromParent_Done,
     /*  676585 */   // Label 10745: @676585
     /*  676585 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676660), // Rule ID 10498 //
     /*  676590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676658 */     GIR_RootConstrainSelectedInstOperands,
     /*  676659 */     // GIR_Coverage, 10498,
     /*  676659 */     GIR_EraseRootFromParent_Done,
     /*  676660 */   // Label 10746: @676660
     /*  676660 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676735), // Rule ID 10499 //
     /*  676665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676733 */     GIR_RootConstrainSelectedInstOperands,
     /*  676734 */     // GIR_Coverage, 10499,
     /*  676734 */     GIR_EraseRootFromParent_Done,
     /*  676735 */   // Label 10747: @676735
     /*  676735 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676810), // Rule ID 10502 //
     /*  676740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676808 */     GIR_RootConstrainSelectedInstOperands,
     /*  676809 */     // GIR_Coverage, 10502,
     /*  676809 */     GIR_EraseRootFromParent_Done,
     /*  676810 */   // Label 10748: @676810
     /*  676810 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676885), // Rule ID 10503 //
     /*  676815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676883 */     GIR_RootConstrainSelectedInstOperands,
     /*  676884 */     // GIR_Coverage, 10503,
     /*  676884 */     GIR_EraseRootFromParent_Done,
     /*  676885 */   // Label 10749: @676885
     /*  676885 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676960), // Rule ID 10506 //
     /*  676890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676958 */     GIR_RootConstrainSelectedInstOperands,
     /*  676959 */     // GIR_Coverage, 10506,
     /*  676959 */     GIR_EraseRootFromParent_Done,
     /*  676960 */   // Label 10750: @676960
     /*  676960 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(677035), // Rule ID 10507 //
     /*  676965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677033 */     GIR_RootConstrainSelectedInstOperands,
     /*  677034 */     // GIR_Coverage, 10507,
     /*  677034 */     GIR_EraseRootFromParent_Done,
     /*  677035 */   // Label 10751: @677035
     /*  677035 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(677110), // Rule ID 10510 //
     /*  677040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677108 */     GIR_RootConstrainSelectedInstOperands,
     /*  677109 */     // GIR_Coverage, 10510,
     /*  677109 */     GIR_EraseRootFromParent_Done,
     /*  677110 */   // Label 10752: @677110
     /*  677110 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(677185), // Rule ID 10511 //
     /*  677115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677183 */     GIR_RootConstrainSelectedInstOperands,
     /*  677184 */     // GIR_Coverage, 10511,
     /*  677184 */     GIR_EraseRootFromParent_Done,
     /*  677185 */   // Label 10753: @677185
     /*  677185 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(677260), // Rule ID 10514 //
     /*  677190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677258 */     GIR_RootConstrainSelectedInstOperands,
     /*  677259 */     // GIR_Coverage, 10514,
     /*  677259 */     GIR_EraseRootFromParent_Done,
     /*  677260 */   // Label 10754: @677260
     /*  677260 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(677335), // Rule ID 10515 //
     /*  677265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677333 */     GIR_RootConstrainSelectedInstOperands,
     /*  677334 */     // GIR_Coverage, 10515,
     /*  677334 */     GIR_EraseRootFromParent_Done,
     /*  677335 */   // Label 10755: @677335
     /*  677335 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677410), // Rule ID 10518 //
     /*  677340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  677351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  677354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  677357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  677360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677408 */     GIR_RootConstrainSelectedInstOperands,
     /*  677409 */     // GIR_Coverage, 10518,
     /*  677409 */     GIR_EraseRootFromParent_Done,
     /*  677410 */   // Label 10756: @677410
     /*  677410 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677485), // Rule ID 10519 //
     /*  677415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  677426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  677429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  677432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  677435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677483 */     GIR_RootConstrainSelectedInstOperands,
     /*  677484 */     // GIR_Coverage, 10519,
     /*  677484 */     GIR_EraseRootFromParent_Done,
     /*  677485 */   // Label 10757: @677485
     /*  677485 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(677560), // Rule ID 10522 //
     /*  677490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677558 */     GIR_RootConstrainSelectedInstOperands,
     /*  677559 */     // GIR_Coverage, 10522,
     /*  677559 */     GIR_EraseRootFromParent_Done,
     /*  677560 */   // Label 10758: @677560
     /*  677560 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(677635), // Rule ID 10523 //
     /*  677565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677633 */     GIR_RootConstrainSelectedInstOperands,
     /*  677634 */     // GIR_Coverage, 10523,
     /*  677634 */     GIR_EraseRootFromParent_Done,
     /*  677635 */   // Label 10759: @677635
     /*  677635 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677710), // Rule ID 10526 //
     /*  677640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677708 */     GIR_RootConstrainSelectedInstOperands,
     /*  677709 */     // GIR_Coverage, 10526,
     /*  677709 */     GIR_EraseRootFromParent_Done,
     /*  677710 */   // Label 10760: @677710
     /*  677710 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677785), // Rule ID 10527 //
     /*  677715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677783 */     GIR_RootConstrainSelectedInstOperands,
     /*  677784 */     // GIR_Coverage, 10527,
     /*  677784 */     GIR_EraseRootFromParent_Done,
     /*  677785 */   // Label 10761: @677785
     /*  677785 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677860), // Rule ID 10530 //
     /*  677790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677858 */     GIR_RootConstrainSelectedInstOperands,
     /*  677859 */     // GIR_Coverage, 10530,
     /*  677859 */     GIR_EraseRootFromParent_Done,
     /*  677860 */   // Label 10762: @677860
     /*  677860 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677935), // Rule ID 10531 //
     /*  677865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677933 */     GIR_RootConstrainSelectedInstOperands,
     /*  677934 */     // GIR_Coverage, 10531,
     /*  677934 */     GIR_EraseRootFromParent_Done,
     /*  677935 */   // Label 10763: @677935
     /*  677935 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(678010), // Rule ID 10534 //
     /*  677940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678008 */     GIR_RootConstrainSelectedInstOperands,
     /*  678009 */     // GIR_Coverage, 10534,
     /*  678009 */     GIR_EraseRootFromParent_Done,
     /*  678010 */   // Label 10764: @678010
     /*  678010 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(678085), // Rule ID 10535 //
     /*  678015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  678035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678061 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678083 */     GIR_RootConstrainSelectedInstOperands,
     /*  678084 */     // GIR_Coverage, 10535,
     /*  678084 */     GIR_EraseRootFromParent_Done,
     /*  678085 */   // Label 10765: @678085
     /*  678085 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(678160), // Rule ID 10538 //
     /*  678090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678158 */     GIR_RootConstrainSelectedInstOperands,
     /*  678159 */     // GIR_Coverage, 10538,
     /*  678159 */     GIR_EraseRootFromParent_Done,
     /*  678160 */   // Label 10766: @678160
     /*  678160 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(678235), // Rule ID 10539 //
     /*  678165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678233 */     GIR_RootConstrainSelectedInstOperands,
     /*  678234 */     // GIR_Coverage, 10539,
     /*  678234 */     GIR_EraseRootFromParent_Done,
     /*  678235 */   // Label 10767: @678235
     /*  678235 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(678310), // Rule ID 10542 //
     /*  678240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  678260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678308 */     GIR_RootConstrainSelectedInstOperands,
     /*  678309 */     // GIR_Coverage, 10542,
     /*  678309 */     GIR_EraseRootFromParent_Done,
     /*  678310 */   // Label 10768: @678310
     /*  678310 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678385), // Rule ID 10543 //
     /*  678315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  678335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678383 */     GIR_RootConstrainSelectedInstOperands,
     /*  678384 */     // GIR_Coverage, 10543,
     /*  678384 */     GIR_EraseRootFromParent_Done,
     /*  678385 */   // Label 10769: @678385
     /*  678385 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678460), // Rule ID 10546 //
     /*  678390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678458 */     GIR_RootConstrainSelectedInstOperands,
     /*  678459 */     // GIR_Coverage, 10546,
     /*  678459 */     GIR_EraseRootFromParent_Done,
     /*  678460 */   // Label 10770: @678460
     /*  678460 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(678535), // Rule ID 10547 //
     /*  678465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678533 */     GIR_RootConstrainSelectedInstOperands,
     /*  678534 */     // GIR_Coverage, 10547,
     /*  678534 */     GIR_EraseRootFromParent_Done,
     /*  678535 */   // Label 10771: @678535
     /*  678535 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(678610), // Rule ID 10550 //
     /*  678540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678608 */     GIR_RootConstrainSelectedInstOperands,
     /*  678609 */     // GIR_Coverage, 10550,
     /*  678609 */     GIR_EraseRootFromParent_Done,
     /*  678610 */   // Label 10772: @678610
     /*  678610 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678685), // Rule ID 10551 //
     /*  678615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678683 */     GIR_RootConstrainSelectedInstOperands,
     /*  678684 */     // GIR_Coverage, 10551,
     /*  678684 */     GIR_EraseRootFromParent_Done,
     /*  678685 */   // Label 10773: @678685
     /*  678685 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678760), // Rule ID 10554 //
     /*  678690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678758 */     GIR_RootConstrainSelectedInstOperands,
     /*  678759 */     // GIR_Coverage, 10554,
     /*  678759 */     GIR_EraseRootFromParent_Done,
     /*  678760 */   // Label 10774: @678760
     /*  678760 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678835), // Rule ID 10555 //
     /*  678765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678833 */     GIR_RootConstrainSelectedInstOperands,
     /*  678834 */     // GIR_Coverage, 10555,
     /*  678834 */     GIR_EraseRootFromParent_Done,
     /*  678835 */   // Label 10775: @678835
     /*  678835 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678910), // Rule ID 10558 //
     /*  678840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678908 */     GIR_RootConstrainSelectedInstOperands,
     /*  678909 */     // GIR_Coverage, 10558,
     /*  678909 */     GIR_EraseRootFromParent_Done,
     /*  678910 */   // Label 10776: @678910
     /*  678910 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678985), // Rule ID 10559 //
     /*  678915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678983 */     GIR_RootConstrainSelectedInstOperands,
     /*  678984 */     // GIR_Coverage, 10559,
     /*  678984 */     GIR_EraseRootFromParent_Done,
     /*  678985 */   // Label 10777: @678985
     /*  678985 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(679060), // Rule ID 10562 //
     /*  678990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679058 */     GIR_RootConstrainSelectedInstOperands,
     /*  679059 */     // GIR_Coverage, 10562,
     /*  679059 */     GIR_EraseRootFromParent_Done,
     /*  679060 */   // Label 10778: @679060
     /*  679060 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(679135), // Rule ID 10563 //
     /*  679065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679133 */     GIR_RootConstrainSelectedInstOperands,
     /*  679134 */     // GIR_Coverage, 10563,
     /*  679134 */     GIR_EraseRootFromParent_Done,
     /*  679135 */   // Label 10779: @679135
     /*  679135 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(679210), // Rule ID 10566 //
     /*  679140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679208 */     GIR_RootConstrainSelectedInstOperands,
     /*  679209 */     // GIR_Coverage, 10566,
     /*  679209 */     GIR_EraseRootFromParent_Done,
     /*  679210 */   // Label 10780: @679210
     /*  679210 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(679285), // Rule ID 10567 //
     /*  679215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679283 */     GIR_RootConstrainSelectedInstOperands,
     /*  679284 */     // GIR_Coverage, 10567,
     /*  679284 */     GIR_EraseRootFromParent_Done,
     /*  679285 */   // Label 10781: @679285
     /*  679285 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(679360), // Rule ID 10570 //
     /*  679290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  679301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  679304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  679307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  679310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679358 */     GIR_RootConstrainSelectedInstOperands,
     /*  679359 */     // GIR_Coverage, 10570,
     /*  679359 */     GIR_EraseRootFromParent_Done,
     /*  679360 */   // Label 10782: @679360
     /*  679360 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679435), // Rule ID 10571 //
     /*  679365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  679376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  679379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  679382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  679385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679433 */     GIR_RootConstrainSelectedInstOperands,
     /*  679434 */     // GIR_Coverage, 10571,
     /*  679434 */     GIR_EraseRootFromParent_Done,
     /*  679435 */   // Label 10783: @679435
     /*  679435 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679510), // Rule ID 10574 //
     /*  679440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679508 */     GIR_RootConstrainSelectedInstOperands,
     /*  679509 */     // GIR_Coverage, 10574,
     /*  679509 */     GIR_EraseRootFromParent_Done,
     /*  679510 */   // Label 10784: @679510
     /*  679510 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(679585), // Rule ID 10575 //
     /*  679515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679583 */     GIR_RootConstrainSelectedInstOperands,
     /*  679584 */     // GIR_Coverage, 10575,
     /*  679584 */     GIR_EraseRootFromParent_Done,
     /*  679585 */   // Label 10785: @679585
     /*  679585 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679660), // Rule ID 10578 //
     /*  679590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679658 */     GIR_RootConstrainSelectedInstOperands,
     /*  679659 */     // GIR_Coverage, 10578,
     /*  679659 */     GIR_EraseRootFromParent_Done,
     /*  679660 */   // Label 10786: @679660
     /*  679660 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679735), // Rule ID 10579 //
     /*  679665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679733 */     GIR_RootConstrainSelectedInstOperands,
     /*  679734 */     // GIR_Coverage, 10579,
     /*  679734 */     GIR_EraseRootFromParent_Done,
     /*  679735 */   // Label 10787: @679735
     /*  679735 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679810), // Rule ID 10582 //
     /*  679740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679808 */     GIR_RootConstrainSelectedInstOperands,
     /*  679809 */     // GIR_Coverage, 10582,
     /*  679809 */     GIR_EraseRootFromParent_Done,
     /*  679810 */   // Label 10788: @679810
     /*  679810 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679885), // Rule ID 10583 //
     /*  679815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679883 */     GIR_RootConstrainSelectedInstOperands,
     /*  679884 */     // GIR_Coverage, 10583,
     /*  679884 */     GIR_EraseRootFromParent_Done,
     /*  679885 */   // Label 10789: @679885
     /*  679885 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679960), // Rule ID 10586 //
     /*  679890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679958 */     GIR_RootConstrainSelectedInstOperands,
     /*  679959 */     // GIR_Coverage, 10586,
     /*  679959 */     GIR_EraseRootFromParent_Done,
     /*  679960 */   // Label 10790: @679960
     /*  679960 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(680035), // Rule ID 10587 //
     /*  679965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680033 */     GIR_RootConstrainSelectedInstOperands,
     /*  680034 */     // GIR_Coverage, 10587,
     /*  680034 */     GIR_EraseRootFromParent_Done,
     /*  680035 */   // Label 10791: @680035
     /*  680035 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(680110), // Rule ID 10590 //
     /*  680040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680108 */     GIR_RootConstrainSelectedInstOperands,
     /*  680109 */     // GIR_Coverage, 10590,
     /*  680109 */     GIR_EraseRootFromParent_Done,
     /*  680110 */   // Label 10792: @680110
     /*  680110 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(680185), // Rule ID 10591 //
     /*  680115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680183 */     GIR_RootConstrainSelectedInstOperands,
     /*  680184 */     // GIR_Coverage, 10591,
     /*  680184 */     GIR_EraseRootFromParent_Done,
     /*  680185 */   // Label 10793: @680185
     /*  680185 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(680260), // Rule ID 10594 //
     /*  680190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680258 */     GIR_RootConstrainSelectedInstOperands,
     /*  680259 */     // GIR_Coverage, 10594,
     /*  680259 */     GIR_EraseRootFromParent_Done,
     /*  680260 */   // Label 10794: @680260
     /*  680260 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(680335), // Rule ID 10595 //
     /*  680265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680333 */     GIR_RootConstrainSelectedInstOperands,
     /*  680334 */     // GIR_Coverage, 10595,
     /*  680334 */     GIR_EraseRootFromParent_Done,
     /*  680335 */   // Label 10795: @680335
     /*  680335 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680410), // Rule ID 10598 //
     /*  680340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  680351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  680354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  680357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680408 */     GIR_RootConstrainSelectedInstOperands,
     /*  680409 */     // GIR_Coverage, 10598,
     /*  680409 */     GIR_EraseRootFromParent_Done,
     /*  680410 */   // Label 10796: @680410
     /*  680410 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680485), // Rule ID 10599 //
     /*  680415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  680426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  680429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  680432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680483 */     GIR_RootConstrainSelectedInstOperands,
     /*  680484 */     // GIR_Coverage, 10599,
     /*  680484 */     GIR_EraseRootFromParent_Done,
     /*  680485 */   // Label 10797: @680485
     /*  680485 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(680560), // Rule ID 10602 //
     /*  680490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680558 */     GIR_RootConstrainSelectedInstOperands,
     /*  680559 */     // GIR_Coverage, 10602,
     /*  680559 */     GIR_EraseRootFromParent_Done,
     /*  680560 */   // Label 10798: @680560
     /*  680560 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(680635), // Rule ID 10603 //
     /*  680565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680633 */     GIR_RootConstrainSelectedInstOperands,
     /*  680634 */     // GIR_Coverage, 10603,
     /*  680634 */     GIR_EraseRootFromParent_Done,
     /*  680635 */   // Label 10799: @680635
     /*  680635 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680710), // Rule ID 10606 //
     /*  680640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680708 */     GIR_RootConstrainSelectedInstOperands,
     /*  680709 */     // GIR_Coverage, 10606,
     /*  680709 */     GIR_EraseRootFromParent_Done,
     /*  680710 */   // Label 10800: @680710
     /*  680710 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680785), // Rule ID 10607 //
     /*  680715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680783 */     GIR_RootConstrainSelectedInstOperands,
     /*  680784 */     // GIR_Coverage, 10607,
     /*  680784 */     GIR_EraseRootFromParent_Done,
     /*  680785 */   // Label 10801: @680785
     /*  680785 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680860), // Rule ID 10610 //
     /*  680790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680858 */     GIR_RootConstrainSelectedInstOperands,
     /*  680859 */     // GIR_Coverage, 10610,
     /*  680859 */     GIR_EraseRootFromParent_Done,
     /*  680860 */   // Label 10802: @680860
     /*  680860 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680935), // Rule ID 10611 //
     /*  680865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680933 */     GIR_RootConstrainSelectedInstOperands,
     /*  680934 */     // GIR_Coverage, 10611,
     /*  680934 */     GIR_EraseRootFromParent_Done,
     /*  680935 */   // Label 10803: @680935
     /*  680935 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(681010), // Rule ID 10614 //
     /*  680940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681008 */     GIR_RootConstrainSelectedInstOperands,
     /*  681009 */     // GIR_Coverage, 10614,
     /*  681009 */     GIR_EraseRootFromParent_Done,
     /*  681010 */   // Label 10804: @681010
     /*  681010 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(681085), // Rule ID 10615 //
     /*  681015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681083 */     GIR_RootConstrainSelectedInstOperands,
     /*  681084 */     // GIR_Coverage, 10615,
     /*  681084 */     GIR_EraseRootFromParent_Done,
     /*  681085 */   // Label 10805: @681085
     /*  681085 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(681160), // Rule ID 10618 //
     /*  681090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681158 */     GIR_RootConstrainSelectedInstOperands,
     /*  681159 */     // GIR_Coverage, 10618,
     /*  681159 */     GIR_EraseRootFromParent_Done,
     /*  681160 */   // Label 10806: @681160
     /*  681160 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(681235), // Rule ID 10619 //
     /*  681165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681233 */     GIR_RootConstrainSelectedInstOperands,
     /*  681234 */     // GIR_Coverage, 10619,
     /*  681234 */     GIR_EraseRootFromParent_Done,
     /*  681235 */   // Label 10807: @681235
     /*  681235 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(681310), // Rule ID 10622 //
     /*  681240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681308 */     GIR_RootConstrainSelectedInstOperands,
     /*  681309 */     // GIR_Coverage, 10622,
     /*  681309 */     GIR_EraseRootFromParent_Done,
     /*  681310 */   // Label 10808: @681310
     /*  681310 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681385), // Rule ID 10623 //
     /*  681315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681383 */     GIR_RootConstrainSelectedInstOperands,
     /*  681384 */     // GIR_Coverage, 10623,
     /*  681384 */     GIR_EraseRootFromParent_Done,
     /*  681385 */   // Label 10809: @681385
     /*  681385 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681460), // Rule ID 10626 //
     /*  681390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681458 */     GIR_RootConstrainSelectedInstOperands,
     /*  681459 */     // GIR_Coverage, 10626,
     /*  681459 */     GIR_EraseRootFromParent_Done,
     /*  681460 */   // Label 10810: @681460
     /*  681460 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(681535), // Rule ID 10627 //
     /*  681465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681511 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681533 */     GIR_RootConstrainSelectedInstOperands,
     /*  681534 */     // GIR_Coverage, 10627,
     /*  681534 */     GIR_EraseRootFromParent_Done,
     /*  681535 */   // Label 10811: @681535
     /*  681535 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(681610), // Rule ID 10630 //
     /*  681540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681608 */     GIR_RootConstrainSelectedInstOperands,
     /*  681609 */     // GIR_Coverage, 10630,
     /*  681609 */     GIR_EraseRootFromParent_Done,
     /*  681610 */   // Label 10812: @681610
     /*  681610 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681685), // Rule ID 10631 //
     /*  681615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681683 */     GIR_RootConstrainSelectedInstOperands,
     /*  681684 */     // GIR_Coverage, 10631,
     /*  681684 */     GIR_EraseRootFromParent_Done,
     /*  681685 */   // Label 10813: @681685
     /*  681685 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681760), // Rule ID 10634 //
     /*  681690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681758 */     GIR_RootConstrainSelectedInstOperands,
     /*  681759 */     // GIR_Coverage, 10634,
     /*  681759 */     GIR_EraseRootFromParent_Done,
     /*  681760 */   // Label 10814: @681760
     /*  681760 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681835), // Rule ID 10635 //
     /*  681765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681833 */     GIR_RootConstrainSelectedInstOperands,
     /*  681834 */     // GIR_Coverage, 10635,
     /*  681834 */     GIR_EraseRootFromParent_Done,
     /*  681835 */   // Label 10815: @681835
     /*  681835 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681910), // Rule ID 10638 //
     /*  681840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681908 */     GIR_RootConstrainSelectedInstOperands,
     /*  681909 */     // GIR_Coverage, 10638,
     /*  681909 */     GIR_EraseRootFromParent_Done,
     /*  681910 */   // Label 10816: @681910
     /*  681910 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681985), // Rule ID 10639 //
     /*  681915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681961 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681983 */     GIR_RootConstrainSelectedInstOperands,
     /*  681984 */     // GIR_Coverage, 10639,
     /*  681984 */     GIR_EraseRootFromParent_Done,
     /*  681985 */   // Label 10817: @681985
     /*  681985 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(682060), // Rule ID 10642 //
     /*  681990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682058 */     GIR_RootConstrainSelectedInstOperands,
     /*  682059 */     // GIR_Coverage, 10642,
     /*  682059 */     GIR_EraseRootFromParent_Done,
     /*  682060 */   // Label 10818: @682060
     /*  682060 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(682135), // Rule ID 10643 //
     /*  682065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682133 */     GIR_RootConstrainSelectedInstOperands,
     /*  682134 */     // GIR_Coverage, 10643,
     /*  682134 */     GIR_EraseRootFromParent_Done,
     /*  682135 */   // Label 10819: @682135
     /*  682135 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(682210), // Rule ID 10646 //
     /*  682140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682208 */     GIR_RootConstrainSelectedInstOperands,
     /*  682209 */     // GIR_Coverage, 10646,
     /*  682209 */     GIR_EraseRootFromParent_Done,
     /*  682210 */   // Label 10820: @682210
     /*  682210 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(682285), // Rule ID 10647 //
     /*  682215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682283 */     GIR_RootConstrainSelectedInstOperands,
     /*  682284 */     // GIR_Coverage, 10647,
     /*  682284 */     GIR_EraseRootFromParent_Done,
     /*  682285 */   // Label 10821: @682285
     /*  682285 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(682360), // Rule ID 10650 //
     /*  682290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  682301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  682304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  682307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682358 */     GIR_RootConstrainSelectedInstOperands,
     /*  682359 */     // GIR_Coverage, 10650,
     /*  682359 */     GIR_EraseRootFromParent_Done,
     /*  682360 */   // Label 10822: @682360
     /*  682360 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682435), // Rule ID 10651 //
     /*  682365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  682376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  682379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  682382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682433 */     GIR_RootConstrainSelectedInstOperands,
     /*  682434 */     // GIR_Coverage, 10651,
     /*  682434 */     GIR_EraseRootFromParent_Done,
     /*  682435 */   // Label 10823: @682435
     /*  682435 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682510), // Rule ID 10654 //
     /*  682440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682508 */     GIR_RootConstrainSelectedInstOperands,
     /*  682509 */     // GIR_Coverage, 10654,
     /*  682509 */     GIR_EraseRootFromParent_Done,
     /*  682510 */   // Label 10824: @682510
     /*  682510 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(682585), // Rule ID 10655 //
     /*  682515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682583 */     GIR_RootConstrainSelectedInstOperands,
     /*  682584 */     // GIR_Coverage, 10655,
     /*  682584 */     GIR_EraseRootFromParent_Done,
     /*  682585 */   // Label 10825: @682585
     /*  682585 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682660), // Rule ID 10658 //
     /*  682590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682658 */     GIR_RootConstrainSelectedInstOperands,
     /*  682659 */     // GIR_Coverage, 10658,
     /*  682659 */     GIR_EraseRootFromParent_Done,
     /*  682660 */   // Label 10826: @682660
     /*  682660 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682735), // Rule ID 10659 //
     /*  682665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682733 */     GIR_RootConstrainSelectedInstOperands,
     /*  682734 */     // GIR_Coverage, 10659,
     /*  682734 */     GIR_EraseRootFromParent_Done,
     /*  682735 */   // Label 10827: @682735
     /*  682735 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682810), // Rule ID 10662 //
     /*  682740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682808 */     GIR_RootConstrainSelectedInstOperands,
     /*  682809 */     // GIR_Coverage, 10662,
     /*  682809 */     GIR_EraseRootFromParent_Done,
     /*  682810 */   // Label 10828: @682810
     /*  682810 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682885), // Rule ID 10663 //
     /*  682815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682883 */     GIR_RootConstrainSelectedInstOperands,
     /*  682884 */     // GIR_Coverage, 10663,
     /*  682884 */     GIR_EraseRootFromParent_Done,
     /*  682885 */   // Label 10829: @682885
     /*  682885 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682960), // Rule ID 10666 //
     /*  682890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  682939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682958 */     GIR_RootConstrainSelectedInstOperands,
     /*  682959 */     // GIR_Coverage, 10666,
     /*  682959 */     GIR_EraseRootFromParent_Done,
     /*  682960 */   // Label 10830: @682960
     /*  682960 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(683035), // Rule ID 10667 //
     /*  682965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  683014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683033 */     GIR_RootConstrainSelectedInstOperands,
     /*  683034 */     // GIR_Coverage, 10667,
     /*  683034 */     GIR_EraseRootFromParent_Done,
     /*  683035 */   // Label 10831: @683035
     /*  683035 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(683110), // Rule ID 10670 //
     /*  683040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683108 */     GIR_RootConstrainSelectedInstOperands,
     /*  683109 */     // GIR_Coverage, 10670,
     /*  683109 */     GIR_EraseRootFromParent_Done,
     /*  683110 */   // Label 10832: @683110
     /*  683110 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(683185), // Rule ID 10671 //
     /*  683115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683183 */     GIR_RootConstrainSelectedInstOperands,
     /*  683184 */     // GIR_Coverage, 10671,
     /*  683184 */     GIR_EraseRootFromParent_Done,
     /*  683185 */   // Label 10833: @683185
     /*  683185 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(683260), // Rule ID 10674 //
     /*  683190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683258 */     GIR_RootConstrainSelectedInstOperands,
     /*  683259 */     // GIR_Coverage, 10674,
     /*  683259 */     GIR_EraseRootFromParent_Done,
     /*  683260 */   // Label 10834: @683260
     /*  683260 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(683335), // Rule ID 10675 //
     /*  683265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683311 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683333 */     GIR_RootConstrainSelectedInstOperands,
     /*  683334 */     // GIR_Coverage, 10675,
     /*  683334 */     GIR_EraseRootFromParent_Done,
     /*  683335 */   // Label 10835: @683335
     /*  683335 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683410), // Rule ID 10678 //
     /*  683340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683408 */     GIR_RootConstrainSelectedInstOperands,
     /*  683409 */     // GIR_Coverage, 10678,
     /*  683409 */     GIR_EraseRootFromParent_Done,
     /*  683410 */   // Label 10836: @683410
     /*  683410 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683485), // Rule ID 10679 //
     /*  683415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683483 */     GIR_RootConstrainSelectedInstOperands,
     /*  683484 */     // GIR_Coverage, 10679,
     /*  683484 */     GIR_EraseRootFromParent_Done,
     /*  683485 */   // Label 10837: @683485
     /*  683485 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(683560), // Rule ID 10682 //
     /*  683490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683558 */     GIR_RootConstrainSelectedInstOperands,
     /*  683559 */     // GIR_Coverage, 10682,
     /*  683559 */     GIR_EraseRootFromParent_Done,
     /*  683560 */   // Label 10838: @683560
     /*  683560 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(683635), // Rule ID 10683 //
     /*  683565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683633 */     GIR_RootConstrainSelectedInstOperands,
     /*  683634 */     // GIR_Coverage, 10683,
     /*  683634 */     GIR_EraseRootFromParent_Done,
     /*  683635 */   // Label 10839: @683635
     /*  683635 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683710), // Rule ID 10686 //
     /*  683640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683708 */     GIR_RootConstrainSelectedInstOperands,
     /*  683709 */     // GIR_Coverage, 10686,
     /*  683709 */     GIR_EraseRootFromParent_Done,
     /*  683710 */   // Label 10840: @683710
     /*  683710 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683785), // Rule ID 10687 //
     /*  683715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683783 */     GIR_RootConstrainSelectedInstOperands,
     /*  683784 */     // GIR_Coverage, 10687,
     /*  683784 */     GIR_EraseRootFromParent_Done,
     /*  683785 */   // Label 10841: @683785
     /*  683785 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683860), // Rule ID 10690 //
     /*  683790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683858 */     GIR_RootConstrainSelectedInstOperands,
     /*  683859 */     // GIR_Coverage, 10690,
     /*  683859 */     GIR_EraseRootFromParent_Done,
     /*  683860 */   // Label 10842: @683860
     /*  683860 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683935), // Rule ID 10691 //
     /*  683865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683933 */     GIR_RootConstrainSelectedInstOperands,
     /*  683934 */     // GIR_Coverage, 10691,
     /*  683934 */     GIR_EraseRootFromParent_Done,
     /*  683935 */   // Label 10843: @683935
     /*  683935 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(684010), // Rule ID 10694 //
     /*  683940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684008 */     GIR_RootConstrainSelectedInstOperands,
     /*  684009 */     // GIR_Coverage, 10694,
     /*  684009 */     GIR_EraseRootFromParent_Done,
     /*  684010 */   // Label 10844: @684010
     /*  684010 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(684085), // Rule ID 10695 //
     /*  684015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  684035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684083 */     GIR_RootConstrainSelectedInstOperands,
     /*  684084 */     // GIR_Coverage, 10695,
     /*  684084 */     GIR_EraseRootFromParent_Done,
     /*  684085 */   // Label 10845: @684085
     /*  684085 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(684160), // Rule ID 10698 //
     /*  684090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684158 */     GIR_RootConstrainSelectedInstOperands,
     /*  684159 */     // GIR_Coverage, 10698,
     /*  684159 */     GIR_EraseRootFromParent_Done,
     /*  684160 */   // Label 10846: @684160
     /*  684160 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(684235), // Rule ID 10699 //
     /*  684165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684233 */     GIR_RootConstrainSelectedInstOperands,
     /*  684234 */     // GIR_Coverage, 10699,
     /*  684234 */     GIR_EraseRootFromParent_Done,
     /*  684235 */   // Label 10847: @684235
     /*  684235 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(684310), // Rule ID 10702 //
     /*  684240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684308 */     GIR_RootConstrainSelectedInstOperands,
     /*  684309 */     // GIR_Coverage, 10702,
     /*  684309 */     GIR_EraseRootFromParent_Done,
     /*  684310 */   // Label 10848: @684310
     /*  684310 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684385), // Rule ID 10703 //
     /*  684315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684383 */     GIR_RootConstrainSelectedInstOperands,
     /*  684384 */     // GIR_Coverage, 10703,
     /*  684384 */     GIR_EraseRootFromParent_Done,
     /*  684385 */   // Label 10849: @684385
     /*  684385 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684460), // Rule ID 10706 //
     /*  684390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684458 */     GIR_RootConstrainSelectedInstOperands,
     /*  684459 */     // GIR_Coverage, 10706,
     /*  684459 */     GIR_EraseRootFromParent_Done,
     /*  684460 */   // Label 10850: @684460
     /*  684460 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(684535), // Rule ID 10707 //
     /*  684465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684533 */     GIR_RootConstrainSelectedInstOperands,
     /*  684534 */     // GIR_Coverage, 10707,
     /*  684534 */     GIR_EraseRootFromParent_Done,
     /*  684535 */   // Label 10851: @684535
     /*  684535 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(684610), // Rule ID 10710 //
     /*  684540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684608 */     GIR_RootConstrainSelectedInstOperands,
     /*  684609 */     // GIR_Coverage, 10710,
     /*  684609 */     GIR_EraseRootFromParent_Done,
     /*  684610 */   // Label 10852: @684610
     /*  684610 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684685), // Rule ID 10711 //
     /*  684615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684661 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684683 */     GIR_RootConstrainSelectedInstOperands,
     /*  684684 */     // GIR_Coverage, 10711,
     /*  684684 */     GIR_EraseRootFromParent_Done,
     /*  684685 */   // Label 10853: @684685
     /*  684685 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684760), // Rule ID 10714 //
     /*  684690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684758 */     GIR_RootConstrainSelectedInstOperands,
     /*  684759 */     // GIR_Coverage, 10714,
     /*  684759 */     GIR_EraseRootFromParent_Done,
     /*  684760 */   // Label 10854: @684760
     /*  684760 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684835), // Rule ID 10715 //
     /*  684765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684833 */     GIR_RootConstrainSelectedInstOperands,
     /*  684834 */     // GIR_Coverage, 10715,
     /*  684834 */     GIR_EraseRootFromParent_Done,
     /*  684835 */   // Label 10855: @684835
     /*  684835 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684910), // Rule ID 10718 //
     /*  684840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684908 */     GIR_RootConstrainSelectedInstOperands,
     /*  684909 */     // GIR_Coverage, 10718,
     /*  684909 */     GIR_EraseRootFromParent_Done,
     /*  684910 */   // Label 10856: @684910
     /*  684910 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684985), // Rule ID 10719 //
     /*  684915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684983 */     GIR_RootConstrainSelectedInstOperands,
     /*  684984 */     // GIR_Coverage, 10719,
     /*  684984 */     GIR_EraseRootFromParent_Done,
     /*  684985 */   // Label 10857: @684985
     /*  684985 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(685060), // Rule ID 10722 //
     /*  684990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685058 */     GIR_RootConstrainSelectedInstOperands,
     /*  685059 */     // GIR_Coverage, 10722,
     /*  685059 */     GIR_EraseRootFromParent_Done,
     /*  685060 */   // Label 10858: @685060
     /*  685060 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(685135), // Rule ID 10723 //
     /*  685065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685133 */     GIR_RootConstrainSelectedInstOperands,
     /*  685134 */     // GIR_Coverage, 10723,
     /*  685134 */     GIR_EraseRootFromParent_Done,
     /*  685135 */   // Label 10859: @685135
     /*  685135 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(685210), // Rule ID 10726 //
     /*  685140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685208 */     GIR_RootConstrainSelectedInstOperands,
     /*  685209 */     // GIR_Coverage, 10726,
     /*  685209 */     GIR_EraseRootFromParent_Done,
     /*  685210 */   // Label 10860: @685210
     /*  685210 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(685285), // Rule ID 10727 //
     /*  685215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685283 */     GIR_RootConstrainSelectedInstOperands,
     /*  685284 */     // GIR_Coverage, 10727,
     /*  685284 */     GIR_EraseRootFromParent_Done,
     /*  685285 */   // Label 10861: @685285
     /*  685285 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(685360), // Rule ID 10730 //
     /*  685290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685358 */     GIR_RootConstrainSelectedInstOperands,
     /*  685359 */     // GIR_Coverage, 10730,
     /*  685359 */     GIR_EraseRootFromParent_Done,
     /*  685360 */   // Label 10862: @685360
     /*  685360 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685435), // Rule ID 10731 //
     /*  685365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685433 */     GIR_RootConstrainSelectedInstOperands,
     /*  685434 */     // GIR_Coverage, 10731,
     /*  685434 */     GIR_EraseRootFromParent_Done,
     /*  685435 */   // Label 10863: @685435
     /*  685435 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685510), // Rule ID 10734 //
     /*  685440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685508 */     GIR_RootConstrainSelectedInstOperands,
     /*  685509 */     // GIR_Coverage, 10734,
     /*  685509 */     GIR_EraseRootFromParent_Done,
     /*  685510 */   // Label 10864: @685510
     /*  685510 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(685585), // Rule ID 10735 //
     /*  685515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685583 */     GIR_RootConstrainSelectedInstOperands,
     /*  685584 */     // GIR_Coverage, 10735,
     /*  685584 */     GIR_EraseRootFromParent_Done,
     /*  685585 */   // Label 10865: @685585
     /*  685585 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685660), // Rule ID 10738 //
     /*  685590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685658 */     GIR_RootConstrainSelectedInstOperands,
     /*  685659 */     // GIR_Coverage, 10738,
     /*  685659 */     GIR_EraseRootFromParent_Done,
     /*  685660 */   // Label 10866: @685660
     /*  685660 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685735), // Rule ID 10739 //
     /*  685665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685733 */     GIR_RootConstrainSelectedInstOperands,
     /*  685734 */     // GIR_Coverage, 10739,
     /*  685734 */     GIR_EraseRootFromParent_Done,
     /*  685735 */   // Label 10867: @685735
     /*  685735 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685810), // Rule ID 10742 //
     /*  685740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685808 */     GIR_RootConstrainSelectedInstOperands,
     /*  685809 */     // GIR_Coverage, 10742,
     /*  685809 */     GIR_EraseRootFromParent_Done,
     /*  685810 */   // Label 10868: @685810
     /*  685810 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685885), // Rule ID 10743 //
     /*  685815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685883 */     GIR_RootConstrainSelectedInstOperands,
     /*  685884 */     // GIR_Coverage, 10743,
     /*  685884 */     GIR_EraseRootFromParent_Done,
     /*  685885 */   // Label 10869: @685885
     /*  685885 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685960), // Rule ID 10746 //
     /*  685890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685958 */     GIR_RootConstrainSelectedInstOperands,
     /*  685959 */     // GIR_Coverage, 10746,
     /*  685959 */     GIR_EraseRootFromParent_Done,
     /*  685960 */   // Label 10870: @685960
     /*  685960 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(686035), // Rule ID 10747 //
     /*  685965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  686014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686033 */     GIR_RootConstrainSelectedInstOperands,
     /*  686034 */     // GIR_Coverage, 10747,
     /*  686034 */     GIR_EraseRootFromParent_Done,
     /*  686035 */   // Label 10871: @686035
     /*  686035 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(686110), // Rule ID 10750 //
     /*  686040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686108 */     GIR_RootConstrainSelectedInstOperands,
     /*  686109 */     // GIR_Coverage, 10750,
     /*  686109 */     GIR_EraseRootFromParent_Done,
     /*  686110 */   // Label 10872: @686110
     /*  686110 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(686185), // Rule ID 10751 //
     /*  686115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686183 */     GIR_RootConstrainSelectedInstOperands,
     /*  686184 */     // GIR_Coverage, 10751,
     /*  686184 */     GIR_EraseRootFromParent_Done,
     /*  686185 */   // Label 10873: @686185
     /*  686185 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(686260), // Rule ID 10754 //
     /*  686190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  686239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686258 */     GIR_RootConstrainSelectedInstOperands,
     /*  686259 */     // GIR_Coverage, 10754,
     /*  686259 */     GIR_EraseRootFromParent_Done,
     /*  686260 */   // Label 10874: @686260
     /*  686260 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(686335), // Rule ID 10755 //
     /*  686265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  686314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686333 */     GIR_RootConstrainSelectedInstOperands,
     /*  686334 */     // GIR_Coverage, 10755,
     /*  686334 */     GIR_EraseRootFromParent_Done,
     /*  686335 */   // Label 10875: @686335
     /*  686335 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686410), // Rule ID 10758 //
     /*  686340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686408 */     GIR_RootConstrainSelectedInstOperands,
     /*  686409 */     // GIR_Coverage, 10758,
     /*  686409 */     GIR_EraseRootFromParent_Done,
     /*  686410 */   // Label 10876: @686410
     /*  686410 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686485), // Rule ID 10759 //
     /*  686415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686461 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686483 */     GIR_RootConstrainSelectedInstOperands,
     /*  686484 */     // GIR_Coverage, 10759,
     /*  686484 */     GIR_EraseRootFromParent_Done,
     /*  686485 */   // Label 10877: @686485
     /*  686485 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(686560), // Rule ID 10762 //
     /*  686490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686558 */     GIR_RootConstrainSelectedInstOperands,
     /*  686559 */     // GIR_Coverage, 10762,
     /*  686559 */     GIR_EraseRootFromParent_Done,
     /*  686560 */   // Label 10878: @686560
     /*  686560 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(686635), // Rule ID 10763 //
     /*  686565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686633 */     GIR_RootConstrainSelectedInstOperands,
     /*  686634 */     // GIR_Coverage, 10763,
     /*  686634 */     GIR_EraseRootFromParent_Done,
     /*  686635 */   // Label 10879: @686635
     /*  686635 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686710), // Rule ID 10766 //
     /*  686640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686708 */     GIR_RootConstrainSelectedInstOperands,
     /*  686709 */     // GIR_Coverage, 10766,
     /*  686709 */     GIR_EraseRootFromParent_Done,
     /*  686710 */   // Label 10880: @686710
     /*  686710 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686785), // Rule ID 10767 //
     /*  686715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686783 */     GIR_RootConstrainSelectedInstOperands,
     /*  686784 */     // GIR_Coverage, 10767,
     /*  686784 */     GIR_EraseRootFromParent_Done,
     /*  686785 */   // Label 10881: @686785
     /*  686785 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686860), // Rule ID 10770 //
     /*  686790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686858 */     GIR_RootConstrainSelectedInstOperands,
     /*  686859 */     // GIR_Coverage, 10770,
     /*  686859 */     GIR_EraseRootFromParent_Done,
     /*  686860 */   // Label 10882: @686860
     /*  686860 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686935), // Rule ID 10771 //
     /*  686865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686911 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686933 */     GIR_RootConstrainSelectedInstOperands,
     /*  686934 */     // GIR_Coverage, 10771,
     /*  686934 */     GIR_EraseRootFromParent_Done,
     /*  686935 */   // Label 10883: @686935
     /*  686935 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(687010), // Rule ID 10774 //
     /*  686940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687008 */     GIR_RootConstrainSelectedInstOperands,
     /*  687009 */     // GIR_Coverage, 10774,
     /*  687009 */     GIR_EraseRootFromParent_Done,
     /*  687010 */   // Label 10884: @687010
     /*  687010 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(687085), // Rule ID 10775 //
     /*  687015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687083 */     GIR_RootConstrainSelectedInstOperands,
     /*  687084 */     // GIR_Coverage, 10775,
     /*  687084 */     GIR_EraseRootFromParent_Done,
     /*  687085 */   // Label 10885: @687085
     /*  687085 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(687160), // Rule ID 10778 //
     /*  687090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687158 */     GIR_RootConstrainSelectedInstOperands,
     /*  687159 */     // GIR_Coverage, 10778,
     /*  687159 */     GIR_EraseRootFromParent_Done,
     /*  687160 */   // Label 10886: @687160
     /*  687160 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(687235), // Rule ID 10779 //
     /*  687165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687233 */     GIR_RootConstrainSelectedInstOperands,
     /*  687234 */     // GIR_Coverage, 10779,
     /*  687234 */     GIR_EraseRootFromParent_Done,
     /*  687235 */   // Label 10887: @687235
     /*  687235 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(687310), // Rule ID 10782 //
     /*  687240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687308 */     GIR_RootConstrainSelectedInstOperands,
     /*  687309 */     // GIR_Coverage, 10782,
     /*  687309 */     GIR_EraseRootFromParent_Done,
     /*  687310 */   // Label 10888: @687310
     /*  687310 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687385), // Rule ID 10783 //
     /*  687315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687383 */     GIR_RootConstrainSelectedInstOperands,
     /*  687384 */     // GIR_Coverage, 10783,
     /*  687384 */     GIR_EraseRootFromParent_Done,
     /*  687385 */   // Label 10889: @687385
     /*  687385 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687460), // Rule ID 10786 //
     /*  687390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687458 */     GIR_RootConstrainSelectedInstOperands,
     /*  687459 */     // GIR_Coverage, 10786,
     /*  687459 */     GIR_EraseRootFromParent_Done,
     /*  687460 */   // Label 10890: @687460
     /*  687460 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(687535), // Rule ID 10787 //
     /*  687465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687533 */     GIR_RootConstrainSelectedInstOperands,
     /*  687534 */     // GIR_Coverage, 10787,
     /*  687534 */     GIR_EraseRootFromParent_Done,
     /*  687535 */   // Label 10891: @687535
     /*  687535 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(687610), // Rule ID 10790 //
     /*  687540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687608 */     GIR_RootConstrainSelectedInstOperands,
     /*  687609 */     // GIR_Coverage, 10790,
     /*  687609 */     GIR_EraseRootFromParent_Done,
     /*  687610 */   // Label 10892: @687610
     /*  687610 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687685), // Rule ID 10791 //
     /*  687615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687683 */     GIR_RootConstrainSelectedInstOperands,
     /*  687684 */     // GIR_Coverage, 10791,
     /*  687684 */     GIR_EraseRootFromParent_Done,
     /*  687685 */   // Label 10893: @687685
     /*  687685 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687760), // Rule ID 10794 //
     /*  687690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687736 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687758 */     GIR_RootConstrainSelectedInstOperands,
     /*  687759 */     // GIR_Coverage, 10794,
     /*  687759 */     GIR_EraseRootFromParent_Done,
     /*  687760 */   // Label 10894: @687760
     /*  687760 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687835), // Rule ID 10795 //
     /*  687765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687833 */     GIR_RootConstrainSelectedInstOperands,
     /*  687834 */     // GIR_Coverage, 10795,
     /*  687834 */     GIR_EraseRootFromParent_Done,
     /*  687835 */   // Label 10895: @687835
     /*  687835 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687910), // Rule ID 10798 //
     /*  687840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687886 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687908 */     GIR_RootConstrainSelectedInstOperands,
     /*  687909 */     // GIR_Coverage, 10798,
     /*  687909 */     GIR_EraseRootFromParent_Done,
     /*  687910 */   // Label 10896: @687910
     /*  687910 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687985), // Rule ID 10799 //
     /*  687915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687983 */     GIR_RootConstrainSelectedInstOperands,
     /*  687984 */     // GIR_Coverage, 10799,
     /*  687984 */     GIR_EraseRootFromParent_Done,
     /*  687985 */   // Label 10897: @687985
     /*  687985 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(688060), // Rule ID 10802 //
     /*  687990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688036 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688058 */     GIR_RootConstrainSelectedInstOperands,
     /*  688059 */     // GIR_Coverage, 10802,
     /*  688059 */     GIR_EraseRootFromParent_Done,
     /*  688060 */   // Label 10898: @688060
     /*  688060 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(688135), // Rule ID 10803 //
     /*  688065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688111 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688133 */     GIR_RootConstrainSelectedInstOperands,
     /*  688134 */     // GIR_Coverage, 10803,
     /*  688134 */     GIR_EraseRootFromParent_Done,
     /*  688135 */   // Label 10899: @688135
     /*  688135 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(688210), // Rule ID 10806 //
     /*  688140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688208 */     GIR_RootConstrainSelectedInstOperands,
     /*  688209 */     // GIR_Coverage, 10806,
     /*  688209 */     GIR_EraseRootFromParent_Done,
     /*  688210 */   // Label 10900: @688210
     /*  688210 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(688285), // Rule ID 10807 //
     /*  688215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688283 */     GIR_RootConstrainSelectedInstOperands,
     /*  688284 */     // GIR_Coverage, 10807,
     /*  688284 */     GIR_EraseRootFromParent_Done,
     /*  688285 */   // Label 10901: @688285
     /*  688285 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(688360), // Rule ID 10810 //
     /*  688290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688358 */     GIR_RootConstrainSelectedInstOperands,
     /*  688359 */     // GIR_Coverage, 10810,
     /*  688359 */     GIR_EraseRootFromParent_Done,
     /*  688360 */   // Label 10902: @688360
     /*  688360 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688435), // Rule ID 10811 //
     /*  688365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688433 */     GIR_RootConstrainSelectedInstOperands,
     /*  688434 */     // GIR_Coverage, 10811,
     /*  688434 */     GIR_EraseRootFromParent_Done,
     /*  688435 */   // Label 10903: @688435
     /*  688435 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688510), // Rule ID 10814 //
     /*  688440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688486 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688508 */     GIR_RootConstrainSelectedInstOperands,
     /*  688509 */     // GIR_Coverage, 10814,
     /*  688509 */     GIR_EraseRootFromParent_Done,
     /*  688510 */   // Label 10904: @688510
     /*  688510 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(688585), // Rule ID 10815 //
     /*  688515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688583 */     GIR_RootConstrainSelectedInstOperands,
     /*  688584 */     // GIR_Coverage, 10815,
     /*  688584 */     GIR_EraseRootFromParent_Done,
     /*  688585 */   // Label 10905: @688585
     /*  688585 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688660), // Rule ID 10818 //
     /*  688590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688658 */     GIR_RootConstrainSelectedInstOperands,
     /*  688659 */     // GIR_Coverage, 10818,
     /*  688659 */     GIR_EraseRootFromParent_Done,
     /*  688660 */   // Label 10906: @688660
     /*  688660 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688735), // Rule ID 10819 //
     /*  688665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688733 */     GIR_RootConstrainSelectedInstOperands,
     /*  688734 */     // GIR_Coverage, 10819,
     /*  688734 */     GIR_EraseRootFromParent_Done,
     /*  688735 */   // Label 10907: @688735
     /*  688735 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688810), // Rule ID 10822 //
     /*  688740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688808 */     GIR_RootConstrainSelectedInstOperands,
     /*  688809 */     // GIR_Coverage, 10822,
     /*  688809 */     GIR_EraseRootFromParent_Done,
     /*  688810 */   // Label 10908: @688810
     /*  688810 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688885), // Rule ID 10823 //
     /*  688815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688883 */     GIR_RootConstrainSelectedInstOperands,
     /*  688884 */     // GIR_Coverage, 10823,
     /*  688884 */     GIR_EraseRootFromParent_Done,
     /*  688885 */   // Label 10909: @688885
     /*  688885 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688960), // Rule ID 10826 //
     /*  688890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688958 */     GIR_RootConstrainSelectedInstOperands,
     /*  688959 */     // GIR_Coverage, 10826,
     /*  688959 */     GIR_EraseRootFromParent_Done,
     /*  688960 */   // Label 10910: @688960
     /*  688960 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(689035), // Rule ID 10827 //
     /*  688965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689033 */     GIR_RootConstrainSelectedInstOperands,
     /*  689034 */     // GIR_Coverage, 10827,
     /*  689034 */     GIR_EraseRootFromParent_Done,
     /*  689035 */   // Label 10911: @689035
     /*  689035 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(689110), // Rule ID 10830 //
     /*  689040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689108 */     GIR_RootConstrainSelectedInstOperands,
     /*  689109 */     // GIR_Coverage, 10830,
     /*  689109 */     GIR_EraseRootFromParent_Done,
     /*  689110 */   // Label 10912: @689110
     /*  689110 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(689185), // Rule ID 10831 //
     /*  689115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689183 */     GIR_RootConstrainSelectedInstOperands,
     /*  689184 */     // GIR_Coverage, 10831,
     /*  689184 */     GIR_EraseRootFromParent_Done,
     /*  689185 */   // Label 10913: @689185
     /*  689185 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(689260), // Rule ID 10834 //
     /*  689190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689258 */     GIR_RootConstrainSelectedInstOperands,
     /*  689259 */     // GIR_Coverage, 10834,
     /*  689259 */     GIR_EraseRootFromParent_Done,
     /*  689260 */   // Label 10914: @689260
     /*  689260 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(689335), // Rule ID 10835 //
     /*  689265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689333 */     GIR_RootConstrainSelectedInstOperands,
     /*  689334 */     // GIR_Coverage, 10835,
     /*  689334 */     GIR_EraseRootFromParent_Done,
     /*  689335 */   // Label 10915: @689335
     /*  689335 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689410), // Rule ID 10838 //
     /*  689340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689408 */     GIR_RootConstrainSelectedInstOperands,
     /*  689409 */     // GIR_Coverage, 10838,
     /*  689409 */     GIR_EraseRootFromParent_Done,
     /*  689410 */   // Label 10916: @689410
     /*  689410 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689485), // Rule ID 10839 //
     /*  689415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689483 */     GIR_RootConstrainSelectedInstOperands,
     /*  689484 */     // GIR_Coverage, 10839,
     /*  689484 */     GIR_EraseRootFromParent_Done,
     /*  689485 */   // Label 10917: @689485
     /*  689485 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(689560), // Rule ID 10842 //
     /*  689490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689558 */     GIR_RootConstrainSelectedInstOperands,
     /*  689559 */     // GIR_Coverage, 10842,
     /*  689559 */     GIR_EraseRootFromParent_Done,
     /*  689560 */   // Label 10918: @689560
     /*  689560 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(689635), // Rule ID 10843 //
     /*  689565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689633 */     GIR_RootConstrainSelectedInstOperands,
     /*  689634 */     // GIR_Coverage, 10843,
     /*  689634 */     GIR_EraseRootFromParent_Done,
     /*  689635 */   // Label 10919: @689635
     /*  689635 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689710), // Rule ID 10846 //
     /*  689640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689708 */     GIR_RootConstrainSelectedInstOperands,
     /*  689709 */     // GIR_Coverage, 10846,
     /*  689709 */     GIR_EraseRootFromParent_Done,
     /*  689710 */   // Label 10920: @689710
     /*  689710 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689785), // Rule ID 10847 //
     /*  689715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689783 */     GIR_RootConstrainSelectedInstOperands,
     /*  689784 */     // GIR_Coverage, 10847,
     /*  689784 */     GIR_EraseRootFromParent_Done,
     /*  689785 */   // Label 10921: @689785
     /*  689785 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689860), // Rule ID 10850 //
     /*  689790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689858 */     GIR_RootConstrainSelectedInstOperands,
     /*  689859 */     // GIR_Coverage, 10850,
     /*  689859 */     GIR_EraseRootFromParent_Done,
     /*  689860 */   // Label 10922: @689860
     /*  689860 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689935), // Rule ID 10851 //
     /*  689865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689933 */     GIR_RootConstrainSelectedInstOperands,
     /*  689934 */     // GIR_Coverage, 10851,
     /*  689934 */     GIR_EraseRootFromParent_Done,
     /*  689935 */   // Label 10923: @689935
     /*  689935 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(690010), // Rule ID 10854 //
     /*  689940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690008 */     GIR_RootConstrainSelectedInstOperands,
     /*  690009 */     // GIR_Coverage, 10854,
     /*  690009 */     GIR_EraseRootFromParent_Done,
     /*  690010 */   // Label 10924: @690010
     /*  690010 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(690085), // Rule ID 10855 //
     /*  690015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  690035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  690064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690083 */     GIR_RootConstrainSelectedInstOperands,
     /*  690084 */     // GIR_Coverage, 10855,
     /*  690084 */     GIR_EraseRootFromParent_Done,
     /*  690085 */   // Label 10925: @690085
     /*  690085 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(690160), // Rule ID 10858 //
     /*  690090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690158 */     GIR_RootConstrainSelectedInstOperands,
     /*  690159 */     // GIR_Coverage, 10858,
     /*  690159 */     GIR_EraseRootFromParent_Done,
     /*  690160 */   // Label 10926: @690160
     /*  690160 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(690235), // Rule ID 10859 //
     /*  690165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690233 */     GIR_RootConstrainSelectedInstOperands,
     /*  690234 */     // GIR_Coverage, 10859,
     /*  690234 */     GIR_EraseRootFromParent_Done,
     /*  690235 */   // Label 10927: @690235
     /*  690235 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(690310), // Rule ID 10862 //
     /*  690240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  690260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690308 */     GIR_RootConstrainSelectedInstOperands,
     /*  690309 */     // GIR_Coverage, 10862,
     /*  690309 */     GIR_EraseRootFromParent_Done,
     /*  690310 */   // Label 10928: @690310
     /*  690310 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690385), // Rule ID 10863 //
     /*  690315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  690335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690383 */     GIR_RootConstrainSelectedInstOperands,
     /*  690384 */     // GIR_Coverage, 10863,
     /*  690384 */     GIR_EraseRootFromParent_Done,
     /*  690385 */   // Label 10929: @690385
     /*  690385 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690460), // Rule ID 10866 //
     /*  690390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690458 */     GIR_RootConstrainSelectedInstOperands,
     /*  690459 */     // GIR_Coverage, 10866,
     /*  690459 */     GIR_EraseRootFromParent_Done,
     /*  690460 */   // Label 10930: @690460
     /*  690460 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(690535), // Rule ID 10867 //
     /*  690465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690533 */     GIR_RootConstrainSelectedInstOperands,
     /*  690534 */     // GIR_Coverage, 10867,
     /*  690534 */     GIR_EraseRootFromParent_Done,
     /*  690535 */   // Label 10931: @690535
     /*  690535 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(690610), // Rule ID 10870 //
     /*  690540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690608 */     GIR_RootConstrainSelectedInstOperands,
     /*  690609 */     // GIR_Coverage, 10870,
     /*  690609 */     GIR_EraseRootFromParent_Done,
     /*  690610 */   // Label 10932: @690610
     /*  690610 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690685), // Rule ID 10871 //
     /*  690615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690683 */     GIR_RootConstrainSelectedInstOperands,
     /*  690684 */     // GIR_Coverage, 10871,
     /*  690684 */     GIR_EraseRootFromParent_Done,
     /*  690685 */   // Label 10933: @690685
     /*  690685 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690760), // Rule ID 10874 //
     /*  690690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690758 */     GIR_RootConstrainSelectedInstOperands,
     /*  690759 */     // GIR_Coverage, 10874,
     /*  690759 */     GIR_EraseRootFromParent_Done,
     /*  690760 */   // Label 10934: @690760
     /*  690760 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690835), // Rule ID 10875 //
     /*  690765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690833 */     GIR_RootConstrainSelectedInstOperands,
     /*  690834 */     // GIR_Coverage, 10875,
     /*  690834 */     GIR_EraseRootFromParent_Done,
     /*  690835 */   // Label 10935: @690835
     /*  690835 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690910), // Rule ID 10878 //
     /*  690840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690908 */     GIR_RootConstrainSelectedInstOperands,
     /*  690909 */     // GIR_Coverage, 10878,
     /*  690909 */     GIR_EraseRootFromParent_Done,
     /*  690910 */   // Label 10936: @690910
     /*  690910 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690985), // Rule ID 10879 //
     /*  690915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690983 */     GIR_RootConstrainSelectedInstOperands,
     /*  690984 */     // GIR_Coverage, 10879,
     /*  690984 */     GIR_EraseRootFromParent_Done,
     /*  690985 */   // Label 10937: @690985
     /*  690985 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(691060), // Rule ID 10882 //
     /*  690990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691058 */     GIR_RootConstrainSelectedInstOperands,
     /*  691059 */     // GIR_Coverage, 10882,
     /*  691059 */     GIR_EraseRootFromParent_Done,
     /*  691060 */   // Label 10938: @691060
     /*  691060 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(691135), // Rule ID 10883 //
     /*  691065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691133 */     GIR_RootConstrainSelectedInstOperands,
     /*  691134 */     // GIR_Coverage, 10883,
     /*  691134 */     GIR_EraseRootFromParent_Done,
     /*  691135 */   // Label 10939: @691135
     /*  691135 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(691210), // Rule ID 10886 //
     /*  691140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691208 */     GIR_RootConstrainSelectedInstOperands,
     /*  691209 */     // GIR_Coverage, 10886,
     /*  691209 */     GIR_EraseRootFromParent_Done,
     /*  691210 */   // Label 10940: @691210
     /*  691210 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(691285), // Rule ID 10887 //
     /*  691215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691261 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691283 */     GIR_RootConstrainSelectedInstOperands,
     /*  691284 */     // GIR_Coverage, 10887,
     /*  691284 */     GIR_EraseRootFromParent_Done,
     /*  691285 */   // Label 10941: @691285
     /*  691285 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(691360), // Rule ID 10890 //
     /*  691290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  691301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  691304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  691307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  691310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691358 */     GIR_RootConstrainSelectedInstOperands,
     /*  691359 */     // GIR_Coverage, 10890,
     /*  691359 */     GIR_EraseRootFromParent_Done,
     /*  691360 */   // Label 10942: @691360
     /*  691360 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691435), // Rule ID 10891 //
     /*  691365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  691376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  691379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  691382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  691385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691433 */     GIR_RootConstrainSelectedInstOperands,
     /*  691434 */     // GIR_Coverage, 10891,
     /*  691434 */     GIR_EraseRootFromParent_Done,
     /*  691435 */   // Label 10943: @691435
     /*  691435 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691510), // Rule ID 10894 //
     /*  691440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691508 */     GIR_RootConstrainSelectedInstOperands,
     /*  691509 */     // GIR_Coverage, 10894,
     /*  691509 */     GIR_EraseRootFromParent_Done,
     /*  691510 */   // Label 10944: @691510
     /*  691510 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(691585), // Rule ID 10895 //
     /*  691515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691583 */     GIR_RootConstrainSelectedInstOperands,
     /*  691584 */     // GIR_Coverage, 10895,
     /*  691584 */     GIR_EraseRootFromParent_Done,
     /*  691585 */   // Label 10945: @691585
     /*  691585 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691660), // Rule ID 10898 //
     /*  691590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691658 */     GIR_RootConstrainSelectedInstOperands,
     /*  691659 */     // GIR_Coverage, 10898,
     /*  691659 */     GIR_EraseRootFromParent_Done,
     /*  691660 */   // Label 10946: @691660
     /*  691660 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691735), // Rule ID 10899 //
     /*  691665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691733 */     GIR_RootConstrainSelectedInstOperands,
     /*  691734 */     // GIR_Coverage, 10899,
     /*  691734 */     GIR_EraseRootFromParent_Done,
     /*  691735 */   // Label 10947: @691735
     /*  691735 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691810), // Rule ID 10902 //
     /*  691740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691808 */     GIR_RootConstrainSelectedInstOperands,
     /*  691809 */     // GIR_Coverage, 10902,
     /*  691809 */     GIR_EraseRootFromParent_Done,
     /*  691810 */   // Label 10948: @691810
     /*  691810 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691885), // Rule ID 10903 //
     /*  691815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691883 */     GIR_RootConstrainSelectedInstOperands,
     /*  691884 */     // GIR_Coverage, 10903,
     /*  691884 */     GIR_EraseRootFromParent_Done,
     /*  691885 */   // Label 10949: @691885
     /*  691885 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691960), // Rule ID 10906 //
     /*  691890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691958 */     GIR_RootConstrainSelectedInstOperands,
     /*  691959 */     // GIR_Coverage, 10906,
     /*  691959 */     GIR_EraseRootFromParent_Done,
     /*  691960 */   // Label 10950: @691960
     /*  691960 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(692035), // Rule ID 10907 //
     /*  691965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692033 */     GIR_RootConstrainSelectedInstOperands,
     /*  692034 */     // GIR_Coverage, 10907,
     /*  692034 */     GIR_EraseRootFromParent_Done,
     /*  692035 */   // Label 10951: @692035
     /*  692035 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(692110), // Rule ID 10910 //
     /*  692040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692108 */     GIR_RootConstrainSelectedInstOperands,
     /*  692109 */     // GIR_Coverage, 10910,
     /*  692109 */     GIR_EraseRootFromParent_Done,
     /*  692110 */   // Label 10952: @692110
     /*  692110 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(692185), // Rule ID 10911 //
     /*  692115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692183 */     GIR_RootConstrainSelectedInstOperands,
     /*  692184 */     // GIR_Coverage, 10911,
     /*  692184 */     GIR_EraseRootFromParent_Done,
     /*  692185 */   // Label 10953: @692185
     /*  692185 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(692260), // Rule ID 10914 //
     /*  692190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692258 */     GIR_RootConstrainSelectedInstOperands,
     /*  692259 */     // GIR_Coverage, 10914,
     /*  692259 */     GIR_EraseRootFromParent_Done,
     /*  692260 */   // Label 10954: @692260
     /*  692260 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(692335), // Rule ID 10915 //
     /*  692265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692333 */     GIR_RootConstrainSelectedInstOperands,
     /*  692334 */     // GIR_Coverage, 10915,
     /*  692334 */     GIR_EraseRootFromParent_Done,
     /*  692335 */   // Label 10955: @692335
     /*  692335 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692410), // Rule ID 10918 //
     /*  692340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  692351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  692354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  692357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  692360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692408 */     GIR_RootConstrainSelectedInstOperands,
     /*  692409 */     // GIR_Coverage, 10918,
     /*  692409 */     GIR_EraseRootFromParent_Done,
     /*  692410 */   // Label 10956: @692410
     /*  692410 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692485), // Rule ID 10919 //
     /*  692415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  692426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  692429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  692432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  692435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692483 */     GIR_RootConstrainSelectedInstOperands,
     /*  692484 */     // GIR_Coverage, 10919,
     /*  692484 */     GIR_EraseRootFromParent_Done,
     /*  692485 */   // Label 10957: @692485
     /*  692485 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(692560), // Rule ID 10922 //
     /*  692490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692558 */     GIR_RootConstrainSelectedInstOperands,
     /*  692559 */     // GIR_Coverage, 10922,
     /*  692559 */     GIR_EraseRootFromParent_Done,
     /*  692560 */   // Label 10958: @692560
     /*  692560 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(692635), // Rule ID 10923 //
     /*  692565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692633 */     GIR_RootConstrainSelectedInstOperands,
     /*  692634 */     // GIR_Coverage, 10923,
     /*  692634 */     GIR_EraseRootFromParent_Done,
     /*  692635 */   // Label 10959: @692635
     /*  692635 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692710), // Rule ID 10926 //
     /*  692640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692708 */     GIR_RootConstrainSelectedInstOperands,
     /*  692709 */     // GIR_Coverage, 10926,
     /*  692709 */     GIR_EraseRootFromParent_Done,
     /*  692710 */   // Label 10960: @692710
     /*  692710 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(692785), // Rule ID 10927 //
     /*  692715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692783 */     GIR_RootConstrainSelectedInstOperands,
     /*  692784 */     // GIR_Coverage, 10927,
     /*  692784 */     GIR_EraseRootFromParent_Done,
     /*  692785 */   // Label 10961: @692785
     /*  692785 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692860), // Rule ID 10930 //
     /*  692790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692858 */     GIR_RootConstrainSelectedInstOperands,
     /*  692859 */     // GIR_Coverage, 10930,
     /*  692859 */     GIR_EraseRootFromParent_Done,
     /*  692860 */   // Label 10962: @692860
     /*  692860 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692935), // Rule ID 10931 //
     /*  692865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692933 */     GIR_RootConstrainSelectedInstOperands,
     /*  692934 */     // GIR_Coverage, 10931,
     /*  692934 */     GIR_EraseRootFromParent_Done,
     /*  692935 */   // Label 10963: @692935
     /*  692935 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(693010), // Rule ID 10934 //
     /*  692940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693008 */     GIR_RootConstrainSelectedInstOperands,
     /*  693009 */     // GIR_Coverage, 10934,
     /*  693009 */     GIR_EraseRootFromParent_Done,
     /*  693010 */   // Label 10964: @693010
     /*  693010 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(693085), // Rule ID 10935 //
     /*  693015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  693026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  693029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  693032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693083 */     GIR_RootConstrainSelectedInstOperands,
     /*  693084 */     // GIR_Coverage, 10935,
     /*  693084 */     GIR_EraseRootFromParent_Done,
     /*  693085 */   // Label 10965: @693085
     /*  693085 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(693160), // Rule ID 10938 //
     /*  693090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  693101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  693104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  693107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693158 */     GIR_RootConstrainSelectedInstOperands,
     /*  693159 */     // GIR_Coverage, 10938,
     /*  693159 */     GIR_EraseRootFromParent_Done,
     /*  693160 */   // Label 10966: @693160
     /*  693160 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(693235), // Rule ID 10939 //
     /*  693165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  693176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  693179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  693182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693233 */     GIR_RootConstrainSelectedInstOperands,
     /*  693234 */     // GIR_Coverage, 10939,
     /*  693234 */     GIR_EraseRootFromParent_Done,
     /*  693235 */   // Label 10967: @693235
     /*  693235 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(693310), // Rule ID 10942 //
     /*  693240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693308 */     GIR_RootConstrainSelectedInstOperands,
     /*  693309 */     // GIR_Coverage, 10942,
     /*  693309 */     GIR_EraseRootFromParent_Done,
     /*  693310 */   // Label 10968: @693310
     /*  693310 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693385), // Rule ID 10943 //
     /*  693315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693383 */     GIR_RootConstrainSelectedInstOperands,
     /*  693384 */     // GIR_Coverage, 10943,
     /*  693384 */     GIR_EraseRootFromParent_Done,
     /*  693385 */   // Label 10969: @693385
     /*  693385 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693460), // Rule ID 10946 //
     /*  693390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693458 */     GIR_RootConstrainSelectedInstOperands,
     /*  693459 */     // GIR_Coverage, 10946,
     /*  693459 */     GIR_EraseRootFromParent_Done,
     /*  693460 */   // Label 10970: @693460
     /*  693460 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(693535), // Rule ID 10947 //
     /*  693465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693533 */     GIR_RootConstrainSelectedInstOperands,
     /*  693534 */     // GIR_Coverage, 10947,
     /*  693534 */     GIR_EraseRootFromParent_Done,
     /*  693535 */   // Label 10971: @693535
     /*  693535 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(693610), // Rule ID 10950 //
     /*  693540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693608 */     GIR_RootConstrainSelectedInstOperands,
     /*  693609 */     // GIR_Coverage, 10950,
     /*  693609 */     GIR_EraseRootFromParent_Done,
     /*  693610 */   // Label 10972: @693610
     /*  693610 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693685), // Rule ID 10951 //
     /*  693615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693683 */     GIR_RootConstrainSelectedInstOperands,
     /*  693684 */     // GIR_Coverage, 10951,
     /*  693684 */     GIR_EraseRootFromParent_Done,
     /*  693685 */   // Label 10973: @693685
     /*  693685 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(693760), // Rule ID 10954 //
     /*  693690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693758 */     GIR_RootConstrainSelectedInstOperands,
     /*  693759 */     // GIR_Coverage, 10954,
     /*  693759 */     GIR_EraseRootFromParent_Done,
     /*  693760 */   // Label 10974: @693760
     /*  693760 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693835), // Rule ID 10955 //
     /*  693765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693833 */     GIR_RootConstrainSelectedInstOperands,
     /*  693834 */     // GIR_Coverage, 10955,
     /*  693834 */     GIR_EraseRootFromParent_Done,
     /*  693835 */   // Label 10975: @693835
     /*  693835 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693910), // Rule ID 10958 //
     /*  693840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693908 */     GIR_RootConstrainSelectedInstOperands,
     /*  693909 */     // GIR_Coverage, 10958,
     /*  693909 */     GIR_EraseRootFromParent_Done,
     /*  693910 */   // Label 10976: @693910
     /*  693910 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693985), // Rule ID 10959 //
     /*  693915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693983 */     GIR_RootConstrainSelectedInstOperands,
     /*  693984 */     // GIR_Coverage, 10959,
     /*  693984 */     GIR_EraseRootFromParent_Done,
     /*  693985 */   // Label 10977: @693985
     /*  693985 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(694060), // Rule ID 10962 //
     /*  693990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694058 */     GIR_RootConstrainSelectedInstOperands,
     /*  694059 */     // GIR_Coverage, 10962,
     /*  694059 */     GIR_EraseRootFromParent_Done,
     /*  694060 */   // Label 10978: @694060
     /*  694060 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(694135), // Rule ID 10963 //
     /*  694065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694133 */     GIR_RootConstrainSelectedInstOperands,
     /*  694134 */     // GIR_Coverage, 10963,
     /*  694134 */     GIR_EraseRootFromParent_Done,
     /*  694135 */   // Label 10979: @694135
     /*  694135 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(694210), // Rule ID 10966 //
     /*  694140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694208 */     GIR_RootConstrainSelectedInstOperands,
     /*  694209 */     // GIR_Coverage, 10966,
     /*  694209 */     GIR_EraseRootFromParent_Done,
     /*  694210 */   // Label 10980: @694210
     /*  694210 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(694285), // Rule ID 10967 //
     /*  694215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694283 */     GIR_RootConstrainSelectedInstOperands,
     /*  694284 */     // GIR_Coverage, 10967,
     /*  694284 */     GIR_EraseRootFromParent_Done,
     /*  694285 */   // Label 10981: @694285
     /*  694285 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(694360), // Rule ID 10970 //
     /*  694290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  694301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  694304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  694307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694358 */     GIR_RootConstrainSelectedInstOperands,
     /*  694359 */     // GIR_Coverage, 10970,
     /*  694359 */     GIR_EraseRootFromParent_Done,
     /*  694360 */   // Label 10982: @694360
     /*  694360 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694435), // Rule ID 10971 //
     /*  694365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  694376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  694379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  694382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694433 */     GIR_RootConstrainSelectedInstOperands,
     /*  694434 */     // GIR_Coverage, 10971,
     /*  694434 */     GIR_EraseRootFromParent_Done,
     /*  694435 */   // Label 10983: @694435
     /*  694435 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694510), // Rule ID 10974 //
     /*  694440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694508 */     GIR_RootConstrainSelectedInstOperands,
     /*  694509 */     // GIR_Coverage, 10974,
     /*  694509 */     GIR_EraseRootFromParent_Done,
     /*  694510 */   // Label 10984: @694510
     /*  694510 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(694585), // Rule ID 10975 //
     /*  694515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694583 */     GIR_RootConstrainSelectedInstOperands,
     /*  694584 */     // GIR_Coverage, 10975,
     /*  694584 */     GIR_EraseRootFromParent_Done,
     /*  694585 */   // Label 10985: @694585
     /*  694585 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694660), // Rule ID 10978 //
     /*  694590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694658 */     GIR_RootConstrainSelectedInstOperands,
     /*  694659 */     // GIR_Coverage, 10978,
     /*  694659 */     GIR_EraseRootFromParent_Done,
     /*  694660 */   // Label 10986: @694660
     /*  694660 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(694735), // Rule ID 10979 //
     /*  694665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694733 */     GIR_RootConstrainSelectedInstOperands,
     /*  694734 */     // GIR_Coverage, 10979,
     /*  694734 */     GIR_EraseRootFromParent_Done,
     /*  694735 */   // Label 10987: @694735
     /*  694735 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694810), // Rule ID 10982 //
     /*  694740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694808 */     GIR_RootConstrainSelectedInstOperands,
     /*  694809 */     // GIR_Coverage, 10982,
     /*  694809 */     GIR_EraseRootFromParent_Done,
     /*  694810 */   // Label 10988: @694810
     /*  694810 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694885), // Rule ID 10983 //
     /*  694815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694883 */     GIR_RootConstrainSelectedInstOperands,
     /*  694884 */     // GIR_Coverage, 10983,
     /*  694884 */     GIR_EraseRootFromParent_Done,
     /*  694885 */   // Label 10989: @694885
     /*  694885 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694960), // Rule ID 10986 //
     /*  694890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694958 */     GIR_RootConstrainSelectedInstOperands,
     /*  694959 */     // GIR_Coverage, 10986,
     /*  694959 */     GIR_EraseRootFromParent_Done,
     /*  694960 */   // Label 10990: @694960
     /*  694960 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(695035), // Rule ID 10987 //
     /*  694965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695033 */     GIR_RootConstrainSelectedInstOperands,
     /*  695034 */     // GIR_Coverage, 10987,
     /*  695034 */     GIR_EraseRootFromParent_Done,
     /*  695035 */   // Label 10991: @695035
     /*  695035 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(695110), // Rule ID 10990 //
     /*  695040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695086 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695108 */     GIR_RootConstrainSelectedInstOperands,
     /*  695109 */     // GIR_Coverage, 10990,
     /*  695109 */     GIR_EraseRootFromParent_Done,
     /*  695110 */   // Label 10992: @695110
     /*  695110 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(695185), // Rule ID 10991 //
     /*  695115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695183 */     GIR_RootConstrainSelectedInstOperands,
     /*  695184 */     // GIR_Coverage, 10991,
     /*  695184 */     GIR_EraseRootFromParent_Done,
     /*  695185 */   // Label 10993: @695185
     /*  695185 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(695260), // Rule ID 10994 //
     /*  695190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695258 */     GIR_RootConstrainSelectedInstOperands,
     /*  695259 */     // GIR_Coverage, 10994,
     /*  695259 */     GIR_EraseRootFromParent_Done,
     /*  695260 */   // Label 10994: @695260
     /*  695260 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(695335), // Rule ID 10995 //
     /*  695265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695333 */     GIR_RootConstrainSelectedInstOperands,
     /*  695334 */     // GIR_Coverage, 10995,
     /*  695334 */     GIR_EraseRootFromParent_Done,
     /*  695335 */   // Label 10995: @695335
     /*  695335 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695410), // Rule ID 10998 //
     /*  695340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  695351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  695354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  695357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695408 */     GIR_RootConstrainSelectedInstOperands,
     /*  695409 */     // GIR_Coverage, 10998,
     /*  695409 */     GIR_EraseRootFromParent_Done,
     /*  695410 */   // Label 10996: @695410
     /*  695410 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695485), // Rule ID 10999 //
     /*  695415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  695426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  695429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  695432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695483 */     GIR_RootConstrainSelectedInstOperands,
     /*  695484 */     // GIR_Coverage, 10999,
     /*  695484 */     GIR_EraseRootFromParent_Done,
     /*  695485 */   // Label 10997: @695485
     /*  695485 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(695560), // Rule ID 11002 //
     /*  695490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695558 */     GIR_RootConstrainSelectedInstOperands,
     /*  695559 */     // GIR_Coverage, 11002,
     /*  695559 */     GIR_EraseRootFromParent_Done,
     /*  695560 */   // Label 10998: @695560
     /*  695560 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(695635), // Rule ID 11003 //
     /*  695565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695633 */     GIR_RootConstrainSelectedInstOperands,
     /*  695634 */     // GIR_Coverage, 11003,
     /*  695634 */     GIR_EraseRootFromParent_Done,
     /*  695635 */   // Label 10999: @695635
     /*  695635 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(695710), // Rule ID 11006 //
     /*  695640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695708 */     GIR_RootConstrainSelectedInstOperands,
     /*  695709 */     // GIR_Coverage, 11006,
     /*  695709 */     GIR_EraseRootFromParent_Done,
     /*  695710 */   // Label 11000: @695710
     /*  695710 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(695785), // Rule ID 11007 //
     /*  695715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695783 */     GIR_RootConstrainSelectedInstOperands,
     /*  695784 */     // GIR_Coverage, 11007,
     /*  695784 */     GIR_EraseRootFromParent_Done,
     /*  695785 */   // Label 11001: @695785
     /*  695785 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695860), // Rule ID 11010 //
     /*  695790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695858 */     GIR_RootConstrainSelectedInstOperands,
     /*  695859 */     // GIR_Coverage, 11010,
     /*  695859 */     GIR_EraseRootFromParent_Done,
     /*  695860 */   // Label 11002: @695860
     /*  695860 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695935), // Rule ID 11011 //
     /*  695865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695933 */     GIR_RootConstrainSelectedInstOperands,
     /*  695934 */     // GIR_Coverage, 11011,
     /*  695934 */     GIR_EraseRootFromParent_Done,
     /*  695935 */   // Label 11003: @695935
     /*  695935 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(696010), // Rule ID 11014 //
     /*  695940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  695951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  695954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  695957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696008 */     GIR_RootConstrainSelectedInstOperands,
     /*  696009 */     // GIR_Coverage, 11014,
     /*  696009 */     GIR_EraseRootFromParent_Done,
     /*  696010 */   // Label 11004: @696010
     /*  696010 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(696085), // Rule ID 11015 //
     /*  696015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  696064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696083 */     GIR_RootConstrainSelectedInstOperands,
     /*  696084 */     // GIR_Coverage, 11015,
     /*  696084 */     GIR_EraseRootFromParent_Done,
     /*  696085 */   // Label 11005: @696085
     /*  696085 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(696160), // Rule ID 11018 //
     /*  696090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  696101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  696104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  696107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  696110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  696139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696158 */     GIR_RootConstrainSelectedInstOperands,
     /*  696159 */     // GIR_Coverage, 11018,
     /*  696159 */     GIR_EraseRootFromParent_Done,
     /*  696160 */   // Label 11006: @696160
     /*  696160 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(696235), // Rule ID 11019 //
     /*  696165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  696176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  696179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  696182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  696185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  696214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696233 */     GIR_RootConstrainSelectedInstOperands,
     /*  696234 */     // GIR_Coverage, 11019,
     /*  696234 */     GIR_EraseRootFromParent_Done,
     /*  696235 */   // Label 11007: @696235
     /*  696235 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(696310), // Rule ID 11022 //
     /*  696240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  696251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  696254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  696257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  696260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696308 */     GIR_RootConstrainSelectedInstOperands,
     /*  696309 */     // GIR_Coverage, 11022,
     /*  696309 */     GIR_EraseRootFromParent_Done,
     /*  696310 */   // Label 11008: @696310
     /*  696310 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696385), // Rule ID 11023 //
     /*  696315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  696326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  696329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  696332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  696335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696383 */     GIR_RootConstrainSelectedInstOperands,
     /*  696384 */     // GIR_Coverage, 11023,
     /*  696384 */     GIR_EraseRootFromParent_Done,
     /*  696385 */   // Label 11009: @696385
     /*  696385 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696460), // Rule ID 11026 //
     /*  696390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  696401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  696404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  696407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  696410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696458 */     GIR_RootConstrainSelectedInstOperands,
     /*  696459 */     // GIR_Coverage, 11026,
     /*  696459 */     GIR_EraseRootFromParent_Done,
     /*  696460 */   // Label 11010: @696460
     /*  696460 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(696535), // Rule ID 11027 //
     /*  696465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  696476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  696479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  696482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  696485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696533 */     GIR_RootConstrainSelectedInstOperands,
     /*  696534 */     // GIR_Coverage, 11027,
     /*  696534 */     GIR_EraseRootFromParent_Done,
     /*  696535 */   // Label 11011: @696535
     /*  696535 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(696610), // Rule ID 11030 //
     /*  696540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696608 */     GIR_RootConstrainSelectedInstOperands,
     /*  696609 */     // GIR_Coverage, 11030,
     /*  696609 */     GIR_EraseRootFromParent_Done,
     /*  696610 */   // Label 11012: @696610
     /*  696610 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696685), // Rule ID 11031 //
     /*  696615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696683 */     GIR_RootConstrainSelectedInstOperands,
     /*  696684 */     // GIR_Coverage, 11031,
     /*  696684 */     GIR_EraseRootFromParent_Done,
     /*  696685 */   // Label 11013: @696685
     /*  696685 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(696760), // Rule ID 11034 //
     /*  696690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696758 */     GIR_RootConstrainSelectedInstOperands,
     /*  696759 */     // GIR_Coverage, 11034,
     /*  696759 */     GIR_EraseRootFromParent_Done,
     /*  696760 */   // Label 11014: @696760
     /*  696760 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696835), // Rule ID 11035 //
     /*  696765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696833 */     GIR_RootConstrainSelectedInstOperands,
     /*  696834 */     // GIR_Coverage, 11035,
     /*  696834 */     GIR_EraseRootFromParent_Done,
     /*  696835 */   // Label 11015: @696835
     /*  696835 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696910), // Rule ID 11038 //
     /*  696840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696908 */     GIR_RootConstrainSelectedInstOperands,
     /*  696909 */     // GIR_Coverage, 11038,
     /*  696909 */     GIR_EraseRootFromParent_Done,
     /*  696910 */   // Label 11016: @696910
     /*  696910 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696985), // Rule ID 11039 //
     /*  696915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696983 */     GIR_RootConstrainSelectedInstOperands,
     /*  696984 */     // GIR_Coverage, 11039,
     /*  696984 */     GIR_EraseRootFromParent_Done,
     /*  696985 */   // Label 11017: @696985
     /*  696985 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(697060), // Rule ID 11042 //
     /*  696990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  697001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  697004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  697007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  697010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697058 */     GIR_RootConstrainSelectedInstOperands,
     /*  697059 */     // GIR_Coverage, 11042,
     /*  697059 */     GIR_EraseRootFromParent_Done,
     /*  697060 */   // Label 11018: @697060
     /*  697060 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(697135), // Rule ID 11043 //
     /*  697065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  697076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  697079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  697082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  697085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697133 */     GIR_RootConstrainSelectedInstOperands,
     /*  697134 */     // GIR_Coverage, 11043,
     /*  697134 */     GIR_EraseRootFromParent_Done,
     /*  697135 */   // Label 11019: @697135
     /*  697135 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(697210), // Rule ID 11046 //
     /*  697140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  697160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697208 */     GIR_RootConstrainSelectedInstOperands,
     /*  697209 */     // GIR_Coverage, 11046,
     /*  697209 */     GIR_EraseRootFromParent_Done,
     /*  697210 */   // Label 11020: @697210
     /*  697210 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(697285), // Rule ID 11047 //
     /*  697215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  697235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697283 */     GIR_RootConstrainSelectedInstOperands,
     /*  697284 */     // GIR_Coverage, 11047,
     /*  697284 */     GIR_EraseRootFromParent_Done,
     /*  697285 */   // Label 11021: @697285
     /*  697285 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(697360), // Rule ID 11050 //
     /*  697290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  697301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  697304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  697307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  697310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697358 */     GIR_RootConstrainSelectedInstOperands,
     /*  697359 */     // GIR_Coverage, 11050,
     /*  697359 */     GIR_EraseRootFromParent_Done,
     /*  697360 */   // Label 11022: @697360
     /*  697360 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697435), // Rule ID 11051 //
     /*  697365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  697376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  697379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  697382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  697385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697433 */     GIR_RootConstrainSelectedInstOperands,
     /*  697434 */     // GIR_Coverage, 11051,
     /*  697434 */     GIR_EraseRootFromParent_Done,
     /*  697435 */   // Label 11023: @697435
     /*  697435 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697510), // Rule ID 11054 //
     /*  697440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697508 */     GIR_RootConstrainSelectedInstOperands,
     /*  697509 */     // GIR_Coverage, 11054,
     /*  697509 */     GIR_EraseRootFromParent_Done,
     /*  697510 */   // Label 11024: @697510
     /*  697510 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(697585), // Rule ID 11055 //
     /*  697515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697561 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697583 */     GIR_RootConstrainSelectedInstOperands,
     /*  697584 */     // GIR_Coverage, 11055,
     /*  697584 */     GIR_EraseRootFromParent_Done,
     /*  697585 */   // Label 11025: @697585
     /*  697585 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697660), // Rule ID 11058 //
     /*  697590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697658 */     GIR_RootConstrainSelectedInstOperands,
     /*  697659 */     // GIR_Coverage, 11058,
     /*  697659 */     GIR_EraseRootFromParent_Done,
     /*  697660 */   // Label 11026: @697660
     /*  697660 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(697735), // Rule ID 11059 //
     /*  697665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697711 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697733 */     GIR_RootConstrainSelectedInstOperands,
     /*  697734 */     // GIR_Coverage, 11059,
     /*  697734 */     GIR_EraseRootFromParent_Done,
     /*  697735 */   // Label 11027: @697735
     /*  697735 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697810), // Rule ID 11062 //
     /*  697740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697786 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697808 */     GIR_RootConstrainSelectedInstOperands,
     /*  697809 */     // GIR_Coverage, 11062,
     /*  697809 */     GIR_EraseRootFromParent_Done,
     /*  697810 */   // Label 11028: @697810
     /*  697810 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697885), // Rule ID 11063 //
     /*  697815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697861 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697883 */     GIR_RootConstrainSelectedInstOperands,
     /*  697884 */     // GIR_Coverage, 11063,
     /*  697884 */     GIR_EraseRootFromParent_Done,
     /*  697885 */   // Label 11029: @697885
     /*  697885 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697960), // Rule ID 11066 //
     /*  697890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697958 */     GIR_RootConstrainSelectedInstOperands,
     /*  697959 */     // GIR_Coverage, 11066,
     /*  697959 */     GIR_EraseRootFromParent_Done,
     /*  697960 */   // Label 11030: @697960
     /*  697960 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(698035), // Rule ID 11067 //
     /*  697965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698033 */     GIR_RootConstrainSelectedInstOperands,
     /*  698034 */     // GIR_Coverage, 11067,
     /*  698034 */     GIR_EraseRootFromParent_Done,
     /*  698035 */   // Label 11031: @698035
     /*  698035 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(698110), // Rule ID 11070 //
     /*  698040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  698051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  698054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  698057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  698060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698108 */     GIR_RootConstrainSelectedInstOperands,
     /*  698109 */     // GIR_Coverage, 11070,
     /*  698109 */     GIR_EraseRootFromParent_Done,
     /*  698110 */   // Label 11032: @698110
     /*  698110 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(698185), // Rule ID 11071 //
     /*  698115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  698126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  698129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  698132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  698135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698161 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698183 */     GIR_RootConstrainSelectedInstOperands,
     /*  698184 */     // GIR_Coverage, 11071,
     /*  698184 */     GIR_EraseRootFromParent_Done,
     /*  698185 */   // Label 11033: @698185
     /*  698185 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(698260), // Rule ID 11074 //
     /*  698190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  698210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698236 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698258 */     GIR_RootConstrainSelectedInstOperands,
     /*  698259 */     // GIR_Coverage, 11074,
     /*  698259 */     GIR_EraseRootFromParent_Done,
     /*  698260 */   // Label 11034: @698260
     /*  698260 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(698335), // Rule ID 11075 //
     /*  698265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  698285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698333 */     GIR_RootConstrainSelectedInstOperands,
     /*  698334 */     // GIR_Coverage, 11075,
     /*  698334 */     GIR_EraseRootFromParent_Done,
     /*  698335 */   // Label 11035: @698335
     /*  698335 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698410), // Rule ID 11078 //
     /*  698340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  698351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  698354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  698357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  698360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698408 */     GIR_RootConstrainSelectedInstOperands,
     /*  698409 */     // GIR_Coverage, 11078,
     /*  698409 */     GIR_EraseRootFromParent_Done,
     /*  698410 */   // Label 11036: @698410
     /*  698410 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698485), // Rule ID 11079 //
     /*  698415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  698426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  698429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  698432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  698435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698483 */     GIR_RootConstrainSelectedInstOperands,
     /*  698484 */     // GIR_Coverage, 11079,
     /*  698484 */     GIR_EraseRootFromParent_Done,
     /*  698485 */   // Label 11037: @698485
     /*  698485 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(698560), // Rule ID 11082 //
     /*  698490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698558 */     GIR_RootConstrainSelectedInstOperands,
     /*  698559 */     // GIR_Coverage, 11082,
     /*  698559 */     GIR_EraseRootFromParent_Done,
     /*  698560 */   // Label 11038: @698560
     /*  698560 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(698635), // Rule ID 11083 //
     /*  698565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698633 */     GIR_RootConstrainSelectedInstOperands,
     /*  698634 */     // GIR_Coverage, 11083,
     /*  698634 */     GIR_EraseRootFromParent_Done,
     /*  698635 */   // Label 11039: @698635
     /*  698635 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(698710), // Rule ID 11086 //
     /*  698640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698708 */     GIR_RootConstrainSelectedInstOperands,
     /*  698709 */     // GIR_Coverage, 11086,
     /*  698709 */     GIR_EraseRootFromParent_Done,
     /*  698710 */   // Label 11040: @698710
     /*  698710 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(698785), // Rule ID 11087 //
     /*  698715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698761 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698783 */     GIR_RootConstrainSelectedInstOperands,
     /*  698784 */     // GIR_Coverage, 11087,
     /*  698784 */     GIR_EraseRootFromParent_Done,
     /*  698785 */   // Label 11041: @698785
     /*  698785 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698860), // Rule ID 11090 //
     /*  698790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698858 */     GIR_RootConstrainSelectedInstOperands,
     /*  698859 */     // GIR_Coverage, 11090,
     /*  698859 */     GIR_EraseRootFromParent_Done,
     /*  698860 */   // Label 11042: @698860
     /*  698860 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698935), // Rule ID 11091 //
     /*  698865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698933 */     GIR_RootConstrainSelectedInstOperands,
     /*  698934 */     // GIR_Coverage, 11091,
     /*  698934 */     GIR_EraseRootFromParent_Done,
     /*  698935 */   // Label 11043: @698935
     /*  698935 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(699010), // Rule ID 11094 //
     /*  698940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699008 */     GIR_RootConstrainSelectedInstOperands,
     /*  699009 */     // GIR_Coverage, 11094,
     /*  699009 */     GIR_EraseRootFromParent_Done,
     /*  699010 */   // Label 11044: @699010
     /*  699010 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(699085), // Rule ID 11095 //
     /*  699015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  699026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  699029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  699032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699083 */     GIR_RootConstrainSelectedInstOperands,
     /*  699084 */     // GIR_Coverage, 11095,
     /*  699084 */     GIR_EraseRootFromParent_Done,
     /*  699085 */   // Label 11045: @699085
     /*  699085 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(699160), // Rule ID 11098 //
     /*  699090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  699101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  699104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  699107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699158 */     GIR_RootConstrainSelectedInstOperands,
     /*  699159 */     // GIR_Coverage, 11098,
     /*  699159 */     GIR_EraseRootFromParent_Done,
     /*  699160 */   // Label 11046: @699160
     /*  699160 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(699235), // Rule ID 11099 //
     /*  699165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  699176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  699179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  699182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699233 */     GIR_RootConstrainSelectedInstOperands,
     /*  699234 */     // GIR_Coverage, 11099,
     /*  699234 */     GIR_EraseRootFromParent_Done,
     /*  699235 */   // Label 11047: @699235
     /*  699235 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(699310), // Rule ID 11102 //
     /*  699240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699308 */     GIR_RootConstrainSelectedInstOperands,
     /*  699309 */     // GIR_Coverage, 11102,
     /*  699309 */     GIR_EraseRootFromParent_Done,
     /*  699310 */   // Label 11048: @699310
     /*  699310 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699385), // Rule ID 11103 //
     /*  699315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699383 */     GIR_RootConstrainSelectedInstOperands,
     /*  699384 */     // GIR_Coverage, 11103,
     /*  699384 */     GIR_EraseRootFromParent_Done,
     /*  699385 */   // Label 11049: @699385
     /*  699385 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699460), // Rule ID 11106 //
     /*  699390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699458 */     GIR_RootConstrainSelectedInstOperands,
     /*  699459 */     // GIR_Coverage, 11106,
     /*  699459 */     GIR_EraseRootFromParent_Done,
     /*  699460 */   // Label 11050: @699460
     /*  699460 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(699535), // Rule ID 11107 //
     /*  699465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699533 */     GIR_RootConstrainSelectedInstOperands,
     /*  699534 */     // GIR_Coverage, 11107,
     /*  699534 */     GIR_EraseRootFromParent_Done,
     /*  699535 */   // Label 11051: @699535
     /*  699535 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(699610), // Rule ID 11110 //
     /*  699540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699608 */     GIR_RootConstrainSelectedInstOperands,
     /*  699609 */     // GIR_Coverage, 11110,
     /*  699609 */     GIR_EraseRootFromParent_Done,
     /*  699610 */   // Label 11052: @699610
     /*  699610 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699685), // Rule ID 11111 //
     /*  699615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699683 */     GIR_RootConstrainSelectedInstOperands,
     /*  699684 */     // GIR_Coverage, 11111,
     /*  699684 */     GIR_EraseRootFromParent_Done,
     /*  699685 */   // Label 11053: @699685
     /*  699685 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(699760), // Rule ID 11114 //
     /*  699690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699758 */     GIR_RootConstrainSelectedInstOperands,
     /*  699759 */     // GIR_Coverage, 11114,
     /*  699759 */     GIR_EraseRootFromParent_Done,
     /*  699760 */   // Label 11054: @699760
     /*  699760 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699835), // Rule ID 11115 //
     /*  699765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699833 */     GIR_RootConstrainSelectedInstOperands,
     /*  699834 */     // GIR_Coverage, 11115,
     /*  699834 */     GIR_EraseRootFromParent_Done,
     /*  699835 */   // Label 11055: @699835
     /*  699835 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699910), // Rule ID 11118 //
     /*  699840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699908 */     GIR_RootConstrainSelectedInstOperands,
     /*  699909 */     // GIR_Coverage, 11118,
     /*  699909 */     GIR_EraseRootFromParent_Done,
     /*  699910 */   // Label 11056: @699910
     /*  699910 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699985), // Rule ID 11119 //
     /*  699915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699983 */     GIR_RootConstrainSelectedInstOperands,
     /*  699984 */     // GIR_Coverage, 11119,
     /*  699984 */     GIR_EraseRootFromParent_Done,
     /*  699985 */   // Label 11057: @699985
     /*  699985 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(700060), // Rule ID 11122 //
     /*  699990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  700001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  700004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  700007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700058 */     GIR_RootConstrainSelectedInstOperands,
     /*  700059 */     // GIR_Coverage, 11122,
     /*  700059 */     GIR_EraseRootFromParent_Done,
     /*  700060 */   // Label 11058: @700060
     /*  700060 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(700135), // Rule ID 11123 //
     /*  700065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  700076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  700079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  700082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700133 */     GIR_RootConstrainSelectedInstOperands,
     /*  700134 */     // GIR_Coverage, 11123,
     /*  700134 */     GIR_EraseRootFromParent_Done,
     /*  700135 */   // Label 11059: @700135
     /*  700135 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(700210), // Rule ID 11126 //
     /*  700140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  700151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  700154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  700157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700186 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700208 */     GIR_RootConstrainSelectedInstOperands,
     /*  700209 */     // GIR_Coverage, 11126,
     /*  700209 */     GIR_EraseRootFromParent_Done,
     /*  700210 */   // Label 11060: @700210
     /*  700210 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(700285), // Rule ID 11127 //
     /*  700215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  700226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  700229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  700232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700261 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700283 */     GIR_RootConstrainSelectedInstOperands,
     /*  700284 */     // GIR_Coverage, 11127,
     /*  700284 */     GIR_EraseRootFromParent_Done,
     /*  700285 */   // Label 11061: @700285
     /*  700285 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(700360), // Rule ID 11130 //
     /*  700290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  700301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  700304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  700307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700358 */     GIR_RootConstrainSelectedInstOperands,
     /*  700359 */     // GIR_Coverage, 11130,
     /*  700359 */     GIR_EraseRootFromParent_Done,
     /*  700360 */   // Label 11062: @700360
     /*  700360 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700435), // Rule ID 11131 //
     /*  700365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  700376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  700379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  700382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700411 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700433 */     GIR_RootConstrainSelectedInstOperands,
     /*  700434 */     // GIR_Coverage, 11131,
     /*  700434 */     GIR_EraseRootFromParent_Done,
     /*  700435 */   // Label 11063: @700435
     /*  700435 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700510), // Rule ID 11134 //
     /*  700440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700508 */     GIR_RootConstrainSelectedInstOperands,
     /*  700509 */     // GIR_Coverage, 11134,
     /*  700509 */     GIR_EraseRootFromParent_Done,
     /*  700510 */   // Label 11064: @700510
     /*  700510 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(700585), // Rule ID 11135 //
     /*  700515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700561 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700583 */     GIR_RootConstrainSelectedInstOperands,
     /*  700584 */     // GIR_Coverage, 11135,
     /*  700584 */     GIR_EraseRootFromParent_Done,
     /*  700585 */   // Label 11065: @700585
     /*  700585 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700660), // Rule ID 11138 //
     /*  700590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700636 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700658 */     GIR_RootConstrainSelectedInstOperands,
     /*  700659 */     // GIR_Coverage, 11138,
     /*  700659 */     GIR_EraseRootFromParent_Done,
     /*  700660 */   // Label 11066: @700660
     /*  700660 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(700735), // Rule ID 11139 //
     /*  700665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700733 */     GIR_RootConstrainSelectedInstOperands,
     /*  700734 */     // GIR_Coverage, 11139,
     /*  700734 */     GIR_EraseRootFromParent_Done,
     /*  700735 */   // Label 11067: @700735
     /*  700735 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700810), // Rule ID 11142 //
     /*  700740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700808 */     GIR_RootConstrainSelectedInstOperands,
     /*  700809 */     // GIR_Coverage, 11142,
     /*  700809 */     GIR_EraseRootFromParent_Done,
     /*  700810 */   // Label 11068: @700810
     /*  700810 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700885), // Rule ID 11143 //
     /*  700815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700861 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700883 */     GIR_RootConstrainSelectedInstOperands,
     /*  700884 */     // GIR_Coverage, 11143,
     /*  700884 */     GIR_EraseRootFromParent_Done,
     /*  700885 */   // Label 11069: @700885
     /*  700885 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700960), // Rule ID 11146 //
     /*  700890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700958 */     GIR_RootConstrainSelectedInstOperands,
     /*  700959 */     // GIR_Coverage, 11146,
     /*  700959 */     GIR_EraseRootFromParent_Done,
     /*  700960 */   // Label 11070: @700960
     /*  700960 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(701035), // Rule ID 11147 //
     /*  700965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701011 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701033 */     GIR_RootConstrainSelectedInstOperands,
     /*  701034 */     // GIR_Coverage, 11147,
     /*  701034 */     GIR_EraseRootFromParent_Done,
     /*  701035 */   // Label 11071: @701035
     /*  701035 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(701110), // Rule ID 11150 //
     /*  701040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  701051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  701054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  701057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701108 */     GIR_RootConstrainSelectedInstOperands,
     /*  701109 */     // GIR_Coverage, 11150,
     /*  701109 */     GIR_EraseRootFromParent_Done,
     /*  701110 */   // Label 11072: @701110
     /*  701110 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(701185), // Rule ID 11151 //
     /*  701115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  701126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  701129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  701132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701183 */     GIR_RootConstrainSelectedInstOperands,
     /*  701184 */     // GIR_Coverage, 11151,
     /*  701184 */     GIR_EraseRootFromParent_Done,
     /*  701185 */   // Label 11073: @701185
     /*  701185 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(701260), // Rule ID 11154 //
     /*  701190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  701201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  701204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  701207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701258 */     GIR_RootConstrainSelectedInstOperands,
     /*  701259 */     // GIR_Coverage, 11154,
     /*  701259 */     GIR_EraseRootFromParent_Done,
     /*  701260 */   // Label 11074: @701260
     /*  701260 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(701335), // Rule ID 11155 //
     /*  701265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  701276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  701279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  701282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701333 */     GIR_RootConstrainSelectedInstOperands,
     /*  701334 */     // GIR_Coverage, 11155,
     /*  701334 */     GIR_EraseRootFromParent_Done,
     /*  701335 */   // Label 11075: @701335
     /*  701335 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701410), // Rule ID 11158 //
     /*  701340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  701351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  701354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  701357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701408 */     GIR_RootConstrainSelectedInstOperands,
     /*  701409 */     // GIR_Coverage, 11158,
     /*  701409 */     GIR_EraseRootFromParent_Done,
     /*  701410 */   // Label 11076: @701410
     /*  701410 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701485), // Rule ID 11159 //
     /*  701415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  701426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  701429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  701432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701461 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701483 */     GIR_RootConstrainSelectedInstOperands,
     /*  701484 */     // GIR_Coverage, 11159,
     /*  701484 */     GIR_EraseRootFromParent_Done,
     /*  701485 */   // Label 11077: @701485
     /*  701485 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(701560), // Rule ID 11162 //
     /*  701490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701558 */     GIR_RootConstrainSelectedInstOperands,
     /*  701559 */     // GIR_Coverage, 11162,
     /*  701559 */     GIR_EraseRootFromParent_Done,
     /*  701560 */   // Label 11078: @701560
     /*  701560 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(701635), // Rule ID 11163 //
     /*  701565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701633 */     GIR_RootConstrainSelectedInstOperands,
     /*  701634 */     // GIR_Coverage, 11163,
     /*  701634 */     GIR_EraseRootFromParent_Done,
     /*  701635 */   // Label 11079: @701635
     /*  701635 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(701710), // Rule ID 11166 //
     /*  701640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701708 */     GIR_RootConstrainSelectedInstOperands,
     /*  701709 */     // GIR_Coverage, 11166,
     /*  701709 */     GIR_EraseRootFromParent_Done,
     /*  701710 */   // Label 11080: @701710
     /*  701710 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(701785), // Rule ID 11167 //
     /*  701715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701783 */     GIR_RootConstrainSelectedInstOperands,
     /*  701784 */     // GIR_Coverage, 11167,
     /*  701784 */     GIR_EraseRootFromParent_Done,
     /*  701785 */   // Label 11081: @701785
     /*  701785 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701860), // Rule ID 11170 //
     /*  701790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701858 */     GIR_RootConstrainSelectedInstOperands,
     /*  701859 */     // GIR_Coverage, 11170,
     /*  701859 */     GIR_EraseRootFromParent_Done,
     /*  701860 */   // Label 11082: @701860
     /*  701860 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701935), // Rule ID 11171 //
     /*  701865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701933 */     GIR_RootConstrainSelectedInstOperands,
     /*  701934 */     // GIR_Coverage, 11171,
     /*  701934 */     GIR_EraseRootFromParent_Done,
     /*  701935 */   // Label 11083: @701935
     /*  701935 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(702010), // Rule ID 11174 //
     /*  701940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702008 */     GIR_RootConstrainSelectedInstOperands,
     /*  702009 */     // GIR_Coverage, 11174,
     /*  702009 */     GIR_EraseRootFromParent_Done,
     /*  702010 */   // Label 11084: @702010
     /*  702010 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(702085), // Rule ID 11175 //
     /*  702015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  702026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  702029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  702032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  702035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  702064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702083 */     GIR_RootConstrainSelectedInstOperands,
     /*  702084 */     // GIR_Coverage, 11175,
     /*  702084 */     GIR_EraseRootFromParent_Done,
     /*  702085 */   // Label 11085: @702085
     /*  702085 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(702160), // Rule ID 11178 //
     /*  702090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  702101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  702104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  702107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  702110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702158 */     GIR_RootConstrainSelectedInstOperands,
     /*  702159 */     // GIR_Coverage, 11178,
     /*  702159 */     GIR_EraseRootFromParent_Done,
     /*  702160 */   // Label 11086: @702160
     /*  702160 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(702235), // Rule ID 11179 //
     /*  702165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  702176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  702179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  702182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  702185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702233 */     GIR_RootConstrainSelectedInstOperands,
     /*  702234 */     // GIR_Coverage, 11179,
     /*  702234 */     GIR_EraseRootFromParent_Done,
     /*  702235 */   // Label 11087: @702235
     /*  702235 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(702310), // Rule ID 11182 //
     /*  702240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  702251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  702254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  702257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  702260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702308 */     GIR_RootConstrainSelectedInstOperands,
     /*  702309 */     // GIR_Coverage, 11182,
     /*  702309 */     GIR_EraseRootFromParent_Done,
     /*  702310 */   // Label 11088: @702310
     /*  702310 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702385), // Rule ID 11183 //
     /*  702315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  702326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  702329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  702332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  702335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702383 */     GIR_RootConstrainSelectedInstOperands,
     /*  702384 */     // GIR_Coverage, 11183,
     /*  702384 */     GIR_EraseRootFromParent_Done,
     /*  702385 */   // Label 11089: @702385
     /*  702385 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702460), // Rule ID 11186 //
     /*  702390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  702401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  702404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  702407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  702410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702458 */     GIR_RootConstrainSelectedInstOperands,
     /*  702459 */     // GIR_Coverage, 11186,
     /*  702459 */     GIR_EraseRootFromParent_Done,
     /*  702460 */   // Label 11090: @702460
     /*  702460 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(702535), // Rule ID 11187 //
     /*  702465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  702476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  702479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  702482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  702485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702533 */     GIR_RootConstrainSelectedInstOperands,
     /*  702534 */     // GIR_Coverage, 11187,
     /*  702534 */     GIR_EraseRootFromParent_Done,
     /*  702535 */   // Label 11091: @702535
     /*  702535 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(702610), // Rule ID 11190 //
     /*  702540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702608 */     GIR_RootConstrainSelectedInstOperands,
     /*  702609 */     // GIR_Coverage, 11190,
     /*  702609 */     GIR_EraseRootFromParent_Done,
     /*  702610 */   // Label 11092: @702610
     /*  702610 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702685), // Rule ID 11191 //
     /*  702615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702683 */     GIR_RootConstrainSelectedInstOperands,
     /*  702684 */     // GIR_Coverage, 11191,
     /*  702684 */     GIR_EraseRootFromParent_Done,
     /*  702685 */   // Label 11093: @702685
     /*  702685 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(702760), // Rule ID 11194 //
     /*  702690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702758 */     GIR_RootConstrainSelectedInstOperands,
     /*  702759 */     // GIR_Coverage, 11194,
     /*  702759 */     GIR_EraseRootFromParent_Done,
     /*  702760 */   // Label 11094: @702760
     /*  702760 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702835), // Rule ID 11195 //
     /*  702765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702833 */     GIR_RootConstrainSelectedInstOperands,
     /*  702834 */     // GIR_Coverage, 11195,
     /*  702834 */     GIR_EraseRootFromParent_Done,
     /*  702835 */   // Label 11095: @702835
     /*  702835 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702910), // Rule ID 11198 //
     /*  702840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702886 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702908 */     GIR_RootConstrainSelectedInstOperands,
     /*  702909 */     // GIR_Coverage, 11198,
     /*  702909 */     GIR_EraseRootFromParent_Done,
     /*  702910 */   // Label 11096: @702910
     /*  702910 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702985), // Rule ID 11199 //
     /*  702915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702961 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702983 */     GIR_RootConstrainSelectedInstOperands,
     /*  702984 */     // GIR_Coverage, 11199,
     /*  702984 */     GIR_EraseRootFromParent_Done,
     /*  702985 */   // Label 11097: @702985
     /*  702985 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(703060), // Rule ID 11202 //
     /*  702990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  703001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  703004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  703007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  703010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703058 */     GIR_RootConstrainSelectedInstOperands,
     /*  703059 */     // GIR_Coverage, 11202,
     /*  703059 */     GIR_EraseRootFromParent_Done,
     /*  703060 */   // Label 11098: @703060
     /*  703060 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(703135), // Rule ID 11203 //
     /*  703065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  703076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  703079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  703082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  703085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703111 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703133 */     GIR_RootConstrainSelectedInstOperands,
     /*  703134 */     // GIR_Coverage, 11203,
     /*  703134 */     GIR_EraseRootFromParent_Done,
     /*  703135 */   // Label 11099: @703135
     /*  703135 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(703210), // Rule ID 11206 //
     /*  703140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  703151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  703154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  703157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  703160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703186 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703208 */     GIR_RootConstrainSelectedInstOperands,
     /*  703209 */     // GIR_Coverage, 11206,
     /*  703209 */     GIR_EraseRootFromParent_Done,
     /*  703210 */   // Label 11100: @703210
     /*  703210 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(703285), // Rule ID 11207 //
     /*  703215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  703226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  703229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  703232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  703235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703283 */     GIR_RootConstrainSelectedInstOperands,
     /*  703284 */     // GIR_Coverage, 11207,
     /*  703284 */     GIR_EraseRootFromParent_Done,
     /*  703285 */   // Label 11101: @703285
     /*  703285 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(703360), // Rule ID 11210 //
     /*  703290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  703301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  703304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  703307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  703310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703358 */     GIR_RootConstrainSelectedInstOperands,
     /*  703359 */     // GIR_Coverage, 11210,
     /*  703359 */     GIR_EraseRootFromParent_Done,
     /*  703360 */   // Label 11102: @703360
     /*  703360 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703435), // Rule ID 11211 //
     /*  703365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  703376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  703379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  703382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  703385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703433 */     GIR_RootConstrainSelectedInstOperands,
     /*  703434 */     // GIR_Coverage, 11211,
     /*  703434 */     GIR_EraseRootFromParent_Done,
     /*  703435 */   // Label 11103: @703435
     /*  703435 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703510), // Rule ID 11214 //
     /*  703440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703508 */     GIR_RootConstrainSelectedInstOperands,
     /*  703509 */     // GIR_Coverage, 11214,
     /*  703509 */     GIR_EraseRootFromParent_Done,
     /*  703510 */   // Label 11104: @703510
     /*  703510 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(703585), // Rule ID 11215 //
     /*  703515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703561 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703583 */     GIR_RootConstrainSelectedInstOperands,
     /*  703584 */     // GIR_Coverage, 11215,
     /*  703584 */     GIR_EraseRootFromParent_Done,
     /*  703585 */   // Label 11105: @703585
     /*  703585 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703660), // Rule ID 11218 //
     /*  703590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703658 */     GIR_RootConstrainSelectedInstOperands,
     /*  703659 */     // GIR_Coverage, 11218,
     /*  703659 */     GIR_EraseRootFromParent_Done,
     /*  703660 */   // Label 11106: @703660
     /*  703660 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(703735), // Rule ID 11219 //
     /*  703665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703733 */     GIR_RootConstrainSelectedInstOperands,
     /*  703734 */     // GIR_Coverage, 11219,
     /*  703734 */     GIR_EraseRootFromParent_Done,
     /*  703735 */   // Label 11107: @703735
     /*  703735 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703810), // Rule ID 11222 //
     /*  703740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703808 */     GIR_RootConstrainSelectedInstOperands,
     /*  703809 */     // GIR_Coverage, 11222,
     /*  703809 */     GIR_EraseRootFromParent_Done,
     /*  703810 */   // Label 11108: @703810
     /*  703810 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703885), // Rule ID 11223 //
     /*  703815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703883 */     GIR_RootConstrainSelectedInstOperands,
     /*  703884 */     // GIR_Coverage, 11223,
     /*  703884 */     GIR_EraseRootFromParent_Done,
     /*  703885 */   // Label 11109: @703885
     /*  703885 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703960), // Rule ID 11226 //
     /*  703890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703958 */     GIR_RootConstrainSelectedInstOperands,
     /*  703959 */     // GIR_Coverage, 11226,
     /*  703959 */     GIR_EraseRootFromParent_Done,
     /*  703960 */   // Label 11110: @703960
     /*  703960 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(704035), // Rule ID 11227 //
     /*  703965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  704014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704033 */     GIR_RootConstrainSelectedInstOperands,
     /*  704034 */     // GIR_Coverage, 11227,
     /*  704034 */     GIR_EraseRootFromParent_Done,
     /*  704035 */   // Label 11111: @704035
     /*  704035 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(704110), // Rule ID 11230 //
     /*  704040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704108 */     GIR_RootConstrainSelectedInstOperands,
     /*  704109 */     // GIR_Coverage, 11230,
     /*  704109 */     GIR_EraseRootFromParent_Done,
     /*  704110 */   // Label 11112: @704110
     /*  704110 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(704185), // Rule ID 11231 //
     /*  704115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704183 */     GIR_RootConstrainSelectedInstOperands,
     /*  704184 */     // GIR_Coverage, 11231,
     /*  704184 */     GIR_EraseRootFromParent_Done,
     /*  704185 */   // Label 11113: @704185
     /*  704185 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(704260), // Rule ID 11234 //
     /*  704190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  704201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  704204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  704207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  704239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704258 */     GIR_RootConstrainSelectedInstOperands,
     /*  704259 */     // GIR_Coverage, 11234,
     /*  704259 */     GIR_EraseRootFromParent_Done,
     /*  704260 */   // Label 11114: @704260
     /*  704260 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(704335), // Rule ID 11235 //
     /*  704265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  704276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  704279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  704282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  704314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704333 */     GIR_RootConstrainSelectedInstOperands,
     /*  704334 */     // GIR_Coverage, 11235,
     /*  704334 */     GIR_EraseRootFromParent_Done,
     /*  704335 */   // Label 11115: @704335
     /*  704335 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704410), // Rule ID 11238 //
     /*  704340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  704351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  704354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  704357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704408 */     GIR_RootConstrainSelectedInstOperands,
     /*  704409 */     // GIR_Coverage, 11238,
     /*  704409 */     GIR_EraseRootFromParent_Done,
     /*  704410 */   // Label 11116: @704410
     /*  704410 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704485), // Rule ID 11239 //
     /*  704415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  704426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  704429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  704432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704461 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704483 */     GIR_RootConstrainSelectedInstOperands,
     /*  704484 */     // GIR_Coverage, 11239,
     /*  704484 */     GIR_EraseRootFromParent_Done,
     /*  704485 */   // Label 11117: @704485
     /*  704485 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(704560), // Rule ID 11242 //
     /*  704490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704558 */     GIR_RootConstrainSelectedInstOperands,
     /*  704559 */     // GIR_Coverage, 11242,
     /*  704559 */     GIR_EraseRootFromParent_Done,
     /*  704560 */   // Label 11118: @704560
     /*  704560 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(704635), // Rule ID 11243 //
     /*  704565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704633 */     GIR_RootConstrainSelectedInstOperands,
     /*  704634 */     // GIR_Coverage, 11243,
     /*  704634 */     GIR_EraseRootFromParent_Done,
     /*  704635 */   // Label 11119: @704635
     /*  704635 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(704710), // Rule ID 11246 //
     /*  704640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704708 */     GIR_RootConstrainSelectedInstOperands,
     /*  704709 */     // GIR_Coverage, 11246,
     /*  704709 */     GIR_EraseRootFromParent_Done,
     /*  704710 */   // Label 11120: @704710
     /*  704710 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(704785), // Rule ID 11247 //
     /*  704715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704783 */     GIR_RootConstrainSelectedInstOperands,
     /*  704784 */     // GIR_Coverage, 11247,
     /*  704784 */     GIR_EraseRootFromParent_Done,
     /*  704785 */   // Label 11121: @704785
     /*  704785 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704860), // Rule ID 11250 //
     /*  704790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704858 */     GIR_RootConstrainSelectedInstOperands,
     /*  704859 */     // GIR_Coverage, 11250,
     /*  704859 */     GIR_EraseRootFromParent_Done,
     /*  704860 */   // Label 11122: @704860
     /*  704860 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704935), // Rule ID 11251 //
     /*  704865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704911 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704933 */     GIR_RootConstrainSelectedInstOperands,
     /*  704934 */     // GIR_Coverage, 11251,
     /*  704934 */     GIR_EraseRootFromParent_Done,
     /*  704935 */   // Label 11123: @704935
     /*  704935 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(705010), // Rule ID 11254 //
     /*  704940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705008 */     GIR_RootConstrainSelectedInstOperands,
     /*  705009 */     // GIR_Coverage, 11254,
     /*  705009 */     GIR_EraseRootFromParent_Done,
     /*  705010 */   // Label 11124: @705010
     /*  705010 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(705085), // Rule ID 11255 //
     /*  705015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  705026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  705029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  705032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705083 */     GIR_RootConstrainSelectedInstOperands,
     /*  705084 */     // GIR_Coverage, 11255,
     /*  705084 */     GIR_EraseRootFromParent_Done,
     /*  705085 */   // Label 11125: @705085
     /*  705085 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(705160), // Rule ID 11258 //
     /*  705090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  705101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  705104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  705107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705158 */     GIR_RootConstrainSelectedInstOperands,
     /*  705159 */     // GIR_Coverage, 11258,
     /*  705159 */     GIR_EraseRootFromParent_Done,
     /*  705160 */   // Label 11126: @705160
     /*  705160 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(705235), // Rule ID 11259 //
     /*  705165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  705176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  705179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  705182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705233 */     GIR_RootConstrainSelectedInstOperands,
     /*  705234 */     // GIR_Coverage, 11259,
     /*  705234 */     GIR_EraseRootFromParent_Done,
     /*  705235 */   // Label 11127: @705235
     /*  705235 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(705310), // Rule ID 11262 //
     /*  705240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705308 */     GIR_RootConstrainSelectedInstOperands,
     /*  705309 */     // GIR_Coverage, 11262,
     /*  705309 */     GIR_EraseRootFromParent_Done,
     /*  705310 */   // Label 11128: @705310
     /*  705310 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705385), // Rule ID 11263 //
     /*  705315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705383 */     GIR_RootConstrainSelectedInstOperands,
     /*  705384 */     // GIR_Coverage, 11263,
     /*  705384 */     GIR_EraseRootFromParent_Done,
     /*  705385 */   // Label 11129: @705385
     /*  705385 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705460), // Rule ID 11266 //
     /*  705390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705458 */     GIR_RootConstrainSelectedInstOperands,
     /*  705459 */     // GIR_Coverage, 11266,
     /*  705459 */     GIR_EraseRootFromParent_Done,
     /*  705460 */   // Label 11130: @705460
     /*  705460 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(705535), // Rule ID 11267 //
     /*  705465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705533 */     GIR_RootConstrainSelectedInstOperands,
     /*  705534 */     // GIR_Coverage, 11267,
     /*  705534 */     GIR_EraseRootFromParent_Done,
     /*  705535 */   // Label 11131: @705535
     /*  705535 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(705610), // Rule ID 11270 //
     /*  705540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705586 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705608 */     GIR_RootConstrainSelectedInstOperands,
     /*  705609 */     // GIR_Coverage, 11270,
     /*  705609 */     GIR_EraseRootFromParent_Done,
     /*  705610 */   // Label 11132: @705610
     /*  705610 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705685), // Rule ID 11271 //
     /*  705615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705661 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705683 */     GIR_RootConstrainSelectedInstOperands,
     /*  705684 */     // GIR_Coverage, 11271,
     /*  705684 */     GIR_EraseRootFromParent_Done,
     /*  705685 */   // Label 11133: @705685
     /*  705685 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(705760), // Rule ID 11274 //
     /*  705690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705736 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705758 */     GIR_RootConstrainSelectedInstOperands,
     /*  705759 */     // GIR_Coverage, 11274,
     /*  705759 */     GIR_EraseRootFromParent_Done,
     /*  705760 */   // Label 11134: @705760
     /*  705760 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705835), // Rule ID 11275 //
     /*  705765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705833 */     GIR_RootConstrainSelectedInstOperands,
     /*  705834 */     // GIR_Coverage, 11275,
     /*  705834 */     GIR_EraseRootFromParent_Done,
     /*  705835 */   // Label 11135: @705835
     /*  705835 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705910), // Rule ID 11278 //
     /*  705840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705886 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705908 */     GIR_RootConstrainSelectedInstOperands,
     /*  705909 */     // GIR_Coverage, 11278,
     /*  705909 */     GIR_EraseRootFromParent_Done,
     /*  705910 */   // Label 11136: @705910
     /*  705910 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705985), // Rule ID 11279 //
     /*  705915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705961 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705983 */     GIR_RootConstrainSelectedInstOperands,
     /*  705984 */     // GIR_Coverage, 11279,
     /*  705984 */     GIR_EraseRootFromParent_Done,
     /*  705985 */   // Label 11137: @705985
     /*  705985 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(706060), // Rule ID 11282 //
     /*  705990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706058 */     GIR_RootConstrainSelectedInstOperands,
     /*  706059 */     // GIR_Coverage, 11282,
     /*  706059 */     GIR_EraseRootFromParent_Done,
     /*  706060 */   // Label 11138: @706060
     /*  706060 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(706135), // Rule ID 11283 //
     /*  706065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706133 */     GIR_RootConstrainSelectedInstOperands,
     /*  706134 */     // GIR_Coverage, 11283,
     /*  706134 */     GIR_EraseRootFromParent_Done,
     /*  706135 */   // Label 11139: @706135
     /*  706135 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(706210), // Rule ID 11286 //
     /*  706140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706208 */     GIR_RootConstrainSelectedInstOperands,
     /*  706209 */     // GIR_Coverage, 11286,
     /*  706209 */     GIR_EraseRootFromParent_Done,
     /*  706210 */   // Label 11140: @706210
     /*  706210 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(706285), // Rule ID 11287 //
     /*  706215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706283 */     GIR_RootConstrainSelectedInstOperands,
     /*  706284 */     // GIR_Coverage, 11287,
     /*  706284 */     GIR_EraseRootFromParent_Done,
     /*  706285 */   // Label 11141: @706285
     /*  706285 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(706360), // Rule ID 11290 //
     /*  706290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  706301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  706304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  706307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706358 */     GIR_RootConstrainSelectedInstOperands,
     /*  706359 */     // GIR_Coverage, 11290,
     /*  706359 */     GIR_EraseRootFromParent_Done,
     /*  706360 */   // Label 11142: @706360
     /*  706360 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706435), // Rule ID 11291 //
     /*  706365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  706376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  706379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  706382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706433 */     GIR_RootConstrainSelectedInstOperands,
     /*  706434 */     // GIR_Coverage, 11291,
     /*  706434 */     GIR_EraseRootFromParent_Done,
     /*  706435 */   // Label 11143: @706435
     /*  706435 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706510), // Rule ID 11294 //
     /*  706440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706508 */     GIR_RootConstrainSelectedInstOperands,
     /*  706509 */     // GIR_Coverage, 11294,
     /*  706509 */     GIR_EraseRootFromParent_Done,
     /*  706510 */   // Label 11144: @706510
     /*  706510 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(706585), // Rule ID 11295 //
     /*  706515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706583 */     GIR_RootConstrainSelectedInstOperands,
     /*  706584 */     // GIR_Coverage, 11295,
     /*  706584 */     GIR_EraseRootFromParent_Done,
     /*  706585 */   // Label 11145: @706585
     /*  706585 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706660), // Rule ID 11298 //
     /*  706590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706658 */     GIR_RootConstrainSelectedInstOperands,
     /*  706659 */     // GIR_Coverage, 11298,
     /*  706659 */     GIR_EraseRootFromParent_Done,
     /*  706660 */   // Label 11146: @706660
     /*  706660 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(706735), // Rule ID 11299 //
     /*  706665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706711 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706733 */     GIR_RootConstrainSelectedInstOperands,
     /*  706734 */     // GIR_Coverage, 11299,
     /*  706734 */     GIR_EraseRootFromParent_Done,
     /*  706735 */   // Label 11147: @706735
     /*  706735 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706810), // Rule ID 11302 //
     /*  706740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706808 */     GIR_RootConstrainSelectedInstOperands,
     /*  706809 */     // GIR_Coverage, 11302,
     /*  706809 */     GIR_EraseRootFromParent_Done,
     /*  706810 */   // Label 11148: @706810
     /*  706810 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706885), // Rule ID 11303 //
     /*  706815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706861 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706883 */     GIR_RootConstrainSelectedInstOperands,
     /*  706884 */     // GIR_Coverage, 11303,
     /*  706884 */     GIR_EraseRootFromParent_Done,
     /*  706885 */   // Label 11149: @706885
     /*  706885 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706960), // Rule ID 11306 //
     /*  706890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  706939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706958 */     GIR_RootConstrainSelectedInstOperands,
     /*  706959 */     // GIR_Coverage, 11306,
     /*  706959 */     GIR_EraseRootFromParent_Done,
     /*  706960 */   // Label 11150: @706960
     /*  706960 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(707035), // Rule ID 11307 //
     /*  706965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  707014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707033 */     GIR_RootConstrainSelectedInstOperands,
     /*  707034 */     // GIR_Coverage, 11307,
     /*  707034 */     GIR_EraseRootFromParent_Done,
     /*  707035 */   // Label 11151: @707035
     /*  707035 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(707110), // Rule ID 11310 //
     /*  707040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  707051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  707054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  707057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  707060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707108 */     GIR_RootConstrainSelectedInstOperands,
     /*  707109 */     // GIR_Coverage, 11310,
     /*  707109 */     GIR_EraseRootFromParent_Done,
     /*  707110 */   // Label 11152: @707110
     /*  707110 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(707185), // Rule ID 11311 //
     /*  707115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  707126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  707129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  707132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  707135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707183 */     GIR_RootConstrainSelectedInstOperands,
     /*  707184 */     // GIR_Coverage, 11311,
     /*  707184 */     GIR_EraseRootFromParent_Done,
     /*  707185 */   // Label 11153: @707185
     /*  707185 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(707260), // Rule ID 11314 //
     /*  707190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  707201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  707204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  707207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  707210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707258 */     GIR_RootConstrainSelectedInstOperands,
     /*  707259 */     // GIR_Coverage, 11314,
     /*  707259 */     GIR_EraseRootFromParent_Done,
     /*  707260 */   // Label 11154: @707260
     /*  707260 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(707335), // Rule ID 11315 //
     /*  707265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  707276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  707279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  707282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  707285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707311 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707333 */     GIR_RootConstrainSelectedInstOperands,
     /*  707334 */     // GIR_Coverage, 11315,
     /*  707334 */     GIR_EraseRootFromParent_Done,
     /*  707335 */   // Label 11155: @707335
     /*  707335 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707410), // Rule ID 11318 //
     /*  707340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  707351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  707354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  707357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  707360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707408 */     GIR_RootConstrainSelectedInstOperands,
     /*  707409 */     // GIR_Coverage, 11318,
     /*  707409 */     GIR_EraseRootFromParent_Done,
     /*  707410 */   // Label 11156: @707410
     /*  707410 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707485), // Rule ID 11319 //
     /*  707415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  707426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  707429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  707432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  707435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707483 */     GIR_RootConstrainSelectedInstOperands,
     /*  707484 */     // GIR_Coverage, 11319,
     /*  707484 */     GIR_EraseRootFromParent_Done,
     /*  707485 */   // Label 11157: @707485
     /*  707485 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(707560), // Rule ID 11322 //
     /*  707490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707558 */     GIR_RootConstrainSelectedInstOperands,
     /*  707559 */     // GIR_Coverage, 11322,
     /*  707559 */     GIR_EraseRootFromParent_Done,
     /*  707560 */   // Label 11158: @707560
     /*  707560 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(707635), // Rule ID 11323 //
     /*  707565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707633 */     GIR_RootConstrainSelectedInstOperands,
     /*  707634 */     // GIR_Coverage, 11323,
     /*  707634 */     GIR_EraseRootFromParent_Done,
     /*  707635 */   // Label 11159: @707635
     /*  707635 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(707710), // Rule ID 11326 //
     /*  707640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707708 */     GIR_RootConstrainSelectedInstOperands,
     /*  707709 */     // GIR_Coverage, 11326,
     /*  707709 */     GIR_EraseRootFromParent_Done,
     /*  707710 */   // Label 11160: @707710
     /*  707710 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(707785), // Rule ID 11327 //
     /*  707715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707783 */     GIR_RootConstrainSelectedInstOperands,
     /*  707784 */     // GIR_Coverage, 11327,
     /*  707784 */     GIR_EraseRootFromParent_Done,
     /*  707785 */   // Label 11161: @707785
     /*  707785 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707860), // Rule ID 11330 //
     /*  707790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707858 */     GIR_RootConstrainSelectedInstOperands,
     /*  707859 */     // GIR_Coverage, 11330,
     /*  707859 */     GIR_EraseRootFromParent_Done,
     /*  707860 */   // Label 11162: @707860
     /*  707860 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707935), // Rule ID 11331 //
     /*  707865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707933 */     GIR_RootConstrainSelectedInstOperands,
     /*  707934 */     // GIR_Coverage, 11331,
     /*  707934 */     GIR_EraseRootFromParent_Done,
     /*  707935 */   // Label 11163: @707935
     /*  707935 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(708010), // Rule ID 11334 //
     /*  707940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708008 */     GIR_RootConstrainSelectedInstOperands,
     /*  708009 */     // GIR_Coverage, 11334,
     /*  708009 */     GIR_EraseRootFromParent_Done,
     /*  708010 */   // Label 11164: @708010
     /*  708010 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(708085), // Rule ID 11335 //
     /*  708015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  708026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  708029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  708032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  708035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708083 */     GIR_RootConstrainSelectedInstOperands,
     /*  708084 */     // GIR_Coverage, 11335,
     /*  708084 */     GIR_EraseRootFromParent_Done,
     /*  708085 */   // Label 11165: @708085
     /*  708085 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(708160), // Rule ID 11338 //
     /*  708090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708158 */     GIR_RootConstrainSelectedInstOperands,
     /*  708159 */     // GIR_Coverage, 11338,
     /*  708159 */     GIR_EraseRootFromParent_Done,
     /*  708160 */   // Label 11166: @708160
     /*  708160 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(708235), // Rule ID 11339 //
     /*  708165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708233 */     GIR_RootConstrainSelectedInstOperands,
     /*  708234 */     // GIR_Coverage, 11339,
     /*  708234 */     GIR_EraseRootFromParent_Done,
     /*  708235 */   // Label 11167: @708235
     /*  708235 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(708310), // Rule ID 11342 //
     /*  708240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  708251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  708254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  708257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  708260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708286 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708308 */     GIR_RootConstrainSelectedInstOperands,
     /*  708309 */     // GIR_Coverage, 11342,
     /*  708309 */     GIR_EraseRootFromParent_Done,
     /*  708310 */   // Label 11168: @708310
     /*  708310 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708385), // Rule ID 11343 //
     /*  708315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  708326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  708329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  708332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  708335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708361 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708383 */     GIR_RootConstrainSelectedInstOperands,
     /*  708384 */     // GIR_Coverage, 11343,
     /*  708384 */     GIR_EraseRootFromParent_Done,
     /*  708385 */   // Label 11169: @708385
     /*  708385 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708460), // Rule ID 11346 //
     /*  708390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  708401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  708404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  708407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  708410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708458 */     GIR_RootConstrainSelectedInstOperands,
     /*  708459 */     // GIR_Coverage, 11346,
     /*  708459 */     GIR_EraseRootFromParent_Done,
     /*  708460 */   // Label 11170: @708460
     /*  708460 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(708535), // Rule ID 11347 //
     /*  708465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  708476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  708479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  708482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  708485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708511 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708533 */     GIR_RootConstrainSelectedInstOperands,
     /*  708534 */     // GIR_Coverage, 11347,
     /*  708534 */     GIR_EraseRootFromParent_Done,
     /*  708535 */   // Label 11171: @708535
     /*  708535 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(708610), // Rule ID 11350 //
     /*  708540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708608 */     GIR_RootConstrainSelectedInstOperands,
     /*  708609 */     // GIR_Coverage, 11350,
     /*  708609 */     GIR_EraseRootFromParent_Done,
     /*  708610 */   // Label 11172: @708610
     /*  708610 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708685), // Rule ID 11351 //
     /*  708615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708661 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708683 */     GIR_RootConstrainSelectedInstOperands,
     /*  708684 */     // GIR_Coverage, 11351,
     /*  708684 */     GIR_EraseRootFromParent_Done,
     /*  708685 */   // Label 11173: @708685
     /*  708685 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(708760), // Rule ID 11354 //
     /*  708690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708758 */     GIR_RootConstrainSelectedInstOperands,
     /*  708759 */     // GIR_Coverage, 11354,
     /*  708759 */     GIR_EraseRootFromParent_Done,
     /*  708760 */   // Label 11174: @708760
     /*  708760 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708835), // Rule ID 11355 //
     /*  708765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708833 */     GIR_RootConstrainSelectedInstOperands,
     /*  708834 */     // GIR_Coverage, 11355,
     /*  708834 */     GIR_EraseRootFromParent_Done,
     /*  708835 */   // Label 11175: @708835
     /*  708835 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708910), // Rule ID 11358 //
     /*  708840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708908 */     GIR_RootConstrainSelectedInstOperands,
     /*  708909 */     // GIR_Coverage, 11358,
     /*  708909 */     GIR_EraseRootFromParent_Done,
     /*  708910 */   // Label 11176: @708910
     /*  708910 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708985), // Rule ID 11359 //
     /*  708915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708961 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708983 */     GIR_RootConstrainSelectedInstOperands,
     /*  708984 */     // GIR_Coverage, 11359,
     /*  708984 */     GIR_EraseRootFromParent_Done,
     /*  708985 */   // Label 11177: @708985
     /*  708985 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(709060), // Rule ID 11362 //
     /*  708990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  709001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  709004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  709007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709058 */     GIR_RootConstrainSelectedInstOperands,
     /*  709059 */     // GIR_Coverage, 11362,
     /*  709059 */     GIR_EraseRootFromParent_Done,
     /*  709060 */   // Label 11178: @709060
     /*  709060 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(709135), // Rule ID 11363 //
     /*  709065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  709076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  709079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  709082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709133 */     GIR_RootConstrainSelectedInstOperands,
     /*  709134 */     // GIR_Coverage, 11363,
     /*  709134 */     GIR_EraseRootFromParent_Done,
     /*  709135 */   // Label 11179: @709135
     /*  709135 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(709210), // Rule ID 11366 //
     /*  709140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709208 */     GIR_RootConstrainSelectedInstOperands,
     /*  709209 */     // GIR_Coverage, 11366,
     /*  709209 */     GIR_EraseRootFromParent_Done,
     /*  709210 */   // Label 11180: @709210
     /*  709210 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(709285), // Rule ID 11367 //
     /*  709215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709283 */     GIR_RootConstrainSelectedInstOperands,
     /*  709284 */     // GIR_Coverage, 11367,
     /*  709284 */     GIR_EraseRootFromParent_Done,
     /*  709285 */   // Label 11181: @709285
     /*  709285 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(709360), // Rule ID 11370 //
     /*  709290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  709301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  709304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  709307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  709310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709358 */     GIR_RootConstrainSelectedInstOperands,
     /*  709359 */     // GIR_Coverage, 11370,
     /*  709359 */     GIR_EraseRootFromParent_Done,
     /*  709360 */   // Label 11182: @709360
     /*  709360 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709435), // Rule ID 11371 //
     /*  709365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  709376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  709379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  709382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  709385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709433 */     GIR_RootConstrainSelectedInstOperands,
     /*  709434 */     // GIR_Coverage, 11371,
     /*  709434 */     GIR_EraseRootFromParent_Done,
     /*  709435 */   // Label 11183: @709435
     /*  709435 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709510), // Rule ID 11374 //
     /*  709440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709508 */     GIR_RootConstrainSelectedInstOperands,
     /*  709509 */     // GIR_Coverage, 11374,
     /*  709509 */     GIR_EraseRootFromParent_Done,
     /*  709510 */   // Label 11184: @709510
     /*  709510 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(709585), // Rule ID 11375 //
     /*  709515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709561 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709583 */     GIR_RootConstrainSelectedInstOperands,
     /*  709584 */     // GIR_Coverage, 11375,
     /*  709584 */     GIR_EraseRootFromParent_Done,
     /*  709585 */   // Label 11185: @709585
     /*  709585 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709660), // Rule ID 11378 //
     /*  709590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709658 */     GIR_RootConstrainSelectedInstOperands,
     /*  709659 */     // GIR_Coverage, 11378,
     /*  709659 */     GIR_EraseRootFromParent_Done,
     /*  709660 */   // Label 11186: @709660
     /*  709660 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(709735), // Rule ID 11379 //
     /*  709665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709733 */     GIR_RootConstrainSelectedInstOperands,
     /*  709734 */     // GIR_Coverage, 11379,
     /*  709734 */     GIR_EraseRootFromParent_Done,
     /*  709735 */   // Label 11187: @709735
     /*  709735 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709810), // Rule ID 11382 //
     /*  709740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709808 */     GIR_RootConstrainSelectedInstOperands,
     /*  709809 */     // GIR_Coverage, 11382,
     /*  709809 */     GIR_EraseRootFromParent_Done,
     /*  709810 */   // Label 11188: @709810
     /*  709810 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709885), // Rule ID 11383 //
     /*  709815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709883 */     GIR_RootConstrainSelectedInstOperands,
     /*  709884 */     // GIR_Coverage, 11383,
     /*  709884 */     GIR_EraseRootFromParent_Done,
     /*  709885 */   // Label 11189: @709885
     /*  709885 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709960), // Rule ID 11386 //
     /*  709890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709958 */     GIR_RootConstrainSelectedInstOperands,
     /*  709959 */     // GIR_Coverage, 11386,
     /*  709959 */     GIR_EraseRootFromParent_Done,
     /*  709960 */   // Label 11190: @709960
     /*  709960 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(710035), // Rule ID 11387 //
     /*  709965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710033 */     GIR_RootConstrainSelectedInstOperands,
     /*  710034 */     // GIR_Coverage, 11387,
     /*  710034 */     GIR_EraseRootFromParent_Done,
     /*  710035 */   // Label 11191: @710035
     /*  710035 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(710110), // Rule ID 11390 //
     /*  710040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710108 */     GIR_RootConstrainSelectedInstOperands,
     /*  710109 */     // GIR_Coverage, 11390,
     /*  710109 */     GIR_EraseRootFromParent_Done,
     /*  710110 */   // Label 11192: @710110
     /*  710110 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(710185), // Rule ID 11391 //
     /*  710115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710183 */     GIR_RootConstrainSelectedInstOperands,
     /*  710184 */     // GIR_Coverage, 11391,
     /*  710184 */     GIR_EraseRootFromParent_Done,
     /*  710185 */   // Label 11193: @710185
     /*  710185 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(710260), // Rule ID 11394 //
     /*  710190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710258 */     GIR_RootConstrainSelectedInstOperands,
     /*  710259 */     // GIR_Coverage, 11394,
     /*  710259 */     GIR_EraseRootFromParent_Done,
     /*  710260 */   // Label 11194: @710260
     /*  710260 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(710335), // Rule ID 11395 //
     /*  710265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710333 */     GIR_RootConstrainSelectedInstOperands,
     /*  710334 */     // GIR_Coverage, 11395,
     /*  710334 */     GIR_EraseRootFromParent_Done,
     /*  710335 */   // Label 11195: @710335
     /*  710335 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710410), // Rule ID 11398 //
     /*  710340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710408 */     GIR_RootConstrainSelectedInstOperands,
     /*  710409 */     // GIR_Coverage, 11398,
     /*  710409 */     GIR_EraseRootFromParent_Done,
     /*  710410 */   // Label 11196: @710410
     /*  710410 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710485), // Rule ID 11399 //
     /*  710415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710483 */     GIR_RootConstrainSelectedInstOperands,
     /*  710484 */     // GIR_Coverage, 11399,
     /*  710484 */     GIR_EraseRootFromParent_Done,
     /*  710485 */   // Label 11197: @710485
     /*  710485 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(710560), // Rule ID 11402 //
     /*  710490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710558 */     GIR_RootConstrainSelectedInstOperands,
     /*  710559 */     // GIR_Coverage, 11402,
     /*  710559 */     GIR_EraseRootFromParent_Done,
     /*  710560 */   // Label 11198: @710560
     /*  710560 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(710635), // Rule ID 11403 //
     /*  710565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710633 */     GIR_RootConstrainSelectedInstOperands,
     /*  710634 */     // GIR_Coverage, 11403,
     /*  710634 */     GIR_EraseRootFromParent_Done,
     /*  710635 */   // Label 11199: @710635
     /*  710635 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(710710), // Rule ID 11406 //
     /*  710640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710708 */     GIR_RootConstrainSelectedInstOperands,
     /*  710709 */     // GIR_Coverage, 11406,
     /*  710709 */     GIR_EraseRootFromParent_Done,
     /*  710710 */   // Label 11200: @710710
     /*  710710 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(710785), // Rule ID 11407 //
     /*  710715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710783 */     GIR_RootConstrainSelectedInstOperands,
     /*  710784 */     // GIR_Coverage, 11407,
     /*  710784 */     GIR_EraseRootFromParent_Done,
     /*  710785 */   // Label 11201: @710785
     /*  710785 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710860), // Rule ID 11410 //
     /*  710790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710858 */     GIR_RootConstrainSelectedInstOperands,
     /*  710859 */     // GIR_Coverage, 11410,
     /*  710859 */     GIR_EraseRootFromParent_Done,
     /*  710860 */   // Label 11202: @710860
     /*  710860 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710935), // Rule ID 11411 //
     /*  710865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710933 */     GIR_RootConstrainSelectedInstOperands,
     /*  710934 */     // GIR_Coverage, 11411,
     /*  710934 */     GIR_EraseRootFromParent_Done,
     /*  710935 */   // Label 11203: @710935
     /*  710935 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(711010), // Rule ID 11414 //
     /*  710940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711008 */     GIR_RootConstrainSelectedInstOperands,
     /*  711009 */     // GIR_Coverage, 11414,
     /*  711009 */     GIR_EraseRootFromParent_Done,
     /*  711010 */   // Label 11204: @711010
     /*  711010 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(711085), // Rule ID 11415 //
     /*  711015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  711026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  711029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  711032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711061 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711083 */     GIR_RootConstrainSelectedInstOperands,
     /*  711084 */     // GIR_Coverage, 11415,
     /*  711084 */     GIR_EraseRootFromParent_Done,
     /*  711085 */   // Label 11205: @711085
     /*  711085 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(711160), // Rule ID 11418 //
     /*  711090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711158 */     GIR_RootConstrainSelectedInstOperands,
     /*  711159 */     // GIR_Coverage, 11418,
     /*  711159 */     GIR_EraseRootFromParent_Done,
     /*  711160 */   // Label 11206: @711160
     /*  711160 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(711235), // Rule ID 11419 //
     /*  711165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711211 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711233 */     GIR_RootConstrainSelectedInstOperands,
     /*  711234 */     // GIR_Coverage, 11419,
     /*  711234 */     GIR_EraseRootFromParent_Done,
     /*  711235 */   // Label 11207: @711235
     /*  711235 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(711310), // Rule ID 11422 //
     /*  711240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711308 */     GIR_RootConstrainSelectedInstOperands,
     /*  711309 */     // GIR_Coverage, 11422,
     /*  711309 */     GIR_EraseRootFromParent_Done,
     /*  711310 */   // Label 11208: @711310
     /*  711310 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711385), // Rule ID 11423 //
     /*  711315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711361 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711383 */     GIR_RootConstrainSelectedInstOperands,
     /*  711384 */     // GIR_Coverage, 11423,
     /*  711384 */     GIR_EraseRootFromParent_Done,
     /*  711385 */   // Label 11209: @711385
     /*  711385 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711460), // Rule ID 11426 //
     /*  711390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711458 */     GIR_RootConstrainSelectedInstOperands,
     /*  711459 */     // GIR_Coverage, 11426,
     /*  711459 */     GIR_EraseRootFromParent_Done,
     /*  711460 */   // Label 11210: @711460
     /*  711460 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(711535), // Rule ID 11427 //
     /*  711465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711511 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711533 */     GIR_RootConstrainSelectedInstOperands,
     /*  711534 */     // GIR_Coverage, 11427,
     /*  711534 */     GIR_EraseRootFromParent_Done,
     /*  711535 */   // Label 11211: @711535
     /*  711535 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(711610), // Rule ID 11430 //
     /*  711540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711608 */     GIR_RootConstrainSelectedInstOperands,
     /*  711609 */     // GIR_Coverage, 11430,
     /*  711609 */     GIR_EraseRootFromParent_Done,
     /*  711610 */   // Label 11212: @711610
     /*  711610 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711685), // Rule ID 11431 //
     /*  711615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711661 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711683 */     GIR_RootConstrainSelectedInstOperands,
     /*  711684 */     // GIR_Coverage, 11431,
     /*  711684 */     GIR_EraseRootFromParent_Done,
     /*  711685 */   // Label 11213: @711685
     /*  711685 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(711760), // Rule ID 11434 //
     /*  711690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711758 */     GIR_RootConstrainSelectedInstOperands,
     /*  711759 */     // GIR_Coverage, 11434,
     /*  711759 */     GIR_EraseRootFromParent_Done,
     /*  711760 */   // Label 11214: @711760
     /*  711760 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711835), // Rule ID 11435 //
     /*  711765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711833 */     GIR_RootConstrainSelectedInstOperands,
     /*  711834 */     // GIR_Coverage, 11435,
     /*  711834 */     GIR_EraseRootFromParent_Done,
     /*  711835 */   // Label 11215: @711835
     /*  711835 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711910), // Rule ID 11438 //
     /*  711840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711908 */     GIR_RootConstrainSelectedInstOperands,
     /*  711909 */     // GIR_Coverage, 11438,
     /*  711909 */     GIR_EraseRootFromParent_Done,
     /*  711910 */   // Label 11216: @711910
     /*  711910 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711985), // Rule ID 11439 //
     /*  711915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711983 */     GIR_RootConstrainSelectedInstOperands,
     /*  711984 */     // GIR_Coverage, 11439,
     /*  711984 */     GIR_EraseRootFromParent_Done,
     /*  711985 */   // Label 11217: @711985
     /*  711985 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(712060), // Rule ID 11442 //
     /*  711990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  712001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712036 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712058 */     GIR_RootConstrainSelectedInstOperands,
     /*  712059 */     // GIR_Coverage, 11442,
     /*  712059 */     GIR_EraseRootFromParent_Done,
     /*  712060 */   // Label 11218: @712060
     /*  712060 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(712135), // Rule ID 11443 //
     /*  712065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  712076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712133 */     GIR_RootConstrainSelectedInstOperands,
     /*  712134 */     // GIR_Coverage, 11443,
     /*  712134 */     GIR_EraseRootFromParent_Done,
     /*  712135 */   // Label 11219: @712135
     /*  712135 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(712210), // Rule ID 11446 //
     /*  712140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712208 */     GIR_RootConstrainSelectedInstOperands,
     /*  712209 */     // GIR_Coverage, 11446,
     /*  712209 */     GIR_EraseRootFromParent_Done,
     /*  712210 */   // Label 11220: @712210
     /*  712210 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(712285), // Rule ID 11447 //
     /*  712215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712283 */     GIR_RootConstrainSelectedInstOperands,
     /*  712284 */     // GIR_Coverage, 11447,
     /*  712284 */     GIR_EraseRootFromParent_Done,
     /*  712285 */   // Label 11221: @712285
     /*  712285 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(712360), // Rule ID 11450 //
     /*  712290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  712310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  712339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712358 */     GIR_RootConstrainSelectedInstOperands,
     /*  712359 */     // GIR_Coverage, 11450,
     /*  712359 */     GIR_EraseRootFromParent_Done,
     /*  712360 */   // Label 11222: @712360
     /*  712360 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712435), // Rule ID 11451 //
     /*  712365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  712385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  712414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712433 */     GIR_RootConstrainSelectedInstOperands,
     /*  712434 */     // GIR_Coverage, 11451,
     /*  712434 */     GIR_EraseRootFromParent_Done,
     /*  712435 */   // Label 11223: @712435
     /*  712435 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712510), // Rule ID 11454 //
     /*  712440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712508 */     GIR_RootConstrainSelectedInstOperands,
     /*  712509 */     // GIR_Coverage, 11454,
     /*  712509 */     GIR_EraseRootFromParent_Done,
     /*  712510 */   // Label 11224: @712510
     /*  712510 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(712585), // Rule ID 11455 //
     /*  712515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712583 */     GIR_RootConstrainSelectedInstOperands,
     /*  712584 */     // GIR_Coverage, 11455,
     /*  712584 */     GIR_EraseRootFromParent_Done,
     /*  712585 */   // Label 11225: @712585
     /*  712585 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712660), // Rule ID 11458 //
     /*  712590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712658 */     GIR_RootConstrainSelectedInstOperands,
     /*  712659 */     // GIR_Coverage, 11458,
     /*  712659 */     GIR_EraseRootFromParent_Done,
     /*  712660 */   // Label 11226: @712660
     /*  712660 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(712735), // Rule ID 11459 //
     /*  712665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712733 */     GIR_RootConstrainSelectedInstOperands,
     /*  712734 */     // GIR_Coverage, 11459,
     /*  712734 */     GIR_EraseRootFromParent_Done,
     /*  712735 */   // Label 11227: @712735
     /*  712735 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712810), // Rule ID 11462 //
     /*  712740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712808 */     GIR_RootConstrainSelectedInstOperands,
     /*  712809 */     // GIR_Coverage, 11462,
     /*  712809 */     GIR_EraseRootFromParent_Done,
     /*  712810 */   // Label 11228: @712810
     /*  712810 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712885), // Rule ID 11463 //
     /*  712815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712883 */     GIR_RootConstrainSelectedInstOperands,
     /*  712884 */     // GIR_Coverage, 11463,
     /*  712884 */     GIR_EraseRootFromParent_Done,
     /*  712885 */   // Label 11229: @712885
     /*  712885 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712960), // Rule ID 11466 //
     /*  712890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  712939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712958 */     GIR_RootConstrainSelectedInstOperands,
     /*  712959 */     // GIR_Coverage, 11466,
     /*  712959 */     GIR_EraseRootFromParent_Done,
     /*  712960 */   // Label 11230: @712960
     /*  712960 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(713035), // Rule ID 11467 //
     /*  712965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  713014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713033 */     GIR_RootConstrainSelectedInstOperands,
     /*  713034 */     // GIR_Coverage, 11467,
     /*  713034 */     GIR_EraseRootFromParent_Done,
     /*  713035 */   // Label 11231: @713035
     /*  713035 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(713110), // Rule ID 11470 //
     /*  713040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  713089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713108 */     GIR_RootConstrainSelectedInstOperands,
     /*  713109 */     // GIR_Coverage, 11470,
     /*  713109 */     GIR_EraseRootFromParent_Done,
     /*  713110 */   // Label 11232: @713110
     /*  713110 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(713185), // Rule ID 11471 //
     /*  713115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  713164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713183 */     GIR_RootConstrainSelectedInstOperands,
     /*  713184 */     // GIR_Coverage, 11471,
     /*  713184 */     GIR_EraseRootFromParent_Done,
     /*  713185 */   // Label 11233: @713185
     /*  713185 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(713260), // Rule ID 11474 //
     /*  713190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  713239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713258 */     GIR_RootConstrainSelectedInstOperands,
     /*  713259 */     // GIR_Coverage, 11474,
     /*  713259 */     GIR_EraseRootFromParent_Done,
     /*  713260 */   // Label 11234: @713260
     /*  713260 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(713335), // Rule ID 11475 //
     /*  713265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  713314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713333 */     GIR_RootConstrainSelectedInstOperands,
     /*  713334 */     // GIR_Coverage, 11475,
     /*  713334 */     GIR_EraseRootFromParent_Done,
     /*  713335 */   // Label 11235: @713335
     /*  713335 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713410), // Rule ID 11478 //
     /*  713340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  713389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713408 */     GIR_RootConstrainSelectedInstOperands,
     /*  713409 */     // GIR_Coverage, 11478,
     /*  713409 */     GIR_EraseRootFromParent_Done,
     /*  713410 */   // Label 11236: @713410
     /*  713410 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713485), // Rule ID 11479 //
     /*  713415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  713464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713483 */     GIR_RootConstrainSelectedInstOperands,
     /*  713484 */     // GIR_Coverage, 11479,
     /*  713484 */     GIR_EraseRootFromParent_Done,
     /*  713485 */   // Label 11237: @713485
     /*  713485 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(713560), // Rule ID 11482 //
     /*  713490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713558 */     GIR_RootConstrainSelectedInstOperands,
     /*  713559 */     // GIR_Coverage, 11482,
     /*  713559 */     GIR_EraseRootFromParent_Done,
     /*  713560 */   // Label 11238: @713560
     /*  713560 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(713635), // Rule ID 11483 //
     /*  713565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713633 */     GIR_RootConstrainSelectedInstOperands,
     /*  713634 */     // GIR_Coverage, 11483,
     /*  713634 */     GIR_EraseRootFromParent_Done,
     /*  713635 */   // Label 11239: @713635
     /*  713635 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(713710), // Rule ID 11486 //
     /*  713640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713708 */     GIR_RootConstrainSelectedInstOperands,
     /*  713709 */     // GIR_Coverage, 11486,
     /*  713709 */     GIR_EraseRootFromParent_Done,
     /*  713710 */   // Label 11240: @713710
     /*  713710 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(713785), // Rule ID 11487 //
     /*  713715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713783 */     GIR_RootConstrainSelectedInstOperands,
     /*  713784 */     // GIR_Coverage, 11487,
     /*  713784 */     GIR_EraseRootFromParent_Done,
     /*  713785 */   // Label 11241: @713785
     /*  713785 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713860), // Rule ID 11490 //
     /*  713790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713858 */     GIR_RootConstrainSelectedInstOperands,
     /*  713859 */     // GIR_Coverage, 11490,
     /*  713859 */     GIR_EraseRootFromParent_Done,
     /*  713860 */   // Label 11242: @713860
     /*  713860 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713935), // Rule ID 11491 //
     /*  713865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713933 */     GIR_RootConstrainSelectedInstOperands,
     /*  713934 */     // GIR_Coverage, 11491,
     /*  713934 */     GIR_EraseRootFromParent_Done,
     /*  713935 */   // Label 11243: @713935
     /*  713935 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(714010), // Rule ID 11494 //
     /*  713940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  713989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714008 */     GIR_RootConstrainSelectedInstOperands,
     /*  714009 */     // GIR_Coverage, 11494,
     /*  714009 */     GIR_EraseRootFromParent_Done,
     /*  714010 */   // Label 11244: @714010
     /*  714010 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(714085), // Rule ID 11495 //
     /*  714015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  714064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714083 */     GIR_RootConstrainSelectedInstOperands,
     /*  714084 */     // GIR_Coverage, 11495,
     /*  714084 */     GIR_EraseRootFromParent_Done,
     /*  714085 */   // Label 11245: @714085
     /*  714085 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(714160), // Rule ID 11498 //
     /*  714090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  714139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714158 */     GIR_RootConstrainSelectedInstOperands,
     /*  714159 */     // GIR_Coverage, 11498,
     /*  714159 */     GIR_EraseRootFromParent_Done,
     /*  714160 */   // Label 11246: @714160
     /*  714160 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(714235), // Rule ID 11499 //
     /*  714165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714211 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  714214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714233 */     GIR_RootConstrainSelectedInstOperands,
     /*  714234 */     // GIR_Coverage, 11499,
     /*  714234 */     GIR_EraseRootFromParent_Done,
     /*  714235 */   // Label 11247: @714235
     /*  714235 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(714310), // Rule ID 11502 //
     /*  714240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  714289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714308 */     GIR_RootConstrainSelectedInstOperands,
     /*  714309 */     // GIR_Coverage, 11502,
     /*  714309 */     GIR_EraseRootFromParent_Done,
     /*  714310 */   // Label 11248: @714310
     /*  714310 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714385), // Rule ID 11503 //
     /*  714315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  714364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714383 */     GIR_RootConstrainSelectedInstOperands,
     /*  714384 */     // GIR_Coverage, 11503,
     /*  714384 */     GIR_EraseRootFromParent_Done,
     /*  714385 */   // Label 11249: @714385
     /*  714385 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714460), // Rule ID 11506 //
     /*  714390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714458 */     GIR_RootConstrainSelectedInstOperands,
     /*  714459 */     // GIR_Coverage, 11506,
     /*  714459 */     GIR_EraseRootFromParent_Done,
     /*  714460 */   // Label 11250: @714460
     /*  714460 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(714535), // Rule ID 11507 //
     /*  714465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714533 */     GIR_RootConstrainSelectedInstOperands,
     /*  714534 */     // GIR_Coverage, 11507,
     /*  714534 */     GIR_EraseRootFromParent_Done,
     /*  714535 */   // Label 11251: @714535
     /*  714535 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(714610), // Rule ID 11510 //
     /*  714540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714608 */     GIR_RootConstrainSelectedInstOperands,
     /*  714609 */     // GIR_Coverage, 11510,
     /*  714609 */     GIR_EraseRootFromParent_Done,
     /*  714610 */   // Label 11252: @714610
     /*  714610 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714685), // Rule ID 11511 //
     /*  714615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714683 */     GIR_RootConstrainSelectedInstOperands,
     /*  714684 */     // GIR_Coverage, 11511,
     /*  714684 */     GIR_EraseRootFromParent_Done,
     /*  714685 */   // Label 11253: @714685
     /*  714685 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(714760), // Rule ID 11514 //
     /*  714690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714758 */     GIR_RootConstrainSelectedInstOperands,
     /*  714759 */     // GIR_Coverage, 11514,
     /*  714759 */     GIR_EraseRootFromParent_Done,
     /*  714760 */   // Label 11254: @714760
     /*  714760 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714835), // Rule ID 11515 //
     /*  714765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714811 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714833 */     GIR_RootConstrainSelectedInstOperands,
     /*  714834 */     // GIR_Coverage, 11515,
     /*  714834 */     GIR_EraseRootFromParent_Done,
     /*  714835 */   // Label 11255: @714835
     /*  714835 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714910), // Rule ID 11518 //
     /*  714840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714908 */     GIR_RootConstrainSelectedInstOperands,
     /*  714909 */     // GIR_Coverage, 11518,
     /*  714909 */     GIR_EraseRootFromParent_Done,
     /*  714910 */   // Label 11256: @714910
     /*  714910 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714985), // Rule ID 11519 //
     /*  714915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714983 */     GIR_RootConstrainSelectedInstOperands,
     /*  714984 */     // GIR_Coverage, 11519,
     /*  714984 */     GIR_EraseRootFromParent_Done,
     /*  714985 */   // Label 11257: @714985
     /*  714985 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(715060), // Rule ID 11522 //
     /*  714990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  715010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  715039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715058 */     GIR_RootConstrainSelectedInstOperands,
     /*  715059 */     // GIR_Coverage, 11522,
     /*  715059 */     GIR_EraseRootFromParent_Done,
     /*  715060 */   // Label 11258: @715060
     /*  715060 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(715135), // Rule ID 11523 //
     /*  715065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  715085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  715114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715133 */     GIR_RootConstrainSelectedInstOperands,
     /*  715134 */     // GIR_Coverage, 11523,
     /*  715134 */     GIR_EraseRootFromParent_Done,
     /*  715135 */   // Label 11259: @715135
     /*  715135 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(715210), // Rule ID 11526 //
     /*  715140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  715160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  715189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715208 */     GIR_RootConstrainSelectedInstOperands,
     /*  715209 */     // GIR_Coverage, 11526,
     /*  715209 */     GIR_EraseRootFromParent_Done,
     /*  715210 */   // Label 11260: @715210
     /*  715210 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(715285), // Rule ID 11527 //
     /*  715215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  715235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  715264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715283 */     GIR_RootConstrainSelectedInstOperands,
     /*  715284 */     // GIR_Coverage, 11527,
     /*  715284 */     GIR_EraseRootFromParent_Done,
     /*  715285 */   // Label 11261: @715285
     /*  715285 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(715360), // Rule ID 11530 //
     /*  715290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715358 */     GIR_RootConstrainSelectedInstOperands,
     /*  715359 */     // GIR_Coverage, 11530,
     /*  715359 */     GIR_EraseRootFromParent_Done,
     /*  715360 */   // Label 11262: @715360
     /*  715360 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715435), // Rule ID 11531 //
     /*  715365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715433 */     GIR_RootConstrainSelectedInstOperands,
     /*  715434 */     // GIR_Coverage, 11531,
     /*  715434 */     GIR_EraseRootFromParent_Done,
     /*  715435 */   // Label 11263: @715435
     /*  715435 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715510), // Rule ID 11534 //
     /*  715440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715508 */     GIR_RootConstrainSelectedInstOperands,
     /*  715509 */     // GIR_Coverage, 11534,
     /*  715509 */     GIR_EraseRootFromParent_Done,
     /*  715510 */   // Label 11264: @715510
     /*  715510 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(715585), // Rule ID 11535 //
     /*  715515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715583 */     GIR_RootConstrainSelectedInstOperands,
     /*  715584 */     // GIR_Coverage, 11535,
     /*  715584 */     GIR_EraseRootFromParent_Done,
     /*  715585 */   // Label 11265: @715585
     /*  715585 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715660), // Rule ID 11538 //
     /*  715590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715658 */     GIR_RootConstrainSelectedInstOperands,
     /*  715659 */     // GIR_Coverage, 11538,
     /*  715659 */     GIR_EraseRootFromParent_Done,
     /*  715660 */   // Label 11266: @715660
     /*  715660 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(715735), // Rule ID 11539 //
     /*  715665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715733 */     GIR_RootConstrainSelectedInstOperands,
     /*  715734 */     // GIR_Coverage, 11539,
     /*  715734 */     GIR_EraseRootFromParent_Done,
     /*  715735 */   // Label 11267: @715735
     /*  715735 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715810), // Rule ID 11542 //
     /*  715740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715808 */     GIR_RootConstrainSelectedInstOperands,
     /*  715809 */     // GIR_Coverage, 11542,
     /*  715809 */     GIR_EraseRootFromParent_Done,
     /*  715810 */   // Label 11268: @715810
     /*  715810 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715885), // Rule ID 11543 //
     /*  715815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715883 */     GIR_RootConstrainSelectedInstOperands,
     /*  715884 */     // GIR_Coverage, 11543,
     /*  715884 */     GIR_EraseRootFromParent_Done,
     /*  715885 */   // Label 11269: @715885
     /*  715885 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715960), // Rule ID 11546 //
     /*  715890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  715939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715958 */     GIR_RootConstrainSelectedInstOperands,
     /*  715959 */     // GIR_Coverage, 11546,
     /*  715959 */     GIR_EraseRootFromParent_Done,
     /*  715960 */   // Label 11270: @715960
     /*  715960 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(716035), // Rule ID 11547 //
     /*  715965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  716014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716033 */     GIR_RootConstrainSelectedInstOperands,
     /*  716034 */     // GIR_Coverage, 11547,
     /*  716034 */     GIR_EraseRootFromParent_Done,
     /*  716035 */   // Label 11271: @716035
     /*  716035 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(716110), // Rule ID 11550 //
     /*  716040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  716089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716108 */     GIR_RootConstrainSelectedInstOperands,
     /*  716109 */     // GIR_Coverage, 11550,
     /*  716109 */     GIR_EraseRootFromParent_Done,
     /*  716110 */   // Label 11272: @716110
     /*  716110 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(716185), // Rule ID 11551 //
     /*  716115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  716164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716183 */     GIR_RootConstrainSelectedInstOperands,
     /*  716184 */     // GIR_Coverage, 11551,
     /*  716184 */     GIR_EraseRootFromParent_Done,
     /*  716185 */   // Label 11273: @716185
     /*  716185 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(716260), // Rule ID 11554 //
     /*  716190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  716239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716258 */     GIR_RootConstrainSelectedInstOperands,
     /*  716259 */     // GIR_Coverage, 11554,
     /*  716259 */     GIR_EraseRootFromParent_Done,
     /*  716260 */   // Label 11274: @716260
     /*  716260 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(716335), // Rule ID 11555 //
     /*  716265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716311 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  716314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716333 */     GIR_RootConstrainSelectedInstOperands,
     /*  716334 */     // GIR_Coverage, 11555,
     /*  716334 */     GIR_EraseRootFromParent_Done,
     /*  716335 */   // Label 11275: @716335
     /*  716335 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716410), // Rule ID 11558 //
     /*  716340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  716351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  716354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  716357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  716360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  716389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716408 */     GIR_RootConstrainSelectedInstOperands,
     /*  716409 */     // GIR_Coverage, 11558,
     /*  716409 */     GIR_EraseRootFromParent_Done,
     /*  716410 */   // Label 11276: @716410
     /*  716410 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716485), // Rule ID 11559 //
     /*  716415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  716426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  716429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  716432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  716435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  716464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716483 */     GIR_RootConstrainSelectedInstOperands,
     /*  716484 */     // GIR_Coverage, 11559,
     /*  716484 */     GIR_EraseRootFromParent_Done,
     /*  716485 */   // Label 11277: @716485
     /*  716485 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(716560), // Rule ID 11562 //
     /*  716490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716558 */     GIR_RootConstrainSelectedInstOperands,
     /*  716559 */     // GIR_Coverage, 11562,
     /*  716559 */     GIR_EraseRootFromParent_Done,
     /*  716560 */   // Label 11278: @716560
     /*  716560 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(716635), // Rule ID 11563 //
     /*  716565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716633 */     GIR_RootConstrainSelectedInstOperands,
     /*  716634 */     // GIR_Coverage, 11563,
     /*  716634 */     GIR_EraseRootFromParent_Done,
     /*  716635 */   // Label 11279: @716635
     /*  716635 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(716710), // Rule ID 11566 //
     /*  716640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716708 */     GIR_RootConstrainSelectedInstOperands,
     /*  716709 */     // GIR_Coverage, 11566,
     /*  716709 */     GIR_EraseRootFromParent_Done,
     /*  716710 */   // Label 11280: @716710
     /*  716710 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(716785), // Rule ID 11567 //
     /*  716715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716783 */     GIR_RootConstrainSelectedInstOperands,
     /*  716784 */     // GIR_Coverage, 11567,
     /*  716784 */     GIR_EraseRootFromParent_Done,
     /*  716785 */   // Label 11281: @716785
     /*  716785 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716860), // Rule ID 11570 //
     /*  716790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716858 */     GIR_RootConstrainSelectedInstOperands,
     /*  716859 */     // GIR_Coverage, 11570,
     /*  716859 */     GIR_EraseRootFromParent_Done,
     /*  716860 */   // Label 11282: @716860
     /*  716860 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716935), // Rule ID 11571 //
     /*  716865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716933 */     GIR_RootConstrainSelectedInstOperands,
     /*  716934 */     // GIR_Coverage, 11571,
     /*  716934 */     GIR_EraseRootFromParent_Done,
     /*  716935 */   // Label 11283: @716935
     /*  716935 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(717010), // Rule ID 11574 //
     /*  716940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  716989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717008 */     GIR_RootConstrainSelectedInstOperands,
     /*  717009 */     // GIR_Coverage, 11574,
     /*  717009 */     GIR_EraseRootFromParent_Done,
     /*  717010 */   // Label 11284: @717010
     /*  717010 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(717085), // Rule ID 11575 //
     /*  717015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  717032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  717064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717083 */     GIR_RootConstrainSelectedInstOperands,
     /*  717084 */     // GIR_Coverage, 11575,
     /*  717084 */     GIR_EraseRootFromParent_Done,
     /*  717085 */   // Label 11285: @717085
     /*  717085 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(717160), // Rule ID 11578 //
     /*  717090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  717139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717158 */     GIR_RootConstrainSelectedInstOperands,
     /*  717159 */     // GIR_Coverage, 11578,
     /*  717159 */     GIR_EraseRootFromParent_Done,
     /*  717160 */   // Label 11286: @717160
     /*  717160 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(717235), // Rule ID 11579 //
     /*  717165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  717214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717233 */     GIR_RootConstrainSelectedInstOperands,
     /*  717234 */     // GIR_Coverage, 11579,
     /*  717234 */     GIR_EraseRootFromParent_Done,
     /*  717235 */   // Label 11287: @717235
     /*  717235 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(717310), // Rule ID 11582 //
     /*  717240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  717289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717308 */     GIR_RootConstrainSelectedInstOperands,
     /*  717309 */     // GIR_Coverage, 11582,
     /*  717309 */     GIR_EraseRootFromParent_Done,
     /*  717310 */   // Label 11288: @717310
     /*  717310 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717385), // Rule ID 11583 //
     /*  717315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  717364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717383 */     GIR_RootConstrainSelectedInstOperands,
     /*  717384 */     // GIR_Coverage, 11583,
     /*  717384 */     GIR_EraseRootFromParent_Done,
     /*  717385 */   // Label 11289: @717385
     /*  717385 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717460), // Rule ID 11586 //
     /*  717390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717458 */     GIR_RootConstrainSelectedInstOperands,
     /*  717459 */     // GIR_Coverage, 11586,
     /*  717459 */     GIR_EraseRootFromParent_Done,
     /*  717460 */   // Label 11290: @717460
     /*  717460 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(717535), // Rule ID 11587 //
     /*  717465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717533 */     GIR_RootConstrainSelectedInstOperands,
     /*  717534 */     // GIR_Coverage, 11587,
     /*  717534 */     GIR_EraseRootFromParent_Done,
     /*  717535 */   // Label 11291: @717535
     /*  717535 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(717610), // Rule ID 11590 //
     /*  717540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717608 */     GIR_RootConstrainSelectedInstOperands,
     /*  717609 */     // GIR_Coverage, 11590,
     /*  717609 */     GIR_EraseRootFromParent_Done,
     /*  717610 */   // Label 11292: @717610
     /*  717610 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717685), // Rule ID 11591 //
     /*  717615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717661 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717683 */     GIR_RootConstrainSelectedInstOperands,
     /*  717684 */     // GIR_Coverage, 11591,
     /*  717684 */     GIR_EraseRootFromParent_Done,
     /*  717685 */   // Label 11293: @717685
     /*  717685 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(717760), // Rule ID 11594 //
     /*  717690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717758 */     GIR_RootConstrainSelectedInstOperands,
     /*  717759 */     // GIR_Coverage, 11594,
     /*  717759 */     GIR_EraseRootFromParent_Done,
     /*  717760 */   // Label 11294: @717760
     /*  717760 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717835), // Rule ID 11595 //
     /*  717765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717833 */     GIR_RootConstrainSelectedInstOperands,
     /*  717834 */     // GIR_Coverage, 11595,
     /*  717834 */     GIR_EraseRootFromParent_Done,
     /*  717835 */   // Label 11295: @717835
     /*  717835 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717910), // Rule ID 11598 //
     /*  717840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717908 */     GIR_RootConstrainSelectedInstOperands,
     /*  717909 */     // GIR_Coverage, 11598,
     /*  717909 */     GIR_EraseRootFromParent_Done,
     /*  717910 */   // Label 11296: @717910
     /*  717910 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717985), // Rule ID 11599 //
     /*  717915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717983 */     GIR_RootConstrainSelectedInstOperands,
     /*  717984 */     // GIR_Coverage, 11599,
     /*  717984 */     GIR_EraseRootFromParent_Done,
     /*  717985 */   // Label 11297: @717985
     /*  717985 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(718060), // Rule ID 11602 //
     /*  717990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  718001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  718004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  718007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  718039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718058 */     GIR_RootConstrainSelectedInstOperands,
     /*  718059 */     // GIR_Coverage, 11602,
     /*  718059 */     GIR_EraseRootFromParent_Done,
     /*  718060 */   // Label 11298: @718060
     /*  718060 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(718135), // Rule ID 11603 //
     /*  718065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  718076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  718079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  718082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  718114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718133 */     GIR_RootConstrainSelectedInstOperands,
     /*  718134 */     // GIR_Coverage, 11603,
     /*  718134 */     GIR_EraseRootFromParent_Done,
     /*  718135 */   // Label 11299: @718135
     /*  718135 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(718210), // Rule ID 11606 //
     /*  718140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  718189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718208 */     GIR_RootConstrainSelectedInstOperands,
     /*  718209 */     // GIR_Coverage, 11606,
     /*  718209 */     GIR_EraseRootFromParent_Done,
     /*  718210 */   // Label 11300: @718210
     /*  718210 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(718285), // Rule ID 11607 //
     /*  718215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  718264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718283 */     GIR_RootConstrainSelectedInstOperands,
     /*  718284 */     // GIR_Coverage, 11607,
     /*  718284 */     GIR_EraseRootFromParent_Done,
     /*  718285 */   // Label 11301: @718285
     /*  718285 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(718360), // Rule ID 11610 //
     /*  718290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  718301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  718304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  718307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  718310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  718339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718358 */     GIR_RootConstrainSelectedInstOperands,
     /*  718359 */     // GIR_Coverage, 11610,
     /*  718359 */     GIR_EraseRootFromParent_Done,
     /*  718360 */   // Label 11302: @718360
     /*  718360 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718435), // Rule ID 11611 //
     /*  718365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  718376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  718379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  718382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  718385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  718414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718433 */     GIR_RootConstrainSelectedInstOperands,
     /*  718434 */     // GIR_Coverage, 11611,
     /*  718434 */     GIR_EraseRootFromParent_Done,
     /*  718435 */   // Label 11303: @718435
     /*  718435 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718510), // Rule ID 11614 //
     /*  718440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718508 */     GIR_RootConstrainSelectedInstOperands,
     /*  718509 */     // GIR_Coverage, 11614,
     /*  718509 */     GIR_EraseRootFromParent_Done,
     /*  718510 */   // Label 11304: @718510
     /*  718510 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(718585), // Rule ID 11615 //
     /*  718515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718583 */     GIR_RootConstrainSelectedInstOperands,
     /*  718584 */     // GIR_Coverage, 11615,
     /*  718584 */     GIR_EraseRootFromParent_Done,
     /*  718585 */   // Label 11305: @718585
     /*  718585 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718660), // Rule ID 11618 //
     /*  718590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718658 */     GIR_RootConstrainSelectedInstOperands,
     /*  718659 */     // GIR_Coverage, 11618,
     /*  718659 */     GIR_EraseRootFromParent_Done,
     /*  718660 */   // Label 11306: @718660
     /*  718660 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(718735), // Rule ID 11619 //
     /*  718665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718733 */     GIR_RootConstrainSelectedInstOperands,
     /*  718734 */     // GIR_Coverage, 11619,
     /*  718734 */     GIR_EraseRootFromParent_Done,
     /*  718735 */   // Label 11307: @718735
     /*  718735 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718810), // Rule ID 11622 //
     /*  718740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718808 */     GIR_RootConstrainSelectedInstOperands,
     /*  718809 */     // GIR_Coverage, 11622,
     /*  718809 */     GIR_EraseRootFromParent_Done,
     /*  718810 */   // Label 11308: @718810
     /*  718810 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718885), // Rule ID 11623 //
     /*  718815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718883 */     GIR_RootConstrainSelectedInstOperands,
     /*  718884 */     // GIR_Coverage, 11623,
     /*  718884 */     GIR_EraseRootFromParent_Done,
     /*  718885 */   // Label 11309: @718885
     /*  718885 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718960), // Rule ID 11626 //
     /*  718890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  718939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718958 */     GIR_RootConstrainSelectedInstOperands,
     /*  718959 */     // GIR_Coverage, 11626,
     /*  718959 */     GIR_EraseRootFromParent_Done,
     /*  718960 */   // Label 11310: @718960
     /*  718960 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(719035), // Rule ID 11627 //
     /*  718965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  719014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719033 */     GIR_RootConstrainSelectedInstOperands,
     /*  719034 */     // GIR_Coverage, 11627,
     /*  719034 */     GIR_EraseRootFromParent_Done,
     /*  719035 */   // Label 11311: @719035
     /*  719035 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(719110), // Rule ID 11630 //
     /*  719040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  719089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719108 */     GIR_RootConstrainSelectedInstOperands,
     /*  719109 */     // GIR_Coverage, 11630,
     /*  719109 */     GIR_EraseRootFromParent_Done,
     /*  719110 */   // Label 11312: @719110
     /*  719110 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(719185), // Rule ID 11631 //
     /*  719115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  719164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719183 */     GIR_RootConstrainSelectedInstOperands,
     /*  719184 */     // GIR_Coverage, 11631,
     /*  719184 */     GIR_EraseRootFromParent_Done,
     /*  719185 */   // Label 11313: @719185
     /*  719185 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(719260), // Rule ID 11634 //
     /*  719190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  719239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719258 */     GIR_RootConstrainSelectedInstOperands,
     /*  719259 */     // GIR_Coverage, 11634,
     /*  719259 */     GIR_EraseRootFromParent_Done,
     /*  719260 */   // Label 11314: @719260
     /*  719260 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(719335), // Rule ID 11635 //
     /*  719265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  719314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719333 */     GIR_RootConstrainSelectedInstOperands,
     /*  719334 */     // GIR_Coverage, 11635,
     /*  719334 */     GIR_EraseRootFromParent_Done,
     /*  719335 */   // Label 11315: @719335
     /*  719335 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719410), // Rule ID 11638 //
     /*  719340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  719351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  719354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  719357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  719389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719408 */     GIR_RootConstrainSelectedInstOperands,
     /*  719409 */     // GIR_Coverage, 11638,
     /*  719409 */     GIR_EraseRootFromParent_Done,
     /*  719410 */   // Label 11316: @719410
     /*  719410 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719485), // Rule ID 11639 //
     /*  719415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  719426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  719429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  719432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719461 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  719464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719483 */     GIR_RootConstrainSelectedInstOperands,
     /*  719484 */     // GIR_Coverage, 11639,
     /*  719484 */     GIR_EraseRootFromParent_Done,
     /*  719485 */   // Label 11317: @719485
     /*  719485 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(719560), // Rule ID 11642 //
     /*  719490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719558 */     GIR_RootConstrainSelectedInstOperands,
     /*  719559 */     // GIR_Coverage, 11642,
     /*  719559 */     GIR_EraseRootFromParent_Done,
     /*  719560 */   // Label 11318: @719560
     /*  719560 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(719635), // Rule ID 11643 //
     /*  719565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719633 */     GIR_RootConstrainSelectedInstOperands,
     /*  719634 */     // GIR_Coverage, 11643,
     /*  719634 */     GIR_EraseRootFromParent_Done,
     /*  719635 */   // Label 11319: @719635
     /*  719635 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(719710), // Rule ID 11646 //
     /*  719640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719708 */     GIR_RootConstrainSelectedInstOperands,
     /*  719709 */     // GIR_Coverage, 11646,
     /*  719709 */     GIR_EraseRootFromParent_Done,
     /*  719710 */   // Label 11320: @719710
     /*  719710 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(719785), // Rule ID 11647 //
     /*  719715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719783 */     GIR_RootConstrainSelectedInstOperands,
     /*  719784 */     // GIR_Coverage, 11647,
     /*  719784 */     GIR_EraseRootFromParent_Done,
     /*  719785 */   // Label 11321: @719785
     /*  719785 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719860), // Rule ID 11650 //
     /*  719790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719858 */     GIR_RootConstrainSelectedInstOperands,
     /*  719859 */     // GIR_Coverage, 11650,
     /*  719859 */     GIR_EraseRootFromParent_Done,
     /*  719860 */   // Label 11322: @719860
     /*  719860 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719935), // Rule ID 11651 //
     /*  719865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719911 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719933 */     GIR_RootConstrainSelectedInstOperands,
     /*  719934 */     // GIR_Coverage, 11651,
     /*  719934 */     GIR_EraseRootFromParent_Done,
     /*  719935 */   // Label 11323: @719935
     /*  719935 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(720010), // Rule ID 11654 //
     /*  719940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  719951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  719954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  719989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720008 */     GIR_RootConstrainSelectedInstOperands,
     /*  720009 */     // GIR_Coverage, 11654,
     /*  720009 */     GIR_EraseRootFromParent_Done,
     /*  720010 */   // Label 11324: @720010
     /*  720010 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(720085), // Rule ID 11655 //
     /*  720015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  720064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720083 */     GIR_RootConstrainSelectedInstOperands,
     /*  720084 */     // GIR_Coverage, 11655,
     /*  720084 */     GIR_EraseRootFromParent_Done,
     /*  720085 */   // Label 11325: @720085
     /*  720085 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(720160), // Rule ID 11658 //
     /*  720090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  720139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720158 */     GIR_RootConstrainSelectedInstOperands,
     /*  720159 */     // GIR_Coverage, 11658,
     /*  720159 */     GIR_EraseRootFromParent_Done,
     /*  720160 */   // Label 11326: @720160
     /*  720160 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(720235), // Rule ID 11659 //
     /*  720165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  720214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720233 */     GIR_RootConstrainSelectedInstOperands,
     /*  720234 */     // GIR_Coverage, 11659,
     /*  720234 */     GIR_EraseRootFromParent_Done,
     /*  720235 */   // Label 11327: @720235
     /*  720235 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(720310), // Rule ID 11662 //
     /*  720240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  720289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720308 */     GIR_RootConstrainSelectedInstOperands,
     /*  720309 */     // GIR_Coverage, 11662,
     /*  720309 */     GIR_EraseRootFromParent_Done,
     /*  720310 */   // Label 11328: @720310
     /*  720310 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720385), // Rule ID 11663 //
     /*  720315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  720364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720383 */     GIR_RootConstrainSelectedInstOperands,
     /*  720384 */     // GIR_Coverage, 11663,
     /*  720384 */     GIR_EraseRootFromParent_Done,
     /*  720385 */   // Label 11329: @720385
     /*  720385 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720460), // Rule ID 11666 //
     /*  720390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720458 */     GIR_RootConstrainSelectedInstOperands,
     /*  720459 */     // GIR_Coverage, 11666,
     /*  720459 */     GIR_EraseRootFromParent_Done,
     /*  720460 */   // Label 11330: @720460
     /*  720460 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(720535), // Rule ID 11667 //
     /*  720465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720533 */     GIR_RootConstrainSelectedInstOperands,
     /*  720534 */     // GIR_Coverage, 11667,
     /*  720534 */     GIR_EraseRootFromParent_Done,
     /*  720535 */   // Label 11331: @720535
     /*  720535 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(720610), // Rule ID 11670 //
     /*  720540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720608 */     GIR_RootConstrainSelectedInstOperands,
     /*  720609 */     // GIR_Coverage, 11670,
     /*  720609 */     GIR_EraseRootFromParent_Done,
     /*  720610 */   // Label 11332: @720610
     /*  720610 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720685), // Rule ID 11671 //
     /*  720615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720683 */     GIR_RootConstrainSelectedInstOperands,
     /*  720684 */     // GIR_Coverage, 11671,
     /*  720684 */     GIR_EraseRootFromParent_Done,
     /*  720685 */   // Label 11333: @720685
     /*  720685 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(720760), // Rule ID 11674 //
     /*  720690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720736 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720758 */     GIR_RootConstrainSelectedInstOperands,
     /*  720759 */     // GIR_Coverage, 11674,
     /*  720759 */     GIR_EraseRootFromParent_Done,
     /*  720760 */   // Label 11334: @720760
     /*  720760 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720835), // Rule ID 11675 //
     /*  720765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720833 */     GIR_RootConstrainSelectedInstOperands,
     /*  720834 */     // GIR_Coverage, 11675,
     /*  720834 */     GIR_EraseRootFromParent_Done,
     /*  720835 */   // Label 11335: @720835
     /*  720835 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720910), // Rule ID 11678 //
     /*  720840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720886 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720908 */     GIR_RootConstrainSelectedInstOperands,
     /*  720909 */     // GIR_Coverage, 11678,
     /*  720909 */     GIR_EraseRootFromParent_Done,
     /*  720910 */   // Label 11336: @720910
     /*  720910 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720985), // Rule ID 11679 //
     /*  720915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720983 */     GIR_RootConstrainSelectedInstOperands,
     /*  720984 */     // GIR_Coverage, 11679,
     /*  720984 */     GIR_EraseRootFromParent_Done,
     /*  720985 */   // Label 11337: @720985
     /*  720985 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(721060), // Rule ID 11682 //
     /*  720990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721036 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  721039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721058 */     GIR_RootConstrainSelectedInstOperands,
     /*  721059 */     // GIR_Coverage, 11682,
     /*  721059 */     GIR_EraseRootFromParent_Done,
     /*  721060 */   // Label 11338: @721060
     /*  721060 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(721135), // Rule ID 11683 //
     /*  721065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721111 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  721114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721133 */     GIR_RootConstrainSelectedInstOperands,
     /*  721134 */     // GIR_Coverage, 11683,
     /*  721134 */     GIR_EraseRootFromParent_Done,
     /*  721135 */   // Label 11339: @721135
     /*  721135 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(721210), // Rule ID 11686 //
     /*  721140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  721189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721208 */     GIR_RootConstrainSelectedInstOperands,
     /*  721209 */     // GIR_Coverage, 11686,
     /*  721209 */     GIR_EraseRootFromParent_Done,
     /*  721210 */   // Label 11340: @721210
     /*  721210 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(721285), // Rule ID 11687 //
     /*  721215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  721264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721283 */     GIR_RootConstrainSelectedInstOperands,
     /*  721284 */     // GIR_Coverage, 11687,
     /*  721284 */     GIR_EraseRootFromParent_Done,
     /*  721285 */   // Label 11341: @721285
     /*  721285 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(721360), // Rule ID 11690 //
     /*  721290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  721301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  721304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  721307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  721339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721358 */     GIR_RootConstrainSelectedInstOperands,
     /*  721359 */     // GIR_Coverage, 11690,
     /*  721359 */     GIR_EraseRootFromParent_Done,
     /*  721360 */   // Label 11342: @721360
     /*  721360 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721435), // Rule ID 11691 //
     /*  721365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  721376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  721379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  721382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  721414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721433 */     GIR_RootConstrainSelectedInstOperands,
     /*  721434 */     // GIR_Coverage, 11691,
     /*  721434 */     GIR_EraseRootFromParent_Done,
     /*  721435 */   // Label 11343: @721435
     /*  721435 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721510), // Rule ID 11694 //
     /*  721440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721486 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721508 */     GIR_RootConstrainSelectedInstOperands,
     /*  721509 */     // GIR_Coverage, 11694,
     /*  721509 */     GIR_EraseRootFromParent_Done,
     /*  721510 */   // Label 11344: @721510
     /*  721510 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(721585), // Rule ID 11695 //
     /*  721515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721583 */     GIR_RootConstrainSelectedInstOperands,
     /*  721584 */     // GIR_Coverage, 11695,
     /*  721584 */     GIR_EraseRootFromParent_Done,
     /*  721585 */   // Label 11345: @721585
     /*  721585 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721660), // Rule ID 11698 //
     /*  721590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721658 */     GIR_RootConstrainSelectedInstOperands,
     /*  721659 */     // GIR_Coverage, 11698,
     /*  721659 */     GIR_EraseRootFromParent_Done,
     /*  721660 */   // Label 11346: @721660
     /*  721660 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(721735), // Rule ID 11699 //
     /*  721665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721733 */     GIR_RootConstrainSelectedInstOperands,
     /*  721734 */     // GIR_Coverage, 11699,
     /*  721734 */     GIR_EraseRootFromParent_Done,
     /*  721735 */   // Label 11347: @721735
     /*  721735 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721810), // Rule ID 11702 //
     /*  721740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721808 */     GIR_RootConstrainSelectedInstOperands,
     /*  721809 */     // GIR_Coverage, 11702,
     /*  721809 */     GIR_EraseRootFromParent_Done,
     /*  721810 */   // Label 11348: @721810
     /*  721810 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721885), // Rule ID 11703 //
     /*  721815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721883 */     GIR_RootConstrainSelectedInstOperands,
     /*  721884 */     // GIR_Coverage, 11703,
     /*  721884 */     GIR_EraseRootFromParent_Done,
     /*  721885 */   // Label 11349: @721885
     /*  721885 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721960), // Rule ID 11706 //
     /*  721890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  721939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721958 */     GIR_RootConstrainSelectedInstOperands,
     /*  721959 */     // GIR_Coverage, 11706,
     /*  721959 */     GIR_EraseRootFromParent_Done,
     /*  721960 */   // Label 11350: @721960
     /*  721960 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(722035), // Rule ID 11707 //
     /*  721965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  722014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722033 */     GIR_RootConstrainSelectedInstOperands,
     /*  722034 */     // GIR_Coverage, 11707,
     /*  722034 */     GIR_EraseRootFromParent_Done,
     /*  722035 */   // Label 11351: @722035
     /*  722035 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(722110), // Rule ID 11710 //
     /*  722040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  722089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722108 */     GIR_RootConstrainSelectedInstOperands,
     /*  722109 */     // GIR_Coverage, 11710,
     /*  722109 */     GIR_EraseRootFromParent_Done,
     /*  722110 */   // Label 11352: @722110
     /*  722110 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(722185), // Rule ID 11711 //
     /*  722115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  722164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722183 */     GIR_RootConstrainSelectedInstOperands,
     /*  722184 */     // GIR_Coverage, 11711,
     /*  722184 */     GIR_EraseRootFromParent_Done,
     /*  722185 */   // Label 11353: @722185
     /*  722185 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(722260), // Rule ID 11714 //
     /*  722190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  722239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722258 */     GIR_RootConstrainSelectedInstOperands,
     /*  722259 */     // GIR_Coverage, 11714,
     /*  722259 */     GIR_EraseRootFromParent_Done,
     /*  722260 */   // Label 11354: @722260
     /*  722260 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(722335), // Rule ID 11715 //
     /*  722265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  722314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722333 */     GIR_RootConstrainSelectedInstOperands,
     /*  722334 */     // GIR_Coverage, 11715,
     /*  722334 */     GIR_EraseRootFromParent_Done,
     /*  722335 */   // Label 11355: @722335
     /*  722335 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722410), // Rule ID 11718 //
     /*  722340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  722351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  722354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  722357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  722389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722408 */     GIR_RootConstrainSelectedInstOperands,
     /*  722409 */     // GIR_Coverage, 11718,
     /*  722409 */     GIR_EraseRootFromParent_Done,
     /*  722410 */   // Label 11356: @722410
     /*  722410 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722485), // Rule ID 11719 //
     /*  722415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  722426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  722429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  722432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  722464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722483 */     GIR_RootConstrainSelectedInstOperands,
     /*  722484 */     // GIR_Coverage, 11719,
     /*  722484 */     GIR_EraseRootFromParent_Done,
     /*  722485 */   // Label 11357: @722485
     /*  722485 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(722560), // Rule ID 11722 //
     /*  722490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722558 */     GIR_RootConstrainSelectedInstOperands,
     /*  722559 */     // GIR_Coverage, 11722,
     /*  722559 */     GIR_EraseRootFromParent_Done,
     /*  722560 */   // Label 11358: @722560
     /*  722560 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(722635), // Rule ID 11723 //
     /*  722565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722633 */     GIR_RootConstrainSelectedInstOperands,
     /*  722634 */     // GIR_Coverage, 11723,
     /*  722634 */     GIR_EraseRootFromParent_Done,
     /*  722635 */   // Label 11359: @722635
     /*  722635 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(722710), // Rule ID 11726 //
     /*  722640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722708 */     GIR_RootConstrainSelectedInstOperands,
     /*  722709 */     // GIR_Coverage, 11726,
     /*  722709 */     GIR_EraseRootFromParent_Done,
     /*  722710 */   // Label 11360: @722710
     /*  722710 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(722785), // Rule ID 11727 //
     /*  722715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722783 */     GIR_RootConstrainSelectedInstOperands,
     /*  722784 */     // GIR_Coverage, 11727,
     /*  722784 */     GIR_EraseRootFromParent_Done,
     /*  722785 */   // Label 11361: @722785
     /*  722785 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722860), // Rule ID 11730 //
     /*  722790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722858 */     GIR_RootConstrainSelectedInstOperands,
     /*  722859 */     // GIR_Coverage, 11730,
     /*  722859 */     GIR_EraseRootFromParent_Done,
     /*  722860 */   // Label 11362: @722860
     /*  722860 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722935), // Rule ID 11731 //
     /*  722865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722933 */     GIR_RootConstrainSelectedInstOperands,
     /*  722934 */     // GIR_Coverage, 11731,
     /*  722934 */     GIR_EraseRootFromParent_Done,
     /*  722935 */   // Label 11363: @722935
     /*  722935 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(723010), // Rule ID 11734 //
     /*  722940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  722951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  722954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  722960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  722989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723008 */     GIR_RootConstrainSelectedInstOperands,
     /*  723009 */     // GIR_Coverage, 11734,
     /*  723009 */     GIR_EraseRootFromParent_Done,
     /*  723010 */   // Label 11364: @723010
     /*  723010 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(723085), // Rule ID 11735 //
     /*  723015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  723035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  723064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723083 */     GIR_RootConstrainSelectedInstOperands,
     /*  723084 */     // GIR_Coverage, 11735,
     /*  723084 */     GIR_EraseRootFromParent_Done,
     /*  723085 */   // Label 11365: @723085
     /*  723085 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(723160), // Rule ID 11738 //
     /*  723090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  723139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723158 */     GIR_RootConstrainSelectedInstOperands,
     /*  723159 */     // GIR_Coverage, 11738,
     /*  723159 */     GIR_EraseRootFromParent_Done,
     /*  723160 */   // Label 11366: @723160
     /*  723160 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(723235), // Rule ID 11739 //
     /*  723165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  723214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723233 */     GIR_RootConstrainSelectedInstOperands,
     /*  723234 */     // GIR_Coverage, 11739,
     /*  723234 */     GIR_EraseRootFromParent_Done,
     /*  723235 */   // Label 11367: @723235
     /*  723235 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(723310), // Rule ID 11742 //
     /*  723240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  723260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  723289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723308 */     GIR_RootConstrainSelectedInstOperands,
     /*  723309 */     // GIR_Coverage, 11742,
     /*  723309 */     GIR_EraseRootFromParent_Done,
     /*  723310 */   // Label 11368: @723310
     /*  723310 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723385), // Rule ID 11743 //
     /*  723315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  723335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  723364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723383 */     GIR_RootConstrainSelectedInstOperands,
     /*  723384 */     // GIR_Coverage, 11743,
     /*  723384 */     GIR_EraseRootFromParent_Done,
     /*  723385 */   // Label 11369: @723385
     /*  723385 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723460), // Rule ID 11746 //
     /*  723390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723458 */     GIR_RootConstrainSelectedInstOperands,
     /*  723459 */     // GIR_Coverage, 11746,
     /*  723459 */     GIR_EraseRootFromParent_Done,
     /*  723460 */   // Label 11370: @723460
     /*  723460 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(723535), // Rule ID 11747 //
     /*  723465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723533 */     GIR_RootConstrainSelectedInstOperands,
     /*  723534 */     // GIR_Coverage, 11747,
     /*  723534 */     GIR_EraseRootFromParent_Done,
     /*  723535 */   // Label 11371: @723535
     /*  723535 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(723610), // Rule ID 11750 //
     /*  723540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723608 */     GIR_RootConstrainSelectedInstOperands,
     /*  723609 */     // GIR_Coverage, 11750,
     /*  723609 */     GIR_EraseRootFromParent_Done,
     /*  723610 */   // Label 11372: @723610
     /*  723610 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723685), // Rule ID 11751 //
     /*  723615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723683 */     GIR_RootConstrainSelectedInstOperands,
     /*  723684 */     // GIR_Coverage, 11751,
     /*  723684 */     GIR_EraseRootFromParent_Done,
     /*  723685 */   // Label 11373: @723685
     /*  723685 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(723760), // Rule ID 11754 //
     /*  723690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723758 */     GIR_RootConstrainSelectedInstOperands,
     /*  723759 */     // GIR_Coverage, 11754,
     /*  723759 */     GIR_EraseRootFromParent_Done,
     /*  723760 */   // Label 11374: @723760
     /*  723760 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723835), // Rule ID 11755 //
     /*  723765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723833 */     GIR_RootConstrainSelectedInstOperands,
     /*  723834 */     // GIR_Coverage, 11755,
     /*  723834 */     GIR_EraseRootFromParent_Done,
     /*  723835 */   // Label 11375: @723835
     /*  723835 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723910), // Rule ID 11758 //
     /*  723840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723908 */     GIR_RootConstrainSelectedInstOperands,
     /*  723909 */     // GIR_Coverage, 11758,
     /*  723909 */     GIR_EraseRootFromParent_Done,
     /*  723910 */   // Label 11376: @723910
     /*  723910 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723985), // Rule ID 11759 //
     /*  723915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723983 */     GIR_RootConstrainSelectedInstOperands,
     /*  723984 */     // GIR_Coverage, 11759,
     /*  723984 */     GIR_EraseRootFromParent_Done,
     /*  723985 */   // Label 11377: @723985
     /*  723985 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(724060), // Rule ID 11762 //
     /*  723990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  724039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724058 */     GIR_RootConstrainSelectedInstOperands,
     /*  724059 */     // GIR_Coverage, 11762,
     /*  724059 */     GIR_EraseRootFromParent_Done,
     /*  724060 */   // Label 11378: @724060
     /*  724060 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(724135), // Rule ID 11763 //
     /*  724065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  724114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724133 */     GIR_RootConstrainSelectedInstOperands,
     /*  724134 */     // GIR_Coverage, 11763,
     /*  724134 */     GIR_EraseRootFromParent_Done,
     /*  724135 */   // Label 11379: @724135
     /*  724135 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(724210), // Rule ID 11766 //
     /*  724140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  724189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724208 */     GIR_RootConstrainSelectedInstOperands,
     /*  724209 */     // GIR_Coverage, 11766,
     /*  724209 */     GIR_EraseRootFromParent_Done,
     /*  724210 */   // Label 11380: @724210
     /*  724210 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(724285), // Rule ID 11767 //
     /*  724215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724261 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  724264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724283 */     GIR_RootConstrainSelectedInstOperands,
     /*  724284 */     // GIR_Coverage, 11767,
     /*  724284 */     GIR_EraseRootFromParent_Done,
     /*  724285 */   // Label 11381: @724285
     /*  724285 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(724360), // Rule ID 11770 //
     /*  724290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  724301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  724304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  724307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  724310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  724339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724358 */     GIR_RootConstrainSelectedInstOperands,
     /*  724359 */     // GIR_Coverage, 11770,
     /*  724359 */     GIR_EraseRootFromParent_Done,
     /*  724360 */   // Label 11382: @724360
     /*  724360 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724435), // Rule ID 11771 //
     /*  724365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  724376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  724379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  724382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  724385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  724414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724433 */     GIR_RootConstrainSelectedInstOperands,
     /*  724434 */     // GIR_Coverage, 11771,
     /*  724434 */     GIR_EraseRootFromParent_Done,
     /*  724435 */   // Label 11383: @724435
     /*  724435 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724510), // Rule ID 11774 //
     /*  724440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724508 */     GIR_RootConstrainSelectedInstOperands,
     /*  724509 */     // GIR_Coverage, 11774,
     /*  724509 */     GIR_EraseRootFromParent_Done,
     /*  724510 */   // Label 11384: @724510
     /*  724510 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(724585), // Rule ID 11775 //
     /*  724515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724583 */     GIR_RootConstrainSelectedInstOperands,
     /*  724584 */     // GIR_Coverage, 11775,
     /*  724584 */     GIR_EraseRootFromParent_Done,
     /*  724585 */   // Label 11385: @724585
     /*  724585 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724660), // Rule ID 11778 //
     /*  724590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724658 */     GIR_RootConstrainSelectedInstOperands,
     /*  724659 */     // GIR_Coverage, 11778,
     /*  724659 */     GIR_EraseRootFromParent_Done,
     /*  724660 */   // Label 11386: @724660
     /*  724660 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(724735), // Rule ID 11779 //
     /*  724665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724733 */     GIR_RootConstrainSelectedInstOperands,
     /*  724734 */     // GIR_Coverage, 11779,
     /*  724734 */     GIR_EraseRootFromParent_Done,
     /*  724735 */   // Label 11387: @724735
     /*  724735 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724810), // Rule ID 11782 //
     /*  724740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724808 */     GIR_RootConstrainSelectedInstOperands,
     /*  724809 */     // GIR_Coverage, 11782,
     /*  724809 */     GIR_EraseRootFromParent_Done,
     /*  724810 */   // Label 11388: @724810
     /*  724810 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724885), // Rule ID 11783 //
     /*  724815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724883 */     GIR_RootConstrainSelectedInstOperands,
     /*  724884 */     // GIR_Coverage, 11783,
     /*  724884 */     GIR_EraseRootFromParent_Done,
     /*  724885 */   // Label 11389: @724885
     /*  724885 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724960), // Rule ID 11786 //
     /*  724890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  724939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724958 */     GIR_RootConstrainSelectedInstOperands,
     /*  724959 */     // GIR_Coverage, 11786,
     /*  724959 */     GIR_EraseRootFromParent_Done,
     /*  724960 */   // Label 11390: @724960
     /*  724960 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(725035), // Rule ID 11787 //
     /*  724965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  725014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725033 */     GIR_RootConstrainSelectedInstOperands,
     /*  725034 */     // GIR_Coverage, 11787,
     /*  725034 */     GIR_EraseRootFromParent_Done,
     /*  725035 */   // Label 11391: @725035
     /*  725035 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(725110), // Rule ID 11790 //
     /*  725040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  725089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725108 */     GIR_RootConstrainSelectedInstOperands,
     /*  725109 */     // GIR_Coverage, 11790,
     /*  725109 */     GIR_EraseRootFromParent_Done,
     /*  725110 */   // Label 11392: @725110
     /*  725110 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(725185), // Rule ID 11791 //
     /*  725115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  725164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725183 */     GIR_RootConstrainSelectedInstOperands,
     /*  725184 */     // GIR_Coverage, 11791,
     /*  725184 */     GIR_EraseRootFromParent_Done,
     /*  725185 */   // Label 11393: @725185
     /*  725185 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(725260), // Rule ID 11794 //
     /*  725190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  725239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725258 */     GIR_RootConstrainSelectedInstOperands,
     /*  725259 */     // GIR_Coverage, 11794,
     /*  725259 */     GIR_EraseRootFromParent_Done,
     /*  725260 */   // Label 11394: @725260
     /*  725260 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(725335), // Rule ID 11795 //
     /*  725265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  725314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725333 */     GIR_RootConstrainSelectedInstOperands,
     /*  725334 */     // GIR_Coverage, 11795,
     /*  725334 */     GIR_EraseRootFromParent_Done,
     /*  725335 */   // Label 11395: @725335
     /*  725335 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725410), // Rule ID 11798 //
     /*  725340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  725351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  725354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  725357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  725360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  725389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725408 */     GIR_RootConstrainSelectedInstOperands,
     /*  725409 */     // GIR_Coverage, 11798,
     /*  725409 */     GIR_EraseRootFromParent_Done,
     /*  725410 */   // Label 11396: @725410
     /*  725410 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725485), // Rule ID 11799 //
     /*  725415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  725426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  725429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  725432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  725435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  725464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725483 */     GIR_RootConstrainSelectedInstOperands,
     /*  725484 */     // GIR_Coverage, 11799,
     /*  725484 */     GIR_EraseRootFromParent_Done,
     /*  725485 */   // Label 11397: @725485
     /*  725485 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(725560), // Rule ID 11802 //
     /*  725490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725558 */     GIR_RootConstrainSelectedInstOperands,
     /*  725559 */     // GIR_Coverage, 11802,
     /*  725559 */     GIR_EraseRootFromParent_Done,
     /*  725560 */   // Label 11398: @725560
     /*  725560 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(725635), // Rule ID 11803 //
     /*  725565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725633 */     GIR_RootConstrainSelectedInstOperands,
     /*  725634 */     // GIR_Coverage, 11803,
     /*  725634 */     GIR_EraseRootFromParent_Done,
     /*  725635 */   // Label 11399: @725635
     /*  725635 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(725710), // Rule ID 11806 //
     /*  725640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725708 */     GIR_RootConstrainSelectedInstOperands,
     /*  725709 */     // GIR_Coverage, 11806,
     /*  725709 */     GIR_EraseRootFromParent_Done,
     /*  725710 */   // Label 11400: @725710
     /*  725710 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(725785), // Rule ID 11807 //
     /*  725715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725783 */     GIR_RootConstrainSelectedInstOperands,
     /*  725784 */     // GIR_Coverage, 11807,
     /*  725784 */     GIR_EraseRootFromParent_Done,
     /*  725785 */   // Label 11401: @725785
     /*  725785 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725860), // Rule ID 11810 //
     /*  725790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725858 */     GIR_RootConstrainSelectedInstOperands,
     /*  725859 */     // GIR_Coverage, 11810,
     /*  725859 */     GIR_EraseRootFromParent_Done,
     /*  725860 */   // Label 11402: @725860
     /*  725860 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725935), // Rule ID 11811 //
     /*  725865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725933 */     GIR_RootConstrainSelectedInstOperands,
     /*  725934 */     // GIR_Coverage, 11811,
     /*  725934 */     GIR_EraseRootFromParent_Done,
     /*  725935 */   // Label 11403: @725935
     /*  725935 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(726010), // Rule ID 11814 //
     /*  725940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  725951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  725954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  725989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726008 */     GIR_RootConstrainSelectedInstOperands,
     /*  726009 */     // GIR_Coverage, 11814,
     /*  726009 */     GIR_EraseRootFromParent_Done,
     /*  726010 */   // Label 11404: @726010
     /*  726010 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(726085), // Rule ID 11815 //
     /*  726015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  726064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726083 */     GIR_RootConstrainSelectedInstOperands,
     /*  726084 */     // GIR_Coverage, 11815,
     /*  726084 */     GIR_EraseRootFromParent_Done,
     /*  726085 */   // Label 11405: @726085
     /*  726085 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(726160), // Rule ID 11818 //
     /*  726090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  726139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726158 */     GIR_RootConstrainSelectedInstOperands,
     /*  726159 */     // GIR_Coverage, 11818,
     /*  726159 */     GIR_EraseRootFromParent_Done,
     /*  726160 */   // Label 11406: @726160
     /*  726160 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(726235), // Rule ID 11819 //
     /*  726165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  726214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726233 */     GIR_RootConstrainSelectedInstOperands,
     /*  726234 */     // GIR_Coverage, 11819,
     /*  726234 */     GIR_EraseRootFromParent_Done,
     /*  726235 */   // Label 11407: @726235
     /*  726235 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(726310), // Rule ID 11822 //
     /*  726240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  726289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726308 */     GIR_RootConstrainSelectedInstOperands,
     /*  726309 */     // GIR_Coverage, 11822,
     /*  726309 */     GIR_EraseRootFromParent_Done,
     /*  726310 */   // Label 11408: @726310
     /*  726310 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726385), // Rule ID 11823 //
     /*  726315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  726364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726383 */     GIR_RootConstrainSelectedInstOperands,
     /*  726384 */     // GIR_Coverage, 11823,
     /*  726384 */     GIR_EraseRootFromParent_Done,
     /*  726385 */   // Label 11409: @726385
     /*  726385 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726460), // Rule ID 11826 //
     /*  726390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726458 */     GIR_RootConstrainSelectedInstOperands,
     /*  726459 */     // GIR_Coverage, 11826,
     /*  726459 */     GIR_EraseRootFromParent_Done,
     /*  726460 */   // Label 11410: @726460
     /*  726460 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(726535), // Rule ID 11827 //
     /*  726465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726533 */     GIR_RootConstrainSelectedInstOperands,
     /*  726534 */     // GIR_Coverage, 11827,
     /*  726534 */     GIR_EraseRootFromParent_Done,
     /*  726535 */   // Label 11411: @726535
     /*  726535 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(726610), // Rule ID 11830 //
     /*  726540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726608 */     GIR_RootConstrainSelectedInstOperands,
     /*  726609 */     // GIR_Coverage, 11830,
     /*  726609 */     GIR_EraseRootFromParent_Done,
     /*  726610 */   // Label 11412: @726610
     /*  726610 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726685), // Rule ID 11831 //
     /*  726615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726683 */     GIR_RootConstrainSelectedInstOperands,
     /*  726684 */     // GIR_Coverage, 11831,
     /*  726684 */     GIR_EraseRootFromParent_Done,
     /*  726685 */   // Label 11413: @726685
     /*  726685 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(726760), // Rule ID 11834 //
     /*  726690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726758 */     GIR_RootConstrainSelectedInstOperands,
     /*  726759 */     // GIR_Coverage, 11834,
     /*  726759 */     GIR_EraseRootFromParent_Done,
     /*  726760 */   // Label 11414: @726760
     /*  726760 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726835), // Rule ID 11835 //
     /*  726765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726833 */     GIR_RootConstrainSelectedInstOperands,
     /*  726834 */     // GIR_Coverage, 11835,
     /*  726834 */     GIR_EraseRootFromParent_Done,
     /*  726835 */   // Label 11415: @726835
     /*  726835 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726910), // Rule ID 11838 //
     /*  726840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726908 */     GIR_RootConstrainSelectedInstOperands,
     /*  726909 */     // GIR_Coverage, 11838,
     /*  726909 */     GIR_EraseRootFromParent_Done,
     /*  726910 */   // Label 11416: @726910
     /*  726910 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726985), // Rule ID 11839 //
     /*  726915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726983 */     GIR_RootConstrainSelectedInstOperands,
     /*  726984 */     // GIR_Coverage, 11839,
     /*  726984 */     GIR_EraseRootFromParent_Done,
     /*  726985 */   // Label 11417: @726985
     /*  726985 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(727060), // Rule ID 11842 //
     /*  726990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  727039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727058 */     GIR_RootConstrainSelectedInstOperands,
     /*  727059 */     // GIR_Coverage, 11842,
     /*  727059 */     GIR_EraseRootFromParent_Done,
     /*  727060 */   // Label 11418: @727060
     /*  727060 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(727135), // Rule ID 11843 //
     /*  727065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  727114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727133 */     GIR_RootConstrainSelectedInstOperands,
     /*  727134 */     // GIR_Coverage, 11843,
     /*  727134 */     GIR_EraseRootFromParent_Done,
     /*  727135 */   // Label 11419: @727135
     /*  727135 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(727210), // Rule ID 11846 //
     /*  727140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  727189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727208 */     GIR_RootConstrainSelectedInstOperands,
     /*  727209 */     // GIR_Coverage, 11846,
     /*  727209 */     GIR_EraseRootFromParent_Done,
     /*  727210 */   // Label 11420: @727210
     /*  727210 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(727285), // Rule ID 11847 //
     /*  727215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  727264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727283 */     GIR_RootConstrainSelectedInstOperands,
     /*  727284 */     // GIR_Coverage, 11847,
     /*  727284 */     GIR_EraseRootFromParent_Done,
     /*  727285 */   // Label 11421: @727285
     /*  727285 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(727360), // Rule ID 11850 //
     /*  727290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  727301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  727304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  727307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  727339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727358 */     GIR_RootConstrainSelectedInstOperands,
     /*  727359 */     // GIR_Coverage, 11850,
     /*  727359 */     GIR_EraseRootFromParent_Done,
     /*  727360 */   // Label 11422: @727360
     /*  727360 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727435), // Rule ID 11851 //
     /*  727365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  727376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  727379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  727382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  727414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727433 */     GIR_RootConstrainSelectedInstOperands,
     /*  727434 */     // GIR_Coverage, 11851,
     /*  727434 */     GIR_EraseRootFromParent_Done,
     /*  727435 */   // Label 11423: @727435
     /*  727435 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727510), // Rule ID 11854 //
     /*  727440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727508 */     GIR_RootConstrainSelectedInstOperands,
     /*  727509 */     // GIR_Coverage, 11854,
     /*  727509 */     GIR_EraseRootFromParent_Done,
     /*  727510 */   // Label 11424: @727510
     /*  727510 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(727585), // Rule ID 11855 //
     /*  727515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727583 */     GIR_RootConstrainSelectedInstOperands,
     /*  727584 */     // GIR_Coverage, 11855,
     /*  727584 */     GIR_EraseRootFromParent_Done,
     /*  727585 */   // Label 11425: @727585
     /*  727585 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727660), // Rule ID 11858 //
     /*  727590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727658 */     GIR_RootConstrainSelectedInstOperands,
     /*  727659 */     // GIR_Coverage, 11858,
     /*  727659 */     GIR_EraseRootFromParent_Done,
     /*  727660 */   // Label 11426: @727660
     /*  727660 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(727735), // Rule ID 11859 //
     /*  727665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727733 */     GIR_RootConstrainSelectedInstOperands,
     /*  727734 */     // GIR_Coverage, 11859,
     /*  727734 */     GIR_EraseRootFromParent_Done,
     /*  727735 */   // Label 11427: @727735
     /*  727735 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727810), // Rule ID 11862 //
     /*  727740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727808 */     GIR_RootConstrainSelectedInstOperands,
     /*  727809 */     // GIR_Coverage, 11862,
     /*  727809 */     GIR_EraseRootFromParent_Done,
     /*  727810 */   // Label 11428: @727810
     /*  727810 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727885), // Rule ID 11863 //
     /*  727815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727883 */     GIR_RootConstrainSelectedInstOperands,
     /*  727884 */     // GIR_Coverage, 11863,
     /*  727884 */     GIR_EraseRootFromParent_Done,
     /*  727885 */   // Label 11429: @727885
     /*  727885 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727960), // Rule ID 11866 //
     /*  727890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  727939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727958 */     GIR_RootConstrainSelectedInstOperands,
     /*  727959 */     // GIR_Coverage, 11866,
     /*  727959 */     GIR_EraseRootFromParent_Done,
     /*  727960 */   // Label 11430: @727960
     /*  727960 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(728035), // Rule ID 11867 //
     /*  727965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  728014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728033 */     GIR_RootConstrainSelectedInstOperands,
     /*  728034 */     // GIR_Coverage, 11867,
     /*  728034 */     GIR_EraseRootFromParent_Done,
     /*  728035 */   // Label 11431: @728035
     /*  728035 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(728110), // Rule ID 11870 //
     /*  728040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728086 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  728089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728108 */     GIR_RootConstrainSelectedInstOperands,
     /*  728109 */     // GIR_Coverage, 11870,
     /*  728109 */     GIR_EraseRootFromParent_Done,
     /*  728110 */   // Label 11432: @728110
     /*  728110 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(728185), // Rule ID 11871 //
     /*  728115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  728164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728183 */     GIR_RootConstrainSelectedInstOperands,
     /*  728184 */     // GIR_Coverage, 11871,
     /*  728184 */     GIR_EraseRootFromParent_Done,
     /*  728185 */   // Label 11433: @728185
     /*  728185 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(728260), // Rule ID 11874 //
     /*  728190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  728239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728258 */     GIR_RootConstrainSelectedInstOperands,
     /*  728259 */     // GIR_Coverage, 11874,
     /*  728259 */     GIR_EraseRootFromParent_Done,
     /*  728260 */   // Label 11434: @728260
     /*  728260 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(728335), // Rule ID 11875 //
     /*  728265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  728314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728333 */     GIR_RootConstrainSelectedInstOperands,
     /*  728334 */     // GIR_Coverage, 11875,
     /*  728334 */     GIR_EraseRootFromParent_Done,
     /*  728335 */   // Label 11435: @728335
     /*  728335 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728410), // Rule ID 11878 //
     /*  728340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  728351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  728354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  728357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  728389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728408 */     GIR_RootConstrainSelectedInstOperands,
     /*  728409 */     // GIR_Coverage, 11878,
     /*  728409 */     GIR_EraseRootFromParent_Done,
     /*  728410 */   // Label 11436: @728410
     /*  728410 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728485), // Rule ID 11879 //
     /*  728415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  728426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  728429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  728432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  728464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728483 */     GIR_RootConstrainSelectedInstOperands,
     /*  728484 */     // GIR_Coverage, 11879,
     /*  728484 */     GIR_EraseRootFromParent_Done,
     /*  728485 */   // Label 11437: @728485
     /*  728485 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(728560), // Rule ID 11882 //
     /*  728490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728558 */     GIR_RootConstrainSelectedInstOperands,
     /*  728559 */     // GIR_Coverage, 11882,
     /*  728559 */     GIR_EraseRootFromParent_Done,
     /*  728560 */   // Label 11438: @728560
     /*  728560 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(728635), // Rule ID 11883 //
     /*  728565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728633 */     GIR_RootConstrainSelectedInstOperands,
     /*  728634 */     // GIR_Coverage, 11883,
     /*  728634 */     GIR_EraseRootFromParent_Done,
     /*  728635 */   // Label 11439: @728635
     /*  728635 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(728710), // Rule ID 11886 //
     /*  728640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728708 */     GIR_RootConstrainSelectedInstOperands,
     /*  728709 */     // GIR_Coverage, 11886,
     /*  728709 */     GIR_EraseRootFromParent_Done,
     /*  728710 */   // Label 11440: @728710
     /*  728710 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(728785), // Rule ID 11887 //
     /*  728715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728783 */     GIR_RootConstrainSelectedInstOperands,
     /*  728784 */     // GIR_Coverage, 11887,
     /*  728784 */     GIR_EraseRootFromParent_Done,
     /*  728785 */   // Label 11441: @728785
     /*  728785 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728860), // Rule ID 11890 //
     /*  728790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728858 */     GIR_RootConstrainSelectedInstOperands,
     /*  728859 */     // GIR_Coverage, 11890,
     /*  728859 */     GIR_EraseRootFromParent_Done,
     /*  728860 */   // Label 11442: @728860
     /*  728860 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728935), // Rule ID 11891 //
     /*  728865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728933 */     GIR_RootConstrainSelectedInstOperands,
     /*  728934 */     // GIR_Coverage, 11891,
     /*  728934 */     GIR_EraseRootFromParent_Done,
     /*  728935 */   // Label 11443: @728935
     /*  728935 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(729010), // Rule ID 11894 //
     /*  728940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  728951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  728954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  728989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729008 */     GIR_RootConstrainSelectedInstOperands,
     /*  729009 */     // GIR_Coverage, 11894,
     /*  729009 */     GIR_EraseRootFromParent_Done,
     /*  729010 */   // Label 11444: @729010
     /*  729010 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(729085), // Rule ID 11895 //
     /*  729015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  729064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729083 */     GIR_RootConstrainSelectedInstOperands,
     /*  729084 */     // GIR_Coverage, 11895,
     /*  729084 */     GIR_EraseRootFromParent_Done,
     /*  729085 */   // Label 11445: @729085
     /*  729085 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(729160), // Rule ID 11898 //
     /*  729090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  729139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729158 */     GIR_RootConstrainSelectedInstOperands,
     /*  729159 */     // GIR_Coverage, 11898,
     /*  729159 */     GIR_EraseRootFromParent_Done,
     /*  729160 */   // Label 11446: @729160
     /*  729160 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(729235), // Rule ID 11899 //
     /*  729165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  729214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729233 */     GIR_RootConstrainSelectedInstOperands,
     /*  729234 */     // GIR_Coverage, 11899,
     /*  729234 */     GIR_EraseRootFromParent_Done,
     /*  729235 */   // Label 11447: @729235
     /*  729235 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(729310), // Rule ID 11902 //
     /*  729240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  729260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  729289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729308 */     GIR_RootConstrainSelectedInstOperands,
     /*  729309 */     // GIR_Coverage, 11902,
     /*  729309 */     GIR_EraseRootFromParent_Done,
     /*  729310 */   // Label 11448: @729310
     /*  729310 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729385), // Rule ID 11903 //
     /*  729315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  729335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  729364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729383 */     GIR_RootConstrainSelectedInstOperands,
     /*  729384 */     // GIR_Coverage, 11903,
     /*  729384 */     GIR_EraseRootFromParent_Done,
     /*  729385 */   // Label 11449: @729385
     /*  729385 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729460), // Rule ID 11906 //
     /*  729390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729458 */     GIR_RootConstrainSelectedInstOperands,
     /*  729459 */     // GIR_Coverage, 11906,
     /*  729459 */     GIR_EraseRootFromParent_Done,
     /*  729460 */   // Label 11450: @729460
     /*  729460 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(729535), // Rule ID 11907 //
     /*  729465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729533 */     GIR_RootConstrainSelectedInstOperands,
     /*  729534 */     // GIR_Coverage, 11907,
     /*  729534 */     GIR_EraseRootFromParent_Done,
     /*  729535 */   // Label 11451: @729535
     /*  729535 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(729610), // Rule ID 11910 //
     /*  729540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729608 */     GIR_RootConstrainSelectedInstOperands,
     /*  729609 */     // GIR_Coverage, 11910,
     /*  729609 */     GIR_EraseRootFromParent_Done,
     /*  729610 */   // Label 11452: @729610
     /*  729610 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729685), // Rule ID 11911 //
     /*  729615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729683 */     GIR_RootConstrainSelectedInstOperands,
     /*  729684 */     // GIR_Coverage, 11911,
     /*  729684 */     GIR_EraseRootFromParent_Done,
     /*  729685 */   // Label 11453: @729685
     /*  729685 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(729760), // Rule ID 11914 //
     /*  729690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729758 */     GIR_RootConstrainSelectedInstOperands,
     /*  729759 */     // GIR_Coverage, 11914,
     /*  729759 */     GIR_EraseRootFromParent_Done,
     /*  729760 */   // Label 11454: @729760
     /*  729760 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729835), // Rule ID 11915 //
     /*  729765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729833 */     GIR_RootConstrainSelectedInstOperands,
     /*  729834 */     // GIR_Coverage, 11915,
     /*  729834 */     GIR_EraseRootFromParent_Done,
     /*  729835 */   // Label 11455: @729835
     /*  729835 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729910), // Rule ID 11918 //
     /*  729840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729908 */     GIR_RootConstrainSelectedInstOperands,
     /*  729909 */     // GIR_Coverage, 11918,
     /*  729909 */     GIR_EraseRootFromParent_Done,
     /*  729910 */   // Label 11456: @729910
     /*  729910 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729985), // Rule ID 11919 //
     /*  729915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729983 */     GIR_RootConstrainSelectedInstOperands,
     /*  729984 */     // GIR_Coverage, 11919,
     /*  729984 */     GIR_EraseRootFromParent_Done,
     /*  729985 */   // Label 11457: @729985
     /*  729985 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(730060), // Rule ID 11922 //
     /*  729990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  730039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730058 */     GIR_RootConstrainSelectedInstOperands,
     /*  730059 */     // GIR_Coverage, 11922,
     /*  730059 */     GIR_EraseRootFromParent_Done,
     /*  730060 */   // Label 11458: @730060
     /*  730060 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(730135), // Rule ID 11923 //
     /*  730065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  730114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730133 */     GIR_RootConstrainSelectedInstOperands,
     /*  730134 */     // GIR_Coverage, 11923,
     /*  730134 */     GIR_EraseRootFromParent_Done,
     /*  730135 */   // Label 11459: @730135
     /*  730135 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(730210), // Rule ID 11926 //
     /*  730140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  730189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730208 */     GIR_RootConstrainSelectedInstOperands,
     /*  730209 */     // GIR_Coverage, 11926,
     /*  730209 */     GIR_EraseRootFromParent_Done,
     /*  730210 */   // Label 11460: @730210
     /*  730210 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(730285), // Rule ID 11927 //
     /*  730215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  730264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730283 */     GIR_RootConstrainSelectedInstOperands,
     /*  730284 */     // GIR_Coverage, 11927,
     /*  730284 */     GIR_EraseRootFromParent_Done,
     /*  730285 */   // Label 11461: @730285
     /*  730285 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(730360), // Rule ID 11930 //
     /*  730290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  730307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  730339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730358 */     GIR_RootConstrainSelectedInstOperands,
     /*  730359 */     // GIR_Coverage, 11930,
     /*  730359 */     GIR_EraseRootFromParent_Done,
     /*  730360 */   // Label 11462: @730360
     /*  730360 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730435), // Rule ID 11931 //
     /*  730365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  730382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  730414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730433 */     GIR_RootConstrainSelectedInstOperands,
     /*  730434 */     // GIR_Coverage, 11931,
     /*  730434 */     GIR_EraseRootFromParent_Done,
     /*  730435 */   // Label 11463: @730435
     /*  730435 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730510), // Rule ID 11934 //
     /*  730440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730508 */     GIR_RootConstrainSelectedInstOperands,
     /*  730509 */     // GIR_Coverage, 11934,
     /*  730509 */     GIR_EraseRootFromParent_Done,
     /*  730510 */   // Label 11464: @730510
     /*  730510 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(730585), // Rule ID 11935 //
     /*  730515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730583 */     GIR_RootConstrainSelectedInstOperands,
     /*  730584 */     // GIR_Coverage, 11935,
     /*  730584 */     GIR_EraseRootFromParent_Done,
     /*  730585 */   // Label 11465: @730585
     /*  730585 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730660), // Rule ID 11938 //
     /*  730590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730658 */     GIR_RootConstrainSelectedInstOperands,
     /*  730659 */     // GIR_Coverage, 11938,
     /*  730659 */     GIR_EraseRootFromParent_Done,
     /*  730660 */   // Label 11466: @730660
     /*  730660 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(730735), // Rule ID 11939 //
     /*  730665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730733 */     GIR_RootConstrainSelectedInstOperands,
     /*  730734 */     // GIR_Coverage, 11939,
     /*  730734 */     GIR_EraseRootFromParent_Done,
     /*  730735 */   // Label 11467: @730735
     /*  730735 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730810), // Rule ID 11942 //
     /*  730740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730808 */     GIR_RootConstrainSelectedInstOperands,
     /*  730809 */     // GIR_Coverage, 11942,
     /*  730809 */     GIR_EraseRootFromParent_Done,
     /*  730810 */   // Label 11468: @730810
     /*  730810 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730885), // Rule ID 11943 //
     /*  730815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730861 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730883 */     GIR_RootConstrainSelectedInstOperands,
     /*  730884 */     // GIR_Coverage, 11943,
     /*  730884 */     GIR_EraseRootFromParent_Done,
     /*  730885 */   // Label 11469: @730885
     /*  730885 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730960), // Rule ID 11946 //
     /*  730890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730936 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  730939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730958 */     GIR_RootConstrainSelectedInstOperands,
     /*  730959 */     // GIR_Coverage, 11946,
     /*  730959 */     GIR_EraseRootFromParent_Done,
     /*  730960 */   // Label 11470: @730960
     /*  730960 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(731035), // Rule ID 11947 //
     /*  730965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  731014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731033 */     GIR_RootConstrainSelectedInstOperands,
     /*  731034 */     // GIR_Coverage, 11947,
     /*  731034 */     GIR_EraseRootFromParent_Done,
     /*  731035 */   // Label 11471: @731035
     /*  731035 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(731110), // Rule ID 11950 //
     /*  731040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  731089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731108 */     GIR_RootConstrainSelectedInstOperands,
     /*  731109 */     // GIR_Coverage, 11950,
     /*  731109 */     GIR_EraseRootFromParent_Done,
     /*  731110 */   // Label 11472: @731110
     /*  731110 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(731185), // Rule ID 11951 //
     /*  731115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  731164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731183 */     GIR_RootConstrainSelectedInstOperands,
     /*  731184 */     // GIR_Coverage, 11951,
     /*  731184 */     GIR_EraseRootFromParent_Done,
     /*  731185 */   // Label 11473: @731185
     /*  731185 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(731260), // Rule ID 11954 //
     /*  731190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  731239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731258 */     GIR_RootConstrainSelectedInstOperands,
     /*  731259 */     // GIR_Coverage, 11954,
     /*  731259 */     GIR_EraseRootFromParent_Done,
     /*  731260 */   // Label 11474: @731260
     /*  731260 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(731335), // Rule ID 11955 //
     /*  731265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  731314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731333 */     GIR_RootConstrainSelectedInstOperands,
     /*  731334 */     // GIR_Coverage, 11955,
     /*  731334 */     GIR_EraseRootFromParent_Done,
     /*  731335 */   // Label 11475: @731335
     /*  731335 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731410), // Rule ID 11958 //
     /*  731340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  731351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  731354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  731357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  731360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  731389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731408 */     GIR_RootConstrainSelectedInstOperands,
     /*  731409 */     // GIR_Coverage, 11958,
     /*  731409 */     GIR_EraseRootFromParent_Done,
     /*  731410 */   // Label 11476: @731410
     /*  731410 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731485), // Rule ID 11959 //
     /*  731415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  731426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  731429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  731432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  731435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  731464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731483 */     GIR_RootConstrainSelectedInstOperands,
     /*  731484 */     // GIR_Coverage, 11959,
     /*  731484 */     GIR_EraseRootFromParent_Done,
     /*  731485 */   // Label 11477: @731485
     /*  731485 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(731560), // Rule ID 11962 //
     /*  731490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731558 */     GIR_RootConstrainSelectedInstOperands,
     /*  731559 */     // GIR_Coverage, 11962,
     /*  731559 */     GIR_EraseRootFromParent_Done,
     /*  731560 */   // Label 11478: @731560
     /*  731560 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(731635), // Rule ID 11963 //
     /*  731565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731633 */     GIR_RootConstrainSelectedInstOperands,
     /*  731634 */     // GIR_Coverage, 11963,
     /*  731634 */     GIR_EraseRootFromParent_Done,
     /*  731635 */   // Label 11479: @731635
     /*  731635 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(731710), // Rule ID 11966 //
     /*  731640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731708 */     GIR_RootConstrainSelectedInstOperands,
     /*  731709 */     // GIR_Coverage, 11966,
     /*  731709 */     GIR_EraseRootFromParent_Done,
     /*  731710 */   // Label 11480: @731710
     /*  731710 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(731785), // Rule ID 11967 //
     /*  731715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731783 */     GIR_RootConstrainSelectedInstOperands,
     /*  731784 */     // GIR_Coverage, 11967,
     /*  731784 */     GIR_EraseRootFromParent_Done,
     /*  731785 */   // Label 11481: @731785
     /*  731785 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731860), // Rule ID 11970 //
     /*  731790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731858 */     GIR_RootConstrainSelectedInstOperands,
     /*  731859 */     // GIR_Coverage, 11970,
     /*  731859 */     GIR_EraseRootFromParent_Done,
     /*  731860 */   // Label 11482: @731860
     /*  731860 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731935), // Rule ID 11971 //
     /*  731865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731933 */     GIR_RootConstrainSelectedInstOperands,
     /*  731934 */     // GIR_Coverage, 11971,
     /*  731934 */     GIR_EraseRootFromParent_Done,
     /*  731935 */   // Label 11483: @731935
     /*  731935 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(732010), // Rule ID 11974 //
     /*  731940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  731951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  731954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  731960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  731989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732008 */     GIR_RootConstrainSelectedInstOperands,
     /*  732009 */     // GIR_Coverage, 11974,
     /*  732009 */     GIR_EraseRootFromParent_Done,
     /*  732010 */   // Label 11484: @732010
     /*  732010 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(732085), // Rule ID 11975 //
     /*  732015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  732035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  732064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732083 */     GIR_RootConstrainSelectedInstOperands,
     /*  732084 */     // GIR_Coverage, 11975,
     /*  732084 */     GIR_EraseRootFromParent_Done,
     /*  732085 */   // Label 11485: @732085
     /*  732085 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(732160), // Rule ID 11978 //
     /*  732090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  732139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732158 */     GIR_RootConstrainSelectedInstOperands,
     /*  732159 */     // GIR_Coverage, 11978,
     /*  732159 */     GIR_EraseRootFromParent_Done,
     /*  732160 */   // Label 11486: @732160
     /*  732160 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(732235), // Rule ID 11979 //
     /*  732165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  732214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732233 */     GIR_RootConstrainSelectedInstOperands,
     /*  732234 */     // GIR_Coverage, 11979,
     /*  732234 */     GIR_EraseRootFromParent_Done,
     /*  732235 */   // Label 11487: @732235
     /*  732235 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(732310), // Rule ID 11982 //
     /*  732240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  732260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  732289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732308 */     GIR_RootConstrainSelectedInstOperands,
     /*  732309 */     // GIR_Coverage, 11982,
     /*  732309 */     GIR_EraseRootFromParent_Done,
     /*  732310 */   // Label 11488: @732310
     /*  732310 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732385), // Rule ID 11983 //
     /*  732315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  732335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  732364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732383 */     GIR_RootConstrainSelectedInstOperands,
     /*  732384 */     // GIR_Coverage, 11983,
     /*  732384 */     GIR_EraseRootFromParent_Done,
     /*  732385 */   // Label 11489: @732385
     /*  732385 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732460), // Rule ID 11986 //
     /*  732390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732458 */     GIR_RootConstrainSelectedInstOperands,
     /*  732459 */     // GIR_Coverage, 11986,
     /*  732459 */     GIR_EraseRootFromParent_Done,
     /*  732460 */   // Label 11490: @732460
     /*  732460 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(732535), // Rule ID 11987 //
     /*  732465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732533 */     GIR_RootConstrainSelectedInstOperands,
     /*  732534 */     // GIR_Coverage, 11987,
     /*  732534 */     GIR_EraseRootFromParent_Done,
     /*  732535 */   // Label 11491: @732535
     /*  732535 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(732610), // Rule ID 11990 //
     /*  732540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732608 */     GIR_RootConstrainSelectedInstOperands,
     /*  732609 */     // GIR_Coverage, 11990,
     /*  732609 */     GIR_EraseRootFromParent_Done,
     /*  732610 */   // Label 11492: @732610
     /*  732610 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732685), // Rule ID 11991 //
     /*  732615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732683 */     GIR_RootConstrainSelectedInstOperands,
     /*  732684 */     // GIR_Coverage, 11991,
     /*  732684 */     GIR_EraseRootFromParent_Done,
     /*  732685 */   // Label 11493: @732685
     /*  732685 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(732760), // Rule ID 11994 //
     /*  732690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732758 */     GIR_RootConstrainSelectedInstOperands,
     /*  732759 */     // GIR_Coverage, 11994,
     /*  732759 */     GIR_EraseRootFromParent_Done,
     /*  732760 */   // Label 11494: @732760
     /*  732760 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732835), // Rule ID 11995 //
     /*  732765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732833 */     GIR_RootConstrainSelectedInstOperands,
     /*  732834 */     // GIR_Coverage, 11995,
     /*  732834 */     GIR_EraseRootFromParent_Done,
     /*  732835 */   // Label 11495: @732835
     /*  732835 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732910), // Rule ID 11998 //
     /*  732840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732908 */     GIR_RootConstrainSelectedInstOperands,
     /*  732909 */     // GIR_Coverage, 11998,
     /*  732909 */     GIR_EraseRootFromParent_Done,
     /*  732910 */   // Label 11496: @732910
     /*  732910 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732985), // Rule ID 11999 //
     /*  732915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732983 */     GIR_RootConstrainSelectedInstOperands,
     /*  732984 */     // GIR_Coverage, 11999,
     /*  732984 */     GIR_EraseRootFromParent_Done,
     /*  732985 */   // Label 11497: @732985
     /*  732985 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(733060), // Rule ID 12002 //
     /*  732990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  733039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733058 */     GIR_RootConstrainSelectedInstOperands,
     /*  733059 */     // GIR_Coverage, 12002,
     /*  733059 */     GIR_EraseRootFromParent_Done,
     /*  733060 */   // Label 11498: @733060
     /*  733060 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(733135), // Rule ID 12003 //
     /*  733065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  733114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733133 */     GIR_RootConstrainSelectedInstOperands,
     /*  733134 */     // GIR_Coverage, 12003,
     /*  733134 */     GIR_EraseRootFromParent_Done,
     /*  733135 */   // Label 11499: @733135
     /*  733135 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(733210), // Rule ID 12006 //
     /*  733140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  733189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733208 */     GIR_RootConstrainSelectedInstOperands,
     /*  733209 */     // GIR_Coverage, 12006,
     /*  733209 */     GIR_EraseRootFromParent_Done,
     /*  733210 */   // Label 11500: @733210
     /*  733210 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(733285), // Rule ID 12007 //
     /*  733215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  733264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733283 */     GIR_RootConstrainSelectedInstOperands,
     /*  733284 */     // GIR_Coverage, 12007,
     /*  733284 */     GIR_EraseRootFromParent_Done,
     /*  733285 */   // Label 11501: @733285
     /*  733285 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(733360), // Rule ID 12010 //
     /*  733290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  733307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  733339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733358 */     GIR_RootConstrainSelectedInstOperands,
     /*  733359 */     // GIR_Coverage, 12010,
     /*  733359 */     GIR_EraseRootFromParent_Done,
     /*  733360 */   // Label 11502: @733360
     /*  733360 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733435), // Rule ID 12011 //
     /*  733365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  733382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  733414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733433 */     GIR_RootConstrainSelectedInstOperands,
     /*  733434 */     // GIR_Coverage, 12011,
     /*  733434 */     GIR_EraseRootFromParent_Done,
     /*  733435 */   // Label 11503: @733435
     /*  733435 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733510), // Rule ID 12014 //
     /*  733440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733508 */     GIR_RootConstrainSelectedInstOperands,
     /*  733509 */     // GIR_Coverage, 12014,
     /*  733509 */     GIR_EraseRootFromParent_Done,
     /*  733510 */   // Label 11504: @733510
     /*  733510 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(733585), // Rule ID 12015 //
     /*  733515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733583 */     GIR_RootConstrainSelectedInstOperands,
     /*  733584 */     // GIR_Coverage, 12015,
     /*  733584 */     GIR_EraseRootFromParent_Done,
     /*  733585 */   // Label 11505: @733585
     /*  733585 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733660), // Rule ID 12018 //
     /*  733590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733658 */     GIR_RootConstrainSelectedInstOperands,
     /*  733659 */     // GIR_Coverage, 12018,
     /*  733659 */     GIR_EraseRootFromParent_Done,
     /*  733660 */   // Label 11506: @733660
     /*  733660 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(733735), // Rule ID 12019 //
     /*  733665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733733 */     GIR_RootConstrainSelectedInstOperands,
     /*  733734 */     // GIR_Coverage, 12019,
     /*  733734 */     GIR_EraseRootFromParent_Done,
     /*  733735 */   // Label 11507: @733735
     /*  733735 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733810), // Rule ID 12022 //
     /*  733740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733808 */     GIR_RootConstrainSelectedInstOperands,
     /*  733809 */     // GIR_Coverage, 12022,
     /*  733809 */     GIR_EraseRootFromParent_Done,
     /*  733810 */   // Label 11508: @733810
     /*  733810 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733885), // Rule ID 12023 //
     /*  733815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733883 */     GIR_RootConstrainSelectedInstOperands,
     /*  733884 */     // GIR_Coverage, 12023,
     /*  733884 */     GIR_EraseRootFromParent_Done,
     /*  733885 */   // Label 11509: @733885
     /*  733885 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733960), // Rule ID 12026 //
     /*  733890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  733939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733958 */     GIR_RootConstrainSelectedInstOperands,
     /*  733959 */     // GIR_Coverage, 12026,
     /*  733959 */     GIR_EraseRootFromParent_Done,
     /*  733960 */   // Label 11510: @733960
     /*  733960 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(734035), // Rule ID 12027 //
     /*  733965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  734014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734033 */     GIR_RootConstrainSelectedInstOperands,
     /*  734034 */     // GIR_Coverage, 12027,
     /*  734034 */     GIR_EraseRootFromParent_Done,
     /*  734035 */   // Label 11511: @734035
     /*  734035 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(734110), // Rule ID 12030 //
     /*  734040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  734089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734108 */     GIR_RootConstrainSelectedInstOperands,
     /*  734109 */     // GIR_Coverage, 12030,
     /*  734109 */     GIR_EraseRootFromParent_Done,
     /*  734110 */   // Label 11512: @734110
     /*  734110 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(734185), // Rule ID 12031 //
     /*  734115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  734164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734183 */     GIR_RootConstrainSelectedInstOperands,
     /*  734184 */     // GIR_Coverage, 12031,
     /*  734184 */     GIR_EraseRootFromParent_Done,
     /*  734185 */   // Label 11513: @734185
     /*  734185 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(734260), // Rule ID 12034 //
     /*  734190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  734239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734258 */     GIR_RootConstrainSelectedInstOperands,
     /*  734259 */     // GIR_Coverage, 12034,
     /*  734259 */     GIR_EraseRootFromParent_Done,
     /*  734260 */   // Label 11514: @734260
     /*  734260 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(734335), // Rule ID 12035 //
     /*  734265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  734314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734333 */     GIR_RootConstrainSelectedInstOperands,
     /*  734334 */     // GIR_Coverage, 12035,
     /*  734334 */     GIR_EraseRootFromParent_Done,
     /*  734335 */   // Label 11515: @734335
     /*  734335 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734410), // Rule ID 12038 //
     /*  734340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  734351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  734354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  734357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  734389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734408 */     GIR_RootConstrainSelectedInstOperands,
     /*  734409 */     // GIR_Coverage, 12038,
     /*  734409 */     GIR_EraseRootFromParent_Done,
     /*  734410 */   // Label 11516: @734410
     /*  734410 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734485), // Rule ID 12039 //
     /*  734415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  734426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  734429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  734432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  734464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734483 */     GIR_RootConstrainSelectedInstOperands,
     /*  734484 */     // GIR_Coverage, 12039,
     /*  734484 */     GIR_EraseRootFromParent_Done,
     /*  734485 */   // Label 11517: @734485
     /*  734485 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(734560), // Rule ID 12042 //
     /*  734490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734558 */     GIR_RootConstrainSelectedInstOperands,
     /*  734559 */     // GIR_Coverage, 12042,
     /*  734559 */     GIR_EraseRootFromParent_Done,
     /*  734560 */   // Label 11518: @734560
     /*  734560 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(734635), // Rule ID 12043 //
     /*  734565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734633 */     GIR_RootConstrainSelectedInstOperands,
     /*  734634 */     // GIR_Coverage, 12043,
     /*  734634 */     GIR_EraseRootFromParent_Done,
     /*  734635 */   // Label 11519: @734635
     /*  734635 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(734710), // Rule ID 12046 //
     /*  734640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734708 */     GIR_RootConstrainSelectedInstOperands,
     /*  734709 */     // GIR_Coverage, 12046,
     /*  734709 */     GIR_EraseRootFromParent_Done,
     /*  734710 */   // Label 11520: @734710
     /*  734710 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(734785), // Rule ID 12047 //
     /*  734715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734783 */     GIR_RootConstrainSelectedInstOperands,
     /*  734784 */     // GIR_Coverage, 12047,
     /*  734784 */     GIR_EraseRootFromParent_Done,
     /*  734785 */   // Label 11521: @734785
     /*  734785 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734860), // Rule ID 12050 //
     /*  734790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734858 */     GIR_RootConstrainSelectedInstOperands,
     /*  734859 */     // GIR_Coverage, 12050,
     /*  734859 */     GIR_EraseRootFromParent_Done,
     /*  734860 */   // Label 11522: @734860
     /*  734860 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734935), // Rule ID 12051 //
     /*  734865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734933 */     GIR_RootConstrainSelectedInstOperands,
     /*  734934 */     // GIR_Coverage, 12051,
     /*  734934 */     GIR_EraseRootFromParent_Done,
     /*  734935 */   // Label 11523: @734935
     /*  734935 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(735010), // Rule ID 12054 //
     /*  734940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  734951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  734954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  734989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735008 */     GIR_RootConstrainSelectedInstOperands,
     /*  735009 */     // GIR_Coverage, 12054,
     /*  735009 */     GIR_EraseRootFromParent_Done,
     /*  735010 */   // Label 11524: @735010
     /*  735010 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(735085), // Rule ID 12055 //
     /*  735015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  735064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735083 */     GIR_RootConstrainSelectedInstOperands,
     /*  735084 */     // GIR_Coverage, 12055,
     /*  735084 */     GIR_EraseRootFromParent_Done,
     /*  735085 */   // Label 11525: @735085
     /*  735085 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(735160), // Rule ID 12058 //
     /*  735090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  735139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735158 */     GIR_RootConstrainSelectedInstOperands,
     /*  735159 */     // GIR_Coverage, 12058,
     /*  735159 */     GIR_EraseRootFromParent_Done,
     /*  735160 */   // Label 11526: @735160
     /*  735160 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(735235), // Rule ID 12059 //
     /*  735165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  735214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735233 */     GIR_RootConstrainSelectedInstOperands,
     /*  735234 */     // GIR_Coverage, 12059,
     /*  735234 */     GIR_EraseRootFromParent_Done,
     /*  735235 */   // Label 11527: @735235
     /*  735235 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(735310), // Rule ID 12062 //
     /*  735240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  735289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735308 */     GIR_RootConstrainSelectedInstOperands,
     /*  735309 */     // GIR_Coverage, 12062,
     /*  735309 */     GIR_EraseRootFromParent_Done,
     /*  735310 */   // Label 11528: @735310
     /*  735310 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735385), // Rule ID 12063 //
     /*  735315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  735364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735383 */     GIR_RootConstrainSelectedInstOperands,
     /*  735384 */     // GIR_Coverage, 12063,
     /*  735384 */     GIR_EraseRootFromParent_Done,
     /*  735385 */   // Label 11529: @735385
     /*  735385 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735460), // Rule ID 12066 //
     /*  735390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735458 */     GIR_RootConstrainSelectedInstOperands,
     /*  735459 */     // GIR_Coverage, 12066,
     /*  735459 */     GIR_EraseRootFromParent_Done,
     /*  735460 */   // Label 11530: @735460
     /*  735460 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(735535), // Rule ID 12067 //
     /*  735465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735533 */     GIR_RootConstrainSelectedInstOperands,
     /*  735534 */     // GIR_Coverage, 12067,
     /*  735534 */     GIR_EraseRootFromParent_Done,
     /*  735535 */   // Label 11531: @735535
     /*  735535 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(735610), // Rule ID 12070 //
     /*  735540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735608 */     GIR_RootConstrainSelectedInstOperands,
     /*  735609 */     // GIR_Coverage, 12070,
     /*  735609 */     GIR_EraseRootFromParent_Done,
     /*  735610 */   // Label 11532: @735610
     /*  735610 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735685), // Rule ID 12071 //
     /*  735615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735683 */     GIR_RootConstrainSelectedInstOperands,
     /*  735684 */     // GIR_Coverage, 12071,
     /*  735684 */     GIR_EraseRootFromParent_Done,
     /*  735685 */   // Label 11533: @735685
     /*  735685 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(735760), // Rule ID 12074 //
     /*  735690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735758 */     GIR_RootConstrainSelectedInstOperands,
     /*  735759 */     // GIR_Coverage, 12074,
     /*  735759 */     GIR_EraseRootFromParent_Done,
     /*  735760 */   // Label 11534: @735760
     /*  735760 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735835), // Rule ID 12075 //
     /*  735765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735833 */     GIR_RootConstrainSelectedInstOperands,
     /*  735834 */     // GIR_Coverage, 12075,
     /*  735834 */     GIR_EraseRootFromParent_Done,
     /*  735835 */   // Label 11535: @735835
     /*  735835 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735910), // Rule ID 12078 //
     /*  735840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735908 */     GIR_RootConstrainSelectedInstOperands,
     /*  735909 */     // GIR_Coverage, 12078,
     /*  735909 */     GIR_EraseRootFromParent_Done,
     /*  735910 */   // Label 11536: @735910
     /*  735910 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735985), // Rule ID 12079 //
     /*  735915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735983 */     GIR_RootConstrainSelectedInstOperands,
     /*  735984 */     // GIR_Coverage, 12079,
     /*  735984 */     GIR_EraseRootFromParent_Done,
     /*  735985 */   // Label 11537: @735985
     /*  735985 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(736060), // Rule ID 12082 //
     /*  735990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  736001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  736004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  736039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736058 */     GIR_RootConstrainSelectedInstOperands,
     /*  736059 */     // GIR_Coverage, 12082,
     /*  736059 */     GIR_EraseRootFromParent_Done,
     /*  736060 */   // Label 11538: @736060
     /*  736060 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(736135), // Rule ID 12083 //
     /*  736065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  736076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  736079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  736114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736133 */     GIR_RootConstrainSelectedInstOperands,
     /*  736134 */     // GIR_Coverage, 12083,
     /*  736134 */     GIR_EraseRootFromParent_Done,
     /*  736135 */   // Label 11539: @736135
     /*  736135 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(736210), // Rule ID 12086 //
     /*  736140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  736151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  736154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  736189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736208 */     GIR_RootConstrainSelectedInstOperands,
     /*  736209 */     // GIR_Coverage, 12086,
     /*  736209 */     GIR_EraseRootFromParent_Done,
     /*  736210 */   // Label 11540: @736210
     /*  736210 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(736285), // Rule ID 12087 //
     /*  736215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  736226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  736229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  736264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736283 */     GIR_RootConstrainSelectedInstOperands,
     /*  736284 */     // GIR_Coverage, 12087,
     /*  736284 */     GIR_EraseRootFromParent_Done,
     /*  736285 */   // Label 11541: @736285
     /*  736285 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(736360), // Rule ID 12090 //
     /*  736290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  736301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  736304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  736307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  736310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  736339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736358 */     GIR_RootConstrainSelectedInstOperands,
     /*  736359 */     // GIR_Coverage, 12090,
     /*  736359 */     GIR_EraseRootFromParent_Done,
     /*  736360 */   // Label 11542: @736360
     /*  736360 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736435), // Rule ID 12091 //
     /*  736365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  736376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  736379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  736382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  736385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  736414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736433 */     GIR_RootConstrainSelectedInstOperands,
     /*  736434 */     // GIR_Coverage, 12091,
     /*  736434 */     GIR_EraseRootFromParent_Done,
     /*  736435 */   // Label 11543: @736435
     /*  736435 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736510), // Rule ID 12094 //
     /*  736440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736508 */     GIR_RootConstrainSelectedInstOperands,
     /*  736509 */     // GIR_Coverage, 12094,
     /*  736509 */     GIR_EraseRootFromParent_Done,
     /*  736510 */   // Label 11544: @736510
     /*  736510 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(736585), // Rule ID 12095 //
     /*  736515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736583 */     GIR_RootConstrainSelectedInstOperands,
     /*  736584 */     // GIR_Coverage, 12095,
     /*  736584 */     GIR_EraseRootFromParent_Done,
     /*  736585 */   // Label 11545: @736585
     /*  736585 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736660), // Rule ID 12098 //
     /*  736590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736658 */     GIR_RootConstrainSelectedInstOperands,
     /*  736659 */     // GIR_Coverage, 12098,
     /*  736659 */     GIR_EraseRootFromParent_Done,
     /*  736660 */   // Label 11546: @736660
     /*  736660 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(736735), // Rule ID 12099 //
     /*  736665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736733 */     GIR_RootConstrainSelectedInstOperands,
     /*  736734 */     // GIR_Coverage, 12099,
     /*  736734 */     GIR_EraseRootFromParent_Done,
     /*  736735 */   // Label 11547: @736735
     /*  736735 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736810), // Rule ID 12102 //
     /*  736740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736808 */     GIR_RootConstrainSelectedInstOperands,
     /*  736809 */     // GIR_Coverage, 12102,
     /*  736809 */     GIR_EraseRootFromParent_Done,
     /*  736810 */   // Label 11548: @736810
     /*  736810 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736885), // Rule ID 12103 //
     /*  736815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736883 */     GIR_RootConstrainSelectedInstOperands,
     /*  736884 */     // GIR_Coverage, 12103,
     /*  736884 */     GIR_EraseRootFromParent_Done,
     /*  736885 */   // Label 11549: @736885
     /*  736885 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736960), // Rule ID 12106 //
     /*  736890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  736939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736958 */     GIR_RootConstrainSelectedInstOperands,
     /*  736959 */     // GIR_Coverage, 12106,
     /*  736959 */     GIR_EraseRootFromParent_Done,
     /*  736960 */   // Label 11550: @736960
     /*  736960 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(737035), // Rule ID 12107 //
     /*  736965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  737014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737033 */     GIR_RootConstrainSelectedInstOperands,
     /*  737034 */     // GIR_Coverage, 12107,
     /*  737034 */     GIR_EraseRootFromParent_Done,
     /*  737035 */   // Label 11551: @737035
     /*  737035 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(737110), // Rule ID 12110 //
     /*  737040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  737089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737108 */     GIR_RootConstrainSelectedInstOperands,
     /*  737109 */     // GIR_Coverage, 12110,
     /*  737109 */     GIR_EraseRootFromParent_Done,
     /*  737110 */   // Label 11552: @737110
     /*  737110 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(737185), // Rule ID 12111 //
     /*  737115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  737164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737183 */     GIR_RootConstrainSelectedInstOperands,
     /*  737184 */     // GIR_Coverage, 12111,
     /*  737184 */     GIR_EraseRootFromParent_Done,
     /*  737185 */   // Label 11553: @737185
     /*  737185 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(737260), // Rule ID 12114 //
     /*  737190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  737201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  737204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  737207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  737210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  737239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737258 */     GIR_RootConstrainSelectedInstOperands,
     /*  737259 */     // GIR_Coverage, 12114,
     /*  737259 */     GIR_EraseRootFromParent_Done,
     /*  737260 */   // Label 11554: @737260
     /*  737260 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(737335), // Rule ID 12115 //
     /*  737265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  737276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  737279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  737282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  737285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  737314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737333 */     GIR_RootConstrainSelectedInstOperands,
     /*  737334 */     // GIR_Coverage, 12115,
     /*  737334 */     GIR_EraseRootFromParent_Done,
     /*  737335 */   // Label 11555: @737335
     /*  737335 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737410), // Rule ID 12118 //
     /*  737340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  737351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  737354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  737357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  737360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  737389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737408 */     GIR_RootConstrainSelectedInstOperands,
     /*  737409 */     // GIR_Coverage, 12118,
     /*  737409 */     GIR_EraseRootFromParent_Done,
     /*  737410 */   // Label 11556: @737410
     /*  737410 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737485), // Rule ID 12119 //
     /*  737415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  737426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  737429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  737432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  737435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  737464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737483 */     GIR_RootConstrainSelectedInstOperands,
     /*  737484 */     // GIR_Coverage, 12119,
     /*  737484 */     GIR_EraseRootFromParent_Done,
     /*  737485 */   // Label 11557: @737485
     /*  737485 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(737560), // Rule ID 12122 //
     /*  737490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737558 */     GIR_RootConstrainSelectedInstOperands,
     /*  737559 */     // GIR_Coverage, 12122,
     /*  737559 */     GIR_EraseRootFromParent_Done,
     /*  737560 */   // Label 11558: @737560
     /*  737560 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(737635), // Rule ID 12123 //
     /*  737565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737633 */     GIR_RootConstrainSelectedInstOperands,
     /*  737634 */     // GIR_Coverage, 12123,
     /*  737634 */     GIR_EraseRootFromParent_Done,
     /*  737635 */   // Label 11559: @737635
     /*  737635 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(737710), // Rule ID 12126 //
     /*  737640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737708 */     GIR_RootConstrainSelectedInstOperands,
     /*  737709 */     // GIR_Coverage, 12126,
     /*  737709 */     GIR_EraseRootFromParent_Done,
     /*  737710 */   // Label 11560: @737710
     /*  737710 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(737785), // Rule ID 12127 //
     /*  737715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737783 */     GIR_RootConstrainSelectedInstOperands,
     /*  737784 */     // GIR_Coverage, 12127,
     /*  737784 */     GIR_EraseRootFromParent_Done,
     /*  737785 */   // Label 11561: @737785
     /*  737785 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737860), // Rule ID 12130 //
     /*  737790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737858 */     GIR_RootConstrainSelectedInstOperands,
     /*  737859 */     // GIR_Coverage, 12130,
     /*  737859 */     GIR_EraseRootFromParent_Done,
     /*  737860 */   // Label 11562: @737860
     /*  737860 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737935), // Rule ID 12131 //
     /*  737865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737933 */     GIR_RootConstrainSelectedInstOperands,
     /*  737934 */     // GIR_Coverage, 12131,
     /*  737934 */     GIR_EraseRootFromParent_Done,
     /*  737935 */   // Label 11563: @737935
     /*  737935 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(738010), // Rule ID 12134 //
     /*  737940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  737951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  737954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  737960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  737989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738008 */     GIR_RootConstrainSelectedInstOperands,
     /*  738009 */     // GIR_Coverage, 12134,
     /*  738009 */     GIR_EraseRootFromParent_Done,
     /*  738010 */   // Label 11564: @738010
     /*  738010 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(738085), // Rule ID 12135 //
     /*  738015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  738026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  738029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  738032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  738035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  738064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738083 */     GIR_RootConstrainSelectedInstOperands,
     /*  738084 */     // GIR_Coverage, 12135,
     /*  738084 */     GIR_EraseRootFromParent_Done,
     /*  738085 */   // Label 11565: @738085
     /*  738085 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(738160), // Rule ID 12138 //
     /*  738090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  738101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  738104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  738107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  738110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  738139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738158 */     GIR_RootConstrainSelectedInstOperands,
     /*  738159 */     // GIR_Coverage, 12138,
     /*  738159 */     GIR_EraseRootFromParent_Done,
     /*  738160 */   // Label 11566: @738160
     /*  738160 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(738235), // Rule ID 12139 //
     /*  738165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  738176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  738179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  738182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  738185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  738214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738233 */     GIR_RootConstrainSelectedInstOperands,
     /*  738234 */     // GIR_Coverage, 12139,
     /*  738234 */     GIR_EraseRootFromParent_Done,
     /*  738235 */   // Label 11567: @738235
     /*  738235 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(738310), // Rule ID 12142 //
     /*  738240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  738251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  738254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  738260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  738289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738308 */     GIR_RootConstrainSelectedInstOperands,
     /*  738309 */     // GIR_Coverage, 12142,
     /*  738309 */     GIR_EraseRootFromParent_Done,
     /*  738310 */   // Label 11568: @738310
     /*  738310 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738385), // Rule ID 12143 //
     /*  738315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  738326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  738329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  738335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  738364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738383 */     GIR_RootConstrainSelectedInstOperands,
     /*  738384 */     // GIR_Coverage, 12143,
     /*  738384 */     GIR_EraseRootFromParent_Done,
     /*  738385 */   // Label 11569: @738385
     /*  738385 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738460), // Rule ID 12146 //
     /*  738390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  738401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  738404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  738407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  738410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738458 */     GIR_RootConstrainSelectedInstOperands,
     /*  738459 */     // GIR_Coverage, 12146,
     /*  738459 */     GIR_EraseRootFromParent_Done,
     /*  738460 */   // Label 11570: @738460
     /*  738460 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(738535), // Rule ID 12147 //
     /*  738465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  738476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  738479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  738482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  738485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738533 */     GIR_RootConstrainSelectedInstOperands,
     /*  738534 */     // GIR_Coverage, 12147,
     /*  738534 */     GIR_EraseRootFromParent_Done,
     /*  738535 */   // Label 11571: @738535
     /*  738535 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(738610), // Rule ID 12150 //
     /*  738540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738608 */     GIR_RootConstrainSelectedInstOperands,
     /*  738609 */     // GIR_Coverage, 12150,
     /*  738609 */     GIR_EraseRootFromParent_Done,
     /*  738610 */   // Label 11572: @738610
     /*  738610 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738685), // Rule ID 12151 //
     /*  738615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738683 */     GIR_RootConstrainSelectedInstOperands,
     /*  738684 */     // GIR_Coverage, 12151,
     /*  738684 */     GIR_EraseRootFromParent_Done,
     /*  738685 */   // Label 11573: @738685
     /*  738685 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(738760), // Rule ID 12154 //
     /*  738690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738758 */     GIR_RootConstrainSelectedInstOperands,
     /*  738759 */     // GIR_Coverage, 12154,
     /*  738759 */     GIR_EraseRootFromParent_Done,
     /*  738760 */   // Label 11574: @738760
     /*  738760 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738835), // Rule ID 12155 //
     /*  738765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738833 */     GIR_RootConstrainSelectedInstOperands,
     /*  738834 */     // GIR_Coverage, 12155,
     /*  738834 */     GIR_EraseRootFromParent_Done,
     /*  738835 */   // Label 11575: @738835
     /*  738835 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738910), // Rule ID 12158 //
     /*  738840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738908 */     GIR_RootConstrainSelectedInstOperands,
     /*  738909 */     // GIR_Coverage, 12158,
     /*  738909 */     GIR_EraseRootFromParent_Done,
     /*  738910 */   // Label 11576: @738910
     /*  738910 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738985), // Rule ID 12159 //
     /*  738915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738983 */     GIR_RootConstrainSelectedInstOperands,
     /*  738984 */     // GIR_Coverage, 12159,
     /*  738984 */     GIR_EraseRootFromParent_Done,
     /*  738985 */   // Label 11577: @738985
     /*  738985 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(739060), // Rule ID 12162 //
     /*  738990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  739001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  739004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  739007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  739039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739058 */     GIR_RootConstrainSelectedInstOperands,
     /*  739059 */     // GIR_Coverage, 12162,
     /*  739059 */     GIR_EraseRootFromParent_Done,
     /*  739060 */   // Label 11578: @739060
     /*  739060 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(739135), // Rule ID 12163 //
     /*  739065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  739076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  739079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  739082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  739114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739133 */     GIR_RootConstrainSelectedInstOperands,
     /*  739134 */     // GIR_Coverage, 12163,
     /*  739134 */     GIR_EraseRootFromParent_Done,
     /*  739135 */   // Label 11579: @739135
     /*  739135 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(739210), // Rule ID 12166 //
     /*  739140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  739151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  739154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  739157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  739189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739208 */     GIR_RootConstrainSelectedInstOperands,
     /*  739209 */     // GIR_Coverage, 12166,
     /*  739209 */     GIR_EraseRootFromParent_Done,
     /*  739210 */   // Label 11580: @739210
     /*  739210 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(739285), // Rule ID 12167 //
     /*  739215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  739226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  739229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  739232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  739264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739283 */     GIR_RootConstrainSelectedInstOperands,
     /*  739284 */     // GIR_Coverage, 12167,
     /*  739284 */     GIR_EraseRootFromParent_Done,
     /*  739285 */   // Label 11581: @739285
     /*  739285 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(739360), // Rule ID 12170 //
     /*  739290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  739301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  739304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  739307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  739339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739358 */     GIR_RootConstrainSelectedInstOperands,
     /*  739359 */     // GIR_Coverage, 12170,
     /*  739359 */     GIR_EraseRootFromParent_Done,
     /*  739360 */   // Label 11582: @739360
     /*  739360 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739435), // Rule ID 12171 //
     /*  739365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  739376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  739379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  739382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  739414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739433 */     GIR_RootConstrainSelectedInstOperands,
     /*  739434 */     // GIR_Coverage, 12171,
     /*  739434 */     GIR_EraseRootFromParent_Done,
     /*  739435 */   // Label 11583: @739435
     /*  739435 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739510), // Rule ID 12174 //
     /*  739440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739508 */     GIR_RootConstrainSelectedInstOperands,
     /*  739509 */     // GIR_Coverage, 12174,
     /*  739509 */     GIR_EraseRootFromParent_Done,
     /*  739510 */   // Label 11584: @739510
     /*  739510 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(739585), // Rule ID 12175 //
     /*  739515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739583 */     GIR_RootConstrainSelectedInstOperands,
     /*  739584 */     // GIR_Coverage, 12175,
     /*  739584 */     GIR_EraseRootFromParent_Done,
     /*  739585 */   // Label 11585: @739585
     /*  739585 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739660), // Rule ID 12178 //
     /*  739590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739658 */     GIR_RootConstrainSelectedInstOperands,
     /*  739659 */     // GIR_Coverage, 12178,
     /*  739659 */     GIR_EraseRootFromParent_Done,
     /*  739660 */   // Label 11586: @739660
     /*  739660 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(739735), // Rule ID 12179 //
     /*  739665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739733 */     GIR_RootConstrainSelectedInstOperands,
     /*  739734 */     // GIR_Coverage, 12179,
     /*  739734 */     GIR_EraseRootFromParent_Done,
     /*  739735 */   // Label 11587: @739735
     /*  739735 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739810), // Rule ID 12182 //
     /*  739740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739808 */     GIR_RootConstrainSelectedInstOperands,
     /*  739809 */     // GIR_Coverage, 12182,
     /*  739809 */     GIR_EraseRootFromParent_Done,
     /*  739810 */   // Label 11588: @739810
     /*  739810 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739885), // Rule ID 12183 //
     /*  739815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739883 */     GIR_RootConstrainSelectedInstOperands,
     /*  739884 */     // GIR_Coverage, 12183,
     /*  739884 */     GIR_EraseRootFromParent_Done,
     /*  739885 */   // Label 11589: @739885
     /*  739885 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739960), // Rule ID 12186 //
     /*  739890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  739939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739958 */     GIR_RootConstrainSelectedInstOperands,
     /*  739959 */     // GIR_Coverage, 12186,
     /*  739959 */     GIR_EraseRootFromParent_Done,
     /*  739960 */   // Label 11590: @739960
     /*  739960 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(740035), // Rule ID 12187 //
     /*  739965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  740014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740033 */     GIR_RootConstrainSelectedInstOperands,
     /*  740034 */     // GIR_Coverage, 12187,
     /*  740034 */     GIR_EraseRootFromParent_Done,
     /*  740035 */   // Label 11591: @740035
     /*  740035 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(740110), // Rule ID 12190 //
     /*  740040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  740089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740108 */     GIR_RootConstrainSelectedInstOperands,
     /*  740109 */     // GIR_Coverage, 12190,
     /*  740109 */     GIR_EraseRootFromParent_Done,
     /*  740110 */   // Label 11592: @740110
     /*  740110 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(740185), // Rule ID 12191 //
     /*  740115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  740164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740183 */     GIR_RootConstrainSelectedInstOperands,
     /*  740184 */     // GIR_Coverage, 12191,
     /*  740184 */     GIR_EraseRootFromParent_Done,
     /*  740185 */   // Label 11593: @740185
     /*  740185 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(740260), // Rule ID 12194 //
     /*  740190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  740239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740258 */     GIR_RootConstrainSelectedInstOperands,
     /*  740259 */     // GIR_Coverage, 12194,
     /*  740259 */     GIR_EraseRootFromParent_Done,
     /*  740260 */   // Label 11594: @740260
     /*  740260 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(740335), // Rule ID 12195 //
     /*  740265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  740314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740333 */     GIR_RootConstrainSelectedInstOperands,
     /*  740334 */     // GIR_Coverage, 12195,
     /*  740334 */     GIR_EraseRootFromParent_Done,
     /*  740335 */   // Label 11595: @740335
     /*  740335 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740410), // Rule ID 12198 //
     /*  740340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  740357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  740389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740408 */     GIR_RootConstrainSelectedInstOperands,
     /*  740409 */     // GIR_Coverage, 12198,
     /*  740409 */     GIR_EraseRootFromParent_Done,
     /*  740410 */   // Label 11596: @740410
     /*  740410 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740485), // Rule ID 12199 //
     /*  740415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  740432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  740464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740483 */     GIR_RootConstrainSelectedInstOperands,
     /*  740484 */     // GIR_Coverage, 12199,
     /*  740484 */     GIR_EraseRootFromParent_Done,
     /*  740485 */   // Label 11597: @740485
     /*  740485 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(740560), // Rule ID 12202 //
     /*  740490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740558 */     GIR_RootConstrainSelectedInstOperands,
     /*  740559 */     // GIR_Coverage, 12202,
     /*  740559 */     GIR_EraseRootFromParent_Done,
     /*  740560 */   // Label 11598: @740560
     /*  740560 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(740635), // Rule ID 12203 //
     /*  740565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740633 */     GIR_RootConstrainSelectedInstOperands,
     /*  740634 */     // GIR_Coverage, 12203,
     /*  740634 */     GIR_EraseRootFromParent_Done,
     /*  740635 */   // Label 11599: @740635
     /*  740635 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(740710), // Rule ID 12206 //
     /*  740640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740708 */     GIR_RootConstrainSelectedInstOperands,
     /*  740709 */     // GIR_Coverage, 12206,
     /*  740709 */     GIR_EraseRootFromParent_Done,
     /*  740710 */   // Label 11600: @740710
     /*  740710 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(740785), // Rule ID 12207 //
     /*  740715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740783 */     GIR_RootConstrainSelectedInstOperands,
     /*  740784 */     // GIR_Coverage, 12207,
     /*  740784 */     GIR_EraseRootFromParent_Done,
     /*  740785 */   // Label 11601: @740785
     /*  740785 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740860), // Rule ID 12210 //
     /*  740790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740858 */     GIR_RootConstrainSelectedInstOperands,
     /*  740859 */     // GIR_Coverage, 12210,
     /*  740859 */     GIR_EraseRootFromParent_Done,
     /*  740860 */   // Label 11602: @740860
     /*  740860 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740935), // Rule ID 12211 //
     /*  740865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740911 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740933 */     GIR_RootConstrainSelectedInstOperands,
     /*  740934 */     // GIR_Coverage, 12211,
     /*  740934 */     GIR_EraseRootFromParent_Done,
     /*  740935 */   // Label 11603: @740935
     /*  740935 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(741010), // Rule ID 12214 //
     /*  740940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  740957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  740989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741008 */     GIR_RootConstrainSelectedInstOperands,
     /*  741009 */     // GIR_Coverage, 12214,
     /*  741009 */     GIR_EraseRootFromParent_Done,
     /*  741010 */   // Label 11604: @741010
     /*  741010 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(741085), // Rule ID 12215 //
     /*  741015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  741064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741083 */     GIR_RootConstrainSelectedInstOperands,
     /*  741084 */     // GIR_Coverage, 12215,
     /*  741084 */     GIR_EraseRootFromParent_Done,
     /*  741085 */   // Label 11605: @741085
     /*  741085 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(741160), // Rule ID 12218 //
     /*  741090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  741139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741158 */     GIR_RootConstrainSelectedInstOperands,
     /*  741159 */     // GIR_Coverage, 12218,
     /*  741159 */     GIR_EraseRootFromParent_Done,
     /*  741160 */   // Label 11606: @741160
     /*  741160 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(741235), // Rule ID 12219 //
     /*  741165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  741214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741233 */     GIR_RootConstrainSelectedInstOperands,
     /*  741234 */     // GIR_Coverage, 12219,
     /*  741234 */     GIR_EraseRootFromParent_Done,
     /*  741235 */   // Label 11607: @741235
     /*  741235 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(741310), // Rule ID 12222 //
     /*  741240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  741257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  741289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741308 */     GIR_RootConstrainSelectedInstOperands,
     /*  741309 */     // GIR_Coverage, 12222,
     /*  741309 */     GIR_EraseRootFromParent_Done,
     /*  741310 */   // Label 11608: @741310
     /*  741310 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741385), // Rule ID 12223 //
     /*  741315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  741332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  741364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741383 */     GIR_RootConstrainSelectedInstOperands,
     /*  741384 */     // GIR_Coverage, 12223,
     /*  741384 */     GIR_EraseRootFromParent_Done,
     /*  741385 */   // Label 11609: @741385
     /*  741385 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741460), // Rule ID 12226 //
     /*  741390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  741407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741458 */     GIR_RootConstrainSelectedInstOperands,
     /*  741459 */     // GIR_Coverage, 12226,
     /*  741459 */     GIR_EraseRootFromParent_Done,
     /*  741460 */   // Label 11610: @741460
     /*  741460 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(741535), // Rule ID 12227 //
     /*  741465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  741482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741533 */     GIR_RootConstrainSelectedInstOperands,
     /*  741534 */     // GIR_Coverage, 12227,
     /*  741534 */     GIR_EraseRootFromParent_Done,
     /*  741535 */   // Label 11611: @741535
     /*  741535 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(741610), // Rule ID 12230 //
     /*  741540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741608 */     GIR_RootConstrainSelectedInstOperands,
     /*  741609 */     // GIR_Coverage, 12230,
     /*  741609 */     GIR_EraseRootFromParent_Done,
     /*  741610 */   // Label 11612: @741610
     /*  741610 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741685), // Rule ID 12231 //
     /*  741615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741683 */     GIR_RootConstrainSelectedInstOperands,
     /*  741684 */     // GIR_Coverage, 12231,
     /*  741684 */     GIR_EraseRootFromParent_Done,
     /*  741685 */   // Label 11613: @741685
     /*  741685 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(741760), // Rule ID 12234 //
     /*  741690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741758 */     GIR_RootConstrainSelectedInstOperands,
     /*  741759 */     // GIR_Coverage, 12234,
     /*  741759 */     GIR_EraseRootFromParent_Done,
     /*  741760 */   // Label 11614: @741760
     /*  741760 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741835), // Rule ID 12235 //
     /*  741765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741833 */     GIR_RootConstrainSelectedInstOperands,
     /*  741834 */     // GIR_Coverage, 12235,
     /*  741834 */     GIR_EraseRootFromParent_Done,
     /*  741835 */   // Label 11615: @741835
     /*  741835 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741910), // Rule ID 12238 //
     /*  741840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741908 */     GIR_RootConstrainSelectedInstOperands,
     /*  741909 */     // GIR_Coverage, 12238,
     /*  741909 */     GIR_EraseRootFromParent_Done,
     /*  741910 */   // Label 11616: @741910
     /*  741910 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741985), // Rule ID 12239 //
     /*  741915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741983 */     GIR_RootConstrainSelectedInstOperands,
     /*  741984 */     // GIR_Coverage, 12239,
     /*  741984 */     GIR_EraseRootFromParent_Done,
     /*  741985 */   // Label 11617: @741985
     /*  741985 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(742060), // Rule ID 12242 //
     /*  741990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  742007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  742039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742058 */     GIR_RootConstrainSelectedInstOperands,
     /*  742059 */     // GIR_Coverage, 12242,
     /*  742059 */     GIR_EraseRootFromParent_Done,
     /*  742060 */   // Label 11618: @742060
     /*  742060 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(742135), // Rule ID 12243 //
     /*  742065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  742082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  742114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742133 */     GIR_RootConstrainSelectedInstOperands,
     /*  742134 */     // GIR_Coverage, 12243,
     /*  742134 */     GIR_EraseRootFromParent_Done,
     /*  742135 */   // Label 11619: @742135
     /*  742135 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(742210), // Rule ID 12246 //
     /*  742140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  742157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  742189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742208 */     GIR_RootConstrainSelectedInstOperands,
     /*  742209 */     // GIR_Coverage, 12246,
     /*  742209 */     GIR_EraseRootFromParent_Done,
     /*  742210 */   // Label 11620: @742210
     /*  742210 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(742285), // Rule ID 12247 //
     /*  742215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  742232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  742264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742283 */     GIR_RootConstrainSelectedInstOperands,
     /*  742284 */     // GIR_Coverage, 12247,
     /*  742284 */     GIR_EraseRootFromParent_Done,
     /*  742285 */   // Label 11621: @742285
     /*  742285 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(742360), // Rule ID 12250 //
     /*  742290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  742310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  742339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742358 */     GIR_RootConstrainSelectedInstOperands,
     /*  742359 */     // GIR_Coverage, 12250,
     /*  742359 */     GIR_EraseRootFromParent_Done,
     /*  742360 */   // Label 11622: @742360
     /*  742360 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742435), // Rule ID 12251 //
     /*  742365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  742385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742411 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  742414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742433 */     GIR_RootConstrainSelectedInstOperands,
     /*  742434 */     // GIR_Coverage, 12251,
     /*  742434 */     GIR_EraseRootFromParent_Done,
     /*  742435 */   // Label 11623: @742435
     /*  742435 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742510), // Rule ID 12254 //
     /*  742440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742508 */     GIR_RootConstrainSelectedInstOperands,
     /*  742509 */     // GIR_Coverage, 12254,
     /*  742509 */     GIR_EraseRootFromParent_Done,
     /*  742510 */   // Label 11624: @742510
     /*  742510 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(742585), // Rule ID 12255 //
     /*  742515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742583 */     GIR_RootConstrainSelectedInstOperands,
     /*  742584 */     // GIR_Coverage, 12255,
     /*  742584 */     GIR_EraseRootFromParent_Done,
     /*  742585 */   // Label 11625: @742585
     /*  742585 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742660), // Rule ID 12258 //
     /*  742590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742658 */     GIR_RootConstrainSelectedInstOperands,
     /*  742659 */     // GIR_Coverage, 12258,
     /*  742659 */     GIR_EraseRootFromParent_Done,
     /*  742660 */   // Label 11626: @742660
     /*  742660 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(742735), // Rule ID 12259 //
     /*  742665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742733 */     GIR_RootConstrainSelectedInstOperands,
     /*  742734 */     // GIR_Coverage, 12259,
     /*  742734 */     GIR_EraseRootFromParent_Done,
     /*  742735 */   // Label 11627: @742735
     /*  742735 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742810), // Rule ID 12262 //
     /*  742740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742808 */     GIR_RootConstrainSelectedInstOperands,
     /*  742809 */     // GIR_Coverage, 12262,
     /*  742809 */     GIR_EraseRootFromParent_Done,
     /*  742810 */   // Label 11628: @742810
     /*  742810 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742885), // Rule ID 12263 //
     /*  742815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742883 */     GIR_RootConstrainSelectedInstOperands,
     /*  742884 */     // GIR_Coverage, 12263,
     /*  742884 */     GIR_EraseRootFromParent_Done,
     /*  742885 */   // Label 11629: @742885
     /*  742885 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742960), // Rule ID 12266 //
     /*  742890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742958 */     GIR_RootConstrainSelectedInstOperands,
     /*  742959 */     // GIR_Coverage, 12266,
     /*  742959 */     GIR_EraseRootFromParent_Done,
     /*  742960 */   // Label 11630: @742960
     /*  742960 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(743035), // Rule ID 12267 //
     /*  742965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743033 */     GIR_RootConstrainSelectedInstOperands,
     /*  743034 */     // GIR_Coverage, 12267,
     /*  743034 */     GIR_EraseRootFromParent_Done,
     /*  743035 */   // Label 11631: @743035
     /*  743035 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(743110), // Rule ID 12270 //
     /*  743040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  743060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743086 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743108 */     GIR_RootConstrainSelectedInstOperands,
     /*  743109 */     // GIR_Coverage, 12270,
     /*  743109 */     GIR_EraseRootFromParent_Done,
     /*  743110 */   // Label 11632: @743110
     /*  743110 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(743185), // Rule ID 12271 //
     /*  743115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  743135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743183 */     GIR_RootConstrainSelectedInstOperands,
     /*  743184 */     // GIR_Coverage, 12271,
     /*  743184 */     GIR_EraseRootFromParent_Done,
     /*  743185 */   // Label 11633: @743185
     /*  743185 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(743260), // Rule ID 12274 //
     /*  743190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  743210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743258 */     GIR_RootConstrainSelectedInstOperands,
     /*  743259 */     // GIR_Coverage, 12274,
     /*  743259 */     GIR_EraseRootFromParent_Done,
     /*  743260 */   // Label 11634: @743260
     /*  743260 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(743335), // Rule ID 12275 //
     /*  743265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  743285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743311 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743333 */     GIR_RootConstrainSelectedInstOperands,
     /*  743334 */     // GIR_Coverage, 12275,
     /*  743334 */     GIR_EraseRootFromParent_Done,
     /*  743335 */   // Label 11635: @743335
     /*  743335 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743410), // Rule ID 12278 //
     /*  743340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  743360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743408 */     GIR_RootConstrainSelectedInstOperands,
     /*  743409 */     // GIR_Coverage, 12278,
     /*  743409 */     GIR_EraseRootFromParent_Done,
     /*  743410 */   // Label 11636: @743410
     /*  743410 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743485), // Rule ID 12279 //
     /*  743415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  743435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743483 */     GIR_RootConstrainSelectedInstOperands,
     /*  743484 */     // GIR_Coverage, 12279,
     /*  743484 */     GIR_EraseRootFromParent_Done,
     /*  743485 */   // Label 11637: @743485
     /*  743485 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(743560), // Rule ID 12282 //
     /*  743490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743558 */     GIR_RootConstrainSelectedInstOperands,
     /*  743559 */     // GIR_Coverage, 12282,
     /*  743559 */     GIR_EraseRootFromParent_Done,
     /*  743560 */   // Label 11638: @743560
     /*  743560 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(743635), // Rule ID 12283 //
     /*  743565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743633 */     GIR_RootConstrainSelectedInstOperands,
     /*  743634 */     // GIR_Coverage, 12283,
     /*  743634 */     GIR_EraseRootFromParent_Done,
     /*  743635 */   // Label 11639: @743635
     /*  743635 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(743710), // Rule ID 12286 //
     /*  743640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743708 */     GIR_RootConstrainSelectedInstOperands,
     /*  743709 */     // GIR_Coverage, 12286,
     /*  743709 */     GIR_EraseRootFromParent_Done,
     /*  743710 */   // Label 11640: @743710
     /*  743710 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(743785), // Rule ID 12287 //
     /*  743715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743783 */     GIR_RootConstrainSelectedInstOperands,
     /*  743784 */     // GIR_Coverage, 12287,
     /*  743784 */     GIR_EraseRootFromParent_Done,
     /*  743785 */   // Label 11641: @743785
     /*  743785 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743860), // Rule ID 12290 //
     /*  743790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743858 */     GIR_RootConstrainSelectedInstOperands,
     /*  743859 */     // GIR_Coverage, 12290,
     /*  743859 */     GIR_EraseRootFromParent_Done,
     /*  743860 */   // Label 11642: @743860
     /*  743860 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743935), // Rule ID 12291 //
     /*  743865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743933 */     GIR_RootConstrainSelectedInstOperands,
     /*  743934 */     // GIR_Coverage, 12291,
     /*  743934 */     GIR_EraseRootFromParent_Done,
     /*  743935 */   // Label 11643: @743935
     /*  743935 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(744010), // Rule ID 12294 //
     /*  743940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  743960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744008 */     GIR_RootConstrainSelectedInstOperands,
     /*  744009 */     // GIR_Coverage, 12294,
     /*  744009 */     GIR_EraseRootFromParent_Done,
     /*  744010 */   // Label 11644: @744010
     /*  744010 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(744085), // Rule ID 12295 //
     /*  744015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  744035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  744064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744083 */     GIR_RootConstrainSelectedInstOperands,
     /*  744084 */     // GIR_Coverage, 12295,
     /*  744084 */     GIR_EraseRootFromParent_Done,
     /*  744085 */   // Label 11645: @744085
     /*  744085 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(744160), // Rule ID 12298 //
     /*  744090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744158 */     GIR_RootConstrainSelectedInstOperands,
     /*  744159 */     // GIR_Coverage, 12298,
     /*  744159 */     GIR_EraseRootFromParent_Done,
     /*  744160 */   // Label 11646: @744160
     /*  744160 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(744235), // Rule ID 12299 //
     /*  744165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744211 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744233 */     GIR_RootConstrainSelectedInstOperands,
     /*  744234 */     // GIR_Coverage, 12299,
     /*  744234 */     GIR_EraseRootFromParent_Done,
     /*  744235 */   // Label 11647: @744235
     /*  744235 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(744310), // Rule ID 12302 //
     /*  744240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  744260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  744289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744308 */     GIR_RootConstrainSelectedInstOperands,
     /*  744309 */     // GIR_Coverage, 12302,
     /*  744309 */     GIR_EraseRootFromParent_Done,
     /*  744310 */   // Label 11648: @744310
     /*  744310 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744385), // Rule ID 12303 //
     /*  744315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  744335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744361 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  744364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744383 */     GIR_RootConstrainSelectedInstOperands,
     /*  744384 */     // GIR_Coverage, 12303,
     /*  744384 */     GIR_EraseRootFromParent_Done,
     /*  744385 */   // Label 11649: @744385
     /*  744385 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744460), // Rule ID 12306 //
     /*  744390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  744410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744458 */     GIR_RootConstrainSelectedInstOperands,
     /*  744459 */     // GIR_Coverage, 12306,
     /*  744459 */     GIR_EraseRootFromParent_Done,
     /*  744460 */   // Label 11650: @744460
     /*  744460 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(744535), // Rule ID 12307 //
     /*  744465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  744485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744511 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744533 */     GIR_RootConstrainSelectedInstOperands,
     /*  744534 */     // GIR_Coverage, 12307,
     /*  744534 */     GIR_EraseRootFromParent_Done,
     /*  744535 */   // Label 11651: @744535
     /*  744535 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(744610), // Rule ID 12310 //
     /*  744540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744608 */     GIR_RootConstrainSelectedInstOperands,
     /*  744609 */     // GIR_Coverage, 12310,
     /*  744609 */     GIR_EraseRootFromParent_Done,
     /*  744610 */   // Label 11652: @744610
     /*  744610 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744685), // Rule ID 12311 //
     /*  744615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744683 */     GIR_RootConstrainSelectedInstOperands,
     /*  744684 */     // GIR_Coverage, 12311,
     /*  744684 */     GIR_EraseRootFromParent_Done,
     /*  744685 */   // Label 11653: @744685
     /*  744685 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(744760), // Rule ID 12314 //
     /*  744690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744758 */     GIR_RootConstrainSelectedInstOperands,
     /*  744759 */     // GIR_Coverage, 12314,
     /*  744759 */     GIR_EraseRootFromParent_Done,
     /*  744760 */   // Label 11654: @744760
     /*  744760 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744835), // Rule ID 12315 //
     /*  744765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744833 */     GIR_RootConstrainSelectedInstOperands,
     /*  744834 */     // GIR_Coverage, 12315,
     /*  744834 */     GIR_EraseRootFromParent_Done,
     /*  744835 */   // Label 11655: @744835
     /*  744835 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744910), // Rule ID 12318 //
     /*  744840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744908 */     GIR_RootConstrainSelectedInstOperands,
     /*  744909 */     // GIR_Coverage, 12318,
     /*  744909 */     GIR_EraseRootFromParent_Done,
     /*  744910 */   // Label 11656: @744910
     /*  744910 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744985), // Rule ID 12319 //
     /*  744915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744983 */     GIR_RootConstrainSelectedInstOperands,
     /*  744984 */     // GIR_Coverage, 12319,
     /*  744984 */     GIR_EraseRootFromParent_Done,
     /*  744985 */   // Label 11657: @744985
     /*  744985 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(745060), // Rule ID 12322 //
     /*  744990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745058 */     GIR_RootConstrainSelectedInstOperands,
     /*  745059 */     // GIR_Coverage, 12322,
     /*  745059 */     GIR_EraseRootFromParent_Done,
     /*  745060 */   // Label 11658: @745060
     /*  745060 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(745135), // Rule ID 12323 //
     /*  745065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745133 */     GIR_RootConstrainSelectedInstOperands,
     /*  745134 */     // GIR_Coverage, 12323,
     /*  745134 */     GIR_EraseRootFromParent_Done,
     /*  745135 */   // Label 11659: @745135
     /*  745135 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(745210), // Rule ID 12326 //
     /*  745140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745208 */     GIR_RootConstrainSelectedInstOperands,
     /*  745209 */     // GIR_Coverage, 12326,
     /*  745209 */     GIR_EraseRootFromParent_Done,
     /*  745210 */   // Label 11660: @745210
     /*  745210 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(745285), // Rule ID 12327 //
     /*  745215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745283 */     GIR_RootConstrainSelectedInstOperands,
     /*  745284 */     // GIR_Coverage, 12327,
     /*  745284 */     GIR_EraseRootFromParent_Done,
     /*  745285 */   // Label 11661: @745285
     /*  745285 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(745360), // Rule ID 12330 //
     /*  745290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745358 */     GIR_RootConstrainSelectedInstOperands,
     /*  745359 */     // GIR_Coverage, 12330,
     /*  745359 */     GIR_EraseRootFromParent_Done,
     /*  745360 */   // Label 11662: @745360
     /*  745360 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745435), // Rule ID 12331 //
     /*  745365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745433 */     GIR_RootConstrainSelectedInstOperands,
     /*  745434 */     // GIR_Coverage, 12331,
     /*  745434 */     GIR_EraseRootFromParent_Done,
     /*  745435 */   // Label 11663: @745435
     /*  745435 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745510), // Rule ID 12334 //
     /*  745440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745508 */     GIR_RootConstrainSelectedInstOperands,
     /*  745509 */     // GIR_Coverage, 12334,
     /*  745509 */     GIR_EraseRootFromParent_Done,
     /*  745510 */   // Label 11664: @745510
     /*  745510 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(745585), // Rule ID 12335 //
     /*  745515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745583 */     GIR_RootConstrainSelectedInstOperands,
     /*  745584 */     // GIR_Coverage, 12335,
     /*  745584 */     GIR_EraseRootFromParent_Done,
     /*  745585 */   // Label 11665: @745585
     /*  745585 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745660), // Rule ID 12338 //
     /*  745590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745658 */     GIR_RootConstrainSelectedInstOperands,
     /*  745659 */     // GIR_Coverage, 12338,
     /*  745659 */     GIR_EraseRootFromParent_Done,
     /*  745660 */   // Label 11666: @745660
     /*  745660 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(745735), // Rule ID 12339 //
     /*  745665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745733 */     GIR_RootConstrainSelectedInstOperands,
     /*  745734 */     // GIR_Coverage, 12339,
     /*  745734 */     GIR_EraseRootFromParent_Done,
     /*  745735 */   // Label 11667: @745735
     /*  745735 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745810), // Rule ID 12342 //
     /*  745740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745808 */     GIR_RootConstrainSelectedInstOperands,
     /*  745809 */     // GIR_Coverage, 12342,
     /*  745809 */     GIR_EraseRootFromParent_Done,
     /*  745810 */   // Label 11668: @745810
     /*  745810 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745885), // Rule ID 12343 //
     /*  745815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745883 */     GIR_RootConstrainSelectedInstOperands,
     /*  745884 */     // GIR_Coverage, 12343,
     /*  745884 */     GIR_EraseRootFromParent_Done,
     /*  745885 */   // Label 11669: @745885
     /*  745885 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745960), // Rule ID 12346 //
     /*  745890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745958 */     GIR_RootConstrainSelectedInstOperands,
     /*  745959 */     // GIR_Coverage, 12346,
     /*  745959 */     GIR_EraseRootFromParent_Done,
     /*  745960 */   // Label 11670: @745960
     /*  745960 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(746035), // Rule ID 12347 //
     /*  745965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746033 */     GIR_RootConstrainSelectedInstOperands,
     /*  746034 */     // GIR_Coverage, 12347,
     /*  746034 */     GIR_EraseRootFromParent_Done,
     /*  746035 */   // Label 11671: @746035
     /*  746035 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(746110), // Rule ID 12350 //
     /*  746040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746108 */     GIR_RootConstrainSelectedInstOperands,
     /*  746109 */     // GIR_Coverage, 12350,
     /*  746109 */     GIR_EraseRootFromParent_Done,
     /*  746110 */   // Label 11672: @746110
     /*  746110 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(746185), // Rule ID 12351 //
     /*  746115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746183 */     GIR_RootConstrainSelectedInstOperands,
     /*  746184 */     // GIR_Coverage, 12351,
     /*  746184 */     GIR_EraseRootFromParent_Done,
     /*  746185 */   // Label 11673: @746185
     /*  746185 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(746260), // Rule ID 12354 //
     /*  746190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746258 */     GIR_RootConstrainSelectedInstOperands,
     /*  746259 */     // GIR_Coverage, 12354,
     /*  746259 */     GIR_EraseRootFromParent_Done,
     /*  746260 */   // Label 11674: @746260
     /*  746260 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(746335), // Rule ID 12355 //
     /*  746265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746333 */     GIR_RootConstrainSelectedInstOperands,
     /*  746334 */     // GIR_Coverage, 12355,
     /*  746334 */     GIR_EraseRootFromParent_Done,
     /*  746335 */   // Label 11675: @746335
     /*  746335 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746410), // Rule ID 12358 //
     /*  746340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746408 */     GIR_RootConstrainSelectedInstOperands,
     /*  746409 */     // GIR_Coverage, 12358,
     /*  746409 */     GIR_EraseRootFromParent_Done,
     /*  746410 */   // Label 11676: @746410
     /*  746410 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746485), // Rule ID 12359 //
     /*  746415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746483 */     GIR_RootConstrainSelectedInstOperands,
     /*  746484 */     // GIR_Coverage, 12359,
     /*  746484 */     GIR_EraseRootFromParent_Done,
     /*  746485 */   // Label 11677: @746485
     /*  746485 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(746560), // Rule ID 12362 //
     /*  746490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746558 */     GIR_RootConstrainSelectedInstOperands,
     /*  746559 */     // GIR_Coverage, 12362,
     /*  746559 */     GIR_EraseRootFromParent_Done,
     /*  746560 */   // Label 11678: @746560
     /*  746560 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(746635), // Rule ID 12363 //
     /*  746565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746633 */     GIR_RootConstrainSelectedInstOperands,
     /*  746634 */     // GIR_Coverage, 12363,
     /*  746634 */     GIR_EraseRootFromParent_Done,
     /*  746635 */   // Label 11679: @746635
     /*  746635 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(746710), // Rule ID 12366 //
     /*  746640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746708 */     GIR_RootConstrainSelectedInstOperands,
     /*  746709 */     // GIR_Coverage, 12366,
     /*  746709 */     GIR_EraseRootFromParent_Done,
     /*  746710 */   // Label 11680: @746710
     /*  746710 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(746785), // Rule ID 12367 //
     /*  746715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746783 */     GIR_RootConstrainSelectedInstOperands,
     /*  746784 */     // GIR_Coverage, 12367,
     /*  746784 */     GIR_EraseRootFromParent_Done,
     /*  746785 */   // Label 11681: @746785
     /*  746785 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746860), // Rule ID 12370 //
     /*  746790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746836 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746858 */     GIR_RootConstrainSelectedInstOperands,
     /*  746859 */     // GIR_Coverage, 12370,
     /*  746859 */     GIR_EraseRootFromParent_Done,
     /*  746860 */   // Label 11682: @746860
     /*  746860 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746935), // Rule ID 12371 //
     /*  746865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746933 */     GIR_RootConstrainSelectedInstOperands,
     /*  746934 */     // GIR_Coverage, 12371,
     /*  746934 */     GIR_EraseRootFromParent_Done,
     /*  746935 */   // Label 11683: @746935
     /*  746935 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(747010), // Rule ID 12374 //
     /*  746940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746986 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747008 */     GIR_RootConstrainSelectedInstOperands,
     /*  747009 */     // GIR_Coverage, 12374,
     /*  747009 */     GIR_EraseRootFromParent_Done,
     /*  747010 */   // Label 11684: @747010
     /*  747010 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(747085), // Rule ID 12375 //
     /*  747015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  747035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747083 */     GIR_RootConstrainSelectedInstOperands,
     /*  747084 */     // GIR_Coverage, 12375,
     /*  747084 */     GIR_EraseRootFromParent_Done,
     /*  747085 */   // Label 11685: @747085
     /*  747085 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(747160), // Rule ID 12378 //
     /*  747090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747158 */     GIR_RootConstrainSelectedInstOperands,
     /*  747159 */     // GIR_Coverage, 12378,
     /*  747159 */     GIR_EraseRootFromParent_Done,
     /*  747160 */   // Label 11686: @747160
     /*  747160 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(747235), // Rule ID 12379 //
     /*  747165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747233 */     GIR_RootConstrainSelectedInstOperands,
     /*  747234 */     // GIR_Coverage, 12379,
     /*  747234 */     GIR_EraseRootFromParent_Done,
     /*  747235 */   // Label 11687: @747235
     /*  747235 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(747310), // Rule ID 12382 //
     /*  747240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747308 */     GIR_RootConstrainSelectedInstOperands,
     /*  747309 */     // GIR_Coverage, 12382,
     /*  747309 */     GIR_EraseRootFromParent_Done,
     /*  747310 */   // Label 11688: @747310
     /*  747310 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747385), // Rule ID 12383 //
     /*  747315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747383 */     GIR_RootConstrainSelectedInstOperands,
     /*  747384 */     // GIR_Coverage, 12383,
     /*  747384 */     GIR_EraseRootFromParent_Done,
     /*  747385 */   // Label 11689: @747385
     /*  747385 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747460), // Rule ID 12386 //
     /*  747390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747458 */     GIR_RootConstrainSelectedInstOperands,
     /*  747459 */     // GIR_Coverage, 12386,
     /*  747459 */     GIR_EraseRootFromParent_Done,
     /*  747460 */   // Label 11690: @747460
     /*  747460 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(747535), // Rule ID 12387 //
     /*  747465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747533 */     GIR_RootConstrainSelectedInstOperands,
     /*  747534 */     // GIR_Coverage, 12387,
     /*  747534 */     GIR_EraseRootFromParent_Done,
     /*  747535 */   // Label 11691: @747535
     /*  747535 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(747610), // Rule ID 12390 //
     /*  747540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747608 */     GIR_RootConstrainSelectedInstOperands,
     /*  747609 */     // GIR_Coverage, 12390,
     /*  747609 */     GIR_EraseRootFromParent_Done,
     /*  747610 */   // Label 11692: @747610
     /*  747610 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747685), // Rule ID 12391 //
     /*  747615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747683 */     GIR_RootConstrainSelectedInstOperands,
     /*  747684 */     // GIR_Coverage, 12391,
     /*  747684 */     GIR_EraseRootFromParent_Done,
     /*  747685 */   // Label 11693: @747685
     /*  747685 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(747760), // Rule ID 12394 //
     /*  747690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747758 */     GIR_RootConstrainSelectedInstOperands,
     /*  747759 */     // GIR_Coverage, 12394,
     /*  747759 */     GIR_EraseRootFromParent_Done,
     /*  747760 */   // Label 11694: @747760
     /*  747760 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747835), // Rule ID 12395 //
     /*  747765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747811 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747833 */     GIR_RootConstrainSelectedInstOperands,
     /*  747834 */     // GIR_Coverage, 12395,
     /*  747834 */     GIR_EraseRootFromParent_Done,
     /*  747835 */   // Label 11695: @747835
     /*  747835 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747910), // Rule ID 12398 //
     /*  747840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747908 */     GIR_RootConstrainSelectedInstOperands,
     /*  747909 */     // GIR_Coverage, 12398,
     /*  747909 */     GIR_EraseRootFromParent_Done,
     /*  747910 */   // Label 11696: @747910
     /*  747910 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747985), // Rule ID 12399 //
     /*  747915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747961 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747983 */     GIR_RootConstrainSelectedInstOperands,
     /*  747984 */     // GIR_Coverage, 12399,
     /*  747984 */     GIR_EraseRootFromParent_Done,
     /*  747985 */   // Label 11697: @747985
     /*  747985 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(748060), // Rule ID 12402 //
     /*  747990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748058 */     GIR_RootConstrainSelectedInstOperands,
     /*  748059 */     // GIR_Coverage, 12402,
     /*  748059 */     GIR_EraseRootFromParent_Done,
     /*  748060 */   // Label 11698: @748060
     /*  748060 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(748135), // Rule ID 12403 //
     /*  748065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748133 */     GIR_RootConstrainSelectedInstOperands,
     /*  748134 */     // GIR_Coverage, 12403,
     /*  748134 */     GIR_EraseRootFromParent_Done,
     /*  748135 */   // Label 11699: @748135
     /*  748135 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(748210), // Rule ID 12406 //
     /*  748140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748208 */     GIR_RootConstrainSelectedInstOperands,
     /*  748209 */     // GIR_Coverage, 12406,
     /*  748209 */     GIR_EraseRootFromParent_Done,
     /*  748210 */   // Label 11700: @748210
     /*  748210 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(748285), // Rule ID 12407 //
     /*  748215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748283 */     GIR_RootConstrainSelectedInstOperands,
     /*  748284 */     // GIR_Coverage, 12407,
     /*  748284 */     GIR_EraseRootFromParent_Done,
     /*  748285 */   // Label 11701: @748285
     /*  748285 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(748360), // Rule ID 12410 //
     /*  748290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748358 */     GIR_RootConstrainSelectedInstOperands,
     /*  748359 */     // GIR_Coverage, 12410,
     /*  748359 */     GIR_EraseRootFromParent_Done,
     /*  748360 */   // Label 11702: @748360
     /*  748360 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748435), // Rule ID 12411 //
     /*  748365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748433 */     GIR_RootConstrainSelectedInstOperands,
     /*  748434 */     // GIR_Coverage, 12411,
     /*  748434 */     GIR_EraseRootFromParent_Done,
     /*  748435 */   // Label 11703: @748435
     /*  748435 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748510), // Rule ID 12414 //
     /*  748440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748508 */     GIR_RootConstrainSelectedInstOperands,
     /*  748509 */     // GIR_Coverage, 12414,
     /*  748509 */     GIR_EraseRootFromParent_Done,
     /*  748510 */   // Label 11704: @748510
     /*  748510 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(748585), // Rule ID 12415 //
     /*  748515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748583 */     GIR_RootConstrainSelectedInstOperands,
     /*  748584 */     // GIR_Coverage, 12415,
     /*  748584 */     GIR_EraseRootFromParent_Done,
     /*  748585 */   // Label 11705: @748585
     /*  748585 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748660), // Rule ID 12418 //
     /*  748590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748636 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748658 */     GIR_RootConstrainSelectedInstOperands,
     /*  748659 */     // GIR_Coverage, 12418,
     /*  748659 */     GIR_EraseRootFromParent_Done,
     /*  748660 */   // Label 11706: @748660
     /*  748660 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(748735), // Rule ID 12419 //
     /*  748665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748711 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748733 */     GIR_RootConstrainSelectedInstOperands,
     /*  748734 */     // GIR_Coverage, 12419,
     /*  748734 */     GIR_EraseRootFromParent_Done,
     /*  748735 */   // Label 11707: @748735
     /*  748735 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748810), // Rule ID 12422 //
     /*  748740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748808 */     GIR_RootConstrainSelectedInstOperands,
     /*  748809 */     // GIR_Coverage, 12422,
     /*  748809 */     GIR_EraseRootFromParent_Done,
     /*  748810 */   // Label 11708: @748810
     /*  748810 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748885), // Rule ID 12423 //
     /*  748815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748861 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748883 */     GIR_RootConstrainSelectedInstOperands,
     /*  748884 */     // GIR_Coverage, 12423,
     /*  748884 */     GIR_EraseRootFromParent_Done,
     /*  748885 */   // Label 11709: @748885
     /*  748885 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748960), // Rule ID 12426 //
     /*  748890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748958 */     GIR_RootConstrainSelectedInstOperands,
     /*  748959 */     // GIR_Coverage, 12426,
     /*  748959 */     GIR_EraseRootFromParent_Done,
     /*  748960 */   // Label 11710: @748960
     /*  748960 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(749035), // Rule ID 12427 //
     /*  748965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749011 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  749014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749033 */     GIR_RootConstrainSelectedInstOperands,
     /*  749034 */     // GIR_Coverage, 12427,
     /*  749034 */     GIR_EraseRootFromParent_Done,
     /*  749035 */   // Label 11711: @749035
     /*  749035 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(749110), // Rule ID 12430 //
     /*  749040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  749089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749108 */     GIR_RootConstrainSelectedInstOperands,
     /*  749109 */     // GIR_Coverage, 12430,
     /*  749109 */     GIR_EraseRootFromParent_Done,
     /*  749110 */   // Label 11712: @749110
     /*  749110 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(749185), // Rule ID 12431 //
     /*  749115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  749164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749183 */     GIR_RootConstrainSelectedInstOperands,
     /*  749184 */     // GIR_Coverage, 12431,
     /*  749184 */     GIR_EraseRootFromParent_Done,
     /*  749185 */   // Label 11713: @749185
     /*  749185 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(749260), // Rule ID 12434 //
     /*  749190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749258 */     GIR_RootConstrainSelectedInstOperands,
     /*  749259 */     // GIR_Coverage, 12434,
     /*  749259 */     GIR_EraseRootFromParent_Done,
     /*  749260 */   // Label 11714: @749260
     /*  749260 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(749335), // Rule ID 12435 //
     /*  749265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749333 */     GIR_RootConstrainSelectedInstOperands,
     /*  749334 */     // GIR_Coverage, 12435,
     /*  749334 */     GIR_EraseRootFromParent_Done,
     /*  749335 */   // Label 11715: @749335
     /*  749335 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749410), // Rule ID 12438 //
     /*  749340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749408 */     GIR_RootConstrainSelectedInstOperands,
     /*  749409 */     // GIR_Coverage, 12438,
     /*  749409 */     GIR_EraseRootFromParent_Done,
     /*  749410 */   // Label 11716: @749410
     /*  749410 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749485), // Rule ID 12439 //
     /*  749415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749483 */     GIR_RootConstrainSelectedInstOperands,
     /*  749484 */     // GIR_Coverage, 12439,
     /*  749484 */     GIR_EraseRootFromParent_Done,
     /*  749485 */   // Label 11717: @749485
     /*  749485 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(749560), // Rule ID 12442 //
     /*  749490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749558 */     GIR_RootConstrainSelectedInstOperands,
     /*  749559 */     // GIR_Coverage, 12442,
     /*  749559 */     GIR_EraseRootFromParent_Done,
     /*  749560 */   // Label 11718: @749560
     /*  749560 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(749635), // Rule ID 12443 //
     /*  749565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749611 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749633 */     GIR_RootConstrainSelectedInstOperands,
     /*  749634 */     // GIR_Coverage, 12443,
     /*  749634 */     GIR_EraseRootFromParent_Done,
     /*  749635 */   // Label 11719: @749635
     /*  749635 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(749710), // Rule ID 12446 //
     /*  749640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749708 */     GIR_RootConstrainSelectedInstOperands,
     /*  749709 */     // GIR_Coverage, 12446,
     /*  749709 */     GIR_EraseRootFromParent_Done,
     /*  749710 */   // Label 11720: @749710
     /*  749710 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(749785), // Rule ID 12447 //
     /*  749715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749783 */     GIR_RootConstrainSelectedInstOperands,
     /*  749784 */     // GIR_Coverage, 12447,
     /*  749784 */     GIR_EraseRootFromParent_Done,
     /*  749785 */   // Label 11721: @749785
     /*  749785 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749860), // Rule ID 12450 //
     /*  749790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749858 */     GIR_RootConstrainSelectedInstOperands,
     /*  749859 */     // GIR_Coverage, 12450,
     /*  749859 */     GIR_EraseRootFromParent_Done,
     /*  749860 */   // Label 11722: @749860
     /*  749860 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749935), // Rule ID 12451 //
     /*  749865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749911 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749933 */     GIR_RootConstrainSelectedInstOperands,
     /*  749934 */     // GIR_Coverage, 12451,
     /*  749934 */     GIR_EraseRootFromParent_Done,
     /*  749935 */   // Label 11723: @749935
     /*  749935 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(750010), // Rule ID 12454 //
     /*  749940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750008 */     GIR_RootConstrainSelectedInstOperands,
     /*  750009 */     // GIR_Coverage, 12454,
     /*  750009 */     GIR_EraseRootFromParent_Done,
     /*  750010 */   // Label 11724: @750010
     /*  750010 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(750085), // Rule ID 12455 //
     /*  750015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  750064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750083 */     GIR_RootConstrainSelectedInstOperands,
     /*  750084 */     // GIR_Coverage, 12455,
     /*  750084 */     GIR_EraseRootFromParent_Done,
     /*  750085 */   // Label 11725: @750085
     /*  750085 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(750160), // Rule ID 12458 //
     /*  750090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750158 */     GIR_RootConstrainSelectedInstOperands,
     /*  750159 */     // GIR_Coverage, 12458,
     /*  750159 */     GIR_EraseRootFromParent_Done,
     /*  750160 */   // Label 11726: @750160
     /*  750160 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(750235), // Rule ID 12459 //
     /*  750165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750233 */     GIR_RootConstrainSelectedInstOperands,
     /*  750234 */     // GIR_Coverage, 12459,
     /*  750234 */     GIR_EraseRootFromParent_Done,
     /*  750235 */   // Label 11727: @750235
     /*  750235 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(750310), // Rule ID 12462 //
     /*  750240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750308 */     GIR_RootConstrainSelectedInstOperands,
     /*  750309 */     // GIR_Coverage, 12462,
     /*  750309 */     GIR_EraseRootFromParent_Done,
     /*  750310 */   // Label 11728: @750310
     /*  750310 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750385), // Rule ID 12463 //
     /*  750315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750383 */     GIR_RootConstrainSelectedInstOperands,
     /*  750384 */     // GIR_Coverage, 12463,
     /*  750384 */     GIR_EraseRootFromParent_Done,
     /*  750385 */   // Label 11729: @750385
     /*  750385 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750460), // Rule ID 12466 //
     /*  750390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750458 */     GIR_RootConstrainSelectedInstOperands,
     /*  750459 */     // GIR_Coverage, 12466,
     /*  750459 */     GIR_EraseRootFromParent_Done,
     /*  750460 */   // Label 11730: @750460
     /*  750460 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(750535), // Rule ID 12467 //
     /*  750465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750511 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750533 */     GIR_RootConstrainSelectedInstOperands,
     /*  750534 */     // GIR_Coverage, 12467,
     /*  750534 */     GIR_EraseRootFromParent_Done,
     /*  750535 */   // Label 11731: @750535
     /*  750535 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(750610), // Rule ID 12470 //
     /*  750540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750608 */     GIR_RootConstrainSelectedInstOperands,
     /*  750609 */     // GIR_Coverage, 12470,
     /*  750609 */     GIR_EraseRootFromParent_Done,
     /*  750610 */   // Label 11732: @750610
     /*  750610 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750685), // Rule ID 12471 //
     /*  750615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750683 */     GIR_RootConstrainSelectedInstOperands,
     /*  750684 */     // GIR_Coverage, 12471,
     /*  750684 */     GIR_EraseRootFromParent_Done,
     /*  750685 */   // Label 11733: @750685
     /*  750685 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(750760), // Rule ID 12474 //
     /*  750690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750758 */     GIR_RootConstrainSelectedInstOperands,
     /*  750759 */     // GIR_Coverage, 12474,
     /*  750759 */     GIR_EraseRootFromParent_Done,
     /*  750760 */   // Label 11734: @750760
     /*  750760 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750835), // Rule ID 12475 //
     /*  750765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750811 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750833 */     GIR_RootConstrainSelectedInstOperands,
     /*  750834 */     // GIR_Coverage, 12475,
     /*  750834 */     GIR_EraseRootFromParent_Done,
     /*  750835 */   // Label 11735: @750835
     /*  750835 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750910), // Rule ID 12478 //
     /*  750840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750908 */     GIR_RootConstrainSelectedInstOperands,
     /*  750909 */     // GIR_Coverage, 12478,
     /*  750909 */     GIR_EraseRootFromParent_Done,
     /*  750910 */   // Label 11736: @750910
     /*  750910 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750985), // Rule ID 12479 //
     /*  750915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750983 */     GIR_RootConstrainSelectedInstOperands,
     /*  750984 */     // GIR_Coverage, 12479,
     /*  750984 */     GIR_EraseRootFromParent_Done,
     /*  750985 */   // Label 11737: @750985
     /*  750985 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(751060), // Rule ID 12482 //
     /*  750990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751058 */     GIR_RootConstrainSelectedInstOperands,
     /*  751059 */     // GIR_Coverage, 12482,
     /*  751059 */     GIR_EraseRootFromParent_Done,
     /*  751060 */   // Label 11738: @751060
     /*  751060 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(751135), // Rule ID 12483 //
     /*  751065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751133 */     GIR_RootConstrainSelectedInstOperands,
     /*  751134 */     // GIR_Coverage, 12483,
     /*  751134 */     GIR_EraseRootFromParent_Done,
     /*  751135 */   // Label 11739: @751135
     /*  751135 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(751210), // Rule ID 12486 //
     /*  751140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751208 */     GIR_RootConstrainSelectedInstOperands,
     /*  751209 */     // GIR_Coverage, 12486,
     /*  751209 */     GIR_EraseRootFromParent_Done,
     /*  751210 */   // Label 11740: @751210
     /*  751210 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(751285), // Rule ID 12487 //
     /*  751215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751283 */     GIR_RootConstrainSelectedInstOperands,
     /*  751284 */     // GIR_Coverage, 12487,
     /*  751284 */     GIR_EraseRootFromParent_Done,
     /*  751285 */   // Label 11741: @751285
     /*  751285 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(751360), // Rule ID 12490 //
     /*  751290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  751339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751358 */     GIR_RootConstrainSelectedInstOperands,
     /*  751359 */     // GIR_Coverage, 12490,
     /*  751359 */     GIR_EraseRootFromParent_Done,
     /*  751360 */   // Label 11742: @751360
     /*  751360 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751435), // Rule ID 12491 //
     /*  751365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751411 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  751414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751433 */     GIR_RootConstrainSelectedInstOperands,
     /*  751434 */     // GIR_Coverage, 12491,
     /*  751434 */     GIR_EraseRootFromParent_Done,
     /*  751435 */   // Label 11743: @751435
     /*  751435 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751510), // Rule ID 12494 //
     /*  751440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751508 */     GIR_RootConstrainSelectedInstOperands,
     /*  751509 */     // GIR_Coverage, 12494,
     /*  751509 */     GIR_EraseRootFromParent_Done,
     /*  751510 */   // Label 11744: @751510
     /*  751510 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751585), // Rule ID 12495 //
     /*  751515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751583 */     GIR_RootConstrainSelectedInstOperands,
     /*  751584 */     // GIR_Coverage, 12495,
     /*  751584 */     GIR_EraseRootFromParent_Done,
     /*  751585 */   // Label 11745: @751585
     /*  751585 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751660), // Rule ID 12498 //
     /*  751590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751658 */     GIR_RootConstrainSelectedInstOperands,
     /*  751659 */     // GIR_Coverage, 12498,
     /*  751659 */     GIR_EraseRootFromParent_Done,
     /*  751660 */   // Label 11746: @751660
     /*  751660 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(751735), // Rule ID 12499 //
     /*  751665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751733 */     GIR_RootConstrainSelectedInstOperands,
     /*  751734 */     // GIR_Coverage, 12499,
     /*  751734 */     GIR_EraseRootFromParent_Done,
     /*  751735 */   // Label 11747: @751735
     /*  751735 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751810), // Rule ID 12502 //
     /*  751740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751808 */     GIR_RootConstrainSelectedInstOperands,
     /*  751809 */     // GIR_Coverage, 12502,
     /*  751809 */     GIR_EraseRootFromParent_Done,
     /*  751810 */   // Label 11748: @751810
     /*  751810 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751885), // Rule ID 12503 //
     /*  751815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751883 */     GIR_RootConstrainSelectedInstOperands,
     /*  751884 */     // GIR_Coverage, 12503,
     /*  751884 */     GIR_EraseRootFromParent_Done,
     /*  751885 */   // Label 11749: @751885
     /*  751885 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751960), // Rule ID 12506 //
     /*  751890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751958 */     GIR_RootConstrainSelectedInstOperands,
     /*  751959 */     // GIR_Coverage, 12506,
     /*  751959 */     GIR_EraseRootFromParent_Done,
     /*  751960 */   // Label 11750: @751960
     /*  751960 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(752035), // Rule ID 12507 //
     /*  751965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752033 */     GIR_RootConstrainSelectedInstOperands,
     /*  752034 */     // GIR_Coverage, 12507,
     /*  752034 */     GIR_EraseRootFromParent_Done,
     /*  752035 */   // Label 11751: @752035
     /*  752035 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(752110), // Rule ID 12510 //
     /*  752040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752086 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752108 */     GIR_RootConstrainSelectedInstOperands,
     /*  752109 */     // GIR_Coverage, 12510,
     /*  752109 */     GIR_EraseRootFromParent_Done,
     /*  752110 */   // Label 11752: @752110
     /*  752110 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(752185), // Rule ID 12511 //
     /*  752115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752183 */     GIR_RootConstrainSelectedInstOperands,
     /*  752184 */     // GIR_Coverage, 12511,
     /*  752184 */     GIR_EraseRootFromParent_Done,
     /*  752185 */   // Label 11753: @752185
     /*  752185 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(752260), // Rule ID 12514 //
     /*  752190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752258 */     GIR_RootConstrainSelectedInstOperands,
     /*  752259 */     // GIR_Coverage, 12514,
     /*  752259 */     GIR_EraseRootFromParent_Done,
     /*  752260 */   // Label 11754: @752260
     /*  752260 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(752335), // Rule ID 12515 //
     /*  752265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752311 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752333 */     GIR_RootConstrainSelectedInstOperands,
     /*  752334 */     // GIR_Coverage, 12515,
     /*  752334 */     GIR_EraseRootFromParent_Done,
     /*  752335 */   // Label 11755: @752335
     /*  752335 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752410), // Rule ID 12518 //
     /*  752340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752408 */     GIR_RootConstrainSelectedInstOperands,
     /*  752409 */     // GIR_Coverage, 12518,
     /*  752409 */     GIR_EraseRootFromParent_Done,
     /*  752410 */   // Label 11756: @752410
     /*  752410 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752485), // Rule ID 12519 //
     /*  752415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752483 */     GIR_RootConstrainSelectedInstOperands,
     /*  752484 */     // GIR_Coverage, 12519,
     /*  752484 */     GIR_EraseRootFromParent_Done,
     /*  752485 */   // Label 11757: @752485
     /*  752485 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752560), // Rule ID 12522 //
     /*  752490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752558 */     GIR_RootConstrainSelectedInstOperands,
     /*  752559 */     // GIR_Coverage, 12522,
     /*  752559 */     GIR_EraseRootFromParent_Done,
     /*  752560 */   // Label 11758: @752560
     /*  752560 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752635), // Rule ID 12523 //
     /*  752565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752633 */     GIR_RootConstrainSelectedInstOperands,
     /*  752634 */     // GIR_Coverage, 12523,
     /*  752634 */     GIR_EraseRootFromParent_Done,
     /*  752635 */   // Label 11759: @752635
     /*  752635 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(752710), // Rule ID 12526 //
     /*  752640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752708 */     GIR_RootConstrainSelectedInstOperands,
     /*  752709 */     // GIR_Coverage, 12526,
     /*  752709 */     GIR_EraseRootFromParent_Done,
     /*  752710 */   // Label 11760: @752710
     /*  752710 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(752785), // Rule ID 12527 //
     /*  752715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752783 */     GIR_RootConstrainSelectedInstOperands,
     /*  752784 */     // GIR_Coverage, 12527,
     /*  752784 */     GIR_EraseRootFromParent_Done,
     /*  752785 */   // Label 11761: @752785
     /*  752785 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752860), // Rule ID 12530 //
     /*  752790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752858 */     GIR_RootConstrainSelectedInstOperands,
     /*  752859 */     // GIR_Coverage, 12530,
     /*  752859 */     GIR_EraseRootFromParent_Done,
     /*  752860 */   // Label 11762: @752860
     /*  752860 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752935), // Rule ID 12531 //
     /*  752865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752933 */     GIR_RootConstrainSelectedInstOperands,
     /*  752934 */     // GIR_Coverage, 12531,
     /*  752934 */     GIR_EraseRootFromParent_Done,
     /*  752935 */   // Label 11763: @752935
     /*  752935 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(753010), // Rule ID 12534 //
     /*  752940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753008 */     GIR_RootConstrainSelectedInstOperands,
     /*  753009 */     // GIR_Coverage, 12534,
     /*  753009 */     GIR_EraseRootFromParent_Done,
     /*  753010 */   // Label 11764: @753010
     /*  753010 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(753085), // Rule ID 12535 //
     /*  753015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  753035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  753064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753083 */     GIR_RootConstrainSelectedInstOperands,
     /*  753084 */     // GIR_Coverage, 12535,
     /*  753084 */     GIR_EraseRootFromParent_Done,
     /*  753085 */   // Label 11765: @753085
     /*  753085 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(753160), // Rule ID 12538 //
     /*  753090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753158 */     GIR_RootConstrainSelectedInstOperands,
     /*  753159 */     // GIR_Coverage, 12538,
     /*  753159 */     GIR_EraseRootFromParent_Done,
     /*  753160 */   // Label 11766: @753160
     /*  753160 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(753235), // Rule ID 12539 //
     /*  753165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753211 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753233 */     GIR_RootConstrainSelectedInstOperands,
     /*  753234 */     // GIR_Coverage, 12539,
     /*  753234 */     GIR_EraseRootFromParent_Done,
     /*  753235 */   // Label 11767: @753235
     /*  753235 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(753310), // Rule ID 12542 //
     /*  753240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  753289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753308 */     GIR_RootConstrainSelectedInstOperands,
     /*  753309 */     // GIR_Coverage, 12542,
     /*  753309 */     GIR_EraseRootFromParent_Done,
     /*  753310 */   // Label 11768: @753310
     /*  753310 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753385), // Rule ID 12543 //
     /*  753315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753361 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  753364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753383 */     GIR_RootConstrainSelectedInstOperands,
     /*  753384 */     // GIR_Coverage, 12543,
     /*  753384 */     GIR_EraseRootFromParent_Done,
     /*  753385 */   // Label 11769: @753385
     /*  753385 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753460), // Rule ID 12546 //
     /*  753390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753458 */     GIR_RootConstrainSelectedInstOperands,
     /*  753459 */     // GIR_Coverage, 12546,
     /*  753459 */     GIR_EraseRootFromParent_Done,
     /*  753460 */   // Label 11770: @753460
     /*  753460 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753535), // Rule ID 12547 //
     /*  753465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753511 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753533 */     GIR_RootConstrainSelectedInstOperands,
     /*  753534 */     // GIR_Coverage, 12547,
     /*  753534 */     GIR_EraseRootFromParent_Done,
     /*  753535 */   // Label 11771: @753535
     /*  753535 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(753610), // Rule ID 12550 //
     /*  753540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753608 */     GIR_RootConstrainSelectedInstOperands,
     /*  753609 */     // GIR_Coverage, 12550,
     /*  753609 */     GIR_EraseRootFromParent_Done,
     /*  753610 */   // Label 11772: @753610
     /*  753610 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(753685), // Rule ID 12551 //
     /*  753615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753683 */     GIR_RootConstrainSelectedInstOperands,
     /*  753684 */     // GIR_Coverage, 12551,
     /*  753684 */     GIR_EraseRootFromParent_Done,
     /*  753685 */   // Label 11773: @753685
     /*  753685 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(753760), // Rule ID 12554 //
     /*  753690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753758 */     GIR_RootConstrainSelectedInstOperands,
     /*  753759 */     // GIR_Coverage, 12554,
     /*  753759 */     GIR_EraseRootFromParent_Done,
     /*  753760 */   // Label 11774: @753760
     /*  753760 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753835), // Rule ID 12555 //
     /*  753765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753833 */     GIR_RootConstrainSelectedInstOperands,
     /*  753834 */     // GIR_Coverage, 12555,
     /*  753834 */     GIR_EraseRootFromParent_Done,
     /*  753835 */   // Label 11775: @753835
     /*  753835 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753910), // Rule ID 12558 //
     /*  753840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753908 */     GIR_RootConstrainSelectedInstOperands,
     /*  753909 */     // GIR_Coverage, 12558,
     /*  753909 */     GIR_EraseRootFromParent_Done,
     /*  753910 */   // Label 11776: @753910
     /*  753910 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753985), // Rule ID 12559 //
     /*  753915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753983 */     GIR_RootConstrainSelectedInstOperands,
     /*  753984 */     // GIR_Coverage, 12559,
     /*  753984 */     GIR_EraseRootFromParent_Done,
     /*  753985 */   // Label 11777: @753985
     /*  753985 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(754060), // Rule ID 12562 //
     /*  753990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  754007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754058 */     GIR_RootConstrainSelectedInstOperands,
     /*  754059 */     // GIR_Coverage, 12562,
     /*  754059 */     GIR_EraseRootFromParent_Done,
     /*  754060 */   // Label 11778: @754060
     /*  754060 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(754135), // Rule ID 12563 //
     /*  754065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  754082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754133 */     GIR_RootConstrainSelectedInstOperands,
     /*  754134 */     // GIR_Coverage, 12563,
     /*  754134 */     GIR_EraseRootFromParent_Done,
     /*  754135 */   // Label 11779: @754135
     /*  754135 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(754210), // Rule ID 12566 //
     /*  754140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754208 */     GIR_RootConstrainSelectedInstOperands,
     /*  754209 */     // GIR_Coverage, 12566,
     /*  754209 */     GIR_EraseRootFromParent_Done,
     /*  754210 */   // Label 11780: @754210
     /*  754210 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(754285), // Rule ID 12567 //
     /*  754215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754283 */     GIR_RootConstrainSelectedInstOperands,
     /*  754284 */     // GIR_Coverage, 12567,
     /*  754284 */     GIR_EraseRootFromParent_Done,
     /*  754285 */   // Label 11781: @754285
     /*  754285 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(754360), // Rule ID 12570 //
     /*  754290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754358 */     GIR_RootConstrainSelectedInstOperands,
     /*  754359 */     // GIR_Coverage, 12570,
     /*  754359 */     GIR_EraseRootFromParent_Done,
     /*  754360 */   // Label 11782: @754360
     /*  754360 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(754435), // Rule ID 12571 //
     /*  754365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754433 */     GIR_RootConstrainSelectedInstOperands,
     /*  754434 */     // GIR_Coverage, 12571,
     /*  754434 */     GIR_EraseRootFromParent_Done,
     /*  754435 */   // Label 11783: @754435
     /*  754435 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(754510), // Rule ID 12574 //
     /*  754440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754508 */     GIR_RootConstrainSelectedInstOperands,
     /*  754509 */     // GIR_Coverage, 12574,
     /*  754509 */     GIR_EraseRootFromParent_Done,
     /*  754510 */   // Label 11784: @754510
     /*  754510 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(754585), // Rule ID 12575 //
     /*  754515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754583 */     GIR_RootConstrainSelectedInstOperands,
     /*  754584 */     // GIR_Coverage, 12575,
     /*  754584 */     GIR_EraseRootFromParent_Done,
     /*  754585 */   // Label 11785: @754585
     /*  754585 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(754660), // Rule ID 12578 //
     /*  754590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754658 */     GIR_RootConstrainSelectedInstOperands,
     /*  754659 */     // GIR_Coverage, 12578,
     /*  754659 */     GIR_EraseRootFromParent_Done,
     /*  754660 */   // Label 11786: @754660
     /*  754660 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(754735), // Rule ID 12579 //
     /*  754665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754733 */     GIR_RootConstrainSelectedInstOperands,
     /*  754734 */     // GIR_Coverage, 12579,
     /*  754734 */     GIR_EraseRootFromParent_Done,
     /*  754735 */   // Label 11787: @754735
     /*  754735 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754810), // Rule ID 12582 //
     /*  754740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754808 */     GIR_RootConstrainSelectedInstOperands,
     /*  754809 */     // GIR_Coverage, 12582,
     /*  754809 */     GIR_EraseRootFromParent_Done,
     /*  754810 */   // Label 11788: @754810
     /*  754810 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754885), // Rule ID 12583 //
     /*  754815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754883 */     GIR_RootConstrainSelectedInstOperands,
     /*  754884 */     // GIR_Coverage, 12583,
     /*  754884 */     GIR_EraseRootFromParent_Done,
     /*  754885 */   // Label 11789: @754885
     /*  754885 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754960), // Rule ID 12586 //
     /*  754890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754958 */     GIR_RootConstrainSelectedInstOperands,
     /*  754959 */     // GIR_Coverage, 12586,
     /*  754959 */     GIR_EraseRootFromParent_Done,
     /*  754960 */   // Label 11790: @754960
     /*  754960 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(755035), // Rule ID 12587 //
     /*  754965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755033 */     GIR_RootConstrainSelectedInstOperands,
     /*  755034 */     // GIR_Coverage, 12587,
     /*  755034 */     GIR_EraseRootFromParent_Done,
     /*  755035 */   // Label 11791: @755035
     /*  755035 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(755110), // Rule ID 12590 //
     /*  755040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755108 */     GIR_RootConstrainSelectedInstOperands,
     /*  755109 */     // GIR_Coverage, 12590,
     /*  755109 */     GIR_EraseRootFromParent_Done,
     /*  755110 */   // Label 11792: @755110
     /*  755110 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(755185), // Rule ID 12591 //
     /*  755115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755183 */     GIR_RootConstrainSelectedInstOperands,
     /*  755184 */     // GIR_Coverage, 12591,
     /*  755184 */     GIR_EraseRootFromParent_Done,
     /*  755185 */   // Label 11793: @755185
     /*  755185 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(755260), // Rule ID 12594 //
     /*  755190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755258 */     GIR_RootConstrainSelectedInstOperands,
     /*  755259 */     // GIR_Coverage, 12594,
     /*  755259 */     GIR_EraseRootFromParent_Done,
     /*  755260 */   // Label 11794: @755260
     /*  755260 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(755335), // Rule ID 12595 //
     /*  755265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755333 */     GIR_RootConstrainSelectedInstOperands,
     /*  755334 */     // GIR_Coverage, 12595,
     /*  755334 */     GIR_EraseRootFromParent_Done,
     /*  755335 */   // Label 11795: @755335
     /*  755335 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(755410), // Rule ID 12598 //
     /*  755340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755408 */     GIR_RootConstrainSelectedInstOperands,
     /*  755409 */     // GIR_Coverage, 12598,
     /*  755409 */     GIR_EraseRootFromParent_Done,
     /*  755410 */   // Label 11796: @755410
     /*  755410 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(755485), // Rule ID 12599 //
     /*  755415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755483 */     GIR_RootConstrainSelectedInstOperands,
     /*  755484 */     // GIR_Coverage, 12599,
     /*  755484 */     GIR_EraseRootFromParent_Done,
     /*  755485 */   // Label 11797: @755485
     /*  755485 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(755560), // Rule ID 12602 //
     /*  755490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755558 */     GIR_RootConstrainSelectedInstOperands,
     /*  755559 */     // GIR_Coverage, 12602,
     /*  755559 */     GIR_EraseRootFromParent_Done,
     /*  755560 */   // Label 11798: @755560
     /*  755560 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(755635), // Rule ID 12603 //
     /*  755565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755633 */     GIR_RootConstrainSelectedInstOperands,
     /*  755634 */     // GIR_Coverage, 12603,
     /*  755634 */     GIR_EraseRootFromParent_Done,
     /*  755635 */   // Label 11799: @755635
     /*  755635 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(755710), // Rule ID 12606 //
     /*  755640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755708 */     GIR_RootConstrainSelectedInstOperands,
     /*  755709 */     // GIR_Coverage, 12606,
     /*  755709 */     GIR_EraseRootFromParent_Done,
     /*  755710 */   // Label 11800: @755710
     /*  755710 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(755785), // Rule ID 12607 //
     /*  755715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755783 */     GIR_RootConstrainSelectedInstOperands,
     /*  755784 */     // GIR_Coverage, 12607,
     /*  755784 */     GIR_EraseRootFromParent_Done,
     /*  755785 */   // Label 11801: @755785
     /*  755785 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755863), // Rule ID 13936 //
     /*  755790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755861 */     GIR_RootConstrainSelectedInstOperands,
     /*  755862 */     // GIR_Coverage, 13936,
     /*  755862 */     GIR_EraseRootFromParent_Done,
     /*  755863 */   // Label 11802: @755863
     /*  755863 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755941), // Rule ID 13937 //
     /*  755868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755914 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755939 */     GIR_RootConstrainSelectedInstOperands,
     /*  755940 */     // GIR_Coverage, 13937,
     /*  755940 */     GIR_EraseRootFromParent_Done,
     /*  755941 */   // Label 11803: @755941
     /*  755941 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(756019), // Rule ID 13940 //
     /*  755946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  755957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  755960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755992 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756017 */     GIR_RootConstrainSelectedInstOperands,
     /*  756018 */     // GIR_Coverage, 13940,
     /*  756018 */     GIR_EraseRootFromParent_Done,
     /*  756019 */   // Label 11804: @756019
     /*  756019 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(756097), // Rule ID 13941 //
     /*  756024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  756035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  756038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756070 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756095 */     GIR_RootConstrainSelectedInstOperands,
     /*  756096 */     // GIR_Coverage, 13941,
     /*  756096 */     GIR_EraseRootFromParent_Done,
     /*  756097 */   // Label 11805: @756097
     /*  756097 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(756175), // Rule ID 13944 //
     /*  756102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756173 */     GIR_RootConstrainSelectedInstOperands,
     /*  756174 */     // GIR_Coverage, 13944,
     /*  756174 */     GIR_EraseRootFromParent_Done,
     /*  756175 */   // Label 11806: @756175
     /*  756175 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(756253), // Rule ID 13945 //
     /*  756180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756251 */     GIR_RootConstrainSelectedInstOperands,
     /*  756252 */     // GIR_Coverage, 13945,
     /*  756252 */     GIR_EraseRootFromParent_Done,
     /*  756253 */   // Label 11807: @756253
     /*  756253 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(756331), // Rule ID 13948 //
     /*  756258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756329 */     GIR_RootConstrainSelectedInstOperands,
     /*  756330 */     // GIR_Coverage, 13948,
     /*  756330 */     GIR_EraseRootFromParent_Done,
     /*  756331 */   // Label 11808: @756331
     /*  756331 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(756409), // Rule ID 13949 //
     /*  756336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756407 */     GIR_RootConstrainSelectedInstOperands,
     /*  756408 */     // GIR_Coverage, 13949,
     /*  756408 */     GIR_EraseRootFromParent_Done,
     /*  756409 */   // Label 11809: @756409
     /*  756409 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(756487), // Rule ID 13952 //
     /*  756414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756460 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756485 */     GIR_RootConstrainSelectedInstOperands,
     /*  756486 */     // GIR_Coverage, 13952,
     /*  756486 */     GIR_EraseRootFromParent_Done,
     /*  756487 */   // Label 11810: @756487
     /*  756487 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(756565), // Rule ID 13953 //
     /*  756492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756538 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756563 */     GIR_RootConstrainSelectedInstOperands,
     /*  756564 */     // GIR_Coverage, 13953,
     /*  756564 */     GIR_EraseRootFromParent_Done,
     /*  756565 */   // Label 11811: @756565
     /*  756565 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(756643), // Rule ID 13956 //
     /*  756570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756641 */     GIR_RootConstrainSelectedInstOperands,
     /*  756642 */     // GIR_Coverage, 13956,
     /*  756642 */     GIR_EraseRootFromParent_Done,
     /*  756643 */   // Label 11812: @756643
     /*  756643 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(756721), // Rule ID 13957 //
     /*  756648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756719 */     GIR_RootConstrainSelectedInstOperands,
     /*  756720 */     // GIR_Coverage, 13957,
     /*  756720 */     GIR_EraseRootFromParent_Done,
     /*  756721 */   // Label 11813: @756721
     /*  756721 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(756799), // Rule ID 13960 //
     /*  756726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756797 */     GIR_RootConstrainSelectedInstOperands,
     /*  756798 */     // GIR_Coverage, 13960,
     /*  756798 */     GIR_EraseRootFromParent_Done,
     /*  756799 */   // Label 11814: @756799
     /*  756799 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756877), // Rule ID 13961 //
     /*  756804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756875 */     GIR_RootConstrainSelectedInstOperands,
     /*  756876 */     // GIR_Coverage, 13961,
     /*  756876 */     GIR_EraseRootFromParent_Done,
     /*  756877 */   // Label 11815: @756877
     /*  756877 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756955), // Rule ID 13964 //
     /*  756882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756953 */     GIR_RootConstrainSelectedInstOperands,
     /*  756954 */     // GIR_Coverage, 13964,
     /*  756954 */     GIR_EraseRootFromParent_Done,
     /*  756955 */   // Label 11816: @756955
     /*  756955 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(757033), // Rule ID 13965 //
     /*  756960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757031 */     GIR_RootConstrainSelectedInstOperands,
     /*  757032 */     // GIR_Coverage, 13965,
     /*  757032 */     GIR_EraseRootFromParent_Done,
     /*  757033 */   // Label 11817: @757033
     /*  757033 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(757111), // Rule ID 13968 //
     /*  757038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757109 */     GIR_RootConstrainSelectedInstOperands,
     /*  757110 */     // GIR_Coverage, 13968,
     /*  757110 */     GIR_EraseRootFromParent_Done,
     /*  757111 */   // Label 11818: @757111
     /*  757111 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(757189), // Rule ID 13969 //
     /*  757116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757187 */     GIR_RootConstrainSelectedInstOperands,
     /*  757188 */     // GIR_Coverage, 13969,
     /*  757188 */     GIR_EraseRootFromParent_Done,
     /*  757189 */   // Label 11819: @757189
     /*  757189 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(757267), // Rule ID 13972 //
     /*  757194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757265 */     GIR_RootConstrainSelectedInstOperands,
     /*  757266 */     // GIR_Coverage, 13972,
     /*  757266 */     GIR_EraseRootFromParent_Done,
     /*  757267 */   // Label 11820: @757267
     /*  757267 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(757345), // Rule ID 13973 //
     /*  757272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757343 */     GIR_RootConstrainSelectedInstOperands,
     /*  757344 */     // GIR_Coverage, 13973,
     /*  757344 */     GIR_EraseRootFromParent_Done,
     /*  757345 */   // Label 11821: @757345
     /*  757345 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(757423), // Rule ID 13976 //
     /*  757350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757421 */     GIR_RootConstrainSelectedInstOperands,
     /*  757422 */     // GIR_Coverage, 13976,
     /*  757422 */     GIR_EraseRootFromParent_Done,
     /*  757423 */   // Label 11822: @757423
     /*  757423 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(757501), // Rule ID 13977 //
     /*  757428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757474 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757499 */     GIR_RootConstrainSelectedInstOperands,
     /*  757500 */     // GIR_Coverage, 13977,
     /*  757500 */     GIR_EraseRootFromParent_Done,
     /*  757501 */   // Label 11823: @757501
     /*  757501 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(757579), // Rule ID 13980 //
     /*  757506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757577 */     GIR_RootConstrainSelectedInstOperands,
     /*  757578 */     // GIR_Coverage, 13980,
     /*  757578 */     GIR_EraseRootFromParent_Done,
     /*  757579 */   // Label 11824: @757579
     /*  757579 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(757657), // Rule ID 13981 //
     /*  757584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757655 */     GIR_RootConstrainSelectedInstOperands,
     /*  757656 */     // GIR_Coverage, 13981,
     /*  757656 */     GIR_EraseRootFromParent_Done,
     /*  757657 */   // Label 11825: @757657
     /*  757657 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(757735), // Rule ID 13984 //
     /*  757662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757733 */     GIR_RootConstrainSelectedInstOperands,
     /*  757734 */     // GIR_Coverage, 13984,
     /*  757734 */     GIR_EraseRootFromParent_Done,
     /*  757735 */   // Label 11826: @757735
     /*  757735 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(757813), // Rule ID 13985 //
     /*  757740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757786 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757811 */     GIR_RootConstrainSelectedInstOperands,
     /*  757812 */     // GIR_Coverage, 13985,
     /*  757812 */     GIR_EraseRootFromParent_Done,
     /*  757813 */   // Label 11827: @757813
     /*  757813 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757891), // Rule ID 13988 //
     /*  757818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757889 */     GIR_RootConstrainSelectedInstOperands,
     /*  757890 */     // GIR_Coverage, 13988,
     /*  757890 */     GIR_EraseRootFromParent_Done,
     /*  757891 */   // Label 11828: @757891
     /*  757891 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757969), // Rule ID 13989 //
     /*  757896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757967 */     GIR_RootConstrainSelectedInstOperands,
     /*  757968 */     // GIR_Coverage, 13989,
     /*  757968 */     GIR_EraseRootFromParent_Done,
     /*  757969 */   // Label 11829: @757969
     /*  757969 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(758047), // Rule ID 13992 //
     /*  757974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  757985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  757988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758045 */     GIR_RootConstrainSelectedInstOperands,
     /*  758046 */     // GIR_Coverage, 13992,
     /*  758046 */     GIR_EraseRootFromParent_Done,
     /*  758047 */   // Label 11830: @758047
     /*  758047 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(758125), // Rule ID 13993 //
     /*  758052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  758072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758123 */     GIR_RootConstrainSelectedInstOperands,
     /*  758124 */     // GIR_Coverage, 13993,
     /*  758124 */     GIR_EraseRootFromParent_Done,
     /*  758125 */   // Label 11831: @758125
     /*  758125 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(758203), // Rule ID 13996 //
     /*  758130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758201 */     GIR_RootConstrainSelectedInstOperands,
     /*  758202 */     // GIR_Coverage, 13996,
     /*  758202 */     GIR_EraseRootFromParent_Done,
     /*  758203 */   // Label 11832: @758203
     /*  758203 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(758281), // Rule ID 13997 //
     /*  758208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758279 */     GIR_RootConstrainSelectedInstOperands,
     /*  758280 */     // GIR_Coverage, 13997,
     /*  758280 */     GIR_EraseRootFromParent_Done,
     /*  758281 */   // Label 11833: @758281
     /*  758281 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(758359), // Rule ID 14000 //
     /*  758286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758357 */     GIR_RootConstrainSelectedInstOperands,
     /*  758358 */     // GIR_Coverage, 14000,
     /*  758358 */     GIR_EraseRootFromParent_Done,
     /*  758359 */   // Label 11834: @758359
     /*  758359 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(758437), // Rule ID 14001 //
     /*  758364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758435 */     GIR_RootConstrainSelectedInstOperands,
     /*  758436 */     // GIR_Coverage, 14001,
     /*  758436 */     GIR_EraseRootFromParent_Done,
     /*  758437 */   // Label 11835: @758437
     /*  758437 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(758515), // Rule ID 14004 //
     /*  758442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758488 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758513 */     GIR_RootConstrainSelectedInstOperands,
     /*  758514 */     // GIR_Coverage, 14004,
     /*  758514 */     GIR_EraseRootFromParent_Done,
     /*  758515 */   // Label 11836: @758515
     /*  758515 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(758593), // Rule ID 14005 //
     /*  758520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758591 */     GIR_RootConstrainSelectedInstOperands,
     /*  758592 */     // GIR_Coverage, 14005,
     /*  758592 */     GIR_EraseRootFromParent_Done,
     /*  758593 */   // Label 11837: @758593
     /*  758593 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(758671), // Rule ID 14008 //
     /*  758598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758669 */     GIR_RootConstrainSelectedInstOperands,
     /*  758670 */     // GIR_Coverage, 14008,
     /*  758670 */     GIR_EraseRootFromParent_Done,
     /*  758671 */   // Label 11838: @758671
     /*  758671 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(758749), // Rule ID 14009 //
     /*  758676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758747 */     GIR_RootConstrainSelectedInstOperands,
     /*  758748 */     // GIR_Coverage, 14009,
     /*  758748 */     GIR_EraseRootFromParent_Done,
     /*  758749 */   // Label 11839: @758749
     /*  758749 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(758827), // Rule ID 14012 //
     /*  758754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758825 */     GIR_RootConstrainSelectedInstOperands,
     /*  758826 */     // GIR_Coverage, 14012,
     /*  758826 */     GIR_EraseRootFromParent_Done,
     /*  758827 */   // Label 11840: @758827
     /*  758827 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(758905), // Rule ID 14013 //
     /*  758832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758903 */     GIR_RootConstrainSelectedInstOperands,
     /*  758904 */     // GIR_Coverage, 14013,
     /*  758904 */     GIR_EraseRootFromParent_Done,
     /*  758905 */   // Label 11841: @758905
     /*  758905 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758983), // Rule ID 14016 //
     /*  758910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  758927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  758930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758981 */     GIR_RootConstrainSelectedInstOperands,
     /*  758982 */     // GIR_Coverage, 14016,
     /*  758982 */     GIR_EraseRootFromParent_Done,
     /*  758983 */   // Label 11842: @758983
     /*  758983 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(759061), // Rule ID 14017 //
     /*  758988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  759005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  759008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  759037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759059 */     GIR_RootConstrainSelectedInstOperands,
     /*  759060 */     // GIR_Coverage, 14017,
     /*  759060 */     GIR_EraseRootFromParent_Done,
     /*  759061 */   // Label 11843: @759061
     /*  759061 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(759139), // Rule ID 14020 //
     /*  759066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759137 */     GIR_RootConstrainSelectedInstOperands,
     /*  759138 */     // GIR_Coverage, 14020,
     /*  759138 */     GIR_EraseRootFromParent_Done,
     /*  759139 */   // Label 11844: @759139
     /*  759139 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(759217), // Rule ID 14021 //
     /*  759144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759215 */     GIR_RootConstrainSelectedInstOperands,
     /*  759216 */     // GIR_Coverage, 14021,
     /*  759216 */     GIR_EraseRootFromParent_Done,
     /*  759217 */   // Label 11845: @759217
     /*  759217 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(759295), // Rule ID 14024 //
     /*  759222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  759271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759293 */     GIR_RootConstrainSelectedInstOperands,
     /*  759294 */     // GIR_Coverage, 14024,
     /*  759294 */     GIR_EraseRootFromParent_Done,
     /*  759295 */   // Label 11846: @759295
     /*  759295 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(759373), // Rule ID 14025 //
     /*  759300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759346 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  759349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759371 */     GIR_RootConstrainSelectedInstOperands,
     /*  759372 */     // GIR_Coverage, 14025,
     /*  759372 */     GIR_EraseRootFromParent_Done,
     /*  759373 */   // Label 11847: @759373
     /*  759373 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(759451), // Rule ID 14028 //
     /*  759378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759449 */     GIR_RootConstrainSelectedInstOperands,
     /*  759450 */     // GIR_Coverage, 14028,
     /*  759450 */     GIR_EraseRootFromParent_Done,
     /*  759451 */   // Label 11848: @759451
     /*  759451 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(759529), // Rule ID 14029 //
     /*  759456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759502 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759527 */     GIR_RootConstrainSelectedInstOperands,
     /*  759528 */     // GIR_Coverage, 14029,
     /*  759528 */     GIR_EraseRootFromParent_Done,
     /*  759529 */   // Label 11849: @759529
     /*  759529 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(759607), // Rule ID 14032 //
     /*  759534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759580 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759605 */     GIR_RootConstrainSelectedInstOperands,
     /*  759606 */     // GIR_Coverage, 14032,
     /*  759606 */     GIR_EraseRootFromParent_Done,
     /*  759607 */   // Label 11850: @759607
     /*  759607 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(759685), // Rule ID 14033 //
     /*  759612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759683 */     GIR_RootConstrainSelectedInstOperands,
     /*  759684 */     // GIR_Coverage, 14033,
     /*  759684 */     GIR_EraseRootFromParent_Done,
     /*  759685 */   // Label 11851: @759685
     /*  759685 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(759763), // Rule ID 14036 //
     /*  759690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759761 */     GIR_RootConstrainSelectedInstOperands,
     /*  759762 */     // GIR_Coverage, 14036,
     /*  759762 */     GIR_EraseRootFromParent_Done,
     /*  759763 */   // Label 11852: @759763
     /*  759763 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(759841), // Rule ID 14037 //
     /*  759768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759839 */     GIR_RootConstrainSelectedInstOperands,
     /*  759840 */     // GIR_Coverage, 14037,
     /*  759840 */     GIR_EraseRootFromParent_Done,
     /*  759841 */   // Label 11853: @759841
     /*  759841 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(759919), // Rule ID 14040 //
     /*  759846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759917 */     GIR_RootConstrainSelectedInstOperands,
     /*  759918 */     // GIR_Coverage, 14040,
     /*  759918 */     GIR_EraseRootFromParent_Done,
     /*  759919 */   // Label 11854: @759919
     /*  759919 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759997), // Rule ID 14041 //
     /*  759924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759995 */     GIR_RootConstrainSelectedInstOperands,
     /*  759996 */     // GIR_Coverage, 14041,
     /*  759996 */     GIR_EraseRootFromParent_Done,
     /*  759997 */   // Label 11855: @759997
     /*  759997 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(760075), // Rule ID 14044 //
     /*  760002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760073 */     GIR_RootConstrainSelectedInstOperands,
     /*  760074 */     // GIR_Coverage, 14044,
     /*  760074 */     GIR_EraseRootFromParent_Done,
     /*  760075 */   // Label 11856: @760075
     /*  760075 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(760153), // Rule ID 14045 //
     /*  760080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760151 */     GIR_RootConstrainSelectedInstOperands,
     /*  760152 */     // GIR_Coverage, 14045,
     /*  760152 */     GIR_EraseRootFromParent_Done,
     /*  760153 */   // Label 11857: @760153
     /*  760153 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(760231), // Rule ID 14048 //
     /*  760158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760229 */     GIR_RootConstrainSelectedInstOperands,
     /*  760230 */     // GIR_Coverage, 14048,
     /*  760230 */     GIR_EraseRootFromParent_Done,
     /*  760231 */   // Label 11858: @760231
     /*  760231 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(760309), // Rule ID 14049 //
     /*  760236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760307 */     GIR_RootConstrainSelectedInstOperands,
     /*  760308 */     // GIR_Coverage, 14049,
     /*  760308 */     GIR_EraseRootFromParent_Done,
     /*  760309 */   // Label 11859: @760309
     /*  760309 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(760387), // Rule ID 14052 //
     /*  760314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760385 */     GIR_RootConstrainSelectedInstOperands,
     /*  760386 */     // GIR_Coverage, 14052,
     /*  760386 */     GIR_EraseRootFromParent_Done,
     /*  760387 */   // Label 11860: @760387
     /*  760387 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(760465), // Rule ID 14053 //
     /*  760392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760463 */     GIR_RootConstrainSelectedInstOperands,
     /*  760464 */     // GIR_Coverage, 14053,
     /*  760464 */     GIR_EraseRootFromParent_Done,
     /*  760465 */   // Label 11861: @760465
     /*  760465 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(760543), // Rule ID 14056 //
     /*  760470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760541 */     GIR_RootConstrainSelectedInstOperands,
     /*  760542 */     // GIR_Coverage, 14056,
     /*  760542 */     GIR_EraseRootFromParent_Done,
     /*  760543 */   // Label 11862: @760543
     /*  760543 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(760621), // Rule ID 14057 //
     /*  760548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760619 */     GIR_RootConstrainSelectedInstOperands,
     /*  760620 */     // GIR_Coverage, 14057,
     /*  760620 */     GIR_EraseRootFromParent_Done,
     /*  760621 */   // Label 11863: @760621
     /*  760621 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(760699), // Rule ID 14060 //
     /*  760626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760697 */     GIR_RootConstrainSelectedInstOperands,
     /*  760698 */     // GIR_Coverage, 14060,
     /*  760698 */     GIR_EraseRootFromParent_Done,
     /*  760699 */   // Label 11864: @760699
     /*  760699 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(760777), // Rule ID 14061 //
     /*  760704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760775 */     GIR_RootConstrainSelectedInstOperands,
     /*  760776 */     // GIR_Coverage, 14061,
     /*  760776 */     GIR_EraseRootFromParent_Done,
     /*  760777 */   // Label 11865: @760777
     /*  760777 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(760855), // Rule ID 14064 //
     /*  760782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760853 */     GIR_RootConstrainSelectedInstOperands,
     /*  760854 */     // GIR_Coverage, 14064,
     /*  760854 */     GIR_EraseRootFromParent_Done,
     /*  760855 */   // Label 11866: @760855
     /*  760855 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(760933), // Rule ID 14065 //
     /*  760860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760931 */     GIR_RootConstrainSelectedInstOperands,
     /*  760932 */     // GIR_Coverage, 14065,
     /*  760932 */     GIR_EraseRootFromParent_Done,
     /*  760933 */   // Label 11867: @760933
     /*  760933 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(761011), // Rule ID 14068 //
     /*  760938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  760949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  760952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  760955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761009 */     GIR_RootConstrainSelectedInstOperands,
     /*  761010 */     // GIR_Coverage, 14068,
     /*  761010 */     GIR_EraseRootFromParent_Done,
     /*  761011 */   // Label 11868: @761011
     /*  761011 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(761089), // Rule ID 14069 //
     /*  761016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761062 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761087 */     GIR_RootConstrainSelectedInstOperands,
     /*  761088 */     // GIR_Coverage, 14069,
     /*  761088 */     GIR_EraseRootFromParent_Done,
     /*  761089 */   // Label 11869: @761089
     /*  761089 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(761167), // Rule ID 14072 //
     /*  761094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761165 */     GIR_RootConstrainSelectedInstOperands,
     /*  761166 */     // GIR_Coverage, 14072,
     /*  761166 */     GIR_EraseRootFromParent_Done,
     /*  761167 */   // Label 11870: @761167
     /*  761167 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(761245), // Rule ID 14073 //
     /*  761172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761218 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761243 */     GIR_RootConstrainSelectedInstOperands,
     /*  761244 */     // GIR_Coverage, 14073,
     /*  761244 */     GIR_EraseRootFromParent_Done,
     /*  761245 */   // Label 11871: @761245
     /*  761245 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(761323), // Rule ID 14076 //
     /*  761250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761321 */     GIR_RootConstrainSelectedInstOperands,
     /*  761322 */     // GIR_Coverage, 14076,
     /*  761322 */     GIR_EraseRootFromParent_Done,
     /*  761323 */   // Label 11872: @761323
     /*  761323 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(761401), // Rule ID 14077 //
     /*  761328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761399 */     GIR_RootConstrainSelectedInstOperands,
     /*  761400 */     // GIR_Coverage, 14077,
     /*  761400 */     GIR_EraseRootFromParent_Done,
     /*  761401 */   // Label 11873: @761401
     /*  761401 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(761479), // Rule ID 14080 //
     /*  761406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761477 */     GIR_RootConstrainSelectedInstOperands,
     /*  761478 */     // GIR_Coverage, 14080,
     /*  761478 */     GIR_EraseRootFromParent_Done,
     /*  761479 */   // Label 11874: @761479
     /*  761479 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(761557), // Rule ID 14081 //
     /*  761484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761555 */     GIR_RootConstrainSelectedInstOperands,
     /*  761556 */     // GIR_Coverage, 14081,
     /*  761556 */     GIR_EraseRootFromParent_Done,
     /*  761557 */   // Label 11875: @761557
     /*  761557 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(761635), // Rule ID 14084 //
     /*  761562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761633 */     GIR_RootConstrainSelectedInstOperands,
     /*  761634 */     // GIR_Coverage, 14084,
     /*  761634 */     GIR_EraseRootFromParent_Done,
     /*  761635 */   // Label 11876: @761635
     /*  761635 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(761713), // Rule ID 14085 //
     /*  761640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761711 */     GIR_RootConstrainSelectedInstOperands,
     /*  761712 */     // GIR_Coverage, 14085,
     /*  761712 */     GIR_EraseRootFromParent_Done,
     /*  761713 */   // Label 11877: @761713
     /*  761713 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(761791), // Rule ID 14088 //
     /*  761718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761789 */     GIR_RootConstrainSelectedInstOperands,
     /*  761790 */     // GIR_Coverage, 14088,
     /*  761790 */     GIR_EraseRootFromParent_Done,
     /*  761791 */   // Label 11878: @761791
     /*  761791 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(761869), // Rule ID 14089 //
     /*  761796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761867 */     GIR_RootConstrainSelectedInstOperands,
     /*  761868 */     // GIR_Coverage, 14089,
     /*  761868 */     GIR_EraseRootFromParent_Done,
     /*  761869 */   // Label 11879: @761869
     /*  761869 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(761947), // Rule ID 14092 //
     /*  761874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761945 */     GIR_RootConstrainSelectedInstOperands,
     /*  761946 */     // GIR_Coverage, 14092,
     /*  761946 */     GIR_EraseRootFromParent_Done,
     /*  761947 */   // Label 11880: @761947
     /*  761947 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(762025), // Rule ID 14093 //
     /*  761952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761998 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762023 */     GIR_RootConstrainSelectedInstOperands,
     /*  762024 */     // GIR_Coverage, 14093,
     /*  762024 */     GIR_EraseRootFromParent_Done,
     /*  762025 */   // Label 11881: @762025
     /*  762025 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(762103), // Rule ID 14096 //
     /*  762030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762101 */     GIR_RootConstrainSelectedInstOperands,
     /*  762102 */     // GIR_Coverage, 14096,
     /*  762102 */     GIR_EraseRootFromParent_Done,
     /*  762103 */   // Label 11882: @762103
     /*  762103 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(762181), // Rule ID 14097 //
     /*  762108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762179 */     GIR_RootConstrainSelectedInstOperands,
     /*  762180 */     // GIR_Coverage, 14097,
     /*  762180 */     GIR_EraseRootFromParent_Done,
     /*  762181 */   // Label 11883: @762181
     /*  762181 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(762259), // Rule ID 14100 //
     /*  762186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762257 */     GIR_RootConstrainSelectedInstOperands,
     /*  762258 */     // GIR_Coverage, 14100,
     /*  762258 */     GIR_EraseRootFromParent_Done,
     /*  762259 */   // Label 11884: @762259
     /*  762259 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(762337), // Rule ID 14101 //
     /*  762264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762310 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762335 */     GIR_RootConstrainSelectedInstOperands,
     /*  762336 */     // GIR_Coverage, 14101,
     /*  762336 */     GIR_EraseRootFromParent_Done,
     /*  762337 */   // Label 11885: @762337
     /*  762337 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(762415), // Rule ID 14104 //
     /*  762342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  762353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  762356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  762359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762413 */     GIR_RootConstrainSelectedInstOperands,
     /*  762414 */     // GIR_Coverage, 14104,
     /*  762414 */     GIR_EraseRootFromParent_Done,
     /*  762415 */   // Label 11886: @762415
     /*  762415 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(762493), // Rule ID 14105 //
     /*  762420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  762431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  762434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  762437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762491 */     GIR_RootConstrainSelectedInstOperands,
     /*  762492 */     // GIR_Coverage, 14105,
     /*  762492 */     GIR_EraseRootFromParent_Done,
     /*  762493 */   // Label 11887: @762493
     /*  762493 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(762571), // Rule ID 14108 //
     /*  762498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762569 */     GIR_RootConstrainSelectedInstOperands,
     /*  762570 */     // GIR_Coverage, 14108,
     /*  762570 */     GIR_EraseRootFromParent_Done,
     /*  762571 */   // Label 11888: @762571
     /*  762571 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(762649), // Rule ID 14109 //
     /*  762576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762647 */     GIR_RootConstrainSelectedInstOperands,
     /*  762648 */     // GIR_Coverage, 14109,
     /*  762648 */     GIR_EraseRootFromParent_Done,
     /*  762649 */   // Label 11889: @762649
     /*  762649 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(762727), // Rule ID 14200 //
     /*  762654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762700 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762725 */     GIR_RootConstrainSelectedInstOperands,
     /*  762726 */     // GIR_Coverage, 14200,
     /*  762726 */     GIR_EraseRootFromParent_Done,
     /*  762727 */   // Label 11890: @762727
     /*  762727 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(762805), // Rule ID 14201 //
     /*  762732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762803 */     GIR_RootConstrainSelectedInstOperands,
     /*  762804 */     // GIR_Coverage, 14201,
     /*  762804 */     GIR_EraseRootFromParent_Done,
     /*  762805 */   // Label 11891: @762805
     /*  762805 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(762883), // Rule ID 14204 //
     /*  762810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762881 */     GIR_RootConstrainSelectedInstOperands,
     /*  762882 */     // GIR_Coverage, 14204,
     /*  762882 */     GIR_EraseRootFromParent_Done,
     /*  762883 */   // Label 11892: @762883
     /*  762883 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(762961), // Rule ID 14205 //
     /*  762888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762959 */     GIR_RootConstrainSelectedInstOperands,
     /*  762960 */     // GIR_Coverage, 14205,
     /*  762960 */     GIR_EraseRootFromParent_Done,
     /*  762961 */   // Label 11893: @762961
     /*  762961 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(763039), // Rule ID 14208 //
     /*  762966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763037 */     GIR_RootConstrainSelectedInstOperands,
     /*  763038 */     // GIR_Coverage, 14208,
     /*  763038 */     GIR_EraseRootFromParent_Done,
     /*  763039 */   // Label 11894: @763039
     /*  763039 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(763117), // Rule ID 14209 //
     /*  763044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  763064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763115 */     GIR_RootConstrainSelectedInstOperands,
     /*  763116 */     // GIR_Coverage, 14209,
     /*  763116 */     GIR_EraseRootFromParent_Done,
     /*  763117 */   // Label 11895: @763117
     /*  763117 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(763195), // Rule ID 14212 //
     /*  763122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763193 */     GIR_RootConstrainSelectedInstOperands,
     /*  763194 */     // GIR_Coverage, 14212,
     /*  763194 */     GIR_EraseRootFromParent_Done,
     /*  763195 */   // Label 11896: @763195
     /*  763195 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(763273), // Rule ID 14213 //
     /*  763200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763271 */     GIR_RootConstrainSelectedInstOperands,
     /*  763272 */     // GIR_Coverage, 14213,
     /*  763272 */     GIR_EraseRootFromParent_Done,
     /*  763273 */   // Label 11897: @763273
     /*  763273 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(763351), // Rule ID 14216 //
     /*  763278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  763298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763349 */     GIR_RootConstrainSelectedInstOperands,
     /*  763350 */     // GIR_Coverage, 14216,
     /*  763350 */     GIR_EraseRootFromParent_Done,
     /*  763351 */   // Label 11898: @763351
     /*  763351 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(763429), // Rule ID 14217 //
     /*  763356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  763376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763427 */     GIR_RootConstrainSelectedInstOperands,
     /*  763428 */     // GIR_Coverage, 14217,
     /*  763428 */     GIR_EraseRootFromParent_Done,
     /*  763429 */   // Label 11899: @763429
     /*  763429 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(763507), // Rule ID 14220 //
     /*  763434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763505 */     GIR_RootConstrainSelectedInstOperands,
     /*  763506 */     // GIR_Coverage, 14220,
     /*  763506 */     GIR_EraseRootFromParent_Done,
     /*  763507 */   // Label 11900: @763507
     /*  763507 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(763585), // Rule ID 14221 //
     /*  763512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763583 */     GIR_RootConstrainSelectedInstOperands,
     /*  763584 */     // GIR_Coverage, 14221,
     /*  763584 */     GIR_EraseRootFromParent_Done,
     /*  763585 */   // Label 11901: @763585
     /*  763585 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(763663), // Rule ID 14224 //
     /*  763590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763661 */     GIR_RootConstrainSelectedInstOperands,
     /*  763662 */     // GIR_Coverage, 14224,
     /*  763662 */     GIR_EraseRootFromParent_Done,
     /*  763663 */   // Label 11902: @763663
     /*  763663 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(763741), // Rule ID 14225 //
     /*  763668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763739 */     GIR_RootConstrainSelectedInstOperands,
     /*  763740 */     // GIR_Coverage, 14225,
     /*  763740 */     GIR_EraseRootFromParent_Done,
     /*  763741 */   // Label 11903: @763741
     /*  763741 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(763819), // Rule ID 14228 //
     /*  763746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763817 */     GIR_RootConstrainSelectedInstOperands,
     /*  763818 */     // GIR_Coverage, 14228,
     /*  763818 */     GIR_EraseRootFromParent_Done,
     /*  763819 */   // Label 11904: @763819
     /*  763819 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(763897), // Rule ID 14229 //
     /*  763824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763895 */     GIR_RootConstrainSelectedInstOperands,
     /*  763896 */     // GIR_Coverage, 14229,
     /*  763896 */     GIR_EraseRootFromParent_Done,
     /*  763897 */   // Label 11905: @763897
     /*  763897 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(763975), // Rule ID 14232 //
     /*  763902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763973 */     GIR_RootConstrainSelectedInstOperands,
     /*  763974 */     // GIR_Coverage, 14232,
     /*  763974 */     GIR_EraseRootFromParent_Done,
     /*  763975 */   // Label 11906: @763975
     /*  763975 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(764053), // Rule ID 14233 //
     /*  763980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  764000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764051 */     GIR_RootConstrainSelectedInstOperands,
     /*  764052 */     // GIR_Coverage, 14233,
     /*  764052 */     GIR_EraseRootFromParent_Done,
     /*  764053 */   // Label 11907: @764053
     /*  764053 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(764131), // Rule ID 14236 //
     /*  764058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764129 */     GIR_RootConstrainSelectedInstOperands,
     /*  764130 */     // GIR_Coverage, 14236,
     /*  764130 */     GIR_EraseRootFromParent_Done,
     /*  764131 */   // Label 11908: @764131
     /*  764131 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(764209), // Rule ID 14237 //
     /*  764136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764207 */     GIR_RootConstrainSelectedInstOperands,
     /*  764208 */     // GIR_Coverage, 14237,
     /*  764208 */     GIR_EraseRootFromParent_Done,
     /*  764209 */   // Label 11909: @764209
     /*  764209 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(764287), // Rule ID 14240 //
     /*  764214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764285 */     GIR_RootConstrainSelectedInstOperands,
     /*  764286 */     // GIR_Coverage, 14240,
     /*  764286 */     GIR_EraseRootFromParent_Done,
     /*  764287 */   // Label 11910: @764287
     /*  764287 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(764365), // Rule ID 14241 //
     /*  764292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764363 */     GIR_RootConstrainSelectedInstOperands,
     /*  764364 */     // GIR_Coverage, 14241,
     /*  764364 */     GIR_EraseRootFromParent_Done,
     /*  764365 */   // Label 11911: @764365
     /*  764365 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(764443), // Rule ID 14244 //
     /*  764370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764416 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764441 */     GIR_RootConstrainSelectedInstOperands,
     /*  764442 */     // GIR_Coverage, 14244,
     /*  764442 */     GIR_EraseRootFromParent_Done,
     /*  764443 */   // Label 11912: @764443
     /*  764443 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(764521), // Rule ID 14245 //
     /*  764448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764519 */     GIR_RootConstrainSelectedInstOperands,
     /*  764520 */     // GIR_Coverage, 14245,
     /*  764520 */     GIR_EraseRootFromParent_Done,
     /*  764521 */   // Label 11913: @764521
     /*  764521 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(764599), // Rule ID 14248 //
     /*  764526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764597 */     GIR_RootConstrainSelectedInstOperands,
     /*  764598 */     // GIR_Coverage, 14248,
     /*  764598 */     GIR_EraseRootFromParent_Done,
     /*  764599 */   // Label 11914: @764599
     /*  764599 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(764677), // Rule ID 14249 //
     /*  764604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764650 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764675 */     GIR_RootConstrainSelectedInstOperands,
     /*  764676 */     // GIR_Coverage, 14249,
     /*  764676 */     GIR_EraseRootFromParent_Done,
     /*  764677 */   // Label 11915: @764677
     /*  764677 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(764755), // Rule ID 14252 //
     /*  764682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764753 */     GIR_RootConstrainSelectedInstOperands,
     /*  764754 */     // GIR_Coverage, 14252,
     /*  764754 */     GIR_EraseRootFromParent_Done,
     /*  764755 */   // Label 11916: @764755
     /*  764755 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(764833), // Rule ID 14253 //
     /*  764760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764831 */     GIR_RootConstrainSelectedInstOperands,
     /*  764832 */     // GIR_Coverage, 14253,
     /*  764832 */     GIR_EraseRootFromParent_Done,
     /*  764833 */   // Label 11917: @764833
     /*  764833 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(764911), // Rule ID 14256 //
     /*  764838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764909 */     GIR_RootConstrainSelectedInstOperands,
     /*  764910 */     // GIR_Coverage, 14256,
     /*  764910 */     GIR_EraseRootFromParent_Done,
     /*  764911 */   // Label 11918: @764911
     /*  764911 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(764989), // Rule ID 14257 //
     /*  764916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764987 */     GIR_RootConstrainSelectedInstOperands,
     /*  764988 */     // GIR_Coverage, 14257,
     /*  764988 */     GIR_EraseRootFromParent_Done,
     /*  764989 */   // Label 11919: @764989
     /*  764989 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(765067), // Rule ID 14260 //
     /*  764994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765065 */     GIR_RootConstrainSelectedInstOperands,
     /*  765066 */     // GIR_Coverage, 14260,
     /*  765066 */     GIR_EraseRootFromParent_Done,
     /*  765067 */   // Label 11920: @765067
     /*  765067 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(765145), // Rule ID 14261 //
     /*  765072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765143 */     GIR_RootConstrainSelectedInstOperands,
     /*  765144 */     // GIR_Coverage, 14261,
     /*  765144 */     GIR_EraseRootFromParent_Done,
     /*  765145 */   // Label 11921: @765145
     /*  765145 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(765223), // Rule ID 14264 //
     /*  765150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765221 */     GIR_RootConstrainSelectedInstOperands,
     /*  765222 */     // GIR_Coverage, 14264,
     /*  765222 */     GIR_EraseRootFromParent_Done,
     /*  765223 */   // Label 11922: @765223
     /*  765223 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(765301), // Rule ID 14265 //
     /*  765228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765299 */     GIR_RootConstrainSelectedInstOperands,
     /*  765300 */     // GIR_Coverage, 14265,
     /*  765300 */     GIR_EraseRootFromParent_Done,
     /*  765301 */   // Label 11923: @765301
     /*  765301 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(765379), // Rule ID 14268 //
     /*  765306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765377 */     GIR_RootConstrainSelectedInstOperands,
     /*  765378 */     // GIR_Coverage, 14268,
     /*  765378 */     GIR_EraseRootFromParent_Done,
     /*  765379 */   // Label 11924: @765379
     /*  765379 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(765457), // Rule ID 14269 //
     /*  765384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765455 */     GIR_RootConstrainSelectedInstOperands,
     /*  765456 */     // GIR_Coverage, 14269,
     /*  765456 */     GIR_EraseRootFromParent_Done,
     /*  765457 */   // Label 11925: @765457
     /*  765457 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(765535), // Rule ID 14272 //
     /*  765462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765533 */     GIR_RootConstrainSelectedInstOperands,
     /*  765534 */     // GIR_Coverage, 14272,
     /*  765534 */     GIR_EraseRootFromParent_Done,
     /*  765535 */   // Label 11926: @765535
     /*  765535 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(765613), // Rule ID 14273 //
     /*  765540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765611 */     GIR_RootConstrainSelectedInstOperands,
     /*  765612 */     // GIR_Coverage, 14273,
     /*  765612 */     GIR_EraseRootFromParent_Done,
     /*  765613 */   // Label 11927: @765613
     /*  765613 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(765691), // Rule ID 14276 //
     /*  765618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765689 */     GIR_RootConstrainSelectedInstOperands,
     /*  765690 */     // GIR_Coverage, 14276,
     /*  765690 */     GIR_EraseRootFromParent_Done,
     /*  765691 */   // Label 11928: @765691
     /*  765691 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(765769), // Rule ID 14277 //
     /*  765696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765767 */     GIR_RootConstrainSelectedInstOperands,
     /*  765768 */     // GIR_Coverage, 14277,
     /*  765768 */     GIR_EraseRootFromParent_Done,
     /*  765769 */   // Label 11929: @765769
     /*  765769 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(765847), // Rule ID 14280 //
     /*  765774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765845 */     GIR_RootConstrainSelectedInstOperands,
     /*  765846 */     // GIR_Coverage, 14280,
     /*  765846 */     GIR_EraseRootFromParent_Done,
     /*  765847 */   // Label 11930: @765847
     /*  765847 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(765925), // Rule ID 14281 //
     /*  765852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765923 */     GIR_RootConstrainSelectedInstOperands,
     /*  765924 */     // GIR_Coverage, 14281,
     /*  765924 */     GIR_EraseRootFromParent_Done,
     /*  765925 */   // Label 11931: @765925
     /*  765925 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(766003), // Rule ID 14284 //
     /*  765930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766001 */     GIR_RootConstrainSelectedInstOperands,
     /*  766002 */     // GIR_Coverage, 14284,
     /*  766002 */     GIR_EraseRootFromParent_Done,
     /*  766003 */   // Label 11932: @766003
     /*  766003 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(766081), // Rule ID 14285 //
     /*  766008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  766028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766054 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  766057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766079 */     GIR_RootConstrainSelectedInstOperands,
     /*  766080 */     // GIR_Coverage, 14285,
     /*  766080 */     GIR_EraseRootFromParent_Done,
     /*  766081 */   // Label 11933: @766081
     /*  766081 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(766159), // Rule ID 14288 //
     /*  766086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  766135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766157 */     GIR_RootConstrainSelectedInstOperands,
     /*  766158 */     // GIR_Coverage, 14288,
     /*  766158 */     GIR_EraseRootFromParent_Done,
     /*  766159 */   // Label 11934: @766159
     /*  766159 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(766237), // Rule ID 14289 //
     /*  766164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766210 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  766213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766235 */     GIR_RootConstrainSelectedInstOperands,
     /*  766236 */     // GIR_Coverage, 14289,
     /*  766236 */     GIR_EraseRootFromParent_Done,
     /*  766237 */   // Label 11935: @766237
     /*  766237 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(766315), // Rule ID 14292 //
     /*  766242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766313 */     GIR_RootConstrainSelectedInstOperands,
     /*  766314 */     // GIR_Coverage, 14292,
     /*  766314 */     GIR_EraseRootFromParent_Done,
     /*  766315 */   // Label 11936: @766315
     /*  766315 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(766393), // Rule ID 14293 //
     /*  766320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766391 */     GIR_RootConstrainSelectedInstOperands,
     /*  766392 */     // GIR_Coverage, 14293,
     /*  766392 */     GIR_EraseRootFromParent_Done,
     /*  766393 */   // Label 11937: @766393
     /*  766393 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(766471), // Rule ID 14296 //
     /*  766398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766469 */     GIR_RootConstrainSelectedInstOperands,
     /*  766470 */     // GIR_Coverage, 14296,
     /*  766470 */     GIR_EraseRootFromParent_Done,
     /*  766471 */   // Label 11938: @766471
     /*  766471 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(766549), // Rule ID 14297 //
     /*  766476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766522 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766547 */     GIR_RootConstrainSelectedInstOperands,
     /*  766548 */     // GIR_Coverage, 14297,
     /*  766548 */     GIR_EraseRootFromParent_Done,
     /*  766549 */   // Label 11939: @766549
     /*  766549 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(766627), // Rule ID 14300 //
     /*  766554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766625 */     GIR_RootConstrainSelectedInstOperands,
     /*  766626 */     // GIR_Coverage, 14300,
     /*  766626 */     GIR_EraseRootFromParent_Done,
     /*  766627 */   // Label 11940: @766627
     /*  766627 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(766705), // Rule ID 14301 //
     /*  766632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766703 */     GIR_RootConstrainSelectedInstOperands,
     /*  766704 */     // GIR_Coverage, 14301,
     /*  766704 */     GIR_EraseRootFromParent_Done,
     /*  766705 */   // Label 11941: @766705
     /*  766705 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(766783), // Rule ID 14304 //
     /*  766710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766781 */     GIR_RootConstrainSelectedInstOperands,
     /*  766782 */     // GIR_Coverage, 14304,
     /*  766782 */     GIR_EraseRootFromParent_Done,
     /*  766783 */   // Label 11942: @766783
     /*  766783 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(766861), // Rule ID 14305 //
     /*  766788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766859 */     GIR_RootConstrainSelectedInstOperands,
     /*  766860 */     // GIR_Coverage, 14305,
     /*  766860 */     GIR_EraseRootFromParent_Done,
     /*  766861 */   // Label 11943: @766861
     /*  766861 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(766939), // Rule ID 14308 //
     /*  766866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766937 */     GIR_RootConstrainSelectedInstOperands,
     /*  766938 */     // GIR_Coverage, 14308,
     /*  766938 */     GIR_EraseRootFromParent_Done,
     /*  766939 */   // Label 11944: @766939
     /*  766939 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(767017), // Rule ID 14309 //
     /*  766944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767015 */     GIR_RootConstrainSelectedInstOperands,
     /*  767016 */     // GIR_Coverage, 14309,
     /*  767016 */     GIR_EraseRootFromParent_Done,
     /*  767017 */   // Label 11945: @767017
     /*  767017 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(767095), // Rule ID 14312 //
     /*  767022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767093 */     GIR_RootConstrainSelectedInstOperands,
     /*  767094 */     // GIR_Coverage, 14312,
     /*  767094 */     GIR_EraseRootFromParent_Done,
     /*  767095 */   // Label 11946: @767095
     /*  767095 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(767173), // Rule ID 14313 //
     /*  767100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767171 */     GIR_RootConstrainSelectedInstOperands,
     /*  767172 */     // GIR_Coverage, 14313,
     /*  767172 */     GIR_EraseRootFromParent_Done,
     /*  767173 */   // Label 11947: @767173
     /*  767173 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(767251), // Rule ID 14316 //
     /*  767178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767249 */     GIR_RootConstrainSelectedInstOperands,
     /*  767250 */     // GIR_Coverage, 14316,
     /*  767250 */     GIR_EraseRootFromParent_Done,
     /*  767251 */   // Label 11948: @767251
     /*  767251 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(767329), // Rule ID 14317 //
     /*  767256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767327 */     GIR_RootConstrainSelectedInstOperands,
     /*  767328 */     // GIR_Coverage, 14317,
     /*  767328 */     GIR_EraseRootFromParent_Done,
     /*  767329 */   // Label 11949: @767329
     /*  767329 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(767407), // Rule ID 14320 //
     /*  767334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  767345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  767348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  767351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767405 */     GIR_RootConstrainSelectedInstOperands,
     /*  767406 */     // GIR_Coverage, 14320,
     /*  767406 */     GIR_EraseRootFromParent_Done,
     /*  767407 */   // Label 11950: @767407
     /*  767407 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(767485), // Rule ID 14321 //
     /*  767412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  767423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  767426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  767429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767483 */     GIR_RootConstrainSelectedInstOperands,
     /*  767484 */     // GIR_Coverage, 14321,
     /*  767484 */     GIR_EraseRootFromParent_Done,
     /*  767485 */   // Label 11951: @767485
     /*  767485 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(767563), // Rule ID 14324 //
     /*  767490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767561 */     GIR_RootConstrainSelectedInstOperands,
     /*  767562 */     // GIR_Coverage, 14324,
     /*  767562 */     GIR_EraseRootFromParent_Done,
     /*  767563 */   // Label 11952: @767563
     /*  767563 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(767641), // Rule ID 14325 //
     /*  767568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767639 */     GIR_RootConstrainSelectedInstOperands,
     /*  767640 */     // GIR_Coverage, 14325,
     /*  767640 */     GIR_EraseRootFromParent_Done,
     /*  767641 */   // Label 11953: @767641
     /*  767641 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(767719), // Rule ID 14328 //
     /*  767646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767717 */     GIR_RootConstrainSelectedInstOperands,
     /*  767718 */     // GIR_Coverage, 14328,
     /*  767718 */     GIR_EraseRootFromParent_Done,
     /*  767719 */   // Label 11954: @767719
     /*  767719 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(767797), // Rule ID 14329 //
     /*  767724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767770 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767795 */     GIR_RootConstrainSelectedInstOperands,
     /*  767796 */     // GIR_Coverage, 14329,
     /*  767796 */     GIR_EraseRootFromParent_Done,
     /*  767797 */   // Label 11955: @767797
     /*  767797 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(767875), // Rule ID 14332 //
     /*  767802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767848 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767873 */     GIR_RootConstrainSelectedInstOperands,
     /*  767874 */     // GIR_Coverage, 14332,
     /*  767874 */     GIR_EraseRootFromParent_Done,
     /*  767875 */   // Label 11956: @767875
     /*  767875 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(767953), // Rule ID 14333 //
     /*  767880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767926 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767951 */     GIR_RootConstrainSelectedInstOperands,
     /*  767952 */     // GIR_Coverage, 14333,
     /*  767952 */     GIR_EraseRootFromParent_Done,
     /*  767953 */   // Label 11957: @767953
     /*  767953 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(768031), // Rule ID 14336 //
     /*  767958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768029 */     GIR_RootConstrainSelectedInstOperands,
     /*  768030 */     // GIR_Coverage, 14336,
     /*  768030 */     GIR_EraseRootFromParent_Done,
     /*  768031 */   // Label 11958: @768031
     /*  768031 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(768109), // Rule ID 14337 //
     /*  768036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768082 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768107 */     GIR_RootConstrainSelectedInstOperands,
     /*  768108 */     // GIR_Coverage, 14337,
     /*  768108 */     GIR_EraseRootFromParent_Done,
     /*  768109 */   // Label 11959: @768109
     /*  768109 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(768187), // Rule ID 14340 //
     /*  768114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768185 */     GIR_RootConstrainSelectedInstOperands,
     /*  768186 */     // GIR_Coverage, 14340,
     /*  768186 */     GIR_EraseRootFromParent_Done,
     /*  768187 */   // Label 11960: @768187
     /*  768187 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(768265), // Rule ID 14341 //
     /*  768192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768263 */     GIR_RootConstrainSelectedInstOperands,
     /*  768264 */     // GIR_Coverage, 14341,
     /*  768264 */     GIR_EraseRootFromParent_Done,
     /*  768265 */   // Label 11961: @768265
     /*  768265 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(768343), // Rule ID 14344 //
     /*  768270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  768281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  768284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  768287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768341 */     GIR_RootConstrainSelectedInstOperands,
     /*  768342 */     // GIR_Coverage, 14344,
     /*  768342 */     GIR_EraseRootFromParent_Done,
     /*  768343 */   // Label 11962: @768343
     /*  768343 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(768421), // Rule ID 14345 //
     /*  768348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  768359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  768362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  768365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768419 */     GIR_RootConstrainSelectedInstOperands,
     /*  768420 */     // GIR_Coverage, 14345,
     /*  768420 */     GIR_EraseRootFromParent_Done,
     /*  768421 */   // Label 11963: @768421
     /*  768421 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(768499), // Rule ID 14348 //
     /*  768426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768497 */     GIR_RootConstrainSelectedInstOperands,
     /*  768498 */     // GIR_Coverage, 14348,
     /*  768498 */     GIR_EraseRootFromParent_Done,
     /*  768499 */   // Label 11964: @768499
     /*  768499 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(768577), // Rule ID 14349 //
     /*  768504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768550 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768575 */     GIR_RootConstrainSelectedInstOperands,
     /*  768576 */     // GIR_Coverage, 14349,
     /*  768576 */     GIR_EraseRootFromParent_Done,
     /*  768577 */   // Label 11965: @768577
     /*  768577 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(768655), // Rule ID 14352 //
     /*  768582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768653 */     GIR_RootConstrainSelectedInstOperands,
     /*  768654 */     // GIR_Coverage, 14352,
     /*  768654 */     GIR_EraseRootFromParent_Done,
     /*  768655 */   // Label 11966: @768655
     /*  768655 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(768733), // Rule ID 14353 //
     /*  768660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768731 */     GIR_RootConstrainSelectedInstOperands,
     /*  768732 */     // GIR_Coverage, 14353,
     /*  768732 */     GIR_EraseRootFromParent_Done,
     /*  768733 */   // Label 11967: @768733
     /*  768733 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(768811), // Rule ID 14356 //
     /*  768738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768809 */     GIR_RootConstrainSelectedInstOperands,
     /*  768810 */     // GIR_Coverage, 14356,
     /*  768810 */     GIR_EraseRootFromParent_Done,
     /*  768811 */   // Label 11968: @768811
     /*  768811 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(768889), // Rule ID 14357 //
     /*  768816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768887 */     GIR_RootConstrainSelectedInstOperands,
     /*  768888 */     // GIR_Coverage, 14357,
     /*  768888 */     GIR_EraseRootFromParent_Done,
     /*  768889 */   // Label 11969: @768889
     /*  768889 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(768967), // Rule ID 14360 //
     /*  768894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768965 */     GIR_RootConstrainSelectedInstOperands,
     /*  768966 */     // GIR_Coverage, 14360,
     /*  768966 */     GIR_EraseRootFromParent_Done,
     /*  768967 */   // Label 11970: @768967
     /*  768967 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(769045), // Rule ID 14361 //
     /*  768972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769043 */     GIR_RootConstrainSelectedInstOperands,
     /*  769044 */     // GIR_Coverage, 14361,
     /*  769044 */     GIR_EraseRootFromParent_Done,
     /*  769045 */   // Label 11971: @769045
     /*  769045 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(769123), // Rule ID 14364 //
     /*  769050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769121 */     GIR_RootConstrainSelectedInstOperands,
     /*  769122 */     // GIR_Coverage, 14364,
     /*  769122 */     GIR_EraseRootFromParent_Done,
     /*  769123 */   // Label 11972: @769123
     /*  769123 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(769201), // Rule ID 14365 //
     /*  769128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769199 */     GIR_RootConstrainSelectedInstOperands,
     /*  769200 */     // GIR_Coverage, 14365,
     /*  769200 */     GIR_EraseRootFromParent_Done,
     /*  769201 */   // Label 11973: @769201
     /*  769201 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(769279), // Rule ID 14368 //
     /*  769206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769277 */     GIR_RootConstrainSelectedInstOperands,
     /*  769278 */     // GIR_Coverage, 14368,
     /*  769278 */     GIR_EraseRootFromParent_Done,
     /*  769279 */   // Label 11974: @769279
     /*  769279 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(769357), // Rule ID 14369 //
     /*  769284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769355 */     GIR_RootConstrainSelectedInstOperands,
     /*  769356 */     // GIR_Coverage, 14369,
     /*  769356 */     GIR_EraseRootFromParent_Done,
     /*  769357 */   // Label 11975: @769357
     /*  769357 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(769435), // Rule ID 14372 //
     /*  769362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769433 */     GIR_RootConstrainSelectedInstOperands,
     /*  769434 */     // GIR_Coverage, 14372,
     /*  769434 */     GIR_EraseRootFromParent_Done,
     /*  769435 */   // Label 11976: @769435
     /*  769435 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(769513), // Rule ID 14373 //
     /*  769440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769511 */     GIR_RootConstrainSelectedInstOperands,
     /*  769512 */     // GIR_Coverage, 14373,
     /*  769512 */     GIR_EraseRootFromParent_Done,
     /*  769513 */   // Label 11977: @769513
     /*  769513 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(769591), // Rule ID 14464 //
     /*  769518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769564 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769589 */     GIR_RootConstrainSelectedInstOperands,
     /*  769590 */     // GIR_Coverage, 14464,
     /*  769590 */     GIR_EraseRootFromParent_Done,
     /*  769591 */   // Label 11978: @769591
     /*  769591 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(769669), // Rule ID 14465 //
     /*  769596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769642 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769667 */     GIR_RootConstrainSelectedInstOperands,
     /*  769668 */     // GIR_Coverage, 14465,
     /*  769668 */     GIR_EraseRootFromParent_Done,
     /*  769669 */   // Label 11979: @769669
     /*  769669 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(769747), // Rule ID 14468 //
     /*  769674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769745 */     GIR_RootConstrainSelectedInstOperands,
     /*  769746 */     // GIR_Coverage, 14468,
     /*  769746 */     GIR_EraseRootFromParent_Done,
     /*  769747 */   // Label 11980: @769747
     /*  769747 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(769825), // Rule ID 14469 //
     /*  769752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769798 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769823 */     GIR_RootConstrainSelectedInstOperands,
     /*  769824 */     // GIR_Coverage, 14469,
     /*  769824 */     GIR_EraseRootFromParent_Done,
     /*  769825 */   // Label 11981: @769825
     /*  769825 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(769903), // Rule ID 14472 //
     /*  769830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769901 */     GIR_RootConstrainSelectedInstOperands,
     /*  769902 */     // GIR_Coverage, 14472,
     /*  769902 */     GIR_EraseRootFromParent_Done,
     /*  769903 */   // Label 11982: @769903
     /*  769903 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(769981), // Rule ID 14473 //
     /*  769908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769954 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769979 */     GIR_RootConstrainSelectedInstOperands,
     /*  769980 */     // GIR_Coverage, 14473,
     /*  769980 */     GIR_EraseRootFromParent_Done,
     /*  769981 */   // Label 11983: @769981
     /*  769981 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(770059), // Rule ID 14476 //
     /*  769986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770057 */     GIR_RootConstrainSelectedInstOperands,
     /*  770058 */     // GIR_Coverage, 14476,
     /*  770058 */     GIR_EraseRootFromParent_Done,
     /*  770059 */   // Label 11984: @770059
     /*  770059 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(770137), // Rule ID 14477 //
     /*  770064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770135 */     GIR_RootConstrainSelectedInstOperands,
     /*  770136 */     // GIR_Coverage, 14477,
     /*  770136 */     GIR_EraseRootFromParent_Done,
     /*  770137 */   // Label 11985: @770137
     /*  770137 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(770215), // Rule ID 14480 //
     /*  770142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770213 */     GIR_RootConstrainSelectedInstOperands,
     /*  770214 */     // GIR_Coverage, 14480,
     /*  770214 */     GIR_EraseRootFromParent_Done,
     /*  770215 */   // Label 11986: @770215
     /*  770215 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(770293), // Rule ID 14481 //
     /*  770220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770291 */     GIR_RootConstrainSelectedInstOperands,
     /*  770292 */     // GIR_Coverage, 14481,
     /*  770292 */     GIR_EraseRootFromParent_Done,
     /*  770293 */   // Label 11987: @770293
     /*  770293 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(770371), // Rule ID 14484 //
     /*  770298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770369 */     GIR_RootConstrainSelectedInstOperands,
     /*  770370 */     // GIR_Coverage, 14484,
     /*  770370 */     GIR_EraseRootFromParent_Done,
     /*  770371 */   // Label 11988: @770371
     /*  770371 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(770449), // Rule ID 14485 //
     /*  770376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770447 */     GIR_RootConstrainSelectedInstOperands,
     /*  770448 */     // GIR_Coverage, 14485,
     /*  770448 */     GIR_EraseRootFromParent_Done,
     /*  770449 */   // Label 11989: @770449
     /*  770449 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(770527), // Rule ID 14488 //
     /*  770454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770525 */     GIR_RootConstrainSelectedInstOperands,
     /*  770526 */     // GIR_Coverage, 14488,
     /*  770526 */     GIR_EraseRootFromParent_Done,
     /*  770527 */   // Label 11990: @770527
     /*  770527 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(770605), // Rule ID 14489 //
     /*  770532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770603 */     GIR_RootConstrainSelectedInstOperands,
     /*  770604 */     // GIR_Coverage, 14489,
     /*  770604 */     GIR_EraseRootFromParent_Done,
     /*  770605 */   // Label 11991: @770605
     /*  770605 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(770683), // Rule ID 14492 //
     /*  770610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770681 */     GIR_RootConstrainSelectedInstOperands,
     /*  770682 */     // GIR_Coverage, 14492,
     /*  770682 */     GIR_EraseRootFromParent_Done,
     /*  770683 */   // Label 11992: @770683
     /*  770683 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(770761), // Rule ID 14493 //
     /*  770688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770759 */     GIR_RootConstrainSelectedInstOperands,
     /*  770760 */     // GIR_Coverage, 14493,
     /*  770760 */     GIR_EraseRootFromParent_Done,
     /*  770761 */   // Label 11993: @770761
     /*  770761 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(770839), // Rule ID 14496 //
     /*  770766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770837 */     GIR_RootConstrainSelectedInstOperands,
     /*  770838 */     // GIR_Coverage, 14496,
     /*  770838 */     GIR_EraseRootFromParent_Done,
     /*  770839 */   // Label 11994: @770839
     /*  770839 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(770917), // Rule ID 14497 //
     /*  770844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770915 */     GIR_RootConstrainSelectedInstOperands,
     /*  770916 */     // GIR_Coverage, 14497,
     /*  770916 */     GIR_EraseRootFromParent_Done,
     /*  770917 */   // Label 11995: @770917
     /*  770917 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(770995), // Rule ID 14500 //
     /*  770922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  770942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770993 */     GIR_RootConstrainSelectedInstOperands,
     /*  770994 */     // GIR_Coverage, 14500,
     /*  770994 */     GIR_EraseRootFromParent_Done,
     /*  770995 */   // Label 11996: @770995
     /*  770995 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(771073), // Rule ID 14501 //
     /*  771000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  771020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771071 */     GIR_RootConstrainSelectedInstOperands,
     /*  771072 */     // GIR_Coverage, 14501,
     /*  771072 */     GIR_EraseRootFromParent_Done,
     /*  771073 */   // Label 11997: @771073
     /*  771073 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(771151), // Rule ID 14504 //
     /*  771078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771149 */     GIR_RootConstrainSelectedInstOperands,
     /*  771150 */     // GIR_Coverage, 14504,
     /*  771150 */     GIR_EraseRootFromParent_Done,
     /*  771151 */   // Label 11998: @771151
     /*  771151 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(771229), // Rule ID 14505 //
     /*  771156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771227 */     GIR_RootConstrainSelectedInstOperands,
     /*  771228 */     // GIR_Coverage, 14505,
     /*  771228 */     GIR_EraseRootFromParent_Done,
     /*  771229 */   // Label 11999: @771229
     /*  771229 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(771307), // Rule ID 14508 //
     /*  771234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771280 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771305 */     GIR_RootConstrainSelectedInstOperands,
     /*  771306 */     // GIR_Coverage, 14508,
     /*  771306 */     GIR_EraseRootFromParent_Done,
     /*  771307 */   // Label 12000: @771307
     /*  771307 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(771385), // Rule ID 14509 //
     /*  771312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771383 */     GIR_RootConstrainSelectedInstOperands,
     /*  771384 */     // GIR_Coverage, 14509,
     /*  771384 */     GIR_EraseRootFromParent_Done,
     /*  771385 */   // Label 12001: @771385
     /*  771385 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(771463), // Rule ID 14512 //
     /*  771390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771461 */     GIR_RootConstrainSelectedInstOperands,
     /*  771462 */     // GIR_Coverage, 14512,
     /*  771462 */     GIR_EraseRootFromParent_Done,
     /*  771463 */   // Label 12002: @771463
     /*  771463 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(771541), // Rule ID 14513 //
     /*  771468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771514 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771539 */     GIR_RootConstrainSelectedInstOperands,
     /*  771540 */     // GIR_Coverage, 14513,
     /*  771540 */     GIR_EraseRootFromParent_Done,
     /*  771541 */   // Label 12003: @771541
     /*  771541 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(771619), // Rule ID 14516 //
     /*  771546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771617 */     GIR_RootConstrainSelectedInstOperands,
     /*  771618 */     // GIR_Coverage, 14516,
     /*  771618 */     GIR_EraseRootFromParent_Done,
     /*  771619 */   // Label 12004: @771619
     /*  771619 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(771697), // Rule ID 14517 //
     /*  771624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771695 */     GIR_RootConstrainSelectedInstOperands,
     /*  771696 */     // GIR_Coverage, 14517,
     /*  771696 */     GIR_EraseRootFromParent_Done,
     /*  771697 */   // Label 12005: @771697
     /*  771697 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(771775), // Rule ID 14520 //
     /*  771702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771773 */     GIR_RootConstrainSelectedInstOperands,
     /*  771774 */     // GIR_Coverage, 14520,
     /*  771774 */     GIR_EraseRootFromParent_Done,
     /*  771775 */   // Label 12006: @771775
     /*  771775 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(771853), // Rule ID 14521 //
     /*  771780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771851 */     GIR_RootConstrainSelectedInstOperands,
     /*  771852 */     // GIR_Coverage, 14521,
     /*  771852 */     GIR_EraseRootFromParent_Done,
     /*  771853 */   // Label 12007: @771853
     /*  771853 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(771931), // Rule ID 14524 //
     /*  771858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771904 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771929 */     GIR_RootConstrainSelectedInstOperands,
     /*  771930 */     // GIR_Coverage, 14524,
     /*  771930 */     GIR_EraseRootFromParent_Done,
     /*  771931 */   // Label 12008: @771931
     /*  771931 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(772009), // Rule ID 14525 //
     /*  771936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771982 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772007 */     GIR_RootConstrainSelectedInstOperands,
     /*  772008 */     // GIR_Coverage, 14525,
     /*  772008 */     GIR_EraseRootFromParent_Done,
     /*  772009 */   // Label 12009: @772009
     /*  772009 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(772087), // Rule ID 14528 //
     /*  772014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772085 */     GIR_RootConstrainSelectedInstOperands,
     /*  772086 */     // GIR_Coverage, 14528,
     /*  772086 */     GIR_EraseRootFromParent_Done,
     /*  772087 */   // Label 12010: @772087
     /*  772087 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(772165), // Rule ID 14529 //
     /*  772092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772163 */     GIR_RootConstrainSelectedInstOperands,
     /*  772164 */     // GIR_Coverage, 14529,
     /*  772164 */     GIR_EraseRootFromParent_Done,
     /*  772165 */   // Label 12011: @772165
     /*  772165 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(772243), // Rule ID 14532 //
     /*  772170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772241 */     GIR_RootConstrainSelectedInstOperands,
     /*  772242 */     // GIR_Coverage, 14532,
     /*  772242 */     GIR_EraseRootFromParent_Done,
     /*  772243 */   // Label 12012: @772243
     /*  772243 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(772321), // Rule ID 14533 //
     /*  772248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772319 */     GIR_RootConstrainSelectedInstOperands,
     /*  772320 */     // GIR_Coverage, 14533,
     /*  772320 */     GIR_EraseRootFromParent_Done,
     /*  772321 */   // Label 12013: @772321
     /*  772321 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(772399), // Rule ID 14536 //
     /*  772326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772397 */     GIR_RootConstrainSelectedInstOperands,
     /*  772398 */     // GIR_Coverage, 14536,
     /*  772398 */     GIR_EraseRootFromParent_Done,
     /*  772399 */   // Label 12014: @772399
     /*  772399 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(772477), // Rule ID 14537 //
     /*  772404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772475 */     GIR_RootConstrainSelectedInstOperands,
     /*  772476 */     // GIR_Coverage, 14537,
     /*  772476 */     GIR_EraseRootFromParent_Done,
     /*  772477 */   // Label 12015: @772477
     /*  772477 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772555), // Rule ID 14540 //
     /*  772482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772553 */     GIR_RootConstrainSelectedInstOperands,
     /*  772554 */     // GIR_Coverage, 14540,
     /*  772554 */     GIR_EraseRootFromParent_Done,
     /*  772555 */   // Label 12016: @772555
     /*  772555 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(772633), // Rule ID 14541 //
     /*  772560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772631 */     GIR_RootConstrainSelectedInstOperands,
     /*  772632 */     // GIR_Coverage, 14541,
     /*  772632 */     GIR_EraseRootFromParent_Done,
     /*  772633 */   // Label 12017: @772633
     /*  772633 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(772711), // Rule ID 14544 //
     /*  772638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772709 */     GIR_RootConstrainSelectedInstOperands,
     /*  772710 */     // GIR_Coverage, 14544,
     /*  772710 */     GIR_EraseRootFromParent_Done,
     /*  772711 */   // Label 12018: @772711
     /*  772711 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(772789), // Rule ID 14545 //
     /*  772716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772762 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772787 */     GIR_RootConstrainSelectedInstOperands,
     /*  772788 */     // GIR_Coverage, 14545,
     /*  772788 */     GIR_EraseRootFromParent_Done,
     /*  772789 */   // Label 12019: @772789
     /*  772789 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(772867), // Rule ID 14548 //
     /*  772794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772865 */     GIR_RootConstrainSelectedInstOperands,
     /*  772866 */     // GIR_Coverage, 14548,
     /*  772866 */     GIR_EraseRootFromParent_Done,
     /*  772867 */   // Label 12020: @772867
     /*  772867 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(772945), // Rule ID 14549 //
     /*  772872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772943 */     GIR_RootConstrainSelectedInstOperands,
     /*  772944 */     // GIR_Coverage, 14549,
     /*  772944 */     GIR_EraseRootFromParent_Done,
     /*  772945 */   // Label 12021: @772945
     /*  772945 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(773023), // Rule ID 14552 //
     /*  772950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  772961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  772964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  772967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  772999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773021 */     GIR_RootConstrainSelectedInstOperands,
     /*  773022 */     // GIR_Coverage, 14552,
     /*  773022 */     GIR_EraseRootFromParent_Done,
     /*  773023 */   // Label 12022: @773023
     /*  773023 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(773101), // Rule ID 14553 //
     /*  773028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773074 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  773077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773099 */     GIR_RootConstrainSelectedInstOperands,
     /*  773100 */     // GIR_Coverage, 14553,
     /*  773100 */     GIR_EraseRootFromParent_Done,
     /*  773101 */   // Label 12023: @773101
     /*  773101 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(773179), // Rule ID 14556 //
     /*  773106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773177 */     GIR_RootConstrainSelectedInstOperands,
     /*  773178 */     // GIR_Coverage, 14556,
     /*  773178 */     GIR_EraseRootFromParent_Done,
     /*  773179 */   // Label 12024: @773179
     /*  773179 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(773257), // Rule ID 14557 //
     /*  773184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773255 */     GIR_RootConstrainSelectedInstOperands,
     /*  773256 */     // GIR_Coverage, 14557,
     /*  773256 */     GIR_EraseRootFromParent_Done,
     /*  773257 */   // Label 12025: @773257
     /*  773257 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(773335), // Rule ID 14560 //
     /*  773262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  773276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  773279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773333 */     GIR_RootConstrainSelectedInstOperands,
     /*  773334 */     // GIR_Coverage, 14560,
     /*  773334 */     GIR_EraseRootFromParent_Done,
     /*  773335 */   // Label 12026: @773335
     /*  773335 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(773413), // Rule ID 14561 //
     /*  773340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  773354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  773357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773386 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773411 */     GIR_RootConstrainSelectedInstOperands,
     /*  773412 */     // GIR_Coverage, 14561,
     /*  773412 */     GIR_EraseRootFromParent_Done,
     /*  773413 */   // Label 12027: @773413
     /*  773413 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(773491), // Rule ID 14564 //
     /*  773418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773489 */     GIR_RootConstrainSelectedInstOperands,
     /*  773490 */     // GIR_Coverage, 14564,
     /*  773490 */     GIR_EraseRootFromParent_Done,
     /*  773491 */   // Label 12028: @773491
     /*  773491 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773569), // Rule ID 14565 //
     /*  773496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773567 */     GIR_RootConstrainSelectedInstOperands,
     /*  773568 */     // GIR_Coverage, 14565,
     /*  773568 */     GIR_EraseRootFromParent_Done,
     /*  773569 */   // Label 12029: @773569
     /*  773569 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773647), // Rule ID 14568 //
     /*  773574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773620 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773645 */     GIR_RootConstrainSelectedInstOperands,
     /*  773646 */     // GIR_Coverage, 14568,
     /*  773646 */     GIR_EraseRootFromParent_Done,
     /*  773647 */   // Label 12030: @773647
     /*  773647 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(773725), // Rule ID 14569 //
     /*  773652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773723 */     GIR_RootConstrainSelectedInstOperands,
     /*  773724 */     // GIR_Coverage, 14569,
     /*  773724 */     GIR_EraseRootFromParent_Done,
     /*  773725 */   // Label 12031: @773725
     /*  773725 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(773803), // Rule ID 14572 //
     /*  773730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773801 */     GIR_RootConstrainSelectedInstOperands,
     /*  773802 */     // GIR_Coverage, 14572,
     /*  773802 */     GIR_EraseRootFromParent_Done,
     /*  773803 */   // Label 12032: @773803
     /*  773803 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(773881), // Rule ID 14573 //
     /*  773808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773879 */     GIR_RootConstrainSelectedInstOperands,
     /*  773880 */     // GIR_Coverage, 14573,
     /*  773880 */     GIR_EraseRootFromParent_Done,
     /*  773881 */   // Label 12033: @773881
     /*  773881 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(773959), // Rule ID 14576 //
     /*  773886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773957 */     GIR_RootConstrainSelectedInstOperands,
     /*  773958 */     // GIR_Coverage, 14576,
     /*  773958 */     GIR_EraseRootFromParent_Done,
     /*  773959 */   // Label 12034: @773959
     /*  773959 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(774037), // Rule ID 14577 //
     /*  773964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774010 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774035 */     GIR_RootConstrainSelectedInstOperands,
     /*  774036 */     // GIR_Coverage, 14577,
     /*  774036 */     GIR_EraseRootFromParent_Done,
     /*  774037 */   // Label 12035: @774037
     /*  774037 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(774115), // Rule ID 14580 //
     /*  774042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774113 */     GIR_RootConstrainSelectedInstOperands,
     /*  774114 */     // GIR_Coverage, 14580,
     /*  774114 */     GIR_EraseRootFromParent_Done,
     /*  774115 */   // Label 12036: @774115
     /*  774115 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(774193), // Rule ID 14581 //
     /*  774120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774191 */     GIR_RootConstrainSelectedInstOperands,
     /*  774192 */     // GIR_Coverage, 14581,
     /*  774192 */     GIR_EraseRootFromParent_Done,
     /*  774193 */   // Label 12037: @774193
     /*  774193 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(774271), // Rule ID 14584 //
     /*  774198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774269 */     GIR_RootConstrainSelectedInstOperands,
     /*  774270 */     // GIR_Coverage, 14584,
     /*  774270 */     GIR_EraseRootFromParent_Done,
     /*  774271 */   // Label 12038: @774271
     /*  774271 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(774349), // Rule ID 14585 //
     /*  774276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774347 */     GIR_RootConstrainSelectedInstOperands,
     /*  774348 */     // GIR_Coverage, 14585,
     /*  774348 */     GIR_EraseRootFromParent_Done,
     /*  774349 */   // Label 12039: @774349
     /*  774349 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(774427), // Rule ID 14588 //
     /*  774354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774425 */     GIR_RootConstrainSelectedInstOperands,
     /*  774426 */     // GIR_Coverage, 14588,
     /*  774426 */     GIR_EraseRootFromParent_Done,
     /*  774427 */   // Label 12040: @774427
     /*  774427 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(774505), // Rule ID 14589 //
     /*  774432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774503 */     GIR_RootConstrainSelectedInstOperands,
     /*  774504 */     // GIR_Coverage, 14589,
     /*  774504 */     GIR_EraseRootFromParent_Done,
     /*  774505 */   // Label 12041: @774505
     /*  774505 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774583), // Rule ID 14592 //
     /*  774510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774556 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774581 */     GIR_RootConstrainSelectedInstOperands,
     /*  774582 */     // GIR_Coverage, 14592,
     /*  774582 */     GIR_EraseRootFromParent_Done,
     /*  774583 */   // Label 12042: @774583
     /*  774583 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774661), // Rule ID 14593 //
     /*  774588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774659 */     GIR_RootConstrainSelectedInstOperands,
     /*  774660 */     // GIR_Coverage, 14593,
     /*  774660 */     GIR_EraseRootFromParent_Done,
     /*  774661 */   // Label 12043: @774661
     /*  774661 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(774739), // Rule ID 14596 //
     /*  774666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774712 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774737 */     GIR_RootConstrainSelectedInstOperands,
     /*  774738 */     // GIR_Coverage, 14596,
     /*  774738 */     GIR_EraseRootFromParent_Done,
     /*  774739 */   // Label 12044: @774739
     /*  774739 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(774817), // Rule ID 14597 //
     /*  774744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774815 */     GIR_RootConstrainSelectedInstOperands,
     /*  774816 */     // GIR_Coverage, 14597,
     /*  774816 */     GIR_EraseRootFromParent_Done,
     /*  774817 */   // Label 12045: @774817
     /*  774817 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(774895), // Rule ID 14600 //
     /*  774822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774893 */     GIR_RootConstrainSelectedInstOperands,
     /*  774894 */     // GIR_Coverage, 14600,
     /*  774894 */     GIR_EraseRootFromParent_Done,
     /*  774895 */   // Label 12046: @774895
     /*  774895 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(774973), // Rule ID 14601 //
     /*  774900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774971 */     GIR_RootConstrainSelectedInstOperands,
     /*  774972 */     // GIR_Coverage, 14601,
     /*  774972 */     GIR_EraseRootFromParent_Done,
     /*  774973 */   // Label 12047: @774973
     /*  774973 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(775051), // Rule ID 14604 //
     /*  774978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  774989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  774992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  774995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775049 */     GIR_RootConstrainSelectedInstOperands,
     /*  775050 */     // GIR_Coverage, 14604,
     /*  775050 */     GIR_EraseRootFromParent_Done,
     /*  775051 */   // Label 12048: @775051
     /*  775051 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(775129), // Rule ID 14605 //
     /*  775056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775127 */     GIR_RootConstrainSelectedInstOperands,
     /*  775128 */     // GIR_Coverage, 14605,
     /*  775128 */     GIR_EraseRootFromParent_Done,
     /*  775129 */   // Label 12049: @775129
     /*  775129 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(775207), // Rule ID 14608 //
     /*  775134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775180 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775205 */     GIR_RootConstrainSelectedInstOperands,
     /*  775206 */     // GIR_Coverage, 14608,
     /*  775206 */     GIR_EraseRootFromParent_Done,
     /*  775207 */   // Label 12050: @775207
     /*  775207 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(775285), // Rule ID 14609 //
     /*  775212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775283 */     GIR_RootConstrainSelectedInstOperands,
     /*  775284 */     // GIR_Coverage, 14609,
     /*  775284 */     GIR_EraseRootFromParent_Done,
     /*  775285 */   // Label 12051: @775285
     /*  775285 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(775363), // Rule ID 14612 //
     /*  775290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775361 */     GIR_RootConstrainSelectedInstOperands,
     /*  775362 */     // GIR_Coverage, 14612,
     /*  775362 */     GIR_EraseRootFromParent_Done,
     /*  775363 */   // Label 12052: @775363
     /*  775363 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(775441), // Rule ID 14613 //
     /*  775368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775439 */     GIR_RootConstrainSelectedInstOperands,
     /*  775440 */     // GIR_Coverage, 14613,
     /*  775440 */     GIR_EraseRootFromParent_Done,
     /*  775441 */   // Label 12053: @775441
     /*  775441 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(775519), // Rule ID 14616 //
     /*  775446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775517 */     GIR_RootConstrainSelectedInstOperands,
     /*  775518 */     // GIR_Coverage, 14616,
     /*  775518 */     GIR_EraseRootFromParent_Done,
     /*  775519 */   // Label 12054: @775519
     /*  775519 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775597), // Rule ID 14617 //
     /*  775524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775595 */     GIR_RootConstrainSelectedInstOperands,
     /*  775596 */     // GIR_Coverage, 14617,
     /*  775596 */     GIR_EraseRootFromParent_Done,
     /*  775597 */   // Label 12055: @775597
     /*  775597 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775675), // Rule ID 14620 //
     /*  775602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775673 */     GIR_RootConstrainSelectedInstOperands,
     /*  775674 */     // GIR_Coverage, 14620,
     /*  775674 */     GIR_EraseRootFromParent_Done,
     /*  775675 */   // Label 12056: @775675
     /*  775675 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(775753), // Rule ID 14621 //
     /*  775680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775726 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775751 */     GIR_RootConstrainSelectedInstOperands,
     /*  775752 */     // GIR_Coverage, 14621,
     /*  775752 */     GIR_EraseRootFromParent_Done,
     /*  775753 */   // Label 12057: @775753
     /*  775753 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(775831), // Rule ID 14624 //
     /*  775758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775829 */     GIR_RootConstrainSelectedInstOperands,
     /*  775830 */     // GIR_Coverage, 14624,
     /*  775830 */     GIR_EraseRootFromParent_Done,
     /*  775831 */   // Label 12058: @775831
     /*  775831 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(775909), // Rule ID 14625 //
     /*  775836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775907 */     GIR_RootConstrainSelectedInstOperands,
     /*  775908 */     // GIR_Coverage, 14625,
     /*  775908 */     GIR_EraseRootFromParent_Done,
     /*  775909 */   // Label 12059: @775909
     /*  775909 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(775987), // Rule ID 14628 //
     /*  775914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  775925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  775928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  775931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775960 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775985 */     GIR_RootConstrainSelectedInstOperands,
     /*  775986 */     // GIR_Coverage, 14628,
     /*  775986 */     GIR_EraseRootFromParent_Done,
     /*  775987 */   // Label 12060: @775987
     /*  775987 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(776065), // Rule ID 14629 //
     /*  775992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776038 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  776041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776063 */     GIR_RootConstrainSelectedInstOperands,
     /*  776064 */     // GIR_Coverage, 14629,
     /*  776064 */     GIR_EraseRootFromParent_Done,
     /*  776065 */   // Label 12061: @776065
     /*  776065 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(776143), // Rule ID 14632 //
     /*  776070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776141 */     GIR_RootConstrainSelectedInstOperands,
     /*  776142 */     // GIR_Coverage, 14632,
     /*  776142 */     GIR_EraseRootFromParent_Done,
     /*  776143 */   // Label 12062: @776143
     /*  776143 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(776221), // Rule ID 14633 //
     /*  776148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776219 */     GIR_RootConstrainSelectedInstOperands,
     /*  776220 */     // GIR_Coverage, 14633,
     /*  776220 */     GIR_EraseRootFromParent_Done,
     /*  776221 */   // Label 12063: @776221
     /*  776221 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(776299), // Rule ID 14636 //
     /*  776226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776297 */     GIR_RootConstrainSelectedInstOperands,
     /*  776298 */     // GIR_Coverage, 14636,
     /*  776298 */     GIR_EraseRootFromParent_Done,
     /*  776299 */   // Label 12064: @776299
     /*  776299 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(776377), // Rule ID 14637 //
     /*  776304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776375 */     GIR_RootConstrainSelectedInstOperands,
     /*  776376 */     // GIR_Coverage, 14637,
     /*  776376 */     GIR_EraseRootFromParent_Done,
     /*  776377 */   // Label 12065: @776377
     /*  776377 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(776455), // Rule ID 14640 //
     /*  776382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  776393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  776396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  776399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  776402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  776431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776453 */     GIR_RootConstrainSelectedInstOperands,
     /*  776454 */     // GIR_Coverage, 14640,
     /*  776454 */     GIR_EraseRootFromParent_Done,
     /*  776455 */   // Label 12066: @776455
     /*  776455 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(776533), // Rule ID 14641 //
     /*  776460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  776471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  776474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  776477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  776480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776506 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  776509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776531 */     GIR_RootConstrainSelectedInstOperands,
     /*  776532 */     // GIR_Coverage, 14641,
     /*  776532 */     GIR_EraseRootFromParent_Done,
     /*  776533 */   // Label 12067: @776533
     /*  776533 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776611), // Rule ID 14644 //
     /*  776538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776609 */     GIR_RootConstrainSelectedInstOperands,
     /*  776610 */     // GIR_Coverage, 14644,
     /*  776610 */     GIR_EraseRootFromParent_Done,
     /*  776611 */   // Label 12068: @776611
     /*  776611 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776689), // Rule ID 14645 //
     /*  776616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776662 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776687 */     GIR_RootConstrainSelectedInstOperands,
     /*  776688 */     // GIR_Coverage, 14645,
     /*  776688 */     GIR_EraseRootFromParent_Done,
     /*  776689 */   // Label 12069: @776689
     /*  776689 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776767), // Rule ID 14648 //
     /*  776694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776740 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776765 */     GIR_RootConstrainSelectedInstOperands,
     /*  776766 */     // GIR_Coverage, 14648,
     /*  776766 */     GIR_EraseRootFromParent_Done,
     /*  776767 */   // Label 12070: @776767
     /*  776767 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(776845), // Rule ID 14649 //
     /*  776772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776818 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776843 */     GIR_RootConstrainSelectedInstOperands,
     /*  776844 */     // GIR_Coverage, 14649,
     /*  776844 */     GIR_EraseRootFromParent_Done,
     /*  776845 */   // Label 12071: @776845
     /*  776845 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(776923), // Rule ID 14652 //
     /*  776850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776921 */     GIR_RootConstrainSelectedInstOperands,
     /*  776922 */     // GIR_Coverage, 14652,
     /*  776922 */     GIR_EraseRootFromParent_Done,
     /*  776923 */   // Label 12072: @776923
     /*  776923 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(777001), // Rule ID 14653 //
     /*  776928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776999 */     GIR_RootConstrainSelectedInstOperands,
     /*  777000 */     // GIR_Coverage, 14653,
     /*  777000 */     GIR_EraseRootFromParent_Done,
     /*  777001 */   // Label 12073: @777001
     /*  777001 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(777079), // Rule ID 14656 //
     /*  777006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777077 */     GIR_RootConstrainSelectedInstOperands,
     /*  777078 */     // GIR_Coverage, 14656,
     /*  777078 */     GIR_EraseRootFromParent_Done,
     /*  777079 */   // Label 12074: @777079
     /*  777079 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(777157), // Rule ID 14657 //
     /*  777084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777155 */     GIR_RootConstrainSelectedInstOperands,
     /*  777156 */     // GIR_Coverage, 14657,
     /*  777156 */     GIR_EraseRootFromParent_Done,
     /*  777157 */   // Label 12075: @777157
     /*  777157 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(777235), // Rule ID 14660 //
     /*  777162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777233 */     GIR_RootConstrainSelectedInstOperands,
     /*  777234 */     // GIR_Coverage, 14660,
     /*  777234 */     GIR_EraseRootFromParent_Done,
     /*  777235 */   // Label 12076: @777235
     /*  777235 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(777313), // Rule ID 14661 //
     /*  777240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777311 */     GIR_RootConstrainSelectedInstOperands,
     /*  777312 */     // GIR_Coverage, 14661,
     /*  777312 */     GIR_EraseRootFromParent_Done,
     /*  777313 */   // Label 12077: @777313
     /*  777313 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(777391), // Rule ID 14664 //
     /*  777318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  777329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  777332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  777335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  777338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777389 */     GIR_RootConstrainSelectedInstOperands,
     /*  777390 */     // GIR_Coverage, 14664,
     /*  777390 */     GIR_EraseRootFromParent_Done,
     /*  777391 */   // Label 12078: @777391
     /*  777391 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(777469), // Rule ID 14665 //
     /*  777396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  777407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  777410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  777413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  777416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777467 */     GIR_RootConstrainSelectedInstOperands,
     /*  777468 */     // GIR_Coverage, 14665,
     /*  777468 */     GIR_EraseRootFromParent_Done,
     /*  777469 */   // Label 12079: @777469
     /*  777469 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(777547), // Rule ID 14668 //
     /*  777474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777545 */     GIR_RootConstrainSelectedInstOperands,
     /*  777546 */     // GIR_Coverage, 14668,
     /*  777546 */     GIR_EraseRootFromParent_Done,
     /*  777547 */   // Label 12080: @777547
     /*  777547 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777625), // Rule ID 14669 //
     /*  777552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777623 */     GIR_RootConstrainSelectedInstOperands,
     /*  777624 */     // GIR_Coverage, 14669,
     /*  777624 */     GIR_EraseRootFromParent_Done,
     /*  777625 */   // Label 12081: @777625
     /*  777625 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777703), // Rule ID 14672 //
     /*  777630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777701 */     GIR_RootConstrainSelectedInstOperands,
     /*  777702 */     // GIR_Coverage, 14672,
     /*  777702 */     GIR_EraseRootFromParent_Done,
     /*  777703 */   // Label 12082: @777703
     /*  777703 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777781), // Rule ID 14673 //
     /*  777708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777779 */     GIR_RootConstrainSelectedInstOperands,
     /*  777780 */     // GIR_Coverage, 14673,
     /*  777780 */     GIR_EraseRootFromParent_Done,
     /*  777781 */   // Label 12083: @777781
     /*  777781 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(777859), // Rule ID 14676 //
     /*  777786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777832 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777857 */     GIR_RootConstrainSelectedInstOperands,
     /*  777858 */     // GIR_Coverage, 14676,
     /*  777858 */     GIR_EraseRootFromParent_Done,
     /*  777859 */   // Label 12084: @777859
     /*  777859 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(777937), // Rule ID 14677 //
     /*  777864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777935 */     GIR_RootConstrainSelectedInstOperands,
     /*  777936 */     // GIR_Coverage, 14677,
     /*  777936 */     GIR_EraseRootFromParent_Done,
     /*  777937 */   // Label 12085: @777937
     /*  777937 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(778015), // Rule ID 14680 //
     /*  777942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  777953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  777956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  777959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  777962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778013 */     GIR_RootConstrainSelectedInstOperands,
     /*  778014 */     // GIR_Coverage, 14680,
     /*  778014 */     GIR_EraseRootFromParent_Done,
     /*  778015 */   // Label 12086: @778015
     /*  778015 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(778093), // Rule ID 14681 //
     /*  778020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  778040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778066 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778091 */     GIR_RootConstrainSelectedInstOperands,
     /*  778092 */     // GIR_Coverage, 14681,
     /*  778092 */     GIR_EraseRootFromParent_Done,
     /*  778093 */   // Label 12087: @778093
     /*  778093 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(778171), // Rule ID 14684 //
     /*  778098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  778118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778169 */     GIR_RootConstrainSelectedInstOperands,
     /*  778170 */     // GIR_Coverage, 14684,
     /*  778170 */     GIR_EraseRootFromParent_Done,
     /*  778171 */   // Label 12088: @778171
     /*  778171 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(778249), // Rule ID 14685 //
     /*  778176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  778196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778247 */     GIR_RootConstrainSelectedInstOperands,
     /*  778248 */     // GIR_Coverage, 14685,
     /*  778248 */     GIR_EraseRootFromParent_Done,
     /*  778249 */   // Label 12089: @778249
     /*  778249 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(778327), // Rule ID 14688 //
     /*  778254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  778265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  778268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  778271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  778274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778325 */     GIR_RootConstrainSelectedInstOperands,
     /*  778326 */     // GIR_Coverage, 14688,
     /*  778326 */     GIR_EraseRootFromParent_Done,
     /*  778327 */   // Label 12090: @778327
     /*  778327 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(778405), // Rule ID 14689 //
     /*  778332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  778343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  778346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  778349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  778352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778403 */     GIR_RootConstrainSelectedInstOperands,
     /*  778404 */     // GIR_Coverage, 14689,
     /*  778404 */     GIR_EraseRootFromParent_Done,
     /*  778405 */   // Label 12091: @778405
     /*  778405 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(778483), // Rule ID 14692 //
     /*  778410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  778421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  778424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  778427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778481 */     GIR_RootConstrainSelectedInstOperands,
     /*  778482 */     // GIR_Coverage, 14692,
     /*  778482 */     GIR_EraseRootFromParent_Done,
     /*  778483 */   // Label 12092: @778483
     /*  778483 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778561), // Rule ID 14693 //
     /*  778488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  778499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  778502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  778505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778559 */     GIR_RootConstrainSelectedInstOperands,
     /*  778560 */     // GIR_Coverage, 14693,
     /*  778560 */     GIR_EraseRootFromParent_Done,
     /*  778561 */   // Label 12093: @778561
     /*  778561 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778639), // Rule ID 14696 //
     /*  778566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778612 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778637 */     GIR_RootConstrainSelectedInstOperands,
     /*  778638 */     // GIR_Coverage, 14696,
     /*  778638 */     GIR_EraseRootFromParent_Done,
     /*  778639 */   // Label 12094: @778639
     /*  778639 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778717), // Rule ID 14697 //
     /*  778644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778690 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778715 */     GIR_RootConstrainSelectedInstOperands,
     /*  778716 */     // GIR_Coverage, 14697,
     /*  778716 */     GIR_EraseRootFromParent_Done,
     /*  778717 */   // Label 12095: @778717
     /*  778717 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778795), // Rule ID 14700 //
     /*  778722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778793 */     GIR_RootConstrainSelectedInstOperands,
     /*  778794 */     // GIR_Coverage, 14700,
     /*  778794 */     GIR_EraseRootFromParent_Done,
     /*  778795 */   // Label 12096: @778795
     /*  778795 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(778873), // Rule ID 14701 //
     /*  778800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778871 */     GIR_RootConstrainSelectedInstOperands,
     /*  778872 */     // GIR_Coverage, 14701,
     /*  778872 */     GIR_EraseRootFromParent_Done,
     /*  778873 */   // Label 12097: @778873
     /*  778873 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(778951), // Rule ID 14704 //
     /*  778878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778949 */     GIR_RootConstrainSelectedInstOperands,
     /*  778950 */     // GIR_Coverage, 14704,
     /*  778950 */     GIR_EraseRootFromParent_Done,
     /*  778951 */   // Label 12098: @778951
     /*  778951 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(779029), // Rule ID 14705 //
     /*  778956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779027 */     GIR_RootConstrainSelectedInstOperands,
     /*  779028 */     // GIR_Coverage, 14705,
     /*  779028 */     GIR_EraseRootFromParent_Done,
     /*  779029 */   // Label 12099: @779029
     /*  779029 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(779107), // Rule ID 14708 //
     /*  779034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  779054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779105 */     GIR_RootConstrainSelectedInstOperands,
     /*  779106 */     // GIR_Coverage, 14708,
     /*  779106 */     GIR_EraseRootFromParent_Done,
     /*  779107 */   // Label 12100: @779107
     /*  779107 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(779185), // Rule ID 14709 //
     /*  779112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  779132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779183 */     GIR_RootConstrainSelectedInstOperands,
     /*  779184 */     // GIR_Coverage, 14709,
     /*  779184 */     GIR_EraseRootFromParent_Done,
     /*  779185 */   // Label 12101: @779185
     /*  779185 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(779263), // Rule ID 14712 //
     /*  779190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  779210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779261 */     GIR_RootConstrainSelectedInstOperands,
     /*  779262 */     // GIR_Coverage, 14712,
     /*  779262 */     GIR_EraseRootFromParent_Done,
     /*  779263 */   // Label 12102: @779263
     /*  779263 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(779341), // Rule ID 14713 //
     /*  779268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  779288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779339 */     GIR_RootConstrainSelectedInstOperands,
     /*  779340 */     // GIR_Coverage, 14713,
     /*  779340 */     GIR_EraseRootFromParent_Done,
     /*  779341 */   // Label 12103: @779341
     /*  779341 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(779419), // Rule ID 14716 //
     /*  779346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  779357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  779360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  779363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  779366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779417 */     GIR_RootConstrainSelectedInstOperands,
     /*  779418 */     // GIR_Coverage, 14716,
     /*  779418 */     GIR_EraseRootFromParent_Done,
     /*  779419 */   // Label 12104: @779419
     /*  779419 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(779497), // Rule ID 14717 //
     /*  779424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  779435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  779438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  779441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  779444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779495 */     GIR_RootConstrainSelectedInstOperands,
     /*  779496 */     // GIR_Coverage, 14717,
     /*  779496 */     GIR_EraseRootFromParent_Done,
     /*  779497 */   // Label 12105: @779497
     /*  779497 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779575), // Rule ID 14720 //
     /*  779502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779573 */     GIR_RootConstrainSelectedInstOperands,
     /*  779574 */     // GIR_Coverage, 14720,
     /*  779574 */     GIR_EraseRootFromParent_Done,
     /*  779575 */   // Label 12106: @779575
     /*  779575 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779653), // Rule ID 14721 //
     /*  779580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779651 */     GIR_RootConstrainSelectedInstOperands,
     /*  779652 */     // GIR_Coverage, 14721,
     /*  779652 */     GIR_EraseRootFromParent_Done,
     /*  779653 */   // Label 12107: @779653
     /*  779653 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779731), // Rule ID 14724 //
     /*  779658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779729 */     GIR_RootConstrainSelectedInstOperands,
     /*  779730 */     // GIR_Coverage, 14724,
     /*  779730 */     GIR_EraseRootFromParent_Done,
     /*  779731 */   // Label 12108: @779731
     /*  779731 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779809), // Rule ID 14725 //
     /*  779736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779807 */     GIR_RootConstrainSelectedInstOperands,
     /*  779808 */     // GIR_Coverage, 14725,
     /*  779808 */     GIR_EraseRootFromParent_Done,
     /*  779809 */   // Label 12109: @779809
     /*  779809 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779887), // Rule ID 14728 //
     /*  779814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779860 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779885 */     GIR_RootConstrainSelectedInstOperands,
     /*  779886 */     // GIR_Coverage, 14728,
     /*  779886 */     GIR_EraseRootFromParent_Done,
     /*  779887 */   // Label 12110: @779887
     /*  779887 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(779965), // Rule ID 14729 //
     /*  779892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779938 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779963 */     GIR_RootConstrainSelectedInstOperands,
     /*  779964 */     // GIR_Coverage, 14729,
     /*  779964 */     GIR_EraseRootFromParent_Done,
     /*  779965 */   // Label 12111: @779965
     /*  779965 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(780043), // Rule ID 14732 //
     /*  779970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  779981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  779984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  779987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780041 */     GIR_RootConstrainSelectedInstOperands,
     /*  780042 */     // GIR_Coverage, 14732,
     /*  780042 */     GIR_EraseRootFromParent_Done,
     /*  780043 */   // Label 12112: @780043
     /*  780043 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(780121), // Rule ID 14733 //
     /*  780048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780094 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780119 */     GIR_RootConstrainSelectedInstOperands,
     /*  780120 */     // GIR_Coverage, 14733,
     /*  780120 */     GIR_EraseRootFromParent_Done,
     /*  780121 */   // Label 12113: @780121
     /*  780121 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(780199), // Rule ID 14736 //
     /*  780126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780197 */     GIR_RootConstrainSelectedInstOperands,
     /*  780198 */     // GIR_Coverage, 14736,
     /*  780198 */     GIR_EraseRootFromParent_Done,
     /*  780199 */   // Label 12114: @780199
     /*  780199 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(780277), // Rule ID 14737 //
     /*  780204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780275 */     GIR_RootConstrainSelectedInstOperands,
     /*  780276 */     // GIR_Coverage, 14737,
     /*  780276 */     GIR_EraseRootFromParent_Done,
     /*  780277 */   // Label 12115: @780277
     /*  780277 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(780355), // Rule ID 14740 //
     /*  780282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  780293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  780296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  780299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780353 */     GIR_RootConstrainSelectedInstOperands,
     /*  780354 */     // GIR_Coverage, 14740,
     /*  780354 */     GIR_EraseRootFromParent_Done,
     /*  780355 */   // Label 12116: @780355
     /*  780355 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(780433), // Rule ID 14741 //
     /*  780360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  780371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  780374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  780377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780431 */     GIR_RootConstrainSelectedInstOperands,
     /*  780432 */     // GIR_Coverage, 14741,
     /*  780432 */     GIR_EraseRootFromParent_Done,
     /*  780433 */   // Label 12117: @780433
     /*  780433 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(780511), // Rule ID 14744 //
     /*  780438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780509 */     GIR_RootConstrainSelectedInstOperands,
     /*  780510 */     // GIR_Coverage, 14744,
     /*  780510 */     GIR_EraseRootFromParent_Done,
     /*  780511 */   // Label 12118: @780511
     /*  780511 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780589), // Rule ID 14745 //
     /*  780516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780587 */     GIR_RootConstrainSelectedInstOperands,
     /*  780588 */     // GIR_Coverage, 14745,
     /*  780588 */     GIR_EraseRootFromParent_Done,
     /*  780589 */   // Label 12119: @780589
     /*  780589 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780667), // Rule ID 14748 //
     /*  780594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780665 */     GIR_RootConstrainSelectedInstOperands,
     /*  780666 */     // GIR_Coverage, 14748,
     /*  780666 */     GIR_EraseRootFromParent_Done,
     /*  780667 */   // Label 12120: @780667
     /*  780667 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780745), // Rule ID 14749 //
     /*  780672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780743 */     GIR_RootConstrainSelectedInstOperands,
     /*  780744 */     // GIR_Coverage, 14749,
     /*  780744 */     GIR_EraseRootFromParent_Done,
     /*  780745 */   // Label 12121: @780745
     /*  780745 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780823), // Rule ID 14752 //
     /*  780750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780821 */     GIR_RootConstrainSelectedInstOperands,
     /*  780822 */     // GIR_Coverage, 14752,
     /*  780822 */     GIR_EraseRootFromParent_Done,
     /*  780823 */   // Label 12122: @780823
     /*  780823 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780901), // Rule ID 14753 //
     /*  780828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780874 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780899 */     GIR_RootConstrainSelectedInstOperands,
     /*  780900 */     // GIR_Coverage, 14753,
     /*  780900 */     GIR_EraseRootFromParent_Done,
     /*  780901 */   // Label 12123: @780901
     /*  780901 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(780979), // Rule ID 14756 //
     /*  780906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780977 */     GIR_RootConstrainSelectedInstOperands,
     /*  780978 */     // GIR_Coverage, 14756,
     /*  780978 */     GIR_EraseRootFromParent_Done,
     /*  780979 */   // Label 12124: @780979
     /*  780979 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(781057), // Rule ID 14757 //
     /*  780984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781055 */     GIR_RootConstrainSelectedInstOperands,
     /*  781056 */     // GIR_Coverage, 14757,
     /*  781056 */     GIR_EraseRootFromParent_Done,
     /*  781057 */   // Label 12125: @781057
     /*  781057 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(781135), // Rule ID 14760 //
     /*  781062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781133 */     GIR_RootConstrainSelectedInstOperands,
     /*  781134 */     // GIR_Coverage, 14760,
     /*  781134 */     GIR_EraseRootFromParent_Done,
     /*  781135 */   // Label 12126: @781135
     /*  781135 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(781213), // Rule ID 14761 //
     /*  781140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781211 */     GIR_RootConstrainSelectedInstOperands,
     /*  781212 */     // GIR_Coverage, 14761,
     /*  781212 */     GIR_EraseRootFromParent_Done,
     /*  781213 */   // Label 12127: @781213
     /*  781213 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(781291), // Rule ID 14764 //
     /*  781218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781289 */     GIR_RootConstrainSelectedInstOperands,
     /*  781290 */     // GIR_Coverage, 14764,
     /*  781290 */     GIR_EraseRootFromParent_Done,
     /*  781291 */   // Label 12128: @781291
     /*  781291 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(781369), // Rule ID 14765 //
     /*  781296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781367 */     GIR_RootConstrainSelectedInstOperands,
     /*  781368 */     // GIR_Coverage, 14765,
     /*  781368 */     GIR_EraseRootFromParent_Done,
     /*  781369 */   // Label 12129: @781369
     /*  781369 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(781447), // Rule ID 14768 //
     /*  781374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  781385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  781388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  781391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781445 */     GIR_RootConstrainSelectedInstOperands,
     /*  781446 */     // GIR_Coverage, 14768,
     /*  781446 */     GIR_EraseRootFromParent_Done,
     /*  781447 */   // Label 12130: @781447
     /*  781447 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(781525), // Rule ID 14769 //
     /*  781452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  781463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  781466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  781469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781523 */     GIR_RootConstrainSelectedInstOperands,
     /*  781524 */     // GIR_Coverage, 14769,
     /*  781524 */     GIR_EraseRootFromParent_Done,
     /*  781525 */   // Label 12131: @781525
     /*  781525 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781603), // Rule ID 14772 //
     /*  781530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781601 */     GIR_RootConstrainSelectedInstOperands,
     /*  781602 */     // GIR_Coverage, 14772,
     /*  781602 */     GIR_EraseRootFromParent_Done,
     /*  781603 */   // Label 12132: @781603
     /*  781603 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781681), // Rule ID 14773 //
     /*  781608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781654 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781679 */     GIR_RootConstrainSelectedInstOperands,
     /*  781680 */     // GIR_Coverage, 14773,
     /*  781680 */     GIR_EraseRootFromParent_Done,
     /*  781681 */   // Label 12133: @781681
     /*  781681 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781759), // Rule ID 14776 //
     /*  781686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781757 */     GIR_RootConstrainSelectedInstOperands,
     /*  781758 */     // GIR_Coverage, 14776,
     /*  781758 */     GIR_EraseRootFromParent_Done,
     /*  781759 */   // Label 12134: @781759
     /*  781759 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781837), // Rule ID 14777 //
     /*  781764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781810 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781835 */     GIR_RootConstrainSelectedInstOperands,
     /*  781836 */     // GIR_Coverage, 14777,
     /*  781836 */     GIR_EraseRootFromParent_Done,
     /*  781837 */   // Label 12135: @781837
     /*  781837 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781915), // Rule ID 14780 //
     /*  781842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781888 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781913 */     GIR_RootConstrainSelectedInstOperands,
     /*  781914 */     // GIR_Coverage, 14780,
     /*  781914 */     GIR_EraseRootFromParent_Done,
     /*  781915 */   // Label 12136: @781915
     /*  781915 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(781993), // Rule ID 14781 //
     /*  781920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781991 */     GIR_RootConstrainSelectedInstOperands,
     /*  781992 */     // GIR_Coverage, 14781,
     /*  781992 */     GIR_EraseRootFromParent_Done,
     /*  781993 */   // Label 12137: @781993
     /*  781993 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(782071), // Rule ID 14784 //
     /*  781998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782069 */     GIR_RootConstrainSelectedInstOperands,
     /*  782070 */     // GIR_Coverage, 14784,
     /*  782070 */     GIR_EraseRootFromParent_Done,
     /*  782071 */   // Label 12138: @782071
     /*  782071 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(782149), // Rule ID 14785 //
     /*  782076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782147 */     GIR_RootConstrainSelectedInstOperands,
     /*  782148 */     // GIR_Coverage, 14785,
     /*  782148 */     GIR_EraseRootFromParent_Done,
     /*  782149 */   // Label 12139: @782149
     /*  782149 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(782227), // Rule ID 14788 //
     /*  782154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782200 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782225 */     GIR_RootConstrainSelectedInstOperands,
     /*  782226 */     // GIR_Coverage, 14788,
     /*  782226 */     GIR_EraseRootFromParent_Done,
     /*  782227 */   // Label 12140: @782227
     /*  782227 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(782305), // Rule ID 14789 //
     /*  782232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782303 */     GIR_RootConstrainSelectedInstOperands,
     /*  782304 */     // GIR_Coverage, 14789,
     /*  782304 */     GIR_EraseRootFromParent_Done,
     /*  782305 */   // Label 12141: @782305
     /*  782305 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(782383), // Rule ID 14792 //
     /*  782310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782381 */     GIR_RootConstrainSelectedInstOperands,
     /*  782382 */     // GIR_Coverage, 14792,
     /*  782382 */     GIR_EraseRootFromParent_Done,
     /*  782383 */   // Label 12142: @782383
     /*  782383 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(782461), // Rule ID 14793 //
     /*  782388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782459 */     GIR_RootConstrainSelectedInstOperands,
     /*  782460 */     // GIR_Coverage, 14793,
     /*  782460 */     GIR_EraseRootFromParent_Done,
     /*  782461 */   // Label 12143: @782461
     /*  782461 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(782539), // Rule ID 14796 //
     /*  782466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782537 */     GIR_RootConstrainSelectedInstOperands,
     /*  782538 */     // GIR_Coverage, 14796,
     /*  782538 */     GIR_EraseRootFromParent_Done,
     /*  782539 */   // Label 12144: @782539
     /*  782539 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782617), // Rule ID 14797 //
     /*  782544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782615 */     GIR_RootConstrainSelectedInstOperands,
     /*  782616 */     // GIR_Coverage, 14797,
     /*  782616 */     GIR_EraseRootFromParent_Done,
     /*  782617 */   // Label 12145: @782617
     /*  782617 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782695), // Rule ID 14800 //
     /*  782622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782693 */     GIR_RootConstrainSelectedInstOperands,
     /*  782694 */     // GIR_Coverage, 14800,
     /*  782694 */     GIR_EraseRootFromParent_Done,
     /*  782695 */   // Label 12146: @782695
     /*  782695 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782773), // Rule ID 14801 //
     /*  782700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782771 */     GIR_RootConstrainSelectedInstOperands,
     /*  782772 */     // GIR_Coverage, 14801,
     /*  782772 */     GIR_EraseRootFromParent_Done,
     /*  782773 */   // Label 12147: @782773
     /*  782773 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782851), // Rule ID 14804 //
     /*  782778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782849 */     GIR_RootConstrainSelectedInstOperands,
     /*  782850 */     // GIR_Coverage, 14804,
     /*  782850 */     GIR_EraseRootFromParent_Done,
     /*  782851 */   // Label 12148: @782851
     /*  782851 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782929), // Rule ID 14805 //
     /*  782856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782927 */     GIR_RootConstrainSelectedInstOperands,
     /*  782928 */     // GIR_Coverage, 14805,
     /*  782928 */     GIR_EraseRootFromParent_Done,
     /*  782929 */   // Label 12149: @782929
     /*  782929 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(783007), // Rule ID 14808 //
     /*  782934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783005 */     GIR_RootConstrainSelectedInstOperands,
     /*  783006 */     // GIR_Coverage, 14808,
     /*  783006 */     GIR_EraseRootFromParent_Done,
     /*  783007 */   // Label 12150: @783007
     /*  783007 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(783085), // Rule ID 14809 //
     /*  783012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  783061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783083 */     GIR_RootConstrainSelectedInstOperands,
     /*  783084 */     // GIR_Coverage, 14809,
     /*  783084 */     GIR_EraseRootFromParent_Done,
     /*  783085 */   // Label 12151: @783085
     /*  783085 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(783163), // Rule ID 14812 //
     /*  783090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783161 */     GIR_RootConstrainSelectedInstOperands,
     /*  783162 */     // GIR_Coverage, 14812,
     /*  783162 */     GIR_EraseRootFromParent_Done,
     /*  783163 */   // Label 12152: @783163
     /*  783163 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(783241), // Rule ID 14813 //
     /*  783168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783239 */     GIR_RootConstrainSelectedInstOperands,
     /*  783240 */     // GIR_Coverage, 14813,
     /*  783240 */     GIR_EraseRootFromParent_Done,
     /*  783241 */   // Label 12153: @783241
     /*  783241 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(783316), // Rule ID 19054 //
     /*  783246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  783266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  783295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783314 */     GIR_RootConstrainSelectedInstOperands,
     /*  783315 */     // GIR_Coverage, 19054,
     /*  783315 */     GIR_EraseRootFromParent_Done,
     /*  783316 */   // Label 12154: @783316
     /*  783316 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(783391), // Rule ID 19055 //
     /*  783321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  783341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783367 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  783370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783389 */     GIR_RootConstrainSelectedInstOperands,
     /*  783390 */     // GIR_Coverage, 19055,
     /*  783390 */     GIR_EraseRootFromParent_Done,
     /*  783391 */   // Label 12155: @783391
     /*  783391 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(783466), // Rule ID 19058 //
     /*  783396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783442 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783464 */     GIR_RootConstrainSelectedInstOperands,
     /*  783465 */     // GIR_Coverage, 19058,
     /*  783465 */     GIR_EraseRootFromParent_Done,
     /*  783466 */   // Label 12156: @783466
     /*  783466 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(783541), // Rule ID 19059 //
     /*  783471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783517 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783539 */     GIR_RootConstrainSelectedInstOperands,
     /*  783540 */     // GIR_Coverage, 19059,
     /*  783540 */     GIR_EraseRootFromParent_Done,
     /*  783541 */   // Label 12157: @783541
     /*  783541 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(783616), // Rule ID 19062 //
     /*  783546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783614 */     GIR_RootConstrainSelectedInstOperands,
     /*  783615 */     // GIR_Coverage, 19062,
     /*  783615 */     GIR_EraseRootFromParent_Done,
     /*  783616 */   // Label 12158: @783616
     /*  783616 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783691), // Rule ID 19063 //
     /*  783621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783667 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783689 */     GIR_RootConstrainSelectedInstOperands,
     /*  783690 */     // GIR_Coverage, 19063,
     /*  783690 */     GIR_EraseRootFromParent_Done,
     /*  783691 */   // Label 12159: @783691
     /*  783691 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783766), // Rule ID 19066 //
     /*  783696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783764 */     GIR_RootConstrainSelectedInstOperands,
     /*  783765 */     // GIR_Coverage, 19066,
     /*  783765 */     GIR_EraseRootFromParent_Done,
     /*  783766 */   // Label 12160: @783766
     /*  783766 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783841), // Rule ID 19067 //
     /*  783771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783839 */     GIR_RootConstrainSelectedInstOperands,
     /*  783840 */     // GIR_Coverage, 19067,
     /*  783840 */     GIR_EraseRootFromParent_Done,
     /*  783841 */   // Label 12161: @783841
     /*  783841 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783916), // Rule ID 19070 //
     /*  783846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783914 */     GIR_RootConstrainSelectedInstOperands,
     /*  783915 */     // GIR_Coverage, 19070,
     /*  783915 */     GIR_EraseRootFromParent_Done,
     /*  783916 */   // Label 12162: @783916
     /*  783916 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783991), // Rule ID 19071 //
     /*  783921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783989 */     GIR_RootConstrainSelectedInstOperands,
     /*  783990 */     // GIR_Coverage, 19071,
     /*  783990 */     GIR_EraseRootFromParent_Done,
     /*  783991 */   // Label 12163: @783991
     /*  783991 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(784066), // Rule ID 19074 //
     /*  783996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  784016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  784045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784064 */     GIR_RootConstrainSelectedInstOperands,
     /*  784065 */     // GIR_Coverage, 19074,
     /*  784065 */     GIR_EraseRootFromParent_Done,
     /*  784066 */   // Label 12164: @784066
     /*  784066 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(784141), // Rule ID 19075 //
     /*  784071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  784091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  784120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784139 */     GIR_RootConstrainSelectedInstOperands,
     /*  784140 */     // GIR_Coverage, 19075,
     /*  784140 */     GIR_EraseRootFromParent_Done,
     /*  784141 */   // Label 12165: @784141
     /*  784141 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(784216), // Rule ID 19078 //
     /*  784146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  784195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784214 */     GIR_RootConstrainSelectedInstOperands,
     /*  784215 */     // GIR_Coverage, 19078,
     /*  784215 */     GIR_EraseRootFromParent_Done,
     /*  784216 */   // Label 12166: @784216
     /*  784216 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(784291), // Rule ID 19079 //
     /*  784221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784267 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  784270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784289 */     GIR_RootConstrainSelectedInstOperands,
     /*  784290 */     // GIR_Coverage, 19079,
     /*  784290 */     GIR_EraseRootFromParent_Done,
     /*  784291 */   // Label 12167: @784291
     /*  784291 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(784366), // Rule ID 19082 //
     /*  784296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784342 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  784345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784364 */     GIR_RootConstrainSelectedInstOperands,
     /*  784365 */     // GIR_Coverage, 19082,
     /*  784365 */     GIR_EraseRootFromParent_Done,
     /*  784366 */   // Label 12168: @784366
     /*  784366 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(784441), // Rule ID 19083 //
     /*  784371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784417 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  784420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784439 */     GIR_RootConstrainSelectedInstOperands,
     /*  784440 */     // GIR_Coverage, 19083,
     /*  784440 */     GIR_EraseRootFromParent_Done,
     /*  784441 */   // Label 12169: @784441
     /*  784441 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784516), // Rule ID 19086 //
     /*  784446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784492 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784514 */     GIR_RootConstrainSelectedInstOperands,
     /*  784515 */     // GIR_Coverage, 19086,
     /*  784515 */     GIR_EraseRootFromParent_Done,
     /*  784516 */   // Label 12170: @784516
     /*  784516 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(784591), // Rule ID 19087 //
     /*  784521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784567 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784589 */     GIR_RootConstrainSelectedInstOperands,
     /*  784590 */     // GIR_Coverage, 19087,
     /*  784590 */     GIR_EraseRootFromParent_Done,
     /*  784591 */   // Label 12171: @784591
     /*  784591 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784666), // Rule ID 19090 //
     /*  784596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784642 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784664 */     GIR_RootConstrainSelectedInstOperands,
     /*  784665 */     // GIR_Coverage, 19090,
     /*  784665 */     GIR_EraseRootFromParent_Done,
     /*  784666 */   // Label 12172: @784666
     /*  784666 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784741), // Rule ID 19091 //
     /*  784671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784739 */     GIR_RootConstrainSelectedInstOperands,
     /*  784740 */     // GIR_Coverage, 19091,
     /*  784740 */     GIR_EraseRootFromParent_Done,
     /*  784741 */   // Label 12173: @784741
     /*  784741 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784816), // Rule ID 19094 //
     /*  784746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784792 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784814 */     GIR_RootConstrainSelectedInstOperands,
     /*  784815 */     // GIR_Coverage, 19094,
     /*  784815 */     GIR_EraseRootFromParent_Done,
     /*  784816 */   // Label 12174: @784816
     /*  784816 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784891), // Rule ID 19095 //
     /*  784821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784889 */     GIR_RootConstrainSelectedInstOperands,
     /*  784890 */     // GIR_Coverage, 19095,
     /*  784890 */     GIR_EraseRootFromParent_Done,
     /*  784891 */   // Label 12175: @784891
     /*  784891 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784966), // Rule ID 19098 //
     /*  784896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  784945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784964 */     GIR_RootConstrainSelectedInstOperands,
     /*  784965 */     // GIR_Coverage, 19098,
     /*  784965 */     GIR_EraseRootFromParent_Done,
     /*  784966 */   // Label 12176: @784966
     /*  784966 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(785041), // Rule ID 19099 //
     /*  784971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785017 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  785020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785039 */     GIR_RootConstrainSelectedInstOperands,
     /*  785040 */     // GIR_Coverage, 19099,
     /*  785040 */     GIR_EraseRootFromParent_Done,
     /*  785041 */   // Label 12177: @785041
     /*  785041 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(785116), // Rule ID 19102 //
     /*  785046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  785066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  785095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785114 */     GIR_RootConstrainSelectedInstOperands,
     /*  785115 */     // GIR_Coverage, 19102,
     /*  785115 */     GIR_EraseRootFromParent_Done,
     /*  785116 */   // Label 12178: @785116
     /*  785116 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(785191), // Rule ID 19103 //
     /*  785121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  785141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785167 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  785170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785189 */     GIR_RootConstrainSelectedInstOperands,
     /*  785190 */     // GIR_Coverage, 19103,
     /*  785190 */     GIR_EraseRootFromParent_Done,
     /*  785191 */   // Label 12179: @785191
     /*  785191 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(785266), // Rule ID 19106 //
     /*  785196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  785216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  785245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785264 */     GIR_RootConstrainSelectedInstOperands,
     /*  785265 */     // GIR_Coverage, 19106,
     /*  785265 */     GIR_EraseRootFromParent_Done,
     /*  785266 */   // Label 12180: @785266
     /*  785266 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(785341), // Rule ID 19107 //
     /*  785271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  785291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785317 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  785320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785339 */     GIR_RootConstrainSelectedInstOperands,
     /*  785340 */     // GIR_Coverage, 19107,
     /*  785340 */     GIR_EraseRootFromParent_Done,
     /*  785341 */   // Label 12181: @785341
     /*  785341 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(785416), // Rule ID 19110 //
     /*  785346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  785366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785392 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  785395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785414 */     GIR_RootConstrainSelectedInstOperands,
     /*  785415 */     // GIR_Coverage, 19110,
     /*  785415 */     GIR_EraseRootFromParent_Done,
     /*  785416 */   // Label 12182: @785416
     /*  785416 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785491), // Rule ID 19111 //
     /*  785421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  785441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  785470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785489 */     GIR_RootConstrainSelectedInstOperands,
     /*  785490 */     // GIR_Coverage, 19111,
     /*  785490 */     GIR_EraseRootFromParent_Done,
     /*  785491 */   // Label 12183: @785491
     /*  785491 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(785566), // Rule ID 19114 //
     /*  785496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785542 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785564 */     GIR_RootConstrainSelectedInstOperands,
     /*  785565 */     // GIR_Coverage, 19114,
     /*  785565 */     GIR_EraseRootFromParent_Done,
     /*  785566 */   // Label 12184: @785566
     /*  785566 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785641), // Rule ID 19115 //
     /*  785571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785639 */     GIR_RootConstrainSelectedInstOperands,
     /*  785640 */     // GIR_Coverage, 19115,
     /*  785640 */     GIR_EraseRootFromParent_Done,
     /*  785641 */   // Label 12185: @785641
     /*  785641 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785716), // Rule ID 19118 //
     /*  785646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785714 */     GIR_RootConstrainSelectedInstOperands,
     /*  785715 */     // GIR_Coverage, 19118,
     /*  785715 */     GIR_EraseRootFromParent_Done,
     /*  785716 */   // Label 12186: @785716
     /*  785716 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785791), // Rule ID 19119 //
     /*  785721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785767 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785789 */     GIR_RootConstrainSelectedInstOperands,
     /*  785790 */     // GIR_Coverage, 19119,
     /*  785790 */     GIR_EraseRootFromParent_Done,
     /*  785791 */   // Label 12187: @785791
     /*  785791 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785866), // Rule ID 19122 //
     /*  785796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785842 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785864 */     GIR_RootConstrainSelectedInstOperands,
     /*  785865 */     // GIR_Coverage, 19122,
     /*  785865 */     GIR_EraseRootFromParent_Done,
     /*  785866 */   // Label 12188: @785866
     /*  785866 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785941), // Rule ID 19123 //
     /*  785871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785917 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785939 */     GIR_RootConstrainSelectedInstOperands,
     /*  785940 */     // GIR_Coverage, 19123,
     /*  785940 */     GIR_EraseRootFromParent_Done,
     /*  785941 */   // Label 12189: @785941
     /*  785941 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(786016), // Rule ID 19126 //
     /*  785946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  785995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786014 */     GIR_RootConstrainSelectedInstOperands,
     /*  786015 */     // GIR_Coverage, 19126,
     /*  786015 */     GIR_EraseRootFromParent_Done,
     /*  786016 */   // Label 12190: @786016
     /*  786016 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(786091), // Rule ID 19127 //
     /*  786021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  786070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786089 */     GIR_RootConstrainSelectedInstOperands,
     /*  786090 */     // GIR_Coverage, 19127,
     /*  786090 */     GIR_EraseRootFromParent_Done,
     /*  786091 */   // Label 12191: @786091
     /*  786091 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(786166), // Rule ID 19130 //
     /*  786096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  786145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786164 */     GIR_RootConstrainSelectedInstOperands,
     /*  786165 */     // GIR_Coverage, 19130,
     /*  786165 */     GIR_EraseRootFromParent_Done,
     /*  786166 */   // Label 12192: @786166
     /*  786166 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(786241), // Rule ID 19131 //
     /*  786171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  786220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786239 */     GIR_RootConstrainSelectedInstOperands,
     /*  786240 */     // GIR_Coverage, 19131,
     /*  786240 */     GIR_EraseRootFromParent_Done,
     /*  786241 */   // Label 12193: @786241
     /*  786241 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(786316), // Rule ID 19134 //
     /*  786246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  786295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786314 */     GIR_RootConstrainSelectedInstOperands,
     /*  786315 */     // GIR_Coverage, 19134,
     /*  786315 */     GIR_EraseRootFromParent_Done,
     /*  786316 */   // Label 12194: @786316
     /*  786316 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(786391), // Rule ID 19135 //
     /*  786321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786367 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  786370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786389 */     GIR_RootConstrainSelectedInstOperands,
     /*  786390 */     // GIR_Coverage, 19135,
     /*  786390 */     GIR_EraseRootFromParent_Done,
     /*  786391 */   // Label 12195: @786391
     /*  786391 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786466), // Rule ID 19138 //
     /*  786396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786442 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786464 */     GIR_RootConstrainSelectedInstOperands,
     /*  786465 */     // GIR_Coverage, 19138,
     /*  786465 */     GIR_EraseRootFromParent_Done,
     /*  786466 */   // Label 12196: @786466
     /*  786466 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(786541), // Rule ID 19139 //
     /*  786471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786517 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786539 */     GIR_RootConstrainSelectedInstOperands,
     /*  786540 */     // GIR_Coverage, 19139,
     /*  786540 */     GIR_EraseRootFromParent_Done,
     /*  786541 */   // Label 12197: @786541
     /*  786541 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(786616), // Rule ID 19142 //
     /*  786546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786614 */     GIR_RootConstrainSelectedInstOperands,
     /*  786615 */     // GIR_Coverage, 19142,
     /*  786615 */     GIR_EraseRootFromParent_Done,
     /*  786616 */   // Label 12198: @786616
     /*  786616 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786691), // Rule ID 19143 //
     /*  786621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786667 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786689 */     GIR_RootConstrainSelectedInstOperands,
     /*  786690 */     // GIR_Coverage, 19143,
     /*  786690 */     GIR_EraseRootFromParent_Done,
     /*  786691 */   // Label 12199: @786691
     /*  786691 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786766), // Rule ID 19146 //
     /*  786696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786764 */     GIR_RootConstrainSelectedInstOperands,
     /*  786765 */     // GIR_Coverage, 19146,
     /*  786765 */     GIR_EraseRootFromParent_Done,
     /*  786766 */   // Label 12200: @786766
     /*  786766 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786841), // Rule ID 19147 //
     /*  786771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786839 */     GIR_RootConstrainSelectedInstOperands,
     /*  786840 */     // GIR_Coverage, 19147,
     /*  786840 */     GIR_EraseRootFromParent_Done,
     /*  786841 */   // Label 12201: @786841
     /*  786841 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786916), // Rule ID 19150 //
     /*  786846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786914 */     GIR_RootConstrainSelectedInstOperands,
     /*  786915 */     // GIR_Coverage, 19150,
     /*  786915 */     GIR_EraseRootFromParent_Done,
     /*  786916 */   // Label 12202: @786916
     /*  786916 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786991), // Rule ID 19151 //
     /*  786921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786967 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786989 */     GIR_RootConstrainSelectedInstOperands,
     /*  786990 */     // GIR_Coverage, 19151,
     /*  786990 */     GIR_EraseRootFromParent_Done,
     /*  786991 */   // Label 12203: @786991
     /*  786991 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(787066), // Rule ID 19154 //
     /*  786996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  787045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787064 */     GIR_RootConstrainSelectedInstOperands,
     /*  787065 */     // GIR_Coverage, 19154,
     /*  787065 */     GIR_EraseRootFromParent_Done,
     /*  787066 */   // Label 12204: @787066
     /*  787066 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(787141), // Rule ID 19155 //
     /*  787071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787117 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  787120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787139 */     GIR_RootConstrainSelectedInstOperands,
     /*  787140 */     // GIR_Coverage, 19155,
     /*  787140 */     GIR_EraseRootFromParent_Done,
     /*  787141 */   // Label 12205: @787141
     /*  787141 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(787216), // Rule ID 19158 //
     /*  787146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787192 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  787195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787214 */     GIR_RootConstrainSelectedInstOperands,
     /*  787215 */     // GIR_Coverage, 19158,
     /*  787215 */     GIR_EraseRootFromParent_Done,
     /*  787216 */   // Label 12206: @787216
     /*  787216 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(787291), // Rule ID 19159 //
     /*  787221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  787270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787289 */     GIR_RootConstrainSelectedInstOperands,
     /*  787290 */     // GIR_Coverage, 19159,
     /*  787290 */     GIR_EraseRootFromParent_Done,
     /*  787291 */   // Label 12207: @787291
     /*  787291 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(787366), // Rule ID 19162 //
     /*  787296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787342 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  787345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787364 */     GIR_RootConstrainSelectedInstOperands,
     /*  787365 */     // GIR_Coverage, 19162,
     /*  787365 */     GIR_EraseRootFromParent_Done,
     /*  787366 */   // Label 12208: @787366
     /*  787366 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787441), // Rule ID 19163 //
     /*  787371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  787420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787439 */     GIR_RootConstrainSelectedInstOperands,
     /*  787440 */     // GIR_Coverage, 19163,
     /*  787440 */     GIR_EraseRootFromParent_Done,
     /*  787441 */   // Label 12209: @787441
     /*  787441 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787516), // Rule ID 19166 //
     /*  787446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787514 */     GIR_RootConstrainSelectedInstOperands,
     /*  787515 */     // GIR_Coverage, 19166,
     /*  787515 */     GIR_EraseRootFromParent_Done,
     /*  787516 */   // Label 12210: @787516
     /*  787516 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(787591), // Rule ID 19167 //
     /*  787521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787567 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787589 */     GIR_RootConstrainSelectedInstOperands,
     /*  787590 */     // GIR_Coverage, 19167,
     /*  787590 */     GIR_EraseRootFromParent_Done,
     /*  787591 */   // Label 12211: @787591
     /*  787591 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787666), // Rule ID 19170 //
     /*  787596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787664 */     GIR_RootConstrainSelectedInstOperands,
     /*  787665 */     // GIR_Coverage, 19170,
     /*  787665 */     GIR_EraseRootFromParent_Done,
     /*  787666 */   // Label 12212: @787666
     /*  787666 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787741), // Rule ID 19171 //
     /*  787671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787717 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787739 */     GIR_RootConstrainSelectedInstOperands,
     /*  787740 */     // GIR_Coverage, 19171,
     /*  787740 */     GIR_EraseRootFromParent_Done,
     /*  787741 */   // Label 12213: @787741
     /*  787741 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787816), // Rule ID 19174 //
     /*  787746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787792 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787814 */     GIR_RootConstrainSelectedInstOperands,
     /*  787815 */     // GIR_Coverage, 19174,
     /*  787815 */     GIR_EraseRootFromParent_Done,
     /*  787816 */   // Label 12214: @787816
     /*  787816 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787891), // Rule ID 19175 //
     /*  787821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787867 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787889 */     GIR_RootConstrainSelectedInstOperands,
     /*  787890 */     // GIR_Coverage, 19175,
     /*  787890 */     GIR_EraseRootFromParent_Done,
     /*  787891 */   // Label 12215: @787891
     /*  787891 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787966), // Rule ID 19178 //
     /*  787896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787942 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  787945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787964 */     GIR_RootConstrainSelectedInstOperands,
     /*  787965 */     // GIR_Coverage, 19178,
     /*  787965 */     GIR_EraseRootFromParent_Done,
     /*  787966 */   // Label 12216: @787966
     /*  787966 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(788041), // Rule ID 19179 //
     /*  787971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788017 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  788020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788039 */     GIR_RootConstrainSelectedInstOperands,
     /*  788040 */     // GIR_Coverage, 19179,
     /*  788040 */     GIR_EraseRootFromParent_Done,
     /*  788041 */   // Label 12217: @788041
     /*  788041 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(788116), // Rule ID 19182 //
     /*  788046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  788095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788114 */     GIR_RootConstrainSelectedInstOperands,
     /*  788115 */     // GIR_Coverage, 19182,
     /*  788115 */     GIR_EraseRootFromParent_Done,
     /*  788116 */   // Label 12218: @788116
     /*  788116 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(788191), // Rule ID 19183 //
     /*  788121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788167 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  788170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788189 */     GIR_RootConstrainSelectedInstOperands,
     /*  788190 */     // GIR_Coverage, 19183,
     /*  788190 */     GIR_EraseRootFromParent_Done,
     /*  788191 */   // Label 12219: @788191
     /*  788191 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(788266), // Rule ID 19186 //
     /*  788196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788242 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  788245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788264 */     GIR_RootConstrainSelectedInstOperands,
     /*  788265 */     // GIR_Coverage, 19186,
     /*  788265 */     GIR_EraseRootFromParent_Done,
     /*  788266 */   // Label 12220: @788266
     /*  788266 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(788341), // Rule ID 19187 //
     /*  788271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788317 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  788320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788339 */     GIR_RootConstrainSelectedInstOperands,
     /*  788340 */     // GIR_Coverage, 19187,
     /*  788340 */     GIR_EraseRootFromParent_Done,
     /*  788341 */   // Label 12221: @788341
     /*  788341 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788416), // Rule ID 19190 //
     /*  788346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788392 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  788395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788414 */     GIR_RootConstrainSelectedInstOperands,
     /*  788415 */     // GIR_Coverage, 19190,
     /*  788415 */     GIR_EraseRootFromParent_Done,
     /*  788416 */   // Label 12222: @788416
     /*  788416 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788491), // Rule ID 19191 //
     /*  788421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  788470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788489 */     GIR_RootConstrainSelectedInstOperands,
     /*  788490 */     // GIR_Coverage, 19191,
     /*  788490 */     GIR_EraseRootFromParent_Done,
     /*  788491 */   // Label 12223: @788491
     /*  788491 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(788566), // Rule ID 19194 //
     /*  788496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788564 */     GIR_RootConstrainSelectedInstOperands,
     /*  788565 */     // GIR_Coverage, 19194,
     /*  788565 */     GIR_EraseRootFromParent_Done,
     /*  788566 */   // Label 12224: @788566
     /*  788566 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788641), // Rule ID 19195 //
     /*  788571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788639 */     GIR_RootConstrainSelectedInstOperands,
     /*  788640 */     // GIR_Coverage, 19195,
     /*  788640 */     GIR_EraseRootFromParent_Done,
     /*  788641 */   // Label 12225: @788641
     /*  788641 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788716), // Rule ID 19198 //
     /*  788646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788692 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788714 */     GIR_RootConstrainSelectedInstOperands,
     /*  788715 */     // GIR_Coverage, 19198,
     /*  788715 */     GIR_EraseRootFromParent_Done,
     /*  788716 */   // Label 12226: @788716
     /*  788716 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788791), // Rule ID 19199 //
     /*  788721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788767 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788789 */     GIR_RootConstrainSelectedInstOperands,
     /*  788790 */     // GIR_Coverage, 19199,
     /*  788790 */     GIR_EraseRootFromParent_Done,
     /*  788791 */   // Label 12227: @788791
     /*  788791 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788866), // Rule ID 19202 //
     /*  788796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788842 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788864 */     GIR_RootConstrainSelectedInstOperands,
     /*  788865 */     // GIR_Coverage, 19202,
     /*  788865 */     GIR_EraseRootFromParent_Done,
     /*  788866 */   // Label 12228: @788866
     /*  788866 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788941), // Rule ID 19203 //
     /*  788871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788917 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788939 */     GIR_RootConstrainSelectedInstOperands,
     /*  788940 */     // GIR_Coverage, 19203,
     /*  788940 */     GIR_EraseRootFromParent_Done,
     /*  788941 */   // Label 12229: @788941
     /*  788941 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(789016), // Rule ID 19206 //
     /*  788946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788992 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  788995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789014 */     GIR_RootConstrainSelectedInstOperands,
     /*  789015 */     // GIR_Coverage, 19206,
     /*  789015 */     GIR_EraseRootFromParent_Done,
     /*  789016 */   // Label 12230: @789016
     /*  789016 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(789091), // Rule ID 19207 //
     /*  789021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  789041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789067 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  789070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789089 */     GIR_RootConstrainSelectedInstOperands,
     /*  789090 */     // GIR_Coverage, 19207,
     /*  789090 */     GIR_EraseRootFromParent_Done,
     /*  789091 */   // Label 12231: @789091
     /*  789091 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(789166), // Rule ID 19210 //
     /*  789096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789142 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  789145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789164 */     GIR_RootConstrainSelectedInstOperands,
     /*  789165 */     // GIR_Coverage, 19210,
     /*  789165 */     GIR_EraseRootFromParent_Done,
     /*  789166 */   // Label 12232: @789166
     /*  789166 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(789241), // Rule ID 19211 //
     /*  789171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789217 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  789220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789239 */     GIR_RootConstrainSelectedInstOperands,
     /*  789240 */     // GIR_Coverage, 19211,
     /*  789240 */     GIR_EraseRootFromParent_Done,
     /*  789241 */   // Label 12233: @789241
     /*  789241 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(789316), // Rule ID 19214 //
     /*  789246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  789295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789314 */     GIR_RootConstrainSelectedInstOperands,
     /*  789315 */     // GIR_Coverage, 19214,
     /*  789315 */     GIR_EraseRootFromParent_Done,
     /*  789316 */   // Label 12234: @789316
     /*  789316 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789391), // Rule ID 19215 //
     /*  789321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789367 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  789370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789389 */     GIR_RootConstrainSelectedInstOperands,
     /*  789390 */     // GIR_Coverage, 19215,
     /*  789390 */     GIR_EraseRootFromParent_Done,
     /*  789391 */   // Label 12235: @789391
     /*  789391 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789466), // Rule ID 19218 //
     /*  789396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789464 */     GIR_RootConstrainSelectedInstOperands,
     /*  789465 */     // GIR_Coverage, 19218,
     /*  789465 */     GIR_EraseRootFromParent_Done,
     /*  789466 */   // Label 12236: @789466
     /*  789466 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(789541), // Rule ID 19219 //
     /*  789471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789517 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789539 */     GIR_RootConstrainSelectedInstOperands,
     /*  789540 */     // GIR_Coverage, 19219,
     /*  789540 */     GIR_EraseRootFromParent_Done,
     /*  789541 */   // Label 12237: @789541
     /*  789541 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(789616), // Rule ID 19222 //
     /*  789546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789592 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789614 */     GIR_RootConstrainSelectedInstOperands,
     /*  789615 */     // GIR_Coverage, 19222,
     /*  789615 */     GIR_EraseRootFromParent_Done,
     /*  789616 */   // Label 12238: @789616
     /*  789616 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789691), // Rule ID 19223 //
     /*  789621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789667 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789689 */     GIR_RootConstrainSelectedInstOperands,
     /*  789690 */     // GIR_Coverage, 19223,
     /*  789690 */     GIR_EraseRootFromParent_Done,
     /*  789691 */   // Label 12239: @789691
     /*  789691 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789766), // Rule ID 19226 //
     /*  789696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789742 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789764 */     GIR_RootConstrainSelectedInstOperands,
     /*  789765 */     // GIR_Coverage, 19226,
     /*  789765 */     GIR_EraseRootFromParent_Done,
     /*  789766 */   // Label 12240: @789766
     /*  789766 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789841), // Rule ID 19227 //
     /*  789771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789817 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789839 */     GIR_RootConstrainSelectedInstOperands,
     /*  789840 */     // GIR_Coverage, 19227,
     /*  789840 */     GIR_EraseRootFromParent_Done,
     /*  789841 */   // Label 12241: @789841
     /*  789841 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789916), // Rule ID 19230 //
     /*  789846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789914 */     GIR_RootConstrainSelectedInstOperands,
     /*  789915 */     // GIR_Coverage, 19230,
     /*  789915 */     GIR_EraseRootFromParent_Done,
     /*  789916 */   // Label 12242: @789916
     /*  789916 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789991), // Rule ID 19231 //
     /*  789921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789967 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789989 */     GIR_RootConstrainSelectedInstOperands,
     /*  789990 */     // GIR_Coverage, 19231,
     /*  789990 */     GIR_EraseRootFromParent_Done,
     /*  789991 */   // Label 12243: @789991
     /*  789991 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(790066), // Rule ID 19234 //
     /*  789996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790042 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  790045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790064 */     GIR_RootConstrainSelectedInstOperands,
     /*  790065 */     // GIR_Coverage, 19234,
     /*  790065 */     GIR_EraseRootFromParent_Done,
     /*  790066 */   // Label 12244: @790066
     /*  790066 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(790141), // Rule ID 19235 //
     /*  790071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790117 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  790120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790139 */     GIR_RootConstrainSelectedInstOperands,
     /*  790140 */     // GIR_Coverage, 19235,
     /*  790140 */     GIR_EraseRootFromParent_Done,
     /*  790141 */   // Label 12245: @790141
     /*  790141 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(790216), // Rule ID 19238 //
     /*  790146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790192 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  790195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790214 */     GIR_RootConstrainSelectedInstOperands,
     /*  790215 */     // GIR_Coverage, 19238,
     /*  790215 */     GIR_EraseRootFromParent_Done,
     /*  790216 */   // Label 12246: @790216
     /*  790216 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(790291), // Rule ID 19239 //
     /*  790221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790267 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  790270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790289 */     GIR_RootConstrainSelectedInstOperands,
     /*  790290 */     // GIR_Coverage, 19239,
     /*  790290 */     GIR_EraseRootFromParent_Done,
     /*  790291 */   // Label 12247: @790291
     /*  790291 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790366), // Rule ID 19242 //
     /*  790296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790342 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  790345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790364 */     GIR_RootConstrainSelectedInstOperands,
     /*  790365 */     // GIR_Coverage, 19242,
     /*  790365 */     GIR_EraseRootFromParent_Done,
     /*  790366 */   // Label 12248: @790366
     /*  790366 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790441), // Rule ID 19243 //
     /*  790371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790417 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  790420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790439 */     GIR_RootConstrainSelectedInstOperands,
     /*  790440 */     // GIR_Coverage, 19243,
     /*  790440 */     GIR_EraseRootFromParent_Done,
     /*  790441 */   // Label 12249: @790441
     /*  790441 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790516), // Rule ID 19246 //
     /*  790446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790492 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790514 */     GIR_RootConstrainSelectedInstOperands,
     /*  790515 */     // GIR_Coverage, 19246,
     /*  790515 */     GIR_EraseRootFromParent_Done,
     /*  790516 */   // Label 12250: @790516
     /*  790516 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(790591), // Rule ID 19247 //
     /*  790521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790567 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790589 */     GIR_RootConstrainSelectedInstOperands,
     /*  790590 */     // GIR_Coverage, 19247,
     /*  790590 */     GIR_EraseRootFromParent_Done,
     /*  790591 */   // Label 12251: @790591
     /*  790591 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790666), // Rule ID 19250 //
     /*  790596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790642 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790664 */     GIR_RootConstrainSelectedInstOperands,
     /*  790665 */     // GIR_Coverage, 19250,
     /*  790665 */     GIR_EraseRootFromParent_Done,
     /*  790666 */   // Label 12252: @790666
     /*  790666 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790741), // Rule ID 19251 //
     /*  790671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790717 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790739 */     GIR_RootConstrainSelectedInstOperands,
     /*  790740 */     // GIR_Coverage, 19251,
     /*  790740 */     GIR_EraseRootFromParent_Done,
     /*  790741 */   // Label 12253: @790741
     /*  790741 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790816), // Rule ID 19254 //
     /*  790746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790814 */     GIR_RootConstrainSelectedInstOperands,
     /*  790815 */     // GIR_Coverage, 19254,
     /*  790815 */     GIR_EraseRootFromParent_Done,
     /*  790816 */   // Label 12254: @790816
     /*  790816 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790891), // Rule ID 19255 //
     /*  790821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790867 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790889 */     GIR_RootConstrainSelectedInstOperands,
     /*  790890 */     // GIR_Coverage, 19255,
     /*  790890 */     GIR_EraseRootFromParent_Done,
     /*  790891 */   // Label 12255: @790891
     /*  790891 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790966), // Rule ID 19258 //
     /*  790896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790942 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  790945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790964 */     GIR_RootConstrainSelectedInstOperands,
     /*  790965 */     // GIR_Coverage, 19258,
     /*  790965 */     GIR_EraseRootFromParent_Done,
     /*  790966 */   // Label 12256: @790966
     /*  790966 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(791041), // Rule ID 19259 //
     /*  790971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791017 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  791020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791039 */     GIR_RootConstrainSelectedInstOperands,
     /*  791040 */     // GIR_Coverage, 19259,
     /*  791040 */     GIR_EraseRootFromParent_Done,
     /*  791041 */   // Label 12257: @791041
     /*  791041 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(791116), // Rule ID 19262 //
     /*  791046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791092 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  791095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791114 */     GIR_RootConstrainSelectedInstOperands,
     /*  791115 */     // GIR_Coverage, 19262,
     /*  791115 */     GIR_EraseRootFromParent_Done,
     /*  791116 */   // Label 12258: @791116
     /*  791116 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(791191), // Rule ID 19263 //
     /*  791121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791167 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  791170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791189 */     GIR_RootConstrainSelectedInstOperands,
     /*  791190 */     // GIR_Coverage, 19263,
     /*  791190 */     GIR_EraseRootFromParent_Done,
     /*  791191 */   // Label 12259: @791191
     /*  791191 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(791266), // Rule ID 19266 //
     /*  791196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791242 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  791245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791264 */     GIR_RootConstrainSelectedInstOperands,
     /*  791265 */     // GIR_Coverage, 19266,
     /*  791265 */     GIR_EraseRootFromParent_Done,
     /*  791266 */   // Label 12260: @791266
     /*  791266 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(791341), // Rule ID 19267 //
     /*  791271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791317 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  791320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791339 */     GIR_RootConstrainSelectedInstOperands,
     /*  791340 */     // GIR_Coverage, 19267,
     /*  791340 */     GIR_EraseRootFromParent_Done,
     /*  791341 */   // Label 12261: @791341
     /*  791341 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791416), // Rule ID 19270 //
     /*  791346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791392 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  791395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791414 */     GIR_RootConstrainSelectedInstOperands,
     /*  791415 */     // GIR_Coverage, 19270,
     /*  791415 */     GIR_EraseRootFromParent_Done,
     /*  791416 */   // Label 12262: @791416
     /*  791416 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791491), // Rule ID 19271 //
     /*  791421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  791470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791489 */     GIR_RootConstrainSelectedInstOperands,
     /*  791490 */     // GIR_Coverage, 19271,
     /*  791490 */     GIR_EraseRootFromParent_Done,
     /*  791491 */   // Label 12263: @791491
     /*  791491 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(791566), // Rule ID 19274 //
     /*  791496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791564 */     GIR_RootConstrainSelectedInstOperands,
     /*  791565 */     // GIR_Coverage, 19274,
     /*  791565 */     GIR_EraseRootFromParent_Done,
     /*  791566 */   // Label 12264: @791566
     /*  791566 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791641), // Rule ID 19275 //
     /*  791571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791617 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791639 */     GIR_RootConstrainSelectedInstOperands,
     /*  791640 */     // GIR_Coverage, 19275,
     /*  791640 */     GIR_EraseRootFromParent_Done,
     /*  791641 */   // Label 12265: @791641
     /*  791641 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791716), // Rule ID 19278 //
     /*  791646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791714 */     GIR_RootConstrainSelectedInstOperands,
     /*  791715 */     // GIR_Coverage, 19278,
     /*  791715 */     GIR_EraseRootFromParent_Done,
     /*  791716 */   // Label 12266: @791716
     /*  791716 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791791), // Rule ID 19279 //
     /*  791721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791767 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791789 */     GIR_RootConstrainSelectedInstOperands,
     /*  791790 */     // GIR_Coverage, 19279,
     /*  791790 */     GIR_EraseRootFromParent_Done,
     /*  791791 */   // Label 12267: @791791
     /*  791791 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791866), // Rule ID 19282 //
     /*  791796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791842 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791864 */     GIR_RootConstrainSelectedInstOperands,
     /*  791865 */     // GIR_Coverage, 19282,
     /*  791865 */     GIR_EraseRootFromParent_Done,
     /*  791866 */   // Label 12268: @791866
     /*  791866 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791941), // Rule ID 19283 //
     /*  791871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791917 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791939 */     GIR_RootConstrainSelectedInstOperands,
     /*  791940 */     // GIR_Coverage, 19283,
     /*  791940 */     GIR_EraseRootFromParent_Done,
     /*  791941 */   // Label 12269: @791941
     /*  791941 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(792016), // Rule ID 19286 //
     /*  791946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791992 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  791995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792014 */     GIR_RootConstrainSelectedInstOperands,
     /*  792015 */     // GIR_Coverage, 19286,
     /*  792015 */     GIR_EraseRootFromParent_Done,
     /*  792016 */   // Label 12270: @792016
     /*  792016 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(792091), // Rule ID 19287 //
     /*  792021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792067 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  792070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792089 */     GIR_RootConstrainSelectedInstOperands,
     /*  792090 */     // GIR_Coverage, 19287,
     /*  792090 */     GIR_EraseRootFromParent_Done,
     /*  792091 */   // Label 12271: @792091
     /*  792091 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(792166), // Rule ID 19290 //
     /*  792096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792142 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  792145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792164 */     GIR_RootConstrainSelectedInstOperands,
     /*  792165 */     // GIR_Coverage, 19290,
     /*  792165 */     GIR_EraseRootFromParent_Done,
     /*  792166 */   // Label 12272: @792166
     /*  792166 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(792241), // Rule ID 19291 //
     /*  792171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  792220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792239 */     GIR_RootConstrainSelectedInstOperands,
     /*  792240 */     // GIR_Coverage, 19291,
     /*  792240 */     GIR_EraseRootFromParent_Done,
     /*  792241 */   // Label 12273: @792241
     /*  792241 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(792316), // Rule ID 19294 //
     /*  792246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  792295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792314 */     GIR_RootConstrainSelectedInstOperands,
     /*  792315 */     // GIR_Coverage, 19294,
     /*  792315 */     GIR_EraseRootFromParent_Done,
     /*  792316 */   // Label 12274: @792316
     /*  792316 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792391), // Rule ID 19295 //
     /*  792321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792367 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  792370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792389 */     GIR_RootConstrainSelectedInstOperands,
     /*  792390 */     // GIR_Coverage, 19295,
     /*  792390 */     GIR_EraseRootFromParent_Done,
     /*  792391 */   // Label 12275: @792391
     /*  792391 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792466), // Rule ID 19298 //
     /*  792396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792442 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792464 */     GIR_RootConstrainSelectedInstOperands,
     /*  792465 */     // GIR_Coverage, 19298,
     /*  792465 */     GIR_EraseRootFromParent_Done,
     /*  792466 */   // Label 12276: @792466
     /*  792466 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(792541), // Rule ID 19299 //
     /*  792471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792517 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792539 */     GIR_RootConstrainSelectedInstOperands,
     /*  792540 */     // GIR_Coverage, 19299,
     /*  792540 */     GIR_EraseRootFromParent_Done,
     /*  792541 */   // Label 12277: @792541
     /*  792541 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(792616), // Rule ID 19302 //
     /*  792546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792614 */     GIR_RootConstrainSelectedInstOperands,
     /*  792615 */     // GIR_Coverage, 19302,
     /*  792615 */     GIR_EraseRootFromParent_Done,
     /*  792616 */   // Label 12278: @792616
     /*  792616 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792691), // Rule ID 19303 //
     /*  792621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792667 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792689 */     GIR_RootConstrainSelectedInstOperands,
     /*  792690 */     // GIR_Coverage, 19303,
     /*  792690 */     GIR_EraseRootFromParent_Done,
     /*  792691 */   // Label 12279: @792691
     /*  792691 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792766), // Rule ID 19306 //
     /*  792696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792764 */     GIR_RootConstrainSelectedInstOperands,
     /*  792765 */     // GIR_Coverage, 19306,
     /*  792765 */     GIR_EraseRootFromParent_Done,
     /*  792766 */   // Label 12280: @792766
     /*  792766 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792841), // Rule ID 19307 //
     /*  792771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792839 */     GIR_RootConstrainSelectedInstOperands,
     /*  792840 */     // GIR_Coverage, 19307,
     /*  792840 */     GIR_EraseRootFromParent_Done,
     /*  792841 */   // Label 12281: @792841
     /*  792841 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792916), // Rule ID 19310 //
     /*  792846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792914 */     GIR_RootConstrainSelectedInstOperands,
     /*  792915 */     // GIR_Coverage, 19310,
     /*  792915 */     GIR_EraseRootFromParent_Done,
     /*  792916 */   // Label 12282: @792916
     /*  792916 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792991), // Rule ID 19311 //
     /*  792921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792989 */     GIR_RootConstrainSelectedInstOperands,
     /*  792990 */     // GIR_Coverage, 19311,
     /*  792990 */     GIR_EraseRootFromParent_Done,
     /*  792991 */   // Label 12283: @792991
     /*  792991 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(793066), // Rule ID 19314 //
     /*  792996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  793045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793064 */     GIR_RootConstrainSelectedInstOperands,
     /*  793065 */     // GIR_Coverage, 19314,
     /*  793065 */     GIR_EraseRootFromParent_Done,
     /*  793066 */   // Label 12284: @793066
     /*  793066 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(793141), // Rule ID 19315 //
     /*  793071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  793120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793139 */     GIR_RootConstrainSelectedInstOperands,
     /*  793140 */     // GIR_Coverage, 19315,
     /*  793140 */     GIR_EraseRootFromParent_Done,
     /*  793141 */   // Label 12285: @793141
     /*  793141 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(793216), // Rule ID 19318 //
     /*  793146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  793195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793214 */     GIR_RootConstrainSelectedInstOperands,
     /*  793215 */     // GIR_Coverage, 19318,
     /*  793215 */     GIR_EraseRootFromParent_Done,
     /*  793216 */   // Label 12286: @793216
     /*  793216 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(793291), // Rule ID 19319 //
     /*  793221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793267 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  793270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793289 */     GIR_RootConstrainSelectedInstOperands,
     /*  793290 */     // GIR_Coverage, 19319,
     /*  793290 */     GIR_EraseRootFromParent_Done,
     /*  793291 */   // Label 12287: @793291
     /*  793291 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793366), // Rule ID 19322 //
     /*  793296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793342 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  793345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793364 */     GIR_RootConstrainSelectedInstOperands,
     /*  793365 */     // GIR_Coverage, 19322,
     /*  793365 */     GIR_EraseRootFromParent_Done,
     /*  793366 */   // Label 12288: @793366
     /*  793366 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793441), // Rule ID 19323 //
     /*  793371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793417 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  793420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793439 */     GIR_RootConstrainSelectedInstOperands,
     /*  793440 */     // GIR_Coverage, 19323,
     /*  793440 */     GIR_EraseRootFromParent_Done,
     /*  793441 */   // Label 12289: @793441
     /*  793441 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793516), // Rule ID 19326 //
     /*  793446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793492 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793514 */     GIR_RootConstrainSelectedInstOperands,
     /*  793515 */     // GIR_Coverage, 19326,
     /*  793515 */     GIR_EraseRootFromParent_Done,
     /*  793516 */   // Label 12290: @793516
     /*  793516 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(793591), // Rule ID 19327 //
     /*  793521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793567 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793589 */     GIR_RootConstrainSelectedInstOperands,
     /*  793590 */     // GIR_Coverage, 19327,
     /*  793590 */     GIR_EraseRootFromParent_Done,
     /*  793591 */   // Label 12291: @793591
     /*  793591 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793666), // Rule ID 19330 //
     /*  793596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793642 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793664 */     GIR_RootConstrainSelectedInstOperands,
     /*  793665 */     // GIR_Coverage, 19330,
     /*  793665 */     GIR_EraseRootFromParent_Done,
     /*  793666 */   // Label 12292: @793666
     /*  793666 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793741), // Rule ID 19331 //
     /*  793671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793739 */     GIR_RootConstrainSelectedInstOperands,
     /*  793740 */     // GIR_Coverage, 19331,
     /*  793740 */     GIR_EraseRootFromParent_Done,
     /*  793741 */   // Label 12293: @793741
     /*  793741 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793816), // Rule ID 19334 //
     /*  793746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793792 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793814 */     GIR_RootConstrainSelectedInstOperands,
     /*  793815 */     // GIR_Coverage, 19334,
     /*  793815 */     GIR_EraseRootFromParent_Done,
     /*  793816 */   // Label 12294: @793816
     /*  793816 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793891), // Rule ID 19335 //
     /*  793821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793889 */     GIR_RootConstrainSelectedInstOperands,
     /*  793890 */     // GIR_Coverage, 19335,
     /*  793890 */     GIR_EraseRootFromParent_Done,
     /*  793891 */   // Label 12295: @793891
     /*  793891 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793966), // Rule ID 19338 //
     /*  793896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  793945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793964 */     GIR_RootConstrainSelectedInstOperands,
     /*  793965 */     // GIR_Coverage, 19338,
     /*  793965 */     GIR_EraseRootFromParent_Done,
     /*  793966 */   // Label 12296: @793966
     /*  793966 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(794041), // Rule ID 19339 //
     /*  793971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794017 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  794020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794039 */     GIR_RootConstrainSelectedInstOperands,
     /*  794040 */     // GIR_Coverage, 19339,
     /*  794040 */     GIR_EraseRootFromParent_Done,
     /*  794041 */   // Label 12297: @794041
     /*  794041 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(794116), // Rule ID 19342 //
     /*  794046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  794095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794114 */     GIR_RootConstrainSelectedInstOperands,
     /*  794115 */     // GIR_Coverage, 19342,
     /*  794115 */     GIR_EraseRootFromParent_Done,
     /*  794116 */   // Label 12298: @794116
     /*  794116 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(794191), // Rule ID 19343 //
     /*  794121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794167 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  794170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794189 */     GIR_RootConstrainSelectedInstOperands,
     /*  794190 */     // GIR_Coverage, 19343,
     /*  794190 */     GIR_EraseRootFromParent_Done,
     /*  794191 */   // Label 12299: @794191
     /*  794191 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(794266), // Rule ID 19346 //
     /*  794196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  794245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794264 */     GIR_RootConstrainSelectedInstOperands,
     /*  794265 */     // GIR_Coverage, 19346,
     /*  794265 */     GIR_EraseRootFromParent_Done,
     /*  794266 */   // Label 12300: @794266
     /*  794266 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(794341), // Rule ID 19347 //
     /*  794271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794317 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  794320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794339 */     GIR_RootConstrainSelectedInstOperands,
     /*  794340 */     // GIR_Coverage, 19347,
     /*  794340 */     GIR_EraseRootFromParent_Done,
     /*  794341 */   // Label 12301: @794341
     /*  794341 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794416), // Rule ID 19350 //
     /*  794346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794392 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  794395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794414 */     GIR_RootConstrainSelectedInstOperands,
     /*  794415 */     // GIR_Coverage, 19350,
     /*  794415 */     GIR_EraseRootFromParent_Done,
     /*  794416 */   // Label 12302: @794416
     /*  794416 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794491), // Rule ID 19351 //
     /*  794421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  794470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794489 */     GIR_RootConstrainSelectedInstOperands,
     /*  794490 */     // GIR_Coverage, 19351,
     /*  794490 */     GIR_EraseRootFromParent_Done,
     /*  794491 */   // Label 12303: @794491
     /*  794491 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(794566), // Rule ID 19354 //
     /*  794496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794542 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794564 */     GIR_RootConstrainSelectedInstOperands,
     /*  794565 */     // GIR_Coverage, 19354,
     /*  794565 */     GIR_EraseRootFromParent_Done,
     /*  794566 */   // Label 12304: @794566
     /*  794566 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794641), // Rule ID 19355 //
     /*  794571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794639 */     GIR_RootConstrainSelectedInstOperands,
     /*  794640 */     // GIR_Coverage, 19355,
     /*  794640 */     GIR_EraseRootFromParent_Done,
     /*  794641 */   // Label 12305: @794641
     /*  794641 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794716), // Rule ID 19358 //
     /*  794646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794714 */     GIR_RootConstrainSelectedInstOperands,
     /*  794715 */     // GIR_Coverage, 19358,
     /*  794715 */     GIR_EraseRootFromParent_Done,
     /*  794716 */   // Label 12306: @794716
     /*  794716 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794791), // Rule ID 19359 //
     /*  794721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794767 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794789 */     GIR_RootConstrainSelectedInstOperands,
     /*  794790 */     // GIR_Coverage, 19359,
     /*  794790 */     GIR_EraseRootFromParent_Done,
     /*  794791 */   // Label 12307: @794791
     /*  794791 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794866), // Rule ID 19362 //
     /*  794796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794842 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794864 */     GIR_RootConstrainSelectedInstOperands,
     /*  794865 */     // GIR_Coverage, 19362,
     /*  794865 */     GIR_EraseRootFromParent_Done,
     /*  794866 */   // Label 12308: @794866
     /*  794866 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794941), // Rule ID 19363 //
     /*  794871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794917 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794939 */     GIR_RootConstrainSelectedInstOperands,
     /*  794940 */     // GIR_Coverage, 19363,
     /*  794940 */     GIR_EraseRootFromParent_Done,
     /*  794941 */   // Label 12309: @794941
     /*  794941 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(795016), // Rule ID 19366 //
     /*  794946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  794995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795014 */     GIR_RootConstrainSelectedInstOperands,
     /*  795015 */     // GIR_Coverage, 19366,
     /*  795015 */     GIR_EraseRootFromParent_Done,
     /*  795016 */   // Label 12310: @795016
     /*  795016 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(795091), // Rule ID 19367 //
     /*  795021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  795070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795089 */     GIR_RootConstrainSelectedInstOperands,
     /*  795090 */     // GIR_Coverage, 19367,
     /*  795090 */     GIR_EraseRootFromParent_Done,
     /*  795091 */   // Label 12311: @795091
     /*  795091 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(795166), // Rule ID 19370 //
     /*  795096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  795145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795164 */     GIR_RootConstrainSelectedInstOperands,
     /*  795165 */     // GIR_Coverage, 19370,
     /*  795165 */     GIR_EraseRootFromParent_Done,
     /*  795166 */   // Label 12312: @795166
     /*  795166 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(795241), // Rule ID 19371 //
     /*  795171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  795220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795239 */     GIR_RootConstrainSelectedInstOperands,
     /*  795240 */     // GIR_Coverage, 19371,
     /*  795240 */     GIR_EraseRootFromParent_Done,
     /*  795241 */   // Label 12313: @795241
     /*  795241 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(795316), // Rule ID 19374 //
     /*  795246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  795295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795314 */     GIR_RootConstrainSelectedInstOperands,
     /*  795315 */     // GIR_Coverage, 19374,
     /*  795315 */     GIR_EraseRootFromParent_Done,
     /*  795316 */   // Label 12314: @795316
     /*  795316 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795391), // Rule ID 19375 //
     /*  795321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795367 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  795370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795389 */     GIR_RootConstrainSelectedInstOperands,
     /*  795390 */     // GIR_Coverage, 19375,
     /*  795390 */     GIR_EraseRootFromParent_Done,
     /*  795391 */   // Label 12315: @795391
     /*  795391 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795466), // Rule ID 19378 //
     /*  795396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795442 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795464 */     GIR_RootConstrainSelectedInstOperands,
     /*  795465 */     // GIR_Coverage, 19378,
     /*  795465 */     GIR_EraseRootFromParent_Done,
     /*  795466 */   // Label 12316: @795466
     /*  795466 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(795541), // Rule ID 19379 //
     /*  795471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795517 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795539 */     GIR_RootConstrainSelectedInstOperands,
     /*  795540 */     // GIR_Coverage, 19379,
     /*  795540 */     GIR_EraseRootFromParent_Done,
     /*  795541 */   // Label 12317: @795541
     /*  795541 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(795616), // Rule ID 19382 //
     /*  795546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795614 */     GIR_RootConstrainSelectedInstOperands,
     /*  795615 */     // GIR_Coverage, 19382,
     /*  795615 */     GIR_EraseRootFromParent_Done,
     /*  795616 */   // Label 12318: @795616
     /*  795616 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795691), // Rule ID 19383 //
     /*  795621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795667 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795689 */     GIR_RootConstrainSelectedInstOperands,
     /*  795690 */     // GIR_Coverage, 19383,
     /*  795690 */     GIR_EraseRootFromParent_Done,
     /*  795691 */   // Label 12319: @795691
     /*  795691 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795766), // Rule ID 19386 //
     /*  795696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795764 */     GIR_RootConstrainSelectedInstOperands,
     /*  795765 */     // GIR_Coverage, 19386,
     /*  795765 */     GIR_EraseRootFromParent_Done,
     /*  795766 */   // Label 12320: @795766
     /*  795766 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795841), // Rule ID 19387 //
     /*  795771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795839 */     GIR_RootConstrainSelectedInstOperands,
     /*  795840 */     // GIR_Coverage, 19387,
     /*  795840 */     GIR_EraseRootFromParent_Done,
     /*  795841 */   // Label 12321: @795841
     /*  795841 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795916), // Rule ID 19390 //
     /*  795846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795914 */     GIR_RootConstrainSelectedInstOperands,
     /*  795915 */     // GIR_Coverage, 19390,
     /*  795915 */     GIR_EraseRootFromParent_Done,
     /*  795916 */   // Label 12322: @795916
     /*  795916 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795991), // Rule ID 19391 //
     /*  795921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795967 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795989 */     GIR_RootConstrainSelectedInstOperands,
     /*  795990 */     // GIR_Coverage, 19391,
     /*  795990 */     GIR_EraseRootFromParent_Done,
     /*  795991 */   // Label 12323: @795991
     /*  795991 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(796066), // Rule ID 19394 //
     /*  795996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  796045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796064 */     GIR_RootConstrainSelectedInstOperands,
     /*  796065 */     // GIR_Coverage, 19394,
     /*  796065 */     GIR_EraseRootFromParent_Done,
     /*  796066 */   // Label 12324: @796066
     /*  796066 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(796141), // Rule ID 19395 //
     /*  796071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796117 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  796120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796139 */     GIR_RootConstrainSelectedInstOperands,
     /*  796140 */     // GIR_Coverage, 19395,
     /*  796140 */     GIR_EraseRootFromParent_Done,
     /*  796141 */   // Label 12325: @796141
     /*  796141 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(796216), // Rule ID 19398 //
     /*  796146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796192 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  796195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796214 */     GIR_RootConstrainSelectedInstOperands,
     /*  796215 */     // GIR_Coverage, 19398,
     /*  796215 */     GIR_EraseRootFromParent_Done,
     /*  796216 */   // Label 12326: @796216
     /*  796216 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(796291), // Rule ID 19399 //
     /*  796221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  796270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796289 */     GIR_RootConstrainSelectedInstOperands,
     /*  796290 */     // GIR_Coverage, 19399,
     /*  796290 */     GIR_EraseRootFromParent_Done,
     /*  796291 */   // Label 12327: @796291
     /*  796291 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796366), // Rule ID 19402 //
     /*  796296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796342 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  796345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796364 */     GIR_RootConstrainSelectedInstOperands,
     /*  796365 */     // GIR_Coverage, 19402,
     /*  796365 */     GIR_EraseRootFromParent_Done,
     /*  796366 */   // Label 12328: @796366
     /*  796366 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796441), // Rule ID 19403 //
     /*  796371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  796420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796439 */     GIR_RootConstrainSelectedInstOperands,
     /*  796440 */     // GIR_Coverage, 19403,
     /*  796440 */     GIR_EraseRootFromParent_Done,
     /*  796441 */   // Label 12329: @796441
     /*  796441 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796516), // Rule ID 19406 //
     /*  796446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796514 */     GIR_RootConstrainSelectedInstOperands,
     /*  796515 */     // GIR_Coverage, 19406,
     /*  796515 */     GIR_EraseRootFromParent_Done,
     /*  796516 */   // Label 12330: @796516
     /*  796516 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(796591), // Rule ID 19407 //
     /*  796521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796567 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796589 */     GIR_RootConstrainSelectedInstOperands,
     /*  796590 */     // GIR_Coverage, 19407,
     /*  796590 */     GIR_EraseRootFromParent_Done,
     /*  796591 */   // Label 12331: @796591
     /*  796591 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796666), // Rule ID 19410 //
     /*  796596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796664 */     GIR_RootConstrainSelectedInstOperands,
     /*  796665 */     // GIR_Coverage, 19410,
     /*  796665 */     GIR_EraseRootFromParent_Done,
     /*  796666 */   // Label 12332: @796666
     /*  796666 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796741), // Rule ID 19411 //
     /*  796671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796717 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796739 */     GIR_RootConstrainSelectedInstOperands,
     /*  796740 */     // GIR_Coverage, 19411,
     /*  796740 */     GIR_EraseRootFromParent_Done,
     /*  796741 */   // Label 12333: @796741
     /*  796741 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796816), // Rule ID 19414 //
     /*  796746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796792 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796814 */     GIR_RootConstrainSelectedInstOperands,
     /*  796815 */     // GIR_Coverage, 19414,
     /*  796815 */     GIR_EraseRootFromParent_Done,
     /*  796816 */   // Label 12334: @796816
     /*  796816 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796891), // Rule ID 19415 //
     /*  796821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796867 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796889 */     GIR_RootConstrainSelectedInstOperands,
     /*  796890 */     // GIR_Coverage, 19415,
     /*  796890 */     GIR_EraseRootFromParent_Done,
     /*  796891 */   // Label 12335: @796891
     /*  796891 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796966), // Rule ID 19418 //
     /*  796896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796942 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  796945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796964 */     GIR_RootConstrainSelectedInstOperands,
     /*  796965 */     // GIR_Coverage, 19418,
     /*  796965 */     GIR_EraseRootFromParent_Done,
     /*  796966 */   // Label 12336: @796966
     /*  796966 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(797041), // Rule ID 19419 //
     /*  796971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797017 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  797020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797039 */     GIR_RootConstrainSelectedInstOperands,
     /*  797040 */     // GIR_Coverage, 19419,
     /*  797040 */     GIR_EraseRootFromParent_Done,
     /*  797041 */   // Label 12337: @797041
     /*  797041 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(797116), // Rule ID 19422 //
     /*  797046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  797095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797114 */     GIR_RootConstrainSelectedInstOperands,
     /*  797115 */     // GIR_Coverage, 19422,
     /*  797115 */     GIR_EraseRootFromParent_Done,
     /*  797116 */   // Label 12338: @797116
     /*  797116 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(797191), // Rule ID 19423 //
     /*  797121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797167 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  797170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797189 */     GIR_RootConstrainSelectedInstOperands,
     /*  797190 */     // GIR_Coverage, 19423,
     /*  797190 */     GIR_EraseRootFromParent_Done,
     /*  797191 */   // Label 12339: @797191
     /*  797191 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(797266), // Rule ID 19426 //
     /*  797196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797242 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  797245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797264 */     GIR_RootConstrainSelectedInstOperands,
     /*  797265 */     // GIR_Coverage, 19426,
     /*  797265 */     GIR_EraseRootFromParent_Done,
     /*  797266 */   // Label 12340: @797266
     /*  797266 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(797341), // Rule ID 19427 //
     /*  797271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797317 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  797320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797339 */     GIR_RootConstrainSelectedInstOperands,
     /*  797340 */     // GIR_Coverage, 19427,
     /*  797340 */     GIR_EraseRootFromParent_Done,
     /*  797341 */   // Label 12341: @797341
     /*  797341 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797416), // Rule ID 19430 //
     /*  797346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797392 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  797395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797414 */     GIR_RootConstrainSelectedInstOperands,
     /*  797415 */     // GIR_Coverage, 19430,
     /*  797415 */     GIR_EraseRootFromParent_Done,
     /*  797416 */   // Label 12342: @797416
     /*  797416 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797491), // Rule ID 19431 //
     /*  797421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  797470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797489 */     GIR_RootConstrainSelectedInstOperands,
     /*  797490 */     // GIR_Coverage, 19431,
     /*  797490 */     GIR_EraseRootFromParent_Done,
     /*  797491 */   // Label 12343: @797491
     /*  797491 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(797566), // Rule ID 19434 //
     /*  797496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797564 */     GIR_RootConstrainSelectedInstOperands,
     /*  797565 */     // GIR_Coverage, 19434,
     /*  797565 */     GIR_EraseRootFromParent_Done,
     /*  797566 */   // Label 12344: @797566
     /*  797566 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797641), // Rule ID 19435 //
     /*  797571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797639 */     GIR_RootConstrainSelectedInstOperands,
     /*  797640 */     // GIR_Coverage, 19435,
     /*  797640 */     GIR_EraseRootFromParent_Done,
     /*  797641 */   // Label 12345: @797641
     /*  797641 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797716), // Rule ID 19438 //
     /*  797646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797692 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797714 */     GIR_RootConstrainSelectedInstOperands,
     /*  797715 */     // GIR_Coverage, 19438,
     /*  797715 */     GIR_EraseRootFromParent_Done,
     /*  797716 */   // Label 12346: @797716
     /*  797716 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797791), // Rule ID 19439 //
     /*  797721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797767 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797789 */     GIR_RootConstrainSelectedInstOperands,
     /*  797790 */     // GIR_Coverage, 19439,
     /*  797790 */     GIR_EraseRootFromParent_Done,
     /*  797791 */   // Label 12347: @797791
     /*  797791 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797866), // Rule ID 19442 //
     /*  797796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797842 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797864 */     GIR_RootConstrainSelectedInstOperands,
     /*  797865 */     // GIR_Coverage, 19442,
     /*  797865 */     GIR_EraseRootFromParent_Done,
     /*  797866 */   // Label 12348: @797866
     /*  797866 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797941), // Rule ID 19443 //
     /*  797871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797917 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797939 */     GIR_RootConstrainSelectedInstOperands,
     /*  797940 */     // GIR_Coverage, 19443,
     /*  797940 */     GIR_EraseRootFromParent_Done,
     /*  797941 */   // Label 12349: @797941
     /*  797941 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(798016), // Rule ID 19446 //
     /*  797946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797992 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  797995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798014 */     GIR_RootConstrainSelectedInstOperands,
     /*  798015 */     // GIR_Coverage, 19446,
     /*  798015 */     GIR_EraseRootFromParent_Done,
     /*  798016 */   // Label 12350: @798016
     /*  798016 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(798091), // Rule ID 19447 //
     /*  798021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  798041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798067 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  798070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798089 */     GIR_RootConstrainSelectedInstOperands,
     /*  798090 */     // GIR_Coverage, 19447,
     /*  798090 */     GIR_EraseRootFromParent_Done,
     /*  798091 */   // Label 12351: @798091
     /*  798091 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(798166), // Rule ID 19450 //
     /*  798096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798142 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  798145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798164 */     GIR_RootConstrainSelectedInstOperands,
     /*  798165 */     // GIR_Coverage, 19450,
     /*  798165 */     GIR_EraseRootFromParent_Done,
     /*  798166 */   // Label 12352: @798166
     /*  798166 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(798241), // Rule ID 19451 //
     /*  798171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798217 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  798220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798239 */     GIR_RootConstrainSelectedInstOperands,
     /*  798240 */     // GIR_Coverage, 19451,
     /*  798240 */     GIR_EraseRootFromParent_Done,
     /*  798241 */   // Label 12353: @798241
     /*  798241 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(798316), // Rule ID 19454 //
     /*  798246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  798295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798314 */     GIR_RootConstrainSelectedInstOperands,
     /*  798315 */     // GIR_Coverage, 19454,
     /*  798315 */     GIR_EraseRootFromParent_Done,
     /*  798316 */   // Label 12354: @798316
     /*  798316 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798391), // Rule ID 19455 //
     /*  798321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798367 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  798370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798389 */     GIR_RootConstrainSelectedInstOperands,
     /*  798390 */     // GIR_Coverage, 19455,
     /*  798390 */     GIR_EraseRootFromParent_Done,
     /*  798391 */   // Label 12355: @798391
     /*  798391 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798466), // Rule ID 19458 //
     /*  798396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798464 */     GIR_RootConstrainSelectedInstOperands,
     /*  798465 */     // GIR_Coverage, 19458,
     /*  798465 */     GIR_EraseRootFromParent_Done,
     /*  798466 */   // Label 12356: @798466
     /*  798466 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(798541), // Rule ID 19459 //
     /*  798471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798517 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798539 */     GIR_RootConstrainSelectedInstOperands,
     /*  798540 */     // GIR_Coverage, 19459,
     /*  798540 */     GIR_EraseRootFromParent_Done,
     /*  798541 */   // Label 12357: @798541
     /*  798541 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(798616), // Rule ID 19462 //
     /*  798546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798592 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798614 */     GIR_RootConstrainSelectedInstOperands,
     /*  798615 */     // GIR_Coverage, 19462,
     /*  798615 */     GIR_EraseRootFromParent_Done,
     /*  798616 */   // Label 12358: @798616
     /*  798616 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798691), // Rule ID 19463 //
     /*  798621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798667 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798689 */     GIR_RootConstrainSelectedInstOperands,
     /*  798690 */     // GIR_Coverage, 19463,
     /*  798690 */     GIR_EraseRootFromParent_Done,
     /*  798691 */   // Label 12359: @798691
     /*  798691 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798766), // Rule ID 19466 //
     /*  798696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798742 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798764 */     GIR_RootConstrainSelectedInstOperands,
     /*  798765 */     // GIR_Coverage, 19466,
     /*  798765 */     GIR_EraseRootFromParent_Done,
     /*  798766 */   // Label 12360: @798766
     /*  798766 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798841), // Rule ID 19467 //
     /*  798771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798817 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798839 */     GIR_RootConstrainSelectedInstOperands,
     /*  798840 */     // GIR_Coverage, 19467,
     /*  798840 */     GIR_EraseRootFromParent_Done,
     /*  798841 */   // Label 12361: @798841
     /*  798841 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798916), // Rule ID 19470 //
     /*  798846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798914 */     GIR_RootConstrainSelectedInstOperands,
     /*  798915 */     // GIR_Coverage, 19470,
     /*  798915 */     GIR_EraseRootFromParent_Done,
     /*  798916 */   // Label 12362: @798916
     /*  798916 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798991), // Rule ID 19471 //
     /*  798921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798967 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798989 */     GIR_RootConstrainSelectedInstOperands,
     /*  798990 */     // GIR_Coverage, 19471,
     /*  798990 */     GIR_EraseRootFromParent_Done,
     /*  798991 */   // Label 12363: @798991
     /*  798991 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(799066), // Rule ID 19474 //
     /*  798996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799042 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  799045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799064 */     GIR_RootConstrainSelectedInstOperands,
     /*  799065 */     // GIR_Coverage, 19474,
     /*  799065 */     GIR_EraseRootFromParent_Done,
     /*  799066 */   // Label 12364: @799066
     /*  799066 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(799141), // Rule ID 19475 //
     /*  799071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799117 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  799120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799139 */     GIR_RootConstrainSelectedInstOperands,
     /*  799140 */     // GIR_Coverage, 19475,
     /*  799140 */     GIR_EraseRootFromParent_Done,
     /*  799141 */   // Label 12365: @799141
     /*  799141 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(799216), // Rule ID 19478 //
     /*  799146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799192 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  799195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799214 */     GIR_RootConstrainSelectedInstOperands,
     /*  799215 */     // GIR_Coverage, 19478,
     /*  799215 */     GIR_EraseRootFromParent_Done,
     /*  799216 */   // Label 12366: @799216
     /*  799216 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(799291), // Rule ID 19479 //
     /*  799221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799267 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  799270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799289 */     GIR_RootConstrainSelectedInstOperands,
     /*  799290 */     // GIR_Coverage, 19479,
     /*  799290 */     GIR_EraseRootFromParent_Done,
     /*  799291 */   // Label 12367: @799291
     /*  799291 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799366), // Rule ID 19482 //
     /*  799296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799342 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  799345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799364 */     GIR_RootConstrainSelectedInstOperands,
     /*  799365 */     // GIR_Coverage, 19482,
     /*  799365 */     GIR_EraseRootFromParent_Done,
     /*  799366 */   // Label 12368: @799366
     /*  799366 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799441), // Rule ID 19483 //
     /*  799371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799417 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  799420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799439 */     GIR_RootConstrainSelectedInstOperands,
     /*  799440 */     // GIR_Coverage, 19483,
     /*  799440 */     GIR_EraseRootFromParent_Done,
     /*  799441 */   // Label 12369: @799441
     /*  799441 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799516), // Rule ID 19486 //
     /*  799446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799492 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799514 */     GIR_RootConstrainSelectedInstOperands,
     /*  799515 */     // GIR_Coverage, 19486,
     /*  799515 */     GIR_EraseRootFromParent_Done,
     /*  799516 */   // Label 12370: @799516
     /*  799516 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(799591), // Rule ID 19487 //
     /*  799521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799567 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799589 */     GIR_RootConstrainSelectedInstOperands,
     /*  799590 */     // GIR_Coverage, 19487,
     /*  799590 */     GIR_EraseRootFromParent_Done,
     /*  799591 */   // Label 12371: @799591
     /*  799591 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799666), // Rule ID 19490 //
     /*  799596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799642 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799664 */     GIR_RootConstrainSelectedInstOperands,
     /*  799665 */     // GIR_Coverage, 19490,
     /*  799665 */     GIR_EraseRootFromParent_Done,
     /*  799666 */   // Label 12372: @799666
     /*  799666 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799741), // Rule ID 19491 //
     /*  799671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799717 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799739 */     GIR_RootConstrainSelectedInstOperands,
     /*  799740 */     // GIR_Coverage, 19491,
     /*  799740 */     GIR_EraseRootFromParent_Done,
     /*  799741 */   // Label 12373: @799741
     /*  799741 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799816), // Rule ID 19494 //
     /*  799746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799814 */     GIR_RootConstrainSelectedInstOperands,
     /*  799815 */     // GIR_Coverage, 19494,
     /*  799815 */     GIR_EraseRootFromParent_Done,
     /*  799816 */   // Label 12374: @799816
     /*  799816 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799891), // Rule ID 19495 //
     /*  799821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799867 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799889 */     GIR_RootConstrainSelectedInstOperands,
     /*  799890 */     // GIR_Coverage, 19495,
     /*  799890 */     GIR_EraseRootFromParent_Done,
     /*  799891 */   // Label 12375: @799891
     /*  799891 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799966), // Rule ID 19498 //
     /*  799896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799942 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  799945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799964 */     GIR_RootConstrainSelectedInstOperands,
     /*  799965 */     // GIR_Coverage, 19498,
     /*  799965 */     GIR_EraseRootFromParent_Done,
     /*  799966 */   // Label 12376: @799966
     /*  799966 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(800041), // Rule ID 19499 //
     /*  799971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800017 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  800020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800039 */     GIR_RootConstrainSelectedInstOperands,
     /*  800040 */     // GIR_Coverage, 19499,
     /*  800040 */     GIR_EraseRootFromParent_Done,
     /*  800041 */   // Label 12377: @800041
     /*  800041 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(800116), // Rule ID 19502 //
     /*  800046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800092 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  800095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800114 */     GIR_RootConstrainSelectedInstOperands,
     /*  800115 */     // GIR_Coverage, 19502,
     /*  800115 */     GIR_EraseRootFromParent_Done,
     /*  800116 */   // Label 12378: @800116
     /*  800116 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(800191), // Rule ID 19503 //
     /*  800121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800167 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  800170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800189 */     GIR_RootConstrainSelectedInstOperands,
     /*  800190 */     // GIR_Coverage, 19503,
     /*  800190 */     GIR_EraseRootFromParent_Done,
     /*  800191 */   // Label 12379: @800191
     /*  800191 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(800266), // Rule ID 19506 //
     /*  800196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800242 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  800245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800264 */     GIR_RootConstrainSelectedInstOperands,
     /*  800265 */     // GIR_Coverage, 19506,
     /*  800265 */     GIR_EraseRootFromParent_Done,
     /*  800266 */   // Label 12380: @800266
     /*  800266 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(800341), // Rule ID 19507 //
     /*  800271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800317 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  800320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800339 */     GIR_RootConstrainSelectedInstOperands,
     /*  800340 */     // GIR_Coverage, 19507,
     /*  800340 */     GIR_EraseRootFromParent_Done,
     /*  800341 */   // Label 12381: @800341
     /*  800341 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800416), // Rule ID 19510 //
     /*  800346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800392 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  800395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800414 */     GIR_RootConstrainSelectedInstOperands,
     /*  800415 */     // GIR_Coverage, 19510,
     /*  800415 */     GIR_EraseRootFromParent_Done,
     /*  800416 */   // Label 12382: @800416
     /*  800416 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800491), // Rule ID 19511 //
     /*  800421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  800470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800489 */     GIR_RootConstrainSelectedInstOperands,
     /*  800490 */     // GIR_Coverage, 19511,
     /*  800490 */     GIR_EraseRootFromParent_Done,
     /*  800491 */   // Label 12383: @800491
     /*  800491 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(800566), // Rule ID 19514 //
     /*  800496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800564 */     GIR_RootConstrainSelectedInstOperands,
     /*  800565 */     // GIR_Coverage, 19514,
     /*  800565 */     GIR_EraseRootFromParent_Done,
     /*  800566 */   // Label 12384: @800566
     /*  800566 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800641), // Rule ID 19515 //
     /*  800571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800617 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800639 */     GIR_RootConstrainSelectedInstOperands,
     /*  800640 */     // GIR_Coverage, 19515,
     /*  800640 */     GIR_EraseRootFromParent_Done,
     /*  800641 */   // Label 12385: @800641
     /*  800641 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800716), // Rule ID 19518 //
     /*  800646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800714 */     GIR_RootConstrainSelectedInstOperands,
     /*  800715 */     // GIR_Coverage, 19518,
     /*  800715 */     GIR_EraseRootFromParent_Done,
     /*  800716 */   // Label 12386: @800716
     /*  800716 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800791), // Rule ID 19519 //
     /*  800721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800767 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800789 */     GIR_RootConstrainSelectedInstOperands,
     /*  800790 */     // GIR_Coverage, 19519,
     /*  800790 */     GIR_EraseRootFromParent_Done,
     /*  800791 */   // Label 12387: @800791
     /*  800791 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800866), // Rule ID 19522 //
     /*  800796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800842 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800864 */     GIR_RootConstrainSelectedInstOperands,
     /*  800865 */     // GIR_Coverage, 19522,
     /*  800865 */     GIR_EraseRootFromParent_Done,
     /*  800866 */   // Label 12388: @800866
     /*  800866 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800941), // Rule ID 19523 //
     /*  800871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800917 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800939 */     GIR_RootConstrainSelectedInstOperands,
     /*  800940 */     // GIR_Coverage, 19523,
     /*  800940 */     GIR_EraseRootFromParent_Done,
     /*  800941 */   // Label 12389: @800941
     /*  800941 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(801016), // Rule ID 19526 //
     /*  800946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800992 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  800995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801014 */     GIR_RootConstrainSelectedInstOperands,
     /*  801015 */     // GIR_Coverage, 19526,
     /*  801015 */     GIR_EraseRootFromParent_Done,
     /*  801016 */   // Label 12390: @801016
     /*  801016 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(801091), // Rule ID 19527 //
     /*  801021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801067 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  801070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801089 */     GIR_RootConstrainSelectedInstOperands,
     /*  801090 */     // GIR_Coverage, 19527,
     /*  801090 */     GIR_EraseRootFromParent_Done,
     /*  801091 */   // Label 12391: @801091
     /*  801091 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(801166), // Rule ID 19530 //
     /*  801096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801142 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  801145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801164 */     GIR_RootConstrainSelectedInstOperands,
     /*  801165 */     // GIR_Coverage, 19530,
     /*  801165 */     GIR_EraseRootFromParent_Done,
     /*  801166 */   // Label 12392: @801166
     /*  801166 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(801241), // Rule ID 19531 //
     /*  801171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  801220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801239 */     GIR_RootConstrainSelectedInstOperands,
     /*  801240 */     // GIR_Coverage, 19531,
     /*  801240 */     GIR_EraseRootFromParent_Done,
     /*  801241 */   // Label 12393: @801241
     /*  801241 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(801316), // Rule ID 19534 //
     /*  801246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  801295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801314 */     GIR_RootConstrainSelectedInstOperands,
     /*  801315 */     // GIR_Coverage, 19534,
     /*  801315 */     GIR_EraseRootFromParent_Done,
     /*  801316 */   // Label 12394: @801316
     /*  801316 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801391), // Rule ID 19535 //
     /*  801321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801367 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  801370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801389 */     GIR_RootConstrainSelectedInstOperands,
     /*  801390 */     // GIR_Coverage, 19535,
     /*  801390 */     GIR_EraseRootFromParent_Done,
     /*  801391 */   // Label 12395: @801391
     /*  801391 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801466), // Rule ID 19538 //
     /*  801396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801442 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801464 */     GIR_RootConstrainSelectedInstOperands,
     /*  801465 */     // GIR_Coverage, 19538,
     /*  801465 */     GIR_EraseRootFromParent_Done,
     /*  801466 */   // Label 12396: @801466
     /*  801466 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(801541), // Rule ID 19539 //
     /*  801471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801517 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801539 */     GIR_RootConstrainSelectedInstOperands,
     /*  801540 */     // GIR_Coverage, 19539,
     /*  801540 */     GIR_EraseRootFromParent_Done,
     /*  801541 */   // Label 12397: @801541
     /*  801541 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(801616), // Rule ID 19542 //
     /*  801546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801614 */     GIR_RootConstrainSelectedInstOperands,
     /*  801615 */     // GIR_Coverage, 19542,
     /*  801615 */     GIR_EraseRootFromParent_Done,
     /*  801616 */   // Label 12398: @801616
     /*  801616 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801691), // Rule ID 19543 //
     /*  801621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801667 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801689 */     GIR_RootConstrainSelectedInstOperands,
     /*  801690 */     // GIR_Coverage, 19543,
     /*  801690 */     GIR_EraseRootFromParent_Done,
     /*  801691 */   // Label 12399: @801691
     /*  801691 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801766), // Rule ID 19546 //
     /*  801696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801764 */     GIR_RootConstrainSelectedInstOperands,
     /*  801765 */     // GIR_Coverage, 19546,
     /*  801765 */     GIR_EraseRootFromParent_Done,
     /*  801766 */   // Label 12400: @801766
     /*  801766 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801841), // Rule ID 19547 //
     /*  801771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801839 */     GIR_RootConstrainSelectedInstOperands,
     /*  801840 */     // GIR_Coverage, 19547,
     /*  801840 */     GIR_EraseRootFromParent_Done,
     /*  801841 */   // Label 12401: @801841
     /*  801841 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801916), // Rule ID 19550 //
     /*  801846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801914 */     GIR_RootConstrainSelectedInstOperands,
     /*  801915 */     // GIR_Coverage, 19550,
     /*  801915 */     GIR_EraseRootFromParent_Done,
     /*  801916 */   // Label 12402: @801916
     /*  801916 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801991), // Rule ID 19551 //
     /*  801921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801989 */     GIR_RootConstrainSelectedInstOperands,
     /*  801990 */     // GIR_Coverage, 19551,
     /*  801990 */     GIR_EraseRootFromParent_Done,
     /*  801991 */   // Label 12403: @801991
     /*  801991 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(802066), // Rule ID 19554 //
     /*  801996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  802045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802064 */     GIR_RootConstrainSelectedInstOperands,
     /*  802065 */     // GIR_Coverage, 19554,
     /*  802065 */     GIR_EraseRootFromParent_Done,
     /*  802066 */   // Label 12404: @802066
     /*  802066 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(802141), // Rule ID 19555 //
     /*  802071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  802120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802139 */     GIR_RootConstrainSelectedInstOperands,
     /*  802140 */     // GIR_Coverage, 19555,
     /*  802140 */     GIR_EraseRootFromParent_Done,
     /*  802141 */   // Label 12405: @802141
     /*  802141 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(802216), // Rule ID 19558 //
     /*  802146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  802195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802214 */     GIR_RootConstrainSelectedInstOperands,
     /*  802215 */     // GIR_Coverage, 19558,
     /*  802215 */     GIR_EraseRootFromParent_Done,
     /*  802216 */   // Label 12406: @802216
     /*  802216 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(802291), // Rule ID 19559 //
     /*  802221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802267 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  802270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802289 */     GIR_RootConstrainSelectedInstOperands,
     /*  802290 */     // GIR_Coverage, 19559,
     /*  802290 */     GIR_EraseRootFromParent_Done,
     /*  802291 */   // Label 12407: @802291
     /*  802291 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802366), // Rule ID 19562 //
     /*  802296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802342 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  802345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802364 */     GIR_RootConstrainSelectedInstOperands,
     /*  802365 */     // GIR_Coverage, 19562,
     /*  802365 */     GIR_EraseRootFromParent_Done,
     /*  802366 */   // Label 12408: @802366
     /*  802366 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802441), // Rule ID 19563 //
     /*  802371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802417 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  802420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802439 */     GIR_RootConstrainSelectedInstOperands,
     /*  802440 */     // GIR_Coverage, 19563,
     /*  802440 */     GIR_EraseRootFromParent_Done,
     /*  802441 */   // Label 12409: @802441
     /*  802441 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802516), // Rule ID 19566 //
     /*  802446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802492 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802514 */     GIR_RootConstrainSelectedInstOperands,
     /*  802515 */     // GIR_Coverage, 19566,
     /*  802515 */     GIR_EraseRootFromParent_Done,
     /*  802516 */   // Label 12410: @802516
     /*  802516 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(802591), // Rule ID 19567 //
     /*  802521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802567 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802589 */     GIR_RootConstrainSelectedInstOperands,
     /*  802590 */     // GIR_Coverage, 19567,
     /*  802590 */     GIR_EraseRootFromParent_Done,
     /*  802591 */   // Label 12411: @802591
     /*  802591 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802666), // Rule ID 19570 //
     /*  802596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802642 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802664 */     GIR_RootConstrainSelectedInstOperands,
     /*  802665 */     // GIR_Coverage, 19570,
     /*  802665 */     GIR_EraseRootFromParent_Done,
     /*  802666 */   // Label 12412: @802666
     /*  802666 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802741), // Rule ID 19571 //
     /*  802671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802739 */     GIR_RootConstrainSelectedInstOperands,
     /*  802740 */     // GIR_Coverage, 19571,
     /*  802740 */     GIR_EraseRootFromParent_Done,
     /*  802741 */   // Label 12413: @802741
     /*  802741 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802816), // Rule ID 19574 //
     /*  802746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802792 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802814 */     GIR_RootConstrainSelectedInstOperands,
     /*  802815 */     // GIR_Coverage, 19574,
     /*  802815 */     GIR_EraseRootFromParent_Done,
     /*  802816 */   // Label 12414: @802816
     /*  802816 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802891), // Rule ID 19575 //
     /*  802821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802889 */     GIR_RootConstrainSelectedInstOperands,
     /*  802890 */     // GIR_Coverage, 19575,
     /*  802890 */     GIR_EraseRootFromParent_Done,
     /*  802891 */   // Label 12415: @802891
     /*  802891 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802966), // Rule ID 19578 //
     /*  802896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  802945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802964 */     GIR_RootConstrainSelectedInstOperands,
     /*  802965 */     // GIR_Coverage, 19578,
     /*  802965 */     GIR_EraseRootFromParent_Done,
     /*  802966 */   // Label 12416: @802966
     /*  802966 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(803041), // Rule ID 19579 //
     /*  802971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803017 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  803020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803039 */     GIR_RootConstrainSelectedInstOperands,
     /*  803040 */     // GIR_Coverage, 19579,
     /*  803040 */     GIR_EraseRootFromParent_Done,
     /*  803041 */   // Label 12417: @803041
     /*  803041 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(803116), // Rule ID 19582 //
     /*  803046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  803095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803114 */     GIR_RootConstrainSelectedInstOperands,
     /*  803115 */     // GIR_Coverage, 19582,
     /*  803115 */     GIR_EraseRootFromParent_Done,
     /*  803116 */   // Label 12418: @803116
     /*  803116 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(803191), // Rule ID 19583 //
     /*  803121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803167 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  803170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803189 */     GIR_RootConstrainSelectedInstOperands,
     /*  803190 */     // GIR_Coverage, 19583,
     /*  803190 */     GIR_EraseRootFromParent_Done,
     /*  803191 */   // Label 12419: @803191
     /*  803191 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(803266), // Rule ID 19586 //
     /*  803196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  803245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803264 */     GIR_RootConstrainSelectedInstOperands,
     /*  803265 */     // GIR_Coverage, 19586,
     /*  803265 */     GIR_EraseRootFromParent_Done,
     /*  803266 */   // Label 12420: @803266
     /*  803266 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(803341), // Rule ID 19587 //
     /*  803271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803317 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  803320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803339 */     GIR_RootConstrainSelectedInstOperands,
     /*  803340 */     // GIR_Coverage, 19587,
     /*  803340 */     GIR_EraseRootFromParent_Done,
     /*  803341 */   // Label 12421: @803341
     /*  803341 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803416), // Rule ID 19590 //
     /*  803346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803392 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  803395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803414 */     GIR_RootConstrainSelectedInstOperands,
     /*  803415 */     // GIR_Coverage, 19590,
     /*  803415 */     GIR_EraseRootFromParent_Done,
     /*  803416 */   // Label 12422: @803416
     /*  803416 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803491), // Rule ID 19591 //
     /*  803421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  803470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803489 */     GIR_RootConstrainSelectedInstOperands,
     /*  803490 */     // GIR_Coverage, 19591,
     /*  803490 */     GIR_EraseRootFromParent_Done,
     /*  803491 */   // Label 12423: @803491
     /*  803491 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(803566), // Rule ID 19594 //
     /*  803496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803542 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803564 */     GIR_RootConstrainSelectedInstOperands,
     /*  803565 */     // GIR_Coverage, 19594,
     /*  803565 */     GIR_EraseRootFromParent_Done,
     /*  803566 */   // Label 12424: @803566
     /*  803566 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803641), // Rule ID 19595 //
     /*  803571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803639 */     GIR_RootConstrainSelectedInstOperands,
     /*  803640 */     // GIR_Coverage, 19595,
     /*  803640 */     GIR_EraseRootFromParent_Done,
     /*  803641 */   // Label 12425: @803641
     /*  803641 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803716), // Rule ID 19598 //
     /*  803646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803714 */     GIR_RootConstrainSelectedInstOperands,
     /*  803715 */     // GIR_Coverage, 19598,
     /*  803715 */     GIR_EraseRootFromParent_Done,
     /*  803716 */   // Label 12426: @803716
     /*  803716 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803791), // Rule ID 19599 //
     /*  803721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803767 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803789 */     GIR_RootConstrainSelectedInstOperands,
     /*  803790 */     // GIR_Coverage, 19599,
     /*  803790 */     GIR_EraseRootFromParent_Done,
     /*  803791 */   // Label 12427: @803791
     /*  803791 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803866), // Rule ID 19602 //
     /*  803796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803842 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803864 */     GIR_RootConstrainSelectedInstOperands,
     /*  803865 */     // GIR_Coverage, 19602,
     /*  803865 */     GIR_EraseRootFromParent_Done,
     /*  803866 */   // Label 12428: @803866
     /*  803866 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803941), // Rule ID 19603 //
     /*  803871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803917 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803939 */     GIR_RootConstrainSelectedInstOperands,
     /*  803940 */     // GIR_Coverage, 19603,
     /*  803940 */     GIR_EraseRootFromParent_Done,
     /*  803941 */   // Label 12429: @803941
     /*  803941 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(804016), // Rule ID 19606 //
     /*  803946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  803995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804014 */     GIR_RootConstrainSelectedInstOperands,
     /*  804015 */     // GIR_Coverage, 19606,
     /*  804015 */     GIR_EraseRootFromParent_Done,
     /*  804016 */   // Label 12430: @804016
     /*  804016 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(804091), // Rule ID 19607 //
     /*  804021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  804070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804089 */     GIR_RootConstrainSelectedInstOperands,
     /*  804090 */     // GIR_Coverage, 19607,
     /*  804090 */     GIR_EraseRootFromParent_Done,
     /*  804091 */   // Label 12431: @804091
     /*  804091 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(804166), // Rule ID 19610 //
     /*  804096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  804145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804164 */     GIR_RootConstrainSelectedInstOperands,
     /*  804165 */     // GIR_Coverage, 19610,
     /*  804165 */     GIR_EraseRootFromParent_Done,
     /*  804166 */   // Label 12432: @804166
     /*  804166 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(804241), // Rule ID 19611 //
     /*  804171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  804220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804239 */     GIR_RootConstrainSelectedInstOperands,
     /*  804240 */     // GIR_Coverage, 19611,
     /*  804240 */     GIR_EraseRootFromParent_Done,
     /*  804241 */   // Label 12433: @804241
     /*  804241 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(804316), // Rule ID 19614 //
     /*  804246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  804295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804314 */     GIR_RootConstrainSelectedInstOperands,
     /*  804315 */     // GIR_Coverage, 19614,
     /*  804315 */     GIR_EraseRootFromParent_Done,
     /*  804316 */   // Label 12434: @804316
     /*  804316 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804391), // Rule ID 19615 //
     /*  804321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804367 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  804370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804389 */     GIR_RootConstrainSelectedInstOperands,
     /*  804390 */     // GIR_Coverage, 19615,
     /*  804390 */     GIR_EraseRootFromParent_Done,
     /*  804391 */   // Label 12435: @804391
     /*  804391 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804466), // Rule ID 19618 //
     /*  804396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804442 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804464 */     GIR_RootConstrainSelectedInstOperands,
     /*  804465 */     // GIR_Coverage, 19618,
     /*  804465 */     GIR_EraseRootFromParent_Done,
     /*  804466 */   // Label 12436: @804466
     /*  804466 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(804541), // Rule ID 19619 //
     /*  804471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804517 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804539 */     GIR_RootConstrainSelectedInstOperands,
     /*  804540 */     // GIR_Coverage, 19619,
     /*  804540 */     GIR_EraseRootFromParent_Done,
     /*  804541 */   // Label 12437: @804541
     /*  804541 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(804616), // Rule ID 19622 //
     /*  804546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804614 */     GIR_RootConstrainSelectedInstOperands,
     /*  804615 */     // GIR_Coverage, 19622,
     /*  804615 */     GIR_EraseRootFromParent_Done,
     /*  804616 */   // Label 12438: @804616
     /*  804616 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804691), // Rule ID 19623 //
     /*  804621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804667 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804689 */     GIR_RootConstrainSelectedInstOperands,
     /*  804690 */     // GIR_Coverage, 19623,
     /*  804690 */     GIR_EraseRootFromParent_Done,
     /*  804691 */   // Label 12439: @804691
     /*  804691 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804766), // Rule ID 19626 //
     /*  804696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804764 */     GIR_RootConstrainSelectedInstOperands,
     /*  804765 */     // GIR_Coverage, 19626,
     /*  804765 */     GIR_EraseRootFromParent_Done,
     /*  804766 */   // Label 12440: @804766
     /*  804766 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804841), // Rule ID 19627 //
     /*  804771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804839 */     GIR_RootConstrainSelectedInstOperands,
     /*  804840 */     // GIR_Coverage, 19627,
     /*  804840 */     GIR_EraseRootFromParent_Done,
     /*  804841 */   // Label 12441: @804841
     /*  804841 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804916), // Rule ID 19630 //
     /*  804846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804914 */     GIR_RootConstrainSelectedInstOperands,
     /*  804915 */     // GIR_Coverage, 19630,
     /*  804915 */     GIR_EraseRootFromParent_Done,
     /*  804916 */   // Label 12442: @804916
     /*  804916 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804991), // Rule ID 19631 //
     /*  804921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804967 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804989 */     GIR_RootConstrainSelectedInstOperands,
     /*  804990 */     // GIR_Coverage, 19631,
     /*  804990 */     GIR_EraseRootFromParent_Done,
     /*  804991 */   // Label 12443: @804991
     /*  804991 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(805066), // Rule ID 19634 //
     /*  804996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  805007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  805045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805064 */     GIR_RootConstrainSelectedInstOperands,
     /*  805065 */     // GIR_Coverage, 19634,
     /*  805065 */     GIR_EraseRootFromParent_Done,
     /*  805066 */   // Label 12444: @805066
     /*  805066 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(805141), // Rule ID 19635 //
     /*  805071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  805082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805117 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  805120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805139 */     GIR_RootConstrainSelectedInstOperands,
     /*  805140 */     // GIR_Coverage, 19635,
     /*  805140 */     GIR_EraseRootFromParent_Done,
     /*  805141 */   // Label 12445: @805141
     /*  805141 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(805216), // Rule ID 19638 //
     /*  805146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805192 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  805195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805214 */     GIR_RootConstrainSelectedInstOperands,
     /*  805215 */     // GIR_Coverage, 19638,
     /*  805215 */     GIR_EraseRootFromParent_Done,
     /*  805216 */   // Label 12446: @805216
     /*  805216 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(805291), // Rule ID 19639 //
     /*  805221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  805270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805289 */     GIR_RootConstrainSelectedInstOperands,
     /*  805290 */     // GIR_Coverage, 19639,
     /*  805290 */     GIR_EraseRootFromParent_Done,
     /*  805291 */   // Label 12447: @805291
     /*  805291 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805366), // Rule ID 19642 //
     /*  805296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805342 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  805345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805364 */     GIR_RootConstrainSelectedInstOperands,
     /*  805365 */     // GIR_Coverage, 19642,
     /*  805365 */     GIR_EraseRootFromParent_Done,
     /*  805366 */   // Label 12448: @805366
     /*  805366 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805441), // Rule ID 19643 //
     /*  805371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  805420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805439 */     GIR_RootConstrainSelectedInstOperands,
     /*  805440 */     // GIR_Coverage, 19643,
     /*  805440 */     GIR_EraseRootFromParent_Done,
     /*  805441 */   // Label 12449: @805441
     /*  805441 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805516), // Rule ID 19646 //
     /*  805446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805514 */     GIR_RootConstrainSelectedInstOperands,
     /*  805515 */     // GIR_Coverage, 19646,
     /*  805515 */     GIR_EraseRootFromParent_Done,
     /*  805516 */   // Label 12450: @805516
     /*  805516 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(805591), // Rule ID 19647 //
     /*  805521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805567 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805589 */     GIR_RootConstrainSelectedInstOperands,
     /*  805590 */     // GIR_Coverage, 19647,
     /*  805590 */     GIR_EraseRootFromParent_Done,
     /*  805591 */   // Label 12451: @805591
     /*  805591 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805666), // Rule ID 19650 //
     /*  805596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805664 */     GIR_RootConstrainSelectedInstOperands,
     /*  805665 */     // GIR_Coverage, 19650,
     /*  805665 */     GIR_EraseRootFromParent_Done,
     /*  805666 */   // Label 12452: @805666
     /*  805666 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805741), // Rule ID 19651 //
     /*  805671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805717 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805739 */     GIR_RootConstrainSelectedInstOperands,
     /*  805740 */     // GIR_Coverage, 19651,
     /*  805740 */     GIR_EraseRootFromParent_Done,
     /*  805741 */   // Label 12453: @805741
     /*  805741 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805816), // Rule ID 21868 //
     /*  805746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805814 */     GIR_RootConstrainSelectedInstOperands,
     /*  805815 */     // GIR_Coverage, 21868,
     /*  805815 */     GIR_EraseRootFromParent_Done,
     /*  805816 */   // Label 12454: @805816
     /*  805816 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805891), // Rule ID 21869 //
     /*  805821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805889 */     GIR_RootConstrainSelectedInstOperands,
     /*  805890 */     // GIR_Coverage, 21869,
     /*  805890 */     GIR_EraseRootFromParent_Done,
     /*  805891 */   // Label 12455: @805891
     /*  805891 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805966), // Rule ID 21872 //
     /*  805896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  805945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805964 */     GIR_RootConstrainSelectedInstOperands,
     /*  805965 */     // GIR_Coverage, 21872,
     /*  805965 */     GIR_EraseRootFromParent_Done,
     /*  805966 */   // Label 12456: @805966
     /*  805966 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(806041), // Rule ID 21873 //
     /*  805971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  806020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806039 */     GIR_RootConstrainSelectedInstOperands,
     /*  806040 */     // GIR_Coverage, 21873,
     /*  806040 */     GIR_EraseRootFromParent_Done,
     /*  806041 */   // Label 12457: @806041
     /*  806041 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(806116), // Rule ID 21876 //
     /*  806046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  806095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806114 */     GIR_RootConstrainSelectedInstOperands,
     /*  806115 */     // GIR_Coverage, 21876,
     /*  806115 */     GIR_EraseRootFromParent_Done,
     /*  806116 */   // Label 12458: @806116
     /*  806116 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(806191), // Rule ID 21877 //
     /*  806121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  806170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806189 */     GIR_RootConstrainSelectedInstOperands,
     /*  806190 */     // GIR_Coverage, 21877,
     /*  806190 */     GIR_EraseRootFromParent_Done,
     /*  806191 */   // Label 12459: @806191
     /*  806191 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(806266), // Rule ID 21880 //
     /*  806196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  806245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806264 */     GIR_RootConstrainSelectedInstOperands,
     /*  806265 */     // GIR_Coverage, 21880,
     /*  806265 */     GIR_EraseRootFromParent_Done,
     /*  806266 */   // Label 12460: @806266
     /*  806266 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(806341), // Rule ID 21881 //
     /*  806271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  806320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806339 */     GIR_RootConstrainSelectedInstOperands,
     /*  806340 */     // GIR_Coverage, 21881,
     /*  806340 */     GIR_EraseRootFromParent_Done,
     /*  806341 */   // Label 12461: @806341
     /*  806341 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806416), // Rule ID 21884 //
     /*  806346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  806395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806414 */     GIR_RootConstrainSelectedInstOperands,
     /*  806415 */     // GIR_Coverage, 21884,
     /*  806415 */     GIR_EraseRootFromParent_Done,
     /*  806416 */   // Label 12462: @806416
     /*  806416 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806491), // Rule ID 21885 //
     /*  806421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  806470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806489 */     GIR_RootConstrainSelectedInstOperands,
     /*  806490 */     // GIR_Coverage, 21885,
     /*  806490 */     GIR_EraseRootFromParent_Done,
     /*  806491 */   // Label 12463: @806491
     /*  806491 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(806566), // Rule ID 21888 //
     /*  806496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806564 */     GIR_RootConstrainSelectedInstOperands,
     /*  806565 */     // GIR_Coverage, 21888,
     /*  806565 */     GIR_EraseRootFromParent_Done,
     /*  806566 */   // Label 12464: @806566
     /*  806566 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806641), // Rule ID 21889 //
     /*  806571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806639 */     GIR_RootConstrainSelectedInstOperands,
     /*  806640 */     // GIR_Coverage, 21889,
     /*  806640 */     GIR_EraseRootFromParent_Done,
     /*  806641 */   // Label 12465: @806641
     /*  806641 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806716), // Rule ID 21892 //
     /*  806646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806714 */     GIR_RootConstrainSelectedInstOperands,
     /*  806715 */     // GIR_Coverage, 21892,
     /*  806715 */     GIR_EraseRootFromParent_Done,
     /*  806716 */   // Label 12466: @806716
     /*  806716 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806791), // Rule ID 21893 //
     /*  806721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806789 */     GIR_RootConstrainSelectedInstOperands,
     /*  806790 */     // GIR_Coverage, 21893,
     /*  806790 */     GIR_EraseRootFromParent_Done,
     /*  806791 */   // Label 12467: @806791
     /*  806791 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806866), // Rule ID 21896 //
     /*  806796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806864 */     GIR_RootConstrainSelectedInstOperands,
     /*  806865 */     // GIR_Coverage, 21896,
     /*  806865 */     GIR_EraseRootFromParent_Done,
     /*  806866 */   // Label 12468: @806866
     /*  806866 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806941), // Rule ID 21897 //
     /*  806871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806939 */     GIR_RootConstrainSelectedInstOperands,
     /*  806940 */     // GIR_Coverage, 21897,
     /*  806940 */     GIR_EraseRootFromParent_Done,
     /*  806941 */   // Label 12469: @806941
     /*  806941 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(807016), // Rule ID 21900 //
     /*  806946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  806949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  806995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807014 */     GIR_RootConstrainSelectedInstOperands,
     /*  807015 */     // GIR_Coverage, 21900,
     /*  807015 */     GIR_EraseRootFromParent_Done,
     /*  807016 */   // Label 12470: @807016
     /*  807016 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(807091), // Rule ID 21901 //
     /*  807021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  807024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  807038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  807070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807089 */     GIR_RootConstrainSelectedInstOperands,
     /*  807090 */     // GIR_Coverage, 21901,
     /*  807090 */     GIR_EraseRootFromParent_Done,
     /*  807091 */   // Label 12471: @807091
     /*  807091 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(807166), // Rule ID 21904 //
     /*  807096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  807145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807164 */     GIR_RootConstrainSelectedInstOperands,
     /*  807165 */     // GIR_Coverage, 21904,
     /*  807165 */     GIR_EraseRootFromParent_Done,
     /*  807166 */   // Label 12472: @807166
     /*  807166 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(807241), // Rule ID 21905 //
     /*  807171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  807220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807239 */     GIR_RootConstrainSelectedInstOperands,
     /*  807240 */     // GIR_Coverage, 21905,
     /*  807240 */     GIR_EraseRootFromParent_Done,
     /*  807241 */   // Label 12473: @807241
     /*  807241 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(807316), // Rule ID 21908 //
     /*  807246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  807263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  807295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807314 */     GIR_RootConstrainSelectedInstOperands,
     /*  807315 */     // GIR_Coverage, 21908,
     /*  807315 */     GIR_EraseRootFromParent_Done,
     /*  807316 */   // Label 12474: @807316
     /*  807316 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807391), // Rule ID 21909 //
     /*  807321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  807338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  807370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807389 */     GIR_RootConstrainSelectedInstOperands,
     /*  807390 */     // GIR_Coverage, 21909,
     /*  807390 */     GIR_EraseRootFromParent_Done,
     /*  807391 */   // Label 12475: @807391
     /*  807391 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807466), // Rule ID 21912 //
     /*  807396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807464 */     GIR_RootConstrainSelectedInstOperands,
     /*  807465 */     // GIR_Coverage, 21912,
     /*  807465 */     GIR_EraseRootFromParent_Done,
     /*  807466 */   // Label 12476: @807466
     /*  807466 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(807541), // Rule ID 21913 //
     /*  807471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807539 */     GIR_RootConstrainSelectedInstOperands,
     /*  807540 */     // GIR_Coverage, 21913,
     /*  807540 */     GIR_EraseRootFromParent_Done,
     /*  807541 */   // Label 12477: @807541
     /*  807541 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(807616), // Rule ID 21916 //
     /*  807546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807614 */     GIR_RootConstrainSelectedInstOperands,
     /*  807615 */     // GIR_Coverage, 21916,
     /*  807615 */     GIR_EraseRootFromParent_Done,
     /*  807616 */   // Label 12478: @807616
     /*  807616 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807691), // Rule ID 21917 //
     /*  807621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807689 */     GIR_RootConstrainSelectedInstOperands,
     /*  807690 */     // GIR_Coverage, 21917,
     /*  807690 */     GIR_EraseRootFromParent_Done,
     /*  807691 */   // Label 12479: @807691
     /*  807691 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807766), // Rule ID 21920 //
     /*  807696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807764 */     GIR_RootConstrainSelectedInstOperands,
     /*  807765 */     // GIR_Coverage, 21920,
     /*  807765 */     GIR_EraseRootFromParent_Done,
     /*  807766 */   // Label 12480: @807766
     /*  807766 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807841), // Rule ID 21921 //
     /*  807771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807839 */     GIR_RootConstrainSelectedInstOperands,
     /*  807840 */     // GIR_Coverage, 21921,
     /*  807840 */     GIR_EraseRootFromParent_Done,
     /*  807841 */   // Label 12481: @807841
     /*  807841 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807916), // Rule ID 21924 //
     /*  807846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807914 */     GIR_RootConstrainSelectedInstOperands,
     /*  807915 */     // GIR_Coverage, 21924,
     /*  807915 */     GIR_EraseRootFromParent_Done,
     /*  807916 */   // Label 12482: @807916
     /*  807916 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807991), // Rule ID 21925 //
     /*  807921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807989 */     GIR_RootConstrainSelectedInstOperands,
     /*  807990 */     // GIR_Coverage, 21925,
     /*  807990 */     GIR_EraseRootFromParent_Done,
     /*  807991 */   // Label 12483: @807991
     /*  807991 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(808066), // Rule ID 21928 //
     /*  807996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  808045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808064 */     GIR_RootConstrainSelectedInstOperands,
     /*  808065 */     // GIR_Coverage, 21928,
     /*  808065 */     GIR_EraseRootFromParent_Done,
     /*  808066 */   // Label 12484: @808066
     /*  808066 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(808141), // Rule ID 21929 //
     /*  808071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  808120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808139 */     GIR_RootConstrainSelectedInstOperands,
     /*  808140 */     // GIR_Coverage, 21929,
     /*  808140 */     GIR_EraseRootFromParent_Done,
     /*  808141 */   // Label 12485: @808141
     /*  808141 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(808216), // Rule ID 21932 //
     /*  808146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  808195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808214 */     GIR_RootConstrainSelectedInstOperands,
     /*  808215 */     // GIR_Coverage, 21932,
     /*  808215 */     GIR_EraseRootFromParent_Done,
     /*  808216 */   // Label 12486: @808216
     /*  808216 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(808291), // Rule ID 21933 //
     /*  808221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  808270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808289 */     GIR_RootConstrainSelectedInstOperands,
     /*  808290 */     // GIR_Coverage, 21933,
     /*  808290 */     GIR_EraseRootFromParent_Done,
     /*  808291 */   // Label 12487: @808291
     /*  808291 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808366), // Rule ID 21936 //
     /*  808296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  808345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808364 */     GIR_RootConstrainSelectedInstOperands,
     /*  808365 */     // GIR_Coverage, 21936,
     /*  808365 */     GIR_EraseRootFromParent_Done,
     /*  808366 */   // Label 12488: @808366
     /*  808366 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808441), // Rule ID 21937 //
     /*  808371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  808420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808439 */     GIR_RootConstrainSelectedInstOperands,
     /*  808440 */     // GIR_Coverage, 21937,
     /*  808440 */     GIR_EraseRootFromParent_Done,
     /*  808441 */   // Label 12489: @808441
     /*  808441 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808516), // Rule ID 21940 //
     /*  808446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808514 */     GIR_RootConstrainSelectedInstOperands,
     /*  808515 */     // GIR_Coverage, 21940,
     /*  808515 */     GIR_EraseRootFromParent_Done,
     /*  808516 */   // Label 12490: @808516
     /*  808516 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(808591), // Rule ID 21941 //
     /*  808521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808589 */     GIR_RootConstrainSelectedInstOperands,
     /*  808590 */     // GIR_Coverage, 21941,
     /*  808590 */     GIR_EraseRootFromParent_Done,
     /*  808591 */   // Label 12491: @808591
     /*  808591 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808666), // Rule ID 21944 //
     /*  808596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808664 */     GIR_RootConstrainSelectedInstOperands,
     /*  808665 */     // GIR_Coverage, 21944,
     /*  808665 */     GIR_EraseRootFromParent_Done,
     /*  808666 */   // Label 12492: @808666
     /*  808666 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808741), // Rule ID 21945 //
     /*  808671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808739 */     GIR_RootConstrainSelectedInstOperands,
     /*  808740 */     // GIR_Coverage, 21945,
     /*  808740 */     GIR_EraseRootFromParent_Done,
     /*  808741 */   // Label 12493: @808741
     /*  808741 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808816), // Rule ID 21948 //
     /*  808746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808814 */     GIR_RootConstrainSelectedInstOperands,
     /*  808815 */     // GIR_Coverage, 21948,
     /*  808815 */     GIR_EraseRootFromParent_Done,
     /*  808816 */   // Label 12494: @808816
     /*  808816 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808891), // Rule ID 21949 //
     /*  808821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808889 */     GIR_RootConstrainSelectedInstOperands,
     /*  808890 */     // GIR_Coverage, 21949,
     /*  808890 */     GIR_EraseRootFromParent_Done,
     /*  808891 */   // Label 12495: @808891
     /*  808891 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808966), // Rule ID 21952 //
     /*  808896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  808945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808964 */     GIR_RootConstrainSelectedInstOperands,
     /*  808965 */     // GIR_Coverage, 21952,
     /*  808965 */     GIR_EraseRootFromParent_Done,
     /*  808966 */   // Label 12496: @808966
     /*  808966 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(809041), // Rule ID 21953 //
     /*  808971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  809020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809039 */     GIR_RootConstrainSelectedInstOperands,
     /*  809040 */     // GIR_Coverage, 21953,
     /*  809040 */     GIR_EraseRootFromParent_Done,
     /*  809041 */   // Label 12497: @809041
     /*  809041 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(809116), // Rule ID 21956 //
     /*  809046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  809095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809114 */     GIR_RootConstrainSelectedInstOperands,
     /*  809115 */     // GIR_Coverage, 21956,
     /*  809115 */     GIR_EraseRootFromParent_Done,
     /*  809116 */   // Label 12498: @809116
     /*  809116 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(809191), // Rule ID 21957 //
     /*  809121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  809170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809189 */     GIR_RootConstrainSelectedInstOperands,
     /*  809190 */     // GIR_Coverage, 21957,
     /*  809190 */     GIR_EraseRootFromParent_Done,
     /*  809191 */   // Label 12499: @809191
     /*  809191 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(809266), // Rule ID 21960 //
     /*  809196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  809245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809264 */     GIR_RootConstrainSelectedInstOperands,
     /*  809265 */     // GIR_Coverage, 21960,
     /*  809265 */     GIR_EraseRootFromParent_Done,
     /*  809266 */   // Label 12500: @809266
     /*  809266 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(809341), // Rule ID 21961 //
     /*  809271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  809320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809339 */     GIR_RootConstrainSelectedInstOperands,
     /*  809340 */     // GIR_Coverage, 21961,
     /*  809340 */     GIR_EraseRootFromParent_Done,
     /*  809341 */   // Label 12501: @809341
     /*  809341 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809416), // Rule ID 21964 //
     /*  809346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  809363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  809395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809414 */     GIR_RootConstrainSelectedInstOperands,
     /*  809415 */     // GIR_Coverage, 21964,
     /*  809415 */     GIR_EraseRootFromParent_Done,
     /*  809416 */   // Label 12502: @809416
     /*  809416 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809491), // Rule ID 21965 //
     /*  809421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  809438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  809470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809489 */     GIR_RootConstrainSelectedInstOperands,
     /*  809490 */     // GIR_Coverage, 21965,
     /*  809490 */     GIR_EraseRootFromParent_Done,
     /*  809491 */   // Label 12503: @809491
     /*  809491 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(809566), // Rule ID 21968 //
     /*  809496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809564 */     GIR_RootConstrainSelectedInstOperands,
     /*  809565 */     // GIR_Coverage, 21968,
     /*  809565 */     GIR_EraseRootFromParent_Done,
     /*  809566 */   // Label 12504: @809566
     /*  809566 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809641), // Rule ID 21969 //
     /*  809571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809639 */     GIR_RootConstrainSelectedInstOperands,
     /*  809640 */     // GIR_Coverage, 21969,
     /*  809640 */     GIR_EraseRootFromParent_Done,
     /*  809641 */   // Label 12505: @809641
     /*  809641 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809716), // Rule ID 21972 //
     /*  809646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809714 */     GIR_RootConstrainSelectedInstOperands,
     /*  809715 */     // GIR_Coverage, 21972,
     /*  809715 */     GIR_EraseRootFromParent_Done,
     /*  809716 */   // Label 12506: @809716
     /*  809716 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809791), // Rule ID 21973 //
     /*  809721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809789 */     GIR_RootConstrainSelectedInstOperands,
     /*  809790 */     // GIR_Coverage, 21973,
     /*  809790 */     GIR_EraseRootFromParent_Done,
     /*  809791 */   // Label 12507: @809791
     /*  809791 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809866), // Rule ID 21976 //
     /*  809796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809864 */     GIR_RootConstrainSelectedInstOperands,
     /*  809865 */     // GIR_Coverage, 21976,
     /*  809865 */     GIR_EraseRootFromParent_Done,
     /*  809866 */   // Label 12508: @809866
     /*  809866 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809941), // Rule ID 21977 //
     /*  809871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809939 */     GIR_RootConstrainSelectedInstOperands,
     /*  809940 */     // GIR_Coverage, 21977,
     /*  809940 */     GIR_EraseRootFromParent_Done,
     /*  809941 */   // Label 12509: @809941
     /*  809941 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(810016), // Rule ID 21980 //
     /*  809946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  809963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  809995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810014 */     GIR_RootConstrainSelectedInstOperands,
     /*  810015 */     // GIR_Coverage, 21980,
     /*  810015 */     GIR_EraseRootFromParent_Done,
     /*  810016 */   // Label 12510: @810016
     /*  810016 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(810091), // Rule ID 21981 //
     /*  810021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  810070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810089 */     GIR_RootConstrainSelectedInstOperands,
     /*  810090 */     // GIR_Coverage, 21981,
     /*  810090 */     GIR_EraseRootFromParent_Done,
     /*  810091 */   // Label 12511: @810091
     /*  810091 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(810166), // Rule ID 21984 //
     /*  810096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  810145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810164 */     GIR_RootConstrainSelectedInstOperands,
     /*  810165 */     // GIR_Coverage, 21984,
     /*  810165 */     GIR_EraseRootFromParent_Done,
     /*  810166 */   // Label 12512: @810166
     /*  810166 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(810241), // Rule ID 21985 //
     /*  810171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  810220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810239 */     GIR_RootConstrainSelectedInstOperands,
     /*  810240 */     // GIR_Coverage, 21985,
     /*  810240 */     GIR_EraseRootFromParent_Done,
     /*  810241 */   // Label 12513: @810241
     /*  810241 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(810316), // Rule ID 21988 //
     /*  810246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  810249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  810263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  810295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810314 */     GIR_RootConstrainSelectedInstOperands,
     /*  810315 */     // GIR_Coverage, 21988,
     /*  810315 */     GIR_EraseRootFromParent_Done,
     /*  810316 */   // Label 12514: @810316
     /*  810316 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810391), // Rule ID 21989 //
     /*  810321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  810324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  810338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  810370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810389 */     GIR_RootConstrainSelectedInstOperands,
     /*  810390 */     // GIR_Coverage, 21989,
     /*  810390 */     GIR_EraseRootFromParent_Done,
     /*  810391 */   // Label 12515: @810391
     /*  810391 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810466), // Rule ID 21992 //
     /*  810396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810464 */     GIR_RootConstrainSelectedInstOperands,
     /*  810465 */     // GIR_Coverage, 21992,
     /*  810465 */     GIR_EraseRootFromParent_Done,
     /*  810466 */   // Label 12516: @810466
     /*  810466 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(810541), // Rule ID 21993 //
     /*  810471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810539 */     GIR_RootConstrainSelectedInstOperands,
     /*  810540 */     // GIR_Coverage, 21993,
     /*  810540 */     GIR_EraseRootFromParent_Done,
     /*  810541 */   // Label 12517: @810541
     /*  810541 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(810616), // Rule ID 21996 //
     /*  810546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810614 */     GIR_RootConstrainSelectedInstOperands,
     /*  810615 */     // GIR_Coverage, 21996,
     /*  810615 */     GIR_EraseRootFromParent_Done,
     /*  810616 */   // Label 12518: @810616
     /*  810616 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810691), // Rule ID 21997 //
     /*  810621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810689 */     GIR_RootConstrainSelectedInstOperands,
     /*  810690 */     // GIR_Coverage, 21997,
     /*  810690 */     GIR_EraseRootFromParent_Done,
     /*  810691 */   // Label 12519: @810691
     /*  810691 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810766), // Rule ID 22000 //
     /*  810696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810764 */     GIR_RootConstrainSelectedInstOperands,
     /*  810765 */     // GIR_Coverage, 22000,
     /*  810765 */     GIR_EraseRootFromParent_Done,
     /*  810766 */   // Label 12520: @810766
     /*  810766 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810841), // Rule ID 22001 //
     /*  810771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810839 */     GIR_RootConstrainSelectedInstOperands,
     /*  810840 */     // GIR_Coverage, 22001,
     /*  810840 */     GIR_EraseRootFromParent_Done,
     /*  810841 */   // Label 12521: @810841
     /*  810841 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810916), // Rule ID 22004 //
     /*  810846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810914 */     GIR_RootConstrainSelectedInstOperands,
     /*  810915 */     // GIR_Coverage, 22004,
     /*  810915 */     GIR_EraseRootFromParent_Done,
     /*  810916 */   // Label 12522: @810916
     /*  810916 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810991), // Rule ID 22005 //
     /*  810921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810989 */     GIR_RootConstrainSelectedInstOperands,
     /*  810990 */     // GIR_Coverage, 22005,
     /*  810990 */     GIR_EraseRootFromParent_Done,
     /*  810991 */   // Label 12523: @810991
     /*  810991 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(811066), // Rule ID 22008 //
     /*  810996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  811045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811064 */     GIR_RootConstrainSelectedInstOperands,
     /*  811065 */     // GIR_Coverage, 22008,
     /*  811065 */     GIR_EraseRootFromParent_Done,
     /*  811066 */   // Label 12524: @811066
     /*  811066 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(811141), // Rule ID 22009 //
     /*  811071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  811120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811139 */     GIR_RootConstrainSelectedInstOperands,
     /*  811140 */     // GIR_Coverage, 22009,
     /*  811140 */     GIR_EraseRootFromParent_Done,
     /*  811141 */   // Label 12525: @811141
     /*  811141 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(811216), // Rule ID 22012 //
     /*  811146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  811195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811214 */     GIR_RootConstrainSelectedInstOperands,
     /*  811215 */     // GIR_Coverage, 22012,
     /*  811215 */     GIR_EraseRootFromParent_Done,
     /*  811216 */   // Label 12526: @811216
     /*  811216 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(811291), // Rule ID 22013 //
     /*  811221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  811270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811289 */     GIR_RootConstrainSelectedInstOperands,
     /*  811290 */     // GIR_Coverage, 22013,
     /*  811290 */     GIR_EraseRootFromParent_Done,
     /*  811291 */   // Label 12527: @811291
     /*  811291 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811366), // Rule ID 22016 //
     /*  811296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  811345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811364 */     GIR_RootConstrainSelectedInstOperands,
     /*  811365 */     // GIR_Coverage, 22016,
     /*  811365 */     GIR_EraseRootFromParent_Done,
     /*  811366 */   // Label 12528: @811366
     /*  811366 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811441), // Rule ID 22017 //
     /*  811371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  811420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811439 */     GIR_RootConstrainSelectedInstOperands,
     /*  811440 */     // GIR_Coverage, 22017,
     /*  811440 */     GIR_EraseRootFromParent_Done,
     /*  811441 */   // Label 12529: @811441
     /*  811441 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811516), // Rule ID 22020 //
     /*  811446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811514 */     GIR_RootConstrainSelectedInstOperands,
     /*  811515 */     // GIR_Coverage, 22020,
     /*  811515 */     GIR_EraseRootFromParent_Done,
     /*  811516 */   // Label 12530: @811516
     /*  811516 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(811591), // Rule ID 22021 //
     /*  811521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811589 */     GIR_RootConstrainSelectedInstOperands,
     /*  811590 */     // GIR_Coverage, 22021,
     /*  811590 */     GIR_EraseRootFromParent_Done,
     /*  811591 */   // Label 12531: @811591
     /*  811591 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811666), // Rule ID 22024 //
     /*  811596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811664 */     GIR_RootConstrainSelectedInstOperands,
     /*  811665 */     // GIR_Coverage, 22024,
     /*  811665 */     GIR_EraseRootFromParent_Done,
     /*  811666 */   // Label 12532: @811666
     /*  811666 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811741), // Rule ID 22025 //
     /*  811671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811739 */     GIR_RootConstrainSelectedInstOperands,
     /*  811740 */     // GIR_Coverage, 22025,
     /*  811740 */     GIR_EraseRootFromParent_Done,
     /*  811741 */   // Label 12533: @811741
     /*  811741 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811816), // Rule ID 22028 //
     /*  811746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811814 */     GIR_RootConstrainSelectedInstOperands,
     /*  811815 */     // GIR_Coverage, 22028,
     /*  811815 */     GIR_EraseRootFromParent_Done,
     /*  811816 */   // Label 12534: @811816
     /*  811816 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811891), // Rule ID 22029 //
     /*  811821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811889 */     GIR_RootConstrainSelectedInstOperands,
     /*  811890 */     // GIR_Coverage, 22029,
     /*  811890 */     GIR_EraseRootFromParent_Done,
     /*  811891 */   // Label 12535: @811891
     /*  811891 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811966), // Rule ID 22032 //
     /*  811896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  811945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811964 */     GIR_RootConstrainSelectedInstOperands,
     /*  811965 */     // GIR_Coverage, 22032,
     /*  811965 */     GIR_EraseRootFromParent_Done,
     /*  811966 */   // Label 12536: @811966
     /*  811966 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(812041), // Rule ID 22033 //
     /*  811971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  812020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812039 */     GIR_RootConstrainSelectedInstOperands,
     /*  812040 */     // GIR_Coverage, 22033,
     /*  812040 */     GIR_EraseRootFromParent_Done,
     /*  812041 */   // Label 12537: @812041
     /*  812041 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(812116), // Rule ID 22036 //
     /*  812046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  812095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812114 */     GIR_RootConstrainSelectedInstOperands,
     /*  812115 */     // GIR_Coverage, 22036,
     /*  812115 */     GIR_EraseRootFromParent_Done,
     /*  812116 */   // Label 12538: @812116
     /*  812116 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(812191), // Rule ID 22037 //
     /*  812121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  812170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812189 */     GIR_RootConstrainSelectedInstOperands,
     /*  812190 */     // GIR_Coverage, 22037,
     /*  812190 */     GIR_EraseRootFromParent_Done,
     /*  812191 */   // Label 12539: @812191
     /*  812191 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(812266), // Rule ID 22040 //
     /*  812196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  812245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812264 */     GIR_RootConstrainSelectedInstOperands,
     /*  812265 */     // GIR_Coverage, 22040,
     /*  812265 */     GIR_EraseRootFromParent_Done,
     /*  812266 */   // Label 12540: @812266
     /*  812266 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(812341), // Rule ID 22041 //
     /*  812271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  812320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812339 */     GIR_RootConstrainSelectedInstOperands,
     /*  812340 */     // GIR_Coverage, 22041,
     /*  812340 */     GIR_EraseRootFromParent_Done,
     /*  812341 */   // Label 12541: @812341
     /*  812341 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812416), // Rule ID 22044 //
     /*  812346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  812395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812414 */     GIR_RootConstrainSelectedInstOperands,
     /*  812415 */     // GIR_Coverage, 22044,
     /*  812415 */     GIR_EraseRootFromParent_Done,
     /*  812416 */   // Label 12542: @812416
     /*  812416 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812491), // Rule ID 22045 //
     /*  812421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  812470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812489 */     GIR_RootConstrainSelectedInstOperands,
     /*  812490 */     // GIR_Coverage, 22045,
     /*  812490 */     GIR_EraseRootFromParent_Done,
     /*  812491 */   // Label 12543: @812491
     /*  812491 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(812566), // Rule ID 22048 //
     /*  812496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812564 */     GIR_RootConstrainSelectedInstOperands,
     /*  812565 */     // GIR_Coverage, 22048,
     /*  812565 */     GIR_EraseRootFromParent_Done,
     /*  812566 */   // Label 12544: @812566
     /*  812566 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812641), // Rule ID 22049 //
     /*  812571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812639 */     GIR_RootConstrainSelectedInstOperands,
     /*  812640 */     // GIR_Coverage, 22049,
     /*  812640 */     GIR_EraseRootFromParent_Done,
     /*  812641 */   // Label 12545: @812641
     /*  812641 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812716), // Rule ID 22052 //
     /*  812646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812714 */     GIR_RootConstrainSelectedInstOperands,
     /*  812715 */     // GIR_Coverage, 22052,
     /*  812715 */     GIR_EraseRootFromParent_Done,
     /*  812716 */   // Label 12546: @812716
     /*  812716 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812791), // Rule ID 22053 //
     /*  812721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812789 */     GIR_RootConstrainSelectedInstOperands,
     /*  812790 */     // GIR_Coverage, 22053,
     /*  812790 */     GIR_EraseRootFromParent_Done,
     /*  812791 */   // Label 12547: @812791
     /*  812791 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812866), // Rule ID 22056 //
     /*  812796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812864 */     GIR_RootConstrainSelectedInstOperands,
     /*  812865 */     // GIR_Coverage, 22056,
     /*  812865 */     GIR_EraseRootFromParent_Done,
     /*  812866 */   // Label 12548: @812866
     /*  812866 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812941), // Rule ID 22057 //
     /*  812871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812939 */     GIR_RootConstrainSelectedInstOperands,
     /*  812940 */     // GIR_Coverage, 22057,
     /*  812940 */     GIR_EraseRootFromParent_Done,
     /*  812941 */   // Label 12549: @812941
     /*  812941 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(813016), // Rule ID 22060 //
     /*  812946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  812995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813014 */     GIR_RootConstrainSelectedInstOperands,
     /*  813015 */     // GIR_Coverage, 22060,
     /*  813015 */     GIR_EraseRootFromParent_Done,
     /*  813016 */   // Label 12550: @813016
     /*  813016 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(813091), // Rule ID 22061 //
     /*  813021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  813070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813089 */     GIR_RootConstrainSelectedInstOperands,
     /*  813090 */     // GIR_Coverage, 22061,
     /*  813090 */     GIR_EraseRootFromParent_Done,
     /*  813091 */   // Label 12551: @813091
     /*  813091 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(813166), // Rule ID 22064 //
     /*  813096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  813145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813164 */     GIR_RootConstrainSelectedInstOperands,
     /*  813165 */     // GIR_Coverage, 22064,
     /*  813165 */     GIR_EraseRootFromParent_Done,
     /*  813166 */   // Label 12552: @813166
     /*  813166 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(813241), // Rule ID 22065 //
     /*  813171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  813220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813239 */     GIR_RootConstrainSelectedInstOperands,
     /*  813240 */     // GIR_Coverage, 22065,
     /*  813240 */     GIR_EraseRootFromParent_Done,
     /*  813241 */   // Label 12553: @813241
     /*  813241 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(813316), // Rule ID 22068 //
     /*  813246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  813295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813314 */     GIR_RootConstrainSelectedInstOperands,
     /*  813315 */     // GIR_Coverage, 22068,
     /*  813315 */     GIR_EraseRootFromParent_Done,
     /*  813316 */   // Label 12554: @813316
     /*  813316 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813391), // Rule ID 22069 //
     /*  813321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  813370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813389 */     GIR_RootConstrainSelectedInstOperands,
     /*  813390 */     // GIR_Coverage, 22069,
     /*  813390 */     GIR_EraseRootFromParent_Done,
     /*  813391 */   // Label 12555: @813391
     /*  813391 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813466), // Rule ID 22072 //
     /*  813396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813464 */     GIR_RootConstrainSelectedInstOperands,
     /*  813465 */     // GIR_Coverage, 22072,
     /*  813465 */     GIR_EraseRootFromParent_Done,
     /*  813466 */   // Label 12556: @813466
     /*  813466 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(813541), // Rule ID 22073 //
     /*  813471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813539 */     GIR_RootConstrainSelectedInstOperands,
     /*  813540 */     // GIR_Coverage, 22073,
     /*  813540 */     GIR_EraseRootFromParent_Done,
     /*  813541 */   // Label 12557: @813541
     /*  813541 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(813616), // Rule ID 22076 //
     /*  813546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813614 */     GIR_RootConstrainSelectedInstOperands,
     /*  813615 */     // GIR_Coverage, 22076,
     /*  813615 */     GIR_EraseRootFromParent_Done,
     /*  813616 */   // Label 12558: @813616
     /*  813616 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813691), // Rule ID 22077 //
     /*  813621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813689 */     GIR_RootConstrainSelectedInstOperands,
     /*  813690 */     // GIR_Coverage, 22077,
     /*  813690 */     GIR_EraseRootFromParent_Done,
     /*  813691 */   // Label 12559: @813691
     /*  813691 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813766), // Rule ID 22080 //
     /*  813696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813764 */     GIR_RootConstrainSelectedInstOperands,
     /*  813765 */     // GIR_Coverage, 22080,
     /*  813765 */     GIR_EraseRootFromParent_Done,
     /*  813766 */   // Label 12560: @813766
     /*  813766 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813841), // Rule ID 22081 //
     /*  813771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813839 */     GIR_RootConstrainSelectedInstOperands,
     /*  813840 */     // GIR_Coverage, 22081,
     /*  813840 */     GIR_EraseRootFromParent_Done,
     /*  813841 */   // Label 12561: @813841
     /*  813841 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813916), // Rule ID 22084 //
     /*  813846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813914 */     GIR_RootConstrainSelectedInstOperands,
     /*  813915 */     // GIR_Coverage, 22084,
     /*  813915 */     GIR_EraseRootFromParent_Done,
     /*  813916 */   // Label 12562: @813916
     /*  813916 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813991), // Rule ID 22085 //
     /*  813921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813989 */     GIR_RootConstrainSelectedInstOperands,
     /*  813990 */     // GIR_Coverage, 22085,
     /*  813990 */     GIR_EraseRootFromParent_Done,
     /*  813991 */   // Label 12563: @813991
     /*  813991 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(814066), // Rule ID 22088 //
     /*  813996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814042 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  814045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814064 */     GIR_RootConstrainSelectedInstOperands,
     /*  814065 */     // GIR_Coverage, 22088,
     /*  814065 */     GIR_EraseRootFromParent_Done,
     /*  814066 */   // Label 12564: @814066
     /*  814066 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(814141), // Rule ID 22089 //
     /*  814071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  814120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814139 */     GIR_RootConstrainSelectedInstOperands,
     /*  814140 */     // GIR_Coverage, 22089,
     /*  814140 */     GIR_EraseRootFromParent_Done,
     /*  814141 */   // Label 12565: @814141
     /*  814141 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(814216), // Rule ID 22092 //
     /*  814146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  814195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814214 */     GIR_RootConstrainSelectedInstOperands,
     /*  814215 */     // GIR_Coverage, 22092,
     /*  814215 */     GIR_EraseRootFromParent_Done,
     /*  814216 */   // Label 12566: @814216
     /*  814216 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(814291), // Rule ID 22093 //
     /*  814221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  814270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814289 */     GIR_RootConstrainSelectedInstOperands,
     /*  814290 */     // GIR_Coverage, 22093,
     /*  814290 */     GIR_EraseRootFromParent_Done,
     /*  814291 */   // Label 12567: @814291
     /*  814291 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814366), // Rule ID 22096 //
     /*  814296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  814345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814364 */     GIR_RootConstrainSelectedInstOperands,
     /*  814365 */     // GIR_Coverage, 22096,
     /*  814365 */     GIR_EraseRootFromParent_Done,
     /*  814366 */   // Label 12568: @814366
     /*  814366 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814441), // Rule ID 22097 //
     /*  814371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  814420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814439 */     GIR_RootConstrainSelectedInstOperands,
     /*  814440 */     // GIR_Coverage, 22097,
     /*  814440 */     GIR_EraseRootFromParent_Done,
     /*  814441 */   // Label 12569: @814441
     /*  814441 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814516), // Rule ID 22100 //
     /*  814446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814514 */     GIR_RootConstrainSelectedInstOperands,
     /*  814515 */     // GIR_Coverage, 22100,
     /*  814515 */     GIR_EraseRootFromParent_Done,
     /*  814516 */   // Label 12570: @814516
     /*  814516 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(814591), // Rule ID 22101 //
     /*  814521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814589 */     GIR_RootConstrainSelectedInstOperands,
     /*  814590 */     // GIR_Coverage, 22101,
     /*  814590 */     GIR_EraseRootFromParent_Done,
     /*  814591 */   // Label 12571: @814591
     /*  814591 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814666), // Rule ID 22104 //
     /*  814596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814664 */     GIR_RootConstrainSelectedInstOperands,
     /*  814665 */     // GIR_Coverage, 22104,
     /*  814665 */     GIR_EraseRootFromParent_Done,
     /*  814666 */   // Label 12572: @814666
     /*  814666 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814741), // Rule ID 22105 //
     /*  814671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814739 */     GIR_RootConstrainSelectedInstOperands,
     /*  814740 */     // GIR_Coverage, 22105,
     /*  814740 */     GIR_EraseRootFromParent_Done,
     /*  814741 */   // Label 12573: @814741
     /*  814741 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814816), // Rule ID 22108 //
     /*  814746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814814 */     GIR_RootConstrainSelectedInstOperands,
     /*  814815 */     // GIR_Coverage, 22108,
     /*  814815 */     GIR_EraseRootFromParent_Done,
     /*  814816 */   // Label 12574: @814816
     /*  814816 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814891), // Rule ID 22109 //
     /*  814821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814889 */     GIR_RootConstrainSelectedInstOperands,
     /*  814890 */     // GIR_Coverage, 22109,
     /*  814890 */     GIR_EraseRootFromParent_Done,
     /*  814891 */   // Label 12575: @814891
     /*  814891 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814966), // Rule ID 22112 //
     /*  814896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  814945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814964 */     GIR_RootConstrainSelectedInstOperands,
     /*  814965 */     // GIR_Coverage, 22112,
     /*  814965 */     GIR_EraseRootFromParent_Done,
     /*  814966 */   // Label 12576: @814966
     /*  814966 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(815041), // Rule ID 22113 //
     /*  814971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  815020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815039 */     GIR_RootConstrainSelectedInstOperands,
     /*  815040 */     // GIR_Coverage, 22113,
     /*  815040 */     GIR_EraseRootFromParent_Done,
     /*  815041 */   // Label 12577: @815041
     /*  815041 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(815116), // Rule ID 22116 //
     /*  815046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  815095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815114 */     GIR_RootConstrainSelectedInstOperands,
     /*  815115 */     // GIR_Coverage, 22116,
     /*  815115 */     GIR_EraseRootFromParent_Done,
     /*  815116 */   // Label 12578: @815116
     /*  815116 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(815191), // Rule ID 22117 //
     /*  815121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  815170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815189 */     GIR_RootConstrainSelectedInstOperands,
     /*  815190 */     // GIR_Coverage, 22117,
     /*  815190 */     GIR_EraseRootFromParent_Done,
     /*  815191 */   // Label 12579: @815191
     /*  815191 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(815266), // Rule ID 22120 //
     /*  815196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  815245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815264 */     GIR_RootConstrainSelectedInstOperands,
     /*  815265 */     // GIR_Coverage, 22120,
     /*  815265 */     GIR_EraseRootFromParent_Done,
     /*  815266 */   // Label 12580: @815266
     /*  815266 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(815341), // Rule ID 22121 //
     /*  815271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  815320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815339 */     GIR_RootConstrainSelectedInstOperands,
     /*  815340 */     // GIR_Coverage, 22121,
     /*  815340 */     GIR_EraseRootFromParent_Done,
     /*  815341 */   // Label 12581: @815341
     /*  815341 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815416), // Rule ID 22124 //
     /*  815346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  815395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815414 */     GIR_RootConstrainSelectedInstOperands,
     /*  815415 */     // GIR_Coverage, 22124,
     /*  815415 */     GIR_EraseRootFromParent_Done,
     /*  815416 */   // Label 12582: @815416
     /*  815416 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815491), // Rule ID 22125 //
     /*  815421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  815470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815489 */     GIR_RootConstrainSelectedInstOperands,
     /*  815490 */     // GIR_Coverage, 22125,
     /*  815490 */     GIR_EraseRootFromParent_Done,
     /*  815491 */   // Label 12583: @815491
     /*  815491 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(815566), // Rule ID 22128 //
     /*  815496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815564 */     GIR_RootConstrainSelectedInstOperands,
     /*  815565 */     // GIR_Coverage, 22128,
     /*  815565 */     GIR_EraseRootFromParent_Done,
     /*  815566 */   // Label 12584: @815566
     /*  815566 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815641), // Rule ID 22129 //
     /*  815571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815639 */     GIR_RootConstrainSelectedInstOperands,
     /*  815640 */     // GIR_Coverage, 22129,
     /*  815640 */     GIR_EraseRootFromParent_Done,
     /*  815641 */   // Label 12585: @815641
     /*  815641 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815716), // Rule ID 22132 //
     /*  815646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815714 */     GIR_RootConstrainSelectedInstOperands,
     /*  815715 */     // GIR_Coverage, 22132,
     /*  815715 */     GIR_EraseRootFromParent_Done,
     /*  815716 */   // Label 12586: @815716
     /*  815716 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815791), // Rule ID 22133 //
     /*  815721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815789 */     GIR_RootConstrainSelectedInstOperands,
     /*  815790 */     // GIR_Coverage, 22133,
     /*  815790 */     GIR_EraseRootFromParent_Done,
     /*  815791 */   // Label 12587: @815791
     /*  815791 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815866), // Rule ID 22136 //
     /*  815796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815864 */     GIR_RootConstrainSelectedInstOperands,
     /*  815865 */     // GIR_Coverage, 22136,
     /*  815865 */     GIR_EraseRootFromParent_Done,
     /*  815866 */   // Label 12588: @815866
     /*  815866 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815941), // Rule ID 22137 //
     /*  815871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815939 */     GIR_RootConstrainSelectedInstOperands,
     /*  815940 */     // GIR_Coverage, 22137,
     /*  815940 */     GIR_EraseRootFromParent_Done,
     /*  815941 */   // Label 12589: @815941
     /*  815941 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(816016), // Rule ID 22140 //
     /*  815946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  815995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816014 */     GIR_RootConstrainSelectedInstOperands,
     /*  816015 */     // GIR_Coverage, 22140,
     /*  816015 */     GIR_EraseRootFromParent_Done,
     /*  816016 */   // Label 12590: @816016
     /*  816016 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(816091), // Rule ID 22141 //
     /*  816021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  816070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816089 */     GIR_RootConstrainSelectedInstOperands,
     /*  816090 */     // GIR_Coverage, 22141,
     /*  816090 */     GIR_EraseRootFromParent_Done,
     /*  816091 */   // Label 12591: @816091
     /*  816091 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(816166), // Rule ID 22144 //
     /*  816096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  816145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816164 */     GIR_RootConstrainSelectedInstOperands,
     /*  816165 */     // GIR_Coverage, 22144,
     /*  816165 */     GIR_EraseRootFromParent_Done,
     /*  816166 */   // Label 12592: @816166
     /*  816166 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(816241), // Rule ID 22145 //
     /*  816171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  816220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816239 */     GIR_RootConstrainSelectedInstOperands,
     /*  816240 */     // GIR_Coverage, 22145,
     /*  816240 */     GIR_EraseRootFromParent_Done,
     /*  816241 */   // Label 12593: @816241
     /*  816241 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(816316), // Rule ID 22148 //
     /*  816246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  816295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816314 */     GIR_RootConstrainSelectedInstOperands,
     /*  816315 */     // GIR_Coverage, 22148,
     /*  816315 */     GIR_EraseRootFromParent_Done,
     /*  816316 */   // Label 12594: @816316
     /*  816316 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816391), // Rule ID 22149 //
     /*  816321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  816370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816389 */     GIR_RootConstrainSelectedInstOperands,
     /*  816390 */     // GIR_Coverage, 22149,
     /*  816390 */     GIR_EraseRootFromParent_Done,
     /*  816391 */   // Label 12595: @816391
     /*  816391 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816466), // Rule ID 22152 //
     /*  816396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816464 */     GIR_RootConstrainSelectedInstOperands,
     /*  816465 */     // GIR_Coverage, 22152,
     /*  816465 */     GIR_EraseRootFromParent_Done,
     /*  816466 */   // Label 12596: @816466
     /*  816466 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(816541), // Rule ID 22153 //
     /*  816471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816539 */     GIR_RootConstrainSelectedInstOperands,
     /*  816540 */     // GIR_Coverage, 22153,
     /*  816540 */     GIR_EraseRootFromParent_Done,
     /*  816541 */   // Label 12597: @816541
     /*  816541 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(816616), // Rule ID 22156 //
     /*  816546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816614 */     GIR_RootConstrainSelectedInstOperands,
     /*  816615 */     // GIR_Coverage, 22156,
     /*  816615 */     GIR_EraseRootFromParent_Done,
     /*  816616 */   // Label 12598: @816616
     /*  816616 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816691), // Rule ID 22157 //
     /*  816621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816689 */     GIR_RootConstrainSelectedInstOperands,
     /*  816690 */     // GIR_Coverage, 22157,
     /*  816690 */     GIR_EraseRootFromParent_Done,
     /*  816691 */   // Label 12599: @816691
     /*  816691 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816766), // Rule ID 22160 //
     /*  816696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816764 */     GIR_RootConstrainSelectedInstOperands,
     /*  816765 */     // GIR_Coverage, 22160,
     /*  816765 */     GIR_EraseRootFromParent_Done,
     /*  816766 */   // Label 12600: @816766
     /*  816766 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816841), // Rule ID 22161 //
     /*  816771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816839 */     GIR_RootConstrainSelectedInstOperands,
     /*  816840 */     // GIR_Coverage, 22161,
     /*  816840 */     GIR_EraseRootFromParent_Done,
     /*  816841 */   // Label 12601: @816841
     /*  816841 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816916), // Rule ID 22164 //
     /*  816846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816914 */     GIR_RootConstrainSelectedInstOperands,
     /*  816915 */     // GIR_Coverage, 22164,
     /*  816915 */     GIR_EraseRootFromParent_Done,
     /*  816916 */   // Label 12602: @816916
     /*  816916 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816991), // Rule ID 22165 //
     /*  816921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816989 */     GIR_RootConstrainSelectedInstOperands,
     /*  816990 */     // GIR_Coverage, 22165,
     /*  816990 */     GIR_EraseRootFromParent_Done,
     /*  816991 */   // Label 12603: @816991
     /*  816991 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(817066), // Rule ID 22168 //
     /*  816996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817042 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  817045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817064 */     GIR_RootConstrainSelectedInstOperands,
     /*  817065 */     // GIR_Coverage, 22168,
     /*  817065 */     GIR_EraseRootFromParent_Done,
     /*  817066 */   // Label 12604: @817066
     /*  817066 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(817141), // Rule ID 22169 //
     /*  817071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  817120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817139 */     GIR_RootConstrainSelectedInstOperands,
     /*  817140 */     // GIR_Coverage, 22169,
     /*  817140 */     GIR_EraseRootFromParent_Done,
     /*  817141 */   // Label 12605: @817141
     /*  817141 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(817216), // Rule ID 22172 //
     /*  817146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  817195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817214 */     GIR_RootConstrainSelectedInstOperands,
     /*  817215 */     // GIR_Coverage, 22172,
     /*  817215 */     GIR_EraseRootFromParent_Done,
     /*  817216 */   // Label 12606: @817216
     /*  817216 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(817291), // Rule ID 22173 //
     /*  817221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  817270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817289 */     GIR_RootConstrainSelectedInstOperands,
     /*  817290 */     // GIR_Coverage, 22173,
     /*  817290 */     GIR_EraseRootFromParent_Done,
     /*  817291 */   // Label 12607: @817291
     /*  817291 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817366), // Rule ID 22176 //
     /*  817296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  817345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817364 */     GIR_RootConstrainSelectedInstOperands,
     /*  817365 */     // GIR_Coverage, 22176,
     /*  817365 */     GIR_EraseRootFromParent_Done,
     /*  817366 */   // Label 12608: @817366
     /*  817366 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817441), // Rule ID 22177 //
     /*  817371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817417 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  817420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817439 */     GIR_RootConstrainSelectedInstOperands,
     /*  817440 */     // GIR_Coverage, 22177,
     /*  817440 */     GIR_EraseRootFromParent_Done,
     /*  817441 */   // Label 12609: @817441
     /*  817441 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817516), // Rule ID 22180 //
     /*  817446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817514 */     GIR_RootConstrainSelectedInstOperands,
     /*  817515 */     // GIR_Coverage, 22180,
     /*  817515 */     GIR_EraseRootFromParent_Done,
     /*  817516 */   // Label 12610: @817516
     /*  817516 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(817591), // Rule ID 22181 //
     /*  817521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817589 */     GIR_RootConstrainSelectedInstOperands,
     /*  817590 */     // GIR_Coverage, 22181,
     /*  817590 */     GIR_EraseRootFromParent_Done,
     /*  817591 */   // Label 12611: @817591
     /*  817591 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817666), // Rule ID 22184 //
     /*  817596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817664 */     GIR_RootConstrainSelectedInstOperands,
     /*  817665 */     // GIR_Coverage, 22184,
     /*  817665 */     GIR_EraseRootFromParent_Done,
     /*  817666 */   // Label 12612: @817666
     /*  817666 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817741), // Rule ID 22185 //
     /*  817671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817739 */     GIR_RootConstrainSelectedInstOperands,
     /*  817740 */     // GIR_Coverage, 22185,
     /*  817740 */     GIR_EraseRootFromParent_Done,
     /*  817741 */   // Label 12613: @817741
     /*  817741 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817816), // Rule ID 22188 //
     /*  817746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817814 */     GIR_RootConstrainSelectedInstOperands,
     /*  817815 */     // GIR_Coverage, 22188,
     /*  817815 */     GIR_EraseRootFromParent_Done,
     /*  817816 */   // Label 12614: @817816
     /*  817816 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817891), // Rule ID 22189 //
     /*  817821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817889 */     GIR_RootConstrainSelectedInstOperands,
     /*  817890 */     // GIR_Coverage, 22189,
     /*  817890 */     GIR_EraseRootFromParent_Done,
     /*  817891 */   // Label 12615: @817891
     /*  817891 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817966), // Rule ID 22192 //
     /*  817896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  817945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817964 */     GIR_RootConstrainSelectedInstOperands,
     /*  817965 */     // GIR_Coverage, 22192,
     /*  817965 */     GIR_EraseRootFromParent_Done,
     /*  817966 */   // Label 12616: @817966
     /*  817966 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(818041), // Rule ID 22193 //
     /*  817971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  818020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818039 */     GIR_RootConstrainSelectedInstOperands,
     /*  818040 */     // GIR_Coverage, 22193,
     /*  818040 */     GIR_EraseRootFromParent_Done,
     /*  818041 */   // Label 12617: @818041
     /*  818041 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(818116), // Rule ID 22196 //
     /*  818046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  818095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818114 */     GIR_RootConstrainSelectedInstOperands,
     /*  818115 */     // GIR_Coverage, 22196,
     /*  818115 */     GIR_EraseRootFromParent_Done,
     /*  818116 */   // Label 12618: @818116
     /*  818116 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(818191), // Rule ID 22197 //
     /*  818121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  818170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818189 */     GIR_RootConstrainSelectedInstOperands,
     /*  818190 */     // GIR_Coverage, 22197,
     /*  818190 */     GIR_EraseRootFromParent_Done,
     /*  818191 */   // Label 12619: @818191
     /*  818191 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(818266), // Rule ID 22200 //
     /*  818196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  818245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818264 */     GIR_RootConstrainSelectedInstOperands,
     /*  818265 */     // GIR_Coverage, 22200,
     /*  818265 */     GIR_EraseRootFromParent_Done,
     /*  818266 */   // Label 12620: @818266
     /*  818266 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(818341), // Rule ID 22201 //
     /*  818271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  818320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818339 */     GIR_RootConstrainSelectedInstOperands,
     /*  818340 */     // GIR_Coverage, 22201,
     /*  818340 */     GIR_EraseRootFromParent_Done,
     /*  818341 */   // Label 12621: @818341
     /*  818341 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818416), // Rule ID 22204 //
     /*  818346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  818363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  818395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818414 */     GIR_RootConstrainSelectedInstOperands,
     /*  818415 */     // GIR_Coverage, 22204,
     /*  818415 */     GIR_EraseRootFromParent_Done,
     /*  818416 */   // Label 12622: @818416
     /*  818416 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818491), // Rule ID 22205 //
     /*  818421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  818438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  818470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818489 */     GIR_RootConstrainSelectedInstOperands,
     /*  818490 */     // GIR_Coverage, 22205,
     /*  818490 */     GIR_EraseRootFromParent_Done,
     /*  818491 */   // Label 12623: @818491
     /*  818491 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(818566), // Rule ID 22208 //
     /*  818496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818564 */     GIR_RootConstrainSelectedInstOperands,
     /*  818565 */     // GIR_Coverage, 22208,
     /*  818565 */     GIR_EraseRootFromParent_Done,
     /*  818566 */   // Label 12624: @818566
     /*  818566 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818641), // Rule ID 22209 //
     /*  818571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818639 */     GIR_RootConstrainSelectedInstOperands,
     /*  818640 */     // GIR_Coverage, 22209,
     /*  818640 */     GIR_EraseRootFromParent_Done,
     /*  818641 */   // Label 12625: @818641
     /*  818641 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818716), // Rule ID 22212 //
     /*  818646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818714 */     GIR_RootConstrainSelectedInstOperands,
     /*  818715 */     // GIR_Coverage, 22212,
     /*  818715 */     GIR_EraseRootFromParent_Done,
     /*  818716 */   // Label 12626: @818716
     /*  818716 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818791), // Rule ID 22213 //
     /*  818721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818789 */     GIR_RootConstrainSelectedInstOperands,
     /*  818790 */     // GIR_Coverage, 22213,
     /*  818790 */     GIR_EraseRootFromParent_Done,
     /*  818791 */   // Label 12627: @818791
     /*  818791 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818866), // Rule ID 22216 //
     /*  818796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818864 */     GIR_RootConstrainSelectedInstOperands,
     /*  818865 */     // GIR_Coverage, 22216,
     /*  818865 */     GIR_EraseRootFromParent_Done,
     /*  818866 */   // Label 12628: @818866
     /*  818866 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818941), // Rule ID 22217 //
     /*  818871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818939 */     GIR_RootConstrainSelectedInstOperands,
     /*  818940 */     // GIR_Coverage, 22217,
     /*  818940 */     GIR_EraseRootFromParent_Done,
     /*  818941 */   // Label 12629: @818941
     /*  818941 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(819016), // Rule ID 22220 //
     /*  818946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  818963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  818995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819014 */     GIR_RootConstrainSelectedInstOperands,
     /*  819015 */     // GIR_Coverage, 22220,
     /*  819015 */     GIR_EraseRootFromParent_Done,
     /*  819016 */   // Label 12630: @819016
     /*  819016 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(819091), // Rule ID 22221 //
     /*  819021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  819070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819089 */     GIR_RootConstrainSelectedInstOperands,
     /*  819090 */     // GIR_Coverage, 22221,
     /*  819090 */     GIR_EraseRootFromParent_Done,
     /*  819091 */   // Label 12631: @819091
     /*  819091 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(819166), // Rule ID 22224 //
     /*  819096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  819145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819164 */     GIR_RootConstrainSelectedInstOperands,
     /*  819165 */     // GIR_Coverage, 22224,
     /*  819165 */     GIR_EraseRootFromParent_Done,
     /*  819166 */   // Label 12632: @819166
     /*  819166 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(819241), // Rule ID 22225 //
     /*  819171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  819220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819239 */     GIR_RootConstrainSelectedInstOperands,
     /*  819240 */     // GIR_Coverage, 22225,
     /*  819240 */     GIR_EraseRootFromParent_Done,
     /*  819241 */   // Label 12633: @819241
     /*  819241 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(819316), // Rule ID 22228 //
     /*  819246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  819263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  819295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819314 */     GIR_RootConstrainSelectedInstOperands,
     /*  819315 */     // GIR_Coverage, 22228,
     /*  819315 */     GIR_EraseRootFromParent_Done,
     /*  819316 */   // Label 12634: @819316
     /*  819316 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819391), // Rule ID 22229 //
     /*  819321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  819338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  819370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819389 */     GIR_RootConstrainSelectedInstOperands,
     /*  819390 */     // GIR_Coverage, 22229,
     /*  819390 */     GIR_EraseRootFromParent_Done,
     /*  819391 */   // Label 12635: @819391
     /*  819391 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819466), // Rule ID 22232 //
     /*  819396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819464 */     GIR_RootConstrainSelectedInstOperands,
     /*  819465 */     // GIR_Coverage, 22232,
     /*  819465 */     GIR_EraseRootFromParent_Done,
     /*  819466 */   // Label 12636: @819466
     /*  819466 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(819541), // Rule ID 22233 //
     /*  819471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819539 */     GIR_RootConstrainSelectedInstOperands,
     /*  819540 */     // GIR_Coverage, 22233,
     /*  819540 */     GIR_EraseRootFromParent_Done,
     /*  819541 */   // Label 12637: @819541
     /*  819541 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(819616), // Rule ID 22236 //
     /*  819546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819614 */     GIR_RootConstrainSelectedInstOperands,
     /*  819615 */     // GIR_Coverage, 22236,
     /*  819615 */     GIR_EraseRootFromParent_Done,
     /*  819616 */   // Label 12638: @819616
     /*  819616 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819691), // Rule ID 22237 //
     /*  819621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819689 */     GIR_RootConstrainSelectedInstOperands,
     /*  819690 */     // GIR_Coverage, 22237,
     /*  819690 */     GIR_EraseRootFromParent_Done,
     /*  819691 */   // Label 12639: @819691
     /*  819691 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819766), // Rule ID 22240 //
     /*  819696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819764 */     GIR_RootConstrainSelectedInstOperands,
     /*  819765 */     // GIR_Coverage, 22240,
     /*  819765 */     GIR_EraseRootFromParent_Done,
     /*  819766 */   // Label 12640: @819766
     /*  819766 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819841), // Rule ID 22241 //
     /*  819771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819839 */     GIR_RootConstrainSelectedInstOperands,
     /*  819840 */     // GIR_Coverage, 22241,
     /*  819840 */     GIR_EraseRootFromParent_Done,
     /*  819841 */   // Label 12641: @819841
     /*  819841 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819916), // Rule ID 22244 //
     /*  819846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819914 */     GIR_RootConstrainSelectedInstOperands,
     /*  819915 */     // GIR_Coverage, 22244,
     /*  819915 */     GIR_EraseRootFromParent_Done,
     /*  819916 */   // Label 12642: @819916
     /*  819916 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819991), // Rule ID 22245 //
     /*  819921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819989 */     GIR_RootConstrainSelectedInstOperands,
     /*  819990 */     // GIR_Coverage, 22245,
     /*  819990 */     GIR_EraseRootFromParent_Done,
     /*  819991 */   // Label 12643: @819991
     /*  819991 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(820066), // Rule ID 22248 //
     /*  819996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  820045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820064 */     GIR_RootConstrainSelectedInstOperands,
     /*  820065 */     // GIR_Coverage, 22248,
     /*  820065 */     GIR_EraseRootFromParent_Done,
     /*  820066 */   // Label 12644: @820066
     /*  820066 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(820141), // Rule ID 22249 //
     /*  820071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  820120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820139 */     GIR_RootConstrainSelectedInstOperands,
     /*  820140 */     // GIR_Coverage, 22249,
     /*  820140 */     GIR_EraseRootFromParent_Done,
     /*  820141 */   // Label 12645: @820141
     /*  820141 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(820216), // Rule ID 22252 //
     /*  820146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  820195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820214 */     GIR_RootConstrainSelectedInstOperands,
     /*  820215 */     // GIR_Coverage, 22252,
     /*  820215 */     GIR_EraseRootFromParent_Done,
     /*  820216 */   // Label 12646: @820216
     /*  820216 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(820291), // Rule ID 22253 //
     /*  820221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  820270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820289 */     GIR_RootConstrainSelectedInstOperands,
     /*  820290 */     // GIR_Coverage, 22253,
     /*  820290 */     GIR_EraseRootFromParent_Done,
     /*  820291 */   // Label 12647: @820291
     /*  820291 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820366), // Rule ID 22256 //
     /*  820296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  820345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820364 */     GIR_RootConstrainSelectedInstOperands,
     /*  820365 */     // GIR_Coverage, 22256,
     /*  820365 */     GIR_EraseRootFromParent_Done,
     /*  820366 */   // Label 12648: @820366
     /*  820366 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820441), // Rule ID 22257 //
     /*  820371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820417 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  820420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820439 */     GIR_RootConstrainSelectedInstOperands,
     /*  820440 */     // GIR_Coverage, 22257,
     /*  820440 */     GIR_EraseRootFromParent_Done,
     /*  820441 */   // Label 12649: @820441
     /*  820441 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820516), // Rule ID 22260 //
     /*  820446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820514 */     GIR_RootConstrainSelectedInstOperands,
     /*  820515 */     // GIR_Coverage, 22260,
     /*  820515 */     GIR_EraseRootFromParent_Done,
     /*  820516 */   // Label 12650: @820516
     /*  820516 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(820591), // Rule ID 22261 //
     /*  820521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820567 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820589 */     GIR_RootConstrainSelectedInstOperands,
     /*  820590 */     // GIR_Coverage, 22261,
     /*  820590 */     GIR_EraseRootFromParent_Done,
     /*  820591 */   // Label 12651: @820591
     /*  820591 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820666), // Rule ID 22264 //
     /*  820596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820664 */     GIR_RootConstrainSelectedInstOperands,
     /*  820665 */     // GIR_Coverage, 22264,
     /*  820665 */     GIR_EraseRootFromParent_Done,
     /*  820666 */   // Label 12652: @820666
     /*  820666 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820741), // Rule ID 22265 //
     /*  820671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820739 */     GIR_RootConstrainSelectedInstOperands,
     /*  820740 */     // GIR_Coverage, 22265,
     /*  820740 */     GIR_EraseRootFromParent_Done,
     /*  820741 */   // Label 12653: @820741
     /*  820741 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820816), // Rule ID 22268 //
     /*  820746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820814 */     GIR_RootConstrainSelectedInstOperands,
     /*  820815 */     // GIR_Coverage, 22268,
     /*  820815 */     GIR_EraseRootFromParent_Done,
     /*  820816 */   // Label 12654: @820816
     /*  820816 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820891), // Rule ID 22269 //
     /*  820821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820889 */     GIR_RootConstrainSelectedInstOperands,
     /*  820890 */     // GIR_Coverage, 22269,
     /*  820890 */     GIR_EraseRootFromParent_Done,
     /*  820891 */   // Label 12655: @820891
     /*  820891 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820966), // Rule ID 22272 //
     /*  820896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  820945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820964 */     GIR_RootConstrainSelectedInstOperands,
     /*  820965 */     // GIR_Coverage, 22272,
     /*  820965 */     GIR_EraseRootFromParent_Done,
     /*  820966 */   // Label 12656: @820966
     /*  820966 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(821041), // Rule ID 22273 //
     /*  820971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821017 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  821020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821039 */     GIR_RootConstrainSelectedInstOperands,
     /*  821040 */     // GIR_Coverage, 22273,
     /*  821040 */     GIR_EraseRootFromParent_Done,
     /*  821041 */   // Label 12657: @821041
     /*  821041 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(821116), // Rule ID 22276 //
     /*  821046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  821095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821114 */     GIR_RootConstrainSelectedInstOperands,
     /*  821115 */     // GIR_Coverage, 22276,
     /*  821115 */     GIR_EraseRootFromParent_Done,
     /*  821116 */   // Label 12658: @821116
     /*  821116 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(821191), // Rule ID 22277 //
     /*  821121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  821170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821189 */     GIR_RootConstrainSelectedInstOperands,
     /*  821190 */     // GIR_Coverage, 22277,
     /*  821190 */     GIR_EraseRootFromParent_Done,
     /*  821191 */   // Label 12659: @821191
     /*  821191 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(821266), // Rule ID 22280 //
     /*  821196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  821245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821264 */     GIR_RootConstrainSelectedInstOperands,
     /*  821265 */     // GIR_Coverage, 22280,
     /*  821265 */     GIR_EraseRootFromParent_Done,
     /*  821266 */   // Label 12660: @821266
     /*  821266 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(821341), // Rule ID 22281 //
     /*  821271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  821320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821339 */     GIR_RootConstrainSelectedInstOperands,
     /*  821340 */     // GIR_Coverage, 22281,
     /*  821340 */     GIR_EraseRootFromParent_Done,
     /*  821341 */   // Label 12661: @821341
     /*  821341 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821416), // Rule ID 22284 //
     /*  821346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  821363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  821395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821414 */     GIR_RootConstrainSelectedInstOperands,
     /*  821415 */     // GIR_Coverage, 22284,
     /*  821415 */     GIR_EraseRootFromParent_Done,
     /*  821416 */   // Label 12662: @821416
     /*  821416 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821491), // Rule ID 22285 //
     /*  821421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  821438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  821470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821489 */     GIR_RootConstrainSelectedInstOperands,
     /*  821490 */     // GIR_Coverage, 22285,
     /*  821490 */     GIR_EraseRootFromParent_Done,
     /*  821491 */   // Label 12663: @821491
     /*  821491 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(821566), // Rule ID 22288 //
     /*  821496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821564 */     GIR_RootConstrainSelectedInstOperands,
     /*  821565 */     // GIR_Coverage, 22288,
     /*  821565 */     GIR_EraseRootFromParent_Done,
     /*  821566 */   // Label 12664: @821566
     /*  821566 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821641), // Rule ID 22289 //
     /*  821571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821639 */     GIR_RootConstrainSelectedInstOperands,
     /*  821640 */     // GIR_Coverage, 22289,
     /*  821640 */     GIR_EraseRootFromParent_Done,
     /*  821641 */   // Label 12665: @821641
     /*  821641 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821716), // Rule ID 22292 //
     /*  821646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821714 */     GIR_RootConstrainSelectedInstOperands,
     /*  821715 */     // GIR_Coverage, 22292,
     /*  821715 */     GIR_EraseRootFromParent_Done,
     /*  821716 */   // Label 12666: @821716
     /*  821716 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821791), // Rule ID 22293 //
     /*  821721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821789 */     GIR_RootConstrainSelectedInstOperands,
     /*  821790 */     // GIR_Coverage, 22293,
     /*  821790 */     GIR_EraseRootFromParent_Done,
     /*  821791 */   // Label 12667: @821791
     /*  821791 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821866), // Rule ID 22296 //
     /*  821796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821864 */     GIR_RootConstrainSelectedInstOperands,
     /*  821865 */     // GIR_Coverage, 22296,
     /*  821865 */     GIR_EraseRootFromParent_Done,
     /*  821866 */   // Label 12668: @821866
     /*  821866 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821941), // Rule ID 22297 //
     /*  821871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821917 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821939 */     GIR_RootConstrainSelectedInstOperands,
     /*  821940 */     // GIR_Coverage, 22297,
     /*  821940 */     GIR_EraseRootFromParent_Done,
     /*  821941 */   // Label 12669: @821941
     /*  821941 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(822016), // Rule ID 22300 //
     /*  821946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  821995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822014 */     GIR_RootConstrainSelectedInstOperands,
     /*  822015 */     // GIR_Coverage, 22300,
     /*  822015 */     GIR_EraseRootFromParent_Done,
     /*  822016 */   // Label 12670: @822016
     /*  822016 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(822091), // Rule ID 22301 //
     /*  822021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  822070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822089 */     GIR_RootConstrainSelectedInstOperands,
     /*  822090 */     // GIR_Coverage, 22301,
     /*  822090 */     GIR_EraseRootFromParent_Done,
     /*  822091 */   // Label 12671: @822091
     /*  822091 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(822166), // Rule ID 22304 //
     /*  822096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  822145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822164 */     GIR_RootConstrainSelectedInstOperands,
     /*  822165 */     // GIR_Coverage, 22304,
     /*  822165 */     GIR_EraseRootFromParent_Done,
     /*  822166 */   // Label 12672: @822166
     /*  822166 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(822241), // Rule ID 22305 //
     /*  822171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  822220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822239 */     GIR_RootConstrainSelectedInstOperands,
     /*  822240 */     // GIR_Coverage, 22305,
     /*  822240 */     GIR_EraseRootFromParent_Done,
     /*  822241 */   // Label 12673: @822241
     /*  822241 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(822316), // Rule ID 22308 //
     /*  822246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  822263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  822295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822314 */     GIR_RootConstrainSelectedInstOperands,
     /*  822315 */     // GIR_Coverage, 22308,
     /*  822315 */     GIR_EraseRootFromParent_Done,
     /*  822316 */   // Label 12674: @822316
     /*  822316 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822391), // Rule ID 22309 //
     /*  822321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  822338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  822370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822389 */     GIR_RootConstrainSelectedInstOperands,
     /*  822390 */     // GIR_Coverage, 22309,
     /*  822390 */     GIR_EraseRootFromParent_Done,
     /*  822391 */   // Label 12675: @822391
     /*  822391 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822466), // Rule ID 22312 //
     /*  822396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822464 */     GIR_RootConstrainSelectedInstOperands,
     /*  822465 */     // GIR_Coverage, 22312,
     /*  822465 */     GIR_EraseRootFromParent_Done,
     /*  822466 */   // Label 12676: @822466
     /*  822466 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(822541), // Rule ID 22313 //
     /*  822471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822539 */     GIR_RootConstrainSelectedInstOperands,
     /*  822540 */     // GIR_Coverage, 22313,
     /*  822540 */     GIR_EraseRootFromParent_Done,
     /*  822541 */   // Label 12677: @822541
     /*  822541 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(822616), // Rule ID 22316 //
     /*  822546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822614 */     GIR_RootConstrainSelectedInstOperands,
     /*  822615 */     // GIR_Coverage, 22316,
     /*  822615 */     GIR_EraseRootFromParent_Done,
     /*  822616 */   // Label 12678: @822616
     /*  822616 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822691), // Rule ID 22317 //
     /*  822621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822689 */     GIR_RootConstrainSelectedInstOperands,
     /*  822690 */     // GIR_Coverage, 22317,
     /*  822690 */     GIR_EraseRootFromParent_Done,
     /*  822691 */   // Label 12679: @822691
     /*  822691 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822766), // Rule ID 22320 //
     /*  822696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822764 */     GIR_RootConstrainSelectedInstOperands,
     /*  822765 */     // GIR_Coverage, 22320,
     /*  822765 */     GIR_EraseRootFromParent_Done,
     /*  822766 */   // Label 12680: @822766
     /*  822766 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822841), // Rule ID 22321 //
     /*  822771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822839 */     GIR_RootConstrainSelectedInstOperands,
     /*  822840 */     // GIR_Coverage, 22321,
     /*  822840 */     GIR_EraseRootFromParent_Done,
     /*  822841 */   // Label 12681: @822841
     /*  822841 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822916), // Rule ID 22324 //
     /*  822846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822914 */     GIR_RootConstrainSelectedInstOperands,
     /*  822915 */     // GIR_Coverage, 22324,
     /*  822915 */     GIR_EraseRootFromParent_Done,
     /*  822916 */   // Label 12682: @822916
     /*  822916 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822991), // Rule ID 22325 //
     /*  822921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822989 */     GIR_RootConstrainSelectedInstOperands,
     /*  822990 */     // GIR_Coverage, 22325,
     /*  822990 */     GIR_EraseRootFromParent_Done,
     /*  822991 */   // Label 12683: @822991
     /*  822991 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(823066), // Rule ID 22328 //
     /*  822996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823042 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  823045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823064 */     GIR_RootConstrainSelectedInstOperands,
     /*  823065 */     // GIR_Coverage, 22328,
     /*  823065 */     GIR_EraseRootFromParent_Done,
     /*  823066 */   // Label 12684: @823066
     /*  823066 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(823141), // Rule ID 22329 //
     /*  823071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  823120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823139 */     GIR_RootConstrainSelectedInstOperands,
     /*  823140 */     // GIR_Coverage, 22329,
     /*  823140 */     GIR_EraseRootFromParent_Done,
     /*  823141 */   // Label 12685: @823141
     /*  823141 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(823216), // Rule ID 22332 //
     /*  823146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  823195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823214 */     GIR_RootConstrainSelectedInstOperands,
     /*  823215 */     // GIR_Coverage, 22332,
     /*  823215 */     GIR_EraseRootFromParent_Done,
     /*  823216 */   // Label 12686: @823216
     /*  823216 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(823291), // Rule ID 22333 //
     /*  823221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  823270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823289 */     GIR_RootConstrainSelectedInstOperands,
     /*  823290 */     // GIR_Coverage, 22333,
     /*  823290 */     GIR_EraseRootFromParent_Done,
     /*  823291 */   // Label 12687: @823291
     /*  823291 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823366), // Rule ID 22336 //
     /*  823296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  823345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823364 */     GIR_RootConstrainSelectedInstOperands,
     /*  823365 */     // GIR_Coverage, 22336,
     /*  823365 */     GIR_EraseRootFromParent_Done,
     /*  823366 */   // Label 12688: @823366
     /*  823366 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823441), // Rule ID 22337 //
     /*  823371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  823420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823439 */     GIR_RootConstrainSelectedInstOperands,
     /*  823440 */     // GIR_Coverage, 22337,
     /*  823440 */     GIR_EraseRootFromParent_Done,
     /*  823441 */   // Label 12689: @823441
     /*  823441 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823516), // Rule ID 22340 //
     /*  823446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823514 */     GIR_RootConstrainSelectedInstOperands,
     /*  823515 */     // GIR_Coverage, 22340,
     /*  823515 */     GIR_EraseRootFromParent_Done,
     /*  823516 */   // Label 12690: @823516
     /*  823516 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(823591), // Rule ID 22341 //
     /*  823521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823589 */     GIR_RootConstrainSelectedInstOperands,
     /*  823590 */     // GIR_Coverage, 22341,
     /*  823590 */     GIR_EraseRootFromParent_Done,
     /*  823591 */   // Label 12691: @823591
     /*  823591 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823666), // Rule ID 22344 //
     /*  823596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823664 */     GIR_RootConstrainSelectedInstOperands,
     /*  823665 */     // GIR_Coverage, 22344,
     /*  823665 */     GIR_EraseRootFromParent_Done,
     /*  823666 */   // Label 12692: @823666
     /*  823666 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823741), // Rule ID 22345 //
     /*  823671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823739 */     GIR_RootConstrainSelectedInstOperands,
     /*  823740 */     // GIR_Coverage, 22345,
     /*  823740 */     GIR_EraseRootFromParent_Done,
     /*  823741 */   // Label 12693: @823741
     /*  823741 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823816), // Rule ID 22348 //
     /*  823746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823814 */     GIR_RootConstrainSelectedInstOperands,
     /*  823815 */     // GIR_Coverage, 22348,
     /*  823815 */     GIR_EraseRootFromParent_Done,
     /*  823816 */   // Label 12694: @823816
     /*  823816 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823891), // Rule ID 22349 //
     /*  823821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823889 */     GIR_RootConstrainSelectedInstOperands,
     /*  823890 */     // GIR_Coverage, 22349,
     /*  823890 */     GIR_EraseRootFromParent_Done,
     /*  823891 */   // Label 12695: @823891
     /*  823891 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823966), // Rule ID 22352 //
     /*  823896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  823945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823964 */     GIR_RootConstrainSelectedInstOperands,
     /*  823965 */     // GIR_Coverage, 22352,
     /*  823965 */     GIR_EraseRootFromParent_Done,
     /*  823966 */   // Label 12696: @823966
     /*  823966 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(824041), // Rule ID 22353 //
     /*  823971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  824020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824039 */     GIR_RootConstrainSelectedInstOperands,
     /*  824040 */     // GIR_Coverage, 22353,
     /*  824040 */     GIR_EraseRootFromParent_Done,
     /*  824041 */   // Label 12697: @824041
     /*  824041 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(824116), // Rule ID 22356 //
     /*  824046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  824095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824114 */     GIR_RootConstrainSelectedInstOperands,
     /*  824115 */     // GIR_Coverage, 22356,
     /*  824115 */     GIR_EraseRootFromParent_Done,
     /*  824116 */   // Label 12698: @824116
     /*  824116 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(824191), // Rule ID 22357 //
     /*  824121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  824170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824189 */     GIR_RootConstrainSelectedInstOperands,
     /*  824190 */     // GIR_Coverage, 22357,
     /*  824190 */     GIR_EraseRootFromParent_Done,
     /*  824191 */   // Label 12699: @824191
     /*  824191 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(824266), // Rule ID 22360 //
     /*  824196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  824245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824264 */     GIR_RootConstrainSelectedInstOperands,
     /*  824265 */     // GIR_Coverage, 22360,
     /*  824265 */     GIR_EraseRootFromParent_Done,
     /*  824266 */   // Label 12700: @824266
     /*  824266 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(824341), // Rule ID 22361 //
     /*  824271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  824320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824339 */     GIR_RootConstrainSelectedInstOperands,
     /*  824340 */     // GIR_Coverage, 22361,
     /*  824340 */     GIR_EraseRootFromParent_Done,
     /*  824341 */   // Label 12701: @824341
     /*  824341 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824416), // Rule ID 22364 //
     /*  824346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  824363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  824395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824414 */     GIR_RootConstrainSelectedInstOperands,
     /*  824415 */     // GIR_Coverage, 22364,
     /*  824415 */     GIR_EraseRootFromParent_Done,
     /*  824416 */   // Label 12702: @824416
     /*  824416 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824491), // Rule ID 22365 //
     /*  824421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  824438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  824470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824489 */     GIR_RootConstrainSelectedInstOperands,
     /*  824490 */     // GIR_Coverage, 22365,
     /*  824490 */     GIR_EraseRootFromParent_Done,
     /*  824491 */   // Label 12703: @824491
     /*  824491 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(824566), // Rule ID 22368 //
     /*  824496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824564 */     GIR_RootConstrainSelectedInstOperands,
     /*  824565 */     // GIR_Coverage, 22368,
     /*  824565 */     GIR_EraseRootFromParent_Done,
     /*  824566 */   // Label 12704: @824566
     /*  824566 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824641), // Rule ID 22369 //
     /*  824571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824639 */     GIR_RootConstrainSelectedInstOperands,
     /*  824640 */     // GIR_Coverage, 22369,
     /*  824640 */     GIR_EraseRootFromParent_Done,
     /*  824641 */   // Label 12705: @824641
     /*  824641 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824716), // Rule ID 22372 //
     /*  824646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824714 */     GIR_RootConstrainSelectedInstOperands,
     /*  824715 */     // GIR_Coverage, 22372,
     /*  824715 */     GIR_EraseRootFromParent_Done,
     /*  824716 */   // Label 12706: @824716
     /*  824716 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824791), // Rule ID 22373 //
     /*  824721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824789 */     GIR_RootConstrainSelectedInstOperands,
     /*  824790 */     // GIR_Coverage, 22373,
     /*  824790 */     GIR_EraseRootFromParent_Done,
     /*  824791 */   // Label 12707: @824791
     /*  824791 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824866), // Rule ID 22376 //
     /*  824796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824864 */     GIR_RootConstrainSelectedInstOperands,
     /*  824865 */     // GIR_Coverage, 22376,
     /*  824865 */     GIR_EraseRootFromParent_Done,
     /*  824866 */   // Label 12708: @824866
     /*  824866 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824941), // Rule ID 22377 //
     /*  824871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824939 */     GIR_RootConstrainSelectedInstOperands,
     /*  824940 */     // GIR_Coverage, 22377,
     /*  824940 */     GIR_EraseRootFromParent_Done,
     /*  824941 */   // Label 12709: @824941
     /*  824941 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(825016), // Rule ID 22380 //
     /*  824946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  824963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  824995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825014 */     GIR_RootConstrainSelectedInstOperands,
     /*  825015 */     // GIR_Coverage, 22380,
     /*  825015 */     GIR_EraseRootFromParent_Done,
     /*  825016 */   // Label 12710: @825016
     /*  825016 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(825091), // Rule ID 22381 //
     /*  825021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  825070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825089 */     GIR_RootConstrainSelectedInstOperands,
     /*  825090 */     // GIR_Coverage, 22381,
     /*  825090 */     GIR_EraseRootFromParent_Done,
     /*  825091 */   // Label 12711: @825091
     /*  825091 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(825166), // Rule ID 22384 //
     /*  825096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  825145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825164 */     GIR_RootConstrainSelectedInstOperands,
     /*  825165 */     // GIR_Coverage, 22384,
     /*  825165 */     GIR_EraseRootFromParent_Done,
     /*  825166 */   // Label 12712: @825166
     /*  825166 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(825241), // Rule ID 22385 //
     /*  825171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  825220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825239 */     GIR_RootConstrainSelectedInstOperands,
     /*  825240 */     // GIR_Coverage, 22385,
     /*  825240 */     GIR_EraseRootFromParent_Done,
     /*  825241 */   // Label 12713: @825241
     /*  825241 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(825316), // Rule ID 22388 //
     /*  825246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  825263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  825295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825314 */     GIR_RootConstrainSelectedInstOperands,
     /*  825315 */     // GIR_Coverage, 22388,
     /*  825315 */     GIR_EraseRootFromParent_Done,
     /*  825316 */   // Label 12714: @825316
     /*  825316 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825391), // Rule ID 22389 //
     /*  825321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  825338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  825370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825389 */     GIR_RootConstrainSelectedInstOperands,
     /*  825390 */     // GIR_Coverage, 22389,
     /*  825390 */     GIR_EraseRootFromParent_Done,
     /*  825391 */   // Label 12715: @825391
     /*  825391 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825466), // Rule ID 22392 //
     /*  825396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825464 */     GIR_RootConstrainSelectedInstOperands,
     /*  825465 */     // GIR_Coverage, 22392,
     /*  825465 */     GIR_EraseRootFromParent_Done,
     /*  825466 */   // Label 12716: @825466
     /*  825466 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(825541), // Rule ID 22393 //
     /*  825471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825539 */     GIR_RootConstrainSelectedInstOperands,
     /*  825540 */     // GIR_Coverage, 22393,
     /*  825540 */     GIR_EraseRootFromParent_Done,
     /*  825541 */   // Label 12717: @825541
     /*  825541 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(825616), // Rule ID 22396 //
     /*  825546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825614 */     GIR_RootConstrainSelectedInstOperands,
     /*  825615 */     // GIR_Coverage, 22396,
     /*  825615 */     GIR_EraseRootFromParent_Done,
     /*  825616 */   // Label 12718: @825616
     /*  825616 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(825691), // Rule ID 22397 //
     /*  825621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825689 */     GIR_RootConstrainSelectedInstOperands,
     /*  825690 */     // GIR_Coverage, 22397,
     /*  825690 */     GIR_EraseRootFromParent_Done,
     /*  825691 */   // Label 12719: @825691
     /*  825691 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(825766), // Rule ID 22400 //
     /*  825696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825764 */     GIR_RootConstrainSelectedInstOperands,
     /*  825765 */     // GIR_Coverage, 22400,
     /*  825765 */     GIR_EraseRootFromParent_Done,
     /*  825766 */   // Label 12720: @825766
     /*  825766 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825841), // Rule ID 22401 //
     /*  825771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825839 */     GIR_RootConstrainSelectedInstOperands,
     /*  825840 */     // GIR_Coverage, 22401,
     /*  825840 */     GIR_EraseRootFromParent_Done,
     /*  825841 */   // Label 12721: @825841
     /*  825841 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825916), // Rule ID 22404 //
     /*  825846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825914 */     GIR_RootConstrainSelectedInstOperands,
     /*  825915 */     // GIR_Coverage, 22404,
     /*  825915 */     GIR_EraseRootFromParent_Done,
     /*  825916 */   // Label 12722: @825916
     /*  825916 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825991), // Rule ID 22405 //
     /*  825921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825989 */     GIR_RootConstrainSelectedInstOperands,
     /*  825990 */     // GIR_Coverage, 22405,
     /*  825990 */     GIR_EraseRootFromParent_Done,
     /*  825991 */   // Label 12723: @825991
     /*  825991 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(826066), // Rule ID 22408 //
     /*  825996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  826045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826064 */     GIR_RootConstrainSelectedInstOperands,
     /*  826065 */     // GIR_Coverage, 22408,
     /*  826065 */     GIR_EraseRootFromParent_Done,
     /*  826066 */   // Label 12724: @826066
     /*  826066 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(826141), // Rule ID 22409 //
     /*  826071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  826120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826139 */     GIR_RootConstrainSelectedInstOperands,
     /*  826140 */     // GIR_Coverage, 22409,
     /*  826140 */     GIR_EraseRootFromParent_Done,
     /*  826141 */   // Label 12725: @826141
     /*  826141 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(826216), // Rule ID 22412 //
     /*  826146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  826195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826214 */     GIR_RootConstrainSelectedInstOperands,
     /*  826215 */     // GIR_Coverage, 22412,
     /*  826215 */     GIR_EraseRootFromParent_Done,
     /*  826216 */   // Label 12726: @826216
     /*  826216 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(826291), // Rule ID 22413 //
     /*  826221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  826270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826289 */     GIR_RootConstrainSelectedInstOperands,
     /*  826290 */     // GIR_Coverage, 22413,
     /*  826290 */     GIR_EraseRootFromParent_Done,
     /*  826291 */   // Label 12727: @826291
     /*  826291 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826366), // Rule ID 22416 //
     /*  826296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  826345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826364 */     GIR_RootConstrainSelectedInstOperands,
     /*  826365 */     // GIR_Coverage, 22416,
     /*  826365 */     GIR_EraseRootFromParent_Done,
     /*  826366 */   // Label 12728: @826366
     /*  826366 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826441), // Rule ID 22417 //
     /*  826371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826417 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  826420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826439 */     GIR_RootConstrainSelectedInstOperands,
     /*  826440 */     // GIR_Coverage, 22417,
     /*  826440 */     GIR_EraseRootFromParent_Done,
     /*  826441 */   // Label 12729: @826441
     /*  826441 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826516), // Rule ID 22420 //
     /*  826446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826514 */     GIR_RootConstrainSelectedInstOperands,
     /*  826515 */     // GIR_Coverage, 22420,
     /*  826515 */     GIR_EraseRootFromParent_Done,
     /*  826516 */   // Label 12730: @826516
     /*  826516 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(826591), // Rule ID 22421 //
     /*  826521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826589 */     GIR_RootConstrainSelectedInstOperands,
     /*  826590 */     // GIR_Coverage, 22421,
     /*  826590 */     GIR_EraseRootFromParent_Done,
     /*  826591 */   // Label 12731: @826591
     /*  826591 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(826666), // Rule ID 22424 //
     /*  826596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826664 */     GIR_RootConstrainSelectedInstOperands,
     /*  826665 */     // GIR_Coverage, 22424,
     /*  826665 */     GIR_EraseRootFromParent_Done,
     /*  826666 */   // Label 12732: @826666
     /*  826666 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(826741), // Rule ID 22425 //
     /*  826671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826739 */     GIR_RootConstrainSelectedInstOperands,
     /*  826740 */     // GIR_Coverage, 22425,
     /*  826740 */     GIR_EraseRootFromParent_Done,
     /*  826741 */   // Label 12733: @826741
     /*  826741 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826816), // Rule ID 22428 //
     /*  826746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826814 */     GIR_RootConstrainSelectedInstOperands,
     /*  826815 */     // GIR_Coverage, 22428,
     /*  826815 */     GIR_EraseRootFromParent_Done,
     /*  826816 */   // Label 12734: @826816
     /*  826816 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826891), // Rule ID 22429 //
     /*  826821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826889 */     GIR_RootConstrainSelectedInstOperands,
     /*  826890 */     // GIR_Coverage, 22429,
     /*  826890 */     GIR_EraseRootFromParent_Done,
     /*  826891 */   // Label 12735: @826891
     /*  826891 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826966), // Rule ID 22432 //
     /*  826896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  826945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826964 */     GIR_RootConstrainSelectedInstOperands,
     /*  826965 */     // GIR_Coverage, 22432,
     /*  826965 */     GIR_EraseRootFromParent_Done,
     /*  826966 */   // Label 12736: @826966
     /*  826966 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(827041), // Rule ID 22433 //
     /*  826971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  827020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827039 */     GIR_RootConstrainSelectedInstOperands,
     /*  827040 */     // GIR_Coverage, 22433,
     /*  827040 */     GIR_EraseRootFromParent_Done,
     /*  827041 */   // Label 12737: @827041
     /*  827041 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(827116), // Rule ID 22436 //
     /*  827046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  827095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827114 */     GIR_RootConstrainSelectedInstOperands,
     /*  827115 */     // GIR_Coverage, 22436,
     /*  827115 */     GIR_EraseRootFromParent_Done,
     /*  827116 */   // Label 12738: @827116
     /*  827116 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(827191), // Rule ID 22437 //
     /*  827121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  827170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827189 */     GIR_RootConstrainSelectedInstOperands,
     /*  827190 */     // GIR_Coverage, 22437,
     /*  827190 */     GIR_EraseRootFromParent_Done,
     /*  827191 */   // Label 12739: @827191
     /*  827191 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(827266), // Rule ID 22440 //
     /*  827196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  827245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827264 */     GIR_RootConstrainSelectedInstOperands,
     /*  827265 */     // GIR_Coverage, 22440,
     /*  827265 */     GIR_EraseRootFromParent_Done,
     /*  827266 */   // Label 12740: @827266
     /*  827266 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(827341), // Rule ID 22441 //
     /*  827271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  827320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827339 */     GIR_RootConstrainSelectedInstOperands,
     /*  827340 */     // GIR_Coverage, 22441,
     /*  827340 */     GIR_EraseRootFromParent_Done,
     /*  827341 */   // Label 12741: @827341
     /*  827341 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(827416), // Rule ID 22444 //
     /*  827346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  827395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827414 */     GIR_RootConstrainSelectedInstOperands,
     /*  827415 */     // GIR_Coverage, 22444,
     /*  827415 */     GIR_EraseRootFromParent_Done,
     /*  827416 */   // Label 12742: @827416
     /*  827416 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(827491), // Rule ID 22445 //
     /*  827421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  827470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827489 */     GIR_RootConstrainSelectedInstOperands,
     /*  827490 */     // GIR_Coverage, 22445,
     /*  827490 */     GIR_EraseRootFromParent_Done,
     /*  827491 */   // Label 12743: @827491
     /*  827491 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(827566), // Rule ID 22448 //
     /*  827496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827564 */     GIR_RootConstrainSelectedInstOperands,
     /*  827565 */     // GIR_Coverage, 22448,
     /*  827565 */     GIR_EraseRootFromParent_Done,
     /*  827566 */   // Label 12744: @827566
     /*  827566 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(827641), // Rule ID 22449 //
     /*  827571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827639 */     GIR_RootConstrainSelectedInstOperands,
     /*  827640 */     // GIR_Coverage, 22449,
     /*  827640 */     GIR_EraseRootFromParent_Done,
     /*  827641 */   // Label 12745: @827641
     /*  827641 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(827716), // Rule ID 22452 //
     /*  827646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827714 */     GIR_RootConstrainSelectedInstOperands,
     /*  827715 */     // GIR_Coverage, 22452,
     /*  827715 */     GIR_EraseRootFromParent_Done,
     /*  827716 */   // Label 12746: @827716
     /*  827716 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827791), // Rule ID 22453 //
     /*  827721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827789 */     GIR_RootConstrainSelectedInstOperands,
     /*  827790 */     // GIR_Coverage, 22453,
     /*  827790 */     GIR_EraseRootFromParent_Done,
     /*  827791 */   // Label 12747: @827791
     /*  827791 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827866), // Rule ID 22456 //
     /*  827796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827864 */     GIR_RootConstrainSelectedInstOperands,
     /*  827865 */     // GIR_Coverage, 22456,
     /*  827865 */     GIR_EraseRootFromParent_Done,
     /*  827866 */   // Label 12748: @827866
     /*  827866 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827941), // Rule ID 22457 //
     /*  827871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827939 */     GIR_RootConstrainSelectedInstOperands,
     /*  827940 */     // GIR_Coverage, 22457,
     /*  827940 */     GIR_EraseRootFromParent_Done,
     /*  827941 */   // Label 12749: @827941
     /*  827941 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(828016), // Rule ID 22460 //
     /*  827946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  827963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  827995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828014 */     GIR_RootConstrainSelectedInstOperands,
     /*  828015 */     // GIR_Coverage, 22460,
     /*  828015 */     GIR_EraseRootFromParent_Done,
     /*  828016 */   // Label 12750: @828016
     /*  828016 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(828091), // Rule ID 22461 //
     /*  828021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  828070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828089 */     GIR_RootConstrainSelectedInstOperands,
     /*  828090 */     // GIR_Coverage, 22461,
     /*  828090 */     GIR_EraseRootFromParent_Done,
     /*  828091 */   // Label 12751: @828091
     /*  828091 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(828166), // Rule ID 22464 //
     /*  828096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  828145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828164 */     GIR_RootConstrainSelectedInstOperands,
     /*  828165 */     // GIR_Coverage, 22464,
     /*  828165 */     GIR_EraseRootFromParent_Done,
     /*  828166 */   // Label 12752: @828166
     /*  828166 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(828241), // Rule ID 22465 //
     /*  828171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  828220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828239 */     GIR_RootConstrainSelectedInstOperands,
     /*  828240 */     // GIR_Coverage, 22465,
     /*  828240 */     GIR_EraseRootFromParent_Done,
     /*  828241 */   // Label 12753: @828241
     /*  828241 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(828316), // Rule ID 22468 //
     /*  828246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  828263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  828295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828314 */     GIR_RootConstrainSelectedInstOperands,
     /*  828315 */     // GIR_Coverage, 22468,
     /*  828315 */     GIR_EraseRootFromParent_Done,
     /*  828316 */   // Label 12754: @828316
     /*  828316 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(828391), // Rule ID 22469 //
     /*  828321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  828338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  828370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828389 */     GIR_RootConstrainSelectedInstOperands,
     /*  828390 */     // GIR_Coverage, 22469,
     /*  828390 */     GIR_EraseRootFromParent_Done,
     /*  828391 */   // Label 12755: @828391
     /*  828391 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(828466), // Rule ID 22472 //
     /*  828396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  828413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828464 */     GIR_RootConstrainSelectedInstOperands,
     /*  828465 */     // GIR_Coverage, 22472,
     /*  828465 */     GIR_EraseRootFromParent_Done,
     /*  828466 */   // Label 12756: @828466
     /*  828466 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(828541), // Rule ID 22473 //
     /*  828471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  828488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828539 */     GIR_RootConstrainSelectedInstOperands,
     /*  828540 */     // GIR_Coverage, 22473,
     /*  828540 */     GIR_EraseRootFromParent_Done,
     /*  828541 */   // Label 12757: @828541
     /*  828541 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(828616), // Rule ID 22476 //
     /*  828546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828614 */     GIR_RootConstrainSelectedInstOperands,
     /*  828615 */     // GIR_Coverage, 22476,
     /*  828615 */     GIR_EraseRootFromParent_Done,
     /*  828616 */   // Label 12758: @828616
     /*  828616 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(828691), // Rule ID 22477 //
     /*  828621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828689 */     GIR_RootConstrainSelectedInstOperands,
     /*  828690 */     // GIR_Coverage, 22477,
     /*  828690 */     GIR_EraseRootFromParent_Done,
     /*  828691 */   // Label 12759: @828691
     /*  828691 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(828766), // Rule ID 22480 //
     /*  828696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828764 */     GIR_RootConstrainSelectedInstOperands,
     /*  828765 */     // GIR_Coverage, 22480,
     /*  828765 */     GIR_EraseRootFromParent_Done,
     /*  828766 */   // Label 12760: @828766
     /*  828766 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828841), // Rule ID 22481 //
     /*  828771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828839 */     GIR_RootConstrainSelectedInstOperands,
     /*  828840 */     // GIR_Coverage, 22481,
     /*  828840 */     GIR_EraseRootFromParent_Done,
     /*  828841 */   // Label 12761: @828841
     /*  828841 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828916), // Rule ID 22484 //
     /*  828846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828914 */     GIR_RootConstrainSelectedInstOperands,
     /*  828915 */     // GIR_Coverage, 22484,
     /*  828915 */     GIR_EraseRootFromParent_Done,
     /*  828916 */   // Label 12762: @828916
     /*  828916 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828991), // Rule ID 22485 //
     /*  828921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828989 */     GIR_RootConstrainSelectedInstOperands,
     /*  828990 */     // GIR_Coverage, 22485,
     /*  828990 */     GIR_EraseRootFromParent_Done,
     /*  828991 */   // Label 12763: @828991
     /*  828991 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(829066), // Rule ID 22488 //
     /*  828996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829042 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  829045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829064 */     GIR_RootConstrainSelectedInstOperands,
     /*  829065 */     // GIR_Coverage, 22488,
     /*  829065 */     GIR_EraseRootFromParent_Done,
     /*  829066 */   // Label 12764: @829066
     /*  829066 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(829141), // Rule ID 22489 //
     /*  829071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  829120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829139 */     GIR_RootConstrainSelectedInstOperands,
     /*  829140 */     // GIR_Coverage, 22489,
     /*  829140 */     GIR_EraseRootFromParent_Done,
     /*  829141 */   // Label 12765: @829141
     /*  829141 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(829216), // Rule ID 22492 //
     /*  829146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  829195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829214 */     GIR_RootConstrainSelectedInstOperands,
     /*  829215 */     // GIR_Coverage, 22492,
     /*  829215 */     GIR_EraseRootFromParent_Done,
     /*  829216 */   // Label 12766: @829216
     /*  829216 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(829291), // Rule ID 22493 //
     /*  829221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  829270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829289 */     GIR_RootConstrainSelectedInstOperands,
     /*  829290 */     // GIR_Coverage, 22493,
     /*  829290 */     GIR_EraseRootFromParent_Done,
     /*  829291 */   // Label 12767: @829291
     /*  829291 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(829366), // Rule ID 22496 //
     /*  829296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  829313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  829345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829364 */     GIR_RootConstrainSelectedInstOperands,
     /*  829365 */     // GIR_Coverage, 22496,
     /*  829365 */     GIR_EraseRootFromParent_Done,
     /*  829366 */   // Label 12768: @829366
     /*  829366 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(829441), // Rule ID 22497 //
     /*  829371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  829388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  829420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829439 */     GIR_RootConstrainSelectedInstOperands,
     /*  829440 */     // GIR_Coverage, 22497,
     /*  829440 */     GIR_EraseRootFromParent_Done,
     /*  829441 */   // Label 12769: @829441
     /*  829441 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(829516), // Rule ID 22500 //
     /*  829446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829514 */     GIR_RootConstrainSelectedInstOperands,
     /*  829515 */     // GIR_Coverage, 22500,
     /*  829515 */     GIR_EraseRootFromParent_Done,
     /*  829516 */   // Label 12770: @829516
     /*  829516 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(829591), // Rule ID 22501 //
     /*  829521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829589 */     GIR_RootConstrainSelectedInstOperands,
     /*  829590 */     // GIR_Coverage, 22501,
     /*  829590 */     GIR_EraseRootFromParent_Done,
     /*  829591 */   // Label 12771: @829591
     /*  829591 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(829666), // Rule ID 22504 //
     /*  829596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829664 */     GIR_RootConstrainSelectedInstOperands,
     /*  829665 */     // GIR_Coverage, 22504,
     /*  829665 */     GIR_EraseRootFromParent_Done,
     /*  829666 */   // Label 12772: @829666
     /*  829666 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(829741), // Rule ID 22505 //
     /*  829671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829739 */     GIR_RootConstrainSelectedInstOperands,
     /*  829740 */     // GIR_Coverage, 22505,
     /*  829740 */     GIR_EraseRootFromParent_Done,
     /*  829741 */   // Label 12773: @829741
     /*  829741 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829816), // Rule ID 22508 //
     /*  829746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829814 */     GIR_RootConstrainSelectedInstOperands,
     /*  829815 */     // GIR_Coverage, 22508,
     /*  829815 */     GIR_EraseRootFromParent_Done,
     /*  829816 */   // Label 12774: @829816
     /*  829816 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829891), // Rule ID 22509 //
     /*  829821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829889 */     GIR_RootConstrainSelectedInstOperands,
     /*  829890 */     // GIR_Coverage, 22509,
     /*  829890 */     GIR_EraseRootFromParent_Done,
     /*  829891 */   // Label 12775: @829891
     /*  829891 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829966), // Rule ID 22512 //
     /*  829896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  829945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829964 */     GIR_RootConstrainSelectedInstOperands,
     /*  829965 */     // GIR_Coverage, 22512,
     /*  829965 */     GIR_EraseRootFromParent_Done,
     /*  829966 */   // Label 12776: @829966
     /*  829966 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(830041), // Rule ID 22513 //
     /*  829971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  830020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830039 */     GIR_RootConstrainSelectedInstOperands,
     /*  830040 */     // GIR_Coverage, 22513,
     /*  830040 */     GIR_EraseRootFromParent_Done,
     /*  830041 */   // Label 12777: @830041
     /*  830041 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(830116), // Rule ID 22516 //
     /*  830046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  830092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  830095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830114 */     GIR_RootConstrainSelectedInstOperands,
     /*  830115 */     // GIR_Coverage, 22516,
     /*  830115 */     GIR_EraseRootFromParent_Done,
     /*  830116 */   // Label 12778: @830116
     /*  830116 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(830191), // Rule ID 22517 //
     /*  830121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  830170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830189 */     GIR_RootConstrainSelectedInstOperands,
     /*  830190 */     // GIR_Coverage, 22517,
     /*  830190 */     GIR_EraseRootFromParent_Done,
     /*  830191 */   // Label 12779: @830191
     /*  830191 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(830266), // Rule ID 22520 //
     /*  830196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  830213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  830245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830264 */     GIR_RootConstrainSelectedInstOperands,
     /*  830265 */     // GIR_Coverage, 22520,
     /*  830265 */     GIR_EraseRootFromParent_Done,
     /*  830266 */   // Label 12780: @830266
     /*  830266 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(830341), // Rule ID 22521 //
     /*  830271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  830288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  830320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830339 */     GIR_RootConstrainSelectedInstOperands,
     /*  830340 */     // GIR_Coverage, 22521,
     /*  830340 */     GIR_EraseRootFromParent_Done,
     /*  830341 */   // Label 12781: @830341
     /*  830341 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(830416), // Rule ID 22524 //
     /*  830346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  830363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  830395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830414 */     GIR_RootConstrainSelectedInstOperands,
     /*  830415 */     // GIR_Coverage, 22524,
     /*  830415 */     GIR_EraseRootFromParent_Done,
     /*  830416 */   // Label 12782: @830416
     /*  830416 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(830491), // Rule ID 22525 //
     /*  830421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  830438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  830470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830489 */     GIR_RootConstrainSelectedInstOperands,
     /*  830490 */     // GIR_Coverage, 22525,
     /*  830490 */     GIR_EraseRootFromParent_Done,
     /*  830491 */   // Label 12783: @830491
     /*  830491 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(830566), // Rule ID 22528 //
     /*  830496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830564 */     GIR_RootConstrainSelectedInstOperands,
     /*  830565 */     // GIR_Coverage, 22528,
     /*  830565 */     GIR_EraseRootFromParent_Done,
     /*  830566 */   // Label 12784: @830566
     /*  830566 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(830641), // Rule ID 22529 //
     /*  830571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830639 */     GIR_RootConstrainSelectedInstOperands,
     /*  830640 */     // GIR_Coverage, 22529,
     /*  830640 */     GIR_EraseRootFromParent_Done,
     /*  830641 */   // Label 12785: @830641
     /*  830641 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(830716), // Rule ID 22532 //
     /*  830646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830714 */     GIR_RootConstrainSelectedInstOperands,
     /*  830715 */     // GIR_Coverage, 22532,
     /*  830715 */     GIR_EraseRootFromParent_Done,
     /*  830716 */   // Label 12786: @830716
     /*  830716 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830791), // Rule ID 22533 //
     /*  830721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830789 */     GIR_RootConstrainSelectedInstOperands,
     /*  830790 */     // GIR_Coverage, 22533,
     /*  830790 */     GIR_EraseRootFromParent_Done,
     /*  830791 */   // Label 12787: @830791
     /*  830791 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830866), // Rule ID 22536 //
     /*  830796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830864 */     GIR_RootConstrainSelectedInstOperands,
     /*  830865 */     // GIR_Coverage, 22536,
     /*  830865 */     GIR_EraseRootFromParent_Done,
     /*  830866 */   // Label 12788: @830866
     /*  830866 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830941), // Rule ID 22537 //
     /*  830871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830939 */     GIR_RootConstrainSelectedInstOperands,
     /*  830940 */     // GIR_Coverage, 22537,
     /*  830940 */     GIR_EraseRootFromParent_Done,
     /*  830941 */   // Label 12789: @830941
     /*  830941 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(831016), // Rule ID 22540 //
     /*  830946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  830995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831014 */     GIR_RootConstrainSelectedInstOperands,
     /*  831015 */     // GIR_Coverage, 22540,
     /*  831015 */     GIR_EraseRootFromParent_Done,
     /*  831016 */   // Label 12790: @831016
     /*  831016 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(831091), // Rule ID 22541 //
     /*  831021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  831070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831089 */     GIR_RootConstrainSelectedInstOperands,
     /*  831090 */     // GIR_Coverage, 22541,
     /*  831090 */     GIR_EraseRootFromParent_Done,
     /*  831091 */   // Label 12791: @831091
     /*  831091 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(831166), // Rule ID 22544 //
     /*  831096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  831145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831164 */     GIR_RootConstrainSelectedInstOperands,
     /*  831165 */     // GIR_Coverage, 22544,
     /*  831165 */     GIR_EraseRootFromParent_Done,
     /*  831166 */   // Label 12792: @831166
     /*  831166 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(831241), // Rule ID 22545 //
     /*  831171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  831220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831239 */     GIR_RootConstrainSelectedInstOperands,
     /*  831240 */     // GIR_Coverage, 22545,
     /*  831240 */     GIR_EraseRootFromParent_Done,
     /*  831241 */   // Label 12793: @831241
     /*  831241 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(831316), // Rule ID 22548 //
     /*  831246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  831263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  831295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831314 */     GIR_RootConstrainSelectedInstOperands,
     /*  831315 */     // GIR_Coverage, 22548,
     /*  831315 */     GIR_EraseRootFromParent_Done,
     /*  831316 */   // Label 12794: @831316
     /*  831316 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(831391), // Rule ID 22549 //
     /*  831321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  831338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  831370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831389 */     GIR_RootConstrainSelectedInstOperands,
     /*  831390 */     // GIR_Coverage, 22549,
     /*  831390 */     GIR_EraseRootFromParent_Done,
     /*  831391 */   // Label 12795: @831391
     /*  831391 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(831466), // Rule ID 22552 //
     /*  831396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831464 */     GIR_RootConstrainSelectedInstOperands,
     /*  831465 */     // GIR_Coverage, 22552,
     /*  831465 */     GIR_EraseRootFromParent_Done,
     /*  831466 */   // Label 12796: @831466
     /*  831466 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(831541), // Rule ID 22553 //
     /*  831471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831539 */     GIR_RootConstrainSelectedInstOperands,
     /*  831540 */     // GIR_Coverage, 22553,
     /*  831540 */     GIR_EraseRootFromParent_Done,
     /*  831541 */   // Label 12797: @831541
     /*  831541 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(831616), // Rule ID 22556 //
     /*  831546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831614 */     GIR_RootConstrainSelectedInstOperands,
     /*  831615 */     // GIR_Coverage, 22556,
     /*  831615 */     GIR_EraseRootFromParent_Done,
     /*  831616 */   // Label 12798: @831616
     /*  831616 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(831691), // Rule ID 22557 //
     /*  831621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831689 */     GIR_RootConstrainSelectedInstOperands,
     /*  831690 */     // GIR_Coverage, 22557,
     /*  831690 */     GIR_EraseRootFromParent_Done,
     /*  831691 */   // Label 12799: @831691
     /*  831691 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(831766), // Rule ID 22560 //
     /*  831696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831764 */     GIR_RootConstrainSelectedInstOperands,
     /*  831765 */     // GIR_Coverage, 22560,
     /*  831765 */     GIR_EraseRootFromParent_Done,
     /*  831766 */   // Label 12800: @831766
     /*  831766 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831841), // Rule ID 22561 //
     /*  831771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831839 */     GIR_RootConstrainSelectedInstOperands,
     /*  831840 */     // GIR_Coverage, 22561,
     /*  831840 */     GIR_EraseRootFromParent_Done,
     /*  831841 */   // Label 12801: @831841
     /*  831841 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831916), // Rule ID 22564 //
     /*  831846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831914 */     GIR_RootConstrainSelectedInstOperands,
     /*  831915 */     // GIR_Coverage, 22564,
     /*  831915 */     GIR_EraseRootFromParent_Done,
     /*  831916 */   // Label 12802: @831916
     /*  831916 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831991), // Rule ID 22565 //
     /*  831921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831989 */     GIR_RootConstrainSelectedInstOperands,
     /*  831990 */     // GIR_Coverage, 22565,
     /*  831990 */     GIR_EraseRootFromParent_Done,
     /*  831991 */   // Label 12803: @831991
     /*  831991 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(832066), // Rule ID 22568 //
     /*  831996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  832045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832064 */     GIR_RootConstrainSelectedInstOperands,
     /*  832065 */     // GIR_Coverage, 22568,
     /*  832065 */     GIR_EraseRootFromParent_Done,
     /*  832066 */   // Label 12804: @832066
     /*  832066 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(832141), // Rule ID 22569 //
     /*  832071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  832120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832139 */     GIR_RootConstrainSelectedInstOperands,
     /*  832140 */     // GIR_Coverage, 22569,
     /*  832140 */     GIR_EraseRootFromParent_Done,
     /*  832141 */   // Label 12805: @832141
     /*  832141 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(832216), // Rule ID 22572 //
     /*  832146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  832195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832214 */     GIR_RootConstrainSelectedInstOperands,
     /*  832215 */     // GIR_Coverage, 22572,
     /*  832215 */     GIR_EraseRootFromParent_Done,
     /*  832216 */   // Label 12806: @832216
     /*  832216 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(832291), // Rule ID 22573 //
     /*  832221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  832270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832289 */     GIR_RootConstrainSelectedInstOperands,
     /*  832290 */     // GIR_Coverage, 22573,
     /*  832290 */     GIR_EraseRootFromParent_Done,
     /*  832291 */   // Label 12807: @832291
     /*  832291 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(832366), // Rule ID 22576 //
     /*  832296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  832345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832364 */     GIR_RootConstrainSelectedInstOperands,
     /*  832365 */     // GIR_Coverage, 22576,
     /*  832365 */     GIR_EraseRootFromParent_Done,
     /*  832366 */   // Label 12808: @832366
     /*  832366 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(832441), // Rule ID 22577 //
     /*  832371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  832420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832439 */     GIR_RootConstrainSelectedInstOperands,
     /*  832440 */     // GIR_Coverage, 22577,
     /*  832440 */     GIR_EraseRootFromParent_Done,
     /*  832441 */   // Label 12809: @832441
     /*  832441 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(832516), // Rule ID 22580 //
     /*  832446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832514 */     GIR_RootConstrainSelectedInstOperands,
     /*  832515 */     // GIR_Coverage, 22580,
     /*  832515 */     GIR_EraseRootFromParent_Done,
     /*  832516 */   // Label 12810: @832516
     /*  832516 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(832591), // Rule ID 22581 //
     /*  832521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832589 */     GIR_RootConstrainSelectedInstOperands,
     /*  832590 */     // GIR_Coverage, 22581,
     /*  832590 */     GIR_EraseRootFromParent_Done,
     /*  832591 */   // Label 12811: @832591
     /*  832591 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(832666), // Rule ID 22584 //
     /*  832596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832664 */     GIR_RootConstrainSelectedInstOperands,
     /*  832665 */     // GIR_Coverage, 22584,
     /*  832665 */     GIR_EraseRootFromParent_Done,
     /*  832666 */   // Label 12812: @832666
     /*  832666 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(832741), // Rule ID 22585 //
     /*  832671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832739 */     GIR_RootConstrainSelectedInstOperands,
     /*  832740 */     // GIR_Coverage, 22585,
     /*  832740 */     GIR_EraseRootFromParent_Done,
     /*  832741 */   // Label 12813: @832741
     /*  832741 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832816), // Rule ID 22588 //
     /*  832746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832814 */     GIR_RootConstrainSelectedInstOperands,
     /*  832815 */     // GIR_Coverage, 22588,
     /*  832815 */     GIR_EraseRootFromParent_Done,
     /*  832816 */   // Label 12814: @832816
     /*  832816 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832891), // Rule ID 22589 //
     /*  832821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832889 */     GIR_RootConstrainSelectedInstOperands,
     /*  832890 */     // GIR_Coverage, 22589,
     /*  832890 */     GIR_EraseRootFromParent_Done,
     /*  832891 */   // Label 12815: @832891
     /*  832891 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832966), // Rule ID 22592 //
     /*  832896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  832945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832964 */     GIR_RootConstrainSelectedInstOperands,
     /*  832965 */     // GIR_Coverage, 22592,
     /*  832965 */     GIR_EraseRootFromParent_Done,
     /*  832966 */   // Label 12816: @832966
     /*  832966 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(833041), // Rule ID 22593 //
     /*  832971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833017 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  833020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833039 */     GIR_RootConstrainSelectedInstOperands,
     /*  833040 */     // GIR_Coverage, 22593,
     /*  833040 */     GIR_EraseRootFromParent_Done,
     /*  833041 */   // Label 12817: @833041
     /*  833041 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(833116), // Rule ID 22596 //
     /*  833046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  833095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833114 */     GIR_RootConstrainSelectedInstOperands,
     /*  833115 */     // GIR_Coverage, 22596,
     /*  833115 */     GIR_EraseRootFromParent_Done,
     /*  833116 */   // Label 12818: @833116
     /*  833116 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(833191), // Rule ID 22597 //
     /*  833121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  833170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833189 */     GIR_RootConstrainSelectedInstOperands,
     /*  833190 */     // GIR_Coverage, 22597,
     /*  833190 */     GIR_EraseRootFromParent_Done,
     /*  833191 */   // Label 12819: @833191
     /*  833191 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(833266), // Rule ID 22600 //
     /*  833196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  833245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833264 */     GIR_RootConstrainSelectedInstOperands,
     /*  833265 */     // GIR_Coverage, 22600,
     /*  833265 */     GIR_EraseRootFromParent_Done,
     /*  833266 */   // Label 12820: @833266
     /*  833266 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(833341), // Rule ID 22601 //
     /*  833271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  833320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833339 */     GIR_RootConstrainSelectedInstOperands,
     /*  833340 */     // GIR_Coverage, 22601,
     /*  833340 */     GIR_EraseRootFromParent_Done,
     /*  833341 */   // Label 12821: @833341
     /*  833341 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(833416), // Rule ID 22604 //
     /*  833346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  833363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  833395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833414 */     GIR_RootConstrainSelectedInstOperands,
     /*  833415 */     // GIR_Coverage, 22604,
     /*  833415 */     GIR_EraseRootFromParent_Done,
     /*  833416 */   // Label 12822: @833416
     /*  833416 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(833491), // Rule ID 22605 //
     /*  833421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  833438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  833470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833489 */     GIR_RootConstrainSelectedInstOperands,
     /*  833490 */     // GIR_Coverage, 22605,
     /*  833490 */     GIR_EraseRootFromParent_Done,
     /*  833491 */   // Label 12823: @833491
     /*  833491 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(833566), // Rule ID 22608 //
     /*  833496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833564 */     GIR_RootConstrainSelectedInstOperands,
     /*  833565 */     // GIR_Coverage, 22608,
     /*  833565 */     GIR_EraseRootFromParent_Done,
     /*  833566 */   // Label 12824: @833566
     /*  833566 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(833641), // Rule ID 22609 //
     /*  833571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833639 */     GIR_RootConstrainSelectedInstOperands,
     /*  833640 */     // GIR_Coverage, 22609,
     /*  833640 */     GIR_EraseRootFromParent_Done,
     /*  833641 */   // Label 12825: @833641
     /*  833641 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(833716), // Rule ID 22612 //
     /*  833646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833714 */     GIR_RootConstrainSelectedInstOperands,
     /*  833715 */     // GIR_Coverage, 22612,
     /*  833715 */     GIR_EraseRootFromParent_Done,
     /*  833716 */   // Label 12826: @833716
     /*  833716 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833791), // Rule ID 22613 //
     /*  833721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833789 */     GIR_RootConstrainSelectedInstOperands,
     /*  833790 */     // GIR_Coverage, 22613,
     /*  833790 */     GIR_EraseRootFromParent_Done,
     /*  833791 */   // Label 12827: @833791
     /*  833791 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833866), // Rule ID 22616 //
     /*  833796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833864 */     GIR_RootConstrainSelectedInstOperands,
     /*  833865 */     // GIR_Coverage, 22616,
     /*  833865 */     GIR_EraseRootFromParent_Done,
     /*  833866 */   // Label 12828: @833866
     /*  833866 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833941), // Rule ID 22617 //
     /*  833871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833939 */     GIR_RootConstrainSelectedInstOperands,
     /*  833940 */     // GIR_Coverage, 22617,
     /*  833940 */     GIR_EraseRootFromParent_Done,
     /*  833941 */   // Label 12829: @833941
     /*  833941 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(834016), // Rule ID 22620 //
     /*  833946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  833963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  833995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834014 */     GIR_RootConstrainSelectedInstOperands,
     /*  834015 */     // GIR_Coverage, 22620,
     /*  834015 */     GIR_EraseRootFromParent_Done,
     /*  834016 */   // Label 12830: @834016
     /*  834016 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(834091), // Rule ID 22621 //
     /*  834021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  834070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834089 */     GIR_RootConstrainSelectedInstOperands,
     /*  834090 */     // GIR_Coverage, 22621,
     /*  834090 */     GIR_EraseRootFromParent_Done,
     /*  834091 */   // Label 12831: @834091
     /*  834091 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(834166), // Rule ID 22624 //
     /*  834096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  834145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834164 */     GIR_RootConstrainSelectedInstOperands,
     /*  834165 */     // GIR_Coverage, 22624,
     /*  834165 */     GIR_EraseRootFromParent_Done,
     /*  834166 */   // Label 12832: @834166
     /*  834166 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(834241), // Rule ID 22625 //
     /*  834171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  834220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834239 */     GIR_RootConstrainSelectedInstOperands,
     /*  834240 */     // GIR_Coverage, 22625,
     /*  834240 */     GIR_EraseRootFromParent_Done,
     /*  834241 */   // Label 12833: @834241
     /*  834241 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(834316), // Rule ID 22628 //
     /*  834246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  834295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834314 */     GIR_RootConstrainSelectedInstOperands,
     /*  834315 */     // GIR_Coverage, 22628,
     /*  834315 */     GIR_EraseRootFromParent_Done,
     /*  834316 */   // Label 12834: @834316
     /*  834316 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(834391), // Rule ID 22629 //
     /*  834321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  834370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834389 */     GIR_RootConstrainSelectedInstOperands,
     /*  834390 */     // GIR_Coverage, 22629,
     /*  834390 */     GIR_EraseRootFromParent_Done,
     /*  834391 */   // Label 12835: @834391
     /*  834391 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(834466), // Rule ID 22632 //
     /*  834396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834464 */     GIR_RootConstrainSelectedInstOperands,
     /*  834465 */     // GIR_Coverage, 22632,
     /*  834465 */     GIR_EraseRootFromParent_Done,
     /*  834466 */   // Label 12836: @834466
     /*  834466 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(834541), // Rule ID 22633 //
     /*  834471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834539 */     GIR_RootConstrainSelectedInstOperands,
     /*  834540 */     // GIR_Coverage, 22633,
     /*  834540 */     GIR_EraseRootFromParent_Done,
     /*  834541 */   // Label 12837: @834541
     /*  834541 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(834616), // Rule ID 22636 //
     /*  834546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834614 */     GIR_RootConstrainSelectedInstOperands,
     /*  834615 */     // GIR_Coverage, 22636,
     /*  834615 */     GIR_EraseRootFromParent_Done,
     /*  834616 */   // Label 12838: @834616
     /*  834616 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(834691), // Rule ID 22637 //
     /*  834621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834689 */     GIR_RootConstrainSelectedInstOperands,
     /*  834690 */     // GIR_Coverage, 22637,
     /*  834690 */     GIR_EraseRootFromParent_Done,
     /*  834691 */   // Label 12839: @834691
     /*  834691 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(834766), // Rule ID 22640 //
     /*  834696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834764 */     GIR_RootConstrainSelectedInstOperands,
     /*  834765 */     // GIR_Coverage, 22640,
     /*  834765 */     GIR_EraseRootFromParent_Done,
     /*  834766 */   // Label 12840: @834766
     /*  834766 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834841), // Rule ID 22641 //
     /*  834771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834839 */     GIR_RootConstrainSelectedInstOperands,
     /*  834840 */     // GIR_Coverage, 22641,
     /*  834840 */     GIR_EraseRootFromParent_Done,
     /*  834841 */   // Label 12841: @834841
     /*  834841 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834916), // Rule ID 22644 //
     /*  834846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834914 */     GIR_RootConstrainSelectedInstOperands,
     /*  834915 */     // GIR_Coverage, 22644,
     /*  834915 */     GIR_EraseRootFromParent_Done,
     /*  834916 */   // Label 12842: @834916
     /*  834916 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834991), // Rule ID 22645 //
     /*  834921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834989 */     GIR_RootConstrainSelectedInstOperands,
     /*  834990 */     // GIR_Coverage, 22645,
     /*  834990 */     GIR_EraseRootFromParent_Done,
     /*  834991 */   // Label 12843: @834991
     /*  834991 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(835066), // Rule ID 22648 //
     /*  834996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  835013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  835045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835064 */     GIR_RootConstrainSelectedInstOperands,
     /*  835065 */     // GIR_Coverage, 22648,
     /*  835065 */     GIR_EraseRootFromParent_Done,
     /*  835066 */   // Label 12844: @835066
     /*  835066 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(835141), // Rule ID 22649 //
     /*  835071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  835088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  835120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835139 */     GIR_RootConstrainSelectedInstOperands,
     /*  835140 */     // GIR_Coverage, 22649,
     /*  835140 */     GIR_EraseRootFromParent_Done,
     /*  835141 */   // Label 12845: @835141
     /*  835141 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(835216), // Rule ID 22652 //
     /*  835146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  835195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835214 */     GIR_RootConstrainSelectedInstOperands,
     /*  835215 */     // GIR_Coverage, 22652,
     /*  835215 */     GIR_EraseRootFromParent_Done,
     /*  835216 */   // Label 12846: @835216
     /*  835216 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(835291), // Rule ID 22653 //
     /*  835221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  835270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835289 */     GIR_RootConstrainSelectedInstOperands,
     /*  835290 */     // GIR_Coverage, 22653,
     /*  835290 */     GIR_EraseRootFromParent_Done,
     /*  835291 */   // Label 12847: @835291
     /*  835291 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(835366), // Rule ID 22656 //
     /*  835296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  835313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  835345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835364 */     GIR_RootConstrainSelectedInstOperands,
     /*  835365 */     // GIR_Coverage, 22656,
     /*  835365 */     GIR_EraseRootFromParent_Done,
     /*  835366 */   // Label 12848: @835366
     /*  835366 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(835441), // Rule ID 22657 //
     /*  835371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  835388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  835420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835439 */     GIR_RootConstrainSelectedInstOperands,
     /*  835440 */     // GIR_Coverage, 22657,
     /*  835440 */     GIR_EraseRootFromParent_Done,
     /*  835441 */   // Label 12849: @835441
     /*  835441 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(835516), // Rule ID 22660 //
     /*  835446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835514 */     GIR_RootConstrainSelectedInstOperands,
     /*  835515 */     // GIR_Coverage, 22660,
     /*  835515 */     GIR_EraseRootFromParent_Done,
     /*  835516 */   // Label 12850: @835516
     /*  835516 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(835591), // Rule ID 22661 //
     /*  835521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835589 */     GIR_RootConstrainSelectedInstOperands,
     /*  835590 */     // GIR_Coverage, 22661,
     /*  835590 */     GIR_EraseRootFromParent_Done,
     /*  835591 */   // Label 12851: @835591
     /*  835591 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(835666), // Rule ID 22664 //
     /*  835596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835664 */     GIR_RootConstrainSelectedInstOperands,
     /*  835665 */     // GIR_Coverage, 22664,
     /*  835665 */     GIR_EraseRootFromParent_Done,
     /*  835666 */   // Label 12852: @835666
     /*  835666 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(835741), // Rule ID 22665 //
     /*  835671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835739 */     GIR_RootConstrainSelectedInstOperands,
     /*  835740 */     // GIR_Coverage, 22665,
     /*  835740 */     GIR_EraseRootFromParent_Done,
     /*  835741 */   // Label 12853: @835741
     /*  835741 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835816), // Rule ID 22668 //
     /*  835746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835814 */     GIR_RootConstrainSelectedInstOperands,
     /*  835815 */     // GIR_Coverage, 22668,
     /*  835815 */     GIR_EraseRootFromParent_Done,
     /*  835816 */   // Label 12854: @835816
     /*  835816 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835891), // Rule ID 22669 //
     /*  835821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835889 */     GIR_RootConstrainSelectedInstOperands,
     /*  835890 */     // GIR_Coverage, 22669,
     /*  835890 */     GIR_EraseRootFromParent_Done,
     /*  835891 */   // Label 12855: @835891
     /*  835891 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835966), // Rule ID 22672 //
     /*  835896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  835945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835964 */     GIR_RootConstrainSelectedInstOperands,
     /*  835965 */     // GIR_Coverage, 22672,
     /*  835965 */     GIR_EraseRootFromParent_Done,
     /*  835966 */   // Label 12856: @835966
     /*  835966 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(836041), // Rule ID 22673 //
     /*  835971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  836020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836039 */     GIR_RootConstrainSelectedInstOperands,
     /*  836040 */     // GIR_Coverage, 22673,
     /*  836040 */     GIR_EraseRootFromParent_Done,
     /*  836041 */   // Label 12857: @836041
     /*  836041 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(836116), // Rule ID 22676 //
     /*  836046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  836063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  836095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836114 */     GIR_RootConstrainSelectedInstOperands,
     /*  836115 */     // GIR_Coverage, 22676,
     /*  836115 */     GIR_EraseRootFromParent_Done,
     /*  836116 */   // Label 12858: @836116
     /*  836116 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(836191), // Rule ID 22677 //
     /*  836121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  836138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  836170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836189 */     GIR_RootConstrainSelectedInstOperands,
     /*  836190 */     // GIR_Coverage, 22677,
     /*  836190 */     GIR_EraseRootFromParent_Done,
     /*  836191 */   // Label 12859: @836191
     /*  836191 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(836266), // Rule ID 22680 //
     /*  836196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  836213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  836245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836264 */     GIR_RootConstrainSelectedInstOperands,
     /*  836265 */     // GIR_Coverage, 22680,
     /*  836265 */     GIR_EraseRootFromParent_Done,
     /*  836266 */   // Label 12860: @836266
     /*  836266 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(836341), // Rule ID 22681 //
     /*  836271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  836288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  836320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836339 */     GIR_RootConstrainSelectedInstOperands,
     /*  836340 */     // GIR_Coverage, 22681,
     /*  836340 */     GIR_EraseRootFromParent_Done,
     /*  836341 */   // Label 12861: @836341
     /*  836341 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(836416), // Rule ID 22684 //
     /*  836346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  836363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  836395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836414 */     GIR_RootConstrainSelectedInstOperands,
     /*  836415 */     // GIR_Coverage, 22684,
     /*  836415 */     GIR_EraseRootFromParent_Done,
     /*  836416 */   // Label 12862: @836416
     /*  836416 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(836491), // Rule ID 22685 //
     /*  836421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  836438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  836470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836489 */     GIR_RootConstrainSelectedInstOperands,
     /*  836490 */     // GIR_Coverage, 22685,
     /*  836490 */     GIR_EraseRootFromParent_Done,
     /*  836491 */   // Label 12863: @836491
     /*  836491 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(836566), // Rule ID 22688 //
     /*  836496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836564 */     GIR_RootConstrainSelectedInstOperands,
     /*  836565 */     // GIR_Coverage, 22688,
     /*  836565 */     GIR_EraseRootFromParent_Done,
     /*  836566 */   // Label 12864: @836566
     /*  836566 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(836641), // Rule ID 22689 //
     /*  836571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836639 */     GIR_RootConstrainSelectedInstOperands,
     /*  836640 */     // GIR_Coverage, 22689,
     /*  836640 */     GIR_EraseRootFromParent_Done,
     /*  836641 */   // Label 12865: @836641
     /*  836641 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(836716), // Rule ID 22692 //
     /*  836646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836714 */     GIR_RootConstrainSelectedInstOperands,
     /*  836715 */     // GIR_Coverage, 22692,
     /*  836715 */     GIR_EraseRootFromParent_Done,
     /*  836716 */   // Label 12866: @836716
     /*  836716 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836791), // Rule ID 22693 //
     /*  836721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836789 */     GIR_RootConstrainSelectedInstOperands,
     /*  836790 */     // GIR_Coverage, 22693,
     /*  836790 */     GIR_EraseRootFromParent_Done,
     /*  836791 */   // Label 12867: @836791
     /*  836791 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836866), // Rule ID 22696 //
     /*  836796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836864 */     GIR_RootConstrainSelectedInstOperands,
     /*  836865 */     // GIR_Coverage, 22696,
     /*  836865 */     GIR_EraseRootFromParent_Done,
     /*  836866 */   // Label 12868: @836866
     /*  836866 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836941), // Rule ID 22697 //
     /*  836871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836939 */     GIR_RootConstrainSelectedInstOperands,
     /*  836940 */     // GIR_Coverage, 22697,
     /*  836940 */     GIR_EraseRootFromParent_Done,
     /*  836941 */   // Label 12869: @836941
     /*  836941 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(837016), // Rule ID 22700 //
     /*  836946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  836963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  836995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837014 */     GIR_RootConstrainSelectedInstOperands,
     /*  837015 */     // GIR_Coverage, 22700,
     /*  837015 */     GIR_EraseRootFromParent_Done,
     /*  837016 */   // Label 12870: @837016
     /*  837016 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(837091), // Rule ID 22701 //
     /*  837021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  837070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837089 */     GIR_RootConstrainSelectedInstOperands,
     /*  837090 */     // GIR_Coverage, 22701,
     /*  837090 */     GIR_EraseRootFromParent_Done,
     /*  837091 */   // Label 12871: @837091
     /*  837091 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(837166), // Rule ID 22704 //
     /*  837096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  837145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837164 */     GIR_RootConstrainSelectedInstOperands,
     /*  837165 */     // GIR_Coverage, 22704,
     /*  837165 */     GIR_EraseRootFromParent_Done,
     /*  837166 */   // Label 12872: @837166
     /*  837166 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(837241), // Rule ID 22705 //
     /*  837171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  837220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837239 */     GIR_RootConstrainSelectedInstOperands,
     /*  837240 */     // GIR_Coverage, 22705,
     /*  837240 */     GIR_EraseRootFromParent_Done,
     /*  837241 */   // Label 12873: @837241
     /*  837241 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(837316), // Rule ID 22708 //
     /*  837246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  837295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837314 */     GIR_RootConstrainSelectedInstOperands,
     /*  837315 */     // GIR_Coverage, 22708,
     /*  837315 */     GIR_EraseRootFromParent_Done,
     /*  837316 */   // Label 12874: @837316
     /*  837316 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(837391), // Rule ID 22709 //
     /*  837321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  837370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837389 */     GIR_RootConstrainSelectedInstOperands,
     /*  837390 */     // GIR_Coverage, 22709,
     /*  837390 */     GIR_EraseRootFromParent_Done,
     /*  837391 */   // Label 12875: @837391
     /*  837391 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(837466), // Rule ID 22828 //
     /*  837396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837442 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837464 */     GIR_RootConstrainSelectedInstOperands,
     /*  837465 */     // GIR_Coverage, 22828,
     /*  837465 */     GIR_EraseRootFromParent_Done,
     /*  837466 */   // Label 12876: @837466
     /*  837466 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(837541), // Rule ID 22829 //
     /*  837471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837517 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837539 */     GIR_RootConstrainSelectedInstOperands,
     /*  837540 */     // GIR_Coverage, 22829,
     /*  837540 */     GIR_EraseRootFromParent_Done,
     /*  837541 */   // Label 12877: @837541
     /*  837541 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(837616), // Rule ID 22832 //
     /*  837546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837592 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837614 */     GIR_RootConstrainSelectedInstOperands,
     /*  837615 */     // GIR_Coverage, 22832,
     /*  837615 */     GIR_EraseRootFromParent_Done,
     /*  837616 */   // Label 12878: @837616
     /*  837616 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(837691), // Rule ID 22833 //
     /*  837621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837667 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837689 */     GIR_RootConstrainSelectedInstOperands,
     /*  837690 */     // GIR_Coverage, 22833,
     /*  837690 */     GIR_EraseRootFromParent_Done,
     /*  837691 */   // Label 12879: @837691
     /*  837691 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(837766), // Rule ID 22836 //
     /*  837696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837742 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837764 */     GIR_RootConstrainSelectedInstOperands,
     /*  837765 */     // GIR_Coverage, 22836,
     /*  837765 */     GIR_EraseRootFromParent_Done,
     /*  837766 */   // Label 12880: @837766
     /*  837766 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837841), // Rule ID 22837 //
     /*  837771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837839 */     GIR_RootConstrainSelectedInstOperands,
     /*  837840 */     // GIR_Coverage, 22837,
     /*  837840 */     GIR_EraseRootFromParent_Done,
     /*  837841 */   // Label 12881: @837841
     /*  837841 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837916), // Rule ID 22840 //
     /*  837846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837892 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837914 */     GIR_RootConstrainSelectedInstOperands,
     /*  837915 */     // GIR_Coverage, 22840,
     /*  837915 */     GIR_EraseRootFromParent_Done,
     /*  837916 */   // Label 12882: @837916
     /*  837916 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837991), // Rule ID 22841 //
     /*  837921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837967 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837989 */     GIR_RootConstrainSelectedInstOperands,
     /*  837990 */     // GIR_Coverage, 22841,
     /*  837990 */     GIR_EraseRootFromParent_Done,
     /*  837991 */   // Label 12883: @837991
     /*  837991 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(838066), // Rule ID 22844 //
     /*  837996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838042 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  838045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838064 */     GIR_RootConstrainSelectedInstOperands,
     /*  838065 */     // GIR_Coverage, 22844,
     /*  838065 */     GIR_EraseRootFromParent_Done,
     /*  838066 */   // Label 12884: @838066
     /*  838066 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(838141), // Rule ID 22845 //
     /*  838071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838117 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  838120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838139 */     GIR_RootConstrainSelectedInstOperands,
     /*  838140 */     // GIR_Coverage, 22845,
     /*  838140 */     GIR_EraseRootFromParent_Done,
     /*  838141 */   // Label 12885: @838141
     /*  838141 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(838216), // Rule ID 22848 //
     /*  838146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838192 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  838195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838214 */     GIR_RootConstrainSelectedInstOperands,
     /*  838215 */     // GIR_Coverage, 22848,
     /*  838215 */     GIR_EraseRootFromParent_Done,
     /*  838216 */   // Label 12886: @838216
     /*  838216 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(838291), // Rule ID 22849 //
     /*  838221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838267 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  838267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  838270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838289 */     GIR_RootConstrainSelectedInstOperands,
     /*  838290 */     // GIR_Coverage, 22849,
     /*  838290 */     GIR_EraseRootFromParent_Done,
     /*  838291 */   // Label 12887: @838291
     /*  838291 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(838366), // Rule ID 22852 //
     /*  838296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838342 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  838345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838364 */     GIR_RootConstrainSelectedInstOperands,
     /*  838365 */     // GIR_Coverage, 22852,
     /*  838365 */     GIR_EraseRootFromParent_Done,
     /*  838366 */   // Label 12888: @838366
     /*  838366 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(838441), // Rule ID 22853 //
     /*  838371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838417 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  838420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838439 */     GIR_RootConstrainSelectedInstOperands,
     /*  838440 */     // GIR_Coverage, 22853,
     /*  838440 */     GIR_EraseRootFromParent_Done,
     /*  838441 */   // Label 12889: @838441
     /*  838441 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(838516), // Rule ID 22856 //
     /*  838446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838492 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838514 */     GIR_RootConstrainSelectedInstOperands,
     /*  838515 */     // GIR_Coverage, 22856,
     /*  838515 */     GIR_EraseRootFromParent_Done,
     /*  838516 */   // Label 12890: @838516
     /*  838516 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(838591), // Rule ID 22857 //
     /*  838521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838567 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838589 */     GIR_RootConstrainSelectedInstOperands,
     /*  838590 */     // GIR_Coverage, 22857,
     /*  838590 */     GIR_EraseRootFromParent_Done,
     /*  838591 */   // Label 12891: @838591
     /*  838591 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(838666), // Rule ID 22860 //
     /*  838596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838642 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838664 */     GIR_RootConstrainSelectedInstOperands,
     /*  838665 */     // GIR_Coverage, 22860,
     /*  838665 */     GIR_EraseRootFromParent_Done,
     /*  838666 */   // Label 12892: @838666
     /*  838666 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(838741), // Rule ID 22861 //
     /*  838671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838717 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838739 */     GIR_RootConstrainSelectedInstOperands,
     /*  838740 */     // GIR_Coverage, 22861,
     /*  838740 */     GIR_EraseRootFromParent_Done,
     /*  838741 */   // Label 12893: @838741
     /*  838741 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838816), // Rule ID 22864 //
     /*  838746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838792 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838814 */     GIR_RootConstrainSelectedInstOperands,
     /*  838815 */     // GIR_Coverage, 22864,
     /*  838815 */     GIR_EraseRootFromParent_Done,
     /*  838816 */   // Label 12894: @838816
     /*  838816 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838891), // Rule ID 22865 //
     /*  838821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838889 */     GIR_RootConstrainSelectedInstOperands,
     /*  838890 */     // GIR_Coverage, 22865,
     /*  838890 */     GIR_EraseRootFromParent_Done,
     /*  838891 */   // Label 12895: @838891
     /*  838891 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838966), // Rule ID 22868 //
     /*  838896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838942 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  838945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838964 */     GIR_RootConstrainSelectedInstOperands,
     /*  838965 */     // GIR_Coverage, 22868,
     /*  838965 */     GIR_EraseRootFromParent_Done,
     /*  838966 */   // Label 12896: @838966
     /*  838966 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(839041), // Rule ID 22869 //
     /*  838971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  839020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839039 */     GIR_RootConstrainSelectedInstOperands,
     /*  839040 */     // GIR_Coverage, 22869,
     /*  839040 */     GIR_EraseRootFromParent_Done,
     /*  839041 */   // Label 12897: @839041
     /*  839041 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(839116), // Rule ID 22872 //
     /*  839046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839092 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  839095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839114 */     GIR_RootConstrainSelectedInstOperands,
     /*  839115 */     // GIR_Coverage, 22872,
     /*  839115 */     GIR_EraseRootFromParent_Done,
     /*  839116 */   // Label 12898: @839116
     /*  839116 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(839191), // Rule ID 22873 //
     /*  839121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839167 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  839170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839189 */     GIR_RootConstrainSelectedInstOperands,
     /*  839190 */     // GIR_Coverage, 22873,
     /*  839190 */     GIR_EraseRootFromParent_Done,
     /*  839191 */   // Label 12899: @839191
     /*  839191 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(839266), // Rule ID 22876 //
     /*  839196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839242 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  839245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839264 */     GIR_RootConstrainSelectedInstOperands,
     /*  839265 */     // GIR_Coverage, 22876,
     /*  839265 */     GIR_EraseRootFromParent_Done,
     /*  839266 */   // Label 12900: @839266
     /*  839266 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(839341), // Rule ID 22877 //
     /*  839271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839317 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  839320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839339 */     GIR_RootConstrainSelectedInstOperands,
     /*  839340 */     // GIR_Coverage, 22877,
     /*  839340 */     GIR_EraseRootFromParent_Done,
     /*  839341 */   // Label 12901: @839341
     /*  839341 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(839416), // Rule ID 22880 //
     /*  839346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  839363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839392 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  839395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839414 */     GIR_RootConstrainSelectedInstOperands,
     /*  839415 */     // GIR_Coverage, 22880,
     /*  839415 */     GIR_EraseRootFromParent_Done,
     /*  839416 */   // Label 12902: @839416
     /*  839416 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(839491), // Rule ID 22881 //
     /*  839421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  839438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839467 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  839470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839489 */     GIR_RootConstrainSelectedInstOperands,
     /*  839490 */     // GIR_Coverage, 22881,
     /*  839490 */     GIR_EraseRootFromParent_Done,
     /*  839491 */   // Label 12903: @839491
     /*  839491 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(839566), // Rule ID 22884 //
     /*  839496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839564 */     GIR_RootConstrainSelectedInstOperands,
     /*  839565 */     // GIR_Coverage, 22884,
     /*  839565 */     GIR_EraseRootFromParent_Done,
     /*  839566 */   // Label 12904: @839566
     /*  839566 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(839641), // Rule ID 22885 //
     /*  839571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839639 */     GIR_RootConstrainSelectedInstOperands,
     /*  839640 */     // GIR_Coverage, 22885,
     /*  839640 */     GIR_EraseRootFromParent_Done,
     /*  839641 */   // Label 12905: @839641
     /*  839641 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(839716), // Rule ID 22888 //
     /*  839646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839714 */     GIR_RootConstrainSelectedInstOperands,
     /*  839715 */     // GIR_Coverage, 22888,
     /*  839715 */     GIR_EraseRootFromParent_Done,
     /*  839716 */   // Label 12906: @839716
     /*  839716 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839791), // Rule ID 22889 //
     /*  839721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839767 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839789 */     GIR_RootConstrainSelectedInstOperands,
     /*  839790 */     // GIR_Coverage, 22889,
     /*  839790 */     GIR_EraseRootFromParent_Done,
     /*  839791 */   // Label 12907: @839791
     /*  839791 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839866), // Rule ID 22892 //
     /*  839796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839842 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839864 */     GIR_RootConstrainSelectedInstOperands,
     /*  839865 */     // GIR_Coverage, 22892,
     /*  839865 */     GIR_EraseRootFromParent_Done,
     /*  839866 */   // Label 12908: @839866
     /*  839866 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839941), // Rule ID 22893 //
     /*  839871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839917 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839939 */     GIR_RootConstrainSelectedInstOperands,
     /*  839940 */     // GIR_Coverage, 22893,
     /*  839940 */     GIR_EraseRootFromParent_Done,
     /*  839941 */   // Label 12909: @839941
     /*  839941 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(840016), // Rule ID 22896 //
     /*  839946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839992 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  839995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840014 */     GIR_RootConstrainSelectedInstOperands,
     /*  840015 */     // GIR_Coverage, 22896,
     /*  840015 */     GIR_EraseRootFromParent_Done,
     /*  840016 */   // Label 12910: @840016
     /*  840016 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(840091), // Rule ID 22897 //
     /*  840021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  840038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  840070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840089 */     GIR_RootConstrainSelectedInstOperands,
     /*  840090 */     // GIR_Coverage, 22897,
     /*  840090 */     GIR_EraseRootFromParent_Done,
     /*  840091 */   // Label 12911: @840091
     /*  840091 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(840166), // Rule ID 22900 //
     /*  840096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840142 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  840145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840164 */     GIR_RootConstrainSelectedInstOperands,
     /*  840165 */     // GIR_Coverage, 22900,
     /*  840165 */     GIR_EraseRootFromParent_Done,
     /*  840166 */   // Label 12912: @840166
     /*  840166 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(840241), // Rule ID 22901 //
     /*  840171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840217 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  840220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840239 */     GIR_RootConstrainSelectedInstOperands,
     /*  840240 */     // GIR_Coverage, 22901,
     /*  840240 */     GIR_EraseRootFromParent_Done,
     /*  840241 */   // Label 12913: @840241
     /*  840241 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(840316), // Rule ID 22904 //
     /*  840246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  840295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840314 */     GIR_RootConstrainSelectedInstOperands,
     /*  840315 */     // GIR_Coverage, 22904,
     /*  840315 */     GIR_EraseRootFromParent_Done,
     /*  840316 */   // Label 12914: @840316
     /*  840316 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(840391), // Rule ID 22905 //
     /*  840321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  840370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840389 */     GIR_RootConstrainSelectedInstOperands,
     /*  840390 */     // GIR_Coverage, 22905,
     /*  840390 */     GIR_EraseRootFromParent_Done,
     /*  840391 */   // Label 12915: @840391
     /*  840391 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(840466), // Rule ID 22908 //
     /*  840396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  840399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840442 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840464 */     GIR_RootConstrainSelectedInstOperands,
     /*  840465 */     // GIR_Coverage, 22908,
     /*  840465 */     GIR_EraseRootFromParent_Done,
     /*  840466 */   // Label 12916: @840466
     /*  840466 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(840541), // Rule ID 22909 //
     /*  840471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840517 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840539 */     GIR_RootConstrainSelectedInstOperands,
     /*  840540 */     // GIR_Coverage, 22909,
     /*  840540 */     GIR_EraseRootFromParent_Done,
     /*  840541 */   // Label 12917: @840541
     /*  840541 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(840616), // Rule ID 22912 //
     /*  840546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840592 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840614 */     GIR_RootConstrainSelectedInstOperands,
     /*  840615 */     // GIR_Coverage, 22912,
     /*  840615 */     GIR_EraseRootFromParent_Done,
     /*  840616 */   // Label 12918: @840616
     /*  840616 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(840691), // Rule ID 22913 //
     /*  840621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840667 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840689 */     GIR_RootConstrainSelectedInstOperands,
     /*  840690 */     // GIR_Coverage, 22913,
     /*  840690 */     GIR_EraseRootFromParent_Done,
     /*  840691 */   // Label 12919: @840691
     /*  840691 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(840766), // Rule ID 22916 //
     /*  840696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840764 */     GIR_RootConstrainSelectedInstOperands,
     /*  840765 */     // GIR_Coverage, 22916,
     /*  840765 */     GIR_EraseRootFromParent_Done,
     /*  840766 */   // Label 12920: @840766
     /*  840766 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840841), // Rule ID 22917 //
     /*  840771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840839 */     GIR_RootConstrainSelectedInstOperands,
     /*  840840 */     // GIR_Coverage, 22917,
     /*  840840 */     GIR_EraseRootFromParent_Done,
     /*  840841 */   // Label 12921: @840841
     /*  840841 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840916), // Rule ID 22920 //
     /*  840846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840892 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840914 */     GIR_RootConstrainSelectedInstOperands,
     /*  840915 */     // GIR_Coverage, 22920,
     /*  840915 */     GIR_EraseRootFromParent_Done,
     /*  840916 */   // Label 12922: @840916
     /*  840916 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840991), // Rule ID 22921 //
     /*  840921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840967 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840989 */     GIR_RootConstrainSelectedInstOperands,
     /*  840990 */     // GIR_Coverage, 22921,
     /*  840990 */     GIR_EraseRootFromParent_Done,
     /*  840991 */   // Label 12923: @840991
     /*  840991 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(841066), // Rule ID 22924 //
     /*  840996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841042 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  841045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841064 */     GIR_RootConstrainSelectedInstOperands,
     /*  841065 */     // GIR_Coverage, 22924,
     /*  841065 */     GIR_EraseRootFromParent_Done,
     /*  841066 */   // Label 12924: @841066
     /*  841066 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(841141), // Rule ID 22925 //
     /*  841071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841117 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  841120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841139 */     GIR_RootConstrainSelectedInstOperands,
     /*  841140 */     // GIR_Coverage, 22925,
     /*  841140 */     GIR_EraseRootFromParent_Done,
     /*  841141 */   // Label 12925: @841141
     /*  841141 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(841216), // Rule ID 22928 //
     /*  841146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841192 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  841195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841214 */     GIR_RootConstrainSelectedInstOperands,
     /*  841215 */     // GIR_Coverage, 22928,
     /*  841215 */     GIR_EraseRootFromParent_Done,
     /*  841216 */   // Label 12926: @841216
     /*  841216 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(841291), // Rule ID 22929 //
     /*  841221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841267 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  841270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841289 */     GIR_RootConstrainSelectedInstOperands,
     /*  841290 */     // GIR_Coverage, 22929,
     /*  841290 */     GIR_EraseRootFromParent_Done,
     /*  841291 */   // Label 12927: @841291
     /*  841291 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(841366), // Rule ID 22932 //
     /*  841296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841342 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  841345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841364 */     GIR_RootConstrainSelectedInstOperands,
     /*  841365 */     // GIR_Coverage, 22932,
     /*  841365 */     GIR_EraseRootFromParent_Done,
     /*  841366 */   // Label 12928: @841366
     /*  841366 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(841441), // Rule ID 22933 //
     /*  841371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841417 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  841420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841439 */     GIR_RootConstrainSelectedInstOperands,
     /*  841440 */     // GIR_Coverage, 22933,
     /*  841440 */     GIR_EraseRootFromParent_Done,
     /*  841441 */   // Label 12929: @841441
     /*  841441 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(841516), // Rule ID 22936 //
     /*  841446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841492 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841514 */     GIR_RootConstrainSelectedInstOperands,
     /*  841515 */     // GIR_Coverage, 22936,
     /*  841515 */     GIR_EraseRootFromParent_Done,
     /*  841516 */   // Label 12930: @841516
     /*  841516 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(841591), // Rule ID 22937 //
     /*  841521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841567 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841589 */     GIR_RootConstrainSelectedInstOperands,
     /*  841590 */     // GIR_Coverage, 22937,
     /*  841590 */     GIR_EraseRootFromParent_Done,
     /*  841591 */   // Label 12931: @841591
     /*  841591 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(841666), // Rule ID 22940 //
     /*  841596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841642 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841664 */     GIR_RootConstrainSelectedInstOperands,
     /*  841665 */     // GIR_Coverage, 22940,
     /*  841665 */     GIR_EraseRootFromParent_Done,
     /*  841666 */   // Label 12932: @841666
     /*  841666 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(841741), // Rule ID 22941 //
     /*  841671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841717 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841739 */     GIR_RootConstrainSelectedInstOperands,
     /*  841740 */     // GIR_Coverage, 22941,
     /*  841740 */     GIR_EraseRootFromParent_Done,
     /*  841741 */   // Label 12933: @841741
     /*  841741 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841816), // Rule ID 22944 //
     /*  841746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841814 */     GIR_RootConstrainSelectedInstOperands,
     /*  841815 */     // GIR_Coverage, 22944,
     /*  841815 */     GIR_EraseRootFromParent_Done,
     /*  841816 */   // Label 12934: @841816
     /*  841816 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841891), // Rule ID 22945 //
     /*  841821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841867 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841889 */     GIR_RootConstrainSelectedInstOperands,
     /*  841890 */     // GIR_Coverage, 22945,
     /*  841890 */     GIR_EraseRootFromParent_Done,
     /*  841891 */   // Label 12935: @841891
     /*  841891 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841966), // Rule ID 23226 //
     /*  841896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841942 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  841945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841964 */     GIR_RootConstrainSelectedInstOperands,
     /*  841965 */     // GIR_Coverage, 23226,
     /*  841965 */     GIR_EraseRootFromParent_Done,
     /*  841966 */   // Label 12936: @841966
     /*  841966 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(842041), // Rule ID 23227 //
     /*  841971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  842020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842039 */     GIR_RootConstrainSelectedInstOperands,
     /*  842040 */     // GIR_Coverage, 23227,
     /*  842040 */     GIR_EraseRootFromParent_Done,
     /*  842041 */   // Label 12937: @842041
     /*  842041 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(842116), // Rule ID 23230 //
     /*  842046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  842095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842114 */     GIR_RootConstrainSelectedInstOperands,
     /*  842115 */     // GIR_Coverage, 23230,
     /*  842115 */     GIR_EraseRootFromParent_Done,
     /*  842116 */   // Label 12938: @842116
     /*  842116 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(842191), // Rule ID 23231 //
     /*  842121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842167 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  842170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842189 */     GIR_RootConstrainSelectedInstOperands,
     /*  842190 */     // GIR_Coverage, 23231,
     /*  842190 */     GIR_EraseRootFromParent_Done,
     /*  842191 */   // Label 12939: @842191
     /*  842191 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(842266), // Rule ID 23234 //
     /*  842196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  842245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842264 */     GIR_RootConstrainSelectedInstOperands,
     /*  842265 */     // GIR_Coverage, 23234,
     /*  842265 */     GIR_EraseRootFromParent_Done,
     /*  842266 */   // Label 12940: @842266
     /*  842266 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(842341), // Rule ID 23235 //
     /*  842271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  842320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842339 */     GIR_RootConstrainSelectedInstOperands,
     /*  842340 */     // GIR_Coverage, 23235,
     /*  842340 */     GIR_EraseRootFromParent_Done,
     /*  842341 */   // Label 12941: @842341
     /*  842341 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(842416), // Rule ID 23238 //
     /*  842346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  842395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842414 */     GIR_RootConstrainSelectedInstOperands,
     /*  842415 */     // GIR_Coverage, 23238,
     /*  842415 */     GIR_EraseRootFromParent_Done,
     /*  842416 */   // Label 12942: @842416
     /*  842416 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(842491), // Rule ID 23239 //
     /*  842421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842467 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  842470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842489 */     GIR_RootConstrainSelectedInstOperands,
     /*  842490 */     // GIR_Coverage, 23239,
     /*  842490 */     GIR_EraseRootFromParent_Done,
     /*  842491 */   // Label 12943: @842491
     /*  842491 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(842566), // Rule ID 23242 //
     /*  842496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842542 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842564 */     GIR_RootConstrainSelectedInstOperands,
     /*  842565 */     // GIR_Coverage, 23242,
     /*  842565 */     GIR_EraseRootFromParent_Done,
     /*  842566 */   // Label 12944: @842566
     /*  842566 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(842641), // Rule ID 23243 //
     /*  842571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842639 */     GIR_RootConstrainSelectedInstOperands,
     /*  842640 */     // GIR_Coverage, 23243,
     /*  842640 */     GIR_EraseRootFromParent_Done,
     /*  842641 */   // Label 12945: @842641
     /*  842641 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(842716), // Rule ID 23246 //
     /*  842646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842692 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842714 */     GIR_RootConstrainSelectedInstOperands,
     /*  842715 */     // GIR_Coverage, 23246,
     /*  842715 */     GIR_EraseRootFromParent_Done,
     /*  842716 */   // Label 12946: @842716
     /*  842716 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842791), // Rule ID 23247 //
     /*  842721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842767 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842789 */     GIR_RootConstrainSelectedInstOperands,
     /*  842790 */     // GIR_Coverage, 23247,
     /*  842790 */     GIR_EraseRootFromParent_Done,
     /*  842791 */   // Label 12947: @842791
     /*  842791 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842866), // Rule ID 23250 //
     /*  842796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842864 */     GIR_RootConstrainSelectedInstOperands,
     /*  842865 */     // GIR_Coverage, 23250,
     /*  842865 */     GIR_EraseRootFromParent_Done,
     /*  842866 */   // Label 12948: @842866
     /*  842866 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842941), // Rule ID 23251 //
     /*  842871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842939 */     GIR_RootConstrainSelectedInstOperands,
     /*  842940 */     // GIR_Coverage, 23251,
     /*  842940 */     GIR_EraseRootFromParent_Done,
     /*  842941 */   // Label 12949: @842941
     /*  842941 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(843016), // Rule ID 23254 //
     /*  842946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  842995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843014 */     GIR_RootConstrainSelectedInstOperands,
     /*  843015 */     // GIR_Coverage, 23254,
     /*  843015 */     GIR_EraseRootFromParent_Done,
     /*  843016 */   // Label 12950: @843016
     /*  843016 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(843091), // Rule ID 23255 //
     /*  843021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843067 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  843070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843089 */     GIR_RootConstrainSelectedInstOperands,
     /*  843090 */     // GIR_Coverage, 23255,
     /*  843090 */     GIR_EraseRootFromParent_Done,
     /*  843091 */   // Label 12951: @843091
     /*  843091 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(843166), // Rule ID 23258 //
     /*  843096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843142 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  843145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843164 */     GIR_RootConstrainSelectedInstOperands,
     /*  843165 */     // GIR_Coverage, 23258,
     /*  843165 */     GIR_EraseRootFromParent_Done,
     /*  843166 */   // Label 12952: @843166
     /*  843166 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(843241), // Rule ID 23259 //
     /*  843171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843217 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  843220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843239 */     GIR_RootConstrainSelectedInstOperands,
     /*  843240 */     // GIR_Coverage, 23259,
     /*  843240 */     GIR_EraseRootFromParent_Done,
     /*  843241 */   // Label 12953: @843241
     /*  843241 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(843316), // Rule ID 23262 //
     /*  843246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  843295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843314 */     GIR_RootConstrainSelectedInstOperands,
     /*  843315 */     // GIR_Coverage, 23262,
     /*  843315 */     GIR_EraseRootFromParent_Done,
     /*  843316 */   // Label 12954: @843316
     /*  843316 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(843391), // Rule ID 23263 //
     /*  843321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  843370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843389 */     GIR_RootConstrainSelectedInstOperands,
     /*  843390 */     // GIR_Coverage, 23263,
     /*  843390 */     GIR_EraseRootFromParent_Done,
     /*  843391 */   // Label 12955: @843391
     /*  843391 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(843466), // Rule ID 23266 //
     /*  843396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843442 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843464 */     GIR_RootConstrainSelectedInstOperands,
     /*  843465 */     // GIR_Coverage, 23266,
     /*  843465 */     GIR_EraseRootFromParent_Done,
     /*  843466 */   // Label 12956: @843466
     /*  843466 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(843541), // Rule ID 23267 //
     /*  843471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843517 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843539 */     GIR_RootConstrainSelectedInstOperands,
     /*  843540 */     // GIR_Coverage, 23267,
     /*  843540 */     GIR_EraseRootFromParent_Done,
     /*  843541 */   // Label 12957: @843541
     /*  843541 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(843616), // Rule ID 23270 //
     /*  843546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843592 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843614 */     GIR_RootConstrainSelectedInstOperands,
     /*  843615 */     // GIR_Coverage, 23270,
     /*  843615 */     GIR_EraseRootFromParent_Done,
     /*  843616 */   // Label 12958: @843616
     /*  843616 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(843691), // Rule ID 23271 //
     /*  843621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843667 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843689 */     GIR_RootConstrainSelectedInstOperands,
     /*  843690 */     // GIR_Coverage, 23271,
     /*  843690 */     GIR_EraseRootFromParent_Done,
     /*  843691 */   // Label 12959: @843691
     /*  843691 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(843766), // Rule ID 23274 //
     /*  843696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843742 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843764 */     GIR_RootConstrainSelectedInstOperands,
     /*  843765 */     // GIR_Coverage, 23274,
     /*  843765 */     GIR_EraseRootFromParent_Done,
     /*  843766 */   // Label 12960: @843766
     /*  843766 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843841), // Rule ID 23275 //
     /*  843771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843817 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843839 */     GIR_RootConstrainSelectedInstOperands,
     /*  843840 */     // GIR_Coverage, 23275,
     /*  843840 */     GIR_EraseRootFromParent_Done,
     /*  843841 */   // Label 12961: @843841
     /*  843841 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843916), // Rule ID 23278 //
     /*  843846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843914 */     GIR_RootConstrainSelectedInstOperands,
     /*  843915 */     // GIR_Coverage, 23278,
     /*  843915 */     GIR_EraseRootFromParent_Done,
     /*  843916 */   // Label 12962: @843916
     /*  843916 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843991), // Rule ID 23279 //
     /*  843921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843967 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843989 */     GIR_RootConstrainSelectedInstOperands,
     /*  843990 */     // GIR_Coverage, 23279,
     /*  843990 */     GIR_EraseRootFromParent_Done,
     /*  843991 */   // Label 12963: @843991
     /*  843991 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(844066), // Rule ID 23282 //
     /*  843996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  844007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  844010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  844013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  844016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  844045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844064 */     GIR_RootConstrainSelectedInstOperands,
     /*  844065 */     // GIR_Coverage, 23282,
     /*  844065 */     GIR_EraseRootFromParent_Done,
     /*  844066 */   // Label 12964: @844066
     /*  844066 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(844141), // Rule ID 23283 //
     /*  844071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  844082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  844085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  844088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  844091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844117 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  844120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844126 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844139 */     GIR_RootConstrainSelectedInstOperands,
     /*  844140 */     // GIR_Coverage, 23283,
     /*  844140 */     GIR_EraseRootFromParent_Done,
     /*  844141 */   // Label 12965: @844141
     /*  844141 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(844216), // Rule ID 23286 //
     /*  844146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  844157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  844160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  844163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  844166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  844195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844214 */     GIR_RootConstrainSelectedInstOperands,
     /*  844215 */     // GIR_Coverage, 23286,
     /*  844215 */     GIR_EraseRootFromParent_Done,
     /*  844216 */   // Label 12966: @844216
     /*  844216 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(844291), // Rule ID 23287 //
     /*  844221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  844232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  844235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  844238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  844241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844267 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  844270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844289 */     GIR_RootConstrainSelectedInstOperands,
     /*  844290 */     // GIR_Coverage, 23287,
     /*  844290 */     GIR_EraseRootFromParent_Done,
     /*  844291 */   // Label 12967: @844291
     /*  844291 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(844366), // Rule ID 23290 //
     /*  844296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  844307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  844310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  844313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  844316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844342 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  844345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844364 */     GIR_RootConstrainSelectedInstOperands,
     /*  844365 */     // GIR_Coverage, 23290,
     /*  844365 */     GIR_EraseRootFromParent_Done,
     /*  844366 */   // Label 12968: @844366
     /*  844366 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(844441), // Rule ID 23291 //
     /*  844371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  844382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  844385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  844388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  844391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844417 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  844420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844439 */     GIR_RootConstrainSelectedInstOperands,
     /*  844440 */     // GIR_Coverage, 23291,
     /*  844440 */     GIR_EraseRootFromParent_Done,
     /*  844441 */   // Label 12969: @844441
     /*  844441 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(844516), // Rule ID 23294 //
     /*  844446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844514 */     GIR_RootConstrainSelectedInstOperands,
     /*  844515 */     // GIR_Coverage, 23294,
     /*  844515 */     GIR_EraseRootFromParent_Done,
     /*  844516 */   // Label 12970: @844516
     /*  844516 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(844591), // Rule ID 23295 //
     /*  844521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844567 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844589 */     GIR_RootConstrainSelectedInstOperands,
     /*  844590 */     // GIR_Coverage, 23295,
     /*  844590 */     GIR_EraseRootFromParent_Done,
     /*  844591 */   // Label 12971: @844591
     /*  844591 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(844666), // Rule ID 23298 //
     /*  844596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844642 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844664 */     GIR_RootConstrainSelectedInstOperands,
     /*  844665 */     // GIR_Coverage, 23298,
     /*  844665 */     GIR_EraseRootFromParent_Done,
     /*  844666 */   // Label 12972: @844666
     /*  844666 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(844741), // Rule ID 23299 //
     /*  844671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844717 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844739 */     GIR_RootConstrainSelectedInstOperands,
     /*  844740 */     // GIR_Coverage, 23299,
     /*  844740 */     GIR_EraseRootFromParent_Done,
     /*  844741 */   // Label 12973: @844741
     /*  844741 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844816), // Rule ID 23302 //
     /*  844746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844792 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844814 */     GIR_RootConstrainSelectedInstOperands,
     /*  844815 */     // GIR_Coverage, 23302,
     /*  844815 */     GIR_EraseRootFromParent_Done,
     /*  844816 */   // Label 12974: @844816
     /*  844816 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844891), // Rule ID 23303 //
     /*  844821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844867 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844889 */     GIR_RootConstrainSelectedInstOperands,
     /*  844890 */     // GIR_Coverage, 23303,
     /*  844890 */     GIR_EraseRootFromParent_Done,
     /*  844891 */   // Label 12975: @844891
     /*  844891 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844966), // Rule ID 23844 //
     /*  844896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  844945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844964 */     GIR_RootConstrainSelectedInstOperands,
     /*  844965 */     // GIR_Coverage, 23844,
     /*  844965 */     GIR_EraseRootFromParent_Done,
     /*  844966 */   // Label 12976: @844966
     /*  844966 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(845041), // Rule ID 23845 //
     /*  844971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845017 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  845020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845039 */     GIR_RootConstrainSelectedInstOperands,
     /*  845040 */     // GIR_Coverage, 23845,
     /*  845040 */     GIR_EraseRootFromParent_Done,
     /*  845041 */   // Label 12977: @845041
     /*  845041 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(845116), // Rule ID 23848 //
     /*  845046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  845057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  845060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  845063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845114 */     GIR_RootConstrainSelectedInstOperands,
     /*  845115 */     // GIR_Coverage, 23848,
     /*  845115 */     GIR_EraseRootFromParent_Done,
     /*  845116 */   // Label 12978: @845116
     /*  845116 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(845191), // Rule ID 23849 //
     /*  845121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  845132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  845135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  845138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845189 */     GIR_RootConstrainSelectedInstOperands,
     /*  845190 */     // GIR_Coverage, 23849,
     /*  845190 */     GIR_EraseRootFromParent_Done,
     /*  845191 */   // Label 12979: @845191
     /*  845191 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(845266), // Rule ID 23852 //
     /*  845196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  845207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  845210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  845213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845264 */     GIR_RootConstrainSelectedInstOperands,
     /*  845265 */     // GIR_Coverage, 23852,
     /*  845265 */     GIR_EraseRootFromParent_Done,
     /*  845266 */   // Label 12980: @845266
     /*  845266 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(845341), // Rule ID 23853 //
     /*  845271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  845282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  845285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  845288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845317 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845339 */     GIR_RootConstrainSelectedInstOperands,
     /*  845340 */     // GIR_Coverage, 23853,
     /*  845340 */     GIR_EraseRootFromParent_Done,
     /*  845341 */   // Label 12981: @845341
     /*  845341 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(845416), // Rule ID 23856 //
     /*  845346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  845357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  845360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  845363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845414 */     GIR_RootConstrainSelectedInstOperands,
     /*  845415 */     // GIR_Coverage, 23856,
     /*  845415 */     GIR_EraseRootFromParent_Done,
     /*  845416 */   // Label 12982: @845416
     /*  845416 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(845491), // Rule ID 23857 //
     /*  845421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  845432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  845435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  845438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845489 */     GIR_RootConstrainSelectedInstOperands,
     /*  845490 */     // GIR_Coverage, 23857,
     /*  845490 */     GIR_EraseRootFromParent_Done,
     /*  845491 */   // Label 12983: @845491
     /*  845491 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(845566), // Rule ID 23860 //
     /*  845496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845564 */     GIR_RootConstrainSelectedInstOperands,
     /*  845565 */     // GIR_Coverage, 23860,
     /*  845565 */     GIR_EraseRootFromParent_Done,
     /*  845566 */   // Label 12984: @845566
     /*  845566 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(845641), // Rule ID 23861 //
     /*  845571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845617 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845639 */     GIR_RootConstrainSelectedInstOperands,
     /*  845640 */     // GIR_Coverage, 23861,
     /*  845640 */     GIR_EraseRootFromParent_Done,
     /*  845641 */   // Label 12985: @845641
     /*  845641 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(845716), // Rule ID 23864 //
     /*  845646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845714 */     GIR_RootConstrainSelectedInstOperands,
     /*  845715 */     // GIR_Coverage, 23864,
     /*  845715 */     GIR_EraseRootFromParent_Done,
     /*  845716 */   // Label 12986: @845716
     /*  845716 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845791), // Rule ID 23865 //
     /*  845721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845789 */     GIR_RootConstrainSelectedInstOperands,
     /*  845790 */     // GIR_Coverage, 23865,
     /*  845790 */     GIR_EraseRootFromParent_Done,
     /*  845791 */   // Label 12987: @845791
     /*  845791 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845866), // Rule ID 23868 //
     /*  845796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845864 */     GIR_RootConstrainSelectedInstOperands,
     /*  845865 */     // GIR_Coverage, 23868,
     /*  845865 */     GIR_EraseRootFromParent_Done,
     /*  845866 */   // Label 12988: @845866
     /*  845866 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845941), // Rule ID 23869 //
     /*  845871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845939 */     GIR_RootConstrainSelectedInstOperands,
     /*  845940 */     // GIR_Coverage, 23869,
     /*  845940 */     GIR_EraseRootFromParent_Done,
     /*  845941 */   // Label 12989: @845941
     /*  845941 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(846016), // Rule ID 23872 //
     /*  845946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846014 */     GIR_RootConstrainSelectedInstOperands,
     /*  846015 */     // GIR_Coverage, 23872,
     /*  846015 */     GIR_EraseRootFromParent_Done,
     /*  846016 */   // Label 12990: @846016
     /*  846016 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(846091), // Rule ID 23873 //
     /*  846021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  846032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  846035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  846038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846089 */     GIR_RootConstrainSelectedInstOperands,
     /*  846090 */     // GIR_Coverage, 23873,
     /*  846090 */     GIR_EraseRootFromParent_Done,
     /*  846091 */   // Label 12991: @846091
     /*  846091 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(846166), // Rule ID 23876 //
     /*  846096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846164 */     GIR_RootConstrainSelectedInstOperands,
     /*  846165 */     // GIR_Coverage, 23876,
     /*  846165 */     GIR_EraseRootFromParent_Done,
     /*  846166 */   // Label 12992: @846166
     /*  846166 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(846241), // Rule ID 23877 //
     /*  846171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846239 */     GIR_RootConstrainSelectedInstOperands,
     /*  846240 */     // GIR_Coverage, 23877,
     /*  846240 */     GIR_EraseRootFromParent_Done,
     /*  846241 */   // Label 12993: @846241
     /*  846241 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(846316), // Rule ID 23880 //
     /*  846246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  846263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846314 */     GIR_RootConstrainSelectedInstOperands,
     /*  846315 */     // GIR_Coverage, 23880,
     /*  846315 */     GIR_EraseRootFromParent_Done,
     /*  846316 */   // Label 12994: @846316
     /*  846316 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(846391), // Rule ID 23881 //
     /*  846321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  846338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846389 */     GIR_RootConstrainSelectedInstOperands,
     /*  846390 */     // GIR_Coverage, 23881,
     /*  846390 */     GIR_EraseRootFromParent_Done,
     /*  846391 */   // Label 12995: @846391
     /*  846391 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(846466), // Rule ID 23884 //
     /*  846396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  846407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  846410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  846413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846464 */     GIR_RootConstrainSelectedInstOperands,
     /*  846465 */     // GIR_Coverage, 23884,
     /*  846465 */     GIR_EraseRootFromParent_Done,
     /*  846466 */   // Label 12996: @846466
     /*  846466 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(846541), // Rule ID 23885 //
     /*  846471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  846482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  846485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  846488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846517 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846539 */     GIR_RootConstrainSelectedInstOperands,
     /*  846540 */     // GIR_Coverage, 23885,
     /*  846540 */     GIR_EraseRootFromParent_Done,
     /*  846541 */   // Label 12997: @846541
     /*  846541 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(846616), // Rule ID 23888 //
     /*  846546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846614 */     GIR_RootConstrainSelectedInstOperands,
     /*  846615 */     // GIR_Coverage, 23888,
     /*  846615 */     GIR_EraseRootFromParent_Done,
     /*  846616 */   // Label 12998: @846616
     /*  846616 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(846691), // Rule ID 23889 //
     /*  846621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846689 */     GIR_RootConstrainSelectedInstOperands,
     /*  846690 */     // GIR_Coverage, 23889,
     /*  846690 */     GIR_EraseRootFromParent_Done,
     /*  846691 */   // Label 12999: @846691
     /*  846691 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(846766), // Rule ID 23892 //
     /*  846696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846742 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846764 */     GIR_RootConstrainSelectedInstOperands,
     /*  846765 */     // GIR_Coverage, 23892,
     /*  846765 */     GIR_EraseRootFromParent_Done,
     /*  846766 */   // Label 13000: @846766
     /*  846766 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846841), // Rule ID 23893 //
     /*  846771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846817 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846839 */     GIR_RootConstrainSelectedInstOperands,
     /*  846840 */     // GIR_Coverage, 23893,
     /*  846840 */     GIR_EraseRootFromParent_Done,
     /*  846841 */   // Label 13001: @846841
     /*  846841 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846916), // Rule ID 23896 //
     /*  846846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846914 */     GIR_RootConstrainSelectedInstOperands,
     /*  846915 */     // GIR_Coverage, 23896,
     /*  846915 */     GIR_EraseRootFromParent_Done,
     /*  846916 */   // Label 13002: @846916
     /*  846916 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846991), // Rule ID 23897 //
     /*  846921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846989 */     GIR_RootConstrainSelectedInstOperands,
     /*  846990 */     // GIR_Coverage, 23897,
     /*  846990 */     GIR_EraseRootFromParent_Done,
     /*  846991 */   // Label 13003: @846991
     /*  846991 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(847066), // Rule ID 23900 //
     /*  846996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  847007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  847010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847064 */     GIR_RootConstrainSelectedInstOperands,
     /*  847065 */     // GIR_Coverage, 23900,
     /*  847065 */     GIR_EraseRootFromParent_Done,
     /*  847066 */   // Label 13004: @847066
     /*  847066 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(847141), // Rule ID 23901 //
     /*  847071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  847082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  847085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847117 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847139 */     GIR_RootConstrainSelectedInstOperands,
     /*  847140 */     // GIR_Coverage, 23901,
     /*  847140 */     GIR_EraseRootFromParent_Done,
     /*  847141 */   // Label 13005: @847141
     /*  847141 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(847216), // Rule ID 23904 //
     /*  847146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  847157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  847160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847214 */     GIR_RootConstrainSelectedInstOperands,
     /*  847215 */     // GIR_Coverage, 23904,
     /*  847215 */     GIR_EraseRootFromParent_Done,
     /*  847216 */   // Label 13006: @847216
     /*  847216 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(847291), // Rule ID 23905 //
     /*  847221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  847232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  847235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847267 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847289 */     GIR_RootConstrainSelectedInstOperands,
     /*  847290 */     // GIR_Coverage, 23905,
     /*  847290 */     GIR_EraseRootFromParent_Done,
     /*  847291 */   // Label 13007: @847291
     /*  847291 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(847366), // Rule ID 23908 //
     /*  847296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  847307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  847310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  847313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847364 */     GIR_RootConstrainSelectedInstOperands,
     /*  847365 */     // GIR_Coverage, 23908,
     /*  847365 */     GIR_EraseRootFromParent_Done,
     /*  847366 */   // Label 13008: @847366
     /*  847366 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(847441), // Rule ID 23909 //
     /*  847371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  847382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  847385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  847388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847439 */     GIR_RootConstrainSelectedInstOperands,
     /*  847440 */     // GIR_Coverage, 23909,
     /*  847440 */     GIR_EraseRootFromParent_Done,
     /*  847441 */   // Label 13009: @847441
     /*  847441 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(847516), // Rule ID 23912 //
     /*  847446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847514 */     GIR_RootConstrainSelectedInstOperands,
     /*  847515 */     // GIR_Coverage, 23912,
     /*  847515 */     GIR_EraseRootFromParent_Done,
     /*  847516 */   // Label 13010: @847516
     /*  847516 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(847591), // Rule ID 23913 //
     /*  847521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847589 */     GIR_RootConstrainSelectedInstOperands,
     /*  847590 */     // GIR_Coverage, 23913,
     /*  847590 */     GIR_EraseRootFromParent_Done,
     /*  847591 */   // Label 13011: @847591
     /*  847591 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(847666), // Rule ID 23916 //
     /*  847596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847664 */     GIR_RootConstrainSelectedInstOperands,
     /*  847665 */     // GIR_Coverage, 23916,
     /*  847665 */     GIR_EraseRootFromParent_Done,
     /*  847666 */   // Label 13012: @847666
     /*  847666 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(847741), // Rule ID 23917 //
     /*  847671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847739 */     GIR_RootConstrainSelectedInstOperands,
     /*  847740 */     // GIR_Coverage, 23917,
     /*  847740 */     GIR_EraseRootFromParent_Done,
     /*  847741 */   // Label 13013: @847741
     /*  847741 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847816), // Rule ID 23920 //
     /*  847746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847814 */     GIR_RootConstrainSelectedInstOperands,
     /*  847815 */     // GIR_Coverage, 23920,
     /*  847815 */     GIR_EraseRootFromParent_Done,
     /*  847816 */   // Label 13014: @847816
     /*  847816 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847891), // Rule ID 23921 //
     /*  847821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847889 */     GIR_RootConstrainSelectedInstOperands,
     /*  847890 */     // GIR_Coverage, 23921,
     /*  847890 */     GIR_EraseRootFromParent_Done,
     /*  847891 */   // Label 13015: @847891
     /*  847891 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847966), // Rule ID 23924 //
     /*  847896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847964 */     GIR_RootConstrainSelectedInstOperands,
     /*  847965 */     // GIR_Coverage, 23924,
     /*  847965 */     GIR_EraseRootFromParent_Done,
     /*  847966 */   // Label 13016: @847966
     /*  847966 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(848041), // Rule ID 23925 //
     /*  847971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  848020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848039 */     GIR_RootConstrainSelectedInstOperands,
     /*  848040 */     // GIR_Coverage, 23925,
     /*  848040 */     GIR_EraseRootFromParent_Done,
     /*  848041 */   // Label 13017: @848041
     /*  848041 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(848116), // Rule ID 23928 //
     /*  848046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  848049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  848057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  848060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  848063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  848092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848114 */     GIR_RootConstrainSelectedInstOperands,
     /*  848115 */     // GIR_Coverage, 23928,
     /*  848115 */     GIR_EraseRootFromParent_Done,
     /*  848116 */   // Label 13018: @848116
     /*  848116 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(848191), // Rule ID 23929 //
     /*  848121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  848124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  848132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  848135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  848138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848189 */     GIR_RootConstrainSelectedInstOperands,
     /*  848190 */     // GIR_Coverage, 23929,
     /*  848190 */     GIR_EraseRootFromParent_Done,
     /*  848191 */   // Label 13019: @848191
     /*  848191 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(848266), // Rule ID 23932 //
     /*  848196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  848207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  848210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  848213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848242 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  848245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848264 */     GIR_RootConstrainSelectedInstOperands,
     /*  848265 */     // GIR_Coverage, 23932,
     /*  848265 */     GIR_EraseRootFromParent_Done,
     /*  848266 */   // Label 13020: @848266
     /*  848266 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(848341), // Rule ID 23933 //
     /*  848271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  848282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  848285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  848288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848317 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  848320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848339 */     GIR_RootConstrainSelectedInstOperands,
     /*  848340 */     // GIR_Coverage, 23933,
     /*  848340 */     GIR_EraseRootFromParent_Done,
     /*  848341 */   // Label 13021: @848341
     /*  848341 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(848416), // Rule ID 23936 //
     /*  848346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  848357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  848360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  848363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848414 */     GIR_RootConstrainSelectedInstOperands,
     /*  848415 */     // GIR_Coverage, 23936,
     /*  848415 */     GIR_EraseRootFromParent_Done,
     /*  848416 */   // Label 13022: @848416
     /*  848416 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(848491), // Rule ID 23937 //
     /*  848421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  848432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  848435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  848438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848467 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848489 */     GIR_RootConstrainSelectedInstOperands,
     /*  848490 */     // GIR_Coverage, 23937,
     /*  848490 */     GIR_EraseRootFromParent_Done,
     /*  848491 */   // Label 13023: @848491
     /*  848491 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(848566), // Rule ID 23940 //
     /*  848496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848542 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848564 */     GIR_RootConstrainSelectedInstOperands,
     /*  848565 */     // GIR_Coverage, 23940,
     /*  848565 */     GIR_EraseRootFromParent_Done,
     /*  848566 */   // Label 13024: @848566
     /*  848566 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(848641), // Rule ID 23941 //
     /*  848571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848617 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848639 */     GIR_RootConstrainSelectedInstOperands,
     /*  848640 */     // GIR_Coverage, 23941,
     /*  848640 */     GIR_EraseRootFromParent_Done,
     /*  848641 */   // Label 13025: @848641
     /*  848641 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(848716), // Rule ID 23944 //
     /*  848646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848714 */     GIR_RootConstrainSelectedInstOperands,
     /*  848715 */     // GIR_Coverage, 23944,
     /*  848715 */     GIR_EraseRootFromParent_Done,
     /*  848716 */   // Label 13026: @848716
     /*  848716 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848791), // Rule ID 23945 //
     /*  848721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848789 */     GIR_RootConstrainSelectedInstOperands,
     /*  848790 */     // GIR_Coverage, 23945,
     /*  848790 */     GIR_EraseRootFromParent_Done,
     /*  848791 */   // Label 13027: @848791
     /*  848791 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848866), // Rule ID 23948 //
     /*  848796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848842 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848864 */     GIR_RootConstrainSelectedInstOperands,
     /*  848865 */     // GIR_Coverage, 23948,
     /*  848865 */     GIR_EraseRootFromParent_Done,
     /*  848866 */   // Label 13028: @848866
     /*  848866 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848941), // Rule ID 23949 //
     /*  848871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848939 */     GIR_RootConstrainSelectedInstOperands,
     /*  848940 */     // GIR_Coverage, 23949,
     /*  848940 */     GIR_EraseRootFromParent_Done,
     /*  848941 */   // Label 13029: @848941
     /*  848941 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(849016), // Rule ID 23952 //
     /*  848946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  848963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849014 */     GIR_RootConstrainSelectedInstOperands,
     /*  849015 */     // GIR_Coverage, 23952,
     /*  849015 */     GIR_EraseRootFromParent_Done,
     /*  849016 */   // Label 13030: @849016
     /*  849016 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(849091), // Rule ID 23953 //
     /*  849021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  849032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  849035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  849038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849089 */     GIR_RootConstrainSelectedInstOperands,
     /*  849090 */     // GIR_Coverage, 23953,
     /*  849090 */     GIR_EraseRootFromParent_Done,
     /*  849091 */   // Label 13031: @849091
     /*  849091 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(849166), // Rule ID 23956 //
     /*  849096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  849113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849164 */     GIR_RootConstrainSelectedInstOperands,
     /*  849165 */     // GIR_Coverage, 23956,
     /*  849165 */     GIR_EraseRootFromParent_Done,
     /*  849166 */   // Label 13032: @849166
     /*  849166 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(849241), // Rule ID 23957 //
     /*  849171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  849188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849239 */     GIR_RootConstrainSelectedInstOperands,
     /*  849240 */     // GIR_Coverage, 23957,
     /*  849240 */     GIR_EraseRootFromParent_Done,
     /*  849241 */   // Label 13033: @849241
     /*  849241 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(849316), // Rule ID 23960 //
     /*  849246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  849257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  849260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  849263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849314 */     GIR_RootConstrainSelectedInstOperands,
     /*  849315 */     // GIR_Coverage, 23960,
     /*  849315 */     GIR_EraseRootFromParent_Done,
     /*  849316 */   // Label 13034: @849316
     /*  849316 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(849391), // Rule ID 23961 //
     /*  849321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  849332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  849335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  849338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849389 */     GIR_RootConstrainSelectedInstOperands,
     /*  849390 */     // GIR_Coverage, 23961,
     /*  849390 */     GIR_EraseRootFromParent_Done,
     /*  849391 */   // Label 13035: @849391
     /*  849391 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(849466), // Rule ID 23964 //
     /*  849396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  849407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  849410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  849413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849464 */     GIR_RootConstrainSelectedInstOperands,
     /*  849465 */     // GIR_Coverage, 23964,
     /*  849465 */     GIR_EraseRootFromParent_Done,
     /*  849466 */   // Label 13036: @849466
     /*  849466 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(849541), // Rule ID 23965 //
     /*  849471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  849482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  849485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  849488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849539 */     GIR_RootConstrainSelectedInstOperands,
     /*  849540 */     // GIR_Coverage, 23965,
     /*  849540 */     GIR_EraseRootFromParent_Done,
     /*  849541 */   // Label 13037: @849541
     /*  849541 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(849616), // Rule ID 23968 //
     /*  849546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  849549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849614 */     GIR_RootConstrainSelectedInstOperands,
     /*  849615 */     // GIR_Coverage, 23968,
     /*  849615 */     GIR_EraseRootFromParent_Done,
     /*  849616 */   // Label 13038: @849616
     /*  849616 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(849691), // Rule ID 23969 //
     /*  849621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  849624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849689 */     GIR_RootConstrainSelectedInstOperands,
     /*  849690 */     // GIR_Coverage, 23969,
     /*  849690 */     GIR_EraseRootFromParent_Done,
     /*  849691 */   // Label 13039: @849691
     /*  849691 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(849766), // Rule ID 23972 //
     /*  849696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849742 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849764 */     GIR_RootConstrainSelectedInstOperands,
     /*  849765 */     // GIR_Coverage, 23972,
     /*  849765 */     GIR_EraseRootFromParent_Done,
     /*  849766 */   // Label 13040: @849766
     /*  849766 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849841), // Rule ID 23973 //
     /*  849771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849817 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849839 */     GIR_RootConstrainSelectedInstOperands,
     /*  849840 */     // GIR_Coverage, 23973,
     /*  849840 */     GIR_EraseRootFromParent_Done,
     /*  849841 */   // Label 13041: @849841
     /*  849841 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849916), // Rule ID 23976 //
     /*  849846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849914 */     GIR_RootConstrainSelectedInstOperands,
     /*  849915 */     // GIR_Coverage, 23976,
     /*  849915 */     GIR_EraseRootFromParent_Done,
     /*  849916 */   // Label 13042: @849916
     /*  849916 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849991), // Rule ID 23977 //
     /*  849921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849967 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849989 */     GIR_RootConstrainSelectedInstOperands,
     /*  849990 */     // GIR_Coverage, 23977,
     /*  849990 */     GIR_EraseRootFromParent_Done,
     /*  849991 */   // Label 13043: @849991
     /*  849991 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(850066), // Rule ID 23980 //
     /*  849996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  850007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850042 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850064 */     GIR_RootConstrainSelectedInstOperands,
     /*  850065 */     // GIR_Coverage, 23980,
     /*  850065 */     GIR_EraseRootFromParent_Done,
     /*  850066 */   // Label 13044: @850066
     /*  850066 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(850141), // Rule ID 23981 //
     /*  850071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  850082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850117 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850139 */     GIR_RootConstrainSelectedInstOperands,
     /*  850140 */     // GIR_Coverage, 23981,
     /*  850140 */     GIR_EraseRootFromParent_Done,
     /*  850141 */   // Label 13045: @850141
     /*  850141 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(850216), // Rule ID 23984 //
     /*  850146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850214 */     GIR_RootConstrainSelectedInstOperands,
     /*  850215 */     // GIR_Coverage, 23984,
     /*  850215 */     GIR_EraseRootFromParent_Done,
     /*  850216 */   // Label 13046: @850216
     /*  850216 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(850291), // Rule ID 23985 //
     /*  850221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850289 */     GIR_RootConstrainSelectedInstOperands,
     /*  850290 */     // GIR_Coverage, 23985,
     /*  850290 */     GIR_EraseRootFromParent_Done,
     /*  850291 */   // Label 13047: @850291
     /*  850291 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(850366), // Rule ID 23988 //
     /*  850296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  850307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  850310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850364 */     GIR_RootConstrainSelectedInstOperands,
     /*  850365 */     // GIR_Coverage, 23988,
     /*  850365 */     GIR_EraseRootFromParent_Done,
     /*  850366 */   // Label 13048: @850366
     /*  850366 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(850441), // Rule ID 23989 //
     /*  850371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  850382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  850385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850439 */     GIR_RootConstrainSelectedInstOperands,
     /*  850440 */     // GIR_Coverage, 23989,
     /*  850440 */     GIR_EraseRootFromParent_Done,
     /*  850441 */   // Label 13049: @850441
     /*  850441 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(850516), // Rule ID 23992 //
     /*  850446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850514 */     GIR_RootConstrainSelectedInstOperands,
     /*  850515 */     // GIR_Coverage, 23992,
     /*  850515 */     GIR_EraseRootFromParent_Done,
     /*  850516 */   // Label 13050: @850516
     /*  850516 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(850591), // Rule ID 23993 //
     /*  850521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850567 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850589 */     GIR_RootConstrainSelectedInstOperands,
     /*  850590 */     // GIR_Coverage, 23993,
     /*  850590 */     GIR_EraseRootFromParent_Done,
     /*  850591 */   // Label 13051: @850591
     /*  850591 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(850666), // Rule ID 23996 //
     /*  850596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850664 */     GIR_RootConstrainSelectedInstOperands,
     /*  850665 */     // GIR_Coverage, 23996,
     /*  850665 */     GIR_EraseRootFromParent_Done,
     /*  850666 */   // Label 13052: @850666
     /*  850666 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(850741), // Rule ID 23997 //
     /*  850671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850717 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850739 */     GIR_RootConstrainSelectedInstOperands,
     /*  850740 */     // GIR_Coverage, 23997,
     /*  850740 */     GIR_EraseRootFromParent_Done,
     /*  850741 */   // Label 13053: @850741
     /*  850741 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850816), // Rule ID 24000 //
     /*  850746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850814 */     GIR_RootConstrainSelectedInstOperands,
     /*  850815 */     // GIR_Coverage, 24000,
     /*  850815 */     GIR_EraseRootFromParent_Done,
     /*  850816 */   // Label 13054: @850816
     /*  850816 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850891), // Rule ID 24001 //
     /*  850821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850867 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850889 */     GIR_RootConstrainSelectedInstOperands,
     /*  850890 */     // GIR_Coverage, 24001,
     /*  850890 */     GIR_EraseRootFromParent_Done,
     /*  850891 */   // Label 13055: @850891
     /*  850891 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850966), // Rule ID 24004 //
     /*  850896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850942 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850964 */     GIR_RootConstrainSelectedInstOperands,
     /*  850965 */     // GIR_Coverage, 24004,
     /*  850965 */     GIR_EraseRootFromParent_Done,
     /*  850966 */   // Label 13056: @850966
     /*  850966 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(851041), // Rule ID 24005 //
     /*  850971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851039 */     GIR_RootConstrainSelectedInstOperands,
     /*  851040 */     // GIR_Coverage, 24005,
     /*  851040 */     GIR_EraseRootFromParent_Done,
     /*  851041 */   // Label 13057: @851041
     /*  851041 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(851116), // Rule ID 24008 //
     /*  851046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851114 */     GIR_RootConstrainSelectedInstOperands,
     /*  851115 */     // GIR_Coverage, 24008,
     /*  851115 */     GIR_EraseRootFromParent_Done,
     /*  851116 */   // Label 13058: @851116
     /*  851116 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(851191), // Rule ID 24009 //
     /*  851121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851167 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851189 */     GIR_RootConstrainSelectedInstOperands,
     /*  851190 */     // GIR_Coverage, 24009,
     /*  851190 */     GIR_EraseRootFromParent_Done,
     /*  851191 */   // Label 13059: @851191
     /*  851191 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(851266), // Rule ID 24012 //
     /*  851196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851242 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851264 */     GIR_RootConstrainSelectedInstOperands,
     /*  851265 */     // GIR_Coverage, 24012,
     /*  851265 */     GIR_EraseRootFromParent_Done,
     /*  851266 */   // Label 13060: @851266
     /*  851266 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(851341), // Rule ID 24013 //
     /*  851271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851339 */     GIR_RootConstrainSelectedInstOperands,
     /*  851340 */     // GIR_Coverage, 24013,
     /*  851340 */     GIR_EraseRootFromParent_Done,
     /*  851341 */   // Label 13061: @851341
     /*  851341 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(851416), // Rule ID 24016 //
     /*  851346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  851357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  851360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  851363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851414 */     GIR_RootConstrainSelectedInstOperands,
     /*  851415 */     // GIR_Coverage, 24016,
     /*  851415 */     GIR_EraseRootFromParent_Done,
     /*  851416 */   // Label 13062: @851416
     /*  851416 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(851491), // Rule ID 24017 //
     /*  851421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  851432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  851435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  851438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851489 */     GIR_RootConstrainSelectedInstOperands,
     /*  851490 */     // GIR_Coverage, 24017,
     /*  851490 */     GIR_EraseRootFromParent_Done,
     /*  851491 */   // Label 13063: @851491
     /*  851491 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(851566), // Rule ID 24260 //
     /*  851496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851542 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851564 */     GIR_RootConstrainSelectedInstOperands,
     /*  851565 */     // GIR_Coverage, 24260,
     /*  851565 */     GIR_EraseRootFromParent_Done,
     /*  851566 */   // Label 13064: @851566
     /*  851566 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(851641), // Rule ID 24261 //
     /*  851571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851639 */     GIR_RootConstrainSelectedInstOperands,
     /*  851640 */     // GIR_Coverage, 24261,
     /*  851640 */     GIR_EraseRootFromParent_Done,
     /*  851641 */   // Label 13065: @851641
     /*  851641 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(851716), // Rule ID 24264 //
     /*  851646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851714 */     GIR_RootConstrainSelectedInstOperands,
     /*  851715 */     // GIR_Coverage, 24264,
     /*  851715 */     GIR_EraseRootFromParent_Done,
     /*  851716 */   // Label 13066: @851716
     /*  851716 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851791), // Rule ID 24265 //
     /*  851721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851767 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851789 */     GIR_RootConstrainSelectedInstOperands,
     /*  851790 */     // GIR_Coverage, 24265,
     /*  851790 */     GIR_EraseRootFromParent_Done,
     /*  851791 */   // Label 13067: @851791
     /*  851791 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851866), // Rule ID 24268 //
     /*  851796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851842 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851864 */     GIR_RootConstrainSelectedInstOperands,
     /*  851865 */     // GIR_Coverage, 24268,
     /*  851865 */     GIR_EraseRootFromParent_Done,
     /*  851866 */   // Label 13068: @851866
     /*  851866 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851941), // Rule ID 24269 //
     /*  851871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851917 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851939 */     GIR_RootConstrainSelectedInstOperands,
     /*  851940 */     // GIR_Coverage, 24269,
     /*  851940 */     GIR_EraseRootFromParent_Done,
     /*  851941 */   // Label 13069: @851941
     /*  851941 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(852016), // Rule ID 24272 //
     /*  851946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  851957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  851960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  851963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  851995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852014 */     GIR_RootConstrainSelectedInstOperands,
     /*  852015 */     // GIR_Coverage, 24272,
     /*  852015 */     GIR_EraseRootFromParent_Done,
     /*  852016 */   // Label 13070: @852016
     /*  852016 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(852091), // Rule ID 24273 //
     /*  852021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  852035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  852070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852089 */     GIR_RootConstrainSelectedInstOperands,
     /*  852090 */     // GIR_Coverage, 24273,
     /*  852090 */     GIR_EraseRootFromParent_Done,
     /*  852091 */   // Label 13071: @852091
     /*  852091 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(852166), // Rule ID 24276 //
     /*  852096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  852145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852164 */     GIR_RootConstrainSelectedInstOperands,
     /*  852165 */     // GIR_Coverage, 24276,
     /*  852165 */     GIR_EraseRootFromParent_Done,
     /*  852166 */   // Label 13072: @852166
     /*  852166 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(852241), // Rule ID 24277 //
     /*  852171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  852220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852239 */     GIR_RootConstrainSelectedInstOperands,
     /*  852240 */     // GIR_Coverage, 24277,
     /*  852240 */     GIR_EraseRootFromParent_Done,
     /*  852241 */   // Label 13073: @852241
     /*  852241 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(852316), // Rule ID 24280 //
     /*  852246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  852249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  852260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  852295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852314 */     GIR_RootConstrainSelectedInstOperands,
     /*  852315 */     // GIR_Coverage, 24280,
     /*  852315 */     GIR_EraseRootFromParent_Done,
     /*  852316 */   // Label 13074: @852316
     /*  852316 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(852391), // Rule ID 24281 //
     /*  852321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  852324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  852335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852367 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  852370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852389 */     GIR_RootConstrainSelectedInstOperands,
     /*  852390 */     // GIR_Coverage, 24281,
     /*  852390 */     GIR_EraseRootFromParent_Done,
     /*  852391 */   // Label 13075: @852391
     /*  852391 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(852466), // Rule ID 24284 //
     /*  852396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  852407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  852410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  852413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852442 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852464 */     GIR_RootConstrainSelectedInstOperands,
     /*  852465 */     // GIR_Coverage, 24284,
     /*  852465 */     GIR_EraseRootFromParent_Done,
     /*  852466 */   // Label 13076: @852466
     /*  852466 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(852541), // Rule ID 24285 //
     /*  852471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  852482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  852485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  852488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852517 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852539 */     GIR_RootConstrainSelectedInstOperands,
     /*  852540 */     // GIR_Coverage, 24285,
     /*  852540 */     GIR_EraseRootFromParent_Done,
     /*  852541 */   // Label 13077: @852541
     /*  852541 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(852616), // Rule ID 24288 //
     /*  852546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852614 */     GIR_RootConstrainSelectedInstOperands,
     /*  852615 */     // GIR_Coverage, 24288,
     /*  852615 */     GIR_EraseRootFromParent_Done,
     /*  852616 */   // Label 13078: @852616
     /*  852616 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(852691), // Rule ID 24289 //
     /*  852621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852667 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852689 */     GIR_RootConstrainSelectedInstOperands,
     /*  852690 */     // GIR_Coverage, 24289,
     /*  852690 */     GIR_EraseRootFromParent_Done,
     /*  852691 */   // Label 13079: @852691
     /*  852691 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852766), // Rule ID 24292 //
     /*  852696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852764 */     GIR_RootConstrainSelectedInstOperands,
     /*  852765 */     // GIR_Coverage, 24292,
     /*  852765 */     GIR_EraseRootFromParent_Done,
     /*  852766 */   // Label 13080: @852766
     /*  852766 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852841), // Rule ID 24293 //
     /*  852771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852839 */     GIR_RootConstrainSelectedInstOperands,
     /*  852840 */     // GIR_Coverage, 24293,
     /*  852840 */     GIR_EraseRootFromParent_Done,
     /*  852841 */   // Label 13081: @852841
     /*  852841 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852916), // Rule ID 24296 //
     /*  852846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852914 */     GIR_RootConstrainSelectedInstOperands,
     /*  852915 */     // GIR_Coverage, 24296,
     /*  852915 */     GIR_EraseRootFromParent_Done,
     /*  852916 */   // Label 13082: @852916
     /*  852916 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852991), // Rule ID 24297 //
     /*  852921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852967 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852989 */     GIR_RootConstrainSelectedInstOperands,
     /*  852990 */     // GIR_Coverage, 24297,
     /*  852990 */     GIR_EraseRootFromParent_Done,
     /*  852991 */   // Label 13083: @852991
     /*  852991 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(853066), // Rule ID 24300 //
     /*  852996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  853007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  853045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853064 */     GIR_RootConstrainSelectedInstOperands,
     /*  853065 */     // GIR_Coverage, 24300,
     /*  853065 */     GIR_EraseRootFromParent_Done,
     /*  853066 */   // Label 13084: @853066
     /*  853066 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(853141), // Rule ID 24301 //
     /*  853071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  853082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853117 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  853120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853139 */     GIR_RootConstrainSelectedInstOperands,
     /*  853140 */     // GIR_Coverage, 24301,
     /*  853140 */     GIR_EraseRootFromParent_Done,
     /*  853141 */   // Label 13085: @853141
     /*  853141 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(853216), // Rule ID 24304 //
     /*  853146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853192 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  853195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853214 */     GIR_RootConstrainSelectedInstOperands,
     /*  853215 */     // GIR_Coverage, 24304,
     /*  853215 */     GIR_EraseRootFromParent_Done,
     /*  853216 */   // Label 13086: @853216
     /*  853216 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(853291), // Rule ID 24305 //
     /*  853221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  853270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853289 */     GIR_RootConstrainSelectedInstOperands,
     /*  853290 */     // GIR_Coverage, 24305,
     /*  853290 */     GIR_EraseRootFromParent_Done,
     /*  853291 */   // Label 13087: @853291
     /*  853291 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(853366), // Rule ID 24308 //
     /*  853296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853342 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  853345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853364 */     GIR_RootConstrainSelectedInstOperands,
     /*  853365 */     // GIR_Coverage, 24308,
     /*  853365 */     GIR_EraseRootFromParent_Done,
     /*  853366 */   // Label 13088: @853366
     /*  853366 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(853441), // Rule ID 24309 //
     /*  853371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  853420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853439 */     GIR_RootConstrainSelectedInstOperands,
     /*  853440 */     // GIR_Coverage, 24309,
     /*  853440 */     GIR_EraseRootFromParent_Done,
     /*  853441 */   // Label 13089: @853441
     /*  853441 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(853516), // Rule ID 24312 //
     /*  853446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853514 */     GIR_RootConstrainSelectedInstOperands,
     /*  853515 */     // GIR_Coverage, 24312,
     /*  853515 */     GIR_EraseRootFromParent_Done,
     /*  853516 */   // Label 13090: @853516
     /*  853516 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(853591), // Rule ID 24313 //
     /*  853521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853567 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853589 */     GIR_RootConstrainSelectedInstOperands,
     /*  853590 */     // GIR_Coverage, 24313,
     /*  853590 */     GIR_EraseRootFromParent_Done,
     /*  853591 */   // Label 13091: @853591
     /*  853591 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853666), // Rule ID 24316 //
     /*  853596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853664 */     GIR_RootConstrainSelectedInstOperands,
     /*  853665 */     // GIR_Coverage, 24316,
     /*  853665 */     GIR_EraseRootFromParent_Done,
     /*  853666 */   // Label 13092: @853666
     /*  853666 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853741), // Rule ID 24317 //
     /*  853671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853717 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853739 */     GIR_RootConstrainSelectedInstOperands,
     /*  853740 */     // GIR_Coverage, 24317,
     /*  853740 */     GIR_EraseRootFromParent_Done,
     /*  853741 */   // Label 13093: @853741
     /*  853741 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853816), // Rule ID 24320 //
     /*  853746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853792 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853814 */     GIR_RootConstrainSelectedInstOperands,
     /*  853815 */     // GIR_Coverage, 24320,
     /*  853815 */     GIR_EraseRootFromParent_Done,
     /*  853816 */   // Label 13094: @853816
     /*  853816 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853891), // Rule ID 24321 //
     /*  853821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853867 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853889 */     GIR_RootConstrainSelectedInstOperands,
     /*  853890 */     // GIR_Coverage, 24321,
     /*  853890 */     GIR_EraseRootFromParent_Done,
     /*  853891 */   // Label 13095: @853891
     /*  853891 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853966), // Rule ID 24324 //
     /*  853896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853942 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  853945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853964 */     GIR_RootConstrainSelectedInstOperands,
     /*  853965 */     // GIR_Coverage, 24324,
     /*  853965 */     GIR_EraseRootFromParent_Done,
     /*  853966 */   // Label 13096: @853966
     /*  853966 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(854041), // Rule ID 24325 //
     /*  853971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854017 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  854020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854039 */     GIR_RootConstrainSelectedInstOperands,
     /*  854040 */     // GIR_Coverage, 24325,
     /*  854040 */     GIR_EraseRootFromParent_Done,
     /*  854041 */   // Label 13097: @854041
     /*  854041 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(854116), // Rule ID 24328 //
     /*  854046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  854057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  854060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  854063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  854095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854114 */     GIR_RootConstrainSelectedInstOperands,
     /*  854115 */     // GIR_Coverage, 24328,
     /*  854115 */     GIR_EraseRootFromParent_Done,
     /*  854116 */   // Label 13098: @854116
     /*  854116 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(854191), // Rule ID 24329 //
     /*  854121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  854132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  854135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  854138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854167 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  854170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854189 */     GIR_RootConstrainSelectedInstOperands,
     /*  854190 */     // GIR_Coverage, 24329,
     /*  854190 */     GIR_EraseRootFromParent_Done,
     /*  854191 */   // Label 13099: @854191
     /*  854191 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(854266), // Rule ID 24332 //
     /*  854196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854242 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  854245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854264 */     GIR_RootConstrainSelectedInstOperands,
     /*  854265 */     // GIR_Coverage, 24332,
     /*  854265 */     GIR_EraseRootFromParent_Done,
     /*  854266 */   // Label 13100: @854266
     /*  854266 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(854341), // Rule ID 24333 //
     /*  854271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854317 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  854320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854339 */     GIR_RootConstrainSelectedInstOperands,
     /*  854340 */     // GIR_Coverage, 24333,
     /*  854340 */     GIR_EraseRootFromParent_Done,
     /*  854341 */   // Label 13101: @854341
     /*  854341 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(854416), // Rule ID 24336 //
     /*  854346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854392 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  854395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854414 */     GIR_RootConstrainSelectedInstOperands,
     /*  854415 */     // GIR_Coverage, 24336,
     /*  854415 */     GIR_EraseRootFromParent_Done,
     /*  854416 */   // Label 13102: @854416
     /*  854416 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(854491), // Rule ID 24337 //
     /*  854421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  854470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854489 */     GIR_RootConstrainSelectedInstOperands,
     /*  854490 */     // GIR_Coverage, 24337,
     /*  854490 */     GIR_EraseRootFromParent_Done,
     /*  854491 */   // Label 13103: @854491
     /*  854491 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(854566), // Rule ID 24340 //
     /*  854496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854564 */     GIR_RootConstrainSelectedInstOperands,
     /*  854565 */     // GIR_Coverage, 24340,
     /*  854565 */     GIR_EraseRootFromParent_Done,
     /*  854566 */   // Label 13104: @854566
     /*  854566 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854641), // Rule ID 24341 //
     /*  854571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854639 */     GIR_RootConstrainSelectedInstOperands,
     /*  854640 */     // GIR_Coverage, 24341,
     /*  854640 */     GIR_EraseRootFromParent_Done,
     /*  854641 */   // Label 13105: @854641
     /*  854641 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854716), // Rule ID 24344 //
     /*  854646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854692 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854714 */     GIR_RootConstrainSelectedInstOperands,
     /*  854715 */     // GIR_Coverage, 24344,
     /*  854715 */     GIR_EraseRootFromParent_Done,
     /*  854716 */   // Label 13106: @854716
     /*  854716 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854791), // Rule ID 24345 //
     /*  854721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854767 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854789 */     GIR_RootConstrainSelectedInstOperands,
     /*  854790 */     // GIR_Coverage, 24345,
     /*  854790 */     GIR_EraseRootFromParent_Done,
     /*  854791 */   // Label 13107: @854791
     /*  854791 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854866), // Rule ID 24348 //
     /*  854796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854842 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854864 */     GIR_RootConstrainSelectedInstOperands,
     /*  854865 */     // GIR_Coverage, 24348,
     /*  854865 */     GIR_EraseRootFromParent_Done,
     /*  854866 */   // Label 13108: @854866
     /*  854866 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854941), // Rule ID 24349 //
     /*  854871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854917 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854939 */     GIR_RootConstrainSelectedInstOperands,
     /*  854940 */     // GIR_Coverage, 24349,
     /*  854940 */     GIR_EraseRootFromParent_Done,
     /*  854941 */   // Label 13109: @854941
     /*  854941 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(855016), // Rule ID 24352 //
     /*  854946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854992 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  854995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855014 */     GIR_RootConstrainSelectedInstOperands,
     /*  855015 */     // GIR_Coverage, 24352,
     /*  855015 */     GIR_EraseRootFromParent_Done,
     /*  855016 */   // Label 13110: @855016
     /*  855016 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(855091), // Rule ID 24353 //
     /*  855021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855067 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  855070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855089 */     GIR_RootConstrainSelectedInstOperands,
     /*  855090 */     // GIR_Coverage, 24353,
     /*  855090 */     GIR_EraseRootFromParent_Done,
     /*  855091 */   // Label 13111: @855091
     /*  855091 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(855166), // Rule ID 24356 //
     /*  855096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855142 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  855145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855164 */     GIR_RootConstrainSelectedInstOperands,
     /*  855165 */     // GIR_Coverage, 24356,
     /*  855165 */     GIR_EraseRootFromParent_Done,
     /*  855166 */   // Label 13112: @855166
     /*  855166 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(855241), // Rule ID 24357 //
     /*  855171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855217 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  855220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855239 */     GIR_RootConstrainSelectedInstOperands,
     /*  855240 */     // GIR_Coverage, 24357,
     /*  855240 */     GIR_EraseRootFromParent_Done,
     /*  855241 */   // Label 13113: @855241
     /*  855241 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(855316), // Rule ID 24360 //
     /*  855246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  855295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855314 */     GIR_RootConstrainSelectedInstOperands,
     /*  855315 */     // GIR_Coverage, 24360,
     /*  855315 */     GIR_EraseRootFromParent_Done,
     /*  855316 */   // Label 13114: @855316
     /*  855316 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(855391), // Rule ID 24361 //
     /*  855321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855367 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  855370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855389 */     GIR_RootConstrainSelectedInstOperands,
     /*  855390 */     // GIR_Coverage, 24361,
     /*  855390 */     GIR_EraseRootFromParent_Done,
     /*  855391 */   // Label 13115: @855391
     /*  855391 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(855466), // Rule ID 24364 //
     /*  855396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855464 */     GIR_RootConstrainSelectedInstOperands,
     /*  855465 */     // GIR_Coverage, 24364,
     /*  855465 */     GIR_EraseRootFromParent_Done,
     /*  855466 */   // Label 13116: @855466
     /*  855466 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(855541), // Rule ID 24365 //
     /*  855471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855517 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855539 */     GIR_RootConstrainSelectedInstOperands,
     /*  855540 */     // GIR_Coverage, 24365,
     /*  855540 */     GIR_EraseRootFromParent_Done,
     /*  855541 */   // Label 13117: @855541
     /*  855541 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(855616), // Rule ID 24368 //
     /*  855546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855592 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855614 */     GIR_RootConstrainSelectedInstOperands,
     /*  855615 */     // GIR_Coverage, 24368,
     /*  855615 */     GIR_EraseRootFromParent_Done,
     /*  855616 */   // Label 13118: @855616
     /*  855616 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855691), // Rule ID 24369 //
     /*  855621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855667 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855689 */     GIR_RootConstrainSelectedInstOperands,
     /*  855690 */     // GIR_Coverage, 24369,
     /*  855690 */     GIR_EraseRootFromParent_Done,
     /*  855691 */   // Label 13119: @855691
     /*  855691 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855766), // Rule ID 24372 //
     /*  855696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855742 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855764 */     GIR_RootConstrainSelectedInstOperands,
     /*  855765 */     // GIR_Coverage, 24372,
     /*  855765 */     GIR_EraseRootFromParent_Done,
     /*  855766 */   // Label 13120: @855766
     /*  855766 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855841), // Rule ID 24373 //
     /*  855771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855817 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855839 */     GIR_RootConstrainSelectedInstOperands,
     /*  855840 */     // GIR_Coverage, 24373,
     /*  855840 */     GIR_EraseRootFromParent_Done,
     /*  855841 */   // Label 13121: @855841
     /*  855841 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855916), // Rule ID 24376 //
     /*  855846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855914 */     GIR_RootConstrainSelectedInstOperands,
     /*  855915 */     // GIR_Coverage, 24376,
     /*  855915 */     GIR_EraseRootFromParent_Done,
     /*  855916 */   // Label 13122: @855916
     /*  855916 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855991), // Rule ID 24377 //
     /*  855921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855967 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855989 */     GIR_RootConstrainSelectedInstOperands,
     /*  855990 */     // GIR_Coverage, 24377,
     /*  855990 */     GIR_EraseRootFromParent_Done,
     /*  855991 */   // Label 13123: @855991
     /*  855991 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(856066), // Rule ID 24380 //
     /*  855996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  856007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  856016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856042 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  856045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856064 */     GIR_RootConstrainSelectedInstOperands,
     /*  856065 */     // GIR_Coverage, 24380,
     /*  856065 */     GIR_EraseRootFromParent_Done,
     /*  856066 */   // Label 13124: @856066
     /*  856066 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(856141), // Rule ID 24381 //
     /*  856071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  856082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  856091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  856120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856139 */     GIR_RootConstrainSelectedInstOperands,
     /*  856140 */     // GIR_Coverage, 24381,
     /*  856140 */     GIR_EraseRootFromParent_Done,
     /*  856141 */   // Label 13125: @856141
     /*  856141 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(856216), // Rule ID 24384 //
     /*  856146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  856166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  856195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856214 */     GIR_RootConstrainSelectedInstOperands,
     /*  856215 */     // GIR_Coverage, 24384,
     /*  856215 */     GIR_EraseRootFromParent_Done,
     /*  856216 */   // Label 13126: @856216
     /*  856216 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(856291), // Rule ID 24385 //
     /*  856221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  856241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  856270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856289 */     GIR_RootConstrainSelectedInstOperands,
     /*  856290 */     // GIR_Coverage, 24385,
     /*  856290 */     GIR_EraseRootFromParent_Done,
     /*  856291 */   // Label 13127: @856291
     /*  856291 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(856366), // Rule ID 24388 //
     /*  856296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  856310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  856345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856364 */     GIR_RootConstrainSelectedInstOperands,
     /*  856365 */     // GIR_Coverage, 24388,
     /*  856365 */     GIR_EraseRootFromParent_Done,
     /*  856366 */   // Label 13128: @856366
     /*  856366 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856441), // Rule ID 24389 //
     /*  856371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  856385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  856420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856439 */     GIR_RootConstrainSelectedInstOperands,
     /*  856440 */     // GIR_Coverage, 24389,
     /*  856440 */     GIR_EraseRootFromParent_Done,
     /*  856441 */   // Label 13129: @856441
     /*  856441 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856516), // Rule ID 24392 //
     /*  856446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856514 */     GIR_RootConstrainSelectedInstOperands,
     /*  856515 */     // GIR_Coverage, 24392,
     /*  856515 */     GIR_EraseRootFromParent_Done,
     /*  856516 */   // Label 13130: @856516
     /*  856516 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(856591), // Rule ID 24393 //
     /*  856521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856567 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856589 */     GIR_RootConstrainSelectedInstOperands,
     /*  856590 */     // GIR_Coverage, 24393,
     /*  856590 */     GIR_EraseRootFromParent_Done,
     /*  856591 */   // Label 13131: @856591
     /*  856591 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856666), // Rule ID 24396 //
     /*  856596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856664 */     GIR_RootConstrainSelectedInstOperands,
     /*  856665 */     // GIR_Coverage, 24396,
     /*  856665 */     GIR_EraseRootFromParent_Done,
     /*  856666 */   // Label 13132: @856666
     /*  856666 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856741), // Rule ID 24397 //
     /*  856671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856739 */     GIR_RootConstrainSelectedInstOperands,
     /*  856740 */     // GIR_Coverage, 24397,
     /*  856740 */     GIR_EraseRootFromParent_Done,
     /*  856741 */   // Label 13133: @856741
     /*  856741 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856816), // Rule ID 24400 //
     /*  856746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856814 */     GIR_RootConstrainSelectedInstOperands,
     /*  856815 */     // GIR_Coverage, 24400,
     /*  856815 */     GIR_EraseRootFromParent_Done,
     /*  856816 */   // Label 13134: @856816
     /*  856816 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856891), // Rule ID 24401 //
     /*  856821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856889 */     GIR_RootConstrainSelectedInstOperands,
     /*  856890 */     // GIR_Coverage, 24401,
     /*  856890 */     GIR_EraseRootFromParent_Done,
     /*  856891 */   // Label 13135: @856891
     /*  856891 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856966), // Rule ID 24404 //
     /*  856896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  856945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856964 */     GIR_RootConstrainSelectedInstOperands,
     /*  856965 */     // GIR_Coverage, 24404,
     /*  856965 */     GIR_EraseRootFromParent_Done,
     /*  856966 */   // Label 13136: @856966
     /*  856966 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(857041), // Rule ID 24405 //
     /*  856971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  857020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857039 */     GIR_RootConstrainSelectedInstOperands,
     /*  857040 */     // GIR_Coverage, 24405,
     /*  857040 */     GIR_EraseRootFromParent_Done,
     /*  857041 */   // Label 13137: @857041
     /*  857041 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(857116), // Rule ID 24408 //
     /*  857046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  857095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857114 */     GIR_RootConstrainSelectedInstOperands,
     /*  857115 */     // GIR_Coverage, 24408,
     /*  857115 */     GIR_EraseRootFromParent_Done,
     /*  857116 */   // Label 13138: @857116
     /*  857116 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(857191), // Rule ID 24409 //
     /*  857121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  857170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857189 */     GIR_RootConstrainSelectedInstOperands,
     /*  857190 */     // GIR_Coverage, 24409,
     /*  857190 */     GIR_EraseRootFromParent_Done,
     /*  857191 */   // Label 13139: @857191
     /*  857191 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(857266), // Rule ID 24412 //
     /*  857196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  857216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  857245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857264 */     GIR_RootConstrainSelectedInstOperands,
     /*  857265 */     // GIR_Coverage, 24412,
     /*  857265 */     GIR_EraseRootFromParent_Done,
     /*  857266 */   // Label 13140: @857266
     /*  857266 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(857341), // Rule ID 24413 //
     /*  857271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  857291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  857320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857339 */     GIR_RootConstrainSelectedInstOperands,
     /*  857340 */     // GIR_Coverage, 24413,
     /*  857340 */     GIR_EraseRootFromParent_Done,
     /*  857341 */   // Label 13141: @857341
     /*  857341 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857416), // Rule ID 24416 //
     /*  857346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  857349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  857366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  857395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857414 */     GIR_RootConstrainSelectedInstOperands,
     /*  857415 */     // GIR_Coverage, 24416,
     /*  857415 */     GIR_EraseRootFromParent_Done,
     /*  857416 */   // Label 13142: @857416
     /*  857416 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857491), // Rule ID 24417 //
     /*  857421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  857424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  857441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  857470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857489 */     GIR_RootConstrainSelectedInstOperands,
     /*  857490 */     // GIR_Coverage, 24417,
     /*  857490 */     GIR_EraseRootFromParent_Done,
     /*  857491 */   // Label 13143: @857491
     /*  857491 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(857566), // Rule ID 24420 //
     /*  857496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857542 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857564 */     GIR_RootConstrainSelectedInstOperands,
     /*  857565 */     // GIR_Coverage, 24420,
     /*  857565 */     GIR_EraseRootFromParent_Done,
     /*  857566 */   // Label 13144: @857566
     /*  857566 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857641), // Rule ID 24421 //
     /*  857571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857639 */     GIR_RootConstrainSelectedInstOperands,
     /*  857640 */     // GIR_Coverage, 24421,
     /*  857640 */     GIR_EraseRootFromParent_Done,
     /*  857641 */   // Label 13145: @857641
     /*  857641 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857716), // Rule ID 24424 //
     /*  857646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857692 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857714 */     GIR_RootConstrainSelectedInstOperands,
     /*  857715 */     // GIR_Coverage, 24424,
     /*  857715 */     GIR_EraseRootFromParent_Done,
     /*  857716 */   // Label 13146: @857716
     /*  857716 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857791), // Rule ID 24425 //
     /*  857721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857789 */     GIR_RootConstrainSelectedInstOperands,
     /*  857790 */     // GIR_Coverage, 24425,
     /*  857790 */     GIR_EraseRootFromParent_Done,
     /*  857791 */   // Label 13147: @857791
     /*  857791 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857866), // Rule ID 24428 //
     /*  857796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857842 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857864 */     GIR_RootConstrainSelectedInstOperands,
     /*  857865 */     // GIR_Coverage, 24428,
     /*  857865 */     GIR_EraseRootFromParent_Done,
     /*  857866 */   // Label 13148: @857866
     /*  857866 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857941), // Rule ID 24429 //
     /*  857871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857917 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857939 */     GIR_RootConstrainSelectedInstOperands,
     /*  857940 */     // GIR_Coverage, 24429,
     /*  857940 */     GIR_EraseRootFromParent_Done,
     /*  857941 */   // Label 13149: @857941
     /*  857941 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(858016), // Rule ID 24432 //
     /*  857946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  857995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858014 */     GIR_RootConstrainSelectedInstOperands,
     /*  858015 */     // GIR_Coverage, 24432,
     /*  858015 */     GIR_EraseRootFromParent_Done,
     /*  858016 */   // Label 13150: @858016
     /*  858016 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(858091), // Rule ID 24433 //
     /*  858021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  858070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858089 */     GIR_RootConstrainSelectedInstOperands,
     /*  858090 */     // GIR_Coverage, 24433,
     /*  858090 */     GIR_EraseRootFromParent_Done,
     /*  858091 */   // Label 13151: @858091
     /*  858091 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(858166), // Rule ID 24436 //
     /*  858096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  858145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858164 */     GIR_RootConstrainSelectedInstOperands,
     /*  858165 */     // GIR_Coverage, 24436,
     /*  858165 */     GIR_EraseRootFromParent_Done,
     /*  858166 */   // Label 13152: @858166
     /*  858166 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(858241), // Rule ID 24437 //
     /*  858171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858217 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  858220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858239 */     GIR_RootConstrainSelectedInstOperands,
     /*  858240 */     // GIR_Coverage, 24437,
     /*  858240 */     GIR_EraseRootFromParent_Done,
     /*  858241 */   // Label 13153: @858241
     /*  858241 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(858316), // Rule ID 24440 //
     /*  858246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  858260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  858263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  858295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858314 */     GIR_RootConstrainSelectedInstOperands,
     /*  858315 */     // GIR_Coverage, 24440,
     /*  858315 */     GIR_EraseRootFromParent_Done,
     /*  858316 */   // Label 13154: @858316
     /*  858316 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858391), // Rule ID 24441 //
     /*  858321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  858335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  858338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  858370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858389 */     GIR_RootConstrainSelectedInstOperands,
     /*  858390 */     // GIR_Coverage, 24441,
     /*  858390 */     GIR_EraseRootFromParent_Done,
     /*  858391 */   // Label 13155: @858391
     /*  858391 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858466), // Rule ID 24444 //
     /*  858396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  858416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858464 */     GIR_RootConstrainSelectedInstOperands,
     /*  858465 */     // GIR_Coverage, 24444,
     /*  858465 */     GIR_EraseRootFromParent_Done,
     /*  858466 */   // Label 13156: @858466
     /*  858466 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(858541), // Rule ID 24445 //
     /*  858471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  858491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858539 */     GIR_RootConstrainSelectedInstOperands,
     /*  858540 */     // GIR_Coverage, 24445,
     /*  858540 */     GIR_EraseRootFromParent_Done,
     /*  858541 */   // Label 13157: @858541
     /*  858541 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(858616), // Rule ID 24448 //
     /*  858546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858614 */     GIR_RootConstrainSelectedInstOperands,
     /*  858615 */     // GIR_Coverage, 24448,
     /*  858615 */     GIR_EraseRootFromParent_Done,
     /*  858616 */   // Label 13158: @858616
     /*  858616 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858691), // Rule ID 24449 //
     /*  858621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858689 */     GIR_RootConstrainSelectedInstOperands,
     /*  858690 */     // GIR_Coverage, 24449,
     /*  858690 */     GIR_EraseRootFromParent_Done,
     /*  858691 */   // Label 13159: @858691
     /*  858691 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858766), // Rule ID 24452 //
     /*  858696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858764 */     GIR_RootConstrainSelectedInstOperands,
     /*  858765 */     // GIR_Coverage, 24452,
     /*  858765 */     GIR_EraseRootFromParent_Done,
     /*  858766 */   // Label 13160: @858766
     /*  858766 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858841), // Rule ID 24453 //
     /*  858771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858839 */     GIR_RootConstrainSelectedInstOperands,
     /*  858840 */     // GIR_Coverage, 24453,
     /*  858840 */     GIR_EraseRootFromParent_Done,
     /*  858841 */   // Label 13161: @858841
     /*  858841 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858916), // Rule ID 24456 //
     /*  858846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858914 */     GIR_RootConstrainSelectedInstOperands,
     /*  858915 */     // GIR_Coverage, 24456,
     /*  858915 */     GIR_EraseRootFromParent_Done,
     /*  858916 */   // Label 13162: @858916
     /*  858916 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858991), // Rule ID 24457 //
     /*  858921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858967 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858989 */     GIR_RootConstrainSelectedInstOperands,
     /*  858990 */     // GIR_Coverage, 24457,
     /*  858990 */     GIR_EraseRootFromParent_Done,
     /*  858991 */   // Label 13163: @858991
     /*  858991 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(859066), // Rule ID 24460 //
     /*  858996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  859016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859042 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  859045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859064 */     GIR_RootConstrainSelectedInstOperands,
     /*  859065 */     // GIR_Coverage, 24460,
     /*  859065 */     GIR_EraseRootFromParent_Done,
     /*  859066 */   // Label 13164: @859066
     /*  859066 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(859141), // Rule ID 24461 //
     /*  859071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  859091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859117 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  859120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859139 */     GIR_RootConstrainSelectedInstOperands,
     /*  859140 */     // GIR_Coverage, 24461,
     /*  859140 */     GIR_EraseRootFromParent_Done,
     /*  859141 */   // Label 13165: @859141
     /*  859141 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(859216), // Rule ID 24464 //
     /*  859146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  859149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  859166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  859195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859214 */     GIR_RootConstrainSelectedInstOperands,
     /*  859215 */     // GIR_Coverage, 24464,
     /*  859215 */     GIR_EraseRootFromParent_Done,
     /*  859216 */   // Label 13166: @859216
     /*  859216 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(859291), // Rule ID 24465 //
     /*  859221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  859241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859267 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  859270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859289 */     GIR_RootConstrainSelectedInstOperands,
     /*  859290 */     // GIR_Coverage, 24465,
     /*  859290 */     GIR_EraseRootFromParent_Done,
     /*  859291 */   // Label 13167: @859291
     /*  859291 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859366), // Rule ID 24468 //
     /*  859296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  859307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  859310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  859313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  859345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859364 */     GIR_RootConstrainSelectedInstOperands,
     /*  859365 */     // GIR_Coverage, 24468,
     /*  859365 */     GIR_EraseRootFromParent_Done,
     /*  859366 */   // Label 13168: @859366
     /*  859366 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859441), // Rule ID 24469 //
     /*  859371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  859382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  859385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  859388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859417 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  859420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859439 */     GIR_RootConstrainSelectedInstOperands,
     /*  859440 */     // GIR_Coverage, 24469,
     /*  859440 */     GIR_EraseRootFromParent_Done,
     /*  859441 */   // Label 13169: @859441
     /*  859441 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859516), // Rule ID 24472 //
     /*  859446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859492 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859514 */     GIR_RootConstrainSelectedInstOperands,
     /*  859515 */     // GIR_Coverage, 24472,
     /*  859515 */     GIR_EraseRootFromParent_Done,
     /*  859516 */   // Label 13170: @859516
     /*  859516 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(859591), // Rule ID 24473 //
     /*  859521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859589 */     GIR_RootConstrainSelectedInstOperands,
     /*  859590 */     // GIR_Coverage, 24473,
     /*  859590 */     GIR_EraseRootFromParent_Done,
     /*  859591 */   // Label 13171: @859591
     /*  859591 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859666), // Rule ID 24476 //
     /*  859596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859664 */     GIR_RootConstrainSelectedInstOperands,
     /*  859665 */     // GIR_Coverage, 24476,
     /*  859665 */     GIR_EraseRootFromParent_Done,
     /*  859666 */   // Label 13172: @859666
     /*  859666 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859741), // Rule ID 24477 //
     /*  859671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859739 */     GIR_RootConstrainSelectedInstOperands,
     /*  859740 */     // GIR_Coverage, 24477,
     /*  859740 */     GIR_EraseRootFromParent_Done,
     /*  859741 */   // Label 13173: @859741
     /*  859741 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859816), // Rule ID 24480 //
     /*  859746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859814 */     GIR_RootConstrainSelectedInstOperands,
     /*  859815 */     // GIR_Coverage, 24480,
     /*  859815 */     GIR_EraseRootFromParent_Done,
     /*  859816 */   // Label 13174: @859816
     /*  859816 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859891), // Rule ID 24481 //
     /*  859821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859867 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859889 */     GIR_RootConstrainSelectedInstOperands,
     /*  859890 */     // GIR_Coverage, 24481,
     /*  859890 */     GIR_EraseRootFromParent_Done,
     /*  859891 */   // Label 13175: @859891
     /*  859891 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859966), // Rule ID 24484 //
     /*  859896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859964 */     GIR_RootConstrainSelectedInstOperands,
     /*  859965 */     // GIR_Coverage, 24484,
     /*  859965 */     GIR_EraseRootFromParent_Done,
     /*  859966 */   // Label 13176: @859966
     /*  859966 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(860041), // Rule ID 24485 //
     /*  859971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860039 */     GIR_RootConstrainSelectedInstOperands,
     /*  860040 */     // GIR_Coverage, 24485,
     /*  860040 */     GIR_EraseRootFromParent_Done,
     /*  860041 */   // Label 13177: @860041
     /*  860041 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(860116), // Rule ID 24488 //
     /*  860046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860114 */     GIR_RootConstrainSelectedInstOperands,
     /*  860115 */     // GIR_Coverage, 24488,
     /*  860115 */     GIR_EraseRootFromParent_Done,
     /*  860116 */   // Label 13178: @860116
     /*  860116 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(860191), // Rule ID 24489 //
     /*  860121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860189 */     GIR_RootConstrainSelectedInstOperands,
     /*  860190 */     // GIR_Coverage, 24489,
     /*  860190 */     GIR_EraseRootFromParent_Done,
     /*  860191 */   // Label 13179: @860191
     /*  860191 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(860266), // Rule ID 24492 //
     /*  860196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  860207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  860210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  860213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860264 */     GIR_RootConstrainSelectedInstOperands,
     /*  860265 */     // GIR_Coverage, 24492,
     /*  860265 */     GIR_EraseRootFromParent_Done,
     /*  860266 */   // Label 13180: @860266
     /*  860266 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(860341), // Rule ID 24493 //
     /*  860271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  860282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  860285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  860288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860339 */     GIR_RootConstrainSelectedInstOperands,
     /*  860340 */     // GIR_Coverage, 24493,
     /*  860340 */     GIR_EraseRootFromParent_Done,
     /*  860341 */   // Label 13181: @860341
     /*  860341 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860416), // Rule ID 24496 //
     /*  860346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  860357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  860360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  860363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860414 */     GIR_RootConstrainSelectedInstOperands,
     /*  860415 */     // GIR_Coverage, 24496,
     /*  860415 */     GIR_EraseRootFromParent_Done,
     /*  860416 */   // Label 13182: @860416
     /*  860416 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860491), // Rule ID 24497 //
     /*  860421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  860432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  860435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  860438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860489 */     GIR_RootConstrainSelectedInstOperands,
     /*  860490 */     // GIR_Coverage, 24497,
     /*  860490 */     GIR_EraseRootFromParent_Done,
     /*  860491 */   // Label 13183: @860491
     /*  860491 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(860566), // Rule ID 24500 //
     /*  860496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860564 */     GIR_RootConstrainSelectedInstOperands,
     /*  860565 */     // GIR_Coverage, 24500,
     /*  860565 */     GIR_EraseRootFromParent_Done,
     /*  860566 */   // Label 13184: @860566
     /*  860566 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860641), // Rule ID 24501 //
     /*  860571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860639 */     GIR_RootConstrainSelectedInstOperands,
     /*  860640 */     // GIR_Coverage, 24501,
     /*  860640 */     GIR_EraseRootFromParent_Done,
     /*  860641 */   // Label 13185: @860641
     /*  860641 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860716), // Rule ID 24504 //
     /*  860646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  860649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860714 */     GIR_RootConstrainSelectedInstOperands,
     /*  860715 */     // GIR_Coverage, 24504,
     /*  860715 */     GIR_EraseRootFromParent_Done,
     /*  860716 */   // Label 13186: @860716
     /*  860716 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860791), // Rule ID 24505 //
     /*  860721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  860724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860789 */     GIR_RootConstrainSelectedInstOperands,
     /*  860790 */     // GIR_Coverage, 24505,
     /*  860790 */     GIR_EraseRootFromParent_Done,
     /*  860791 */   // Label 13187: @860791
     /*  860791 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860866), // Rule ID 24508 //
     /*  860796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860842 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860864 */     GIR_RootConstrainSelectedInstOperands,
     /*  860865 */     // GIR_Coverage, 24508,
     /*  860865 */     GIR_EraseRootFromParent_Done,
     /*  860866 */   // Label 13188: @860866
     /*  860866 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860941), // Rule ID 24509 //
     /*  860871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860917 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860939 */     GIR_RootConstrainSelectedInstOperands,
     /*  860940 */     // GIR_Coverage, 24509,
     /*  860940 */     GIR_EraseRootFromParent_Done,
     /*  860941 */   // Label 13189: @860941
     /*  860941 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(861016), // Rule ID 24512 //
     /*  860946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  860957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  860960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  860963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861014 */     GIR_RootConstrainSelectedInstOperands,
     /*  861015 */     // GIR_Coverage, 24512,
     /*  861015 */     GIR_EraseRootFromParent_Done,
     /*  861016 */   // Label 13190: @861016
     /*  861016 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(861091), // Rule ID 24513 //
     /*  861021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  861032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  861035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  861038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861089 */     GIR_RootConstrainSelectedInstOperands,
     /*  861090 */     // GIR_Coverage, 24513,
     /*  861090 */     GIR_EraseRootFromParent_Done,
     /*  861091 */   // Label 13191: @861091
     /*  861091 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(861166), // Rule ID 24516 //
     /*  861096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  861107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  861110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  861113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861142 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861164 */     GIR_RootConstrainSelectedInstOperands,
     /*  861165 */     // GIR_Coverage, 24516,
     /*  861165 */     GIR_EraseRootFromParent_Done,
     /*  861166 */   // Label 13192: @861166
     /*  861166 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(861241), // Rule ID 24517 //
     /*  861171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  861182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  861185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  861188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861217 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861239 */     GIR_RootConstrainSelectedInstOperands,
     /*  861240 */     // GIR_Coverage, 24517,
     /*  861240 */     GIR_EraseRootFromParent_Done,
     /*  861241 */   // Label 13193: @861241
     /*  861241 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(861316), // Rule ID 24520 //
     /*  861246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  861257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  861260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  861263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861314 */     GIR_RootConstrainSelectedInstOperands,
     /*  861315 */     // GIR_Coverage, 24520,
     /*  861315 */     GIR_EraseRootFromParent_Done,
     /*  861316 */   // Label 13194: @861316
     /*  861316 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861391), // Rule ID 24521 //
     /*  861321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  861332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  861335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  861338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861389 */     GIR_RootConstrainSelectedInstOperands,
     /*  861390 */     // GIR_Coverage, 24521,
     /*  861390 */     GIR_EraseRootFromParent_Done,
     /*  861391 */   // Label 13195: @861391
     /*  861391 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861466), // Rule ID 24524 //
     /*  861396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  861410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861442 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861464 */     GIR_RootConstrainSelectedInstOperands,
     /*  861465 */     // GIR_Coverage, 24524,
     /*  861465 */     GIR_EraseRootFromParent_Done,
     /*  861466 */   // Label 13196: @861466
     /*  861466 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(861541), // Rule ID 24525 //
     /*  861471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  861485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861517 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861539 */     GIR_RootConstrainSelectedInstOperands,
     /*  861540 */     // GIR_Coverage, 24525,
     /*  861540 */     GIR_EraseRootFromParent_Done,
     /*  861541 */   // Label 13197: @861541
     /*  861541 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(861616), // Rule ID 24528 //
     /*  861546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861614 */     GIR_RootConstrainSelectedInstOperands,
     /*  861615 */     // GIR_Coverage, 24528,
     /*  861615 */     GIR_EraseRootFromParent_Done,
     /*  861616 */   // Label 13198: @861616
     /*  861616 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861691), // Rule ID 24529 //
     /*  861621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861667 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861689 */     GIR_RootConstrainSelectedInstOperands,
     /*  861690 */     // GIR_Coverage, 24529,
     /*  861690 */     GIR_EraseRootFromParent_Done,
     /*  861691 */   // Label 13199: @861691
     /*  861691 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861766), // Rule ID 24532 //
     /*  861696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861764 */     GIR_RootConstrainSelectedInstOperands,
     /*  861765 */     // GIR_Coverage, 24532,
     /*  861765 */     GIR_EraseRootFromParent_Done,
     /*  861766 */   // Label 13200: @861766
     /*  861766 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861841), // Rule ID 24533 //
     /*  861771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861839 */     GIR_RootConstrainSelectedInstOperands,
     /*  861840 */     // GIR_Coverage, 24533,
     /*  861840 */     GIR_EraseRootFromParent_Done,
     /*  861841 */   // Label 13201: @861841
     /*  861841 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861916), // Rule ID 24536 //
     /*  861846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861914 */     GIR_RootConstrainSelectedInstOperands,
     /*  861915 */     // GIR_Coverage, 24536,
     /*  861915 */     GIR_EraseRootFromParent_Done,
     /*  861916 */   // Label 13202: @861916
     /*  861916 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861991), // Rule ID 24537 //
     /*  861921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861989 */     GIR_RootConstrainSelectedInstOperands,
     /*  861990 */     // GIR_Coverage, 24537,
     /*  861990 */     GIR_EraseRootFromParent_Done,
     /*  861991 */   // Label 13203: @861991
     /*  861991 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(862066), // Rule ID 24540 //
     /*  861996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862064 */     GIR_RootConstrainSelectedInstOperands,
     /*  862065 */     // GIR_Coverage, 24540,
     /*  862065 */     GIR_EraseRootFromParent_Done,
     /*  862066 */   // Label 13204: @862066
     /*  862066 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(862141), // Rule ID 24541 //
     /*  862071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862139 */     GIR_RootConstrainSelectedInstOperands,
     /*  862140 */     // GIR_Coverage, 24541,
     /*  862140 */     GIR_EraseRootFromParent_Done,
     /*  862141 */   // Label 13205: @862141
     /*  862141 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(862216), // Rule ID 24544 //
     /*  862146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  862157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  862160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  862163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862214 */     GIR_RootConstrainSelectedInstOperands,
     /*  862215 */     // GIR_Coverage, 24544,
     /*  862215 */     GIR_EraseRootFromParent_Done,
     /*  862216 */   // Label 13206: @862216
     /*  862216 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(862291), // Rule ID 24545 //
     /*  862221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  862232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  862235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  862238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862289 */     GIR_RootConstrainSelectedInstOperands,
     /*  862290 */     // GIR_Coverage, 24545,
     /*  862290 */     GIR_EraseRootFromParent_Done,
     /*  862291 */   // Label 13207: @862291
     /*  862291 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862366), // Rule ID 24548 //
     /*  862296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  862307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  862310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  862313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862364 */     GIR_RootConstrainSelectedInstOperands,
     /*  862365 */     // GIR_Coverage, 24548,
     /*  862365 */     GIR_EraseRootFromParent_Done,
     /*  862366 */   // Label 13208: @862366
     /*  862366 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862441), // Rule ID 24549 //
     /*  862371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  862382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  862385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  862388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862439 */     GIR_RootConstrainSelectedInstOperands,
     /*  862440 */     // GIR_Coverage, 24549,
     /*  862440 */     GIR_EraseRootFromParent_Done,
     /*  862441 */   // Label 13209: @862441
     /*  862441 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862516), // Rule ID 24552 //
     /*  862446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862514 */     GIR_RootConstrainSelectedInstOperands,
     /*  862515 */     // GIR_Coverage, 24552,
     /*  862515 */     GIR_EraseRootFromParent_Done,
     /*  862516 */   // Label 13210: @862516
     /*  862516 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(862591), // Rule ID 24553 //
     /*  862521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862567 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862589 */     GIR_RootConstrainSelectedInstOperands,
     /*  862590 */     // GIR_Coverage, 24553,
     /*  862590 */     GIR_EraseRootFromParent_Done,
     /*  862591 */   // Label 13211: @862591
     /*  862591 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862666), // Rule ID 24644 //
     /*  862596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862642 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862664 */     GIR_RootConstrainSelectedInstOperands,
     /*  862665 */     // GIR_Coverage, 24644,
     /*  862665 */     GIR_EraseRootFromParent_Done,
     /*  862666 */   // Label 13212: @862666
     /*  862666 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862741), // Rule ID 24645 //
     /*  862671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862717 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862739 */     GIR_RootConstrainSelectedInstOperands,
     /*  862740 */     // GIR_Coverage, 24645,
     /*  862740 */     GIR_EraseRootFromParent_Done,
     /*  862741 */   // Label 13213: @862741
     /*  862741 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862816), // Rule ID 24648 //
     /*  862746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862792 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862814 */     GIR_RootConstrainSelectedInstOperands,
     /*  862815 */     // GIR_Coverage, 24648,
     /*  862815 */     GIR_EraseRootFromParent_Done,
     /*  862816 */   // Label 13214: @862816
     /*  862816 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862891), // Rule ID 24649 //
     /*  862821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862889 */     GIR_RootConstrainSelectedInstOperands,
     /*  862890 */     // GIR_Coverage, 24649,
     /*  862890 */     GIR_EraseRootFromParent_Done,
     /*  862891 */   // Label 13215: @862891
     /*  862891 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862966), // Rule ID 24652 //
     /*  862896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862942 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  862945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862964 */     GIR_RootConstrainSelectedInstOperands,
     /*  862965 */     // GIR_Coverage, 24652,
     /*  862965 */     GIR_EraseRootFromParent_Done,
     /*  862966 */   // Label 13216: @862966
     /*  862966 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(863041), // Rule ID 24653 //
     /*  862971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863017 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  863020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863039 */     GIR_RootConstrainSelectedInstOperands,
     /*  863040 */     // GIR_Coverage, 24653,
     /*  863040 */     GIR_EraseRootFromParent_Done,
     /*  863041 */   // Label 13217: @863041
     /*  863041 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(863116), // Rule ID 24656 //
     /*  863046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863092 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  863095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863114 */     GIR_RootConstrainSelectedInstOperands,
     /*  863115 */     // GIR_Coverage, 24656,
     /*  863115 */     GIR_EraseRootFromParent_Done,
     /*  863116 */   // Label 13218: @863116
     /*  863116 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(863191), // Rule ID 24657 //
     /*  863121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863167 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  863170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863189 */     GIR_RootConstrainSelectedInstOperands,
     /*  863190 */     // GIR_Coverage, 24657,
     /*  863190 */     GIR_EraseRootFromParent_Done,
     /*  863191 */   // Label 13219: @863191
     /*  863191 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(863266), // Rule ID 24660 //
     /*  863196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  863245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863264 */     GIR_RootConstrainSelectedInstOperands,
     /*  863265 */     // GIR_Coverage, 24660,
     /*  863265 */     GIR_EraseRootFromParent_Done,
     /*  863266 */   // Label 13220: @863266
     /*  863266 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(863341), // Rule ID 24661 //
     /*  863271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  863320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863339 */     GIR_RootConstrainSelectedInstOperands,
     /*  863340 */     // GIR_Coverage, 24661,
     /*  863340 */     GIR_EraseRootFromParent_Done,
     /*  863341 */   // Label 13221: @863341
     /*  863341 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863416), // Rule ID 24664 //
     /*  863346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  863357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  863360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  863363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  863395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863414 */     GIR_RootConstrainSelectedInstOperands,
     /*  863415 */     // GIR_Coverage, 24664,
     /*  863415 */     GIR_EraseRootFromParent_Done,
     /*  863416 */   // Label 13222: @863416
     /*  863416 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863491), // Rule ID 24665 //
     /*  863421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  863432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  863435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  863438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  863470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863489 */     GIR_RootConstrainSelectedInstOperands,
     /*  863490 */     // GIR_Coverage, 24665,
     /*  863490 */     GIR_EraseRootFromParent_Done,
     /*  863491 */   // Label 13223: @863491
     /*  863491 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(863566), // Rule ID 24668 //
     /*  863496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863564 */     GIR_RootConstrainSelectedInstOperands,
     /*  863565 */     // GIR_Coverage, 24668,
     /*  863565 */     GIR_EraseRootFromParent_Done,
     /*  863566 */   // Label 13224: @863566
     /*  863566 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863641), // Rule ID 24669 //
     /*  863571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863639 */     GIR_RootConstrainSelectedInstOperands,
     /*  863640 */     // GIR_Coverage, 24669,
     /*  863640 */     GIR_EraseRootFromParent_Done,
     /*  863641 */   // Label 13225: @863641
     /*  863641 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(863716), // Rule ID 24672 //
     /*  863646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863714 */     GIR_RootConstrainSelectedInstOperands,
     /*  863715 */     // GIR_Coverage, 24672,
     /*  863715 */     GIR_EraseRootFromParent_Done,
     /*  863716 */   // Label 13226: @863716
     /*  863716 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863791), // Rule ID 24673 //
     /*  863721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863789 */     GIR_RootConstrainSelectedInstOperands,
     /*  863790 */     // GIR_Coverage, 24673,
     /*  863790 */     GIR_EraseRootFromParent_Done,
     /*  863791 */   // Label 13227: @863791
     /*  863791 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863866), // Rule ID 24676 //
     /*  863796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863864 */     GIR_RootConstrainSelectedInstOperands,
     /*  863865 */     // GIR_Coverage, 24676,
     /*  863865 */     GIR_EraseRootFromParent_Done,
     /*  863866 */   // Label 13228: @863866
     /*  863866 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863941), // Rule ID 24677 //
     /*  863871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863939 */     GIR_RootConstrainSelectedInstOperands,
     /*  863940 */     // GIR_Coverage, 24677,
     /*  863940 */     GIR_EraseRootFromParent_Done,
     /*  863941 */   // Label 13229: @863941
     /*  863941 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(864016), // Rule ID 24680 //
     /*  863946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  863949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  863960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  863995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864014 */     GIR_RootConstrainSelectedInstOperands,
     /*  864015 */     // GIR_Coverage, 24680,
     /*  864015 */     GIR_EraseRootFromParent_Done,
     /*  864016 */   // Label 13230: @864016
     /*  864016 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(864091), // Rule ID 24681 //
     /*  864021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  864024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  864070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864089 */     GIR_RootConstrainSelectedInstOperands,
     /*  864090 */     // GIR_Coverage, 24681,
     /*  864090 */     GIR_EraseRootFromParent_Done,
     /*  864091 */   // Label 13231: @864091
     /*  864091 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(864166), // Rule ID 24684 //
     /*  864096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  864107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  864110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  864113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  864145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864164 */     GIR_RootConstrainSelectedInstOperands,
     /*  864165 */     // GIR_Coverage, 24684,
     /*  864165 */     GIR_EraseRootFromParent_Done,
     /*  864166 */   // Label 13232: @864166
     /*  864166 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(864241), // Rule ID 24685 //
     /*  864171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  864182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  864185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  864188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  864220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864239 */     GIR_RootConstrainSelectedInstOperands,
     /*  864240 */     // GIR_Coverage, 24685,
     /*  864240 */     GIR_EraseRootFromParent_Done,
     /*  864241 */   // Label 13233: @864241
     /*  864241 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(864316), // Rule ID 24688 //
     /*  864246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  864257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  864260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  864263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864292 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  864295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864314 */     GIR_RootConstrainSelectedInstOperands,
     /*  864315 */     // GIR_Coverage, 24688,
     /*  864315 */     GIR_EraseRootFromParent_Done,
     /*  864316 */   // Label 13234: @864316
     /*  864316 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864391), // Rule ID 24689 //
     /*  864321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  864332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  864335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  864338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  864370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864389 */     GIR_RootConstrainSelectedInstOperands,
     /*  864390 */     // GIR_Coverage, 24689,
     /*  864390 */     GIR_EraseRootFromParent_Done,
     /*  864391 */   // Label 13235: @864391
     /*  864391 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864466), // Rule ID 24692 //
     /*  864396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864464 */     GIR_RootConstrainSelectedInstOperands,
     /*  864465 */     // GIR_Coverage, 24692,
     /*  864465 */     GIR_EraseRootFromParent_Done,
     /*  864466 */   // Label 13236: @864466
     /*  864466 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(864541), // Rule ID 24693 //
     /*  864471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864539 */     GIR_RootConstrainSelectedInstOperands,
     /*  864540 */     // GIR_Coverage, 24693,
     /*  864540 */     GIR_EraseRootFromParent_Done,
     /*  864541 */   // Label 13237: @864541
     /*  864541 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(864616), // Rule ID 24696 //
     /*  864546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864614 */     GIR_RootConstrainSelectedInstOperands,
     /*  864615 */     // GIR_Coverage, 24696,
     /*  864615 */     GIR_EraseRootFromParent_Done,
     /*  864616 */   // Label 13238: @864616
     /*  864616 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(864691), // Rule ID 24697 //
     /*  864621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864689 */     GIR_RootConstrainSelectedInstOperands,
     /*  864690 */     // GIR_Coverage, 24697,
     /*  864690 */     GIR_EraseRootFromParent_Done,
     /*  864691 */   // Label 13239: @864691
     /*  864691 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(864766), // Rule ID 24700 //
     /*  864696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864764 */     GIR_RootConstrainSelectedInstOperands,
     /*  864765 */     // GIR_Coverage, 24700,
     /*  864765 */     GIR_EraseRootFromParent_Done,
     /*  864766 */   // Label 13240: @864766
     /*  864766 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864841), // Rule ID 24701 //
     /*  864771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864817 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864839 */     GIR_RootConstrainSelectedInstOperands,
     /*  864840 */     // GIR_Coverage, 24701,
     /*  864840 */     GIR_EraseRootFromParent_Done,
     /*  864841 */   // Label 13241: @864841
     /*  864841 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864916), // Rule ID 24704 //
     /*  864846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864914 */     GIR_RootConstrainSelectedInstOperands,
     /*  864915 */     // GIR_Coverage, 24704,
     /*  864915 */     GIR_EraseRootFromParent_Done,
     /*  864916 */   // Label 13242: @864916
     /*  864916 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864991), // Rule ID 24705 //
     /*  864921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864989 */     GIR_RootConstrainSelectedInstOperands,
     /*  864990 */     // GIR_Coverage, 24705,
     /*  864990 */     GIR_EraseRootFromParent_Done,
     /*  864991 */   // Label 13243: @864991
     /*  864991 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(865066), // Rule ID 24708 //
     /*  864996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865064 */     GIR_RootConstrainSelectedInstOperands,
     /*  865065 */     // GIR_Coverage, 24708,
     /*  865065 */     GIR_EraseRootFromParent_Done,
     /*  865066 */   // Label 13244: @865066
     /*  865066 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(865141), // Rule ID 24709 //
     /*  865071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865139 */     GIR_RootConstrainSelectedInstOperands,
     /*  865140 */     // GIR_Coverage, 24709,
     /*  865140 */     GIR_EraseRootFromParent_Done,
     /*  865141 */   // Label 13245: @865141
     /*  865141 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(865216), // Rule ID 24712 //
     /*  865146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865214 */     GIR_RootConstrainSelectedInstOperands,
     /*  865215 */     // GIR_Coverage, 24712,
     /*  865215 */     GIR_EraseRootFromParent_Done,
     /*  865216 */   // Label 13246: @865216
     /*  865216 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(865291), // Rule ID 24713 //
     /*  865221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865289 */     GIR_RootConstrainSelectedInstOperands,
     /*  865290 */     // GIR_Coverage, 24713,
     /*  865290 */     GIR_EraseRootFromParent_Done,
     /*  865291 */   // Label 13247: @865291
     /*  865291 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865366), // Rule ID 24716 //
     /*  865296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  865345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865364 */     GIR_RootConstrainSelectedInstOperands,
     /*  865365 */     // GIR_Coverage, 24716,
     /*  865365 */     GIR_EraseRootFromParent_Done,
     /*  865366 */   // Label 13248: @865366
     /*  865366 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865441), // Rule ID 24717 //
     /*  865371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  865420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865439 */     GIR_RootConstrainSelectedInstOperands,
     /*  865440 */     // GIR_Coverage, 24717,
     /*  865440 */     GIR_EraseRootFromParent_Done,
     /*  865441 */   // Label 13249: @865441
     /*  865441 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(865516), // Rule ID 24720 //
     /*  865446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865514 */     GIR_RootConstrainSelectedInstOperands,
     /*  865515 */     // GIR_Coverage, 24720,
     /*  865515 */     GIR_EraseRootFromParent_Done,
     /*  865516 */   // Label 13250: @865516
     /*  865516 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(865591), // Rule ID 24721 //
     /*  865521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865567 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865589 */     GIR_RootConstrainSelectedInstOperands,
     /*  865590 */     // GIR_Coverage, 24721,
     /*  865590 */     GIR_EraseRootFromParent_Done,
     /*  865591 */   // Label 13251: @865591
     /*  865591 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(865666), // Rule ID 24724 //
     /*  865596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865664 */     GIR_RootConstrainSelectedInstOperands,
     /*  865665 */     // GIR_Coverage, 24724,
     /*  865665 */     GIR_EraseRootFromParent_Done,
     /*  865666 */   // Label 13252: @865666
     /*  865666 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(865741), // Rule ID 24725 //
     /*  865671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865739 */     GIR_RootConstrainSelectedInstOperands,
     /*  865740 */     // GIR_Coverage, 24725,
     /*  865740 */     GIR_EraseRootFromParent_Done,
     /*  865741 */   // Label 13253: @865741
     /*  865741 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865816), // Rule ID 24728 //
     /*  865746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865792 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865814 */     GIR_RootConstrainSelectedInstOperands,
     /*  865815 */     // GIR_Coverage, 24728,
     /*  865815 */     GIR_EraseRootFromParent_Done,
     /*  865816 */   // Label 13254: @865816
     /*  865816 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865891), // Rule ID 24729 //
     /*  865821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865867 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865889 */     GIR_RootConstrainSelectedInstOperands,
     /*  865890 */     // GIR_Coverage, 24729,
     /*  865890 */     GIR_EraseRootFromParent_Done,
     /*  865891 */   // Label 13255: @865891
     /*  865891 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865966), // Rule ID 24732 //
     /*  865896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865942 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  865945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865964 */     GIR_RootConstrainSelectedInstOperands,
     /*  865965 */     // GIR_Coverage, 24732,
     /*  865965 */     GIR_EraseRootFromParent_Done,
     /*  865966 */   // Label 13256: @865966
     /*  865966 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(866041), // Rule ID 24733 //
     /*  865971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  866020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866039 */     GIR_RootConstrainSelectedInstOperands,
     /*  866040 */     // GIR_Coverage, 24733,
     /*  866040 */     GIR_EraseRootFromParent_Done,
     /*  866041 */   // Label 13257: @866041
     /*  866041 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(866116), // Rule ID 24736 //
     /*  866046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  866057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  866060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  866063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  866066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866092 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  866095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866114 */     GIR_RootConstrainSelectedInstOperands,
     /*  866115 */     // GIR_Coverage, 24736,
     /*  866115 */     GIR_EraseRootFromParent_Done,
     /*  866116 */   // Label 13258: @866116
     /*  866116 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(866191), // Rule ID 24737 //
     /*  866121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  866132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  866135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  866138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  866141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866167 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  866170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866189 */     GIR_RootConstrainSelectedInstOperands,
     /*  866190 */     // GIR_Coverage, 24737,
     /*  866190 */     GIR_EraseRootFromParent_Done,
     /*  866191 */   // Label 13259: @866191
     /*  866191 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(866266), // Rule ID 24740 //
     /*  866196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  866216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  866245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866264 */     GIR_RootConstrainSelectedInstOperands,
     /*  866265 */     // GIR_Coverage, 24740,
     /*  866265 */     GIR_EraseRootFromParent_Done,
     /*  866266 */   // Label 13260: @866266
     /*  866266 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(866341), // Rule ID 24741 //
     /*  866271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  866291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866317 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  866320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866339 */     GIR_RootConstrainSelectedInstOperands,
     /*  866340 */     // GIR_Coverage, 24741,
     /*  866340 */     GIR_EraseRootFromParent_Done,
     /*  866341 */   // Label 13261: @866341
     /*  866341 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(866416), // Rule ID 24744 //
     /*  866346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  866366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866392 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  866395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866414 */     GIR_RootConstrainSelectedInstOperands,
     /*  866415 */     // GIR_Coverage, 24744,
     /*  866415 */     GIR_EraseRootFromParent_Done,
     /*  866416 */   // Label 13262: @866416
     /*  866416 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(866491), // Rule ID 24745 //
     /*  866421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  866441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866467 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  866470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866489 */     GIR_RootConstrainSelectedInstOperands,
     /*  866490 */     // GIR_Coverage, 24745,
     /*  866490 */     GIR_EraseRootFromParent_Done,
     /*  866491 */   // Label 13263: @866491
     /*  866491 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(866566), // Rule ID 24748 //
     /*  866496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866542 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866564 */     GIR_RootConstrainSelectedInstOperands,
     /*  866565 */     // GIR_Coverage, 24748,
     /*  866565 */     GIR_EraseRootFromParent_Done,
     /*  866566 */   // Label 13264: @866566
     /*  866566 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(866641), // Rule ID 24749 //
     /*  866571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866617 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866639 */     GIR_RootConstrainSelectedInstOperands,
     /*  866640 */     // GIR_Coverage, 24749,
     /*  866640 */     GIR_EraseRootFromParent_Done,
     /*  866641 */   // Label 13265: @866641
     /*  866641 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(866716), // Rule ID 24752 //
     /*  866646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866692 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866714 */     GIR_RootConstrainSelectedInstOperands,
     /*  866715 */     // GIR_Coverage, 24752,
     /*  866715 */     GIR_EraseRootFromParent_Done,
     /*  866716 */   // Label 13266: @866716
     /*  866716 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866791), // Rule ID 24753 //
     /*  866721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866767 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866789 */     GIR_RootConstrainSelectedInstOperands,
     /*  866790 */     // GIR_Coverage, 24753,
     /*  866790 */     GIR_EraseRootFromParent_Done,
     /*  866791 */   // Label 13267: @866791
     /*  866791 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866866), // Rule ID 24756 //
     /*  866796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866842 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866864 */     GIR_RootConstrainSelectedInstOperands,
     /*  866865 */     // GIR_Coverage, 24756,
     /*  866865 */     GIR_EraseRootFromParent_Done,
     /*  866866 */   // Label 13268: @866866
     /*  866866 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866941), // Rule ID 24757 //
     /*  866871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866917 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866939 */     GIR_RootConstrainSelectedInstOperands,
     /*  866940 */     // GIR_Coverage, 24757,
     /*  866940 */     GIR_EraseRootFromParent_Done,
     /*  866941 */   // Label 13269: @866941
     /*  866941 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(867016), // Rule ID 24760 //
     /*  866946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  866966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  866995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867014 */     GIR_RootConstrainSelectedInstOperands,
     /*  867015 */     // GIR_Coverage, 24760,
     /*  867015 */     GIR_EraseRootFromParent_Done,
     /*  867016 */   // Label 13270: @867016
     /*  867016 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(867091), // Rule ID 24761 //
     /*  867021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  867038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  867041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867067 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  867070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867089 */     GIR_RootConstrainSelectedInstOperands,
     /*  867090 */     // GIR_Coverage, 24761,
     /*  867090 */     GIR_EraseRootFromParent_Done,
     /*  867091 */   // Label 13271: @867091
     /*  867091 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(867166), // Rule ID 24764 //
     /*  867096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867142 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  867145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867164 */     GIR_RootConstrainSelectedInstOperands,
     /*  867165 */     // GIR_Coverage, 24764,
     /*  867165 */     GIR_EraseRootFromParent_Done,
     /*  867166 */   // Label 13272: @867166
     /*  867166 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(867241), // Rule ID 24765 //
     /*  867171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867217 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  867220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867239 */     GIR_RootConstrainSelectedInstOperands,
     /*  867240 */     // GIR_Coverage, 24765,
     /*  867240 */     GIR_EraseRootFromParent_Done,
     /*  867241 */   // Label 13273: @867241
     /*  867241 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(867316), // Rule ID 24768 //
     /*  867246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867314 */     GIR_RootConstrainSelectedInstOperands,
     /*  867315 */     // GIR_Coverage, 24768,
     /*  867315 */     GIR_EraseRootFromParent_Done,
     /*  867316 */   // Label 13274: @867316
     /*  867316 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(867391), // Rule ID 24769 //
     /*  867321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867389 */     GIR_RootConstrainSelectedInstOperands,
     /*  867390 */     // GIR_Coverage, 24769,
     /*  867390 */     GIR_EraseRootFromParent_Done,
     /*  867391 */   // Label 13275: @867391
     /*  867391 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(867466), // Rule ID 24772 //
     /*  867396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867442 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867464 */     GIR_RootConstrainSelectedInstOperands,
     /*  867465 */     // GIR_Coverage, 24772,
     /*  867465 */     GIR_EraseRootFromParent_Done,
     /*  867466 */   // Label 13276: @867466
     /*  867466 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(867541), // Rule ID 24773 //
     /*  867471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867517 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867539 */     GIR_RootConstrainSelectedInstOperands,
     /*  867540 */     // GIR_Coverage, 24773,
     /*  867540 */     GIR_EraseRootFromParent_Done,
     /*  867541 */   // Label 13277: @867541
     /*  867541 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(867616), // Rule ID 24776 //
     /*  867546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867592 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867614 */     GIR_RootConstrainSelectedInstOperands,
     /*  867615 */     // GIR_Coverage, 24776,
     /*  867615 */     GIR_EraseRootFromParent_Done,
     /*  867616 */   // Label 13278: @867616
     /*  867616 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(867691), // Rule ID 24777 //
     /*  867621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867667 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867689 */     GIR_RootConstrainSelectedInstOperands,
     /*  867690 */     // GIR_Coverage, 24777,
     /*  867690 */     GIR_EraseRootFromParent_Done,
     /*  867691 */   // Label 13279: @867691
     /*  867691 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(867766), // Rule ID 24780 //
     /*  867696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867742 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867764 */     GIR_RootConstrainSelectedInstOperands,
     /*  867765 */     // GIR_Coverage, 24780,
     /*  867765 */     GIR_EraseRootFromParent_Done,
     /*  867766 */   // Label 13280: @867766
     /*  867766 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867841), // Rule ID 24781 //
     /*  867771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867817 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867839 */     GIR_RootConstrainSelectedInstOperands,
     /*  867840 */     // GIR_Coverage, 24781,
     /*  867840 */     GIR_EraseRootFromParent_Done,
     /*  867841 */   // Label 13281: @867841
     /*  867841 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867916), // Rule ID 24784 //
     /*  867846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867892 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867914 */     GIR_RootConstrainSelectedInstOperands,
     /*  867915 */     // GIR_Coverage, 24784,
     /*  867915 */     GIR_EraseRootFromParent_Done,
     /*  867916 */   // Label 13282: @867916
     /*  867916 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867991), // Rule ID 24785 //
     /*  867921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867967 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867989 */     GIR_RootConstrainSelectedInstOperands,
     /*  867990 */     // GIR_Coverage, 24785,
     /*  867990 */     GIR_EraseRootFromParent_Done,
     /*  867991 */   // Label 13283: @867991
     /*  867991 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(868066), // Rule ID 24788 //
     /*  867996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868042 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  868045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868064 */     GIR_RootConstrainSelectedInstOperands,
     /*  868065 */     // GIR_Coverage, 24788,
     /*  868065 */     GIR_EraseRootFromParent_Done,
     /*  868066 */   // Label 13284: @868066
     /*  868066 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(868141), // Rule ID 24789 //
     /*  868071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  868074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868117 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  868120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868139 */     GIR_RootConstrainSelectedInstOperands,
     /*  868140 */     // GIR_Coverage, 24789,
     /*  868140 */     GIR_EraseRootFromParent_Done,
     /*  868141 */   // Label 13285: @868141
     /*  868141 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(868216), // Rule ID 24792 //
     /*  868146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  868149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868192 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  868195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868214 */     GIR_RootConstrainSelectedInstOperands,
     /*  868215 */     // GIR_Coverage, 24792,
     /*  868215 */     GIR_EraseRootFromParent_Done,
     /*  868216 */   // Label 13286: @868216
     /*  868216 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(868291), // Rule ID 24793 //
     /*  868221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  868224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868267 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  868270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868289 */     GIR_RootConstrainSelectedInstOperands,
     /*  868290 */     // GIR_Coverage, 24793,
     /*  868290 */     GIR_EraseRootFromParent_Done,
     /*  868291 */   // Label 13287: @868291
     /*  868291 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(868366), // Rule ID 24796 //
     /*  868296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  868299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  868307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  868310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  868313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868342 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  868345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868364 */     GIR_RootConstrainSelectedInstOperands,
     /*  868365 */     // GIR_Coverage, 24796,
     /*  868365 */     GIR_EraseRootFromParent_Done,
     /*  868366 */   // Label 13288: @868366
     /*  868366 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(868441), // Rule ID 24797 //
     /*  868371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  868374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  868382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  868385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  868388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868417 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  868420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868439 */     GIR_RootConstrainSelectedInstOperands,
     /*  868440 */     // GIR_Coverage, 24797,
     /*  868440 */     GIR_EraseRootFromParent_Done,
     /*  868441 */   // Label 13289: @868441
     /*  868441 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(868516), // Rule ID 24836 //
     /*  868446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868492 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868514 */     GIR_RootConstrainSelectedInstOperands,
     /*  868515 */     // GIR_Coverage, 24836,
     /*  868515 */     GIR_EraseRootFromParent_Done,
     /*  868516 */   // Label 13290: @868516
     /*  868516 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(868591), // Rule ID 24837 //
     /*  868521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868567 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868589 */     GIR_RootConstrainSelectedInstOperands,
     /*  868590 */     // GIR_Coverage, 24837,
     /*  868590 */     GIR_EraseRootFromParent_Done,
     /*  868591 */   // Label 13291: @868591
     /*  868591 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(868666), // Rule ID 24840 //
     /*  868596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868642 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868664 */     GIR_RootConstrainSelectedInstOperands,
     /*  868665 */     // GIR_Coverage, 24840,
     /*  868665 */     GIR_EraseRootFromParent_Done,
     /*  868666 */   // Label 13292: @868666
     /*  868666 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(868741), // Rule ID 24841 //
     /*  868671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868717 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868739 */     GIR_RootConstrainSelectedInstOperands,
     /*  868740 */     // GIR_Coverage, 24841,
     /*  868740 */     GIR_EraseRootFromParent_Done,
     /*  868741 */   // Label 13293: @868741
     /*  868741 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868816), // Rule ID 24844 //
     /*  868746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868792 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868814 */     GIR_RootConstrainSelectedInstOperands,
     /*  868815 */     // GIR_Coverage, 24844,
     /*  868815 */     GIR_EraseRootFromParent_Done,
     /*  868816 */   // Label 13294: @868816
     /*  868816 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868891), // Rule ID 24845 //
     /*  868821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868867 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868889 */     GIR_RootConstrainSelectedInstOperands,
     /*  868890 */     // GIR_Coverage, 24845,
     /*  868890 */     GIR_EraseRootFromParent_Done,
     /*  868891 */   // Label 13295: @868891
     /*  868891 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868966), // Rule ID 24848 //
     /*  868896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868942 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  868945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868964 */     GIR_RootConstrainSelectedInstOperands,
     /*  868965 */     // GIR_Coverage, 24848,
     /*  868965 */     GIR_EraseRootFromParent_Done,
     /*  868966 */   // Label 13296: @868966
     /*  868966 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(869041), // Rule ID 24849 //
     /*  868971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869017 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  869020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869039 */     GIR_RootConstrainSelectedInstOperands,
     /*  869040 */     // GIR_Coverage, 24849,
     /*  869040 */     GIR_EraseRootFromParent_Done,
     /*  869041 */   // Label 13297: @869041
     /*  869041 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(869116), // Rule ID 24852 //
     /*  869046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869092 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  869095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869114 */     GIR_RootConstrainSelectedInstOperands,
     /*  869115 */     // GIR_Coverage, 24852,
     /*  869115 */     GIR_EraseRootFromParent_Done,
     /*  869116 */   // Label 13298: @869116
     /*  869116 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(869191), // Rule ID 24853 //
     /*  869121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869167 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  869170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869189 */     GIR_RootConstrainSelectedInstOperands,
     /*  869190 */     // GIR_Coverage, 24853,
     /*  869190 */     GIR_EraseRootFromParent_Done,
     /*  869191 */   // Label 13299: @869191
     /*  869191 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(869266), // Rule ID 24856 //
     /*  869196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869242 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  869245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869264 */     GIR_RootConstrainSelectedInstOperands,
     /*  869265 */     // GIR_Coverage, 24856,
     /*  869265 */     GIR_EraseRootFromParent_Done,
     /*  869266 */   // Label 13300: @869266
     /*  869266 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(869341), // Rule ID 24857 //
     /*  869271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869317 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  869320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869339 */     GIR_RootConstrainSelectedInstOperands,
     /*  869340 */     // GIR_Coverage, 24857,
     /*  869340 */     GIR_EraseRootFromParent_Done,
     /*  869341 */   // Label 13301: @869341
     /*  869341 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(869416), // Rule ID 24860 //
     /*  869346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869392 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  869395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869414 */     GIR_RootConstrainSelectedInstOperands,
     /*  869415 */     // GIR_Coverage, 24860,
     /*  869415 */     GIR_EraseRootFromParent_Done,
     /*  869416 */   // Label 13302: @869416
     /*  869416 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(869491), // Rule ID 24861 //
     /*  869421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869467 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  869470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869489 */     GIR_RootConstrainSelectedInstOperands,
     /*  869490 */     // GIR_Coverage, 24861,
     /*  869490 */     GIR_EraseRootFromParent_Done,
     /*  869491 */   // Label 13303: @869491
     /*  869491 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(869566), // Rule ID 24864 //
     /*  869496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869542 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869564 */     GIR_RootConstrainSelectedInstOperands,
     /*  869565 */     // GIR_Coverage, 24864,
     /*  869565 */     GIR_EraseRootFromParent_Done,
     /*  869566 */   // Label 13304: @869566
     /*  869566 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(869641), // Rule ID 24865 //
     /*  869571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869617 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869639 */     GIR_RootConstrainSelectedInstOperands,
     /*  869640 */     // GIR_Coverage, 24865,
     /*  869640 */     GIR_EraseRootFromParent_Done,
     /*  869641 */   // Label 13305: @869641
     /*  869641 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(869716), // Rule ID 24868 //
     /*  869646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869714 */     GIR_RootConstrainSelectedInstOperands,
     /*  869715 */     // GIR_Coverage, 24868,
     /*  869715 */     GIR_EraseRootFromParent_Done,
     /*  869716 */   // Label 13306: @869716
     /*  869716 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869791), // Rule ID 24869 //
     /*  869721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869767 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869789 */     GIR_RootConstrainSelectedInstOperands,
     /*  869790 */     // GIR_Coverage, 24869,
     /*  869790 */     GIR_EraseRootFromParent_Done,
     /*  869791 */   // Label 13307: @869791
     /*  869791 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869866), // Rule ID 24872 //
     /*  869796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869842 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869864 */     GIR_RootConstrainSelectedInstOperands,
     /*  869865 */     // GIR_Coverage, 24872,
     /*  869865 */     GIR_EraseRootFromParent_Done,
     /*  869866 */   // Label 13308: @869866
     /*  869866 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869941), // Rule ID 24873 //
     /*  869871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869917 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869939 */     GIR_RootConstrainSelectedInstOperands,
     /*  869940 */     // GIR_Coverage, 24873,
     /*  869940 */     GIR_EraseRootFromParent_Done,
     /*  869941 */   // Label 13309: @869941
     /*  869941 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(870016), // Rule ID 24876 //
     /*  869946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869992 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870014 */     GIR_RootConstrainSelectedInstOperands,
     /*  870015 */     // GIR_Coverage, 24876,
     /*  870015 */     GIR_EraseRootFromParent_Done,
     /*  870016 */   // Label 13310: @870016
     /*  870016 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(870091), // Rule ID 24877 //
     /*  870021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  870032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  870035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  870038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870067 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  870070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870089 */     GIR_RootConstrainSelectedInstOperands,
     /*  870090 */     // GIR_Coverage, 24877,
     /*  870090 */     GIR_EraseRootFromParent_Done,
     /*  870091 */   // Label 13311: @870091
     /*  870091 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(870166), // Rule ID 24880 //
     /*  870096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  870107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  870110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  870113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870142 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870164 */     GIR_RootConstrainSelectedInstOperands,
     /*  870165 */     // GIR_Coverage, 24880,
     /*  870165 */     GIR_EraseRootFromParent_Done,
     /*  870166 */   // Label 13312: @870166
     /*  870166 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(870241), // Rule ID 24881 //
     /*  870171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  870182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  870185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  870188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870217 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870239 */     GIR_RootConstrainSelectedInstOperands,
     /*  870240 */     // GIR_Coverage, 24881,
     /*  870240 */     GIR_EraseRootFromParent_Done,
     /*  870241 */   // Label 13313: @870241
     /*  870241 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(870316), // Rule ID 24908 //
     /*  870246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  870295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870314 */     GIR_RootConstrainSelectedInstOperands,
     /*  870315 */     // GIR_Coverage, 24908,
     /*  870315 */     GIR_EraseRootFromParent_Done,
     /*  870316 */   // Label 13314: @870316
     /*  870316 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(870391), // Rule ID 24909 //
     /*  870321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870367 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  870370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870389 */     GIR_RootConstrainSelectedInstOperands,
     /*  870390 */     // GIR_Coverage, 24909,
     /*  870390 */     GIR_EraseRootFromParent_Done,
     /*  870391 */   // Label 13315: @870391
     /*  870391 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(870466), // Rule ID 24912 //
     /*  870396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870442 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870464 */     GIR_RootConstrainSelectedInstOperands,
     /*  870465 */     // GIR_Coverage, 24912,
     /*  870465 */     GIR_EraseRootFromParent_Done,
     /*  870466 */   // Label 13316: @870466
     /*  870466 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(870541), // Rule ID 24913 //
     /*  870471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870517 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870539 */     GIR_RootConstrainSelectedInstOperands,
     /*  870540 */     // GIR_Coverage, 24913,
     /*  870540 */     GIR_EraseRootFromParent_Done,
     /*  870541 */   // Label 13317: @870541
     /*  870541 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(870616), // Rule ID 24916 //
     /*  870546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870614 */     GIR_RootConstrainSelectedInstOperands,
     /*  870615 */     // GIR_Coverage, 24916,
     /*  870615 */     GIR_EraseRootFromParent_Done,
     /*  870616 */   // Label 13318: @870616
     /*  870616 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(870691), // Rule ID 24917 //
     /*  870621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870667 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870689 */     GIR_RootConstrainSelectedInstOperands,
     /*  870690 */     // GIR_Coverage, 24917,
     /*  870690 */     GIR_EraseRootFromParent_Done,
     /*  870691 */   // Label 13319: @870691
     /*  870691 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(870766), // Rule ID 24920 //
     /*  870696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870764 */     GIR_RootConstrainSelectedInstOperands,
     /*  870765 */     // GIR_Coverage, 24920,
     /*  870765 */     GIR_EraseRootFromParent_Done,
     /*  870766 */   // Label 13320: @870766
     /*  870766 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870841), // Rule ID 24921 //
     /*  870771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870839 */     GIR_RootConstrainSelectedInstOperands,
     /*  870840 */     // GIR_Coverage, 24921,
     /*  870840 */     GIR_EraseRootFromParent_Done,
     /*  870841 */   // Label 13321: @870841
     /*  870841 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870916), // Rule ID 24924 //
     /*  870846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870914 */     GIR_RootConstrainSelectedInstOperands,
     /*  870915 */     // GIR_Coverage, 24924,
     /*  870915 */     GIR_EraseRootFromParent_Done,
     /*  870916 */   // Label 13322: @870916
     /*  870916 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870991), // Rule ID 24925 //
     /*  870921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870989 */     GIR_RootConstrainSelectedInstOperands,
     /*  870990 */     // GIR_Coverage, 24925,
     /*  870990 */     GIR_EraseRootFromParent_Done,
     /*  870991 */   // Label 13323: @870991
     /*  870991 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(871066), // Rule ID 24928 //
     /*  870996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  870999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  871045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871064 */     GIR_RootConstrainSelectedInstOperands,
     /*  871065 */     // GIR_Coverage, 24928,
     /*  871065 */     GIR_EraseRootFromParent_Done,
     /*  871066 */   // Label 13324: @871066
     /*  871066 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(871141), // Rule ID 24929 //
     /*  871071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  871074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  871120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871139 */     GIR_RootConstrainSelectedInstOperands,
     /*  871140 */     // GIR_Coverage, 24929,
     /*  871140 */     GIR_EraseRootFromParent_Done,
     /*  871141 */   // Label 13325: @871141
     /*  871141 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(871216), // Rule ID 24932 //
     /*  871146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  871195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871214 */     GIR_RootConstrainSelectedInstOperands,
     /*  871215 */     // GIR_Coverage, 24932,
     /*  871215 */     GIR_EraseRootFromParent_Done,
     /*  871216 */   // Label 13326: @871216
     /*  871216 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(871291), // Rule ID 24933 //
     /*  871221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871267 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  871270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871289 */     GIR_RootConstrainSelectedInstOperands,
     /*  871290 */     // GIR_Coverage, 24933,
     /*  871290 */     GIR_EraseRootFromParent_Done,
     /*  871291 */   // Label 13327: @871291
     /*  871291 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(871366), // Rule ID 24936 //
     /*  871296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871342 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  871345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871364 */     GIR_RootConstrainSelectedInstOperands,
     /*  871365 */     // GIR_Coverage, 24936,
     /*  871365 */     GIR_EraseRootFromParent_Done,
     /*  871366 */   // Label 13328: @871366
     /*  871366 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(871441), // Rule ID 24937 //
     /*  871371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871417 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  871420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871439 */     GIR_RootConstrainSelectedInstOperands,
     /*  871440 */     // GIR_Coverage, 24937,
     /*  871440 */     GIR_EraseRootFromParent_Done,
     /*  871441 */   // Label 13329: @871441
     /*  871441 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(871516), // Rule ID 24940 //
     /*  871446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871492 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871514 */     GIR_RootConstrainSelectedInstOperands,
     /*  871515 */     // GIR_Coverage, 24940,
     /*  871515 */     GIR_EraseRootFromParent_Done,
     /*  871516 */   // Label 13330: @871516
     /*  871516 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(871591), // Rule ID 24941 //
     /*  871521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871567 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871589 */     GIR_RootConstrainSelectedInstOperands,
     /*  871590 */     // GIR_Coverage, 24941,
     /*  871590 */     GIR_EraseRootFromParent_Done,
     /*  871591 */   // Label 13331: @871591
     /*  871591 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(871666), // Rule ID 24944 //
     /*  871596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871642 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871664 */     GIR_RootConstrainSelectedInstOperands,
     /*  871665 */     // GIR_Coverage, 24944,
     /*  871665 */     GIR_EraseRootFromParent_Done,
     /*  871666 */   // Label 13332: @871666
     /*  871666 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(871741), // Rule ID 24945 //
     /*  871671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871739 */     GIR_RootConstrainSelectedInstOperands,
     /*  871740 */     // GIR_Coverage, 24945,
     /*  871740 */     GIR_EraseRootFromParent_Done,
     /*  871741 */   // Label 13333: @871741
     /*  871741 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(871816), // Rule ID 24948 //
     /*  871746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871792 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871814 */     GIR_RootConstrainSelectedInstOperands,
     /*  871815 */     // GIR_Coverage, 24948,
     /*  871815 */     GIR_EraseRootFromParent_Done,
     /*  871816 */   // Label 13334: @871816
     /*  871816 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871891), // Rule ID 24949 //
     /*  871821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871889 */     GIR_RootConstrainSelectedInstOperands,
     /*  871890 */     // GIR_Coverage, 24949,
     /*  871890 */     GIR_EraseRootFromParent_Done,
     /*  871891 */   // Label 13335: @871891
     /*  871891 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871966), // Rule ID 24952 //
     /*  871896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  871945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871964 */     GIR_RootConstrainSelectedInstOperands,
     /*  871965 */     // GIR_Coverage, 24952,
     /*  871965 */     GIR_EraseRootFromParent_Done,
     /*  871966 */   // Label 13336: @871966
     /*  871966 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(872041), // Rule ID 24953 //
     /*  871971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872017 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  872020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872039 */     GIR_RootConstrainSelectedInstOperands,
     /*  872040 */     // GIR_Coverage, 24953,
     /*  872040 */     GIR_EraseRootFromParent_Done,
     /*  872041 */   // Label 13337: @872041
     /*  872041 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(872116), // Rule ID 24956 //
     /*  872046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  872049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  872095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872114 */     GIR_RootConstrainSelectedInstOperands,
     /*  872115 */     // GIR_Coverage, 24956,
     /*  872115 */     GIR_EraseRootFromParent_Done,
     /*  872116 */   // Label 13338: @872116
     /*  872116 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(872191), // Rule ID 24957 //
     /*  872121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  872124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872167 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  872170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872189 */     GIR_RootConstrainSelectedInstOperands,
     /*  872190 */     // GIR_Coverage, 24957,
     /*  872190 */     GIR_EraseRootFromParent_Done,
     /*  872191 */   // Label 13339: @872191
     /*  872191 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(872266), // Rule ID 24960 //
     /*  872196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  872199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  872245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872264 */     GIR_RootConstrainSelectedInstOperands,
     /*  872265 */     // GIR_Coverage, 24960,
     /*  872265 */     GIR_EraseRootFromParent_Done,
     /*  872266 */   // Label 13340: @872266
     /*  872266 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(872341), // Rule ID 24961 //
     /*  872271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  872274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872317 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  872320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872339 */     GIR_RootConstrainSelectedInstOperands,
     /*  872340 */     // GIR_Coverage, 24961,
     /*  872340 */     GIR_EraseRootFromParent_Done,
     /*  872341 */   // Label 13341: @872341
     /*  872341 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(872416), // Rule ID 24964 //
     /*  872346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  872349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872392 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  872395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872414 */     GIR_RootConstrainSelectedInstOperands,
     /*  872415 */     // GIR_Coverage, 24964,
     /*  872415 */     GIR_EraseRootFromParent_Done,
     /*  872416 */   // Label 13342: @872416
     /*  872416 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(872491), // Rule ID 24965 //
     /*  872421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  872424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  872470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872489 */     GIR_RootConstrainSelectedInstOperands,
     /*  872490 */     // GIR_Coverage, 24965,
     /*  872490 */     GIR_EraseRootFromParent_Done,
     /*  872491 */   // Label 13343: @872491
     /*  872491 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(872563), // Rule ID 24968 //
     /*  872496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872542 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872561 */     GIR_RootConstrainSelectedInstOperands,
     /*  872562 */     // GIR_Coverage, 24968,
     /*  872562 */     GIR_EraseRootFromParent_Done,
     /*  872563 */   // Label 13344: @872563
     /*  872563 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(872635), // Rule ID 24969 //
     /*  872568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872633 */     GIR_RootConstrainSelectedInstOperands,
     /*  872634 */     // GIR_Coverage, 24969,
     /*  872634 */     GIR_EraseRootFromParent_Done,
     /*  872635 */   // Label 13345: @872635
     /*  872635 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(872707), // Rule ID 24970 //
     /*  872640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872686 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872705 */     GIR_RootConstrainSelectedInstOperands,
     /*  872706 */     // GIR_Coverage, 24970,
     /*  872706 */     GIR_EraseRootFromParent_Done,
     /*  872707 */   // Label 13346: @872707
     /*  872707 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(872779), // Rule ID 24971 //
     /*  872712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872777 */     GIR_RootConstrainSelectedInstOperands,
     /*  872778 */     // GIR_Coverage, 24971,
     /*  872778 */     GIR_EraseRootFromParent_Done,
     /*  872779 */   // Label 13347: @872779
     /*  872779 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872851), // Rule ID 24972 //
     /*  872784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872849 */     GIR_RootConstrainSelectedInstOperands,
     /*  872850 */     // GIR_Coverage, 24972,
     /*  872850 */     GIR_EraseRootFromParent_Done,
     /*  872851 */   // Label 13348: @872851
     /*  872851 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872923), // Rule ID 24973 //
     /*  872856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872921 */     GIR_RootConstrainSelectedInstOperands,
     /*  872922 */     // GIR_Coverage, 24973,
     /*  872922 */     GIR_EraseRootFromParent_Done,
     /*  872923 */   // Label 13349: @872923
     /*  872923 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872995), // Rule ID 24974 //
     /*  872928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  872977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872993 */     GIR_RootConstrainSelectedInstOperands,
     /*  872994 */     // GIR_Coverage, 24974,
     /*  872994 */     GIR_EraseRootFromParent_Done,
     /*  872995 */   // Label 13350: @872995
     /*  872995 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(873067), // Rule ID 24975 //
     /*  873000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  873049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873065 */     GIR_RootConstrainSelectedInstOperands,
     /*  873066 */     // GIR_Coverage, 24975,
     /*  873066 */     GIR_EraseRootFromParent_Done,
     /*  873067 */   // Label 13351: @873067
     /*  873067 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(873139), // Rule ID 24976 //
     /*  873072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  873121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873137 */     GIR_RootConstrainSelectedInstOperands,
     /*  873138 */     // GIR_Coverage, 24976,
     /*  873138 */     GIR_EraseRootFromParent_Done,
     /*  873139 */   // Label 13352: @873139
     /*  873139 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(873211), // Rule ID 24977 //
     /*  873144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  873193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873209 */     GIR_RootConstrainSelectedInstOperands,
     /*  873210 */     // GIR_Coverage, 24977,
     /*  873210 */     GIR_EraseRootFromParent_Done,
     /*  873211 */   // Label 13353: @873211
     /*  873211 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(873283), // Rule ID 24978 //
     /*  873216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  873227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  873230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  873233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873262 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  873265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873281 */     GIR_RootConstrainSelectedInstOperands,
     /*  873282 */     // GIR_Coverage, 24978,
     /*  873282 */     GIR_EraseRootFromParent_Done,
     /*  873283 */   // Label 13354: @873283
     /*  873283 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(873355), // Rule ID 24979 //
     /*  873288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  873299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  873302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  873305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  873337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873353 */     GIR_RootConstrainSelectedInstOperands,
     /*  873354 */     // GIR_Coverage, 24979,
     /*  873354 */     GIR_EraseRootFromParent_Done,
     /*  873355 */   // Label 13355: @873355
     /*  873355 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(873427), // Rule ID 24980 //
     /*  873360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  873409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873425 */     GIR_RootConstrainSelectedInstOperands,
     /*  873426 */     // GIR_Coverage, 24980,
     /*  873426 */     GIR_EraseRootFromParent_Done,
     /*  873427 */   // Label 13356: @873427
     /*  873427 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(873499), // Rule ID 24981 //
     /*  873432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  873481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873497 */     GIR_RootConstrainSelectedInstOperands,
     /*  873498 */     // GIR_Coverage, 24981,
     /*  873498 */     GIR_EraseRootFromParent_Done,
     /*  873499 */   // Label 13357: @873499
     /*  873499 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(873571), // Rule ID 24982 //
     /*  873504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873569 */     GIR_RootConstrainSelectedInstOperands,
     /*  873570 */     // GIR_Coverage, 24982,
     /*  873570 */     GIR_EraseRootFromParent_Done,
     /*  873571 */   // Label 13358: @873571
     /*  873571 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(873643), // Rule ID 24983 //
     /*  873576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873641 */     GIR_RootConstrainSelectedInstOperands,
     /*  873642 */     // GIR_Coverage, 24983,
     /*  873642 */     GIR_EraseRootFromParent_Done,
     /*  873643 */   // Label 13359: @873643
     /*  873643 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(873715), // Rule ID 24984 //
     /*  873648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873713 */     GIR_RootConstrainSelectedInstOperands,
     /*  873714 */     // GIR_Coverage, 24984,
     /*  873714 */     GIR_EraseRootFromParent_Done,
     /*  873715 */   // Label 13360: @873715
     /*  873715 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(873787), // Rule ID 24985 //
     /*  873720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873785 */     GIR_RootConstrainSelectedInstOperands,
     /*  873786 */     // GIR_Coverage, 24985,
     /*  873786 */     GIR_EraseRootFromParent_Done,
     /*  873787 */   // Label 13361: @873787
     /*  873787 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873859), // Rule ID 24986 //
     /*  873792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873838 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873857 */     GIR_RootConstrainSelectedInstOperands,
     /*  873858 */     // GIR_Coverage, 24986,
     /*  873858 */     GIR_EraseRootFromParent_Done,
     /*  873859 */   // Label 13362: @873859
     /*  873859 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873931), // Rule ID 24987 //
     /*  873864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873910 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873929 */     GIR_RootConstrainSelectedInstOperands,
     /*  873930 */     // GIR_Coverage, 24987,
     /*  873930 */     GIR_EraseRootFromParent_Done,
     /*  873931 */   // Label 13363: @873931
     /*  873931 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(874003), // Rule ID 24988 //
     /*  873936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  873956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  873985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874001 */     GIR_RootConstrainSelectedInstOperands,
     /*  874002 */     // GIR_Coverage, 24988,
     /*  874002 */     GIR_EraseRootFromParent_Done,
     /*  874003 */   // Label 13364: @874003
     /*  874003 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(874075), // Rule ID 24989 //
     /*  874008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  874019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  874022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  874025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  874057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874073 */     GIR_RootConstrainSelectedInstOperands,
     /*  874074 */     // GIR_Coverage, 24989,
     /*  874074 */     GIR_EraseRootFromParent_Done,
     /*  874075 */   // Label 13365: @874075
     /*  874075 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(874147), // Rule ID 24990 //
     /*  874080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  874091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  874094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  874097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  874100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874126 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  874126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  874129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874145 */     GIR_RootConstrainSelectedInstOperands,
     /*  874146 */     // GIR_Coverage, 24990,
     /*  874146 */     GIR_EraseRootFromParent_Done,
     /*  874147 */   // Label 13366: @874147
     /*  874147 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(874219), // Rule ID 24991 //
     /*  874152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  874163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  874166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  874169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  874172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874198 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  874201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874217 */     GIR_RootConstrainSelectedInstOperands,
     /*  874218 */     // GIR_Coverage, 24991,
     /*  874218 */     GIR_EraseRootFromParent_Done,
     /*  874219 */   // Label 13367: @874219
     /*  874219 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(874291), // Rule ID 24992 //
     /*  874224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874270 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  874273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874289 */     GIR_RootConstrainSelectedInstOperands,
     /*  874290 */     // GIR_Coverage, 24992,
     /*  874290 */     GIR_EraseRootFromParent_Done,
     /*  874291 */   // Label 13368: @874291
     /*  874291 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(874363), // Rule ID 24993 //
     /*  874296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  874345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874361 */     GIR_RootConstrainSelectedInstOperands,
     /*  874362 */     // GIR_Coverage, 24993,
     /*  874362 */     GIR_EraseRootFromParent_Done,
     /*  874363 */   // Label 13369: @874363
     /*  874363 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(874435), // Rule ID 24994 //
     /*  874368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  874417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874433 */     GIR_RootConstrainSelectedInstOperands,
     /*  874434 */     // GIR_Coverage, 24994,
     /*  874434 */     GIR_EraseRootFromParent_Done,
     /*  874435 */   // Label 13370: @874435
     /*  874435 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(874507), // Rule ID 24995 //
     /*  874440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  874489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874505 */     GIR_RootConstrainSelectedInstOperands,
     /*  874506 */     // GIR_Coverage, 24995,
     /*  874506 */     GIR_EraseRootFromParent_Done,
     /*  874507 */   // Label 13371: @874507
     /*  874507 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(874579), // Rule ID 24996 //
     /*  874512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874577 */     GIR_RootConstrainSelectedInstOperands,
     /*  874578 */     // GIR_Coverage, 24996,
     /*  874578 */     GIR_EraseRootFromParent_Done,
     /*  874579 */   // Label 13372: @874579
     /*  874579 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(874651), // Rule ID 24997 //
     /*  874584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874630 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874649 */     GIR_RootConstrainSelectedInstOperands,
     /*  874650 */     // GIR_Coverage, 24997,
     /*  874650 */     GIR_EraseRootFromParent_Done,
     /*  874651 */   // Label 13373: @874651
     /*  874651 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(874723), // Rule ID 24998 //
     /*  874656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874721 */     GIR_RootConstrainSelectedInstOperands,
     /*  874722 */     // GIR_Coverage, 24998,
     /*  874722 */     GIR_EraseRootFromParent_Done,
     /*  874723 */   // Label 13374: @874723
     /*  874723 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874795), // Rule ID 24999 //
     /*  874728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874793 */     GIR_RootConstrainSelectedInstOperands,
     /*  874794 */     // GIR_Coverage, 24999,
     /*  874794 */     GIR_EraseRootFromParent_Done,
     /*  874795 */   // Label 13375: @874795
     /*  874795 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874867), // Rule ID 25000 //
     /*  874800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874865 */     GIR_RootConstrainSelectedInstOperands,
     /*  874866 */     // GIR_Coverage, 25000,
     /*  874866 */     GIR_EraseRootFromParent_Done,
     /*  874867 */   // Label 13376: @874867
     /*  874867 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874939), // Rule ID 25001 //
     /*  874872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874937 */     GIR_RootConstrainSelectedInstOperands,
     /*  874938 */     // GIR_Coverage, 25001,
     /*  874938 */     GIR_EraseRootFromParent_Done,
     /*  874939 */   // Label 13377: @874939
     /*  874939 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(875011), // Rule ID 25002 //
     /*  874944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875009 */     GIR_RootConstrainSelectedInstOperands,
     /*  875010 */     // GIR_Coverage, 25002,
     /*  875010 */     GIR_EraseRootFromParent_Done,
     /*  875011 */   // Label 13378: @875011
     /*  875011 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(875083), // Rule ID 25003 //
     /*  875016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875081 */     GIR_RootConstrainSelectedInstOperands,
     /*  875082 */     // GIR_Coverage, 25003,
     /*  875082 */     GIR_EraseRootFromParent_Done,
     /*  875083 */   // Label 13379: @875083
     /*  875083 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(875155), // Rule ID 25004 //
     /*  875088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  875137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875153 */     GIR_RootConstrainSelectedInstOperands,
     /*  875154 */     // GIR_Coverage, 25004,
     /*  875154 */     GIR_EraseRootFromParent_Done,
     /*  875155 */   // Label 13380: @875155
     /*  875155 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(875227), // Rule ID 25005 //
     /*  875160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875206 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  875209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875225 */     GIR_RootConstrainSelectedInstOperands,
     /*  875226 */     // GIR_Coverage, 25005,
     /*  875226 */     GIR_EraseRootFromParent_Done,
     /*  875227 */   // Label 13381: @875227
     /*  875227 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(875299), // Rule ID 25006 //
     /*  875232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875278 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  875281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875297 */     GIR_RootConstrainSelectedInstOperands,
     /*  875298 */     // GIR_Coverage, 25006,
     /*  875298 */     GIR_EraseRootFromParent_Done,
     /*  875299 */   // Label 13382: @875299
     /*  875299 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(875371), // Rule ID 25007 //
     /*  875304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  875353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875369 */     GIR_RootConstrainSelectedInstOperands,
     /*  875370 */     // GIR_Coverage, 25007,
     /*  875370 */     GIR_EraseRootFromParent_Done,
     /*  875371 */   // Label 13383: @875371
     /*  875371 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(875443), // Rule ID 25008 //
     /*  875376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875441 */     GIR_RootConstrainSelectedInstOperands,
     /*  875442 */     // GIR_Coverage, 25008,
     /*  875442 */     GIR_EraseRootFromParent_Done,
     /*  875443 */   // Label 13384: @875443
     /*  875443 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(875515), // Rule ID 25009 //
     /*  875448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875513 */     GIR_RootConstrainSelectedInstOperands,
     /*  875514 */     // GIR_Coverage, 25009,
     /*  875514 */     GIR_EraseRootFromParent_Done,
     /*  875515 */   // Label 13385: @875515
     /*  875515 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(875587), // Rule ID 25010 //
     /*  875520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875566 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875585 */     GIR_RootConstrainSelectedInstOperands,
     /*  875586 */     // GIR_Coverage, 25010,
     /*  875586 */     GIR_EraseRootFromParent_Done,
     /*  875587 */   // Label 13386: @875587
     /*  875587 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(875659), // Rule ID 25011 //
     /*  875592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875638 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875657 */     GIR_RootConstrainSelectedInstOperands,
     /*  875658 */     // GIR_Coverage, 25011,
     /*  875658 */     GIR_EraseRootFromParent_Done,
     /*  875659 */   // Label 13387: @875659
     /*  875659 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875731), // Rule ID 25012 //
     /*  875664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875710 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875729 */     GIR_RootConstrainSelectedInstOperands,
     /*  875730 */     // GIR_Coverage, 25012,
     /*  875730 */     GIR_EraseRootFromParent_Done,
     /*  875731 */   // Label 13388: @875731
     /*  875731 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875803), // Rule ID 25013 //
     /*  875736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875782 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875801 */     GIR_RootConstrainSelectedInstOperands,
     /*  875802 */     // GIR_Coverage, 25013,
     /*  875802 */     GIR_EraseRootFromParent_Done,
     /*  875803 */   // Label 13389: @875803
     /*  875803 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875875), // Rule ID 25014 //
     /*  875808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  875811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875854 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875873 */     GIR_RootConstrainSelectedInstOperands,
     /*  875874 */     // GIR_Coverage, 25014,
     /*  875874 */     GIR_EraseRootFromParent_Done,
     /*  875875 */   // Label 13390: @875875
     /*  875875 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875947), // Rule ID 25015 //
     /*  875880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  875883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875926 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875945 */     GIR_RootConstrainSelectedInstOperands,
     /*  875946 */     // GIR_Coverage, 25015,
     /*  875946 */     GIR_EraseRootFromParent_Done,
     /*  875947 */   // Label 13391: @875947
     /*  875947 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(876019), // Rule ID 25016 //
     /*  875952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875998 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  876001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876017 */     GIR_RootConstrainSelectedInstOperands,
     /*  876018 */     // GIR_Coverage, 25016,
     /*  876018 */     GIR_EraseRootFromParent_Done,
     /*  876019 */   // Label 13392: @876019
     /*  876019 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(876091), // Rule ID 25017 //
     /*  876024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  876027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  876035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  876038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  876041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876070 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  876073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876089 */     GIR_RootConstrainSelectedInstOperands,
     /*  876090 */     // GIR_Coverage, 25017,
     /*  876090 */     GIR_EraseRootFromParent_Done,
     /*  876091 */   // Label 13393: @876091
     /*  876091 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(876163), // Rule ID 25018 //
     /*  876096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  876099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876142 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  876145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876161 */     GIR_RootConstrainSelectedInstOperands,
     /*  876162 */     // GIR_Coverage, 25018,
     /*  876162 */     GIR_EraseRootFromParent_Done,
     /*  876163 */   // Label 13394: @876163
     /*  876163 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(876235), // Rule ID 25019 //
     /*  876168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  876171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  876217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876233 */     GIR_RootConstrainSelectedInstOperands,
     /*  876234 */     // GIR_Coverage, 25019,
     /*  876234 */     GIR_EraseRootFromParent_Done,
     /*  876235 */   // Label 13395: @876235
     /*  876235 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(876307), // Rule ID 25020 //
     /*  876240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  876243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  876260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876286 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  876289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876305 */     GIR_RootConstrainSelectedInstOperands,
     /*  876306 */     // GIR_Coverage, 25020,
     /*  876306 */     GIR_EraseRootFromParent_Done,
     /*  876307 */   // Label 13396: @876307
     /*  876307 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(876379), // Rule ID 25021 //
     /*  876312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  876315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  876332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876358 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  876361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876377 */     GIR_RootConstrainSelectedInstOperands,
     /*  876378 */     // GIR_Coverage, 25021,
     /*  876378 */     GIR_EraseRootFromParent_Done,
     /*  876379 */   // Label 13397: @876379
     /*  876379 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(876451), // Rule ID 25022 //
     /*  876384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876430 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  876433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876449 */     GIR_RootConstrainSelectedInstOperands,
     /*  876450 */     // GIR_Coverage, 25022,
     /*  876450 */     GIR_EraseRootFromParent_Done,
     /*  876451 */   // Label 13398: @876451
     /*  876451 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(876523), // Rule ID 25023 //
     /*  876456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876502 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  876505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876521 */     GIR_RootConstrainSelectedInstOperands,
     /*  876522 */     // GIR_Coverage, 25023,
     /*  876522 */     GIR_EraseRootFromParent_Done,
     /*  876523 */   // Label 13399: @876523
     /*  876523 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(876595), // Rule ID 25024 //
     /*  876528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876593 */     GIR_RootConstrainSelectedInstOperands,
     /*  876594 */     // GIR_Coverage, 25024,
     /*  876594 */     GIR_EraseRootFromParent_Done,
     /*  876595 */   // Label 13400: @876595
     /*  876595 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(876667), // Rule ID 25025 //
     /*  876600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876646 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876665 */     GIR_RootConstrainSelectedInstOperands,
     /*  876666 */     // GIR_Coverage, 25025,
     /*  876666 */     GIR_EraseRootFromParent_Done,
     /*  876667 */   // Label 13401: @876667
     /*  876667 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876739), // Rule ID 25026 //
     /*  876672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876718 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876737 */     GIR_RootConstrainSelectedInstOperands,
     /*  876738 */     // GIR_Coverage, 25026,
     /*  876738 */     GIR_EraseRootFromParent_Done,
     /*  876739 */   // Label 13402: @876739
     /*  876739 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876811), // Rule ID 25027 //
     /*  876744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876790 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876809 */     GIR_RootConstrainSelectedInstOperands,
     /*  876810 */     // GIR_Coverage, 25027,
     /*  876810 */     GIR_EraseRootFromParent_Done,
     /*  876811 */   // Label 13403: @876811
     /*  876811 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876883), // Rule ID 25028 //
     /*  876816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876862 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876881 */     GIR_RootConstrainSelectedInstOperands,
     /*  876882 */     // GIR_Coverage, 25028,
     /*  876882 */     GIR_EraseRootFromParent_Done,
     /*  876883 */   // Label 13404: @876883
     /*  876883 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876955), // Rule ID 25029 //
     /*  876888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876934 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876953 */     GIR_RootConstrainSelectedInstOperands,
     /*  876954 */     // GIR_Coverage, 25029,
     /*  876954 */     GIR_EraseRootFromParent_Done,
     /*  876955 */   // Label 13405: @876955
     /*  876955 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(877027), // Rule ID 25030 //
     /*  876960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877006 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877025 */     GIR_RootConstrainSelectedInstOperands,
     /*  877026 */     // GIR_Coverage, 25030,
     /*  877026 */     GIR_EraseRootFromParent_Done,
     /*  877027 */   // Label 13406: @877027
     /*  877027 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(877099), // Rule ID 25031 //
     /*  877032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877078 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877097 */     GIR_RootConstrainSelectedInstOperands,
     /*  877098 */     // GIR_Coverage, 25031,
     /*  877098 */     GIR_EraseRootFromParent_Done,
     /*  877099 */   // Label 13407: @877099
     /*  877099 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(877171), // Rule ID 25032 //
     /*  877104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877150 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877169 */     GIR_RootConstrainSelectedInstOperands,
     /*  877170 */     // GIR_Coverage, 25032,
     /*  877170 */     GIR_EraseRootFromParent_Done,
     /*  877171 */   // Label 13408: @877171
     /*  877171 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(877243), // Rule ID 25033 //
     /*  877176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877222 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877241 */     GIR_RootConstrainSelectedInstOperands,
     /*  877242 */     // GIR_Coverage, 25033,
     /*  877242 */     GIR_EraseRootFromParent_Done,
     /*  877243 */   // Label 13409: @877243
     /*  877243 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(877315), // Rule ID 25034 //
     /*  877248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877294 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  877297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877313 */     GIR_RootConstrainSelectedInstOperands,
     /*  877314 */     // GIR_Coverage, 25034,
     /*  877314 */     GIR_EraseRootFromParent_Done,
     /*  877315 */   // Label 13410: @877315
     /*  877315 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(877387), // Rule ID 25035 //
     /*  877320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877366 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  877369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877385 */     GIR_RootConstrainSelectedInstOperands,
     /*  877386 */     // GIR_Coverage, 25035,
     /*  877386 */     GIR_EraseRootFromParent_Done,
     /*  877387 */   // Label 13411: @877387
     /*  877387 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(877459), // Rule ID 25036 //
     /*  877392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877438 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877457 */     GIR_RootConstrainSelectedInstOperands,
     /*  877458 */     // GIR_Coverage, 25036,
     /*  877458 */     GIR_EraseRootFromParent_Done,
     /*  877459 */   // Label 13412: @877459
     /*  877459 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(877531), // Rule ID 25037 //
     /*  877464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877510 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877529 */     GIR_RootConstrainSelectedInstOperands,
     /*  877530 */     // GIR_Coverage, 25037,
     /*  877530 */     GIR_EraseRootFromParent_Done,
     /*  877531 */   // Label 13413: @877531
     /*  877531 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(877603), // Rule ID 25038 //
     /*  877536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877582 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877601 */     GIR_RootConstrainSelectedInstOperands,
     /*  877602 */     // GIR_Coverage, 25038,
     /*  877602 */     GIR_EraseRootFromParent_Done,
     /*  877603 */   // Label 13414: @877603
     /*  877603 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877675), // Rule ID 25039 //
     /*  877608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877654 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877673 */     GIR_RootConstrainSelectedInstOperands,
     /*  877674 */     // GIR_Coverage, 25039,
     /*  877674 */     GIR_EraseRootFromParent_Done,
     /*  877675 */   // Label 13415: @877675
     /*  877675 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877750), // Rule ID 60486 //
     /*  877680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  877683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  877726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877748 */     GIR_RootConstrainSelectedInstOperands,
     /*  877749 */     // GIR_Coverage, 60486,
     /*  877749 */     GIR_EraseRootFromParent_Done,
     /*  877750 */   // Label 13416: @877750
     /*  877750 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877825), // Rule ID 60487 //
     /*  877755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  877758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  877801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877823 */     GIR_RootConstrainSelectedInstOperands,
     /*  877824 */     // GIR_Coverage, 60487,
     /*  877824 */     GIR_EraseRootFromParent_Done,
     /*  877825 */   // Label 13417: @877825
     /*  877825 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877900), // Rule ID 60844 //
     /*  877830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877898 */     GIR_RootConstrainSelectedInstOperands,
     /*  877899 */     // GIR_Coverage, 60844,
     /*  877899 */     GIR_EraseRootFromParent_Done,
     /*  877900 */   // Label 13418: @877900
     /*  877900 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877975), // Rule ID 60845 //
     /*  877905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877951 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877973 */     GIR_RootConstrainSelectedInstOperands,
     /*  877974 */     // GIR_Coverage, 60845,
     /*  877974 */     GIR_EraseRootFromParent_Done,
     /*  877975 */   // Label 13419: @877975
     /*  877975 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(878050), // Rule ID 60848 //
     /*  877980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  878000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878048 */     GIR_RootConstrainSelectedInstOperands,
     /*  878049 */     // GIR_Coverage, 60848,
     /*  878049 */     GIR_EraseRootFromParent_Done,
     /*  878050 */   // Label 13420: @878050
     /*  878050 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(878125), // Rule ID 60849 //
     /*  878055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  878066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  878069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  878075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878101 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878123 */     GIR_RootConstrainSelectedInstOperands,
     /*  878124 */     // GIR_Coverage, 60849,
     /*  878124 */     GIR_EraseRootFromParent_Done,
     /*  878125 */   // Label 13421: @878125
     /*  878125 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(878200), // Rule ID 60852 //
     /*  878130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878198 */     GIR_RootConstrainSelectedInstOperands,
     /*  878199 */     // GIR_Coverage, 60852,
     /*  878199 */     GIR_EraseRootFromParent_Done,
     /*  878200 */   // Label 13422: @878200
     /*  878200 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(878275), // Rule ID 60853 //
     /*  878205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878273 */     GIR_RootConstrainSelectedInstOperands,
     /*  878274 */     // GIR_Coverage, 60853,
     /*  878274 */     GIR_EraseRootFromParent_Done,
     /*  878275 */   // Label 13423: @878275
     /*  878275 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(878350), // Rule ID 60856 //
     /*  878280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  878300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878348 */     GIR_RootConstrainSelectedInstOperands,
     /*  878349 */     // GIR_Coverage, 60856,
     /*  878349 */     GIR_EraseRootFromParent_Done,
     /*  878350 */   // Label 13424: @878350
     /*  878350 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(878425), // Rule ID 60857 //
     /*  878355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  878375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878423 */     GIR_RootConstrainSelectedInstOperands,
     /*  878424 */     // GIR_Coverage, 60857,
     /*  878424 */     GIR_EraseRootFromParent_Done,
     /*  878425 */   // Label 13425: @878425
     /*  878425 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(878500), // Rule ID 60860 //
     /*  878430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878476 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878498 */     GIR_RootConstrainSelectedInstOperands,
     /*  878499 */     // GIR_Coverage, 60860,
     /*  878499 */     GIR_EraseRootFromParent_Done,
     /*  878500 */   // Label 13426: @878500
     /*  878500 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(878575), // Rule ID 60861 //
     /*  878505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878573 */     GIR_RootConstrainSelectedInstOperands,
     /*  878574 */     // GIR_Coverage, 60861,
     /*  878574 */     GIR_EraseRootFromParent_Done,
     /*  878575 */   // Label 13427: @878575
     /*  878575 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878650), // Rule ID 60864 //
     /*  878580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878648 */     GIR_RootConstrainSelectedInstOperands,
     /*  878649 */     // GIR_Coverage, 60864,
     /*  878649 */     GIR_EraseRootFromParent_Done,
     /*  878650 */   // Label 13428: @878650
     /*  878650 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878725), // Rule ID 60865 //
     /*  878655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878723 */     GIR_RootConstrainSelectedInstOperands,
     /*  878724 */     // GIR_Coverage, 60865,
     /*  878724 */     GIR_EraseRootFromParent_Done,
     /*  878725 */   // Label 13429: @878725
     /*  878725 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878800), // Rule ID 60868 //
     /*  878730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878798 */     GIR_RootConstrainSelectedInstOperands,
     /*  878799 */     // GIR_Coverage, 60868,
     /*  878799 */     GIR_EraseRootFromParent_Done,
     /*  878800 */   // Label 13430: @878800
     /*  878800 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878875), // Rule ID 60869 //
     /*  878805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878873 */     GIR_RootConstrainSelectedInstOperands,
     /*  878874 */     // GIR_Coverage, 60869,
     /*  878874 */     GIR_EraseRootFromParent_Done,
     /*  878875 */   // Label 13431: @878875
     /*  878875 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878950), // Rule ID 60872 //
     /*  878880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878948 */     GIR_RootConstrainSelectedInstOperands,
     /*  878949 */     // GIR_Coverage, 60872,
     /*  878949 */     GIR_EraseRootFromParent_Done,
     /*  878950 */   // Label 13432: @878950
     /*  878950 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(879025), // Rule ID 60873 //
     /*  878955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879023 */     GIR_RootConstrainSelectedInstOperands,
     /*  879024 */     // GIR_Coverage, 60873,
     /*  879024 */     GIR_EraseRootFromParent_Done,
     /*  879025 */   // Label 13433: @879025
     /*  879025 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(879100), // Rule ID 60876 //
     /*  879030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879098 */     GIR_RootConstrainSelectedInstOperands,
     /*  879099 */     // GIR_Coverage, 60876,
     /*  879099 */     GIR_EraseRootFromParent_Done,
     /*  879100 */   // Label 13434: @879100
     /*  879100 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(879175), // Rule ID 60877 //
     /*  879105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879173 */     GIR_RootConstrainSelectedInstOperands,
     /*  879174 */     // GIR_Coverage, 60877,
     /*  879174 */     GIR_EraseRootFromParent_Done,
     /*  879175 */   // Label 13435: @879175
     /*  879175 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(879250), // Rule ID 60880 //
     /*  879180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  879200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879248 */     GIR_RootConstrainSelectedInstOperands,
     /*  879249 */     // GIR_Coverage, 60880,
     /*  879249 */     GIR_EraseRootFromParent_Done,
     /*  879250 */   // Label 13436: @879250
     /*  879250 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(879325), // Rule ID 60881 //
     /*  879255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  879275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879323 */     GIR_RootConstrainSelectedInstOperands,
     /*  879324 */     // GIR_Coverage, 60881,
     /*  879324 */     GIR_EraseRootFromParent_Done,
     /*  879325 */   // Label 13437: @879325
     /*  879325 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(879400), // Rule ID 60884 //
     /*  879330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  879350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879398 */     GIR_RootConstrainSelectedInstOperands,
     /*  879399 */     // GIR_Coverage, 60884,
     /*  879399 */     GIR_EraseRootFromParent_Done,
     /*  879400 */   // Label 13438: @879400
     /*  879400 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(879475), // Rule ID 60885 //
     /*  879405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  879425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879473 */     GIR_RootConstrainSelectedInstOperands,
     /*  879474 */     // GIR_Coverage, 60885,
     /*  879474 */     GIR_EraseRootFromParent_Done,
     /*  879475 */   // Label 13439: @879475
     /*  879475 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(879550), // Rule ID 60888 //
     /*  879480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879548 */     GIR_RootConstrainSelectedInstOperands,
     /*  879549 */     // GIR_Coverage, 60888,
     /*  879549 */     GIR_EraseRootFromParent_Done,
     /*  879550 */   // Label 13440: @879550
     /*  879550 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(879625), // Rule ID 60889 //
     /*  879555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879623 */     GIR_RootConstrainSelectedInstOperands,
     /*  879624 */     // GIR_Coverage, 60889,
     /*  879624 */     GIR_EraseRootFromParent_Done,
     /*  879625 */   // Label 13441: @879625
     /*  879625 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879700), // Rule ID 60892 //
     /*  879630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879698 */     GIR_RootConstrainSelectedInstOperands,
     /*  879699 */     // GIR_Coverage, 60892,
     /*  879699 */     GIR_EraseRootFromParent_Done,
     /*  879700 */   // Label 13442: @879700
     /*  879700 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879775), // Rule ID 60893 //
     /*  879705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879751 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879773 */     GIR_RootConstrainSelectedInstOperands,
     /*  879774 */     // GIR_Coverage, 60893,
     /*  879774 */     GIR_EraseRootFromParent_Done,
     /*  879775 */   // Label 13443: @879775
     /*  879775 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879850), // Rule ID 60896 //
     /*  879780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879848 */     GIR_RootConstrainSelectedInstOperands,
     /*  879849 */     // GIR_Coverage, 60896,
     /*  879849 */     GIR_EraseRootFromParent_Done,
     /*  879850 */   // Label 13444: @879850
     /*  879850 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879925), // Rule ID 60897 //
     /*  879855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879901 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879923 */     GIR_RootConstrainSelectedInstOperands,
     /*  879924 */     // GIR_Coverage, 60897,
     /*  879924 */     GIR_EraseRootFromParent_Done,
     /*  879925 */   // Label 13445: @879925
     /*  879925 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(880000), // Rule ID 60900 //
     /*  879930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  879950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879998 */     GIR_RootConstrainSelectedInstOperands,
     /*  879999 */     // GIR_Coverage, 60900,
     /*  879999 */     GIR_EraseRootFromParent_Done,
     /*  880000 */   // Label 13446: @880000
     /*  880000 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(880075), // Rule ID 60901 //
     /*  880005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  880025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880051 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  880054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880073 */     GIR_RootConstrainSelectedInstOperands,
     /*  880074 */     // GIR_Coverage, 60901,
     /*  880074 */     GIR_EraseRootFromParent_Done,
     /*  880075 */   // Label 13447: @880075
     /*  880075 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(880150), // Rule ID 60904 //
     /*  880080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  880097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  880129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880148 */     GIR_RootConstrainSelectedInstOperands,
     /*  880149 */     // GIR_Coverage, 60904,
     /*  880149 */     GIR_EraseRootFromParent_Done,
     /*  880150 */   // Label 13448: @880150
     /*  880150 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(880225), // Rule ID 60905 //
     /*  880155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  880172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  880204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880223 */     GIR_RootConstrainSelectedInstOperands,
     /*  880224 */     // GIR_Coverage, 60905,
     /*  880224 */     GIR_EraseRootFromParent_Done,
     /*  880225 */   // Label 13449: @880225
     /*  880225 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(880300), // Rule ID 60912 //
     /*  880230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  880247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880298 */     GIR_RootConstrainSelectedInstOperands,
     /*  880299 */     // GIR_Coverage, 60912,
     /*  880299 */     GIR_EraseRootFromParent_Done,
     /*  880300 */   // Label 13450: @880300
     /*  880300 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(880375), // Rule ID 60913 //
     /*  880305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  880322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880373 */     GIR_RootConstrainSelectedInstOperands,
     /*  880374 */     // GIR_Coverage, 60913,
     /*  880374 */     GIR_EraseRootFromParent_Done,
     /*  880375 */   // Label 13451: @880375
     /*  880375 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(880450), // Rule ID 60920 //
     /*  880380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  880397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880426 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880448 */     GIR_RootConstrainSelectedInstOperands,
     /*  880449 */     // GIR_Coverage, 60920,
     /*  880449 */     GIR_EraseRootFromParent_Done,
     /*  880450 */   // Label 13452: @880450
     /*  880450 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(880525), // Rule ID 60921 //
     /*  880455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  880472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880523 */     GIR_RootConstrainSelectedInstOperands,
     /*  880524 */     // GIR_Coverage, 60921,
     /*  880524 */     GIR_EraseRootFromParent_Done,
     /*  880525 */   // Label 13453: @880525
     /*  880525 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(880600), // Rule ID 60928 //
     /*  880530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880598 */     GIR_RootConstrainSelectedInstOperands,
     /*  880599 */     // GIR_Coverage, 60928,
     /*  880599 */     GIR_EraseRootFromParent_Done,
     /*  880600 */   // Label 13454: @880600
     /*  880600 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(880675), // Rule ID 60929 //
     /*  880605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880673 */     GIR_RootConstrainSelectedInstOperands,
     /*  880674 */     // GIR_Coverage, 60929,
     /*  880674 */     GIR_EraseRootFromParent_Done,
     /*  880675 */   // Label 13455: @880675
     /*  880675 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880750), // Rule ID 60936 //
     /*  880680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880748 */     GIR_RootConstrainSelectedInstOperands,
     /*  880749 */     // GIR_Coverage, 60936,
     /*  880749 */     GIR_EraseRootFromParent_Done,
     /*  880750 */   // Label 13456: @880750
     /*  880750 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880825), // Rule ID 60937 //
     /*  880755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880801 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880823 */     GIR_RootConstrainSelectedInstOperands,
     /*  880824 */     // GIR_Coverage, 60937,
     /*  880824 */     GIR_EraseRootFromParent_Done,
     /*  880825 */   // Label 13457: @880825
     /*  880825 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880900), // Rule ID 60944 //
     /*  880830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880898 */     GIR_RootConstrainSelectedInstOperands,
     /*  880899 */     // GIR_Coverage, 60944,
     /*  880899 */     GIR_EraseRootFromParent_Done,
     /*  880900 */   // Label 13458: @880900
     /*  880900 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880975), // Rule ID 60945 //
     /*  880905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880951 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880973 */     GIR_RootConstrainSelectedInstOperands,
     /*  880974 */     // GIR_Coverage, 60945,
     /*  880974 */     GIR_EraseRootFromParent_Done,
     /*  880975 */   // Label 13459: @880975
     /*  880975 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(881050), // Rule ID 60952 //
     /*  880980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  881029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881048 */     GIR_RootConstrainSelectedInstOperands,
     /*  881049 */     // GIR_Coverage, 60952,
     /*  881049 */     GIR_EraseRootFromParent_Done,
     /*  881050 */   // Label 13460: @881050
     /*  881050 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(881125), // Rule ID 60953 //
     /*  881055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  881066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  881069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  881104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881123 */     GIR_RootConstrainSelectedInstOperands,
     /*  881124 */     // GIR_Coverage, 60953,
     /*  881124 */     GIR_EraseRootFromParent_Done,
     /*  881125 */   // Label 13461: @881125
     /*  881125 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(881200), // Rule ID 60960 //
     /*  881130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  881141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  881144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881198 */     GIR_RootConstrainSelectedInstOperands,
     /*  881199 */     // GIR_Coverage, 60960,
     /*  881199 */     GIR_EraseRootFromParent_Done,
     /*  881200 */   // Label 13462: @881200
     /*  881200 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(881275), // Rule ID 60961 //
     /*  881205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  881216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  881219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881273 */     GIR_RootConstrainSelectedInstOperands,
     /*  881274 */     // GIR_Coverage, 60961,
     /*  881274 */     GIR_EraseRootFromParent_Done,
     /*  881275 */   // Label 13463: @881275
     /*  881275 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(881350), // Rule ID 60968 //
     /*  881280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  881291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  881294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881348 */     GIR_RootConstrainSelectedInstOperands,
     /*  881349 */     // GIR_Coverage, 60968,
     /*  881349 */     GIR_EraseRootFromParent_Done,
     /*  881350 */   // Label 13464: @881350
     /*  881350 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(881425), // Rule ID 60969 //
     /*  881355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  881366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  881369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881423 */     GIR_RootConstrainSelectedInstOperands,
     /*  881424 */     // GIR_Coverage, 60969,
     /*  881424 */     GIR_EraseRootFromParent_Done,
     /*  881425 */   // Label 13465: @881425
     /*  881425 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(881500), // Rule ID 60976 //
     /*  881430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881498 */     GIR_RootConstrainSelectedInstOperands,
     /*  881499 */     // GIR_Coverage, 60976,
     /*  881499 */     GIR_EraseRootFromParent_Done,
     /*  881500 */   // Label 13466: @881500
     /*  881500 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(881575), // Rule ID 60977 //
     /*  881505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881573 */     GIR_RootConstrainSelectedInstOperands,
     /*  881574 */     // GIR_Coverage, 60977,
     /*  881574 */     GIR_EraseRootFromParent_Done,
     /*  881575 */   // Label 13467: @881575
     /*  881575 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(881650), // Rule ID 60984 //
     /*  881580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881648 */     GIR_RootConstrainSelectedInstOperands,
     /*  881649 */     // GIR_Coverage, 60984,
     /*  881649 */     GIR_EraseRootFromParent_Done,
     /*  881650 */   // Label 13468: @881650
     /*  881650 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(881725), // Rule ID 60985 //
     /*  881655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881701 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881723 */     GIR_RootConstrainSelectedInstOperands,
     /*  881724 */     // GIR_Coverage, 60985,
     /*  881724 */     GIR_EraseRootFromParent_Done,
     /*  881725 */   // Label 13469: @881725
     /*  881725 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881800), // Rule ID 60992 //
     /*  881730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881798 */     GIR_RootConstrainSelectedInstOperands,
     /*  881799 */     // GIR_Coverage, 60992,
     /*  881799 */     GIR_EraseRootFromParent_Done,
     /*  881800 */   // Label 13470: @881800
     /*  881800 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881875), // Rule ID 60993 //
     /*  881805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881851 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881873 */     GIR_RootConstrainSelectedInstOperands,
     /*  881874 */     // GIR_Coverage, 60993,
     /*  881874 */     GIR_EraseRootFromParent_Done,
     /*  881875 */   // Label 13471: @881875
     /*  881875 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881950), // Rule ID 61000 //
     /*  881880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881948 */     GIR_RootConstrainSelectedInstOperands,
     /*  881949 */     // GIR_Coverage, 61000,
     /*  881949 */     GIR_EraseRootFromParent_Done,
     /*  881950 */   // Label 13472: @881950
     /*  881950 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(882025), // Rule ID 61001 //
     /*  881955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  882004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882023 */     GIR_RootConstrainSelectedInstOperands,
     /*  882024 */     // GIR_Coverage, 61001,
     /*  882024 */     GIR_EraseRootFromParent_Done,
     /*  882025 */   // Label 13473: @882025
     /*  882025 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(882100), // Rule ID 61008 //
     /*  882030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  882047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882098 */     GIR_RootConstrainSelectedInstOperands,
     /*  882099 */     // GIR_Coverage, 61008,
     /*  882099 */     GIR_EraseRootFromParent_Done,
     /*  882100 */   // Label 13474: @882100
     /*  882100 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(882175), // Rule ID 61009 //
     /*  882105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  882122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882173 */     GIR_RootConstrainSelectedInstOperands,
     /*  882174 */     // GIR_Coverage, 61009,
     /*  882174 */     GIR_EraseRootFromParent_Done,
     /*  882175 */   // Label 13475: @882175
     /*  882175 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(882250), // Rule ID 61016 //
     /*  882180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  882197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882248 */     GIR_RootConstrainSelectedInstOperands,
     /*  882249 */     // GIR_Coverage, 61016,
     /*  882249 */     GIR_EraseRootFromParent_Done,
     /*  882250 */   // Label 13476: @882250
     /*  882250 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(882325), // Rule ID 61017 //
     /*  882255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  882272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882323 */     GIR_RootConstrainSelectedInstOperands,
     /*  882324 */     // GIR_Coverage, 61017,
     /*  882324 */     GIR_EraseRootFromParent_Done,
     /*  882325 */   // Label 13477: @882325
     /*  882325 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(882400), // Rule ID 61024 //
     /*  882330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  882350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  882379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882398 */     GIR_RootConstrainSelectedInstOperands,
     /*  882399 */     // GIR_Coverage, 61024,
     /*  882399 */     GIR_EraseRootFromParent_Done,
     /*  882400 */   // Label 13478: @882400
     /*  882400 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(882475), // Rule ID 61025 //
     /*  882405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  882425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882451 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  882454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882473 */     GIR_RootConstrainSelectedInstOperands,
     /*  882474 */     // GIR_Coverage, 61025,
     /*  882474 */     GIR_EraseRootFromParent_Done,
     /*  882475 */   // Label 13479: @882475
     /*  882475 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(882550), // Rule ID 61028 //
     /*  882480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882548 */     GIR_RootConstrainSelectedInstOperands,
     /*  882549 */     // GIR_Coverage, 61028,
     /*  882549 */     GIR_EraseRootFromParent_Done,
     /*  882550 */   // Label 13480: @882550
     /*  882550 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(882625), // Rule ID 61029 //
     /*  882555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882623 */     GIR_RootConstrainSelectedInstOperands,
     /*  882624 */     // GIR_Coverage, 61029,
     /*  882624 */     GIR_EraseRootFromParent_Done,
     /*  882625 */   // Label 13481: @882625
     /*  882625 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(882700), // Rule ID 61032 //
     /*  882630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882698 */     GIR_RootConstrainSelectedInstOperands,
     /*  882699 */     // GIR_Coverage, 61032,
     /*  882699 */     GIR_EraseRootFromParent_Done,
     /*  882700 */   // Label 13482: @882700
     /*  882700 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882775), // Rule ID 61033 //
     /*  882705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882773 */     GIR_RootConstrainSelectedInstOperands,
     /*  882774 */     // GIR_Coverage, 61033,
     /*  882774 */     GIR_EraseRootFromParent_Done,
     /*  882775 */   // Label 13483: @882775
     /*  882775 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882850), // Rule ID 61036 //
     /*  882780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882848 */     GIR_RootConstrainSelectedInstOperands,
     /*  882849 */     // GIR_Coverage, 61036,
     /*  882849 */     GIR_EraseRootFromParent_Done,
     /*  882850 */   // Label 13484: @882850
     /*  882850 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882925), // Rule ID 61037 //
     /*  882855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882923 */     GIR_RootConstrainSelectedInstOperands,
     /*  882924 */     // GIR_Coverage, 61037,
     /*  882924 */     GIR_EraseRootFromParent_Done,
     /*  882925 */   // Label 13485: @882925
     /*  882925 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(883000), // Rule ID 61040 //
     /*  882930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  882979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882998 */     GIR_RootConstrainSelectedInstOperands,
     /*  882999 */     // GIR_Coverage, 61040,
     /*  882999 */     GIR_EraseRootFromParent_Done,
     /*  883000 */   // Label 13486: @883000
     /*  883000 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(883075), // Rule ID 61041 //
     /*  883005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  883054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883073 */     GIR_RootConstrainSelectedInstOperands,
     /*  883074 */     // GIR_Coverage, 61041,
     /*  883074 */     GIR_EraseRootFromParent_Done,
     /*  883075 */   // Label 13487: @883075
     /*  883075 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(883150), // Rule ID 61044 //
     /*  883080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  883129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883148 */     GIR_RootConstrainSelectedInstOperands,
     /*  883149 */     // GIR_Coverage, 61044,
     /*  883149 */     GIR_EraseRootFromParent_Done,
     /*  883150 */   // Label 13488: @883150
     /*  883150 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(883225), // Rule ID 61045 //
     /*  883155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  883204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883223 */     GIR_RootConstrainSelectedInstOperands,
     /*  883224 */     // GIR_Coverage, 61045,
     /*  883224 */     GIR_EraseRootFromParent_Done,
     /*  883225 */   // Label 13489: @883225
     /*  883225 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(883300), // Rule ID 61048 //
     /*  883230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  883279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883298 */     GIR_RootConstrainSelectedInstOperands,
     /*  883299 */     // GIR_Coverage, 61048,
     /*  883299 */     GIR_EraseRootFromParent_Done,
     /*  883300 */   // Label 13490: @883300
     /*  883300 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(883375), // Rule ID 61049 //
     /*  883305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  883354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883373 */     GIR_RootConstrainSelectedInstOperands,
     /*  883374 */     // GIR_Coverage, 61049,
     /*  883374 */     GIR_EraseRootFromParent_Done,
     /*  883375 */   // Label 13491: @883375
     /*  883375 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(883450), // Rule ID 61052 //
     /*  883380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  883429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883448 */     GIR_RootConstrainSelectedInstOperands,
     /*  883449 */     // GIR_Coverage, 61052,
     /*  883449 */     GIR_EraseRootFromParent_Done,
     /*  883450 */   // Label 13492: @883450
     /*  883450 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(883525), // Rule ID 61053 //
     /*  883455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883501 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  883504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883523 */     GIR_RootConstrainSelectedInstOperands,
     /*  883524 */     // GIR_Coverage, 61053,
     /*  883524 */     GIR_EraseRootFromParent_Done,
     /*  883525 */   // Label 13493: @883525
     /*  883525 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(883600), // Rule ID 61056 //
     /*  883530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883598 */     GIR_RootConstrainSelectedInstOperands,
     /*  883599 */     // GIR_Coverage, 61056,
     /*  883599 */     GIR_EraseRootFromParent_Done,
     /*  883600 */   // Label 13494: @883600
     /*  883600 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(883675), // Rule ID 61057 //
     /*  883605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883673 */     GIR_RootConstrainSelectedInstOperands,
     /*  883674 */     // GIR_Coverage, 61057,
     /*  883674 */     GIR_EraseRootFromParent_Done,
     /*  883675 */   // Label 13495: @883675
     /*  883675 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(883750), // Rule ID 61060 //
     /*  883680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883748 */     GIR_RootConstrainSelectedInstOperands,
     /*  883749 */     // GIR_Coverage, 61060,
     /*  883749 */     GIR_EraseRootFromParent_Done,
     /*  883750 */   // Label 13496: @883750
     /*  883750 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883825), // Rule ID 61061 //
     /*  883755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883823 */     GIR_RootConstrainSelectedInstOperands,
     /*  883824 */     // GIR_Coverage, 61061,
     /*  883824 */     GIR_EraseRootFromParent_Done,
     /*  883825 */   // Label 13497: @883825
     /*  883825 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883900), // Rule ID 61064 //
     /*  883830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883898 */     GIR_RootConstrainSelectedInstOperands,
     /*  883899 */     // GIR_Coverage, 61064,
     /*  883899 */     GIR_EraseRootFromParent_Done,
     /*  883900 */   // Label 13498: @883900
     /*  883900 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883975), // Rule ID 61065 //
     /*  883905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883973 */     GIR_RootConstrainSelectedInstOperands,
     /*  883974 */     // GIR_Coverage, 61065,
     /*  883974 */     GIR_EraseRootFromParent_Done,
     /*  883975 */   // Label 13499: @883975
     /*  883975 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(884050), // Rule ID 61068 //
     /*  883980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  884000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  884029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884048 */     GIR_RootConstrainSelectedInstOperands,
     /*  884049 */     // GIR_Coverage, 61068,
     /*  884049 */     GIR_EraseRootFromParent_Done,
     /*  884050 */   // Label 13500: @884050
     /*  884050 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(884125), // Rule ID 61069 //
     /*  884055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  884075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  884104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884123 */     GIR_RootConstrainSelectedInstOperands,
     /*  884124 */     // GIR_Coverage, 61069,
     /*  884124 */     GIR_EraseRootFromParent_Done,
     /*  884125 */   // Label 13501: @884125
     /*  884125 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(884200), // Rule ID 61072 //
     /*  884130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  884179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884198 */     GIR_RootConstrainSelectedInstOperands,
     /*  884199 */     // GIR_Coverage, 61072,
     /*  884199 */     GIR_EraseRootFromParent_Done,
     /*  884200 */   // Label 13502: @884200
     /*  884200 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(884275), // Rule ID 61073 //
     /*  884205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884251 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  884254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884273 */     GIR_RootConstrainSelectedInstOperands,
     /*  884274 */     // GIR_Coverage, 61073,
     /*  884274 */     GIR_EraseRootFromParent_Done,
     /*  884275 */   // Label 13503: @884275
     /*  884275 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(884350), // Rule ID 61076 //
     /*  884280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884326 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  884329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884348 */     GIR_RootConstrainSelectedInstOperands,
     /*  884349 */     // GIR_Coverage, 61076,
     /*  884349 */     GIR_EraseRootFromParent_Done,
     /*  884350 */   // Label 13504: @884350
     /*  884350 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(884425), // Rule ID 61077 //
     /*  884355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  884404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884423 */     GIR_RootConstrainSelectedInstOperands,
     /*  884424 */     // GIR_Coverage, 61077,
     /*  884424 */     GIR_EraseRootFromParent_Done,
     /*  884425 */   // Label 13505: @884425
     /*  884425 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(884500), // Rule ID 61080 //
     /*  884430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884498 */     GIR_RootConstrainSelectedInstOperands,
     /*  884499 */     // GIR_Coverage, 61080,
     /*  884499 */     GIR_EraseRootFromParent_Done,
     /*  884500 */   // Label 13506: @884500
     /*  884500 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(884575), // Rule ID 61081 //
     /*  884505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884573 */     GIR_RootConstrainSelectedInstOperands,
     /*  884574 */     // GIR_Coverage, 61081,
     /*  884574 */     GIR_EraseRootFromParent_Done,
     /*  884575 */   // Label 13507: @884575
     /*  884575 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(884650), // Rule ID 61084 //
     /*  884580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884648 */     GIR_RootConstrainSelectedInstOperands,
     /*  884649 */     // GIR_Coverage, 61084,
     /*  884649 */     GIR_EraseRootFromParent_Done,
     /*  884650 */   // Label 13508: @884650
     /*  884650 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(884725), // Rule ID 61085 //
     /*  884655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884723 */     GIR_RootConstrainSelectedInstOperands,
     /*  884724 */     // GIR_Coverage, 61085,
     /*  884724 */     GIR_EraseRootFromParent_Done,
     /*  884725 */   // Label 13509: @884725
     /*  884725 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884800), // Rule ID 61088 //
     /*  884730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884798 */     GIR_RootConstrainSelectedInstOperands,
     /*  884799 */     // GIR_Coverage, 61088,
     /*  884799 */     GIR_EraseRootFromParent_Done,
     /*  884800 */   // Label 13510: @884800
     /*  884800 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884875), // Rule ID 61089 //
     /*  884805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884873 */     GIR_RootConstrainSelectedInstOperands,
     /*  884874 */     // GIR_Coverage, 61089,
     /*  884874 */     GIR_EraseRootFromParent_Done,
     /*  884875 */   // Label 13511: @884875
     /*  884875 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884950), // Rule ID 61092 //
     /*  884880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884948 */     GIR_RootConstrainSelectedInstOperands,
     /*  884949 */     // GIR_Coverage, 61092,
     /*  884949 */     GIR_EraseRootFromParent_Done,
     /*  884950 */   // Label 13512: @884950
     /*  884950 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(885025), // Rule ID 61093 //
     /*  884955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885001 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885023 */     GIR_RootConstrainSelectedInstOperands,
     /*  885024 */     // GIR_Coverage, 61093,
     /*  885024 */     GIR_EraseRootFromParent_Done,
     /*  885025 */   // Label 13513: @885025
     /*  885025 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(885100), // Rule ID 61096 //
     /*  885030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885076 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885098 */     GIR_RootConstrainSelectedInstOperands,
     /*  885099 */     // GIR_Coverage, 61096,
     /*  885099 */     GIR_EraseRootFromParent_Done,
     /*  885100 */   // Label 13514: @885100
     /*  885100 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(885175), // Rule ID 61097 //
     /*  885105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885173 */     GIR_RootConstrainSelectedInstOperands,
     /*  885174 */     // GIR_Coverage, 61097,
     /*  885174 */     GIR_EraseRootFromParent_Done,
     /*  885175 */   // Label 13515: @885175
     /*  885175 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(885250), // Rule ID 61100 //
     /*  885180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885248 */     GIR_RootConstrainSelectedInstOperands,
     /*  885249 */     // GIR_Coverage, 61100,
     /*  885249 */     GIR_EraseRootFromParent_Done,
     /*  885250 */   // Label 13516: @885250
     /*  885250 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(885325), // Rule ID 61101 //
     /*  885255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885323 */     GIR_RootConstrainSelectedInstOperands,
     /*  885324 */     // GIR_Coverage, 61101,
     /*  885324 */     GIR_EraseRootFromParent_Done,
     /*  885325 */   // Label 13517: @885325
     /*  885325 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(885400), // Rule ID 61104 //
     /*  885330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  885350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885398 */     GIR_RootConstrainSelectedInstOperands,
     /*  885399 */     // GIR_Coverage, 61104,
     /*  885399 */     GIR_EraseRootFromParent_Done,
     /*  885400 */   // Label 13518: @885400
     /*  885400 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(885475), // Rule ID 61105 //
     /*  885405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  885425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885473 */     GIR_RootConstrainSelectedInstOperands,
     /*  885474 */     // GIR_Coverage, 61105,
     /*  885474 */     GIR_EraseRootFromParent_Done,
     /*  885475 */   // Label 13519: @885475
     /*  885475 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(885550), // Rule ID 61108 //
     /*  885480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885548 */     GIR_RootConstrainSelectedInstOperands,
     /*  885549 */     // GIR_Coverage, 61108,
     /*  885549 */     GIR_EraseRootFromParent_Done,
     /*  885550 */   // Label 13520: @885550
     /*  885550 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(885625), // Rule ID 61109 //
     /*  885555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885623 */     GIR_RootConstrainSelectedInstOperands,
     /*  885624 */     // GIR_Coverage, 61109,
     /*  885624 */     GIR_EraseRootFromParent_Done,
     /*  885625 */   // Label 13521: @885625
     /*  885625 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(885700), // Rule ID 61112 //
     /*  885630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885698 */     GIR_RootConstrainSelectedInstOperands,
     /*  885699 */     // GIR_Coverage, 61112,
     /*  885699 */     GIR_EraseRootFromParent_Done,
     /*  885700 */   // Label 13522: @885700
     /*  885700 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(885775), // Rule ID 61113 //
     /*  885705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885773 */     GIR_RootConstrainSelectedInstOperands,
     /*  885774 */     // GIR_Coverage, 61113,
     /*  885774 */     GIR_EraseRootFromParent_Done,
     /*  885775 */   // Label 13523: @885775
     /*  885775 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885850), // Rule ID 61116 //
     /*  885780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885826 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885848 */     GIR_RootConstrainSelectedInstOperands,
     /*  885849 */     // GIR_Coverage, 61116,
     /*  885849 */     GIR_EraseRootFromParent_Done,
     /*  885850 */   // Label 13524: @885850
     /*  885850 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885925), // Rule ID 61117 //
     /*  885855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885923 */     GIR_RootConstrainSelectedInstOperands,
     /*  885924 */     // GIR_Coverage, 61117,
     /*  885924 */     GIR_EraseRootFromParent_Done,
     /*  885925 */   // Label 13525: @885925
     /*  885925 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(886000), // Rule ID 61120 //
     /*  885930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  885947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  885950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885998 */     GIR_RootConstrainSelectedInstOperands,
     /*  885999 */     // GIR_Coverage, 61120,
     /*  885999 */     GIR_EraseRootFromParent_Done,
     /*  886000 */   // Label 13526: @886000
     /*  886000 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(886075), // Rule ID 61121 //
     /*  886005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  886016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  886019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  886025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886073 */     GIR_RootConstrainSelectedInstOperands,
     /*  886074 */     // GIR_Coverage, 61121,
     /*  886074 */     GIR_EraseRootFromParent_Done,
     /*  886075 */   // Label 13527: @886075
     /*  886075 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(886150), // Rule ID 61124 //
     /*  886080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886148 */     GIR_RootConstrainSelectedInstOperands,
     /*  886149 */     // GIR_Coverage, 61124,
     /*  886149 */     GIR_EraseRootFromParent_Done,
     /*  886150 */   // Label 13528: @886150
     /*  886150 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(886225), // Rule ID 61125 //
     /*  886155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886223 */     GIR_RootConstrainSelectedInstOperands,
     /*  886224 */     // GIR_Coverage, 61125,
     /*  886224 */     GIR_EraseRootFromParent_Done,
     /*  886225 */   // Label 13529: @886225
     /*  886225 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(886300), // Rule ID 61128 //
     /*  886230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886276 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886298 */     GIR_RootConstrainSelectedInstOperands,
     /*  886299 */     // GIR_Coverage, 61128,
     /*  886299 */     GIR_EraseRootFromParent_Done,
     /*  886300 */   // Label 13530: @886300
     /*  886300 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(886375), // Rule ID 61129 //
     /*  886305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886373 */     GIR_RootConstrainSelectedInstOperands,
     /*  886374 */     // GIR_Coverage, 61129,
     /*  886374 */     GIR_EraseRootFromParent_Done,
     /*  886375 */   // Label 13531: @886375
     /*  886375 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(886450), // Rule ID 61132 //
     /*  886380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886426 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886448 */     GIR_RootConstrainSelectedInstOperands,
     /*  886449 */     // GIR_Coverage, 61132,
     /*  886449 */     GIR_EraseRootFromParent_Done,
     /*  886450 */   // Label 13532: @886450
     /*  886450 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(886525), // Rule ID 61133 //
     /*  886455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886501 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886523 */     GIR_RootConstrainSelectedInstOperands,
     /*  886524 */     // GIR_Coverage, 61133,
     /*  886524 */     GIR_EraseRootFromParent_Done,
     /*  886525 */   // Label 13533: @886525
     /*  886525 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(886600), // Rule ID 61136 //
     /*  886530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886576 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886598 */     GIR_RootConstrainSelectedInstOperands,
     /*  886599 */     // GIR_Coverage, 61136,
     /*  886599 */     GIR_EraseRootFromParent_Done,
     /*  886600 */   // Label 13534: @886600
     /*  886600 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(886675), // Rule ID 61137 //
     /*  886605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886651 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886673 */     GIR_RootConstrainSelectedInstOperands,
     /*  886674 */     // GIR_Coverage, 61137,
     /*  886674 */     GIR_EraseRootFromParent_Done,
     /*  886675 */   // Label 13535: @886675
     /*  886675 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(886750), // Rule ID 61140 //
     /*  886680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886748 */     GIR_RootConstrainSelectedInstOperands,
     /*  886749 */     // GIR_Coverage, 61140,
     /*  886749 */     GIR_EraseRootFromParent_Done,
     /*  886750 */   // Label 13536: @886750
     /*  886750 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886825), // Rule ID 61141 //
     /*  886755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886823 */     GIR_RootConstrainSelectedInstOperands,
     /*  886824 */     // GIR_Coverage, 61141,
     /*  886824 */     GIR_EraseRootFromParent_Done,
     /*  886825 */   // Label 13537: @886825
     /*  886825 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886900), // Rule ID 61144 //
     /*  886830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886898 */     GIR_RootConstrainSelectedInstOperands,
     /*  886899 */     // GIR_Coverage, 61144,
     /*  886899 */     GIR_EraseRootFromParent_Done,
     /*  886900 */   // Label 13538: @886900
     /*  886900 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886975), // Rule ID 61145 //
     /*  886905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886973 */     GIR_RootConstrainSelectedInstOperands,
     /*  886974 */     // GIR_Coverage, 61145,
     /*  886974 */     GIR_EraseRootFromParent_Done,
     /*  886975 */   // Label 13539: @886975
     /*  886975 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(887050), // Rule ID 61148 //
     /*  886980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  886991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  886994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  886997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  887000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887048 */     GIR_RootConstrainSelectedInstOperands,
     /*  887049 */     // GIR_Coverage, 61148,
     /*  887049 */     GIR_EraseRootFromParent_Done,
     /*  887050 */   // Label 13540: @887050
     /*  887050 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(887125), // Rule ID 61149 //
     /*  887055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  887066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  887069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  887072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  887075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887101 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887123 */     GIR_RootConstrainSelectedInstOperands,
     /*  887124 */     // GIR_Coverage, 61149,
     /*  887124 */     GIR_EraseRootFromParent_Done,
     /*  887125 */   // Label 13541: @887125
     /*  887125 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(887200), // Rule ID 61152 //
     /*  887130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887198 */     GIR_RootConstrainSelectedInstOperands,
     /*  887199 */     // GIR_Coverage, 61152,
     /*  887199 */     GIR_EraseRootFromParent_Done,
     /*  887200 */   // Label 13542: @887200
     /*  887200 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(887275), // Rule ID 61153 //
     /*  887205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887273 */     GIR_RootConstrainSelectedInstOperands,
     /*  887274 */     // GIR_Coverage, 61153,
     /*  887274 */     GIR_EraseRootFromParent_Done,
     /*  887275 */   // Label 13543: @887275
     /*  887275 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(887350), // Rule ID 61156 //
     /*  887280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  887291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  887294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  887300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887348 */     GIR_RootConstrainSelectedInstOperands,
     /*  887349 */     // GIR_Coverage, 61156,
     /*  887349 */     GIR_EraseRootFromParent_Done,
     /*  887350 */   // Label 13544: @887350
     /*  887350 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(887425), // Rule ID 61157 //
     /*  887355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  887366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  887369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  887375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887423 */     GIR_RootConstrainSelectedInstOperands,
     /*  887424 */     // GIR_Coverage, 61157,
     /*  887424 */     GIR_EraseRootFromParent_Done,
     /*  887425 */   // Label 13545: @887425
     /*  887425 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(887500), // Rule ID 61160 //
     /*  887430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887498 */     GIR_RootConstrainSelectedInstOperands,
     /*  887499 */     // GIR_Coverage, 61160,
     /*  887499 */     GIR_EraseRootFromParent_Done,
     /*  887500 */   // Label 13546: @887500
     /*  887500 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(887575), // Rule ID 61161 //
     /*  887505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887573 */     GIR_RootConstrainSelectedInstOperands,
     /*  887574 */     // GIR_Coverage, 61161,
     /*  887574 */     GIR_EraseRootFromParent_Done,
     /*  887575 */   // Label 13547: @887575
     /*  887575 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(887650), // Rule ID 61164 //
     /*  887580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887648 */     GIR_RootConstrainSelectedInstOperands,
     /*  887649 */     // GIR_Coverage, 61164,
     /*  887649 */     GIR_EraseRootFromParent_Done,
     /*  887650 */   // Label 13548: @887650
     /*  887650 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(887725), // Rule ID 61165 //
     /*  887655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887723 */     GIR_RootConstrainSelectedInstOperands,
     /*  887724 */     // GIR_Coverage, 61165,
     /*  887724 */     GIR_EraseRootFromParent_Done,
     /*  887725 */   // Label 13549: @887725
     /*  887725 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887800), // Rule ID 61168 //
     /*  887730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887798 */     GIR_RootConstrainSelectedInstOperands,
     /*  887799 */     // GIR_Coverage, 61168,
     /*  887799 */     GIR_EraseRootFromParent_Done,
     /*  887800 */   // Label 13550: @887800
     /*  887800 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887875), // Rule ID 61169 //
     /*  887805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887873 */     GIR_RootConstrainSelectedInstOperands,
     /*  887874 */     // GIR_Coverage, 61169,
     /*  887874 */     GIR_EraseRootFromParent_Done,
     /*  887875 */   // Label 13551: @887875
     /*  887875 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887950), // Rule ID 61172 //
     /*  887880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887948 */     GIR_RootConstrainSelectedInstOperands,
     /*  887949 */     // GIR_Coverage, 61172,
     /*  887949 */     GIR_EraseRootFromParent_Done,
     /*  887950 */   // Label 13552: @887950
     /*  887950 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(888025), // Rule ID 61173 //
     /*  887955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  888004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888023 */     GIR_RootConstrainSelectedInstOperands,
     /*  888024 */     // GIR_Coverage, 61173,
     /*  888024 */     GIR_EraseRootFromParent_Done,
     /*  888025 */   // Label 13553: @888025
     /*  888025 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(888100), // Rule ID 61176 //
     /*  888030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  888079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888098 */     GIR_RootConstrainSelectedInstOperands,
     /*  888099 */     // GIR_Coverage, 61176,
     /*  888099 */     GIR_EraseRootFromParent_Done,
     /*  888100 */   // Label 13554: @888100
     /*  888100 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(888175), // Rule ID 61177 //
     /*  888105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  888154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888173 */     GIR_RootConstrainSelectedInstOperands,
     /*  888174 */     // GIR_Coverage, 61177,
     /*  888174 */     GIR_EraseRootFromParent_Done,
     /*  888175 */   // Label 13555: @888175
     /*  888175 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(888250), // Rule ID 61180 //
     /*  888180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888226 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888248 */     GIR_RootConstrainSelectedInstOperands,
     /*  888249 */     // GIR_Coverage, 61180,
     /*  888249 */     GIR_EraseRootFromParent_Done,
     /*  888250 */   // Label 13556: @888250
     /*  888250 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(888325), // Rule ID 61181 //
     /*  888255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888323 */     GIR_RootConstrainSelectedInstOperands,
     /*  888324 */     // GIR_Coverage, 61181,
     /*  888324 */     GIR_EraseRootFromParent_Done,
     /*  888325 */   // Label 13557: @888325
     /*  888325 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(888400), // Rule ID 61184 //
     /*  888330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  888341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  888344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  888347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888398 */     GIR_RootConstrainSelectedInstOperands,
     /*  888399 */     // GIR_Coverage, 61184,
     /*  888399 */     GIR_EraseRootFromParent_Done,
     /*  888400 */   // Label 13558: @888400
     /*  888400 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(888475), // Rule ID 61185 //
     /*  888405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  888416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  888419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  888422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888451 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888473 */     GIR_RootConstrainSelectedInstOperands,
     /*  888474 */     // GIR_Coverage, 61185,
     /*  888474 */     GIR_EraseRootFromParent_Done,
     /*  888475 */   // Label 13559: @888475
     /*  888475 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(888550), // Rule ID 61188 //
     /*  888480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888526 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888548 */     GIR_RootConstrainSelectedInstOperands,
     /*  888549 */     // GIR_Coverage, 61188,
     /*  888549 */     GIR_EraseRootFromParent_Done,
     /*  888550 */   // Label 13560: @888550
     /*  888550 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(888625), // Rule ID 61189 //
     /*  888555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888601 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888623 */     GIR_RootConstrainSelectedInstOperands,
     /*  888624 */     // GIR_Coverage, 61189,
     /*  888624 */     GIR_EraseRootFromParent_Done,
     /*  888625 */   // Label 13561: @888625
     /*  888625 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(888700), // Rule ID 61192 //
     /*  888630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888676 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888698 */     GIR_RootConstrainSelectedInstOperands,
     /*  888699 */     // GIR_Coverage, 61192,
     /*  888699 */     GIR_EraseRootFromParent_Done,
     /*  888700 */   // Label 13562: @888700
     /*  888700 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(888775), // Rule ID 61193 //
     /*  888705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888773 */     GIR_RootConstrainSelectedInstOperands,
     /*  888774 */     // GIR_Coverage, 61193,
     /*  888774 */     GIR_EraseRootFromParent_Done,
     /*  888775 */   // Label 13563: @888775
     /*  888775 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888850), // Rule ID 61196 //
     /*  888780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888848 */     GIR_RootConstrainSelectedInstOperands,
     /*  888849 */     // GIR_Coverage, 61196,
     /*  888849 */     GIR_EraseRootFromParent_Done,
     /*  888850 */   // Label 13564: @888850
     /*  888850 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888925), // Rule ID 61197 //
     /*  888855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888923 */     GIR_RootConstrainSelectedInstOperands,
     /*  888924 */     // GIR_Coverage, 61197,
     /*  888924 */     GIR_EraseRootFromParent_Done,
     /*  888925 */   // Label 13565: @888925
     /*  888925 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(889000), // Rule ID 61200 //
     /*  888930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  888941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  888944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  888947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888998 */     GIR_RootConstrainSelectedInstOperands,
     /*  888999 */     // GIR_Coverage, 61200,
     /*  888999 */     GIR_EraseRootFromParent_Done,
     /*  889000 */   // Label 13566: @889000
     /*  889000 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(889075), // Rule ID 61201 //
     /*  889005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889073 */     GIR_RootConstrainSelectedInstOperands,
     /*  889074 */     // GIR_Coverage, 61201,
     /*  889074 */     GIR_EraseRootFromParent_Done,
     /*  889075 */   // Label 13567: @889075
     /*  889075 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(889150), // Rule ID 61204 //
     /*  889080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889148 */     GIR_RootConstrainSelectedInstOperands,
     /*  889149 */     // GIR_Coverage, 61204,
     /*  889149 */     GIR_EraseRootFromParent_Done,
     /*  889150 */   // Label 13568: @889150
     /*  889150 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(889225), // Rule ID 61205 //
     /*  889155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889201 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889223 */     GIR_RootConstrainSelectedInstOperands,
     /*  889224 */     // GIR_Coverage, 61205,
     /*  889224 */     GIR_EraseRootFromParent_Done,
     /*  889225 */   // Label 13569: @889225
     /*  889225 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(889300), // Rule ID 61208 //
     /*  889230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889298 */     GIR_RootConstrainSelectedInstOperands,
     /*  889299 */     // GIR_Coverage, 61208,
     /*  889299 */     GIR_EraseRootFromParent_Done,
     /*  889300 */   // Label 13570: @889300
     /*  889300 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(889375), // Rule ID 61209 //
     /*  889305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889373 */     GIR_RootConstrainSelectedInstOperands,
     /*  889374 */     // GIR_Coverage, 61209,
     /*  889374 */     GIR_EraseRootFromParent_Done,
     /*  889375 */   // Label 13571: @889375
     /*  889375 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(889450), // Rule ID 61212 //
     /*  889380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889448 */     GIR_RootConstrainSelectedInstOperands,
     /*  889449 */     // GIR_Coverage, 61212,
     /*  889449 */     GIR_EraseRootFromParent_Done,
     /*  889450 */   // Label 13572: @889450
     /*  889450 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(889525), // Rule ID 61213 //
     /*  889455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889523 */     GIR_RootConstrainSelectedInstOperands,
     /*  889524 */     // GIR_Coverage, 61213,
     /*  889524 */     GIR_EraseRootFromParent_Done,
     /*  889525 */   // Label 13573: @889525
     /*  889525 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(889600), // Rule ID 61216 //
     /*  889530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889598 */     GIR_RootConstrainSelectedInstOperands,
     /*  889599 */     // GIR_Coverage, 61216,
     /*  889599 */     GIR_EraseRootFromParent_Done,
     /*  889600 */   // Label 13574: @889600
     /*  889600 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(889675), // Rule ID 61217 //
     /*  889605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889673 */     GIR_RootConstrainSelectedInstOperands,
     /*  889674 */     // GIR_Coverage, 61217,
     /*  889674 */     GIR_EraseRootFromParent_Done,
     /*  889675 */   // Label 13575: @889675
     /*  889675 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(889750), // Rule ID 61220 //
     /*  889680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889748 */     GIR_RootConstrainSelectedInstOperands,
     /*  889749 */     // GIR_Coverage, 61220,
     /*  889749 */     GIR_EraseRootFromParent_Done,
     /*  889750 */   // Label 13576: @889750
     /*  889750 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889825), // Rule ID 61221 //
     /*  889755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889823 */     GIR_RootConstrainSelectedInstOperands,
     /*  889824 */     // GIR_Coverage, 61221,
     /*  889824 */     GIR_EraseRootFromParent_Done,
     /*  889825 */   // Label 13577: @889825
     /*  889825 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889900), // Rule ID 61224 //
     /*  889830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889898 */     GIR_RootConstrainSelectedInstOperands,
     /*  889899 */     // GIR_Coverage, 61224,
     /*  889899 */     GIR_EraseRootFromParent_Done,
     /*  889900 */   // Label 13578: @889900
     /*  889900 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889975), // Rule ID 61225 //
     /*  889905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889951 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889973 */     GIR_RootConstrainSelectedInstOperands,
     /*  889974 */     // GIR_Coverage, 61225,
     /*  889974 */     GIR_EraseRootFromParent_Done,
     /*  889975 */   // Label 13579: @889975
     /*  889975 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(890050), // Rule ID 61228 //
     /*  889980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  889991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  889994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  889997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890048 */     GIR_RootConstrainSelectedInstOperands,
     /*  890049 */     // GIR_Coverage, 61228,
     /*  890049 */     GIR_EraseRootFromParent_Done,
     /*  890050 */   // Label 13580: @890050
     /*  890050 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(890125), // Rule ID 61229 //
     /*  890055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890123 */     GIR_RootConstrainSelectedInstOperands,
     /*  890124 */     // GIR_Coverage, 61229,
     /*  890124 */     GIR_EraseRootFromParent_Done,
     /*  890125 */   // Label 13581: @890125
     /*  890125 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(890200), // Rule ID 61232 //
     /*  890130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890198 */     GIR_RootConstrainSelectedInstOperands,
     /*  890199 */     // GIR_Coverage, 61232,
     /*  890199 */     GIR_EraseRootFromParent_Done,
     /*  890200 */   // Label 13582: @890200
     /*  890200 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(890275), // Rule ID 61233 //
     /*  890205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890273 */     GIR_RootConstrainSelectedInstOperands,
     /*  890274 */     // GIR_Coverage, 61233,
     /*  890274 */     GIR_EraseRootFromParent_Done,
     /*  890275 */   // Label 13583: @890275
     /*  890275 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(890350), // Rule ID 61236 //
     /*  890280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  890291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  890294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  890297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890348 */     GIR_RootConstrainSelectedInstOperands,
     /*  890349 */     // GIR_Coverage, 61236,
     /*  890349 */     GIR_EraseRootFromParent_Done,
     /*  890350 */   // Label 13584: @890350
     /*  890350 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(890425), // Rule ID 61237 //
     /*  890355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  890366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  890369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  890372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890423 */     GIR_RootConstrainSelectedInstOperands,
     /*  890424 */     // GIR_Coverage, 61237,
     /*  890424 */     GIR_EraseRootFromParent_Done,
     /*  890425 */   // Label 13585: @890425
     /*  890425 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(890500), // Rule ID 61240 //
     /*  890430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890498 */     GIR_RootConstrainSelectedInstOperands,
     /*  890499 */     // GIR_Coverage, 61240,
     /*  890499 */     GIR_EraseRootFromParent_Done,
     /*  890500 */   // Label 13586: @890500
     /*  890500 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(890575), // Rule ID 61241 //
     /*  890505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890573 */     GIR_RootConstrainSelectedInstOperands,
     /*  890574 */     // GIR_Coverage, 61241,
     /*  890574 */     GIR_EraseRootFromParent_Done,
     /*  890575 */   // Label 13587: @890575
     /*  890575 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(890650), // Rule ID 61244 //
     /*  890580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890626 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890648 */     GIR_RootConstrainSelectedInstOperands,
     /*  890649 */     // GIR_Coverage, 61244,
     /*  890649 */     GIR_EraseRootFromParent_Done,
     /*  890650 */   // Label 13588: @890650
     /*  890650 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(890725), // Rule ID 61245 //
     /*  890655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890723 */     GIR_RootConstrainSelectedInstOperands,
     /*  890724 */     // GIR_Coverage, 61245,
     /*  890724 */     GIR_EraseRootFromParent_Done,
     /*  890725 */   // Label 13589: @890725
     /*  890725 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890800), // Rule ID 61248 //
     /*  890730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890798 */     GIR_RootConstrainSelectedInstOperands,
     /*  890799 */     // GIR_Coverage, 61248,
     /*  890799 */     GIR_EraseRootFromParent_Done,
     /*  890800 */   // Label 13590: @890800
     /*  890800 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890875), // Rule ID 61249 //
     /*  890805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890873 */     GIR_RootConstrainSelectedInstOperands,
     /*  890874 */     // GIR_Coverage, 61249,
     /*  890874 */     GIR_EraseRootFromParent_Done,
     /*  890875 */   // Label 13591: @890875
     /*  890875 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890950), // Rule ID 61252 //
     /*  890880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890948 */     GIR_RootConstrainSelectedInstOperands,
     /*  890949 */     // GIR_Coverage, 61252,
     /*  890949 */     GIR_EraseRootFromParent_Done,
     /*  890950 */   // Label 13592: @890950
     /*  890950 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(891025), // Rule ID 61253 //
     /*  890955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  891004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891023 */     GIR_RootConstrainSelectedInstOperands,
     /*  891024 */     // GIR_Coverage, 61253,
     /*  891024 */     GIR_EraseRootFromParent_Done,
     /*  891025 */   // Label 13593: @891025
     /*  891025 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(891100), // Rule ID 61256 //
     /*  891030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891098 */     GIR_RootConstrainSelectedInstOperands,
     /*  891099 */     // GIR_Coverage, 61256,
     /*  891099 */     GIR_EraseRootFromParent_Done,
     /*  891100 */   // Label 13594: @891100
     /*  891100 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(891175), // Rule ID 61257 //
     /*  891105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891173 */     GIR_RootConstrainSelectedInstOperands,
     /*  891174 */     // GIR_Coverage, 61257,
     /*  891174 */     GIR_EraseRootFromParent_Done,
     /*  891175 */   // Label 13595: @891175
     /*  891175 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(891250), // Rule ID 61260 //
     /*  891180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891248 */     GIR_RootConstrainSelectedInstOperands,
     /*  891249 */     // GIR_Coverage, 61260,
     /*  891249 */     GIR_EraseRootFromParent_Done,
     /*  891250 */   // Label 13596: @891250
     /*  891250 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(891325), // Rule ID 61261 //
     /*  891255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891323 */     GIR_RootConstrainSelectedInstOperands,
     /*  891324 */     // GIR_Coverage, 61261,
     /*  891324 */     GIR_EraseRootFromParent_Done,
     /*  891325 */   // Label 13597: @891325
     /*  891325 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(891400), // Rule ID 61440 //
     /*  891330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  891341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  891344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  891347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  891350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  891379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891398 */     GIR_RootConstrainSelectedInstOperands,
     /*  891399 */     // GIR_Coverage, 61440,
     /*  891399 */     GIR_EraseRootFromParent_Done,
     /*  891400 */   // Label 13598: @891400
     /*  891400 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(891475), // Rule ID 61441 //
     /*  891405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  891416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  891419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  891422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  891425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  891454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891473 */     GIR_RootConstrainSelectedInstOperands,
     /*  891474 */     // GIR_Coverage, 61441,
     /*  891474 */     GIR_EraseRootFromParent_Done,
     /*  891475 */   // Label 13599: @891475
     /*  891475 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(891550), // Rule ID 61444 //
     /*  891480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891548 */     GIR_RootConstrainSelectedInstOperands,
     /*  891549 */     // GIR_Coverage, 61444,
     /*  891549 */     GIR_EraseRootFromParent_Done,
     /*  891550 */   // Label 13600: @891550
     /*  891550 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(891625), // Rule ID 61445 //
     /*  891555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891601 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891623 */     GIR_RootConstrainSelectedInstOperands,
     /*  891624 */     // GIR_Coverage, 61445,
     /*  891624 */     GIR_EraseRootFromParent_Done,
     /*  891625 */   // Label 13601: @891625
     /*  891625 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(891700), // Rule ID 61448 //
     /*  891630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891676 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891698 */     GIR_RootConstrainSelectedInstOperands,
     /*  891699 */     // GIR_Coverage, 61448,
     /*  891699 */     GIR_EraseRootFromParent_Done,
     /*  891700 */   // Label 13602: @891700
     /*  891700 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(891775), // Rule ID 61449 //
     /*  891705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891773 */     GIR_RootConstrainSelectedInstOperands,
     /*  891774 */     // GIR_Coverage, 61449,
     /*  891774 */     GIR_EraseRootFromParent_Done,
     /*  891775 */   // Label 13603: @891775
     /*  891775 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891850), // Rule ID 61452 //
     /*  891780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891848 */     GIR_RootConstrainSelectedInstOperands,
     /*  891849 */     // GIR_Coverage, 61452,
     /*  891849 */     GIR_EraseRootFromParent_Done,
     /*  891850 */   // Label 13604: @891850
     /*  891850 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891925), // Rule ID 61453 //
     /*  891855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891901 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891923 */     GIR_RootConstrainSelectedInstOperands,
     /*  891924 */     // GIR_Coverage, 61453,
     /*  891924 */     GIR_EraseRootFromParent_Done,
     /*  891925 */   // Label 13605: @891925
     /*  891925 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(892000), // Rule ID 61456 //
     /*  891930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  891941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  891944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  891950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891998 */     GIR_RootConstrainSelectedInstOperands,
     /*  891999 */     // GIR_Coverage, 61456,
     /*  891999 */     GIR_EraseRootFromParent_Done,
     /*  892000 */   // Label 13606: @892000
     /*  892000 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(892075), // Rule ID 61457 //
     /*  892005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  892025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892073 */     GIR_RootConstrainSelectedInstOperands,
     /*  892074 */     // GIR_Coverage, 61457,
     /*  892074 */     GIR_EraseRootFromParent_Done,
     /*  892075 */   // Label 13607: @892075
     /*  892075 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(892150), // Rule ID 61460 //
     /*  892080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892148 */     GIR_RootConstrainSelectedInstOperands,
     /*  892149 */     // GIR_Coverage, 61460,
     /*  892149 */     GIR_EraseRootFromParent_Done,
     /*  892150 */   // Label 13608: @892150
     /*  892150 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(892225), // Rule ID 61461 //
     /*  892155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892223 */     GIR_RootConstrainSelectedInstOperands,
     /*  892224 */     // GIR_Coverage, 61461,
     /*  892224 */     GIR_EraseRootFromParent_Done,
     /*  892225 */   // Label 13609: @892225
     /*  892225 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(892300), // Rule ID 61464 //
     /*  892230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892298 */     GIR_RootConstrainSelectedInstOperands,
     /*  892299 */     // GIR_Coverage, 61464,
     /*  892299 */     GIR_EraseRootFromParent_Done,
     /*  892300 */   // Label 13610: @892300
     /*  892300 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(892375), // Rule ID 61465 //
     /*  892305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892373 */     GIR_RootConstrainSelectedInstOperands,
     /*  892374 */     // GIR_Coverage, 61465,
     /*  892374 */     GIR_EraseRootFromParent_Done,
     /*  892375 */   // Label 13611: @892375
     /*  892375 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(892450), // Rule ID 61468 //
     /*  892380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892426 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892448 */     GIR_RootConstrainSelectedInstOperands,
     /*  892449 */     // GIR_Coverage, 61468,
     /*  892449 */     GIR_EraseRootFromParent_Done,
     /*  892450 */   // Label 13612: @892450
     /*  892450 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(892525), // Rule ID 61469 //
     /*  892455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892523 */     GIR_RootConstrainSelectedInstOperands,
     /*  892524 */     // GIR_Coverage, 61469,
     /*  892524 */     GIR_EraseRootFromParent_Done,
     /*  892525 */   // Label 13613: @892525
     /*  892525 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(892600), // Rule ID 61472 //
     /*  892530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892598 */     GIR_RootConstrainSelectedInstOperands,
     /*  892599 */     // GIR_Coverage, 61472,
     /*  892599 */     GIR_EraseRootFromParent_Done,
     /*  892600 */   // Label 13614: @892600
     /*  892600 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(892675), // Rule ID 61473 //
     /*  892605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892673 */     GIR_RootConstrainSelectedInstOperands,
     /*  892674 */     // GIR_Coverage, 61473,
     /*  892674 */     GIR_EraseRootFromParent_Done,
     /*  892675 */   // Label 13615: @892675
     /*  892675 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(892750), // Rule ID 61476 //
     /*  892680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892748 */     GIR_RootConstrainSelectedInstOperands,
     /*  892749 */     // GIR_Coverage, 61476,
     /*  892749 */     GIR_EraseRootFromParent_Done,
     /*  892750 */   // Label 13616: @892750
     /*  892750 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892825), // Rule ID 61477 //
     /*  892755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892801 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892823 */     GIR_RootConstrainSelectedInstOperands,
     /*  892824 */     // GIR_Coverage, 61477,
     /*  892824 */     GIR_EraseRootFromParent_Done,
     /*  892825 */   // Label 13617: @892825
     /*  892825 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892900), // Rule ID 61480 //
     /*  892830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892876 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892898 */     GIR_RootConstrainSelectedInstOperands,
     /*  892899 */     // GIR_Coverage, 61480,
     /*  892899 */     GIR_EraseRootFromParent_Done,
     /*  892900 */   // Label 13618: @892900
     /*  892900 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892975), // Rule ID 61481 //
     /*  892905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892973 */     GIR_RootConstrainSelectedInstOperands,
     /*  892974 */     // GIR_Coverage, 61481,
     /*  892974 */     GIR_EraseRootFromParent_Done,
     /*  892975 */   // Label 13619: @892975
     /*  892975 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(893050), // Rule ID 61484 //
     /*  892980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  892991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  892994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  892997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  893000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893026 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893048 */     GIR_RootConstrainSelectedInstOperands,
     /*  893049 */     // GIR_Coverage, 61484,
     /*  893049 */     GIR_EraseRootFromParent_Done,
     /*  893050 */   // Label 13620: @893050
     /*  893050 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(893125), // Rule ID 61485 //
     /*  893055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  893075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893101 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893123 */     GIR_RootConstrainSelectedInstOperands,
     /*  893124 */     // GIR_Coverage, 61485,
     /*  893124 */     GIR_EraseRootFromParent_Done,
     /*  893125 */   // Label 13621: @893125
     /*  893125 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(893200), // Rule ID 61488 //
     /*  893130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893176 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893198 */     GIR_RootConstrainSelectedInstOperands,
     /*  893199 */     // GIR_Coverage, 61488,
     /*  893199 */     GIR_EraseRootFromParent_Done,
     /*  893200 */   // Label 13622: @893200
     /*  893200 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(893275), // Rule ID 61489 //
     /*  893205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893251 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893273 */     GIR_RootConstrainSelectedInstOperands,
     /*  893274 */     // GIR_Coverage, 61489,
     /*  893274 */     GIR_EraseRootFromParent_Done,
     /*  893275 */   // Label 13623: @893275
     /*  893275 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(893350), // Rule ID 61492 //
     /*  893280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  893291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  893294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  893300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893348 */     GIR_RootConstrainSelectedInstOperands,
     /*  893349 */     // GIR_Coverage, 61492,
     /*  893349 */     GIR_EraseRootFromParent_Done,
     /*  893350 */   // Label 13624: @893350
     /*  893350 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(893425), // Rule ID 61493 //
     /*  893355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  893366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  893369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  893375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893423 */     GIR_RootConstrainSelectedInstOperands,
     /*  893424 */     // GIR_Coverage, 61493,
     /*  893424 */     GIR_EraseRootFromParent_Done,
     /*  893425 */   // Label 13625: @893425
     /*  893425 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(893500), // Rule ID 61496 //
     /*  893430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893476 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893498 */     GIR_RootConstrainSelectedInstOperands,
     /*  893499 */     // GIR_Coverage, 61496,
     /*  893499 */     GIR_EraseRootFromParent_Done,
     /*  893500 */   // Label 13626: @893500
     /*  893500 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(893575), // Rule ID 61497 //
     /*  893505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893573 */     GIR_RootConstrainSelectedInstOperands,
     /*  893574 */     // GIR_Coverage, 61497,
     /*  893574 */     GIR_EraseRootFromParent_Done,
     /*  893575 */   // Label 13627: @893575
     /*  893575 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(893650), // Rule ID 61500 //
     /*  893580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893648 */     GIR_RootConstrainSelectedInstOperands,
     /*  893649 */     // GIR_Coverage, 61500,
     /*  893649 */     GIR_EraseRootFromParent_Done,
     /*  893650 */   // Label 13628: @893650
     /*  893650 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(893725), // Rule ID 61501 //
     /*  893655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893723 */     GIR_RootConstrainSelectedInstOperands,
     /*  893724 */     // GIR_Coverage, 61501,
     /*  893724 */     GIR_EraseRootFromParent_Done,
     /*  893725 */   // Label 13629: @893725
     /*  893725 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893800), // Rule ID 61504 //
     /*  893730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893776 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893798 */     GIR_RootConstrainSelectedInstOperands,
     /*  893799 */     // GIR_Coverage, 61504,
     /*  893799 */     GIR_EraseRootFromParent_Done,
     /*  893800 */   // Label 13630: @893800
     /*  893800 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893875), // Rule ID 61505 //
     /*  893805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893873 */     GIR_RootConstrainSelectedInstOperands,
     /*  893874 */     // GIR_Coverage, 61505,
     /*  893874 */     GIR_EraseRootFromParent_Done,
     /*  893875 */   // Label 13631: @893875
     /*  893875 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893950), // Rule ID 61508 //
     /*  893880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893948 */     GIR_RootConstrainSelectedInstOperands,
     /*  893949 */     // GIR_Coverage, 61508,
     /*  893949 */     GIR_EraseRootFromParent_Done,
     /*  893950 */   // Label 13632: @893950
     /*  893950 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(894025), // Rule ID 61509 //
     /*  893955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894023 */     GIR_RootConstrainSelectedInstOperands,
     /*  894024 */     // GIR_Coverage, 61509,
     /*  894024 */     GIR_EraseRootFromParent_Done,
     /*  894025 */   // Label 13633: @894025
     /*  894025 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(894100), // Rule ID 61512 //
     /*  894030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894098 */     GIR_RootConstrainSelectedInstOperands,
     /*  894099 */     // GIR_Coverage, 61512,
     /*  894099 */     GIR_EraseRootFromParent_Done,
     /*  894100 */   // Label 13634: @894100
     /*  894100 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(894175), // Rule ID 61513 //
     /*  894105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894173 */     GIR_RootConstrainSelectedInstOperands,
     /*  894174 */     // GIR_Coverage, 61513,
     /*  894174 */     GIR_EraseRootFromParent_Done,
     /*  894175 */   // Label 13635: @894175
     /*  894175 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(894250), // Rule ID 61516 //
     /*  894180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894248 */     GIR_RootConstrainSelectedInstOperands,
     /*  894249 */     // GIR_Coverage, 61516,
     /*  894249 */     GIR_EraseRootFromParent_Done,
     /*  894250 */   // Label 13636: @894250
     /*  894250 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(894325), // Rule ID 61517 //
     /*  894255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894323 */     GIR_RootConstrainSelectedInstOperands,
     /*  894324 */     // GIR_Coverage, 61517,
     /*  894324 */     GIR_EraseRootFromParent_Done,
     /*  894325 */   // Label 13637: @894325
     /*  894325 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(894400), // Rule ID 61520 //
     /*  894330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  894341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  894344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  894347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  894350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894376 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894398 */     GIR_RootConstrainSelectedInstOperands,
     /*  894399 */     // GIR_Coverage, 61520,
     /*  894399 */     GIR_EraseRootFromParent_Done,
     /*  894400 */   // Label 13638: @894400
     /*  894400 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(894475), // Rule ID 61521 //
     /*  894405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  894416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  894419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  894422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  894425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894473 */     GIR_RootConstrainSelectedInstOperands,
     /*  894474 */     // GIR_Coverage, 61521,
     /*  894474 */     GIR_EraseRootFromParent_Done,
     /*  894475 */   // Label 13639: @894475
     /*  894475 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(894550), // Rule ID 61524 //
     /*  894480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894548 */     GIR_RootConstrainSelectedInstOperands,
     /*  894549 */     // GIR_Coverage, 61524,
     /*  894549 */     GIR_EraseRootFromParent_Done,
     /*  894550 */   // Label 13640: @894550
     /*  894550 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(894625), // Rule ID 61525 //
     /*  894555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894623 */     GIR_RootConstrainSelectedInstOperands,
     /*  894624 */     // GIR_Coverage, 61525,
     /*  894624 */     GIR_EraseRootFromParent_Done,
     /*  894625 */   // Label 13641: @894625
     /*  894625 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(894700), // Rule ID 61528 //
     /*  894630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894698 */     GIR_RootConstrainSelectedInstOperands,
     /*  894699 */     // GIR_Coverage, 61528,
     /*  894699 */     GIR_EraseRootFromParent_Done,
     /*  894700 */   // Label 13642: @894700
     /*  894700 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(894775), // Rule ID 61529 //
     /*  894705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894751 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894773 */     GIR_RootConstrainSelectedInstOperands,
     /*  894774 */     // GIR_Coverage, 61529,
     /*  894774 */     GIR_EraseRootFromParent_Done,
     /*  894775 */   // Label 13643: @894775
     /*  894775 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894850), // Rule ID 61532 //
     /*  894780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894826 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894848 */     GIR_RootConstrainSelectedInstOperands,
     /*  894849 */     // GIR_Coverage, 61532,
     /*  894849 */     GIR_EraseRootFromParent_Done,
     /*  894850 */   // Label 13644: @894850
     /*  894850 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894925), // Rule ID 61533 //
     /*  894855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894923 */     GIR_RootConstrainSelectedInstOperands,
     /*  894924 */     // GIR_Coverage, 61533,
     /*  894924 */     GIR_EraseRootFromParent_Done,
     /*  894925 */   // Label 13645: @894925
     /*  894925 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(895000), // Rule ID 61536 //
     /*  894930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  894941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  894944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  894947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894976 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894998 */     GIR_RootConstrainSelectedInstOperands,
     /*  894999 */     // GIR_Coverage, 61536,
     /*  894999 */     GIR_EraseRootFromParent_Done,
     /*  895000 */   // Label 13646: @895000
     /*  895000 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(895075), // Rule ID 61537 //
     /*  895005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895051 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895073 */     GIR_RootConstrainSelectedInstOperands,
     /*  895074 */     // GIR_Coverage, 61537,
     /*  895074 */     GIR_EraseRootFromParent_Done,
     /*  895075 */   // Label 13647: @895075
     /*  895075 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(895150), // Rule ID 61540 //
     /*  895080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895148 */     GIR_RootConstrainSelectedInstOperands,
     /*  895149 */     // GIR_Coverage, 61540,
     /*  895149 */     GIR_EraseRootFromParent_Done,
     /*  895150 */   // Label 13648: @895150
     /*  895150 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(895225), // Rule ID 61541 //
     /*  895155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895223 */     GIR_RootConstrainSelectedInstOperands,
     /*  895224 */     // GIR_Coverage, 61541,
     /*  895224 */     GIR_EraseRootFromParent_Done,
     /*  895225 */   // Label 13649: @895225
     /*  895225 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(895300), // Rule ID 61544 //
     /*  895230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895298 */     GIR_RootConstrainSelectedInstOperands,
     /*  895299 */     // GIR_Coverage, 61544,
     /*  895299 */     GIR_EraseRootFromParent_Done,
     /*  895300 */   // Label 13650: @895300
     /*  895300 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(895375), // Rule ID 61545 //
     /*  895305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895373 */     GIR_RootConstrainSelectedInstOperands,
     /*  895374 */     // GIR_Coverage, 61545,
     /*  895374 */     GIR_EraseRootFromParent_Done,
     /*  895375 */   // Label 13651: @895375
     /*  895375 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(895450), // Rule ID 61548 //
     /*  895380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895448 */     GIR_RootConstrainSelectedInstOperands,
     /*  895449 */     // GIR_Coverage, 61548,
     /*  895449 */     GIR_EraseRootFromParent_Done,
     /*  895450 */   // Label 13652: @895450
     /*  895450 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(895525), // Rule ID 61549 //
     /*  895455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895501 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895523 */     GIR_RootConstrainSelectedInstOperands,
     /*  895524 */     // GIR_Coverage, 61549,
     /*  895524 */     GIR_EraseRootFromParent_Done,
     /*  895525 */   // Label 13653: @895525
     /*  895525 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(895600), // Rule ID 61552 //
     /*  895530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895598 */     GIR_RootConstrainSelectedInstOperands,
     /*  895599 */     // GIR_Coverage, 61552,
     /*  895599 */     GIR_EraseRootFromParent_Done,
     /*  895600 */   // Label 13654: @895600
     /*  895600 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(895675), // Rule ID 61553 //
     /*  895605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895673 */     GIR_RootConstrainSelectedInstOperands,
     /*  895674 */     // GIR_Coverage, 61553,
     /*  895674 */     GIR_EraseRootFromParent_Done,
     /*  895675 */   // Label 13655: @895675
     /*  895675 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(895750), // Rule ID 61556 //
     /*  895680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895748 */     GIR_RootConstrainSelectedInstOperands,
     /*  895749 */     // GIR_Coverage, 61556,
     /*  895749 */     GIR_EraseRootFromParent_Done,
     /*  895750 */   // Label 13656: @895750
     /*  895750 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895825), // Rule ID 61557 //
     /*  895755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895823 */     GIR_RootConstrainSelectedInstOperands,
     /*  895824 */     // GIR_Coverage, 61557,
     /*  895824 */     GIR_EraseRootFromParent_Done,
     /*  895825 */   // Label 13657: @895825
     /*  895825 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895900), // Rule ID 61560 //
     /*  895830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895898 */     GIR_RootConstrainSelectedInstOperands,
     /*  895899 */     // GIR_Coverage, 61560,
     /*  895899 */     GIR_EraseRootFromParent_Done,
     /*  895900 */   // Label 13658: @895900
     /*  895900 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895975), // Rule ID 61561 //
     /*  895905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895973 */     GIR_RootConstrainSelectedInstOperands,
     /*  895974 */     // GIR_Coverage, 61561,
     /*  895974 */     GIR_EraseRootFromParent_Done,
     /*  895975 */   // Label 13659: @895975
     /*  895975 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(896050), // Rule ID 61564 //
     /*  895980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896048 */     GIR_RootConstrainSelectedInstOperands,
     /*  896049 */     // GIR_Coverage, 61564,
     /*  896049 */     GIR_EraseRootFromParent_Done,
     /*  896050 */   // Label 13660: @896050
     /*  896050 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(896125), // Rule ID 61565 //
     /*  896055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896123 */     GIR_RootConstrainSelectedInstOperands,
     /*  896124 */     // GIR_Coverage, 61565,
     /*  896124 */     GIR_EraseRootFromParent_Done,
     /*  896125 */   // Label 13661: @896125
     /*  896125 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(896200), // Rule ID 61568 //
     /*  896130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896176 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896198 */     GIR_RootConstrainSelectedInstOperands,
     /*  896199 */     // GIR_Coverage, 61568,
     /*  896199 */     GIR_EraseRootFromParent_Done,
     /*  896200 */   // Label 13662: @896200
     /*  896200 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(896275), // Rule ID 61569 //
     /*  896205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896273 */     GIR_RootConstrainSelectedInstOperands,
     /*  896274 */     // GIR_Coverage, 61569,
     /*  896274 */     GIR_EraseRootFromParent_Done,
     /*  896275 */   // Label 13663: @896275
     /*  896275 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(896350), // Rule ID 61572 //
     /*  896280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  896291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  896294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  896297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896326 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896348 */     GIR_RootConstrainSelectedInstOperands,
     /*  896349 */     // GIR_Coverage, 61572,
     /*  896349 */     GIR_EraseRootFromParent_Done,
     /*  896350 */   // Label 13664: @896350
     /*  896350 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(896425), // Rule ID 61573 //
     /*  896355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  896366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  896369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  896372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896401 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896423 */     GIR_RootConstrainSelectedInstOperands,
     /*  896424 */     // GIR_Coverage, 61573,
     /*  896424 */     GIR_EraseRootFromParent_Done,
     /*  896425 */   // Label 13665: @896425
     /*  896425 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(896500), // Rule ID 61576 //
     /*  896430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896498 */     GIR_RootConstrainSelectedInstOperands,
     /*  896499 */     // GIR_Coverage, 61576,
     /*  896499 */     GIR_EraseRootFromParent_Done,
     /*  896500 */   // Label 13666: @896500
     /*  896500 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(896575), // Rule ID 61577 //
     /*  896505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896551 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896573 */     GIR_RootConstrainSelectedInstOperands,
     /*  896574 */     // GIR_Coverage, 61577,
     /*  896574 */     GIR_EraseRootFromParent_Done,
     /*  896575 */   // Label 13667: @896575
     /*  896575 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(896650), // Rule ID 61580 //
     /*  896580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896648 */     GIR_RootConstrainSelectedInstOperands,
     /*  896649 */     // GIR_Coverage, 61580,
     /*  896649 */     GIR_EraseRootFromParent_Done,
     /*  896650 */   // Label 13668: @896650
     /*  896650 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(896725), // Rule ID 61581 //
     /*  896655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896723 */     GIR_RootConstrainSelectedInstOperands,
     /*  896724 */     // GIR_Coverage, 61581,
     /*  896724 */     GIR_EraseRootFromParent_Done,
     /*  896725 */   // Label 13669: @896725
     /*  896725 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896800), // Rule ID 61584 //
     /*  896730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896776 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896798 */     GIR_RootConstrainSelectedInstOperands,
     /*  896799 */     // GIR_Coverage, 61584,
     /*  896799 */     GIR_EraseRootFromParent_Done,
     /*  896800 */   // Label 13670: @896800
     /*  896800 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896875), // Rule ID 61585 //
     /*  896805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896873 */     GIR_RootConstrainSelectedInstOperands,
     /*  896874 */     // GIR_Coverage, 61585,
     /*  896874 */     GIR_EraseRootFromParent_Done,
     /*  896875 */   // Label 13671: @896875
     /*  896875 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896950), // Rule ID 61588 //
     /*  896880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896948 */     GIR_RootConstrainSelectedInstOperands,
     /*  896949 */     // GIR_Coverage, 61588,
     /*  896949 */     GIR_EraseRootFromParent_Done,
     /*  896950 */   // Label 13672: @896950
     /*  896950 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(897025), // Rule ID 61589 //
     /*  896955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897001 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897023 */     GIR_RootConstrainSelectedInstOperands,
     /*  897024 */     // GIR_Coverage, 61589,
     /*  897024 */     GIR_EraseRootFromParent_Done,
     /*  897025 */   // Label 13673: @897025
     /*  897025 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(897100), // Rule ID 61592 //
     /*  897030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897098 */     GIR_RootConstrainSelectedInstOperands,
     /*  897099 */     // GIR_Coverage, 61592,
     /*  897099 */     GIR_EraseRootFromParent_Done,
     /*  897100 */   // Label 13674: @897100
     /*  897100 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(897175), // Rule ID 61593 //
     /*  897105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897173 */     GIR_RootConstrainSelectedInstOperands,
     /*  897174 */     // GIR_Coverage, 61593,
     /*  897174 */     GIR_EraseRootFromParent_Done,
     /*  897175 */   // Label 13675: @897175
     /*  897175 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(897250), // Rule ID 61596 //
     /*  897180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897248 */     GIR_RootConstrainSelectedInstOperands,
     /*  897249 */     // GIR_Coverage, 61596,
     /*  897249 */     GIR_EraseRootFromParent_Done,
     /*  897250 */   // Label 13676: @897250
     /*  897250 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(897325), // Rule ID 61597 //
     /*  897255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897323 */     GIR_RootConstrainSelectedInstOperands,
     /*  897324 */     // GIR_Coverage, 61597,
     /*  897324 */     GIR_EraseRootFromParent_Done,
     /*  897325 */   // Label 13677: @897325
     /*  897325 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(897400), // Rule ID 61600 //
     /*  897330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  897341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  897344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897398 */     GIR_RootConstrainSelectedInstOperands,
     /*  897399 */     // GIR_Coverage, 61600,
     /*  897399 */     GIR_EraseRootFromParent_Done,
     /*  897400 */   // Label 13678: @897400
     /*  897400 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(897475), // Rule ID 61601 //
     /*  897405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  897416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  897419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897473 */     GIR_RootConstrainSelectedInstOperands,
     /*  897474 */     // GIR_Coverage, 61601,
     /*  897474 */     GIR_EraseRootFromParent_Done,
     /*  897475 */   // Label 13679: @897475
     /*  897475 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(897550), // Rule ID 61604 //
     /*  897480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897548 */     GIR_RootConstrainSelectedInstOperands,
     /*  897549 */     // GIR_Coverage, 61604,
     /*  897549 */     GIR_EraseRootFromParent_Done,
     /*  897550 */   // Label 13680: @897550
     /*  897550 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(897625), // Rule ID 61605 //
     /*  897555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897623 */     GIR_RootConstrainSelectedInstOperands,
     /*  897624 */     // GIR_Coverage, 61605,
     /*  897624 */     GIR_EraseRootFromParent_Done,
     /*  897625 */   // Label 13681: @897625
     /*  897625 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(897700), // Rule ID 61608 //
     /*  897630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897698 */     GIR_RootConstrainSelectedInstOperands,
     /*  897699 */     // GIR_Coverage, 61608,
     /*  897699 */     GIR_EraseRootFromParent_Done,
     /*  897700 */   // Label 13682: @897700
     /*  897700 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(897775), // Rule ID 61609 //
     /*  897705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897773 */     GIR_RootConstrainSelectedInstOperands,
     /*  897774 */     // GIR_Coverage, 61609,
     /*  897774 */     GIR_EraseRootFromParent_Done,
     /*  897775 */   // Label 13683: @897775
     /*  897775 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897850), // Rule ID 61612 //
     /*  897780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897848 */     GIR_RootConstrainSelectedInstOperands,
     /*  897849 */     // GIR_Coverage, 61612,
     /*  897849 */     GIR_EraseRootFromParent_Done,
     /*  897850 */   // Label 13684: @897850
     /*  897850 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897925), // Rule ID 61613 //
     /*  897855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897923 */     GIR_RootConstrainSelectedInstOperands,
     /*  897924 */     // GIR_Coverage, 61613,
     /*  897924 */     GIR_EraseRootFromParent_Done,
     /*  897925 */   // Label 13685: @897925
     /*  897925 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(898000), // Rule ID 61700 //
     /*  897930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  897941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  897944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  897947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  897950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  897979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897998 */     GIR_RootConstrainSelectedInstOperands,
     /*  897999 */     // GIR_Coverage, 61700,
     /*  897999 */     GIR_EraseRootFromParent_Done,
     /*  898000 */   // Label 13686: @898000
     /*  898000 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(898075), // Rule ID 61701 //
     /*  898005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  898016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  898019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  898022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  898025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  898054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898073 */     GIR_RootConstrainSelectedInstOperands,
     /*  898074 */     // GIR_Coverage, 61701,
     /*  898074 */     GIR_EraseRootFromParent_Done,
     /*  898075 */   // Label 13687: @898075
     /*  898075 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(898150), // Rule ID 61704 //
     /*  898080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  898091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  898094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  898097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  898100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898148 */     GIR_RootConstrainSelectedInstOperands,
     /*  898149 */     // GIR_Coverage, 61704,
     /*  898149 */     GIR_EraseRootFromParent_Done,
     /*  898150 */   // Label 13688: @898150
     /*  898150 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(898225), // Rule ID 61705 //
     /*  898155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  898166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  898169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  898172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  898175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898223 */     GIR_RootConstrainSelectedInstOperands,
     /*  898224 */     // GIR_Coverage, 61705,
     /*  898224 */     GIR_EraseRootFromParent_Done,
     /*  898225 */   // Label 13689: @898225
     /*  898225 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(898300), // Rule ID 61708 //
     /*  898230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  898241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  898244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  898247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  898250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898276 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898298 */     GIR_RootConstrainSelectedInstOperands,
     /*  898299 */     // GIR_Coverage, 61708,
     /*  898299 */     GIR_EraseRootFromParent_Done,
     /*  898300 */   // Label 13690: @898300
     /*  898300 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(898375), // Rule ID 61709 //
     /*  898305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  898316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  898319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  898322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  898325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898373 */     GIR_RootConstrainSelectedInstOperands,
     /*  898374 */     // GIR_Coverage, 61709,
     /*  898374 */     GIR_EraseRootFromParent_Done,
     /*  898375 */   // Label 13691: @898375
     /*  898375 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(898450), // Rule ID 61712 //
     /*  898380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  898391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  898394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  898397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  898400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898448 */     GIR_RootConstrainSelectedInstOperands,
     /*  898449 */     // GIR_Coverage, 61712,
     /*  898449 */     GIR_EraseRootFromParent_Done,
     /*  898450 */   // Label 13692: @898450
     /*  898450 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(898525), // Rule ID 61713 //
     /*  898455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  898466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  898469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  898472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  898475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898523 */     GIR_RootConstrainSelectedInstOperands,
     /*  898524 */     // GIR_Coverage, 61713,
     /*  898524 */     GIR_EraseRootFromParent_Done,
     /*  898525 */   // Label 13693: @898525
     /*  898525 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(898600), // Rule ID 61716 //
     /*  898530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898598 */     GIR_RootConstrainSelectedInstOperands,
     /*  898599 */     // GIR_Coverage, 61716,
     /*  898599 */     GIR_EraseRootFromParent_Done,
     /*  898600 */   // Label 13694: @898600
     /*  898600 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(898675), // Rule ID 61717 //
     /*  898605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898673 */     GIR_RootConstrainSelectedInstOperands,
     /*  898674 */     // GIR_Coverage, 61717,
     /*  898674 */     GIR_EraseRootFromParent_Done,
     /*  898675 */   // Label 13695: @898675
     /*  898675 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(898750), // Rule ID 61720 //
     /*  898680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898748 */     GIR_RootConstrainSelectedInstOperands,
     /*  898749 */     // GIR_Coverage, 61720,
     /*  898749 */     GIR_EraseRootFromParent_Done,
     /*  898750 */   // Label 13696: @898750
     /*  898750 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898825), // Rule ID 61721 //
     /*  898755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898823 */     GIR_RootConstrainSelectedInstOperands,
     /*  898824 */     // GIR_Coverage, 61721,
     /*  898824 */     GIR_EraseRootFromParent_Done,
     /*  898825 */   // Label 13697: @898825
     /*  898825 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898900), // Rule ID 61724 //
     /*  898830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898898 */     GIR_RootConstrainSelectedInstOperands,
     /*  898899 */     // GIR_Coverage, 61724,
     /*  898899 */     GIR_EraseRootFromParent_Done,
     /*  898900 */   // Label 13698: @898900
     /*  898900 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898975), // Rule ID 61725 //
     /*  898905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898973 */     GIR_RootConstrainSelectedInstOperands,
     /*  898974 */     // GIR_Coverage, 61725,
     /*  898974 */     GIR_EraseRootFromParent_Done,
     /*  898975 */   // Label 13699: @898975
     /*  898975 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(899050), // Rule ID 61728 //
     /*  898980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  898991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  898994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  898997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  899000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899048 */     GIR_RootConstrainSelectedInstOperands,
     /*  899049 */     // GIR_Coverage, 61728,
     /*  899049 */     GIR_EraseRootFromParent_Done,
     /*  899050 */   // Label 13700: @899050
     /*  899050 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(899125), // Rule ID 61729 //
     /*  899055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  899066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  899069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  899072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  899075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899123 */     GIR_RootConstrainSelectedInstOperands,
     /*  899124 */     // GIR_Coverage, 61729,
     /*  899124 */     GIR_EraseRootFromParent_Done,
     /*  899125 */   // Label 13701: @899125
     /*  899125 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(899200), // Rule ID 61732 //
     /*  899130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  899147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  899150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899198 */     GIR_RootConstrainSelectedInstOperands,
     /*  899199 */     // GIR_Coverage, 61732,
     /*  899199 */     GIR_EraseRootFromParent_Done,
     /*  899200 */   // Label 13702: @899200
     /*  899200 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(899275), // Rule ID 61733 //
     /*  899205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  899222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  899225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899273 */     GIR_RootConstrainSelectedInstOperands,
     /*  899274 */     // GIR_Coverage, 61733,
     /*  899274 */     GIR_EraseRootFromParent_Done,
     /*  899275 */   // Label 13703: @899275
     /*  899275 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(899350), // Rule ID 61736 //
     /*  899280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  899291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  899294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  899297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  899300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899348 */     GIR_RootConstrainSelectedInstOperands,
     /*  899349 */     // GIR_Coverage, 61736,
     /*  899349 */     GIR_EraseRootFromParent_Done,
     /*  899350 */   // Label 13704: @899350
     /*  899350 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(899425), // Rule ID 61737 //
     /*  899355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  899366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  899369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  899372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  899375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899401 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899423 */     GIR_RootConstrainSelectedInstOperands,
     /*  899424 */     // GIR_Coverage, 61737,
     /*  899424 */     GIR_EraseRootFromParent_Done,
     /*  899425 */   // Label 13705: @899425
     /*  899425 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(899500), // Rule ID 61740 //
     /*  899430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899498 */     GIR_RootConstrainSelectedInstOperands,
     /*  899499 */     // GIR_Coverage, 61740,
     /*  899499 */     GIR_EraseRootFromParent_Done,
     /*  899500 */   // Label 13706: @899500
     /*  899500 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(899575), // Rule ID 61741 //
     /*  899505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899551 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899573 */     GIR_RootConstrainSelectedInstOperands,
     /*  899574 */     // GIR_Coverage, 61741,
     /*  899574 */     GIR_EraseRootFromParent_Done,
     /*  899575 */   // Label 13707: @899575
     /*  899575 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(899650), // Rule ID 61744 //
     /*  899580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899626 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899648 */     GIR_RootConstrainSelectedInstOperands,
     /*  899649 */     // GIR_Coverage, 61744,
     /*  899649 */     GIR_EraseRootFromParent_Done,
     /*  899650 */   // Label 13708: @899650
     /*  899650 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(899725), // Rule ID 61745 //
     /*  899655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899701 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899723 */     GIR_RootConstrainSelectedInstOperands,
     /*  899724 */     // GIR_Coverage, 61745,
     /*  899724 */     GIR_EraseRootFromParent_Done,
     /*  899725 */   // Label 13709: @899725
     /*  899725 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899800), // Rule ID 61748 //
     /*  899730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899798 */     GIR_RootConstrainSelectedInstOperands,
     /*  899799 */     // GIR_Coverage, 61748,
     /*  899799 */     GIR_EraseRootFromParent_Done,
     /*  899800 */   // Label 13710: @899800
     /*  899800 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899875), // Rule ID 61749 //
     /*  899805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899873 */     GIR_RootConstrainSelectedInstOperands,
     /*  899874 */     // GIR_Coverage, 61749,
     /*  899874 */     GIR_EraseRootFromParent_Done,
     /*  899875 */   // Label 13711: @899875
     /*  899875 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899950), // Rule ID 61752 //
     /*  899880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899926 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899948 */     GIR_RootConstrainSelectedInstOperands,
     /*  899949 */     // GIR_Coverage, 61752,
     /*  899949 */     GIR_EraseRootFromParent_Done,
     /*  899950 */   // Label 13712: @899950
     /*  899950 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(900025), // Rule ID 61753 //
     /*  899955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900023 */     GIR_RootConstrainSelectedInstOperands,
     /*  900024 */     // GIR_Coverage, 61753,
     /*  900024 */     GIR_EraseRootFromParent_Done,
     /*  900025 */   // Label 13713: @900025
     /*  900025 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(900100), // Rule ID 61756 //
     /*  900030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  900050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900098 */     GIR_RootConstrainSelectedInstOperands,
     /*  900099 */     // GIR_Coverage, 61756,
     /*  900099 */     GIR_EraseRootFromParent_Done,
     /*  900100 */   // Label 13714: @900100
     /*  900100 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(900175), // Rule ID 61757 //
     /*  900105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  900125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900173 */     GIR_RootConstrainSelectedInstOperands,
     /*  900174 */     // GIR_Coverage, 61757,
     /*  900174 */     GIR_EraseRootFromParent_Done,
     /*  900175 */   // Label 13715: @900175
     /*  900175 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(900250), // Rule ID 61760 //
     /*  900180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  900191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  900194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  900197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  900200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900248 */     GIR_RootConstrainSelectedInstOperands,
     /*  900249 */     // GIR_Coverage, 61760,
     /*  900249 */     GIR_EraseRootFromParent_Done,
     /*  900250 */   // Label 13716: @900250
     /*  900250 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(900325), // Rule ID 61761 //
     /*  900255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  900266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  900269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  900272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  900275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900301 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900323 */     GIR_RootConstrainSelectedInstOperands,
     /*  900324 */     // GIR_Coverage, 61761,
     /*  900324 */     GIR_EraseRootFromParent_Done,
     /*  900325 */   // Label 13717: @900325
     /*  900325 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(900400), // Rule ID 61764 //
     /*  900330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  900341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  900344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  900347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  900350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900398 */     GIR_RootConstrainSelectedInstOperands,
     /*  900399 */     // GIR_Coverage, 61764,
     /*  900399 */     GIR_EraseRootFromParent_Done,
     /*  900400 */   // Label 13718: @900400
     /*  900400 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(900475), // Rule ID 61765 //
     /*  900405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  900416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  900419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  900422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  900425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900473 */     GIR_RootConstrainSelectedInstOperands,
     /*  900474 */     // GIR_Coverage, 61765,
     /*  900474 */     GIR_EraseRootFromParent_Done,
     /*  900475 */   // Label 13719: @900475
     /*  900475 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(900550), // Rule ID 61768 //
     /*  900480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900548 */     GIR_RootConstrainSelectedInstOperands,
     /*  900549 */     // GIR_Coverage, 61768,
     /*  900549 */     GIR_EraseRootFromParent_Done,
     /*  900550 */   // Label 13720: @900550
     /*  900550 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(900625), // Rule ID 61769 //
     /*  900555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900623 */     GIR_RootConstrainSelectedInstOperands,
     /*  900624 */     // GIR_Coverage, 61769,
     /*  900624 */     GIR_EraseRootFromParent_Done,
     /*  900625 */   // Label 13721: @900625
     /*  900625 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(900700), // Rule ID 61772 //
     /*  900630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900698 */     GIR_RootConstrainSelectedInstOperands,
     /*  900699 */     // GIR_Coverage, 61772,
     /*  900699 */     GIR_EraseRootFromParent_Done,
     /*  900700 */   // Label 13722: @900700
     /*  900700 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(900775), // Rule ID 61773 //
     /*  900705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900773 */     GIR_RootConstrainSelectedInstOperands,
     /*  900774 */     // GIR_Coverage, 61773,
     /*  900774 */     GIR_EraseRootFromParent_Done,
     /*  900775 */   // Label 13723: @900775
     /*  900775 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900850), // Rule ID 61776 //
     /*  900780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900848 */     GIR_RootConstrainSelectedInstOperands,
     /*  900849 */     // GIR_Coverage, 61776,
     /*  900849 */     GIR_EraseRootFromParent_Done,
     /*  900850 */   // Label 13724: @900850
     /*  900850 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900925), // Rule ID 61777 //
     /*  900855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900923 */     GIR_RootConstrainSelectedInstOperands,
     /*  900924 */     // GIR_Coverage, 61777,
     /*  900924 */     GIR_EraseRootFromParent_Done,
     /*  900925 */   // Label 13725: @900925
     /*  900925 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(901000), // Rule ID 61780 //
     /*  900930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  900947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  900950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900976 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900998 */     GIR_RootConstrainSelectedInstOperands,
     /*  900999 */     // GIR_Coverage, 61780,
     /*  900999 */     GIR_EraseRootFromParent_Done,
     /*  901000 */   // Label 13726: @901000
     /*  901000 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(901075), // Rule ID 61781 //
     /*  901005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  901016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  901019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  901022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  901025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  901054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901073 */     GIR_RootConstrainSelectedInstOperands,
     /*  901074 */     // GIR_Coverage, 61781,
     /*  901074 */     GIR_EraseRootFromParent_Done,
     /*  901075 */   // Label 13727: @901075
     /*  901075 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(901150), // Rule ID 61784 //
     /*  901080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  901091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  901094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  901097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  901100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901148 */     GIR_RootConstrainSelectedInstOperands,
     /*  901149 */     // GIR_Coverage, 61784,
     /*  901149 */     GIR_EraseRootFromParent_Done,
     /*  901150 */   // Label 13728: @901150
     /*  901150 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(901225), // Rule ID 61785 //
     /*  901155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  901166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  901169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  901172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  901175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901223 */     GIR_RootConstrainSelectedInstOperands,
     /*  901224 */     // GIR_Coverage, 61785,
     /*  901224 */     GIR_EraseRootFromParent_Done,
     /*  901225 */   // Label 13729: @901225
     /*  901225 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(901300), // Rule ID 61788 //
     /*  901230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  901241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  901244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  901247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901276 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  901279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901298 */     GIR_RootConstrainSelectedInstOperands,
     /*  901299 */     // GIR_Coverage, 61788,
     /*  901299 */     GIR_EraseRootFromParent_Done,
     /*  901300 */   // Label 13730: @901300
     /*  901300 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(901375), // Rule ID 61789 //
     /*  901305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  901316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  901319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  901322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  901354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901373 */     GIR_RootConstrainSelectedInstOperands,
     /*  901374 */     // GIR_Coverage, 61789,
     /*  901374 */     GIR_EraseRootFromParent_Done,
     /*  901375 */   // Label 13731: @901375
     /*  901375 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(901450), // Rule ID 61792 //
     /*  901380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  901391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  901394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901426 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901448 */     GIR_RootConstrainSelectedInstOperands,
     /*  901449 */     // GIR_Coverage, 61792,
     /*  901449 */     GIR_EraseRootFromParent_Done,
     /*  901450 */   // Label 13732: @901450
     /*  901450 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(901525), // Rule ID 61793 //
     /*  901455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  901466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  901469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901501 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901523 */     GIR_RootConstrainSelectedInstOperands,
     /*  901524 */     // GIR_Coverage, 61793,
     /*  901524 */     GIR_EraseRootFromParent_Done,
     /*  901525 */   // Label 13733: @901525
     /*  901525 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(901600), // Rule ID 61796 //
     /*  901530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901576 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901598 */     GIR_RootConstrainSelectedInstOperands,
     /*  901599 */     // GIR_Coverage, 61796,
     /*  901599 */     GIR_EraseRootFromParent_Done,
     /*  901600 */   // Label 13734: @901600
     /*  901600 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(901675), // Rule ID 61797 //
     /*  901605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901673 */     GIR_RootConstrainSelectedInstOperands,
     /*  901674 */     // GIR_Coverage, 61797,
     /*  901674 */     GIR_EraseRootFromParent_Done,
     /*  901675 */   // Label 13735: @901675
     /*  901675 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(901750), // Rule ID 61800 //
     /*  901680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901726 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901748 */     GIR_RootConstrainSelectedInstOperands,
     /*  901749 */     // GIR_Coverage, 61800,
     /*  901749 */     GIR_EraseRootFromParent_Done,
     /*  901750 */   // Label 13736: @901750
     /*  901750 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901825), // Rule ID 61801 //
     /*  901755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901823 */     GIR_RootConstrainSelectedInstOperands,
     /*  901824 */     // GIR_Coverage, 61801,
     /*  901824 */     GIR_EraseRootFromParent_Done,
     /*  901825 */   // Label 13737: @901825
     /*  901825 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901900), // Rule ID 61804 //
     /*  901830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901876 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901898 */     GIR_RootConstrainSelectedInstOperands,
     /*  901899 */     // GIR_Coverage, 61804,
     /*  901899 */     GIR_EraseRootFromParent_Done,
     /*  901900 */   // Label 13738: @901900
     /*  901900 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901975), // Rule ID 61805 //
     /*  901905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901973 */     GIR_RootConstrainSelectedInstOperands,
     /*  901974 */     // GIR_Coverage, 61805,
     /*  901974 */     GIR_EraseRootFromParent_Done,
     /*  901975 */   // Label 13739: @901975
     /*  901975 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(902050), // Rule ID 61808 //
     /*  901980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902048 */     GIR_RootConstrainSelectedInstOperands,
     /*  902049 */     // GIR_Coverage, 61808,
     /*  902049 */     GIR_EraseRootFromParent_Done,
     /*  902050 */   // Label 13740: @902050
     /*  902050 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(902125), // Rule ID 61809 //
     /*  902055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  902066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  902069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902123 */     GIR_RootConstrainSelectedInstOperands,
     /*  902124 */     // GIR_Coverage, 61809,
     /*  902124 */     GIR_EraseRootFromParent_Done,
     /*  902125 */   // Label 13741: @902125
     /*  902125 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(902200), // Rule ID 61812 //
     /*  902130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  902141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  902144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  902147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902198 */     GIR_RootConstrainSelectedInstOperands,
     /*  902199 */     // GIR_Coverage, 61812,
     /*  902199 */     GIR_EraseRootFromParent_Done,
     /*  902200 */   // Label 13742: @902200
     /*  902200 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(902275), // Rule ID 61813 //
     /*  902205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  902216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  902219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  902222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902273 */     GIR_RootConstrainSelectedInstOperands,
     /*  902274 */     // GIR_Coverage, 61813,
     /*  902274 */     GIR_EraseRootFromParent_Done,
     /*  902275 */   // Label 13743: @902275
     /*  902275 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(902350), // Rule ID 61816 //
     /*  902280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  902291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  902294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  902297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902348 */     GIR_RootConstrainSelectedInstOperands,
     /*  902349 */     // GIR_Coverage, 61816,
     /*  902349 */     GIR_EraseRootFromParent_Done,
     /*  902350 */   // Label 13744: @902350
     /*  902350 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(902425), // Rule ID 61817 //
     /*  902355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  902366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  902369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  902372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902423 */     GIR_RootConstrainSelectedInstOperands,
     /*  902424 */     // GIR_Coverage, 61817,
     /*  902424 */     GIR_EraseRootFromParent_Done,
     /*  902425 */   // Label 13745: @902425
     /*  902425 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(902500), // Rule ID 61820 //
     /*  902430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902498 */     GIR_RootConstrainSelectedInstOperands,
     /*  902499 */     // GIR_Coverage, 61820,
     /*  902499 */     GIR_EraseRootFromParent_Done,
     /*  902500 */   // Label 13746: @902500
     /*  902500 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(902575), // Rule ID 61821 //
     /*  902505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902573 */     GIR_RootConstrainSelectedInstOperands,
     /*  902574 */     // GIR_Coverage, 61821,
     /*  902574 */     GIR_EraseRootFromParent_Done,
     /*  902575 */   // Label 13747: @902575
     /*  902575 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(902650), // Rule ID 61824 //
     /*  902580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902648 */     GIR_RootConstrainSelectedInstOperands,
     /*  902649 */     // GIR_Coverage, 61824,
     /*  902649 */     GIR_EraseRootFromParent_Done,
     /*  902650 */   // Label 13748: @902650
     /*  902650 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(902725), // Rule ID 61825 //
     /*  902655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902701 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902723 */     GIR_RootConstrainSelectedInstOperands,
     /*  902724 */     // GIR_Coverage, 61825,
     /*  902724 */     GIR_EraseRootFromParent_Done,
     /*  902725 */   // Label 13749: @902725
     /*  902725 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902800), // Rule ID 61828 //
     /*  902730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902798 */     GIR_RootConstrainSelectedInstOperands,
     /*  902799 */     // GIR_Coverage, 61828,
     /*  902799 */     GIR_EraseRootFromParent_Done,
     /*  902800 */   // Label 13750: @902800
     /*  902800 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902875), // Rule ID 61829 //
     /*  902805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902873 */     GIR_RootConstrainSelectedInstOperands,
     /*  902874 */     // GIR_Coverage, 61829,
     /*  902874 */     GIR_EraseRootFromParent_Done,
     /*  902875 */   // Label 13751: @902875
     /*  902875 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902950), // Rule ID 61832 //
     /*  902880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902926 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902948 */     GIR_RootConstrainSelectedInstOperands,
     /*  902949 */     // GIR_Coverage, 61832,
     /*  902949 */     GIR_EraseRootFromParent_Done,
     /*  902950 */   // Label 13752: @902950
     /*  902950 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(903025), // Rule ID 61833 //
     /*  902955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903001 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903023 */     GIR_RootConstrainSelectedInstOperands,
     /*  903024 */     // GIR_Coverage, 61833,
     /*  903024 */     GIR_EraseRootFromParent_Done,
     /*  903025 */   // Label 13753: @903025
     /*  903025 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(903100), // Rule ID 61836 //
     /*  903030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903098 */     GIR_RootConstrainSelectedInstOperands,
     /*  903099 */     // GIR_Coverage, 61836,
     /*  903099 */     GIR_EraseRootFromParent_Done,
     /*  903100 */   // Label 13754: @903100
     /*  903100 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(903175), // Rule ID 61837 //
     /*  903105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903151 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903173 */     GIR_RootConstrainSelectedInstOperands,
     /*  903174 */     // GIR_Coverage, 61837,
     /*  903174 */     GIR_EraseRootFromParent_Done,
     /*  903175 */   // Label 13755: @903175
     /*  903175 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(903250), // Rule ID 61840 //
     /*  903180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  903194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903248 */     GIR_RootConstrainSelectedInstOperands,
     /*  903249 */     // GIR_Coverage, 61840,
     /*  903249 */     GIR_EraseRootFromParent_Done,
     /*  903250 */   // Label 13756: @903250
     /*  903250 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(903325), // Rule ID 61841 //
     /*  903255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  903269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903323 */     GIR_RootConstrainSelectedInstOperands,
     /*  903324 */     // GIR_Coverage, 61841,
     /*  903324 */     GIR_EraseRootFromParent_Done,
     /*  903325 */   // Label 13757: @903325
     /*  903325 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(903400), // Rule ID 61844 //
     /*  903330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  903341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  903344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903398 */     GIR_RootConstrainSelectedInstOperands,
     /*  903399 */     // GIR_Coverage, 61844,
     /*  903399 */     GIR_EraseRootFromParent_Done,
     /*  903400 */   // Label 13758: @903400
     /*  903400 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903475), // Rule ID 61845 //
     /*  903405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  903416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  903419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903473 */     GIR_RootConstrainSelectedInstOperands,
     /*  903474 */     // GIR_Coverage, 61845,
     /*  903474 */     GIR_EraseRootFromParent_Done,
     /*  903475 */   // Label 13759: @903475
     /*  903475 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903550), // Rule ID 61848 //
     /*  903480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903548 */     GIR_RootConstrainSelectedInstOperands,
     /*  903549 */     // GIR_Coverage, 61848,
     /*  903549 */     GIR_EraseRootFromParent_Done,
     /*  903550 */   // Label 13760: @903550
     /*  903550 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(903625), // Rule ID 61849 //
     /*  903555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903623 */     GIR_RootConstrainSelectedInstOperands,
     /*  903624 */     // GIR_Coverage, 61849,
     /*  903624 */     GIR_EraseRootFromParent_Done,
     /*  903625 */   // Label 13761: @903625
     /*  903625 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(903700), // Rule ID 61852 //
     /*  903630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903698 */     GIR_RootConstrainSelectedInstOperands,
     /*  903699 */     // GIR_Coverage, 61852,
     /*  903699 */     GIR_EraseRootFromParent_Done,
     /*  903700 */   // Label 13762: @903700
     /*  903700 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(903775), // Rule ID 61853 //
     /*  903705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903773 */     GIR_RootConstrainSelectedInstOperands,
     /*  903774 */     // GIR_Coverage, 61853,
     /*  903774 */     GIR_EraseRootFromParent_Done,
     /*  903775 */   // Label 13763: @903775
     /*  903775 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903850), // Rule ID 61856 //
     /*  903780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903848 */     GIR_RootConstrainSelectedInstOperands,
     /*  903849 */     // GIR_Coverage, 61856,
     /*  903849 */     GIR_EraseRootFromParent_Done,
     /*  903850 */   // Label 13764: @903850
     /*  903850 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903925), // Rule ID 61857 //
     /*  903855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903923 */     GIR_RootConstrainSelectedInstOperands,
     /*  903924 */     // GIR_Coverage, 61857,
     /*  903924 */     GIR_EraseRootFromParent_Done,
     /*  903925 */   // Label 13765: @903925
     /*  903925 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(904000), // Rule ID 61860 //
     /*  903930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903998 */     GIR_RootConstrainSelectedInstOperands,
     /*  903999 */     // GIR_Coverage, 61860,
     /*  903999 */     GIR_EraseRootFromParent_Done,
     /*  904000 */   // Label 13766: @904000
     /*  904000 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(904075), // Rule ID 61861 //
     /*  904005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904073 */     GIR_RootConstrainSelectedInstOperands,
     /*  904074 */     // GIR_Coverage, 61861,
     /*  904074 */     GIR_EraseRootFromParent_Done,
     /*  904075 */   // Label 13767: @904075
     /*  904075 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(904150), // Rule ID 61864 //
     /*  904080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904148 */     GIR_RootConstrainSelectedInstOperands,
     /*  904149 */     // GIR_Coverage, 61864,
     /*  904149 */     GIR_EraseRootFromParent_Done,
     /*  904150 */   // Label 13768: @904150
     /*  904150 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(904225), // Rule ID 61865 //
     /*  904155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904223 */     GIR_RootConstrainSelectedInstOperands,
     /*  904224 */     // GIR_Coverage, 61865,
     /*  904224 */     GIR_EraseRootFromParent_Done,
     /*  904225 */   // Label 13769: @904225
     /*  904225 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(904300), // Rule ID 61868 //
     /*  904230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904298 */     GIR_RootConstrainSelectedInstOperands,
     /*  904299 */     // GIR_Coverage, 61868,
     /*  904299 */     GIR_EraseRootFromParent_Done,
     /*  904300 */   // Label 13770: @904300
     /*  904300 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904375), // Rule ID 61869 //
     /*  904305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904373 */     GIR_RootConstrainSelectedInstOperands,
     /*  904374 */     // GIR_Coverage, 61869,
     /*  904374 */     GIR_EraseRootFromParent_Done,
     /*  904375 */   // Label 13771: @904375
     /*  904375 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904450), // Rule ID 61872 //
     /*  904380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904448 */     GIR_RootConstrainSelectedInstOperands,
     /*  904449 */     // GIR_Coverage, 61872,
     /*  904449 */     GIR_EraseRootFromParent_Done,
     /*  904450 */   // Label 13772: @904450
     /*  904450 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904525), // Rule ID 61873 //
     /*  904455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904501 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904523 */     GIR_RootConstrainSelectedInstOperands,
     /*  904524 */     // GIR_Coverage, 61873,
     /*  904524 */     GIR_EraseRootFromParent_Done,
     /*  904525 */   // Label 13773: @904525
     /*  904525 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(904600), // Rule ID 62316 //
     /*  904530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904598 */     GIR_RootConstrainSelectedInstOperands,
     /*  904599 */     // GIR_Coverage, 62316,
     /*  904599 */     GIR_EraseRootFromParent_Done,
     /*  904600 */   // Label 13774: @904600
     /*  904600 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(904675), // Rule ID 62317 //
     /*  904605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904673 */     GIR_RootConstrainSelectedInstOperands,
     /*  904674 */     // GIR_Coverage, 62317,
     /*  904674 */     GIR_EraseRootFromParent_Done,
     /*  904675 */   // Label 13775: @904675
     /*  904675 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(904750), // Rule ID 62318 //
     /*  904680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904748 */     GIR_RootConstrainSelectedInstOperands,
     /*  904749 */     // GIR_Coverage, 62318,
     /*  904749 */     GIR_EraseRootFromParent_Done,
     /*  904750 */   // Label 13776: @904750
     /*  904750 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904825), // Rule ID 62319 //
     /*  904755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904823 */     GIR_RootConstrainSelectedInstOperands,
     /*  904824 */     // GIR_Coverage, 62319,
     /*  904824 */     GIR_EraseRootFromParent_Done,
     /*  904825 */   // Label 13777: @904825
     /*  904825 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904900), // Rule ID 62320 //
     /*  904830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904898 */     GIR_RootConstrainSelectedInstOperands,
     /*  904899 */     // GIR_Coverage, 62320,
     /*  904899 */     GIR_EraseRootFromParent_Done,
     /*  904900 */   // Label 13778: @904900
     /*  904900 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904975), // Rule ID 62321 //
     /*  904905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904973 */     GIR_RootConstrainSelectedInstOperands,
     /*  904974 */     // GIR_Coverage, 62321,
     /*  904974 */     GIR_EraseRootFromParent_Done,
     /*  904975 */   // Label 13779: @904975
     /*  904975 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(905050), // Rule ID 62322 //
     /*  904980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  905029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905048 */     GIR_RootConstrainSelectedInstOperands,
     /*  905049 */     // GIR_Coverage, 62322,
     /*  905049 */     GIR_EraseRootFromParent_Done,
     /*  905050 */   // Label 13780: @905050
     /*  905050 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(905125), // Rule ID 62323 //
     /*  905055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  905058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  905104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905123 */     GIR_RootConstrainSelectedInstOperands,
     /*  905124 */     // GIR_Coverage, 62323,
     /*  905124 */     GIR_EraseRootFromParent_Done,
     /*  905125 */   // Label 13781: @905125
     /*  905125 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(905189), // Rule ID 64431 //
     /*  905130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  905138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905166 */     // MIs[0] imm5
     /*  905166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905169 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905174 */     // (intrinsic_wo_chain:{ *:[i32] } 10935:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  905177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905185 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905187 */     GIR_RootConstrainSelectedInstOperands,
     /*  905188 */     // GIR_Coverage, 64431,
     /*  905188 */     GIR_EraseRootFromParent_Done,
     /*  905189 */   // Label 13782: @905189
     /*  905189 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(905253), // Rule ID 64432 //
     /*  905194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  905202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905230 */     // MIs[0] imm5
     /*  905230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905233 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905238 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  905241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905249 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905251 */     GIR_RootConstrainSelectedInstOperands,
     /*  905252 */     // GIR_Coverage, 64432,
     /*  905252 */     GIR_EraseRootFromParent_Done,
     /*  905253 */   // Label 13783: @905253
     /*  905253 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(905317), // Rule ID 64433 //
     /*  905258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  905266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905294 */     // MIs[0] imm5
     /*  905294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905302 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  905305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905313 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905315 */     GIR_RootConstrainSelectedInstOperands,
     /*  905316 */     // GIR_Coverage, 64433,
     /*  905316 */     GIR_EraseRootFromParent_Done,
     /*  905317 */   // Label 13784: @905317
     /*  905317 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905381), // Rule ID 64434 //
     /*  905322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  905330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905358 */     // MIs[0] imm5
     /*  905358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905366 */     // (intrinsic_wo_chain:{ *:[i32] } 10929:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  905369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905377 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905379 */     GIR_RootConstrainSelectedInstOperands,
     /*  905380 */     // GIR_Coverage, 64434,
     /*  905380 */     GIR_EraseRootFromParent_Done,
     /*  905381 */   // Label 13785: @905381
     /*  905381 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(905445), // Rule ID 64435 //
     /*  905386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  905394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905422 */     // MIs[0] imm5
     /*  905422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905430 */     // (intrinsic_wo_chain:{ *:[i32] } 10936:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  905433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905441 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905443 */     GIR_RootConstrainSelectedInstOperands,
     /*  905444 */     // GIR_Coverage, 64435,
     /*  905444 */     GIR_EraseRootFromParent_Done,
     /*  905445 */   // Label 13786: @905445
     /*  905445 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(905509), // Rule ID 64436 //
     /*  905450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  905458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905486 */     // MIs[0] imm5
     /*  905486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905494 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  905497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905505 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905507 */     GIR_RootConstrainSelectedInstOperands,
     /*  905508 */     // GIR_Coverage, 64436,
     /*  905508 */     GIR_EraseRootFromParent_Done,
     /*  905509 */   // Label 13787: @905509
     /*  905509 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(905573), // Rule ID 64437 //
     /*  905514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  905522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905550 */     // MIs[0] imm5
     /*  905550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905558 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  905561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905569 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905571 */     GIR_RootConstrainSelectedInstOperands,
     /*  905572 */     // GIR_Coverage, 64437,
     /*  905572 */     GIR_EraseRootFromParent_Done,
     /*  905573 */   // Label 13788: @905573
     /*  905573 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(905637), // Rule ID 64438 //
     /*  905578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  905586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905614 */     // MIs[0] imm5
     /*  905614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905622 */     // (intrinsic_wo_chain:{ *:[i32] } 10930:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  905625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905633 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905635 */     GIR_RootConstrainSelectedInstOperands,
     /*  905636 */     // GIR_Coverage, 64438,
     /*  905636 */     GIR_EraseRootFromParent_Done,
     /*  905637 */   // Label 13789: @905637
     /*  905637 */   GIM_Reject,
     /*  905638 */ // Label 6943: @905638
     /*  905638 */ GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(1395111),
     /*  905643 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  905646 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905729), // Rule ID 62770 //
     /*  905651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905675 */     // MIs[0] op1
     /*  905675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905691 */     // MIs[0] op4
     /*  905691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905706 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905711 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905713 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905715 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905717 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905727 */     GIR_RootConstrainSelectedInstOperands,
     /*  905728 */     // GIR_Coverage, 62770,
     /*  905728 */     GIR_EraseRootFromParent_Done,
     /*  905729 */   // Label 13791: @905729
     /*  905729 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905812), // Rule ID 62771 //
     /*  905734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905758 */     // MIs[0] op1
     /*  905758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905774 */     // MIs[0] op4
     /*  905774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905789 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905800 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905810 */     GIR_RootConstrainSelectedInstOperands,
     /*  905811 */     // GIR_Coverage, 62771,
     /*  905811 */     GIR_EraseRootFromParent_Done,
     /*  905812 */   // Label 13792: @905812
     /*  905812 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905895), // Rule ID 62814 //
     /*  905817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905841 */     // MIs[0] op1
     /*  905841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905857 */     // MIs[0] op4
     /*  905857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905877 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905879 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905881 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905883 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905893 */     GIR_RootConstrainSelectedInstOperands,
     /*  905894 */     // GIR_Coverage, 62814,
     /*  905894 */     GIR_EraseRootFromParent_Done,
     /*  905895 */   // Label 13793: @905895
     /*  905895 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905978), // Rule ID 62815 //
     /*  905900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905924 */     // MIs[0] op1
     /*  905924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905940 */     // MIs[0] op4
     /*  905940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905955 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905960 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905962 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905964 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905966 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905976 */     GIR_RootConstrainSelectedInstOperands,
     /*  905977 */     // GIR_Coverage, 62815,
     /*  905977 */     GIR_EraseRootFromParent_Done,
     /*  905978 */   // Label 13794: @905978
     /*  905978 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(906061), // Rule ID 62858 //
     /*  905983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  906000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906007 */     // MIs[0] op1
     /*  906007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906023 */     // MIs[0] op4
     /*  906023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906038 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906043 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906045 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906047 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906049 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906059 */     GIR_RootConstrainSelectedInstOperands,
     /*  906060 */     // GIR_Coverage, 62858,
     /*  906060 */     GIR_EraseRootFromParent_Done,
     /*  906061 */   // Label 13795: @906061
     /*  906061 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(906144), // Rule ID 62859 //
     /*  906066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  906077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  906080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  906083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906090 */     // MIs[0] op1
     /*  906090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906106 */     // MIs[0] op4
     /*  906106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906121 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906132 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906142 */     GIR_RootConstrainSelectedInstOperands,
     /*  906143 */     // GIR_Coverage, 62859,
     /*  906143 */     GIR_EraseRootFromParent_Done,
     /*  906144 */   // Label 13796: @906144
     /*  906144 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(906227), // Rule ID 62902 //
     /*  906149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  906166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906173 */     // MIs[0] op1
     /*  906173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906189 */     // MIs[0] op4
     /*  906189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  906207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906209 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906211 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906213 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906215 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906225 */     GIR_RootConstrainSelectedInstOperands,
     /*  906226 */     // GIR_Coverage, 62902,
     /*  906226 */     GIR_EraseRootFromParent_Done,
     /*  906227 */   // Label 13797: @906227
     /*  906227 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(906310), // Rule ID 62903 //
     /*  906232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  906249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906256 */     // MIs[0] op1
     /*  906256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906272 */     // MIs[0] op4
     /*  906272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  906290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906292 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906294 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906296 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906298 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906308 */     GIR_RootConstrainSelectedInstOperands,
     /*  906309 */     // GIR_Coverage, 62903,
     /*  906309 */     GIR_EraseRootFromParent_Done,
     /*  906310 */   // Label 13798: @906310
     /*  906310 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(906393), // Rule ID 62958 //
     /*  906315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  906332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906339 */     // MIs[0] op1
     /*  906339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906355 */     // MIs[0] op4
     /*  906355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906381 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906391 */     GIR_RootConstrainSelectedInstOperands,
     /*  906392 */     // GIR_Coverage, 62958,
     /*  906392 */     GIR_EraseRootFromParent_Done,
     /*  906393 */   // Label 13799: @906393
     /*  906393 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(906476), // Rule ID 62959 //
     /*  906398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  906415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906422 */     // MIs[0] op1
     /*  906422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906438 */     // MIs[0] op4
     /*  906438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906464 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906474 */     GIR_RootConstrainSelectedInstOperands,
     /*  906475 */     // GIR_Coverage, 62959,
     /*  906475 */     GIR_EraseRootFromParent_Done,
     /*  906476 */   // Label 13800: @906476
     /*  906476 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(906559), // Rule ID 63014 //
     /*  906481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906505 */     // MIs[0] op1
     /*  906505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906521 */     // MIs[0] op4
     /*  906521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906547 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906557 */     GIR_RootConstrainSelectedInstOperands,
     /*  906558 */     // GIR_Coverage, 63014,
     /*  906558 */     GIR_EraseRootFromParent_Done,
     /*  906559 */   // Label 13801: @906559
     /*  906559 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(906642), // Rule ID 63015 //
     /*  906564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906588 */     // MIs[0] op1
     /*  906588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906604 */     // MIs[0] op4
     /*  906604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906624 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906626 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906628 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906630 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906640 */     GIR_RootConstrainSelectedInstOperands,
     /*  906641 */     // GIR_Coverage, 63015,
     /*  906641 */     GIR_EraseRootFromParent_Done,
     /*  906642 */   // Label 13802: @906642
     /*  906642 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(906725), // Rule ID 63070 //
     /*  906647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906671 */     // MIs[0] op1
     /*  906671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906687 */     // MIs[0] op4
     /*  906687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906713 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906723 */     GIR_RootConstrainSelectedInstOperands,
     /*  906724 */     // GIR_Coverage, 63070,
     /*  906724 */     GIR_EraseRootFromParent_Done,
     /*  906725 */   // Label 13803: @906725
     /*  906725 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906808), // Rule ID 63071 //
     /*  906730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906754 */     // MIs[0] op1
     /*  906754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906770 */     // MIs[0] op4
     /*  906770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906785 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906790 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906792 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906794 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906796 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906806 */     GIR_RootConstrainSelectedInstOperands,
     /*  906807 */     // GIR_Coverage, 63071,
     /*  906807 */     GIR_EraseRootFromParent_Done,
     /*  906808 */   // Label 13804: @906808
     /*  906808 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906891), // Rule ID 63114 //
     /*  906813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906837 */     // MIs[0] op1
     /*  906837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906853 */     // MIs[0] op4
     /*  906853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906873 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906875 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906877 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906879 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906889 */     GIR_RootConstrainSelectedInstOperands,
     /*  906890 */     // GIR_Coverage, 63114,
     /*  906890 */     GIR_EraseRootFromParent_Done,
     /*  906891 */   // Label 13805: @906891
     /*  906891 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906974), // Rule ID 63115 //
     /*  906896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906920 */     // MIs[0] op1
     /*  906920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906936 */     // MIs[0] op4
     /*  906936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906939 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906951 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906956 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906958 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906960 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906962 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906972 */     GIR_RootConstrainSelectedInstOperands,
     /*  906973 */     // GIR_Coverage, 63115,
     /*  906973 */     GIR_EraseRootFromParent_Done,
     /*  906974 */   // Label 13806: @906974
     /*  906974 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(907057), // Rule ID 63170 //
     /*  906979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  906996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907003 */     // MIs[0] op1
     /*  907003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907019 */     // MIs[0] op4
     /*  907019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  907034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907045 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907055 */     GIR_RootConstrainSelectedInstOperands,
     /*  907056 */     // GIR_Coverage, 63170,
     /*  907056 */     GIR_EraseRootFromParent_Done,
     /*  907057 */   // Label 13807: @907057
     /*  907057 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(907140), // Rule ID 63171 //
     /*  907062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  907079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907086 */     // MIs[0] op1
     /*  907086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907102 */     // MIs[0] op4
     /*  907102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  907117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907128 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907138 */     GIR_RootConstrainSelectedInstOperands,
     /*  907139 */     // GIR_Coverage, 63171,
     /*  907139 */     GIR_EraseRootFromParent_Done,
     /*  907140 */   // Label 13808: @907140
     /*  907140 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(907223), // Rule ID 63226 //
     /*  907145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  907162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907169 */     // MIs[0] op1
     /*  907169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907185 */     // MIs[0] op4
     /*  907185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  907200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907205 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907207 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907209 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907211 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907221 */     GIR_RootConstrainSelectedInstOperands,
     /*  907222 */     // GIR_Coverage, 63226,
     /*  907222 */     GIR_EraseRootFromParent_Done,
     /*  907223 */   // Label 13809: @907223
     /*  907223 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(907306), // Rule ID 63227 //
     /*  907228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  907245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907252 */     // MIs[0] op1
     /*  907252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907268 */     // MIs[0] op4
     /*  907268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  907283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907294 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907304 */     GIR_RootConstrainSelectedInstOperands,
     /*  907305 */     // GIR_Coverage, 63227,
     /*  907305 */     GIR_EraseRootFromParent_Done,
     /*  907306 */   // Label 13810: @907306
     /*  907306 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(907389), // Rule ID 63282 //
     /*  907311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  907328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907335 */     // MIs[0] op1
     /*  907335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907351 */     // MIs[0] op4
     /*  907351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907366 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907377 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907387 */     GIR_RootConstrainSelectedInstOperands,
     /*  907388 */     // GIR_Coverage, 63282,
     /*  907388 */     GIR_EraseRootFromParent_Done,
     /*  907389 */   // Label 13811: @907389
     /*  907389 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(907472), // Rule ID 63283 //
     /*  907394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  907411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907418 */     // MIs[0] op1
     /*  907418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907434 */     // MIs[0] op4
     /*  907434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907460 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907470 */     GIR_RootConstrainSelectedInstOperands,
     /*  907471 */     // GIR_Coverage, 63283,
     /*  907471 */     GIR_EraseRootFromParent_Done,
     /*  907472 */   // Label 13812: @907472
     /*  907472 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(907555), // Rule ID 63326 //
     /*  907477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907501 */     // MIs[0] op1
     /*  907501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907517 */     // MIs[0] op4
     /*  907517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907537 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907539 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907541 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907543 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907553 */     GIR_RootConstrainSelectedInstOperands,
     /*  907554 */     // GIR_Coverage, 63326,
     /*  907554 */     GIR_EraseRootFromParent_Done,
     /*  907555 */   // Label 13813: @907555
     /*  907555 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(907638), // Rule ID 63327 //
     /*  907560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907584 */     // MIs[0] op1
     /*  907584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907600 */     // MIs[0] op4
     /*  907600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907615 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907626 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907636 */     GIR_RootConstrainSelectedInstOperands,
     /*  907637 */     // GIR_Coverage, 63327,
     /*  907637 */     GIR_EraseRootFromParent_Done,
     /*  907638 */   // Label 13814: @907638
     /*  907638 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(907721), // Rule ID 63370 //
     /*  907643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907667 */     // MIs[0] op1
     /*  907667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907683 */     // MIs[0] op4
     /*  907683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907709 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907719 */     GIR_RootConstrainSelectedInstOperands,
     /*  907720 */     // GIR_Coverage, 63370,
     /*  907720 */     GIR_EraseRootFromParent_Done,
     /*  907721 */   // Label 13815: @907721
     /*  907721 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(907804), // Rule ID 63371 //
     /*  907726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907750 */     // MIs[0] op1
     /*  907750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907766 */     // MIs[0] op4
     /*  907766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907781 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907786 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907788 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907790 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907792 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907802 */     GIR_RootConstrainSelectedInstOperands,
     /*  907803 */     // GIR_Coverage, 63371,
     /*  907803 */     GIR_EraseRootFromParent_Done,
     /*  907804 */   // Label 13816: @907804
     /*  907804 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907887), // Rule ID 63414 //
     /*  907809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907833 */     // MIs[0] op1
     /*  907833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907849 */     // MIs[0] op4
     /*  907849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907869 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907871 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907873 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907875 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907885 */     GIR_RootConstrainSelectedInstOperands,
     /*  907886 */     // GIR_Coverage, 63414,
     /*  907886 */     GIR_EraseRootFromParent_Done,
     /*  907887 */   // Label 13817: @907887
     /*  907887 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907970), // Rule ID 63415 //
     /*  907892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907916 */     // MIs[0] op1
     /*  907916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907932 */     // MIs[0] op4
     /*  907932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907952 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907954 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907956 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907958 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907968 */     GIR_RootConstrainSelectedInstOperands,
     /*  907969 */     // GIR_Coverage, 63415,
     /*  907969 */     GIR_EraseRootFromParent_Done,
     /*  907970 */   // Label 13818: @907970
     /*  907970 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(908053), // Rule ID 63470 //
     /*  907975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  907992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907999 */     // MIs[0] op1
     /*  907999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908015 */     // MIs[0] op4
     /*  908015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908041 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908051 */     GIR_RootConstrainSelectedInstOperands,
     /*  908052 */     // GIR_Coverage, 63470,
     /*  908052 */     GIR_EraseRootFromParent_Done,
     /*  908053 */   // Label 13819: @908053
     /*  908053 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(908136), // Rule ID 63471 //
     /*  908058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  908075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908082 */     // MIs[0] op1
     /*  908082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908098 */     // MIs[0] op4
     /*  908098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908124 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908134 */     GIR_RootConstrainSelectedInstOperands,
     /*  908135 */     // GIR_Coverage, 63471,
     /*  908135 */     GIR_EraseRootFromParent_Done,
     /*  908136 */   // Label 13820: @908136
     /*  908136 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(908219), // Rule ID 63526 //
     /*  908141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  908158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908165 */     // MIs[0] op1
     /*  908165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908181 */     // MIs[0] op4
     /*  908181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908201 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908203 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908205 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908207 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908217 */     GIR_RootConstrainSelectedInstOperands,
     /*  908218 */     // GIR_Coverage, 63526,
     /*  908218 */     GIR_EraseRootFromParent_Done,
     /*  908219 */   // Label 13821: @908219
     /*  908219 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(908302), // Rule ID 63527 //
     /*  908224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  908241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908248 */     // MIs[0] op1
     /*  908248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908264 */     // MIs[0] op4
     /*  908264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908279 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908290 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908300 */     GIR_RootConstrainSelectedInstOperands,
     /*  908301 */     // GIR_Coverage, 63527,
     /*  908301 */     GIR_EraseRootFromParent_Done,
     /*  908302 */   // Label 13822: @908302
     /*  908302 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(908385), // Rule ID 63582 //
     /*  908307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908331 */     // MIs[0] op1
     /*  908331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908347 */     // MIs[0] op4
     /*  908347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908373 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908383 */     GIR_RootConstrainSelectedInstOperands,
     /*  908384 */     // GIR_Coverage, 63582,
     /*  908384 */     GIR_EraseRootFromParent_Done,
     /*  908385 */   // Label 13823: @908385
     /*  908385 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(908468), // Rule ID 63583 //
     /*  908390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908414 */     // MIs[0] op1
     /*  908414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908430 */     // MIs[0] op4
     /*  908430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908456 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908466 */     GIR_RootConstrainSelectedInstOperands,
     /*  908467 */     // GIR_Coverage, 63583,
     /*  908467 */     GIR_EraseRootFromParent_Done,
     /*  908468 */   // Label 13824: @908468
     /*  908468 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(908551), // Rule ID 63638 //
     /*  908473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908497 */     // MIs[0] op1
     /*  908497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908513 */     // MIs[0] op4
     /*  908513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908533 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908535 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908537 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908539 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908549 */     GIR_RootConstrainSelectedInstOperands,
     /*  908550 */     // GIR_Coverage, 63638,
     /*  908550 */     GIR_EraseRootFromParent_Done,
     /*  908551 */   // Label 13825: @908551
     /*  908551 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(908634), // Rule ID 63639 //
     /*  908556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908580 */     // MIs[0] op1
     /*  908580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908596 */     // MIs[0] op4
     /*  908596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908622 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908632 */     GIR_RootConstrainSelectedInstOperands,
     /*  908633 */     // GIR_Coverage, 63639,
     /*  908633 */     GIR_EraseRootFromParent_Done,
     /*  908634 */   // Label 13826: @908634
     /*  908634 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(908717), // Rule ID 63694 //
     /*  908639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908663 */     // MIs[0] op1
     /*  908663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908679 */     // MIs[0] op4
     /*  908679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908705 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908715 */     GIR_RootConstrainSelectedInstOperands,
     /*  908716 */     // GIR_Coverage, 63694,
     /*  908716 */     GIR_EraseRootFromParent_Done,
     /*  908717 */   // Label 13827: @908717
     /*  908717 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(908800), // Rule ID 63695 //
     /*  908722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908746 */     // MIs[0] op1
     /*  908746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908762 */     // MIs[0] op4
     /*  908762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908788 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908798 */     GIR_RootConstrainSelectedInstOperands,
     /*  908799 */     // GIR_Coverage, 63695,
     /*  908799 */     GIR_EraseRootFromParent_Done,
     /*  908800 */   // Label 13828: @908800
     /*  908800 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(908883), // Rule ID 63750 //
     /*  908805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908829 */     // MIs[0] op1
     /*  908829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908845 */     // MIs[0] op4
     /*  908845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908865 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908867 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908869 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908871 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908881 */     GIR_RootConstrainSelectedInstOperands,
     /*  908882 */     // GIR_Coverage, 63750,
     /*  908882 */     GIR_EraseRootFromParent_Done,
     /*  908883 */   // Label 13829: @908883
     /*  908883 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908966), // Rule ID 63751 //
     /*  908888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908912 */     // MIs[0] op1
     /*  908912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908928 */     // MIs[0] op4
     /*  908928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908954 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908964 */     GIR_RootConstrainSelectedInstOperands,
     /*  908965 */     // GIR_Coverage, 63751,
     /*  908965 */     GIR_EraseRootFromParent_Done,
     /*  908966 */   // Label 13830: @908966
     /*  908966 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(909049), // Rule ID 63806 //
     /*  908971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  908988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908995 */     // MIs[0] op1
     /*  908995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909011 */     // MIs[0] op4
     /*  909011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  909029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909037 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909047 */     GIR_RootConstrainSelectedInstOperands,
     /*  909048 */     // GIR_Coverage, 63806,
     /*  909048 */     GIR_EraseRootFromParent_Done,
     /*  909049 */   // Label 13831: @909049
     /*  909049 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(909132), // Rule ID 63807 //
     /*  909054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  909071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909078 */     // MIs[0] op1
     /*  909078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909094 */     // MIs[0] op4
     /*  909094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909109 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  909112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909120 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909130 */     GIR_RootConstrainSelectedInstOperands,
     /*  909131 */     // GIR_Coverage, 63807,
     /*  909131 */     GIR_EraseRootFromParent_Done,
     /*  909132 */   // Label 13832: @909132
     /*  909132 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(909215), // Rule ID 63862 //
     /*  909137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  909154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909161 */     // MIs[0] op1
     /*  909161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909177 */     // MIs[0] op4
     /*  909177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  909195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909197 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909199 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909201 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909203 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909213 */     GIR_RootConstrainSelectedInstOperands,
     /*  909214 */     // GIR_Coverage, 63862,
     /*  909214 */     GIR_EraseRootFromParent_Done,
     /*  909215 */   // Label 13833: @909215
     /*  909215 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(909298), // Rule ID 63863 //
     /*  909220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  909237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909244 */     // MIs[0] op1
     /*  909244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909260 */     // MIs[0] op4
     /*  909260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  909278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909280 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909282 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909284 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909286 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909296 */     GIR_RootConstrainSelectedInstOperands,
     /*  909297 */     // GIR_Coverage, 63863,
     /*  909297 */     GIR_EraseRootFromParent_Done,
     /*  909298 */   // Label 13834: @909298
     /*  909298 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(909381), // Rule ID 63892 //
     /*  909303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  909314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  909317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909327 */     // MIs[0] op1
     /*  909327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909343 */     // MIs[0] op4
     /*  909343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  909361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909369 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909379 */     GIR_RootConstrainSelectedInstOperands,
     /*  909380 */     // GIR_Coverage, 63892,
     /*  909380 */     GIR_EraseRootFromParent_Done,
     /*  909381 */   // Label 13835: @909381
     /*  909381 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(909464), // Rule ID 63893 //
     /*  909386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  909397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  909400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909410 */     // MIs[0] op1
     /*  909410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909426 */     // MIs[0] op4
     /*  909426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909441 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  909444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909452 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909462 */     GIR_RootConstrainSelectedInstOperands,
     /*  909463 */     // GIR_Coverage, 63893,
     /*  909463 */     GIR_EraseRootFromParent_Done,
     /*  909464 */   // Label 13836: @909464
     /*  909464 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(909547), // Rule ID 63910 //
     /*  909469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909493 */     // MIs[0] op1
     /*  909493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909509 */     // MIs[0] op4
     /*  909509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909529 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909531 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909533 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909535 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909545 */     GIR_RootConstrainSelectedInstOperands,
     /*  909546 */     // GIR_Coverage, 63910,
     /*  909546 */     GIR_EraseRootFromParent_Done,
     /*  909547 */   // Label 13837: @909547
     /*  909547 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(909630), // Rule ID 63911 //
     /*  909552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909576 */     // MIs[0] op1
     /*  909576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909592 */     // MIs[0] op4
     /*  909592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909618 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909628 */     GIR_RootConstrainSelectedInstOperands,
     /*  909629 */     // GIR_Coverage, 63911,
     /*  909629 */     GIR_EraseRootFromParent_Done,
     /*  909630 */   // Label 13838: @909630
     /*  909630 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(909713), // Rule ID 63928 //
     /*  909635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909659 */     // MIs[0] op1
     /*  909659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909675 */     // MIs[0] op4
     /*  909675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909701 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909711 */     GIR_RootConstrainSelectedInstOperands,
     /*  909712 */     // GIR_Coverage, 63928,
     /*  909712 */     GIR_EraseRootFromParent_Done,
     /*  909713 */   // Label 13839: @909713
     /*  909713 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(909796), // Rule ID 63929 //
     /*  909718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909742 */     // MIs[0] op1
     /*  909742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909758 */     // MIs[0] op4
     /*  909758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909784 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909794 */     GIR_RootConstrainSelectedInstOperands,
     /*  909795 */     // GIR_Coverage, 63929,
     /*  909795 */     GIR_EraseRootFromParent_Done,
     /*  909796 */   // Label 13840: @909796
     /*  909796 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(909879), // Rule ID 63946 //
     /*  909801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909825 */     // MIs[0] op1
     /*  909825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909841 */     // MIs[0] op4
     /*  909841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909861 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909863 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909865 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909867 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909877 */     GIR_RootConstrainSelectedInstOperands,
     /*  909878 */     // GIR_Coverage, 63946,
     /*  909878 */     GIR_EraseRootFromParent_Done,
     /*  909879 */   // Label 13841: @909879
     /*  909879 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(909962), // Rule ID 63947 //
     /*  909884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909908 */     // MIs[0] op1
     /*  909908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909924 */     // MIs[0] op4
     /*  909924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909950 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909960 */     GIR_RootConstrainSelectedInstOperands,
     /*  909961 */     // GIR_Coverage, 63947,
     /*  909961 */     GIR_EraseRootFromParent_Done,
     /*  909962 */   // Label 13842: @909962
     /*  909962 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(910045), // Rule ID 63964 //
     /*  909967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  909984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909991 */     // MIs[0] op1
     /*  909991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910007 */     // MIs[0] op4
     /*  910007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910027 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910029 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910031 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910033 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910043 */     GIR_RootConstrainSelectedInstOperands,
     /*  910044 */     // GIR_Coverage, 63964,
     /*  910044 */     GIR_EraseRootFromParent_Done,
     /*  910045 */   // Label 13843: @910045
     /*  910045 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(910128), // Rule ID 63965 //
     /*  910050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  910061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  910064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  910067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910074 */     // MIs[0] op1
     /*  910074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910090 */     // MIs[0] op4
     /*  910090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910105 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910110 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910112 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910114 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910116 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910126 */     GIR_RootConstrainSelectedInstOperands,
     /*  910127 */     // GIR_Coverage, 63965,
     /*  910127 */     GIR_EraseRootFromParent_Done,
     /*  910128 */   // Label 13844: @910128
     /*  910128 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(910211), // Rule ID 63982 //
     /*  910133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  910144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  910147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  910150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910157 */     // MIs[0] op1
     /*  910157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910173 */     // MIs[0] op4
     /*  910173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910193 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910195 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910197 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910199 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910209 */     GIR_RootConstrainSelectedInstOperands,
     /*  910210 */     // GIR_Coverage, 63982,
     /*  910210 */     GIR_EraseRootFromParent_Done,
     /*  910211 */   // Label 13845: @910211
     /*  910211 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(910294), // Rule ID 63983 //
     /*  910216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  910227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  910230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  910233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910240 */     // MIs[0] op1
     /*  910240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910256 */     // MIs[0] op4
     /*  910256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910282 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910292 */     GIR_RootConstrainSelectedInstOperands,
     /*  910293 */     // GIR_Coverage, 63983,
     /*  910293 */     GIR_EraseRootFromParent_Done,
     /*  910294 */   // Label 13846: @910294
     /*  910294 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(910377), // Rule ID 64000 //
     /*  910299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910323 */     // MIs[0] op1
     /*  910323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910339 */     // MIs[0] op4
     /*  910339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  910357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910365 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910375 */     GIR_RootConstrainSelectedInstOperands,
     /*  910376 */     // GIR_Coverage, 64000,
     /*  910376 */     GIR_EraseRootFromParent_Done,
     /*  910377 */   // Label 13847: @910377
     /*  910377 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(910460), // Rule ID 64001 //
     /*  910382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910406 */     // MIs[0] op1
     /*  910406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910422 */     // MIs[0] op4
     /*  910422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  910440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910442 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910444 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910446 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910448 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910458 */     GIR_RootConstrainSelectedInstOperands,
     /*  910459 */     // GIR_Coverage, 64001,
     /*  910459 */     GIR_EraseRootFromParent_Done,
     /*  910460 */   // Label 13848: @910460
     /*  910460 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(910543), // Rule ID 64024 //
     /*  910465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910489 */     // MIs[0] op1
     /*  910489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910505 */     // MIs[0] op4
     /*  910505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910531 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910541 */     GIR_RootConstrainSelectedInstOperands,
     /*  910542 */     // GIR_Coverage, 64024,
     /*  910542 */     GIR_EraseRootFromParent_Done,
     /*  910543 */   // Label 13849: @910543
     /*  910543 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(910626), // Rule ID 64025 //
     /*  910548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910572 */     // MIs[0] op1
     /*  910572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910588 */     // MIs[0] op4
     /*  910588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910608 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910610 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910612 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910614 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910624 */     GIR_RootConstrainSelectedInstOperands,
     /*  910625 */     // GIR_Coverage, 64025,
     /*  910625 */     GIR_EraseRootFromParent_Done,
     /*  910626 */   // Label 13850: @910626
     /*  910626 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(910709), // Rule ID 64048 //
     /*  910631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910655 */     // MIs[0] op1
     /*  910655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910671 */     // MIs[0] op4
     /*  910671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910697 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910707 */     GIR_RootConstrainSelectedInstOperands,
     /*  910708 */     // GIR_Coverage, 64048,
     /*  910708 */     GIR_EraseRootFromParent_Done,
     /*  910709 */   // Label 13851: @910709
     /*  910709 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(910792), // Rule ID 64049 //
     /*  910714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910738 */     // MIs[0] op1
     /*  910738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910754 */     // MIs[0] op4
     /*  910754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910780 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910790 */     GIR_RootConstrainSelectedInstOperands,
     /*  910791 */     // GIR_Coverage, 64049,
     /*  910791 */     GIR_EraseRootFromParent_Done,
     /*  910792 */   // Label 13852: @910792
     /*  910792 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(910875), // Rule ID 64072 //
     /*  910797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910821 */     // MIs[0] op1
     /*  910821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910837 */     // MIs[0] op4
     /*  910837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910857 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910859 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910861 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910863 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910873 */     GIR_RootConstrainSelectedInstOperands,
     /*  910874 */     // GIR_Coverage, 64072,
     /*  910874 */     GIR_EraseRootFromParent_Done,
     /*  910875 */   // Label 13853: @910875
     /*  910875 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(910958), // Rule ID 64073 //
     /*  910880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910904 */     // MIs[0] op1
     /*  910904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910920 */     // MIs[0] op4
     /*  910920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910946 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910956 */     GIR_RootConstrainSelectedInstOperands,
     /*  910957 */     // GIR_Coverage, 64073,
     /*  910957 */     GIR_EraseRootFromParent_Done,
     /*  910958 */   // Label 13854: @910958
     /*  910958 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(911041), // Rule ID 64096 //
     /*  910963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910987 */     // MIs[0] op1
     /*  910987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911003 */     // MIs[0] op4
     /*  911003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911023 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911025 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911027 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911029 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911039 */     GIR_RootConstrainSelectedInstOperands,
     /*  911040 */     // GIR_Coverage, 64096,
     /*  911040 */     GIR_EraseRootFromParent_Done,
     /*  911041 */   // Label 13855: @911041
     /*  911041 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(911124), // Rule ID 64097 //
     /*  911046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  911060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  911063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911070 */     // MIs[0] op1
     /*  911070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911086 */     // MIs[0] op4
     /*  911086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911106 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911108 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911110 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911112 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911122 */     GIR_RootConstrainSelectedInstOperands,
     /*  911123 */     // GIR_Coverage, 64097,
     /*  911123 */     GIR_EraseRootFromParent_Done,
     /*  911124 */   // Label 13856: @911124
     /*  911124 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(911207), // Rule ID 64120 //
     /*  911129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911153 */     // MIs[0] op1
     /*  911153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911169 */     // MIs[0] op4
     /*  911169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  911187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911195 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911205 */     GIR_RootConstrainSelectedInstOperands,
     /*  911206 */     // GIR_Coverage, 64120,
     /*  911206 */     GIR_EraseRootFromParent_Done,
     /*  911207 */   // Label 13857: @911207
     /*  911207 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(911290), // Rule ID 64121 //
     /*  911212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911236 */     // MIs[0] op1
     /*  911236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911252 */     // MIs[0] op4
     /*  911252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  911270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911288 */     GIR_RootConstrainSelectedInstOperands,
     /*  911289 */     // GIR_Coverage, 64121,
     /*  911289 */     GIR_EraseRootFromParent_Done,
     /*  911290 */   // Label 13858: @911290
     /*  911290 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(911373), // Rule ID 64144 //
     /*  911295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  911306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  911309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911319 */     // MIs[0] op1
     /*  911319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911335 */     // MIs[0] op4
     /*  911335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  911353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911355 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911357 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911359 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911361 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911371 */     GIR_RootConstrainSelectedInstOperands,
     /*  911372 */     // GIR_Coverage, 64144,
     /*  911372 */     GIR_EraseRootFromParent_Done,
     /*  911373 */   // Label 13859: @911373
     /*  911373 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(911456), // Rule ID 64145 //
     /*  911378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  911389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  911392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911402 */     // MIs[0] op1
     /*  911402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911418 */     // MIs[0] op4
     /*  911418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  911436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911444 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911454 */     GIR_RootConstrainSelectedInstOperands,
     /*  911455 */     // GIR_Coverage, 64145,
     /*  911455 */     GIR_EraseRootFromParent_Done,
     /*  911456 */   // Label 13860: @911456
     /*  911456 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(911539), // Rule ID 64168 //
     /*  911461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911485 */     // MIs[0] op1
     /*  911485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911501 */     // MIs[0] op4
     /*  911501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911527 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911537 */     GIR_RootConstrainSelectedInstOperands,
     /*  911538 */     // GIR_Coverage, 64168,
     /*  911538 */     GIR_EraseRootFromParent_Done,
     /*  911539 */   // Label 13861: @911539
     /*  911539 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(911622), // Rule ID 64169 //
     /*  911544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911568 */     // MIs[0] op1
     /*  911568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911584 */     // MIs[0] op4
     /*  911584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911599 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911610 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911620 */     GIR_RootConstrainSelectedInstOperands,
     /*  911621 */     // GIR_Coverage, 64169,
     /*  911621 */     GIR_EraseRootFromParent_Done,
     /*  911622 */   // Label 13862: @911622
     /*  911622 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(911705), // Rule ID 64192 //
     /*  911627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911651 */     // MIs[0] op1
     /*  911651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911667 */     // MIs[0] op4
     /*  911667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911693 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911703 */     GIR_RootConstrainSelectedInstOperands,
     /*  911704 */     // GIR_Coverage, 64192,
     /*  911704 */     GIR_EraseRootFromParent_Done,
     /*  911705 */   // Label 13863: @911705
     /*  911705 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(911788), // Rule ID 64193 //
     /*  911710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911734 */     // MIs[0] op1
     /*  911734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911750 */     // MIs[0] op4
     /*  911750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911776 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911786 */     GIR_RootConstrainSelectedInstOperands,
     /*  911787 */     // GIR_Coverage, 64193,
     /*  911787 */     GIR_EraseRootFromParent_Done,
     /*  911788 */   // Label 13864: @911788
     /*  911788 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(911866), // Rule ID 60482 //
     /*  911793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911825 */     // MIs[0] rs2
     /*  911825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911833 */     // MIs[0] policy
     /*  911833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911864 */     GIR_RootConstrainSelectedInstOperands,
     /*  911865 */     // GIR_Coverage, 60482,
     /*  911865 */     GIR_EraseRootFromParent_Done,
     /*  911866 */   // Label 13865: @911866
     /*  911866 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(911944), // Rule ID 60483 //
     /*  911871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911903 */     // MIs[0] rs2
     /*  911903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911911 */     // MIs[0] policy
     /*  911911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911942 */     GIR_RootConstrainSelectedInstOperands,
     /*  911943 */     // GIR_Coverage, 60483,
     /*  911943 */     GIR_EraseRootFromParent_Done,
     /*  911944 */   // Label 13866: @911944
     /*  911944 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(912022), // Rule ID 62138 //
     /*  911949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911981 */     // MIs[0] rs2
     /*  911981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911989 */     // MIs[0] policy
     /*  911989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  912002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912020 */     GIR_RootConstrainSelectedInstOperands,
     /*  912021 */     // GIR_Coverage, 62138,
     /*  912021 */     GIR_EraseRootFromParent_Done,
     /*  912022 */   // Label 13867: @912022
     /*  912022 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(912100), // Rule ID 62139 //
     /*  912027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912059 */     // MIs[0] rs2
     /*  912059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912067 */     // MIs[0] policy
     /*  912067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  912080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912098 */     GIR_RootConstrainSelectedInstOperands,
     /*  912099 */     // GIR_Coverage, 62139,
     /*  912099 */     GIR_EraseRootFromParent_Done,
     /*  912100 */   // Label 13868: @912100
     /*  912100 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(912178), // Rule ID 62140 //
     /*  912105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912137 */     // MIs[0] rs2
     /*  912137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912145 */     // MIs[0] policy
     /*  912145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  912158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912176 */     GIR_RootConstrainSelectedInstOperands,
     /*  912177 */     // GIR_Coverage, 62140,
     /*  912177 */     GIR_EraseRootFromParent_Done,
     /*  912178 */   // Label 13869: @912178
     /*  912178 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(912256), // Rule ID 62141 //
     /*  912183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912215 */     // MIs[0] rs2
     /*  912215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912223 */     // MIs[0] policy
     /*  912223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  912236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912254 */     GIR_RootConstrainSelectedInstOperands,
     /*  912255 */     // GIR_Coverage, 62141,
     /*  912255 */     GIR_EraseRootFromParent_Done,
     /*  912256 */   // Label 13870: @912256
     /*  912256 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(912334), // Rule ID 62142 //
     /*  912261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912293 */     // MIs[0] rs2
     /*  912293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912301 */     // MIs[0] policy
     /*  912301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  912314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912332 */     GIR_RootConstrainSelectedInstOperands,
     /*  912333 */     // GIR_Coverage, 62142,
     /*  912333 */     GIR_EraseRootFromParent_Done,
     /*  912334 */   // Label 13871: @912334
     /*  912334 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(912412), // Rule ID 62143 //
     /*  912339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912371 */     // MIs[0] rs2
     /*  912371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912379 */     // MIs[0] policy
     /*  912379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  912392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912410 */     GIR_RootConstrainSelectedInstOperands,
     /*  912411 */     // GIR_Coverage, 62143,
     /*  912411 */     GIR_EraseRootFromParent_Done,
     /*  912412 */   // Label 13872: @912412
     /*  912412 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(912490), // Rule ID 62144 //
     /*  912417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912449 */     // MIs[0] rs2
     /*  912449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912457 */     // MIs[0] policy
     /*  912457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912488 */     GIR_RootConstrainSelectedInstOperands,
     /*  912489 */     // GIR_Coverage, 62144,
     /*  912489 */     GIR_EraseRootFromParent_Done,
     /*  912490 */   // Label 13873: @912490
     /*  912490 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(912568), // Rule ID 62145 //
     /*  912495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912527 */     // MIs[0] rs2
     /*  912527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912535 */     // MIs[0] policy
     /*  912535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912545 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912566 */     GIR_RootConstrainSelectedInstOperands,
     /*  912567 */     // GIR_Coverage, 62145,
     /*  912567 */     GIR_EraseRootFromParent_Done,
     /*  912568 */   // Label 13874: @912568
     /*  912568 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(912646), // Rule ID 62306 //
     /*  912573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912605 */     // MIs[0] rs2
     /*  912605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912613 */     // MIs[0] policy
     /*  912613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912644 */     GIR_RootConstrainSelectedInstOperands,
     /*  912645 */     // GIR_Coverage, 62306,
     /*  912645 */     GIR_EraseRootFromParent_Done,
     /*  912646 */   // Label 13875: @912646
     /*  912646 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(912724), // Rule ID 62307 //
     /*  912651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912683 */     // MIs[0] rs2
     /*  912683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912691 */     // MIs[0] policy
     /*  912691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912722 */     GIR_RootConstrainSelectedInstOperands,
     /*  912723 */     // GIR_Coverage, 62307,
     /*  912723 */     GIR_EraseRootFromParent_Done,
     /*  912724 */   // Label 13876: @912724
     /*  912724 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(912802), // Rule ID 62308 //
     /*  912729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912761 */     // MIs[0] rs2
     /*  912761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912764 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912769 */     // MIs[0] policy
     /*  912769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912800 */     GIR_RootConstrainSelectedInstOperands,
     /*  912801 */     // GIR_Coverage, 62308,
     /*  912801 */     GIR_EraseRootFromParent_Done,
     /*  912802 */   // Label 13877: @912802
     /*  912802 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(912880), // Rule ID 62309 //
     /*  912807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912839 */     // MIs[0] rs2
     /*  912839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912847 */     // MIs[0] policy
     /*  912847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912878 */     GIR_RootConstrainSelectedInstOperands,
     /*  912879 */     // GIR_Coverage, 62309,
     /*  912879 */     GIR_EraseRootFromParent_Done,
     /*  912880 */   // Label 13878: @912880
     /*  912880 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(912958), // Rule ID 62310 //
     /*  912885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912917 */     // MIs[0] rs2
     /*  912917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912925 */     // MIs[0] policy
     /*  912925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  912938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912956 */     GIR_RootConstrainSelectedInstOperands,
     /*  912957 */     // GIR_Coverage, 62310,
     /*  912957 */     GIR_EraseRootFromParent_Done,
     /*  912958 */   // Label 13879: @912958
     /*  912958 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(913036), // Rule ID 62311 //
     /*  912963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912995 */     // MIs[0] rs2
     /*  912995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913003 */     // MIs[0] policy
     /*  913003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  913016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913034 */     GIR_RootConstrainSelectedInstOperands,
     /*  913035 */     // GIR_Coverage, 62311,
     /*  913035 */     GIR_EraseRootFromParent_Done,
     /*  913036 */   // Label 13880: @913036
     /*  913036 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(913114), // Rule ID 62312 //
     /*  913041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913073 */     // MIs[0] rs2
     /*  913073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913081 */     // MIs[0] policy
     /*  913081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  913094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913112 */     GIR_RootConstrainSelectedInstOperands,
     /*  913113 */     // GIR_Coverage, 62312,
     /*  913113 */     GIR_EraseRootFromParent_Done,
     /*  913114 */   // Label 13881: @913114
     /*  913114 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(913192), // Rule ID 62313 //
     /*  913119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913151 */     // MIs[0] rs2
     /*  913151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913159 */     // MIs[0] policy
     /*  913159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  913172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913190 */     GIR_RootConstrainSelectedInstOperands,
     /*  913191 */     // GIR_Coverage, 62313,
     /*  913191 */     GIR_EraseRootFromParent_Done,
     /*  913192 */   // Label 13882: @913192
     /*  913192 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(913270), // Rule ID 62314 //
     /*  913197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913229 */     // MIs[0] rs2
     /*  913229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913237 */     // MIs[0] policy
     /*  913237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  913250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913268 */     GIR_RootConstrainSelectedInstOperands,
     /*  913269 */     // GIR_Coverage, 62314,
     /*  913269 */     GIR_EraseRootFromParent_Done,
     /*  913270 */   // Label 13883: @913270
     /*  913270 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(913348), // Rule ID 62315 //
     /*  913275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913307 */     // MIs[0] rs2
     /*  913307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913315 */     // MIs[0] policy
     /*  913315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  913328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913346 */     GIR_RootConstrainSelectedInstOperands,
     /*  913347 */     // GIR_Coverage, 62315,
     /*  913347 */     GIR_EraseRootFromParent_Done,
     /*  913348 */   // Label 13884: @913348
     /*  913348 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(913436), // Rule ID 23580 //
     /*  913353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913400 */     // MIs[1] Operand 1
     /*  913400 */     // No operand predicates
     /*  913400 */     // MIs[0] policy
     /*  913400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  913415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913434 */     GIR_RootConstrainSelectedInstOperands,
     /*  913435 */     // GIR_Coverage, 23580,
     /*  913435 */     GIR_EraseRootFromParent_Done,
     /*  913436 */   // Label 13885: @913436
     /*  913436 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(913524), // Rule ID 23581 //
     /*  913441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913488 */     // MIs[1] Operand 1
     /*  913488 */     // No operand predicates
     /*  913488 */     // MIs[0] policy
     /*  913488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  913503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913522 */     GIR_RootConstrainSelectedInstOperands,
     /*  913523 */     // GIR_Coverage, 23581,
     /*  913523 */     GIR_EraseRootFromParent_Done,
     /*  913524 */   // Label 13886: @913524
     /*  913524 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(913612), // Rule ID 23584 //
     /*  913529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913576 */     // MIs[1] Operand 1
     /*  913576 */     // No operand predicates
     /*  913576 */     // MIs[0] policy
     /*  913576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913588 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913610 */     GIR_RootConstrainSelectedInstOperands,
     /*  913611 */     // GIR_Coverage, 23584,
     /*  913611 */     GIR_EraseRootFromParent_Done,
     /*  913612 */   // Label 13887: @913612
     /*  913612 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(913700), // Rule ID 23585 //
     /*  913617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913664 */     // MIs[1] Operand 1
     /*  913664 */     // No operand predicates
     /*  913664 */     // MIs[0] policy
     /*  913664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913698 */     GIR_RootConstrainSelectedInstOperands,
     /*  913699 */     // GIR_Coverage, 23585,
     /*  913699 */     GIR_EraseRootFromParent_Done,
     /*  913700 */   // Label 13888: @913700
     /*  913700 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(913788), // Rule ID 23588 //
     /*  913705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913752 */     // MIs[1] Operand 1
     /*  913752 */     // No operand predicates
     /*  913752 */     // MIs[0] policy
     /*  913752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913786 */     GIR_RootConstrainSelectedInstOperands,
     /*  913787 */     // GIR_Coverage, 23588,
     /*  913787 */     GIR_EraseRootFromParent_Done,
     /*  913788 */   // Label 13889: @913788
     /*  913788 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(913876), // Rule ID 23589 //
     /*  913793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913840 */     // MIs[1] Operand 1
     /*  913840 */     // No operand predicates
     /*  913840 */     // MIs[0] policy
     /*  913840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913874 */     GIR_RootConstrainSelectedInstOperands,
     /*  913875 */     // GIR_Coverage, 23589,
     /*  913875 */     GIR_EraseRootFromParent_Done,
     /*  913876 */   // Label 13890: @913876
     /*  913876 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(913964), // Rule ID 23592 //
     /*  913881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913928 */     // MIs[1] Operand 1
     /*  913928 */     // No operand predicates
     /*  913928 */     // MIs[0] policy
     /*  913928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913940 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913962 */     GIR_RootConstrainSelectedInstOperands,
     /*  913963 */     // GIR_Coverage, 23592,
     /*  913963 */     GIR_EraseRootFromParent_Done,
     /*  913964 */   // Label 13891: @913964
     /*  913964 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(914052), // Rule ID 23593 //
     /*  913969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914016 */     // MIs[1] Operand 1
     /*  914016 */     // No operand predicates
     /*  914016 */     // MIs[0] policy
     /*  914016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914050 */     GIR_RootConstrainSelectedInstOperands,
     /*  914051 */     // GIR_Coverage, 23593,
     /*  914051 */     GIR_EraseRootFromParent_Done,
     /*  914052 */   // Label 13892: @914052
     /*  914052 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(914140), // Rule ID 23596 //
     /*  914057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  914071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914104 */     // MIs[1] Operand 1
     /*  914104 */     // No operand predicates
     /*  914104 */     // MIs[0] policy
     /*  914104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914116 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914138 */     GIR_RootConstrainSelectedInstOperands,
     /*  914139 */     // GIR_Coverage, 23596,
     /*  914139 */     GIR_EraseRootFromParent_Done,
     /*  914140 */   // Label 13893: @914140
     /*  914140 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(914228), // Rule ID 23597 //
     /*  914145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  914159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914192 */     // MIs[1] Operand 1
     /*  914192 */     // No operand predicates
     /*  914192 */     // MIs[0] policy
     /*  914192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914226 */     GIR_RootConstrainSelectedInstOperands,
     /*  914227 */     // GIR_Coverage, 23597,
     /*  914227 */     GIR_EraseRootFromParent_Done,
     /*  914228 */   // Label 13894: @914228
     /*  914228 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(914316), // Rule ID 23600 //
     /*  914233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  914247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914280 */     // MIs[1] Operand 1
     /*  914280 */     // No operand predicates
     /*  914280 */     // MIs[0] policy
     /*  914280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914314 */     GIR_RootConstrainSelectedInstOperands,
     /*  914315 */     // GIR_Coverage, 23600,
     /*  914315 */     GIR_EraseRootFromParent_Done,
     /*  914316 */   // Label 13895: @914316
     /*  914316 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(914404), // Rule ID 23601 //
     /*  914321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  914335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914368 */     // MIs[1] Operand 1
     /*  914368 */     // No operand predicates
     /*  914368 */     // MIs[0] policy
     /*  914368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914402 */     GIR_RootConstrainSelectedInstOperands,
     /*  914403 */     // GIR_Coverage, 23601,
     /*  914403 */     GIR_EraseRootFromParent_Done,
     /*  914404 */   // Label 13896: @914404
     /*  914404 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(914492), // Rule ID 23604 //
     /*  914409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  914420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  914423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914456 */     // MIs[1] Operand 1
     /*  914456 */     // No operand predicates
     /*  914456 */     // MIs[0] policy
     /*  914456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914490 */     GIR_RootConstrainSelectedInstOperands,
     /*  914491 */     // GIR_Coverage, 23604,
     /*  914491 */     GIR_EraseRootFromParent_Done,
     /*  914492 */   // Label 13897: @914492
     /*  914492 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(914580), // Rule ID 23605 //
     /*  914497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  914508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  914511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914544 */     // MIs[1] Operand 1
     /*  914544 */     // No operand predicates
     /*  914544 */     // MIs[0] policy
     /*  914544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914578 */     GIR_RootConstrainSelectedInstOperands,
     /*  914579 */     // GIR_Coverage, 23605,
     /*  914579 */     GIR_EraseRootFromParent_Done,
     /*  914580 */   // Label 13898: @914580
     /*  914580 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(914668), // Rule ID 23608 //
     /*  914585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914632 */     // MIs[1] Operand 1
     /*  914632 */     // No operand predicates
     /*  914632 */     // MIs[0] policy
     /*  914632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914666 */     GIR_RootConstrainSelectedInstOperands,
     /*  914667 */     // GIR_Coverage, 23608,
     /*  914667 */     GIR_EraseRootFromParent_Done,
     /*  914668 */   // Label 13899: @914668
     /*  914668 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(914756), // Rule ID 23609 //
     /*  914673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914720 */     // MIs[1] Operand 1
     /*  914720 */     // No operand predicates
     /*  914720 */     // MIs[0] policy
     /*  914720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914754 */     GIR_RootConstrainSelectedInstOperands,
     /*  914755 */     // GIR_Coverage, 23609,
     /*  914755 */     GIR_EraseRootFromParent_Done,
     /*  914756 */   // Label 13900: @914756
     /*  914756 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(914844), // Rule ID 23612 //
     /*  914761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914808 */     // MIs[1] Operand 1
     /*  914808 */     // No operand predicates
     /*  914808 */     // MIs[0] policy
     /*  914808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914842 */     GIR_RootConstrainSelectedInstOperands,
     /*  914843 */     // GIR_Coverage, 23612,
     /*  914843 */     GIR_EraseRootFromParent_Done,
     /*  914844 */   // Label 13901: @914844
     /*  914844 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(914932), // Rule ID 23613 //
     /*  914849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914896 */     // MIs[1] Operand 1
     /*  914896 */     // No operand predicates
     /*  914896 */     // MIs[0] policy
     /*  914896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914930 */     GIR_RootConstrainSelectedInstOperands,
     /*  914931 */     // GIR_Coverage, 23613,
     /*  914931 */     GIR_EraseRootFromParent_Done,
     /*  914932 */   // Label 13902: @914932
     /*  914932 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(915020), // Rule ID 23616 //
     /*  914937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  914954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914984 */     // MIs[1] Operand 1
     /*  914984 */     // No operand predicates
     /*  914984 */     // MIs[0] policy
     /*  914984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915018 */     GIR_RootConstrainSelectedInstOperands,
     /*  915019 */     // GIR_Coverage, 23616,
     /*  915019 */     GIR_EraseRootFromParent_Done,
     /*  915020 */   // Label 13903: @915020
     /*  915020 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(915108), // Rule ID 23617 //
     /*  915025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915072 */     // MIs[1] Operand 1
     /*  915072 */     // No operand predicates
     /*  915072 */     // MIs[0] policy
     /*  915072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915106 */     GIR_RootConstrainSelectedInstOperands,
     /*  915107 */     // GIR_Coverage, 23617,
     /*  915107 */     GIR_EraseRootFromParent_Done,
     /*  915108 */   // Label 13904: @915108
     /*  915108 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(915196), // Rule ID 23620 //
     /*  915113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  915124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  915127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  915130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915160 */     // MIs[1] Operand 1
     /*  915160 */     // No operand predicates
     /*  915160 */     // MIs[0] policy
     /*  915160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915194 */     GIR_RootConstrainSelectedInstOperands,
     /*  915195 */     // GIR_Coverage, 23620,
     /*  915195 */     GIR_EraseRootFromParent_Done,
     /*  915196 */   // Label 13905: @915196
     /*  915196 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(915284), // Rule ID 23621 //
     /*  915201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  915212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  915215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  915218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915248 */     // MIs[1] Operand 1
     /*  915248 */     // No operand predicates
     /*  915248 */     // MIs[0] policy
     /*  915248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915282 */     GIR_RootConstrainSelectedInstOperands,
     /*  915283 */     // GIR_Coverage, 23621,
     /*  915283 */     GIR_EraseRootFromParent_Done,
     /*  915284 */   // Label 13906: @915284
     /*  915284 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(915372), // Rule ID 23624 //
     /*  915289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  915300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  915303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  915306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915336 */     // MIs[1] Operand 1
     /*  915336 */     // No operand predicates
     /*  915336 */     // MIs[0] policy
     /*  915336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915348 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915370 */     GIR_RootConstrainSelectedInstOperands,
     /*  915371 */     // GIR_Coverage, 23624,
     /*  915371 */     GIR_EraseRootFromParent_Done,
     /*  915372 */   // Label 13907: @915372
     /*  915372 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(915460), // Rule ID 23625 //
     /*  915377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  915388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  915391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  915394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915424 */     // MIs[1] Operand 1
     /*  915424 */     // No operand predicates
     /*  915424 */     // MIs[0] policy
     /*  915424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915458 */     GIR_RootConstrainSelectedInstOperands,
     /*  915459 */     // GIR_Coverage, 23625,
     /*  915459 */     GIR_EraseRootFromParent_Done,
     /*  915460 */   // Label 13908: @915460
     /*  915460 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(915548), // Rule ID 23628 //
     /*  915465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915512 */     // MIs[1] Operand 1
     /*  915512 */     // No operand predicates
     /*  915512 */     // MIs[0] policy
     /*  915512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915546 */     GIR_RootConstrainSelectedInstOperands,
     /*  915547 */     // GIR_Coverage, 23628,
     /*  915547 */     GIR_EraseRootFromParent_Done,
     /*  915548 */   // Label 13909: @915548
     /*  915548 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(915636), // Rule ID 23629 //
     /*  915553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915600 */     // MIs[1] Operand 1
     /*  915600 */     // No operand predicates
     /*  915600 */     // MIs[0] policy
     /*  915600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915634 */     GIR_RootConstrainSelectedInstOperands,
     /*  915635 */     // GIR_Coverage, 23629,
     /*  915635 */     GIR_EraseRootFromParent_Done,
     /*  915636 */   // Label 13910: @915636
     /*  915636 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(915724), // Rule ID 23632 //
     /*  915641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915688 */     // MIs[1] Operand 1
     /*  915688 */     // No operand predicates
     /*  915688 */     // MIs[0] policy
     /*  915688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915722 */     GIR_RootConstrainSelectedInstOperands,
     /*  915723 */     // GIR_Coverage, 23632,
     /*  915723 */     GIR_EraseRootFromParent_Done,
     /*  915724 */   // Label 13911: @915724
     /*  915724 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(915812), // Rule ID 23633 //
     /*  915729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915776 */     // MIs[1] Operand 1
     /*  915776 */     // No operand predicates
     /*  915776 */     // MIs[0] policy
     /*  915776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915810 */     GIR_RootConstrainSelectedInstOperands,
     /*  915811 */     // GIR_Coverage, 23633,
     /*  915811 */     GIR_EraseRootFromParent_Done,
     /*  915812 */   // Label 13912: @915812
     /*  915812 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(915900), // Rule ID 23636 //
     /*  915817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915864 */     // MIs[1] Operand 1
     /*  915864 */     // No operand predicates
     /*  915864 */     // MIs[0] policy
     /*  915864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915898 */     GIR_RootConstrainSelectedInstOperands,
     /*  915899 */     // GIR_Coverage, 23636,
     /*  915899 */     GIR_EraseRootFromParent_Done,
     /*  915900 */   // Label 13913: @915900
     /*  915900 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(915988), // Rule ID 23637 //
     /*  915905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915952 */     // MIs[1] Operand 1
     /*  915952 */     // No operand predicates
     /*  915952 */     // MIs[0] policy
     /*  915952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915986 */     GIR_RootConstrainSelectedInstOperands,
     /*  915987 */     // GIR_Coverage, 23637,
     /*  915987 */     GIR_EraseRootFromParent_Done,
     /*  915988 */   // Label 13914: @915988
     /*  915988 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(916076), // Rule ID 23640 //
     /*  915993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  916004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  916007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916040 */     // MIs[1] Operand 1
     /*  916040 */     // No operand predicates
     /*  916040 */     // MIs[0] policy
     /*  916040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916074 */     GIR_RootConstrainSelectedInstOperands,
     /*  916075 */     // GIR_Coverage, 23640,
     /*  916075 */     GIR_EraseRootFromParent_Done,
     /*  916076 */   // Label 13915: @916076
     /*  916076 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(916164), // Rule ID 23641 //
     /*  916081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  916092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  916095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916128 */     // MIs[1] Operand 1
     /*  916128 */     // No operand predicates
     /*  916128 */     // MIs[0] policy
     /*  916128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916140 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916162 */     GIR_RootConstrainSelectedInstOperands,
     /*  916163 */     // GIR_Coverage, 23641,
     /*  916163 */     GIR_EraseRootFromParent_Done,
     /*  916164 */   // Label 13916: @916164
     /*  916164 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(916252), // Rule ID 23644 //
     /*  916169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916216 */     // MIs[1] Operand 1
     /*  916216 */     // No operand predicates
     /*  916216 */     // MIs[0] policy
     /*  916216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916250 */     GIR_RootConstrainSelectedInstOperands,
     /*  916251 */     // GIR_Coverage, 23644,
     /*  916251 */     GIR_EraseRootFromParent_Done,
     /*  916252 */   // Label 13917: @916252
     /*  916252 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(916340), // Rule ID 23645 //
     /*  916257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916304 */     // MIs[1] Operand 1
     /*  916304 */     // No operand predicates
     /*  916304 */     // MIs[0] policy
     /*  916304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916338 */     GIR_RootConstrainSelectedInstOperands,
     /*  916339 */     // GIR_Coverage, 23645,
     /*  916339 */     GIR_EraseRootFromParent_Done,
     /*  916340 */   // Label 13918: @916340
     /*  916340 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(916428), // Rule ID 23648 //
     /*  916345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916392 */     // MIs[1] Operand 1
     /*  916392 */     // No operand predicates
     /*  916392 */     // MIs[0] policy
     /*  916392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916426 */     GIR_RootConstrainSelectedInstOperands,
     /*  916427 */     // GIR_Coverage, 23648,
     /*  916427 */     GIR_EraseRootFromParent_Done,
     /*  916428 */   // Label 13919: @916428
     /*  916428 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(916516), // Rule ID 23649 //
     /*  916433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916480 */     // MIs[1] Operand 1
     /*  916480 */     // No operand predicates
     /*  916480 */     // MIs[0] policy
     /*  916480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916514 */     GIR_RootConstrainSelectedInstOperands,
     /*  916515 */     // GIR_Coverage, 23649,
     /*  916515 */     GIR_EraseRootFromParent_Done,
     /*  916516 */   // Label 13920: @916516
     /*  916516 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(916604), // Rule ID 23652 //
     /*  916521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916568 */     // MIs[1] Operand 1
     /*  916568 */     // No operand predicates
     /*  916568 */     // MIs[0] policy
     /*  916568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916602 */     GIR_RootConstrainSelectedInstOperands,
     /*  916603 */     // GIR_Coverage, 23652,
     /*  916603 */     GIR_EraseRootFromParent_Done,
     /*  916604 */   // Label 13921: @916604
     /*  916604 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(916692), // Rule ID 23653 //
     /*  916609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916656 */     // MIs[1] Operand 1
     /*  916656 */     // No operand predicates
     /*  916656 */     // MIs[0] policy
     /*  916656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916690 */     GIR_RootConstrainSelectedInstOperands,
     /*  916691 */     // GIR_Coverage, 23653,
     /*  916691 */     GIR_EraseRootFromParent_Done,
     /*  916692 */   // Label 13922: @916692
     /*  916692 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(916780), // Rule ID 23656 //
     /*  916697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916744 */     // MIs[1] Operand 1
     /*  916744 */     // No operand predicates
     /*  916744 */     // MIs[0] policy
     /*  916744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916778 */     GIR_RootConstrainSelectedInstOperands,
     /*  916779 */     // GIR_Coverage, 23656,
     /*  916779 */     GIR_EraseRootFromParent_Done,
     /*  916780 */   // Label 13923: @916780
     /*  916780 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(916868), // Rule ID 23657 //
     /*  916785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916832 */     // MIs[1] Operand 1
     /*  916832 */     // No operand predicates
     /*  916832 */     // MIs[0] policy
     /*  916832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916866 */     GIR_RootConstrainSelectedInstOperands,
     /*  916867 */     // GIR_Coverage, 23657,
     /*  916867 */     GIR_EraseRootFromParent_Done,
     /*  916868 */   // Label 13924: @916868
     /*  916868 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(916956), // Rule ID 23660 //
     /*  916873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916920 */     // MIs[1] Operand 1
     /*  916920 */     // No operand predicates
     /*  916920 */     // MIs[0] policy
     /*  916920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916954 */     GIR_RootConstrainSelectedInstOperands,
     /*  916955 */     // GIR_Coverage, 23660,
     /*  916955 */     GIR_EraseRootFromParent_Done,
     /*  916956 */   // Label 13925: @916956
     /*  916956 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(917044), // Rule ID 23661 //
     /*  916961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917008 */     // MIs[1] Operand 1
     /*  917008 */     // No operand predicates
     /*  917008 */     // MIs[0] policy
     /*  917008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917042 */     GIR_RootConstrainSelectedInstOperands,
     /*  917043 */     // GIR_Coverage, 23661,
     /*  917043 */     GIR_EraseRootFromParent_Done,
     /*  917044 */   // Label 13926: @917044
     /*  917044 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(917132), // Rule ID 23664 //
     /*  917049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  917052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917096 */     // MIs[1] Operand 1
     /*  917096 */     // No operand predicates
     /*  917096 */     // MIs[0] policy
     /*  917096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917130 */     GIR_RootConstrainSelectedInstOperands,
     /*  917131 */     // GIR_Coverage, 23664,
     /*  917131 */     GIR_EraseRootFromParent_Done,
     /*  917132 */   // Label 13927: @917132
     /*  917132 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(917220), // Rule ID 23665 //
     /*  917137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  917140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917184 */     // MIs[1] Operand 1
     /*  917184 */     // No operand predicates
     /*  917184 */     // MIs[0] policy
     /*  917184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917218 */     GIR_RootConstrainSelectedInstOperands,
     /*  917219 */     // GIR_Coverage, 23665,
     /*  917219 */     GIR_EraseRootFromParent_Done,
     /*  917220 */   // Label 13928: @917220
     /*  917220 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(917308), // Rule ID 23756 //
     /*  917225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917272 */     // MIs[1] Operand 1
     /*  917272 */     // No operand predicates
     /*  917272 */     // MIs[0] policy
     /*  917272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917284 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  917287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917306 */     GIR_RootConstrainSelectedInstOperands,
     /*  917307 */     // GIR_Coverage, 23756,
     /*  917307 */     GIR_EraseRootFromParent_Done,
     /*  917308 */   // Label 13929: @917308
     /*  917308 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(917396), // Rule ID 23757 //
     /*  917313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917360 */     // MIs[1] Operand 1
     /*  917360 */     // No operand predicates
     /*  917360 */     // MIs[0] policy
     /*  917360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  917375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917394 */     GIR_RootConstrainSelectedInstOperands,
     /*  917395 */     // GIR_Coverage, 23757,
     /*  917395 */     GIR_EraseRootFromParent_Done,
     /*  917396 */   // Label 13930: @917396
     /*  917396 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(917484), // Rule ID 23760 //
     /*  917401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917448 */     // MIs[1] Operand 1
     /*  917448 */     // No operand predicates
     /*  917448 */     // MIs[0] policy
     /*  917448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917482 */     GIR_RootConstrainSelectedInstOperands,
     /*  917483 */     // GIR_Coverage, 23760,
     /*  917483 */     GIR_EraseRootFromParent_Done,
     /*  917484 */   // Label 13931: @917484
     /*  917484 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(917572), // Rule ID 23761 //
     /*  917489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917536 */     // MIs[1] Operand 1
     /*  917536 */     // No operand predicates
     /*  917536 */     // MIs[0] policy
     /*  917536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917548 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917570 */     GIR_RootConstrainSelectedInstOperands,
     /*  917571 */     // GIR_Coverage, 23761,
     /*  917571 */     GIR_EraseRootFromParent_Done,
     /*  917572 */   // Label 13932: @917572
     /*  917572 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(917660), // Rule ID 23764 //
     /*  917577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917624 */     // MIs[1] Operand 1
     /*  917624 */     // No operand predicates
     /*  917624 */     // MIs[0] policy
     /*  917624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917658 */     GIR_RootConstrainSelectedInstOperands,
     /*  917659 */     // GIR_Coverage, 23764,
     /*  917659 */     GIR_EraseRootFromParent_Done,
     /*  917660 */   // Label 13933: @917660
     /*  917660 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(917748), // Rule ID 23765 //
     /*  917665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917712 */     // MIs[1] Operand 1
     /*  917712 */     // No operand predicates
     /*  917712 */     // MIs[0] policy
     /*  917712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917746 */     GIR_RootConstrainSelectedInstOperands,
     /*  917747 */     // GIR_Coverage, 23765,
     /*  917747 */     GIR_EraseRootFromParent_Done,
     /*  917748 */   // Label 13934: @917748
     /*  917748 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(917836), // Rule ID 23768 //
     /*  917753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917800 */     // MIs[1] Operand 1
     /*  917800 */     // No operand predicates
     /*  917800 */     // MIs[0] policy
     /*  917800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917812 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917834 */     GIR_RootConstrainSelectedInstOperands,
     /*  917835 */     // GIR_Coverage, 23768,
     /*  917835 */     GIR_EraseRootFromParent_Done,
     /*  917836 */   // Label 13935: @917836
     /*  917836 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(917924), // Rule ID 23769 //
     /*  917841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917888 */     // MIs[1] Operand 1
     /*  917888 */     // No operand predicates
     /*  917888 */     // MIs[0] policy
     /*  917888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917922 */     GIR_RootConstrainSelectedInstOperands,
     /*  917923 */     // GIR_Coverage, 23769,
     /*  917923 */     GIR_EraseRootFromParent_Done,
     /*  917924 */   // Label 13936: @917924
     /*  917924 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(918012), // Rule ID 23772 //
     /*  917929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917976 */     // MIs[1] Operand 1
     /*  917976 */     // No operand predicates
     /*  917976 */     // MIs[0] policy
     /*  917976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918010 */     GIR_RootConstrainSelectedInstOperands,
     /*  918011 */     // GIR_Coverage, 23772,
     /*  918011 */     GIR_EraseRootFromParent_Done,
     /*  918012 */   // Label 13937: @918012
     /*  918012 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(918100), // Rule ID 23773 //
     /*  918017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918064 */     // MIs[1] Operand 1
     /*  918064 */     // No operand predicates
     /*  918064 */     // MIs[0] policy
     /*  918064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918076 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918098 */     GIR_RootConstrainSelectedInstOperands,
     /*  918099 */     // GIR_Coverage, 23773,
     /*  918099 */     GIR_EraseRootFromParent_Done,
     /*  918100 */   // Label 13938: @918100
     /*  918100 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(918188), // Rule ID 23776 //
     /*  918105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918152 */     // MIs[1] Operand 1
     /*  918152 */     // No operand predicates
     /*  918152 */     // MIs[0] policy
     /*  918152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918186 */     GIR_RootConstrainSelectedInstOperands,
     /*  918187 */     // GIR_Coverage, 23776,
     /*  918187 */     GIR_EraseRootFromParent_Done,
     /*  918188 */   // Label 13939: @918188
     /*  918188 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(918276), // Rule ID 23777 //
     /*  918193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918240 */     // MIs[1] Operand 1
     /*  918240 */     // No operand predicates
     /*  918240 */     // MIs[0] policy
     /*  918240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918274 */     GIR_RootConstrainSelectedInstOperands,
     /*  918275 */     // GIR_Coverage, 23777,
     /*  918275 */     GIR_EraseRootFromParent_Done,
     /*  918276 */   // Label 13940: @918276
     /*  918276 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(918364), // Rule ID 23780 //
     /*  918281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918328 */     // MIs[1] Operand 1
     /*  918328 */     // No operand predicates
     /*  918328 */     // MIs[0] policy
     /*  918328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918362 */     GIR_RootConstrainSelectedInstOperands,
     /*  918363 */     // GIR_Coverage, 23780,
     /*  918363 */     GIR_EraseRootFromParent_Done,
     /*  918364 */   // Label 13941: @918364
     /*  918364 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(918452), // Rule ID 23781 //
     /*  918369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918416 */     // MIs[1] Operand 1
     /*  918416 */     // No operand predicates
     /*  918416 */     // MIs[0] policy
     /*  918416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918450 */     GIR_RootConstrainSelectedInstOperands,
     /*  918451 */     // GIR_Coverage, 23781,
     /*  918451 */     GIR_EraseRootFromParent_Done,
     /*  918452 */   // Label 13942: @918452
     /*  918452 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(918540), // Rule ID 23784 //
     /*  918457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918504 */     // MIs[1] Operand 1
     /*  918504 */     // No operand predicates
     /*  918504 */     // MIs[0] policy
     /*  918504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918538 */     GIR_RootConstrainSelectedInstOperands,
     /*  918539 */     // GIR_Coverage, 23784,
     /*  918539 */     GIR_EraseRootFromParent_Done,
     /*  918540 */   // Label 13943: @918540
     /*  918540 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(918628), // Rule ID 23785 //
     /*  918545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918592 */     // MIs[1] Operand 1
     /*  918592 */     // No operand predicates
     /*  918592 */     // MIs[0] policy
     /*  918592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918604 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918626 */     GIR_RootConstrainSelectedInstOperands,
     /*  918627 */     // GIR_Coverage, 23785,
     /*  918627 */     GIR_EraseRootFromParent_Done,
     /*  918628 */   // Label 13944: @918628
     /*  918628 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(918716), // Rule ID 23788 //
     /*  918633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918680 */     // MIs[1] Operand 1
     /*  918680 */     // No operand predicates
     /*  918680 */     // MIs[0] policy
     /*  918680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918714 */     GIR_RootConstrainSelectedInstOperands,
     /*  918715 */     // GIR_Coverage, 23788,
     /*  918715 */     GIR_EraseRootFromParent_Done,
     /*  918716 */   // Label 13945: @918716
     /*  918716 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(918804), // Rule ID 23789 //
     /*  918721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918768 */     // MIs[1] Operand 1
     /*  918768 */     // No operand predicates
     /*  918768 */     // MIs[0] policy
     /*  918768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918802 */     GIR_RootConstrainSelectedInstOperands,
     /*  918803 */     // GIR_Coverage, 23789,
     /*  918803 */     GIR_EraseRootFromParent_Done,
     /*  918804 */   // Label 13946: @918804
     /*  918804 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(918892), // Rule ID 23792 //
     /*  918809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  918812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918856 */     // MIs[1] Operand 1
     /*  918856 */     // No operand predicates
     /*  918856 */     // MIs[0] policy
     /*  918856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918890 */     GIR_RootConstrainSelectedInstOperands,
     /*  918891 */     // GIR_Coverage, 23792,
     /*  918891 */     GIR_EraseRootFromParent_Done,
     /*  918892 */   // Label 13947: @918892
     /*  918892 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(918980), // Rule ID 23793 //
     /*  918897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  918900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918944 */     // MIs[1] Operand 1
     /*  918944 */     // No operand predicates
     /*  918944 */     // MIs[0] policy
     /*  918944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918978 */     GIR_RootConstrainSelectedInstOperands,
     /*  918979 */     // GIR_Coverage, 23793,
     /*  918979 */     GIR_EraseRootFromParent_Done,
     /*  918980 */   // Label 13948: @918980
     /*  918980 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(919068), // Rule ID 23796 //
     /*  918985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  918996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  918999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919032 */     // MIs[1] Operand 1
     /*  919032 */     // No operand predicates
     /*  919032 */     // MIs[0] policy
     /*  919032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919066 */     GIR_RootConstrainSelectedInstOperands,
     /*  919067 */     // GIR_Coverage, 23796,
     /*  919067 */     GIR_EraseRootFromParent_Done,
     /*  919068 */   // Label 13949: @919068
     /*  919068 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(919156), // Rule ID 23797 //
     /*  919073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919120 */     // MIs[1] Operand 1
     /*  919120 */     // No operand predicates
     /*  919120 */     // MIs[0] policy
     /*  919120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919132 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919154 */     GIR_RootConstrainSelectedInstOperands,
     /*  919155 */     // GIR_Coverage, 23797,
     /*  919155 */     GIR_EraseRootFromParent_Done,
     /*  919156 */   // Label 13950: @919156
     /*  919156 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(919244), // Rule ID 23800 //
     /*  919161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919208 */     // MIs[1] Operand 1
     /*  919208 */     // No operand predicates
     /*  919208 */     // MIs[0] policy
     /*  919208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919220 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919242 */     GIR_RootConstrainSelectedInstOperands,
     /*  919243 */     // GIR_Coverage, 23800,
     /*  919243 */     GIR_EraseRootFromParent_Done,
     /*  919244 */   // Label 13951: @919244
     /*  919244 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(919332), // Rule ID 23801 //
     /*  919249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919296 */     // MIs[1] Operand 1
     /*  919296 */     // No operand predicates
     /*  919296 */     // MIs[0] policy
     /*  919296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919330 */     GIR_RootConstrainSelectedInstOperands,
     /*  919331 */     // GIR_Coverage, 23801,
     /*  919331 */     GIR_EraseRootFromParent_Done,
     /*  919332 */   // Label 13952: @919332
     /*  919332 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(919420), // Rule ID 23804 //
     /*  919337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919384 */     // MIs[1] Operand 1
     /*  919384 */     // No operand predicates
     /*  919384 */     // MIs[0] policy
     /*  919384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919418 */     GIR_RootConstrainSelectedInstOperands,
     /*  919419 */     // GIR_Coverage, 23804,
     /*  919419 */     GIR_EraseRootFromParent_Done,
     /*  919420 */   // Label 13953: @919420
     /*  919420 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(919508), // Rule ID 23805 //
     /*  919425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919472 */     // MIs[1] Operand 1
     /*  919472 */     // No operand predicates
     /*  919472 */     // MIs[0] policy
     /*  919472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919484 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919506 */     GIR_RootConstrainSelectedInstOperands,
     /*  919507 */     // GIR_Coverage, 23805,
     /*  919507 */     GIR_EraseRootFromParent_Done,
     /*  919508 */   // Label 13954: @919508
     /*  919508 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(919596), // Rule ID 23808 //
     /*  919513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919560 */     // MIs[1] Operand 1
     /*  919560 */     // No operand predicates
     /*  919560 */     // MIs[0] policy
     /*  919560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919594 */     GIR_RootConstrainSelectedInstOperands,
     /*  919595 */     // GIR_Coverage, 23808,
     /*  919595 */     GIR_EraseRootFromParent_Done,
     /*  919596 */   // Label 13955: @919596
     /*  919596 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(919684), // Rule ID 23809 //
     /*  919601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919648 */     // MIs[1] Operand 1
     /*  919648 */     // No operand predicates
     /*  919648 */     // MIs[0] policy
     /*  919648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919682 */     GIR_RootConstrainSelectedInstOperands,
     /*  919683 */     // GIR_Coverage, 23809,
     /*  919683 */     GIR_EraseRootFromParent_Done,
     /*  919684 */   // Label 13956: @919684
     /*  919684 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(919772), // Rule ID 23812 //
     /*  919689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919736 */     // MIs[1] Operand 1
     /*  919736 */     // No operand predicates
     /*  919736 */     // MIs[0] policy
     /*  919736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919770 */     GIR_RootConstrainSelectedInstOperands,
     /*  919771 */     // GIR_Coverage, 23812,
     /*  919771 */     GIR_EraseRootFromParent_Done,
     /*  919772 */   // Label 13957: @919772
     /*  919772 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(919860), // Rule ID 23813 //
     /*  919777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919824 */     // MIs[1] Operand 1
     /*  919824 */     // No operand predicates
     /*  919824 */     // MIs[0] policy
     /*  919824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919858 */     GIR_RootConstrainSelectedInstOperands,
     /*  919859 */     // GIR_Coverage, 23813,
     /*  919859 */     GIR_EraseRootFromParent_Done,
     /*  919860 */   // Label 13958: @919860
     /*  919860 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(919948), // Rule ID 23816 //
     /*  919865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919912 */     // MIs[1] Operand 1
     /*  919912 */     // No operand predicates
     /*  919912 */     // MIs[0] policy
     /*  919912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919924 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919946 */     GIR_RootConstrainSelectedInstOperands,
     /*  919947 */     // GIR_Coverage, 23816,
     /*  919947 */     GIR_EraseRootFromParent_Done,
     /*  919948 */   // Label 13959: @919948
     /*  919948 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(920036), // Rule ID 23817 //
     /*  919953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920000 */     // MIs[1] Operand 1
     /*  920000 */     // No operand predicates
     /*  920000 */     // MIs[0] policy
     /*  920000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920034 */     GIR_RootConstrainSelectedInstOperands,
     /*  920035 */     // GIR_Coverage, 23817,
     /*  920035 */     GIR_EraseRootFromParent_Done,
     /*  920036 */   // Label 13960: @920036
     /*  920036 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(920124), // Rule ID 23820 //
     /*  920041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920088 */     // MIs[1] Operand 1
     /*  920088 */     // No operand predicates
     /*  920088 */     // MIs[0] policy
     /*  920088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920122 */     GIR_RootConstrainSelectedInstOperands,
     /*  920123 */     // GIR_Coverage, 23820,
     /*  920123 */     GIR_EraseRootFromParent_Done,
     /*  920124 */   // Label 13961: @920124
     /*  920124 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(920212), // Rule ID 23821 //
     /*  920129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920176 */     // MIs[1] Operand 1
     /*  920176 */     // No operand predicates
     /*  920176 */     // MIs[0] policy
     /*  920176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920210 */     GIR_RootConstrainSelectedInstOperands,
     /*  920211 */     // GIR_Coverage, 23821,
     /*  920211 */     GIR_EraseRootFromParent_Done,
     /*  920212 */   // Label 13962: @920212
     /*  920212 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(920300), // Rule ID 23824 //
     /*  920217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920264 */     // MIs[1] Operand 1
     /*  920264 */     // No operand predicates
     /*  920264 */     // MIs[0] policy
     /*  920264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920298 */     GIR_RootConstrainSelectedInstOperands,
     /*  920299 */     // GIR_Coverage, 23824,
     /*  920299 */     GIR_EraseRootFromParent_Done,
     /*  920300 */   // Label 13963: @920300
     /*  920300 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(920388), // Rule ID 23825 //
     /*  920305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920352 */     // MIs[1] Operand 1
     /*  920352 */     // No operand predicates
     /*  920352 */     // MIs[0] policy
     /*  920352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920386 */     GIR_RootConstrainSelectedInstOperands,
     /*  920387 */     // GIR_Coverage, 23825,
     /*  920387 */     GIR_EraseRootFromParent_Done,
     /*  920388 */   // Label 13964: @920388
     /*  920388 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(920476), // Rule ID 23828 //
     /*  920393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920440 */     // MIs[1] Operand 1
     /*  920440 */     // No operand predicates
     /*  920440 */     // MIs[0] policy
     /*  920440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920474 */     GIR_RootConstrainSelectedInstOperands,
     /*  920475 */     // GIR_Coverage, 23828,
     /*  920475 */     GIR_EraseRootFromParent_Done,
     /*  920476 */   // Label 13965: @920476
     /*  920476 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(920564), // Rule ID 23829 //
     /*  920481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920528 */     // MIs[1] Operand 1
     /*  920528 */     // No operand predicates
     /*  920528 */     // MIs[0] policy
     /*  920528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920562 */     GIR_RootConstrainSelectedInstOperands,
     /*  920563 */     // GIR_Coverage, 23829,
     /*  920563 */     GIR_EraseRootFromParent_Done,
     /*  920564 */   // Label 13966: @920564
     /*  920564 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(920652), // Rule ID 23832 //
     /*  920569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920616 */     // MIs[1] Operand 1
     /*  920616 */     // No operand predicates
     /*  920616 */     // MIs[0] policy
     /*  920616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920650 */     GIR_RootConstrainSelectedInstOperands,
     /*  920651 */     // GIR_Coverage, 23832,
     /*  920651 */     GIR_EraseRootFromParent_Done,
     /*  920652 */   // Label 13967: @920652
     /*  920652 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(920740), // Rule ID 23833 //
     /*  920657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920704 */     // MIs[1] Operand 1
     /*  920704 */     // No operand predicates
     /*  920704 */     // MIs[0] policy
     /*  920704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920738 */     GIR_RootConstrainSelectedInstOperands,
     /*  920739 */     // GIR_Coverage, 23833,
     /*  920739 */     GIR_EraseRootFromParent_Done,
     /*  920740 */   // Label 13968: @920740
     /*  920740 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(920828), // Rule ID 23836 //
     /*  920745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920792 */     // MIs[1] Operand 1
     /*  920792 */     // No operand predicates
     /*  920792 */     // MIs[0] policy
     /*  920792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920804 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920826 */     GIR_RootConstrainSelectedInstOperands,
     /*  920827 */     // GIR_Coverage, 23836,
     /*  920827 */     GIR_EraseRootFromParent_Done,
     /*  920828 */   // Label 13969: @920828
     /*  920828 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(920916), // Rule ID 23837 //
     /*  920833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920880 */     // MIs[1] Operand 1
     /*  920880 */     // No operand predicates
     /*  920880 */     // MIs[0] policy
     /*  920880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920914 */     GIR_RootConstrainSelectedInstOperands,
     /*  920915 */     // GIR_Coverage, 23837,
     /*  920915 */     GIR_EraseRootFromParent_Done,
     /*  920916 */   // Label 13970: @920916
     /*  920916 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(921004), // Rule ID 23840 //
     /*  920921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  920932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  920935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  920938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920968 */     // MIs[1] Operand 1
     /*  920968 */     // No operand predicates
     /*  920968 */     // MIs[0] policy
     /*  920968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921002 */     GIR_RootConstrainSelectedInstOperands,
     /*  921003 */     // GIR_Coverage, 23840,
     /*  921003 */     GIR_EraseRootFromParent_Done,
     /*  921004 */   // Label 13971: @921004
     /*  921004 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(921092), // Rule ID 23841 //
     /*  921009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921056 */     // MIs[1] Operand 1
     /*  921056 */     // No operand predicates
     /*  921056 */     // MIs[0] policy
     /*  921056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  921071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921090 */     GIR_RootConstrainSelectedInstOperands,
     /*  921091 */     // GIR_Coverage, 23841,
     /*  921091 */     GIR_EraseRootFromParent_Done,
     /*  921092 */   // Label 13972: @921092
     /*  921092 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(921180), // Rule ID 24080 //
     /*  921097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  921108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  921111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  921114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921144 */     // MIs[1] Operand 1
     /*  921144 */     // No operand predicates
     /*  921144 */     // MIs[0] policy
     /*  921144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921156 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  921159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921178 */     GIR_RootConstrainSelectedInstOperands,
     /*  921179 */     // GIR_Coverage, 24080,
     /*  921179 */     GIR_EraseRootFromParent_Done,
     /*  921180 */   // Label 13973: @921180
     /*  921180 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(921268), // Rule ID 24081 //
     /*  921185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  921196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  921199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  921202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921232 */     // MIs[1] Operand 1
     /*  921232 */     // No operand predicates
     /*  921232 */     // MIs[0] policy
     /*  921232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921244 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  921247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921266 */     GIR_RootConstrainSelectedInstOperands,
     /*  921267 */     // GIR_Coverage, 24081,
     /*  921267 */     GIR_EraseRootFromParent_Done,
     /*  921268 */   // Label 13974: @921268
     /*  921268 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(921356), // Rule ID 24084 //
     /*  921273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  921284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  921287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  921290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921320 */     // MIs[1] Operand 1
     /*  921320 */     // No operand predicates
     /*  921320 */     // MIs[0] policy
     /*  921320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921332 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921354 */     GIR_RootConstrainSelectedInstOperands,
     /*  921355 */     // GIR_Coverage, 24084,
     /*  921355 */     GIR_EraseRootFromParent_Done,
     /*  921356 */   // Label 13975: @921356
     /*  921356 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(921444), // Rule ID 24085 //
     /*  921361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  921372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  921375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  921378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921408 */     // MIs[1] Operand 1
     /*  921408 */     // No operand predicates
     /*  921408 */     // MIs[0] policy
     /*  921408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921420 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921442 */     GIR_RootConstrainSelectedInstOperands,
     /*  921443 */     // GIR_Coverage, 24085,
     /*  921443 */     GIR_EraseRootFromParent_Done,
     /*  921444 */   // Label 13976: @921444
     /*  921444 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(921532), // Rule ID 24088 //
     /*  921449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921496 */     // MIs[1] Operand 1
     /*  921496 */     // No operand predicates
     /*  921496 */     // MIs[0] policy
     /*  921496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921508 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921530 */     GIR_RootConstrainSelectedInstOperands,
     /*  921531 */     // GIR_Coverage, 24088,
     /*  921531 */     GIR_EraseRootFromParent_Done,
     /*  921532 */   // Label 13977: @921532
     /*  921532 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(921620), // Rule ID 24089 //
     /*  921537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921584 */     // MIs[1] Operand 1
     /*  921584 */     // No operand predicates
     /*  921584 */     // MIs[0] policy
     /*  921584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921618 */     GIR_RootConstrainSelectedInstOperands,
     /*  921619 */     // GIR_Coverage, 24089,
     /*  921619 */     GIR_EraseRootFromParent_Done,
     /*  921620 */   // Label 13978: @921620
     /*  921620 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(921708), // Rule ID 24092 //
     /*  921625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921672 */     // MIs[1] Operand 1
     /*  921672 */     // No operand predicates
     /*  921672 */     // MIs[0] policy
     /*  921672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921706 */     GIR_RootConstrainSelectedInstOperands,
     /*  921707 */     // GIR_Coverage, 24092,
     /*  921707 */     GIR_EraseRootFromParent_Done,
     /*  921708 */   // Label 13979: @921708
     /*  921708 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(921796), // Rule ID 24093 //
     /*  921713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921760 */     // MIs[1] Operand 1
     /*  921760 */     // No operand predicates
     /*  921760 */     // MIs[0] policy
     /*  921760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921772 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921794 */     GIR_RootConstrainSelectedInstOperands,
     /*  921795 */     // GIR_Coverage, 24093,
     /*  921795 */     GIR_EraseRootFromParent_Done,
     /*  921796 */   // Label 13980: @921796
     /*  921796 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(921884), // Rule ID 24096 //
     /*  921801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921848 */     // MIs[1] Operand 1
     /*  921848 */     // No operand predicates
     /*  921848 */     // MIs[0] policy
     /*  921848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921882 */     GIR_RootConstrainSelectedInstOperands,
     /*  921883 */     // GIR_Coverage, 24096,
     /*  921883 */     GIR_EraseRootFromParent_Done,
     /*  921884 */   // Label 13981: @921884
     /*  921884 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(921972), // Rule ID 24097 //
     /*  921889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921936 */     // MIs[1] Operand 1
     /*  921936 */     // No operand predicates
     /*  921936 */     // MIs[0] policy
     /*  921936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921970 */     GIR_RootConstrainSelectedInstOperands,
     /*  921971 */     // GIR_Coverage, 24097,
     /*  921971 */     GIR_EraseRootFromParent_Done,
     /*  921972 */   // Label 13982: @921972
     /*  921972 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(922060), // Rule ID 24100 //
     /*  921977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  921980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922024 */     // MIs[1] Operand 1
     /*  922024 */     // No operand predicates
     /*  922024 */     // MIs[0] policy
     /*  922024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922058 */     GIR_RootConstrainSelectedInstOperands,
     /*  922059 */     // GIR_Coverage, 24100,
     /*  922059 */     GIR_EraseRootFromParent_Done,
     /*  922060 */   // Label 13983: @922060
     /*  922060 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(922148), // Rule ID 24101 //
     /*  922065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  922068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  922076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  922079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  922082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922112 */     // MIs[1] Operand 1
     /*  922112 */     // No operand predicates
     /*  922112 */     // MIs[0] policy
     /*  922112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922146 */     GIR_RootConstrainSelectedInstOperands,
     /*  922147 */     // GIR_Coverage, 24101,
     /*  922147 */     GIR_EraseRootFromParent_Done,
     /*  922148 */   // Label 13984: @922148
     /*  922148 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(922236), // Rule ID 24104 //
     /*  922153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922200 */     // MIs[1] Operand 1
     /*  922200 */     // No operand predicates
     /*  922200 */     // MIs[0] policy
     /*  922200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922212 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922234 */     GIR_RootConstrainSelectedInstOperands,
     /*  922235 */     // GIR_Coverage, 24104,
     /*  922235 */     GIR_EraseRootFromParent_Done,
     /*  922236 */   // Label 13985: @922236
     /*  922236 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(922324), // Rule ID 24105 //
     /*  922241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922288 */     // MIs[1] Operand 1
     /*  922288 */     // No operand predicates
     /*  922288 */     // MIs[0] policy
     /*  922288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922300 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922322 */     GIR_RootConstrainSelectedInstOperands,
     /*  922323 */     // GIR_Coverage, 24105,
     /*  922323 */     GIR_EraseRootFromParent_Done,
     /*  922324 */   // Label 13986: @922324
     /*  922324 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(922412), // Rule ID 24108 //
     /*  922329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  922340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  922343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  922346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922376 */     // MIs[1] Operand 1
     /*  922376 */     // No operand predicates
     /*  922376 */     // MIs[0] policy
     /*  922376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922388 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922410 */     GIR_RootConstrainSelectedInstOperands,
     /*  922411 */     // GIR_Coverage, 24108,
     /*  922411 */     GIR_EraseRootFromParent_Done,
     /*  922412 */   // Label 13987: @922412
     /*  922412 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(922500), // Rule ID 24109 //
     /*  922417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  922428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  922431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  922434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922464 */     // MIs[1] Operand 1
     /*  922464 */     // No operand predicates
     /*  922464 */     // MIs[0] policy
     /*  922464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922476 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922498 */     GIR_RootConstrainSelectedInstOperands,
     /*  922499 */     // GIR_Coverage, 24109,
     /*  922499 */     GIR_EraseRootFromParent_Done,
     /*  922500 */   // Label 13988: @922500
     /*  922500 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(922588), // Rule ID 24112 //
     /*  922505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922552 */     // MIs[1] Operand 1
     /*  922552 */     // No operand predicates
     /*  922552 */     // MIs[0] policy
     /*  922552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922564 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922586 */     GIR_RootConstrainSelectedInstOperands,
     /*  922587 */     // GIR_Coverage, 24112,
     /*  922587 */     GIR_EraseRootFromParent_Done,
     /*  922588 */   // Label 13989: @922588
     /*  922588 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(922676), // Rule ID 24113 //
     /*  922593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922640 */     // MIs[1] Operand 1
     /*  922640 */     // No operand predicates
     /*  922640 */     // MIs[0] policy
     /*  922640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922674 */     GIR_RootConstrainSelectedInstOperands,
     /*  922675 */     // GIR_Coverage, 24113,
     /*  922675 */     GIR_EraseRootFromParent_Done,
     /*  922676 */   // Label 13990: @922676
     /*  922676 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(922764), // Rule ID 24116 //
     /*  922681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922728 */     // MIs[1] Operand 1
     /*  922728 */     // No operand predicates
     /*  922728 */     // MIs[0] policy
     /*  922728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922740 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922762 */     GIR_RootConstrainSelectedInstOperands,
     /*  922763 */     // GIR_Coverage, 24116,
     /*  922763 */     GIR_EraseRootFromParent_Done,
     /*  922764 */   // Label 13991: @922764
     /*  922764 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(922852), // Rule ID 24117 //
     /*  922769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922816 */     // MIs[1] Operand 1
     /*  922816 */     // No operand predicates
     /*  922816 */     // MIs[0] policy
     /*  922816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922828 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922850 */     GIR_RootConstrainSelectedInstOperands,
     /*  922851 */     // GIR_Coverage, 24117,
     /*  922851 */     GIR_EraseRootFromParent_Done,
     /*  922852 */   // Label 13992: @922852
     /*  922852 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(922940), // Rule ID 24120 //
     /*  922857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922904 */     // MIs[1] Operand 1
     /*  922904 */     // No operand predicates
     /*  922904 */     // MIs[0] policy
     /*  922904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922916 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922938 */     GIR_RootConstrainSelectedInstOperands,
     /*  922939 */     // GIR_Coverage, 24120,
     /*  922939 */     GIR_EraseRootFromParent_Done,
     /*  922940 */   // Label 13993: @922940
     /*  922940 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(923028), // Rule ID 24121 //
     /*  922945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922992 */     // MIs[1] Operand 1
     /*  922992 */     // No operand predicates
     /*  922992 */     // MIs[0] policy
     /*  922992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923026 */     GIR_RootConstrainSelectedInstOperands,
     /*  923027 */     // GIR_Coverage, 24121,
     /*  923027 */     GIR_EraseRootFromParent_Done,
     /*  923028 */   // Label 13994: @923028
     /*  923028 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(923116), // Rule ID 24124 //
     /*  923033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  923036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923080 */     // MIs[1] Operand 1
     /*  923080 */     // No operand predicates
     /*  923080 */     // MIs[0] policy
     /*  923080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923092 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923114 */     GIR_RootConstrainSelectedInstOperands,
     /*  923115 */     // GIR_Coverage, 24124,
     /*  923115 */     GIR_EraseRootFromParent_Done,
     /*  923116 */   // Label 13995: @923116
     /*  923116 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(923204), // Rule ID 24125 //
     /*  923121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  923124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923168 */     // MIs[1] Operand 1
     /*  923168 */     // No operand predicates
     /*  923168 */     // MIs[0] policy
     /*  923168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923180 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923202 */     GIR_RootConstrainSelectedInstOperands,
     /*  923203 */     // GIR_Coverage, 24125,
     /*  923203 */     GIR_EraseRootFromParent_Done,
     /*  923204 */   // Label 13996: @923204
     /*  923204 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(923292), // Rule ID 24128 //
     /*  923209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923256 */     // MIs[1] Operand 1
     /*  923256 */     // No operand predicates
     /*  923256 */     // MIs[0] policy
     /*  923256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  923271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923290 */     GIR_RootConstrainSelectedInstOperands,
     /*  923291 */     // GIR_Coverage, 24128,
     /*  923291 */     GIR_EraseRootFromParent_Done,
     /*  923292 */   // Label 13997: @923292
     /*  923292 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(923380), // Rule ID 24129 //
     /*  923297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923344 */     // MIs[1] Operand 1
     /*  923344 */     // No operand predicates
     /*  923344 */     // MIs[0] policy
     /*  923344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923356 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  923359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923378 */     GIR_RootConstrainSelectedInstOperands,
     /*  923379 */     // GIR_Coverage, 24129,
     /*  923379 */     GIR_EraseRootFromParent_Done,
     /*  923380 */   // Label 13998: @923380
     /*  923380 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(923468), // Rule ID 24132 //
     /*  923385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923432 */     // MIs[1] Operand 1
     /*  923432 */     // No operand predicates
     /*  923432 */     // MIs[0] policy
     /*  923432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923444 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923466 */     GIR_RootConstrainSelectedInstOperands,
     /*  923467 */     // GIR_Coverage, 24132,
     /*  923467 */     GIR_EraseRootFromParent_Done,
     /*  923468 */   // Label 13999: @923468
     /*  923468 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(923556), // Rule ID 24133 //
     /*  923473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923520 */     // MIs[1] Operand 1
     /*  923520 */     // No operand predicates
     /*  923520 */     // MIs[0] policy
     /*  923520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923532 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923554 */     GIR_RootConstrainSelectedInstOperands,
     /*  923555 */     // GIR_Coverage, 24133,
     /*  923555 */     GIR_EraseRootFromParent_Done,
     /*  923556 */   // Label 14000: @923556
     /*  923556 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(923644), // Rule ID 24136 //
     /*  923561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923608 */     // MIs[1] Operand 1
     /*  923608 */     // No operand predicates
     /*  923608 */     // MIs[0] policy
     /*  923608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923620 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923642 */     GIR_RootConstrainSelectedInstOperands,
     /*  923643 */     // GIR_Coverage, 24136,
     /*  923643 */     GIR_EraseRootFromParent_Done,
     /*  923644 */   // Label 14001: @923644
     /*  923644 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(923732), // Rule ID 24137 //
     /*  923649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923696 */     // MIs[1] Operand 1
     /*  923696 */     // No operand predicates
     /*  923696 */     // MIs[0] policy
     /*  923696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923708 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923730 */     GIR_RootConstrainSelectedInstOperands,
     /*  923731 */     // GIR_Coverage, 24137,
     /*  923731 */     GIR_EraseRootFromParent_Done,
     /*  923732 */   // Label 14002: @923732
     /*  923732 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(923820), // Rule ID 24200 //
     /*  923737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923784 */     // MIs[1] Operand 1
     /*  923784 */     // No operand predicates
     /*  923784 */     // MIs[0] policy
     /*  923784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923796 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923818 */     GIR_RootConstrainSelectedInstOperands,
     /*  923819 */     // GIR_Coverage, 24200,
     /*  923819 */     GIR_EraseRootFromParent_Done,
     /*  923820 */   // Label 14003: @923820
     /*  923820 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(923908), // Rule ID 24201 //
     /*  923825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923872 */     // MIs[1] Operand 1
     /*  923872 */     // No operand predicates
     /*  923872 */     // MIs[0] policy
     /*  923872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923884 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923906 */     GIR_RootConstrainSelectedInstOperands,
     /*  923907 */     // GIR_Coverage, 24201,
     /*  923907 */     GIR_EraseRootFromParent_Done,
     /*  923908 */   // Label 14004: @923908
     /*  923908 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(923996), // Rule ID 24204 //
     /*  923913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923960 */     // MIs[1] Operand 1
     /*  923960 */     // No operand predicates
     /*  923960 */     // MIs[0] policy
     /*  923960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923972 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923994 */     GIR_RootConstrainSelectedInstOperands,
     /*  923995 */     // GIR_Coverage, 24204,
     /*  923995 */     GIR_EraseRootFromParent_Done,
     /*  923996 */   // Label 14005: @923996
     /*  923996 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(924084), // Rule ID 24205 //
     /*  924001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924048 */     // MIs[1] Operand 1
     /*  924048 */     // No operand predicates
     /*  924048 */     // MIs[0] policy
     /*  924048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924060 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924082 */     GIR_RootConstrainSelectedInstOperands,
     /*  924083 */     // GIR_Coverage, 24205,
     /*  924083 */     GIR_EraseRootFromParent_Done,
     /*  924084 */   // Label 14006: @924084
     /*  924084 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(924172), // Rule ID 24208 //
     /*  924089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924136 */     // MIs[1] Operand 1
     /*  924136 */     // No operand predicates
     /*  924136 */     // MIs[0] policy
     /*  924136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924148 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924170 */     GIR_RootConstrainSelectedInstOperands,
     /*  924171 */     // GIR_Coverage, 24208,
     /*  924171 */     GIR_EraseRootFromParent_Done,
     /*  924172 */   // Label 14007: @924172
     /*  924172 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(924260), // Rule ID 24209 //
     /*  924177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924224 */     // MIs[1] Operand 1
     /*  924224 */     // No operand predicates
     /*  924224 */     // MIs[0] policy
     /*  924224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924258 */     GIR_RootConstrainSelectedInstOperands,
     /*  924259 */     // GIR_Coverage, 24209,
     /*  924259 */     GIR_EraseRootFromParent_Done,
     /*  924260 */   // Label 14008: @924260
     /*  924260 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(924348), // Rule ID 24212 //
     /*  924265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  924276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  924279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  924282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924312 */     // MIs[1] Operand 1
     /*  924312 */     // No operand predicates
     /*  924312 */     // MIs[0] policy
     /*  924312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924324 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924346 */     GIR_RootConstrainSelectedInstOperands,
     /*  924347 */     // GIR_Coverage, 24212,
     /*  924347 */     GIR_EraseRootFromParent_Done,
     /*  924348 */   // Label 14009: @924348
     /*  924348 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(924436), // Rule ID 24213 //
     /*  924353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  924364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  924367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  924370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924400 */     // MIs[1] Operand 1
     /*  924400 */     // No operand predicates
     /*  924400 */     // MIs[0] policy
     /*  924400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924412 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924434 */     GIR_RootConstrainSelectedInstOperands,
     /*  924435 */     // GIR_Coverage, 24213,
     /*  924435 */     GIR_EraseRootFromParent_Done,
     /*  924436 */   // Label 14010: @924436
     /*  924436 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(924524), // Rule ID 24216 //
     /*  924441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924488 */     // MIs[1] Operand 1
     /*  924488 */     // No operand predicates
     /*  924488 */     // MIs[0] policy
     /*  924488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924500 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924522 */     GIR_RootConstrainSelectedInstOperands,
     /*  924523 */     // GIR_Coverage, 24216,
     /*  924523 */     GIR_EraseRootFromParent_Done,
     /*  924524 */   // Label 14011: @924524
     /*  924524 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(924612), // Rule ID 24217 //
     /*  924529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924576 */     // MIs[1] Operand 1
     /*  924576 */     // No operand predicates
     /*  924576 */     // MIs[0] policy
     /*  924576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924610 */     GIR_RootConstrainSelectedInstOperands,
     /*  924611 */     // GIR_Coverage, 24217,
     /*  924611 */     GIR_EraseRootFromParent_Done,
     /*  924612 */   // Label 14012: @924612
     /*  924612 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(924700), // Rule ID 24220 //
     /*  924617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  924620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924664 */     // MIs[1] Operand 1
     /*  924664 */     // No operand predicates
     /*  924664 */     // MIs[0] policy
     /*  924664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924676 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924698 */     GIR_RootConstrainSelectedInstOperands,
     /*  924699 */     // GIR_Coverage, 24220,
     /*  924699 */     GIR_EraseRootFromParent_Done,
     /*  924700 */   // Label 14013: @924700
     /*  924700 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(924788), // Rule ID 24221 //
     /*  924705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  924708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924752 */     // MIs[1] Operand 1
     /*  924752 */     // No operand predicates
     /*  924752 */     // MIs[0] policy
     /*  924752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924764 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924786 */     GIR_RootConstrainSelectedInstOperands,
     /*  924787 */     // GIR_Coverage, 24221,
     /*  924787 */     GIR_EraseRootFromParent_Done,
     /*  924788 */   // Label 14014: @924788
     /*  924788 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(924876), // Rule ID 24224 //
     /*  924793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924840 */     // MIs[1] Operand 1
     /*  924840 */     // No operand predicates
     /*  924840 */     // MIs[0] policy
     /*  924840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924874 */     GIR_RootConstrainSelectedInstOperands,
     /*  924875 */     // GIR_Coverage, 24224,
     /*  924875 */     GIR_EraseRootFromParent_Done,
     /*  924876 */   // Label 14015: @924876
     /*  924876 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(924964), // Rule ID 24225 //
     /*  924881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924928 */     // MIs[1] Operand 1
     /*  924928 */     // No operand predicates
     /*  924928 */     // MIs[0] policy
     /*  924928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924940 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924962 */     GIR_RootConstrainSelectedInstOperands,
     /*  924963 */     // GIR_Coverage, 24225,
     /*  924963 */     GIR_EraseRootFromParent_Done,
     /*  924964 */   // Label 14016: @924964
     /*  924964 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(925052), // Rule ID 24228 //
     /*  924969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925016 */     // MIs[1] Operand 1
     /*  925016 */     // No operand predicates
     /*  925016 */     // MIs[0] policy
     /*  925016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925028 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925050 */     GIR_RootConstrainSelectedInstOperands,
     /*  925051 */     // GIR_Coverage, 24228,
     /*  925051 */     GIR_EraseRootFromParent_Done,
     /*  925052 */   // Label 14017: @925052
     /*  925052 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(925140), // Rule ID 24229 //
     /*  925057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  925068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  925071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  925074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925104 */     // MIs[1] Operand 1
     /*  925104 */     // No operand predicates
     /*  925104 */     // MIs[0] policy
     /*  925104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925116 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925138 */     GIR_RootConstrainSelectedInstOperands,
     /*  925139 */     // GIR_Coverage, 24229,
     /*  925139 */     GIR_EraseRootFromParent_Done,
     /*  925140 */   // Label 14018: @925140
     /*  925140 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(925228), // Rule ID 24232 //
     /*  925145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925192 */     // MIs[1] Operand 1
     /*  925192 */     // No operand predicates
     /*  925192 */     // MIs[0] policy
     /*  925192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925204 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925226 */     GIR_RootConstrainSelectedInstOperands,
     /*  925227 */     // GIR_Coverage, 24232,
     /*  925227 */     GIR_EraseRootFromParent_Done,
     /*  925228 */   // Label 14019: @925228
     /*  925228 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(925316), // Rule ID 24233 //
     /*  925233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925280 */     // MIs[1] Operand 1
     /*  925280 */     // No operand predicates
     /*  925280 */     // MIs[0] policy
     /*  925280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925292 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925314 */     GIR_RootConstrainSelectedInstOperands,
     /*  925315 */     // GIR_Coverage, 24233,
     /*  925315 */     GIR_EraseRootFromParent_Done,
     /*  925316 */   // Label 14020: @925316
     /*  925316 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(925404), // Rule ID 24236 //
     /*  925321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  925335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  925338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925368 */     // MIs[1] Operand 1
     /*  925368 */     // No operand predicates
     /*  925368 */     // MIs[0] policy
     /*  925368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925380 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925402 */     GIR_RootConstrainSelectedInstOperands,
     /*  925403 */     // GIR_Coverage, 24236,
     /*  925403 */     GIR_EraseRootFromParent_Done,
     /*  925404 */   // Label 14021: @925404
     /*  925404 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(925492), // Rule ID 24237 //
     /*  925409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  925423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  925426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925456 */     // MIs[1] Operand 1
     /*  925456 */     // No operand predicates
     /*  925456 */     // MIs[0] policy
     /*  925456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925468 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925490 */     GIR_RootConstrainSelectedInstOperands,
     /*  925491 */     // GIR_Coverage, 24237,
     /*  925491 */     GIR_EraseRootFromParent_Done,
     /*  925492 */   // Label 14022: @925492
     /*  925492 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(925580), // Rule ID 24240 //
     /*  925497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925544 */     // MIs[1] Operand 1
     /*  925544 */     // No operand predicates
     /*  925544 */     // MIs[0] policy
     /*  925544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925556 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925578 */     GIR_RootConstrainSelectedInstOperands,
     /*  925579 */     // GIR_Coverage, 24240,
     /*  925579 */     GIR_EraseRootFromParent_Done,
     /*  925580 */   // Label 14023: @925580
     /*  925580 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(925668), // Rule ID 24241 //
     /*  925585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925632 */     // MIs[1] Operand 1
     /*  925632 */     // No operand predicates
     /*  925632 */     // MIs[0] policy
     /*  925632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925644 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925666 */     GIR_RootConstrainSelectedInstOperands,
     /*  925667 */     // GIR_Coverage, 24241,
     /*  925667 */     GIR_EraseRootFromParent_Done,
     /*  925668 */   // Label 14024: @925668
     /*  925668 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(925756), // Rule ID 24244 //
     /*  925673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925720 */     // MIs[1] Operand 1
     /*  925720 */     // No operand predicates
     /*  925720 */     // MIs[0] policy
     /*  925720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925732 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925754 */     GIR_RootConstrainSelectedInstOperands,
     /*  925755 */     // GIR_Coverage, 24244,
     /*  925755 */     GIR_EraseRootFromParent_Done,
     /*  925756 */   // Label 14025: @925756
     /*  925756 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(925844), // Rule ID 24245 //
     /*  925761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925808 */     // MIs[1] Operand 1
     /*  925808 */     // No operand predicates
     /*  925808 */     // MIs[0] policy
     /*  925808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925820 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925842 */     GIR_RootConstrainSelectedInstOperands,
     /*  925843 */     // GIR_Coverage, 24245,
     /*  925843 */     GIR_EraseRootFromParent_Done,
     /*  925844 */   // Label 14026: @925844
     /*  925844 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(925932), // Rule ID 24248 //
     /*  925849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925896 */     // MIs[1] Operand 1
     /*  925896 */     // No operand predicates
     /*  925896 */     // MIs[0] policy
     /*  925896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925908 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925930 */     GIR_RootConstrainSelectedInstOperands,
     /*  925931 */     // GIR_Coverage, 24248,
     /*  925931 */     GIR_EraseRootFromParent_Done,
     /*  925932 */   // Label 14027: @925932
     /*  925932 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(926020), // Rule ID 24249 //
     /*  925937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925984 */     // MIs[1] Operand 1
     /*  925984 */     // No operand predicates
     /*  925984 */     // MIs[0] policy
     /*  925984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926018 */     GIR_RootConstrainSelectedInstOperands,
     /*  926019 */     // GIR_Coverage, 24249,
     /*  926019 */     GIR_EraseRootFromParent_Done,
     /*  926020 */   // Label 14028: @926020
     /*  926020 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(926108), // Rule ID 24252 //
     /*  926025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  926028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926072 */     // MIs[1] Operand 1
     /*  926072 */     // No operand predicates
     /*  926072 */     // MIs[0] policy
     /*  926072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926084 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926106 */     GIR_RootConstrainSelectedInstOperands,
     /*  926107 */     // GIR_Coverage, 24252,
     /*  926107 */     GIR_EraseRootFromParent_Done,
     /*  926108 */   // Label 14029: @926108
     /*  926108 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(926196), // Rule ID 24253 //
     /*  926113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  926116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926160 */     // MIs[1] Operand 1
     /*  926160 */     // No operand predicates
     /*  926160 */     // MIs[0] policy
     /*  926160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926194 */     GIR_RootConstrainSelectedInstOperands,
     /*  926195 */     // GIR_Coverage, 24253,
     /*  926195 */     GIR_EraseRootFromParent_Done,
     /*  926196 */   // Label 14030: @926196
     /*  926196 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(926284), // Rule ID 24256 //
     /*  926201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  926204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926248 */     // MIs[1] Operand 1
     /*  926248 */     // No operand predicates
     /*  926248 */     // MIs[0] policy
     /*  926248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926260 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  926263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926282 */     GIR_RootConstrainSelectedInstOperands,
     /*  926283 */     // GIR_Coverage, 24256,
     /*  926283 */     GIR_EraseRootFromParent_Done,
     /*  926284 */   // Label 14031: @926284
     /*  926284 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(926372), // Rule ID 24257 //
     /*  926289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  926292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926336 */     // MIs[1] Operand 1
     /*  926336 */     // No operand predicates
     /*  926336 */     // MIs[0] policy
     /*  926336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926348 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  926351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926370 */     GIR_RootConstrainSelectedInstOperands,
     /*  926371 */     // GIR_Coverage, 24257,
     /*  926371 */     GIR_EraseRootFromParent_Done,
     /*  926372 */   // Label 14032: @926372
     /*  926372 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(926463), // Rule ID 15868 //
     /*  926377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  926394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926424 */     // MIs[1] Operand 1
     /*  926424 */     // No operand predicates
     /*  926424 */     // MIs[0] round
     /*  926424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926461 */     GIR_RootConstrainSelectedInstOperands,
     /*  926462 */     // GIR_Coverage, 15868,
     /*  926462 */     GIR_EraseRootFromParent_Done,
     /*  926463 */   // Label 14033: @926463
     /*  926463 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(926554), // Rule ID 15869 //
     /*  926468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  926485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926515 */     // MIs[1] Operand 1
     /*  926515 */     // No operand predicates
     /*  926515 */     // MIs[0] round
     /*  926515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926527 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926552 */     GIR_RootConstrainSelectedInstOperands,
     /*  926553 */     // GIR_Coverage, 15869,
     /*  926553 */     GIR_EraseRootFromParent_Done,
     /*  926554 */   // Label 14034: @926554
     /*  926554 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(926645), // Rule ID 15872 //
     /*  926559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926606 */     // MIs[1] Operand 1
     /*  926606 */     // No operand predicates
     /*  926606 */     // MIs[0] round
     /*  926606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926618 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926643 */     GIR_RootConstrainSelectedInstOperands,
     /*  926644 */     // GIR_Coverage, 15872,
     /*  926644 */     GIR_EraseRootFromParent_Done,
     /*  926645 */   // Label 14035: @926645
     /*  926645 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(926736), // Rule ID 15873 //
     /*  926650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926697 */     // MIs[1] Operand 1
     /*  926697 */     // No operand predicates
     /*  926697 */     // MIs[0] round
     /*  926697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926734 */     GIR_RootConstrainSelectedInstOperands,
     /*  926735 */     // GIR_Coverage, 15873,
     /*  926735 */     GIR_EraseRootFromParent_Done,
     /*  926736 */   // Label 14036: @926736
     /*  926736 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(926827), // Rule ID 15876 //
     /*  926741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926788 */     // MIs[1] Operand 1
     /*  926788 */     // No operand predicates
     /*  926788 */     // MIs[0] round
     /*  926788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926825 */     GIR_RootConstrainSelectedInstOperands,
     /*  926826 */     // GIR_Coverage, 15876,
     /*  926826 */     GIR_EraseRootFromParent_Done,
     /*  926827 */   // Label 14037: @926827
     /*  926827 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(926918), // Rule ID 15877 //
     /*  926832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926879 */     // MIs[1] Operand 1
     /*  926879 */     // No operand predicates
     /*  926879 */     // MIs[0] round
     /*  926879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926891 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926916 */     GIR_RootConstrainSelectedInstOperands,
     /*  926917 */     // GIR_Coverage, 15877,
     /*  926917 */     GIR_EraseRootFromParent_Done,
     /*  926918 */   // Label 14038: @926918
     /*  926918 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(927009), // Rule ID 15880 //
     /*  926923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  926940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926970 */     // MIs[1] Operand 1
     /*  926970 */     // No operand predicates
     /*  926970 */     // MIs[0] round
     /*  926970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926982 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927007 */     GIR_RootConstrainSelectedInstOperands,
     /*  927008 */     // GIR_Coverage, 15880,
     /*  927008 */     GIR_EraseRootFromParent_Done,
     /*  927009 */   // Label 14039: @927009
     /*  927009 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(927100), // Rule ID 15881 //
     /*  927014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  927031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927061 */     // MIs[1] Operand 1
     /*  927061 */     // No operand predicates
     /*  927061 */     // MIs[0] round
     /*  927061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927073 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  927076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927098 */     GIR_RootConstrainSelectedInstOperands,
     /*  927099 */     // GIR_Coverage, 15881,
     /*  927099 */     GIR_EraseRootFromParent_Done,
     /*  927100 */   // Label 14040: @927100
     /*  927100 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(927191), // Rule ID 15884 //
     /*  927105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  927122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927152 */     // MIs[1] Operand 1
     /*  927152 */     // No operand predicates
     /*  927152 */     // MIs[0] round
     /*  927152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927189 */     GIR_RootConstrainSelectedInstOperands,
     /*  927190 */     // GIR_Coverage, 15884,
     /*  927190 */     GIR_EraseRootFromParent_Done,
     /*  927191 */   // Label 14041: @927191
     /*  927191 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(927282), // Rule ID 15885 //
     /*  927196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  927213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927243 */     // MIs[1] Operand 1
     /*  927243 */     // No operand predicates
     /*  927243 */     // MIs[0] round
     /*  927243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927255 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927280 */     GIR_RootConstrainSelectedInstOperands,
     /*  927281 */     // GIR_Coverage, 15885,
     /*  927281 */     GIR_EraseRootFromParent_Done,
     /*  927282 */   // Label 14042: @927282
     /*  927282 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(927373), // Rule ID 15888 //
     /*  927287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  927304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927334 */     // MIs[1] Operand 1
     /*  927334 */     // No operand predicates
     /*  927334 */     // MIs[0] round
     /*  927334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927371 */     GIR_RootConstrainSelectedInstOperands,
     /*  927372 */     // GIR_Coverage, 15888,
     /*  927372 */     GIR_EraseRootFromParent_Done,
     /*  927373 */   // Label 14043: @927373
     /*  927373 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(927464), // Rule ID 15889 //
     /*  927378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  927395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927425 */     // MIs[1] Operand 1
     /*  927425 */     // No operand predicates
     /*  927425 */     // MIs[0] round
     /*  927425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927462 */     GIR_RootConstrainSelectedInstOperands,
     /*  927463 */     // GIR_Coverage, 15889,
     /*  927463 */     GIR_EraseRootFromParent_Done,
     /*  927464 */   // Label 14044: @927464
     /*  927464 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(927555), // Rule ID 15892 //
     /*  927469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927516 */     // MIs[1] Operand 1
     /*  927516 */     // No operand predicates
     /*  927516 */     // MIs[0] round
     /*  927516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927553 */     GIR_RootConstrainSelectedInstOperands,
     /*  927554 */     // GIR_Coverage, 15892,
     /*  927554 */     GIR_EraseRootFromParent_Done,
     /*  927555 */   // Label 14045: @927555
     /*  927555 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(927646), // Rule ID 15893 //
     /*  927560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927607 */     // MIs[1] Operand 1
     /*  927607 */     // No operand predicates
     /*  927607 */     // MIs[0] round
     /*  927607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927619 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927644 */     GIR_RootConstrainSelectedInstOperands,
     /*  927645 */     // GIR_Coverage, 15893,
     /*  927645 */     GIR_EraseRootFromParent_Done,
     /*  927646 */   // Label 14046: @927646
     /*  927646 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(927737), // Rule ID 15896 //
     /*  927651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927698 */     // MIs[1] Operand 1
     /*  927698 */     // No operand predicates
     /*  927698 */     // MIs[0] round
     /*  927698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927735 */     GIR_RootConstrainSelectedInstOperands,
     /*  927736 */     // GIR_Coverage, 15896,
     /*  927736 */     GIR_EraseRootFromParent_Done,
     /*  927737 */   // Label 14047: @927737
     /*  927737 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(927828), // Rule ID 15897 //
     /*  927742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927789 */     // MIs[1] Operand 1
     /*  927789 */     // No operand predicates
     /*  927789 */     // MIs[0] round
     /*  927789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927826 */     GIR_RootConstrainSelectedInstOperands,
     /*  927827 */     // GIR_Coverage, 15897,
     /*  927827 */     GIR_EraseRootFromParent_Done,
     /*  927828 */   // Label 14048: @927828
     /*  927828 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(927919), // Rule ID 15900 //
     /*  927833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927880 */     // MIs[1] Operand 1
     /*  927880 */     // No operand predicates
     /*  927880 */     // MIs[0] round
     /*  927880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927917 */     GIR_RootConstrainSelectedInstOperands,
     /*  927918 */     // GIR_Coverage, 15900,
     /*  927918 */     GIR_EraseRootFromParent_Done,
     /*  927919 */   // Label 14049: @927919
     /*  927919 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(928010), // Rule ID 15901 //
     /*  927924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927971 */     // MIs[1] Operand 1
     /*  927971 */     // No operand predicates
     /*  927971 */     // MIs[0] round
     /*  927971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928008 */     GIR_RootConstrainSelectedInstOperands,
     /*  928009 */     // GIR_Coverage, 15901,
     /*  928009 */     GIR_EraseRootFromParent_Done,
     /*  928010 */   // Label 14050: @928010
     /*  928010 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(928101), // Rule ID 15904 //
     /*  928015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  928018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928062 */     // MIs[1] Operand 1
     /*  928062 */     // No operand predicates
     /*  928062 */     // MIs[0] round
     /*  928062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  928074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928099 */     GIR_RootConstrainSelectedInstOperands,
     /*  928100 */     // GIR_Coverage, 15904,
     /*  928100 */     GIR_EraseRootFromParent_Done,
     /*  928101 */   // Label 14051: @928101
     /*  928101 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(928192), // Rule ID 15905 //
     /*  928106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  928109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928153 */     // MIs[1] Operand 1
     /*  928153 */     // No operand predicates
     /*  928153 */     // MIs[0] round
     /*  928153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  928165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928190 */     GIR_RootConstrainSelectedInstOperands,
     /*  928191 */     // GIR_Coverage, 15905,
     /*  928191 */     GIR_EraseRootFromParent_Done,
     /*  928192 */   // Label 14052: @928192
     /*  928192 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(928283), // Rule ID 15908 //
     /*  928197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  928214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928244 */     // MIs[1] Operand 1
     /*  928244 */     // No operand predicates
     /*  928244 */     // MIs[0] round
     /*  928244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928256 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928281 */     GIR_RootConstrainSelectedInstOperands,
     /*  928282 */     // GIR_Coverage, 15908,
     /*  928282 */     GIR_EraseRootFromParent_Done,
     /*  928283 */   // Label 14053: @928283
     /*  928283 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(928374), // Rule ID 15909 //
     /*  928288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  928305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928335 */     // MIs[1] Operand 1
     /*  928335 */     // No operand predicates
     /*  928335 */     // MIs[0] round
     /*  928335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928347 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928372 */     GIR_RootConstrainSelectedInstOperands,
     /*  928373 */     // GIR_Coverage, 15909,
     /*  928373 */     GIR_EraseRootFromParent_Done,
     /*  928374 */   // Label 14054: @928374
     /*  928374 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(928465), // Rule ID 15912 //
     /*  928379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  928396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928426 */     // MIs[1] Operand 1
     /*  928426 */     // No operand predicates
     /*  928426 */     // MIs[0] round
     /*  928426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928463 */     GIR_RootConstrainSelectedInstOperands,
     /*  928464 */     // GIR_Coverage, 15912,
     /*  928464 */     GIR_EraseRootFromParent_Done,
     /*  928465 */   // Label 14055: @928465
     /*  928465 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(928556), // Rule ID 15913 //
     /*  928470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  928487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928517 */     // MIs[1] Operand 1
     /*  928517 */     // No operand predicates
     /*  928517 */     // MIs[0] round
     /*  928517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928529 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928554 */     GIR_RootConstrainSelectedInstOperands,
     /*  928555 */     // GIR_Coverage, 15913,
     /*  928555 */     GIR_EraseRootFromParent_Done,
     /*  928556 */   // Label 14056: @928556
     /*  928556 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(928647), // Rule ID 15916 //
     /*  928561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928608 */     // MIs[1] Operand 1
     /*  928608 */     // No operand predicates
     /*  928608 */     // MIs[0] round
     /*  928608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928620 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928645 */     GIR_RootConstrainSelectedInstOperands,
     /*  928646 */     // GIR_Coverage, 15916,
     /*  928646 */     GIR_EraseRootFromParent_Done,
     /*  928647 */   // Label 14057: @928647
     /*  928647 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(928738), // Rule ID 15917 //
     /*  928652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928699 */     // MIs[1] Operand 1
     /*  928699 */     // No operand predicates
     /*  928699 */     // MIs[0] round
     /*  928699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928736 */     GIR_RootConstrainSelectedInstOperands,
     /*  928737 */     // GIR_Coverage, 15917,
     /*  928737 */     GIR_EraseRootFromParent_Done,
     /*  928738 */   // Label 14058: @928738
     /*  928738 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(928829), // Rule ID 15920 //
     /*  928743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928790 */     // MIs[1] Operand 1
     /*  928790 */     // No operand predicates
     /*  928790 */     // MIs[0] round
     /*  928790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928827 */     GIR_RootConstrainSelectedInstOperands,
     /*  928828 */     // GIR_Coverage, 15920,
     /*  928828 */     GIR_EraseRootFromParent_Done,
     /*  928829 */   // Label 14059: @928829
     /*  928829 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(928920), // Rule ID 15921 //
     /*  928834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928881 */     // MIs[1] Operand 1
     /*  928881 */     // No operand predicates
     /*  928881 */     // MIs[0] round
     /*  928881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928918 */     GIR_RootConstrainSelectedInstOperands,
     /*  928919 */     // GIR_Coverage, 15921,
     /*  928919 */     GIR_EraseRootFromParent_Done,
     /*  928920 */   // Label 14060: @928920
     /*  928920 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(929011), // Rule ID 15924 //
     /*  928925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928972 */     // MIs[1] Operand 1
     /*  928972 */     // No operand predicates
     /*  928972 */     // MIs[0] round
     /*  928972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929009 */     GIR_RootConstrainSelectedInstOperands,
     /*  929010 */     // GIR_Coverage, 15924,
     /*  929010 */     GIR_EraseRootFromParent_Done,
     /*  929011 */   // Label 14061: @929011
     /*  929011 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(929102), // Rule ID 15925 //
     /*  929016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929063 */     // MIs[1] Operand 1
     /*  929063 */     // No operand predicates
     /*  929063 */     // MIs[0] round
     /*  929063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929100 */     GIR_RootConstrainSelectedInstOperands,
     /*  929101 */     // GIR_Coverage, 15925,
     /*  929101 */     GIR_EraseRootFromParent_Done,
     /*  929102 */   // Label 14062: @929102
     /*  929102 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(929193), // Rule ID 15928 //
     /*  929107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929154 */     // MIs[1] Operand 1
     /*  929154 */     // No operand predicates
     /*  929154 */     // MIs[0] round
     /*  929154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929191 */     GIR_RootConstrainSelectedInstOperands,
     /*  929192 */     // GIR_Coverage, 15928,
     /*  929192 */     GIR_EraseRootFromParent_Done,
     /*  929193 */   // Label 14063: @929193
     /*  929193 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(929284), // Rule ID 15929 //
     /*  929198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929245 */     // MIs[1] Operand 1
     /*  929245 */     // No operand predicates
     /*  929245 */     // MIs[0] round
     /*  929245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929257 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929282 */     GIR_RootConstrainSelectedInstOperands,
     /*  929283 */     // GIR_Coverage, 15929,
     /*  929283 */     GIR_EraseRootFromParent_Done,
     /*  929284 */   // Label 14064: @929284
     /*  929284 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(929375), // Rule ID 15932 //
     /*  929289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929336 */     // MIs[1] Operand 1
     /*  929336 */     // No operand predicates
     /*  929336 */     // MIs[0] round
     /*  929336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929373 */     GIR_RootConstrainSelectedInstOperands,
     /*  929374 */     // GIR_Coverage, 15932,
     /*  929374 */     GIR_EraseRootFromParent_Done,
     /*  929375 */   // Label 14065: @929375
     /*  929375 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(929466), // Rule ID 15933 //
     /*  929380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929427 */     // MIs[1] Operand 1
     /*  929427 */     // No operand predicates
     /*  929427 */     // MIs[0] round
     /*  929427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929439 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929464 */     GIR_RootConstrainSelectedInstOperands,
     /*  929465 */     // GIR_Coverage, 15933,
     /*  929465 */     GIR_EraseRootFromParent_Done,
     /*  929466 */   // Label 14066: @929466
     /*  929466 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(929557), // Rule ID 15936 //
     /*  929471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929518 */     // MIs[1] Operand 1
     /*  929518 */     // No operand predicates
     /*  929518 */     // MIs[0] round
     /*  929518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929555 */     GIR_RootConstrainSelectedInstOperands,
     /*  929556 */     // GIR_Coverage, 15936,
     /*  929556 */     GIR_EraseRootFromParent_Done,
     /*  929557 */   // Label 14067: @929557
     /*  929557 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(929648), // Rule ID 15937 //
     /*  929562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929609 */     // MIs[1] Operand 1
     /*  929609 */     // No operand predicates
     /*  929609 */     // MIs[0] round
     /*  929609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929646 */     GIR_RootConstrainSelectedInstOperands,
     /*  929647 */     // GIR_Coverage, 15937,
     /*  929647 */     GIR_EraseRootFromParent_Done,
     /*  929648 */   // Label 14068: @929648
     /*  929648 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(929739), // Rule ID 15940 //
     /*  929653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929700 */     // MIs[1] Operand 1
     /*  929700 */     // No operand predicates
     /*  929700 */     // MIs[0] round
     /*  929700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929737 */     GIR_RootConstrainSelectedInstOperands,
     /*  929738 */     // GIR_Coverage, 15940,
     /*  929738 */     GIR_EraseRootFromParent_Done,
     /*  929739 */   // Label 14069: @929739
     /*  929739 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(929830), // Rule ID 15941 //
     /*  929744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929791 */     // MIs[1] Operand 1
     /*  929791 */     // No operand predicates
     /*  929791 */     // MIs[0] round
     /*  929791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929828 */     GIR_RootConstrainSelectedInstOperands,
     /*  929829 */     // GIR_Coverage, 15941,
     /*  929829 */     GIR_EraseRootFromParent_Done,
     /*  929830 */   // Label 14070: @929830
     /*  929830 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(929921), // Rule ID 15944 //
     /*  929835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929882 */     // MIs[1] Operand 1
     /*  929882 */     // No operand predicates
     /*  929882 */     // MIs[0] round
     /*  929882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929919 */     GIR_RootConstrainSelectedInstOperands,
     /*  929920 */     // GIR_Coverage, 15944,
     /*  929920 */     GIR_EraseRootFromParent_Done,
     /*  929921 */   // Label 14071: @929921
     /*  929921 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(930012), // Rule ID 15945 //
     /*  929926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929973 */     // MIs[1] Operand 1
     /*  929973 */     // No operand predicates
     /*  929973 */     // MIs[0] round
     /*  929973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929985 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930010 */     GIR_RootConstrainSelectedInstOperands,
     /*  930011 */     // GIR_Coverage, 15945,
     /*  930011 */     GIR_EraseRootFromParent_Done,
     /*  930012 */   // Label 14072: @930012
     /*  930012 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(930103), // Rule ID 15948 //
     /*  930017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930064 */     // MIs[1] Operand 1
     /*  930064 */     // No operand predicates
     /*  930064 */     // MIs[0] round
     /*  930064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930101 */     GIR_RootConstrainSelectedInstOperands,
     /*  930102 */     // GIR_Coverage, 15948,
     /*  930102 */     GIR_EraseRootFromParent_Done,
     /*  930103 */   // Label 14073: @930103
     /*  930103 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(930194), // Rule ID 15949 //
     /*  930108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930155 */     // MIs[1] Operand 1
     /*  930155 */     // No operand predicates
     /*  930155 */     // MIs[0] round
     /*  930155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  930167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930192 */     GIR_RootConstrainSelectedInstOperands,
     /*  930193 */     // GIR_Coverage, 15949,
     /*  930193 */     GIR_EraseRootFromParent_Done,
     /*  930194 */   // Label 14074: @930194
     /*  930194 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(930285), // Rule ID 15952 //
     /*  930199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930246 */     // MIs[1] Operand 1
     /*  930246 */     // No operand predicates
     /*  930246 */     // MIs[0] round
     /*  930246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  930261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930283 */     GIR_RootConstrainSelectedInstOperands,
     /*  930284 */     // GIR_Coverage, 15952,
     /*  930284 */     GIR_EraseRootFromParent_Done,
     /*  930285 */   // Label 14075: @930285
     /*  930285 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(930376), // Rule ID 15953 //
     /*  930290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930337 */     // MIs[1] Operand 1
     /*  930337 */     // No operand predicates
     /*  930337 */     // MIs[0] round
     /*  930337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  930349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  930352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930374 */     GIR_RootConstrainSelectedInstOperands,
     /*  930375 */     // GIR_Coverage, 15953,
     /*  930375 */     GIR_EraseRootFromParent_Done,
     /*  930376 */   // Label 14076: @930376
     /*  930376 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(930467), // Rule ID 16132 //
     /*  930381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930428 */     // MIs[1] Operand 1
     /*  930428 */     // No operand predicates
     /*  930428 */     // MIs[0] round
     /*  930428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930440 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930465 */     GIR_RootConstrainSelectedInstOperands,
     /*  930466 */     // GIR_Coverage, 16132,
     /*  930466 */     GIR_EraseRootFromParent_Done,
     /*  930467 */   // Label 14077: @930467
     /*  930467 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(930558), // Rule ID 16133 //
     /*  930472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930519 */     // MIs[1] Operand 1
     /*  930519 */     // No operand predicates
     /*  930519 */     // MIs[0] round
     /*  930519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930531 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930556 */     GIR_RootConstrainSelectedInstOperands,
     /*  930557 */     // GIR_Coverage, 16133,
     /*  930557 */     GIR_EraseRootFromParent_Done,
     /*  930558 */   // Label 14078: @930558
     /*  930558 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(930649), // Rule ID 16136 //
     /*  930563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930610 */     // MIs[1] Operand 1
     /*  930610 */     // No operand predicates
     /*  930610 */     // MIs[0] round
     /*  930610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930647 */     GIR_RootConstrainSelectedInstOperands,
     /*  930648 */     // GIR_Coverage, 16136,
     /*  930648 */     GIR_EraseRootFromParent_Done,
     /*  930649 */   // Label 14079: @930649
     /*  930649 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(930740), // Rule ID 16137 //
     /*  930654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930701 */     // MIs[1] Operand 1
     /*  930701 */     // No operand predicates
     /*  930701 */     // MIs[0] round
     /*  930701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930713 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930738 */     GIR_RootConstrainSelectedInstOperands,
     /*  930739 */     // GIR_Coverage, 16137,
     /*  930739 */     GIR_EraseRootFromParent_Done,
     /*  930740 */   // Label 14080: @930740
     /*  930740 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(930831), // Rule ID 16140 //
     /*  930745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930792 */     // MIs[1] Operand 1
     /*  930792 */     // No operand predicates
     /*  930792 */     // MIs[0] round
     /*  930792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930829 */     GIR_RootConstrainSelectedInstOperands,
     /*  930830 */     // GIR_Coverage, 16140,
     /*  930830 */     GIR_EraseRootFromParent_Done,
     /*  930831 */   // Label 14081: @930831
     /*  930831 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(930922), // Rule ID 16141 //
     /*  930836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930883 */     // MIs[1] Operand 1
     /*  930883 */     // No operand predicates
     /*  930883 */     // MIs[0] round
     /*  930883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930895 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930920 */     GIR_RootConstrainSelectedInstOperands,
     /*  930921 */     // GIR_Coverage, 16141,
     /*  930921 */     GIR_EraseRootFromParent_Done,
     /*  930922 */   // Label 14082: @930922
     /*  930922 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(931013), // Rule ID 16144 //
     /*  930927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930974 */     // MIs[1] Operand 1
     /*  930974 */     // No operand predicates
     /*  930974 */     // MIs[0] round
     /*  930974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  930986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931011 */     GIR_RootConstrainSelectedInstOperands,
     /*  931012 */     // GIR_Coverage, 16144,
     /*  931012 */     GIR_EraseRootFromParent_Done,
     /*  931013 */   // Label 14083: @931013
     /*  931013 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(931104), // Rule ID 16145 //
     /*  931018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931065 */     // MIs[1] Operand 1
     /*  931065 */     // No operand predicates
     /*  931065 */     // MIs[0] round
     /*  931065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  931080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931102 */     GIR_RootConstrainSelectedInstOperands,
     /*  931103 */     // GIR_Coverage, 16145,
     /*  931103 */     GIR_EraseRootFromParent_Done,
     /*  931104 */   // Label 14084: @931104
     /*  931104 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(931195), // Rule ID 16148 //
     /*  931109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931156 */     // MIs[1] Operand 1
     /*  931156 */     // No operand predicates
     /*  931156 */     // MIs[0] round
     /*  931156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931193 */     GIR_RootConstrainSelectedInstOperands,
     /*  931194 */     // GIR_Coverage, 16148,
     /*  931194 */     GIR_EraseRootFromParent_Done,
     /*  931195 */   // Label 14085: @931195
     /*  931195 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(931286), // Rule ID 16149 //
     /*  931200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931247 */     // MIs[1] Operand 1
     /*  931247 */     // No operand predicates
     /*  931247 */     // MIs[0] round
     /*  931247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931284 */     GIR_RootConstrainSelectedInstOperands,
     /*  931285 */     // GIR_Coverage, 16149,
     /*  931285 */     GIR_EraseRootFromParent_Done,
     /*  931286 */   // Label 14086: @931286
     /*  931286 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(931377), // Rule ID 16152 //
     /*  931291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931338 */     // MIs[1] Operand 1
     /*  931338 */     // No operand predicates
     /*  931338 */     // MIs[0] round
     /*  931338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931375 */     GIR_RootConstrainSelectedInstOperands,
     /*  931376 */     // GIR_Coverage, 16152,
     /*  931376 */     GIR_EraseRootFromParent_Done,
     /*  931377 */   // Label 14087: @931377
     /*  931377 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(931468), // Rule ID 16153 //
     /*  931382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931429 */     // MIs[1] Operand 1
     /*  931429 */     // No operand predicates
     /*  931429 */     // MIs[0] round
     /*  931429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931466 */     GIR_RootConstrainSelectedInstOperands,
     /*  931467 */     // GIR_Coverage, 16153,
     /*  931467 */     GIR_EraseRootFromParent_Done,
     /*  931468 */   // Label 14088: @931468
     /*  931468 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(931559), // Rule ID 16156 //
     /*  931473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931520 */     // MIs[1] Operand 1
     /*  931520 */     // No operand predicates
     /*  931520 */     // MIs[0] round
     /*  931520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931557 */     GIR_RootConstrainSelectedInstOperands,
     /*  931558 */     // GIR_Coverage, 16156,
     /*  931558 */     GIR_EraseRootFromParent_Done,
     /*  931559 */   // Label 14089: @931559
     /*  931559 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(931650), // Rule ID 16157 //
     /*  931564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931611 */     // MIs[1] Operand 1
     /*  931611 */     // No operand predicates
     /*  931611 */     // MIs[0] round
     /*  931611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931648 */     GIR_RootConstrainSelectedInstOperands,
     /*  931649 */     // GIR_Coverage, 16157,
     /*  931649 */     GIR_EraseRootFromParent_Done,
     /*  931650 */   // Label 14090: @931650
     /*  931650 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(931741), // Rule ID 16160 //
     /*  931655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931702 */     // MIs[1] Operand 1
     /*  931702 */     // No operand predicates
     /*  931702 */     // MIs[0] round
     /*  931702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931739 */     GIR_RootConstrainSelectedInstOperands,
     /*  931740 */     // GIR_Coverage, 16160,
     /*  931740 */     GIR_EraseRootFromParent_Done,
     /*  931741 */   // Label 14091: @931741
     /*  931741 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(931832), // Rule ID 16161 //
     /*  931746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931793 */     // MIs[1] Operand 1
     /*  931793 */     // No operand predicates
     /*  931793 */     // MIs[0] round
     /*  931793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931830 */     GIR_RootConstrainSelectedInstOperands,
     /*  931831 */     // GIR_Coverage, 16161,
     /*  931831 */     GIR_EraseRootFromParent_Done,
     /*  931832 */   // Label 14092: @931832
     /*  931832 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(931923), // Rule ID 16164 //
     /*  931837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931884 */     // MIs[1] Operand 1
     /*  931884 */     // No operand predicates
     /*  931884 */     // MIs[0] round
     /*  931884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931921 */     GIR_RootConstrainSelectedInstOperands,
     /*  931922 */     // GIR_Coverage, 16164,
     /*  931922 */     GIR_EraseRootFromParent_Done,
     /*  931923 */   // Label 14093: @931923
     /*  931923 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(932014), // Rule ID 16165 //
     /*  931928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931975 */     // MIs[1] Operand 1
     /*  931975 */     // No operand predicates
     /*  931975 */     // MIs[0] round
     /*  931975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932012 */     GIR_RootConstrainSelectedInstOperands,
     /*  932013 */     // GIR_Coverage, 16165,
     /*  932013 */     GIR_EraseRootFromParent_Done,
     /*  932014 */   // Label 14094: @932014
     /*  932014 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(932105), // Rule ID 16168 //
     /*  932019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932066 */     // MIs[1] Operand 1
     /*  932066 */     // No operand predicates
     /*  932066 */     // MIs[0] round
     /*  932066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932103 */     GIR_RootConstrainSelectedInstOperands,
     /*  932104 */     // GIR_Coverage, 16168,
     /*  932104 */     GIR_EraseRootFromParent_Done,
     /*  932105 */   // Label 14095: @932105
     /*  932105 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(932196), // Rule ID 16169 //
     /*  932110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932157 */     // MIs[1] Operand 1
     /*  932157 */     // No operand predicates
     /*  932157 */     // MIs[0] round
     /*  932157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932194 */     GIR_RootConstrainSelectedInstOperands,
     /*  932195 */     // GIR_Coverage, 16169,
     /*  932195 */     GIR_EraseRootFromParent_Done,
     /*  932196 */   // Label 14096: @932196
     /*  932196 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(932287), // Rule ID 16172 //
     /*  932201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932248 */     // MIs[1] Operand 1
     /*  932248 */     // No operand predicates
     /*  932248 */     // MIs[0] round
     /*  932248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932285 */     GIR_RootConstrainSelectedInstOperands,
     /*  932286 */     // GIR_Coverage, 16172,
     /*  932286 */     GIR_EraseRootFromParent_Done,
     /*  932287 */   // Label 14097: @932287
     /*  932287 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(932378), // Rule ID 16173 //
     /*  932292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932339 */     // MIs[1] Operand 1
     /*  932339 */     // No operand predicates
     /*  932339 */     // MIs[0] round
     /*  932339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932376 */     GIR_RootConstrainSelectedInstOperands,
     /*  932377 */     // GIR_Coverage, 16173,
     /*  932377 */     GIR_EraseRootFromParent_Done,
     /*  932378 */   // Label 14098: @932378
     /*  932378 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(932469), // Rule ID 16176 //
     /*  932383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932430 */     // MIs[1] Operand 1
     /*  932430 */     // No operand predicates
     /*  932430 */     // MIs[0] round
     /*  932430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932467 */     GIR_RootConstrainSelectedInstOperands,
     /*  932468 */     // GIR_Coverage, 16176,
     /*  932468 */     GIR_EraseRootFromParent_Done,
     /*  932469 */   // Label 14099: @932469
     /*  932469 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(932560), // Rule ID 16177 //
     /*  932474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932521 */     // MIs[1] Operand 1
     /*  932521 */     // No operand predicates
     /*  932521 */     // MIs[0] round
     /*  932521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932533 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932558 */     GIR_RootConstrainSelectedInstOperands,
     /*  932559 */     // GIR_Coverage, 16177,
     /*  932559 */     GIR_EraseRootFromParent_Done,
     /*  932560 */   // Label 14100: @932560
     /*  932560 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(932651), // Rule ID 16180 //
     /*  932565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932612 */     // MIs[1] Operand 1
     /*  932612 */     // No operand predicates
     /*  932612 */     // MIs[0] round
     /*  932612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932624 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932649 */     GIR_RootConstrainSelectedInstOperands,
     /*  932650 */     // GIR_Coverage, 16180,
     /*  932650 */     GIR_EraseRootFromParent_Done,
     /*  932651 */   // Label 14101: @932651
     /*  932651 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(932742), // Rule ID 16181 //
     /*  932656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932703 */     // MIs[1] Operand 1
     /*  932703 */     // No operand predicates
     /*  932703 */     // MIs[0] round
     /*  932703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932715 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932740 */     GIR_RootConstrainSelectedInstOperands,
     /*  932741 */     // GIR_Coverage, 16181,
     /*  932741 */     GIR_EraseRootFromParent_Done,
     /*  932742 */   // Label 14102: @932742
     /*  932742 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(932833), // Rule ID 16184 //
     /*  932747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932794 */     // MIs[1] Operand 1
     /*  932794 */     // No operand predicates
     /*  932794 */     // MIs[0] round
     /*  932794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932831 */     GIR_RootConstrainSelectedInstOperands,
     /*  932832 */     // GIR_Coverage, 16184,
     /*  932832 */     GIR_EraseRootFromParent_Done,
     /*  932833 */   // Label 14103: @932833
     /*  932833 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(932924), // Rule ID 16185 //
     /*  932838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932885 */     // MIs[1] Operand 1
     /*  932885 */     // No operand predicates
     /*  932885 */     // MIs[0] round
     /*  932885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932922 */     GIR_RootConstrainSelectedInstOperands,
     /*  932923 */     // GIR_Coverage, 16185,
     /*  932923 */     GIR_EraseRootFromParent_Done,
     /*  932924 */   // Label 14104: @932924
     /*  932924 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(933015), // Rule ID 16188 //
     /*  932929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932976 */     // MIs[1] Operand 1
     /*  932976 */     // No operand predicates
     /*  932976 */     // MIs[0] round
     /*  932976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933013 */     GIR_RootConstrainSelectedInstOperands,
     /*  933014 */     // GIR_Coverage, 16188,
     /*  933014 */     GIR_EraseRootFromParent_Done,
     /*  933015 */   // Label 14105: @933015
     /*  933015 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(933106), // Rule ID 16189 //
     /*  933020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933067 */     // MIs[1] Operand 1
     /*  933067 */     // No operand predicates
     /*  933067 */     // MIs[0] round
     /*  933067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933079 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933104 */     GIR_RootConstrainSelectedInstOperands,
     /*  933105 */     // GIR_Coverage, 16189,
     /*  933105 */     GIR_EraseRootFromParent_Done,
     /*  933106 */   // Label 14106: @933106
     /*  933106 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(933197), // Rule ID 16192 //
     /*  933111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933158 */     // MIs[1] Operand 1
     /*  933158 */     // No operand predicates
     /*  933158 */     // MIs[0] round
     /*  933158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933170 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933195 */     GIR_RootConstrainSelectedInstOperands,
     /*  933196 */     // GIR_Coverage, 16192,
     /*  933196 */     GIR_EraseRootFromParent_Done,
     /*  933197 */   // Label 14107: @933197
     /*  933197 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(933288), // Rule ID 16193 //
     /*  933202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933249 */     // MIs[1] Operand 1
     /*  933249 */     // No operand predicates
     /*  933249 */     // MIs[0] round
     /*  933249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933286 */     GIR_RootConstrainSelectedInstOperands,
     /*  933287 */     // GIR_Coverage, 16193,
     /*  933287 */     GIR_EraseRootFromParent_Done,
     /*  933288 */   // Label 14108: @933288
     /*  933288 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(933379), // Rule ID 16196 //
     /*  933293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933340 */     // MIs[1] Operand 1
     /*  933340 */     // No operand predicates
     /*  933340 */     // MIs[0] round
     /*  933340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933377 */     GIR_RootConstrainSelectedInstOperands,
     /*  933378 */     // GIR_Coverage, 16196,
     /*  933378 */     GIR_EraseRootFromParent_Done,
     /*  933379 */   // Label 14109: @933379
     /*  933379 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(933470), // Rule ID 16197 //
     /*  933384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933431 */     // MIs[1] Operand 1
     /*  933431 */     // No operand predicates
     /*  933431 */     // MIs[0] round
     /*  933431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933468 */     GIR_RootConstrainSelectedInstOperands,
     /*  933469 */     // GIR_Coverage, 16197,
     /*  933469 */     GIR_EraseRootFromParent_Done,
     /*  933470 */   // Label 14110: @933470
     /*  933470 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(933561), // Rule ID 16200 //
     /*  933475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933522 */     // MIs[1] Operand 1
     /*  933522 */     // No operand predicates
     /*  933522 */     // MIs[0] round
     /*  933522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933559 */     GIR_RootConstrainSelectedInstOperands,
     /*  933560 */     // GIR_Coverage, 16200,
     /*  933560 */     GIR_EraseRootFromParent_Done,
     /*  933561 */   // Label 14111: @933561
     /*  933561 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(933652), // Rule ID 16201 //
     /*  933566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933613 */     // MIs[1] Operand 1
     /*  933613 */     // No operand predicates
     /*  933613 */     // MIs[0] round
     /*  933613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933650 */     GIR_RootConstrainSelectedInstOperands,
     /*  933651 */     // GIR_Coverage, 16201,
     /*  933651 */     GIR_EraseRootFromParent_Done,
     /*  933652 */   // Label 14112: @933652
     /*  933652 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(933743), // Rule ID 16204 //
     /*  933657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933704 */     // MIs[1] Operand 1
     /*  933704 */     // No operand predicates
     /*  933704 */     // MIs[0] round
     /*  933704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933741 */     GIR_RootConstrainSelectedInstOperands,
     /*  933742 */     // GIR_Coverage, 16204,
     /*  933742 */     GIR_EraseRootFromParent_Done,
     /*  933743 */   // Label 14113: @933743
     /*  933743 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(933834), // Rule ID 16205 //
     /*  933748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933795 */     // MIs[1] Operand 1
     /*  933795 */     // No operand predicates
     /*  933795 */     // MIs[0] round
     /*  933795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933807 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933832 */     GIR_RootConstrainSelectedInstOperands,
     /*  933833 */     // GIR_Coverage, 16205,
     /*  933833 */     GIR_EraseRootFromParent_Done,
     /*  933834 */   // Label 14114: @933834
     /*  933834 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(933925), // Rule ID 16208 //
     /*  933839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933886 */     // MIs[1] Operand 1
     /*  933886 */     // No operand predicates
     /*  933886 */     // MIs[0] round
     /*  933886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933923 */     GIR_RootConstrainSelectedInstOperands,
     /*  933924 */     // GIR_Coverage, 16208,
     /*  933924 */     GIR_EraseRootFromParent_Done,
     /*  933925 */   // Label 14115: @933925
     /*  933925 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(934016), // Rule ID 16209 //
     /*  933930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933977 */     // MIs[1] Operand 1
     /*  933977 */     // No operand predicates
     /*  933977 */     // MIs[0] round
     /*  933977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933989 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934014 */     GIR_RootConstrainSelectedInstOperands,
     /*  934015 */     // GIR_Coverage, 16209,
     /*  934015 */     GIR_EraseRootFromParent_Done,
     /*  934016 */   // Label 14116: @934016
     /*  934016 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(934107), // Rule ID 16212 //
     /*  934021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934068 */     // MIs[1] Operand 1
     /*  934068 */     // No operand predicates
     /*  934068 */     // MIs[0] round
     /*  934068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934105 */     GIR_RootConstrainSelectedInstOperands,
     /*  934106 */     // GIR_Coverage, 16212,
     /*  934106 */     GIR_EraseRootFromParent_Done,
     /*  934107 */   // Label 14117: @934107
     /*  934107 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(934198), // Rule ID 16213 //
     /*  934112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934159 */     // MIs[1] Operand 1
     /*  934159 */     // No operand predicates
     /*  934159 */     // MIs[0] round
     /*  934159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934196 */     GIR_RootConstrainSelectedInstOperands,
     /*  934197 */     // GIR_Coverage, 16213,
     /*  934197 */     GIR_EraseRootFromParent_Done,
     /*  934198 */   // Label 14118: @934198
     /*  934198 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(934289), // Rule ID 16216 //
     /*  934203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934250 */     // MIs[1] Operand 1
     /*  934250 */     // No operand predicates
     /*  934250 */     // MIs[0] round
     /*  934250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  934265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934287 */     GIR_RootConstrainSelectedInstOperands,
     /*  934288 */     // GIR_Coverage, 16216,
     /*  934288 */     GIR_EraseRootFromParent_Done,
     /*  934289 */   // Label 14119: @934289
     /*  934289 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(934380), // Rule ID 16217 //
     /*  934294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934341 */     // MIs[1] Operand 1
     /*  934341 */     // No operand predicates
     /*  934341 */     // MIs[0] round
     /*  934341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  934356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934378 */     GIR_RootConstrainSelectedInstOperands,
     /*  934379 */     // GIR_Coverage, 16217,
     /*  934379 */     GIR_EraseRootFromParent_Done,
     /*  934380 */   // Label 14120: @934380
     /*  934380 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(934474), // Rule ID 16340 //
     /*  934385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  934402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934432 */     // MIs[1] Operand 1
     /*  934432 */     // No operand predicates
     /*  934432 */     // MIs[0] round
     /*  934432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934472 */     GIR_RootConstrainSelectedInstOperands,
     /*  934473 */     // GIR_Coverage, 16340,
     /*  934473 */     GIR_EraseRootFromParent_Done,
     /*  934474 */   // Label 14121: @934474
     /*  934474 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(934568), // Rule ID 16341 //
     /*  934479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  934496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934526 */     // MIs[1] Operand 1
     /*  934526 */     // No operand predicates
     /*  934526 */     // MIs[0] round
     /*  934526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934538 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934566 */     GIR_RootConstrainSelectedInstOperands,
     /*  934567 */     // GIR_Coverage, 16341,
     /*  934567 */     GIR_EraseRootFromParent_Done,
     /*  934568 */   // Label 14122: @934568
     /*  934568 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(934662), // Rule ID 16344 //
     /*  934573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934620 */     // MIs[1] Operand 1
     /*  934620 */     // No operand predicates
     /*  934620 */     // MIs[0] round
     /*  934620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934660 */     GIR_RootConstrainSelectedInstOperands,
     /*  934661 */     // GIR_Coverage, 16344,
     /*  934661 */     GIR_EraseRootFromParent_Done,
     /*  934662 */   // Label 14123: @934662
     /*  934662 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(934756), // Rule ID 16345 //
     /*  934667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934714 */     // MIs[1] Operand 1
     /*  934714 */     // No operand predicates
     /*  934714 */     // MIs[0] round
     /*  934714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934754 */     GIR_RootConstrainSelectedInstOperands,
     /*  934755 */     // GIR_Coverage, 16345,
     /*  934755 */     GIR_EraseRootFromParent_Done,
     /*  934756 */   // Label 14124: @934756
     /*  934756 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(934850), // Rule ID 16348 //
     /*  934761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934808 */     // MIs[1] Operand 1
     /*  934808 */     // No operand predicates
     /*  934808 */     // MIs[0] round
     /*  934808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934820 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934848 */     GIR_RootConstrainSelectedInstOperands,
     /*  934849 */     // GIR_Coverage, 16348,
     /*  934849 */     GIR_EraseRootFromParent_Done,
     /*  934850 */   // Label 14125: @934850
     /*  934850 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(934944), // Rule ID 16349 //
     /*  934855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934902 */     // MIs[1] Operand 1
     /*  934902 */     // No operand predicates
     /*  934902 */     // MIs[0] round
     /*  934902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934914 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934942 */     GIR_RootConstrainSelectedInstOperands,
     /*  934943 */     // GIR_Coverage, 16349,
     /*  934943 */     GIR_EraseRootFromParent_Done,
     /*  934944 */   // Label 14126: @934944
     /*  934944 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(935038), // Rule ID 16352 //
     /*  934949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  934966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934996 */     // MIs[1] Operand 1
     /*  934996 */     // No operand predicates
     /*  934996 */     // MIs[0] round
     /*  934996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935036 */     GIR_RootConstrainSelectedInstOperands,
     /*  935037 */     // GIR_Coverage, 16352,
     /*  935037 */     GIR_EraseRootFromParent_Done,
     /*  935038 */   // Label 14127: @935038
     /*  935038 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(935132), // Rule ID 16353 //
     /*  935043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  935060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935090 */     // MIs[1] Operand 1
     /*  935090 */     // No operand predicates
     /*  935090 */     // MIs[0] round
     /*  935090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935130 */     GIR_RootConstrainSelectedInstOperands,
     /*  935131 */     // GIR_Coverage, 16353,
     /*  935131 */     GIR_EraseRootFromParent_Done,
     /*  935132 */   // Label 14128: @935132
     /*  935132 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(935226), // Rule ID 16356 //
     /*  935137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  935154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935184 */     // MIs[1] Operand 1
     /*  935184 */     // No operand predicates
     /*  935184 */     // MIs[0] round
     /*  935184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935224 */     GIR_RootConstrainSelectedInstOperands,
     /*  935225 */     // GIR_Coverage, 16356,
     /*  935225 */     GIR_EraseRootFromParent_Done,
     /*  935226 */   // Label 14129: @935226
     /*  935226 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(935320), // Rule ID 16357 //
     /*  935231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  935248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935278 */     // MIs[1] Operand 1
     /*  935278 */     // No operand predicates
     /*  935278 */     // MIs[0] round
     /*  935278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935290 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935318 */     GIR_RootConstrainSelectedInstOperands,
     /*  935319 */     // GIR_Coverage, 16357,
     /*  935319 */     GIR_EraseRootFromParent_Done,
     /*  935320 */   // Label 14130: @935320
     /*  935320 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(935414), // Rule ID 16360 //
     /*  935325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  935336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  935339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  935342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935372 */     // MIs[1] Operand 1
     /*  935372 */     // No operand predicates
     /*  935372 */     // MIs[0] round
     /*  935372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935412 */     GIR_RootConstrainSelectedInstOperands,
     /*  935413 */     // GIR_Coverage, 16360,
     /*  935413 */     GIR_EraseRootFromParent_Done,
     /*  935414 */   // Label 14131: @935414
     /*  935414 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(935508), // Rule ID 16361 //
     /*  935419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  935430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  935433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  935436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935466 */     // MIs[1] Operand 1
     /*  935466 */     // No operand predicates
     /*  935466 */     // MIs[0] round
     /*  935466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935506 */     GIR_RootConstrainSelectedInstOperands,
     /*  935507 */     // GIR_Coverage, 16361,
     /*  935507 */     GIR_EraseRootFromParent_Done,
     /*  935508 */   // Label 14132: @935508
     /*  935508 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(935602), // Rule ID 16364 //
     /*  935513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935560 */     // MIs[1] Operand 1
     /*  935560 */     // No operand predicates
     /*  935560 */     // MIs[0] round
     /*  935560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935600 */     GIR_RootConstrainSelectedInstOperands,
     /*  935601 */     // GIR_Coverage, 16364,
     /*  935601 */     GIR_EraseRootFromParent_Done,
     /*  935602 */   // Label 14133: @935602
     /*  935602 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(935696), // Rule ID 16365 //
     /*  935607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935654 */     // MIs[1] Operand 1
     /*  935654 */     // No operand predicates
     /*  935654 */     // MIs[0] round
     /*  935654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935694 */     GIR_RootConstrainSelectedInstOperands,
     /*  935695 */     // GIR_Coverage, 16365,
     /*  935695 */     GIR_EraseRootFromParent_Done,
     /*  935696 */   // Label 14134: @935696
     /*  935696 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(935790), // Rule ID 16368 //
     /*  935701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935748 */     // MIs[1] Operand 1
     /*  935748 */     // No operand predicates
     /*  935748 */     // MIs[0] round
     /*  935748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935788 */     GIR_RootConstrainSelectedInstOperands,
     /*  935789 */     // GIR_Coverage, 16368,
     /*  935789 */     GIR_EraseRootFromParent_Done,
     /*  935790 */   // Label 14135: @935790
     /*  935790 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(935884), // Rule ID 16369 //
     /*  935795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935842 */     // MIs[1] Operand 1
     /*  935842 */     // No operand predicates
     /*  935842 */     // MIs[0] round
     /*  935842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935882 */     GIR_RootConstrainSelectedInstOperands,
     /*  935883 */     // GIR_Coverage, 16369,
     /*  935883 */     GIR_EraseRootFromParent_Done,
     /*  935884 */   // Label 14136: @935884
     /*  935884 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(935978), // Rule ID 16372 //
     /*  935889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935936 */     // MIs[1] Operand 1
     /*  935936 */     // No operand predicates
     /*  935936 */     // MIs[0] round
     /*  935936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935976 */     GIR_RootConstrainSelectedInstOperands,
     /*  935977 */     // GIR_Coverage, 16372,
     /*  935977 */     GIR_EraseRootFromParent_Done,
     /*  935978 */   // Label 14137: @935978
     /*  935978 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(936072), // Rule ID 16373 //
     /*  935983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  936000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936030 */     // MIs[1] Operand 1
     /*  936030 */     // No operand predicates
     /*  936030 */     // MIs[0] round
     /*  936030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936070 */     GIR_RootConstrainSelectedInstOperands,
     /*  936071 */     // GIR_Coverage, 16373,
     /*  936071 */     GIR_EraseRootFromParent_Done,
     /*  936072 */   // Label 14138: @936072
     /*  936072 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(936166), // Rule ID 16376 //
     /*  936077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  936094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936124 */     // MIs[1] Operand 1
     /*  936124 */     // No operand predicates
     /*  936124 */     // MIs[0] round
     /*  936124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936164 */     GIR_RootConstrainSelectedInstOperands,
     /*  936165 */     // GIR_Coverage, 16376,
     /*  936165 */     GIR_EraseRootFromParent_Done,
     /*  936166 */   // Label 14139: @936166
     /*  936166 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(936260), // Rule ID 16377 //
     /*  936171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  936188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936218 */     // MIs[1] Operand 1
     /*  936218 */     // No operand predicates
     /*  936218 */     // MIs[0] round
     /*  936218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936258 */     GIR_RootConstrainSelectedInstOperands,
     /*  936259 */     // GIR_Coverage, 16377,
     /*  936259 */     GIR_EraseRootFromParent_Done,
     /*  936260 */   // Label 14140: @936260
     /*  936260 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(936354), // Rule ID 16380 //
     /*  936265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  936276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  936279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  936282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936312 */     // MIs[1] Operand 1
     /*  936312 */     // No operand predicates
     /*  936312 */     // MIs[0] round
     /*  936312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936352 */     GIR_RootConstrainSelectedInstOperands,
     /*  936353 */     // GIR_Coverage, 16380,
     /*  936353 */     GIR_EraseRootFromParent_Done,
     /*  936354 */   // Label 14141: @936354
     /*  936354 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(936448), // Rule ID 16381 //
     /*  936359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  936370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  936373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  936376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936406 */     // MIs[1] Operand 1
     /*  936406 */     // No operand predicates
     /*  936406 */     // MIs[0] round
     /*  936406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936446 */     GIR_RootConstrainSelectedInstOperands,
     /*  936447 */     // GIR_Coverage, 16381,
     /*  936447 */     GIR_EraseRootFromParent_Done,
     /*  936448 */   // Label 14142: @936448
     /*  936448 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(936542), // Rule ID 16384 //
     /*  936453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936500 */     // MIs[1] Operand 1
     /*  936500 */     // No operand predicates
     /*  936500 */     // MIs[0] round
     /*  936500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936540 */     GIR_RootConstrainSelectedInstOperands,
     /*  936541 */     // GIR_Coverage, 16384,
     /*  936541 */     GIR_EraseRootFromParent_Done,
     /*  936542 */   // Label 14143: @936542
     /*  936542 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(936636), // Rule ID 16385 //
     /*  936547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936594 */     // MIs[1] Operand 1
     /*  936594 */     // No operand predicates
     /*  936594 */     // MIs[0] round
     /*  936594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936634 */     GIR_RootConstrainSelectedInstOperands,
     /*  936635 */     // GIR_Coverage, 16385,
     /*  936635 */     GIR_EraseRootFromParent_Done,
     /*  936636 */   // Label 14144: @936636
     /*  936636 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(936730), // Rule ID 16388 //
     /*  936641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936688 */     // MIs[1] Operand 1
     /*  936688 */     // No operand predicates
     /*  936688 */     // MIs[0] round
     /*  936688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936728 */     GIR_RootConstrainSelectedInstOperands,
     /*  936729 */     // GIR_Coverage, 16388,
     /*  936729 */     GIR_EraseRootFromParent_Done,
     /*  936730 */   // Label 14145: @936730
     /*  936730 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(936824), // Rule ID 16389 //
     /*  936735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936782 */     // MIs[1] Operand 1
     /*  936782 */     // No operand predicates
     /*  936782 */     // MIs[0] round
     /*  936782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936822 */     GIR_RootConstrainSelectedInstOperands,
     /*  936823 */     // GIR_Coverage, 16389,
     /*  936823 */     GIR_EraseRootFromParent_Done,
     /*  936824 */   // Label 14146: @936824
     /*  936824 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(936918), // Rule ID 16392 //
     /*  936829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936876 */     // MIs[1] Operand 1
     /*  936876 */     // No operand predicates
     /*  936876 */     // MIs[0] round
     /*  936876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936916 */     GIR_RootConstrainSelectedInstOperands,
     /*  936917 */     // GIR_Coverage, 16392,
     /*  936917 */     GIR_EraseRootFromParent_Done,
     /*  936918 */   // Label 14147: @936918
     /*  936918 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(937012), // Rule ID 16393 //
     /*  936923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936970 */     // MIs[1] Operand 1
     /*  936970 */     // No operand predicates
     /*  936970 */     // MIs[0] round
     /*  936970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937010 */     GIR_RootConstrainSelectedInstOperands,
     /*  937011 */     // GIR_Coverage, 16393,
     /*  937011 */     GIR_EraseRootFromParent_Done,
     /*  937012 */   // Label 14148: @937012
     /*  937012 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(937106), // Rule ID 16396 //
     /*  937017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  937034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937064 */     // MIs[1] Operand 1
     /*  937064 */     // No operand predicates
     /*  937064 */     // MIs[0] round
     /*  937064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  937079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937104 */     GIR_RootConstrainSelectedInstOperands,
     /*  937105 */     // GIR_Coverage, 16396,
     /*  937105 */     GIR_EraseRootFromParent_Done,
     /*  937106 */   // Label 14149: @937106
     /*  937106 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(937200), // Rule ID 16397 //
     /*  937111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  937128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937158 */     // MIs[1] Operand 1
     /*  937158 */     // No operand predicates
     /*  937158 */     // MIs[0] round
     /*  937158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  937173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937198 */     GIR_RootConstrainSelectedInstOperands,
     /*  937199 */     // GIR_Coverage, 16397,
     /*  937199 */     GIR_EraseRootFromParent_Done,
     /*  937200 */   // Label 14150: @937200
     /*  937200 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(937294), // Rule ID 16520 //
     /*  937205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937252 */     // MIs[1] Operand 1
     /*  937252 */     // No operand predicates
     /*  937252 */     // MIs[0] round
     /*  937252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  937267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937292 */     GIR_RootConstrainSelectedInstOperands,
     /*  937293 */     // GIR_Coverage, 16520,
     /*  937293 */     GIR_EraseRootFromParent_Done,
     /*  937294 */   // Label 14151: @937294
     /*  937294 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(937388), // Rule ID 16521 //
     /*  937299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937346 */     // MIs[1] Operand 1
     /*  937346 */     // No operand predicates
     /*  937346 */     // MIs[0] round
     /*  937346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  937361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937386 */     GIR_RootConstrainSelectedInstOperands,
     /*  937387 */     // GIR_Coverage, 16521,
     /*  937387 */     GIR_EraseRootFromParent_Done,
     /*  937388 */   // Label 14152: @937388
     /*  937388 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(937482), // Rule ID 16524 //
     /*  937393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937440 */     // MIs[1] Operand 1
     /*  937440 */     // No operand predicates
     /*  937440 */     // MIs[0] round
     /*  937440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937480 */     GIR_RootConstrainSelectedInstOperands,
     /*  937481 */     // GIR_Coverage, 16524,
     /*  937481 */     GIR_EraseRootFromParent_Done,
     /*  937482 */   // Label 14153: @937482
     /*  937482 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(937576), // Rule ID 16525 //
     /*  937487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937534 */     // MIs[1] Operand 1
     /*  937534 */     // No operand predicates
     /*  937534 */     // MIs[0] round
     /*  937534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937574 */     GIR_RootConstrainSelectedInstOperands,
     /*  937575 */     // GIR_Coverage, 16525,
     /*  937575 */     GIR_EraseRootFromParent_Done,
     /*  937576 */   // Label 14154: @937576
     /*  937576 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(937670), // Rule ID 16528 //
     /*  937581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937628 */     // MIs[1] Operand 1
     /*  937628 */     // No operand predicates
     /*  937628 */     // MIs[0] round
     /*  937628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937668 */     GIR_RootConstrainSelectedInstOperands,
     /*  937669 */     // GIR_Coverage, 16528,
     /*  937669 */     GIR_EraseRootFromParent_Done,
     /*  937670 */   // Label 14155: @937670
     /*  937670 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(937764), // Rule ID 16529 //
     /*  937675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937722 */     // MIs[1] Operand 1
     /*  937722 */     // No operand predicates
     /*  937722 */     // MIs[0] round
     /*  937722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937762 */     GIR_RootConstrainSelectedInstOperands,
     /*  937763 */     // GIR_Coverage, 16529,
     /*  937763 */     GIR_EraseRootFromParent_Done,
     /*  937764 */   // Label 14156: @937764
     /*  937764 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(937858), // Rule ID 16532 //
     /*  937769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937816 */     // MIs[1] Operand 1
     /*  937816 */     // No operand predicates
     /*  937816 */     // MIs[0] round
     /*  937816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937856 */     GIR_RootConstrainSelectedInstOperands,
     /*  937857 */     // GIR_Coverage, 16532,
     /*  937857 */     GIR_EraseRootFromParent_Done,
     /*  937858 */   // Label 14157: @937858
     /*  937858 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(937952), // Rule ID 16533 //
     /*  937863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937910 */     // MIs[1] Operand 1
     /*  937910 */     // No operand predicates
     /*  937910 */     // MIs[0] round
     /*  937910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937950 */     GIR_RootConstrainSelectedInstOperands,
     /*  937951 */     // GIR_Coverage, 16533,
     /*  937951 */     GIR_EraseRootFromParent_Done,
     /*  937952 */   // Label 14158: @937952
     /*  937952 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(938046), // Rule ID 16536 //
     /*  937957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938004 */     // MIs[1] Operand 1
     /*  938004 */     // No operand predicates
     /*  938004 */     // MIs[0] round
     /*  938004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938016 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938044 */     GIR_RootConstrainSelectedInstOperands,
     /*  938045 */     // GIR_Coverage, 16536,
     /*  938045 */     GIR_EraseRootFromParent_Done,
     /*  938046 */   // Label 14159: @938046
     /*  938046 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(938140), // Rule ID 16537 //
     /*  938051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  938062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  938065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  938068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938098 */     // MIs[1] Operand 1
     /*  938098 */     // No operand predicates
     /*  938098 */     // MIs[0] round
     /*  938098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938138 */     GIR_RootConstrainSelectedInstOperands,
     /*  938139 */     // GIR_Coverage, 16537,
     /*  938139 */     GIR_EraseRootFromParent_Done,
     /*  938140 */   // Label 14160: @938140
     /*  938140 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(938234), // Rule ID 16540 //
     /*  938145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  938156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  938159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  938162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938192 */     // MIs[1] Operand 1
     /*  938192 */     // No operand predicates
     /*  938192 */     // MIs[0] round
     /*  938192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938232 */     GIR_RootConstrainSelectedInstOperands,
     /*  938233 */     // GIR_Coverage, 16540,
     /*  938233 */     GIR_EraseRootFromParent_Done,
     /*  938234 */   // Label 14161: @938234
     /*  938234 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(938328), // Rule ID 16541 //
     /*  938239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  938250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  938253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  938256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938286 */     // MIs[1] Operand 1
     /*  938286 */     // No operand predicates
     /*  938286 */     // MIs[0] round
     /*  938286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938326 */     GIR_RootConstrainSelectedInstOperands,
     /*  938327 */     // GIR_Coverage, 16541,
     /*  938327 */     GIR_EraseRootFromParent_Done,
     /*  938328 */   // Label 14162: @938328
     /*  938328 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(938422), // Rule ID 16544 //
     /*  938333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938380 */     // MIs[1] Operand 1
     /*  938380 */     // No operand predicates
     /*  938380 */     // MIs[0] round
     /*  938380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938420 */     GIR_RootConstrainSelectedInstOperands,
     /*  938421 */     // GIR_Coverage, 16544,
     /*  938421 */     GIR_EraseRootFromParent_Done,
     /*  938422 */   // Label 14163: @938422
     /*  938422 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(938516), // Rule ID 16545 //
     /*  938427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938474 */     // MIs[1] Operand 1
     /*  938474 */     // No operand predicates
     /*  938474 */     // MIs[0] round
     /*  938474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938514 */     GIR_RootConstrainSelectedInstOperands,
     /*  938515 */     // GIR_Coverage, 16545,
     /*  938515 */     GIR_EraseRootFromParent_Done,
     /*  938516 */   // Label 14164: @938516
     /*  938516 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(938610), // Rule ID 16548 //
     /*  938521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938568 */     // MIs[1] Operand 1
     /*  938568 */     // No operand predicates
     /*  938568 */     // MIs[0] round
     /*  938568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938580 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938608 */     GIR_RootConstrainSelectedInstOperands,
     /*  938609 */     // GIR_Coverage, 16548,
     /*  938609 */     GIR_EraseRootFromParent_Done,
     /*  938610 */   // Label 14165: @938610
     /*  938610 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(938704), // Rule ID 16549 //
     /*  938615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938662 */     // MIs[1] Operand 1
     /*  938662 */     // No operand predicates
     /*  938662 */     // MIs[0] round
     /*  938662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938702 */     GIR_RootConstrainSelectedInstOperands,
     /*  938703 */     // GIR_Coverage, 16549,
     /*  938703 */     GIR_EraseRootFromParent_Done,
     /*  938704 */   // Label 14166: @938704
     /*  938704 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(938798), // Rule ID 16552 //
     /*  938709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938756 */     // MIs[1] Operand 1
     /*  938756 */     // No operand predicates
     /*  938756 */     // MIs[0] round
     /*  938756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938796 */     GIR_RootConstrainSelectedInstOperands,
     /*  938797 */     // GIR_Coverage, 16552,
     /*  938797 */     GIR_EraseRootFromParent_Done,
     /*  938798 */   // Label 14167: @938798
     /*  938798 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(938892), // Rule ID 16553 //
     /*  938803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938850 */     // MIs[1] Operand 1
     /*  938850 */     // No operand predicates
     /*  938850 */     // MIs[0] round
     /*  938850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938890 */     GIR_RootConstrainSelectedInstOperands,
     /*  938891 */     // GIR_Coverage, 16553,
     /*  938891 */     GIR_EraseRootFromParent_Done,
     /*  938892 */   // Label 14168: @938892
     /*  938892 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(938986), // Rule ID 16556 //
     /*  938897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  938908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  938911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938944 */     // MIs[1] Operand 1
     /*  938944 */     // No operand predicates
     /*  938944 */     // MIs[0] round
     /*  938944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938984 */     GIR_RootConstrainSelectedInstOperands,
     /*  938985 */     // GIR_Coverage, 16556,
     /*  938985 */     GIR_EraseRootFromParent_Done,
     /*  938986 */   // Label 14169: @938986
     /*  938986 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(939080), // Rule ID 16557 //
     /*  938991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  939002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  939005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  939008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939038 */     // MIs[1] Operand 1
     /*  939038 */     // No operand predicates
     /*  939038 */     // MIs[0] round
     /*  939038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939078 */     GIR_RootConstrainSelectedInstOperands,
     /*  939079 */     // GIR_Coverage, 16557,
     /*  939079 */     GIR_EraseRootFromParent_Done,
     /*  939080 */   // Label 14170: @939080
     /*  939080 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(939174), // Rule ID 16560 //
     /*  939085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939132 */     // MIs[1] Operand 1
     /*  939132 */     // No operand predicates
     /*  939132 */     // MIs[0] round
     /*  939132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939172 */     GIR_RootConstrainSelectedInstOperands,
     /*  939173 */     // GIR_Coverage, 16560,
     /*  939173 */     GIR_EraseRootFromParent_Done,
     /*  939174 */   // Label 14171: @939174
     /*  939174 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(939268), // Rule ID 16561 //
     /*  939179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939226 */     // MIs[1] Operand 1
     /*  939226 */     // No operand predicates
     /*  939226 */     // MIs[0] round
     /*  939226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939266 */     GIR_RootConstrainSelectedInstOperands,
     /*  939267 */     // GIR_Coverage, 16561,
     /*  939267 */     GIR_EraseRootFromParent_Done,
     /*  939268 */   // Label 14172: @939268
     /*  939268 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(939362), // Rule ID 16564 //
     /*  939273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  939290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939320 */     // MIs[1] Operand 1
     /*  939320 */     // No operand predicates
     /*  939320 */     // MIs[0] round
     /*  939320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  939335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939360 */     GIR_RootConstrainSelectedInstOperands,
     /*  939361 */     // GIR_Coverage, 16564,
     /*  939361 */     GIR_EraseRootFromParent_Done,
     /*  939362 */   // Label 14173: @939362
     /*  939362 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(939456), // Rule ID 16565 //
     /*  939367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  939384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939414 */     // MIs[1] Operand 1
     /*  939414 */     // No operand predicates
     /*  939414 */     // MIs[0] round
     /*  939414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  939429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939454 */     GIR_RootConstrainSelectedInstOperands,
     /*  939455 */     // GIR_Coverage, 16565,
     /*  939455 */     GIR_EraseRootFromParent_Done,
     /*  939456 */   // Label 14174: @939456
     /*  939456 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(939550), // Rule ID 16568 //
     /*  939461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939508 */     // MIs[1] Operand 1
     /*  939508 */     // No operand predicates
     /*  939508 */     // MIs[0] round
     /*  939508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939548 */     GIR_RootConstrainSelectedInstOperands,
     /*  939549 */     // GIR_Coverage, 16568,
     /*  939549 */     GIR_EraseRootFromParent_Done,
     /*  939550 */   // Label 14175: @939550
     /*  939550 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(939644), // Rule ID 16569 //
     /*  939555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939602 */     // MIs[1] Operand 1
     /*  939602 */     // No operand predicates
     /*  939602 */     // MIs[0] round
     /*  939602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939642 */     GIR_RootConstrainSelectedInstOperands,
     /*  939643 */     // GIR_Coverage, 16569,
     /*  939643 */     GIR_EraseRootFromParent_Done,
     /*  939644 */   // Label 14176: @939644
     /*  939644 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(939738), // Rule ID 16572 //
     /*  939649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939696 */     // MIs[1] Operand 1
     /*  939696 */     // No operand predicates
     /*  939696 */     // MIs[0] round
     /*  939696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939736 */     GIR_RootConstrainSelectedInstOperands,
     /*  939737 */     // GIR_Coverage, 16572,
     /*  939737 */     GIR_EraseRootFromParent_Done,
     /*  939738 */   // Label 14177: @939738
     /*  939738 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(939832), // Rule ID 16573 //
     /*  939743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939790 */     // MIs[1] Operand 1
     /*  939790 */     // No operand predicates
     /*  939790 */     // MIs[0] round
     /*  939790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939830 */     GIR_RootConstrainSelectedInstOperands,
     /*  939831 */     // GIR_Coverage, 16573,
     /*  939831 */     GIR_EraseRootFromParent_Done,
     /*  939832 */   // Label 14178: @939832
     /*  939832 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(939926), // Rule ID 16576 //
     /*  939837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939884 */     // MIs[1] Operand 1
     /*  939884 */     // No operand predicates
     /*  939884 */     // MIs[0] round
     /*  939884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939924 */     GIR_RootConstrainSelectedInstOperands,
     /*  939925 */     // GIR_Coverage, 16576,
     /*  939925 */     GIR_EraseRootFromParent_Done,
     /*  939926 */   // Label 14179: @939926
     /*  939926 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(940020), // Rule ID 16577 //
     /*  939931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939978 */     // MIs[1] Operand 1
     /*  939978 */     // No operand predicates
     /*  939978 */     // MIs[0] round
     /*  939978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940018 */     GIR_RootConstrainSelectedInstOperands,
     /*  940019 */     // GIR_Coverage, 16577,
     /*  940019 */     GIR_EraseRootFromParent_Done,
     /*  940020 */   // Label 14180: @940020
     /*  940020 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(940104), // Rule ID 2652 //
     /*  940025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  940045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940068 */     // MIs[0] round
     /*  940068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940080 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  940083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940102 */     GIR_RootConstrainSelectedInstOperands,
     /*  940103 */     // GIR_Coverage, 2652,
     /*  940103 */     GIR_EraseRootFromParent_Done,
     /*  940104 */   // Label 14181: @940104
     /*  940104 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(940188), // Rule ID 2653 //
     /*  940109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  940129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940152 */     // MIs[0] round
     /*  940152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940164 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  940167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940186 */     GIR_RootConstrainSelectedInstOperands,
     /*  940187 */     // GIR_Coverage, 2653,
     /*  940187 */     GIR_EraseRootFromParent_Done,
     /*  940188 */   // Label 14182: @940188
     /*  940188 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(940272), // Rule ID 17024 //
     /*  940193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940236 */     // MIs[0] round
     /*  940236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  940251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940270 */     GIR_RootConstrainSelectedInstOperands,
     /*  940271 */     // GIR_Coverage, 17024,
     /*  940271 */     GIR_EraseRootFromParent_Done,
     /*  940272 */   // Label 14183: @940272
     /*  940272 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(940356), // Rule ID 17025 //
     /*  940277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940320 */     // MIs[0] round
     /*  940320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  940335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940354 */     GIR_RootConstrainSelectedInstOperands,
     /*  940355 */     // GIR_Coverage, 17025,
     /*  940355 */     GIR_EraseRootFromParent_Done,
     /*  940356 */   // Label 14184: @940356
     /*  940356 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(940440), // Rule ID 17034 //
     /*  940361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940404 */     // MIs[0] round
     /*  940404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940416 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  940419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940438 */     GIR_RootConstrainSelectedInstOperands,
     /*  940439 */     // GIR_Coverage, 17034,
     /*  940439 */     GIR_EraseRootFromParent_Done,
     /*  940440 */   // Label 14185: @940440
     /*  940440 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(940524), // Rule ID 17035 //
     /*  940445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940488 */     // MIs[0] round
     /*  940488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940500 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  940503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940522 */     GIR_RootConstrainSelectedInstOperands,
     /*  940523 */     // GIR_Coverage, 17035,
     /*  940523 */     GIR_EraseRootFromParent_Done,
     /*  940524 */   // Label 14186: @940524
     /*  940524 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(940608), // Rule ID 17044 //
     /*  940529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940572 */     // MIs[0] round
     /*  940572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940584 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940606 */     GIR_RootConstrainSelectedInstOperands,
     /*  940607 */     // GIR_Coverage, 17044,
     /*  940607 */     GIR_EraseRootFromParent_Done,
     /*  940608 */   // Label 14187: @940608
     /*  940608 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(940692), // Rule ID 17045 //
     /*  940613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940656 */     // MIs[0] round
     /*  940656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940668 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940690 */     GIR_RootConstrainSelectedInstOperands,
     /*  940691 */     // GIR_Coverage, 17045,
     /*  940691 */     GIR_EraseRootFromParent_Done,
     /*  940692 */   // Label 14188: @940692
     /*  940692 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(940776), // Rule ID 17054 //
     /*  940697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940740 */     // MIs[0] round
     /*  940740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940752 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940774 */     GIR_RootConstrainSelectedInstOperands,
     /*  940775 */     // GIR_Coverage, 17054,
     /*  940775 */     GIR_EraseRootFromParent_Done,
     /*  940776 */   // Label 14189: @940776
     /*  940776 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(940860), // Rule ID 17055 //
     /*  940781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940824 */     // MIs[0] round
     /*  940824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940836 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940858 */     GIR_RootConstrainSelectedInstOperands,
     /*  940859 */     // GIR_Coverage, 17055,
     /*  940859 */     GIR_EraseRootFromParent_Done,
     /*  940860 */   // Label 14190: @940860
     /*  940860 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(940944), // Rule ID 17064 //
     /*  940865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940908 */     // MIs[0] round
     /*  940908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  940923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940942 */     GIR_RootConstrainSelectedInstOperands,
     /*  940943 */     // GIR_Coverage, 17064,
     /*  940943 */     GIR_EraseRootFromParent_Done,
     /*  940944 */   // Label 14191: @940944
     /*  940944 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(941028), // Rule ID 17065 //
     /*  940949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940992 */     // MIs[0] round
     /*  940992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941004 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  941007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941026 */     GIR_RootConstrainSelectedInstOperands,
     /*  941027 */     // GIR_Coverage, 17065,
     /*  941027 */     GIR_EraseRootFromParent_Done,
     /*  941028 */   // Label 14192: @941028
     /*  941028 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(941112), // Rule ID 17074 //
     /*  941033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  941044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  941047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  941053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941076 */     // MIs[0] round
     /*  941076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941088 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  941091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941110 */     GIR_RootConstrainSelectedInstOperands,
     /*  941111 */     // GIR_Coverage, 17074,
     /*  941111 */     GIR_EraseRootFromParent_Done,
     /*  941112 */   // Label 14193: @941112
     /*  941112 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(941196), // Rule ID 17075 //
     /*  941117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  941128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  941131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  941137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941160 */     // MIs[0] round
     /*  941160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  941175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941194 */     GIR_RootConstrainSelectedInstOperands,
     /*  941195 */     // GIR_Coverage, 17075,
     /*  941195 */     GIR_EraseRootFromParent_Done,
     /*  941196 */   // Label 14194: @941196
     /*  941196 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(941280), // Rule ID 17084 //
     /*  941201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941244 */     // MIs[0] round
     /*  941244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941256 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  941259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941278 */     GIR_RootConstrainSelectedInstOperands,
     /*  941279 */     // GIR_Coverage, 17084,
     /*  941279 */     GIR_EraseRootFromParent_Done,
     /*  941280 */   // Label 14195: @941280
     /*  941280 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(941364), // Rule ID 17085 //
     /*  941285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941328 */     // MIs[0] round
     /*  941328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941340 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  941343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941362 */     GIR_RootConstrainSelectedInstOperands,
     /*  941363 */     // GIR_Coverage, 17085,
     /*  941363 */     GIR_EraseRootFromParent_Done,
     /*  941364 */   // Label 14196: @941364
     /*  941364 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(941448), // Rule ID 17094 //
     /*  941369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941412 */     // MIs[0] round
     /*  941412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941424 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  941427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941446 */     GIR_RootConstrainSelectedInstOperands,
     /*  941447 */     // GIR_Coverage, 17094,
     /*  941447 */     GIR_EraseRootFromParent_Done,
     /*  941448 */   // Label 14197: @941448
     /*  941448 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(941532), // Rule ID 17095 //
     /*  941453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941496 */     // MIs[0] round
     /*  941496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941508 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  941511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941530 */     GIR_RootConstrainSelectedInstOperands,
     /*  941531 */     // GIR_Coverage, 17095,
     /*  941531 */     GIR_EraseRootFromParent_Done,
     /*  941532 */   // Label 14198: @941532
     /*  941532 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(941616), // Rule ID 17140 //
     /*  941537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941580 */     // MIs[0] round
     /*  941580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941614 */     GIR_RootConstrainSelectedInstOperands,
     /*  941615 */     // GIR_Coverage, 17140,
     /*  941615 */     GIR_EraseRootFromParent_Done,
     /*  941616 */   // Label 14199: @941616
     /*  941616 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(941700), // Rule ID 17141 //
     /*  941621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941664 */     // MIs[0] round
     /*  941664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941676 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941698 */     GIR_RootConstrainSelectedInstOperands,
     /*  941699 */     // GIR_Coverage, 17141,
     /*  941699 */     GIR_EraseRootFromParent_Done,
     /*  941700 */   // Label 14200: @941700
     /*  941700 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(941784), // Rule ID 17150 //
     /*  941705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941748 */     // MIs[0] round
     /*  941748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941782 */     GIR_RootConstrainSelectedInstOperands,
     /*  941783 */     // GIR_Coverage, 17150,
     /*  941783 */     GIR_EraseRootFromParent_Done,
     /*  941784 */   // Label 14201: @941784
     /*  941784 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(941868), // Rule ID 17151 //
     /*  941789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941832 */     // MIs[0] round
     /*  941832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941866 */     GIR_RootConstrainSelectedInstOperands,
     /*  941867 */     // GIR_Coverage, 17151,
     /*  941867 */     GIR_EraseRootFromParent_Done,
     /*  941868 */   // Label 14202: @941868
     /*  941868 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(941952), // Rule ID 17160 //
     /*  941873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941916 */     // MIs[0] round
     /*  941916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941928 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  941931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941950 */     GIR_RootConstrainSelectedInstOperands,
     /*  941951 */     // GIR_Coverage, 17160,
     /*  941951 */     GIR_EraseRootFromParent_Done,
     /*  941952 */   // Label 14203: @941952
     /*  941952 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(942036), // Rule ID 17161 //
     /*  941957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942000 */     // MIs[0] round
     /*  942000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942012 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  942015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942034 */     GIR_RootConstrainSelectedInstOperands,
     /*  942035 */     // GIR_Coverage, 17161,
     /*  942035 */     GIR_EraseRootFromParent_Done,
     /*  942036 */   // Label 14204: @942036
     /*  942036 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(942120), // Rule ID 17170 //
     /*  942041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  942058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942084 */     // MIs[0] round
     /*  942084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  942099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942118 */     GIR_RootConstrainSelectedInstOperands,
     /*  942119 */     // GIR_Coverage, 17170,
     /*  942119 */     GIR_EraseRootFromParent_Done,
     /*  942120 */   // Label 14205: @942120
     /*  942120 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(942204), // Rule ID 17171 //
     /*  942125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  942142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942168 */     // MIs[0] round
     /*  942168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942180 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  942183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942202 */     GIR_RootConstrainSelectedInstOperands,
     /*  942203 */     // GIR_Coverage, 17171,
     /*  942203 */     GIR_EraseRootFromParent_Done,
     /*  942204 */   // Label 14206: @942204
     /*  942204 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(942288), // Rule ID 17180 //
     /*  942209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  942226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942252 */     // MIs[0] round
     /*  942252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942264 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  942267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942286 */     GIR_RootConstrainSelectedInstOperands,
     /*  942287 */     // GIR_Coverage, 17180,
     /*  942287 */     GIR_EraseRootFromParent_Done,
     /*  942288 */   // Label 14207: @942288
     /*  942288 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(942372), // Rule ID 17181 //
     /*  942293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  942310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942336 */     // MIs[0] round
     /*  942336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942348 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  942351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942370 */     GIR_RootConstrainSelectedInstOperands,
     /*  942371 */     // GIR_Coverage, 17181,
     /*  942371 */     GIR_EraseRootFromParent_Done,
     /*  942372 */   // Label 14208: @942372
     /*  942372 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(942456), // Rule ID 17190 //
     /*  942377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  942394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942420 */     // MIs[0] round
     /*  942420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942432 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  942435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942454 */     GIR_RootConstrainSelectedInstOperands,
     /*  942455 */     // GIR_Coverage, 17190,
     /*  942455 */     GIR_EraseRootFromParent_Done,
     /*  942456 */   // Label 14209: @942456
     /*  942456 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(942540), // Rule ID 17191 //
     /*  942461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  942478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942504 */     // MIs[0] round
     /*  942504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  942519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942538 */     GIR_RootConstrainSelectedInstOperands,
     /*  942539 */     // GIR_Coverage, 17191,
     /*  942539 */     GIR_EraseRootFromParent_Done,
     /*  942540 */   // Label 14210: @942540
     /*  942540 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(942624), // Rule ID 17200 //
     /*  942545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942588 */     // MIs[0] round
     /*  942588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942600 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942622 */     GIR_RootConstrainSelectedInstOperands,
     /*  942623 */     // GIR_Coverage, 17200,
     /*  942623 */     GIR_EraseRootFromParent_Done,
     /*  942624 */   // Label 14211: @942624
     /*  942624 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(942708), // Rule ID 17201 //
     /*  942629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942672 */     // MIs[0] round
     /*  942672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942684 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942706 */     GIR_RootConstrainSelectedInstOperands,
     /*  942707 */     // GIR_Coverage, 17201,
     /*  942707 */     GIR_EraseRootFromParent_Done,
     /*  942708 */   // Label 14212: @942708
     /*  942708 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(942792), // Rule ID 17210 //
     /*  942713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942756 */     // MIs[0] round
     /*  942756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942768 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942790 */     GIR_RootConstrainSelectedInstOperands,
     /*  942791 */     // GIR_Coverage, 17210,
     /*  942791 */     GIR_EraseRootFromParent_Done,
     /*  942792 */   // Label 14213: @942792
     /*  942792 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(942876), // Rule ID 17211 //
     /*  942797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942840 */     // MIs[0] round
     /*  942840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942874 */     GIR_RootConstrainSelectedInstOperands,
     /*  942875 */     // GIR_Coverage, 17211,
     /*  942875 */     GIR_EraseRootFromParent_Done,
     /*  942876 */   // Label 14214: @942876
     /*  942876 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(942960), // Rule ID 17220 //
     /*  942881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942924 */     // MIs[0] round
     /*  942924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942936 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  942939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942958 */     GIR_RootConstrainSelectedInstOperands,
     /*  942959 */     // GIR_Coverage, 17220,
     /*  942959 */     GIR_EraseRootFromParent_Done,
     /*  942960 */   // Label 14215: @942960
     /*  942960 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(943044), // Rule ID 17221 //
     /*  942965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943008 */     // MIs[0] round
     /*  943008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943020 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  943020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  943023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943042 */     GIR_RootConstrainSelectedInstOperands,
     /*  943043 */     // GIR_Coverage, 17221,
     /*  943043 */     GIR_EraseRootFromParent_Done,
     /*  943044 */   // Label 14216: @943044
     /*  943044 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(943126), // Rule ID 62746 //
     /*  943049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943076 */     // MIs[0] op1
     /*  943076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943103 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  943106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943124 */     GIR_RootConstrainSelectedInstOperands,
     /*  943125 */     // GIR_Coverage, 62746,
     /*  943125 */     GIR_EraseRootFromParent_Done,
     /*  943126 */   // Label 14217: @943126
     /*  943126 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(943208), // Rule ID 62747 //
     /*  943131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943158 */     // MIs[0] op1
     /*  943158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943185 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  943188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943190 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943192 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943194 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943196 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943206 */     GIR_RootConstrainSelectedInstOperands,
     /*  943207 */     // GIR_Coverage, 62747,
     /*  943207 */     GIR_EraseRootFromParent_Done,
     /*  943208 */   // Label 14218: @943208
     /*  943208 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(943290), // Rule ID 62776 //
     /*  943213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  943233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943240 */     // MIs[0] op1
     /*  943240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  943270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943288 */     GIR_RootConstrainSelectedInstOperands,
     /*  943289 */     // GIR_Coverage, 62776,
     /*  943289 */     GIR_EraseRootFromParent_Done,
     /*  943290 */   // Label 14219: @943290
     /*  943290 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(943372), // Rule ID 62777 //
     /*  943295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  943315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943322 */     // MIs[0] op1
     /*  943322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943349 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  943352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943354 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943356 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943358 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943360 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943370 */     GIR_RootConstrainSelectedInstOperands,
     /*  943371 */     // GIR_Coverage, 62777,
     /*  943371 */     GIR_EraseRootFromParent_Done,
     /*  943372 */   // Label 14220: @943372
     /*  943372 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(943454), // Rule ID 62808 //
     /*  943377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943404 */     // MIs[0] op1
     /*  943404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943431 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943442 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943452 */     GIR_RootConstrainSelectedInstOperands,
     /*  943453 */     // GIR_Coverage, 62808,
     /*  943453 */     GIR_EraseRootFromParent_Done,
     /*  943454 */   // Label 14221: @943454
     /*  943454 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(943536), // Rule ID 62809 //
     /*  943459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943486 */     // MIs[0] op1
     /*  943486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943513 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943518 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943520 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943522 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943524 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943534 */     GIR_RootConstrainSelectedInstOperands,
     /*  943535 */     // GIR_Coverage, 62809,
     /*  943535 */     GIR_EraseRootFromParent_Done,
     /*  943536 */   // Label 14222: @943536
     /*  943536 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(943618), // Rule ID 62820 //
     /*  943541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943568 */     // MIs[0] op1
     /*  943568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943616 */     GIR_RootConstrainSelectedInstOperands,
     /*  943617 */     // GIR_Coverage, 62820,
     /*  943617 */     GIR_EraseRootFromParent_Done,
     /*  943618 */   // Label 14223: @943618
     /*  943618 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(943700), // Rule ID 62821 //
     /*  943623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943650 */     // MIs[0] op1
     /*  943650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943677 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943682 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943684 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943686 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943688 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943698 */     GIR_RootConstrainSelectedInstOperands,
     /*  943699 */     // GIR_Coverage, 62821,
     /*  943699 */     GIR_EraseRootFromParent_Done,
     /*  943700 */   // Label 14224: @943700
     /*  943700 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(943782), // Rule ID 62852 //
     /*  943705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943732 */     // MIs[0] op1
     /*  943732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943759 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943770 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943780 */     GIR_RootConstrainSelectedInstOperands,
     /*  943781 */     // GIR_Coverage, 62852,
     /*  943781 */     GIR_EraseRootFromParent_Done,
     /*  943782 */   // Label 14225: @943782
     /*  943782 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(943864), // Rule ID 62853 //
     /*  943787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943814 */     // MIs[0] op1
     /*  943814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943841 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943852 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943862 */     GIR_RootConstrainSelectedInstOperands,
     /*  943863 */     // GIR_Coverage, 62853,
     /*  943863 */     GIR_EraseRootFromParent_Done,
     /*  943864 */   // Label 14226: @943864
     /*  943864 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(943946), // Rule ID 62864 //
     /*  943869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943896 */     // MIs[0] op1
     /*  943896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943923 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943934 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943944 */     GIR_RootConstrainSelectedInstOperands,
     /*  943945 */     // GIR_Coverage, 62864,
     /*  943945 */     GIR_EraseRootFromParent_Done,
     /*  943946 */   // Label 14227: @943946
     /*  943946 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(944028), // Rule ID 62865 //
     /*  943951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943978 */     // MIs[0] op1
     /*  943978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944010 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944012 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944014 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944016 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944026 */     GIR_RootConstrainSelectedInstOperands,
     /*  944027 */     // GIR_Coverage, 62865,
     /*  944027 */     GIR_EraseRootFromParent_Done,
     /*  944028 */   // Label 14228: @944028
     /*  944028 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(944110), // Rule ID 62896 //
     /*  944033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944060 */     // MIs[0] op1
     /*  944060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  944090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944092 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944094 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944096 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944098 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944108 */     GIR_RootConstrainSelectedInstOperands,
     /*  944109 */     // GIR_Coverage, 62896,
     /*  944109 */     GIR_EraseRootFromParent_Done,
     /*  944110 */   // Label 14229: @944110
     /*  944110 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(944192), // Rule ID 62897 //
     /*  944115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944142 */     // MIs[0] op1
     /*  944142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944169 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  944172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944180 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944190 */     GIR_RootConstrainSelectedInstOperands,
     /*  944191 */     // GIR_Coverage, 62897,
     /*  944191 */     GIR_EraseRootFromParent_Done,
     /*  944192 */   // Label 14230: @944192
     /*  944192 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(944274), // Rule ID 62908 //
     /*  944197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  944217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944224 */     // MIs[0] op1
     /*  944224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  944254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944256 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944258 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944260 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944262 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944272 */     GIR_RootConstrainSelectedInstOperands,
     /*  944273 */     // GIR_Coverage, 62908,
     /*  944273 */     GIR_EraseRootFromParent_Done,
     /*  944274 */   // Label 14231: @944274
     /*  944274 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(944356), // Rule ID 62909 //
     /*  944279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  944299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944306 */     // MIs[0] op1
     /*  944306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  944336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944344 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944354 */     GIR_RootConstrainSelectedInstOperands,
     /*  944355 */     // GIR_Coverage, 62909,
     /*  944355 */     GIR_EraseRootFromParent_Done,
     /*  944356 */   // Label 14232: @944356
     /*  944356 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(944438), // Rule ID 62920 //
     /*  944361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944388 */     // MIs[0] op1
     /*  944388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944391 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  944418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944420 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944422 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944424 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944426 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944436 */     GIR_RootConstrainSelectedInstOperands,
     /*  944437 */     // GIR_Coverage, 62920,
     /*  944437 */     GIR_EraseRootFromParent_Done,
     /*  944438 */   // Label 14233: @944438
     /*  944438 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(944520), // Rule ID 62921 //
     /*  944443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944470 */     // MIs[0] op1
     /*  944470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  944500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944508 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944518 */     GIR_RootConstrainSelectedInstOperands,
     /*  944519 */     // GIR_Coverage, 62921,
     /*  944519 */     GIR_EraseRootFromParent_Done,
     /*  944520 */   // Label 14234: @944520
     /*  944520 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(944602), // Rule ID 62952 //
     /*  944525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944552 */     // MIs[0] op1
     /*  944552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944579 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944584 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944586 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944588 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944590 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944600 */     GIR_RootConstrainSelectedInstOperands,
     /*  944601 */     // GIR_Coverage, 62952,
     /*  944601 */     GIR_EraseRootFromParent_Done,
     /*  944602 */   // Label 14235: @944602
     /*  944602 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(944684), // Rule ID 62953 //
     /*  944607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944634 */     // MIs[0] op1
     /*  944634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944672 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944682 */     GIR_RootConstrainSelectedInstOperands,
     /*  944683 */     // GIR_Coverage, 62953,
     /*  944683 */     GIR_EraseRootFromParent_Done,
     /*  944684 */   // Label 14236: @944684
     /*  944684 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(944766), // Rule ID 62964 //
     /*  944689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944716 */     // MIs[0] op1
     /*  944716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944748 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944750 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944752 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944754 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944764 */     GIR_RootConstrainSelectedInstOperands,
     /*  944765 */     // GIR_Coverage, 62964,
     /*  944765 */     GIR_EraseRootFromParent_Done,
     /*  944766 */   // Label 14237: @944766
     /*  944766 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(944848), // Rule ID 62965 //
     /*  944771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944798 */     // MIs[0] op1
     /*  944798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944825 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944836 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944846 */     GIR_RootConstrainSelectedInstOperands,
     /*  944847 */     // GIR_Coverage, 62965,
     /*  944847 */     GIR_EraseRootFromParent_Done,
     /*  944848 */   // Label 14238: @944848
     /*  944848 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(944930), // Rule ID 62976 //
     /*  944853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944880 */     // MIs[0] op1
     /*  944880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944907 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944912 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944914 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944916 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944918 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944928 */     GIR_RootConstrainSelectedInstOperands,
     /*  944929 */     // GIR_Coverage, 62976,
     /*  944929 */     GIR_EraseRootFromParent_Done,
     /*  944930 */   // Label 14239: @944930
     /*  944930 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(945012), // Rule ID 62977 //
     /*  944935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944962 */     // MIs[0] op1
     /*  944962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944989 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944994 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944996 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944998 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945000 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945010 */     GIR_RootConstrainSelectedInstOperands,
     /*  945011 */     // GIR_Coverage, 62977,
     /*  945011 */     GIR_EraseRootFromParent_Done,
     /*  945012 */   // Label 14240: @945012
     /*  945012 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(945094), // Rule ID 63008 //
     /*  945017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945044 */     // MIs[0] op1
     /*  945044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  945074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945076 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945078 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945080 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945082 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945092 */     GIR_RootConstrainSelectedInstOperands,
     /*  945093 */     // GIR_Coverage, 63008,
     /*  945093 */     GIR_EraseRootFromParent_Done,
     /*  945094 */   // Label 14241: @945094
     /*  945094 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(945176), // Rule ID 63009 //
     /*  945099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945126 */     // MIs[0] op1
     /*  945126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945153 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  945156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945164 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945174 */     GIR_RootConstrainSelectedInstOperands,
     /*  945175 */     // GIR_Coverage, 63009,
     /*  945175 */     GIR_EraseRootFromParent_Done,
     /*  945176 */   // Label 14242: @945176
     /*  945176 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(945258), // Rule ID 63020 //
     /*  945181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  945201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945208 */     // MIs[0] op1
     /*  945208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  945238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945240 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945242 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945244 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945246 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945256 */     GIR_RootConstrainSelectedInstOperands,
     /*  945257 */     // GIR_Coverage, 63020,
     /*  945257 */     GIR_EraseRootFromParent_Done,
     /*  945258 */   // Label 14243: @945258
     /*  945258 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(945340), // Rule ID 63021 //
     /*  945263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  945283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945290 */     // MIs[0] op1
     /*  945290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945293 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945317 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  945320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945322 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945324 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945326 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945328 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945338 */     GIR_RootConstrainSelectedInstOperands,
     /*  945339 */     // GIR_Coverage, 63021,
     /*  945339 */     GIR_EraseRootFromParent_Done,
     /*  945340 */   // Label 14244: @945340
     /*  945340 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(945422), // Rule ID 63032 //
     /*  945345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945372 */     // MIs[0] op1
     /*  945372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  945402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945404 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945406 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945408 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945410 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945420 */     GIR_RootConstrainSelectedInstOperands,
     /*  945421 */     // GIR_Coverage, 63032,
     /*  945421 */     GIR_EraseRootFromParent_Done,
     /*  945422 */   // Label 14245: @945422
     /*  945422 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(945504), // Rule ID 63033 //
     /*  945427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945454 */     // MIs[0] op1
     /*  945454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945481 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  945484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945502 */     GIR_RootConstrainSelectedInstOperands,
     /*  945503 */     // GIR_Coverage, 63033,
     /*  945503 */     GIR_EraseRootFromParent_Done,
     /*  945504 */   // Label 14246: @945504
     /*  945504 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(945586), // Rule ID 63064 //
     /*  945509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945536 */     // MIs[0] op1
     /*  945536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945574 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945584 */     GIR_RootConstrainSelectedInstOperands,
     /*  945585 */     // GIR_Coverage, 63064,
     /*  945585 */     GIR_EraseRootFromParent_Done,
     /*  945586 */   // Label 14247: @945586
     /*  945586 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(945668), // Rule ID 63065 //
     /*  945591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945618 */     // MIs[0] op1
     /*  945618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945645 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945650 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945652 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945654 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945656 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945666 */     GIR_RootConstrainSelectedInstOperands,
     /*  945667 */     // GIR_Coverage, 63065,
     /*  945667 */     GIR_EraseRootFromParent_Done,
     /*  945668 */   // Label 14248: @945668
     /*  945668 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(945750), // Rule ID 63076 //
     /*  945673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945700 */     // MIs[0] op1
     /*  945700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945727 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945732 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945734 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945736 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945738 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945748 */     GIR_RootConstrainSelectedInstOperands,
     /*  945749 */     // GIR_Coverage, 63076,
     /*  945749 */     GIR_EraseRootFromParent_Done,
     /*  945750 */   // Label 14249: @945750
     /*  945750 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(945832), // Rule ID 63077 //
     /*  945755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945782 */     // MIs[0] op1
     /*  945782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945809 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945830 */     GIR_RootConstrainSelectedInstOperands,
     /*  945831 */     // GIR_Coverage, 63077,
     /*  945831 */     GIR_EraseRootFromParent_Done,
     /*  945832 */   // Label 14250: @945832
     /*  945832 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(945914), // Rule ID 63108 //
     /*  945837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945864 */     // MIs[0] op1
     /*  945864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945902 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945912 */     GIR_RootConstrainSelectedInstOperands,
     /*  945913 */     // GIR_Coverage, 63108,
     /*  945913 */     GIR_EraseRootFromParent_Done,
     /*  945914 */   // Label 14251: @945914
     /*  945914 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(945996), // Rule ID 63109 //
     /*  945919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945946 */     // MIs[0] op1
     /*  945946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945978 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945980 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945982 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945984 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945994 */     GIR_RootConstrainSelectedInstOperands,
     /*  945995 */     // GIR_Coverage, 63109,
     /*  945995 */     GIR_EraseRootFromParent_Done,
     /*  945996 */   // Label 14252: @945996
     /*  945996 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(946078), // Rule ID 63120 //
     /*  946001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  946021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946028 */     // MIs[0] op1
     /*  946028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946060 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946062 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946064 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946066 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946076 */     GIR_RootConstrainSelectedInstOperands,
     /*  946077 */     // GIR_Coverage, 63120,
     /*  946077 */     GIR_EraseRootFromParent_Done,
     /*  946078 */   // Label 14253: @946078
     /*  946078 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(946160), // Rule ID 63121 //
     /*  946083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  946103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946110 */     // MIs[0] op1
     /*  946110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946148 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946158 */     GIR_RootConstrainSelectedInstOperands,
     /*  946159 */     // GIR_Coverage, 63121,
     /*  946159 */     GIR_EraseRootFromParent_Done,
     /*  946160 */   // Label 14254: @946160
     /*  946160 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(946242), // Rule ID 63132 //
     /*  946165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  946185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946192 */     // MIs[0] op1
     /*  946192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  946212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  946222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946224 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946226 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946228 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946230 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946240 */     GIR_RootConstrainSelectedInstOperands,
     /*  946241 */     // GIR_Coverage, 63132,
     /*  946241 */     GIR_EraseRootFromParent_Done,
     /*  946242 */   // Label 14255: @946242
     /*  946242 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(946324), // Rule ID 63133 //
     /*  946247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  946267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946274 */     // MIs[0] op1
     /*  946274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  946294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  946304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946312 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946322 */     GIR_RootConstrainSelectedInstOperands,
     /*  946323 */     // GIR_Coverage, 63133,
     /*  946323 */     GIR_EraseRootFromParent_Done,
     /*  946324 */   // Label 14256: @946324
     /*  946324 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(946406), // Rule ID 63164 //
     /*  946329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946356 */     // MIs[0] op1
     /*  946356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946388 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946390 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946392 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946394 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946404 */     GIR_RootConstrainSelectedInstOperands,
     /*  946405 */     // GIR_Coverage, 63164,
     /*  946405 */     GIR_EraseRootFromParent_Done,
     /*  946406 */   // Label 14257: @946406
     /*  946406 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(946488), // Rule ID 63165 //
     /*  946411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946438 */     // MIs[0] op1
     /*  946438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946476 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946486 */     GIR_RootConstrainSelectedInstOperands,
     /*  946487 */     // GIR_Coverage, 63165,
     /*  946487 */     GIR_EraseRootFromParent_Done,
     /*  946488 */   // Label 14258: @946488
     /*  946488 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(946570), // Rule ID 63176 //
     /*  946493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946520 */     // MIs[0] op1
     /*  946520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946523 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946552 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946554 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946556 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946558 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946568 */     GIR_RootConstrainSelectedInstOperands,
     /*  946569 */     // GIR_Coverage, 63176,
     /*  946569 */     GIR_EraseRootFromParent_Done,
     /*  946570 */   // Label 14259: @946570
     /*  946570 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(946652), // Rule ID 63177 //
     /*  946575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946602 */     // MIs[0] op1
     /*  946602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946629 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946640 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946650 */     GIR_RootConstrainSelectedInstOperands,
     /*  946651 */     // GIR_Coverage, 63177,
     /*  946651 */     GIR_EraseRootFromParent_Done,
     /*  946652 */   // Label 14260: @946652
     /*  946652 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(946734), // Rule ID 63188 //
     /*  946657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946684 */     // MIs[0] op1
     /*  946684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946687 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946716 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946718 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946720 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946722 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946732 */     GIR_RootConstrainSelectedInstOperands,
     /*  946733 */     // GIR_Coverage, 63188,
     /*  946733 */     GIR_EraseRootFromParent_Done,
     /*  946734 */   // Label 14261: @946734
     /*  946734 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(946816), // Rule ID 63189 //
     /*  946739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946766 */     // MIs[0] op1
     /*  946766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946798 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946800 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946802 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946804 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946814 */     GIR_RootConstrainSelectedInstOperands,
     /*  946815 */     // GIR_Coverage, 63189,
     /*  946815 */     GIR_EraseRootFromParent_Done,
     /*  946816 */   // Label 14262: @946816
     /*  946816 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(946898), // Rule ID 63220 //
     /*  946821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946848 */     // MIs[0] op1
     /*  946848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946851 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946880 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946882 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946884 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946886 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946896 */     GIR_RootConstrainSelectedInstOperands,
     /*  946897 */     // GIR_Coverage, 63220,
     /*  946897 */     GIR_EraseRootFromParent_Done,
     /*  946898 */   // Label 14263: @946898
     /*  946898 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(946980), // Rule ID 63221 //
     /*  946903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946930 */     // MIs[0] op1
     /*  946930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946968 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946978 */     GIR_RootConstrainSelectedInstOperands,
     /*  946979 */     // GIR_Coverage, 63221,
     /*  946979 */     GIR_EraseRootFromParent_Done,
     /*  946980 */   // Label 14264: @946980
     /*  946980 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(947062), // Rule ID 63232 //
     /*  946985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  947005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947012 */     // MIs[0] op1
     /*  947012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947015 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  947039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  947042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947044 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947046 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947048 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947050 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947060 */     GIR_RootConstrainSelectedInstOperands,
     /*  947061 */     // GIR_Coverage, 63232,
     /*  947061 */     GIR_EraseRootFromParent_Done,
     /*  947062 */   // Label 14265: @947062
     /*  947062 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(947144), // Rule ID 63233 //
     /*  947067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  947087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947094 */     // MIs[0] op1
     /*  947094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  947121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  947124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947132 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947142 */     GIR_RootConstrainSelectedInstOperands,
     /*  947143 */     // GIR_Coverage, 63233,
     /*  947143 */     GIR_EraseRootFromParent_Done,
     /*  947144 */   // Label 14266: @947144
     /*  947144 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(947226), // Rule ID 63244 //
     /*  947149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947176 */     // MIs[0] op1
     /*  947176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  947196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  947203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  947206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947208 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947210 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947212 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947214 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947224 */     GIR_RootConstrainSelectedInstOperands,
     /*  947225 */     // GIR_Coverage, 63244,
     /*  947225 */     GIR_EraseRootFromParent_Done,
     /*  947226 */   // Label 14267: @947226
     /*  947226 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(947308), // Rule ID 63245 //
     /*  947231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947258 */     // MIs[0] op1
     /*  947258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  947278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947285 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  947285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  947288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947290 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947292 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947294 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947296 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947306 */     GIR_RootConstrainSelectedInstOperands,
     /*  947307 */     // GIR_Coverage, 63245,
     /*  947307 */     GIR_EraseRootFromParent_Done,
     /*  947308 */   // Label 14268: @947308
     /*  947308 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(947390), // Rule ID 63276 //
     /*  947313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947340 */     // MIs[0] op1
     /*  947340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947367 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947372 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947374 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947376 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947378 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947388 */     GIR_RootConstrainSelectedInstOperands,
     /*  947389 */     // GIR_Coverage, 63276,
     /*  947389 */     GIR_EraseRootFromParent_Done,
     /*  947390 */   // Label 14269: @947390
     /*  947390 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(947472), // Rule ID 63277 //
     /*  947395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947422 */     // MIs[0] op1
     /*  947422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947460 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947470 */     GIR_RootConstrainSelectedInstOperands,
     /*  947471 */     // GIR_Coverage, 63277,
     /*  947471 */     GIR_EraseRootFromParent_Done,
     /*  947472 */   // Label 14270: @947472
     /*  947472 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(947554), // Rule ID 63288 //
     /*  947477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947504 */     // MIs[0] op1
     /*  947504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947531 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947536 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947538 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947540 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947542 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947552 */     GIR_RootConstrainSelectedInstOperands,
     /*  947553 */     // GIR_Coverage, 63288,
     /*  947553 */     GIR_EraseRootFromParent_Done,
     /*  947554 */   // Label 14271: @947554
     /*  947554 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(947636), // Rule ID 63289 //
     /*  947559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947586 */     // MIs[0] op1
     /*  947586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947613 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947618 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947620 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947622 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947624 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947634 */     GIR_RootConstrainSelectedInstOperands,
     /*  947635 */     // GIR_Coverage, 63289,
     /*  947635 */     GIR_EraseRootFromParent_Done,
     /*  947636 */   // Label 14272: @947636
     /*  947636 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(947718), // Rule ID 63320 //
     /*  947641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947668 */     // MIs[0] op1
     /*  947668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947695 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947706 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947716 */     GIR_RootConstrainSelectedInstOperands,
     /*  947717 */     // GIR_Coverage, 63320,
     /*  947717 */     GIR_EraseRootFromParent_Done,
     /*  947718 */   // Label 14273: @947718
     /*  947718 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(947800), // Rule ID 63321 //
     /*  947723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947750 */     // MIs[0] op1
     /*  947750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947777 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947788 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947798 */     GIR_RootConstrainSelectedInstOperands,
     /*  947799 */     // GIR_Coverage, 63321,
     /*  947799 */     GIR_EraseRootFromParent_Done,
     /*  947800 */   // Label 14274: @947800
     /*  947800 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(947882), // Rule ID 63332 //
     /*  947805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947832 */     // MIs[0] op1
     /*  947832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947859 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947864 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947866 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947868 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947870 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947880 */     GIR_RootConstrainSelectedInstOperands,
     /*  947881 */     // GIR_Coverage, 63332,
     /*  947881 */     GIR_EraseRootFromParent_Done,
     /*  947882 */   // Label 14275: @947882
     /*  947882 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(947964), // Rule ID 63333 //
     /*  947887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947914 */     // MIs[0] op1
     /*  947914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947941 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947946 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947948 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947950 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947952 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947962 */     GIR_RootConstrainSelectedInstOperands,
     /*  947963 */     // GIR_Coverage, 63333,
     /*  947963 */     GIR_EraseRootFromParent_Done,
     /*  947964 */   // Label 14276: @947964
     /*  947964 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(948046), // Rule ID 63364 //
     /*  947969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947996 */     // MIs[0] op1
     /*  947996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947999 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948023 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  948026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948034 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948044 */     GIR_RootConstrainSelectedInstOperands,
     /*  948045 */     // GIR_Coverage, 63364,
     /*  948045 */     GIR_EraseRootFromParent_Done,
     /*  948046 */   // Label 14277: @948046
     /*  948046 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(948128), // Rule ID 63365 //
     /*  948051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948078 */     // MIs[0] op1
     /*  948078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948105 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  948108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948110 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948112 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948114 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948116 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948126 */     GIR_RootConstrainSelectedInstOperands,
     /*  948127 */     // GIR_Coverage, 63365,
     /*  948127 */     GIR_EraseRootFromParent_Done,
     /*  948128 */   // Label 14278: @948128
     /*  948128 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(948210), // Rule ID 63376 //
     /*  948133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  948153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948160 */     // MIs[0] op1
     /*  948160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948187 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  948190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948192 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948194 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948196 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948198 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948208 */     GIR_RootConstrainSelectedInstOperands,
     /*  948209 */     // GIR_Coverage, 63376,
     /*  948209 */     GIR_EraseRootFromParent_Done,
     /*  948210 */   // Label 14279: @948210
     /*  948210 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(948292), // Rule ID 63377 //
     /*  948215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  948235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948242 */     // MIs[0] op1
     /*  948242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948269 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  948272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948274 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948276 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948278 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948280 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948290 */     GIR_RootConstrainSelectedInstOperands,
     /*  948291 */     // GIR_Coverage, 63377,
     /*  948291 */     GIR_EraseRootFromParent_Done,
     /*  948292 */   // Label 14280: @948292
     /*  948292 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(948374), // Rule ID 63408 //
     /*  948297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948324 */     // MIs[0] op1
     /*  948324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  948354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948362 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948372 */     GIR_RootConstrainSelectedInstOperands,
     /*  948373 */     // GIR_Coverage, 63408,
     /*  948373 */     GIR_EraseRootFromParent_Done,
     /*  948374 */   // Label 14281: @948374
     /*  948374 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(948456), // Rule ID 63409 //
     /*  948379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948406 */     // MIs[0] op1
     /*  948406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  948436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948444 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948454 */     GIR_RootConstrainSelectedInstOperands,
     /*  948455 */     // GIR_Coverage, 63409,
     /*  948455 */     GIR_EraseRootFromParent_Done,
     /*  948456 */   // Label 14282: @948456
     /*  948456 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(948538), // Rule ID 63420 //
     /*  948461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948488 */     // MIs[0] op1
     /*  948488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948491 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948520 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948522 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948524 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948526 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948536 */     GIR_RootConstrainSelectedInstOperands,
     /*  948537 */     // GIR_Coverage, 63420,
     /*  948537 */     GIR_EraseRootFromParent_Done,
     /*  948538 */   // Label 14283: @948538
     /*  948538 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(948620), // Rule ID 63421 //
     /*  948543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948570 */     // MIs[0] op1
     /*  948570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948602 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948604 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948606 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948608 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948618 */     GIR_RootConstrainSelectedInstOperands,
     /*  948619 */     // GIR_Coverage, 63421,
     /*  948619 */     GIR_EraseRootFromParent_Done,
     /*  948620 */   // Label 14284: @948620
     /*  948620 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(948702), // Rule ID 63432 //
     /*  948625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948652 */     // MIs[0] op1
     /*  948652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948679 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948684 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948686 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948688 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948690 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948700 */     GIR_RootConstrainSelectedInstOperands,
     /*  948701 */     // GIR_Coverage, 63432,
     /*  948701 */     GIR_EraseRootFromParent_Done,
     /*  948702 */   // Label 14285: @948702
     /*  948702 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(948784), // Rule ID 63433 //
     /*  948707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948734 */     // MIs[0] op1
     /*  948734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948772 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948782 */     GIR_RootConstrainSelectedInstOperands,
     /*  948783 */     // GIR_Coverage, 63433,
     /*  948783 */     GIR_EraseRootFromParent_Done,
     /*  948784 */   // Label 14286: @948784
     /*  948784 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(948866), // Rule ID 63464 //
     /*  948789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948816 */     // MIs[0] op1
     /*  948816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948848 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948850 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948852 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948854 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948864 */     GIR_RootConstrainSelectedInstOperands,
     /*  948865 */     // GIR_Coverage, 63464,
     /*  948865 */     GIR_EraseRootFromParent_Done,
     /*  948866 */   // Label 14287: @948866
     /*  948866 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(948948), // Rule ID 63465 //
     /*  948871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948898 */     // MIs[0] op1
     /*  948898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948930 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948932 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948934 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948936 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948946 */     GIR_RootConstrainSelectedInstOperands,
     /*  948947 */     // GIR_Coverage, 63465,
     /*  948947 */     GIR_EraseRootFromParent_Done,
     /*  948948 */   // Label 14288: @948948
     /*  948948 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(949030), // Rule ID 63476 //
     /*  948953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  948973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948980 */     // MIs[0] op1
     /*  948980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  949010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949012 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949014 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949016 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949018 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949028 */     GIR_RootConstrainSelectedInstOperands,
     /*  949029 */     // GIR_Coverage, 63476,
     /*  949029 */     GIR_EraseRootFromParent_Done,
     /*  949030 */   // Label 14289: @949030
     /*  949030 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(949112), // Rule ID 63477 //
     /*  949035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  949055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949062 */     // MIs[0] op1
     /*  949062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  949092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949100 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949110 */     GIR_RootConstrainSelectedInstOperands,
     /*  949111 */     // GIR_Coverage, 63477,
     /*  949111 */     GIR_EraseRootFromParent_Done,
     /*  949112 */   // Label 14290: @949112
     /*  949112 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(949194), // Rule ID 63488 //
     /*  949117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949144 */     // MIs[0] op1
     /*  949144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949171 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  949174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949176 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949178 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949180 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949182 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949192 */     GIR_RootConstrainSelectedInstOperands,
     /*  949193 */     // GIR_Coverage, 63488,
     /*  949193 */     GIR_EraseRootFromParent_Done,
     /*  949194 */   // Label 14291: @949194
     /*  949194 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(949276), // Rule ID 63489 //
     /*  949199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949226 */     // MIs[0] op1
     /*  949226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  949256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949258 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949260 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949262 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949264 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949274 */     GIR_RootConstrainSelectedInstOperands,
     /*  949275 */     // GIR_Coverage, 63489,
     /*  949275 */     GIR_EraseRootFromParent_Done,
     /*  949276 */   // Label 14292: @949276
     /*  949276 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(949358), // Rule ID 63520 //
     /*  949281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949308 */     // MIs[0] op1
     /*  949308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  949338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949340 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949342 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949344 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949346 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949356 */     GIR_RootConstrainSelectedInstOperands,
     /*  949357 */     // GIR_Coverage, 63520,
     /*  949357 */     GIR_EraseRootFromParent_Done,
     /*  949358 */   // Label 14293: @949358
     /*  949358 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(949440), // Rule ID 63521 //
     /*  949363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949390 */     // MIs[0] op1
     /*  949390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  949420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949428 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949438 */     GIR_RootConstrainSelectedInstOperands,
     /*  949439 */     // GIR_Coverage, 63521,
     /*  949439 */     GIR_EraseRootFromParent_Done,
     /*  949440 */   // Label 14294: @949440
     /*  949440 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(949522), // Rule ID 63532 //
     /*  949445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949472 */     // MIs[0] op1
     /*  949472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949504 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949506 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949508 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949510 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949520 */     GIR_RootConstrainSelectedInstOperands,
     /*  949521 */     // GIR_Coverage, 63532,
     /*  949521 */     GIR_EraseRootFromParent_Done,
     /*  949522 */   // Label 14295: @949522
     /*  949522 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(949604), // Rule ID 63533 //
     /*  949527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949554 */     // MIs[0] op1
     /*  949554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949581 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949586 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949588 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949590 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949592 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949602 */     GIR_RootConstrainSelectedInstOperands,
     /*  949603 */     // GIR_Coverage, 63533,
     /*  949603 */     GIR_EraseRootFromParent_Done,
     /*  949604 */   // Label 14296: @949604
     /*  949604 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(949686), // Rule ID 63544 //
     /*  949609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949636 */     // MIs[0] op1
     /*  949636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949663 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949668 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949670 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949672 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949674 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949684 */     GIR_RootConstrainSelectedInstOperands,
     /*  949685 */     // GIR_Coverage, 63544,
     /*  949685 */     GIR_EraseRootFromParent_Done,
     /*  949686 */   // Label 14297: @949686
     /*  949686 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(949768), // Rule ID 63545 //
     /*  949691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949718 */     // MIs[0] op1
     /*  949718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949745 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949756 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949766 */     GIR_RootConstrainSelectedInstOperands,
     /*  949767 */     // GIR_Coverage, 63545,
     /*  949767 */     GIR_EraseRootFromParent_Done,
     /*  949768 */   // Label 14298: @949768
     /*  949768 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(949850), // Rule ID 63576 //
     /*  949773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949800 */     // MIs[0] op1
     /*  949800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949832 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949834 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949836 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949838 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949848 */     GIR_RootConstrainSelectedInstOperands,
     /*  949849 */     // GIR_Coverage, 63576,
     /*  949849 */     GIR_EraseRootFromParent_Done,
     /*  949850 */   // Label 14299: @949850
     /*  949850 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(949932), // Rule ID 63577 //
     /*  949855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949882 */     // MIs[0] op1
     /*  949882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949885 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949920 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949930 */     GIR_RootConstrainSelectedInstOperands,
     /*  949931 */     // GIR_Coverage, 63577,
     /*  949931 */     GIR_EraseRootFromParent_Done,
     /*  949932 */   // Label 14300: @949932
     /*  949932 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(950014), // Rule ID 63588 //
     /*  949937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  949957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949964 */     // MIs[0] op1
     /*  949964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950002 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950012 */     GIR_RootConstrainSelectedInstOperands,
     /*  950013 */     // GIR_Coverage, 63588,
     /*  950013 */     GIR_EraseRootFromParent_Done,
     /*  950014 */   // Label 14301: @950014
     /*  950014 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(950096), // Rule ID 63589 //
     /*  950019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  950039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950046 */     // MIs[0] op1
     /*  950046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  950076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950078 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950080 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950082 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950084 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950094 */     GIR_RootConstrainSelectedInstOperands,
     /*  950095 */     // GIR_Coverage, 63589,
     /*  950095 */     GIR_EraseRootFromParent_Done,
     /*  950096 */   // Label 14302: @950096
     /*  950096 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(950178), // Rule ID 63600 //
     /*  950101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950128 */     // MIs[0] op1
     /*  950128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950131 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  950158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950160 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950162 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950164 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950166 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950176 */     GIR_RootConstrainSelectedInstOperands,
     /*  950177 */     // GIR_Coverage, 63600,
     /*  950177 */     GIR_EraseRootFromParent_Done,
     /*  950178 */   // Label 14303: @950178
     /*  950178 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(950260), // Rule ID 63601 //
     /*  950183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950210 */     // MIs[0] op1
     /*  950210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  950240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950242 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950244 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950246 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950248 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950258 */     GIR_RootConstrainSelectedInstOperands,
     /*  950259 */     // GIR_Coverage, 63601,
     /*  950259 */     GIR_EraseRootFromParent_Done,
     /*  950260 */   // Label 14304: @950260
     /*  950260 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(950342), // Rule ID 63632 //
     /*  950265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950292 */     // MIs[0] op1
     /*  950292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  950322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950330 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950340 */     GIR_RootConstrainSelectedInstOperands,
     /*  950341 */     // GIR_Coverage, 63632,
     /*  950341 */     GIR_EraseRootFromParent_Done,
     /*  950342 */   // Label 14305: @950342
     /*  950342 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(950424), // Rule ID 63633 //
     /*  950347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950374 */     // MIs[0] op1
     /*  950374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950377 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  950404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950406 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950408 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950410 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950412 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950422 */     GIR_RootConstrainSelectedInstOperands,
     /*  950423 */     // GIR_Coverage, 63633,
     /*  950423 */     GIR_EraseRootFromParent_Done,
     /*  950424 */   // Label 14306: @950424
     /*  950424 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(950506), // Rule ID 63644 //
     /*  950429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950456 */     // MIs[0] op1
     /*  950456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950494 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950504 */     GIR_RootConstrainSelectedInstOperands,
     /*  950505 */     // GIR_Coverage, 63644,
     /*  950505 */     GIR_EraseRootFromParent_Done,
     /*  950506 */   // Label 14307: @950506
     /*  950506 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(950588), // Rule ID 63645 //
     /*  950511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950538 */     // MIs[0] op1
     /*  950538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950541 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950565 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950570 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950572 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950574 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950576 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950586 */     GIR_RootConstrainSelectedInstOperands,
     /*  950587 */     // GIR_Coverage, 63645,
     /*  950587 */     GIR_EraseRootFromParent_Done,
     /*  950588 */   // Label 14308: @950588
     /*  950588 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(950670), // Rule ID 63656 //
     /*  950593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950620 */     // MIs[0] op1
     /*  950620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950658 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950668 */     GIR_RootConstrainSelectedInstOperands,
     /*  950669 */     // GIR_Coverage, 63656,
     /*  950669 */     GIR_EraseRootFromParent_Done,
     /*  950670 */   // Label 14309: @950670
     /*  950670 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(950752), // Rule ID 63657 //
     /*  950675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950702 */     // MIs[0] op1
     /*  950702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950729 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950734 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950736 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950738 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950740 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950750 */     GIR_RootConstrainSelectedInstOperands,
     /*  950751 */     // GIR_Coverage, 63657,
     /*  950751 */     GIR_EraseRootFromParent_Done,
     /*  950752 */   // Label 14310: @950752
     /*  950752 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(950834), // Rule ID 63688 //
     /*  950757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950784 */     // MIs[0] op1
     /*  950784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950822 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950832 */     GIR_RootConstrainSelectedInstOperands,
     /*  950833 */     // GIR_Coverage, 63688,
     /*  950833 */     GIR_EraseRootFromParent_Done,
     /*  950834 */   // Label 14311: @950834
     /*  950834 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(950916), // Rule ID 63689 //
     /*  950839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950866 */     // MIs[0] op1
     /*  950866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950898 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950900 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950902 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950904 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950914 */     GIR_RootConstrainSelectedInstOperands,
     /*  950915 */     // GIR_Coverage, 63689,
     /*  950915 */     GIR_EraseRootFromParent_Done,
     /*  950916 */   // Label 14312: @950916
     /*  950916 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(950998), // Rule ID 63700 //
     /*  950921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  950941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950948 */     // MIs[0] op1
     /*  950948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950986 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950996 */     GIR_RootConstrainSelectedInstOperands,
     /*  950997 */     // GIR_Coverage, 63700,
     /*  950997 */     GIR_EraseRootFromParent_Done,
     /*  950998 */   // Label 14313: @950998
     /*  950998 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(951080), // Rule ID 63701 //
     /*  951003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  951023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951030 */     // MIs[0] op1
     /*  951030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  951060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951062 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951064 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951066 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951068 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951078 */     GIR_RootConstrainSelectedInstOperands,
     /*  951079 */     // GIR_Coverage, 63701,
     /*  951079 */     GIR_EraseRootFromParent_Done,
     /*  951080 */   // Label 14314: @951080
     /*  951080 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(951162), // Rule ID 63712 //
     /*  951085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951112 */     // MIs[0] op1
     /*  951112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  951142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951144 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951146 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951148 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951150 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951160 */     GIR_RootConstrainSelectedInstOperands,
     /*  951161 */     // GIR_Coverage, 63712,
     /*  951161 */     GIR_EraseRootFromParent_Done,
     /*  951162 */   // Label 14315: @951162
     /*  951162 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(951244), // Rule ID 63713 //
     /*  951167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951194 */     // MIs[0] op1
     /*  951194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951221 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  951224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951226 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951228 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951230 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951232 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951242 */     GIR_RootConstrainSelectedInstOperands,
     /*  951243 */     // GIR_Coverage, 63713,
     /*  951243 */     GIR_EraseRootFromParent_Done,
     /*  951244 */   // Label 14316: @951244
     /*  951244 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(951326), // Rule ID 63744 //
     /*  951249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951276 */     // MIs[0] op1
     /*  951276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951314 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951324 */     GIR_RootConstrainSelectedInstOperands,
     /*  951325 */     // GIR_Coverage, 63744,
     /*  951325 */     GIR_EraseRootFromParent_Done,
     /*  951326 */   // Label 14317: @951326
     /*  951326 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(951408), // Rule ID 63745 //
     /*  951331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951358 */     // MIs[0] op1
     /*  951358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951390 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951392 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951394 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951396 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951406 */     GIR_RootConstrainSelectedInstOperands,
     /*  951407 */     // GIR_Coverage, 63745,
     /*  951407 */     GIR_EraseRootFromParent_Done,
     /*  951408 */   // Label 14318: @951408
     /*  951408 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(951490), // Rule ID 63756 //
     /*  951413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  951433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951440 */     // MIs[0] op1
     /*  951440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951467 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951472 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951474 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951476 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951478 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951488 */     GIR_RootConstrainSelectedInstOperands,
     /*  951489 */     // GIR_Coverage, 63756,
     /*  951489 */     GIR_EraseRootFromParent_Done,
     /*  951490 */   // Label 14319: @951490
     /*  951490 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(951572), // Rule ID 63757 //
     /*  951495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  951515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951522 */     // MIs[0] op1
     /*  951522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951525 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951554 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951556 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951558 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951560 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951570 */     GIR_RootConstrainSelectedInstOperands,
     /*  951571 */     // GIR_Coverage, 63757,
     /*  951571 */     GIR_EraseRootFromParent_Done,
     /*  951572 */   // Label 14320: @951572
     /*  951572 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(951654), // Rule ID 63768 //
     /*  951577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951604 */     // MIs[0] op1
     /*  951604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951631 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951636 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951638 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951640 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951642 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951652 */     GIR_RootConstrainSelectedInstOperands,
     /*  951653 */     // GIR_Coverage, 63768,
     /*  951653 */     GIR_EraseRootFromParent_Done,
     /*  951654 */   // Label 14321: @951654
     /*  951654 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(951736), // Rule ID 63769 //
     /*  951659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951686 */     // MIs[0] op1
     /*  951686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951718 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951720 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951722 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951724 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951734 */     GIR_RootConstrainSelectedInstOperands,
     /*  951735 */     // GIR_Coverage, 63769,
     /*  951735 */     GIR_EraseRootFromParent_Done,
     /*  951736 */   // Label 14322: @951736
     /*  951736 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(951818), // Rule ID 63800 //
     /*  951741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951768 */     // MIs[0] op1
     /*  951768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951795 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951800 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951802 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951804 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951806 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951816 */     GIR_RootConstrainSelectedInstOperands,
     /*  951817 */     // GIR_Coverage, 63800,
     /*  951817 */     GIR_EraseRootFromParent_Done,
     /*  951818 */   // Label 14323: @951818
     /*  951818 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(951900), // Rule ID 63801 //
     /*  951823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951850 */     // MIs[0] op1
     /*  951850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951882 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951884 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951886 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951888 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951898 */     GIR_RootConstrainSelectedInstOperands,
     /*  951899 */     // GIR_Coverage, 63801,
     /*  951899 */     GIR_EraseRootFromParent_Done,
     /*  951900 */   // Label 14324: @951900
     /*  951900 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(951982), // Rule ID 63812 //
     /*  951905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  951925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951932 */     // MIs[0] op1
     /*  951932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  951962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951964 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951966 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951968 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951970 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951980 */     GIR_RootConstrainSelectedInstOperands,
     /*  951981 */     // GIR_Coverage, 63812,
     /*  951981 */     GIR_EraseRootFromParent_Done,
     /*  951982 */   // Label 14325: @951982
     /*  951982 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(952064), // Rule ID 63813 //
     /*  951987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  952007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952014 */     // MIs[0] op1
     /*  952014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952046 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952048 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952050 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952052 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952062 */     GIR_RootConstrainSelectedInstOperands,
     /*  952063 */     // GIR_Coverage, 63813,
     /*  952063 */     GIR_EraseRootFromParent_Done,
     /*  952064 */   // Label 14326: @952064
     /*  952064 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(952146), // Rule ID 63824 //
     /*  952069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952096 */     // MIs[0] op1
     /*  952096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  952126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952128 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952130 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952132 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952134 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952144 */     GIR_RootConstrainSelectedInstOperands,
     /*  952145 */     // GIR_Coverage, 63824,
     /*  952145 */     GIR_EraseRootFromParent_Done,
     /*  952146 */   // Label 14327: @952146
     /*  952146 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(952228), // Rule ID 63825 //
     /*  952151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952178 */     // MIs[0] op1
     /*  952178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952205 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  952208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952216 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952226 */     GIR_RootConstrainSelectedInstOperands,
     /*  952227 */     // GIR_Coverage, 63825,
     /*  952227 */     GIR_EraseRootFromParent_Done,
     /*  952228 */   // Label 14328: @952228
     /*  952228 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(952310), // Rule ID 63856 //
     /*  952233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952260 */     // MIs[0] op1
     /*  952260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952292 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952294 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952296 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952298 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952308 */     GIR_RootConstrainSelectedInstOperands,
     /*  952309 */     // GIR_Coverage, 63856,
     /*  952309 */     GIR_EraseRootFromParent_Done,
     /*  952310 */   // Label 14329: @952310
     /*  952310 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(952392), // Rule ID 63857 //
     /*  952315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952342 */     // MIs[0] op1
     /*  952342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952369 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952374 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952376 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952378 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952380 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952390 */     GIR_RootConstrainSelectedInstOperands,
     /*  952391 */     // GIR_Coverage, 63857,
     /*  952391 */     GIR_EraseRootFromParent_Done,
     /*  952392 */   // Label 14330: @952392
     /*  952392 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(952474), // Rule ID 63868 //
     /*  952397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  952417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952424 */     // MIs[0] op1
     /*  952424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952456 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952458 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952460 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952462 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952472 */     GIR_RootConstrainSelectedInstOperands,
     /*  952473 */     // GIR_Coverage, 63868,
     /*  952473 */     GIR_EraseRootFromParent_Done,
     /*  952474 */   // Label 14331: @952474
     /*  952474 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(952556), // Rule ID 63869 //
     /*  952479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  952499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952506 */     // MIs[0] op1
     /*  952506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952538 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952540 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952542 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952544 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952554 */     GIR_RootConstrainSelectedInstOperands,
     /*  952555 */     // GIR_Coverage, 63869,
     /*  952555 */     GIR_EraseRootFromParent_Done,
     /*  952556 */   // Label 14332: @952556
     /*  952556 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(952638), // Rule ID 63880 //
     /*  952561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952588 */     // MIs[0] op1
     /*  952588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952626 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952636 */     GIR_RootConstrainSelectedInstOperands,
     /*  952637 */     // GIR_Coverage, 63880,
     /*  952637 */     GIR_EraseRootFromParent_Done,
     /*  952638 */   // Label 14333: @952638
     /*  952638 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(952720), // Rule ID 63881 //
     /*  952643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952670 */     // MIs[0] op1
     /*  952670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952673 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952702 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952704 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952706 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952708 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952718 */     GIR_RootConstrainSelectedInstOperands,
     /*  952719 */     // GIR_Coverage, 63881,
     /*  952719 */     GIR_EraseRootFromParent_Done,
     /*  952720 */   // Label 14334: @952720
     /*  952720 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(952802), // Rule ID 63886 //
     /*  952725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952752 */     // MIs[0] op1
     /*  952752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952779 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952790 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952800 */     GIR_RootConstrainSelectedInstOperands,
     /*  952801 */     // GIR_Coverage, 63886,
     /*  952801 */     GIR_EraseRootFromParent_Done,
     /*  952802 */   // Label 14335: @952802
     /*  952802 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(952884), // Rule ID 63887 //
     /*  952807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952834 */     // MIs[0] op1
     /*  952834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952866 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952868 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952870 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952872 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952882 */     GIR_RootConstrainSelectedInstOperands,
     /*  952883 */     // GIR_Coverage, 63887,
     /*  952883 */     GIR_EraseRootFromParent_Done,
     /*  952884 */   // Label 14336: @952884
     /*  952884 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(952966), // Rule ID 63898 //
     /*  952889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952916 */     // MIs[0] op1
     /*  952916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  952946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952954 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952964 */     GIR_RootConstrainSelectedInstOperands,
     /*  952965 */     // GIR_Coverage, 63898,
     /*  952965 */     GIR_EraseRootFromParent_Done,
     /*  952966 */   // Label 14337: @952966
     /*  952966 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(953048), // Rule ID 63899 //
     /*  952971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952998 */     // MIs[0] op1
     /*  952998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953001 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  953028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953030 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953032 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953034 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953036 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953046 */     GIR_RootConstrainSelectedInstOperands,
     /*  953047 */     // GIR_Coverage, 63899,
     /*  953047 */     GIR_EraseRootFromParent_Done,
     /*  953048 */   // Label 14338: @953048
     /*  953048 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(953130), // Rule ID 63904 //
     /*  953053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953080 */     // MIs[0] op1
     /*  953080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  953110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953118 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953128 */     GIR_RootConstrainSelectedInstOperands,
     /*  953129 */     // GIR_Coverage, 63904,
     /*  953129 */     GIR_EraseRootFromParent_Done,
     /*  953130 */   // Label 14339: @953130
     /*  953130 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(953212), // Rule ID 63905 //
     /*  953135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953162 */     // MIs[0] op1
     /*  953162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953165 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  953192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953194 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953196 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953198 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953200 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953210 */     GIR_RootConstrainSelectedInstOperands,
     /*  953211 */     // GIR_Coverage, 63905,
     /*  953211 */     GIR_EraseRootFromParent_Done,
     /*  953212 */   // Label 14340: @953212
     /*  953212 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(953294), // Rule ID 63916 //
     /*  953217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  953237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953244 */     // MIs[0] op1
     /*  953244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  953274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953282 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953292 */     GIR_RootConstrainSelectedInstOperands,
     /*  953293 */     // GIR_Coverage, 63916,
     /*  953293 */     GIR_EraseRootFromParent_Done,
     /*  953294 */   // Label 14341: @953294
     /*  953294 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(953376), // Rule ID 63917 //
     /*  953299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  953319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953326 */     // MIs[0] op1
     /*  953326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953353 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  953356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953358 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953360 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953362 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953364 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953374 */     GIR_RootConstrainSelectedInstOperands,
     /*  953375 */     // GIR_Coverage, 63917,
     /*  953375 */     GIR_EraseRootFromParent_Done,
     /*  953376 */   // Label 14342: @953376
     /*  953376 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(953458), // Rule ID 63922 //
     /*  953381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953408 */     // MIs[0] op1
     /*  953408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953446 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953456 */     GIR_RootConstrainSelectedInstOperands,
     /*  953457 */     // GIR_Coverage, 63922,
     /*  953457 */     GIR_EraseRootFromParent_Done,
     /*  953458 */   // Label 14343: @953458
     /*  953458 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(953540), // Rule ID 63923 //
     /*  953463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953490 */     // MIs[0] op1
     /*  953490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953522 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953524 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953526 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953528 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953538 */     GIR_RootConstrainSelectedInstOperands,
     /*  953539 */     // GIR_Coverage, 63923,
     /*  953539 */     GIR_EraseRootFromParent_Done,
     /*  953540 */   // Label 14344: @953540
     /*  953540 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(953622), // Rule ID 63934 //
     /*  953545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953572 */     // MIs[0] op1
     /*  953572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953610 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953620 */     GIR_RootConstrainSelectedInstOperands,
     /*  953621 */     // GIR_Coverage, 63934,
     /*  953621 */     GIR_EraseRootFromParent_Done,
     /*  953622 */   // Label 14345: @953622
     /*  953622 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(953704), // Rule ID 63935 //
     /*  953627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953654 */     // MIs[0] op1
     /*  953654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953686 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953688 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953690 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953692 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953702 */     GIR_RootConstrainSelectedInstOperands,
     /*  953703 */     // GIR_Coverage, 63935,
     /*  953703 */     GIR_EraseRootFromParent_Done,
     /*  953704 */   // Label 14346: @953704
     /*  953704 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(953786), // Rule ID 63940 //
     /*  953709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953736 */     // MIs[0] op1
     /*  953736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953763 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953768 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953770 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953772 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953774 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953784 */     GIR_RootConstrainSelectedInstOperands,
     /*  953785 */     // GIR_Coverage, 63940,
     /*  953785 */     GIR_EraseRootFromParent_Done,
     /*  953786 */   // Label 14347: @953786
     /*  953786 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(953868), // Rule ID 63941 //
     /*  953791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953818 */     // MIs[0] op1
     /*  953818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953850 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953852 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953854 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953856 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953866 */     GIR_RootConstrainSelectedInstOperands,
     /*  953867 */     // GIR_Coverage, 63941,
     /*  953867 */     GIR_EraseRootFromParent_Done,
     /*  953868 */   // Label 14348: @953868
     /*  953868 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(953950), // Rule ID 63952 //
     /*  953873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953900 */     // MIs[0] op1
     /*  953900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  953930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953938 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953948 */     GIR_RootConstrainSelectedInstOperands,
     /*  953949 */     // GIR_Coverage, 63952,
     /*  953949 */     GIR_EraseRootFromParent_Done,
     /*  953950 */   // Label 14349: @953950
     /*  953950 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(954032), // Rule ID 63953 //
     /*  953955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953982 */     // MIs[0] op1
     /*  953982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953985 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  954012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954020 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954030 */     GIR_RootConstrainSelectedInstOperands,
     /*  954031 */     // GIR_Coverage, 63953,
     /*  954031 */     GIR_EraseRootFromParent_Done,
     /*  954032 */   // Label 14350: @954032
     /*  954032 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(954114), // Rule ID 63958 //
     /*  954037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954064 */     // MIs[0] op1
     /*  954064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954091 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  954094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954096 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954098 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954100 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954102 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954112 */     GIR_RootConstrainSelectedInstOperands,
     /*  954113 */     // GIR_Coverage, 63958,
     /*  954113 */     GIR_EraseRootFromParent_Done,
     /*  954114 */   // Label 14351: @954114
     /*  954114 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(954196), // Rule ID 63959 //
     /*  954119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954146 */     // MIs[0] op1
     /*  954146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  954176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954184 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954194 */     GIR_RootConstrainSelectedInstOperands,
     /*  954195 */     // GIR_Coverage, 63959,
     /*  954195 */     GIR_EraseRootFromParent_Done,
     /*  954196 */   // Label 14352: @954196
     /*  954196 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(954278), // Rule ID 63970 //
     /*  954201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  954221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954228 */     // MIs[0] op1
     /*  954228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954255 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  954258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954260 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954262 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954264 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954266 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954276 */     GIR_RootConstrainSelectedInstOperands,
     /*  954277 */     // GIR_Coverage, 63970,
     /*  954277 */     GIR_EraseRootFromParent_Done,
     /*  954278 */   // Label 14353: @954278
     /*  954278 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(954360), // Rule ID 63971 //
     /*  954283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  954303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954310 */     // MIs[0] op1
     /*  954310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  954340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954348 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954358 */     GIR_RootConstrainSelectedInstOperands,
     /*  954359 */     // GIR_Coverage, 63971,
     /*  954359 */     GIR_EraseRootFromParent_Done,
     /*  954360 */   // Label 14354: @954360
     /*  954360 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(954442), // Rule ID 63976 //
     /*  954365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954392 */     // MIs[0] op1
     /*  954392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  954422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954424 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954426 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954428 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954430 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954440 */     GIR_RootConstrainSelectedInstOperands,
     /*  954441 */     // GIR_Coverage, 63976,
     /*  954441 */     GIR_EraseRootFromParent_Done,
     /*  954442 */   // Label 14355: @954442
     /*  954442 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(954524), // Rule ID 63977 //
     /*  954447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954474 */     // MIs[0] op1
     /*  954474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  954504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954512 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954522 */     GIR_RootConstrainSelectedInstOperands,
     /*  954523 */     // GIR_Coverage, 63977,
     /*  954523 */     GIR_EraseRootFromParent_Done,
     /*  954524 */   // Label 14356: @954524
     /*  954524 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(954606), // Rule ID 63988 //
     /*  954529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954556 */     // MIs[0] op1
     /*  954556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954594 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954604 */     GIR_RootConstrainSelectedInstOperands,
     /*  954605 */     // GIR_Coverage, 63988,
     /*  954605 */     GIR_EraseRootFromParent_Done,
     /*  954606 */   // Label 14357: @954606
     /*  954606 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(954688), // Rule ID 63989 //
     /*  954611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954638 */     // MIs[0] op1
     /*  954638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954665 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954676 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954686 */     GIR_RootConstrainSelectedInstOperands,
     /*  954687 */     // GIR_Coverage, 63989,
     /*  954687 */     GIR_EraseRootFromParent_Done,
     /*  954688 */   // Label 14358: @954688
     /*  954688 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(954770), // Rule ID 63994 //
     /*  954693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954720 */     // MIs[0] op1
     /*  954720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954752 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954754 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954756 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954758 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954768 */     GIR_RootConstrainSelectedInstOperands,
     /*  954769 */     // GIR_Coverage, 63994,
     /*  954769 */     GIR_EraseRootFromParent_Done,
     /*  954770 */   // Label 14359: @954770
     /*  954770 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(954852), // Rule ID 63995 //
     /*  954775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954802 */     // MIs[0] op1
     /*  954802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954829 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954840 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954850 */     GIR_RootConstrainSelectedInstOperands,
     /*  954851 */     // GIR_Coverage, 63995,
     /*  954851 */     GIR_EraseRootFromParent_Done,
     /*  954852 */   // Label 14360: @954852
     /*  954852 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(954934), // Rule ID 64006 //
     /*  954857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954884 */     // MIs[0] op1
     /*  954884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954916 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954918 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954920 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954922 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954932 */     GIR_RootConstrainSelectedInstOperands,
     /*  954933 */     // GIR_Coverage, 64006,
     /*  954933 */     GIR_EraseRootFromParent_Done,
     /*  954934 */   // Label 14361: @954934
     /*  954934 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(955016), // Rule ID 64007 //
     /*  954939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954966 */     // MIs[0] op1
     /*  954966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954998 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955000 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955002 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955004 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955014 */     GIR_RootConstrainSelectedInstOperands,
     /*  955015 */     // GIR_Coverage, 64007,
     /*  955015 */     GIR_EraseRootFromParent_Done,
     /*  955016 */   // Label 14362: @955016
     /*  955016 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(955098), // Rule ID 64012 //
     /*  955021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955048 */     // MIs[0] op1
     /*  955048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955075 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  955078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955080 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955082 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955084 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955086 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955096 */     GIR_RootConstrainSelectedInstOperands,
     /*  955097 */     // GIR_Coverage, 64012,
     /*  955097 */     GIR_EraseRootFromParent_Done,
     /*  955098 */   // Label 14363: @955098
     /*  955098 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(955180), // Rule ID 64013 //
     /*  955103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955130 */     // MIs[0] op1
     /*  955130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955157 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  955160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955168 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955178 */     GIR_RootConstrainSelectedInstOperands,
     /*  955179 */     // GIR_Coverage, 64013,
     /*  955179 */     GIR_EraseRootFromParent_Done,
     /*  955180 */   // Label 14364: @955180
     /*  955180 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(955262), // Rule ID 64018 //
     /*  955185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955212 */     // MIs[0] op1
     /*  955212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  955242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955244 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955246 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955248 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955250 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955260 */     GIR_RootConstrainSelectedInstOperands,
     /*  955261 */     // GIR_Coverage, 64018,
     /*  955261 */     GIR_EraseRootFromParent_Done,
     /*  955262 */   // Label 14365: @955262
     /*  955262 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(955344), // Rule ID 64019 //
     /*  955267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955294 */     // MIs[0] op1
     /*  955294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  955324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955326 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955328 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955330 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955332 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955342 */     GIR_RootConstrainSelectedInstOperands,
     /*  955343 */     // GIR_Coverage, 64019,
     /*  955343 */     GIR_EraseRootFromParent_Done,
     /*  955344 */   // Label 14366: @955344
     /*  955344 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(955426), // Rule ID 64030 //
     /*  955349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  955369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955376 */     // MIs[0] op1
     /*  955376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955379 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955414 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955424 */     GIR_RootConstrainSelectedInstOperands,
     /*  955425 */     // GIR_Coverage, 64030,
     /*  955425 */     GIR_EraseRootFromParent_Done,
     /*  955426 */   // Label 14367: @955426
     /*  955426 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(955508), // Rule ID 64031 //
     /*  955431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  955451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955458 */     // MIs[0] op1
     /*  955458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955506 */     GIR_RootConstrainSelectedInstOperands,
     /*  955507 */     // GIR_Coverage, 64031,
     /*  955507 */     GIR_EraseRootFromParent_Done,
     /*  955508 */   // Label 14368: @955508
     /*  955508 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(955590), // Rule ID 64036 //
     /*  955513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955540 */     // MIs[0] op1
     /*  955540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955572 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955574 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955576 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955578 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955588 */     GIR_RootConstrainSelectedInstOperands,
     /*  955589 */     // GIR_Coverage, 64036,
     /*  955589 */     GIR_EraseRootFromParent_Done,
     /*  955590 */   // Label 14369: @955590
     /*  955590 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(955672), // Rule ID 64037 //
     /*  955595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955622 */     // MIs[0] op1
     /*  955622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955654 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955656 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955658 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955660 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955670 */     GIR_RootConstrainSelectedInstOperands,
     /*  955671 */     // GIR_Coverage, 64037,
     /*  955671 */     GIR_EraseRootFromParent_Done,
     /*  955672 */   // Label 14370: @955672
     /*  955672 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(955754), // Rule ID 64042 //
     /*  955677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955704 */     // MIs[0] op1
     /*  955704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955742 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955752 */     GIR_RootConstrainSelectedInstOperands,
     /*  955753 */     // GIR_Coverage, 64042,
     /*  955753 */     GIR_EraseRootFromParent_Done,
     /*  955754 */   // Label 14371: @955754
     /*  955754 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(955836), // Rule ID 64043 //
     /*  955759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955786 */     // MIs[0] op1
     /*  955786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955834 */     GIR_RootConstrainSelectedInstOperands,
     /*  955835 */     // GIR_Coverage, 64043,
     /*  955835 */     GIR_EraseRootFromParent_Done,
     /*  955836 */   // Label 14372: @955836
     /*  955836 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(955918), // Rule ID 64054 //
     /*  955841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955868 */     // MIs[0] op1
     /*  955868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955906 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955916 */     GIR_RootConstrainSelectedInstOperands,
     /*  955917 */     // GIR_Coverage, 64054,
     /*  955917 */     GIR_EraseRootFromParent_Done,
     /*  955918 */   // Label 14373: @955918
     /*  955918 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(956000), // Rule ID 64055 //
     /*  955923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955950 */     // MIs[0] op1
     /*  955950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955982 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955984 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955986 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955988 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955998 */     GIR_RootConstrainSelectedInstOperands,
     /*  955999 */     // GIR_Coverage, 64055,
     /*  955999 */     GIR_EraseRootFromParent_Done,
     /*  956000 */   // Label 14374: @956000
     /*  956000 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(956082), // Rule ID 64060 //
     /*  956005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956032 */     // MIs[0] op1
     /*  956032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  956062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956070 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956080 */     GIR_RootConstrainSelectedInstOperands,
     /*  956081 */     // GIR_Coverage, 64060,
     /*  956081 */     GIR_EraseRootFromParent_Done,
     /*  956082 */   // Label 14375: @956082
     /*  956082 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(956164), // Rule ID 64061 //
     /*  956087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956114 */     // MIs[0] op1
     /*  956114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  956144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956162 */     GIR_RootConstrainSelectedInstOperands,
     /*  956163 */     // GIR_Coverage, 64061,
     /*  956163 */     GIR_EraseRootFromParent_Done,
     /*  956164 */   // Label 14376: @956164
     /*  956164 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(956246), // Rule ID 64066 //
     /*  956169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956196 */     // MIs[0] op1
     /*  956196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956223 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  956226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956234 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956244 */     GIR_RootConstrainSelectedInstOperands,
     /*  956245 */     // GIR_Coverage, 64066,
     /*  956245 */     GIR_EraseRootFromParent_Done,
     /*  956246 */   // Label 14377: @956246
     /*  956246 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(956328), // Rule ID 64067 //
     /*  956251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956278 */     // MIs[0] op1
     /*  956278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  956308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956310 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956312 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956314 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956316 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956326 */     GIR_RootConstrainSelectedInstOperands,
     /*  956327 */     // GIR_Coverage, 64067,
     /*  956327 */     GIR_EraseRootFromParent_Done,
     /*  956328 */   // Label 14378: @956328
     /*  956328 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(956410), // Rule ID 64078 //
     /*  956333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  956353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956360 */     // MIs[0] op1
     /*  956360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956392 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956394 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956396 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956398 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956408 */     GIR_RootConstrainSelectedInstOperands,
     /*  956409 */     // GIR_Coverage, 64078,
     /*  956409 */     GIR_EraseRootFromParent_Done,
     /*  956410 */   // Label 14379: @956410
     /*  956410 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(956492), // Rule ID 64079 //
     /*  956415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  956435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956442 */     // MIs[0] op1
     /*  956442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956469 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956480 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956490 */     GIR_RootConstrainSelectedInstOperands,
     /*  956491 */     // GIR_Coverage, 64079,
     /*  956491 */     GIR_EraseRootFromParent_Done,
     /*  956492 */   // Label 14380: @956492
     /*  956492 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(956574), // Rule ID 64084 //
     /*  956497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956524 */     // MIs[0] op1
     /*  956524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956556 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956558 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956560 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956562 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956572 */     GIR_RootConstrainSelectedInstOperands,
     /*  956573 */     // GIR_Coverage, 64084,
     /*  956573 */     GIR_EraseRootFromParent_Done,
     /*  956574 */   // Label 14381: @956574
     /*  956574 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(956656), // Rule ID 64085 //
     /*  956579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956606 */     // MIs[0] op1
     /*  956606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956644 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956654 */     GIR_RootConstrainSelectedInstOperands,
     /*  956655 */     // GIR_Coverage, 64085,
     /*  956655 */     GIR_EraseRootFromParent_Done,
     /*  956656 */   // Label 14382: @956656
     /*  956656 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(956738), // Rule ID 64090 //
     /*  956661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956688 */     // MIs[0] op1
     /*  956688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956720 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956722 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956724 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956726 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956736 */     GIR_RootConstrainSelectedInstOperands,
     /*  956737 */     // GIR_Coverage, 64090,
     /*  956737 */     GIR_EraseRootFromParent_Done,
     /*  956738 */   // Label 14383: @956738
     /*  956738 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(956820), // Rule ID 64091 //
     /*  956743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956770 */     // MIs[0] op1
     /*  956770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956808 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956818 */     GIR_RootConstrainSelectedInstOperands,
     /*  956819 */     // GIR_Coverage, 64091,
     /*  956819 */     GIR_EraseRootFromParent_Done,
     /*  956820 */   // Label 14384: @956820
     /*  956820 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(956902), // Rule ID 64102 //
     /*  956825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956852 */     // MIs[0] op1
     /*  956852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956884 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956886 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956888 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956890 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956900 */     GIR_RootConstrainSelectedInstOperands,
     /*  956901 */     // GIR_Coverage, 64102,
     /*  956901 */     GIR_EraseRootFromParent_Done,
     /*  956902 */   // Label 14385: @956902
     /*  956902 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(956984), // Rule ID 64103 //
     /*  956907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956934 */     // MIs[0] op1
     /*  956934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956966 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956968 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956970 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956972 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956982 */     GIR_RootConstrainSelectedInstOperands,
     /*  956983 */     // GIR_Coverage, 64103,
     /*  956983 */     GIR_EraseRootFromParent_Done,
     /*  956984 */   // Label 14386: @956984
     /*  956984 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(957066), // Rule ID 64108 //
     /*  956989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957016 */     // MIs[0] op1
     /*  957016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957019 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957043 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  957043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  957046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957048 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957050 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957052 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957054 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957064 */     GIR_RootConstrainSelectedInstOperands,
     /*  957065 */     // GIR_Coverage, 64108,
     /*  957065 */     GIR_EraseRootFromParent_Done,
     /*  957066 */   // Label 14387: @957066
     /*  957066 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(957148), // Rule ID 64109 //
     /*  957071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957098 */     // MIs[0] op1
     /*  957098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957125 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  957125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  957128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957136 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957146 */     GIR_RootConstrainSelectedInstOperands,
     /*  957147 */     // GIR_Coverage, 64109,
     /*  957147 */     GIR_EraseRootFromParent_Done,
     /*  957148 */   // Label 14388: @957148
     /*  957148 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(957230), // Rule ID 64114 //
     /*  957153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957180 */     // MIs[0] op1
     /*  957180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957183 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957212 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957214 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957216 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957218 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957228 */     GIR_RootConstrainSelectedInstOperands,
     /*  957229 */     // GIR_Coverage, 64114,
     /*  957229 */     GIR_EraseRootFromParent_Done,
     /*  957230 */   // Label 14389: @957230
     /*  957230 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(957312), // Rule ID 64115 //
     /*  957235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957262 */     // MIs[0] op1
     /*  957262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957300 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957310 */     GIR_RootConstrainSelectedInstOperands,
     /*  957311 */     // GIR_Coverage, 64115,
     /*  957311 */     GIR_EraseRootFromParent_Done,
     /*  957312 */   // Label 14390: @957312
     /*  957312 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(957394), // Rule ID 64126 //
     /*  957317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  957337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957344 */     // MIs[0] op1
     /*  957344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957376 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957378 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957380 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957382 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957392 */     GIR_RootConstrainSelectedInstOperands,
     /*  957393 */     // GIR_Coverage, 64126,
     /*  957393 */     GIR_EraseRootFromParent_Done,
     /*  957394 */   // Label 14391: @957394
     /*  957394 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(957476), // Rule ID 64127 //
     /*  957399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  957419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957426 */     // MIs[0] op1
     /*  957426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957464 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957474 */     GIR_RootConstrainSelectedInstOperands,
     /*  957475 */     // GIR_Coverage, 64127,
     /*  957475 */     GIR_EraseRootFromParent_Done,
     /*  957476 */   // Label 14392: @957476
     /*  957476 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(957558), // Rule ID 64132 //
     /*  957481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957508 */     // MIs[0] op1
     /*  957508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957540 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957542 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957544 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957546 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957556 */     GIR_RootConstrainSelectedInstOperands,
     /*  957557 */     // GIR_Coverage, 64132,
     /*  957557 */     GIR_EraseRootFromParent_Done,
     /*  957558 */   // Label 14393: @957558
     /*  957558 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(957640), // Rule ID 64133 //
     /*  957563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957590 */     // MIs[0] op1
     /*  957590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957622 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957624 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957626 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957628 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957638 */     GIR_RootConstrainSelectedInstOperands,
     /*  957639 */     // GIR_Coverage, 64133,
     /*  957639 */     GIR_EraseRootFromParent_Done,
     /*  957640 */   // Label 14394: @957640
     /*  957640 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(957722), // Rule ID 64138 //
     /*  957645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957672 */     // MIs[0] op1
     /*  957672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957704 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957706 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957708 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957710 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957720 */     GIR_RootConstrainSelectedInstOperands,
     /*  957721 */     // GIR_Coverage, 64138,
     /*  957721 */     GIR_EraseRootFromParent_Done,
     /*  957722 */   // Label 14395: @957722
     /*  957722 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(957804), // Rule ID 64139 //
     /*  957727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957754 */     // MIs[0] op1
     /*  957754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957786 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957788 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957790 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957792 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957802 */     GIR_RootConstrainSelectedInstOperands,
     /*  957803 */     // GIR_Coverage, 64139,
     /*  957803 */     GIR_EraseRootFromParent_Done,
     /*  957804 */   // Label 14396: @957804
     /*  957804 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(957886), // Rule ID 64150 //
     /*  957809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957836 */     // MIs[0] op1
     /*  957836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957868 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957870 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957872 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957874 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957884 */     GIR_RootConstrainSelectedInstOperands,
     /*  957885 */     // GIR_Coverage, 64150,
     /*  957885 */     GIR_EraseRootFromParent_Done,
     /*  957886 */   // Label 14397: @957886
     /*  957886 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(957968), // Rule ID 64151 //
     /*  957891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957918 */     // MIs[0] op1
     /*  957918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957956 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957966 */     GIR_RootConstrainSelectedInstOperands,
     /*  957967 */     // GIR_Coverage, 64151,
     /*  957967 */     GIR_EraseRootFromParent_Done,
     /*  957968 */   // Label 14398: @957968
     /*  957968 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(958050), // Rule ID 64156 //
     /*  957973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958000 */     // MIs[0] op1
     /*  958000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  958030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958032 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958034 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958036 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958038 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958048 */     GIR_RootConstrainSelectedInstOperands,
     /*  958049 */     // GIR_Coverage, 64156,
     /*  958049 */     GIR_EraseRootFromParent_Done,
     /*  958050 */   // Label 14399: @958050
     /*  958050 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(958132), // Rule ID 64157 //
     /*  958055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958082 */     // MIs[0] op1
     /*  958082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  958112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958120 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958130 */     GIR_RootConstrainSelectedInstOperands,
     /*  958131 */     // GIR_Coverage, 64157,
     /*  958131 */     GIR_EraseRootFromParent_Done,
     /*  958132 */   // Label 14400: @958132
     /*  958132 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(958214), // Rule ID 64162 //
     /*  958137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958164 */     // MIs[0] op1
     /*  958164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958191 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958202 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958212 */     GIR_RootConstrainSelectedInstOperands,
     /*  958213 */     // GIR_Coverage, 64162,
     /*  958213 */     GIR_EraseRootFromParent_Done,
     /*  958214 */   // Label 14401: @958214
     /*  958214 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(958296), // Rule ID 64163 //
     /*  958219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958246 */     // MIs[0] op1
     /*  958246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958284 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958294 */     GIR_RootConstrainSelectedInstOperands,
     /*  958295 */     // GIR_Coverage, 64163,
     /*  958295 */     GIR_EraseRootFromParent_Done,
     /*  958296 */   // Label 14402: @958296
     /*  958296 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(958378), // Rule ID 64174 //
     /*  958301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  958321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958328 */     // MIs[0] op1
     /*  958328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958355 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958360 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958362 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958364 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958366 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958376 */     GIR_RootConstrainSelectedInstOperands,
     /*  958377 */     // GIR_Coverage, 64174,
     /*  958377 */     GIR_EraseRootFromParent_Done,
     /*  958378 */   // Label 14403: @958378
     /*  958378 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(958460), // Rule ID 64175 //
     /*  958383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  958403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958410 */     // MIs[0] op1
     /*  958410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958442 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958444 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958446 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958448 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958458 */     GIR_RootConstrainSelectedInstOperands,
     /*  958459 */     // GIR_Coverage, 64175,
     /*  958459 */     GIR_EraseRootFromParent_Done,
     /*  958460 */   // Label 14404: @958460
     /*  958460 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(958542), // Rule ID 64180 //
     /*  958465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958492 */     // MIs[0] op1
     /*  958492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958530 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958540 */     GIR_RootConstrainSelectedInstOperands,
     /*  958541 */     // GIR_Coverage, 64180,
     /*  958541 */     GIR_EraseRootFromParent_Done,
     /*  958542 */   // Label 14405: @958542
     /*  958542 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(958624), // Rule ID 64181 //
     /*  958547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958574 */     // MIs[0] op1
     /*  958574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958601 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958606 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958608 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958610 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958612 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958622 */     GIR_RootConstrainSelectedInstOperands,
     /*  958623 */     // GIR_Coverage, 64181,
     /*  958623 */     GIR_EraseRootFromParent_Done,
     /*  958624 */   // Label 14406: @958624
     /*  958624 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(958706), // Rule ID 64186 //
     /*  958629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958656 */     // MIs[0] op1
     /*  958656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958694 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958704 */     GIR_RootConstrainSelectedInstOperands,
     /*  958705 */     // GIR_Coverage, 64186,
     /*  958705 */     GIR_EraseRootFromParent_Done,
     /*  958706 */   // Label 14407: @958706
     /*  958706 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(958788), // Rule ID 64187 //
     /*  958711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958738 */     // MIs[0] op1
     /*  958738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958776 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958786 */     GIR_RootConstrainSelectedInstOperands,
     /*  958787 */     // GIR_Coverage, 64187,
     /*  958787 */     GIR_EraseRootFromParent_Done,
     /*  958788 */   // Label 14408: @958788
     /*  958788 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(958870), // Rule ID 64198 //
     /*  958793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958820 */     // MIs[0] op1
     /*  958820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958852 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958854 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958856 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958858 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958868 */     GIR_RootConstrainSelectedInstOperands,
     /*  958869 */     // GIR_Coverage, 64198,
     /*  958869 */     GIR_EraseRootFromParent_Done,
     /*  958870 */   // Label 14409: @958870
     /*  958870 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(958952), // Rule ID 64199 //
     /*  958875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958902 */     // MIs[0] op1
     /*  958902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958929 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958934 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958936 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958938 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958940 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958950 */     GIR_RootConstrainSelectedInstOperands,
     /*  958951 */     // GIR_Coverage, 64199,
     /*  958951 */     GIR_EraseRootFromParent_Done,
     /*  958952 */   // Label 14410: @958952
     /*  958952 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(959034), // Rule ID 64204 //
     /*  958957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958984 */     // MIs[0] op1
     /*  958984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  959004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959011 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  959014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959016 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959018 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959020 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959022 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959032 */     GIR_RootConstrainSelectedInstOperands,
     /*  959033 */     // GIR_Coverage, 64204,
     /*  959033 */     GIR_EraseRootFromParent_Done,
     /*  959034 */   // Label 14411: @959034
     /*  959034 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(959116), // Rule ID 64205 //
     /*  959039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959066 */     // MIs[0] op1
     /*  959066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  959086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  959096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959098 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959100 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959102 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959104 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959114 */     GIR_RootConstrainSelectedInstOperands,
     /*  959115 */     // GIR_Coverage, 64205,
     /*  959115 */     GIR_EraseRootFromParent_Done,
     /*  959116 */   // Label 14412: @959116
     /*  959116 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(959208), // Rule ID 5086 //
     /*  959121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  959132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  959135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  959138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959171 */     // MIs[1] Operand 1
     /*  959171 */     // No operand predicates
     /*  959171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959184 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  959187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959206 */     GIR_RootConstrainSelectedInstOperands,
     /*  959207 */     // GIR_Coverage, 5086,
     /*  959207 */     GIR_EraseRootFromParent_Done,
     /*  959208 */   // Label 14413: @959208
     /*  959208 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(959300), // Rule ID 5087 //
     /*  959213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  959224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  959227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  959230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959263 */     // MIs[1] Operand 1
     /*  959263 */     // No operand predicates
     /*  959263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959276 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  959279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959298 */     GIR_RootConstrainSelectedInstOperands,
     /*  959299 */     // GIR_Coverage, 5087,
     /*  959299 */     GIR_EraseRootFromParent_Done,
     /*  959300 */   // Label 14414: @959300
     /*  959300 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(959392), // Rule ID 5088 //
     /*  959305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  959316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  959319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  959322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959355 */     // MIs[1] Operand 1
     /*  959355 */     // No operand predicates
     /*  959355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959368 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959390 */     GIR_RootConstrainSelectedInstOperands,
     /*  959391 */     // GIR_Coverage, 5088,
     /*  959391 */     GIR_EraseRootFromParent_Done,
     /*  959392 */   // Label 14415: @959392
     /*  959392 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(959484), // Rule ID 5089 //
     /*  959397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  959408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  959411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  959414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959447 */     // MIs[1] Operand 1
     /*  959447 */     // No operand predicates
     /*  959447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959482 */     GIR_RootConstrainSelectedInstOperands,
     /*  959483 */     // GIR_Coverage, 5089,
     /*  959483 */     GIR_EraseRootFromParent_Done,
     /*  959484 */   // Label 14416: @959484
     /*  959484 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(959576), // Rule ID 5090 //
     /*  959489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959539 */     // MIs[1] Operand 1
     /*  959539 */     // No operand predicates
     /*  959539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959552 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959574 */     GIR_RootConstrainSelectedInstOperands,
     /*  959575 */     // GIR_Coverage, 5090,
     /*  959575 */     GIR_EraseRootFromParent_Done,
     /*  959576 */   // Label 14417: @959576
     /*  959576 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(959668), // Rule ID 5091 //
     /*  959581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959631 */     // MIs[1] Operand 1
     /*  959631 */     // No operand predicates
     /*  959631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959666 */     GIR_RootConstrainSelectedInstOperands,
     /*  959667 */     // GIR_Coverage, 5091,
     /*  959667 */     GIR_EraseRootFromParent_Done,
     /*  959668 */   // Label 14418: @959668
     /*  959668 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(959760), // Rule ID 5092 //
     /*  959673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959723 */     // MIs[1] Operand 1
     /*  959723 */     // No operand predicates
     /*  959723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959758 */     GIR_RootConstrainSelectedInstOperands,
     /*  959759 */     // GIR_Coverage, 5092,
     /*  959759 */     GIR_EraseRootFromParent_Done,
     /*  959760 */   // Label 14419: @959760
     /*  959760 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(959852), // Rule ID 5093 //
     /*  959765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959815 */     // MIs[1] Operand 1
     /*  959815 */     // No operand predicates
     /*  959815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959850 */     GIR_RootConstrainSelectedInstOperands,
     /*  959851 */     // GIR_Coverage, 5093,
     /*  959851 */     GIR_EraseRootFromParent_Done,
     /*  959852 */   // Label 14420: @959852
     /*  959852 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(959944), // Rule ID 5094 //
     /*  959857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959907 */     // MIs[1] Operand 1
     /*  959907 */     // No operand predicates
     /*  959907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959942 */     GIR_RootConstrainSelectedInstOperands,
     /*  959943 */     // GIR_Coverage, 5094,
     /*  959943 */     GIR_EraseRootFromParent_Done,
     /*  959944 */   // Label 14421: @959944
     /*  959944 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(960036), // Rule ID 5095 //
     /*  959949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959999 */     // MIs[1] Operand 1
     /*  959999 */     // No operand predicates
     /*  959999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960034 */     GIR_RootConstrainSelectedInstOperands,
     /*  960035 */     // GIR_Coverage, 5095,
     /*  960035 */     GIR_EraseRootFromParent_Done,
     /*  960036 */   // Label 14422: @960036
     /*  960036 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(960128), // Rule ID 5096 //
     /*  960041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  960052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  960055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  960058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960091 */     // MIs[1] Operand 1
     /*  960091 */     // No operand predicates
     /*  960091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960104 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960126 */     GIR_RootConstrainSelectedInstOperands,
     /*  960127 */     // GIR_Coverage, 5096,
     /*  960127 */     GIR_EraseRootFromParent_Done,
     /*  960128 */   // Label 14423: @960128
     /*  960128 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(960220), // Rule ID 5097 //
     /*  960133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  960144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  960147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  960150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960183 */     // MIs[1] Operand 1
     /*  960183 */     // No operand predicates
     /*  960183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960218 */     GIR_RootConstrainSelectedInstOperands,
     /*  960219 */     // GIR_Coverage, 5097,
     /*  960219 */     GIR_EraseRootFromParent_Done,
     /*  960220 */   // Label 14424: @960220
     /*  960220 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(960312), // Rule ID 5098 //
     /*  960225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  960236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  960239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  960242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960275 */     // MIs[1] Operand 1
     /*  960275 */     // No operand predicates
     /*  960275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960310 */     GIR_RootConstrainSelectedInstOperands,
     /*  960311 */     // GIR_Coverage, 5098,
     /*  960311 */     GIR_EraseRootFromParent_Done,
     /*  960312 */   // Label 14425: @960312
     /*  960312 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(960404), // Rule ID 5099 //
     /*  960317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  960328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  960331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  960334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960367 */     // MIs[1] Operand 1
     /*  960367 */     // No operand predicates
     /*  960367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960402 */     GIR_RootConstrainSelectedInstOperands,
     /*  960403 */     // GIR_Coverage, 5099,
     /*  960403 */     GIR_EraseRootFromParent_Done,
     /*  960404 */   // Label 14426: @960404
     /*  960404 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(960496), // Rule ID 5100 //
     /*  960409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  960426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960459 */     // MIs[1] Operand 1
     /*  960459 */     // No operand predicates
     /*  960459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960494 */     GIR_RootConstrainSelectedInstOperands,
     /*  960495 */     // GIR_Coverage, 5100,
     /*  960495 */     GIR_EraseRootFromParent_Done,
     /*  960496 */   // Label 14427: @960496
     /*  960496 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(960588), // Rule ID 5101 //
     /*  960501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  960518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960551 */     // MIs[1] Operand 1
     /*  960551 */     // No operand predicates
     /*  960551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960586 */     GIR_RootConstrainSelectedInstOperands,
     /*  960587 */     // GIR_Coverage, 5101,
     /*  960587 */     GIR_EraseRootFromParent_Done,
     /*  960588 */   // Label 14428: @960588
     /*  960588 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(960680), // Rule ID 5102 //
     /*  960593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960643 */     // MIs[1] Operand 1
     /*  960643 */     // No operand predicates
     /*  960643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960678 */     GIR_RootConstrainSelectedInstOperands,
     /*  960679 */     // GIR_Coverage, 5102,
     /*  960679 */     GIR_EraseRootFromParent_Done,
     /*  960680 */   // Label 14429: @960680
     /*  960680 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(960772), // Rule ID 5103 //
     /*  960685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960735 */     // MIs[1] Operand 1
     /*  960735 */     // No operand predicates
     /*  960735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960770 */     GIR_RootConstrainSelectedInstOperands,
     /*  960771 */     // GIR_Coverage, 5103,
     /*  960771 */     GIR_EraseRootFromParent_Done,
     /*  960772 */   // Label 14430: @960772
     /*  960772 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(960864), // Rule ID 5104 //
     /*  960777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960827 */     // MIs[1] Operand 1
     /*  960827 */     // No operand predicates
     /*  960827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  960840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960862 */     GIR_RootConstrainSelectedInstOperands,
     /*  960863 */     // GIR_Coverage, 5104,
     /*  960863 */     GIR_EraseRootFromParent_Done,
     /*  960864 */   // Label 14431: @960864
     /*  960864 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(960956), // Rule ID 5105 //
     /*  960869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  960872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960919 */     // MIs[1] Operand 1
     /*  960919 */     // No operand predicates
     /*  960919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  960932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960954 */     GIR_RootConstrainSelectedInstOperands,
     /*  960955 */     // GIR_Coverage, 5105,
     /*  960955 */     GIR_EraseRootFromParent_Done,
     /*  960956 */   // Label 14432: @960956
     /*  960956 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(961048), // Rule ID 5106 //
     /*  960961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  960972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  960975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961011 */     // MIs[1] Operand 1
     /*  961011 */     // No operand predicates
     /*  961011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961046 */     GIR_RootConstrainSelectedInstOperands,
     /*  961047 */     // GIR_Coverage, 5106,
     /*  961047 */     GIR_EraseRootFromParent_Done,
     /*  961048 */   // Label 14433: @961048
     /*  961048 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(961140), // Rule ID 5107 //
     /*  961053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  961064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  961067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  961070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961103 */     // MIs[1] Operand 1
     /*  961103 */     // No operand predicates
     /*  961103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961138 */     GIR_RootConstrainSelectedInstOperands,
     /*  961139 */     // GIR_Coverage, 5107,
     /*  961139 */     GIR_EraseRootFromParent_Done,
     /*  961140 */   // Label 14434: @961140
     /*  961140 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(961232), // Rule ID 5108 //
     /*  961145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  961156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  961159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961195 */     // MIs[1] Operand 1
     /*  961195 */     // No operand predicates
     /*  961195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961230 */     GIR_RootConstrainSelectedInstOperands,
     /*  961231 */     // GIR_Coverage, 5108,
     /*  961231 */     GIR_EraseRootFromParent_Done,
     /*  961232 */   // Label 14435: @961232
     /*  961232 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(961324), // Rule ID 5109 //
     /*  961237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  961248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  961251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961287 */     // MIs[1] Operand 1
     /*  961287 */     // No operand predicates
     /*  961287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961322 */     GIR_RootConstrainSelectedInstOperands,
     /*  961323 */     // GIR_Coverage, 5109,
     /*  961323 */     GIR_EraseRootFromParent_Done,
     /*  961324 */   // Label 14436: @961324
     /*  961324 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(961416), // Rule ID 5110 //
     /*  961329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  961340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  961343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  961346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  961352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961379 */     // MIs[1] Operand 1
     /*  961379 */     // No operand predicates
     /*  961379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961414 */     GIR_RootConstrainSelectedInstOperands,
     /*  961415 */     // GIR_Coverage, 5110,
     /*  961415 */     GIR_EraseRootFromParent_Done,
     /*  961416 */   // Label 14437: @961416
     /*  961416 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(961508), // Rule ID 5111 //
     /*  961421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  961432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  961435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  961438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  961444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961471 */     // MIs[1] Operand 1
     /*  961471 */     // No operand predicates
     /*  961471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961484 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961506 */     GIR_RootConstrainSelectedInstOperands,
     /*  961507 */     // GIR_Coverage, 5111,
     /*  961507 */     GIR_EraseRootFromParent_Done,
     /*  961508 */   // Label 14438: @961508
     /*  961508 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(961600), // Rule ID 5112 //
     /*  961513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961563 */     // MIs[1] Operand 1
     /*  961563 */     // No operand predicates
     /*  961563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961598 */     GIR_RootConstrainSelectedInstOperands,
     /*  961599 */     // GIR_Coverage, 5112,
     /*  961599 */     GIR_EraseRootFromParent_Done,
     /*  961600 */   // Label 14439: @961600
     /*  961600 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(961692), // Rule ID 5113 //
     /*  961605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961655 */     // MIs[1] Operand 1
     /*  961655 */     // No operand predicates
     /*  961655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961668 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961690 */     GIR_RootConstrainSelectedInstOperands,
     /*  961691 */     // GIR_Coverage, 5113,
     /*  961691 */     GIR_EraseRootFromParent_Done,
     /*  961692 */   // Label 14440: @961692
     /*  961692 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(961784), // Rule ID 5114 //
     /*  961697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961747 */     // MIs[1] Operand 1
     /*  961747 */     // No operand predicates
     /*  961747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961760 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961782 */     GIR_RootConstrainSelectedInstOperands,
     /*  961783 */     // GIR_Coverage, 5114,
     /*  961783 */     GIR_EraseRootFromParent_Done,
     /*  961784 */   // Label 14441: @961784
     /*  961784 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(961876), // Rule ID 5115 //
     /*  961789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961839 */     // MIs[1] Operand 1
     /*  961839 */     // No operand predicates
     /*  961839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961874 */     GIR_RootConstrainSelectedInstOperands,
     /*  961875 */     // GIR_Coverage, 5115,
     /*  961875 */     GIR_EraseRootFromParent_Done,
     /*  961876 */   // Label 14442: @961876
     /*  961876 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(961968), // Rule ID 5116 //
     /*  961881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961931 */     // MIs[1] Operand 1
     /*  961931 */     // No operand predicates
     /*  961931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961966 */     GIR_RootConstrainSelectedInstOperands,
     /*  961967 */     // GIR_Coverage, 5116,
     /*  961967 */     GIR_EraseRootFromParent_Done,
     /*  961968 */   // Label 14443: @961968
     /*  961968 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(962060), // Rule ID 5117 //
     /*  961973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962023 */     // MIs[1] Operand 1
     /*  962023 */     // No operand predicates
     /*  962023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  962036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962058 */     GIR_RootConstrainSelectedInstOperands,
     /*  962059 */     // GIR_Coverage, 5117,
     /*  962059 */     GIR_EraseRootFromParent_Done,
     /*  962060 */   // Label 14444: @962060
     /*  962060 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(962152), // Rule ID 5118 //
     /*  962065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  962076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  962079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962115 */     // MIs[1] Operand 1
     /*  962115 */     // No operand predicates
     /*  962115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962150 */     GIR_RootConstrainSelectedInstOperands,
     /*  962151 */     // GIR_Coverage, 5118,
     /*  962151 */     GIR_EraseRootFromParent_Done,
     /*  962152 */   // Label 14445: @962152
     /*  962152 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(962244), // Rule ID 5119 //
     /*  962157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  962168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  962171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962207 */     // MIs[1] Operand 1
     /*  962207 */     // No operand predicates
     /*  962207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962242 */     GIR_RootConstrainSelectedInstOperands,
     /*  962243 */     // GIR_Coverage, 5119,
     /*  962243 */     GIR_EraseRootFromParent_Done,
     /*  962244 */   // Label 14446: @962244
     /*  962244 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(962336), // Rule ID 5120 //
     /*  962249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  962260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  962263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962299 */     // MIs[1] Operand 1
     /*  962299 */     // No operand predicates
     /*  962299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962334 */     GIR_RootConstrainSelectedInstOperands,
     /*  962335 */     // GIR_Coverage, 5120,
     /*  962335 */     GIR_EraseRootFromParent_Done,
     /*  962336 */   // Label 14447: @962336
     /*  962336 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(962428), // Rule ID 5121 //
     /*  962341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  962352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  962355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962391 */     // MIs[1] Operand 1
     /*  962391 */     // No operand predicates
     /*  962391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962426 */     GIR_RootConstrainSelectedInstOperands,
     /*  962427 */     // GIR_Coverage, 5121,
     /*  962427 */     GIR_EraseRootFromParent_Done,
     /*  962428 */   // Label 14448: @962428
     /*  962428 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(962520), // Rule ID 5122 //
     /*  962433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962483 */     // MIs[1] Operand 1
     /*  962483 */     // No operand predicates
     /*  962483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962518 */     GIR_RootConstrainSelectedInstOperands,
     /*  962519 */     // GIR_Coverage, 5122,
     /*  962519 */     GIR_EraseRootFromParent_Done,
     /*  962520 */   // Label 14449: @962520
     /*  962520 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(962612), // Rule ID 5123 //
     /*  962525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962575 */     // MIs[1] Operand 1
     /*  962575 */     // No operand predicates
     /*  962575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962610 */     GIR_RootConstrainSelectedInstOperands,
     /*  962611 */     // GIR_Coverage, 5123,
     /*  962611 */     GIR_EraseRootFromParent_Done,
     /*  962612 */   // Label 14450: @962612
     /*  962612 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(962704), // Rule ID 5124 //
     /*  962617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962667 */     // MIs[1] Operand 1
     /*  962667 */     // No operand predicates
     /*  962667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962702 */     GIR_RootConstrainSelectedInstOperands,
     /*  962703 */     // GIR_Coverage, 5124,
     /*  962703 */     GIR_EraseRootFromParent_Done,
     /*  962704 */   // Label 14451: @962704
     /*  962704 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(962796), // Rule ID 5125 //
     /*  962709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962759 */     // MIs[1] Operand 1
     /*  962759 */     // No operand predicates
     /*  962759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962794 */     GIR_RootConstrainSelectedInstOperands,
     /*  962795 */     // GIR_Coverage, 5125,
     /*  962795 */     GIR_EraseRootFromParent_Done,
     /*  962796 */   // Label 14452: @962796
     /*  962796 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(962888), // Rule ID 5126 //
     /*  962801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962851 */     // MIs[1] Operand 1
     /*  962851 */     // No operand predicates
     /*  962851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962886 */     GIR_RootConstrainSelectedInstOperands,
     /*  962887 */     // GIR_Coverage, 5126,
     /*  962887 */     GIR_EraseRootFromParent_Done,
     /*  962888 */   // Label 14453: @962888
     /*  962888 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(962980), // Rule ID 5127 //
     /*  962893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962943 */     // MIs[1] Operand 1
     /*  962943 */     // No operand predicates
     /*  962943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962978 */     GIR_RootConstrainSelectedInstOperands,
     /*  962979 */     // GIR_Coverage, 5127,
     /*  962979 */     GIR_EraseRootFromParent_Done,
     /*  962980 */   // Label 14454: @962980
     /*  962980 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(963072), // Rule ID 5128 //
     /*  962985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963035 */     // MIs[1] Operand 1
     /*  963035 */     // No operand predicates
     /*  963035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  963048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963070 */     GIR_RootConstrainSelectedInstOperands,
     /*  963071 */     // GIR_Coverage, 5128,
     /*  963071 */     GIR_EraseRootFromParent_Done,
     /*  963072 */   // Label 14455: @963072
     /*  963072 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(963164), // Rule ID 5129 //
     /*  963077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  963080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  963091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963127 */     // MIs[1] Operand 1
     /*  963127 */     // No operand predicates
     /*  963127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  963140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963162 */     GIR_RootConstrainSelectedInstOperands,
     /*  963163 */     // GIR_Coverage, 5129,
     /*  963163 */     GIR_EraseRootFromParent_Done,
     /*  963164 */   // Label 14456: @963164
     /*  963164 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(963259), // Rule ID 7860 //
     /*  963169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963219 */     // MIs[1] Operand 1
     /*  963219 */     // No operand predicates
     /*  963219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  963235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963257 */     GIR_RootConstrainSelectedInstOperands,
     /*  963258 */     // GIR_Coverage, 7860,
     /*  963258 */     GIR_EraseRootFromParent_Done,
     /*  963259 */   // Label 14457: @963259
     /*  963259 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(963354), // Rule ID 7861 //
     /*  963264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963314 */     // MIs[1] Operand 1
     /*  963314 */     // No operand predicates
     /*  963314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963327 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  963330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963352 */     GIR_RootConstrainSelectedInstOperands,
     /*  963353 */     // GIR_Coverage, 7861,
     /*  963353 */     GIR_EraseRootFromParent_Done,
     /*  963354 */   // Label 14458: @963354
     /*  963354 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(963449), // Rule ID 7864 //
     /*  963359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963409 */     // MIs[1] Operand 1
     /*  963409 */     // No operand predicates
     /*  963409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963422 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963447 */     GIR_RootConstrainSelectedInstOperands,
     /*  963448 */     // GIR_Coverage, 7864,
     /*  963448 */     GIR_EraseRootFromParent_Done,
     /*  963449 */   // Label 14459: @963449
     /*  963449 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(963544), // Rule ID 7865 //
     /*  963454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963504 */     // MIs[1] Operand 1
     /*  963504 */     // No operand predicates
     /*  963504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963542 */     GIR_RootConstrainSelectedInstOperands,
     /*  963543 */     // GIR_Coverage, 7865,
     /*  963543 */     GIR_EraseRootFromParent_Done,
     /*  963544 */   // Label 14460: @963544
     /*  963544 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(963639), // Rule ID 7868 //
     /*  963549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963599 */     // MIs[1] Operand 1
     /*  963599 */     // No operand predicates
     /*  963599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963637 */     GIR_RootConstrainSelectedInstOperands,
     /*  963638 */     // GIR_Coverage, 7868,
     /*  963638 */     GIR_EraseRootFromParent_Done,
     /*  963639 */   // Label 14461: @963639
     /*  963639 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(963734), // Rule ID 7869 //
     /*  963644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963694 */     // MIs[1] Operand 1
     /*  963694 */     // No operand predicates
     /*  963694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963707 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963732 */     GIR_RootConstrainSelectedInstOperands,
     /*  963733 */     // GIR_Coverage, 7869,
     /*  963733 */     GIR_EraseRootFromParent_Done,
     /*  963734 */   // Label 14462: @963734
     /*  963734 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(963829), // Rule ID 7872 //
     /*  963739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963789 */     // MIs[1] Operand 1
     /*  963789 */     // No operand predicates
     /*  963789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963802 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963827 */     GIR_RootConstrainSelectedInstOperands,
     /*  963828 */     // GIR_Coverage, 7872,
     /*  963828 */     GIR_EraseRootFromParent_Done,
     /*  963829 */   // Label 14463: @963829
     /*  963829 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(963924), // Rule ID 7873 //
     /*  963834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963884 */     // MIs[1] Operand 1
     /*  963884 */     // No operand predicates
     /*  963884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963922 */     GIR_RootConstrainSelectedInstOperands,
     /*  963923 */     // GIR_Coverage, 7873,
     /*  963923 */     GIR_EraseRootFromParent_Done,
     /*  963924 */   // Label 14464: @963924
     /*  963924 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(964019), // Rule ID 7876 //
     /*  963929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963979 */     // MIs[1] Operand 1
     /*  963979 */     // No operand predicates
     /*  963979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964017 */     GIR_RootConstrainSelectedInstOperands,
     /*  964018 */     // GIR_Coverage, 7876,
     /*  964018 */     GIR_EraseRootFromParent_Done,
     /*  964019 */   // Label 14465: @964019
     /*  964019 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(964114), // Rule ID 7877 //
     /*  964024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964074 */     // MIs[1] Operand 1
     /*  964074 */     // No operand predicates
     /*  964074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964112 */     GIR_RootConstrainSelectedInstOperands,
     /*  964113 */     // GIR_Coverage, 7877,
     /*  964113 */     GIR_EraseRootFromParent_Done,
     /*  964114 */   // Label 14466: @964114
     /*  964114 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(964209), // Rule ID 7880 //
     /*  964119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964169 */     // MIs[1] Operand 1
     /*  964169 */     // No operand predicates
     /*  964169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964182 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964207 */     GIR_RootConstrainSelectedInstOperands,
     /*  964208 */     // GIR_Coverage, 7880,
     /*  964208 */     GIR_EraseRootFromParent_Done,
     /*  964209 */   // Label 14467: @964209
     /*  964209 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(964304), // Rule ID 7881 //
     /*  964214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964264 */     // MIs[1] Operand 1
     /*  964264 */     // No operand predicates
     /*  964264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964302 */     GIR_RootConstrainSelectedInstOperands,
     /*  964303 */     // GIR_Coverage, 7881,
     /*  964303 */     GIR_EraseRootFromParent_Done,
     /*  964304 */   // Label 14468: @964304
     /*  964304 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(964399), // Rule ID 7884 //
     /*  964309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964359 */     // MIs[1] Operand 1
     /*  964359 */     // No operand predicates
     /*  964359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964397 */     GIR_RootConstrainSelectedInstOperands,
     /*  964398 */     // GIR_Coverage, 7884,
     /*  964398 */     GIR_EraseRootFromParent_Done,
     /*  964399 */   // Label 14469: @964399
     /*  964399 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(964494), // Rule ID 7885 //
     /*  964404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964454 */     // MIs[1] Operand 1
     /*  964454 */     // No operand predicates
     /*  964454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964467 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964492 */     GIR_RootConstrainSelectedInstOperands,
     /*  964493 */     // GIR_Coverage, 7885,
     /*  964493 */     GIR_EraseRootFromParent_Done,
     /*  964494 */   // Label 14470: @964494
     /*  964494 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(964589), // Rule ID 7888 //
     /*  964499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964549 */     // MIs[1] Operand 1
     /*  964549 */     // No operand predicates
     /*  964549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964562 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964587 */     GIR_RootConstrainSelectedInstOperands,
     /*  964588 */     // GIR_Coverage, 7888,
     /*  964588 */     GIR_EraseRootFromParent_Done,
     /*  964589 */   // Label 14471: @964589
     /*  964589 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(964684), // Rule ID 7889 //
     /*  964594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964644 */     // MIs[1] Operand 1
     /*  964644 */     // No operand predicates
     /*  964644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964657 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964682 */     GIR_RootConstrainSelectedInstOperands,
     /*  964683 */     // GIR_Coverage, 7889,
     /*  964683 */     GIR_EraseRootFromParent_Done,
     /*  964684 */   // Label 14472: @964684
     /*  964684 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(964779), // Rule ID 7892 //
     /*  964689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964739 */     // MIs[1] Operand 1
     /*  964739 */     // No operand predicates
     /*  964739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964777 */     GIR_RootConstrainSelectedInstOperands,
     /*  964778 */     // GIR_Coverage, 7892,
     /*  964778 */     GIR_EraseRootFromParent_Done,
     /*  964779 */   // Label 14473: @964779
     /*  964779 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(964874), // Rule ID 7893 //
     /*  964784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964834 */     // MIs[1] Operand 1
     /*  964834 */     // No operand predicates
     /*  964834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964872 */     GIR_RootConstrainSelectedInstOperands,
     /*  964873 */     // GIR_Coverage, 7893,
     /*  964873 */     GIR_EraseRootFromParent_Done,
     /*  964874 */   // Label 14474: @964874
     /*  964874 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(964969), // Rule ID 7896 //
     /*  964879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  964882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964929 */     // MIs[1] Operand 1
     /*  964929 */     // No operand predicates
     /*  964929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964942 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  964942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964967 */     GIR_RootConstrainSelectedInstOperands,
     /*  964968 */     // GIR_Coverage, 7896,
     /*  964968 */     GIR_EraseRootFromParent_Done,
     /*  964969 */   // Label 14475: @964969
     /*  964969 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(965064), // Rule ID 7897 //
     /*  964974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  964977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965024 */     // MIs[1] Operand 1
     /*  965024 */     // No operand predicates
     /*  965024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965037 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  965037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965062 */     GIR_RootConstrainSelectedInstOperands,
     /*  965063 */     // GIR_Coverage, 7897,
     /*  965063 */     GIR_EraseRootFromParent_Done,
     /*  965064 */   // Label 14476: @965064
     /*  965064 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(965159), // Rule ID 7900 //
     /*  965069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965119 */     // MIs[1] Operand 1
     /*  965119 */     // No operand predicates
     /*  965119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965157 */     GIR_RootConstrainSelectedInstOperands,
     /*  965158 */     // GIR_Coverage, 7900,
     /*  965158 */     GIR_EraseRootFromParent_Done,
     /*  965159 */   // Label 14477: @965159
     /*  965159 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(965254), // Rule ID 7901 //
     /*  965164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965214 */     // MIs[1] Operand 1
     /*  965214 */     // No operand predicates
     /*  965214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965227 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965252 */     GIR_RootConstrainSelectedInstOperands,
     /*  965253 */     // GIR_Coverage, 7901,
     /*  965253 */     GIR_EraseRootFromParent_Done,
     /*  965254 */   // Label 14478: @965254
     /*  965254 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(965349), // Rule ID 7904 //
     /*  965259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965309 */     // MIs[1] Operand 1
     /*  965309 */     // No operand predicates
     /*  965309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965322 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965347 */     GIR_RootConstrainSelectedInstOperands,
     /*  965348 */     // GIR_Coverage, 7904,
     /*  965348 */     GIR_EraseRootFromParent_Done,
     /*  965349 */   // Label 14479: @965349
     /*  965349 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(965444), // Rule ID 7905 //
     /*  965354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965404 */     // MIs[1] Operand 1
     /*  965404 */     // No operand predicates
     /*  965404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965417 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965442 */     GIR_RootConstrainSelectedInstOperands,
     /*  965443 */     // GIR_Coverage, 7905,
     /*  965443 */     GIR_EraseRootFromParent_Done,
     /*  965444 */   // Label 14480: @965444
     /*  965444 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(965539), // Rule ID 7908 //
     /*  965449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965499 */     // MIs[1] Operand 1
     /*  965499 */     // No operand predicates
     /*  965499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965512 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965537 */     GIR_RootConstrainSelectedInstOperands,
     /*  965538 */     // GIR_Coverage, 7908,
     /*  965538 */     GIR_EraseRootFromParent_Done,
     /*  965539 */   // Label 14481: @965539
     /*  965539 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(965634), // Rule ID 7909 //
     /*  965544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965594 */     // MIs[1] Operand 1
     /*  965594 */     // No operand predicates
     /*  965594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965607 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965632 */     GIR_RootConstrainSelectedInstOperands,
     /*  965633 */     // GIR_Coverage, 7909,
     /*  965633 */     GIR_EraseRootFromParent_Done,
     /*  965634 */   // Label 14482: @965634
     /*  965634 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(965729), // Rule ID 7912 //
     /*  965639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965689 */     // MIs[1] Operand 1
     /*  965689 */     // No operand predicates
     /*  965689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965727 */     GIR_RootConstrainSelectedInstOperands,
     /*  965728 */     // GIR_Coverage, 7912,
     /*  965728 */     GIR_EraseRootFromParent_Done,
     /*  965729 */   // Label 14483: @965729
     /*  965729 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(965824), // Rule ID 7913 //
     /*  965734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965784 */     // MIs[1] Operand 1
     /*  965784 */     // No operand predicates
     /*  965784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965822 */     GIR_RootConstrainSelectedInstOperands,
     /*  965823 */     // GIR_Coverage, 7913,
     /*  965823 */     GIR_EraseRootFromParent_Done,
     /*  965824 */   // Label 14484: @965824
     /*  965824 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(965919), // Rule ID 7916 //
     /*  965829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965879 */     // MIs[1] Operand 1
     /*  965879 */     // No operand predicates
     /*  965879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965892 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965917 */     GIR_RootConstrainSelectedInstOperands,
     /*  965918 */     // GIR_Coverage, 7916,
     /*  965918 */     GIR_EraseRootFromParent_Done,
     /*  965919 */   // Label 14485: @965919
     /*  965919 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(966014), // Rule ID 7917 //
     /*  965924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965974 */     // MIs[1] Operand 1
     /*  965974 */     // No operand predicates
     /*  965974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965987 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966012 */     GIR_RootConstrainSelectedInstOperands,
     /*  966013 */     // GIR_Coverage, 7917,
     /*  966013 */     GIR_EraseRootFromParent_Done,
     /*  966014 */   // Label 14486: @966014
     /*  966014 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(966109), // Rule ID 7920 //
     /*  966019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  966030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  966033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966069 */     // MIs[1] Operand 1
     /*  966069 */     // No operand predicates
     /*  966069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966082 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966107 */     GIR_RootConstrainSelectedInstOperands,
     /*  966108 */     // GIR_Coverage, 7920,
     /*  966108 */     GIR_EraseRootFromParent_Done,
     /*  966109 */   // Label 14487: @966109
     /*  966109 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(966204), // Rule ID 7921 //
     /*  966114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  966125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  966128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966164 */     // MIs[1] Operand 1
     /*  966164 */     // No operand predicates
     /*  966164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966177 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966202 */     GIR_RootConstrainSelectedInstOperands,
     /*  966203 */     // GIR_Coverage, 7921,
     /*  966203 */     GIR_EraseRootFromParent_Done,
     /*  966204 */   // Label 14488: @966204
     /*  966204 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(966299), // Rule ID 7924 //
     /*  966209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966259 */     // MIs[1] Operand 1
     /*  966259 */     // No operand predicates
     /*  966259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966297 */     GIR_RootConstrainSelectedInstOperands,
     /*  966298 */     // GIR_Coverage, 7924,
     /*  966298 */     GIR_EraseRootFromParent_Done,
     /*  966299 */   // Label 14489: @966299
     /*  966299 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(966394), // Rule ID 7925 //
     /*  966304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966354 */     // MIs[1] Operand 1
     /*  966354 */     // No operand predicates
     /*  966354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966367 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966392 */     GIR_RootConstrainSelectedInstOperands,
     /*  966393 */     // GIR_Coverage, 7925,
     /*  966393 */     GIR_EraseRootFromParent_Done,
     /*  966394 */   // Label 14490: @966394
     /*  966394 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(966489), // Rule ID 7928 //
     /*  966399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966449 */     // MIs[1] Operand 1
     /*  966449 */     // No operand predicates
     /*  966449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966487 */     GIR_RootConstrainSelectedInstOperands,
     /*  966488 */     // GIR_Coverage, 7928,
     /*  966488 */     GIR_EraseRootFromParent_Done,
     /*  966489 */   // Label 14491: @966489
     /*  966489 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(966584), // Rule ID 7929 //
     /*  966494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966544 */     // MIs[1] Operand 1
     /*  966544 */     // No operand predicates
     /*  966544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966557 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966582 */     GIR_RootConstrainSelectedInstOperands,
     /*  966583 */     // GIR_Coverage, 7929,
     /*  966583 */     GIR_EraseRootFromParent_Done,
     /*  966584 */   // Label 14492: @966584
     /*  966584 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(966679), // Rule ID 7932 //
     /*  966589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966639 */     // MIs[1] Operand 1
     /*  966639 */     // No operand predicates
     /*  966639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966652 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966677 */     GIR_RootConstrainSelectedInstOperands,
     /*  966678 */     // GIR_Coverage, 7932,
     /*  966678 */     GIR_EraseRootFromParent_Done,
     /*  966679 */   // Label 14493: @966679
     /*  966679 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(966774), // Rule ID 7933 //
     /*  966684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966734 */     // MIs[1] Operand 1
     /*  966734 */     // No operand predicates
     /*  966734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966747 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966772 */     GIR_RootConstrainSelectedInstOperands,
     /*  966773 */     // GIR_Coverage, 7933,
     /*  966773 */     GIR_EraseRootFromParent_Done,
     /*  966774 */   // Label 14494: @966774
     /*  966774 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(966869), // Rule ID 7936 //
     /*  966779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966829 */     // MIs[1] Operand 1
     /*  966829 */     // No operand predicates
     /*  966829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966842 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966867 */     GIR_RootConstrainSelectedInstOperands,
     /*  966868 */     // GIR_Coverage, 7936,
     /*  966868 */     GIR_EraseRootFromParent_Done,
     /*  966869 */   // Label 14495: @966869
     /*  966869 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(966964), // Rule ID 7937 //
     /*  966874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966924 */     // MIs[1] Operand 1
     /*  966924 */     // No operand predicates
     /*  966924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966937 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966962 */     GIR_RootConstrainSelectedInstOperands,
     /*  966963 */     // GIR_Coverage, 7937,
     /*  966963 */     GIR_EraseRootFromParent_Done,
     /*  966964 */   // Label 14496: @966964
     /*  966964 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(967059), // Rule ID 7940 //
     /*  966969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  966986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967019 */     // MIs[1] Operand 1
     /*  967019 */     // No operand predicates
     /*  967019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967057 */     GIR_RootConstrainSelectedInstOperands,
     /*  967058 */     // GIR_Coverage, 7940,
     /*  967058 */     GIR_EraseRootFromParent_Done,
     /*  967059 */   // Label 14497: @967059
     /*  967059 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(967154), // Rule ID 7941 //
     /*  967064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967114 */     // MIs[1] Operand 1
     /*  967114 */     // No operand predicates
     /*  967114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967127 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967152 */     GIR_RootConstrainSelectedInstOperands,
     /*  967153 */     // GIR_Coverage, 7941,
     /*  967153 */     GIR_EraseRootFromParent_Done,
     /*  967154 */   // Label 14498: @967154
     /*  967154 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(967249), // Rule ID 7944 //
     /*  967159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967209 */     // MIs[1] Operand 1
     /*  967209 */     // No operand predicates
     /*  967209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967222 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967247 */     GIR_RootConstrainSelectedInstOperands,
     /*  967248 */     // GIR_Coverage, 7944,
     /*  967248 */     GIR_EraseRootFromParent_Done,
     /*  967249 */   // Label 14499: @967249
     /*  967249 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(967344), // Rule ID 7945 //
     /*  967254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967304 */     // MIs[1] Operand 1
     /*  967304 */     // No operand predicates
     /*  967304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967342 */     GIR_RootConstrainSelectedInstOperands,
     /*  967343 */     // GIR_Coverage, 7945,
     /*  967343 */     GIR_EraseRootFromParent_Done,
     /*  967344 */   // Label 14500: @967344
     /*  967344 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(967439), // Rule ID 8124 //
     /*  967349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967399 */     // MIs[1] Operand 1
     /*  967399 */     // No operand predicates
     /*  967399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  967415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967437 */     GIR_RootConstrainSelectedInstOperands,
     /*  967438 */     // GIR_Coverage, 8124,
     /*  967438 */     GIR_EraseRootFromParent_Done,
     /*  967439 */   // Label 14501: @967439
     /*  967439 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(967534), // Rule ID 8125 //
     /*  967444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967494 */     // MIs[1] Operand 1
     /*  967494 */     // No operand predicates
     /*  967494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967507 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  967510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967532 */     GIR_RootConstrainSelectedInstOperands,
     /*  967533 */     // GIR_Coverage, 8125,
     /*  967533 */     GIR_EraseRootFromParent_Done,
     /*  967534 */   // Label 14502: @967534
     /*  967534 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(967629), // Rule ID 8128 //
     /*  967539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967589 */     // MIs[1] Operand 1
     /*  967589 */     // No operand predicates
     /*  967589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967627 */     GIR_RootConstrainSelectedInstOperands,
     /*  967628 */     // GIR_Coverage, 8128,
     /*  967628 */     GIR_EraseRootFromParent_Done,
     /*  967629 */   // Label 14503: @967629
     /*  967629 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(967724), // Rule ID 8129 //
     /*  967634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967684 */     // MIs[1] Operand 1
     /*  967684 */     // No operand predicates
     /*  967684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967697 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967722 */     GIR_RootConstrainSelectedInstOperands,
     /*  967723 */     // GIR_Coverage, 8129,
     /*  967723 */     GIR_EraseRootFromParent_Done,
     /*  967724 */   // Label 14504: @967724
     /*  967724 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(967819), // Rule ID 8132 //
     /*  967729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967779 */     // MIs[1] Operand 1
     /*  967779 */     // No operand predicates
     /*  967779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967817 */     GIR_RootConstrainSelectedInstOperands,
     /*  967818 */     // GIR_Coverage, 8132,
     /*  967818 */     GIR_EraseRootFromParent_Done,
     /*  967819 */   // Label 14505: @967819
     /*  967819 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(967914), // Rule ID 8133 //
     /*  967824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967874 */     // MIs[1] Operand 1
     /*  967874 */     // No operand predicates
     /*  967874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967887 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967912 */     GIR_RootConstrainSelectedInstOperands,
     /*  967913 */     // GIR_Coverage, 8133,
     /*  967913 */     GIR_EraseRootFromParent_Done,
     /*  967914 */   // Label 14506: @967914
     /*  967914 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(968009), // Rule ID 8136 //
     /*  967919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967969 */     // MIs[1] Operand 1
     /*  967969 */     // No operand predicates
     /*  967969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967982 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968007 */     GIR_RootConstrainSelectedInstOperands,
     /*  968008 */     // GIR_Coverage, 8136,
     /*  968008 */     GIR_EraseRootFromParent_Done,
     /*  968009 */   // Label 14507: @968009
     /*  968009 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(968104), // Rule ID 8137 //
     /*  968014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968064 */     // MIs[1] Operand 1
     /*  968064 */     // No operand predicates
     /*  968064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  968080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968102 */     GIR_RootConstrainSelectedInstOperands,
     /*  968103 */     // GIR_Coverage, 8137,
     /*  968103 */     GIR_EraseRootFromParent_Done,
     /*  968104 */   // Label 14508: @968104
     /*  968104 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(968199), // Rule ID 8140 //
     /*  968109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968159 */     // MIs[1] Operand 1
     /*  968159 */     // No operand predicates
     /*  968159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968197 */     GIR_RootConstrainSelectedInstOperands,
     /*  968198 */     // GIR_Coverage, 8140,
     /*  968198 */     GIR_EraseRootFromParent_Done,
     /*  968199 */   // Label 14509: @968199
     /*  968199 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(968294), // Rule ID 8141 //
     /*  968204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968254 */     // MIs[1] Operand 1
     /*  968254 */     // No operand predicates
     /*  968254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968267 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968292 */     GIR_RootConstrainSelectedInstOperands,
     /*  968293 */     // GIR_Coverage, 8141,
     /*  968293 */     GIR_EraseRootFromParent_Done,
     /*  968294 */   // Label 14510: @968294
     /*  968294 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(968389), // Rule ID 8144 //
     /*  968299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968349 */     // MIs[1] Operand 1
     /*  968349 */     // No operand predicates
     /*  968349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968362 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968387 */     GIR_RootConstrainSelectedInstOperands,
     /*  968388 */     // GIR_Coverage, 8144,
     /*  968388 */     GIR_EraseRootFromParent_Done,
     /*  968389 */   // Label 14511: @968389
     /*  968389 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(968484), // Rule ID 8145 //
     /*  968394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968444 */     // MIs[1] Operand 1
     /*  968444 */     // No operand predicates
     /*  968444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968457 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968482 */     GIR_RootConstrainSelectedInstOperands,
     /*  968483 */     // GIR_Coverage, 8145,
     /*  968483 */     GIR_EraseRootFromParent_Done,
     /*  968484 */   // Label 14512: @968484
     /*  968484 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(968579), // Rule ID 8148 //
     /*  968489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968539 */     // MIs[1] Operand 1
     /*  968539 */     // No operand predicates
     /*  968539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968577 */     GIR_RootConstrainSelectedInstOperands,
     /*  968578 */     // GIR_Coverage, 8148,
     /*  968578 */     GIR_EraseRootFromParent_Done,
     /*  968579 */   // Label 14513: @968579
     /*  968579 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(968674), // Rule ID 8149 //
     /*  968584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968634 */     // MIs[1] Operand 1
     /*  968634 */     // No operand predicates
     /*  968634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968672 */     GIR_RootConstrainSelectedInstOperands,
     /*  968673 */     // GIR_Coverage, 8149,
     /*  968673 */     GIR_EraseRootFromParent_Done,
     /*  968674 */   // Label 14514: @968674
     /*  968674 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(968769), // Rule ID 8152 //
     /*  968679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968729 */     // MIs[1] Operand 1
     /*  968729 */     // No operand predicates
     /*  968729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968767 */     GIR_RootConstrainSelectedInstOperands,
     /*  968768 */     // GIR_Coverage, 8152,
     /*  968768 */     GIR_EraseRootFromParent_Done,
     /*  968769 */   // Label 14515: @968769
     /*  968769 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(968864), // Rule ID 8153 //
     /*  968774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968824 */     // MIs[1] Operand 1
     /*  968824 */     // No operand predicates
     /*  968824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968837 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968862 */     GIR_RootConstrainSelectedInstOperands,
     /*  968863 */     // GIR_Coverage, 8153,
     /*  968863 */     GIR_EraseRootFromParent_Done,
     /*  968864 */   // Label 14516: @968864
     /*  968864 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(968959), // Rule ID 8156 //
     /*  968869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968919 */     // MIs[1] Operand 1
     /*  968919 */     // No operand predicates
     /*  968919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968957 */     GIR_RootConstrainSelectedInstOperands,
     /*  968958 */     // GIR_Coverage, 8156,
     /*  968958 */     GIR_EraseRootFromParent_Done,
     /*  968959 */   // Label 14517: @968959
     /*  968959 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(969054), // Rule ID 8157 //
     /*  968964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969014 */     // MIs[1] Operand 1
     /*  969014 */     // No operand predicates
     /*  969014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969027 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969052 */     GIR_RootConstrainSelectedInstOperands,
     /*  969053 */     // GIR_Coverage, 8157,
     /*  969053 */     GIR_EraseRootFromParent_Done,
     /*  969054 */   // Label 14518: @969054
     /*  969054 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(969149), // Rule ID 8160 //
     /*  969059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969109 */     // MIs[1] Operand 1
     /*  969109 */     // No operand predicates
     /*  969109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969122 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969147 */     GIR_RootConstrainSelectedInstOperands,
     /*  969148 */     // GIR_Coverage, 8160,
     /*  969148 */     GIR_EraseRootFromParent_Done,
     /*  969149 */   // Label 14519: @969149
     /*  969149 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(969244), // Rule ID 8161 //
     /*  969154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969204 */     // MIs[1] Operand 1
     /*  969204 */     // No operand predicates
     /*  969204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969242 */     GIR_RootConstrainSelectedInstOperands,
     /*  969243 */     // GIR_Coverage, 8161,
     /*  969243 */     GIR_EraseRootFromParent_Done,
     /*  969244 */   // Label 14520: @969244
     /*  969244 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(969339), // Rule ID 8164 //
     /*  969249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969299 */     // MIs[1] Operand 1
     /*  969299 */     // No operand predicates
     /*  969299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969337 */     GIR_RootConstrainSelectedInstOperands,
     /*  969338 */     // GIR_Coverage, 8164,
     /*  969338 */     GIR_EraseRootFromParent_Done,
     /*  969339 */   // Label 14521: @969339
     /*  969339 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(969434), // Rule ID 8165 //
     /*  969344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969394 */     // MIs[1] Operand 1
     /*  969394 */     // No operand predicates
     /*  969394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969407 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969432 */     GIR_RootConstrainSelectedInstOperands,
     /*  969433 */     // GIR_Coverage, 8165,
     /*  969433 */     GIR_EraseRootFromParent_Done,
     /*  969434 */   // Label 14522: @969434
     /*  969434 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(969529), // Rule ID 8168 //
     /*  969439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969489 */     // MIs[1] Operand 1
     /*  969489 */     // No operand predicates
     /*  969489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969502 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969527 */     GIR_RootConstrainSelectedInstOperands,
     /*  969528 */     // GIR_Coverage, 8168,
     /*  969528 */     GIR_EraseRootFromParent_Done,
     /*  969529 */   // Label 14523: @969529
     /*  969529 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(969624), // Rule ID 8169 //
     /*  969534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969584 */     // MIs[1] Operand 1
     /*  969584 */     // No operand predicates
     /*  969584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969597 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969622 */     GIR_RootConstrainSelectedInstOperands,
     /*  969623 */     // GIR_Coverage, 8169,
     /*  969623 */     GIR_EraseRootFromParent_Done,
     /*  969624 */   // Label 14524: @969624
     /*  969624 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(969719), // Rule ID 8172 //
     /*  969629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969679 */     // MIs[1] Operand 1
     /*  969679 */     // No operand predicates
     /*  969679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969692 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969717 */     GIR_RootConstrainSelectedInstOperands,
     /*  969718 */     // GIR_Coverage, 8172,
     /*  969718 */     GIR_EraseRootFromParent_Done,
     /*  969719 */   // Label 14525: @969719
     /*  969719 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(969814), // Rule ID 8173 //
     /*  969724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969774 */     // MIs[1] Operand 1
     /*  969774 */     // No operand predicates
     /*  969774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969787 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969812 */     GIR_RootConstrainSelectedInstOperands,
     /*  969813 */     // GIR_Coverage, 8173,
     /*  969813 */     GIR_EraseRootFromParent_Done,
     /*  969814 */   // Label 14526: @969814
     /*  969814 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(969909), // Rule ID 8176 //
     /*  969819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969869 */     // MIs[1] Operand 1
     /*  969869 */     // No operand predicates
     /*  969869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969907 */     GIR_RootConstrainSelectedInstOperands,
     /*  969908 */     // GIR_Coverage, 8176,
     /*  969908 */     GIR_EraseRootFromParent_Done,
     /*  969909 */   // Label 14527: @969909
     /*  969909 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(970004), // Rule ID 8177 //
     /*  969914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969964 */     // MIs[1] Operand 1
     /*  969964 */     // No operand predicates
     /*  969964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970002 */     GIR_RootConstrainSelectedInstOperands,
     /*  970003 */     // GIR_Coverage, 8177,
     /*  970003 */     GIR_EraseRootFromParent_Done,
     /*  970004 */   // Label 14528: @970004
     /*  970004 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(970099), // Rule ID 8180 //
     /*  970009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970059 */     // MIs[1] Operand 1
     /*  970059 */     // No operand predicates
     /*  970059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970097 */     GIR_RootConstrainSelectedInstOperands,
     /*  970098 */     // GIR_Coverage, 8180,
     /*  970098 */     GIR_EraseRootFromParent_Done,
     /*  970099 */   // Label 14529: @970099
     /*  970099 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(970194), // Rule ID 8181 //
     /*  970104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970154 */     // MIs[1] Operand 1
     /*  970154 */     // No operand predicates
     /*  970154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970167 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970192 */     GIR_RootConstrainSelectedInstOperands,
     /*  970193 */     // GIR_Coverage, 8181,
     /*  970193 */     GIR_EraseRootFromParent_Done,
     /*  970194 */   // Label 14530: @970194
     /*  970194 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(970289), // Rule ID 8184 //
     /*  970199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970249 */     // MIs[1] Operand 1
     /*  970249 */     // No operand predicates
     /*  970249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970262 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970287 */     GIR_RootConstrainSelectedInstOperands,
     /*  970288 */     // GIR_Coverage, 8184,
     /*  970288 */     GIR_EraseRootFromParent_Done,
     /*  970289 */   // Label 14531: @970289
     /*  970289 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(970384), // Rule ID 8185 //
     /*  970294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970344 */     // MIs[1] Operand 1
     /*  970344 */     // No operand predicates
     /*  970344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970357 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970382 */     GIR_RootConstrainSelectedInstOperands,
     /*  970383 */     // GIR_Coverage, 8185,
     /*  970383 */     GIR_EraseRootFromParent_Done,
     /*  970384 */   // Label 14532: @970384
     /*  970384 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(970479), // Rule ID 8188 //
     /*  970389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970439 */     // MIs[1] Operand 1
     /*  970439 */     // No operand predicates
     /*  970439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970477 */     GIR_RootConstrainSelectedInstOperands,
     /*  970478 */     // GIR_Coverage, 8188,
     /*  970478 */     GIR_EraseRootFromParent_Done,
     /*  970479 */   // Label 14533: @970479
     /*  970479 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(970574), // Rule ID 8189 //
     /*  970484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970534 */     // MIs[1] Operand 1
     /*  970534 */     // No operand predicates
     /*  970534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970547 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970572 */     GIR_RootConstrainSelectedInstOperands,
     /*  970573 */     // GIR_Coverage, 8189,
     /*  970573 */     GIR_EraseRootFromParent_Done,
     /*  970574 */   // Label 14534: @970574
     /*  970574 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(970669), // Rule ID 8192 //
     /*  970579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970629 */     // MIs[1] Operand 1
     /*  970629 */     // No operand predicates
     /*  970629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970642 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970667 */     GIR_RootConstrainSelectedInstOperands,
     /*  970668 */     // GIR_Coverage, 8192,
     /*  970668 */     GIR_EraseRootFromParent_Done,
     /*  970669 */   // Label 14535: @970669
     /*  970669 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(970764), // Rule ID 8193 //
     /*  970674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970724 */     // MIs[1] Operand 1
     /*  970724 */     // No operand predicates
     /*  970724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970737 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970762 */     GIR_RootConstrainSelectedInstOperands,
     /*  970763 */     // GIR_Coverage, 8193,
     /*  970763 */     GIR_EraseRootFromParent_Done,
     /*  970764 */   // Label 14536: @970764
     /*  970764 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(970859), // Rule ID 8196 //
     /*  970769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970819 */     // MIs[1] Operand 1
     /*  970819 */     // No operand predicates
     /*  970819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970857 */     GIR_RootConstrainSelectedInstOperands,
     /*  970858 */     // GIR_Coverage, 8196,
     /*  970858 */     GIR_EraseRootFromParent_Done,
     /*  970859 */   // Label 14537: @970859
     /*  970859 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(970954), // Rule ID 8197 //
     /*  970864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970914 */     // MIs[1] Operand 1
     /*  970914 */     // No operand predicates
     /*  970914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970927 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970952 */     GIR_RootConstrainSelectedInstOperands,
     /*  970953 */     // GIR_Coverage, 8197,
     /*  970953 */     GIR_EraseRootFromParent_Done,
     /*  970954 */   // Label 14538: @970954
     /*  970954 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(971049), // Rule ID 8200 //
     /*  970959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  970976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971009 */     // MIs[1] Operand 1
     /*  971009 */     // No operand predicates
     /*  971009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971047 */     GIR_RootConstrainSelectedInstOperands,
     /*  971048 */     // GIR_Coverage, 8200,
     /*  971048 */     GIR_EraseRootFromParent_Done,
     /*  971049 */   // Label 14539: @971049
     /*  971049 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(971144), // Rule ID 8201 //
     /*  971054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971104 */     // MIs[1] Operand 1
     /*  971104 */     // No operand predicates
     /*  971104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971117 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971142 */     GIR_RootConstrainSelectedInstOperands,
     /*  971143 */     // GIR_Coverage, 8201,
     /*  971143 */     GIR_EraseRootFromParent_Done,
     /*  971144 */   // Label 14540: @971144
     /*  971144 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(971239), // Rule ID 8204 //
     /*  971149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971199 */     // MIs[1] Operand 1
     /*  971199 */     // No operand predicates
     /*  971199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971237 */     GIR_RootConstrainSelectedInstOperands,
     /*  971238 */     // GIR_Coverage, 8204,
     /*  971238 */     GIR_EraseRootFromParent_Done,
     /*  971239 */   // Label 14541: @971239
     /*  971239 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(971334), // Rule ID 8205 //
     /*  971244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971294 */     // MIs[1] Operand 1
     /*  971294 */     // No operand predicates
     /*  971294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971307 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971332 */     GIR_RootConstrainSelectedInstOperands,
     /*  971333 */     // GIR_Coverage, 8205,
     /*  971333 */     GIR_EraseRootFromParent_Done,
     /*  971334 */   // Label 14542: @971334
     /*  971334 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(971429), // Rule ID 8208 //
     /*  971339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971389 */     // MIs[1] Operand 1
     /*  971389 */     // No operand predicates
     /*  971389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971427 */     GIR_RootConstrainSelectedInstOperands,
     /*  971428 */     // GIR_Coverage, 8208,
     /*  971428 */     GIR_EraseRootFromParent_Done,
     /*  971429 */   // Label 14543: @971429
     /*  971429 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(971524), // Rule ID 8209 //
     /*  971434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971484 */     // MIs[1] Operand 1
     /*  971484 */     // No operand predicates
     /*  971484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971522 */     GIR_RootConstrainSelectedInstOperands,
     /*  971523 */     // GIR_Coverage, 8209,
     /*  971523 */     GIR_EraseRootFromParent_Done,
     /*  971524 */   // Label 14544: @971524
     /*  971524 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(971619), // Rule ID 8740 //
     /*  971529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971579 */     // MIs[1] Operand 1
     /*  971579 */     // No operand predicates
     /*  971579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971617 */     GIR_RootConstrainSelectedInstOperands,
     /*  971618 */     // GIR_Coverage, 8740,
     /*  971618 */     GIR_EraseRootFromParent_Done,
     /*  971619 */   // Label 14545: @971619
     /*  971619 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(971714), // Rule ID 8741 //
     /*  971624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971674 */     // MIs[1] Operand 1
     /*  971674 */     // No operand predicates
     /*  971674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971712 */     GIR_RootConstrainSelectedInstOperands,
     /*  971713 */     // GIR_Coverage, 8741,
     /*  971713 */     GIR_EraseRootFromParent_Done,
     /*  971714 */   // Label 14546: @971714
     /*  971714 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(971809), // Rule ID 8744 //
     /*  971719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971769 */     // MIs[1] Operand 1
     /*  971769 */     // No operand predicates
     /*  971769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971807 */     GIR_RootConstrainSelectedInstOperands,
     /*  971808 */     // GIR_Coverage, 8744,
     /*  971808 */     GIR_EraseRootFromParent_Done,
     /*  971809 */   // Label 14547: @971809
     /*  971809 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(971904), // Rule ID 8745 //
     /*  971814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971864 */     // MIs[1] Operand 1
     /*  971864 */     // No operand predicates
     /*  971864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971902 */     GIR_RootConstrainSelectedInstOperands,
     /*  971903 */     // GIR_Coverage, 8745,
     /*  971903 */     GIR_EraseRootFromParent_Done,
     /*  971904 */   // Label 14548: @971904
     /*  971904 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(971999), // Rule ID 8748 //
     /*  971909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971959 */     // MIs[1] Operand 1
     /*  971959 */     // No operand predicates
     /*  971959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971997 */     GIR_RootConstrainSelectedInstOperands,
     /*  971998 */     // GIR_Coverage, 8748,
     /*  971998 */     GIR_EraseRootFromParent_Done,
     /*  971999 */   // Label 14549: @971999
     /*  971999 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(972094), // Rule ID 8749 //
     /*  972004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972054 */     // MIs[1] Operand 1
     /*  972054 */     // No operand predicates
     /*  972054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972092 */     GIR_RootConstrainSelectedInstOperands,
     /*  972093 */     // GIR_Coverage, 8749,
     /*  972093 */     GIR_EraseRootFromParent_Done,
     /*  972094 */   // Label 14550: @972094
     /*  972094 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(972189), // Rule ID 8752 //
     /*  972099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972149 */     // MIs[1] Operand 1
     /*  972149 */     // No operand predicates
     /*  972149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972187 */     GIR_RootConstrainSelectedInstOperands,
     /*  972188 */     // GIR_Coverage, 8752,
     /*  972188 */     GIR_EraseRootFromParent_Done,
     /*  972189 */   // Label 14551: @972189
     /*  972189 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(972284), // Rule ID 8753 //
     /*  972194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972244 */     // MIs[1] Operand 1
     /*  972244 */     // No operand predicates
     /*  972244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972257 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972282 */     GIR_RootConstrainSelectedInstOperands,
     /*  972283 */     // GIR_Coverage, 8753,
     /*  972283 */     GIR_EraseRootFromParent_Done,
     /*  972284 */   // Label 14552: @972284
     /*  972284 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(972379), // Rule ID 8756 //
     /*  972289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972339 */     // MIs[1] Operand 1
     /*  972339 */     // No operand predicates
     /*  972339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972377 */     GIR_RootConstrainSelectedInstOperands,
     /*  972378 */     // GIR_Coverage, 8756,
     /*  972378 */     GIR_EraseRootFromParent_Done,
     /*  972379 */   // Label 14553: @972379
     /*  972379 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(972474), // Rule ID 8757 //
     /*  972384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972434 */     // MIs[1] Operand 1
     /*  972434 */     // No operand predicates
     /*  972434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972472 */     GIR_RootConstrainSelectedInstOperands,
     /*  972473 */     // GIR_Coverage, 8757,
     /*  972473 */     GIR_EraseRootFromParent_Done,
     /*  972474 */   // Label 14554: @972474
     /*  972474 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(972569), // Rule ID 8760 //
     /*  972479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972529 */     // MIs[1] Operand 1
     /*  972529 */     // No operand predicates
     /*  972529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972567 */     GIR_RootConstrainSelectedInstOperands,
     /*  972568 */     // GIR_Coverage, 8760,
     /*  972568 */     GIR_EraseRootFromParent_Done,
     /*  972569 */   // Label 14555: @972569
     /*  972569 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(972664), // Rule ID 8761 //
     /*  972574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972624 */     // MIs[1] Operand 1
     /*  972624 */     // No operand predicates
     /*  972624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972662 */     GIR_RootConstrainSelectedInstOperands,
     /*  972663 */     // GIR_Coverage, 8761,
     /*  972663 */     GIR_EraseRootFromParent_Done,
     /*  972664 */   // Label 14556: @972664
     /*  972664 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(972759), // Rule ID 8764 //
     /*  972669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972719 */     // MIs[1] Operand 1
     /*  972719 */     // No operand predicates
     /*  972719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972757 */     GIR_RootConstrainSelectedInstOperands,
     /*  972758 */     // GIR_Coverage, 8764,
     /*  972758 */     GIR_EraseRootFromParent_Done,
     /*  972759 */   // Label 14557: @972759
     /*  972759 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(972854), // Rule ID 8765 //
     /*  972764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972814 */     // MIs[1] Operand 1
     /*  972814 */     // No operand predicates
     /*  972814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972852 */     GIR_RootConstrainSelectedInstOperands,
     /*  972853 */     // GIR_Coverage, 8765,
     /*  972853 */     GIR_EraseRootFromParent_Done,
     /*  972854 */   // Label 14558: @972854
     /*  972854 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(972949), // Rule ID 8768 //
     /*  972859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972909 */     // MIs[1] Operand 1
     /*  972909 */     // No operand predicates
     /*  972909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972947 */     GIR_RootConstrainSelectedInstOperands,
     /*  972948 */     // GIR_Coverage, 8768,
     /*  972948 */     GIR_EraseRootFromParent_Done,
     /*  972949 */   // Label 14559: @972949
     /*  972949 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(973044), // Rule ID 8769 //
     /*  972954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973004 */     // MIs[1] Operand 1
     /*  973004 */     // No operand predicates
     /*  973004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973017 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973042 */     GIR_RootConstrainSelectedInstOperands,
     /*  973043 */     // GIR_Coverage, 8769,
     /*  973043 */     GIR_EraseRootFromParent_Done,
     /*  973044 */   // Label 14560: @973044
     /*  973044 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(973139), // Rule ID 8772 //
     /*  973049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973099 */     // MIs[1] Operand 1
     /*  973099 */     // No operand predicates
     /*  973099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973137 */     GIR_RootConstrainSelectedInstOperands,
     /*  973138 */     // GIR_Coverage, 8772,
     /*  973138 */     GIR_EraseRootFromParent_Done,
     /*  973139 */   // Label 14561: @973139
     /*  973139 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(973234), // Rule ID 8773 //
     /*  973144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973194 */     // MIs[1] Operand 1
     /*  973194 */     // No operand predicates
     /*  973194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973207 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973232 */     GIR_RootConstrainSelectedInstOperands,
     /*  973233 */     // GIR_Coverage, 8773,
     /*  973233 */     GIR_EraseRootFromParent_Done,
     /*  973234 */   // Label 14562: @973234
     /*  973234 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(973329), // Rule ID 8776 //
     /*  973239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973289 */     // MIs[1] Operand 1
     /*  973289 */     // No operand predicates
     /*  973289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973302 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973327 */     GIR_RootConstrainSelectedInstOperands,
     /*  973328 */     // GIR_Coverage, 8776,
     /*  973328 */     GIR_EraseRootFromParent_Done,
     /*  973329 */   // Label 14563: @973329
     /*  973329 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(973424), // Rule ID 8777 //
     /*  973334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973384 */     // MIs[1] Operand 1
     /*  973384 */     // No operand predicates
     /*  973384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973397 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973422 */     GIR_RootConstrainSelectedInstOperands,
     /*  973423 */     // GIR_Coverage, 8777,
     /*  973423 */     GIR_EraseRootFromParent_Done,
     /*  973424 */   // Label 14564: @973424
     /*  973424 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(973519), // Rule ID 8780 //
     /*  973429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973479 */     // MIs[1] Operand 1
     /*  973479 */     // No operand predicates
     /*  973479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973517 */     GIR_RootConstrainSelectedInstOperands,
     /*  973518 */     // GIR_Coverage, 8780,
     /*  973518 */     GIR_EraseRootFromParent_Done,
     /*  973519 */   // Label 14565: @973519
     /*  973519 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(973614), // Rule ID 8781 //
     /*  973524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973574 */     // MIs[1] Operand 1
     /*  973574 */     // No operand predicates
     /*  973574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973587 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973612 */     GIR_RootConstrainSelectedInstOperands,
     /*  973613 */     // GIR_Coverage, 8781,
     /*  973613 */     GIR_EraseRootFromParent_Done,
     /*  973614 */   // Label 14566: @973614
     /*  973614 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(973709), // Rule ID 8784 //
     /*  973619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973669 */     // MIs[1] Operand 1
     /*  973669 */     // No operand predicates
     /*  973669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973682 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973707 */     GIR_RootConstrainSelectedInstOperands,
     /*  973708 */     // GIR_Coverage, 8784,
     /*  973708 */     GIR_EraseRootFromParent_Done,
     /*  973709 */   // Label 14567: @973709
     /*  973709 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(973804), // Rule ID 8785 //
     /*  973714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973764 */     // MIs[1] Operand 1
     /*  973764 */     // No operand predicates
     /*  973764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973777 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973802 */     GIR_RootConstrainSelectedInstOperands,
     /*  973803 */     // GIR_Coverage, 8785,
     /*  973803 */     GIR_EraseRootFromParent_Done,
     /*  973804 */   // Label 14568: @973804
     /*  973804 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(973899), // Rule ID 8788 //
     /*  973809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973859 */     // MIs[1] Operand 1
     /*  973859 */     // No operand predicates
     /*  973859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973872 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973897 */     GIR_RootConstrainSelectedInstOperands,
     /*  973898 */     // GIR_Coverage, 8788,
     /*  973898 */     GIR_EraseRootFromParent_Done,
     /*  973899 */   // Label 14569: @973899
     /*  973899 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(973994), // Rule ID 8789 //
     /*  973904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973954 */     // MIs[1] Operand 1
     /*  973954 */     // No operand predicates
     /*  973954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973967 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973992 */     GIR_RootConstrainSelectedInstOperands,
     /*  973993 */     // GIR_Coverage, 8789,
     /*  973993 */     GIR_EraseRootFromParent_Done,
     /*  973994 */   // Label 14570: @973994
     /*  973994 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(974089), // Rule ID 8792 //
     /*  973999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974049 */     // MIs[1] Operand 1
     /*  974049 */     // No operand predicates
     /*  974049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974087 */     GIR_RootConstrainSelectedInstOperands,
     /*  974088 */     // GIR_Coverage, 8792,
     /*  974088 */     GIR_EraseRootFromParent_Done,
     /*  974089 */   // Label 14571: @974089
     /*  974089 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(974184), // Rule ID 8793 //
     /*  974094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974144 */     // MIs[1] Operand 1
     /*  974144 */     // No operand predicates
     /*  974144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974182 */     GIR_RootConstrainSelectedInstOperands,
     /*  974183 */     // GIR_Coverage, 8793,
     /*  974183 */     GIR_EraseRootFromParent_Done,
     /*  974184 */   // Label 14572: @974184
     /*  974184 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(974279), // Rule ID 8796 //
     /*  974189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974239 */     // MIs[1] Operand 1
     /*  974239 */     // No operand predicates
     /*  974239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974277 */     GIR_RootConstrainSelectedInstOperands,
     /*  974278 */     // GIR_Coverage, 8796,
     /*  974278 */     GIR_EraseRootFromParent_Done,
     /*  974279 */   // Label 14573: @974279
     /*  974279 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(974374), // Rule ID 8797 //
     /*  974284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974334 */     // MIs[1] Operand 1
     /*  974334 */     // No operand predicates
     /*  974334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974347 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974372 */     GIR_RootConstrainSelectedInstOperands,
     /*  974373 */     // GIR_Coverage, 8797,
     /*  974373 */     GIR_EraseRootFromParent_Done,
     /*  974374 */   // Label 14574: @974374
     /*  974374 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(974469), // Rule ID 8800 //
     /*  974379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974429 */     // MIs[1] Operand 1
     /*  974429 */     // No operand predicates
     /*  974429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974442 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974467 */     GIR_RootConstrainSelectedInstOperands,
     /*  974468 */     // GIR_Coverage, 8800,
     /*  974468 */     GIR_EraseRootFromParent_Done,
     /*  974469 */   // Label 14575: @974469
     /*  974469 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(974564), // Rule ID 8801 //
     /*  974474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974524 */     // MIs[1] Operand 1
     /*  974524 */     // No operand predicates
     /*  974524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974537 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974562 */     GIR_RootConstrainSelectedInstOperands,
     /*  974563 */     // GIR_Coverage, 8801,
     /*  974563 */     GIR_EraseRootFromParent_Done,
     /*  974564 */   // Label 14576: @974564
     /*  974564 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(974659), // Rule ID 8804 //
     /*  974569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974619 */     // MIs[1] Operand 1
     /*  974619 */     // No operand predicates
     /*  974619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974657 */     GIR_RootConstrainSelectedInstOperands,
     /*  974658 */     // GIR_Coverage, 8804,
     /*  974658 */     GIR_EraseRootFromParent_Done,
     /*  974659 */   // Label 14577: @974659
     /*  974659 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(974754), // Rule ID 8805 //
     /*  974664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974714 */     // MIs[1] Operand 1
     /*  974714 */     // No operand predicates
     /*  974714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974727 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974752 */     GIR_RootConstrainSelectedInstOperands,
     /*  974753 */     // GIR_Coverage, 8805,
     /*  974753 */     GIR_EraseRootFromParent_Done,
     /*  974754 */   // Label 14578: @974754
     /*  974754 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(974849), // Rule ID 8808 //
     /*  974759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974809 */     // MIs[1] Operand 1
     /*  974809 */     // No operand predicates
     /*  974809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974822 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974847 */     GIR_RootConstrainSelectedInstOperands,
     /*  974848 */     // GIR_Coverage, 8808,
     /*  974848 */     GIR_EraseRootFromParent_Done,
     /*  974849 */   // Label 14579: @974849
     /*  974849 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(974944), // Rule ID 8809 //
     /*  974854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974904 */     // MIs[1] Operand 1
     /*  974904 */     // No operand predicates
     /*  974904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974917 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974942 */     GIR_RootConstrainSelectedInstOperands,
     /*  974943 */     // GIR_Coverage, 8809,
     /*  974943 */     GIR_EraseRootFromParent_Done,
     /*  974944 */   // Label 14580: @974944
     /*  974944 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(975039), // Rule ID 8812 //
     /*  974949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974999 */     // MIs[1] Operand 1
     /*  974999 */     // No operand predicates
     /*  974999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975037 */     GIR_RootConstrainSelectedInstOperands,
     /*  975038 */     // GIR_Coverage, 8812,
     /*  975038 */     GIR_EraseRootFromParent_Done,
     /*  975039 */   // Label 14581: @975039
     /*  975039 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(975134), // Rule ID 8813 //
     /*  975044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975094 */     // MIs[1] Operand 1
     /*  975094 */     // No operand predicates
     /*  975094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975132 */     GIR_RootConstrainSelectedInstOperands,
     /*  975133 */     // GIR_Coverage, 8813,
     /*  975133 */     GIR_EraseRootFromParent_Done,
     /*  975134 */   // Label 14582: @975134
     /*  975134 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(975229), // Rule ID 8816 //
     /*  975139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975189 */     // MIs[1] Operand 1
     /*  975189 */     // No operand predicates
     /*  975189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975227 */     GIR_RootConstrainSelectedInstOperands,
     /*  975228 */     // GIR_Coverage, 8816,
     /*  975228 */     GIR_EraseRootFromParent_Done,
     /*  975229 */   // Label 14583: @975229
     /*  975229 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(975324), // Rule ID 8817 //
     /*  975234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975284 */     // MIs[1] Operand 1
     /*  975284 */     // No operand predicates
     /*  975284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975322 */     GIR_RootConstrainSelectedInstOperands,
     /*  975323 */     // GIR_Coverage, 8817,
     /*  975323 */     GIR_EraseRootFromParent_Done,
     /*  975324 */   // Label 14584: @975324
     /*  975324 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(975419), // Rule ID 8820 //
     /*  975329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975379 */     // MIs[1] Operand 1
     /*  975379 */     // No operand predicates
     /*  975379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975417 */     GIR_RootConstrainSelectedInstOperands,
     /*  975418 */     // GIR_Coverage, 8820,
     /*  975418 */     GIR_EraseRootFromParent_Done,
     /*  975419 */   // Label 14585: @975419
     /*  975419 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(975514), // Rule ID 8821 //
     /*  975424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975474 */     // MIs[1] Operand 1
     /*  975474 */     // No operand predicates
     /*  975474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975487 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975512 */     GIR_RootConstrainSelectedInstOperands,
     /*  975513 */     // GIR_Coverage, 8821,
     /*  975513 */     GIR_EraseRootFromParent_Done,
     /*  975514 */   // Label 14586: @975514
     /*  975514 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(975609), // Rule ID 8824 //
     /*  975519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975569 */     // MIs[1] Operand 1
     /*  975569 */     // No operand predicates
     /*  975569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975607 */     GIR_RootConstrainSelectedInstOperands,
     /*  975608 */     // GIR_Coverage, 8824,
     /*  975608 */     GIR_EraseRootFromParent_Done,
     /*  975609 */   // Label 14587: @975609
     /*  975609 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(975704), // Rule ID 8825 //
     /*  975614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975664 */     // MIs[1] Operand 1
     /*  975664 */     // No operand predicates
     /*  975664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975677 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975702 */     GIR_RootConstrainSelectedInstOperands,
     /*  975703 */     // GIR_Coverage, 8825,
     /*  975703 */     GIR_EraseRootFromParent_Done,
     /*  975704 */   // Label 14588: @975704
     /*  975704 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(975799), // Rule ID 9004 //
     /*  975709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975759 */     // MIs[1] Operand 1
     /*  975759 */     // No operand predicates
     /*  975759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975797 */     GIR_RootConstrainSelectedInstOperands,
     /*  975798 */     // GIR_Coverage, 9004,
     /*  975798 */     GIR_EraseRootFromParent_Done,
     /*  975799 */   // Label 14589: @975799
     /*  975799 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(975894), // Rule ID 9005 //
     /*  975804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975854 */     // MIs[1] Operand 1
     /*  975854 */     // No operand predicates
     /*  975854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975867 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975892 */     GIR_RootConstrainSelectedInstOperands,
     /*  975893 */     // GIR_Coverage, 9005,
     /*  975893 */     GIR_EraseRootFromParent_Done,
     /*  975894 */   // Label 14590: @975894
     /*  975894 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(975989), // Rule ID 9008 //
     /*  975899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975949 */     // MIs[1] Operand 1
     /*  975949 */     // No operand predicates
     /*  975949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975962 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975987 */     GIR_RootConstrainSelectedInstOperands,
     /*  975988 */     // GIR_Coverage, 9008,
     /*  975988 */     GIR_EraseRootFromParent_Done,
     /*  975989 */   // Label 14591: @975989
     /*  975989 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(976084), // Rule ID 9009 //
     /*  975994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976044 */     // MIs[1] Operand 1
     /*  976044 */     // No operand predicates
     /*  976044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976082 */     GIR_RootConstrainSelectedInstOperands,
     /*  976083 */     // GIR_Coverage, 9009,
     /*  976083 */     GIR_EraseRootFromParent_Done,
     /*  976084 */   // Label 14592: @976084
     /*  976084 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(976179), // Rule ID 9012 //
     /*  976089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976139 */     // MIs[1] Operand 1
     /*  976139 */     // No operand predicates
     /*  976139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976177 */     GIR_RootConstrainSelectedInstOperands,
     /*  976178 */     // GIR_Coverage, 9012,
     /*  976178 */     GIR_EraseRootFromParent_Done,
     /*  976179 */   // Label 14593: @976179
     /*  976179 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(976274), // Rule ID 9013 //
     /*  976184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976234 */     // MIs[1] Operand 1
     /*  976234 */     // No operand predicates
     /*  976234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976247 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976272 */     GIR_RootConstrainSelectedInstOperands,
     /*  976273 */     // GIR_Coverage, 9013,
     /*  976273 */     GIR_EraseRootFromParent_Done,
     /*  976274 */   // Label 14594: @976274
     /*  976274 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(976369), // Rule ID 9016 //
     /*  976279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976329 */     // MIs[1] Operand 1
     /*  976329 */     // No operand predicates
     /*  976329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976342 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976367 */     GIR_RootConstrainSelectedInstOperands,
     /*  976368 */     // GIR_Coverage, 9016,
     /*  976368 */     GIR_EraseRootFromParent_Done,
     /*  976369 */   // Label 14595: @976369
     /*  976369 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(976464), // Rule ID 9017 //
     /*  976374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976424 */     // MIs[1] Operand 1
     /*  976424 */     // No operand predicates
     /*  976424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976462 */     GIR_RootConstrainSelectedInstOperands,
     /*  976463 */     // GIR_Coverage, 9017,
     /*  976463 */     GIR_EraseRootFromParent_Done,
     /*  976464 */   // Label 14596: @976464
     /*  976464 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(976559), // Rule ID 9020 //
     /*  976469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976519 */     // MIs[1] Operand 1
     /*  976519 */     // No operand predicates
     /*  976519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976557 */     GIR_RootConstrainSelectedInstOperands,
     /*  976558 */     // GIR_Coverage, 9020,
     /*  976558 */     GIR_EraseRootFromParent_Done,
     /*  976559 */   // Label 14597: @976559
     /*  976559 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(976654), // Rule ID 9021 //
     /*  976564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976614 */     // MIs[1] Operand 1
     /*  976614 */     // No operand predicates
     /*  976614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976652 */     GIR_RootConstrainSelectedInstOperands,
     /*  976653 */     // GIR_Coverage, 9021,
     /*  976653 */     GIR_EraseRootFromParent_Done,
     /*  976654 */   // Label 14598: @976654
     /*  976654 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(976749), // Rule ID 9024 //
     /*  976659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976709 */     // MIs[1] Operand 1
     /*  976709 */     // No operand predicates
     /*  976709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976747 */     GIR_RootConstrainSelectedInstOperands,
     /*  976748 */     // GIR_Coverage, 9024,
     /*  976748 */     GIR_EraseRootFromParent_Done,
     /*  976749 */   // Label 14599: @976749
     /*  976749 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(976844), // Rule ID 9025 //
     /*  976754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976804 */     // MIs[1] Operand 1
     /*  976804 */     // No operand predicates
     /*  976804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976842 */     GIR_RootConstrainSelectedInstOperands,
     /*  976843 */     // GIR_Coverage, 9025,
     /*  976843 */     GIR_EraseRootFromParent_Done,
     /*  976844 */   // Label 14600: @976844
     /*  976844 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(976939), // Rule ID 9028 //
     /*  976849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976899 */     // MIs[1] Operand 1
     /*  976899 */     // No operand predicates
     /*  976899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976937 */     GIR_RootConstrainSelectedInstOperands,
     /*  976938 */     // GIR_Coverage, 9028,
     /*  976938 */     GIR_EraseRootFromParent_Done,
     /*  976939 */   // Label 14601: @976939
     /*  976939 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(977034), // Rule ID 9029 //
     /*  976944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976994 */     // MIs[1] Operand 1
     /*  976994 */     // No operand predicates
     /*  976994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977007 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977032 */     GIR_RootConstrainSelectedInstOperands,
     /*  977033 */     // GIR_Coverage, 9029,
     /*  977033 */     GIR_EraseRootFromParent_Done,
     /*  977034 */   // Label 14602: @977034
     /*  977034 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(977129), // Rule ID 9032 //
     /*  977039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977089 */     // MIs[1] Operand 1
     /*  977089 */     // No operand predicates
     /*  977089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977127 */     GIR_RootConstrainSelectedInstOperands,
     /*  977128 */     // GIR_Coverage, 9032,
     /*  977128 */     GIR_EraseRootFromParent_Done,
     /*  977129 */   // Label 14603: @977129
     /*  977129 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(977224), // Rule ID 9033 //
     /*  977134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977184 */     // MIs[1] Operand 1
     /*  977184 */     // No operand predicates
     /*  977184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977197 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977222 */     GIR_RootConstrainSelectedInstOperands,
     /*  977223 */     // GIR_Coverage, 9033,
     /*  977223 */     GIR_EraseRootFromParent_Done,
     /*  977224 */   // Label 14604: @977224
     /*  977224 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(977319), // Rule ID 9036 //
     /*  977229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977279 */     // MIs[1] Operand 1
     /*  977279 */     // No operand predicates
     /*  977279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977317 */     GIR_RootConstrainSelectedInstOperands,
     /*  977318 */     // GIR_Coverage, 9036,
     /*  977318 */     GIR_EraseRootFromParent_Done,
     /*  977319 */   // Label 14605: @977319
     /*  977319 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(977414), // Rule ID 9037 //
     /*  977324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977374 */     // MIs[1] Operand 1
     /*  977374 */     // No operand predicates
     /*  977374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977387 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977412 */     GIR_RootConstrainSelectedInstOperands,
     /*  977413 */     // GIR_Coverage, 9037,
     /*  977413 */     GIR_EraseRootFromParent_Done,
     /*  977414 */   // Label 14606: @977414
     /*  977414 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(977509), // Rule ID 9040 //
     /*  977419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977469 */     // MIs[1] Operand 1
     /*  977469 */     // No operand predicates
     /*  977469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977482 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977507 */     GIR_RootConstrainSelectedInstOperands,
     /*  977508 */     // GIR_Coverage, 9040,
     /*  977508 */     GIR_EraseRootFromParent_Done,
     /*  977509 */   // Label 14607: @977509
     /*  977509 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(977604), // Rule ID 9041 //
     /*  977514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977564 */     // MIs[1] Operand 1
     /*  977564 */     // No operand predicates
     /*  977564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977602 */     GIR_RootConstrainSelectedInstOperands,
     /*  977603 */     // GIR_Coverage, 9041,
     /*  977603 */     GIR_EraseRootFromParent_Done,
     /*  977604 */   // Label 14608: @977604
     /*  977604 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(977699), // Rule ID 9044 //
     /*  977609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977659 */     // MIs[1] Operand 1
     /*  977659 */     // No operand predicates
     /*  977659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977672 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977697 */     GIR_RootConstrainSelectedInstOperands,
     /*  977698 */     // GIR_Coverage, 9044,
     /*  977698 */     GIR_EraseRootFromParent_Done,
     /*  977699 */   // Label 14609: @977699
     /*  977699 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(977794), // Rule ID 9045 //
     /*  977704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977754 */     // MIs[1] Operand 1
     /*  977754 */     // No operand predicates
     /*  977754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977767 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977792 */     GIR_RootConstrainSelectedInstOperands,
     /*  977793 */     // GIR_Coverage, 9045,
     /*  977793 */     GIR_EraseRootFromParent_Done,
     /*  977794 */   // Label 14610: @977794
     /*  977794 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(977889), // Rule ID 9048 //
     /*  977799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977849 */     // MIs[1] Operand 1
     /*  977849 */     // No operand predicates
     /*  977849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977862 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977887 */     GIR_RootConstrainSelectedInstOperands,
     /*  977888 */     // GIR_Coverage, 9048,
     /*  977888 */     GIR_EraseRootFromParent_Done,
     /*  977889 */   // Label 14611: @977889
     /*  977889 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(977984), // Rule ID 9049 //
     /*  977894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977944 */     // MIs[1] Operand 1
     /*  977944 */     // No operand predicates
     /*  977944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977957 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977982 */     GIR_RootConstrainSelectedInstOperands,
     /*  977983 */     // GIR_Coverage, 9049,
     /*  977983 */     GIR_EraseRootFromParent_Done,
     /*  977984 */   // Label 14612: @977984
     /*  977984 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(978079), // Rule ID 9052 //
     /*  977989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978039 */     // MIs[1] Operand 1
     /*  978039 */     // No operand predicates
     /*  978039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978052 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978077 */     GIR_RootConstrainSelectedInstOperands,
     /*  978078 */     // GIR_Coverage, 9052,
     /*  978078 */     GIR_EraseRootFromParent_Done,
     /*  978079 */   // Label 14613: @978079
     /*  978079 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(978174), // Rule ID 9053 //
     /*  978084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978134 */     // MIs[1] Operand 1
     /*  978134 */     // No operand predicates
     /*  978134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978147 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978172 */     GIR_RootConstrainSelectedInstOperands,
     /*  978173 */     // GIR_Coverage, 9053,
     /*  978173 */     GIR_EraseRootFromParent_Done,
     /*  978174 */   // Label 14614: @978174
     /*  978174 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(978269), // Rule ID 9056 //
     /*  978179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978229 */     // MIs[1] Operand 1
     /*  978229 */     // No operand predicates
     /*  978229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978267 */     GIR_RootConstrainSelectedInstOperands,
     /*  978268 */     // GIR_Coverage, 9056,
     /*  978268 */     GIR_EraseRootFromParent_Done,
     /*  978269 */   // Label 14615: @978269
     /*  978269 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(978364), // Rule ID 9057 //
     /*  978274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978324 */     // MIs[1] Operand 1
     /*  978324 */     // No operand predicates
     /*  978324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978362 */     GIR_RootConstrainSelectedInstOperands,
     /*  978363 */     // GIR_Coverage, 9057,
     /*  978363 */     GIR_EraseRootFromParent_Done,
     /*  978364 */   // Label 14616: @978364
     /*  978364 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(978459), // Rule ID 9060 //
     /*  978369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978419 */     // MIs[1] Operand 1
     /*  978419 */     // No operand predicates
     /*  978419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978457 */     GIR_RootConstrainSelectedInstOperands,
     /*  978458 */     // GIR_Coverage, 9060,
     /*  978458 */     GIR_EraseRootFromParent_Done,
     /*  978459 */   // Label 14617: @978459
     /*  978459 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(978554), // Rule ID 9061 //
     /*  978464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978514 */     // MIs[1] Operand 1
     /*  978514 */     // No operand predicates
     /*  978514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978527 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978552 */     GIR_RootConstrainSelectedInstOperands,
     /*  978553 */     // GIR_Coverage, 9061,
     /*  978553 */     GIR_EraseRootFromParent_Done,
     /*  978554 */   // Label 14618: @978554
     /*  978554 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(978649), // Rule ID 9064 //
     /*  978559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978609 */     // MIs[1] Operand 1
     /*  978609 */     // No operand predicates
     /*  978609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978622 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978647 */     GIR_RootConstrainSelectedInstOperands,
     /*  978648 */     // GIR_Coverage, 9064,
     /*  978648 */     GIR_EraseRootFromParent_Done,
     /*  978649 */   // Label 14619: @978649
     /*  978649 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(978744), // Rule ID 9065 //
     /*  978654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978704 */     // MIs[1] Operand 1
     /*  978704 */     // No operand predicates
     /*  978704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978717 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978742 */     GIR_RootConstrainSelectedInstOperands,
     /*  978743 */     // GIR_Coverage, 9065,
     /*  978743 */     GIR_EraseRootFromParent_Done,
     /*  978744 */   // Label 14620: @978744
     /*  978744 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(978839), // Rule ID 9068 //
     /*  978749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978799 */     // MIs[1] Operand 1
     /*  978799 */     // No operand predicates
     /*  978799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978837 */     GIR_RootConstrainSelectedInstOperands,
     /*  978838 */     // GIR_Coverage, 9068,
     /*  978838 */     GIR_EraseRootFromParent_Done,
     /*  978839 */   // Label 14621: @978839
     /*  978839 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(978934), // Rule ID 9069 //
     /*  978844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978894 */     // MIs[1] Operand 1
     /*  978894 */     // No operand predicates
     /*  978894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978907 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978932 */     GIR_RootConstrainSelectedInstOperands,
     /*  978933 */     // GIR_Coverage, 9069,
     /*  978933 */     GIR_EraseRootFromParent_Done,
     /*  978934 */   // Label 14622: @978934
     /*  978934 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(979029), // Rule ID 9072 //
     /*  978939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  978956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978989 */     // MIs[1] Operand 1
     /*  978989 */     // No operand predicates
     /*  978989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979027 */     GIR_RootConstrainSelectedInstOperands,
     /*  979028 */     // GIR_Coverage, 9072,
     /*  979028 */     GIR_EraseRootFromParent_Done,
     /*  979029 */   // Label 14623: @979029
     /*  979029 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(979124), // Rule ID 9073 //
     /*  979034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979084 */     // MIs[1] Operand 1
     /*  979084 */     // No operand predicates
     /*  979084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979122 */     GIR_RootConstrainSelectedInstOperands,
     /*  979123 */     // GIR_Coverage, 9073,
     /*  979123 */     GIR_EraseRootFromParent_Done,
     /*  979124 */   // Label 14624: @979124
     /*  979124 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(979219), // Rule ID 9076 //
     /*  979129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979179 */     // MIs[1] Operand 1
     /*  979179 */     // No operand predicates
     /*  979179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979217 */     GIR_RootConstrainSelectedInstOperands,
     /*  979218 */     // GIR_Coverage, 9076,
     /*  979218 */     GIR_EraseRootFromParent_Done,
     /*  979219 */   // Label 14625: @979219
     /*  979219 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(979314), // Rule ID 9077 //
     /*  979224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979274 */     // MIs[1] Operand 1
     /*  979274 */     // No operand predicates
     /*  979274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979287 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979312 */     GIR_RootConstrainSelectedInstOperands,
     /*  979313 */     // GIR_Coverage, 9077,
     /*  979313 */     GIR_EraseRootFromParent_Done,
     /*  979314 */   // Label 14626: @979314
     /*  979314 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(979409), // Rule ID 9080 //
     /*  979319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979369 */     // MIs[1] Operand 1
     /*  979369 */     // No operand predicates
     /*  979369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979382 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979407 */     GIR_RootConstrainSelectedInstOperands,
     /*  979408 */     // GIR_Coverage, 9080,
     /*  979408 */     GIR_EraseRootFromParent_Done,
     /*  979409 */   // Label 14627: @979409
     /*  979409 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(979504), // Rule ID 9081 //
     /*  979414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979464 */     // MIs[1] Operand 1
     /*  979464 */     // No operand predicates
     /*  979464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979502 */     GIR_RootConstrainSelectedInstOperands,
     /*  979503 */     // GIR_Coverage, 9081,
     /*  979503 */     GIR_EraseRootFromParent_Done,
     /*  979504 */   // Label 14628: @979504
     /*  979504 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(979599), // Rule ID 9084 //
     /*  979509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979559 */     // MIs[1] Operand 1
     /*  979559 */     // No operand predicates
     /*  979559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979597 */     GIR_RootConstrainSelectedInstOperands,
     /*  979598 */     // GIR_Coverage, 9084,
     /*  979598 */     GIR_EraseRootFromParent_Done,
     /*  979599 */   // Label 14629: @979599
     /*  979599 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(979694), // Rule ID 9085 //
     /*  979604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979654 */     // MIs[1] Operand 1
     /*  979654 */     // No operand predicates
     /*  979654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979667 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979692 */     GIR_RootConstrainSelectedInstOperands,
     /*  979693 */     // GIR_Coverage, 9085,
     /*  979693 */     GIR_EraseRootFromParent_Done,
     /*  979694 */   // Label 14630: @979694
     /*  979694 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(979789), // Rule ID 9088 //
     /*  979699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979749 */     // MIs[1] Operand 1
     /*  979749 */     // No operand predicates
     /*  979749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979787 */     GIR_RootConstrainSelectedInstOperands,
     /*  979788 */     // GIR_Coverage, 9088,
     /*  979788 */     GIR_EraseRootFromParent_Done,
     /*  979789 */   // Label 14631: @979789
     /*  979789 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(979884), // Rule ID 9089 //
     /*  979794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979844 */     // MIs[1] Operand 1
     /*  979844 */     // No operand predicates
     /*  979844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979882 */     GIR_RootConstrainSelectedInstOperands,
     /*  979883 */     // GIR_Coverage, 9089,
     /*  979883 */     GIR_EraseRootFromParent_Done,
     /*  979884 */   // Label 14632: @979884
     /*  979884 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(979979), // Rule ID 9180 //
     /*  979889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979939 */     // MIs[1] Operand 1
     /*  979939 */     // No operand predicates
     /*  979939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  979955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979977 */     GIR_RootConstrainSelectedInstOperands,
     /*  979978 */     // GIR_Coverage, 9180,
     /*  979978 */     GIR_EraseRootFromParent_Done,
     /*  979979 */   // Label 14633: @979979
     /*  979979 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(980074), // Rule ID 9181 //
     /*  979984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  980001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980034 */     // MIs[1] Operand 1
     /*  980034 */     // No operand predicates
     /*  980034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  980050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980072 */     GIR_RootConstrainSelectedInstOperands,
     /*  980073 */     // GIR_Coverage, 9181,
     /*  980073 */     GIR_EraseRootFromParent_Done,
     /*  980074 */   // Label 14634: @980074
     /*  980074 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(980169), // Rule ID 9184 //
     /*  980079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980129 */     // MIs[1] Operand 1
     /*  980129 */     // No operand predicates
     /*  980129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980142 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980167 */     GIR_RootConstrainSelectedInstOperands,
     /*  980168 */     // GIR_Coverage, 9184,
     /*  980168 */     GIR_EraseRootFromParent_Done,
     /*  980169 */   // Label 14635: @980169
     /*  980169 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(980264), // Rule ID 9185 //
     /*  980174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980224 */     // MIs[1] Operand 1
     /*  980224 */     // No operand predicates
     /*  980224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980262 */     GIR_RootConstrainSelectedInstOperands,
     /*  980263 */     // GIR_Coverage, 9185,
     /*  980263 */     GIR_EraseRootFromParent_Done,
     /*  980264 */   // Label 14636: @980264
     /*  980264 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(980359), // Rule ID 9188 //
     /*  980269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980319 */     // MIs[1] Operand 1
     /*  980319 */     // No operand predicates
     /*  980319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980357 */     GIR_RootConstrainSelectedInstOperands,
     /*  980358 */     // GIR_Coverage, 9188,
     /*  980358 */     GIR_EraseRootFromParent_Done,
     /*  980359 */   // Label 14637: @980359
     /*  980359 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(980454), // Rule ID 9189 //
     /*  980364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980414 */     // MIs[1] Operand 1
     /*  980414 */     // No operand predicates
     /*  980414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980427 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980452 */     GIR_RootConstrainSelectedInstOperands,
     /*  980453 */     // GIR_Coverage, 9189,
     /*  980453 */     GIR_EraseRootFromParent_Done,
     /*  980454 */   // Label 14638: @980454
     /*  980454 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(980549), // Rule ID 9192 //
     /*  980459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980509 */     // MIs[1] Operand 1
     /*  980509 */     // No operand predicates
     /*  980509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980522 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980547 */     GIR_RootConstrainSelectedInstOperands,
     /*  980548 */     // GIR_Coverage, 9192,
     /*  980548 */     GIR_EraseRootFromParent_Done,
     /*  980549 */   // Label 14639: @980549
     /*  980549 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(980644), // Rule ID 9193 //
     /*  980554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980604 */     // MIs[1] Operand 1
     /*  980604 */     // No operand predicates
     /*  980604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980642 */     GIR_RootConstrainSelectedInstOperands,
     /*  980643 */     // GIR_Coverage, 9193,
     /*  980643 */     GIR_EraseRootFromParent_Done,
     /*  980644 */   // Label 14640: @980644
     /*  980644 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(980739), // Rule ID 9196 //
     /*  980649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980699 */     // MIs[1] Operand 1
     /*  980699 */     // No operand predicates
     /*  980699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980737 */     GIR_RootConstrainSelectedInstOperands,
     /*  980738 */     // GIR_Coverage, 9196,
     /*  980738 */     GIR_EraseRootFromParent_Done,
     /*  980739 */   // Label 14641: @980739
     /*  980739 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(980834), // Rule ID 9197 //
     /*  980744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980794 */     // MIs[1] Operand 1
     /*  980794 */     // No operand predicates
     /*  980794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980832 */     GIR_RootConstrainSelectedInstOperands,
     /*  980833 */     // GIR_Coverage, 9197,
     /*  980833 */     GIR_EraseRootFromParent_Done,
     /*  980834 */   // Label 14642: @980834
     /*  980834 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(980929), // Rule ID 9200 //
     /*  980839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980889 */     // MIs[1] Operand 1
     /*  980889 */     // No operand predicates
     /*  980889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980902 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  980902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980927 */     GIR_RootConstrainSelectedInstOperands,
     /*  980928 */     // GIR_Coverage, 9200,
     /*  980928 */     GIR_EraseRootFromParent_Done,
     /*  980929 */   // Label 14643: @980929
     /*  980929 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(981024), // Rule ID 9201 //
     /*  980934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980984 */     // MIs[1] Operand 1
     /*  980984 */     // No operand predicates
     /*  980984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  980997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  981000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981022 */     GIR_RootConstrainSelectedInstOperands,
     /*  981023 */     // GIR_Coverage, 9201,
     /*  981023 */     GIR_EraseRootFromParent_Done,
     /*  981024 */   // Label 14644: @981024
     /*  981024 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(981119), // Rule ID 9204 //
     /*  981029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981079 */     // MIs[1] Operand 1
     /*  981079 */     // No operand predicates
     /*  981079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981117 */     GIR_RootConstrainSelectedInstOperands,
     /*  981118 */     // GIR_Coverage, 9204,
     /*  981118 */     GIR_EraseRootFromParent_Done,
     /*  981119 */   // Label 14645: @981119
     /*  981119 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(981214), // Rule ID 9205 //
     /*  981124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981174 */     // MIs[1] Operand 1
     /*  981174 */     // No operand predicates
     /*  981174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981187 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981212 */     GIR_RootConstrainSelectedInstOperands,
     /*  981213 */     // GIR_Coverage, 9205,
     /*  981213 */     GIR_EraseRootFromParent_Done,
     /*  981214 */   // Label 14646: @981214
     /*  981214 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(981309), // Rule ID 9208 //
     /*  981219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981269 */     // MIs[1] Operand 1
     /*  981269 */     // No operand predicates
     /*  981269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981307 */     GIR_RootConstrainSelectedInstOperands,
     /*  981308 */     // GIR_Coverage, 9208,
     /*  981308 */     GIR_EraseRootFromParent_Done,
     /*  981309 */   // Label 14647: @981309
     /*  981309 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(981404), // Rule ID 9209 //
     /*  981314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981364 */     // MIs[1] Operand 1
     /*  981364 */     // No operand predicates
     /*  981364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981402 */     GIR_RootConstrainSelectedInstOperands,
     /*  981403 */     // GIR_Coverage, 9209,
     /*  981403 */     GIR_EraseRootFromParent_Done,
     /*  981404 */   // Label 14648: @981404
     /*  981404 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(981499), // Rule ID 9212 //
     /*  981409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981459 */     // MIs[1] Operand 1
     /*  981459 */     // No operand predicates
     /*  981459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981497 */     GIR_RootConstrainSelectedInstOperands,
     /*  981498 */     // GIR_Coverage, 9212,
     /*  981498 */     GIR_EraseRootFromParent_Done,
     /*  981499 */   // Label 14649: @981499
     /*  981499 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(981594), // Rule ID 9213 //
     /*  981504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981554 */     // MIs[1] Operand 1
     /*  981554 */     // No operand predicates
     /*  981554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981567 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981592 */     GIR_RootConstrainSelectedInstOperands,
     /*  981593 */     // GIR_Coverage, 9213,
     /*  981593 */     GIR_EraseRootFromParent_Done,
     /*  981594 */   // Label 14650: @981594
     /*  981594 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(981689), // Rule ID 9216 //
     /*  981599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981649 */     // MIs[1] Operand 1
     /*  981649 */     // No operand predicates
     /*  981649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981662 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981687 */     GIR_RootConstrainSelectedInstOperands,
     /*  981688 */     // GIR_Coverage, 9216,
     /*  981688 */     GIR_EraseRootFromParent_Done,
     /*  981689 */   // Label 14651: @981689
     /*  981689 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(981784), // Rule ID 9217 //
     /*  981694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981744 */     // MIs[1] Operand 1
     /*  981744 */     // No operand predicates
     /*  981744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981782 */     GIR_RootConstrainSelectedInstOperands,
     /*  981783 */     // GIR_Coverage, 9217,
     /*  981783 */     GIR_EraseRootFromParent_Done,
     /*  981784 */   // Label 14652: @981784
     /*  981784 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(981879), // Rule ID 9220 //
     /*  981789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981839 */     // MIs[1] Operand 1
     /*  981839 */     // No operand predicates
     /*  981839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981877 */     GIR_RootConstrainSelectedInstOperands,
     /*  981878 */     // GIR_Coverage, 9220,
     /*  981878 */     GIR_EraseRootFromParent_Done,
     /*  981879 */   // Label 14653: @981879
     /*  981879 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(981974), // Rule ID 9221 //
     /*  981884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981934 */     // MIs[1] Operand 1
     /*  981934 */     // No operand predicates
     /*  981934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981947 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981972 */     GIR_RootConstrainSelectedInstOperands,
     /*  981973 */     // GIR_Coverage, 9221,
     /*  981973 */     GIR_EraseRootFromParent_Done,
     /*  981974 */   // Label 14654: @981974
     /*  981974 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(982069), // Rule ID 9224 //
     /*  981979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982029 */     // MIs[1] Operand 1
     /*  982029 */     // No operand predicates
     /*  982029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982042 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982067 */     GIR_RootConstrainSelectedInstOperands,
     /*  982068 */     // GIR_Coverage, 9224,
     /*  982068 */     GIR_EraseRootFromParent_Done,
     /*  982069 */   // Label 14655: @982069
     /*  982069 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(982164), // Rule ID 9225 //
     /*  982074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982124 */     // MIs[1] Operand 1
     /*  982124 */     // No operand predicates
     /*  982124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982137 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982162 */     GIR_RootConstrainSelectedInstOperands,
     /*  982163 */     // GIR_Coverage, 9225,
     /*  982163 */     GIR_EraseRootFromParent_Done,
     /*  982164 */   // Label 14656: @982164
     /*  982164 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(982259), // Rule ID 9228 //
     /*  982169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982219 */     // MIs[1] Operand 1
     /*  982219 */     // No operand predicates
     /*  982219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982232 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982257 */     GIR_RootConstrainSelectedInstOperands,
     /*  982258 */     // GIR_Coverage, 9228,
     /*  982258 */     GIR_EraseRootFromParent_Done,
     /*  982259 */   // Label 14657: @982259
     /*  982259 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(982354), // Rule ID 9229 //
     /*  982264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982314 */     // MIs[1] Operand 1
     /*  982314 */     // No operand predicates
     /*  982314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982327 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982352 */     GIR_RootConstrainSelectedInstOperands,
     /*  982353 */     // GIR_Coverage, 9229,
     /*  982353 */     GIR_EraseRootFromParent_Done,
     /*  982354 */   // Label 14658: @982354
     /*  982354 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(982449), // Rule ID 9232 //
     /*  982359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982409 */     // MIs[1] Operand 1
     /*  982409 */     // No operand predicates
     /*  982409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982447 */     GIR_RootConstrainSelectedInstOperands,
     /*  982448 */     // GIR_Coverage, 9232,
     /*  982448 */     GIR_EraseRootFromParent_Done,
     /*  982449 */   // Label 14659: @982449
     /*  982449 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(982544), // Rule ID 9233 //
     /*  982454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982504 */     // MIs[1] Operand 1
     /*  982504 */     // No operand predicates
     /*  982504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982542 */     GIR_RootConstrainSelectedInstOperands,
     /*  982543 */     // GIR_Coverage, 9233,
     /*  982543 */     GIR_EraseRootFromParent_Done,
     /*  982544 */   // Label 14660: @982544
     /*  982544 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(982639), // Rule ID 9236 //
     /*  982549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982599 */     // MIs[1] Operand 1
     /*  982599 */     // No operand predicates
     /*  982599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982637 */     GIR_RootConstrainSelectedInstOperands,
     /*  982638 */     // GIR_Coverage, 9236,
     /*  982638 */     GIR_EraseRootFromParent_Done,
     /*  982639 */   // Label 14661: @982639
     /*  982639 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(982734), // Rule ID 9237 //
     /*  982644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982694 */     // MIs[1] Operand 1
     /*  982694 */     // No operand predicates
     /*  982694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982707 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982732 */     GIR_RootConstrainSelectedInstOperands,
     /*  982733 */     // GIR_Coverage, 9237,
     /*  982733 */     GIR_EraseRootFromParent_Done,
     /*  982734 */   // Label 14662: @982734
     /*  982734 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(982829), // Rule ID 9240 //
     /*  982739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982789 */     // MIs[1] Operand 1
     /*  982789 */     // No operand predicates
     /*  982789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982802 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982827 */     GIR_RootConstrainSelectedInstOperands,
     /*  982828 */     // GIR_Coverage, 9240,
     /*  982828 */     GIR_EraseRootFromParent_Done,
     /*  982829 */   // Label 14663: @982829
     /*  982829 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(982924), // Rule ID 9241 //
     /*  982834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982884 */     // MIs[1] Operand 1
     /*  982884 */     // No operand predicates
     /*  982884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982897 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982922 */     GIR_RootConstrainSelectedInstOperands,
     /*  982923 */     // GIR_Coverage, 9241,
     /*  982923 */     GIR_EraseRootFromParent_Done,
     /*  982924 */   // Label 14664: @982924
     /*  982924 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(983019), // Rule ID 9244 //
     /*  982929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982979 */     // MIs[1] Operand 1
     /*  982979 */     // No operand predicates
     /*  982979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983017 */     GIR_RootConstrainSelectedInstOperands,
     /*  983018 */     // GIR_Coverage, 9244,
     /*  983018 */     GIR_EraseRootFromParent_Done,
     /*  983019 */   // Label 14665: @983019
     /*  983019 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(983114), // Rule ID 9245 //
     /*  983024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983074 */     // MIs[1] Operand 1
     /*  983074 */     // No operand predicates
     /*  983074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983087 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983112 */     GIR_RootConstrainSelectedInstOperands,
     /*  983113 */     // GIR_Coverage, 9245,
     /*  983113 */     GIR_EraseRootFromParent_Done,
     /*  983114 */   // Label 14666: @983114
     /*  983114 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(983209), // Rule ID 9248 //
     /*  983119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983169 */     // MIs[1] Operand 1
     /*  983169 */     // No operand predicates
     /*  983169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983207 */     GIR_RootConstrainSelectedInstOperands,
     /*  983208 */     // GIR_Coverage, 9248,
     /*  983208 */     GIR_EraseRootFromParent_Done,
     /*  983209 */   // Label 14667: @983209
     /*  983209 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(983304), // Rule ID 9249 //
     /*  983214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983264 */     // MIs[1] Operand 1
     /*  983264 */     // No operand predicates
     /*  983264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983302 */     GIR_RootConstrainSelectedInstOperands,
     /*  983303 */     // GIR_Coverage, 9249,
     /*  983303 */     GIR_EraseRootFromParent_Done,
     /*  983304 */   // Label 14668: @983304
     /*  983304 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(983399), // Rule ID 9252 //
     /*  983309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983359 */     // MIs[1] Operand 1
     /*  983359 */     // No operand predicates
     /*  983359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983397 */     GIR_RootConstrainSelectedInstOperands,
     /*  983398 */     // GIR_Coverage, 9252,
     /*  983398 */     GIR_EraseRootFromParent_Done,
     /*  983399 */   // Label 14669: @983399
     /*  983399 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(983494), // Rule ID 9253 //
     /*  983404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983454 */     // MIs[1] Operand 1
     /*  983454 */     // No operand predicates
     /*  983454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983467 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983492 */     GIR_RootConstrainSelectedInstOperands,
     /*  983493 */     // GIR_Coverage, 9253,
     /*  983493 */     GIR_EraseRootFromParent_Done,
     /*  983494 */   // Label 14670: @983494
     /*  983494 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(983589), // Rule ID 9256 //
     /*  983499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983549 */     // MIs[1] Operand 1
     /*  983549 */     // No operand predicates
     /*  983549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983562 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983587 */     GIR_RootConstrainSelectedInstOperands,
     /*  983588 */     // GIR_Coverage, 9256,
     /*  983588 */     GIR_EraseRootFromParent_Done,
     /*  983589 */   // Label 14671: @983589
     /*  983589 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(983684), // Rule ID 9257 //
     /*  983594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983644 */     // MIs[1] Operand 1
     /*  983644 */     // No operand predicates
     /*  983644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983682 */     GIR_RootConstrainSelectedInstOperands,
     /*  983683 */     // GIR_Coverage, 9257,
     /*  983683 */     GIR_EraseRootFromParent_Done,
     /*  983684 */   // Label 14672: @983684
     /*  983684 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(983779), // Rule ID 9260 //
     /*  983689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983739 */     // MIs[1] Operand 1
     /*  983739 */     // No operand predicates
     /*  983739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983777 */     GIR_RootConstrainSelectedInstOperands,
     /*  983778 */     // GIR_Coverage, 9260,
     /*  983778 */     GIR_EraseRootFromParent_Done,
     /*  983779 */   // Label 14673: @983779
     /*  983779 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(983874), // Rule ID 9261 //
     /*  983784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983834 */     // MIs[1] Operand 1
     /*  983834 */     // No operand predicates
     /*  983834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983847 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983872 */     GIR_RootConstrainSelectedInstOperands,
     /*  983873 */     // GIR_Coverage, 9261,
     /*  983873 */     GIR_EraseRootFromParent_Done,
     /*  983874 */   // Label 14674: @983874
     /*  983874 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(983969), // Rule ID 9264 //
     /*  983879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983929 */     // MIs[1] Operand 1
     /*  983929 */     // No operand predicates
     /*  983929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983967 */     GIR_RootConstrainSelectedInstOperands,
     /*  983968 */     // GIR_Coverage, 9264,
     /*  983968 */     GIR_EraseRootFromParent_Done,
     /*  983969 */   // Label 14675: @983969
     /*  983969 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(984064), // Rule ID 9265 //
     /*  983974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984024 */     // MIs[1] Operand 1
     /*  984024 */     // No operand predicates
     /*  984024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  984040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984062 */     GIR_RootConstrainSelectedInstOperands,
     /*  984063 */     // GIR_Coverage, 9265,
     /*  984063 */     GIR_EraseRootFromParent_Done,
     /*  984064 */   // Label 14676: @984064
     /*  984064 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(984159), // Rule ID 9356 //
     /*  984069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984119 */     // MIs[1] Operand 1
     /*  984119 */     // No operand predicates
     /*  984119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  984135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984157 */     GIR_RootConstrainSelectedInstOperands,
     /*  984158 */     // GIR_Coverage, 9356,
     /*  984158 */     GIR_EraseRootFromParent_Done,
     /*  984159 */   // Label 14677: @984159
     /*  984159 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(984254), // Rule ID 9357 //
     /*  984164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984214 */     // MIs[1] Operand 1
     /*  984214 */     // No operand predicates
     /*  984214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  984230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984252 */     GIR_RootConstrainSelectedInstOperands,
     /*  984253 */     // GIR_Coverage, 9357,
     /*  984253 */     GIR_EraseRootFromParent_Done,
     /*  984254 */   // Label 14678: @984254
     /*  984254 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(984349), // Rule ID 9360 //
     /*  984259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984309 */     // MIs[1] Operand 1
     /*  984309 */     // No operand predicates
     /*  984309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984322 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984347 */     GIR_RootConstrainSelectedInstOperands,
     /*  984348 */     // GIR_Coverage, 9360,
     /*  984348 */     GIR_EraseRootFromParent_Done,
     /*  984349 */   // Label 14679: @984349
     /*  984349 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(984444), // Rule ID 9361 //
     /*  984354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984404 */     // MIs[1] Operand 1
     /*  984404 */     // No operand predicates
     /*  984404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984417 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984442 */     GIR_RootConstrainSelectedInstOperands,
     /*  984443 */     // GIR_Coverage, 9361,
     /*  984443 */     GIR_EraseRootFromParent_Done,
     /*  984444 */   // Label 14680: @984444
     /*  984444 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(984539), // Rule ID 9364 //
     /*  984449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984499 */     // MIs[1] Operand 1
     /*  984499 */     // No operand predicates
     /*  984499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984537 */     GIR_RootConstrainSelectedInstOperands,
     /*  984538 */     // GIR_Coverage, 9364,
     /*  984538 */     GIR_EraseRootFromParent_Done,
     /*  984539 */   // Label 14681: @984539
     /*  984539 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(984634), // Rule ID 9365 //
     /*  984544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984594 */     // MIs[1] Operand 1
     /*  984594 */     // No operand predicates
     /*  984594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984632 */     GIR_RootConstrainSelectedInstOperands,
     /*  984633 */     // GIR_Coverage, 9365,
     /*  984633 */     GIR_EraseRootFromParent_Done,
     /*  984634 */   // Label 14682: @984634
     /*  984634 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(984729), // Rule ID 9368 //
     /*  984639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984689 */     // MIs[1] Operand 1
     /*  984689 */     // No operand predicates
     /*  984689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984702 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984727 */     GIR_RootConstrainSelectedInstOperands,
     /*  984728 */     // GIR_Coverage, 9368,
     /*  984728 */     GIR_EraseRootFromParent_Done,
     /*  984729 */   // Label 14683: @984729
     /*  984729 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(984824), // Rule ID 9369 //
     /*  984734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984784 */     // MIs[1] Operand 1
     /*  984784 */     // No operand predicates
     /*  984784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984797 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984822 */     GIR_RootConstrainSelectedInstOperands,
     /*  984823 */     // GIR_Coverage, 9369,
     /*  984823 */     GIR_EraseRootFromParent_Done,
     /*  984824 */   // Label 14684: @984824
     /*  984824 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(984919), // Rule ID 9372 //
     /*  984829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984879 */     // MIs[1] Operand 1
     /*  984879 */     // No operand predicates
     /*  984879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984917 */     GIR_RootConstrainSelectedInstOperands,
     /*  984918 */     // GIR_Coverage, 9372,
     /*  984918 */     GIR_EraseRootFromParent_Done,
     /*  984919 */   // Label 14685: @984919
     /*  984919 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(985014), // Rule ID 9373 //
     /*  984924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984974 */     // MIs[1] Operand 1
     /*  984974 */     // No operand predicates
     /*  984974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984987 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985012 */     GIR_RootConstrainSelectedInstOperands,
     /*  985013 */     // GIR_Coverage, 9373,
     /*  985013 */     GIR_EraseRootFromParent_Done,
     /*  985014 */   // Label 14686: @985014
     /*  985014 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(985109), // Rule ID 9376 //
     /*  985019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985069 */     // MIs[1] Operand 1
     /*  985069 */     // No operand predicates
     /*  985069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985082 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985107 */     GIR_RootConstrainSelectedInstOperands,
     /*  985108 */     // GIR_Coverage, 9376,
     /*  985108 */     GIR_EraseRootFromParent_Done,
     /*  985109 */   // Label 14687: @985109
     /*  985109 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(985204), // Rule ID 9377 //
     /*  985114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985164 */     // MIs[1] Operand 1
     /*  985164 */     // No operand predicates
     /*  985164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985202 */     GIR_RootConstrainSelectedInstOperands,
     /*  985203 */     // GIR_Coverage, 9377,
     /*  985203 */     GIR_EraseRootFromParent_Done,
     /*  985204 */   // Label 14688: @985204
     /*  985204 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(985299), // Rule ID 9380 //
     /*  985209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985259 */     // MIs[1] Operand 1
     /*  985259 */     // No operand predicates
     /*  985259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985297 */     GIR_RootConstrainSelectedInstOperands,
     /*  985298 */     // GIR_Coverage, 9380,
     /*  985298 */     GIR_EraseRootFromParent_Done,
     /*  985299 */   // Label 14689: @985299
     /*  985299 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(985394), // Rule ID 9381 //
     /*  985304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985354 */     // MIs[1] Operand 1
     /*  985354 */     // No operand predicates
     /*  985354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985392 */     GIR_RootConstrainSelectedInstOperands,
     /*  985393 */     // GIR_Coverage, 9381,
     /*  985393 */     GIR_EraseRootFromParent_Done,
     /*  985394 */   // Label 14690: @985394
     /*  985394 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(985489), // Rule ID 9384 //
     /*  985399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985449 */     // MIs[1] Operand 1
     /*  985449 */     // No operand predicates
     /*  985449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985462 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985487 */     GIR_RootConstrainSelectedInstOperands,
     /*  985488 */     // GIR_Coverage, 9384,
     /*  985488 */     GIR_EraseRootFromParent_Done,
     /*  985489 */   // Label 14691: @985489
     /*  985489 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(985584), // Rule ID 9385 //
     /*  985494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985544 */     // MIs[1] Operand 1
     /*  985544 */     // No operand predicates
     /*  985544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985582 */     GIR_RootConstrainSelectedInstOperands,
     /*  985583 */     // GIR_Coverage, 9385,
     /*  985583 */     GIR_EraseRootFromParent_Done,
     /*  985584 */   // Label 14692: @985584
     /*  985584 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(985679), // Rule ID 9388 //
     /*  985589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985639 */     // MIs[1] Operand 1
     /*  985639 */     // No operand predicates
     /*  985639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985677 */     GIR_RootConstrainSelectedInstOperands,
     /*  985678 */     // GIR_Coverage, 9388,
     /*  985678 */     GIR_EraseRootFromParent_Done,
     /*  985679 */   // Label 14693: @985679
     /*  985679 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(985774), // Rule ID 9389 //
     /*  985684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985734 */     // MIs[1] Operand 1
     /*  985734 */     // No operand predicates
     /*  985734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985772 */     GIR_RootConstrainSelectedInstOperands,
     /*  985773 */     // GIR_Coverage, 9389,
     /*  985773 */     GIR_EraseRootFromParent_Done,
     /*  985774 */   // Label 14694: @985774
     /*  985774 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(985869), // Rule ID 9392 //
     /*  985779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985829 */     // MIs[1] Operand 1
     /*  985829 */     // No operand predicates
     /*  985829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  985842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985867 */     GIR_RootConstrainSelectedInstOperands,
     /*  985868 */     // GIR_Coverage, 9392,
     /*  985868 */     GIR_EraseRootFromParent_Done,
     /*  985869 */   // Label 14695: @985869
     /*  985869 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(985964), // Rule ID 9393 //
     /*  985874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985924 */     // MIs[1] Operand 1
     /*  985924 */     // No operand predicates
     /*  985924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  985937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985962 */     GIR_RootConstrainSelectedInstOperands,
     /*  985963 */     // GIR_Coverage, 9393,
     /*  985963 */     GIR_EraseRootFromParent_Done,
     /*  985964 */   // Label 14696: @985964
     /*  985964 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(986059), // Rule ID 9396 //
     /*  985969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986019 */     // MIs[1] Operand 1
     /*  986019 */     // No operand predicates
     /*  986019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986057 */     GIR_RootConstrainSelectedInstOperands,
     /*  986058 */     // GIR_Coverage, 9396,
     /*  986058 */     GIR_EraseRootFromParent_Done,
     /*  986059 */   // Label 14697: @986059
     /*  986059 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(986154), // Rule ID 9397 //
     /*  986064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986114 */     // MIs[1] Operand 1
     /*  986114 */     // No operand predicates
     /*  986114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986127 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986152 */     GIR_RootConstrainSelectedInstOperands,
     /*  986153 */     // GIR_Coverage, 9397,
     /*  986153 */     GIR_EraseRootFromParent_Done,
     /*  986154 */   // Label 14698: @986154
     /*  986154 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(986249), // Rule ID 9400 //
     /*  986159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986209 */     // MIs[1] Operand 1
     /*  986209 */     // No operand predicates
     /*  986209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986222 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986247 */     GIR_RootConstrainSelectedInstOperands,
     /*  986248 */     // GIR_Coverage, 9400,
     /*  986248 */     GIR_EraseRootFromParent_Done,
     /*  986249 */   // Label 14699: @986249
     /*  986249 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(986344), // Rule ID 9401 //
     /*  986254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986304 */     // MIs[1] Operand 1
     /*  986304 */     // No operand predicates
     /*  986304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986317 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986342 */     GIR_RootConstrainSelectedInstOperands,
     /*  986343 */     // GIR_Coverage, 9401,
     /*  986343 */     GIR_EraseRootFromParent_Done,
     /*  986344 */   // Label 14700: @986344
     /*  986344 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(986439), // Rule ID 9404 //
     /*  986349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986399 */     // MIs[1] Operand 1
     /*  986399 */     // No operand predicates
     /*  986399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986412 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986437 */     GIR_RootConstrainSelectedInstOperands,
     /*  986438 */     // GIR_Coverage, 9404,
     /*  986438 */     GIR_EraseRootFromParent_Done,
     /*  986439 */   // Label 14701: @986439
     /*  986439 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(986534), // Rule ID 9405 //
     /*  986444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986494 */     // MIs[1] Operand 1
     /*  986494 */     // No operand predicates
     /*  986494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986507 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986532 */     GIR_RootConstrainSelectedInstOperands,
     /*  986533 */     // GIR_Coverage, 9405,
     /*  986533 */     GIR_EraseRootFromParent_Done,
     /*  986534 */   // Label 14702: @986534
     /*  986534 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(986629), // Rule ID 9408 //
     /*  986539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986589 */     // MIs[1] Operand 1
     /*  986589 */     // No operand predicates
     /*  986589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986627 */     GIR_RootConstrainSelectedInstOperands,
     /*  986628 */     // GIR_Coverage, 9408,
     /*  986628 */     GIR_EraseRootFromParent_Done,
     /*  986629 */   // Label 14703: @986629
     /*  986629 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(986724), // Rule ID 9409 //
     /*  986634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986684 */     // MIs[1] Operand 1
     /*  986684 */     // No operand predicates
     /*  986684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986697 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986722 */     GIR_RootConstrainSelectedInstOperands,
     /*  986723 */     // GIR_Coverage, 9409,
     /*  986723 */     GIR_EraseRootFromParent_Done,
     /*  986724 */   // Label 14704: @986724
     /*  986724 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(986819), // Rule ID 9412 //
     /*  986729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986779 */     // MIs[1] Operand 1
     /*  986779 */     // No operand predicates
     /*  986779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986817 */     GIR_RootConstrainSelectedInstOperands,
     /*  986818 */     // GIR_Coverage, 9412,
     /*  986818 */     GIR_EraseRootFromParent_Done,
     /*  986819 */   // Label 14705: @986819
     /*  986819 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(986914), // Rule ID 9413 //
     /*  986824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986874 */     // MIs[1] Operand 1
     /*  986874 */     // No operand predicates
     /*  986874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986912 */     GIR_RootConstrainSelectedInstOperands,
     /*  986913 */     // GIR_Coverage, 9413,
     /*  986913 */     GIR_EraseRootFromParent_Done,
     /*  986914 */   // Label 14706: @986914
     /*  986914 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(987009), // Rule ID 9416 //
     /*  986919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  986936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986969 */     // MIs[1] Operand 1
     /*  986969 */     // No operand predicates
     /*  986969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986982 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987007 */     GIR_RootConstrainSelectedInstOperands,
     /*  987008 */     // GIR_Coverage, 9416,
     /*  987008 */     GIR_EraseRootFromParent_Done,
     /*  987009 */   // Label 14707: @987009
     /*  987009 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(987104), // Rule ID 9417 //
     /*  987014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987064 */     // MIs[1] Operand 1
     /*  987064 */     // No operand predicates
     /*  987064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987102 */     GIR_RootConstrainSelectedInstOperands,
     /*  987103 */     // GIR_Coverage, 9417,
     /*  987103 */     GIR_EraseRootFromParent_Done,
     /*  987104 */   // Label 14708: @987104
     /*  987104 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(987199), // Rule ID 9420 //
     /*  987109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987159 */     // MIs[1] Operand 1
     /*  987159 */     // No operand predicates
     /*  987159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987197 */     GIR_RootConstrainSelectedInstOperands,
     /*  987198 */     // GIR_Coverage, 9420,
     /*  987198 */     GIR_EraseRootFromParent_Done,
     /*  987199 */   // Label 14709: @987199
     /*  987199 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(987294), // Rule ID 9421 //
     /*  987204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987254 */     // MIs[1] Operand 1
     /*  987254 */     // No operand predicates
     /*  987254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987267 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987292 */     GIR_RootConstrainSelectedInstOperands,
     /*  987293 */     // GIR_Coverage, 9421,
     /*  987293 */     GIR_EraseRootFromParent_Done,
     /*  987294 */   // Label 14710: @987294
     /*  987294 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(987389), // Rule ID 9424 //
     /*  987299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987349 */     // MIs[1] Operand 1
     /*  987349 */     // No operand predicates
     /*  987349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987362 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987387 */     GIR_RootConstrainSelectedInstOperands,
     /*  987388 */     // GIR_Coverage, 9424,
     /*  987388 */     GIR_EraseRootFromParent_Done,
     /*  987389 */   // Label 14711: @987389
     /*  987389 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(987484), // Rule ID 9425 //
     /*  987394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987444 */     // MIs[1] Operand 1
     /*  987444 */     // No operand predicates
     /*  987444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987482 */     GIR_RootConstrainSelectedInstOperands,
     /*  987483 */     // GIR_Coverage, 9425,
     /*  987483 */     GIR_EraseRootFromParent_Done,
     /*  987484 */   // Label 14712: @987484
     /*  987484 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(987579), // Rule ID 9428 //
     /*  987489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987539 */     // MIs[1] Operand 1
     /*  987539 */     // No operand predicates
     /*  987539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987577 */     GIR_RootConstrainSelectedInstOperands,
     /*  987578 */     // GIR_Coverage, 9428,
     /*  987578 */     GIR_EraseRootFromParent_Done,
     /*  987579 */   // Label 14713: @987579
     /*  987579 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(987674), // Rule ID 9429 //
     /*  987584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987634 */     // MIs[1] Operand 1
     /*  987634 */     // No operand predicates
     /*  987634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987647 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987672 */     GIR_RootConstrainSelectedInstOperands,
     /*  987673 */     // GIR_Coverage, 9429,
     /*  987673 */     GIR_EraseRootFromParent_Done,
     /*  987674 */   // Label 14714: @987674
     /*  987674 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(987769), // Rule ID 9432 //
     /*  987679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987729 */     // MIs[1] Operand 1
     /*  987729 */     // No operand predicates
     /*  987729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987767 */     GIR_RootConstrainSelectedInstOperands,
     /*  987768 */     // GIR_Coverage, 9432,
     /*  987768 */     GIR_EraseRootFromParent_Done,
     /*  987769 */   // Label 14715: @987769
     /*  987769 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(987864), // Rule ID 9433 //
     /*  987774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987824 */     // MIs[1] Operand 1
     /*  987824 */     // No operand predicates
     /*  987824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987862 */     GIR_RootConstrainSelectedInstOperands,
     /*  987863 */     // GIR_Coverage, 9433,
     /*  987863 */     GIR_EraseRootFromParent_Done,
     /*  987864 */   // Label 14716: @987864
     /*  987864 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(987959), // Rule ID 9436 //
     /*  987869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987919 */     // MIs[1] Operand 1
     /*  987919 */     // No operand predicates
     /*  987919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987957 */     GIR_RootConstrainSelectedInstOperands,
     /*  987958 */     // GIR_Coverage, 9436,
     /*  987958 */     GIR_EraseRootFromParent_Done,
     /*  987959 */   // Label 14717: @987959
     /*  987959 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(988054), // Rule ID 9437 //
     /*  987964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988014 */     // MIs[1] Operand 1
     /*  988014 */     // No operand predicates
     /*  988014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988027 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  988030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988052 */     GIR_RootConstrainSelectedInstOperands,
     /*  988053 */     // GIR_Coverage, 9437,
     /*  988053 */     GIR_EraseRootFromParent_Done,
     /*  988054 */   // Label 14718: @988054
     /*  988054 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(988149), // Rule ID 9440 //
     /*  988059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988109 */     // MIs[1] Operand 1
     /*  988109 */     // No operand predicates
     /*  988109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988147 */     GIR_RootConstrainSelectedInstOperands,
     /*  988148 */     // GIR_Coverage, 9440,
     /*  988148 */     GIR_EraseRootFromParent_Done,
     /*  988149 */   // Label 14719: @988149
     /*  988149 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(988244), // Rule ID 9441 //
     /*  988154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988204 */     // MIs[1] Operand 1
     /*  988204 */     // No operand predicates
     /*  988204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988242 */     GIR_RootConstrainSelectedInstOperands,
     /*  988243 */     // GIR_Coverage, 9441,
     /*  988243 */     GIR_EraseRootFromParent_Done,
     /*  988244 */   // Label 14720: @988244
     /*  988244 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(988336), // Rule ID 13818 //
     /*  988249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  988260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  988263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988299 */     // MIs[1] Operand 1
     /*  988299 */     // No operand predicates
     /*  988299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  988315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988334 */     GIR_RootConstrainSelectedInstOperands,
     /*  988335 */     // GIR_Coverage, 13818,
     /*  988335 */     GIR_EraseRootFromParent_Done,
     /*  988336 */   // Label 14721: @988336
     /*  988336 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(988428), // Rule ID 13819 //
     /*  988341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  988352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  988355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988391 */     // MIs[1] Operand 1
     /*  988391 */     // No operand predicates
     /*  988391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988404 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  988407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988426 */     GIR_RootConstrainSelectedInstOperands,
     /*  988427 */     // GIR_Coverage, 13819,
     /*  988427 */     GIR_EraseRootFromParent_Done,
     /*  988428 */   // Label 14722: @988428
     /*  988428 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(988520), // Rule ID 13820 //
     /*  988433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988483 */     // MIs[1] Operand 1
     /*  988483 */     // No operand predicates
     /*  988483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988518 */     GIR_RootConstrainSelectedInstOperands,
     /*  988519 */     // GIR_Coverage, 13820,
     /*  988519 */     GIR_EraseRootFromParent_Done,
     /*  988520 */   // Label 14723: @988520
     /*  988520 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(988612), // Rule ID 13821 //
     /*  988525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988575 */     // MIs[1] Operand 1
     /*  988575 */     // No operand predicates
     /*  988575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988588 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988610 */     GIR_RootConstrainSelectedInstOperands,
     /*  988611 */     // GIR_Coverage, 13821,
     /*  988611 */     GIR_EraseRootFromParent_Done,
     /*  988612 */   // Label 14724: @988612
     /*  988612 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(988704), // Rule ID 13822 //
     /*  988617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988667 */     // MIs[1] Operand 1
     /*  988667 */     // No operand predicates
     /*  988667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988702 */     GIR_RootConstrainSelectedInstOperands,
     /*  988703 */     // GIR_Coverage, 13822,
     /*  988703 */     GIR_EraseRootFromParent_Done,
     /*  988704 */   // Label 14725: @988704
     /*  988704 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(988796), // Rule ID 13823 //
     /*  988709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988759 */     // MIs[1] Operand 1
     /*  988759 */     // No operand predicates
     /*  988759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988794 */     GIR_RootConstrainSelectedInstOperands,
     /*  988795 */     // GIR_Coverage, 13823,
     /*  988795 */     GIR_EraseRootFromParent_Done,
     /*  988796 */   // Label 14726: @988796
     /*  988796 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(988888), // Rule ID 13824 //
     /*  988801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988851 */     // MIs[1] Operand 1
     /*  988851 */     // No operand predicates
     /*  988851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  988864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988886 */     GIR_RootConstrainSelectedInstOperands,
     /*  988887 */     // GIR_Coverage, 13824,
     /*  988887 */     GIR_EraseRootFromParent_Done,
     /*  988888 */   // Label 14727: @988888
     /*  988888 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(988980), // Rule ID 13825 //
     /*  988893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988943 */     // MIs[1] Operand 1
     /*  988943 */     // No operand predicates
     /*  988943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  988956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988978 */     GIR_RootConstrainSelectedInstOperands,
     /*  988979 */     // GIR_Coverage, 13825,
     /*  988979 */     GIR_EraseRootFromParent_Done,
     /*  988980 */   // Label 14728: @988980
     /*  988980 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(989072), // Rule ID 13826 //
     /*  988985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  988996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  988999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989035 */     // MIs[1] Operand 1
     /*  989035 */     // No operand predicates
     /*  989035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989048 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989070 */     GIR_RootConstrainSelectedInstOperands,
     /*  989071 */     // GIR_Coverage, 13826,
     /*  989071 */     GIR_EraseRootFromParent_Done,
     /*  989072 */   // Label 14729: @989072
     /*  989072 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(989164), // Rule ID 13827 //
     /*  989077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  989088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  989091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989127 */     // MIs[1] Operand 1
     /*  989127 */     // No operand predicates
     /*  989127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989162 */     GIR_RootConstrainSelectedInstOperands,
     /*  989163 */     // GIR_Coverage, 13827,
     /*  989163 */     GIR_EraseRootFromParent_Done,
     /*  989164 */   // Label 14730: @989164
     /*  989164 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(989256), // Rule ID 13828 //
     /*  989169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989219 */     // MIs[1] Operand 1
     /*  989219 */     // No operand predicates
     /*  989219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989254 */     GIR_RootConstrainSelectedInstOperands,
     /*  989255 */     // GIR_Coverage, 13828,
     /*  989255 */     GIR_EraseRootFromParent_Done,
     /*  989256 */   // Label 14731: @989256
     /*  989256 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(989348), // Rule ID 13829 //
     /*  989261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989311 */     // MIs[1] Operand 1
     /*  989311 */     // No operand predicates
     /*  989311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989346 */     GIR_RootConstrainSelectedInstOperands,
     /*  989347 */     // GIR_Coverage, 13829,
     /*  989347 */     GIR_EraseRootFromParent_Done,
     /*  989348 */   // Label 14732: @989348
     /*  989348 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(989440), // Rule ID 13830 //
     /*  989353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989403 */     // MIs[1] Operand 1
     /*  989403 */     // No operand predicates
     /*  989403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989438 */     GIR_RootConstrainSelectedInstOperands,
     /*  989439 */     // GIR_Coverage, 13830,
     /*  989439 */     GIR_EraseRootFromParent_Done,
     /*  989440 */   // Label 14733: @989440
     /*  989440 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(989532), // Rule ID 13831 //
     /*  989445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989495 */     // MIs[1] Operand 1
     /*  989495 */     // No operand predicates
     /*  989495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989530 */     GIR_RootConstrainSelectedInstOperands,
     /*  989531 */     // GIR_Coverage, 13831,
     /*  989531 */     GIR_EraseRootFromParent_Done,
     /*  989532 */   // Label 14734: @989532
     /*  989532 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(989624), // Rule ID 13832 //
     /*  989537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989587 */     // MIs[1] Operand 1
     /*  989587 */     // No operand predicates
     /*  989587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989622 */     GIR_RootConstrainSelectedInstOperands,
     /*  989623 */     // GIR_Coverage, 13832,
     /*  989623 */     GIR_EraseRootFromParent_Done,
     /*  989624 */   // Label 14735: @989624
     /*  989624 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(989716), // Rule ID 13833 //
     /*  989629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989679 */     // MIs[1] Operand 1
     /*  989679 */     // No operand predicates
     /*  989679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989714 */     GIR_RootConstrainSelectedInstOperands,
     /*  989715 */     // GIR_Coverage, 13833,
     /*  989715 */     GIR_EraseRootFromParent_Done,
     /*  989716 */   // Label 14736: @989716
     /*  989716 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(989808), // Rule ID 13834 //
     /*  989721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989771 */     // MIs[1] Operand 1
     /*  989771 */     // No operand predicates
     /*  989771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989806 */     GIR_RootConstrainSelectedInstOperands,
     /*  989807 */     // GIR_Coverage, 13834,
     /*  989807 */     GIR_EraseRootFromParent_Done,
     /*  989808 */   // Label 14737: @989808
     /*  989808 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(989900), // Rule ID 13835 //
     /*  989813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989863 */     // MIs[1] Operand 1
     /*  989863 */     // No operand predicates
     /*  989863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989898 */     GIR_RootConstrainSelectedInstOperands,
     /*  989899 */     // GIR_Coverage, 13835,
     /*  989899 */     GIR_EraseRootFromParent_Done,
     /*  989900 */   // Label 14738: @989900
     /*  989900 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(989992), // Rule ID 13836 //
     /*  989905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  989908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989955 */     // MIs[1] Operand 1
     /*  989955 */     // No operand predicates
     /*  989955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  989968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989990 */     GIR_RootConstrainSelectedInstOperands,
     /*  989991 */     // GIR_Coverage, 13836,
     /*  989991 */     GIR_EraseRootFromParent_Done,
     /*  989992 */   // Label 14739: @989992
     /*  989992 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(990084), // Rule ID 13837 //
     /*  989997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  990008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  990011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990047 */     // MIs[1] Operand 1
     /*  990047 */     // No operand predicates
     /*  990047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  990060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990082 */     GIR_RootConstrainSelectedInstOperands,
     /*  990083 */     // GIR_Coverage, 13837,
     /*  990083 */     GIR_EraseRootFromParent_Done,
     /*  990084 */   // Label 14740: @990084
     /*  990084 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(990176), // Rule ID 13838 //
     /*  990089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  990100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  990103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990139 */     // MIs[1] Operand 1
     /*  990139 */     // No operand predicates
     /*  990139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990174 */     GIR_RootConstrainSelectedInstOperands,
     /*  990175 */     // GIR_Coverage, 13838,
     /*  990175 */     GIR_EraseRootFromParent_Done,
     /*  990176 */   // Label 14741: @990176
     /*  990176 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(990268), // Rule ID 13839 //
     /*  990181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  990192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  990195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990231 */     // MIs[1] Operand 1
     /*  990231 */     // No operand predicates
     /*  990231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990266 */     GIR_RootConstrainSelectedInstOperands,
     /*  990267 */     // GIR_Coverage, 13839,
     /*  990267 */     GIR_EraseRootFromParent_Done,
     /*  990268 */   // Label 14742: @990268
     /*  990268 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(990360), // Rule ID 13840 //
     /*  990273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  990284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  990287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990323 */     // MIs[1] Operand 1
     /*  990323 */     // No operand predicates
     /*  990323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990358 */     GIR_RootConstrainSelectedInstOperands,
     /*  990359 */     // GIR_Coverage, 13840,
     /*  990359 */     GIR_EraseRootFromParent_Done,
     /*  990360 */   // Label 14743: @990360
     /*  990360 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(990452), // Rule ID 13841 //
     /*  990365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  990376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  990379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990415 */     // MIs[1] Operand 1
     /*  990415 */     // No operand predicates
     /*  990415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990428 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990450 */     GIR_RootConstrainSelectedInstOperands,
     /*  990451 */     // GIR_Coverage, 13841,
     /*  990451 */     GIR_EraseRootFromParent_Done,
     /*  990452 */   // Label 14744: @990452
     /*  990452 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(990544), // Rule ID 13842 //
     /*  990457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990507 */     // MIs[1] Operand 1
     /*  990507 */     // No operand predicates
     /*  990507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990520 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990542 */     GIR_RootConstrainSelectedInstOperands,
     /*  990543 */     // GIR_Coverage, 13842,
     /*  990543 */     GIR_EraseRootFromParent_Done,
     /*  990544 */   // Label 14745: @990544
     /*  990544 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(990636), // Rule ID 13843 //
     /*  990549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990599 */     // MIs[1] Operand 1
     /*  990599 */     // No operand predicates
     /*  990599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990634 */     GIR_RootConstrainSelectedInstOperands,
     /*  990635 */     // GIR_Coverage, 13843,
     /*  990635 */     GIR_EraseRootFromParent_Done,
     /*  990636 */   // Label 14746: @990636
     /*  990636 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(990728), // Rule ID 13844 //
     /*  990641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990691 */     // MIs[1] Operand 1
     /*  990691 */     // No operand predicates
     /*  990691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990726 */     GIR_RootConstrainSelectedInstOperands,
     /*  990727 */     // GIR_Coverage, 13844,
     /*  990727 */     GIR_EraseRootFromParent_Done,
     /*  990728 */   // Label 14747: @990728
     /*  990728 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(990820), // Rule ID 13845 //
     /*  990733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990783 */     // MIs[1] Operand 1
     /*  990783 */     // No operand predicates
     /*  990783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990818 */     GIR_RootConstrainSelectedInstOperands,
     /*  990819 */     // GIR_Coverage, 13845,
     /*  990819 */     GIR_EraseRootFromParent_Done,
     /*  990820 */   // Label 14748: @990820
     /*  990820 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(990912), // Rule ID 13846 //
     /*  990825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990875 */     // MIs[1] Operand 1
     /*  990875 */     // No operand predicates
     /*  990875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990888 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990910 */     GIR_RootConstrainSelectedInstOperands,
     /*  990911 */     // GIR_Coverage, 13846,
     /*  990911 */     GIR_EraseRootFromParent_Done,
     /*  990912 */   // Label 14749: @990912
     /*  990912 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(991004), // Rule ID 13847 //
     /*  990917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990967 */     // MIs[1] Operand 1
     /*  990967 */     // No operand predicates
     /*  990967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991002 */     GIR_RootConstrainSelectedInstOperands,
     /*  991003 */     // GIR_Coverage, 13847,
     /*  991003 */     GIR_EraseRootFromParent_Done,
     /*  991004 */   // Label 14750: @991004
     /*  991004 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(991096), // Rule ID 13848 //
     /*  991009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  991020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  991023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991059 */     // MIs[1] Operand 1
     /*  991059 */     // No operand predicates
     /*  991059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991072 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  991072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991094 */     GIR_RootConstrainSelectedInstOperands,
     /*  991095 */     // GIR_Coverage, 13848,
     /*  991095 */     GIR_EraseRootFromParent_Done,
     /*  991096 */   // Label 14751: @991096
     /*  991096 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(991188), // Rule ID 13849 //
     /*  991101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  991112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  991115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991151 */     // MIs[1] Operand 1
     /*  991151 */     // No operand predicates
     /*  991151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  991164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991186 */     GIR_RootConstrainSelectedInstOperands,
     /*  991187 */     // GIR_Coverage, 13849,
     /*  991187 */     GIR_EraseRootFromParent_Done,
     /*  991188 */   // Label 14752: @991188
     /*  991188 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(991280), // Rule ID 13850 //
     /*  991193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991243 */     // MIs[1] Operand 1
     /*  991243 */     // No operand predicates
     /*  991243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991278 */     GIR_RootConstrainSelectedInstOperands,
     /*  991279 */     // GIR_Coverage, 13850,
     /*  991279 */     GIR_EraseRootFromParent_Done,
     /*  991280 */   // Label 14753: @991280
     /*  991280 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(991372), // Rule ID 13851 //
     /*  991285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991335 */     // MIs[1] Operand 1
     /*  991335 */     // No operand predicates
     /*  991335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991370 */     GIR_RootConstrainSelectedInstOperands,
     /*  991371 */     // GIR_Coverage, 13851,
     /*  991371 */     GIR_EraseRootFromParent_Done,
     /*  991372 */   // Label 14754: @991372
     /*  991372 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(991464), // Rule ID 13852 //
     /*  991377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991427 */     // MIs[1] Operand 1
     /*  991427 */     // No operand predicates
     /*  991427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991462 */     GIR_RootConstrainSelectedInstOperands,
     /*  991463 */     // GIR_Coverage, 13852,
     /*  991463 */     GIR_EraseRootFromParent_Done,
     /*  991464 */   // Label 14755: @991464
     /*  991464 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(991556), // Rule ID 13853 //
     /*  991469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991519 */     // MIs[1] Operand 1
     /*  991519 */     // No operand predicates
     /*  991519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991554 */     GIR_RootConstrainSelectedInstOperands,
     /*  991555 */     // GIR_Coverage, 13853,
     /*  991555 */     GIR_EraseRootFromParent_Done,
     /*  991556 */   // Label 14756: @991556
     /*  991556 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(991648), // Rule ID 13854 //
     /*  991561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991611 */     // MIs[1] Operand 1
     /*  991611 */     // No operand predicates
     /*  991611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991646 */     GIR_RootConstrainSelectedInstOperands,
     /*  991647 */     // GIR_Coverage, 13854,
     /*  991647 */     GIR_EraseRootFromParent_Done,
     /*  991648 */   // Label 14757: @991648
     /*  991648 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(991740), // Rule ID 13855 //
     /*  991653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991703 */     // MIs[1] Operand 1
     /*  991703 */     // No operand predicates
     /*  991703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991738 */     GIR_RootConstrainSelectedInstOperands,
     /*  991739 */     // GIR_Coverage, 13855,
     /*  991739 */     GIR_EraseRootFromParent_Done,
     /*  991740 */   // Label 14758: @991740
     /*  991740 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(991832), // Rule ID 13856 //
     /*  991745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991795 */     // MIs[1] Operand 1
     /*  991795 */     // No operand predicates
     /*  991795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991830 */     GIR_RootConstrainSelectedInstOperands,
     /*  991831 */     // GIR_Coverage, 13856,
     /*  991831 */     GIR_EraseRootFromParent_Done,
     /*  991832 */   // Label 14759: @991832
     /*  991832 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(991924), // Rule ID 13857 //
     /*  991837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991887 */     // MIs[1] Operand 1
     /*  991887 */     // No operand predicates
     /*  991887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991922 */     GIR_RootConstrainSelectedInstOperands,
     /*  991923 */     // GIR_Coverage, 13857,
     /*  991923 */     GIR_EraseRootFromParent_Done,
     /*  991924 */   // Label 14760: @991924
     /*  991924 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(992016), // Rule ID 13858 //
     /*  991929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991979 */     // MIs[1] Operand 1
     /*  991979 */     // No operand predicates
     /*  991979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992014 */     GIR_RootConstrainSelectedInstOperands,
     /*  992015 */     // GIR_Coverage, 13858,
     /*  992015 */     GIR_EraseRootFromParent_Done,
     /*  992016 */   // Label 14761: @992016
     /*  992016 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(992108), // Rule ID 13859 //
     /*  992021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992071 */     // MIs[1] Operand 1
     /*  992071 */     // No operand predicates
     /*  992071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  992084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  992087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992106 */     GIR_RootConstrainSelectedInstOperands,
     /*  992107 */     // GIR_Coverage, 13859,
     /*  992107 */     GIR_EraseRootFromParent_Done,
     /*  992108 */   // Label 14762: @992108
     /*  992108 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(992200), // Rule ID 13860 //
     /*  992113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992163 */     // MIs[1] Operand 1
     /*  992163 */     // No operand predicates
     /*  992163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  992176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992198 */     GIR_RootConstrainSelectedInstOperands,
     /*  992199 */     // GIR_Coverage, 13860,
     /*  992199 */     GIR_EraseRootFromParent_Done,
     /*  992200 */   // Label 14763: @992200
     /*  992200 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(992292), // Rule ID 13861 //
     /*  992205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992255 */     // MIs[1] Operand 1
     /*  992255 */     // No operand predicates
     /*  992255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  992268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992290 */     GIR_RootConstrainSelectedInstOperands,
     /*  992291 */     // GIR_Coverage, 13861,
     /*  992291 */     GIR_EraseRootFromParent_Done,
     /*  992292 */   // Label 14764: @992292
     /*  992292 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(992368), // Rule ID 2656 //
     /*  992297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992325 */     // MIs[0] passthru
     /*  992325 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992334 */     // MIs[0] round
     /*  992334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  992347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992366 */     GIR_RootConstrainSelectedInstOperands,
     /*  992367 */     // GIR_Coverage, 2656,
     /*  992367 */     GIR_EraseRootFromParent_Done,
     /*  992368 */   // Label 14765: @992368
     /*  992368 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(992444), // Rule ID 2657 //
     /*  992373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992401 */     // MIs[0] passthru
     /*  992401 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992410 */     // MIs[0] round
     /*  992410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992420 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  992423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992442 */     GIR_RootConstrainSelectedInstOperands,
     /*  992443 */     // GIR_Coverage, 2657,
     /*  992443 */     GIR_EraseRootFromParent_Done,
     /*  992444 */   // Label 14766: @992444
     /*  992444 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(992520), // Rule ID 17028 //
     /*  992449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992477 */     // MIs[0] passthru
     /*  992477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992486 */     // MIs[0] round
     /*  992486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992518 */     GIR_RootConstrainSelectedInstOperands,
     /*  992519 */     // GIR_Coverage, 17028,
     /*  992519 */     GIR_EraseRootFromParent_Done,
     /*  992520 */   // Label 14767: @992520
     /*  992520 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(992596), // Rule ID 17029 //
     /*  992525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992553 */     // MIs[0] passthru
     /*  992553 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992562 */     // MIs[0] round
     /*  992562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992572 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992594 */     GIR_RootConstrainSelectedInstOperands,
     /*  992595 */     // GIR_Coverage, 17029,
     /*  992595 */     GIR_EraseRootFromParent_Done,
     /*  992596 */   // Label 14768: @992596
     /*  992596 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(992672), // Rule ID 17038 //
     /*  992601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992629 */     // MIs[0] passthru
     /*  992629 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992638 */     // MIs[0] round
     /*  992638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992648 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992670 */     GIR_RootConstrainSelectedInstOperands,
     /*  992671 */     // GIR_Coverage, 17038,
     /*  992671 */     GIR_EraseRootFromParent_Done,
     /*  992672 */   // Label 14769: @992672
     /*  992672 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(992748), // Rule ID 17039 //
     /*  992677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992705 */     // MIs[0] passthru
     /*  992705 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992714 */     // MIs[0] round
     /*  992714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992724 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992746 */     GIR_RootConstrainSelectedInstOperands,
     /*  992747 */     // GIR_Coverage, 17039,
     /*  992747 */     GIR_EraseRootFromParent_Done,
     /*  992748 */   // Label 14770: @992748
     /*  992748 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(992824), // Rule ID 17048 //
     /*  992753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992781 */     // MIs[0] passthru
     /*  992781 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992790 */     // MIs[0] round
     /*  992790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992822 */     GIR_RootConstrainSelectedInstOperands,
     /*  992823 */     // GIR_Coverage, 17048,
     /*  992823 */     GIR_EraseRootFromParent_Done,
     /*  992824 */   // Label 14771: @992824
     /*  992824 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(992900), // Rule ID 17049 //
     /*  992829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992857 */     // MIs[0] passthru
     /*  992857 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992866 */     // MIs[0] round
     /*  992866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992876 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992898 */     GIR_RootConstrainSelectedInstOperands,
     /*  992899 */     // GIR_Coverage, 17049,
     /*  992899 */     GIR_EraseRootFromParent_Done,
     /*  992900 */   // Label 14772: @992900
     /*  992900 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(992976), // Rule ID 17058 //
     /*  992905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992933 */     // MIs[0] passthru
     /*  992933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992942 */     // MIs[0] round
     /*  992942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992952 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  992955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992974 */     GIR_RootConstrainSelectedInstOperands,
     /*  992975 */     // GIR_Coverage, 17058,
     /*  992975 */     GIR_EraseRootFromParent_Done,
     /*  992976 */   // Label 14773: @992976
     /*  992976 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(993052), // Rule ID 17059 //
     /*  992981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993009 */     // MIs[0] passthru
     /*  993009 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993018 */     // MIs[0] round
     /*  993018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  993031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993050 */     GIR_RootConstrainSelectedInstOperands,
     /*  993051 */     // GIR_Coverage, 17059,
     /*  993051 */     GIR_EraseRootFromParent_Done,
     /*  993052 */   // Label 14774: @993052
     /*  993052 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(993128), // Rule ID 17068 //
     /*  993057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  993074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993085 */     // MIs[0] passthru
     /*  993085 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993094 */     // MIs[0] round
     /*  993094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993104 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  993107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993126 */     GIR_RootConstrainSelectedInstOperands,
     /*  993127 */     // GIR_Coverage, 17068,
     /*  993127 */     GIR_EraseRootFromParent_Done,
     /*  993128 */   // Label 14775: @993128
     /*  993128 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(993204), // Rule ID 17069 //
     /*  993133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  993150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993161 */     // MIs[0] passthru
     /*  993161 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993170 */     // MIs[0] round
     /*  993170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  993183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993202 */     GIR_RootConstrainSelectedInstOperands,
     /*  993203 */     // GIR_Coverage, 17069,
     /*  993203 */     GIR_EraseRootFromParent_Done,
     /*  993204 */   // Label 14776: @993204
     /*  993204 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(993280), // Rule ID 17078 //
     /*  993209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  993226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993237 */     // MIs[0] passthru
     /*  993237 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993246 */     // MIs[0] round
     /*  993246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  993259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993278 */     GIR_RootConstrainSelectedInstOperands,
     /*  993279 */     // GIR_Coverage, 17078,
     /*  993279 */     GIR_EraseRootFromParent_Done,
     /*  993280 */   // Label 14777: @993280
     /*  993280 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(993356), // Rule ID 17079 //
     /*  993285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  993302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993313 */     // MIs[0] passthru
     /*  993313 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993322 */     // MIs[0] round
     /*  993322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  993335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993354 */     GIR_RootConstrainSelectedInstOperands,
     /*  993355 */     // GIR_Coverage, 17079,
     /*  993355 */     GIR_EraseRootFromParent_Done,
     /*  993356 */   // Label 14778: @993356
     /*  993356 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(993432), // Rule ID 17088 //
     /*  993361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993389 */     // MIs[0] passthru
     /*  993389 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993398 */     // MIs[0] round
     /*  993398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  993411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993430 */     GIR_RootConstrainSelectedInstOperands,
     /*  993431 */     // GIR_Coverage, 17088,
     /*  993431 */     GIR_EraseRootFromParent_Done,
     /*  993432 */   // Label 14779: @993432
     /*  993432 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(993508), // Rule ID 17089 //
     /*  993437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993465 */     // MIs[0] passthru
     /*  993465 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993474 */     // MIs[0] round
     /*  993474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993484 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  993487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993506 */     GIR_RootConstrainSelectedInstOperands,
     /*  993507 */     // GIR_Coverage, 17089,
     /*  993507 */     GIR_EraseRootFromParent_Done,
     /*  993508 */   // Label 14780: @993508
     /*  993508 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(993584), // Rule ID 17098 //
     /*  993513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993541 */     // MIs[0] passthru
     /*  993541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993550 */     // MIs[0] round
     /*  993550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993560 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993582 */     GIR_RootConstrainSelectedInstOperands,
     /*  993583 */     // GIR_Coverage, 17098,
     /*  993583 */     GIR_EraseRootFromParent_Done,
     /*  993584 */   // Label 14781: @993584
     /*  993584 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(993660), // Rule ID 17099 //
     /*  993589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993617 */     // MIs[0] passthru
     /*  993617 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993626 */     // MIs[0] round
     /*  993626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993636 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993658 */     GIR_RootConstrainSelectedInstOperands,
     /*  993659 */     // GIR_Coverage, 17099,
     /*  993659 */     GIR_EraseRootFromParent_Done,
     /*  993660 */   // Label 14782: @993660
     /*  993660 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(993736), // Rule ID 17144 //
     /*  993665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993693 */     // MIs[0] passthru
     /*  993693 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993702 */     // MIs[0] round
     /*  993702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993712 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993734 */     GIR_RootConstrainSelectedInstOperands,
     /*  993735 */     // GIR_Coverage, 17144,
     /*  993735 */     GIR_EraseRootFromParent_Done,
     /*  993736 */   // Label 14783: @993736
     /*  993736 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(993812), // Rule ID 17145 //
     /*  993741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993769 */     // MIs[0] passthru
     /*  993769 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993778 */     // MIs[0] round
     /*  993778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993788 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993810 */     GIR_RootConstrainSelectedInstOperands,
     /*  993811 */     // GIR_Coverage, 17145,
     /*  993811 */     GIR_EraseRootFromParent_Done,
     /*  993812 */   // Label 14784: @993812
     /*  993812 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(993888), // Rule ID 17154 //
     /*  993817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993845 */     // MIs[0] passthru
     /*  993845 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993854 */     // MIs[0] round
     /*  993854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993864 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993886 */     GIR_RootConstrainSelectedInstOperands,
     /*  993887 */     // GIR_Coverage, 17154,
     /*  993887 */     GIR_EraseRootFromParent_Done,
     /*  993888 */   // Label 14785: @993888
     /*  993888 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(993964), // Rule ID 17155 //
     /*  993893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993921 */     // MIs[0] passthru
     /*  993921 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993930 */     // MIs[0] round
     /*  993930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993962 */     GIR_RootConstrainSelectedInstOperands,
     /*  993963 */     // GIR_Coverage, 17155,
     /*  993963 */     GIR_EraseRootFromParent_Done,
     /*  993964 */   // Label 14786: @993964
     /*  993964 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(994040), // Rule ID 17164 //
     /*  993969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993997 */     // MIs[0] passthru
     /*  993997 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994006 */     // MIs[0] round
     /*  994006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994016 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  994019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994038 */     GIR_RootConstrainSelectedInstOperands,
     /*  994039 */     // GIR_Coverage, 17164,
     /*  994039 */     GIR_EraseRootFromParent_Done,
     /*  994040 */   // Label 14787: @994040
     /*  994040 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(994116), // Rule ID 17165 //
     /*  994045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  994062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994073 */     // MIs[0] passthru
     /*  994073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994082 */     // MIs[0] round
     /*  994082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994092 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  994095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994114 */     GIR_RootConstrainSelectedInstOperands,
     /*  994115 */     // GIR_Coverage, 17165,
     /*  994115 */     GIR_EraseRootFromParent_Done,
     /*  994116 */   // Label 14788: @994116
     /*  994116 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(994192), // Rule ID 17174 //
     /*  994121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  994138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994149 */     // MIs[0] passthru
     /*  994149 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994158 */     // MIs[0] round
     /*  994158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994168 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  994171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994190 */     GIR_RootConstrainSelectedInstOperands,
     /*  994191 */     // GIR_Coverage, 17174,
     /*  994191 */     GIR_EraseRootFromParent_Done,
     /*  994192 */   // Label 14789: @994192
     /*  994192 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(994268), // Rule ID 17175 //
     /*  994197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  994214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994225 */     // MIs[0] passthru
     /*  994225 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994234 */     // MIs[0] round
     /*  994234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994244 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  994247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994266 */     GIR_RootConstrainSelectedInstOperands,
     /*  994267 */     // GIR_Coverage, 17175,
     /*  994267 */     GIR_EraseRootFromParent_Done,
     /*  994268 */   // Label 14790: @994268
     /*  994268 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(994344), // Rule ID 17184 //
     /*  994273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  994284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  994287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  994290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994301 */     // MIs[0] passthru
     /*  994301 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994310 */     // MIs[0] round
     /*  994310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994320 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  994323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994342 */     GIR_RootConstrainSelectedInstOperands,
     /*  994343 */     // GIR_Coverage, 17184,
     /*  994343 */     GIR_EraseRootFromParent_Done,
     /*  994344 */   // Label 14791: @994344
     /*  994344 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(994420), // Rule ID 17185 //
     /*  994349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  994360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  994363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  994366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994377 */     // MIs[0] passthru
     /*  994377 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994386 */     // MIs[0] round
     /*  994386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994396 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  994399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994418 */     GIR_RootConstrainSelectedInstOperands,
     /*  994419 */     // GIR_Coverage, 17185,
     /*  994419 */     GIR_EraseRootFromParent_Done,
     /*  994420 */   // Label 14792: @994420
     /*  994420 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(994496), // Rule ID 17194 //
     /*  994425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994453 */     // MIs[0] passthru
     /*  994453 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994462 */     // MIs[0] round
     /*  994462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994472 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994494 */     GIR_RootConstrainSelectedInstOperands,
     /*  994495 */     // GIR_Coverage, 17194,
     /*  994495 */     GIR_EraseRootFromParent_Done,
     /*  994496 */   // Label 14793: @994496
     /*  994496 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(994572), // Rule ID 17195 //
     /*  994501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994529 */     // MIs[0] passthru
     /*  994529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994538 */     // MIs[0] round
     /*  994538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994570 */     GIR_RootConstrainSelectedInstOperands,
     /*  994571 */     // GIR_Coverage, 17195,
     /*  994571 */     GIR_EraseRootFromParent_Done,
     /*  994572 */   // Label 14794: @994572
     /*  994572 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(994648), // Rule ID 17204 //
     /*  994577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994605 */     // MIs[0] passthru
     /*  994605 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994614 */     // MIs[0] round
     /*  994614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994624 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994646 */     GIR_RootConstrainSelectedInstOperands,
     /*  994647 */     // GIR_Coverage, 17204,
     /*  994647 */     GIR_EraseRootFromParent_Done,
     /*  994648 */   // Label 14795: @994648
     /*  994648 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(994724), // Rule ID 17205 //
     /*  994653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994681 */     // MIs[0] passthru
     /*  994681 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994690 */     // MIs[0] round
     /*  994690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994700 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994722 */     GIR_RootConstrainSelectedInstOperands,
     /*  994723 */     // GIR_Coverage, 17205,
     /*  994723 */     GIR_EraseRootFromParent_Done,
     /*  994724 */   // Label 14796: @994724
     /*  994724 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(994800), // Rule ID 17214 //
     /*  994729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994757 */     // MIs[0] passthru
     /*  994757 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994766 */     // MIs[0] round
     /*  994766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994798 */     GIR_RootConstrainSelectedInstOperands,
     /*  994799 */     // GIR_Coverage, 17214,
     /*  994799 */     GIR_EraseRootFromParent_Done,
     /*  994800 */   // Label 14797: @994800
     /*  994800 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(994876), // Rule ID 17215 //
     /*  994805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994833 */     // MIs[0] passthru
     /*  994833 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994842 */     // MIs[0] round
     /*  994842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994874 */     GIR_RootConstrainSelectedInstOperands,
     /*  994875 */     // GIR_Coverage, 17215,
     /*  994875 */     GIR_EraseRootFromParent_Done,
     /*  994876 */   // Label 14798: @994876
     /*  994876 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(994952), // Rule ID 17224 //
     /*  994881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994909 */     // MIs[0] passthru
     /*  994909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994918 */     // MIs[0] round
     /*  994918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994928 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  994931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994950 */     GIR_RootConstrainSelectedInstOperands,
     /*  994951 */     // GIR_Coverage, 17224,
     /*  994951 */     GIR_EraseRootFromParent_Done,
     /*  994952 */   // Label 14799: @994952
     /*  994952 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(995028), // Rule ID 17225 //
     /*  994957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994985 */     // MIs[0] passthru
     /*  994985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994994 */     // MIs[0] round
     /*  994994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995004 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  995004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  995007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995026 */     GIR_RootConstrainSelectedInstOperands,
     /*  995027 */     // GIR_Coverage, 17225,
     /*  995027 */     GIR_EraseRootFromParent_Done,
     /*  995028 */   // Label 14800: @995028
     /*  995028 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(995105), // Rule ID 2586 //
     /*  995033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  995041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  995050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995072 */     // MIs[0] policy
     /*  995072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  995085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995103 */     GIR_RootConstrainSelectedInstOperands,
     /*  995104 */     // GIR_Coverage, 2586,
     /*  995104 */     GIR_EraseRootFromParent_Done,
     /*  995105 */   // Label 14801: @995105
     /*  995105 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(995182), // Rule ID 2587 //
     /*  995110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  995118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  995127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995149 */     // MIs[0] policy
     /*  995149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995159 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  995162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995180 */     GIR_RootConstrainSelectedInstOperands,
     /*  995181 */     // GIR_Coverage, 2587,
     /*  995181 */     GIR_EraseRootFromParent_Done,
     /*  995182 */   // Label 14802: @995182
     /*  995182 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(995259), // Rule ID 2590 //
     /*  995187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995226 */     // MIs[0] policy
     /*  995226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  995239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995257 */     GIR_RootConstrainSelectedInstOperands,
     /*  995258 */     // GIR_Coverage, 2590,
     /*  995258 */     GIR_EraseRootFromParent_Done,
     /*  995259 */   // Label 14803: @995259
     /*  995259 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(995336), // Rule ID 2591 //
     /*  995264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995303 */     // MIs[0] policy
     /*  995303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  995316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995334 */     GIR_RootConstrainSelectedInstOperands,
     /*  995335 */     // GIR_Coverage, 2591,
     /*  995335 */     GIR_EraseRootFromParent_Done,
     /*  995336 */   // Label 14804: @995336
     /*  995336 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(995413), // Rule ID 2594 //
     /*  995341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  995344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  995349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995380 */     // MIs[0] policy
     /*  995380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995390 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  995393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995411 */     GIR_RootConstrainSelectedInstOperands,
     /*  995412 */     // GIR_Coverage, 2594,
     /*  995412 */     GIR_EraseRootFromParent_Done,
     /*  995413 */   // Label 14805: @995413
     /*  995413 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(995490), // Rule ID 2595 //
     /*  995418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  995421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  995426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995457 */     // MIs[0] policy
     /*  995457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995467 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  995470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995488 */     GIR_RootConstrainSelectedInstOperands,
     /*  995489 */     // GIR_Coverage, 2595,
     /*  995489 */     GIR_EraseRootFromParent_Done,
     /*  995490 */   // Label 14806: @995490
     /*  995490 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(995567), // Rule ID 2630 //
     /*  995495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  995498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995534 */     // MIs[0] policy
     /*  995534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995565 */     GIR_RootConstrainSelectedInstOperands,
     /*  995566 */     // GIR_Coverage, 2630,
     /*  995566 */     GIR_EraseRootFromParent_Done,
     /*  995567 */   // Label 14807: @995567
     /*  995567 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(995644), // Rule ID 2631 //
     /*  995572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  995575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995611 */     // MIs[0] policy
     /*  995611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995642 */     GIR_RootConstrainSelectedInstOperands,
     /*  995643 */     // GIR_Coverage, 2631,
     /*  995643 */     GIR_EraseRootFromParent_Done,
     /*  995644 */   // Label 14808: @995644
     /*  995644 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(995721), // Rule ID 2662 //
     /*  995649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995688 */     // MIs[0] policy
     /*  995688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995719 */     GIR_RootConstrainSelectedInstOperands,
     /*  995720 */     // GIR_Coverage, 2662,
     /*  995720 */     GIR_EraseRootFromParent_Done,
     /*  995721 */   // Label 14809: @995721
     /*  995721 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(995798), // Rule ID 2663 //
     /*  995726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995765 */     // MIs[0] policy
     /*  995765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995775 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995796 */     GIR_RootConstrainSelectedInstOperands,
     /*  995797 */     // GIR_Coverage, 2663,
     /*  995797 */     GIR_EraseRootFromParent_Done,
     /*  995798 */   // Label 14810: @995798
     /*  995798 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(995875), // Rule ID 4782 //
     /*  995803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995842 */     // MIs[0] policy
     /*  995842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995873 */     GIR_RootConstrainSelectedInstOperands,
     /*  995874 */     // GIR_Coverage, 4782,
     /*  995874 */     GIR_EraseRootFromParent_Done,
     /*  995875 */   // Label 14811: @995875
     /*  995875 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(995952), // Rule ID 4783 //
     /*  995880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995919 */     // MIs[0] policy
     /*  995919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995929 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995950 */     GIR_RootConstrainSelectedInstOperands,
     /*  995951 */     // GIR_Coverage, 4783,
     /*  995951 */     GIR_EraseRootFromParent_Done,
     /*  995952 */   // Label 14812: @995952
     /*  995952 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(996029), // Rule ID 4786 //
     /*  995957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  995974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995996 */     // MIs[0] policy
     /*  995996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996027 */     GIR_RootConstrainSelectedInstOperands,
     /*  996028 */     // GIR_Coverage, 4786,
     /*  996028 */     GIR_EraseRootFromParent_Done,
     /*  996029 */   // Label 14813: @996029
     /*  996029 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(996106), // Rule ID 4787 //
     /*  996034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  996045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  996048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996073 */     // MIs[0] policy
     /*  996073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996104 */     GIR_RootConstrainSelectedInstOperands,
     /*  996105 */     // GIR_Coverage, 4787,
     /*  996105 */     GIR_EraseRootFromParent_Done,
     /*  996106 */   // Label 14814: @996106
     /*  996106 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(996183), // Rule ID 4790 //
     /*  996111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996150 */     // MIs[0] policy
     /*  996150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996181 */     GIR_RootConstrainSelectedInstOperands,
     /*  996182 */     // GIR_Coverage, 4790,
     /*  996182 */     GIR_EraseRootFromParent_Done,
     /*  996183 */   // Label 14815: @996183
     /*  996183 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(996260), // Rule ID 4791 //
     /*  996188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996227 */     // MIs[0] policy
     /*  996227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996237 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996258 */     GIR_RootConstrainSelectedInstOperands,
     /*  996259 */     // GIR_Coverage, 4791,
     /*  996259 */     GIR_EraseRootFromParent_Done,
     /*  996260 */   // Label 14816: @996260
     /*  996260 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(996337), // Rule ID 4794 //
     /*  996265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  996276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  996279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996304 */     // MIs[0] policy
     /*  996304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996314 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996335 */     GIR_RootConstrainSelectedInstOperands,
     /*  996336 */     // GIR_Coverage, 4794,
     /*  996336 */     GIR_EraseRootFromParent_Done,
     /*  996337 */   // Label 14817: @996337
     /*  996337 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(996414), // Rule ID 4795 //
     /*  996342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  996353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  996356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996381 */     // MIs[0] policy
     /*  996381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996391 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996412 */     GIR_RootConstrainSelectedInstOperands,
     /*  996413 */     // GIR_Coverage, 4795,
     /*  996413 */     GIR_EraseRootFromParent_Done,
     /*  996414 */   // Label 14818: @996414
     /*  996414 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(996491), // Rule ID 4798 //
     /*  996419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996458 */     // MIs[0] policy
     /*  996458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996489 */     GIR_RootConstrainSelectedInstOperands,
     /*  996490 */     // GIR_Coverage, 4798,
     /*  996490 */     GIR_EraseRootFromParent_Done,
     /*  996491 */   // Label 14819: @996491
     /*  996491 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(996568), // Rule ID 4799 //
     /*  996496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996535 */     // MIs[0] policy
     /*  996535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996545 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996566 */     GIR_RootConstrainSelectedInstOperands,
     /*  996567 */     // GIR_Coverage, 4799,
     /*  996567 */     GIR_EraseRootFromParent_Done,
     /*  996568 */   // Label 14820: @996568
     /*  996568 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(996645), // Rule ID 4802 //
     /*  996573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996612 */     // MIs[0] policy
     /*  996612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996643 */     GIR_RootConstrainSelectedInstOperands,
     /*  996644 */     // GIR_Coverage, 4802,
     /*  996644 */     GIR_EraseRootFromParent_Done,
     /*  996645 */   // Label 14821: @996645
     /*  996645 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(996722), // Rule ID 4803 //
     /*  996650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996689 */     // MIs[0] policy
     /*  996689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996720 */     GIR_RootConstrainSelectedInstOperands,
     /*  996721 */     // GIR_Coverage, 4803,
     /*  996721 */     GIR_EraseRootFromParent_Done,
     /*  996722 */   // Label 14822: @996722
     /*  996722 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(996799), // Rule ID 4806 //
     /*  996727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996766 */     // MIs[0] policy
     /*  996766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996797 */     GIR_RootConstrainSelectedInstOperands,
     /*  996798 */     // GIR_Coverage, 4806,
     /*  996798 */     GIR_EraseRootFromParent_Done,
     /*  996799 */   // Label 14823: @996799
     /*  996799 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(996876), // Rule ID 4807 //
     /*  996804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996843 */     // MIs[0] policy
     /*  996843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996874 */     GIR_RootConstrainSelectedInstOperands,
     /*  996875 */     // GIR_Coverage, 4807,
     /*  996875 */     GIR_EraseRootFromParent_Done,
     /*  996876 */   // Label 14824: @996876
     /*  996876 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(996953), // Rule ID 4810 //
     /*  996881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996920 */     // MIs[0] policy
     /*  996920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996951 */     GIR_RootConstrainSelectedInstOperands,
     /*  996952 */     // GIR_Coverage, 4810,
     /*  996952 */     GIR_EraseRootFromParent_Done,
     /*  996953 */   // Label 14825: @996953
     /*  996953 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(997030), // Rule ID 4811 //
     /*  996958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996997 */     // MIs[0] policy
     /*  996997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997028 */     GIR_RootConstrainSelectedInstOperands,
     /*  997029 */     // GIR_Coverage, 4811,
     /*  997029 */     GIR_EraseRootFromParent_Done,
     /*  997030 */   // Label 14826: @997030
     /*  997030 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(997107), // Rule ID 4814 //
     /*  997035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997074 */     // MIs[0] policy
     /*  997074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997105 */     GIR_RootConstrainSelectedInstOperands,
     /*  997106 */     // GIR_Coverage, 4814,
     /*  997106 */     GIR_EraseRootFromParent_Done,
     /*  997107 */   // Label 14827: @997107
     /*  997107 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(997184), // Rule ID 4815 //
     /*  997112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997151 */     // MIs[0] policy
     /*  997151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997182 */     GIR_RootConstrainSelectedInstOperands,
     /*  997183 */     // GIR_Coverage, 4815,
     /*  997183 */     GIR_EraseRootFromParent_Done,
     /*  997184 */   // Label 14828: @997184
     /*  997184 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(997261), // Rule ID 4818 //
     /*  997189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  997206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997228 */     // MIs[0] policy
     /*  997228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997259 */     GIR_RootConstrainSelectedInstOperands,
     /*  997260 */     // GIR_Coverage, 4818,
     /*  997260 */     GIR_EraseRootFromParent_Done,
     /*  997261 */   // Label 14829: @997261
     /*  997261 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(997338), // Rule ID 4819 //
     /*  997266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  997283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997305 */     // MIs[0] policy
     /*  997305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997336 */     GIR_RootConstrainSelectedInstOperands,
     /*  997337 */     // GIR_Coverage, 4819,
     /*  997337 */     GIR_EraseRootFromParent_Done,
     /*  997338 */   // Label 14830: @997338
     /*  997338 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(997415), // Rule ID 4822 //
     /*  997343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  997360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997382 */     // MIs[0] policy
     /*  997382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997413 */     GIR_RootConstrainSelectedInstOperands,
     /*  997414 */     // GIR_Coverage, 4822,
     /*  997414 */     GIR_EraseRootFromParent_Done,
     /*  997415 */   // Label 14831: @997415
     /*  997415 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(997492), // Rule ID 4823 //
     /*  997420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  997437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997459 */     // MIs[0] policy
     /*  997459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997490 */     GIR_RootConstrainSelectedInstOperands,
     /*  997491 */     // GIR_Coverage, 4823,
     /*  997491 */     GIR_EraseRootFromParent_Done,
     /*  997492 */   // Label 14832: @997492
     /*  997492 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(997569), // Rule ID 4826 //
     /*  997497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997536 */     // MIs[0] policy
     /*  997536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997567 */     GIR_RootConstrainSelectedInstOperands,
     /*  997568 */     // GIR_Coverage, 4826,
     /*  997568 */     GIR_EraseRootFromParent_Done,
     /*  997569 */   // Label 14833: @997569
     /*  997569 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(997646), // Rule ID 4827 //
     /*  997574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997613 */     // MIs[0] policy
     /*  997613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997644 */     GIR_RootConstrainSelectedInstOperands,
     /*  997645 */     // GIR_Coverage, 4827,
     /*  997645 */     GIR_EraseRootFromParent_Done,
     /*  997646 */   // Label 14834: @997646
     /*  997646 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(997723), // Rule ID 4830 //
     /*  997651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997690 */     // MIs[0] policy
     /*  997690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997721 */     GIR_RootConstrainSelectedInstOperands,
     /*  997722 */     // GIR_Coverage, 4830,
     /*  997722 */     GIR_EraseRootFromParent_Done,
     /*  997723 */   // Label 14835: @997723
     /*  997723 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(997800), // Rule ID 4831 //
     /*  997728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997767 */     // MIs[0] policy
     /*  997767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997798 */     GIR_RootConstrainSelectedInstOperands,
     /*  997799 */     // GIR_Coverage, 4831,
     /*  997799 */     GIR_EraseRootFromParent_Done,
     /*  997800 */   // Label 14836: @997800
     /*  997800 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(997877), // Rule ID 4834 //
     /*  997805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997844 */     // MIs[0] policy
     /*  997844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997875 */     GIR_RootConstrainSelectedInstOperands,
     /*  997876 */     // GIR_Coverage, 4834,
     /*  997876 */     GIR_EraseRootFromParent_Done,
     /*  997877 */   // Label 14837: @997877
     /*  997877 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997954), // Rule ID 4835 //
     /*  997882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997921 */     // MIs[0] policy
     /*  997921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997931 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997952 */     GIR_RootConstrainSelectedInstOperands,
     /*  997953 */     // GIR_Coverage, 4835,
     /*  997953 */     GIR_EraseRootFromParent_Done,
     /*  997954 */   // Label 14838: @997954
     /*  997954 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(998031), // Rule ID 4838 //
     /*  997959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997998 */     // MIs[0] policy
     /*  997998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  998011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998029 */     GIR_RootConstrainSelectedInstOperands,
     /*  998030 */     // GIR_Coverage, 4838,
     /*  998030 */     GIR_EraseRootFromParent_Done,
     /*  998031 */   // Label 14839: @998031
     /*  998031 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(998108), // Rule ID 4839 //
     /*  998036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998075 */     // MIs[0] policy
     /*  998075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  998088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998106 */     GIR_RootConstrainSelectedInstOperands,
     /*  998107 */     // GIR_Coverage, 4839,
     /*  998107 */     GIR_EraseRootFromParent_Done,
     /*  998108 */   // Label 14840: @998108
     /*  998108 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(998185), // Rule ID 4842 //
     /*  998113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998152 */     // MIs[0] policy
     /*  998152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998183 */     GIR_RootConstrainSelectedInstOperands,
     /*  998184 */     // GIR_Coverage, 4842,
     /*  998184 */     GIR_EraseRootFromParent_Done,
     /*  998185 */   // Label 14841: @998185
     /*  998185 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(998262), // Rule ID 4843 //
     /*  998190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998229 */     // MIs[0] policy
     /*  998229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998260 */     GIR_RootConstrainSelectedInstOperands,
     /*  998261 */     // GIR_Coverage, 4843,
     /*  998261 */     GIR_EraseRootFromParent_Done,
     /*  998262 */   // Label 14842: @998262
     /*  998262 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(998339), // Rule ID 4846 //
     /*  998267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998306 */     // MIs[0] policy
     /*  998306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998337 */     GIR_RootConstrainSelectedInstOperands,
     /*  998338 */     // GIR_Coverage, 4846,
     /*  998338 */     GIR_EraseRootFromParent_Done,
     /*  998339 */   // Label 14843: @998339
     /*  998339 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(998416), // Rule ID 4847 //
     /*  998344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998383 */     // MIs[0] policy
     /*  998383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998414 */     GIR_RootConstrainSelectedInstOperands,
     /*  998415 */     // GIR_Coverage, 4847,
     /*  998415 */     GIR_EraseRootFromParent_Done,
     /*  998416 */   // Label 14844: @998416
     /*  998416 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(998493), // Rule ID 4850 //
     /*  998421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998460 */     // MIs[0] policy
     /*  998460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998491 */     GIR_RootConstrainSelectedInstOperands,
     /*  998492 */     // GIR_Coverage, 4850,
     /*  998492 */     GIR_EraseRootFromParent_Done,
     /*  998493 */   // Label 14845: @998493
     /*  998493 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(998570), // Rule ID 4851 //
     /*  998498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998537 */     // MIs[0] policy
     /*  998537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998568 */     GIR_RootConstrainSelectedInstOperands,
     /*  998569 */     // GIR_Coverage, 4851,
     /*  998569 */     GIR_EraseRootFromParent_Done,
     /*  998570 */   // Label 14846: @998570
     /*  998570 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(998647), // Rule ID 4854 //
     /*  998575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998614 */     // MIs[0] policy
     /*  998614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998645 */     GIR_RootConstrainSelectedInstOperands,
     /*  998646 */     // GIR_Coverage, 4854,
     /*  998646 */     GIR_EraseRootFromParent_Done,
     /*  998647 */   // Label 14847: @998647
     /*  998647 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(998724), // Rule ID 4855 //
     /*  998652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998691 */     // MIs[0] policy
     /*  998691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998701 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998722 */     GIR_RootConstrainSelectedInstOperands,
     /*  998723 */     // GIR_Coverage, 4855,
     /*  998723 */     GIR_EraseRootFromParent_Done,
     /*  998724 */   // Label 14848: @998724
     /*  998724 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(998801), // Rule ID 4858 //
     /*  998729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998768 */     // MIs[0] policy
     /*  998768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998799 */     GIR_RootConstrainSelectedInstOperands,
     /*  998800 */     // GIR_Coverage, 4858,
     /*  998800 */     GIR_EraseRootFromParent_Done,
     /*  998801 */   // Label 14849: @998801
     /*  998801 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(998878), // Rule ID 4859 //
     /*  998806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998845 */     // MIs[0] policy
     /*  998845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998876 */     GIR_RootConstrainSelectedInstOperands,
     /*  998877 */     // GIR_Coverage, 4859,
     /*  998877 */     GIR_EraseRootFromParent_Done,
     /*  998878 */   // Label 14850: @998878
     /*  998878 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998955), // Rule ID 4862 //
     /*  998883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998922 */     // MIs[0] policy
     /*  998922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998953 */     GIR_RootConstrainSelectedInstOperands,
     /*  998954 */     // GIR_Coverage, 4862,
     /*  998954 */     GIR_EraseRootFromParent_Done,
     /*  998955 */   // Label 14851: @998955
     /*  998955 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(999032), // Rule ID 4863 //
     /*  998960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998999 */     // MIs[0] policy
     /*  998999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  999012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999030 */     GIR_RootConstrainSelectedInstOperands,
     /*  999031 */     // GIR_Coverage, 4863,
     /*  999031 */     GIR_EraseRootFromParent_Done,
     /*  999032 */   // Label 14852: @999032
     /*  999032 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(999109), // Rule ID 4866 //
     /*  999037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999076 */     // MIs[0] policy
     /*  999076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999086 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999107 */     GIR_RootConstrainSelectedInstOperands,
     /*  999108 */     // GIR_Coverage, 4866,
     /*  999108 */     GIR_EraseRootFromParent_Done,
     /*  999109 */   // Label 14853: @999109
     /*  999109 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(999186), // Rule ID 4867 //
     /*  999114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999153 */     // MIs[0] policy
     /*  999153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999163 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999184 */     GIR_RootConstrainSelectedInstOperands,
     /*  999185 */     // GIR_Coverage, 4867,
     /*  999185 */     GIR_EraseRootFromParent_Done,
     /*  999186 */   // Label 14854: @999186
     /*  999186 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(999263), // Rule ID 4870 //
     /*  999191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999230 */     // MIs[0] policy
     /*  999230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999261 */     GIR_RootConstrainSelectedInstOperands,
     /*  999262 */     // GIR_Coverage, 4870,
     /*  999262 */     GIR_EraseRootFromParent_Done,
     /*  999263 */   // Label 14855: @999263
     /*  999263 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(999340), // Rule ID 4871 //
     /*  999268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999307 */     // MIs[0] policy
     /*  999307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999338 */     GIR_RootConstrainSelectedInstOperands,
     /*  999339 */     // GIR_Coverage, 4871,
     /*  999339 */     GIR_EraseRootFromParent_Done,
     /*  999340 */   // Label 14856: @999340
     /*  999340 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(999417), // Rule ID 4874 //
     /*  999345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999384 */     // MIs[0] policy
     /*  999384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  999397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999415 */     GIR_RootConstrainSelectedInstOperands,
     /*  999416 */     // GIR_Coverage, 4874,
     /*  999416 */     GIR_EraseRootFromParent_Done,
     /*  999417 */   // Label 14857: @999417
     /*  999417 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(999494), // Rule ID 4875 //
     /*  999422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999461 */     // MIs[0] policy
     /*  999461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  999474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999492 */     GIR_RootConstrainSelectedInstOperands,
     /*  999493 */     // GIR_Coverage, 4875,
     /*  999493 */     GIR_EraseRootFromParent_Done,
     /*  999494 */   // Label 14858: @999494
     /*  999494 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(999571), // Rule ID 4878 //
     /*  999499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999538 */     // MIs[0] policy
     /*  999538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999569 */     GIR_RootConstrainSelectedInstOperands,
     /*  999570 */     // GIR_Coverage, 4878,
     /*  999570 */     GIR_EraseRootFromParent_Done,
     /*  999571 */   // Label 14859: @999571
     /*  999571 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(999648), // Rule ID 4879 //
     /*  999576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999615 */     // MIs[0] policy
     /*  999615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999646 */     GIR_RootConstrainSelectedInstOperands,
     /*  999647 */     // GIR_Coverage, 4879,
     /*  999647 */     GIR_EraseRootFromParent_Done,
     /*  999648 */   // Label 14860: @999648
     /*  999648 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(999725), // Rule ID 4882 //
     /*  999653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999692 */     // MIs[0] policy
     /*  999692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999723 */     GIR_RootConstrainSelectedInstOperands,
     /*  999724 */     // GIR_Coverage, 4882,
     /*  999724 */     GIR_EraseRootFromParent_Done,
     /*  999725 */   // Label 14861: @999725
     /*  999725 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(999802), // Rule ID 4883 //
     /*  999730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999769 */     // MIs[0] policy
     /*  999769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999800 */     GIR_RootConstrainSelectedInstOperands,
     /*  999801 */     // GIR_Coverage, 4883,
     /*  999801 */     GIR_EraseRootFromParent_Done,
     /*  999802 */   // Label 14862: @999802
     /*  999802 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(999879), // Rule ID 4886 //
     /*  999807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999846 */     // MIs[0] policy
     /*  999846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999877 */     GIR_RootConstrainSelectedInstOperands,
     /*  999878 */     // GIR_Coverage, 4886,
     /*  999878 */     GIR_EraseRootFromParent_Done,
     /*  999879 */   // Label 14863: @999879
     /*  999879 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999956), // Rule ID 4887 //
     /*  999884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999923 */     // MIs[0] policy
     /*  999923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999933 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999954 */     GIR_RootConstrainSelectedInstOperands,
     /*  999955 */     // GIR_Coverage, 4887,
     /*  999955 */     GIR_EraseRootFromParent_Done,
     /*  999956 */   // Label 14864: @999956
     /*  999956 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(1000033), // Rule ID 4890 //
     /*  999961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000000 */     // MIs[0] policy
     /* 1000000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1000013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000032 */     // GIR_Coverage, 4890,
     /* 1000032 */     GIR_EraseRootFromParent_Done,
     /* 1000033 */   // Label 14865: @1000033
     /* 1000033 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(1000110), // Rule ID 4891 //
     /* 1000038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000077 */     // MIs[0] policy
     /* 1000077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1000090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000109 */     // GIR_Coverage, 4891,
     /* 1000109 */     GIR_EraseRootFromParent_Done,
     /* 1000110 */   // Label 14866: @1000110
     /* 1000110 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(1000187), // Rule ID 4894 //
     /* 1000115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000154 */     // MIs[0] policy
     /* 1000154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000186 */     // GIR_Coverage, 4894,
     /* 1000186 */     GIR_EraseRootFromParent_Done,
     /* 1000187 */   // Label 14867: @1000187
     /* 1000187 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(1000264), // Rule ID 4895 //
     /* 1000192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000231 */     // MIs[0] policy
     /* 1000231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000241 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000263 */     // GIR_Coverage, 4895,
     /* 1000263 */     GIR_EraseRootFromParent_Done,
     /* 1000264 */   // Label 14868: @1000264
     /* 1000264 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(1000341), // Rule ID 4898 //
     /* 1000269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000308 */     // MIs[0] policy
     /* 1000308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000340 */     // GIR_Coverage, 4898,
     /* 1000340 */     GIR_EraseRootFromParent_Done,
     /* 1000341 */   // Label 14869: @1000341
     /* 1000341 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(1000418), // Rule ID 4899 //
     /* 1000346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000385 */     // MIs[0] policy
     /* 1000385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000395 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000417 */     // GIR_Coverage, 4899,
     /* 1000417 */     GIR_EraseRootFromParent_Done,
     /* 1000418 */   // Label 14870: @1000418
     /* 1000418 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1000495), // Rule ID 4902 //
     /* 1000423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000462 */     // MIs[0] policy
     /* 1000462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000494 */     // GIR_Coverage, 4902,
     /* 1000494 */     GIR_EraseRootFromParent_Done,
     /* 1000495 */   // Label 14871: @1000495
     /* 1000495 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1000572), // Rule ID 4903 //
     /* 1000500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000539 */     // MIs[0] policy
     /* 1000539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000571 */     // GIR_Coverage, 4903,
     /* 1000571 */     GIR_EraseRootFromParent_Done,
     /* 1000572 */   // Label 14872: @1000572
     /* 1000572 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1000649), // Rule ID 4906 //
     /* 1000577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000616 */     // MIs[0] policy
     /* 1000616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000648 */     // GIR_Coverage, 4906,
     /* 1000648 */     GIR_EraseRootFromParent_Done,
     /* 1000649 */   // Label 14873: @1000649
     /* 1000649 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1000726), // Rule ID 4907 //
     /* 1000654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000693 */     // MIs[0] policy
     /* 1000693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000725 */     // GIR_Coverage, 4907,
     /* 1000725 */     GIR_EraseRootFromParent_Done,
     /* 1000726 */   // Label 14874: @1000726
     /* 1000726 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1000803), // Rule ID 4910 //
     /* 1000731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000770 */     // MIs[0] policy
     /* 1000770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000802 */     // GIR_Coverage, 4910,
     /* 1000802 */     GIR_EraseRootFromParent_Done,
     /* 1000803 */   // Label 14875: @1000803
     /* 1000803 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1000880), // Rule ID 4911 //
     /* 1000808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000847 */     // MIs[0] policy
     /* 1000847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000857 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000879 */     // GIR_Coverage, 4911,
     /* 1000879 */     GIR_EraseRootFromParent_Done,
     /* 1000880 */   // Label 14876: @1000880
     /* 1000880 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000957), // Rule ID 4914 //
     /* 1000885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000924 */     // MIs[0] policy
     /* 1000924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000956 */     // GIR_Coverage, 4914,
     /* 1000956 */     GIR_EraseRootFromParent_Done,
     /* 1000957 */   // Label 14877: @1000957
     /* 1000957 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1001034), // Rule ID 4915 //
     /* 1000962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001001 */     // MIs[0] policy
     /* 1001001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001011 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1001014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001033 */     // GIR_Coverage, 4915,
     /* 1001033 */     GIR_EraseRootFromParent_Done,
     /* 1001034 */   // Label 14878: @1001034
     /* 1001034 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1001111), // Rule ID 4918 //
     /* 1001039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001078 */     // MIs[0] policy
     /* 1001078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001110 */     // GIR_Coverage, 4918,
     /* 1001110 */     GIR_EraseRootFromParent_Done,
     /* 1001111 */   // Label 14879: @1001111
     /* 1001111 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1001188), // Rule ID 4919 //
     /* 1001116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001155 */     // MIs[0] policy
     /* 1001155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001187 */     // GIR_Coverage, 4919,
     /* 1001187 */     GIR_EraseRootFromParent_Done,
     /* 1001188 */   // Label 14880: @1001188
     /* 1001188 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1001265), // Rule ID 4922 //
     /* 1001193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001232 */     // MIs[0] policy
     /* 1001232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001264 */     // GIR_Coverage, 4922,
     /* 1001264 */     GIR_EraseRootFromParent_Done,
     /* 1001265 */   // Label 14881: @1001265
     /* 1001265 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1001342), // Rule ID 4923 //
     /* 1001270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001309 */     // MIs[0] policy
     /* 1001309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001341 */     // GIR_Coverage, 4923,
     /* 1001341 */     GIR_EraseRootFromParent_Done,
     /* 1001342 */   // Label 14882: @1001342
     /* 1001342 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1001419), // Rule ID 4926 //
     /* 1001347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001386 */     // MIs[0] policy
     /* 1001386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001418 */     // GIR_Coverage, 4926,
     /* 1001418 */     GIR_EraseRootFromParent_Done,
     /* 1001419 */   // Label 14883: @1001419
     /* 1001419 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1001496), // Rule ID 4927 //
     /* 1001424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001463 */     // MIs[0] policy
     /* 1001463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001495 */     // GIR_Coverage, 4927,
     /* 1001495 */     GIR_EraseRootFromParent_Done,
     /* 1001496 */   // Label 14884: @1001496
     /* 1001496 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1001573), // Rule ID 4930 //
     /* 1001501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001540 */     // MIs[0] policy
     /* 1001540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001572 */     // GIR_Coverage, 4930,
     /* 1001572 */     GIR_EraseRootFromParent_Done,
     /* 1001573 */   // Label 14885: @1001573
     /* 1001573 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1001650), // Rule ID 4931 //
     /* 1001578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001617 */     // MIs[0] policy
     /* 1001617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001649 */     // GIR_Coverage, 4931,
     /* 1001649 */     GIR_EraseRootFromParent_Done,
     /* 1001650 */   // Label 14886: @1001650
     /* 1001650 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1001727), // Rule ID 4934 //
     /* 1001655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001694 */     // MIs[0] policy
     /* 1001694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001726 */     // GIR_Coverage, 4934,
     /* 1001726 */     GIR_EraseRootFromParent_Done,
     /* 1001727 */   // Label 14887: @1001727
     /* 1001727 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1001804), // Rule ID 4935 //
     /* 1001732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001771 */     // MIs[0] policy
     /* 1001771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001781 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001803 */     // GIR_Coverage, 4935,
     /* 1001803 */     GIR_EraseRootFromParent_Done,
     /* 1001804 */   // Label 14888: @1001804
     /* 1001804 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1001881), // Rule ID 4938 //
     /* 1001809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001848 */     // MIs[0] policy
     /* 1001848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001880 */     // GIR_Coverage, 4938,
     /* 1001880 */     GIR_EraseRootFromParent_Done,
     /* 1001881 */   // Label 14889: @1001881
     /* 1001881 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001958), // Rule ID 4939 //
     /* 1001886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001925 */     // MIs[0] policy
     /* 1001925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001935 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001957 */     // GIR_Coverage, 4939,
     /* 1001957 */     GIR_EraseRootFromParent_Done,
     /* 1001958 */   // Label 14890: @1001958
     /* 1001958 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1002035), // Rule ID 4942 //
     /* 1001963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002002 */     // MIs[0] policy
     /* 1002002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002034 */     // GIR_Coverage, 4942,
     /* 1002034 */     GIR_EraseRootFromParent_Done,
     /* 1002035 */   // Label 14891: @1002035
     /* 1002035 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1002112), // Rule ID 4943 //
     /* 1002040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002079 */     // MIs[0] policy
     /* 1002079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002111 */     // GIR_Coverage, 4943,
     /* 1002111 */     GIR_EraseRootFromParent_Done,
     /* 1002112 */   // Label 14892: @1002112
     /* 1002112 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1002189), // Rule ID 4946 //
     /* 1002117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002156 */     // MIs[0] policy
     /* 1002156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002188 */     // GIR_Coverage, 4946,
     /* 1002188 */     GIR_EraseRootFromParent_Done,
     /* 1002189 */   // Label 14893: @1002189
     /* 1002189 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1002266), // Rule ID 4947 //
     /* 1002194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002233 */     // MIs[0] policy
     /* 1002233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002265 */     // GIR_Coverage, 4947,
     /* 1002265 */     GIR_EraseRootFromParent_Done,
     /* 1002266 */   // Label 14894: @1002266
     /* 1002266 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1002343), // Rule ID 4950 //
     /* 1002271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002310 */     // MIs[0] policy
     /* 1002310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1002323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002342 */     // GIR_Coverage, 4950,
     /* 1002342 */     GIR_EraseRootFromParent_Done,
     /* 1002343 */   // Label 14895: @1002343
     /* 1002343 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1002420), // Rule ID 4951 //
     /* 1002348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002387 */     // MIs[0] policy
     /* 1002387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1002400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002419 */     // GIR_Coverage, 4951,
     /* 1002419 */     GIR_EraseRootFromParent_Done,
     /* 1002420 */   // Label 14896: @1002420
     /* 1002420 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1002497), // Rule ID 4954 //
     /* 1002425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002464 */     // MIs[0] policy
     /* 1002464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002496 */     // GIR_Coverage, 4954,
     /* 1002496 */     GIR_EraseRootFromParent_Done,
     /* 1002497 */   // Label 14897: @1002497
     /* 1002497 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1002574), // Rule ID 4955 //
     /* 1002502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002541 */     // MIs[0] policy
     /* 1002541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002573 */     // GIR_Coverage, 4955,
     /* 1002573 */     GIR_EraseRootFromParent_Done,
     /* 1002574 */   // Label 14898: @1002574
     /* 1002574 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1002651), // Rule ID 4958 //
     /* 1002579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002618 */     // MIs[0] policy
     /* 1002618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002650 */     // GIR_Coverage, 4958,
     /* 1002650 */     GIR_EraseRootFromParent_Done,
     /* 1002651 */   // Label 14899: @1002651
     /* 1002651 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1002728), // Rule ID 4959 //
     /* 1002656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002695 */     // MIs[0] policy
     /* 1002695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002727 */     // GIR_Coverage, 4959,
     /* 1002727 */     GIR_EraseRootFromParent_Done,
     /* 1002728 */   // Label 14900: @1002728
     /* 1002728 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1002805), // Rule ID 4962 //
     /* 1002733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002772 */     // MIs[0] policy
     /* 1002772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002804 */     // GIR_Coverage, 4962,
     /* 1002804 */     GIR_EraseRootFromParent_Done,
     /* 1002805 */   // Label 14901: @1002805
     /* 1002805 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1002882), // Rule ID 4963 //
     /* 1002810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002849 */     // MIs[0] policy
     /* 1002849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002881 */     // GIR_Coverage, 4963,
     /* 1002881 */     GIR_EraseRootFromParent_Done,
     /* 1002882 */   // Label 14902: @1002882
     /* 1002882 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002959), // Rule ID 4966 //
     /* 1002887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002926 */     // MIs[0] policy
     /* 1002926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1002939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002958 */     // GIR_Coverage, 4966,
     /* 1002958 */     GIR_EraseRootFromParent_Done,
     /* 1002959 */   // Label 14903: @1002959
     /* 1002959 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1003036), // Rule ID 4967 //
     /* 1002964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003003 */     // MIs[0] policy
     /* 1003003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003013 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003035 */     // GIR_Coverage, 4967,
     /* 1003035 */     GIR_EraseRootFromParent_Done,
     /* 1003036 */   // Label 14904: @1003036
     /* 1003036 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1003113), // Rule ID 4970 //
     /* 1003041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003080 */     // MIs[0] policy
     /* 1003080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003112 */     // GIR_Coverage, 4970,
     /* 1003112 */     GIR_EraseRootFromParent_Done,
     /* 1003113 */   // Label 14905: @1003113
     /* 1003113 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1003190), // Rule ID 4971 //
     /* 1003118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003157 */     // MIs[0] policy
     /* 1003157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003189 */     // GIR_Coverage, 4971,
     /* 1003189 */     GIR_EraseRootFromParent_Done,
     /* 1003190 */   // Label 14906: @1003190
     /* 1003190 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1003267), // Rule ID 4974 //
     /* 1003195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003234 */     // MIs[0] policy
     /* 1003234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003266 */     // GIR_Coverage, 4974,
     /* 1003266 */     GIR_EraseRootFromParent_Done,
     /* 1003267 */   // Label 14907: @1003267
     /* 1003267 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1003344), // Rule ID 4975 //
     /* 1003272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003311 */     // MIs[0] policy
     /* 1003311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003343 */     // GIR_Coverage, 4975,
     /* 1003343 */     GIR_EraseRootFromParent_Done,
     /* 1003344 */   // Label 14908: @1003344
     /* 1003344 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1003421), // Rule ID 4978 //
     /* 1003349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003388 */     // MIs[0] policy
     /* 1003388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003420 */     // GIR_Coverage, 4978,
     /* 1003420 */     GIR_EraseRootFromParent_Done,
     /* 1003421 */   // Label 14909: @1003421
     /* 1003421 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1003498), // Rule ID 4979 //
     /* 1003426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003465 */     // MIs[0] policy
     /* 1003465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003475 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003497 */     // GIR_Coverage, 4979,
     /* 1003497 */     GIR_EraseRootFromParent_Done,
     /* 1003498 */   // Label 14910: @1003498
     /* 1003498 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1003575), // Rule ID 4982 //
     /* 1003503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003542 */     // MIs[0] policy
     /* 1003542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003574 */     // GIR_Coverage, 4982,
     /* 1003574 */     GIR_EraseRootFromParent_Done,
     /* 1003575 */   // Label 14911: @1003575
     /* 1003575 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1003652), // Rule ID 4983 //
     /* 1003580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003619 */     // MIs[0] policy
     /* 1003619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003629 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003651 */     // GIR_Coverage, 4983,
     /* 1003651 */     GIR_EraseRootFromParent_Done,
     /* 1003652 */   // Label 14912: @1003652
     /* 1003652 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1003729), // Rule ID 4986 //
     /* 1003657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003696 */     // MIs[0] policy
     /* 1003696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003728 */     // GIR_Coverage, 4986,
     /* 1003728 */     GIR_EraseRootFromParent_Done,
     /* 1003729 */   // Label 14913: @1003729
     /* 1003729 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1003806), // Rule ID 4987 //
     /* 1003734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003773 */     // MIs[0] policy
     /* 1003773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003805 */     // GIR_Coverage, 4987,
     /* 1003805 */     GIR_EraseRootFromParent_Done,
     /* 1003806 */   // Label 14914: @1003806
     /* 1003806 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1003883), // Rule ID 4990 //
     /* 1003811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003850 */     // MIs[0] policy
     /* 1003850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003882 */     // GIR_Coverage, 4990,
     /* 1003882 */     GIR_EraseRootFromParent_Done,
     /* 1003883 */   // Label 14915: @1003883
     /* 1003883 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003960), // Rule ID 4991 //
     /* 1003888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003927 */     // MIs[0] policy
     /* 1003927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003959 */     // GIR_Coverage, 4991,
     /* 1003959 */     GIR_EraseRootFromParent_Done,
     /* 1003960 */   // Label 14916: @1003960
     /* 1003960 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1004037), // Rule ID 4994 //
     /* 1003965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004004 */     // MIs[0] policy
     /* 1004004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1004017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004036 */     // GIR_Coverage, 4994,
     /* 1004036 */     GIR_EraseRootFromParent_Done,
     /* 1004037 */   // Label 14917: @1004037
     /* 1004037 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1004114), // Rule ID 4995 //
     /* 1004042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004081 */     // MIs[0] policy
     /* 1004081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1004094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004113 */     // GIR_Coverage, 4995,
     /* 1004113 */     GIR_EraseRootFromParent_Done,
     /* 1004114 */   // Label 14918: @1004114
     /* 1004114 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1004191), // Rule ID 4998 //
     /* 1004119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004158 */     // MIs[0] policy
     /* 1004158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1004171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004190 */     // GIR_Coverage, 4998,
     /* 1004190 */     GIR_EraseRootFromParent_Done,
     /* 1004191 */   // Label 14919: @1004191
     /* 1004191 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1004268), // Rule ID 4999 //
     /* 1004196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004235 */     // MIs[0] policy
     /* 1004235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004245 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1004248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004267 */     // GIR_Coverage, 4999,
     /* 1004267 */     GIR_EraseRootFromParent_Done,
     /* 1004268 */   // Label 14920: @1004268
     /* 1004268 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1004345), // Rule ID 12610 //
     /* 1004273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1004293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004312 */     // MIs[0] policy
     /* 1004312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004344 */     // GIR_Coverage, 12610,
     /* 1004344 */     GIR_EraseRootFromParent_Done,
     /* 1004345 */   // Label 14921: @1004345
     /* 1004345 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1004422), // Rule ID 12611 //
     /* 1004350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1004370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004389 */     // MIs[0] policy
     /* 1004389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004399 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004421 */     // GIR_Coverage, 12611,
     /* 1004421 */     GIR_EraseRootFromParent_Done,
     /* 1004422 */   // Label 14922: @1004422
     /* 1004422 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1004499), // Rule ID 12614 //
     /* 1004427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004466 */     // MIs[0] policy
     /* 1004466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004498 */     // GIR_Coverage, 12614,
     /* 1004498 */     GIR_EraseRootFromParent_Done,
     /* 1004499 */   // Label 14923: @1004499
     /* 1004499 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1004576), // Rule ID 12615 //
     /* 1004504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004543 */     // MIs[0] policy
     /* 1004543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004553 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004575 */     // GIR_Coverage, 12615,
     /* 1004575 */     GIR_EraseRootFromParent_Done,
     /* 1004576 */   // Label 14924: @1004576
     /* 1004576 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1004653), // Rule ID 12618 //
     /* 1004581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004620 */     // MIs[0] policy
     /* 1004620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004652 */     // GIR_Coverage, 12618,
     /* 1004652 */     GIR_EraseRootFromParent_Done,
     /* 1004653 */   // Label 14925: @1004653
     /* 1004653 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1004730), // Rule ID 12619 //
     /* 1004658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004697 */     // MIs[0] policy
     /* 1004697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004729 */     // GIR_Coverage, 12619,
     /* 1004729 */     GIR_EraseRootFromParent_Done,
     /* 1004730 */   // Label 14926: @1004730
     /* 1004730 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1004807), // Rule ID 12622 //
     /* 1004735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004774 */     // MIs[0] policy
     /* 1004774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004806 */     // GIR_Coverage, 12622,
     /* 1004806 */     GIR_EraseRootFromParent_Done,
     /* 1004807 */   // Label 14927: @1004807
     /* 1004807 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1004884), // Rule ID 12623 //
     /* 1004812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004851 */     // MIs[0] policy
     /* 1004851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004861 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004883 */     // GIR_Coverage, 12623,
     /* 1004883 */     GIR_EraseRootFromParent_Done,
     /* 1004884 */   // Label 14928: @1004884
     /* 1004884 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004961), // Rule ID 12626 //
     /* 1004889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004928 */     // MIs[0] policy
     /* 1004928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004938 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004960 */     // GIR_Coverage, 12626,
     /* 1004960 */     GIR_EraseRootFromParent_Done,
     /* 1004961 */   // Label 14929: @1004961
     /* 1004961 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1005038), // Rule ID 12627 //
     /* 1004966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005005 */     // MIs[0] policy
     /* 1005005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005037 */     // GIR_Coverage, 12627,
     /* 1005037 */     GIR_EraseRootFromParent_Done,
     /* 1005038 */   // Label 14930: @1005038
     /* 1005038 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1005115), // Rule ID 12630 //
     /* 1005043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005082 */     // MIs[0] policy
     /* 1005082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005114 */     // GIR_Coverage, 12630,
     /* 1005114 */     GIR_EraseRootFromParent_Done,
     /* 1005115 */   // Label 14931: @1005115
     /* 1005115 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1005192), // Rule ID 12631 //
     /* 1005120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005159 */     // MIs[0] policy
     /* 1005159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005191 */     // GIR_Coverage, 12631,
     /* 1005191 */     GIR_EraseRootFromParent_Done,
     /* 1005192 */   // Label 14932: @1005192
     /* 1005192 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1005269), // Rule ID 12634 //
     /* 1005197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005236 */     // MIs[0] policy
     /* 1005236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005268 */     // GIR_Coverage, 12634,
     /* 1005268 */     GIR_EraseRootFromParent_Done,
     /* 1005269 */   // Label 14933: @1005269
     /* 1005269 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1005346), // Rule ID 12635 //
     /* 1005274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005313 */     // MIs[0] policy
     /* 1005313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005345 */     // GIR_Coverage, 12635,
     /* 1005345 */     GIR_EraseRootFromParent_Done,
     /* 1005346 */   // Label 14934: @1005346
     /* 1005346 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1005423), // Rule ID 12638 //
     /* 1005351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005390 */     // MIs[0] policy
     /* 1005390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005422 */     // GIR_Coverage, 12638,
     /* 1005422 */     GIR_EraseRootFromParent_Done,
     /* 1005423 */   // Label 14935: @1005423
     /* 1005423 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1005500), // Rule ID 12639 //
     /* 1005428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005467 */     // MIs[0] policy
     /* 1005467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005499 */     // GIR_Coverage, 12639,
     /* 1005499 */     GIR_EraseRootFromParent_Done,
     /* 1005500 */   // Label 14936: @1005500
     /* 1005500 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1005577), // Rule ID 12642 //
     /* 1005505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005544 */     // MIs[0] policy
     /* 1005544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005576 */     // GIR_Coverage, 12642,
     /* 1005576 */     GIR_EraseRootFromParent_Done,
     /* 1005577 */   // Label 14937: @1005577
     /* 1005577 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1005654), // Rule ID 12643 //
     /* 1005582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005621 */     // MIs[0] policy
     /* 1005621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005631 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005653 */     // GIR_Coverage, 12643,
     /* 1005653 */     GIR_EraseRootFromParent_Done,
     /* 1005654 */   // Label 14938: @1005654
     /* 1005654 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1005731), // Rule ID 12646 //
     /* 1005659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005698 */     // MIs[0] policy
     /* 1005698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005730 */     // GIR_Coverage, 12646,
     /* 1005730 */     GIR_EraseRootFromParent_Done,
     /* 1005731 */   // Label 14939: @1005731
     /* 1005731 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1005808), // Rule ID 12647 //
     /* 1005736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005775 */     // MIs[0] policy
     /* 1005775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005785 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005807 */     // GIR_Coverage, 12647,
     /* 1005807 */     GIR_EraseRootFromParent_Done,
     /* 1005808 */   // Label 14940: @1005808
     /* 1005808 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1005885), // Rule ID 12650 //
     /* 1005813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005852 */     // MIs[0] policy
     /* 1005852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005862 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005884 */     // GIR_Coverage, 12650,
     /* 1005884 */     GIR_EraseRootFromParent_Done,
     /* 1005885 */   // Label 14941: @1005885
     /* 1005885 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005962), // Rule ID 12651 //
     /* 1005890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005929 */     // MIs[0] policy
     /* 1005929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005961 */     // GIR_Coverage, 12651,
     /* 1005961 */     GIR_EraseRootFromParent_Done,
     /* 1005962 */   // Label 14942: @1005962
     /* 1005962 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1006039), // Rule ID 12654 //
     /* 1005967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1005987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006006 */     // MIs[0] policy
     /* 1006006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006038 */     // GIR_Coverage, 12654,
     /* 1006038 */     GIR_EraseRootFromParent_Done,
     /* 1006039 */   // Label 14943: @1006039
     /* 1006039 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1006116), // Rule ID 12655 //
     /* 1006044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1006064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006083 */     // MIs[0] policy
     /* 1006083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006115 */     // GIR_Coverage, 12655,
     /* 1006115 */     GIR_EraseRootFromParent_Done,
     /* 1006116 */   // Label 14944: @1006116
     /* 1006116 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1006193), // Rule ID 12658 //
     /* 1006121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006160 */     // MIs[0] policy
     /* 1006160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006192 */     // GIR_Coverage, 12658,
     /* 1006192 */     GIR_EraseRootFromParent_Done,
     /* 1006193 */   // Label 14945: @1006193
     /* 1006193 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1006270), // Rule ID 12659 //
     /* 1006198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006237 */     // MIs[0] policy
     /* 1006237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006269 */     // GIR_Coverage, 12659,
     /* 1006269 */     GIR_EraseRootFromParent_Done,
     /* 1006270 */   // Label 14946: @1006270
     /* 1006270 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1006347), // Rule ID 12662 //
     /* 1006275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1006295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006314 */     // MIs[0] policy
     /* 1006314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006346 */     // GIR_Coverage, 12662,
     /* 1006346 */     GIR_EraseRootFromParent_Done,
     /* 1006347 */   // Label 14947: @1006347
     /* 1006347 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1006424), // Rule ID 12663 //
     /* 1006352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1006372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006391 */     // MIs[0] policy
     /* 1006391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006401 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006423 */     // GIR_Coverage, 12663,
     /* 1006423 */     GIR_EraseRootFromParent_Done,
     /* 1006424 */   // Label 14948: @1006424
     /* 1006424 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1006501), // Rule ID 12666 //
     /* 1006429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006468 */     // MIs[0] policy
     /* 1006468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006500 */     // GIR_Coverage, 12666,
     /* 1006500 */     GIR_EraseRootFromParent_Done,
     /* 1006501 */   // Label 14949: @1006501
     /* 1006501 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1006578), // Rule ID 12667 //
     /* 1006506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006545 */     // MIs[0] policy
     /* 1006545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006555 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006577 */     // GIR_Coverage, 12667,
     /* 1006577 */     GIR_EraseRootFromParent_Done,
     /* 1006578 */   // Label 14950: @1006578
     /* 1006578 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1006655), // Rule ID 12670 //
     /* 1006583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006622 */     // MIs[0] policy
     /* 1006622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006654 */     // GIR_Coverage, 12670,
     /* 1006654 */     GIR_EraseRootFromParent_Done,
     /* 1006655 */   // Label 14951: @1006655
     /* 1006655 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1006732), // Rule ID 12671 //
     /* 1006660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006699 */     // MIs[0] policy
     /* 1006699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006731 */     // GIR_Coverage, 12671,
     /* 1006731 */     GIR_EraseRootFromParent_Done,
     /* 1006732 */   // Label 14952: @1006732
     /* 1006732 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1006809), // Rule ID 12674 //
     /* 1006737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006776 */     // MIs[0] policy
     /* 1006776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006808 */     // GIR_Coverage, 12674,
     /* 1006808 */     GIR_EraseRootFromParent_Done,
     /* 1006809 */   // Label 14953: @1006809
     /* 1006809 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1006886), // Rule ID 12675 //
     /* 1006814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006853 */     // MIs[0] policy
     /* 1006853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006885 */     // GIR_Coverage, 12675,
     /* 1006885 */     GIR_EraseRootFromParent_Done,
     /* 1006886 */   // Label 14954: @1006886
     /* 1006886 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006963), // Rule ID 12678 //
     /* 1006891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006930 */     // MIs[0] policy
     /* 1006930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006962 */     // GIR_Coverage, 12678,
     /* 1006962 */     GIR_EraseRootFromParent_Done,
     /* 1006963 */   // Label 14955: @1006963
     /* 1006963 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1007040), // Rule ID 12679 //
     /* 1006968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007007 */     // MIs[0] policy
     /* 1007007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007039 */     // GIR_Coverage, 12679,
     /* 1007039 */     GIR_EraseRootFromParent_Done,
     /* 1007040 */   // Label 14956: @1007040
     /* 1007040 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1007117), // Rule ID 12682 //
     /* 1007045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007084 */     // MIs[0] policy
     /* 1007084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007116 */     // GIR_Coverage, 12682,
     /* 1007116 */     GIR_EraseRootFromParent_Done,
     /* 1007117 */   // Label 14957: @1007117
     /* 1007117 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1007194), // Rule ID 12683 //
     /* 1007122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007161 */     // MIs[0] policy
     /* 1007161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007171 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007193 */     // GIR_Coverage, 12683,
     /* 1007193 */     GIR_EraseRootFromParent_Done,
     /* 1007194 */   // Label 14958: @1007194
     /* 1007194 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1007271), // Rule ID 12686 //
     /* 1007199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007238 */     // MIs[0] policy
     /* 1007238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007270 */     // GIR_Coverage, 12686,
     /* 1007270 */     GIR_EraseRootFromParent_Done,
     /* 1007271 */   // Label 14959: @1007271
     /* 1007271 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1007348), // Rule ID 12687 //
     /* 1007276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007315 */     // MIs[0] policy
     /* 1007315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007325 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007347 */     // GIR_Coverage, 12687,
     /* 1007347 */     GIR_EraseRootFromParent_Done,
     /* 1007348 */   // Label 14960: @1007348
     /* 1007348 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1007425), // Rule ID 12690 //
     /* 1007353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007392 */     // MIs[0] policy
     /* 1007392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007424 */     // GIR_Coverage, 12690,
     /* 1007424 */     GIR_EraseRootFromParent_Done,
     /* 1007425 */   // Label 14961: @1007425
     /* 1007425 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1007502), // Rule ID 12691 //
     /* 1007430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007469 */     // MIs[0] policy
     /* 1007469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007479 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007501 */     // GIR_Coverage, 12691,
     /* 1007501 */     GIR_EraseRootFromParent_Done,
     /* 1007502 */   // Label 14962: @1007502
     /* 1007502 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1007579), // Rule ID 12694 //
     /* 1007507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007546 */     // MIs[0] policy
     /* 1007546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007578 */     // GIR_Coverage, 12694,
     /* 1007578 */     GIR_EraseRootFromParent_Done,
     /* 1007579 */   // Label 14963: @1007579
     /* 1007579 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1007656), // Rule ID 12695 //
     /* 1007584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007623 */     // MIs[0] policy
     /* 1007623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007655 */     // GIR_Coverage, 12695,
     /* 1007655 */     GIR_EraseRootFromParent_Done,
     /* 1007656 */   // Label 14964: @1007656
     /* 1007656 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1007733), // Rule ID 12698 //
     /* 1007661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007700 */     // MIs[0] policy
     /* 1007700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007710 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007732 */     // GIR_Coverage, 12698,
     /* 1007732 */     GIR_EraseRootFromParent_Done,
     /* 1007733 */   // Label 14965: @1007733
     /* 1007733 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1007810), // Rule ID 12699 //
     /* 1007738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007777 */     // MIs[0] policy
     /* 1007777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007787 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007809 */     // GIR_Coverage, 12699,
     /* 1007809 */     GIR_EraseRootFromParent_Done,
     /* 1007810 */   // Label 14966: @1007810
     /* 1007810 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1007887), // Rule ID 12702 //
     /* 1007815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007854 */     // MIs[0] policy
     /* 1007854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007886 */     // GIR_Coverage, 12702,
     /* 1007886 */     GIR_EraseRootFromParent_Done,
     /* 1007887 */   // Label 14967: @1007887
     /* 1007887 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007964), // Rule ID 12703 //
     /* 1007892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007931 */     // MIs[0] policy
     /* 1007931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007941 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007963 */     // GIR_Coverage, 12703,
     /* 1007963 */     GIR_EraseRootFromParent_Done,
     /* 1007964 */   // Label 14968: @1007964
     /* 1007964 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1008041), // Rule ID 12706 //
     /* 1007969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1007989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008008 */     // MIs[0] policy
     /* 1008008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008040 */     // GIR_Coverage, 12706,
     /* 1008040 */     GIR_EraseRootFromParent_Done,
     /* 1008041 */   // Label 14969: @1008041
     /* 1008041 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1008118), // Rule ID 12707 //
     /* 1008046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008085 */     // MIs[0] policy
     /* 1008085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008095 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008117 */     // GIR_Coverage, 12707,
     /* 1008117 */     GIR_EraseRootFromParent_Done,
     /* 1008118 */   // Label 14970: @1008118
     /* 1008118 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1008195), // Rule ID 12710 //
     /* 1008123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008162 */     // MIs[0] policy
     /* 1008162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008194 */     // GIR_Coverage, 12710,
     /* 1008194 */     GIR_EraseRootFromParent_Done,
     /* 1008195 */   // Label 14971: @1008195
     /* 1008195 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1008272), // Rule ID 12711 //
     /* 1008200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008239 */     // MIs[0] policy
     /* 1008239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008271 */     // GIR_Coverage, 12711,
     /* 1008271 */     GIR_EraseRootFromParent_Done,
     /* 1008272 */   // Label 14972: @1008272
     /* 1008272 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1008349), // Rule ID 12714 //
     /* 1008277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1008297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008316 */     // MIs[0] policy
     /* 1008316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008348 */     // GIR_Coverage, 12714,
     /* 1008348 */     GIR_EraseRootFromParent_Done,
     /* 1008349 */   // Label 14973: @1008349
     /* 1008349 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1008426), // Rule ID 12715 //
     /* 1008354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1008374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008393 */     // MIs[0] policy
     /* 1008393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008425 */     // GIR_Coverage, 12715,
     /* 1008425 */     GIR_EraseRootFromParent_Done,
     /* 1008426 */   // Label 14974: @1008426
     /* 1008426 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1008503), // Rule ID 12718 //
     /* 1008431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008470 */     // MIs[0] policy
     /* 1008470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008480 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008502 */     // GIR_Coverage, 12718,
     /* 1008502 */     GIR_EraseRootFromParent_Done,
     /* 1008503 */   // Label 14975: @1008503
     /* 1008503 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1008580), // Rule ID 12719 //
     /* 1008508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008547 */     // MIs[0] policy
     /* 1008547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008579 */     // GIR_Coverage, 12719,
     /* 1008579 */     GIR_EraseRootFromParent_Done,
     /* 1008580 */   // Label 14976: @1008580
     /* 1008580 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1008657), // Rule ID 12722 //
     /* 1008585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008624 */     // MIs[0] policy
     /* 1008624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008656 */     // GIR_Coverage, 12722,
     /* 1008656 */     GIR_EraseRootFromParent_Done,
     /* 1008657 */   // Label 14977: @1008657
     /* 1008657 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1008734), // Rule ID 12723 //
     /* 1008662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008701 */     // MIs[0] policy
     /* 1008701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008733 */     // GIR_Coverage, 12723,
     /* 1008733 */     GIR_EraseRootFromParent_Done,
     /* 1008734 */   // Label 14978: @1008734
     /* 1008734 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1008811), // Rule ID 12726 //
     /* 1008739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008778 */     // MIs[0] policy
     /* 1008778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008810 */     // GIR_Coverage, 12726,
     /* 1008810 */     GIR_EraseRootFromParent_Done,
     /* 1008811 */   // Label 14979: @1008811
     /* 1008811 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1008888), // Rule ID 12727 //
     /* 1008816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008855 */     // MIs[0] policy
     /* 1008855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008865 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008887 */     // GIR_Coverage, 12727,
     /* 1008887 */     GIR_EraseRootFromParent_Done,
     /* 1008888 */   // Label 14980: @1008888
     /* 1008888 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008965), // Rule ID 12730 //
     /* 1008893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1008896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008932 */     // MIs[0] policy
     /* 1008932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008964 */     // GIR_Coverage, 12730,
     /* 1008964 */     GIR_EraseRootFromParent_Done,
     /* 1008965 */   // Label 14981: @1008965
     /* 1008965 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1009042), // Rule ID 12731 //
     /* 1008970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1008973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009009 */     // MIs[0] policy
     /* 1009009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009019 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009041 */     // GIR_Coverage, 12731,
     /* 1009041 */     GIR_EraseRootFromParent_Done,
     /* 1009042 */   // Label 14982: @1009042
     /* 1009042 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1009119), // Rule ID 12734 //
     /* 1009047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009086 */     // MIs[0] policy
     /* 1009086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009118 */     // GIR_Coverage, 12734,
     /* 1009118 */     GIR_EraseRootFromParent_Done,
     /* 1009119 */   // Label 14983: @1009119
     /* 1009119 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1009196), // Rule ID 12735 //
     /* 1009124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009163 */     // MIs[0] policy
     /* 1009163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009173 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009195 */     // GIR_Coverage, 12735,
     /* 1009195 */     GIR_EraseRootFromParent_Done,
     /* 1009196 */   // Label 14984: @1009196
     /* 1009196 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1009273), // Rule ID 12738 //
     /* 1009201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009240 */     // MIs[0] policy
     /* 1009240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009250 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009272 */     // GIR_Coverage, 12738,
     /* 1009272 */     GIR_EraseRootFromParent_Done,
     /* 1009273 */   // Label 14985: @1009273
     /* 1009273 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1009350), // Rule ID 12739 //
     /* 1009278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009317 */     // MIs[0] policy
     /* 1009317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009349 */     // GIR_Coverage, 12739,
     /* 1009349 */     GIR_EraseRootFromParent_Done,
     /* 1009350 */   // Label 14986: @1009350
     /* 1009350 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1009427), // Rule ID 12742 //
     /* 1009355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009394 */     // MIs[0] policy
     /* 1009394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009404 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009426 */     // GIR_Coverage, 12742,
     /* 1009426 */     GIR_EraseRootFromParent_Done,
     /* 1009427 */   // Label 14987: @1009427
     /* 1009427 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1009504), // Rule ID 12743 //
     /* 1009432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009471 */     // MIs[0] policy
     /* 1009471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009503 */     // GIR_Coverage, 12743,
     /* 1009503 */     GIR_EraseRootFromParent_Done,
     /* 1009504 */   // Label 14988: @1009504
     /* 1009504 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1009581), // Rule ID 12746 //
     /* 1009509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009548 */     // MIs[0] policy
     /* 1009548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009580 */     // GIR_Coverage, 12746,
     /* 1009580 */     GIR_EraseRootFromParent_Done,
     /* 1009581 */   // Label 14989: @1009581
     /* 1009581 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1009658), // Rule ID 12747 //
     /* 1009586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009625 */     // MIs[0] policy
     /* 1009625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009657 */     // GIR_Coverage, 12747,
     /* 1009657 */     GIR_EraseRootFromParent_Done,
     /* 1009658 */   // Label 14990: @1009658
     /* 1009658 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1009735), // Rule ID 12750 //
     /* 1009663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009702 */     // MIs[0] policy
     /* 1009702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009734 */     // GIR_Coverage, 12750,
     /* 1009734 */     GIR_EraseRootFromParent_Done,
     /* 1009735 */   // Label 14991: @1009735
     /* 1009735 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1009812), // Rule ID 12751 //
     /* 1009740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009779 */     // MIs[0] policy
     /* 1009779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009811 */     // GIR_Coverage, 12751,
     /* 1009811 */     GIR_EraseRootFromParent_Done,
     /* 1009812 */   // Label 14992: @1009812
     /* 1009812 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1009889), // Rule ID 12754 //
     /* 1009817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009856 */     // MIs[0] policy
     /* 1009856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009888 */     // GIR_Coverage, 12754,
     /* 1009888 */     GIR_EraseRootFromParent_Done,
     /* 1009889 */   // Label 14993: @1009889
     /* 1009889 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009966), // Rule ID 12755 //
     /* 1009894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009933 */     // MIs[0] policy
     /* 1009933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009965 */     // GIR_Coverage, 12755,
     /* 1009965 */     GIR_EraseRootFromParent_Done,
     /* 1009966 */   // Label 14994: @1009966
     /* 1009966 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1010043), // Rule ID 12758 //
     /* 1009971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1009982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1009985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1009991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010010 */     // MIs[0] policy
     /* 1010010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010042 */     // GIR_Coverage, 12758,
     /* 1010042 */     GIR_EraseRootFromParent_Done,
     /* 1010043 */   // Label 14995: @1010043
     /* 1010043 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1010120), // Rule ID 12759 //
     /* 1010048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010087 */     // MIs[0] policy
     /* 1010087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010119 */     // GIR_Coverage, 12759,
     /* 1010119 */     GIR_EraseRootFromParent_Done,
     /* 1010120 */   // Label 14996: @1010120
     /* 1010120 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1010197), // Rule ID 12762 //
     /* 1010125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010164 */     // MIs[0] policy
     /* 1010164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010196 */     // GIR_Coverage, 12762,
     /* 1010196 */     GIR_EraseRootFromParent_Done,
     /* 1010197 */   // Label 14997: @1010197
     /* 1010197 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1010274), // Rule ID 12763 //
     /* 1010202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010241 */     // MIs[0] policy
     /* 1010241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010273 */     // GIR_Coverage, 12763,
     /* 1010273 */     GIR_EraseRootFromParent_Done,
     /* 1010274 */   // Label 14998: @1010274
     /* 1010274 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1010351), // Rule ID 12766 //
     /* 1010279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1010299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010318 */     // MIs[0] policy
     /* 1010318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010350 */     // GIR_Coverage, 12766,
     /* 1010350 */     GIR_EraseRootFromParent_Done,
     /* 1010351 */   // Label 14999: @1010351
     /* 1010351 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1010428), // Rule ID 12767 //
     /* 1010356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1010376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010395 */     // MIs[0] policy
     /* 1010395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010405 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010427 */     // GIR_Coverage, 12767,
     /* 1010427 */     GIR_EraseRootFromParent_Done,
     /* 1010428 */   // Label 15000: @1010428
     /* 1010428 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1010505), // Rule ID 12770 //
     /* 1010433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010472 */     // MIs[0] policy
     /* 1010472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010504 */     // GIR_Coverage, 12770,
     /* 1010504 */     GIR_EraseRootFromParent_Done,
     /* 1010505 */   // Label 15001: @1010505
     /* 1010505 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1010582), // Rule ID 12771 //
     /* 1010510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010549 */     // MIs[0] policy
     /* 1010549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010581 */     // GIR_Coverage, 12771,
     /* 1010581 */     GIR_EraseRootFromParent_Done,
     /* 1010582 */   // Label 15002: @1010582
     /* 1010582 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1010659), // Rule ID 12774 //
     /* 1010587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010626 */     // MIs[0] policy
     /* 1010626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010658 */     // GIR_Coverage, 12774,
     /* 1010658 */     GIR_EraseRootFromParent_Done,
     /* 1010659 */   // Label 15003: @1010659
     /* 1010659 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1010736), // Rule ID 12775 //
     /* 1010664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010703 */     // MIs[0] policy
     /* 1010703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010735 */     // GIR_Coverage, 12775,
     /* 1010735 */     GIR_EraseRootFromParent_Done,
     /* 1010736 */   // Label 15004: @1010736
     /* 1010736 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1010813), // Rule ID 12778 //
     /* 1010741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010780 */     // MIs[0] policy
     /* 1010780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010812 */     // GIR_Coverage, 12778,
     /* 1010812 */     GIR_EraseRootFromParent_Done,
     /* 1010813 */   // Label 15005: @1010813
     /* 1010813 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1010890), // Rule ID 12779 //
     /* 1010818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010857 */     // MIs[0] policy
     /* 1010857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010867 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010889 */     // GIR_Coverage, 12779,
     /* 1010889 */     GIR_EraseRootFromParent_Done,
     /* 1010890 */   // Label 15006: @1010890
     /* 1010890 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010967), // Rule ID 12782 //
     /* 1010895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010934 */     // MIs[0] policy
     /* 1010934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010944 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1010947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010966 */     // GIR_Coverage, 12782,
     /* 1010966 */     GIR_EraseRootFromParent_Done,
     /* 1010967 */   // Label 15007: @1010967
     /* 1010967 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1011044), // Rule ID 12783 //
     /* 1010972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011011 */     // MIs[0] policy
     /* 1011011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011021 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1011024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011043 */     // GIR_Coverage, 12783,
     /* 1011043 */     GIR_EraseRootFromParent_Done,
     /* 1011044 */   // Label 15008: @1011044
     /* 1011044 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1011121), // Rule ID 12786 //
     /* 1011049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011088 */     // MIs[0] policy
     /* 1011088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011120 */     // GIR_Coverage, 12786,
     /* 1011120 */     GIR_EraseRootFromParent_Done,
     /* 1011121 */   // Label 15009: @1011121
     /* 1011121 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1011198), // Rule ID 12787 //
     /* 1011126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011165 */     // MIs[0] policy
     /* 1011165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011175 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011197 */     // GIR_Coverage, 12787,
     /* 1011197 */     GIR_EraseRootFromParent_Done,
     /* 1011198 */   // Label 15010: @1011198
     /* 1011198 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1011275), // Rule ID 12790 //
     /* 1011203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011242 */     // MIs[0] policy
     /* 1011242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011274 */     // GIR_Coverage, 12790,
     /* 1011274 */     GIR_EraseRootFromParent_Done,
     /* 1011275 */   // Label 15011: @1011275
     /* 1011275 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1011352), // Rule ID 12791 //
     /* 1011280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011319 */     // MIs[0] policy
     /* 1011319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011329 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011351 */     // GIR_Coverage, 12791,
     /* 1011351 */     GIR_EraseRootFromParent_Done,
     /* 1011352 */   // Label 15012: @1011352
     /* 1011352 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1011429), // Rule ID 12794 //
     /* 1011357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011396 */     // MIs[0] policy
     /* 1011396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011428 */     // GIR_Coverage, 12794,
     /* 1011428 */     GIR_EraseRootFromParent_Done,
     /* 1011429 */   // Label 15013: @1011429
     /* 1011429 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1011506), // Rule ID 12795 //
     /* 1011434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011473 */     // MIs[0] policy
     /* 1011473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011505 */     // GIR_Coverage, 12795,
     /* 1011505 */     GIR_EraseRootFromParent_Done,
     /* 1011506 */   // Label 15014: @1011506
     /* 1011506 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1011583), // Rule ID 12798 //
     /* 1011511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011550 */     // MIs[0] policy
     /* 1011550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011582 */     // GIR_Coverage, 12798,
     /* 1011582 */     GIR_EraseRootFromParent_Done,
     /* 1011583 */   // Label 15015: @1011583
     /* 1011583 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1011660), // Rule ID 12799 //
     /* 1011588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011627 */     // MIs[0] policy
     /* 1011627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011637 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011659 */     // GIR_Coverage, 12799,
     /* 1011659 */     GIR_EraseRootFromParent_Done,
     /* 1011660 */   // Label 15016: @1011660
     /* 1011660 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1011737), // Rule ID 12802 //
     /* 1011665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011704 */     // MIs[0] policy
     /* 1011704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011736 */     // GIR_Coverage, 12802,
     /* 1011736 */     GIR_EraseRootFromParent_Done,
     /* 1011737 */   // Label 15017: @1011737
     /* 1011737 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1011814), // Rule ID 12803 //
     /* 1011742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011781 */     // MIs[0] policy
     /* 1011781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011813 */     // GIR_Coverage, 12803,
     /* 1011813 */     GIR_EraseRootFromParent_Done,
     /* 1011814 */   // Label 15018: @1011814
     /* 1011814 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1011891), // Rule ID 12806 //
     /* 1011819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011858 */     // MIs[0] policy
     /* 1011858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011890 */     // GIR_Coverage, 12806,
     /* 1011890 */     GIR_EraseRootFromParent_Done,
     /* 1011891 */   // Label 15019: @1011891
     /* 1011891 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011968), // Rule ID 12807 //
     /* 1011896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011935 */     // MIs[0] policy
     /* 1011935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011945 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011967 */     // GIR_Coverage, 12807,
     /* 1011967 */     GIR_EraseRootFromParent_Done,
     /* 1011968 */   // Label 15020: @1011968
     /* 1011968 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1012045), // Rule ID 12810 //
     /* 1011973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1011984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1011987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1011990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1011993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012012 */     // MIs[0] policy
     /* 1012012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012044 */     // GIR_Coverage, 12810,
     /* 1012044 */     GIR_EraseRootFromParent_Done,
     /* 1012045 */   // Label 15021: @1012045
     /* 1012045 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1012122), // Rule ID 12811 //
     /* 1012050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1012067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012089 */     // MIs[0] policy
     /* 1012089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012121 */     // GIR_Coverage, 12811,
     /* 1012121 */     GIR_EraseRootFromParent_Done,
     /* 1012122 */   // Label 15022: @1012122
     /* 1012122 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1012199), // Rule ID 12814 //
     /* 1012127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012166 */     // MIs[0] policy
     /* 1012166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012198 */     // GIR_Coverage, 12814,
     /* 1012198 */     GIR_EraseRootFromParent_Done,
     /* 1012199 */   // Label 15023: @1012199
     /* 1012199 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1012276), // Rule ID 12815 //
     /* 1012204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012243 */     // MIs[0] policy
     /* 1012243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012275 */     // GIR_Coverage, 12815,
     /* 1012275 */     GIR_EraseRootFromParent_Done,
     /* 1012276 */   // Label 15024: @1012276
     /* 1012276 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1012353), // Rule ID 12818 //
     /* 1012281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1012292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1012295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1012298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1012301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012320 */     // MIs[0] policy
     /* 1012320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012352 */     // GIR_Coverage, 12818,
     /* 1012352 */     GIR_EraseRootFromParent_Done,
     /* 1012353 */   // Label 15025: @1012353
     /* 1012353 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1012430), // Rule ID 12819 //
     /* 1012358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1012369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1012372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1012375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1012378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012397 */     // MIs[0] policy
     /* 1012397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012429 */     // GIR_Coverage, 12819,
     /* 1012429 */     GIR_EraseRootFromParent_Done,
     /* 1012430 */   // Label 15026: @1012430
     /* 1012430 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1012507), // Rule ID 12822 //
     /* 1012435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012474 */     // MIs[0] policy
     /* 1012474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012506 */     // GIR_Coverage, 12822,
     /* 1012506 */     GIR_EraseRootFromParent_Done,
     /* 1012507 */   // Label 15027: @1012507
     /* 1012507 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1012584), // Rule ID 12823 //
     /* 1012512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012551 */     // MIs[0] policy
     /* 1012551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012561 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012583 */     // GIR_Coverage, 12823,
     /* 1012583 */     GIR_EraseRootFromParent_Done,
     /* 1012584 */   // Label 15028: @1012584
     /* 1012584 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1012661), // Rule ID 12826 //
     /* 1012589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012628 */     // MIs[0] policy
     /* 1012628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012638 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012660 */     // GIR_Coverage, 12826,
     /* 1012660 */     GIR_EraseRootFromParent_Done,
     /* 1012661 */   // Label 15029: @1012661
     /* 1012661 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1012738), // Rule ID 12827 //
     /* 1012666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012705 */     // MIs[0] policy
     /* 1012705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012715 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012737 */     // GIR_Coverage, 12827,
     /* 1012737 */     GIR_EraseRootFromParent_Done,
     /* 1012738 */   // Label 15030: @1012738
     /* 1012738 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1012815), // Rule ID 12830 //
     /* 1012743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012782 */     // MIs[0] policy
     /* 1012782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012814 */     // GIR_Coverage, 12830,
     /* 1012814 */     GIR_EraseRootFromParent_Done,
     /* 1012815 */   // Label 15031: @1012815
     /* 1012815 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1012892), // Rule ID 12831 //
     /* 1012820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012859 */     // MIs[0] policy
     /* 1012859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012869 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012891 */     // GIR_Coverage, 12831,
     /* 1012891 */     GIR_EraseRootFromParent_Done,
     /* 1012892 */   // Label 15032: @1012892
     /* 1012892 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012969), // Rule ID 12834 //
     /* 1012897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012936 */     // MIs[0] policy
     /* 1012936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012968 */     // GIR_Coverage, 12834,
     /* 1012968 */     GIR_EraseRootFromParent_Done,
     /* 1012969 */   // Label 15033: @1012969
     /* 1012969 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1013046), // Rule ID 12835 //
     /* 1012974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013013 */     // MIs[0] policy
     /* 1013013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013045 */     // GIR_Coverage, 12835,
     /* 1013045 */     GIR_EraseRootFromParent_Done,
     /* 1013046 */   // Label 15034: @1013046
     /* 1013046 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1013123), // Rule ID 12838 //
     /* 1013051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013090 */     // MIs[0] policy
     /* 1013090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013122 */     // GIR_Coverage, 12838,
     /* 1013122 */     GIR_EraseRootFromParent_Done,
     /* 1013123 */   // Label 15035: @1013123
     /* 1013123 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1013200), // Rule ID 12839 //
     /* 1013128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013167 */     // MIs[0] policy
     /* 1013167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013199 */     // GIR_Coverage, 12839,
     /* 1013199 */     GIR_EraseRootFromParent_Done,
     /* 1013200 */   // Label 15036: @1013200
     /* 1013200 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1013277), // Rule ID 12842 //
     /* 1013205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013244 */     // MIs[0] policy
     /* 1013244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013276 */     // GIR_Coverage, 12842,
     /* 1013276 */     GIR_EraseRootFromParent_Done,
     /* 1013277 */   // Label 15037: @1013277
     /* 1013277 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1013354), // Rule ID 12843 //
     /* 1013282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013321 */     // MIs[0] policy
     /* 1013321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013353 */     // GIR_Coverage, 12843,
     /* 1013353 */     GIR_EraseRootFromParent_Done,
     /* 1013354 */   // Label 15038: @1013354
     /* 1013354 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1013431), // Rule ID 12846 //
     /* 1013359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013398 */     // MIs[0] policy
     /* 1013398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013430 */     // GIR_Coverage, 12846,
     /* 1013430 */     GIR_EraseRootFromParent_Done,
     /* 1013431 */   // Label 15039: @1013431
     /* 1013431 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1013508), // Rule ID 12847 //
     /* 1013436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013475 */     // MIs[0] policy
     /* 1013475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013507 */     // GIR_Coverage, 12847,
     /* 1013507 */     GIR_EraseRootFromParent_Done,
     /* 1013508 */   // Label 15040: @1013508
     /* 1013508 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1013585), // Rule ID 12850 //
     /* 1013513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013552 */     // MIs[0] policy
     /* 1013552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013584 */     // GIR_Coverage, 12850,
     /* 1013584 */     GIR_EraseRootFromParent_Done,
     /* 1013585 */   // Label 15041: @1013585
     /* 1013585 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1013662), // Rule ID 12851 //
     /* 1013590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013629 */     // MIs[0] policy
     /* 1013629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013661 */     // GIR_Coverage, 12851,
     /* 1013661 */     GIR_EraseRootFromParent_Done,
     /* 1013662 */   // Label 15042: @1013662
     /* 1013662 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1013739), // Rule ID 12854 //
     /* 1013667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013706 */     // MIs[0] policy
     /* 1013706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013738 */     // GIR_Coverage, 12854,
     /* 1013738 */     GIR_EraseRootFromParent_Done,
     /* 1013739 */   // Label 15043: @1013739
     /* 1013739 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1013816), // Rule ID 12855 //
     /* 1013744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013783 */     // MIs[0] policy
     /* 1013783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013815 */     // GIR_Coverage, 12855,
     /* 1013815 */     GIR_EraseRootFromParent_Done,
     /* 1013816 */   // Label 15044: @1013816
     /* 1013816 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1013893), // Rule ID 12858 //
     /* 1013821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013860 */     // MIs[0] policy
     /* 1013860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013892 */     // GIR_Coverage, 12858,
     /* 1013892 */     GIR_EraseRootFromParent_Done,
     /* 1013893 */   // Label 15045: @1013893
     /* 1013893 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013970), // Rule ID 12859 //
     /* 1013898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013937 */     // MIs[0] policy
     /* 1013937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013969 */     // GIR_Coverage, 12859,
     /* 1013969 */     GIR_EraseRootFromParent_Done,
     /* 1013970 */   // Label 15046: @1013970
     /* 1013970 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1014047), // Rule ID 12862 //
     /* 1013975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1013986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1013989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1013992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1013995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014014 */     // MIs[0] policy
     /* 1014014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014046 */     // GIR_Coverage, 12862,
     /* 1014046 */     GIR_EraseRootFromParent_Done,
     /* 1014047 */   // Label 15047: @1014047
     /* 1014047 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1014124), // Rule ID 12863 //
     /* 1014052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1014069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014091 */     // MIs[0] policy
     /* 1014091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014101 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014123 */     // GIR_Coverage, 12863,
     /* 1014123 */     GIR_EraseRootFromParent_Done,
     /* 1014124 */   // Label 15048: @1014124
     /* 1014124 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1014201), // Rule ID 12866 //
     /* 1014129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014168 */     // MIs[0] policy
     /* 1014168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014200 */     // GIR_Coverage, 12866,
     /* 1014200 */     GIR_EraseRootFromParent_Done,
     /* 1014201 */   // Label 15049: @1014201
     /* 1014201 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1014278), // Rule ID 12867 //
     /* 1014206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014245 */     // MIs[0] policy
     /* 1014245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014255 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014277 */     // GIR_Coverage, 12867,
     /* 1014277 */     GIR_EraseRootFromParent_Done,
     /* 1014278 */   // Label 15050: @1014278
     /* 1014278 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1014355), // Rule ID 12870 //
     /* 1014283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1014294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1014297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1014303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014322 */     // MIs[0] policy
     /* 1014322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014332 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1014335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014354 */     // GIR_Coverage, 12870,
     /* 1014354 */     GIR_EraseRootFromParent_Done,
     /* 1014355 */   // Label 15051: @1014355
     /* 1014355 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1014432), // Rule ID 12871 //
     /* 1014360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1014371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1014374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1014380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014399 */     // MIs[0] policy
     /* 1014399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1014412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014431 */     // GIR_Coverage, 12871,
     /* 1014431 */     GIR_EraseRootFromParent_Done,
     /* 1014432 */   // Label 15052: @1014432
     /* 1014432 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1014509), // Rule ID 12874 //
     /* 1014437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014476 */     // MIs[0] policy
     /* 1014476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014508 */     // GIR_Coverage, 12874,
     /* 1014508 */     GIR_EraseRootFromParent_Done,
     /* 1014509 */   // Label 15053: @1014509
     /* 1014509 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1014586), // Rule ID 12875 //
     /* 1014514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014553 */     // MIs[0] policy
     /* 1014553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014585 */     // GIR_Coverage, 12875,
     /* 1014585 */     GIR_EraseRootFromParent_Done,
     /* 1014586 */   // Label 15054: @1014586
     /* 1014586 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1014663), // Rule ID 12878 //
     /* 1014591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014630 */     // MIs[0] policy
     /* 1014630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014662 */     // GIR_Coverage, 12878,
     /* 1014662 */     GIR_EraseRootFromParent_Done,
     /* 1014663 */   // Label 15055: @1014663
     /* 1014663 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1014740), // Rule ID 12879 //
     /* 1014668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014707 */     // MIs[0] policy
     /* 1014707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014739 */     // GIR_Coverage, 12879,
     /* 1014739 */     GIR_EraseRootFromParent_Done,
     /* 1014740 */   // Label 15056: @1014740
     /* 1014740 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1014817), // Rule ID 12882 //
     /* 1014745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014784 */     // MIs[0] policy
     /* 1014784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014816 */     // GIR_Coverage, 12882,
     /* 1014816 */     GIR_EraseRootFromParent_Done,
     /* 1014817 */   // Label 15057: @1014817
     /* 1014817 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1014894), // Rule ID 12883 //
     /* 1014822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014861 */     // MIs[0] policy
     /* 1014861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014871 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014893 */     // GIR_Coverage, 12883,
     /* 1014893 */     GIR_EraseRootFromParent_Done,
     /* 1014894 */   // Label 15058: @1014894
     /* 1014894 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014971), // Rule ID 12886 //
     /* 1014899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014938 */     // MIs[0] policy
     /* 1014938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014970 */     // GIR_Coverage, 12886,
     /* 1014970 */     GIR_EraseRootFromParent_Done,
     /* 1014971 */   // Label 15059: @1014971
     /* 1014971 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1015048), // Rule ID 12887 //
     /* 1014976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015015 */     // MIs[0] policy
     /* 1015015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015025 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015047 */     // GIR_Coverage, 12887,
     /* 1015047 */     GIR_EraseRootFromParent_Done,
     /* 1015048 */   // Label 15060: @1015048
     /* 1015048 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1015125), // Rule ID 12890 //
     /* 1015053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015092 */     // MIs[0] policy
     /* 1015092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015124 */     // GIR_Coverage, 12890,
     /* 1015124 */     GIR_EraseRootFromParent_Done,
     /* 1015125 */   // Label 15061: @1015125
     /* 1015125 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1015202), // Rule ID 12891 //
     /* 1015130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015169 */     // MIs[0] policy
     /* 1015169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015179 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015201 */     // GIR_Coverage, 12891,
     /* 1015201 */     GIR_EraseRootFromParent_Done,
     /* 1015202 */   // Label 15062: @1015202
     /* 1015202 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1015279), // Rule ID 12894 //
     /* 1015207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015246 */     // MIs[0] policy
     /* 1015246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015256 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015278 */     // GIR_Coverage, 12894,
     /* 1015278 */     GIR_EraseRootFromParent_Done,
     /* 1015279 */   // Label 15063: @1015279
     /* 1015279 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1015356), // Rule ID 12895 //
     /* 1015284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015323 */     // MIs[0] policy
     /* 1015323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015355 */     // GIR_Coverage, 12895,
     /* 1015355 */     GIR_EraseRootFromParent_Done,
     /* 1015356 */   // Label 15064: @1015356
     /* 1015356 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1015433), // Rule ID 12898 //
     /* 1015361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015400 */     // MIs[0] policy
     /* 1015400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015432 */     // GIR_Coverage, 12898,
     /* 1015432 */     GIR_EraseRootFromParent_Done,
     /* 1015433 */   // Label 15065: @1015433
     /* 1015433 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1015510), // Rule ID 12899 //
     /* 1015438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015477 */     // MIs[0] policy
     /* 1015477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015487 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015509 */     // GIR_Coverage, 12899,
     /* 1015509 */     GIR_EraseRootFromParent_Done,
     /* 1015510 */   // Label 15066: @1015510
     /* 1015510 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1015587), // Rule ID 12902 //
     /* 1015515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015554 */     // MIs[0] policy
     /* 1015554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015586 */     // GIR_Coverage, 12902,
     /* 1015586 */     GIR_EraseRootFromParent_Done,
     /* 1015587 */   // Label 15067: @1015587
     /* 1015587 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1015664), // Rule ID 12903 //
     /* 1015592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015631 */     // MIs[0] policy
     /* 1015631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015663 */     // GIR_Coverage, 12903,
     /* 1015663 */     GIR_EraseRootFromParent_Done,
     /* 1015664 */   // Label 15068: @1015664
     /* 1015664 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1015741), // Rule ID 12906 //
     /* 1015669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015708 */     // MIs[0] policy
     /* 1015708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015740 */     // GIR_Coverage, 12906,
     /* 1015740 */     GIR_EraseRootFromParent_Done,
     /* 1015741 */   // Label 15069: @1015741
     /* 1015741 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1015818), // Rule ID 12907 //
     /* 1015746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015785 */     // MIs[0] policy
     /* 1015785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015817 */     // GIR_Coverage, 12907,
     /* 1015817 */     GIR_EraseRootFromParent_Done,
     /* 1015818 */   // Label 15070: @1015818
     /* 1015818 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1015895), // Rule ID 12910 //
     /* 1015823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015862 */     // MIs[0] policy
     /* 1015862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015894 */     // GIR_Coverage, 12910,
     /* 1015894 */     GIR_EraseRootFromParent_Done,
     /* 1015895 */   // Label 15071: @1015895
     /* 1015895 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015972), // Rule ID 12911 //
     /* 1015900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015939 */     // MIs[0] policy
     /* 1015939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015971 */     // GIR_Coverage, 12911,
     /* 1015971 */     GIR_EraseRootFromParent_Done,
     /* 1015972 */   // Label 15072: @1015972
     /* 1015972 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1016049), // Rule ID 12914 //
     /* 1015977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1015988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1015991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1015997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016016 */     // MIs[0] policy
     /* 1016016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016026 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016048 */     // GIR_Coverage, 12914,
     /* 1016048 */     GIR_EraseRootFromParent_Done,
     /* 1016049 */   // Label 15073: @1016049
     /* 1016049 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1016126), // Rule ID 12915 //
     /* 1016054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016093 */     // MIs[0] policy
     /* 1016093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016103 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016125 */     // GIR_Coverage, 12915,
     /* 1016125 */     GIR_EraseRootFromParent_Done,
     /* 1016126 */   // Label 15074: @1016126
     /* 1016126 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1016203), // Rule ID 12918 //
     /* 1016131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016170 */     // MIs[0] policy
     /* 1016170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016202 */     // GIR_Coverage, 12918,
     /* 1016202 */     GIR_EraseRootFromParent_Done,
     /* 1016203 */   // Label 15075: @1016203
     /* 1016203 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1016280), // Rule ID 12919 //
     /* 1016208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016247 */     // MIs[0] policy
     /* 1016247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016257 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016279 */     // GIR_Coverage, 12919,
     /* 1016279 */     GIR_EraseRootFromParent_Done,
     /* 1016280 */   // Label 15076: @1016280
     /* 1016280 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1016357), // Rule ID 12922 //
     /* 1016285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1016296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1016299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1016305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016324 */     // MIs[0] policy
     /* 1016324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016356 */     // GIR_Coverage, 12922,
     /* 1016356 */     GIR_EraseRootFromParent_Done,
     /* 1016357 */   // Label 15077: @1016357
     /* 1016357 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1016434), // Rule ID 12923 //
     /* 1016362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1016373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1016376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1016382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016401 */     // MIs[0] policy
     /* 1016401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016433 */     // GIR_Coverage, 12923,
     /* 1016433 */     GIR_EraseRootFromParent_Done,
     /* 1016434 */   // Label 15078: @1016434
     /* 1016434 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1016511), // Rule ID 12926 //
     /* 1016439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016478 */     // MIs[0] policy
     /* 1016478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016510 */     // GIR_Coverage, 12926,
     /* 1016510 */     GIR_EraseRootFromParent_Done,
     /* 1016511 */   // Label 15079: @1016511
     /* 1016511 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1016588), // Rule ID 12927 //
     /* 1016516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016555 */     // MIs[0] policy
     /* 1016555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016587 */     // GIR_Coverage, 12927,
     /* 1016587 */     GIR_EraseRootFromParent_Done,
     /* 1016588 */   // Label 15080: @1016588
     /* 1016588 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1016665), // Rule ID 12930 //
     /* 1016593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016632 */     // MIs[0] policy
     /* 1016632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016664 */     // GIR_Coverage, 12930,
     /* 1016664 */     GIR_EraseRootFromParent_Done,
     /* 1016665 */   // Label 15081: @1016665
     /* 1016665 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1016742), // Rule ID 12931 //
     /* 1016670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016709 */     // MIs[0] policy
     /* 1016709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016741 */     // GIR_Coverage, 12931,
     /* 1016741 */     GIR_EraseRootFromParent_Done,
     /* 1016742 */   // Label 15082: @1016742
     /* 1016742 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1016819), // Rule ID 12934 //
     /* 1016747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016786 */     // MIs[0] policy
     /* 1016786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016818 */     // GIR_Coverage, 12934,
     /* 1016818 */     GIR_EraseRootFromParent_Done,
     /* 1016819 */   // Label 15083: @1016819
     /* 1016819 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1016896), // Rule ID 12935 //
     /* 1016824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016863 */     // MIs[0] policy
     /* 1016863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016895 */     // GIR_Coverage, 12935,
     /* 1016895 */     GIR_EraseRootFromParent_Done,
     /* 1016896 */   // Label 15084: @1016896
     /* 1016896 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016973), // Rule ID 12938 //
     /* 1016901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016940 */     // MIs[0] policy
     /* 1016940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016972 */     // GIR_Coverage, 12938,
     /* 1016972 */     GIR_EraseRootFromParent_Done,
     /* 1016973 */   // Label 15085: @1016973
     /* 1016973 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1017050), // Rule ID 12939 //
     /* 1016978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017017 */     // MIs[0] policy
     /* 1017017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017049 */     // GIR_Coverage, 12939,
     /* 1017049 */     GIR_EraseRootFromParent_Done,
     /* 1017050 */   // Label 15086: @1017050
     /* 1017050 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1017127), // Rule ID 12942 //
     /* 1017055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017094 */     // MIs[0] policy
     /* 1017094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017126 */     // GIR_Coverage, 12942,
     /* 1017126 */     GIR_EraseRootFromParent_Done,
     /* 1017127 */   // Label 15087: @1017127
     /* 1017127 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1017204), // Rule ID 12943 //
     /* 1017132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017171 */     // MIs[0] policy
     /* 1017171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017181 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017203 */     // GIR_Coverage, 12943,
     /* 1017203 */     GIR_EraseRootFromParent_Done,
     /* 1017204 */   // Label 15088: @1017204
     /* 1017204 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1017281), // Rule ID 12946 //
     /* 1017209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017248 */     // MIs[0] policy
     /* 1017248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017280 */     // GIR_Coverage, 12946,
     /* 1017280 */     GIR_EraseRootFromParent_Done,
     /* 1017281 */   // Label 15089: @1017281
     /* 1017281 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1017358), // Rule ID 12947 //
     /* 1017286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017325 */     // MIs[0] policy
     /* 1017325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017335 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017357 */     // GIR_Coverage, 12947,
     /* 1017357 */     GIR_EraseRootFromParent_Done,
     /* 1017358 */   // Label 15090: @1017358
     /* 1017358 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1017435), // Rule ID 12950 //
     /* 1017363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017402 */     // MIs[0] policy
     /* 1017402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017434 */     // GIR_Coverage, 12950,
     /* 1017434 */     GIR_EraseRootFromParent_Done,
     /* 1017435 */   // Label 15091: @1017435
     /* 1017435 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1017512), // Rule ID 12951 //
     /* 1017440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017479 */     // MIs[0] policy
     /* 1017479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017511 */     // GIR_Coverage, 12951,
     /* 1017511 */     GIR_EraseRootFromParent_Done,
     /* 1017512 */   // Label 15092: @1017512
     /* 1017512 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1017589), // Rule ID 12954 //
     /* 1017517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017556 */     // MIs[0] policy
     /* 1017556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017588 */     // GIR_Coverage, 12954,
     /* 1017588 */     GIR_EraseRootFromParent_Done,
     /* 1017589 */   // Label 15093: @1017589
     /* 1017589 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1017666), // Rule ID 12955 //
     /* 1017594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017633 */     // MIs[0] policy
     /* 1017633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017665 */     // GIR_Coverage, 12955,
     /* 1017665 */     GIR_EraseRootFromParent_Done,
     /* 1017666 */   // Label 15094: @1017666
     /* 1017666 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1017743), // Rule ID 12958 //
     /* 1017671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017710 */     // MIs[0] policy
     /* 1017710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017742 */     // GIR_Coverage, 12958,
     /* 1017742 */     GIR_EraseRootFromParent_Done,
     /* 1017743 */   // Label 15095: @1017743
     /* 1017743 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1017820), // Rule ID 12959 //
     /* 1017748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017787 */     // MIs[0] policy
     /* 1017787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017819 */     // GIR_Coverage, 12959,
     /* 1017819 */     GIR_EraseRootFromParent_Done,
     /* 1017820 */   // Label 15096: @1017820
     /* 1017820 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1017897), // Rule ID 12962 //
     /* 1017825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017864 */     // MIs[0] policy
     /* 1017864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017896 */     // GIR_Coverage, 12962,
     /* 1017896 */     GIR_EraseRootFromParent_Done,
     /* 1017897 */   // Label 15097: @1017897
     /* 1017897 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017974), // Rule ID 12963 //
     /* 1017902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017941 */     // MIs[0] policy
     /* 1017941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017951 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017973 */     // GIR_Coverage, 12963,
     /* 1017973 */     GIR_EraseRootFromParent_Done,
     /* 1017974 */   // Label 15098: @1017974
     /* 1017974 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1018051), // Rule ID 12966 //
     /* 1017979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1017990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1017993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1017996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1017999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018018 */     // MIs[0] policy
     /* 1018018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018050 */     // GIR_Coverage, 12966,
     /* 1018050 */     GIR_EraseRootFromParent_Done,
     /* 1018051 */   // Label 15099: @1018051
     /* 1018051 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1018128), // Rule ID 12967 //
     /* 1018056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018095 */     // MIs[0] policy
     /* 1018095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018105 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018127 */     // GIR_Coverage, 12967,
     /* 1018127 */     GIR_EraseRootFromParent_Done,
     /* 1018128 */   // Label 15100: @1018128
     /* 1018128 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1018205), // Rule ID 12970 //
     /* 1018133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018172 */     // MIs[0] policy
     /* 1018172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018204 */     // GIR_Coverage, 12970,
     /* 1018204 */     GIR_EraseRootFromParent_Done,
     /* 1018205 */   // Label 15101: @1018205
     /* 1018205 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1018282), // Rule ID 12971 //
     /* 1018210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018249 */     // MIs[0] policy
     /* 1018249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018281 */     // GIR_Coverage, 12971,
     /* 1018281 */     GIR_EraseRootFromParent_Done,
     /* 1018282 */   // Label 15102: @1018282
     /* 1018282 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1018359), // Rule ID 12974 //
     /* 1018287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1018298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1018301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1018304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1018307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018326 */     // MIs[0] policy
     /* 1018326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018358 */     // GIR_Coverage, 12974,
     /* 1018358 */     GIR_EraseRootFromParent_Done,
     /* 1018359 */   // Label 15103: @1018359
     /* 1018359 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1018436), // Rule ID 12975 //
     /* 1018364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1018375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1018378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1018381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1018384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018403 */     // MIs[0] policy
     /* 1018403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018413 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018435 */     // GIR_Coverage, 12975,
     /* 1018435 */     GIR_EraseRootFromParent_Done,
     /* 1018436 */   // Label 15104: @1018436
     /* 1018436 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1018513), // Rule ID 12978 //
     /* 1018441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018480 */     // MIs[0] policy
     /* 1018480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018512 */     // GIR_Coverage, 12978,
     /* 1018512 */     GIR_EraseRootFromParent_Done,
     /* 1018513 */   // Label 15105: @1018513
     /* 1018513 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1018590), // Rule ID 12979 //
     /* 1018518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018557 */     // MIs[0] policy
     /* 1018557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018589 */     // GIR_Coverage, 12979,
     /* 1018589 */     GIR_EraseRootFromParent_Done,
     /* 1018590 */   // Label 15106: @1018590
     /* 1018590 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1018667), // Rule ID 12982 //
     /* 1018595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018634 */     // MIs[0] policy
     /* 1018634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018666 */     // GIR_Coverage, 12982,
     /* 1018666 */     GIR_EraseRootFromParent_Done,
     /* 1018667 */   // Label 15107: @1018667
     /* 1018667 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1018744), // Rule ID 12983 //
     /* 1018672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018711 */     // MIs[0] policy
     /* 1018711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018721 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018743 */     // GIR_Coverage, 12983,
     /* 1018743 */     GIR_EraseRootFromParent_Done,
     /* 1018744 */   // Label 15108: @1018744
     /* 1018744 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1018821), // Rule ID 12986 //
     /* 1018749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018788 */     // MIs[0] policy
     /* 1018788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018820 */     // GIR_Coverage, 12986,
     /* 1018820 */     GIR_EraseRootFromParent_Done,
     /* 1018821 */   // Label 15109: @1018821
     /* 1018821 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1018898), // Rule ID 12987 //
     /* 1018826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018865 */     // MIs[0] policy
     /* 1018865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018897 */     // GIR_Coverage, 12987,
     /* 1018897 */     GIR_EraseRootFromParent_Done,
     /* 1018898 */   // Label 15110: @1018898
     /* 1018898 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018975), // Rule ID 12990 //
     /* 1018903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1018923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018942 */     // MIs[0] policy
     /* 1018942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018974 */     // GIR_Coverage, 12990,
     /* 1018974 */     GIR_EraseRootFromParent_Done,
     /* 1018975 */   // Label 15111: @1018975
     /* 1018975 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1019052), // Rule ID 12991 //
     /* 1018980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019019 */     // MIs[0] policy
     /* 1019019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019029 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019051 */     // GIR_Coverage, 12991,
     /* 1019051 */     GIR_EraseRootFromParent_Done,
     /* 1019052 */   // Label 15112: @1019052
     /* 1019052 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1019129), // Rule ID 12994 //
     /* 1019057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1019060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019096 */     // MIs[0] policy
     /* 1019096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019128 */     // GIR_Coverage, 12994,
     /* 1019128 */     GIR_EraseRootFromParent_Done,
     /* 1019129 */   // Label 15113: @1019129
     /* 1019129 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1019206), // Rule ID 12995 //
     /* 1019134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019173 */     // MIs[0] policy
     /* 1019173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019205 */     // GIR_Coverage, 12995,
     /* 1019205 */     GIR_EraseRootFromParent_Done,
     /* 1019206 */   // Label 15114: @1019206
     /* 1019206 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1019283), // Rule ID 12998 //
     /* 1019211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019250 */     // MIs[0] policy
     /* 1019250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019282 */     // GIR_Coverage, 12998,
     /* 1019282 */     GIR_EraseRootFromParent_Done,
     /* 1019283 */   // Label 15115: @1019283
     /* 1019283 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1019360), // Rule ID 12999 //
     /* 1019288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019327 */     // MIs[0] policy
     /* 1019327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019337 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019359 */     // GIR_Coverage, 12999,
     /* 1019359 */     GIR_EraseRootFromParent_Done,
     /* 1019360 */   // Label 15116: @1019360
     /* 1019360 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1019437), // Rule ID 13002 //
     /* 1019365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019404 */     // MIs[0] policy
     /* 1019404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019436 */     // GIR_Coverage, 13002,
     /* 1019436 */     GIR_EraseRootFromParent_Done,
     /* 1019437 */   // Label 15117: @1019437
     /* 1019437 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1019514), // Rule ID 13003 //
     /* 1019442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019481 */     // MIs[0] policy
     /* 1019481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019513 */     // GIR_Coverage, 13003,
     /* 1019513 */     GIR_EraseRootFromParent_Done,
     /* 1019514 */   // Label 15118: @1019514
     /* 1019514 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1019591), // Rule ID 13006 //
     /* 1019519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019558 */     // MIs[0] policy
     /* 1019558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019590 */     // GIR_Coverage, 13006,
     /* 1019590 */     GIR_EraseRootFromParent_Done,
     /* 1019591 */   // Label 15119: @1019591
     /* 1019591 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1019668), // Rule ID 13007 //
     /* 1019596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019635 */     // MIs[0] policy
     /* 1019635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019667 */     // GIR_Coverage, 13007,
     /* 1019667 */     GIR_EraseRootFromParent_Done,
     /* 1019668 */   // Label 15120: @1019668
     /* 1019668 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1019745), // Rule ID 13010 //
     /* 1019673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019712 */     // MIs[0] policy
     /* 1019712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019744 */     // GIR_Coverage, 13010,
     /* 1019744 */     GIR_EraseRootFromParent_Done,
     /* 1019745 */   // Label 15121: @1019745
     /* 1019745 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1019822), // Rule ID 13011 //
     /* 1019750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019789 */     // MIs[0] policy
     /* 1019789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019821 */     // GIR_Coverage, 13011,
     /* 1019821 */     GIR_EraseRootFromParent_Done,
     /* 1019822 */   // Label 15122: @1019822
     /* 1019822 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1019899), // Rule ID 13014 //
     /* 1019827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019866 */     // MIs[0] policy
     /* 1019866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019898 */     // GIR_Coverage, 13014,
     /* 1019898 */     GIR_EraseRootFromParent_Done,
     /* 1019899 */   // Label 15123: @1019899
     /* 1019899 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019976), // Rule ID 13015 //
     /* 1019904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019943 */     // MIs[0] policy
     /* 1019943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019975 */     // GIR_Coverage, 13015,
     /* 1019975 */     GIR_EraseRootFromParent_Done,
     /* 1019976 */   // Label 15124: @1019976
     /* 1019976 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1020053), // Rule ID 13018 //
     /* 1019981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020020 */     // MIs[0] policy
     /* 1020020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020052 */     // GIR_Coverage, 13018,
     /* 1020052 */     GIR_EraseRootFromParent_Done,
     /* 1020053 */   // Label 15125: @1020053
     /* 1020053 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1020130), // Rule ID 13019 //
     /* 1020058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1020075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020097 */     // MIs[0] policy
     /* 1020097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020107 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020129 */     // GIR_Coverage, 13019,
     /* 1020129 */     GIR_EraseRootFromParent_Done,
     /* 1020130 */   // Label 15126: @1020130
     /* 1020130 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1020207), // Rule ID 13022 //
     /* 1020135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020174 */     // MIs[0] policy
     /* 1020174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020206 */     // GIR_Coverage, 13022,
     /* 1020206 */     GIR_EraseRootFromParent_Done,
     /* 1020207 */   // Label 15127: @1020207
     /* 1020207 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1020284), // Rule ID 13023 //
     /* 1020212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020251 */     // MIs[0] policy
     /* 1020251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020283 */     // GIR_Coverage, 13023,
     /* 1020283 */     GIR_EraseRootFromParent_Done,
     /* 1020284 */   // Label 15128: @1020284
     /* 1020284 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1020361), // Rule ID 13026 //
     /* 1020289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1020306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1020309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020328 */     // MIs[0] policy
     /* 1020328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020360 */     // GIR_Coverage, 13026,
     /* 1020360 */     GIR_EraseRootFromParent_Done,
     /* 1020361 */   // Label 15129: @1020361
     /* 1020361 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1020438), // Rule ID 13027 //
     /* 1020366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1020383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1020386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020405 */     // MIs[0] policy
     /* 1020405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020415 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020437 */     // GIR_Coverage, 13027,
     /* 1020437 */     GIR_EraseRootFromParent_Done,
     /* 1020438 */   // Label 15130: @1020438
     /* 1020438 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1020515), // Rule ID 13030 //
     /* 1020443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020482 */     // MIs[0] policy
     /* 1020482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020514 */     // GIR_Coverage, 13030,
     /* 1020514 */     GIR_EraseRootFromParent_Done,
     /* 1020515 */   // Label 15131: @1020515
     /* 1020515 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1020592), // Rule ID 13031 //
     /* 1020520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020559 */     // MIs[0] policy
     /* 1020559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020591 */     // GIR_Coverage, 13031,
     /* 1020591 */     GIR_EraseRootFromParent_Done,
     /* 1020592 */   // Label 15132: @1020592
     /* 1020592 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1020669), // Rule ID 13034 //
     /* 1020597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020636 */     // MIs[0] policy
     /* 1020636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020668 */     // GIR_Coverage, 13034,
     /* 1020668 */     GIR_EraseRootFromParent_Done,
     /* 1020669 */   // Label 15133: @1020669
     /* 1020669 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1020746), // Rule ID 13035 //
     /* 1020674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020713 */     // MIs[0] policy
     /* 1020713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020723 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020745 */     // GIR_Coverage, 13035,
     /* 1020745 */     GIR_EraseRootFromParent_Done,
     /* 1020746 */   // Label 15134: @1020746
     /* 1020746 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1020823), // Rule ID 13038 //
     /* 1020751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020790 */     // MIs[0] policy
     /* 1020790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020822 */     // GIR_Coverage, 13038,
     /* 1020822 */     GIR_EraseRootFromParent_Done,
     /* 1020823 */   // Label 15135: @1020823
     /* 1020823 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1020900), // Rule ID 13039 //
     /* 1020828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020867 */     // MIs[0] policy
     /* 1020867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020899 */     // GIR_Coverage, 13039,
     /* 1020899 */     GIR_EraseRootFromParent_Done,
     /* 1020900 */   // Label 15136: @1020900
     /* 1020900 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020977), // Rule ID 13042 //
     /* 1020905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1020925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020944 */     // MIs[0] policy
     /* 1020944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020976 */     // GIR_Coverage, 13042,
     /* 1020976 */     GIR_EraseRootFromParent_Done,
     /* 1020977 */   // Label 15137: @1020977
     /* 1020977 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1021054), // Rule ID 13043 //
     /* 1020982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021021 */     // MIs[0] policy
     /* 1021021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1021034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021053 */     // GIR_Coverage, 13043,
     /* 1021053 */     GIR_EraseRootFromParent_Done,
     /* 1021054 */   // Label 15138: @1021054
     /* 1021054 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1021131), // Rule ID 13046 //
     /* 1021059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021098 */     // MIs[0] policy
     /* 1021098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1021111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021130 */     // GIR_Coverage, 13046,
     /* 1021130 */     GIR_EraseRootFromParent_Done,
     /* 1021131 */   // Label 15139: @1021131
     /* 1021131 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1021208), // Rule ID 13047 //
     /* 1021136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021175 */     // MIs[0] policy
     /* 1021175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021185 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1021188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021207 */     // GIR_Coverage, 13047,
     /* 1021207 */     GIR_EraseRootFromParent_Done,
     /* 1021208 */   // Label 15140: @1021208
     /* 1021208 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1021285), // Rule ID 13050 //
     /* 1021213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021252 */     // MIs[0] policy
     /* 1021252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021284 */     // GIR_Coverage, 13050,
     /* 1021284 */     GIR_EraseRootFromParent_Done,
     /* 1021285 */   // Label 15141: @1021285
     /* 1021285 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1021362), // Rule ID 13051 //
     /* 1021290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021329 */     // MIs[0] policy
     /* 1021329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021339 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021361 */     // GIR_Coverage, 13051,
     /* 1021361 */     GIR_EraseRootFromParent_Done,
     /* 1021362 */   // Label 15142: @1021362
     /* 1021362 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1021439), // Rule ID 13054 //
     /* 1021367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021406 */     // MIs[0] policy
     /* 1021406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021438 */     // GIR_Coverage, 13054,
     /* 1021438 */     GIR_EraseRootFromParent_Done,
     /* 1021439 */   // Label 15143: @1021439
     /* 1021439 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1021516), // Rule ID 13055 //
     /* 1021444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021483 */     // MIs[0] policy
     /* 1021483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021493 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021515 */     // GIR_Coverage, 13055,
     /* 1021515 */     GIR_EraseRootFromParent_Done,
     /* 1021516 */   // Label 15144: @1021516
     /* 1021516 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1021593), // Rule ID 13058 //
     /* 1021521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021560 */     // MIs[0] policy
     /* 1021560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021570 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021592 */     // GIR_Coverage, 13058,
     /* 1021592 */     GIR_EraseRootFromParent_Done,
     /* 1021593 */   // Label 15145: @1021593
     /* 1021593 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1021670), // Rule ID 13059 //
     /* 1021598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021637 */     // MIs[0] policy
     /* 1021637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021669 */     // GIR_Coverage, 13059,
     /* 1021669 */     GIR_EraseRootFromParent_Done,
     /* 1021670 */   // Label 15146: @1021670
     /* 1021670 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1021747), // Rule ID 13062 //
     /* 1021675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021714 */     // MIs[0] policy
     /* 1021714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021746 */     // GIR_Coverage, 13062,
     /* 1021746 */     GIR_EraseRootFromParent_Done,
     /* 1021747 */   // Label 15147: @1021747
     /* 1021747 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1021824), // Rule ID 13063 //
     /* 1021752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021791 */     // MIs[0] policy
     /* 1021791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021823 */     // GIR_Coverage, 13063,
     /* 1021823 */     GIR_EraseRootFromParent_Done,
     /* 1021824 */   // Label 15148: @1021824
     /* 1021824 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1021901), // Rule ID 13066 //
     /* 1021829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021868 */     // MIs[0] policy
     /* 1021868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021900 */     // GIR_Coverage, 13066,
     /* 1021900 */     GIR_EraseRootFromParent_Done,
     /* 1021901 */   // Label 15149: @1021901
     /* 1021901 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021978), // Rule ID 13067 //
     /* 1021906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021945 */     // MIs[0] policy
     /* 1021945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021977 */     // GIR_Coverage, 13067,
     /* 1021977 */     GIR_EraseRootFromParent_Done,
     /* 1021978 */   // Label 15150: @1021978
     /* 1021978 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1022055), // Rule ID 13070 //
     /* 1021983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022022 */     // MIs[0] policy
     /* 1022022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022054 */     // GIR_Coverage, 13070,
     /* 1022054 */     GIR_EraseRootFromParent_Done,
     /* 1022055 */   // Label 15151: @1022055
     /* 1022055 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1022132), // Rule ID 13071 //
     /* 1022060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022099 */     // MIs[0] policy
     /* 1022099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022131 */     // GIR_Coverage, 13071,
     /* 1022131 */     GIR_EraseRootFromParent_Done,
     /* 1022132 */   // Label 15152: @1022132
     /* 1022132 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1022209), // Rule ID 13074 //
     /* 1022137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022176 */     // MIs[0] policy
     /* 1022176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022208 */     // GIR_Coverage, 13074,
     /* 1022208 */     GIR_EraseRootFromParent_Done,
     /* 1022209 */   // Label 15153: @1022209
     /* 1022209 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1022286), // Rule ID 13075 //
     /* 1022214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022253 */     // MIs[0] policy
     /* 1022253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022285 */     // GIR_Coverage, 13075,
     /* 1022285 */     GIR_EraseRootFromParent_Done,
     /* 1022286 */   // Label 15154: @1022286
     /* 1022286 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1022363), // Rule ID 13078 //
     /* 1022291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022330 */     // MIs[0] policy
     /* 1022330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022362 */     // GIR_Coverage, 13078,
     /* 1022362 */     GIR_EraseRootFromParent_Done,
     /* 1022363 */   // Label 15155: @1022363
     /* 1022363 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1022440), // Rule ID 13079 //
     /* 1022368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022407 */     // MIs[0] policy
     /* 1022407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022439 */     // GIR_Coverage, 13079,
     /* 1022439 */     GIR_EraseRootFromParent_Done,
     /* 1022440 */   // Label 15156: @1022440
     /* 1022440 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1022517), // Rule ID 13082 //
     /* 1022445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022484 */     // MIs[0] policy
     /* 1022484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022516 */     // GIR_Coverage, 13082,
     /* 1022516 */     GIR_EraseRootFromParent_Done,
     /* 1022517 */   // Label 15157: @1022517
     /* 1022517 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1022594), // Rule ID 13083 //
     /* 1022522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022561 */     // MIs[0] policy
     /* 1022561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022571 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022593 */     // GIR_Coverage, 13083,
     /* 1022593 */     GIR_EraseRootFromParent_Done,
     /* 1022594 */   // Label 15158: @1022594
     /* 1022594 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1022671), // Rule ID 13086 //
     /* 1022599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022638 */     // MIs[0] policy
     /* 1022638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022648 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022670 */     // GIR_Coverage, 13086,
     /* 1022670 */     GIR_EraseRootFromParent_Done,
     /* 1022671 */   // Label 15159: @1022671
     /* 1022671 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1022748), // Rule ID 13087 //
     /* 1022676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022715 */     // MIs[0] policy
     /* 1022715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022725 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022747 */     // GIR_Coverage, 13087,
     /* 1022747 */     GIR_EraseRootFromParent_Done,
     /* 1022748 */   // Label 15160: @1022748
     /* 1022748 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1022825), // Rule ID 13090 //
     /* 1022753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022792 */     // MIs[0] policy
     /* 1022792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022824 */     // GIR_Coverage, 13090,
     /* 1022824 */     GIR_EraseRootFromParent_Done,
     /* 1022825 */   // Label 15161: @1022825
     /* 1022825 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1022902), // Rule ID 13091 //
     /* 1022830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022869 */     // MIs[0] policy
     /* 1022869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022879 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022901 */     // GIR_Coverage, 13091,
     /* 1022901 */     GIR_EraseRootFromParent_Done,
     /* 1022902 */   // Label 15162: @1022902
     /* 1022902 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022979), // Rule ID 13094 //
     /* 1022907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022946 */     // MIs[0] policy
     /* 1022946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022956 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022978 */     // GIR_Coverage, 13094,
     /* 1022978 */     GIR_EraseRootFromParent_Done,
     /* 1022979 */   // Label 15163: @1022979
     /* 1022979 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1023056), // Rule ID 13095 //
     /* 1022984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023023 */     // MIs[0] policy
     /* 1023023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023033 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023055 */     // GIR_Coverage, 13095,
     /* 1023055 */     GIR_EraseRootFromParent_Done,
     /* 1023056 */   // Label 15164: @1023056
     /* 1023056 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1023133), // Rule ID 13098 //
     /* 1023061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023100 */     // MIs[0] policy
     /* 1023100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023132 */     // GIR_Coverage, 13098,
     /* 1023132 */     GIR_EraseRootFromParent_Done,
     /* 1023133 */   // Label 15165: @1023133
     /* 1023133 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1023210), // Rule ID 13099 //
     /* 1023138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023177 */     // MIs[0] policy
     /* 1023177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023187 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023209 */     // GIR_Coverage, 13099,
     /* 1023209 */     GIR_EraseRootFromParent_Done,
     /* 1023210 */   // Label 15166: @1023210
     /* 1023210 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1023287), // Rule ID 13102 //
     /* 1023215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023254 */     // MIs[0] policy
     /* 1023254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023286 */     // GIR_Coverage, 13102,
     /* 1023286 */     GIR_EraseRootFromParent_Done,
     /* 1023287 */   // Label 15167: @1023287
     /* 1023287 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1023364), // Rule ID 13103 //
     /* 1023292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023331 */     // MIs[0] policy
     /* 1023331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023341 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023363 */     // GIR_Coverage, 13103,
     /* 1023363 */     GIR_EraseRootFromParent_Done,
     /* 1023364 */   // Label 15168: @1023364
     /* 1023364 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1023441), // Rule ID 13106 //
     /* 1023369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023408 */     // MIs[0] policy
     /* 1023408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023440 */     // GIR_Coverage, 13106,
     /* 1023440 */     GIR_EraseRootFromParent_Done,
     /* 1023441 */   // Label 15169: @1023441
     /* 1023441 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1023518), // Rule ID 13107 //
     /* 1023446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023485 */     // MIs[0] policy
     /* 1023485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023495 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023517 */     // GIR_Coverage, 13107,
     /* 1023517 */     GIR_EraseRootFromParent_Done,
     /* 1023518 */   // Label 15170: @1023518
     /* 1023518 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1023595), // Rule ID 13110 //
     /* 1023523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023562 */     // MIs[0] policy
     /* 1023562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023594 */     // GIR_Coverage, 13110,
     /* 1023594 */     GIR_EraseRootFromParent_Done,
     /* 1023595 */   // Label 15171: @1023595
     /* 1023595 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1023672), // Rule ID 13111 //
     /* 1023600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023639 */     // MIs[0] policy
     /* 1023639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023671 */     // GIR_Coverage, 13111,
     /* 1023671 */     GIR_EraseRootFromParent_Done,
     /* 1023672 */   // Label 15172: @1023672
     /* 1023672 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1023749), // Rule ID 13114 //
     /* 1023677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023716 */     // MIs[0] policy
     /* 1023716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023726 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023748 */     // GIR_Coverage, 13114,
     /* 1023748 */     GIR_EraseRootFromParent_Done,
     /* 1023749 */   // Label 15173: @1023749
     /* 1023749 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1023826), // Rule ID 13115 //
     /* 1023754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023793 */     // MIs[0] policy
     /* 1023793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023825 */     // GIR_Coverage, 13115,
     /* 1023825 */     GIR_EraseRootFromParent_Done,
     /* 1023826 */   // Label 15174: @1023826
     /* 1023826 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1023903), // Rule ID 13118 //
     /* 1023831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023870 */     // MIs[0] policy
     /* 1023870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023902 */     // GIR_Coverage, 13118,
     /* 1023902 */     GIR_EraseRootFromParent_Done,
     /* 1023903 */   // Label 15175: @1023903
     /* 1023903 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023980), // Rule ID 13119 //
     /* 1023908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023947 */     // MIs[0] policy
     /* 1023947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023957 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023979 */     // GIR_Coverage, 13119,
     /* 1023979 */     GIR_EraseRootFromParent_Done,
     /* 1023980 */   // Label 15176: @1023980
     /* 1023980 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1024057), // Rule ID 13122 //
     /* 1023985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1023996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1023999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024024 */     // MIs[0] policy
     /* 1024024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024056 */     // GIR_Coverage, 13122,
     /* 1024056 */     GIR_EraseRootFromParent_Done,
     /* 1024057 */   // Label 15177: @1024057
     /* 1024057 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1024134), // Rule ID 13123 //
     /* 1024062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024101 */     // MIs[0] policy
     /* 1024101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024111 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024133 */     // GIR_Coverage, 13123,
     /* 1024133 */     GIR_EraseRootFromParent_Done,
     /* 1024134 */   // Label 15178: @1024134
     /* 1024134 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1024211), // Rule ID 13126 //
     /* 1024139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024178 */     // MIs[0] policy
     /* 1024178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024210 */     // GIR_Coverage, 13126,
     /* 1024210 */     GIR_EraseRootFromParent_Done,
     /* 1024211 */   // Label 15179: @1024211
     /* 1024211 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1024288), // Rule ID 13127 //
     /* 1024216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024255 */     // MIs[0] policy
     /* 1024255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024265 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024287 */     // GIR_Coverage, 13127,
     /* 1024287 */     GIR_EraseRootFromParent_Done,
     /* 1024288 */   // Label 15180: @1024288
     /* 1024288 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1024365), // Rule ID 13130 //
     /* 1024293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024332 */     // MIs[0] policy
     /* 1024332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024364 */     // GIR_Coverage, 13130,
     /* 1024364 */     GIR_EraseRootFromParent_Done,
     /* 1024365 */   // Label 15181: @1024365
     /* 1024365 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1024442), // Rule ID 13131 //
     /* 1024370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024409 */     // MIs[0] policy
     /* 1024409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024441 */     // GIR_Coverage, 13131,
     /* 1024441 */     GIR_EraseRootFromParent_Done,
     /* 1024442 */   // Label 15182: @1024442
     /* 1024442 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1024519), // Rule ID 13134 //
     /* 1024447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024486 */     // MIs[0] policy
     /* 1024486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024518 */     // GIR_Coverage, 13134,
     /* 1024518 */     GIR_EraseRootFromParent_Done,
     /* 1024519 */   // Label 15183: @1024519
     /* 1024519 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1024596), // Rule ID 13135 //
     /* 1024524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024563 */     // MIs[0] policy
     /* 1024563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024573 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024595 */     // GIR_Coverage, 13135,
     /* 1024595 */     GIR_EraseRootFromParent_Done,
     /* 1024596 */   // Label 15184: @1024596
     /* 1024596 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1024673), // Rule ID 13138 //
     /* 1024601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024640 */     // MIs[0] policy
     /* 1024640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024650 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024672 */     // GIR_Coverage, 13138,
     /* 1024672 */     GIR_EraseRootFromParent_Done,
     /* 1024673 */   // Label 15185: @1024673
     /* 1024673 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1024750), // Rule ID 13139 //
     /* 1024678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024717 */     // MIs[0] policy
     /* 1024717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024749 */     // GIR_Coverage, 13139,
     /* 1024749 */     GIR_EraseRootFromParent_Done,
     /* 1024750 */   // Label 15186: @1024750
     /* 1024750 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1024827), // Rule ID 13142 //
     /* 1024755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024794 */     // MIs[0] policy
     /* 1024794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024826 */     // GIR_Coverage, 13142,
     /* 1024826 */     GIR_EraseRootFromParent_Done,
     /* 1024827 */   // Label 15187: @1024827
     /* 1024827 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1024904), // Rule ID 13143 //
     /* 1024832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024871 */     // MIs[0] policy
     /* 1024871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024881 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024903 */     // GIR_Coverage, 13143,
     /* 1024903 */     GIR_EraseRootFromParent_Done,
     /* 1024904 */   // Label 15188: @1024904
     /* 1024904 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024981), // Rule ID 13146 //
     /* 1024909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1024926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1024929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024948 */     // MIs[0] policy
     /* 1024948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024980 */     // GIR_Coverage, 13146,
     /* 1024980 */     GIR_EraseRootFromParent_Done,
     /* 1024981 */   // Label 15189: @1024981
     /* 1024981 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1025058), // Rule ID 13147 //
     /* 1024986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1025003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025025 */     // MIs[0] policy
     /* 1025025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025035 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1025038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025057 */     // GIR_Coverage, 13147,
     /* 1025057 */     GIR_EraseRootFromParent_Done,
     /* 1025058 */   // Label 15190: @1025058
     /* 1025058 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1025135), // Rule ID 13150 //
     /* 1025063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025102 */     // MIs[0] policy
     /* 1025102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025134 */     // GIR_Coverage, 13150,
     /* 1025134 */     GIR_EraseRootFromParent_Done,
     /* 1025135 */   // Label 15191: @1025135
     /* 1025135 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1025212), // Rule ID 13151 //
     /* 1025140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025179 */     // MIs[0] policy
     /* 1025179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025211 */     // GIR_Coverage, 13151,
     /* 1025211 */     GIR_EraseRootFromParent_Done,
     /* 1025212 */   // Label 15192: @1025212
     /* 1025212 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1025289), // Rule ID 13154 //
     /* 1025217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1025237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025256 */     // MIs[0] policy
     /* 1025256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025288 */     // GIR_Coverage, 13154,
     /* 1025288 */     GIR_EraseRootFromParent_Done,
     /* 1025289 */   // Label 15193: @1025289
     /* 1025289 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1025366), // Rule ID 13155 //
     /* 1025294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1025314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025333 */     // MIs[0] policy
     /* 1025333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025365 */     // GIR_Coverage, 13155,
     /* 1025365 */     GIR_EraseRootFromParent_Done,
     /* 1025366 */   // Label 15194: @1025366
     /* 1025366 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1025443), // Rule ID 13158 //
     /* 1025371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025410 */     // MIs[0] policy
     /* 1025410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025420 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025442 */     // GIR_Coverage, 13158,
     /* 1025442 */     GIR_EraseRootFromParent_Done,
     /* 1025443 */   // Label 15195: @1025443
     /* 1025443 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1025520), // Rule ID 13159 //
     /* 1025448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025487 */     // MIs[0] policy
     /* 1025487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025519 */     // GIR_Coverage, 13159,
     /* 1025519 */     GIR_EraseRootFromParent_Done,
     /* 1025520 */   // Label 15196: @1025520
     /* 1025520 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1025597), // Rule ID 13162 //
     /* 1025525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025564 */     // MIs[0] policy
     /* 1025564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025596 */     // GIR_Coverage, 13162,
     /* 1025596 */     GIR_EraseRootFromParent_Done,
     /* 1025597 */   // Label 15197: @1025597
     /* 1025597 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1025674), // Rule ID 13163 //
     /* 1025602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025641 */     // MIs[0] policy
     /* 1025641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025673 */     // GIR_Coverage, 13163,
     /* 1025673 */     GIR_EraseRootFromParent_Done,
     /* 1025674 */   // Label 15198: @1025674
     /* 1025674 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1025751), // Rule ID 13166 //
     /* 1025679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025718 */     // MIs[0] policy
     /* 1025718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025750 */     // GIR_Coverage, 13166,
     /* 1025750 */     GIR_EraseRootFromParent_Done,
     /* 1025751 */   // Label 15199: @1025751
     /* 1025751 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1025828), // Rule ID 13167 //
     /* 1025756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025795 */     // MIs[0] policy
     /* 1025795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025827 */     // GIR_Coverage, 13167,
     /* 1025827 */     GIR_EraseRootFromParent_Done,
     /* 1025828 */   // Label 15200: @1025828
     /* 1025828 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1025905), // Rule ID 13170 //
     /* 1025833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025872 */     // MIs[0] policy
     /* 1025872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025904 */     // GIR_Coverage, 13170,
     /* 1025904 */     GIR_EraseRootFromParent_Done,
     /* 1025905 */   // Label 15201: @1025905
     /* 1025905 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025982), // Rule ID 13171 //
     /* 1025910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025949 */     // MIs[0] policy
     /* 1025949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025981 */     // GIR_Coverage, 13171,
     /* 1025981 */     GIR_EraseRootFromParent_Done,
     /* 1025982 */   // Label 15202: @1025982
     /* 1025982 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1026059), // Rule ID 13174 //
     /* 1025987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1025998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1026004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026026 */     // MIs[0] policy
     /* 1026026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026058 */     // GIR_Coverage, 13174,
     /* 1026058 */     GIR_EraseRootFromParent_Done,
     /* 1026059 */   // Label 15203: @1026059
     /* 1026059 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1026136), // Rule ID 13175 //
     /* 1026064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1026081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026103 */     // MIs[0] policy
     /* 1026103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026135 */     // GIR_Coverage, 13175,
     /* 1026135 */     GIR_EraseRootFromParent_Done,
     /* 1026136 */   // Label 15204: @1026136
     /* 1026136 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1026213), // Rule ID 13178 //
     /* 1026141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026180 */     // MIs[0] policy
     /* 1026180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026190 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026212 */     // GIR_Coverage, 13178,
     /* 1026212 */     GIR_EraseRootFromParent_Done,
     /* 1026213 */   // Label 15205: @1026213
     /* 1026213 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1026290), // Rule ID 13179 //
     /* 1026218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026257 */     // MIs[0] policy
     /* 1026257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026289 */     // GIR_Coverage, 13179,
     /* 1026289 */     GIR_EraseRootFromParent_Done,
     /* 1026290 */   // Label 15206: @1026290
     /* 1026290 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1026367), // Rule ID 13182 //
     /* 1026295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1026306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1026309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026334 */     // MIs[0] policy
     /* 1026334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026344 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026366 */     // GIR_Coverage, 13182,
     /* 1026366 */     GIR_EraseRootFromParent_Done,
     /* 1026367 */   // Label 15207: @1026367
     /* 1026367 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1026444), // Rule ID 13183 //
     /* 1026372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1026383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1026386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026411 */     // MIs[0] policy
     /* 1026411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026421 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026443 */     // GIR_Coverage, 13183,
     /* 1026443 */     GIR_EraseRootFromParent_Done,
     /* 1026444 */   // Label 15208: @1026444
     /* 1026444 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1026521), // Rule ID 13186 //
     /* 1026449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026488 */     // MIs[0] policy
     /* 1026488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026520 */     // GIR_Coverage, 13186,
     /* 1026520 */     GIR_EraseRootFromParent_Done,
     /* 1026521 */   // Label 15209: @1026521
     /* 1026521 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1026598), // Rule ID 13187 //
     /* 1026526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026565 */     // MIs[0] policy
     /* 1026565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026597 */     // GIR_Coverage, 13187,
     /* 1026597 */     GIR_EraseRootFromParent_Done,
     /* 1026598 */   // Label 15210: @1026598
     /* 1026598 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1026675), // Rule ID 13190 //
     /* 1026603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026642 */     // MIs[0] policy
     /* 1026642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026652 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026674 */     // GIR_Coverage, 13190,
     /* 1026674 */     GIR_EraseRootFromParent_Done,
     /* 1026675 */   // Label 15211: @1026675
     /* 1026675 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1026752), // Rule ID 13191 //
     /* 1026680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026719 */     // MIs[0] policy
     /* 1026719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026729 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026751 */     // GIR_Coverage, 13191,
     /* 1026751 */     GIR_EraseRootFromParent_Done,
     /* 1026752 */   // Label 15212: @1026752
     /* 1026752 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1026829), // Rule ID 13194 //
     /* 1026757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026796 */     // MIs[0] policy
     /* 1026796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026828 */     // GIR_Coverage, 13194,
     /* 1026828 */     GIR_EraseRootFromParent_Done,
     /* 1026829 */   // Label 15213: @1026829
     /* 1026829 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1026906), // Rule ID 13195 //
     /* 1026834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026873 */     // MIs[0] policy
     /* 1026873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026883 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026905 */     // GIR_Coverage, 13195,
     /* 1026905 */     GIR_EraseRootFromParent_Done,
     /* 1026906 */   // Label 15214: @1026906
     /* 1026906 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026983), // Rule ID 13198 //
     /* 1026911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026950 */     // MIs[0] policy
     /* 1026950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026960 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026982 */     // GIR_Coverage, 13198,
     /* 1026982 */     GIR_EraseRootFromParent_Done,
     /* 1026983 */   // Label 15215: @1026983
     /* 1026983 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1027060), // Rule ID 13199 //
     /* 1026988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1027005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027027 */     // MIs[0] policy
     /* 1027027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027059 */     // GIR_Coverage, 13199,
     /* 1027059 */     GIR_EraseRootFromParent_Done,
     /* 1027060 */   // Label 15216: @1027060
     /* 1027060 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1027137), // Rule ID 13202 //
     /* 1027065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027104 */     // MIs[0] policy
     /* 1027104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027136 */     // GIR_Coverage, 13202,
     /* 1027136 */     GIR_EraseRootFromParent_Done,
     /* 1027137 */   // Label 15217: @1027137
     /* 1027137 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1027214), // Rule ID 13203 //
     /* 1027142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027181 */     // MIs[0] policy
     /* 1027181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027213 */     // GIR_Coverage, 13203,
     /* 1027213 */     GIR_EraseRootFromParent_Done,
     /* 1027214 */   // Label 15218: @1027214
     /* 1027214 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1027291), // Rule ID 13206 //
     /* 1027219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1027236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1027239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027258 */     // MIs[0] policy
     /* 1027258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027290 */     // GIR_Coverage, 13206,
     /* 1027290 */     GIR_EraseRootFromParent_Done,
     /* 1027291 */   // Label 15219: @1027291
     /* 1027291 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1027368), // Rule ID 13207 //
     /* 1027296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1027313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1027316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027335 */     // MIs[0] policy
     /* 1027335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027367 */     // GIR_Coverage, 13207,
     /* 1027367 */     GIR_EraseRootFromParent_Done,
     /* 1027368 */   // Label 15220: @1027368
     /* 1027368 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1027445), // Rule ID 13210 //
     /* 1027373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1027384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1027387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1027390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1027393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027412 */     // MIs[0] policy
     /* 1027412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027444 */     // GIR_Coverage, 13210,
     /* 1027444 */     GIR_EraseRootFromParent_Done,
     /* 1027445 */   // Label 15221: @1027445
     /* 1027445 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1027522), // Rule ID 13211 //
     /* 1027450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1027461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1027464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1027467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1027470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027489 */     // MIs[0] policy
     /* 1027489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027521 */     // GIR_Coverage, 13211,
     /* 1027521 */     GIR_EraseRootFromParent_Done,
     /* 1027522 */   // Label 15222: @1027522
     /* 1027522 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1027599), // Rule ID 13214 //
     /* 1027527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027566 */     // MIs[0] policy
     /* 1027566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027598 */     // GIR_Coverage, 13214,
     /* 1027598 */     GIR_EraseRootFromParent_Done,
     /* 1027599 */   // Label 15223: @1027599
     /* 1027599 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1027676), // Rule ID 13215 //
     /* 1027604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027643 */     // MIs[0] policy
     /* 1027643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027675 */     // GIR_Coverage, 13215,
     /* 1027675 */     GIR_EraseRootFromParent_Done,
     /* 1027676 */   // Label 15224: @1027676
     /* 1027676 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1027753), // Rule ID 13218 //
     /* 1027681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027720 */     // MIs[0] policy
     /* 1027720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027752 */     // GIR_Coverage, 13218,
     /* 1027752 */     GIR_EraseRootFromParent_Done,
     /* 1027753 */   // Label 15225: @1027753
     /* 1027753 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1027830), // Rule ID 13219 //
     /* 1027758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027797 */     // MIs[0] policy
     /* 1027797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027829 */     // GIR_Coverage, 13219,
     /* 1027829 */     GIR_EraseRootFromParent_Done,
     /* 1027830 */   // Label 15226: @1027830
     /* 1027830 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1027907), // Rule ID 13222 //
     /* 1027835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027874 */     // MIs[0] policy
     /* 1027874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027906 */     // GIR_Coverage, 13222,
     /* 1027906 */     GIR_EraseRootFromParent_Done,
     /* 1027907 */   // Label 15227: @1027907
     /* 1027907 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027984), // Rule ID 13223 //
     /* 1027912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027951 */     // MIs[0] policy
     /* 1027951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027961 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027983 */     // GIR_Coverage, 13223,
     /* 1027983 */     GIR_EraseRootFromParent_Done,
     /* 1027984 */   // Label 15228: @1027984
     /* 1027984 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1028061), // Rule ID 13226 //
     /* 1027989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028028 */     // MIs[0] policy
     /* 1028028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028038 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028060 */     // GIR_Coverage, 13226,
     /* 1028060 */     GIR_EraseRootFromParent_Done,
     /* 1028061 */   // Label 15229: @1028061
     /* 1028061 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1028138), // Rule ID 13227 //
     /* 1028066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028105 */     // MIs[0] policy
     /* 1028105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028115 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028137 */     // GIR_Coverage, 13227,
     /* 1028137 */     GIR_EraseRootFromParent_Done,
     /* 1028138 */   // Label 15230: @1028138
     /* 1028138 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1028215), // Rule ID 13230 //
     /* 1028143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1028157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028182 */     // MIs[0] policy
     /* 1028182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028214 */     // GIR_Coverage, 13230,
     /* 1028214 */     GIR_EraseRootFromParent_Done,
     /* 1028215 */   // Label 15231: @1028215
     /* 1028215 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1028292), // Rule ID 13231 //
     /* 1028220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1028234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028259 */     // MIs[0] policy
     /* 1028259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028269 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028291 */     // GIR_Coverage, 13231,
     /* 1028291 */     GIR_EraseRootFromParent_Done,
     /* 1028292 */   // Label 15232: @1028292
     /* 1028292 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1028369), // Rule ID 13234 //
     /* 1028297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1028308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1028311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028336 */     // MIs[0] policy
     /* 1028336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028368 */     // GIR_Coverage, 13234,
     /* 1028368 */     GIR_EraseRootFromParent_Done,
     /* 1028369 */   // Label 15233: @1028369
     /* 1028369 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1028446), // Rule ID 13235 //
     /* 1028374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1028385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1028388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028413 */     // MIs[0] policy
     /* 1028413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028423 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028445 */     // GIR_Coverage, 13235,
     /* 1028445 */     GIR_EraseRootFromParent_Done,
     /* 1028446 */   // Label 15234: @1028446
     /* 1028446 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1028523), // Rule ID 13238 //
     /* 1028451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028490 */     // MIs[0] policy
     /* 1028490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028522 */     // GIR_Coverage, 13238,
     /* 1028522 */     GIR_EraseRootFromParent_Done,
     /* 1028523 */   // Label 15235: @1028523
     /* 1028523 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1028600), // Rule ID 13239 //
     /* 1028528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028567 */     // MIs[0] policy
     /* 1028567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028599 */     // GIR_Coverage, 13239,
     /* 1028599 */     GIR_EraseRootFromParent_Done,
     /* 1028600 */   // Label 15236: @1028600
     /* 1028600 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1028677), // Rule ID 13242 //
     /* 1028605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028644 */     // MIs[0] policy
     /* 1028644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028654 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028676 */     // GIR_Coverage, 13242,
     /* 1028676 */     GIR_EraseRootFromParent_Done,
     /* 1028677 */   // Label 15237: @1028677
     /* 1028677 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1028754), // Rule ID 13243 //
     /* 1028682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028721 */     // MIs[0] policy
     /* 1028721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028753 */     // GIR_Coverage, 13243,
     /* 1028753 */     GIR_EraseRootFromParent_Done,
     /* 1028754 */   // Label 15238: @1028754
     /* 1028754 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1028831), // Rule ID 13246 //
     /* 1028759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028798 */     // MIs[0] policy
     /* 1028798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028830 */     // GIR_Coverage, 13246,
     /* 1028830 */     GIR_EraseRootFromParent_Done,
     /* 1028831 */   // Label 15239: @1028831
     /* 1028831 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1028908), // Rule ID 13247 //
     /* 1028836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028875 */     // MIs[0] policy
     /* 1028875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028885 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028907 */     // GIR_Coverage, 13247,
     /* 1028907 */     GIR_EraseRootFromParent_Done,
     /* 1028908 */   // Label 15240: @1028908
     /* 1028908 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028985), // Rule ID 13250 //
     /* 1028913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1028924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1028927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028952 */     // MIs[0] policy
     /* 1028952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028984 */     // GIR_Coverage, 13250,
     /* 1028984 */     GIR_EraseRootFromParent_Done,
     /* 1028985 */   // Label 15241: @1028985
     /* 1028985 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1029062), // Rule ID 13251 //
     /* 1028990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029029 */     // MIs[0] policy
     /* 1029029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029061 */     // GIR_Coverage, 13251,
     /* 1029061 */     GIR_EraseRootFromParent_Done,
     /* 1029062 */   // Label 15242: @1029062
     /* 1029062 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1029139), // Rule ID 13254 //
     /* 1029067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029106 */     // MIs[0] policy
     /* 1029106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029138 */     // GIR_Coverage, 13254,
     /* 1029138 */     GIR_EraseRootFromParent_Done,
     /* 1029139 */   // Label 15243: @1029139
     /* 1029139 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1029216), // Rule ID 13255 //
     /* 1029144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029183 */     // MIs[0] policy
     /* 1029183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029215 */     // GIR_Coverage, 13255,
     /* 1029215 */     GIR_EraseRootFromParent_Done,
     /* 1029216 */   // Label 15244: @1029216
     /* 1029216 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1029293), // Rule ID 13258 //
     /* 1029221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1029232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1029235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1029241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029260 */     // MIs[0] policy
     /* 1029260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029270 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029292 */     // GIR_Coverage, 13258,
     /* 1029292 */     GIR_EraseRootFromParent_Done,
     /* 1029293 */   // Label 15245: @1029293
     /* 1029293 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1029370), // Rule ID 13259 //
     /* 1029298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1029309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1029312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1029318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029337 */     // MIs[0] policy
     /* 1029337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029369 */     // GIR_Coverage, 13259,
     /* 1029369 */     GIR_EraseRootFromParent_Done,
     /* 1029370 */   // Label 15246: @1029370
     /* 1029370 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1029447), // Rule ID 13262 //
     /* 1029375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1029386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1029389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1029395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029414 */     // MIs[0] policy
     /* 1029414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029446 */     // GIR_Coverage, 13262,
     /* 1029446 */     GIR_EraseRootFromParent_Done,
     /* 1029447 */   // Label 15247: @1029447
     /* 1029447 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1029524), // Rule ID 13263 //
     /* 1029452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1029463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1029466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1029472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029491 */     // MIs[0] policy
     /* 1029491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029501 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029523 */     // GIR_Coverage, 13263,
     /* 1029523 */     GIR_EraseRootFromParent_Done,
     /* 1029524 */   // Label 15248: @1029524
     /* 1029524 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1029601), // Rule ID 13266 //
     /* 1029529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029568 */     // MIs[0] policy
     /* 1029568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029600 */     // GIR_Coverage, 13266,
     /* 1029600 */     GIR_EraseRootFromParent_Done,
     /* 1029601 */   // Label 15249: @1029601
     /* 1029601 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1029678), // Rule ID 13267 //
     /* 1029606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029645 */     // MIs[0] policy
     /* 1029645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029655 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029677 */     // GIR_Coverage, 13267,
     /* 1029677 */     GIR_EraseRootFromParent_Done,
     /* 1029678 */   // Label 15250: @1029678
     /* 1029678 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1029755), // Rule ID 13270 //
     /* 1029683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029722 */     // MIs[0] policy
     /* 1029722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029754 */     // GIR_Coverage, 13270,
     /* 1029754 */     GIR_EraseRootFromParent_Done,
     /* 1029755 */   // Label 15251: @1029755
     /* 1029755 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1029832), // Rule ID 13271 //
     /* 1029760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029799 */     // MIs[0] policy
     /* 1029799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029809 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029831 */     // GIR_Coverage, 13271,
     /* 1029831 */     GIR_EraseRootFromParent_Done,
     /* 1029832 */   // Label 15252: @1029832
     /* 1029832 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1029909), // Rule ID 13274 //
     /* 1029837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029876 */     // MIs[0] policy
     /* 1029876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029908 */     // GIR_Coverage, 13274,
     /* 1029908 */     GIR_EraseRootFromParent_Done,
     /* 1029909 */   // Label 15253: @1029909
     /* 1029909 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029986), // Rule ID 13275 //
     /* 1029914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029953 */     // MIs[0] policy
     /* 1029953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029985 */     // GIR_Coverage, 13275,
     /* 1029985 */     GIR_EraseRootFromParent_Done,
     /* 1029986 */   // Label 15254: @1029986
     /* 1029986 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1030063), // Rule ID 13278 //
     /* 1029991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030030 */     // MIs[0] policy
     /* 1030030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030062 */     // GIR_Coverage, 13278,
     /* 1030062 */     GIR_EraseRootFromParent_Done,
     /* 1030063 */   // Label 15255: @1030063
     /* 1030063 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1030140), // Rule ID 13279 //
     /* 1030068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030107 */     // MIs[0] policy
     /* 1030107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030117 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030139 */     // GIR_Coverage, 13279,
     /* 1030139 */     GIR_EraseRootFromParent_Done,
     /* 1030140 */   // Label 15256: @1030140
     /* 1030140 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1030217), // Rule ID 13282 //
     /* 1030145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1030165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030184 */     // MIs[0] policy
     /* 1030184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030216 */     // GIR_Coverage, 13282,
     /* 1030216 */     GIR_EraseRootFromParent_Done,
     /* 1030217 */   // Label 15257: @1030217
     /* 1030217 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1030294), // Rule ID 13283 //
     /* 1030222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1030242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030261 */     // MIs[0] policy
     /* 1030261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030293 */     // GIR_Coverage, 13283,
     /* 1030293 */     GIR_EraseRootFromParent_Done,
     /* 1030294 */   // Label 15258: @1030294
     /* 1030294 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1030371), // Rule ID 13286 //
     /* 1030299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1030319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030338 */     // MIs[0] policy
     /* 1030338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030370 */     // GIR_Coverage, 13286,
     /* 1030370 */     GIR_EraseRootFromParent_Done,
     /* 1030371 */   // Label 15259: @1030371
     /* 1030371 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1030448), // Rule ID 13287 //
     /* 1030376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1030396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030415 */     // MIs[0] policy
     /* 1030415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030447 */     // GIR_Coverage, 13287,
     /* 1030447 */     GIR_EraseRootFromParent_Done,
     /* 1030448 */   // Label 15260: @1030448
     /* 1030448 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1030525), // Rule ID 13290 //
     /* 1030453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030492 */     // MIs[0] policy
     /* 1030492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030524 */     // GIR_Coverage, 13290,
     /* 1030524 */     GIR_EraseRootFromParent_Done,
     /* 1030525 */   // Label 15261: @1030525
     /* 1030525 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1030602), // Rule ID 13291 //
     /* 1030530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030569 */     // MIs[0] policy
     /* 1030569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030579 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030601 */     // GIR_Coverage, 13291,
     /* 1030601 */     GIR_EraseRootFromParent_Done,
     /* 1030602 */   // Label 15262: @1030602
     /* 1030602 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1030679), // Rule ID 13294 //
     /* 1030607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030646 */     // MIs[0] policy
     /* 1030646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030678 */     // GIR_Coverage, 13294,
     /* 1030678 */     GIR_EraseRootFromParent_Done,
     /* 1030679 */   // Label 15263: @1030679
     /* 1030679 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1030756), // Rule ID 13295 //
     /* 1030684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030723 */     // MIs[0] policy
     /* 1030723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030755 */     // GIR_Coverage, 13295,
     /* 1030755 */     GIR_EraseRootFromParent_Done,
     /* 1030756 */   // Label 15264: @1030756
     /* 1030756 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1030833), // Rule ID 13298 //
     /* 1030761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030800 */     // MIs[0] policy
     /* 1030800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030832 */     // GIR_Coverage, 13298,
     /* 1030832 */     GIR_EraseRootFromParent_Done,
     /* 1030833 */   // Label 15265: @1030833
     /* 1030833 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1030910), // Rule ID 13299 //
     /* 1030838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030877 */     // MIs[0] policy
     /* 1030877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030909 */     // GIR_Coverage, 13299,
     /* 1030909 */     GIR_EraseRootFromParent_Done,
     /* 1030910 */   // Label 15266: @1030910
     /* 1030910 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030987), // Rule ID 13302 //
     /* 1030915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1030926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1030929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1030935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030954 */     // MIs[0] policy
     /* 1030954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030986 */     // GIR_Coverage, 13302,
     /* 1030986 */     GIR_EraseRootFromParent_Done,
     /* 1030987 */   // Label 15267: @1030987
     /* 1030987 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1031064), // Rule ID 13303 //
     /* 1030992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031031 */     // MIs[0] policy
     /* 1031031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1031044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031063 */     // GIR_Coverage, 13303,
     /* 1031063 */     GIR_EraseRootFromParent_Done,
     /* 1031064 */   // Label 15268: @1031064
     /* 1031064 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1031141), // Rule ID 13306 //
     /* 1031069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031108 */     // MIs[0] policy
     /* 1031108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031140 */     // GIR_Coverage, 13306,
     /* 1031140 */     GIR_EraseRootFromParent_Done,
     /* 1031141 */   // Label 15269: @1031141
     /* 1031141 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1031218), // Rule ID 13307 //
     /* 1031146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031185 */     // MIs[0] policy
     /* 1031185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031195 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031217 */     // GIR_Coverage, 13307,
     /* 1031217 */     GIR_EraseRootFromParent_Done,
     /* 1031218 */   // Label 15270: @1031218
     /* 1031218 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1031295), // Rule ID 13310 //
     /* 1031223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1031240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031262 */     // MIs[0] policy
     /* 1031262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1031275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031294 */     // GIR_Coverage, 13310,
     /* 1031294 */     GIR_EraseRootFromParent_Done,
     /* 1031295 */   // Label 15271: @1031295
     /* 1031295 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1031372), // Rule ID 13311 //
     /* 1031300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1031317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031339 */     // MIs[0] policy
     /* 1031339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1031352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031371 */     // GIR_Coverage, 13311,
     /* 1031371 */     GIR_EraseRootFromParent_Done,
     /* 1031372 */   // Label 15272: @1031372
     /* 1031372 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1031449), // Rule ID 13314 //
     /* 1031377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1031394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031416 */     // MIs[0] policy
     /* 1031416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031448 */     // GIR_Coverage, 13314,
     /* 1031448 */     GIR_EraseRootFromParent_Done,
     /* 1031449 */   // Label 15273: @1031449
     /* 1031449 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1031526), // Rule ID 13315 //
     /* 1031454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1031471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031493 */     // MIs[0] policy
     /* 1031493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031525 */     // GIR_Coverage, 13315,
     /* 1031525 */     GIR_EraseRootFromParent_Done,
     /* 1031526 */   // Label 15274: @1031526
     /* 1031526 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1031603), // Rule ID 13318 //
     /* 1031531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031570 */     // MIs[0] policy
     /* 1031570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031602 */     // GIR_Coverage, 13318,
     /* 1031602 */     GIR_EraseRootFromParent_Done,
     /* 1031603 */   // Label 15275: @1031603
     /* 1031603 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1031680), // Rule ID 13319 //
     /* 1031608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031647 */     // MIs[0] policy
     /* 1031647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031679 */     // GIR_Coverage, 13319,
     /* 1031679 */     GIR_EraseRootFromParent_Done,
     /* 1031680 */   // Label 15276: @1031680
     /* 1031680 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1031757), // Rule ID 13322 //
     /* 1031685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031724 */     // MIs[0] policy
     /* 1031724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031756 */     // GIR_Coverage, 13322,
     /* 1031756 */     GIR_EraseRootFromParent_Done,
     /* 1031757 */   // Label 15277: @1031757
     /* 1031757 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1031834), // Rule ID 13323 //
     /* 1031762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031801 */     // MIs[0] policy
     /* 1031801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031833 */     // GIR_Coverage, 13323,
     /* 1031833 */     GIR_EraseRootFromParent_Done,
     /* 1031834 */   // Label 15278: @1031834
     /* 1031834 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1031911), // Rule ID 13326 //
     /* 1031839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031878 */     // MIs[0] policy
     /* 1031878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031888 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031910 */     // GIR_Coverage, 13326,
     /* 1031910 */     GIR_EraseRootFromParent_Done,
     /* 1031911 */   // Label 15279: @1031911
     /* 1031911 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031988), // Rule ID 13327 //
     /* 1031916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031955 */     // MIs[0] policy
     /* 1031955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031965 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031987 */     // GIR_Coverage, 13327,
     /* 1031987 */     GIR_EraseRootFromParent_Done,
     /* 1031988 */   // Label 15280: @1031988
     /* 1031988 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1032065), // Rule ID 13330 //
     /* 1031993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1032010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032032 */     // MIs[0] policy
     /* 1032032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032064 */     // GIR_Coverage, 13330,
     /* 1032064 */     GIR_EraseRootFromParent_Done,
     /* 1032065 */   // Label 15281: @1032065
     /* 1032065 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1032142), // Rule ID 13331 //
     /* 1032070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1032087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032109 */     // MIs[0] policy
     /* 1032109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032141 */     // GIR_Coverage, 13331,
     /* 1032141 */     GIR_EraseRootFromParent_Done,
     /* 1032142 */   // Label 15282: @1032142
     /* 1032142 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1032219), // Rule ID 13334 //
     /* 1032147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1032164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032186 */     // MIs[0] policy
     /* 1032186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032218 */     // GIR_Coverage, 13334,
     /* 1032218 */     GIR_EraseRootFromParent_Done,
     /* 1032219 */   // Label 15283: @1032219
     /* 1032219 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1032296), // Rule ID 13335 //
     /* 1032224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1032241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032263 */     // MIs[0] policy
     /* 1032263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032295 */     // GIR_Coverage, 13335,
     /* 1032295 */     GIR_EraseRootFromParent_Done,
     /* 1032296 */   // Label 15284: @1032296
     /* 1032296 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1032373), // Rule ID 13338 //
     /* 1032301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1032318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032340 */     // MIs[0] policy
     /* 1032340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032372 */     // GIR_Coverage, 13338,
     /* 1032372 */     GIR_EraseRootFromParent_Done,
     /* 1032373 */   // Label 15285: @1032373
     /* 1032373 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1032450), // Rule ID 13339 //
     /* 1032378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1032395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032417 */     // MIs[0] policy
     /* 1032417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032449 */     // GIR_Coverage, 13339,
     /* 1032449 */     GIR_EraseRootFromParent_Done,
     /* 1032450 */   // Label 15286: @1032450
     /* 1032450 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1032527), // Rule ID 13342 //
     /* 1032455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032494 */     // MIs[0] policy
     /* 1032494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032526 */     // GIR_Coverage, 13342,
     /* 1032526 */     GIR_EraseRootFromParent_Done,
     /* 1032527 */   // Label 15287: @1032527
     /* 1032527 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1032604), // Rule ID 13343 //
     /* 1032532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032571 */     // MIs[0] policy
     /* 1032571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032603 */     // GIR_Coverage, 13343,
     /* 1032603 */     GIR_EraseRootFromParent_Done,
     /* 1032604 */   // Label 15288: @1032604
     /* 1032604 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1032681), // Rule ID 13346 //
     /* 1032609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032648 */     // MIs[0] policy
     /* 1032648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032680 */     // GIR_Coverage, 13346,
     /* 1032680 */     GIR_EraseRootFromParent_Done,
     /* 1032681 */   // Label 15289: @1032681
     /* 1032681 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1032758), // Rule ID 13347 //
     /* 1032686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032725 */     // MIs[0] policy
     /* 1032725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032735 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032757 */     // GIR_Coverage, 13347,
     /* 1032757 */     GIR_EraseRootFromParent_Done,
     /* 1032758 */   // Label 15290: @1032758
     /* 1032758 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1032835), // Rule ID 13350 //
     /* 1032763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032802 */     // MIs[0] policy
     /* 1032802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032834 */     // GIR_Coverage, 13350,
     /* 1032834 */     GIR_EraseRootFromParent_Done,
     /* 1032835 */   // Label 15291: @1032835
     /* 1032835 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1032912), // Rule ID 13351 //
     /* 1032840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032879 */     // MIs[0] policy
     /* 1032879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032911 */     // GIR_Coverage, 13351,
     /* 1032911 */     GIR_EraseRootFromParent_Done,
     /* 1032912 */   // Label 15292: @1032912
     /* 1032912 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032989), // Rule ID 13354 //
     /* 1032917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1032928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1032931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1032934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032956 */     // MIs[0] policy
     /* 1032956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032988 */     // GIR_Coverage, 13354,
     /* 1032988 */     GIR_EraseRootFromParent_Done,
     /* 1032989 */   // Label 15293: @1032989
     /* 1032989 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1033066), // Rule ID 13355 //
     /* 1032994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033033 */     // MIs[0] policy
     /* 1033033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1033046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033065 */     // GIR_Coverage, 13355,
     /* 1033065 */     GIR_EraseRootFromParent_Done,
     /* 1033066 */   // Label 15294: @1033066
     /* 1033066 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1033143), // Rule ID 13358 //
     /* 1033071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1033088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033110 */     // MIs[0] policy
     /* 1033110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033142 */     // GIR_Coverage, 13358,
     /* 1033142 */     GIR_EraseRootFromParent_Done,
     /* 1033143 */   // Label 15295: @1033143
     /* 1033143 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1033220), // Rule ID 13359 //
     /* 1033148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1033165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033187 */     // MIs[0] policy
     /* 1033187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033219 */     // GIR_Coverage, 13359,
     /* 1033219 */     GIR_EraseRootFromParent_Done,
     /* 1033220 */   // Label 15296: @1033220
     /* 1033220 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1033297), // Rule ID 13362 //
     /* 1033225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1033242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033264 */     // MIs[0] policy
     /* 1033264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1033277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033296 */     // GIR_Coverage, 13362,
     /* 1033296 */     GIR_EraseRootFromParent_Done,
     /* 1033297 */   // Label 15297: @1033297
     /* 1033297 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1033374), // Rule ID 13363 //
     /* 1033302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1033319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033341 */     // MIs[0] policy
     /* 1033341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1033354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033373 */     // GIR_Coverage, 13363,
     /* 1033373 */     GIR_EraseRootFromParent_Done,
     /* 1033374 */   // Label 15298: @1033374
     /* 1033374 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1033451), // Rule ID 13366 //
     /* 1033379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1033396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033418 */     // MIs[0] policy
     /* 1033418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033450 */     // GIR_Coverage, 13366,
     /* 1033450 */     GIR_EraseRootFromParent_Done,
     /* 1033451 */   // Label 15299: @1033451
     /* 1033451 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1033528), // Rule ID 13367 //
     /* 1033456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1033473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033495 */     // MIs[0] policy
     /* 1033495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033527 */     // GIR_Coverage, 13367,
     /* 1033527 */     GIR_EraseRootFromParent_Done,
     /* 1033528 */   // Label 15300: @1033528
     /* 1033528 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1033605), // Rule ID 13370 //
     /* 1033533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033572 */     // MIs[0] policy
     /* 1033572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033604 */     // GIR_Coverage, 13370,
     /* 1033604 */     GIR_EraseRootFromParent_Done,
     /* 1033605 */   // Label 15301: @1033605
     /* 1033605 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1033682), // Rule ID 13371 //
     /* 1033610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033649 */     // MIs[0] policy
     /* 1033649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033681 */     // GIR_Coverage, 13371,
     /* 1033681 */     GIR_EraseRootFromParent_Done,
     /* 1033682 */   // Label 15302: @1033682
     /* 1033682 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1033759), // Rule ID 13374 //
     /* 1033687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033726 */     // MIs[0] policy
     /* 1033726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033758 */     // GIR_Coverage, 13374,
     /* 1033758 */     GIR_EraseRootFromParent_Done,
     /* 1033759 */   // Label 15303: @1033759
     /* 1033759 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1033836), // Rule ID 13375 //
     /* 1033764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033803 */     // MIs[0] policy
     /* 1033803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033813 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033835 */     // GIR_Coverage, 13375,
     /* 1033835 */     GIR_EraseRootFromParent_Done,
     /* 1033836 */   // Label 15304: @1033836
     /* 1033836 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1033913), // Rule ID 13378 //
     /* 1033841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033880 */     // MIs[0] policy
     /* 1033880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033912 */     // GIR_Coverage, 13378,
     /* 1033912 */     GIR_EraseRootFromParent_Done,
     /* 1033913 */   // Label 15305: @1033913
     /* 1033913 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033990), // Rule ID 13379 //
     /* 1033918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033957 */     // MIs[0] policy
     /* 1033957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033989 */     // GIR_Coverage, 13379,
     /* 1033989 */     GIR_EraseRootFromParent_Done,
     /* 1033990 */   // Label 15306: @1033990
     /* 1033990 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1034067), // Rule ID 13382 //
     /* 1033995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034034 */     // MIs[0] policy
     /* 1034034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034066 */     // GIR_Coverage, 13382,
     /* 1034066 */     GIR_EraseRootFromParent_Done,
     /* 1034067 */   // Label 15307: @1034067
     /* 1034067 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1034144), // Rule ID 13383 //
     /* 1034072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034111 */     // MIs[0] policy
     /* 1034111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034143 */     // GIR_Coverage, 13383,
     /* 1034143 */     GIR_EraseRootFromParent_Done,
     /* 1034144 */   // Label 15308: @1034144
     /* 1034144 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1034221), // Rule ID 13386 //
     /* 1034149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034188 */     // MIs[0] policy
     /* 1034188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034220 */     // GIR_Coverage, 13386,
     /* 1034220 */     GIR_EraseRootFromParent_Done,
     /* 1034221 */   // Label 15309: @1034221
     /* 1034221 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1034298), // Rule ID 13387 //
     /* 1034226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034265 */     // MIs[0] policy
     /* 1034265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034275 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034297 */     // GIR_Coverage, 13387,
     /* 1034297 */     GIR_EraseRootFromParent_Done,
     /* 1034298 */   // Label 15310: @1034298
     /* 1034298 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1034375), // Rule ID 13390 //
     /* 1034303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034342 */     // MIs[0] policy
     /* 1034342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034374 */     // GIR_Coverage, 13390,
     /* 1034374 */     GIR_EraseRootFromParent_Done,
     /* 1034375 */   // Label 15311: @1034375
     /* 1034375 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1034452), // Rule ID 13391 //
     /* 1034380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034419 */     // MIs[0] policy
     /* 1034419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034451 */     // GIR_Coverage, 13391,
     /* 1034451 */     GIR_EraseRootFromParent_Done,
     /* 1034452 */   // Label 15312: @1034452
     /* 1034452 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1034529), // Rule ID 13394 //
     /* 1034457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034496 */     // MIs[0] policy
     /* 1034496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034528 */     // GIR_Coverage, 13394,
     /* 1034528 */     GIR_EraseRootFromParent_Done,
     /* 1034529 */   // Label 15313: @1034529
     /* 1034529 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1034606), // Rule ID 13395 //
     /* 1034534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034573 */     // MIs[0] policy
     /* 1034573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034583 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034605 */     // GIR_Coverage, 13395,
     /* 1034605 */     GIR_EraseRootFromParent_Done,
     /* 1034606 */   // Label 15314: @1034606
     /* 1034606 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1034683), // Rule ID 13398 //
     /* 1034611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034650 */     // MIs[0] policy
     /* 1034650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034682 */     // GIR_Coverage, 13398,
     /* 1034682 */     GIR_EraseRootFromParent_Done,
     /* 1034683 */   // Label 15315: @1034683
     /* 1034683 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1034760), // Rule ID 13399 //
     /* 1034688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034727 */     // MIs[0] policy
     /* 1034727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034759 */     // GIR_Coverage, 13399,
     /* 1034759 */     GIR_EraseRootFromParent_Done,
     /* 1034760 */   // Label 15316: @1034760
     /* 1034760 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1034837), // Rule ID 13402 //
     /* 1034765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034804 */     // MIs[0] policy
     /* 1034804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034836 */     // GIR_Coverage, 13402,
     /* 1034836 */     GIR_EraseRootFromParent_Done,
     /* 1034837 */   // Label 15317: @1034837
     /* 1034837 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1034914), // Rule ID 13403 //
     /* 1034842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034881 */     // MIs[0] policy
     /* 1034881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034913 */     // GIR_Coverage, 13403,
     /* 1034913 */     GIR_EraseRootFromParent_Done,
     /* 1034914 */   // Label 15318: @1034914
     /* 1034914 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034991), // Rule ID 13406 //
     /* 1034919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034958 */     // MIs[0] policy
     /* 1034958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034990 */     // GIR_Coverage, 13406,
     /* 1034990 */     GIR_EraseRootFromParent_Done,
     /* 1034991 */   // Label 15319: @1034991
     /* 1034991 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1035068), // Rule ID 13407 //
     /* 1034996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035035 */     // MIs[0] policy
     /* 1035035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035067 */     // GIR_Coverage, 13407,
     /* 1035067 */     GIR_EraseRootFromParent_Done,
     /* 1035068 */   // Label 15320: @1035068
     /* 1035068 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1035145), // Rule ID 13410 //
     /* 1035073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035112 */     // MIs[0] policy
     /* 1035112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035144 */     // GIR_Coverage, 13410,
     /* 1035144 */     GIR_EraseRootFromParent_Done,
     /* 1035145 */   // Label 15321: @1035145
     /* 1035145 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1035222), // Rule ID 13411 //
     /* 1035150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035189 */     // MIs[0] policy
     /* 1035189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035221 */     // GIR_Coverage, 13411,
     /* 1035221 */     GIR_EraseRootFromParent_Done,
     /* 1035222 */   // Label 15322: @1035222
     /* 1035222 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1035299), // Rule ID 13414 //
     /* 1035227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035266 */     // MIs[0] policy
     /* 1035266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1035279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035298 */     // GIR_Coverage, 13414,
     /* 1035298 */     GIR_EraseRootFromParent_Done,
     /* 1035299 */   // Label 15323: @1035299
     /* 1035299 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1035376), // Rule ID 13415 //
     /* 1035304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035343 */     // MIs[0] policy
     /* 1035343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1035356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035375 */     // GIR_Coverage, 13415,
     /* 1035375 */     GIR_EraseRootFromParent_Done,
     /* 1035376 */   // Label 15324: @1035376
     /* 1035376 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1035453), // Rule ID 13418 //
     /* 1035381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035420 */     // MIs[0] policy
     /* 1035420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035452 */     // GIR_Coverage, 13418,
     /* 1035452 */     GIR_EraseRootFromParent_Done,
     /* 1035453 */   // Label 15325: @1035453
     /* 1035453 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1035530), // Rule ID 13419 //
     /* 1035458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035497 */     // MIs[0] policy
     /* 1035497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035529 */     // GIR_Coverage, 13419,
     /* 1035529 */     GIR_EraseRootFromParent_Done,
     /* 1035530 */   // Label 15326: @1035530
     /* 1035530 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1035607), // Rule ID 13422 //
     /* 1035535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035574 */     // MIs[0] policy
     /* 1035574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035606 */     // GIR_Coverage, 13422,
     /* 1035606 */     GIR_EraseRootFromParent_Done,
     /* 1035607 */   // Label 15327: @1035607
     /* 1035607 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1035684), // Rule ID 13423 //
     /* 1035612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035651 */     // MIs[0] policy
     /* 1035651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035661 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035683 */     // GIR_Coverage, 13423,
     /* 1035683 */     GIR_EraseRootFromParent_Done,
     /* 1035684 */   // Label 15328: @1035684
     /* 1035684 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1035761), // Rule ID 13426 //
     /* 1035689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035728 */     // MIs[0] policy
     /* 1035728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035760 */     // GIR_Coverage, 13426,
     /* 1035760 */     GIR_EraseRootFromParent_Done,
     /* 1035761 */   // Label 15329: @1035761
     /* 1035761 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1035838), // Rule ID 13427 //
     /* 1035766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035805 */     // MIs[0] policy
     /* 1035805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035815 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035837 */     // GIR_Coverage, 13427,
     /* 1035837 */     GIR_EraseRootFromParent_Done,
     /* 1035838 */   // Label 15330: @1035838
     /* 1035838 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1035915), // Rule ID 13430 //
     /* 1035843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035882 */     // MIs[0] policy
     /* 1035882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035914 */     // GIR_Coverage, 13430,
     /* 1035914 */     GIR_EraseRootFromParent_Done,
     /* 1035915 */   // Label 15331: @1035915
     /* 1035915 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035992), // Rule ID 13431 //
     /* 1035920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035959 */     // MIs[0] policy
     /* 1035959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035991 */     // GIR_Coverage, 13431,
     /* 1035991 */     GIR_EraseRootFromParent_Done,
     /* 1035992 */   // Label 15332: @1035992
     /* 1035992 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1036069), // Rule ID 13434 //
     /* 1035997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036036 */     // MIs[0] policy
     /* 1036036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036068 */     // GIR_Coverage, 13434,
     /* 1036068 */     GIR_EraseRootFromParent_Done,
     /* 1036069 */   // Label 15333: @1036069
     /* 1036069 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1036146), // Rule ID 13435 //
     /* 1036074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036113 */     // MIs[0] policy
     /* 1036113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036145 */     // GIR_Coverage, 13435,
     /* 1036145 */     GIR_EraseRootFromParent_Done,
     /* 1036146 */   // Label 15334: @1036146
     /* 1036146 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1036223), // Rule ID 13438 //
     /* 1036151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036190 */     // MIs[0] policy
     /* 1036190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036200 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036222 */     // GIR_Coverage, 13438,
     /* 1036222 */     GIR_EraseRootFromParent_Done,
     /* 1036223 */   // Label 15335: @1036223
     /* 1036223 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1036300), // Rule ID 13439 //
     /* 1036228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036267 */     // MIs[0] policy
     /* 1036267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036299 */     // GIR_Coverage, 13439,
     /* 1036299 */     GIR_EraseRootFromParent_Done,
     /* 1036300 */   // Label 15336: @1036300
     /* 1036300 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1036377), // Rule ID 13442 //
     /* 1036305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036344 */     // MIs[0] policy
     /* 1036344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036376 */     // GIR_Coverage, 13442,
     /* 1036376 */     GIR_EraseRootFromParent_Done,
     /* 1036377 */   // Label 15337: @1036377
     /* 1036377 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1036454), // Rule ID 13443 //
     /* 1036382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036421 */     // MIs[0] policy
     /* 1036421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036431 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036453 */     // GIR_Coverage, 13443,
     /* 1036453 */     GIR_EraseRootFromParent_Done,
     /* 1036454 */   // Label 15338: @1036454
     /* 1036454 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1036531), // Rule ID 13446 //
     /* 1036459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036498 */     // MIs[0] policy
     /* 1036498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036530 */     // GIR_Coverage, 13446,
     /* 1036530 */     GIR_EraseRootFromParent_Done,
     /* 1036531 */   // Label 15339: @1036531
     /* 1036531 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1036608), // Rule ID 13447 //
     /* 1036536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036575 */     // MIs[0] policy
     /* 1036575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036585 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036607 */     // GIR_Coverage, 13447,
     /* 1036607 */     GIR_EraseRootFromParent_Done,
     /* 1036608 */   // Label 15340: @1036608
     /* 1036608 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1036685), // Rule ID 13450 //
     /* 1036613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036652 */     // MIs[0] policy
     /* 1036652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036684 */     // GIR_Coverage, 13450,
     /* 1036684 */     GIR_EraseRootFromParent_Done,
     /* 1036685 */   // Label 15341: @1036685
     /* 1036685 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1036762), // Rule ID 13451 //
     /* 1036690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036729 */     // MIs[0] policy
     /* 1036729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036761 */     // GIR_Coverage, 13451,
     /* 1036761 */     GIR_EraseRootFromParent_Done,
     /* 1036762 */   // Label 15342: @1036762
     /* 1036762 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1036839), // Rule ID 13454 //
     /* 1036767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036806 */     // MIs[0] policy
     /* 1036806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036838 */     // GIR_Coverage, 13454,
     /* 1036838 */     GIR_EraseRootFromParent_Done,
     /* 1036839 */   // Label 15343: @1036839
     /* 1036839 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1036916), // Rule ID 13455 //
     /* 1036844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036883 */     // MIs[0] policy
     /* 1036883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036915 */     // GIR_Coverage, 13455,
     /* 1036915 */     GIR_EraseRootFromParent_Done,
     /* 1036916 */   // Label 15344: @1036916
     /* 1036916 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036993), // Rule ID 13458 //
     /* 1036921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036960 */     // MIs[0] policy
     /* 1036960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036992 */     // GIR_Coverage, 13458,
     /* 1036992 */     GIR_EraseRootFromParent_Done,
     /* 1036993 */   // Label 15345: @1036993
     /* 1036993 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1037070), // Rule ID 13459 //
     /* 1036998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1037015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037037 */     // MIs[0] policy
     /* 1037037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037069 */     // GIR_Coverage, 13459,
     /* 1037069 */     GIR_EraseRootFromParent_Done,
     /* 1037070 */   // Label 15346: @1037070
     /* 1037070 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1037147), // Rule ID 13462 //
     /* 1037075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037114 */     // MIs[0] policy
     /* 1037114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037146 */     // GIR_Coverage, 13462,
     /* 1037146 */     GIR_EraseRootFromParent_Done,
     /* 1037147 */   // Label 15347: @1037147
     /* 1037147 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1037224), // Rule ID 13463 //
     /* 1037152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037191 */     // MIs[0] policy
     /* 1037191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037223 */     // GIR_Coverage, 13463,
     /* 1037223 */     GIR_EraseRootFromParent_Done,
     /* 1037224 */   // Label 15348: @1037224
     /* 1037224 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1037301), // Rule ID 13466 //
     /* 1037229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037268 */     // MIs[0] policy
     /* 1037268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037300 */     // GIR_Coverage, 13466,
     /* 1037300 */     GIR_EraseRootFromParent_Done,
     /* 1037301 */   // Label 15349: @1037301
     /* 1037301 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1037378), // Rule ID 13467 //
     /* 1037306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037345 */     // MIs[0] policy
     /* 1037345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037377 */     // GIR_Coverage, 13467,
     /* 1037377 */     GIR_EraseRootFromParent_Done,
     /* 1037378 */   // Label 15350: @1037378
     /* 1037378 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1037455), // Rule ID 13470 //
     /* 1037383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037422 */     // MIs[0] policy
     /* 1037422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037454 */     // GIR_Coverage, 13470,
     /* 1037454 */     GIR_EraseRootFromParent_Done,
     /* 1037455 */   // Label 15351: @1037455
     /* 1037455 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1037532), // Rule ID 13471 //
     /* 1037460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037499 */     // MIs[0] policy
     /* 1037499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037509 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037531 */     // GIR_Coverage, 13471,
     /* 1037531 */     GIR_EraseRootFromParent_Done,
     /* 1037532 */   // Label 15352: @1037532
     /* 1037532 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1037609), // Rule ID 13474 //
     /* 1037537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037576 */     // MIs[0] policy
     /* 1037576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037608 */     // GIR_Coverage, 13474,
     /* 1037608 */     GIR_EraseRootFromParent_Done,
     /* 1037609 */   // Label 15353: @1037609
     /* 1037609 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1037686), // Rule ID 13475 //
     /* 1037614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037653 */     // MIs[0] policy
     /* 1037653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037663 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037685 */     // GIR_Coverage, 13475,
     /* 1037685 */     GIR_EraseRootFromParent_Done,
     /* 1037686 */   // Label 15354: @1037686
     /* 1037686 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1037763), // Rule ID 13478 //
     /* 1037691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037730 */     // MIs[0] policy
     /* 1037730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037762 */     // GIR_Coverage, 13478,
     /* 1037762 */     GIR_EraseRootFromParent_Done,
     /* 1037763 */   // Label 15355: @1037763
     /* 1037763 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1037840), // Rule ID 13479 //
     /* 1037768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037807 */     // MIs[0] policy
     /* 1037807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037839 */     // GIR_Coverage, 13479,
     /* 1037839 */     GIR_EraseRootFromParent_Done,
     /* 1037840 */   // Label 15356: @1037840
     /* 1037840 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1037917), // Rule ID 13482 //
     /* 1037845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037884 */     // MIs[0] policy
     /* 1037884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037916 */     // GIR_Coverage, 13482,
     /* 1037916 */     GIR_EraseRootFromParent_Done,
     /* 1037917 */   // Label 15357: @1037917
     /* 1037917 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037994), // Rule ID 13483 //
     /* 1037922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037961 */     // MIs[0] policy
     /* 1037961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037993 */     // GIR_Coverage, 13483,
     /* 1037993 */     GIR_EraseRootFromParent_Done,
     /* 1037994 */   // Label 15358: @1037994
     /* 1037994 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1038071), // Rule ID 13486 //
     /* 1037999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038038 */     // MIs[0] policy
     /* 1038038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038070 */     // GIR_Coverage, 13486,
     /* 1038070 */     GIR_EraseRootFromParent_Done,
     /* 1038071 */   // Label 15359: @1038071
     /* 1038071 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1038148), // Rule ID 13487 //
     /* 1038076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038115 */     // MIs[0] policy
     /* 1038115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038147 */     // GIR_Coverage, 13487,
     /* 1038147 */     GIR_EraseRootFromParent_Done,
     /* 1038148 */   // Label 15360: @1038148
     /* 1038148 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1038225), // Rule ID 13490 //
     /* 1038153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038192 */     // MIs[0] policy
     /* 1038192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1038205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038224 */     // GIR_Coverage, 13490,
     /* 1038224 */     GIR_EraseRootFromParent_Done,
     /* 1038225 */   // Label 15361: @1038225
     /* 1038225 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1038302), // Rule ID 13491 //
     /* 1038230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038269 */     // MIs[0] policy
     /* 1038269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1038282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038301 */     // GIR_Coverage, 13491,
     /* 1038301 */     GIR_EraseRootFromParent_Done,
     /* 1038302 */   // Label 15362: @1038302
     /* 1038302 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1038379), // Rule ID 13494 //
     /* 1038307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038346 */     // MIs[0] policy
     /* 1038346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038378 */     // GIR_Coverage, 13494,
     /* 1038378 */     GIR_EraseRootFromParent_Done,
     /* 1038379 */   // Label 15363: @1038379
     /* 1038379 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1038456), // Rule ID 13495 //
     /* 1038384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038423 */     // MIs[0] policy
     /* 1038423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038433 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038455 */     // GIR_Coverage, 13495,
     /* 1038455 */     GIR_EraseRootFromParent_Done,
     /* 1038456 */   // Label 15364: @1038456
     /* 1038456 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1038533), // Rule ID 13498 //
     /* 1038461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038500 */     // MIs[0] policy
     /* 1038500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038532 */     // GIR_Coverage, 13498,
     /* 1038532 */     GIR_EraseRootFromParent_Done,
     /* 1038533 */   // Label 15365: @1038533
     /* 1038533 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1038610), // Rule ID 13499 //
     /* 1038538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038577 */     // MIs[0] policy
     /* 1038577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038609 */     // GIR_Coverage, 13499,
     /* 1038609 */     GIR_EraseRootFromParent_Done,
     /* 1038610 */   // Label 15366: @1038610
     /* 1038610 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1038687), // Rule ID 13502 //
     /* 1038615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038654 */     // MIs[0] policy
     /* 1038654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038686 */     // GIR_Coverage, 13502,
     /* 1038686 */     GIR_EraseRootFromParent_Done,
     /* 1038687 */   // Label 15367: @1038687
     /* 1038687 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1038764), // Rule ID 13503 //
     /* 1038692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038731 */     // MIs[0] policy
     /* 1038731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038763 */     // GIR_Coverage, 13503,
     /* 1038763 */     GIR_EraseRootFromParent_Done,
     /* 1038764 */   // Label 15368: @1038764
     /* 1038764 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1038841), // Rule ID 13506 //
     /* 1038769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038808 */     // MIs[0] policy
     /* 1038808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038840 */     // GIR_Coverage, 13506,
     /* 1038840 */     GIR_EraseRootFromParent_Done,
     /* 1038841 */   // Label 15369: @1038841
     /* 1038841 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1038918), // Rule ID 13507 //
     /* 1038846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038885 */     // MIs[0] policy
     /* 1038885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038895 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038917 */     // GIR_Coverage, 13507,
     /* 1038917 */     GIR_EraseRootFromParent_Done,
     /* 1038918 */   // Label 15370: @1038918
     /* 1038918 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038995), // Rule ID 13510 //
     /* 1038923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038962 */     // MIs[0] policy
     /* 1038962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038994 */     // GIR_Coverage, 13510,
     /* 1038994 */     GIR_EraseRootFromParent_Done,
     /* 1038995 */   // Label 15371: @1038995
     /* 1038995 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1039072), // Rule ID 13511 //
     /* 1039000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039039 */     // MIs[0] policy
     /* 1039039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039049 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039071 */     // GIR_Coverage, 13511,
     /* 1039071 */     GIR_EraseRootFromParent_Done,
     /* 1039072 */   // Label 15372: @1039072
     /* 1039072 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1039149), // Rule ID 13514 //
     /* 1039077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039116 */     // MIs[0] policy
     /* 1039116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039148 */     // GIR_Coverage, 13514,
     /* 1039148 */     GIR_EraseRootFromParent_Done,
     /* 1039149 */   // Label 15373: @1039149
     /* 1039149 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1039226), // Rule ID 13515 //
     /* 1039154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039193 */     // MIs[0] policy
     /* 1039193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039225 */     // GIR_Coverage, 13515,
     /* 1039225 */     GIR_EraseRootFromParent_Done,
     /* 1039226 */   // Label 15374: @1039226
     /* 1039226 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1039303), // Rule ID 13518 //
     /* 1039231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039270 */     // MIs[0] policy
     /* 1039270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039302 */     // GIR_Coverage, 13518,
     /* 1039302 */     GIR_EraseRootFromParent_Done,
     /* 1039303 */   // Label 15375: @1039303
     /* 1039303 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1039380), // Rule ID 13519 //
     /* 1039308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039347 */     // MIs[0] policy
     /* 1039347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039379 */     // GIR_Coverage, 13519,
     /* 1039379 */     GIR_EraseRootFromParent_Done,
     /* 1039380 */   // Label 15376: @1039380
     /* 1039380 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1039457), // Rule ID 13522 //
     /* 1039385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039424 */     // MIs[0] policy
     /* 1039424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039456 */     // GIR_Coverage, 13522,
     /* 1039456 */     GIR_EraseRootFromParent_Done,
     /* 1039457 */   // Label 15377: @1039457
     /* 1039457 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1039534), // Rule ID 13523 //
     /* 1039462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039501 */     // MIs[0] policy
     /* 1039501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039533 */     // GIR_Coverage, 13523,
     /* 1039533 */     GIR_EraseRootFromParent_Done,
     /* 1039534 */   // Label 15378: @1039534
     /* 1039534 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1039611), // Rule ID 13526 //
     /* 1039539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039578 */     // MIs[0] policy
     /* 1039578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039610 */     // GIR_Coverage, 13526,
     /* 1039610 */     GIR_EraseRootFromParent_Done,
     /* 1039611 */   // Label 15379: @1039611
     /* 1039611 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1039688), // Rule ID 13527 //
     /* 1039616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039655 */     // MIs[0] policy
     /* 1039655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039687 */     // GIR_Coverage, 13527,
     /* 1039687 */     GIR_EraseRootFromParent_Done,
     /* 1039688 */   // Label 15380: @1039688
     /* 1039688 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1039765), // Rule ID 13530 //
     /* 1039693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039732 */     // MIs[0] policy
     /* 1039732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039764 */     // GIR_Coverage, 13530,
     /* 1039764 */     GIR_EraseRootFromParent_Done,
     /* 1039765 */   // Label 15381: @1039765
     /* 1039765 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1039842), // Rule ID 13531 //
     /* 1039770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039809 */     // MIs[0] policy
     /* 1039809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039841 */     // GIR_Coverage, 13531,
     /* 1039841 */     GIR_EraseRootFromParent_Done,
     /* 1039842 */   // Label 15382: @1039842
     /* 1039842 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1039919), // Rule ID 13534 //
     /* 1039847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039886 */     // MIs[0] policy
     /* 1039886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039918 */     // GIR_Coverage, 13534,
     /* 1039918 */     GIR_EraseRootFromParent_Done,
     /* 1039919 */   // Label 15383: @1039919
     /* 1039919 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039996), // Rule ID 13535 //
     /* 1039924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039963 */     // MIs[0] policy
     /* 1039963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039995 */     // GIR_Coverage, 13535,
     /* 1039995 */     GIR_EraseRootFromParent_Done,
     /* 1039996 */   // Label 15384: @1039996
     /* 1039996 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1040073), // Rule ID 13538 //
     /* 1040001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040040 */     // MIs[0] policy
     /* 1040040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040072 */     // GIR_Coverage, 13538,
     /* 1040072 */     GIR_EraseRootFromParent_Done,
     /* 1040073 */   // Label 15385: @1040073
     /* 1040073 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1040150), // Rule ID 13539 //
     /* 1040078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040117 */     // MIs[0] policy
     /* 1040117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040149 */     // GIR_Coverage, 13539,
     /* 1040149 */     GIR_EraseRootFromParent_Done,
     /* 1040150 */   // Label 15386: @1040150
     /* 1040150 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1040227), // Rule ID 13542 //
     /* 1040155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040194 */     // MIs[0] policy
     /* 1040194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040226 */     // GIR_Coverage, 13542,
     /* 1040226 */     GIR_EraseRootFromParent_Done,
     /* 1040227 */   // Label 15387: @1040227
     /* 1040227 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1040304), // Rule ID 13543 //
     /* 1040232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040271 */     // MIs[0] policy
     /* 1040271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040281 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040303 */     // GIR_Coverage, 13543,
     /* 1040303 */     GIR_EraseRootFromParent_Done,
     /* 1040304 */   // Label 15388: @1040304
     /* 1040304 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1040381), // Rule ID 13546 //
     /* 1040309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040348 */     // MIs[0] policy
     /* 1040348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1040361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040380 */     // GIR_Coverage, 13546,
     /* 1040380 */     GIR_EraseRootFromParent_Done,
     /* 1040381 */   // Label 15389: @1040381
     /* 1040381 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1040458), // Rule ID 13547 //
     /* 1040386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040425 */     // MIs[0] policy
     /* 1040425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040435 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1040438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040457 */     // GIR_Coverage, 13547,
     /* 1040457 */     GIR_EraseRootFromParent_Done,
     /* 1040458 */   // Label 15390: @1040458
     /* 1040458 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1040535), // Rule ID 13550 //
     /* 1040463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040502 */     // MIs[0] policy
     /* 1040502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040534 */     // GIR_Coverage, 13550,
     /* 1040534 */     GIR_EraseRootFromParent_Done,
     /* 1040535 */   // Label 15391: @1040535
     /* 1040535 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1040612), // Rule ID 13551 //
     /* 1040540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040579 */     // MIs[0] policy
     /* 1040579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040589 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040611 */     // GIR_Coverage, 13551,
     /* 1040611 */     GIR_EraseRootFromParent_Done,
     /* 1040612 */   // Label 15392: @1040612
     /* 1040612 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1040689), // Rule ID 13554 //
     /* 1040617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040656 */     // MIs[0] policy
     /* 1040656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040688 */     // GIR_Coverage, 13554,
     /* 1040688 */     GIR_EraseRootFromParent_Done,
     /* 1040689 */   // Label 15393: @1040689
     /* 1040689 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1040766), // Rule ID 13555 //
     /* 1040694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040733 */     // MIs[0] policy
     /* 1040733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040765 */     // GIR_Coverage, 13555,
     /* 1040765 */     GIR_EraseRootFromParent_Done,
     /* 1040766 */   // Label 15394: @1040766
     /* 1040766 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1040843), // Rule ID 13558 //
     /* 1040771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040810 */     // MIs[0] policy
     /* 1040810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040842 */     // GIR_Coverage, 13558,
     /* 1040842 */     GIR_EraseRootFromParent_Done,
     /* 1040843 */   // Label 15395: @1040843
     /* 1040843 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1040920), // Rule ID 13559 //
     /* 1040848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040887 */     // MIs[0] policy
     /* 1040887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040897 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040919 */     // GIR_Coverage, 13559,
     /* 1040919 */     GIR_EraseRootFromParent_Done,
     /* 1040920 */   // Label 15396: @1040920
     /* 1040920 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040997), // Rule ID 13562 //
     /* 1040925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040964 */     // MIs[0] policy
     /* 1040964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040996 */     // GIR_Coverage, 13562,
     /* 1040996 */     GIR_EraseRootFromParent_Done,
     /* 1040997 */   // Label 15397: @1040997
     /* 1040997 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1041074), // Rule ID 13563 //
     /* 1041002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1041019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041041 */     // MIs[0] policy
     /* 1041041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041073 */     // GIR_Coverage, 13563,
     /* 1041073 */     GIR_EraseRootFromParent_Done,
     /* 1041074 */   // Label 15398: @1041074
     /* 1041074 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1041151), // Rule ID 13566 //
     /* 1041079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041118 */     // MIs[0] policy
     /* 1041118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041150 */     // GIR_Coverage, 13566,
     /* 1041150 */     GIR_EraseRootFromParent_Done,
     /* 1041151 */   // Label 15399: @1041151
     /* 1041151 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1041228), // Rule ID 13567 //
     /* 1041156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041195 */     // MIs[0] policy
     /* 1041195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041227 */     // GIR_Coverage, 13567,
     /* 1041227 */     GIR_EraseRootFromParent_Done,
     /* 1041228 */   // Label 15400: @1041228
     /* 1041228 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1041305), // Rule ID 13570 //
     /* 1041233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041272 */     // MIs[0] policy
     /* 1041272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041304 */     // GIR_Coverage, 13570,
     /* 1041304 */     GIR_EraseRootFromParent_Done,
     /* 1041305 */   // Label 15401: @1041305
     /* 1041305 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1041382), // Rule ID 13571 //
     /* 1041310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041349 */     // MIs[0] policy
     /* 1041349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041381 */     // GIR_Coverage, 13571,
     /* 1041381 */     GIR_EraseRootFromParent_Done,
     /* 1041382 */   // Label 15402: @1041382
     /* 1041382 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1041459), // Rule ID 13574 //
     /* 1041387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041426 */     // MIs[0] policy
     /* 1041426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041458 */     // GIR_Coverage, 13574,
     /* 1041458 */     GIR_EraseRootFromParent_Done,
     /* 1041459 */   // Label 15403: @1041459
     /* 1041459 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1041536), // Rule ID 13575 //
     /* 1041464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041503 */     // MIs[0] policy
     /* 1041503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041513 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041535 */     // GIR_Coverage, 13575,
     /* 1041535 */     GIR_EraseRootFromParent_Done,
     /* 1041536 */   // Label 15404: @1041536
     /* 1041536 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1041613), // Rule ID 13578 //
     /* 1041541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041580 */     // MIs[0] policy
     /* 1041580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041612 */     // GIR_Coverage, 13578,
     /* 1041612 */     GIR_EraseRootFromParent_Done,
     /* 1041613 */   // Label 15405: @1041613
     /* 1041613 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1041690), // Rule ID 13579 //
     /* 1041618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041657 */     // MIs[0] policy
     /* 1041657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041689 */     // GIR_Coverage, 13579,
     /* 1041689 */     GIR_EraseRootFromParent_Done,
     /* 1041690 */   // Label 15406: @1041690
     /* 1041690 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1041767), // Rule ID 13582 //
     /* 1041695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041734 */     // MIs[0] policy
     /* 1041734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041766 */     // GIR_Coverage, 13582,
     /* 1041766 */     GIR_EraseRootFromParent_Done,
     /* 1041767 */   // Label 15407: @1041767
     /* 1041767 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1041844), // Rule ID 13583 //
     /* 1041772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041811 */     // MIs[0] policy
     /* 1041811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041843 */     // GIR_Coverage, 13583,
     /* 1041843 */     GIR_EraseRootFromParent_Done,
     /* 1041844 */   // Label 15408: @1041844
     /* 1041844 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1041921), // Rule ID 13586 //
     /* 1041849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041888 */     // MIs[0] policy
     /* 1041888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041920 */     // GIR_Coverage, 13586,
     /* 1041920 */     GIR_EraseRootFromParent_Done,
     /* 1041921 */   // Label 15409: @1041921
     /* 1041921 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041998), // Rule ID 13587 //
     /* 1041926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041965 */     // MIs[0] policy
     /* 1041965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041975 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041997 */     // GIR_Coverage, 13587,
     /* 1041997 */     GIR_EraseRootFromParent_Done,
     /* 1041998 */   // Label 15410: @1041998
     /* 1041998 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1042075), // Rule ID 13590 //
     /* 1042003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042042 */     // MIs[0] policy
     /* 1042042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042074 */     // GIR_Coverage, 13590,
     /* 1042074 */     GIR_EraseRootFromParent_Done,
     /* 1042075 */   // Label 15411: @1042075
     /* 1042075 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1042152), // Rule ID 13591 //
     /* 1042080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042119 */     // MIs[0] policy
     /* 1042119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042129 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042151 */     // GIR_Coverage, 13591,
     /* 1042151 */     GIR_EraseRootFromParent_Done,
     /* 1042152 */   // Label 15412: @1042152
     /* 1042152 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1042229), // Rule ID 13594 //
     /* 1042157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042196 */     // MIs[0] policy
     /* 1042196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042228 */     // GIR_Coverage, 13594,
     /* 1042228 */     GIR_EraseRootFromParent_Done,
     /* 1042229 */   // Label 15413: @1042229
     /* 1042229 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1042306), // Rule ID 13595 //
     /* 1042234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042273 */     // MIs[0] policy
     /* 1042273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042305 */     // GIR_Coverage, 13595,
     /* 1042305 */     GIR_EraseRootFromParent_Done,
     /* 1042306 */   // Label 15414: @1042306
     /* 1042306 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1042383), // Rule ID 13598 //
     /* 1042311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042350 */     // MIs[0] policy
     /* 1042350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042382 */     // GIR_Coverage, 13598,
     /* 1042382 */     GIR_EraseRootFromParent_Done,
     /* 1042383 */   // Label 15415: @1042383
     /* 1042383 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1042460), // Rule ID 13599 //
     /* 1042388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042427 */     // MIs[0] policy
     /* 1042427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042437 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042459 */     // GIR_Coverage, 13599,
     /* 1042459 */     GIR_EraseRootFromParent_Done,
     /* 1042460 */   // Label 15416: @1042460
     /* 1042460 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1042537), // Rule ID 13602 //
     /* 1042465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042504 */     // MIs[0] policy
     /* 1042504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042536 */     // GIR_Coverage, 13602,
     /* 1042536 */     GIR_EraseRootFromParent_Done,
     /* 1042537 */   // Label 15417: @1042537
     /* 1042537 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1042614), // Rule ID 13603 //
     /* 1042542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042581 */     // MIs[0] policy
     /* 1042581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042591 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042613 */     // GIR_Coverage, 13603,
     /* 1042613 */     GIR_EraseRootFromParent_Done,
     /* 1042614 */   // Label 15418: @1042614
     /* 1042614 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1042691), // Rule ID 13606 //
     /* 1042619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042658 */     // MIs[0] policy
     /* 1042658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042690 */     // GIR_Coverage, 13606,
     /* 1042690 */     GIR_EraseRootFromParent_Done,
     /* 1042691 */   // Label 15419: @1042691
     /* 1042691 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1042768), // Rule ID 13607 //
     /* 1042696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042735 */     // MIs[0] policy
     /* 1042735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042745 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042767 */     // GIR_Coverage, 13607,
     /* 1042767 */     GIR_EraseRootFromParent_Done,
     /* 1042768 */   // Label 15420: @1042768
     /* 1042768 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1042845), // Rule ID 13610 //
     /* 1042773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042812 */     // MIs[0] policy
     /* 1042812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042844 */     // GIR_Coverage, 13610,
     /* 1042844 */     GIR_EraseRootFromParent_Done,
     /* 1042845 */   // Label 15421: @1042845
     /* 1042845 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1042922), // Rule ID 13611 //
     /* 1042850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042889 */     // MIs[0] policy
     /* 1042889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042921 */     // GIR_Coverage, 13611,
     /* 1042921 */     GIR_EraseRootFromParent_Done,
     /* 1042922 */   // Label 15422: @1042922
     /* 1042922 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042999), // Rule ID 13614 //
     /* 1042927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042966 */     // MIs[0] policy
     /* 1042966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042998 */     // GIR_Coverage, 13614,
     /* 1042998 */     GIR_EraseRootFromParent_Done,
     /* 1042999 */   // Label 15423: @1042999
     /* 1042999 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1043076), // Rule ID 13615 //
     /* 1043004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043043 */     // MIs[0] policy
     /* 1043043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043053 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043075 */     // GIR_Coverage, 13615,
     /* 1043075 */     GIR_EraseRootFromParent_Done,
     /* 1043076 */   // Label 15424: @1043076
     /* 1043076 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1043153), // Rule ID 13618 //
     /* 1043081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043120 */     // MIs[0] policy
     /* 1043120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043152 */     // GIR_Coverage, 13618,
     /* 1043152 */     GIR_EraseRootFromParent_Done,
     /* 1043153 */   // Label 15425: @1043153
     /* 1043153 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1043230), // Rule ID 13619 //
     /* 1043158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043197 */     // MIs[0] policy
     /* 1043197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043229 */     // GIR_Coverage, 13619,
     /* 1043229 */     GIR_EraseRootFromParent_Done,
     /* 1043230 */   // Label 15426: @1043230
     /* 1043230 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1043307), // Rule ID 13622 //
     /* 1043235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043274 */     // MIs[0] policy
     /* 1043274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043306 */     // GIR_Coverage, 13622,
     /* 1043306 */     GIR_EraseRootFromParent_Done,
     /* 1043307 */   // Label 15427: @1043307
     /* 1043307 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1043384), // Rule ID 13623 //
     /* 1043312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043351 */     // MIs[0] policy
     /* 1043351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043383 */     // GIR_Coverage, 13623,
     /* 1043383 */     GIR_EraseRootFromParent_Done,
     /* 1043384 */   // Label 15428: @1043384
     /* 1043384 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1043461), // Rule ID 13626 //
     /* 1043389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043428 */     // MIs[0] policy
     /* 1043428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043438 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043460 */     // GIR_Coverage, 13626,
     /* 1043460 */     GIR_EraseRootFromParent_Done,
     /* 1043461 */   // Label 15429: @1043461
     /* 1043461 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1043538), // Rule ID 13627 //
     /* 1043466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043505 */     // MIs[0] policy
     /* 1043505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043515 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043537 */     // GIR_Coverage, 13627,
     /* 1043537 */     GIR_EraseRootFromParent_Done,
     /* 1043538 */   // Label 15430: @1043538
     /* 1043538 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1043615), // Rule ID 13630 //
     /* 1043543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043582 */     // MIs[0] policy
     /* 1043582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043614 */     // GIR_Coverage, 13630,
     /* 1043614 */     GIR_EraseRootFromParent_Done,
     /* 1043615 */   // Label 15431: @1043615
     /* 1043615 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1043692), // Rule ID 13631 //
     /* 1043620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043659 */     // MIs[0] policy
     /* 1043659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043691 */     // GIR_Coverage, 13631,
     /* 1043691 */     GIR_EraseRootFromParent_Done,
     /* 1043692 */   // Label 15432: @1043692
     /* 1043692 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1043769), // Rule ID 13634 //
     /* 1043697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043736 */     // MIs[0] policy
     /* 1043736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043768 */     // GIR_Coverage, 13634,
     /* 1043768 */     GIR_EraseRootFromParent_Done,
     /* 1043769 */   // Label 15433: @1043769
     /* 1043769 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1043846), // Rule ID 13635 //
     /* 1043774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043813 */     // MIs[0] policy
     /* 1043813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043845 */     // GIR_Coverage, 13635,
     /* 1043845 */     GIR_EraseRootFromParent_Done,
     /* 1043846 */   // Label 15434: @1043846
     /* 1043846 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1043923), // Rule ID 13638 //
     /* 1043851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043890 */     // MIs[0] policy
     /* 1043890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043922 */     // GIR_Coverage, 13638,
     /* 1043922 */     GIR_EraseRootFromParent_Done,
     /* 1043923 */   // Label 15435: @1043923
     /* 1043923 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1044000), // Rule ID 13639 //
     /* 1043928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043967 */     // MIs[0] policy
     /* 1043967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043999 */     // GIR_Coverage, 13639,
     /* 1043999 */     GIR_EraseRootFromParent_Done,
     /* 1044000 */   // Label 15436: @1044000
     /* 1044000 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1044077), // Rule ID 13642 //
     /* 1044005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044044 */     // MIs[0] policy
     /* 1044044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044076 */     // GIR_Coverage, 13642,
     /* 1044076 */     GIR_EraseRootFromParent_Done,
     /* 1044077 */   // Label 15437: @1044077
     /* 1044077 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1044154), // Rule ID 13643 //
     /* 1044082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044121 */     // MIs[0] policy
     /* 1044121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044153 */     // GIR_Coverage, 13643,
     /* 1044153 */     GIR_EraseRootFromParent_Done,
     /* 1044154 */   // Label 15438: @1044154
     /* 1044154 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1044231), // Rule ID 13646 //
     /* 1044159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044198 */     // MIs[0] policy
     /* 1044198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044230 */     // GIR_Coverage, 13646,
     /* 1044230 */     GIR_EraseRootFromParent_Done,
     /* 1044231 */   // Label 15439: @1044231
     /* 1044231 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1044308), // Rule ID 13647 //
     /* 1044236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044275 */     // MIs[0] policy
     /* 1044275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044307 */     // GIR_Coverage, 13647,
     /* 1044307 */     GIR_EraseRootFromParent_Done,
     /* 1044308 */   // Label 15440: @1044308
     /* 1044308 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1044385), // Rule ID 13650 //
     /* 1044313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044352 */     // MIs[0] policy
     /* 1044352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044384 */     // GIR_Coverage, 13650,
     /* 1044384 */     GIR_EraseRootFromParent_Done,
     /* 1044385 */   // Label 15441: @1044385
     /* 1044385 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1044462), // Rule ID 13651 //
     /* 1044390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044429 */     // MIs[0] policy
     /* 1044429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044461 */     // GIR_Coverage, 13651,
     /* 1044461 */     GIR_EraseRootFromParent_Done,
     /* 1044462 */   // Label 15442: @1044462
     /* 1044462 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1044539), // Rule ID 13654 //
     /* 1044467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044506 */     // MIs[0] policy
     /* 1044506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044538 */     // GIR_Coverage, 13654,
     /* 1044538 */     GIR_EraseRootFromParent_Done,
     /* 1044539 */   // Label 15443: @1044539
     /* 1044539 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1044616), // Rule ID 13655 //
     /* 1044544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044583 */     // MIs[0] policy
     /* 1044583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044615 */     // GIR_Coverage, 13655,
     /* 1044615 */     GIR_EraseRootFromParent_Done,
     /* 1044616 */   // Label 15444: @1044616
     /* 1044616 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1044693), // Rule ID 13658 //
     /* 1044621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044660 */     // MIs[0] policy
     /* 1044660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044692 */     // GIR_Coverage, 13658,
     /* 1044692 */     GIR_EraseRootFromParent_Done,
     /* 1044693 */   // Label 15445: @1044693
     /* 1044693 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1044770), // Rule ID 13659 //
     /* 1044698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044737 */     // MIs[0] policy
     /* 1044737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044769 */     // GIR_Coverage, 13659,
     /* 1044769 */     GIR_EraseRootFromParent_Done,
     /* 1044770 */   // Label 15446: @1044770
     /* 1044770 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1044847), // Rule ID 13662 //
     /* 1044775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044814 */     // MIs[0] policy
     /* 1044814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044846 */     // GIR_Coverage, 13662,
     /* 1044846 */     GIR_EraseRootFromParent_Done,
     /* 1044847 */   // Label 15447: @1044847
     /* 1044847 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1044924), // Rule ID 13663 //
     /* 1044852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044891 */     // MIs[0] policy
     /* 1044891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044901 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044923 */     // GIR_Coverage, 13663,
     /* 1044923 */     GIR_EraseRootFromParent_Done,
     /* 1044924 */   // Label 15448: @1044924
     /* 1044924 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1045001), // Rule ID 13666 //
     /* 1044929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044968 */     // MIs[0] policy
     /* 1044968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045000 */     // GIR_Coverage, 13666,
     /* 1045000 */     GIR_EraseRootFromParent_Done,
     /* 1045001 */   // Label 15449: @1045001
     /* 1045001 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1045078), // Rule ID 13667 //
     /* 1045006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045045 */     // MIs[0] policy
     /* 1045045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1045058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045077 */     // GIR_Coverage, 13667,
     /* 1045077 */     GIR_EraseRootFromParent_Done,
     /* 1045078 */   // Label 15450: @1045078
     /* 1045078 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1045155), // Rule ID 13670 //
     /* 1045083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045122 */     // MIs[0] policy
     /* 1045122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1045135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045154 */     // GIR_Coverage, 13670,
     /* 1045154 */     GIR_EraseRootFromParent_Done,
     /* 1045155 */   // Label 15451: @1045155
     /* 1045155 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1045232), // Rule ID 13671 //
     /* 1045160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045199 */     // MIs[0] policy
     /* 1045199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1045212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045231 */     // GIR_Coverage, 13671,
     /* 1045231 */     GIR_EraseRootFromParent_Done,
     /* 1045232 */   // Label 15452: @1045232
     /* 1045232 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1045309), // Rule ID 13674 //
     /* 1045237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045276 */     // MIs[0] policy
     /* 1045276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045308 */     // GIR_Coverage, 13674,
     /* 1045308 */     GIR_EraseRootFromParent_Done,
     /* 1045309 */   // Label 15453: @1045309
     /* 1045309 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1045386), // Rule ID 13675 //
     /* 1045314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045353 */     // MIs[0] policy
     /* 1045353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045385 */     // GIR_Coverage, 13675,
     /* 1045385 */     GIR_EraseRootFromParent_Done,
     /* 1045386 */   // Label 15454: @1045386
     /* 1045386 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1045463), // Rule ID 13678 //
     /* 1045391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045430 */     // MIs[0] policy
     /* 1045430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045462 */     // GIR_Coverage, 13678,
     /* 1045462 */     GIR_EraseRootFromParent_Done,
     /* 1045463 */   // Label 15455: @1045463
     /* 1045463 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1045540), // Rule ID 13679 //
     /* 1045468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045507 */     // MIs[0] policy
     /* 1045507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045539 */     // GIR_Coverage, 13679,
     /* 1045539 */     GIR_EraseRootFromParent_Done,
     /* 1045540 */   // Label 15456: @1045540
     /* 1045540 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1045617), // Rule ID 13682 //
     /* 1045545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045584 */     // MIs[0] policy
     /* 1045584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045616 */     // GIR_Coverage, 13682,
     /* 1045616 */     GIR_EraseRootFromParent_Done,
     /* 1045617 */   // Label 15457: @1045617
     /* 1045617 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1045694), // Rule ID 13683 //
     /* 1045622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045661 */     // MIs[0] policy
     /* 1045661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045693 */     // GIR_Coverage, 13683,
     /* 1045693 */     GIR_EraseRootFromParent_Done,
     /* 1045694 */   // Label 15458: @1045694
     /* 1045694 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1045771), // Rule ID 13686 //
     /* 1045699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045738 */     // MIs[0] policy
     /* 1045738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045770 */     // GIR_Coverage, 13686,
     /* 1045770 */     GIR_EraseRootFromParent_Done,
     /* 1045771 */   // Label 15459: @1045771
     /* 1045771 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1045848), // Rule ID 13687 //
     /* 1045776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045815 */     // MIs[0] policy
     /* 1045815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045847 */     // GIR_Coverage, 13687,
     /* 1045847 */     GIR_EraseRootFromParent_Done,
     /* 1045848 */   // Label 15460: @1045848
     /* 1045848 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1045925), // Rule ID 13690 //
     /* 1045853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045892 */     // MIs[0] policy
     /* 1045892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045902 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045924 */     // GIR_Coverage, 13690,
     /* 1045924 */     GIR_EraseRootFromParent_Done,
     /* 1045925 */   // Label 15461: @1045925
     /* 1045925 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1046002), // Rule ID 13691 //
     /* 1045930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045969 */     // MIs[0] policy
     /* 1045969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046001 */     // GIR_Coverage, 13691,
     /* 1046001 */     GIR_EraseRootFromParent_Done,
     /* 1046002 */   // Label 15462: @1046002
     /* 1046002 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1046079), // Rule ID 13694 //
     /* 1046007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046046 */     // MIs[0] policy
     /* 1046046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1046059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046078 */     // GIR_Coverage, 13694,
     /* 1046078 */     GIR_EraseRootFromParent_Done,
     /* 1046079 */   // Label 15463: @1046079
     /* 1046079 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1046156), // Rule ID 13695 //
     /* 1046084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046123 */     // MIs[0] policy
     /* 1046123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1046136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046155 */     // GIR_Coverage, 13695,
     /* 1046155 */     GIR_EraseRootFromParent_Done,
     /* 1046156 */   // Label 15464: @1046156
     /* 1046156 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1046233), // Rule ID 13698 //
     /* 1046161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046200 */     // MIs[0] policy
     /* 1046200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046232 */     // GIR_Coverage, 13698,
     /* 1046232 */     GIR_EraseRootFromParent_Done,
     /* 1046233 */   // Label 15465: @1046233
     /* 1046233 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1046310), // Rule ID 13699 //
     /* 1046238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046277 */     // MIs[0] policy
     /* 1046277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046309 */     // GIR_Coverage, 13699,
     /* 1046309 */     GIR_EraseRootFromParent_Done,
     /* 1046310 */   // Label 15466: @1046310
     /* 1046310 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1046387), // Rule ID 13702 //
     /* 1046315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046354 */     // MIs[0] policy
     /* 1046354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046386 */     // GIR_Coverage, 13702,
     /* 1046386 */     GIR_EraseRootFromParent_Done,
     /* 1046387 */   // Label 15467: @1046387
     /* 1046387 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1046464), // Rule ID 13703 //
     /* 1046392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046431 */     // MIs[0] policy
     /* 1046431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046463 */     // GIR_Coverage, 13703,
     /* 1046463 */     GIR_EraseRootFromParent_Done,
     /* 1046464 */   // Label 15468: @1046464
     /* 1046464 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1046541), // Rule ID 13706 //
     /* 1046469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046508 */     // MIs[0] policy
     /* 1046508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046540 */     // GIR_Coverage, 13706,
     /* 1046540 */     GIR_EraseRootFromParent_Done,
     /* 1046541 */   // Label 15469: @1046541
     /* 1046541 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1046618), // Rule ID 13707 //
     /* 1046546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046585 */     // MIs[0] policy
     /* 1046585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046595 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046617 */     // GIR_Coverage, 13707,
     /* 1046617 */     GIR_EraseRootFromParent_Done,
     /* 1046618 */   // Label 15470: @1046618
     /* 1046618 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1046695), // Rule ID 13710 //
     /* 1046623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046662 */     // MIs[0] policy
     /* 1046662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046694 */     // GIR_Coverage, 13710,
     /* 1046694 */     GIR_EraseRootFromParent_Done,
     /* 1046695 */   // Label 15471: @1046695
     /* 1046695 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1046772), // Rule ID 13711 //
     /* 1046700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046739 */     // MIs[0] policy
     /* 1046739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046771 */     // GIR_Coverage, 13711,
     /* 1046771 */     GIR_EraseRootFromParent_Done,
     /* 1046772 */   // Label 15472: @1046772
     /* 1046772 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1046849), // Rule ID 13714 //
     /* 1046777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046816 */     // MIs[0] policy
     /* 1046816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046848 */     // GIR_Coverage, 13714,
     /* 1046848 */     GIR_EraseRootFromParent_Done,
     /* 1046849 */   // Label 15473: @1046849
     /* 1046849 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1046926), // Rule ID 13715 //
     /* 1046854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046893 */     // MIs[0] policy
     /* 1046893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046925 */     // GIR_Coverage, 13715,
     /* 1046925 */     GIR_EraseRootFromParent_Done,
     /* 1046926 */   // Label 15474: @1046926
     /* 1046926 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1047003), // Rule ID 13718 //
     /* 1046931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046970 */     // MIs[0] policy
     /* 1046970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046980 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047002 */     // GIR_Coverage, 13718,
     /* 1047002 */     GIR_EraseRootFromParent_Done,
     /* 1047003 */   // Label 15475: @1047003
     /* 1047003 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1047080), // Rule ID 13719 //
     /* 1047008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1047028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047047 */     // MIs[0] policy
     /* 1047047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1047060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047079 */     // GIR_Coverage, 13719,
     /* 1047079 */     GIR_EraseRootFromParent_Done,
     /* 1047080 */   // Label 15476: @1047080
     /* 1047080 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1047157), // Rule ID 13722 //
     /* 1047085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047124 */     // MIs[0] policy
     /* 1047124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047156 */     // GIR_Coverage, 13722,
     /* 1047156 */     GIR_EraseRootFromParent_Done,
     /* 1047157 */   // Label 15477: @1047157
     /* 1047157 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1047234), // Rule ID 13723 //
     /* 1047162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047201 */     // MIs[0] policy
     /* 1047201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047233 */     // GIR_Coverage, 13723,
     /* 1047233 */     GIR_EraseRootFromParent_Done,
     /* 1047234 */   // Label 15478: @1047234
     /* 1047234 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1047311), // Rule ID 13726 //
     /* 1047239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047278 */     // MIs[0] policy
     /* 1047278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1047291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047310 */     // GIR_Coverage, 13726,
     /* 1047310 */     GIR_EraseRootFromParent_Done,
     /* 1047311 */   // Label 15479: @1047311
     /* 1047311 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1047388), // Rule ID 13727 //
     /* 1047316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047355 */     // MIs[0] policy
     /* 1047355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047365 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1047368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047387 */     // GIR_Coverage, 13727,
     /* 1047387 */     GIR_EraseRootFromParent_Done,
     /* 1047388 */   // Label 15480: @1047388
     /* 1047388 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1047465), // Rule ID 18940 //
     /* 1047393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047432 */     // MIs[0] policy
     /* 1047432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047442 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047464 */     // GIR_Coverage, 18940,
     /* 1047464 */     GIR_EraseRootFromParent_Done,
     /* 1047465 */   // Label 15481: @1047465
     /* 1047465 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1047542), // Rule ID 18941 //
     /* 1047470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047509 */     // MIs[0] policy
     /* 1047509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047519 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047541 */     // GIR_Coverage, 18941,
     /* 1047541 */     GIR_EraseRootFromParent_Done,
     /* 1047542 */   // Label 15482: @1047542
     /* 1047542 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1047619), // Rule ID 18944 //
     /* 1047547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047586 */     // MIs[0] policy
     /* 1047586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047618 */     // GIR_Coverage, 18944,
     /* 1047618 */     GIR_EraseRootFromParent_Done,
     /* 1047619 */   // Label 15483: @1047619
     /* 1047619 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1047696), // Rule ID 18945 //
     /* 1047624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047663 */     // MIs[0] policy
     /* 1047663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047673 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047695 */     // GIR_Coverage, 18945,
     /* 1047695 */     GIR_EraseRootFromParent_Done,
     /* 1047696 */   // Label 15484: @1047696
     /* 1047696 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1047773), // Rule ID 18948 //
     /* 1047701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047740 */     // MIs[0] policy
     /* 1047740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047750 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047772 */     // GIR_Coverage, 18948,
     /* 1047772 */     GIR_EraseRootFromParent_Done,
     /* 1047773 */   // Label 15485: @1047773
     /* 1047773 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1047850), // Rule ID 18949 //
     /* 1047778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047817 */     // MIs[0] policy
     /* 1047817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047827 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047849 */     // GIR_Coverage, 18949,
     /* 1047849 */     GIR_EraseRootFromParent_Done,
     /* 1047850 */   // Label 15486: @1047850
     /* 1047850 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1047927), // Rule ID 18952 //
     /* 1047855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047894 */     // MIs[0] policy
     /* 1047894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047904 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047926 */     // GIR_Coverage, 18952,
     /* 1047926 */     GIR_EraseRootFromParent_Done,
     /* 1047927 */   // Label 15487: @1047927
     /* 1047927 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1048004), // Rule ID 18953 //
     /* 1047932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047971 */     // MIs[0] policy
     /* 1047971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047981 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048003 */     // GIR_Coverage, 18953,
     /* 1048003 */     GIR_EraseRootFromParent_Done,
     /* 1048004 */   // Label 15488: @1048004
     /* 1048004 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1048081), // Rule ID 18956 //
     /* 1048009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048048 */     // MIs[0] policy
     /* 1048048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048058 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1048061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048080 */     // GIR_Coverage, 18956,
     /* 1048080 */     GIR_EraseRootFromParent_Done,
     /* 1048081 */   // Label 15489: @1048081
     /* 1048081 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1048158), // Rule ID 18957 //
     /* 1048086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1048089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048125 */     // MIs[0] policy
     /* 1048125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048135 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1048138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048157 */     // GIR_Coverage, 18957,
     /* 1048157 */     GIR_EraseRootFromParent_Done,
     /* 1048158 */   // Label 15490: @1048158
     /* 1048158 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1048235), // Rule ID 18960 //
     /* 1048163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048202 */     // MIs[0] policy
     /* 1048202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048212 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1048215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048234 */     // GIR_Coverage, 18960,
     /* 1048234 */     GIR_EraseRootFromParent_Done,
     /* 1048235 */   // Label 15491: @1048235
     /* 1048235 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1048312), // Rule ID 18961 //
     /* 1048240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048279 */     // MIs[0] policy
     /* 1048279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048289 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1048292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048311 */     // GIR_Coverage, 18961,
     /* 1048311 */     GIR_EraseRootFromParent_Done,
     /* 1048312 */   // Label 15492: @1048312
     /* 1048312 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1048389), // Rule ID 18964 //
     /* 1048317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048356 */     // MIs[0] policy
     /* 1048356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048366 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1048369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048388 */     // GIR_Coverage, 18964,
     /* 1048388 */     GIR_EraseRootFromParent_Done,
     /* 1048389 */   // Label 15493: @1048389
     /* 1048389 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1048466), // Rule ID 18965 //
     /* 1048394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048433 */     // MIs[0] policy
     /* 1048433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048443 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1048446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048465 */     // GIR_Coverage, 18965,
     /* 1048465 */     GIR_EraseRootFromParent_Done,
     /* 1048466 */   // Label 15494: @1048466
     /* 1048466 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1048543), // Rule ID 18968 //
     /* 1048471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048510 */     // MIs[0] policy
     /* 1048510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048520 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048542 */     // GIR_Coverage, 18968,
     /* 1048542 */     GIR_EraseRootFromParent_Done,
     /* 1048543 */   // Label 15495: @1048543
     /* 1048543 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1048620), // Rule ID 18969 //
     /* 1048548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048587 */     // MIs[0] policy
     /* 1048587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048597 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048619 */     // GIR_Coverage, 18969,
     /* 1048619 */     GIR_EraseRootFromParent_Done,
     /* 1048620 */   // Label 15496: @1048620
     /* 1048620 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1048697), // Rule ID 18972 //
     /* 1048625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048664 */     // MIs[0] policy
     /* 1048664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048674 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048696 */     // GIR_Coverage, 18972,
     /* 1048696 */     GIR_EraseRootFromParent_Done,
     /* 1048697 */   // Label 15497: @1048697
     /* 1048697 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1048774), // Rule ID 18973 //
     /* 1048702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048741 */     // MIs[0] policy
     /* 1048741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048751 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048773 */     // GIR_Coverage, 18973,
     /* 1048773 */     GIR_EraseRootFromParent_Done,
     /* 1048774 */   // Label 15498: @1048774
     /* 1048774 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1048851), // Rule ID 18976 //
     /* 1048779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048818 */     // MIs[0] policy
     /* 1048818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048850 */     // GIR_Coverage, 18976,
     /* 1048850 */     GIR_EraseRootFromParent_Done,
     /* 1048851 */   // Label 15499: @1048851
     /* 1048851 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1048928), // Rule ID 18977 //
     /* 1048856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048895 */     // MIs[0] policy
     /* 1048895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048905 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048927 */     // GIR_Coverage, 18977,
     /* 1048927 */     GIR_EraseRootFromParent_Done,
     /* 1048928 */   // Label 15500: @1048928
     /* 1048928 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1049005), // Rule ID 18980 //
     /* 1048933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1048950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048972 */     // MIs[0] policy
     /* 1048972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048982 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1048985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049004 */     // GIR_Coverage, 18980,
     /* 1049004 */     GIR_EraseRootFromParent_Done,
     /* 1049005 */   // Label 15501: @1049005
     /* 1049005 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1049082), // Rule ID 18981 //
     /* 1049010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1049013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049049 */     // MIs[0] policy
     /* 1049049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049059 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1049062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049081 */     // GIR_Coverage, 18981,
     /* 1049081 */     GIR_EraseRootFromParent_Done,
     /* 1049082 */   // Label 15502: @1049082
     /* 1049082 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1049159), // Rule ID 18984 //
     /* 1049087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049126 */     // MIs[0] policy
     /* 1049126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049136 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1049139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049158 */     // GIR_Coverage, 18984,
     /* 1049158 */     GIR_EraseRootFromParent_Done,
     /* 1049159 */   // Label 15503: @1049159
     /* 1049159 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1049236), // Rule ID 18985 //
     /* 1049164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049203 */     // MIs[0] policy
     /* 1049203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049213 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1049216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049235 */     // GIR_Coverage, 18985,
     /* 1049235 */     GIR_EraseRootFromParent_Done,
     /* 1049236 */   // Label 15504: @1049236
     /* 1049236 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1049313), // Rule ID 18988 //
     /* 1049241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049280 */     // MIs[0] policy
     /* 1049280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049290 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1049293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049312 */     // GIR_Coverage, 18988,
     /* 1049312 */     GIR_EraseRootFromParent_Done,
     /* 1049313 */   // Label 15505: @1049313
     /* 1049313 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1049390), // Rule ID 18989 //
     /* 1049318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049357 */     // MIs[0] policy
     /* 1049357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049367 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1049370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049389 */     // GIR_Coverage, 18989,
     /* 1049389 */     GIR_EraseRootFromParent_Done,
     /* 1049390 */   // Label 15506: @1049390
     /* 1049390 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1049467), // Rule ID 18992 //
     /* 1049395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049434 */     // MIs[0] policy
     /* 1049434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049444 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049466 */     // GIR_Coverage, 18992,
     /* 1049466 */     GIR_EraseRootFromParent_Done,
     /* 1049467 */   // Label 15507: @1049467
     /* 1049467 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1049544), // Rule ID 18993 //
     /* 1049472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049511 */     // MIs[0] policy
     /* 1049511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049521 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049543 */     // GIR_Coverage, 18993,
     /* 1049543 */     GIR_EraseRootFromParent_Done,
     /* 1049544 */   // Label 15508: @1049544
     /* 1049544 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1049621), // Rule ID 20376 //
     /* 1049549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049588 */     // MIs[0] policy
     /* 1049588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049620 */     // GIR_Coverage, 20376,
     /* 1049620 */     GIR_EraseRootFromParent_Done,
     /* 1049621 */   // Label 15509: @1049621
     /* 1049621 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1049698), // Rule ID 20377 //
     /* 1049626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049665 */     // MIs[0] policy
     /* 1049665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049675 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049697 */     // GIR_Coverage, 20377,
     /* 1049697 */     GIR_EraseRootFromParent_Done,
     /* 1049698 */   // Label 15510: @1049698
     /* 1049698 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1049775), // Rule ID 20380 //
     /* 1049703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049742 */     // MIs[0] policy
     /* 1049742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049774 */     // GIR_Coverage, 20380,
     /* 1049774 */     GIR_EraseRootFromParent_Done,
     /* 1049775 */   // Label 15511: @1049775
     /* 1049775 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1049852), // Rule ID 20381 //
     /* 1049780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049819 */     // MIs[0] policy
     /* 1049819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049829 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049851 */     // GIR_Coverage, 20381,
     /* 1049851 */     GIR_EraseRootFromParent_Done,
     /* 1049852 */   // Label 15512: @1049852
     /* 1049852 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1049929), // Rule ID 20384 //
     /* 1049857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049896 */     // MIs[0] policy
     /* 1049896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049906 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049928 */     // GIR_Coverage, 20384,
     /* 1049928 */     GIR_EraseRootFromParent_Done,
     /* 1049929 */   // Label 15513: @1049929
     /* 1049929 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1050006), // Rule ID 20385 //
     /* 1049934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049973 */     // MIs[0] policy
     /* 1049973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050005 */     // GIR_Coverage, 20385,
     /* 1050005 */     GIR_EraseRootFromParent_Done,
     /* 1050006 */   // Label 15514: @1050006
     /* 1050006 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1050083), // Rule ID 20388 //
     /* 1050011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050050 */     // MIs[0] policy
     /* 1050050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050082 */     // GIR_Coverage, 20388,
     /* 1050082 */     GIR_EraseRootFromParent_Done,
     /* 1050083 */   // Label 15515: @1050083
     /* 1050083 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1050160), // Rule ID 20389 //
     /* 1050088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050127 */     // MIs[0] policy
     /* 1050127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050159 */     // GIR_Coverage, 20389,
     /* 1050159 */     GIR_EraseRootFromParent_Done,
     /* 1050160 */   // Label 15516: @1050160
     /* 1050160 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1050237), // Rule ID 20392 //
     /* 1050165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1050168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050204 */     // MIs[0] policy
     /* 1050204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050236 */     // GIR_Coverage, 20392,
     /* 1050236 */     GIR_EraseRootFromParent_Done,
     /* 1050237 */   // Label 15517: @1050237
     /* 1050237 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1050314), // Rule ID 20393 //
     /* 1050242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1050245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050281 */     // MIs[0] policy
     /* 1050281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050313 */     // GIR_Coverage, 20393,
     /* 1050313 */     GIR_EraseRootFromParent_Done,
     /* 1050314 */   // Label 15518: @1050314
     /* 1050314 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1050391), // Rule ID 20396 //
     /* 1050319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1050336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050358 */     // MIs[0] policy
     /* 1050358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050390 */     // GIR_Coverage, 20396,
     /* 1050390 */     GIR_EraseRootFromParent_Done,
     /* 1050391 */   // Label 15519: @1050391
     /* 1050391 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1050468), // Rule ID 20397 //
     /* 1050396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1050413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050435 */     // MIs[0] policy
     /* 1050435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050445 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050467 */     // GIR_Coverage, 20397,
     /* 1050467 */     GIR_EraseRootFromParent_Done,
     /* 1050468 */   // Label 15520: @1050468
     /* 1050468 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1050545), // Rule ID 20400 //
     /* 1050473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050512 */     // MIs[0] policy
     /* 1050512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050544 */     // GIR_Coverage, 20400,
     /* 1050544 */     GIR_EraseRootFromParent_Done,
     /* 1050545 */   // Label 15521: @1050545
     /* 1050545 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1050622), // Rule ID 20401 //
     /* 1050550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050589 */     // MIs[0] policy
     /* 1050589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050621 */     // GIR_Coverage, 20401,
     /* 1050621 */     GIR_EraseRootFromParent_Done,
     /* 1050622 */   // Label 15522: @1050622
     /* 1050622 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1050699), // Rule ID 20404 //
     /* 1050627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050666 */     // MIs[0] policy
     /* 1050666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050698 */     // GIR_Coverage, 20404,
     /* 1050698 */     GIR_EraseRootFromParent_Done,
     /* 1050699 */   // Label 15523: @1050699
     /* 1050699 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1050776), // Rule ID 20405 //
     /* 1050704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050743 */     // MIs[0] policy
     /* 1050743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050775 */     // GIR_Coverage, 20405,
     /* 1050775 */     GIR_EraseRootFromParent_Done,
     /* 1050776 */   // Label 15524: @1050776
     /* 1050776 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1050853), // Rule ID 20408 //
     /* 1050781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050820 */     // MIs[0] policy
     /* 1050820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050852 */     // GIR_Coverage, 20408,
     /* 1050852 */     GIR_EraseRootFromParent_Done,
     /* 1050853 */   // Label 15525: @1050853
     /* 1050853 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1050930), // Rule ID 20409 //
     /* 1050858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050897 */     // MIs[0] policy
     /* 1050897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050929 */     // GIR_Coverage, 20409,
     /* 1050929 */     GIR_EraseRootFromParent_Done,
     /* 1050930 */   // Label 15526: @1050930
     /* 1050930 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1051007), // Rule ID 20412 //
     /* 1050935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1050952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050974 */     // MIs[0] policy
     /* 1050974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051006 */     // GIR_Coverage, 20412,
     /* 1051006 */     GIR_EraseRootFromParent_Done,
     /* 1051007 */   // Label 15527: @1051007
     /* 1051007 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1051084), // Rule ID 20413 //
     /* 1051012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051051 */     // MIs[0] policy
     /* 1051051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051083 */     // GIR_Coverage, 20413,
     /* 1051083 */     GIR_EraseRootFromParent_Done,
     /* 1051084 */   // Label 15528: @1051084
     /* 1051084 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1051161), // Rule ID 20416 //
     /* 1051089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051128 */     // MIs[0] policy
     /* 1051128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051160 */     // GIR_Coverage, 20416,
     /* 1051160 */     GIR_EraseRootFromParent_Done,
     /* 1051161 */   // Label 15529: @1051161
     /* 1051161 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1051238), // Rule ID 20417 //
     /* 1051166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051205 */     // MIs[0] policy
     /* 1051205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051215 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051237 */     // GIR_Coverage, 20417,
     /* 1051237 */     GIR_EraseRootFromParent_Done,
     /* 1051238 */   // Label 15530: @1051238
     /* 1051238 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1051315), // Rule ID 20420 //
     /* 1051243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1051260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051282 */     // MIs[0] policy
     /* 1051282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051314 */     // GIR_Coverage, 20420,
     /* 1051314 */     GIR_EraseRootFromParent_Done,
     /* 1051315 */   // Label 15531: @1051315
     /* 1051315 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1051392), // Rule ID 20421 //
     /* 1051320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1051337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051359 */     // MIs[0] policy
     /* 1051359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051391 */     // GIR_Coverage, 20421,
     /* 1051391 */     GIR_EraseRootFromParent_Done,
     /* 1051392 */   // Label 15532: @1051392
     /* 1051392 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1051469), // Rule ID 20424 //
     /* 1051397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1051414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051436 */     // MIs[0] policy
     /* 1051436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051468 */     // GIR_Coverage, 20424,
     /* 1051468 */     GIR_EraseRootFromParent_Done,
     /* 1051469 */   // Label 15533: @1051469
     /* 1051469 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1051546), // Rule ID 20425 //
     /* 1051474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1051491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051513 */     // MIs[0] policy
     /* 1051513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051545 */     // GIR_Coverage, 20425,
     /* 1051545 */     GIR_EraseRootFromParent_Done,
     /* 1051546 */   // Label 15534: @1051546
     /* 1051546 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1051623), // Rule ID 20428 //
     /* 1051551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051590 */     // MIs[0] policy
     /* 1051590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051622 */     // GIR_Coverage, 20428,
     /* 1051622 */     GIR_EraseRootFromParent_Done,
     /* 1051623 */   // Label 15535: @1051623
     /* 1051623 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1051700), // Rule ID 20429 //
     /* 1051628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051667 */     // MIs[0] policy
     /* 1051667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051677 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051699 */     // GIR_Coverage, 20429,
     /* 1051699 */     GIR_EraseRootFromParent_Done,
     /* 1051700 */   // Label 15536: @1051700
     /* 1051700 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1051777), // Rule ID 20754 //
     /* 1051705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051744 */     // MIs[0] policy
     /* 1051744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051776 */     // GIR_Coverage, 20754,
     /* 1051776 */     GIR_EraseRootFromParent_Done,
     /* 1051777 */   // Label 15537: @1051777
     /* 1051777 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1051854), // Rule ID 20755 //
     /* 1051782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051821 */     // MIs[0] policy
     /* 1051821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051831 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051853 */     // GIR_Coverage, 20755,
     /* 1051853 */     GIR_EraseRootFromParent_Done,
     /* 1051854 */   // Label 15538: @1051854
     /* 1051854 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1051931), // Rule ID 20758 //
     /* 1051859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051898 */     // MIs[0] policy
     /* 1051898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051930 */     // GIR_Coverage, 20758,
     /* 1051930 */     GIR_EraseRootFromParent_Done,
     /* 1051931 */   // Label 15539: @1051931
     /* 1051931 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1052008), // Rule ID 20759 //
     /* 1051936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051975 */     // MIs[0] policy
     /* 1051975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051985 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052007 */     // GIR_Coverage, 20759,
     /* 1052007 */     GIR_EraseRootFromParent_Done,
     /* 1052008 */   // Label 15540: @1052008
     /* 1052008 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1052085), // Rule ID 20762 //
     /* 1052013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052052 */     // MIs[0] policy
     /* 1052052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052084 */     // GIR_Coverage, 20762,
     /* 1052084 */     GIR_EraseRootFromParent_Done,
     /* 1052085 */   // Label 15541: @1052085
     /* 1052085 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1052162), // Rule ID 20763 //
     /* 1052090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052129 */     // MIs[0] policy
     /* 1052129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052161 */     // GIR_Coverage, 20763,
     /* 1052161 */     GIR_EraseRootFromParent_Done,
     /* 1052162 */   // Label 15542: @1052162
     /* 1052162 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1052239), // Rule ID 20766 //
     /* 1052167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052206 */     // MIs[0] policy
     /* 1052206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052238 */     // GIR_Coverage, 20766,
     /* 1052238 */     GIR_EraseRootFromParent_Done,
     /* 1052239 */   // Label 15543: @1052239
     /* 1052239 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1052316), // Rule ID 20767 //
     /* 1052244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052283 */     // MIs[0] policy
     /* 1052283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052315 */     // GIR_Coverage, 20767,
     /* 1052315 */     GIR_EraseRootFromParent_Done,
     /* 1052316 */   // Label 15544: @1052316
     /* 1052316 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1052393), // Rule ID 20770 //
     /* 1052321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052360 */     // MIs[0] policy
     /* 1052360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052392 */     // GIR_Coverage, 20770,
     /* 1052392 */     GIR_EraseRootFromParent_Done,
     /* 1052393 */   // Label 15545: @1052393
     /* 1052393 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1052470), // Rule ID 20771 //
     /* 1052398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052437 */     // MIs[0] policy
     /* 1052437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052469 */     // GIR_Coverage, 20771,
     /* 1052469 */     GIR_EraseRootFromParent_Done,
     /* 1052470 */   // Label 15546: @1052470
     /* 1052470 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1052547), // Rule ID 20774 //
     /* 1052475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052514 */     // MIs[0] policy
     /* 1052514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052546 */     // GIR_Coverage, 20774,
     /* 1052546 */     GIR_EraseRootFromParent_Done,
     /* 1052547 */   // Label 15547: @1052547
     /* 1052547 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1052624), // Rule ID 20775 //
     /* 1052552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052591 */     // MIs[0] policy
     /* 1052591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052623 */     // GIR_Coverage, 20775,
     /* 1052623 */     GIR_EraseRootFromParent_Done,
     /* 1052624 */   // Label 15548: @1052624
     /* 1052624 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1052701), // Rule ID 20778 //
     /* 1052629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052668 */     // MIs[0] policy
     /* 1052668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052700 */     // GIR_Coverage, 20778,
     /* 1052700 */     GIR_EraseRootFromParent_Done,
     /* 1052701 */   // Label 15549: @1052701
     /* 1052701 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1052778), // Rule ID 20779 //
     /* 1052706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052745 */     // MIs[0] policy
     /* 1052745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052777 */     // GIR_Coverage, 20779,
     /* 1052777 */     GIR_EraseRootFromParent_Done,
     /* 1052778 */   // Label 15550: @1052778
     /* 1052778 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1052855), // Rule ID 20782 //
     /* 1052783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052822 */     // MIs[0] policy
     /* 1052822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052854 */     // GIR_Coverage, 20782,
     /* 1052854 */     GIR_EraseRootFromParent_Done,
     /* 1052855 */   // Label 15551: @1052855
     /* 1052855 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1052932), // Rule ID 20783 //
     /* 1052860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052899 */     // MIs[0] policy
     /* 1052899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052909 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052931 */     // GIR_Coverage, 20783,
     /* 1052931 */     GIR_EraseRootFromParent_Done,
     /* 1052932 */   // Label 15552: @1052932
     /* 1052932 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1053009), // Rule ID 20786 //
     /* 1052937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052976 */     // MIs[0] policy
     /* 1052976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053008 */     // GIR_Coverage, 20786,
     /* 1053008 */     GIR_EraseRootFromParent_Done,
     /* 1053009 */   // Label 15553: @1053009
     /* 1053009 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1053086), // Rule ID 20787 //
     /* 1053014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053053 */     // MIs[0] policy
     /* 1053053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053063 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053085 */     // GIR_Coverage, 20787,
     /* 1053085 */     GIR_EraseRootFromParent_Done,
     /* 1053086 */   // Label 15554: @1053086
     /* 1053086 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1053163), // Rule ID 20790 //
     /* 1053091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053130 */     // MIs[0] policy
     /* 1053130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053140 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053162 */     // GIR_Coverage, 20790,
     /* 1053162 */     GIR_EraseRootFromParent_Done,
     /* 1053163 */   // Label 15555: @1053163
     /* 1053163 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1053240), // Rule ID 20791 //
     /* 1053168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053207 */     // MIs[0] policy
     /* 1053207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053239 */     // GIR_Coverage, 20791,
     /* 1053239 */     GIR_EraseRootFromParent_Done,
     /* 1053240 */   // Label 15556: @1053240
     /* 1053240 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1053317), // Rule ID 20794 //
     /* 1053245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053284 */     // MIs[0] policy
     /* 1053284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053316 */     // GIR_Coverage, 20794,
     /* 1053316 */     GIR_EraseRootFromParent_Done,
     /* 1053317 */   // Label 15557: @1053317
     /* 1053317 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1053394), // Rule ID 20795 //
     /* 1053322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053361 */     // MIs[0] policy
     /* 1053361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053393 */     // GIR_Coverage, 20795,
     /* 1053393 */     GIR_EraseRootFromParent_Done,
     /* 1053394 */   // Label 15558: @1053394
     /* 1053394 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1053471), // Rule ID 20798 //
     /* 1053399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053438 */     // MIs[0] policy
     /* 1053438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053470 */     // GIR_Coverage, 20798,
     /* 1053470 */     GIR_EraseRootFromParent_Done,
     /* 1053471 */   // Label 15559: @1053471
     /* 1053471 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1053548), // Rule ID 20799 //
     /* 1053476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053515 */     // MIs[0] policy
     /* 1053515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053525 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053547 */     // GIR_Coverage, 20799,
     /* 1053547 */     GIR_EraseRootFromParent_Done,
     /* 1053548 */   // Label 15560: @1053548
     /* 1053548 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1053625), // Rule ID 20802 //
     /* 1053553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053592 */     // MIs[0] policy
     /* 1053592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053624 */     // GIR_Coverage, 20802,
     /* 1053624 */     GIR_EraseRootFromParent_Done,
     /* 1053625 */   // Label 15561: @1053625
     /* 1053625 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1053702), // Rule ID 20803 //
     /* 1053630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053669 */     // MIs[0] policy
     /* 1053669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053679 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053701 */     // GIR_Coverage, 20803,
     /* 1053701 */     GIR_EraseRootFromParent_Done,
     /* 1053702 */   // Label 15562: @1053702
     /* 1053702 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1053779), // Rule ID 20806 //
     /* 1053707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053746 */     // MIs[0] policy
     /* 1053746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053778 */     // GIR_Coverage, 20806,
     /* 1053778 */     GIR_EraseRootFromParent_Done,
     /* 1053779 */   // Label 15563: @1053779
     /* 1053779 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1053856), // Rule ID 20807 //
     /* 1053784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053823 */     // MIs[0] policy
     /* 1053823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053833 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053855 */     // GIR_Coverage, 20807,
     /* 1053855 */     GIR_EraseRootFromParent_Done,
     /* 1053856 */   // Label 15564: @1053856
     /* 1053856 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1053933), // Rule ID 20810 //
     /* 1053861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053900 */     // MIs[0] policy
     /* 1053900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053932 */     // GIR_Coverage, 20810,
     /* 1053932 */     GIR_EraseRootFromParent_Done,
     /* 1053933 */   // Label 15565: @1053933
     /* 1053933 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1054010), // Rule ID 20811 //
     /* 1053938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053977 */     // MIs[0] policy
     /* 1053977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054009 */     // GIR_Coverage, 20811,
     /* 1054009 */     GIR_EraseRootFromParent_Done,
     /* 1054010 */   // Label 15566: @1054010
     /* 1054010 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1054087), // Rule ID 20814 //
     /* 1054015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054054 */     // MIs[0] policy
     /* 1054054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1054067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054086 */     // GIR_Coverage, 20814,
     /* 1054086 */     GIR_EraseRootFromParent_Done,
     /* 1054087 */   // Label 15567: @1054087
     /* 1054087 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1054164), // Rule ID 20815 //
     /* 1054092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054131 */     // MIs[0] policy
     /* 1054131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1054144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054163 */     // GIR_Coverage, 20815,
     /* 1054163 */     GIR_EraseRootFromParent_Done,
     /* 1054164 */   // Label 15568: @1054164
     /* 1054164 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1054241), // Rule ID 20818 //
     /* 1054169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054208 */     // MIs[0] policy
     /* 1054208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054240 */     // GIR_Coverage, 20818,
     /* 1054240 */     GIR_EraseRootFromParent_Done,
     /* 1054241 */   // Label 15569: @1054241
     /* 1054241 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1054318), // Rule ID 20819 //
     /* 1054246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054285 */     // MIs[0] policy
     /* 1054285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054295 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054317 */     // GIR_Coverage, 20819,
     /* 1054317 */     GIR_EraseRootFromParent_Done,
     /* 1054318 */   // Label 15570: @1054318
     /* 1054318 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1054395), // Rule ID 20822 //
     /* 1054323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054362 */     // MIs[0] policy
     /* 1054362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054394 */     // GIR_Coverage, 20822,
     /* 1054394 */     GIR_EraseRootFromParent_Done,
     /* 1054395 */   // Label 15571: @1054395
     /* 1054395 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1054472), // Rule ID 20823 //
     /* 1054400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054439 */     // MIs[0] policy
     /* 1054439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054471 */     // GIR_Coverage, 20823,
     /* 1054471 */     GIR_EraseRootFromParent_Done,
     /* 1054472 */   // Label 15572: @1054472
     /* 1054472 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1054549), // Rule ID 20826 //
     /* 1054477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054516 */     // MIs[0] policy
     /* 1054516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054526 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054548 */     // GIR_Coverage, 20826,
     /* 1054548 */     GIR_EraseRootFromParent_Done,
     /* 1054549 */   // Label 15573: @1054549
     /* 1054549 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1054626), // Rule ID 20827 //
     /* 1054554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054593 */     // MIs[0] policy
     /* 1054593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054625 */     // GIR_Coverage, 20827,
     /* 1054625 */     GIR_EraseRootFromParent_Done,
     /* 1054626 */   // Label 15574: @1054626
     /* 1054626 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1054703), // Rule ID 20830 //
     /* 1054631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054670 */     // MIs[0] policy
     /* 1054670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054702 */     // GIR_Coverage, 20830,
     /* 1054702 */     GIR_EraseRootFromParent_Done,
     /* 1054703 */   // Label 15575: @1054703
     /* 1054703 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1054780), // Rule ID 20831 //
     /* 1054708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054747 */     // MIs[0] policy
     /* 1054747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054779 */     // GIR_Coverage, 20831,
     /* 1054779 */     GIR_EraseRootFromParent_Done,
     /* 1054780 */   // Label 15576: @1054780
     /* 1054780 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1054857), // Rule ID 20834 //
     /* 1054785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054824 */     // MIs[0] policy
     /* 1054824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054856 */     // GIR_Coverage, 20834,
     /* 1054856 */     GIR_EraseRootFromParent_Done,
     /* 1054857 */   // Label 15577: @1054857
     /* 1054857 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1054934), // Rule ID 20835 //
     /* 1054862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054901 */     // MIs[0] policy
     /* 1054901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054911 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054933 */     // GIR_Coverage, 20835,
     /* 1054933 */     GIR_EraseRootFromParent_Done,
     /* 1054934 */   // Label 15578: @1054934
     /* 1054934 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1055011), // Rule ID 20838 //
     /* 1054939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054978 */     // MIs[0] policy
     /* 1054978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054988 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055010 */     // GIR_Coverage, 20838,
     /* 1055010 */     GIR_EraseRootFromParent_Done,
     /* 1055011 */   // Label 15579: @1055011
     /* 1055011 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1055088), // Rule ID 20839 //
     /* 1055016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055055 */     // MIs[0] policy
     /* 1055055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055065 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055087 */     // GIR_Coverage, 20839,
     /* 1055087 */     GIR_EraseRootFromParent_Done,
     /* 1055088 */   // Label 15580: @1055088
     /* 1055088 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1055165), // Rule ID 20842 //
     /* 1055093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055132 */     // MIs[0] policy
     /* 1055132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055164 */     // GIR_Coverage, 20842,
     /* 1055164 */     GIR_EraseRootFromParent_Done,
     /* 1055165 */   // Label 15581: @1055165
     /* 1055165 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1055242), // Rule ID 20843 //
     /* 1055170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055209 */     // MIs[0] policy
     /* 1055209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055219 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055241 */     // GIR_Coverage, 20843,
     /* 1055241 */     GIR_EraseRootFromParent_Done,
     /* 1055242 */   // Label 15582: @1055242
     /* 1055242 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1055319), // Rule ID 20846 //
     /* 1055247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055286 */     // MIs[0] policy
     /* 1055286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055318 */     // GIR_Coverage, 20846,
     /* 1055318 */     GIR_EraseRootFromParent_Done,
     /* 1055319 */   // Label 15583: @1055319
     /* 1055319 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1055396), // Rule ID 20847 //
     /* 1055324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055363 */     // MIs[0] policy
     /* 1055363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055373 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055395 */     // GIR_Coverage, 20847,
     /* 1055395 */     GIR_EraseRootFromParent_Done,
     /* 1055396 */   // Label 15584: @1055396
     /* 1055396 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1055473), // Rule ID 20850 //
     /* 1055401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055440 */     // MIs[0] policy
     /* 1055440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055472 */     // GIR_Coverage, 20850,
     /* 1055472 */     GIR_EraseRootFromParent_Done,
     /* 1055473 */   // Label 15585: @1055473
     /* 1055473 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1055550), // Rule ID 20851 //
     /* 1055478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055517 */     // MIs[0] policy
     /* 1055517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055549 */     // GIR_Coverage, 20851,
     /* 1055549 */     GIR_EraseRootFromParent_Done,
     /* 1055550 */   // Label 15586: @1055550
     /* 1055550 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1055627), // Rule ID 20854 //
     /* 1055555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055594 */     // MIs[0] policy
     /* 1055594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055626 */     // GIR_Coverage, 20854,
     /* 1055626 */     GIR_EraseRootFromParent_Done,
     /* 1055627 */   // Label 15587: @1055627
     /* 1055627 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1055704), // Rule ID 20855 //
     /* 1055632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055671 */     // MIs[0] policy
     /* 1055671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055703 */     // GIR_Coverage, 20855,
     /* 1055703 */     GIR_EraseRootFromParent_Done,
     /* 1055704 */   // Label 15588: @1055704
     /* 1055704 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1055781), // Rule ID 20858 //
     /* 1055709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055748 */     // MIs[0] policy
     /* 1055748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055780 */     // GIR_Coverage, 20858,
     /* 1055780 */     GIR_EraseRootFromParent_Done,
     /* 1055781 */   // Label 15589: @1055781
     /* 1055781 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1055858), // Rule ID 20859 //
     /* 1055786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055825 */     // MIs[0] policy
     /* 1055825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055835 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055857 */     // GIR_Coverage, 20859,
     /* 1055857 */     GIR_EraseRootFromParent_Done,
     /* 1055858 */   // Label 15590: @1055858
     /* 1055858 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1055935), // Rule ID 20862 //
     /* 1055863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055902 */     // MIs[0] policy
     /* 1055902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055934 */     // GIR_Coverage, 20862,
     /* 1055934 */     GIR_EraseRootFromParent_Done,
     /* 1055935 */   // Label 15591: @1055935
     /* 1055935 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1056012), // Rule ID 20863 //
     /* 1055940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055979 */     // MIs[0] policy
     /* 1055979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055989 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056011 */     // GIR_Coverage, 20863,
     /* 1056011 */     GIR_EraseRootFromParent_Done,
     /* 1056012 */   // Label 15592: @1056012
     /* 1056012 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1056089), // Rule ID 20866 //
     /* 1056017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056056 */     // MIs[0] policy
     /* 1056056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056088 */     // GIR_Coverage, 20866,
     /* 1056088 */     GIR_EraseRootFromParent_Done,
     /* 1056089 */   // Label 15593: @1056089
     /* 1056089 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1056166), // Rule ID 20867 //
     /* 1056094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056133 */     // MIs[0] policy
     /* 1056133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056165 */     // GIR_Coverage, 20867,
     /* 1056165 */     GIR_EraseRootFromParent_Done,
     /* 1056166 */   // Label 15594: @1056166
     /* 1056166 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1056243), // Rule ID 20870 //
     /* 1056171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056210 */     // MIs[0] policy
     /* 1056210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056220 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056242 */     // GIR_Coverage, 20870,
     /* 1056242 */     GIR_EraseRootFromParent_Done,
     /* 1056243 */   // Label 15595: @1056243
     /* 1056243 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1056320), // Rule ID 20871 //
     /* 1056248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056287 */     // MIs[0] policy
     /* 1056287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056319 */     // GIR_Coverage, 20871,
     /* 1056319 */     GIR_EraseRootFromParent_Done,
     /* 1056320 */   // Label 15596: @1056320
     /* 1056320 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1056397), // Rule ID 21138 //
     /* 1056325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056364 */     // MIs[0] policy
     /* 1056364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056396 */     // GIR_Coverage, 21138,
     /* 1056396 */     GIR_EraseRootFromParent_Done,
     /* 1056397 */   // Label 15597: @1056397
     /* 1056397 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1056474), // Rule ID 21139 //
     /* 1056402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056441 */     // MIs[0] policy
     /* 1056441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056473 */     // GIR_Coverage, 21139,
     /* 1056473 */     GIR_EraseRootFromParent_Done,
     /* 1056474 */   // Label 15598: @1056474
     /* 1056474 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1056551), // Rule ID 21142 //
     /* 1056479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056518 */     // MIs[0] policy
     /* 1056518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056550 */     // GIR_Coverage, 21142,
     /* 1056550 */     GIR_EraseRootFromParent_Done,
     /* 1056551 */   // Label 15599: @1056551
     /* 1056551 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1056628), // Rule ID 21143 //
     /* 1056556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056595 */     // MIs[0] policy
     /* 1056595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056627 */     // GIR_Coverage, 21143,
     /* 1056627 */     GIR_EraseRootFromParent_Done,
     /* 1056628 */   // Label 15600: @1056628
     /* 1056628 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1056705), // Rule ID 21146 //
     /* 1056633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056672 */     // MIs[0] policy
     /* 1056672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056704 */     // GIR_Coverage, 21146,
     /* 1056704 */     GIR_EraseRootFromParent_Done,
     /* 1056705 */   // Label 15601: @1056705
     /* 1056705 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1056782), // Rule ID 21147 //
     /* 1056710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056749 */     // MIs[0] policy
     /* 1056749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056781 */     // GIR_Coverage, 21147,
     /* 1056781 */     GIR_EraseRootFromParent_Done,
     /* 1056782 */   // Label 15602: @1056782
     /* 1056782 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1056859), // Rule ID 21150 //
     /* 1056787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056826 */     // MIs[0] policy
     /* 1056826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056858 */     // GIR_Coverage, 21150,
     /* 1056858 */     GIR_EraseRootFromParent_Done,
     /* 1056859 */   // Label 15603: @1056859
     /* 1056859 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1056936), // Rule ID 21151 //
     /* 1056864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056903 */     // MIs[0] policy
     /* 1056903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056913 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056935 */     // GIR_Coverage, 21151,
     /* 1056935 */     GIR_EraseRootFromParent_Done,
     /* 1056936 */   // Label 15604: @1056936
     /* 1056936 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1057013), // Rule ID 21154 //
     /* 1056941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056980 */     // MIs[0] policy
     /* 1056980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057012 */     // GIR_Coverage, 21154,
     /* 1057012 */     GIR_EraseRootFromParent_Done,
     /* 1057013 */   // Label 15605: @1057013
     /* 1057013 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1057090), // Rule ID 21155 //
     /* 1057018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057057 */     // MIs[0] policy
     /* 1057057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057089 */     // GIR_Coverage, 21155,
     /* 1057089 */     GIR_EraseRootFromParent_Done,
     /* 1057090 */   // Label 15606: @1057090
     /* 1057090 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1057167), // Rule ID 21158 //
     /* 1057095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1057112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057134 */     // MIs[0] policy
     /* 1057134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057166 */     // GIR_Coverage, 21158,
     /* 1057166 */     GIR_EraseRootFromParent_Done,
     /* 1057167 */   // Label 15607: @1057167
     /* 1057167 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1057244), // Rule ID 21159 //
     /* 1057172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1057189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057211 */     // MIs[0] policy
     /* 1057211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057243 */     // GIR_Coverage, 21159,
     /* 1057243 */     GIR_EraseRootFromParent_Done,
     /* 1057244 */   // Label 15608: @1057244
     /* 1057244 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1057321), // Rule ID 21162 //
     /* 1057249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057288 */     // MIs[0] policy
     /* 1057288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057320 */     // GIR_Coverage, 21162,
     /* 1057320 */     GIR_EraseRootFromParent_Done,
     /* 1057321 */   // Label 15609: @1057321
     /* 1057321 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1057398), // Rule ID 21163 //
     /* 1057326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057365 */     // MIs[0] policy
     /* 1057365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057397 */     // GIR_Coverage, 21163,
     /* 1057397 */     GIR_EraseRootFromParent_Done,
     /* 1057398 */   // Label 15610: @1057398
     /* 1057398 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1057475), // Rule ID 21166 //
     /* 1057403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057442 */     // MIs[0] policy
     /* 1057442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057474 */     // GIR_Coverage, 21166,
     /* 1057474 */     GIR_EraseRootFromParent_Done,
     /* 1057475 */   // Label 15611: @1057475
     /* 1057475 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1057552), // Rule ID 21167 //
     /* 1057480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057519 */     // MIs[0] policy
     /* 1057519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057529 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057551 */     // GIR_Coverage, 21167,
     /* 1057551 */     GIR_EraseRootFromParent_Done,
     /* 1057552 */   // Label 15612: @1057552
     /* 1057552 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1057629), // Rule ID 21170 //
     /* 1057557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057596 */     // MIs[0] policy
     /* 1057596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057628 */     // GIR_Coverage, 21170,
     /* 1057628 */     GIR_EraseRootFromParent_Done,
     /* 1057629 */   // Label 15613: @1057629
     /* 1057629 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1057706), // Rule ID 21171 //
     /* 1057634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057673 */     // MIs[0] policy
     /* 1057673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057705 */     // GIR_Coverage, 21171,
     /* 1057705 */     GIR_EraseRootFromParent_Done,
     /* 1057706 */   // Label 15614: @1057706
     /* 1057706 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1057783), // Rule ID 21174 //
     /* 1057711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057750 */     // MIs[0] policy
     /* 1057750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057782 */     // GIR_Coverage, 21174,
     /* 1057782 */     GIR_EraseRootFromParent_Done,
     /* 1057783 */   // Label 15615: @1057783
     /* 1057783 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1057860), // Rule ID 21175 //
     /* 1057788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057827 */     // MIs[0] policy
     /* 1057827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057859 */     // GIR_Coverage, 21175,
     /* 1057859 */     GIR_EraseRootFromParent_Done,
     /* 1057860 */   // Label 15616: @1057860
     /* 1057860 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1057937), // Rule ID 21178 //
     /* 1057865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057904 */     // MIs[0] policy
     /* 1057904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057936 */     // GIR_Coverage, 21178,
     /* 1057936 */     GIR_EraseRootFromParent_Done,
     /* 1057937 */   // Label 15617: @1057937
     /* 1057937 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1058014), // Rule ID 21179 //
     /* 1057942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057981 */     // MIs[0] policy
     /* 1057981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058013 */     // GIR_Coverage, 21179,
     /* 1058013 */     GIR_EraseRootFromParent_Done,
     /* 1058014 */   // Label 15618: @1058014
     /* 1058014 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1058091), // Rule ID 21182 //
     /* 1058019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058058 */     // MIs[0] policy
     /* 1058058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058090 */     // GIR_Coverage, 21182,
     /* 1058090 */     GIR_EraseRootFromParent_Done,
     /* 1058091 */   // Label 15619: @1058091
     /* 1058091 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1058168), // Rule ID 21183 //
     /* 1058096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058135 */     // MIs[0] policy
     /* 1058135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058167 */     // GIR_Coverage, 21183,
     /* 1058167 */     GIR_EraseRootFromParent_Done,
     /* 1058168 */   // Label 15620: @1058168
     /* 1058168 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1058245), // Rule ID 21186 //
     /* 1058173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058212 */     // MIs[0] policy
     /* 1058212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058244 */     // GIR_Coverage, 21186,
     /* 1058244 */     GIR_EraseRootFromParent_Done,
     /* 1058245 */   // Label 15621: @1058245
     /* 1058245 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1058322), // Rule ID 21187 //
     /* 1058250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058289 */     // MIs[0] policy
     /* 1058289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058321 */     // GIR_Coverage, 21187,
     /* 1058321 */     GIR_EraseRootFromParent_Done,
     /* 1058322 */   // Label 15622: @1058322
     /* 1058322 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1058399), // Rule ID 21190 //
     /* 1058327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1058344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058366 */     // MIs[0] policy
     /* 1058366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058398 */     // GIR_Coverage, 21190,
     /* 1058398 */     GIR_EraseRootFromParent_Done,
     /* 1058399 */   // Label 15623: @1058399
     /* 1058399 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1058476), // Rule ID 21191 //
     /* 1058404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1058421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058443 */     // MIs[0] policy
     /* 1058443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058453 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058475 */     // GIR_Coverage, 21191,
     /* 1058475 */     GIR_EraseRootFromParent_Done,
     /* 1058476 */   // Label 15624: @1058476
     /* 1058476 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1058553), // Rule ID 21194 //
     /* 1058481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058520 */     // MIs[0] policy
     /* 1058520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058530 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058552 */     // GIR_Coverage, 21194,
     /* 1058552 */     GIR_EraseRootFromParent_Done,
     /* 1058553 */   // Label 15625: @1058553
     /* 1058553 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1058630), // Rule ID 21195 //
     /* 1058558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058597 */     // MIs[0] policy
     /* 1058597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058616 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058629 */     // GIR_Coverage, 21195,
     /* 1058629 */     GIR_EraseRootFromParent_Done,
     /* 1058630 */   // Label 15626: @1058630
     /* 1058630 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1058707), // Rule ID 21198 //
     /* 1058635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058674 */     // MIs[0] policy
     /* 1058674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058706 */     // GIR_Coverage, 21198,
     /* 1058706 */     GIR_EraseRootFromParent_Done,
     /* 1058707 */   // Label 15627: @1058707
     /* 1058707 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1058784), // Rule ID 21199 //
     /* 1058712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058751 */     // MIs[0] policy
     /* 1058751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058783 */     // GIR_Coverage, 21199,
     /* 1058783 */     GIR_EraseRootFromParent_Done,
     /* 1058784 */   // Label 15628: @1058784
     /* 1058784 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1058861), // Rule ID 21202 //
     /* 1058789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058828 */     // MIs[0] policy
     /* 1058828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058860 */     // GIR_Coverage, 21202,
     /* 1058860 */     GIR_EraseRootFromParent_Done,
     /* 1058861 */   // Label 15629: @1058861
     /* 1058861 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1058938), // Rule ID 21203 //
     /* 1058866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058905 */     // MIs[0] policy
     /* 1058905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058937 */     // GIR_Coverage, 21203,
     /* 1058937 */     GIR_EraseRootFromParent_Done,
     /* 1058938 */   // Label 15630: @1058938
     /* 1058938 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1059015), // Rule ID 21206 //
     /* 1058943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058982 */     // MIs[0] policy
     /* 1058982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059014 */     // GIR_Coverage, 21206,
     /* 1059014 */     GIR_EraseRootFromParent_Done,
     /* 1059015 */   // Label 15631: @1059015
     /* 1059015 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1059092), // Rule ID 21207 //
     /* 1059020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1059023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1059031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1059034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059059 */     // MIs[0] policy
     /* 1059059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1059072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059091 */     // GIR_Coverage, 21207,
     /* 1059091 */     GIR_EraseRootFromParent_Done,
     /* 1059092 */   // Label 15632: @1059092
     /* 1059092 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1059169), // Rule ID 21210 //
     /* 1059097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059136 */     // MIs[0] policy
     /* 1059136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059146 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1059149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059168 */     // GIR_Coverage, 21210,
     /* 1059168 */     GIR_EraseRootFromParent_Done,
     /* 1059169 */   // Label 15633: @1059169
     /* 1059169 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1059246), // Rule ID 21211 //
     /* 1059174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059213 */     // MIs[0] policy
     /* 1059213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059223 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1059226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059245 */     // GIR_Coverage, 21211,
     /* 1059245 */     GIR_EraseRootFromParent_Done,
     /* 1059246 */   // Label 15634: @1059246
     /* 1059246 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1059323), // Rule ID 21214 //
     /* 1059251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1059268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059290 */     // MIs[0] policy
     /* 1059290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059300 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1059303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059322 */     // GIR_Coverage, 21214,
     /* 1059322 */     GIR_EraseRootFromParent_Done,
     /* 1059323 */   // Label 15635: @1059323
     /* 1059323 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1059400), // Rule ID 21215 //
     /* 1059328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1059345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059367 */     // MIs[0] policy
     /* 1059367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1059380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059399 */     // GIR_Coverage, 21215,
     /* 1059399 */     GIR_EraseRootFromParent_Done,
     /* 1059400 */   // Label 15636: @1059400
     /* 1059400 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1059477), // Rule ID 21218 //
     /* 1059405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1059422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059444 */     // MIs[0] policy
     /* 1059444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059454 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059476 */     // GIR_Coverage, 21218,
     /* 1059476 */     GIR_EraseRootFromParent_Done,
     /* 1059477 */   // Label 15637: @1059477
     /* 1059477 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1059554), // Rule ID 21219 //
     /* 1059482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1059499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059521 */     // MIs[0] policy
     /* 1059521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059531 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059553 */     // GIR_Coverage, 21219,
     /* 1059553 */     GIR_EraseRootFromParent_Done,
     /* 1059554 */   // Label 15638: @1059554
     /* 1059554 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1059631), // Rule ID 21222 //
     /* 1059559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059598 */     // MIs[0] policy
     /* 1059598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059630 */     // GIR_Coverage, 21222,
     /* 1059630 */     GIR_EraseRootFromParent_Done,
     /* 1059631 */   // Label 15639: @1059631
     /* 1059631 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1059708), // Rule ID 21223 //
     /* 1059636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059675 */     // MIs[0] policy
     /* 1059675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059685 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059707 */     // GIR_Coverage, 21223,
     /* 1059707 */     GIR_EraseRootFromParent_Done,
     /* 1059708 */   // Label 15640: @1059708
     /* 1059708 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1059785), // Rule ID 21226 //
     /* 1059713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059752 */     // MIs[0] policy
     /* 1059752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059762 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059784 */     // GIR_Coverage, 21226,
     /* 1059784 */     GIR_EraseRootFromParent_Done,
     /* 1059785 */   // Label 15641: @1059785
     /* 1059785 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1059862), // Rule ID 21227 //
     /* 1059790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059829 */     // MIs[0] policy
     /* 1059829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059839 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059861 */     // GIR_Coverage, 21227,
     /* 1059861 */     GIR_EraseRootFromParent_Done,
     /* 1059862 */   // Label 15642: @1059862
     /* 1059862 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059939), // Rule ID 21230 //
     /* 1059867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059906 */     // MIs[0] policy
     /* 1059906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059916 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059938 */     // GIR_Coverage, 21230,
     /* 1059938 */     GIR_EraseRootFromParent_Done,
     /* 1059939 */   // Label 15643: @1059939
     /* 1059939 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1060016), // Rule ID 21231 //
     /* 1059944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059983 */     // MIs[0] policy
     /* 1059983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059993 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060015 */     // GIR_Coverage, 21231,
     /* 1060015 */     GIR_EraseRootFromParent_Done,
     /* 1060016 */   // Label 15644: @1060016
     /* 1060016 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1060093), // Rule ID 21234 //
     /* 1060021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060060 */     // MIs[0] policy
     /* 1060060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060070 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1060073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060092 */     // GIR_Coverage, 21234,
     /* 1060092 */     GIR_EraseRootFromParent_Done,
     /* 1060093 */   // Label 15645: @1060093
     /* 1060093 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1060170), // Rule ID 21235 //
     /* 1060098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060137 */     // MIs[0] policy
     /* 1060137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060147 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1060150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060169 */     // GIR_Coverage, 21235,
     /* 1060169 */     GIR_EraseRootFromParent_Done,
     /* 1060170 */   // Label 15646: @1060170
     /* 1060170 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1060247), // Rule ID 21238 //
     /* 1060175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060214 */     // MIs[0] policy
     /* 1060214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1060227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060246 */     // GIR_Coverage, 21238,
     /* 1060246 */     GIR_EraseRootFromParent_Done,
     /* 1060247 */   // Label 15647: @1060247
     /* 1060247 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1060324), // Rule ID 21239 //
     /* 1060252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060291 */     // MIs[0] policy
     /* 1060291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060301 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1060304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060323 */     // GIR_Coverage, 21239,
     /* 1060323 */     GIR_EraseRootFromParent_Done,
     /* 1060324 */   // Label 15648: @1060324
     /* 1060324 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1060401), // Rule ID 21242 //
     /* 1060329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1060346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060368 */     // MIs[0] policy
     /* 1060368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1060381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060400 */     // GIR_Coverage, 21242,
     /* 1060400 */     GIR_EraseRootFromParent_Done,
     /* 1060401 */   // Label 15649: @1060401
     /* 1060401 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1060478), // Rule ID 21243 //
     /* 1060406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1060423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060445 */     // MIs[0] policy
     /* 1060445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060455 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1060458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060477 */     // GIR_Coverage, 21243,
     /* 1060477 */     GIR_EraseRootFromParent_Done,
     /* 1060478 */   // Label 15650: @1060478
     /* 1060478 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1060555), // Rule ID 21246 //
     /* 1060483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060522 */     // MIs[0] policy
     /* 1060522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060554 */     // GIR_Coverage, 21246,
     /* 1060554 */     GIR_EraseRootFromParent_Done,
     /* 1060555 */   // Label 15651: @1060555
     /* 1060555 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1060632), // Rule ID 21247 //
     /* 1060560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060599 */     // MIs[0] policy
     /* 1060599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060609 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060631 */     // GIR_Coverage, 21247,
     /* 1060631 */     GIR_EraseRootFromParent_Done,
     /* 1060632 */   // Label 15652: @1060632
     /* 1060632 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1060709), // Rule ID 21250 //
     /* 1060637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060676 */     // MIs[0] policy
     /* 1060676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060686 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060708 */     // GIR_Coverage, 21250,
     /* 1060708 */     GIR_EraseRootFromParent_Done,
     /* 1060709 */   // Label 15653: @1060709
     /* 1060709 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1060786), // Rule ID 21251 //
     /* 1060714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060753 */     // MIs[0] policy
     /* 1060753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060763 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060785 */     // GIR_Coverage, 21251,
     /* 1060785 */     GIR_EraseRootFromParent_Done,
     /* 1060786 */   // Label 15654: @1060786
     /* 1060786 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1060863), // Rule ID 21254 //
     /* 1060791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060830 */     // MIs[0] policy
     /* 1060830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060840 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060862 */     // GIR_Coverage, 21254,
     /* 1060862 */     GIR_EraseRootFromParent_Done,
     /* 1060863 */   // Label 15655: @1060863
     /* 1060863 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060940), // Rule ID 21255 //
     /* 1060868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060907 */     // MIs[0] policy
     /* 1060907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060917 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060939 */     // GIR_Coverage, 21255,
     /* 1060939 */     GIR_EraseRootFromParent_Done,
     /* 1060940 */   // Label 15656: @1060940
     /* 1060940 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1061017), // Rule ID 21258 //
     /* 1060945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1060962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060984 */     // MIs[0] policy
     /* 1060984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060994 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1060997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061016 */     // GIR_Coverage, 21258,
     /* 1061016 */     GIR_EraseRootFromParent_Done,
     /* 1061017 */   // Label 15657: @1061017
     /* 1061017 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1061094), // Rule ID 21259 //
     /* 1061022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061061 */     // MIs[0] policy
     /* 1061061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061071 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1061074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061093 */     // GIR_Coverage, 21259,
     /* 1061093 */     GIR_EraseRootFromParent_Done,
     /* 1061094 */   // Label 15658: @1061094
     /* 1061094 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1061171), // Rule ID 21262 //
     /* 1061099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061138 */     // MIs[0] policy
     /* 1061138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061148 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1061151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061170 */     // GIR_Coverage, 21262,
     /* 1061170 */     GIR_EraseRootFromParent_Done,
     /* 1061171 */   // Label 15659: @1061171
     /* 1061171 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1061248), // Rule ID 21263 //
     /* 1061176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061215 */     // MIs[0] policy
     /* 1061215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061225 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1061228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061247 */     // GIR_Coverage, 21263,
     /* 1061247 */     GIR_EraseRootFromParent_Done,
     /* 1061248 */   // Label 15660: @1061248
     /* 1061248 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1061325), // Rule ID 21266 //
     /* 1061253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061292 */     // MIs[0] policy
     /* 1061292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1061305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061324 */     // GIR_Coverage, 21266,
     /* 1061324 */     GIR_EraseRootFromParent_Done,
     /* 1061325 */   // Label 15661: @1061325
     /* 1061325 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1061402), // Rule ID 21267 //
     /* 1061330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061369 */     // MIs[0] policy
     /* 1061369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061379 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1061382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061401 */     // GIR_Coverage, 21267,
     /* 1061401 */     GIR_EraseRootFromParent_Done,
     /* 1061402 */   // Label 15662: @1061402
     /* 1061402 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1061479), // Rule ID 21270 //
     /* 1061407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061446 */     // MIs[0] policy
     /* 1061446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061456 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061478 */     // GIR_Coverage, 21270,
     /* 1061478 */     GIR_EraseRootFromParent_Done,
     /* 1061479 */   // Label 15663: @1061479
     /* 1061479 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1061556), // Rule ID 21271 //
     /* 1061484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061523 */     // MIs[0] policy
     /* 1061523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061533 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061555 */     // GIR_Coverage, 21271,
     /* 1061555 */     GIR_EraseRootFromParent_Done,
     /* 1061556 */   // Label 15664: @1061556
     /* 1061556 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1061633), // Rule ID 21274 //
     /* 1061561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061600 */     // MIs[0] policy
     /* 1061600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061610 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061632 */     // GIR_Coverage, 21274,
     /* 1061632 */     GIR_EraseRootFromParent_Done,
     /* 1061633 */   // Label 15665: @1061633
     /* 1061633 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1061710), // Rule ID 21275 //
     /* 1061638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061677 */     // MIs[0] policy
     /* 1061677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061687 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061709 */     // GIR_Coverage, 21275,
     /* 1061709 */     GIR_EraseRootFromParent_Done,
     /* 1061710 */   // Label 15666: @1061710
     /* 1061710 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1061787), // Rule ID 21278 //
     /* 1061715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061754 */     // MIs[0] policy
     /* 1061754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061764 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061786 */     // GIR_Coverage, 21278,
     /* 1061786 */     GIR_EraseRootFromParent_Done,
     /* 1061787 */   // Label 15667: @1061787
     /* 1061787 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1061864), // Rule ID 21279 //
     /* 1061792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061831 */     // MIs[0] policy
     /* 1061831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061841 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061863 */     // GIR_Coverage, 21279,
     /* 1061863 */     GIR_EraseRootFromParent_Done,
     /* 1061864 */   // Label 15668: @1061864
     /* 1061864 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061941), // Rule ID 21282 //
     /* 1061869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061908 */     // MIs[0] policy
     /* 1061908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061918 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061940 */     // GIR_Coverage, 21282,
     /* 1061940 */     GIR_EraseRootFromParent_Done,
     /* 1061941 */   // Label 15669: @1061941
     /* 1061941 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1062018), // Rule ID 21283 //
     /* 1061946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061985 */     // MIs[0] policy
     /* 1061985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061995 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062017 */     // GIR_Coverage, 21283,
     /* 1062017 */     GIR_EraseRootFromParent_Done,
     /* 1062018 */   // Label 15670: @1062018
     /* 1062018 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1062095), // Rule ID 21286 //
     /* 1062023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1062040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062062 */     // MIs[0] policy
     /* 1062062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062072 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1062075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062094 */     // GIR_Coverage, 21286,
     /* 1062094 */     GIR_EraseRootFromParent_Done,
     /* 1062095 */   // Label 15671: @1062095
     /* 1062095 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1062172), // Rule ID 21287 //
     /* 1062100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1062117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062139 */     // MIs[0] policy
     /* 1062139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062149 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1062152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062171 */     // GIR_Coverage, 21287,
     /* 1062171 */     GIR_EraseRootFromParent_Done,
     /* 1062172 */   // Label 15672: @1062172
     /* 1062172 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1062249), // Rule ID 21290 //
     /* 1062177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1062197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062216 */     // MIs[0] policy
     /* 1062216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062226 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1062229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062248 */     // GIR_Coverage, 21290,
     /* 1062248 */     GIR_EraseRootFromParent_Done,
     /* 1062249 */   // Label 15673: @1062249
     /* 1062249 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1062326), // Rule ID 21291 //
     /* 1062254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1062274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062293 */     // MIs[0] policy
     /* 1062293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062303 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1062306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062325 */     // GIR_Coverage, 21291,
     /* 1062325 */     GIR_EraseRootFromParent_Done,
     /* 1062326 */   // Label 15674: @1062326
     /* 1062326 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1062403), // Rule ID 21294 //
     /* 1062331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062370 */     // MIs[0] policy
     /* 1062370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062380 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1062383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062402 */     // GIR_Coverage, 21294,
     /* 1062402 */     GIR_EraseRootFromParent_Done,
     /* 1062403 */   // Label 15675: @1062403
     /* 1062403 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1062480), // Rule ID 21295 //
     /* 1062408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062447 */     // MIs[0] policy
     /* 1062447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062457 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1062460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062479 */     // GIR_Coverage, 21295,
     /* 1062479 */     GIR_EraseRootFromParent_Done,
     /* 1062480 */   // Label 15676: @1062480
     /* 1062480 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1062557), // Rule ID 21298 //
     /* 1062485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062524 */     // MIs[0] policy
     /* 1062524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062534 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062556 */     // GIR_Coverage, 21298,
     /* 1062556 */     GIR_EraseRootFromParent_Done,
     /* 1062557 */   // Label 15677: @1062557
     /* 1062557 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1062634), // Rule ID 21299 //
     /* 1062562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062601 */     // MIs[0] policy
     /* 1062601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062611 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062633 */     // GIR_Coverage, 21299,
     /* 1062633 */     GIR_EraseRootFromParent_Done,
     /* 1062634 */   // Label 15678: @1062634
     /* 1062634 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1062711), // Rule ID 21302 //
     /* 1062639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062678 */     // MIs[0] policy
     /* 1062678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062710 */     // GIR_Coverage, 21302,
     /* 1062710 */     GIR_EraseRootFromParent_Done,
     /* 1062711 */   // Label 15679: @1062711
     /* 1062711 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1062788), // Rule ID 21303 //
     /* 1062716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062755 */     // MIs[0] policy
     /* 1062755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062787 */     // GIR_Coverage, 21303,
     /* 1062787 */     GIR_EraseRootFromParent_Done,
     /* 1062788 */   // Label 15680: @1062788
     /* 1062788 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1062865), // Rule ID 21306 //
     /* 1062793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062832 */     // MIs[0] policy
     /* 1062832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062842 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062864 */     // GIR_Coverage, 21306,
     /* 1062864 */     GIR_EraseRootFromParent_Done,
     /* 1062865 */   // Label 15681: @1062865
     /* 1062865 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062942), // Rule ID 21307 //
     /* 1062870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062909 */     // MIs[0] policy
     /* 1062909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062919 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062941 */     // GIR_Coverage, 21307,
     /* 1062941 */     GIR_EraseRootFromParent_Done,
     /* 1062942 */   // Label 15682: @1062942
     /* 1062942 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1063019), // Rule ID 21310 //
     /* 1062947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062986 */     // MIs[0] policy
     /* 1062986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062996 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1062999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063018 */     // GIR_Coverage, 21310,
     /* 1063018 */     GIR_EraseRootFromParent_Done,
     /* 1063019 */   // Label 15683: @1063019
     /* 1063019 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1063096), // Rule ID 21311 //
     /* 1063024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1063027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063063 */     // MIs[0] policy
     /* 1063063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063073 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1063076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063095 */     // GIR_Coverage, 21311,
     /* 1063095 */     GIR_EraseRootFromParent_Done,
     /* 1063096 */   // Label 15684: @1063096
     /* 1063096 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1063173), // Rule ID 21314 //
     /* 1063101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063140 */     // MIs[0] policy
     /* 1063140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1063153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063172 */     // GIR_Coverage, 21314,
     /* 1063172 */     GIR_EraseRootFromParent_Done,
     /* 1063173 */   // Label 15685: @1063173
     /* 1063173 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1063250), // Rule ID 21315 //
     /* 1063178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063217 */     // MIs[0] policy
     /* 1063217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1063230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063249 */     // GIR_Coverage, 21315,
     /* 1063249 */     GIR_EraseRootFromParent_Done,
     /* 1063250 */   // Label 15686: @1063250
     /* 1063250 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1063327), // Rule ID 21318 //
     /* 1063255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063294 */     // MIs[0] policy
     /* 1063294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063304 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1063307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063326 */     // GIR_Coverage, 21318,
     /* 1063326 */     GIR_EraseRootFromParent_Done,
     /* 1063327 */   // Label 15687: @1063327
     /* 1063327 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1063404), // Rule ID 21319 //
     /* 1063332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063371 */     // MIs[0] policy
     /* 1063371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063381 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1063384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063403 */     // GIR_Coverage, 21319,
     /* 1063403 */     GIR_EraseRootFromParent_Done,
     /* 1063404 */   // Label 15688: @1063404
     /* 1063404 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1063481), // Rule ID 21322 //
     /* 1063409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063448 */     // MIs[0] policy
     /* 1063448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063458 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063480 */     // GIR_Coverage, 21322,
     /* 1063480 */     GIR_EraseRootFromParent_Done,
     /* 1063481 */   // Label 15689: @1063481
     /* 1063481 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1063558), // Rule ID 21323 //
     /* 1063486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063525 */     // MIs[0] policy
     /* 1063525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063535 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063557 */     // GIR_Coverage, 21323,
     /* 1063557 */     GIR_EraseRootFromParent_Done,
     /* 1063558 */   // Label 15690: @1063558
     /* 1063558 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1063635), // Rule ID 21326 //
     /* 1063563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063602 */     // MIs[0] policy
     /* 1063602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063612 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063634 */     // GIR_Coverage, 21326,
     /* 1063634 */     GIR_EraseRootFromParent_Done,
     /* 1063635 */   // Label 15691: @1063635
     /* 1063635 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1063712), // Rule ID 21327 //
     /* 1063640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063679 */     // MIs[0] policy
     /* 1063679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063689 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063711 */     // GIR_Coverage, 21327,
     /* 1063711 */     GIR_EraseRootFromParent_Done,
     /* 1063712 */   // Label 15692: @1063712
     /* 1063712 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1063789), // Rule ID 21330 //
     /* 1063717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063756 */     // MIs[0] policy
     /* 1063756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063766 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063788 */     // GIR_Coverage, 21330,
     /* 1063788 */     GIR_EraseRootFromParent_Done,
     /* 1063789 */   // Label 15693: @1063789
     /* 1063789 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1063866), // Rule ID 21331 //
     /* 1063794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063833 */     // MIs[0] policy
     /* 1063833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063843 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063865 */     // GIR_Coverage, 21331,
     /* 1063865 */     GIR_EraseRootFromParent_Done,
     /* 1063866 */   // Label 15694: @1063866
     /* 1063866 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063943), // Rule ID 21334 //
     /* 1063871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063910 */     // MIs[0] policy
     /* 1063910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1063923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063942 */     // GIR_Coverage, 21334,
     /* 1063942 */     GIR_EraseRootFromParent_Done,
     /* 1063943 */   // Label 15695: @1063943
     /* 1063943 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1064020), // Rule ID 21335 //
     /* 1063948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063987 */     // MIs[0] policy
     /* 1063987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063997 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1064000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064019 */     // GIR_Coverage, 21335,
     /* 1064019 */     GIR_EraseRootFromParent_Done,
     /* 1064020 */   // Label 15696: @1064020
     /* 1064020 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1064097), // Rule ID 21338 //
     /* 1064025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1064028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064064 */     // MIs[0] policy
     /* 1064064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064074 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1064077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064096 */     // GIR_Coverage, 21338,
     /* 1064096 */     GIR_EraseRootFromParent_Done,
     /* 1064097 */   // Label 15697: @1064097
     /* 1064097 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1064174), // Rule ID 21339 //
     /* 1064102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1064105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064141 */     // MIs[0] policy
     /* 1064141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064151 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1064154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064173 */     // GIR_Coverage, 21339,
     /* 1064173 */     GIR_EraseRootFromParent_Done,
     /* 1064174 */   // Label 15698: @1064174
     /* 1064174 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1064251), // Rule ID 21342 //
     /* 1064179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1064182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064218 */     // MIs[0] policy
     /* 1064218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1064231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064250 */     // GIR_Coverage, 21342,
     /* 1064250 */     GIR_EraseRootFromParent_Done,
     /* 1064251 */   // Label 15699: @1064251
     /* 1064251 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1064328), // Rule ID 21343 //
     /* 1064256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1064259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064295 */     // MIs[0] policy
     /* 1064295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064305 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1064308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064327 */     // GIR_Coverage, 21343,
     /* 1064327 */     GIR_EraseRootFromParent_Done,
     /* 1064328 */   // Label 15700: @1064328
     /* 1064328 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1064405), // Rule ID 21346 //
     /* 1064333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1064336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064372 */     // MIs[0] policy
     /* 1064372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064382 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1064385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064404 */     // GIR_Coverage, 21346,
     /* 1064404 */     GIR_EraseRootFromParent_Done,
     /* 1064405 */   // Label 15701: @1064405
     /* 1064405 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1064482), // Rule ID 21347 //
     /* 1064410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1064413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064449 */     // MIs[0] policy
     /* 1064449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064459 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1064462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064481 */     // GIR_Coverage, 21347,
     /* 1064481 */     GIR_EraseRootFromParent_Done,
     /* 1064482 */   // Label 15702: @1064482
     /* 1064482 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1064559), // Rule ID 21350 //
     /* 1064487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064526 */     // MIs[0] policy
     /* 1064526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064536 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064558 */     // GIR_Coverage, 21350,
     /* 1064558 */     GIR_EraseRootFromParent_Done,
     /* 1064559 */   // Label 15703: @1064559
     /* 1064559 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1064636), // Rule ID 21351 //
     /* 1064564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064603 */     // MIs[0] policy
     /* 1064603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064613 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064635 */     // GIR_Coverage, 21351,
     /* 1064635 */     GIR_EraseRootFromParent_Done,
     /* 1064636 */   // Label 15704: @1064636
     /* 1064636 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1064713), // Rule ID 21354 //
     /* 1064641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064680 */     // MIs[0] policy
     /* 1064680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064690 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064712 */     // GIR_Coverage, 21354,
     /* 1064712 */     GIR_EraseRootFromParent_Done,
     /* 1064713 */   // Label 15705: @1064713
     /* 1064713 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1064790), // Rule ID 21355 //
     /* 1064718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064757 */     // MIs[0] policy
     /* 1064757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064767 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064789 */     // GIR_Coverage, 21355,
     /* 1064789 */     GIR_EraseRootFromParent_Done,
     /* 1064790 */   // Label 15706: @1064790
     /* 1064790 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1064867), // Rule ID 21358 //
     /* 1064795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064834 */     // MIs[0] policy
     /* 1064834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064844 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064866 */     // GIR_Coverage, 21358,
     /* 1064866 */     GIR_EraseRootFromParent_Done,
     /* 1064867 */   // Label 15707: @1064867
     /* 1064867 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064944), // Rule ID 21359 //
     /* 1064872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064911 */     // MIs[0] policy
     /* 1064911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064921 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064943 */     // GIR_Coverage, 21359,
     /* 1064943 */     GIR_EraseRootFromParent_Done,
     /* 1064944 */   // Label 15708: @1064944
     /* 1064944 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1065021), // Rule ID 21362 //
     /* 1064949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064988 */     // MIs[0] policy
     /* 1064988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064998 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1065001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065020 */     // GIR_Coverage, 21362,
     /* 1065020 */     GIR_EraseRootFromParent_Done,
     /* 1065021 */   // Label 15709: @1065021
     /* 1065021 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1065098), // Rule ID 21363 //
     /* 1065026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1065029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065065 */     // MIs[0] policy
     /* 1065065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065075 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1065078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065097 */     // GIR_Coverage, 21363,
     /* 1065097 */     GIR_EraseRootFromParent_Done,
     /* 1065098 */   // Label 15710: @1065098
     /* 1065098 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1065175), // Rule ID 21606 //
     /* 1065103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065142 */     // MIs[0] policy
     /* 1065142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065152 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1065155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065174 */     // GIR_Coverage, 21606,
     /* 1065174 */     GIR_EraseRootFromParent_Done,
     /* 1065175 */   // Label 15711: @1065175
     /* 1065175 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1065252), // Rule ID 21607 //
     /* 1065180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065219 */     // MIs[0] policy
     /* 1065219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065229 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1065232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065251 */     // GIR_Coverage, 21607,
     /* 1065251 */     GIR_EraseRootFromParent_Done,
     /* 1065252 */   // Label 15712: @1065252
     /* 1065252 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1065329), // Rule ID 21610 //
     /* 1065257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065296 */     // MIs[0] policy
     /* 1065296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065328 */     // GIR_Coverage, 21610,
     /* 1065328 */     GIR_EraseRootFromParent_Done,
     /* 1065329 */   // Label 15713: @1065329
     /* 1065329 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1065406), // Rule ID 21611 //
     /* 1065334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065373 */     // MIs[0] policy
     /* 1065373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065383 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065405 */     // GIR_Coverage, 21611,
     /* 1065405 */     GIR_EraseRootFromParent_Done,
     /* 1065406 */   // Label 15714: @1065406
     /* 1065406 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1065483), // Rule ID 21614 //
     /* 1065411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065450 */     // MIs[0] policy
     /* 1065450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065482 */     // GIR_Coverage, 21614,
     /* 1065482 */     GIR_EraseRootFromParent_Done,
     /* 1065483 */   // Label 15715: @1065483
     /* 1065483 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1065560), // Rule ID 21615 //
     /* 1065488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065527 */     // MIs[0] policy
     /* 1065527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065537 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065559 */     // GIR_Coverage, 21615,
     /* 1065559 */     GIR_EraseRootFromParent_Done,
     /* 1065560 */   // Label 15716: @1065560
     /* 1065560 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1065637), // Rule ID 21618 //
     /* 1065565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065604 */     // MIs[0] policy
     /* 1065604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065636 */     // GIR_Coverage, 21618,
     /* 1065636 */     GIR_EraseRootFromParent_Done,
     /* 1065637 */   // Label 15717: @1065637
     /* 1065637 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1065714), // Rule ID 21619 //
     /* 1065642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065681 */     // MIs[0] policy
     /* 1065681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065713 */     // GIR_Coverage, 21619,
     /* 1065713 */     GIR_EraseRootFromParent_Done,
     /* 1065714 */   // Label 15718: @1065714
     /* 1065714 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1065791), // Rule ID 21622 //
     /* 1065719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065758 */     // MIs[0] policy
     /* 1065758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065790 */     // GIR_Coverage, 21622,
     /* 1065790 */     GIR_EraseRootFromParent_Done,
     /* 1065791 */   // Label 15719: @1065791
     /* 1065791 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1065868), // Rule ID 21623 //
     /* 1065796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065835 */     // MIs[0] policy
     /* 1065835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065845 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065867 */     // GIR_Coverage, 21623,
     /* 1065867 */     GIR_EraseRootFromParent_Done,
     /* 1065868 */   // Label 15720: @1065868
     /* 1065868 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065945), // Rule ID 21626 //
     /* 1065873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065912 */     // MIs[0] policy
     /* 1065912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065944 */     // GIR_Coverage, 21626,
     /* 1065944 */     GIR_EraseRootFromParent_Done,
     /* 1065945 */   // Label 15721: @1065945
     /* 1065945 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1066022), // Rule ID 21627 //
     /* 1065950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065989 */     // MIs[0] policy
     /* 1065989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066021 */     // GIR_Coverage, 21627,
     /* 1066021 */     GIR_EraseRootFromParent_Done,
     /* 1066022 */   // Label 15722: @1066022
     /* 1066022 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1066099), // Rule ID 21630 //
     /* 1066027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066066 */     // MIs[0] policy
     /* 1066066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1066079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066098 */     // GIR_Coverage, 21630,
     /* 1066098 */     GIR_EraseRootFromParent_Done,
     /* 1066099 */   // Label 15723: @1066099
     /* 1066099 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1066176), // Rule ID 21631 //
     /* 1066104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066143 */     // MIs[0] policy
     /* 1066143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1066156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066175 */     // GIR_Coverage, 21631,
     /* 1066175 */     GIR_EraseRootFromParent_Done,
     /* 1066176 */   // Label 15724: @1066176
     /* 1066176 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1066253), // Rule ID 21634 //
     /* 1066181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066220 */     // MIs[0] policy
     /* 1066220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066252 */     // GIR_Coverage, 21634,
     /* 1066252 */     GIR_EraseRootFromParent_Done,
     /* 1066253 */   // Label 15725: @1066253
     /* 1066253 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1066330), // Rule ID 21635 //
     /* 1066258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066297 */     // MIs[0] policy
     /* 1066297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066329 */     // GIR_Coverage, 21635,
     /* 1066329 */     GIR_EraseRootFromParent_Done,
     /* 1066330 */   // Label 15726: @1066330
     /* 1066330 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1066407), // Rule ID 21638 //
     /* 1066335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1066352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066374 */     // MIs[0] policy
     /* 1066374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066406 */     // GIR_Coverage, 21638,
     /* 1066406 */     GIR_EraseRootFromParent_Done,
     /* 1066407 */   // Label 15727: @1066407
     /* 1066407 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1066484), // Rule ID 21639 //
     /* 1066412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1066429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066451 */     // MIs[0] policy
     /* 1066451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066483 */     // GIR_Coverage, 21639,
     /* 1066483 */     GIR_EraseRootFromParent_Done,
     /* 1066484 */   // Label 15728: @1066484
     /* 1066484 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1066561), // Rule ID 21642 //
     /* 1066489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066528 */     // MIs[0] policy
     /* 1066528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066560 */     // GIR_Coverage, 21642,
     /* 1066560 */     GIR_EraseRootFromParent_Done,
     /* 1066561 */   // Label 15729: @1066561
     /* 1066561 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1066638), // Rule ID 21643 //
     /* 1066566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066605 */     // MIs[0] policy
     /* 1066605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066637 */     // GIR_Coverage, 21643,
     /* 1066637 */     GIR_EraseRootFromParent_Done,
     /* 1066638 */   // Label 15730: @1066638
     /* 1066638 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1066715), // Rule ID 21646 //
     /* 1066643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066682 */     // MIs[0] policy
     /* 1066682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066714 */     // GIR_Coverage, 21646,
     /* 1066714 */     GIR_EraseRootFromParent_Done,
     /* 1066715 */   // Label 15731: @1066715
     /* 1066715 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1066792), // Rule ID 21647 //
     /* 1066720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066759 */     // MIs[0] policy
     /* 1066759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066791 */     // GIR_Coverage, 21647,
     /* 1066791 */     GIR_EraseRootFromParent_Done,
     /* 1066792 */   // Label 15732: @1066792
     /* 1066792 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1066869), // Rule ID 21650 //
     /* 1066797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066836 */     // MIs[0] policy
     /* 1066836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066868 */     // GIR_Coverage, 21650,
     /* 1066868 */     GIR_EraseRootFromParent_Done,
     /* 1066869 */   // Label 15733: @1066869
     /* 1066869 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066946), // Rule ID 21651 //
     /* 1066874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066913 */     // MIs[0] policy
     /* 1066913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066945 */     // GIR_Coverage, 21651,
     /* 1066945 */     GIR_EraseRootFromParent_Done,
     /* 1066946 */   // Label 15734: @1066946
     /* 1066946 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1067023), // Rule ID 21654 //
     /* 1066951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1066968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066990 */     // MIs[0] policy
     /* 1066990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1067003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067022 */     // GIR_Coverage, 21654,
     /* 1067022 */     GIR_EraseRootFromParent_Done,
     /* 1067023 */   // Label 15735: @1067023
     /* 1067023 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1067100), // Rule ID 21655 //
     /* 1067028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067067 */     // MIs[0] policy
     /* 1067067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1067080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067099 */     // GIR_Coverage, 21655,
     /* 1067099 */     GIR_EraseRootFromParent_Done,
     /* 1067100 */   // Label 15736: @1067100
     /* 1067100 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1067177), // Rule ID 21658 //
     /* 1067105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067144 */     // MIs[0] policy
     /* 1067144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067176 */     // GIR_Coverage, 21658,
     /* 1067176 */     GIR_EraseRootFromParent_Done,
     /* 1067177 */   // Label 15737: @1067177
     /* 1067177 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1067254), // Rule ID 21659 //
     /* 1067182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067221 */     // MIs[0] policy
     /* 1067221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067253 */     // GIR_Coverage, 21659,
     /* 1067253 */     GIR_EraseRootFromParent_Done,
     /* 1067254 */   // Label 15738: @1067254
     /* 1067254 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1067331), // Rule ID 21662 //
     /* 1067259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1067276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067298 */     // MIs[0] policy
     /* 1067298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067330 */     // GIR_Coverage, 21662,
     /* 1067330 */     GIR_EraseRootFromParent_Done,
     /* 1067331 */   // Label 15739: @1067331
     /* 1067331 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1067408), // Rule ID 21663 //
     /* 1067336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1067353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067375 */     // MIs[0] policy
     /* 1067375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067385 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067407 */     // GIR_Coverage, 21663,
     /* 1067407 */     GIR_EraseRootFromParent_Done,
     /* 1067408 */   // Label 15740: @1067408
     /* 1067408 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1067485), // Rule ID 21666 //
     /* 1067413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1067424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1067427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067452 */     // MIs[0] policy
     /* 1067452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067462 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067484 */     // GIR_Coverage, 21666,
     /* 1067484 */     GIR_EraseRootFromParent_Done,
     /* 1067485 */   // Label 15741: @1067485
     /* 1067485 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1067562), // Rule ID 21667 //
     /* 1067490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1067501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1067504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067529 */     // MIs[0] policy
     /* 1067529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067539 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067561 */     // GIR_Coverage, 21667,
     /* 1067561 */     GIR_EraseRootFromParent_Done,
     /* 1067562 */   // Label 15742: @1067562
     /* 1067562 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1067639), // Rule ID 21670 //
     /* 1067567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067606 */     // MIs[0] policy
     /* 1067606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067638 */     // GIR_Coverage, 21670,
     /* 1067638 */     GIR_EraseRootFromParent_Done,
     /* 1067639 */   // Label 15743: @1067639
     /* 1067639 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1067716), // Rule ID 21671 //
     /* 1067644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067683 */     // MIs[0] policy
     /* 1067683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067693 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067715 */     // GIR_Coverage, 21671,
     /* 1067715 */     GIR_EraseRootFromParent_Done,
     /* 1067716 */   // Label 15744: @1067716
     /* 1067716 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1067793), // Rule ID 21674 //
     /* 1067721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067760 */     // MIs[0] policy
     /* 1067760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067792 */     // GIR_Coverage, 21674,
     /* 1067792 */     GIR_EraseRootFromParent_Done,
     /* 1067793 */   // Label 15745: @1067793
     /* 1067793 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1067870), // Rule ID 21675 //
     /* 1067798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067837 */     // MIs[0] policy
     /* 1067837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067869 */     // GIR_Coverage, 21675,
     /* 1067869 */     GIR_EraseRootFromParent_Done,
     /* 1067870 */   // Label 15746: @1067870
     /* 1067870 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067947), // Rule ID 21678 //
     /* 1067875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067914 */     // MIs[0] policy
     /* 1067914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067946 */     // GIR_Coverage, 21678,
     /* 1067946 */     GIR_EraseRootFromParent_Done,
     /* 1067947 */   // Label 15747: @1067947
     /* 1067947 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1068024), // Rule ID 21679 //
     /* 1067952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067991 */     // MIs[0] policy
     /* 1067991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068001 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068023 */     // GIR_Coverage, 21679,
     /* 1068023 */     GIR_EraseRootFromParent_Done,
     /* 1068024 */   // Label 15748: @1068024
     /* 1068024 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1068101), // Rule ID 21682 //
     /* 1068029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1068040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1068043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068068 */     // MIs[0] policy
     /* 1068068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068078 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068100 */     // GIR_Coverage, 21682,
     /* 1068100 */     GIR_EraseRootFromParent_Done,
     /* 1068101 */   // Label 15749: @1068101
     /* 1068101 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1068178), // Rule ID 21683 //
     /* 1068106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1068117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1068120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068145 */     // MIs[0] policy
     /* 1068145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068177 */     // GIR_Coverage, 21683,
     /* 1068177 */     GIR_EraseRootFromParent_Done,
     /* 1068178 */   // Label 15750: @1068178
     /* 1068178 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1068255), // Rule ID 21686 //
     /* 1068183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1068194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1068197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1068200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1068203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068222 */     // MIs[0] policy
     /* 1068222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068232 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068254 */     // GIR_Coverage, 21686,
     /* 1068254 */     GIR_EraseRootFromParent_Done,
     /* 1068255 */   // Label 15751: @1068255
     /* 1068255 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1068332), // Rule ID 21687 //
     /* 1068260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1068271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1068274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1068277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1068280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068299 */     // MIs[0] policy
     /* 1068299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068331 */     // GIR_Coverage, 21687,
     /* 1068331 */     GIR_EraseRootFromParent_Done,
     /* 1068332 */   // Label 15752: @1068332
     /* 1068332 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1068409), // Rule ID 21690 //
     /* 1068337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068376 */     // MIs[0] policy
     /* 1068376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068408 */     // GIR_Coverage, 21690,
     /* 1068408 */     GIR_EraseRootFromParent_Done,
     /* 1068409 */   // Label 15753: @1068409
     /* 1068409 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1068486), // Rule ID 21691 //
     /* 1068414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068453 */     // MIs[0] policy
     /* 1068453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068485 */     // GIR_Coverage, 21691,
     /* 1068485 */     GIR_EraseRootFromParent_Done,
     /* 1068486 */   // Label 15754: @1068486
     /* 1068486 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1068563), // Rule ID 21694 //
     /* 1068491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068530 */     // MIs[0] policy
     /* 1068530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068540 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068562 */     // GIR_Coverage, 21694,
     /* 1068562 */     GIR_EraseRootFromParent_Done,
     /* 1068563 */   // Label 15755: @1068563
     /* 1068563 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1068640), // Rule ID 21695 //
     /* 1068568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068607 */     // MIs[0] policy
     /* 1068607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068617 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068639 */     // GIR_Coverage, 21695,
     /* 1068639 */     GIR_EraseRootFromParent_Done,
     /* 1068640 */   // Label 15756: @1068640
     /* 1068640 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1068717), // Rule ID 21698 //
     /* 1068645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068684 */     // MIs[0] policy
     /* 1068684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068716 */     // GIR_Coverage, 21698,
     /* 1068716 */     GIR_EraseRootFromParent_Done,
     /* 1068717 */   // Label 15757: @1068717
     /* 1068717 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1068794), // Rule ID 21699 //
     /* 1068722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068761 */     // MIs[0] policy
     /* 1068761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068793 */     // GIR_Coverage, 21699,
     /* 1068793 */     GIR_EraseRootFromParent_Done,
     /* 1068794 */   // Label 15758: @1068794
     /* 1068794 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1068871), // Rule ID 21702 //
     /* 1068799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068838 */     // MIs[0] policy
     /* 1068838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068870 */     // GIR_Coverage, 21702,
     /* 1068870 */     GIR_EraseRootFromParent_Done,
     /* 1068871 */   // Label 15759: @1068871
     /* 1068871 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068948), // Rule ID 21703 //
     /* 1068876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068915 */     // MIs[0] policy
     /* 1068915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068947 */     // GIR_Coverage, 21703,
     /* 1068947 */     GIR_EraseRootFromParent_Done,
     /* 1068948 */   // Label 15760: @1068948
     /* 1068948 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1069025), // Rule ID 21706 //
     /* 1068953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068992 */     // MIs[0] policy
     /* 1068992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069024 */     // GIR_Coverage, 21706,
     /* 1069024 */     GIR_EraseRootFromParent_Done,
     /* 1069025 */   // Label 15761: @1069025
     /* 1069025 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1069102), // Rule ID 21707 //
     /* 1069030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1069033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1069041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1069044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1069047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069069 */     // MIs[0] policy
     /* 1069069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069079 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069101 */     // GIR_Coverage, 21707,
     /* 1069101 */     GIR_EraseRootFromParent_Done,
     /* 1069102 */   // Label 15762: @1069102
     /* 1069102 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1069179), // Rule ID 21710 //
     /* 1069107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069146 */     // MIs[0] policy
     /* 1069146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069156 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069178 */     // GIR_Coverage, 21710,
     /* 1069178 */     GIR_EraseRootFromParent_Done,
     /* 1069179 */   // Label 15763: @1069179
     /* 1069179 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1069256), // Rule ID 21711 //
     /* 1069184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069223 */     // MIs[0] policy
     /* 1069223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069255 */     // GIR_Coverage, 21711,
     /* 1069255 */     GIR_EraseRootFromParent_Done,
     /* 1069256 */   // Label 15764: @1069256
     /* 1069256 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1069333), // Rule ID 21714 //
     /* 1069261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1069278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069300 */     // MIs[0] policy
     /* 1069300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069332 */     // GIR_Coverage, 21714,
     /* 1069332 */     GIR_EraseRootFromParent_Done,
     /* 1069333 */   // Label 15765: @1069333
     /* 1069333 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1069410), // Rule ID 21715 //
     /* 1069338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1069355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069377 */     // MIs[0] policy
     /* 1069377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069409 */     // GIR_Coverage, 21715,
     /* 1069409 */     GIR_EraseRootFromParent_Done,
     /* 1069410 */   // Label 15766: @1069410
     /* 1069410 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1069487), // Rule ID 21718 //
     /* 1069415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069454 */     // MIs[0] policy
     /* 1069454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069486 */     // GIR_Coverage, 21718,
     /* 1069486 */     GIR_EraseRootFromParent_Done,
     /* 1069487 */   // Label 15767: @1069487
     /* 1069487 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1069564), // Rule ID 21719 //
     /* 1069492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069531 */     // MIs[0] policy
     /* 1069531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069541 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069563 */     // GIR_Coverage, 21719,
     /* 1069563 */     GIR_EraseRootFromParent_Done,
     /* 1069564 */   // Label 15768: @1069564
     /* 1069564 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1069641), // Rule ID 21722 //
     /* 1069569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069608 */     // MIs[0] policy
     /* 1069608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069640 */     // GIR_Coverage, 21722,
     /* 1069640 */     GIR_EraseRootFromParent_Done,
     /* 1069641 */   // Label 15769: @1069641
     /* 1069641 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1069718), // Rule ID 21723 //
     /* 1069646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069685 */     // MIs[0] policy
     /* 1069685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069717 */     // GIR_Coverage, 21723,
     /* 1069717 */     GIR_EraseRootFromParent_Done,
     /* 1069718 */   // Label 15770: @1069718
     /* 1069718 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1069795), // Rule ID 21834 //
     /* 1069723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069762 */     // MIs[0] policy
     /* 1069762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069772 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069794 */     // GIR_Coverage, 21834,
     /* 1069794 */     GIR_EraseRootFromParent_Done,
     /* 1069795 */   // Label 15771: @1069795
     /* 1069795 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1069872), // Rule ID 21835 //
     /* 1069800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069839 */     // MIs[0] policy
     /* 1069839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069849 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069871 */     // GIR_Coverage, 21835,
     /* 1069871 */     GIR_EraseRootFromParent_Done,
     /* 1069872 */   // Label 15772: @1069872
     /* 1069872 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069949), // Rule ID 21838 //
     /* 1069877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069916 */     // MIs[0] policy
     /* 1069916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069926 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1069929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069948 */     // GIR_Coverage, 21838,
     /* 1069948 */     GIR_EraseRootFromParent_Done,
     /* 1069949 */   // Label 15773: @1069949
     /* 1069949 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1070026), // Rule ID 21839 //
     /* 1069954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069993 */     // MIs[0] policy
     /* 1069993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1070006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070025 */     // GIR_Coverage, 21839,
     /* 1070025 */     GIR_EraseRootFromParent_Done,
     /* 1070026 */   // Label 15774: @1070026
     /* 1070026 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1070103), // Rule ID 21842 //
     /* 1070031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070070 */     // MIs[0] policy
     /* 1070070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070080 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1070083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070102 */     // GIR_Coverage, 21842,
     /* 1070102 */     GIR_EraseRootFromParent_Done,
     /* 1070103 */   // Label 15775: @1070103
     /* 1070103 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1070180), // Rule ID 21843 //
     /* 1070108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070147 */     // MIs[0] policy
     /* 1070147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070157 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1070160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070179 */     // GIR_Coverage, 21843,
     /* 1070179 */     GIR_EraseRootFromParent_Done,
     /* 1070180 */   // Label 15776: @1070180
     /* 1070180 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1070257), // Rule ID 21846 //
     /* 1070185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070224 */     // MIs[0] policy
     /* 1070224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070234 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1070237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070256 */     // GIR_Coverage, 21846,
     /* 1070256 */     GIR_EraseRootFromParent_Done,
     /* 1070257 */   // Label 15777: @1070257
     /* 1070257 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1070334), // Rule ID 21847 //
     /* 1070262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070301 */     // MIs[0] policy
     /* 1070301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070311 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1070314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070333 */     // GIR_Coverage, 21847,
     /* 1070333 */     GIR_EraseRootFromParent_Done,
     /* 1070334 */   // Label 15778: @1070334
     /* 1070334 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1070411), // Rule ID 21850 //
     /* 1070339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070378 */     // MIs[0] policy
     /* 1070378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070388 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1070391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070410 */     // GIR_Coverage, 21850,
     /* 1070410 */     GIR_EraseRootFromParent_Done,
     /* 1070411 */   // Label 15779: @1070411
     /* 1070411 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1070488), // Rule ID 21851 //
     /* 1070416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070455 */     // MIs[0] policy
     /* 1070455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070465 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1070468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070487 */     // GIR_Coverage, 21851,
     /* 1070487 */     GIR_EraseRootFromParent_Done,
     /* 1070488 */   // Label 15780: @1070488
     /* 1070488 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1070565), // Rule ID 21854 //
     /* 1070493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070532 */     // MIs[0] policy
     /* 1070532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070542 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070564 */     // GIR_Coverage, 21854,
     /* 1070564 */     GIR_EraseRootFromParent_Done,
     /* 1070565 */   // Label 15781: @1070565
     /* 1070565 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1070642), // Rule ID 21855 //
     /* 1070570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070609 */     // MIs[0] policy
     /* 1070609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070619 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070641 */     // GIR_Coverage, 21855,
     /* 1070641 */     GIR_EraseRootFromParent_Done,
     /* 1070642 */   // Label 15782: @1070642
     /* 1070642 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1070719), // Rule ID 21858 //
     /* 1070647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070686 */     // MIs[0] policy
     /* 1070686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070718 */     // GIR_Coverage, 21858,
     /* 1070718 */     GIR_EraseRootFromParent_Done,
     /* 1070719 */   // Label 15783: @1070719
     /* 1070719 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1070796), // Rule ID 21859 //
     /* 1070724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070763 */     // MIs[0] policy
     /* 1070763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070773 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070795 */     // GIR_Coverage, 21859,
     /* 1070795 */     GIR_EraseRootFromParent_Done,
     /* 1070796 */   // Label 15784: @1070796
     /* 1070796 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1070873), // Rule ID 21862 //
     /* 1070801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070840 */     // MIs[0] policy
     /* 1070840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070850 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070872 */     // GIR_Coverage, 21862,
     /* 1070872 */     GIR_EraseRootFromParent_Done,
     /* 1070873 */   // Label 15785: @1070873
     /* 1070873 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070950), // Rule ID 21863 //
     /* 1070878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070917 */     // MIs[0] policy
     /* 1070917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070927 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070949 */     // GIR_Coverage, 21863,
     /* 1070949 */     GIR_EraseRootFromParent_Done,
     /* 1070950 */   // Label 15786: @1070950
     /* 1070950 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1071027), // Rule ID 21866 //
     /* 1070955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070994 */     // MIs[0] policy
     /* 1070994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1071007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071026 */     // GIR_Coverage, 21866,
     /* 1071026 */     GIR_EraseRootFromParent_Done,
     /* 1071027 */   // Label 15787: @1071027
     /* 1071027 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1071104), // Rule ID 21867 //
     /* 1071032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1071035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071071 */     // MIs[0] policy
     /* 1071071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071081 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1071084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071103 */     // GIR_Coverage, 21867,
     /* 1071103 */     GIR_EraseRootFromParent_Done,
     /* 1071104 */   // Label 15788: @1071104
     /* 1071104 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1071181), // Rule ID 23306 //
     /* 1071109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071148 */     // MIs[0] policy
     /* 1071148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071180 */     // GIR_Coverage, 23306,
     /* 1071180 */     GIR_EraseRootFromParent_Done,
     /* 1071181 */   // Label 15789: @1071181
     /* 1071181 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1071258), // Rule ID 23307 //
     /* 1071186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071225 */     // MIs[0] policy
     /* 1071225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071235 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071257 */     // GIR_Coverage, 23307,
     /* 1071257 */     GIR_EraseRootFromParent_Done,
     /* 1071258 */   // Label 15790: @1071258
     /* 1071258 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1071335), // Rule ID 23310 //
     /* 1071263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071302 */     // MIs[0] policy
     /* 1071302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071334 */     // GIR_Coverage, 23310,
     /* 1071334 */     GIR_EraseRootFromParent_Done,
     /* 1071335 */   // Label 15791: @1071335
     /* 1071335 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1071412), // Rule ID 23311 //
     /* 1071340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071379 */     // MIs[0] policy
     /* 1071379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071411 */     // GIR_Coverage, 23311,
     /* 1071411 */     GIR_EraseRootFromParent_Done,
     /* 1071412 */   // Label 15792: @1071412
     /* 1071412 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1071489), // Rule ID 23314 //
     /* 1071417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071456 */     // MIs[0] policy
     /* 1071456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071488 */     // GIR_Coverage, 23314,
     /* 1071488 */     GIR_EraseRootFromParent_Done,
     /* 1071489 */   // Label 15793: @1071489
     /* 1071489 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1071566), // Rule ID 23315 //
     /* 1071494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071533 */     // MIs[0] policy
     /* 1071533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071543 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071565 */     // GIR_Coverage, 23315,
     /* 1071565 */     GIR_EraseRootFromParent_Done,
     /* 1071566 */   // Label 15794: @1071566
     /* 1071566 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1071643), // Rule ID 23318 //
     /* 1071571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071610 */     // MIs[0] policy
     /* 1071610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071620 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071642 */     // GIR_Coverage, 23318,
     /* 1071642 */     GIR_EraseRootFromParent_Done,
     /* 1071643 */   // Label 15795: @1071643
     /* 1071643 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1071720), // Rule ID 23319 //
     /* 1071648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071687 */     // MIs[0] policy
     /* 1071687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071719 */     // GIR_Coverage, 23319,
     /* 1071719 */     GIR_EraseRootFromParent_Done,
     /* 1071720 */   // Label 15796: @1071720
     /* 1071720 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1071797), // Rule ID 23322 //
     /* 1071725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071764 */     // MIs[0] policy
     /* 1071764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071796 */     // GIR_Coverage, 23322,
     /* 1071796 */     GIR_EraseRootFromParent_Done,
     /* 1071797 */   // Label 15797: @1071797
     /* 1071797 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1071874), // Rule ID 23323 //
     /* 1071802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071841 */     // MIs[0] policy
     /* 1071841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071873 */     // GIR_Coverage, 23323,
     /* 1071873 */     GIR_EraseRootFromParent_Done,
     /* 1071874 */   // Label 15798: @1071874
     /* 1071874 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071951), // Rule ID 23326 //
     /* 1071879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071918 */     // MIs[0] policy
     /* 1071918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071950 */     // GIR_Coverage, 23326,
     /* 1071950 */     GIR_EraseRootFromParent_Done,
     /* 1071951 */   // Label 15799: @1071951
     /* 1071951 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1072028), // Rule ID 23327 //
     /* 1071956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071995 */     // MIs[0] policy
     /* 1071995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072027 */     // GIR_Coverage, 23327,
     /* 1072027 */     GIR_EraseRootFromParent_Done,
     /* 1072028 */   // Label 15800: @1072028
     /* 1072028 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1072105), // Rule ID 23330 //
     /* 1072033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072072 */     // MIs[0] policy
     /* 1072072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072104 */     // GIR_Coverage, 23330,
     /* 1072104 */     GIR_EraseRootFromParent_Done,
     /* 1072105 */   // Label 15801: @1072105
     /* 1072105 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1072182), // Rule ID 23331 //
     /* 1072110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072149 */     // MIs[0] policy
     /* 1072149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072181 */     // GIR_Coverage, 23331,
     /* 1072181 */     GIR_EraseRootFromParent_Done,
     /* 1072182 */   // Label 15802: @1072182
     /* 1072182 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1072259), // Rule ID 23334 //
     /* 1072187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072226 */     // MIs[0] policy
     /* 1072226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072258 */     // GIR_Coverage, 23334,
     /* 1072258 */     GIR_EraseRootFromParent_Done,
     /* 1072259 */   // Label 15803: @1072259
     /* 1072259 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1072336), // Rule ID 23335 //
     /* 1072264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072303 */     // MIs[0] policy
     /* 1072303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072313 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072335 */     // GIR_Coverage, 23335,
     /* 1072335 */     GIR_EraseRootFromParent_Done,
     /* 1072336 */   // Label 15804: @1072336
     /* 1072336 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1072413), // Rule ID 23338 //
     /* 1072341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1072352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1072355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072380 */     // MIs[0] policy
     /* 1072380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072412 */     // GIR_Coverage, 23338,
     /* 1072412 */     GIR_EraseRootFromParent_Done,
     /* 1072413 */   // Label 15805: @1072413
     /* 1072413 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1072490), // Rule ID 23339 //
     /* 1072418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1072429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1072432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072457 */     // MIs[0] policy
     /* 1072457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072489 */     // GIR_Coverage, 23339,
     /* 1072489 */     GIR_EraseRootFromParent_Done,
     /* 1072490 */   // Label 15806: @1072490
     /* 1072490 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1072567), // Rule ID 23342 //
     /* 1072495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072534 */     // MIs[0] policy
     /* 1072534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072544 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072566 */     // GIR_Coverage, 23342,
     /* 1072566 */     GIR_EraseRootFromParent_Done,
     /* 1072567 */   // Label 15807: @1072567
     /* 1072567 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1072644), // Rule ID 23343 //
     /* 1072572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072611 */     // MIs[0] policy
     /* 1072611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072643 */     // GIR_Coverage, 23343,
     /* 1072643 */     GIR_EraseRootFromParent_Done,
     /* 1072644 */   // Label 15808: @1072644
     /* 1072644 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1072721), // Rule ID 23346 //
     /* 1072649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072688 */     // MIs[0] policy
     /* 1072688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072698 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072720 */     // GIR_Coverage, 23346,
     /* 1072720 */     GIR_EraseRootFromParent_Done,
     /* 1072721 */   // Label 15809: @1072721
     /* 1072721 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1072798), // Rule ID 23347 //
     /* 1072726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072765 */     // MIs[0] policy
     /* 1072765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072775 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072797 */     // GIR_Coverage, 23347,
     /* 1072797 */     GIR_EraseRootFromParent_Done,
     /* 1072798 */   // Label 15810: @1072798
     /* 1072798 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1072875), // Rule ID 23350 //
     /* 1072803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072842 */     // MIs[0] policy
     /* 1072842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072874 */     // GIR_Coverage, 23350,
     /* 1072874 */     GIR_EraseRootFromParent_Done,
     /* 1072875 */   // Label 15811: @1072875
     /* 1072875 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072952), // Rule ID 23351 //
     /* 1072880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072919 */     // MIs[0] policy
     /* 1072919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072929 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072951 */     // GIR_Coverage, 23351,
     /* 1072951 */     GIR_EraseRootFromParent_Done,
     /* 1072952 */   // Label 15812: @1072952
     /* 1072952 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1073029), // Rule ID 23354 //
     /* 1072957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1072968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1072971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072996 */     // MIs[0] policy
     /* 1072996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073028 */     // GIR_Coverage, 23354,
     /* 1073028 */     GIR_EraseRootFromParent_Done,
     /* 1073029 */   // Label 15813: @1073029
     /* 1073029 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1073106), // Rule ID 23355 //
     /* 1073034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073073 */     // MIs[0] policy
     /* 1073073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073105 */     // GIR_Coverage, 23355,
     /* 1073105 */     GIR_EraseRootFromParent_Done,
     /* 1073106 */   // Label 15814: @1073106
     /* 1073106 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1073183), // Rule ID 23358 //
     /* 1073111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073150 */     // MIs[0] policy
     /* 1073150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073182 */     // GIR_Coverage, 23358,
     /* 1073182 */     GIR_EraseRootFromParent_Done,
     /* 1073183 */   // Label 15815: @1073183
     /* 1073183 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1073260), // Rule ID 23359 //
     /* 1073188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073227 */     // MIs[0] policy
     /* 1073227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073259 */     // GIR_Coverage, 23359,
     /* 1073259 */     GIR_EraseRootFromParent_Done,
     /* 1073260 */   // Label 15816: @1073260
     /* 1073260 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1073337), // Rule ID 23362 //
     /* 1073265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1073276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1073279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1073282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073304 */     // MIs[0] policy
     /* 1073304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073336 */     // GIR_Coverage, 23362,
     /* 1073336 */     GIR_EraseRootFromParent_Done,
     /* 1073337 */   // Label 15817: @1073337
     /* 1073337 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1073414), // Rule ID 23363 //
     /* 1073342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1073353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1073356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1073359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073381 */     // MIs[0] policy
     /* 1073381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073391 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073413 */     // GIR_Coverage, 23363,
     /* 1073413 */     GIR_EraseRootFromParent_Done,
     /* 1073414 */   // Label 15818: @1073414
     /* 1073414 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1073491), // Rule ID 23366 //
     /* 1073419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073458 */     // MIs[0] policy
     /* 1073458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073490 */     // GIR_Coverage, 23366,
     /* 1073490 */     GIR_EraseRootFromParent_Done,
     /* 1073491 */   // Label 15819: @1073491
     /* 1073491 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1073568), // Rule ID 23367 //
     /* 1073496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073535 */     // MIs[0] policy
     /* 1073535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073567 */     // GIR_Coverage, 23367,
     /* 1073567 */     GIR_EraseRootFromParent_Done,
     /* 1073568 */   // Label 15820: @1073568
     /* 1073568 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1073645), // Rule ID 23370 //
     /* 1073573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073612 */     // MIs[0] policy
     /* 1073612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073644 */     // GIR_Coverage, 23370,
     /* 1073644 */     GIR_EraseRootFromParent_Done,
     /* 1073645 */   // Label 15821: @1073645
     /* 1073645 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1073722), // Rule ID 23371 //
     /* 1073650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073689 */     // MIs[0] policy
     /* 1073689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073721 */     // GIR_Coverage, 23371,
     /* 1073721 */     GIR_EraseRootFromParent_Done,
     /* 1073722 */   // Label 15822: @1073722
     /* 1073722 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1073799), // Rule ID 23374 //
     /* 1073727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073766 */     // MIs[0] policy
     /* 1073766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073798 */     // GIR_Coverage, 23374,
     /* 1073798 */     GIR_EraseRootFromParent_Done,
     /* 1073799 */   // Label 15823: @1073799
     /* 1073799 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1073876), // Rule ID 23375 //
     /* 1073804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073843 */     // MIs[0] policy
     /* 1073843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073875 */     // GIR_Coverage, 23375,
     /* 1073875 */     GIR_EraseRootFromParent_Done,
     /* 1073876 */   // Label 15824: @1073876
     /* 1073876 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073953), // Rule ID 23378 //
     /* 1073881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073920 */     // MIs[0] policy
     /* 1073920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073952 */     // GIR_Coverage, 23378,
     /* 1073952 */     GIR_EraseRootFromParent_Done,
     /* 1073953 */   // Label 15825: @1073953
     /* 1073953 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1074030), // Rule ID 23379 //
     /* 1073958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073997 */     // MIs[0] policy
     /* 1073997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1074010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074029 */     // GIR_Coverage, 23379,
     /* 1074029 */     GIR_EraseRootFromParent_Done,
     /* 1074030 */   // Label 15826: @1074030
     /* 1074030 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1074107), // Rule ID 23382 //
     /* 1074035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074074 */     // MIs[0] policy
     /* 1074074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074106 */     // GIR_Coverage, 23382,
     /* 1074106 */     GIR_EraseRootFromParent_Done,
     /* 1074107 */   // Label 15827: @1074107
     /* 1074107 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1074184), // Rule ID 23383 //
     /* 1074112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074151 */     // MIs[0] policy
     /* 1074151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074183 */     // GIR_Coverage, 23383,
     /* 1074183 */     GIR_EraseRootFromParent_Done,
     /* 1074184 */   // Label 15828: @1074184
     /* 1074184 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1074261), // Rule ID 23386 //
     /* 1074189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074228 */     // MIs[0] policy
     /* 1074228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074260 */     // GIR_Coverage, 23386,
     /* 1074260 */     GIR_EraseRootFromParent_Done,
     /* 1074261 */   // Label 15829: @1074261
     /* 1074261 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1074338), // Rule ID 23387 //
     /* 1074266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074305 */     // MIs[0] policy
     /* 1074305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074337 */     // GIR_Coverage, 23387,
     /* 1074337 */     GIR_EraseRootFromParent_Done,
     /* 1074338 */   // Label 15830: @1074338
     /* 1074338 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1074415), // Rule ID 23492 //
     /* 1074343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1074354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1074357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1074360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074382 */     // MIs[0] policy
     /* 1074382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1074395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074414 */     // GIR_Coverage, 23492,
     /* 1074414 */     GIR_EraseRootFromParent_Done,
     /* 1074415 */   // Label 15831: @1074415
     /* 1074415 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1074492), // Rule ID 23493 //
     /* 1074420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1074431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1074434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1074437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074459 */     // MIs[0] policy
     /* 1074459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1074472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074491 */     // GIR_Coverage, 23493,
     /* 1074491 */     GIR_EraseRootFromParent_Done,
     /* 1074492 */   // Label 15832: @1074492
     /* 1074492 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1074569), // Rule ID 23496 //
     /* 1074497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074536 */     // MIs[0] policy
     /* 1074536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074568 */     // GIR_Coverage, 23496,
     /* 1074568 */     GIR_EraseRootFromParent_Done,
     /* 1074569 */   // Label 15833: @1074569
     /* 1074569 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1074646), // Rule ID 23497 //
     /* 1074574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074613 */     // MIs[0] policy
     /* 1074613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074623 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074645 */     // GIR_Coverage, 23497,
     /* 1074645 */     GIR_EraseRootFromParent_Done,
     /* 1074646 */   // Label 15834: @1074646
     /* 1074646 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1074723), // Rule ID 23500 //
     /* 1074651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074690 */     // MIs[0] policy
     /* 1074690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074722 */     // GIR_Coverage, 23500,
     /* 1074722 */     GIR_EraseRootFromParent_Done,
     /* 1074723 */   // Label 15835: @1074723
     /* 1074723 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1074800), // Rule ID 23501 //
     /* 1074728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074767 */     // MIs[0] policy
     /* 1074767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074799 */     // GIR_Coverage, 23501,
     /* 1074799 */     GIR_EraseRootFromParent_Done,
     /* 1074800 */   // Label 15836: @1074800
     /* 1074800 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1074877), // Rule ID 23504 //
     /* 1074805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074844 */     // MIs[0] policy
     /* 1074844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074876 */     // GIR_Coverage, 23504,
     /* 1074876 */     GIR_EraseRootFromParent_Done,
     /* 1074877 */   // Label 15837: @1074877
     /* 1074877 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074954), // Rule ID 23505 //
     /* 1074882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074921 */     // MIs[0] policy
     /* 1074921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074931 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074953 */     // GIR_Coverage, 23505,
     /* 1074953 */     GIR_EraseRootFromParent_Done,
     /* 1074954 */   // Label 15838: @1074954
     /* 1074954 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1075031), // Rule ID 23508 //
     /* 1074959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1074976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074998 */     // MIs[0] policy
     /* 1074998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075030 */     // GIR_Coverage, 23508,
     /* 1075030 */     GIR_EraseRootFromParent_Done,
     /* 1075031 */   // Label 15839: @1075031
     /* 1075031 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1075108), // Rule ID 23509 //
     /* 1075036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1075053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075075 */     // MIs[0] policy
     /* 1075075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075085 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075107 */     // GIR_Coverage, 23509,
     /* 1075107 */     GIR_EraseRootFromParent_Done,
     /* 1075108 */   // Label 15840: @1075108
     /* 1075108 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1075185), // Rule ID 23512 //
     /* 1075113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075152 */     // MIs[0] policy
     /* 1075152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075184 */     // GIR_Coverage, 23512,
     /* 1075184 */     GIR_EraseRootFromParent_Done,
     /* 1075185 */   // Label 15841: @1075185
     /* 1075185 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1075262), // Rule ID 23513 //
     /* 1075190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075229 */     // MIs[0] policy
     /* 1075229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075239 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075261 */     // GIR_Coverage, 23513,
     /* 1075261 */     GIR_EraseRootFromParent_Done,
     /* 1075262 */   // Label 15842: @1075262
     /* 1075262 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1075339), // Rule ID 23516 //
     /* 1075267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1075278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1075281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1075284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075306 */     // MIs[0] policy
     /* 1075306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075316 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075338 */     // GIR_Coverage, 23516,
     /* 1075338 */     GIR_EraseRootFromParent_Done,
     /* 1075339 */   // Label 15843: @1075339
     /* 1075339 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1075416), // Rule ID 23517 //
     /* 1075344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1075355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1075358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1075361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075383 */     // MIs[0] policy
     /* 1075383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075415 */     // GIR_Coverage, 23517,
     /* 1075415 */     GIR_EraseRootFromParent_Done,
     /* 1075416 */   // Label 15844: @1075416
     /* 1075416 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1075493), // Rule ID 23520 //
     /* 1075421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075460 */     // MIs[0] policy
     /* 1075460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075492 */     // GIR_Coverage, 23520,
     /* 1075492 */     GIR_EraseRootFromParent_Done,
     /* 1075493 */   // Label 15845: @1075493
     /* 1075493 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1075570), // Rule ID 23521 //
     /* 1075498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075537 */     // MIs[0] policy
     /* 1075537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075569 */     // GIR_Coverage, 23521,
     /* 1075569 */     GIR_EraseRootFromParent_Done,
     /* 1075570 */   // Label 15846: @1075570
     /* 1075570 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1075647), // Rule ID 23524 //
     /* 1075575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075614 */     // MIs[0] policy
     /* 1075614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075646 */     // GIR_Coverage, 23524,
     /* 1075646 */     GIR_EraseRootFromParent_Done,
     /* 1075647 */   // Label 15847: @1075647
     /* 1075647 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1075724), // Rule ID 23525 //
     /* 1075652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075691 */     // MIs[0] policy
     /* 1075691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075701 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075723 */     // GIR_Coverage, 23525,
     /* 1075723 */     GIR_EraseRootFromParent_Done,
     /* 1075724 */   // Label 15848: @1075724
     /* 1075724 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1075801), // Rule ID 23528 //
     /* 1075729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075768 */     // MIs[0] policy
     /* 1075768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075800 */     // GIR_Coverage, 23528,
     /* 1075800 */     GIR_EraseRootFromParent_Done,
     /* 1075801 */   // Label 15849: @1075801
     /* 1075801 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1075878), // Rule ID 23529 //
     /* 1075806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075845 */     // MIs[0] policy
     /* 1075845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075877 */     // GIR_Coverage, 23529,
     /* 1075877 */     GIR_EraseRootFromParent_Done,
     /* 1075878 */   // Label 15850: @1075878
     /* 1075878 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075955), // Rule ID 23532 //
     /* 1075883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075922 */     // MIs[0] policy
     /* 1075922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075954 */     // GIR_Coverage, 23532,
     /* 1075954 */     GIR_EraseRootFromParent_Done,
     /* 1075955 */   // Label 15851: @1075955
     /* 1075955 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1076032), // Rule ID 23533 //
     /* 1075960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075999 */     // MIs[0] policy
     /* 1075999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076009 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076031 */     // GIR_Coverage, 23533,
     /* 1076031 */     GIR_EraseRootFromParent_Done,
     /* 1076032 */   // Label 15852: @1076032
     /* 1076032 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1076109), // Rule ID 23536 //
     /* 1076037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1076054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076076 */     // MIs[0] policy
     /* 1076076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076108 */     // GIR_Coverage, 23536,
     /* 1076108 */     GIR_EraseRootFromParent_Done,
     /* 1076109 */   // Label 15853: @1076109
     /* 1076109 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1076186), // Rule ID 23537 //
     /* 1076114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1076131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076153 */     // MIs[0] policy
     /* 1076153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076163 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076185 */     // GIR_Coverage, 23537,
     /* 1076185 */     GIR_EraseRootFromParent_Done,
     /* 1076186 */   // Label 15854: @1076186
     /* 1076186 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1076263), // Rule ID 23540 //
     /* 1076191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1076202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1076205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1076208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076230 */     // MIs[0] policy
     /* 1076230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076262 */     // GIR_Coverage, 23540,
     /* 1076262 */     GIR_EraseRootFromParent_Done,
     /* 1076263 */   // Label 15855: @1076263
     /* 1076263 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1076340), // Rule ID 23541 //
     /* 1076268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1076279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1076282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1076285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076307 */     // MIs[0] policy
     /* 1076307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076317 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076339 */     // GIR_Coverage, 23541,
     /* 1076339 */     GIR_EraseRootFromParent_Done,
     /* 1076340 */   // Label 15856: @1076340
     /* 1076340 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1076417), // Rule ID 23544 //
     /* 1076345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1076356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1076359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1076362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076384 */     // MIs[0] policy
     /* 1076384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076416 */     // GIR_Coverage, 23544,
     /* 1076416 */     GIR_EraseRootFromParent_Done,
     /* 1076417 */   // Label 15857: @1076417
     /* 1076417 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1076494), // Rule ID 23545 //
     /* 1076422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1076433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1076436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1076439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076461 */     // MIs[0] policy
     /* 1076461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076493 */     // GIR_Coverage, 23545,
     /* 1076493 */     GIR_EraseRootFromParent_Done,
     /* 1076494 */   // Label 15858: @1076494
     /* 1076494 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1076571), // Rule ID 23548 //
     /* 1076499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076538 */     // MIs[0] policy
     /* 1076538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076570 */     // GIR_Coverage, 23548,
     /* 1076570 */     GIR_EraseRootFromParent_Done,
     /* 1076571 */   // Label 15859: @1076571
     /* 1076571 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1076648), // Rule ID 23549 //
     /* 1076576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076615 */     // MIs[0] policy
     /* 1076615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076647 */     // GIR_Coverage, 23549,
     /* 1076647 */     GIR_EraseRootFromParent_Done,
     /* 1076648 */   // Label 15860: @1076648
     /* 1076648 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1076725), // Rule ID 23552 //
     /* 1076653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076692 */     // MIs[0] policy
     /* 1076692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076724 */     // GIR_Coverage, 23552,
     /* 1076724 */     GIR_EraseRootFromParent_Done,
     /* 1076725 */   // Label 15861: @1076725
     /* 1076725 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1076802), // Rule ID 23553 //
     /* 1076730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076769 */     // MIs[0] policy
     /* 1076769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076801 */     // GIR_Coverage, 23553,
     /* 1076801 */     GIR_EraseRootFromParent_Done,
     /* 1076802 */   // Label 15862: @1076802
     /* 1076802 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1076879), // Rule ID 23556 //
     /* 1076807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076846 */     // MIs[0] policy
     /* 1076846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076856 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076878 */     // GIR_Coverage, 23556,
     /* 1076878 */     GIR_EraseRootFromParent_Done,
     /* 1076879 */   // Label 15863: @1076879
     /* 1076879 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076956), // Rule ID 23557 //
     /* 1076884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076923 */     // MIs[0] policy
     /* 1076923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076955 */     // GIR_Coverage, 23557,
     /* 1076955 */     GIR_EraseRootFromParent_Done,
     /* 1076956 */   // Label 15864: @1076956
     /* 1076956 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1077033), // Rule ID 23560 //
     /* 1076961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077000 */     // MIs[0] policy
     /* 1077000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077010 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077032 */     // GIR_Coverage, 23560,
     /* 1077032 */     GIR_EraseRootFromParent_Done,
     /* 1077033 */   // Label 15865: @1077033
     /* 1077033 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1077110), // Rule ID 23561 //
     /* 1077038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1077049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1077052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1077055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077077 */     // MIs[0] policy
     /* 1077077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077109 */     // GIR_Coverage, 23561,
     /* 1077109 */     GIR_EraseRootFromParent_Done,
     /* 1077110 */   // Label 15866: @1077110
     /* 1077110 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1077187), // Rule ID 23564 //
     /* 1077115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1077132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077154 */     // MIs[0] policy
     /* 1077154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077186 */     // GIR_Coverage, 23564,
     /* 1077186 */     GIR_EraseRootFromParent_Done,
     /* 1077187 */   // Label 15867: @1077187
     /* 1077187 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1077264), // Rule ID 23565 //
     /* 1077192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1077209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077231 */     // MIs[0] policy
     /* 1077231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077263 */     // GIR_Coverage, 23565,
     /* 1077263 */     GIR_EraseRootFromParent_Done,
     /* 1077264 */   // Label 15868: @1077264
     /* 1077264 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1077341), // Rule ID 23568 //
     /* 1077269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1077280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1077283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1077286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077308 */     // MIs[0] policy
     /* 1077308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077340 */     // GIR_Coverage, 23568,
     /* 1077340 */     GIR_EraseRootFromParent_Done,
     /* 1077341 */   // Label 15869: @1077341
     /* 1077341 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1077418), // Rule ID 23569 //
     /* 1077346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1077357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1077360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1077363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077385 */     // MIs[0] policy
     /* 1077385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077417 */     // GIR_Coverage, 23569,
     /* 1077417 */     GIR_EraseRootFromParent_Done,
     /* 1077418 */   // Label 15870: @1077418
     /* 1077418 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1077495), // Rule ID 23572 //
     /* 1077423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1077434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1077437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077462 */     // MIs[0] policy
     /* 1077462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077494 */     // GIR_Coverage, 23572,
     /* 1077494 */     GIR_EraseRootFromParent_Done,
     /* 1077495 */   // Label 15871: @1077495
     /* 1077495 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1077572), // Rule ID 23573 //
     /* 1077500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1077511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1077514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077539 */     // MIs[0] policy
     /* 1077539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077571 */     // GIR_Coverage, 23573,
     /* 1077571 */     GIR_EraseRootFromParent_Done,
     /* 1077572 */   // Label 15872: @1077572
     /* 1077572 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1077649), // Rule ID 23576 //
     /* 1077577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077616 */     // MIs[0] policy
     /* 1077616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077648 */     // GIR_Coverage, 23576,
     /* 1077648 */     GIR_EraseRootFromParent_Done,
     /* 1077649 */   // Label 15873: @1077649
     /* 1077649 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1077726), // Rule ID 23577 //
     /* 1077654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077693 */     // MIs[0] policy
     /* 1077693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077725 */     // GIR_Coverage, 23577,
     /* 1077725 */     GIR_EraseRootFromParent_Done,
     /* 1077726 */   // Label 15874: @1077726
     /* 1077726 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1077803), // Rule ID 23668 //
     /* 1077731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077770 */     // MIs[0] policy
     /* 1077770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077780 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077802 */     // GIR_Coverage, 23668,
     /* 1077802 */     GIR_EraseRootFromParent_Done,
     /* 1077803 */   // Label 15875: @1077803
     /* 1077803 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1077880), // Rule ID 23669 //
     /* 1077808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077847 */     // MIs[0] policy
     /* 1077847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077857 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077879 */     // GIR_Coverage, 23669,
     /* 1077879 */     GIR_EraseRootFromParent_Done,
     /* 1077880 */   // Label 15876: @1077880
     /* 1077880 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077957), // Rule ID 23672 //
     /* 1077885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077924 */     // MIs[0] policy
     /* 1077924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077956 */     // GIR_Coverage, 23672,
     /* 1077956 */     GIR_EraseRootFromParent_Done,
     /* 1077957 */   // Label 15877: @1077957
     /* 1077957 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1078034), // Rule ID 23673 //
     /* 1077962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078001 */     // MIs[0] policy
     /* 1078001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078011 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078033 */     // GIR_Coverage, 23673,
     /* 1078033 */     GIR_EraseRootFromParent_Done,
     /* 1078034 */   // Label 15878: @1078034
     /* 1078034 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1078111), // Rule ID 23676 //
     /* 1078039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078078 */     // MIs[0] policy
     /* 1078078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078110 */     // GIR_Coverage, 23676,
     /* 1078110 */     GIR_EraseRootFromParent_Done,
     /* 1078111 */   // Label 15879: @1078111
     /* 1078111 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1078188), // Rule ID 23677 //
     /* 1078116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078155 */     // MIs[0] policy
     /* 1078155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078165 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078187 */     // GIR_Coverage, 23677,
     /* 1078187 */     GIR_EraseRootFromParent_Done,
     /* 1078188 */   // Label 15880: @1078188
     /* 1078188 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1078265), // Rule ID 23680 //
     /* 1078193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1078204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1078207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078232 */     // MIs[0] policy
     /* 1078232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078264 */     // GIR_Coverage, 23680,
     /* 1078264 */     GIR_EraseRootFromParent_Done,
     /* 1078265 */   // Label 15881: @1078265
     /* 1078265 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1078342), // Rule ID 23681 //
     /* 1078270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1078281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1078284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078309 */     // MIs[0] policy
     /* 1078309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078341 */     // GIR_Coverage, 23681,
     /* 1078341 */     GIR_EraseRootFromParent_Done,
     /* 1078342 */   // Label 15882: @1078342
     /* 1078342 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1078419), // Rule ID 23684 //
     /* 1078347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1078358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1078361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1078364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078386 */     // MIs[0] policy
     /* 1078386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078418 */     // GIR_Coverage, 23684,
     /* 1078418 */     GIR_EraseRootFromParent_Done,
     /* 1078419 */   // Label 15883: @1078419
     /* 1078419 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1078496), // Rule ID 23685 //
     /* 1078424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1078435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1078438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1078441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078463 */     // MIs[0] policy
     /* 1078463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078495 */     // GIR_Coverage, 23685,
     /* 1078495 */     GIR_EraseRootFromParent_Done,
     /* 1078496 */   // Label 15884: @1078496
     /* 1078496 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1078573), // Rule ID 23688 //
     /* 1078501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078540 */     // MIs[0] policy
     /* 1078540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078572 */     // GIR_Coverage, 23688,
     /* 1078572 */     GIR_EraseRootFromParent_Done,
     /* 1078573 */   // Label 15885: @1078573
     /* 1078573 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1078650), // Rule ID 23689 //
     /* 1078578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078617 */     // MIs[0] policy
     /* 1078617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078649 */     // GIR_Coverage, 23689,
     /* 1078649 */     GIR_EraseRootFromParent_Done,
     /* 1078650 */   // Label 15886: @1078650
     /* 1078650 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1078727), // Rule ID 23692 //
     /* 1078655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078694 */     // MIs[0] policy
     /* 1078694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078726 */     // GIR_Coverage, 23692,
     /* 1078726 */     GIR_EraseRootFromParent_Done,
     /* 1078727 */   // Label 15887: @1078727
     /* 1078727 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1078804), // Rule ID 23693 //
     /* 1078732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078771 */     // MIs[0] policy
     /* 1078771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078781 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078803 */     // GIR_Coverage, 23693,
     /* 1078803 */     GIR_EraseRootFromParent_Done,
     /* 1078804 */   // Label 15888: @1078804
     /* 1078804 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1078881), // Rule ID 23696 //
     /* 1078809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078848 */     // MIs[0] policy
     /* 1078848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078880 */     // GIR_Coverage, 23696,
     /* 1078880 */     GIR_EraseRootFromParent_Done,
     /* 1078881 */   // Label 15889: @1078881
     /* 1078881 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078958), // Rule ID 23697 //
     /* 1078886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078925 */     // MIs[0] policy
     /* 1078925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078935 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078957 */     // GIR_Coverage, 23697,
     /* 1078957 */     GIR_EraseRootFromParent_Done,
     /* 1078958 */   // Label 15890: @1078958
     /* 1078958 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1079035), // Rule ID 23700 //
     /* 1078963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1078974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1078977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1078980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079002 */     // MIs[0] policy
     /* 1079002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079034 */     // GIR_Coverage, 23700,
     /* 1079034 */     GIR_EraseRootFromParent_Done,
     /* 1079035 */   // Label 15891: @1079035
     /* 1079035 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1079112), // Rule ID 23701 //
     /* 1079040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1079051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1079054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079079 */     // MIs[0] policy
     /* 1079079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079111 */     // GIR_Coverage, 23701,
     /* 1079111 */     GIR_EraseRootFromParent_Done,
     /* 1079112 */   // Label 15892: @1079112
     /* 1079112 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1079189), // Rule ID 23704 //
     /* 1079117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079156 */     // MIs[0] policy
     /* 1079156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079188 */     // GIR_Coverage, 23704,
     /* 1079188 */     GIR_EraseRootFromParent_Done,
     /* 1079189 */   // Label 15893: @1079189
     /* 1079189 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1079266), // Rule ID 23705 //
     /* 1079194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079233 */     // MIs[0] policy
     /* 1079233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079265 */     // GIR_Coverage, 23705,
     /* 1079265 */     GIR_EraseRootFromParent_Done,
     /* 1079266 */   // Label 15894: @1079266
     /* 1079266 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1079343), // Rule ID 23708 //
     /* 1079271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1079282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1079285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1079288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079310 */     // MIs[0] policy
     /* 1079310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079342 */     // GIR_Coverage, 23708,
     /* 1079342 */     GIR_EraseRootFromParent_Done,
     /* 1079343 */   // Label 15895: @1079343
     /* 1079343 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1079420), // Rule ID 23709 //
     /* 1079348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1079359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1079362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1079365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079387 */     // MIs[0] policy
     /* 1079387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079419 */     // GIR_Coverage, 23709,
     /* 1079419 */     GIR_EraseRootFromParent_Done,
     /* 1079420 */   // Label 15896: @1079420
     /* 1079420 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1079497), // Rule ID 23712 //
     /* 1079425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079464 */     // MIs[0] policy
     /* 1079464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079496 */     // GIR_Coverage, 23712,
     /* 1079496 */     GIR_EraseRootFromParent_Done,
     /* 1079497 */   // Label 15897: @1079497
     /* 1079497 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1079574), // Rule ID 23713 //
     /* 1079502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079541 */     // MIs[0] policy
     /* 1079541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079573 */     // GIR_Coverage, 23713,
     /* 1079573 */     GIR_EraseRootFromParent_Done,
     /* 1079574 */   // Label 15898: @1079574
     /* 1079574 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1079651), // Rule ID 23716 //
     /* 1079579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079618 */     // MIs[0] policy
     /* 1079618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079650 */     // GIR_Coverage, 23716,
     /* 1079650 */     GIR_EraseRootFromParent_Done,
     /* 1079651 */   // Label 15899: @1079651
     /* 1079651 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1079728), // Rule ID 23717 //
     /* 1079656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079695 */     // MIs[0] policy
     /* 1079695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079705 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079727 */     // GIR_Coverage, 23717,
     /* 1079727 */     GIR_EraseRootFromParent_Done,
     /* 1079728 */   // Label 15900: @1079728
     /* 1079728 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1079805), // Rule ID 23720 //
     /* 1079733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079772 */     // MIs[0] policy
     /* 1079772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079804 */     // GIR_Coverage, 23720,
     /* 1079804 */     GIR_EraseRootFromParent_Done,
     /* 1079805 */   // Label 15901: @1079805
     /* 1079805 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1079882), // Rule ID 23721 //
     /* 1079810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079849 */     // MIs[0] policy
     /* 1079849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079881 */     // GIR_Coverage, 23721,
     /* 1079881 */     GIR_EraseRootFromParent_Done,
     /* 1079882 */   // Label 15902: @1079882
     /* 1079882 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079959), // Rule ID 23724 //
     /* 1079887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079926 */     // MIs[0] policy
     /* 1079926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079958 */     // GIR_Coverage, 23724,
     /* 1079958 */     GIR_EraseRootFromParent_Done,
     /* 1079959 */   // Label 15903: @1079959
     /* 1079959 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1080036), // Rule ID 23725 //
     /* 1079964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080003 */     // MIs[0] policy
     /* 1080003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080013 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080035 */     // GIR_Coverage, 23725,
     /* 1080035 */     GIR_EraseRootFromParent_Done,
     /* 1080036 */   // Label 15904: @1080036
     /* 1080036 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1080113), // Rule ID 23728 //
     /* 1080041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080080 */     // MIs[0] policy
     /* 1080080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080112 */     // GIR_Coverage, 23728,
     /* 1080112 */     GIR_EraseRootFromParent_Done,
     /* 1080113 */   // Label 15905: @1080113
     /* 1080113 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1080190), // Rule ID 23729 //
     /* 1080118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080157 */     // MIs[0] policy
     /* 1080157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080167 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080189 */     // GIR_Coverage, 23729,
     /* 1080189 */     GIR_EraseRootFromParent_Done,
     /* 1080190 */   // Label 15906: @1080190
     /* 1080190 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1080267), // Rule ID 23732 //
     /* 1080195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080234 */     // MIs[0] policy
     /* 1080234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080266 */     // GIR_Coverage, 23732,
     /* 1080266 */     GIR_EraseRootFromParent_Done,
     /* 1080267 */   // Label 15907: @1080267
     /* 1080267 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1080344), // Rule ID 23733 //
     /* 1080272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080311 */     // MIs[0] policy
     /* 1080311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080343 */     // GIR_Coverage, 23733,
     /* 1080343 */     GIR_EraseRootFromParent_Done,
     /* 1080344 */   // Label 15908: @1080344
     /* 1080344 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1080421), // Rule ID 23736 //
     /* 1080349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1080360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1080363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080388 */     // MIs[0] policy
     /* 1080388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080420 */     // GIR_Coverage, 23736,
     /* 1080420 */     GIR_EraseRootFromParent_Done,
     /* 1080421 */   // Label 15909: @1080421
     /* 1080421 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1080498), // Rule ID 23737 //
     /* 1080426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1080437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1080440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080465 */     // MIs[0] policy
     /* 1080465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080497 */     // GIR_Coverage, 23737,
     /* 1080497 */     GIR_EraseRootFromParent_Done,
     /* 1080498 */   // Label 15910: @1080498
     /* 1080498 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1080575), // Rule ID 23740 //
     /* 1080503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080542 */     // MIs[0] policy
     /* 1080542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080574 */     // GIR_Coverage, 23740,
     /* 1080574 */     GIR_EraseRootFromParent_Done,
     /* 1080575 */   // Label 15911: @1080575
     /* 1080575 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1080652), // Rule ID 23741 //
     /* 1080580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080619 */     // MIs[0] policy
     /* 1080619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080629 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080651 */     // GIR_Coverage, 23741,
     /* 1080651 */     GIR_EraseRootFromParent_Done,
     /* 1080652 */   // Label 15912: @1080652
     /* 1080652 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1080729), // Rule ID 23744 //
     /* 1080657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080696 */     // MIs[0] policy
     /* 1080696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080728 */     // GIR_Coverage, 23744,
     /* 1080728 */     GIR_EraseRootFromParent_Done,
     /* 1080729 */   // Label 15913: @1080729
     /* 1080729 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1080806), // Rule ID 23745 //
     /* 1080734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080773 */     // MIs[0] policy
     /* 1080773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080805 */     // GIR_Coverage, 23745,
     /* 1080805 */     GIR_EraseRootFromParent_Done,
     /* 1080806 */   // Label 15914: @1080806
     /* 1080806 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1080883), // Rule ID 23748 //
     /* 1080811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080850 */     // MIs[0] policy
     /* 1080850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080860 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080882 */     // GIR_Coverage, 23748,
     /* 1080882 */     GIR_EraseRootFromParent_Done,
     /* 1080883 */   // Label 15915: @1080883
     /* 1080883 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080960), // Rule ID 23749 //
     /* 1080888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080927 */     // MIs[0] policy
     /* 1080927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080937 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080959 */     // GIR_Coverage, 23749,
     /* 1080959 */     GIR_EraseRootFromParent_Done,
     /* 1080960 */   // Label 15916: @1080960
     /* 1080960 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1081037), // Rule ID 23752 //
     /* 1080965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1080976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1080979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1080982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081004 */     // MIs[0] policy
     /* 1081004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081036 */     // GIR_Coverage, 23752,
     /* 1081036 */     GIR_EraseRootFromParent_Done,
     /* 1081037 */   // Label 15917: @1081037
     /* 1081037 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1081114), // Rule ID 23753 //
     /* 1081042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081081 */     // MIs[0] policy
     /* 1081081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081113 */     // GIR_Coverage, 23753,
     /* 1081113 */     GIR_EraseRootFromParent_Done,
     /* 1081114 */   // Label 15918: @1081114
     /* 1081114 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1081191), // Rule ID 24020 //
     /* 1081119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081158 */     // MIs[0] policy
     /* 1081158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081168 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1081171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081190 */     // GIR_Coverage, 24020,
     /* 1081190 */     GIR_EraseRootFromParent_Done,
     /* 1081191 */   // Label 15919: @1081191
     /* 1081191 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1081268), // Rule ID 24021 //
     /* 1081196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081235 */     // MIs[0] policy
     /* 1081235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081245 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1081248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081267 */     // GIR_Coverage, 24021,
     /* 1081267 */     GIR_EraseRootFromParent_Done,
     /* 1081268 */   // Label 15920: @1081268
     /* 1081268 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1081345), // Rule ID 24024 //
     /* 1081273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1081284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1081287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081312 */     // MIs[0] policy
     /* 1081312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081322 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081344 */     // GIR_Coverage, 24024,
     /* 1081344 */     GIR_EraseRootFromParent_Done,
     /* 1081345 */   // Label 15921: @1081345
     /* 1081345 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1081422), // Rule ID 24025 //
     /* 1081350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1081361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1081364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081389 */     // MIs[0] policy
     /* 1081389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081399 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081421 */     // GIR_Coverage, 24025,
     /* 1081421 */     GIR_EraseRootFromParent_Done,
     /* 1081422 */   // Label 15922: @1081422
     /* 1081422 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1081499), // Rule ID 24028 //
     /* 1081427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1081438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081466 */     // MIs[0] policy
     /* 1081466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081476 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081498 */     // GIR_Coverage, 24028,
     /* 1081498 */     GIR_EraseRootFromParent_Done,
     /* 1081499 */   // Label 15923: @1081499
     /* 1081499 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1081576), // Rule ID 24029 //
     /* 1081504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1081515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081543 */     // MIs[0] policy
     /* 1081543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081553 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081575 */     // GIR_Coverage, 24029,
     /* 1081575 */     GIR_EraseRootFromParent_Done,
     /* 1081576 */   // Label 15924: @1081576
     /* 1081576 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1081653), // Rule ID 24032 //
     /* 1081581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081620 */     // MIs[0] policy
     /* 1081620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081630 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081652 */     // GIR_Coverage, 24032,
     /* 1081652 */     GIR_EraseRootFromParent_Done,
     /* 1081653 */   // Label 15925: @1081653
     /* 1081653 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1081730), // Rule ID 24033 //
     /* 1081658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081697 */     // MIs[0] policy
     /* 1081697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081707 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081729 */     // GIR_Coverage, 24033,
     /* 1081729 */     GIR_EraseRootFromParent_Done,
     /* 1081730 */   // Label 15926: @1081730
     /* 1081730 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1081807), // Rule ID 24036 //
     /* 1081735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081774 */     // MIs[0] policy
     /* 1081774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081806 */     // GIR_Coverage, 24036,
     /* 1081806 */     GIR_EraseRootFromParent_Done,
     /* 1081807 */   // Label 15927: @1081807
     /* 1081807 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1081884), // Rule ID 24037 //
     /* 1081812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081851 */     // MIs[0] policy
     /* 1081851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081861 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081883 */     // GIR_Coverage, 24037,
     /* 1081883 */     GIR_EraseRootFromParent_Done,
     /* 1081884 */   // Label 15928: @1081884
     /* 1081884 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081961), // Rule ID 24040 //
     /* 1081889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1081892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081928 */     // MIs[0] policy
     /* 1081928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081938 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081960 */     // GIR_Coverage, 24040,
     /* 1081960 */     GIR_EraseRootFromParent_Done,
     /* 1081961 */   // Label 15929: @1081961
     /* 1081961 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1082038), // Rule ID 24041 //
     /* 1081966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1081969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082005 */     // MIs[0] policy
     /* 1082005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082015 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082037 */     // GIR_Coverage, 24041,
     /* 1082037 */     GIR_EraseRootFromParent_Done,
     /* 1082038 */   // Label 15930: @1082038
     /* 1082038 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1082115), // Rule ID 24044 //
     /* 1082043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082082 */     // MIs[0] policy
     /* 1082082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082114 */     // GIR_Coverage, 24044,
     /* 1082114 */     GIR_EraseRootFromParent_Done,
     /* 1082115 */   // Label 15931: @1082115
     /* 1082115 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1082192), // Rule ID 24045 //
     /* 1082120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082159 */     // MIs[0] policy
     /* 1082159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082169 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082191 */     // GIR_Coverage, 24045,
     /* 1082191 */     GIR_EraseRootFromParent_Done,
     /* 1082192 */   // Label 15932: @1082192
     /* 1082192 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1082269), // Rule ID 24048 //
     /* 1082197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082236 */     // MIs[0] policy
     /* 1082236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082246 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082268 */     // GIR_Coverage, 24048,
     /* 1082268 */     GIR_EraseRootFromParent_Done,
     /* 1082269 */   // Label 15933: @1082269
     /* 1082269 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1082346), // Rule ID 24049 //
     /* 1082274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082313 */     // MIs[0] policy
     /* 1082313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082345 */     // GIR_Coverage, 24049,
     /* 1082345 */     GIR_EraseRootFromParent_Done,
     /* 1082346 */   // Label 15934: @1082346
     /* 1082346 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1082423), // Rule ID 24052 //
     /* 1082351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1082362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1082365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082390 */     // MIs[0] policy
     /* 1082390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082400 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082422 */     // GIR_Coverage, 24052,
     /* 1082422 */     GIR_EraseRootFromParent_Done,
     /* 1082423 */   // Label 15935: @1082423
     /* 1082423 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1082500), // Rule ID 24053 //
     /* 1082428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1082439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1082442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082467 */     // MIs[0] policy
     /* 1082467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082477 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082499 */     // GIR_Coverage, 24053,
     /* 1082499 */     GIR_EraseRootFromParent_Done,
     /* 1082500 */   // Label 15936: @1082500
     /* 1082500 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1082577), // Rule ID 24056 //
     /* 1082505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082544 */     // MIs[0] policy
     /* 1082544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082554 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082576 */     // GIR_Coverage, 24056,
     /* 1082576 */     GIR_EraseRootFromParent_Done,
     /* 1082577 */   // Label 15937: @1082577
     /* 1082577 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1082654), // Rule ID 24057 //
     /* 1082582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082621 */     // MIs[0] policy
     /* 1082621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082631 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082653 */     // GIR_Coverage, 24057,
     /* 1082653 */     GIR_EraseRootFromParent_Done,
     /* 1082654 */   // Label 15938: @1082654
     /* 1082654 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1082731), // Rule ID 24060 //
     /* 1082659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082698 */     // MIs[0] policy
     /* 1082698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082730 */     // GIR_Coverage, 24060,
     /* 1082730 */     GIR_EraseRootFromParent_Done,
     /* 1082731 */   // Label 15939: @1082731
     /* 1082731 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1082808), // Rule ID 24061 //
     /* 1082736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082775 */     // MIs[0] policy
     /* 1082775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082785 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082807 */     // GIR_Coverage, 24061,
     /* 1082807 */     GIR_EraseRootFromParent_Done,
     /* 1082808 */   // Label 15940: @1082808
     /* 1082808 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1082885), // Rule ID 24064 //
     /* 1082813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082852 */     // MIs[0] policy
     /* 1082852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082862 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082884 */     // GIR_Coverage, 24064,
     /* 1082884 */     GIR_EraseRootFromParent_Done,
     /* 1082885 */   // Label 15941: @1082885
     /* 1082885 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082962), // Rule ID 24065 //
     /* 1082890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082929 */     // MIs[0] policy
     /* 1082929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082939 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082961 */     // GIR_Coverage, 24065,
     /* 1082961 */     GIR_EraseRootFromParent_Done,
     /* 1082962 */   // Label 15942: @1082962
     /* 1082962 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1083039), // Rule ID 24068 //
     /* 1082967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083006 */     // MIs[0] policy
     /* 1083006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083038 */     // GIR_Coverage, 24068,
     /* 1083038 */     GIR_EraseRootFromParent_Done,
     /* 1083039 */   // Label 15943: @1083039
     /* 1083039 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1083116), // Rule ID 24069 //
     /* 1083044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1083055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1083058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083083 */     // MIs[0] policy
     /* 1083083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083093 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083115 */     // GIR_Coverage, 24069,
     /* 1083115 */     GIR_EraseRootFromParent_Done,
     /* 1083116 */   // Label 15944: @1083116
     /* 1083116 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1083193), // Rule ID 24072 //
     /* 1083121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083160 */     // MIs[0] policy
     /* 1083160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083170 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083192 */     // GIR_Coverage, 24072,
     /* 1083192 */     GIR_EraseRootFromParent_Done,
     /* 1083193 */   // Label 15945: @1083193
     /* 1083193 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1083270), // Rule ID 24073 //
     /* 1083198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083237 */     // MIs[0] policy
     /* 1083237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083247 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083269 */     // GIR_Coverage, 24073,
     /* 1083269 */     GIR_EraseRootFromParent_Done,
     /* 1083270 */   // Label 15946: @1083270
     /* 1083270 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1083347), // Rule ID 24076 //
     /* 1083275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1083286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1083289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083314 */     // MIs[0] policy
     /* 1083314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083324 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083346 */     // GIR_Coverage, 24076,
     /* 1083346 */     GIR_EraseRootFromParent_Done,
     /* 1083347 */   // Label 15947: @1083347
     /* 1083347 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1083424), // Rule ID 24077 //
     /* 1083352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1083363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1083366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083391 */     // MIs[0] policy
     /* 1083391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083401 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083423 */     // GIR_Coverage, 24077,
     /* 1083423 */     GIR_EraseRootFromParent_Done,
     /* 1083424 */   // Label 15948: @1083424
     /* 1083424 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1083501), // Rule ID 24140 //
     /* 1083429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083468 */     // MIs[0] policy
     /* 1083468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083478 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083500 */     // GIR_Coverage, 24140,
     /* 1083500 */     GIR_EraseRootFromParent_Done,
     /* 1083501 */   // Label 15949: @1083501
     /* 1083501 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1083578), // Rule ID 24141 //
     /* 1083506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083545 */     // MIs[0] policy
     /* 1083545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083555 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083577 */     // GIR_Coverage, 24141,
     /* 1083577 */     GIR_EraseRootFromParent_Done,
     /* 1083578 */   // Label 15950: @1083578
     /* 1083578 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1083655), // Rule ID 24144 //
     /* 1083583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083622 */     // MIs[0] policy
     /* 1083622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083632 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083654 */     // GIR_Coverage, 24144,
     /* 1083654 */     GIR_EraseRootFromParent_Done,
     /* 1083655 */   // Label 15951: @1083655
     /* 1083655 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1083732), // Rule ID 24145 //
     /* 1083660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083699 */     // MIs[0] policy
     /* 1083699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083709 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083731 */     // GIR_Coverage, 24145,
     /* 1083731 */     GIR_EraseRootFromParent_Done,
     /* 1083732 */   // Label 15952: @1083732
     /* 1083732 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1083809), // Rule ID 24148 //
     /* 1083737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083776 */     // MIs[0] policy
     /* 1083776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083786 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083808 */     // GIR_Coverage, 24148,
     /* 1083808 */     GIR_EraseRootFromParent_Done,
     /* 1083809 */   // Label 15953: @1083809
     /* 1083809 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1083886), // Rule ID 24149 //
     /* 1083814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083853 */     // MIs[0] policy
     /* 1083853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083863 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083885 */     // GIR_Coverage, 24149,
     /* 1083885 */     GIR_EraseRootFromParent_Done,
     /* 1083886 */   // Label 15954: @1083886
     /* 1083886 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083963), // Rule ID 24152 //
     /* 1083891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083930 */     // MIs[0] policy
     /* 1083930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083962 */     // GIR_Coverage, 24152,
     /* 1083962 */     GIR_EraseRootFromParent_Done,
     /* 1083963 */   // Label 15955: @1083963
     /* 1083963 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1084040), // Rule ID 24153 //
     /* 1083968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084007 */     // MIs[0] policy
     /* 1084007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084017 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084039 */     // GIR_Coverage, 24153,
     /* 1084039 */     GIR_EraseRootFromParent_Done,
     /* 1084040 */   // Label 15956: @1084040
     /* 1084040 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1084117), // Rule ID 24156 //
     /* 1084045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084084 */     // MIs[0] policy
     /* 1084084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084094 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084116 */     // GIR_Coverage, 24156,
     /* 1084116 */     GIR_EraseRootFromParent_Done,
     /* 1084117 */   // Label 15957: @1084117
     /* 1084117 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1084194), // Rule ID 24157 //
     /* 1084122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084161 */     // MIs[0] policy
     /* 1084161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084171 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084193 */     // GIR_Coverage, 24157,
     /* 1084193 */     GIR_EraseRootFromParent_Done,
     /* 1084194 */   // Label 15958: @1084194
     /* 1084194 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1084271), // Rule ID 24160 //
     /* 1084199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1084202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084238 */     // MIs[0] policy
     /* 1084238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084270 */     // GIR_Coverage, 24160,
     /* 1084270 */     GIR_EraseRootFromParent_Done,
     /* 1084271 */   // Label 15959: @1084271
     /* 1084271 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1084348), // Rule ID 24161 //
     /* 1084276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1084279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084315 */     // MIs[0] policy
     /* 1084315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084325 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084347 */     // GIR_Coverage, 24161,
     /* 1084347 */     GIR_EraseRootFromParent_Done,
     /* 1084348 */   // Label 15960: @1084348
     /* 1084348 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1084425), // Rule ID 24164 //
     /* 1084353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084392 */     // MIs[0] policy
     /* 1084392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084402 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084424 */     // GIR_Coverage, 24164,
     /* 1084424 */     GIR_EraseRootFromParent_Done,
     /* 1084425 */   // Label 15961: @1084425
     /* 1084425 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1084502), // Rule ID 24165 //
     /* 1084430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084469 */     // MIs[0] policy
     /* 1084469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084479 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084501 */     // GIR_Coverage, 24165,
     /* 1084501 */     GIR_EraseRootFromParent_Done,
     /* 1084502 */   // Label 15962: @1084502
     /* 1084502 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1084579), // Rule ID 24168 //
     /* 1084507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084546 */     // MIs[0] policy
     /* 1084546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084556 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084578 */     // GIR_Coverage, 24168,
     /* 1084578 */     GIR_EraseRootFromParent_Done,
     /* 1084579 */   // Label 15963: @1084579
     /* 1084579 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1084656), // Rule ID 24169 //
     /* 1084584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084623 */     // MIs[0] policy
     /* 1084623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084633 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084655 */     // GIR_Coverage, 24169,
     /* 1084655 */     GIR_EraseRootFromParent_Done,
     /* 1084656 */   // Label 15964: @1084656
     /* 1084656 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1084733), // Rule ID 24172 //
     /* 1084661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084700 */     // MIs[0] policy
     /* 1084700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084710 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084732 */     // GIR_Coverage, 24172,
     /* 1084732 */     GIR_EraseRootFromParent_Done,
     /* 1084733 */   // Label 15965: @1084733
     /* 1084733 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1084810), // Rule ID 24173 //
     /* 1084738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084777 */     // MIs[0] policy
     /* 1084777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084809 */     // GIR_Coverage, 24173,
     /* 1084809 */     GIR_EraseRootFromParent_Done,
     /* 1084810 */   // Label 15966: @1084810
     /* 1084810 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1084887), // Rule ID 24176 //
     /* 1084815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084854 */     // MIs[0] policy
     /* 1084854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084864 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084886 */     // GIR_Coverage, 24176,
     /* 1084886 */     GIR_EraseRootFromParent_Done,
     /* 1084887 */   // Label 15967: @1084887
     /* 1084887 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084964), // Rule ID 24177 //
     /* 1084892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084931 */     // MIs[0] policy
     /* 1084931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084941 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084963 */     // GIR_Coverage, 24177,
     /* 1084963 */     GIR_EraseRootFromParent_Done,
     /* 1084964 */   // Label 15968: @1084964
     /* 1084964 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1085041), // Rule ID 24180 //
     /* 1084969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085008 */     // MIs[0] policy
     /* 1085008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085018 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085040 */     // GIR_Coverage, 24180,
     /* 1085040 */     GIR_EraseRootFromParent_Done,
     /* 1085041 */   // Label 15969: @1085041
     /* 1085041 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1085118), // Rule ID 24181 //
     /* 1085046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1085049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085085 */     // MIs[0] policy
     /* 1085085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085095 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085117 */     // GIR_Coverage, 24181,
     /* 1085117 */     GIR_EraseRootFromParent_Done,
     /* 1085118 */   // Label 15970: @1085118
     /* 1085118 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1085195), // Rule ID 24184 //
     /* 1085123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1085126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085162 */     // MIs[0] policy
     /* 1085162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085194 */     // GIR_Coverage, 24184,
     /* 1085194 */     GIR_EraseRootFromParent_Done,
     /* 1085195 */   // Label 15971: @1085195
     /* 1085195 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1085272), // Rule ID 24185 //
     /* 1085200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1085203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085239 */     // MIs[0] policy
     /* 1085239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085249 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085271 */     // GIR_Coverage, 24185,
     /* 1085271 */     GIR_EraseRootFromParent_Done,
     /* 1085272 */   // Label 15972: @1085272
     /* 1085272 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1085349), // Rule ID 24188 //
     /* 1085277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085316 */     // MIs[0] policy
     /* 1085316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085326 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085348 */     // GIR_Coverage, 24188,
     /* 1085348 */     GIR_EraseRootFromParent_Done,
     /* 1085349 */   // Label 15973: @1085349
     /* 1085349 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1085426), // Rule ID 24189 //
     /* 1085354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085393 */     // MIs[0] policy
     /* 1085393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085403 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085425 */     // GIR_Coverage, 24189,
     /* 1085425 */     GIR_EraseRootFromParent_Done,
     /* 1085426 */   // Label 15974: @1085426
     /* 1085426 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1085503), // Rule ID 24192 //
     /* 1085431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085470 */     // MIs[0] policy
     /* 1085470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085480 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085502 */     // GIR_Coverage, 24192,
     /* 1085502 */     GIR_EraseRootFromParent_Done,
     /* 1085503 */   // Label 15975: @1085503
     /* 1085503 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1085580), // Rule ID 24193 //
     /* 1085508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085547 */     // MIs[0] policy
     /* 1085547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085557 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085579 */     // GIR_Coverage, 24193,
     /* 1085579 */     GIR_EraseRootFromParent_Done,
     /* 1085580 */   // Label 15976: @1085580
     /* 1085580 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1085657), // Rule ID 24196 //
     /* 1085585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085624 */     // MIs[0] policy
     /* 1085624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085634 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085656 */     // GIR_Coverage, 24196,
     /* 1085656 */     GIR_EraseRootFromParent_Done,
     /* 1085657 */   // Label 15977: @1085657
     /* 1085657 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1085734), // Rule ID 24197 //
     /* 1085662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085701 */     // MIs[0] policy
     /* 1085701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085711 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085733 */     // GIR_Coverage, 24197,
     /* 1085733 */     GIR_EraseRootFromParent_Done,
     /* 1085734 */   // Label 15978: @1085734
     /* 1085734 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1085811), // Rule ID 60480 //
     /* 1085739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1085742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085778 */     // MIs[0] policy
     /* 1085778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085788 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085810 */     // GIR_Coverage, 60480,
     /* 1085810 */     GIR_EraseRootFromParent_Done,
     /* 1085811 */   // Label 15979: @1085811
     /* 1085811 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1085888), // Rule ID 60481 //
     /* 1085816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1085819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085855 */     // MIs[0] policy
     /* 1085855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085887 */     // GIR_Coverage, 60481,
     /* 1085887 */     GIR_EraseRootFromParent_Done,
     /* 1085888 */   // Label 15980: @1085888
     /* 1085888 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085965), // Rule ID 60494 //
     /* 1085893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085932 */     // MIs[0] policy
     /* 1085932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1085945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085964 */     // GIR_Coverage, 60494,
     /* 1085964 */     GIR_EraseRootFromParent_Done,
     /* 1085965 */   // Label 15981: @1085965
     /* 1085965 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1086042), // Rule ID 60495 //
     /* 1085970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086009 */     // MIs[0] policy
     /* 1086009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086019 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1086022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086041 */     // GIR_Coverage, 60495,
     /* 1086041 */     GIR_EraseRootFromParent_Done,
     /* 1086042 */   // Label 15982: @1086042
     /* 1086042 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1086119), // Rule ID 60498 //
     /* 1086047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086086 */     // MIs[0] policy
     /* 1086086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086118 */     // GIR_Coverage, 60498,
     /* 1086118 */     GIR_EraseRootFromParent_Done,
     /* 1086119 */   // Label 15983: @1086119
     /* 1086119 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1086196), // Rule ID 60499 //
     /* 1086124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086163 */     // MIs[0] policy
     /* 1086163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086195 */     // GIR_Coverage, 60499,
     /* 1086195 */     GIR_EraseRootFromParent_Done,
     /* 1086196 */   // Label 15984: @1086196
     /* 1086196 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1086273), // Rule ID 60502 //
     /* 1086201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086240 */     // MIs[0] policy
     /* 1086240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086272 */     // GIR_Coverage, 60502,
     /* 1086272 */     GIR_EraseRootFromParent_Done,
     /* 1086273 */   // Label 15985: @1086273
     /* 1086273 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1086350), // Rule ID 60503 //
     /* 1086278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086317 */     // MIs[0] policy
     /* 1086317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086327 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086349 */     // GIR_Coverage, 60503,
     /* 1086349 */     GIR_EraseRootFromParent_Done,
     /* 1086350 */   // Label 15986: @1086350
     /* 1086350 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1086427), // Rule ID 60506 //
     /* 1086355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086394 */     // MIs[0] policy
     /* 1086394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086426 */     // GIR_Coverage, 60506,
     /* 1086426 */     GIR_EraseRootFromParent_Done,
     /* 1086427 */   // Label 15987: @1086427
     /* 1086427 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1086504), // Rule ID 60507 //
     /* 1086432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086471 */     // MIs[0] policy
     /* 1086471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086481 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086503 */     // GIR_Coverage, 60507,
     /* 1086503 */     GIR_EraseRootFromParent_Done,
     /* 1086504 */   // Label 15988: @1086504
     /* 1086504 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1086581), // Rule ID 60510 //
     /* 1086509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086548 */     // MIs[0] policy
     /* 1086548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086580 */     // GIR_Coverage, 60510,
     /* 1086580 */     GIR_EraseRootFromParent_Done,
     /* 1086581 */   // Label 15989: @1086581
     /* 1086581 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1086658), // Rule ID 60511 //
     /* 1086586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086625 */     // MIs[0] policy
     /* 1086625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086657 */     // GIR_Coverage, 60511,
     /* 1086657 */     GIR_EraseRootFromParent_Done,
     /* 1086658 */   // Label 15990: @1086658
     /* 1086658 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1086735), // Rule ID 60514 //
     /* 1086663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086702 */     // MIs[0] policy
     /* 1086702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086734 */     // GIR_Coverage, 60514,
     /* 1086734 */     GIR_EraseRootFromParent_Done,
     /* 1086735 */   // Label 15991: @1086735
     /* 1086735 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1086812), // Rule ID 60515 //
     /* 1086740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086779 */     // MIs[0] policy
     /* 1086779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086811 */     // GIR_Coverage, 60515,
     /* 1086811 */     GIR_EraseRootFromParent_Done,
     /* 1086812 */   // Label 15992: @1086812
     /* 1086812 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1086889), // Rule ID 60518 //
     /* 1086817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086856 */     // MIs[0] policy
     /* 1086856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086888 */     // GIR_Coverage, 60518,
     /* 1086888 */     GIR_EraseRootFromParent_Done,
     /* 1086889 */   // Label 15993: @1086889
     /* 1086889 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086966), // Rule ID 60519 //
     /* 1086894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086933 */     // MIs[0] policy
     /* 1086933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086943 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086965 */     // GIR_Coverage, 60519,
     /* 1086965 */     GIR_EraseRootFromParent_Done,
     /* 1086966 */   // Label 15994: @1086966
     /* 1086966 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1087043), // Rule ID 60522 //
     /* 1086971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087010 */     // MIs[0] policy
     /* 1087010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087042 */     // GIR_Coverage, 60522,
     /* 1087042 */     GIR_EraseRootFromParent_Done,
     /* 1087043 */   // Label 15995: @1087043
     /* 1087043 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1087120), // Rule ID 60523 //
     /* 1087048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087087 */     // MIs[0] policy
     /* 1087087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087119 */     // GIR_Coverage, 60523,
     /* 1087119 */     GIR_EraseRootFromParent_Done,
     /* 1087120 */   // Label 15996: @1087120
     /* 1087120 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1087197), // Rule ID 60526 //
     /* 1087125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087164 */     // MIs[0] policy
     /* 1087164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087196 */     // GIR_Coverage, 60526,
     /* 1087196 */     GIR_EraseRootFromParent_Done,
     /* 1087197 */   // Label 15997: @1087197
     /* 1087197 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1087274), // Rule ID 60527 //
     /* 1087202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087241 */     // MIs[0] policy
     /* 1087241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087273 */     // GIR_Coverage, 60527,
     /* 1087273 */     GIR_EraseRootFromParent_Done,
     /* 1087274 */   // Label 15998: @1087274
     /* 1087274 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1087351), // Rule ID 60530 //
     /* 1087279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1087290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1087293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1087296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087318 */     // MIs[0] policy
     /* 1087318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087350 */     // GIR_Coverage, 60530,
     /* 1087350 */     GIR_EraseRootFromParent_Done,
     /* 1087351 */   // Label 15999: @1087351
     /* 1087351 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1087428), // Rule ID 60531 //
     /* 1087356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1087367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1087370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1087373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087395 */     // MIs[0] policy
     /* 1087395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087427 */     // GIR_Coverage, 60531,
     /* 1087427 */     GIR_EraseRootFromParent_Done,
     /* 1087428 */   // Label 16000: @1087428
     /* 1087428 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1087505), // Rule ID 60534 //
     /* 1087433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087472 */     // MIs[0] policy
     /* 1087472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087504 */     // GIR_Coverage, 60534,
     /* 1087504 */     GIR_EraseRootFromParent_Done,
     /* 1087505 */   // Label 16001: @1087505
     /* 1087505 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1087582), // Rule ID 60535 //
     /* 1087510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087549 */     // MIs[0] policy
     /* 1087549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087581 */     // GIR_Coverage, 60535,
     /* 1087581 */     GIR_EraseRootFromParent_Done,
     /* 1087582 */   // Label 16002: @1087582
     /* 1087582 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1087659), // Rule ID 60538 //
     /* 1087587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087626 */     // MIs[0] policy
     /* 1087626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087658 */     // GIR_Coverage, 60538,
     /* 1087658 */     GIR_EraseRootFromParent_Done,
     /* 1087659 */   // Label 16003: @1087659
     /* 1087659 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1087736), // Rule ID 60539 //
     /* 1087664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087703 */     // MIs[0] policy
     /* 1087703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087713 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087735 */     // GIR_Coverage, 60539,
     /* 1087735 */     GIR_EraseRootFromParent_Done,
     /* 1087736 */   // Label 16004: @1087736
     /* 1087736 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1087813), // Rule ID 60542 //
     /* 1087741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087780 */     // MIs[0] policy
     /* 1087780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087812 */     // GIR_Coverage, 60542,
     /* 1087812 */     GIR_EraseRootFromParent_Done,
     /* 1087813 */   // Label 16005: @1087813
     /* 1087813 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1087890), // Rule ID 60543 //
     /* 1087818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087857 */     // MIs[0] policy
     /* 1087857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087889 */     // GIR_Coverage, 60543,
     /* 1087889 */     GIR_EraseRootFromParent_Done,
     /* 1087890 */   // Label 16006: @1087890
     /* 1087890 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087967), // Rule ID 60546 //
     /* 1087895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087934 */     // MIs[0] policy
     /* 1087934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087966 */     // GIR_Coverage, 60546,
     /* 1087966 */     GIR_EraseRootFromParent_Done,
     /* 1087967 */   // Label 16007: @1087967
     /* 1087967 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1088044), // Rule ID 60547 //
     /* 1087972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088011 */     // MIs[0] policy
     /* 1088011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088043 */     // GIR_Coverage, 60547,
     /* 1088043 */     GIR_EraseRootFromParent_Done,
     /* 1088044 */   // Label 16008: @1088044
     /* 1088044 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1088121), // Rule ID 60550 //
     /* 1088049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088088 */     // MIs[0] policy
     /* 1088088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088120 */     // GIR_Coverage, 60550,
     /* 1088120 */     GIR_EraseRootFromParent_Done,
     /* 1088121 */   // Label 16009: @1088121
     /* 1088121 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1088198), // Rule ID 60551 //
     /* 1088126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088165 */     // MIs[0] policy
     /* 1088165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088197 */     // GIR_Coverage, 60551,
     /* 1088197 */     GIR_EraseRootFromParent_Done,
     /* 1088198 */   // Label 16010: @1088198
     /* 1088198 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1088275), // Rule ID 60554 //
     /* 1088203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088242 */     // MIs[0] policy
     /* 1088242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088274 */     // GIR_Coverage, 60554,
     /* 1088274 */     GIR_EraseRootFromParent_Done,
     /* 1088275 */   // Label 16011: @1088275
     /* 1088275 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1088352), // Rule ID 60555 //
     /* 1088280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088319 */     // MIs[0] policy
     /* 1088319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088351 */     // GIR_Coverage, 60555,
     /* 1088351 */     GIR_EraseRootFromParent_Done,
     /* 1088352 */   // Label 16012: @1088352
     /* 1088352 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1088429), // Rule ID 60558 //
     /* 1088357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088396 */     // MIs[0] policy
     /* 1088396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088428 */     // GIR_Coverage, 60558,
     /* 1088428 */     GIR_EraseRootFromParent_Done,
     /* 1088429 */   // Label 16013: @1088429
     /* 1088429 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1088506), // Rule ID 60559 //
     /* 1088434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088473 */     // MIs[0] policy
     /* 1088473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088505 */     // GIR_Coverage, 60559,
     /* 1088505 */     GIR_EraseRootFromParent_Done,
     /* 1088506 */   // Label 16014: @1088506
     /* 1088506 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1088583), // Rule ID 60562 //
     /* 1088511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088550 */     // MIs[0] policy
     /* 1088550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088582 */     // GIR_Coverage, 60562,
     /* 1088582 */     GIR_EraseRootFromParent_Done,
     /* 1088583 */   // Label 16015: @1088583
     /* 1088583 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1088660), // Rule ID 60563 //
     /* 1088588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088627 */     // MIs[0] policy
     /* 1088627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088637 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088659 */     // GIR_Coverage, 60563,
     /* 1088659 */     GIR_EraseRootFromParent_Done,
     /* 1088660 */   // Label 16016: @1088660
     /* 1088660 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1088737), // Rule ID 60566 //
     /* 1088665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088704 */     // MIs[0] policy
     /* 1088704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088736 */     // GIR_Coverage, 60566,
     /* 1088736 */     GIR_EraseRootFromParent_Done,
     /* 1088737 */   // Label 16017: @1088737
     /* 1088737 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1088814), // Rule ID 60567 //
     /* 1088742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088781 */     // MIs[0] policy
     /* 1088781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088813 */     // GIR_Coverage, 60567,
     /* 1088813 */     GIR_EraseRootFromParent_Done,
     /* 1088814 */   // Label 16018: @1088814
     /* 1088814 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1088891), // Rule ID 60570 //
     /* 1088819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088858 */     // MIs[0] policy
     /* 1088858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088890 */     // GIR_Coverage, 60570,
     /* 1088890 */     GIR_EraseRootFromParent_Done,
     /* 1088891 */   // Label 16019: @1088891
     /* 1088891 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088968), // Rule ID 60571 //
     /* 1088896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088935 */     // MIs[0] policy
     /* 1088935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088967 */     // GIR_Coverage, 60571,
     /* 1088967 */     GIR_EraseRootFromParent_Done,
     /* 1088968 */   // Label 16020: @1088968
     /* 1088968 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1089045), // Rule ID 60574 //
     /* 1088973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1088984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1088987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089012 */     // MIs[0] policy
     /* 1089012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089044 */     // GIR_Coverage, 60574,
     /* 1089044 */     GIR_EraseRootFromParent_Done,
     /* 1089045 */   // Label 16021: @1089045
     /* 1089045 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1089122), // Rule ID 60575 //
     /* 1089050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089089 */     // MIs[0] policy
     /* 1089089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089121 */     // GIR_Coverage, 60575,
     /* 1089121 */     GIR_EraseRootFromParent_Done,
     /* 1089122 */   // Label 16022: @1089122
     /* 1089122 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1089199), // Rule ID 60578 //
     /* 1089127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089166 */     // MIs[0] policy
     /* 1089166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089198 */     // GIR_Coverage, 60578,
     /* 1089198 */     GIR_EraseRootFromParent_Done,
     /* 1089199 */   // Label 16023: @1089199
     /* 1089199 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1089276), // Rule ID 60579 //
     /* 1089204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089243 */     // MIs[0] policy
     /* 1089243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089275 */     // GIR_Coverage, 60579,
     /* 1089275 */     GIR_EraseRootFromParent_Done,
     /* 1089276 */   // Label 16024: @1089276
     /* 1089276 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1089353), // Rule ID 60582 //
     /* 1089281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1089292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1089295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1089298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089320 */     // MIs[0] policy
     /* 1089320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1089333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089352 */     // GIR_Coverage, 60582,
     /* 1089352 */     GIR_EraseRootFromParent_Done,
     /* 1089353 */   // Label 16025: @1089353
     /* 1089353 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1089430), // Rule ID 60583 //
     /* 1089358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1089369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1089372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1089375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089397 */     // MIs[0] policy
     /* 1089397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1089410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089429 */     // GIR_Coverage, 60583,
     /* 1089429 */     GIR_EraseRootFromParent_Done,
     /* 1089430 */   // Label 16026: @1089430
     /* 1089430 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1089507), // Rule ID 60586 //
     /* 1089435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089474 */     // MIs[0] policy
     /* 1089474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089506 */     // GIR_Coverage, 60586,
     /* 1089506 */     GIR_EraseRootFromParent_Done,
     /* 1089507 */   // Label 16027: @1089507
     /* 1089507 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1089584), // Rule ID 60587 //
     /* 1089512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089551 */     // MIs[0] policy
     /* 1089551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089583 */     // GIR_Coverage, 60587,
     /* 1089583 */     GIR_EraseRootFromParent_Done,
     /* 1089584 */   // Label 16028: @1089584
     /* 1089584 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1089661), // Rule ID 60590 //
     /* 1089589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089628 */     // MIs[0] policy
     /* 1089628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089638 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089660 */     // GIR_Coverage, 60590,
     /* 1089660 */     GIR_EraseRootFromParent_Done,
     /* 1089661 */   // Label 16029: @1089661
     /* 1089661 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1089738), // Rule ID 60591 //
     /* 1089666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089705 */     // MIs[0] policy
     /* 1089705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089715 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089737 */     // GIR_Coverage, 60591,
     /* 1089737 */     GIR_EraseRootFromParent_Done,
     /* 1089738 */   // Label 16030: @1089738
     /* 1089738 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1089815), // Rule ID 60594 //
     /* 1089743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089782 */     // MIs[0] policy
     /* 1089782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089814 */     // GIR_Coverage, 60594,
     /* 1089814 */     GIR_EraseRootFromParent_Done,
     /* 1089815 */   // Label 16031: @1089815
     /* 1089815 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1089892), // Rule ID 60595 //
     /* 1089820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089859 */     // MIs[0] policy
     /* 1089859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089891 */     // GIR_Coverage, 60595,
     /* 1089891 */     GIR_EraseRootFromParent_Done,
     /* 1089892 */   // Label 16032: @1089892
     /* 1089892 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089969), // Rule ID 60598 //
     /* 1089897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089936 */     // MIs[0] policy
     /* 1089936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089968 */     // GIR_Coverage, 60598,
     /* 1089968 */     GIR_EraseRootFromParent_Done,
     /* 1089969 */   // Label 16033: @1089969
     /* 1089969 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1090046), // Rule ID 60599 //
     /* 1089974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090013 */     // MIs[0] policy
     /* 1090013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090023 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090045 */     // GIR_Coverage, 60599,
     /* 1090045 */     GIR_EraseRootFromParent_Done,
     /* 1090046 */   // Label 16034: @1090046
     /* 1090046 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1090123), // Rule ID 60602 //
     /* 1090051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090090 */     // MIs[0] policy
     /* 1090090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090122 */     // GIR_Coverage, 60602,
     /* 1090122 */     GIR_EraseRootFromParent_Done,
     /* 1090123 */   // Label 16035: @1090123
     /* 1090123 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1090200), // Rule ID 60603 //
     /* 1090128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090167 */     // MIs[0] policy
     /* 1090167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090199 */     // GIR_Coverage, 60603,
     /* 1090199 */     GIR_EraseRootFromParent_Done,
     /* 1090200 */   // Label 16036: @1090200
     /* 1090200 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1090277), // Rule ID 60606 //
     /* 1090205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090244 */     // MIs[0] policy
     /* 1090244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090276 */     // GIR_Coverage, 60606,
     /* 1090276 */     GIR_EraseRootFromParent_Done,
     /* 1090277 */   // Label 16037: @1090277
     /* 1090277 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1090354), // Rule ID 60607 //
     /* 1090282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090321 */     // MIs[0] policy
     /* 1090321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090353 */     // GIR_Coverage, 60607,
     /* 1090353 */     GIR_EraseRootFromParent_Done,
     /* 1090354 */   // Label 16038: @1090354
     /* 1090354 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1090431), // Rule ID 60610 //
     /* 1090359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090398 */     // MIs[0] policy
     /* 1090398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090430 */     // GIR_Coverage, 60610,
     /* 1090430 */     GIR_EraseRootFromParent_Done,
     /* 1090431 */   // Label 16039: @1090431
     /* 1090431 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1090508), // Rule ID 60611 //
     /* 1090436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090475 */     // MIs[0] policy
     /* 1090475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090507 */     // GIR_Coverage, 60611,
     /* 1090507 */     GIR_EraseRootFromParent_Done,
     /* 1090508 */   // Label 16040: @1090508
     /* 1090508 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1090585), // Rule ID 60614 //
     /* 1090513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090552 */     // MIs[0] policy
     /* 1090552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090584 */     // GIR_Coverage, 60614,
     /* 1090584 */     GIR_EraseRootFromParent_Done,
     /* 1090585 */   // Label 16041: @1090585
     /* 1090585 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1090662), // Rule ID 60615 //
     /* 1090590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090629 */     // MIs[0] policy
     /* 1090629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090661 */     // GIR_Coverage, 60615,
     /* 1090661 */     GIR_EraseRootFromParent_Done,
     /* 1090662 */   // Label 16042: @1090662
     /* 1090662 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1090739), // Rule ID 60618 //
     /* 1090667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090706 */     // MIs[0] policy
     /* 1090706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090738 */     // GIR_Coverage, 60618,
     /* 1090738 */     GIR_EraseRootFromParent_Done,
     /* 1090739 */   // Label 16043: @1090739
     /* 1090739 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1090816), // Rule ID 60619 //
     /* 1090744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090783 */     // MIs[0] policy
     /* 1090783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090815 */     // GIR_Coverage, 60619,
     /* 1090815 */     GIR_EraseRootFromParent_Done,
     /* 1090816 */   // Label 16044: @1090816
     /* 1090816 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1090893), // Rule ID 60622 //
     /* 1090821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090860 */     // MIs[0] policy
     /* 1090860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090892 */     // GIR_Coverage, 60622,
     /* 1090892 */     GIR_EraseRootFromParent_Done,
     /* 1090893 */   // Label 16045: @1090893
     /* 1090893 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090970), // Rule ID 60623 //
     /* 1090898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090937 */     // MIs[0] policy
     /* 1090937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090969 */     // GIR_Coverage, 60623,
     /* 1090969 */     GIR_EraseRootFromParent_Done,
     /* 1090970 */   // Label 16046: @1090970
     /* 1090970 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1091047), // Rule ID 60626 //
     /* 1090975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1090986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1090989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1090992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1090995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091014 */     // MIs[0] policy
     /* 1091014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091046 */     // GIR_Coverage, 60626,
     /* 1091046 */     GIR_EraseRootFromParent_Done,
     /* 1091047 */   // Label 16047: @1091047
     /* 1091047 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1091124), // Rule ID 60627 //
     /* 1091052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091091 */     // MIs[0] policy
     /* 1091091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091101 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091123 */     // GIR_Coverage, 60627,
     /* 1091123 */     GIR_EraseRootFromParent_Done,
     /* 1091124 */   // Label 16048: @1091124
     /* 1091124 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1091201), // Rule ID 60630 //
     /* 1091129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091168 */     // MIs[0] policy
     /* 1091168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091178 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091200 */     // GIR_Coverage, 60630,
     /* 1091200 */     GIR_EraseRootFromParent_Done,
     /* 1091201 */   // Label 16049: @1091201
     /* 1091201 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1091278), // Rule ID 60631 //
     /* 1091206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091245 */     // MIs[0] policy
     /* 1091245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091255 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091277 */     // GIR_Coverage, 60631,
     /* 1091277 */     GIR_EraseRootFromParent_Done,
     /* 1091278 */   // Label 16050: @1091278
     /* 1091278 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1091355), // Rule ID 60634 //
     /* 1091283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1091294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1091297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1091300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091322 */     // MIs[0] policy
     /* 1091322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091354 */     // GIR_Coverage, 60634,
     /* 1091354 */     GIR_EraseRootFromParent_Done,
     /* 1091355 */   // Label 16051: @1091355
     /* 1091355 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1091432), // Rule ID 60635 //
     /* 1091360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1091371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1091374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1091377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091399 */     // MIs[0] policy
     /* 1091399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091431 */     // GIR_Coverage, 60635,
     /* 1091431 */     GIR_EraseRootFromParent_Done,
     /* 1091432 */   // Label 16052: @1091432
     /* 1091432 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1091509), // Rule ID 60638 //
     /* 1091437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091476 */     // MIs[0] policy
     /* 1091476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091508 */     // GIR_Coverage, 60638,
     /* 1091508 */     GIR_EraseRootFromParent_Done,
     /* 1091509 */   // Label 16053: @1091509
     /* 1091509 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1091586), // Rule ID 60639 //
     /* 1091514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091553 */     // MIs[0] policy
     /* 1091553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091585 */     // GIR_Coverage, 60639,
     /* 1091585 */     GIR_EraseRootFromParent_Done,
     /* 1091586 */   // Label 16054: @1091586
     /* 1091586 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1091663), // Rule ID 60642 //
     /* 1091591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091630 */     // MIs[0] policy
     /* 1091630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091662 */     // GIR_Coverage, 60642,
     /* 1091662 */     GIR_EraseRootFromParent_Done,
     /* 1091663 */   // Label 16055: @1091663
     /* 1091663 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1091740), // Rule ID 60643 //
     /* 1091668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091707 */     // MIs[0] policy
     /* 1091707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091739 */     // GIR_Coverage, 60643,
     /* 1091739 */     GIR_EraseRootFromParent_Done,
     /* 1091740 */   // Label 16056: @1091740
     /* 1091740 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1091817), // Rule ID 60646 //
     /* 1091745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091784 */     // MIs[0] policy
     /* 1091784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091816 */     // GIR_Coverage, 60646,
     /* 1091816 */     GIR_EraseRootFromParent_Done,
     /* 1091817 */   // Label 16057: @1091817
     /* 1091817 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1091894), // Rule ID 60647 //
     /* 1091822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091861 */     // MIs[0] policy
     /* 1091861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091893 */     // GIR_Coverage, 60647,
     /* 1091893 */     GIR_EraseRootFromParent_Done,
     /* 1091894 */   // Label 16058: @1091894
     /* 1091894 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091971), // Rule ID 60650 //
     /* 1091899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091938 */     // MIs[0] policy
     /* 1091938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091970 */     // GIR_Coverage, 60650,
     /* 1091970 */     GIR_EraseRootFromParent_Done,
     /* 1091971 */   // Label 16059: @1091971
     /* 1091971 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1092048), // Rule ID 60651 //
     /* 1091976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092015 */     // MIs[0] policy
     /* 1092015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092025 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092047 */     // GIR_Coverage, 60651,
     /* 1092047 */     GIR_EraseRootFromParent_Done,
     /* 1092048 */   // Label 16060: @1092048
     /* 1092048 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1092125), // Rule ID 60654 //
     /* 1092053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092092 */     // MIs[0] policy
     /* 1092092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092124 */     // GIR_Coverage, 60654,
     /* 1092124 */     GIR_EraseRootFromParent_Done,
     /* 1092125 */   // Label 16061: @1092125
     /* 1092125 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1092202), // Rule ID 60655 //
     /* 1092130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092169 */     // MIs[0] policy
     /* 1092169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092201 */     // GIR_Coverage, 60655,
     /* 1092201 */     GIR_EraseRootFromParent_Done,
     /* 1092202 */   // Label 16062: @1092202
     /* 1092202 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1092279), // Rule ID 60658 //
     /* 1092207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092246 */     // MIs[0] policy
     /* 1092246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092278 */     // GIR_Coverage, 60658,
     /* 1092278 */     GIR_EraseRootFromParent_Done,
     /* 1092279 */   // Label 16063: @1092279
     /* 1092279 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1092356), // Rule ID 60659 //
     /* 1092284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092323 */     // MIs[0] policy
     /* 1092323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092355 */     // GIR_Coverage, 60659,
     /* 1092355 */     GIR_EraseRootFromParent_Done,
     /* 1092356 */   // Label 16064: @1092356
     /* 1092356 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1092433), // Rule ID 60662 //
     /* 1092361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092400 */     // MIs[0] policy
     /* 1092400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092410 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092432 */     // GIR_Coverage, 60662,
     /* 1092432 */     GIR_EraseRootFromParent_Done,
     /* 1092433 */   // Label 16065: @1092433
     /* 1092433 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1092510), // Rule ID 60663 //
     /* 1092438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092477 */     // MIs[0] policy
     /* 1092477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092487 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092509 */     // GIR_Coverage, 60663,
     /* 1092509 */     GIR_EraseRootFromParent_Done,
     /* 1092510 */   // Label 16066: @1092510
     /* 1092510 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1092587), // Rule ID 60666 //
     /* 1092515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092554 */     // MIs[0] policy
     /* 1092554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092586 */     // GIR_Coverage, 60666,
     /* 1092586 */     GIR_EraseRootFromParent_Done,
     /* 1092587 */   // Label 16067: @1092587
     /* 1092587 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1092664), // Rule ID 60667 //
     /* 1092592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092631 */     // MIs[0] policy
     /* 1092631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092641 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092663 */     // GIR_Coverage, 60667,
     /* 1092663 */     GIR_EraseRootFromParent_Done,
     /* 1092664 */   // Label 16068: @1092664
     /* 1092664 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1092741), // Rule ID 60670 //
     /* 1092669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092708 */     // MIs[0] policy
     /* 1092708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092740 */     // GIR_Coverage, 60670,
     /* 1092740 */     GIR_EraseRootFromParent_Done,
     /* 1092741 */   // Label 16069: @1092741
     /* 1092741 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1092818), // Rule ID 60671 //
     /* 1092746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092785 */     // MIs[0] policy
     /* 1092785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092795 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092817 */     // GIR_Coverage, 60671,
     /* 1092817 */     GIR_EraseRootFromParent_Done,
     /* 1092818 */   // Label 16070: @1092818
     /* 1092818 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1092895), // Rule ID 60674 //
     /* 1092823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092862 */     // MIs[0] policy
     /* 1092862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092894 */     // GIR_Coverage, 60674,
     /* 1092894 */     GIR_EraseRootFromParent_Done,
     /* 1092895 */   // Label 16071: @1092895
     /* 1092895 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092972), // Rule ID 60675 //
     /* 1092900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092939 */     // MIs[0] policy
     /* 1092939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092949 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092971 */     // GIR_Coverage, 60675,
     /* 1092971 */     GIR_EraseRootFromParent_Done,
     /* 1092972 */   // Label 16072: @1092972
     /* 1092972 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1093049), // Rule ID 60678 //
     /* 1092977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1092988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1092991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1092994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093016 */     // MIs[0] policy
     /* 1093016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093048 */     // GIR_Coverage, 60678,
     /* 1093048 */     GIR_EraseRootFromParent_Done,
     /* 1093049 */   // Label 16073: @1093049
     /* 1093049 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1093126), // Rule ID 60679 //
     /* 1093054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093093 */     // MIs[0] policy
     /* 1093093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093125 */     // GIR_Coverage, 60679,
     /* 1093125 */     GIR_EraseRootFromParent_Done,
     /* 1093126 */   // Label 16074: @1093126
     /* 1093126 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1093203), // Rule ID 60682 //
     /* 1093131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093170 */     // MIs[0] policy
     /* 1093170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093202 */     // GIR_Coverage, 60682,
     /* 1093202 */     GIR_EraseRootFromParent_Done,
     /* 1093203 */   // Label 16075: @1093203
     /* 1093203 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1093280), // Rule ID 60683 //
     /* 1093208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093247 */     // MIs[0] policy
     /* 1093247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093279 */     // GIR_Coverage, 60683,
     /* 1093279 */     GIR_EraseRootFromParent_Done,
     /* 1093280 */   // Label 16076: @1093280
     /* 1093280 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1093357), // Rule ID 60686 //
     /* 1093285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093324 */     // MIs[0] policy
     /* 1093324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093356 */     // GIR_Coverage, 60686,
     /* 1093356 */     GIR_EraseRootFromParent_Done,
     /* 1093357 */   // Label 16077: @1093357
     /* 1093357 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1093434), // Rule ID 60687 //
     /* 1093362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093401 */     // MIs[0] policy
     /* 1093401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093433 */     // GIR_Coverage, 60687,
     /* 1093433 */     GIR_EraseRootFromParent_Done,
     /* 1093434 */   // Label 16078: @1093434
     /* 1093434 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1093511), // Rule ID 60690 //
     /* 1093439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093478 */     // MIs[0] policy
     /* 1093478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093510 */     // GIR_Coverage, 60690,
     /* 1093510 */     GIR_EraseRootFromParent_Done,
     /* 1093511 */   // Label 16079: @1093511
     /* 1093511 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1093588), // Rule ID 60691 //
     /* 1093516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093555 */     // MIs[0] policy
     /* 1093555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093565 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093587 */     // GIR_Coverage, 60691,
     /* 1093587 */     GIR_EraseRootFromParent_Done,
     /* 1093588 */   // Label 16080: @1093588
     /* 1093588 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1093665), // Rule ID 60694 //
     /* 1093593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093632 */     // MIs[0] policy
     /* 1093632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093664 */     // GIR_Coverage, 60694,
     /* 1093664 */     GIR_EraseRootFromParent_Done,
     /* 1093665 */   // Label 16081: @1093665
     /* 1093665 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1093742), // Rule ID 60695 //
     /* 1093670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093709 */     // MIs[0] policy
     /* 1093709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093719 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093741 */     // GIR_Coverage, 60695,
     /* 1093741 */     GIR_EraseRootFromParent_Done,
     /* 1093742 */   // Label 16082: @1093742
     /* 1093742 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1093819), // Rule ID 60698 //
     /* 1093747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093786 */     // MIs[0] policy
     /* 1093786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093818 */     // GIR_Coverage, 60698,
     /* 1093818 */     GIR_EraseRootFromParent_Done,
     /* 1093819 */   // Label 16083: @1093819
     /* 1093819 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1093896), // Rule ID 60699 //
     /* 1093824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093863 */     // MIs[0] policy
     /* 1093863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093895 */     // GIR_Coverage, 60699,
     /* 1093895 */     GIR_EraseRootFromParent_Done,
     /* 1093896 */   // Label 16084: @1093896
     /* 1093896 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093973), // Rule ID 60702 //
     /* 1093901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093940 */     // MIs[0] policy
     /* 1093940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093972 */     // GIR_Coverage, 60702,
     /* 1093972 */     GIR_EraseRootFromParent_Done,
     /* 1093973 */   // Label 16085: @1093973
     /* 1093973 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1094050), // Rule ID 60703 //
     /* 1093978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094017 */     // MIs[0] policy
     /* 1094017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094049 */     // GIR_Coverage, 60703,
     /* 1094049 */     GIR_EraseRootFromParent_Done,
     /* 1094050 */   // Label 16086: @1094050
     /* 1094050 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1094127), // Rule ID 60706 //
     /* 1094055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094094 */     // MIs[0] policy
     /* 1094094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094126 */     // GIR_Coverage, 60706,
     /* 1094126 */     GIR_EraseRootFromParent_Done,
     /* 1094127 */   // Label 16087: @1094127
     /* 1094127 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1094204), // Rule ID 60707 //
     /* 1094132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094171 */     // MIs[0] policy
     /* 1094171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094203 */     // GIR_Coverage, 60707,
     /* 1094203 */     GIR_EraseRootFromParent_Done,
     /* 1094204 */   // Label 16088: @1094204
     /* 1094204 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1094281), // Rule ID 60710 //
     /* 1094209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094248 */     // MIs[0] policy
     /* 1094248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094280 */     // GIR_Coverage, 60710,
     /* 1094280 */     GIR_EraseRootFromParent_Done,
     /* 1094281 */   // Label 16089: @1094281
     /* 1094281 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1094358), // Rule ID 60711 //
     /* 1094286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094325 */     // MIs[0] policy
     /* 1094325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094335 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094357 */     // GIR_Coverage, 60711,
     /* 1094357 */     GIR_EraseRootFromParent_Done,
     /* 1094358 */   // Label 16090: @1094358
     /* 1094358 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1094435), // Rule ID 60714 //
     /* 1094363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094402 */     // MIs[0] policy
     /* 1094402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094434 */     // GIR_Coverage, 60714,
     /* 1094434 */     GIR_EraseRootFromParent_Done,
     /* 1094435 */   // Label 16091: @1094435
     /* 1094435 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1094512), // Rule ID 60715 //
     /* 1094440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094479 */     // MIs[0] policy
     /* 1094479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094489 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094511 */     // GIR_Coverage, 60715,
     /* 1094511 */     GIR_EraseRootFromParent_Done,
     /* 1094512 */   // Label 16092: @1094512
     /* 1094512 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1094589), // Rule ID 60718 //
     /* 1094517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094556 */     // MIs[0] policy
     /* 1094556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094588 */     // GIR_Coverage, 60718,
     /* 1094588 */     GIR_EraseRootFromParent_Done,
     /* 1094589 */   // Label 16093: @1094589
     /* 1094589 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1094666), // Rule ID 60719 //
     /* 1094594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094633 */     // MIs[0] policy
     /* 1094633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094643 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094665 */     // GIR_Coverage, 60719,
     /* 1094665 */     GIR_EraseRootFromParent_Done,
     /* 1094666 */   // Label 16094: @1094666
     /* 1094666 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1094743), // Rule ID 60722 //
     /* 1094671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094710 */     // MIs[0] policy
     /* 1094710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094742 */     // GIR_Coverage, 60722,
     /* 1094742 */     GIR_EraseRootFromParent_Done,
     /* 1094743 */   // Label 16095: @1094743
     /* 1094743 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1094820), // Rule ID 60723 //
     /* 1094748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094787 */     // MIs[0] policy
     /* 1094787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094819 */     // GIR_Coverage, 60723,
     /* 1094819 */     GIR_EraseRootFromParent_Done,
     /* 1094820 */   // Label 16096: @1094820
     /* 1094820 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1094897), // Rule ID 60726 //
     /* 1094825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094864 */     // MIs[0] policy
     /* 1094864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094896 */     // GIR_Coverage, 60726,
     /* 1094896 */     GIR_EraseRootFromParent_Done,
     /* 1094897 */   // Label 16097: @1094897
     /* 1094897 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094974), // Rule ID 60727 //
     /* 1094902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094941 */     // MIs[0] policy
     /* 1094941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094973 */     // GIR_Coverage, 60727,
     /* 1094973 */     GIR_EraseRootFromParent_Done,
     /* 1094974 */   // Label 16098: @1094974
     /* 1094974 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1095051), // Rule ID 60730 //
     /* 1094979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095018 */     // MIs[0] policy
     /* 1095018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095050 */     // GIR_Coverage, 60730,
     /* 1095050 */     GIR_EraseRootFromParent_Done,
     /* 1095051 */   // Label 16099: @1095051
     /* 1095051 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1095128), // Rule ID 60731 //
     /* 1095056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095095 */     // MIs[0] policy
     /* 1095095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095127 */     // GIR_Coverage, 60731,
     /* 1095127 */     GIR_EraseRootFromParent_Done,
     /* 1095128 */   // Label 16100: @1095128
     /* 1095128 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1095205), // Rule ID 60734 //
     /* 1095133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095172 */     // MIs[0] policy
     /* 1095172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095204 */     // GIR_Coverage, 60734,
     /* 1095204 */     GIR_EraseRootFromParent_Done,
     /* 1095205 */   // Label 16101: @1095205
     /* 1095205 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1095282), // Rule ID 60735 //
     /* 1095210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095249 */     // MIs[0] policy
     /* 1095249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095281 */     // GIR_Coverage, 60735,
     /* 1095281 */     GIR_EraseRootFromParent_Done,
     /* 1095282 */   // Label 16102: @1095282
     /* 1095282 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1095359), // Rule ID 60738 //
     /* 1095287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095326 */     // MIs[0] policy
     /* 1095326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095358 */     // GIR_Coverage, 60738,
     /* 1095358 */     GIR_EraseRootFromParent_Done,
     /* 1095359 */   // Label 16103: @1095359
     /* 1095359 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1095436), // Rule ID 60739 //
     /* 1095364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095403 */     // MIs[0] policy
     /* 1095403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095435 */     // GIR_Coverage, 60739,
     /* 1095435 */     GIR_EraseRootFromParent_Done,
     /* 1095436 */   // Label 16104: @1095436
     /* 1095436 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1095513), // Rule ID 60742 //
     /* 1095441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095480 */     // MIs[0] policy
     /* 1095480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095490 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095512 */     // GIR_Coverage, 60742,
     /* 1095512 */     GIR_EraseRootFromParent_Done,
     /* 1095513 */   // Label 16105: @1095513
     /* 1095513 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1095590), // Rule ID 60743 //
     /* 1095518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095557 */     // MIs[0] policy
     /* 1095557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095589 */     // GIR_Coverage, 60743,
     /* 1095589 */     GIR_EraseRootFromParent_Done,
     /* 1095590 */   // Label 16106: @1095590
     /* 1095590 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1095667), // Rule ID 60746 //
     /* 1095595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095634 */     // MIs[0] policy
     /* 1095634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095666 */     // GIR_Coverage, 60746,
     /* 1095666 */     GIR_EraseRootFromParent_Done,
     /* 1095667 */   // Label 16107: @1095667
     /* 1095667 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1095744), // Rule ID 60747 //
     /* 1095672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095711 */     // MIs[0] policy
     /* 1095711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095743 */     // GIR_Coverage, 60747,
     /* 1095743 */     GIR_EraseRootFromParent_Done,
     /* 1095744 */   // Label 16108: @1095744
     /* 1095744 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1095821), // Rule ID 60750 //
     /* 1095749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095788 */     // MIs[0] policy
     /* 1095788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095798 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095820 */     // GIR_Coverage, 60750,
     /* 1095820 */     GIR_EraseRootFromParent_Done,
     /* 1095821 */   // Label 16109: @1095821
     /* 1095821 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1095898), // Rule ID 60751 //
     /* 1095826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095865 */     // MIs[0] policy
     /* 1095865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095897 */     // GIR_Coverage, 60751,
     /* 1095897 */     GIR_EraseRootFromParent_Done,
     /* 1095898 */   // Label 16110: @1095898
     /* 1095898 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095975), // Rule ID 60754 //
     /* 1095903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095942 */     // MIs[0] policy
     /* 1095942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095974 */     // GIR_Coverage, 60754,
     /* 1095974 */     GIR_EraseRootFromParent_Done,
     /* 1095975 */   // Label 16111: @1095975
     /* 1095975 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1096052), // Rule ID 60755 //
     /* 1095980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096019 */     // MIs[0] policy
     /* 1096019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1096032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096051 */     // GIR_Coverage, 60755,
     /* 1096051 */     GIR_EraseRootFromParent_Done,
     /* 1096052 */   // Label 16112: @1096052
     /* 1096052 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1096129), // Rule ID 60758 //
     /* 1096057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096096 */     // MIs[0] policy
     /* 1096096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1096109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096128 */     // GIR_Coverage, 60758,
     /* 1096128 */     GIR_EraseRootFromParent_Done,
     /* 1096129 */   // Label 16113: @1096129
     /* 1096129 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1096206), // Rule ID 60759 //
     /* 1096134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096173 */     // MIs[0] policy
     /* 1096173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1096186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096205 */     // GIR_Coverage, 60759,
     /* 1096205 */     GIR_EraseRootFromParent_Done,
     /* 1096206 */   // Label 16114: @1096206
     /* 1096206 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1096283), // Rule ID 60762 //
     /* 1096211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096250 */     // MIs[0] policy
     /* 1096250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096260 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096282 */     // GIR_Coverage, 60762,
     /* 1096282 */     GIR_EraseRootFromParent_Done,
     /* 1096283 */   // Label 16115: @1096283
     /* 1096283 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1096360), // Rule ID 60763 //
     /* 1096288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096327 */     // MIs[0] policy
     /* 1096327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096337 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096359 */     // GIR_Coverage, 60763,
     /* 1096359 */     GIR_EraseRootFromParent_Done,
     /* 1096360 */   // Label 16116: @1096360
     /* 1096360 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1096437), // Rule ID 60766 //
     /* 1096365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096404 */     // MIs[0] policy
     /* 1096404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096436 */     // GIR_Coverage, 60766,
     /* 1096436 */     GIR_EraseRootFromParent_Done,
     /* 1096437 */   // Label 16117: @1096437
     /* 1096437 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1096514), // Rule ID 60767 //
     /* 1096442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096481 */     // MIs[0] policy
     /* 1096481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096491 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096513 */     // GIR_Coverage, 60767,
     /* 1096513 */     GIR_EraseRootFromParent_Done,
     /* 1096514 */   // Label 16118: @1096514
     /* 1096514 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1096591), // Rule ID 60770 //
     /* 1096519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096558 */     // MIs[0] policy
     /* 1096558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096590 */     // GIR_Coverage, 60770,
     /* 1096590 */     GIR_EraseRootFromParent_Done,
     /* 1096591 */   // Label 16119: @1096591
     /* 1096591 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1096668), // Rule ID 60771 //
     /* 1096596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096635 */     // MIs[0] policy
     /* 1096635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096667 */     // GIR_Coverage, 60771,
     /* 1096667 */     GIR_EraseRootFromParent_Done,
     /* 1096668 */   // Label 16120: @1096668
     /* 1096668 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1096745), // Rule ID 60774 //
     /* 1096673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096712 */     // MIs[0] policy
     /* 1096712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096722 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096744 */     // GIR_Coverage, 60774,
     /* 1096744 */     GIR_EraseRootFromParent_Done,
     /* 1096745 */   // Label 16121: @1096745
     /* 1096745 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1096822), // Rule ID 60775 //
     /* 1096750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096789 */     // MIs[0] policy
     /* 1096789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096821 */     // GIR_Coverage, 60775,
     /* 1096821 */     GIR_EraseRootFromParent_Done,
     /* 1096822 */   // Label 16122: @1096822
     /* 1096822 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1096899), // Rule ID 60778 //
     /* 1096827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096866 */     // MIs[0] policy
     /* 1096866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096898 */     // GIR_Coverage, 60778,
     /* 1096898 */     GIR_EraseRootFromParent_Done,
     /* 1096899 */   // Label 16123: @1096899
     /* 1096899 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096976), // Rule ID 60779 //
     /* 1096904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096943 */     // MIs[0] policy
     /* 1096943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096975 */     // GIR_Coverage, 60779,
     /* 1096975 */     GIR_EraseRootFromParent_Done,
     /* 1096976 */   // Label 16124: @1096976
     /* 1096976 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1097053), // Rule ID 60782 //
     /* 1096981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1096992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1096995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1096998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097020 */     // MIs[0] policy
     /* 1097020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097052 */     // GIR_Coverage, 60782,
     /* 1097052 */     GIR_EraseRootFromParent_Done,
     /* 1097053 */   // Label 16125: @1097053
     /* 1097053 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1097130), // Rule ID 60783 //
     /* 1097058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097097 */     // MIs[0] policy
     /* 1097097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097129 */     // GIR_Coverage, 60783,
     /* 1097129 */     GIR_EraseRootFromParent_Done,
     /* 1097130 */   // Label 16126: @1097130
     /* 1097130 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1097207), // Rule ID 60786 //
     /* 1097135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097174 */     // MIs[0] policy
     /* 1097174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097206 */     // GIR_Coverage, 60786,
     /* 1097206 */     GIR_EraseRootFromParent_Done,
     /* 1097207 */   // Label 16127: @1097207
     /* 1097207 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1097284), // Rule ID 60787 //
     /* 1097212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097251 */     // MIs[0] policy
     /* 1097251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097283 */     // GIR_Coverage, 60787,
     /* 1097283 */     GIR_EraseRootFromParent_Done,
     /* 1097284 */   // Label 16128: @1097284
     /* 1097284 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1097361), // Rule ID 60790 //
     /* 1097289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1097300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1097303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1097306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097328 */     // MIs[0] policy
     /* 1097328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097360 */     // GIR_Coverage, 60790,
     /* 1097360 */     GIR_EraseRootFromParent_Done,
     /* 1097361 */   // Label 16129: @1097361
     /* 1097361 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1097438), // Rule ID 60791 //
     /* 1097366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1097377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1097380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1097383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097405 */     // MIs[0] policy
     /* 1097405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097415 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097437 */     // GIR_Coverage, 60791,
     /* 1097437 */     GIR_EraseRootFromParent_Done,
     /* 1097438 */   // Label 16130: @1097438
     /* 1097438 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1097515), // Rule ID 60794 //
     /* 1097443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097482 */     // MIs[0] policy
     /* 1097482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097514 */     // GIR_Coverage, 60794,
     /* 1097514 */     GIR_EraseRootFromParent_Done,
     /* 1097515 */   // Label 16131: @1097515
     /* 1097515 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1097592), // Rule ID 60795 //
     /* 1097520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097559 */     // MIs[0] policy
     /* 1097559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097591 */     // GIR_Coverage, 60795,
     /* 1097591 */     GIR_EraseRootFromParent_Done,
     /* 1097592 */   // Label 16132: @1097592
     /* 1097592 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1097669), // Rule ID 60798 //
     /* 1097597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097636 */     // MIs[0] policy
     /* 1097636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097668 */     // GIR_Coverage, 60798,
     /* 1097668 */     GIR_EraseRootFromParent_Done,
     /* 1097669 */   // Label 16133: @1097669
     /* 1097669 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1097746), // Rule ID 60799 //
     /* 1097674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097713 */     // MIs[0] policy
     /* 1097713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097745 */     // GIR_Coverage, 60799,
     /* 1097745 */     GIR_EraseRootFromParent_Done,
     /* 1097746 */   // Label 16134: @1097746
     /* 1097746 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1097823), // Rule ID 60802 //
     /* 1097751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097790 */     // MIs[0] policy
     /* 1097790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097800 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097822 */     // GIR_Coverage, 60802,
     /* 1097822 */     GIR_EraseRootFromParent_Done,
     /* 1097823 */   // Label 16135: @1097823
     /* 1097823 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1097900), // Rule ID 60803 //
     /* 1097828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097867 */     // MIs[0] policy
     /* 1097867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097899 */     // GIR_Coverage, 60803,
     /* 1097899 */     GIR_EraseRootFromParent_Done,
     /* 1097900 */   // Label 16136: @1097900
     /* 1097900 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097977), // Rule ID 60806 //
     /* 1097905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1097925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097944 */     // MIs[0] policy
     /* 1097944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097976 */     // GIR_Coverage, 60806,
     /* 1097976 */     GIR_EraseRootFromParent_Done,
     /* 1097977 */   // Label 16137: @1097977
     /* 1097977 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1098054), // Rule ID 60807 //
     /* 1097982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098021 */     // MIs[0] policy
     /* 1098021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098031 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098053 */     // GIR_Coverage, 60807,
     /* 1098053 */     GIR_EraseRootFromParent_Done,
     /* 1098054 */   // Label 16138: @1098054
     /* 1098054 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1098131), // Rule ID 60810 //
     /* 1098059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098098 */     // MIs[0] policy
     /* 1098098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098130 */     // GIR_Coverage, 60810,
     /* 1098130 */     GIR_EraseRootFromParent_Done,
     /* 1098131 */   // Label 16139: @1098131
     /* 1098131 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1098208), // Rule ID 60811 //
     /* 1098136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098175 */     // MIs[0] policy
     /* 1098175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098185 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098207 */     // GIR_Coverage, 60811,
     /* 1098207 */     GIR_EraseRootFromParent_Done,
     /* 1098208 */   // Label 16140: @1098208
     /* 1098208 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1098285), // Rule ID 60814 //
     /* 1098213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098252 */     // MIs[0] policy
     /* 1098252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098284 */     // GIR_Coverage, 60814,
     /* 1098284 */     GIR_EraseRootFromParent_Done,
     /* 1098285 */   // Label 16141: @1098285
     /* 1098285 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1098362), // Rule ID 60815 //
     /* 1098290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098329 */     // MIs[0] policy
     /* 1098329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098339 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098361 */     // GIR_Coverage, 60815,
     /* 1098361 */     GIR_EraseRootFromParent_Done,
     /* 1098362 */   // Label 16142: @1098362
     /* 1098362 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1098439), // Rule ID 60818 //
     /* 1098367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098406 */     // MIs[0] policy
     /* 1098406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098438 */     // GIR_Coverage, 60818,
     /* 1098438 */     GIR_EraseRootFromParent_Done,
     /* 1098439 */   // Label 16143: @1098439
     /* 1098439 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1098516), // Rule ID 60819 //
     /* 1098444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098483 */     // MIs[0] policy
     /* 1098483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098515 */     // GIR_Coverage, 60819,
     /* 1098515 */     GIR_EraseRootFromParent_Done,
     /* 1098516 */   // Label 16144: @1098516
     /* 1098516 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1098593), // Rule ID 60822 //
     /* 1098521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098560 */     // MIs[0] policy
     /* 1098560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098592 */     // GIR_Coverage, 60822,
     /* 1098592 */     GIR_EraseRootFromParent_Done,
     /* 1098593 */   // Label 16145: @1098593
     /* 1098593 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1098670), // Rule ID 60823 //
     /* 1098598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098637 */     // MIs[0] policy
     /* 1098637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098669 */     // GIR_Coverage, 60823,
     /* 1098669 */     GIR_EraseRootFromParent_Done,
     /* 1098670 */   // Label 16146: @1098670
     /* 1098670 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1098747), // Rule ID 60826 //
     /* 1098675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098714 */     // MIs[0] policy
     /* 1098714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098746 */     // GIR_Coverage, 60826,
     /* 1098746 */     GIR_EraseRootFromParent_Done,
     /* 1098747 */   // Label 16147: @1098747
     /* 1098747 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1098824), // Rule ID 60827 //
     /* 1098752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098791 */     // MIs[0] policy
     /* 1098791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098823 */     // GIR_Coverage, 60827,
     /* 1098823 */     GIR_EraseRootFromParent_Done,
     /* 1098824 */   // Label 16148: @1098824
     /* 1098824 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1098901), // Rule ID 60830 //
     /* 1098829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098868 */     // MIs[0] policy
     /* 1098868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098900 */     // GIR_Coverage, 60830,
     /* 1098900 */     GIR_EraseRootFromParent_Done,
     /* 1098901 */   // Label 16149: @1098901
     /* 1098901 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098978), // Rule ID 60831 //
     /* 1098906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098945 */     // MIs[0] policy
     /* 1098945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098977 */     // GIR_Coverage, 60831,
     /* 1098977 */     GIR_EraseRootFromParent_Done,
     /* 1098978 */   // Label 16150: @1098978
     /* 1098978 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1099055), // Rule ID 60834 //
     /* 1098983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1098994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1098997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099022 */     // MIs[0] policy
     /* 1099022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099054 */     // GIR_Coverage, 60834,
     /* 1099054 */     GIR_EraseRootFromParent_Done,
     /* 1099055 */   // Label 16151: @1099055
     /* 1099055 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1099132), // Rule ID 60835 //
     /* 1099060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099099 */     // MIs[0] policy
     /* 1099099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099131 */     // GIR_Coverage, 60835,
     /* 1099131 */     GIR_EraseRootFromParent_Done,
     /* 1099132 */   // Label 16152: @1099132
     /* 1099132 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1099209), // Rule ID 60838 //
     /* 1099137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099176 */     // MIs[0] policy
     /* 1099176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099208 */     // GIR_Coverage, 60838,
     /* 1099208 */     GIR_EraseRootFromParent_Done,
     /* 1099209 */   // Label 16153: @1099209
     /* 1099209 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1099286), // Rule ID 60839 //
     /* 1099214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099253 */     // MIs[0] policy
     /* 1099253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099263 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099285 */     // GIR_Coverage, 60839,
     /* 1099285 */     GIR_EraseRootFromParent_Done,
     /* 1099286 */   // Label 16154: @1099286
     /* 1099286 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1099363), // Rule ID 60842 //
     /* 1099291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1099302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1099305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1099308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099330 */     // MIs[0] policy
     /* 1099330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099362 */     // GIR_Coverage, 60842,
     /* 1099362 */     GIR_EraseRootFromParent_Done,
     /* 1099363 */   // Label 16155: @1099363
     /* 1099363 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1099440), // Rule ID 60843 //
     /* 1099368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1099379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1099382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1099385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099407 */     // MIs[0] policy
     /* 1099407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099439 */     // GIR_Coverage, 60843,
     /* 1099439 */     GIR_EraseRootFromParent_Done,
     /* 1099440 */   // Label 16156: @1099440
     /* 1099440 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1099517), // Rule ID 61266 //
     /* 1099445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099484 */     // MIs[0] policy
     /* 1099484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099494 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099516 */     // GIR_Coverage, 61266,
     /* 1099516 */     GIR_EraseRootFromParent_Done,
     /* 1099517 */   // Label 16157: @1099517
     /* 1099517 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1099594), // Rule ID 61267 //
     /* 1099522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099561 */     // MIs[0] policy
     /* 1099561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099593 */     // GIR_Coverage, 61267,
     /* 1099593 */     GIR_EraseRootFromParent_Done,
     /* 1099594 */   // Label 16158: @1099594
     /* 1099594 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1099671), // Rule ID 61270 //
     /* 1099599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099638 */     // MIs[0] policy
     /* 1099638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099670 */     // GIR_Coverage, 61270,
     /* 1099670 */     GIR_EraseRootFromParent_Done,
     /* 1099671 */   // Label 16159: @1099671
     /* 1099671 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1099748), // Rule ID 61271 //
     /* 1099676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099715 */     // MIs[0] policy
     /* 1099715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099725 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099747 */     // GIR_Coverage, 61271,
     /* 1099747 */     GIR_EraseRootFromParent_Done,
     /* 1099748 */   // Label 16160: @1099748
     /* 1099748 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1099825), // Rule ID 61274 //
     /* 1099753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099792 */     // MIs[0] policy
     /* 1099792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099824 */     // GIR_Coverage, 61274,
     /* 1099824 */     GIR_EraseRootFromParent_Done,
     /* 1099825 */   // Label 16161: @1099825
     /* 1099825 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1099902), // Rule ID 61275 //
     /* 1099830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099869 */     // MIs[0] policy
     /* 1099869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099879 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099901 */     // GIR_Coverage, 61275,
     /* 1099901 */     GIR_EraseRootFromParent_Done,
     /* 1099902 */   // Label 16162: @1099902
     /* 1099902 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099979), // Rule ID 61278 //
     /* 1099907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1099924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099946 */     // MIs[0] policy
     /* 1099946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099978 */     // GIR_Coverage, 61278,
     /* 1099978 */     GIR_EraseRootFromParent_Done,
     /* 1099979 */   // Label 16163: @1099979
     /* 1099979 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1100056), // Rule ID 61279 //
     /* 1099984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100023 */     // MIs[0] policy
     /* 1100023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1100036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100055 */     // GIR_Coverage, 61279,
     /* 1100055 */     GIR_EraseRootFromParent_Done,
     /* 1100056 */   // Label 16164: @1100056
     /* 1100056 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1100133), // Rule ID 61282 //
     /* 1100061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100100 */     // MIs[0] policy
     /* 1100100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100132 */     // GIR_Coverage, 61282,
     /* 1100132 */     GIR_EraseRootFromParent_Done,
     /* 1100133 */   // Label 16165: @1100133
     /* 1100133 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1100210), // Rule ID 61283 //
     /* 1100138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100177 */     // MIs[0] policy
     /* 1100177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100209 */     // GIR_Coverage, 61283,
     /* 1100209 */     GIR_EraseRootFromParent_Done,
     /* 1100210 */   // Label 16166: @1100210
     /* 1100210 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1100287), // Rule ID 61286 //
     /* 1100215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100254 */     // MIs[0] policy
     /* 1100254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100264 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100286 */     // GIR_Coverage, 61286,
     /* 1100286 */     GIR_EraseRootFromParent_Done,
     /* 1100287 */   // Label 16167: @1100287
     /* 1100287 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1100364), // Rule ID 61287 //
     /* 1100292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100331 */     // MIs[0] policy
     /* 1100331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100341 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100363 */     // GIR_Coverage, 61287,
     /* 1100363 */     GIR_EraseRootFromParent_Done,
     /* 1100364 */   // Label 16168: @1100364
     /* 1100364 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1100441), // Rule ID 61290 //
     /* 1100369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1100380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1100383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1100386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100408 */     // MIs[0] policy
     /* 1100408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100440 */     // GIR_Coverage, 61290,
     /* 1100440 */     GIR_EraseRootFromParent_Done,
     /* 1100441 */   // Label 16169: @1100441
     /* 1100441 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1100518), // Rule ID 61291 //
     /* 1100446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1100457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1100460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1100463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100485 */     // MIs[0] policy
     /* 1100485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100495 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100517 */     // GIR_Coverage, 61291,
     /* 1100517 */     GIR_EraseRootFromParent_Done,
     /* 1100518 */   // Label 16170: @1100518
     /* 1100518 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1100595), // Rule ID 61294 //
     /* 1100523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100562 */     // MIs[0] policy
     /* 1100562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100594 */     // GIR_Coverage, 61294,
     /* 1100594 */     GIR_EraseRootFromParent_Done,
     /* 1100595 */   // Label 16171: @1100595
     /* 1100595 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1100672), // Rule ID 61295 //
     /* 1100600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100639 */     // MIs[0] policy
     /* 1100639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100671 */     // GIR_Coverage, 61295,
     /* 1100671 */     GIR_EraseRootFromParent_Done,
     /* 1100672 */   // Label 16172: @1100672
     /* 1100672 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1100749), // Rule ID 61298 //
     /* 1100677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100716 */     // MIs[0] policy
     /* 1100716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100748 */     // GIR_Coverage, 61298,
     /* 1100748 */     GIR_EraseRootFromParent_Done,
     /* 1100749 */   // Label 16173: @1100749
     /* 1100749 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1100826), // Rule ID 61299 //
     /* 1100754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100793 */     // MIs[0] policy
     /* 1100793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100825 */     // GIR_Coverage, 61299,
     /* 1100825 */     GIR_EraseRootFromParent_Done,
     /* 1100826 */   // Label 16174: @1100826
     /* 1100826 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1100903), // Rule ID 61302 //
     /* 1100831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100870 */     // MIs[0] policy
     /* 1100870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100902 */     // GIR_Coverage, 61302,
     /* 1100902 */     GIR_EraseRootFromParent_Done,
     /* 1100903 */   // Label 16175: @1100903
     /* 1100903 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100980), // Rule ID 61303 //
     /* 1100908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100947 */     // MIs[0] policy
     /* 1100947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100979 */     // GIR_Coverage, 61303,
     /* 1100979 */     GIR_EraseRootFromParent_Done,
     /* 1100980 */   // Label 16176: @1100980
     /* 1100980 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1101057), // Rule ID 61306 //
     /* 1100985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1100996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1100999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101024 */     // MIs[0] policy
     /* 1101024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101056 */     // GIR_Coverage, 61306,
     /* 1101056 */     GIR_EraseRootFromParent_Done,
     /* 1101057 */   // Label 16177: @1101057
     /* 1101057 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1101134), // Rule ID 61307 //
     /* 1101062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1101073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1101076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101101 */     // MIs[0] policy
     /* 1101101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101133 */     // GIR_Coverage, 61307,
     /* 1101133 */     GIR_EraseRootFromParent_Done,
     /* 1101134 */   // Label 16178: @1101134
     /* 1101134 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1101211), // Rule ID 61310 //
     /* 1101139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1101156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101178 */     // MIs[0] policy
     /* 1101178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101188 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101210 */     // GIR_Coverage, 61310,
     /* 1101210 */     GIR_EraseRootFromParent_Done,
     /* 1101211 */   // Label 16179: @1101211
     /* 1101211 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1101288), // Rule ID 61311 //
     /* 1101216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1101233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101255 */     // MIs[0] policy
     /* 1101255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101265 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101287 */     // GIR_Coverage, 61311,
     /* 1101287 */     GIR_EraseRootFromParent_Done,
     /* 1101288 */   // Label 16180: @1101288
     /* 1101288 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1101365), // Rule ID 61314 //
     /* 1101293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1101304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1101307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1101310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1101313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101332 */     // MIs[0] policy
     /* 1101332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101342 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101364 */     // GIR_Coverage, 61314,
     /* 1101364 */     GIR_EraseRootFromParent_Done,
     /* 1101365 */   // Label 16181: @1101365
     /* 1101365 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1101442), // Rule ID 61315 //
     /* 1101370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1101381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1101384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1101387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1101390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101409 */     // MIs[0] policy
     /* 1101409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101419 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101441 */     // GIR_Coverage, 61315,
     /* 1101441 */     GIR_EraseRootFromParent_Done,
     /* 1101442 */   // Label 16182: @1101442
     /* 1101442 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1101519), // Rule ID 61318 //
     /* 1101447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101486 */     // MIs[0] policy
     /* 1101486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101518 */     // GIR_Coverage, 61318,
     /* 1101518 */     GIR_EraseRootFromParent_Done,
     /* 1101519 */   // Label 16183: @1101519
     /* 1101519 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1101596), // Rule ID 61319 //
     /* 1101524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101563 */     // MIs[0] policy
     /* 1101563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101573 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101595 */     // GIR_Coverage, 61319,
     /* 1101595 */     GIR_EraseRootFromParent_Done,
     /* 1101596 */   // Label 16184: @1101596
     /* 1101596 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1101673), // Rule ID 61322 //
     /* 1101601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101640 */     // MIs[0] policy
     /* 1101640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101672 */     // GIR_Coverage, 61322,
     /* 1101672 */     GIR_EraseRootFromParent_Done,
     /* 1101673 */   // Label 16185: @1101673
     /* 1101673 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1101750), // Rule ID 61323 //
     /* 1101678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101717 */     // MIs[0] policy
     /* 1101717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101749 */     // GIR_Coverage, 61323,
     /* 1101749 */     GIR_EraseRootFromParent_Done,
     /* 1101750 */   // Label 16186: @1101750
     /* 1101750 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1101827), // Rule ID 61326 //
     /* 1101755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101794 */     // MIs[0] policy
     /* 1101794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101804 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101826 */     // GIR_Coverage, 61326,
     /* 1101826 */     GIR_EraseRootFromParent_Done,
     /* 1101827 */   // Label 16187: @1101827
     /* 1101827 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1101904), // Rule ID 61327 //
     /* 1101832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101871 */     // MIs[0] policy
     /* 1101871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101903 */     // GIR_Coverage, 61327,
     /* 1101903 */     GIR_EraseRootFromParent_Done,
     /* 1101904 */   // Label 16188: @1101904
     /* 1101904 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101981), // Rule ID 61330 //
     /* 1101909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101948 */     // MIs[0] policy
     /* 1101948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101980 */     // GIR_Coverage, 61330,
     /* 1101980 */     GIR_EraseRootFromParent_Done,
     /* 1101981 */   // Label 16189: @1101981
     /* 1101981 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1102058), // Rule ID 61331 //
     /* 1101986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102025 */     // MIs[0] policy
     /* 1102025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102057 */     // GIR_Coverage, 61331,
     /* 1102057 */     GIR_EraseRootFromParent_Done,
     /* 1102058 */   // Label 16190: @1102058
     /* 1102058 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1102135), // Rule ID 61334 //
     /* 1102063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102102 */     // MIs[0] policy
     /* 1102102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102134 */     // GIR_Coverage, 61334,
     /* 1102134 */     GIR_EraseRootFromParent_Done,
     /* 1102135 */   // Label 16191: @1102135
     /* 1102135 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1102212), // Rule ID 61335 //
     /* 1102140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102179 */     // MIs[0] policy
     /* 1102179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102189 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102211 */     // GIR_Coverage, 61335,
     /* 1102211 */     GIR_EraseRootFromParent_Done,
     /* 1102212 */   // Label 16192: @1102212
     /* 1102212 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1102289), // Rule ID 61338 //
     /* 1102217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102256 */     // MIs[0] policy
     /* 1102256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102288 */     // GIR_Coverage, 61338,
     /* 1102288 */     GIR_EraseRootFromParent_Done,
     /* 1102289 */   // Label 16193: @1102289
     /* 1102289 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1102366), // Rule ID 61339 //
     /* 1102294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102333 */     // MIs[0] policy
     /* 1102333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102365 */     // GIR_Coverage, 61339,
     /* 1102365 */     GIR_EraseRootFromParent_Done,
     /* 1102366 */   // Label 16194: @1102366
     /* 1102366 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1102443), // Rule ID 61342 //
     /* 1102371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1102382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1102385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1102388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102410 */     // MIs[0] policy
     /* 1102410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102420 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102442 */     // GIR_Coverage, 61342,
     /* 1102442 */     GIR_EraseRootFromParent_Done,
     /* 1102443 */   // Label 16195: @1102443
     /* 1102443 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1102520), // Rule ID 61343 //
     /* 1102448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1102459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1102462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1102465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102487 */     // MIs[0] policy
     /* 1102487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102519 */     // GIR_Coverage, 61343,
     /* 1102519 */     GIR_EraseRootFromParent_Done,
     /* 1102520 */   // Label 16196: @1102520
     /* 1102520 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1102597), // Rule ID 61346 //
     /* 1102525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102564 */     // MIs[0] policy
     /* 1102564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102574 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102596 */     // GIR_Coverage, 61346,
     /* 1102596 */     GIR_EraseRootFromParent_Done,
     /* 1102597 */   // Label 16197: @1102597
     /* 1102597 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1102674), // Rule ID 61347 //
     /* 1102602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102641 */     // MIs[0] policy
     /* 1102641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102673 */     // GIR_Coverage, 61347,
     /* 1102673 */     GIR_EraseRootFromParent_Done,
     /* 1102674 */   // Label 16198: @1102674
     /* 1102674 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1102751), // Rule ID 61350 //
     /* 1102679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102718 */     // MIs[0] policy
     /* 1102718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102750 */     // GIR_Coverage, 61350,
     /* 1102750 */     GIR_EraseRootFromParent_Done,
     /* 1102751 */   // Label 16199: @1102751
     /* 1102751 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1102828), // Rule ID 61351 //
     /* 1102756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102795 */     // MIs[0] policy
     /* 1102795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102827 */     // GIR_Coverage, 61351,
     /* 1102827 */     GIR_EraseRootFromParent_Done,
     /* 1102828 */   // Label 16200: @1102828
     /* 1102828 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1102905), // Rule ID 61354 //
     /* 1102833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102872 */     // MIs[0] policy
     /* 1102872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102882 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102904 */     // GIR_Coverage, 61354,
     /* 1102904 */     GIR_EraseRootFromParent_Done,
     /* 1102905 */   // Label 16201: @1102905
     /* 1102905 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102982), // Rule ID 61355 //
     /* 1102910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102949 */     // MIs[0] policy
     /* 1102949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102981 */     // GIR_Coverage, 61355,
     /* 1102981 */     GIR_EraseRootFromParent_Done,
     /* 1102982 */   // Label 16202: @1102982
     /* 1102982 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1103059), // Rule ID 61358 //
     /* 1102987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1102998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103026 */     // MIs[0] policy
     /* 1103026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103036 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103058 */     // GIR_Coverage, 61358,
     /* 1103058 */     GIR_EraseRootFromParent_Done,
     /* 1103059 */   // Label 16203: @1103059
     /* 1103059 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1103136), // Rule ID 61359 //
     /* 1103064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1103075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103103 */     // MIs[0] policy
     /* 1103103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103113 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103135 */     // GIR_Coverage, 61359,
     /* 1103135 */     GIR_EraseRootFromParent_Done,
     /* 1103136 */   // Label 16204: @1103136
     /* 1103136 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1103213), // Rule ID 61362 //
     /* 1103141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1103155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1103158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103180 */     // MIs[0] policy
     /* 1103180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103190 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103212 */     // GIR_Coverage, 61362,
     /* 1103212 */     GIR_EraseRootFromParent_Done,
     /* 1103213 */   // Label 16205: @1103213
     /* 1103213 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1103290), // Rule ID 61363 //
     /* 1103218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1103232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1103235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103257 */     // MIs[0] policy
     /* 1103257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103289 */     // GIR_Coverage, 61363,
     /* 1103289 */     GIR_EraseRootFromParent_Done,
     /* 1103290 */   // Label 16206: @1103290
     /* 1103290 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1103367), // Rule ID 61366 //
     /* 1103295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1103306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1103309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103334 */     // MIs[0] policy
     /* 1103334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103366 */     // GIR_Coverage, 61366,
     /* 1103366 */     GIR_EraseRootFromParent_Done,
     /* 1103367 */   // Label 16207: @1103367
     /* 1103367 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1103444), // Rule ID 61367 //
     /* 1103372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1103383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1103386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103411 */     // MIs[0] policy
     /* 1103411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103443 */     // GIR_Coverage, 61367,
     /* 1103443 */     GIR_EraseRootFromParent_Done,
     /* 1103444 */   // Label 16208: @1103444
     /* 1103444 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1103521), // Rule ID 61370 //
     /* 1103449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103488 */     // MIs[0] policy
     /* 1103488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103498 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103520 */     // GIR_Coverage, 61370,
     /* 1103520 */     GIR_EraseRootFromParent_Done,
     /* 1103521 */   // Label 16209: @1103521
     /* 1103521 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1103598), // Rule ID 61371 //
     /* 1103526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103565 */     // MIs[0] policy
     /* 1103565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103575 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103597 */     // GIR_Coverage, 61371,
     /* 1103597 */     GIR_EraseRootFromParent_Done,
     /* 1103598 */   // Label 16210: @1103598
     /* 1103598 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1103675), // Rule ID 61374 //
     /* 1103603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103642 */     // MIs[0] policy
     /* 1103642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103674 */     // GIR_Coverage, 61374,
     /* 1103674 */     GIR_EraseRootFromParent_Done,
     /* 1103675 */   // Label 16211: @1103675
     /* 1103675 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1103752), // Rule ID 61375 //
     /* 1103680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103719 */     // MIs[0] policy
     /* 1103719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103729 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103751 */     // GIR_Coverage, 61375,
     /* 1103751 */     GIR_EraseRootFromParent_Done,
     /* 1103752 */   // Label 16212: @1103752
     /* 1103752 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1103829), // Rule ID 61378 //
     /* 1103757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103796 */     // MIs[0] policy
     /* 1103796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103828 */     // GIR_Coverage, 61378,
     /* 1103828 */     GIR_EraseRootFromParent_Done,
     /* 1103829 */   // Label 16213: @1103829
     /* 1103829 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1103906), // Rule ID 61379 //
     /* 1103834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103873 */     // MIs[0] policy
     /* 1103873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103905 */     // GIR_Coverage, 61379,
     /* 1103905 */     GIR_EraseRootFromParent_Done,
     /* 1103906 */   // Label 16214: @1103906
     /* 1103906 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103983), // Rule ID 61382 //
     /* 1103911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1103925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103950 */     // MIs[0] policy
     /* 1103950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103982 */     // GIR_Coverage, 61382,
     /* 1103982 */     GIR_EraseRootFromParent_Done,
     /* 1103983 */   // Label 16215: @1103983
     /* 1103983 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1104060), // Rule ID 61383 //
     /* 1103988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1104002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104027 */     // MIs[0] policy
     /* 1104027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104037 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104059 */     // GIR_Coverage, 61383,
     /* 1104059 */     GIR_EraseRootFromParent_Done,
     /* 1104060 */   // Label 16216: @1104060
     /* 1104060 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1104137), // Rule ID 61386 //
     /* 1104065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104104 */     // MIs[0] policy
     /* 1104104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104136 */     // GIR_Coverage, 61386,
     /* 1104136 */     GIR_EraseRootFromParent_Done,
     /* 1104137 */   // Label 16217: @1104137
     /* 1104137 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1104214), // Rule ID 61387 //
     /* 1104142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104181 */     // MIs[0] policy
     /* 1104181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104213 */     // GIR_Coverage, 61387,
     /* 1104213 */     GIR_EraseRootFromParent_Done,
     /* 1104214 */   // Label 16218: @1104214
     /* 1104214 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1104291), // Rule ID 61390 //
     /* 1104219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104258 */     // MIs[0] policy
     /* 1104258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104290 */     // GIR_Coverage, 61390,
     /* 1104290 */     GIR_EraseRootFromParent_Done,
     /* 1104291 */   // Label 16219: @1104291
     /* 1104291 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1104368), // Rule ID 61391 //
     /* 1104296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104335 */     // MIs[0] policy
     /* 1104335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104367 */     // GIR_Coverage, 61391,
     /* 1104367 */     GIR_EraseRootFromParent_Done,
     /* 1104368 */   // Label 16220: @1104368
     /* 1104368 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1104445), // Rule ID 61394 //
     /* 1104373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1104384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1104387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1104390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104412 */     // MIs[0] policy
     /* 1104412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104444 */     // GIR_Coverage, 61394,
     /* 1104444 */     GIR_EraseRootFromParent_Done,
     /* 1104445 */   // Label 16221: @1104445
     /* 1104445 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1104522), // Rule ID 61395 //
     /* 1104450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1104461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1104464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1104467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104489 */     // MIs[0] policy
     /* 1104489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104499 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104521 */     // GIR_Coverage, 61395,
     /* 1104521 */     GIR_EraseRootFromParent_Done,
     /* 1104522 */   // Label 16222: @1104522
     /* 1104522 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1104599), // Rule ID 61398 //
     /* 1104527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104566 */     // MIs[0] policy
     /* 1104566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104598 */     // GIR_Coverage, 61398,
     /* 1104598 */     GIR_EraseRootFromParent_Done,
     /* 1104599 */   // Label 16223: @1104599
     /* 1104599 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1104676), // Rule ID 61399 //
     /* 1104604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104643 */     // MIs[0] policy
     /* 1104643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104653 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104675 */     // GIR_Coverage, 61399,
     /* 1104675 */     GIR_EraseRootFromParent_Done,
     /* 1104676 */   // Label 16224: @1104676
     /* 1104676 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1104753), // Rule ID 61402 //
     /* 1104681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104720 */     // MIs[0] policy
     /* 1104720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104752 */     // GIR_Coverage, 61402,
     /* 1104752 */     GIR_EraseRootFromParent_Done,
     /* 1104753 */   // Label 16225: @1104753
     /* 1104753 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1104830), // Rule ID 61403 //
     /* 1104758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104797 */     // MIs[0] policy
     /* 1104797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104807 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104829 */     // GIR_Coverage, 61403,
     /* 1104829 */     GIR_EraseRootFromParent_Done,
     /* 1104830 */   // Label 16226: @1104830
     /* 1104830 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1104907), // Rule ID 61406 //
     /* 1104835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104874 */     // MIs[0] policy
     /* 1104874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104906 */     // GIR_Coverage, 61406,
     /* 1104906 */     GIR_EraseRootFromParent_Done,
     /* 1104907 */   // Label 16227: @1104907
     /* 1104907 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104984), // Rule ID 61407 //
     /* 1104912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104951 */     // MIs[0] policy
     /* 1104951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104983 */     // GIR_Coverage, 61407,
     /* 1104983 */     GIR_EraseRootFromParent_Done,
     /* 1104984 */   // Label 16228: @1104984
     /* 1104984 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1105061), // Rule ID 61410 //
     /* 1104989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105028 */     // MIs[0] policy
     /* 1105028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105038 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105060 */     // GIR_Coverage, 61410,
     /* 1105060 */     GIR_EraseRootFromParent_Done,
     /* 1105061 */   // Label 16229: @1105061
     /* 1105061 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1105138), // Rule ID 61411 //
     /* 1105066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105105 */     // MIs[0] policy
     /* 1105105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105115 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105137 */     // GIR_Coverage, 61411,
     /* 1105137 */     GIR_EraseRootFromParent_Done,
     /* 1105138 */   // Label 16230: @1105138
     /* 1105138 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1105215), // Rule ID 61414 //
     /* 1105143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1105157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105182 */     // MIs[0] policy
     /* 1105182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105214 */     // GIR_Coverage, 61414,
     /* 1105214 */     GIR_EraseRootFromParent_Done,
     /* 1105215 */   // Label 16231: @1105215
     /* 1105215 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1105292), // Rule ID 61415 //
     /* 1105220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1105234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105259 */     // MIs[0] policy
     /* 1105259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105269 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105291 */     // GIR_Coverage, 61415,
     /* 1105291 */     GIR_EraseRootFromParent_Done,
     /* 1105292 */   // Label 16232: @1105292
     /* 1105292 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1105369), // Rule ID 61418 //
     /* 1105297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105336 */     // MIs[0] policy
     /* 1105336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105368 */     // GIR_Coverage, 61418,
     /* 1105368 */     GIR_EraseRootFromParent_Done,
     /* 1105369 */   // Label 16233: @1105369
     /* 1105369 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1105446), // Rule ID 61419 //
     /* 1105374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105413 */     // MIs[0] policy
     /* 1105413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105423 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105445 */     // GIR_Coverage, 61419,
     /* 1105445 */     GIR_EraseRootFromParent_Done,
     /* 1105446 */   // Label 16234: @1105446
     /* 1105446 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1105523), // Rule ID 61422 //
     /* 1105451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105490 */     // MIs[0] policy
     /* 1105490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105522 */     // GIR_Coverage, 61422,
     /* 1105522 */     GIR_EraseRootFromParent_Done,
     /* 1105523 */   // Label 16235: @1105523
     /* 1105523 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1105600), // Rule ID 61423 //
     /* 1105528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105567 */     // MIs[0] policy
     /* 1105567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105577 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105599 */     // GIR_Coverage, 61423,
     /* 1105599 */     GIR_EraseRootFromParent_Done,
     /* 1105600 */   // Label 16236: @1105600
     /* 1105600 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1105677), // Rule ID 61426 //
     /* 1105605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105644 */     // MIs[0] policy
     /* 1105644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105654 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105676 */     // GIR_Coverage, 61426,
     /* 1105676 */     GIR_EraseRootFromParent_Done,
     /* 1105677 */   // Label 16237: @1105677
     /* 1105677 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1105754), // Rule ID 61427 //
     /* 1105682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105721 */     // MIs[0] policy
     /* 1105721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105753 */     // GIR_Coverage, 61427,
     /* 1105753 */     GIR_EraseRootFromParent_Done,
     /* 1105754 */   // Label 16238: @1105754
     /* 1105754 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1105831), // Rule ID 61430 //
     /* 1105759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105798 */     // MIs[0] policy
     /* 1105798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105830 */     // GIR_Coverage, 61430,
     /* 1105830 */     GIR_EraseRootFromParent_Done,
     /* 1105831 */   // Label 16239: @1105831
     /* 1105831 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1105908), // Rule ID 61431 //
     /* 1105836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105875 */     // MIs[0] policy
     /* 1105875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105885 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105907 */     // GIR_Coverage, 61431,
     /* 1105907 */     GIR_EraseRootFromParent_Done,
     /* 1105908 */   // Label 16240: @1105908
     /* 1105908 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105985), // Rule ID 61434 //
     /* 1105913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105952 */     // MIs[0] policy
     /* 1105952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105962 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105984 */     // GIR_Coverage, 61434,
     /* 1105984 */     GIR_EraseRootFromParent_Done,
     /* 1105985 */   // Label 16241: @1105985
     /* 1105985 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1106062), // Rule ID 61435 //
     /* 1105990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106029 */     // MIs[0] policy
     /* 1106029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106039 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1106042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106061 */     // GIR_Coverage, 61435,
     /* 1106061 */     GIR_EraseRootFromParent_Done,
     /* 1106062 */   // Label 16242: @1106062
     /* 1106062 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1106139), // Rule ID 61438 //
     /* 1106067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106106 */     // MIs[0] policy
     /* 1106106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106138 */     // GIR_Coverage, 61438,
     /* 1106138 */     GIR_EraseRootFromParent_Done,
     /* 1106139 */   // Label 16243: @1106139
     /* 1106139 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1106216), // Rule ID 61439 //
     /* 1106144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106183 */     // MIs[0] policy
     /* 1106183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106215 */     // GIR_Coverage, 61439,
     /* 1106215 */     GIR_EraseRootFromParent_Done,
     /* 1106216 */   // Label 16244: @1106216
     /* 1106216 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1106293), // Rule ID 61964 //
     /* 1106221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106260 */     // MIs[0] policy
     /* 1106260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1106273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106292 */     // GIR_Coverage, 61964,
     /* 1106292 */     GIR_EraseRootFromParent_Done,
     /* 1106293 */   // Label 16245: @1106293
     /* 1106293 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1106370), // Rule ID 61965 //
     /* 1106298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106337 */     // MIs[0] policy
     /* 1106337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1106350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106369 */     // GIR_Coverage, 61965,
     /* 1106369 */     GIR_EraseRootFromParent_Done,
     /* 1106370 */   // Label 16246: @1106370
     /* 1106370 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1106447), // Rule ID 61966 //
     /* 1106375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106414 */     // MIs[0] policy
     /* 1106414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1106427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106446 */     // GIR_Coverage, 61966,
     /* 1106446 */     GIR_EraseRootFromParent_Done,
     /* 1106447 */   // Label 16247: @1106447
     /* 1106447 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1106524), // Rule ID 61967 //
     /* 1106452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106491 */     // MIs[0] policy
     /* 1106491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1106504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106523 */     // GIR_Coverage, 61967,
     /* 1106523 */     GIR_EraseRootFromParent_Done,
     /* 1106524 */   // Label 16248: @1106524
     /* 1106524 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1106601), // Rule ID 61968 //
     /* 1106529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106568 */     // MIs[0] policy
     /* 1106568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106600 */     // GIR_Coverage, 61968,
     /* 1106600 */     GIR_EraseRootFromParent_Done,
     /* 1106601 */   // Label 16249: @1106601
     /* 1106601 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1106678), // Rule ID 61969 //
     /* 1106606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106645 */     // MIs[0] policy
     /* 1106645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106655 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106677 */     // GIR_Coverage, 61969,
     /* 1106677 */     GIR_EraseRootFromParent_Done,
     /* 1106678 */   // Label 16250: @1106678
     /* 1106678 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1106755), // Rule ID 61970 //
     /* 1106683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106722 */     // MIs[0] policy
     /* 1106722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106754 */     // GIR_Coverage, 61970,
     /* 1106754 */     GIR_EraseRootFromParent_Done,
     /* 1106755 */   // Label 16251: @1106755
     /* 1106755 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1106832), // Rule ID 61971 //
     /* 1106760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106799 */     // MIs[0] policy
     /* 1106799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106831 */     // GIR_Coverage, 61971,
     /* 1106831 */     GIR_EraseRootFromParent_Done,
     /* 1106832 */   // Label 16252: @1106832
     /* 1106832 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1106909), // Rule ID 62174 //
     /* 1106837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106876 */     // MIs[0] policy
     /* 1106876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106908 */     // GIR_Coverage, 62174,
     /* 1106908 */     GIR_EraseRootFromParent_Done,
     /* 1106909 */   // Label 16253: @1106909
     /* 1106909 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106986), // Rule ID 62175 //
     /* 1106914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106953 */     // MIs[0] policy
     /* 1106953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106963 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106985 */     // GIR_Coverage, 62175,
     /* 1106985 */     GIR_EraseRootFromParent_Done,
     /* 1106986 */   // Label 16254: @1106986
     /* 1106986 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1107063), // Rule ID 62176 //
     /* 1106991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107030 */     // MIs[0] policy
     /* 1107030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107062 */     // GIR_Coverage, 62176,
     /* 1107062 */     GIR_EraseRootFromParent_Done,
     /* 1107063 */   // Label 16255: @1107063
     /* 1107063 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1107140), // Rule ID 62177 //
     /* 1107068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107107 */     // MIs[0] policy
     /* 1107107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107139 */     // GIR_Coverage, 62177,
     /* 1107139 */     GIR_EraseRootFromParent_Done,
     /* 1107140 */   // Label 16256: @1107140
     /* 1107140 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1107217), // Rule ID 62178 //
     /* 1107145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107184 */     // MIs[0] policy
     /* 1107184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107216 */     // GIR_Coverage, 62178,
     /* 1107216 */     GIR_EraseRootFromParent_Done,
     /* 1107217 */   // Label 16257: @1107217
     /* 1107217 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1107294), // Rule ID 62179 //
     /* 1107222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107261 */     // MIs[0] policy
     /* 1107261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107293 */     // GIR_Coverage, 62179,
     /* 1107293 */     GIR_EraseRootFromParent_Done,
     /* 1107294 */   // Label 16258: @1107294
     /* 1107294 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1107371), // Rule ID 62180 //
     /* 1107299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107338 */     // MIs[0] policy
     /* 1107338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107370 */     // GIR_Coverage, 62180,
     /* 1107370 */     GIR_EraseRootFromParent_Done,
     /* 1107371 */   // Label 16259: @1107371
     /* 1107371 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1107448), // Rule ID 62181 //
     /* 1107376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107415 */     // MIs[0] policy
     /* 1107415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107447 */     // GIR_Coverage, 62181,
     /* 1107447 */     GIR_EraseRootFromParent_Done,
     /* 1107448 */   // Label 16260: @1107448
     /* 1107448 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1107525), // Rule ID 62182 //
     /* 1107453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107492 */     // MIs[0] policy
     /* 1107492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107524 */     // GIR_Coverage, 62182,
     /* 1107524 */     GIR_EraseRootFromParent_Done,
     /* 1107525 */   // Label 16261: @1107525
     /* 1107525 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1107602), // Rule ID 62183 //
     /* 1107530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107569 */     // MIs[0] policy
     /* 1107569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107601 */     // GIR_Coverage, 62183,
     /* 1107601 */     GIR_EraseRootFromParent_Done,
     /* 1107602 */   // Label 16262: @1107602
     /* 1107602 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1107679), // Rule ID 62184 //
     /* 1107607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107646 */     // MIs[0] policy
     /* 1107646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107678 */     // GIR_Coverage, 62184,
     /* 1107678 */     GIR_EraseRootFromParent_Done,
     /* 1107679 */   // Label 16263: @1107679
     /* 1107679 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1107756), // Rule ID 62185 //
     /* 1107684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107723 */     // MIs[0] policy
     /* 1107723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107755 */     // GIR_Coverage, 62185,
     /* 1107755 */     GIR_EraseRootFromParent_Done,
     /* 1107756 */   // Label 16264: @1107756
     /* 1107756 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1107833), // Rule ID 62186 //
     /* 1107761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107800 */     // MIs[0] policy
     /* 1107800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107832 */     // GIR_Coverage, 62186,
     /* 1107832 */     GIR_EraseRootFromParent_Done,
     /* 1107833 */   // Label 16265: @1107833
     /* 1107833 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1107910), // Rule ID 62187 //
     /* 1107838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107877 */     // MIs[0] policy
     /* 1107877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107909 */     // GIR_Coverage, 62187,
     /* 1107909 */     GIR_EraseRootFromParent_Done,
     /* 1107910 */   // Label 16266: @1107910
     /* 1107910 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107987), // Rule ID 62188 //
     /* 1107915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107954 */     // MIs[0] policy
     /* 1107954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107986 */     // GIR_Coverage, 62188,
     /* 1107986 */     GIR_EraseRootFromParent_Done,
     /* 1107987 */   // Label 16267: @1107987
     /* 1107987 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1108064), // Rule ID 62189 //
     /* 1107992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108031 */     // MIs[0] policy
     /* 1108031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108063 */     // GIR_Coverage, 62189,
     /* 1108063 */     GIR_EraseRootFromParent_Done,
     /* 1108064 */   // Label 16268: @1108064
     /* 1108064 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1108141), // Rule ID 62190 //
     /* 1108069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108108 */     // MIs[0] policy
     /* 1108108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108140 */     // GIR_Coverage, 62190,
     /* 1108140 */     GIR_EraseRootFromParent_Done,
     /* 1108141 */   // Label 16269: @1108141
     /* 1108141 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1108218), // Rule ID 62191 //
     /* 1108146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108185 */     // MIs[0] policy
     /* 1108185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108217 */     // GIR_Coverage, 62191,
     /* 1108217 */     GIR_EraseRootFromParent_Done,
     /* 1108218 */   // Label 16270: @1108218
     /* 1108218 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1108295), // Rule ID 62192 //
     /* 1108223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108262 */     // MIs[0] policy
     /* 1108262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108294 */     // GIR_Coverage, 62192,
     /* 1108294 */     GIR_EraseRootFromParent_Done,
     /* 1108295 */   // Label 16271: @1108295
     /* 1108295 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1108372), // Rule ID 62193 //
     /* 1108300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108339 */     // MIs[0] policy
     /* 1108339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108371 */     // GIR_Coverage, 62193,
     /* 1108371 */     GIR_EraseRootFromParent_Done,
     /* 1108372 */   // Label 16272: @1108372
     /* 1108372 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1108449), // Rule ID 62194 //
     /* 1108377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108416 */     // MIs[0] policy
     /* 1108416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1108429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108448 */     // GIR_Coverage, 62194,
     /* 1108448 */     GIR_EraseRootFromParent_Done,
     /* 1108449 */   // Label 16273: @1108449
     /* 1108449 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1108526), // Rule ID 62195 //
     /* 1108454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108493 */     // MIs[0] policy
     /* 1108493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1108506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108525 */     // GIR_Coverage, 62195,
     /* 1108525 */     GIR_EraseRootFromParent_Done,
     /* 1108526 */   // Label 16274: @1108526
     /* 1108526 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1108603), // Rule ID 62196 //
     /* 1108531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108570 */     // MIs[0] policy
     /* 1108570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108602 */     // GIR_Coverage, 62196,
     /* 1108602 */     GIR_EraseRootFromParent_Done,
     /* 1108603 */   // Label 16275: @1108603
     /* 1108603 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1108680), // Rule ID 62197 //
     /* 1108608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108647 */     // MIs[0] policy
     /* 1108647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108679 */     // GIR_Coverage, 62197,
     /* 1108679 */     GIR_EraseRootFromParent_Done,
     /* 1108680 */   // Label 16276: @1108680
     /* 1108680 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1108757), // Rule ID 62198 //
     /* 1108685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108724 */     // MIs[0] policy
     /* 1108724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108756 */     // GIR_Coverage, 62198,
     /* 1108756 */     GIR_EraseRootFromParent_Done,
     /* 1108757 */   // Label 16277: @1108757
     /* 1108757 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1108834), // Rule ID 62199 //
     /* 1108762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108801 */     // MIs[0] policy
     /* 1108801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108833 */     // GIR_Coverage, 62199,
     /* 1108833 */     GIR_EraseRootFromParent_Done,
     /* 1108834 */   // Label 16278: @1108834
     /* 1108834 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1108911), // Rule ID 62200 //
     /* 1108839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108878 */     // MIs[0] policy
     /* 1108878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108910 */     // GIR_Coverage, 62200,
     /* 1108910 */     GIR_EraseRootFromParent_Done,
     /* 1108911 */   // Label 16279: @1108911
     /* 1108911 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108988), // Rule ID 62201 //
     /* 1108916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108955 */     // MIs[0] policy
     /* 1108955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108987 */     // GIR_Coverage, 62201,
     /* 1108987 */     GIR_EraseRootFromParent_Done,
     /* 1108988 */   // Label 16280: @1108988
     /* 1108988 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1109065), // Rule ID 62202 //
     /* 1108993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109032 */     // MIs[0] policy
     /* 1109032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1109045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109064 */     // GIR_Coverage, 62202,
     /* 1109064 */     GIR_EraseRootFromParent_Done,
     /* 1109065 */   // Label 16281: @1109065
     /* 1109065 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1109142), // Rule ID 62203 //
     /* 1109070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1109073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109109 */     // MIs[0] policy
     /* 1109109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1109122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109141 */     // GIR_Coverage, 62203,
     /* 1109141 */     GIR_EraseRootFromParent_Done,
     /* 1109142 */   // Label 16282: @1109142
     /* 1109142 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1109219), // Rule ID 62204 //
     /* 1109147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109186 */     // MIs[0] policy
     /* 1109186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1109199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109218 */     // GIR_Coverage, 62204,
     /* 1109218 */     GIR_EraseRootFromParent_Done,
     /* 1109219 */   // Label 16283: @1109219
     /* 1109219 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1109296), // Rule ID 62205 //
     /* 1109224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109263 */     // MIs[0] policy
     /* 1109263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1109276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109295 */     // GIR_Coverage, 62205,
     /* 1109295 */     GIR_EraseRootFromParent_Done,
     /* 1109296 */   // Label 16284: @1109296
     /* 1109296 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1109373), // Rule ID 62206 //
     /* 1109301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109340 */     // MIs[0] policy
     /* 1109340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109372 */     // GIR_Coverage, 62206,
     /* 1109372 */     GIR_EraseRootFromParent_Done,
     /* 1109373 */   // Label 16285: @1109373
     /* 1109373 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1109450), // Rule ID 62207 //
     /* 1109378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109417 */     // MIs[0] policy
     /* 1109417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109449 */     // GIR_Coverage, 62207,
     /* 1109449 */     GIR_EraseRootFromParent_Done,
     /* 1109450 */   // Label 16286: @1109450
     /* 1109450 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1109527), // Rule ID 62208 //
     /* 1109455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109494 */     // MIs[0] policy
     /* 1109494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109526 */     // GIR_Coverage, 62208,
     /* 1109526 */     GIR_EraseRootFromParent_Done,
     /* 1109527 */   // Label 16287: @1109527
     /* 1109527 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1109604), // Rule ID 62209 //
     /* 1109532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109571 */     // MIs[0] policy
     /* 1109571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109581 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109603 */     // GIR_Coverage, 62209,
     /* 1109603 */     GIR_EraseRootFromParent_Done,
     /* 1109604 */   // Label 16288: @1109604
     /* 1109604 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1109681), // Rule ID 62210 //
     /* 1109609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109648 */     // MIs[0] policy
     /* 1109648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109680 */     // GIR_Coverage, 62210,
     /* 1109680 */     GIR_EraseRootFromParent_Done,
     /* 1109681 */   // Label 16289: @1109681
     /* 1109681 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1109758), // Rule ID 62211 //
     /* 1109686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109725 */     // MIs[0] policy
     /* 1109725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109757 */     // GIR_Coverage, 62211,
     /* 1109757 */     GIR_EraseRootFromParent_Done,
     /* 1109758 */   // Label 16290: @1109758
     /* 1109758 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1109835), // Rule ID 62212 //
     /* 1109763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109802 */     // MIs[0] policy
     /* 1109802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109834 */     // GIR_Coverage, 62212,
     /* 1109834 */     GIR_EraseRootFromParent_Done,
     /* 1109835 */   // Label 16291: @1109835
     /* 1109835 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109912), // Rule ID 62213 //
     /* 1109840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109879 */     // MIs[0] policy
     /* 1109879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109911 */     // GIR_Coverage, 62213,
     /* 1109911 */     GIR_EraseRootFromParent_Done,
     /* 1109912 */   // Label 16292: @1109912
     /* 1109912 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109989), // Rule ID 62214 //
     /* 1109917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109956 */     // MIs[0] policy
     /* 1109956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109988 */     // GIR_Coverage, 62214,
     /* 1109988 */     GIR_EraseRootFromParent_Done,
     /* 1109989 */   // Label 16293: @1109989
     /* 1109989 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1110066), // Rule ID 62215 //
     /* 1109994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110033 */     // MIs[0] policy
     /* 1110033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110043 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110065 */     // GIR_Coverage, 62215,
     /* 1110065 */     GIR_EraseRootFromParent_Done,
     /* 1110066 */   // Label 16294: @1110066
     /* 1110066 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1110143), // Rule ID 62216 //
     /* 1110071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1110091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110110 */     // MIs[0] policy
     /* 1110110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110142 */     // GIR_Coverage, 62216,
     /* 1110142 */     GIR_EraseRootFromParent_Done,
     /* 1110143 */   // Label 16295: @1110143
     /* 1110143 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1110220), // Rule ID 62217 //
     /* 1110148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1110168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110187 */     // MIs[0] policy
     /* 1110187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110219 */     // GIR_Coverage, 62217,
     /* 1110219 */     GIR_EraseRootFromParent_Done,
     /* 1110220 */   // Label 16296: @1110220
     /* 1110220 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1110297), // Rule ID 62218 //
     /* 1110225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110264 */     // MIs[0] policy
     /* 1110264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110296 */     // GIR_Coverage, 62218,
     /* 1110296 */     GIR_EraseRootFromParent_Done,
     /* 1110297 */   // Label 16297: @1110297
     /* 1110297 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1110374), // Rule ID 62219 //
     /* 1110302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110341 */     // MIs[0] policy
     /* 1110341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110373 */     // GIR_Coverage, 62219,
     /* 1110373 */     GIR_EraseRootFromParent_Done,
     /* 1110374 */   // Label 16298: @1110374
     /* 1110374 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1110451), // Rule ID 62220 //
     /* 1110379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110418 */     // MIs[0] policy
     /* 1110418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110450 */     // GIR_Coverage, 62220,
     /* 1110450 */     GIR_EraseRootFromParent_Done,
     /* 1110451 */   // Label 16299: @1110451
     /* 1110451 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1110528), // Rule ID 62221 //
     /* 1110456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110495 */     // MIs[0] policy
     /* 1110495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110527 */     // GIR_Coverage, 62221,
     /* 1110527 */     GIR_EraseRootFromParent_Done,
     /* 1110528 */   // Label 16300: @1110528
     /* 1110528 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1110605), // Rule ID 62222 //
     /* 1110533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110572 */     // MIs[0] policy
     /* 1110572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110604 */     // GIR_Coverage, 62222,
     /* 1110604 */     GIR_EraseRootFromParent_Done,
     /* 1110605 */   // Label 16301: @1110605
     /* 1110605 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1110682), // Rule ID 62223 //
     /* 1110610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110649 */     // MIs[0] policy
     /* 1110649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110681 */     // GIR_Coverage, 62223,
     /* 1110681 */     GIR_EraseRootFromParent_Done,
     /* 1110682 */   // Label 16302: @1110682
     /* 1110682 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1110759), // Rule ID 62224 //
     /* 1110687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110726 */     // MIs[0] policy
     /* 1110726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110758 */     // GIR_Coverage, 62224,
     /* 1110758 */     GIR_EraseRootFromParent_Done,
     /* 1110759 */   // Label 16303: @1110759
     /* 1110759 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1110836), // Rule ID 62225 //
     /* 1110764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110803 */     // MIs[0] policy
     /* 1110803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110835 */     // GIR_Coverage, 62225,
     /* 1110835 */     GIR_EraseRootFromParent_Done,
     /* 1110836 */   // Label 16304: @1110836
     /* 1110836 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110913), // Rule ID 62226 //
     /* 1110841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110880 */     // MIs[0] policy
     /* 1110880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110912 */     // GIR_Coverage, 62226,
     /* 1110912 */     GIR_EraseRootFromParent_Done,
     /* 1110913 */   // Label 16305: @1110913
     /* 1110913 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110990), // Rule ID 62227 //
     /* 1110918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110957 */     // MIs[0] policy
     /* 1110957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110989 */     // GIR_Coverage, 62227,
     /* 1110989 */     GIR_EraseRootFromParent_Done,
     /* 1110990 */   // Label 16306: @1110990
     /* 1110990 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1111067), // Rule ID 62228 //
     /* 1110995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111034 */     // MIs[0] policy
     /* 1111034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111066 */     // GIR_Coverage, 62228,
     /* 1111066 */     GIR_EraseRootFromParent_Done,
     /* 1111067 */   // Label 16307: @1111067
     /* 1111067 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1111144), // Rule ID 62229 //
     /* 1111072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111111 */     // MIs[0] policy
     /* 1111111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111121 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111143 */     // GIR_Coverage, 62229,
     /* 1111143 */     GIR_EraseRootFromParent_Done,
     /* 1111144 */   // Label 16308: @1111144
     /* 1111144 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1111221), // Rule ID 62230 //
     /* 1111149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111188 */     // MIs[0] policy
     /* 1111188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111220 */     // GIR_Coverage, 62230,
     /* 1111220 */     GIR_EraseRootFromParent_Done,
     /* 1111221 */   // Label 16309: @1111221
     /* 1111221 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1111298), // Rule ID 62231 //
     /* 1111226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111265 */     // MIs[0] policy
     /* 1111265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111297 */     // GIR_Coverage, 62231,
     /* 1111297 */     GIR_EraseRootFromParent_Done,
     /* 1111298 */   // Label 16310: @1111298
     /* 1111298 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1111375), // Rule ID 62232 //
     /* 1111303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111342 */     // MIs[0] policy
     /* 1111342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111374 */     // GIR_Coverage, 62232,
     /* 1111374 */     GIR_EraseRootFromParent_Done,
     /* 1111375 */   // Label 16311: @1111375
     /* 1111375 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1111452), // Rule ID 62233 //
     /* 1111380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111419 */     // MIs[0] policy
     /* 1111419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111451 */     // GIR_Coverage, 62233,
     /* 1111451 */     GIR_EraseRootFromParent_Done,
     /* 1111452 */   // Label 16312: @1111452
     /* 1111452 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1111529), // Rule ID 62234 //
     /* 1111457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111496 */     // MIs[0] policy
     /* 1111496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111528 */     // GIR_Coverage, 62234,
     /* 1111528 */     GIR_EraseRootFromParent_Done,
     /* 1111529 */   // Label 16313: @1111529
     /* 1111529 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1111606), // Rule ID 62235 //
     /* 1111534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111573 */     // MIs[0] policy
     /* 1111573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111605 */     // GIR_Coverage, 62235,
     /* 1111605 */     GIR_EraseRootFromParent_Done,
     /* 1111606 */   // Label 16314: @1111606
     /* 1111606 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1111683), // Rule ID 62236 //
     /* 1111611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111650 */     // MIs[0] policy
     /* 1111650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111682 */     // GIR_Coverage, 62236,
     /* 1111682 */     GIR_EraseRootFromParent_Done,
     /* 1111683 */   // Label 16315: @1111683
     /* 1111683 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1111760), // Rule ID 62237 //
     /* 1111688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111727 */     // MIs[0] policy
     /* 1111727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111759 */     // GIR_Coverage, 62237,
     /* 1111759 */     GIR_EraseRootFromParent_Done,
     /* 1111760 */   // Label 16316: @1111760
     /* 1111760 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111837), // Rule ID 62238 //
     /* 1111765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111804 */     // MIs[0] policy
     /* 1111804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111836 */     // GIR_Coverage, 62238,
     /* 1111836 */     GIR_EraseRootFromParent_Done,
     /* 1111837 */   // Label 16317: @1111837
     /* 1111837 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111914), // Rule ID 62239 //
     /* 1111842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111881 */     // MIs[0] policy
     /* 1111881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111913 */     // GIR_Coverage, 62239,
     /* 1111913 */     GIR_EraseRootFromParent_Done,
     /* 1111914 */   // Label 16318: @1111914
     /* 1111914 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111991), // Rule ID 62240 //
     /* 1111919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111958 */     // MIs[0] policy
     /* 1111958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1111971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111990 */     // GIR_Coverage, 62240,
     /* 1111990 */     GIR_EraseRootFromParent_Done,
     /* 1111991 */   // Label 16319: @1111991
     /* 1111991 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1112068), // Rule ID 62241 //
     /* 1111996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112035 */     // MIs[0] policy
     /* 1112035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112067 */     // GIR_Coverage, 62241,
     /* 1112067 */     GIR_EraseRootFromParent_Done,
     /* 1112068 */   // Label 16320: @1112068
     /* 1112068 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1112145), // Rule ID 62242 //
     /* 1112073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112112 */     // MIs[0] policy
     /* 1112112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112144 */     // GIR_Coverage, 62242,
     /* 1112144 */     GIR_EraseRootFromParent_Done,
     /* 1112145 */   // Label 16321: @1112145
     /* 1112145 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1112222), // Rule ID 62243 //
     /* 1112150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112189 */     // MIs[0] policy
     /* 1112189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112221 */     // GIR_Coverage, 62243,
     /* 1112221 */     GIR_EraseRootFromParent_Done,
     /* 1112222 */   // Label 16322: @1112222
     /* 1112222 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1112299), // Rule ID 62244 //
     /* 1112227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1112238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1112241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1112244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1112247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112266 */     // MIs[0] policy
     /* 1112266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1112279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112298 */     // GIR_Coverage, 62244,
     /* 1112298 */     GIR_EraseRootFromParent_Done,
     /* 1112299 */   // Label 16323: @1112299
     /* 1112299 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1112376), // Rule ID 62245 //
     /* 1112304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1112315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1112318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1112321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1112324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112343 */     // MIs[0] policy
     /* 1112343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1112356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112375 */     // GIR_Coverage, 62245,
     /* 1112375 */     GIR_EraseRootFromParent_Done,
     /* 1112376 */   // Label 16324: @1112376
     /* 1112376 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1112453), // Rule ID 62246 //
     /* 1112381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112420 */     // MIs[0] policy
     /* 1112420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112452 */     // GIR_Coverage, 62246,
     /* 1112452 */     GIR_EraseRootFromParent_Done,
     /* 1112453 */   // Label 16325: @1112453
     /* 1112453 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1112530), // Rule ID 62247 //
     /* 1112458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112497 */     // MIs[0] policy
     /* 1112497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112529 */     // GIR_Coverage, 62247,
     /* 1112529 */     GIR_EraseRootFromParent_Done,
     /* 1112530 */   // Label 16326: @1112530
     /* 1112530 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1112607), // Rule ID 62248 //
     /* 1112535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112574 */     // MIs[0] policy
     /* 1112574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112606 */     // GIR_Coverage, 62248,
     /* 1112606 */     GIR_EraseRootFromParent_Done,
     /* 1112607 */   // Label 16327: @1112607
     /* 1112607 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1112684), // Rule ID 62249 //
     /* 1112612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112651 */     // MIs[0] policy
     /* 1112651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112683 */     // GIR_Coverage, 62249,
     /* 1112683 */     GIR_EraseRootFromParent_Done,
     /* 1112684 */   // Label 16328: @1112684
     /* 1112684 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1112761), // Rule ID 62250 //
     /* 1112689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112728 */     // MIs[0] policy
     /* 1112728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112738 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112760 */     // GIR_Coverage, 62250,
     /* 1112760 */     GIR_EraseRootFromParent_Done,
     /* 1112761 */   // Label 16329: @1112761
     /* 1112761 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112838), // Rule ID 62251 //
     /* 1112766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112805 */     // MIs[0] policy
     /* 1112805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112837 */     // GIR_Coverage, 62251,
     /* 1112837 */     GIR_EraseRootFromParent_Done,
     /* 1112838 */   // Label 16330: @1112838
     /* 1112838 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112915), // Rule ID 62252 //
     /* 1112843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112882 */     // MIs[0] policy
     /* 1112882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112914 */     // GIR_Coverage, 62252,
     /* 1112914 */     GIR_EraseRootFromParent_Done,
     /* 1112915 */   // Label 16331: @1112915
     /* 1112915 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112992), // Rule ID 62253 //
     /* 1112920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112959 */     // MIs[0] policy
     /* 1112959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112991 */     // GIR_Coverage, 62253,
     /* 1112991 */     GIR_EraseRootFromParent_Done,
     /* 1112992 */   // Label 16332: @1112992
     /* 1112992 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1113069), // Rule ID 62254 //
     /* 1112997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1113008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1113011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1113014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1113017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113036 */     // MIs[0] policy
     /* 1113036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1113049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113068 */     // GIR_Coverage, 62254,
     /* 1113068 */     GIR_EraseRootFromParent_Done,
     /* 1113069 */   // Label 16333: @1113069
     /* 1113069 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1113146), // Rule ID 62255 //
     /* 1113074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1113085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1113088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1113091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1113094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113113 */     // MIs[0] policy
     /* 1113113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1113126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113145 */     // GIR_Coverage, 62255,
     /* 1113145 */     GIR_EraseRootFromParent_Done,
     /* 1113146 */   // Label 16334: @1113146
     /* 1113146 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1113223), // Rule ID 62256 //
     /* 1113151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1113162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1113165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1113168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1113171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113190 */     // MIs[0] policy
     /* 1113190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1113203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113222 */     // GIR_Coverage, 62256,
     /* 1113222 */     GIR_EraseRootFromParent_Done,
     /* 1113223 */   // Label 16335: @1113223
     /* 1113223 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1113300), // Rule ID 62257 //
     /* 1113228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1113239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1113242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1113245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1113248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113267 */     // MIs[0] policy
     /* 1113267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113277 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1113280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113299 */     // GIR_Coverage, 62257,
     /* 1113299 */     GIR_EraseRootFromParent_Done,
     /* 1113300 */   // Label 16336: @1113300
     /* 1113300 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1113377), // Rule ID 62517 //
     /* 1113305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113344 */     // MIs[0] policy
     /* 1113344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1113357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113376 */     // GIR_Coverage, 62517,
     /* 1113376 */     GIR_EraseRootFromParent_Done,
     /* 1113377 */   // Label 16337: @1113377
     /* 1113377 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1113454), // Rule ID 62518 //
     /* 1113382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113421 */     // MIs[0] policy
     /* 1113421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1113434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113453 */     // GIR_Coverage, 62518,
     /* 1113453 */     GIR_EraseRootFromParent_Done,
     /* 1113454 */   // Label 16338: @1113454
     /* 1113454 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1113531), // Rule ID 62521 //
     /* 1113459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113498 */     // MIs[0] policy
     /* 1113498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113530 */     // GIR_Coverage, 62521,
     /* 1113530 */     GIR_EraseRootFromParent_Done,
     /* 1113531 */   // Label 16339: @1113531
     /* 1113531 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1113608), // Rule ID 62522 //
     /* 1113536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113575 */     // MIs[0] policy
     /* 1113575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113585 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113607 */     // GIR_Coverage, 62522,
     /* 1113607 */     GIR_EraseRootFromParent_Done,
     /* 1113608 */   // Label 16340: @1113608
     /* 1113608 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1113685), // Rule ID 62525 //
     /* 1113613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113652 */     // MIs[0] policy
     /* 1113652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113684 */     // GIR_Coverage, 62525,
     /* 1113684 */     GIR_EraseRootFromParent_Done,
     /* 1113685 */   // Label 16341: @1113685
     /* 1113685 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113762), // Rule ID 62526 //
     /* 1113690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113729 */     // MIs[0] policy
     /* 1113729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113761 */     // GIR_Coverage, 62526,
     /* 1113761 */     GIR_EraseRootFromParent_Done,
     /* 1113762 */   // Label 16342: @1113762
     /* 1113762 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113839), // Rule ID 62529 //
     /* 1113767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113806 */     // MIs[0] policy
     /* 1113806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113838 */     // GIR_Coverage, 62529,
     /* 1113838 */     GIR_EraseRootFromParent_Done,
     /* 1113839 */   // Label 16343: @1113839
     /* 1113839 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113916), // Rule ID 62530 //
     /* 1113844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113883 */     // MIs[0] policy
     /* 1113883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113893 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113915 */     // GIR_Coverage, 62530,
     /* 1113915 */     GIR_EraseRootFromParent_Done,
     /* 1113916 */   // Label 16344: @1113916
     /* 1113916 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113993), // Rule ID 62533 //
     /* 1113921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113960 */     // MIs[0] policy
     /* 1113960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1113973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113992 */     // GIR_Coverage, 62533,
     /* 1113992 */     GIR_EraseRootFromParent_Done,
     /* 1113993 */   // Label 16345: @1113993
     /* 1113993 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1114070), // Rule ID 62534 //
     /* 1113998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1114015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114037 */     // MIs[0] policy
     /* 1114037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1114050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114069 */     // GIR_Coverage, 62534,
     /* 1114069 */     GIR_EraseRootFromParent_Done,
     /* 1114070 */   // Label 16346: @1114070
     /* 1114070 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1114147), // Rule ID 62537 //
     /* 1114075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114114 */     // MIs[0] policy
     /* 1114114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1114127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114146 */     // GIR_Coverage, 62537,
     /* 1114146 */     GIR_EraseRootFromParent_Done,
     /* 1114147 */   // Label 16347: @1114147
     /* 1114147 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1114224), // Rule ID 62538 //
     /* 1114152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114191 */     // MIs[0] policy
     /* 1114191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1114204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114223 */     // GIR_Coverage, 62538,
     /* 1114223 */     GIR_EraseRootFromParent_Done,
     /* 1114224 */   // Label 16348: @1114224
     /* 1114224 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1114301), // Rule ID 62541 //
     /* 1114229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114268 */     // MIs[0] policy
     /* 1114268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1114281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114300 */     // GIR_Coverage, 62541,
     /* 1114300 */     GIR_EraseRootFromParent_Done,
     /* 1114301 */   // Label 16349: @1114301
     /* 1114301 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1114378), // Rule ID 62542 //
     /* 1114306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114345 */     // MIs[0] policy
     /* 1114345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1114358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114377 */     // GIR_Coverage, 62542,
     /* 1114377 */     GIR_EraseRootFromParent_Done,
     /* 1114378 */   // Label 16350: @1114378
     /* 1114378 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1114455), // Rule ID 62545 //
     /* 1114383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114422 */     // MIs[0] policy
     /* 1114422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1114435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114454 */     // GIR_Coverage, 62545,
     /* 1114454 */     GIR_EraseRootFromParent_Done,
     /* 1114455 */   // Label 16351: @1114455
     /* 1114455 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1114532), // Rule ID 62546 //
     /* 1114460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114499 */     // MIs[0] policy
     /* 1114499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1114512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114531 */     // GIR_Coverage, 62546,
     /* 1114531 */     GIR_EraseRootFromParent_Done,
     /* 1114532 */   // Label 16352: @1114532
     /* 1114532 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1114609), // Rule ID 62549 //
     /* 1114537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114576 */     // MIs[0] policy
     /* 1114576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114608 */     // GIR_Coverage, 62549,
     /* 1114608 */     GIR_EraseRootFromParent_Done,
     /* 1114609 */   // Label 16353: @1114609
     /* 1114609 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1114686), // Rule ID 62550 //
     /* 1114614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114653 */     // MIs[0] policy
     /* 1114653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114663 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114685 */     // GIR_Coverage, 62550,
     /* 1114685 */     GIR_EraseRootFromParent_Done,
     /* 1114686 */   // Label 16354: @1114686
     /* 1114686 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114763), // Rule ID 62553 //
     /* 1114691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114730 */     // MIs[0] policy
     /* 1114730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114762 */     // GIR_Coverage, 62553,
     /* 1114762 */     GIR_EraseRootFromParent_Done,
     /* 1114763 */   // Label 16355: @1114763
     /* 1114763 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114840), // Rule ID 62554 //
     /* 1114768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114807 */     // MIs[0] policy
     /* 1114807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114839 */     // GIR_Coverage, 62554,
     /* 1114839 */     GIR_EraseRootFromParent_Done,
     /* 1114840 */   // Label 16356: @1114840
     /* 1114840 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114917), // Rule ID 62557 //
     /* 1114845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114884 */     // MIs[0] policy
     /* 1114884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114916 */     // GIR_Coverage, 62557,
     /* 1114916 */     GIR_EraseRootFromParent_Done,
     /* 1114917 */   // Label 16357: @1114917
     /* 1114917 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114994), // Rule ID 62558 //
     /* 1114922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114961 */     // MIs[0] policy
     /* 1114961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114993 */     // GIR_Coverage, 62558,
     /* 1114993 */     GIR_EraseRootFromParent_Done,
     /* 1114994 */   // Label 16358: @1114994
     /* 1114994 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1115071), // Rule ID 62561 //
     /* 1114999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115038 */     // MIs[0] policy
     /* 1115038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1115051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115070 */     // GIR_Coverage, 62561,
     /* 1115070 */     GIR_EraseRootFromParent_Done,
     /* 1115071 */   // Label 16359: @1115071
     /* 1115071 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1115148), // Rule ID 62562 //
     /* 1115076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115115 */     // MIs[0] policy
     /* 1115115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1115128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115147 */     // GIR_Coverage, 62562,
     /* 1115147 */     GIR_EraseRootFromParent_Done,
     /* 1115148 */   // Label 16360: @1115148
     /* 1115148 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1115225), // Rule ID 62565 //
     /* 1115153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115192 */     // MIs[0] policy
     /* 1115192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1115205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115224 */     // GIR_Coverage, 62565,
     /* 1115224 */     GIR_EraseRootFromParent_Done,
     /* 1115225 */   // Label 16361: @1115225
     /* 1115225 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1115302), // Rule ID 62566 //
     /* 1115230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115269 */     // MIs[0] policy
     /* 1115269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1115282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115301 */     // GIR_Coverage, 62566,
     /* 1115301 */     GIR_EraseRootFromParent_Done,
     /* 1115302 */   // Label 16362: @1115302
     /* 1115302 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1115379), // Rule ID 62569 //
     /* 1115307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115346 */     // MIs[0] policy
     /* 1115346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1115359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115378 */     // GIR_Coverage, 62569,
     /* 1115378 */     GIR_EraseRootFromParent_Done,
     /* 1115379 */   // Label 16363: @1115379
     /* 1115379 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1115456), // Rule ID 62570 //
     /* 1115384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115423 */     // MIs[0] policy
     /* 1115423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1115436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115455 */     // GIR_Coverage, 62570,
     /* 1115455 */     GIR_EraseRootFromParent_Done,
     /* 1115456 */   // Label 16364: @1115456
     /* 1115456 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1115533), // Rule ID 62573 //
     /* 1115461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115500 */     // MIs[0] policy
     /* 1115500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115532 */     // GIR_Coverage, 62573,
     /* 1115532 */     GIR_EraseRootFromParent_Done,
     /* 1115533 */   // Label 16365: @1115533
     /* 1115533 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1115610), // Rule ID 62574 //
     /* 1115538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115577 */     // MIs[0] policy
     /* 1115577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115609 */     // GIR_Coverage, 62574,
     /* 1115609 */     GIR_EraseRootFromParent_Done,
     /* 1115610 */   // Label 16366: @1115610
     /* 1115610 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115687), // Rule ID 62577 //
     /* 1115615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115654 */     // MIs[0] policy
     /* 1115654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115686 */     // GIR_Coverage, 62577,
     /* 1115686 */     GIR_EraseRootFromParent_Done,
     /* 1115687 */   // Label 16367: @1115687
     /* 1115687 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115764), // Rule ID 62578 //
     /* 1115692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115731 */     // MIs[0] policy
     /* 1115731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115763 */     // GIR_Coverage, 62578,
     /* 1115763 */     GIR_EraseRootFromParent_Done,
     /* 1115764 */   // Label 16368: @1115764
     /* 1115764 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115841), // Rule ID 62581 //
     /* 1115769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115808 */     // MIs[0] policy
     /* 1115808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115840 */     // GIR_Coverage, 62581,
     /* 1115840 */     GIR_EraseRootFromParent_Done,
     /* 1115841 */   // Label 16369: @1115841
     /* 1115841 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115918), // Rule ID 62582 //
     /* 1115846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115885 */     // MIs[0] policy
     /* 1115885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115895 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115917 */     // GIR_Coverage, 62582,
     /* 1115917 */     GIR_EraseRootFromParent_Done,
     /* 1115918 */   // Label 16370: @1115918
     /* 1115918 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115995), // Rule ID 62585 //
     /* 1115923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115962 */     // MIs[0] policy
     /* 1115962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1115975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115994 */     // GIR_Coverage, 62585,
     /* 1115994 */     GIR_EraseRootFromParent_Done,
     /* 1115995 */   // Label 16371: @1115995
     /* 1115995 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1116072), // Rule ID 62586 //
     /* 1116000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116039 */     // MIs[0] policy
     /* 1116039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1116052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116071 */     // GIR_Coverage, 62586,
     /* 1116071 */     GIR_EraseRootFromParent_Done,
     /* 1116072 */   // Label 16372: @1116072
     /* 1116072 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1116149), // Rule ID 62589 //
     /* 1116077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116116 */     // MIs[0] policy
     /* 1116116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1116129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116148 */     // GIR_Coverage, 62589,
     /* 1116148 */     GIR_EraseRootFromParent_Done,
     /* 1116149 */   // Label 16373: @1116149
     /* 1116149 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1116226), // Rule ID 62590 //
     /* 1116154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116193 */     // MIs[0] policy
     /* 1116193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1116206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116225 */     // GIR_Coverage, 62590,
     /* 1116225 */     GIR_EraseRootFromParent_Done,
     /* 1116226 */   // Label 16374: @1116226
     /* 1116226 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1116303), // Rule ID 62593 //
     /* 1116231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116270 */     // MIs[0] policy
     /* 1116270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1116283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116302 */     // GIR_Coverage, 62593,
     /* 1116302 */     GIR_EraseRootFromParent_Done,
     /* 1116303 */   // Label 16375: @1116303
     /* 1116303 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1116380), // Rule ID 62594 //
     /* 1116308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116347 */     // MIs[0] policy
     /* 1116347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116357 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1116360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116379 */     // GIR_Coverage, 62594,
     /* 1116379 */     GIR_EraseRootFromParent_Done,
     /* 1116380 */   // Label 16376: @1116380
     /* 1116380 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1116457), // Rule ID 62597 //
     /* 1116385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1116402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116424 */     // MIs[0] policy
     /* 1116424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1116437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116456 */     // GIR_Coverage, 62597,
     /* 1116456 */     GIR_EraseRootFromParent_Done,
     /* 1116457 */   // Label 16377: @1116457
     /* 1116457 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1116534), // Rule ID 62598 //
     /* 1116462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1116479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116501 */     // MIs[0] policy
     /* 1116501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1116514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116533 */     // GIR_Coverage, 62598,
     /* 1116533 */     GIR_EraseRootFromParent_Done,
     /* 1116534 */   // Label 16378: @1116534
     /* 1116534 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1116611), // Rule ID 62601 //
     /* 1116539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116578 */     // MIs[0] policy
     /* 1116578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116610 */     // GIR_Coverage, 62601,
     /* 1116610 */     GIR_EraseRootFromParent_Done,
     /* 1116611 */   // Label 16379: @1116611
     /* 1116611 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116688), // Rule ID 62602 //
     /* 1116616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116655 */     // MIs[0] policy
     /* 1116655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116687 */     // GIR_Coverage, 62602,
     /* 1116687 */     GIR_EraseRootFromParent_Done,
     /* 1116688 */   // Label 16380: @1116688
     /* 1116688 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116765), // Rule ID 62605 //
     /* 1116693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116732 */     // MIs[0] policy
     /* 1116732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116764 */     // GIR_Coverage, 62605,
     /* 1116764 */     GIR_EraseRootFromParent_Done,
     /* 1116765 */   // Label 16381: @1116765
     /* 1116765 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116842), // Rule ID 62606 //
     /* 1116770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116809 */     // MIs[0] policy
     /* 1116809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116841 */     // GIR_Coverage, 62606,
     /* 1116841 */     GIR_EraseRootFromParent_Done,
     /* 1116842 */   // Label 16382: @1116842
     /* 1116842 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116919), // Rule ID 62609 //
     /* 1116847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116886 */     // MIs[0] policy
     /* 1116886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116918 */     // GIR_Coverage, 62609,
     /* 1116918 */     GIR_EraseRootFromParent_Done,
     /* 1116919 */   // Label 16383: @1116919
     /* 1116919 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116996), // Rule ID 62610 //
     /* 1116924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116963 */     // MIs[0] policy
     /* 1116963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116995 */     // GIR_Coverage, 62610,
     /* 1116995 */     GIR_EraseRootFromParent_Done,
     /* 1116996 */   // Label 16384: @1116996
     /* 1116996 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1117073), // Rule ID 62613 //
     /* 1117001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1117018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117040 */     // MIs[0] policy
     /* 1117040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1117053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117072 */     // GIR_Coverage, 62613,
     /* 1117072 */     GIR_EraseRootFromParent_Done,
     /* 1117073 */   // Label 16385: @1117073
     /* 1117073 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1117150), // Rule ID 62614 //
     /* 1117078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1117095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117117 */     // MIs[0] policy
     /* 1117117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1117130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117149 */     // GIR_Coverage, 62614,
     /* 1117149 */     GIR_EraseRootFromParent_Done,
     /* 1117150 */   // Label 16386: @1117150
     /* 1117150 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1117227), // Rule ID 62617 //
     /* 1117155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117194 */     // MIs[0] policy
     /* 1117194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1117207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117226 */     // GIR_Coverage, 62617,
     /* 1117226 */     GIR_EraseRootFromParent_Done,
     /* 1117227 */   // Label 16387: @1117227
     /* 1117227 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1117304), // Rule ID 62618 //
     /* 1117232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117271 */     // MIs[0] policy
     /* 1117271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1117284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117303 */     // GIR_Coverage, 62618,
     /* 1117303 */     GIR_EraseRootFromParent_Done,
     /* 1117304 */   // Label 16388: @1117304
     /* 1117304 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1117381), // Rule ID 62621 //
     /* 1117309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117348 */     // MIs[0] policy
     /* 1117348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1117361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117380 */     // GIR_Coverage, 62621,
     /* 1117380 */     GIR_EraseRootFromParent_Done,
     /* 1117381 */   // Label 16389: @1117381
     /* 1117381 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1117458), // Rule ID 62622 //
     /* 1117386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117425 */     // MIs[0] policy
     /* 1117425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117435 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1117438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117457 */     // GIR_Coverage, 62622,
     /* 1117457 */     GIR_EraseRootFromParent_Done,
     /* 1117458 */   // Label 16390: @1117458
     /* 1117458 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1117535), // Rule ID 62625 //
     /* 1117463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117502 */     // MIs[0] policy
     /* 1117502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117534 */     // GIR_Coverage, 62625,
     /* 1117534 */     GIR_EraseRootFromParent_Done,
     /* 1117535 */   // Label 16391: @1117535
     /* 1117535 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117612), // Rule ID 62626 //
     /* 1117540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117579 */     // MIs[0] policy
     /* 1117579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117611 */     // GIR_Coverage, 62626,
     /* 1117611 */     GIR_EraseRootFromParent_Done,
     /* 1117612 */   // Label 16392: @1117612
     /* 1117612 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117689), // Rule ID 62629 //
     /* 1117617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117656 */     // MIs[0] policy
     /* 1117656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117688 */     // GIR_Coverage, 62629,
     /* 1117688 */     GIR_EraseRootFromParent_Done,
     /* 1117689 */   // Label 16393: @1117689
     /* 1117689 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117766), // Rule ID 62630 //
     /* 1117694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117733 */     // MIs[0] policy
     /* 1117733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117765 */     // GIR_Coverage, 62630,
     /* 1117765 */     GIR_EraseRootFromParent_Done,
     /* 1117766 */   // Label 16394: @1117766
     /* 1117766 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117843), // Rule ID 62633 //
     /* 1117771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117810 */     // MIs[0] policy
     /* 1117810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117842 */     // GIR_Coverage, 62633,
     /* 1117842 */     GIR_EraseRootFromParent_Done,
     /* 1117843 */   // Label 16395: @1117843
     /* 1117843 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117920), // Rule ID 62634 //
     /* 1117848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117887 */     // MIs[0] policy
     /* 1117887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117919 */     // GIR_Coverage, 62634,
     /* 1117919 */     GIR_EraseRootFromParent_Done,
     /* 1117920 */   // Label 16396: @1117920
     /* 1117920 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117997), // Rule ID 62637 //
     /* 1117925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117964 */     // MIs[0] policy
     /* 1117964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1117977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117996 */     // GIR_Coverage, 62637,
     /* 1117996 */     GIR_EraseRootFromParent_Done,
     /* 1117997 */   // Label 16397: @1117997
     /* 1117997 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1118074), // Rule ID 62638 //
     /* 1118002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118041 */     // MIs[0] policy
     /* 1118041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1118054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118073 */     // GIR_Coverage, 62638,
     /* 1118073 */     GIR_EraseRootFromParent_Done,
     /* 1118074 */   // Label 16398: @1118074
     /* 1118074 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1118151), // Rule ID 62641 //
     /* 1118079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118118 */     // MIs[0] policy
     /* 1118118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1118131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118150 */     // GIR_Coverage, 62641,
     /* 1118150 */     GIR_EraseRootFromParent_Done,
     /* 1118151 */   // Label 16399: @1118151
     /* 1118151 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1118228), // Rule ID 62642 //
     /* 1118156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118195 */     // MIs[0] policy
     /* 1118195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1118208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118227 */     // GIR_Coverage, 62642,
     /* 1118227 */     GIR_EraseRootFromParent_Done,
     /* 1118228 */   // Label 16400: @1118228
     /* 1118228 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1118305), // Rule ID 62645 //
     /* 1118233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118272 */     // MIs[0] policy
     /* 1118272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1118285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118304 */     // GIR_Coverage, 62645,
     /* 1118304 */     GIR_EraseRootFromParent_Done,
     /* 1118305 */   // Label 16401: @1118305
     /* 1118305 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1118382), // Rule ID 62646 //
     /* 1118310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118349 */     // MIs[0] policy
     /* 1118349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1118362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118381 */     // GIR_Coverage, 62646,
     /* 1118381 */     GIR_EraseRootFromParent_Done,
     /* 1118382 */   // Label 16402: @1118382
     /* 1118382 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1118459), // Rule ID 62649 //
     /* 1118387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118426 */     // MIs[0] policy
     /* 1118426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118458 */     // GIR_Coverage, 62649,
     /* 1118458 */     GIR_EraseRootFromParent_Done,
     /* 1118459 */   // Label 16403: @1118459
     /* 1118459 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1118536), // Rule ID 62650 //
     /* 1118464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118503 */     // MIs[0] policy
     /* 1118503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118535 */     // GIR_Coverage, 62650,
     /* 1118535 */     GIR_EraseRootFromParent_Done,
     /* 1118536 */   // Label 16404: @1118536
     /* 1118536 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118613), // Rule ID 62653 //
     /* 1118541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118580 */     // MIs[0] policy
     /* 1118580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118612 */     // GIR_Coverage, 62653,
     /* 1118612 */     GIR_EraseRootFromParent_Done,
     /* 1118613 */   // Label 16405: @1118613
     /* 1118613 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118690), // Rule ID 62654 //
     /* 1118618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118657 */     // MIs[0] policy
     /* 1118657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118667 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118689 */     // GIR_Coverage, 62654,
     /* 1118689 */     GIR_EraseRootFromParent_Done,
     /* 1118690 */   // Label 16406: @1118690
     /* 1118690 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118767), // Rule ID 62748 //
     /* 1118695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118734 */     // MIs[0] policy
     /* 1118734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118766 */     // GIR_Coverage, 62748,
     /* 1118766 */     GIR_EraseRootFromParent_Done,
     /* 1118767 */   // Label 16407: @1118767
     /* 1118767 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118844), // Rule ID 62749 //
     /* 1118772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118811 */     // MIs[0] policy
     /* 1118811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118843 */     // GIR_Coverage, 62749,
     /* 1118843 */     GIR_EraseRootFromParent_Done,
     /* 1118844 */   // Label 16408: @1118844
     /* 1118844 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118921), // Rule ID 64206 //
     /* 1118849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118888 */     // MIs[0] policy
     /* 1118888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118920 */     // GIR_Coverage, 64206,
     /* 1118920 */     GIR_EraseRootFromParent_Done,
     /* 1118921 */   // Label 16409: @1118921
     /* 1118921 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118998), // Rule ID 64207 //
     /* 1118926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118965 */     // MIs[0] policy
     /* 1118965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118997 */     // GIR_Coverage, 64207,
     /* 1118997 */     GIR_EraseRootFromParent_Done,
     /* 1118998 */   // Label 16410: @1118998
     /* 1118998 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1119075), // Rule ID 64208 //
     /* 1119003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119042 */     // MIs[0] policy
     /* 1119042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1119055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119074 */     // GIR_Coverage, 64208,
     /* 1119074 */     GIR_EraseRootFromParent_Done,
     /* 1119075 */   // Label 16411: @1119075
     /* 1119075 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1119152), // Rule ID 64209 //
     /* 1119080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119119 */     // MIs[0] policy
     /* 1119119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119129 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1119132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119151 */     // GIR_Coverage, 64209,
     /* 1119151 */     GIR_EraseRootFromParent_Done,
     /* 1119152 */   // Label 16412: @1119152
     /* 1119152 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1119229), // Rule ID 64210 //
     /* 1119157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119196 */     // MIs[0] policy
     /* 1119196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1119209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119228 */     // GIR_Coverage, 64210,
     /* 1119228 */     GIR_EraseRootFromParent_Done,
     /* 1119229 */   // Label 16413: @1119229
     /* 1119229 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1119306), // Rule ID 64211 //
     /* 1119234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119273 */     // MIs[0] policy
     /* 1119273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1119286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119305 */     // GIR_Coverage, 64211,
     /* 1119305 */     GIR_EraseRootFromParent_Done,
     /* 1119306 */   // Label 16414: @1119306
     /* 1119306 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1119383), // Rule ID 64212 //
     /* 1119311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119350 */     // MIs[0] policy
     /* 1119350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1119363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119382 */     // GIR_Coverage, 64212,
     /* 1119382 */     GIR_EraseRootFromParent_Done,
     /* 1119383 */   // Label 16415: @1119383
     /* 1119383 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1119460), // Rule ID 64213 //
     /* 1119388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119427 */     // MIs[0] policy
     /* 1119427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1119440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119459 */     // GIR_Coverage, 64213,
     /* 1119459 */     GIR_EraseRootFromParent_Done,
     /* 1119460 */   // Label 16416: @1119460
     /* 1119460 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119537), // Rule ID 64214 //
     /* 1119465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119504 */     // MIs[0] policy
     /* 1119504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119536 */     // GIR_Coverage, 64214,
     /* 1119536 */     GIR_EraseRootFromParent_Done,
     /* 1119537 */   // Label 16417: @1119537
     /* 1119537 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119614), // Rule ID 64215 //
     /* 1119542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119581 */     // MIs[0] policy
     /* 1119581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119613 */     // GIR_Coverage, 64215,
     /* 1119613 */     GIR_EraseRootFromParent_Done,
     /* 1119614 */   // Label 16418: @1119614
     /* 1119614 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119691), // Rule ID 64216 //
     /* 1119619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119658 */     // MIs[0] policy
     /* 1119658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119690 */     // GIR_Coverage, 64216,
     /* 1119690 */     GIR_EraseRootFromParent_Done,
     /* 1119691 */   // Label 16419: @1119691
     /* 1119691 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119768), // Rule ID 64217 //
     /* 1119696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119735 */     // MIs[0] policy
     /* 1119735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119745 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119767 */     // GIR_Coverage, 64217,
     /* 1119767 */     GIR_EraseRootFromParent_Done,
     /* 1119768 */   // Label 16420: @1119768
     /* 1119768 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119845), // Rule ID 64218 //
     /* 1119773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119812 */     // MIs[0] policy
     /* 1119812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119844 */     // GIR_Coverage, 64218,
     /* 1119844 */     GIR_EraseRootFromParent_Done,
     /* 1119845 */   // Label 16421: @1119845
     /* 1119845 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119922), // Rule ID 64219 //
     /* 1119850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119889 */     // MIs[0] policy
     /* 1119889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119921 */     // GIR_Coverage, 64219,
     /* 1119921 */     GIR_EraseRootFromParent_Done,
     /* 1119922 */   // Label 16422: @1119922
     /* 1119922 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119999), // Rule ID 64220 //
     /* 1119927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119966 */     // MIs[0] policy
     /* 1119966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1119979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119998 */     // GIR_Coverage, 64220,
     /* 1119998 */     GIR_EraseRootFromParent_Done,
     /* 1119999 */   // Label 16423: @1119999
     /* 1119999 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1120076), // Rule ID 64221 //
     /* 1120004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120043 */     // MIs[0] policy
     /* 1120043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1120056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120075 */     // GIR_Coverage, 64221,
     /* 1120075 */     GIR_EraseRootFromParent_Done,
     /* 1120076 */   // Label 16424: @1120076
     /* 1120076 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1120153), // Rule ID 64222 //
     /* 1120081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120120 */     // MIs[0] policy
     /* 1120120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1120133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120152 */     // GIR_Coverage, 64222,
     /* 1120152 */     GIR_EraseRootFromParent_Done,
     /* 1120153 */   // Label 16425: @1120153
     /* 1120153 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1120230), // Rule ID 64223 //
     /* 1120158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120197 */     // MIs[0] policy
     /* 1120197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1120210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120229 */     // GIR_Coverage, 64223,
     /* 1120229 */     GIR_EraseRootFromParent_Done,
     /* 1120230 */   // Label 16426: @1120230
     /* 1120230 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1120307), // Rule ID 64224 //
     /* 1120235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120274 */     // MIs[0] policy
     /* 1120274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1120287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120306 */     // GIR_Coverage, 64224,
     /* 1120306 */     GIR_EraseRootFromParent_Done,
     /* 1120307 */   // Label 16427: @1120307
     /* 1120307 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1120384), // Rule ID 64225 //
     /* 1120312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120351 */     // MIs[0] policy
     /* 1120351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1120364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120383 */     // GIR_Coverage, 64225,
     /* 1120383 */     GIR_EraseRootFromParent_Done,
     /* 1120384 */   // Label 16428: @1120384
     /* 1120384 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1120461), // Rule ID 64226 //
     /* 1120389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120428 */     // MIs[0] policy
     /* 1120428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120460 */     // GIR_Coverage, 64226,
     /* 1120460 */     GIR_EraseRootFromParent_Done,
     /* 1120461 */   // Label 16429: @1120461
     /* 1120461 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120538), // Rule ID 64227 //
     /* 1120466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120505 */     // MIs[0] policy
     /* 1120505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120537 */     // GIR_Coverage, 64227,
     /* 1120537 */     GIR_EraseRootFromParent_Done,
     /* 1120538 */   // Label 16430: @1120538
     /* 1120538 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120615), // Rule ID 64228 //
     /* 1120543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120582 */     // MIs[0] policy
     /* 1120582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120614 */     // GIR_Coverage, 64228,
     /* 1120614 */     GIR_EraseRootFromParent_Done,
     /* 1120615 */   // Label 16431: @1120615
     /* 1120615 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120692), // Rule ID 64229 //
     /* 1120620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120659 */     // MIs[0] policy
     /* 1120659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120691 */     // GIR_Coverage, 64229,
     /* 1120691 */     GIR_EraseRootFromParent_Done,
     /* 1120692 */   // Label 16432: @1120692
     /* 1120692 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120769), // Rule ID 64230 //
     /* 1120697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120736 */     // MIs[0] policy
     /* 1120736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120768 */     // GIR_Coverage, 64230,
     /* 1120768 */     GIR_EraseRootFromParent_Done,
     /* 1120769 */   // Label 16433: @1120769
     /* 1120769 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120846), // Rule ID 64231 //
     /* 1120774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120813 */     // MIs[0] policy
     /* 1120813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120845 */     // GIR_Coverage, 64231,
     /* 1120845 */     GIR_EraseRootFromParent_Done,
     /* 1120846 */   // Label 16434: @1120846
     /* 1120846 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120923), // Rule ID 64232 //
     /* 1120851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120890 */     // MIs[0] policy
     /* 1120890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120922 */     // GIR_Coverage, 64232,
     /* 1120922 */     GIR_EraseRootFromParent_Done,
     /* 1120923 */   // Label 16435: @1120923
     /* 1120923 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1121000), // Rule ID 64233 //
     /* 1120928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120967 */     // MIs[0] policy
     /* 1120967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120999 */     // GIR_Coverage, 64233,
     /* 1120999 */     GIR_EraseRootFromParent_Done,
     /* 1121000 */   // Label 16436: @1121000
     /* 1121000 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1121077), // Rule ID 64234 //
     /* 1121005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1121008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121044 */     // MIs[0] policy
     /* 1121044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1121057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121076 */     // GIR_Coverage, 64234,
     /* 1121076 */     GIR_EraseRootFromParent_Done,
     /* 1121077 */   // Label 16437: @1121077
     /* 1121077 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1121154), // Rule ID 64235 //
     /* 1121082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1121085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121121 */     // MIs[0] policy
     /* 1121121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1121134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121153 */     // GIR_Coverage, 64235,
     /* 1121153 */     GIR_EraseRootFromParent_Done,
     /* 1121154 */   // Label 16438: @1121154
     /* 1121154 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1121231), // Rule ID 64236 //
     /* 1121159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121198 */     // MIs[0] policy
     /* 1121198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1121211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121230 */     // GIR_Coverage, 64236,
     /* 1121230 */     GIR_EraseRootFromParent_Done,
     /* 1121231 */   // Label 16439: @1121231
     /* 1121231 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1121308), // Rule ID 64237 //
     /* 1121236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121275 */     // MIs[0] policy
     /* 1121275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1121288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121307 */     // GIR_Coverage, 64237,
     /* 1121307 */     GIR_EraseRootFromParent_Done,
     /* 1121308 */   // Label 16440: @1121308
     /* 1121308 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1121385), // Rule ID 64238 //
     /* 1121313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121352 */     // MIs[0] policy
     /* 1121352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1121365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121384 */     // GIR_Coverage, 64238,
     /* 1121384 */     GIR_EraseRootFromParent_Done,
     /* 1121385 */   // Label 16441: @1121385
     /* 1121385 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121462), // Rule ID 64239 //
     /* 1121390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121429 */     // MIs[0] policy
     /* 1121429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121439 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1121442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121461 */     // GIR_Coverage, 64239,
     /* 1121461 */     GIR_EraseRootFromParent_Done,
     /* 1121462 */   // Label 16442: @1121462
     /* 1121462 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121539), // Rule ID 64240 //
     /* 1121467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121506 */     // MIs[0] policy
     /* 1121506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121538 */     // GIR_Coverage, 64240,
     /* 1121538 */     GIR_EraseRootFromParent_Done,
     /* 1121539 */   // Label 16443: @1121539
     /* 1121539 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121616), // Rule ID 64241 //
     /* 1121544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121583 */     // MIs[0] policy
     /* 1121583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121615 */     // GIR_Coverage, 64241,
     /* 1121615 */     GIR_EraseRootFromParent_Done,
     /* 1121616 */   // Label 16444: @1121616
     /* 1121616 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121693), // Rule ID 64242 //
     /* 1121621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121660 */     // MIs[0] policy
     /* 1121660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121692 */     // GIR_Coverage, 64242,
     /* 1121692 */     GIR_EraseRootFromParent_Done,
     /* 1121693 */   // Label 16445: @1121693
     /* 1121693 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121770), // Rule ID 64243 //
     /* 1121698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121737 */     // MIs[0] policy
     /* 1121737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121769 */     // GIR_Coverage, 64243,
     /* 1121769 */     GIR_EraseRootFromParent_Done,
     /* 1121770 */   // Label 16446: @1121770
     /* 1121770 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121847), // Rule ID 64244 //
     /* 1121775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121814 */     // MIs[0] policy
     /* 1121814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121846 */     // GIR_Coverage, 64244,
     /* 1121846 */     GIR_EraseRootFromParent_Done,
     /* 1121847 */   // Label 16447: @1121847
     /* 1121847 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121924), // Rule ID 64245 //
     /* 1121852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121891 */     // MIs[0] policy
     /* 1121891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121901 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121923 */     // GIR_Coverage, 64245,
     /* 1121923 */     GIR_EraseRootFromParent_Done,
     /* 1121924 */   // Label 16448: @1121924
     /* 1121924 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1122001), // Rule ID 64246 //
     /* 1121929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121968 */     // MIs[0] policy
     /* 1121968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1121981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122000 */     // GIR_Coverage, 64246,
     /* 1122000 */     GIR_EraseRootFromParent_Done,
     /* 1122001 */   // Label 16449: @1122001
     /* 1122001 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1122078), // Rule ID 64247 //
     /* 1122006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122045 */     // MIs[0] policy
     /* 1122045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1122058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122077 */     // GIR_Coverage, 64247,
     /* 1122077 */     GIR_EraseRootFromParent_Done,
     /* 1122078 */   // Label 16450: @1122078
     /* 1122078 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1122155), // Rule ID 64248 //
     /* 1122083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122122 */     // MIs[0] policy
     /* 1122122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1122135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122154 */     // GIR_Coverage, 64248,
     /* 1122154 */     GIR_EraseRootFromParent_Done,
     /* 1122155 */   // Label 16451: @1122155
     /* 1122155 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1122232), // Rule ID 64249 //
     /* 1122160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122199 */     // MIs[0] policy
     /* 1122199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1122212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122231 */     // GIR_Coverage, 64249,
     /* 1122231 */     GIR_EraseRootFromParent_Done,
     /* 1122232 */   // Label 16452: @1122232
     /* 1122232 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1122309), // Rule ID 64250 //
     /* 1122237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122276 */     // MIs[0] policy
     /* 1122276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1122289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122308 */     // GIR_Coverage, 64250,
     /* 1122308 */     GIR_EraseRootFromParent_Done,
     /* 1122309 */   // Label 16453: @1122309
     /* 1122309 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1122386), // Rule ID 64251 //
     /* 1122314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122353 */     // MIs[0] policy
     /* 1122353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122363 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1122366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122385 */     // GIR_Coverage, 64251,
     /* 1122385 */     GIR_EraseRootFromParent_Done,
     /* 1122386 */   // Label 16454: @1122386
     /* 1122386 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1122463), // Rule ID 64252 //
     /* 1122391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122430 */     // MIs[0] policy
     /* 1122430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122462 */     // GIR_Coverage, 64252,
     /* 1122462 */     GIR_EraseRootFromParent_Done,
     /* 1122463 */   // Label 16455: @1122463
     /* 1122463 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122540), // Rule ID 64253 //
     /* 1122468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122507 */     // MIs[0] policy
     /* 1122507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122539 */     // GIR_Coverage, 64253,
     /* 1122539 */     GIR_EraseRootFromParent_Done,
     /* 1122540 */   // Label 16456: @1122540
     /* 1122540 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122617), // Rule ID 64254 //
     /* 1122545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122584 */     // MIs[0] policy
     /* 1122584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122616 */     // GIR_Coverage, 64254,
     /* 1122616 */     GIR_EraseRootFromParent_Done,
     /* 1122617 */   // Label 16457: @1122617
     /* 1122617 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122694), // Rule ID 64255 //
     /* 1122622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122661 */     // MIs[0] policy
     /* 1122661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122693 */     // GIR_Coverage, 64255,
     /* 1122693 */     GIR_EraseRootFromParent_Done,
     /* 1122694 */   // Label 16458: @1122694
     /* 1122694 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122771), // Rule ID 64256 //
     /* 1122699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122738 */     // MIs[0] policy
     /* 1122738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122770 */     // GIR_Coverage, 64256,
     /* 1122770 */     GIR_EraseRootFromParent_Done,
     /* 1122771 */   // Label 16459: @1122771
     /* 1122771 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122848), // Rule ID 64257 //
     /* 1122776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122815 */     // MIs[0] policy
     /* 1122815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122825 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122847 */     // GIR_Coverage, 64257,
     /* 1122847 */     GIR_EraseRootFromParent_Done,
     /* 1122848 */   // Label 16460: @1122848
     /* 1122848 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122925), // Rule ID 64258 //
     /* 1122853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122892 */     // MIs[0] policy
     /* 1122892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122924 */     // GIR_Coverage, 64258,
     /* 1122924 */     GIR_EraseRootFromParent_Done,
     /* 1122925 */   // Label 16461: @1122925
     /* 1122925 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1123002), // Rule ID 64259 //
     /* 1122930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122969 */     // MIs[0] policy
     /* 1122969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123001 */     // GIR_Coverage, 64259,
     /* 1123001 */     GIR_EraseRootFromParent_Done,
     /* 1123002 */   // Label 16462: @1123002
     /* 1123002 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1123079), // Rule ID 64260 //
     /* 1123007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123046 */     // MIs[0] policy
     /* 1123046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1123059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123078 */     // GIR_Coverage, 64260,
     /* 1123078 */     GIR_EraseRootFromParent_Done,
     /* 1123079 */   // Label 16463: @1123079
     /* 1123079 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1123156), // Rule ID 64261 //
     /* 1123084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123123 */     // MIs[0] policy
     /* 1123123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1123136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123155 */     // GIR_Coverage, 64261,
     /* 1123155 */     GIR_EraseRootFromParent_Done,
     /* 1123156 */   // Label 16464: @1123156
     /* 1123156 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1123233), // Rule ID 64262 //
     /* 1123161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123200 */     // MIs[0] policy
     /* 1123200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1123213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123232 */     // GIR_Coverage, 64262,
     /* 1123232 */     GIR_EraseRootFromParent_Done,
     /* 1123233 */   // Label 16465: @1123233
     /* 1123233 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1123310), // Rule ID 64263 //
     /* 1123238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123277 */     // MIs[0] policy
     /* 1123277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1123290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123309 */     // GIR_Coverage, 64263,
     /* 1123309 */     GIR_EraseRootFromParent_Done,
     /* 1123310 */   // Label 16466: @1123310
     /* 1123310 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123387), // Rule ID 64264 //
     /* 1123315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123354 */     // MIs[0] policy
     /* 1123354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1123367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123386 */     // GIR_Coverage, 64264,
     /* 1123386 */     GIR_EraseRootFromParent_Done,
     /* 1123387 */   // Label 16467: @1123387
     /* 1123387 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1123464), // Rule ID 64265 //
     /* 1123392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123431 */     // MIs[0] policy
     /* 1123431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123441 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1123444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123463 */     // GIR_Coverage, 64265,
     /* 1123463 */     GIR_EraseRootFromParent_Done,
     /* 1123464 */   // Label 16468: @1123464
     /* 1123464 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123541), // Rule ID 64266 //
     /* 1123469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123508 */     // MIs[0] policy
     /* 1123508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123540 */     // GIR_Coverage, 64266,
     /* 1123540 */     GIR_EraseRootFromParent_Done,
     /* 1123541 */   // Label 16469: @1123541
     /* 1123541 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123618), // Rule ID 64267 //
     /* 1123546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123585 */     // MIs[0] policy
     /* 1123585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123595 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123617 */     // GIR_Coverage, 64267,
     /* 1123617 */     GIR_EraseRootFromParent_Done,
     /* 1123618 */   // Label 16470: @1123618
     /* 1123618 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123698), // Rule ID 2614 //
     /* 1123623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123662 */     // MIs[0] round
     /* 1123662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123697 */     // GIR_Coverage, 2614,
     /* 1123697 */     GIR_EraseRootFromParent_Done,
     /* 1123698 */   // Label 16471: @1123698
     /* 1123698 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123778), // Rule ID 2615 //
     /* 1123703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123742 */     // MIs[0] round
     /* 1123742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123752 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123777 */     // GIR_Coverage, 2615,
     /* 1123777 */     GIR_EraseRootFromParent_Done,
     /* 1123778 */   // Label 16472: @1123778
     /* 1123778 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123858), // Rule ID 2654 //
     /* 1123783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1123786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123822 */     // MIs[0] round
     /* 1123822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123832 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123857 */     // GIR_Coverage, 2654,
     /* 1123857 */     GIR_EraseRootFromParent_Done,
     /* 1123858 */   // Label 16473: @1123858
     /* 1123858 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123938), // Rule ID 2655 //
     /* 1123863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1123866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123902 */     // MIs[0] round
     /* 1123902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123912 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123937 */     // GIR_Coverage, 2655,
     /* 1123937 */     GIR_EraseRootFromParent_Done,
     /* 1123938 */   // Label 16474: @1123938
     /* 1123938 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1124018), // Rule ID 2674 //
     /* 1123943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1123946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1123951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123982 */     // MIs[0] round
     /* 1123982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1123995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124017 */     // GIR_Coverage, 2674,
     /* 1124017 */     GIR_EraseRootFromParent_Done,
     /* 1124018 */   // Label 16475: @1124018
     /* 1124018 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1124098), // Rule ID 2675 //
     /* 1124023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1124026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1124031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124062 */     // MIs[0] round
     /* 1124062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124072 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1124075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124097 */     // GIR_Coverage, 2675,
     /* 1124097 */     GIR_EraseRootFromParent_Done,
     /* 1124098 */   // Label 16476: @1124098
     /* 1124098 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1124178), // Rule ID 14816 //
     /* 1124103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1124114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1124117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1124120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1124123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124142 */     // MIs[0] round
     /* 1124142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124177 */     // GIR_Coverage, 14816,
     /* 1124177 */     GIR_EraseRootFromParent_Done,
     /* 1124178 */   // Label 16477: @1124178
     /* 1124178 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1124258), // Rule ID 14817 //
     /* 1124183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1124194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1124197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1124200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1124203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124222 */     // MIs[0] round
     /* 1124222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124257 */     // GIR_Coverage, 14817,
     /* 1124257 */     GIR_EraseRootFromParent_Done,
     /* 1124258 */   // Label 16478: @1124258
     /* 1124258 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1124338), // Rule ID 14820 //
     /* 1124263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1124274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1124277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1124280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1124283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124302 */     // MIs[0] round
     /* 1124302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124337 */     // GIR_Coverage, 14820,
     /* 1124337 */     GIR_EraseRootFromParent_Done,
     /* 1124338 */   // Label 16479: @1124338
     /* 1124338 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1124418), // Rule ID 14821 //
     /* 1124343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1124354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1124357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1124360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1124363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124382 */     // MIs[0] round
     /* 1124382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124417 */     // GIR_Coverage, 14821,
     /* 1124417 */     GIR_EraseRootFromParent_Done,
     /* 1124418 */   // Label 16480: @1124418
     /* 1124418 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1124498), // Rule ID 14824 //
     /* 1124423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1124434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1124437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124462 */     // MIs[0] round
     /* 1124462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124497 */     // GIR_Coverage, 14824,
     /* 1124497 */     GIR_EraseRootFromParent_Done,
     /* 1124498 */   // Label 16481: @1124498
     /* 1124498 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124578), // Rule ID 14825 //
     /* 1124503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1124514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1124517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124542 */     // MIs[0] round
     /* 1124542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124577 */     // GIR_Coverage, 14825,
     /* 1124577 */     GIR_EraseRootFromParent_Done,
     /* 1124578 */   // Label 16482: @1124578
     /* 1124578 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124658), // Rule ID 14828 //
     /* 1124583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124622 */     // MIs[0] round
     /* 1124622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124657 */     // GIR_Coverage, 14828,
     /* 1124657 */     GIR_EraseRootFromParent_Done,
     /* 1124658 */   // Label 16483: @1124658
     /* 1124658 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124738), // Rule ID 14829 //
     /* 1124663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124702 */     // MIs[0] round
     /* 1124702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124737 */     // GIR_Coverage, 14829,
     /* 1124737 */     GIR_EraseRootFromParent_Done,
     /* 1124738 */   // Label 16484: @1124738
     /* 1124738 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124818), // Rule ID 14832 //
     /* 1124743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124782 */     // MIs[0] round
     /* 1124782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124817 */     // GIR_Coverage, 14832,
     /* 1124817 */     GIR_EraseRootFromParent_Done,
     /* 1124818 */   // Label 16485: @1124818
     /* 1124818 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124898), // Rule ID 14833 //
     /* 1124823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124862 */     // MIs[0] round
     /* 1124862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124897 */     // GIR_Coverage, 14833,
     /* 1124897 */     GIR_EraseRootFromParent_Done,
     /* 1124898 */   // Label 16486: @1124898
     /* 1124898 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124978), // Rule ID 14836 //
     /* 1124903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124942 */     // MIs[0] round
     /* 1124942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124977 */     // GIR_Coverage, 14836,
     /* 1124977 */     GIR_EraseRootFromParent_Done,
     /* 1124978 */   // Label 16487: @1124978
     /* 1124978 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1125058), // Rule ID 14837 //
     /* 1124983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125022 */     // MIs[0] round
     /* 1125022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125057 */     // GIR_Coverage, 14837,
     /* 1125057 */     GIR_EraseRootFromParent_Done,
     /* 1125058 */   // Label 16488: @1125058
     /* 1125058 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1125138), // Rule ID 14840 //
     /* 1125063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1125074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1125077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125102 */     // MIs[0] round
     /* 1125102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125137 */     // GIR_Coverage, 14840,
     /* 1125137 */     GIR_EraseRootFromParent_Done,
     /* 1125138 */   // Label 16489: @1125138
     /* 1125138 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1125218), // Rule ID 14841 //
     /* 1125143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1125154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1125157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125182 */     // MIs[0] round
     /* 1125182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125217 */     // GIR_Coverage, 14841,
     /* 1125217 */     GIR_EraseRootFromParent_Done,
     /* 1125218 */   // Label 16490: @1125218
     /* 1125218 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1125298), // Rule ID 14844 //
     /* 1125223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1125240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1125243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125262 */     // MIs[0] round
     /* 1125262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125297 */     // GIR_Coverage, 14844,
     /* 1125297 */     GIR_EraseRootFromParent_Done,
     /* 1125298 */   // Label 16491: @1125298
     /* 1125298 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1125378), // Rule ID 14845 //
     /* 1125303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1125320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1125323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125342 */     // MIs[0] round
     /* 1125342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125377 */     // GIR_Coverage, 14845,
     /* 1125377 */     GIR_EraseRootFromParent_Done,
     /* 1125378 */   // Label 16492: @1125378
     /* 1125378 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1125458), // Rule ID 14848 //
     /* 1125383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1125400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1125403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125422 */     // MIs[0] round
     /* 1125422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125457 */     // GIR_Coverage, 14848,
     /* 1125457 */     GIR_EraseRootFromParent_Done,
     /* 1125458 */   // Label 16493: @1125458
     /* 1125458 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1125538), // Rule ID 14849 //
     /* 1125463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1125480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1125483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125502 */     // MIs[0] round
     /* 1125502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125537 */     // GIR_Coverage, 14849,
     /* 1125537 */     GIR_EraseRootFromParent_Done,
     /* 1125538 */   // Label 16494: @1125538
     /* 1125538 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125618), // Rule ID 14852 //
     /* 1125543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125582 */     // MIs[0] round
     /* 1125582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125617 */     // GIR_Coverage, 14852,
     /* 1125617 */     GIR_EraseRootFromParent_Done,
     /* 1125618 */   // Label 16495: @1125618
     /* 1125618 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125698), // Rule ID 14853 //
     /* 1125623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125662 */     // MIs[0] round
     /* 1125662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125697 */     // GIR_Coverage, 14853,
     /* 1125697 */     GIR_EraseRootFromParent_Done,
     /* 1125698 */   // Label 16496: @1125698
     /* 1125698 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125778), // Rule ID 14856 //
     /* 1125703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125742 */     // MIs[0] round
     /* 1125742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125777 */     // GIR_Coverage, 14856,
     /* 1125777 */     GIR_EraseRootFromParent_Done,
     /* 1125778 */   // Label 16497: @1125778
     /* 1125778 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125858), // Rule ID 14857 //
     /* 1125783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125822 */     // MIs[0] round
     /* 1125822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125857 */     // GIR_Coverage, 14857,
     /* 1125857 */     GIR_EraseRootFromParent_Done,
     /* 1125858 */   // Label 16498: @1125858
     /* 1125858 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125938), // Rule ID 14860 //
     /* 1125863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125902 */     // MIs[0] round
     /* 1125902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125937 */     // GIR_Coverage, 14860,
     /* 1125937 */     GIR_EraseRootFromParent_Done,
     /* 1125938 */   // Label 16499: @1125938
     /* 1125938 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1126018), // Rule ID 14861 //
     /* 1125943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125982 */     // MIs[0] round
     /* 1125982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126017 */     // GIR_Coverage, 14861,
     /* 1126017 */     GIR_EraseRootFromParent_Done,
     /* 1126018 */   // Label 16500: @1126018
     /* 1126018 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1126098), // Rule ID 14864 //
     /* 1126023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1126034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1126037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126062 */     // MIs[0] round
     /* 1126062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126097 */     // GIR_Coverage, 14864,
     /* 1126097 */     GIR_EraseRootFromParent_Done,
     /* 1126098 */   // Label 16501: @1126098
     /* 1126098 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1126178), // Rule ID 14865 //
     /* 1126103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1126114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1126117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126142 */     // MIs[0] round
     /* 1126142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126177 */     // GIR_Coverage, 14865,
     /* 1126177 */     GIR_EraseRootFromParent_Done,
     /* 1126178 */   // Label 16502: @1126178
     /* 1126178 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1126258), // Rule ID 14868 //
     /* 1126183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1126194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1126197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126222 */     // MIs[0] round
     /* 1126222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126257 */     // GIR_Coverage, 14868,
     /* 1126257 */     GIR_EraseRootFromParent_Done,
     /* 1126258 */   // Label 16503: @1126258
     /* 1126258 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1126338), // Rule ID 14869 //
     /* 1126263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1126274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1126277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126302 */     // MIs[0] round
     /* 1126302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126337 */     // GIR_Coverage, 14869,
     /* 1126337 */     GIR_EraseRootFromParent_Done,
     /* 1126338 */   // Label 16504: @1126338
     /* 1126338 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1126418), // Rule ID 14872 //
     /* 1126343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1126354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1126357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1126360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1126363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126382 */     // MIs[0] round
     /* 1126382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126417 */     // GIR_Coverage, 14872,
     /* 1126417 */     GIR_EraseRootFromParent_Done,
     /* 1126418 */   // Label 16505: @1126418
     /* 1126418 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1126498), // Rule ID 14873 //
     /* 1126423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1126434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1126437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1126440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1126443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126462 */     // MIs[0] round
     /* 1126462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126497 */     // GIR_Coverage, 14873,
     /* 1126497 */     GIR_EraseRootFromParent_Done,
     /* 1126498 */   // Label 16506: @1126498
     /* 1126498 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1126578), // Rule ID 14876 //
     /* 1126503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126542 */     // MIs[0] round
     /* 1126542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126577 */     // GIR_Coverage, 14876,
     /* 1126577 */     GIR_EraseRootFromParent_Done,
     /* 1126578 */   // Label 16507: @1126578
     /* 1126578 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126658), // Rule ID 14877 //
     /* 1126583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126622 */     // MIs[0] round
     /* 1126622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126657 */     // GIR_Coverage, 14877,
     /* 1126657 */     GIR_EraseRootFromParent_Done,
     /* 1126658 */   // Label 16508: @1126658
     /* 1126658 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126738), // Rule ID 14880 //
     /* 1126663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126702 */     // MIs[0] round
     /* 1126702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126737 */     // GIR_Coverage, 14880,
     /* 1126737 */     GIR_EraseRootFromParent_Done,
     /* 1126738 */   // Label 16509: @1126738
     /* 1126738 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126818), // Rule ID 14881 //
     /* 1126743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126782 */     // MIs[0] round
     /* 1126782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126817 */     // GIR_Coverage, 14881,
     /* 1126817 */     GIR_EraseRootFromParent_Done,
     /* 1126818 */   // Label 16510: @1126818
     /* 1126818 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126898), // Rule ID 14884 //
     /* 1126823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126862 */     // MIs[0] round
     /* 1126862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126897 */     // GIR_Coverage, 14884,
     /* 1126897 */     GIR_EraseRootFromParent_Done,
     /* 1126898 */   // Label 16511: @1126898
     /* 1126898 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126978), // Rule ID 14885 //
     /* 1126903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126942 */     // MIs[0] round
     /* 1126942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126977 */     // GIR_Coverage, 14885,
     /* 1126977 */     GIR_EraseRootFromParent_Done,
     /* 1126978 */   // Label 16512: @1126978
     /* 1126978 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1127058), // Rule ID 14888 //
     /* 1126983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1127000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1127003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127022 */     // MIs[0] round
     /* 1127022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1127035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127057 */     // GIR_Coverage, 14888,
     /* 1127057 */     GIR_EraseRootFromParent_Done,
     /* 1127058 */   // Label 16513: @1127058
     /* 1127058 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1127138), // Rule ID 14889 //
     /* 1127063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1127074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1127077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1127080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1127083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127102 */     // MIs[0] round
     /* 1127102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1127115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127137 */     // GIR_Coverage, 14889,
     /* 1127137 */     GIR_EraseRootFromParent_Done,
     /* 1127138 */   // Label 16514: @1127138
     /* 1127138 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1127218), // Rule ID 14892 //
     /* 1127143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1127160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1127163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127182 */     // MIs[0] round
     /* 1127182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1127195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127217 */     // GIR_Coverage, 14892,
     /* 1127217 */     GIR_EraseRootFromParent_Done,
     /* 1127218 */   // Label 16515: @1127218
     /* 1127218 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1127298), // Rule ID 14893 //
     /* 1127223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1127240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1127243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127262 */     // MIs[0] round
     /* 1127262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1127275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127297 */     // GIR_Coverage, 14893,
     /* 1127297 */     GIR_EraseRootFromParent_Done,
     /* 1127298 */   // Label 16516: @1127298
     /* 1127298 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1127378), // Rule ID 14896 //
     /* 1127303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1127314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1127317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1127320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1127323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127342 */     // MIs[0] round
     /* 1127342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1127355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127377 */     // GIR_Coverage, 14896,
     /* 1127377 */     GIR_EraseRootFromParent_Done,
     /* 1127378 */   // Label 16517: @1127378
     /* 1127378 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1127458), // Rule ID 14897 //
     /* 1127383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1127394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1127397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1127400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1127403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127422 */     // MIs[0] round
     /* 1127422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1127435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127457 */     // GIR_Coverage, 14897,
     /* 1127457 */     GIR_EraseRootFromParent_Done,
     /* 1127458 */   // Label 16518: @1127458
     /* 1127458 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1127538), // Rule ID 14900 //
     /* 1127463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127502 */     // MIs[0] round
     /* 1127502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127537 */     // GIR_Coverage, 14900,
     /* 1127537 */     GIR_EraseRootFromParent_Done,
     /* 1127538 */   // Label 16519: @1127538
     /* 1127538 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1127618), // Rule ID 14901 //
     /* 1127543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127582 */     // MIs[0] round
     /* 1127582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127617 */     // GIR_Coverage, 14901,
     /* 1127617 */     GIR_EraseRootFromParent_Done,
     /* 1127618 */   // Label 16520: @1127618
     /* 1127618 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127698), // Rule ID 14904 //
     /* 1127623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127662 */     // MIs[0] round
     /* 1127662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127672 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127697 */     // GIR_Coverage, 14904,
     /* 1127697 */     GIR_EraseRootFromParent_Done,
     /* 1127698 */   // Label 16521: @1127698
     /* 1127698 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127778), // Rule ID 14905 //
     /* 1127703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127742 */     // MIs[0] round
     /* 1127742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127777 */     // GIR_Coverage, 14905,
     /* 1127777 */     GIR_EraseRootFromParent_Done,
     /* 1127778 */   // Label 16522: @1127778
     /* 1127778 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127858), // Rule ID 14908 //
     /* 1127783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127822 */     // MIs[0] round
     /* 1127822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127857 */     // GIR_Coverage, 14908,
     /* 1127857 */     GIR_EraseRootFromParent_Done,
     /* 1127858 */   // Label 16523: @1127858
     /* 1127858 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127938), // Rule ID 14909 //
     /* 1127863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127902 */     // MIs[0] round
     /* 1127902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127937 */     // GIR_Coverage, 14909,
     /* 1127937 */     GIR_EraseRootFromParent_Done,
     /* 1127938 */   // Label 16524: @1127938
     /* 1127938 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1128018), // Rule ID 14912 //
     /* 1127943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1127954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1127957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127982 */     // MIs[0] round
     /* 1127982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128017 */     // GIR_Coverage, 14912,
     /* 1128017 */     GIR_EraseRootFromParent_Done,
     /* 1128018 */   // Label 16525: @1128018
     /* 1128018 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1128098), // Rule ID 14913 //
     /* 1128023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128062 */     // MIs[0] round
     /* 1128062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1128075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128097 */     // GIR_Coverage, 14913,
     /* 1128097 */     GIR_EraseRootFromParent_Done,
     /* 1128098 */   // Label 16526: @1128098
     /* 1128098 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1128178), // Rule ID 14916 //
     /* 1128103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128142 */     // MIs[0] round
     /* 1128142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128177 */     // GIR_Coverage, 14916,
     /* 1128177 */     GIR_EraseRootFromParent_Done,
     /* 1128178 */   // Label 16527: @1128178
     /* 1128178 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1128258), // Rule ID 14917 //
     /* 1128183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128222 */     // MIs[0] round
     /* 1128222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128257 */     // GIR_Coverage, 14917,
     /* 1128257 */     GIR_EraseRootFromParent_Done,
     /* 1128258 */   // Label 16528: @1128258
     /* 1128258 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1128338), // Rule ID 14920 //
     /* 1128263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128302 */     // MIs[0] round
     /* 1128302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128337 */     // GIR_Coverage, 14920,
     /* 1128337 */     GIR_EraseRootFromParent_Done,
     /* 1128338 */   // Label 16529: @1128338
     /* 1128338 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1128418), // Rule ID 14921 //
     /* 1128343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128382 */     // MIs[0] round
     /* 1128382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128417 */     // GIR_Coverage, 14921,
     /* 1128417 */     GIR_EraseRootFromParent_Done,
     /* 1128418 */   // Label 16530: @1128418
     /* 1128418 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1128498), // Rule ID 14924 //
     /* 1128423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1128434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1128437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128462 */     // MIs[0] round
     /* 1128462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128497 */     // GIR_Coverage, 14924,
     /* 1128497 */     GIR_EraseRootFromParent_Done,
     /* 1128498 */   // Label 16531: @1128498
     /* 1128498 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1128578), // Rule ID 14925 //
     /* 1128503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1128514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1128517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128542 */     // MIs[0] round
     /* 1128542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128577 */     // GIR_Coverage, 14925,
     /* 1128577 */     GIR_EraseRootFromParent_Done,
     /* 1128578 */   // Label 16532: @1128578
     /* 1128578 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1128658), // Rule ID 14928 //
     /* 1128583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128622 */     // MIs[0] round
     /* 1128622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128657 */     // GIR_Coverage, 14928,
     /* 1128657 */     GIR_EraseRootFromParent_Done,
     /* 1128658 */   // Label 16533: @1128658
     /* 1128658 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128738), // Rule ID 14929 //
     /* 1128663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128702 */     // MIs[0] round
     /* 1128702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128737 */     // GIR_Coverage, 14929,
     /* 1128737 */     GIR_EraseRootFromParent_Done,
     /* 1128738 */   // Label 16534: @1128738
     /* 1128738 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128818), // Rule ID 14932 //
     /* 1128743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128782 */     // MIs[0] round
     /* 1128782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128817 */     // GIR_Coverage, 14932,
     /* 1128817 */     GIR_EraseRootFromParent_Done,
     /* 1128818 */   // Label 16535: @1128818
     /* 1128818 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128898), // Rule ID 14933 //
     /* 1128823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128862 */     // MIs[0] round
     /* 1128862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128897 */     // GIR_Coverage, 14933,
     /* 1128897 */     GIR_EraseRootFromParent_Done,
     /* 1128898 */   // Label 16536: @1128898
     /* 1128898 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128978), // Rule ID 14936 //
     /* 1128903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1128920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128942 */     // MIs[0] round
     /* 1128942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128977 */     // GIR_Coverage, 14936,
     /* 1128977 */     GIR_EraseRootFromParent_Done,
     /* 1128978 */   // Label 16537: @1128978
     /* 1128978 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1129058), // Rule ID 14937 //
     /* 1128983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1129000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129022 */     // MIs[0] round
     /* 1129022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1129035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129057 */     // GIR_Coverage, 14937,
     /* 1129057 */     GIR_EraseRootFromParent_Done,
     /* 1129058 */   // Label 16538: @1129058
     /* 1129058 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1129138), // Rule ID 14940 //
     /* 1129063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129102 */     // MIs[0] round
     /* 1129102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129137 */     // GIR_Coverage, 14940,
     /* 1129137 */     GIR_EraseRootFromParent_Done,
     /* 1129138 */   // Label 16539: @1129138
     /* 1129138 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1129218), // Rule ID 14941 //
     /* 1129143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129182 */     // MIs[0] round
     /* 1129182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129217 */     // GIR_Coverage, 14941,
     /* 1129217 */     GIR_EraseRootFromParent_Done,
     /* 1129218 */   // Label 16540: @1129218
     /* 1129218 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1129298), // Rule ID 14944 //
     /* 1129223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1129234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1129237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129262 */     // MIs[0] round
     /* 1129262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129297 */     // GIR_Coverage, 14944,
     /* 1129297 */     GIR_EraseRootFromParent_Done,
     /* 1129298 */   // Label 16541: @1129298
     /* 1129298 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1129378), // Rule ID 14945 //
     /* 1129303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1129314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1129317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129342 */     // MIs[0] round
     /* 1129342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129377 */     // GIR_Coverage, 14945,
     /* 1129377 */     GIR_EraseRootFromParent_Done,
     /* 1129378 */   // Label 16542: @1129378
     /* 1129378 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1129458), // Rule ID 14948 //
     /* 1129383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1129394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1129397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129422 */     // MIs[0] round
     /* 1129422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129432 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129457 */     // GIR_Coverage, 14948,
     /* 1129457 */     GIR_EraseRootFromParent_Done,
     /* 1129458 */   // Label 16543: @1129458
     /* 1129458 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1129538), // Rule ID 14949 //
     /* 1129463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1129474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1129477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129502 */     // MIs[0] round
     /* 1129502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129537 */     // GIR_Coverage, 14949,
     /* 1129537 */     GIR_EraseRootFromParent_Done,
     /* 1129538 */   // Label 16544: @1129538
     /* 1129538 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1129618), // Rule ID 14952 //
     /* 1129543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129582 */     // MIs[0] round
     /* 1129582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129617 */     // GIR_Coverage, 14952,
     /* 1129617 */     GIR_EraseRootFromParent_Done,
     /* 1129618 */   // Label 16545: @1129618
     /* 1129618 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129698), // Rule ID 14953 //
     /* 1129623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129662 */     // MIs[0] round
     /* 1129662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129697 */     // GIR_Coverage, 14953,
     /* 1129697 */     GIR_EraseRootFromParent_Done,
     /* 1129698 */   // Label 16546: @1129698
     /* 1129698 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129778), // Rule ID 14956 //
     /* 1129703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129742 */     // MIs[0] round
     /* 1129742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129777 */     // GIR_Coverage, 14956,
     /* 1129777 */     GIR_EraseRootFromParent_Done,
     /* 1129778 */   // Label 16547: @1129778
     /* 1129778 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129858), // Rule ID 14957 //
     /* 1129783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129822 */     // MIs[0] round
     /* 1129822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129857 */     // GIR_Coverage, 14957,
     /* 1129857 */     GIR_EraseRootFromParent_Done,
     /* 1129858 */   // Label 16548: @1129858
     /* 1129858 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129938), // Rule ID 14960 //
     /* 1129863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129902 */     // MIs[0] round
     /* 1129902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129937 */     // GIR_Coverage, 14960,
     /* 1129937 */     GIR_EraseRootFromParent_Done,
     /* 1129938 */   // Label 16549: @1129938
     /* 1129938 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1130018), // Rule ID 14961 //
     /* 1129943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129982 */     // MIs[0] round
     /* 1129982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130017 */     // GIR_Coverage, 14961,
     /* 1130017 */     GIR_EraseRootFromParent_Done,
     /* 1130018 */   // Label 16550: @1130018
     /* 1130018 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1130098), // Rule ID 14964 //
     /* 1130023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130062 */     // MIs[0] round
     /* 1130062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130097 */     // GIR_Coverage, 14964,
     /* 1130097 */     GIR_EraseRootFromParent_Done,
     /* 1130098 */   // Label 16551: @1130098
     /* 1130098 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1130178), // Rule ID 14965 //
     /* 1130103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130142 */     // MIs[0] round
     /* 1130142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130177 */     // GIR_Coverage, 14965,
     /* 1130177 */     GIR_EraseRootFromParent_Done,
     /* 1130178 */   // Label 16552: @1130178
     /* 1130178 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1130258), // Rule ID 14968 //
     /* 1130183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130222 */     // MIs[0] round
     /* 1130222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130257 */     // GIR_Coverage, 14968,
     /* 1130257 */     GIR_EraseRootFromParent_Done,
     /* 1130258 */   // Label 16553: @1130258
     /* 1130258 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1130338), // Rule ID 14969 //
     /* 1130263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130302 */     // MIs[0] round
     /* 1130302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130337 */     // GIR_Coverage, 14969,
     /* 1130337 */     GIR_EraseRootFromParent_Done,
     /* 1130338 */   // Label 16554: @1130338
     /* 1130338 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1130418), // Rule ID 14972 //
     /* 1130343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1130360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130382 */     // MIs[0] round
     /* 1130382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130417 */     // GIR_Coverage, 14972,
     /* 1130417 */     GIR_EraseRootFromParent_Done,
     /* 1130418 */   // Label 16555: @1130418
     /* 1130418 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1130498), // Rule ID 14973 //
     /* 1130423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1130440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130462 */     // MIs[0] round
     /* 1130462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130497 */     // GIR_Coverage, 14973,
     /* 1130497 */     GIR_EraseRootFromParent_Done,
     /* 1130498 */   // Label 16556: @1130498
     /* 1130498 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1130578), // Rule ID 14976 //
     /* 1130503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130542 */     // MIs[0] round
     /* 1130542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130577 */     // GIR_Coverage, 14976,
     /* 1130577 */     GIR_EraseRootFromParent_Done,
     /* 1130578 */   // Label 16557: @1130578
     /* 1130578 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1130658), // Rule ID 14977 //
     /* 1130583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130622 */     // MIs[0] round
     /* 1130622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130657 */     // GIR_Coverage, 14977,
     /* 1130657 */     GIR_EraseRootFromParent_Done,
     /* 1130658 */   // Label 16558: @1130658
     /* 1130658 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130738), // Rule ID 14980 //
     /* 1130663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130702 */     // MIs[0] round
     /* 1130702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130737 */     // GIR_Coverage, 14980,
     /* 1130737 */     GIR_EraseRootFromParent_Done,
     /* 1130738 */   // Label 16559: @1130738
     /* 1130738 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130818), // Rule ID 14981 //
     /* 1130743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130782 */     // MIs[0] round
     /* 1130782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130817 */     // GIR_Coverage, 14981,
     /* 1130817 */     GIR_EraseRootFromParent_Done,
     /* 1130818 */   // Label 16560: @1130818
     /* 1130818 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130898), // Rule ID 14984 //
     /* 1130823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130862 */     // MIs[0] round
     /* 1130862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130897 */     // GIR_Coverage, 14984,
     /* 1130897 */     GIR_EraseRootFromParent_Done,
     /* 1130898 */   // Label 16561: @1130898
     /* 1130898 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130978), // Rule ID 14985 //
     /* 1130903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130942 */     // MIs[0] round
     /* 1130942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130977 */     // GIR_Coverage, 14985,
     /* 1130977 */     GIR_EraseRootFromParent_Done,
     /* 1130978 */   // Label 16562: @1130978
     /* 1130978 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1131058), // Rule ID 14988 //
     /* 1130983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1130994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1130997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1131003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131022 */     // MIs[0] round
     /* 1131022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1131035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131057 */     // GIR_Coverage, 14988,
     /* 1131057 */     GIR_EraseRootFromParent_Done,
     /* 1131058 */   // Label 16563: @1131058
     /* 1131058 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1131138), // Rule ID 14989 //
     /* 1131063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1131083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131102 */     // MIs[0] round
     /* 1131102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1131115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131137 */     // GIR_Coverage, 14989,
     /* 1131137 */     GIR_EraseRootFromParent_Done,
     /* 1131138 */   // Label 16564: @1131138
     /* 1131138 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1131218), // Rule ID 14992 //
     /* 1131143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1131163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131182 */     // MIs[0] round
     /* 1131182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131217 */     // GIR_Coverage, 14992,
     /* 1131217 */     GIR_EraseRootFromParent_Done,
     /* 1131218 */   // Label 16565: @1131218
     /* 1131218 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1131298), // Rule ID 14993 //
     /* 1131223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1131243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131262 */     // MIs[0] round
     /* 1131262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131297 */     // GIR_Coverage, 14993,
     /* 1131297 */     GIR_EraseRootFromParent_Done,
     /* 1131298 */   // Label 16566: @1131298
     /* 1131298 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1131378), // Rule ID 14996 //
     /* 1131303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1131314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1131317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1131323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131342 */     // MIs[0] round
     /* 1131342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131352 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131377 */     // GIR_Coverage, 14996,
     /* 1131377 */     GIR_EraseRootFromParent_Done,
     /* 1131378 */   // Label 16567: @1131378
     /* 1131378 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1131458), // Rule ID 14997 //
     /* 1131383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1131394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1131397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1131403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131422 */     // MIs[0] round
     /* 1131422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131457 */     // GIR_Coverage, 14997,
     /* 1131457 */     GIR_EraseRootFromParent_Done,
     /* 1131458 */   // Label 16568: @1131458
     /* 1131458 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1131538), // Rule ID 15000 //
     /* 1131463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131502 */     // MIs[0] round
     /* 1131502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131537 */     // GIR_Coverage, 15000,
     /* 1131537 */     GIR_EraseRootFromParent_Done,
     /* 1131538 */   // Label 16569: @1131538
     /* 1131538 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1131618), // Rule ID 15001 //
     /* 1131543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131582 */     // MIs[0] round
     /* 1131582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131617 */     // GIR_Coverage, 15001,
     /* 1131617 */     GIR_EraseRootFromParent_Done,
     /* 1131618 */   // Label 16570: @1131618
     /* 1131618 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131698), // Rule ID 15004 //
     /* 1131623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131662 */     // MIs[0] round
     /* 1131662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131697 */     // GIR_Coverage, 15004,
     /* 1131697 */     GIR_EraseRootFromParent_Done,
     /* 1131698 */   // Label 16571: @1131698
     /* 1131698 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131778), // Rule ID 15005 //
     /* 1131703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131742 */     // MIs[0] round
     /* 1131742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131777 */     // GIR_Coverage, 15005,
     /* 1131777 */     GIR_EraseRootFromParent_Done,
     /* 1131778 */   // Label 16572: @1131778
     /* 1131778 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131858), // Rule ID 15008 //
     /* 1131783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131822 */     // MIs[0] round
     /* 1131822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131857 */     // GIR_Coverage, 15008,
     /* 1131857 */     GIR_EraseRootFromParent_Done,
     /* 1131858 */   // Label 16573: @1131858
     /* 1131858 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131938), // Rule ID 15009 //
     /* 1131863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131902 */     // MIs[0] round
     /* 1131902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131937 */     // GIR_Coverage, 15009,
     /* 1131937 */     GIR_EraseRootFromParent_Done,
     /* 1131938 */   // Label 16574: @1131938
     /* 1131938 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1132018), // Rule ID 15012 //
     /* 1131943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1131954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1131957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131982 */     // MIs[0] round
     /* 1131982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132017 */     // GIR_Coverage, 15012,
     /* 1132017 */     GIR_EraseRootFromParent_Done,
     /* 1132018 */   // Label 16575: @1132018
     /* 1132018 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1132098), // Rule ID 15013 //
     /* 1132023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1132043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132062 */     // MIs[0] round
     /* 1132062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132097 */     // GIR_Coverage, 15013,
     /* 1132097 */     GIR_EraseRootFromParent_Done,
     /* 1132098 */   // Label 16576: @1132098
     /* 1132098 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1132178), // Rule ID 15016 //
     /* 1132103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132142 */     // MIs[0] round
     /* 1132142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132177 */     // GIR_Coverage, 15016,
     /* 1132177 */     GIR_EraseRootFromParent_Done,
     /* 1132178 */   // Label 16577: @1132178
     /* 1132178 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1132258), // Rule ID 15017 //
     /* 1132183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132222 */     // MIs[0] round
     /* 1132222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132257 */     // GIR_Coverage, 15017,
     /* 1132257 */     GIR_EraseRootFromParent_Done,
     /* 1132258 */   // Label 16578: @1132258
     /* 1132258 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1132338), // Rule ID 15020 //
     /* 1132263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132302 */     // MIs[0] round
     /* 1132302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132337 */     // GIR_Coverage, 15020,
     /* 1132337 */     GIR_EraseRootFromParent_Done,
     /* 1132338 */   // Label 16579: @1132338
     /* 1132338 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1132418), // Rule ID 15021 //
     /* 1132343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132382 */     // MIs[0] round
     /* 1132382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132417 */     // GIR_Coverage, 15021,
     /* 1132417 */     GIR_EraseRootFromParent_Done,
     /* 1132418 */   // Label 16580: @1132418
     /* 1132418 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1132498), // Rule ID 15024 //
     /* 1132423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132462 */     // MIs[0] round
     /* 1132462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132497 */     // GIR_Coverage, 15024,
     /* 1132497 */     GIR_EraseRootFromParent_Done,
     /* 1132498 */   // Label 16581: @1132498
     /* 1132498 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1132578), // Rule ID 15025 //
     /* 1132503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132542 */     // MIs[0] round
     /* 1132542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132577 */     // GIR_Coverage, 15025,
     /* 1132577 */     GIR_EraseRootFromParent_Done,
     /* 1132578 */   // Label 16582: @1132578
     /* 1132578 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1132658), // Rule ID 15028 //
     /* 1132583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132622 */     // MIs[0] round
     /* 1132622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132657 */     // GIR_Coverage, 15028,
     /* 1132657 */     GIR_EraseRootFromParent_Done,
     /* 1132658 */   // Label 16583: @1132658
     /* 1132658 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132738), // Rule ID 15029 //
     /* 1132663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132702 */     // MIs[0] round
     /* 1132702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132712 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132737 */     // GIR_Coverage, 15029,
     /* 1132737 */     GIR_EraseRootFromParent_Done,
     /* 1132738 */   // Label 16584: @1132738
     /* 1132738 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132818), // Rule ID 15032 //
     /* 1132743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132782 */     // MIs[0] round
     /* 1132782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132817 */     // GIR_Coverage, 15032,
     /* 1132817 */     GIR_EraseRootFromParent_Done,
     /* 1132818 */   // Label 16585: @1132818
     /* 1132818 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132898), // Rule ID 15033 //
     /* 1132823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132862 */     // MIs[0] round
     /* 1132862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132872 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132897 */     // GIR_Coverage, 15033,
     /* 1132897 */     GIR_EraseRootFromParent_Done,
     /* 1132898 */   // Label 16586: @1132898
     /* 1132898 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132978), // Rule ID 15036 //
     /* 1132903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1132920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1132923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132942 */     // MIs[0] round
     /* 1132942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132977 */     // GIR_Coverage, 15036,
     /* 1132977 */     GIR_EraseRootFromParent_Done,
     /* 1132978 */   // Label 16587: @1132978
     /* 1132978 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1133058), // Rule ID 15037 //
     /* 1132983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1133000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1133003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133022 */     // MIs[0] round
     /* 1133022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133057 */     // GIR_Coverage, 15037,
     /* 1133057 */     GIR_EraseRootFromParent_Done,
     /* 1133058 */   // Label 16588: @1133058
     /* 1133058 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1133138), // Rule ID 15040 //
     /* 1133063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1133083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133102 */     // MIs[0] round
     /* 1133102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133137 */     // GIR_Coverage, 15040,
     /* 1133137 */     GIR_EraseRootFromParent_Done,
     /* 1133138 */   // Label 16589: @1133138
     /* 1133138 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1133218), // Rule ID 15041 //
     /* 1133143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1133163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133182 */     // MIs[0] round
     /* 1133182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133217 */     // GIR_Coverage, 15041,
     /* 1133217 */     GIR_EraseRootFromParent_Done,
     /* 1133218 */   // Label 16590: @1133218
     /* 1133218 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1133298), // Rule ID 15044 //
     /* 1133223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1133234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1133237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1133240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1133243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133262 */     // MIs[0] round
     /* 1133262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133297 */     // GIR_Coverage, 15044,
     /* 1133297 */     GIR_EraseRootFromParent_Done,
     /* 1133298 */   // Label 16591: @1133298
     /* 1133298 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1133378), // Rule ID 15045 //
     /* 1133303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1133314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1133317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1133320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1133323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133342 */     // MIs[0] round
     /* 1133342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133377 */     // GIR_Coverage, 15045,
     /* 1133377 */     GIR_EraseRootFromParent_Done,
     /* 1133378 */   // Label 16592: @1133378
     /* 1133378 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1133458), // Rule ID 15048 //
     /* 1133383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1133394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1133397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1133400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1133403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133422 */     // MIs[0] round
     /* 1133422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133457 */     // GIR_Coverage, 15048,
     /* 1133457 */     GIR_EraseRootFromParent_Done,
     /* 1133458 */   // Label 16593: @1133458
     /* 1133458 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1133538), // Rule ID 15049 //
     /* 1133463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1133474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1133477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1133480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1133483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133502 */     // MIs[0] round
     /* 1133502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133537 */     // GIR_Coverage, 15049,
     /* 1133537 */     GIR_EraseRootFromParent_Done,
     /* 1133538 */   // Label 16594: @1133538
     /* 1133538 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1133618), // Rule ID 15052 //
     /* 1133543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133582 */     // MIs[0] round
     /* 1133582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133617 */     // GIR_Coverage, 15052,
     /* 1133617 */     GIR_EraseRootFromParent_Done,
     /* 1133618 */   // Label 16595: @1133618
     /* 1133618 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133698), // Rule ID 15053 //
     /* 1133623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133662 */     // MIs[0] round
     /* 1133662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133697 */     // GIR_Coverage, 15053,
     /* 1133697 */     GIR_EraseRootFromParent_Done,
     /* 1133698 */   // Label 16596: @1133698
     /* 1133698 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133778), // Rule ID 15056 //
     /* 1133703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133742 */     // MIs[0] round
     /* 1133742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133777 */     // GIR_Coverage, 15056,
     /* 1133777 */     GIR_EraseRootFromParent_Done,
     /* 1133778 */   // Label 16597: @1133778
     /* 1133778 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133858), // Rule ID 15057 //
     /* 1133783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133822 */     // MIs[0] round
     /* 1133822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133857 */     // GIR_Coverage, 15057,
     /* 1133857 */     GIR_EraseRootFromParent_Done,
     /* 1133858 */   // Label 16598: @1133858
     /* 1133858 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133938), // Rule ID 15060 //
     /* 1133863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133902 */     // MIs[0] round
     /* 1133902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133937 */     // GIR_Coverage, 15060,
     /* 1133937 */     GIR_EraseRootFromParent_Done,
     /* 1133938 */   // Label 16599: @1133938
     /* 1133938 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1134018), // Rule ID 15061 //
     /* 1133943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133982 */     // MIs[0] round
     /* 1133982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134017 */     // GIR_Coverage, 15061,
     /* 1134017 */     GIR_EraseRootFromParent_Done,
     /* 1134018 */   // Label 16600: @1134018
     /* 1134018 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1134098), // Rule ID 15064 //
     /* 1134023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1134043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134062 */     // MIs[0] round
     /* 1134062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1134075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134097 */     // GIR_Coverage, 15064,
     /* 1134097 */     GIR_EraseRootFromParent_Done,
     /* 1134098 */   // Label 16601: @1134098
     /* 1134098 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1134178), // Rule ID 15065 //
     /* 1134103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1134123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134142 */     // MIs[0] round
     /* 1134142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1134155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134177 */     // GIR_Coverage, 15065,
     /* 1134177 */     GIR_EraseRootFromParent_Done,
     /* 1134178 */   // Label 16602: @1134178
     /* 1134178 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1134258), // Rule ID 15068 //
     /* 1134183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1134203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134222 */     // MIs[0] round
     /* 1134222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1134235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134257 */     // GIR_Coverage, 15068,
     /* 1134257 */     GIR_EraseRootFromParent_Done,
     /* 1134258 */   // Label 16603: @1134258
     /* 1134258 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1134338), // Rule ID 15069 //
     /* 1134263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1134283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134302 */     // MIs[0] round
     /* 1134302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1134315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134337 */     // GIR_Coverage, 15069,
     /* 1134337 */     GIR_EraseRootFromParent_Done,
     /* 1134338 */   // Label 16604: @1134338
     /* 1134338 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1134418), // Rule ID 15072 //
     /* 1134343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1134363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134382 */     // MIs[0] round
     /* 1134382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1134395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134417 */     // GIR_Coverage, 15072,
     /* 1134417 */     GIR_EraseRootFromParent_Done,
     /* 1134418 */   // Label 16605: @1134418
     /* 1134418 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1134498), // Rule ID 15073 //
     /* 1134423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1134443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134462 */     // MIs[0] round
     /* 1134462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1134475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134497 */     // GIR_Coverage, 15073,
     /* 1134497 */     GIR_EraseRootFromParent_Done,
     /* 1134498 */   // Label 16606: @1134498
     /* 1134498 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1134578), // Rule ID 15076 //
     /* 1134503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134542 */     // MIs[0] round
     /* 1134542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134577 */     // GIR_Coverage, 15076,
     /* 1134577 */     GIR_EraseRootFromParent_Done,
     /* 1134578 */   // Label 16607: @1134578
     /* 1134578 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1134658), // Rule ID 15077 //
     /* 1134583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134622 */     // MIs[0] round
     /* 1134622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134657 */     // GIR_Coverage, 15077,
     /* 1134657 */     GIR_EraseRootFromParent_Done,
     /* 1134658 */   // Label 16608: @1134658
     /* 1134658 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134738), // Rule ID 15080 //
     /* 1134663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134702 */     // MIs[0] round
     /* 1134702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134737 */     // GIR_Coverage, 15080,
     /* 1134737 */     GIR_EraseRootFromParent_Done,
     /* 1134738 */   // Label 16609: @1134738
     /* 1134738 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134818), // Rule ID 15081 //
     /* 1134743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134782 */     // MIs[0] round
     /* 1134782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134792 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134817 */     // GIR_Coverage, 15081,
     /* 1134817 */     GIR_EraseRootFromParent_Done,
     /* 1134818 */   // Label 16610: @1134818
     /* 1134818 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134898), // Rule ID 15084 //
     /* 1134823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134862 */     // MIs[0] round
     /* 1134862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134897 */     // GIR_Coverage, 15084,
     /* 1134897 */     GIR_EraseRootFromParent_Done,
     /* 1134898 */   // Label 16611: @1134898
     /* 1134898 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134978), // Rule ID 15085 //
     /* 1134903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134942 */     // MIs[0] round
     /* 1134942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134977 */     // GIR_Coverage, 15085,
     /* 1134977 */     GIR_EraseRootFromParent_Done,
     /* 1134978 */   // Label 16612: @1134978
     /* 1134978 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1135058), // Rule ID 15088 //
     /* 1134983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1134994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1134997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135022 */     // MIs[0] round
     /* 1135022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1135035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135057 */     // GIR_Coverage, 15088,
     /* 1135057 */     GIR_EraseRootFromParent_Done,
     /* 1135058 */   // Label 16613: @1135058
     /* 1135058 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1135138), // Rule ID 15089 //
     /* 1135063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135102 */     // MIs[0] round
     /* 1135102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1135115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135137 */     // GIR_Coverage, 15089,
     /* 1135137 */     GIR_EraseRootFromParent_Done,
     /* 1135138 */   // Label 16614: @1135138
     /* 1135138 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1135218), // Rule ID 15092 //
     /* 1135143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135182 */     // MIs[0] round
     /* 1135182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135217 */     // GIR_Coverage, 15092,
     /* 1135217 */     GIR_EraseRootFromParent_Done,
     /* 1135218 */   // Label 16615: @1135218
     /* 1135218 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1135298), // Rule ID 15093 //
     /* 1135223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135262 */     // MIs[0] round
     /* 1135262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135297 */     // GIR_Coverage, 15093,
     /* 1135297 */     GIR_EraseRootFromParent_Done,
     /* 1135298 */   // Label 16616: @1135298
     /* 1135298 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1135378), // Rule ID 15096 //
     /* 1135303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1135314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1135317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135342 */     // MIs[0] round
     /* 1135342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135377 */     // GIR_Coverage, 15096,
     /* 1135377 */     GIR_EraseRootFromParent_Done,
     /* 1135378 */   // Label 16617: @1135378
     /* 1135378 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1135458), // Rule ID 15097 //
     /* 1135383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1135394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1135397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135422 */     // MIs[0] round
     /* 1135422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135457 */     // GIR_Coverage, 15097,
     /* 1135457 */     GIR_EraseRootFromParent_Done,
     /* 1135458 */   // Label 16618: @1135458
     /* 1135458 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1135538), // Rule ID 15100 //
     /* 1135463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135502 */     // MIs[0] round
     /* 1135502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135537 */     // GIR_Coverage, 15100,
     /* 1135537 */     GIR_EraseRootFromParent_Done,
     /* 1135538 */   // Label 16619: @1135538
     /* 1135538 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1135618), // Rule ID 15101 //
     /* 1135543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135582 */     // MIs[0] round
     /* 1135582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135617 */     // GIR_Coverage, 15101,
     /* 1135617 */     GIR_EraseRootFromParent_Done,
     /* 1135618 */   // Label 16620: @1135618
     /* 1135618 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135698), // Rule ID 15104 //
     /* 1135623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135662 */     // MIs[0] round
     /* 1135662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135697 */     // GIR_Coverage, 15104,
     /* 1135697 */     GIR_EraseRootFromParent_Done,
     /* 1135698 */   // Label 16621: @1135698
     /* 1135698 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135778), // Rule ID 15105 //
     /* 1135703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135742 */     // MIs[0] round
     /* 1135742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135777 */     // GIR_Coverage, 15105,
     /* 1135777 */     GIR_EraseRootFromParent_Done,
     /* 1135778 */   // Label 16622: @1135778
     /* 1135778 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135858), // Rule ID 15108 //
     /* 1135783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135822 */     // MIs[0] round
     /* 1135822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135857 */     // GIR_Coverage, 15108,
     /* 1135857 */     GIR_EraseRootFromParent_Done,
     /* 1135858 */   // Label 16623: @1135858
     /* 1135858 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135938), // Rule ID 15109 //
     /* 1135863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135902 */     // MIs[0] round
     /* 1135902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135937 */     // GIR_Coverage, 15109,
     /* 1135937 */     GIR_EraseRootFromParent_Done,
     /* 1135938 */   // Label 16624: @1135938
     /* 1135938 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1136018), // Rule ID 15112 //
     /* 1135943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135982 */     // MIs[0] round
     /* 1135982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136017 */     // GIR_Coverage, 15112,
     /* 1136017 */     GIR_EraseRootFromParent_Done,
     /* 1136018 */   // Label 16625: @1136018
     /* 1136018 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1136098), // Rule ID 15113 //
     /* 1136023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136062 */     // MIs[0] round
     /* 1136062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1136075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136097 */     // GIR_Coverage, 15113,
     /* 1136097 */     GIR_EraseRootFromParent_Done,
     /* 1136098 */   // Label 16626: @1136098
     /* 1136098 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1136178), // Rule ID 15116 //
     /* 1136103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136142 */     // MIs[0] round
     /* 1136142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136177 */     // GIR_Coverage, 15116,
     /* 1136177 */     GIR_EraseRootFromParent_Done,
     /* 1136178 */   // Label 16627: @1136178
     /* 1136178 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1136258), // Rule ID 15117 //
     /* 1136183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136222 */     // MIs[0] round
     /* 1136222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136257 */     // GIR_Coverage, 15117,
     /* 1136257 */     GIR_EraseRootFromParent_Done,
     /* 1136258 */   // Label 16628: @1136258
     /* 1136258 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1136338), // Rule ID 15120 //
     /* 1136263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1136274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1136277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1136280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136302 */     // MIs[0] round
     /* 1136302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136312 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136337 */     // GIR_Coverage, 15120,
     /* 1136337 */     GIR_EraseRootFromParent_Done,
     /* 1136338 */   // Label 16629: @1136338
     /* 1136338 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1136418), // Rule ID 15121 //
     /* 1136343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1136354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1136357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1136360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136382 */     // MIs[0] round
     /* 1136382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136417 */     // GIR_Coverage, 15121,
     /* 1136417 */     GIR_EraseRootFromParent_Done,
     /* 1136418 */   // Label 16630: @1136418
     /* 1136418 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1136498), // Rule ID 15124 //
     /* 1136423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1136434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1136437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136462 */     // MIs[0] round
     /* 1136462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136497 */     // GIR_Coverage, 15124,
     /* 1136497 */     GIR_EraseRootFromParent_Done,
     /* 1136498 */   // Label 16631: @1136498
     /* 1136498 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1136578), // Rule ID 15125 //
     /* 1136503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1136514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1136517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136542 */     // MIs[0] round
     /* 1136542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136577 */     // GIR_Coverage, 15125,
     /* 1136577 */     GIR_EraseRootFromParent_Done,
     /* 1136578 */   // Label 16632: @1136578
     /* 1136578 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1136658), // Rule ID 15128 //
     /* 1136583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136622 */     // MIs[0] round
     /* 1136622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136657 */     // GIR_Coverage, 15128,
     /* 1136657 */     GIR_EraseRootFromParent_Done,
     /* 1136658 */   // Label 16633: @1136658
     /* 1136658 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136738), // Rule ID 15129 //
     /* 1136663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136702 */     // MIs[0] round
     /* 1136702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136737 */     // GIR_Coverage, 15129,
     /* 1136737 */     GIR_EraseRootFromParent_Done,
     /* 1136738 */   // Label 16634: @1136738
     /* 1136738 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136818), // Rule ID 15132 //
     /* 1136743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136782 */     // MIs[0] round
     /* 1136782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136817 */     // GIR_Coverage, 15132,
     /* 1136817 */     GIR_EraseRootFromParent_Done,
     /* 1136818 */   // Label 16635: @1136818
     /* 1136818 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136898), // Rule ID 15133 //
     /* 1136823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136862 */     // MIs[0] round
     /* 1136862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136897 */     // GIR_Coverage, 15133,
     /* 1136897 */     GIR_EraseRootFromParent_Done,
     /* 1136898 */   // Label 16636: @1136898
     /* 1136898 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136978), // Rule ID 15136 //
     /* 1136903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1136920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136942 */     // MIs[0] round
     /* 1136942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136977 */     // GIR_Coverage, 15136,
     /* 1136977 */     GIR_EraseRootFromParent_Done,
     /* 1136978 */   // Label 16637: @1136978
     /* 1136978 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1137058), // Rule ID 15137 //
     /* 1136983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1137000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137022 */     // MIs[0] round
     /* 1137022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137057 */     // GIR_Coverage, 15137,
     /* 1137057 */     GIR_EraseRootFromParent_Done,
     /* 1137058 */   // Label 16638: @1137058
     /* 1137058 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1137138), // Rule ID 15140 //
     /* 1137063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137102 */     // MIs[0] round
     /* 1137102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137112 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137137 */     // GIR_Coverage, 15140,
     /* 1137137 */     GIR_EraseRootFromParent_Done,
     /* 1137138 */   // Label 16639: @1137138
     /* 1137138 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1137218), // Rule ID 15141 //
     /* 1137143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137182 */     // MIs[0] round
     /* 1137182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137217 */     // GIR_Coverage, 15141,
     /* 1137217 */     GIR_EraseRootFromParent_Done,
     /* 1137218 */   // Label 16640: @1137218
     /* 1137218 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1137298), // Rule ID 15144 //
     /* 1137223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1137234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1137237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1137240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137262 */     // MIs[0] round
     /* 1137262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137297 */     // GIR_Coverage, 15144,
     /* 1137297 */     GIR_EraseRootFromParent_Done,
     /* 1137298 */   // Label 16641: @1137298
     /* 1137298 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1137378), // Rule ID 15145 //
     /* 1137303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1137314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1137317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1137320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137342 */     // MIs[0] round
     /* 1137342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137377 */     // GIR_Coverage, 15145,
     /* 1137377 */     GIR_EraseRootFromParent_Done,
     /* 1137378 */   // Label 16642: @1137378
     /* 1137378 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1137458), // Rule ID 15148 //
     /* 1137383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1137394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1137397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1137400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137422 */     // MIs[0] round
     /* 1137422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137457 */     // GIR_Coverage, 15148,
     /* 1137457 */     GIR_EraseRootFromParent_Done,
     /* 1137458 */   // Label 16643: @1137458
     /* 1137458 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1137538), // Rule ID 15149 //
     /* 1137463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1137474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1137477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1137480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137502 */     // MIs[0] round
     /* 1137502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137537 */     // GIR_Coverage, 15149,
     /* 1137537 */     GIR_EraseRootFromParent_Done,
     /* 1137538 */   // Label 16644: @1137538
     /* 1137538 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1137618), // Rule ID 15152 //
     /* 1137543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137582 */     // MIs[0] round
     /* 1137582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137617 */     // GIR_Coverage, 15152,
     /* 1137617 */     GIR_EraseRootFromParent_Done,
     /* 1137618 */   // Label 16645: @1137618
     /* 1137618 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137698), // Rule ID 15153 //
     /* 1137623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137662 */     // MIs[0] round
     /* 1137662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137697 */     // GIR_Coverage, 15153,
     /* 1137697 */     GIR_EraseRootFromParent_Done,
     /* 1137698 */   // Label 16646: @1137698
     /* 1137698 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137778), // Rule ID 15156 //
     /* 1137703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137742 */     // MIs[0] round
     /* 1137742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137777 */     // GIR_Coverage, 15156,
     /* 1137777 */     GIR_EraseRootFromParent_Done,
     /* 1137778 */   // Label 16647: @1137778
     /* 1137778 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137858), // Rule ID 15157 //
     /* 1137783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137822 */     // MIs[0] round
     /* 1137822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137857 */     // GIR_Coverage, 15157,
     /* 1137857 */     GIR_EraseRootFromParent_Done,
     /* 1137858 */   // Label 16648: @1137858
     /* 1137858 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137938), // Rule ID 15160 //
     /* 1137863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137902 */     // MIs[0] round
     /* 1137902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137937 */     // GIR_Coverage, 15160,
     /* 1137937 */     GIR_EraseRootFromParent_Done,
     /* 1137938 */   // Label 16649: @1137938
     /* 1137938 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1138018), // Rule ID 15161 //
     /* 1137943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137982 */     // MIs[0] round
     /* 1137982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138017 */     // GIR_Coverage, 15161,
     /* 1138017 */     GIR_EraseRootFromParent_Done,
     /* 1138018 */   // Label 16650: @1138018
     /* 1138018 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1138098), // Rule ID 15164 //
     /* 1138023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1138043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138062 */     // MIs[0] round
     /* 1138062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1138075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138097 */     // GIR_Coverage, 15164,
     /* 1138097 */     GIR_EraseRootFromParent_Done,
     /* 1138098 */   // Label 16651: @1138098
     /* 1138098 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1138178), // Rule ID 15165 //
     /* 1138103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1138123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138142 */     // MIs[0] round
     /* 1138142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138152 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1138155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138177 */     // GIR_Coverage, 15165,
     /* 1138177 */     GIR_EraseRootFromParent_Done,
     /* 1138178 */   // Label 16652: @1138178
     /* 1138178 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1138258), // Rule ID 15168 //
     /* 1138183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1138203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138222 */     // MIs[0] round
     /* 1138222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138257 */     // GIR_Coverage, 15168,
     /* 1138257 */     GIR_EraseRootFromParent_Done,
     /* 1138258 */   // Label 16653: @1138258
     /* 1138258 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1138338), // Rule ID 15169 //
     /* 1138263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1138283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138302 */     // MIs[0] round
     /* 1138302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138312 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138337 */     // GIR_Coverage, 15169,
     /* 1138337 */     GIR_EraseRootFromParent_Done,
     /* 1138338 */   // Label 16654: @1138338
     /* 1138338 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1138418), // Rule ID 15172 //
     /* 1138343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1138354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1138357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1138360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1138363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138382 */     // MIs[0] round
     /* 1138382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138417 */     // GIR_Coverage, 15172,
     /* 1138417 */     GIR_EraseRootFromParent_Done,
     /* 1138418 */   // Label 16655: @1138418
     /* 1138418 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1138498), // Rule ID 15173 //
     /* 1138423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1138434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1138437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1138440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1138443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138462 */     // MIs[0] round
     /* 1138462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138497 */     // GIR_Coverage, 15173,
     /* 1138497 */     GIR_EraseRootFromParent_Done,
     /* 1138498 */   // Label 16656: @1138498
     /* 1138498 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1138578), // Rule ID 15176 //
     /* 1138503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138542 */     // MIs[0] round
     /* 1138542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138577 */     // GIR_Coverage, 15176,
     /* 1138577 */     GIR_EraseRootFromParent_Done,
     /* 1138578 */   // Label 16657: @1138578
     /* 1138578 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1138658), // Rule ID 15177 //
     /* 1138583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138622 */     // MIs[0] round
     /* 1138622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138657 */     // GIR_Coverage, 15177,
     /* 1138657 */     GIR_EraseRootFromParent_Done,
     /* 1138658 */   // Label 16658: @1138658
     /* 1138658 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138738), // Rule ID 15180 //
     /* 1138663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138702 */     // MIs[0] round
     /* 1138702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138737 */     // GIR_Coverage, 15180,
     /* 1138737 */     GIR_EraseRootFromParent_Done,
     /* 1138738 */   // Label 16659: @1138738
     /* 1138738 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138818), // Rule ID 15181 //
     /* 1138743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138782 */     // MIs[0] round
     /* 1138782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138792 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138817 */     // GIR_Coverage, 15181,
     /* 1138817 */     GIR_EraseRootFromParent_Done,
     /* 1138818 */   // Label 16660: @1138818
     /* 1138818 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138898), // Rule ID 15184 //
     /* 1138823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138862 */     // MIs[0] round
     /* 1138862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138897 */     // GIR_Coverage, 15184,
     /* 1138897 */     GIR_EraseRootFromParent_Done,
     /* 1138898 */   // Label 16661: @1138898
     /* 1138898 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138978), // Rule ID 15185 //
     /* 1138903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138942 */     // MIs[0] round
     /* 1138942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138977 */     // GIR_Coverage, 15185,
     /* 1138977 */     GIR_EraseRootFromParent_Done,
     /* 1138978 */   // Label 16662: @1138978
     /* 1138978 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1139058), // Rule ID 15188 //
     /* 1138983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1139003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139022 */     // MIs[0] round
     /* 1139022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139057 */     // GIR_Coverage, 15188,
     /* 1139057 */     GIR_EraseRootFromParent_Done,
     /* 1139058 */   // Label 16663: @1139058
     /* 1139058 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1139138), // Rule ID 15189 //
     /* 1139063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1139083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139102 */     // MIs[0] round
     /* 1139102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139137 */     // GIR_Coverage, 15189,
     /* 1139137 */     GIR_EraseRootFromParent_Done,
     /* 1139138 */   // Label 16664: @1139138
     /* 1139138 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1139218), // Rule ID 15192 //
     /* 1139143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1139163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139182 */     // MIs[0] round
     /* 1139182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139217 */     // GIR_Coverage, 15192,
     /* 1139217 */     GIR_EraseRootFromParent_Done,
     /* 1139218 */   // Label 16665: @1139218
     /* 1139218 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1139298), // Rule ID 15193 //
     /* 1139223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1139243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139262 */     // MIs[0] round
     /* 1139262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139297 */     // GIR_Coverage, 15193,
     /* 1139297 */     GIR_EraseRootFromParent_Done,
     /* 1139298 */   // Label 16666: @1139298
     /* 1139298 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1139378), // Rule ID 15196 //
     /* 1139303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1139314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1139317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1139320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1139323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139342 */     // MIs[0] round
     /* 1139342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139377 */     // GIR_Coverage, 15196,
     /* 1139377 */     GIR_EraseRootFromParent_Done,
     /* 1139378 */   // Label 16667: @1139378
     /* 1139378 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1139458), // Rule ID 15197 //
     /* 1139383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1139394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1139397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1139400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1139403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139422 */     // MIs[0] round
     /* 1139422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139457 */     // GIR_Coverage, 15197,
     /* 1139457 */     GIR_EraseRootFromParent_Done,
     /* 1139458 */   // Label 16668: @1139458
     /* 1139458 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1139538), // Rule ID 15200 //
     /* 1139463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139502 */     // MIs[0] round
     /* 1139502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139537 */     // GIR_Coverage, 15200,
     /* 1139537 */     GIR_EraseRootFromParent_Done,
     /* 1139538 */   // Label 16669: @1139538
     /* 1139538 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1139618), // Rule ID 15201 //
     /* 1139543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139582 */     // MIs[0] round
     /* 1139582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139617 */     // GIR_Coverage, 15201,
     /* 1139617 */     GIR_EraseRootFromParent_Done,
     /* 1139618 */   // Label 16670: @1139618
     /* 1139618 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139698), // Rule ID 15204 //
     /* 1139623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139662 */     // MIs[0] round
     /* 1139662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139697 */     // GIR_Coverage, 15204,
     /* 1139697 */     GIR_EraseRootFromParent_Done,
     /* 1139698 */   // Label 16671: @1139698
     /* 1139698 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139778), // Rule ID 15205 //
     /* 1139703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139742 */     // MIs[0] round
     /* 1139742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139777 */     // GIR_Coverage, 15205,
     /* 1139777 */     GIR_EraseRootFromParent_Done,
     /* 1139778 */   // Label 16672: @1139778
     /* 1139778 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139858), // Rule ID 15208 //
     /* 1139783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139822 */     // MIs[0] round
     /* 1139822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139857 */     // GIR_Coverage, 15208,
     /* 1139857 */     GIR_EraseRootFromParent_Done,
     /* 1139858 */   // Label 16673: @1139858
     /* 1139858 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139938), // Rule ID 15209 //
     /* 1139863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139902 */     // MIs[0] round
     /* 1139902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139937 */     // GIR_Coverage, 15209,
     /* 1139937 */     GIR_EraseRootFromParent_Done,
     /* 1139938 */   // Label 16674: @1139938
     /* 1139938 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1140018), // Rule ID 15212 //
     /* 1139943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139982 */     // MIs[0] round
     /* 1139982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140017 */     // GIR_Coverage, 15212,
     /* 1140017 */     GIR_EraseRootFromParent_Done,
     /* 1140018 */   // Label 16675: @1140018
     /* 1140018 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1140098), // Rule ID 15213 //
     /* 1140023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1140043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140062 */     // MIs[0] round
     /* 1140062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140097 */     // GIR_Coverage, 15213,
     /* 1140097 */     GIR_EraseRootFromParent_Done,
     /* 1140098 */   // Label 16676: @1140098
     /* 1140098 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1140178), // Rule ID 15216 //
     /* 1140103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1140123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140142 */     // MIs[0] round
     /* 1140142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140177 */     // GIR_Coverage, 15216,
     /* 1140177 */     GIR_EraseRootFromParent_Done,
     /* 1140178 */   // Label 16677: @1140178
     /* 1140178 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1140258), // Rule ID 15217 //
     /* 1140183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1140203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140222 */     // MIs[0] round
     /* 1140222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140232 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140257 */     // GIR_Coverage, 15217,
     /* 1140257 */     GIR_EraseRootFromParent_Done,
     /* 1140258 */   // Label 16678: @1140258
     /* 1140258 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1140338), // Rule ID 15220 //
     /* 1140263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1140274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1140277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1140280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1140283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140302 */     // MIs[0] round
     /* 1140302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140337 */     // GIR_Coverage, 15220,
     /* 1140337 */     GIR_EraseRootFromParent_Done,
     /* 1140338 */   // Label 16679: @1140338
     /* 1140338 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1140418), // Rule ID 15221 //
     /* 1140343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1140354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1140357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1140360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1140363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140382 */     // MIs[0] round
     /* 1140382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140417 */     // GIR_Coverage, 15221,
     /* 1140417 */     GIR_EraseRootFromParent_Done,
     /* 1140418 */   // Label 16680: @1140418
     /* 1140418 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1140498), // Rule ID 15224 //
     /* 1140423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1140434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1140437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140462 */     // MIs[0] round
     /* 1140462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140497 */     // GIR_Coverage, 15224,
     /* 1140497 */     GIR_EraseRootFromParent_Done,
     /* 1140498 */   // Label 16681: @1140498
     /* 1140498 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1140578), // Rule ID 15225 //
     /* 1140503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1140514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1140517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140542 */     // MIs[0] round
     /* 1140542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140577 */     // GIR_Coverage, 15225,
     /* 1140577 */     GIR_EraseRootFromParent_Done,
     /* 1140578 */   // Label 16682: @1140578
     /* 1140578 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1140658), // Rule ID 15228 //
     /* 1140583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140622 */     // MIs[0] round
     /* 1140622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140657 */     // GIR_Coverage, 15228,
     /* 1140657 */     GIR_EraseRootFromParent_Done,
     /* 1140658 */   // Label 16683: @1140658
     /* 1140658 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140738), // Rule ID 15229 //
     /* 1140663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140702 */     // MIs[0] round
     /* 1140702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140737 */     // GIR_Coverage, 15229,
     /* 1140737 */     GIR_EraseRootFromParent_Done,
     /* 1140738 */   // Label 16684: @1140738
     /* 1140738 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140818), // Rule ID 15232 //
     /* 1140743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140782 */     // MIs[0] round
     /* 1140782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140817 */     // GIR_Coverage, 15232,
     /* 1140817 */     GIR_EraseRootFromParent_Done,
     /* 1140818 */   // Label 16685: @1140818
     /* 1140818 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140898), // Rule ID 15233 //
     /* 1140823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140862 */     // MIs[0] round
     /* 1140862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140897 */     // GIR_Coverage, 15233,
     /* 1140897 */     GIR_EraseRootFromParent_Done,
     /* 1140898 */   // Label 16686: @1140898
     /* 1140898 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140978), // Rule ID 15236 //
     /* 1140903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140942 */     // MIs[0] round
     /* 1140942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140977 */     // GIR_Coverage, 15236,
     /* 1140977 */     GIR_EraseRootFromParent_Done,
     /* 1140978 */   // Label 16687: @1140978
     /* 1140978 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1141058), // Rule ID 15237 //
     /* 1140983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1141003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141022 */     // MIs[0] round
     /* 1141022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141057 */     // GIR_Coverage, 15237,
     /* 1141057 */     GIR_EraseRootFromParent_Done,
     /* 1141058 */   // Label 16688: @1141058
     /* 1141058 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1141138), // Rule ID 15240 //
     /* 1141063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1141083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141102 */     // MIs[0] round
     /* 1141102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1141115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141137 */     // GIR_Coverage, 15240,
     /* 1141137 */     GIR_EraseRootFromParent_Done,
     /* 1141138 */   // Label 16689: @1141138
     /* 1141138 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1141218), // Rule ID 15241 //
     /* 1141143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1141163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141182 */     // MIs[0] round
     /* 1141182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1141195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141217 */     // GIR_Coverage, 15241,
     /* 1141217 */     GIR_EraseRootFromParent_Done,
     /* 1141218 */   // Label 16690: @1141218
     /* 1141218 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1141298), // Rule ID 15244 //
     /* 1141223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1141234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1141237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1141240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1141243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141262 */     // MIs[0] round
     /* 1141262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1141275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141297 */     // GIR_Coverage, 15244,
     /* 1141297 */     GIR_EraseRootFromParent_Done,
     /* 1141298 */   // Label 16691: @1141298
     /* 1141298 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1141378), // Rule ID 15245 //
     /* 1141303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1141314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1141317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1141320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1141323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141342 */     // MIs[0] round
     /* 1141342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1141355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141377 */     // GIR_Coverage, 15245,
     /* 1141377 */     GIR_EraseRootFromParent_Done,
     /* 1141378 */   // Label 16692: @1141378
     /* 1141378 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1141458), // Rule ID 15248 //
     /* 1141383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1141394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1141397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1141400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1141403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141422 */     // MIs[0] round
     /* 1141422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141457 */     // GIR_Coverage, 15248,
     /* 1141457 */     GIR_EraseRootFromParent_Done,
     /* 1141458 */   // Label 16693: @1141458
     /* 1141458 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1141538), // Rule ID 15249 //
     /* 1141463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1141474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1141477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1141480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1141483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141502 */     // MIs[0] round
     /* 1141502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141537 */     // GIR_Coverage, 15249,
     /* 1141537 */     GIR_EraseRootFromParent_Done,
     /* 1141538 */   // Label 16694: @1141538
     /* 1141538 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1141618), // Rule ID 15252 //
     /* 1141543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141582 */     // MIs[0] round
     /* 1141582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141617 */     // GIR_Coverage, 15252,
     /* 1141617 */     GIR_EraseRootFromParent_Done,
     /* 1141618 */   // Label 16695: @1141618
     /* 1141618 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141698), // Rule ID 15253 //
     /* 1141623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141662 */     // MIs[0] round
     /* 1141662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141697 */     // GIR_Coverage, 15253,
     /* 1141697 */     GIR_EraseRootFromParent_Done,
     /* 1141698 */   // Label 16696: @1141698
     /* 1141698 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141778), // Rule ID 15256 //
     /* 1141703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141742 */     // MIs[0] round
     /* 1141742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141777 */     // GIR_Coverage, 15256,
     /* 1141777 */     GIR_EraseRootFromParent_Done,
     /* 1141778 */   // Label 16697: @1141778
     /* 1141778 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141858), // Rule ID 15257 //
     /* 1141783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141822 */     // MIs[0] round
     /* 1141822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141857 */     // GIR_Coverage, 15257,
     /* 1141857 */     GIR_EraseRootFromParent_Done,
     /* 1141858 */   // Label 16698: @1141858
     /* 1141858 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141938), // Rule ID 15260 //
     /* 1141863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141902 */     // MIs[0] round
     /* 1141902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141937 */     // GIR_Coverage, 15260,
     /* 1141937 */     GIR_EraseRootFromParent_Done,
     /* 1141938 */   // Label 16699: @1141938
     /* 1141938 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1142018), // Rule ID 15261 //
     /* 1141943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141982 */     // MIs[0] round
     /* 1141982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141992 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142017 */     // GIR_Coverage, 15261,
     /* 1142017 */     GIR_EraseRootFromParent_Done,
     /* 1142018 */   // Label 16700: @1142018
     /* 1142018 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1142098), // Rule ID 15264 //
     /* 1142023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142062 */     // MIs[0] round
     /* 1142062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1142075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142097 */     // GIR_Coverage, 15264,
     /* 1142097 */     GIR_EraseRootFromParent_Done,
     /* 1142098 */   // Label 16701: @1142098
     /* 1142098 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1142178), // Rule ID 15265 //
     /* 1142103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142142 */     // MIs[0] round
     /* 1142142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1142155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142177 */     // GIR_Coverage, 15265,
     /* 1142177 */     GIR_EraseRootFromParent_Done,
     /* 1142178 */   // Label 16702: @1142178
     /* 1142178 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1142258), // Rule ID 15268 //
     /* 1142183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142222 */     // MIs[0] round
     /* 1142222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142257 */     // GIR_Coverage, 15268,
     /* 1142257 */     GIR_EraseRootFromParent_Done,
     /* 1142258 */   // Label 16703: @1142258
     /* 1142258 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1142338), // Rule ID 15269 //
     /* 1142263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142302 */     // MIs[0] round
     /* 1142302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142337 */     // GIR_Coverage, 15269,
     /* 1142337 */     GIR_EraseRootFromParent_Done,
     /* 1142338 */   // Label 16704: @1142338
     /* 1142338 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1142418), // Rule ID 15272 //
     /* 1142343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142382 */     // MIs[0] round
     /* 1142382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142417 */     // GIR_Coverage, 15272,
     /* 1142417 */     GIR_EraseRootFromParent_Done,
     /* 1142418 */   // Label 16705: @1142418
     /* 1142418 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1142498), // Rule ID 15273 //
     /* 1142423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142462 */     // MIs[0] round
     /* 1142462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142497 */     // GIR_Coverage, 15273,
     /* 1142497 */     GIR_EraseRootFromParent_Done,
     /* 1142498 */   // Label 16706: @1142498
     /* 1142498 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1142578), // Rule ID 15276 //
     /* 1142503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142542 */     // MIs[0] round
     /* 1142542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142577 */     // GIR_Coverage, 15276,
     /* 1142577 */     GIR_EraseRootFromParent_Done,
     /* 1142578 */   // Label 16707: @1142578
     /* 1142578 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1142658), // Rule ID 15277 //
     /* 1142583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142622 */     // MIs[0] round
     /* 1142622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142657 */     // GIR_Coverage, 15277,
     /* 1142657 */     GIR_EraseRootFromParent_Done,
     /* 1142658 */   // Label 16708: @1142658
     /* 1142658 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142738), // Rule ID 15280 //
     /* 1142663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142702 */     // MIs[0] round
     /* 1142702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142737 */     // GIR_Coverage, 15280,
     /* 1142737 */     GIR_EraseRootFromParent_Done,
     /* 1142738 */   // Label 16709: @1142738
     /* 1142738 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142818), // Rule ID 15281 //
     /* 1142743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142782 */     // MIs[0] round
     /* 1142782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142817 */     // GIR_Coverage, 15281,
     /* 1142817 */     GIR_EraseRootFromParent_Done,
     /* 1142818 */   // Label 16710: @1142818
     /* 1142818 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142898), // Rule ID 15284 //
     /* 1142823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142862 */     // MIs[0] round
     /* 1142862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142897 */     // GIR_Coverage, 15284,
     /* 1142897 */     GIR_EraseRootFromParent_Done,
     /* 1142898 */   // Label 16711: @1142898
     /* 1142898 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142978), // Rule ID 15285 //
     /* 1142903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142942 */     // MIs[0] round
     /* 1142942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142977 */     // GIR_Coverage, 15285,
     /* 1142977 */     GIR_EraseRootFromParent_Done,
     /* 1142978 */   // Label 16712: @1142978
     /* 1142978 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1143058), // Rule ID 15288 //
     /* 1142983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143022 */     // MIs[0] round
     /* 1143022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1143035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143057 */     // GIR_Coverage, 15288,
     /* 1143057 */     GIR_EraseRootFromParent_Done,
     /* 1143058 */   // Label 16713: @1143058
     /* 1143058 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1143138), // Rule ID 15289 //
     /* 1143063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143102 */     // MIs[0] round
     /* 1143102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1143115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143137 */     // GIR_Coverage, 15289,
     /* 1143137 */     GIR_EraseRootFromParent_Done,
     /* 1143138 */   // Label 16714: @1143138
     /* 1143138 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1143218), // Rule ID 15292 //
     /* 1143143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143182 */     // MIs[0] round
     /* 1143182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143217 */     // GIR_Coverage, 15292,
     /* 1143217 */     GIR_EraseRootFromParent_Done,
     /* 1143218 */   // Label 16715: @1143218
     /* 1143218 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1143298), // Rule ID 15293 //
     /* 1143223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143262 */     // MIs[0] round
     /* 1143262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143297 */     // GIR_Coverage, 15293,
     /* 1143297 */     GIR_EraseRootFromParent_Done,
     /* 1143298 */   // Label 16716: @1143298
     /* 1143298 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1143378), // Rule ID 15296 //
     /* 1143303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1143314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1143317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1143320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143342 */     // MIs[0] round
     /* 1143342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143377 */     // GIR_Coverage, 15296,
     /* 1143377 */     GIR_EraseRootFromParent_Done,
     /* 1143378 */   // Label 16717: @1143378
     /* 1143378 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1143458), // Rule ID 15297 //
     /* 1143383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1143394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1143397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1143400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143422 */     // MIs[0] round
     /* 1143422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143432 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143457 */     // GIR_Coverage, 15297,
     /* 1143457 */     GIR_EraseRootFromParent_Done,
     /* 1143458 */   // Label 16718: @1143458
     /* 1143458 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1143538), // Rule ID 15300 //
     /* 1143463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143502 */     // MIs[0] round
     /* 1143502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143537 */     // GIR_Coverage, 15300,
     /* 1143537 */     GIR_EraseRootFromParent_Done,
     /* 1143538 */   // Label 16719: @1143538
     /* 1143538 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1143618), // Rule ID 15301 //
     /* 1143543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143582 */     // MIs[0] round
     /* 1143582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143617 */     // GIR_Coverage, 15301,
     /* 1143617 */     GIR_EraseRootFromParent_Done,
     /* 1143618 */   // Label 16720: @1143618
     /* 1143618 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143698), // Rule ID 15304 //
     /* 1143623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143662 */     // MIs[0] round
     /* 1143662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143697 */     // GIR_Coverage, 15304,
     /* 1143697 */     GIR_EraseRootFromParent_Done,
     /* 1143698 */   // Label 16721: @1143698
     /* 1143698 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143778), // Rule ID 15305 //
     /* 1143703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143742 */     // MIs[0] round
     /* 1143742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143777 */     // GIR_Coverage, 15305,
     /* 1143777 */     GIR_EraseRootFromParent_Done,
     /* 1143778 */   // Label 16722: @1143778
     /* 1143778 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143858), // Rule ID 15308 //
     /* 1143783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143822 */     // MIs[0] round
     /* 1143822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143857 */     // GIR_Coverage, 15308,
     /* 1143857 */     GIR_EraseRootFromParent_Done,
     /* 1143858 */   // Label 16723: @1143858
     /* 1143858 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143938), // Rule ID 15309 //
     /* 1143863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143902 */     // MIs[0] round
     /* 1143902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143937 */     // GIR_Coverage, 15309,
     /* 1143937 */     GIR_EraseRootFromParent_Done,
     /* 1143938 */   // Label 16724: @1143938
     /* 1143938 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1144018), // Rule ID 15312 //
     /* 1143943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143982 */     // MIs[0] round
     /* 1143982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144017 */     // GIR_Coverage, 15312,
     /* 1144017 */     GIR_EraseRootFromParent_Done,
     /* 1144018 */   // Label 16725: @1144018
     /* 1144018 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1144098), // Rule ID 15313 //
     /* 1144023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144062 */     // MIs[0] round
     /* 1144062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144072 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144097 */     // GIR_Coverage, 15313,
     /* 1144097 */     GIR_EraseRootFromParent_Done,
     /* 1144098 */   // Label 16726: @1144098
     /* 1144098 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1144178), // Rule ID 15316 //
     /* 1144103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144142 */     // MIs[0] round
     /* 1144142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144177 */     // GIR_Coverage, 15316,
     /* 1144177 */     GIR_EraseRootFromParent_Done,
     /* 1144178 */   // Label 16727: @1144178
     /* 1144178 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1144258), // Rule ID 15317 //
     /* 1144183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144222 */     // MIs[0] round
     /* 1144222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144257 */     // GIR_Coverage, 15317,
     /* 1144257 */     GIR_EraseRootFromParent_Done,
     /* 1144258 */   // Label 16728: @1144258
     /* 1144258 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1144338), // Rule ID 15320 //
     /* 1144263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144302 */     // MIs[0] round
     /* 1144302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144337 */     // GIR_Coverage, 15320,
     /* 1144337 */     GIR_EraseRootFromParent_Done,
     /* 1144338 */   // Label 16729: @1144338
     /* 1144338 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1144418), // Rule ID 15321 //
     /* 1144343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144382 */     // MIs[0] round
     /* 1144382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144417 */     // GIR_Coverage, 15321,
     /* 1144417 */     GIR_EraseRootFromParent_Done,
     /* 1144418 */   // Label 16730: @1144418
     /* 1144418 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1144498), // Rule ID 15324 //
     /* 1144423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144462 */     // MIs[0] round
     /* 1144462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144497 */     // GIR_Coverage, 15324,
     /* 1144497 */     GIR_EraseRootFromParent_Done,
     /* 1144498 */   // Label 16731: @1144498
     /* 1144498 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1144578), // Rule ID 15325 //
     /* 1144503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144542 */     // MIs[0] round
     /* 1144542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144577 */     // GIR_Coverage, 15325,
     /* 1144577 */     GIR_EraseRootFromParent_Done,
     /* 1144578 */   // Label 16732: @1144578
     /* 1144578 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1144658), // Rule ID 15328 //
     /* 1144583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144622 */     // MIs[0] round
     /* 1144622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144657 */     // GIR_Coverage, 15328,
     /* 1144657 */     GIR_EraseRootFromParent_Done,
     /* 1144658 */   // Label 16733: @1144658
     /* 1144658 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144738), // Rule ID 15329 //
     /* 1144663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144702 */     // MIs[0] round
     /* 1144702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144737 */     // GIR_Coverage, 15329,
     /* 1144737 */     GIR_EraseRootFromParent_Done,
     /* 1144738 */   // Label 16734: @1144738
     /* 1144738 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144818), // Rule ID 15332 //
     /* 1144743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144782 */     // MIs[0] round
     /* 1144782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144817 */     // GIR_Coverage, 15332,
     /* 1144817 */     GIR_EraseRootFromParent_Done,
     /* 1144818 */   // Label 16735: @1144818
     /* 1144818 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144898), // Rule ID 15333 //
     /* 1144823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144862 */     // MIs[0] round
     /* 1144862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144897 */     // GIR_Coverage, 15333,
     /* 1144897 */     GIR_EraseRootFromParent_Done,
     /* 1144898 */   // Label 16736: @1144898
     /* 1144898 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144978), // Rule ID 15336 //
     /* 1144903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144942 */     // MIs[0] round
     /* 1144942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144977 */     // GIR_Coverage, 15336,
     /* 1144977 */     GIR_EraseRootFromParent_Done,
     /* 1144978 */   // Label 16737: @1144978
     /* 1144978 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1145058), // Rule ID 15337 //
     /* 1144983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1145000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145022 */     // MIs[0] round
     /* 1145022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145032 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1145035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145057 */     // GIR_Coverage, 15337,
     /* 1145057 */     GIR_EraseRootFromParent_Done,
     /* 1145058 */   // Label 16738: @1145058
     /* 1145058 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1145138), // Rule ID 15340 //
     /* 1145063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1145083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145102 */     // MIs[0] round
     /* 1145102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1145115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145137 */     // GIR_Coverage, 15340,
     /* 1145137 */     GIR_EraseRootFromParent_Done,
     /* 1145138 */   // Label 16739: @1145138
     /* 1145138 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1145218), // Rule ID 15341 //
     /* 1145143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1145163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145182 */     // MIs[0] round
     /* 1145182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145192 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1145195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145217 */     // GIR_Coverage, 15341,
     /* 1145217 */     GIR_EraseRootFromParent_Done,
     /* 1145218 */   // Label 16740: @1145218
     /* 1145218 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1145298), // Rule ID 15344 //
     /* 1145223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1145234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1145237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1145240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1145243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145262 */     // MIs[0] round
     /* 1145262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145297 */     // GIR_Coverage, 15344,
     /* 1145297 */     GIR_EraseRootFromParent_Done,
     /* 1145298 */   // Label 16741: @1145298
     /* 1145298 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1145378), // Rule ID 15345 //
     /* 1145303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1145314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1145317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1145320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1145323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145342 */     // MIs[0] round
     /* 1145342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145377 */     // GIR_Coverage, 15345,
     /* 1145377 */     GIR_EraseRootFromParent_Done,
     /* 1145378 */   // Label 16742: @1145378
     /* 1145378 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1145458), // Rule ID 15348 //
     /* 1145383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1145394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1145397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1145400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1145403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145422 */     // MIs[0] round
     /* 1145422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145457 */     // GIR_Coverage, 15348,
     /* 1145457 */     GIR_EraseRootFromParent_Done,
     /* 1145458 */   // Label 16743: @1145458
     /* 1145458 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1145538), // Rule ID 15349 //
     /* 1145463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1145474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1145477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1145480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1145483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145502 */     // MIs[0] round
     /* 1145502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145537 */     // GIR_Coverage, 15349,
     /* 1145537 */     GIR_EraseRootFromParent_Done,
     /* 1145538 */   // Label 16744: @1145538
     /* 1145538 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1145618), // Rule ID 15352 //
     /* 1145543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145582 */     // MIs[0] round
     /* 1145582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145617 */     // GIR_Coverage, 15352,
     /* 1145617 */     GIR_EraseRootFromParent_Done,
     /* 1145618 */   // Label 16745: @1145618
     /* 1145618 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145698), // Rule ID 15353 //
     /* 1145623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145662 */     // MIs[0] round
     /* 1145662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145697 */     // GIR_Coverage, 15353,
     /* 1145697 */     GIR_EraseRootFromParent_Done,
     /* 1145698 */   // Label 16746: @1145698
     /* 1145698 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145778), // Rule ID 15356 //
     /* 1145703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145742 */     // MIs[0] round
     /* 1145742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145777 */     // GIR_Coverage, 15356,
     /* 1145777 */     GIR_EraseRootFromParent_Done,
     /* 1145778 */   // Label 16747: @1145778
     /* 1145778 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145858), // Rule ID 15357 //
     /* 1145783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145822 */     // MIs[0] round
     /* 1145822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145857 */     // GIR_Coverage, 15357,
     /* 1145857 */     GIR_EraseRootFromParent_Done,
     /* 1145858 */   // Label 16748: @1145858
     /* 1145858 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145938), // Rule ID 15360 //
     /* 1145863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145902 */     // MIs[0] round
     /* 1145902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145937 */     // GIR_Coverage, 15360,
     /* 1145937 */     GIR_EraseRootFromParent_Done,
     /* 1145938 */   // Label 16749: @1145938
     /* 1145938 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1146018), // Rule ID 15361 //
     /* 1145943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145982 */     // MIs[0] round
     /* 1145982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146017 */     // GIR_Coverage, 15361,
     /* 1146017 */     GIR_EraseRootFromParent_Done,
     /* 1146018 */   // Label 16750: @1146018
     /* 1146018 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1146098), // Rule ID 15364 //
     /* 1146023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1146043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146062 */     // MIs[0] round
     /* 1146062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146097 */     // GIR_Coverage, 15364,
     /* 1146097 */     GIR_EraseRootFromParent_Done,
     /* 1146098 */   // Label 16751: @1146098
     /* 1146098 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1146178), // Rule ID 15365 //
     /* 1146103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1146123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146142 */     // MIs[0] round
     /* 1146142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146177 */     // GIR_Coverage, 15365,
     /* 1146177 */     GIR_EraseRootFromParent_Done,
     /* 1146178 */   // Label 16752: @1146178
     /* 1146178 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1146258), // Rule ID 15368 //
     /* 1146183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1146194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1146197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1146200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1146203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146222 */     // MIs[0] round
     /* 1146222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146257 */     // GIR_Coverage, 15368,
     /* 1146257 */     GIR_EraseRootFromParent_Done,
     /* 1146258 */   // Label 16753: @1146258
     /* 1146258 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1146338), // Rule ID 15369 //
     /* 1146263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1146274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1146277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1146280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1146283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146302 */     // MIs[0] round
     /* 1146302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146337 */     // GIR_Coverage, 15369,
     /* 1146337 */     GIR_EraseRootFromParent_Done,
     /* 1146338 */   // Label 16754: @1146338
     /* 1146338 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1146418), // Rule ID 15372 //
     /* 1146343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1146354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1146357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1146360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1146363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146382 */     // MIs[0] round
     /* 1146382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146417 */     // GIR_Coverage, 15372,
     /* 1146417 */     GIR_EraseRootFromParent_Done,
     /* 1146418 */   // Label 16755: @1146418
     /* 1146418 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1146498), // Rule ID 15373 //
     /* 1146423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1146434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1146437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1146440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1146443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146462 */     // MIs[0] round
     /* 1146462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146497 */     // GIR_Coverage, 15373,
     /* 1146497 */     GIR_EraseRootFromParent_Done,
     /* 1146498 */   // Label 16756: @1146498
     /* 1146498 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1146578), // Rule ID 15376 //
     /* 1146503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146542 */     // MIs[0] round
     /* 1146542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146577 */     // GIR_Coverage, 15376,
     /* 1146577 */     GIR_EraseRootFromParent_Done,
     /* 1146578 */   // Label 16757: @1146578
     /* 1146578 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1146658), // Rule ID 15377 //
     /* 1146583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146622 */     // MIs[0] round
     /* 1146622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146657 */     // GIR_Coverage, 15377,
     /* 1146657 */     GIR_EraseRootFromParent_Done,
     /* 1146658 */   // Label 16758: @1146658
     /* 1146658 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146738), // Rule ID 15380 //
     /* 1146663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146702 */     // MIs[0] round
     /* 1146702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146712 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146737 */     // GIR_Coverage, 15380,
     /* 1146737 */     GIR_EraseRootFromParent_Done,
     /* 1146738 */   // Label 16759: @1146738
     /* 1146738 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146818), // Rule ID 15381 //
     /* 1146743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146782 */     // MIs[0] round
     /* 1146782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146817 */     // GIR_Coverage, 15381,
     /* 1146817 */     GIR_EraseRootFromParent_Done,
     /* 1146818 */   // Label 16760: @1146818
     /* 1146818 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146898), // Rule ID 15384 //
     /* 1146823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146862 */     // MIs[0] round
     /* 1146862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146872 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146897 */     // GIR_Coverage, 15384,
     /* 1146897 */     GIR_EraseRootFromParent_Done,
     /* 1146898 */   // Label 16761: @1146898
     /* 1146898 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146978), // Rule ID 15385 //
     /* 1146903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146942 */     // MIs[0] round
     /* 1146942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146977 */     // GIR_Coverage, 15385,
     /* 1146977 */     GIR_EraseRootFromParent_Done,
     /* 1146978 */   // Label 16762: @1146978
     /* 1146978 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1147058), // Rule ID 15388 //
     /* 1146983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1147003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147022 */     // MIs[0] round
     /* 1147022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147057 */     // GIR_Coverage, 15388,
     /* 1147057 */     GIR_EraseRootFromParent_Done,
     /* 1147058 */   // Label 16763: @1147058
     /* 1147058 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1147138), // Rule ID 15389 //
     /* 1147063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1147083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147102 */     // MIs[0] round
     /* 1147102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147112 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147137 */     // GIR_Coverage, 15389,
     /* 1147137 */     GIR_EraseRootFromParent_Done,
     /* 1147138 */   // Label 16764: @1147138
     /* 1147138 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1147218), // Rule ID 15392 //
     /* 1147143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1147163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147182 */     // MIs[0] round
     /* 1147182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147217 */     // GIR_Coverage, 15392,
     /* 1147217 */     GIR_EraseRootFromParent_Done,
     /* 1147218 */   // Label 16765: @1147218
     /* 1147218 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1147298), // Rule ID 15393 //
     /* 1147223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1147243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147262 */     // MIs[0] round
     /* 1147262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147297 */     // GIR_Coverage, 15393,
     /* 1147297 */     GIR_EraseRootFromParent_Done,
     /* 1147298 */   // Label 16766: @1147298
     /* 1147298 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1147378), // Rule ID 15396 //
     /* 1147303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1147314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1147317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1147320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1147323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147342 */     // MIs[0] round
     /* 1147342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147377 */     // GIR_Coverage, 15396,
     /* 1147377 */     GIR_EraseRootFromParent_Done,
     /* 1147378 */   // Label 16767: @1147378
     /* 1147378 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1147458), // Rule ID 15397 //
     /* 1147383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1147394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1147397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1147400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1147403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147422 */     // MIs[0] round
     /* 1147422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147432 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147457 */     // GIR_Coverage, 15397,
     /* 1147457 */     GIR_EraseRootFromParent_Done,
     /* 1147458 */   // Label 16768: @1147458
     /* 1147458 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1147538), // Rule ID 15400 //
     /* 1147463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147502 */     // MIs[0] round
     /* 1147502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147537 */     // GIR_Coverage, 15400,
     /* 1147537 */     GIR_EraseRootFromParent_Done,
     /* 1147538 */   // Label 16769: @1147538
     /* 1147538 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1147618), // Rule ID 15401 //
     /* 1147543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147582 */     // MIs[0] round
     /* 1147582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147617 */     // GIR_Coverage, 15401,
     /* 1147617 */     GIR_EraseRootFromParent_Done,
     /* 1147618 */   // Label 16770: @1147618
     /* 1147618 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147698), // Rule ID 15404 //
     /* 1147623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147662 */     // MIs[0] round
     /* 1147662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147697 */     // GIR_Coverage, 15404,
     /* 1147697 */     GIR_EraseRootFromParent_Done,
     /* 1147698 */   // Label 16771: @1147698
     /* 1147698 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147778), // Rule ID 15405 //
     /* 1147703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147742 */     // MIs[0] round
     /* 1147742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147777 */     // GIR_Coverage, 15405,
     /* 1147777 */     GIR_EraseRootFromParent_Done,
     /* 1147778 */   // Label 16772: @1147778
     /* 1147778 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147858), // Rule ID 15408 //
     /* 1147783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147822 */     // MIs[0] round
     /* 1147822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147857 */     // GIR_Coverage, 15408,
     /* 1147857 */     GIR_EraseRootFromParent_Done,
     /* 1147858 */   // Label 16773: @1147858
     /* 1147858 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147938), // Rule ID 15409 //
     /* 1147863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147902 */     // MIs[0] round
     /* 1147902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147912 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147937 */     // GIR_Coverage, 15409,
     /* 1147937 */     GIR_EraseRootFromParent_Done,
     /* 1147938 */   // Label 16774: @1147938
     /* 1147938 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1148018), // Rule ID 15412 //
     /* 1147943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147982 */     // MIs[0] round
     /* 1147982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148017 */     // GIR_Coverage, 15412,
     /* 1148017 */     GIR_EraseRootFromParent_Done,
     /* 1148018 */   // Label 16775: @1148018
     /* 1148018 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1148098), // Rule ID 15413 //
     /* 1148023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1148043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148062 */     // MIs[0] round
     /* 1148062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148097 */     // GIR_Coverage, 15413,
     /* 1148097 */     GIR_EraseRootFromParent_Done,
     /* 1148098 */   // Label 16776: @1148098
     /* 1148098 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1148178), // Rule ID 15416 //
     /* 1148103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1148114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1148117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1148120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1148123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148142 */     // MIs[0] round
     /* 1148142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1148155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148177 */     // GIR_Coverage, 15416,
     /* 1148177 */     GIR_EraseRootFromParent_Done,
     /* 1148178 */   // Label 16777: @1148178
     /* 1148178 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1148258), // Rule ID 15417 //
     /* 1148183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1148194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1148197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1148200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1148203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148222 */     // MIs[0] round
     /* 1148222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1148235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148257 */     // GIR_Coverage, 15417,
     /* 1148257 */     GIR_EraseRootFromParent_Done,
     /* 1148258 */   // Label 16778: @1148258
     /* 1148258 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1148338), // Rule ID 15420 //
     /* 1148263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1148274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1148277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1148280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1148283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148302 */     // MIs[0] round
     /* 1148302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1148315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148337 */     // GIR_Coverage, 15420,
     /* 1148337 */     GIR_EraseRootFromParent_Done,
     /* 1148338 */   // Label 16779: @1148338
     /* 1148338 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1148418), // Rule ID 15421 //
     /* 1148343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1148354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1148357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1148360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1148363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148382 */     // MIs[0] round
     /* 1148382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1148395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148417 */     // GIR_Coverage, 15421,
     /* 1148417 */     GIR_EraseRootFromParent_Done,
     /* 1148418 */   // Label 16780: @1148418
     /* 1148418 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1148498), // Rule ID 15424 //
     /* 1148423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1148434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1148437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148462 */     // MIs[0] round
     /* 1148462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148497 */     // GIR_Coverage, 15424,
     /* 1148497 */     GIR_EraseRootFromParent_Done,
     /* 1148498 */   // Label 16781: @1148498
     /* 1148498 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1148578), // Rule ID 15425 //
     /* 1148503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1148514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1148517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148542 */     // MIs[0] round
     /* 1148542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148577 */     // GIR_Coverage, 15425,
     /* 1148577 */     GIR_EraseRootFromParent_Done,
     /* 1148578 */   // Label 16782: @1148578
     /* 1148578 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1148658), // Rule ID 15428 //
     /* 1148583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148622 */     // MIs[0] round
     /* 1148622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148657 */     // GIR_Coverage, 15428,
     /* 1148657 */     GIR_EraseRootFromParent_Done,
     /* 1148658 */   // Label 16783: @1148658
     /* 1148658 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148738), // Rule ID 15429 //
     /* 1148663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148702 */     // MIs[0] round
     /* 1148702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148712 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148737 */     // GIR_Coverage, 15429,
     /* 1148737 */     GIR_EraseRootFromParent_Done,
     /* 1148738 */   // Label 16784: @1148738
     /* 1148738 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148818), // Rule ID 15432 //
     /* 1148743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148782 */     // MIs[0] round
     /* 1148782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148792 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148817 */     // GIR_Coverage, 15432,
     /* 1148817 */     GIR_EraseRootFromParent_Done,
     /* 1148818 */   // Label 16785: @1148818
     /* 1148818 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148898), // Rule ID 15433 //
     /* 1148823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148862 */     // MIs[0] round
     /* 1148862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148897 */     // GIR_Coverage, 15433,
     /* 1148897 */     GIR_EraseRootFromParent_Done,
     /* 1148898 */   // Label 16786: @1148898
     /* 1148898 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148978), // Rule ID 15436 //
     /* 1148903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148942 */     // MIs[0] round
     /* 1148942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148977 */     // GIR_Coverage, 15436,
     /* 1148977 */     GIR_EraseRootFromParent_Done,
     /* 1148978 */   // Label 16787: @1148978
     /* 1148978 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1149058), // Rule ID 15437 //
     /* 1148983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1149000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149022 */     // MIs[0] round
     /* 1149022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149057 */     // GIR_Coverage, 15437,
     /* 1149057 */     GIR_EraseRootFromParent_Done,
     /* 1149058 */   // Label 16788: @1149058
     /* 1149058 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1149138), // Rule ID 15440 //
     /* 1149063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149102 */     // MIs[0] round
     /* 1149102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1149115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149137 */     // GIR_Coverage, 15440,
     /* 1149137 */     GIR_EraseRootFromParent_Done,
     /* 1149138 */   // Label 16789: @1149138
     /* 1149138 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1149218), // Rule ID 15441 //
     /* 1149143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149182 */     // MIs[0] round
     /* 1149182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1149195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149217 */     // GIR_Coverage, 15441,
     /* 1149217 */     GIR_EraseRootFromParent_Done,
     /* 1149218 */   // Label 16790: @1149218
     /* 1149218 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1149298), // Rule ID 15444 //
     /* 1149223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149262 */     // MIs[0] round
     /* 1149262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149297 */     // GIR_Coverage, 15444,
     /* 1149297 */     GIR_EraseRootFromParent_Done,
     /* 1149298 */   // Label 16791: @1149298
     /* 1149298 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1149378), // Rule ID 15445 //
     /* 1149303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149342 */     // MIs[0] round
     /* 1149342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149377 */     // GIR_Coverage, 15445,
     /* 1149377 */     GIR_EraseRootFromParent_Done,
     /* 1149378 */   // Label 16792: @1149378
     /* 1149378 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1149458), // Rule ID 15448 //
     /* 1149383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149422 */     // MIs[0] round
     /* 1149422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149457 */     // GIR_Coverage, 15448,
     /* 1149457 */     GIR_EraseRootFromParent_Done,
     /* 1149458 */   // Label 16793: @1149458
     /* 1149458 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1149538), // Rule ID 15449 //
     /* 1149463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149502 */     // MIs[0] round
     /* 1149502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149537 */     // GIR_Coverage, 15449,
     /* 1149537 */     GIR_EraseRootFromParent_Done,
     /* 1149538 */   // Label 16794: @1149538
     /* 1149538 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1149618), // Rule ID 15452 //
     /* 1149543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149582 */     // MIs[0] round
     /* 1149582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149617 */     // GIR_Coverage, 15452,
     /* 1149617 */     GIR_EraseRootFromParent_Done,
     /* 1149618 */   // Label 16795: @1149618
     /* 1149618 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149698), // Rule ID 15453 //
     /* 1149623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149662 */     // MIs[0] round
     /* 1149662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149697 */     // GIR_Coverage, 15453,
     /* 1149697 */     GIR_EraseRootFromParent_Done,
     /* 1149698 */   // Label 16796: @1149698
     /* 1149698 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149778), // Rule ID 15456 //
     /* 1149703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149742 */     // MIs[0] round
     /* 1149742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149777 */     // GIR_Coverage, 15456,
     /* 1149777 */     GIR_EraseRootFromParent_Done,
     /* 1149778 */   // Label 16797: @1149778
     /* 1149778 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149858), // Rule ID 15457 //
     /* 1149783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149822 */     // MIs[0] round
     /* 1149822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149857 */     // GIR_Coverage, 15457,
     /* 1149857 */     GIR_EraseRootFromParent_Done,
     /* 1149858 */   // Label 16798: @1149858
     /* 1149858 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149938), // Rule ID 15460 //
     /* 1149863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149902 */     // MIs[0] round
     /* 1149902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149937 */     // GIR_Coverage, 15460,
     /* 1149937 */     GIR_EraseRootFromParent_Done,
     /* 1149938 */   // Label 16799: @1149938
     /* 1149938 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1150018), // Rule ID 15461 //
     /* 1149943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149982 */     // MIs[0] round
     /* 1149982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150017 */     // GIR_Coverage, 15461,
     /* 1150017 */     GIR_EraseRootFromParent_Done,
     /* 1150018 */   // Label 16800: @1150018
     /* 1150018 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1150098), // Rule ID 15464 //
     /* 1150023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150062 */     // MIs[0] round
     /* 1150062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1150075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150097 */     // GIR_Coverage, 15464,
     /* 1150097 */     GIR_EraseRootFromParent_Done,
     /* 1150098 */   // Label 16801: @1150098
     /* 1150098 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1150178), // Rule ID 15465 //
     /* 1150103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150142 */     // MIs[0] round
     /* 1150142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1150155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150177 */     // GIR_Coverage, 15465,
     /* 1150177 */     GIR_EraseRootFromParent_Done,
     /* 1150178 */   // Label 16802: @1150178
     /* 1150178 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1150258), // Rule ID 15468 //
     /* 1150183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150222 */     // MIs[0] round
     /* 1150222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150257 */     // GIR_Coverage, 15468,
     /* 1150257 */     GIR_EraseRootFromParent_Done,
     /* 1150258 */   // Label 16803: @1150258
     /* 1150258 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1150338), // Rule ID 15469 //
     /* 1150263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150302 */     // MIs[0] round
     /* 1150302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150312 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150337 */     // GIR_Coverage, 15469,
     /* 1150337 */     GIR_EraseRootFromParent_Done,
     /* 1150338 */   // Label 16804: @1150338
     /* 1150338 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1150418), // Rule ID 15472 //
     /* 1150343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150382 */     // MIs[0] round
     /* 1150382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150417 */     // GIR_Coverage, 15472,
     /* 1150417 */     GIR_EraseRootFromParent_Done,
     /* 1150418 */   // Label 16805: @1150418
     /* 1150418 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1150498), // Rule ID 15473 //
     /* 1150423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150462 */     // MIs[0] round
     /* 1150462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150497 */     // GIR_Coverage, 15473,
     /* 1150497 */     GIR_EraseRootFromParent_Done,
     /* 1150498 */   // Label 16806: @1150498
     /* 1150498 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1150578), // Rule ID 15476 //
     /* 1150503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150542 */     // MIs[0] round
     /* 1150542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150577 */     // GIR_Coverage, 15476,
     /* 1150577 */     GIR_EraseRootFromParent_Done,
     /* 1150578 */   // Label 16807: @1150578
     /* 1150578 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1150658), // Rule ID 15477 //
     /* 1150583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150622 */     // MIs[0] round
     /* 1150622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150632 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150657 */     // GIR_Coverage, 15477,
     /* 1150657 */     GIR_EraseRootFromParent_Done,
     /* 1150658 */   // Label 16808: @1150658
     /* 1150658 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150738), // Rule ID 15480 //
     /* 1150663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150702 */     // MIs[0] round
     /* 1150702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150737 */     // GIR_Coverage, 15480,
     /* 1150737 */     GIR_EraseRootFromParent_Done,
     /* 1150738 */   // Label 16809: @1150738
     /* 1150738 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150818), // Rule ID 15481 //
     /* 1150743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150782 */     // MIs[0] round
     /* 1150782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150792 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150817 */     // GIR_Coverage, 15481,
     /* 1150817 */     GIR_EraseRootFromParent_Done,
     /* 1150818 */   // Label 16810: @1150818
     /* 1150818 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150898), // Rule ID 15484 //
     /* 1150823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150862 */     // MIs[0] round
     /* 1150862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150897 */     // GIR_Coverage, 15484,
     /* 1150897 */     GIR_EraseRootFromParent_Done,
     /* 1150898 */   // Label 16811: @1150898
     /* 1150898 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150978), // Rule ID 15485 //
     /* 1150903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150942 */     // MIs[0] round
     /* 1150942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150977 */     // GIR_Coverage, 15485,
     /* 1150977 */     GIR_EraseRootFromParent_Done,
     /* 1150978 */   // Label 16812: @1150978
     /* 1150978 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1151058), // Rule ID 15488 //
     /* 1150983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151022 */     // MIs[0] round
     /* 1151022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151057 */     // GIR_Coverage, 15488,
     /* 1151057 */     GIR_EraseRootFromParent_Done,
     /* 1151058 */   // Label 16813: @1151058
     /* 1151058 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1151138), // Rule ID 15489 //
     /* 1151063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151102 */     // MIs[0] round
     /* 1151102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151137 */     // GIR_Coverage, 15489,
     /* 1151137 */     GIR_EraseRootFromParent_Done,
     /* 1151138 */   // Label 16814: @1151138
     /* 1151138 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1151218), // Rule ID 15492 //
     /* 1151143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151182 */     // MIs[0] round
     /* 1151182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151217 */     // GIR_Coverage, 15492,
     /* 1151217 */     GIR_EraseRootFromParent_Done,
     /* 1151218 */   // Label 16815: @1151218
     /* 1151218 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1151298), // Rule ID 15493 //
     /* 1151223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151262 */     // MIs[0] round
     /* 1151262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151297 */     // GIR_Coverage, 15493,
     /* 1151297 */     GIR_EraseRootFromParent_Done,
     /* 1151298 */   // Label 16816: @1151298
     /* 1151298 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1151378), // Rule ID 15496 //
     /* 1151303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151342 */     // MIs[0] round
     /* 1151342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151377 */     // GIR_Coverage, 15496,
     /* 1151377 */     GIR_EraseRootFromParent_Done,
     /* 1151378 */   // Label 16817: @1151378
     /* 1151378 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1151458), // Rule ID 15497 //
     /* 1151383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151422 */     // MIs[0] round
     /* 1151422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151457 */     // GIR_Coverage, 15497,
     /* 1151457 */     GIR_EraseRootFromParent_Done,
     /* 1151458 */   // Label 16818: @1151458
     /* 1151458 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1151538), // Rule ID 15500 //
     /* 1151463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151502 */     // MIs[0] round
     /* 1151502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151537 */     // GIR_Coverage, 15500,
     /* 1151537 */     GIR_EraseRootFromParent_Done,
     /* 1151538 */   // Label 16819: @1151538
     /* 1151538 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1151618), // Rule ID 15501 //
     /* 1151543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151582 */     // MIs[0] round
     /* 1151582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151617 */     // GIR_Coverage, 15501,
     /* 1151617 */     GIR_EraseRootFromParent_Done,
     /* 1151618 */   // Label 16820: @1151618
     /* 1151618 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151698), // Rule ID 15504 //
     /* 1151623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151662 */     // MIs[0] round
     /* 1151662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151697 */     // GIR_Coverage, 15504,
     /* 1151697 */     GIR_EraseRootFromParent_Done,
     /* 1151698 */   // Label 16821: @1151698
     /* 1151698 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151778), // Rule ID 15505 //
     /* 1151703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151742 */     // MIs[0] round
     /* 1151742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151777 */     // GIR_Coverage, 15505,
     /* 1151777 */     GIR_EraseRootFromParent_Done,
     /* 1151778 */   // Label 16822: @1151778
     /* 1151778 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151858), // Rule ID 15508 //
     /* 1151783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151822 */     // MIs[0] round
     /* 1151822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151857 */     // GIR_Coverage, 15508,
     /* 1151857 */     GIR_EraseRootFromParent_Done,
     /* 1151858 */   // Label 16823: @1151858
     /* 1151858 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151938), // Rule ID 15509 //
     /* 1151863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151902 */     // MIs[0] round
     /* 1151902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151937 */     // GIR_Coverage, 15509,
     /* 1151937 */     GIR_EraseRootFromParent_Done,
     /* 1151938 */   // Label 16824: @1151938
     /* 1151938 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1152018), // Rule ID 15512 //
     /* 1151943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151982 */     // MIs[0] round
     /* 1151982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152017 */     // GIR_Coverage, 15512,
     /* 1152017 */     GIR_EraseRootFromParent_Done,
     /* 1152018 */   // Label 16825: @1152018
     /* 1152018 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1152098), // Rule ID 15513 //
     /* 1152023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152062 */     // MIs[0] round
     /* 1152062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1152075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152097 */     // GIR_Coverage, 15513,
     /* 1152097 */     GIR_EraseRootFromParent_Done,
     /* 1152098 */   // Label 16826: @1152098
     /* 1152098 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1152181), // Rule ID 15516 //
     /* 1152103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1152114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1152117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1152120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1152123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152142 */     // MIs[0] round
     /* 1152142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152152 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1152155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152180 */     // GIR_Coverage, 15516,
     /* 1152180 */     GIR_EraseRootFromParent_Done,
     /* 1152181 */   // Label 16827: @1152181
     /* 1152181 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1152264), // Rule ID 15517 //
     /* 1152186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1152197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1152200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1152203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1152206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152225 */     // MIs[0] round
     /* 1152225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1152238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152263 */     // GIR_Coverage, 15517,
     /* 1152263 */     GIR_EraseRootFromParent_Done,
     /* 1152264 */   // Label 16828: @1152264
     /* 1152264 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1152347), // Rule ID 15520 //
     /* 1152269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1152280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1152283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1152286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1152289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152308 */     // MIs[0] round
     /* 1152308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152318 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152346 */     // GIR_Coverage, 15520,
     /* 1152346 */     GIR_EraseRootFromParent_Done,
     /* 1152347 */   // Label 16829: @1152347
     /* 1152347 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1152430), // Rule ID 15521 //
     /* 1152352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1152363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1152366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1152369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1152372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152391 */     // MIs[0] round
     /* 1152391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152429 */     // GIR_Coverage, 15521,
     /* 1152429 */     GIR_EraseRootFromParent_Done,
     /* 1152430 */   // Label 16830: @1152430
     /* 1152430 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1152513), // Rule ID 15524 //
     /* 1152435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152474 */     // MIs[0] round
     /* 1152474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152512 */     // GIR_Coverage, 15524,
     /* 1152512 */     GIR_EraseRootFromParent_Done,
     /* 1152513 */   // Label 16831: @1152513
     /* 1152513 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1152596), // Rule ID 15525 //
     /* 1152518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152557 */     // MIs[0] round
     /* 1152557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152595 */     // GIR_Coverage, 15525,
     /* 1152595 */     GIR_EraseRootFromParent_Done,
     /* 1152596 */   // Label 16832: @1152596
     /* 1152596 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1152679), // Rule ID 15528 //
     /* 1152601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152640 */     // MIs[0] round
     /* 1152640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152678 */     // GIR_Coverage, 15528,
     /* 1152678 */     GIR_EraseRootFromParent_Done,
     /* 1152679 */   // Label 16833: @1152679
     /* 1152679 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152762), // Rule ID 15529 //
     /* 1152684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152723 */     // MIs[0] round
     /* 1152723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152761 */     // GIR_Coverage, 15529,
     /* 1152761 */     GIR_EraseRootFromParent_Done,
     /* 1152762 */   // Label 16834: @1152762
     /* 1152762 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152845), // Rule ID 15532 //
     /* 1152767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152806 */     // MIs[0] round
     /* 1152806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152816 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152844 */     // GIR_Coverage, 15532,
     /* 1152844 */     GIR_EraseRootFromParent_Done,
     /* 1152845 */   // Label 16835: @1152845
     /* 1152845 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152928), // Rule ID 15533 //
     /* 1152850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152889 */     // MIs[0] round
     /* 1152889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152927 */     // GIR_Coverage, 15533,
     /* 1152927 */     GIR_EraseRootFromParent_Done,
     /* 1152928 */   // Label 16836: @1152928
     /* 1152928 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1153011), // Rule ID 15536 //
     /* 1152933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1152944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1152947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152972 */     // MIs[0] round
     /* 1152972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153010 */     // GIR_Coverage, 15536,
     /* 1153010 */     GIR_EraseRootFromParent_Done,
     /* 1153011 */   // Label 16837: @1153011
     /* 1153011 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1153094), // Rule ID 15537 //
     /* 1153016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1153036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153055 */     // MIs[0] round
     /* 1153055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153065 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1153068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153093 */     // GIR_Coverage, 15537,
     /* 1153093 */     GIR_EraseRootFromParent_Done,
     /* 1153094 */   // Label 16838: @1153094
     /* 1153094 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1153177), // Rule ID 15540 //
     /* 1153099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1153116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1153119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153138 */     // MIs[0] round
     /* 1153138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153176 */     // GIR_Coverage, 15540,
     /* 1153176 */     GIR_EraseRootFromParent_Done,
     /* 1153177 */   // Label 16839: @1153177
     /* 1153177 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1153260), // Rule ID 15541 //
     /* 1153182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1153199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1153202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153221 */     // MIs[0] round
     /* 1153221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153231 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153259 */     // GIR_Coverage, 15541,
     /* 1153259 */     GIR_EraseRootFromParent_Done,
     /* 1153260 */   // Label 16840: @1153260
     /* 1153260 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1153343), // Rule ID 15544 //
     /* 1153265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1153282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153304 */     // MIs[0] round
     /* 1153304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153314 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153342 */     // GIR_Coverage, 15544,
     /* 1153342 */     GIR_EraseRootFromParent_Done,
     /* 1153343 */   // Label 16841: @1153343
     /* 1153343 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1153426), // Rule ID 15545 //
     /* 1153348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1153365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153387 */     // MIs[0] round
     /* 1153387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153425 */     // GIR_Coverage, 15545,
     /* 1153425 */     GIR_EraseRootFromParent_Done,
     /* 1153426 */   // Label 16842: @1153426
     /* 1153426 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1153509), // Rule ID 15548 //
     /* 1153431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153470 */     // MIs[0] round
     /* 1153470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153508 */     // GIR_Coverage, 15548,
     /* 1153508 */     GIR_EraseRootFromParent_Done,
     /* 1153509 */   // Label 16843: @1153509
     /* 1153509 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1153592), // Rule ID 15549 //
     /* 1153514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153553 */     // MIs[0] round
     /* 1153553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153591 */     // GIR_Coverage, 15549,
     /* 1153591 */     GIR_EraseRootFromParent_Done,
     /* 1153592 */   // Label 16844: @1153592
     /* 1153592 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1153675), // Rule ID 15552 //
     /* 1153597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153636 */     // MIs[0] round
     /* 1153636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153674 */     // GIR_Coverage, 15552,
     /* 1153674 */     GIR_EraseRootFromParent_Done,
     /* 1153675 */   // Label 16845: @1153675
     /* 1153675 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153758), // Rule ID 15553 //
     /* 1153680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153719 */     // MIs[0] round
     /* 1153719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153729 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153757 */     // GIR_Coverage, 15553,
     /* 1153757 */     GIR_EraseRootFromParent_Done,
     /* 1153758 */   // Label 16846: @1153758
     /* 1153758 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153841), // Rule ID 15556 //
     /* 1153763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153802 */     // MIs[0] round
     /* 1153802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153812 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153840 */     // GIR_Coverage, 15556,
     /* 1153840 */     GIR_EraseRootFromParent_Done,
     /* 1153841 */   // Label 16847: @1153841
     /* 1153841 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153924), // Rule ID 15557 //
     /* 1153846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153885 */     // MIs[0] round
     /* 1153885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153895 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153923 */     // GIR_Coverage, 15557,
     /* 1153923 */     GIR_EraseRootFromParent_Done,
     /* 1153924 */   // Label 16848: @1153924
     /* 1153924 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1154007), // Rule ID 15560 //
     /* 1153929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1153940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1153943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153968 */     // MIs[0] round
     /* 1153968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153978 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154006 */     // GIR_Coverage, 15560,
     /* 1154006 */     GIR_EraseRootFromParent_Done,
     /* 1154007 */   // Label 16849: @1154007
     /* 1154007 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1154090), // Rule ID 15561 //
     /* 1154012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1154023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1154026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1154029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1154032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154051 */     // MIs[0] round
     /* 1154051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154061 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154089 */     // GIR_Coverage, 15561,
     /* 1154089 */     GIR_EraseRootFromParent_Done,
     /* 1154090 */   // Label 16850: @1154090
     /* 1154090 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1154173), // Rule ID 15564 //
     /* 1154095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1154106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1154109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1154112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1154115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154134 */     // MIs[0] round
     /* 1154134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154172 */     // GIR_Coverage, 15564,
     /* 1154172 */     GIR_EraseRootFromParent_Done,
     /* 1154173 */   // Label 16851: @1154173
     /* 1154173 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1154256), // Rule ID 15565 //
     /* 1154178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1154189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1154192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1154195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1154198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154217 */     // MIs[0] round
     /* 1154217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154255 */     // GIR_Coverage, 15565,
     /* 1154255 */     GIR_EraseRootFromParent_Done,
     /* 1154256 */   // Label 16852: @1154256
     /* 1154256 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1154339), // Rule ID 15568 //
     /* 1154261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1154272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1154275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1154278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1154281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154300 */     // MIs[0] round
     /* 1154300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154338 */     // GIR_Coverage, 15568,
     /* 1154338 */     GIR_EraseRootFromParent_Done,
     /* 1154339 */   // Label 16853: @1154339
     /* 1154339 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1154422), // Rule ID 15569 //
     /* 1154344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1154355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1154358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1154361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1154364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154383 */     // MIs[0] round
     /* 1154383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154421 */     // GIR_Coverage, 15569,
     /* 1154421 */     GIR_EraseRootFromParent_Done,
     /* 1154422 */   // Label 16854: @1154422
     /* 1154422 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1154505), // Rule ID 15572 //
     /* 1154427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1154438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154466 */     // MIs[0] round
     /* 1154466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154504 */     // GIR_Coverage, 15572,
     /* 1154504 */     GIR_EraseRootFromParent_Done,
     /* 1154505 */   // Label 16855: @1154505
     /* 1154505 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1154588), // Rule ID 15573 //
     /* 1154510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1154521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154549 */     // MIs[0] round
     /* 1154549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154559 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154587 */     // GIR_Coverage, 15573,
     /* 1154587 */     GIR_EraseRootFromParent_Done,
     /* 1154588 */   // Label 16856: @1154588
     /* 1154588 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1154671), // Rule ID 15576 //
     /* 1154593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154632 */     // MIs[0] round
     /* 1154632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154670 */     // GIR_Coverage, 15576,
     /* 1154670 */     GIR_EraseRootFromParent_Done,
     /* 1154671 */   // Label 16857: @1154671
     /* 1154671 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1154754), // Rule ID 15577 //
     /* 1154676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154715 */     // MIs[0] round
     /* 1154715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154753 */     // GIR_Coverage, 15577,
     /* 1154753 */     GIR_EraseRootFromParent_Done,
     /* 1154754 */   // Label 16858: @1154754
     /* 1154754 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154837), // Rule ID 15580 //
     /* 1154759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154798 */     // MIs[0] round
     /* 1154798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154836 */     // GIR_Coverage, 15580,
     /* 1154836 */     GIR_EraseRootFromParent_Done,
     /* 1154837 */   // Label 16859: @1154837
     /* 1154837 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154920), // Rule ID 15581 //
     /* 1154842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154881 */     // MIs[0] round
     /* 1154881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154919 */     // GIR_Coverage, 15581,
     /* 1154919 */     GIR_EraseRootFromParent_Done,
     /* 1154920 */   // Label 16860: @1154920
     /* 1154920 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1155003), // Rule ID 15584 //
     /* 1154925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1154936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1154939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154964 */     // MIs[0] round
     /* 1154964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155002 */     // GIR_Coverage, 15584,
     /* 1155002 */     GIR_EraseRootFromParent_Done,
     /* 1155003 */   // Label 16861: @1155003
     /* 1155003 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1155086), // Rule ID 15585 //
     /* 1155008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1155019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1155022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1155025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1155028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155047 */     // MIs[0] round
     /* 1155047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1155060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155085 */     // GIR_Coverage, 15585,
     /* 1155085 */     GIR_EraseRootFromParent_Done,
     /* 1155086 */   // Label 16862: @1155086
     /* 1155086 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1155169), // Rule ID 15588 //
     /* 1155091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1155102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1155105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1155108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155130 */     // MIs[0] round
     /* 1155130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1155143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155168 */     // GIR_Coverage, 15588,
     /* 1155168 */     GIR_EraseRootFromParent_Done,
     /* 1155169 */   // Label 16863: @1155169
     /* 1155169 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1155252), // Rule ID 15589 //
     /* 1155174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1155185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1155188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1155191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155213 */     // MIs[0] round
     /* 1155213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155223 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1155226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155251 */     // GIR_Coverage, 15589,
     /* 1155251 */     GIR_EraseRootFromParent_Done,
     /* 1155252 */   // Label 16864: @1155252
     /* 1155252 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1155335), // Rule ID 15592 //
     /* 1155257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1155268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1155271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1155274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155296 */     // MIs[0] round
     /* 1155296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155334 */     // GIR_Coverage, 15592,
     /* 1155334 */     GIR_EraseRootFromParent_Done,
     /* 1155335 */   // Label 16865: @1155335
     /* 1155335 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1155418), // Rule ID 15593 //
     /* 1155340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1155351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1155354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1155357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155379 */     // MIs[0] round
     /* 1155379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155389 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155417 */     // GIR_Coverage, 15593,
     /* 1155417 */     GIR_EraseRootFromParent_Done,
     /* 1155418 */   // Label 16866: @1155418
     /* 1155418 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1155501), // Rule ID 15596 //
     /* 1155423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1155434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1155437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155462 */     // MIs[0] round
     /* 1155462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155500 */     // GIR_Coverage, 15596,
     /* 1155500 */     GIR_EraseRootFromParent_Done,
     /* 1155501 */   // Label 16867: @1155501
     /* 1155501 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1155584), // Rule ID 15597 //
     /* 1155506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1155517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1155520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155545 */     // MIs[0] round
     /* 1155545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155555 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155583 */     // GIR_Coverage, 15597,
     /* 1155583 */     GIR_EraseRootFromParent_Done,
     /* 1155584 */   // Label 16868: @1155584
     /* 1155584 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1155667), // Rule ID 15600 //
     /* 1155589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155628 */     // MIs[0] round
     /* 1155628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155666 */     // GIR_Coverage, 15600,
     /* 1155666 */     GIR_EraseRootFromParent_Done,
     /* 1155667 */   // Label 16869: @1155667
     /* 1155667 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1155750), // Rule ID 15601 //
     /* 1155672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155711 */     // MIs[0] round
     /* 1155711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155749 */     // GIR_Coverage, 15601,
     /* 1155749 */     GIR_EraseRootFromParent_Done,
     /* 1155750 */   // Label 16870: @1155750
     /* 1155750 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155833), // Rule ID 15604 //
     /* 1155755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155794 */     // MIs[0] round
     /* 1155794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155832 */     // GIR_Coverage, 15604,
     /* 1155832 */     GIR_EraseRootFromParent_Done,
     /* 1155833 */   // Label 16871: @1155833
     /* 1155833 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155916), // Rule ID 15605 //
     /* 1155838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155877 */     // MIs[0] round
     /* 1155877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155887 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155915 */     // GIR_Coverage, 15605,
     /* 1155915 */     GIR_EraseRootFromParent_Done,
     /* 1155916 */   // Label 16872: @1155916
     /* 1155916 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155999), // Rule ID 15608 //
     /* 1155921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1155932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1155935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155960 */     // MIs[0] round
     /* 1155960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155970 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155998 */     // GIR_Coverage, 15608,
     /* 1155998 */     GIR_EraseRootFromParent_Done,
     /* 1155999 */   // Label 16873: @1155999
     /* 1155999 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1156082), // Rule ID 15609 //
     /* 1156004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1156015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1156018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1156021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156043 */     // MIs[0] round
     /* 1156043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1156056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156081 */     // GIR_Coverage, 15609,
     /* 1156081 */     GIR_EraseRootFromParent_Done,
     /* 1156082 */   // Label 16874: @1156082
     /* 1156082 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1156165), // Rule ID 15612 //
     /* 1156087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1156098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1156101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1156104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156126 */     // MIs[0] round
     /* 1156126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156164 */     // GIR_Coverage, 15612,
     /* 1156164 */     GIR_EraseRootFromParent_Done,
     /* 1156165 */   // Label 16875: @1156165
     /* 1156165 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1156248), // Rule ID 15613 //
     /* 1156170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1156181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1156184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1156187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156209 */     // MIs[0] round
     /* 1156209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156219 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156247 */     // GIR_Coverage, 15613,
     /* 1156247 */     GIR_EraseRootFromParent_Done,
     /* 1156248 */   // Label 16876: @1156248
     /* 1156248 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1156331), // Rule ID 15616 //
     /* 1156253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1156264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1156267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1156270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156292 */     // MIs[0] round
     /* 1156292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156330 */     // GIR_Coverage, 15616,
     /* 1156330 */     GIR_EraseRootFromParent_Done,
     /* 1156331 */   // Label 16877: @1156331
     /* 1156331 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1156414), // Rule ID 15617 //
     /* 1156336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1156347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1156350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1156353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156375 */     // MIs[0] round
     /* 1156375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156385 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156413 */     // GIR_Coverage, 15617,
     /* 1156413 */     GIR_EraseRootFromParent_Done,
     /* 1156414 */   // Label 16878: @1156414
     /* 1156414 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1156497), // Rule ID 15620 //
     /* 1156419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156458 */     // MIs[0] round
     /* 1156458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156496 */     // GIR_Coverage, 15620,
     /* 1156496 */     GIR_EraseRootFromParent_Done,
     /* 1156497 */   // Label 16879: @1156497
     /* 1156497 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1156580), // Rule ID 15621 //
     /* 1156502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156541 */     // MIs[0] round
     /* 1156541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156579 */     // GIR_Coverage, 15621,
     /* 1156579 */     GIR_EraseRootFromParent_Done,
     /* 1156580 */   // Label 16880: @1156580
     /* 1156580 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1156663), // Rule ID 15624 //
     /* 1156585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156624 */     // MIs[0] round
     /* 1156624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156662 */     // GIR_Coverage, 15624,
     /* 1156662 */     GIR_EraseRootFromParent_Done,
     /* 1156663 */   // Label 16881: @1156663
     /* 1156663 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1156746), // Rule ID 15625 //
     /* 1156668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156707 */     // MIs[0] round
     /* 1156707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156745 */     // GIR_Coverage, 15625,
     /* 1156745 */     GIR_EraseRootFromParent_Done,
     /* 1156746 */   // Label 16882: @1156746
     /* 1156746 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1156829), // Rule ID 15628 //
     /* 1156751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156790 */     // MIs[0] round
     /* 1156790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156800 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156828 */     // GIR_Coverage, 15628,
     /* 1156828 */     GIR_EraseRootFromParent_Done,
     /* 1156829 */   // Label 16883: @1156829
     /* 1156829 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156912), // Rule ID 15629 //
     /* 1156834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156873 */     // MIs[0] round
     /* 1156873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156883 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156911 */     // GIR_Coverage, 15629,
     /* 1156911 */     GIR_EraseRootFromParent_Done,
     /* 1156912 */   // Label 16884: @1156912
     /* 1156912 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156995), // Rule ID 15632 //
     /* 1156917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1156928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1156931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156956 */     // MIs[0] round
     /* 1156956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156994 */     // GIR_Coverage, 15632,
     /* 1156994 */     GIR_EraseRootFromParent_Done,
     /* 1156995 */   // Label 16885: @1156995
     /* 1156995 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1157078), // Rule ID 15633 //
     /* 1157000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1157011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1157014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1157017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157039 */     // MIs[0] round
     /* 1157039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157049 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157077 */     // GIR_Coverage, 15633,
     /* 1157077 */     GIR_EraseRootFromParent_Done,
     /* 1157078 */   // Label 16886: @1157078
     /* 1157078 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1157161), // Rule ID 15636 //
     /* 1157083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1157094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1157097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1157100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157122 */     // MIs[0] round
     /* 1157122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157160 */     // GIR_Coverage, 15636,
     /* 1157160 */     GIR_EraseRootFromParent_Done,
     /* 1157161 */   // Label 16887: @1157161
     /* 1157161 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1157244), // Rule ID 15637 //
     /* 1157166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1157177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1157180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1157183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157205 */     // MIs[0] round
     /* 1157205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157215 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157243 */     // GIR_Coverage, 15637,
     /* 1157243 */     GIR_EraseRootFromParent_Done,
     /* 1157244 */   // Label 16888: @1157244
     /* 1157244 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1157327), // Rule ID 15640 //
     /* 1157249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1157260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1157263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1157266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157288 */     // MIs[0] round
     /* 1157288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157326 */     // GIR_Coverage, 15640,
     /* 1157326 */     GIR_EraseRootFromParent_Done,
     /* 1157327 */   // Label 16889: @1157327
     /* 1157327 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1157410), // Rule ID 15641 //
     /* 1157332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1157343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1157346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1157349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157371 */     // MIs[0] round
     /* 1157371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157381 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157409 */     // GIR_Coverage, 15641,
     /* 1157409 */     GIR_EraseRootFromParent_Done,
     /* 1157410 */   // Label 16890: @1157410
     /* 1157410 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1157493), // Rule ID 15644 //
     /* 1157415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1157426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1157429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157454 */     // MIs[0] round
     /* 1157454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157492 */     // GIR_Coverage, 15644,
     /* 1157492 */     GIR_EraseRootFromParent_Done,
     /* 1157493 */   // Label 16891: @1157493
     /* 1157493 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1157576), // Rule ID 15645 //
     /* 1157498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1157509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1157512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157537 */     // MIs[0] round
     /* 1157537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157575 */     // GIR_Coverage, 15645,
     /* 1157575 */     GIR_EraseRootFromParent_Done,
     /* 1157576 */   // Label 16892: @1157576
     /* 1157576 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1157659), // Rule ID 15648 //
     /* 1157581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157620 */     // MIs[0] round
     /* 1157620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157658 */     // GIR_Coverage, 15648,
     /* 1157658 */     GIR_EraseRootFromParent_Done,
     /* 1157659 */   // Label 16893: @1157659
     /* 1157659 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1157742), // Rule ID 15649 //
     /* 1157664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157703 */     // MIs[0] round
     /* 1157703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157713 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157741 */     // GIR_Coverage, 15649,
     /* 1157741 */     GIR_EraseRootFromParent_Done,
     /* 1157742 */   // Label 16894: @1157742
     /* 1157742 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1157825), // Rule ID 15652 //
     /* 1157747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157786 */     // MIs[0] round
     /* 1157786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157824 */     // GIR_Coverage, 15652,
     /* 1157824 */     GIR_EraseRootFromParent_Done,
     /* 1157825 */   // Label 16895: @1157825
     /* 1157825 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157908), // Rule ID 15653 //
     /* 1157830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157869 */     // MIs[0] round
     /* 1157869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157879 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157907 */     // GIR_Coverage, 15653,
     /* 1157907 */     GIR_EraseRootFromParent_Done,
     /* 1157908 */   // Label 16896: @1157908
     /* 1157908 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157991), // Rule ID 15656 //
     /* 1157913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1157927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157952 */     // MIs[0] round
     /* 1157952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157990 */     // GIR_Coverage, 15656,
     /* 1157990 */     GIR_EraseRootFromParent_Done,
     /* 1157991 */   // Label 16897: @1157991
     /* 1157991 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1158074), // Rule ID 15657 //
     /* 1157996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1158007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1158010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1158013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158035 */     // MIs[0] round
     /* 1158035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1158048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158073 */     // GIR_Coverage, 15657,
     /* 1158073 */     GIR_EraseRootFromParent_Done,
     /* 1158074 */   // Label 16898: @1158074
     /* 1158074 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1158157), // Rule ID 15660 //
     /* 1158079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158118 */     // MIs[0] round
     /* 1158118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158156 */     // GIR_Coverage, 15660,
     /* 1158156 */     GIR_EraseRootFromParent_Done,
     /* 1158157 */   // Label 16899: @1158157
     /* 1158157 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1158240), // Rule ID 15661 //
     /* 1158162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158201 */     // MIs[0] round
     /* 1158201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158211 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158239 */     // GIR_Coverage, 15661,
     /* 1158239 */     GIR_EraseRootFromParent_Done,
     /* 1158240 */   // Label 16900: @1158240
     /* 1158240 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1158323), // Rule ID 15664 //
     /* 1158245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1158265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158284 */     // MIs[0] round
     /* 1158284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158322 */     // GIR_Coverage, 15664,
     /* 1158322 */     GIR_EraseRootFromParent_Done,
     /* 1158323 */   // Label 16901: @1158323
     /* 1158323 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1158406), // Rule ID 15665 //
     /* 1158328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1158348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158367 */     // MIs[0] round
     /* 1158367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158405 */     // GIR_Coverage, 15665,
     /* 1158405 */     GIR_EraseRootFromParent_Done,
     /* 1158406 */   // Label 16902: @1158406
     /* 1158406 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1158489), // Rule ID 15668 //
     /* 1158411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1158431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158450 */     // MIs[0] round
     /* 1158450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158488 */     // GIR_Coverage, 15668,
     /* 1158488 */     GIR_EraseRootFromParent_Done,
     /* 1158489 */   // Label 16903: @1158489
     /* 1158489 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1158572), // Rule ID 15669 //
     /* 1158494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1158514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158533 */     // MIs[0] round
     /* 1158533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158571 */     // GIR_Coverage, 15669,
     /* 1158571 */     GIR_EraseRootFromParent_Done,
     /* 1158572 */   // Label 16904: @1158572
     /* 1158572 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1158655), // Rule ID 15672 //
     /* 1158577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158616 */     // MIs[0] round
     /* 1158616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158654 */     // GIR_Coverage, 15672,
     /* 1158654 */     GIR_EraseRootFromParent_Done,
     /* 1158655 */   // Label 16905: @1158655
     /* 1158655 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1158738), // Rule ID 15673 //
     /* 1158660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158699 */     // MIs[0] round
     /* 1158699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158737 */     // GIR_Coverage, 15673,
     /* 1158737 */     GIR_EraseRootFromParent_Done,
     /* 1158738 */   // Label 16906: @1158738
     /* 1158738 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1158821), // Rule ID 15676 //
     /* 1158743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158782 */     // MIs[0] round
     /* 1158782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158820 */     // GIR_Coverage, 15676,
     /* 1158820 */     GIR_EraseRootFromParent_Done,
     /* 1158821 */   // Label 16907: @1158821
     /* 1158821 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158904), // Rule ID 15677 //
     /* 1158826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158865 */     // MIs[0] round
     /* 1158865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158903 */     // GIR_Coverage, 15677,
     /* 1158903 */     GIR_EraseRootFromParent_Done,
     /* 1158904 */   // Label 16908: @1158904
     /* 1158904 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158987), // Rule ID 15680 //
     /* 1158909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158948 */     // MIs[0] round
     /* 1158948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1158961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158986 */     // GIR_Coverage, 15680,
     /* 1158986 */     GIR_EraseRootFromParent_Done,
     /* 1158987 */   // Label 16909: @1158987
     /* 1158987 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1159070), // Rule ID 15681 //
     /* 1158992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1159003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1159006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1159009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159031 */     // MIs[0] round
     /* 1159031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1159044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159069 */     // GIR_Coverage, 15681,
     /* 1159069 */     GIR_EraseRootFromParent_Done,
     /* 1159070 */   // Label 16910: @1159070
     /* 1159070 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1159153), // Rule ID 15684 //
     /* 1159075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1159078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1159086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1159089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1159092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159114 */     // MIs[0] round
     /* 1159114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1159127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159152 */     // GIR_Coverage, 15684,
     /* 1159152 */     GIR_EraseRootFromParent_Done,
     /* 1159153 */   // Label 16911: @1159153
     /* 1159153 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1159236), // Rule ID 15685 //
     /* 1159158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1159161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1159169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1159172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1159175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159197 */     // MIs[0] round
     /* 1159197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159207 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1159210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159235 */     // GIR_Coverage, 15685,
     /* 1159235 */     GIR_EraseRootFromParent_Done,
     /* 1159236 */   // Label 16912: @1159236
     /* 1159236 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1159319), // Rule ID 15688 //
     /* 1159241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1159244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1159252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1159255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1159258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159280 */     // MIs[0] round
     /* 1159280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1159293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159318 */     // GIR_Coverage, 15688,
     /* 1159318 */     GIR_EraseRootFromParent_Done,
     /* 1159319 */   // Label 16913: @1159319
     /* 1159319 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1159402), // Rule ID 15689 //
     /* 1159324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1159327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1159335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1159338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1159341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159363 */     // MIs[0] round
     /* 1159363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159373 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1159376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159401 */     // GIR_Coverage, 15689,
     /* 1159401 */     GIR_EraseRootFromParent_Done,
     /* 1159402 */   // Label 16914: @1159402
     /* 1159402 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1159482), // Rule ID 15692 //
     /* 1159407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1159427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159446 */     // MIs[0] round
     /* 1159446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159481 */     // GIR_Coverage, 15692,
     /* 1159481 */     GIR_EraseRootFromParent_Done,
     /* 1159482 */   // Label 16915: @1159482
     /* 1159482 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1159562), // Rule ID 15693 //
     /* 1159487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1159507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159526 */     // MIs[0] round
     /* 1159526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159561 */     // GIR_Coverage, 15693,
     /* 1159561 */     GIR_EraseRootFromParent_Done,
     /* 1159562 */   // Label 16916: @1159562
     /* 1159562 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1159642), // Rule ID 15696 //
     /* 1159567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159606 */     // MIs[0] round
     /* 1159606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159641 */     // GIR_Coverage, 15696,
     /* 1159641 */     GIR_EraseRootFromParent_Done,
     /* 1159642 */   // Label 16917: @1159642
     /* 1159642 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1159722), // Rule ID 15697 //
     /* 1159647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159686 */     // MIs[0] round
     /* 1159686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159721 */     // GIR_Coverage, 15697,
     /* 1159721 */     GIR_EraseRootFromParent_Done,
     /* 1159722 */   // Label 16918: @1159722
     /* 1159722 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1159802), // Rule ID 15700 //
     /* 1159727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159766 */     // MIs[0] round
     /* 1159766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159801 */     // GIR_Coverage, 15700,
     /* 1159801 */     GIR_EraseRootFromParent_Done,
     /* 1159802 */   // Label 16919: @1159802
     /* 1159802 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159882), // Rule ID 15701 //
     /* 1159807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159846 */     // MIs[0] round
     /* 1159846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159881 */     // GIR_Coverage, 15701,
     /* 1159881 */     GIR_EraseRootFromParent_Done,
     /* 1159882 */   // Label 16920: @1159882
     /* 1159882 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159962), // Rule ID 15704 //
     /* 1159887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159926 */     // MIs[0] round
     /* 1159926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159961 */     // GIR_Coverage, 15704,
     /* 1159961 */     GIR_EraseRootFromParent_Done,
     /* 1159962 */   // Label 16921: @1159962
     /* 1159962 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1160042), // Rule ID 15705 //
     /* 1159967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160006 */     // MIs[0] round
     /* 1160006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1160019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160041 */     // GIR_Coverage, 15705,
     /* 1160041 */     GIR_EraseRootFromParent_Done,
     /* 1160042 */   // Label 16922: @1160042
     /* 1160042 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1160122), // Rule ID 15708 //
     /* 1160047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1160067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160086 */     // MIs[0] round
     /* 1160086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160121 */     // GIR_Coverage, 15708,
     /* 1160121 */     GIR_EraseRootFromParent_Done,
     /* 1160122 */   // Label 16923: @1160122
     /* 1160122 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1160202), // Rule ID 15709 //
     /* 1160127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1160147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160166 */     // MIs[0] round
     /* 1160166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160201 */     // GIR_Coverage, 15709,
     /* 1160201 */     GIR_EraseRootFromParent_Done,
     /* 1160202 */   // Label 16924: @1160202
     /* 1160202 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1160282), // Rule ID 15712 //
     /* 1160207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1160227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160246 */     // MIs[0] round
     /* 1160246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160281 */     // GIR_Coverage, 15712,
     /* 1160281 */     GIR_EraseRootFromParent_Done,
     /* 1160282 */   // Label 16925: @1160282
     /* 1160282 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1160362), // Rule ID 15713 //
     /* 1160287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1160307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160326 */     // MIs[0] round
     /* 1160326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160361 */     // GIR_Coverage, 15713,
     /* 1160361 */     GIR_EraseRootFromParent_Done,
     /* 1160362 */   // Label 16926: @1160362
     /* 1160362 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1160442), // Rule ID 15716 //
     /* 1160367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1160387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160406 */     // MIs[0] round
     /* 1160406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160441 */     // GIR_Coverage, 15716,
     /* 1160441 */     GIR_EraseRootFromParent_Done,
     /* 1160442 */   // Label 16927: @1160442
     /* 1160442 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1160522), // Rule ID 15717 //
     /* 1160447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1160467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160486 */     // MIs[0] round
     /* 1160486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160521 */     // GIR_Coverage, 15717,
     /* 1160521 */     GIR_EraseRootFromParent_Done,
     /* 1160522 */   // Label 16928: @1160522
     /* 1160522 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1160602), // Rule ID 15720 //
     /* 1160527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160566 */     // MIs[0] round
     /* 1160566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160601 */     // GIR_Coverage, 15720,
     /* 1160601 */     GIR_EraseRootFromParent_Done,
     /* 1160602 */   // Label 16929: @1160602
     /* 1160602 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1160682), // Rule ID 15721 //
     /* 1160607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160646 */     // MIs[0] round
     /* 1160646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160681 */     // GIR_Coverage, 15721,
     /* 1160681 */     GIR_EraseRootFromParent_Done,
     /* 1160682 */   // Label 16930: @1160682
     /* 1160682 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1160762), // Rule ID 15724 //
     /* 1160687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160726 */     // MIs[0] round
     /* 1160726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160761 */     // GIR_Coverage, 15724,
     /* 1160761 */     GIR_EraseRootFromParent_Done,
     /* 1160762 */   // Label 16931: @1160762
     /* 1160762 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160842), // Rule ID 15725 //
     /* 1160767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160806 */     // MIs[0] round
     /* 1160806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160841 */     // GIR_Coverage, 15725,
     /* 1160841 */     GIR_EraseRootFromParent_Done,
     /* 1160842 */   // Label 16932: @1160842
     /* 1160842 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160922), // Rule ID 15728 //
     /* 1160847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160886 */     // MIs[0] round
     /* 1160886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160921 */     // GIR_Coverage, 15728,
     /* 1160921 */     GIR_EraseRootFromParent_Done,
     /* 1160922 */   // Label 16933: @1160922
     /* 1160922 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1161002), // Rule ID 15729 //
     /* 1160927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160966 */     // MIs[0] round
     /* 1160966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161001 */     // GIR_Coverage, 15729,
     /* 1161001 */     GIR_EraseRootFromParent_Done,
     /* 1161002 */   // Label 16934: @1161002
     /* 1161002 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1161082), // Rule ID 15732 //
     /* 1161007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1161027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161046 */     // MIs[0] round
     /* 1161046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161081 */     // GIR_Coverage, 15732,
     /* 1161081 */     GIR_EraseRootFromParent_Done,
     /* 1161082 */   // Label 16935: @1161082
     /* 1161082 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1161162), // Rule ID 15733 //
     /* 1161087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1161107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161126 */     // MIs[0] round
     /* 1161126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161161 */     // GIR_Coverage, 15733,
     /* 1161161 */     GIR_EraseRootFromParent_Done,
     /* 1161162 */   // Label 16936: @1161162
     /* 1161162 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1161242), // Rule ID 15736 //
     /* 1161167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1161187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161206 */     // MIs[0] round
     /* 1161206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161241 */     // GIR_Coverage, 15736,
     /* 1161241 */     GIR_EraseRootFromParent_Done,
     /* 1161242 */   // Label 16937: @1161242
     /* 1161242 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1161322), // Rule ID 15737 //
     /* 1161247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1161267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161286 */     // MIs[0] round
     /* 1161286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161321 */     // GIR_Coverage, 15737,
     /* 1161321 */     GIR_EraseRootFromParent_Done,
     /* 1161322 */   // Label 16938: @1161322
     /* 1161322 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1161402), // Rule ID 15740 //
     /* 1161327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1161347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161366 */     // MIs[0] round
     /* 1161366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161401 */     // GIR_Coverage, 15740,
     /* 1161401 */     GIR_EraseRootFromParent_Done,
     /* 1161402 */   // Label 16939: @1161402
     /* 1161402 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1161482), // Rule ID 15741 //
     /* 1161407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1161427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161446 */     // MIs[0] round
     /* 1161446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161481 */     // GIR_Coverage, 15741,
     /* 1161481 */     GIR_EraseRootFromParent_Done,
     /* 1161482 */   // Label 16940: @1161482
     /* 1161482 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1161562), // Rule ID 15744 //
     /* 1161487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161526 */     // MIs[0] round
     /* 1161526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161561 */     // GIR_Coverage, 15744,
     /* 1161561 */     GIR_EraseRootFromParent_Done,
     /* 1161562 */   // Label 16941: @1161562
     /* 1161562 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1161642), // Rule ID 15745 //
     /* 1161567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161606 */     // MIs[0] round
     /* 1161606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161641 */     // GIR_Coverage, 15745,
     /* 1161641 */     GIR_EraseRootFromParent_Done,
     /* 1161642 */   // Label 16942: @1161642
     /* 1161642 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1161722), // Rule ID 15748 //
     /* 1161647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161686 */     // MIs[0] round
     /* 1161686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161721 */     // GIR_Coverage, 15748,
     /* 1161721 */     GIR_EraseRootFromParent_Done,
     /* 1161722 */   // Label 16943: @1161722
     /* 1161722 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161802), // Rule ID 15749 //
     /* 1161727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161766 */     // MIs[0] round
     /* 1161766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161776 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161801 */     // GIR_Coverage, 15749,
     /* 1161801 */     GIR_EraseRootFromParent_Done,
     /* 1161802 */   // Label 16944: @1161802
     /* 1161802 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161882), // Rule ID 15752 //
     /* 1161807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161846 */     // MIs[0] round
     /* 1161846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161881 */     // GIR_Coverage, 15752,
     /* 1161881 */     GIR_EraseRootFromParent_Done,
     /* 1161882 */   // Label 16945: @1161882
     /* 1161882 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161962), // Rule ID 15753 //
     /* 1161887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161926 */     // MIs[0] round
     /* 1161926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161961 */     // GIR_Coverage, 15753,
     /* 1161961 */     GIR_EraseRootFromParent_Done,
     /* 1161962 */   // Label 16946: @1161962
     /* 1161962 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1162042), // Rule ID 15756 //
     /* 1161967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162006 */     // MIs[0] round
     /* 1162006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162041 */     // GIR_Coverage, 15756,
     /* 1162041 */     GIR_EraseRootFromParent_Done,
     /* 1162042 */   // Label 16947: @1162042
     /* 1162042 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1162122), // Rule ID 15757 //
     /* 1162047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1162058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1162061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1162064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1162067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162086 */     // MIs[0] round
     /* 1162086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162121 */     // GIR_Coverage, 15757,
     /* 1162121 */     GIR_EraseRootFromParent_Done,
     /* 1162122 */   // Label 16948: @1162122
     /* 1162122 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1162202), // Rule ID 15760 //
     /* 1162127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1162147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162166 */     // MIs[0] round
     /* 1162166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162201 */     // GIR_Coverage, 15760,
     /* 1162201 */     GIR_EraseRootFromParent_Done,
     /* 1162202 */   // Label 16949: @1162202
     /* 1162202 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1162282), // Rule ID 15761 //
     /* 1162207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1162227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162246 */     // MIs[0] round
     /* 1162246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162281 */     // GIR_Coverage, 15761,
     /* 1162281 */     GIR_EraseRootFromParent_Done,
     /* 1162282 */   // Label 16950: @1162282
     /* 1162282 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1162362), // Rule ID 15764 //
     /* 1162287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1162307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162326 */     // MIs[0] round
     /* 1162326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162361 */     // GIR_Coverage, 15764,
     /* 1162361 */     GIR_EraseRootFromParent_Done,
     /* 1162362 */   // Label 16951: @1162362
     /* 1162362 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1162442), // Rule ID 15765 //
     /* 1162367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1162387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162406 */     // MIs[0] round
     /* 1162406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162441 */     // GIR_Coverage, 15765,
     /* 1162441 */     GIR_EraseRootFromParent_Done,
     /* 1162442 */   // Label 16952: @1162442
     /* 1162442 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1162522), // Rule ID 15768 //
     /* 1162447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162486 */     // MIs[0] round
     /* 1162486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162521 */     // GIR_Coverage, 15768,
     /* 1162521 */     GIR_EraseRootFromParent_Done,
     /* 1162522 */   // Label 16953: @1162522
     /* 1162522 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1162602), // Rule ID 15769 //
     /* 1162527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162566 */     // MIs[0] round
     /* 1162566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162601 */     // GIR_Coverage, 15769,
     /* 1162601 */     GIR_EraseRootFromParent_Done,
     /* 1162602 */   // Label 16954: @1162602
     /* 1162602 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1162682), // Rule ID 15772 //
     /* 1162607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162646 */     // MIs[0] round
     /* 1162646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162681 */     // GIR_Coverage, 15772,
     /* 1162681 */     GIR_EraseRootFromParent_Done,
     /* 1162682 */   // Label 16955: @1162682
     /* 1162682 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162762), // Rule ID 15773 //
     /* 1162687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162726 */     // MIs[0] round
     /* 1162726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162761 */     // GIR_Coverage, 15773,
     /* 1162761 */     GIR_EraseRootFromParent_Done,
     /* 1162762 */   // Label 16956: @1162762
     /* 1162762 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162842), // Rule ID 15776 //
     /* 1162767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162806 */     // MIs[0] round
     /* 1162806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162841 */     // GIR_Coverage, 15776,
     /* 1162841 */     GIR_EraseRootFromParent_Done,
     /* 1162842 */   // Label 16957: @1162842
     /* 1162842 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162922), // Rule ID 15777 //
     /* 1162847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162886 */     // MIs[0] round
     /* 1162886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162921 */     // GIR_Coverage, 15777,
     /* 1162921 */     GIR_EraseRootFromParent_Done,
     /* 1162922 */   // Label 16958: @1162922
     /* 1162922 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1163002), // Rule ID 15780 //
     /* 1162927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162966 */     // MIs[0] round
     /* 1162966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1162979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163001 */     // GIR_Coverage, 15780,
     /* 1163001 */     GIR_EraseRootFromParent_Done,
     /* 1163002 */   // Label 16959: @1163002
     /* 1163002 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1163082), // Rule ID 15781 //
     /* 1163007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163046 */     // MIs[0] round
     /* 1163046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163056 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1163059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163081 */     // GIR_Coverage, 15781,
     /* 1163081 */     GIR_EraseRootFromParent_Done,
     /* 1163082 */   // Label 16960: @1163082
     /* 1163082 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1163162), // Rule ID 15784 //
     /* 1163087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163126 */     // MIs[0] round
     /* 1163126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163161 */     // GIR_Coverage, 15784,
     /* 1163161 */     GIR_EraseRootFromParent_Done,
     /* 1163162 */   // Label 16961: @1163162
     /* 1163162 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1163242), // Rule ID 15785 //
     /* 1163167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163206 */     // MIs[0] round
     /* 1163206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163241 */     // GIR_Coverage, 15785,
     /* 1163241 */     GIR_EraseRootFromParent_Done,
     /* 1163242 */   // Label 16962: @1163242
     /* 1163242 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1163322), // Rule ID 15788 //
     /* 1163247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163286 */     // MIs[0] round
     /* 1163286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163321 */     // GIR_Coverage, 15788,
     /* 1163321 */     GIR_EraseRootFromParent_Done,
     /* 1163322 */   // Label 16963: @1163322
     /* 1163322 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1163402), // Rule ID 15789 //
     /* 1163327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163366 */     // MIs[0] round
     /* 1163366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163401 */     // GIR_Coverage, 15789,
     /* 1163401 */     GIR_EraseRootFromParent_Done,
     /* 1163402 */   // Label 16964: @1163402
     /* 1163402 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1163482), // Rule ID 15792 //
     /* 1163407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163446 */     // MIs[0] round
     /* 1163446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163481 */     // GIR_Coverage, 15792,
     /* 1163481 */     GIR_EraseRootFromParent_Done,
     /* 1163482 */   // Label 16965: @1163482
     /* 1163482 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1163562), // Rule ID 15793 //
     /* 1163487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163526 */     // MIs[0] round
     /* 1163526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163561 */     // GIR_Coverage, 15793,
     /* 1163561 */     GIR_EraseRootFromParent_Done,
     /* 1163562 */   // Label 16966: @1163562
     /* 1163562 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1163642), // Rule ID 15796 //
     /* 1163567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163606 */     // MIs[0] round
     /* 1163606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163641 */     // GIR_Coverage, 15796,
     /* 1163641 */     GIR_EraseRootFromParent_Done,
     /* 1163642 */   // Label 16967: @1163642
     /* 1163642 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163722), // Rule ID 15797 //
     /* 1163647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163686 */     // MIs[0] round
     /* 1163686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163721 */     // GIR_Coverage, 15797,
     /* 1163721 */     GIR_EraseRootFromParent_Done,
     /* 1163722 */   // Label 16968: @1163722
     /* 1163722 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163802), // Rule ID 15800 //
     /* 1163727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163766 */     // MIs[0] round
     /* 1163766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163801 */     // GIR_Coverage, 15800,
     /* 1163801 */     GIR_EraseRootFromParent_Done,
     /* 1163802 */   // Label 16969: @1163802
     /* 1163802 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163882), // Rule ID 15801 //
     /* 1163807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163846 */     // MIs[0] round
     /* 1163846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163881 */     // GIR_Coverage, 15801,
     /* 1163881 */     GIR_EraseRootFromParent_Done,
     /* 1163882 */   // Label 16970: @1163882
     /* 1163882 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163962), // Rule ID 15804 //
     /* 1163887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163926 */     // MIs[0] round
     /* 1163926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163961 */     // GIR_Coverage, 15804,
     /* 1163961 */     GIR_EraseRootFromParent_Done,
     /* 1163962 */   // Label 16971: @1163962
     /* 1163962 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1164042), // Rule ID 15805 //
     /* 1163967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164006 */     // MIs[0] round
     /* 1164006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164016 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164041 */     // GIR_Coverage, 15805,
     /* 1164041 */     GIR_EraseRootFromParent_Done,
     /* 1164042 */   // Label 16972: @1164042
     /* 1164042 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1164122), // Rule ID 15808 //
     /* 1164047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164086 */     // MIs[0] round
     /* 1164086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164121 */     // GIR_Coverage, 15808,
     /* 1164121 */     GIR_EraseRootFromParent_Done,
     /* 1164122 */   // Label 16973: @1164122
     /* 1164122 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1164202), // Rule ID 15809 //
     /* 1164127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164166 */     // MIs[0] round
     /* 1164166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164201 */     // GIR_Coverage, 15809,
     /* 1164201 */     GIR_EraseRootFromParent_Done,
     /* 1164202 */   // Label 16974: @1164202
     /* 1164202 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1164282), // Rule ID 15812 //
     /* 1164207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164246 */     // MIs[0] round
     /* 1164246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164281 */     // GIR_Coverage, 15812,
     /* 1164281 */     GIR_EraseRootFromParent_Done,
     /* 1164282 */   // Label 16975: @1164282
     /* 1164282 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1164362), // Rule ID 15813 //
     /* 1164287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164326 */     // MIs[0] round
     /* 1164326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164361 */     // GIR_Coverage, 15813,
     /* 1164361 */     GIR_EraseRootFromParent_Done,
     /* 1164362 */   // Label 16976: @1164362
     /* 1164362 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1164442), // Rule ID 15816 //
     /* 1164367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1164370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164406 */     // MIs[0] round
     /* 1164406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164441 */     // GIR_Coverage, 15816,
     /* 1164441 */     GIR_EraseRootFromParent_Done,
     /* 1164442 */   // Label 16977: @1164442
     /* 1164442 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1164522), // Rule ID 15817 //
     /* 1164447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164486 */     // MIs[0] round
     /* 1164486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164521 */     // GIR_Coverage, 15817,
     /* 1164521 */     GIR_EraseRootFromParent_Done,
     /* 1164522 */   // Label 16978: @1164522
     /* 1164522 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1164602), // Rule ID 15820 //
     /* 1164527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164566 */     // MIs[0] round
     /* 1164566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164601 */     // GIR_Coverage, 15820,
     /* 1164601 */     GIR_EraseRootFromParent_Done,
     /* 1164602 */   // Label 16979: @1164602
     /* 1164602 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164682), // Rule ID 15821 //
     /* 1164607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164646 */     // MIs[0] round
     /* 1164646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164681 */     // GIR_Coverage, 15821,
     /* 1164681 */     GIR_EraseRootFromParent_Done,
     /* 1164682 */   // Label 16980: @1164682
     /* 1164682 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164762), // Rule ID 15824 //
     /* 1164687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164726 */     // MIs[0] round
     /* 1164726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164736 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164761 */     // GIR_Coverage, 15824,
     /* 1164761 */     GIR_EraseRootFromParent_Done,
     /* 1164762 */   // Label 16981: @1164762
     /* 1164762 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164842), // Rule ID 15825 //
     /* 1164767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164806 */     // MIs[0] round
     /* 1164806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164816 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164841 */     // GIR_Coverage, 15825,
     /* 1164841 */     GIR_EraseRootFromParent_Done,
     /* 1164842 */   // Label 16982: @1164842
     /* 1164842 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164922), // Rule ID 15828 //
     /* 1164847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164886 */     // MIs[0] round
     /* 1164886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164921 */     // GIR_Coverage, 15828,
     /* 1164921 */     GIR_EraseRootFromParent_Done,
     /* 1164922 */   // Label 16983: @1164922
     /* 1164922 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1165002), // Rule ID 15829 //
     /* 1164927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164966 */     // MIs[0] round
     /* 1164966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165001 */     // GIR_Coverage, 15829,
     /* 1165001 */     GIR_EraseRootFromParent_Done,
     /* 1165002 */   // Label 16984: @1165002
     /* 1165002 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1165082), // Rule ID 15832 //
     /* 1165007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165046 */     // MIs[0] round
     /* 1165046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165081 */     // GIR_Coverage, 15832,
     /* 1165081 */     GIR_EraseRootFromParent_Done,
     /* 1165082 */   // Label 16985: @1165082
     /* 1165082 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1165162), // Rule ID 15833 //
     /* 1165087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165126 */     // MIs[0] round
     /* 1165126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165161 */     // GIR_Coverage, 15833,
     /* 1165161 */     GIR_EraseRootFromParent_Done,
     /* 1165162 */   // Label 16986: @1165162
     /* 1165162 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1165242), // Rule ID 15836 //
     /* 1165167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165206 */     // MIs[0] round
     /* 1165206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165216 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165241 */     // GIR_Coverage, 15836,
     /* 1165241 */     GIR_EraseRootFromParent_Done,
     /* 1165242 */   // Label 16987: @1165242
     /* 1165242 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1165322), // Rule ID 15837 //
     /* 1165247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165286 */     // MIs[0] round
     /* 1165286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165321 */     // GIR_Coverage, 15837,
     /* 1165321 */     GIR_EraseRootFromParent_Done,
     /* 1165322 */   // Label 16988: @1165322
     /* 1165322 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1165402), // Rule ID 15840 //
     /* 1165327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165366 */     // MIs[0] round
     /* 1165366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165401 */     // GIR_Coverage, 15840,
     /* 1165401 */     GIR_EraseRootFromParent_Done,
     /* 1165402 */   // Label 16989: @1165402
     /* 1165402 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1165482), // Rule ID 15841 //
     /* 1165407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165446 */     // MIs[0] round
     /* 1165446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165481 */     // GIR_Coverage, 15841,
     /* 1165481 */     GIR_EraseRootFromParent_Done,
     /* 1165482 */   // Label 16990: @1165482
     /* 1165482 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1165562), // Rule ID 15844 //
     /* 1165487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165526 */     // MIs[0] round
     /* 1165526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165561 */     // GIR_Coverage, 15844,
     /* 1165561 */     GIR_EraseRootFromParent_Done,
     /* 1165562 */   // Label 16991: @1165562
     /* 1165562 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1165642), // Rule ID 15845 //
     /* 1165567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165606 */     // MIs[0] round
     /* 1165606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165641 */     // GIR_Coverage, 15845,
     /* 1165641 */     GIR_EraseRootFromParent_Done,
     /* 1165642 */   // Label 16992: @1165642
     /* 1165642 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165722), // Rule ID 15848 //
     /* 1165647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165686 */     // MIs[0] round
     /* 1165686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165721 */     // GIR_Coverage, 15848,
     /* 1165721 */     GIR_EraseRootFromParent_Done,
     /* 1165722 */   // Label 16993: @1165722
     /* 1165722 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165802), // Rule ID 15849 //
     /* 1165727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165766 */     // MIs[0] round
     /* 1165766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165801 */     // GIR_Coverage, 15849,
     /* 1165801 */     GIR_EraseRootFromParent_Done,
     /* 1165802 */   // Label 16994: @1165802
     /* 1165802 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165882), // Rule ID 15852 //
     /* 1165807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165846 */     // MIs[0] round
     /* 1165846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165881 */     // GIR_Coverage, 15852,
     /* 1165881 */     GIR_EraseRootFromParent_Done,
     /* 1165882 */   // Label 16995: @1165882
     /* 1165882 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165962), // Rule ID 15853 //
     /* 1165887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165926 */     // MIs[0] round
     /* 1165926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165961 */     // GIR_Coverage, 15853,
     /* 1165961 */     GIR_EraseRootFromParent_Done,
     /* 1165962 */   // Label 16996: @1165962
     /* 1165962 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1166042), // Rule ID 15856 //
     /* 1165967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1165978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1165981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166006 */     // MIs[0] round
     /* 1166006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1166019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166041 */     // GIR_Coverage, 15856,
     /* 1166041 */     GIR_EraseRootFromParent_Done,
     /* 1166042 */   // Label 16997: @1166042
     /* 1166042 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1166122), // Rule ID 15857 //
     /* 1166047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166086 */     // MIs[0] round
     /* 1166086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1166099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166121 */     // GIR_Coverage, 15857,
     /* 1166121 */     GIR_EraseRootFromParent_Done,
     /* 1166122 */   // Label 16998: @1166122
     /* 1166122 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1166202), // Rule ID 15860 //
     /* 1166127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166166 */     // MIs[0] round
     /* 1166166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1166179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166201 */     // GIR_Coverage, 15860,
     /* 1166201 */     GIR_EraseRootFromParent_Done,
     /* 1166202 */   // Label 16999: @1166202
     /* 1166202 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1166282), // Rule ID 15861 //
     /* 1166207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166246 */     // MIs[0] round
     /* 1166246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1166259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166281 */     // GIR_Coverage, 15861,
     /* 1166281 */     GIR_EraseRootFromParent_Done,
     /* 1166282 */   // Label 17000: @1166282
     /* 1166282 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1166362), // Rule ID 15864 //
     /* 1166287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1166298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1166301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1166304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166326 */     // MIs[0] round
     /* 1166326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1166339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166361 */     // GIR_Coverage, 15864,
     /* 1166361 */     GIR_EraseRootFromParent_Done,
     /* 1166362 */   // Label 17001: @1166362
     /* 1166362 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1166442), // Rule ID 15865 //
     /* 1166367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1166378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1166381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1166384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166406 */     // MIs[0] round
     /* 1166406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1166419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166441 */     // GIR_Coverage, 15865,
     /* 1166441 */     GIR_EraseRootFromParent_Done,
     /* 1166442 */   // Label 17002: @1166442
     /* 1166442 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1166522), // Rule ID 15956 //
     /* 1166447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166486 */     // MIs[0] round
     /* 1166486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166521 */     // GIR_Coverage, 15956,
     /* 1166521 */     GIR_EraseRootFromParent_Done,
     /* 1166522 */   // Label 17003: @1166522
     /* 1166522 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1166602), // Rule ID 15957 //
     /* 1166527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166566 */     // MIs[0] round
     /* 1166566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166576 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166601 */     // GIR_Coverage, 15957,
     /* 1166601 */     GIR_EraseRootFromParent_Done,
     /* 1166602 */   // Label 17004: @1166602
     /* 1166602 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166682), // Rule ID 15960 //
     /* 1166607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166646 */     // MIs[0] round
     /* 1166646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166656 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166681 */     // GIR_Coverage, 15960,
     /* 1166681 */     GIR_EraseRootFromParent_Done,
     /* 1166682 */   // Label 17005: @1166682
     /* 1166682 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166762), // Rule ID 15961 //
     /* 1166687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166726 */     // MIs[0] round
     /* 1166726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166736 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166761 */     // GIR_Coverage, 15961,
     /* 1166761 */     GIR_EraseRootFromParent_Done,
     /* 1166762 */   // Label 17006: @1166762
     /* 1166762 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166842), // Rule ID 15964 //
     /* 1166767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166806 */     // MIs[0] round
     /* 1166806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166816 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166841 */     // GIR_Coverage, 15964,
     /* 1166841 */     GIR_EraseRootFromParent_Done,
     /* 1166842 */   // Label 17007: @1166842
     /* 1166842 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166922), // Rule ID 15965 //
     /* 1166847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166886 */     // MIs[0] round
     /* 1166886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166921 */     // GIR_Coverage, 15965,
     /* 1166921 */     GIR_EraseRootFromParent_Done,
     /* 1166922 */   // Label 17008: @1166922
     /* 1166922 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1167002), // Rule ID 15968 //
     /* 1166927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1166938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1166941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166966 */     // MIs[0] round
     /* 1166966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167001 */     // GIR_Coverage, 15968,
     /* 1167001 */     GIR_EraseRootFromParent_Done,
     /* 1167002 */   // Label 17009: @1167002
     /* 1167002 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1167082), // Rule ID 15969 //
     /* 1167007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1167027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167046 */     // MIs[0] round
     /* 1167046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1167059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167081 */     // GIR_Coverage, 15969,
     /* 1167081 */     GIR_EraseRootFromParent_Done,
     /* 1167082 */   // Label 17010: @1167082
     /* 1167082 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1167162), // Rule ID 15972 //
     /* 1167087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1167098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1167101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1167107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167126 */     // MIs[0] round
     /* 1167126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167161 */     // GIR_Coverage, 15972,
     /* 1167161 */     GIR_EraseRootFromParent_Done,
     /* 1167162 */   // Label 17011: @1167162
     /* 1167162 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1167242), // Rule ID 15973 //
     /* 1167167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1167178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1167181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1167187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167206 */     // MIs[0] round
     /* 1167206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167241 */     // GIR_Coverage, 15973,
     /* 1167241 */     GIR_EraseRootFromParent_Done,
     /* 1167242 */   // Label 17012: @1167242
     /* 1167242 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1167322), // Rule ID 15976 //
     /* 1167247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1167258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1167261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1167264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1167267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167286 */     // MIs[0] round
     /* 1167286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167321 */     // GIR_Coverage, 15976,
     /* 1167321 */     GIR_EraseRootFromParent_Done,
     /* 1167322 */   // Label 17013: @1167322
     /* 1167322 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1167402), // Rule ID 15977 //
     /* 1167327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1167338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1167341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1167344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1167347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167366 */     // MIs[0] round
     /* 1167366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167401 */     // GIR_Coverage, 15977,
     /* 1167401 */     GIR_EraseRootFromParent_Done,
     /* 1167402 */   // Label 17014: @1167402
     /* 1167402 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1167482), // Rule ID 15980 //
     /* 1167407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1167424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167446 */     // MIs[0] round
     /* 1167446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167481 */     // GIR_Coverage, 15980,
     /* 1167481 */     GIR_EraseRootFromParent_Done,
     /* 1167482 */   // Label 17015: @1167482
     /* 1167482 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1167562), // Rule ID 15981 //
     /* 1167487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1167504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167526 */     // MIs[0] round
     /* 1167526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167561 */     // GIR_Coverage, 15981,
     /* 1167561 */     GIR_EraseRootFromParent_Done,
     /* 1167562 */   // Label 17016: @1167562
     /* 1167562 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1167642), // Rule ID 15984 //
     /* 1167567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167606 */     // MIs[0] round
     /* 1167606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167641 */     // GIR_Coverage, 15984,
     /* 1167641 */     GIR_EraseRootFromParent_Done,
     /* 1167642 */   // Label 17017: @1167642
     /* 1167642 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167722), // Rule ID 15985 //
     /* 1167647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167686 */     // MIs[0] round
     /* 1167686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167721 */     // GIR_Coverage, 15985,
     /* 1167721 */     GIR_EraseRootFromParent_Done,
     /* 1167722 */   // Label 17018: @1167722
     /* 1167722 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167802), // Rule ID 15988 //
     /* 1167727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167766 */     // MIs[0] round
     /* 1167766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167801 */     // GIR_Coverage, 15988,
     /* 1167801 */     GIR_EraseRootFromParent_Done,
     /* 1167802 */   // Label 17019: @1167802
     /* 1167802 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167882), // Rule ID 15989 //
     /* 1167807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167846 */     // MIs[0] round
     /* 1167846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167881 */     // GIR_Coverage, 15989,
     /* 1167881 */     GIR_EraseRootFromParent_Done,
     /* 1167882 */   // Label 17020: @1167882
     /* 1167882 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167962), // Rule ID 15992 //
     /* 1167887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167926 */     // MIs[0] round
     /* 1167926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167961 */     // GIR_Coverage, 15992,
     /* 1167961 */     GIR_EraseRootFromParent_Done,
     /* 1167962 */   // Label 17021: @1167962
     /* 1167962 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1168042), // Rule ID 15993 //
     /* 1167967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168006 */     // MIs[0] round
     /* 1168006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1168019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168041 */     // GIR_Coverage, 15993,
     /* 1168041 */     GIR_EraseRootFromParent_Done,
     /* 1168042 */   // Label 17022: @1168042
     /* 1168042 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1168122), // Rule ID 15996 //
     /* 1168047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1168067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168086 */     // MIs[0] round
     /* 1168086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168121 */     // GIR_Coverage, 15996,
     /* 1168121 */     GIR_EraseRootFromParent_Done,
     /* 1168122 */   // Label 17023: @1168122
     /* 1168122 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1168202), // Rule ID 15997 //
     /* 1168127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1168147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168166 */     // MIs[0] round
     /* 1168166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168176 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168201 */     // GIR_Coverage, 15997,
     /* 1168201 */     GIR_EraseRootFromParent_Done,
     /* 1168202 */   // Label 17024: @1168202
     /* 1168202 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1168282), // Rule ID 16000 //
     /* 1168207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1168218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1168221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1168224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1168227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168246 */     // MIs[0] round
     /* 1168246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168281 */     // GIR_Coverage, 16000,
     /* 1168281 */     GIR_EraseRootFromParent_Done,
     /* 1168282 */   // Label 17025: @1168282
     /* 1168282 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1168362), // Rule ID 16001 //
     /* 1168287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1168298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1168301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1168304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1168307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168326 */     // MIs[0] round
     /* 1168326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168361 */     // GIR_Coverage, 16001,
     /* 1168361 */     GIR_EraseRootFromParent_Done,
     /* 1168362 */   // Label 17026: @1168362
     /* 1168362 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1168442), // Rule ID 16004 //
     /* 1168367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1168378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1168381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1168384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1168387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168406 */     // MIs[0] round
     /* 1168406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168416 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168441 */     // GIR_Coverage, 16004,
     /* 1168441 */     GIR_EraseRootFromParent_Done,
     /* 1168442 */   // Label 17027: @1168442
     /* 1168442 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1168522), // Rule ID 16005 //
     /* 1168447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1168458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1168461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1168464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1168467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168486 */     // MIs[0] round
     /* 1168486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168521 */     // GIR_Coverage, 16005,
     /* 1168521 */     GIR_EraseRootFromParent_Done,
     /* 1168522 */   // Label 17028: @1168522
     /* 1168522 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1168602), // Rule ID 16008 //
     /* 1168527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168566 */     // MIs[0] round
     /* 1168566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168601 */     // GIR_Coverage, 16008,
     /* 1168601 */     GIR_EraseRootFromParent_Done,
     /* 1168602 */   // Label 17029: @1168602
     /* 1168602 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168682), // Rule ID 16009 //
     /* 1168607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168646 */     // MIs[0] round
     /* 1168646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168681 */     // GIR_Coverage, 16009,
     /* 1168681 */     GIR_EraseRootFromParent_Done,
     /* 1168682 */   // Label 17030: @1168682
     /* 1168682 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168762), // Rule ID 16012 //
     /* 1168687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168726 */     // MIs[0] round
     /* 1168726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168761 */     // GIR_Coverage, 16012,
     /* 1168761 */     GIR_EraseRootFromParent_Done,
     /* 1168762 */   // Label 17031: @1168762
     /* 1168762 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168842), // Rule ID 16013 //
     /* 1168767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168806 */     // MIs[0] round
     /* 1168806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168841 */     // GIR_Coverage, 16013,
     /* 1168841 */     GIR_EraseRootFromParent_Done,
     /* 1168842 */   // Label 17032: @1168842
     /* 1168842 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168922), // Rule ID 16016 //
     /* 1168847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168886 */     // MIs[0] round
     /* 1168886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168921 */     // GIR_Coverage, 16016,
     /* 1168921 */     GIR_EraseRootFromParent_Done,
     /* 1168922 */   // Label 17033: @1168922
     /* 1168922 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1169002), // Rule ID 16017 //
     /* 1168927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168966 */     // MIs[0] round
     /* 1168966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169001 */     // GIR_Coverage, 16017,
     /* 1169001 */     GIR_EraseRootFromParent_Done,
     /* 1169002 */   // Label 17034: @1169002
     /* 1169002 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1169082), // Rule ID 16020 //
     /* 1169007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1169027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169046 */     // MIs[0] round
     /* 1169046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169081 */     // GIR_Coverage, 16020,
     /* 1169081 */     GIR_EraseRootFromParent_Done,
     /* 1169082 */   // Label 17035: @1169082
     /* 1169082 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1169162), // Rule ID 16021 //
     /* 1169087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1169107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169126 */     // MIs[0] round
     /* 1169126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169161 */     // GIR_Coverage, 16021,
     /* 1169161 */     GIR_EraseRootFromParent_Done,
     /* 1169162 */   // Label 17036: @1169162
     /* 1169162 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1169242), // Rule ID 16024 //
     /* 1169167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1169184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1169187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169206 */     // MIs[0] round
     /* 1169206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169241 */     // GIR_Coverage, 16024,
     /* 1169241 */     GIR_EraseRootFromParent_Done,
     /* 1169242 */   // Label 17037: @1169242
     /* 1169242 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1169322), // Rule ID 16025 //
     /* 1169247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1169264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1169267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169286 */     // MIs[0] round
     /* 1169286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169321 */     // GIR_Coverage, 16025,
     /* 1169321 */     GIR_EraseRootFromParent_Done,
     /* 1169322 */   // Label 17038: @1169322
     /* 1169322 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1169402), // Rule ID 16028 //
     /* 1169327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1169338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1169341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1169344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1169347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169366 */     // MIs[0] round
     /* 1169366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169401 */     // GIR_Coverage, 16028,
     /* 1169401 */     GIR_EraseRootFromParent_Done,
     /* 1169402 */   // Label 17039: @1169402
     /* 1169402 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1169482), // Rule ID 16029 //
     /* 1169407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1169418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1169421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1169424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1169427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169446 */     // MIs[0] round
     /* 1169446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169456 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169481 */     // GIR_Coverage, 16029,
     /* 1169481 */     GIR_EraseRootFromParent_Done,
     /* 1169482 */   // Label 17040: @1169482
     /* 1169482 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1169562), // Rule ID 16032 //
     /* 1169487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169526 */     // MIs[0] round
     /* 1169526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169561 */     // GIR_Coverage, 16032,
     /* 1169561 */     GIR_EraseRootFromParent_Done,
     /* 1169562 */   // Label 17041: @1169562
     /* 1169562 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1169642), // Rule ID 16033 //
     /* 1169567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169606 */     // MIs[0] round
     /* 1169606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169641 */     // GIR_Coverage, 16033,
     /* 1169641 */     GIR_EraseRootFromParent_Done,
     /* 1169642 */   // Label 17042: @1169642
     /* 1169642 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169722), // Rule ID 16036 //
     /* 1169647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169686 */     // MIs[0] round
     /* 1169686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169721 */     // GIR_Coverage, 16036,
     /* 1169721 */     GIR_EraseRootFromParent_Done,
     /* 1169722 */   // Label 17043: @1169722
     /* 1169722 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169802), // Rule ID 16037 //
     /* 1169727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169766 */     // MIs[0] round
     /* 1169766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169801 */     // GIR_Coverage, 16037,
     /* 1169801 */     GIR_EraseRootFromParent_Done,
     /* 1169802 */   // Label 17044: @1169802
     /* 1169802 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169882), // Rule ID 16040 //
     /* 1169807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169846 */     // MIs[0] round
     /* 1169846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169881 */     // GIR_Coverage, 16040,
     /* 1169881 */     GIR_EraseRootFromParent_Done,
     /* 1169882 */   // Label 17045: @1169882
     /* 1169882 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169962), // Rule ID 16041 //
     /* 1169887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169926 */     // MIs[0] round
     /* 1169926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169961 */     // GIR_Coverage, 16041,
     /* 1169961 */     GIR_EraseRootFromParent_Done,
     /* 1169962 */   // Label 17046: @1169962
     /* 1169962 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1170042), // Rule ID 16044 //
     /* 1169967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170006 */     // MIs[0] round
     /* 1170006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1170019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170041 */     // GIR_Coverage, 16044,
     /* 1170041 */     GIR_EraseRootFromParent_Done,
     /* 1170042 */   // Label 17047: @1170042
     /* 1170042 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1170122), // Rule ID 16045 //
     /* 1170047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1170058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1170061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1170064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170086 */     // MIs[0] round
     /* 1170086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1170099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170121 */     // GIR_Coverage, 16045,
     /* 1170121 */     GIR_EraseRootFromParent_Done,
     /* 1170122 */   // Label 17048: @1170122
     /* 1170122 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1170202), // Rule ID 16048 //
     /* 1170127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1170138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1170141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1170144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170166 */     // MIs[0] round
     /* 1170166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170201 */     // GIR_Coverage, 16048,
     /* 1170201 */     GIR_EraseRootFromParent_Done,
     /* 1170202 */   // Label 17049: @1170202
     /* 1170202 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1170282), // Rule ID 16049 //
     /* 1170207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1170218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1170221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1170224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170246 */     // MIs[0] round
     /* 1170246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170281 */     // GIR_Coverage, 16049,
     /* 1170281 */     GIR_EraseRootFromParent_Done,
     /* 1170282 */   // Label 17050: @1170282
     /* 1170282 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1170362), // Rule ID 16052 //
     /* 1170287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1170298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1170301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1170304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170326 */     // MIs[0] round
     /* 1170326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170361 */     // GIR_Coverage, 16052,
     /* 1170361 */     GIR_EraseRootFromParent_Done,
     /* 1170362 */   // Label 17051: @1170362
     /* 1170362 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1170442), // Rule ID 16053 //
     /* 1170367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1170378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1170381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1170384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170406 */     // MIs[0] round
     /* 1170406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170441 */     // GIR_Coverage, 16053,
     /* 1170441 */     GIR_EraseRootFromParent_Done,
     /* 1170442 */   // Label 17052: @1170442
     /* 1170442 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1170522), // Rule ID 16056 //
     /* 1170447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170486 */     // MIs[0] round
     /* 1170486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170521 */     // GIR_Coverage, 16056,
     /* 1170521 */     GIR_EraseRootFromParent_Done,
     /* 1170522 */   // Label 17053: @1170522
     /* 1170522 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1170602), // Rule ID 16057 //
     /* 1170527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170566 */     // MIs[0] round
     /* 1170566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170601 */     // GIR_Coverage, 16057,
     /* 1170601 */     GIR_EraseRootFromParent_Done,
     /* 1170602 */   // Label 17054: @1170602
     /* 1170602 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170682), // Rule ID 16060 //
     /* 1170607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170646 */     // MIs[0] round
     /* 1170646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170681 */     // GIR_Coverage, 16060,
     /* 1170681 */     GIR_EraseRootFromParent_Done,
     /* 1170682 */   // Label 17055: @1170682
     /* 1170682 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170762), // Rule ID 16061 //
     /* 1170687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170726 */     // MIs[0] round
     /* 1170726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170761 */     // GIR_Coverage, 16061,
     /* 1170761 */     GIR_EraseRootFromParent_Done,
     /* 1170762 */   // Label 17056: @1170762
     /* 1170762 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170842), // Rule ID 16064 //
     /* 1170767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170806 */     // MIs[0] round
     /* 1170806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170841 */     // GIR_Coverage, 16064,
     /* 1170841 */     GIR_EraseRootFromParent_Done,
     /* 1170842 */   // Label 17057: @1170842
     /* 1170842 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170922), // Rule ID 16065 //
     /* 1170847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170886 */     // MIs[0] round
     /* 1170886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170921 */     // GIR_Coverage, 16065,
     /* 1170921 */     GIR_EraseRootFromParent_Done,
     /* 1170922 */   // Label 17058: @1170922
     /* 1170922 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1171002), // Rule ID 16068 //
     /* 1170927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170966 */     // MIs[0] round
     /* 1170966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171001 */     // GIR_Coverage, 16068,
     /* 1171001 */     GIR_EraseRootFromParent_Done,
     /* 1171002 */   // Label 17059: @1171002
     /* 1171002 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1171082), // Rule ID 16069 //
     /* 1171007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1171018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1171021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1171024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171046 */     // MIs[0] round
     /* 1171046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171081 */     // GIR_Coverage, 16069,
     /* 1171081 */     GIR_EraseRootFromParent_Done,
     /* 1171082 */   // Label 17060: @1171082
     /* 1171082 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1171162), // Rule ID 16072 //
     /* 1171087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1171104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171126 */     // MIs[0] round
     /* 1171126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171161 */     // GIR_Coverage, 16072,
     /* 1171161 */     GIR_EraseRootFromParent_Done,
     /* 1171162 */   // Label 17061: @1171162
     /* 1171162 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1171242), // Rule ID 16073 //
     /* 1171167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1171184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171206 */     // MIs[0] round
     /* 1171206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171241 */     // GIR_Coverage, 16073,
     /* 1171241 */     GIR_EraseRootFromParent_Done,
     /* 1171242 */   // Label 17062: @1171242
     /* 1171242 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1171322), // Rule ID 16076 //
     /* 1171247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1171264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171286 */     // MIs[0] round
     /* 1171286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171321 */     // GIR_Coverage, 16076,
     /* 1171321 */     GIR_EraseRootFromParent_Done,
     /* 1171322 */   // Label 17063: @1171322
     /* 1171322 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1171402), // Rule ID 16077 //
     /* 1171327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1171344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171366 */     // MIs[0] round
     /* 1171366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171401 */     // GIR_Coverage, 16077,
     /* 1171401 */     GIR_EraseRootFromParent_Done,
     /* 1171402 */   // Label 17064: @1171402
     /* 1171402 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1171482), // Rule ID 16080 //
     /* 1171407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1171418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1171421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171446 */     // MIs[0] round
     /* 1171446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171481 */     // GIR_Coverage, 16080,
     /* 1171481 */     GIR_EraseRootFromParent_Done,
     /* 1171482 */   // Label 17065: @1171482
     /* 1171482 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1171562), // Rule ID 16081 //
     /* 1171487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1171498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1171501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171526 */     // MIs[0] round
     /* 1171526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171561 */     // GIR_Coverage, 16081,
     /* 1171561 */     GIR_EraseRootFromParent_Done,
     /* 1171562 */   // Label 17066: @1171562
     /* 1171562 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1171642), // Rule ID 16084 //
     /* 1171567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171606 */     // MIs[0] round
     /* 1171606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171641 */     // GIR_Coverage, 16084,
     /* 1171641 */     GIR_EraseRootFromParent_Done,
     /* 1171642 */   // Label 17067: @1171642
     /* 1171642 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171722), // Rule ID 16085 //
     /* 1171647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171686 */     // MIs[0] round
     /* 1171686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171721 */     // GIR_Coverage, 16085,
     /* 1171721 */     GIR_EraseRootFromParent_Done,
     /* 1171722 */   // Label 17068: @1171722
     /* 1171722 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171802), // Rule ID 16088 //
     /* 1171727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171766 */     // MIs[0] round
     /* 1171766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171801 */     // GIR_Coverage, 16088,
     /* 1171801 */     GIR_EraseRootFromParent_Done,
     /* 1171802 */   // Label 17069: @1171802
     /* 1171802 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171882), // Rule ID 16089 //
     /* 1171807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171846 */     // MIs[0] round
     /* 1171846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171856 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171881 */     // GIR_Coverage, 16089,
     /* 1171881 */     GIR_EraseRootFromParent_Done,
     /* 1171882 */   // Label 17070: @1171882
     /* 1171882 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171962), // Rule ID 16092 //
     /* 1171887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171926 */     // MIs[0] round
     /* 1171926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171936 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171961 */     // GIR_Coverage, 16092,
     /* 1171961 */     GIR_EraseRootFromParent_Done,
     /* 1171962 */   // Label 17071: @1171962
     /* 1171962 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1172042), // Rule ID 16093 //
     /* 1171967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172006 */     // MIs[0] round
     /* 1172006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172041 */     // GIR_Coverage, 16093,
     /* 1172041 */     GIR_EraseRootFromParent_Done,
     /* 1172042 */   // Label 17072: @1172042
     /* 1172042 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1172122), // Rule ID 16096 //
     /* 1172047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172086 */     // MIs[0] round
     /* 1172086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172121 */     // GIR_Coverage, 16096,
     /* 1172121 */     GIR_EraseRootFromParent_Done,
     /* 1172122 */   // Label 17073: @1172122
     /* 1172122 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1172202), // Rule ID 16097 //
     /* 1172127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172166 */     // MIs[0] round
     /* 1172166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172201 */     // GIR_Coverage, 16097,
     /* 1172201 */     GIR_EraseRootFromParent_Done,
     /* 1172202 */   // Label 17074: @1172202
     /* 1172202 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1172282), // Rule ID 16100 //
     /* 1172207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1172218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1172221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172246 */     // MIs[0] round
     /* 1172246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172281 */     // GIR_Coverage, 16100,
     /* 1172281 */     GIR_EraseRootFromParent_Done,
     /* 1172282 */   // Label 17075: @1172282
     /* 1172282 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1172362), // Rule ID 16101 //
     /* 1172287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1172298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1172301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172326 */     // MIs[0] round
     /* 1172326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172361 */     // GIR_Coverage, 16101,
     /* 1172361 */     GIR_EraseRootFromParent_Done,
     /* 1172362 */   // Label 17076: @1172362
     /* 1172362 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1172442), // Rule ID 16104 //
     /* 1172367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1172378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1172381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172406 */     // MIs[0] round
     /* 1172406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172441 */     // GIR_Coverage, 16104,
     /* 1172441 */     GIR_EraseRootFromParent_Done,
     /* 1172442 */   // Label 17077: @1172442
     /* 1172442 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1172522), // Rule ID 16105 //
     /* 1172447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1172458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1172461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172486 */     // MIs[0] round
     /* 1172486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172496 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172521 */     // GIR_Coverage, 16105,
     /* 1172521 */     GIR_EraseRootFromParent_Done,
     /* 1172522 */   // Label 17078: @1172522
     /* 1172522 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1172602), // Rule ID 16108 //
     /* 1172527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172566 */     // MIs[0] round
     /* 1172566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172601 */     // GIR_Coverage, 16108,
     /* 1172601 */     GIR_EraseRootFromParent_Done,
     /* 1172602 */   // Label 17079: @1172602
     /* 1172602 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172682), // Rule ID 16109 //
     /* 1172607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172646 */     // MIs[0] round
     /* 1172646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172681 */     // GIR_Coverage, 16109,
     /* 1172681 */     GIR_EraseRootFromParent_Done,
     /* 1172682 */   // Label 17080: @1172682
     /* 1172682 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172762), // Rule ID 16112 //
     /* 1172687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172726 */     // MIs[0] round
     /* 1172726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172761 */     // GIR_Coverage, 16112,
     /* 1172761 */     GIR_EraseRootFromParent_Done,
     /* 1172762 */   // Label 17081: @1172762
     /* 1172762 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172842), // Rule ID 16113 //
     /* 1172767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172806 */     // MIs[0] round
     /* 1172806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172841 */     // GIR_Coverage, 16113,
     /* 1172841 */     GIR_EraseRootFromParent_Done,
     /* 1172842 */   // Label 17082: @1172842
     /* 1172842 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172922), // Rule ID 16116 //
     /* 1172847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172886 */     // MIs[0] round
     /* 1172886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172921 */     // GIR_Coverage, 16116,
     /* 1172921 */     GIR_EraseRootFromParent_Done,
     /* 1172922 */   // Label 17083: @1172922
     /* 1172922 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1173002), // Rule ID 16117 //
     /* 1172927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172966 */     // MIs[0] round
     /* 1172966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173001 */     // GIR_Coverage, 16117,
     /* 1173001 */     GIR_EraseRootFromParent_Done,
     /* 1173002 */   // Label 17084: @1173002
     /* 1173002 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1173082), // Rule ID 16120 //
     /* 1173007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173046 */     // MIs[0] round
     /* 1173046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1173059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173081 */     // GIR_Coverage, 16120,
     /* 1173081 */     GIR_EraseRootFromParent_Done,
     /* 1173082 */   // Label 17085: @1173082
     /* 1173082 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1173162), // Rule ID 16121 //
     /* 1173087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173126 */     // MIs[0] round
     /* 1173126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1173139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173161 */     // GIR_Coverage, 16121,
     /* 1173161 */     GIR_EraseRootFromParent_Done,
     /* 1173162 */   // Label 17086: @1173162
     /* 1173162 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1173242), // Rule ID 16124 //
     /* 1173167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1173178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1173181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1173184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173206 */     // MIs[0] round
     /* 1173206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1173219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173241 */     // GIR_Coverage, 16124,
     /* 1173241 */     GIR_EraseRootFromParent_Done,
     /* 1173242 */   // Label 17087: @1173242
     /* 1173242 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1173322), // Rule ID 16125 //
     /* 1173247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1173258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1173261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1173264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173286 */     // MIs[0] round
     /* 1173286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1173299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173321 */     // GIR_Coverage, 16125,
     /* 1173321 */     GIR_EraseRootFromParent_Done,
     /* 1173322 */   // Label 17088: @1173322
     /* 1173322 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1173402), // Rule ID 16128 //
     /* 1173327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1173338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1173341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1173344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173366 */     // MIs[0] round
     /* 1173366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1173379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173401 */     // GIR_Coverage, 16128,
     /* 1173401 */     GIR_EraseRootFromParent_Done,
     /* 1173402 */   // Label 17089: @1173402
     /* 1173402 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1173482), // Rule ID 16129 //
     /* 1173407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1173418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1173421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1173424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173446 */     // MIs[0] round
     /* 1173446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1173459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173481 */     // GIR_Coverage, 16129,
     /* 1173481 */     GIR_EraseRootFromParent_Done,
     /* 1173482 */   // Label 17090: @1173482
     /* 1173482 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1173565), // Rule ID 16220 //
     /* 1173487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173526 */     // MIs[0] round
     /* 1173526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173564 */     // GIR_Coverage, 16220,
     /* 1173564 */     GIR_EraseRootFromParent_Done,
     /* 1173565 */   // Label 17091: @1173565
     /* 1173565 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1173648), // Rule ID 16221 //
     /* 1173570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173609 */     // MIs[0] round
     /* 1173609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173647 */     // GIR_Coverage, 16221,
     /* 1173647 */     GIR_EraseRootFromParent_Done,
     /* 1173648 */   // Label 17092: @1173648
     /* 1173648 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173731), // Rule ID 16224 //
     /* 1173653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173692 */     // MIs[0] round
     /* 1173692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173730 */     // GIR_Coverage, 16224,
     /* 1173730 */     GIR_EraseRootFromParent_Done,
     /* 1173731 */   // Label 17093: @1173731
     /* 1173731 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173814), // Rule ID 16225 //
     /* 1173736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173775 */     // MIs[0] round
     /* 1173775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173785 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173813 */     // GIR_Coverage, 16225,
     /* 1173813 */     GIR_EraseRootFromParent_Done,
     /* 1173814 */   // Label 17094: @1173814
     /* 1173814 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173897), // Rule ID 16228 //
     /* 1173819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173858 */     // MIs[0] round
     /* 1173858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173896 */     // GIR_Coverage, 16228,
     /* 1173896 */     GIR_EraseRootFromParent_Done,
     /* 1173897 */   // Label 17095: @1173897
     /* 1173897 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173980), // Rule ID 16229 //
     /* 1173902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173941 */     // MIs[0] round
     /* 1173941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173979 */     // GIR_Coverage, 16229,
     /* 1173979 */     GIR_EraseRootFromParent_Done,
     /* 1173980 */   // Label 17096: @1173980
     /* 1173980 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1174063), // Rule ID 16232 //
     /* 1173985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1173996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1173999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1174005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174024 */     // MIs[0] round
     /* 1174024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174062 */     // GIR_Coverage, 16232,
     /* 1174062 */     GIR_EraseRootFromParent_Done,
     /* 1174063 */   // Label 17097: @1174063
     /* 1174063 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1174146), // Rule ID 16233 //
     /* 1174068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1174079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1174082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1174088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174107 */     // MIs[0] round
     /* 1174107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174145 */     // GIR_Coverage, 16233,
     /* 1174145 */     GIR_EraseRootFromParent_Done,
     /* 1174146 */   // Label 17098: @1174146
     /* 1174146 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1174229), // Rule ID 16236 //
     /* 1174151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1174162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1174165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1174171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174190 */     // MIs[0] round
     /* 1174190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174228 */     // GIR_Coverage, 16236,
     /* 1174228 */     GIR_EraseRootFromParent_Done,
     /* 1174229 */   // Label 17099: @1174229
     /* 1174229 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1174312), // Rule ID 16237 //
     /* 1174234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1174245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1174248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1174254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174273 */     // MIs[0] round
     /* 1174273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174311 */     // GIR_Coverage, 16237,
     /* 1174311 */     GIR_EraseRootFromParent_Done,
     /* 1174312 */   // Label 17100: @1174312
     /* 1174312 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1174395), // Rule ID 16240 //
     /* 1174317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1174328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1174331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1174337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174356 */     // MIs[0] round
     /* 1174356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174366 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174394 */     // GIR_Coverage, 16240,
     /* 1174394 */     GIR_EraseRootFromParent_Done,
     /* 1174395 */   // Label 17101: @1174395
     /* 1174395 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1174478), // Rule ID 16241 //
     /* 1174400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1174411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1174414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1174420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174439 */     // MIs[0] round
     /* 1174439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174449 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174477 */     // GIR_Coverage, 16241,
     /* 1174477 */     GIR_EraseRootFromParent_Done,
     /* 1174478 */   // Label 17102: @1174478
     /* 1174478 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1174561), // Rule ID 16244 //
     /* 1174483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174522 */     // MIs[0] round
     /* 1174522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174532 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174560 */     // GIR_Coverage, 16244,
     /* 1174560 */     GIR_EraseRootFromParent_Done,
     /* 1174561 */   // Label 17103: @1174561
     /* 1174561 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1174644), // Rule ID 16245 //
     /* 1174566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174605 */     // MIs[0] round
     /* 1174605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174643 */     // GIR_Coverage, 16245,
     /* 1174643 */     GIR_EraseRootFromParent_Done,
     /* 1174644 */   // Label 17104: @1174644
     /* 1174644 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174727), // Rule ID 16248 //
     /* 1174649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174688 */     // MIs[0] round
     /* 1174688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174726 */     // GIR_Coverage, 16248,
     /* 1174726 */     GIR_EraseRootFromParent_Done,
     /* 1174727 */   // Label 17105: @1174727
     /* 1174727 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174810), // Rule ID 16249 //
     /* 1174732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174771 */     // MIs[0] round
     /* 1174771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174809 */     // GIR_Coverage, 16249,
     /* 1174809 */     GIR_EraseRootFromParent_Done,
     /* 1174810 */   // Label 17106: @1174810
     /* 1174810 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174893), // Rule ID 16252 //
     /* 1174815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174854 */     // MIs[0] round
     /* 1174854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174892 */     // GIR_Coverage, 16252,
     /* 1174892 */     GIR_EraseRootFromParent_Done,
     /* 1174893 */   // Label 17107: @1174893
     /* 1174893 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174976), // Rule ID 16253 //
     /* 1174898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174937 */     // MIs[0] round
     /* 1174937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174975 */     // GIR_Coverage, 16253,
     /* 1174975 */     GIR_EraseRootFromParent_Done,
     /* 1174976 */   // Label 17108: @1174976
     /* 1174976 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1175059), // Rule ID 16256 //
     /* 1174981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1175001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175020 */     // MIs[0] round
     /* 1175020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175058 */     // GIR_Coverage, 16256,
     /* 1175058 */     GIR_EraseRootFromParent_Done,
     /* 1175059 */   // Label 17109: @1175059
     /* 1175059 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1175142), // Rule ID 16257 //
     /* 1175064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1175075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1175078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1175081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1175084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175103 */     // MIs[0] round
     /* 1175103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175141 */     // GIR_Coverage, 16257,
     /* 1175141 */     GIR_EraseRootFromParent_Done,
     /* 1175142 */   // Label 17110: @1175142
     /* 1175142 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1175225), // Rule ID 16260 //
     /* 1175147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1175158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1175161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1175167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175186 */     // MIs[0] round
     /* 1175186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175224 */     // GIR_Coverage, 16260,
     /* 1175224 */     GIR_EraseRootFromParent_Done,
     /* 1175225 */   // Label 17111: @1175225
     /* 1175225 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1175308), // Rule ID 16261 //
     /* 1175230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1175241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1175244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1175250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175269 */     // MIs[0] round
     /* 1175269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175279 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175307 */     // GIR_Coverage, 16261,
     /* 1175307 */     GIR_EraseRootFromParent_Done,
     /* 1175308 */   // Label 17112: @1175308
     /* 1175308 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1175391), // Rule ID 16264 //
     /* 1175313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1175333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175352 */     // MIs[0] round
     /* 1175352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1175365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175390 */     // GIR_Coverage, 16264,
     /* 1175390 */     GIR_EraseRootFromParent_Done,
     /* 1175391 */   // Label 17113: @1175391
     /* 1175391 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1175474), // Rule ID 16265 //
     /* 1175396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1175416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175435 */     // MIs[0] round
     /* 1175435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1175448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175473 */     // GIR_Coverage, 16265,
     /* 1175473 */     GIR_EraseRootFromParent_Done,
     /* 1175474 */   // Label 17114: @1175474
     /* 1175474 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1175557), // Rule ID 16268 //
     /* 1175479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175518 */     // MIs[0] round
     /* 1175518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175556 */     // GIR_Coverage, 16268,
     /* 1175556 */     GIR_EraseRootFromParent_Done,
     /* 1175557 */   // Label 17115: @1175557
     /* 1175557 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1175640), // Rule ID 16269 //
     /* 1175562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175601 */     // MIs[0] round
     /* 1175601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175639 */     // GIR_Coverage, 16269,
     /* 1175639 */     GIR_EraseRootFromParent_Done,
     /* 1175640 */   // Label 17116: @1175640
     /* 1175640 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1175723), // Rule ID 16272 //
     /* 1175645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175684 */     // MIs[0] round
     /* 1175684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175722 */     // GIR_Coverage, 16272,
     /* 1175722 */     GIR_EraseRootFromParent_Done,
     /* 1175723 */   // Label 17117: @1175723
     /* 1175723 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175806), // Rule ID 16273 //
     /* 1175728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175767 */     // MIs[0] round
     /* 1175767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175805 */     // GIR_Coverage, 16273,
     /* 1175805 */     GIR_EraseRootFromParent_Done,
     /* 1175806 */   // Label 17118: @1175806
     /* 1175806 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175889), // Rule ID 16276 //
     /* 1175811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175850 */     // MIs[0] round
     /* 1175850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175888 */     // GIR_Coverage, 16276,
     /* 1175888 */     GIR_EraseRootFromParent_Done,
     /* 1175889 */   // Label 17119: @1175889
     /* 1175889 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175972), // Rule ID 16277 //
     /* 1175894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175933 */     // MIs[0] round
     /* 1175933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175971 */     // GIR_Coverage, 16277,
     /* 1175971 */     GIR_EraseRootFromParent_Done,
     /* 1175972 */   // Label 17120: @1175972
     /* 1175972 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1176055), // Rule ID 16280 //
     /* 1175977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176016 */     // MIs[0] round
     /* 1176016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1176029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176054 */     // GIR_Coverage, 16280,
     /* 1176054 */     GIR_EraseRootFromParent_Done,
     /* 1176055 */   // Label 17121: @1176055
     /* 1176055 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1176138), // Rule ID 16281 //
     /* 1176060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1176071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1176074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176099 */     // MIs[0] round
     /* 1176099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1176112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176137 */     // GIR_Coverage, 16281,
     /* 1176137 */     GIR_EraseRootFromParent_Done,
     /* 1176138 */   // Label 17122: @1176138
     /* 1176138 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1176221), // Rule ID 16284 //
     /* 1176143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1176154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1176157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176182 */     // MIs[0] round
     /* 1176182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176220 */     // GIR_Coverage, 16284,
     /* 1176220 */     GIR_EraseRootFromParent_Done,
     /* 1176221 */   // Label 17123: @1176221
     /* 1176221 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1176304), // Rule ID 16285 //
     /* 1176226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1176237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1176240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176265 */     // MIs[0] round
     /* 1176265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176275 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176303 */     // GIR_Coverage, 16285,
     /* 1176303 */     GIR_EraseRootFromParent_Done,
     /* 1176304 */   // Label 17124: @1176304
     /* 1176304 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1176387), // Rule ID 16288 //
     /* 1176309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1176320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1176323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176348 */     // MIs[0] round
     /* 1176348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176358 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176386 */     // GIR_Coverage, 16288,
     /* 1176386 */     GIR_EraseRootFromParent_Done,
     /* 1176387 */   // Label 17125: @1176387
     /* 1176387 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1176470), // Rule ID 16289 //
     /* 1176392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1176403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1176406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176431 */     // MIs[0] round
     /* 1176431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176441 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176469 */     // GIR_Coverage, 16289,
     /* 1176469 */     GIR_EraseRootFromParent_Done,
     /* 1176470 */   // Label 17126: @1176470
     /* 1176470 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1176553), // Rule ID 16292 //
     /* 1176475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176514 */     // MIs[0] round
     /* 1176514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176552 */     // GIR_Coverage, 16292,
     /* 1176552 */     GIR_EraseRootFromParent_Done,
     /* 1176553 */   // Label 17127: @1176553
     /* 1176553 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1176636), // Rule ID 16293 //
     /* 1176558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176597 */     // MIs[0] round
     /* 1176597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176607 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176635 */     // GIR_Coverage, 16293,
     /* 1176635 */     GIR_EraseRootFromParent_Done,
     /* 1176636 */   // Label 17128: @1176636
     /* 1176636 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1176719), // Rule ID 16296 //
     /* 1176641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176680 */     // MIs[0] round
     /* 1176680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176718 */     // GIR_Coverage, 16296,
     /* 1176718 */     GIR_EraseRootFromParent_Done,
     /* 1176719 */   // Label 17129: @1176719
     /* 1176719 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176802), // Rule ID 16297 //
     /* 1176724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176763 */     // MIs[0] round
     /* 1176763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176773 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176801 */     // GIR_Coverage, 16297,
     /* 1176801 */     GIR_EraseRootFromParent_Done,
     /* 1176802 */   // Label 17130: @1176802
     /* 1176802 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176885), // Rule ID 16300 //
     /* 1176807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176846 */     // MIs[0] round
     /* 1176846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176856 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176884 */     // GIR_Coverage, 16300,
     /* 1176884 */     GIR_EraseRootFromParent_Done,
     /* 1176885 */   // Label 17131: @1176885
     /* 1176885 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176968), // Rule ID 16301 //
     /* 1176890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176929 */     // MIs[0] round
     /* 1176929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176967 */     // GIR_Coverage, 16301,
     /* 1176967 */     GIR_EraseRootFromParent_Done,
     /* 1176968 */   // Label 17132: @1176968
     /* 1176968 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1177051), // Rule ID 16304 //
     /* 1176973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177012 */     // MIs[0] round
     /* 1177012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1177025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177050 */     // GIR_Coverage, 16304,
     /* 1177050 */     GIR_EraseRootFromParent_Done,
     /* 1177051 */   // Label 17133: @1177051
     /* 1177051 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1177134), // Rule ID 16305 //
     /* 1177056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1177067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1177070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177095 */     // MIs[0] round
     /* 1177095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1177108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177133 */     // GIR_Coverage, 16305,
     /* 1177133 */     GIR_EraseRootFromParent_Done,
     /* 1177134 */   // Label 17134: @1177134
     /* 1177134 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1177217), // Rule ID 16308 //
     /* 1177139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1177150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1177153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177178 */     // MIs[0] round
     /* 1177178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177216 */     // GIR_Coverage, 16308,
     /* 1177216 */     GIR_EraseRootFromParent_Done,
     /* 1177217 */   // Label 17135: @1177217
     /* 1177217 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1177300), // Rule ID 16309 //
     /* 1177222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1177233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1177236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177261 */     // MIs[0] round
     /* 1177261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177299 */     // GIR_Coverage, 16309,
     /* 1177299 */     GIR_EraseRootFromParent_Done,
     /* 1177300 */   // Label 17136: @1177300
     /* 1177300 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1177383), // Rule ID 16312 //
     /* 1177305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1177322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177344 */     // MIs[0] round
     /* 1177344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177382 */     // GIR_Coverage, 16312,
     /* 1177382 */     GIR_EraseRootFromParent_Done,
     /* 1177383 */   // Label 17137: @1177383
     /* 1177383 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1177466), // Rule ID 16313 //
     /* 1177388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1177405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177427 */     // MIs[0] round
     /* 1177427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177437 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177465 */     // GIR_Coverage, 16313,
     /* 1177465 */     GIR_EraseRootFromParent_Done,
     /* 1177466 */   // Label 17138: @1177466
     /* 1177466 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1177549), // Rule ID 16316 //
     /* 1177471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177510 */     // MIs[0] round
     /* 1177510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177520 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177548 */     // GIR_Coverage, 16316,
     /* 1177548 */     GIR_EraseRootFromParent_Done,
     /* 1177549 */   // Label 17139: @1177549
     /* 1177549 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1177632), // Rule ID 16317 //
     /* 1177554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177593 */     // MIs[0] round
     /* 1177593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177631 */     // GIR_Coverage, 16317,
     /* 1177631 */     GIR_EraseRootFromParent_Done,
     /* 1177632 */   // Label 17140: @1177632
     /* 1177632 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1177715), // Rule ID 16320 //
     /* 1177637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177676 */     // MIs[0] round
     /* 1177676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177714 */     // GIR_Coverage, 16320,
     /* 1177714 */     GIR_EraseRootFromParent_Done,
     /* 1177715 */   // Label 17141: @1177715
     /* 1177715 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1177798), // Rule ID 16321 //
     /* 1177720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177759 */     // MIs[0] round
     /* 1177759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177797 */     // GIR_Coverage, 16321,
     /* 1177797 */     GIR_EraseRootFromParent_Done,
     /* 1177798 */   // Label 17142: @1177798
     /* 1177798 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177881), // Rule ID 16324 //
     /* 1177803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177842 */     // MIs[0] round
     /* 1177842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177880 */     // GIR_Coverage, 16324,
     /* 1177880 */     GIR_EraseRootFromParent_Done,
     /* 1177881 */   // Label 17143: @1177881
     /* 1177881 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177964), // Rule ID 16325 //
     /* 1177886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177925 */     // MIs[0] round
     /* 1177925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177935 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177963 */     // GIR_Coverage, 16325,
     /* 1177963 */     GIR_EraseRootFromParent_Done,
     /* 1177964 */   // Label 17144: @1177964
     /* 1177964 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1178047), // Rule ID 16328 //
     /* 1177969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178008 */     // MIs[0] round
     /* 1178008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1178021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178046 */     // GIR_Coverage, 16328,
     /* 1178046 */     GIR_EraseRootFromParent_Done,
     /* 1178047 */   // Label 17145: @1178047
     /* 1178047 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1178130), // Rule ID 16329 //
     /* 1178052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1178063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1178066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1178069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178091 */     // MIs[0] round
     /* 1178091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1178104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178129 */     // GIR_Coverage, 16329,
     /* 1178129 */     GIR_EraseRootFromParent_Done,
     /* 1178130 */   // Label 17146: @1178130
     /* 1178130 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1178213), // Rule ID 16332 //
     /* 1178135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1178138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178174 */     // MIs[0] round
     /* 1178174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1178187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178212 */     // GIR_Coverage, 16332,
     /* 1178212 */     GIR_EraseRootFromParent_Done,
     /* 1178213 */   // Label 17147: @1178213
     /* 1178213 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1178296), // Rule ID 16333 //
     /* 1178218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178257 */     // MIs[0] round
     /* 1178257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1178270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178295 */     // GIR_Coverage, 16333,
     /* 1178295 */     GIR_EraseRootFromParent_Done,
     /* 1178296 */   // Label 17148: @1178296
     /* 1178296 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1178379), // Rule ID 16336 //
     /* 1178301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1178304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178340 */     // MIs[0] round
     /* 1178340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1178353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178378 */     // GIR_Coverage, 16336,
     /* 1178378 */     GIR_EraseRootFromParent_Done,
     /* 1178379 */   // Label 17149: @1178379
     /* 1178379 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1178462), // Rule ID 16337 //
     /* 1178384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178423 */     // MIs[0] round
     /* 1178423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1178436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178461 */     // GIR_Coverage, 16337,
     /* 1178461 */     GIR_EraseRootFromParent_Done,
     /* 1178462 */   // Label 17150: @1178462
     /* 1178462 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1178545), // Rule ID 16400 //
     /* 1178467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178506 */     // MIs[0] round
     /* 1178506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178544 */     // GIR_Coverage, 16400,
     /* 1178544 */     GIR_EraseRootFromParent_Done,
     /* 1178545 */   // Label 17151: @1178545
     /* 1178545 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1178628), // Rule ID 16401 //
     /* 1178550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178589 */     // MIs[0] round
     /* 1178589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178627 */     // GIR_Coverage, 16401,
     /* 1178627 */     GIR_EraseRootFromParent_Done,
     /* 1178628 */   // Label 17152: @1178628
     /* 1178628 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1178711), // Rule ID 16404 //
     /* 1178633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178672 */     // MIs[0] round
     /* 1178672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178710 */     // GIR_Coverage, 16404,
     /* 1178710 */     GIR_EraseRootFromParent_Done,
     /* 1178711 */   // Label 17153: @1178711
     /* 1178711 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1178794), // Rule ID 16405 //
     /* 1178716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178755 */     // MIs[0] round
     /* 1178755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178765 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178793 */     // GIR_Coverage, 16405,
     /* 1178793 */     GIR_EraseRootFromParent_Done,
     /* 1178794 */   // Label 17154: @1178794
     /* 1178794 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178877), // Rule ID 16408 //
     /* 1178799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178838 */     // MIs[0] round
     /* 1178838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178876 */     // GIR_Coverage, 16408,
     /* 1178876 */     GIR_EraseRootFromParent_Done,
     /* 1178877 */   // Label 17155: @1178877
     /* 1178877 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178960), // Rule ID 16409 //
     /* 1178882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178921 */     // MIs[0] round
     /* 1178921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178931 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178959 */     // GIR_Coverage, 16409,
     /* 1178959 */     GIR_EraseRootFromParent_Done,
     /* 1178960 */   // Label 17156: @1178960
     /* 1178960 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1179043), // Rule ID 16412 //
     /* 1178965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179004 */     // MIs[0] round
     /* 1179004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179042 */     // GIR_Coverage, 16412,
     /* 1179042 */     GIR_EraseRootFromParent_Done,
     /* 1179043 */   // Label 17157: @1179043
     /* 1179043 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1179126), // Rule ID 16413 //
     /* 1179048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1179059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1179062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1179065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1179068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179087 */     // MIs[0] round
     /* 1179087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179125 */     // GIR_Coverage, 16413,
     /* 1179125 */     GIR_EraseRootFromParent_Done,
     /* 1179126 */   // Label 17158: @1179126
     /* 1179126 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1179209), // Rule ID 16416 //
     /* 1179131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1179142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1179145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1179148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1179151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179170 */     // MIs[0] round
     /* 1179170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179208 */     // GIR_Coverage, 16416,
     /* 1179208 */     GIR_EraseRootFromParent_Done,
     /* 1179209 */   // Label 17159: @1179209
     /* 1179209 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1179292), // Rule ID 16417 //
     /* 1179214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1179225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1179228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1179231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1179234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179253 */     // MIs[0] round
     /* 1179253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179291 */     // GIR_Coverage, 16417,
     /* 1179291 */     GIR_EraseRootFromParent_Done,
     /* 1179292 */   // Label 17160: @1179292
     /* 1179292 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1179375), // Rule ID 16420 //
     /* 1179297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1179308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1179311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1179317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179336 */     // MIs[0] round
     /* 1179336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179374 */     // GIR_Coverage, 16420,
     /* 1179374 */     GIR_EraseRootFromParent_Done,
     /* 1179375 */   // Label 17161: @1179375
     /* 1179375 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1179458), // Rule ID 16421 //
     /* 1179380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1179391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1179394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1179400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179419 */     // MIs[0] round
     /* 1179419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179429 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179457 */     // GIR_Coverage, 16421,
     /* 1179457 */     GIR_EraseRootFromParent_Done,
     /* 1179458 */   // Label 17162: @1179458
     /* 1179458 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1179541), // Rule ID 16424 //
     /* 1179463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179502 */     // MIs[0] round
     /* 1179502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179540 */     // GIR_Coverage, 16424,
     /* 1179540 */     GIR_EraseRootFromParent_Done,
     /* 1179541 */   // Label 17163: @1179541
     /* 1179541 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1179624), // Rule ID 16425 //
     /* 1179546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179585 */     // MIs[0] round
     /* 1179585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179595 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179623 */     // GIR_Coverage, 16425,
     /* 1179623 */     GIR_EraseRootFromParent_Done,
     /* 1179624 */   // Label 17164: @1179624
     /* 1179624 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1179707), // Rule ID 16428 //
     /* 1179629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179668 */     // MIs[0] round
     /* 1179668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179706 */     // GIR_Coverage, 16428,
     /* 1179706 */     GIR_EraseRootFromParent_Done,
     /* 1179707 */   // Label 17165: @1179707
     /* 1179707 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1179790), // Rule ID 16429 //
     /* 1179712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179751 */     // MIs[0] round
     /* 1179751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179761 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179789 */     // GIR_Coverage, 16429,
     /* 1179789 */     GIR_EraseRootFromParent_Done,
     /* 1179790 */   // Label 17166: @1179790
     /* 1179790 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179873), // Rule ID 16432 //
     /* 1179795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179834 */     // MIs[0] round
     /* 1179834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179872 */     // GIR_Coverage, 16432,
     /* 1179872 */     GIR_EraseRootFromParent_Done,
     /* 1179873 */   // Label 17167: @1179873
     /* 1179873 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179956), // Rule ID 16433 //
     /* 1179878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179917 */     // MIs[0] round
     /* 1179917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179955 */     // GIR_Coverage, 16433,
     /* 1179955 */     GIR_EraseRootFromParent_Done,
     /* 1179956 */   // Label 17168: @1179956
     /* 1179956 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1180039), // Rule ID 16436 //
     /* 1179961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180000 */     // MIs[0] round
     /* 1180000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180010 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180038 */     // GIR_Coverage, 16436,
     /* 1180038 */     GIR_EraseRootFromParent_Done,
     /* 1180039 */   // Label 17169: @1180039
     /* 1180039 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1180122), // Rule ID 16437 //
     /* 1180044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1180055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1180058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1180061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1180064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180083 */     // MIs[0] round
     /* 1180083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180121 */     // GIR_Coverage, 16437,
     /* 1180121 */     GIR_EraseRootFromParent_Done,
     /* 1180122 */   // Label 17170: @1180122
     /* 1180122 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1180205), // Rule ID 16440 //
     /* 1180127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1180138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1180141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1180144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1180147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180166 */     // MIs[0] round
     /* 1180166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180204 */     // GIR_Coverage, 16440,
     /* 1180204 */     GIR_EraseRootFromParent_Done,
     /* 1180205 */   // Label 17171: @1180205
     /* 1180205 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1180288), // Rule ID 16441 //
     /* 1180210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1180221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1180224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1180227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1180230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180249 */     // MIs[0] round
     /* 1180249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180287 */     // GIR_Coverage, 16441,
     /* 1180287 */     GIR_EraseRootFromParent_Done,
     /* 1180288 */   // Label 17172: @1180288
     /* 1180288 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1180371), // Rule ID 16444 //
     /* 1180293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1180304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1180307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180332 */     // MIs[0] round
     /* 1180332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1180345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180370 */     // GIR_Coverage, 16444,
     /* 1180370 */     GIR_EraseRootFromParent_Done,
     /* 1180371 */   // Label 17173: @1180371
     /* 1180371 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1180454), // Rule ID 16445 //
     /* 1180376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1180387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1180390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180415 */     // MIs[0] round
     /* 1180415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1180428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180453 */     // GIR_Coverage, 16445,
     /* 1180453 */     GIR_EraseRootFromParent_Done,
     /* 1180454 */   // Label 17174: @1180454
     /* 1180454 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1180537), // Rule ID 16448 //
     /* 1180459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180498 */     // MIs[0] round
     /* 1180498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180536 */     // GIR_Coverage, 16448,
     /* 1180536 */     GIR_EraseRootFromParent_Done,
     /* 1180537 */   // Label 17175: @1180537
     /* 1180537 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1180620), // Rule ID 16449 //
     /* 1180542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180581 */     // MIs[0] round
     /* 1180581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180619 */     // GIR_Coverage, 16449,
     /* 1180619 */     GIR_EraseRootFromParent_Done,
     /* 1180620 */   // Label 17176: @1180620
     /* 1180620 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1180703), // Rule ID 16452 //
     /* 1180625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180664 */     // MIs[0] round
     /* 1180664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180702 */     // GIR_Coverage, 16452,
     /* 1180702 */     GIR_EraseRootFromParent_Done,
     /* 1180703 */   // Label 17177: @1180703
     /* 1180703 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1180786), // Rule ID 16453 //
     /* 1180708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180747 */     // MIs[0] round
     /* 1180747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180757 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180785 */     // GIR_Coverage, 16453,
     /* 1180785 */     GIR_EraseRootFromParent_Done,
     /* 1180786 */   // Label 17178: @1180786
     /* 1180786 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180869), // Rule ID 16456 //
     /* 1180791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180830 */     // MIs[0] round
     /* 1180830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180868 */     // GIR_Coverage, 16456,
     /* 1180868 */     GIR_EraseRootFromParent_Done,
     /* 1180869 */   // Label 17179: @1180869
     /* 1180869 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180952), // Rule ID 16457 //
     /* 1180874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180913 */     // MIs[0] round
     /* 1180913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180951 */     // GIR_Coverage, 16457,
     /* 1180951 */     GIR_EraseRootFromParent_Done,
     /* 1180952 */   // Label 17180: @1180952
     /* 1180952 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1181035), // Rule ID 16460 //
     /* 1180957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180996 */     // MIs[0] round
     /* 1180996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181006 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1181009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181034 */     // GIR_Coverage, 16460,
     /* 1181034 */     GIR_EraseRootFromParent_Done,
     /* 1181035 */   // Label 17181: @1181035
     /* 1181035 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1181118), // Rule ID 16461 //
     /* 1181040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1181051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1181054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1181057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181079 */     // MIs[0] round
     /* 1181079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181089 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1181092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181117 */     // GIR_Coverage, 16461,
     /* 1181117 */     GIR_EraseRootFromParent_Done,
     /* 1181118 */   // Label 17182: @1181118
     /* 1181118 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1181201), // Rule ID 16464 //
     /* 1181123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1181134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1181137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1181140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181162 */     // MIs[0] round
     /* 1181162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181200 */     // GIR_Coverage, 16464,
     /* 1181200 */     GIR_EraseRootFromParent_Done,
     /* 1181201 */   // Label 17183: @1181201
     /* 1181201 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1181284), // Rule ID 16465 //
     /* 1181206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1181217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1181220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1181223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181245 */     // MIs[0] round
     /* 1181245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181255 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181283 */     // GIR_Coverage, 16465,
     /* 1181283 */     GIR_EraseRootFromParent_Done,
     /* 1181284 */   // Label 17184: @1181284
     /* 1181284 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1181367), // Rule ID 16468 //
     /* 1181289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1181300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1181303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181328 */     // MIs[0] round
     /* 1181328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181338 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181366 */     // GIR_Coverage, 16468,
     /* 1181366 */     GIR_EraseRootFromParent_Done,
     /* 1181367 */   // Label 17185: @1181367
     /* 1181367 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1181450), // Rule ID 16469 //
     /* 1181372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1181383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1181386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181411 */     // MIs[0] round
     /* 1181411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181449 */     // GIR_Coverage, 16469,
     /* 1181449 */     GIR_EraseRootFromParent_Done,
     /* 1181450 */   // Label 17186: @1181450
     /* 1181450 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1181533), // Rule ID 16472 //
     /* 1181455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181494 */     // MIs[0] round
     /* 1181494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181532 */     // GIR_Coverage, 16472,
     /* 1181532 */     GIR_EraseRootFromParent_Done,
     /* 1181533 */   // Label 17187: @1181533
     /* 1181533 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1181616), // Rule ID 16473 //
     /* 1181538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181577 */     // MIs[0] round
     /* 1181577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181615 */     // GIR_Coverage, 16473,
     /* 1181615 */     GIR_EraseRootFromParent_Done,
     /* 1181616 */   // Label 17188: @1181616
     /* 1181616 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1181699), // Rule ID 16476 //
     /* 1181621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181660 */     // MIs[0] round
     /* 1181660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181670 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181698 */     // GIR_Coverage, 16476,
     /* 1181698 */     GIR_EraseRootFromParent_Done,
     /* 1181699 */   // Label 17189: @1181699
     /* 1181699 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1181782), // Rule ID 16477 //
     /* 1181704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181743 */     // MIs[0] round
     /* 1181743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181781 */     // GIR_Coverage, 16477,
     /* 1181781 */     GIR_EraseRootFromParent_Done,
     /* 1181782 */   // Label 17190: @1181782
     /* 1181782 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1181865), // Rule ID 16480 //
     /* 1181787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181826 */     // MIs[0] round
     /* 1181826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181836 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181864 */     // GIR_Coverage, 16480,
     /* 1181864 */     GIR_EraseRootFromParent_Done,
     /* 1181865 */   // Label 17191: @1181865
     /* 1181865 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181948), // Rule ID 16481 //
     /* 1181870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181909 */     // MIs[0] round
     /* 1181909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181919 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181947 */     // GIR_Coverage, 16481,
     /* 1181947 */     GIR_EraseRootFromParent_Done,
     /* 1181948 */   // Label 17192: @1181948
     /* 1181948 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1182031), // Rule ID 16484 //
     /* 1181953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181992 */     // MIs[0] round
     /* 1181992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1182005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182030 */     // GIR_Coverage, 16484,
     /* 1182030 */     GIR_EraseRootFromParent_Done,
     /* 1182031 */   // Label 17193: @1182031
     /* 1182031 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1182114), // Rule ID 16485 //
     /* 1182036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1182047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1182050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1182053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182075 */     // MIs[0] round
     /* 1182075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182085 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1182088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182113 */     // GIR_Coverage, 16485,
     /* 1182113 */     GIR_EraseRootFromParent_Done,
     /* 1182114 */   // Label 17194: @1182114
     /* 1182114 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1182197), // Rule ID 16488 //
     /* 1182119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182158 */     // MIs[0] round
     /* 1182158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182196 */     // GIR_Coverage, 16488,
     /* 1182196 */     GIR_EraseRootFromParent_Done,
     /* 1182197 */   // Label 17195: @1182197
     /* 1182197 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1182280), // Rule ID 16489 //
     /* 1182202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182241 */     // MIs[0] round
     /* 1182241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182279 */     // GIR_Coverage, 16489,
     /* 1182279 */     GIR_EraseRootFromParent_Done,
     /* 1182280 */   // Label 17196: @1182280
     /* 1182280 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1182363), // Rule ID 16492 //
     /* 1182285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182324 */     // MIs[0] round
     /* 1182324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182362 */     // GIR_Coverage, 16492,
     /* 1182362 */     GIR_EraseRootFromParent_Done,
     /* 1182363 */   // Label 17197: @1182363
     /* 1182363 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1182446), // Rule ID 16493 //
     /* 1182368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182407 */     // MIs[0] round
     /* 1182407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182445 */     // GIR_Coverage, 16493,
     /* 1182445 */     GIR_EraseRootFromParent_Done,
     /* 1182446 */   // Label 17198: @1182446
     /* 1182446 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1182529), // Rule ID 16496 //
     /* 1182451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182490 */     // MIs[0] round
     /* 1182490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182528 */     // GIR_Coverage, 16496,
     /* 1182528 */     GIR_EraseRootFromParent_Done,
     /* 1182529 */   // Label 17199: @1182529
     /* 1182529 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1182612), // Rule ID 16497 //
     /* 1182534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182573 */     // MIs[0] round
     /* 1182573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182583 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182611 */     // GIR_Coverage, 16497,
     /* 1182611 */     GIR_EraseRootFromParent_Done,
     /* 1182612 */   // Label 17200: @1182612
     /* 1182612 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1182695), // Rule ID 16500 //
     /* 1182617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182656 */     // MIs[0] round
     /* 1182656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182694 */     // GIR_Coverage, 16500,
     /* 1182694 */     GIR_EraseRootFromParent_Done,
     /* 1182695 */   // Label 17201: @1182695
     /* 1182695 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1182778), // Rule ID 16501 //
     /* 1182700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182739 */     // MIs[0] round
     /* 1182739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182777 */     // GIR_Coverage, 16501,
     /* 1182777 */     GIR_EraseRootFromParent_Done,
     /* 1182778 */   // Label 17202: @1182778
     /* 1182778 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1182861), // Rule ID 16504 //
     /* 1182783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182822 */     // MIs[0] round
     /* 1182822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182860 */     // GIR_Coverage, 16504,
     /* 1182860 */     GIR_EraseRootFromParent_Done,
     /* 1182861 */   // Label 17203: @1182861
     /* 1182861 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182944), // Rule ID 16505 //
     /* 1182866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182905 */     // MIs[0] round
     /* 1182905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182943 */     // GIR_Coverage, 16505,
     /* 1182943 */     GIR_EraseRootFromParent_Done,
     /* 1182944 */   // Label 17204: @1182944
     /* 1182944 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1183027), // Rule ID 16508 //
     /* 1182949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182988 */     // MIs[0] round
     /* 1182988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1183001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183026 */     // GIR_Coverage, 16508,
     /* 1183026 */     GIR_EraseRootFromParent_Done,
     /* 1183027 */   // Label 17205: @1183027
     /* 1183027 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1183110), // Rule ID 16509 //
     /* 1183032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1183043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1183046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183071 */     // MIs[0] round
     /* 1183071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1183084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183109 */     // GIR_Coverage, 16509,
     /* 1183109 */     GIR_EraseRootFromParent_Done,
     /* 1183110 */   // Label 17206: @1183110
     /* 1183110 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1183193), // Rule ID 16512 //
     /* 1183115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1183118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183154 */     // MIs[0] round
     /* 1183154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1183167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183192 */     // GIR_Coverage, 16512,
     /* 1183192 */     GIR_EraseRootFromParent_Done,
     /* 1183193 */   // Label 17207: @1183193
     /* 1183193 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1183276), // Rule ID 16513 //
     /* 1183198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183237 */     // MIs[0] round
     /* 1183237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1183250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183275 */     // GIR_Coverage, 16513,
     /* 1183275 */     GIR_EraseRootFromParent_Done,
     /* 1183276 */   // Label 17208: @1183276
     /* 1183276 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1183359), // Rule ID 16516 //
     /* 1183281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1183284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183320 */     // MIs[0] round
     /* 1183320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1183333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183358 */     // GIR_Coverage, 16516,
     /* 1183358 */     GIR_EraseRootFromParent_Done,
     /* 1183359 */   // Label 17209: @1183359
     /* 1183359 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1183442), // Rule ID 16517 //
     /* 1183364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183403 */     // MIs[0] round
     /* 1183403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1183416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183441 */     // GIR_Coverage, 16517,
     /* 1183441 */     GIR_EraseRootFromParent_Done,
     /* 1183442 */   // Label 17210: @1183442
     /* 1183442 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1183522), // Rule ID 16580 //
     /* 1183447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183486 */     // MIs[0] round
     /* 1183486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183496 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183521 */     // GIR_Coverage, 16580,
     /* 1183521 */     GIR_EraseRootFromParent_Done,
     /* 1183522 */   // Label 17211: @1183522
     /* 1183522 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1183602), // Rule ID 16581 //
     /* 1183527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183566 */     // MIs[0] round
     /* 1183566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183576 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183601 */     // GIR_Coverage, 16581,
     /* 1183601 */     GIR_EraseRootFromParent_Done,
     /* 1183602 */   // Label 17212: @1183602
     /* 1183602 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1183682), // Rule ID 16584 //
     /* 1183607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183646 */     // MIs[0] round
     /* 1183646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183656 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183681 */     // GIR_Coverage, 16584,
     /* 1183681 */     GIR_EraseRootFromParent_Done,
     /* 1183682 */   // Label 17213: @1183682
     /* 1183682 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1183762), // Rule ID 16585 //
     /* 1183687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183726 */     // MIs[0] round
     /* 1183726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183736 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183761 */     // GIR_Coverage, 16585,
     /* 1183761 */     GIR_EraseRootFromParent_Done,
     /* 1183762 */   // Label 17214: @1183762
     /* 1183762 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1183842), // Rule ID 16588 //
     /* 1183767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183806 */     // MIs[0] round
     /* 1183806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183841 */     // GIR_Coverage, 16588,
     /* 1183841 */     GIR_EraseRootFromParent_Done,
     /* 1183842 */   // Label 17215: @1183842
     /* 1183842 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183922), // Rule ID 16589 //
     /* 1183847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183886 */     // MIs[0] round
     /* 1183886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183921 */     // GIR_Coverage, 16589,
     /* 1183921 */     GIR_EraseRootFromParent_Done,
     /* 1183922 */   // Label 17216: @1183922
     /* 1183922 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1184002), // Rule ID 16592 //
     /* 1183927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183966 */     // MIs[0] round
     /* 1183966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183976 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1183979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184001 */     // GIR_Coverage, 16592,
     /* 1184001 */     GIR_EraseRootFromParent_Done,
     /* 1184002 */   // Label 17217: @1184002
     /* 1184002 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1184082), // Rule ID 16593 //
     /* 1184007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1184027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184046 */     // MIs[0] round
     /* 1184046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1184059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184081 */     // GIR_Coverage, 16593,
     /* 1184081 */     GIR_EraseRootFromParent_Done,
     /* 1184082 */   // Label 17218: @1184082
     /* 1184082 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1184162), // Rule ID 16596 //
     /* 1184087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184126 */     // MIs[0] round
     /* 1184126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1184139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184161 */     // GIR_Coverage, 16596,
     /* 1184161 */     GIR_EraseRootFromParent_Done,
     /* 1184162 */   // Label 17219: @1184162
     /* 1184162 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1184242), // Rule ID 16597 //
     /* 1184167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184206 */     // MIs[0] round
     /* 1184206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1184219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184241 */     // GIR_Coverage, 16597,
     /* 1184241 */     GIR_EraseRootFromParent_Done,
     /* 1184242 */   // Label 17220: @1184242
     /* 1184242 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1184322), // Rule ID 16600 //
     /* 1184247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1184250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1184258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1184261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1184267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184286 */     // MIs[0] round
     /* 1184286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1184299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184321 */     // GIR_Coverage, 16600,
     /* 1184321 */     GIR_EraseRootFromParent_Done,
     /* 1184322 */   // Label 17221: @1184322
     /* 1184322 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1184402), // Rule ID 16601 //
     /* 1184327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1184330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1184338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1184341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1184347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184366 */     // MIs[0] round
     /* 1184366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1184379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184401 */     // GIR_Coverage, 16601,
     /* 1184401 */     GIR_EraseRootFromParent_Done,
     /* 1184402 */   // Label 17222: @1184402
     /* 1184402 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1184482), // Rule ID 16604 //
     /* 1184407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1184424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184446 */     // MIs[0] round
     /* 1184446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184456 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184481 */     // GIR_Coverage, 16604,
     /* 1184481 */     GIR_EraseRootFromParent_Done,
     /* 1184482 */   // Label 17223: @1184482
     /* 1184482 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1184562), // Rule ID 16605 //
     /* 1184487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1184504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184526 */     // MIs[0] round
     /* 1184526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184536 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184561 */     // GIR_Coverage, 16605,
     /* 1184561 */     GIR_EraseRootFromParent_Done,
     /* 1184562 */   // Label 17224: @1184562
     /* 1184562 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1184642), // Rule ID 16608 //
     /* 1184567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184606 */     // MIs[0] round
     /* 1184606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184616 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184641 */     // GIR_Coverage, 16608,
     /* 1184641 */     GIR_EraseRootFromParent_Done,
     /* 1184642 */   // Label 17225: @1184642
     /* 1184642 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1184722), // Rule ID 16609 //
     /* 1184647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184686 */     // MIs[0] round
     /* 1184686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184696 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184721 */     // GIR_Coverage, 16609,
     /* 1184721 */     GIR_EraseRootFromParent_Done,
     /* 1184722 */   // Label 17226: @1184722
     /* 1184722 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1184802), // Rule ID 16612 //
     /* 1184727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184766 */     // MIs[0] round
     /* 1184766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184776 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184801 */     // GIR_Coverage, 16612,
     /* 1184801 */     GIR_EraseRootFromParent_Done,
     /* 1184802 */   // Label 17227: @1184802
     /* 1184802 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184882), // Rule ID 16613 //
     /* 1184807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184846 */     // MIs[0] round
     /* 1184846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184856 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184881 */     // GIR_Coverage, 16613,
     /* 1184881 */     GIR_EraseRootFromParent_Done,
     /* 1184882 */   // Label 17228: @1184882
     /* 1184882 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184962), // Rule ID 16616 //
     /* 1184887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184926 */     // MIs[0] round
     /* 1184926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184936 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1184939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184961 */     // GIR_Coverage, 16616,
     /* 1184961 */     GIR_EraseRootFromParent_Done,
     /* 1184962 */   // Label 17229: @1184962
     /* 1184962 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1185042), // Rule ID 16617 //
     /* 1184967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185006 */     // MIs[0] round
     /* 1185006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185016 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1185019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185041 */     // GIR_Coverage, 16617,
     /* 1185041 */     GIR_EraseRootFromParent_Done,
     /* 1185042 */   // Label 17230: @1185042
     /* 1185042 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1185122), // Rule ID 16620 //
     /* 1185047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1185064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185086 */     // MIs[0] round
     /* 1185086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1185099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185121 */     // GIR_Coverage, 16620,
     /* 1185121 */     GIR_EraseRootFromParent_Done,
     /* 1185122 */   // Label 17231: @1185122
     /* 1185122 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1185202), // Rule ID 16621 //
     /* 1185127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1185144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185166 */     // MIs[0] round
     /* 1185166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185176 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1185179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185201 */     // GIR_Coverage, 16621,
     /* 1185201 */     GIR_EraseRootFromParent_Done,
     /* 1185202 */   // Label 17232: @1185202
     /* 1185202 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1185282), // Rule ID 16624 //
     /* 1185207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1185218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1185221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1185224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1185227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185246 */     // MIs[0] round
     /* 1185246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185256 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1185259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185281 */     // GIR_Coverage, 16624,
     /* 1185281 */     GIR_EraseRootFromParent_Done,
     /* 1185282 */   // Label 17233: @1185282
     /* 1185282 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1185362), // Rule ID 16625 //
     /* 1185287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1185298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1185301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1185304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1185307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185326 */     // MIs[0] round
     /* 1185326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185336 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1185339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185361 */     // GIR_Coverage, 16625,
     /* 1185361 */     GIR_EraseRootFromParent_Done,
     /* 1185362 */   // Label 17234: @1185362
     /* 1185362 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1185442), // Rule ID 16628 //
     /* 1185367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1185378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1185381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1185387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185406 */     // MIs[0] round
     /* 1185406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185416 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1185419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185441 */     // GIR_Coverage, 16628,
     /* 1185441 */     GIR_EraseRootFromParent_Done,
     /* 1185442 */   // Label 17235: @1185442
     /* 1185442 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1185522), // Rule ID 16629 //
     /* 1185447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1185458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1185461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1185467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185486 */     // MIs[0] round
     /* 1185486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185496 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1185499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185521 */     // GIR_Coverage, 16629,
     /* 1185521 */     GIR_EraseRootFromParent_Done,
     /* 1185522 */   // Label 17236: @1185522
     /* 1185522 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1185602), // Rule ID 16632 //
     /* 1185527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185566 */     // MIs[0] round
     /* 1185566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185601 */     // GIR_Coverage, 16632,
     /* 1185601 */     GIR_EraseRootFromParent_Done,
     /* 1185602 */   // Label 17237: @1185602
     /* 1185602 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1185682), // Rule ID 16633 //
     /* 1185607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185646 */     // MIs[0] round
     /* 1185646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185681 */     // GIR_Coverage, 16633,
     /* 1185681 */     GIR_EraseRootFromParent_Done,
     /* 1185682 */   // Label 17238: @1185682
     /* 1185682 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1185762), // Rule ID 16636 //
     /* 1185687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185726 */     // MIs[0] round
     /* 1185726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185736 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185761 */     // GIR_Coverage, 16636,
     /* 1185761 */     GIR_EraseRootFromParent_Done,
     /* 1185762 */   // Label 17239: @1185762
     /* 1185762 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185842), // Rule ID 16637 //
     /* 1185767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185806 */     // MIs[0] round
     /* 1185806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185841 */     // GIR_Coverage, 16637,
     /* 1185841 */     GIR_EraseRootFromParent_Done,
     /* 1185842 */   // Label 17240: @1185842
     /* 1185842 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185922), // Rule ID 16640 //
     /* 1185847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185886 */     // MIs[0] round
     /* 1185886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185896 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185921 */     // GIR_Coverage, 16640,
     /* 1185921 */     GIR_EraseRootFromParent_Done,
     /* 1185922 */   // Label 17241: @1185922
     /* 1185922 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1186002), // Rule ID 16641 //
     /* 1185927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185966 */     // MIs[0] round
     /* 1185966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185976 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186001 */     // GIR_Coverage, 16641,
     /* 1186001 */     GIR_EraseRootFromParent_Done,
     /* 1186002 */   // Label 17242: @1186002
     /* 1186002 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1186082), // Rule ID 16644 //
     /* 1186007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186046 */     // MIs[0] round
     /* 1186046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186056 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1186059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186081 */     // GIR_Coverage, 16644,
     /* 1186081 */     GIR_EraseRootFromParent_Done,
     /* 1186082 */   // Label 17243: @1186082
     /* 1186082 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1186162), // Rule ID 16645 //
     /* 1186087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186126 */     // MIs[0] round
     /* 1186126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186136 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1186139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186161 */     // GIR_Coverage, 16645,
     /* 1186161 */     GIR_EraseRootFromParent_Done,
     /* 1186162 */   // Label 17244: @1186162
     /* 1186162 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1186242), // Rule ID 16648 //
     /* 1186167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186206 */     // MIs[0] round
     /* 1186206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186216 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1186219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186241 */     // GIR_Coverage, 16648,
     /* 1186241 */     GIR_EraseRootFromParent_Done,
     /* 1186242 */   // Label 17245: @1186242
     /* 1186242 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1186322), // Rule ID 16649 //
     /* 1186247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186286 */     // MIs[0] round
     /* 1186286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1186299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186321 */     // GIR_Coverage, 16649,
     /* 1186321 */     GIR_EraseRootFromParent_Done,
     /* 1186322 */   // Label 17246: @1186322
     /* 1186322 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1186402), // Rule ID 16652 //
     /* 1186327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1186344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186366 */     // MIs[0] round
     /* 1186366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1186379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186401 */     // GIR_Coverage, 16652,
     /* 1186401 */     GIR_EraseRootFromParent_Done,
     /* 1186402 */   // Label 17247: @1186402
     /* 1186402 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1186482), // Rule ID 16653 //
     /* 1186407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1186424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186446 */     // MIs[0] round
     /* 1186446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186456 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1186459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186481 */     // GIR_Coverage, 16653,
     /* 1186481 */     GIR_EraseRootFromParent_Done,
     /* 1186482 */   // Label 17248: @1186482
     /* 1186482 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1186562), // Rule ID 16656 //
     /* 1186487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186526 */     // MIs[0] round
     /* 1186526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186561 */     // GIR_Coverage, 16656,
     /* 1186561 */     GIR_EraseRootFromParent_Done,
     /* 1186562 */   // Label 17249: @1186562
     /* 1186562 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1186642), // Rule ID 16657 //
     /* 1186567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186606 */     // MIs[0] round
     /* 1186606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186641 */     // GIR_Coverage, 16657,
     /* 1186641 */     GIR_EraseRootFromParent_Done,
     /* 1186642 */   // Label 17250: @1186642
     /* 1186642 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1186722), // Rule ID 16660 //
     /* 1186647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186686 */     // MIs[0] round
     /* 1186686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186696 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186721 */     // GIR_Coverage, 16660,
     /* 1186721 */     GIR_EraseRootFromParent_Done,
     /* 1186722 */   // Label 17251: @1186722
     /* 1186722 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186802), // Rule ID 16661 //
     /* 1186727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186766 */     // MIs[0] round
     /* 1186766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186776 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186801 */     // GIR_Coverage, 16661,
     /* 1186801 */     GIR_EraseRootFromParent_Done,
     /* 1186802 */   // Label 17252: @1186802
     /* 1186802 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186882), // Rule ID 16664 //
     /* 1186807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186846 */     // MIs[0] round
     /* 1186846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186856 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186881 */     // GIR_Coverage, 16664,
     /* 1186881 */     GIR_EraseRootFromParent_Done,
     /* 1186882 */   // Label 17253: @1186882
     /* 1186882 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186962), // Rule ID 16665 //
     /* 1186887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186926 */     // MIs[0] round
     /* 1186926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186936 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186961 */     // GIR_Coverage, 16665,
     /* 1186961 */     GIR_EraseRootFromParent_Done,
     /* 1186962 */   // Label 17254: @1186962
     /* 1186962 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1187042), // Rule ID 16668 //
     /* 1186967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187006 */     // MIs[0] round
     /* 1187006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187016 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1187019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187041 */     // GIR_Coverage, 16668,
     /* 1187041 */     GIR_EraseRootFromParent_Done,
     /* 1187042 */   // Label 17255: @1187042
     /* 1187042 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1187122), // Rule ID 16669 //
     /* 1187047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187086 */     // MIs[0] round
     /* 1187086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187096 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1187099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187121 */     // GIR_Coverage, 16669,
     /* 1187121 */     GIR_EraseRootFromParent_Done,
     /* 1187122 */   // Label 17256: @1187122
     /* 1187122 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1187202), // Rule ID 16672 //
     /* 1187127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1187138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1187141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187166 */     // MIs[0] round
     /* 1187166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187176 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1187179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187201 */     // GIR_Coverage, 16672,
     /* 1187201 */     GIR_EraseRootFromParent_Done,
     /* 1187202 */   // Label 17257: @1187202
     /* 1187202 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1187282), // Rule ID 16673 //
     /* 1187207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1187218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1187221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187246 */     // MIs[0] round
     /* 1187246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187256 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1187259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187281 */     // GIR_Coverage, 16673,
     /* 1187281 */     GIR_EraseRootFromParent_Done,
     /* 1187282 */   // Label 17258: @1187282
     /* 1187282 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1187362), // Rule ID 16676 //
     /* 1187287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187326 */     // MIs[0] round
     /* 1187326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187336 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1187339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187361 */     // GIR_Coverage, 16676,
     /* 1187361 */     GIR_EraseRootFromParent_Done,
     /* 1187362 */   // Label 17259: @1187362
     /* 1187362 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1187442), // Rule ID 16677 //
     /* 1187367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187406 */     // MIs[0] round
     /* 1187406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187416 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1187419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187441 */     // GIR_Coverage, 16677,
     /* 1187441 */     GIR_EraseRootFromParent_Done,
     /* 1187442 */   // Label 17260: @1187442
     /* 1187442 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1187522), // Rule ID 16680 //
     /* 1187447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187486 */     // MIs[0] round
     /* 1187486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187496 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187521 */     // GIR_Coverage, 16680,
     /* 1187521 */     GIR_EraseRootFromParent_Done,
     /* 1187522 */   // Label 17261: @1187522
     /* 1187522 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1187602), // Rule ID 16681 //
     /* 1187527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187566 */     // MIs[0] round
     /* 1187566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187601 */     // GIR_Coverage, 16681,
     /* 1187601 */     GIR_EraseRootFromParent_Done,
     /* 1187602 */   // Label 17262: @1187602
     /* 1187602 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1187682), // Rule ID 16684 //
     /* 1187607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187646 */     // MIs[0] round
     /* 1187646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187681 */     // GIR_Coverage, 16684,
     /* 1187681 */     GIR_EraseRootFromParent_Done,
     /* 1187682 */   // Label 17263: @1187682
     /* 1187682 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187762), // Rule ID 16685 //
     /* 1187687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187726 */     // MIs[0] round
     /* 1187726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187736 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187761 */     // GIR_Coverage, 16685,
     /* 1187761 */     GIR_EraseRootFromParent_Done,
     /* 1187762 */   // Label 17264: @1187762
     /* 1187762 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187842), // Rule ID 16688 //
     /* 1187767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187806 */     // MIs[0] round
     /* 1187806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187841 */     // GIR_Coverage, 16688,
     /* 1187841 */     GIR_EraseRootFromParent_Done,
     /* 1187842 */   // Label 17265: @1187842
     /* 1187842 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187922), // Rule ID 16689 //
     /* 1187847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187886 */     // MIs[0] round
     /* 1187886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187921 */     // GIR_Coverage, 16689,
     /* 1187921 */     GIR_EraseRootFromParent_Done,
     /* 1187922 */   // Label 17266: @1187922
     /* 1187922 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1188002), // Rule ID 16692 //
     /* 1187927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1187938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1187941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187966 */     // MIs[0] round
     /* 1187966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1187979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188001 */     // GIR_Coverage, 16692,
     /* 1188001 */     GIR_EraseRootFromParent_Done,
     /* 1188002 */   // Label 17267: @1188002
     /* 1188002 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1188082), // Rule ID 16693 //
     /* 1188007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1188018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1188021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188046 */     // MIs[0] round
     /* 1188046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188056 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1188059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188081 */     // GIR_Coverage, 16693,
     /* 1188081 */     GIR_EraseRootFromParent_Done,
     /* 1188082 */   // Label 17268: @1188082
     /* 1188082 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1188162), // Rule ID 16696 //
     /* 1188087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1188098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1188101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188126 */     // MIs[0] round
     /* 1188126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1188139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188161 */     // GIR_Coverage, 16696,
     /* 1188161 */     GIR_EraseRootFromParent_Done,
     /* 1188162 */   // Label 17269: @1188162
     /* 1188162 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1188242), // Rule ID 16697 //
     /* 1188167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1188178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1188181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188206 */     // MIs[0] round
     /* 1188206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188216 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1188219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188241 */     // GIR_Coverage, 16697,
     /* 1188241 */     GIR_EraseRootFromParent_Done,
     /* 1188242 */   // Label 17270: @1188242
     /* 1188242 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1188322), // Rule ID 16700 //
     /* 1188247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1188264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188286 */     // MIs[0] round
     /* 1188286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188296 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1188299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188321 */     // GIR_Coverage, 16700,
     /* 1188321 */     GIR_EraseRootFromParent_Done,
     /* 1188322 */   // Label 17271: @1188322
     /* 1188322 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1188402), // Rule ID 16701 //
     /* 1188327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1188344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188366 */     // MIs[0] round
     /* 1188366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188376 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1188379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188401 */     // GIR_Coverage, 16701,
     /* 1188401 */     GIR_EraseRootFromParent_Done,
     /* 1188402 */   // Label 17272: @1188402
     /* 1188402 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1188482), // Rule ID 16704 //
     /* 1188407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188446 */     // MIs[0] round
     /* 1188446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188456 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188481 */     // GIR_Coverage, 16704,
     /* 1188481 */     GIR_EraseRootFromParent_Done,
     /* 1188482 */   // Label 17273: @1188482
     /* 1188482 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1188562), // Rule ID 16705 //
     /* 1188487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188526 */     // MIs[0] round
     /* 1188526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188536 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188561 */     // GIR_Coverage, 16705,
     /* 1188561 */     GIR_EraseRootFromParent_Done,
     /* 1188562 */   // Label 17274: @1188562
     /* 1188562 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1188642), // Rule ID 16708 //
     /* 1188567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188606 */     // MIs[0] round
     /* 1188606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188641 */     // GIR_Coverage, 16708,
     /* 1188641 */     GIR_EraseRootFromParent_Done,
     /* 1188642 */   // Label 17275: @1188642
     /* 1188642 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188722), // Rule ID 16709 //
     /* 1188647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188686 */     // MIs[0] round
     /* 1188686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188696 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188721 */     // GIR_Coverage, 16709,
     /* 1188721 */     GIR_EraseRootFromParent_Done,
     /* 1188722 */   // Label 17276: @1188722
     /* 1188722 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188802), // Rule ID 16712 //
     /* 1188727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188766 */     // MIs[0] round
     /* 1188766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188801 */     // GIR_Coverage, 16712,
     /* 1188801 */     GIR_EraseRootFromParent_Done,
     /* 1188802 */   // Label 17277: @1188802
     /* 1188802 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188882), // Rule ID 16713 //
     /* 1188807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188846 */     // MIs[0] round
     /* 1188846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188856 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188881 */     // GIR_Coverage, 16713,
     /* 1188881 */     GIR_EraseRootFromParent_Done,
     /* 1188882 */   // Label 17278: @1188882
     /* 1188882 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188962), // Rule ID 16716 //
     /* 1188887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188926 */     // MIs[0] round
     /* 1188926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1188939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188961 */     // GIR_Coverage, 16716,
     /* 1188961 */     GIR_EraseRootFromParent_Done,
     /* 1188962 */   // Label 17279: @1188962
     /* 1188962 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1189042), // Rule ID 16717 //
     /* 1188967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189006 */     // MIs[0] round
     /* 1189006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1189019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189041 */     // GIR_Coverage, 16717,
     /* 1189041 */     GIR_EraseRootFromParent_Done,
     /* 1189042 */   // Label 17280: @1189042
     /* 1189042 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1189122), // Rule ID 16720 //
     /* 1189047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1189067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189086 */     // MIs[0] round
     /* 1189086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1189099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189121 */     // GIR_Coverage, 16720,
     /* 1189121 */     GIR_EraseRootFromParent_Done,
     /* 1189122 */   // Label 17281: @1189122
     /* 1189122 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1189202), // Rule ID 16721 //
     /* 1189127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1189147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189166 */     // MIs[0] round
     /* 1189166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1189179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189201 */     // GIR_Coverage, 16721,
     /* 1189201 */     GIR_EraseRootFromParent_Done,
     /* 1189202 */   // Label 17282: @1189202
     /* 1189202 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1189282), // Rule ID 16724 //
     /* 1189207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189246 */     // MIs[0] round
     /* 1189246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189256 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1189259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189281 */     // GIR_Coverage, 16724,
     /* 1189281 */     GIR_EraseRootFromParent_Done,
     /* 1189282 */   // Label 17283: @1189282
     /* 1189282 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1189362), // Rule ID 16725 //
     /* 1189287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189326 */     // MIs[0] round
     /* 1189326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189336 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1189339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189361 */     // GIR_Coverage, 16725,
     /* 1189361 */     GIR_EraseRootFromParent_Done,
     /* 1189362 */   // Label 17284: @1189362
     /* 1189362 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1189442), // Rule ID 16728 //
     /* 1189367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189406 */     // MIs[0] round
     /* 1189406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189416 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1189419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189441 */     // GIR_Coverage, 16728,
     /* 1189441 */     GIR_EraseRootFromParent_Done,
     /* 1189442 */   // Label 17285: @1189442
     /* 1189442 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1189522), // Rule ID 16729 //
     /* 1189447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189486 */     // MIs[0] round
     /* 1189486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189496 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1189499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189521 */     // GIR_Coverage, 16729,
     /* 1189521 */     GIR_EraseRootFromParent_Done,
     /* 1189522 */   // Label 17286: @1189522
     /* 1189522 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1189602), // Rule ID 16732 //
     /* 1189527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189566 */     // MIs[0] round
     /* 1189566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189576 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189601 */     // GIR_Coverage, 16732,
     /* 1189601 */     GIR_EraseRootFromParent_Done,
     /* 1189602 */   // Label 17287: @1189602
     /* 1189602 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189682), // Rule ID 16733 //
     /* 1189607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189646 */     // MIs[0] round
     /* 1189646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189656 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189681 */     // GIR_Coverage, 16733,
     /* 1189681 */     GIR_EraseRootFromParent_Done,
     /* 1189682 */   // Label 17288: @1189682
     /* 1189682 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189762), // Rule ID 16736 //
     /* 1189687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189726 */     // MIs[0] round
     /* 1189726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189761 */     // GIR_Coverage, 16736,
     /* 1189761 */     GIR_EraseRootFromParent_Done,
     /* 1189762 */   // Label 17289: @1189762
     /* 1189762 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189842), // Rule ID 16737 //
     /* 1189767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189806 */     // MIs[0] round
     /* 1189806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189816 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189841 */     // GIR_Coverage, 16737,
     /* 1189841 */     GIR_EraseRootFromParent_Done,
     /* 1189842 */   // Label 17290: @1189842
     /* 1189842 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189922), // Rule ID 16740 //
     /* 1189847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189886 */     // MIs[0] round
     /* 1189886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189896 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189921 */     // GIR_Coverage, 16740,
     /* 1189921 */     GIR_EraseRootFromParent_Done,
     /* 1189922 */   // Label 17291: @1189922
     /* 1189922 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1190002), // Rule ID 16741 //
     /* 1189927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189966 */     // MIs[0] round
     /* 1189966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189976 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190001 */     // GIR_Coverage, 16741,
     /* 1190001 */     GIR_EraseRootFromParent_Done,
     /* 1190002 */   // Label 17292: @1190002
     /* 1190002 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1190082), // Rule ID 16744 //
     /* 1190007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1190027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190046 */     // MIs[0] round
     /* 1190046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190056 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1190059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190081 */     // GIR_Coverage, 16744,
     /* 1190081 */     GIR_EraseRootFromParent_Done,
     /* 1190082 */   // Label 17293: @1190082
     /* 1190082 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1190162), // Rule ID 16745 //
     /* 1190087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1190107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190126 */     // MIs[0] round
     /* 1190126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190136 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1190139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190161 */     // GIR_Coverage, 16745,
     /* 1190161 */     GIR_EraseRootFromParent_Done,
     /* 1190162 */   // Label 17294: @1190162
     /* 1190162 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1190242), // Rule ID 16748 //
     /* 1190167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190206 */     // MIs[0] round
     /* 1190206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1190219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190241 */     // GIR_Coverage, 16748,
     /* 1190241 */     GIR_EraseRootFromParent_Done,
     /* 1190242 */   // Label 17295: @1190242
     /* 1190242 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1190322), // Rule ID 16749 //
     /* 1190247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190286 */     // MIs[0] round
     /* 1190286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190296 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1190299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190321 */     // GIR_Coverage, 16749,
     /* 1190321 */     GIR_EraseRootFromParent_Done,
     /* 1190322 */   // Label 17296: @1190322
     /* 1190322 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1190402), // Rule ID 16752 //
     /* 1190327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190366 */     // MIs[0] round
     /* 1190366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190376 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1190379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190401 */     // GIR_Coverage, 16752,
     /* 1190401 */     GIR_EraseRootFromParent_Done,
     /* 1190402 */   // Label 17297: @1190402
     /* 1190402 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1190482), // Rule ID 16753 //
     /* 1190407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190446 */     // MIs[0] round
     /* 1190446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190456 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1190459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190481 */     // GIR_Coverage, 16753,
     /* 1190481 */     GIR_EraseRootFromParent_Done,
     /* 1190482 */   // Label 17298: @1190482
     /* 1190482 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1190562), // Rule ID 16756 //
     /* 1190487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190526 */     // MIs[0] round
     /* 1190526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190536 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190561 */     // GIR_Coverage, 16756,
     /* 1190561 */     GIR_EraseRootFromParent_Done,
     /* 1190562 */   // Label 17299: @1190562
     /* 1190562 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1190642), // Rule ID 16757 //
     /* 1190567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190606 */     // MIs[0] round
     /* 1190606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190616 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190641 */     // GIR_Coverage, 16757,
     /* 1190641 */     GIR_EraseRootFromParent_Done,
     /* 1190642 */   // Label 17300: @1190642
     /* 1190642 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190722), // Rule ID 16760 //
     /* 1190647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190686 */     // MIs[0] round
     /* 1190686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190696 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190721 */     // GIR_Coverage, 16760,
     /* 1190721 */     GIR_EraseRootFromParent_Done,
     /* 1190722 */   // Label 17301: @1190722
     /* 1190722 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190802), // Rule ID 16761 //
     /* 1190727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190766 */     // MIs[0] round
     /* 1190766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190776 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190801 */     // GIR_Coverage, 16761,
     /* 1190801 */     GIR_EraseRootFromParent_Done,
     /* 1190802 */   // Label 17302: @1190802
     /* 1190802 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190882), // Rule ID 16764 //
     /* 1190807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190846 */     // MIs[0] round
     /* 1190846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190856 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190881 */     // GIR_Coverage, 16764,
     /* 1190881 */     GIR_EraseRootFromParent_Done,
     /* 1190882 */   // Label 17303: @1190882
     /* 1190882 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190962), // Rule ID 16765 //
     /* 1190887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190926 */     // MIs[0] round
     /* 1190926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190936 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190961 */     // GIR_Coverage, 16765,
     /* 1190961 */     GIR_EraseRootFromParent_Done,
     /* 1190962 */   // Label 17304: @1190962
     /* 1190962 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1191042), // Rule ID 16768 //
     /* 1190967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191006 */     // MIs[0] round
     /* 1191006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191016 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1191019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191041 */     // GIR_Coverage, 16768,
     /* 1191041 */     GIR_EraseRootFromParent_Done,
     /* 1191042 */   // Label 17305: @1191042
     /* 1191042 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1191122), // Rule ID 16769 //
     /* 1191047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191086 */     // MIs[0] round
     /* 1191086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191096 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1191099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191121 */     // GIR_Coverage, 16769,
     /* 1191121 */     GIR_EraseRootFromParent_Done,
     /* 1191122 */   // Label 17306: @1191122
     /* 1191122 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1191202), // Rule ID 16772 //
     /* 1191127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191166 */     // MIs[0] round
     /* 1191166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1191179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191201 */     // GIR_Coverage, 16772,
     /* 1191201 */     GIR_EraseRootFromParent_Done,
     /* 1191202 */   // Label 17307: @1191202
     /* 1191202 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1191282), // Rule ID 16773 //
     /* 1191207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191246 */     // MIs[0] round
     /* 1191246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1191259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191281 */     // GIR_Coverage, 16773,
     /* 1191281 */     GIR_EraseRootFromParent_Done,
     /* 1191282 */   // Label 17308: @1191282
     /* 1191282 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1191362), // Rule ID 16776 //
     /* 1191287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1191298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1191301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191326 */     // MIs[0] round
     /* 1191326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1191339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191361 */     // GIR_Coverage, 16776,
     /* 1191361 */     GIR_EraseRootFromParent_Done,
     /* 1191362 */   // Label 17309: @1191362
     /* 1191362 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1191442), // Rule ID 16777 //
     /* 1191367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1191378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1191381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191406 */     // MIs[0] round
     /* 1191406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1191419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191441 */     // GIR_Coverage, 16777,
     /* 1191441 */     GIR_EraseRootFromParent_Done,
     /* 1191442 */   // Label 17310: @1191442
     /* 1191442 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1191522), // Rule ID 16780 //
     /* 1191447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191486 */     // MIs[0] round
     /* 1191486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191521 */     // GIR_Coverage, 16780,
     /* 1191521 */     GIR_EraseRootFromParent_Done,
     /* 1191522 */   // Label 17311: @1191522
     /* 1191522 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1191602), // Rule ID 16781 //
     /* 1191527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191566 */     // MIs[0] round
     /* 1191566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191601 */     // GIR_Coverage, 16781,
     /* 1191601 */     GIR_EraseRootFromParent_Done,
     /* 1191602 */   // Label 17312: @1191602
     /* 1191602 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191682), // Rule ID 16784 //
     /* 1191607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191646 */     // MIs[0] round
     /* 1191646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191656 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191681 */     // GIR_Coverage, 16784,
     /* 1191681 */     GIR_EraseRootFromParent_Done,
     /* 1191682 */   // Label 17313: @1191682
     /* 1191682 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191762), // Rule ID 16785 //
     /* 1191687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191726 */     // MIs[0] round
     /* 1191726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191736 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191761 */     // GIR_Coverage, 16785,
     /* 1191761 */     GIR_EraseRootFromParent_Done,
     /* 1191762 */   // Label 17314: @1191762
     /* 1191762 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191842), // Rule ID 16788 //
     /* 1191767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191806 */     // MIs[0] round
     /* 1191806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191816 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191841 */     // GIR_Coverage, 16788,
     /* 1191841 */     GIR_EraseRootFromParent_Done,
     /* 1191842 */   // Label 17315: @1191842
     /* 1191842 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191922), // Rule ID 16789 //
     /* 1191847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191886 */     // MIs[0] round
     /* 1191886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191896 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191921 */     // GIR_Coverage, 16789,
     /* 1191921 */     GIR_EraseRootFromParent_Done,
     /* 1191922 */   // Label 17316: @1191922
     /* 1191922 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1192002), // Rule ID 16792 //
     /* 1191927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191966 */     // MIs[0] round
     /* 1191966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191976 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1191979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192001 */     // GIR_Coverage, 16792,
     /* 1192001 */     GIR_EraseRootFromParent_Done,
     /* 1192002 */   // Label 17317: @1192002
     /* 1192002 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1192082), // Rule ID 16793 //
     /* 1192007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1192018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1192021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1192024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192046 */     // MIs[0] round
     /* 1192046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192056 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1192059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192081 */     // GIR_Coverage, 16793,
     /* 1192081 */     GIR_EraseRootFromParent_Done,
     /* 1192082 */   // Label 17318: @1192082
     /* 1192082 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1192162), // Rule ID 16796 //
     /* 1192087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192126 */     // MIs[0] round
     /* 1192126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192136 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1192139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192161 */     // GIR_Coverage, 16796,
     /* 1192161 */     GIR_EraseRootFromParent_Done,
     /* 1192162 */   // Label 17319: @1192162
     /* 1192162 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1192242), // Rule ID 16797 //
     /* 1192167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192206 */     // MIs[0] round
     /* 1192206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1192219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192241 */     // GIR_Coverage, 16797,
     /* 1192241 */     GIR_EraseRootFromParent_Done,
     /* 1192242 */   // Label 17320: @1192242
     /* 1192242 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1192322), // Rule ID 16800 //
     /* 1192247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192286 */     // MIs[0] round
     /* 1192286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192296 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1192299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192321 */     // GIR_Coverage, 16800,
     /* 1192321 */     GIR_EraseRootFromParent_Done,
     /* 1192322 */   // Label 17321: @1192322
     /* 1192322 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1192402), // Rule ID 16801 //
     /* 1192327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192366 */     // MIs[0] round
     /* 1192366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1192379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192401 */     // GIR_Coverage, 16801,
     /* 1192401 */     GIR_EraseRootFromParent_Done,
     /* 1192402 */   // Label 17322: @1192402
     /* 1192402 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1192482), // Rule ID 16804 //
     /* 1192407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192446 */     // MIs[0] round
     /* 1192446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192481 */     // GIR_Coverage, 16804,
     /* 1192481 */     GIR_EraseRootFromParent_Done,
     /* 1192482 */   // Label 17323: @1192482
     /* 1192482 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1192562), // Rule ID 16805 //
     /* 1192487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192526 */     // MIs[0] round
     /* 1192526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192536 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192561 */     // GIR_Coverage, 16805,
     /* 1192561 */     GIR_EraseRootFromParent_Done,
     /* 1192562 */   // Label 17324: @1192562
     /* 1192562 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1192642), // Rule ID 16808 //
     /* 1192567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192606 */     // MIs[0] round
     /* 1192606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192641 */     // GIR_Coverage, 16808,
     /* 1192641 */     GIR_EraseRootFromParent_Done,
     /* 1192642 */   // Label 17325: @1192642
     /* 1192642 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192722), // Rule ID 16809 //
     /* 1192647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192686 */     // MIs[0] round
     /* 1192686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192721 */     // GIR_Coverage, 16809,
     /* 1192721 */     GIR_EraseRootFromParent_Done,
     /* 1192722 */   // Label 17326: @1192722
     /* 1192722 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192802), // Rule ID 16812 //
     /* 1192727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192766 */     // MIs[0] round
     /* 1192766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192801 */     // GIR_Coverage, 16812,
     /* 1192801 */     GIR_EraseRootFromParent_Done,
     /* 1192802 */   // Label 17327: @1192802
     /* 1192802 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192882), // Rule ID 16813 //
     /* 1192807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192846 */     // MIs[0] round
     /* 1192846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192856 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192881 */     // GIR_Coverage, 16813,
     /* 1192881 */     GIR_EraseRootFromParent_Done,
     /* 1192882 */   // Label 17328: @1192882
     /* 1192882 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192962), // Rule ID 16816 //
     /* 1192887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192926 */     // MIs[0] round
     /* 1192926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192936 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1192939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192961 */     // GIR_Coverage, 16816,
     /* 1192961 */     GIR_EraseRootFromParent_Done,
     /* 1192962 */   // Label 17329: @1192962
     /* 1192962 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1193042), // Rule ID 16817 //
     /* 1192967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193006 */     // MIs[0] round
     /* 1193006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193016 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1193019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193041 */     // GIR_Coverage, 16817,
     /* 1193041 */     GIR_EraseRootFromParent_Done,
     /* 1193042 */   // Label 17330: @1193042
     /* 1193042 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1193122), // Rule ID 16820 //
     /* 1193047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1193058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1193061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193086 */     // MIs[0] round
     /* 1193086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193096 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1193099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193121 */     // GIR_Coverage, 16820,
     /* 1193121 */     GIR_EraseRootFromParent_Done,
     /* 1193122 */   // Label 17331: @1193122
     /* 1193122 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1193202), // Rule ID 16821 //
     /* 1193127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1193138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1193141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193166 */     // MIs[0] round
     /* 1193166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193176 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1193179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193201 */     // GIR_Coverage, 16821,
     /* 1193201 */     GIR_EraseRootFromParent_Done,
     /* 1193202 */   // Label 17332: @1193202
     /* 1193202 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1193282), // Rule ID 16824 //
     /* 1193207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1193218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1193221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193246 */     // MIs[0] round
     /* 1193246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193256 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1193259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193281 */     // GIR_Coverage, 16824,
     /* 1193281 */     GIR_EraseRootFromParent_Done,
     /* 1193282 */   // Label 17333: @1193282
     /* 1193282 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1193362), // Rule ID 16825 //
     /* 1193287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1193298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1193301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193326 */     // MIs[0] round
     /* 1193326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193336 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1193339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193361 */     // GIR_Coverage, 16825,
     /* 1193361 */     GIR_EraseRootFromParent_Done,
     /* 1193362 */   // Label 17334: @1193362
     /* 1193362 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1193442), // Rule ID 16828 //
     /* 1193367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193406 */     // MIs[0] round
     /* 1193406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193416 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1193419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193441 */     // GIR_Coverage, 16828,
     /* 1193441 */     GIR_EraseRootFromParent_Done,
     /* 1193442 */   // Label 17335: @1193442
     /* 1193442 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1193522), // Rule ID 16829 //
     /* 1193447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193486 */     // MIs[0] round
     /* 1193486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193496 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1193499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193521 */     // GIR_Coverage, 16829,
     /* 1193521 */     GIR_EraseRootFromParent_Done,
     /* 1193522 */   // Label 17336: @1193522
     /* 1193522 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1193602), // Rule ID 16832 //
     /* 1193527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193566 */     // MIs[0] round
     /* 1193566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193576 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193601 */     // GIR_Coverage, 16832,
     /* 1193601 */     GIR_EraseRootFromParent_Done,
     /* 1193602 */   // Label 17337: @1193602
     /* 1193602 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193682), // Rule ID 16833 //
     /* 1193607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193646 */     // MIs[0] round
     /* 1193646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193656 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193681 */     // GIR_Coverage, 16833,
     /* 1193681 */     GIR_EraseRootFromParent_Done,
     /* 1193682 */   // Label 17338: @1193682
     /* 1193682 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193762), // Rule ID 16836 //
     /* 1193687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193726 */     // MIs[0] round
     /* 1193726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193761 */     // GIR_Coverage, 16836,
     /* 1193761 */     GIR_EraseRootFromParent_Done,
     /* 1193762 */   // Label 17339: @1193762
     /* 1193762 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193842), // Rule ID 16837 //
     /* 1193767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193806 */     // MIs[0] round
     /* 1193806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193816 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193841 */     // GIR_Coverage, 16837,
     /* 1193841 */     GIR_EraseRootFromParent_Done,
     /* 1193842 */   // Label 17340: @1193842
     /* 1193842 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193922), // Rule ID 16840 //
     /* 1193847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193886 */     // MIs[0] round
     /* 1193886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193921 */     // GIR_Coverage, 16840,
     /* 1193921 */     GIR_EraseRootFromParent_Done,
     /* 1193922 */   // Label 17341: @1193922
     /* 1193922 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1194002), // Rule ID 16841 //
     /* 1193927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193966 */     // MIs[0] round
     /* 1193966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194001 */     // GIR_Coverage, 16841,
     /* 1194001 */     GIR_EraseRootFromParent_Done,
     /* 1194002 */   // Label 17342: @1194002
     /* 1194002 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1194082), // Rule ID 16844 //
     /* 1194007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1194018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1194021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194046 */     // MIs[0] round
     /* 1194046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194056 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1194059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194081 */     // GIR_Coverage, 16844,
     /* 1194081 */     GIR_EraseRootFromParent_Done,
     /* 1194082 */   // Label 17343: @1194082
     /* 1194082 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1194162), // Rule ID 16845 //
     /* 1194087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1194098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1194101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194126 */     // MIs[0] round
     /* 1194126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194136 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1194139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194161 */     // GIR_Coverage, 16845,
     /* 1194161 */     GIR_EraseRootFromParent_Done,
     /* 1194162 */   // Label 17344: @1194162
     /* 1194162 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1194242), // Rule ID 16848 //
     /* 1194167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1194178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1194181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194206 */     // MIs[0] round
     /* 1194206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194216 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1194219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194241 */     // GIR_Coverage, 16848,
     /* 1194241 */     GIR_EraseRootFromParent_Done,
     /* 1194242 */   // Label 17345: @1194242
     /* 1194242 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1194322), // Rule ID 16849 //
     /* 1194247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1194258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1194261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194286 */     // MIs[0] round
     /* 1194286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194296 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1194299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194321 */     // GIR_Coverage, 16849,
     /* 1194321 */     GIR_EraseRootFromParent_Done,
     /* 1194322 */   // Label 17346: @1194322
     /* 1194322 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1194402), // Rule ID 16852 //
     /* 1194327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1194338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1194341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1194344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194366 */     // MIs[0] round
     /* 1194366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194376 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1194379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194401 */     // GIR_Coverage, 16852,
     /* 1194401 */     GIR_EraseRootFromParent_Done,
     /* 1194402 */   // Label 17347: @1194402
     /* 1194402 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1194482), // Rule ID 16853 //
     /* 1194407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1194418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1194421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1194424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194446 */     // MIs[0] round
     /* 1194446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194456 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1194459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194481 */     // GIR_Coverage, 16853,
     /* 1194481 */     GIR_EraseRootFromParent_Done,
     /* 1194482 */   // Label 17348: @1194482
     /* 1194482 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1194562), // Rule ID 16856 //
     /* 1194487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194526 */     // MIs[0] round
     /* 1194526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194561 */     // GIR_Coverage, 16856,
     /* 1194561 */     GIR_EraseRootFromParent_Done,
     /* 1194562 */   // Label 17349: @1194562
     /* 1194562 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1194642), // Rule ID 16857 //
     /* 1194567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194606 */     // MIs[0] round
     /* 1194606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194641 */     // GIR_Coverage, 16857,
     /* 1194641 */     GIR_EraseRootFromParent_Done,
     /* 1194642 */   // Label 17350: @1194642
     /* 1194642 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194722), // Rule ID 16860 //
     /* 1194647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194686 */     // MIs[0] round
     /* 1194686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194696 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194721 */     // GIR_Coverage, 16860,
     /* 1194721 */     GIR_EraseRootFromParent_Done,
     /* 1194722 */   // Label 17351: @1194722
     /* 1194722 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194802), // Rule ID 16861 //
     /* 1194727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194766 */     // MIs[0] round
     /* 1194766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194776 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194801 */     // GIR_Coverage, 16861,
     /* 1194801 */     GIR_EraseRootFromParent_Done,
     /* 1194802 */   // Label 17352: @1194802
     /* 1194802 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194882), // Rule ID 16864 //
     /* 1194807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194846 */     // MIs[0] round
     /* 1194846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194856 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194881 */     // GIR_Coverage, 16864,
     /* 1194881 */     GIR_EraseRootFromParent_Done,
     /* 1194882 */   // Label 17353: @1194882
     /* 1194882 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194962), // Rule ID 16865 //
     /* 1194887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194926 */     // MIs[0] round
     /* 1194926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194936 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194961 */     // GIR_Coverage, 16865,
     /* 1194961 */     GIR_EraseRootFromParent_Done,
     /* 1194962 */   // Label 17354: @1194962
     /* 1194962 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1195042), // Rule ID 16868 //
     /* 1194967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195006 */     // MIs[0] round
     /* 1195006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1195019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195041 */     // GIR_Coverage, 16868,
     /* 1195041 */     GIR_EraseRootFromParent_Done,
     /* 1195042 */   // Label 17355: @1195042
     /* 1195042 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1195122), // Rule ID 16869 //
     /* 1195047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1195058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1195061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1195064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195086 */     // MIs[0] round
     /* 1195086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195096 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1195099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195121 */     // GIR_Coverage, 16869,
     /* 1195121 */     GIR_EraseRootFromParent_Done,
     /* 1195122 */   // Label 17356: @1195122
     /* 1195122 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1195202), // Rule ID 16872 //
     /* 1195127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195166 */     // MIs[0] round
     /* 1195166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1195179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195201 */     // GIR_Coverage, 16872,
     /* 1195201 */     GIR_EraseRootFromParent_Done,
     /* 1195202 */   // Label 17357: @1195202
     /* 1195202 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1195282), // Rule ID 16873 //
     /* 1195207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195246 */     // MIs[0] round
     /* 1195246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195256 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1195259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195281 */     // GIR_Coverage, 16873,
     /* 1195281 */     GIR_EraseRootFromParent_Done,
     /* 1195282 */   // Label 17358: @1195282
     /* 1195282 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1195362), // Rule ID 16876 //
     /* 1195287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1195304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195326 */     // MIs[0] round
     /* 1195326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195336 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1195339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195361 */     // GIR_Coverage, 16876,
     /* 1195361 */     GIR_EraseRootFromParent_Done,
     /* 1195362 */   // Label 17359: @1195362
     /* 1195362 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1195442), // Rule ID 16877 //
     /* 1195367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1195384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195406 */     // MIs[0] round
     /* 1195406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1195419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195441 */     // GIR_Coverage, 16877,
     /* 1195441 */     GIR_EraseRootFromParent_Done,
     /* 1195442 */   // Label 17360: @1195442
     /* 1195442 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1195522), // Rule ID 16880 //
     /* 1195447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195486 */     // MIs[0] round
     /* 1195486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195496 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195521 */     // GIR_Coverage, 16880,
     /* 1195521 */     GIR_EraseRootFromParent_Done,
     /* 1195522 */   // Label 17361: @1195522
     /* 1195522 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1195602), // Rule ID 16881 //
     /* 1195527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195566 */     // MIs[0] round
     /* 1195566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195576 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195601 */     // GIR_Coverage, 16881,
     /* 1195601 */     GIR_EraseRootFromParent_Done,
     /* 1195602 */   // Label 17362: @1195602
     /* 1195602 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195682), // Rule ID 16884 //
     /* 1195607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195646 */     // MIs[0] round
     /* 1195646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195681 */     // GIR_Coverage, 16884,
     /* 1195681 */     GIR_EraseRootFromParent_Done,
     /* 1195682 */   // Label 17363: @1195682
     /* 1195682 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195762), // Rule ID 16885 //
     /* 1195687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195726 */     // MIs[0] round
     /* 1195726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195761 */     // GIR_Coverage, 16885,
     /* 1195761 */     GIR_EraseRootFromParent_Done,
     /* 1195762 */   // Label 17364: @1195762
     /* 1195762 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195842), // Rule ID 16888 //
     /* 1195767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195806 */     // MIs[0] round
     /* 1195806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195816 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195841 */     // GIR_Coverage, 16888,
     /* 1195841 */     GIR_EraseRootFromParent_Done,
     /* 1195842 */   // Label 17365: @1195842
     /* 1195842 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195922), // Rule ID 16889 //
     /* 1195847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195886 */     // MIs[0] round
     /* 1195886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195896 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195921 */     // GIR_Coverage, 16889,
     /* 1195921 */     GIR_EraseRootFromParent_Done,
     /* 1195922 */   // Label 17366: @1195922
     /* 1195922 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1196002), // Rule ID 16892 //
     /* 1195927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195966 */     // MIs[0] round
     /* 1195966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195976 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1195979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196001 */     // GIR_Coverage, 16892,
     /* 1196001 */     GIR_EraseRootFromParent_Done,
     /* 1196002 */   // Label 17367: @1196002
     /* 1196002 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1196082), // Rule ID 16893 //
     /* 1196007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1196027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196046 */     // MIs[0] round
     /* 1196046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196056 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1196059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196081 */     // GIR_Coverage, 16893,
     /* 1196081 */     GIR_EraseRootFromParent_Done,
     /* 1196082 */   // Label 17368: @1196082
     /* 1196082 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1196162), // Rule ID 16896 //
     /* 1196087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1196107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196126 */     // MIs[0] round
     /* 1196126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196136 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1196139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196161 */     // GIR_Coverage, 16896,
     /* 1196161 */     GIR_EraseRootFromParent_Done,
     /* 1196162 */   // Label 17369: @1196162
     /* 1196162 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1196242), // Rule ID 16897 //
     /* 1196167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1196187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196206 */     // MIs[0] round
     /* 1196206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196216 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1196219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196241 */     // GIR_Coverage, 16897,
     /* 1196241 */     GIR_EraseRootFromParent_Done,
     /* 1196242 */   // Label 17370: @1196242
     /* 1196242 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1196322), // Rule ID 16900 //
     /* 1196247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1196267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196286 */     // MIs[0] round
     /* 1196286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1196299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196321 */     // GIR_Coverage, 16900,
     /* 1196321 */     GIR_EraseRootFromParent_Done,
     /* 1196322 */   // Label 17371: @1196322
     /* 1196322 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1196402), // Rule ID 16901 //
     /* 1196327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1196347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196366 */     // MIs[0] round
     /* 1196366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1196379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196401 */     // GIR_Coverage, 16901,
     /* 1196401 */     GIR_EraseRootFromParent_Done,
     /* 1196402 */   // Label 17372: @1196402
     /* 1196402 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1196482), // Rule ID 16904 //
     /* 1196407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1196427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196446 */     // MIs[0] round
     /* 1196446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196456 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196481 */     // GIR_Coverage, 16904,
     /* 1196481 */     GIR_EraseRootFromParent_Done,
     /* 1196482 */   // Label 17373: @1196482
     /* 1196482 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1196562), // Rule ID 16905 //
     /* 1196487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1196507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196526 */     // MIs[0] round
     /* 1196526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196536 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196561 */     // GIR_Coverage, 16905,
     /* 1196561 */     GIR_EraseRootFromParent_Done,
     /* 1196562 */   // Label 17374: @1196562
     /* 1196562 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1196642), // Rule ID 16908 //
     /* 1196567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196606 */     // MIs[0] round
     /* 1196606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196641 */     // GIR_Coverage, 16908,
     /* 1196641 */     GIR_EraseRootFromParent_Done,
     /* 1196642 */   // Label 17375: @1196642
     /* 1196642 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196722), // Rule ID 16909 //
     /* 1196647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196686 */     // MIs[0] round
     /* 1196686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196696 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196721 */     // GIR_Coverage, 16909,
     /* 1196721 */     GIR_EraseRootFromParent_Done,
     /* 1196722 */   // Label 17376: @1196722
     /* 1196722 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196802), // Rule ID 16912 //
     /* 1196727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196766 */     // MIs[0] round
     /* 1196766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196776 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196801 */     // GIR_Coverage, 16912,
     /* 1196801 */     GIR_EraseRootFromParent_Done,
     /* 1196802 */   // Label 17377: @1196802
     /* 1196802 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196882), // Rule ID 16913 //
     /* 1196807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196846 */     // MIs[0] round
     /* 1196846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196856 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196881 */     // GIR_Coverage, 16913,
     /* 1196881 */     GIR_EraseRootFromParent_Done,
     /* 1196882 */   // Label 17378: @1196882
     /* 1196882 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196962), // Rule ID 16916 //
     /* 1196887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196926 */     // MIs[0] round
     /* 1196926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1196939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196961 */     // GIR_Coverage, 16916,
     /* 1196961 */     GIR_EraseRootFromParent_Done,
     /* 1196962 */   // Label 17379: @1196962
     /* 1196962 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1197042), // Rule ID 16917 //
     /* 1196967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197006 */     // MIs[0] round
     /* 1197006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197016 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1197019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197041 */     // GIR_Coverage, 16917,
     /* 1197041 */     GIR_EraseRootFromParent_Done,
     /* 1197042 */   // Label 17380: @1197042
     /* 1197042 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1197122), // Rule ID 16920 //
     /* 1197047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197086 */     // MIs[0] round
     /* 1197086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1197099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197121 */     // GIR_Coverage, 16920,
     /* 1197121 */     GIR_EraseRootFromParent_Done,
     /* 1197122 */   // Label 17381: @1197122
     /* 1197122 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1197202), // Rule ID 16921 //
     /* 1197127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197166 */     // MIs[0] round
     /* 1197166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1197179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197201 */     // GIR_Coverage, 16921,
     /* 1197201 */     GIR_EraseRootFromParent_Done,
     /* 1197202 */   // Label 17382: @1197202
     /* 1197202 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1197282), // Rule ID 16924 //
     /* 1197207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197246 */     // MIs[0] round
     /* 1197246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197256 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1197259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197281 */     // GIR_Coverage, 16924,
     /* 1197281 */     GIR_EraseRootFromParent_Done,
     /* 1197282 */   // Label 17383: @1197282
     /* 1197282 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1197362), // Rule ID 16925 //
     /* 1197287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197326 */     // MIs[0] round
     /* 1197326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197336 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1197339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197361 */     // GIR_Coverage, 16925,
     /* 1197361 */     GIR_EraseRootFromParent_Done,
     /* 1197362 */   // Label 17384: @1197362
     /* 1197362 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1197442), // Rule ID 16928 //
     /* 1197367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197406 */     // MIs[0] round
     /* 1197406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197416 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1197419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197441 */     // GIR_Coverage, 16928,
     /* 1197441 */     GIR_EraseRootFromParent_Done,
     /* 1197442 */   // Label 17385: @1197442
     /* 1197442 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1197522), // Rule ID 16929 //
     /* 1197447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197486 */     // MIs[0] round
     /* 1197486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197496 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1197499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197521 */     // GIR_Coverage, 16929,
     /* 1197521 */     GIR_EraseRootFromParent_Done,
     /* 1197522 */   // Label 17386: @1197522
     /* 1197522 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1197602), // Rule ID 16932 //
     /* 1197527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197566 */     // MIs[0] round
     /* 1197566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197576 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197601 */     // GIR_Coverage, 16932,
     /* 1197601 */     GIR_EraseRootFromParent_Done,
     /* 1197602 */   // Label 17387: @1197602
     /* 1197602 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197682), // Rule ID 16933 //
     /* 1197607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197646 */     // MIs[0] round
     /* 1197646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197681 */     // GIR_Coverage, 16933,
     /* 1197681 */     GIR_EraseRootFromParent_Done,
     /* 1197682 */   // Label 17388: @1197682
     /* 1197682 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197762), // Rule ID 16936 //
     /* 1197687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197726 */     // MIs[0] round
     /* 1197726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197761 */     // GIR_Coverage, 16936,
     /* 1197761 */     GIR_EraseRootFromParent_Done,
     /* 1197762 */   // Label 17389: @1197762
     /* 1197762 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197842), // Rule ID 16937 //
     /* 1197767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197806 */     // MIs[0] round
     /* 1197806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197841 */     // GIR_Coverage, 16937,
     /* 1197841 */     GIR_EraseRootFromParent_Done,
     /* 1197842 */   // Label 17390: @1197842
     /* 1197842 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197922), // Rule ID 16940 //
     /* 1197847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197886 */     // MIs[0] round
     /* 1197886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197921 */     // GIR_Coverage, 16940,
     /* 1197921 */     GIR_EraseRootFromParent_Done,
     /* 1197922 */   // Label 17391: @1197922
     /* 1197922 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1198002), // Rule ID 16941 //
     /* 1197927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197966 */     // MIs[0] round
     /* 1197966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197976 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198001 */     // GIR_Coverage, 16941,
     /* 1198001 */     GIR_EraseRootFromParent_Done,
     /* 1198002 */   // Label 17392: @1198002
     /* 1198002 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1198082), // Rule ID 16944 //
     /* 1198007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1198018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1198021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198046 */     // MIs[0] round
     /* 1198046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198056 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1198059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198081 */     // GIR_Coverage, 16944,
     /* 1198081 */     GIR_EraseRootFromParent_Done,
     /* 1198082 */   // Label 17393: @1198082
     /* 1198082 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1198162), // Rule ID 16945 //
     /* 1198087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1198098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1198101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198126 */     // MIs[0] round
     /* 1198126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198136 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1198139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198161 */     // GIR_Coverage, 16945,
     /* 1198161 */     GIR_EraseRootFromParent_Done,
     /* 1198162 */   // Label 17394: @1198162
     /* 1198162 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1198242), // Rule ID 16948 //
     /* 1198167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1198178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1198181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198206 */     // MIs[0] round
     /* 1198206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198216 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1198219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198241 */     // GIR_Coverage, 16948,
     /* 1198241 */     GIR_EraseRootFromParent_Done,
     /* 1198242 */   // Label 17395: @1198242
     /* 1198242 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1198322), // Rule ID 16949 //
     /* 1198247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1198258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1198261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198286 */     // MIs[0] round
     /* 1198286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198296 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1198299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198321 */     // GIR_Coverage, 16949,
     /* 1198321 */     GIR_EraseRootFromParent_Done,
     /* 1198322 */   // Label 17396: @1198322
     /* 1198322 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1198402), // Rule ID 16952 //
     /* 1198327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1198347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198366 */     // MIs[0] round
     /* 1198366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198376 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1198379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198401 */     // GIR_Coverage, 16952,
     /* 1198401 */     GIR_EraseRootFromParent_Done,
     /* 1198402 */   // Label 17397: @1198402
     /* 1198402 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1198482), // Rule ID 16953 //
     /* 1198407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1198427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198446 */     // MIs[0] round
     /* 1198446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1198459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198481 */     // GIR_Coverage, 16953,
     /* 1198481 */     GIR_EraseRootFromParent_Done,
     /* 1198482 */   // Label 17398: @1198482
     /* 1198482 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1198562), // Rule ID 16956 //
     /* 1198487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198526 */     // MIs[0] round
     /* 1198526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198561 */     // GIR_Coverage, 16956,
     /* 1198561 */     GIR_EraseRootFromParent_Done,
     /* 1198562 */   // Label 17399: @1198562
     /* 1198562 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1198642), // Rule ID 16957 //
     /* 1198567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198606 */     // MIs[0] round
     /* 1198606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198641 */     // GIR_Coverage, 16957,
     /* 1198641 */     GIR_EraseRootFromParent_Done,
     /* 1198642 */   // Label 17400: @1198642
     /* 1198642 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198722), // Rule ID 16960 //
     /* 1198647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198686 */     // MIs[0] round
     /* 1198686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198721 */     // GIR_Coverage, 16960,
     /* 1198721 */     GIR_EraseRootFromParent_Done,
     /* 1198722 */   // Label 17401: @1198722
     /* 1198722 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198802), // Rule ID 16961 //
     /* 1198727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198766 */     // MIs[0] round
     /* 1198766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198801 */     // GIR_Coverage, 16961,
     /* 1198801 */     GIR_EraseRootFromParent_Done,
     /* 1198802 */   // Label 17402: @1198802
     /* 1198802 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198882), // Rule ID 16964 //
     /* 1198807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198846 */     // MIs[0] round
     /* 1198846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198856 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198881 */     // GIR_Coverage, 16964,
     /* 1198881 */     GIR_EraseRootFromParent_Done,
     /* 1198882 */   // Label 17403: @1198882
     /* 1198882 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198962), // Rule ID 16965 //
     /* 1198887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198926 */     // MIs[0] round
     /* 1198926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198936 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198961 */     // GIR_Coverage, 16965,
     /* 1198961 */     GIR_EraseRootFromParent_Done,
     /* 1198962 */   // Label 17404: @1198962
     /* 1198962 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1199042), // Rule ID 16968 //
     /* 1198967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199006 */     // MIs[0] round
     /* 1199006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1199019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199041 */     // GIR_Coverage, 16968,
     /* 1199041 */     GIR_EraseRootFromParent_Done,
     /* 1199042 */   // Label 17405: @1199042
     /* 1199042 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1199122), // Rule ID 16969 //
     /* 1199047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1199064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1199067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199086 */     // MIs[0] round
     /* 1199086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1199099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199121 */     // GIR_Coverage, 16969,
     /* 1199121 */     GIR_EraseRootFromParent_Done,
     /* 1199122 */   // Label 17406: @1199122
     /* 1199122 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1199202), // Rule ID 16972 //
     /* 1199127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1199138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1199141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1199147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199166 */     // MIs[0] round
     /* 1199166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1199179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199201 */     // GIR_Coverage, 16972,
     /* 1199201 */     GIR_EraseRootFromParent_Done,
     /* 1199202 */   // Label 17407: @1199202
     /* 1199202 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1199282), // Rule ID 16973 //
     /* 1199207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1199218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1199221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1199227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199246 */     // MIs[0] round
     /* 1199246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1199259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199281 */     // GIR_Coverage, 16973,
     /* 1199281 */     GIR_EraseRootFromParent_Done,
     /* 1199282 */   // Label 17408: @1199282
     /* 1199282 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1199362), // Rule ID 16976 //
     /* 1199287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1199307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199326 */     // MIs[0] round
     /* 1199326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199336 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1199339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199361 */     // GIR_Coverage, 16976,
     /* 1199361 */     GIR_EraseRootFromParent_Done,
     /* 1199362 */   // Label 17409: @1199362
     /* 1199362 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1199442), // Rule ID 16977 //
     /* 1199367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1199387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199406 */     // MIs[0] round
     /* 1199406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199416 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1199419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199441 */     // GIR_Coverage, 16977,
     /* 1199441 */     GIR_EraseRootFromParent_Done,
     /* 1199442 */   // Label 17410: @1199442
     /* 1199442 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1199522), // Rule ID 16980 //
     /* 1199447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199486 */     // MIs[0] round
     /* 1199486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199521 */     // GIR_Coverage, 16980,
     /* 1199521 */     GIR_EraseRootFromParent_Done,
     /* 1199522 */   // Label 17411: @1199522
     /* 1199522 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1199602), // Rule ID 16981 //
     /* 1199527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199566 */     // MIs[0] round
     /* 1199566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199601 */     // GIR_Coverage, 16981,
     /* 1199601 */     GIR_EraseRootFromParent_Done,
     /* 1199602 */   // Label 17412: @1199602
     /* 1199602 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199682), // Rule ID 16984 //
     /* 1199607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199646 */     // MIs[0] round
     /* 1199646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199681 */     // GIR_Coverage, 16984,
     /* 1199681 */     GIR_EraseRootFromParent_Done,
     /* 1199682 */   // Label 17413: @1199682
     /* 1199682 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199762), // Rule ID 16985 //
     /* 1199687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199726 */     // MIs[0] round
     /* 1199726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199736 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199761 */     // GIR_Coverage, 16985,
     /* 1199761 */     GIR_EraseRootFromParent_Done,
     /* 1199762 */   // Label 17414: @1199762
     /* 1199762 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199842), // Rule ID 16988 //
     /* 1199767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199806 */     // MIs[0] round
     /* 1199806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199841 */     // GIR_Coverage, 16988,
     /* 1199841 */     GIR_EraseRootFromParent_Done,
     /* 1199842 */   // Label 17415: @1199842
     /* 1199842 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199922), // Rule ID 16989 //
     /* 1199847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199886 */     // MIs[0] round
     /* 1199886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199921 */     // GIR_Coverage, 16989,
     /* 1199921 */     GIR_EraseRootFromParent_Done,
     /* 1199922 */   // Label 17416: @1199922
     /* 1199922 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1200002), // Rule ID 16992 //
     /* 1199927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199966 */     // MIs[0] round
     /* 1199966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1199979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200001 */     // GIR_Coverage, 16992,
     /* 1200001 */     GIR_EraseRootFromParent_Done,
     /* 1200002 */   // Label 17417: @1200002
     /* 1200002 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1200082), // Rule ID 16993 //
     /* 1200007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1200024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200046 */     // MIs[0] round
     /* 1200046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1200059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200081 */     // GIR_Coverage, 16993,
     /* 1200081 */     GIR_EraseRootFromParent_Done,
     /* 1200082 */   // Label 17418: @1200082
     /* 1200082 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1200162), // Rule ID 16996 //
     /* 1200087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200126 */     // MIs[0] round
     /* 1200126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200136 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1200139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200161 */     // GIR_Coverage, 16996,
     /* 1200161 */     GIR_EraseRootFromParent_Done,
     /* 1200162 */   // Label 17419: @1200162
     /* 1200162 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1200242), // Rule ID 16997 //
     /* 1200167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200206 */     // MIs[0] round
     /* 1200206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1200219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200241 */     // GIR_Coverage, 16997,
     /* 1200241 */     GIR_EraseRootFromParent_Done,
     /* 1200242 */   // Label 17420: @1200242
     /* 1200242 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1200322), // Rule ID 17000 //
     /* 1200247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200286 */     // MIs[0] round
     /* 1200286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200296 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1200299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200321 */     // GIR_Coverage, 17000,
     /* 1200321 */     GIR_EraseRootFromParent_Done,
     /* 1200322 */   // Label 17421: @1200322
     /* 1200322 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1200402), // Rule ID 17001 //
     /* 1200327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200366 */     // MIs[0] round
     /* 1200366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1200379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200401 */     // GIR_Coverage, 17001,
     /* 1200401 */     GIR_EraseRootFromParent_Done,
     /* 1200402 */   // Label 17422: @1200402
     /* 1200402 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1200482), // Rule ID 17004 //
     /* 1200407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200446 */     // MIs[0] round
     /* 1200446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200481 */     // GIR_Coverage, 17004,
     /* 1200481 */     GIR_EraseRootFromParent_Done,
     /* 1200482 */   // Label 17423: @1200482
     /* 1200482 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1200562), // Rule ID 17005 //
     /* 1200487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200526 */     // MIs[0] round
     /* 1200526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200536 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200561 */     // GIR_Coverage, 17005,
     /* 1200561 */     GIR_EraseRootFromParent_Done,
     /* 1200562 */   // Label 17424: @1200562
     /* 1200562 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1200642), // Rule ID 17008 //
     /* 1200567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200606 */     // MIs[0] round
     /* 1200606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200616 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200641 */     // GIR_Coverage, 17008,
     /* 1200641 */     GIR_EraseRootFromParent_Done,
     /* 1200642 */   // Label 17425: @1200642
     /* 1200642 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200722), // Rule ID 17009 //
     /* 1200647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200686 */     // MIs[0] round
     /* 1200686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200696 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200721 */     // GIR_Coverage, 17009,
     /* 1200721 */     GIR_EraseRootFromParent_Done,
     /* 1200722 */   // Label 17426: @1200722
     /* 1200722 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200802), // Rule ID 17012 //
     /* 1200727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200766 */     // MIs[0] round
     /* 1200766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200801 */     // GIR_Coverage, 17012,
     /* 1200801 */     GIR_EraseRootFromParent_Done,
     /* 1200802 */   // Label 17427: @1200802
     /* 1200802 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200882), // Rule ID 17013 //
     /* 1200807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200846 */     // MIs[0] round
     /* 1200846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200881 */     // GIR_Coverage, 17013,
     /* 1200881 */     GIR_EraseRootFromParent_Done,
     /* 1200882 */   // Label 17428: @1200882
     /* 1200882 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200962), // Rule ID 17016 //
     /* 1200887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200926 */     // MIs[0] round
     /* 1200926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200936 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1200939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200961 */     // GIR_Coverage, 17016,
     /* 1200961 */     GIR_EraseRootFromParent_Done,
     /* 1200962 */   // Label 17429: @1200962
     /* 1200962 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1201042), // Rule ID 17017 //
     /* 1200967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201006 */     // MIs[0] round
     /* 1201006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201016 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1201019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201041 */     // GIR_Coverage, 17017,
     /* 1201041 */     GIR_EraseRootFromParent_Done,
     /* 1201042 */   // Label 17430: @1201042
     /* 1201042 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1201122), // Rule ID 17020 //
     /* 1201047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1201055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201086 */     // MIs[0] round
     /* 1201086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201096 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1201099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201121 */     // GIR_Coverage, 17020,
     /* 1201121 */     GIR_EraseRootFromParent_Done,
     /* 1201122 */   // Label 17431: @1201122
     /* 1201122 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1201202), // Rule ID 17021 //
     /* 1201127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1201135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201166 */     // MIs[0] round
     /* 1201166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201176 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1201179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201201 */     // GIR_Coverage, 17021,
     /* 1201201 */     GIR_EraseRootFromParent_Done,
     /* 1201202 */   // Label 17432: @1201202
     /* 1201202 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1201282), // Rule ID 17026 //
     /* 1201207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1201227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201246 */     // MIs[0] round
     /* 1201246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1201259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201281 */     // GIR_Coverage, 17026,
     /* 1201281 */     GIR_EraseRootFromParent_Done,
     /* 1201282 */   // Label 17433: @1201282
     /* 1201282 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1201362), // Rule ID 17027 //
     /* 1201287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1201307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201326 */     // MIs[0] round
     /* 1201326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1201339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201361 */     // GIR_Coverage, 17027,
     /* 1201361 */     GIR_EraseRootFromParent_Done,
     /* 1201362 */   // Label 17434: @1201362
     /* 1201362 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1201442), // Rule ID 17036 //
     /* 1201367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201406 */     // MIs[0] round
     /* 1201406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201416 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1201419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201441 */     // GIR_Coverage, 17036,
     /* 1201441 */     GIR_EraseRootFromParent_Done,
     /* 1201442 */   // Label 17435: @1201442
     /* 1201442 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1201522), // Rule ID 17037 //
     /* 1201447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201486 */     // MIs[0] round
     /* 1201486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201496 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1201499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201521 */     // GIR_Coverage, 17037,
     /* 1201521 */     GIR_EraseRootFromParent_Done,
     /* 1201522 */   // Label 17436: @1201522
     /* 1201522 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1201602), // Rule ID 17046 //
     /* 1201527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201566 */     // MIs[0] round
     /* 1201566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201601 */     // GIR_Coverage, 17046,
     /* 1201601 */     GIR_EraseRootFromParent_Done,
     /* 1201602 */   // Label 17437: @1201602
     /* 1201602 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201682), // Rule ID 17047 //
     /* 1201607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201646 */     // MIs[0] round
     /* 1201646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201681 */     // GIR_Coverage, 17047,
     /* 1201681 */     GIR_EraseRootFromParent_Done,
     /* 1201682 */   // Label 17438: @1201682
     /* 1201682 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201762), // Rule ID 17056 //
     /* 1201687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201726 */     // MIs[0] round
     /* 1201726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201736 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201761 */     // GIR_Coverage, 17056,
     /* 1201761 */     GIR_EraseRootFromParent_Done,
     /* 1201762 */   // Label 17439: @1201762
     /* 1201762 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201842), // Rule ID 17057 //
     /* 1201767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201806 */     // MIs[0] round
     /* 1201806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201841 */     // GIR_Coverage, 17057,
     /* 1201841 */     GIR_EraseRootFromParent_Done,
     /* 1201842 */   // Label 17440: @1201842
     /* 1201842 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201922), // Rule ID 17066 //
     /* 1201847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201886 */     // MIs[0] round
     /* 1201886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201921 */     // GIR_Coverage, 17066,
     /* 1201921 */     GIR_EraseRootFromParent_Done,
     /* 1201922 */   // Label 17441: @1201922
     /* 1201922 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1202002), // Rule ID 17067 //
     /* 1201927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201966 */     // MIs[0] round
     /* 1201966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202001 */     // GIR_Coverage, 17067,
     /* 1202001 */     GIR_EraseRootFromParent_Done,
     /* 1202002 */   // Label 17442: @1202002
     /* 1202002 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1202082), // Rule ID 17076 //
     /* 1202007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1202024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1202027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202046 */     // MIs[0] round
     /* 1202046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202056 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1202059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202081 */     // GIR_Coverage, 17076,
     /* 1202081 */     GIR_EraseRootFromParent_Done,
     /* 1202082 */   // Label 17443: @1202082
     /* 1202082 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1202162), // Rule ID 17077 //
     /* 1202087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1202104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1202107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202126 */     // MIs[0] round
     /* 1202126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202136 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1202139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202161 */     // GIR_Coverage, 17077,
     /* 1202161 */     GIR_EraseRootFromParent_Done,
     /* 1202162 */   // Label 17444: @1202162
     /* 1202162 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1202242), // Rule ID 17086 //
     /* 1202167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1202184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1202187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202206 */     // MIs[0] round
     /* 1202206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202216 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1202219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202241 */     // GIR_Coverage, 17086,
     /* 1202241 */     GIR_EraseRootFromParent_Done,
     /* 1202242 */   // Label 17445: @1202242
     /* 1202242 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1202322), // Rule ID 17087 //
     /* 1202247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1202264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1202267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202286 */     // MIs[0] round
     /* 1202286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202296 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1202299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202321 */     // GIR_Coverage, 17087,
     /* 1202321 */     GIR_EraseRootFromParent_Done,
     /* 1202322 */   // Label 17446: @1202322
     /* 1202322 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1202402), // Rule ID 17096 //
     /* 1202327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1202347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202366 */     // MIs[0] round
     /* 1202366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202376 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1202379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202401 */     // GIR_Coverage, 17096,
     /* 1202401 */     GIR_EraseRootFromParent_Done,
     /* 1202402 */   // Label 17447: @1202402
     /* 1202402 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1202482), // Rule ID 17097 //
     /* 1202407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1202427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202446 */     // MIs[0] round
     /* 1202446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1202459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202481 */     // GIR_Coverage, 17097,
     /* 1202481 */     GIR_EraseRootFromParent_Done,
     /* 1202482 */   // Label 17448: @1202482
     /* 1202482 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1202562), // Rule ID 17104 //
     /* 1202487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202526 */     // MIs[0] round
     /* 1202526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202536 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202561 */     // GIR_Coverage, 17104,
     /* 1202561 */     GIR_EraseRootFromParent_Done,
     /* 1202562 */   // Label 17449: @1202562
     /* 1202562 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1202642), // Rule ID 17105 //
     /* 1202567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202606 */     // MIs[0] round
     /* 1202606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202641 */     // GIR_Coverage, 17105,
     /* 1202641 */     GIR_EraseRootFromParent_Done,
     /* 1202642 */   // Label 17450: @1202642
     /* 1202642 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202722), // Rule ID 17108 //
     /* 1202647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202686 */     // MIs[0] round
     /* 1202686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202721 */     // GIR_Coverage, 17108,
     /* 1202721 */     GIR_EraseRootFromParent_Done,
     /* 1202722 */   // Label 17451: @1202722
     /* 1202722 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202802), // Rule ID 17109 //
     /* 1202727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202766 */     // MIs[0] round
     /* 1202766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202801 */     // GIR_Coverage, 17109,
     /* 1202801 */     GIR_EraseRootFromParent_Done,
     /* 1202802 */   // Label 17452: @1202802
     /* 1202802 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202882), // Rule ID 17112 //
     /* 1202807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202846 */     // MIs[0] round
     /* 1202846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202881 */     // GIR_Coverage, 17112,
     /* 1202881 */     GIR_EraseRootFromParent_Done,
     /* 1202882 */   // Label 17453: @1202882
     /* 1202882 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202962), // Rule ID 17113 //
     /* 1202887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202926 */     // MIs[0] round
     /* 1202926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202936 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202961 */     // GIR_Coverage, 17113,
     /* 1202961 */     GIR_EraseRootFromParent_Done,
     /* 1202962 */   // Label 17454: @1202962
     /* 1202962 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1203042), // Rule ID 17116 //
     /* 1202967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203006 */     // MIs[0] round
     /* 1203006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1203019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203041 */     // GIR_Coverage, 17116,
     /* 1203041 */     GIR_EraseRootFromParent_Done,
     /* 1203042 */   // Label 17455: @1203042
     /* 1203042 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1203122), // Rule ID 17117 //
     /* 1203047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203086 */     // MIs[0] round
     /* 1203086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1203099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203121 */     // GIR_Coverage, 17117,
     /* 1203121 */     GIR_EraseRootFromParent_Done,
     /* 1203122 */   // Label 17456: @1203122
     /* 1203122 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1203202), // Rule ID 17120 //
     /* 1203127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1203144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203166 */     // MIs[0] round
     /* 1203166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203176 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1203179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203201 */     // GIR_Coverage, 17120,
     /* 1203201 */     GIR_EraseRootFromParent_Done,
     /* 1203202 */   // Label 17457: @1203202
     /* 1203202 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1203282), // Rule ID 17121 //
     /* 1203207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1203224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203246 */     // MIs[0] round
     /* 1203246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203256 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1203259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203281 */     // GIR_Coverage, 17121,
     /* 1203281 */     GIR_EraseRootFromParent_Done,
     /* 1203282 */   // Label 17458: @1203282
     /* 1203282 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1203362), // Rule ID 17124 //
     /* 1203287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203326 */     // MIs[0] round
     /* 1203326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1203339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203361 */     // GIR_Coverage, 17124,
     /* 1203361 */     GIR_EraseRootFromParent_Done,
     /* 1203362 */   // Label 17459: @1203362
     /* 1203362 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1203442), // Rule ID 17125 //
     /* 1203367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203406 */     // MIs[0] round
     /* 1203406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203416 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1203419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203441 */     // GIR_Coverage, 17125,
     /* 1203441 */     GIR_EraseRootFromParent_Done,
     /* 1203442 */   // Label 17460: @1203442
     /* 1203442 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1203522), // Rule ID 17128 //
     /* 1203447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203486 */     // MIs[0] round
     /* 1203486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203496 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203521 */     // GIR_Coverage, 17128,
     /* 1203521 */     GIR_EraseRootFromParent_Done,
     /* 1203522 */   // Label 17461: @1203522
     /* 1203522 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1203602), // Rule ID 17129 //
     /* 1203527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203566 */     // MIs[0] round
     /* 1203566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203576 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203601 */     // GIR_Coverage, 17129,
     /* 1203601 */     GIR_EraseRootFromParent_Done,
     /* 1203602 */   // Label 17462: @1203602
     /* 1203602 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203682), // Rule ID 17132 //
     /* 1203607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203646 */     // MIs[0] round
     /* 1203646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203681 */     // GIR_Coverage, 17132,
     /* 1203681 */     GIR_EraseRootFromParent_Done,
     /* 1203682 */   // Label 17463: @1203682
     /* 1203682 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203762), // Rule ID 17133 //
     /* 1203687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203726 */     // MIs[0] round
     /* 1203726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203761 */     // GIR_Coverage, 17133,
     /* 1203761 */     GIR_EraseRootFromParent_Done,
     /* 1203762 */   // Label 17464: @1203762
     /* 1203762 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203842), // Rule ID 17136 //
     /* 1203767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203806 */     // MIs[0] round
     /* 1203806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203841 */     // GIR_Coverage, 17136,
     /* 1203841 */     GIR_EraseRootFromParent_Done,
     /* 1203842 */   // Label 17465: @1203842
     /* 1203842 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203922), // Rule ID 17137 //
     /* 1203847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203886 */     // MIs[0] round
     /* 1203886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203896 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203921 */     // GIR_Coverage, 17137,
     /* 1203921 */     GIR_EraseRootFromParent_Done,
     /* 1203922 */   // Label 17466: @1203922
     /* 1203922 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1204002), // Rule ID 17142 //
     /* 1203927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203966 */     // MIs[0] round
     /* 1203966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1203979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204001 */     // GIR_Coverage, 17142,
     /* 1204001 */     GIR_EraseRootFromParent_Done,
     /* 1204002 */   // Label 17467: @1204002
     /* 1204002 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1204082), // Rule ID 17143 //
     /* 1204007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1204027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204046 */     // MIs[0] round
     /* 1204046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204056 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1204059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204081 */     // GIR_Coverage, 17143,
     /* 1204081 */     GIR_EraseRootFromParent_Done,
     /* 1204082 */   // Label 17468: @1204082
     /* 1204082 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1204162), // Rule ID 17152 //
     /* 1204087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1204107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204126 */     // MIs[0] round
     /* 1204126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1204139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204161 */     // GIR_Coverage, 17152,
     /* 1204161 */     GIR_EraseRootFromParent_Done,
     /* 1204162 */   // Label 17469: @1204162
     /* 1204162 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1204242), // Rule ID 17153 //
     /* 1204167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1204187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204206 */     // MIs[0] round
     /* 1204206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1204219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204241 */     // GIR_Coverage, 17153,
     /* 1204241 */     GIR_EraseRootFromParent_Done,
     /* 1204242 */   // Label 17470: @1204242
     /* 1204242 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1204322), // Rule ID 17162 //
     /* 1204247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1204267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204286 */     // MIs[0] round
     /* 1204286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204296 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1204299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204321 */     // GIR_Coverage, 17162,
     /* 1204321 */     GIR_EraseRootFromParent_Done,
     /* 1204322 */   // Label 17471: @1204322
     /* 1204322 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1204402), // Rule ID 17163 //
     /* 1204327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1204347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204366 */     // MIs[0] round
     /* 1204366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1204379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204401 */     // GIR_Coverage, 17163,
     /* 1204401 */     GIR_EraseRootFromParent_Done,
     /* 1204402 */   // Label 17472: @1204402
     /* 1204402 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1204482), // Rule ID 17172 //
     /* 1204407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204446 */     // MIs[0] round
     /* 1204446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204481 */     // GIR_Coverage, 17172,
     /* 1204481 */     GIR_EraseRootFromParent_Done,
     /* 1204482 */   // Label 17473: @1204482
     /* 1204482 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1204562), // Rule ID 17173 //
     /* 1204487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204526 */     // MIs[0] round
     /* 1204526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204536 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204561 */     // GIR_Coverage, 17173,
     /* 1204561 */     GIR_EraseRootFromParent_Done,
     /* 1204562 */   // Label 17474: @1204562
     /* 1204562 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1204642), // Rule ID 17182 //
     /* 1204567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204606 */     // MIs[0] round
     /* 1204606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204616 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204641 */     // GIR_Coverage, 17182,
     /* 1204641 */     GIR_EraseRootFromParent_Done,
     /* 1204642 */   // Label 17475: @1204642
     /* 1204642 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204722), // Rule ID 17183 //
     /* 1204647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204686 */     // MIs[0] round
     /* 1204686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204696 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204721 */     // GIR_Coverage, 17183,
     /* 1204721 */     GIR_EraseRootFromParent_Done,
     /* 1204722 */   // Label 17476: @1204722
     /* 1204722 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204802), // Rule ID 17192 //
     /* 1204727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204766 */     // MIs[0] round
     /* 1204766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204776 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204801 */     // GIR_Coverage, 17192,
     /* 1204801 */     GIR_EraseRootFromParent_Done,
     /* 1204802 */   // Label 17477: @1204802
     /* 1204802 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204882), // Rule ID 17193 //
     /* 1204807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204846 */     // MIs[0] round
     /* 1204846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204881 */     // GIR_Coverage, 17193,
     /* 1204881 */     GIR_EraseRootFromParent_Done,
     /* 1204882 */   // Label 17478: @1204882
     /* 1204882 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204962), // Rule ID 17202 //
     /* 1204887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204926 */     // MIs[0] round
     /* 1204926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1204939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204961 */     // GIR_Coverage, 17202,
     /* 1204961 */     GIR_EraseRootFromParent_Done,
     /* 1204962 */   // Label 17479: @1204962
     /* 1204962 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1205042), // Rule ID 17203 //
     /* 1204967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205006 */     // MIs[0] round
     /* 1205006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1205019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205041 */     // GIR_Coverage, 17203,
     /* 1205041 */     GIR_EraseRootFromParent_Done,
     /* 1205042 */   // Label 17480: @1205042
     /* 1205042 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1205122), // Rule ID 17212 //
     /* 1205047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1205064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1205067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205086 */     // MIs[0] round
     /* 1205086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205096 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1205099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205121 */     // GIR_Coverage, 17212,
     /* 1205121 */     GIR_EraseRootFromParent_Done,
     /* 1205122 */   // Label 17481: @1205122
     /* 1205122 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1205202), // Rule ID 17213 //
     /* 1205127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1205144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1205147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205166 */     // MIs[0] round
     /* 1205166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1205179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205201 */     // GIR_Coverage, 17213,
     /* 1205201 */     GIR_EraseRootFromParent_Done,
     /* 1205202 */   // Label 17482: @1205202
     /* 1205202 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1205282), // Rule ID 17222 //
     /* 1205207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1205227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205246 */     // MIs[0] round
     /* 1205246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205256 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1205259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205281 */     // GIR_Coverage, 17222,
     /* 1205281 */     GIR_EraseRootFromParent_Done,
     /* 1205282 */   // Label 17483: @1205282
     /* 1205282 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1205362), // Rule ID 17223 //
     /* 1205287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1205307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205326 */     // MIs[0] round
     /* 1205326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205336 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1205339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205361 */     // GIR_Coverage, 17223,
     /* 1205361 */     GIR_EraseRootFromParent_Done,
     /* 1205362 */   // Label 17484: @1205362
     /* 1205362 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1205442), // Rule ID 17230 //
     /* 1205367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205406 */     // MIs[0] round
     /* 1205406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205416 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1205419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205441 */     // GIR_Coverage, 17230,
     /* 1205441 */     GIR_EraseRootFromParent_Done,
     /* 1205442 */   // Label 17485: @1205442
     /* 1205442 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1205522), // Rule ID 17231 //
     /* 1205447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205486 */     // MIs[0] round
     /* 1205486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205496 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1205499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205521 */     // GIR_Coverage, 17231,
     /* 1205521 */     GIR_EraseRootFromParent_Done,
     /* 1205522 */   // Label 17486: @1205522
     /* 1205522 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1205602), // Rule ID 17234 //
     /* 1205527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205566 */     // MIs[0] round
     /* 1205566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205601 */     // GIR_Coverage, 17234,
     /* 1205601 */     GIR_EraseRootFromParent_Done,
     /* 1205602 */   // Label 17487: @1205602
     /* 1205602 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205682), // Rule ID 17235 //
     /* 1205607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205646 */     // MIs[0] round
     /* 1205646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205681 */     // GIR_Coverage, 17235,
     /* 1205681 */     GIR_EraseRootFromParent_Done,
     /* 1205682 */   // Label 17488: @1205682
     /* 1205682 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205762), // Rule ID 17238 //
     /* 1205687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205726 */     // MIs[0] round
     /* 1205726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205761 */     // GIR_Coverage, 17238,
     /* 1205761 */     GIR_EraseRootFromParent_Done,
     /* 1205762 */   // Label 17489: @1205762
     /* 1205762 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205842), // Rule ID 17239 //
     /* 1205767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205806 */     // MIs[0] round
     /* 1205806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205816 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205841 */     // GIR_Coverage, 17239,
     /* 1205841 */     GIR_EraseRootFromParent_Done,
     /* 1205842 */   // Label 17490: @1205842
     /* 1205842 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205922), // Rule ID 17242 //
     /* 1205847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205886 */     // MIs[0] round
     /* 1205886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205896 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205921 */     // GIR_Coverage, 17242,
     /* 1205921 */     GIR_EraseRootFromParent_Done,
     /* 1205922 */   // Label 17491: @1205922
     /* 1205922 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1206002), // Rule ID 17243 //
     /* 1205927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205966 */     // MIs[0] round
     /* 1205966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205976 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206001 */     // GIR_Coverage, 17243,
     /* 1206001 */     GIR_EraseRootFromParent_Done,
     /* 1206002 */   // Label 17492: @1206002
     /* 1206002 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1206082), // Rule ID 17246 //
     /* 1206007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206046 */     // MIs[0] round
     /* 1206046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206056 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1206059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206081 */     // GIR_Coverage, 17246,
     /* 1206081 */     GIR_EraseRootFromParent_Done,
     /* 1206082 */   // Label 17493: @1206082
     /* 1206082 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1206162), // Rule ID 17247 //
     /* 1206087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206126 */     // MIs[0] round
     /* 1206126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206136 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1206139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206161 */     // GIR_Coverage, 17247,
     /* 1206161 */     GIR_EraseRootFromParent_Done,
     /* 1206162 */   // Label 17494: @1206162
     /* 1206162 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1206242), // Rule ID 17250 //
     /* 1206167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206206 */     // MIs[0] round
     /* 1206206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1206219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206241 */     // GIR_Coverage, 17250,
     /* 1206241 */     GIR_EraseRootFromParent_Done,
     /* 1206242 */   // Label 17495: @1206242
     /* 1206242 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1206322), // Rule ID 17251 //
     /* 1206247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206286 */     // MIs[0] round
     /* 1206286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1206299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206321 */     // GIR_Coverage, 17251,
     /* 1206321 */     GIR_EraseRootFromParent_Done,
     /* 1206322 */   // Label 17496: @1206322
     /* 1206322 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1206402), // Rule ID 17254 //
     /* 1206327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206366 */     // MIs[0] round
     /* 1206366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1206379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206401 */     // GIR_Coverage, 17254,
     /* 1206401 */     GIR_EraseRootFromParent_Done,
     /* 1206402 */   // Label 17497: @1206402
     /* 1206402 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1206482), // Rule ID 17255 //
     /* 1206407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206446 */     // MIs[0] round
     /* 1206446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206456 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1206459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206481 */     // GIR_Coverage, 17255,
     /* 1206481 */     GIR_EraseRootFromParent_Done,
     /* 1206482 */   // Label 17498: @1206482
     /* 1206482 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1206562), // Rule ID 17258 //
     /* 1206487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206526 */     // MIs[0] round
     /* 1206526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206536 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206561 */     // GIR_Coverage, 17258,
     /* 1206561 */     GIR_EraseRootFromParent_Done,
     /* 1206562 */   // Label 17499: @1206562
     /* 1206562 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1206642), // Rule ID 17259 //
     /* 1206567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206606 */     // MIs[0] round
     /* 1206606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206641 */     // GIR_Coverage, 17259,
     /* 1206641 */     GIR_EraseRootFromParent_Done,
     /* 1206642 */   // Label 17500: @1206642
     /* 1206642 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206722), // Rule ID 17262 //
     /* 1206647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206686 */     // MIs[0] round
     /* 1206686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206721 */     // GIR_Coverage, 17262,
     /* 1206721 */     GIR_EraseRootFromParent_Done,
     /* 1206722 */   // Label 17501: @1206722
     /* 1206722 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206802), // Rule ID 17263 //
     /* 1206727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206766 */     // MIs[0] round
     /* 1206766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206776 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206801 */     // GIR_Coverage, 17263,
     /* 1206801 */     GIR_EraseRootFromParent_Done,
     /* 1206802 */   // Label 17502: @1206802
     /* 1206802 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206882), // Rule ID 17266 //
     /* 1206807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206846 */     // MIs[0] round
     /* 1206846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206856 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206881 */     // GIR_Coverage, 17266,
     /* 1206881 */     GIR_EraseRootFromParent_Done,
     /* 1206882 */   // Label 17503: @1206882
     /* 1206882 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206962), // Rule ID 17267 //
     /* 1206887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206926 */     // MIs[0] round
     /* 1206926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206936 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206961 */     // GIR_Coverage, 17267,
     /* 1206961 */     GIR_EraseRootFromParent_Done,
     /* 1206962 */   // Label 17504: @1206962
     /* 1206962 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1207042), // Rule ID 17270 //
     /* 1206967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1206978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1206981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207006 */     // MIs[0] round
     /* 1207006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207016 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1207019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207041 */     // GIR_Coverage, 17270,
     /* 1207041 */     GIR_EraseRootFromParent_Done,
     /* 1207042 */   // Label 17505: @1207042
     /* 1207042 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1207122), // Rule ID 17271 //
     /* 1207047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1207058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1207061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1207067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207086 */     // MIs[0] round
     /* 1207086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207096 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1207099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207121 */     // GIR_Coverage, 17271,
     /* 1207121 */     GIR_EraseRootFromParent_Done,
     /* 1207122 */   // Label 17506: @1207122
     /* 1207122 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1207202), // Rule ID 17274 //
     /* 1207127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1207147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207166 */     // MIs[0] round
     /* 1207166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207176 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1207179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207201 */     // GIR_Coverage, 17274,
     /* 1207201 */     GIR_EraseRootFromParent_Done,
     /* 1207202 */   // Label 17507: @1207202
     /* 1207202 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1207282), // Rule ID 17275 //
     /* 1207207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1207227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207246 */     // MIs[0] round
     /* 1207246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1207259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207281 */     // GIR_Coverage, 17275,
     /* 1207281 */     GIR_EraseRootFromParent_Done,
     /* 1207282 */   // Label 17508: @1207282
     /* 1207282 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1207362), // Rule ID 17278 //
     /* 1207287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1207298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1207301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207326 */     // MIs[0] round
     /* 1207326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1207339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207361 */     // GIR_Coverage, 17278,
     /* 1207361 */     GIR_EraseRootFromParent_Done,
     /* 1207362 */   // Label 17509: @1207362
     /* 1207362 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1207442), // Rule ID 17279 //
     /* 1207367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1207378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1207381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207406 */     // MIs[0] round
     /* 1207406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1207419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207441 */     // GIR_Coverage, 17279,
     /* 1207441 */     GIR_EraseRootFromParent_Done,
     /* 1207442 */   // Label 17510: @1207442
     /* 1207442 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1207522), // Rule ID 17282 //
     /* 1207447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207486 */     // MIs[0] round
     /* 1207486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207521 */     // GIR_Coverage, 17282,
     /* 1207521 */     GIR_EraseRootFromParent_Done,
     /* 1207522 */   // Label 17511: @1207522
     /* 1207522 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1207602), // Rule ID 17283 //
     /* 1207527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207566 */     // MIs[0] round
     /* 1207566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207601 */     // GIR_Coverage, 17283,
     /* 1207601 */     GIR_EraseRootFromParent_Done,
     /* 1207602 */   // Label 17512: @1207602
     /* 1207602 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207682), // Rule ID 17286 //
     /* 1207607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207646 */     // MIs[0] round
     /* 1207646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207681 */     // GIR_Coverage, 17286,
     /* 1207681 */     GIR_EraseRootFromParent_Done,
     /* 1207682 */   // Label 17513: @1207682
     /* 1207682 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207762), // Rule ID 17287 //
     /* 1207687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207726 */     // MIs[0] round
     /* 1207726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207761 */     // GIR_Coverage, 17287,
     /* 1207761 */     GIR_EraseRootFromParent_Done,
     /* 1207762 */   // Label 17514: @1207762
     /* 1207762 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207842), // Rule ID 17290 //
     /* 1207767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207806 */     // MIs[0] round
     /* 1207806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207816 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207841 */     // GIR_Coverage, 17290,
     /* 1207841 */     GIR_EraseRootFromParent_Done,
     /* 1207842 */   // Label 17515: @1207842
     /* 1207842 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207922), // Rule ID 17291 //
     /* 1207847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207886 */     // MIs[0] round
     /* 1207886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207896 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207921 */     // GIR_Coverage, 17291,
     /* 1207921 */     GIR_EraseRootFromParent_Done,
     /* 1207922 */   // Label 17516: @1207922
     /* 1207922 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1208002), // Rule ID 17294 //
     /* 1207927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1207938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1207941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207966 */     // MIs[0] round
     /* 1207966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207976 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1207979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208001 */     // GIR_Coverage, 17294,
     /* 1208001 */     GIR_EraseRootFromParent_Done,
     /* 1208002 */   // Label 17517: @1208002
     /* 1208002 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1208082), // Rule ID 17295 //
     /* 1208007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1208018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1208021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1208024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1208027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208046 */     // MIs[0] round
     /* 1208046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208056 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1208059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208081 */     // GIR_Coverage, 17295,
     /* 1208081 */     GIR_EraseRootFromParent_Done,
     /* 1208082 */   // Label 17518: @1208082
     /* 1208082 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1208162), // Rule ID 17298 //
     /* 1208087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1208098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1208101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1208104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1208107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208126 */     // MIs[0] round
     /* 1208126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208136 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1208139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208161 */     // GIR_Coverage, 17298,
     /* 1208161 */     GIR_EraseRootFromParent_Done,
     /* 1208162 */   // Label 17519: @1208162
     /* 1208162 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1208242), // Rule ID 17299 //
     /* 1208167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1208178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1208181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1208184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1208187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208206 */     // MIs[0] round
     /* 1208206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208216 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1208219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208241 */     // GIR_Coverage, 17299,
     /* 1208241 */     GIR_EraseRootFromParent_Done,
     /* 1208242 */   // Label 17520: @1208242
     /* 1208242 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1208322), // Rule ID 17302 //
     /* 1208247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1208267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208286 */     // MIs[0] round
     /* 1208286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208296 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1208299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208321 */     // GIR_Coverage, 17302,
     /* 1208321 */     GIR_EraseRootFromParent_Done,
     /* 1208322 */   // Label 17521: @1208322
     /* 1208322 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1208402), // Rule ID 17303 //
     /* 1208327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1208347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208366 */     // MIs[0] round
     /* 1208366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1208379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208401 */     // GIR_Coverage, 17303,
     /* 1208401 */     GIR_EraseRootFromParent_Done,
     /* 1208402 */   // Label 17522: @1208402
     /* 1208402 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1208482), // Rule ID 17306 //
     /* 1208407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208446 */     // MIs[0] round
     /* 1208446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208481 */     // GIR_Coverage, 17306,
     /* 1208481 */     GIR_EraseRootFromParent_Done,
     /* 1208482 */   // Label 17523: @1208482
     /* 1208482 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1208562), // Rule ID 17307 //
     /* 1208487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208526 */     // MIs[0] round
     /* 1208526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208536 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208561 */     // GIR_Coverage, 17307,
     /* 1208561 */     GIR_EraseRootFromParent_Done,
     /* 1208562 */   // Label 17524: @1208562
     /* 1208562 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1208642), // Rule ID 17310 //
     /* 1208567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208606 */     // MIs[0] round
     /* 1208606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208616 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208641 */     // GIR_Coverage, 17310,
     /* 1208641 */     GIR_EraseRootFromParent_Done,
     /* 1208642 */   // Label 17525: @1208642
     /* 1208642 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208722), // Rule ID 17311 //
     /* 1208647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208686 */     // MIs[0] round
     /* 1208686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208696 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208721 */     // GIR_Coverage, 17311,
     /* 1208721 */     GIR_EraseRootFromParent_Done,
     /* 1208722 */   // Label 17526: @1208722
     /* 1208722 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208802), // Rule ID 17314 //
     /* 1208727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208766 */     // MIs[0] round
     /* 1208766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208801 */     // GIR_Coverage, 17314,
     /* 1208801 */     GIR_EraseRootFromParent_Done,
     /* 1208802 */   // Label 17527: @1208802
     /* 1208802 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208882), // Rule ID 17315 //
     /* 1208807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208846 */     // MIs[0] round
     /* 1208846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208881 */     // GIR_Coverage, 17315,
     /* 1208881 */     GIR_EraseRootFromParent_Done,
     /* 1208882 */   // Label 17528: @1208882
     /* 1208882 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208962), // Rule ID 17318 //
     /* 1208887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208926 */     // MIs[0] round
     /* 1208926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208936 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1208939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208961 */     // GIR_Coverage, 17318,
     /* 1208961 */     GIR_EraseRootFromParent_Done,
     /* 1208962 */   // Label 17529: @1208962
     /* 1208962 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1209042), // Rule ID 17319 //
     /* 1208967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209006 */     // MIs[0] round
     /* 1209006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209016 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1209019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209041 */     // GIR_Coverage, 17319,
     /* 1209041 */     GIR_EraseRootFromParent_Done,
     /* 1209042 */   // Label 17530: @1209042
     /* 1209042 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1209122), // Rule ID 17322 //
     /* 1209047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1209067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209086 */     // MIs[0] round
     /* 1209086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209096 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1209099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209121 */     // GIR_Coverage, 17322,
     /* 1209121 */     GIR_EraseRootFromParent_Done,
     /* 1209122 */   // Label 17531: @1209122
     /* 1209122 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1209202), // Rule ID 17323 //
     /* 1209127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1209147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209166 */     // MIs[0] round
     /* 1209166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209176 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1209179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209201 */     // GIR_Coverage, 17323,
     /* 1209201 */     GIR_EraseRootFromParent_Done,
     /* 1209202 */   // Label 17532: @1209202
     /* 1209202 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1209282), // Rule ID 17326 //
     /* 1209207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1209218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1209221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1209224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209246 */     // MIs[0] round
     /* 1209246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209256 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1209259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209281 */     // GIR_Coverage, 17326,
     /* 1209281 */     GIR_EraseRootFromParent_Done,
     /* 1209282 */   // Label 17533: @1209282
     /* 1209282 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1209362), // Rule ID 17327 //
     /* 1209287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1209298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1209301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1209304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209326 */     // MIs[0] round
     /* 1209326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209336 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1209339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209361 */     // GIR_Coverage, 17327,
     /* 1209361 */     GIR_EraseRootFromParent_Done,
     /* 1209362 */   // Label 17534: @1209362
     /* 1209362 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1209442), // Rule ID 17330 //
     /* 1209367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1209378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1209381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1209384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209406 */     // MIs[0] round
     /* 1209406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209416 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1209419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209441 */     // GIR_Coverage, 17330,
     /* 1209441 */     GIR_EraseRootFromParent_Done,
     /* 1209442 */   // Label 17535: @1209442
     /* 1209442 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1209522), // Rule ID 17331 //
     /* 1209447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1209458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1209461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1209464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209486 */     // MIs[0] round
     /* 1209486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209496 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1209499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209521 */     // GIR_Coverage, 17331,
     /* 1209521 */     GIR_EraseRootFromParent_Done,
     /* 1209522 */   // Label 17536: @1209522
     /* 1209522 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1209602), // Rule ID 17334 //
     /* 1209527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209566 */     // MIs[0] round
     /* 1209566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209576 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209601 */     // GIR_Coverage, 17334,
     /* 1209601 */     GIR_EraseRootFromParent_Done,
     /* 1209602 */   // Label 17537: @1209602
     /* 1209602 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209682), // Rule ID 17335 //
     /* 1209607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209646 */     // MIs[0] round
     /* 1209646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209681 */     // GIR_Coverage, 17335,
     /* 1209681 */     GIR_EraseRootFromParent_Done,
     /* 1209682 */   // Label 17538: @1209682
     /* 1209682 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209762), // Rule ID 17338 //
     /* 1209687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209726 */     // MIs[0] round
     /* 1209726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209761 */     // GIR_Coverage, 17338,
     /* 1209761 */     GIR_EraseRootFromParent_Done,
     /* 1209762 */   // Label 17539: @1209762
     /* 1209762 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209842), // Rule ID 17339 //
     /* 1209767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209806 */     // MIs[0] round
     /* 1209806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209841 */     // GIR_Coverage, 17339,
     /* 1209841 */     GIR_EraseRootFromParent_Done,
     /* 1209842 */   // Label 17540: @1209842
     /* 1209842 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209922), // Rule ID 17342 //
     /* 1209847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209886 */     // MIs[0] round
     /* 1209886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209921 */     // GIR_Coverage, 17342,
     /* 1209921 */     GIR_EraseRootFromParent_Done,
     /* 1209922 */   // Label 17541: @1209922
     /* 1209922 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1210002), // Rule ID 17343 //
     /* 1209927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209966 */     // MIs[0] round
     /* 1209966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210001 */     // GIR_Coverage, 17343,
     /* 1210001 */     GIR_EraseRootFromParent_Done,
     /* 1210002 */   // Label 17542: @1210002
     /* 1210002 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1210082), // Rule ID 17346 //
     /* 1210007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210046 */     // MIs[0] round
     /* 1210046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1210059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210081 */     // GIR_Coverage, 17346,
     /* 1210081 */     GIR_EraseRootFromParent_Done,
     /* 1210082 */   // Label 17543: @1210082
     /* 1210082 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1210162), // Rule ID 17347 //
     /* 1210087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210126 */     // MIs[0] round
     /* 1210126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1210139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210161 */     // GIR_Coverage, 17347,
     /* 1210161 */     GIR_EraseRootFromParent_Done,
     /* 1210162 */   // Label 17544: @1210162
     /* 1210162 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1210242), // Rule ID 17350 //
     /* 1210167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1210178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1210181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1210184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210206 */     // MIs[0] round
     /* 1210206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210216 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1210219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210241 */     // GIR_Coverage, 17350,
     /* 1210241 */     GIR_EraseRootFromParent_Done,
     /* 1210242 */   // Label 17545: @1210242
     /* 1210242 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1210322), // Rule ID 17351 //
     /* 1210247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1210258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1210261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1210264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210286 */     // MIs[0] round
     /* 1210286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210296 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1210299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210321 */     // GIR_Coverage, 17351,
     /* 1210321 */     GIR_EraseRootFromParent_Done,
     /* 1210322 */   // Label 17546: @1210322
     /* 1210322 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1210402), // Rule ID 17354 //
     /* 1210327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1210338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1210341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1210344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210366 */     // MIs[0] round
     /* 1210366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210376 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1210379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210401 */     // GIR_Coverage, 17354,
     /* 1210401 */     GIR_EraseRootFromParent_Done,
     /* 1210402 */   // Label 17547: @1210402
     /* 1210402 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1210482), // Rule ID 17355 //
     /* 1210407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1210418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1210421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1210424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210446 */     // MIs[0] round
     /* 1210446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210456 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1210459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210481 */     // GIR_Coverage, 17355,
     /* 1210481 */     GIR_EraseRootFromParent_Done,
     /* 1210482 */   // Label 17548: @1210482
     /* 1210482 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1210562), // Rule ID 17358 //
     /* 1210487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210526 */     // MIs[0] round
     /* 1210526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210536 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210561 */     // GIR_Coverage, 17358,
     /* 1210561 */     GIR_EraseRootFromParent_Done,
     /* 1210562 */   // Label 17549: @1210562
     /* 1210562 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1210642), // Rule ID 17359 //
     /* 1210567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210606 */     // MIs[0] round
     /* 1210606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210641 */     // GIR_Coverage, 17359,
     /* 1210641 */     GIR_EraseRootFromParent_Done,
     /* 1210642 */   // Label 17550: @1210642
     /* 1210642 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210722), // Rule ID 17362 //
     /* 1210647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210686 */     // MIs[0] round
     /* 1210686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210721 */     // GIR_Coverage, 17362,
     /* 1210721 */     GIR_EraseRootFromParent_Done,
     /* 1210722 */   // Label 17551: @1210722
     /* 1210722 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210802), // Rule ID 17363 //
     /* 1210727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210766 */     // MIs[0] round
     /* 1210766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210801 */     // GIR_Coverage, 17363,
     /* 1210801 */     GIR_EraseRootFromParent_Done,
     /* 1210802 */   // Label 17552: @1210802
     /* 1210802 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210882), // Rule ID 17366 //
     /* 1210807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210846 */     // MIs[0] round
     /* 1210846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210856 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210881 */     // GIR_Coverage, 17366,
     /* 1210881 */     GIR_EraseRootFromParent_Done,
     /* 1210882 */   // Label 17553: @1210882
     /* 1210882 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210962), // Rule ID 17367 //
     /* 1210887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210926 */     // MIs[0] round
     /* 1210926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210936 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210961 */     // GIR_Coverage, 17367,
     /* 1210961 */     GIR_EraseRootFromParent_Done,
     /* 1210962 */   // Label 17554: @1210962
     /* 1210962 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1211042), // Rule ID 17370 //
     /* 1210967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211006 */     // MIs[0] round
     /* 1211006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1211019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211041 */     // GIR_Coverage, 17370,
     /* 1211041 */     GIR_EraseRootFromParent_Done,
     /* 1211042 */   // Label 17555: @1211042
     /* 1211042 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1211122), // Rule ID 17371 //
     /* 1211047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1211058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1211061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211086 */     // MIs[0] round
     /* 1211086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1211099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211121 */     // GIR_Coverage, 17371,
     /* 1211121 */     GIR_EraseRootFromParent_Done,
     /* 1211122 */   // Label 17556: @1211122
     /* 1211122 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1211202), // Rule ID 17374 //
     /* 1211127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211166 */     // MIs[0] round
     /* 1211166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211176 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1211179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211201 */     // GIR_Coverage, 17374,
     /* 1211201 */     GIR_EraseRootFromParent_Done,
     /* 1211202 */   // Label 17557: @1211202
     /* 1211202 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1211282), // Rule ID 17375 //
     /* 1211207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211246 */     // MIs[0] round
     /* 1211246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1211259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211281 */     // GIR_Coverage, 17375,
     /* 1211281 */     GIR_EraseRootFromParent_Done,
     /* 1211282 */   // Label 17558: @1211282
     /* 1211282 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1211362), // Rule ID 17378 //
     /* 1211287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211326 */     // MIs[0] round
     /* 1211326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1211339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211361 */     // GIR_Coverage, 17378,
     /* 1211361 */     GIR_EraseRootFromParent_Done,
     /* 1211362 */   // Label 17559: @1211362
     /* 1211362 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1211442), // Rule ID 17379 //
     /* 1211367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211406 */     // MIs[0] round
     /* 1211406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1211419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211441 */     // GIR_Coverage, 17379,
     /* 1211441 */     GIR_EraseRootFromParent_Done,
     /* 1211442 */   // Label 17560: @1211442
     /* 1211442 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1211522), // Rule ID 17382 //
     /* 1211447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211486 */     // MIs[0] round
     /* 1211486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211496 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211521 */     // GIR_Coverage, 17382,
     /* 1211521 */     GIR_EraseRootFromParent_Done,
     /* 1211522 */   // Label 17561: @1211522
     /* 1211522 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1211602), // Rule ID 17383 //
     /* 1211527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211566 */     // MIs[0] round
     /* 1211566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211601 */     // GIR_Coverage, 17383,
     /* 1211601 */     GIR_EraseRootFromParent_Done,
     /* 1211602 */   // Label 17562: @1211602
     /* 1211602 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211682), // Rule ID 17386 //
     /* 1211607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211646 */     // MIs[0] round
     /* 1211646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211656 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211681 */     // GIR_Coverage, 17386,
     /* 1211681 */     GIR_EraseRootFromParent_Done,
     /* 1211682 */   // Label 17563: @1211682
     /* 1211682 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211762), // Rule ID 17387 //
     /* 1211687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211726 */     // MIs[0] round
     /* 1211726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211736 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211761 */     // GIR_Coverage, 17387,
     /* 1211761 */     GIR_EraseRootFromParent_Done,
     /* 1211762 */   // Label 17564: @1211762
     /* 1211762 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211842), // Rule ID 17390 //
     /* 1211767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211806 */     // MIs[0] round
     /* 1211806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211816 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211841 */     // GIR_Coverage, 17390,
     /* 1211841 */     GIR_EraseRootFromParent_Done,
     /* 1211842 */   // Label 17565: @1211842
     /* 1211842 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211922), // Rule ID 17391 //
     /* 1211847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211886 */     // MIs[0] round
     /* 1211886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211896 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211921 */     // GIR_Coverage, 17391,
     /* 1211921 */     GIR_EraseRootFromParent_Done,
     /* 1211922 */   // Label 17566: @1211922
     /* 1211922 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1212002), // Rule ID 17394 //
     /* 1211927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211966 */     // MIs[0] round
     /* 1211966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1211979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212001 */     // GIR_Coverage, 17394,
     /* 1212001 */     GIR_EraseRootFromParent_Done,
     /* 1212002 */   // Label 17567: @1212002
     /* 1212002 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1212082), // Rule ID 17395 //
     /* 1212007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1212027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212046 */     // MIs[0] round
     /* 1212046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212056 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1212059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212081 */     // GIR_Coverage, 17395,
     /* 1212081 */     GIR_EraseRootFromParent_Done,
     /* 1212082 */   // Label 17568: @1212082
     /* 1212082 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1212162), // Rule ID 17398 //
     /* 1212087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212126 */     // MIs[0] round
     /* 1212126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1212139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212161 */     // GIR_Coverage, 17398,
     /* 1212161 */     GIR_EraseRootFromParent_Done,
     /* 1212162 */   // Label 17569: @1212162
     /* 1212162 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1212242), // Rule ID 17399 //
     /* 1212167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212206 */     // MIs[0] round
     /* 1212206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1212219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212241 */     // GIR_Coverage, 17399,
     /* 1212241 */     GIR_EraseRootFromParent_Done,
     /* 1212242 */   // Label 17570: @1212242
     /* 1212242 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1212322), // Rule ID 17402 //
     /* 1212247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1212267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212286 */     // MIs[0] round
     /* 1212286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1212299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212321 */     // GIR_Coverage, 17402,
     /* 1212321 */     GIR_EraseRootFromParent_Done,
     /* 1212322 */   // Label 17571: @1212322
     /* 1212322 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1212402), // Rule ID 17403 //
     /* 1212327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1212347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212366 */     // MIs[0] round
     /* 1212366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1212379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212401 */     // GIR_Coverage, 17403,
     /* 1212401 */     GIR_EraseRootFromParent_Done,
     /* 1212402 */   // Label 17572: @1212402
     /* 1212402 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1212482), // Rule ID 17406 //
     /* 1212407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212446 */     // MIs[0] round
     /* 1212446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212481 */     // GIR_Coverage, 17406,
     /* 1212481 */     GIR_EraseRootFromParent_Done,
     /* 1212482 */   // Label 17573: @1212482
     /* 1212482 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1212562), // Rule ID 17407 //
     /* 1212487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212526 */     // MIs[0] round
     /* 1212526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212536 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212561 */     // GIR_Coverage, 17407,
     /* 1212561 */     GIR_EraseRootFromParent_Done,
     /* 1212562 */   // Label 17574: @1212562
     /* 1212562 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1212642), // Rule ID 17410 //
     /* 1212567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212606 */     // MIs[0] round
     /* 1212606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212616 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212641 */     // GIR_Coverage, 17410,
     /* 1212641 */     GIR_EraseRootFromParent_Done,
     /* 1212642 */   // Label 17575: @1212642
     /* 1212642 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212722), // Rule ID 17411 //
     /* 1212647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212686 */     // MIs[0] round
     /* 1212686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212696 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212721 */     // GIR_Coverage, 17411,
     /* 1212721 */     GIR_EraseRootFromParent_Done,
     /* 1212722 */   // Label 17576: @1212722
     /* 1212722 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212802), // Rule ID 17414 //
     /* 1212727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212766 */     // MIs[0] round
     /* 1212766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212776 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212801 */     // GIR_Coverage, 17414,
     /* 1212801 */     GIR_EraseRootFromParent_Done,
     /* 1212802 */   // Label 17577: @1212802
     /* 1212802 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212882), // Rule ID 17415 //
     /* 1212807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212846 */     // MIs[0] round
     /* 1212846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212856 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212881 */     // GIR_Coverage, 17415,
     /* 1212881 */     GIR_EraseRootFromParent_Done,
     /* 1212882 */   // Label 17578: @1212882
     /* 1212882 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212962), // Rule ID 17418 //
     /* 1212887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212926 */     // MIs[0] round
     /* 1212926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212936 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1212939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212961 */     // GIR_Coverage, 17418,
     /* 1212961 */     GIR_EraseRootFromParent_Done,
     /* 1212962 */   // Label 17579: @1212962
     /* 1212962 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1213042), // Rule ID 17419 //
     /* 1212967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213006 */     // MIs[0] round
     /* 1213006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213016 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1213019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213041 */     // GIR_Coverage, 17419,
     /* 1213041 */     GIR_EraseRootFromParent_Done,
     /* 1213042 */   // Label 17580: @1213042
     /* 1213042 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1213122), // Rule ID 17422 //
     /* 1213047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213086 */     // MIs[0] round
     /* 1213086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1213099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213121 */     // GIR_Coverage, 17422,
     /* 1213121 */     GIR_EraseRootFromParent_Done,
     /* 1213122 */   // Label 17581: @1213122
     /* 1213122 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1213202), // Rule ID 17423 //
     /* 1213127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213166 */     // MIs[0] round
     /* 1213166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213176 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1213179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213201 */     // GIR_Coverage, 17423,
     /* 1213201 */     GIR_EraseRootFromParent_Done,
     /* 1213202 */   // Label 17582: @1213202
     /* 1213202 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1213282), // Rule ID 17426 //
     /* 1213207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213246 */     // MIs[0] round
     /* 1213246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213256 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1213259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213281 */     // GIR_Coverage, 17426,
     /* 1213281 */     GIR_EraseRootFromParent_Done,
     /* 1213282 */   // Label 17583: @1213282
     /* 1213282 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1213362), // Rule ID 17427 //
     /* 1213287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213326 */     // MIs[0] round
     /* 1213326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213336 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1213339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213361 */     // GIR_Coverage, 17427,
     /* 1213361 */     GIR_EraseRootFromParent_Done,
     /* 1213362 */   // Label 17584: @1213362
     /* 1213362 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1213442), // Rule ID 17430 //
     /* 1213367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213406 */     // MIs[0] round
     /* 1213406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213416 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1213419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213441 */     // GIR_Coverage, 17430,
     /* 1213441 */     GIR_EraseRootFromParent_Done,
     /* 1213442 */   // Label 17585: @1213442
     /* 1213442 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1213522), // Rule ID 17431 //
     /* 1213447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213486 */     // MIs[0] round
     /* 1213486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213496 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1213499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213521 */     // GIR_Coverage, 17431,
     /* 1213521 */     GIR_EraseRootFromParent_Done,
     /* 1213522 */   // Label 17586: @1213522
     /* 1213522 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1213602), // Rule ID 17434 //
     /* 1213527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213566 */     // MIs[0] round
     /* 1213566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213576 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213601 */     // GIR_Coverage, 17434,
     /* 1213601 */     GIR_EraseRootFromParent_Done,
     /* 1213602 */   // Label 17587: @1213602
     /* 1213602 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213682), // Rule ID 17435 //
     /* 1213607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213646 */     // MIs[0] round
     /* 1213646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213656 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213681 */     // GIR_Coverage, 17435,
     /* 1213681 */     GIR_EraseRootFromParent_Done,
     /* 1213682 */   // Label 17588: @1213682
     /* 1213682 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213762), // Rule ID 17438 //
     /* 1213687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213726 */     // MIs[0] round
     /* 1213726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213761 */     // GIR_Coverage, 17438,
     /* 1213761 */     GIR_EraseRootFromParent_Done,
     /* 1213762 */   // Label 17589: @1213762
     /* 1213762 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213842), // Rule ID 17439 //
     /* 1213767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213806 */     // MIs[0] round
     /* 1213806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213841 */     // GIR_Coverage, 17439,
     /* 1213841 */     GIR_EraseRootFromParent_Done,
     /* 1213842 */   // Label 17590: @1213842
     /* 1213842 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213922), // Rule ID 17442 //
     /* 1213847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213886 */     // MIs[0] round
     /* 1213886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213896 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213921 */     // GIR_Coverage, 17442,
     /* 1213921 */     GIR_EraseRootFromParent_Done,
     /* 1213922 */   // Label 17591: @1213922
     /* 1213922 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1214002), // Rule ID 17443 //
     /* 1213927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213966 */     // MIs[0] round
     /* 1213966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213976 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214001 */     // GIR_Coverage, 17443,
     /* 1214001 */     GIR_EraseRootFromParent_Done,
     /* 1214002 */   // Label 17592: @1214002
     /* 1214002 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1214082), // Rule ID 17446 //
     /* 1214007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214046 */     // MIs[0] round
     /* 1214046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214056 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1214059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214081 */     // GIR_Coverage, 17446,
     /* 1214081 */     GIR_EraseRootFromParent_Done,
     /* 1214082 */   // Label 17593: @1214082
     /* 1214082 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1214162), // Rule ID 17447 //
     /* 1214087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214126 */     // MIs[0] round
     /* 1214126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214136 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1214139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214161 */     // GIR_Coverage, 17447,
     /* 1214161 */     GIR_EraseRootFromParent_Done,
     /* 1214162 */   // Label 17594: @1214162
     /* 1214162 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1214242), // Rule ID 17450 //
     /* 1214167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1214178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1214181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214206 */     // MIs[0] round
     /* 1214206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214216 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1214219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214241 */     // GIR_Coverage, 17450,
     /* 1214241 */     GIR_EraseRootFromParent_Done,
     /* 1214242 */   // Label 17595: @1214242
     /* 1214242 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1214322), // Rule ID 17451 //
     /* 1214247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1214258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1214261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214286 */     // MIs[0] round
     /* 1214286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214296 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1214299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214321 */     // GIR_Coverage, 17451,
     /* 1214321 */     GIR_EraseRootFromParent_Done,
     /* 1214322 */   // Label 17596: @1214322
     /* 1214322 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1214402), // Rule ID 17454 //
     /* 1214327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214366 */     // MIs[0] round
     /* 1214366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214376 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1214379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214401 */     // GIR_Coverage, 17454,
     /* 1214401 */     GIR_EraseRootFromParent_Done,
     /* 1214402 */   // Label 17597: @1214402
     /* 1214402 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1214482), // Rule ID 17455 //
     /* 1214407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214446 */     // MIs[0] round
     /* 1214446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1214459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214481 */     // GIR_Coverage, 17455,
     /* 1214481 */     GIR_EraseRootFromParent_Done,
     /* 1214482 */   // Label 17598: @1214482
     /* 1214482 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1214562), // Rule ID 17458 //
     /* 1214487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214526 */     // MIs[0] round
     /* 1214526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214561 */     // GIR_Coverage, 17458,
     /* 1214561 */     GIR_EraseRootFromParent_Done,
     /* 1214562 */   // Label 17599: @1214562
     /* 1214562 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1214642), // Rule ID 17459 //
     /* 1214567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214606 */     // MIs[0] round
     /* 1214606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214616 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214641 */     // GIR_Coverage, 17459,
     /* 1214641 */     GIR_EraseRootFromParent_Done,
     /* 1214642 */   // Label 17600: @1214642
     /* 1214642 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214722), // Rule ID 17462 //
     /* 1214647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214686 */     // MIs[0] round
     /* 1214686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214721 */     // GIR_Coverage, 17462,
     /* 1214721 */     GIR_EraseRootFromParent_Done,
     /* 1214722 */   // Label 17601: @1214722
     /* 1214722 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214802), // Rule ID 17463 //
     /* 1214727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214766 */     // MIs[0] round
     /* 1214766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214801 */     // GIR_Coverage, 17463,
     /* 1214801 */     GIR_EraseRootFromParent_Done,
     /* 1214802 */   // Label 17602: @1214802
     /* 1214802 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214882), // Rule ID 17466 //
     /* 1214807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214846 */     // MIs[0] round
     /* 1214846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214881 */     // GIR_Coverage, 17466,
     /* 1214881 */     GIR_EraseRootFromParent_Done,
     /* 1214882 */   // Label 17603: @1214882
     /* 1214882 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214962), // Rule ID 17467 //
     /* 1214887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214926 */     // MIs[0] round
     /* 1214926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214961 */     // GIR_Coverage, 17467,
     /* 1214961 */     GIR_EraseRootFromParent_Done,
     /* 1214962 */   // Label 17604: @1214962
     /* 1214962 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1215042), // Rule ID 17470 //
     /* 1214967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215006 */     // MIs[0] round
     /* 1215006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215016 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1215019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215041 */     // GIR_Coverage, 17470,
     /* 1215041 */     GIR_EraseRootFromParent_Done,
     /* 1215042 */   // Label 17605: @1215042
     /* 1215042 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1215122), // Rule ID 17471 //
     /* 1215047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1215058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1215061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1215064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215086 */     // MIs[0] round
     /* 1215086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215096 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1215099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215121 */     // GIR_Coverage, 17471,
     /* 1215121 */     GIR_EraseRootFromParent_Done,
     /* 1215122 */   // Label 17606: @1215122
     /* 1215122 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1215202), // Rule ID 17474 //
     /* 1215127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215166 */     // MIs[0] round
     /* 1215166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215176 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1215179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215201 */     // GIR_Coverage, 17474,
     /* 1215201 */     GIR_EraseRootFromParent_Done,
     /* 1215202 */   // Label 17607: @1215202
     /* 1215202 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1215282), // Rule ID 17475 //
     /* 1215207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215246 */     // MIs[0] round
     /* 1215246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215256 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1215259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215281 */     // GIR_Coverage, 17475,
     /* 1215281 */     GIR_EraseRootFromParent_Done,
     /* 1215282 */   // Label 17608: @1215282
     /* 1215282 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1215362), // Rule ID 17478 //
     /* 1215287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1215298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1215301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1215304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215326 */     // MIs[0] round
     /* 1215326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215336 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1215339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215361 */     // GIR_Coverage, 17478,
     /* 1215361 */     GIR_EraseRootFromParent_Done,
     /* 1215362 */   // Label 17609: @1215362
     /* 1215362 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1215442), // Rule ID 17479 //
     /* 1215367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1215378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1215381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1215384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215406 */     // MIs[0] round
     /* 1215406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215416 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1215419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215441 */     // GIR_Coverage, 17479,
     /* 1215441 */     GIR_EraseRootFromParent_Done,
     /* 1215442 */   // Label 17610: @1215442
     /* 1215442 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1215522), // Rule ID 17482 //
     /* 1215447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215486 */     // MIs[0] round
     /* 1215486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215496 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215521 */     // GIR_Coverage, 17482,
     /* 1215521 */     GIR_EraseRootFromParent_Done,
     /* 1215522 */   // Label 17611: @1215522
     /* 1215522 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1215602), // Rule ID 17483 //
     /* 1215527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215566 */     // MIs[0] round
     /* 1215566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215576 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215601 */     // GIR_Coverage, 17483,
     /* 1215601 */     GIR_EraseRootFromParent_Done,
     /* 1215602 */   // Label 17612: @1215602
     /* 1215602 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215682), // Rule ID 17486 //
     /* 1215607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215646 */     // MIs[0] round
     /* 1215646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215681 */     // GIR_Coverage, 17486,
     /* 1215681 */     GIR_EraseRootFromParent_Done,
     /* 1215682 */   // Label 17613: @1215682
     /* 1215682 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215762), // Rule ID 17487 //
     /* 1215687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215726 */     // MIs[0] round
     /* 1215726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215736 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215761 */     // GIR_Coverage, 17487,
     /* 1215761 */     GIR_EraseRootFromParent_Done,
     /* 1215762 */   // Label 17614: @1215762
     /* 1215762 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215842), // Rule ID 17490 //
     /* 1215767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215806 */     // MIs[0] round
     /* 1215806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215841 */     // GIR_Coverage, 17490,
     /* 1215841 */     GIR_EraseRootFromParent_Done,
     /* 1215842 */   // Label 17615: @1215842
     /* 1215842 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215922), // Rule ID 17491 //
     /* 1215847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215886 */     // MIs[0] round
     /* 1215886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215896 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215921 */     // GIR_Coverage, 17491,
     /* 1215921 */     GIR_EraseRootFromParent_Done,
     /* 1215922 */   // Label 17616: @1215922
     /* 1215922 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1216002), // Rule ID 17494 //
     /* 1215927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215966 */     // MIs[0] round
     /* 1215966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215976 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1215979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216001 */     // GIR_Coverage, 17494,
     /* 1216001 */     GIR_EraseRootFromParent_Done,
     /* 1216002 */   // Label 17617: @1216002
     /* 1216002 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1216082), // Rule ID 17495 //
     /* 1216007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1216018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1216021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1216024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216046 */     // MIs[0] round
     /* 1216046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216056 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1216059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216081 */     // GIR_Coverage, 17495,
     /* 1216081 */     GIR_EraseRootFromParent_Done,
     /* 1216082 */   // Label 17618: @1216082
     /* 1216082 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1216162), // Rule ID 17498 //
     /* 1216087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216126 */     // MIs[0] round
     /* 1216126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216136 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1216139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216161 */     // GIR_Coverage, 17498,
     /* 1216161 */     GIR_EraseRootFromParent_Done,
     /* 1216162 */   // Label 17619: @1216162
     /* 1216162 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1216242), // Rule ID 17499 //
     /* 1216167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216206 */     // MIs[0] round
     /* 1216206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216216 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1216219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216241 */     // GIR_Coverage, 17499,
     /* 1216241 */     GIR_EraseRootFromParent_Done,
     /* 1216242 */   // Label 17620: @1216242
     /* 1216242 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1216322), // Rule ID 17502 //
     /* 1216247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1216258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1216261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1216264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216286 */     // MIs[0] round
     /* 1216286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216296 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1216299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216321 */     // GIR_Coverage, 17502,
     /* 1216321 */     GIR_EraseRootFromParent_Done,
     /* 1216322 */   // Label 17621: @1216322
     /* 1216322 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1216402), // Rule ID 17503 //
     /* 1216327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1216338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1216341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1216344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216366 */     // MIs[0] round
     /* 1216366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216376 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1216379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216401 */     // GIR_Coverage, 17503,
     /* 1216401 */     GIR_EraseRootFromParent_Done,
     /* 1216402 */   // Label 17622: @1216402
     /* 1216402 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1216482), // Rule ID 17506 //
     /* 1216407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216446 */     // MIs[0] round
     /* 1216446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216456 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216481 */     // GIR_Coverage, 17506,
     /* 1216481 */     GIR_EraseRootFromParent_Done,
     /* 1216482 */   // Label 17623: @1216482
     /* 1216482 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1216562), // Rule ID 17507 //
     /* 1216487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216526 */     // MIs[0] round
     /* 1216526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216536 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216561 */     // GIR_Coverage, 17507,
     /* 1216561 */     GIR_EraseRootFromParent_Done,
     /* 1216562 */   // Label 17624: @1216562
     /* 1216562 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1216642), // Rule ID 17510 //
     /* 1216567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216606 */     // MIs[0] round
     /* 1216606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216616 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216641 */     // GIR_Coverage, 17510,
     /* 1216641 */     GIR_EraseRootFromParent_Done,
     /* 1216642 */   // Label 17625: @1216642
     /* 1216642 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216722), // Rule ID 17511 //
     /* 1216647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216686 */     // MIs[0] round
     /* 1216686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216696 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216721 */     // GIR_Coverage, 17511,
     /* 1216721 */     GIR_EraseRootFromParent_Done,
     /* 1216722 */   // Label 17626: @1216722
     /* 1216722 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216802), // Rule ID 17514 //
     /* 1216727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216766 */     // MIs[0] round
     /* 1216766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216776 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216801 */     // GIR_Coverage, 17514,
     /* 1216801 */     GIR_EraseRootFromParent_Done,
     /* 1216802 */   // Label 17627: @1216802
     /* 1216802 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216882), // Rule ID 17515 //
     /* 1216807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216846 */     // MIs[0] round
     /* 1216846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216881 */     // GIR_Coverage, 17515,
     /* 1216881 */     GIR_EraseRootFromParent_Done,
     /* 1216882 */   // Label 17628: @1216882
     /* 1216882 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216962), // Rule ID 17518 //
     /* 1216887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216926 */     // MIs[0] round
     /* 1216926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1216939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216961 */     // GIR_Coverage, 17518,
     /* 1216961 */     GIR_EraseRootFromParent_Done,
     /* 1216962 */   // Label 17629: @1216962
     /* 1216962 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1217042), // Rule ID 17519 //
     /* 1216967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217006 */     // MIs[0] round
     /* 1217006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1217019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217041 */     // GIR_Coverage, 17519,
     /* 1217041 */     GIR_EraseRootFromParent_Done,
     /* 1217042 */   // Label 17630: @1217042
     /* 1217042 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1217122), // Rule ID 17522 //
     /* 1217047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1217064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217086 */     // MIs[0] round
     /* 1217086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1217099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217121 */     // GIR_Coverage, 17522,
     /* 1217121 */     GIR_EraseRootFromParent_Done,
     /* 1217122 */   // Label 17631: @1217122
     /* 1217122 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1217202), // Rule ID 17523 //
     /* 1217127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1217144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217166 */     // MIs[0] round
     /* 1217166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1217179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217201 */     // GIR_Coverage, 17523,
     /* 1217201 */     GIR_EraseRootFromParent_Done,
     /* 1217202 */   // Label 17632: @1217202
     /* 1217202 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1217282), // Rule ID 17526 //
     /* 1217207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1217224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217246 */     // MIs[0] round
     /* 1217246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1217259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217281 */     // GIR_Coverage, 17526,
     /* 1217281 */     GIR_EraseRootFromParent_Done,
     /* 1217282 */   // Label 17633: @1217282
     /* 1217282 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1217362), // Rule ID 17527 //
     /* 1217287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1217304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217326 */     // MIs[0] round
     /* 1217326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1217339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217361 */     // GIR_Coverage, 17527,
     /* 1217361 */     GIR_EraseRootFromParent_Done,
     /* 1217362 */   // Label 17634: @1217362
     /* 1217362 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1217442), // Rule ID 17530 //
     /* 1217367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217406 */     // MIs[0] round
     /* 1217406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217416 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1217419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217441 */     // GIR_Coverage, 17530,
     /* 1217441 */     GIR_EraseRootFromParent_Done,
     /* 1217442 */   // Label 17635: @1217442
     /* 1217442 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1217522), // Rule ID 17531 //
     /* 1217447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217486 */     // MIs[0] round
     /* 1217486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1217499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217521 */     // GIR_Coverage, 17531,
     /* 1217521 */     GIR_EraseRootFromParent_Done,
     /* 1217522 */   // Label 17636: @1217522
     /* 1217522 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1217602), // Rule ID 17534 //
     /* 1217527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217566 */     // MIs[0] round
     /* 1217566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217601 */     // GIR_Coverage, 17534,
     /* 1217601 */     GIR_EraseRootFromParent_Done,
     /* 1217602 */   // Label 17637: @1217602
     /* 1217602 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217682), // Rule ID 17535 //
     /* 1217607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217646 */     // MIs[0] round
     /* 1217646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217656 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217681 */     // GIR_Coverage, 17535,
     /* 1217681 */     GIR_EraseRootFromParent_Done,
     /* 1217682 */   // Label 17638: @1217682
     /* 1217682 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217762), // Rule ID 17538 //
     /* 1217687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217726 */     // MIs[0] round
     /* 1217726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217736 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217761 */     // GIR_Coverage, 17538,
     /* 1217761 */     GIR_EraseRootFromParent_Done,
     /* 1217762 */   // Label 17639: @1217762
     /* 1217762 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217842), // Rule ID 17539 //
     /* 1217767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217806 */     // MIs[0] round
     /* 1217806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217816 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217841 */     // GIR_Coverage, 17539,
     /* 1217841 */     GIR_EraseRootFromParent_Done,
     /* 1217842 */   // Label 17640: @1217842
     /* 1217842 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217922), // Rule ID 17542 //
     /* 1217847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217886 */     // MIs[0] round
     /* 1217886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217896 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217921 */     // GIR_Coverage, 17542,
     /* 1217921 */     GIR_EraseRootFromParent_Done,
     /* 1217922 */   // Label 17641: @1217922
     /* 1217922 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1218002), // Rule ID 17543 //
     /* 1217927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217966 */     // MIs[0] round
     /* 1217966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217976 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218001 */     // GIR_Coverage, 17543,
     /* 1218001 */     GIR_EraseRootFromParent_Done,
     /* 1218002 */   // Label 17642: @1218002
     /* 1218002 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1218082), // Rule ID 17546 //
     /* 1218007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218046 */     // MIs[0] round
     /* 1218046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218056 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1218059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218081 */     // GIR_Coverage, 17546,
     /* 1218081 */     GIR_EraseRootFromParent_Done,
     /* 1218082 */   // Label 17643: @1218082
     /* 1218082 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1218162), // Rule ID 17547 //
     /* 1218087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218126 */     // MIs[0] round
     /* 1218126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1218139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218161 */     // GIR_Coverage, 17547,
     /* 1218161 */     GIR_EraseRootFromParent_Done,
     /* 1218162 */   // Label 17644: @1218162
     /* 1218162 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1218242), // Rule ID 17550 //
     /* 1218167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218206 */     // MIs[0] round
     /* 1218206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218216 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1218219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218241 */     // GIR_Coverage, 17550,
     /* 1218241 */     GIR_EraseRootFromParent_Done,
     /* 1218242 */   // Label 17645: @1218242
     /* 1218242 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1218322), // Rule ID 17551 //
     /* 1218247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218286 */     // MIs[0] round
     /* 1218286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218296 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1218299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218321 */     // GIR_Coverage, 17551,
     /* 1218321 */     GIR_EraseRootFromParent_Done,
     /* 1218322 */   // Label 17646: @1218322
     /* 1218322 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1218402), // Rule ID 17554 //
     /* 1218327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218366 */     // MIs[0] round
     /* 1218366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1218379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218401 */     // GIR_Coverage, 17554,
     /* 1218401 */     GIR_EraseRootFromParent_Done,
     /* 1218402 */   // Label 17647: @1218402
     /* 1218402 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1218482), // Rule ID 17555 //
     /* 1218407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218446 */     // MIs[0] round
     /* 1218446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218456 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1218459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218481 */     // GIR_Coverage, 17555,
     /* 1218481 */     GIR_EraseRootFromParent_Done,
     /* 1218482 */   // Label 17648: @1218482
     /* 1218482 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1218562), // Rule ID 17558 //
     /* 1218487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218526 */     // MIs[0] round
     /* 1218526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218536 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218561 */     // GIR_Coverage, 17558,
     /* 1218561 */     GIR_EraseRootFromParent_Done,
     /* 1218562 */   // Label 17649: @1218562
     /* 1218562 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1218642), // Rule ID 17559 //
     /* 1218567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218606 */     // MIs[0] round
     /* 1218606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218641 */     // GIR_Coverage, 17559,
     /* 1218641 */     GIR_EraseRootFromParent_Done,
     /* 1218642 */   // Label 17650: @1218642
     /* 1218642 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218722), // Rule ID 17562 //
     /* 1218647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218686 */     // MIs[0] round
     /* 1218686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218721 */     // GIR_Coverage, 17562,
     /* 1218721 */     GIR_EraseRootFromParent_Done,
     /* 1218722 */   // Label 17651: @1218722
     /* 1218722 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218802), // Rule ID 17563 //
     /* 1218727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218766 */     // MIs[0] round
     /* 1218766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218776 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218801 */     // GIR_Coverage, 17563,
     /* 1218801 */     GIR_EraseRootFromParent_Done,
     /* 1218802 */   // Label 17652: @1218802
     /* 1218802 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218882), // Rule ID 17566 //
     /* 1218807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218846 */     // MIs[0] round
     /* 1218846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218881 */     // GIR_Coverage, 17566,
     /* 1218881 */     GIR_EraseRootFromParent_Done,
     /* 1218882 */   // Label 17653: @1218882
     /* 1218882 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218962), // Rule ID 17567 //
     /* 1218887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218926 */     // MIs[0] round
     /* 1218926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218961 */     // GIR_Coverage, 17567,
     /* 1218961 */     GIR_EraseRootFromParent_Done,
     /* 1218962 */   // Label 17654: @1218962
     /* 1218962 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1219042), // Rule ID 17570 //
     /* 1218967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1218987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219006 */     // MIs[0] round
     /* 1219006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1219019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219041 */     // GIR_Coverage, 17570,
     /* 1219041 */     GIR_EraseRootFromParent_Done,
     /* 1219042 */   // Label 17655: @1219042
     /* 1219042 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1219122), // Rule ID 17571 //
     /* 1219047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1219064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1219067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219086 */     // MIs[0] round
     /* 1219086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1219099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219121 */     // GIR_Coverage, 17571,
     /* 1219121 */     GIR_EraseRootFromParent_Done,
     /* 1219122 */   // Label 17656: @1219122
     /* 1219122 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1219202), // Rule ID 17574 //
     /* 1219127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1219144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1219147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219166 */     // MIs[0] round
     /* 1219166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219176 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1219179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219201 */     // GIR_Coverage, 17574,
     /* 1219201 */     GIR_EraseRootFromParent_Done,
     /* 1219202 */   // Label 17657: @1219202
     /* 1219202 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1219282), // Rule ID 17575 //
     /* 1219207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1219224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1219227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219246 */     // MIs[0] round
     /* 1219246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219256 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1219259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219281 */     // GIR_Coverage, 17575,
     /* 1219281 */     GIR_EraseRootFromParent_Done,
     /* 1219282 */   // Label 17658: @1219282
     /* 1219282 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1219362), // Rule ID 17578 //
     /* 1219287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1219307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219326 */     // MIs[0] round
     /* 1219326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219336 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1219339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219361 */     // GIR_Coverage, 17578,
     /* 1219361 */     GIR_EraseRootFromParent_Done,
     /* 1219362 */   // Label 17659: @1219362
     /* 1219362 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1219442), // Rule ID 17579 //
     /* 1219367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1219387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219406 */     // MIs[0] round
     /* 1219406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219416 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1219419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219441 */     // GIR_Coverage, 17579,
     /* 1219441 */     GIR_EraseRootFromParent_Done,
     /* 1219442 */   // Label 17660: @1219442
     /* 1219442 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1219522), // Rule ID 17582 //
     /* 1219447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219486 */     // MIs[0] round
     /* 1219486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219496 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219521 */     // GIR_Coverage, 17582,
     /* 1219521 */     GIR_EraseRootFromParent_Done,
     /* 1219522 */   // Label 17661: @1219522
     /* 1219522 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1219602), // Rule ID 17583 //
     /* 1219527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219566 */     // MIs[0] round
     /* 1219566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219576 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219601 */     // GIR_Coverage, 17583,
     /* 1219601 */     GIR_EraseRootFromParent_Done,
     /* 1219602 */   // Label 17662: @1219602
     /* 1219602 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219682), // Rule ID 17586 //
     /* 1219607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219646 */     // MIs[0] round
     /* 1219646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219681 */     // GIR_Coverage, 17586,
     /* 1219681 */     GIR_EraseRootFromParent_Done,
     /* 1219682 */   // Label 17663: @1219682
     /* 1219682 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219762), // Rule ID 17587 //
     /* 1219687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219726 */     // MIs[0] round
     /* 1219726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219761 */     // GIR_Coverage, 17587,
     /* 1219761 */     GIR_EraseRootFromParent_Done,
     /* 1219762 */   // Label 17664: @1219762
     /* 1219762 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219842), // Rule ID 17590 //
     /* 1219767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219806 */     // MIs[0] round
     /* 1219806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219841 */     // GIR_Coverage, 17590,
     /* 1219841 */     GIR_EraseRootFromParent_Done,
     /* 1219842 */   // Label 17665: @1219842
     /* 1219842 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219922), // Rule ID 17591 //
     /* 1219847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219886 */     // MIs[0] round
     /* 1219886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219921 */     // GIR_Coverage, 17591,
     /* 1219921 */     GIR_EraseRootFromParent_Done,
     /* 1219922 */   // Label 17666: @1219922
     /* 1219922 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1220002), // Rule ID 17594 //
     /* 1219927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1219947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219966 */     // MIs[0] round
     /* 1219966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1219979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220001 */     // GIR_Coverage, 17594,
     /* 1220001 */     GIR_EraseRootFromParent_Done,
     /* 1220002 */   // Label 17667: @1220002
     /* 1220002 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1220082), // Rule ID 17595 //
     /* 1220007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1220024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1220027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220046 */     // MIs[0] round
     /* 1220046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220056 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1220059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220081 */     // GIR_Coverage, 17595,
     /* 1220081 */     GIR_EraseRootFromParent_Done,
     /* 1220082 */   // Label 17668: @1220082
     /* 1220082 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1220162), // Rule ID 17598 //
     /* 1220087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1220104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1220107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220126 */     // MIs[0] round
     /* 1220126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1220139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220161 */     // GIR_Coverage, 17598,
     /* 1220161 */     GIR_EraseRootFromParent_Done,
     /* 1220162 */   // Label 17669: @1220162
     /* 1220162 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1220242), // Rule ID 17599 //
     /* 1220167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1220184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1220187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220206 */     // MIs[0] round
     /* 1220206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220216 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1220219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220241 */     // GIR_Coverage, 17599,
     /* 1220241 */     GIR_EraseRootFromParent_Done,
     /* 1220242 */   // Label 17670: @1220242
     /* 1220242 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1220322), // Rule ID 17602 //
     /* 1220247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1220258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1220261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220286 */     // MIs[0] round
     /* 1220286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1220299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220321 */     // GIR_Coverage, 17602,
     /* 1220321 */     GIR_EraseRootFromParent_Done,
     /* 1220322 */   // Label 17671: @1220322
     /* 1220322 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1220402), // Rule ID 17603 //
     /* 1220327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1220338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1220341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220366 */     // MIs[0] round
     /* 1220366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220376 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1220379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220401 */     // GIR_Coverage, 17603,
     /* 1220401 */     GIR_EraseRootFromParent_Done,
     /* 1220402 */   // Label 17672: @1220402
     /* 1220402 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1220482), // Rule ID 17606 //
     /* 1220407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220446 */     // MIs[0] round
     /* 1220446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220481 */     // GIR_Coverage, 17606,
     /* 1220481 */     GIR_EraseRootFromParent_Done,
     /* 1220482 */   // Label 17673: @1220482
     /* 1220482 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1220562), // Rule ID 17607 //
     /* 1220487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220526 */     // MIs[0] round
     /* 1220526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220561 */     // GIR_Coverage, 17607,
     /* 1220561 */     GIR_EraseRootFromParent_Done,
     /* 1220562 */   // Label 17674: @1220562
     /* 1220562 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1220642), // Rule ID 17610 //
     /* 1220567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220606 */     // MIs[0] round
     /* 1220606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220641 */     // GIR_Coverage, 17610,
     /* 1220641 */     GIR_EraseRootFromParent_Done,
     /* 1220642 */   // Label 17675: @1220642
     /* 1220642 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220722), // Rule ID 17611 //
     /* 1220647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220686 */     // MIs[0] round
     /* 1220686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220721 */     // GIR_Coverage, 17611,
     /* 1220721 */     GIR_EraseRootFromParent_Done,
     /* 1220722 */   // Label 17676: @1220722
     /* 1220722 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220802), // Rule ID 17614 //
     /* 1220727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220766 */     // MIs[0] round
     /* 1220766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220776 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220801 */     // GIR_Coverage, 17614,
     /* 1220801 */     GIR_EraseRootFromParent_Done,
     /* 1220802 */   // Label 17677: @1220802
     /* 1220802 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220882), // Rule ID 17615 //
     /* 1220807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220846 */     // MIs[0] round
     /* 1220846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220856 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220881 */     // GIR_Coverage, 17615,
     /* 1220881 */     GIR_EraseRootFromParent_Done,
     /* 1220882 */   // Label 17678: @1220882
     /* 1220882 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1220962), // Rule ID 17618 //
     /* 1220887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220926 */     // MIs[0] round
     /* 1220926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220936 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1220939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220961 */     // GIR_Coverage, 17618,
     /* 1220961 */     GIR_EraseRootFromParent_Done,
     /* 1220962 */   // Label 17679: @1220962
     /* 1220962 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1221042), // Rule ID 17619 //
     /* 1220967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221006 */     // MIs[0] round
     /* 1221006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1221019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221041 */     // GIR_Coverage, 17619,
     /* 1221041 */     GIR_EraseRootFromParent_Done,
     /* 1221042 */   // Label 17680: @1221042
     /* 1221042 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1221122), // Rule ID 17622 //
     /* 1221047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221086 */     // MIs[0] round
     /* 1221086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1221099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221121 */     // GIR_Coverage, 17622,
     /* 1221121 */     GIR_EraseRootFromParent_Done,
     /* 1221122 */   // Label 17681: @1221122
     /* 1221122 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1221202), // Rule ID 17623 //
     /* 1221127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221166 */     // MIs[0] round
     /* 1221166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1221179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221201 */     // GIR_Coverage, 17623,
     /* 1221201 */     GIR_EraseRootFromParent_Done,
     /* 1221202 */   // Label 17682: @1221202
     /* 1221202 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1221282), // Rule ID 17626 //
     /* 1221207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1221218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1221221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221246 */     // MIs[0] round
     /* 1221246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1221259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221281 */     // GIR_Coverage, 17626,
     /* 1221281 */     GIR_EraseRootFromParent_Done,
     /* 1221282 */   // Label 17683: @1221282
     /* 1221282 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1221362), // Rule ID 17627 //
     /* 1221287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1221298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1221301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221326 */     // MIs[0] round
     /* 1221326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221336 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1221339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221361 */     // GIR_Coverage, 17627,
     /* 1221361 */     GIR_EraseRootFromParent_Done,
     /* 1221362 */   // Label 17684: @1221362
     /* 1221362 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1221442), // Rule ID 17630 //
     /* 1221367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1221378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1221381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221406 */     // MIs[0] round
     /* 1221406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1221419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221441 */     // GIR_Coverage, 17630,
     /* 1221441 */     GIR_EraseRootFromParent_Done,
     /* 1221442 */   // Label 17685: @1221442
     /* 1221442 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1221522), // Rule ID 17631 //
     /* 1221447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1221458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1221461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221486 */     // MIs[0] round
     /* 1221486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1221499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221521 */     // GIR_Coverage, 17631,
     /* 1221521 */     GIR_EraseRootFromParent_Done,
     /* 1221522 */   // Label 17686: @1221522
     /* 1221522 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1221602), // Rule ID 17634 //
     /* 1221527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221566 */     // MIs[0] round
     /* 1221566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221601 */     // GIR_Coverage, 17634,
     /* 1221601 */     GIR_EraseRootFromParent_Done,
     /* 1221602 */   // Label 17687: @1221602
     /* 1221602 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221682), // Rule ID 17635 //
     /* 1221607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221646 */     // MIs[0] round
     /* 1221646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221681 */     // GIR_Coverage, 17635,
     /* 1221681 */     GIR_EraseRootFromParent_Done,
     /* 1221682 */   // Label 17688: @1221682
     /* 1221682 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221762), // Rule ID 22712 //
     /* 1221687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221726 */     // MIs[0] round
     /* 1221726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221761 */     // GIR_Coverage, 22712,
     /* 1221761 */     GIR_EraseRootFromParent_Done,
     /* 1221762 */   // Label 17689: @1221762
     /* 1221762 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221842), // Rule ID 22713 //
     /* 1221767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221806 */     // MIs[0] round
     /* 1221806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221841 */     // GIR_Coverage, 22713,
     /* 1221841 */     GIR_EraseRootFromParent_Done,
     /* 1221842 */   // Label 17690: @1221842
     /* 1221842 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221922), // Rule ID 22716 //
     /* 1221847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221886 */     // MIs[0] round
     /* 1221886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221921 */     // GIR_Coverage, 22716,
     /* 1221921 */     GIR_EraseRootFromParent_Done,
     /* 1221922 */   // Label 17691: @1221922
     /* 1221922 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1222002), // Rule ID 22717 //
     /* 1221927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221966 */     // MIs[0] round
     /* 1221966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222001 */     // GIR_Coverage, 22717,
     /* 1222001 */     GIR_EraseRootFromParent_Done,
     /* 1222002 */   // Label 17692: @1222002
     /* 1222002 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1222082), // Rule ID 22720 //
     /* 1222007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222046 */     // MIs[0] round
     /* 1222046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1222059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222081 */     // GIR_Coverage, 22720,
     /* 1222081 */     GIR_EraseRootFromParent_Done,
     /* 1222082 */   // Label 17693: @1222082
     /* 1222082 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1222162), // Rule ID 22721 //
     /* 1222087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222126 */     // MIs[0] round
     /* 1222126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1222139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222161 */     // GIR_Coverage, 22721,
     /* 1222161 */     GIR_EraseRootFromParent_Done,
     /* 1222162 */   // Label 17694: @1222162
     /* 1222162 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1222242), // Rule ID 22724 //
     /* 1222167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1222184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222206 */     // MIs[0] round
     /* 1222206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1222219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222241 */     // GIR_Coverage, 22724,
     /* 1222241 */     GIR_EraseRootFromParent_Done,
     /* 1222242 */   // Label 17695: @1222242
     /* 1222242 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1222322), // Rule ID 22725 //
     /* 1222247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1222264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222286 */     // MIs[0] round
     /* 1222286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1222299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222321 */     // GIR_Coverage, 22725,
     /* 1222321 */     GIR_EraseRootFromParent_Done,
     /* 1222322 */   // Label 17696: @1222322
     /* 1222322 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1222402), // Rule ID 22728 //
     /* 1222327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1222344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222366 */     // MIs[0] round
     /* 1222366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1222379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222401 */     // GIR_Coverage, 22728,
     /* 1222401 */     GIR_EraseRootFromParent_Done,
     /* 1222402 */   // Label 17697: @1222402
     /* 1222402 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1222482), // Rule ID 22729 //
     /* 1222407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1222424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222446 */     // MIs[0] round
     /* 1222446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1222459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222481 */     // GIR_Coverage, 22729,
     /* 1222481 */     GIR_EraseRootFromParent_Done,
     /* 1222482 */   // Label 17698: @1222482
     /* 1222482 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1222562), // Rule ID 22732 //
     /* 1222487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222526 */     // MIs[0] round
     /* 1222526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222561 */     // GIR_Coverage, 22732,
     /* 1222561 */     GIR_EraseRootFromParent_Done,
     /* 1222562 */   // Label 17699: @1222562
     /* 1222562 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1222642), // Rule ID 22733 //
     /* 1222567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222606 */     // MIs[0] round
     /* 1222606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222616 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222641 */     // GIR_Coverage, 22733,
     /* 1222641 */     GIR_EraseRootFromParent_Done,
     /* 1222642 */   // Label 17700: @1222642
     /* 1222642 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222722), // Rule ID 22736 //
     /* 1222647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222686 */     // MIs[0] round
     /* 1222686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222696 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222721 */     // GIR_Coverage, 22736,
     /* 1222721 */     GIR_EraseRootFromParent_Done,
     /* 1222722 */   // Label 17701: @1222722
     /* 1222722 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222802), // Rule ID 22737 //
     /* 1222727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222766 */     // MIs[0] round
     /* 1222766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222801 */     // GIR_Coverage, 22737,
     /* 1222801 */     GIR_EraseRootFromParent_Done,
     /* 1222802 */   // Label 17702: @1222802
     /* 1222802 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222882), // Rule ID 22740 //
     /* 1222807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222846 */     // MIs[0] round
     /* 1222846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222856 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222881 */     // GIR_Coverage, 22740,
     /* 1222881 */     GIR_EraseRootFromParent_Done,
     /* 1222882 */   // Label 17703: @1222882
     /* 1222882 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1222962), // Rule ID 22741 //
     /* 1222887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222926 */     // MIs[0] round
     /* 1222926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222961 */     // GIR_Coverage, 22741,
     /* 1222961 */     GIR_EraseRootFromParent_Done,
     /* 1222962 */   // Label 17704: @1222962
     /* 1222962 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1223042), // Rule ID 22744 //
     /* 1222967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223006 */     // MIs[0] round
     /* 1223006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1223019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223041 */     // GIR_Coverage, 22744,
     /* 1223041 */     GIR_EraseRootFromParent_Done,
     /* 1223042 */   // Label 17705: @1223042
     /* 1223042 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1223122), // Rule ID 22745 //
     /* 1223047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223086 */     // MIs[0] round
     /* 1223086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1223099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223121 */     // GIR_Coverage, 22745,
     /* 1223121 */     GIR_EraseRootFromParent_Done,
     /* 1223122 */   // Label 17706: @1223122
     /* 1223122 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1223202), // Rule ID 22748 //
     /* 1223127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223166 */     // MIs[0] round
     /* 1223166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1223179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223201 */     // GIR_Coverage, 22748,
     /* 1223201 */     GIR_EraseRootFromParent_Done,
     /* 1223202 */   // Label 17707: @1223202
     /* 1223202 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1223282), // Rule ID 22749 //
     /* 1223207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223246 */     // MIs[0] round
     /* 1223246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1223259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223281 */     // GIR_Coverage, 22749,
     /* 1223281 */     GIR_EraseRootFromParent_Done,
     /* 1223282 */   // Label 17708: @1223282
     /* 1223282 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1223362), // Rule ID 22752 //
     /* 1223287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223326 */     // MIs[0] round
     /* 1223326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1223339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223361 */     // GIR_Coverage, 22752,
     /* 1223361 */     GIR_EraseRootFromParent_Done,
     /* 1223362 */   // Label 17709: @1223362
     /* 1223362 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1223442), // Rule ID 22753 //
     /* 1223367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223406 */     // MIs[0] round
     /* 1223406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1223419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223441 */     // GIR_Coverage, 22753,
     /* 1223441 */     GIR_EraseRootFromParent_Done,
     /* 1223442 */   // Label 17710: @1223442
     /* 1223442 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1223522), // Rule ID 22756 //
     /* 1223447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223486 */     // MIs[0] round
     /* 1223486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223521 */     // GIR_Coverage, 22756,
     /* 1223521 */     GIR_EraseRootFromParent_Done,
     /* 1223522 */   // Label 17711: @1223522
     /* 1223522 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1223602), // Rule ID 22757 //
     /* 1223527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223566 */     // MIs[0] round
     /* 1223566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223601 */     // GIR_Coverage, 22757,
     /* 1223601 */     GIR_EraseRootFromParent_Done,
     /* 1223602 */   // Label 17712: @1223602
     /* 1223602 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223682), // Rule ID 22760 //
     /* 1223607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223646 */     // MIs[0] round
     /* 1223646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223681 */     // GIR_Coverage, 22760,
     /* 1223681 */     GIR_EraseRootFromParent_Done,
     /* 1223682 */   // Label 17713: @1223682
     /* 1223682 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223762), // Rule ID 22761 //
     /* 1223687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223726 */     // MIs[0] round
     /* 1223726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223761 */     // GIR_Coverage, 22761,
     /* 1223761 */     GIR_EraseRootFromParent_Done,
     /* 1223762 */   // Label 17714: @1223762
     /* 1223762 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223842), // Rule ID 22764 //
     /* 1223767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223806 */     // MIs[0] round
     /* 1223806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223841 */     // GIR_Coverage, 22764,
     /* 1223841 */     GIR_EraseRootFromParent_Done,
     /* 1223842 */   // Label 17715: @1223842
     /* 1223842 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1223922), // Rule ID 22765 //
     /* 1223847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223886 */     // MIs[0] round
     /* 1223886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223921 */     // GIR_Coverage, 22765,
     /* 1223921 */     GIR_EraseRootFromParent_Done,
     /* 1223922 */   // Label 17716: @1223922
     /* 1223922 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1224002), // Rule ID 22768 //
     /* 1223927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223966 */     // MIs[0] round
     /* 1223966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223976 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1223979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224001 */     // GIR_Coverage, 22768,
     /* 1224001 */     GIR_EraseRootFromParent_Done,
     /* 1224002 */   // Label 17717: @1224002
     /* 1224002 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1224082), // Rule ID 22769 //
     /* 1224007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224046 */     // MIs[0] round
     /* 1224046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1224059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224081 */     // GIR_Coverage, 22769,
     /* 1224081 */     GIR_EraseRootFromParent_Done,
     /* 1224082 */   // Label 17718: @1224082
     /* 1224082 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1224162), // Rule ID 22772 //
     /* 1224087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224126 */     // MIs[0] round
     /* 1224126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1224139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224161 */     // GIR_Coverage, 22772,
     /* 1224161 */     GIR_EraseRootFromParent_Done,
     /* 1224162 */   // Label 17719: @1224162
     /* 1224162 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1224242), // Rule ID 22773 //
     /* 1224167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224206 */     // MIs[0] round
     /* 1224206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1224219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224241 */     // GIR_Coverage, 22773,
     /* 1224241 */     GIR_EraseRootFromParent_Done,
     /* 1224242 */   // Label 17720: @1224242
     /* 1224242 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1224322), // Rule ID 22776 //
     /* 1224247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224286 */     // MIs[0] round
     /* 1224286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1224299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224321 */     // GIR_Coverage, 22776,
     /* 1224321 */     GIR_EraseRootFromParent_Done,
     /* 1224322 */   // Label 17721: @1224322
     /* 1224322 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1224402), // Rule ID 22777 //
     /* 1224327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224366 */     // MIs[0] round
     /* 1224366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1224379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224401 */     // GIR_Coverage, 22777,
     /* 1224401 */     GIR_EraseRootFromParent_Done,
     /* 1224402 */   // Label 17722: @1224402
     /* 1224402 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1224482), // Rule ID 22780 //
     /* 1224407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224446 */     // MIs[0] round
     /* 1224446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224456 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224481 */     // GIR_Coverage, 22780,
     /* 1224481 */     GIR_EraseRootFromParent_Done,
     /* 1224482 */   // Label 17723: @1224482
     /* 1224482 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1224562), // Rule ID 22781 //
     /* 1224487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224526 */     // MIs[0] round
     /* 1224526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224561 */     // GIR_Coverage, 22781,
     /* 1224561 */     GIR_EraseRootFromParent_Done,
     /* 1224562 */   // Label 17724: @1224562
     /* 1224562 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1224642), // Rule ID 22784 //
     /* 1224567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224606 */     // MIs[0] round
     /* 1224606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224641 */     // GIR_Coverage, 22784,
     /* 1224641 */     GIR_EraseRootFromParent_Done,
     /* 1224642 */   // Label 17725: @1224642
     /* 1224642 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224722), // Rule ID 22785 //
     /* 1224647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224686 */     // MIs[0] round
     /* 1224686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224721 */     // GIR_Coverage, 22785,
     /* 1224721 */     GIR_EraseRootFromParent_Done,
     /* 1224722 */   // Label 17726: @1224722
     /* 1224722 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224802), // Rule ID 22788 //
     /* 1224727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224766 */     // MIs[0] round
     /* 1224766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224776 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224801 */     // GIR_Coverage, 22788,
     /* 1224801 */     GIR_EraseRootFromParent_Done,
     /* 1224802 */   // Label 17727: @1224802
     /* 1224802 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224882), // Rule ID 22789 //
     /* 1224807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224846 */     // MIs[0] round
     /* 1224846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224881 */     // GIR_Coverage, 22789,
     /* 1224881 */     GIR_EraseRootFromParent_Done,
     /* 1224882 */   // Label 17728: @1224882
     /* 1224882 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1224962), // Rule ID 22792 //
     /* 1224887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224926 */     // MIs[0] round
     /* 1224926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1224939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224961 */     // GIR_Coverage, 22792,
     /* 1224961 */     GIR_EraseRootFromParent_Done,
     /* 1224962 */   // Label 17729: @1224962
     /* 1224962 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1225042), // Rule ID 22793 //
     /* 1224967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225006 */     // MIs[0] round
     /* 1225006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1225019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225041 */     // GIR_Coverage, 22793,
     /* 1225041 */     GIR_EraseRootFromParent_Done,
     /* 1225042 */   // Label 17730: @1225042
     /* 1225042 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1225122), // Rule ID 22796 //
     /* 1225047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225086 */     // MIs[0] round
     /* 1225086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1225099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225121 */     // GIR_Coverage, 22796,
     /* 1225121 */     GIR_EraseRootFromParent_Done,
     /* 1225122 */   // Label 17731: @1225122
     /* 1225122 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1225202), // Rule ID 22797 //
     /* 1225127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225166 */     // MIs[0] round
     /* 1225166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1225179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225201 */     // GIR_Coverage, 22797,
     /* 1225201 */     GIR_EraseRootFromParent_Done,
     /* 1225202 */   // Label 17732: @1225202
     /* 1225202 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1225282), // Rule ID 22800 //
     /* 1225207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1225224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225246 */     // MIs[0] round
     /* 1225246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1225259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225281 */     // GIR_Coverage, 22800,
     /* 1225281 */     GIR_EraseRootFromParent_Done,
     /* 1225282 */   // Label 17733: @1225282
     /* 1225282 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1225362), // Rule ID 22801 //
     /* 1225287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1225304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225326 */     // MIs[0] round
     /* 1225326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1225339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225361 */     // GIR_Coverage, 22801,
     /* 1225361 */     GIR_EraseRootFromParent_Done,
     /* 1225362 */   // Label 17734: @1225362
     /* 1225362 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1225442), // Rule ID 22804 //
     /* 1225367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225406 */     // MIs[0] round
     /* 1225406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1225419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225441 */     // GIR_Coverage, 22804,
     /* 1225441 */     GIR_EraseRootFromParent_Done,
     /* 1225442 */   // Label 17735: @1225442
     /* 1225442 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1225522), // Rule ID 22805 //
     /* 1225447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225486 */     // MIs[0] round
     /* 1225486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1225499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225521 */     // GIR_Coverage, 22805,
     /* 1225521 */     GIR_EraseRootFromParent_Done,
     /* 1225522 */   // Label 17736: @1225522
     /* 1225522 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1225602), // Rule ID 22808 //
     /* 1225527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225566 */     // MIs[0] round
     /* 1225566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225601 */     // GIR_Coverage, 22808,
     /* 1225601 */     GIR_EraseRootFromParent_Done,
     /* 1225602 */   // Label 17737: @1225602
     /* 1225602 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225682), // Rule ID 22809 //
     /* 1225607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225646 */     // MIs[0] round
     /* 1225646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225681 */     // GIR_Coverage, 22809,
     /* 1225681 */     GIR_EraseRootFromParent_Done,
     /* 1225682 */   // Label 17738: @1225682
     /* 1225682 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225762), // Rule ID 22812 //
     /* 1225687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225726 */     // MIs[0] round
     /* 1225726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225761 */     // GIR_Coverage, 22812,
     /* 1225761 */     GIR_EraseRootFromParent_Done,
     /* 1225762 */   // Label 17739: @1225762
     /* 1225762 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225842), // Rule ID 22813 //
     /* 1225767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225806 */     // MIs[0] round
     /* 1225806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225816 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225841 */     // GIR_Coverage, 22813,
     /* 1225841 */     GIR_EraseRootFromParent_Done,
     /* 1225842 */   // Label 17740: @1225842
     /* 1225842 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1225922), // Rule ID 22816 //
     /* 1225847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225886 */     // MIs[0] round
     /* 1225886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225921 */     // GIR_Coverage, 22816,
     /* 1225921 */     GIR_EraseRootFromParent_Done,
     /* 1225922 */   // Label 17741: @1225922
     /* 1225922 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1226002), // Rule ID 22817 //
     /* 1225927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225966 */     // MIs[0] round
     /* 1225966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226001 */     // GIR_Coverage, 22817,
     /* 1226001 */     GIR_EraseRootFromParent_Done,
     /* 1226002 */   // Label 17742: @1226002
     /* 1226002 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1226082), // Rule ID 22820 //
     /* 1226007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1226024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226046 */     // MIs[0] round
     /* 1226046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1226059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226081 */     // GIR_Coverage, 22820,
     /* 1226081 */     GIR_EraseRootFromParent_Done,
     /* 1226082 */   // Label 17743: @1226082
     /* 1226082 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1226162), // Rule ID 22821 //
     /* 1226087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1226104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226126 */     // MIs[0] round
     /* 1226126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1226139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226161 */     // GIR_Coverage, 22821,
     /* 1226161 */     GIR_EraseRootFromParent_Done,
     /* 1226162 */   // Label 17744: @1226162
     /* 1226162 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1226242), // Rule ID 22824 //
     /* 1226167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1226184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226206 */     // MIs[0] round
     /* 1226206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1226219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226241 */     // GIR_Coverage, 22824,
     /* 1226241 */     GIR_EraseRootFromParent_Done,
     /* 1226242 */   // Label 17745: @1226242
     /* 1226242 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1226322), // Rule ID 22825 //
     /* 1226247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1226264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226286 */     // MIs[0] round
     /* 1226286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1226299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226321 */     // GIR_Coverage, 22825,
     /* 1226321 */     GIR_EraseRootFromParent_Done,
     /* 1226322 */   // Label 17746: @1226322
     /* 1226322 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1226402), // Rule ID 22948 //
     /* 1226327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226366 */     // MIs[0] round
     /* 1226366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1226379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226401 */     // GIR_Coverage, 22948,
     /* 1226401 */     GIR_EraseRootFromParent_Done,
     /* 1226402 */   // Label 17747: @1226402
     /* 1226402 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1226482), // Rule ID 22949 //
     /* 1226407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226446 */     // MIs[0] round
     /* 1226446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1226459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226481 */     // GIR_Coverage, 22949,
     /* 1226481 */     GIR_EraseRootFromParent_Done,
     /* 1226482 */   // Label 17748: @1226482
     /* 1226482 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1226562), // Rule ID 22952 //
     /* 1226487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226526 */     // MIs[0] round
     /* 1226526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226561 */     // GIR_Coverage, 22952,
     /* 1226561 */     GIR_EraseRootFromParent_Done,
     /* 1226562 */   // Label 17749: @1226562
     /* 1226562 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1226642), // Rule ID 22953 //
     /* 1226567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226606 */     // MIs[0] round
     /* 1226606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226641 */     // GIR_Coverage, 22953,
     /* 1226641 */     GIR_EraseRootFromParent_Done,
     /* 1226642 */   // Label 17750: @1226642
     /* 1226642 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226722), // Rule ID 22956 //
     /* 1226647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226686 */     // MIs[0] round
     /* 1226686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226696 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226721 */     // GIR_Coverage, 22956,
     /* 1226721 */     GIR_EraseRootFromParent_Done,
     /* 1226722 */   // Label 17751: @1226722
     /* 1226722 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226802), // Rule ID 22957 //
     /* 1226727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226766 */     // MIs[0] round
     /* 1226766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226776 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226801 */     // GIR_Coverage, 22957,
     /* 1226801 */     GIR_EraseRootFromParent_Done,
     /* 1226802 */   // Label 17752: @1226802
     /* 1226802 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1226882), // Rule ID 22960 //
     /* 1226807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226846 */     // MIs[0] round
     /* 1226846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226881 */     // GIR_Coverage, 22960,
     /* 1226881 */     GIR_EraseRootFromParent_Done,
     /* 1226882 */   // Label 17753: @1226882
     /* 1226882 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1226962), // Rule ID 22961 //
     /* 1226887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226926 */     // MIs[0] round
     /* 1226926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226961 */     // GIR_Coverage, 22961,
     /* 1226961 */     GIR_EraseRootFromParent_Done,
     /* 1226962 */   // Label 17754: @1226962
     /* 1226962 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1227042), // Rule ID 22964 //
     /* 1226967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227006 */     // MIs[0] round
     /* 1227006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1227019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227041 */     // GIR_Coverage, 22964,
     /* 1227041 */     GIR_EraseRootFromParent_Done,
     /* 1227042 */   // Label 17755: @1227042
     /* 1227042 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1227122), // Rule ID 22965 //
     /* 1227047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1227064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227086 */     // MIs[0] round
     /* 1227086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1227099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227121 */     // GIR_Coverage, 22965,
     /* 1227121 */     GIR_EraseRootFromParent_Done,
     /* 1227122 */   // Label 17756: @1227122
     /* 1227122 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1227202), // Rule ID 22968 //
     /* 1227127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227166 */     // MIs[0] round
     /* 1227166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1227179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227201 */     // GIR_Coverage, 22968,
     /* 1227201 */     GIR_EraseRootFromParent_Done,
     /* 1227202 */   // Label 17757: @1227202
     /* 1227202 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1227282), // Rule ID 22969 //
     /* 1227207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227246 */     // MIs[0] round
     /* 1227246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1227259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227281 */     // GIR_Coverage, 22969,
     /* 1227281 */     GIR_EraseRootFromParent_Done,
     /* 1227282 */   // Label 17758: @1227282
     /* 1227282 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1227362), // Rule ID 22972 //
     /* 1227287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227326 */     // MIs[0] round
     /* 1227326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1227339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227361 */     // GIR_Coverage, 22972,
     /* 1227361 */     GIR_EraseRootFromParent_Done,
     /* 1227362 */   // Label 17759: @1227362
     /* 1227362 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1227442), // Rule ID 22973 //
     /* 1227367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227406 */     // MIs[0] round
     /* 1227406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1227419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227441 */     // GIR_Coverage, 22973,
     /* 1227441 */     GIR_EraseRootFromParent_Done,
     /* 1227442 */   // Label 17760: @1227442
     /* 1227442 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1227522), // Rule ID 22976 //
     /* 1227447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227486 */     // MIs[0] round
     /* 1227486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227521 */     // GIR_Coverage, 22976,
     /* 1227521 */     GIR_EraseRootFromParent_Done,
     /* 1227522 */   // Label 17761: @1227522
     /* 1227522 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1227602), // Rule ID 22977 //
     /* 1227527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227566 */     // MIs[0] round
     /* 1227566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227601 */     // GIR_Coverage, 22977,
     /* 1227601 */     GIR_EraseRootFromParent_Done,
     /* 1227602 */   // Label 17762: @1227602
     /* 1227602 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227682), // Rule ID 22980 //
     /* 1227607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227646 */     // MIs[0] round
     /* 1227646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227681 */     // GIR_Coverage, 22980,
     /* 1227681 */     GIR_EraseRootFromParent_Done,
     /* 1227682 */   // Label 17763: @1227682
     /* 1227682 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227762), // Rule ID 22981 //
     /* 1227687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227726 */     // MIs[0] round
     /* 1227726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227761 */     // GIR_Coverage, 22981,
     /* 1227761 */     GIR_EraseRootFromParent_Done,
     /* 1227762 */   // Label 17764: @1227762
     /* 1227762 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227842), // Rule ID 22984 //
     /* 1227767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227806 */     // MIs[0] round
     /* 1227806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227841 */     // GIR_Coverage, 22984,
     /* 1227841 */     GIR_EraseRootFromParent_Done,
     /* 1227842 */   // Label 17765: @1227842
     /* 1227842 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1227922), // Rule ID 22985 //
     /* 1227847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227886 */     // MIs[0] round
     /* 1227886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227921 */     // GIR_Coverage, 22985,
     /* 1227921 */     GIR_EraseRootFromParent_Done,
     /* 1227922 */   // Label 17766: @1227922
     /* 1227922 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1228002), // Rule ID 22988 //
     /* 1227927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227966 */     // MIs[0] round
     /* 1227966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1227979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228001 */     // GIR_Coverage, 22988,
     /* 1228001 */     GIR_EraseRootFromParent_Done,
     /* 1228002 */   // Label 17767: @1228002
     /* 1228002 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1228082), // Rule ID 22989 //
     /* 1228007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1228015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228046 */     // MIs[0] round
     /* 1228046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1228059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228081 */     // GIR_Coverage, 22989,
     /* 1228081 */     GIR_EraseRootFromParent_Done,
     /* 1228082 */   // Label 17768: @1228082
     /* 1228082 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1228162), // Rule ID 22992 //
     /* 1228087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228126 */     // MIs[0] round
     /* 1228126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1228139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228161 */     // GIR_Coverage, 22992,
     /* 1228161 */     GIR_EraseRootFromParent_Done,
     /* 1228162 */   // Label 17769: @1228162
     /* 1228162 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1228242), // Rule ID 22993 //
     /* 1228167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228206 */     // MIs[0] round
     /* 1228206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1228219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228241 */     // GIR_Coverage, 22993,
     /* 1228241 */     GIR_EraseRootFromParent_Done,
     /* 1228242 */   // Label 17770: @1228242
     /* 1228242 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1228322), // Rule ID 22996 //
     /* 1228247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228286 */     // MIs[0] round
     /* 1228286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1228299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228321 */     // GIR_Coverage, 22996,
     /* 1228321 */     GIR_EraseRootFromParent_Done,
     /* 1228322 */   // Label 17771: @1228322
     /* 1228322 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1228402), // Rule ID 22997 //
     /* 1228327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228366 */     // MIs[0] round
     /* 1228366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1228379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228401 */     // GIR_Coverage, 22997,
     /* 1228401 */     GIR_EraseRootFromParent_Done,
     /* 1228402 */   // Label 17772: @1228402
     /* 1228402 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1228482), // Rule ID 23000 //
     /* 1228407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228446 */     // MIs[0] round
     /* 1228446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228481 */     // GIR_Coverage, 23000,
     /* 1228481 */     GIR_EraseRootFromParent_Done,
     /* 1228482 */   // Label 17773: @1228482
     /* 1228482 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1228562), // Rule ID 23001 //
     /* 1228487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228526 */     // MIs[0] round
     /* 1228526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228536 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228561 */     // GIR_Coverage, 23001,
     /* 1228561 */     GIR_EraseRootFromParent_Done,
     /* 1228562 */   // Label 17774: @1228562
     /* 1228562 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1228642), // Rule ID 23004 //
     /* 1228567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228606 */     // MIs[0] round
     /* 1228606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228641 */     // GIR_Coverage, 23004,
     /* 1228641 */     GIR_EraseRootFromParent_Done,
     /* 1228642 */   // Label 17775: @1228642
     /* 1228642 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228722), // Rule ID 23005 //
     /* 1228647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228686 */     // MIs[0] round
     /* 1228686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228721 */     // GIR_Coverage, 23005,
     /* 1228721 */     GIR_EraseRootFromParent_Done,
     /* 1228722 */   // Label 17776: @1228722
     /* 1228722 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228802), // Rule ID 23008 //
     /* 1228727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228766 */     // MIs[0] round
     /* 1228766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228776 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228801 */     // GIR_Coverage, 23008,
     /* 1228801 */     GIR_EraseRootFromParent_Done,
     /* 1228802 */   // Label 17777: @1228802
     /* 1228802 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1228882), // Rule ID 23009 //
     /* 1228807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228846 */     // MIs[0] round
     /* 1228846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228881 */     // GIR_Coverage, 23009,
     /* 1228881 */     GIR_EraseRootFromParent_Done,
     /* 1228882 */   // Label 17778: @1228882
     /* 1228882 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1228962), // Rule ID 23012 //
     /* 1228887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228926 */     // MIs[0] round
     /* 1228926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1228939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228961 */     // GIR_Coverage, 23012,
     /* 1228961 */     GIR_EraseRootFromParent_Done,
     /* 1228962 */   // Label 17779: @1228962
     /* 1228962 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1229042), // Rule ID 23013 //
     /* 1228967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229006 */     // MIs[0] round
     /* 1229006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1229019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229041 */     // GIR_Coverage, 23013,
     /* 1229041 */     GIR_EraseRootFromParent_Done,
     /* 1229042 */   // Label 17780: @1229042
     /* 1229042 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1229122), // Rule ID 23016 //
     /* 1229047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229086 */     // MIs[0] round
     /* 1229086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1229099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229121 */     // GIR_Coverage, 23016,
     /* 1229121 */     GIR_EraseRootFromParent_Done,
     /* 1229122 */   // Label 17781: @1229122
     /* 1229122 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1229202), // Rule ID 23017 //
     /* 1229127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229166 */     // MIs[0] round
     /* 1229166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1229179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229201 */     // GIR_Coverage, 23017,
     /* 1229201 */     GIR_EraseRootFromParent_Done,
     /* 1229202 */   // Label 17782: @1229202
     /* 1229202 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1229282), // Rule ID 23020 //
     /* 1229207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229246 */     // MIs[0] round
     /* 1229246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1229259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229281 */     // GIR_Coverage, 23020,
     /* 1229281 */     GIR_EraseRootFromParent_Done,
     /* 1229282 */   // Label 17783: @1229282
     /* 1229282 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1229362), // Rule ID 23021 //
     /* 1229287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229326 */     // MIs[0] round
     /* 1229326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1229339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229361 */     // GIR_Coverage, 23021,
     /* 1229361 */     GIR_EraseRootFromParent_Done,
     /* 1229362 */   // Label 17784: @1229362
     /* 1229362 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1229442), // Rule ID 23024 //
     /* 1229367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229406 */     // MIs[0] round
     /* 1229406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229416 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1229419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229441 */     // GIR_Coverage, 23024,
     /* 1229441 */     GIR_EraseRootFromParent_Done,
     /* 1229442 */   // Label 17785: @1229442
     /* 1229442 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1229522), // Rule ID 23025 //
     /* 1229447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229486 */     // MIs[0] round
     /* 1229486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1229499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229521 */     // GIR_Coverage, 23025,
     /* 1229521 */     GIR_EraseRootFromParent_Done,
     /* 1229522 */   // Label 17786: @1229522
     /* 1229522 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1229602), // Rule ID 23028 //
     /* 1229527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229566 */     // MIs[0] round
     /* 1229566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229601 */     // GIR_Coverage, 23028,
     /* 1229601 */     GIR_EraseRootFromParent_Done,
     /* 1229602 */   // Label 17787: @1229602
     /* 1229602 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229682), // Rule ID 23029 //
     /* 1229607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229646 */     // MIs[0] round
     /* 1229646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229681 */     // GIR_Coverage, 23029,
     /* 1229681 */     GIR_EraseRootFromParent_Done,
     /* 1229682 */   // Label 17788: @1229682
     /* 1229682 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229762), // Rule ID 23032 //
     /* 1229687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229726 */     // MIs[0] round
     /* 1229726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229761 */     // GIR_Coverage, 23032,
     /* 1229761 */     GIR_EraseRootFromParent_Done,
     /* 1229762 */   // Label 17789: @1229762
     /* 1229762 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1229842), // Rule ID 23033 //
     /* 1229767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229806 */     // MIs[0] round
     /* 1229806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229841 */     // GIR_Coverage, 23033,
     /* 1229841 */     GIR_EraseRootFromParent_Done,
     /* 1229842 */   // Label 17790: @1229842
     /* 1229842 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1229922), // Rule ID 64268 //
     /* 1229847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229886 */     // MIs[0] round
     /* 1229886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229921 */     // GIR_Coverage, 64268,
     /* 1229921 */     GIR_EraseRootFromParent_Done,
     /* 1229922 */   // Label 17791: @1229922
     /* 1229922 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1230002), // Rule ID 64269 //
     /* 1229927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229966 */     // MIs[0] round
     /* 1229966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230001 */     // GIR_Coverage, 64269,
     /* 1230001 */     GIR_EraseRootFromParent_Done,
     /* 1230002 */   // Label 17792: @1230002
     /* 1230002 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1230082), // Rule ID 64272 //
     /* 1230007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230046 */     // MIs[0] round
     /* 1230046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1230059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230081 */     // GIR_Coverage, 64272,
     /* 1230081 */     GIR_EraseRootFromParent_Done,
     /* 1230082 */   // Label 17793: @1230082
     /* 1230082 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1230162), // Rule ID 64273 //
     /* 1230087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230126 */     // MIs[0] round
     /* 1230126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1230139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230161 */     // GIR_Coverage, 64273,
     /* 1230161 */     GIR_EraseRootFromParent_Done,
     /* 1230162 */   // Label 17794: @1230162
     /* 1230162 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1230242), // Rule ID 64276 //
     /* 1230167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230206 */     // MIs[0] round
     /* 1230206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230216 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1230219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230241 */     // GIR_Coverage, 64276,
     /* 1230241 */     GIR_EraseRootFromParent_Done,
     /* 1230242 */   // Label 17795: @1230242
     /* 1230242 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1230322), // Rule ID 64277 //
     /* 1230247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230286 */     // MIs[0] round
     /* 1230286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1230299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230321 */     // GIR_Coverage, 64277,
     /* 1230321 */     GIR_EraseRootFromParent_Done,
     /* 1230322 */   // Label 17796: @1230322
     /* 1230322 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1230402), // Rule ID 64280 //
     /* 1230327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230366 */     // MIs[0] round
     /* 1230366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1230379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230401 */     // GIR_Coverage, 64280,
     /* 1230401 */     GIR_EraseRootFromParent_Done,
     /* 1230402 */   // Label 17797: @1230402
     /* 1230402 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1230482), // Rule ID 64281 //
     /* 1230407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230446 */     // MIs[0] round
     /* 1230446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1230459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230481 */     // GIR_Coverage, 64281,
     /* 1230481 */     GIR_EraseRootFromParent_Done,
     /* 1230482 */   // Label 17798: @1230482
     /* 1230482 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1230562), // Rule ID 64284 //
     /* 1230487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230526 */     // MIs[0] round
     /* 1230526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230561 */     // GIR_Coverage, 64284,
     /* 1230561 */     GIR_EraseRootFromParent_Done,
     /* 1230562 */   // Label 17799: @1230562
     /* 1230562 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1230642), // Rule ID 64285 //
     /* 1230567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230606 */     // MIs[0] round
     /* 1230606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230641 */     // GIR_Coverage, 64285,
     /* 1230641 */     GIR_EraseRootFromParent_Done,
     /* 1230642 */   // Label 17800: @1230642
     /* 1230642 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230722), // Rule ID 64288 //
     /* 1230647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230686 */     // MIs[0] round
     /* 1230686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230721 */     // GIR_Coverage, 64288,
     /* 1230721 */     GIR_EraseRootFromParent_Done,
     /* 1230722 */   // Label 17801: @1230722
     /* 1230722 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230802), // Rule ID 64289 //
     /* 1230727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230766 */     // MIs[0] round
     /* 1230766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230801 */     // GIR_Coverage, 64289,
     /* 1230801 */     GIR_EraseRootFromParent_Done,
     /* 1230802 */   // Label 17802: @1230802
     /* 1230802 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1230882), // Rule ID 64292 //
     /* 1230807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230846 */     // MIs[0] round
     /* 1230846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230881 */     // GIR_Coverage, 64292,
     /* 1230881 */     GIR_EraseRootFromParent_Done,
     /* 1230882 */   // Label 17803: @1230882
     /* 1230882 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1230962), // Rule ID 64293 //
     /* 1230887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230926 */     // MIs[0] round
     /* 1230926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230936 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230961 */     // GIR_Coverage, 64293,
     /* 1230961 */     GIR_EraseRootFromParent_Done,
     /* 1230962 */   // Label 17804: @1230962
     /* 1230962 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1231042), // Rule ID 64296 //
     /* 1230967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231006 */     // MIs[0] round
     /* 1231006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231016 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1231019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231041 */     // GIR_Coverage, 64296,
     /* 1231041 */     GIR_EraseRootFromParent_Done,
     /* 1231042 */   // Label 17805: @1231042
     /* 1231042 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1231122), // Rule ID 64297 //
     /* 1231047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1231050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1231058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1231061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231086 */     // MIs[0] round
     /* 1231086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1231099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231121 */     // GIR_Coverage, 64297,
     /* 1231121 */     GIR_EraseRootFromParent_Done,
     /* 1231122 */   // Label 17806: @1231122
     /* 1231122 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1231202), // Rule ID 64300 //
     /* 1231127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1231130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231166 */     // MIs[0] round
     /* 1231166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1231179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231201 */     // GIR_Coverage, 64300,
     /* 1231201 */     GIR_EraseRootFromParent_Done,
     /* 1231202 */   // Label 17807: @1231202
     /* 1231202 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1231282), // Rule ID 64301 //
     /* 1231207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1231210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231246 */     // MIs[0] round
     /* 1231246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231256 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1231259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231281 */     // GIR_Coverage, 64301,
     /* 1231281 */     GIR_EraseRootFromParent_Done,
     /* 1231282 */   // Label 17808: @1231282
     /* 1231282 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1231362), // Rule ID 64304 //
     /* 1231287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1231290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1231298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1231301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231326 */     // MIs[0] round
     /* 1231326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1231339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231361 */     // GIR_Coverage, 64304,
     /* 1231361 */     GIR_EraseRootFromParent_Done,
     /* 1231362 */   // Label 17809: @1231362
     /* 1231362 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1231442), // Rule ID 64305 //
     /* 1231367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1231370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1231378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1231381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231406 */     // MIs[0] round
     /* 1231406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1231419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231441 */     // GIR_Coverage, 64305,
     /* 1231441 */     GIR_EraseRootFromParent_Done,
     /* 1231442 */   // Label 17810: @1231442
     /* 1231442 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1231526), // Rule ID 2608 //
     /* 1231447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231525 */     // GIR_Coverage, 2608,
     /* 1231525 */     GIR_EraseRootFromParent_Done,
     /* 1231526 */   // Label 17811: @1231526
     /* 1231526 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1231610), // Rule ID 2609 //
     /* 1231531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231609 */     // GIR_Coverage, 2609,
     /* 1231609 */     GIR_EraseRootFromParent_Done,
     /* 1231610 */   // Label 17812: @1231610
     /* 1231610 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231694), // Rule ID 2620 //
     /* 1231615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231668 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231693 */     // GIR_Coverage, 2620,
     /* 1231693 */     GIR_EraseRootFromParent_Done,
     /* 1231694 */   // Label 17813: @1231694
     /* 1231694 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231778), // Rule ID 2621 //
     /* 1231699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231777 */     // GIR_Coverage, 2621,
     /* 1231777 */     GIR_EraseRootFromParent_Done,
     /* 1231778 */   // Label 17814: @1231778
     /* 1231778 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1231859), // Rule ID 2622 //
     /* 1231783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231858 */     // GIR_Coverage, 2622,
     /* 1231858 */     GIR_EraseRootFromParent_Done,
     /* 1231859 */   // Label 17815: @1231859
     /* 1231859 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1231940), // Rule ID 2623 //
     /* 1231864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231917 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231939 */     // GIR_Coverage, 2623,
     /* 1231939 */     GIR_EraseRootFromParent_Done,
     /* 1231940 */   // Label 17816: @1231940
     /* 1231940 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1232024), // Rule ID 2672 //
     /* 1231945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1231953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1232001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232023 */     // GIR_Coverage, 2672,
     /* 1232023 */     GIR_EraseRootFromParent_Done,
     /* 1232024 */   // Label 17817: @1232024
     /* 1232024 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1232108), // Rule ID 2673 //
     /* 1232029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1232037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1232046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1232085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232107 */     // GIR_Coverage, 2673,
     /* 1232107 */     GIR_EraseRootFromParent_Done,
     /* 1232108 */   // Label 17818: @1232108
     /* 1232108 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1232189), // Rule ID 5000 //
     /* 1232113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1232124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1232127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1232133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232166 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232188 */     // GIR_Coverage, 5000,
     /* 1232188 */     GIR_EraseRootFromParent_Done,
     /* 1232189 */   // Label 17819: @1232189
     /* 1232189 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1232270), // Rule ID 5001 //
     /* 1232194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1232205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1232208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1232214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232269 */     // GIR_Coverage, 5001,
     /* 1232269 */     GIR_EraseRootFromParent_Done,
     /* 1232270 */   // Label 17820: @1232270
     /* 1232270 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1232351), // Rule ID 5002 //
     /* 1232275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1232286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1232289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1232292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1232295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232350 */     // GIR_Coverage, 5002,
     /* 1232350 */     GIR_EraseRootFromParent_Done,
     /* 1232351 */   // Label 17821: @1232351
     /* 1232351 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1232432), // Rule ID 5003 //
     /* 1232356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1232367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1232370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1232373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1232376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232431 */     // GIR_Coverage, 5003,
     /* 1232431 */     GIR_EraseRootFromParent_Done,
     /* 1232432 */   // Label 17822: @1232432
     /* 1232432 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1232513), // Rule ID 5004 //
     /* 1232437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232512 */     // GIR_Coverage, 5004,
     /* 1232512 */     GIR_EraseRootFromParent_Done,
     /* 1232513 */   // Label 17823: @1232513
     /* 1232513 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1232594), // Rule ID 5005 //
     /* 1232518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232593 */     // GIR_Coverage, 5005,
     /* 1232593 */     GIR_EraseRootFromParent_Done,
     /* 1232594 */   // Label 17824: @1232594
     /* 1232594 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1232675), // Rule ID 5006 //
     /* 1232599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232674 */     // GIR_Coverage, 5006,
     /* 1232674 */     GIR_EraseRootFromParent_Done,
     /* 1232675 */   // Label 17825: @1232675
     /* 1232675 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232756), // Rule ID 5007 //
     /* 1232680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232755 */     // GIR_Coverage, 5007,
     /* 1232755 */     GIR_EraseRootFromParent_Done,
     /* 1232756 */   // Label 17826: @1232756
     /* 1232756 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1232837), // Rule ID 5008 //
     /* 1232761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232836 */     // GIR_Coverage, 5008,
     /* 1232836 */     GIR_EraseRootFromParent_Done,
     /* 1232837 */   // Label 17827: @1232837
     /* 1232837 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1232918), // Rule ID 5009 //
     /* 1232842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232895 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232917 */     // GIR_Coverage, 5009,
     /* 1232917 */     GIR_EraseRootFromParent_Done,
     /* 1232918 */   // Label 17828: @1232918
     /* 1232918 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1232999), // Rule ID 5010 //
     /* 1232923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1232940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232998 */     // GIR_Coverage, 5010,
     /* 1232998 */     GIR_EraseRootFromParent_Done,
     /* 1232999 */   // Label 17829: @1232999
     /* 1232999 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1233080), // Rule ID 5011 //
     /* 1233004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1233015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1233018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1233021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1233024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233079 */     // GIR_Coverage, 5011,
     /* 1233079 */     GIR_EraseRootFromParent_Done,
     /* 1233080 */   // Label 17830: @1233080
     /* 1233080 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1233161), // Rule ID 5012 //
     /* 1233085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233160 */     // GIR_Coverage, 5012,
     /* 1233160 */     GIR_EraseRootFromParent_Done,
     /* 1233161 */   // Label 17831: @1233161
     /* 1233161 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1233242), // Rule ID 5013 //
     /* 1233166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233241 */     // GIR_Coverage, 5013,
     /* 1233241 */     GIR_EraseRootFromParent_Done,
     /* 1233242 */   // Label 17832: @1233242
     /* 1233242 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1233323), // Rule ID 5014 //
     /* 1233247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233322 */     // GIR_Coverage, 5014,
     /* 1233322 */     GIR_EraseRootFromParent_Done,
     /* 1233323 */   // Label 17833: @1233323
     /* 1233323 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1233404), // Rule ID 5015 //
     /* 1233328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233381 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233403 */     // GIR_Coverage, 5015,
     /* 1233403 */     GIR_EraseRootFromParent_Done,
     /* 1233404 */   // Label 17834: @1233404
     /* 1233404 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1233485), // Rule ID 5016 //
     /* 1233409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1233412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233484 */     // GIR_Coverage, 5016,
     /* 1233484 */     GIR_EraseRootFromParent_Done,
     /* 1233485 */   // Label 17835: @1233485
     /* 1233485 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1233566), // Rule ID 5017 //
     /* 1233490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1233493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233565 */     // GIR_Coverage, 5017,
     /* 1233565 */     GIR_EraseRootFromParent_Done,
     /* 1233566 */   // Label 17836: @1233566
     /* 1233566 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1233647), // Rule ID 5018 //
     /* 1233571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233646 */     // GIR_Coverage, 5018,
     /* 1233646 */     GIR_EraseRootFromParent_Done,
     /* 1233647 */   // Label 17837: @1233647
     /* 1233647 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233728), // Rule ID 5019 //
     /* 1233652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233705 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233727 */     // GIR_Coverage, 5019,
     /* 1233727 */     GIR_EraseRootFromParent_Done,
     /* 1233728 */   // Label 17838: @1233728
     /* 1233728 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233809), // Rule ID 5020 //
     /* 1233733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233808 */     // GIR_Coverage, 5020,
     /* 1233808 */     GIR_EraseRootFromParent_Done,
     /* 1233809 */   // Label 17839: @1233809
     /* 1233809 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1233890), // Rule ID 5021 //
     /* 1233814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233867 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233889 */     // GIR_Coverage, 5021,
     /* 1233889 */     GIR_EraseRootFromParent_Done,
     /* 1233890 */   // Label 17840: @1233890
     /* 1233890 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1233971), // Rule ID 5022 //
     /* 1233895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233970 */     // GIR_Coverage, 5022,
     /* 1233970 */     GIR_EraseRootFromParent_Done,
     /* 1233971 */   // Label 17841: @1233971
     /* 1233971 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1234052), // Rule ID 5023 //
     /* 1233976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234029 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234051 */     // GIR_Coverage, 5023,
     /* 1234051 */     GIR_EraseRootFromParent_Done,
     /* 1234052 */   // Label 17842: @1234052
     /* 1234052 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1234133), // Rule ID 5024 //
     /* 1234057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1234068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1234071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1234074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1234077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234132 */     // GIR_Coverage, 5024,
     /* 1234132 */     GIR_EraseRootFromParent_Done,
     /* 1234133 */   // Label 17843: @1234133
     /* 1234133 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1234214), // Rule ID 5025 //
     /* 1234138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1234149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1234152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1234155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1234158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234191 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234213 */     // GIR_Coverage, 5025,
     /* 1234213 */     GIR_EraseRootFromParent_Done,
     /* 1234214 */   // Label 17844: @1234214
     /* 1234214 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1234295), // Rule ID 5026 //
     /* 1234219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1234230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1234233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1234236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1234239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234294 */     // GIR_Coverage, 5026,
     /* 1234294 */     GIR_EraseRootFromParent_Done,
     /* 1234295 */   // Label 17845: @1234295
     /* 1234295 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1234376), // Rule ID 5027 //
     /* 1234300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1234311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1234314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1234317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1234320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234353 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234375 */     // GIR_Coverage, 5027,
     /* 1234375 */     GIR_EraseRootFromParent_Done,
     /* 1234376 */   // Label 17846: @1234376
     /* 1234376 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1234457), // Rule ID 5028 //
     /* 1234381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1234392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1234395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1234401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234456 */     // GIR_Coverage, 5028,
     /* 1234456 */     GIR_EraseRootFromParent_Done,
     /* 1234457 */   // Label 17847: @1234457
     /* 1234457 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1234538), // Rule ID 5029 //
     /* 1234462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1234473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1234476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1234482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234537 */     // GIR_Coverage, 5029,
     /* 1234537 */     GIR_EraseRootFromParent_Done,
     /* 1234538 */   // Label 17848: @1234538
     /* 1234538 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1234619), // Rule ID 5030 //
     /* 1234543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234618 */     // GIR_Coverage, 5030,
     /* 1234618 */     GIR_EraseRootFromParent_Done,
     /* 1234619 */   // Label 17849: @1234619
     /* 1234619 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1234700), // Rule ID 5031 //
     /* 1234624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234699 */     // GIR_Coverage, 5031,
     /* 1234699 */     GIR_EraseRootFromParent_Done,
     /* 1234700 */   // Label 17850: @1234700
     /* 1234700 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234781), // Rule ID 5032 //
     /* 1234705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234780 */     // GIR_Coverage, 5032,
     /* 1234780 */     GIR_EraseRootFromParent_Done,
     /* 1234781 */   // Label 17851: @1234781
     /* 1234781 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1234862), // Rule ID 5033 //
     /* 1234786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234861 */     // GIR_Coverage, 5033,
     /* 1234861 */     GIR_EraseRootFromParent_Done,
     /* 1234862 */   // Label 17852: @1234862
     /* 1234862 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1234943), // Rule ID 5034 //
     /* 1234867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234942 */     // GIR_Coverage, 5034,
     /* 1234942 */     GIR_EraseRootFromParent_Done,
     /* 1234943 */   // Label 17853: @1234943
     /* 1234943 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1235024), // Rule ID 5035 //
     /* 1234948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235023 */     // GIR_Coverage, 5035,
     /* 1235023 */     GIR_EraseRootFromParent_Done,
     /* 1235024 */   // Label 17854: @1235024
     /* 1235024 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1235105), // Rule ID 5036 //
     /* 1235029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1235040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1235043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1235046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1235049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1235085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235104 */     // GIR_Coverage, 5036,
     /* 1235104 */     GIR_EraseRootFromParent_Done,
     /* 1235105 */   // Label 17855: @1235105
     /* 1235105 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1235186), // Rule ID 5037 //
     /* 1235110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1235121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1235124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1235127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1235130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1235166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235185 */     // GIR_Coverage, 5037,
     /* 1235185 */     GIR_EraseRootFromParent_Done,
     /* 1235186 */   // Label 17856: @1235186
     /* 1235186 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1235267), // Rule ID 5038 //
     /* 1235191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1235202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1235205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1235208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1235211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1235247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235266 */     // GIR_Coverage, 5038,
     /* 1235266 */     GIR_EraseRootFromParent_Done,
     /* 1235267 */   // Label 17857: @1235267
     /* 1235267 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1235348), // Rule ID 5039 //
     /* 1235272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1235283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1235286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1235289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1235292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235325 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1235328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235347 */     // GIR_Coverage, 5039,
     /* 1235347 */     GIR_EraseRootFromParent_Done,
     /* 1235348 */   // Label 17858: @1235348
     /* 1235348 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1235429), // Rule ID 5040 //
     /* 1235353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1235364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1235367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1235373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235428 */     // GIR_Coverage, 5040,
     /* 1235428 */     GIR_EraseRootFromParent_Done,
     /* 1235429 */   // Label 17859: @1235429
     /* 1235429 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1235510), // Rule ID 5041 //
     /* 1235434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1235445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1235448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1235454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235487 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235509 */     // GIR_Coverage, 5041,
     /* 1235509 */     GIR_EraseRootFromParent_Done,
     /* 1235510 */   // Label 17860: @1235510
     /* 1235510 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1235591), // Rule ID 5042 //
     /* 1235515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235590 */     // GIR_Coverage, 5042,
     /* 1235590 */     GIR_EraseRootFromParent_Done,
     /* 1235591 */   // Label 17861: @1235591
     /* 1235591 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1235672), // Rule ID 5043 //
     /* 1235596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235649 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235671 */     // GIR_Coverage, 5043,
     /* 1235671 */     GIR_EraseRootFromParent_Done,
     /* 1235672 */   // Label 17862: @1235672
     /* 1235672 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235753), // Rule ID 5044 //
     /* 1235677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235752 */     // GIR_Coverage, 5044,
     /* 1235752 */     GIR_EraseRootFromParent_Done,
     /* 1235753 */   // Label 17863: @1235753
     /* 1235753 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1235834), // Rule ID 5045 //
     /* 1235758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235811 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235833 */     // GIR_Coverage, 5045,
     /* 1235833 */     GIR_EraseRootFromParent_Done,
     /* 1235834 */   // Label 17864: @1235834
     /* 1235834 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1235915), // Rule ID 5046 //
     /* 1235839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235914 */     // GIR_Coverage, 5046,
     /* 1235914 */     GIR_EraseRootFromParent_Done,
     /* 1235915 */   // Label 17865: @1235915
     /* 1235915 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1235996), // Rule ID 5047 //
     /* 1235920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235973 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235995 */     // GIR_Coverage, 5047,
     /* 1235995 */     GIR_EraseRootFromParent_Done,
     /* 1235996 */   // Label 17866: @1235996
     /* 1235996 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1236077), // Rule ID 5048 //
     /* 1236001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1236057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236076 */     // GIR_Coverage, 5048,
     /* 1236076 */     GIR_EraseRootFromParent_Done,
     /* 1236077 */   // Label 17867: @1236077
     /* 1236077 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1236158), // Rule ID 5049 //
     /* 1236082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1236138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236157 */     // GIR_Coverage, 5049,
     /* 1236157 */     GIR_EraseRootFromParent_Done,
     /* 1236158 */   // Label 17868: @1236158
     /* 1236158 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1236239), // Rule ID 5050 //
     /* 1236163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236238 */     // GIR_Coverage, 5050,
     /* 1236238 */     GIR_EraseRootFromParent_Done,
     /* 1236239 */   // Label 17869: @1236239
     /* 1236239 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1236320), // Rule ID 5051 //
     /* 1236244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236319 */     // GIR_Coverage, 5051,
     /* 1236319 */     GIR_EraseRootFromParent_Done,
     /* 1236320 */   // Label 17870: @1236320
     /* 1236320 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1236401), // Rule ID 5052 //
     /* 1236325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1236336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1236339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1236342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236400 */     // GIR_Coverage, 5052,
     /* 1236400 */     GIR_EraseRootFromParent_Done,
     /* 1236401 */   // Label 17871: @1236401
     /* 1236401 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1236482), // Rule ID 5053 //
     /* 1236406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1236417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1236420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1236423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236481 */     // GIR_Coverage, 5053,
     /* 1236481 */     GIR_EraseRootFromParent_Done,
     /* 1236482 */   // Label 17872: @1236482
     /* 1236482 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1236563), // Rule ID 5054 //
     /* 1236487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236562 */     // GIR_Coverage, 5054,
     /* 1236562 */     GIR_EraseRootFromParent_Done,
     /* 1236563 */   // Label 17873: @1236563
     /* 1236563 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1236644), // Rule ID 5055 //
     /* 1236568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236643 */     // GIR_Coverage, 5055,
     /* 1236643 */     GIR_EraseRootFromParent_Done,
     /* 1236644 */   // Label 17874: @1236644
     /* 1236644 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1236725), // Rule ID 5056 //
     /* 1236649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236724 */     // GIR_Coverage, 5056,
     /* 1236724 */     GIR_EraseRootFromParent_Done,
     /* 1236725 */   // Label 17875: @1236725
     /* 1236725 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236806), // Rule ID 5057 //
     /* 1236730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236805 */     // GIR_Coverage, 5057,
     /* 1236805 */     GIR_EraseRootFromParent_Done,
     /* 1236806 */   // Label 17876: @1236806
     /* 1236806 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1236887), // Rule ID 5058 //
     /* 1236811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236886 */     // GIR_Coverage, 5058,
     /* 1236886 */     GIR_EraseRootFromParent_Done,
     /* 1236887 */   // Label 17877: @1236887
     /* 1236887 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1236968), // Rule ID 5059 //
     /* 1236892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236945 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236967 */     // GIR_Coverage, 5059,
     /* 1236967 */     GIR_EraseRootFromParent_Done,
     /* 1236968 */   // Label 17878: @1236968
     /* 1236968 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1237049), // Rule ID 5060 //
     /* 1236973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1236990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1237029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237048 */     // GIR_Coverage, 5060,
     /* 1237048 */     GIR_EraseRootFromParent_Done,
     /* 1237049 */   // Label 17879: @1237049
     /* 1237049 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1237130), // Rule ID 5061 //
     /* 1237054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1237057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1237110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237129 */     // GIR_Coverage, 5061,
     /* 1237129 */     GIR_EraseRootFromParent_Done,
     /* 1237130 */   // Label 17880: @1237130
     /* 1237130 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1237211), // Rule ID 5062 //
     /* 1237135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1237146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1237149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1237152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237210 */     // GIR_Coverage, 5062,
     /* 1237210 */     GIR_EraseRootFromParent_Done,
     /* 1237211 */   // Label 17881: @1237211
     /* 1237211 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1237292), // Rule ID 5063 //
     /* 1237216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1237227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1237230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1237233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237269 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237291 */     // GIR_Coverage, 5063,
     /* 1237291 */     GIR_EraseRootFromParent_Done,
     /* 1237292 */   // Label 17882: @1237292
     /* 1237292 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1237373), // Rule ID 5064 //
     /* 1237297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1237308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1237311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1237314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237372 */     // GIR_Coverage, 5064,
     /* 1237372 */     GIR_EraseRootFromParent_Done,
     /* 1237373 */   // Label 17883: @1237373
     /* 1237373 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1237454), // Rule ID 5065 //
     /* 1237378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1237389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1237392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1237395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237431 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237453 */     // GIR_Coverage, 5065,
     /* 1237453 */     GIR_EraseRootFromParent_Done,
     /* 1237454 */   // Label 17884: @1237454
     /* 1237454 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1237535), // Rule ID 5066 //
     /* 1237459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237534 */     // GIR_Coverage, 5066,
     /* 1237534 */     GIR_EraseRootFromParent_Done,
     /* 1237535 */   // Label 17885: @1237535
     /* 1237535 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1237616), // Rule ID 5067 //
     /* 1237540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237593 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237615 */     // GIR_Coverage, 5067,
     /* 1237615 */     GIR_EraseRootFromParent_Done,
     /* 1237616 */   // Label 17886: @1237616
     /* 1237616 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1237697), // Rule ID 5068 //
     /* 1237621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237696 */     // GIR_Coverage, 5068,
     /* 1237696 */     GIR_EraseRootFromParent_Done,
     /* 1237697 */   // Label 17887: @1237697
     /* 1237697 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237778), // Rule ID 5069 //
     /* 1237702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237777 */     // GIR_Coverage, 5069,
     /* 1237777 */     GIR_EraseRootFromParent_Done,
     /* 1237778 */   // Label 17888: @1237778
     /* 1237778 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1237859), // Rule ID 5070 //
     /* 1237783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237858 */     // GIR_Coverage, 5070,
     /* 1237858 */     GIR_EraseRootFromParent_Done,
     /* 1237859 */   // Label 17889: @1237859
     /* 1237859 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1237940), // Rule ID 5071 //
     /* 1237864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237939 */     // GIR_Coverage, 5071,
     /* 1237939 */     GIR_EraseRootFromParent_Done,
     /* 1237940 */   // Label 17890: @1237940
     /* 1237940 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1238021), // Rule ID 5072 //
     /* 1237945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238020 */     // GIR_Coverage, 5072,
     /* 1238020 */     GIR_EraseRootFromParent_Done,
     /* 1238021 */   // Label 17891: @1238021
     /* 1238021 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1238102), // Rule ID 5073 //
     /* 1238026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238079 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238101 */     // GIR_Coverage, 5073,
     /* 1238101 */     GIR_EraseRootFromParent_Done,
     /* 1238102 */   // Label 17892: @1238102
     /* 1238102 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1238183), // Rule ID 5074 //
     /* 1238107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238182 */     // GIR_Coverage, 5074,
     /* 1238182 */     GIR_EraseRootFromParent_Done,
     /* 1238183 */   // Label 17893: @1238183
     /* 1238183 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1238264), // Rule ID 5075 //
     /* 1238188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238263 */     // GIR_Coverage, 5075,
     /* 1238263 */     GIR_EraseRootFromParent_Done,
     /* 1238264 */   // Label 17894: @1238264
     /* 1238264 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1238345), // Rule ID 5076 //
     /* 1238269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1238280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1238283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238344 */     // GIR_Coverage, 5076,
     /* 1238344 */     GIR_EraseRootFromParent_Done,
     /* 1238345 */   // Label 17895: @1238345
     /* 1238345 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1238426), // Rule ID 5077 //
     /* 1238350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1238361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1238364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238403 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238425 */     // GIR_Coverage, 5077,
     /* 1238425 */     GIR_EraseRootFromParent_Done,
     /* 1238426 */   // Label 17896: @1238426
     /* 1238426 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1238507), // Rule ID 5078 //
     /* 1238431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238506 */     // GIR_Coverage, 5078,
     /* 1238506 */     GIR_EraseRootFromParent_Done,
     /* 1238507 */   // Label 17897: @1238507
     /* 1238507 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1238588), // Rule ID 5079 //
     /* 1238512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238587 */     // GIR_Coverage, 5079,
     /* 1238587 */     GIR_EraseRootFromParent_Done,
     /* 1238588 */   // Label 17898: @1238588
     /* 1238588 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1238669), // Rule ID 5080 //
     /* 1238593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238668 */     // GIR_Coverage, 5080,
     /* 1238668 */     GIR_EraseRootFromParent_Done,
     /* 1238669 */   // Label 17899: @1238669
     /* 1238669 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1238750), // Rule ID 5081 //
     /* 1238674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238749 */     // GIR_Coverage, 5081,
     /* 1238749 */     GIR_EraseRootFromParent_Done,
     /* 1238750 */   // Label 17900: @1238750
     /* 1238750 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1238831), // Rule ID 5082 //
     /* 1238755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238830 */     // GIR_Coverage, 5082,
     /* 1238830 */     GIR_EraseRootFromParent_Done,
     /* 1238831 */   // Label 17901: @1238831
     /* 1238831 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1238912), // Rule ID 5083 //
     /* 1238836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238889 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238911 */     // GIR_Coverage, 5083,
     /* 1238911 */     GIR_EraseRootFromParent_Done,
     /* 1238912 */   // Label 17902: @1238912
     /* 1238912 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1238993), // Rule ID 5084 //
     /* 1238917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1238928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1238931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1238934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238970 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238992 */     // GIR_Coverage, 5084,
     /* 1238992 */     GIR_EraseRootFromParent_Done,
     /* 1238993 */   // Label 17903: @1238993
     /* 1238993 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1239074), // Rule ID 5085 //
     /* 1238998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1239009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1239012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239051 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1239054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239073 */     // GIR_Coverage, 5085,
     /* 1239073 */     GIR_EraseRootFromParent_Done,
     /* 1239074 */   // Label 17904: @1239074
     /* 1239074 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1239155), // Rule ID 5390 //
     /* 1239079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1239096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1239099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1239135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239154 */     // GIR_Coverage, 5390,
     /* 1239154 */     GIR_EraseRootFromParent_Done,
     /* 1239155 */   // Label 17905: @1239155
     /* 1239155 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1239236), // Rule ID 5391 //
     /* 1239160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1239177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1239180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239213 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1239216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239235 */     // GIR_Coverage, 5391,
     /* 1239235 */     GIR_EraseRootFromParent_Done,
     /* 1239236 */   // Label 17906: @1239236
     /* 1239236 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1239317), // Rule ID 5392 //
     /* 1239241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1239261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239316 */     // GIR_Coverage, 5392,
     /* 1239316 */     GIR_EraseRootFromParent_Done,
     /* 1239317 */   // Label 17907: @1239317
     /* 1239317 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1239398), // Rule ID 5393 //
     /* 1239322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1239342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239375 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239397 */     // GIR_Coverage, 5393,
     /* 1239397 */     GIR_EraseRootFromParent_Done,
     /* 1239398 */   // Label 17908: @1239398
     /* 1239398 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1239479), // Rule ID 5394 //
     /* 1239403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239456 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239478 */     // GIR_Coverage, 5394,
     /* 1239478 */     GIR_EraseRootFromParent_Done,
     /* 1239479 */   // Label 17909: @1239479
     /* 1239479 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1239560), // Rule ID 5395 //
     /* 1239484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239537 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239559 */     // GIR_Coverage, 5395,
     /* 1239559 */     GIR_EraseRootFromParent_Done,
     /* 1239560 */   // Label 17910: @1239560
     /* 1239560 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1239641), // Rule ID 5396 //
     /* 1239565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239640 */     // GIR_Coverage, 5396,
     /* 1239640 */     GIR_EraseRootFromParent_Done,
     /* 1239641 */   // Label 17911: @1239641
     /* 1239641 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1239722), // Rule ID 5397 //
     /* 1239646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239721 */     // GIR_Coverage, 5397,
     /* 1239721 */     GIR_EraseRootFromParent_Done,
     /* 1239722 */   // Label 17912: @1239722
     /* 1239722 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239803), // Rule ID 5398 //
     /* 1239727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239802 */     // GIR_Coverage, 5398,
     /* 1239802 */     GIR_EraseRootFromParent_Done,
     /* 1239803 */   // Label 17913: @1239803
     /* 1239803 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1239884), // Rule ID 5399 //
     /* 1239808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239861 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239883 */     // GIR_Coverage, 5399,
     /* 1239883 */     GIR_EraseRootFromParent_Done,
     /* 1239884 */   // Label 17914: @1239884
     /* 1239884 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1239965), // Rule ID 5400 //
     /* 1239889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239964 */     // GIR_Coverage, 5400,
     /* 1239964 */     GIR_EraseRootFromParent_Done,
     /* 1239965 */   // Label 17915: @1239965
     /* 1239965 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1240046), // Rule ID 5401 //
     /* 1239970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1240026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240045 */     // GIR_Coverage, 5401,
     /* 1240045 */     GIR_EraseRootFromParent_Done,
     /* 1240046 */   // Label 17916: @1240046
     /* 1240046 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1240127), // Rule ID 5402 //
     /* 1240051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1240071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240126 */     // GIR_Coverage, 5402,
     /* 1240126 */     GIR_EraseRootFromParent_Done,
     /* 1240127 */   // Label 17917: @1240127
     /* 1240127 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1240208), // Rule ID 5403 //
     /* 1240132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1240152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240185 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240207 */     // GIR_Coverage, 5403,
     /* 1240207 */     GIR_EraseRootFromParent_Done,
     /* 1240208 */   // Label 17918: @1240208
     /* 1240208 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1240289), // Rule ID 5404 //
     /* 1240213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1240233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240288 */     // GIR_Coverage, 5404,
     /* 1240288 */     GIR_EraseRootFromParent_Done,
     /* 1240289 */   // Label 17919: @1240289
     /* 1240289 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1240370), // Rule ID 5405 //
     /* 1240294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1240314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240369 */     // GIR_Coverage, 5405,
     /* 1240369 */     GIR_EraseRootFromParent_Done,
     /* 1240370 */   // Label 17920: @1240370
     /* 1240370 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1240451), // Rule ID 5406 //
     /* 1240375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240450 */     // GIR_Coverage, 5406,
     /* 1240450 */     GIR_EraseRootFromParent_Done,
     /* 1240451 */   // Label 17921: @1240451
     /* 1240451 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1240532), // Rule ID 5407 //
     /* 1240456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240531 */     // GIR_Coverage, 5407,
     /* 1240531 */     GIR_EraseRootFromParent_Done,
     /* 1240532 */   // Label 17922: @1240532
     /* 1240532 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1240613), // Rule ID 5408 //
     /* 1240537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240612 */     // GIR_Coverage, 5408,
     /* 1240612 */     GIR_EraseRootFromParent_Done,
     /* 1240613 */   // Label 17923: @1240613
     /* 1240613 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1240694), // Rule ID 5409 //
     /* 1240618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240693 */     // GIR_Coverage, 5409,
     /* 1240693 */     GIR_EraseRootFromParent_Done,
     /* 1240694 */   // Label 17924: @1240694
     /* 1240694 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240775), // Rule ID 5410 //
     /* 1240699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240774 */     // GIR_Coverage, 5410,
     /* 1240774 */     GIR_EraseRootFromParent_Done,
     /* 1240775 */   // Label 17925: @1240775
     /* 1240775 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1240856), // Rule ID 5411 //
     /* 1240780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240833 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240855 */     // GIR_Coverage, 5411,
     /* 1240855 */     GIR_EraseRootFromParent_Done,
     /* 1240856 */   // Label 17926: @1240856
     /* 1240856 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1240937), // Rule ID 5412 //
     /* 1240861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240914 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240936 */     // GIR_Coverage, 5412,
     /* 1240936 */     GIR_EraseRootFromParent_Done,
     /* 1240937 */   // Label 17927: @1240937
     /* 1240937 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1241018), // Rule ID 5413 //
     /* 1240942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240995 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241017 */     // GIR_Coverage, 5413,
     /* 1241017 */     GIR_EraseRootFromParent_Done,
     /* 1241018 */   // Label 17928: @1241018
     /* 1241018 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1241099), // Rule ID 5414 //
     /* 1241023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1241034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1241037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1241043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241098 */     // GIR_Coverage, 5414,
     /* 1241098 */     GIR_EraseRootFromParent_Done,
     /* 1241099 */   // Label 17929: @1241099
     /* 1241099 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1241180), // Rule ID 5415 //
     /* 1241104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1241115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1241118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1241124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241157 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241179 */     // GIR_Coverage, 5415,
     /* 1241179 */     GIR_EraseRootFromParent_Done,
     /* 1241180 */   // Label 17930: @1241180
     /* 1241180 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1241261), // Rule ID 5416 //
     /* 1241185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1241205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241260 */     // GIR_Coverage, 5416,
     /* 1241260 */     GIR_EraseRootFromParent_Done,
     /* 1241261 */   // Label 17931: @1241261
     /* 1241261 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1241342), // Rule ID 5417 //
     /* 1241266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1241286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241319 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241341 */     // GIR_Coverage, 5417,
     /* 1241341 */     GIR_EraseRootFromParent_Done,
     /* 1241342 */   // Label 17932: @1241342
     /* 1241342 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1241423), // Rule ID 5418 //
     /* 1241347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1241367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241400 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241422 */     // GIR_Coverage, 5418,
     /* 1241422 */     GIR_EraseRootFromParent_Done,
     /* 1241423 */   // Label 17933: @1241423
     /* 1241423 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1241504), // Rule ID 5419 //
     /* 1241428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1241448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241503 */     // GIR_Coverage, 5419,
     /* 1241503 */     GIR_EraseRootFromParent_Done,
     /* 1241504 */   // Label 17934: @1241504
     /* 1241504 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1241585), // Rule ID 5420 //
     /* 1241509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241584 */     // GIR_Coverage, 5420,
     /* 1241584 */     GIR_EraseRootFromParent_Done,
     /* 1241585 */   // Label 17935: @1241585
     /* 1241585 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1241666), // Rule ID 5421 //
     /* 1241590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241665 */     // GIR_Coverage, 5421,
     /* 1241665 */     GIR_EraseRootFromParent_Done,
     /* 1241666 */   // Label 17936: @1241666
     /* 1241666 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1241747), // Rule ID 5422 //
     /* 1241671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241746 */     // GIR_Coverage, 5422,
     /* 1241746 */     GIR_EraseRootFromParent_Done,
     /* 1241747 */   // Label 17937: @1241747
     /* 1241747 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241828), // Rule ID 5423 //
     /* 1241752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241827 */     // GIR_Coverage, 5423,
     /* 1241827 */     GIR_EraseRootFromParent_Done,
     /* 1241828 */   // Label 17938: @1241828
     /* 1241828 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1241909), // Rule ID 5424 //
     /* 1241833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241908 */     // GIR_Coverage, 5424,
     /* 1241908 */     GIR_EraseRootFromParent_Done,
     /* 1241909 */   // Label 17939: @1241909
     /* 1241909 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1241990), // Rule ID 5425 //
     /* 1241914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241989 */     // GIR_Coverage, 5425,
     /* 1241989 */     GIR_EraseRootFromParent_Done,
     /* 1241990 */   // Label 17940: @1241990
     /* 1241990 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1242071), // Rule ID 5426 //
     /* 1241995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1242006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1242009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1242015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242048 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242070 */     // GIR_Coverage, 5426,
     /* 1242070 */     GIR_EraseRootFromParent_Done,
     /* 1242071 */   // Label 17941: @1242071
     /* 1242071 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1242152), // Rule ID 5427 //
     /* 1242076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1242087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1242090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1242096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242129 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242151 */     // GIR_Coverage, 5427,
     /* 1242151 */     GIR_EraseRootFromParent_Done,
     /* 1242152 */   // Label 17942: @1242152
     /* 1242152 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1242233), // Rule ID 5428 //
     /* 1242157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1242168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1242171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1242177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1242213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242232 */     // GIR_Coverage, 5428,
     /* 1242232 */     GIR_EraseRootFromParent_Done,
     /* 1242233 */   // Label 17943: @1242233
     /* 1242233 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1242314), // Rule ID 5429 //
     /* 1242238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1242249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1242252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1242258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242291 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1242294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242313 */     // GIR_Coverage, 5429,
     /* 1242313 */     GIR_EraseRootFromParent_Done,
     /* 1242314 */   // Label 17944: @1242314
     /* 1242314 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1242395), // Rule ID 5430 //
     /* 1242319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1242330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1242333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1242336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1242339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1242375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242394 */     // GIR_Coverage, 5430,
     /* 1242394 */     GIR_EraseRootFromParent_Done,
     /* 1242395 */   // Label 17945: @1242395
     /* 1242395 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1242476), // Rule ID 5431 //
     /* 1242400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1242411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1242414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1242417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1242420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242453 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1242456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242475 */     // GIR_Coverage, 5431,
     /* 1242475 */     GIR_EraseRootFromParent_Done,
     /* 1242476 */   // Label 17946: @1242476
     /* 1242476 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1242557), // Rule ID 5432 //
     /* 1242481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242534 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242556 */     // GIR_Coverage, 5432,
     /* 1242556 */     GIR_EraseRootFromParent_Done,
     /* 1242557 */   // Label 17947: @1242557
     /* 1242557 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1242638), // Rule ID 5433 //
     /* 1242562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242637 */     // GIR_Coverage, 5433,
     /* 1242637 */     GIR_EraseRootFromParent_Done,
     /* 1242638 */   // Label 17948: @1242638
     /* 1242638 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1242719), // Rule ID 5434 //
     /* 1242643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242718 */     // GIR_Coverage, 5434,
     /* 1242718 */     GIR_EraseRootFromParent_Done,
     /* 1242719 */   // Label 17949: @1242719
     /* 1242719 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242800), // Rule ID 5435 //
     /* 1242724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242799 */     // GIR_Coverage, 5435,
     /* 1242799 */     GIR_EraseRootFromParent_Done,
     /* 1242800 */   // Label 17950: @1242800
     /* 1242800 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1242881), // Rule ID 5436 //
     /* 1242805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242880 */     // GIR_Coverage, 5436,
     /* 1242880 */     GIR_EraseRootFromParent_Done,
     /* 1242881 */   // Label 17951: @1242881
     /* 1242881 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1242962), // Rule ID 5437 //
     /* 1242886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242939 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242961 */     // GIR_Coverage, 5437,
     /* 1242961 */     GIR_EraseRootFromParent_Done,
     /* 1242962 */   // Label 17952: @1242962
     /* 1242962 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1243043), // Rule ID 5438 //
     /* 1242967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243020 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243042 */     // GIR_Coverage, 5438,
     /* 1243042 */     GIR_EraseRootFromParent_Done,
     /* 1243043 */   // Label 17953: @1243043
     /* 1243043 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1243124), // Rule ID 5439 //
     /* 1243048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1243059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1243062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243101 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243123 */     // GIR_Coverage, 5439,
     /* 1243123 */     GIR_EraseRootFromParent_Done,
     /* 1243124 */   // Label 17954: @1243124
     /* 1243124 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1243205), // Rule ID 5440 //
     /* 1243129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1243185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243204 */     // GIR_Coverage, 5440,
     /* 1243204 */     GIR_EraseRootFromParent_Done,
     /* 1243205 */   // Label 17955: @1243205
     /* 1243205 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1243286), // Rule ID 5441 //
     /* 1243210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243263 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1243266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243285 */     // GIR_Coverage, 5441,
     /* 1243285 */     GIR_EraseRootFromParent_Done,
     /* 1243286 */   // Label 17956: @1243286
     /* 1243286 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1243367), // Rule ID 5442 //
     /* 1243291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243366 */     // GIR_Coverage, 5442,
     /* 1243366 */     GIR_EraseRootFromParent_Done,
     /* 1243367 */   // Label 17957: @1243367
     /* 1243367 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1243448), // Rule ID 5443 //
     /* 1243372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243447 */     // GIR_Coverage, 5443,
     /* 1243447 */     GIR_EraseRootFromParent_Done,
     /* 1243448 */   // Label 17958: @1243448
     /* 1243448 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1243529), // Rule ID 5444 //
     /* 1243453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243528 */     // GIR_Coverage, 5444,
     /* 1243528 */     GIR_EraseRootFromParent_Done,
     /* 1243529 */   // Label 17959: @1243529
     /* 1243529 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1243610), // Rule ID 5445 //
     /* 1243534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243609 */     // GIR_Coverage, 5445,
     /* 1243609 */     GIR_EraseRootFromParent_Done,
     /* 1243610 */   // Label 17960: @1243610
     /* 1243610 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1243691), // Rule ID 5446 //
     /* 1243615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243690 */     // GIR_Coverage, 5446,
     /* 1243690 */     GIR_EraseRootFromParent_Done,
     /* 1243691 */   // Label 17961: @1243691
     /* 1243691 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243772), // Rule ID 5447 //
     /* 1243696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243771 */     // GIR_Coverage, 5447,
     /* 1243771 */     GIR_EraseRootFromParent_Done,
     /* 1243772 */   // Label 17962: @1243772
     /* 1243772 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1243853), // Rule ID 5448 //
     /* 1243777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243852 */     // GIR_Coverage, 5448,
     /* 1243852 */     GIR_EraseRootFromParent_Done,
     /* 1243853 */   // Label 17963: @1243853
     /* 1243853 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1243934), // Rule ID 5449 //
     /* 1243858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243911 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243933 */     // GIR_Coverage, 5449,
     /* 1243933 */     GIR_EraseRootFromParent_Done,
     /* 1243934 */   // Label 17964: @1243934
     /* 1243934 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1244015), // Rule ID 5450 //
     /* 1243939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244014 */     // GIR_Coverage, 5450,
     /* 1244014 */     GIR_EraseRootFromParent_Done,
     /* 1244015 */   // Label 17965: @1244015
     /* 1244015 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1244096), // Rule ID 5451 //
     /* 1244020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1244031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1244034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1244076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244095 */     // GIR_Coverage, 5451,
     /* 1244095 */     GIR_EraseRootFromParent_Done,
     /* 1244096 */   // Label 17966: @1244096
     /* 1244096 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1244177), // Rule ID 5452 //
     /* 1244101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244154 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1244157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244176 */     // GIR_Coverage, 5452,
     /* 1244176 */     GIR_EraseRootFromParent_Done,
     /* 1244177 */   // Label 17967: @1244177
     /* 1244177 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1244258), // Rule ID 5453 //
     /* 1244182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244235 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1244238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244257 */     // GIR_Coverage, 5453,
     /* 1244257 */     GIR_EraseRootFromParent_Done,
     /* 1244258 */   // Label 17968: @1244258
     /* 1244258 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1244339), // Rule ID 5454 //
     /* 1244263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244316 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244338 */     // GIR_Coverage, 5454,
     /* 1244338 */     GIR_EraseRootFromParent_Done,
     /* 1244339 */   // Label 17969: @1244339
     /* 1244339 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1244420), // Rule ID 5455 //
     /* 1244344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244419 */     // GIR_Coverage, 5455,
     /* 1244419 */     GIR_EraseRootFromParent_Done,
     /* 1244420 */   // Label 17970: @1244420
     /* 1244420 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1244501), // Rule ID 5456 //
     /* 1244425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244500 */     // GIR_Coverage, 5456,
     /* 1244500 */     GIR_EraseRootFromParent_Done,
     /* 1244501 */   // Label 17971: @1244501
     /* 1244501 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1244582), // Rule ID 5457 //
     /* 1244506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244559 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244581 */     // GIR_Coverage, 5457,
     /* 1244581 */     GIR_EraseRootFromParent_Done,
     /* 1244582 */   // Label 17972: @1244582
     /* 1244582 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1244663), // Rule ID 5458 //
     /* 1244587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244640 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244662 */     // GIR_Coverage, 5458,
     /* 1244662 */     GIR_EraseRootFromParent_Done,
     /* 1244663 */   // Label 17973: @1244663
     /* 1244663 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1244744), // Rule ID 5459 //
     /* 1244668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244721 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244743 */     // GIR_Coverage, 5459,
     /* 1244743 */     GIR_EraseRootFromParent_Done,
     /* 1244744 */   // Label 17974: @1244744
     /* 1244744 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244825), // Rule ID 5460 //
     /* 1244749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244824 */     // GIR_Coverage, 5460,
     /* 1244824 */     GIR_EraseRootFromParent_Done,
     /* 1244825 */   // Label 17975: @1244825
     /* 1244825 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1244906), // Rule ID 5461 //
     /* 1244830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244905 */     // GIR_Coverage, 5461,
     /* 1244905 */     GIR_EraseRootFromParent_Done,
     /* 1244906 */   // Label 17976: @1244906
     /* 1244906 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1244987), // Rule ID 5462 //
     /* 1244911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244986 */     // GIR_Coverage, 5462,
     /* 1244986 */     GIR_EraseRootFromParent_Done,
     /* 1244987 */   // Label 17977: @1244987
     /* 1244987 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1245068), // Rule ID 5463 //
     /* 1244992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1245003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1245006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245045 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245067 */     // GIR_Coverage, 5463,
     /* 1245067 */     GIR_EraseRootFromParent_Done,
     /* 1245068 */   // Label 17978: @1245068
     /* 1245068 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1245149), // Rule ID 5464 //
     /* 1245073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245148 */     // GIR_Coverage, 5464,
     /* 1245148 */     GIR_EraseRootFromParent_Done,
     /* 1245149 */   // Label 17979: @1245149
     /* 1245149 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1245230), // Rule ID 5465 //
     /* 1245154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245207 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245229 */     // GIR_Coverage, 5465,
     /* 1245229 */     GIR_EraseRootFromParent_Done,
     /* 1245230 */   // Label 17980: @1245230
     /* 1245230 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1245311), // Rule ID 5466 //
     /* 1245235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245310 */     // GIR_Coverage, 5466,
     /* 1245310 */     GIR_EraseRootFromParent_Done,
     /* 1245311 */   // Label 17981: @1245311
     /* 1245311 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1245392), // Rule ID 5467 //
     /* 1245316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245391 */     // GIR_Coverage, 5467,
     /* 1245391 */     GIR_EraseRootFromParent_Done,
     /* 1245392 */   // Label 17982: @1245392
     /* 1245392 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1245473), // Rule ID 5468 //
     /* 1245397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245472 */     // GIR_Coverage, 5468,
     /* 1245472 */     GIR_EraseRootFromParent_Done,
     /* 1245473 */   // Label 17983: @1245473
     /* 1245473 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1245554), // Rule ID 5469 //
     /* 1245478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245553 */     // GIR_Coverage, 5469,
     /* 1245553 */     GIR_EraseRootFromParent_Done,
     /* 1245554 */   // Label 17984: @1245554
     /* 1245554 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1245635), // Rule ID 5470 //
     /* 1245559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245634 */     // GIR_Coverage, 5470,
     /* 1245634 */     GIR_EraseRootFromParent_Done,
     /* 1245635 */   // Label 17985: @1245635
     /* 1245635 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1245716), // Rule ID 5471 //
     /* 1245640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245715 */     // GIR_Coverage, 5471,
     /* 1245715 */     GIR_EraseRootFromParent_Done,
     /* 1245716 */   // Label 17986: @1245716
     /* 1245716 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245797), // Rule ID 5472 //
     /* 1245721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245796 */     // GIR_Coverage, 5472,
     /* 1245796 */     GIR_EraseRootFromParent_Done,
     /* 1245797 */   // Label 17987: @1245797
     /* 1245797 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1245878), // Rule ID 5473 //
     /* 1245802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245855 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245877 */     // GIR_Coverage, 5473,
     /* 1245877 */     GIR_EraseRootFromParent_Done,
     /* 1245878 */   // Label 17988: @1245878
     /* 1245878 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1245959), // Rule ID 5474 //
     /* 1245883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245958 */     // GIR_Coverage, 5474,
     /* 1245958 */     GIR_EraseRootFromParent_Done,
     /* 1245959 */   // Label 17989: @1245959
     /* 1245959 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1246040), // Rule ID 5475 //
     /* 1245964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1246020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246039 */     // GIR_Coverage, 5475,
     /* 1246039 */     GIR_EraseRootFromParent_Done,
     /* 1246040 */   // Label 17990: @1246040
     /* 1246040 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1246121), // Rule ID 5476 //
     /* 1246045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246098 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1246101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246120 */     // GIR_Coverage, 5476,
     /* 1246120 */     GIR_EraseRootFromParent_Done,
     /* 1246121 */   // Label 17991: @1246121
     /* 1246121 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1246202), // Rule ID 5477 //
     /* 1246126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1246182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246201 */     // GIR_Coverage, 5477,
     /* 1246201 */     GIR_EraseRootFromParent_Done,
     /* 1246202 */   // Label 17992: @1246202
     /* 1246202 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1246286), // Rule ID 7688 //
     /* 1246207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1246227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246285 */     // GIR_Coverage, 7688,
     /* 1246285 */     GIR_EraseRootFromParent_Done,
     /* 1246286 */   // Label 17993: @1246286
     /* 1246286 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1246370), // Rule ID 7689 //
     /* 1246291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1246311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246369 */     // GIR_Coverage, 7689,
     /* 1246369 */     GIR_EraseRootFromParent_Done,
     /* 1246370 */   // Label 17994: @1246370
     /* 1246370 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1246454), // Rule ID 7692 //
     /* 1246375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246428 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246453 */     // GIR_Coverage, 7692,
     /* 1246453 */     GIR_EraseRootFromParent_Done,
     /* 1246454 */   // Label 17995: @1246454
     /* 1246454 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1246538), // Rule ID 7693 //
     /* 1246459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246537 */     // GIR_Coverage, 7693,
     /* 1246537 */     GIR_EraseRootFromParent_Done,
     /* 1246538 */   // Label 17996: @1246538
     /* 1246538 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1246622), // Rule ID 7696 //
     /* 1246543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246621 */     // GIR_Coverage, 7696,
     /* 1246621 */     GIR_EraseRootFromParent_Done,
     /* 1246622 */   // Label 17997: @1246622
     /* 1246622 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1246706), // Rule ID 7697 //
     /* 1246627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246705 */     // GIR_Coverage, 7697,
     /* 1246705 */     GIR_EraseRootFromParent_Done,
     /* 1246706 */   // Label 17998: @1246706
     /* 1246706 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246790), // Rule ID 7700 //
     /* 1246711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246789 */     // GIR_Coverage, 7700,
     /* 1246789 */     GIR_EraseRootFromParent_Done,
     /* 1246790 */   // Label 17999: @1246790
     /* 1246790 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1246874), // Rule ID 7701 //
     /* 1246795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246873 */     // GIR_Coverage, 7701,
     /* 1246873 */     GIR_EraseRootFromParent_Done,
     /* 1246874 */   // Label 18000: @1246874
     /* 1246874 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1246958), // Rule ID 7704 //
     /* 1246879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246957 */     // GIR_Coverage, 7704,
     /* 1246957 */     GIR_EraseRootFromParent_Done,
     /* 1246958 */   // Label 18001: @1246958
     /* 1246958 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1247042), // Rule ID 7705 //
     /* 1246963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1247019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247041 */     // GIR_Coverage, 7705,
     /* 1247041 */     GIR_EraseRootFromParent_Done,
     /* 1247042 */   // Label 18002: @1247042
     /* 1247042 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1247126), // Rule ID 7708 //
     /* 1247047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1247067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247125 */     // GIR_Coverage, 7708,
     /* 1247125 */     GIR_EraseRootFromParent_Done,
     /* 1247126 */   // Label 18003: @1247126
     /* 1247126 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1247210), // Rule ID 7709 //
     /* 1247131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1247151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247184 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247209 */     // GIR_Coverage, 7709,
     /* 1247209 */     GIR_EraseRootFromParent_Done,
     /* 1247210 */   // Label 18004: @1247210
     /* 1247210 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1247294), // Rule ID 7712 //
     /* 1247215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1247235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247268 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247293 */     // GIR_Coverage, 7712,
     /* 1247293 */     GIR_EraseRootFromParent_Done,
     /* 1247294 */   // Label 18005: @1247294
     /* 1247294 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1247378), // Rule ID 7713 //
     /* 1247299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1247319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247377 */     // GIR_Coverage, 7713,
     /* 1247377 */     GIR_EraseRootFromParent_Done,
     /* 1247378 */   // Label 18006: @1247378
     /* 1247378 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1247462), // Rule ID 7716 //
     /* 1247383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247461 */     // GIR_Coverage, 7716,
     /* 1247461 */     GIR_EraseRootFromParent_Done,
     /* 1247462 */   // Label 18007: @1247462
     /* 1247462 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1247546), // Rule ID 7717 //
     /* 1247467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247545 */     // GIR_Coverage, 7717,
     /* 1247545 */     GIR_EraseRootFromParent_Done,
     /* 1247546 */   // Label 18008: @1247546
     /* 1247546 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1247630), // Rule ID 7720 //
     /* 1247551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247629 */     // GIR_Coverage, 7720,
     /* 1247629 */     GIR_EraseRootFromParent_Done,
     /* 1247630 */   // Label 18009: @1247630
     /* 1247630 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1247714), // Rule ID 7721 //
     /* 1247635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247688 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247713 */     // GIR_Coverage, 7721,
     /* 1247713 */     GIR_EraseRootFromParent_Done,
     /* 1247714 */   // Label 18010: @1247714
     /* 1247714 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1247798), // Rule ID 7724 //
     /* 1247719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247797 */     // GIR_Coverage, 7724,
     /* 1247797 */     GIR_EraseRootFromParent_Done,
     /* 1247798 */   // Label 18011: @1247798
     /* 1247798 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247882), // Rule ID 7725 //
     /* 1247803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247881 */     // GIR_Coverage, 7725,
     /* 1247881 */     GIR_EraseRootFromParent_Done,
     /* 1247882 */   // Label 18012: @1247882
     /* 1247882 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1247966), // Rule ID 7728 //
     /* 1247887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247965 */     // GIR_Coverage, 7728,
     /* 1247965 */     GIR_EraseRootFromParent_Done,
     /* 1247966 */   // Label 18013: @1247966
     /* 1247966 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1248050), // Rule ID 7729 //
     /* 1247971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248024 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248049 */     // GIR_Coverage, 7729,
     /* 1248049 */     GIR_EraseRootFromParent_Done,
     /* 1248050 */   // Label 18014: @1248050
     /* 1248050 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1248134), // Rule ID 7732 //
     /* 1248055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1248066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1248069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1248075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248108 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248133 */     // GIR_Coverage, 7732,
     /* 1248133 */     GIR_EraseRootFromParent_Done,
     /* 1248134 */   // Label 18015: @1248134
     /* 1248134 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1248218), // Rule ID 7733 //
     /* 1248139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1248150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1248153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1248159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248192 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248217 */     // GIR_Coverage, 7733,
     /* 1248217 */     GIR_EraseRootFromParent_Done,
     /* 1248218 */   // Label 18016: @1248218
     /* 1248218 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1248302), // Rule ID 7736 //
     /* 1248223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1248243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248301 */     // GIR_Coverage, 7736,
     /* 1248301 */     GIR_EraseRootFromParent_Done,
     /* 1248302 */   // Label 18017: @1248302
     /* 1248302 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1248386), // Rule ID 7737 //
     /* 1248307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1248327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248385 */     // GIR_Coverage, 7737,
     /* 1248385 */     GIR_EraseRootFromParent_Done,
     /* 1248386 */   // Label 18018: @1248386
     /* 1248386 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1248470), // Rule ID 7740 //
     /* 1248391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248469 */     // GIR_Coverage, 7740,
     /* 1248469 */     GIR_EraseRootFromParent_Done,
     /* 1248470 */   // Label 18019: @1248470
     /* 1248470 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1248554), // Rule ID 7741 //
     /* 1248475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248528 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248553 */     // GIR_Coverage, 7741,
     /* 1248553 */     GIR_EraseRootFromParent_Done,
     /* 1248554 */   // Label 18020: @1248554
     /* 1248554 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1248638), // Rule ID 7744 //
     /* 1248559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248612 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248637 */     // GIR_Coverage, 7744,
     /* 1248637 */     GIR_EraseRootFromParent_Done,
     /* 1248638 */   // Label 18021: @1248638
     /* 1248638 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1248722), // Rule ID 7745 //
     /* 1248643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248721 */     // GIR_Coverage, 7745,
     /* 1248721 */     GIR_EraseRootFromParent_Done,
     /* 1248722 */   // Label 18022: @1248722
     /* 1248722 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1248806), // Rule ID 7748 //
     /* 1248727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248805 */     // GIR_Coverage, 7748,
     /* 1248805 */     GIR_EraseRootFromParent_Done,
     /* 1248806 */   // Label 18023: @1248806
     /* 1248806 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248890), // Rule ID 7749 //
     /* 1248811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248889 */     // GIR_Coverage, 7749,
     /* 1248889 */     GIR_EraseRootFromParent_Done,
     /* 1248890 */   // Label 18024: @1248890
     /* 1248890 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1248974), // Rule ID 7752 //
     /* 1248895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248973 */     // GIR_Coverage, 7752,
     /* 1248973 */     GIR_EraseRootFromParent_Done,
     /* 1248974 */   // Label 18025: @1248974
     /* 1248974 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1249058), // Rule ID 7753 //
     /* 1248979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249057 */     // GIR_Coverage, 7753,
     /* 1249057 */     GIR_EraseRootFromParent_Done,
     /* 1249058 */   // Label 18026: @1249058
     /* 1249058 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1249142), // Rule ID 7756 //
     /* 1249063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1249083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249141 */     // GIR_Coverage, 7756,
     /* 1249141 */     GIR_EraseRootFromParent_Done,
     /* 1249142 */   // Label 18027: @1249142
     /* 1249142 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1249226), // Rule ID 7757 //
     /* 1249147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1249167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249225 */     // GIR_Coverage, 7757,
     /* 1249225 */     GIR_EraseRootFromParent_Done,
     /* 1249226 */   // Label 18028: @1249226
     /* 1249226 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1249310), // Rule ID 7760 //
     /* 1249231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1249251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1249287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249309 */     // GIR_Coverage, 7760,
     /* 1249309 */     GIR_EraseRootFromParent_Done,
     /* 1249310 */   // Label 18029: @1249310
     /* 1249310 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1249394), // Rule ID 7761 //
     /* 1249315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1249335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1249371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249393 */     // GIR_Coverage, 7761,
     /* 1249393 */     GIR_EraseRootFromParent_Done,
     /* 1249394 */   // Label 18030: @1249394
     /* 1249394 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1249478), // Rule ID 7764 //
     /* 1249399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249477 */     // GIR_Coverage, 7764,
     /* 1249477 */     GIR_EraseRootFromParent_Done,
     /* 1249478 */   // Label 18031: @1249478
     /* 1249478 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1249562), // Rule ID 7765 //
     /* 1249483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249561 */     // GIR_Coverage, 7765,
     /* 1249561 */     GIR_EraseRootFromParent_Done,
     /* 1249562 */   // Label 18032: @1249562
     /* 1249562 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1249646), // Rule ID 7768 //
     /* 1249567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249645 */     // GIR_Coverage, 7768,
     /* 1249645 */     GIR_EraseRootFromParent_Done,
     /* 1249646 */   // Label 18033: @1249646
     /* 1249646 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1249730), // Rule ID 7769 //
     /* 1249651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249729 */     // GIR_Coverage, 7769,
     /* 1249729 */     GIR_EraseRootFromParent_Done,
     /* 1249730 */   // Label 18034: @1249730
     /* 1249730 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1249814), // Rule ID 7772 //
     /* 1249735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249813 */     // GIR_Coverage, 7772,
     /* 1249813 */     GIR_EraseRootFromParent_Done,
     /* 1249814 */   // Label 18035: @1249814
     /* 1249814 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1249898), // Rule ID 7773 //
     /* 1249819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249897 */     // GIR_Coverage, 7773,
     /* 1249897 */     GIR_EraseRootFromParent_Done,
     /* 1249898 */   // Label 18036: @1249898
     /* 1249898 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1249982), // Rule ID 7776 //
     /* 1249903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249981 */     // GIR_Coverage, 7776,
     /* 1249981 */     GIR_EraseRootFromParent_Done,
     /* 1249982 */   // Label 18037: @1249982
     /* 1249982 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1250066), // Rule ID 7777 //
     /* 1249987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1250004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1250043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250065 */     // GIR_Coverage, 7777,
     /* 1250065 */     GIR_EraseRootFromParent_Done,
     /* 1250066 */   // Label 18038: @1250066
     /* 1250066 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1250150), // Rule ID 7780 //
     /* 1250071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250149 */     // GIR_Coverage, 7780,
     /* 1250149 */     GIR_EraseRootFromParent_Done,
     /* 1250150 */   // Label 18039: @1250150
     /* 1250150 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1250234), // Rule ID 7781 //
     /* 1250155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250233 */     // GIR_Coverage, 7781,
     /* 1250233 */     GIR_EraseRootFromParent_Done,
     /* 1250234 */   // Label 18040: @1250234
     /* 1250234 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1250318), // Rule ID 7784 //
     /* 1250239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1250295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250317 */     // GIR_Coverage, 7784,
     /* 1250317 */     GIR_EraseRootFromParent_Done,
     /* 1250318 */   // Label 18041: @1250318
     /* 1250318 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1250402), // Rule ID 7785 //
     /* 1250323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1250379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250401 */     // GIR_Coverage, 7785,
     /* 1250401 */     GIR_EraseRootFromParent_Done,
     /* 1250402 */   // Label 18042: @1250402
     /* 1250402 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1250486), // Rule ID 7788 //
     /* 1250407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250485 */     // GIR_Coverage, 7788,
     /* 1250485 */     GIR_EraseRootFromParent_Done,
     /* 1250486 */   // Label 18043: @1250486
     /* 1250486 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1250570), // Rule ID 7789 //
     /* 1250491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250569 */     // GIR_Coverage, 7789,
     /* 1250569 */     GIR_EraseRootFromParent_Done,
     /* 1250570 */   // Label 18044: @1250570
     /* 1250570 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1250654), // Rule ID 7792 //
     /* 1250575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250653 */     // GIR_Coverage, 7792,
     /* 1250653 */     GIR_EraseRootFromParent_Done,
     /* 1250654 */   // Label 18045: @1250654
     /* 1250654 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1250738), // Rule ID 7793 //
     /* 1250659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250712 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250737 */     // GIR_Coverage, 7793,
     /* 1250737 */     GIR_EraseRootFromParent_Done,
     /* 1250738 */   // Label 18046: @1250738
     /* 1250738 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1250822), // Rule ID 7796 //
     /* 1250743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250821 */     // GIR_Coverage, 7796,
     /* 1250821 */     GIR_EraseRootFromParent_Done,
     /* 1250822 */   // Label 18047: @1250822
     /* 1250822 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1250906), // Rule ID 7797 //
     /* 1250827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250905 */     // GIR_Coverage, 7797,
     /* 1250905 */     GIR_EraseRootFromParent_Done,
     /* 1250906 */   // Label 18048: @1250906
     /* 1250906 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1250990), // Rule ID 7800 //
     /* 1250911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250989 */     // GIR_Coverage, 7800,
     /* 1250989 */     GIR_EraseRootFromParent_Done,
     /* 1250990 */   // Label 18049: @1250990
     /* 1250990 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1251074), // Rule ID 7801 //
     /* 1250995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251073 */     // GIR_Coverage, 7801,
     /* 1251073 */     GIR_EraseRootFromParent_Done,
     /* 1251074 */   // Label 18050: @1251074
     /* 1251074 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1251158), // Rule ID 7804 //
     /* 1251079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251157 */     // GIR_Coverage, 7804,
     /* 1251157 */     GIR_EraseRootFromParent_Done,
     /* 1251158 */   // Label 18051: @1251158
     /* 1251158 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1251242), // Rule ID 7805 //
     /* 1251163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251241 */     // GIR_Coverage, 7805,
     /* 1251241 */     GIR_EraseRootFromParent_Done,
     /* 1251242 */   // Label 18052: @1251242
     /* 1251242 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1251326), // Rule ID 7808 //
     /* 1251247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251325 */     // GIR_Coverage, 7808,
     /* 1251325 */     GIR_EraseRootFromParent_Done,
     /* 1251326 */   // Label 18053: @1251326
     /* 1251326 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1251410), // Rule ID 7809 //
     /* 1251331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251409 */     // GIR_Coverage, 7809,
     /* 1251409 */     GIR_EraseRootFromParent_Done,
     /* 1251410 */   // Label 18054: @1251410
     /* 1251410 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1251494), // Rule ID 7812 //
     /* 1251415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251493 */     // GIR_Coverage, 7812,
     /* 1251493 */     GIR_EraseRootFromParent_Done,
     /* 1251494 */   // Label 18055: @1251494
     /* 1251494 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1251578), // Rule ID 7813 //
     /* 1251499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251577 */     // GIR_Coverage, 7813,
     /* 1251577 */     GIR_EraseRootFromParent_Done,
     /* 1251578 */   // Label 18056: @1251578
     /* 1251578 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1251662), // Rule ID 7816 //
     /* 1251583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251661 */     // GIR_Coverage, 7816,
     /* 1251661 */     GIR_EraseRootFromParent_Done,
     /* 1251662 */   // Label 18057: @1251662
     /* 1251662 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1251746), // Rule ID 7817 //
     /* 1251667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251720 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251745 */     // GIR_Coverage, 7817,
     /* 1251745 */     GIR_EraseRootFromParent_Done,
     /* 1251746 */   // Label 18058: @1251746
     /* 1251746 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1251830), // Rule ID 7820 //
     /* 1251751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251804 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251829 */     // GIR_Coverage, 7820,
     /* 1251829 */     GIR_EraseRootFromParent_Done,
     /* 1251830 */   // Label 18059: @1251830
     /* 1251830 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1251914), // Rule ID 7821 //
     /* 1251835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251888 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251913 */     // GIR_Coverage, 7821,
     /* 1251913 */     GIR_EraseRootFromParent_Done,
     /* 1251914 */   // Label 18060: @1251914
     /* 1251914 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1251998), // Rule ID 7824 //
     /* 1251919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251997 */     // GIR_Coverage, 7824,
     /* 1251997 */     GIR_EraseRootFromParent_Done,
     /* 1251998 */   // Label 18061: @1251998
     /* 1251998 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1252082), // Rule ID 7825 //
     /* 1252003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252081 */     // GIR_Coverage, 7825,
     /* 1252081 */     GIR_EraseRootFromParent_Done,
     /* 1252082 */   // Label 18062: @1252082
     /* 1252082 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1252166), // Rule ID 7828 //
     /* 1252087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252165 */     // GIR_Coverage, 7828,
     /* 1252165 */     GIR_EraseRootFromParent_Done,
     /* 1252166 */   // Label 18063: @1252166
     /* 1252166 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1252250), // Rule ID 7829 //
     /* 1252171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252249 */     // GIR_Coverage, 7829,
     /* 1252249 */     GIR_EraseRootFromParent_Done,
     /* 1252250 */   // Label 18064: @1252250
     /* 1252250 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1252334), // Rule ID 7832 //
     /* 1252255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252333 */     // GIR_Coverage, 7832,
     /* 1252333 */     GIR_EraseRootFromParent_Done,
     /* 1252334 */   // Label 18065: @1252334
     /* 1252334 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1252418), // Rule ID 7833 //
     /* 1252339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252392 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252417 */     // GIR_Coverage, 7833,
     /* 1252417 */     GIR_EraseRootFromParent_Done,
     /* 1252418 */   // Label 18066: @1252418
     /* 1252418 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1252502), // Rule ID 7836 //
     /* 1252423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252501 */     // GIR_Coverage, 7836,
     /* 1252501 */     GIR_EraseRootFromParent_Done,
     /* 1252502 */   // Label 18067: @1252502
     /* 1252502 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1252586), // Rule ID 7837 //
     /* 1252507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252585 */     // GIR_Coverage, 7837,
     /* 1252585 */     GIR_EraseRootFromParent_Done,
     /* 1252586 */   // Label 18068: @1252586
     /* 1252586 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1252670), // Rule ID 7840 //
     /* 1252591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252669 */     // GIR_Coverage, 7840,
     /* 1252669 */     GIR_EraseRootFromParent_Done,
     /* 1252670 */   // Label 18069: @1252670
     /* 1252670 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1252754), // Rule ID 7841 //
     /* 1252675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252753 */     // GIR_Coverage, 7841,
     /* 1252753 */     GIR_EraseRootFromParent_Done,
     /* 1252754 */   // Label 18070: @1252754
     /* 1252754 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1252838), // Rule ID 7844 //
     /* 1252759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252837 */     // GIR_Coverage, 7844,
     /* 1252837 */     GIR_EraseRootFromParent_Done,
     /* 1252838 */   // Label 18071: @1252838
     /* 1252838 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1252922), // Rule ID 7845 //
     /* 1252843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252921 */     // GIR_Coverage, 7845,
     /* 1252921 */     GIR_EraseRootFromParent_Done,
     /* 1252922 */   // Label 18072: @1252922
     /* 1252922 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1253006), // Rule ID 7848 //
     /* 1252927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253005 */     // GIR_Coverage, 7848,
     /* 1253005 */     GIR_EraseRootFromParent_Done,
     /* 1253006 */   // Label 18073: @1253006
     /* 1253006 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1253090), // Rule ID 7849 //
     /* 1253011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1253067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253089 */     // GIR_Coverage, 7849,
     /* 1253089 */     GIR_EraseRootFromParent_Done,
     /* 1253090 */   // Label 18074: @1253090
     /* 1253090 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1253174), // Rule ID 7852 //
     /* 1253095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1253151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253173 */     // GIR_Coverage, 7852,
     /* 1253173 */     GIR_EraseRootFromParent_Done,
     /* 1253174 */   // Label 18075: @1253174
     /* 1253174 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1253258), // Rule ID 7853 //
     /* 1253179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1253235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253257 */     // GIR_Coverage, 7853,
     /* 1253257 */     GIR_EraseRootFromParent_Done,
     /* 1253258 */   // Label 18076: @1253258
     /* 1253258 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1253342), // Rule ID 7856 //
     /* 1253263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1253319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253341 */     // GIR_Coverage, 7856,
     /* 1253341 */     GIR_EraseRootFromParent_Done,
     /* 1253342 */   // Label 18077: @1253342
     /* 1253342 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1253426), // Rule ID 7857 //
     /* 1253347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253400 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1253403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253425 */     // GIR_Coverage, 7857,
     /* 1253425 */     GIR_EraseRootFromParent_Done,
     /* 1253426 */   // Label 18078: @1253426
     /* 1253426 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1253510), // Rule ID 7948 //
     /* 1253431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253509 */     // GIR_Coverage, 7948,
     /* 1253509 */     GIR_EraseRootFromParent_Done,
     /* 1253510 */   // Label 18079: @1253510
     /* 1253510 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1253594), // Rule ID 7949 //
     /* 1253515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253593 */     // GIR_Coverage, 7949,
     /* 1253593 */     GIR_EraseRootFromParent_Done,
     /* 1253594 */   // Label 18080: @1253594
     /* 1253594 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1253678), // Rule ID 7952 //
     /* 1253599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253677 */     // GIR_Coverage, 7952,
     /* 1253677 */     GIR_EraseRootFromParent_Done,
     /* 1253678 */   // Label 18081: @1253678
     /* 1253678 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1253762), // Rule ID 7953 //
     /* 1253683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253736 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253761 */     // GIR_Coverage, 7953,
     /* 1253761 */     GIR_EraseRootFromParent_Done,
     /* 1253762 */   // Label 18082: @1253762
     /* 1253762 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1253846), // Rule ID 7956 //
     /* 1253767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253845 */     // GIR_Coverage, 7956,
     /* 1253845 */     GIR_EraseRootFromParent_Done,
     /* 1253846 */   // Label 18083: @1253846
     /* 1253846 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1253930), // Rule ID 7957 //
     /* 1253851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253929 */     // GIR_Coverage, 7957,
     /* 1253929 */     GIR_EraseRootFromParent_Done,
     /* 1253930 */   // Label 18084: @1253930
     /* 1253930 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1254014), // Rule ID 7960 //
     /* 1253935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254013 */     // GIR_Coverage, 7960,
     /* 1254013 */     GIR_EraseRootFromParent_Done,
     /* 1254014 */   // Label 18085: @1254014
     /* 1254014 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1254098), // Rule ID 7961 //
     /* 1254019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1254039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1254075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254097 */     // GIR_Coverage, 7961,
     /* 1254097 */     GIR_EraseRootFromParent_Done,
     /* 1254098 */   // Label 18086: @1254098
     /* 1254098 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1254182), // Rule ID 7964 //
     /* 1254103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1254123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254181 */     // GIR_Coverage, 7964,
     /* 1254181 */     GIR_EraseRootFromParent_Done,
     /* 1254182 */   // Label 18087: @1254182
     /* 1254182 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1254266), // Rule ID 7965 //
     /* 1254187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1254207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254265 */     // GIR_Coverage, 7965,
     /* 1254265 */     GIR_EraseRootFromParent_Done,
     /* 1254266 */   // Label 18088: @1254266
     /* 1254266 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1254350), // Rule ID 7968 //
     /* 1254271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1254291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254349 */     // GIR_Coverage, 7968,
     /* 1254349 */     GIR_EraseRootFromParent_Done,
     /* 1254350 */   // Label 18089: @1254350
     /* 1254350 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1254434), // Rule ID 7969 //
     /* 1254355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1254375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254433 */     // GIR_Coverage, 7969,
     /* 1254433 */     GIR_EraseRootFromParent_Done,
     /* 1254434 */   // Label 18090: @1254434
     /* 1254434 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1254518), // Rule ID 7972 //
     /* 1254439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254517 */     // GIR_Coverage, 7972,
     /* 1254517 */     GIR_EraseRootFromParent_Done,
     /* 1254518 */   // Label 18091: @1254518
     /* 1254518 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1254602), // Rule ID 7973 //
     /* 1254523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254576 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254601 */     // GIR_Coverage, 7973,
     /* 1254601 */     GIR_EraseRootFromParent_Done,
     /* 1254602 */   // Label 18092: @1254602
     /* 1254602 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1254686), // Rule ID 7976 //
     /* 1254607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254685 */     // GIR_Coverage, 7976,
     /* 1254685 */     GIR_EraseRootFromParent_Done,
     /* 1254686 */   // Label 18093: @1254686
     /* 1254686 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1254770), // Rule ID 7977 //
     /* 1254691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254769 */     // GIR_Coverage, 7977,
     /* 1254769 */     GIR_EraseRootFromParent_Done,
     /* 1254770 */   // Label 18094: @1254770
     /* 1254770 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1254854), // Rule ID 7980 //
     /* 1254775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254853 */     // GIR_Coverage, 7980,
     /* 1254853 */     GIR_EraseRootFromParent_Done,
     /* 1254854 */   // Label 18095: @1254854
     /* 1254854 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1254938), // Rule ID 7981 //
     /* 1254859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254937 */     // GIR_Coverage, 7981,
     /* 1254937 */     GIR_EraseRootFromParent_Done,
     /* 1254938 */   // Label 18096: @1254938
     /* 1254938 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1255022), // Rule ID 7984 //
     /* 1254943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255021 */     // GIR_Coverage, 7984,
     /* 1255021 */     GIR_EraseRootFromParent_Done,
     /* 1255022 */   // Label 18097: @1255022
     /* 1255022 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1255106), // Rule ID 7985 //
     /* 1255027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1255047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1255083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255105 */     // GIR_Coverage, 7985,
     /* 1255105 */     GIR_EraseRootFromParent_Done,
     /* 1255106 */   // Label 18098: @1255106
     /* 1255106 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1255190), // Rule ID 7988 //
     /* 1255111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1255131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255189 */     // GIR_Coverage, 7988,
     /* 1255189 */     GIR_EraseRootFromParent_Done,
     /* 1255190 */   // Label 18099: @1255190
     /* 1255190 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1255274), // Rule ID 7989 //
     /* 1255195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1255215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255248 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255273 */     // GIR_Coverage, 7989,
     /* 1255273 */     GIR_EraseRootFromParent_Done,
     /* 1255274 */   // Label 18100: @1255274
     /* 1255274 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1255358), // Rule ID 7992 //
     /* 1255279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1255299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255332 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255357 */     // GIR_Coverage, 7992,
     /* 1255357 */     GIR_EraseRootFromParent_Done,
     /* 1255358 */   // Label 18101: @1255358
     /* 1255358 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1255442), // Rule ID 7993 //
     /* 1255363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1255383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255416 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255441 */     // GIR_Coverage, 7993,
     /* 1255441 */     GIR_EraseRootFromParent_Done,
     /* 1255442 */   // Label 18102: @1255442
     /* 1255442 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1255526), // Rule ID 7996 //
     /* 1255447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255500 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255525 */     // GIR_Coverage, 7996,
     /* 1255525 */     GIR_EraseRootFromParent_Done,
     /* 1255526 */   // Label 18103: @1255526
     /* 1255526 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1255610), // Rule ID 7997 //
     /* 1255531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255584 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255609 */     // GIR_Coverage, 7997,
     /* 1255609 */     GIR_EraseRootFromParent_Done,
     /* 1255610 */   // Label 18104: @1255610
     /* 1255610 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1255694), // Rule ID 8000 //
     /* 1255615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255693 */     // GIR_Coverage, 8000,
     /* 1255693 */     GIR_EraseRootFromParent_Done,
     /* 1255694 */   // Label 18105: @1255694
     /* 1255694 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1255778), // Rule ID 8001 //
     /* 1255699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255777 */     // GIR_Coverage, 8001,
     /* 1255777 */     GIR_EraseRootFromParent_Done,
     /* 1255778 */   // Label 18106: @1255778
     /* 1255778 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1255862), // Rule ID 8004 //
     /* 1255783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255836 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255861 */     // GIR_Coverage, 8004,
     /* 1255861 */     GIR_EraseRootFromParent_Done,
     /* 1255862 */   // Label 18107: @1255862
     /* 1255862 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1255946), // Rule ID 8005 //
     /* 1255867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255920 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255945 */     // GIR_Coverage, 8005,
     /* 1255945 */     GIR_EraseRootFromParent_Done,
     /* 1255946 */   // Label 18108: @1255946
     /* 1255946 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1256030), // Rule ID 8008 //
     /* 1255951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256004 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256029 */     // GIR_Coverage, 8008,
     /* 1256029 */     GIR_EraseRootFromParent_Done,
     /* 1256030 */   // Label 18109: @1256030
     /* 1256030 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1256114), // Rule ID 8009 //
     /* 1256035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1256052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1256055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256088 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256113 */     // GIR_Coverage, 8009,
     /* 1256113 */     GIR_EraseRootFromParent_Done,
     /* 1256114 */   // Label 18110: @1256114
     /* 1256114 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1256198), // Rule ID 8012 //
     /* 1256119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1256139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256197 */     // GIR_Coverage, 8012,
     /* 1256197 */     GIR_EraseRootFromParent_Done,
     /* 1256198 */   // Label 18111: @1256198
     /* 1256198 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1256282), // Rule ID 8013 //
     /* 1256203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1256223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256281 */     // GIR_Coverage, 8013,
     /* 1256281 */     GIR_EraseRootFromParent_Done,
     /* 1256282 */   // Label 18112: @1256282
     /* 1256282 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1256366), // Rule ID 8016 //
     /* 1256287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1256307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256365 */     // GIR_Coverage, 8016,
     /* 1256365 */     GIR_EraseRootFromParent_Done,
     /* 1256366 */   // Label 18113: @1256366
     /* 1256366 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1256450), // Rule ID 8017 //
     /* 1256371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1256391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256449 */     // GIR_Coverage, 8017,
     /* 1256449 */     GIR_EraseRootFromParent_Done,
     /* 1256450 */   // Label 18114: @1256450
     /* 1256450 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1256534), // Rule ID 8020 //
     /* 1256455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256508 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256533 */     // GIR_Coverage, 8020,
     /* 1256533 */     GIR_EraseRootFromParent_Done,
     /* 1256534 */   // Label 18115: @1256534
     /* 1256534 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1256618), // Rule ID 8021 //
     /* 1256539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256617 */     // GIR_Coverage, 8021,
     /* 1256617 */     GIR_EraseRootFromParent_Done,
     /* 1256618 */   // Label 18116: @1256618
     /* 1256618 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1256702), // Rule ID 8024 //
     /* 1256623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256701 */     // GIR_Coverage, 8024,
     /* 1256701 */     GIR_EraseRootFromParent_Done,
     /* 1256702 */   // Label 18117: @1256702
     /* 1256702 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1256786), // Rule ID 8025 //
     /* 1256707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256785 */     // GIR_Coverage, 8025,
     /* 1256785 */     GIR_EraseRootFromParent_Done,
     /* 1256786 */   // Label 18118: @1256786
     /* 1256786 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1256870), // Rule ID 8028 //
     /* 1256791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256869 */     // GIR_Coverage, 8028,
     /* 1256869 */     GIR_EraseRootFromParent_Done,
     /* 1256870 */   // Label 18119: @1256870
     /* 1256870 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1256954), // Rule ID 8029 //
     /* 1256875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256953 */     // GIR_Coverage, 8029,
     /* 1256953 */     GIR_EraseRootFromParent_Done,
     /* 1256954 */   // Label 18120: @1256954
     /* 1256954 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1257038), // Rule ID 8032 //
     /* 1256959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1257015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257037 */     // GIR_Coverage, 8032,
     /* 1257037 */     GIR_EraseRootFromParent_Done,
     /* 1257038 */   // Label 18121: @1257038
     /* 1257038 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1257122), // Rule ID 8033 //
     /* 1257043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1257060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1257063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1257099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257121 */     // GIR_Coverage, 8033,
     /* 1257121 */     GIR_EraseRootFromParent_Done,
     /* 1257122 */   // Label 18122: @1257122
     /* 1257122 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1257206), // Rule ID 8036 //
     /* 1257127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1257144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1257183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257205 */     // GIR_Coverage, 8036,
     /* 1257205 */     GIR_EraseRootFromParent_Done,
     /* 1257206 */   // Label 18123: @1257206
     /* 1257206 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1257290), // Rule ID 8037 //
     /* 1257211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1257228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1257267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257289 */     // GIR_Coverage, 8037,
     /* 1257289 */     GIR_EraseRootFromParent_Done,
     /* 1257290 */   // Label 18124: @1257290
     /* 1257290 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1257374), // Rule ID 8040 //
     /* 1257295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257373 */     // GIR_Coverage, 8040,
     /* 1257373 */     GIR_EraseRootFromParent_Done,
     /* 1257374 */   // Label 18125: @1257374
     /* 1257374 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1257458), // Rule ID 8041 //
     /* 1257379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257457 */     // GIR_Coverage, 8041,
     /* 1257457 */     GIR_EraseRootFromParent_Done,
     /* 1257458 */   // Label 18126: @1257458
     /* 1257458 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1257542), // Rule ID 8044 //
     /* 1257463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257541 */     // GIR_Coverage, 8044,
     /* 1257541 */     GIR_EraseRootFromParent_Done,
     /* 1257542 */   // Label 18127: @1257542
     /* 1257542 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1257626), // Rule ID 8045 //
     /* 1257547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257625 */     // GIR_Coverage, 8045,
     /* 1257625 */     GIR_EraseRootFromParent_Done,
     /* 1257626 */   // Label 18128: @1257626
     /* 1257626 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1257710), // Rule ID 8048 //
     /* 1257631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257709 */     // GIR_Coverage, 8048,
     /* 1257709 */     GIR_EraseRootFromParent_Done,
     /* 1257710 */   // Label 18129: @1257710
     /* 1257710 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1257794), // Rule ID 8049 //
     /* 1257715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257793 */     // GIR_Coverage, 8049,
     /* 1257793 */     GIR_EraseRootFromParent_Done,
     /* 1257794 */   // Label 18130: @1257794
     /* 1257794 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1257878), // Rule ID 8052 //
     /* 1257799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257877 */     // GIR_Coverage, 8052,
     /* 1257877 */     GIR_EraseRootFromParent_Done,
     /* 1257878 */   // Label 18131: @1257878
     /* 1257878 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1257962), // Rule ID 8053 //
     /* 1257883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257961 */     // GIR_Coverage, 8053,
     /* 1257961 */     GIR_EraseRootFromParent_Done,
     /* 1257962 */   // Label 18132: @1257962
     /* 1257962 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1258046), // Rule ID 8056 //
     /* 1257967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1258023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258045 */     // GIR_Coverage, 8056,
     /* 1258045 */     GIR_EraseRootFromParent_Done,
     /* 1258046 */   // Label 18133: @1258046
     /* 1258046 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1258130), // Rule ID 8057 //
     /* 1258051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1258068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1258107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258129 */     // GIR_Coverage, 8057,
     /* 1258129 */     GIR_EraseRootFromParent_Done,
     /* 1258130 */   // Label 18134: @1258130
     /* 1258130 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1258214), // Rule ID 8060 //
     /* 1258135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1258152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258213 */     // GIR_Coverage, 8060,
     /* 1258213 */     GIR_EraseRootFromParent_Done,
     /* 1258214 */   // Label 18135: @1258214
     /* 1258214 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1258298), // Rule ID 8061 //
     /* 1258219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1258236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258297 */     // GIR_Coverage, 8061,
     /* 1258297 */     GIR_EraseRootFromParent_Done,
     /* 1258298 */   // Label 18136: @1258298
     /* 1258298 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1258382), // Rule ID 8064 //
     /* 1258303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258381 */     // GIR_Coverage, 8064,
     /* 1258381 */     GIR_EraseRootFromParent_Done,
     /* 1258382 */   // Label 18137: @1258382
     /* 1258382 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1258466), // Rule ID 8065 //
     /* 1258387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258465 */     // GIR_Coverage, 8065,
     /* 1258465 */     GIR_EraseRootFromParent_Done,
     /* 1258466 */   // Label 18138: @1258466
     /* 1258466 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1258550), // Rule ID 8068 //
     /* 1258471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258549 */     // GIR_Coverage, 8068,
     /* 1258549 */     GIR_EraseRootFromParent_Done,
     /* 1258550 */   // Label 18139: @1258550
     /* 1258550 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1258634), // Rule ID 8069 //
     /* 1258555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258633 */     // GIR_Coverage, 8069,
     /* 1258633 */     GIR_EraseRootFromParent_Done,
     /* 1258634 */   // Label 18140: @1258634
     /* 1258634 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1258718), // Rule ID 8072 //
     /* 1258639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258717 */     // GIR_Coverage, 8072,
     /* 1258717 */     GIR_EraseRootFromParent_Done,
     /* 1258718 */   // Label 18141: @1258718
     /* 1258718 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1258802), // Rule ID 8073 //
     /* 1258723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258801 */     // GIR_Coverage, 8073,
     /* 1258801 */     GIR_EraseRootFromParent_Done,
     /* 1258802 */   // Label 18142: @1258802
     /* 1258802 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1258886), // Rule ID 8076 //
     /* 1258807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258860 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258885 */     // GIR_Coverage, 8076,
     /* 1258885 */     GIR_EraseRootFromParent_Done,
     /* 1258886 */   // Label 18143: @1258886
     /* 1258886 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1258970), // Rule ID 8077 //
     /* 1258891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258969 */     // GIR_Coverage, 8077,
     /* 1258969 */     GIR_EraseRootFromParent_Done,
     /* 1258970 */   // Label 18144: @1258970
     /* 1258970 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1259054), // Rule ID 8080 //
     /* 1258975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259028 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259053 */     // GIR_Coverage, 8080,
     /* 1259053 */     GIR_EraseRootFromParent_Done,
     /* 1259054 */   // Label 18145: @1259054
     /* 1259054 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1259138), // Rule ID 8081 //
     /* 1259059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1259076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259112 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259137 */     // GIR_Coverage, 8081,
     /* 1259137 */     GIR_EraseRootFromParent_Done,
     /* 1259138 */   // Label 18146: @1259138
     /* 1259138 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1259222), // Rule ID 8084 //
     /* 1259143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1259154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1259157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1259160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1259166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259196 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259221 */     // GIR_Coverage, 8084,
     /* 1259221 */     GIR_EraseRootFromParent_Done,
     /* 1259222 */   // Label 18147: @1259222
     /* 1259222 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1259306), // Rule ID 8085 //
     /* 1259227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1259238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1259241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1259244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1259250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259280 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259305 */     // GIR_Coverage, 8085,
     /* 1259305 */     GIR_EraseRootFromParent_Done,
     /* 1259306 */   // Label 18148: @1259306
     /* 1259306 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1259390), // Rule ID 8088 //
     /* 1259311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259389 */     // GIR_Coverage, 8088,
     /* 1259389 */     GIR_EraseRootFromParent_Done,
     /* 1259390 */   // Label 18149: @1259390
     /* 1259390 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1259474), // Rule ID 8089 //
     /* 1259395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259473 */     // GIR_Coverage, 8089,
     /* 1259473 */     GIR_EraseRootFromParent_Done,
     /* 1259474 */   // Label 18150: @1259474
     /* 1259474 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1259558), // Rule ID 8092 //
     /* 1259479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259557 */     // GIR_Coverage, 8092,
     /* 1259557 */     GIR_EraseRootFromParent_Done,
     /* 1259558 */   // Label 18151: @1259558
     /* 1259558 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1259642), // Rule ID 8093 //
     /* 1259563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259641 */     // GIR_Coverage, 8093,
     /* 1259641 */     GIR_EraseRootFromParent_Done,
     /* 1259642 */   // Label 18152: @1259642
     /* 1259642 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1259726), // Rule ID 8096 //
     /* 1259647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259700 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259725 */     // GIR_Coverage, 8096,
     /* 1259725 */     GIR_EraseRootFromParent_Done,
     /* 1259726 */   // Label 18153: @1259726
     /* 1259726 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1259810), // Rule ID 8097 //
     /* 1259731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259784 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259809 */     // GIR_Coverage, 8097,
     /* 1259809 */     GIR_EraseRootFromParent_Done,
     /* 1259810 */   // Label 18154: @1259810
     /* 1259810 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1259894), // Rule ID 8100 //
     /* 1259815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259893 */     // GIR_Coverage, 8100,
     /* 1259893 */     GIR_EraseRootFromParent_Done,
     /* 1259894 */   // Label 18155: @1259894
     /* 1259894 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1259978), // Rule ID 8101 //
     /* 1259899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259977 */     // GIR_Coverage, 8101,
     /* 1259977 */     GIR_EraseRootFromParent_Done,
     /* 1259978 */   // Label 18156: @1259978
     /* 1259978 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1260062), // Rule ID 8104 //
     /* 1259983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1260000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260061 */     // GIR_Coverage, 8104,
     /* 1260061 */     GIR_EraseRootFromParent_Done,
     /* 1260062 */   // Label 18157: @1260062
     /* 1260062 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1260146), // Rule ID 8105 //
     /* 1260067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1260084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260145 */     // GIR_Coverage, 8105,
     /* 1260145 */     GIR_EraseRootFromParent_Done,
     /* 1260146 */   // Label 18158: @1260146
     /* 1260146 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1260230), // Rule ID 8108 //
     /* 1260151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1260168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260204 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260229 */     // GIR_Coverage, 8108,
     /* 1260229 */     GIR_EraseRootFromParent_Done,
     /* 1260230 */   // Label 18159: @1260230
     /* 1260230 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1260314), // Rule ID 8109 //
     /* 1260235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1260252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260313 */     // GIR_Coverage, 8109,
     /* 1260313 */     GIR_EraseRootFromParent_Done,
     /* 1260314 */   // Label 18160: @1260314
     /* 1260314 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1260398), // Rule ID 8112 //
     /* 1260319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1260375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260397 */     // GIR_Coverage, 8112,
     /* 1260397 */     GIR_EraseRootFromParent_Done,
     /* 1260398 */   // Label 18161: @1260398
     /* 1260398 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1260482), // Rule ID 8113 //
     /* 1260403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1260459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260481 */     // GIR_Coverage, 8113,
     /* 1260481 */     GIR_EraseRootFromParent_Done,
     /* 1260482 */   // Label 18162: @1260482
     /* 1260482 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1260566), // Rule ID 8116 //
     /* 1260487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260565 */     // GIR_Coverage, 8116,
     /* 1260565 */     GIR_EraseRootFromParent_Done,
     /* 1260566 */   // Label 18163: @1260566
     /* 1260566 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1260650), // Rule ID 8117 //
     /* 1260571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260649 */     // GIR_Coverage, 8117,
     /* 1260649 */     GIR_EraseRootFromParent_Done,
     /* 1260650 */   // Label 18164: @1260650
     /* 1260650 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1260734), // Rule ID 8120 //
     /* 1260655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260733 */     // GIR_Coverage, 8120,
     /* 1260733 */     GIR_EraseRootFromParent_Done,
     /* 1260734 */   // Label 18165: @1260734
     /* 1260734 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1260818), // Rule ID 8121 //
     /* 1260739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260817 */     // GIR_Coverage, 8121,
     /* 1260817 */     GIR_EraseRootFromParent_Done,
     /* 1260818 */   // Label 18166: @1260818
     /* 1260818 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1260902), // Rule ID 8212 //
     /* 1260823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260901 */     // GIR_Coverage, 8212,
     /* 1260901 */     GIR_EraseRootFromParent_Done,
     /* 1260902 */   // Label 18167: @1260902
     /* 1260902 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1260986), // Rule ID 8213 //
     /* 1260907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260985 */     // GIR_Coverage, 8213,
     /* 1260985 */     GIR_EraseRootFromParent_Done,
     /* 1260986 */   // Label 18168: @1260986
     /* 1260986 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1261070), // Rule ID 8216 //
     /* 1260991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1261008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1261011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261069 */     // GIR_Coverage, 8216,
     /* 1261069 */     GIR_EraseRootFromParent_Done,
     /* 1261070 */   // Label 18169: @1261070
     /* 1261070 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1261154), // Rule ID 8217 //
     /* 1261075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1261092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1261095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261153 */     // GIR_Coverage, 8217,
     /* 1261153 */     GIR_EraseRootFromParent_Done,
     /* 1261154 */   // Label 18170: @1261154
     /* 1261154 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1261238), // Rule ID 8220 //
     /* 1261159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1261179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261237 */     // GIR_Coverage, 8220,
     /* 1261237 */     GIR_EraseRootFromParent_Done,
     /* 1261238 */   // Label 18171: @1261238
     /* 1261238 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1261322), // Rule ID 8221 //
     /* 1261243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1261263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261321 */     // GIR_Coverage, 8221,
     /* 1261321 */     GIR_EraseRootFromParent_Done,
     /* 1261322 */   // Label 18172: @1261322
     /* 1261322 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1261406), // Rule ID 8224 //
     /* 1261327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1261347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261405 */     // GIR_Coverage, 8224,
     /* 1261405 */     GIR_EraseRootFromParent_Done,
     /* 1261406 */   // Label 18173: @1261406
     /* 1261406 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1261490), // Rule ID 8225 //
     /* 1261411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1261431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261489 */     // GIR_Coverage, 8225,
     /* 1261489 */     GIR_EraseRootFromParent_Done,
     /* 1261490 */   // Label 18174: @1261490
     /* 1261490 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1261574), // Rule ID 8228 //
     /* 1261495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261573 */     // GIR_Coverage, 8228,
     /* 1261573 */     GIR_EraseRootFromParent_Done,
     /* 1261574 */   // Label 18175: @1261574
     /* 1261574 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1261658), // Rule ID 8229 //
     /* 1261579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261657 */     // GIR_Coverage, 8229,
     /* 1261657 */     GIR_EraseRootFromParent_Done,
     /* 1261658 */   // Label 18176: @1261658
     /* 1261658 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1261742), // Rule ID 8232 //
     /* 1261663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261741 */     // GIR_Coverage, 8232,
     /* 1261741 */     GIR_EraseRootFromParent_Done,
     /* 1261742 */   // Label 18177: @1261742
     /* 1261742 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1261826), // Rule ID 8233 //
     /* 1261747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261825 */     // GIR_Coverage, 8233,
     /* 1261825 */     GIR_EraseRootFromParent_Done,
     /* 1261826 */   // Label 18178: @1261826
     /* 1261826 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1261910), // Rule ID 8236 //
     /* 1261831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261909 */     // GIR_Coverage, 8236,
     /* 1261909 */     GIR_EraseRootFromParent_Done,
     /* 1261910 */   // Label 18179: @1261910
     /* 1261910 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1261994), // Rule ID 8237 //
     /* 1261915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261993 */     // GIR_Coverage, 8237,
     /* 1261993 */     GIR_EraseRootFromParent_Done,
     /* 1261994 */   // Label 18180: @1261994
     /* 1261994 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1262078), // Rule ID 8240 //
     /* 1261999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1262016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262077 */     // GIR_Coverage, 8240,
     /* 1262077 */     GIR_EraseRootFromParent_Done,
     /* 1262078 */   // Label 18181: @1262078
     /* 1262078 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1262162), // Rule ID 8241 //
     /* 1262083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1262100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262161 */     // GIR_Coverage, 8241,
     /* 1262161 */     GIR_EraseRootFromParent_Done,
     /* 1262162 */   // Label 18182: @1262162
     /* 1262162 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1262246), // Rule ID 8244 //
     /* 1262167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262245 */     // GIR_Coverage, 8244,
     /* 1262245 */     GIR_EraseRootFromParent_Done,
     /* 1262246 */   // Label 18183: @1262246
     /* 1262246 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1262330), // Rule ID 8245 //
     /* 1262251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262329 */     // GIR_Coverage, 8245,
     /* 1262329 */     GIR_EraseRootFromParent_Done,
     /* 1262330 */   // Label 18184: @1262330
     /* 1262330 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1262414), // Rule ID 8248 //
     /* 1262335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1262355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262413 */     // GIR_Coverage, 8248,
     /* 1262413 */     GIR_EraseRootFromParent_Done,
     /* 1262414 */   // Label 18185: @1262414
     /* 1262414 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1262498), // Rule ID 8249 //
     /* 1262419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1262439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262497 */     // GIR_Coverage, 8249,
     /* 1262497 */     GIR_EraseRootFromParent_Done,
     /* 1262498 */   // Label 18186: @1262498
     /* 1262498 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1262582), // Rule ID 8252 //
     /* 1262503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262581 */     // GIR_Coverage, 8252,
     /* 1262581 */     GIR_EraseRootFromParent_Done,
     /* 1262582 */   // Label 18187: @1262582
     /* 1262582 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1262666), // Rule ID 8253 //
     /* 1262587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262640 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262665 */     // GIR_Coverage, 8253,
     /* 1262665 */     GIR_EraseRootFromParent_Done,
     /* 1262666 */   // Label 18188: @1262666
     /* 1262666 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1262750), // Rule ID 8256 //
     /* 1262671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262724 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262749 */     // GIR_Coverage, 8256,
     /* 1262749 */     GIR_EraseRootFromParent_Done,
     /* 1262750 */   // Label 18189: @1262750
     /* 1262750 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1262834), // Rule ID 8257 //
     /* 1262755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262808 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262833 */     // GIR_Coverage, 8257,
     /* 1262833 */     GIR_EraseRootFromParent_Done,
     /* 1262834 */   // Label 18190: @1262834
     /* 1262834 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1262918), // Rule ID 8260 //
     /* 1262839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262892 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262917 */     // GIR_Coverage, 8260,
     /* 1262917 */     GIR_EraseRootFromParent_Done,
     /* 1262918 */   // Label 18191: @1262918
     /* 1262918 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1263002), // Rule ID 8261 //
     /* 1262923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262976 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263001 */     // GIR_Coverage, 8261,
     /* 1263001 */     GIR_EraseRootFromParent_Done,
     /* 1263002 */   // Label 18192: @1263002
     /* 1263002 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1263086), // Rule ID 8264 //
     /* 1263007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1263024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1263027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263085 */     // GIR_Coverage, 8264,
     /* 1263085 */     GIR_EraseRootFromParent_Done,
     /* 1263086 */   // Label 18193: @1263086
     /* 1263086 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1263170), // Rule ID 8265 //
     /* 1263091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1263108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1263111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263169 */     // GIR_Coverage, 8265,
     /* 1263169 */     GIR_EraseRootFromParent_Done,
     /* 1263170 */   // Label 18194: @1263170
     /* 1263170 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1263254), // Rule ID 8268 //
     /* 1263175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1263195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263253 */     // GIR_Coverage, 8268,
     /* 1263253 */     GIR_EraseRootFromParent_Done,
     /* 1263254 */   // Label 18195: @1263254
     /* 1263254 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1263338), // Rule ID 8269 //
     /* 1263259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1263279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263337 */     // GIR_Coverage, 8269,
     /* 1263337 */     GIR_EraseRootFromParent_Done,
     /* 1263338 */   // Label 18196: @1263338
     /* 1263338 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1263422), // Rule ID 8272 //
     /* 1263343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1263363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263421 */     // GIR_Coverage, 8272,
     /* 1263421 */     GIR_EraseRootFromParent_Done,
     /* 1263422 */   // Label 18197: @1263422
     /* 1263422 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1263506), // Rule ID 8273 //
     /* 1263427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1263447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263480 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263505 */     // GIR_Coverage, 8273,
     /* 1263505 */     GIR_EraseRootFromParent_Done,
     /* 1263506 */   // Label 18198: @1263506
     /* 1263506 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1263590), // Rule ID 8276 //
     /* 1263511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263589 */     // GIR_Coverage, 8276,
     /* 1263589 */     GIR_EraseRootFromParent_Done,
     /* 1263590 */   // Label 18199: @1263590
     /* 1263590 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1263674), // Rule ID 8277 //
     /* 1263595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263673 */     // GIR_Coverage, 8277,
     /* 1263673 */     GIR_EraseRootFromParent_Done,
     /* 1263674 */   // Label 18200: @1263674
     /* 1263674 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1263758), // Rule ID 8280 //
     /* 1263679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263757 */     // GIR_Coverage, 8280,
     /* 1263757 */     GIR_EraseRootFromParent_Done,
     /* 1263758 */   // Label 18201: @1263758
     /* 1263758 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1263842), // Rule ID 8281 //
     /* 1263763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263841 */     // GIR_Coverage, 8281,
     /* 1263841 */     GIR_EraseRootFromParent_Done,
     /* 1263842 */   // Label 18202: @1263842
     /* 1263842 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1263926), // Rule ID 8284 //
     /* 1263847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263925 */     // GIR_Coverage, 8284,
     /* 1263925 */     GIR_EraseRootFromParent_Done,
     /* 1263926 */   // Label 18203: @1263926
     /* 1263926 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1264010), // Rule ID 8285 //
     /* 1263931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264009 */     // GIR_Coverage, 8285,
     /* 1264009 */     GIR_EraseRootFromParent_Done,
     /* 1264010 */   // Label 18204: @1264010
     /* 1264010 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1264094), // Rule ID 8288 //
     /* 1264015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1264032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1264035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1264071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264093 */     // GIR_Coverage, 8288,
     /* 1264093 */     GIR_EraseRootFromParent_Done,
     /* 1264094 */   // Label 18205: @1264094
     /* 1264094 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1264178), // Rule ID 8289 //
     /* 1264099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1264116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1264119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1264155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264177 */     // GIR_Coverage, 8289,
     /* 1264177 */     GIR_EraseRootFromParent_Done,
     /* 1264178 */   // Label 18206: @1264178
     /* 1264178 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1264262), // Rule ID 8292 //
     /* 1264183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1264203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1264239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264261 */     // GIR_Coverage, 8292,
     /* 1264261 */     GIR_EraseRootFromParent_Done,
     /* 1264262 */   // Label 18207: @1264262
     /* 1264262 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1264346), // Rule ID 8293 //
     /* 1264267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1264287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1264323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264345 */     // GIR_Coverage, 8293,
     /* 1264345 */     GIR_EraseRootFromParent_Done,
     /* 1264346 */   // Label 18208: @1264346
     /* 1264346 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1264430), // Rule ID 8296 //
     /* 1264351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1264371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264404 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1264407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264429 */     // GIR_Coverage, 8296,
     /* 1264429 */     GIR_EraseRootFromParent_Done,
     /* 1264430 */   // Label 18209: @1264430
     /* 1264430 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1264514), // Rule ID 8297 //
     /* 1264435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1264455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1264491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264513 */     // GIR_Coverage, 8297,
     /* 1264513 */     GIR_EraseRootFromParent_Done,
     /* 1264514 */   // Label 18210: @1264514
     /* 1264514 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1264598), // Rule ID 8300 //
     /* 1264519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264597 */     // GIR_Coverage, 8300,
     /* 1264597 */     GIR_EraseRootFromParent_Done,
     /* 1264598 */   // Label 18211: @1264598
     /* 1264598 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1264682), // Rule ID 8301 //
     /* 1264603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264681 */     // GIR_Coverage, 8301,
     /* 1264681 */     GIR_EraseRootFromParent_Done,
     /* 1264682 */   // Label 18212: @1264682
     /* 1264682 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1264766), // Rule ID 8304 //
     /* 1264687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264765 */     // GIR_Coverage, 8304,
     /* 1264765 */     GIR_EraseRootFromParent_Done,
     /* 1264766 */   // Label 18213: @1264766
     /* 1264766 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1264850), // Rule ID 8305 //
     /* 1264771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264849 */     // GIR_Coverage, 8305,
     /* 1264849 */     GIR_EraseRootFromParent_Done,
     /* 1264850 */   // Label 18214: @1264850
     /* 1264850 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1264934), // Rule ID 8308 //
     /* 1264855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264933 */     // GIR_Coverage, 8308,
     /* 1264933 */     GIR_EraseRootFromParent_Done,
     /* 1264934 */   // Label 18215: @1264934
     /* 1264934 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1265018), // Rule ID 8309 //
     /* 1264939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265017 */     // GIR_Coverage, 8309,
     /* 1265017 */     GIR_EraseRootFromParent_Done,
     /* 1265018 */   // Label 18216: @1265018
     /* 1265018 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1265102), // Rule ID 8312 //
     /* 1265023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1265040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1265079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265101 */     // GIR_Coverage, 8312,
     /* 1265101 */     GIR_EraseRootFromParent_Done,
     /* 1265102 */   // Label 18217: @1265102
     /* 1265102 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1265186), // Rule ID 8313 //
     /* 1265107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1265124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1265163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265185 */     // GIR_Coverage, 8313,
     /* 1265185 */     GIR_EraseRootFromParent_Done,
     /* 1265186 */   // Label 18218: @1265186
     /* 1265186 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1265270), // Rule ID 8316 //
     /* 1265191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265269 */     // GIR_Coverage, 8316,
     /* 1265269 */     GIR_EraseRootFromParent_Done,
     /* 1265270 */   // Label 18219: @1265270
     /* 1265270 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1265354), // Rule ID 8317 //
     /* 1265275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265353 */     // GIR_Coverage, 8317,
     /* 1265353 */     GIR_EraseRootFromParent_Done,
     /* 1265354 */   // Label 18220: @1265354
     /* 1265354 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1265438), // Rule ID 8320 //
     /* 1265359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265437 */     // GIR_Coverage, 8320,
     /* 1265437 */     GIR_EraseRootFromParent_Done,
     /* 1265438 */   // Label 18221: @1265438
     /* 1265438 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1265522), // Rule ID 8321 //
     /* 1265443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265521 */     // GIR_Coverage, 8321,
     /* 1265521 */     GIR_EraseRootFromParent_Done,
     /* 1265522 */   // Label 18222: @1265522
     /* 1265522 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1265606), // Rule ID 8324 //
     /* 1265527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265605 */     // GIR_Coverage, 8324,
     /* 1265605 */     GIR_EraseRootFromParent_Done,
     /* 1265606 */   // Label 18223: @1265606
     /* 1265606 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1265690), // Rule ID 8325 //
     /* 1265611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265689 */     // GIR_Coverage, 8325,
     /* 1265689 */     GIR_EraseRootFromParent_Done,
     /* 1265690 */   // Label 18224: @1265690
     /* 1265690 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1265774), // Rule ID 8328 //
     /* 1265695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265773 */     // GIR_Coverage, 8328,
     /* 1265773 */     GIR_EraseRootFromParent_Done,
     /* 1265774 */   // Label 18225: @1265774
     /* 1265774 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1265858), // Rule ID 8329 //
     /* 1265779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265857 */     // GIR_Coverage, 8329,
     /* 1265857 */     GIR_EraseRootFromParent_Done,
     /* 1265858 */   // Label 18226: @1265858
     /* 1265858 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1265942), // Rule ID 8332 //
     /* 1265863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265941 */     // GIR_Coverage, 8332,
     /* 1265941 */     GIR_EraseRootFromParent_Done,
     /* 1265942 */   // Label 18227: @1265942
     /* 1265942 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1266026), // Rule ID 8333 //
     /* 1265947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1266003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266025 */     // GIR_Coverage, 8333,
     /* 1266025 */     GIR_EraseRootFromParent_Done,
     /* 1266026 */   // Label 18228: @1266026
     /* 1266026 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1266110), // Rule ID 8336 //
     /* 1266031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1266048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1266087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266109 */     // GIR_Coverage, 8336,
     /* 1266109 */     GIR_EraseRootFromParent_Done,
     /* 1266110 */   // Label 18229: @1266110
     /* 1266110 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1266194), // Rule ID 8337 //
     /* 1266115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1266132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266168 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1266171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266193 */     // GIR_Coverage, 8337,
     /* 1266193 */     GIR_EraseRootFromParent_Done,
     /* 1266194 */   // Label 18230: @1266194
     /* 1266194 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1266278), // Rule ID 8340 //
     /* 1266199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266277 */     // GIR_Coverage, 8340,
     /* 1266277 */     GIR_EraseRootFromParent_Done,
     /* 1266278 */   // Label 18231: @1266278
     /* 1266278 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1266362), // Rule ID 8341 //
     /* 1266283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266361 */     // GIR_Coverage, 8341,
     /* 1266361 */     GIR_EraseRootFromParent_Done,
     /* 1266362 */   // Label 18232: @1266362
     /* 1266362 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1266446), // Rule ID 8344 //
     /* 1266367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266445 */     // GIR_Coverage, 8344,
     /* 1266445 */     GIR_EraseRootFromParent_Done,
     /* 1266446 */   // Label 18233: @1266446
     /* 1266446 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1266530), // Rule ID 8345 //
     /* 1266451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266504 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266529 */     // GIR_Coverage, 8345,
     /* 1266529 */     GIR_EraseRootFromParent_Done,
     /* 1266530 */   // Label 18234: @1266530
     /* 1266530 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1266614), // Rule ID 8348 //
     /* 1266535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266588 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266613 */     // GIR_Coverage, 8348,
     /* 1266613 */     GIR_EraseRootFromParent_Done,
     /* 1266614 */   // Label 18235: @1266614
     /* 1266614 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1266698), // Rule ID 8349 //
     /* 1266619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266672 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266697 */     // GIR_Coverage, 8349,
     /* 1266697 */     GIR_EraseRootFromParent_Done,
     /* 1266698 */   // Label 18236: @1266698
     /* 1266698 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1266782), // Rule ID 8352 //
     /* 1266703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266781 */     // GIR_Coverage, 8352,
     /* 1266781 */     GIR_EraseRootFromParent_Done,
     /* 1266782 */   // Label 18237: @1266782
     /* 1266782 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1266866), // Rule ID 8353 //
     /* 1266787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266865 */     // GIR_Coverage, 8353,
     /* 1266865 */     GIR_EraseRootFromParent_Done,
     /* 1266866 */   // Label 18238: @1266866
     /* 1266866 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1266950), // Rule ID 8356 //
     /* 1266871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266949 */     // GIR_Coverage, 8356,
     /* 1266949 */     GIR_EraseRootFromParent_Done,
     /* 1266950 */   // Label 18239: @1266950
     /* 1266950 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1267034), // Rule ID 8357 //
     /* 1266955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267033 */     // GIR_Coverage, 8357,
     /* 1267033 */     GIR_EraseRootFromParent_Done,
     /* 1267034 */   // Label 18240: @1267034
     /* 1267034 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1267118), // Rule ID 8360 //
     /* 1267039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1267056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267092 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267117 */     // GIR_Coverage, 8360,
     /* 1267117 */     GIR_EraseRootFromParent_Done,
     /* 1267118 */   // Label 18241: @1267118
     /* 1267118 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1267202), // Rule ID 8361 //
     /* 1267123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1267140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267176 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267201 */     // GIR_Coverage, 8361,
     /* 1267201 */     GIR_EraseRootFromParent_Done,
     /* 1267202 */   // Label 18242: @1267202
     /* 1267202 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1267286), // Rule ID 8364 //
     /* 1267207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267285 */     // GIR_Coverage, 8364,
     /* 1267285 */     GIR_EraseRootFromParent_Done,
     /* 1267286 */   // Label 18243: @1267286
     /* 1267286 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1267370), // Rule ID 8365 //
     /* 1267291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267369 */     // GIR_Coverage, 8365,
     /* 1267369 */     GIR_EraseRootFromParent_Done,
     /* 1267370 */   // Label 18244: @1267370
     /* 1267370 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1267454), // Rule ID 8368 //
     /* 1267375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267453 */     // GIR_Coverage, 8368,
     /* 1267453 */     GIR_EraseRootFromParent_Done,
     /* 1267454 */   // Label 18245: @1267454
     /* 1267454 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1267538), // Rule ID 8369 //
     /* 1267459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267537 */     // GIR_Coverage, 8369,
     /* 1267537 */     GIR_EraseRootFromParent_Done,
     /* 1267538 */   // Label 18246: @1267538
     /* 1267538 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1267622), // Rule ID 8372 //
     /* 1267543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267621 */     // GIR_Coverage, 8372,
     /* 1267621 */     GIR_EraseRootFromParent_Done,
     /* 1267622 */   // Label 18247: @1267622
     /* 1267622 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1267706), // Rule ID 8373 //
     /* 1267627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267705 */     // GIR_Coverage, 8373,
     /* 1267705 */     GIR_EraseRootFromParent_Done,
     /* 1267706 */   // Label 18248: @1267706
     /* 1267706 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1267790), // Rule ID 8376 //
     /* 1267711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267789 */     // GIR_Coverage, 8376,
     /* 1267789 */     GIR_EraseRootFromParent_Done,
     /* 1267790 */   // Label 18249: @1267790
     /* 1267790 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1267874), // Rule ID 8377 //
     /* 1267795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267873 */     // GIR_Coverage, 8377,
     /* 1267873 */     GIR_EraseRootFromParent_Done,
     /* 1267874 */   // Label 18250: @1267874
     /* 1267874 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1267958), // Rule ID 8380 //
     /* 1267879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267957 */     // GIR_Coverage, 8380,
     /* 1267957 */     GIR_EraseRootFromParent_Done,
     /* 1267958 */   // Label 18251: @1267958
     /* 1267958 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1268042), // Rule ID 8381 //
     /* 1267963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1268019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268041 */     // GIR_Coverage, 8381,
     /* 1268041 */     GIR_EraseRootFromParent_Done,
     /* 1268042 */   // Label 18252: @1268042
     /* 1268042 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1268126), // Rule ID 8384 //
     /* 1268047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1268064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1268103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268125 */     // GIR_Coverage, 8384,
     /* 1268125 */     GIR_EraseRootFromParent_Done,
     /* 1268126 */   // Label 18253: @1268126
     /* 1268126 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1268210), // Rule ID 8385 //
     /* 1268131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1268148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268184 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1268187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268209 */     // GIR_Coverage, 8385,
     /* 1268209 */     GIR_EraseRootFromParent_Done,
     /* 1268210 */   // Label 18254: @1268210
     /* 1268210 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1268294), // Rule ID 8388 //
     /* 1268215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1268235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1268271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268293 */     // GIR_Coverage, 8388,
     /* 1268293 */     GIR_EraseRootFromParent_Done,
     /* 1268294 */   // Label 18255: @1268294
     /* 1268294 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1268378), // Rule ID 8389 //
     /* 1268299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1268319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1268355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268377 */     // GIR_Coverage, 8389,
     /* 1268377 */     GIR_EraseRootFromParent_Done,
     /* 1268378 */   // Label 18256: @1268378
     /* 1268378 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1268462), // Rule ID 8392 //
     /* 1268383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1268403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268461 */     // GIR_Coverage, 8392,
     /* 1268461 */     GIR_EraseRootFromParent_Done,
     /* 1268462 */   // Label 18257: @1268462
     /* 1268462 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1268546), // Rule ID 8393 //
     /* 1268467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1268487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268545 */     // GIR_Coverage, 8393,
     /* 1268545 */     GIR_EraseRootFromParent_Done,
     /* 1268546 */   // Label 18258: @1268546
     /* 1268546 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1268630), // Rule ID 8396 //
     /* 1268551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268629 */     // GIR_Coverage, 8396,
     /* 1268629 */     GIR_EraseRootFromParent_Done,
     /* 1268630 */   // Label 18259: @1268630
     /* 1268630 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1268714), // Rule ID 8397 //
     /* 1268635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268713 */     // GIR_Coverage, 8397,
     /* 1268713 */     GIR_EraseRootFromParent_Done,
     /* 1268714 */   // Label 18260: @1268714
     /* 1268714 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1268798), // Rule ID 8400 //
     /* 1268719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268797 */     // GIR_Coverage, 8400,
     /* 1268797 */     GIR_EraseRootFromParent_Done,
     /* 1268798 */   // Label 18261: @1268798
     /* 1268798 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1268882), // Rule ID 8401 //
     /* 1268803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268881 */     // GIR_Coverage, 8401,
     /* 1268881 */     GIR_EraseRootFromParent_Done,
     /* 1268882 */   // Label 18262: @1268882
     /* 1268882 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1268966), // Rule ID 8404 //
     /* 1268887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268965 */     // GIR_Coverage, 8404,
     /* 1268965 */     GIR_EraseRootFromParent_Done,
     /* 1268966 */   // Label 18263: @1268966
     /* 1268966 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1269050), // Rule ID 8405 //
     /* 1268971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1269027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269049 */     // GIR_Coverage, 8405,
     /* 1269049 */     GIR_EraseRootFromParent_Done,
     /* 1269050 */   // Label 18264: @1269050
     /* 1269050 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1269134), // Rule ID 8408 //
     /* 1269055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1269072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1269075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1269111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269133 */     // GIR_Coverage, 8408,
     /* 1269133 */     GIR_EraseRootFromParent_Done,
     /* 1269134 */   // Label 18265: @1269134
     /* 1269134 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1269218), // Rule ID 8409 //
     /* 1269139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1269156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1269159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1269195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269217 */     // GIR_Coverage, 8409,
     /* 1269217 */     GIR_EraseRootFromParent_Done,
     /* 1269218 */   // Label 18266: @1269218
     /* 1269218 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1269302), // Rule ID 8412 //
     /* 1269223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269301 */     // GIR_Coverage, 8412,
     /* 1269301 */     GIR_EraseRootFromParent_Done,
     /* 1269302 */   // Label 18267: @1269302
     /* 1269302 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1269386), // Rule ID 8413 //
     /* 1269307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269385 */     // GIR_Coverage, 8413,
     /* 1269385 */     GIR_EraseRootFromParent_Done,
     /* 1269386 */   // Label 18268: @1269386
     /* 1269386 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1269470), // Rule ID 8416 //
     /* 1269391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269469 */     // GIR_Coverage, 8416,
     /* 1269469 */     GIR_EraseRootFromParent_Done,
     /* 1269470 */   // Label 18269: @1269470
     /* 1269470 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1269554), // Rule ID 8417 //
     /* 1269475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269553 */     // GIR_Coverage, 8417,
     /* 1269553 */     GIR_EraseRootFromParent_Done,
     /* 1269554 */   // Label 18270: @1269554
     /* 1269554 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1269638), // Rule ID 8420 //
     /* 1269559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269637 */     // GIR_Coverage, 8420,
     /* 1269637 */     GIR_EraseRootFromParent_Done,
     /* 1269638 */   // Label 18271: @1269638
     /* 1269638 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1269722), // Rule ID 8421 //
     /* 1269643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269721 */     // GIR_Coverage, 8421,
     /* 1269721 */     GIR_EraseRootFromParent_Done,
     /* 1269722 */   // Label 18272: @1269722
     /* 1269722 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1269806), // Rule ID 8424 //
     /* 1269727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269805 */     // GIR_Coverage, 8424,
     /* 1269805 */     GIR_EraseRootFromParent_Done,
     /* 1269806 */   // Label 18273: @1269806
     /* 1269806 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1269890), // Rule ID 8425 //
     /* 1269811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269889 */     // GIR_Coverage, 8425,
     /* 1269889 */     GIR_EraseRootFromParent_Done,
     /* 1269890 */   // Label 18274: @1269890
     /* 1269890 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1269974), // Rule ID 8428 //
     /* 1269895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269973 */     // GIR_Coverage, 8428,
     /* 1269973 */     GIR_EraseRootFromParent_Done,
     /* 1269974 */   // Label 18275: @1269974
     /* 1269974 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1270058), // Rule ID 8429 //
     /* 1269979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270057 */     // GIR_Coverage, 8429,
     /* 1270057 */     GIR_EraseRootFromParent_Done,
     /* 1270058 */   // Label 18276: @1270058
     /* 1270058 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1270142), // Rule ID 8432 //
     /* 1270063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1270080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1270083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270141 */     // GIR_Coverage, 8432,
     /* 1270141 */     GIR_EraseRootFromParent_Done,
     /* 1270142 */   // Label 18277: @1270142
     /* 1270142 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1270226), // Rule ID 8433 //
     /* 1270147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1270164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1270167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270200 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270225 */     // GIR_Coverage, 8433,
     /* 1270225 */     GIR_EraseRootFromParent_Done,
     /* 1270226 */   // Label 18278: @1270226
     /* 1270226 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1270310), // Rule ID 8436 //
     /* 1270231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1270251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270284 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270309 */     // GIR_Coverage, 8436,
     /* 1270309 */     GIR_EraseRootFromParent_Done,
     /* 1270310 */   // Label 18279: @1270310
     /* 1270310 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1270394), // Rule ID 8437 //
     /* 1270315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1270335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270368 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270393 */     // GIR_Coverage, 8437,
     /* 1270393 */     GIR_EraseRootFromParent_Done,
     /* 1270394 */   // Label 18280: @1270394
     /* 1270394 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1270478), // Rule ID 8440 //
     /* 1270399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1270419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270477 */     // GIR_Coverage, 8440,
     /* 1270477 */     GIR_EraseRootFromParent_Done,
     /* 1270478 */   // Label 18281: @1270478
     /* 1270478 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1270562), // Rule ID 8441 //
     /* 1270483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1270503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270561 */     // GIR_Coverage, 8441,
     /* 1270561 */     GIR_EraseRootFromParent_Done,
     /* 1270562 */   // Label 18282: @1270562
     /* 1270562 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1270646), // Rule ID 8444 //
     /* 1270567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270645 */     // GIR_Coverage, 8444,
     /* 1270645 */     GIR_EraseRootFromParent_Done,
     /* 1270646 */   // Label 18283: @1270646
     /* 1270646 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1270730), // Rule ID 8445 //
     /* 1270651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270729 */     // GIR_Coverage, 8445,
     /* 1270729 */     GIR_EraseRootFromParent_Done,
     /* 1270730 */   // Label 18284: @1270730
     /* 1270730 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1270814), // Rule ID 8448 //
     /* 1270735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270813 */     // GIR_Coverage, 8448,
     /* 1270813 */     GIR_EraseRootFromParent_Done,
     /* 1270814 */   // Label 18285: @1270814
     /* 1270814 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1270898), // Rule ID 8449 //
     /* 1270819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270872 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270897 */     // GIR_Coverage, 8449,
     /* 1270897 */     GIR_EraseRootFromParent_Done,
     /* 1270898 */   // Label 18286: @1270898
     /* 1270898 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1270982), // Rule ID 8452 //
     /* 1270903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270981 */     // GIR_Coverage, 8452,
     /* 1270981 */     GIR_EraseRootFromParent_Done,
     /* 1270982 */   // Label 18287: @1270982
     /* 1270982 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1271066), // Rule ID 8453 //
     /* 1270987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1271004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1271007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271065 */     // GIR_Coverage, 8453,
     /* 1271065 */     GIR_EraseRootFromParent_Done,
     /* 1271066 */   // Label 18288: @1271066
     /* 1271066 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1271150), // Rule ID 8456 //
     /* 1271071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1271088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1271091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271149 */     // GIR_Coverage, 8456,
     /* 1271149 */     GIR_EraseRootFromParent_Done,
     /* 1271150 */   // Label 18289: @1271150
     /* 1271150 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1271234), // Rule ID 8457 //
     /* 1271155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1271172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1271175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271233 */     // GIR_Coverage, 8457,
     /* 1271233 */     GIR_EraseRootFromParent_Done,
     /* 1271234 */   // Label 18290: @1271234
     /* 1271234 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1271318), // Rule ID 8460 //
     /* 1271239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1271259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271317 */     // GIR_Coverage, 8460,
     /* 1271317 */     GIR_EraseRootFromParent_Done,
     /* 1271318 */   // Label 18291: @1271318
     /* 1271318 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1271402), // Rule ID 8461 //
     /* 1271323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1271343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271401 */     // GIR_Coverage, 8461,
     /* 1271401 */     GIR_EraseRootFromParent_Done,
     /* 1271402 */   // Label 18292: @1271402
     /* 1271402 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1271486), // Rule ID 8464 //
     /* 1271407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1271427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271485 */     // GIR_Coverage, 8464,
     /* 1271485 */     GIR_EraseRootFromParent_Done,
     /* 1271486 */   // Label 18293: @1271486
     /* 1271486 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1271570), // Rule ID 8465 //
     /* 1271491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1271511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271569 */     // GIR_Coverage, 8465,
     /* 1271569 */     GIR_EraseRootFromParent_Done,
     /* 1271570 */   // Label 18294: @1271570
     /* 1271570 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1271654), // Rule ID 8468 //
     /* 1271575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271653 */     // GIR_Coverage, 8468,
     /* 1271653 */     GIR_EraseRootFromParent_Done,
     /* 1271654 */   // Label 18295: @1271654
     /* 1271654 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1271738), // Rule ID 8469 //
     /* 1271659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271737 */     // GIR_Coverage, 8469,
     /* 1271737 */     GIR_EraseRootFromParent_Done,
     /* 1271738 */   // Label 18296: @1271738
     /* 1271738 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1271822), // Rule ID 8472 //
     /* 1271743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271821 */     // GIR_Coverage, 8472,
     /* 1271821 */     GIR_EraseRootFromParent_Done,
     /* 1271822 */   // Label 18297: @1271822
     /* 1271822 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1271906), // Rule ID 8473 //
     /* 1271827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271905 */     // GIR_Coverage, 8473,
     /* 1271905 */     GIR_EraseRootFromParent_Done,
     /* 1271906 */   // Label 18298: @1271906
     /* 1271906 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1271990), // Rule ID 8476 //
     /* 1271911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1271967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271989 */     // GIR_Coverage, 8476,
     /* 1271989 */     GIR_EraseRootFromParent_Done,
     /* 1271990 */   // Label 18299: @1271990
     /* 1271990 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1272074), // Rule ID 8477 //
     /* 1271995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1272012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1272051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272073 */     // GIR_Coverage, 8477,
     /* 1272073 */     GIR_EraseRootFromParent_Done,
     /* 1272074 */   // Label 18300: @1272074
     /* 1272074 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1272158), // Rule ID 8480 //
     /* 1272079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1272096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272157 */     // GIR_Coverage, 8480,
     /* 1272157 */     GIR_EraseRootFromParent_Done,
     /* 1272158 */   // Label 18301: @1272158
     /* 1272158 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1272242), // Rule ID 8481 //
     /* 1272163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1272180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272241 */     // GIR_Coverage, 8481,
     /* 1272241 */     GIR_EraseRootFromParent_Done,
     /* 1272242 */   // Label 18302: @1272242
     /* 1272242 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1272326), // Rule ID 8484 //
     /* 1272247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272325 */     // GIR_Coverage, 8484,
     /* 1272325 */     GIR_EraseRootFromParent_Done,
     /* 1272326 */   // Label 18303: @1272326
     /* 1272326 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1272410), // Rule ID 8485 //
     /* 1272331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272409 */     // GIR_Coverage, 8485,
     /* 1272409 */     GIR_EraseRootFromParent_Done,
     /* 1272410 */   // Label 18304: @1272410
     /* 1272410 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1272494), // Rule ID 8488 //
     /* 1272415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272493 */     // GIR_Coverage, 8488,
     /* 1272493 */     GIR_EraseRootFromParent_Done,
     /* 1272494 */   // Label 18305: @1272494
     /* 1272494 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1272578), // Rule ID 8489 //
     /* 1272499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272577 */     // GIR_Coverage, 8489,
     /* 1272577 */     GIR_EraseRootFromParent_Done,
     /* 1272578 */   // Label 18306: @1272578
     /* 1272578 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1272662), // Rule ID 8492 //
     /* 1272583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272661 */     // GIR_Coverage, 8492,
     /* 1272661 */     GIR_EraseRootFromParent_Done,
     /* 1272662 */   // Label 18307: @1272662
     /* 1272662 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1272746), // Rule ID 8493 //
     /* 1272667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272745 */     // GIR_Coverage, 8493,
     /* 1272745 */     GIR_EraseRootFromParent_Done,
     /* 1272746 */   // Label 18308: @1272746
     /* 1272746 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1272830), // Rule ID 8496 //
     /* 1272751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272829 */     // GIR_Coverage, 8496,
     /* 1272829 */     GIR_EraseRootFromParent_Done,
     /* 1272830 */   // Label 18309: @1272830
     /* 1272830 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1272914), // Rule ID 8497 //
     /* 1272835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272913 */     // GIR_Coverage, 8497,
     /* 1272913 */     GIR_EraseRootFromParent_Done,
     /* 1272914 */   // Label 18310: @1272914
     /* 1272914 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1272998), // Rule ID 8500 //
     /* 1272919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272997 */     // GIR_Coverage, 8500,
     /* 1272997 */     GIR_EraseRootFromParent_Done,
     /* 1272998 */   // Label 18311: @1272998
     /* 1272998 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1273082), // Rule ID 8501 //
     /* 1273003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1273020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273081 */     // GIR_Coverage, 8501,
     /* 1273081 */     GIR_EraseRootFromParent_Done,
     /* 1273082 */   // Label 18312: @1273082
     /* 1273082 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1273166), // Rule ID 8504 //
     /* 1273087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273165 */     // GIR_Coverage, 8504,
     /* 1273165 */     GIR_EraseRootFromParent_Done,
     /* 1273166 */   // Label 18313: @1273166
     /* 1273166 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1273250), // Rule ID 8505 //
     /* 1273171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273249 */     // GIR_Coverage, 8505,
     /* 1273249 */     GIR_EraseRootFromParent_Done,
     /* 1273250 */   // Label 18314: @1273250
     /* 1273250 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1273334), // Rule ID 8508 //
     /* 1273255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273333 */     // GIR_Coverage, 8508,
     /* 1273333 */     GIR_EraseRootFromParent_Done,
     /* 1273334 */   // Label 18315: @1273334
     /* 1273334 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1273418), // Rule ID 8509 //
     /* 1273339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273417 */     // GIR_Coverage, 8509,
     /* 1273417 */     GIR_EraseRootFromParent_Done,
     /* 1273418 */   // Label 18316: @1273418
     /* 1273418 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1273502), // Rule ID 8512 //
     /* 1273423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273501 */     // GIR_Coverage, 8512,
     /* 1273501 */     GIR_EraseRootFromParent_Done,
     /* 1273502 */   // Label 18317: @1273502
     /* 1273502 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1273586), // Rule ID 8513 //
     /* 1273507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273585 */     // GIR_Coverage, 8513,
     /* 1273585 */     GIR_EraseRootFromParent_Done,
     /* 1273586 */   // Label 18318: @1273586
     /* 1273586 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1273670), // Rule ID 8516 //
     /* 1273591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273669 */     // GIR_Coverage, 8516,
     /* 1273669 */     GIR_EraseRootFromParent_Done,
     /* 1273670 */   // Label 18319: @1273670
     /* 1273670 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1273754), // Rule ID 8517 //
     /* 1273675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273753 */     // GIR_Coverage, 8517,
     /* 1273753 */     GIR_EraseRootFromParent_Done,
     /* 1273754 */   // Label 18320: @1273754
     /* 1273754 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1273838), // Rule ID 8520 //
     /* 1273759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273812 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273837 */     // GIR_Coverage, 8520,
     /* 1273837 */     GIR_EraseRootFromParent_Done,
     /* 1273838 */   // Label 18321: @1273838
     /* 1273838 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1273922), // Rule ID 8521 //
     /* 1273843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273896 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273921 */     // GIR_Coverage, 8521,
     /* 1273921 */     GIR_EraseRootFromParent_Done,
     /* 1273922 */   // Label 18322: @1273922
     /* 1273922 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1274006), // Rule ID 8524 //
     /* 1273927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273980 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274005 */     // GIR_Coverage, 8524,
     /* 1274005 */     GIR_EraseRootFromParent_Done,
     /* 1274006 */   // Label 18323: @1274006
     /* 1274006 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1274090), // Rule ID 8525 //
     /* 1274011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1274022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1274025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1274028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1274034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274064 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274089 */     // GIR_Coverage, 8525,
     /* 1274089 */     GIR_EraseRootFromParent_Done,
     /* 1274090 */   // Label 18324: @1274090
     /* 1274090 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1274174), // Rule ID 8528 //
     /* 1274095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274173 */     // GIR_Coverage, 8528,
     /* 1274173 */     GIR_EraseRootFromParent_Done,
     /* 1274174 */   // Label 18325: @1274174
     /* 1274174 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1274258), // Rule ID 8529 //
     /* 1274179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274257 */     // GIR_Coverage, 8529,
     /* 1274257 */     GIR_EraseRootFromParent_Done,
     /* 1274258 */   // Label 18326: @1274258
     /* 1274258 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1274342), // Rule ID 8532 //
     /* 1274263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274341 */     // GIR_Coverage, 8532,
     /* 1274341 */     GIR_EraseRootFromParent_Done,
     /* 1274342 */   // Label 18327: @1274342
     /* 1274342 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1274426), // Rule ID 8533 //
     /* 1274347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274425 */     // GIR_Coverage, 8533,
     /* 1274425 */     GIR_EraseRootFromParent_Done,
     /* 1274426 */   // Label 18328: @1274426
     /* 1274426 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1274510), // Rule ID 8536 //
     /* 1274431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274509 */     // GIR_Coverage, 8536,
     /* 1274509 */     GIR_EraseRootFromParent_Done,
     /* 1274510 */   // Label 18329: @1274510
     /* 1274510 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1274594), // Rule ID 8537 //
     /* 1274515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274593 */     // GIR_Coverage, 8537,
     /* 1274593 */     GIR_EraseRootFromParent_Done,
     /* 1274594 */   // Label 18330: @1274594
     /* 1274594 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1274678), // Rule ID 8540 //
     /* 1274599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274677 */     // GIR_Coverage, 8540,
     /* 1274677 */     GIR_EraseRootFromParent_Done,
     /* 1274678 */   // Label 18331: @1274678
     /* 1274678 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1274762), // Rule ID 8541 //
     /* 1274683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274761 */     // GIR_Coverage, 8541,
     /* 1274761 */     GIR_EraseRootFromParent_Done,
     /* 1274762 */   // Label 18332: @1274762
     /* 1274762 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1274846), // Rule ID 8544 //
     /* 1274767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274845 */     // GIR_Coverage, 8544,
     /* 1274845 */     GIR_EraseRootFromParent_Done,
     /* 1274846 */   // Label 18333: @1274846
     /* 1274846 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1274930), // Rule ID 8545 //
     /* 1274851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274929 */     // GIR_Coverage, 8545,
     /* 1274929 */     GIR_EraseRootFromParent_Done,
     /* 1274930 */   // Label 18334: @1274930
     /* 1274930 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1275014), // Rule ID 8548 //
     /* 1274935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275013 */     // GIR_Coverage, 8548,
     /* 1275013 */     GIR_EraseRootFromParent_Done,
     /* 1275014 */   // Label 18335: @1275014
     /* 1275014 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1275098), // Rule ID 8549 //
     /* 1275019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1275036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275097 */     // GIR_Coverage, 8549,
     /* 1275097 */     GIR_EraseRootFromParent_Done,
     /* 1275098 */   // Label 18336: @1275098
     /* 1275098 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1275182), // Rule ID 8552 //
     /* 1275103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1275159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275181 */     // GIR_Coverage, 8552,
     /* 1275181 */     GIR_EraseRootFromParent_Done,
     /* 1275182 */   // Label 18337: @1275182
     /* 1275182 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1275266), // Rule ID 8553 //
     /* 1275187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1275243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275265 */     // GIR_Coverage, 8553,
     /* 1275265 */     GIR_EraseRootFromParent_Done,
     /* 1275266 */   // Label 18338: @1275266
     /* 1275266 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1275350), // Rule ID 8556 //
     /* 1275271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1275327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275349 */     // GIR_Coverage, 8556,
     /* 1275349 */     GIR_EraseRootFromParent_Done,
     /* 1275350 */   // Label 18339: @1275350
     /* 1275350 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1275434), // Rule ID 8557 //
     /* 1275355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1275411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275433 */     // GIR_Coverage, 8557,
     /* 1275433 */     GIR_EraseRootFromParent_Done,
     /* 1275434 */   // Label 18340: @1275434
     /* 1275434 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1275518), // Rule ID 8560 //
     /* 1275439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275517 */     // GIR_Coverage, 8560,
     /* 1275517 */     GIR_EraseRootFromParent_Done,
     /* 1275518 */   // Label 18341: @1275518
     /* 1275518 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1275602), // Rule ID 8561 //
     /* 1275523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275576 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275601 */     // GIR_Coverage, 8561,
     /* 1275601 */     GIR_EraseRootFromParent_Done,
     /* 1275602 */   // Label 18342: @1275602
     /* 1275602 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1275686), // Rule ID 8564 //
     /* 1275607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275685 */     // GIR_Coverage, 8564,
     /* 1275685 */     GIR_EraseRootFromParent_Done,
     /* 1275686 */   // Label 18343: @1275686
     /* 1275686 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1275770), // Rule ID 8565 //
     /* 1275691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275769 */     // GIR_Coverage, 8565,
     /* 1275769 */     GIR_EraseRootFromParent_Done,
     /* 1275770 */   // Label 18344: @1275770
     /* 1275770 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1275854), // Rule ID 8568 //
     /* 1275775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275853 */     // GIR_Coverage, 8568,
     /* 1275853 */     GIR_EraseRootFromParent_Done,
     /* 1275854 */   // Label 18345: @1275854
     /* 1275854 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1275938), // Rule ID 8569 //
     /* 1275859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275937 */     // GIR_Coverage, 8569,
     /* 1275937 */     GIR_EraseRootFromParent_Done,
     /* 1275938 */   // Label 18346: @1275938
     /* 1275938 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1276022), // Rule ID 8572 //
     /* 1275943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276021 */     // GIR_Coverage, 8572,
     /* 1276021 */     GIR_EraseRootFromParent_Done,
     /* 1276022 */   // Label 18347: @1276022
     /* 1276022 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1276106), // Rule ID 8573 //
     /* 1276027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1276044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1276047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276105 */     // GIR_Coverage, 8573,
     /* 1276105 */     GIR_EraseRootFromParent_Done,
     /* 1276106 */   // Label 18348: @1276106
     /* 1276106 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1276190), // Rule ID 8576 //
     /* 1276111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1276131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1276167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276189 */     // GIR_Coverage, 8576,
     /* 1276189 */     GIR_EraseRootFromParent_Done,
     /* 1276190 */   // Label 18349: @1276190
     /* 1276190 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1276274), // Rule ID 8577 //
     /* 1276195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1276215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1276251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276273 */     // GIR_Coverage, 8577,
     /* 1276273 */     GIR_EraseRootFromParent_Done,
     /* 1276274 */   // Label 18350: @1276274
     /* 1276274 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1276358), // Rule ID 8580 //
     /* 1276279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1276299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276357 */     // GIR_Coverage, 8580,
     /* 1276357 */     GIR_EraseRootFromParent_Done,
     /* 1276358 */   // Label 18351: @1276358
     /* 1276358 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1276442), // Rule ID 8581 //
     /* 1276363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1276383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276441 */     // GIR_Coverage, 8581,
     /* 1276441 */     GIR_EraseRootFromParent_Done,
     /* 1276442 */   // Label 18352: @1276442
     /* 1276442 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1276526), // Rule ID 8584 //
     /* 1276447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276525 */     // GIR_Coverage, 8584,
     /* 1276525 */     GIR_EraseRootFromParent_Done,
     /* 1276526 */   // Label 18353: @1276526
     /* 1276526 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1276610), // Rule ID 8585 //
     /* 1276531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276609 */     // GIR_Coverage, 8585,
     /* 1276609 */     GIR_EraseRootFromParent_Done,
     /* 1276610 */   // Label 18354: @1276610
     /* 1276610 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1276694), // Rule ID 8588 //
     /* 1276615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276693 */     // GIR_Coverage, 8588,
     /* 1276693 */     GIR_EraseRootFromParent_Done,
     /* 1276694 */   // Label 18355: @1276694
     /* 1276694 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1276778), // Rule ID 8589 //
     /* 1276699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276777 */     // GIR_Coverage, 8589,
     /* 1276777 */     GIR_EraseRootFromParent_Done,
     /* 1276778 */   // Label 18356: @1276778
     /* 1276778 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1276862), // Rule ID 8592 //
     /* 1276783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276861 */     // GIR_Coverage, 8592,
     /* 1276861 */     GIR_EraseRootFromParent_Done,
     /* 1276862 */   // Label 18357: @1276862
     /* 1276862 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1276946), // Rule ID 8593 //
     /* 1276867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276945 */     // GIR_Coverage, 8593,
     /* 1276945 */     GIR_EraseRootFromParent_Done,
     /* 1276946 */   // Label 18358: @1276946
     /* 1276946 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1277030), // Rule ID 8596 //
     /* 1276951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1277007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277029 */     // GIR_Coverage, 8596,
     /* 1277029 */     GIR_EraseRootFromParent_Done,
     /* 1277030 */   // Label 18359: @1277030
     /* 1277030 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1277114), // Rule ID 8597 //
     /* 1277035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1277052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1277091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277113 */     // GIR_Coverage, 8597,
     /* 1277113 */     GIR_EraseRootFromParent_Done,
     /* 1277114 */   // Label 18360: @1277114
     /* 1277114 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1277198), // Rule ID 8600 //
     /* 1277119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1277139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1277175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277197 */     // GIR_Coverage, 8600,
     /* 1277197 */     GIR_EraseRootFromParent_Done,
     /* 1277198 */   // Label 18361: @1277198
     /* 1277198 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1277282), // Rule ID 8601 //
     /* 1277203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1277223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1277259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277281 */     // GIR_Coverage, 8601,
     /* 1277281 */     GIR_EraseRootFromParent_Done,
     /* 1277282 */   // Label 18362: @1277282
     /* 1277282 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1277366), // Rule ID 8604 //
     /* 1277287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1277307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277365 */     // GIR_Coverage, 8604,
     /* 1277365 */     GIR_EraseRootFromParent_Done,
     /* 1277366 */   // Label 18363: @1277366
     /* 1277366 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1277450), // Rule ID 8605 //
     /* 1277371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1277391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277424 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277449 */     // GIR_Coverage, 8605,
     /* 1277449 */     GIR_EraseRootFromParent_Done,
     /* 1277450 */   // Label 18364: @1277450
     /* 1277450 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1277534), // Rule ID 8608 //
     /* 1277455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277508 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277533 */     // GIR_Coverage, 8608,
     /* 1277533 */     GIR_EraseRootFromParent_Done,
     /* 1277534 */   // Label 18365: @1277534
     /* 1277534 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1277618), // Rule ID 8609 //
     /* 1277539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277592 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277617 */     // GIR_Coverage, 8609,
     /* 1277617 */     GIR_EraseRootFromParent_Done,
     /* 1277618 */   // Label 18366: @1277618
     /* 1277618 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1277702), // Rule ID 8612 //
     /* 1277623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277676 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277701 */     // GIR_Coverage, 8612,
     /* 1277701 */     GIR_EraseRootFromParent_Done,
     /* 1277702 */   // Label 18367: @1277702
     /* 1277702 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1277786), // Rule ID 8613 //
     /* 1277707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277760 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277785 */     // GIR_Coverage, 8613,
     /* 1277785 */     GIR_EraseRootFromParent_Done,
     /* 1277786 */   // Label 18368: @1277786
     /* 1277786 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1277870), // Rule ID 8616 //
     /* 1277791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277869 */     // GIR_Coverage, 8616,
     /* 1277869 */     GIR_EraseRootFromParent_Done,
     /* 1277870 */   // Label 18369: @1277870
     /* 1277870 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1277954), // Rule ID 8617 //
     /* 1277875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277953 */     // GIR_Coverage, 8617,
     /* 1277953 */     GIR_EraseRootFromParent_Done,
     /* 1277954 */   // Label 18370: @1277954
     /* 1277954 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1278038), // Rule ID 8620 //
     /* 1277959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278037 */     // GIR_Coverage, 8620,
     /* 1278037 */     GIR_EraseRootFromParent_Done,
     /* 1278038 */   // Label 18371: @1278038
     /* 1278038 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1278122), // Rule ID 8621 //
     /* 1278043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1278060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1278063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278121 */     // GIR_Coverage, 8621,
     /* 1278121 */     GIR_EraseRootFromParent_Done,
     /* 1278122 */   // Label 18372: @1278122
     /* 1278122 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1278206), // Rule ID 8624 //
     /* 1278127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1278144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1278147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278205 */     // GIR_Coverage, 8624,
     /* 1278205 */     GIR_EraseRootFromParent_Done,
     /* 1278206 */   // Label 18373: @1278206
     /* 1278206 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1278290), // Rule ID 8625 //
     /* 1278211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1278228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1278231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278289 */     // GIR_Coverage, 8625,
     /* 1278289 */     GIR_EraseRootFromParent_Done,
     /* 1278290 */   // Label 18374: @1278290
     /* 1278290 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1278374), // Rule ID 8628 //
     /* 1278295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1278315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278373 */     // GIR_Coverage, 8628,
     /* 1278373 */     GIR_EraseRootFromParent_Done,
     /* 1278374 */   // Label 18375: @1278374
     /* 1278374 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1278458), // Rule ID 8629 //
     /* 1278379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1278399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278457 */     // GIR_Coverage, 8629,
     /* 1278457 */     GIR_EraseRootFromParent_Done,
     /* 1278458 */   // Label 18376: @1278458
     /* 1278458 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1278542), // Rule ID 8632 //
     /* 1278463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278541 */     // GIR_Coverage, 8632,
     /* 1278541 */     GIR_EraseRootFromParent_Done,
     /* 1278542 */   // Label 18377: @1278542
     /* 1278542 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1278626), // Rule ID 8633 //
     /* 1278547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278625 */     // GIR_Coverage, 8633,
     /* 1278625 */     GIR_EraseRootFromParent_Done,
     /* 1278626 */   // Label 18378: @1278626
     /* 1278626 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1278710), // Rule ID 8636 //
     /* 1278631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278709 */     // GIR_Coverage, 8636,
     /* 1278709 */     GIR_EraseRootFromParent_Done,
     /* 1278710 */   // Label 18379: @1278710
     /* 1278710 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1278794), // Rule ID 8637 //
     /* 1278715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278793 */     // GIR_Coverage, 8637,
     /* 1278793 */     GIR_EraseRootFromParent_Done,
     /* 1278794 */   // Label 18380: @1278794
     /* 1278794 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1278878), // Rule ID 8640 //
     /* 1278799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278877 */     // GIR_Coverage, 8640,
     /* 1278877 */     GIR_EraseRootFromParent_Done,
     /* 1278878 */   // Label 18381: @1278878
     /* 1278878 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1278962), // Rule ID 8641 //
     /* 1278883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278961 */     // GIR_Coverage, 8641,
     /* 1278961 */     GIR_EraseRootFromParent_Done,
     /* 1278962 */   // Label 18382: @1278962
     /* 1278962 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1279046), // Rule ID 8644 //
     /* 1278967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1279023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279045 */     // GIR_Coverage, 8644,
     /* 1279045 */     GIR_EraseRootFromParent_Done,
     /* 1279046 */   // Label 18383: @1279046
     /* 1279046 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1279130), // Rule ID 8645 //
     /* 1279051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1279068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1279071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1279107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279129 */     // GIR_Coverage, 8645,
     /* 1279129 */     GIR_EraseRootFromParent_Done,
     /* 1279130 */   // Label 18384: @1279130
     /* 1279130 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1279214), // Rule ID 8648 //
     /* 1279135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1279152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1279155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1279191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279213 */     // GIR_Coverage, 8648,
     /* 1279213 */     GIR_EraseRootFromParent_Done,
     /* 1279214 */   // Label 18385: @1279214
     /* 1279214 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1279298), // Rule ID 8649 //
     /* 1279219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1279236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1279239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1279275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279297 */     // GIR_Coverage, 8649,
     /* 1279297 */     GIR_EraseRootFromParent_Done,
     /* 1279298 */   // Label 18386: @1279298
     /* 1279298 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1279382), // Rule ID 8652 //
     /* 1279303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1279359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279381 */     // GIR_Coverage, 8652,
     /* 1279381 */     GIR_EraseRootFromParent_Done,
     /* 1279382 */   // Label 18387: @1279382
     /* 1279382 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1279466), // Rule ID 8653 //
     /* 1279387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1279443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279465 */     // GIR_Coverage, 8653,
     /* 1279465 */     GIR_EraseRootFromParent_Done,
     /* 1279466 */   // Label 18388: @1279466
     /* 1279466 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1279550), // Rule ID 8656 //
     /* 1279471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279549 */     // GIR_Coverage, 8656,
     /* 1279549 */     GIR_EraseRootFromParent_Done,
     /* 1279550 */   // Label 18389: @1279550
     /* 1279550 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1279634), // Rule ID 8657 //
     /* 1279555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279633 */     // GIR_Coverage, 8657,
     /* 1279633 */     GIR_EraseRootFromParent_Done,
     /* 1279634 */   // Label 18390: @1279634
     /* 1279634 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1279718), // Rule ID 8660 //
     /* 1279639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279717 */     // GIR_Coverage, 8660,
     /* 1279717 */     GIR_EraseRootFromParent_Done,
     /* 1279718 */   // Label 18391: @1279718
     /* 1279718 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1279802), // Rule ID 8661 //
     /* 1279723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279801 */     // GIR_Coverage, 8661,
     /* 1279801 */     GIR_EraseRootFromParent_Done,
     /* 1279802 */   // Label 18392: @1279802
     /* 1279802 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1279886), // Rule ID 8664 //
     /* 1279807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279885 */     // GIR_Coverage, 8664,
     /* 1279885 */     GIR_EraseRootFromParent_Done,
     /* 1279886 */   // Label 18393: @1279886
     /* 1279886 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1279970), // Rule ID 8665 //
     /* 1279891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279969 */     // GIR_Coverage, 8665,
     /* 1279969 */     GIR_EraseRootFromParent_Done,
     /* 1279970 */   // Label 18394: @1279970
     /* 1279970 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1280054), // Rule ID 8668 //
     /* 1279975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280053 */     // GIR_Coverage, 8668,
     /* 1280053 */     GIR_EraseRootFromParent_Done,
     /* 1280054 */   // Label 18395: @1280054
     /* 1280054 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1280138), // Rule ID 8669 //
     /* 1280059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1280076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280137 */     // GIR_Coverage, 8669,
     /* 1280137 */     GIR_EraseRootFromParent_Done,
     /* 1280138 */   // Label 18396: @1280138
     /* 1280138 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1280222), // Rule ID 8672 //
     /* 1280143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1280160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280221 */     // GIR_Coverage, 8672,
     /* 1280221 */     GIR_EraseRootFromParent_Done,
     /* 1280222 */   // Label 18397: @1280222
     /* 1280222 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1280306), // Rule ID 8673 //
     /* 1280227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1280244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280305 */     // GIR_Coverage, 8673,
     /* 1280305 */     GIR_EraseRootFromParent_Done,
     /* 1280306 */   // Label 18398: @1280306
     /* 1280306 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1280390), // Rule ID 8676 //
     /* 1280311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280389 */     // GIR_Coverage, 8676,
     /* 1280389 */     GIR_EraseRootFromParent_Done,
     /* 1280390 */   // Label 18399: @1280390
     /* 1280390 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1280474), // Rule ID 8677 //
     /* 1280395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280473 */     // GIR_Coverage, 8677,
     /* 1280473 */     GIR_EraseRootFromParent_Done,
     /* 1280474 */   // Label 18400: @1280474
     /* 1280474 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1280558), // Rule ID 8680 //
     /* 1280479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280557 */     // GIR_Coverage, 8680,
     /* 1280557 */     GIR_EraseRootFromParent_Done,
     /* 1280558 */   // Label 18401: @1280558
     /* 1280558 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1280642), // Rule ID 8681 //
     /* 1280563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280641 */     // GIR_Coverage, 8681,
     /* 1280641 */     GIR_EraseRootFromParent_Done,
     /* 1280642 */   // Label 18402: @1280642
     /* 1280642 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1280726), // Rule ID 8684 //
     /* 1280647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280725 */     // GIR_Coverage, 8684,
     /* 1280725 */     GIR_EraseRootFromParent_Done,
     /* 1280726 */   // Label 18403: @1280726
     /* 1280726 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1280810), // Rule ID 8685 //
     /* 1280731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280809 */     // GIR_Coverage, 8685,
     /* 1280809 */     GIR_EraseRootFromParent_Done,
     /* 1280810 */   // Label 18404: @1280810
     /* 1280810 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1280894), // Rule ID 8688 //
     /* 1280815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280893 */     // GIR_Coverage, 8688,
     /* 1280893 */     GIR_EraseRootFromParent_Done,
     /* 1280894 */   // Label 18405: @1280894
     /* 1280894 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1280978), // Rule ID 8689 //
     /* 1280899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280977 */     // GIR_Coverage, 8689,
     /* 1280977 */     GIR_EraseRootFromParent_Done,
     /* 1280978 */   // Label 18406: @1280978
     /* 1280978 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1281062), // Rule ID 8692 //
     /* 1280983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1281000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281061 */     // GIR_Coverage, 8692,
     /* 1281061 */     GIR_EraseRootFromParent_Done,
     /* 1281062 */   // Label 18407: @1281062
     /* 1281062 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1281146), // Rule ID 8693 //
     /* 1281067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1281084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281145 */     // GIR_Coverage, 8693,
     /* 1281145 */     GIR_EraseRootFromParent_Done,
     /* 1281146 */   // Label 18408: @1281146
     /* 1281146 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1281230), // Rule ID 8696 //
     /* 1281151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1281168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281204 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281229 */     // GIR_Coverage, 8696,
     /* 1281229 */     GIR_EraseRootFromParent_Done,
     /* 1281230 */   // Label 18409: @1281230
     /* 1281230 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1281314), // Rule ID 8697 //
     /* 1281235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1281252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281288 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281313 */     // GIR_Coverage, 8697,
     /* 1281313 */     GIR_EraseRootFromParent_Done,
     /* 1281314 */   // Label 18410: @1281314
     /* 1281314 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1281398), // Rule ID 8700 //
     /* 1281319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281372 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281397 */     // GIR_Coverage, 8700,
     /* 1281397 */     GIR_EraseRootFromParent_Done,
     /* 1281398 */   // Label 18411: @1281398
     /* 1281398 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1281482), // Rule ID 8701 //
     /* 1281403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281456 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281481 */     // GIR_Coverage, 8701,
     /* 1281481 */     GIR_EraseRootFromParent_Done,
     /* 1281482 */   // Label 18412: @1281482
     /* 1281482 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1281566), // Rule ID 8704 //
     /* 1281487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281565 */     // GIR_Coverage, 8704,
     /* 1281565 */     GIR_EraseRootFromParent_Done,
     /* 1281566 */   // Label 18413: @1281566
     /* 1281566 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1281650), // Rule ID 8705 //
     /* 1281571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281649 */     // GIR_Coverage, 8705,
     /* 1281649 */     GIR_EraseRootFromParent_Done,
     /* 1281650 */   // Label 18414: @1281650
     /* 1281650 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1281734), // Rule ID 8708 //
     /* 1281655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281733 */     // GIR_Coverage, 8708,
     /* 1281733 */     GIR_EraseRootFromParent_Done,
     /* 1281734 */   // Label 18415: @1281734
     /* 1281734 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1281818), // Rule ID 8709 //
     /* 1281739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281817 */     // GIR_Coverage, 8709,
     /* 1281817 */     GIR_EraseRootFromParent_Done,
     /* 1281818 */   // Label 18416: @1281818
     /* 1281818 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1281902), // Rule ID 8712 //
     /* 1281823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281901 */     // GIR_Coverage, 8712,
     /* 1281901 */     GIR_EraseRootFromParent_Done,
     /* 1281902 */   // Label 18417: @1281902
     /* 1281902 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1281986), // Rule ID 8713 //
     /* 1281907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281960 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281985 */     // GIR_Coverage, 8713,
     /* 1281985 */     GIR_EraseRootFromParent_Done,
     /* 1281986 */   // Label 18418: @1281986
     /* 1281986 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1282070), // Rule ID 8716 //
     /* 1281991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1282008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282069 */     // GIR_Coverage, 8716,
     /* 1282069 */     GIR_EraseRootFromParent_Done,
     /* 1282070 */   // Label 18419: @1282070
     /* 1282070 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1282154), // Rule ID 8717 //
     /* 1282075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1282092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282153 */     // GIR_Coverage, 8717,
     /* 1282153 */     GIR_EraseRootFromParent_Done,
     /* 1282154 */   // Label 18420: @1282154
     /* 1282154 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1282238), // Rule ID 8720 //
     /* 1282159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282237 */     // GIR_Coverage, 8720,
     /* 1282237 */     GIR_EraseRootFromParent_Done,
     /* 1282238 */   // Label 18421: @1282238
     /* 1282238 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1282322), // Rule ID 8721 //
     /* 1282243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282321 */     // GIR_Coverage, 8721,
     /* 1282321 */     GIR_EraseRootFromParent_Done,
     /* 1282322 */   // Label 18422: @1282322
     /* 1282322 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1282406), // Rule ID 8724 //
     /* 1282327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282405 */     // GIR_Coverage, 8724,
     /* 1282405 */     GIR_EraseRootFromParent_Done,
     /* 1282406 */   // Label 18423: @1282406
     /* 1282406 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1282490), // Rule ID 8725 //
     /* 1282411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282464 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282489 */     // GIR_Coverage, 8725,
     /* 1282489 */     GIR_EraseRootFromParent_Done,
     /* 1282490 */   // Label 18424: @1282490
     /* 1282490 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1282574), // Rule ID 8728 //
     /* 1282495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282573 */     // GIR_Coverage, 8728,
     /* 1282573 */     GIR_EraseRootFromParent_Done,
     /* 1282574 */   // Label 18425: @1282574
     /* 1282574 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1282658), // Rule ID 8729 //
     /* 1282579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282657 */     // GIR_Coverage, 8729,
     /* 1282657 */     GIR_EraseRootFromParent_Done,
     /* 1282658 */   // Label 18426: @1282658
     /* 1282658 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1282742), // Rule ID 8732 //
     /* 1282663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282741 */     // GIR_Coverage, 8732,
     /* 1282741 */     GIR_EraseRootFromParent_Done,
     /* 1282742 */   // Label 18427: @1282742
     /* 1282742 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1282826), // Rule ID 8733 //
     /* 1282747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282825 */     // GIR_Coverage, 8733,
     /* 1282825 */     GIR_EraseRootFromParent_Done,
     /* 1282826 */   // Label 18428: @1282826
     /* 1282826 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1282910), // Rule ID 8736 //
     /* 1282831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282909 */     // GIR_Coverage, 8736,
     /* 1282909 */     GIR_EraseRootFromParent_Done,
     /* 1282910 */   // Label 18429: @1282910
     /* 1282910 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1282994), // Rule ID 8737 //
     /* 1282915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282993 */     // GIR_Coverage, 8737,
     /* 1282993 */     GIR_EraseRootFromParent_Done,
     /* 1282994 */   // Label 18430: @1282994
     /* 1282994 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1283078), // Rule ID 8828 //
     /* 1282999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1283016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1283019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1283055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283077 */     // GIR_Coverage, 8828,
     /* 1283077 */     GIR_EraseRootFromParent_Done,
     /* 1283078 */   // Label 18431: @1283078
     /* 1283078 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1283162), // Rule ID 8829 //
     /* 1283083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1283100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1283103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1283139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283161 */     // GIR_Coverage, 8829,
     /* 1283161 */     GIR_EraseRootFromParent_Done,
     /* 1283162 */   // Label 18432: @1283162
     /* 1283162 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1283246), // Rule ID 8832 //
     /* 1283167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1283187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283245 */     // GIR_Coverage, 8832,
     /* 1283245 */     GIR_EraseRootFromParent_Done,
     /* 1283246 */   // Label 18433: @1283246
     /* 1283246 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1283330), // Rule ID 8833 //
     /* 1283251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1283271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283329 */     // GIR_Coverage, 8833,
     /* 1283329 */     GIR_EraseRootFromParent_Done,
     /* 1283330 */   // Label 18434: @1283330
     /* 1283330 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1283414), // Rule ID 8836 //
     /* 1283335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1283355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283413 */     // GIR_Coverage, 8836,
     /* 1283413 */     GIR_EraseRootFromParent_Done,
     /* 1283414 */   // Label 18435: @1283414
     /* 1283414 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1283498), // Rule ID 8837 //
     /* 1283419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1283439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283497 */     // GIR_Coverage, 8837,
     /* 1283497 */     GIR_EraseRootFromParent_Done,
     /* 1283498 */   // Label 18436: @1283498
     /* 1283498 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1283582), // Rule ID 8840 //
     /* 1283503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283581 */     // GIR_Coverage, 8840,
     /* 1283581 */     GIR_EraseRootFromParent_Done,
     /* 1283582 */   // Label 18437: @1283582
     /* 1283582 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1283666), // Rule ID 8841 //
     /* 1283587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283665 */     // GIR_Coverage, 8841,
     /* 1283665 */     GIR_EraseRootFromParent_Done,
     /* 1283666 */   // Label 18438: @1283666
     /* 1283666 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1283750), // Rule ID 8844 //
     /* 1283671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283749 */     // GIR_Coverage, 8844,
     /* 1283749 */     GIR_EraseRootFromParent_Done,
     /* 1283750 */   // Label 18439: @1283750
     /* 1283750 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1283834), // Rule ID 8845 //
     /* 1283755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283833 */     // GIR_Coverage, 8845,
     /* 1283833 */     GIR_EraseRootFromParent_Done,
     /* 1283834 */   // Label 18440: @1283834
     /* 1283834 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1283918), // Rule ID 8848 //
     /* 1283839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283917 */     // GIR_Coverage, 8848,
     /* 1283917 */     GIR_EraseRootFromParent_Done,
     /* 1283918 */   // Label 18441: @1283918
     /* 1283918 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1284002), // Rule ID 8849 //
     /* 1283923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283976 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284001 */     // GIR_Coverage, 8849,
     /* 1284001 */     GIR_EraseRootFromParent_Done,
     /* 1284002 */   // Label 18442: @1284002
     /* 1284002 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1284086), // Rule ID 8852 //
     /* 1284007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1284024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284085 */     // GIR_Coverage, 8852,
     /* 1284085 */     GIR_EraseRootFromParent_Done,
     /* 1284086 */   // Label 18443: @1284086
     /* 1284086 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1284170), // Rule ID 8853 //
     /* 1284091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1284108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284169 */     // GIR_Coverage, 8853,
     /* 1284169 */     GIR_EraseRootFromParent_Done,
     /* 1284170 */   // Label 18444: @1284170
     /* 1284170 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1284254), // Rule ID 8856 //
     /* 1284175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284253 */     // GIR_Coverage, 8856,
     /* 1284253 */     GIR_EraseRootFromParent_Done,
     /* 1284254 */   // Label 18445: @1284254
     /* 1284254 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1284338), // Rule ID 8857 //
     /* 1284259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284337 */     // GIR_Coverage, 8857,
     /* 1284337 */     GIR_EraseRootFromParent_Done,
     /* 1284338 */   // Label 18446: @1284338
     /* 1284338 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1284422), // Rule ID 8860 //
     /* 1284343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284421 */     // GIR_Coverage, 8860,
     /* 1284421 */     GIR_EraseRootFromParent_Done,
     /* 1284422 */   // Label 18447: @1284422
     /* 1284422 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1284506), // Rule ID 8861 //
     /* 1284427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284505 */     // GIR_Coverage, 8861,
     /* 1284505 */     GIR_EraseRootFromParent_Done,
     /* 1284506 */   // Label 18448: @1284506
     /* 1284506 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1284590), // Rule ID 8864 //
     /* 1284511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284589 */     // GIR_Coverage, 8864,
     /* 1284589 */     GIR_EraseRootFromParent_Done,
     /* 1284590 */   // Label 18449: @1284590
     /* 1284590 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1284674), // Rule ID 8865 //
     /* 1284595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284673 */     // GIR_Coverage, 8865,
     /* 1284673 */     GIR_EraseRootFromParent_Done,
     /* 1284674 */   // Label 18450: @1284674
     /* 1284674 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1284758), // Rule ID 8868 //
     /* 1284679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284757 */     // GIR_Coverage, 8868,
     /* 1284757 */     GIR_EraseRootFromParent_Done,
     /* 1284758 */   // Label 18451: @1284758
     /* 1284758 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1284842), // Rule ID 8869 //
     /* 1284763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284841 */     // GIR_Coverage, 8869,
     /* 1284841 */     GIR_EraseRootFromParent_Done,
     /* 1284842 */   // Label 18452: @1284842
     /* 1284842 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1284926), // Rule ID 8872 //
     /* 1284847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284925 */     // GIR_Coverage, 8872,
     /* 1284925 */     GIR_EraseRootFromParent_Done,
     /* 1284926 */   // Label 18453: @1284926
     /* 1284926 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1285010), // Rule ID 8873 //
     /* 1284931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284984 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285009 */     // GIR_Coverage, 8873,
     /* 1285009 */     GIR_EraseRootFromParent_Done,
     /* 1285010 */   // Label 18454: @1285010
     /* 1285010 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1285094), // Rule ID 8876 //
     /* 1285015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1285026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1285029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1285032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1285035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1285038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285068 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285093 */     // GIR_Coverage, 8876,
     /* 1285093 */     GIR_EraseRootFromParent_Done,
     /* 1285094 */   // Label 18455: @1285094
     /* 1285094 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1285178), // Rule ID 8877 //
     /* 1285099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1285110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1285113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1285116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1285119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1285122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285152 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285177 */     // GIR_Coverage, 8877,
     /* 1285177 */     GIR_EraseRootFromParent_Done,
     /* 1285178 */   // Label 18456: @1285178
     /* 1285178 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1285262), // Rule ID 8880 //
     /* 1285183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1285203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285261 */     // GIR_Coverage, 8880,
     /* 1285261 */     GIR_EraseRootFromParent_Done,
     /* 1285262 */   // Label 18457: @1285262
     /* 1285262 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1285346), // Rule ID 8881 //
     /* 1285267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1285287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285345 */     // GIR_Coverage, 8881,
     /* 1285345 */     GIR_EraseRootFromParent_Done,
     /* 1285346 */   // Label 18458: @1285346
     /* 1285346 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1285430), // Rule ID 8884 //
     /* 1285351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1285371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285429 */     // GIR_Coverage, 8884,
     /* 1285429 */     GIR_EraseRootFromParent_Done,
     /* 1285430 */   // Label 18459: @1285430
     /* 1285430 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1285514), // Rule ID 8885 //
     /* 1285435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1285455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285513 */     // GIR_Coverage, 8885,
     /* 1285513 */     GIR_EraseRootFromParent_Done,
     /* 1285514 */   // Label 18460: @1285514
     /* 1285514 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1285598), // Rule ID 8888 //
     /* 1285519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285572 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285597 */     // GIR_Coverage, 8888,
     /* 1285597 */     GIR_EraseRootFromParent_Done,
     /* 1285598 */   // Label 18461: @1285598
     /* 1285598 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1285682), // Rule ID 8889 //
     /* 1285603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285656 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285681 */     // GIR_Coverage, 8889,
     /* 1285681 */     GIR_EraseRootFromParent_Done,
     /* 1285682 */   // Label 18462: @1285682
     /* 1285682 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1285766), // Rule ID 8892 //
     /* 1285687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285765 */     // GIR_Coverage, 8892,
     /* 1285765 */     GIR_EraseRootFromParent_Done,
     /* 1285766 */   // Label 18463: @1285766
     /* 1285766 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1285850), // Rule ID 8893 //
     /* 1285771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285849 */     // GIR_Coverage, 8893,
     /* 1285849 */     GIR_EraseRootFromParent_Done,
     /* 1285850 */   // Label 18464: @1285850
     /* 1285850 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1285934), // Rule ID 8896 //
     /* 1285855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285933 */     // GIR_Coverage, 8896,
     /* 1285933 */     GIR_EraseRootFromParent_Done,
     /* 1285934 */   // Label 18465: @1285934
     /* 1285934 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1286018), // Rule ID 8897 //
     /* 1285939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286017 */     // GIR_Coverage, 8897,
     /* 1286017 */     GIR_EraseRootFromParent_Done,
     /* 1286018 */   // Label 18466: @1286018
     /* 1286018 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1286102), // Rule ID 8900 //
     /* 1286023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1286040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1286043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286101 */     // GIR_Coverage, 8900,
     /* 1286101 */     GIR_EraseRootFromParent_Done,
     /* 1286102 */   // Label 18467: @1286102
     /* 1286102 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1286186), // Rule ID 8901 //
     /* 1286107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1286124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1286127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286160 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286185 */     // GIR_Coverage, 8901,
     /* 1286185 */     GIR_EraseRootFromParent_Done,
     /* 1286186 */   // Label 18468: @1286186
     /* 1286186 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1286270), // Rule ID 8904 //
     /* 1286191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1286211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1286247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286269 */     // GIR_Coverage, 8904,
     /* 1286269 */     GIR_EraseRootFromParent_Done,
     /* 1286270 */   // Label 18469: @1286270
     /* 1286270 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1286354), // Rule ID 8905 //
     /* 1286275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1286295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1286331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286353 */     // GIR_Coverage, 8905,
     /* 1286353 */     GIR_EraseRootFromParent_Done,
     /* 1286354 */   // Label 18470: @1286354
     /* 1286354 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1286438), // Rule ID 8908 //
     /* 1286359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1286379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1286415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286437 */     // GIR_Coverage, 8908,
     /* 1286437 */     GIR_EraseRootFromParent_Done,
     /* 1286438 */   // Label 18471: @1286438
     /* 1286438 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1286522), // Rule ID 8909 //
     /* 1286443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1286463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1286499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286521 */     // GIR_Coverage, 8909,
     /* 1286521 */     GIR_EraseRootFromParent_Done,
     /* 1286522 */   // Label 18472: @1286522
     /* 1286522 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1286606), // Rule ID 8912 //
     /* 1286527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286605 */     // GIR_Coverage, 8912,
     /* 1286605 */     GIR_EraseRootFromParent_Done,
     /* 1286606 */   // Label 18473: @1286606
     /* 1286606 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1286690), // Rule ID 8913 //
     /* 1286611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286689 */     // GIR_Coverage, 8913,
     /* 1286689 */     GIR_EraseRootFromParent_Done,
     /* 1286690 */   // Label 18474: @1286690
     /* 1286690 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1286774), // Rule ID 8916 //
     /* 1286695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286773 */     // GIR_Coverage, 8916,
     /* 1286773 */     GIR_EraseRootFromParent_Done,
     /* 1286774 */   // Label 18475: @1286774
     /* 1286774 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1286858), // Rule ID 8917 //
     /* 1286779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286857 */     // GIR_Coverage, 8917,
     /* 1286857 */     GIR_EraseRootFromParent_Done,
     /* 1286858 */   // Label 18476: @1286858
     /* 1286858 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1286942), // Rule ID 8920 //
     /* 1286863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286941 */     // GIR_Coverage, 8920,
     /* 1286941 */     GIR_EraseRootFromParent_Done,
     /* 1286942 */   // Label 18477: @1286942
     /* 1286942 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1287026), // Rule ID 8921 //
     /* 1286947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1287003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287025 */     // GIR_Coverage, 8921,
     /* 1287025 */     GIR_EraseRootFromParent_Done,
     /* 1287026 */   // Label 18478: @1287026
     /* 1287026 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1287110), // Rule ID 8924 //
     /* 1287031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1287048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287109 */     // GIR_Coverage, 8924,
     /* 1287109 */     GIR_EraseRootFromParent_Done,
     /* 1287110 */   // Label 18479: @1287110
     /* 1287110 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1287194), // Rule ID 8925 //
     /* 1287115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1287132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287193 */     // GIR_Coverage, 8925,
     /* 1287193 */     GIR_EraseRootFromParent_Done,
     /* 1287194 */   // Label 18480: @1287194
     /* 1287194 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1287278), // Rule ID 8928 //
     /* 1287199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1287255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287277 */     // GIR_Coverage, 8928,
     /* 1287277 */     GIR_EraseRootFromParent_Done,
     /* 1287278 */   // Label 18481: @1287278
     /* 1287278 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1287362), // Rule ID 8929 //
     /* 1287283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1287339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287361 */     // GIR_Coverage, 8929,
     /* 1287361 */     GIR_EraseRootFromParent_Done,
     /* 1287362 */   // Label 18482: @1287362
     /* 1287362 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1287446), // Rule ID 8932 //
     /* 1287367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287445 */     // GIR_Coverage, 8932,
     /* 1287445 */     GIR_EraseRootFromParent_Done,
     /* 1287446 */   // Label 18483: @1287446
     /* 1287446 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1287530), // Rule ID 8933 //
     /* 1287451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287529 */     // GIR_Coverage, 8933,
     /* 1287529 */     GIR_EraseRootFromParent_Done,
     /* 1287530 */   // Label 18484: @1287530
     /* 1287530 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1287614), // Rule ID 8936 //
     /* 1287535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287613 */     // GIR_Coverage, 8936,
     /* 1287613 */     GIR_EraseRootFromParent_Done,
     /* 1287614 */   // Label 18485: @1287614
     /* 1287614 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1287698), // Rule ID 8937 //
     /* 1287619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287697 */     // GIR_Coverage, 8937,
     /* 1287697 */     GIR_EraseRootFromParent_Done,
     /* 1287698 */   // Label 18486: @1287698
     /* 1287698 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1287782), // Rule ID 8940 //
     /* 1287703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287781 */     // GIR_Coverage, 8940,
     /* 1287781 */     GIR_EraseRootFromParent_Done,
     /* 1287782 */   // Label 18487: @1287782
     /* 1287782 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1287866), // Rule ID 8941 //
     /* 1287787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287865 */     // GIR_Coverage, 8941,
     /* 1287865 */     GIR_EraseRootFromParent_Done,
     /* 1287866 */   // Label 18488: @1287866
     /* 1287866 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1287950), // Rule ID 8944 //
     /* 1287871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287949 */     // GIR_Coverage, 8944,
     /* 1287949 */     GIR_EraseRootFromParent_Done,
     /* 1287950 */   // Label 18489: @1287950
     /* 1287950 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1288034), // Rule ID 8945 //
     /* 1287955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288033 */     // GIR_Coverage, 8945,
     /* 1288033 */     GIR_EraseRootFromParent_Done,
     /* 1288034 */   // Label 18490: @1288034
     /* 1288034 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1288118), // Rule ID 8948 //
     /* 1288039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288117 */     // GIR_Coverage, 8948,
     /* 1288117 */     GIR_EraseRootFromParent_Done,
     /* 1288118 */   // Label 18491: @1288118
     /* 1288118 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1288202), // Rule ID 8949 //
     /* 1288123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288201 */     // GIR_Coverage, 8949,
     /* 1288201 */     GIR_EraseRootFromParent_Done,
     /* 1288202 */   // Label 18492: @1288202
     /* 1288202 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1288286), // Rule ID 8952 //
     /* 1288207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288285 */     // GIR_Coverage, 8952,
     /* 1288285 */     GIR_EraseRootFromParent_Done,
     /* 1288286 */   // Label 18493: @1288286
     /* 1288286 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1288370), // Rule ID 8953 //
     /* 1288291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288369 */     // GIR_Coverage, 8953,
     /* 1288369 */     GIR_EraseRootFromParent_Done,
     /* 1288370 */   // Label 18494: @1288370
     /* 1288370 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1288454), // Rule ID 8956 //
     /* 1288375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288428 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288453 */     // GIR_Coverage, 8956,
     /* 1288453 */     GIR_EraseRootFromParent_Done,
     /* 1288454 */   // Label 18495: @1288454
     /* 1288454 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1288538), // Rule ID 8957 //
     /* 1288459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288537 */     // GIR_Coverage, 8957,
     /* 1288537 */     GIR_EraseRootFromParent_Done,
     /* 1288538 */   // Label 18496: @1288538
     /* 1288538 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1288622), // Rule ID 8960 //
     /* 1288543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288596 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288621 */     // GIR_Coverage, 8960,
     /* 1288621 */     GIR_EraseRootFromParent_Done,
     /* 1288622 */   // Label 18497: @1288622
     /* 1288622 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1288706), // Rule ID 8961 //
     /* 1288627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288680 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288705 */     // GIR_Coverage, 8961,
     /* 1288705 */     GIR_EraseRootFromParent_Done,
     /* 1288706 */   // Label 18498: @1288706
     /* 1288706 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1288790), // Rule ID 8964 //
     /* 1288711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288764 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288789 */     // GIR_Coverage, 8964,
     /* 1288789 */     GIR_EraseRootFromParent_Done,
     /* 1288790 */   // Label 18499: @1288790
     /* 1288790 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1288874), // Rule ID 8965 //
     /* 1288795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288848 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288873 */     // GIR_Coverage, 8965,
     /* 1288873 */     GIR_EraseRootFromParent_Done,
     /* 1288874 */   // Label 18500: @1288874
     /* 1288874 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1288958), // Rule ID 8968 //
     /* 1288879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288957 */     // GIR_Coverage, 8968,
     /* 1288957 */     GIR_EraseRootFromParent_Done,
     /* 1288958 */   // Label 18501: @1288958
     /* 1288958 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1289042), // Rule ID 8969 //
     /* 1288963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289041 */     // GIR_Coverage, 8969,
     /* 1289041 */     GIR_EraseRootFromParent_Done,
     /* 1289042 */   // Label 18502: @1289042
     /* 1289042 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1289126), // Rule ID 8972 //
     /* 1289047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289125 */     // GIR_Coverage, 8972,
     /* 1289125 */     GIR_EraseRootFromParent_Done,
     /* 1289126 */   // Label 18503: @1289126
     /* 1289126 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1289210), // Rule ID 8973 //
     /* 1289131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289209 */     // GIR_Coverage, 8973,
     /* 1289209 */     GIR_EraseRootFromParent_Done,
     /* 1289210 */   // Label 18504: @1289210
     /* 1289210 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1289294), // Rule ID 8976 //
     /* 1289215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289293 */     // GIR_Coverage, 8976,
     /* 1289293 */     GIR_EraseRootFromParent_Done,
     /* 1289294 */   // Label 18505: @1289294
     /* 1289294 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1289378), // Rule ID 8977 //
     /* 1289299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289352 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289377 */     // GIR_Coverage, 8977,
     /* 1289377 */     GIR_EraseRootFromParent_Done,
     /* 1289378 */   // Label 18506: @1289378
     /* 1289378 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1289462), // Rule ID 8980 //
     /* 1289383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289461 */     // GIR_Coverage, 8980,
     /* 1289461 */     GIR_EraseRootFromParent_Done,
     /* 1289462 */   // Label 18507: @1289462
     /* 1289462 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1289546), // Rule ID 8981 //
     /* 1289467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289545 */     // GIR_Coverage, 8981,
     /* 1289545 */     GIR_EraseRootFromParent_Done,
     /* 1289546 */   // Label 18508: @1289546
     /* 1289546 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1289630), // Rule ID 8984 //
     /* 1289551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289629 */     // GIR_Coverage, 8984,
     /* 1289629 */     GIR_EraseRootFromParent_Done,
     /* 1289630 */   // Label 18509: @1289630
     /* 1289630 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1289714), // Rule ID 8985 //
     /* 1289635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289713 */     // GIR_Coverage, 8985,
     /* 1289713 */     GIR_EraseRootFromParent_Done,
     /* 1289714 */   // Label 18510: @1289714
     /* 1289714 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1289798), // Rule ID 8988 //
     /* 1289719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289797 */     // GIR_Coverage, 8988,
     /* 1289797 */     GIR_EraseRootFromParent_Done,
     /* 1289798 */   // Label 18511: @1289798
     /* 1289798 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1289882), // Rule ID 8989 //
     /* 1289803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289881 */     // GIR_Coverage, 8989,
     /* 1289881 */     GIR_EraseRootFromParent_Done,
     /* 1289882 */   // Label 18512: @1289882
     /* 1289882 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1289966), // Rule ID 8992 //
     /* 1289887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289965 */     // GIR_Coverage, 8992,
     /* 1289965 */     GIR_EraseRootFromParent_Done,
     /* 1289966 */   // Label 18513: @1289966
     /* 1289966 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1290050), // Rule ID 8993 //
     /* 1289971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1290027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290049 */     // GIR_Coverage, 8993,
     /* 1290049 */     GIR_EraseRootFromParent_Done,
     /* 1290050 */   // Label 18514: @1290050
     /* 1290050 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1290134), // Rule ID 8996 //
     /* 1290055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1290111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290133 */     // GIR_Coverage, 8996,
     /* 1290133 */     GIR_EraseRootFromParent_Done,
     /* 1290134 */   // Label 18515: @1290134
     /* 1290134 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1290218), // Rule ID 8997 //
     /* 1290139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1290195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290217 */     // GIR_Coverage, 8997,
     /* 1290217 */     GIR_EraseRootFromParent_Done,
     /* 1290218 */   // Label 18516: @1290218
     /* 1290218 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1290302), // Rule ID 9000 //
     /* 1290223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1290279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290301 */     // GIR_Coverage, 9000,
     /* 1290301 */     GIR_EraseRootFromParent_Done,
     /* 1290302 */   // Label 18517: @1290302
     /* 1290302 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1290386), // Rule ID 9001 //
     /* 1290307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1290363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290385 */     // GIR_Coverage, 9001,
     /* 1290385 */     GIR_EraseRootFromParent_Done,
     /* 1290386 */   // Label 18518: @1290386
     /* 1290386 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1290470), // Rule ID 9092 //
     /* 1290391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290469 */     // GIR_Coverage, 9092,
     /* 1290469 */     GIR_EraseRootFromParent_Done,
     /* 1290470 */   // Label 18519: @1290470
     /* 1290470 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1290554), // Rule ID 9093 //
     /* 1290475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290553 */     // GIR_Coverage, 9093,
     /* 1290553 */     GIR_EraseRootFromParent_Done,
     /* 1290554 */   // Label 18520: @1290554
     /* 1290554 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1290638), // Rule ID 9096 //
     /* 1290559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290637 */     // GIR_Coverage, 9096,
     /* 1290637 */     GIR_EraseRootFromParent_Done,
     /* 1290638 */   // Label 18521: @1290638
     /* 1290638 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1290722), // Rule ID 9097 //
     /* 1290643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290721 */     // GIR_Coverage, 9097,
     /* 1290721 */     GIR_EraseRootFromParent_Done,
     /* 1290722 */   // Label 18522: @1290722
     /* 1290722 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1290806), // Rule ID 9100 //
     /* 1290727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290805 */     // GIR_Coverage, 9100,
     /* 1290805 */     GIR_EraseRootFromParent_Done,
     /* 1290806 */   // Label 18523: @1290806
     /* 1290806 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1290890), // Rule ID 9101 //
     /* 1290811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290889 */     // GIR_Coverage, 9101,
     /* 1290889 */     GIR_EraseRootFromParent_Done,
     /* 1290890 */   // Label 18524: @1290890
     /* 1290890 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1290974), // Rule ID 9104 //
     /* 1290895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290973 */     // GIR_Coverage, 9104,
     /* 1290973 */     GIR_EraseRootFromParent_Done,
     /* 1290974 */   // Label 18525: @1290974
     /* 1290974 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1291058), // Rule ID 9105 //
     /* 1290979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1291035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291057 */     // GIR_Coverage, 9105,
     /* 1291057 */     GIR_EraseRootFromParent_Done,
     /* 1291058 */   // Label 18526: @1291058
     /* 1291058 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1291142), // Rule ID 9108 //
     /* 1291063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291141 */     // GIR_Coverage, 9108,
     /* 1291141 */     GIR_EraseRootFromParent_Done,
     /* 1291142 */   // Label 18527: @1291142
     /* 1291142 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1291226), // Rule ID 9109 //
     /* 1291147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291225 */     // GIR_Coverage, 9109,
     /* 1291225 */     GIR_EraseRootFromParent_Done,
     /* 1291226 */   // Label 18528: @1291226
     /* 1291226 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1291310), // Rule ID 9112 //
     /* 1291231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291309 */     // GIR_Coverage, 9112,
     /* 1291309 */     GIR_EraseRootFromParent_Done,
     /* 1291310 */   // Label 18529: @1291310
     /* 1291310 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1291394), // Rule ID 9113 //
     /* 1291315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291393 */     // GIR_Coverage, 9113,
     /* 1291393 */     GIR_EraseRootFromParent_Done,
     /* 1291394 */   // Label 18530: @1291394
     /* 1291394 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1291478), // Rule ID 9116 //
     /* 1291399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291477 */     // GIR_Coverage, 9116,
     /* 1291477 */     GIR_EraseRootFromParent_Done,
     /* 1291478 */   // Label 18531: @1291478
     /* 1291478 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1291562), // Rule ID 9117 //
     /* 1291483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291561 */     // GIR_Coverage, 9117,
     /* 1291561 */     GIR_EraseRootFromParent_Done,
     /* 1291562 */   // Label 18532: @1291562
     /* 1291562 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1291646), // Rule ID 9120 //
     /* 1291567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291645 */     // GIR_Coverage, 9120,
     /* 1291645 */     GIR_EraseRootFromParent_Done,
     /* 1291646 */   // Label 18533: @1291646
     /* 1291646 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1291730), // Rule ID 9121 //
     /* 1291651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291729 */     // GIR_Coverage, 9121,
     /* 1291729 */     GIR_EraseRootFromParent_Done,
     /* 1291730 */   // Label 18534: @1291730
     /* 1291730 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1291814), // Rule ID 9124 //
     /* 1291735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291813 */     // GIR_Coverage, 9124,
     /* 1291813 */     GIR_EraseRootFromParent_Done,
     /* 1291814 */   // Label 18535: @1291814
     /* 1291814 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1291898), // Rule ID 9125 //
     /* 1291819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291897 */     // GIR_Coverage, 9125,
     /* 1291897 */     GIR_EraseRootFromParent_Done,
     /* 1291898 */   // Label 18536: @1291898
     /* 1291898 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1291982), // Rule ID 9128 //
     /* 1291903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291981 */     // GIR_Coverage, 9128,
     /* 1291981 */     GIR_EraseRootFromParent_Done,
     /* 1291982 */   // Label 18537: @1291982
     /* 1291982 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1292066), // Rule ID 9129 //
     /* 1291987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1292004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1292043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292065 */     // GIR_Coverage, 9129,
     /* 1292065 */     GIR_EraseRootFromParent_Done,
     /* 1292066 */   // Label 18538: @1292066
     /* 1292066 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1292150), // Rule ID 9132 //
     /* 1292071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1292088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292149 */     // GIR_Coverage, 9132,
     /* 1292149 */     GIR_EraseRootFromParent_Done,
     /* 1292150 */   // Label 18539: @1292150
     /* 1292150 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1292234), // Rule ID 9133 //
     /* 1292155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1292172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292233 */     // GIR_Coverage, 9133,
     /* 1292233 */     GIR_EraseRootFromParent_Done,
     /* 1292234 */   // Label 18540: @1292234
     /* 1292234 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1292318), // Rule ID 9136 //
     /* 1292239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292292 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292317 */     // GIR_Coverage, 9136,
     /* 1292317 */     GIR_EraseRootFromParent_Done,
     /* 1292318 */   // Label 18541: @1292318
     /* 1292318 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1292402), // Rule ID 9137 //
     /* 1292323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292376 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292401 */     // GIR_Coverage, 9137,
     /* 1292401 */     GIR_EraseRootFromParent_Done,
     /* 1292402 */   // Label 18542: @1292402
     /* 1292402 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1292486), // Rule ID 9140 //
     /* 1292407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292460 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292485 */     // GIR_Coverage, 9140,
     /* 1292485 */     GIR_EraseRootFromParent_Done,
     /* 1292486 */   // Label 18543: @1292486
     /* 1292486 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1292570), // Rule ID 9141 //
     /* 1292491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292544 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292569 */     // GIR_Coverage, 9141,
     /* 1292569 */     GIR_EraseRootFromParent_Done,
     /* 1292570 */   // Label 18544: @1292570
     /* 1292570 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1292654), // Rule ID 9144 //
     /* 1292575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292653 */     // GIR_Coverage, 9144,
     /* 1292653 */     GIR_EraseRootFromParent_Done,
     /* 1292654 */   // Label 18545: @1292654
     /* 1292654 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1292738), // Rule ID 9145 //
     /* 1292659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292737 */     // GIR_Coverage, 9145,
     /* 1292737 */     GIR_EraseRootFromParent_Done,
     /* 1292738 */   // Label 18546: @1292738
     /* 1292738 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1292822), // Rule ID 9148 //
     /* 1292743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292821 */     // GIR_Coverage, 9148,
     /* 1292821 */     GIR_EraseRootFromParent_Done,
     /* 1292822 */   // Label 18547: @1292822
     /* 1292822 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1292906), // Rule ID 9149 //
     /* 1292827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292905 */     // GIR_Coverage, 9149,
     /* 1292905 */     GIR_EraseRootFromParent_Done,
     /* 1292906 */   // Label 18548: @1292906
     /* 1292906 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1292990), // Rule ID 9152 //
     /* 1292911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292964 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292989 */     // GIR_Coverage, 9152,
     /* 1292989 */     GIR_EraseRootFromParent_Done,
     /* 1292990 */   // Label 18549: @1292990
     /* 1292990 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1293074), // Rule ID 9153 //
     /* 1292995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1293006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293048 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293073 */     // GIR_Coverage, 9153,
     /* 1293073 */     GIR_EraseRootFromParent_Done,
     /* 1293074 */   // Label 18550: @1293074
     /* 1293074 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1293158), // Rule ID 9156 //
     /* 1293079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293157 */     // GIR_Coverage, 9156,
     /* 1293157 */     GIR_EraseRootFromParent_Done,
     /* 1293158 */   // Label 18551: @1293158
     /* 1293158 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1293242), // Rule ID 9157 //
     /* 1293163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293241 */     // GIR_Coverage, 9157,
     /* 1293241 */     GIR_EraseRootFromParent_Done,
     /* 1293242 */   // Label 18552: @1293242
     /* 1293242 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1293326), // Rule ID 9160 //
     /* 1293247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293325 */     // GIR_Coverage, 9160,
     /* 1293325 */     GIR_EraseRootFromParent_Done,
     /* 1293326 */   // Label 18553: @1293326
     /* 1293326 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1293410), // Rule ID 9161 //
     /* 1293331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293409 */     // GIR_Coverage, 9161,
     /* 1293409 */     GIR_EraseRootFromParent_Done,
     /* 1293410 */   // Label 18554: @1293410
     /* 1293410 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1293494), // Rule ID 9164 //
     /* 1293415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293493 */     // GIR_Coverage, 9164,
     /* 1293493 */     GIR_EraseRootFromParent_Done,
     /* 1293494 */   // Label 18555: @1293494
     /* 1293494 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1293578), // Rule ID 9165 //
     /* 1293499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293577 */     // GIR_Coverage, 9165,
     /* 1293577 */     GIR_EraseRootFromParent_Done,
     /* 1293578 */   // Label 18556: @1293578
     /* 1293578 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1293662), // Rule ID 9168 //
     /* 1293583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293661 */     // GIR_Coverage, 9168,
     /* 1293661 */     GIR_EraseRootFromParent_Done,
     /* 1293662 */   // Label 18557: @1293662
     /* 1293662 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1293746), // Rule ID 9169 //
     /* 1293667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293745 */     // GIR_Coverage, 9169,
     /* 1293745 */     GIR_EraseRootFromParent_Done,
     /* 1293746 */   // Label 18558: @1293746
     /* 1293746 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1293830), // Rule ID 9172 //
     /* 1293751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293829 */     // GIR_Coverage, 9172,
     /* 1293829 */     GIR_EraseRootFromParent_Done,
     /* 1293830 */   // Label 18559: @1293830
     /* 1293830 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1293914), // Rule ID 9173 //
     /* 1293835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293913 */     // GIR_Coverage, 9173,
     /* 1293913 */     GIR_EraseRootFromParent_Done,
     /* 1293914 */   // Label 18560: @1293914
     /* 1293914 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1293998), // Rule ID 9176 //
     /* 1293919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293997 */     // GIR_Coverage, 9176,
     /* 1293997 */     GIR_EraseRootFromParent_Done,
     /* 1293998 */   // Label 18561: @1293998
     /* 1293998 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1294082), // Rule ID 9177 //
     /* 1294003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1294059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294081 */     // GIR_Coverage, 9177,
     /* 1294081 */     GIR_EraseRootFromParent_Done,
     /* 1294082 */   // Label 18562: @1294082
     /* 1294082 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1294166), // Rule ID 9268 //
     /* 1294087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1294143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294165 */     // GIR_Coverage, 9268,
     /* 1294165 */     GIR_EraseRootFromParent_Done,
     /* 1294166 */   // Label 18563: @1294166
     /* 1294166 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1294250), // Rule ID 9269 //
     /* 1294171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1294227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294249 */     // GIR_Coverage, 9269,
     /* 1294249 */     GIR_EraseRootFromParent_Done,
     /* 1294250 */   // Label 18564: @1294250
     /* 1294250 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1294334), // Rule ID 9272 //
     /* 1294255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294333 */     // GIR_Coverage, 9272,
     /* 1294333 */     GIR_EraseRootFromParent_Done,
     /* 1294334 */   // Label 18565: @1294334
     /* 1294334 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1294418), // Rule ID 9273 //
     /* 1294339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294417 */     // GIR_Coverage, 9273,
     /* 1294417 */     GIR_EraseRootFromParent_Done,
     /* 1294418 */   // Label 18566: @1294418
     /* 1294418 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1294502), // Rule ID 9276 //
     /* 1294423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294501 */     // GIR_Coverage, 9276,
     /* 1294501 */     GIR_EraseRootFromParent_Done,
     /* 1294502 */   // Label 18567: @1294502
     /* 1294502 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1294586), // Rule ID 9277 //
     /* 1294507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294585 */     // GIR_Coverage, 9277,
     /* 1294585 */     GIR_EraseRootFromParent_Done,
     /* 1294586 */   // Label 18568: @1294586
     /* 1294586 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1294670), // Rule ID 9280 //
     /* 1294591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294669 */     // GIR_Coverage, 9280,
     /* 1294669 */     GIR_EraseRootFromParent_Done,
     /* 1294670 */   // Label 18569: @1294670
     /* 1294670 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1294754), // Rule ID 9281 //
     /* 1294675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294753 */     // GIR_Coverage, 9281,
     /* 1294753 */     GIR_EraseRootFromParent_Done,
     /* 1294754 */   // Label 18570: @1294754
     /* 1294754 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1294838), // Rule ID 9284 //
     /* 1294759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294837 */     // GIR_Coverage, 9284,
     /* 1294837 */     GIR_EraseRootFromParent_Done,
     /* 1294838 */   // Label 18571: @1294838
     /* 1294838 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1294922), // Rule ID 9285 //
     /* 1294843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294921 */     // GIR_Coverage, 9285,
     /* 1294921 */     GIR_EraseRootFromParent_Done,
     /* 1294922 */   // Label 18572: @1294922
     /* 1294922 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1295006), // Rule ID 9288 //
     /* 1294927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295005 */     // GIR_Coverage, 9288,
     /* 1295005 */     GIR_EraseRootFromParent_Done,
     /* 1295006 */   // Label 18573: @1295006
     /* 1295006 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1295090), // Rule ID 9289 //
     /* 1295011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1295028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1295067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295089 */     // GIR_Coverage, 9289,
     /* 1295089 */     GIR_EraseRootFromParent_Done,
     /* 1295090 */   // Label 18574: @1295090
     /* 1295090 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1295174), // Rule ID 9292 //
     /* 1295095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295173 */     // GIR_Coverage, 9292,
     /* 1295173 */     GIR_EraseRootFromParent_Done,
     /* 1295174 */   // Label 18575: @1295174
     /* 1295174 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1295258), // Rule ID 9293 //
     /* 1295179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295257 */     // GIR_Coverage, 9293,
     /* 1295257 */     GIR_EraseRootFromParent_Done,
     /* 1295258 */   // Label 18576: @1295258
     /* 1295258 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1295342), // Rule ID 9296 //
     /* 1295263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295341 */     // GIR_Coverage, 9296,
     /* 1295341 */     GIR_EraseRootFromParent_Done,
     /* 1295342 */   // Label 18577: @1295342
     /* 1295342 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1295426), // Rule ID 9297 //
     /* 1295347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295425 */     // GIR_Coverage, 9297,
     /* 1295425 */     GIR_EraseRootFromParent_Done,
     /* 1295426 */   // Label 18578: @1295426
     /* 1295426 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1295510), // Rule ID 9300 //
     /* 1295431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295509 */     // GIR_Coverage, 9300,
     /* 1295509 */     GIR_EraseRootFromParent_Done,
     /* 1295510 */   // Label 18579: @1295510
     /* 1295510 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1295594), // Rule ID 9301 //
     /* 1295515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295593 */     // GIR_Coverage, 9301,
     /* 1295593 */     GIR_EraseRootFromParent_Done,
     /* 1295594 */   // Label 18580: @1295594
     /* 1295594 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1295678), // Rule ID 9304 //
     /* 1295599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295677 */     // GIR_Coverage, 9304,
     /* 1295677 */     GIR_EraseRootFromParent_Done,
     /* 1295678 */   // Label 18581: @1295678
     /* 1295678 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1295762), // Rule ID 9305 //
     /* 1295683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295761 */     // GIR_Coverage, 9305,
     /* 1295761 */     GIR_EraseRootFromParent_Done,
     /* 1295762 */   // Label 18582: @1295762
     /* 1295762 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1295846), // Rule ID 9308 //
     /* 1295767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295845 */     // GIR_Coverage, 9308,
     /* 1295845 */     GIR_EraseRootFromParent_Done,
     /* 1295846 */   // Label 18583: @1295846
     /* 1295846 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1295930), // Rule ID 9309 //
     /* 1295851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295929 */     // GIR_Coverage, 9309,
     /* 1295929 */     GIR_EraseRootFromParent_Done,
     /* 1295930 */   // Label 18584: @1295930
     /* 1295930 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1296014), // Rule ID 9312 //
     /* 1295935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295988 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296013 */     // GIR_Coverage, 9312,
     /* 1296013 */     GIR_EraseRootFromParent_Done,
     /* 1296014 */   // Label 18585: @1296014
     /* 1296014 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1296098), // Rule ID 9313 //
     /* 1296019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1296036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296072 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296097 */     // GIR_Coverage, 9313,
     /* 1296097 */     GIR_EraseRootFromParent_Done,
     /* 1296098 */   // Label 18586: @1296098
     /* 1296098 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1296182), // Rule ID 9316 //
     /* 1296103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1296117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1296120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1296126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296156 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296181 */     // GIR_Coverage, 9316,
     /* 1296181 */     GIR_EraseRootFromParent_Done,
     /* 1296182 */   // Label 18587: @1296182
     /* 1296182 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1296266), // Rule ID 9317 //
     /* 1296187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1296201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1296204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1296210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296240 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296265 */     // GIR_Coverage, 9317,
     /* 1296265 */     GIR_EraseRootFromParent_Done,
     /* 1296266 */   // Label 18588: @1296266
     /* 1296266 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1296350), // Rule ID 9320 //
     /* 1296271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296349 */     // GIR_Coverage, 9320,
     /* 1296349 */     GIR_EraseRootFromParent_Done,
     /* 1296350 */   // Label 18589: @1296350
     /* 1296350 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1296434), // Rule ID 9321 //
     /* 1296355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296433 */     // GIR_Coverage, 9321,
     /* 1296433 */     GIR_EraseRootFromParent_Done,
     /* 1296434 */   // Label 18590: @1296434
     /* 1296434 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1296518), // Rule ID 9324 //
     /* 1296439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296517 */     // GIR_Coverage, 9324,
     /* 1296517 */     GIR_EraseRootFromParent_Done,
     /* 1296518 */   // Label 18591: @1296518
     /* 1296518 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1296602), // Rule ID 9325 //
     /* 1296523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296576 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296601 */     // GIR_Coverage, 9325,
     /* 1296601 */     GIR_EraseRootFromParent_Done,
     /* 1296602 */   // Label 18592: @1296602
     /* 1296602 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1296686), // Rule ID 9328 //
     /* 1296607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296660 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296685 */     // GIR_Coverage, 9328,
     /* 1296685 */     GIR_EraseRootFromParent_Done,
     /* 1296686 */   // Label 18593: @1296686
     /* 1296686 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1296770), // Rule ID 9329 //
     /* 1296691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296744 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296769 */     // GIR_Coverage, 9329,
     /* 1296769 */     GIR_EraseRootFromParent_Done,
     /* 1296770 */   // Label 18594: @1296770
     /* 1296770 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1296854), // Rule ID 9332 //
     /* 1296775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296853 */     // GIR_Coverage, 9332,
     /* 1296853 */     GIR_EraseRootFromParent_Done,
     /* 1296854 */   // Label 18595: @1296854
     /* 1296854 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1296938), // Rule ID 9333 //
     /* 1296859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296937 */     // GIR_Coverage, 9333,
     /* 1296937 */     GIR_EraseRootFromParent_Done,
     /* 1296938 */   // Label 18596: @1296938
     /* 1296938 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1297022), // Rule ID 9336 //
     /* 1296943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297021 */     // GIR_Coverage, 9336,
     /* 1297021 */     GIR_EraseRootFromParent_Done,
     /* 1297022 */   // Label 18597: @1297022
     /* 1297022 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1297106), // Rule ID 9337 //
     /* 1297027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1297044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297105 */     // GIR_Coverage, 9337,
     /* 1297105 */     GIR_EraseRootFromParent_Done,
     /* 1297106 */   // Label 18598: @1297106
     /* 1297106 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1297190), // Rule ID 9340 //
     /* 1297111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1297128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297189 */     // GIR_Coverage, 9340,
     /* 1297189 */     GIR_EraseRootFromParent_Done,
     /* 1297190 */   // Label 18599: @1297190
     /* 1297190 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1297274), // Rule ID 9341 //
     /* 1297195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1297212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297248 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297273 */     // GIR_Coverage, 9341,
     /* 1297273 */     GIR_EraseRootFromParent_Done,
     /* 1297274 */   // Label 18600: @1297274
     /* 1297274 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1297358), // Rule ID 9344 //
     /* 1297279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1297335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297357 */     // GIR_Coverage, 9344,
     /* 1297357 */     GIR_EraseRootFromParent_Done,
     /* 1297358 */   // Label 18601: @1297358
     /* 1297358 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1297442), // Rule ID 9345 //
     /* 1297363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1297419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297441 */     // GIR_Coverage, 9345,
     /* 1297441 */     GIR_EraseRootFromParent_Done,
     /* 1297442 */   // Label 18602: @1297442
     /* 1297442 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1297526), // Rule ID 9348 //
     /* 1297447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297500 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297525 */     // GIR_Coverage, 9348,
     /* 1297525 */     GIR_EraseRootFromParent_Done,
     /* 1297526 */   // Label 18603: @1297526
     /* 1297526 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1297610), // Rule ID 9349 //
     /* 1297531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297609 */     // GIR_Coverage, 9349,
     /* 1297609 */     GIR_EraseRootFromParent_Done,
     /* 1297610 */   // Label 18604: @1297610
     /* 1297610 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1297694), // Rule ID 9352 //
     /* 1297615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297693 */     // GIR_Coverage, 9352,
     /* 1297693 */     GIR_EraseRootFromParent_Done,
     /* 1297694 */   // Label 18605: @1297694
     /* 1297694 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1297778), // Rule ID 9353 //
     /* 1297699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297777 */     // GIR_Coverage, 9353,
     /* 1297777 */     GIR_EraseRootFromParent_Done,
     /* 1297778 */   // Label 18606: @1297778
     /* 1297778 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1297862), // Rule ID 9444 //
     /* 1297783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297861 */     // GIR_Coverage, 9444,
     /* 1297861 */     GIR_EraseRootFromParent_Done,
     /* 1297862 */   // Label 18607: @1297862
     /* 1297862 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1297946), // Rule ID 9445 //
     /* 1297867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297945 */     // GIR_Coverage, 9445,
     /* 1297945 */     GIR_EraseRootFromParent_Done,
     /* 1297946 */   // Label 18608: @1297946
     /* 1297946 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1298030), // Rule ID 9448 //
     /* 1297951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1297971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298029 */     // GIR_Coverage, 9448,
     /* 1298029 */     GIR_EraseRootFromParent_Done,
     /* 1298030 */   // Label 18609: @1298030
     /* 1298030 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1298114), // Rule ID 9449 //
     /* 1298035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1298052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1298055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298113 */     // GIR_Coverage, 9449,
     /* 1298113 */     GIR_EraseRootFromParent_Done,
     /* 1298114 */   // Label 18610: @1298114
     /* 1298114 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1298198), // Rule ID 9452 //
     /* 1298119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1298139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1298175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298197 */     // GIR_Coverage, 9452,
     /* 1298197 */     GIR_EraseRootFromParent_Done,
     /* 1298198 */   // Label 18611: @1298198
     /* 1298198 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1298282), // Rule ID 9453 //
     /* 1298203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1298223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1298259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298281 */     // GIR_Coverage, 9453,
     /* 1298281 */     GIR_EraseRootFromParent_Done,
     /* 1298282 */   // Label 18612: @1298282
     /* 1298282 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1298366), // Rule ID 9456 //
     /* 1298287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1298307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298365 */     // GIR_Coverage, 9456,
     /* 1298365 */     GIR_EraseRootFromParent_Done,
     /* 1298366 */   // Label 18613: @1298366
     /* 1298366 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1298450), // Rule ID 9457 //
     /* 1298371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1298391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298449 */     // GIR_Coverage, 9457,
     /* 1298449 */     GIR_EraseRootFromParent_Done,
     /* 1298450 */   // Label 18614: @1298450
     /* 1298450 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1298534), // Rule ID 9460 //
     /* 1298455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298533 */     // GIR_Coverage, 9460,
     /* 1298533 */     GIR_EraseRootFromParent_Done,
     /* 1298534 */   // Label 18615: @1298534
     /* 1298534 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1298618), // Rule ID 9461 //
     /* 1298539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298617 */     // GIR_Coverage, 9461,
     /* 1298617 */     GIR_EraseRootFromParent_Done,
     /* 1298618 */   // Label 18616: @1298618
     /* 1298618 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1298702), // Rule ID 9464 //
     /* 1298623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298701 */     // GIR_Coverage, 9464,
     /* 1298701 */     GIR_EraseRootFromParent_Done,
     /* 1298702 */   // Label 18617: @1298702
     /* 1298702 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1298786), // Rule ID 9465 //
     /* 1298707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298785 */     // GIR_Coverage, 9465,
     /* 1298785 */     GIR_EraseRootFromParent_Done,
     /* 1298786 */   // Label 18618: @1298786
     /* 1298786 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1298870), // Rule ID 9468 //
     /* 1298791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298869 */     // GIR_Coverage, 9468,
     /* 1298869 */     GIR_EraseRootFromParent_Done,
     /* 1298870 */   // Label 18619: @1298870
     /* 1298870 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1298954), // Rule ID 9469 //
     /* 1298875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298953 */     // GIR_Coverage, 9469,
     /* 1298953 */     GIR_EraseRootFromParent_Done,
     /* 1298954 */   // Label 18620: @1298954
     /* 1298954 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1299038), // Rule ID 9472 //
     /* 1298959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1298979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299037 */     // GIR_Coverage, 9472,
     /* 1299037 */     GIR_EraseRootFromParent_Done,
     /* 1299038 */   // Label 18621: @1299038
     /* 1299038 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1299122), // Rule ID 9473 //
     /* 1299043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1299060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1299063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299121 */     // GIR_Coverage, 9473,
     /* 1299121 */     GIR_EraseRootFromParent_Done,
     /* 1299122 */   // Label 18622: @1299122
     /* 1299122 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1299206), // Rule ID 9476 //
     /* 1299127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1299147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299205 */     // GIR_Coverage, 9476,
     /* 1299205 */     GIR_EraseRootFromParent_Done,
     /* 1299206 */   // Label 18623: @1299206
     /* 1299206 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1299290), // Rule ID 9477 //
     /* 1299211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1299231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299289 */     // GIR_Coverage, 9477,
     /* 1299289 */     GIR_EraseRootFromParent_Done,
     /* 1299290 */   // Label 18624: @1299290
     /* 1299290 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1299374), // Rule ID 9480 //
     /* 1299295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1299315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299373 */     // GIR_Coverage, 9480,
     /* 1299373 */     GIR_EraseRootFromParent_Done,
     /* 1299374 */   // Label 18625: @1299374
     /* 1299374 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1299458), // Rule ID 9481 //
     /* 1299379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1299399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299457 */     // GIR_Coverage, 9481,
     /* 1299457 */     GIR_EraseRootFromParent_Done,
     /* 1299458 */   // Label 18626: @1299458
     /* 1299458 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1299542), // Rule ID 9484 //
     /* 1299463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299541 */     // GIR_Coverage, 9484,
     /* 1299541 */     GIR_EraseRootFromParent_Done,
     /* 1299542 */   // Label 18627: @1299542
     /* 1299542 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1299626), // Rule ID 9485 //
     /* 1299547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299600 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299625 */     // GIR_Coverage, 9485,
     /* 1299625 */     GIR_EraseRootFromParent_Done,
     /* 1299626 */   // Label 18628: @1299626
     /* 1299626 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1299710), // Rule ID 9488 //
     /* 1299631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299684 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299709 */     // GIR_Coverage, 9488,
     /* 1299709 */     GIR_EraseRootFromParent_Done,
     /* 1299710 */   // Label 18629: @1299710
     /* 1299710 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1299794), // Rule ID 9489 //
     /* 1299715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299768 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299793 */     // GIR_Coverage, 9489,
     /* 1299793 */     GIR_EraseRootFromParent_Done,
     /* 1299794 */   // Label 18630: @1299794
     /* 1299794 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1299878), // Rule ID 9492 //
     /* 1299799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299877 */     // GIR_Coverage, 9492,
     /* 1299877 */     GIR_EraseRootFromParent_Done,
     /* 1299878 */   // Label 18631: @1299878
     /* 1299878 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1299962), // Rule ID 9493 //
     /* 1299883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299961 */     // GIR_Coverage, 9493,
     /* 1299961 */     GIR_EraseRootFromParent_Done,
     /* 1299962 */   // Label 18632: @1299962
     /* 1299962 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1300046), // Rule ID 9496 //
     /* 1299967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1299987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300045 */     // GIR_Coverage, 9496,
     /* 1300045 */     GIR_EraseRootFromParent_Done,
     /* 1300046 */   // Label 18633: @1300046
     /* 1300046 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1300130), // Rule ID 9497 //
     /* 1300051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1300068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1300071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300129 */     // GIR_Coverage, 9497,
     /* 1300129 */     GIR_EraseRootFromParent_Done,
     /* 1300130 */   // Label 18634: @1300130
     /* 1300130 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1300214), // Rule ID 9500 //
     /* 1300135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1300155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300188 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300213 */     // GIR_Coverage, 9500,
     /* 1300213 */     GIR_EraseRootFromParent_Done,
     /* 1300214 */   // Label 18635: @1300214
     /* 1300214 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1300298), // Rule ID 9501 //
     /* 1300219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1300239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300272 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300297 */     // GIR_Coverage, 9501,
     /* 1300297 */     GIR_EraseRootFromParent_Done,
     /* 1300298 */   // Label 18636: @1300298
     /* 1300298 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1300382), // Rule ID 9504 //
     /* 1300303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1300323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300381 */     // GIR_Coverage, 9504,
     /* 1300381 */     GIR_EraseRootFromParent_Done,
     /* 1300382 */   // Label 18637: @1300382
     /* 1300382 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1300466), // Rule ID 9505 //
     /* 1300387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1300407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300465 */     // GIR_Coverage, 9505,
     /* 1300465 */     GIR_EraseRootFromParent_Done,
     /* 1300466 */   // Label 18638: @1300466
     /* 1300466 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1300550), // Rule ID 9508 //
     /* 1300471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300549 */     // GIR_Coverage, 9508,
     /* 1300549 */     GIR_EraseRootFromParent_Done,
     /* 1300550 */   // Label 18639: @1300550
     /* 1300550 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1300634), // Rule ID 9509 //
     /* 1300555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300633 */     // GIR_Coverage, 9509,
     /* 1300633 */     GIR_EraseRootFromParent_Done,
     /* 1300634 */   // Label 18640: @1300634
     /* 1300634 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1300718), // Rule ID 9512 //
     /* 1300639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300717 */     // GIR_Coverage, 9512,
     /* 1300717 */     GIR_EraseRootFromParent_Done,
     /* 1300718 */   // Label 18641: @1300718
     /* 1300718 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1300802), // Rule ID 9513 //
     /* 1300723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300801 */     // GIR_Coverage, 9513,
     /* 1300801 */     GIR_EraseRootFromParent_Done,
     /* 1300802 */   // Label 18642: @1300802
     /* 1300802 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1300886), // Rule ID 9516 //
     /* 1300807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300885 */     // GIR_Coverage, 9516,
     /* 1300885 */     GIR_EraseRootFromParent_Done,
     /* 1300886 */   // Label 18643: @1300886
     /* 1300886 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1300970), // Rule ID 9517 //
     /* 1300891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300969 */     // GIR_Coverage, 9517,
     /* 1300969 */     GIR_EraseRootFromParent_Done,
     /* 1300970 */   // Label 18644: @1300970
     /* 1300970 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1301054), // Rule ID 9520 //
     /* 1300975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1300995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1301031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301053 */     // GIR_Coverage, 9520,
     /* 1301053 */     GIR_EraseRootFromParent_Done,
     /* 1301054 */   // Label 18645: @1301054
     /* 1301054 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1301138), // Rule ID 9521 //
     /* 1301059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1301076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1301079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1301115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301137 */     // GIR_Coverage, 9521,
     /* 1301137 */     GIR_EraseRootFromParent_Done,
     /* 1301138 */   // Label 18646: @1301138
     /* 1301138 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1301222), // Rule ID 9524 //
     /* 1301143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1301163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1301199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301221 */     // GIR_Coverage, 9524,
     /* 1301221 */     GIR_EraseRootFromParent_Done,
     /* 1301222 */   // Label 18647: @1301222
     /* 1301222 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1301306), // Rule ID 9525 //
     /* 1301227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1301247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1301283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301305 */     // GIR_Coverage, 9525,
     /* 1301305 */     GIR_EraseRootFromParent_Done,
     /* 1301306 */   // Label 18648: @1301306
     /* 1301306 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1301390), // Rule ID 9528 //
     /* 1301311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1301328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1301331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1301367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301389 */     // GIR_Coverage, 9528,
     /* 1301389 */     GIR_EraseRootFromParent_Done,
     /* 1301390 */   // Label 18649: @1301390
     /* 1301390 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1301474), // Rule ID 9529 //
     /* 1301395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1301412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1301415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1301451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301473 */     // GIR_Coverage, 9529,
     /* 1301473 */     GIR_EraseRootFromParent_Done,
     /* 1301474 */   // Label 18650: @1301474
     /* 1301474 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1301558), // Rule ID 9532 //
     /* 1301479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301557 */     // GIR_Coverage, 9532,
     /* 1301557 */     GIR_EraseRootFromParent_Done,
     /* 1301558 */   // Label 18651: @1301558
     /* 1301558 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1301642), // Rule ID 9533 //
     /* 1301563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301641 */     // GIR_Coverage, 9533,
     /* 1301641 */     GIR_EraseRootFromParent_Done,
     /* 1301642 */   // Label 18652: @1301642
     /* 1301642 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1301726), // Rule ID 9536 //
     /* 1301647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301725 */     // GIR_Coverage, 9536,
     /* 1301725 */     GIR_EraseRootFromParent_Done,
     /* 1301726 */   // Label 18653: @1301726
     /* 1301726 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1301810), // Rule ID 9537 //
     /* 1301731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301809 */     // GIR_Coverage, 9537,
     /* 1301809 */     GIR_EraseRootFromParent_Done,
     /* 1301810 */   // Label 18654: @1301810
     /* 1301810 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1301894), // Rule ID 9540 //
     /* 1301815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301893 */     // GIR_Coverage, 9540,
     /* 1301893 */     GIR_EraseRootFromParent_Done,
     /* 1301894 */   // Label 18655: @1301894
     /* 1301894 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1301978), // Rule ID 9541 //
     /* 1301899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301977 */     // GIR_Coverage, 9541,
     /* 1301977 */     GIR_EraseRootFromParent_Done,
     /* 1301978 */   // Label 18656: @1301978
     /* 1301978 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1302062), // Rule ID 9544 //
     /* 1301983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1302000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1302003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302061 */     // GIR_Coverage, 9544,
     /* 1302061 */     GIR_EraseRootFromParent_Done,
     /* 1302062 */   // Label 18657: @1302062
     /* 1302062 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1302146), // Rule ID 9545 //
     /* 1302067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1302084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1302087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302145 */     // GIR_Coverage, 9545,
     /* 1302145 */     GIR_EraseRootFromParent_Done,
     /* 1302146 */   // Label 18658: @1302146
     /* 1302146 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1302230), // Rule ID 9548 //
     /* 1302151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1302171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302229 */     // GIR_Coverage, 9548,
     /* 1302229 */     GIR_EraseRootFromParent_Done,
     /* 1302230 */   // Label 18659: @1302230
     /* 1302230 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1302314), // Rule ID 9549 //
     /* 1302235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1302255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302313 */     // GIR_Coverage, 9549,
     /* 1302313 */     GIR_EraseRootFromParent_Done,
     /* 1302314 */   // Label 18660: @1302314
     /* 1302314 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1302398), // Rule ID 9552 //
     /* 1302319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1302339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302397 */     // GIR_Coverage, 9552,
     /* 1302397 */     GIR_EraseRootFromParent_Done,
     /* 1302398 */   // Label 18661: @1302398
     /* 1302398 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1302482), // Rule ID 9553 //
     /* 1302403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1302423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302481 */     // GIR_Coverage, 9553,
     /* 1302481 */     GIR_EraseRootFromParent_Done,
     /* 1302482 */   // Label 18662: @1302482
     /* 1302482 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1302566), // Rule ID 9556 //
     /* 1302487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302565 */     // GIR_Coverage, 9556,
     /* 1302565 */     GIR_EraseRootFromParent_Done,
     /* 1302566 */   // Label 18663: @1302566
     /* 1302566 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1302650), // Rule ID 9557 //
     /* 1302571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302649 */     // GIR_Coverage, 9557,
     /* 1302649 */     GIR_EraseRootFromParent_Done,
     /* 1302650 */   // Label 18664: @1302650
     /* 1302650 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1302734), // Rule ID 9560 //
     /* 1302655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302733 */     // GIR_Coverage, 9560,
     /* 1302733 */     GIR_EraseRootFromParent_Done,
     /* 1302734 */   // Label 18665: @1302734
     /* 1302734 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1302818), // Rule ID 9561 //
     /* 1302739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302817 */     // GIR_Coverage, 9561,
     /* 1302817 */     GIR_EraseRootFromParent_Done,
     /* 1302818 */   // Label 18666: @1302818
     /* 1302818 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1302902), // Rule ID 9564 //
     /* 1302823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302901 */     // GIR_Coverage, 9564,
     /* 1302901 */     GIR_EraseRootFromParent_Done,
     /* 1302902 */   // Label 18667: @1302902
     /* 1302902 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1302986), // Rule ID 9565 //
     /* 1302907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302985 */     // GIR_Coverage, 9565,
     /* 1302985 */     GIR_EraseRootFromParent_Done,
     /* 1302986 */   // Label 18668: @1302986
     /* 1302986 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1303070), // Rule ID 9568 //
     /* 1302991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1303011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303069 */     // GIR_Coverage, 9568,
     /* 1303069 */     GIR_EraseRootFromParent_Done,
     /* 1303070 */   // Label 18669: @1303070
     /* 1303070 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1303154), // Rule ID 9569 //
     /* 1303075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1303095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303153 */     // GIR_Coverage, 9569,
     /* 1303153 */     GIR_EraseRootFromParent_Done,
     /* 1303154 */   // Label 18670: @1303154
     /* 1303154 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1303238), // Rule ID 9572 //
     /* 1303159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1303179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303212 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303237 */     // GIR_Coverage, 9572,
     /* 1303237 */     GIR_EraseRootFromParent_Done,
     /* 1303238 */   // Label 18671: @1303238
     /* 1303238 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1303322), // Rule ID 9573 //
     /* 1303243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1303263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303296 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303321 */     // GIR_Coverage, 9573,
     /* 1303321 */     GIR_EraseRootFromParent_Done,
     /* 1303322 */   // Label 18672: @1303322
     /* 1303322 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1303406), // Rule ID 9576 //
     /* 1303327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1303347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303380 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303405 */     // GIR_Coverage, 9576,
     /* 1303405 */     GIR_EraseRootFromParent_Done,
     /* 1303406 */   // Label 18673: @1303406
     /* 1303406 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1303490), // Rule ID 9577 //
     /* 1303411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1303431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303464 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303489 */     // GIR_Coverage, 9577,
     /* 1303489 */     GIR_EraseRootFromParent_Done,
     /* 1303490 */   // Label 18674: @1303490
     /* 1303490 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1303574), // Rule ID 9580 //
     /* 1303495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303573 */     // GIR_Coverage, 9580,
     /* 1303573 */     GIR_EraseRootFromParent_Done,
     /* 1303574 */   // Label 18675: @1303574
     /* 1303574 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1303658), // Rule ID 9581 //
     /* 1303579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303657 */     // GIR_Coverage, 9581,
     /* 1303657 */     GIR_EraseRootFromParent_Done,
     /* 1303658 */   // Label 18676: @1303658
     /* 1303658 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1303742), // Rule ID 9584 //
     /* 1303663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303741 */     // GIR_Coverage, 9584,
     /* 1303741 */     GIR_EraseRootFromParent_Done,
     /* 1303742 */   // Label 18677: @1303742
     /* 1303742 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1303826), // Rule ID 9585 //
     /* 1303747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303825 */     // GIR_Coverage, 9585,
     /* 1303825 */     GIR_EraseRootFromParent_Done,
     /* 1303826 */   // Label 18678: @1303826
     /* 1303826 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1303910), // Rule ID 9588 //
     /* 1303831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303884 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303909 */     // GIR_Coverage, 9588,
     /* 1303909 */     GIR_EraseRootFromParent_Done,
     /* 1303910 */   // Label 18679: @1303910
     /* 1303910 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1303994), // Rule ID 9589 //
     /* 1303915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303993 */     // GIR_Coverage, 9589,
     /* 1303993 */     GIR_EraseRootFromParent_Done,
     /* 1303994 */   // Label 18680: @1303994
     /* 1303994 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1304078), // Rule ID 9592 //
     /* 1303999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1304019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304077 */     // GIR_Coverage, 9592,
     /* 1304077 */     GIR_EraseRootFromParent_Done,
     /* 1304078 */   // Label 18681: @1304078
     /* 1304078 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1304162), // Rule ID 9593 //
     /* 1304083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1304103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304161 */     // GIR_Coverage, 9593,
     /* 1304161 */     GIR_EraseRootFromParent_Done,
     /* 1304162 */   // Label 18682: @1304162
     /* 1304162 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1304246), // Rule ID 9596 //
     /* 1304167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1304187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304245 */     // GIR_Coverage, 9596,
     /* 1304245 */     GIR_EraseRootFromParent_Done,
     /* 1304246 */   // Label 18683: @1304246
     /* 1304246 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1304330), // Rule ID 9597 //
     /* 1304251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1304271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304329 */     // GIR_Coverage, 9597,
     /* 1304329 */     GIR_EraseRootFromParent_Done,
     /* 1304330 */   // Label 18684: @1304330
     /* 1304330 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1304414), // Rule ID 9600 //
     /* 1304335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304413 */     // GIR_Coverage, 9600,
     /* 1304413 */     GIR_EraseRootFromParent_Done,
     /* 1304414 */   // Label 18685: @1304414
     /* 1304414 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1304498), // Rule ID 9601 //
     /* 1304419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304497 */     // GIR_Coverage, 9601,
     /* 1304497 */     GIR_EraseRootFromParent_Done,
     /* 1304498 */   // Label 18686: @1304498
     /* 1304498 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1304582), // Rule ID 9604 //
     /* 1304503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304581 */     // GIR_Coverage, 9604,
     /* 1304581 */     GIR_EraseRootFromParent_Done,
     /* 1304582 */   // Label 18687: @1304582
     /* 1304582 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1304666), // Rule ID 9605 //
     /* 1304587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304665 */     // GIR_Coverage, 9605,
     /* 1304665 */     GIR_EraseRootFromParent_Done,
     /* 1304666 */   // Label 18688: @1304666
     /* 1304666 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1304750), // Rule ID 9608 //
     /* 1304671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304749 */     // GIR_Coverage, 9608,
     /* 1304749 */     GIR_EraseRootFromParent_Done,
     /* 1304750 */   // Label 18689: @1304750
     /* 1304750 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1304834), // Rule ID 9609 //
     /* 1304755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304833 */     // GIR_Coverage, 9609,
     /* 1304833 */     GIR_EraseRootFromParent_Done,
     /* 1304834 */   // Label 18690: @1304834
     /* 1304834 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1304918), // Rule ID 9612 //
     /* 1304839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304917 */     // GIR_Coverage, 9612,
     /* 1304917 */     GIR_EraseRootFromParent_Done,
     /* 1304918 */   // Label 18691: @1304918
     /* 1304918 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1305002), // Rule ID 9613 //
     /* 1304923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305001 */     // GIR_Coverage, 9613,
     /* 1305001 */     GIR_EraseRootFromParent_Done,
     /* 1305002 */   // Label 18692: @1305002
     /* 1305002 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1305086), // Rule ID 9616 //
     /* 1305007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1305027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1305063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305085 */     // GIR_Coverage, 9616,
     /* 1305085 */     GIR_EraseRootFromParent_Done,
     /* 1305086 */   // Label 18693: @1305086
     /* 1305086 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1305170), // Rule ID 9617 //
     /* 1305091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1305111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1305147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305169 */     // GIR_Coverage, 9617,
     /* 1305169 */     GIR_EraseRootFromParent_Done,
     /* 1305170 */   // Label 18694: @1305170
     /* 1305170 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1305254), // Rule ID 9620 //
     /* 1305175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1305195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305253 */     // GIR_Coverage, 9620,
     /* 1305253 */     GIR_EraseRootFromParent_Done,
     /* 1305254 */   // Label 18695: @1305254
     /* 1305254 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1305338), // Rule ID 9621 //
     /* 1305259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1305279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305337 */     // GIR_Coverage, 9621,
     /* 1305337 */     GIR_EraseRootFromParent_Done,
     /* 1305338 */   // Label 18696: @1305338
     /* 1305338 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1305422), // Rule ID 9624 //
     /* 1305343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305421 */     // GIR_Coverage, 9624,
     /* 1305421 */     GIR_EraseRootFromParent_Done,
     /* 1305422 */   // Label 18697: @1305422
     /* 1305422 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1305506), // Rule ID 9625 //
     /* 1305427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305505 */     // GIR_Coverage, 9625,
     /* 1305505 */     GIR_EraseRootFromParent_Done,
     /* 1305506 */   // Label 18698: @1305506
     /* 1305506 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1305590), // Rule ID 9628 //
     /* 1305511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305589 */     // GIR_Coverage, 9628,
     /* 1305589 */     GIR_EraseRootFromParent_Done,
     /* 1305590 */   // Label 18699: @1305590
     /* 1305590 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1305674), // Rule ID 9629 //
     /* 1305595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305673 */     // GIR_Coverage, 9629,
     /* 1305673 */     GIR_EraseRootFromParent_Done,
     /* 1305674 */   // Label 18700: @1305674
     /* 1305674 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1305758), // Rule ID 9632 //
     /* 1305679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305732 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305757 */     // GIR_Coverage, 9632,
     /* 1305757 */     GIR_EraseRootFromParent_Done,
     /* 1305758 */   // Label 18701: @1305758
     /* 1305758 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1305842), // Rule ID 9633 //
     /* 1305763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305841 */     // GIR_Coverage, 9633,
     /* 1305841 */     GIR_EraseRootFromParent_Done,
     /* 1305842 */   // Label 18702: @1305842
     /* 1305842 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1305926), // Rule ID 9636 //
     /* 1305847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305925 */     // GIR_Coverage, 9636,
     /* 1305925 */     GIR_EraseRootFromParent_Done,
     /* 1305926 */   // Label 18703: @1305926
     /* 1305926 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1306010), // Rule ID 9637 //
     /* 1305931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306009 */     // GIR_Coverage, 9637,
     /* 1306009 */     GIR_EraseRootFromParent_Done,
     /* 1306010 */   // Label 18704: @1306010
     /* 1306010 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1306094), // Rule ID 9640 //
     /* 1306015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1306035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306093 */     // GIR_Coverage, 9640,
     /* 1306093 */     GIR_EraseRootFromParent_Done,
     /* 1306094 */   // Label 18705: @1306094
     /* 1306094 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1306178), // Rule ID 9641 //
     /* 1306099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1306119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306177 */     // GIR_Coverage, 9641,
     /* 1306177 */     GIR_EraseRootFromParent_Done,
     /* 1306178 */   // Label 18706: @1306178
     /* 1306178 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1306262), // Rule ID 9644 //
     /* 1306183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1306203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306261 */     // GIR_Coverage, 9644,
     /* 1306261 */     GIR_EraseRootFromParent_Done,
     /* 1306262 */   // Label 18707: @1306262
     /* 1306262 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1306346), // Rule ID 9645 //
     /* 1306267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1306287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306345 */     // GIR_Coverage, 9645,
     /* 1306345 */     GIR_EraseRootFromParent_Done,
     /* 1306346 */   // Label 18708: @1306346
     /* 1306346 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1306430), // Rule ID 9648 //
     /* 1306351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306429 */     // GIR_Coverage, 9648,
     /* 1306429 */     GIR_EraseRootFromParent_Done,
     /* 1306430 */   // Label 18709: @1306430
     /* 1306430 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1306514), // Rule ID 9649 //
     /* 1306435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306513 */     // GIR_Coverage, 9649,
     /* 1306513 */     GIR_EraseRootFromParent_Done,
     /* 1306514 */   // Label 18710: @1306514
     /* 1306514 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1306598), // Rule ID 9652 //
     /* 1306519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306597 */     // GIR_Coverage, 9652,
     /* 1306597 */     GIR_EraseRootFromParent_Done,
     /* 1306598 */   // Label 18711: @1306598
     /* 1306598 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1306682), // Rule ID 9653 //
     /* 1306603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306681 */     // GIR_Coverage, 9653,
     /* 1306681 */     GIR_EraseRootFromParent_Done,
     /* 1306682 */   // Label 18712: @1306682
     /* 1306682 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1306766), // Rule ID 9656 //
     /* 1306687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306740 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306765 */     // GIR_Coverage, 9656,
     /* 1306765 */     GIR_EraseRootFromParent_Done,
     /* 1306766 */   // Label 18713: @1306766
     /* 1306766 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1306850), // Rule ID 9657 //
     /* 1306771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306849 */     // GIR_Coverage, 9657,
     /* 1306849 */     GIR_EraseRootFromParent_Done,
     /* 1306850 */   // Label 18714: @1306850
     /* 1306850 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1306934), // Rule ID 9660 //
     /* 1306855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306908 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306933 */     // GIR_Coverage, 9660,
     /* 1306933 */     GIR_EraseRootFromParent_Done,
     /* 1306934 */   // Label 18715: @1306934
     /* 1306934 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1307018), // Rule ID 9661 //
     /* 1306939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306992 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307017 */     // GIR_Coverage, 9661,
     /* 1307017 */     GIR_EraseRootFromParent_Done,
     /* 1307018 */   // Label 18716: @1307018
     /* 1307018 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1307102), // Rule ID 9664 //
     /* 1307023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1307043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307076 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307101 */     // GIR_Coverage, 9664,
     /* 1307101 */     GIR_EraseRootFromParent_Done,
     /* 1307102 */   // Label 18717: @1307102
     /* 1307102 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1307186), // Rule ID 9665 //
     /* 1307107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1307127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307160 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307185 */     // GIR_Coverage, 9665,
     /* 1307185 */     GIR_EraseRootFromParent_Done,
     /* 1307186 */   // Label 18718: @1307186
     /* 1307186 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1307270), // Rule ID 9668 //
     /* 1307191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1307211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307269 */     // GIR_Coverage, 9668,
     /* 1307269 */     GIR_EraseRootFromParent_Done,
     /* 1307270 */   // Label 18719: @1307270
     /* 1307270 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1307354), // Rule ID 9669 //
     /* 1307275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1307295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307353 */     // GIR_Coverage, 9669,
     /* 1307353 */     GIR_EraseRootFromParent_Done,
     /* 1307354 */   // Label 18720: @1307354
     /* 1307354 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1307438), // Rule ID 9672 //
     /* 1307359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307412 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307437 */     // GIR_Coverage, 9672,
     /* 1307437 */     GIR_EraseRootFromParent_Done,
     /* 1307438 */   // Label 18721: @1307438
     /* 1307438 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1307522), // Rule ID 9673 //
     /* 1307443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307521 */     // GIR_Coverage, 9673,
     /* 1307521 */     GIR_EraseRootFromParent_Done,
     /* 1307522 */   // Label 18722: @1307522
     /* 1307522 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1307606), // Rule ID 9676 //
     /* 1307527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307580 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307605 */     // GIR_Coverage, 9676,
     /* 1307605 */     GIR_EraseRootFromParent_Done,
     /* 1307606 */   // Label 18723: @1307606
     /* 1307606 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1307690), // Rule ID 9677 //
     /* 1307611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307689 */     // GIR_Coverage, 9677,
     /* 1307689 */     GIR_EraseRootFromParent_Done,
     /* 1307690 */   // Label 18724: @1307690
     /* 1307690 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1307774), // Rule ID 9680 //
     /* 1307695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307773 */     // GIR_Coverage, 9680,
     /* 1307773 */     GIR_EraseRootFromParent_Done,
     /* 1307774 */   // Label 18725: @1307774
     /* 1307774 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1307858), // Rule ID 9681 //
     /* 1307779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307857 */     // GIR_Coverage, 9681,
     /* 1307857 */     GIR_EraseRootFromParent_Done,
     /* 1307858 */   // Label 18726: @1307858
     /* 1307858 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1307942), // Rule ID 9684 //
     /* 1307863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307916 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307941 */     // GIR_Coverage, 9684,
     /* 1307941 */     GIR_EraseRootFromParent_Done,
     /* 1307942 */   // Label 18727: @1307942
     /* 1307942 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1308026), // Rule ID 9685 //
     /* 1307947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308025 */     // GIR_Coverage, 9685,
     /* 1308025 */     GIR_EraseRootFromParent_Done,
     /* 1308026 */   // Label 18728: @1308026
     /* 1308026 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1308110), // Rule ID 9688 //
     /* 1308031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1308051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308109 */     // GIR_Coverage, 9688,
     /* 1308109 */     GIR_EraseRootFromParent_Done,
     /* 1308110 */   // Label 18729: @1308110
     /* 1308110 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1308194), // Rule ID 9689 //
     /* 1308115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1308135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308193 */     // GIR_Coverage, 9689,
     /* 1308193 */     GIR_EraseRootFromParent_Done,
     /* 1308194 */   // Label 18730: @1308194
     /* 1308194 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1308278), // Rule ID 9692 //
     /* 1308199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1308219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1308255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308277 */     // GIR_Coverage, 9692,
     /* 1308277 */     GIR_EraseRootFromParent_Done,
     /* 1308278 */   // Label 18731: @1308278
     /* 1308278 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1308362), // Rule ID 9693 //
     /* 1308283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1308303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1308339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308361 */     // GIR_Coverage, 9693,
     /* 1308361 */     GIR_EraseRootFromParent_Done,
     /* 1308362 */   // Label 18732: @1308362
     /* 1308362 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1308446), // Rule ID 9696 //
     /* 1308367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308420 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308445 */     // GIR_Coverage, 9696,
     /* 1308445 */     GIR_EraseRootFromParent_Done,
     /* 1308446 */   // Label 18733: @1308446
     /* 1308446 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1308530), // Rule ID 9697 //
     /* 1308451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308529 */     // GIR_Coverage, 9697,
     /* 1308529 */     GIR_EraseRootFromParent_Done,
     /* 1308530 */   // Label 18734: @1308530
     /* 1308530 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1308614), // Rule ID 9700 //
     /* 1308535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308613 */     // GIR_Coverage, 9700,
     /* 1308613 */     GIR_EraseRootFromParent_Done,
     /* 1308614 */   // Label 18735: @1308614
     /* 1308614 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1308698), // Rule ID 9701 //
     /* 1308619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308697 */     // GIR_Coverage, 9701,
     /* 1308697 */     GIR_EraseRootFromParent_Done,
     /* 1308698 */   // Label 18736: @1308698
     /* 1308698 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1308782), // Rule ID 9704 //
     /* 1308703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308781 */     // GIR_Coverage, 9704,
     /* 1308781 */     GIR_EraseRootFromParent_Done,
     /* 1308782 */   // Label 18737: @1308782
     /* 1308782 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1308866), // Rule ID 9705 //
     /* 1308787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308865 */     // GIR_Coverage, 9705,
     /* 1308865 */     GIR_EraseRootFromParent_Done,
     /* 1308866 */   // Label 18738: @1308866
     /* 1308866 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1308950), // Rule ID 9708 //
     /* 1308871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308949 */     // GIR_Coverage, 9708,
     /* 1308949 */     GIR_EraseRootFromParent_Done,
     /* 1308950 */   // Label 18739: @1308950
     /* 1308950 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1309034), // Rule ID 9709 //
     /* 1308955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1309011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309033 */     // GIR_Coverage, 9709,
     /* 1309033 */     GIR_EraseRootFromParent_Done,
     /* 1309034 */   // Label 18740: @1309034
     /* 1309034 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1309118), // Rule ID 9712 //
     /* 1309039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1309056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1309059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309117 */     // GIR_Coverage, 9712,
     /* 1309117 */     GIR_EraseRootFromParent_Done,
     /* 1309118 */   // Label 18741: @1309118
     /* 1309118 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1309202), // Rule ID 9713 //
     /* 1309123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1309140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1309143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309201 */     // GIR_Coverage, 9713,
     /* 1309201 */     GIR_EraseRootFromParent_Done,
     /* 1309202 */   // Label 18742: @1309202
     /* 1309202 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1309286), // Rule ID 9716 //
     /* 1309207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1309263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309285 */     // GIR_Coverage, 9716,
     /* 1309285 */     GIR_EraseRootFromParent_Done,
     /* 1309286 */   // Label 18743: @1309286
     /* 1309286 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1309370), // Rule ID 9717 //
     /* 1309291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1309347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309369 */     // GIR_Coverage, 9717,
     /* 1309369 */     GIR_EraseRootFromParent_Done,
     /* 1309370 */   // Label 18744: @1309370
     /* 1309370 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1309454), // Rule ID 9720 //
     /* 1309375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309453 */     // GIR_Coverage, 9720,
     /* 1309453 */     GIR_EraseRootFromParent_Done,
     /* 1309454 */   // Label 18745: @1309454
     /* 1309454 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1309538), // Rule ID 9721 //
     /* 1309459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309537 */     // GIR_Coverage, 9721,
     /* 1309537 */     GIR_EraseRootFromParent_Done,
     /* 1309538 */   // Label 18746: @1309538
     /* 1309538 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1309622), // Rule ID 9724 //
     /* 1309543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309621 */     // GIR_Coverage, 9724,
     /* 1309621 */     GIR_EraseRootFromParent_Done,
     /* 1309622 */   // Label 18747: @1309622
     /* 1309622 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1309706), // Rule ID 9725 //
     /* 1309627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309705 */     // GIR_Coverage, 9725,
     /* 1309705 */     GIR_EraseRootFromParent_Done,
     /* 1309706 */   // Label 18748: @1309706
     /* 1309706 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1309790), // Rule ID 9728 //
     /* 1309711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309789 */     // GIR_Coverage, 9728,
     /* 1309789 */     GIR_EraseRootFromParent_Done,
     /* 1309790 */   // Label 18749: @1309790
     /* 1309790 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1309874), // Rule ID 9729 //
     /* 1309795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309873 */     // GIR_Coverage, 9729,
     /* 1309873 */     GIR_EraseRootFromParent_Done,
     /* 1309874 */   // Label 18750: @1309874
     /* 1309874 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1309958), // Rule ID 9732 //
     /* 1309879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309957 */     // GIR_Coverage, 9732,
     /* 1309957 */     GIR_EraseRootFromParent_Done,
     /* 1309958 */   // Label 18751: @1309958
     /* 1309958 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1310042), // Rule ID 9733 //
     /* 1309963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310041 */     // GIR_Coverage, 9733,
     /* 1310041 */     GIR_EraseRootFromParent_Done,
     /* 1310042 */   // Label 18752: @1310042
     /* 1310042 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1310126), // Rule ID 9736 //
     /* 1310047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310125 */     // GIR_Coverage, 9736,
     /* 1310125 */     GIR_EraseRootFromParent_Done,
     /* 1310126 */   // Label 18753: @1310126
     /* 1310126 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1310210), // Rule ID 9737 //
     /* 1310131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310209 */     // GIR_Coverage, 9737,
     /* 1310209 */     GIR_EraseRootFromParent_Done,
     /* 1310210 */   // Label 18754: @1310210
     /* 1310210 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1310294), // Rule ID 9740 //
     /* 1310215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310293 */     // GIR_Coverage, 9740,
     /* 1310293 */     GIR_EraseRootFromParent_Done,
     /* 1310294 */   // Label 18755: @1310294
     /* 1310294 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1310378), // Rule ID 9741 //
     /* 1310299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310377 */     // GIR_Coverage, 9741,
     /* 1310377 */     GIR_EraseRootFromParent_Done,
     /* 1310378 */   // Label 18756: @1310378
     /* 1310378 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1310462), // Rule ID 9744 //
     /* 1310383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310436 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310461 */     // GIR_Coverage, 9744,
     /* 1310461 */     GIR_EraseRootFromParent_Done,
     /* 1310462 */   // Label 18757: @1310462
     /* 1310462 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1310546), // Rule ID 9745 //
     /* 1310467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310545 */     // GIR_Coverage, 9745,
     /* 1310545 */     GIR_EraseRootFromParent_Done,
     /* 1310546 */   // Label 18758: @1310546
     /* 1310546 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1310630), // Rule ID 9748 //
     /* 1310551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310604 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310629 */     // GIR_Coverage, 9748,
     /* 1310629 */     GIR_EraseRootFromParent_Done,
     /* 1310630 */   // Label 18759: @1310630
     /* 1310630 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1310714), // Rule ID 9749 //
     /* 1310635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310688 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310713 */     // GIR_Coverage, 9749,
     /* 1310713 */     GIR_EraseRootFromParent_Done,
     /* 1310714 */   // Label 18760: @1310714
     /* 1310714 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1310798), // Rule ID 9752 //
     /* 1310719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310772 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310797 */     // GIR_Coverage, 9752,
     /* 1310797 */     GIR_EraseRootFromParent_Done,
     /* 1310798 */   // Label 18761: @1310798
     /* 1310798 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1310882), // Rule ID 9753 //
     /* 1310803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310856 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310881 */     // GIR_Coverage, 9753,
     /* 1310881 */     GIR_EraseRootFromParent_Done,
     /* 1310882 */   // Label 18762: @1310882
     /* 1310882 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1310966), // Rule ID 9756 //
     /* 1310887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310965 */     // GIR_Coverage, 9756,
     /* 1310965 */     GIR_EraseRootFromParent_Done,
     /* 1310966 */   // Label 18763: @1310966
     /* 1310966 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1311050), // Rule ID 9757 //
     /* 1310971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311049 */     // GIR_Coverage, 9757,
     /* 1311049 */     GIR_EraseRootFromParent_Done,
     /* 1311050 */   // Label 18764: @1311050
     /* 1311050 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1311134), // Rule ID 9760 //
     /* 1311055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1311075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311133 */     // GIR_Coverage, 9760,
     /* 1311133 */     GIR_EraseRootFromParent_Done,
     /* 1311134 */   // Label 18765: @1311134
     /* 1311134 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1311218), // Rule ID 9761 //
     /* 1311139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1311159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311217 */     // GIR_Coverage, 9761,
     /* 1311217 */     GIR_EraseRootFromParent_Done,
     /* 1311218 */   // Label 18766: @1311218
     /* 1311218 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1311302), // Rule ID 9764 //
     /* 1311223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311276 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311301 */     // GIR_Coverage, 9764,
     /* 1311301 */     GIR_EraseRootFromParent_Done,
     /* 1311302 */   // Label 18767: @1311302
     /* 1311302 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1311386), // Rule ID 9765 //
     /* 1311307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311385 */     // GIR_Coverage, 9765,
     /* 1311385 */     GIR_EraseRootFromParent_Done,
     /* 1311386 */   // Label 18768: @1311386
     /* 1311386 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1311470), // Rule ID 9768 //
     /* 1311391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311469 */     // GIR_Coverage, 9768,
     /* 1311469 */     GIR_EraseRootFromParent_Done,
     /* 1311470 */   // Label 18769: @1311470
     /* 1311470 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1311554), // Rule ID 9769 //
     /* 1311475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311553 */     // GIR_Coverage, 9769,
     /* 1311553 */     GIR_EraseRootFromParent_Done,
     /* 1311554 */   // Label 18770: @1311554
     /* 1311554 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1311638), // Rule ID 9772 //
     /* 1311559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311637 */     // GIR_Coverage, 9772,
     /* 1311637 */     GIR_EraseRootFromParent_Done,
     /* 1311638 */   // Label 18771: @1311638
     /* 1311638 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1311722), // Rule ID 9773 //
     /* 1311643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311721 */     // GIR_Coverage, 9773,
     /* 1311721 */     GIR_EraseRootFromParent_Done,
     /* 1311722 */   // Label 18772: @1311722
     /* 1311722 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1311806), // Rule ID 9776 //
     /* 1311727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311805 */     // GIR_Coverage, 9776,
     /* 1311805 */     GIR_EraseRootFromParent_Done,
     /* 1311806 */   // Label 18773: @1311806
     /* 1311806 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1311890), // Rule ID 9777 //
     /* 1311811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311889 */     // GIR_Coverage, 9777,
     /* 1311889 */     GIR_EraseRootFromParent_Done,
     /* 1311890 */   // Label 18774: @1311890
     /* 1311890 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1311974), // Rule ID 9780 //
     /* 1311895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311973 */     // GIR_Coverage, 9780,
     /* 1311973 */     GIR_EraseRootFromParent_Done,
     /* 1311974 */   // Label 18775: @1311974
     /* 1311974 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1312058), // Rule ID 9781 //
     /* 1311979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1312035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312057 */     // GIR_Coverage, 9781,
     /* 1312057 */     GIR_EraseRootFromParent_Done,
     /* 1312058 */   // Label 18776: @1312058
     /* 1312058 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1312142), // Rule ID 9784 //
     /* 1312063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1312083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1312119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312141 */     // GIR_Coverage, 9784,
     /* 1312141 */     GIR_EraseRootFromParent_Done,
     /* 1312142 */   // Label 18777: @1312142
     /* 1312142 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1312226), // Rule ID 9785 //
     /* 1312147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1312167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1312203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312225 */     // GIR_Coverage, 9785,
     /* 1312225 */     GIR_EraseRootFromParent_Done,
     /* 1312226 */   // Label 18778: @1312226
     /* 1312226 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1312310), // Rule ID 9788 //
     /* 1312231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1312287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312309 */     // GIR_Coverage, 9788,
     /* 1312309 */     GIR_EraseRootFromParent_Done,
     /* 1312310 */   // Label 18779: @1312310
     /* 1312310 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1312394), // Rule ID 9789 //
     /* 1312315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1312371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312393 */     // GIR_Coverage, 9789,
     /* 1312393 */     GIR_EraseRootFromParent_Done,
     /* 1312394 */   // Label 18780: @1312394
     /* 1312394 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1312475), // Rule ID 13730 //
     /* 1312399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1312410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1312413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312452 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312474 */     // GIR_Coverage, 13730,
     /* 1312474 */     GIR_EraseRootFromParent_Done,
     /* 1312475 */   // Label 18781: @1312475
     /* 1312475 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1312556), // Rule ID 13731 //
     /* 1312480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1312491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1312494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312533 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312555 */     // GIR_Coverage, 13731,
     /* 1312555 */     GIR_EraseRootFromParent_Done,
     /* 1312556 */   // Label 18782: @1312556
     /* 1312556 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1312637), // Rule ID 13732 //
     /* 1312561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312636 */     // GIR_Coverage, 13732,
     /* 1312636 */     GIR_EraseRootFromParent_Done,
     /* 1312637 */   // Label 18783: @1312637
     /* 1312637 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1312718), // Rule ID 13733 //
     /* 1312642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312695 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312717 */     // GIR_Coverage, 13733,
     /* 1312717 */     GIR_EraseRootFromParent_Done,
     /* 1312718 */   // Label 18784: @1312718
     /* 1312718 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1312799), // Rule ID 13734 //
     /* 1312723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312798 */     // GIR_Coverage, 13734,
     /* 1312798 */     GIR_EraseRootFromParent_Done,
     /* 1312799 */   // Label 18785: @1312799
     /* 1312799 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1312880), // Rule ID 13735 //
     /* 1312804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312857 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312879 */     // GIR_Coverage, 13735,
     /* 1312879 */     GIR_EraseRootFromParent_Done,
     /* 1312880 */   // Label 18786: @1312880
     /* 1312880 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1312961), // Rule ID 13736 //
     /* 1312885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312960 */     // GIR_Coverage, 13736,
     /* 1312960 */     GIR_EraseRootFromParent_Done,
     /* 1312961 */   // Label 18787: @1312961
     /* 1312961 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1313042), // Rule ID 13737 //
     /* 1312966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1313022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313041 */     // GIR_Coverage, 13737,
     /* 1313041 */     GIR_EraseRootFromParent_Done,
     /* 1313042 */   // Label 18788: @1313042
     /* 1313042 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1313123), // Rule ID 13738 //
     /* 1313047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1313058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1313061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313122 */     // GIR_Coverage, 13738,
     /* 1313122 */     GIR_EraseRootFromParent_Done,
     /* 1313123 */   // Label 18789: @1313123
     /* 1313123 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1313204), // Rule ID 13739 //
     /* 1313128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1313139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1313142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313203 */     // GIR_Coverage, 13739,
     /* 1313203 */     GIR_EraseRootFromParent_Done,
     /* 1313204 */   // Label 18790: @1313204
     /* 1313204 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1313285), // Rule ID 13740 //
     /* 1313209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1313220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1313223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313284 */     // GIR_Coverage, 13740,
     /* 1313284 */     GIR_EraseRootFromParent_Done,
     /* 1313285 */   // Label 18791: @1313285
     /* 1313285 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1313366), // Rule ID 13741 //
     /* 1313290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1313301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1313304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313365 */     // GIR_Coverage, 13741,
     /* 1313365 */     GIR_EraseRootFromParent_Done,
     /* 1313366 */   // Label 18792: @1313366
     /* 1313366 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1313447), // Rule ID 13742 //
     /* 1313371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313446 */     // GIR_Coverage, 13742,
     /* 1313446 */     GIR_EraseRootFromParent_Done,
     /* 1313447 */   // Label 18793: @1313447
     /* 1313447 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1313528), // Rule ID 13743 //
     /* 1313452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313505 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313527 */     // GIR_Coverage, 13743,
     /* 1313527 */     GIR_EraseRootFromParent_Done,
     /* 1313528 */   // Label 18794: @1313528
     /* 1313528 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1313609), // Rule ID 13744 //
     /* 1313533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313608 */     // GIR_Coverage, 13744,
     /* 1313608 */     GIR_EraseRootFromParent_Done,
     /* 1313609 */   // Label 18795: @1313609
     /* 1313609 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1313690), // Rule ID 13745 //
     /* 1313614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313689 */     // GIR_Coverage, 13745,
     /* 1313689 */     GIR_EraseRootFromParent_Done,
     /* 1313690 */   // Label 18796: @1313690
     /* 1313690 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1313771), // Rule ID 13746 //
     /* 1313695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313770 */     // GIR_Coverage, 13746,
     /* 1313770 */     GIR_EraseRootFromParent_Done,
     /* 1313771 */   // Label 18797: @1313771
     /* 1313771 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1313852), // Rule ID 13747 //
     /* 1313776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313829 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313851 */     // GIR_Coverage, 13747,
     /* 1313851 */     GIR_EraseRootFromParent_Done,
     /* 1313852 */   // Label 18798: @1313852
     /* 1313852 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1313933), // Rule ID 13748 //
     /* 1313857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1313910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313932 */     // GIR_Coverage, 13748,
     /* 1313932 */     GIR_EraseRootFromParent_Done,
     /* 1313933 */   // Label 18799: @1313933
     /* 1313933 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1314014), // Rule ID 13749 //
     /* 1313938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313991 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1313991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314013 */     // GIR_Coverage, 13749,
     /* 1314013 */     GIR_EraseRootFromParent_Done,
     /* 1314014 */   // Label 18800: @1314014
     /* 1314014 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1314095), // Rule ID 13750 //
     /* 1314019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1314030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1314033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1314039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314094 */     // GIR_Coverage, 13750,
     /* 1314094 */     GIR_EraseRootFromParent_Done,
     /* 1314095 */   // Label 18801: @1314095
     /* 1314095 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1314176), // Rule ID 13751 //
     /* 1314100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1314111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1314114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1314120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314153 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314175 */     // GIR_Coverage, 13751,
     /* 1314175 */     GIR_EraseRootFromParent_Done,
     /* 1314176 */   // Label 18802: @1314176
     /* 1314176 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1314257), // Rule ID 13752 //
     /* 1314181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1314192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1314195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314234 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314256 */     // GIR_Coverage, 13752,
     /* 1314256 */     GIR_EraseRootFromParent_Done,
     /* 1314257 */   // Label 18803: @1314257
     /* 1314257 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1314338), // Rule ID 13753 //
     /* 1314262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1314273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1314276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314315 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314337 */     // GIR_Coverage, 13753,
     /* 1314337 */     GIR_EraseRootFromParent_Done,
     /* 1314338 */   // Label 18804: @1314338
     /* 1314338 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1314419), // Rule ID 13754 //
     /* 1314343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1314354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1314357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314418 */     // GIR_Coverage, 13754,
     /* 1314418 */     GIR_EraseRootFromParent_Done,
     /* 1314419 */   // Label 18805: @1314419
     /* 1314419 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1314500), // Rule ID 13755 //
     /* 1314424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1314435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1314438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314499 */     // GIR_Coverage, 13755,
     /* 1314499 */     GIR_EraseRootFromParent_Done,
     /* 1314500 */   // Label 18806: @1314500
     /* 1314500 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1314581), // Rule ID 13756 //
     /* 1314505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314580 */     // GIR_Coverage, 13756,
     /* 1314580 */     GIR_EraseRootFromParent_Done,
     /* 1314581 */   // Label 18807: @1314581
     /* 1314581 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1314662), // Rule ID 13757 //
     /* 1314586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314661 */     // GIR_Coverage, 13757,
     /* 1314661 */     GIR_EraseRootFromParent_Done,
     /* 1314662 */   // Label 18808: @1314662
     /* 1314662 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1314743), // Rule ID 13758 //
     /* 1314667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314742 */     // GIR_Coverage, 13758,
     /* 1314742 */     GIR_EraseRootFromParent_Done,
     /* 1314743 */   // Label 18809: @1314743
     /* 1314743 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1314824), // Rule ID 13759 //
     /* 1314748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314801 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314823 */     // GIR_Coverage, 13759,
     /* 1314823 */     GIR_EraseRootFromParent_Done,
     /* 1314824 */   // Label 18810: @1314824
     /* 1314824 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1314905), // Rule ID 13760 //
     /* 1314829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314904 */     // GIR_Coverage, 13760,
     /* 1314904 */     GIR_EraseRootFromParent_Done,
     /* 1314905 */   // Label 18811: @1314905
     /* 1314905 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1314986), // Rule ID 13761 //
     /* 1314910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314963 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314985 */     // GIR_Coverage, 13761,
     /* 1314985 */     GIR_EraseRootFromParent_Done,
     /* 1314986 */   // Label 18812: @1314986
     /* 1314986 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1315067), // Rule ID 13762 //
     /* 1314991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1315002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1315005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1315008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1315011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315066 */     // GIR_Coverage, 13762,
     /* 1315066 */     GIR_EraseRootFromParent_Done,
     /* 1315067 */   // Label 18813: @1315067
     /* 1315067 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1315148), // Rule ID 13763 //
     /* 1315072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1315083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1315086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1315089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1315092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315147 */     // GIR_Coverage, 13763,
     /* 1315147 */     GIR_EraseRootFromParent_Done,
     /* 1315148 */   // Label 18814: @1315148
     /* 1315148 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1315229), // Rule ID 13764 //
     /* 1315153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1315164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1315167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315228 */     // GIR_Coverage, 13764,
     /* 1315228 */     GIR_EraseRootFromParent_Done,
     /* 1315229 */   // Label 18815: @1315229
     /* 1315229 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1315310), // Rule ID 13765 //
     /* 1315234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1315245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1315248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315309 */     // GIR_Coverage, 13765,
     /* 1315309 */     GIR_EraseRootFromParent_Done,
     /* 1315310 */   // Label 18816: @1315310
     /* 1315310 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1315391), // Rule ID 13766 //
     /* 1315315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1315326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1315329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315390 */     // GIR_Coverage, 13766,
     /* 1315390 */     GIR_EraseRootFromParent_Done,
     /* 1315391 */   // Label 18817: @1315391
     /* 1315391 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1315472), // Rule ID 13767 //
     /* 1315396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1315407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1315410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315471 */     // GIR_Coverage, 13767,
     /* 1315471 */     GIR_EraseRootFromParent_Done,
     /* 1315472 */   // Label 18818: @1315472
     /* 1315472 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1315553), // Rule ID 13768 //
     /* 1315477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315552 */     // GIR_Coverage, 13768,
     /* 1315552 */     GIR_EraseRootFromParent_Done,
     /* 1315553 */   // Label 18819: @1315553
     /* 1315553 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1315634), // Rule ID 13769 //
     /* 1315558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315633 */     // GIR_Coverage, 13769,
     /* 1315633 */     GIR_EraseRootFromParent_Done,
     /* 1315634 */   // Label 18820: @1315634
     /* 1315634 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1315715), // Rule ID 13770 //
     /* 1315639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315714 */     // GIR_Coverage, 13770,
     /* 1315714 */     GIR_EraseRootFromParent_Done,
     /* 1315715 */   // Label 18821: @1315715
     /* 1315715 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1315796), // Rule ID 13771 //
     /* 1315720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315773 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315795 */     // GIR_Coverage, 13771,
     /* 1315795 */     GIR_EraseRootFromParent_Done,
     /* 1315796 */   // Label 18822: @1315796
     /* 1315796 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1315877), // Rule ID 13772 //
     /* 1315801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315876 */     // GIR_Coverage, 13772,
     /* 1315876 */     GIR_EraseRootFromParent_Done,
     /* 1315877 */   // Label 18823: @1315877
     /* 1315877 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1315958), // Rule ID 13773 //
     /* 1315882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315957 */     // GIR_Coverage, 13773,
     /* 1315957 */     GIR_EraseRootFromParent_Done,
     /* 1315958 */   // Label 18824: @1315958
     /* 1315958 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1316039), // Rule ID 13774 //
     /* 1315963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1315974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1315977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1316019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316038 */     // GIR_Coverage, 13774,
     /* 1316038 */     GIR_EraseRootFromParent_Done,
     /* 1316039 */   // Label 18825: @1316039
     /* 1316039 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1316120), // Rule ID 13775 //
     /* 1316044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1316055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1316058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1316061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1316100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316119 */     // GIR_Coverage, 13775,
     /* 1316119 */     GIR_EraseRootFromParent_Done,
     /* 1316120 */   // Label 18826: @1316120
     /* 1316120 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1316201), // Rule ID 13776 //
     /* 1316125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1316136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1316139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316200 */     // GIR_Coverage, 13776,
     /* 1316200 */     GIR_EraseRootFromParent_Done,
     /* 1316201 */   // Label 18827: @1316201
     /* 1316201 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1316282), // Rule ID 13777 //
     /* 1316206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1316217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1316220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316259 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316281 */     // GIR_Coverage, 13777,
     /* 1316281 */     GIR_EraseRootFromParent_Done,
     /* 1316282 */   // Label 18828: @1316282
     /* 1316282 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1316363), // Rule ID 13778 //
     /* 1316287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1316298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1316301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316340 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316362 */     // GIR_Coverage, 13778,
     /* 1316362 */     GIR_EraseRootFromParent_Done,
     /* 1316363 */   // Label 18829: @1316363
     /* 1316363 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1316444), // Rule ID 13779 //
     /* 1316368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1316379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1316382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316443 */     // GIR_Coverage, 13779,
     /* 1316443 */     GIR_EraseRootFromParent_Done,
     /* 1316444 */   // Label 18830: @1316444
     /* 1316444 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1316525), // Rule ID 13780 //
     /* 1316449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316524 */     // GIR_Coverage, 13780,
     /* 1316524 */     GIR_EraseRootFromParent_Done,
     /* 1316525 */   // Label 18831: @1316525
     /* 1316525 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1316606), // Rule ID 13781 //
     /* 1316530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316605 */     // GIR_Coverage, 13781,
     /* 1316605 */     GIR_EraseRootFromParent_Done,
     /* 1316606 */   // Label 18832: @1316606
     /* 1316606 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1316687), // Rule ID 13782 //
     /* 1316611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316686 */     // GIR_Coverage, 13782,
     /* 1316686 */     GIR_EraseRootFromParent_Done,
     /* 1316687 */   // Label 18833: @1316687
     /* 1316687 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1316768), // Rule ID 13783 //
     /* 1316692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316745 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316767 */     // GIR_Coverage, 13783,
     /* 1316767 */     GIR_EraseRootFromParent_Done,
     /* 1316768 */   // Label 18834: @1316768
     /* 1316768 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1316849), // Rule ID 13784 //
     /* 1316773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1316826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316848 */     // GIR_Coverage, 13784,
     /* 1316848 */     GIR_EraseRootFromParent_Done,
     /* 1316849 */   // Label 18835: @1316849
     /* 1316849 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1316930), // Rule ID 13785 //
     /* 1316854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1316907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316929 */     // GIR_Coverage, 13785,
     /* 1316929 */     GIR_EraseRootFromParent_Done,
     /* 1316930 */   // Label 18836: @1316930
     /* 1316930 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1317011), // Rule ID 13786 //
     /* 1316935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1316946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1316949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317010 */     // GIR_Coverage, 13786,
     /* 1317010 */     GIR_EraseRootFromParent_Done,
     /* 1317011 */   // Label 18837: @1317011
     /* 1317011 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1317092), // Rule ID 13787 //
     /* 1317016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1317033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317091 */     // GIR_Coverage, 13787,
     /* 1317091 */     GIR_EraseRootFromParent_Done,
     /* 1317092 */   // Label 18838: @1317092
     /* 1317092 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1317173), // Rule ID 13788 //
     /* 1317097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1317108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1317111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317150 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317172 */     // GIR_Coverage, 13788,
     /* 1317172 */     GIR_EraseRootFromParent_Done,
     /* 1317173 */   // Label 18839: @1317173
     /* 1317173 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1317254), // Rule ID 13789 //
     /* 1317178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1317189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1317192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317253 */     // GIR_Coverage, 13789,
     /* 1317253 */     GIR_EraseRootFromParent_Done,
     /* 1317254 */   // Label 18840: @1317254
     /* 1317254 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1317335), // Rule ID 13790 //
     /* 1317259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1317270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1317273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1317312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317334 */     // GIR_Coverage, 13790,
     /* 1317334 */     GIR_EraseRootFromParent_Done,
     /* 1317335 */   // Label 18841: @1317335
     /* 1317335 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1317416), // Rule ID 13791 //
     /* 1317340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1317351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1317354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317415 */     // GIR_Coverage, 13791,
     /* 1317415 */     GIR_EraseRootFromParent_Done,
     /* 1317416 */   // Label 18842: @1317416
     /* 1317416 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1317497), // Rule ID 13792 //
     /* 1317421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1317474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317496 */     // GIR_Coverage, 13792,
     /* 1317496 */     GIR_EraseRootFromParent_Done,
     /* 1317497 */   // Label 18843: @1317497
     /* 1317497 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1317578), // Rule ID 13793 //
     /* 1317502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1317555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317577 */     // GIR_Coverage, 13793,
     /* 1317577 */     GIR_EraseRootFromParent_Done,
     /* 1317578 */   // Label 18844: @1317578
     /* 1317578 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1317659), // Rule ID 13794 //
     /* 1317583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317658 */     // GIR_Coverage, 13794,
     /* 1317658 */     GIR_EraseRootFromParent_Done,
     /* 1317659 */   // Label 18845: @1317659
     /* 1317659 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1317740), // Rule ID 13795 //
     /* 1317664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317739 */     // GIR_Coverage, 13795,
     /* 1317739 */     GIR_EraseRootFromParent_Done,
     /* 1317740 */   // Label 18846: @1317740
     /* 1317740 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1317821), // Rule ID 13796 //
     /* 1317745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317820 */     // GIR_Coverage, 13796,
     /* 1317820 */     GIR_EraseRootFromParent_Done,
     /* 1317821 */   // Label 18847: @1317821
     /* 1317821 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1317902), // Rule ID 13797 //
     /* 1317826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317879 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317901 */     // GIR_Coverage, 13797,
     /* 1317901 */     GIR_EraseRootFromParent_Done,
     /* 1317902 */   // Label 18848: @1317902
     /* 1317902 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1317983), // Rule ID 13798 //
     /* 1317907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317982 */     // GIR_Coverage, 13798,
     /* 1317982 */     GIR_EraseRootFromParent_Done,
     /* 1317983 */   // Label 18849: @1317983
     /* 1317983 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1318064), // Rule ID 13799 //
     /* 1317988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1318002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1318005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1318011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318041 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1318041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318063 */     // GIR_Coverage, 13799,
     /* 1318063 */     GIR_EraseRootFromParent_Done,
     /* 1318064 */   // Label 18850: @1318064
     /* 1318064 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1318145), // Rule ID 13800 //
     /* 1318069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1318080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1318083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318144 */     // GIR_Coverage, 13800,
     /* 1318144 */     GIR_EraseRootFromParent_Done,
     /* 1318145 */   // Label 18851: @1318145
     /* 1318145 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1318226), // Rule ID 13801 //
     /* 1318150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1318161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1318164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318203 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318225 */     // GIR_Coverage, 13801,
     /* 1318225 */     GIR_EraseRootFromParent_Done,
     /* 1318226 */   // Label 18852: @1318226
     /* 1318226 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1318307), // Rule ID 13802 //
     /* 1318231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1318242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1318245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318306 */     // GIR_Coverage, 13802,
     /* 1318306 */     GIR_EraseRootFromParent_Done,
     /* 1318307 */   // Label 18853: @1318307
     /* 1318307 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1318388), // Rule ID 13803 //
     /* 1318312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1318323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1318326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318365 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318387 */     // GIR_Coverage, 13803,
     /* 1318387 */     GIR_EraseRootFromParent_Done,
     /* 1318388 */   // Label 18854: @1318388
     /* 1318388 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1318469), // Rule ID 13804 //
     /* 1318393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318468 */     // GIR_Coverage, 13804,
     /* 1318468 */     GIR_EraseRootFromParent_Done,
     /* 1318469 */   // Label 18855: @1318469
     /* 1318469 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1318550), // Rule ID 13805 //
     /* 1318474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318549 */     // GIR_Coverage, 13805,
     /* 1318549 */     GIR_EraseRootFromParent_Done,
     /* 1318550 */   // Label 18856: @1318550
     /* 1318550 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1318631), // Rule ID 13806 //
     /* 1318555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318630 */     // GIR_Coverage, 13806,
     /* 1318630 */     GIR_EraseRootFromParent_Done,
     /* 1318631 */   // Label 18857: @1318631
     /* 1318631 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1318712), // Rule ID 13807 //
     /* 1318636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318711 */     // GIR_Coverage, 13807,
     /* 1318711 */     GIR_EraseRootFromParent_Done,
     /* 1318712 */   // Label 18858: @1318712
     /* 1318712 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1318793), // Rule ID 13808 //
     /* 1318717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318792 */     // GIR_Coverage, 13808,
     /* 1318792 */     GIR_EraseRootFromParent_Done,
     /* 1318793 */   // Label 18859: @1318793
     /* 1318793 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1318874), // Rule ID 13809 //
     /* 1318798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318873 */     // GIR_Coverage, 13809,
     /* 1318873 */     GIR_EraseRootFromParent_Done,
     /* 1318874 */   // Label 18860: @1318874
     /* 1318874 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1318955), // Rule ID 13810 //
     /* 1318879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318954 */     // GIR_Coverage, 13810,
     /* 1318954 */     GIR_EraseRootFromParent_Done,
     /* 1318955 */   // Label 18861: @1318955
     /* 1318955 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1319036), // Rule ID 13811 //
     /* 1318960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319013 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1319013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319035 */     // GIR_Coverage, 13811,
     /* 1319035 */     GIR_EraseRootFromParent_Done,
     /* 1319036 */   // Label 18862: @1319036
     /* 1319036 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1319117), // Rule ID 13812 //
     /* 1319041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1319052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1319055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1319097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319116 */     // GIR_Coverage, 13812,
     /* 1319116 */     GIR_EraseRootFromParent_Done,
     /* 1319117 */   // Label 18863: @1319117
     /* 1319117 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1319198), // Rule ID 13813 //
     /* 1319122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1319133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1319136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319175 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1319178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319197 */     // GIR_Coverage, 13813,
     /* 1319197 */     GIR_EraseRootFromParent_Done,
     /* 1319198 */   // Label 18864: @1319198
     /* 1319198 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1319279), // Rule ID 13814 //
     /* 1319203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1319214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1319217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1319259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319278 */     // GIR_Coverage, 13814,
     /* 1319278 */     GIR_EraseRootFromParent_Done,
     /* 1319279 */   // Label 18865: @1319279
     /* 1319279 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1319360), // Rule ID 13815 //
     /* 1319284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1319295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1319298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319337 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1319340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319359 */     // GIR_Coverage, 13815,
     /* 1319359 */     GIR_EraseRootFromParent_Done,
     /* 1319360 */   // Label 18866: @1319360
     /* 1319360 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1319441), // Rule ID 13816 //
     /* 1319365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1319376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1319379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319440 */     // GIR_Coverage, 13816,
     /* 1319440 */     GIR_EraseRootFromParent_Done,
     /* 1319441 */   // Label 18867: @1319441
     /* 1319441 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1319522), // Rule ID 13817 //
     /* 1319446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1319457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1319460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319521 */     // GIR_Coverage, 13817,
     /* 1319521 */     GIR_EraseRootFromParent_Done,
     /* 1319522 */   // Label 18868: @1319522
     /* 1319522 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1319606), // Rule ID 19656 //
     /* 1319527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319605 */     // GIR_Coverage, 19656,
     /* 1319605 */     GIR_EraseRootFromParent_Done,
     /* 1319606 */   // Label 18869: @1319606
     /* 1319606 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1319690), // Rule ID 19657 //
     /* 1319611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319689 */     // GIR_Coverage, 19657,
     /* 1319689 */     GIR_EraseRootFromParent_Done,
     /* 1319690 */   // Label 18870: @1319690
     /* 1319690 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1319774), // Rule ID 19660 //
     /* 1319695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319773 */     // GIR_Coverage, 19660,
     /* 1319773 */     GIR_EraseRootFromParent_Done,
     /* 1319774 */   // Label 18871: @1319774
     /* 1319774 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1319858), // Rule ID 19661 //
     /* 1319779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319857 */     // GIR_Coverage, 19661,
     /* 1319857 */     GIR_EraseRootFromParent_Done,
     /* 1319858 */   // Label 18872: @1319858
     /* 1319858 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1319942), // Rule ID 19664 //
     /* 1319863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319941 */     // GIR_Coverage, 19664,
     /* 1319941 */     GIR_EraseRootFromParent_Done,
     /* 1319942 */   // Label 18873: @1319942
     /* 1319942 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1320026), // Rule ID 19665 //
     /* 1319947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1320003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320025 */     // GIR_Coverage, 19665,
     /* 1320025 */     GIR_EraseRootFromParent_Done,
     /* 1320026 */   // Label 18874: @1320026
     /* 1320026 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1320110), // Rule ID 19668 //
     /* 1320031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320109 */     // GIR_Coverage, 19668,
     /* 1320109 */     GIR_EraseRootFromParent_Done,
     /* 1320110 */   // Label 18875: @1320110
     /* 1320110 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1320194), // Rule ID 19669 //
     /* 1320115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320193 */     // GIR_Coverage, 19669,
     /* 1320193 */     GIR_EraseRootFromParent_Done,
     /* 1320194 */   // Label 18876: @1320194
     /* 1320194 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1320278), // Rule ID 19672 //
     /* 1320199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320277 */     // GIR_Coverage, 19672,
     /* 1320277 */     GIR_EraseRootFromParent_Done,
     /* 1320278 */   // Label 18877: @1320278
     /* 1320278 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1320362), // Rule ID 19673 //
     /* 1320283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320361 */     // GIR_Coverage, 19673,
     /* 1320361 */     GIR_EraseRootFromParent_Done,
     /* 1320362 */   // Label 18878: @1320362
     /* 1320362 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1320446), // Rule ID 19676 //
     /* 1320367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1320370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320445 */     // GIR_Coverage, 19676,
     /* 1320445 */     GIR_EraseRootFromParent_Done,
     /* 1320446 */   // Label 18879: @1320446
     /* 1320446 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1320530), // Rule ID 19677 //
     /* 1320451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320529 */     // GIR_Coverage, 19677,
     /* 1320529 */     GIR_EraseRootFromParent_Done,
     /* 1320530 */   // Label 18880: @1320530
     /* 1320530 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1320614), // Rule ID 19680 //
     /* 1320535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320613 */     // GIR_Coverage, 19680,
     /* 1320613 */     GIR_EraseRootFromParent_Done,
     /* 1320614 */   // Label 18881: @1320614
     /* 1320614 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1320698), // Rule ID 19681 //
     /* 1320619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320697 */     // GIR_Coverage, 19681,
     /* 1320697 */     GIR_EraseRootFromParent_Done,
     /* 1320698 */   // Label 18882: @1320698
     /* 1320698 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1320782), // Rule ID 19684 //
     /* 1320703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320781 */     // GIR_Coverage, 19684,
     /* 1320781 */     GIR_EraseRootFromParent_Done,
     /* 1320782 */   // Label 18883: @1320782
     /* 1320782 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1320866), // Rule ID 19685 //
     /* 1320787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320865 */     // GIR_Coverage, 19685,
     /* 1320865 */     GIR_EraseRootFromParent_Done,
     /* 1320866 */   // Label 18884: @1320866
     /* 1320866 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1320950), // Rule ID 19688 //
     /* 1320871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320924 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320949 */     // GIR_Coverage, 19688,
     /* 1320949 */     GIR_EraseRootFromParent_Done,
     /* 1320950 */   // Label 18885: @1320950
     /* 1320950 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1321034), // Rule ID 19689 //
     /* 1320955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321008 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321033 */     // GIR_Coverage, 19689,
     /* 1321033 */     GIR_EraseRootFromParent_Done,
     /* 1321034 */   // Label 18886: @1321034
     /* 1321034 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1321118), // Rule ID 19692 //
     /* 1321039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321117 */     // GIR_Coverage, 19692,
     /* 1321117 */     GIR_EraseRootFromParent_Done,
     /* 1321118 */   // Label 18887: @1321118
     /* 1321118 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1321202), // Rule ID 19693 //
     /* 1321123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321201 */     // GIR_Coverage, 19693,
     /* 1321201 */     GIR_EraseRootFromParent_Done,
     /* 1321202 */   // Label 18888: @1321202
     /* 1321202 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1321286), // Rule ID 19696 //
     /* 1321207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321285 */     // GIR_Coverage, 19696,
     /* 1321285 */     GIR_EraseRootFromParent_Done,
     /* 1321286 */   // Label 18889: @1321286
     /* 1321286 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1321370), // Rule ID 19697 //
     /* 1321291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321369 */     // GIR_Coverage, 19697,
     /* 1321369 */     GIR_EraseRootFromParent_Done,
     /* 1321370 */   // Label 18890: @1321370
     /* 1321370 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1321454), // Rule ID 19700 //
     /* 1321375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321428 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321453 */     // GIR_Coverage, 19700,
     /* 1321453 */     GIR_EraseRootFromParent_Done,
     /* 1321454 */   // Label 18891: @1321454
     /* 1321454 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1321538), // Rule ID 19701 //
     /* 1321459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321537 */     // GIR_Coverage, 19701,
     /* 1321537 */     GIR_EraseRootFromParent_Done,
     /* 1321538 */   // Label 18892: @1321538
     /* 1321538 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1321622), // Rule ID 19704 //
     /* 1321543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321621 */     // GIR_Coverage, 19704,
     /* 1321621 */     GIR_EraseRootFromParent_Done,
     /* 1321622 */   // Label 18893: @1321622
     /* 1321622 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1321706), // Rule ID 19705 //
     /* 1321627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321705 */     // GIR_Coverage, 19705,
     /* 1321705 */     GIR_EraseRootFromParent_Done,
     /* 1321706 */   // Label 18894: @1321706
     /* 1321706 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1321790), // Rule ID 19708 //
     /* 1321711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321789 */     // GIR_Coverage, 19708,
     /* 1321789 */     GIR_EraseRootFromParent_Done,
     /* 1321790 */   // Label 18895: @1321790
     /* 1321790 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1321874), // Rule ID 19709 //
     /* 1321795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321873 */     // GIR_Coverage, 19709,
     /* 1321873 */     GIR_EraseRootFromParent_Done,
     /* 1321874 */   // Label 18896: @1321874
     /* 1321874 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1321958), // Rule ID 19712 //
     /* 1321879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321957 */     // GIR_Coverage, 19712,
     /* 1321957 */     GIR_EraseRootFromParent_Done,
     /* 1321958 */   // Label 18897: @1321958
     /* 1321958 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1322042), // Rule ID 19713 //
     /* 1321963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1322019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322041 */     // GIR_Coverage, 19713,
     /* 1322041 */     GIR_EraseRootFromParent_Done,
     /* 1322042 */   // Label 18898: @1322042
     /* 1322042 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1322126), // Rule ID 19716 //
     /* 1322047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1322103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322125 */     // GIR_Coverage, 19716,
     /* 1322125 */     GIR_EraseRootFromParent_Done,
     /* 1322126 */   // Label 18899: @1322126
     /* 1322126 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1322210), // Rule ID 19717 //
     /* 1322131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1322187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322209 */     // GIR_Coverage, 19717,
     /* 1322209 */     GIR_EraseRootFromParent_Done,
     /* 1322210 */   // Label 18900: @1322210
     /* 1322210 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1322294), // Rule ID 19720 //
     /* 1322215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1322271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322293 */     // GIR_Coverage, 19720,
     /* 1322293 */     GIR_EraseRootFromParent_Done,
     /* 1322294 */   // Label 18901: @1322294
     /* 1322294 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1322378), // Rule ID 19721 //
     /* 1322299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1322355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322377 */     // GIR_Coverage, 19721,
     /* 1322377 */     GIR_EraseRootFromParent_Done,
     /* 1322378 */   // Label 18902: @1322378
     /* 1322378 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1322462), // Rule ID 19724 //
     /* 1322383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322461 */     // GIR_Coverage, 19724,
     /* 1322461 */     GIR_EraseRootFromParent_Done,
     /* 1322462 */   // Label 18903: @1322462
     /* 1322462 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1322546), // Rule ID 19725 //
     /* 1322467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322545 */     // GIR_Coverage, 19725,
     /* 1322545 */     GIR_EraseRootFromParent_Done,
     /* 1322546 */   // Label 18904: @1322546
     /* 1322546 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1322630), // Rule ID 19728 //
     /* 1322551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322629 */     // GIR_Coverage, 19728,
     /* 1322629 */     GIR_EraseRootFromParent_Done,
     /* 1322630 */   // Label 18905: @1322630
     /* 1322630 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1322714), // Rule ID 19729 //
     /* 1322635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322713 */     // GIR_Coverage, 19729,
     /* 1322713 */     GIR_EraseRootFromParent_Done,
     /* 1322714 */   // Label 18906: @1322714
     /* 1322714 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1322798), // Rule ID 19732 //
     /* 1322719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322797 */     // GIR_Coverage, 19732,
     /* 1322797 */     GIR_EraseRootFromParent_Done,
     /* 1322798 */   // Label 18907: @1322798
     /* 1322798 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1322882), // Rule ID 19733 //
     /* 1322803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322881 */     // GIR_Coverage, 19733,
     /* 1322881 */     GIR_EraseRootFromParent_Done,
     /* 1322882 */   // Label 18908: @1322882
     /* 1322882 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1322966), // Rule ID 19736 //
     /* 1322887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1322943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322965 */     // GIR_Coverage, 19736,
     /* 1322965 */     GIR_EraseRootFromParent_Done,
     /* 1322966 */   // Label 18909: @1322966
     /* 1322966 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1323050), // Rule ID 19737 //
     /* 1322971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1323027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323049 */     // GIR_Coverage, 19737,
     /* 1323049 */     GIR_EraseRootFromParent_Done,
     /* 1323050 */   // Label 18910: @1323050
     /* 1323050 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1323134), // Rule ID 19740 //
     /* 1323055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1323072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1323111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323133 */     // GIR_Coverage, 19740,
     /* 1323133 */     GIR_EraseRootFromParent_Done,
     /* 1323134 */   // Label 18911: @1323134
     /* 1323134 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1323218), // Rule ID 19741 //
     /* 1323139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1323156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1323195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323217 */     // GIR_Coverage, 19741,
     /* 1323217 */     GIR_EraseRootFromParent_Done,
     /* 1323218 */   // Label 18912: @1323218
     /* 1323218 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1323302), // Rule ID 19744 //
     /* 1323223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1323240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1323279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323301 */     // GIR_Coverage, 19744,
     /* 1323301 */     GIR_EraseRootFromParent_Done,
     /* 1323302 */   // Label 18913: @1323302
     /* 1323302 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1323386), // Rule ID 19745 //
     /* 1323307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1323324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1323363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323385 */     // GIR_Coverage, 19745,
     /* 1323385 */     GIR_EraseRootFromParent_Done,
     /* 1323386 */   // Label 18914: @1323386
     /* 1323386 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1323470), // Rule ID 19748 //
     /* 1323391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1323402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1323405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1323408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1323414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323444 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323469 */     // GIR_Coverage, 19748,
     /* 1323469 */     GIR_EraseRootFromParent_Done,
     /* 1323470 */   // Label 18915: @1323470
     /* 1323470 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1323554), // Rule ID 19749 //
     /* 1323475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1323486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1323489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1323492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1323498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323528 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323553 */     // GIR_Coverage, 19749,
     /* 1323553 */     GIR_EraseRootFromParent_Done,
     /* 1323554 */   // Label 18916: @1323554
     /* 1323554 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1323638), // Rule ID 19752 //
     /* 1323559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323637 */     // GIR_Coverage, 19752,
     /* 1323637 */     GIR_EraseRootFromParent_Done,
     /* 1323638 */   // Label 18917: @1323638
     /* 1323638 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1323722), // Rule ID 19753 //
     /* 1323643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323721 */     // GIR_Coverage, 19753,
     /* 1323721 */     GIR_EraseRootFromParent_Done,
     /* 1323722 */   // Label 18918: @1323722
     /* 1323722 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1323806), // Rule ID 19756 //
     /* 1323727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323805 */     // GIR_Coverage, 19756,
     /* 1323805 */     GIR_EraseRootFromParent_Done,
     /* 1323806 */   // Label 18919: @1323806
     /* 1323806 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1323890), // Rule ID 19757 //
     /* 1323811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323889 */     // GIR_Coverage, 19757,
     /* 1323889 */     GIR_EraseRootFromParent_Done,
     /* 1323890 */   // Label 18920: @1323890
     /* 1323890 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1323974), // Rule ID 19760 //
     /* 1323895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1323951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323973 */     // GIR_Coverage, 19760,
     /* 1323973 */     GIR_EraseRootFromParent_Done,
     /* 1323974 */   // Label 18921: @1323974
     /* 1323974 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1324058), // Rule ID 19761 //
     /* 1323979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1324021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1324035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324057 */     // GIR_Coverage, 19761,
     /* 1324057 */     GIR_EraseRootFromParent_Done,
     /* 1324058 */   // Label 18922: @1324058
     /* 1324058 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1324142), // Rule ID 19764 //
     /* 1324063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1324080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1324119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324141 */     // GIR_Coverage, 19764,
     /* 1324141 */     GIR_EraseRootFromParent_Done,
     /* 1324142 */   // Label 18923: @1324142
     /* 1324142 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1324226), // Rule ID 19765 //
     /* 1324147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1324164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1324203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324225 */     // GIR_Coverage, 19765,
     /* 1324225 */     GIR_EraseRootFromParent_Done,
     /* 1324226 */   // Label 18924: @1324226
     /* 1324226 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1324310), // Rule ID 19768 //
     /* 1324231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1324248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1324287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324309 */     // GIR_Coverage, 19768,
     /* 1324309 */     GIR_EraseRootFromParent_Done,
     /* 1324310 */   // Label 18925: @1324310
     /* 1324310 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1324394), // Rule ID 19769 //
     /* 1324315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1324332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1324371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324393 */     // GIR_Coverage, 19769,
     /* 1324393 */     GIR_EraseRootFromParent_Done,
     /* 1324394 */   // Label 18926: @1324394
     /* 1324394 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1324478), // Rule ID 19772 //
     /* 1324399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1324416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324477 */     // GIR_Coverage, 19772,
     /* 1324477 */     GIR_EraseRootFromParent_Done,
     /* 1324478 */   // Label 18927: @1324478
     /* 1324478 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1324562), // Rule ID 19773 //
     /* 1324483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1324500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324561 */     // GIR_Coverage, 19773,
     /* 1324561 */     GIR_EraseRootFromParent_Done,
     /* 1324562 */   // Label 18928: @1324562
     /* 1324562 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1324646), // Rule ID 19776 //
     /* 1324567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324645 */     // GIR_Coverage, 19776,
     /* 1324645 */     GIR_EraseRootFromParent_Done,
     /* 1324646 */   // Label 18929: @1324646
     /* 1324646 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1324730), // Rule ID 19777 //
     /* 1324651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324729 */     // GIR_Coverage, 19777,
     /* 1324729 */     GIR_EraseRootFromParent_Done,
     /* 1324730 */   // Label 18930: @1324730
     /* 1324730 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1324814), // Rule ID 19780 //
     /* 1324735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324813 */     // GIR_Coverage, 19780,
     /* 1324813 */     GIR_EraseRootFromParent_Done,
     /* 1324814 */   // Label 18931: @1324814
     /* 1324814 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1324898), // Rule ID 19781 //
     /* 1324819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324897 */     // GIR_Coverage, 19781,
     /* 1324897 */     GIR_EraseRootFromParent_Done,
     /* 1324898 */   // Label 18932: @1324898
     /* 1324898 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1324982), // Rule ID 19784 //
     /* 1324903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324981 */     // GIR_Coverage, 19784,
     /* 1324981 */     GIR_EraseRootFromParent_Done,
     /* 1324982 */   // Label 18933: @1324982
     /* 1324982 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1325066), // Rule ID 19785 //
     /* 1324987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1325004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1325007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1325043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325065 */     // GIR_Coverage, 19785,
     /* 1325065 */     GIR_EraseRootFromParent_Done,
     /* 1325066 */   // Label 18934: @1325066
     /* 1325066 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1325150), // Rule ID 19788 //
     /* 1325071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1325088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1325091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325149 */     // GIR_Coverage, 19788,
     /* 1325149 */     GIR_EraseRootFromParent_Done,
     /* 1325150 */   // Label 18935: @1325150
     /* 1325150 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1325234), // Rule ID 19789 //
     /* 1325155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1325172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1325175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325233 */     // GIR_Coverage, 19789,
     /* 1325233 */     GIR_EraseRootFromParent_Done,
     /* 1325234 */   // Label 18936: @1325234
     /* 1325234 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1325318), // Rule ID 19792 //
     /* 1325239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1325256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325317 */     // GIR_Coverage, 19792,
     /* 1325317 */     GIR_EraseRootFromParent_Done,
     /* 1325318 */   // Label 18937: @1325318
     /* 1325318 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1325402), // Rule ID 19793 //
     /* 1325323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1325340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325401 */     // GIR_Coverage, 19793,
     /* 1325401 */     GIR_EraseRootFromParent_Done,
     /* 1325402 */   // Label 18938: @1325402
     /* 1325402 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1325486), // Rule ID 19796 //
     /* 1325407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1325424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325485 */     // GIR_Coverage, 19796,
     /* 1325485 */     GIR_EraseRootFromParent_Done,
     /* 1325486 */   // Label 18939: @1325486
     /* 1325486 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1325570), // Rule ID 19797 //
     /* 1325491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1325508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325569 */     // GIR_Coverage, 19797,
     /* 1325569 */     GIR_EraseRootFromParent_Done,
     /* 1325570 */   // Label 18940: @1325570
     /* 1325570 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1325654), // Rule ID 19800 //
     /* 1325575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325653 */     // GIR_Coverage, 19800,
     /* 1325653 */     GIR_EraseRootFromParent_Done,
     /* 1325654 */   // Label 18941: @1325654
     /* 1325654 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1325738), // Rule ID 19801 //
     /* 1325659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325737 */     // GIR_Coverage, 19801,
     /* 1325737 */     GIR_EraseRootFromParent_Done,
     /* 1325738 */   // Label 18942: @1325738
     /* 1325738 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1325822), // Rule ID 19804 //
     /* 1325743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325821 */     // GIR_Coverage, 19804,
     /* 1325821 */     GIR_EraseRootFromParent_Done,
     /* 1325822 */   // Label 18943: @1325822
     /* 1325822 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1325906), // Rule ID 19805 //
     /* 1325827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325905 */     // GIR_Coverage, 19805,
     /* 1325905 */     GIR_EraseRootFromParent_Done,
     /* 1325906 */   // Label 18944: @1325906
     /* 1325906 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1325990), // Rule ID 19808 //
     /* 1325911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325964 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325989 */     // GIR_Coverage, 19808,
     /* 1325989 */     GIR_EraseRootFromParent_Done,
     /* 1325990 */   // Label 18945: @1325990
     /* 1325990 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1326074), // Rule ID 19809 //
     /* 1325995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1326006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1326009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1326012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1326015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1326018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326048 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326073 */     // GIR_Coverage, 19809,
     /* 1326073 */     GIR_EraseRootFromParent_Done,
     /* 1326074 */   // Label 18946: @1326074
     /* 1326074 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1326158), // Rule ID 19812 //
     /* 1326079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1326099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326157 */     // GIR_Coverage, 19812,
     /* 1326157 */     GIR_EraseRootFromParent_Done,
     /* 1326158 */   // Label 18947: @1326158
     /* 1326158 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1326242), // Rule ID 19813 //
     /* 1326163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1326183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326241 */     // GIR_Coverage, 19813,
     /* 1326241 */     GIR_EraseRootFromParent_Done,
     /* 1326242 */   // Label 18948: @1326242
     /* 1326242 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1326326), // Rule ID 19816 //
     /* 1326247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1326267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326325 */     // GIR_Coverage, 19816,
     /* 1326325 */     GIR_EraseRootFromParent_Done,
     /* 1326326 */   // Label 18949: @1326326
     /* 1326326 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1326410), // Rule ID 19817 //
     /* 1326331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1326351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326409 */     // GIR_Coverage, 19817,
     /* 1326409 */     GIR_EraseRootFromParent_Done,
     /* 1326410 */   // Label 18950: @1326410
     /* 1326410 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1326494), // Rule ID 19820 //
     /* 1326415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326493 */     // GIR_Coverage, 19820,
     /* 1326493 */     GIR_EraseRootFromParent_Done,
     /* 1326494 */   // Label 18951: @1326494
     /* 1326494 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1326578), // Rule ID 19821 //
     /* 1326499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326577 */     // GIR_Coverage, 19821,
     /* 1326577 */     GIR_EraseRootFromParent_Done,
     /* 1326578 */   // Label 18952: @1326578
     /* 1326578 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1326662), // Rule ID 19824 //
     /* 1326583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326661 */     // GIR_Coverage, 19824,
     /* 1326661 */     GIR_EraseRootFromParent_Done,
     /* 1326662 */   // Label 18953: @1326662
     /* 1326662 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1326746), // Rule ID 19825 //
     /* 1326667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326745 */     // GIR_Coverage, 19825,
     /* 1326745 */     GIR_EraseRootFromParent_Done,
     /* 1326746 */   // Label 18954: @1326746
     /* 1326746 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1326830), // Rule ID 19828 //
     /* 1326751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326829 */     // GIR_Coverage, 19828,
     /* 1326829 */     GIR_EraseRootFromParent_Done,
     /* 1326830 */   // Label 18955: @1326830
     /* 1326830 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1326914), // Rule ID 19829 //
     /* 1326835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326913 */     // GIR_Coverage, 19829,
     /* 1326913 */     GIR_EraseRootFromParent_Done,
     /* 1326914 */   // Label 18956: @1326914
     /* 1326914 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1326998), // Rule ID 19832 //
     /* 1326919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326997 */     // GIR_Coverage, 19832,
     /* 1326997 */     GIR_EraseRootFromParent_Done,
     /* 1326998 */   // Label 18957: @1326998
     /* 1326998 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1327082), // Rule ID 19833 //
     /* 1327003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1327020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1327023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1327059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327081 */     // GIR_Coverage, 19833,
     /* 1327081 */     GIR_EraseRootFromParent_Done,
     /* 1327082 */   // Label 18958: @1327082
     /* 1327082 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1327166), // Rule ID 19836 //
     /* 1327087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1327143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327165 */     // GIR_Coverage, 19836,
     /* 1327165 */     GIR_EraseRootFromParent_Done,
     /* 1327166 */   // Label 18959: @1327166
     /* 1327166 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1327250), // Rule ID 19837 //
     /* 1327171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1327227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327249 */     // GIR_Coverage, 19837,
     /* 1327249 */     GIR_EraseRootFromParent_Done,
     /* 1327250 */   // Label 18960: @1327250
     /* 1327250 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1327334), // Rule ID 19840 //
     /* 1327255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1327311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327333 */     // GIR_Coverage, 19840,
     /* 1327333 */     GIR_EraseRootFromParent_Done,
     /* 1327334 */   // Label 18961: @1327334
     /* 1327334 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1327418), // Rule ID 19841 //
     /* 1327339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1327395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327417 */     // GIR_Coverage, 19841,
     /* 1327417 */     GIR_EraseRootFromParent_Done,
     /* 1327418 */   // Label 18962: @1327418
     /* 1327418 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1327502), // Rule ID 19844 //
     /* 1327423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327501 */     // GIR_Coverage, 19844,
     /* 1327501 */     GIR_EraseRootFromParent_Done,
     /* 1327502 */   // Label 18963: @1327502
     /* 1327502 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1327586), // Rule ID 19845 //
     /* 1327507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327585 */     // GIR_Coverage, 19845,
     /* 1327585 */     GIR_EraseRootFromParent_Done,
     /* 1327586 */   // Label 18964: @1327586
     /* 1327586 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1327670), // Rule ID 19848 //
     /* 1327591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327669 */     // GIR_Coverage, 19848,
     /* 1327669 */     GIR_EraseRootFromParent_Done,
     /* 1327670 */   // Label 18965: @1327670
     /* 1327670 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1327754), // Rule ID 19849 //
     /* 1327675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327753 */     // GIR_Coverage, 19849,
     /* 1327753 */     GIR_EraseRootFromParent_Done,
     /* 1327754 */   // Label 18966: @1327754
     /* 1327754 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1327838), // Rule ID 19852 //
     /* 1327759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327837 */     // GIR_Coverage, 19852,
     /* 1327837 */     GIR_EraseRootFromParent_Done,
     /* 1327838 */   // Label 18967: @1327838
     /* 1327838 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1327922), // Rule ID 19853 //
     /* 1327843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327921 */     // GIR_Coverage, 19853,
     /* 1327921 */     GIR_EraseRootFromParent_Done,
     /* 1327922 */   // Label 18968: @1327922
     /* 1327922 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1328006), // Rule ID 19856 //
     /* 1327927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1327983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328005 */     // GIR_Coverage, 19856,
     /* 1328005 */     GIR_EraseRootFromParent_Done,
     /* 1328006 */   // Label 18969: @1328006
     /* 1328006 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1328090), // Rule ID 19857 //
     /* 1328011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1328067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328089 */     // GIR_Coverage, 19857,
     /* 1328089 */     GIR_EraseRootFromParent_Done,
     /* 1328090 */   // Label 18970: @1328090
     /* 1328090 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1328174), // Rule ID 19860 //
     /* 1328095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1328112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1328151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328173 */     // GIR_Coverage, 19860,
     /* 1328173 */     GIR_EraseRootFromParent_Done,
     /* 1328174 */   // Label 18971: @1328174
     /* 1328174 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1328258), // Rule ID 19861 //
     /* 1328179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1328196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1328235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328257 */     // GIR_Coverage, 19861,
     /* 1328257 */     GIR_EraseRootFromParent_Done,
     /* 1328258 */   // Label 18972: @1328258
     /* 1328258 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1328342), // Rule ID 19864 //
     /* 1328263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1328280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1328319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328341 */     // GIR_Coverage, 19864,
     /* 1328341 */     GIR_EraseRootFromParent_Done,
     /* 1328342 */   // Label 18973: @1328342
     /* 1328342 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1328426), // Rule ID 19865 //
     /* 1328347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1328364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1328403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328425 */     // GIR_Coverage, 19865,
     /* 1328425 */     GIR_EraseRootFromParent_Done,
     /* 1328426 */   // Label 18974: @1328426
     /* 1328426 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1328510), // Rule ID 19868 //
     /* 1328431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328509 */     // GIR_Coverage, 19868,
     /* 1328509 */     GIR_EraseRootFromParent_Done,
     /* 1328510 */   // Label 18975: @1328510
     /* 1328510 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1328594), // Rule ID 19869 //
     /* 1328515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328593 */     // GIR_Coverage, 19869,
     /* 1328593 */     GIR_EraseRootFromParent_Done,
     /* 1328594 */   // Label 18976: @1328594
     /* 1328594 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1328678), // Rule ID 19872 //
     /* 1328599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328677 */     // GIR_Coverage, 19872,
     /* 1328677 */     GIR_EraseRootFromParent_Done,
     /* 1328678 */   // Label 18977: @1328678
     /* 1328678 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1328762), // Rule ID 19873 //
     /* 1328683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328761 */     // GIR_Coverage, 19873,
     /* 1328761 */     GIR_EraseRootFromParent_Done,
     /* 1328762 */   // Label 18978: @1328762
     /* 1328762 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1328846), // Rule ID 19876 //
     /* 1328767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328845 */     // GIR_Coverage, 19876,
     /* 1328845 */     GIR_EraseRootFromParent_Done,
     /* 1328846 */   // Label 18979: @1328846
     /* 1328846 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1328930), // Rule ID 19877 //
     /* 1328851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328929 */     // GIR_Coverage, 19877,
     /* 1328929 */     GIR_EraseRootFromParent_Done,
     /* 1328930 */   // Label 18980: @1328930
     /* 1328930 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1329014), // Rule ID 19880 //
     /* 1328935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1328991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329013 */     // GIR_Coverage, 19880,
     /* 1329013 */     GIR_EraseRootFromParent_Done,
     /* 1329014 */   // Label 18981: @1329014
     /* 1329014 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1329098), // Rule ID 19881 //
     /* 1329019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1329036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1329075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329097 */     // GIR_Coverage, 19881,
     /* 1329097 */     GIR_EraseRootFromParent_Done,
     /* 1329098 */   // Label 18982: @1329098
     /* 1329098 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1329182), // Rule ID 19884 //
     /* 1329103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1329120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1329159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329181 */     // GIR_Coverage, 19884,
     /* 1329181 */     GIR_EraseRootFromParent_Done,
     /* 1329182 */   // Label 18983: @1329182
     /* 1329182 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1329266), // Rule ID 19885 //
     /* 1329187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1329204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1329243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329265 */     // GIR_Coverage, 19885,
     /* 1329265 */     GIR_EraseRootFromParent_Done,
     /* 1329266 */   // Label 18984: @1329266
     /* 1329266 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1329350), // Rule ID 19888 //
     /* 1329271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1329288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1329327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329349 */     // GIR_Coverage, 19888,
     /* 1329349 */     GIR_EraseRootFromParent_Done,
     /* 1329350 */   // Label 18985: @1329350
     /* 1329350 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1329434), // Rule ID 19889 //
     /* 1329355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1329372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1329411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329433 */     // GIR_Coverage, 19889,
     /* 1329433 */     GIR_EraseRootFromParent_Done,
     /* 1329434 */   // Label 18986: @1329434
     /* 1329434 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1329518), // Rule ID 19892 //
     /* 1329439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329517 */     // GIR_Coverage, 19892,
     /* 1329517 */     GIR_EraseRootFromParent_Done,
     /* 1329518 */   // Label 18987: @1329518
     /* 1329518 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1329602), // Rule ID 19893 //
     /* 1329523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329576 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329601 */     // GIR_Coverage, 19893,
     /* 1329601 */     GIR_EraseRootFromParent_Done,
     /* 1329602 */   // Label 18988: @1329602
     /* 1329602 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1329686), // Rule ID 19896 //
     /* 1329607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329685 */     // GIR_Coverage, 19896,
     /* 1329685 */     GIR_EraseRootFromParent_Done,
     /* 1329686 */   // Label 18989: @1329686
     /* 1329686 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1329770), // Rule ID 19897 //
     /* 1329691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329769 */     // GIR_Coverage, 19897,
     /* 1329769 */     GIR_EraseRootFromParent_Done,
     /* 1329770 */   // Label 18990: @1329770
     /* 1329770 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1329854), // Rule ID 19900 //
     /* 1329775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329853 */     // GIR_Coverage, 19900,
     /* 1329853 */     GIR_EraseRootFromParent_Done,
     /* 1329854 */   // Label 18991: @1329854
     /* 1329854 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1329938), // Rule ID 19901 //
     /* 1329859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329937 */     // GIR_Coverage, 19901,
     /* 1329937 */     GIR_EraseRootFromParent_Done,
     /* 1329938 */   // Label 18992: @1329938
     /* 1329938 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1330022), // Rule ID 19904 //
     /* 1329943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330021 */     // GIR_Coverage, 19904,
     /* 1330021 */     GIR_EraseRootFromParent_Done,
     /* 1330022 */   // Label 18993: @1330022
     /* 1330022 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1330106), // Rule ID 19905 //
     /* 1330027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1330044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1330047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1330083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330105 */     // GIR_Coverage, 19905,
     /* 1330105 */     GIR_EraseRootFromParent_Done,
     /* 1330106 */   // Label 18994: @1330106
     /* 1330106 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1330190), // Rule ID 19908 //
     /* 1330111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1330128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1330131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330189 */     // GIR_Coverage, 19908,
     /* 1330189 */     GIR_EraseRootFromParent_Done,
     /* 1330190 */   // Label 18995: @1330190
     /* 1330190 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1330274), // Rule ID 19909 //
     /* 1330195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1330212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1330215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330273 */     // GIR_Coverage, 19909,
     /* 1330273 */     GIR_EraseRootFromParent_Done,
     /* 1330274 */   // Label 18996: @1330274
     /* 1330274 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1330358), // Rule ID 19912 //
     /* 1330279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1330296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1330299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330357 */     // GIR_Coverage, 19912,
     /* 1330357 */     GIR_EraseRootFromParent_Done,
     /* 1330358 */   // Label 18997: @1330358
     /* 1330358 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1330442), // Rule ID 19913 //
     /* 1330363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1330380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1330383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330441 */     // GIR_Coverage, 19913,
     /* 1330441 */     GIR_EraseRootFromParent_Done,
     /* 1330442 */   // Label 18998: @1330442
     /* 1330442 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1330526), // Rule ID 19916 //
     /* 1330447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330525 */     // GIR_Coverage, 19916,
     /* 1330525 */     GIR_EraseRootFromParent_Done,
     /* 1330526 */   // Label 18999: @1330526
     /* 1330526 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1330610), // Rule ID 19917 //
     /* 1330531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330609 */     // GIR_Coverage, 19917,
     /* 1330609 */     GIR_EraseRootFromParent_Done,
     /* 1330610 */   // Label 19000: @1330610
     /* 1330610 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1330694), // Rule ID 19920 //
     /* 1330615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330693 */     // GIR_Coverage, 19920,
     /* 1330693 */     GIR_EraseRootFromParent_Done,
     /* 1330694 */   // Label 19001: @1330694
     /* 1330694 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1330778), // Rule ID 19921 //
     /* 1330699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330777 */     // GIR_Coverage, 19921,
     /* 1330777 */     GIR_EraseRootFromParent_Done,
     /* 1330778 */   // Label 19002: @1330778
     /* 1330778 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1330862), // Rule ID 19924 //
     /* 1330783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330836 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330861 */     // GIR_Coverage, 19924,
     /* 1330861 */     GIR_EraseRootFromParent_Done,
     /* 1330862 */   // Label 19003: @1330862
     /* 1330862 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1330946), // Rule ID 19925 //
     /* 1330867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330920 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330945 */     // GIR_Coverage, 19925,
     /* 1330945 */     GIR_EraseRootFromParent_Done,
     /* 1330946 */   // Label 19004: @1330946
     /* 1330946 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1331030), // Rule ID 19928 //
     /* 1330951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331004 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331029 */     // GIR_Coverage, 19928,
     /* 1331029 */     GIR_EraseRootFromParent_Done,
     /* 1331030 */   // Label 19005: @1331030
     /* 1331030 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1331114), // Rule ID 19929 //
     /* 1331035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1331046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1331049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1331052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1331055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1331058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331088 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331113 */     // GIR_Coverage, 19929,
     /* 1331113 */     GIR_EraseRootFromParent_Done,
     /* 1331114 */   // Label 19006: @1331114
     /* 1331114 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1331198), // Rule ID 19932 //
     /* 1331119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1331136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1331139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331197 */     // GIR_Coverage, 19932,
     /* 1331197 */     GIR_EraseRootFromParent_Done,
     /* 1331198 */   // Label 19007: @1331198
     /* 1331198 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1331282), // Rule ID 19933 //
     /* 1331203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1331220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1331223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331281 */     // GIR_Coverage, 19933,
     /* 1331281 */     GIR_EraseRootFromParent_Done,
     /* 1331282 */   // Label 19008: @1331282
     /* 1331282 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1331366), // Rule ID 19936 //
     /* 1331287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1331304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1331307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331365 */     // GIR_Coverage, 19936,
     /* 1331365 */     GIR_EraseRootFromParent_Done,
     /* 1331366 */   // Label 19009: @1331366
     /* 1331366 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1331450), // Rule ID 19937 //
     /* 1331371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1331388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1331391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331449 */     // GIR_Coverage, 19937,
     /* 1331449 */     GIR_EraseRootFromParent_Done,
     /* 1331450 */   // Label 19010: @1331450
     /* 1331450 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1331534), // Rule ID 19940 //
     /* 1331455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331508 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331533 */     // GIR_Coverage, 19940,
     /* 1331533 */     GIR_EraseRootFromParent_Done,
     /* 1331534 */   // Label 19011: @1331534
     /* 1331534 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1331618), // Rule ID 19941 //
     /* 1331539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331617 */     // GIR_Coverage, 19941,
     /* 1331617 */     GIR_EraseRootFromParent_Done,
     /* 1331618 */   // Label 19012: @1331618
     /* 1331618 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1331702), // Rule ID 19944 //
     /* 1331623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331701 */     // GIR_Coverage, 19944,
     /* 1331701 */     GIR_EraseRootFromParent_Done,
     /* 1331702 */   // Label 19013: @1331702
     /* 1331702 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1331786), // Rule ID 19945 //
     /* 1331707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331785 */     // GIR_Coverage, 19945,
     /* 1331785 */     GIR_EraseRootFromParent_Done,
     /* 1331786 */   // Label 19014: @1331786
     /* 1331786 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1331870), // Rule ID 19948 //
     /* 1331791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331869 */     // GIR_Coverage, 19948,
     /* 1331869 */     GIR_EraseRootFromParent_Done,
     /* 1331870 */   // Label 19015: @1331870
     /* 1331870 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1331954), // Rule ID 19949 //
     /* 1331875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331953 */     // GIR_Coverage, 19949,
     /* 1331953 */     GIR_EraseRootFromParent_Done,
     /* 1331954 */   // Label 19016: @1331954
     /* 1331954 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1332038), // Rule ID 19952 //
     /* 1331959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1332015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332037 */     // GIR_Coverage, 19952,
     /* 1332037 */     GIR_EraseRootFromParent_Done,
     /* 1332038 */   // Label 19017: @1332038
     /* 1332038 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1332122), // Rule ID 19953 //
     /* 1332043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1332060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1332063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1332099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332121 */     // GIR_Coverage, 19953,
     /* 1332121 */     GIR_EraseRootFromParent_Done,
     /* 1332122 */   // Label 19018: @1332122
     /* 1332122 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1332206), // Rule ID 19956 //
     /* 1332127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1332144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1332183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332205 */     // GIR_Coverage, 19956,
     /* 1332205 */     GIR_EraseRootFromParent_Done,
     /* 1332206 */   // Label 19019: @1332206
     /* 1332206 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1332290), // Rule ID 19957 //
     /* 1332211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1332228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1332267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332289 */     // GIR_Coverage, 19957,
     /* 1332289 */     GIR_EraseRootFromParent_Done,
     /* 1332290 */   // Label 19020: @1332290
     /* 1332290 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1332374), // Rule ID 19960 //
     /* 1332295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1332312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1332351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332373 */     // GIR_Coverage, 19960,
     /* 1332373 */     GIR_EraseRootFromParent_Done,
     /* 1332374 */   // Label 19021: @1332374
     /* 1332374 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1332458), // Rule ID 19961 //
     /* 1332379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1332396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1332435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332457 */     // GIR_Coverage, 19961,
     /* 1332457 */     GIR_EraseRootFromParent_Done,
     /* 1332458 */   // Label 19022: @1332458
     /* 1332458 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1332542), // Rule ID 19964 //
     /* 1332463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332541 */     // GIR_Coverage, 19964,
     /* 1332541 */     GIR_EraseRootFromParent_Done,
     /* 1332542 */   // Label 19023: @1332542
     /* 1332542 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1332626), // Rule ID 19965 //
     /* 1332547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332625 */     // GIR_Coverage, 19965,
     /* 1332625 */     GIR_EraseRootFromParent_Done,
     /* 1332626 */   // Label 19024: @1332626
     /* 1332626 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1332710), // Rule ID 19968 //
     /* 1332631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332709 */     // GIR_Coverage, 19968,
     /* 1332709 */     GIR_EraseRootFromParent_Done,
     /* 1332710 */   // Label 19025: @1332710
     /* 1332710 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1332794), // Rule ID 19969 //
     /* 1332715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332793 */     // GIR_Coverage, 19969,
     /* 1332793 */     GIR_EraseRootFromParent_Done,
     /* 1332794 */   // Label 19026: @1332794
     /* 1332794 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1332878), // Rule ID 19972 //
     /* 1332799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332877 */     // GIR_Coverage, 19972,
     /* 1332877 */     GIR_EraseRootFromParent_Done,
     /* 1332878 */   // Label 19027: @1332878
     /* 1332878 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1332962), // Rule ID 19973 //
     /* 1332883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332961 */     // GIR_Coverage, 19973,
     /* 1332961 */     GIR_EraseRootFromParent_Done,
     /* 1332962 */   // Label 19028: @1332962
     /* 1332962 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1333046), // Rule ID 19976 //
     /* 1332967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1333023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333045 */     // GIR_Coverage, 19976,
     /* 1333045 */     GIR_EraseRootFromParent_Done,
     /* 1333046 */   // Label 19029: @1333046
     /* 1333046 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1333130), // Rule ID 19977 //
     /* 1333051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1333107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333129 */     // GIR_Coverage, 19977,
     /* 1333129 */     GIR_EraseRootFromParent_Done,
     /* 1333130 */   // Label 19030: @1333130
     /* 1333130 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1333214), // Rule ID 19980 //
     /* 1333135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1333152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1333191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333213 */     // GIR_Coverage, 19980,
     /* 1333213 */     GIR_EraseRootFromParent_Done,
     /* 1333214 */   // Label 19031: @1333214
     /* 1333214 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1333298), // Rule ID 19981 //
     /* 1333219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1333236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1333275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333297 */     // GIR_Coverage, 19981,
     /* 1333297 */     GIR_EraseRootFromParent_Done,
     /* 1333298 */   // Label 19032: @1333298
     /* 1333298 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1333382), // Rule ID 19984 //
     /* 1333303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1333320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333356 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1333359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333381 */     // GIR_Coverage, 19984,
     /* 1333381 */     GIR_EraseRootFromParent_Done,
     /* 1333382 */   // Label 19033: @1333382
     /* 1333382 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1333466), // Rule ID 19985 //
     /* 1333387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1333404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1333443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333465 */     // GIR_Coverage, 19985,
     /* 1333465 */     GIR_EraseRootFromParent_Done,
     /* 1333466 */   // Label 19034: @1333466
     /* 1333466 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1333550), // Rule ID 19988 //
     /* 1333471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333524 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333549 */     // GIR_Coverage, 19988,
     /* 1333549 */     GIR_EraseRootFromParent_Done,
     /* 1333550 */   // Label 19035: @1333550
     /* 1333550 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1333634), // Rule ID 19989 //
     /* 1333555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333608 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333633 */     // GIR_Coverage, 19989,
     /* 1333633 */     GIR_EraseRootFromParent_Done,
     /* 1333634 */   // Label 19036: @1333634
     /* 1333634 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1333718), // Rule ID 19992 //
     /* 1333639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333717 */     // GIR_Coverage, 19992,
     /* 1333717 */     GIR_EraseRootFromParent_Done,
     /* 1333718 */   // Label 19037: @1333718
     /* 1333718 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1333802), // Rule ID 19993 //
     /* 1333723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333801 */     // GIR_Coverage, 19993,
     /* 1333801 */     GIR_EraseRootFromParent_Done,
     /* 1333802 */   // Label 19038: @1333802
     /* 1333802 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1333886), // Rule ID 19996 //
     /* 1333807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333885 */     // GIR_Coverage, 19996,
     /* 1333885 */     GIR_EraseRootFromParent_Done,
     /* 1333886 */   // Label 19039: @1333886
     /* 1333886 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1333970), // Rule ID 19997 //
     /* 1333891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333969 */     // GIR_Coverage, 19997,
     /* 1333969 */     GIR_EraseRootFromParent_Done,
     /* 1333970 */   // Label 19040: @1333970
     /* 1333970 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1334054), // Rule ID 20000 //
     /* 1333975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1334031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334053 */     // GIR_Coverage, 20000,
     /* 1334053 */     GIR_EraseRootFromParent_Done,
     /* 1334054 */   // Label 19041: @1334054
     /* 1334054 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1334138), // Rule ID 20001 //
     /* 1334059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334112 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1334115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334137 */     // GIR_Coverage, 20001,
     /* 1334137 */     GIR_EraseRootFromParent_Done,
     /* 1334138 */   // Label 19042: @1334138
     /* 1334138 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1334222), // Rule ID 20004 //
     /* 1334143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1334160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1334199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334221 */     // GIR_Coverage, 20004,
     /* 1334221 */     GIR_EraseRootFromParent_Done,
     /* 1334222 */   // Label 19043: @1334222
     /* 1334222 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1334306), // Rule ID 20005 //
     /* 1334227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1334244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1334283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334305 */     // GIR_Coverage, 20005,
     /* 1334305 */     GIR_EraseRootFromParent_Done,
     /* 1334306 */   // Label 19044: @1334306
     /* 1334306 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1334390), // Rule ID 20008 //
     /* 1334311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1334328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1334367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334389 */     // GIR_Coverage, 20008,
     /* 1334389 */     GIR_EraseRootFromParent_Done,
     /* 1334390 */   // Label 19045: @1334390
     /* 1334390 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1334474), // Rule ID 20009 //
     /* 1334395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1334412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1334451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334473 */     // GIR_Coverage, 20009,
     /* 1334473 */     GIR_EraseRootFromParent_Done,
     /* 1334474 */   // Label 19046: @1334474
     /* 1334474 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1334558), // Rule ID 20012 //
     /* 1334479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334557 */     // GIR_Coverage, 20012,
     /* 1334557 */     GIR_EraseRootFromParent_Done,
     /* 1334558 */   // Label 19047: @1334558
     /* 1334558 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1334642), // Rule ID 20013 //
     /* 1334563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334641 */     // GIR_Coverage, 20013,
     /* 1334641 */     GIR_EraseRootFromParent_Done,
     /* 1334642 */   // Label 19048: @1334642
     /* 1334642 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1334726), // Rule ID 20016 //
     /* 1334647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334725 */     // GIR_Coverage, 20016,
     /* 1334725 */     GIR_EraseRootFromParent_Done,
     /* 1334726 */   // Label 19049: @1334726
     /* 1334726 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1334810), // Rule ID 20017 //
     /* 1334731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334809 */     // GIR_Coverage, 20017,
     /* 1334809 */     GIR_EraseRootFromParent_Done,
     /* 1334810 */   // Label 19050: @1334810
     /* 1334810 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1334894), // Rule ID 20020 //
     /* 1334815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334893 */     // GIR_Coverage, 20020,
     /* 1334893 */     GIR_EraseRootFromParent_Done,
     /* 1334894 */   // Label 19051: @1334894
     /* 1334894 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1334978), // Rule ID 20021 //
     /* 1334899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334977 */     // GIR_Coverage, 20021,
     /* 1334977 */     GIR_EraseRootFromParent_Done,
     /* 1334978 */   // Label 19052: @1334978
     /* 1334978 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1335062), // Rule ID 20024 //
     /* 1334983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1335000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1335003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1335039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335061 */     // GIR_Coverage, 20024,
     /* 1335061 */     GIR_EraseRootFromParent_Done,
     /* 1335062 */   // Label 19053: @1335062
     /* 1335062 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1335146), // Rule ID 20025 //
     /* 1335067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1335084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1335087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1335123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335145 */     // GIR_Coverage, 20025,
     /* 1335145 */     GIR_EraseRootFromParent_Done,
     /* 1335146 */   // Label 19054: @1335146
     /* 1335146 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1335230), // Rule ID 20028 //
     /* 1335151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1335168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1335171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335229 */     // GIR_Coverage, 20028,
     /* 1335229 */     GIR_EraseRootFromParent_Done,
     /* 1335230 */   // Label 19055: @1335230
     /* 1335230 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1335314), // Rule ID 20029 //
     /* 1335235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1335252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1335255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335313 */     // GIR_Coverage, 20029,
     /* 1335313 */     GIR_EraseRootFromParent_Done,
     /* 1335314 */   // Label 19056: @1335314
     /* 1335314 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1335398), // Rule ID 20032 //
     /* 1335319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1335336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1335339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335397 */     // GIR_Coverage, 20032,
     /* 1335397 */     GIR_EraseRootFromParent_Done,
     /* 1335398 */   // Label 19057: @1335398
     /* 1335398 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1335482), // Rule ID 20033 //
     /* 1335403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1335420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1335423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335481 */     // GIR_Coverage, 20033,
     /* 1335481 */     GIR_EraseRootFromParent_Done,
     /* 1335482 */   // Label 19058: @1335482
     /* 1335482 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1335566), // Rule ID 20036 //
     /* 1335487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335565 */     // GIR_Coverage, 20036,
     /* 1335565 */     GIR_EraseRootFromParent_Done,
     /* 1335566 */   // Label 19059: @1335566
     /* 1335566 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1335650), // Rule ID 20037 //
     /* 1335571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335649 */     // GIR_Coverage, 20037,
     /* 1335649 */     GIR_EraseRootFromParent_Done,
     /* 1335650 */   // Label 19060: @1335650
     /* 1335650 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1335734), // Rule ID 20040 //
     /* 1335655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335733 */     // GIR_Coverage, 20040,
     /* 1335733 */     GIR_EraseRootFromParent_Done,
     /* 1335734 */   // Label 19061: @1335734
     /* 1335734 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1335818), // Rule ID 20041 //
     /* 1335739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335817 */     // GIR_Coverage, 20041,
     /* 1335817 */     GIR_EraseRootFromParent_Done,
     /* 1335818 */   // Label 19062: @1335818
     /* 1335818 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1335902), // Rule ID 20044 //
     /* 1335823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335876 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335901 */     // GIR_Coverage, 20044,
     /* 1335901 */     GIR_EraseRootFromParent_Done,
     /* 1335902 */   // Label 19063: @1335902
     /* 1335902 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1335986), // Rule ID 20045 //
     /* 1335907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335985 */     // GIR_Coverage, 20045,
     /* 1335985 */     GIR_EraseRootFromParent_Done,
     /* 1335986 */   // Label 19064: @1335986
     /* 1335986 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1336070), // Rule ID 20048 //
     /* 1335991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1336002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1336005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1336011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336044 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336069 */     // GIR_Coverage, 20048,
     /* 1336069 */     GIR_EraseRootFromParent_Done,
     /* 1336070 */   // Label 19065: @1336070
     /* 1336070 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1336154), // Rule ID 20049 //
     /* 1336075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1336086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1336089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1336095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336128 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336153 */     // GIR_Coverage, 20049,
     /* 1336153 */     GIR_EraseRootFromParent_Done,
     /* 1336154 */   // Label 19066: @1336154
     /* 1336154 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1336238), // Rule ID 20052 //
     /* 1336159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1336176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1336179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336237 */     // GIR_Coverage, 20052,
     /* 1336237 */     GIR_EraseRootFromParent_Done,
     /* 1336238 */   // Label 19067: @1336238
     /* 1336238 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1336322), // Rule ID 20053 //
     /* 1336243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1336260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1336263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336321 */     // GIR_Coverage, 20053,
     /* 1336321 */     GIR_EraseRootFromParent_Done,
     /* 1336322 */   // Label 19068: @1336322
     /* 1336322 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1336406), // Rule ID 20056 //
     /* 1336327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1336344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1336347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336405 */     // GIR_Coverage, 20056,
     /* 1336405 */     GIR_EraseRootFromParent_Done,
     /* 1336406 */   // Label 19069: @1336406
     /* 1336406 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1336490), // Rule ID 20057 //
     /* 1336411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1336428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1336431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336489 */     // GIR_Coverage, 20057,
     /* 1336489 */     GIR_EraseRootFromParent_Done,
     /* 1336490 */   // Label 19070: @1336490
     /* 1336490 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1336574), // Rule ID 20060 //
     /* 1336495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336573 */     // GIR_Coverage, 20060,
     /* 1336573 */     GIR_EraseRootFromParent_Done,
     /* 1336574 */   // Label 19071: @1336574
     /* 1336574 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1336658), // Rule ID 20061 //
     /* 1336579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336632 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336657 */     // GIR_Coverage, 20061,
     /* 1336657 */     GIR_EraseRootFromParent_Done,
     /* 1336658 */   // Label 19072: @1336658
     /* 1336658 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1336742), // Rule ID 20064 //
     /* 1336663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336741 */     // GIR_Coverage, 20064,
     /* 1336741 */     GIR_EraseRootFromParent_Done,
     /* 1336742 */   // Label 19073: @1336742
     /* 1336742 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1336826), // Rule ID 20065 //
     /* 1336747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336825 */     // GIR_Coverage, 20065,
     /* 1336825 */     GIR_EraseRootFromParent_Done,
     /* 1336826 */   // Label 19074: @1336826
     /* 1336826 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1336910), // Rule ID 20068 //
     /* 1336831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336909 */     // GIR_Coverage, 20068,
     /* 1336909 */     GIR_EraseRootFromParent_Done,
     /* 1336910 */   // Label 19075: @1336910
     /* 1336910 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1336994), // Rule ID 20069 //
     /* 1336915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336993 */     // GIR_Coverage, 20069,
     /* 1336993 */     GIR_EraseRootFromParent_Done,
     /* 1336994 */   // Label 19076: @1336994
     /* 1336994 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1337078), // Rule ID 20072 //
     /* 1336999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1337019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1337055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337077 */     // GIR_Coverage, 20072,
     /* 1337077 */     GIR_EraseRootFromParent_Done,
     /* 1337078 */   // Label 19077: @1337078
     /* 1337078 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1337162), // Rule ID 20073 //
     /* 1337083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1337103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1337139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337161 */     // GIR_Coverage, 20073,
     /* 1337161 */     GIR_EraseRootFromParent_Done,
     /* 1337162 */   // Label 19078: @1337162
     /* 1337162 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1337246), // Rule ID 20076 //
     /* 1337167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1337184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1337223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337245 */     // GIR_Coverage, 20076,
     /* 1337245 */     GIR_EraseRootFromParent_Done,
     /* 1337246 */   // Label 19079: @1337246
     /* 1337246 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1337330), // Rule ID 20077 //
     /* 1337251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1337268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1337307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337329 */     // GIR_Coverage, 20077,
     /* 1337329 */     GIR_EraseRootFromParent_Done,
     /* 1337330 */   // Label 19080: @1337330
     /* 1337330 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1337414), // Rule ID 20080 //
     /* 1337335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1337352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1337391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337413 */     // GIR_Coverage, 20080,
     /* 1337413 */     GIR_EraseRootFromParent_Done,
     /* 1337414 */   // Label 19081: @1337414
     /* 1337414 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1337498), // Rule ID 20081 //
     /* 1337419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1337436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1337475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337497 */     // GIR_Coverage, 20081,
     /* 1337497 */     GIR_EraseRootFromParent_Done,
     /* 1337498 */   // Label 19082: @1337498
     /* 1337498 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1337582), // Rule ID 20084 //
     /* 1337503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337581 */     // GIR_Coverage, 20084,
     /* 1337581 */     GIR_EraseRootFromParent_Done,
     /* 1337582 */   // Label 19083: @1337582
     /* 1337582 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1337666), // Rule ID 20085 //
     /* 1337587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337665 */     // GIR_Coverage, 20085,
     /* 1337665 */     GIR_EraseRootFromParent_Done,
     /* 1337666 */   // Label 19084: @1337666
     /* 1337666 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1337750), // Rule ID 20088 //
     /* 1337671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337749 */     // GIR_Coverage, 20088,
     /* 1337749 */     GIR_EraseRootFromParent_Done,
     /* 1337750 */   // Label 19085: @1337750
     /* 1337750 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1337834), // Rule ID 20089 //
     /* 1337755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337833 */     // GIR_Coverage, 20089,
     /* 1337833 */     GIR_EraseRootFromParent_Done,
     /* 1337834 */   // Label 19086: @1337834
     /* 1337834 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1337918), // Rule ID 20092 //
     /* 1337839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337917 */     // GIR_Coverage, 20092,
     /* 1337917 */     GIR_EraseRootFromParent_Done,
     /* 1337918 */   // Label 19087: @1337918
     /* 1337918 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1338002), // Rule ID 20093 //
     /* 1337923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338001 */     // GIR_Coverage, 20093,
     /* 1338001 */     GIR_EraseRootFromParent_Done,
     /* 1338002 */   // Label 19088: @1338002
     /* 1338002 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1338086), // Rule ID 20096 //
     /* 1338007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1338024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1338063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338085 */     // GIR_Coverage, 20096,
     /* 1338085 */     GIR_EraseRootFromParent_Done,
     /* 1338086 */   // Label 19089: @1338086
     /* 1338086 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1338170), // Rule ID 20097 //
     /* 1338091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1338108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1338147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338169 */     // GIR_Coverage, 20097,
     /* 1338169 */     GIR_EraseRootFromParent_Done,
     /* 1338170 */   // Label 19090: @1338170
     /* 1338170 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1338254), // Rule ID 20100 //
     /* 1338175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1338231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338253 */     // GIR_Coverage, 20100,
     /* 1338253 */     GIR_EraseRootFromParent_Done,
     /* 1338254 */   // Label 19091: @1338254
     /* 1338254 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1338338), // Rule ID 20101 //
     /* 1338259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1338315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338337 */     // GIR_Coverage, 20101,
     /* 1338337 */     GIR_EraseRootFromParent_Done,
     /* 1338338 */   // Label 19092: @1338338
     /* 1338338 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1338422), // Rule ID 20104 //
     /* 1338343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338396 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1338399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338421 */     // GIR_Coverage, 20104,
     /* 1338421 */     GIR_EraseRootFromParent_Done,
     /* 1338422 */   // Label 19093: @1338422
     /* 1338422 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1338506), // Rule ID 20105 //
     /* 1338427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1338483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338505 */     // GIR_Coverage, 20105,
     /* 1338505 */     GIR_EraseRootFromParent_Done,
     /* 1338506 */   // Label 19094: @1338506
     /* 1338506 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1338590), // Rule ID 20108 //
     /* 1338511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338564 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338589 */     // GIR_Coverage, 20108,
     /* 1338589 */     GIR_EraseRootFromParent_Done,
     /* 1338590 */   // Label 19095: @1338590
     /* 1338590 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1338674), // Rule ID 20109 //
     /* 1338595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338673 */     // GIR_Coverage, 20109,
     /* 1338673 */     GIR_EraseRootFromParent_Done,
     /* 1338674 */   // Label 19096: @1338674
     /* 1338674 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1338758), // Rule ID 20112 //
     /* 1338679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338757 */     // GIR_Coverage, 20112,
     /* 1338757 */     GIR_EraseRootFromParent_Done,
     /* 1338758 */   // Label 19097: @1338758
     /* 1338758 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1338842), // Rule ID 20113 //
     /* 1338763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338841 */     // GIR_Coverage, 20113,
     /* 1338841 */     GIR_EraseRootFromParent_Done,
     /* 1338842 */   // Label 19098: @1338842
     /* 1338842 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1338926), // Rule ID 20116 //
     /* 1338847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338925 */     // GIR_Coverage, 20116,
     /* 1338925 */     GIR_EraseRootFromParent_Done,
     /* 1338926 */   // Label 19099: @1338926
     /* 1338926 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1339010), // Rule ID 20117 //
     /* 1338931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339009 */     // GIR_Coverage, 20117,
     /* 1339009 */     GIR_EraseRootFromParent_Done,
     /* 1339010 */   // Label 19100: @1339010
     /* 1339010 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1339094), // Rule ID 20120 //
     /* 1339015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339068 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1339071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339093 */     // GIR_Coverage, 20120,
     /* 1339093 */     GIR_EraseRootFromParent_Done,
     /* 1339094 */   // Label 19101: @1339094
     /* 1339094 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1339178), // Rule ID 20121 //
     /* 1339099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1339155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339177 */     // GIR_Coverage, 20121,
     /* 1339177 */     GIR_EraseRootFromParent_Done,
     /* 1339178 */   // Label 19102: @1339178
     /* 1339178 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1339262), // Rule ID 20124 //
     /* 1339183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1339239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339261 */     // GIR_Coverage, 20124,
     /* 1339261 */     GIR_EraseRootFromParent_Done,
     /* 1339262 */   // Label 19103: @1339262
     /* 1339262 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1339346), // Rule ID 20125 //
     /* 1339267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1339323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339345 */     // GIR_Coverage, 20125,
     /* 1339345 */     GIR_EraseRootFromParent_Done,
     /* 1339346 */   // Label 19104: @1339346
     /* 1339346 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1339430), // Rule ID 20128 //
     /* 1339351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1339407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339429 */     // GIR_Coverage, 20128,
     /* 1339429 */     GIR_EraseRootFromParent_Done,
     /* 1339430 */   // Label 19105: @1339430
     /* 1339430 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1339514), // Rule ID 20129 //
     /* 1339435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1339491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339513 */     // GIR_Coverage, 20129,
     /* 1339513 */     GIR_EraseRootFromParent_Done,
     /* 1339514 */   // Label 19106: @1339514
     /* 1339514 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1339598), // Rule ID 20132 //
     /* 1339519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339597 */     // GIR_Coverage, 20132,
     /* 1339597 */     GIR_EraseRootFromParent_Done,
     /* 1339598 */   // Label 19107: @1339598
     /* 1339598 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1339682), // Rule ID 20133 //
     /* 1339603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339681 */     // GIR_Coverage, 20133,
     /* 1339681 */     GIR_EraseRootFromParent_Done,
     /* 1339682 */   // Label 19108: @1339682
     /* 1339682 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1339766), // Rule ID 20136 //
     /* 1339687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339765 */     // GIR_Coverage, 20136,
     /* 1339765 */     GIR_EraseRootFromParent_Done,
     /* 1339766 */   // Label 19109: @1339766
     /* 1339766 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1339850), // Rule ID 20137 //
     /* 1339771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339849 */     // GIR_Coverage, 20137,
     /* 1339849 */     GIR_EraseRootFromParent_Done,
     /* 1339850 */   // Label 19110: @1339850
     /* 1339850 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1339934), // Rule ID 20140 //
     /* 1339855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339933 */     // GIR_Coverage, 20140,
     /* 1339933 */     GIR_EraseRootFromParent_Done,
     /* 1339934 */   // Label 19111: @1339934
     /* 1339934 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1340018), // Rule ID 20141 //
     /* 1339939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340017 */     // GIR_Coverage, 20141,
     /* 1340017 */     GIR_EraseRootFromParent_Done,
     /* 1340018 */   // Label 19112: @1340018
     /* 1340018 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1340102), // Rule ID 20144 //
     /* 1340023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1340079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340101 */     // GIR_Coverage, 20144,
     /* 1340101 */     GIR_EraseRootFromParent_Done,
     /* 1340102 */   // Label 19113: @1340102
     /* 1340102 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1340186), // Rule ID 20145 //
     /* 1340107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1340163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340185 */     // GIR_Coverage, 20145,
     /* 1340185 */     GIR_EraseRootFromParent_Done,
     /* 1340186 */   // Label 19114: @1340186
     /* 1340186 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1340270), // Rule ID 20148 //
     /* 1340191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1340208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1340247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340269 */     // GIR_Coverage, 20148,
     /* 1340269 */     GIR_EraseRootFromParent_Done,
     /* 1340270 */   // Label 19115: @1340270
     /* 1340270 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1340354), // Rule ID 20149 //
     /* 1340275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1340292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1340331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340353 */     // GIR_Coverage, 20149,
     /* 1340353 */     GIR_EraseRootFromParent_Done,
     /* 1340354 */   // Label 19116: @1340354
     /* 1340354 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1340438), // Rule ID 20152 //
     /* 1340359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1340376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1340415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340437 */     // GIR_Coverage, 20152,
     /* 1340437 */     GIR_EraseRootFromParent_Done,
     /* 1340438 */   // Label 19117: @1340438
     /* 1340438 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1340522), // Rule ID 20153 //
     /* 1340443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1340460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1340499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340521 */     // GIR_Coverage, 20153,
     /* 1340521 */     GIR_EraseRootFromParent_Done,
     /* 1340522 */   // Label 19118: @1340522
     /* 1340522 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1340606), // Rule ID 20156 //
     /* 1340527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340605 */     // GIR_Coverage, 20156,
     /* 1340605 */     GIR_EraseRootFromParent_Done,
     /* 1340606 */   // Label 19119: @1340606
     /* 1340606 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1340690), // Rule ID 20157 //
     /* 1340611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340689 */     // GIR_Coverage, 20157,
     /* 1340689 */     GIR_EraseRootFromParent_Done,
     /* 1340690 */   // Label 19120: @1340690
     /* 1340690 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1340774), // Rule ID 20160 //
     /* 1340695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340773 */     // GIR_Coverage, 20160,
     /* 1340773 */     GIR_EraseRootFromParent_Done,
     /* 1340774 */   // Label 19121: @1340774
     /* 1340774 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1340858), // Rule ID 20161 //
     /* 1340779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340857 */     // GIR_Coverage, 20161,
     /* 1340857 */     GIR_EraseRootFromParent_Done,
     /* 1340858 */   // Label 19122: @1340858
     /* 1340858 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1340942), // Rule ID 20164 //
     /* 1340863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340916 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1340919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340941 */     // GIR_Coverage, 20164,
     /* 1340941 */     GIR_EraseRootFromParent_Done,
     /* 1340942 */   // Label 19123: @1340942
     /* 1340942 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1341026), // Rule ID 20165 //
     /* 1340947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1341003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341025 */     // GIR_Coverage, 20165,
     /* 1341025 */     GIR_EraseRootFromParent_Done,
     /* 1341026 */   // Label 19124: @1341026
     /* 1341026 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1341110), // Rule ID 20168 //
     /* 1341031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1341042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1341045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1341048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1341054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341084 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1341087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341109 */     // GIR_Coverage, 20168,
     /* 1341109 */     GIR_EraseRootFromParent_Done,
     /* 1341110 */   // Label 19125: @1341110
     /* 1341110 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1341194), // Rule ID 20169 //
     /* 1341115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1341126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1341129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1341132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1341138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341168 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1341171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341193 */     // GIR_Coverage, 20169,
     /* 1341193 */     GIR_EraseRootFromParent_Done,
     /* 1341194 */   // Label 19126: @1341194
     /* 1341194 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1341278), // Rule ID 20172 //
     /* 1341199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1341216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1341255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341277 */     // GIR_Coverage, 20172,
     /* 1341277 */     GIR_EraseRootFromParent_Done,
     /* 1341278 */   // Label 19127: @1341278
     /* 1341278 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1341362), // Rule ID 20173 //
     /* 1341283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1341300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1341339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341361 */     // GIR_Coverage, 20173,
     /* 1341361 */     GIR_EraseRootFromParent_Done,
     /* 1341362 */   // Label 19128: @1341362
     /* 1341362 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1341446), // Rule ID 20176 //
     /* 1341367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1341384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1341423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341445 */     // GIR_Coverage, 20176,
     /* 1341445 */     GIR_EraseRootFromParent_Done,
     /* 1341446 */   // Label 19129: @1341446
     /* 1341446 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1341530), // Rule ID 20177 //
     /* 1341451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1341468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1341507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341529 */     // GIR_Coverage, 20177,
     /* 1341529 */     GIR_EraseRootFromParent_Done,
     /* 1341530 */   // Label 19130: @1341530
     /* 1341530 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1341614), // Rule ID 20180 //
     /* 1341535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341613 */     // GIR_Coverage, 20180,
     /* 1341613 */     GIR_EraseRootFromParent_Done,
     /* 1341614 */   // Label 19131: @1341614
     /* 1341614 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1341698), // Rule ID 20181 //
     /* 1341619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341672 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341697 */     // GIR_Coverage, 20181,
     /* 1341697 */     GIR_EraseRootFromParent_Done,
     /* 1341698 */   // Label 19132: @1341698
     /* 1341698 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1341782), // Rule ID 20184 //
     /* 1341703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341756 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341781 */     // GIR_Coverage, 20184,
     /* 1341781 */     GIR_EraseRootFromParent_Done,
     /* 1341782 */   // Label 19133: @1341782
     /* 1341782 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1341866), // Rule ID 20185 //
     /* 1341787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341865 */     // GIR_Coverage, 20185,
     /* 1341865 */     GIR_EraseRootFromParent_Done,
     /* 1341866 */   // Label 19134: @1341866
     /* 1341866 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1341950), // Rule ID 20188 //
     /* 1341871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1341927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341949 */     // GIR_Coverage, 20188,
     /* 1341949 */     GIR_EraseRootFromParent_Done,
     /* 1341950 */   // Label 19135: @1341950
     /* 1341950 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1342034), // Rule ID 20189 //
     /* 1341955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1342011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342033 */     // GIR_Coverage, 20189,
     /* 1342033 */     GIR_EraseRootFromParent_Done,
     /* 1342034 */   // Label 19136: @1342034
     /* 1342034 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1342118), // Rule ID 20192 //
     /* 1342039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1342047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1342056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1342095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342117 */     // GIR_Coverage, 20192,
     /* 1342117 */     GIR_EraseRootFromParent_Done,
     /* 1342118 */   // Label 19137: @1342118
     /* 1342118 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1342202), // Rule ID 20193 //
     /* 1342123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1342131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1342140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1342179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342201 */     // GIR_Coverage, 20193,
     /* 1342201 */     GIR_EraseRootFromParent_Done,
     /* 1342202 */   // Label 19138: @1342202
     /* 1342202 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1342286), // Rule ID 20196 //
     /* 1342207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1342224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1342263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342285 */     // GIR_Coverage, 20196,
     /* 1342285 */     GIR_EraseRootFromParent_Done,
     /* 1342286 */   // Label 19139: @1342286
     /* 1342286 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1342370), // Rule ID 20197 //
     /* 1342291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1342308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1342347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342369 */     // GIR_Coverage, 20197,
     /* 1342369 */     GIR_EraseRootFromParent_Done,
     /* 1342370 */   // Label 19140: @1342370
     /* 1342370 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1342454), // Rule ID 20200 //
     /* 1342375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1342392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1342431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342453 */     // GIR_Coverage, 20200,
     /* 1342453 */     GIR_EraseRootFromParent_Done,
     /* 1342454 */   // Label 19141: @1342454
     /* 1342454 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1342538), // Rule ID 20201 //
     /* 1342459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1342476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1342515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342537 */     // GIR_Coverage, 20201,
     /* 1342537 */     GIR_EraseRootFromParent_Done,
     /* 1342538 */   // Label 19142: @1342538
     /* 1342538 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1342622), // Rule ID 20204 //
     /* 1342543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342621 */     // GIR_Coverage, 20204,
     /* 1342621 */     GIR_EraseRootFromParent_Done,
     /* 1342622 */   // Label 19143: @1342622
     /* 1342622 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1342706), // Rule ID 20205 //
     /* 1342627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342705 */     // GIR_Coverage, 20205,
     /* 1342705 */     GIR_EraseRootFromParent_Done,
     /* 1342706 */   // Label 19144: @1342706
     /* 1342706 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1342790), // Rule ID 20208 //
     /* 1342711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342789 */     // GIR_Coverage, 20208,
     /* 1342789 */     GIR_EraseRootFromParent_Done,
     /* 1342790 */   // Label 19145: @1342790
     /* 1342790 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1342874), // Rule ID 20209 //
     /* 1342795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342873 */     // GIR_Coverage, 20209,
     /* 1342873 */     GIR_EraseRootFromParent_Done,
     /* 1342874 */   // Label 19146: @1342874
     /* 1342874 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1342958), // Rule ID 20212 //
     /* 1342879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1342935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342957 */     // GIR_Coverage, 20212,
     /* 1342957 */     GIR_EraseRootFromParent_Done,
     /* 1342958 */   // Label 19147: @1342958
     /* 1342958 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1343042), // Rule ID 20213 //
     /* 1342963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1343019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343041 */     // GIR_Coverage, 20213,
     /* 1343041 */     GIR_EraseRootFromParent_Done,
     /* 1343042 */   // Label 19148: @1343042
     /* 1343042 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1343126), // Rule ID 20216 //
     /* 1343047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1343064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1343103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343125 */     // GIR_Coverage, 20216,
     /* 1343125 */     GIR_EraseRootFromParent_Done,
     /* 1343126 */   // Label 19149: @1343126
     /* 1343126 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1343210), // Rule ID 20217 //
     /* 1343131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1343148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1343187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343209 */     // GIR_Coverage, 20217,
     /* 1343209 */     GIR_EraseRootFromParent_Done,
     /* 1343210 */   // Label 19150: @1343210
     /* 1343210 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1343294), // Rule ID 20220 //
     /* 1343215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1343232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1343271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343293 */     // GIR_Coverage, 20220,
     /* 1343293 */     GIR_EraseRootFromParent_Done,
     /* 1343294 */   // Label 19151: @1343294
     /* 1343294 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1343378), // Rule ID 20221 //
     /* 1343299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1343316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1343355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343377 */     // GIR_Coverage, 20221,
     /* 1343377 */     GIR_EraseRootFromParent_Done,
     /* 1343378 */   // Label 19152: @1343378
     /* 1343378 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1343462), // Rule ID 20224 //
     /* 1343383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343436 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343461 */     // GIR_Coverage, 20224,
     /* 1343461 */     GIR_EraseRootFromParent_Done,
     /* 1343462 */   // Label 19153: @1343462
     /* 1343462 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1343546), // Rule ID 20225 //
     /* 1343467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343545 */     // GIR_Coverage, 20225,
     /* 1343545 */     GIR_EraseRootFromParent_Done,
     /* 1343546 */   // Label 19154: @1343546
     /* 1343546 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1343630), // Rule ID 20228 //
     /* 1343551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343604 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343629 */     // GIR_Coverage, 20228,
     /* 1343629 */     GIR_EraseRootFromParent_Done,
     /* 1343630 */   // Label 19155: @1343630
     /* 1343630 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1343714), // Rule ID 20229 //
     /* 1343635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343688 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343713 */     // GIR_Coverage, 20229,
     /* 1343713 */     GIR_EraseRootFromParent_Done,
     /* 1343714 */   // Label 19156: @1343714
     /* 1343714 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1343798), // Rule ID 20232 //
     /* 1343719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343797 */     // GIR_Coverage, 20232,
     /* 1343797 */     GIR_EraseRootFromParent_Done,
     /* 1343798 */   // Label 19157: @1343798
     /* 1343798 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1343882), // Rule ID 20233 //
     /* 1343803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343881 */     // GIR_Coverage, 20233,
     /* 1343881 */     GIR_EraseRootFromParent_Done,
     /* 1343882 */   // Label 19158: @1343882
     /* 1343882 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1343966), // Rule ID 20236 //
     /* 1343887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1343943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343965 */     // GIR_Coverage, 20236,
     /* 1343965 */     GIR_EraseRootFromParent_Done,
     /* 1343966 */   // Label 19159: @1343966
     /* 1343966 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1344050), // Rule ID 20237 //
     /* 1343971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1344027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344049 */     // GIR_Coverage, 20237,
     /* 1344049 */     GIR_EraseRootFromParent_Done,
     /* 1344050 */   // Label 19160: @1344050
     /* 1344050 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1344134), // Rule ID 20240 //
     /* 1344055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1344072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1344111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344133 */     // GIR_Coverage, 20240,
     /* 1344133 */     GIR_EraseRootFromParent_Done,
     /* 1344134 */   // Label 19161: @1344134
     /* 1344134 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1344218), // Rule ID 20241 //
     /* 1344139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1344156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1344195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344217 */     // GIR_Coverage, 20241,
     /* 1344217 */     GIR_EraseRootFromParent_Done,
     /* 1344218 */   // Label 19162: @1344218
     /* 1344218 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1344302), // Rule ID 20244 //
     /* 1344223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1344240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1344279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344301 */     // GIR_Coverage, 20244,
     /* 1344301 */     GIR_EraseRootFromParent_Done,
     /* 1344302 */   // Label 19163: @1344302
     /* 1344302 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1344386), // Rule ID 20245 //
     /* 1344307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1344324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344360 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1344363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344385 */     // GIR_Coverage, 20245,
     /* 1344385 */     GIR_EraseRootFromParent_Done,
     /* 1344386 */   // Label 19164: @1344386
     /* 1344386 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1344470), // Rule ID 20248 //
     /* 1344391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344469 */     // GIR_Coverage, 20248,
     /* 1344469 */     GIR_EraseRootFromParent_Done,
     /* 1344470 */   // Label 19165: @1344470
     /* 1344470 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1344554), // Rule ID 20249 //
     /* 1344475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344553 */     // GIR_Coverage, 20249,
     /* 1344553 */     GIR_EraseRootFromParent_Done,
     /* 1344554 */   // Label 19166: @1344554
     /* 1344554 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1344638), // Rule ID 20252 //
     /* 1344559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344637 */     // GIR_Coverage, 20252,
     /* 1344637 */     GIR_EraseRootFromParent_Done,
     /* 1344638 */   // Label 19167: @1344638
     /* 1344638 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1344722), // Rule ID 20253 //
     /* 1344643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344721 */     // GIR_Coverage, 20253,
     /* 1344721 */     GIR_EraseRootFromParent_Done,
     /* 1344722 */   // Label 19168: @1344722
     /* 1344722 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1344806), // Rule ID 20256 //
     /* 1344727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344805 */     // GIR_Coverage, 20256,
     /* 1344805 */     GIR_EraseRootFromParent_Done,
     /* 1344806 */   // Label 19169: @1344806
     /* 1344806 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1344890), // Rule ID 20257 //
     /* 1344811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344889 */     // GIR_Coverage, 20257,
     /* 1344889 */     GIR_EraseRootFromParent_Done,
     /* 1344890 */   // Label 19170: @1344890
     /* 1344890 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1344974), // Rule ID 20260 //
     /* 1344895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344973 */     // GIR_Coverage, 20260,
     /* 1344973 */     GIR_EraseRootFromParent_Done,
     /* 1344974 */   // Label 19171: @1344974
     /* 1344974 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1345058), // Rule ID 20261 //
     /* 1344979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1345035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345057 */     // GIR_Coverage, 20261,
     /* 1345057 */     GIR_EraseRootFromParent_Done,
     /* 1345058 */   // Label 19172: @1345058
     /* 1345058 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1345142), // Rule ID 20264 //
     /* 1345063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1345083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1345119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345141 */     // GIR_Coverage, 20264,
     /* 1345141 */     GIR_EraseRootFromParent_Done,
     /* 1345142 */   // Label 19173: @1345142
     /* 1345142 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1345226), // Rule ID 20265 //
     /* 1345147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1345167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1345203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345225 */     // GIR_Coverage, 20265,
     /* 1345225 */     GIR_EraseRootFromParent_Done,
     /* 1345226 */   // Label 19174: @1345226
     /* 1345226 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1345310), // Rule ID 20268 //
     /* 1345231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1345251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345309 */     // GIR_Coverage, 20268,
     /* 1345309 */     GIR_EraseRootFromParent_Done,
     /* 1345310 */   // Label 19175: @1345310
     /* 1345310 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1345394), // Rule ID 20269 //
     /* 1345315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1345335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345393 */     // GIR_Coverage, 20269,
     /* 1345393 */     GIR_EraseRootFromParent_Done,
     /* 1345394 */   // Label 19176: @1345394
     /* 1345394 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1345478), // Rule ID 20272 //
     /* 1345399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345477 */     // GIR_Coverage, 20272,
     /* 1345477 */     GIR_EraseRootFromParent_Done,
     /* 1345478 */   // Label 19177: @1345478
     /* 1345478 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1345562), // Rule ID 20273 //
     /* 1345483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345561 */     // GIR_Coverage, 20273,
     /* 1345561 */     GIR_EraseRootFromParent_Done,
     /* 1345562 */   // Label 19178: @1345562
     /* 1345562 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1345646), // Rule ID 20276 //
     /* 1345567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345645 */     // GIR_Coverage, 20276,
     /* 1345645 */     GIR_EraseRootFromParent_Done,
     /* 1345646 */   // Label 19179: @1345646
     /* 1345646 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1345730), // Rule ID 20277 //
     /* 1345651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345729 */     // GIR_Coverage, 20277,
     /* 1345729 */     GIR_EraseRootFromParent_Done,
     /* 1345730 */   // Label 19180: @1345730
     /* 1345730 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1345814), // Rule ID 20280 //
     /* 1345735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345813 */     // GIR_Coverage, 20280,
     /* 1345813 */     GIR_EraseRootFromParent_Done,
     /* 1345814 */   // Label 19181: @1345814
     /* 1345814 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1345898), // Rule ID 20281 //
     /* 1345819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345897 */     // GIR_Coverage, 20281,
     /* 1345897 */     GIR_EraseRootFromParent_Done,
     /* 1345898 */   // Label 19182: @1345898
     /* 1345898 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1345982), // Rule ID 20284 //
     /* 1345903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345956 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345981 */     // GIR_Coverage, 20284,
     /* 1345981 */     GIR_EraseRootFromParent_Done,
     /* 1345982 */   // Label 19183: @1345982
     /* 1345982 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1346066), // Rule ID 20285 //
     /* 1345987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1346004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1346007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346065 */     // GIR_Coverage, 20285,
     /* 1346065 */     GIR_EraseRootFromParent_Done,
     /* 1346066 */   // Label 19184: @1346066
     /* 1346066 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1346150), // Rule ID 20288 //
     /* 1346071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1346082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1346085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346124 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346149 */     // GIR_Coverage, 20288,
     /* 1346149 */     GIR_EraseRootFromParent_Done,
     /* 1346150 */   // Label 19185: @1346150
     /* 1346150 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1346234), // Rule ID 20289 //
     /* 1346155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1346166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1346169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346208 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346233 */     // GIR_Coverage, 20289,
     /* 1346233 */     GIR_EraseRootFromParent_Done,
     /* 1346234 */   // Label 19186: @1346234
     /* 1346234 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1346318), // Rule ID 20292 //
     /* 1346239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1346259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346317 */     // GIR_Coverage, 20292,
     /* 1346317 */     GIR_EraseRootFromParent_Done,
     /* 1346318 */   // Label 19187: @1346318
     /* 1346318 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1346402), // Rule ID 20293 //
     /* 1346323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1346343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346401 */     // GIR_Coverage, 20293,
     /* 1346401 */     GIR_EraseRootFromParent_Done,
     /* 1346402 */   // Label 19188: @1346402
     /* 1346402 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1346486), // Rule ID 20296 //
     /* 1346407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346485 */     // GIR_Coverage, 20296,
     /* 1346485 */     GIR_EraseRootFromParent_Done,
     /* 1346486 */   // Label 19189: @1346486
     /* 1346486 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1346570), // Rule ID 20297 //
     /* 1346491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346569 */     // GIR_Coverage, 20297,
     /* 1346569 */     GIR_EraseRootFromParent_Done,
     /* 1346570 */   // Label 19190: @1346570
     /* 1346570 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1346654), // Rule ID 20300 //
     /* 1346575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346653 */     // GIR_Coverage, 20300,
     /* 1346653 */     GIR_EraseRootFromParent_Done,
     /* 1346654 */   // Label 19191: @1346654
     /* 1346654 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1346738), // Rule ID 20301 //
     /* 1346659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346737 */     // GIR_Coverage, 20301,
     /* 1346737 */     GIR_EraseRootFromParent_Done,
     /* 1346738 */   // Label 19192: @1346738
     /* 1346738 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1346822), // Rule ID 20304 //
     /* 1346743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346821 */     // GIR_Coverage, 20304,
     /* 1346821 */     GIR_EraseRootFromParent_Done,
     /* 1346822 */   // Label 19193: @1346822
     /* 1346822 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1346906), // Rule ID 20305 //
     /* 1346827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346905 */     // GIR_Coverage, 20305,
     /* 1346905 */     GIR_EraseRootFromParent_Done,
     /* 1346906 */   // Label 19194: @1346906
     /* 1346906 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1346990), // Rule ID 20308 //
     /* 1346911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1346931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346989 */     // GIR_Coverage, 20308,
     /* 1346989 */     GIR_EraseRootFromParent_Done,
     /* 1346990 */   // Label 19195: @1346990
     /* 1346990 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1347074), // Rule ID 20309 //
     /* 1346995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1347051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347073 */     // GIR_Coverage, 20309,
     /* 1347073 */     GIR_EraseRootFromParent_Done,
     /* 1347074 */   // Label 19196: @1347074
     /* 1347074 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1347158), // Rule ID 20312 //
     /* 1347079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1347096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1347099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1347135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347157 */     // GIR_Coverage, 20312,
     /* 1347157 */     GIR_EraseRootFromParent_Done,
     /* 1347158 */   // Label 19197: @1347158
     /* 1347158 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1347242), // Rule ID 20313 //
     /* 1347163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1347180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1347183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1347219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347241 */     // GIR_Coverage, 20313,
     /* 1347241 */     GIR_EraseRootFromParent_Done,
     /* 1347242 */   // Label 19198: @1347242
     /* 1347242 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1347326), // Rule ID 20316 //
     /* 1347247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1347264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1347267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1347303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347325 */     // GIR_Coverage, 20316,
     /* 1347325 */     GIR_EraseRootFromParent_Done,
     /* 1347326 */   // Label 19199: @1347326
     /* 1347326 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1347410), // Rule ID 20317 //
     /* 1347331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1347348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1347351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1347387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347409 */     // GIR_Coverage, 20317,
     /* 1347409 */     GIR_EraseRootFromParent_Done,
     /* 1347410 */   // Label 19200: @1347410
     /* 1347410 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1347494), // Rule ID 20320 //
     /* 1347415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1347432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1347435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347468 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347493 */     // GIR_Coverage, 20320,
     /* 1347493 */     GIR_EraseRootFromParent_Done,
     /* 1347494 */   // Label 19201: @1347494
     /* 1347494 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1347578), // Rule ID 20321 //
     /* 1347499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1347516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1347519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347577 */     // GIR_Coverage, 20321,
     /* 1347577 */     GIR_EraseRootFromParent_Done,
     /* 1347578 */   // Label 19202: @1347578
     /* 1347578 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1347662), // Rule ID 20324 //
     /* 1347583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347661 */     // GIR_Coverage, 20324,
     /* 1347661 */     GIR_EraseRootFromParent_Done,
     /* 1347662 */   // Label 19203: @1347662
     /* 1347662 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1347746), // Rule ID 20325 //
     /* 1347667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347745 */     // GIR_Coverage, 20325,
     /* 1347745 */     GIR_EraseRootFromParent_Done,
     /* 1347746 */   // Label 19204: @1347746
     /* 1347746 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1347830), // Rule ID 20328 //
     /* 1347751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347829 */     // GIR_Coverage, 20328,
     /* 1347829 */     GIR_EraseRootFromParent_Done,
     /* 1347830 */   // Label 19205: @1347830
     /* 1347830 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1347914), // Rule ID 20329 //
     /* 1347835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347913 */     // GIR_Coverage, 20329,
     /* 1347913 */     GIR_EraseRootFromParent_Done,
     /* 1347914 */   // Label 19206: @1347914
     /* 1347914 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1347998), // Rule ID 20332 //
     /* 1347919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347997 */     // GIR_Coverage, 20332,
     /* 1347997 */     GIR_EraseRootFromParent_Done,
     /* 1347998 */   // Label 19207: @1347998
     /* 1347998 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1348082), // Rule ID 20333 //
     /* 1348003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1348020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1348023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1348059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348081 */     // GIR_Coverage, 20333,
     /* 1348081 */     GIR_EraseRootFromParent_Done,
     /* 1348082 */   // Label 19208: @1348082
     /* 1348082 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1348166), // Rule ID 20336 //
     /* 1348087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1348104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1348107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1348143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348165 */     // GIR_Coverage, 20336,
     /* 1348165 */     GIR_EraseRootFromParent_Done,
     /* 1348166 */   // Label 19209: @1348166
     /* 1348166 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1348250), // Rule ID 20337 //
     /* 1348171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1348188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1348191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1348227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348249 */     // GIR_Coverage, 20337,
     /* 1348249 */     GIR_EraseRootFromParent_Done,
     /* 1348250 */   // Label 19210: @1348250
     /* 1348250 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1348334), // Rule ID 20340 //
     /* 1348255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1348272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1348275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348333 */     // GIR_Coverage, 20340,
     /* 1348333 */     GIR_EraseRootFromParent_Done,
     /* 1348334 */   // Label 19211: @1348334
     /* 1348334 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1348418), // Rule ID 20341 //
     /* 1348339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1348356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1348359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348417 */     // GIR_Coverage, 20341,
     /* 1348417 */     GIR_EraseRootFromParent_Done,
     /* 1348418 */   // Label 19212: @1348418
     /* 1348418 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1348502), // Rule ID 20344 //
     /* 1348423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348476 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348501 */     // GIR_Coverage, 20344,
     /* 1348501 */     GIR_EraseRootFromParent_Done,
     /* 1348502 */   // Label 19213: @1348502
     /* 1348502 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1348586), // Rule ID 20345 //
     /* 1348507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348585 */     // GIR_Coverage, 20345,
     /* 1348585 */     GIR_EraseRootFromParent_Done,
     /* 1348586 */   // Label 19214: @1348586
     /* 1348586 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1348670), // Rule ID 20348 //
     /* 1348591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348644 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348669 */     // GIR_Coverage, 20348,
     /* 1348669 */     GIR_EraseRootFromParent_Done,
     /* 1348670 */   // Label 19215: @1348670
     /* 1348670 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1348754), // Rule ID 20349 //
     /* 1348675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348728 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348753 */     // GIR_Coverage, 20349,
     /* 1348753 */     GIR_EraseRootFromParent_Done,
     /* 1348754 */   // Label 19216: @1348754
     /* 1348754 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1348838), // Rule ID 20352 //
     /* 1348759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348837 */     // GIR_Coverage, 20352,
     /* 1348837 */     GIR_EraseRootFromParent_Done,
     /* 1348838 */   // Label 19217: @1348838
     /* 1348838 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1348922), // Rule ID 20353 //
     /* 1348843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348921 */     // GIR_Coverage, 20353,
     /* 1348921 */     GIR_EraseRootFromParent_Done,
     /* 1348922 */   // Label 19218: @1348922
     /* 1348922 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1349006), // Rule ID 20356 //
     /* 1348927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1348947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349005 */     // GIR_Coverage, 20356,
     /* 1349005 */     GIR_EraseRootFromParent_Done,
     /* 1349006 */   // Label 19219: @1349006
     /* 1349006 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1349090), // Rule ID 20357 //
     /* 1349011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1349028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1349031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349089 */     // GIR_Coverage, 20357,
     /* 1349089 */     GIR_EraseRootFromParent_Done,
     /* 1349090 */   // Label 19220: @1349090
     /* 1349090 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1349174), // Rule ID 20360 //
     /* 1349095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1349112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1349115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349173 */     // GIR_Coverage, 20360,
     /* 1349173 */     GIR_EraseRootFromParent_Done,
     /* 1349174 */   // Label 19221: @1349174
     /* 1349174 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1349258), // Rule ID 20361 //
     /* 1349179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1349196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1349199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349257 */     // GIR_Coverage, 20361,
     /* 1349257 */     GIR_EraseRootFromParent_Done,
     /* 1349258 */   // Label 19222: @1349258
     /* 1349258 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1349342), // Rule ID 20364 //
     /* 1349263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1349280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1349283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1349319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349341 */     // GIR_Coverage, 20364,
     /* 1349341 */     GIR_EraseRootFromParent_Done,
     /* 1349342 */   // Label 19223: @1349342
     /* 1349342 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1349426), // Rule ID 20365 //
     /* 1349347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1349364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1349367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1349403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349425 */     // GIR_Coverage, 20365,
     /* 1349425 */     GIR_EraseRootFromParent_Done,
     /* 1349426 */   // Label 19224: @1349426
     /* 1349426 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1349510), // Rule ID 20368 //
     /* 1349431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349509 */     // GIR_Coverage, 20368,
     /* 1349509 */     GIR_EraseRootFromParent_Done,
     /* 1349510 */   // Label 19225: @1349510
     /* 1349510 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1349594), // Rule ID 20369 //
     /* 1349515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349593 */     // GIR_Coverage, 20369,
     /* 1349593 */     GIR_EraseRootFromParent_Done,
     /* 1349594 */   // Label 19226: @1349594
     /* 1349594 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1349678), // Rule ID 20372 //
     /* 1349599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349677 */     // GIR_Coverage, 20372,
     /* 1349677 */     GIR_EraseRootFromParent_Done,
     /* 1349678 */   // Label 19227: @1349678
     /* 1349678 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1349762), // Rule ID 20373 //
     /* 1349683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349761 */     // GIR_Coverage, 20373,
     /* 1349761 */     GIR_EraseRootFromParent_Done,
     /* 1349762 */   // Label 19228: @1349762
     /* 1349762 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1349843), // Rule ID 20430 //
     /* 1349767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1349770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349820 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349842 */     // GIR_Coverage, 20430,
     /* 1349842 */     GIR_EraseRootFromParent_Done,
     /* 1349843 */   // Label 19229: @1349843
     /* 1349843 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1349924), // Rule ID 20431 //
     /* 1349848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1349851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349901 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349923 */     // GIR_Coverage, 20431,
     /* 1349923 */     GIR_EraseRootFromParent_Done,
     /* 1349924 */   // Label 19230: @1349924
     /* 1349924 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1350005), // Rule ID 20432 //
     /* 1349929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1349985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350004 */     // GIR_Coverage, 20432,
     /* 1350004 */     GIR_EraseRootFromParent_Done,
     /* 1350005 */   // Label 19231: @1350005
     /* 1350005 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1350086), // Rule ID 20433 //
     /* 1350010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1350021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1350024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1350027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350063 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1350066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350085 */     // GIR_Coverage, 20433,
     /* 1350085 */     GIR_EraseRootFromParent_Done,
     /* 1350086 */   // Label 19232: @1350086
     /* 1350086 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1350167), // Rule ID 20434 //
     /* 1350091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1350111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350144 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350166 */     // GIR_Coverage, 20434,
     /* 1350166 */     GIR_EraseRootFromParent_Done,
     /* 1350167 */   // Label 19233: @1350167
     /* 1350167 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1350248), // Rule ID 20435 //
     /* 1350172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1350192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350225 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350247 */     // GIR_Coverage, 20435,
     /* 1350247 */     GIR_EraseRootFromParent_Done,
     /* 1350248 */   // Label 19234: @1350248
     /* 1350248 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1350329), // Rule ID 20436 //
     /* 1350253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350306 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1350309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350328 */     // GIR_Coverage, 20436,
     /* 1350328 */     GIR_EraseRootFromParent_Done,
     /* 1350329 */   // Label 19235: @1350329
     /* 1350329 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1350410), // Rule ID 20437 //
     /* 1350334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350387 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1350390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350409 */     // GIR_Coverage, 20437,
     /* 1350409 */     GIR_EraseRootFromParent_Done,
     /* 1350410 */   // Label 19236: @1350410
     /* 1350410 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1350491), // Rule ID 20438 //
     /* 1350415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1350435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350468 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350490 */     // GIR_Coverage, 20438,
     /* 1350490 */     GIR_EraseRootFromParent_Done,
     /* 1350491 */   // Label 19237: @1350491
     /* 1350491 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1350572), // Rule ID 20439 //
     /* 1350496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1350516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350549 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350571 */     // GIR_Coverage, 20439,
     /* 1350571 */     GIR_EraseRootFromParent_Done,
     /* 1350572 */   // Label 19238: @1350572
     /* 1350572 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1350653), // Rule ID 20440 //
     /* 1350577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350630 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350652 */     // GIR_Coverage, 20440,
     /* 1350652 */     GIR_EraseRootFromParent_Done,
     /* 1350653 */   // Label 19239: @1350653
     /* 1350653 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1350734), // Rule ID 20441 //
     /* 1350658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350711 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350733 */     // GIR_Coverage, 20441,
     /* 1350733 */     GIR_EraseRootFromParent_Done,
     /* 1350734 */   // Label 19240: @1350734
     /* 1350734 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1350815), // Rule ID 20442 //
     /* 1350739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350792 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350814 */     // GIR_Coverage, 20442,
     /* 1350814 */     GIR_EraseRootFromParent_Done,
     /* 1350815 */   // Label 19241: @1350815
     /* 1350815 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1350896), // Rule ID 20443 //
     /* 1350820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350873 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350895 */     // GIR_Coverage, 20443,
     /* 1350895 */     GIR_EraseRootFromParent_Done,
     /* 1350896 */   // Label 19242: @1350896
     /* 1350896 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1350977), // Rule ID 20444 //
     /* 1350901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350954 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1350957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350976 */     // GIR_Coverage, 20444,
     /* 1350976 */     GIR_EraseRootFromParent_Done,
     /* 1350977 */   // Label 19243: @1350977
     /* 1350977 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1351058), // Rule ID 20445 //
     /* 1350982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351035 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1351038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351057 */     // GIR_Coverage, 20445,
     /* 1351057 */     GIR_EraseRootFromParent_Done,
     /* 1351058 */   // Label 19244: @1351058
     /* 1351058 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1351139), // Rule ID 20446 //
     /* 1351063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351116 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351138 */     // GIR_Coverage, 20446,
     /* 1351138 */     GIR_EraseRootFromParent_Done,
     /* 1351139 */   // Label 19245: @1351139
     /* 1351139 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1351220), // Rule ID 20447 //
     /* 1351144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351197 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351219 */     // GIR_Coverage, 20447,
     /* 1351219 */     GIR_EraseRootFromParent_Done,
     /* 1351220 */   // Label 19246: @1351220
     /* 1351220 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1351301), // Rule ID 20448 //
     /* 1351225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351278 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1351281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351300 */     // GIR_Coverage, 20448,
     /* 1351300 */     GIR_EraseRootFromParent_Done,
     /* 1351301 */   // Label 19247: @1351301
     /* 1351301 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1351382), // Rule ID 20449 //
     /* 1351306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351359 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1351362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351381 */     // GIR_Coverage, 20449,
     /* 1351381 */     GIR_EraseRootFromParent_Done,
     /* 1351382 */   // Label 19248: @1351382
     /* 1351382 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1351463), // Rule ID 20450 //
     /* 1351387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351440 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351462 */     // GIR_Coverage, 20450,
     /* 1351462 */     GIR_EraseRootFromParent_Done,
     /* 1351463 */   // Label 19249: @1351463
     /* 1351463 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1351544), // Rule ID 20451 //
     /* 1351468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351521 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351543 */     // GIR_Coverage, 20451,
     /* 1351543 */     GIR_EraseRootFromParent_Done,
     /* 1351544 */   // Label 19250: @1351544
     /* 1351544 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1351625), // Rule ID 20452 //
     /* 1351549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351602 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351624 */     // GIR_Coverage, 20452,
     /* 1351624 */     GIR_EraseRootFromParent_Done,
     /* 1351625 */   // Label 19251: @1351625
     /* 1351625 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1351706), // Rule ID 20453 //
     /* 1351630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351683 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351705 */     // GIR_Coverage, 20453,
     /* 1351705 */     GIR_EraseRootFromParent_Done,
     /* 1351706 */   // Label 19252: @1351706
     /* 1351706 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1351787), // Rule ID 20454 //
     /* 1351711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351764 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351786 */     // GIR_Coverage, 20454,
     /* 1351786 */     GIR_EraseRootFromParent_Done,
     /* 1351787 */   // Label 19253: @1351787
     /* 1351787 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1351868), // Rule ID 20455 //
     /* 1351792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1351795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351845 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351867 */     // GIR_Coverage, 20455,
     /* 1351867 */     GIR_EraseRootFromParent_Done,
     /* 1351868 */   // Label 19254: @1351868
     /* 1351868 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1351949), // Rule ID 20456 //
     /* 1351873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351926 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1351929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351948 */     // GIR_Coverage, 20456,
     /* 1351948 */     GIR_EraseRootFromParent_Done,
     /* 1351949 */   // Label 19255: @1351949
     /* 1351949 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1352030), // Rule ID 20457 //
     /* 1351954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352007 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1352010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352029 */     // GIR_Coverage, 20457,
     /* 1352029 */     GIR_EraseRootFromParent_Done,
     /* 1352030 */   // Label 19256: @1352030
     /* 1352030 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1352111), // Rule ID 20458 //
     /* 1352035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1352038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352088 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352110 */     // GIR_Coverage, 20458,
     /* 1352110 */     GIR_EraseRootFromParent_Done,
     /* 1352111 */   // Label 19257: @1352111
     /* 1352111 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1352192), // Rule ID 20459 //
     /* 1352116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1352119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352169 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352191 */     // GIR_Coverage, 20459,
     /* 1352191 */     GIR_EraseRootFromParent_Done,
     /* 1352192 */   // Label 19258: @1352192
     /* 1352192 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1352273), // Rule ID 20460 //
     /* 1352197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352250 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1352253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352272 */     // GIR_Coverage, 20460,
     /* 1352272 */     GIR_EraseRootFromParent_Done,
     /* 1352273 */   // Label 19259: @1352273
     /* 1352273 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1352354), // Rule ID 20461 //
     /* 1352278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352331 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1352334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352353 */     // GIR_Coverage, 20461,
     /* 1352353 */     GIR_EraseRootFromParent_Done,
     /* 1352354 */   // Label 19260: @1352354
     /* 1352354 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1352435), // Rule ID 20462 //
     /* 1352359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1352362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352412 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352434 */     // GIR_Coverage, 20462,
     /* 1352434 */     GIR_EraseRootFromParent_Done,
     /* 1352435 */   // Label 19261: @1352435
     /* 1352435 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1352516), // Rule ID 20463 //
     /* 1352440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1352443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352493 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352515 */     // GIR_Coverage, 20463,
     /* 1352515 */     GIR_EraseRootFromParent_Done,
     /* 1352516 */   // Label 19262: @1352516
     /* 1352516 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1352597), // Rule ID 20464 //
     /* 1352521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352574 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352596 */     // GIR_Coverage, 20464,
     /* 1352596 */     GIR_EraseRootFromParent_Done,
     /* 1352597 */   // Label 19263: @1352597
     /* 1352597 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1352678), // Rule ID 20465 //
     /* 1352602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352655 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352677 */     // GIR_Coverage, 20465,
     /* 1352677 */     GIR_EraseRootFromParent_Done,
     /* 1352678 */   // Label 19264: @1352678
     /* 1352678 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1352759), // Rule ID 20466 //
     /* 1352683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352758 */     // GIR_Coverage, 20466,
     /* 1352758 */     GIR_EraseRootFromParent_Done,
     /* 1352759 */   // Label 19265: @1352759
     /* 1352759 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1352840), // Rule ID 20467 //
     /* 1352764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352839 */     // GIR_Coverage, 20467,
     /* 1352839 */     GIR_EraseRootFromParent_Done,
     /* 1352840 */   // Label 19266: @1352840
     /* 1352840 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1352921), // Rule ID 20468 //
     /* 1352845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352898 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352920 */     // GIR_Coverage, 20468,
     /* 1352920 */     GIR_EraseRootFromParent_Done,
     /* 1352921 */   // Label 19267: @1352921
     /* 1352921 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1353002), // Rule ID 20469 //
     /* 1352926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352979 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353001 */     // GIR_Coverage, 20469,
     /* 1353001 */     GIR_EraseRootFromParent_Done,
     /* 1353002 */   // Label 19268: @1353002
     /* 1353002 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1353083), // Rule ID 20470 //
     /* 1353007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353060 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353082 */     // GIR_Coverage, 20470,
     /* 1353082 */     GIR_EraseRootFromParent_Done,
     /* 1353083 */   // Label 19269: @1353083
     /* 1353083 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1353164), // Rule ID 20471 //
     /* 1353088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353141 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353163 */     // GIR_Coverage, 20471,
     /* 1353163 */     GIR_EraseRootFromParent_Done,
     /* 1353164 */   // Label 19270: @1353164
     /* 1353164 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1353245), // Rule ID 20472 //
     /* 1353169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353222 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1353225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353244 */     // GIR_Coverage, 20472,
     /* 1353244 */     GIR_EraseRootFromParent_Done,
     /* 1353245 */   // Label 19271: @1353245
     /* 1353245 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1353326), // Rule ID 20473 //
     /* 1353250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353303 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1353306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353325 */     // GIR_Coverage, 20473,
     /* 1353325 */     GIR_EraseRootFromParent_Done,
     /* 1353326 */   // Label 19272: @1353326
     /* 1353326 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1353407), // Rule ID 20474 //
     /* 1353331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353384 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353406 */     // GIR_Coverage, 20474,
     /* 1353406 */     GIR_EraseRootFromParent_Done,
     /* 1353407 */   // Label 19273: @1353407
     /* 1353407 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1353488), // Rule ID 20475 //
     /* 1353412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353465 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353487 */     // GIR_Coverage, 20475,
     /* 1353487 */     GIR_EraseRootFromParent_Done,
     /* 1353488 */   // Label 19274: @1353488
     /* 1353488 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1353569), // Rule ID 20476 //
     /* 1353493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353568 */     // GIR_Coverage, 20476,
     /* 1353568 */     GIR_EraseRootFromParent_Done,
     /* 1353569 */   // Label 19275: @1353569
     /* 1353569 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1353650), // Rule ID 20477 //
     /* 1353574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353649 */     // GIR_Coverage, 20477,
     /* 1353649 */     GIR_EraseRootFromParent_Done,
     /* 1353650 */   // Label 19276: @1353650
     /* 1353650 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1353731), // Rule ID 20478 //
     /* 1353655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353708 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353730 */     // GIR_Coverage, 20478,
     /* 1353730 */     GIR_EraseRootFromParent_Done,
     /* 1353731 */   // Label 19277: @1353731
     /* 1353731 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1353812), // Rule ID 20479 //
     /* 1353736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353811 */     // GIR_Coverage, 20479,
     /* 1353811 */     GIR_EraseRootFromParent_Done,
     /* 1353812 */   // Label 19278: @1353812
     /* 1353812 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1353893), // Rule ID 20480 //
     /* 1353817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353870 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353892 */     // GIR_Coverage, 20480,
     /* 1353892 */     GIR_EraseRootFromParent_Done,
     /* 1353893 */   // Label 19279: @1353893
     /* 1353893 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1353974), // Rule ID 20481 //
     /* 1353898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353951 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353973 */     // GIR_Coverage, 20481,
     /* 1353973 */     GIR_EraseRootFromParent_Done,
     /* 1353974 */   // Label 19280: @1353974
     /* 1353974 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1354055), // Rule ID 20482 //
     /* 1353979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354032 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1354035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354054 */     // GIR_Coverage, 20482,
     /* 1354054 */     GIR_EraseRootFromParent_Done,
     /* 1354055 */   // Label 19281: @1354055
     /* 1354055 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1354136), // Rule ID 20483 //
     /* 1354060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1354071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1354074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1354080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354113 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1354116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354135 */     // GIR_Coverage, 20483,
     /* 1354135 */     GIR_EraseRootFromParent_Done,
     /* 1354136 */   // Label 19282: @1354136
     /* 1354136 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1354217), // Rule ID 20484 //
     /* 1354141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1354152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1354155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1354197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354216 */     // GIR_Coverage, 20484,
     /* 1354216 */     GIR_EraseRootFromParent_Done,
     /* 1354217 */   // Label 19283: @1354217
     /* 1354217 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1354298), // Rule ID 20485 //
     /* 1354222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1354233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1354236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354275 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1354278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354297 */     // GIR_Coverage, 20485,
     /* 1354297 */     GIR_EraseRootFromParent_Done,
     /* 1354298 */   // Label 19284: @1354298
     /* 1354298 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1354379), // Rule ID 20486 //
     /* 1354303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1354323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1354359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354378 */     // GIR_Coverage, 20486,
     /* 1354378 */     GIR_EraseRootFromParent_Done,
     /* 1354379 */   // Label 19285: @1354379
     /* 1354379 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1354460), // Rule ID 20487 //
     /* 1354384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1354404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1354440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354459 */     // GIR_Coverage, 20487,
     /* 1354459 */     GIR_EraseRootFromParent_Done,
     /* 1354460 */   // Label 19286: @1354460
     /* 1354460 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1354541), // Rule ID 20488 //
     /* 1354465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354518 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354540 */     // GIR_Coverage, 20488,
     /* 1354540 */     GIR_EraseRootFromParent_Done,
     /* 1354541 */   // Label 19287: @1354541
     /* 1354541 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1354622), // Rule ID 20489 //
     /* 1354546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354599 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354621 */     // GIR_Coverage, 20489,
     /* 1354621 */     GIR_EraseRootFromParent_Done,
     /* 1354622 */   // Label 19288: @1354622
     /* 1354622 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1354706), // Rule ID 21870 //
     /* 1354627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354705 */     // GIR_Coverage, 21870,
     /* 1354705 */     GIR_EraseRootFromParent_Done,
     /* 1354706 */   // Label 19289: @1354706
     /* 1354706 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1354790), // Rule ID 21871 //
     /* 1354711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354789 */     // GIR_Coverage, 21871,
     /* 1354789 */     GIR_EraseRootFromParent_Done,
     /* 1354790 */   // Label 19290: @1354790
     /* 1354790 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1354874), // Rule ID 21874 //
     /* 1354795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354873 */     // GIR_Coverage, 21874,
     /* 1354873 */     GIR_EraseRootFromParent_Done,
     /* 1354874 */   // Label 19291: @1354874
     /* 1354874 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1354958), // Rule ID 21875 //
     /* 1354879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354957 */     // GIR_Coverage, 21875,
     /* 1354957 */     GIR_EraseRootFromParent_Done,
     /* 1354958 */   // Label 19292: @1354958
     /* 1354958 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1355042), // Rule ID 21878 //
     /* 1354963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1355019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355041 */     // GIR_Coverage, 21878,
     /* 1355041 */     GIR_EraseRootFromParent_Done,
     /* 1355042 */   // Label 19293: @1355042
     /* 1355042 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1355126), // Rule ID 21879 //
     /* 1355047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1355064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1355103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355125 */     // GIR_Coverage, 21879,
     /* 1355125 */     GIR_EraseRootFromParent_Done,
     /* 1355126 */   // Label 19294: @1355126
     /* 1355126 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1355210), // Rule ID 21882 //
     /* 1355131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1355148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1355187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355209 */     // GIR_Coverage, 21882,
     /* 1355209 */     GIR_EraseRootFromParent_Done,
     /* 1355210 */   // Label 19295: @1355210
     /* 1355210 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1355294), // Rule ID 21883 //
     /* 1355215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1355232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1355271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355293 */     // GIR_Coverage, 21883,
     /* 1355293 */     GIR_EraseRootFromParent_Done,
     /* 1355294 */   // Label 19296: @1355294
     /* 1355294 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1355378), // Rule ID 21886 //
     /* 1355299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1355355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355377 */     // GIR_Coverage, 21886,
     /* 1355377 */     GIR_EraseRootFromParent_Done,
     /* 1355378 */   // Label 19297: @1355378
     /* 1355378 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1355462), // Rule ID 21887 //
     /* 1355383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1355439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355461 */     // GIR_Coverage, 21887,
     /* 1355461 */     GIR_EraseRootFromParent_Done,
     /* 1355462 */   // Label 19298: @1355462
     /* 1355462 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1355546), // Rule ID 21890 //
     /* 1355467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355545 */     // GIR_Coverage, 21890,
     /* 1355545 */     GIR_EraseRootFromParent_Done,
     /* 1355546 */   // Label 19299: @1355546
     /* 1355546 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1355630), // Rule ID 21891 //
     /* 1355551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355629 */     // GIR_Coverage, 21891,
     /* 1355629 */     GIR_EraseRootFromParent_Done,
     /* 1355630 */   // Label 19300: @1355630
     /* 1355630 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1355714), // Rule ID 21894 //
     /* 1355635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355713 */     // GIR_Coverage, 21894,
     /* 1355713 */     GIR_EraseRootFromParent_Done,
     /* 1355714 */   // Label 19301: @1355714
     /* 1355714 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1355798), // Rule ID 21895 //
     /* 1355719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355797 */     // GIR_Coverage, 21895,
     /* 1355797 */     GIR_EraseRootFromParent_Done,
     /* 1355798 */   // Label 19302: @1355798
     /* 1355798 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1355882), // Rule ID 21898 //
     /* 1355803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355881 */     // GIR_Coverage, 21898,
     /* 1355881 */     GIR_EraseRootFromParent_Done,
     /* 1355882 */   // Label 19303: @1355882
     /* 1355882 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1355966), // Rule ID 21899 //
     /* 1355887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355965 */     // GIR_Coverage, 21899,
     /* 1355965 */     GIR_EraseRootFromParent_Done,
     /* 1355966 */   // Label 19304: @1355966
     /* 1355966 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1356050), // Rule ID 21902 //
     /* 1355971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1355974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1356027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356049 */     // GIR_Coverage, 21902,
     /* 1356049 */     GIR_EraseRootFromParent_Done,
     /* 1356050 */   // Label 19305: @1356050
     /* 1356050 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1356134), // Rule ID 21903 //
     /* 1356055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1356058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1356072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1356111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356133 */     // GIR_Coverage, 21903,
     /* 1356133 */     GIR_EraseRootFromParent_Done,
     /* 1356134 */   // Label 19306: @1356134
     /* 1356134 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1356218), // Rule ID 21906 //
     /* 1356139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1356156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1356195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356217 */     // GIR_Coverage, 21906,
     /* 1356217 */     GIR_EraseRootFromParent_Done,
     /* 1356218 */   // Label 19307: @1356218
     /* 1356218 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1356302), // Rule ID 21907 //
     /* 1356223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1356240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1356279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356301 */     // GIR_Coverage, 21907,
     /* 1356301 */     GIR_EraseRootFromParent_Done,
     /* 1356302 */   // Label 19308: @1356302
     /* 1356302 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1356386), // Rule ID 21910 //
     /* 1356307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1356324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1356363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356385 */     // GIR_Coverage, 21910,
     /* 1356385 */     GIR_EraseRootFromParent_Done,
     /* 1356386 */   // Label 19309: @1356386
     /* 1356386 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1356470), // Rule ID 21911 //
     /* 1356391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1356408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1356447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356469 */     // GIR_Coverage, 21911,
     /* 1356469 */     GIR_EraseRootFromParent_Done,
     /* 1356470 */   // Label 19310: @1356470
     /* 1356470 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1356554), // Rule ID 21914 //
     /* 1356475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356553 */     // GIR_Coverage, 21914,
     /* 1356553 */     GIR_EraseRootFromParent_Done,
     /* 1356554 */   // Label 19311: @1356554
     /* 1356554 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1356638), // Rule ID 21915 //
     /* 1356559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356637 */     // GIR_Coverage, 21915,
     /* 1356637 */     GIR_EraseRootFromParent_Done,
     /* 1356638 */   // Label 19312: @1356638
     /* 1356638 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1356722), // Rule ID 21918 //
     /* 1356643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356721 */     // GIR_Coverage, 21918,
     /* 1356721 */     GIR_EraseRootFromParent_Done,
     /* 1356722 */   // Label 19313: @1356722
     /* 1356722 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1356806), // Rule ID 21919 //
     /* 1356727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356805 */     // GIR_Coverage, 21919,
     /* 1356805 */     GIR_EraseRootFromParent_Done,
     /* 1356806 */   // Label 19314: @1356806
     /* 1356806 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1356890), // Rule ID 21922 //
     /* 1356811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356889 */     // GIR_Coverage, 21922,
     /* 1356889 */     GIR_EraseRootFromParent_Done,
     /* 1356890 */   // Label 19315: @1356890
     /* 1356890 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1356974), // Rule ID 21923 //
     /* 1356895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356973 */     // GIR_Coverage, 21923,
     /* 1356973 */     GIR_EraseRootFromParent_Done,
     /* 1356974 */   // Label 19316: @1356974
     /* 1356974 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1357058), // Rule ID 21926 //
     /* 1356979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1357035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357057 */     // GIR_Coverage, 21926,
     /* 1357057 */     GIR_EraseRootFromParent_Done,
     /* 1357058 */   // Label 19317: @1357058
     /* 1357058 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1357142), // Rule ID 21927 //
     /* 1357063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1357080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1357119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357141 */     // GIR_Coverage, 21927,
     /* 1357141 */     GIR_EraseRootFromParent_Done,
     /* 1357142 */   // Label 19318: @1357142
     /* 1357142 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1357226), // Rule ID 21930 //
     /* 1357147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1357203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357225 */     // GIR_Coverage, 21930,
     /* 1357225 */     GIR_EraseRootFromParent_Done,
     /* 1357226 */   // Label 19319: @1357226
     /* 1357226 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1357310), // Rule ID 21931 //
     /* 1357231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1357287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357309 */     // GIR_Coverage, 21931,
     /* 1357309 */     GIR_EraseRootFromParent_Done,
     /* 1357310 */   // Label 19320: @1357310
     /* 1357310 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1357394), // Rule ID 21934 //
     /* 1357315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1357371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357393 */     // GIR_Coverage, 21934,
     /* 1357393 */     GIR_EraseRootFromParent_Done,
     /* 1357394 */   // Label 19321: @1357394
     /* 1357394 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1357478), // Rule ID 21935 //
     /* 1357399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1357455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357477 */     // GIR_Coverage, 21935,
     /* 1357477 */     GIR_EraseRootFromParent_Done,
     /* 1357478 */   // Label 19322: @1357478
     /* 1357478 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1357562), // Rule ID 21938 //
     /* 1357483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357561 */     // GIR_Coverage, 21938,
     /* 1357561 */     GIR_EraseRootFromParent_Done,
     /* 1357562 */   // Label 19323: @1357562
     /* 1357562 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1357646), // Rule ID 21939 //
     /* 1357567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357645 */     // GIR_Coverage, 21939,
     /* 1357645 */     GIR_EraseRootFromParent_Done,
     /* 1357646 */   // Label 19324: @1357646
     /* 1357646 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1357730), // Rule ID 21942 //
     /* 1357651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357729 */     // GIR_Coverage, 21942,
     /* 1357729 */     GIR_EraseRootFromParent_Done,
     /* 1357730 */   // Label 19325: @1357730
     /* 1357730 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1357814), // Rule ID 21943 //
     /* 1357735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357813 */     // GIR_Coverage, 21943,
     /* 1357813 */     GIR_EraseRootFromParent_Done,
     /* 1357814 */   // Label 19326: @1357814
     /* 1357814 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1357898), // Rule ID 21946 //
     /* 1357819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357897 */     // GIR_Coverage, 21946,
     /* 1357897 */     GIR_EraseRootFromParent_Done,
     /* 1357898 */   // Label 19327: @1357898
     /* 1357898 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1357982), // Rule ID 21947 //
     /* 1357903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357981 */     // GIR_Coverage, 21947,
     /* 1357981 */     GIR_EraseRootFromParent_Done,
     /* 1357982 */   // Label 19328: @1357982
     /* 1357982 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1358066), // Rule ID 21950 //
     /* 1357987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358040 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1358043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358065 */     // GIR_Coverage, 21950,
     /* 1358065 */     GIR_EraseRootFromParent_Done,
     /* 1358066 */   // Label 19329: @1358066
     /* 1358066 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1358150), // Rule ID 21951 //
     /* 1358071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1358074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1358079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358124 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1358127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358149 */     // GIR_Coverage, 21951,
     /* 1358149 */     GIR_EraseRootFromParent_Done,
     /* 1358150 */   // Label 19330: @1358150
     /* 1358150 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1358234), // Rule ID 21954 //
     /* 1358155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1358172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1358211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358233 */     // GIR_Coverage, 21954,
     /* 1358233 */     GIR_EraseRootFromParent_Done,
     /* 1358234 */   // Label 19331: @1358234
     /* 1358234 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1358318), // Rule ID 21955 //
     /* 1358239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1358256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1358295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358317 */     // GIR_Coverage, 21955,
     /* 1358317 */     GIR_EraseRootFromParent_Done,
     /* 1358318 */   // Label 19332: @1358318
     /* 1358318 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1358402), // Rule ID 21958 //
     /* 1358323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1358379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358401 */     // GIR_Coverage, 21958,
     /* 1358401 */     GIR_EraseRootFromParent_Done,
     /* 1358402 */   // Label 19333: @1358402
     /* 1358402 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1358486), // Rule ID 21959 //
     /* 1358407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1358463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358485 */     // GIR_Coverage, 21959,
     /* 1358485 */     GIR_EraseRootFromParent_Done,
     /* 1358486 */   // Label 19334: @1358486
     /* 1358486 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1358570), // Rule ID 21962 //
     /* 1358491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358569 */     // GIR_Coverage, 21962,
     /* 1358569 */     GIR_EraseRootFromParent_Done,
     /* 1358570 */   // Label 19335: @1358570
     /* 1358570 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1358654), // Rule ID 21963 //
     /* 1358575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358653 */     // GIR_Coverage, 21963,
     /* 1358653 */     GIR_EraseRootFromParent_Done,
     /* 1358654 */   // Label 19336: @1358654
     /* 1358654 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1358738), // Rule ID 21966 //
     /* 1358659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358737 */     // GIR_Coverage, 21966,
     /* 1358737 */     GIR_EraseRootFromParent_Done,
     /* 1358738 */   // Label 19337: @1358738
     /* 1358738 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1358822), // Rule ID 21967 //
     /* 1358743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358821 */     // GIR_Coverage, 21967,
     /* 1358821 */     GIR_EraseRootFromParent_Done,
     /* 1358822 */   // Label 19338: @1358822
     /* 1358822 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1358906), // Rule ID 21970 //
     /* 1358827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358905 */     // GIR_Coverage, 21970,
     /* 1358905 */     GIR_EraseRootFromParent_Done,
     /* 1358906 */   // Label 19339: @1358906
     /* 1358906 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1358990), // Rule ID 21971 //
     /* 1358911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358989 */     // GIR_Coverage, 21971,
     /* 1358989 */     GIR_EraseRootFromParent_Done,
     /* 1358990 */   // Label 19340: @1358990
     /* 1358990 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1359074), // Rule ID 21974 //
     /* 1358995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1359051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359073 */     // GIR_Coverage, 21974,
     /* 1359073 */     GIR_EraseRootFromParent_Done,
     /* 1359074 */   // Label 19341: @1359074
     /* 1359074 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1359158), // Rule ID 21975 //
     /* 1359079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1359135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359157 */     // GIR_Coverage, 21975,
     /* 1359157 */     GIR_EraseRootFromParent_Done,
     /* 1359158 */   // Label 19342: @1359158
     /* 1359158 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1359242), // Rule ID 21978 //
     /* 1359163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1359219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359241 */     // GIR_Coverage, 21978,
     /* 1359241 */     GIR_EraseRootFromParent_Done,
     /* 1359242 */   // Label 19343: @1359242
     /* 1359242 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1359326), // Rule ID 21979 //
     /* 1359247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1359303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359325 */     // GIR_Coverage, 21979,
     /* 1359325 */     GIR_EraseRootFromParent_Done,
     /* 1359326 */   // Label 19344: @1359326
     /* 1359326 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1359410), // Rule ID 21982 //
     /* 1359331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1359387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359409 */     // GIR_Coverage, 21982,
     /* 1359409 */     GIR_EraseRootFromParent_Done,
     /* 1359410 */   // Label 19345: @1359410
     /* 1359410 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1359494), // Rule ID 21983 //
     /* 1359415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1359471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359493 */     // GIR_Coverage, 21983,
     /* 1359493 */     GIR_EraseRootFromParent_Done,
     /* 1359494 */   // Label 19346: @1359494
     /* 1359494 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1359578), // Rule ID 21986 //
     /* 1359499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359577 */     // GIR_Coverage, 21986,
     /* 1359577 */     GIR_EraseRootFromParent_Done,
     /* 1359578 */   // Label 19347: @1359578
     /* 1359578 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1359662), // Rule ID 21987 //
     /* 1359583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359661 */     // GIR_Coverage, 21987,
     /* 1359661 */     GIR_EraseRootFromParent_Done,
     /* 1359662 */   // Label 19348: @1359662
     /* 1359662 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1359746), // Rule ID 21990 //
     /* 1359667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359745 */     // GIR_Coverage, 21990,
     /* 1359745 */     GIR_EraseRootFromParent_Done,
     /* 1359746 */   // Label 19349: @1359746
     /* 1359746 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1359830), // Rule ID 21991 //
     /* 1359751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359829 */     // GIR_Coverage, 21991,
     /* 1359829 */     GIR_EraseRootFromParent_Done,
     /* 1359830 */   // Label 19350: @1359830
     /* 1359830 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1359914), // Rule ID 21994 //
     /* 1359835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359913 */     // GIR_Coverage, 21994,
     /* 1359913 */     GIR_EraseRootFromParent_Done,
     /* 1359914 */   // Label 19351: @1359914
     /* 1359914 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1359998), // Rule ID 21995 //
     /* 1359919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359997 */     // GIR_Coverage, 21995,
     /* 1359997 */     GIR_EraseRootFromParent_Done,
     /* 1359998 */   // Label 19352: @1359998
     /* 1359998 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1360082), // Rule ID 21998 //
     /* 1360003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1360059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360081 */     // GIR_Coverage, 21998,
     /* 1360081 */     GIR_EraseRootFromParent_Done,
     /* 1360082 */   // Label 19353: @1360082
     /* 1360082 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1360166), // Rule ID 21999 //
     /* 1360087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1360143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360165 */     // GIR_Coverage, 21999,
     /* 1360165 */     GIR_EraseRootFromParent_Done,
     /* 1360166 */   // Label 19354: @1360166
     /* 1360166 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1360250), // Rule ID 22002 //
     /* 1360171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1360227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360249 */     // GIR_Coverage, 22002,
     /* 1360249 */     GIR_EraseRootFromParent_Done,
     /* 1360250 */   // Label 19355: @1360250
     /* 1360250 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1360334), // Rule ID 22003 //
     /* 1360255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1360311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360333 */     // GIR_Coverage, 22003,
     /* 1360333 */     GIR_EraseRootFromParent_Done,
     /* 1360334 */   // Label 19356: @1360334
     /* 1360334 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1360418), // Rule ID 22006 //
     /* 1360339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1360395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360417 */     // GIR_Coverage, 22006,
     /* 1360417 */     GIR_EraseRootFromParent_Done,
     /* 1360418 */   // Label 19357: @1360418
     /* 1360418 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1360502), // Rule ID 22007 //
     /* 1360423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1360479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360501 */     // GIR_Coverage, 22007,
     /* 1360501 */     GIR_EraseRootFromParent_Done,
     /* 1360502 */   // Label 19358: @1360502
     /* 1360502 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1360586), // Rule ID 22010 //
     /* 1360507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360585 */     // GIR_Coverage, 22010,
     /* 1360585 */     GIR_EraseRootFromParent_Done,
     /* 1360586 */   // Label 19359: @1360586
     /* 1360586 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1360670), // Rule ID 22011 //
     /* 1360591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360669 */     // GIR_Coverage, 22011,
     /* 1360669 */     GIR_EraseRootFromParent_Done,
     /* 1360670 */   // Label 19360: @1360670
     /* 1360670 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1360754), // Rule ID 22014 //
     /* 1360675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360753 */     // GIR_Coverage, 22014,
     /* 1360753 */     GIR_EraseRootFromParent_Done,
     /* 1360754 */   // Label 19361: @1360754
     /* 1360754 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1360838), // Rule ID 22015 //
     /* 1360759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360837 */     // GIR_Coverage, 22015,
     /* 1360837 */     GIR_EraseRootFromParent_Done,
     /* 1360838 */   // Label 19362: @1360838
     /* 1360838 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1360922), // Rule ID 22018 //
     /* 1360843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360921 */     // GIR_Coverage, 22018,
     /* 1360921 */     GIR_EraseRootFromParent_Done,
     /* 1360922 */   // Label 19363: @1360922
     /* 1360922 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1361006), // Rule ID 22019 //
     /* 1360927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361005 */     // GIR_Coverage, 22019,
     /* 1361005 */     GIR_EraseRootFromParent_Done,
     /* 1361006 */   // Label 19364: @1361006
     /* 1361006 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1361090), // Rule ID 22022 //
     /* 1361011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1361067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361089 */     // GIR_Coverage, 22022,
     /* 1361089 */     GIR_EraseRootFromParent_Done,
     /* 1361090 */   // Label 19365: @1361090
     /* 1361090 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1361174), // Rule ID 22023 //
     /* 1361095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1361151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361173 */     // GIR_Coverage, 22023,
     /* 1361173 */     GIR_EraseRootFromParent_Done,
     /* 1361174 */   // Label 19366: @1361174
     /* 1361174 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1361258), // Rule ID 22026 //
     /* 1361179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1361235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361257 */     // GIR_Coverage, 22026,
     /* 1361257 */     GIR_EraseRootFromParent_Done,
     /* 1361258 */   // Label 19367: @1361258
     /* 1361258 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1361342), // Rule ID 22027 //
     /* 1361263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1361319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361341 */     // GIR_Coverage, 22027,
     /* 1361341 */     GIR_EraseRootFromParent_Done,
     /* 1361342 */   // Label 19368: @1361342
     /* 1361342 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1361426), // Rule ID 22030 //
     /* 1361347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1361403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361425 */     // GIR_Coverage, 22030,
     /* 1361425 */     GIR_EraseRootFromParent_Done,
     /* 1361426 */   // Label 19369: @1361426
     /* 1361426 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1361510), // Rule ID 22031 //
     /* 1361431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1361487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361509 */     // GIR_Coverage, 22031,
     /* 1361509 */     GIR_EraseRootFromParent_Done,
     /* 1361510 */   // Label 19370: @1361510
     /* 1361510 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1361594), // Rule ID 22034 //
     /* 1361515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361593 */     // GIR_Coverage, 22034,
     /* 1361593 */     GIR_EraseRootFromParent_Done,
     /* 1361594 */   // Label 19371: @1361594
     /* 1361594 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1361678), // Rule ID 22035 //
     /* 1361599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361677 */     // GIR_Coverage, 22035,
     /* 1361677 */     GIR_EraseRootFromParent_Done,
     /* 1361678 */   // Label 19372: @1361678
     /* 1361678 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1361762), // Rule ID 22038 //
     /* 1361683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361761 */     // GIR_Coverage, 22038,
     /* 1361761 */     GIR_EraseRootFromParent_Done,
     /* 1361762 */   // Label 19373: @1361762
     /* 1361762 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1361846), // Rule ID 22039 //
     /* 1361767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361845 */     // GIR_Coverage, 22039,
     /* 1361845 */     GIR_EraseRootFromParent_Done,
     /* 1361846 */   // Label 19374: @1361846
     /* 1361846 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1361930), // Rule ID 22042 //
     /* 1361851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361929 */     // GIR_Coverage, 22042,
     /* 1361929 */     GIR_EraseRootFromParent_Done,
     /* 1361930 */   // Label 19375: @1361930
     /* 1361930 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1362014), // Rule ID 22043 //
     /* 1361935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362013 */     // GIR_Coverage, 22043,
     /* 1362013 */     GIR_EraseRootFromParent_Done,
     /* 1362014 */   // Label 19376: @1362014
     /* 1362014 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1362098), // Rule ID 22046 //
     /* 1362019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1362036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1362075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362097 */     // GIR_Coverage, 22046,
     /* 1362097 */     GIR_EraseRootFromParent_Done,
     /* 1362098 */   // Label 19377: @1362098
     /* 1362098 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1362182), // Rule ID 22047 //
     /* 1362103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1362120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1362159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362181 */     // GIR_Coverage, 22047,
     /* 1362181 */     GIR_EraseRootFromParent_Done,
     /* 1362182 */   // Label 19378: @1362182
     /* 1362182 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1362266), // Rule ID 22050 //
     /* 1362187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1362204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1362243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362265 */     // GIR_Coverage, 22050,
     /* 1362265 */     GIR_EraseRootFromParent_Done,
     /* 1362266 */   // Label 19379: @1362266
     /* 1362266 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1362350), // Rule ID 22051 //
     /* 1362271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1362288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1362327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362349 */     // GIR_Coverage, 22051,
     /* 1362349 */     GIR_EraseRootFromParent_Done,
     /* 1362350 */   // Label 19380: @1362350
     /* 1362350 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1362434), // Rule ID 22054 //
     /* 1362355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1362411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362433 */     // GIR_Coverage, 22054,
     /* 1362433 */     GIR_EraseRootFromParent_Done,
     /* 1362434 */   // Label 19381: @1362434
     /* 1362434 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1362518), // Rule ID 22055 //
     /* 1362439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1362495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362517 */     // GIR_Coverage, 22055,
     /* 1362517 */     GIR_EraseRootFromParent_Done,
     /* 1362518 */   // Label 19382: @1362518
     /* 1362518 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1362602), // Rule ID 22058 //
     /* 1362523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362601 */     // GIR_Coverage, 22058,
     /* 1362601 */     GIR_EraseRootFromParent_Done,
     /* 1362602 */   // Label 19383: @1362602
     /* 1362602 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1362686), // Rule ID 22059 //
     /* 1362607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362685 */     // GIR_Coverage, 22059,
     /* 1362685 */     GIR_EraseRootFromParent_Done,
     /* 1362686 */   // Label 19384: @1362686
     /* 1362686 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1362770), // Rule ID 22062 //
     /* 1362691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362769 */     // GIR_Coverage, 22062,
     /* 1362769 */     GIR_EraseRootFromParent_Done,
     /* 1362770 */   // Label 19385: @1362770
     /* 1362770 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1362854), // Rule ID 22063 //
     /* 1362775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362853 */     // GIR_Coverage, 22063,
     /* 1362853 */     GIR_EraseRootFromParent_Done,
     /* 1362854 */   // Label 19386: @1362854
     /* 1362854 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1362938), // Rule ID 22066 //
     /* 1362859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362937 */     // GIR_Coverage, 22066,
     /* 1362937 */     GIR_EraseRootFromParent_Done,
     /* 1362938 */   // Label 19387: @1362938
     /* 1362938 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1363022), // Rule ID 22067 //
     /* 1362943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363021 */     // GIR_Coverage, 22067,
     /* 1363021 */     GIR_EraseRootFromParent_Done,
     /* 1363022 */   // Label 19388: @1363022
     /* 1363022 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1363106), // Rule ID 22070 //
     /* 1363027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1363083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363105 */     // GIR_Coverage, 22070,
     /* 1363105 */     GIR_EraseRootFromParent_Done,
     /* 1363106 */   // Label 19389: @1363106
     /* 1363106 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1363190), // Rule ID 22071 //
     /* 1363111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1363167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363189 */     // GIR_Coverage, 22071,
     /* 1363189 */     GIR_EraseRootFromParent_Done,
     /* 1363190 */   // Label 19390: @1363190
     /* 1363190 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1363274), // Rule ID 22074 //
     /* 1363195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1363251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363273 */     // GIR_Coverage, 22074,
     /* 1363273 */     GIR_EraseRootFromParent_Done,
     /* 1363274 */   // Label 19391: @1363274
     /* 1363274 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1363358), // Rule ID 22075 //
     /* 1363279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1363335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363357 */     // GIR_Coverage, 22075,
     /* 1363357 */     GIR_EraseRootFromParent_Done,
     /* 1363358 */   // Label 19392: @1363358
     /* 1363358 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1363442), // Rule ID 22078 //
     /* 1363363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1363419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363441 */     // GIR_Coverage, 22078,
     /* 1363441 */     GIR_EraseRootFromParent_Done,
     /* 1363442 */   // Label 19393: @1363442
     /* 1363442 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1363526), // Rule ID 22079 //
     /* 1363447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1363503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363525 */     // GIR_Coverage, 22079,
     /* 1363525 */     GIR_EraseRootFromParent_Done,
     /* 1363526 */   // Label 19394: @1363526
     /* 1363526 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1363610), // Rule ID 22082 //
     /* 1363531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363609 */     // GIR_Coverage, 22082,
     /* 1363609 */     GIR_EraseRootFromParent_Done,
     /* 1363610 */   // Label 19395: @1363610
     /* 1363610 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1363694), // Rule ID 22083 //
     /* 1363615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363693 */     // GIR_Coverage, 22083,
     /* 1363693 */     GIR_EraseRootFromParent_Done,
     /* 1363694 */   // Label 19396: @1363694
     /* 1363694 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1363778), // Rule ID 22086 //
     /* 1363699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363777 */     // GIR_Coverage, 22086,
     /* 1363777 */     GIR_EraseRootFromParent_Done,
     /* 1363778 */   // Label 19397: @1363778
     /* 1363778 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1363862), // Rule ID 22087 //
     /* 1363783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363861 */     // GIR_Coverage, 22087,
     /* 1363861 */     GIR_EraseRootFromParent_Done,
     /* 1363862 */   // Label 19398: @1363862
     /* 1363862 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1363946), // Rule ID 22090 //
     /* 1363867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1363923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363945 */     // GIR_Coverage, 22090,
     /* 1363945 */     GIR_EraseRootFromParent_Done,
     /* 1363946 */   // Label 19399: @1363946
     /* 1363946 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1364030), // Rule ID 22091 //
     /* 1363951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1364007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364029 */     // GIR_Coverage, 22091,
     /* 1364029 */     GIR_EraseRootFromParent_Done,
     /* 1364030 */   // Label 19400: @1364030
     /* 1364030 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1364114), // Rule ID 22094 //
     /* 1364035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1364052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1364091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364113 */     // GIR_Coverage, 22094,
     /* 1364113 */     GIR_EraseRootFromParent_Done,
     /* 1364114 */   // Label 19401: @1364114
     /* 1364114 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1364198), // Rule ID 22095 //
     /* 1364119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1364136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1364175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364197 */     // GIR_Coverage, 22095,
     /* 1364197 */     GIR_EraseRootFromParent_Done,
     /* 1364198 */   // Label 19402: @1364198
     /* 1364198 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1364282), // Rule ID 22098 //
     /* 1364203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1364220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1364259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364281 */     // GIR_Coverage, 22098,
     /* 1364281 */     GIR_EraseRootFromParent_Done,
     /* 1364282 */   // Label 19403: @1364282
     /* 1364282 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1364366), // Rule ID 22099 //
     /* 1364287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1364304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1364343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364365 */     // GIR_Coverage, 22099,
     /* 1364365 */     GIR_EraseRootFromParent_Done,
     /* 1364366 */   // Label 19404: @1364366
     /* 1364366 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1364450), // Rule ID 22102 //
     /* 1364371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1364427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364449 */     // GIR_Coverage, 22102,
     /* 1364449 */     GIR_EraseRootFromParent_Done,
     /* 1364450 */   // Label 19405: @1364450
     /* 1364450 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1364534), // Rule ID 22103 //
     /* 1364455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1364511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364533 */     // GIR_Coverage, 22103,
     /* 1364533 */     GIR_EraseRootFromParent_Done,
     /* 1364534 */   // Label 19406: @1364534
     /* 1364534 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1364618), // Rule ID 22106 //
     /* 1364539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364617 */     // GIR_Coverage, 22106,
     /* 1364617 */     GIR_EraseRootFromParent_Done,
     /* 1364618 */   // Label 19407: @1364618
     /* 1364618 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1364702), // Rule ID 22107 //
     /* 1364623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364701 */     // GIR_Coverage, 22107,
     /* 1364701 */     GIR_EraseRootFromParent_Done,
     /* 1364702 */   // Label 19408: @1364702
     /* 1364702 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1364786), // Rule ID 22110 //
     /* 1364707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364785 */     // GIR_Coverage, 22110,
     /* 1364785 */     GIR_EraseRootFromParent_Done,
     /* 1364786 */   // Label 19409: @1364786
     /* 1364786 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1364870), // Rule ID 22111 //
     /* 1364791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364869 */     // GIR_Coverage, 22111,
     /* 1364869 */     GIR_EraseRootFromParent_Done,
     /* 1364870 */   // Label 19410: @1364870
     /* 1364870 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1364954), // Rule ID 22114 //
     /* 1364875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1364931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364953 */     // GIR_Coverage, 22114,
     /* 1364953 */     GIR_EraseRootFromParent_Done,
     /* 1364954 */   // Label 19411: @1364954
     /* 1364954 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1365038), // Rule ID 22115 //
     /* 1364959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1365015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365037 */     // GIR_Coverage, 22115,
     /* 1365037 */     GIR_EraseRootFromParent_Done,
     /* 1365038 */   // Label 19412: @1365038
     /* 1365038 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1365122), // Rule ID 22118 //
     /* 1365043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1365060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1365099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365121 */     // GIR_Coverage, 22118,
     /* 1365121 */     GIR_EraseRootFromParent_Done,
     /* 1365122 */   // Label 19413: @1365122
     /* 1365122 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1365206), // Rule ID 22119 //
     /* 1365127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1365144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1365183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365205 */     // GIR_Coverage, 22119,
     /* 1365205 */     GIR_EraseRootFromParent_Done,
     /* 1365206 */   // Label 19414: @1365206
     /* 1365206 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1365290), // Rule ID 22122 //
     /* 1365211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1365267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365289 */     // GIR_Coverage, 22122,
     /* 1365289 */     GIR_EraseRootFromParent_Done,
     /* 1365290 */   // Label 19415: @1365290
     /* 1365290 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1365374), // Rule ID 22123 //
     /* 1365295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1365351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365373 */     // GIR_Coverage, 22123,
     /* 1365373 */     GIR_EraseRootFromParent_Done,
     /* 1365374 */   // Label 19416: @1365374
     /* 1365374 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1365458), // Rule ID 22126 //
     /* 1365379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1365435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365457 */     // GIR_Coverage, 22126,
     /* 1365457 */     GIR_EraseRootFromParent_Done,
     /* 1365458 */   // Label 19417: @1365458
     /* 1365458 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1365542), // Rule ID 22127 //
     /* 1365463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1365519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365541 */     // GIR_Coverage, 22127,
     /* 1365541 */     GIR_EraseRootFromParent_Done,
     /* 1365542 */   // Label 19418: @1365542
     /* 1365542 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1365626), // Rule ID 22130 //
     /* 1365547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365625 */     // GIR_Coverage, 22130,
     /* 1365625 */     GIR_EraseRootFromParent_Done,
     /* 1365626 */   // Label 19419: @1365626
     /* 1365626 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1365710), // Rule ID 22131 //
     /* 1365631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365709 */     // GIR_Coverage, 22131,
     /* 1365709 */     GIR_EraseRootFromParent_Done,
     /* 1365710 */   // Label 19420: @1365710
     /* 1365710 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1365794), // Rule ID 22134 //
     /* 1365715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365793 */     // GIR_Coverage, 22134,
     /* 1365793 */     GIR_EraseRootFromParent_Done,
     /* 1365794 */   // Label 19421: @1365794
     /* 1365794 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1365878), // Rule ID 22135 //
     /* 1365799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365877 */     // GIR_Coverage, 22135,
     /* 1365877 */     GIR_EraseRootFromParent_Done,
     /* 1365878 */   // Label 19422: @1365878
     /* 1365878 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1365962), // Rule ID 22138 //
     /* 1365883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1365939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365961 */     // GIR_Coverage, 22138,
     /* 1365961 */     GIR_EraseRootFromParent_Done,
     /* 1365962 */   // Label 19423: @1365962
     /* 1365962 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1366046), // Rule ID 22139 //
     /* 1365967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366020 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1366023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366045 */     // GIR_Coverage, 22139,
     /* 1366045 */     GIR_EraseRootFromParent_Done,
     /* 1366046 */   // Label 19424: @1366046
     /* 1366046 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1366130), // Rule ID 22142 //
     /* 1366051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1366068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1366107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366129 */     // GIR_Coverage, 22142,
     /* 1366129 */     GIR_EraseRootFromParent_Done,
     /* 1366130 */   // Label 19425: @1366130
     /* 1366130 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1366214), // Rule ID 22143 //
     /* 1366135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1366152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1366191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366213 */     // GIR_Coverage, 22143,
     /* 1366213 */     GIR_EraseRootFromParent_Done,
     /* 1366214 */   // Label 19426: @1366214
     /* 1366214 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1366298), // Rule ID 22146 //
     /* 1366219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1366275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366297 */     // GIR_Coverage, 22146,
     /* 1366297 */     GIR_EraseRootFromParent_Done,
     /* 1366298 */   // Label 19427: @1366298
     /* 1366298 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1366382), // Rule ID 22147 //
     /* 1366303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1366359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366381 */     // GIR_Coverage, 22147,
     /* 1366381 */     GIR_EraseRootFromParent_Done,
     /* 1366382 */   // Label 19428: @1366382
     /* 1366382 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1366466), // Rule ID 22150 //
     /* 1366387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366465 */     // GIR_Coverage, 22150,
     /* 1366465 */     GIR_EraseRootFromParent_Done,
     /* 1366466 */   // Label 19429: @1366466
     /* 1366466 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1366550), // Rule ID 22151 //
     /* 1366471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366549 */     // GIR_Coverage, 22151,
     /* 1366549 */     GIR_EraseRootFromParent_Done,
     /* 1366550 */   // Label 19430: @1366550
     /* 1366550 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1366634), // Rule ID 22154 //
     /* 1366555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366633 */     // GIR_Coverage, 22154,
     /* 1366633 */     GIR_EraseRootFromParent_Done,
     /* 1366634 */   // Label 19431: @1366634
     /* 1366634 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1366718), // Rule ID 22155 //
     /* 1366639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366717 */     // GIR_Coverage, 22155,
     /* 1366717 */     GIR_EraseRootFromParent_Done,
     /* 1366718 */   // Label 19432: @1366718
     /* 1366718 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1366802), // Rule ID 22158 //
     /* 1366723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366801 */     // GIR_Coverage, 22158,
     /* 1366801 */     GIR_EraseRootFromParent_Done,
     /* 1366802 */   // Label 19433: @1366802
     /* 1366802 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1366886), // Rule ID 22159 //
     /* 1366807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366885 */     // GIR_Coverage, 22159,
     /* 1366885 */     GIR_EraseRootFromParent_Done,
     /* 1366886 */   // Label 19434: @1366886
     /* 1366886 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1366970), // Rule ID 22162 //
     /* 1366891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1366947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366969 */     // GIR_Coverage, 22162,
     /* 1366969 */     GIR_EraseRootFromParent_Done,
     /* 1366970 */   // Label 19435: @1366970
     /* 1366970 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1367054), // Rule ID 22163 //
     /* 1366975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1367031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367053 */     // GIR_Coverage, 22163,
     /* 1367053 */     GIR_EraseRootFromParent_Done,
     /* 1367054 */   // Label 19436: @1367054
     /* 1367054 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1367138), // Rule ID 22166 //
     /* 1367059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1367076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1367115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367137 */     // GIR_Coverage, 22166,
     /* 1367137 */     GIR_EraseRootFromParent_Done,
     /* 1367138 */   // Label 19437: @1367138
     /* 1367138 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1367222), // Rule ID 22167 //
     /* 1367143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1367160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1367199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367221 */     // GIR_Coverage, 22167,
     /* 1367221 */     GIR_EraseRootFromParent_Done,
     /* 1367222 */   // Label 19438: @1367222
     /* 1367222 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1367306), // Rule ID 22170 //
     /* 1367227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1367283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367305 */     // GIR_Coverage, 22170,
     /* 1367305 */     GIR_EraseRootFromParent_Done,
     /* 1367306 */   // Label 19439: @1367306
     /* 1367306 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1367390), // Rule ID 22171 //
     /* 1367311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1367367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367389 */     // GIR_Coverage, 22171,
     /* 1367389 */     GIR_EraseRootFromParent_Done,
     /* 1367390 */   // Label 19440: @1367390
     /* 1367390 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1367474), // Rule ID 22174 //
     /* 1367395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367473 */     // GIR_Coverage, 22174,
     /* 1367473 */     GIR_EraseRootFromParent_Done,
     /* 1367474 */   // Label 19441: @1367474
     /* 1367474 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1367558), // Rule ID 22175 //
     /* 1367479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367557 */     // GIR_Coverage, 22175,
     /* 1367557 */     GIR_EraseRootFromParent_Done,
     /* 1367558 */   // Label 19442: @1367558
     /* 1367558 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1367642), // Rule ID 22178 //
     /* 1367563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367641 */     // GIR_Coverage, 22178,
     /* 1367641 */     GIR_EraseRootFromParent_Done,
     /* 1367642 */   // Label 19443: @1367642
     /* 1367642 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1367726), // Rule ID 22179 //
     /* 1367647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367700 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367725 */     // GIR_Coverage, 22179,
     /* 1367725 */     GIR_EraseRootFromParent_Done,
     /* 1367726 */   // Label 19444: @1367726
     /* 1367726 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1367810), // Rule ID 22182 //
     /* 1367731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367809 */     // GIR_Coverage, 22182,
     /* 1367809 */     GIR_EraseRootFromParent_Done,
     /* 1367810 */   // Label 19445: @1367810
     /* 1367810 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1367894), // Rule ID 22183 //
     /* 1367815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367893 */     // GIR_Coverage, 22183,
     /* 1367893 */     GIR_EraseRootFromParent_Done,
     /* 1367894 */   // Label 19446: @1367894
     /* 1367894 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1367978), // Rule ID 22186 //
     /* 1367899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1367955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367977 */     // GIR_Coverage, 22186,
     /* 1367977 */     GIR_EraseRootFromParent_Done,
     /* 1367978 */   // Label 19447: @1367978
     /* 1367978 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1368062), // Rule ID 22187 //
     /* 1367983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1368000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1368039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368061 */     // GIR_Coverage, 22187,
     /* 1368061 */     GIR_EraseRootFromParent_Done,
     /* 1368062 */   // Label 19448: @1368062
     /* 1368062 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1368146), // Rule ID 22190 //
     /* 1368067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1368084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1368123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368145 */     // GIR_Coverage, 22190,
     /* 1368145 */     GIR_EraseRootFromParent_Done,
     /* 1368146 */   // Label 19449: @1368146
     /* 1368146 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1368230), // Rule ID 22191 //
     /* 1368151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1368168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1368207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368229 */     // GIR_Coverage, 22191,
     /* 1368229 */     GIR_EraseRootFromParent_Done,
     /* 1368230 */   // Label 19450: @1368230
     /* 1368230 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1368314), // Rule ID 22194 //
     /* 1368235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1368291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368313 */     // GIR_Coverage, 22194,
     /* 1368313 */     GIR_EraseRootFromParent_Done,
     /* 1368314 */   // Label 19451: @1368314
     /* 1368314 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1368398), // Rule ID 22195 //
     /* 1368319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1368375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368397 */     // GIR_Coverage, 22195,
     /* 1368397 */     GIR_EraseRootFromParent_Done,
     /* 1368398 */   // Label 19452: @1368398
     /* 1368398 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1368482), // Rule ID 22198 //
     /* 1368403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368481 */     // GIR_Coverage, 22198,
     /* 1368481 */     GIR_EraseRootFromParent_Done,
     /* 1368482 */   // Label 19453: @1368482
     /* 1368482 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1368566), // Rule ID 22199 //
     /* 1368487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368565 */     // GIR_Coverage, 22199,
     /* 1368565 */     GIR_EraseRootFromParent_Done,
     /* 1368566 */   // Label 19454: @1368566
     /* 1368566 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1368650), // Rule ID 22202 //
     /* 1368571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368649 */     // GIR_Coverage, 22202,
     /* 1368649 */     GIR_EraseRootFromParent_Done,
     /* 1368650 */   // Label 19455: @1368650
     /* 1368650 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1368734), // Rule ID 22203 //
     /* 1368655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368733 */     // GIR_Coverage, 22203,
     /* 1368733 */     GIR_EraseRootFromParent_Done,
     /* 1368734 */   // Label 19456: @1368734
     /* 1368734 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1368818), // Rule ID 22206 //
     /* 1368739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368817 */     // GIR_Coverage, 22206,
     /* 1368817 */     GIR_EraseRootFromParent_Done,
     /* 1368818 */   // Label 19457: @1368818
     /* 1368818 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1368902), // Rule ID 22207 //
     /* 1368823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368901 */     // GIR_Coverage, 22207,
     /* 1368901 */     GIR_EraseRootFromParent_Done,
     /* 1368902 */   // Label 19458: @1368902
     /* 1368902 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1368986), // Rule ID 22210 //
     /* 1368907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1368963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368985 */     // GIR_Coverage, 22210,
     /* 1368985 */     GIR_EraseRootFromParent_Done,
     /* 1368986 */   // Label 19459: @1368986
     /* 1368986 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1369070), // Rule ID 22211 //
     /* 1368991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1369008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1369047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369069 */     // GIR_Coverage, 22211,
     /* 1369069 */     GIR_EraseRootFromParent_Done,
     /* 1369070 */   // Label 19460: @1369070
     /* 1369070 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1369154), // Rule ID 22214 //
     /* 1369075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1369092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1369131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369153 */     // GIR_Coverage, 22214,
     /* 1369153 */     GIR_EraseRootFromParent_Done,
     /* 1369154 */   // Label 19461: @1369154
     /* 1369154 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1369238), // Rule ID 22215 //
     /* 1369159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1369176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1369215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369237 */     // GIR_Coverage, 22215,
     /* 1369237 */     GIR_EraseRootFromParent_Done,
     /* 1369238 */   // Label 19462: @1369238
     /* 1369238 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1369322), // Rule ID 22218 //
     /* 1369243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1369299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369321 */     // GIR_Coverage, 22218,
     /* 1369321 */     GIR_EraseRootFromParent_Done,
     /* 1369322 */   // Label 19463: @1369322
     /* 1369322 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1369406), // Rule ID 22219 //
     /* 1369327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1369383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369405 */     // GIR_Coverage, 22219,
     /* 1369405 */     GIR_EraseRootFromParent_Done,
     /* 1369406 */   // Label 19464: @1369406
     /* 1369406 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1369490), // Rule ID 22222 //
     /* 1369411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369489 */     // GIR_Coverage, 22222,
     /* 1369489 */     GIR_EraseRootFromParent_Done,
     /* 1369490 */   // Label 19465: @1369490
     /* 1369490 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1369574), // Rule ID 22223 //
     /* 1369495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369573 */     // GIR_Coverage, 22223,
     /* 1369573 */     GIR_EraseRootFromParent_Done,
     /* 1369574 */   // Label 19466: @1369574
     /* 1369574 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1369658), // Rule ID 22226 //
     /* 1369579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369657 */     // GIR_Coverage, 22226,
     /* 1369657 */     GIR_EraseRootFromParent_Done,
     /* 1369658 */   // Label 19467: @1369658
     /* 1369658 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1369742), // Rule ID 22227 //
     /* 1369663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369716 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369741 */     // GIR_Coverage, 22227,
     /* 1369741 */     GIR_EraseRootFromParent_Done,
     /* 1369742 */   // Label 19468: @1369742
     /* 1369742 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1369826), // Rule ID 22230 //
     /* 1369747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369825 */     // GIR_Coverage, 22230,
     /* 1369825 */     GIR_EraseRootFromParent_Done,
     /* 1369826 */   // Label 19469: @1369826
     /* 1369826 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1369910), // Rule ID 22231 //
     /* 1369831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369909 */     // GIR_Coverage, 22231,
     /* 1369909 */     GIR_EraseRootFromParent_Done,
     /* 1369910 */   // Label 19470: @1369910
     /* 1369910 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1369994), // Rule ID 22234 //
     /* 1369915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1369971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369993 */     // GIR_Coverage, 22234,
     /* 1369993 */     GIR_EraseRootFromParent_Done,
     /* 1369994 */   // Label 19471: @1369994
     /* 1369994 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1370078), // Rule ID 22235 //
     /* 1369999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1370016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1370055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370077 */     // GIR_Coverage, 22235,
     /* 1370077 */     GIR_EraseRootFromParent_Done,
     /* 1370078 */   // Label 19472: @1370078
     /* 1370078 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1370162), // Rule ID 22238 //
     /* 1370083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1370100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1370139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370161 */     // GIR_Coverage, 22238,
     /* 1370161 */     GIR_EraseRootFromParent_Done,
     /* 1370162 */   // Label 19473: @1370162
     /* 1370162 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1370246), // Rule ID 22239 //
     /* 1370167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1370184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1370223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370245 */     // GIR_Coverage, 22239,
     /* 1370245 */     GIR_EraseRootFromParent_Done,
     /* 1370246 */   // Label 19474: @1370246
     /* 1370246 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1370330), // Rule ID 22242 //
     /* 1370251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1370307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370329 */     // GIR_Coverage, 22242,
     /* 1370329 */     GIR_EraseRootFromParent_Done,
     /* 1370330 */   // Label 19475: @1370330
     /* 1370330 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1370414), // Rule ID 22243 //
     /* 1370335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1370391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370413 */     // GIR_Coverage, 22243,
     /* 1370413 */     GIR_EraseRootFromParent_Done,
     /* 1370414 */   // Label 19476: @1370414
     /* 1370414 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1370498), // Rule ID 22246 //
     /* 1370419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370497 */     // GIR_Coverage, 22246,
     /* 1370497 */     GIR_EraseRootFromParent_Done,
     /* 1370498 */   // Label 19477: @1370498
     /* 1370498 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1370582), // Rule ID 22247 //
     /* 1370503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370581 */     // GIR_Coverage, 22247,
     /* 1370581 */     GIR_EraseRootFromParent_Done,
     /* 1370582 */   // Label 19478: @1370582
     /* 1370582 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1370666), // Rule ID 22250 //
     /* 1370587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370665 */     // GIR_Coverage, 22250,
     /* 1370665 */     GIR_EraseRootFromParent_Done,
     /* 1370666 */   // Label 19479: @1370666
     /* 1370666 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1370750), // Rule ID 22251 //
     /* 1370671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370749 */     // GIR_Coverage, 22251,
     /* 1370749 */     GIR_EraseRootFromParent_Done,
     /* 1370750 */   // Label 19480: @1370750
     /* 1370750 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1370834), // Rule ID 22254 //
     /* 1370755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370833 */     // GIR_Coverage, 22254,
     /* 1370833 */     GIR_EraseRootFromParent_Done,
     /* 1370834 */   // Label 19481: @1370834
     /* 1370834 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1370918), // Rule ID 22255 //
     /* 1370839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370917 */     // GIR_Coverage, 22255,
     /* 1370917 */     GIR_EraseRootFromParent_Done,
     /* 1370918 */   // Label 19482: @1370918
     /* 1370918 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1371002), // Rule ID 22258 //
     /* 1370923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1370979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371001 */     // GIR_Coverage, 22258,
     /* 1371001 */     GIR_EraseRootFromParent_Done,
     /* 1371002 */   // Label 19483: @1371002
     /* 1371002 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1371086), // Rule ID 22259 //
     /* 1371007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1371024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1371063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371085 */     // GIR_Coverage, 22259,
     /* 1371085 */     GIR_EraseRootFromParent_Done,
     /* 1371086 */   // Label 19484: @1371086
     /* 1371086 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1371170), // Rule ID 22262 //
     /* 1371091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1371108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1371147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371169 */     // GIR_Coverage, 22262,
     /* 1371169 */     GIR_EraseRootFromParent_Done,
     /* 1371170 */   // Label 19485: @1371170
     /* 1371170 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1371254), // Rule ID 22263 //
     /* 1371175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1371192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1371231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371253 */     // GIR_Coverage, 22263,
     /* 1371253 */     GIR_EraseRootFromParent_Done,
     /* 1371254 */   // Label 19486: @1371254
     /* 1371254 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1371338), // Rule ID 22266 //
     /* 1371259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1371315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371337 */     // GIR_Coverage, 22266,
     /* 1371337 */     GIR_EraseRootFromParent_Done,
     /* 1371338 */   // Label 19487: @1371338
     /* 1371338 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1371422), // Rule ID 22267 //
     /* 1371343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1371399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371421 */     // GIR_Coverage, 22267,
     /* 1371421 */     GIR_EraseRootFromParent_Done,
     /* 1371422 */   // Label 19488: @1371422
     /* 1371422 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1371506), // Rule ID 22270 //
     /* 1371427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371505 */     // GIR_Coverage, 22270,
     /* 1371505 */     GIR_EraseRootFromParent_Done,
     /* 1371506 */   // Label 19489: @1371506
     /* 1371506 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1371590), // Rule ID 22271 //
     /* 1371511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371589 */     // GIR_Coverage, 22271,
     /* 1371589 */     GIR_EraseRootFromParent_Done,
     /* 1371590 */   // Label 19490: @1371590
     /* 1371590 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1371674), // Rule ID 22274 //
     /* 1371595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371673 */     // GIR_Coverage, 22274,
     /* 1371673 */     GIR_EraseRootFromParent_Done,
     /* 1371674 */   // Label 19491: @1371674
     /* 1371674 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1371758), // Rule ID 22275 //
     /* 1371679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371757 */     // GIR_Coverage, 22275,
     /* 1371757 */     GIR_EraseRootFromParent_Done,
     /* 1371758 */   // Label 19492: @1371758
     /* 1371758 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1371842), // Rule ID 22278 //
     /* 1371763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371841 */     // GIR_Coverage, 22278,
     /* 1371841 */     GIR_EraseRootFromParent_Done,
     /* 1371842 */   // Label 19493: @1371842
     /* 1371842 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1371926), // Rule ID 22279 //
     /* 1371847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371900 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371925 */     // GIR_Coverage, 22279,
     /* 1371925 */     GIR_EraseRootFromParent_Done,
     /* 1371926 */   // Label 19494: @1371926
     /* 1371926 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1372010), // Rule ID 22282 //
     /* 1371931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1371987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372009 */     // GIR_Coverage, 22282,
     /* 1372009 */     GIR_EraseRootFromParent_Done,
     /* 1372010 */   // Label 19495: @1372010
     /* 1372010 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1372094), // Rule ID 22283 //
     /* 1372015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1372032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1372071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372093 */     // GIR_Coverage, 22283,
     /* 1372093 */     GIR_EraseRootFromParent_Done,
     /* 1372094 */   // Label 19496: @1372094
     /* 1372094 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1372178), // Rule ID 22286 //
     /* 1372099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1372155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372177 */     // GIR_Coverage, 22286,
     /* 1372177 */     GIR_EraseRootFromParent_Done,
     /* 1372178 */   // Label 19497: @1372178
     /* 1372178 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1372262), // Rule ID 22287 //
     /* 1372183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1372239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372261 */     // GIR_Coverage, 22287,
     /* 1372261 */     GIR_EraseRootFromParent_Done,
     /* 1372262 */   // Label 19498: @1372262
     /* 1372262 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1372346), // Rule ID 22290 //
     /* 1372267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1372323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372345 */     // GIR_Coverage, 22290,
     /* 1372345 */     GIR_EraseRootFromParent_Done,
     /* 1372346 */   // Label 19499: @1372346
     /* 1372346 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1372430), // Rule ID 22291 //
     /* 1372351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1372407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372429 */     // GIR_Coverage, 22291,
     /* 1372429 */     GIR_EraseRootFromParent_Done,
     /* 1372430 */   // Label 19500: @1372430
     /* 1372430 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1372514), // Rule ID 22294 //
     /* 1372435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372513 */     // GIR_Coverage, 22294,
     /* 1372513 */     GIR_EraseRootFromParent_Done,
     /* 1372514 */   // Label 19501: @1372514
     /* 1372514 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1372598), // Rule ID 22295 //
     /* 1372519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372597 */     // GIR_Coverage, 22295,
     /* 1372597 */     GIR_EraseRootFromParent_Done,
     /* 1372598 */   // Label 19502: @1372598
     /* 1372598 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1372682), // Rule ID 22298 //
     /* 1372603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372681 */     // GIR_Coverage, 22298,
     /* 1372681 */     GIR_EraseRootFromParent_Done,
     /* 1372682 */   // Label 19503: @1372682
     /* 1372682 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1372766), // Rule ID 22299 //
     /* 1372687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372765 */     // GIR_Coverage, 22299,
     /* 1372765 */     GIR_EraseRootFromParent_Done,
     /* 1372766 */   // Label 19504: @1372766
     /* 1372766 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1372850), // Rule ID 22302 //
     /* 1372771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372849 */     // GIR_Coverage, 22302,
     /* 1372849 */     GIR_EraseRootFromParent_Done,
     /* 1372850 */   // Label 19505: @1372850
     /* 1372850 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1372934), // Rule ID 22303 //
     /* 1372855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372933 */     // GIR_Coverage, 22303,
     /* 1372933 */     GIR_EraseRootFromParent_Done,
     /* 1372934 */   // Label 19506: @1372934
     /* 1372934 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1373018), // Rule ID 22306 //
     /* 1372939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1372995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373017 */     // GIR_Coverage, 22306,
     /* 1373017 */     GIR_EraseRootFromParent_Done,
     /* 1373018 */   // Label 19507: @1373018
     /* 1373018 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1373102), // Rule ID 22307 //
     /* 1373023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1373040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1373079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373101 */     // GIR_Coverage, 22307,
     /* 1373101 */     GIR_EraseRootFromParent_Done,
     /* 1373102 */   // Label 19508: @1373102
     /* 1373102 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1373186), // Rule ID 22310 //
     /* 1373107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1373124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373160 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1373163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373185 */     // GIR_Coverage, 22310,
     /* 1373185 */     GIR_EraseRootFromParent_Done,
     /* 1373186 */   // Label 19509: @1373186
     /* 1373186 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1373270), // Rule ID 22311 //
     /* 1373191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1373208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373244 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1373247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373269 */     // GIR_Coverage, 22311,
     /* 1373269 */     GIR_EraseRootFromParent_Done,
     /* 1373270 */   // Label 19510: @1373270
     /* 1373270 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1373354), // Rule ID 22314 //
     /* 1373275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1373331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373353 */     // GIR_Coverage, 22314,
     /* 1373353 */     GIR_EraseRootFromParent_Done,
     /* 1373354 */   // Label 19511: @1373354
     /* 1373354 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1373438), // Rule ID 22315 //
     /* 1373359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1373415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373437 */     // GIR_Coverage, 22315,
     /* 1373437 */     GIR_EraseRootFromParent_Done,
     /* 1373438 */   // Label 19512: @1373438
     /* 1373438 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1373522), // Rule ID 22318 //
     /* 1373443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373521 */     // GIR_Coverage, 22318,
     /* 1373521 */     GIR_EraseRootFromParent_Done,
     /* 1373522 */   // Label 19513: @1373522
     /* 1373522 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1373606), // Rule ID 22319 //
     /* 1373527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373605 */     // GIR_Coverage, 22319,
     /* 1373605 */     GIR_EraseRootFromParent_Done,
     /* 1373606 */   // Label 19514: @1373606
     /* 1373606 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1373690), // Rule ID 22322 //
     /* 1373611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373689 */     // GIR_Coverage, 22322,
     /* 1373689 */     GIR_EraseRootFromParent_Done,
     /* 1373690 */   // Label 19515: @1373690
     /* 1373690 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1373774), // Rule ID 22323 //
     /* 1373695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373773 */     // GIR_Coverage, 22323,
     /* 1373773 */     GIR_EraseRootFromParent_Done,
     /* 1373774 */   // Label 19516: @1373774
     /* 1373774 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1373858), // Rule ID 22326 //
     /* 1373779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373857 */     // GIR_Coverage, 22326,
     /* 1373857 */     GIR_EraseRootFromParent_Done,
     /* 1373858 */   // Label 19517: @1373858
     /* 1373858 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1373942), // Rule ID 22327 //
     /* 1373863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373941 */     // GIR_Coverage, 22327,
     /* 1373941 */     GIR_EraseRootFromParent_Done,
     /* 1373942 */   // Label 19518: @1373942
     /* 1373942 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1374026), // Rule ID 22330 //
     /* 1373947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1374003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374025 */     // GIR_Coverage, 22330,
     /* 1374025 */     GIR_EraseRootFromParent_Done,
     /* 1374026 */   // Label 19519: @1374026
     /* 1374026 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1374110), // Rule ID 22331 //
     /* 1374031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1374048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1374087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374109 */     // GIR_Coverage, 22331,
     /* 1374109 */     GIR_EraseRootFromParent_Done,
     /* 1374110 */   // Label 19520: @1374110
     /* 1374110 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1374194), // Rule ID 22334 //
     /* 1374115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1374132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1374171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374193 */     // GIR_Coverage, 22334,
     /* 1374193 */     GIR_EraseRootFromParent_Done,
     /* 1374194 */   // Label 19521: @1374194
     /* 1374194 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1374278), // Rule ID 22335 //
     /* 1374199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1374216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1374255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374277 */     // GIR_Coverage, 22335,
     /* 1374277 */     GIR_EraseRootFromParent_Done,
     /* 1374278 */   // Label 19522: @1374278
     /* 1374278 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1374362), // Rule ID 22338 //
     /* 1374283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1374339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374361 */     // GIR_Coverage, 22338,
     /* 1374361 */     GIR_EraseRootFromParent_Done,
     /* 1374362 */   // Label 19523: @1374362
     /* 1374362 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1374446), // Rule ID 22339 //
     /* 1374367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1374423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374445 */     // GIR_Coverage, 22339,
     /* 1374445 */     GIR_EraseRootFromParent_Done,
     /* 1374446 */   // Label 19524: @1374446
     /* 1374446 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1374530), // Rule ID 22342 //
     /* 1374451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374529 */     // GIR_Coverage, 22342,
     /* 1374529 */     GIR_EraseRootFromParent_Done,
     /* 1374530 */   // Label 19525: @1374530
     /* 1374530 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1374614), // Rule ID 22343 //
     /* 1374535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374613 */     // GIR_Coverage, 22343,
     /* 1374613 */     GIR_EraseRootFromParent_Done,
     /* 1374614 */   // Label 19526: @1374614
     /* 1374614 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1374698), // Rule ID 22346 //
     /* 1374619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374697 */     // GIR_Coverage, 22346,
     /* 1374697 */     GIR_EraseRootFromParent_Done,
     /* 1374698 */   // Label 19527: @1374698
     /* 1374698 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1374782), // Rule ID 22347 //
     /* 1374703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374781 */     // GIR_Coverage, 22347,
     /* 1374781 */     GIR_EraseRootFromParent_Done,
     /* 1374782 */   // Label 19528: @1374782
     /* 1374782 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1374866), // Rule ID 22350 //
     /* 1374787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374865 */     // GIR_Coverage, 22350,
     /* 1374865 */     GIR_EraseRootFromParent_Done,
     /* 1374866 */   // Label 19529: @1374866
     /* 1374866 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1374950), // Rule ID 22351 //
     /* 1374871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374949 */     // GIR_Coverage, 22351,
     /* 1374949 */     GIR_EraseRootFromParent_Done,
     /* 1374950 */   // Label 19530: @1374950
     /* 1374950 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1375034), // Rule ID 22354 //
     /* 1374955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1375011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375033 */     // GIR_Coverage, 22354,
     /* 1375033 */     GIR_EraseRootFromParent_Done,
     /* 1375034 */   // Label 19531: @1375034
     /* 1375034 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1375118), // Rule ID 22355 //
     /* 1375039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1375056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1375062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1375095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375117 */     // GIR_Coverage, 22355,
     /* 1375117 */     GIR_EraseRootFromParent_Done,
     /* 1375118 */   // Label 19532: @1375118
     /* 1375118 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1375202), // Rule ID 22358 //
     /* 1375123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1375140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1375179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375201 */     // GIR_Coverage, 22358,
     /* 1375201 */     GIR_EraseRootFromParent_Done,
     /* 1375202 */   // Label 19533: @1375202
     /* 1375202 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1375286), // Rule ID 22359 //
     /* 1375207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1375224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1375263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375285 */     // GIR_Coverage, 22359,
     /* 1375285 */     GIR_EraseRootFromParent_Done,
     /* 1375286 */   // Label 19534: @1375286
     /* 1375286 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1375370), // Rule ID 22362 //
     /* 1375291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1375347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375369 */     // GIR_Coverage, 22362,
     /* 1375369 */     GIR_EraseRootFromParent_Done,
     /* 1375370 */   // Label 19535: @1375370
     /* 1375370 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1375454), // Rule ID 22363 //
     /* 1375375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1375431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375453 */     // GIR_Coverage, 22363,
     /* 1375453 */     GIR_EraseRootFromParent_Done,
     /* 1375454 */   // Label 19536: @1375454
     /* 1375454 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1375538), // Rule ID 22366 //
     /* 1375459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375537 */     // GIR_Coverage, 22366,
     /* 1375537 */     GIR_EraseRootFromParent_Done,
     /* 1375538 */   // Label 19537: @1375538
     /* 1375538 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1375622), // Rule ID 22367 //
     /* 1375543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375621 */     // GIR_Coverage, 22367,
     /* 1375621 */     GIR_EraseRootFromParent_Done,
     /* 1375622 */   // Label 19538: @1375622
     /* 1375622 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1375706), // Rule ID 22370 //
     /* 1375627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375705 */     // GIR_Coverage, 22370,
     /* 1375705 */     GIR_EraseRootFromParent_Done,
     /* 1375706 */   // Label 19539: @1375706
     /* 1375706 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1375790), // Rule ID 22371 //
     /* 1375711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375789 */     // GIR_Coverage, 22371,
     /* 1375789 */     GIR_EraseRootFromParent_Done,
     /* 1375790 */   // Label 19540: @1375790
     /* 1375790 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1375874), // Rule ID 22374 //
     /* 1375795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375873 */     // GIR_Coverage, 22374,
     /* 1375873 */     GIR_EraseRootFromParent_Done,
     /* 1375874 */   // Label 19541: @1375874
     /* 1375874 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1375958), // Rule ID 22375 //
     /* 1375879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375957 */     // GIR_Coverage, 22375,
     /* 1375957 */     GIR_EraseRootFromParent_Done,
     /* 1375958 */   // Label 19542: @1375958
     /* 1375958 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1376042), // Rule ID 22378 //
     /* 1375963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1376019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376041 */     // GIR_Coverage, 22378,
     /* 1376041 */     GIR_EraseRootFromParent_Done,
     /* 1376042 */   // Label 19543: @1376042
     /* 1376042 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1376126), // Rule ID 22379 //
     /* 1376047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1376064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1376103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376125 */     // GIR_Coverage, 22379,
     /* 1376125 */     GIR_EraseRootFromParent_Done,
     /* 1376126 */   // Label 19544: @1376126
     /* 1376126 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1376210), // Rule ID 22382 //
     /* 1376131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1376148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1376187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376209 */     // GIR_Coverage, 22382,
     /* 1376209 */     GIR_EraseRootFromParent_Done,
     /* 1376210 */   // Label 19545: @1376210
     /* 1376210 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1376294), // Rule ID 22383 //
     /* 1376215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1376232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1376271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376293 */     // GIR_Coverage, 22383,
     /* 1376293 */     GIR_EraseRootFromParent_Done,
     /* 1376294 */   // Label 19546: @1376294
     /* 1376294 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1376378), // Rule ID 22386 //
     /* 1376299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1376355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376377 */     // GIR_Coverage, 22386,
     /* 1376377 */     GIR_EraseRootFromParent_Done,
     /* 1376378 */   // Label 19547: @1376378
     /* 1376378 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1376462), // Rule ID 22387 //
     /* 1376383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1376439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376461 */     // GIR_Coverage, 22387,
     /* 1376461 */     GIR_EraseRootFromParent_Done,
     /* 1376462 */   // Label 19548: @1376462
     /* 1376462 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1376546), // Rule ID 22390 //
     /* 1376467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376520 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376545 */     // GIR_Coverage, 22390,
     /* 1376545 */     GIR_EraseRootFromParent_Done,
     /* 1376546 */   // Label 19549: @1376546
     /* 1376546 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1376630), // Rule ID 22391 //
     /* 1376551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376629 */     // GIR_Coverage, 22391,
     /* 1376629 */     GIR_EraseRootFromParent_Done,
     /* 1376630 */   // Label 19550: @1376630
     /* 1376630 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1376714), // Rule ID 22394 //
     /* 1376635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376713 */     // GIR_Coverage, 22394,
     /* 1376713 */     GIR_EraseRootFromParent_Done,
     /* 1376714 */   // Label 19551: @1376714
     /* 1376714 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1376798), // Rule ID 22395 //
     /* 1376719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376797 */     // GIR_Coverage, 22395,
     /* 1376797 */     GIR_EraseRootFromParent_Done,
     /* 1376798 */   // Label 19552: @1376798
     /* 1376798 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1376882), // Rule ID 22398 //
     /* 1376803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376881 */     // GIR_Coverage, 22398,
     /* 1376881 */     GIR_EraseRootFromParent_Done,
     /* 1376882 */   // Label 19553: @1376882
     /* 1376882 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1376966), // Rule ID 22399 //
     /* 1376887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376965 */     // GIR_Coverage, 22399,
     /* 1376965 */     GIR_EraseRootFromParent_Done,
     /* 1376966 */   // Label 19554: @1376966
     /* 1376966 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1377050), // Rule ID 22402 //
     /* 1376971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1377027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377049 */     // GIR_Coverage, 22402,
     /* 1377049 */     GIR_EraseRootFromParent_Done,
     /* 1377050 */   // Label 19555: @1377050
     /* 1377050 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1377134), // Rule ID 22403 //
     /* 1377055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1377072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1377111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377133 */     // GIR_Coverage, 22403,
     /* 1377133 */     GIR_EraseRootFromParent_Done,
     /* 1377134 */   // Label 19556: @1377134
     /* 1377134 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1377218), // Rule ID 22406 //
     /* 1377139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1377156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1377195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377217 */     // GIR_Coverage, 22406,
     /* 1377217 */     GIR_EraseRootFromParent_Done,
     /* 1377218 */   // Label 19557: @1377218
     /* 1377218 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1377302), // Rule ID 22407 //
     /* 1377223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1377240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1377279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377301 */     // GIR_Coverage, 22407,
     /* 1377301 */     GIR_EraseRootFromParent_Done,
     /* 1377302 */   // Label 19558: @1377302
     /* 1377302 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1377386), // Rule ID 22410 //
     /* 1377307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1377363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377385 */     // GIR_Coverage, 22410,
     /* 1377385 */     GIR_EraseRootFromParent_Done,
     /* 1377386 */   // Label 19559: @1377386
     /* 1377386 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1377470), // Rule ID 22411 //
     /* 1377391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1377447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377469 */     // GIR_Coverage, 22411,
     /* 1377469 */     GIR_EraseRootFromParent_Done,
     /* 1377470 */   // Label 19560: @1377470
     /* 1377470 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1377554), // Rule ID 22414 //
     /* 1377475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377553 */     // GIR_Coverage, 22414,
     /* 1377553 */     GIR_EraseRootFromParent_Done,
     /* 1377554 */   // Label 19561: @1377554
     /* 1377554 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1377638), // Rule ID 22415 //
     /* 1377559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377637 */     // GIR_Coverage, 22415,
     /* 1377637 */     GIR_EraseRootFromParent_Done,
     /* 1377638 */   // Label 19562: @1377638
     /* 1377638 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1377722), // Rule ID 22418 //
     /* 1377643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377721 */     // GIR_Coverage, 22418,
     /* 1377721 */     GIR_EraseRootFromParent_Done,
     /* 1377722 */   // Label 19563: @1377722
     /* 1377722 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1377806), // Rule ID 22419 //
     /* 1377727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377805 */     // GIR_Coverage, 22419,
     /* 1377805 */     GIR_EraseRootFromParent_Done,
     /* 1377806 */   // Label 19564: @1377806
     /* 1377806 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1377890), // Rule ID 22422 //
     /* 1377811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377889 */     // GIR_Coverage, 22422,
     /* 1377889 */     GIR_EraseRootFromParent_Done,
     /* 1377890 */   // Label 19565: @1377890
     /* 1377890 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1377974), // Rule ID 22423 //
     /* 1377895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377973 */     // GIR_Coverage, 22423,
     /* 1377973 */     GIR_EraseRootFromParent_Done,
     /* 1377974 */   // Label 19566: @1377974
     /* 1377974 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1378058), // Rule ID 22426 //
     /* 1377979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1378035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378057 */     // GIR_Coverage, 22426,
     /* 1378057 */     GIR_EraseRootFromParent_Done,
     /* 1378058 */   // Label 19567: @1378058
     /* 1378058 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1378142), // Rule ID 22427 //
     /* 1378063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1378080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1378119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378141 */     // GIR_Coverage, 22427,
     /* 1378141 */     GIR_EraseRootFromParent_Done,
     /* 1378142 */   // Label 19568: @1378142
     /* 1378142 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1378226), // Rule ID 22430 //
     /* 1378147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1378203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378225 */     // GIR_Coverage, 22430,
     /* 1378225 */     GIR_EraseRootFromParent_Done,
     /* 1378226 */   // Label 19569: @1378226
     /* 1378226 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1378310), // Rule ID 22431 //
     /* 1378231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1378287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378309 */     // GIR_Coverage, 22431,
     /* 1378309 */     GIR_EraseRootFromParent_Done,
     /* 1378310 */   // Label 19570: @1378310
     /* 1378310 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1378394), // Rule ID 22434 //
     /* 1378315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1378371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378393 */     // GIR_Coverage, 22434,
     /* 1378393 */     GIR_EraseRootFromParent_Done,
     /* 1378394 */   // Label 19571: @1378394
     /* 1378394 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1378478), // Rule ID 22435 //
     /* 1378399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1378455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378477 */     // GIR_Coverage, 22435,
     /* 1378477 */     GIR_EraseRootFromParent_Done,
     /* 1378478 */   // Label 19572: @1378478
     /* 1378478 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1378562), // Rule ID 22438 //
     /* 1378483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378561 */     // GIR_Coverage, 22438,
     /* 1378561 */     GIR_EraseRootFromParent_Done,
     /* 1378562 */   // Label 19573: @1378562
     /* 1378562 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1378646), // Rule ID 22439 //
     /* 1378567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378645 */     // GIR_Coverage, 22439,
     /* 1378645 */     GIR_EraseRootFromParent_Done,
     /* 1378646 */   // Label 19574: @1378646
     /* 1378646 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1378730), // Rule ID 22442 //
     /* 1378651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378729 */     // GIR_Coverage, 22442,
     /* 1378729 */     GIR_EraseRootFromParent_Done,
     /* 1378730 */   // Label 19575: @1378730
     /* 1378730 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1378814), // Rule ID 22443 //
     /* 1378735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378813 */     // GIR_Coverage, 22443,
     /* 1378813 */     GIR_EraseRootFromParent_Done,
     /* 1378814 */   // Label 19576: @1378814
     /* 1378814 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1378898), // Rule ID 22446 //
     /* 1378819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378897 */     // GIR_Coverage, 22446,
     /* 1378897 */     GIR_EraseRootFromParent_Done,
     /* 1378898 */   // Label 19577: @1378898
     /* 1378898 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1378982), // Rule ID 22447 //
     /* 1378903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378981 */     // GIR_Coverage, 22447,
     /* 1378981 */     GIR_EraseRootFromParent_Done,
     /* 1378982 */   // Label 19578: @1378982
     /* 1378982 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1379066), // Rule ID 22450 //
     /* 1378987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1379004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1379043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379065 */     // GIR_Coverage, 22450,
     /* 1379065 */     GIR_EraseRootFromParent_Done,
     /* 1379066 */   // Label 19579: @1379066
     /* 1379066 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1379150), // Rule ID 22451 //
     /* 1379071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1379088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1379127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379149 */     // GIR_Coverage, 22451,
     /* 1379149 */     GIR_EraseRootFromParent_Done,
     /* 1379150 */   // Label 19580: @1379150
     /* 1379150 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1379234), // Rule ID 22454 //
     /* 1379155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1379172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1379211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379233 */     // GIR_Coverage, 22454,
     /* 1379233 */     GIR_EraseRootFromParent_Done,
     /* 1379234 */   // Label 19581: @1379234
     /* 1379234 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1379318), // Rule ID 22455 //
     /* 1379239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1379256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1379295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379317 */     // GIR_Coverage, 22455,
     /* 1379317 */     GIR_EraseRootFromParent_Done,
     /* 1379318 */   // Label 19582: @1379318
     /* 1379318 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1379402), // Rule ID 22458 //
     /* 1379323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1379379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379401 */     // GIR_Coverage, 22458,
     /* 1379401 */     GIR_EraseRootFromParent_Done,
     /* 1379402 */   // Label 19583: @1379402
     /* 1379402 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1379486), // Rule ID 22459 //
     /* 1379407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1379463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379485 */     // GIR_Coverage, 22459,
     /* 1379485 */     GIR_EraseRootFromParent_Done,
     /* 1379486 */   // Label 19584: @1379486
     /* 1379486 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1379570), // Rule ID 22462 //
     /* 1379491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379569 */     // GIR_Coverage, 22462,
     /* 1379569 */     GIR_EraseRootFromParent_Done,
     /* 1379570 */   // Label 19585: @1379570
     /* 1379570 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1379654), // Rule ID 22463 //
     /* 1379575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379653 */     // GIR_Coverage, 22463,
     /* 1379653 */     GIR_EraseRootFromParent_Done,
     /* 1379654 */   // Label 19586: @1379654
     /* 1379654 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1379738), // Rule ID 22466 //
     /* 1379659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379737 */     // GIR_Coverage, 22466,
     /* 1379737 */     GIR_EraseRootFromParent_Done,
     /* 1379738 */   // Label 19587: @1379738
     /* 1379738 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1379822), // Rule ID 22467 //
     /* 1379743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379821 */     // GIR_Coverage, 22467,
     /* 1379821 */     GIR_EraseRootFromParent_Done,
     /* 1379822 */   // Label 19588: @1379822
     /* 1379822 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1379906), // Rule ID 22470 //
     /* 1379827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379905 */     // GIR_Coverage, 22470,
     /* 1379905 */     GIR_EraseRootFromParent_Done,
     /* 1379906 */   // Label 19589: @1379906
     /* 1379906 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1379990), // Rule ID 22471 //
     /* 1379911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379989 */     // GIR_Coverage, 22471,
     /* 1379989 */     GIR_EraseRootFromParent_Done,
     /* 1379990 */   // Label 19590: @1379990
     /* 1379990 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1380074), // Rule ID 22474 //
     /* 1379995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1380012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1380051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380073 */     // GIR_Coverage, 22474,
     /* 1380073 */     GIR_EraseRootFromParent_Done,
     /* 1380074 */   // Label 19591: @1380074
     /* 1380074 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1380158), // Rule ID 22475 //
     /* 1380079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1380096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1380135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380157 */     // GIR_Coverage, 22475,
     /* 1380157 */     GIR_EraseRootFromParent_Done,
     /* 1380158 */   // Label 19592: @1380158
     /* 1380158 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1380242), // Rule ID 22478 //
     /* 1380163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1380166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1380219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380241 */     // GIR_Coverage, 22478,
     /* 1380241 */     GIR_EraseRootFromParent_Done,
     /* 1380242 */   // Label 19593: @1380242
     /* 1380242 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1380326), // Rule ID 22479 //
     /* 1380247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1380303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380325 */     // GIR_Coverage, 22479,
     /* 1380325 */     GIR_EraseRootFromParent_Done,
     /* 1380326 */   // Label 19594: @1380326
     /* 1380326 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1380410), // Rule ID 22482 //
     /* 1380331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1380387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380409 */     // GIR_Coverage, 22482,
     /* 1380409 */     GIR_EraseRootFromParent_Done,
     /* 1380410 */   // Label 19595: @1380410
     /* 1380410 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1380494), // Rule ID 22483 //
     /* 1380415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1380471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380493 */     // GIR_Coverage, 22483,
     /* 1380493 */     GIR_EraseRootFromParent_Done,
     /* 1380494 */   // Label 19596: @1380494
     /* 1380494 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1380578), // Rule ID 22486 //
     /* 1380499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380577 */     // GIR_Coverage, 22486,
     /* 1380577 */     GIR_EraseRootFromParent_Done,
     /* 1380578 */   // Label 19597: @1380578
     /* 1380578 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1380662), // Rule ID 22487 //
     /* 1380583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380661 */     // GIR_Coverage, 22487,
     /* 1380661 */     GIR_EraseRootFromParent_Done,
     /* 1380662 */   // Label 19598: @1380662
     /* 1380662 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1380746), // Rule ID 22490 //
     /* 1380667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380745 */     // GIR_Coverage, 22490,
     /* 1380745 */     GIR_EraseRootFromParent_Done,
     /* 1380746 */   // Label 19599: @1380746
     /* 1380746 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1380830), // Rule ID 22491 //
     /* 1380751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380804 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380829 */     // GIR_Coverage, 22491,
     /* 1380829 */     GIR_EraseRootFromParent_Done,
     /* 1380830 */   // Label 19600: @1380830
     /* 1380830 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1380914), // Rule ID 22494 //
     /* 1380835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380913 */     // GIR_Coverage, 22494,
     /* 1380913 */     GIR_EraseRootFromParent_Done,
     /* 1380914 */   // Label 19601: @1380914
     /* 1380914 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1380998), // Rule ID 22495 //
     /* 1380919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380997 */     // GIR_Coverage, 22495,
     /* 1380997 */     GIR_EraseRootFromParent_Done,
     /* 1380998 */   // Label 19602: @1380998
     /* 1380998 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1381082), // Rule ID 22498 //
     /* 1381003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1381059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381081 */     // GIR_Coverage, 22498,
     /* 1381081 */     GIR_EraseRootFromParent_Done,
     /* 1381082 */   // Label 19603: @1381082
     /* 1381082 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1381166), // Rule ID 22499 //
     /* 1381087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1381143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381165 */     // GIR_Coverage, 22499,
     /* 1381165 */     GIR_EraseRootFromParent_Done,
     /* 1381166 */   // Label 19604: @1381166
     /* 1381166 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1381250), // Rule ID 22502 //
     /* 1381171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1381227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381249 */     // GIR_Coverage, 22502,
     /* 1381249 */     GIR_EraseRootFromParent_Done,
     /* 1381250 */   // Label 19605: @1381250
     /* 1381250 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1381334), // Rule ID 22503 //
     /* 1381255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1381311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381333 */     // GIR_Coverage, 22503,
     /* 1381333 */     GIR_EraseRootFromParent_Done,
     /* 1381334 */   // Label 19606: @1381334
     /* 1381334 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1381418), // Rule ID 22506 //
     /* 1381339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1381395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381417 */     // GIR_Coverage, 22506,
     /* 1381417 */     GIR_EraseRootFromParent_Done,
     /* 1381418 */   // Label 19607: @1381418
     /* 1381418 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1381502), // Rule ID 22507 //
     /* 1381423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1381479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381501 */     // GIR_Coverage, 22507,
     /* 1381501 */     GIR_EraseRootFromParent_Done,
     /* 1381502 */   // Label 19608: @1381502
     /* 1381502 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1381586), // Rule ID 22510 //
     /* 1381507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381585 */     // GIR_Coverage, 22510,
     /* 1381585 */     GIR_EraseRootFromParent_Done,
     /* 1381586 */   // Label 19609: @1381586
     /* 1381586 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1381670), // Rule ID 22511 //
     /* 1381591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381669 */     // GIR_Coverage, 22511,
     /* 1381669 */     GIR_EraseRootFromParent_Done,
     /* 1381670 */   // Label 19610: @1381670
     /* 1381670 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1381754), // Rule ID 22514 //
     /* 1381675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381753 */     // GIR_Coverage, 22514,
     /* 1381753 */     GIR_EraseRootFromParent_Done,
     /* 1381754 */   // Label 19611: @1381754
     /* 1381754 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1381838), // Rule ID 22515 //
     /* 1381759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381837 */     // GIR_Coverage, 22515,
     /* 1381837 */     GIR_EraseRootFromParent_Done,
     /* 1381838 */   // Label 19612: @1381838
     /* 1381838 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1381922), // Rule ID 22518 //
     /* 1381843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381921 */     // GIR_Coverage, 22518,
     /* 1381921 */     GIR_EraseRootFromParent_Done,
     /* 1381922 */   // Label 19613: @1381922
     /* 1381922 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1382006), // Rule ID 22519 //
     /* 1381927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382005 */     // GIR_Coverage, 22519,
     /* 1382005 */     GIR_EraseRootFromParent_Done,
     /* 1382006 */   // Label 19614: @1382006
     /* 1382006 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1382090), // Rule ID 22522 //
     /* 1382011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1382067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382089 */     // GIR_Coverage, 22522,
     /* 1382089 */     GIR_EraseRootFromParent_Done,
     /* 1382090 */   // Label 19615: @1382090
     /* 1382090 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1382174), // Rule ID 22523 //
     /* 1382095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1382151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382173 */     // GIR_Coverage, 22523,
     /* 1382173 */     GIR_EraseRootFromParent_Done,
     /* 1382174 */   // Label 19616: @1382174
     /* 1382174 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1382258), // Rule ID 22526 //
     /* 1382179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1382235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382257 */     // GIR_Coverage, 22526,
     /* 1382257 */     GIR_EraseRootFromParent_Done,
     /* 1382258 */   // Label 19617: @1382258
     /* 1382258 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1382342), // Rule ID 22527 //
     /* 1382263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382316 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1382319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382341 */     // GIR_Coverage, 22527,
     /* 1382341 */     GIR_EraseRootFromParent_Done,
     /* 1382342 */   // Label 19618: @1382342
     /* 1382342 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1382426), // Rule ID 22530 //
     /* 1382347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382400 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1382403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382425 */     // GIR_Coverage, 22530,
     /* 1382425 */     GIR_EraseRootFromParent_Done,
     /* 1382426 */   // Label 19619: @1382426
     /* 1382426 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1382510), // Rule ID 22531 //
     /* 1382431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382484 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1382487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382509 */     // GIR_Coverage, 22531,
     /* 1382509 */     GIR_EraseRootFromParent_Done,
     /* 1382510 */   // Label 19620: @1382510
     /* 1382510 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1382594), // Rule ID 22534 //
     /* 1382515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382593 */     // GIR_Coverage, 22534,
     /* 1382593 */     GIR_EraseRootFromParent_Done,
     /* 1382594 */   // Label 19621: @1382594
     /* 1382594 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1382678), // Rule ID 22535 //
     /* 1382599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382677 */     // GIR_Coverage, 22535,
     /* 1382677 */     GIR_EraseRootFromParent_Done,
     /* 1382678 */   // Label 19622: @1382678
     /* 1382678 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1382762), // Rule ID 22538 //
     /* 1382683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382761 */     // GIR_Coverage, 22538,
     /* 1382761 */     GIR_EraseRootFromParent_Done,
     /* 1382762 */   // Label 19623: @1382762
     /* 1382762 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1382846), // Rule ID 22539 //
     /* 1382767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382845 */     // GIR_Coverage, 22539,
     /* 1382845 */     GIR_EraseRootFromParent_Done,
     /* 1382846 */   // Label 19624: @1382846
     /* 1382846 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1382930), // Rule ID 22542 //
     /* 1382851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382929 */     // GIR_Coverage, 22542,
     /* 1382929 */     GIR_EraseRootFromParent_Done,
     /* 1382930 */   // Label 19625: @1382930
     /* 1382930 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1383014), // Rule ID 22543 //
     /* 1382935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383013 */     // GIR_Coverage, 22543,
     /* 1383013 */     GIR_EraseRootFromParent_Done,
     /* 1383014 */   // Label 19626: @1383014
     /* 1383014 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1383098), // Rule ID 22546 //
     /* 1383019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1383075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383097 */     // GIR_Coverage, 22546,
     /* 1383097 */     GIR_EraseRootFromParent_Done,
     /* 1383098 */   // Label 19627: @1383098
     /* 1383098 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1383182), // Rule ID 22547 //
     /* 1383103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1383159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383181 */     // GIR_Coverage, 22547,
     /* 1383181 */     GIR_EraseRootFromParent_Done,
     /* 1383182 */   // Label 19628: @1383182
     /* 1383182 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1383266), // Rule ID 22550 //
     /* 1383187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1383243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383265 */     // GIR_Coverage, 22550,
     /* 1383265 */     GIR_EraseRootFromParent_Done,
     /* 1383266 */   // Label 19629: @1383266
     /* 1383266 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1383350), // Rule ID 22551 //
     /* 1383271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1383327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383349 */     // GIR_Coverage, 22551,
     /* 1383349 */     GIR_EraseRootFromParent_Done,
     /* 1383350 */   // Label 19630: @1383350
     /* 1383350 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1383434), // Rule ID 22554 //
     /* 1383355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1383411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383433 */     // GIR_Coverage, 22554,
     /* 1383433 */     GIR_EraseRootFromParent_Done,
     /* 1383434 */   // Label 19631: @1383434
     /* 1383434 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1383518), // Rule ID 22555 //
     /* 1383439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1383495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383517 */     // GIR_Coverage, 22555,
     /* 1383517 */     GIR_EraseRootFromParent_Done,
     /* 1383518 */   // Label 19632: @1383518
     /* 1383518 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1383602), // Rule ID 22558 //
     /* 1383523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383601 */     // GIR_Coverage, 22558,
     /* 1383601 */     GIR_EraseRootFromParent_Done,
     /* 1383602 */   // Label 19633: @1383602
     /* 1383602 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1383686), // Rule ID 22559 //
     /* 1383607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383685 */     // GIR_Coverage, 22559,
     /* 1383685 */     GIR_EraseRootFromParent_Done,
     /* 1383686 */   // Label 19634: @1383686
     /* 1383686 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1383770), // Rule ID 22562 //
     /* 1383691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383769 */     // GIR_Coverage, 22562,
     /* 1383769 */     GIR_EraseRootFromParent_Done,
     /* 1383770 */   // Label 19635: @1383770
     /* 1383770 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1383854), // Rule ID 22563 //
     /* 1383775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383853 */     // GIR_Coverage, 22563,
     /* 1383853 */     GIR_EraseRootFromParent_Done,
     /* 1383854 */   // Label 19636: @1383854
     /* 1383854 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1383938), // Rule ID 22566 //
     /* 1383859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383937 */     // GIR_Coverage, 22566,
     /* 1383937 */     GIR_EraseRootFromParent_Done,
     /* 1383938 */   // Label 19637: @1383938
     /* 1383938 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1384022), // Rule ID 22567 //
     /* 1383943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384021 */     // GIR_Coverage, 22567,
     /* 1384021 */     GIR_EraseRootFromParent_Done,
     /* 1384022 */   // Label 19638: @1384022
     /* 1384022 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1384106), // Rule ID 22570 //
     /* 1384027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1384083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384105 */     // GIR_Coverage, 22570,
     /* 1384105 */     GIR_EraseRootFromParent_Done,
     /* 1384106 */   // Label 19639: @1384106
     /* 1384106 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1384190), // Rule ID 22571 //
     /* 1384111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1384167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384189 */     // GIR_Coverage, 22571,
     /* 1384189 */     GIR_EraseRootFromParent_Done,
     /* 1384190 */   // Label 19640: @1384190
     /* 1384190 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1384274), // Rule ID 22574 //
     /* 1384195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1384251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384273 */     // GIR_Coverage, 22574,
     /* 1384273 */     GIR_EraseRootFromParent_Done,
     /* 1384274 */   // Label 19641: @1384274
     /* 1384274 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1384358), // Rule ID 22575 //
     /* 1384279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1384335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384357 */     // GIR_Coverage, 22575,
     /* 1384357 */     GIR_EraseRootFromParent_Done,
     /* 1384358 */   // Label 19642: @1384358
     /* 1384358 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1384442), // Rule ID 22578 //
     /* 1384363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1384419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384441 */     // GIR_Coverage, 22578,
     /* 1384441 */     GIR_EraseRootFromParent_Done,
     /* 1384442 */   // Label 19643: @1384442
     /* 1384442 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1384526), // Rule ID 22579 //
     /* 1384447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384500 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1384503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384525 */     // GIR_Coverage, 22579,
     /* 1384525 */     GIR_EraseRootFromParent_Done,
     /* 1384526 */   // Label 19644: @1384526
     /* 1384526 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1384610), // Rule ID 22582 //
     /* 1384531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384609 */     // GIR_Coverage, 22582,
     /* 1384609 */     GIR_EraseRootFromParent_Done,
     /* 1384610 */   // Label 19645: @1384610
     /* 1384610 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1384694), // Rule ID 22583 //
     /* 1384615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384693 */     // GIR_Coverage, 22583,
     /* 1384693 */     GIR_EraseRootFromParent_Done,
     /* 1384694 */   // Label 19646: @1384694
     /* 1384694 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1384778), // Rule ID 22586 //
     /* 1384699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384777 */     // GIR_Coverage, 22586,
     /* 1384777 */     GIR_EraseRootFromParent_Done,
     /* 1384778 */   // Label 19647: @1384778
     /* 1384778 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1384862), // Rule ID 22587 //
     /* 1384783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384861 */     // GIR_Coverage, 22587,
     /* 1384861 */     GIR_EraseRootFromParent_Done,
     /* 1384862 */   // Label 19648: @1384862
     /* 1384862 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1384946), // Rule ID 22590 //
     /* 1384867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1384923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384945 */     // GIR_Coverage, 22590,
     /* 1384945 */     GIR_EraseRootFromParent_Done,
     /* 1384946 */   // Label 19649: @1384946
     /* 1384946 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1385030), // Rule ID 22591 //
     /* 1384951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1385007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385029 */     // GIR_Coverage, 22591,
     /* 1385029 */     GIR_EraseRootFromParent_Done,
     /* 1385030 */   // Label 19650: @1385030
     /* 1385030 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1385114), // Rule ID 22594 //
     /* 1385035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1385091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385113 */     // GIR_Coverage, 22594,
     /* 1385113 */     GIR_EraseRootFromParent_Done,
     /* 1385114 */   // Label 19651: @1385114
     /* 1385114 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1385198), // Rule ID 22595 //
     /* 1385119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1385175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385197 */     // GIR_Coverage, 22595,
     /* 1385197 */     GIR_EraseRootFromParent_Done,
     /* 1385198 */   // Label 19652: @1385198
     /* 1385198 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1385282), // Rule ID 22598 //
     /* 1385203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1385259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385281 */     // GIR_Coverage, 22598,
     /* 1385281 */     GIR_EraseRootFromParent_Done,
     /* 1385282 */   // Label 19653: @1385282
     /* 1385282 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1385366), // Rule ID 22599 //
     /* 1385287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1385343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385365 */     // GIR_Coverage, 22599,
     /* 1385365 */     GIR_EraseRootFromParent_Done,
     /* 1385366 */   // Label 19654: @1385366
     /* 1385366 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1385450), // Rule ID 22602 //
     /* 1385371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1385427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385449 */     // GIR_Coverage, 22602,
     /* 1385449 */     GIR_EraseRootFromParent_Done,
     /* 1385450 */   // Label 19655: @1385450
     /* 1385450 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1385534), // Rule ID 22603 //
     /* 1385455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1385511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385533 */     // GIR_Coverage, 22603,
     /* 1385533 */     GIR_EraseRootFromParent_Done,
     /* 1385534 */   // Label 19656: @1385534
     /* 1385534 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1385618), // Rule ID 22606 //
     /* 1385539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385617 */     // GIR_Coverage, 22606,
     /* 1385617 */     GIR_EraseRootFromParent_Done,
     /* 1385618 */   // Label 19657: @1385618
     /* 1385618 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1385702), // Rule ID 22607 //
     /* 1385623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385701 */     // GIR_Coverage, 22607,
     /* 1385701 */     GIR_EraseRootFromParent_Done,
     /* 1385702 */   // Label 19658: @1385702
     /* 1385702 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1385786), // Rule ID 22610 //
     /* 1385707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385760 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385785 */     // GIR_Coverage, 22610,
     /* 1385785 */     GIR_EraseRootFromParent_Done,
     /* 1385786 */   // Label 19659: @1385786
     /* 1385786 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1385870), // Rule ID 22611 //
     /* 1385791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385869 */     // GIR_Coverage, 22611,
     /* 1385869 */     GIR_EraseRootFromParent_Done,
     /* 1385870 */   // Label 19660: @1385870
     /* 1385870 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1385954), // Rule ID 22614 //
     /* 1385875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1385931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385953 */     // GIR_Coverage, 22614,
     /* 1385953 */     GIR_EraseRootFromParent_Done,
     /* 1385954 */   // Label 19661: @1385954
     /* 1385954 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1386038), // Rule ID 22615 //
     /* 1385959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1386015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386037 */     // GIR_Coverage, 22615,
     /* 1386037 */     GIR_EraseRootFromParent_Done,
     /* 1386038 */   // Label 19662: @1386038
     /* 1386038 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1386122), // Rule ID 22618 //
     /* 1386043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1386099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386121 */     // GIR_Coverage, 22618,
     /* 1386121 */     GIR_EraseRootFromParent_Done,
     /* 1386122 */   // Label 19663: @1386122
     /* 1386122 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1386206), // Rule ID 22619 //
     /* 1386127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1386183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386205 */     // GIR_Coverage, 22619,
     /* 1386205 */     GIR_EraseRootFromParent_Done,
     /* 1386206 */   // Label 19664: @1386206
     /* 1386206 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1386290), // Rule ID 22622 //
     /* 1386211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1386267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386289 */     // GIR_Coverage, 22622,
     /* 1386289 */     GIR_EraseRootFromParent_Done,
     /* 1386290 */   // Label 19665: @1386290
     /* 1386290 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1386374), // Rule ID 22623 //
     /* 1386295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1386351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386373 */     // GIR_Coverage, 22623,
     /* 1386373 */     GIR_EraseRootFromParent_Done,
     /* 1386374 */   // Label 19666: @1386374
     /* 1386374 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1386458), // Rule ID 22626 //
     /* 1386379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1386435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386457 */     // GIR_Coverage, 22626,
     /* 1386457 */     GIR_EraseRootFromParent_Done,
     /* 1386458 */   // Label 19667: @1386458
     /* 1386458 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1386542), // Rule ID 22627 //
     /* 1386463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1386519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386541 */     // GIR_Coverage, 22627,
     /* 1386541 */     GIR_EraseRootFromParent_Done,
     /* 1386542 */   // Label 19668: @1386542
     /* 1386542 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1386626), // Rule ID 22630 //
     /* 1386547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386600 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386625 */     // GIR_Coverage, 22630,
     /* 1386625 */     GIR_EraseRootFromParent_Done,
     /* 1386626 */   // Label 19669: @1386626
     /* 1386626 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1386710), // Rule ID 22631 //
     /* 1386631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386709 */     // GIR_Coverage, 22631,
     /* 1386709 */     GIR_EraseRootFromParent_Done,
     /* 1386710 */   // Label 19670: @1386710
     /* 1386710 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1386794), // Rule ID 22634 //
     /* 1386715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386793 */     // GIR_Coverage, 22634,
     /* 1386793 */     GIR_EraseRootFromParent_Done,
     /* 1386794 */   // Label 19671: @1386794
     /* 1386794 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1386878), // Rule ID 22635 //
     /* 1386799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386877 */     // GIR_Coverage, 22635,
     /* 1386877 */     GIR_EraseRootFromParent_Done,
     /* 1386878 */   // Label 19672: @1386878
     /* 1386878 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1386962), // Rule ID 22638 //
     /* 1386883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1386939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386961 */     // GIR_Coverage, 22638,
     /* 1386961 */     GIR_EraseRootFromParent_Done,
     /* 1386962 */   // Label 19673: @1386962
     /* 1386962 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1387046), // Rule ID 22639 //
     /* 1386967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1387023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387045 */     // GIR_Coverage, 22639,
     /* 1387045 */     GIR_EraseRootFromParent_Done,
     /* 1387046 */   // Label 19674: @1387046
     /* 1387046 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1387130), // Rule ID 22642 //
     /* 1387051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1387107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387129 */     // GIR_Coverage, 22642,
     /* 1387129 */     GIR_EraseRootFromParent_Done,
     /* 1387130 */   // Label 19675: @1387130
     /* 1387130 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1387214), // Rule ID 22643 //
     /* 1387135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1387191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387213 */     // GIR_Coverage, 22643,
     /* 1387213 */     GIR_EraseRootFromParent_Done,
     /* 1387214 */   // Label 19676: @1387214
     /* 1387214 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1387298), // Rule ID 22646 //
     /* 1387219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1387275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387297 */     // GIR_Coverage, 22646,
     /* 1387297 */     GIR_EraseRootFromParent_Done,
     /* 1387298 */   // Label 19677: @1387298
     /* 1387298 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1387382), // Rule ID 22647 //
     /* 1387303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1387359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387381 */     // GIR_Coverage, 22647,
     /* 1387381 */     GIR_EraseRootFromParent_Done,
     /* 1387382 */   // Label 19678: @1387382
     /* 1387382 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1387466), // Rule ID 22650 //
     /* 1387387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387465 */     // GIR_Coverage, 22650,
     /* 1387465 */     GIR_EraseRootFromParent_Done,
     /* 1387466 */   // Label 19679: @1387466
     /* 1387466 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1387550), // Rule ID 22651 //
     /* 1387471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387549 */     // GIR_Coverage, 22651,
     /* 1387549 */     GIR_EraseRootFromParent_Done,
     /* 1387550 */   // Label 19680: @1387550
     /* 1387550 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1387634), // Rule ID 22654 //
     /* 1387555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387633 */     // GIR_Coverage, 22654,
     /* 1387633 */     GIR_EraseRootFromParent_Done,
     /* 1387634 */   // Label 19681: @1387634
     /* 1387634 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1387718), // Rule ID 22655 //
     /* 1387639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387717 */     // GIR_Coverage, 22655,
     /* 1387717 */     GIR_EraseRootFromParent_Done,
     /* 1387718 */   // Label 19682: @1387718
     /* 1387718 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1387802), // Rule ID 22658 //
     /* 1387723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387801 */     // GIR_Coverage, 22658,
     /* 1387801 */     GIR_EraseRootFromParent_Done,
     /* 1387802 */   // Label 19683: @1387802
     /* 1387802 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1387886), // Rule ID 22659 //
     /* 1387807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387860 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387885 */     // GIR_Coverage, 22659,
     /* 1387885 */     GIR_EraseRootFromParent_Done,
     /* 1387886 */   // Label 19684: @1387886
     /* 1387886 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1387970), // Rule ID 22662 //
     /* 1387891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1387947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387969 */     // GIR_Coverage, 22662,
     /* 1387969 */     GIR_EraseRootFromParent_Done,
     /* 1387970 */   // Label 19685: @1387970
     /* 1387970 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1388054), // Rule ID 22663 //
     /* 1387975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1388031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388053 */     // GIR_Coverage, 22663,
     /* 1388053 */     GIR_EraseRootFromParent_Done,
     /* 1388054 */   // Label 19686: @1388054
     /* 1388054 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1388138), // Rule ID 22666 //
     /* 1388059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1388115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388137 */     // GIR_Coverage, 22666,
     /* 1388137 */     GIR_EraseRootFromParent_Done,
     /* 1388138 */   // Label 19687: @1388138
     /* 1388138 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1388222), // Rule ID 22667 //
     /* 1388143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1388199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388221 */     // GIR_Coverage, 22667,
     /* 1388221 */     GIR_EraseRootFromParent_Done,
     /* 1388222 */   // Label 19688: @1388222
     /* 1388222 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1388306), // Rule ID 22670 //
     /* 1388227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1388283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388305 */     // GIR_Coverage, 22670,
     /* 1388305 */     GIR_EraseRootFromParent_Done,
     /* 1388306 */   // Label 19689: @1388306
     /* 1388306 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1388390), // Rule ID 22671 //
     /* 1388311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1388367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388389 */     // GIR_Coverage, 22671,
     /* 1388389 */     GIR_EraseRootFromParent_Done,
     /* 1388390 */   // Label 19690: @1388390
     /* 1388390 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1388474), // Rule ID 22674 //
     /* 1388395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388473 */     // GIR_Coverage, 22674,
     /* 1388473 */     GIR_EraseRootFromParent_Done,
     /* 1388474 */   // Label 19691: @1388474
     /* 1388474 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1388558), // Rule ID 22675 //
     /* 1388479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388557 */     // GIR_Coverage, 22675,
     /* 1388557 */     GIR_EraseRootFromParent_Done,
     /* 1388558 */   // Label 19692: @1388558
     /* 1388558 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1388642), // Rule ID 22678 //
     /* 1388563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388641 */     // GIR_Coverage, 22678,
     /* 1388641 */     GIR_EraseRootFromParent_Done,
     /* 1388642 */   // Label 19693: @1388642
     /* 1388642 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1388726), // Rule ID 22679 //
     /* 1388647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388725 */     // GIR_Coverage, 22679,
     /* 1388725 */     GIR_EraseRootFromParent_Done,
     /* 1388726 */   // Label 19694: @1388726
     /* 1388726 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1388810), // Rule ID 22682 //
     /* 1388731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388809 */     // GIR_Coverage, 22682,
     /* 1388809 */     GIR_EraseRootFromParent_Done,
     /* 1388810 */   // Label 19695: @1388810
     /* 1388810 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1388894), // Rule ID 22683 //
     /* 1388815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388893 */     // GIR_Coverage, 22683,
     /* 1388893 */     GIR_EraseRootFromParent_Done,
     /* 1388894 */   // Label 19696: @1388894
     /* 1388894 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1388978), // Rule ID 22686 //
     /* 1388899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1388955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388977 */     // GIR_Coverage, 22686,
     /* 1388977 */     GIR_EraseRootFromParent_Done,
     /* 1388978 */   // Label 19697: @1388978
     /* 1388978 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1389062), // Rule ID 22687 //
     /* 1388983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1389000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1389006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1389039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389061 */     // GIR_Coverage, 22687,
     /* 1389061 */     GIR_EraseRootFromParent_Done,
     /* 1389062 */   // Label 19698: @1389062
     /* 1389062 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1389146), // Rule ID 22690 //
     /* 1389067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1389123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389145 */     // GIR_Coverage, 22690,
     /* 1389145 */     GIR_EraseRootFromParent_Done,
     /* 1389146 */   // Label 19699: @1389146
     /* 1389146 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1389230), // Rule ID 22691 //
     /* 1389151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1389207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389229 */     // GIR_Coverage, 22691,
     /* 1389229 */     GIR_EraseRootFromParent_Done,
     /* 1389230 */   // Label 19700: @1389230
     /* 1389230 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1389314), // Rule ID 22694 //
     /* 1389235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1389291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389313 */     // GIR_Coverage, 22694,
     /* 1389313 */     GIR_EraseRootFromParent_Done,
     /* 1389314 */   // Label 19701: @1389314
     /* 1389314 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1389398), // Rule ID 22695 //
     /* 1389319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1389375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389397 */     // GIR_Coverage, 22695,
     /* 1389397 */     GIR_EraseRootFromParent_Done,
     /* 1389398 */   // Label 19702: @1389398
     /* 1389398 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1389482), // Rule ID 22698 //
     /* 1389403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389481 */     // GIR_Coverage, 22698,
     /* 1389481 */     GIR_EraseRootFromParent_Done,
     /* 1389482 */   // Label 19703: @1389482
     /* 1389482 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1389566), // Rule ID 22699 //
     /* 1389487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389565 */     // GIR_Coverage, 22699,
     /* 1389565 */     GIR_EraseRootFromParent_Done,
     /* 1389566 */   // Label 19704: @1389566
     /* 1389566 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1389650), // Rule ID 22702 //
     /* 1389571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389649 */     // GIR_Coverage, 22702,
     /* 1389649 */     GIR_EraseRootFromParent_Done,
     /* 1389650 */   // Label 19705: @1389650
     /* 1389650 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1389734), // Rule ID 22703 //
     /* 1389655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389733 */     // GIR_Coverage, 22703,
     /* 1389733 */     GIR_EraseRootFromParent_Done,
     /* 1389734 */   // Label 19706: @1389734
     /* 1389734 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1389818), // Rule ID 22706 //
     /* 1389739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389817 */     // GIR_Coverage, 22706,
     /* 1389817 */     GIR_EraseRootFromParent_Done,
     /* 1389818 */   // Label 19707: @1389818
     /* 1389818 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1389902), // Rule ID 22707 //
     /* 1389823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389901 */     // GIR_Coverage, 22707,
     /* 1389901 */     GIR_EraseRootFromParent_Done,
     /* 1389902 */   // Label 19708: @1389902
     /* 1389902 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1389986), // Rule ID 22710 //
     /* 1389907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1389963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389985 */     // GIR_Coverage, 22710,
     /* 1389985 */     GIR_EraseRootFromParent_Done,
     /* 1389986 */   // Label 19709: @1389986
     /* 1389986 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1390070), // Rule ID 22711 //
     /* 1389991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1390047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390069 */     // GIR_Coverage, 22711,
     /* 1390069 */     GIR_EraseRootFromParent_Done,
     /* 1390070 */   // Label 19710: @1390070
     /* 1390070 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1390154), // Rule ID 22830 //
     /* 1390075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1390131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390153 */     // GIR_Coverage, 22830,
     /* 1390153 */     GIR_EraseRootFromParent_Done,
     /* 1390154 */   // Label 19711: @1390154
     /* 1390154 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1390238), // Rule ID 22831 //
     /* 1390159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1390215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390237 */     // GIR_Coverage, 22831,
     /* 1390237 */     GIR_EraseRootFromParent_Done,
     /* 1390238 */   // Label 19712: @1390238
     /* 1390238 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1390322), // Rule ID 22834 //
     /* 1390243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1390299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390321 */     // GIR_Coverage, 22834,
     /* 1390321 */     GIR_EraseRootFromParent_Done,
     /* 1390322 */   // Label 19713: @1390322
     /* 1390322 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1390406), // Rule ID 22835 //
     /* 1390327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1390383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390405 */     // GIR_Coverage, 22835,
     /* 1390405 */     GIR_EraseRootFromParent_Done,
     /* 1390406 */   // Label 19714: @1390406
     /* 1390406 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1390490), // Rule ID 22838 //
     /* 1390411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390489 */     // GIR_Coverage, 22838,
     /* 1390489 */     GIR_EraseRootFromParent_Done,
     /* 1390490 */   // Label 19715: @1390490
     /* 1390490 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1390574), // Rule ID 22839 //
     /* 1390495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390573 */     // GIR_Coverage, 22839,
     /* 1390573 */     GIR_EraseRootFromParent_Done,
     /* 1390574 */   // Label 19716: @1390574
     /* 1390574 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1390658), // Rule ID 22842 //
     /* 1390579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390632 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390657 */     // GIR_Coverage, 22842,
     /* 1390657 */     GIR_EraseRootFromParent_Done,
     /* 1390658 */   // Label 19717: @1390658
     /* 1390658 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1390742), // Rule ID 22843 //
     /* 1390663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390741 */     // GIR_Coverage, 22843,
     /* 1390741 */     GIR_EraseRootFromParent_Done,
     /* 1390742 */   // Label 19718: @1390742
     /* 1390742 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1390826), // Rule ID 22846 //
     /* 1390747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390825 */     // GIR_Coverage, 22846,
     /* 1390825 */     GIR_EraseRootFromParent_Done,
     /* 1390826 */   // Label 19719: @1390826
     /* 1390826 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1390910), // Rule ID 22847 //
     /* 1390831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390909 */     // GIR_Coverage, 22847,
     /* 1390909 */     GIR_EraseRootFromParent_Done,
     /* 1390910 */   // Label 19720: @1390910
     /* 1390910 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1390994), // Rule ID 22850 //
     /* 1390915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1390918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1390971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390993 */     // GIR_Coverage, 22850,
     /* 1390993 */     GIR_EraseRootFromParent_Done,
     /* 1390994 */   // Label 19721: @1390994
     /* 1390994 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1391078), // Rule ID 22851 //
     /* 1390999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1391002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1391016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1391055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391077 */     // GIR_Coverage, 22851,
     /* 1391077 */     GIR_EraseRootFromParent_Done,
     /* 1391078 */   // Label 19722: @1391078
     /* 1391078 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1391162), // Rule ID 22854 //
     /* 1391083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1391139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391161 */     // GIR_Coverage, 22854,
     /* 1391161 */     GIR_EraseRootFromParent_Done,
     /* 1391162 */   // Label 19723: @1391162
     /* 1391162 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1391246), // Rule ID 22855 //
     /* 1391167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391220 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1391223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391245 */     // GIR_Coverage, 22855,
     /* 1391245 */     GIR_EraseRootFromParent_Done,
     /* 1391246 */   // Label 19724: @1391246
     /* 1391246 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1391330), // Rule ID 22858 //
     /* 1391251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391304 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1391307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391329 */     // GIR_Coverage, 22858,
     /* 1391329 */     GIR_EraseRootFromParent_Done,
     /* 1391330 */   // Label 19725: @1391330
     /* 1391330 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1391414), // Rule ID 22859 //
     /* 1391335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391388 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1391391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391413 */     // GIR_Coverage, 22859,
     /* 1391413 */     GIR_EraseRootFromParent_Done,
     /* 1391414 */   // Label 19726: @1391414
     /* 1391414 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1391498), // Rule ID 22862 //
     /* 1391419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391472 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391497 */     // GIR_Coverage, 22862,
     /* 1391497 */     GIR_EraseRootFromParent_Done,
     /* 1391498 */   // Label 19727: @1391498
     /* 1391498 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1391582), // Rule ID 22863 //
     /* 1391503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391556 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391581 */     // GIR_Coverage, 22863,
     /* 1391581 */     GIR_EraseRootFromParent_Done,
     /* 1391582 */   // Label 19728: @1391582
     /* 1391582 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1391666), // Rule ID 22866 //
     /* 1391587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391665 */     // GIR_Coverage, 22866,
     /* 1391665 */     GIR_EraseRootFromParent_Done,
     /* 1391666 */   // Label 19729: @1391666
     /* 1391666 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1391750), // Rule ID 22867 //
     /* 1391671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391724 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391749 */     // GIR_Coverage, 22867,
     /* 1391749 */     GIR_EraseRootFromParent_Done,
     /* 1391750 */   // Label 19730: @1391750
     /* 1391750 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1391834), // Rule ID 22870 //
     /* 1391755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391833 */     // GIR_Coverage, 22870,
     /* 1391833 */     GIR_EraseRootFromParent_Done,
     /* 1391834 */   // Label 19731: @1391834
     /* 1391834 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1391918), // Rule ID 22871 //
     /* 1391839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391917 */     // GIR_Coverage, 22871,
     /* 1391917 */     GIR_EraseRootFromParent_Done,
     /* 1391918 */   // Label 19732: @1391918
     /* 1391918 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1392002), // Rule ID 22874 //
     /* 1391923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1391979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392001 */     // GIR_Coverage, 22874,
     /* 1392001 */     GIR_EraseRootFromParent_Done,
     /* 1392002 */   // Label 19733: @1392002
     /* 1392002 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1392086), // Rule ID 22875 //
     /* 1392007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1392024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1392063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392085 */     // GIR_Coverage, 22875,
     /* 1392085 */     GIR_EraseRootFromParent_Done,
     /* 1392086 */   // Label 19734: @1392086
     /* 1392086 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1392170), // Rule ID 22878 //
     /* 1392091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1392108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392144 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1392147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392169 */     // GIR_Coverage, 22878,
     /* 1392169 */     GIR_EraseRootFromParent_Done,
     /* 1392170 */   // Label 19735: @1392170
     /* 1392170 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1392254), // Rule ID 22879 //
     /* 1392175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1392192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392228 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1392231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392253 */     // GIR_Coverage, 22879,
     /* 1392253 */     GIR_EraseRootFromParent_Done,
     /* 1392254 */   // Label 19736: @1392254
     /* 1392254 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1392338), // Rule ID 22882 //
     /* 1392259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1392276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392312 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1392315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392337 */     // GIR_Coverage, 22882,
     /* 1392337 */     GIR_EraseRootFromParent_Done,
     /* 1392338 */   // Label 19737: @1392338
     /* 1392338 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1392422), // Rule ID 22883 //
     /* 1392343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1392360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1392399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392421 */     // GIR_Coverage, 22883,
     /* 1392421 */     GIR_EraseRootFromParent_Done,
     /* 1392422 */   // Label 19738: @1392422
     /* 1392422 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1392506), // Rule ID 22886 //
     /* 1392427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392505 */     // GIR_Coverage, 22886,
     /* 1392505 */     GIR_EraseRootFromParent_Done,
     /* 1392506 */   // Label 19739: @1392506
     /* 1392506 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1392590), // Rule ID 22887 //
     /* 1392511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392564 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392589 */     // GIR_Coverage, 22887,
     /* 1392589 */     GIR_EraseRootFromParent_Done,
     /* 1392590 */   // Label 19740: @1392590
     /* 1392590 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1392674), // Rule ID 22890 //
     /* 1392595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392673 */     // GIR_Coverage, 22890,
     /* 1392673 */     GIR_EraseRootFromParent_Done,
     /* 1392674 */   // Label 19741: @1392674
     /* 1392674 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1392758), // Rule ID 22891 //
     /* 1392679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392757 */     // GIR_Coverage, 22891,
     /* 1392757 */     GIR_EraseRootFromParent_Done,
     /* 1392758 */   // Label 19742: @1392758
     /* 1392758 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1392842), // Rule ID 22894 //
     /* 1392763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392841 */     // GIR_Coverage, 22894,
     /* 1392841 */     GIR_EraseRootFromParent_Done,
     /* 1392842 */   // Label 19743: @1392842
     /* 1392842 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1392926), // Rule ID 22895 //
     /* 1392847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392900 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392925 */     // GIR_Coverage, 22895,
     /* 1392925 */     GIR_EraseRootFromParent_Done,
     /* 1392926 */   // Label 19744: @1392926
     /* 1392926 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1393010), // Rule ID 22898 //
     /* 1392931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392984 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1392987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393009 */     // GIR_Coverage, 22898,
     /* 1393009 */     GIR_EraseRootFromParent_Done,
     /* 1393010 */   // Label 19745: @1393010
     /* 1393010 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1393094), // Rule ID 22899 //
     /* 1393015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1393032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1393071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393093 */     // GIR_Coverage, 22899,
     /* 1393093 */     GIR_EraseRootFromParent_Done,
     /* 1393094 */   // Label 19746: @1393094
     /* 1393094 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1393178), // Rule ID 22902 //
     /* 1393099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1393155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393177 */     // GIR_Coverage, 22902,
     /* 1393177 */     GIR_EraseRootFromParent_Done,
     /* 1393178 */   // Label 19747: @1393178
     /* 1393178 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1393262), // Rule ID 22903 //
     /* 1393183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393236 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1393239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393261 */     // GIR_Coverage, 22903,
     /* 1393261 */     GIR_EraseRootFromParent_Done,
     /* 1393262 */   // Label 19748: @1393262
     /* 1393262 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1393346), // Rule ID 22906 //
     /* 1393267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1393270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1393323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393345 */     // GIR_Coverage, 22906,
     /* 1393345 */     GIR_EraseRootFromParent_Done,
     /* 1393346 */   // Label 19749: @1393346
     /* 1393346 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1393430), // Rule ID 22907 //
     /* 1393351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393404 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1393407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393429 */     // GIR_Coverage, 22907,
     /* 1393429 */     GIR_EraseRootFromParent_Done,
     /* 1393430 */   // Label 19750: @1393430
     /* 1393430 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1393514), // Rule ID 22910 //
     /* 1393435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1393438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393488 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393513 */     // GIR_Coverage, 22910,
     /* 1393513 */     GIR_EraseRootFromParent_Done,
     /* 1393514 */   // Label 19751: @1393514
     /* 1393514 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1393598), // Rule ID 22911 //
     /* 1393519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1393522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393572 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393597 */     // GIR_Coverage, 22911,
     /* 1393597 */     GIR_EraseRootFromParent_Done,
     /* 1393598 */   // Label 19752: @1393598
     /* 1393598 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1393682), // Rule ID 22914 //
     /* 1393603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393656 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393681 */     // GIR_Coverage, 22914,
     /* 1393681 */     GIR_EraseRootFromParent_Done,
     /* 1393682 */   // Label 19753: @1393682
     /* 1393682 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1393766), // Rule ID 22915 //
     /* 1393687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393740 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393765 */     // GIR_Coverage, 22915,
     /* 1393765 */     GIR_EraseRootFromParent_Done,
     /* 1393766 */   // Label 19754: @1393766
     /* 1393766 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1393850), // Rule ID 22918 //
     /* 1393771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393824 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393849 */     // GIR_Coverage, 22918,
     /* 1393849 */     GIR_EraseRootFromParent_Done,
     /* 1393850 */   // Label 19755: @1393850
     /* 1393850 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1393934), // Rule ID 22919 //
     /* 1393855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393933 */     // GIR_Coverage, 22919,
     /* 1393933 */     GIR_EraseRootFromParent_Done,
     /* 1393934 */   // Label 19756: @1393934
     /* 1393934 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1394018), // Rule ID 22922 //
     /* 1393939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1393995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394017 */     // GIR_Coverage, 22922,
     /* 1394017 */     GIR_EraseRootFromParent_Done,
     /* 1394018 */   // Label 19757: @1394018
     /* 1394018 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1394102), // Rule ID 22923 //
     /* 1394023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1394026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1394040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1394046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394076 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1394079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394101 */     // GIR_Coverage, 22923,
     /* 1394101 */     GIR_EraseRootFromParent_Done,
     /* 1394102 */   // Label 19758: @1394102
     /* 1394102 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1394186), // Rule ID 22926 //
     /* 1394107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1394124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1394163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394185 */     // GIR_Coverage, 22926,
     /* 1394185 */     GIR_EraseRootFromParent_Done,
     /* 1394186 */   // Label 19759: @1394186
     /* 1394186 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1394270), // Rule ID 22927 //
     /* 1394191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1394208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394244 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1394247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394269 */     // GIR_Coverage, 22927,
     /* 1394269 */     GIR_EraseRootFromParent_Done,
     /* 1394270 */   // Label 19760: @1394270
     /* 1394270 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1394354), // Rule ID 22930 //
     /* 1394275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1394331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394353 */     // GIR_Coverage, 22930,
     /* 1394353 */     GIR_EraseRootFromParent_Done,
     /* 1394354 */   // Label 19761: @1394354
     /* 1394354 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1394438), // Rule ID 22931 //
     /* 1394359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394412 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1394415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394437 */     // GIR_Coverage, 22931,
     /* 1394437 */     GIR_EraseRootFromParent_Done,
     /* 1394438 */   // Label 19762: @1394438
     /* 1394438 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1394522), // Rule ID 22934 //
     /* 1394443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394521 */     // GIR_Coverage, 22934,
     /* 1394521 */     GIR_EraseRootFromParent_Done,
     /* 1394522 */   // Label 19763: @1394522
     /* 1394522 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1394606), // Rule ID 22935 //
     /* 1394527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394605 */     // GIR_Coverage, 22935,
     /* 1394605 */     GIR_EraseRootFromParent_Done,
     /* 1394606 */   // Label 19764: @1394606
     /* 1394606 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1394690), // Rule ID 22938 //
     /* 1394611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394689 */     // GIR_Coverage, 22938,
     /* 1394689 */     GIR_EraseRootFromParent_Done,
     /* 1394690 */   // Label 19765: @1394690
     /* 1394690 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1394774), // Rule ID 22939 //
     /* 1394695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394748 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394773 */     // GIR_Coverage, 22939,
     /* 1394773 */     GIR_EraseRootFromParent_Done,
     /* 1394774 */   // Label 19766: @1394774
     /* 1394774 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1394858), // Rule ID 22942 //
     /* 1394779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394832 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394857 */     // GIR_Coverage, 22942,
     /* 1394857 */     GIR_EraseRootFromParent_Done,
     /* 1394858 */   // Label 19767: @1394858
     /* 1394858 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1394942), // Rule ID 22943 //
     /* 1394863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394941 */     // GIR_Coverage, 22943,
     /* 1394941 */     GIR_EraseRootFromParent_Done,
     /* 1394942 */   // Label 19768: @1394942
     /* 1394942 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1395026), // Rule ID 22946 //
     /* 1394947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395000 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1395003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395025 */     // GIR_Coverage, 22946,
     /* 1395025 */     GIR_EraseRootFromParent_Done,
     /* 1395026 */   // Label 19769: @1395026
     /* 1395026 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1395110), // Rule ID 22947 //
     /* 1395031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1395034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1395039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1395048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395084 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1395087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395109 */     // GIR_Coverage, 22947,
     /* 1395109 */     GIR_EraseRootFromParent_Done,
     /* 1395110 */   // Label 19770: @1395110
     /* 1395110 */   GIM_Reject,
     /* 1395111 */ // Label 13790: @1395111
     /* 1395111 */ GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(2004268),
     /* 1395116 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1395119 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1395205), // Rule ID 7240 //
     /* 1395124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1395135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1395138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1395141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395162 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395170 */     // MIs[0] policy
     /* 1395170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1395183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395204 */     // GIR_Coverage, 7240,
     /* 1395204 */     GIR_EraseRootFromParent_Done,
     /* 1395205 */   // Label 19772: @1395205
     /* 1395205 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1395291), // Rule ID 7241 //
     /* 1395210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1395221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1395224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1395227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395256 */     // MIs[0] policy
     /* 1395256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395266 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1395269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395290 */     // GIR_Coverage, 7241,
     /* 1395290 */     GIR_EraseRootFromParent_Done,
     /* 1395291 */   // Label 19773: @1395291
     /* 1395291 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1395377), // Rule ID 7244 //
     /* 1395296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1395307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1395310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1395313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395334 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395342 */     // MIs[0] policy
     /* 1395342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395376 */     // GIR_Coverage, 7244,
     /* 1395376 */     GIR_EraseRootFromParent_Done,
     /* 1395377 */   // Label 19774: @1395377
     /* 1395377 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1395463), // Rule ID 7245 //
     /* 1395382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1395393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1395396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1395399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395420 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395428 */     // MIs[0] policy
     /* 1395428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395438 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395462 */     // GIR_Coverage, 7245,
     /* 1395462 */     GIR_EraseRootFromParent_Done,
     /* 1395463 */   // Label 19775: @1395463
     /* 1395463 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1395549), // Rule ID 7248 //
     /* 1395468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395506 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395514 */     // MIs[0] policy
     /* 1395514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395548 */     // GIR_Coverage, 7248,
     /* 1395548 */     GIR_EraseRootFromParent_Done,
     /* 1395549 */   // Label 19776: @1395549
     /* 1395549 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1395635), // Rule ID 7249 //
     /* 1395554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395600 */     // MIs[0] policy
     /* 1395600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395634 */     // GIR_Coverage, 7249,
     /* 1395634 */     GIR_EraseRootFromParent_Done,
     /* 1395635 */   // Label 19777: @1395635
     /* 1395635 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1395721), // Rule ID 7252 //
     /* 1395640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395678 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395686 */     // MIs[0] policy
     /* 1395686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395720 */     // GIR_Coverage, 7252,
     /* 1395720 */     GIR_EraseRootFromParent_Done,
     /* 1395721 */   // Label 19778: @1395721
     /* 1395721 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1395807), // Rule ID 7253 //
     /* 1395726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395772 */     // MIs[0] policy
     /* 1395772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395806 */     // GIR_Coverage, 7253,
     /* 1395806 */     GIR_EraseRootFromParent_Done,
     /* 1395807 */   // Label 19779: @1395807
     /* 1395807 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1395893), // Rule ID 7256 //
     /* 1395812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395858 */     // MIs[0] policy
     /* 1395858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395892 */     // GIR_Coverage, 7256,
     /* 1395892 */     GIR_EraseRootFromParent_Done,
     /* 1395893 */   // Label 19780: @1395893
     /* 1395893 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1395979), // Rule ID 7257 //
     /* 1395898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395936 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395944 */     // MIs[0] policy
     /* 1395944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395954 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395978 */     // GIR_Coverage, 7257,
     /* 1395978 */     GIR_EraseRootFromParent_Done,
     /* 1395979 */   // Label 19781: @1395979
     /* 1395979 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1396065), // Rule ID 7260 //
     /* 1395984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1396001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396022 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396030 */     // MIs[0] policy
     /* 1396030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1396043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396064 */     // GIR_Coverage, 7260,
     /* 1396064 */     GIR_EraseRootFromParent_Done,
     /* 1396065 */   // Label 19782: @1396065
     /* 1396065 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1396151), // Rule ID 7261 //
     /* 1396070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1396081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1396084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1396087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396116 */     // MIs[0] policy
     /* 1396116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1396129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396150 */     // GIR_Coverage, 7261,
     /* 1396150 */     GIR_EraseRootFromParent_Done,
     /* 1396151 */   // Label 19783: @1396151
     /* 1396151 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1396237), // Rule ID 7264 //
     /* 1396156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1396167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1396170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1396173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396202 */     // MIs[0] policy
     /* 1396202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396236 */     // GIR_Coverage, 7264,
     /* 1396236 */     GIR_EraseRootFromParent_Done,
     /* 1396237 */   // Label 19784: @1396237
     /* 1396237 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1396323), // Rule ID 7265 //
     /* 1396242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1396253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1396256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1396259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396280 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396288 */     // MIs[0] policy
     /* 1396288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396322 */     // GIR_Coverage, 7265,
     /* 1396322 */     GIR_EraseRootFromParent_Done,
     /* 1396323 */   // Label 19785: @1396323
     /* 1396323 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1396409), // Rule ID 7268 //
     /* 1396328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396366 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396374 */     // MIs[0] policy
     /* 1396374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396408 */     // GIR_Coverage, 7268,
     /* 1396408 */     GIR_EraseRootFromParent_Done,
     /* 1396409 */   // Label 19786: @1396409
     /* 1396409 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1396495), // Rule ID 7269 //
     /* 1396414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396460 */     // MIs[0] policy
     /* 1396460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396494 */     // GIR_Coverage, 7269,
     /* 1396494 */     GIR_EraseRootFromParent_Done,
     /* 1396495 */   // Label 19787: @1396495
     /* 1396495 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1396581), // Rule ID 7272 //
     /* 1396500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396546 */     // MIs[0] policy
     /* 1396546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396580 */     // GIR_Coverage, 7272,
     /* 1396580 */     GIR_EraseRootFromParent_Done,
     /* 1396581 */   // Label 19788: @1396581
     /* 1396581 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1396667), // Rule ID 7273 //
     /* 1396586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396632 */     // MIs[0] policy
     /* 1396632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396666 */     // GIR_Coverage, 7273,
     /* 1396666 */     GIR_EraseRootFromParent_Done,
     /* 1396667 */   // Label 19789: @1396667
     /* 1396667 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1396753), // Rule ID 7276 //
     /* 1396672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1396675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396710 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396718 */     // MIs[0] policy
     /* 1396718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396752 */     // GIR_Coverage, 7276,
     /* 1396752 */     GIR_EraseRootFromParent_Done,
     /* 1396753 */   // Label 19790: @1396753
     /* 1396753 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1396839), // Rule ID 7277 //
     /* 1396758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1396761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396804 */     // MIs[0] policy
     /* 1396804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396838 */     // GIR_Coverage, 7277,
     /* 1396838 */     GIR_EraseRootFromParent_Done,
     /* 1396839 */   // Label 19791: @1396839
     /* 1396839 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1396925), // Rule ID 7280 //
     /* 1396844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396890 */     // MIs[0] policy
     /* 1396890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396924 */     // GIR_Coverage, 7280,
     /* 1396924 */     GIR_EraseRootFromParent_Done,
     /* 1396925 */   // Label 19792: @1396925
     /* 1396925 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1397011), // Rule ID 7281 //
     /* 1396930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396976 */     // MIs[0] policy
     /* 1396976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397010 */     // GIR_Coverage, 7281,
     /* 1397010 */     GIR_EraseRootFromParent_Done,
     /* 1397011 */   // Label 19793: @1397011
     /* 1397011 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1397097), // Rule ID 7284 //
     /* 1397016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1397027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1397030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1397033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397062 */     // MIs[0] policy
     /* 1397062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397096 */     // GIR_Coverage, 7284,
     /* 1397096 */     GIR_EraseRootFromParent_Done,
     /* 1397097 */   // Label 19794: @1397097
     /* 1397097 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1397183), // Rule ID 7285 //
     /* 1397102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1397113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1397116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1397119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397148 */     // MIs[0] policy
     /* 1397148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397182 */     // GIR_Coverage, 7285,
     /* 1397182 */     GIR_EraseRootFromParent_Done,
     /* 1397183 */   // Label 19795: @1397183
     /* 1397183 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1397269), // Rule ID 7288 //
     /* 1397188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1397199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1397202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1397205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1397211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397226 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397234 */     // MIs[0] policy
     /* 1397234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397244 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397268 */     // GIR_Coverage, 7288,
     /* 1397268 */     GIR_EraseRootFromParent_Done,
     /* 1397269 */   // Label 19796: @1397269
     /* 1397269 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1397355), // Rule ID 7289 //
     /* 1397274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1397285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1397288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1397291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1397297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397320 */     // MIs[0] policy
     /* 1397320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397330 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397354 */     // GIR_Coverage, 7289,
     /* 1397354 */     GIR_EraseRootFromParent_Done,
     /* 1397355 */   // Label 19797: @1397355
     /* 1397355 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1397441), // Rule ID 7292 //
     /* 1397360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397406 */     // MIs[0] policy
     /* 1397406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397440 */     // GIR_Coverage, 7292,
     /* 1397440 */     GIR_EraseRootFromParent_Done,
     /* 1397441 */   // Label 19798: @1397441
     /* 1397441 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1397527), // Rule ID 7293 //
     /* 1397446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397492 */     // MIs[0] policy
     /* 1397492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397526 */     // GIR_Coverage, 7293,
     /* 1397526 */     GIR_EraseRootFromParent_Done,
     /* 1397527 */   // Label 19799: @1397527
     /* 1397527 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1397613), // Rule ID 7296 //
     /* 1397532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397570 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397578 */     // MIs[0] policy
     /* 1397578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397612 */     // GIR_Coverage, 7296,
     /* 1397612 */     GIR_EraseRootFromParent_Done,
     /* 1397613 */   // Label 19800: @1397613
     /* 1397613 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1397699), // Rule ID 7297 //
     /* 1397618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397656 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397664 */     // MIs[0] policy
     /* 1397664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397698 */     // GIR_Coverage, 7297,
     /* 1397698 */     GIR_EraseRootFromParent_Done,
     /* 1397699 */   // Label 19801: @1397699
     /* 1397699 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1397785), // Rule ID 7300 //
     /* 1397704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397750 */     // MIs[0] policy
     /* 1397750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397784 */     // GIR_Coverage, 7300,
     /* 1397784 */     GIR_EraseRootFromParent_Done,
     /* 1397785 */   // Label 19802: @1397785
     /* 1397785 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1397871), // Rule ID 7301 //
     /* 1397790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397836 */     // MIs[0] policy
     /* 1397836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397870 */     // GIR_Coverage, 7301,
     /* 1397870 */     GIR_EraseRootFromParent_Done,
     /* 1397871 */   // Label 19803: @1397871
     /* 1397871 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1397957), // Rule ID 7304 //
     /* 1397876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397914 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397922 */     // MIs[0] policy
     /* 1397922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397956 */     // GIR_Coverage, 7304,
     /* 1397956 */     GIR_EraseRootFromParent_Done,
     /* 1397957 */   // Label 19804: @1397957
     /* 1397957 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1398043), // Rule ID 7305 //
     /* 1397962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398000 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398008 */     // MIs[0] policy
     /* 1398008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398042 */     // GIR_Coverage, 7305,
     /* 1398042 */     GIR_EraseRootFromParent_Done,
     /* 1398043 */   // Label 19805: @1398043
     /* 1398043 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1398129), // Rule ID 7308 //
     /* 1398048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398086 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398094 */     // MIs[0] policy
     /* 1398094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398128 */     // GIR_Coverage, 7308,
     /* 1398128 */     GIR_EraseRootFromParent_Done,
     /* 1398129 */   // Label 19806: @1398129
     /* 1398129 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1398215), // Rule ID 7309 //
     /* 1398134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398180 */     // MIs[0] policy
     /* 1398180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398214 */     // GIR_Coverage, 7309,
     /* 1398214 */     GIR_EraseRootFromParent_Done,
     /* 1398215 */   // Label 19807: @1398215
     /* 1398215 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1398301), // Rule ID 7312 //
     /* 1398220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398258 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398266 */     // MIs[0] policy
     /* 1398266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398300 */     // GIR_Coverage, 7312,
     /* 1398300 */     GIR_EraseRootFromParent_Done,
     /* 1398301 */   // Label 19808: @1398301
     /* 1398301 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1398387), // Rule ID 7313 //
     /* 1398306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398344 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398352 */     // MIs[0] policy
     /* 1398352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398386 */     // GIR_Coverage, 7313,
     /* 1398386 */     GIR_EraseRootFromParent_Done,
     /* 1398387 */   // Label 19809: @1398387
     /* 1398387 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1398473), // Rule ID 7316 //
     /* 1398392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398430 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398438 */     // MIs[0] policy
     /* 1398438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398472 */     // GIR_Coverage, 7316,
     /* 1398472 */     GIR_EraseRootFromParent_Done,
     /* 1398473 */   // Label 19810: @1398473
     /* 1398473 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1398559), // Rule ID 7317 //
     /* 1398478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398516 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398524 */     // MIs[0] policy
     /* 1398524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398558 */     // GIR_Coverage, 7317,
     /* 1398558 */     GIR_EraseRootFromParent_Done,
     /* 1398559 */   // Label 19811: @1398559
     /* 1398559 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1398645), // Rule ID 7320 //
     /* 1398564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398602 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398610 */     // MIs[0] policy
     /* 1398610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398644 */     // GIR_Coverage, 7320,
     /* 1398644 */     GIR_EraseRootFromParent_Done,
     /* 1398645 */   // Label 19812: @1398645
     /* 1398645 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1398731), // Rule ID 7321 //
     /* 1398650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398696 */     // MIs[0] policy
     /* 1398696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398730 */     // GIR_Coverage, 7321,
     /* 1398730 */     GIR_EraseRootFromParent_Done,
     /* 1398731 */   // Label 19813: @1398731
     /* 1398731 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1398817), // Rule ID 7324 //
     /* 1398736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398774 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398782 */     // MIs[0] policy
     /* 1398782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398816 */     // GIR_Coverage, 7324,
     /* 1398816 */     GIR_EraseRootFromParent_Done,
     /* 1398817 */   // Label 19814: @1398817
     /* 1398817 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1398903), // Rule ID 7325 //
     /* 1398822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398860 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398868 */     // MIs[0] policy
     /* 1398868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398902 */     // GIR_Coverage, 7325,
     /* 1398902 */     GIR_EraseRootFromParent_Done,
     /* 1398903 */   // Label 19815: @1398903
     /* 1398903 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1398991), // Rule ID 2638 //
     /* 1398908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1398919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1398922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398947 */     // MIs[0] Operand 5
     /* 1398947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398958 */     // MIs[0] policy
     /* 1398958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1398971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398990 */     // GIR_Coverage, 2638,
     /* 1398990 */     GIR_EraseRootFromParent_Done,
     /* 1398991 */   // Label 19816: @1398991
     /* 1398991 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1399079), // Rule ID 2639 //
     /* 1398996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1399007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399035 */     // MIs[0] Operand 5
     /* 1399035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399046 */     // MIs[0] policy
     /* 1399046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1399059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399078 */     // GIR_Coverage, 2639,
     /* 1399078 */     GIR_EraseRootFromParent_Done,
     /* 1399079 */   // Label 19817: @1399079
     /* 1399079 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1399167), // Rule ID 20522 //
     /* 1399084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1399095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1399098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399123 */     // MIs[0] Operand 5
     /* 1399123 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399134 */     // MIs[0] policy
     /* 1399134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399166 */     // GIR_Coverage, 20522,
     /* 1399166 */     GIR_EraseRootFromParent_Done,
     /* 1399167 */   // Label 19818: @1399167
     /* 1399167 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1399255), // Rule ID 20523 //
     /* 1399172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1399183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1399186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399211 */     // MIs[0] Operand 5
     /* 1399211 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399222 */     // MIs[0] policy
     /* 1399222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399254 */     // GIR_Coverage, 20523,
     /* 1399254 */     GIR_EraseRootFromParent_Done,
     /* 1399255 */   // Label 19819: @1399255
     /* 1399255 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1399343), // Rule ID 20526 //
     /* 1399260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399299 */     // MIs[0] Operand 5
     /* 1399299 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399310 */     // MIs[0] policy
     /* 1399310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399342 */     // GIR_Coverage, 20526,
     /* 1399342 */     GIR_EraseRootFromParent_Done,
     /* 1399343 */   // Label 19820: @1399343
     /* 1399343 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1399431), // Rule ID 20527 //
     /* 1399348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399387 */     // MIs[0] Operand 5
     /* 1399387 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399398 */     // MIs[0] policy
     /* 1399398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399430 */     // GIR_Coverage, 20527,
     /* 1399430 */     GIR_EraseRootFromParent_Done,
     /* 1399431 */   // Label 19821: @1399431
     /* 1399431 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1399519), // Rule ID 20530 //
     /* 1399436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399475 */     // MIs[0] Operand 5
     /* 1399475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399486 */     // MIs[0] policy
     /* 1399486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399518 */     // GIR_Coverage, 20530,
     /* 1399518 */     GIR_EraseRootFromParent_Done,
     /* 1399519 */   // Label 19822: @1399519
     /* 1399519 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1399607), // Rule ID 20531 //
     /* 1399524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399563 */     // MIs[0] Operand 5
     /* 1399563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399574 */     // MIs[0] policy
     /* 1399574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399606 */     // GIR_Coverage, 20531,
     /* 1399606 */     GIR_EraseRootFromParent_Done,
     /* 1399607 */   // Label 19823: @1399607
     /* 1399607 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1399695), // Rule ID 20534 //
     /* 1399612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399651 */     // MIs[0] Operand 5
     /* 1399651 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399662 */     // MIs[0] policy
     /* 1399662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399694 */     // GIR_Coverage, 20534,
     /* 1399694 */     GIR_EraseRootFromParent_Done,
     /* 1399695 */   // Label 19824: @1399695
     /* 1399695 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1399783), // Rule ID 20535 //
     /* 1399700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399739 */     // MIs[0] Operand 5
     /* 1399739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399750 */     // MIs[0] policy
     /* 1399750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399782 */     // GIR_Coverage, 20535,
     /* 1399782 */     GIR_EraseRootFromParent_Done,
     /* 1399783 */   // Label 19825: @1399783
     /* 1399783 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1399871), // Rule ID 20538 //
     /* 1399788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1399791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399827 */     // MIs[0] Operand 5
     /* 1399827 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399838 */     // MIs[0] policy
     /* 1399838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399870 */     // GIR_Coverage, 20538,
     /* 1399870 */     GIR_EraseRootFromParent_Done,
     /* 1399871 */   // Label 19826: @1399871
     /* 1399871 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1399959), // Rule ID 20539 //
     /* 1399876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1399879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399915 */     // MIs[0] Operand 5
     /* 1399915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399926 */     // MIs[0] policy
     /* 1399926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399958 */     // GIR_Coverage, 20539,
     /* 1399958 */     GIR_EraseRootFromParent_Done,
     /* 1399959 */   // Label 19827: @1399959
     /* 1399959 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1400047), // Rule ID 20542 //
     /* 1399964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1399975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1399978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400003 */     // MIs[0] Operand 5
     /* 1400003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400014 */     // MIs[0] policy
     /* 1400014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400046 */     // GIR_Coverage, 20542,
     /* 1400046 */     GIR_EraseRootFromParent_Done,
     /* 1400047 */   // Label 19828: @1400047
     /* 1400047 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1400135), // Rule ID 20543 //
     /* 1400052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1400063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1400066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1400069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400091 */     // MIs[0] Operand 5
     /* 1400091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400102 */     // MIs[0] policy
     /* 1400102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400134 */     // GIR_Coverage, 20543,
     /* 1400134 */     GIR_EraseRootFromParent_Done,
     /* 1400135 */   // Label 19829: @1400135
     /* 1400135 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1400223), // Rule ID 20546 //
     /* 1400140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1400151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1400154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400179 */     // MIs[0] Operand 5
     /* 1400179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400190 */     // MIs[0] policy
     /* 1400190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400200 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400222 */     // GIR_Coverage, 20546,
     /* 1400222 */     GIR_EraseRootFromParent_Done,
     /* 1400223 */   // Label 19830: @1400223
     /* 1400223 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1400311), // Rule ID 20547 //
     /* 1400228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1400239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1400242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400267 */     // MIs[0] Operand 5
     /* 1400267 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400278 */     // MIs[0] policy
     /* 1400278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400310 */     // GIR_Coverage, 20547,
     /* 1400310 */     GIR_EraseRootFromParent_Done,
     /* 1400311 */   // Label 19831: @1400311
     /* 1400311 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1400399), // Rule ID 20550 //
     /* 1400316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1400327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1400330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1400336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400355 */     // MIs[0] Operand 5
     /* 1400355 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400366 */     // MIs[0] policy
     /* 1400366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400398 */     // GIR_Coverage, 20550,
     /* 1400398 */     GIR_EraseRootFromParent_Done,
     /* 1400399 */   // Label 19832: @1400399
     /* 1400399 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1400487), // Rule ID 20551 //
     /* 1400404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1400415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1400418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1400424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400443 */     // MIs[0] Operand 5
     /* 1400443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400454 */     // MIs[0] policy
     /* 1400454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400486 */     // GIR_Coverage, 20551,
     /* 1400486 */     GIR_EraseRootFromParent_Done,
     /* 1400487 */   // Label 19833: @1400487
     /* 1400487 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1400575), // Rule ID 20554 //
     /* 1400492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400531 */     // MIs[0] Operand 5
     /* 1400531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400542 */     // MIs[0] policy
     /* 1400542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400574 */     // GIR_Coverage, 20554,
     /* 1400574 */     GIR_EraseRootFromParent_Done,
     /* 1400575 */   // Label 19834: @1400575
     /* 1400575 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1400663), // Rule ID 20555 //
     /* 1400580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400619 */     // MIs[0] Operand 5
     /* 1400619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400630 */     // MIs[0] policy
     /* 1400630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400640 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400662 */     // GIR_Coverage, 20555,
     /* 1400662 */     GIR_EraseRootFromParent_Done,
     /* 1400663 */   // Label 19835: @1400663
     /* 1400663 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1400751), // Rule ID 20558 //
     /* 1400668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400707 */     // MIs[0] Operand 5
     /* 1400707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400718 */     // MIs[0] policy
     /* 1400718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400750 */     // GIR_Coverage, 20558,
     /* 1400750 */     GIR_EraseRootFromParent_Done,
     /* 1400751 */   // Label 19836: @1400751
     /* 1400751 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1400839), // Rule ID 20559 //
     /* 1400756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400795 */     // MIs[0] Operand 5
     /* 1400795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400806 */     // MIs[0] policy
     /* 1400806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400838 */     // GIR_Coverage, 20559,
     /* 1400838 */     GIR_EraseRootFromParent_Done,
     /* 1400839 */   // Label 19837: @1400839
     /* 1400839 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1400927), // Rule ID 20562 //
     /* 1400844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400883 */     // MIs[0] Operand 5
     /* 1400883 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400894 */     // MIs[0] policy
     /* 1400894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400926 */     // GIR_Coverage, 20562,
     /* 1400926 */     GIR_EraseRootFromParent_Done,
     /* 1400927 */   // Label 19838: @1400927
     /* 1400927 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1401015), // Rule ID 20563 //
     /* 1400932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400971 */     // MIs[0] Operand 5
     /* 1400971 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400982 */     // MIs[0] policy
     /* 1400982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401014 */     // GIR_Coverage, 20563,
     /* 1401014 */     GIR_EraseRootFromParent_Done,
     /* 1401015 */   // Label 19839: @1401015
     /* 1401015 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1401103), // Rule ID 20566 //
     /* 1401020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1401023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1401031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1401034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1401037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401059 */     // MIs[0] Operand 5
     /* 1401059 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401070 */     // MIs[0] policy
     /* 1401070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1401083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401102 */     // GIR_Coverage, 20566,
     /* 1401102 */     GIR_EraseRootFromParent_Done,
     /* 1401103 */   // Label 19840: @1401103
     /* 1401103 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1401191), // Rule ID 20567 //
     /* 1401108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1401119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1401122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1401125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401147 */     // MIs[0] Operand 5
     /* 1401147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401158 */     // MIs[0] policy
     /* 1401158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1401171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401190 */     // GIR_Coverage, 20567,
     /* 1401190 */     GIR_EraseRootFromParent_Done,
     /* 1401191 */   // Label 19841: @1401191
     /* 1401191 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1401279), // Rule ID 20570 //
     /* 1401196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1401199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1401207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1401210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401235 */     // MIs[0] Operand 5
     /* 1401235 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401246 */     // MIs[0] policy
     /* 1401246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1401259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401278 */     // GIR_Coverage, 20570,
     /* 1401278 */     GIR_EraseRootFromParent_Done,
     /* 1401279 */   // Label 19842: @1401279
     /* 1401279 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1401367), // Rule ID 20571 //
     /* 1401284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1401295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1401298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401323 */     // MIs[0] Operand 5
     /* 1401323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401334 */     // MIs[0] policy
     /* 1401334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1401347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401366 */     // GIR_Coverage, 20571,
     /* 1401366 */     GIR_EraseRootFromParent_Done,
     /* 1401367 */   // Label 19843: @1401367
     /* 1401367 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1401455), // Rule ID 20574 //
     /* 1401372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1401375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401411 */     // MIs[0] Operand 5
     /* 1401411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401422 */     // MIs[0] policy
     /* 1401422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1401435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401454 */     // GIR_Coverage, 20574,
     /* 1401454 */     GIR_EraseRootFromParent_Done,
     /* 1401455 */   // Label 19844: @1401455
     /* 1401455 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1401543), // Rule ID 20575 //
     /* 1401460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401499 */     // MIs[0] Operand 5
     /* 1401499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401510 */     // MIs[0] policy
     /* 1401510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1401523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401542 */     // GIR_Coverage, 20575,
     /* 1401542 */     GIR_EraseRootFromParent_Done,
     /* 1401543 */   // Label 19845: @1401543
     /* 1401543 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1401631), // Rule ID 20578 //
     /* 1401548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401587 */     // MIs[0] Operand 5
     /* 1401587 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401598 */     // MIs[0] policy
     /* 1401598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401608 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401630 */     // GIR_Coverage, 20578,
     /* 1401630 */     GIR_EraseRootFromParent_Done,
     /* 1401631 */   // Label 19846: @1401631
     /* 1401631 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1401719), // Rule ID 20579 //
     /* 1401636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401675 */     // MIs[0] Operand 5
     /* 1401675 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401686 */     // MIs[0] policy
     /* 1401686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401718 */     // GIR_Coverage, 20579,
     /* 1401718 */     GIR_EraseRootFromParent_Done,
     /* 1401719 */   // Label 19847: @1401719
     /* 1401719 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1401807), // Rule ID 20582 //
     /* 1401724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401763 */     // MIs[0] Operand 5
     /* 1401763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401774 */     // MIs[0] policy
     /* 1401774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401806 */     // GIR_Coverage, 20582,
     /* 1401806 */     GIR_EraseRootFromParent_Done,
     /* 1401807 */   // Label 19848: @1401807
     /* 1401807 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1401895), // Rule ID 20583 //
     /* 1401812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401851 */     // MIs[0] Operand 5
     /* 1401851 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401862 */     // MIs[0] policy
     /* 1401862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401894 */     // GIR_Coverage, 20583,
     /* 1401894 */     GIR_EraseRootFromParent_Done,
     /* 1401895 */   // Label 19849: @1401895
     /* 1401895 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1401983), // Rule ID 20586 //
     /* 1401900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401939 */     // MIs[0] Operand 5
     /* 1401939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401950 */     // MIs[0] policy
     /* 1401950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401982 */     // GIR_Coverage, 20586,
     /* 1401982 */     GIR_EraseRootFromParent_Done,
     /* 1401983 */   // Label 19850: @1401983
     /* 1401983 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1402071), // Rule ID 20587 //
     /* 1401988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402027 */     // MIs[0] Operand 5
     /* 1402027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402038 */     // MIs[0] policy
     /* 1402038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1402051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402070 */     // GIR_Coverage, 20587,
     /* 1402070 */     GIR_EraseRootFromParent_Done,
     /* 1402071 */   // Label 19851: @1402071
     /* 1402071 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1402159), // Rule ID 20590 //
     /* 1402076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402115 */     // MIs[0] Operand 5
     /* 1402115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402126 */     // MIs[0] policy
     /* 1402126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402158 */     // GIR_Coverage, 20590,
     /* 1402158 */     GIR_EraseRootFromParent_Done,
     /* 1402159 */   // Label 19852: @1402159
     /* 1402159 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1402247), // Rule ID 20591 //
     /* 1402164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402203 */     // MIs[0] Operand 5
     /* 1402203 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402214 */     // MIs[0] policy
     /* 1402214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402246 */     // GIR_Coverage, 20591,
     /* 1402246 */     GIR_EraseRootFromParent_Done,
     /* 1402247 */   // Label 19853: @1402247
     /* 1402247 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1402335), // Rule ID 20594 //
     /* 1402252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402291 */     // MIs[0] Operand 5
     /* 1402291 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402302 */     // MIs[0] policy
     /* 1402302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402334 */     // GIR_Coverage, 20594,
     /* 1402334 */     GIR_EraseRootFromParent_Done,
     /* 1402335 */   // Label 19854: @1402335
     /* 1402335 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1402423), // Rule ID 20595 //
     /* 1402340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402379 */     // MIs[0] Operand 5
     /* 1402379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402390 */     // MIs[0] policy
     /* 1402390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402422 */     // GIR_Coverage, 20595,
     /* 1402422 */     GIR_EraseRootFromParent_Done,
     /* 1402423 */   // Label 19855: @1402423
     /* 1402423 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1402511), // Rule ID 20598 //
     /* 1402428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1402431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402467 */     // MIs[0] Operand 5
     /* 1402467 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402478 */     // MIs[0] policy
     /* 1402478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402510 */     // GIR_Coverage, 20598,
     /* 1402510 */     GIR_EraseRootFromParent_Done,
     /* 1402511 */   // Label 19856: @1402511
     /* 1402511 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1402599), // Rule ID 20599 //
     /* 1402516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1402519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402555 */     // MIs[0] Operand 5
     /* 1402555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402566 */     // MIs[0] policy
     /* 1402566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402598 */     // GIR_Coverage, 20599,
     /* 1402598 */     GIR_EraseRootFromParent_Done,
     /* 1402599 */   // Label 19857: @1402599
     /* 1402599 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1402687), // Rule ID 20602 //
     /* 1402604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402643 */     // MIs[0] Operand 5
     /* 1402643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402654 */     // MIs[0] policy
     /* 1402654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402686 */     // GIR_Coverage, 20602,
     /* 1402686 */     GIR_EraseRootFromParent_Done,
     /* 1402687 */   // Label 19858: @1402687
     /* 1402687 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1402775), // Rule ID 20603 //
     /* 1402692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402731 */     // MIs[0] Operand 5
     /* 1402731 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402742 */     // MIs[0] policy
     /* 1402742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402774 */     // GIR_Coverage, 20603,
     /* 1402774 */     GIR_EraseRootFromParent_Done,
     /* 1402775 */   // Label 19859: @1402775
     /* 1402775 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1402863), // Rule ID 20606 //
     /* 1402780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402819 */     // MIs[0] Operand 5
     /* 1402819 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402830 */     // MIs[0] policy
     /* 1402830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402862 */     // GIR_Coverage, 20606,
     /* 1402862 */     GIR_EraseRootFromParent_Done,
     /* 1402863 */   // Label 19860: @1402863
     /* 1402863 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1402951), // Rule ID 20607 //
     /* 1402868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402907 */     // MIs[0] Operand 5
     /* 1402907 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402918 */     // MIs[0] policy
     /* 1402918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402950 */     // GIR_Coverage, 20607,
     /* 1402950 */     GIR_EraseRootFromParent_Done,
     /* 1402951 */   // Label 19861: @1402951
     /* 1402951 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1403039), // Rule ID 20610 //
     /* 1402956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1402976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402995 */     // MIs[0] Operand 5
     /* 1402995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403006 */     // MIs[0] policy
     /* 1403006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403038 */     // GIR_Coverage, 20610,
     /* 1403038 */     GIR_EraseRootFromParent_Done,
     /* 1403039 */   // Label 19862: @1403039
     /* 1403039 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1403127), // Rule ID 20611 //
     /* 1403044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1403055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1403058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1403061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1403064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403083 */     // MIs[0] Operand 5
     /* 1403083 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403094 */     // MIs[0] policy
     /* 1403094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403126 */     // GIR_Coverage, 20611,
     /* 1403126 */     GIR_EraseRootFromParent_Done,
     /* 1403127 */   // Label 19863: @1403127
     /* 1403127 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1403215), // Rule ID 20614 //
     /* 1403132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403171 */     // MIs[0] Operand 5
     /* 1403171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403182 */     // MIs[0] policy
     /* 1403182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403214 */     // GIR_Coverage, 20614,
     /* 1403214 */     GIR_EraseRootFromParent_Done,
     /* 1403215 */   // Label 19864: @1403215
     /* 1403215 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1403303), // Rule ID 20615 //
     /* 1403220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403259 */     // MIs[0] Operand 5
     /* 1403259 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403270 */     // MIs[0] policy
     /* 1403270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403302 */     // GIR_Coverage, 20615,
     /* 1403302 */     GIR_EraseRootFromParent_Done,
     /* 1403303 */   // Label 19865: @1403303
     /* 1403303 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1403391), // Rule ID 20618 //
     /* 1403308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403347 */     // MIs[0] Operand 5
     /* 1403347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403358 */     // MIs[0] policy
     /* 1403358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403390 */     // GIR_Coverage, 20618,
     /* 1403390 */     GIR_EraseRootFromParent_Done,
     /* 1403391 */   // Label 19866: @1403391
     /* 1403391 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1403479), // Rule ID 20619 //
     /* 1403396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403435 */     // MIs[0] Operand 5
     /* 1403435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403446 */     // MIs[0] policy
     /* 1403446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403478 */     // GIR_Coverage, 20619,
     /* 1403478 */     GIR_EraseRootFromParent_Done,
     /* 1403479 */   // Label 19867: @1403479
     /* 1403479 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1403567), // Rule ID 20622 //
     /* 1403484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403523 */     // MIs[0] Operand 5
     /* 1403523 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403534 */     // MIs[0] policy
     /* 1403534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403566 */     // GIR_Coverage, 20622,
     /* 1403566 */     GIR_EraseRootFromParent_Done,
     /* 1403567 */   // Label 19868: @1403567
     /* 1403567 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1403655), // Rule ID 20623 //
     /* 1403572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403611 */     // MIs[0] Operand 5
     /* 1403611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403622 */     // MIs[0] policy
     /* 1403622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403654 */     // GIR_Coverage, 20623,
     /* 1403654 */     GIR_EraseRootFromParent_Done,
     /* 1403655 */   // Label 19869: @1403655
     /* 1403655 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1403743), // Rule ID 20626 //
     /* 1403660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403699 */     // MIs[0] Operand 5
     /* 1403699 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403710 */     // MIs[0] policy
     /* 1403710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403742 */     // GIR_Coverage, 20626,
     /* 1403742 */     GIR_EraseRootFromParent_Done,
     /* 1403743 */   // Label 19870: @1403743
     /* 1403743 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1403831), // Rule ID 20627 //
     /* 1403748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403787 */     // MIs[0] Operand 5
     /* 1403787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403798 */     // MIs[0] policy
     /* 1403798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403830 */     // GIR_Coverage, 20627,
     /* 1403830 */     GIR_EraseRootFromParent_Done,
     /* 1403831 */   // Label 19871: @1403831
     /* 1403831 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1403919), // Rule ID 20630 //
     /* 1403836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403875 */     // MIs[0] Operand 5
     /* 1403875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403886 */     // MIs[0] policy
     /* 1403886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403918 */     // GIR_Coverage, 20630,
     /* 1403918 */     GIR_EraseRootFromParent_Done,
     /* 1403919 */   // Label 19872: @1403919
     /* 1403919 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1404007), // Rule ID 20631 //
     /* 1403924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403963 */     // MIs[0] Operand 5
     /* 1403963 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403974 */     // MIs[0] policy
     /* 1403974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404006 */     // GIR_Coverage, 20631,
     /* 1404006 */     GIR_EraseRootFromParent_Done,
     /* 1404007 */   // Label 19873: @1404007
     /* 1404007 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1404095), // Rule ID 20634 //
     /* 1404012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1404015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1404020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1404023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1404026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1404029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404051 */     // MIs[0] Operand 5
     /* 1404051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404062 */     // MIs[0] policy
     /* 1404062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1404075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404094 */     // GIR_Coverage, 20634,
     /* 1404094 */     GIR_EraseRootFromParent_Done,
     /* 1404095 */   // Label 19874: @1404095
     /* 1404095 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1404183), // Rule ID 20635 //
     /* 1404100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1404103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1404108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1404111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1404114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1404117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404139 */     // MIs[0] Operand 5
     /* 1404139 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404150 */     // MIs[0] policy
     /* 1404150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1404163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404182 */     // GIR_Coverage, 20635,
     /* 1404182 */     GIR_EraseRootFromParent_Done,
     /* 1404183 */   // Label 19875: @1404183
     /* 1404183 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1404271), // Rule ID 20994 //
     /* 1404188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1404205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404227 */     // MIs[0] Operand 5
     /* 1404227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404238 */     // MIs[0] policy
     /* 1404238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1404251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404270 */     // GIR_Coverage, 20994,
     /* 1404270 */     GIR_EraseRootFromParent_Done,
     /* 1404271 */   // Label 19876: @1404271
     /* 1404271 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1404359), // Rule ID 20995 //
     /* 1404276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1404293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404315 */     // MIs[0] Operand 5
     /* 1404315 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404326 */     // MIs[0] policy
     /* 1404326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1404339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404358 */     // GIR_Coverage, 20995,
     /* 1404358 */     GIR_EraseRootFromParent_Done,
     /* 1404359 */   // Label 19877: @1404359
     /* 1404359 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1404447), // Rule ID 20998 //
     /* 1404364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404403 */     // MIs[0] Operand 5
     /* 1404403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404414 */     // MIs[0] policy
     /* 1404414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404446 */     // GIR_Coverage, 20998,
     /* 1404446 */     GIR_EraseRootFromParent_Done,
     /* 1404447 */   // Label 19878: @1404447
     /* 1404447 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1404535), // Rule ID 20999 //
     /* 1404452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404491 */     // MIs[0] Operand 5
     /* 1404491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404502 */     // MIs[0] policy
     /* 1404502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404534 */     // GIR_Coverage, 20999,
     /* 1404534 */     GIR_EraseRootFromParent_Done,
     /* 1404535 */   // Label 19879: @1404535
     /* 1404535 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1404623), // Rule ID 21002 //
     /* 1404540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404579 */     // MIs[0] Operand 5
     /* 1404579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404590 */     // MIs[0] policy
     /* 1404590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404622 */     // GIR_Coverage, 21002,
     /* 1404622 */     GIR_EraseRootFromParent_Done,
     /* 1404623 */   // Label 19880: @1404623
     /* 1404623 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1404711), // Rule ID 21003 //
     /* 1404628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404667 */     // MIs[0] Operand 5
     /* 1404667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404678 */     // MIs[0] policy
     /* 1404678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404710 */     // GIR_Coverage, 21003,
     /* 1404710 */     GIR_EraseRootFromParent_Done,
     /* 1404711 */   // Label 19881: @1404711
     /* 1404711 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1404799), // Rule ID 21006 //
     /* 1404716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404755 */     // MIs[0] Operand 5
     /* 1404755 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404766 */     // MIs[0] policy
     /* 1404766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404798 */     // GIR_Coverage, 21006,
     /* 1404798 */     GIR_EraseRootFromParent_Done,
     /* 1404799 */   // Label 19882: @1404799
     /* 1404799 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1404887), // Rule ID 21007 //
     /* 1404804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404843 */     // MIs[0] Operand 5
     /* 1404843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404854 */     // MIs[0] policy
     /* 1404854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404886 */     // GIR_Coverage, 21007,
     /* 1404886 */     GIR_EraseRootFromParent_Done,
     /* 1404887 */   // Label 19883: @1404887
     /* 1404887 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1404975), // Rule ID 21010 //
     /* 1404892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404931 */     // MIs[0] Operand 5
     /* 1404931 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404942 */     // MIs[0] policy
     /* 1404942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404974 */     // GIR_Coverage, 21010,
     /* 1404974 */     GIR_EraseRootFromParent_Done,
     /* 1404975 */   // Label 19884: @1404975
     /* 1404975 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1405063), // Rule ID 21011 //
     /* 1404980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1405000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405019 */     // MIs[0] Operand 5
     /* 1405019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405030 */     // MIs[0] policy
     /* 1405030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405062 */     // GIR_Coverage, 21011,
     /* 1405062 */     GIR_EraseRootFromParent_Done,
     /* 1405063 */   // Label 19885: @1405063
     /* 1405063 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1405151), // Rule ID 21014 //
     /* 1405068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405107 */     // MIs[0] Operand 5
     /* 1405107 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405118 */     // MIs[0] policy
     /* 1405118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1405131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405150 */     // GIR_Coverage, 21014,
     /* 1405150 */     GIR_EraseRootFromParent_Done,
     /* 1405151 */   // Label 19886: @1405151
     /* 1405151 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1405239), // Rule ID 21015 //
     /* 1405156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405195 */     // MIs[0] Operand 5
     /* 1405195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405206 */     // MIs[0] policy
     /* 1405206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1405219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405238 */     // GIR_Coverage, 21015,
     /* 1405238 */     GIR_EraseRootFromParent_Done,
     /* 1405239 */   // Label 19887: @1405239
     /* 1405239 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1405327), // Rule ID 21018 //
     /* 1405244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405283 */     // MIs[0] Operand 5
     /* 1405283 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405294 */     // MIs[0] policy
     /* 1405294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1405307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405326 */     // GIR_Coverage, 21018,
     /* 1405326 */     GIR_EraseRootFromParent_Done,
     /* 1405327 */   // Label 19888: @1405327
     /* 1405327 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1405415), // Rule ID 21019 //
     /* 1405332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405371 */     // MIs[0] Operand 5
     /* 1405371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405382 */     // MIs[0] policy
     /* 1405382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1405395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405414 */     // GIR_Coverage, 21019,
     /* 1405414 */     GIR_EraseRootFromParent_Done,
     /* 1405415 */   // Label 19889: @1405415
     /* 1405415 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1405503), // Rule ID 21022 //
     /* 1405420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405459 */     // MIs[0] Operand 5
     /* 1405459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405470 */     // MIs[0] policy
     /* 1405470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405502 */     // GIR_Coverage, 21022,
     /* 1405502 */     GIR_EraseRootFromParent_Done,
     /* 1405503 */   // Label 19890: @1405503
     /* 1405503 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1405591), // Rule ID 21023 //
     /* 1405508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405547 */     // MIs[0] Operand 5
     /* 1405547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405558 */     // MIs[0] policy
     /* 1405558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405590 */     // GIR_Coverage, 21023,
     /* 1405590 */     GIR_EraseRootFromParent_Done,
     /* 1405591 */   // Label 19891: @1405591
     /* 1405591 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1405679), // Rule ID 21026 //
     /* 1405596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405635 */     // MIs[0] Operand 5
     /* 1405635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405646 */     // MIs[0] policy
     /* 1405646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405678 */     // GIR_Coverage, 21026,
     /* 1405678 */     GIR_EraseRootFromParent_Done,
     /* 1405679 */   // Label 19892: @1405679
     /* 1405679 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1405767), // Rule ID 21027 //
     /* 1405684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405723 */     // MIs[0] Operand 5
     /* 1405723 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405734 */     // MIs[0] policy
     /* 1405734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405766 */     // GIR_Coverage, 21027,
     /* 1405766 */     GIR_EraseRootFromParent_Done,
     /* 1405767 */   // Label 19893: @1405767
     /* 1405767 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1405855), // Rule ID 21030 //
     /* 1405772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405811 */     // MIs[0] Operand 5
     /* 1405811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405822 */     // MIs[0] policy
     /* 1405822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405854 */     // GIR_Coverage, 21030,
     /* 1405854 */     GIR_EraseRootFromParent_Done,
     /* 1405855 */   // Label 19894: @1405855
     /* 1405855 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1405943), // Rule ID 21031 //
     /* 1405860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405899 */     // MIs[0] Operand 5
     /* 1405899 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405910 */     // MIs[0] policy
     /* 1405910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405942 */     // GIR_Coverage, 21031,
     /* 1405942 */     GIR_EraseRootFromParent_Done,
     /* 1405943 */   // Label 19895: @1405943
     /* 1405943 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1406031), // Rule ID 21034 //
     /* 1405948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405987 */     // MIs[0] Operand 5
     /* 1405987 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405998 */     // MIs[0] policy
     /* 1405998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406030 */     // GIR_Coverage, 21034,
     /* 1406030 */     GIR_EraseRootFromParent_Done,
     /* 1406031 */   // Label 19896: @1406031
     /* 1406031 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1406119), // Rule ID 21035 //
     /* 1406036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1406053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406075 */     // MIs[0] Operand 5
     /* 1406075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406086 */     // MIs[0] policy
     /* 1406086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406118 */     // GIR_Coverage, 21035,
     /* 1406118 */     GIR_EraseRootFromParent_Done,
     /* 1406119 */   // Label 19897: @1406119
     /* 1406119 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1406207), // Rule ID 21038 //
     /* 1406124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1406135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1406138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406163 */     // MIs[0] Operand 5
     /* 1406163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406174 */     // MIs[0] policy
     /* 1406174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406206 */     // GIR_Coverage, 21038,
     /* 1406206 */     GIR_EraseRootFromParent_Done,
     /* 1406207 */   // Label 19898: @1406207
     /* 1406207 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1406295), // Rule ID 21039 //
     /* 1406212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1406223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1406226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406251 */     // MIs[0] Operand 5
     /* 1406251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406262 */     // MIs[0] policy
     /* 1406262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406294 */     // GIR_Coverage, 21039,
     /* 1406294 */     GIR_EraseRootFromParent_Done,
     /* 1406295 */   // Label 19899: @1406295
     /* 1406295 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1406383), // Rule ID 21042 //
     /* 1406300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406339 */     // MIs[0] Operand 5
     /* 1406339 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406350 */     // MIs[0] policy
     /* 1406350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406360 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406382 */     // GIR_Coverage, 21042,
     /* 1406382 */     GIR_EraseRootFromParent_Done,
     /* 1406383 */   // Label 19900: @1406383
     /* 1406383 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1406471), // Rule ID 21043 //
     /* 1406388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406427 */     // MIs[0] Operand 5
     /* 1406427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406438 */     // MIs[0] policy
     /* 1406438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406470 */     // GIR_Coverage, 21043,
     /* 1406470 */     GIR_EraseRootFromParent_Done,
     /* 1406471 */   // Label 19901: @1406471
     /* 1406471 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1406559), // Rule ID 21046 //
     /* 1406476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406515 */     // MIs[0] Operand 5
     /* 1406515 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406526 */     // MIs[0] policy
     /* 1406526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406558 */     // GIR_Coverage, 21046,
     /* 1406558 */     GIR_EraseRootFromParent_Done,
     /* 1406559 */   // Label 19902: @1406559
     /* 1406559 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1406647), // Rule ID 21047 //
     /* 1406564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406603 */     // MIs[0] Operand 5
     /* 1406603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406614 */     // MIs[0] policy
     /* 1406614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406646 */     // GIR_Coverage, 21047,
     /* 1406646 */     GIR_EraseRootFromParent_Done,
     /* 1406647 */   // Label 19903: @1406647
     /* 1406647 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1406735), // Rule ID 21050 //
     /* 1406652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406691 */     // MIs[0] Operand 5
     /* 1406691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406702 */     // MIs[0] policy
     /* 1406702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406734 */     // GIR_Coverage, 21050,
     /* 1406734 */     GIR_EraseRootFromParent_Done,
     /* 1406735 */   // Label 19904: @1406735
     /* 1406735 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1406823), // Rule ID 21051 //
     /* 1406740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406779 */     // MIs[0] Operand 5
     /* 1406779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406790 */     // MIs[0] policy
     /* 1406790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406822 */     // GIR_Coverage, 21051,
     /* 1406822 */     GIR_EraseRootFromParent_Done,
     /* 1406823 */   // Label 19905: @1406823
     /* 1406823 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1406911), // Rule ID 21054 //
     /* 1406828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406867 */     // MIs[0] Operand 5
     /* 1406867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406878 */     // MIs[0] policy
     /* 1406878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406888 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406910 */     // GIR_Coverage, 21054,
     /* 1406910 */     GIR_EraseRootFromParent_Done,
     /* 1406911 */   // Label 19906: @1406911
     /* 1406911 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1406999), // Rule ID 21055 //
     /* 1406916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406955 */     // MIs[0] Operand 5
     /* 1406955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406966 */     // MIs[0] policy
     /* 1406966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406998 */     // GIR_Coverage, 21055,
     /* 1406998 */     GIR_EraseRootFromParent_Done,
     /* 1406999 */   // Label 19907: @1406999
     /* 1406999 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1407087), // Rule ID 21058 //
     /* 1407004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1407007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1407015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1407018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407043 */     // MIs[0] Operand 5
     /* 1407043 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407054 */     // MIs[0] policy
     /* 1407054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1407067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407086 */     // GIR_Coverage, 21058,
     /* 1407086 */     GIR_EraseRootFromParent_Done,
     /* 1407087 */   // Label 19908: @1407087
     /* 1407087 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1407175), // Rule ID 21059 //
     /* 1407092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1407095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1407103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1407106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407131 */     // MIs[0] Operand 5
     /* 1407131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407142 */     // MIs[0] policy
     /* 1407142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1407155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407174 */     // GIR_Coverage, 21059,
     /* 1407174 */     GIR_EraseRootFromParent_Done,
     /* 1407175 */   // Label 19909: @1407175
     /* 1407175 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1407263), // Rule ID 21062 //
     /* 1407180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1407183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1407191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1407194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407219 */     // MIs[0] Operand 5
     /* 1407219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407230 */     // MIs[0] policy
     /* 1407230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1407243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407262 */     // GIR_Coverage, 21062,
     /* 1407262 */     GIR_EraseRootFromParent_Done,
     /* 1407263 */   // Label 19910: @1407263
     /* 1407263 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1407351), // Rule ID 21063 //
     /* 1407268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1407271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1407279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1407282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407307 */     // MIs[0] Operand 5
     /* 1407307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407318 */     // MIs[0] policy
     /* 1407318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1407331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407350 */     // GIR_Coverage, 21063,
     /* 1407350 */     GIR_EraseRootFromParent_Done,
     /* 1407351 */   // Label 19911: @1407351
     /* 1407351 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1407439), // Rule ID 21366 //
     /* 1407356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1407367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1407370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407395 */     // MIs[0] Operand 5
     /* 1407395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407406 */     // MIs[0] policy
     /* 1407406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1407419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407438 */     // GIR_Coverage, 21366,
     /* 1407438 */     GIR_EraseRootFromParent_Done,
     /* 1407439 */   // Label 19912: @1407439
     /* 1407439 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1407527), // Rule ID 21367 //
     /* 1407444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1407455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1407458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407483 */     // MIs[0] Operand 5
     /* 1407483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407494 */     // MIs[0] policy
     /* 1407494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1407507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407526 */     // GIR_Coverage, 21367,
     /* 1407526 */     GIR_EraseRootFromParent_Done,
     /* 1407527 */   // Label 19913: @1407527
     /* 1407527 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1407615), // Rule ID 21370 //
     /* 1407532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407571 */     // MIs[0] Operand 5
     /* 1407571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407582 */     // MIs[0] policy
     /* 1407582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407614 */     // GIR_Coverage, 21370,
     /* 1407614 */     GIR_EraseRootFromParent_Done,
     /* 1407615 */   // Label 19914: @1407615
     /* 1407615 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1407703), // Rule ID 21371 //
     /* 1407620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407659 */     // MIs[0] Operand 5
     /* 1407659 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407670 */     // MIs[0] policy
     /* 1407670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407702 */     // GIR_Coverage, 21371,
     /* 1407702 */     GIR_EraseRootFromParent_Done,
     /* 1407703 */   // Label 19915: @1407703
     /* 1407703 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1407791), // Rule ID 21374 //
     /* 1407708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407747 */     // MIs[0] Operand 5
     /* 1407747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407758 */     // MIs[0] policy
     /* 1407758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407768 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407790 */     // GIR_Coverage, 21374,
     /* 1407790 */     GIR_EraseRootFromParent_Done,
     /* 1407791 */   // Label 19916: @1407791
     /* 1407791 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1407879), // Rule ID 21375 //
     /* 1407796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407835 */     // MIs[0] Operand 5
     /* 1407835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407846 */     // MIs[0] policy
     /* 1407846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407878 */     // GIR_Coverage, 21375,
     /* 1407878 */     GIR_EraseRootFromParent_Done,
     /* 1407879 */   // Label 19917: @1407879
     /* 1407879 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1407967), // Rule ID 21378 //
     /* 1407884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407923 */     // MIs[0] Operand 5
     /* 1407923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407934 */     // MIs[0] policy
     /* 1407934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407966 */     // GIR_Coverage, 21378,
     /* 1407966 */     GIR_EraseRootFromParent_Done,
     /* 1407967 */   // Label 19918: @1407967
     /* 1407967 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1408055), // Rule ID 21379 //
     /* 1407972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408011 */     // MIs[0] Operand 5
     /* 1408011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408022 */     // MIs[0] policy
     /* 1408022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408054 */     // GIR_Coverage, 21379,
     /* 1408054 */     GIR_EraseRootFromParent_Done,
     /* 1408055 */   // Label 19919: @1408055
     /* 1408055 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1408143), // Rule ID 21382 //
     /* 1408060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1408071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1408074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1408077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408099 */     // MIs[0] Operand 5
     /* 1408099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408110 */     // MIs[0] policy
     /* 1408110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408120 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408142 */     // GIR_Coverage, 21382,
     /* 1408142 */     GIR_EraseRootFromParent_Done,
     /* 1408143 */   // Label 19920: @1408143
     /* 1408143 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1408231), // Rule ID 21383 //
     /* 1408148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1408159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1408162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1408165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408187 */     // MIs[0] Operand 5
     /* 1408187 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408198 */     // MIs[0] policy
     /* 1408198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408230 */     // GIR_Coverage, 21383,
     /* 1408230 */     GIR_EraseRootFromParent_Done,
     /* 1408231 */   // Label 19921: @1408231
     /* 1408231 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1408319), // Rule ID 21386 //
     /* 1408236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1408247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1408250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1408253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1408256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408275 */     // MIs[0] Operand 5
     /* 1408275 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408286 */     // MIs[0] policy
     /* 1408286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408318 */     // GIR_Coverage, 21386,
     /* 1408318 */     GIR_EraseRootFromParent_Done,
     /* 1408319 */   // Label 19922: @1408319
     /* 1408319 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1408407), // Rule ID 21387 //
     /* 1408324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1408335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1408338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1408341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1408344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408363 */     // MIs[0] Operand 5
     /* 1408363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408374 */     // MIs[0] policy
     /* 1408374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408406 */     // GIR_Coverage, 21387,
     /* 1408406 */     GIR_EraseRootFromParent_Done,
     /* 1408407 */   // Label 19923: @1408407
     /* 1408407 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1408495), // Rule ID 21390 //
     /* 1408412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408451 */     // MIs[0] Operand 5
     /* 1408451 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408462 */     // MIs[0] policy
     /* 1408462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408494 */     // GIR_Coverage, 21390,
     /* 1408494 */     GIR_EraseRootFromParent_Done,
     /* 1408495 */   // Label 19924: @1408495
     /* 1408495 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1408583), // Rule ID 21391 //
     /* 1408500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408539 */     // MIs[0] Operand 5
     /* 1408539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408550 */     // MIs[0] policy
     /* 1408550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408582 */     // GIR_Coverage, 21391,
     /* 1408582 */     GIR_EraseRootFromParent_Done,
     /* 1408583 */   // Label 19925: @1408583
     /* 1408583 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1408671), // Rule ID 21394 //
     /* 1408588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408627 */     // MIs[0] Operand 5
     /* 1408627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408638 */     // MIs[0] policy
     /* 1408638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408670 */     // GIR_Coverage, 21394,
     /* 1408670 */     GIR_EraseRootFromParent_Done,
     /* 1408671 */   // Label 19926: @1408671
     /* 1408671 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1408759), // Rule ID 21395 //
     /* 1408676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408715 */     // MIs[0] Operand 5
     /* 1408715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408726 */     // MIs[0] policy
     /* 1408726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408758 */     // GIR_Coverage, 21395,
     /* 1408758 */     GIR_EraseRootFromParent_Done,
     /* 1408759 */   // Label 19927: @1408759
     /* 1408759 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1408847), // Rule ID 21398 //
     /* 1408764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408803 */     // MIs[0] Operand 5
     /* 1408803 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408814 */     // MIs[0] policy
     /* 1408814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408846 */     // GIR_Coverage, 21398,
     /* 1408846 */     GIR_EraseRootFromParent_Done,
     /* 1408847 */   // Label 19928: @1408847
     /* 1408847 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1408935), // Rule ID 21399 //
     /* 1408852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408891 */     // MIs[0] Operand 5
     /* 1408891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408902 */     // MIs[0] policy
     /* 1408902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408934 */     // GIR_Coverage, 21399,
     /* 1408934 */     GIR_EraseRootFromParent_Done,
     /* 1408935 */   // Label 19929: @1408935
     /* 1408935 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1409023), // Rule ID 21402 //
     /* 1408940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408979 */     // MIs[0] Operand 5
     /* 1408979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408990 */     // MIs[0] policy
     /* 1408990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409000 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409022 */     // GIR_Coverage, 21402,
     /* 1409022 */     GIR_EraseRootFromParent_Done,
     /* 1409023 */   // Label 19930: @1409023
     /* 1409023 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1409111), // Rule ID 21403 //
     /* 1409028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1409039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1409042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409067 */     // MIs[0] Operand 5
     /* 1409067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409078 */     // MIs[0] policy
     /* 1409078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409110 */     // GIR_Coverage, 21403,
     /* 1409110 */     GIR_EraseRootFromParent_Done,
     /* 1409111 */   // Label 19931: @1409111
     /* 1409111 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1409199), // Rule ID 21406 //
     /* 1409116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409155 */     // MIs[0] Operand 5
     /* 1409155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409166 */     // MIs[0] policy
     /* 1409166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409198 */     // GIR_Coverage, 21406,
     /* 1409198 */     GIR_EraseRootFromParent_Done,
     /* 1409199 */   // Label 19932: @1409199
     /* 1409199 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1409287), // Rule ID 21407 //
     /* 1409204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409243 */     // MIs[0] Operand 5
     /* 1409243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409254 */     // MIs[0] policy
     /* 1409254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409286 */     // GIR_Coverage, 21407,
     /* 1409286 */     GIR_EraseRootFromParent_Done,
     /* 1409287 */   // Label 19933: @1409287
     /* 1409287 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1409375), // Rule ID 21410 //
     /* 1409292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1409309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409331 */     // MIs[0] Operand 5
     /* 1409331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409342 */     // MIs[0] policy
     /* 1409342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1409355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409374 */     // GIR_Coverage, 21410,
     /* 1409374 */     GIR_EraseRootFromParent_Done,
     /* 1409375 */   // Label 19934: @1409375
     /* 1409375 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1409463), // Rule ID 21411 //
     /* 1409380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1409397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409419 */     // MIs[0] Operand 5
     /* 1409419 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409430 */     // MIs[0] policy
     /* 1409430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1409443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409462 */     // GIR_Coverage, 21411,
     /* 1409462 */     GIR_EraseRootFromParent_Done,
     /* 1409463 */   // Label 19935: @1409463
     /* 1409463 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1409551), // Rule ID 21414 //
     /* 1409468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409507 */     // MIs[0] Operand 5
     /* 1409507 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409518 */     // MIs[0] policy
     /* 1409518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409550 */     // GIR_Coverage, 21414,
     /* 1409550 */     GIR_EraseRootFromParent_Done,
     /* 1409551 */   // Label 19936: @1409551
     /* 1409551 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1409639), // Rule ID 21415 //
     /* 1409556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409595 */     // MIs[0] Operand 5
     /* 1409595 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409606 */     // MIs[0] policy
     /* 1409606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409638 */     // GIR_Coverage, 21415,
     /* 1409638 */     GIR_EraseRootFromParent_Done,
     /* 1409639 */   // Label 19937: @1409639
     /* 1409639 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1409727), // Rule ID 21418 //
     /* 1409644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409683 */     // MIs[0] Operand 5
     /* 1409683 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409694 */     // MIs[0] policy
     /* 1409694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409726 */     // GIR_Coverage, 21418,
     /* 1409726 */     GIR_EraseRootFromParent_Done,
     /* 1409727 */   // Label 19938: @1409727
     /* 1409727 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1409815), // Rule ID 21419 //
     /* 1409732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409771 */     // MIs[0] Operand 5
     /* 1409771 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409782 */     // MIs[0] policy
     /* 1409782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409814 */     // GIR_Coverage, 21419,
     /* 1409814 */     GIR_EraseRootFromParent_Done,
     /* 1409815 */   // Label 19939: @1409815
     /* 1409815 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1409903), // Rule ID 21422 //
     /* 1409820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409859 */     // MIs[0] Operand 5
     /* 1409859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409870 */     // MIs[0] policy
     /* 1409870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409902 */     // GIR_Coverage, 21422,
     /* 1409902 */     GIR_EraseRootFromParent_Done,
     /* 1409903 */   // Label 19940: @1409903
     /* 1409903 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1409991), // Rule ID 21423 //
     /* 1409908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409947 */     // MIs[0] Operand 5
     /* 1409947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409958 */     // MIs[0] policy
     /* 1409958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409990 */     // GIR_Coverage, 21423,
     /* 1409990 */     GIR_EraseRootFromParent_Done,
     /* 1409991 */   // Label 19941: @1409991
     /* 1409991 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1410079), // Rule ID 21426 //
     /* 1409996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1410007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1410010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410035 */     // MIs[0] Operand 5
     /* 1410035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410046 */     // MIs[0] policy
     /* 1410046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410056 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1410059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410078 */     // GIR_Coverage, 21426,
     /* 1410078 */     GIR_EraseRootFromParent_Done,
     /* 1410079 */   // Label 19942: @1410079
     /* 1410079 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1410167), // Rule ID 21427 //
     /* 1410084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1410095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1410098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410123 */     // MIs[0] Operand 5
     /* 1410123 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410134 */     // MIs[0] policy
     /* 1410134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1410147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410166 */     // GIR_Coverage, 21427,
     /* 1410166 */     GIR_EraseRootFromParent_Done,
     /* 1410167 */   // Label 19943: @1410167
     /* 1410167 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1410255), // Rule ID 21430 //
     /* 1410172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1410183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1410186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410211 */     // MIs[0] Operand 5
     /* 1410211 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410222 */     // MIs[0] policy
     /* 1410222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410254 */     // GIR_Coverage, 21430,
     /* 1410254 */     GIR_EraseRootFromParent_Done,
     /* 1410255 */   // Label 19944: @1410255
     /* 1410255 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1410343), // Rule ID 21431 //
     /* 1410260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1410271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1410274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410299 */     // MIs[0] Operand 5
     /* 1410299 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410310 */     // MIs[0] policy
     /* 1410310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410320 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410342 */     // GIR_Coverage, 21431,
     /* 1410342 */     GIR_EraseRootFromParent_Done,
     /* 1410343 */   // Label 19945: @1410343
     /* 1410343 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1410431), // Rule ID 21434 //
     /* 1410348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1410359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1410362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410387 */     // MIs[0] Operand 5
     /* 1410387 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410398 */     // MIs[0] policy
     /* 1410398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410430 */     // GIR_Coverage, 21434,
     /* 1410430 */     GIR_EraseRootFromParent_Done,
     /* 1410431 */   // Label 19946: @1410431
     /* 1410431 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1410519), // Rule ID 21435 //
     /* 1410436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1410447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1410450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410475 */     // MIs[0] Operand 5
     /* 1410475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410486 */     // MIs[0] policy
     /* 1410486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410518 */     // GIR_Coverage, 21435,
     /* 1410518 */     GIR_EraseRootFromParent_Done,
     /* 1410519 */   // Label 19947: @1410519
     /* 1410519 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1410607), // Rule ID 21438 //
     /* 1410524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410563 */     // MIs[0] Operand 5
     /* 1410563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410574 */     // MIs[0] policy
     /* 1410574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410606 */     // GIR_Coverage, 21438,
     /* 1410606 */     GIR_EraseRootFromParent_Done,
     /* 1410607 */   // Label 19948: @1410607
     /* 1410607 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1410695), // Rule ID 21439 //
     /* 1410612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410651 */     // MIs[0] Operand 5
     /* 1410651 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410662 */     // MIs[0] policy
     /* 1410662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410694 */     // GIR_Coverage, 21439,
     /* 1410694 */     GIR_EraseRootFromParent_Done,
     /* 1410695 */   // Label 19949: @1410695
     /* 1410695 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1410783), // Rule ID 21442 //
     /* 1410700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410739 */     // MIs[0] Operand 5
     /* 1410739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410750 */     // MIs[0] policy
     /* 1410750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410760 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410782 */     // GIR_Coverage, 21442,
     /* 1410782 */     GIR_EraseRootFromParent_Done,
     /* 1410783 */   // Label 19950: @1410783
     /* 1410783 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1410871), // Rule ID 21443 //
     /* 1410788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410827 */     // MIs[0] Operand 5
     /* 1410827 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410838 */     // MIs[0] policy
     /* 1410838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410848 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410870 */     // GIR_Coverage, 21443,
     /* 1410870 */     GIR_EraseRootFromParent_Done,
     /* 1410871 */   // Label 19951: @1410871
     /* 1410871 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1410959), // Rule ID 21446 //
     /* 1410876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410915 */     // MIs[0] Operand 5
     /* 1410915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410926 */     // MIs[0] policy
     /* 1410926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410958 */     // GIR_Coverage, 21446,
     /* 1410958 */     GIR_EraseRootFromParent_Done,
     /* 1410959 */   // Label 19952: @1410959
     /* 1410959 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1411047), // Rule ID 21447 //
     /* 1410964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411003 */     // MIs[0] Operand 5
     /* 1411003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411014 */     // MIs[0] policy
     /* 1411014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411046 */     // GIR_Coverage, 21447,
     /* 1411046 */     GIR_EraseRootFromParent_Done,
     /* 1411047 */   // Label 19953: @1411047
     /* 1411047 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1411135), // Rule ID 21450 //
     /* 1411052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411091 */     // MIs[0] Operand 5
     /* 1411091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411102 */     // MIs[0] policy
     /* 1411102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1411115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411134 */     // GIR_Coverage, 21450,
     /* 1411134 */     GIR_EraseRootFromParent_Done,
     /* 1411135 */   // Label 19954: @1411135
     /* 1411135 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1411223), // Rule ID 21451 //
     /* 1411140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411179 */     // MIs[0] Operand 5
     /* 1411179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411190 */     // MIs[0] policy
     /* 1411190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1411203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411222 */     // GIR_Coverage, 21451,
     /* 1411222 */     GIR_EraseRootFromParent_Done,
     /* 1411223 */   // Label 19955: @1411223
     /* 1411223 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1411311), // Rule ID 21454 //
     /* 1411228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411267 */     // MIs[0] Operand 5
     /* 1411267 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411278 */     // MIs[0] policy
     /* 1411278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411310 */     // GIR_Coverage, 21454,
     /* 1411310 */     GIR_EraseRootFromParent_Done,
     /* 1411311 */   // Label 19956: @1411311
     /* 1411311 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1411399), // Rule ID 21455 //
     /* 1411316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411355 */     // MIs[0] Operand 5
     /* 1411355 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411366 */     // MIs[0] policy
     /* 1411366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411398 */     // GIR_Coverage, 21455,
     /* 1411398 */     GIR_EraseRootFromParent_Done,
     /* 1411399 */   // Label 19957: @1411399
     /* 1411399 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1411487), // Rule ID 21458 //
     /* 1411404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411443 */     // MIs[0] Operand 5
     /* 1411443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411454 */     // MIs[0] policy
     /* 1411454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411486 */     // GIR_Coverage, 21458,
     /* 1411486 */     GIR_EraseRootFromParent_Done,
     /* 1411487 */   // Label 19958: @1411487
     /* 1411487 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1411575), // Rule ID 21459 //
     /* 1411492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411531 */     // MIs[0] Operand 5
     /* 1411531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411542 */     // MIs[0] policy
     /* 1411542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411574 */     // GIR_Coverage, 21459,
     /* 1411574 */     GIR_EraseRootFromParent_Done,
     /* 1411575 */   // Label 19959: @1411575
     /* 1411575 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1411663), // Rule ID 21462 //
     /* 1411580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411619 */     // MIs[0] Operand 5
     /* 1411619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411630 */     // MIs[0] policy
     /* 1411630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411640 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411662 */     // GIR_Coverage, 21462,
     /* 1411662 */     GIR_EraseRootFromParent_Done,
     /* 1411663 */   // Label 19960: @1411663
     /* 1411663 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1411751), // Rule ID 21463 //
     /* 1411668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411707 */     // MIs[0] Operand 5
     /* 1411707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411718 */     // MIs[0] policy
     /* 1411718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411750 */     // GIR_Coverage, 21463,
     /* 1411750 */     GIR_EraseRootFromParent_Done,
     /* 1411751 */   // Label 19961: @1411751
     /* 1411751 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1411839), // Rule ID 21466 //
     /* 1411756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411795 */     // MIs[0] Operand 5
     /* 1411795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411806 */     // MIs[0] policy
     /* 1411806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411838 */     // GIR_Coverage, 21466,
     /* 1411838 */     GIR_EraseRootFromParent_Done,
     /* 1411839 */   // Label 19962: @1411839
     /* 1411839 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1411927), // Rule ID 21467 //
     /* 1411844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411883 */     // MIs[0] Operand 5
     /* 1411883 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411894 */     // MIs[0] policy
     /* 1411894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411926 */     // GIR_Coverage, 21467,
     /* 1411926 */     GIR_EraseRootFromParent_Done,
     /* 1411927 */   // Label 19963: @1411927
     /* 1411927 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1412015), // Rule ID 21470 //
     /* 1411932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411971 */     // MIs[0] Operand 5
     /* 1411971 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411982 */     // MIs[0] policy
     /* 1411982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412014 */     // GIR_Coverage, 21470,
     /* 1412014 */     GIR_EraseRootFromParent_Done,
     /* 1412015 */   // Label 19964: @1412015
     /* 1412015 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1412103), // Rule ID 21471 //
     /* 1412020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412059 */     // MIs[0] Operand 5
     /* 1412059 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412070 */     // MIs[0] policy
     /* 1412070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1412083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412102 */     // GIR_Coverage, 21471,
     /* 1412102 */     GIR_EraseRootFromParent_Done,
     /* 1412103 */   // Label 19965: @1412103
     /* 1412103 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1412191), // Rule ID 21474 //
     /* 1412108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1412125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412147 */     // MIs[0] Operand 5
     /* 1412147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412158 */     // MIs[0] policy
     /* 1412158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1412171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412190 */     // GIR_Coverage, 21474,
     /* 1412190 */     GIR_EraseRootFromParent_Done,
     /* 1412191 */   // Label 19966: @1412191
     /* 1412191 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1412279), // Rule ID 21475 //
     /* 1412196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1412213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412235 */     // MIs[0] Operand 5
     /* 1412235 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412246 */     // MIs[0] policy
     /* 1412246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1412259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412278 */     // GIR_Coverage, 21475,
     /* 1412278 */     GIR_EraseRootFromParent_Done,
     /* 1412279 */   // Label 19967: @1412279
     /* 1412279 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1412367), // Rule ID 21478 //
     /* 1412284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1412301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412323 */     // MIs[0] Operand 5
     /* 1412323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412334 */     // MIs[0] policy
     /* 1412334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1412347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412366 */     // GIR_Coverage, 21478,
     /* 1412366 */     GIR_EraseRootFromParent_Done,
     /* 1412367 */   // Label 19968: @1412367
     /* 1412367 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1412455), // Rule ID 21479 //
     /* 1412372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1412389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412411 */     // MIs[0] Operand 5
     /* 1412411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412422 */     // MIs[0] policy
     /* 1412422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1412435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412454 */     // GIR_Coverage, 21479,
     /* 1412454 */     GIR_EraseRootFromParent_Done,
     /* 1412455 */   // Label 19969: @1412455
     /* 1412455 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1412543), // Rule ID 21482 //
     /* 1412460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412499 */     // MIs[0] Operand 5
     /* 1412499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412510 */     // MIs[0] policy
     /* 1412510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412542 */     // GIR_Coverage, 21482,
     /* 1412542 */     GIR_EraseRootFromParent_Done,
     /* 1412543 */   // Label 19970: @1412543
     /* 1412543 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1412631), // Rule ID 21483 //
     /* 1412548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412587 */     // MIs[0] Operand 5
     /* 1412587 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412598 */     // MIs[0] policy
     /* 1412598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412630 */     // GIR_Coverage, 21483,
     /* 1412630 */     GIR_EraseRootFromParent_Done,
     /* 1412631 */   // Label 19971: @1412631
     /* 1412631 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1412730), // Rule ID 2688 //
     /* 1412636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412686 */     // MIs[1] Operand 1
     /* 1412686 */     // No operand predicates
     /* 1412686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412690 */     // MIs[0] policy
     /* 1412690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412711 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412729 */     // GIR_Coverage, 2688,
     /* 1412729 */     GIR_EraseRootFromParent_Done,
     /* 1412730 */   // Label 19972: @1412730
     /* 1412730 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1412829), // Rule ID 2689 //
     /* 1412735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412785 */     // MIs[1] Operand 1
     /* 1412785 */     // No operand predicates
     /* 1412785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412789 */     // MIs[0] policy
     /* 1412789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412801 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412810 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412828 */     // GIR_Coverage, 2689,
     /* 1412828 */     GIR_EraseRootFromParent_Done,
     /* 1412829 */   // Label 19973: @1412829
     /* 1412829 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1412928), // Rule ID 2696 //
     /* 1412834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412884 */     // MIs[1] Operand 1
     /* 1412884 */     // No operand predicates
     /* 1412884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412888 */     // MIs[0] policy
     /* 1412888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412900 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412909 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412927 */     // GIR_Coverage, 2696,
     /* 1412927 */     GIR_EraseRootFromParent_Done,
     /* 1412928 */   // Label 19974: @1412928
     /* 1412928 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1413027), // Rule ID 2697 //
     /* 1412933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412983 */     // MIs[1] Operand 1
     /* 1412983 */     // No operand predicates
     /* 1412983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412987 */     // MIs[0] policy
     /* 1412987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1413002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413008 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413026 */     // GIR_Coverage, 2697,
     /* 1413026 */     GIR_EraseRootFromParent_Done,
     /* 1413027 */   // Label 19975: @1413027
     /* 1413027 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1413126), // Rule ID 2704 //
     /* 1413032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1413043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1413046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1413049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413082 */     // MIs[1] Operand 1
     /* 1413082 */     // No operand predicates
     /* 1413082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413086 */     // MIs[0] policy
     /* 1413086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413098 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413107 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413125 */     // GIR_Coverage, 2704,
     /* 1413125 */     GIR_EraseRootFromParent_Done,
     /* 1413126 */   // Label 19976: @1413126
     /* 1413126 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1413225), // Rule ID 2705 //
     /* 1413131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1413142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1413145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1413148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413181 */     // MIs[1] Operand 1
     /* 1413181 */     // No operand predicates
     /* 1413181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413185 */     // MIs[0] policy
     /* 1413185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413206 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413224 */     // GIR_Coverage, 2705,
     /* 1413224 */     GIR_EraseRootFromParent_Done,
     /* 1413225 */   // Label 19977: @1413225
     /* 1413225 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1413324), // Rule ID 2712 //
     /* 1413230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1413241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1413244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1413247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413280 */     // MIs[1] Operand 1
     /* 1413280 */     // No operand predicates
     /* 1413280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413284 */     // MIs[0] policy
     /* 1413284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1413299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413305 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413323 */     // GIR_Coverage, 2712,
     /* 1413323 */     GIR_EraseRootFromParent_Done,
     /* 1413324 */   // Label 19978: @1413324
     /* 1413324 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1413423), // Rule ID 2713 //
     /* 1413329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1413340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1413343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1413346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413379 */     // MIs[1] Operand 1
     /* 1413379 */     // No operand predicates
     /* 1413379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413383 */     // MIs[0] policy
     /* 1413383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413395 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1413398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413404 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413422 */     // GIR_Coverage, 2713,
     /* 1413422 */     GIR_EraseRootFromParent_Done,
     /* 1413423 */   // Label 19979: @1413423
     /* 1413423 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1413522), // Rule ID 2720 //
     /* 1413428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413478 */     // MIs[1] Operand 1
     /* 1413478 */     // No operand predicates
     /* 1413478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413482 */     // MIs[0] policy
     /* 1413482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413503 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413521 */     // GIR_Coverage, 2720,
     /* 1413521 */     GIR_EraseRootFromParent_Done,
     /* 1413522 */   // Label 19980: @1413522
     /* 1413522 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1413621), // Rule ID 2721 //
     /* 1413527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413577 */     // MIs[1] Operand 1
     /* 1413577 */     // No operand predicates
     /* 1413577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413581 */     // MIs[0] policy
     /* 1413581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413593 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413602 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413620 */     // GIR_Coverage, 2721,
     /* 1413620 */     GIR_EraseRootFromParent_Done,
     /* 1413621 */   // Label 19981: @1413621
     /* 1413621 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1413720), // Rule ID 2728 //
     /* 1413626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413676 */     // MIs[1] Operand 1
     /* 1413676 */     // No operand predicates
     /* 1413676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413680 */     // MIs[0] policy
     /* 1413680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413701 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413719 */     // GIR_Coverage, 2728,
     /* 1413719 */     GIR_EraseRootFromParent_Done,
     /* 1413720 */   // Label 19982: @1413720
     /* 1413720 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1413819), // Rule ID 2729 //
     /* 1413725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413775 */     // MIs[1] Operand 1
     /* 1413775 */     // No operand predicates
     /* 1413775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413779 */     // MIs[0] policy
     /* 1413779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413800 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413818 */     // GIR_Coverage, 2729,
     /* 1413818 */     GIR_EraseRootFromParent_Done,
     /* 1413819 */   // Label 19983: @1413819
     /* 1413819 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1413918), // Rule ID 2736 //
     /* 1413824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413874 */     // MIs[1] Operand 1
     /* 1413874 */     // No operand predicates
     /* 1413874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413878 */     // MIs[0] policy
     /* 1413878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413899 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413917 */     // GIR_Coverage, 2736,
     /* 1413917 */     GIR_EraseRootFromParent_Done,
     /* 1413918 */   // Label 19984: @1413918
     /* 1413918 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1414017), // Rule ID 2737 //
     /* 1413923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413973 */     // MIs[1] Operand 1
     /* 1413973 */     // No operand predicates
     /* 1413973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413977 */     // MIs[0] policy
     /* 1413977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413998 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414016 */     // GIR_Coverage, 2737,
     /* 1414016 */     GIR_EraseRootFromParent_Done,
     /* 1414017 */   // Label 19985: @1414017
     /* 1414017 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1414116), // Rule ID 2744 //
     /* 1414022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1414033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1414036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414072 */     // MIs[1] Operand 1
     /* 1414072 */     // No operand predicates
     /* 1414072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414076 */     // MIs[0] policy
     /* 1414076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414097 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414115 */     // GIR_Coverage, 2744,
     /* 1414115 */     GIR_EraseRootFromParent_Done,
     /* 1414116 */   // Label 19986: @1414116
     /* 1414116 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1414215), // Rule ID 2745 //
     /* 1414121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1414132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1414135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414171 */     // MIs[1] Operand 1
     /* 1414171 */     // No operand predicates
     /* 1414171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414175 */     // MIs[0] policy
     /* 1414175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414187 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414196 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414214 */     // GIR_Coverage, 2745,
     /* 1414214 */     GIR_EraseRootFromParent_Done,
     /* 1414215 */   // Label 19987: @1414215
     /* 1414215 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1414314), // Rule ID 2752 //
     /* 1414220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1414231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1414234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1414237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414270 */     // MIs[1] Operand 1
     /* 1414270 */     // No operand predicates
     /* 1414270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414274 */     // MIs[0] policy
     /* 1414274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414295 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414313 */     // GIR_Coverage, 2752,
     /* 1414313 */     GIR_EraseRootFromParent_Done,
     /* 1414314 */   // Label 19988: @1414314
     /* 1414314 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1414413), // Rule ID 2753 //
     /* 1414319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1414330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1414333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1414336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414369 */     // MIs[1] Operand 1
     /* 1414369 */     // No operand predicates
     /* 1414369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414373 */     // MIs[0] policy
     /* 1414373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414385 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414394 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414412 */     // GIR_Coverage, 2753,
     /* 1414412 */     GIR_EraseRootFromParent_Done,
     /* 1414413 */   // Label 19989: @1414413
     /* 1414413 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1414512), // Rule ID 2760 //
     /* 1414418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1414435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414468 */     // MIs[1] Operand 1
     /* 1414468 */     // No operand predicates
     /* 1414468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414472 */     // MIs[0] policy
     /* 1414472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414493 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414511 */     // GIR_Coverage, 2760,
     /* 1414511 */     GIR_EraseRootFromParent_Done,
     /* 1414512 */   // Label 19990: @1414512
     /* 1414512 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1414611), // Rule ID 2761 //
     /* 1414517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1414534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414567 */     // MIs[1] Operand 1
     /* 1414567 */     // No operand predicates
     /* 1414567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414571 */     // MIs[0] policy
     /* 1414571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414583 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414592 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414610 */     // GIR_Coverage, 2761,
     /* 1414610 */     GIR_EraseRootFromParent_Done,
     /* 1414611 */   // Label 19991: @1414611
     /* 1414611 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1414710), // Rule ID 2768 //
     /* 1414616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414666 */     // MIs[1] Operand 1
     /* 1414666 */     // No operand predicates
     /* 1414666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414670 */     // MIs[0] policy
     /* 1414670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414691 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414709 */     // GIR_Coverage, 2768,
     /* 1414709 */     GIR_EraseRootFromParent_Done,
     /* 1414710 */   // Label 19992: @1414710
     /* 1414710 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1414809), // Rule ID 2769 //
     /* 1414715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414765 */     // MIs[1] Operand 1
     /* 1414765 */     // No operand predicates
     /* 1414765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414769 */     // MIs[0] policy
     /* 1414769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414781 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414790 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414808 */     // GIR_Coverage, 2769,
     /* 1414808 */     GIR_EraseRootFromParent_Done,
     /* 1414809 */   // Label 19993: @1414809
     /* 1414809 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1414908), // Rule ID 2776 //
     /* 1414814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414864 */     // MIs[1] Operand 1
     /* 1414864 */     // No operand predicates
     /* 1414864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414868 */     // MIs[0] policy
     /* 1414868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414880 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414889 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414907 */     // GIR_Coverage, 2776,
     /* 1414907 */     GIR_EraseRootFromParent_Done,
     /* 1414908 */   // Label 19994: @1414908
     /* 1414908 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1415007), // Rule ID 2777 //
     /* 1414913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414963 */     // MIs[1] Operand 1
     /* 1414963 */     // No operand predicates
     /* 1414963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414967 */     // MIs[0] policy
     /* 1414967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414979 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414988 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415006 */     // GIR_Coverage, 2777,
     /* 1415006 */     GIR_EraseRootFromParent_Done,
     /* 1415007 */   // Label 19995: @1415007
     /* 1415007 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1415106), // Rule ID 2784 //
     /* 1415012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1415023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1415026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1415029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1415035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415062 */     // MIs[1] Operand 1
     /* 1415062 */     // No operand predicates
     /* 1415062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415066 */     // MIs[0] policy
     /* 1415066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415087 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415105 */     // GIR_Coverage, 2784,
     /* 1415105 */     GIR_EraseRootFromParent_Done,
     /* 1415106 */   // Label 19996: @1415106
     /* 1415106 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1415205), // Rule ID 2785 //
     /* 1415111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1415122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1415125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1415128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1415134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415161 */     // MIs[1] Operand 1
     /* 1415161 */     // No operand predicates
     /* 1415161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415165 */     // MIs[0] policy
     /* 1415165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415177 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415186 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415204 */     // GIR_Coverage, 2785,
     /* 1415204 */     GIR_EraseRootFromParent_Done,
     /* 1415205 */   // Label 19997: @1415205
     /* 1415205 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1415304), // Rule ID 2792 //
     /* 1415210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1415227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415260 */     // MIs[1] Operand 1
     /* 1415260 */     // No operand predicates
     /* 1415260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415264 */     // MIs[0] policy
     /* 1415264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415285 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415303 */     // GIR_Coverage, 2792,
     /* 1415303 */     GIR_EraseRootFromParent_Done,
     /* 1415304 */   // Label 19998: @1415304
     /* 1415304 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1415403), // Rule ID 2793 //
     /* 1415309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1415326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415359 */     // MIs[1] Operand 1
     /* 1415359 */     // No operand predicates
     /* 1415359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415363 */     // MIs[0] policy
     /* 1415363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415375 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415384 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415402 */     // GIR_Coverage, 2793,
     /* 1415402 */     GIR_EraseRootFromParent_Done,
     /* 1415403 */   // Label 19999: @1415403
     /* 1415403 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1415502), // Rule ID 2800 //
     /* 1415408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415458 */     // MIs[1] Operand 1
     /* 1415458 */     // No operand predicates
     /* 1415458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415462 */     // MIs[0] policy
     /* 1415462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415483 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415501 */     // GIR_Coverage, 2800,
     /* 1415501 */     GIR_EraseRootFromParent_Done,
     /* 1415502 */   // Label 20000: @1415502
     /* 1415502 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1415601), // Rule ID 2801 //
     /* 1415507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415557 */     // MIs[1] Operand 1
     /* 1415557 */     // No operand predicates
     /* 1415557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415561 */     // MIs[0] policy
     /* 1415561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415573 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415582 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415600 */     // GIR_Coverage, 2801,
     /* 1415600 */     GIR_EraseRootFromParent_Done,
     /* 1415601 */   // Label 20001: @1415601
     /* 1415601 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1415700), // Rule ID 2808 //
     /* 1415606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415656 */     // MIs[1] Operand 1
     /* 1415656 */     // No operand predicates
     /* 1415656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415660 */     // MIs[0] policy
     /* 1415660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415681 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415699 */     // GIR_Coverage, 2808,
     /* 1415699 */     GIR_EraseRootFromParent_Done,
     /* 1415700 */   // Label 20002: @1415700
     /* 1415700 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1415799), // Rule ID 2809 //
     /* 1415705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415755 */     // MIs[1] Operand 1
     /* 1415755 */     // No operand predicates
     /* 1415755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415759 */     // MIs[0] policy
     /* 1415759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415780 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415798 */     // GIR_Coverage, 2809,
     /* 1415798 */     GIR_EraseRootFromParent_Done,
     /* 1415799 */   // Label 20003: @1415799
     /* 1415799 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1415898), // Rule ID 2816 //
     /* 1415804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415854 */     // MIs[1] Operand 1
     /* 1415854 */     // No operand predicates
     /* 1415854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415858 */     // MIs[0] policy
     /* 1415858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415879 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415897 */     // GIR_Coverage, 2816,
     /* 1415897 */     GIR_EraseRootFromParent_Done,
     /* 1415898 */   // Label 20004: @1415898
     /* 1415898 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1415997), // Rule ID 2817 //
     /* 1415903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415953 */     // MIs[1] Operand 1
     /* 1415953 */     // No operand predicates
     /* 1415953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415957 */     // MIs[0] policy
     /* 1415957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415978 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415996 */     // GIR_Coverage, 2817,
     /* 1415996 */     GIR_EraseRootFromParent_Done,
     /* 1415997 */   // Label 20005: @1415997
     /* 1415997 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1416096), // Rule ID 2824 //
     /* 1416002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1416019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416052 */     // MIs[1] Operand 1
     /* 1416052 */     // No operand predicates
     /* 1416052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416056 */     // MIs[0] policy
     /* 1416056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416077 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416095 */     // GIR_Coverage, 2824,
     /* 1416095 */     GIR_EraseRootFromParent_Done,
     /* 1416096 */   // Label 20006: @1416096
     /* 1416096 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1416195), // Rule ID 2825 //
     /* 1416101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1416118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416151 */     // MIs[1] Operand 1
     /* 1416151 */     // No operand predicates
     /* 1416151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416155 */     // MIs[0] policy
     /* 1416155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416176 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416194 */     // GIR_Coverage, 2825,
     /* 1416194 */     GIR_EraseRootFromParent_Done,
     /* 1416195 */   // Label 20007: @1416195
     /* 1416195 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1416294), // Rule ID 2832 //
     /* 1416200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1416211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1416214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1416217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416250 */     // MIs[1] Operand 1
     /* 1416250 */     // No operand predicates
     /* 1416250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416254 */     // MIs[0] policy
     /* 1416254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416275 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416293 */     // GIR_Coverage, 2832,
     /* 1416293 */     GIR_EraseRootFromParent_Done,
     /* 1416294 */   // Label 20008: @1416294
     /* 1416294 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1416393), // Rule ID 2833 //
     /* 1416299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1416310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1416313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1416316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416349 */     // MIs[1] Operand 1
     /* 1416349 */     // No operand predicates
     /* 1416349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416353 */     // MIs[0] policy
     /* 1416353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416374 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416392 */     // GIR_Coverage, 2833,
     /* 1416392 */     GIR_EraseRootFromParent_Done,
     /* 1416393 */   // Label 20009: @1416393
     /* 1416393 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1416492), // Rule ID 2840 //
     /* 1416398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416448 */     // MIs[1] Operand 1
     /* 1416448 */     // No operand predicates
     /* 1416448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416452 */     // MIs[0] policy
     /* 1416452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416473 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416491 */     // GIR_Coverage, 2840,
     /* 1416491 */     GIR_EraseRootFromParent_Done,
     /* 1416492 */   // Label 20010: @1416492
     /* 1416492 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1416591), // Rule ID 2841 //
     /* 1416497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416547 */     // MIs[1] Operand 1
     /* 1416547 */     // No operand predicates
     /* 1416547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416551 */     // MIs[0] policy
     /* 1416551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416563 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416572 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416590 */     // GIR_Coverage, 2841,
     /* 1416590 */     GIR_EraseRootFromParent_Done,
     /* 1416591 */   // Label 20011: @1416591
     /* 1416591 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1416690), // Rule ID 2848 //
     /* 1416596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416646 */     // MIs[1] Operand 1
     /* 1416646 */     // No operand predicates
     /* 1416646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416650 */     // MIs[0] policy
     /* 1416650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416671 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416689 */     // GIR_Coverage, 2848,
     /* 1416689 */     GIR_EraseRootFromParent_Done,
     /* 1416690 */   // Label 20012: @1416690
     /* 1416690 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1416789), // Rule ID 2849 //
     /* 1416695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416745 */     // MIs[1] Operand 1
     /* 1416745 */     // No operand predicates
     /* 1416745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416749 */     // MIs[0] policy
     /* 1416749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416761 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416770 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416788 */     // GIR_Coverage, 2849,
     /* 1416788 */     GIR_EraseRootFromParent_Done,
     /* 1416789 */   // Label 20013: @1416789
     /* 1416789 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1416888), // Rule ID 2856 //
     /* 1416794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416844 */     // MIs[1] Operand 1
     /* 1416844 */     // No operand predicates
     /* 1416844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416848 */     // MIs[0] policy
     /* 1416848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416869 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416887 */     // GIR_Coverage, 2856,
     /* 1416887 */     GIR_EraseRootFromParent_Done,
     /* 1416888 */   // Label 20014: @1416888
     /* 1416888 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1416987), // Rule ID 2857 //
     /* 1416893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416943 */     // MIs[1] Operand 1
     /* 1416943 */     // No operand predicates
     /* 1416943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416947 */     // MIs[0] policy
     /* 1416947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416959 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416968 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416986 */     // GIR_Coverage, 2857,
     /* 1416986 */     GIR_EraseRootFromParent_Done,
     /* 1416987 */   // Label 20015: @1416987
     /* 1416987 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1417084), // Rule ID 3032 //
     /* 1416992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1417003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1417006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1417009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417042 */     // MIs[1] Operand 1
     /* 1417042 */     // No operand predicates
     /* 1417042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417046 */     // MIs[0] policy
     /* 1417046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417058 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1417061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417083 */     // GIR_Coverage, 3032,
     /* 1417083 */     GIR_EraseRootFromParent_Done,
     /* 1417084 */   // Label 20016: @1417084
     /* 1417084 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1417181), // Rule ID 3033 //
     /* 1417089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1417100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1417103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1417106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417139 */     // MIs[1] Operand 1
     /* 1417139 */     // No operand predicates
     /* 1417139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417143 */     // MIs[0] policy
     /* 1417143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417155 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1417158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417180 */     // GIR_Coverage, 3033,
     /* 1417180 */     GIR_EraseRootFromParent_Done,
     /* 1417181 */   // Label 20017: @1417181
     /* 1417181 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1417278), // Rule ID 3036 //
     /* 1417186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1417197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1417200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1417203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417236 */     // MIs[1] Operand 1
     /* 1417236 */     // No operand predicates
     /* 1417236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417240 */     // MIs[0] policy
     /* 1417240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417277 */     // GIR_Coverage, 3036,
     /* 1417277 */     GIR_EraseRootFromParent_Done,
     /* 1417278 */   // Label 20018: @1417278
     /* 1417278 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1417375), // Rule ID 3037 //
     /* 1417283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1417294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1417297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1417300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417333 */     // MIs[1] Operand 1
     /* 1417333 */     // No operand predicates
     /* 1417333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417337 */     // MIs[0] policy
     /* 1417337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417374 */     // GIR_Coverage, 3037,
     /* 1417374 */     GIR_EraseRootFromParent_Done,
     /* 1417375 */   // Label 20019: @1417375
     /* 1417375 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1417472), // Rule ID 3040 //
     /* 1417380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417430 */     // MIs[1] Operand 1
     /* 1417430 */     // No operand predicates
     /* 1417430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417434 */     // MIs[0] policy
     /* 1417434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417446 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417471 */     // GIR_Coverage, 3040,
     /* 1417471 */     GIR_EraseRootFromParent_Done,
     /* 1417472 */   // Label 20020: @1417472
     /* 1417472 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1417569), // Rule ID 3041 //
     /* 1417477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417527 */     // MIs[1] Operand 1
     /* 1417527 */     // No operand predicates
     /* 1417527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417531 */     // MIs[0] policy
     /* 1417531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417543 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417568 */     // GIR_Coverage, 3041,
     /* 1417568 */     GIR_EraseRootFromParent_Done,
     /* 1417569 */   // Label 20021: @1417569
     /* 1417569 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1417666), // Rule ID 3044 //
     /* 1417574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417624 */     // MIs[1] Operand 1
     /* 1417624 */     // No operand predicates
     /* 1417624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417628 */     // MIs[0] policy
     /* 1417628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417665 */     // GIR_Coverage, 3044,
     /* 1417665 */     GIR_EraseRootFromParent_Done,
     /* 1417666 */   // Label 20022: @1417666
     /* 1417666 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1417763), // Rule ID 3045 //
     /* 1417671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417721 */     // MIs[1] Operand 1
     /* 1417721 */     // No operand predicates
     /* 1417721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417725 */     // MIs[0] policy
     /* 1417725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417762 */     // GIR_Coverage, 3045,
     /* 1417762 */     GIR_EraseRootFromParent_Done,
     /* 1417763 */   // Label 20023: @1417763
     /* 1417763 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1417860), // Rule ID 3048 //
     /* 1417768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417818 */     // MIs[1] Operand 1
     /* 1417818 */     // No operand predicates
     /* 1417818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417822 */     // MIs[0] policy
     /* 1417822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417859 */     // GIR_Coverage, 3048,
     /* 1417859 */     GIR_EraseRootFromParent_Done,
     /* 1417860 */   // Label 20024: @1417860
     /* 1417860 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1417957), // Rule ID 3049 //
     /* 1417865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417915 */     // MIs[1] Operand 1
     /* 1417915 */     // No operand predicates
     /* 1417915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417919 */     // MIs[0] policy
     /* 1417919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417956 */     // GIR_Coverage, 3049,
     /* 1417956 */     GIR_EraseRootFromParent_Done,
     /* 1417957 */   // Label 20025: @1417957
     /* 1417957 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1418054), // Rule ID 3052 //
     /* 1417962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418012 */     // MIs[1] Operand 1
     /* 1418012 */     // No operand predicates
     /* 1418012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418016 */     // MIs[0] policy
     /* 1418016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1418031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418053 */     // GIR_Coverage, 3052,
     /* 1418053 */     GIR_EraseRootFromParent_Done,
     /* 1418054 */   // Label 20026: @1418054
     /* 1418054 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1418151), // Rule ID 3053 //
     /* 1418059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1418070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1418073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1418076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418109 */     // MIs[1] Operand 1
     /* 1418109 */     // No operand predicates
     /* 1418109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418113 */     // MIs[0] policy
     /* 1418113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1418128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418150 */     // GIR_Coverage, 3053,
     /* 1418150 */     GIR_EraseRootFromParent_Done,
     /* 1418151 */   // Label 20027: @1418151
     /* 1418151 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1418248), // Rule ID 3056 //
     /* 1418156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1418167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1418170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1418173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418206 */     // MIs[1] Operand 1
     /* 1418206 */     // No operand predicates
     /* 1418206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418210 */     // MIs[0] policy
     /* 1418210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418247 */     // GIR_Coverage, 3056,
     /* 1418247 */     GIR_EraseRootFromParent_Done,
     /* 1418248 */   // Label 20028: @1418248
     /* 1418248 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1418345), // Rule ID 3057 //
     /* 1418253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1418264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1418267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1418270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418303 */     // MIs[1] Operand 1
     /* 1418303 */     // No operand predicates
     /* 1418303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418307 */     // MIs[0] policy
     /* 1418307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418344 */     // GIR_Coverage, 3057,
     /* 1418344 */     GIR_EraseRootFromParent_Done,
     /* 1418345 */   // Label 20029: @1418345
     /* 1418345 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1418442), // Rule ID 3060 //
     /* 1418350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418400 */     // MIs[1] Operand 1
     /* 1418400 */     // No operand predicates
     /* 1418400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418404 */     // MIs[0] policy
     /* 1418404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418441 */     // GIR_Coverage, 3060,
     /* 1418441 */     GIR_EraseRootFromParent_Done,
     /* 1418442 */   // Label 20030: @1418442
     /* 1418442 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1418539), // Rule ID 3061 //
     /* 1418447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418497 */     // MIs[1] Operand 1
     /* 1418497 */     // No operand predicates
     /* 1418497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418501 */     // MIs[0] policy
     /* 1418501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418538 */     // GIR_Coverage, 3061,
     /* 1418538 */     GIR_EraseRootFromParent_Done,
     /* 1418539 */   // Label 20031: @1418539
     /* 1418539 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1418636), // Rule ID 3064 //
     /* 1418544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418594 */     // MIs[1] Operand 1
     /* 1418594 */     // No operand predicates
     /* 1418594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418598 */     // MIs[0] policy
     /* 1418598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418610 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418635 */     // GIR_Coverage, 3064,
     /* 1418635 */     GIR_EraseRootFromParent_Done,
     /* 1418636 */   // Label 20032: @1418636
     /* 1418636 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1418733), // Rule ID 3065 //
     /* 1418641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418691 */     // MIs[1] Operand 1
     /* 1418691 */     // No operand predicates
     /* 1418691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418695 */     // MIs[0] policy
     /* 1418695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418732 */     // GIR_Coverage, 3065,
     /* 1418732 */     GIR_EraseRootFromParent_Done,
     /* 1418733 */   // Label 20033: @1418733
     /* 1418733 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1418830), // Rule ID 3068 //
     /* 1418738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418788 */     // MIs[1] Operand 1
     /* 1418788 */     // No operand predicates
     /* 1418788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418792 */     // MIs[0] policy
     /* 1418792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418829 */     // GIR_Coverage, 3068,
     /* 1418829 */     GIR_EraseRootFromParent_Done,
     /* 1418830 */   // Label 20034: @1418830
     /* 1418830 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1418927), // Rule ID 3069 //
     /* 1418835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418885 */     // MIs[1] Operand 1
     /* 1418885 */     // No operand predicates
     /* 1418885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418889 */     // MIs[0] policy
     /* 1418889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418926 */     // GIR_Coverage, 3069,
     /* 1418926 */     GIR_EraseRootFromParent_Done,
     /* 1418927 */   // Label 20035: @1418927
     /* 1418927 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1419024), // Rule ID 3072 //
     /* 1418932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418982 */     // MIs[1] Operand 1
     /* 1418982 */     // No operand predicates
     /* 1418982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418986 */     // MIs[0] policy
     /* 1418986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419023 */     // GIR_Coverage, 3072,
     /* 1419023 */     GIR_EraseRootFromParent_Done,
     /* 1419024 */   // Label 20036: @1419024
     /* 1419024 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1419121), // Rule ID 3073 //
     /* 1419029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1419040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1419043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1419046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419079 */     // MIs[1] Operand 1
     /* 1419079 */     // No operand predicates
     /* 1419079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419083 */     // MIs[0] policy
     /* 1419083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419095 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419120 */     // GIR_Coverage, 3073,
     /* 1419120 */     GIR_EraseRootFromParent_Done,
     /* 1419121 */   // Label 20037: @1419121
     /* 1419121 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1419218), // Rule ID 3076 //
     /* 1419126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1419137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1419140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1419143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419176 */     // MIs[1] Operand 1
     /* 1419176 */     // No operand predicates
     /* 1419176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419180 */     // MIs[0] policy
     /* 1419180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419217 */     // GIR_Coverage, 3076,
     /* 1419217 */     GIR_EraseRootFromParent_Done,
     /* 1419218 */   // Label 20038: @1419218
     /* 1419218 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1419315), // Rule ID 3077 //
     /* 1419223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1419234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1419237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1419240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419273 */     // MIs[1] Operand 1
     /* 1419273 */     // No operand predicates
     /* 1419273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419277 */     // MIs[0] policy
     /* 1419277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419289 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419314 */     // GIR_Coverage, 3077,
     /* 1419314 */     GIR_EraseRootFromParent_Done,
     /* 1419315 */   // Label 20039: @1419315
     /* 1419315 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1419412), // Rule ID 3080 //
     /* 1419320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1419331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1419334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1419337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419370 */     // MIs[1] Operand 1
     /* 1419370 */     // No operand predicates
     /* 1419370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419374 */     // MIs[0] policy
     /* 1419374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419386 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419411 */     // GIR_Coverage, 3080,
     /* 1419411 */     GIR_EraseRootFromParent_Done,
     /* 1419412 */   // Label 20040: @1419412
     /* 1419412 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1419509), // Rule ID 3081 //
     /* 1419417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1419428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1419431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1419434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419467 */     // MIs[1] Operand 1
     /* 1419467 */     // No operand predicates
     /* 1419467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419471 */     // MIs[0] policy
     /* 1419471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419508 */     // GIR_Coverage, 3081,
     /* 1419508 */     GIR_EraseRootFromParent_Done,
     /* 1419509 */   // Label 20041: @1419509
     /* 1419509 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1419606), // Rule ID 3084 //
     /* 1419514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419564 */     // MIs[1] Operand 1
     /* 1419564 */     // No operand predicates
     /* 1419564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419568 */     // MIs[0] policy
     /* 1419568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419605 */     // GIR_Coverage, 3084,
     /* 1419605 */     GIR_EraseRootFromParent_Done,
     /* 1419606 */   // Label 20042: @1419606
     /* 1419606 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1419703), // Rule ID 3085 //
     /* 1419611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419661 */     // MIs[1] Operand 1
     /* 1419661 */     // No operand predicates
     /* 1419661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419665 */     // MIs[0] policy
     /* 1419665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419677 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419702 */     // GIR_Coverage, 3085,
     /* 1419702 */     GIR_EraseRootFromParent_Done,
     /* 1419703 */   // Label 20043: @1419703
     /* 1419703 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1419800), // Rule ID 3088 //
     /* 1419708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419758 */     // MIs[1] Operand 1
     /* 1419758 */     // No operand predicates
     /* 1419758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419762 */     // MIs[0] policy
     /* 1419762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419799 */     // GIR_Coverage, 3088,
     /* 1419799 */     GIR_EraseRootFromParent_Done,
     /* 1419800 */   // Label 20044: @1419800
     /* 1419800 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1419897), // Rule ID 3089 //
     /* 1419805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419855 */     // MIs[1] Operand 1
     /* 1419855 */     // No operand predicates
     /* 1419855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419859 */     // MIs[0] policy
     /* 1419859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419896 */     // GIR_Coverage, 3089,
     /* 1419896 */     GIR_EraseRootFromParent_Done,
     /* 1419897 */   // Label 20045: @1419897
     /* 1419897 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1419994), // Rule ID 3092 //
     /* 1419902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419952 */     // MIs[1] Operand 1
     /* 1419952 */     // No operand predicates
     /* 1419952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419956 */     // MIs[0] policy
     /* 1419956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419993 */     // GIR_Coverage, 3092,
     /* 1419993 */     GIR_EraseRootFromParent_Done,
     /* 1419994 */   // Label 20046: @1419994
     /* 1419994 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1420091), // Rule ID 3093 //
     /* 1419999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1420010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1420013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1420016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1420022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420049 */     // MIs[1] Operand 1
     /* 1420049 */     // No operand predicates
     /* 1420049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420053 */     // MIs[0] policy
     /* 1420053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420065 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420090 */     // GIR_Coverage, 3093,
     /* 1420090 */     GIR_EraseRootFromParent_Done,
     /* 1420091 */   // Label 20047: @1420091
     /* 1420091 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1420188), // Rule ID 3096 //
     /* 1420096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1420113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420146 */     // MIs[1] Operand 1
     /* 1420146 */     // No operand predicates
     /* 1420146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420150 */     // MIs[0] policy
     /* 1420150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420187 */     // GIR_Coverage, 3096,
     /* 1420187 */     GIR_EraseRootFromParent_Done,
     /* 1420188 */   // Label 20048: @1420188
     /* 1420188 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1420285), // Rule ID 3097 //
     /* 1420193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1420210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420243 */     // MIs[1] Operand 1
     /* 1420243 */     // No operand predicates
     /* 1420243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420247 */     // MIs[0] policy
     /* 1420247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420284 */     // GIR_Coverage, 3097,
     /* 1420284 */     GIR_EraseRootFromParent_Done,
     /* 1420285 */   // Label 20049: @1420285
     /* 1420285 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1420382), // Rule ID 3100 //
     /* 1420290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1420307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420340 */     // MIs[1] Operand 1
     /* 1420340 */     // No operand predicates
     /* 1420340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420344 */     // MIs[0] policy
     /* 1420344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420381 */     // GIR_Coverage, 3100,
     /* 1420381 */     GIR_EraseRootFromParent_Done,
     /* 1420382 */   // Label 20050: @1420382
     /* 1420382 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1420479), // Rule ID 3101 //
     /* 1420387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1420404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420437 */     // MIs[1] Operand 1
     /* 1420437 */     // No operand predicates
     /* 1420437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420441 */     // MIs[0] policy
     /* 1420441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420478 */     // GIR_Coverage, 3101,
     /* 1420478 */     GIR_EraseRootFromParent_Done,
     /* 1420479 */   // Label 20051: @1420479
     /* 1420479 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1420576), // Rule ID 3104 //
     /* 1420484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420534 */     // MIs[1] Operand 1
     /* 1420534 */     // No operand predicates
     /* 1420534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420538 */     // MIs[0] policy
     /* 1420538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420575 */     // GIR_Coverage, 3104,
     /* 1420575 */     GIR_EraseRootFromParent_Done,
     /* 1420576 */   // Label 20052: @1420576
     /* 1420576 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1420673), // Rule ID 3105 //
     /* 1420581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420631 */     // MIs[1] Operand 1
     /* 1420631 */     // No operand predicates
     /* 1420631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420635 */     // MIs[0] policy
     /* 1420635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420672 */     // GIR_Coverage, 3105,
     /* 1420672 */     GIR_EraseRootFromParent_Done,
     /* 1420673 */   // Label 20053: @1420673
     /* 1420673 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1420770), // Rule ID 3108 //
     /* 1420678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420728 */     // MIs[1] Operand 1
     /* 1420728 */     // No operand predicates
     /* 1420728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420732 */     // MIs[0] policy
     /* 1420732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420769 */     // GIR_Coverage, 3108,
     /* 1420769 */     GIR_EraseRootFromParent_Done,
     /* 1420770 */   // Label 20054: @1420770
     /* 1420770 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1420867), // Rule ID 3109 //
     /* 1420775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420825 */     // MIs[1] Operand 1
     /* 1420825 */     // No operand predicates
     /* 1420825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420829 */     // MIs[0] policy
     /* 1420829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420866 */     // GIR_Coverage, 3109,
     /* 1420866 */     GIR_EraseRootFromParent_Done,
     /* 1420867 */   // Label 20055: @1420867
     /* 1420867 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1420964), // Rule ID 3112 //
     /* 1420872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420922 */     // MIs[1] Operand 1
     /* 1420922 */     // No operand predicates
     /* 1420922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420926 */     // MIs[0] policy
     /* 1420926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420963 */     // GIR_Coverage, 3112,
     /* 1420963 */     GIR_EraseRootFromParent_Done,
     /* 1420964 */   // Label 20056: @1420964
     /* 1420964 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1421061), // Rule ID 3113 //
     /* 1420969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421019 */     // MIs[1] Operand 1
     /* 1421019 */     // No operand predicates
     /* 1421019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421023 */     // MIs[0] policy
     /* 1421023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421060 */     // GIR_Coverage, 3113,
     /* 1421060 */     GIR_EraseRootFromParent_Done,
     /* 1421061 */   // Label 20057: @1421061
     /* 1421061 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1421158), // Rule ID 3116 //
     /* 1421066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1421069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1421077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1421080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1421083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421116 */     // MIs[1] Operand 1
     /* 1421116 */     // No operand predicates
     /* 1421116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421120 */     // MIs[0] policy
     /* 1421120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421157 */     // GIR_Coverage, 3116,
     /* 1421157 */     GIR_EraseRootFromParent_Done,
     /* 1421158 */   // Label 20058: @1421158
     /* 1421158 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1421255), // Rule ID 3117 //
     /* 1421163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1421166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1421174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1421177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1421180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421213 */     // MIs[1] Operand 1
     /* 1421213 */     // No operand predicates
     /* 1421213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421217 */     // MIs[0] policy
     /* 1421217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421229 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421254 */     // GIR_Coverage, 3117,
     /* 1421254 */     GIR_EraseRootFromParent_Done,
     /* 1421255 */   // Label 20059: @1421255
     /* 1421255 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1421352), // Rule ID 3384 //
     /* 1421260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1421271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1421274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1421277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421310 */     // MIs[1] Operand 1
     /* 1421310 */     // No operand predicates
     /* 1421310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421314 */     // MIs[0] policy
     /* 1421314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1421329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421351 */     // GIR_Coverage, 3384,
     /* 1421351 */     GIR_EraseRootFromParent_Done,
     /* 1421352 */   // Label 20060: @1421352
     /* 1421352 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1421449), // Rule ID 3385 //
     /* 1421357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1421368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1421371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1421374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421407 */     // MIs[1] Operand 1
     /* 1421407 */     // No operand predicates
     /* 1421407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421411 */     // MIs[0] policy
     /* 1421411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1421426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421448 */     // GIR_Coverage, 3385,
     /* 1421448 */     GIR_EraseRootFromParent_Done,
     /* 1421449 */   // Label 20061: @1421449
     /* 1421449 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1421546), // Rule ID 3388 //
     /* 1421454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421504 */     // MIs[1] Operand 1
     /* 1421504 */     // No operand predicates
     /* 1421504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421508 */     // MIs[0] policy
     /* 1421508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421545 */     // GIR_Coverage, 3388,
     /* 1421545 */     GIR_EraseRootFromParent_Done,
     /* 1421546 */   // Label 20062: @1421546
     /* 1421546 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1421643), // Rule ID 3389 //
     /* 1421551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421601 */     // MIs[1] Operand 1
     /* 1421601 */     // No operand predicates
     /* 1421601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421605 */     // MIs[0] policy
     /* 1421605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421642 */     // GIR_Coverage, 3389,
     /* 1421642 */     GIR_EraseRootFromParent_Done,
     /* 1421643 */   // Label 20063: @1421643
     /* 1421643 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1421740), // Rule ID 3392 //
     /* 1421648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421698 */     // MIs[1] Operand 1
     /* 1421698 */     // No operand predicates
     /* 1421698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421702 */     // MIs[0] policy
     /* 1421702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421714 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421739 */     // GIR_Coverage, 3392,
     /* 1421739 */     GIR_EraseRootFromParent_Done,
     /* 1421740 */   // Label 20064: @1421740
     /* 1421740 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1421837), // Rule ID 3393 //
     /* 1421745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421795 */     // MIs[1] Operand 1
     /* 1421795 */     // No operand predicates
     /* 1421795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421799 */     // MIs[0] policy
     /* 1421799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421836 */     // GIR_Coverage, 3393,
     /* 1421836 */     GIR_EraseRootFromParent_Done,
     /* 1421837 */   // Label 20065: @1421837
     /* 1421837 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1421934), // Rule ID 3396 //
     /* 1421842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421892 */     // MIs[1] Operand 1
     /* 1421892 */     // No operand predicates
     /* 1421892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421896 */     // MIs[0] policy
     /* 1421896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421933 */     // GIR_Coverage, 3396,
     /* 1421933 */     GIR_EraseRootFromParent_Done,
     /* 1421934 */   // Label 20066: @1421934
     /* 1421934 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1422031), // Rule ID 3397 //
     /* 1421939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421989 */     // MIs[1] Operand 1
     /* 1421989 */     // No operand predicates
     /* 1421989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421993 */     // MIs[0] policy
     /* 1421993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1422008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422030 */     // GIR_Coverage, 3397,
     /* 1422030 */     GIR_EraseRootFromParent_Done,
     /* 1422031 */   // Label 20067: @1422031
     /* 1422031 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1422128), // Rule ID 3400 //
     /* 1422036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1422047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1422050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1422053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422086 */     // MIs[1] Operand 1
     /* 1422086 */     // No operand predicates
     /* 1422086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422090 */     // MIs[0] policy
     /* 1422090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422127 */     // GIR_Coverage, 3400,
     /* 1422127 */     GIR_EraseRootFromParent_Done,
     /* 1422128 */   // Label 20068: @1422128
     /* 1422128 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1422225), // Rule ID 3401 //
     /* 1422133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1422144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1422147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1422150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422183 */     // MIs[1] Operand 1
     /* 1422183 */     // No operand predicates
     /* 1422183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422187 */     // MIs[0] policy
     /* 1422187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422224 */     // GIR_Coverage, 3401,
     /* 1422224 */     GIR_EraseRootFromParent_Done,
     /* 1422225 */   // Label 20069: @1422225
     /* 1422225 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1422322), // Rule ID 3404 //
     /* 1422230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1422247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422280 */     // MIs[1] Operand 1
     /* 1422280 */     // No operand predicates
     /* 1422280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422284 */     // MIs[0] policy
     /* 1422284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422321 */     // GIR_Coverage, 3404,
     /* 1422321 */     GIR_EraseRootFromParent_Done,
     /* 1422322 */   // Label 20070: @1422322
     /* 1422322 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1422419), // Rule ID 3405 //
     /* 1422327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1422344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422377 */     // MIs[1] Operand 1
     /* 1422377 */     // No operand predicates
     /* 1422377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422381 */     // MIs[0] policy
     /* 1422381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422418 */     // GIR_Coverage, 3405,
     /* 1422418 */     GIR_EraseRootFromParent_Done,
     /* 1422419 */   // Label 20071: @1422419
     /* 1422419 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1422516), // Rule ID 3408 //
     /* 1422424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422474 */     // MIs[1] Operand 1
     /* 1422474 */     // No operand predicates
     /* 1422474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422478 */     // MIs[0] policy
     /* 1422478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422515 */     // GIR_Coverage, 3408,
     /* 1422515 */     GIR_EraseRootFromParent_Done,
     /* 1422516 */   // Label 20072: @1422516
     /* 1422516 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1422613), // Rule ID 3409 //
     /* 1422521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422571 */     // MIs[1] Operand 1
     /* 1422571 */     // No operand predicates
     /* 1422571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422575 */     // MIs[0] policy
     /* 1422575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422612 */     // GIR_Coverage, 3409,
     /* 1422612 */     GIR_EraseRootFromParent_Done,
     /* 1422613 */   // Label 20073: @1422613
     /* 1422613 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1422710), // Rule ID 3412 //
     /* 1422618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422668 */     // MIs[1] Operand 1
     /* 1422668 */     // No operand predicates
     /* 1422668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422672 */     // MIs[0] policy
     /* 1422672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422709 */     // GIR_Coverage, 3412,
     /* 1422709 */     GIR_EraseRootFromParent_Done,
     /* 1422710 */   // Label 20074: @1422710
     /* 1422710 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1422807), // Rule ID 3413 //
     /* 1422715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422765 */     // MIs[1] Operand 1
     /* 1422765 */     // No operand predicates
     /* 1422765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422769 */     // MIs[0] policy
     /* 1422769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422806 */     // GIR_Coverage, 3413,
     /* 1422806 */     GIR_EraseRootFromParent_Done,
     /* 1422807 */   // Label 20075: @1422807
     /* 1422807 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1422904), // Rule ID 3416 //
     /* 1422812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422862 */     // MIs[1] Operand 1
     /* 1422862 */     // No operand predicates
     /* 1422862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422866 */     // MIs[0] policy
     /* 1422866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422903 */     // GIR_Coverage, 3416,
     /* 1422903 */     GIR_EraseRootFromParent_Done,
     /* 1422904 */   // Label 20076: @1422904
     /* 1422904 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1423001), // Rule ID 3417 //
     /* 1422909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422959 */     // MIs[1] Operand 1
     /* 1422959 */     // No operand predicates
     /* 1422959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422963 */     // MIs[0] policy
     /* 1422963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423000 */     // GIR_Coverage, 3417,
     /* 1423000 */     GIR_EraseRootFromParent_Done,
     /* 1423001 */   // Label 20077: @1423001
     /* 1423001 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1423098), // Rule ID 3420 //
     /* 1423006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1423017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1423020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1423023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423056 */     // MIs[1] Operand 1
     /* 1423056 */     // No operand predicates
     /* 1423056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423060 */     // MIs[0] policy
     /* 1423060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1423075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423097 */     // GIR_Coverage, 3420,
     /* 1423097 */     GIR_EraseRootFromParent_Done,
     /* 1423098 */   // Label 20078: @1423098
     /* 1423098 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1423195), // Rule ID 3421 //
     /* 1423103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1423114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1423117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1423120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423153 */     // MIs[1] Operand 1
     /* 1423153 */     // No operand predicates
     /* 1423153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423157 */     // MIs[0] policy
     /* 1423157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1423172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423194 */     // GIR_Coverage, 3421,
     /* 1423194 */     GIR_EraseRootFromParent_Done,
     /* 1423195 */   // Label 20079: @1423195
     /* 1423195 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1423292), // Rule ID 3424 //
     /* 1423200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1423211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1423214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1423217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423250 */     // MIs[1] Operand 1
     /* 1423250 */     // No operand predicates
     /* 1423250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423254 */     // MIs[0] policy
     /* 1423254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423291 */     // GIR_Coverage, 3424,
     /* 1423291 */     GIR_EraseRootFromParent_Done,
     /* 1423292 */   // Label 20080: @1423292
     /* 1423292 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1423389), // Rule ID 3425 //
     /* 1423297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1423308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1423311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1423314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423347 */     // MIs[1] Operand 1
     /* 1423347 */     // No operand predicates
     /* 1423347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423351 */     // MIs[0] policy
     /* 1423351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423388 */     // GIR_Coverage, 3425,
     /* 1423388 */     GIR_EraseRootFromParent_Done,
     /* 1423389 */   // Label 20081: @1423389
     /* 1423389 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1423486), // Rule ID 3428 //
     /* 1423394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423444 */     // MIs[1] Operand 1
     /* 1423444 */     // No operand predicates
     /* 1423444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423448 */     // MIs[0] policy
     /* 1423448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423460 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423485 */     // GIR_Coverage, 3428,
     /* 1423485 */     GIR_EraseRootFromParent_Done,
     /* 1423486 */   // Label 20082: @1423486
     /* 1423486 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1423583), // Rule ID 3429 //
     /* 1423491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423541 */     // MIs[1] Operand 1
     /* 1423541 */     // No operand predicates
     /* 1423541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423545 */     // MIs[0] policy
     /* 1423545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423557 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423582 */     // GIR_Coverage, 3429,
     /* 1423582 */     GIR_EraseRootFromParent_Done,
     /* 1423583 */   // Label 20083: @1423583
     /* 1423583 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1423680), // Rule ID 3432 //
     /* 1423588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423638 */     // MIs[1] Operand 1
     /* 1423638 */     // No operand predicates
     /* 1423638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423642 */     // MIs[0] policy
     /* 1423642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423679 */     // GIR_Coverage, 3432,
     /* 1423679 */     GIR_EraseRootFromParent_Done,
     /* 1423680 */   // Label 20084: @1423680
     /* 1423680 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1423777), // Rule ID 3433 //
     /* 1423685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423735 */     // MIs[1] Operand 1
     /* 1423735 */     // No operand predicates
     /* 1423735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423739 */     // MIs[0] policy
     /* 1423739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423776 */     // GIR_Coverage, 3433,
     /* 1423776 */     GIR_EraseRootFromParent_Done,
     /* 1423777 */   // Label 20085: @1423777
     /* 1423777 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1423874), // Rule ID 3436 //
     /* 1423782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423832 */     // MIs[1] Operand 1
     /* 1423832 */     // No operand predicates
     /* 1423832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423836 */     // MIs[0] policy
     /* 1423836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423873 */     // GIR_Coverage, 3436,
     /* 1423873 */     GIR_EraseRootFromParent_Done,
     /* 1423874 */   // Label 20086: @1423874
     /* 1423874 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1423971), // Rule ID 3437 //
     /* 1423879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423929 */     // MIs[1] Operand 1
     /* 1423929 */     // No operand predicates
     /* 1423929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423933 */     // MIs[0] policy
     /* 1423933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423970 */     // GIR_Coverage, 3437,
     /* 1423970 */     GIR_EraseRootFromParent_Done,
     /* 1423971 */   // Label 20087: @1423971
     /* 1423971 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1424068), // Rule ID 3440 //
     /* 1423976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424026 */     // MIs[1] Operand 1
     /* 1424026 */     // No operand predicates
     /* 1424026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424030 */     // MIs[0] policy
     /* 1424030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424067 */     // GIR_Coverage, 3440,
     /* 1424067 */     GIR_EraseRootFromParent_Done,
     /* 1424068 */   // Label 20088: @1424068
     /* 1424068 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1424165), // Rule ID 3441 //
     /* 1424073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1424084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1424087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1424090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424123 */     // MIs[1] Operand 1
     /* 1424123 */     // No operand predicates
     /* 1424123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424127 */     // MIs[0] policy
     /* 1424127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424164 */     // GIR_Coverage, 3441,
     /* 1424164 */     GIR_EraseRootFromParent_Done,
     /* 1424165 */   // Label 20089: @1424165
     /* 1424165 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1424262), // Rule ID 3444 //
     /* 1424170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1424181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1424184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1424187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1424193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424220 */     // MIs[1] Operand 1
     /* 1424220 */     // No operand predicates
     /* 1424220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424224 */     // MIs[0] policy
     /* 1424224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424236 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424261 */     // GIR_Coverage, 3444,
     /* 1424261 */     GIR_EraseRootFromParent_Done,
     /* 1424262 */   // Label 20090: @1424262
     /* 1424262 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1424359), // Rule ID 3445 //
     /* 1424267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1424278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1424281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1424284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1424290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424317 */     // MIs[1] Operand 1
     /* 1424317 */     // No operand predicates
     /* 1424317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424321 */     // MIs[0] policy
     /* 1424321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424358 */     // GIR_Coverage, 3445,
     /* 1424358 */     GIR_EraseRootFromParent_Done,
     /* 1424359 */   // Label 20091: @1424359
     /* 1424359 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1424456), // Rule ID 3448 //
     /* 1424364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424414 */     // MIs[1] Operand 1
     /* 1424414 */     // No operand predicates
     /* 1424414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424418 */     // MIs[0] policy
     /* 1424418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424455 */     // GIR_Coverage, 3448,
     /* 1424455 */     GIR_EraseRootFromParent_Done,
     /* 1424456 */   // Label 20092: @1424456
     /* 1424456 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1424553), // Rule ID 3449 //
     /* 1424461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424511 */     // MIs[1] Operand 1
     /* 1424511 */     // No operand predicates
     /* 1424511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424515 */     // MIs[0] policy
     /* 1424515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424552 */     // GIR_Coverage, 3449,
     /* 1424552 */     GIR_EraseRootFromParent_Done,
     /* 1424553 */   // Label 20093: @1424553
     /* 1424553 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1424650), // Rule ID 3452 //
     /* 1424558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424608 */     // MIs[1] Operand 1
     /* 1424608 */     // No operand predicates
     /* 1424608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424612 */     // MIs[0] policy
     /* 1424612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424649 */     // GIR_Coverage, 3452,
     /* 1424649 */     GIR_EraseRootFromParent_Done,
     /* 1424650 */   // Label 20094: @1424650
     /* 1424650 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1424747), // Rule ID 3453 //
     /* 1424655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424705 */     // MIs[1] Operand 1
     /* 1424705 */     // No operand predicates
     /* 1424705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424709 */     // MIs[0] policy
     /* 1424709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424746 */     // GIR_Coverage, 3453,
     /* 1424746 */     GIR_EraseRootFromParent_Done,
     /* 1424747 */   // Label 20095: @1424747
     /* 1424747 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1424844), // Rule ID 3456 //
     /* 1424752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424802 */     // MIs[1] Operand 1
     /* 1424802 */     // No operand predicates
     /* 1424802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424806 */     // MIs[0] policy
     /* 1424806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424843 */     // GIR_Coverage, 3456,
     /* 1424843 */     GIR_EraseRootFromParent_Done,
     /* 1424844 */   // Label 20096: @1424844
     /* 1424844 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1424941), // Rule ID 3457 //
     /* 1424849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424899 */     // MIs[1] Operand 1
     /* 1424899 */     // No operand predicates
     /* 1424899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424903 */     // MIs[0] policy
     /* 1424903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424940 */     // GIR_Coverage, 3457,
     /* 1424940 */     GIR_EraseRootFromParent_Done,
     /* 1424941 */   // Label 20097: @1424941
     /* 1424941 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1425038), // Rule ID 3460 //
     /* 1424946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424996 */     // MIs[1] Operand 1
     /* 1424996 */     // No operand predicates
     /* 1424996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425000 */     // MIs[0] policy
     /* 1425000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425012 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1425015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425037 */     // GIR_Coverage, 3460,
     /* 1425037 */     GIR_EraseRootFromParent_Done,
     /* 1425038 */   // Label 20098: @1425038
     /* 1425038 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1425135), // Rule ID 3461 //
     /* 1425043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1425054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1425057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1425060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425093 */     // MIs[1] Operand 1
     /* 1425093 */     // No operand predicates
     /* 1425093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425097 */     // MIs[0] policy
     /* 1425097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1425112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425134 */     // GIR_Coverage, 3461,
     /* 1425134 */     GIR_EraseRootFromParent_Done,
     /* 1425135 */   // Label 20099: @1425135
     /* 1425135 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1425232), // Rule ID 3464 //
     /* 1425140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1425157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425190 */     // MIs[1] Operand 1
     /* 1425190 */     // No operand predicates
     /* 1425190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425194 */     // MIs[0] policy
     /* 1425194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425206 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1425209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425231 */     // GIR_Coverage, 3464,
     /* 1425231 */     GIR_EraseRootFromParent_Done,
     /* 1425232 */   // Label 20100: @1425232
     /* 1425232 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1425329), // Rule ID 3465 //
     /* 1425237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1425254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425287 */     // MIs[1] Operand 1
     /* 1425287 */     // No operand predicates
     /* 1425287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425291 */     // MIs[0] policy
     /* 1425291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1425306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425328 */     // GIR_Coverage, 3465,
     /* 1425328 */     GIR_EraseRootFromParent_Done,
     /* 1425329 */   // Label 20101: @1425329
     /* 1425329 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1425426), // Rule ID 3468 //
     /* 1425334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425384 */     // MIs[1] Operand 1
     /* 1425384 */     // No operand predicates
     /* 1425384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425388 */     // MIs[0] policy
     /* 1425388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1425403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425425 */     // GIR_Coverage, 3468,
     /* 1425425 */     GIR_EraseRootFromParent_Done,
     /* 1425426 */   // Label 20102: @1425426
     /* 1425426 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1425523), // Rule ID 3469 //
     /* 1425431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425481 */     // MIs[1] Operand 1
     /* 1425481 */     // No operand predicates
     /* 1425481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425485 */     // MIs[0] policy
     /* 1425485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1425500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425522 */     // GIR_Coverage, 3469,
     /* 1425522 */     GIR_EraseRootFromParent_Done,
     /* 1425523 */   // Label 20103: @1425523
     /* 1425523 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1425620), // Rule ID 5832 //
     /* 1425528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425578 */     // MIs[1] Operand 1
     /* 1425578 */     // No operand predicates
     /* 1425578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425582 */     // MIs[0] policy
     /* 1425582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425619 */     // GIR_Coverage, 5832,
     /* 1425619 */     GIR_EraseRootFromParent_Done,
     /* 1425620 */   // Label 20104: @1425620
     /* 1425620 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1425717), // Rule ID 5833 //
     /* 1425625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425675 */     // MIs[1] Operand 1
     /* 1425675 */     // No operand predicates
     /* 1425675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425679 */     // MIs[0] policy
     /* 1425679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425691 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425716 */     // GIR_Coverage, 5833,
     /* 1425716 */     GIR_EraseRootFromParent_Done,
     /* 1425717 */   // Label 20105: @1425717
     /* 1425717 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1425814), // Rule ID 5836 //
     /* 1425722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425772 */     // MIs[1] Operand 1
     /* 1425772 */     // No operand predicates
     /* 1425772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425776 */     // MIs[0] policy
     /* 1425776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425788 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425813 */     // GIR_Coverage, 5836,
     /* 1425813 */     GIR_EraseRootFromParent_Done,
     /* 1425814 */   // Label 20106: @1425814
     /* 1425814 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1425911), // Rule ID 5837 //
     /* 1425819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425869 */     // MIs[1] Operand 1
     /* 1425869 */     // No operand predicates
     /* 1425869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425873 */     // MIs[0] policy
     /* 1425873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425885 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425910 */     // GIR_Coverage, 5837,
     /* 1425910 */     GIR_EraseRootFromParent_Done,
     /* 1425911 */   // Label 20107: @1425911
     /* 1425911 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1426008), // Rule ID 5840 //
     /* 1425916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425966 */     // MIs[1] Operand 1
     /* 1425966 */     // No operand predicates
     /* 1425966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425970 */     // MIs[0] policy
     /* 1425970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426007 */     // GIR_Coverage, 5840,
     /* 1426007 */     GIR_EraseRootFromParent_Done,
     /* 1426008 */   // Label 20108: @1426008
     /* 1426008 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1426105), // Rule ID 5841 //
     /* 1426013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1426024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1426027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1426030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426063 */     // MIs[1] Operand 1
     /* 1426063 */     // No operand predicates
     /* 1426063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426067 */     // MIs[0] policy
     /* 1426067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426079 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426104 */     // GIR_Coverage, 5841,
     /* 1426104 */     GIR_EraseRootFromParent_Done,
     /* 1426105 */   // Label 20109: @1426105
     /* 1426105 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1426202), // Rule ID 5844 //
     /* 1426110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426160 */     // MIs[1] Operand 1
     /* 1426160 */     // No operand predicates
     /* 1426160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426164 */     // MIs[0] policy
     /* 1426164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1426179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426201 */     // GIR_Coverage, 5844,
     /* 1426201 */     GIR_EraseRootFromParent_Done,
     /* 1426202 */   // Label 20110: @1426202
     /* 1426202 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1426299), // Rule ID 5845 //
     /* 1426207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426257 */     // MIs[1] Operand 1
     /* 1426257 */     // No operand predicates
     /* 1426257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426261 */     // MIs[0] policy
     /* 1426261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426273 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1426276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426298 */     // GIR_Coverage, 5845,
     /* 1426298 */     GIR_EraseRootFromParent_Done,
     /* 1426299 */   // Label 20111: @1426299
     /* 1426299 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1426396), // Rule ID 5848 //
     /* 1426304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426354 */     // MIs[1] Operand 1
     /* 1426354 */     // No operand predicates
     /* 1426354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426358 */     // MIs[0] policy
     /* 1426358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426395 */     // GIR_Coverage, 5848,
     /* 1426395 */     GIR_EraseRootFromParent_Done,
     /* 1426396 */   // Label 20112: @1426396
     /* 1426396 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1426493), // Rule ID 5849 //
     /* 1426401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426451 */     // MIs[1] Operand 1
     /* 1426451 */     // No operand predicates
     /* 1426451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426455 */     // MIs[0] policy
     /* 1426455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426492 */     // GIR_Coverage, 5849,
     /* 1426492 */     GIR_EraseRootFromParent_Done,
     /* 1426493 */   // Label 20113: @1426493
     /* 1426493 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1426590), // Rule ID 5852 //
     /* 1426498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426548 */     // MIs[1] Operand 1
     /* 1426548 */     // No operand predicates
     /* 1426548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426552 */     // MIs[0] policy
     /* 1426552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426589 */     // GIR_Coverage, 5852,
     /* 1426589 */     GIR_EraseRootFromParent_Done,
     /* 1426590 */   // Label 20114: @1426590
     /* 1426590 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1426687), // Rule ID 5853 //
     /* 1426595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426645 */     // MIs[1] Operand 1
     /* 1426645 */     // No operand predicates
     /* 1426645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426649 */     // MIs[0] policy
     /* 1426649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426686 */     // GIR_Coverage, 5853,
     /* 1426686 */     GIR_EraseRootFromParent_Done,
     /* 1426687 */   // Label 20115: @1426687
     /* 1426687 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1426784), // Rule ID 5856 //
     /* 1426692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426742 */     // MIs[1] Operand 1
     /* 1426742 */     // No operand predicates
     /* 1426742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426746 */     // MIs[0] policy
     /* 1426746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426783 */     // GIR_Coverage, 5856,
     /* 1426783 */     GIR_EraseRootFromParent_Done,
     /* 1426784 */   // Label 20116: @1426784
     /* 1426784 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1426881), // Rule ID 5857 //
     /* 1426789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426839 */     // MIs[1] Operand 1
     /* 1426839 */     // No operand predicates
     /* 1426839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426843 */     // MIs[0] policy
     /* 1426843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426880 */     // GIR_Coverage, 5857,
     /* 1426880 */     GIR_EraseRootFromParent_Done,
     /* 1426881 */   // Label 20117: @1426881
     /* 1426881 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1426978), // Rule ID 5860 //
     /* 1426886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426936 */     // MIs[1] Operand 1
     /* 1426936 */     // No operand predicates
     /* 1426936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426940 */     // MIs[0] policy
     /* 1426940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426977 */     // GIR_Coverage, 5860,
     /* 1426977 */     GIR_EraseRootFromParent_Done,
     /* 1426978 */   // Label 20118: @1426978
     /* 1426978 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1427075), // Rule ID 5861 //
     /* 1426983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1427000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427033 */     // MIs[1] Operand 1
     /* 1427033 */     // No operand predicates
     /* 1427033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427037 */     // MIs[0] policy
     /* 1427037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427074 */     // GIR_Coverage, 5861,
     /* 1427074 */     GIR_EraseRootFromParent_Done,
     /* 1427075 */   // Label 20119: @1427075
     /* 1427075 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1427172), // Rule ID 5864 //
     /* 1427080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1427091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1427094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1427097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427130 */     // MIs[1] Operand 1
     /* 1427130 */     // No operand predicates
     /* 1427130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427134 */     // MIs[0] policy
     /* 1427134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427171 */     // GIR_Coverage, 5864,
     /* 1427171 */     GIR_EraseRootFromParent_Done,
     /* 1427172 */   // Label 20120: @1427172
     /* 1427172 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1427269), // Rule ID 5865 //
     /* 1427177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1427188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1427191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1427194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427227 */     // MIs[1] Operand 1
     /* 1427227 */     // No operand predicates
     /* 1427227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427231 */     // MIs[0] policy
     /* 1427231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427268 */     // GIR_Coverage, 5865,
     /* 1427268 */     GIR_EraseRootFromParent_Done,
     /* 1427269 */   // Label 20121: @1427269
     /* 1427269 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1427366), // Rule ID 5868 //
     /* 1427274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427324 */     // MIs[1] Operand 1
     /* 1427324 */     // No operand predicates
     /* 1427324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427328 */     // MIs[0] policy
     /* 1427328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427365 */     // GIR_Coverage, 5868,
     /* 1427365 */     GIR_EraseRootFromParent_Done,
     /* 1427366 */   // Label 20122: @1427366
     /* 1427366 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1427463), // Rule ID 5869 //
     /* 1427371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427421 */     // MIs[1] Operand 1
     /* 1427421 */     // No operand predicates
     /* 1427421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427425 */     // MIs[0] policy
     /* 1427425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427462 */     // GIR_Coverage, 5869,
     /* 1427462 */     GIR_EraseRootFromParent_Done,
     /* 1427463 */   // Label 20123: @1427463
     /* 1427463 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1427560), // Rule ID 5872 //
     /* 1427468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427518 */     // MIs[1] Operand 1
     /* 1427518 */     // No operand predicates
     /* 1427518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427522 */     // MIs[0] policy
     /* 1427522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427559 */     // GIR_Coverage, 5872,
     /* 1427559 */     GIR_EraseRootFromParent_Done,
     /* 1427560 */   // Label 20124: @1427560
     /* 1427560 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1427657), // Rule ID 5873 //
     /* 1427565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427615 */     // MIs[1] Operand 1
     /* 1427615 */     // No operand predicates
     /* 1427615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427619 */     // MIs[0] policy
     /* 1427619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427631 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427656 */     // GIR_Coverage, 5873,
     /* 1427656 */     GIR_EraseRootFromParent_Done,
     /* 1427657 */   // Label 20125: @1427657
     /* 1427657 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1427754), // Rule ID 5876 //
     /* 1427662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427712 */     // MIs[1] Operand 1
     /* 1427712 */     // No operand predicates
     /* 1427712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427716 */     // MIs[0] policy
     /* 1427716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427753 */     // GIR_Coverage, 5876,
     /* 1427753 */     GIR_EraseRootFromParent_Done,
     /* 1427754 */   // Label 20126: @1427754
     /* 1427754 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1427851), // Rule ID 5877 //
     /* 1427759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427809 */     // MIs[1] Operand 1
     /* 1427809 */     // No operand predicates
     /* 1427809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427813 */     // MIs[0] policy
     /* 1427813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427825 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427850 */     // GIR_Coverage, 5877,
     /* 1427850 */     GIR_EraseRootFromParent_Done,
     /* 1427851 */   // Label 20127: @1427851
     /* 1427851 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1427948), // Rule ID 5880 //
     /* 1427856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427906 */     // MIs[1] Operand 1
     /* 1427906 */     // No operand predicates
     /* 1427906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427910 */     // MIs[0] policy
     /* 1427910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427922 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427947 */     // GIR_Coverage, 5880,
     /* 1427947 */     GIR_EraseRootFromParent_Done,
     /* 1427948 */   // Label 20128: @1427948
     /* 1427948 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1428045), // Rule ID 5881 //
     /* 1427953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428003 */     // MIs[1] Operand 1
     /* 1428003 */     // No operand predicates
     /* 1428003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428007 */     // MIs[0] policy
     /* 1428007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428019 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428044 */     // GIR_Coverage, 5881,
     /* 1428044 */     GIR_EraseRootFromParent_Done,
     /* 1428045 */   // Label 20129: @1428045
     /* 1428045 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1428142), // Rule ID 5884 //
     /* 1428050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1428061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1428064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1428067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428100 */     // MIs[1] Operand 1
     /* 1428100 */     // No operand predicates
     /* 1428100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428104 */     // MIs[0] policy
     /* 1428104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428141 */     // GIR_Coverage, 5884,
     /* 1428141 */     GIR_EraseRootFromParent_Done,
     /* 1428142 */   // Label 20130: @1428142
     /* 1428142 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1428239), // Rule ID 5885 //
     /* 1428147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1428158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1428161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1428164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428197 */     // MIs[1] Operand 1
     /* 1428197 */     // No operand predicates
     /* 1428197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428201 */     // MIs[0] policy
     /* 1428201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428213 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428238 */     // GIR_Coverage, 5885,
     /* 1428238 */     GIR_EraseRootFromParent_Done,
     /* 1428239 */   // Label 20131: @1428239
     /* 1428239 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1428336), // Rule ID 5888 //
     /* 1428244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1428255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1428258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1428261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428294 */     // MIs[1] Operand 1
     /* 1428294 */     // No operand predicates
     /* 1428294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428298 */     // MIs[0] policy
     /* 1428298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428335 */     // GIR_Coverage, 5888,
     /* 1428335 */     GIR_EraseRootFromParent_Done,
     /* 1428336 */   // Label 20132: @1428336
     /* 1428336 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1428433), // Rule ID 5889 //
     /* 1428341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1428352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1428355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1428358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428391 */     // MIs[1] Operand 1
     /* 1428391 */     // No operand predicates
     /* 1428391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428395 */     // MIs[0] policy
     /* 1428395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428407 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428432 */     // GIR_Coverage, 5889,
     /* 1428432 */     GIR_EraseRootFromParent_Done,
     /* 1428433 */   // Label 20133: @1428433
     /* 1428433 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1428530), // Rule ID 5892 //
     /* 1428438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428488 */     // MIs[1] Operand 1
     /* 1428488 */     // No operand predicates
     /* 1428488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428492 */     // MIs[0] policy
     /* 1428492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428529 */     // GIR_Coverage, 5892,
     /* 1428529 */     GIR_EraseRootFromParent_Done,
     /* 1428530 */   // Label 20134: @1428530
     /* 1428530 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1428627), // Rule ID 5893 //
     /* 1428535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428585 */     // MIs[1] Operand 1
     /* 1428585 */     // No operand predicates
     /* 1428585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428589 */     // MIs[0] policy
     /* 1428589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428626 */     // GIR_Coverage, 5893,
     /* 1428626 */     GIR_EraseRootFromParent_Done,
     /* 1428627 */   // Label 20135: @1428627
     /* 1428627 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1428724), // Rule ID 5896 //
     /* 1428632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428682 */     // MIs[1] Operand 1
     /* 1428682 */     // No operand predicates
     /* 1428682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428686 */     // MIs[0] policy
     /* 1428686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428723 */     // GIR_Coverage, 5896,
     /* 1428723 */     GIR_EraseRootFromParent_Done,
     /* 1428724 */   // Label 20136: @1428724
     /* 1428724 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1428821), // Rule ID 5897 //
     /* 1428729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428779 */     // MIs[1] Operand 1
     /* 1428779 */     // No operand predicates
     /* 1428779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428783 */     // MIs[0] policy
     /* 1428783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428820 */     // GIR_Coverage, 5897,
     /* 1428820 */     GIR_EraseRootFromParent_Done,
     /* 1428821 */   // Label 20137: @1428821
     /* 1428821 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1428918), // Rule ID 5900 //
     /* 1428826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428876 */     // MIs[1] Operand 1
     /* 1428876 */     // No operand predicates
     /* 1428876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428880 */     // MIs[0] policy
     /* 1428880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428917 */     // GIR_Coverage, 5900,
     /* 1428917 */     GIR_EraseRootFromParent_Done,
     /* 1428918 */   // Label 20138: @1428918
     /* 1428918 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1429015), // Rule ID 5901 //
     /* 1428923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428973 */     // MIs[1] Operand 1
     /* 1428973 */     // No operand predicates
     /* 1428973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428977 */     // MIs[0] policy
     /* 1428977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429014 */     // GIR_Coverage, 5901,
     /* 1429014 */     GIR_EraseRootFromParent_Done,
     /* 1429015 */   // Label 20139: @1429015
     /* 1429015 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1429112), // Rule ID 5904 //
     /* 1429020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1429031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1429034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1429037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429070 */     // MIs[1] Operand 1
     /* 1429070 */     // No operand predicates
     /* 1429070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429074 */     // MIs[0] policy
     /* 1429074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429111 */     // GIR_Coverage, 5904,
     /* 1429111 */     GIR_EraseRootFromParent_Done,
     /* 1429112 */   // Label 20140: @1429112
     /* 1429112 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1429209), // Rule ID 5905 //
     /* 1429117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1429128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1429131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1429134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429167 */     // MIs[1] Operand 1
     /* 1429167 */     // No operand predicates
     /* 1429167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429171 */     // MIs[0] policy
     /* 1429171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429208 */     // GIR_Coverage, 5905,
     /* 1429208 */     GIR_EraseRootFromParent_Done,
     /* 1429209 */   // Label 20141: @1429209
     /* 1429209 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1429306), // Rule ID 5908 //
     /* 1429214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1429225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1429228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1429231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429264 */     // MIs[1] Operand 1
     /* 1429264 */     // No operand predicates
     /* 1429264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429268 */     // MIs[0] policy
     /* 1429268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1429283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429305 */     // GIR_Coverage, 5908,
     /* 1429305 */     GIR_EraseRootFromParent_Done,
     /* 1429306 */   // Label 20142: @1429306
     /* 1429306 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1429403), // Rule ID 5909 //
     /* 1429311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1429322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1429325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1429328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429361 */     // MIs[1] Operand 1
     /* 1429361 */     // No operand predicates
     /* 1429361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429365 */     // MIs[0] policy
     /* 1429365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1429380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429402 */     // GIR_Coverage, 5909,
     /* 1429402 */     GIR_EraseRootFromParent_Done,
     /* 1429403 */   // Label 20143: @1429403
     /* 1429403 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1429500), // Rule ID 5912 //
     /* 1429408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429458 */     // MIs[1] Operand 1
     /* 1429458 */     // No operand predicates
     /* 1429458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429462 */     // MIs[0] policy
     /* 1429462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429499 */     // GIR_Coverage, 5912,
     /* 1429499 */     GIR_EraseRootFromParent_Done,
     /* 1429500 */   // Label 20144: @1429500
     /* 1429500 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1429597), // Rule ID 5913 //
     /* 1429505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429555 */     // MIs[1] Operand 1
     /* 1429555 */     // No operand predicates
     /* 1429555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429559 */     // MIs[0] policy
     /* 1429559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429596 */     // GIR_Coverage, 5913,
     /* 1429596 */     GIR_EraseRootFromParent_Done,
     /* 1429597 */   // Label 20145: @1429597
     /* 1429597 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1429694), // Rule ID 5916 //
     /* 1429602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429652 */     // MIs[1] Operand 1
     /* 1429652 */     // No operand predicates
     /* 1429652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429656 */     // MIs[0] policy
     /* 1429656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429693 */     // GIR_Coverage, 5916,
     /* 1429693 */     GIR_EraseRootFromParent_Done,
     /* 1429694 */   // Label 20146: @1429694
     /* 1429694 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1429791), // Rule ID 5917 //
     /* 1429699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429749 */     // MIs[1] Operand 1
     /* 1429749 */     // No operand predicates
     /* 1429749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429753 */     // MIs[0] policy
     /* 1429753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429790 */     // GIR_Coverage, 5917,
     /* 1429790 */     GIR_EraseRootFromParent_Done,
     /* 1429791 */   // Label 20147: @1429791
     /* 1429791 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1429888), // Rule ID 6096 //
     /* 1429796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429846 */     // MIs[1] Operand 1
     /* 1429846 */     // No operand predicates
     /* 1429846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429850 */     // MIs[0] policy
     /* 1429850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429862 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429887 */     // GIR_Coverage, 6096,
     /* 1429887 */     GIR_EraseRootFromParent_Done,
     /* 1429888 */   // Label 20148: @1429888
     /* 1429888 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1429985), // Rule ID 6097 //
     /* 1429893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429943 */     // MIs[1] Operand 1
     /* 1429943 */     // No operand predicates
     /* 1429943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429947 */     // MIs[0] policy
     /* 1429947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429984 */     // GIR_Coverage, 6097,
     /* 1429984 */     GIR_EraseRootFromParent_Done,
     /* 1429985 */   // Label 20149: @1429985
     /* 1429985 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1430082), // Rule ID 6100 //
     /* 1429990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1430001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1430004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1430007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430040 */     // MIs[1] Operand 1
     /* 1430040 */     // No operand predicates
     /* 1430040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430044 */     // MIs[0] policy
     /* 1430044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430081 */     // GIR_Coverage, 6100,
     /* 1430081 */     GIR_EraseRootFromParent_Done,
     /* 1430082 */   // Label 20150: @1430082
     /* 1430082 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1430179), // Rule ID 6101 //
     /* 1430087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1430098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1430101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1430104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430137 */     // MIs[1] Operand 1
     /* 1430137 */     // No operand predicates
     /* 1430137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430141 */     // MIs[0] policy
     /* 1430141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430178 */     // GIR_Coverage, 6101,
     /* 1430178 */     GIR_EraseRootFromParent_Done,
     /* 1430179 */   // Label 20151: @1430179
     /* 1430179 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1430276), // Rule ID 6104 //
     /* 1430184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1430195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1430198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1430201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430234 */     // MIs[1] Operand 1
     /* 1430234 */     // No operand predicates
     /* 1430234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430238 */     // MIs[0] policy
     /* 1430238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430275 */     // GIR_Coverage, 6104,
     /* 1430275 */     GIR_EraseRootFromParent_Done,
     /* 1430276 */   // Label 20152: @1430276
     /* 1430276 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1430373), // Rule ID 6105 //
     /* 1430281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1430292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1430295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1430298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430331 */     // MIs[1] Operand 1
     /* 1430331 */     // No operand predicates
     /* 1430331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430335 */     // MIs[0] policy
     /* 1430335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430372 */     // GIR_Coverage, 6105,
     /* 1430372 */     GIR_EraseRootFromParent_Done,
     /* 1430373 */   // Label 20153: @1430373
     /* 1430373 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1430470), // Rule ID 6108 //
     /* 1430378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430428 */     // MIs[1] Operand 1
     /* 1430428 */     // No operand predicates
     /* 1430428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430432 */     // MIs[0] policy
     /* 1430432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430469 */     // GIR_Coverage, 6108,
     /* 1430469 */     GIR_EraseRootFromParent_Done,
     /* 1430470 */   // Label 20154: @1430470
     /* 1430470 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1430567), // Rule ID 6109 //
     /* 1430475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430525 */     // MIs[1] Operand 1
     /* 1430525 */     // No operand predicates
     /* 1430525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430529 */     // MIs[0] policy
     /* 1430529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430566 */     // GIR_Coverage, 6109,
     /* 1430566 */     GIR_EraseRootFromParent_Done,
     /* 1430567 */   // Label 20155: @1430567
     /* 1430567 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1430664), // Rule ID 6112 //
     /* 1430572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430622 */     // MIs[1] Operand 1
     /* 1430622 */     // No operand predicates
     /* 1430622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430626 */     // MIs[0] policy
     /* 1430626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430663 */     // GIR_Coverage, 6112,
     /* 1430663 */     GIR_EraseRootFromParent_Done,
     /* 1430664 */   // Label 20156: @1430664
     /* 1430664 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1430761), // Rule ID 6113 //
     /* 1430669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430719 */     // MIs[1] Operand 1
     /* 1430719 */     // No operand predicates
     /* 1430719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430723 */     // MIs[0] policy
     /* 1430723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430760 */     // GIR_Coverage, 6113,
     /* 1430760 */     GIR_EraseRootFromParent_Done,
     /* 1430761 */   // Label 20157: @1430761
     /* 1430761 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1430858), // Rule ID 6116 //
     /* 1430766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430816 */     // MIs[1] Operand 1
     /* 1430816 */     // No operand predicates
     /* 1430816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430820 */     // MIs[0] policy
     /* 1430820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430857 */     // GIR_Coverage, 6116,
     /* 1430857 */     GIR_EraseRootFromParent_Done,
     /* 1430858 */   // Label 20158: @1430858
     /* 1430858 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1430955), // Rule ID 6117 //
     /* 1430863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430913 */     // MIs[1] Operand 1
     /* 1430913 */     // No operand predicates
     /* 1430913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430917 */     // MIs[0] policy
     /* 1430917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430954 */     // GIR_Coverage, 6117,
     /* 1430954 */     GIR_EraseRootFromParent_Done,
     /* 1430955 */   // Label 20159: @1430955
     /* 1430955 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1431052), // Rule ID 6120 //
     /* 1430960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431010 */     // MIs[1] Operand 1
     /* 1431010 */     // No operand predicates
     /* 1431010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431014 */     // MIs[0] policy
     /* 1431014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431051 */     // GIR_Coverage, 6120,
     /* 1431051 */     GIR_EraseRootFromParent_Done,
     /* 1431052 */   // Label 20160: @1431052
     /* 1431052 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1431149), // Rule ID 6121 //
     /* 1431057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1431068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1431071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1431074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431107 */     // MIs[1] Operand 1
     /* 1431107 */     // No operand predicates
     /* 1431107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431111 */     // MIs[0] policy
     /* 1431111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431148 */     // GIR_Coverage, 6121,
     /* 1431148 */     GIR_EraseRootFromParent_Done,
     /* 1431149 */   // Label 20161: @1431149
     /* 1431149 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1431246), // Rule ID 6124 //
     /* 1431154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431204 */     // MIs[1] Operand 1
     /* 1431204 */     // No operand predicates
     /* 1431204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431208 */     // MIs[0] policy
     /* 1431208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431220 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431245 */     // GIR_Coverage, 6124,
     /* 1431245 */     GIR_EraseRootFromParent_Done,
     /* 1431246 */   // Label 20162: @1431246
     /* 1431246 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1431343), // Rule ID 6125 //
     /* 1431251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431301 */     // MIs[1] Operand 1
     /* 1431301 */     // No operand predicates
     /* 1431301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431305 */     // MIs[0] policy
     /* 1431305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431342 */     // GIR_Coverage, 6125,
     /* 1431342 */     GIR_EraseRootFromParent_Done,
     /* 1431343 */   // Label 20163: @1431343
     /* 1431343 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1431440), // Rule ID 6128 //
     /* 1431348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431398 */     // MIs[1] Operand 1
     /* 1431398 */     // No operand predicates
     /* 1431398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431402 */     // MIs[0] policy
     /* 1431402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431439 */     // GIR_Coverage, 6128,
     /* 1431439 */     GIR_EraseRootFromParent_Done,
     /* 1431440 */   // Label 20164: @1431440
     /* 1431440 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1431537), // Rule ID 6129 //
     /* 1431445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431495 */     // MIs[1] Operand 1
     /* 1431495 */     // No operand predicates
     /* 1431495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431499 */     // MIs[0] policy
     /* 1431499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431536 */     // GIR_Coverage, 6129,
     /* 1431536 */     GIR_EraseRootFromParent_Done,
     /* 1431537 */   // Label 20165: @1431537
     /* 1431537 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1431634), // Rule ID 6132 //
     /* 1431542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431592 */     // MIs[1] Operand 1
     /* 1431592 */     // No operand predicates
     /* 1431592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431596 */     // MIs[0] policy
     /* 1431596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431633 */     // GIR_Coverage, 6132,
     /* 1431633 */     GIR_EraseRootFromParent_Done,
     /* 1431634 */   // Label 20166: @1431634
     /* 1431634 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1431731), // Rule ID 6133 //
     /* 1431639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431689 */     // MIs[1] Operand 1
     /* 1431689 */     // No operand predicates
     /* 1431689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431693 */     // MIs[0] policy
     /* 1431693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431730 */     // GIR_Coverage, 6133,
     /* 1431730 */     GIR_EraseRootFromParent_Done,
     /* 1431731 */   // Label 20167: @1431731
     /* 1431731 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1431828), // Rule ID 6136 //
     /* 1431736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431786 */     // MIs[1] Operand 1
     /* 1431786 */     // No operand predicates
     /* 1431786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431790 */     // MIs[0] policy
     /* 1431790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431827 */     // GIR_Coverage, 6136,
     /* 1431827 */     GIR_EraseRootFromParent_Done,
     /* 1431828 */   // Label 20168: @1431828
     /* 1431828 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1431925), // Rule ID 6137 //
     /* 1431833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431883 */     // MIs[1] Operand 1
     /* 1431883 */     // No operand predicates
     /* 1431883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431887 */     // MIs[0] policy
     /* 1431887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431924 */     // GIR_Coverage, 6137,
     /* 1431924 */     GIR_EraseRootFromParent_Done,
     /* 1431925 */   // Label 20169: @1431925
     /* 1431925 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1432022), // Rule ID 6140 //
     /* 1431930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431980 */     // MIs[1] Operand 1
     /* 1431980 */     // No operand predicates
     /* 1431980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431984 */     // MIs[0] policy
     /* 1431984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432021 */     // GIR_Coverage, 6140,
     /* 1432021 */     GIR_EraseRootFromParent_Done,
     /* 1432022 */   // Label 20170: @1432022
     /* 1432022 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1432119), // Rule ID 6141 //
     /* 1432027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1432038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1432041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1432044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432077 */     // MIs[1] Operand 1
     /* 1432077 */     // No operand predicates
     /* 1432077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432081 */     // MIs[0] policy
     /* 1432081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432118 */     // GIR_Coverage, 6141,
     /* 1432118 */     GIR_EraseRootFromParent_Done,
     /* 1432119 */   // Label 20171: @1432119
     /* 1432119 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1432216), // Rule ID 6144 //
     /* 1432124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1432135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1432138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1432141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1432147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432174 */     // MIs[1] Operand 1
     /* 1432174 */     // No operand predicates
     /* 1432174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432178 */     // MIs[0] policy
     /* 1432178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432190 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432215 */     // GIR_Coverage, 6144,
     /* 1432215 */     GIR_EraseRootFromParent_Done,
     /* 1432216 */   // Label 20172: @1432216
     /* 1432216 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1432313), // Rule ID 6145 //
     /* 1432221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1432232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1432235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1432238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1432244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432271 */     // MIs[1] Operand 1
     /* 1432271 */     // No operand predicates
     /* 1432271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432275 */     // MIs[0] policy
     /* 1432275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432287 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432312 */     // GIR_Coverage, 6145,
     /* 1432312 */     GIR_EraseRootFromParent_Done,
     /* 1432313 */   // Label 20173: @1432313
     /* 1432313 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1432410), // Rule ID 6148 //
     /* 1432318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432368 */     // MIs[1] Operand 1
     /* 1432368 */     // No operand predicates
     /* 1432368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432372 */     // MIs[0] policy
     /* 1432372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432409 */     // GIR_Coverage, 6148,
     /* 1432409 */     GIR_EraseRootFromParent_Done,
     /* 1432410 */   // Label 20174: @1432410
     /* 1432410 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1432507), // Rule ID 6149 //
     /* 1432415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432465 */     // MIs[1] Operand 1
     /* 1432465 */     // No operand predicates
     /* 1432465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432469 */     // MIs[0] policy
     /* 1432469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432506 */     // GIR_Coverage, 6149,
     /* 1432506 */     GIR_EraseRootFromParent_Done,
     /* 1432507 */   // Label 20175: @1432507
     /* 1432507 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1432604), // Rule ID 6152 //
     /* 1432512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432562 */     // MIs[1] Operand 1
     /* 1432562 */     // No operand predicates
     /* 1432562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432566 */     // MIs[0] policy
     /* 1432566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432603 */     // GIR_Coverage, 6152,
     /* 1432603 */     GIR_EraseRootFromParent_Done,
     /* 1432604 */   // Label 20176: @1432604
     /* 1432604 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1432701), // Rule ID 6153 //
     /* 1432609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432659 */     // MIs[1] Operand 1
     /* 1432659 */     // No operand predicates
     /* 1432659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432663 */     // MIs[0] policy
     /* 1432663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432700 */     // GIR_Coverage, 6153,
     /* 1432700 */     GIR_EraseRootFromParent_Done,
     /* 1432701 */   // Label 20177: @1432701
     /* 1432701 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1432798), // Rule ID 6156 //
     /* 1432706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432756 */     // MIs[1] Operand 1
     /* 1432756 */     // No operand predicates
     /* 1432756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432760 */     // MIs[0] policy
     /* 1432760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432797 */     // GIR_Coverage, 6156,
     /* 1432797 */     GIR_EraseRootFromParent_Done,
     /* 1432798 */   // Label 20178: @1432798
     /* 1432798 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1432895), // Rule ID 6157 //
     /* 1432803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432853 */     // MIs[1] Operand 1
     /* 1432853 */     // No operand predicates
     /* 1432853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432857 */     // MIs[0] policy
     /* 1432857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432869 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432894 */     // GIR_Coverage, 6157,
     /* 1432894 */     GIR_EraseRootFromParent_Done,
     /* 1432895 */   // Label 20179: @1432895
     /* 1432895 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1432992), // Rule ID 6160 //
     /* 1432900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432950 */     // MIs[1] Operand 1
     /* 1432950 */     // No operand predicates
     /* 1432950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432954 */     // MIs[0] policy
     /* 1432954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432991 */     // GIR_Coverage, 6160,
     /* 1432991 */     GIR_EraseRootFromParent_Done,
     /* 1432992 */   // Label 20180: @1432992
     /* 1432992 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1433089), // Rule ID 6161 //
     /* 1432997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1433008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1433011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1433014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433047 */     // MIs[1] Operand 1
     /* 1433047 */     // No operand predicates
     /* 1433047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433051 */     // MIs[0] policy
     /* 1433051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433088 */     // GIR_Coverage, 6161,
     /* 1433088 */     GIR_EraseRootFromParent_Done,
     /* 1433089 */   // Label 20181: @1433089
     /* 1433089 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1433186), // Rule ID 6164 //
     /* 1433094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1433105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1433108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1433111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433144 */     // MIs[1] Operand 1
     /* 1433144 */     // No operand predicates
     /* 1433144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433148 */     // MIs[0] policy
     /* 1433148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433185 */     // GIR_Coverage, 6164,
     /* 1433185 */     GIR_EraseRootFromParent_Done,
     /* 1433186 */   // Label 20182: @1433186
     /* 1433186 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1433283), // Rule ID 6165 //
     /* 1433191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1433202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1433205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1433208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433241 */     // MIs[1] Operand 1
     /* 1433241 */     // No operand predicates
     /* 1433241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433245 */     // MIs[0] policy
     /* 1433245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433282 */     // GIR_Coverage, 6165,
     /* 1433282 */     GIR_EraseRootFromParent_Done,
     /* 1433283 */   // Label 20183: @1433283
     /* 1433283 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1433380), // Rule ID 6168 //
     /* 1433288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433338 */     // MIs[1] Operand 1
     /* 1433338 */     // No operand predicates
     /* 1433338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433342 */     // MIs[0] policy
     /* 1433342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433379 */     // GIR_Coverage, 6168,
     /* 1433379 */     GIR_EraseRootFromParent_Done,
     /* 1433380 */   // Label 20184: @1433380
     /* 1433380 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1433477), // Rule ID 6169 //
     /* 1433385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433435 */     // MIs[1] Operand 1
     /* 1433435 */     // No operand predicates
     /* 1433435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433439 */     // MIs[0] policy
     /* 1433439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433476 */     // GIR_Coverage, 6169,
     /* 1433476 */     GIR_EraseRootFromParent_Done,
     /* 1433477 */   // Label 20185: @1433477
     /* 1433477 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1433574), // Rule ID 6172 //
     /* 1433482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433532 */     // MIs[1] Operand 1
     /* 1433532 */     // No operand predicates
     /* 1433532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433536 */     // MIs[0] policy
     /* 1433536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433573 */     // GIR_Coverage, 6172,
     /* 1433573 */     GIR_EraseRootFromParent_Done,
     /* 1433574 */   // Label 20186: @1433574
     /* 1433574 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1433671), // Rule ID 6173 //
     /* 1433579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433629 */     // MIs[1] Operand 1
     /* 1433629 */     // No operand predicates
     /* 1433629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433633 */     // MIs[0] policy
     /* 1433633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433670 */     // GIR_Coverage, 6173,
     /* 1433670 */     GIR_EraseRootFromParent_Done,
     /* 1433671 */   // Label 20187: @1433671
     /* 1433671 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1433768), // Rule ID 6176 //
     /* 1433676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433726 */     // MIs[1] Operand 1
     /* 1433726 */     // No operand predicates
     /* 1433726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433730 */     // MIs[0] policy
     /* 1433730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433767 */     // GIR_Coverage, 6176,
     /* 1433767 */     GIR_EraseRootFromParent_Done,
     /* 1433768 */   // Label 20188: @1433768
     /* 1433768 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1433865), // Rule ID 6177 //
     /* 1433773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433823 */     // MIs[1] Operand 1
     /* 1433823 */     // No operand predicates
     /* 1433823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433827 */     // MIs[0] policy
     /* 1433827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433864 */     // GIR_Coverage, 6177,
     /* 1433864 */     GIR_EraseRootFromParent_Done,
     /* 1433865 */   // Label 20189: @1433865
     /* 1433865 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1433962), // Rule ID 6180 //
     /* 1433870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433920 */     // MIs[1] Operand 1
     /* 1433920 */     // No operand predicates
     /* 1433920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433924 */     // MIs[0] policy
     /* 1433924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433961 */     // GIR_Coverage, 6180,
     /* 1433961 */     GIR_EraseRootFromParent_Done,
     /* 1433962 */   // Label 20190: @1433962
     /* 1433962 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1434059), // Rule ID 6181 //
     /* 1433967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434017 */     // MIs[1] Operand 1
     /* 1434017 */     // No operand predicates
     /* 1434017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434021 */     // MIs[0] policy
     /* 1434021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1434036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434058 */     // GIR_Coverage, 6181,
     /* 1434058 */     GIR_EraseRootFromParent_Done,
     /* 1434059 */   // Label 20191: @1434059
     /* 1434059 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1434156), // Rule ID 6360 //
     /* 1434064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1434075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1434078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1434081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434114 */     // MIs[1] Operand 1
     /* 1434114 */     // No operand predicates
     /* 1434114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434118 */     // MIs[0] policy
     /* 1434118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434130 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1434133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434155 */     // GIR_Coverage, 6360,
     /* 1434155 */     GIR_EraseRootFromParent_Done,
     /* 1434156 */   // Label 20192: @1434156
     /* 1434156 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1434253), // Rule ID 6361 //
     /* 1434161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1434172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1434175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1434178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434211 */     // MIs[1] Operand 1
     /* 1434211 */     // No operand predicates
     /* 1434211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434215 */     // MIs[0] policy
     /* 1434215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434227 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1434230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434252 */     // GIR_Coverage, 6361,
     /* 1434252 */     GIR_EraseRootFromParent_Done,
     /* 1434253 */   // Label 20193: @1434253
     /* 1434253 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1434350), // Rule ID 6364 //
     /* 1434258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1434269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1434272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1434275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434308 */     // MIs[1] Operand 1
     /* 1434308 */     // No operand predicates
     /* 1434308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434312 */     // MIs[0] policy
     /* 1434312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434324 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434349 */     // GIR_Coverage, 6364,
     /* 1434349 */     GIR_EraseRootFromParent_Done,
     /* 1434350 */   // Label 20194: @1434350
     /* 1434350 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1434447), // Rule ID 6365 //
     /* 1434355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1434366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1434369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1434372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434405 */     // MIs[1] Operand 1
     /* 1434405 */     // No operand predicates
     /* 1434405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434409 */     // MIs[0] policy
     /* 1434409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434446 */     // GIR_Coverage, 6365,
     /* 1434446 */     GIR_EraseRootFromParent_Done,
     /* 1434447 */   // Label 20195: @1434447
     /* 1434447 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1434544), // Rule ID 6368 //
     /* 1434452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434502 */     // MIs[1] Operand 1
     /* 1434502 */     // No operand predicates
     /* 1434502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434506 */     // MIs[0] policy
     /* 1434506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434543 */     // GIR_Coverage, 6368,
     /* 1434543 */     GIR_EraseRootFromParent_Done,
     /* 1434544 */   // Label 20196: @1434544
     /* 1434544 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1434641), // Rule ID 6369 //
     /* 1434549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434599 */     // MIs[1] Operand 1
     /* 1434599 */     // No operand predicates
     /* 1434599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434603 */     // MIs[0] policy
     /* 1434603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434615 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434640 */     // GIR_Coverage, 6369,
     /* 1434640 */     GIR_EraseRootFromParent_Done,
     /* 1434641 */   // Label 20197: @1434641
     /* 1434641 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1434738), // Rule ID 6372 //
     /* 1434646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434696 */     // MIs[1] Operand 1
     /* 1434696 */     // No operand predicates
     /* 1434696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434700 */     // MIs[0] policy
     /* 1434700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434712 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434737 */     // GIR_Coverage, 6372,
     /* 1434737 */     GIR_EraseRootFromParent_Done,
     /* 1434738 */   // Label 20198: @1434738
     /* 1434738 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1434835), // Rule ID 6373 //
     /* 1434743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434793 */     // MIs[1] Operand 1
     /* 1434793 */     // No operand predicates
     /* 1434793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434797 */     // MIs[0] policy
     /* 1434797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434834 */     // GIR_Coverage, 6373,
     /* 1434834 */     GIR_EraseRootFromParent_Done,
     /* 1434835 */   // Label 20199: @1434835
     /* 1434835 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1434932), // Rule ID 6376 //
     /* 1434840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434890 */     // MIs[1] Operand 1
     /* 1434890 */     // No operand predicates
     /* 1434890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434894 */     // MIs[0] policy
     /* 1434894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434931 */     // GIR_Coverage, 6376,
     /* 1434931 */     GIR_EraseRootFromParent_Done,
     /* 1434932 */   // Label 20200: @1434932
     /* 1434932 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1435029), // Rule ID 6377 //
     /* 1434937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434987 */     // MIs[1] Operand 1
     /* 1434987 */     // No operand predicates
     /* 1434987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434991 */     // MIs[0] policy
     /* 1434991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1435006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435028 */     // GIR_Coverage, 6377,
     /* 1435028 */     GIR_EraseRootFromParent_Done,
     /* 1435029 */   // Label 20201: @1435029
     /* 1435029 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1435126), // Rule ID 6380 //
     /* 1435034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1435045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1435048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1435051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435084 */     // MIs[1] Operand 1
     /* 1435084 */     // No operand predicates
     /* 1435084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435088 */     // MIs[0] policy
     /* 1435088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1435103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435125 */     // GIR_Coverage, 6380,
     /* 1435125 */     GIR_EraseRootFromParent_Done,
     /* 1435126 */   // Label 20202: @1435126
     /* 1435126 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1435223), // Rule ID 6381 //
     /* 1435131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1435142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1435145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1435148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435181 */     // MIs[1] Operand 1
     /* 1435181 */     // No operand predicates
     /* 1435181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435185 */     // MIs[0] policy
     /* 1435185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1435200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435222 */     // GIR_Coverage, 6381,
     /* 1435222 */     GIR_EraseRootFromParent_Done,
     /* 1435223 */   // Label 20203: @1435223
     /* 1435223 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1435320), // Rule ID 6384 //
     /* 1435228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1435239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1435242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1435245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435278 */     // MIs[1] Operand 1
     /* 1435278 */     // No operand predicates
     /* 1435278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435282 */     // MIs[0] policy
     /* 1435282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435319 */     // GIR_Coverage, 6384,
     /* 1435319 */     GIR_EraseRootFromParent_Done,
     /* 1435320 */   // Label 20204: @1435320
     /* 1435320 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1435417), // Rule ID 6385 //
     /* 1435325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1435336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1435339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1435342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435375 */     // MIs[1] Operand 1
     /* 1435375 */     // No operand predicates
     /* 1435375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435379 */     // MIs[0] policy
     /* 1435379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435416 */     // GIR_Coverage, 6385,
     /* 1435416 */     GIR_EraseRootFromParent_Done,
     /* 1435417 */   // Label 20205: @1435417
     /* 1435417 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1435514), // Rule ID 6388 //
     /* 1435422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435472 */     // MIs[1] Operand 1
     /* 1435472 */     // No operand predicates
     /* 1435472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435476 */     // MIs[0] policy
     /* 1435476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435513 */     // GIR_Coverage, 6388,
     /* 1435513 */     GIR_EraseRootFromParent_Done,
     /* 1435514 */   // Label 20206: @1435514
     /* 1435514 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1435611), // Rule ID 6389 //
     /* 1435519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435569 */     // MIs[1] Operand 1
     /* 1435569 */     // No operand predicates
     /* 1435569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435573 */     // MIs[0] policy
     /* 1435573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435585 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435610 */     // GIR_Coverage, 6389,
     /* 1435610 */     GIR_EraseRootFromParent_Done,
     /* 1435611 */   // Label 20207: @1435611
     /* 1435611 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1435708), // Rule ID 6392 //
     /* 1435616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435666 */     // MIs[1] Operand 1
     /* 1435666 */     // No operand predicates
     /* 1435666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435670 */     // MIs[0] policy
     /* 1435670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435707 */     // GIR_Coverage, 6392,
     /* 1435707 */     GIR_EraseRootFromParent_Done,
     /* 1435708 */   // Label 20208: @1435708
     /* 1435708 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1435805), // Rule ID 6393 //
     /* 1435713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435763 */     // MIs[1] Operand 1
     /* 1435763 */     // No operand predicates
     /* 1435763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435767 */     // MIs[0] policy
     /* 1435767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435804 */     // GIR_Coverage, 6393,
     /* 1435804 */     GIR_EraseRootFromParent_Done,
     /* 1435805 */   // Label 20209: @1435805
     /* 1435805 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1435902), // Rule ID 6396 //
     /* 1435810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435860 */     // MIs[1] Operand 1
     /* 1435860 */     // No operand predicates
     /* 1435860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435864 */     // MIs[0] policy
     /* 1435864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435901 */     // GIR_Coverage, 6396,
     /* 1435901 */     GIR_EraseRootFromParent_Done,
     /* 1435902 */   // Label 20210: @1435902
     /* 1435902 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1435999), // Rule ID 6397 //
     /* 1435907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435957 */     // MIs[1] Operand 1
     /* 1435957 */     // No operand predicates
     /* 1435957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435961 */     // MIs[0] policy
     /* 1435961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435998 */     // GIR_Coverage, 6397,
     /* 1435998 */     GIR_EraseRootFromParent_Done,
     /* 1435999 */   // Label 20211: @1435999
     /* 1435999 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1436096), // Rule ID 6400 //
     /* 1436004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1436015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1436018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1436021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436054 */     // MIs[1] Operand 1
     /* 1436054 */     // No operand predicates
     /* 1436054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436058 */     // MIs[0] policy
     /* 1436058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436070 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436095 */     // GIR_Coverage, 6400,
     /* 1436095 */     GIR_EraseRootFromParent_Done,
     /* 1436096 */   // Label 20212: @1436096
     /* 1436096 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1436193), // Rule ID 6401 //
     /* 1436101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1436112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1436115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1436118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436151 */     // MIs[1] Operand 1
     /* 1436151 */     // No operand predicates
     /* 1436151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436155 */     // MIs[0] policy
     /* 1436155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436192 */     // GIR_Coverage, 6401,
     /* 1436192 */     GIR_EraseRootFromParent_Done,
     /* 1436193 */   // Label 20213: @1436193
     /* 1436193 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1436290), // Rule ID 6404 //
     /* 1436198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1436209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1436212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1436215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436248 */     // MIs[1] Operand 1
     /* 1436248 */     // No operand predicates
     /* 1436248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436252 */     // MIs[0] policy
     /* 1436252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436289 */     // GIR_Coverage, 6404,
     /* 1436289 */     GIR_EraseRootFromParent_Done,
     /* 1436290 */   // Label 20214: @1436290
     /* 1436290 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1436387), // Rule ID 6405 //
     /* 1436295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1436306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1436309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1436312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436345 */     // MIs[1] Operand 1
     /* 1436345 */     // No operand predicates
     /* 1436345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436349 */     // MIs[0] policy
     /* 1436349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436386 */     // GIR_Coverage, 6405,
     /* 1436386 */     GIR_EraseRootFromParent_Done,
     /* 1436387 */   // Label 20215: @1436387
     /* 1436387 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1436484), // Rule ID 6408 //
     /* 1436392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436442 */     // MIs[1] Operand 1
     /* 1436442 */     // No operand predicates
     /* 1436442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436446 */     // MIs[0] policy
     /* 1436446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436483 */     // GIR_Coverage, 6408,
     /* 1436483 */     GIR_EraseRootFromParent_Done,
     /* 1436484 */   // Label 20216: @1436484
     /* 1436484 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1436581), // Rule ID 6409 //
     /* 1436489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436539 */     // MIs[1] Operand 1
     /* 1436539 */     // No operand predicates
     /* 1436539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436543 */     // MIs[0] policy
     /* 1436543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436555 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436580 */     // GIR_Coverage, 6409,
     /* 1436580 */     GIR_EraseRootFromParent_Done,
     /* 1436581 */   // Label 20217: @1436581
     /* 1436581 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1436678), // Rule ID 6412 //
     /* 1436586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436636 */     // MIs[1] Operand 1
     /* 1436636 */     // No operand predicates
     /* 1436636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436640 */     // MIs[0] policy
     /* 1436640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436677 */     // GIR_Coverage, 6412,
     /* 1436677 */     GIR_EraseRootFromParent_Done,
     /* 1436678 */   // Label 20218: @1436678
     /* 1436678 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1436775), // Rule ID 6413 //
     /* 1436683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436733 */     // MIs[1] Operand 1
     /* 1436733 */     // No operand predicates
     /* 1436733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436737 */     // MIs[0] policy
     /* 1436737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436774 */     // GIR_Coverage, 6413,
     /* 1436774 */     GIR_EraseRootFromParent_Done,
     /* 1436775 */   // Label 20219: @1436775
     /* 1436775 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1436872), // Rule ID 6416 //
     /* 1436780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436830 */     // MIs[1] Operand 1
     /* 1436830 */     // No operand predicates
     /* 1436830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436834 */     // MIs[0] policy
     /* 1436834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436871 */     // GIR_Coverage, 6416,
     /* 1436871 */     GIR_EraseRootFromParent_Done,
     /* 1436872 */   // Label 20220: @1436872
     /* 1436872 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1436969), // Rule ID 6417 //
     /* 1436877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436927 */     // MIs[1] Operand 1
     /* 1436927 */     // No operand predicates
     /* 1436927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436931 */     // MIs[0] policy
     /* 1436931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436943 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436968 */     // GIR_Coverage, 6417,
     /* 1436968 */     GIR_EraseRootFromParent_Done,
     /* 1436969 */   // Label 20221: @1436969
     /* 1436969 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1437066), // Rule ID 6420 //
     /* 1436974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437024 */     // MIs[1] Operand 1
     /* 1437024 */     // No operand predicates
     /* 1437024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437028 */     // MIs[0] policy
     /* 1437028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437065 */     // GIR_Coverage, 6420,
     /* 1437065 */     GIR_EraseRootFromParent_Done,
     /* 1437066 */   // Label 20222: @1437066
     /* 1437066 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1437163), // Rule ID 6421 //
     /* 1437071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1437082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1437085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1437088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1437094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437121 */     // MIs[1] Operand 1
     /* 1437121 */     // No operand predicates
     /* 1437121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437125 */     // MIs[0] policy
     /* 1437125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437137 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437162 */     // GIR_Coverage, 6421,
     /* 1437162 */     GIR_EraseRootFromParent_Done,
     /* 1437163 */   // Label 20223: @1437163
     /* 1437163 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1437260), // Rule ID 6424 //
     /* 1437168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437218 */     // MIs[1] Operand 1
     /* 1437218 */     // No operand predicates
     /* 1437218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437222 */     // MIs[0] policy
     /* 1437222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437259 */     // GIR_Coverage, 6424,
     /* 1437259 */     GIR_EraseRootFromParent_Done,
     /* 1437260 */   // Label 20224: @1437260
     /* 1437260 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1437357), // Rule ID 6425 //
     /* 1437265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437315 */     // MIs[1] Operand 1
     /* 1437315 */     // No operand predicates
     /* 1437315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437319 */     // MIs[0] policy
     /* 1437319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437356 */     // GIR_Coverage, 6425,
     /* 1437356 */     GIR_EraseRootFromParent_Done,
     /* 1437357 */   // Label 20225: @1437357
     /* 1437357 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1437454), // Rule ID 6428 //
     /* 1437362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437412 */     // MIs[1] Operand 1
     /* 1437412 */     // No operand predicates
     /* 1437412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437416 */     // MIs[0] policy
     /* 1437416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437453 */     // GIR_Coverage, 6428,
     /* 1437453 */     GIR_EraseRootFromParent_Done,
     /* 1437454 */   // Label 20226: @1437454
     /* 1437454 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1437551), // Rule ID 6429 //
     /* 1437459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437509 */     // MIs[1] Operand 1
     /* 1437509 */     // No operand predicates
     /* 1437509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437513 */     // MIs[0] policy
     /* 1437513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437525 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437550 */     // GIR_Coverage, 6429,
     /* 1437550 */     GIR_EraseRootFromParent_Done,
     /* 1437551 */   // Label 20227: @1437551
     /* 1437551 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1437648), // Rule ID 6432 //
     /* 1437556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437606 */     // MIs[1] Operand 1
     /* 1437606 */     // No operand predicates
     /* 1437606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437610 */     // MIs[0] policy
     /* 1437610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437647 */     // GIR_Coverage, 6432,
     /* 1437647 */     GIR_EraseRootFromParent_Done,
     /* 1437648 */   // Label 20228: @1437648
     /* 1437648 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1437745), // Rule ID 6433 //
     /* 1437653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437703 */     // MIs[1] Operand 1
     /* 1437703 */     // No operand predicates
     /* 1437703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437707 */     // MIs[0] policy
     /* 1437707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437744 */     // GIR_Coverage, 6433,
     /* 1437744 */     GIR_EraseRootFromParent_Done,
     /* 1437745 */   // Label 20229: @1437745
     /* 1437745 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1437842), // Rule ID 6436 //
     /* 1437750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437800 */     // MIs[1] Operand 1
     /* 1437800 */     // No operand predicates
     /* 1437800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437804 */     // MIs[0] policy
     /* 1437804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437841 */     // GIR_Coverage, 6436,
     /* 1437841 */     GIR_EraseRootFromParent_Done,
     /* 1437842 */   // Label 20230: @1437842
     /* 1437842 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1437939), // Rule ID 6437 //
     /* 1437847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437897 */     // MIs[1] Operand 1
     /* 1437897 */     // No operand predicates
     /* 1437897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437901 */     // MIs[0] policy
     /* 1437901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437913 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437938 */     // GIR_Coverage, 6437,
     /* 1437938 */     GIR_EraseRootFromParent_Done,
     /* 1437939 */   // Label 20231: @1437939
     /* 1437939 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1438036), // Rule ID 6440 //
     /* 1437944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437994 */     // MIs[1] Operand 1
     /* 1437994 */     // No operand predicates
     /* 1437994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437998 */     // MIs[0] policy
     /* 1437998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438010 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1438013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438035 */     // GIR_Coverage, 6440,
     /* 1438035 */     GIR_EraseRootFromParent_Done,
     /* 1438036 */   // Label 20232: @1438036
     /* 1438036 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1438133), // Rule ID 6441 //
     /* 1438041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1438052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1438055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1438058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438091 */     // MIs[1] Operand 1
     /* 1438091 */     // No operand predicates
     /* 1438091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438095 */     // MIs[0] policy
     /* 1438095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1438110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438132 */     // GIR_Coverage, 6441,
     /* 1438132 */     GIR_EraseRootFromParent_Done,
     /* 1438133 */   // Label 20233: @1438133
     /* 1438133 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1438230), // Rule ID 6444 //
     /* 1438138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1438155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438188 */     // MIs[1] Operand 1
     /* 1438188 */     // No operand predicates
     /* 1438188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438192 */     // MIs[0] policy
     /* 1438192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1438207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438229 */     // GIR_Coverage, 6444,
     /* 1438229 */     GIR_EraseRootFromParent_Done,
     /* 1438230 */   // Label 20234: @1438230
     /* 1438230 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1438327), // Rule ID 6445 //
     /* 1438235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1438252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438285 */     // MIs[1] Operand 1
     /* 1438285 */     // No operand predicates
     /* 1438285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438289 */     // MIs[0] policy
     /* 1438289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1438304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438326 */     // GIR_Coverage, 6445,
     /* 1438326 */     GIR_EraseRootFromParent_Done,
     /* 1438327 */   // Label 20235: @1438327
     /* 1438327 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1438424), // Rule ID 6624 //
     /* 1438332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438382 */     // MIs[1] Operand 1
     /* 1438382 */     // No operand predicates
     /* 1438382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438386 */     // MIs[0] policy
     /* 1438386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1438401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438423 */     // GIR_Coverage, 6624,
     /* 1438423 */     GIR_EraseRootFromParent_Done,
     /* 1438424 */   // Label 20236: @1438424
     /* 1438424 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1438521), // Rule ID 6625 //
     /* 1438429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438479 */     // MIs[1] Operand 1
     /* 1438479 */     // No operand predicates
     /* 1438479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438483 */     // MIs[0] policy
     /* 1438483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1438498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438520 */     // GIR_Coverage, 6625,
     /* 1438520 */     GIR_EraseRootFromParent_Done,
     /* 1438521 */   // Label 20237: @1438521
     /* 1438521 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1438618), // Rule ID 6628 //
     /* 1438526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438576 */     // MIs[1] Operand 1
     /* 1438576 */     // No operand predicates
     /* 1438576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438580 */     // MIs[0] policy
     /* 1438580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438617 */     // GIR_Coverage, 6628,
     /* 1438617 */     GIR_EraseRootFromParent_Done,
     /* 1438618 */   // Label 20238: @1438618
     /* 1438618 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1438715), // Rule ID 6629 //
     /* 1438623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438673 */     // MIs[1] Operand 1
     /* 1438673 */     // No operand predicates
     /* 1438673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438677 */     // MIs[0] policy
     /* 1438677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438689 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438714 */     // GIR_Coverage, 6629,
     /* 1438714 */     GIR_EraseRootFromParent_Done,
     /* 1438715 */   // Label 20239: @1438715
     /* 1438715 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1438812), // Rule ID 6632 //
     /* 1438720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438770 */     // MIs[1] Operand 1
     /* 1438770 */     // No operand predicates
     /* 1438770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438774 */     // MIs[0] policy
     /* 1438774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438786 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438811 */     // GIR_Coverage, 6632,
     /* 1438811 */     GIR_EraseRootFromParent_Done,
     /* 1438812 */   // Label 20240: @1438812
     /* 1438812 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1438909), // Rule ID 6633 //
     /* 1438817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438867 */     // MIs[1] Operand 1
     /* 1438867 */     // No operand predicates
     /* 1438867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438871 */     // MIs[0] policy
     /* 1438871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438908 */     // GIR_Coverage, 6633,
     /* 1438908 */     GIR_EraseRootFromParent_Done,
     /* 1438909 */   // Label 20241: @1438909
     /* 1438909 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1439006), // Rule ID 6636 //
     /* 1438914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438964 */     // MIs[1] Operand 1
     /* 1438964 */     // No operand predicates
     /* 1438964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438968 */     // MIs[0] policy
     /* 1438968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439005 */     // GIR_Coverage, 6636,
     /* 1439005 */     GIR_EraseRootFromParent_Done,
     /* 1439006 */   // Label 20242: @1439006
     /* 1439006 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1439103), // Rule ID 6637 //
     /* 1439011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1439022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1439025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1439028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439061 */     // MIs[1] Operand 1
     /* 1439061 */     // No operand predicates
     /* 1439061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439065 */     // MIs[0] policy
     /* 1439065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1439080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439102 */     // GIR_Coverage, 6637,
     /* 1439102 */     GIR_EraseRootFromParent_Done,
     /* 1439103 */   // Label 20243: @1439103
     /* 1439103 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1439200), // Rule ID 6640 //
     /* 1439108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1439119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1439122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439158 */     // MIs[1] Operand 1
     /* 1439158 */     // No operand predicates
     /* 1439158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439162 */     // MIs[0] policy
     /* 1439162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439199 */     // GIR_Coverage, 6640,
     /* 1439199 */     GIR_EraseRootFromParent_Done,
     /* 1439200 */   // Label 20244: @1439200
     /* 1439200 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1439297), // Rule ID 6641 //
     /* 1439205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1439216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1439219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439255 */     // MIs[1] Operand 1
     /* 1439255 */     // No operand predicates
     /* 1439255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439259 */     // MIs[0] policy
     /* 1439259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439296 */     // GIR_Coverage, 6641,
     /* 1439296 */     GIR_EraseRootFromParent_Done,
     /* 1439297 */   // Label 20245: @1439297
     /* 1439297 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1439394), // Rule ID 6644 //
     /* 1439302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439352 */     // MIs[1] Operand 1
     /* 1439352 */     // No operand predicates
     /* 1439352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439356 */     // MIs[0] policy
     /* 1439356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439393 */     // GIR_Coverage, 6644,
     /* 1439393 */     GIR_EraseRootFromParent_Done,
     /* 1439394 */   // Label 20246: @1439394
     /* 1439394 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1439491), // Rule ID 6645 //
     /* 1439399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439449 */     // MIs[1] Operand 1
     /* 1439449 */     // No operand predicates
     /* 1439449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439453 */     // MIs[0] policy
     /* 1439453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439490 */     // GIR_Coverage, 6645,
     /* 1439490 */     GIR_EraseRootFromParent_Done,
     /* 1439491 */   // Label 20247: @1439491
     /* 1439491 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1439588), // Rule ID 6648 //
     /* 1439496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439546 */     // MIs[1] Operand 1
     /* 1439546 */     // No operand predicates
     /* 1439546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439550 */     // MIs[0] policy
     /* 1439550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439587 */     // GIR_Coverage, 6648,
     /* 1439587 */     GIR_EraseRootFromParent_Done,
     /* 1439588 */   // Label 20248: @1439588
     /* 1439588 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1439685), // Rule ID 6649 //
     /* 1439593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439643 */     // MIs[1] Operand 1
     /* 1439643 */     // No operand predicates
     /* 1439643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439647 */     // MIs[0] policy
     /* 1439647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439684 */     // GIR_Coverage, 6649,
     /* 1439684 */     GIR_EraseRootFromParent_Done,
     /* 1439685 */   // Label 20249: @1439685
     /* 1439685 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1439782), // Rule ID 6652 //
     /* 1439690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439740 */     // MIs[1] Operand 1
     /* 1439740 */     // No operand predicates
     /* 1439740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439744 */     // MIs[0] policy
     /* 1439744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439781 */     // GIR_Coverage, 6652,
     /* 1439781 */     GIR_EraseRootFromParent_Done,
     /* 1439782 */   // Label 20250: @1439782
     /* 1439782 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1439879), // Rule ID 6653 //
     /* 1439787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439837 */     // MIs[1] Operand 1
     /* 1439837 */     // No operand predicates
     /* 1439837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439841 */     // MIs[0] policy
     /* 1439841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439878 */     // GIR_Coverage, 6653,
     /* 1439878 */     GIR_EraseRootFromParent_Done,
     /* 1439879 */   // Label 20251: @1439879
     /* 1439879 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1439976), // Rule ID 6656 //
     /* 1439884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439934 */     // MIs[1] Operand 1
     /* 1439934 */     // No operand predicates
     /* 1439934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439938 */     // MIs[0] policy
     /* 1439938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439975 */     // GIR_Coverage, 6656,
     /* 1439975 */     GIR_EraseRootFromParent_Done,
     /* 1439976 */   // Label 20252: @1439976
     /* 1439976 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1440073), // Rule ID 6657 //
     /* 1439981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440031 */     // MIs[1] Operand 1
     /* 1440031 */     // No operand predicates
     /* 1440031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440035 */     // MIs[0] policy
     /* 1440035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1440050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440072 */     // GIR_Coverage, 6657,
     /* 1440072 */     GIR_EraseRootFromParent_Done,
     /* 1440073 */   // Label 20253: @1440073
     /* 1440073 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1440170), // Rule ID 6660 //
     /* 1440078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1440089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1440092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1440095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440128 */     // MIs[1] Operand 1
     /* 1440128 */     // No operand predicates
     /* 1440128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440132 */     // MIs[0] policy
     /* 1440132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1440147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440169 */     // GIR_Coverage, 6660,
     /* 1440169 */     GIR_EraseRootFromParent_Done,
     /* 1440170 */   // Label 20254: @1440170
     /* 1440170 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1440267), // Rule ID 6661 //
     /* 1440175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1440186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1440189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1440192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440225 */     // MIs[1] Operand 1
     /* 1440225 */     // No operand predicates
     /* 1440225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440229 */     // MIs[0] policy
     /* 1440229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1440244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440266 */     // GIR_Coverage, 6661,
     /* 1440266 */     GIR_EraseRootFromParent_Done,
     /* 1440267 */   // Label 20255: @1440267
     /* 1440267 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1440364), // Rule ID 6664 //
     /* 1440272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1440283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1440286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1440289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440322 */     // MIs[1] Operand 1
     /* 1440322 */     // No operand predicates
     /* 1440322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440326 */     // MIs[0] policy
     /* 1440326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440363 */     // GIR_Coverage, 6664,
     /* 1440363 */     GIR_EraseRootFromParent_Done,
     /* 1440364 */   // Label 20256: @1440364
     /* 1440364 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1440461), // Rule ID 6665 //
     /* 1440369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1440380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1440383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1440386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440419 */     // MIs[1] Operand 1
     /* 1440419 */     // No operand predicates
     /* 1440419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440423 */     // MIs[0] policy
     /* 1440423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440435 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440460 */     // GIR_Coverage, 6665,
     /* 1440460 */     GIR_EraseRootFromParent_Done,
     /* 1440461 */   // Label 20257: @1440461
     /* 1440461 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1440558), // Rule ID 6668 //
     /* 1440466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440516 */     // MIs[1] Operand 1
     /* 1440516 */     // No operand predicates
     /* 1440516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440520 */     // MIs[0] policy
     /* 1440520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440557 */     // GIR_Coverage, 6668,
     /* 1440557 */     GIR_EraseRootFromParent_Done,
     /* 1440558 */   // Label 20258: @1440558
     /* 1440558 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1440655), // Rule ID 6669 //
     /* 1440563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440613 */     // MIs[1] Operand 1
     /* 1440613 */     // No operand predicates
     /* 1440613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440617 */     // MIs[0] policy
     /* 1440617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440629 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440654 */     // GIR_Coverage, 6669,
     /* 1440654 */     GIR_EraseRootFromParent_Done,
     /* 1440655 */   // Label 20259: @1440655
     /* 1440655 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1440752), // Rule ID 6672 //
     /* 1440660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440710 */     // MIs[1] Operand 1
     /* 1440710 */     // No operand predicates
     /* 1440710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440714 */     // MIs[0] policy
     /* 1440714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440751 */     // GIR_Coverage, 6672,
     /* 1440751 */     GIR_EraseRootFromParent_Done,
     /* 1440752 */   // Label 20260: @1440752
     /* 1440752 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1440849), // Rule ID 6673 //
     /* 1440757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440807 */     // MIs[1] Operand 1
     /* 1440807 */     // No operand predicates
     /* 1440807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440811 */     // MIs[0] policy
     /* 1440811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440823 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440848 */     // GIR_Coverage, 6673,
     /* 1440848 */     GIR_EraseRootFromParent_Done,
     /* 1440849 */   // Label 20261: @1440849
     /* 1440849 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1440946), // Rule ID 6676 //
     /* 1440854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440904 */     // MIs[1] Operand 1
     /* 1440904 */     // No operand predicates
     /* 1440904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440908 */     // MIs[0] policy
     /* 1440908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440945 */     // GIR_Coverage, 6676,
     /* 1440945 */     GIR_EraseRootFromParent_Done,
     /* 1440946 */   // Label 20262: @1440946
     /* 1440946 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1441043), // Rule ID 6677 //
     /* 1440951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441001 */     // MIs[1] Operand 1
     /* 1441001 */     // No operand predicates
     /* 1441001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441005 */     // MIs[0] policy
     /* 1441005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441042 */     // GIR_Coverage, 6677,
     /* 1441042 */     GIR_EraseRootFromParent_Done,
     /* 1441043 */   // Label 20263: @1441043
     /* 1441043 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1441140), // Rule ID 6680 //
     /* 1441048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1441059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1441062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1441065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441098 */     // MIs[1] Operand 1
     /* 1441098 */     // No operand predicates
     /* 1441098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441102 */     // MIs[0] policy
     /* 1441102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441139 */     // GIR_Coverage, 6680,
     /* 1441139 */     GIR_EraseRootFromParent_Done,
     /* 1441140 */   // Label 20264: @1441140
     /* 1441140 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1441237), // Rule ID 6681 //
     /* 1441145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1441156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1441159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1441162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441195 */     // MIs[1] Operand 1
     /* 1441195 */     // No operand predicates
     /* 1441195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441199 */     // MIs[0] policy
     /* 1441199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441236 */     // GIR_Coverage, 6681,
     /* 1441236 */     GIR_EraseRootFromParent_Done,
     /* 1441237 */   // Label 20265: @1441237
     /* 1441237 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1441334), // Rule ID 6684 //
     /* 1441242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1441253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1441256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1441259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1441265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441292 */     // MIs[1] Operand 1
     /* 1441292 */     // No operand predicates
     /* 1441292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441296 */     // MIs[0] policy
     /* 1441296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441333 */     // GIR_Coverage, 6684,
     /* 1441333 */     GIR_EraseRootFromParent_Done,
     /* 1441334 */   // Label 20266: @1441334
     /* 1441334 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1441431), // Rule ID 6685 //
     /* 1441339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1441350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1441353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1441356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1441362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441389 */     // MIs[1] Operand 1
     /* 1441389 */     // No operand predicates
     /* 1441389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441393 */     // MIs[0] policy
     /* 1441393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441430 */     // GIR_Coverage, 6685,
     /* 1441430 */     GIR_EraseRootFromParent_Done,
     /* 1441431 */   // Label 20267: @1441431
     /* 1441431 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1441528), // Rule ID 6688 //
     /* 1441436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441486 */     // MIs[1] Operand 1
     /* 1441486 */     // No operand predicates
     /* 1441486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441490 */     // MIs[0] policy
     /* 1441490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441527 */     // GIR_Coverage, 6688,
     /* 1441527 */     GIR_EraseRootFromParent_Done,
     /* 1441528 */   // Label 20268: @1441528
     /* 1441528 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1441625), // Rule ID 6689 //
     /* 1441533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441583 */     // MIs[1] Operand 1
     /* 1441583 */     // No operand predicates
     /* 1441583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441587 */     // MIs[0] policy
     /* 1441587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441624 */     // GIR_Coverage, 6689,
     /* 1441624 */     GIR_EraseRootFromParent_Done,
     /* 1441625 */   // Label 20269: @1441625
     /* 1441625 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1441722), // Rule ID 6692 //
     /* 1441630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441680 */     // MIs[1] Operand 1
     /* 1441680 */     // No operand predicates
     /* 1441680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441684 */     // MIs[0] policy
     /* 1441684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441721 */     // GIR_Coverage, 6692,
     /* 1441721 */     GIR_EraseRootFromParent_Done,
     /* 1441722 */   // Label 20270: @1441722
     /* 1441722 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1441819), // Rule ID 6693 //
     /* 1441727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441777 */     // MIs[1] Operand 1
     /* 1441777 */     // No operand predicates
     /* 1441777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441781 */     // MIs[0] policy
     /* 1441781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441818 */     // GIR_Coverage, 6693,
     /* 1441818 */     GIR_EraseRootFromParent_Done,
     /* 1441819 */   // Label 20271: @1441819
     /* 1441819 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1441916), // Rule ID 6696 //
     /* 1441824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441874 */     // MIs[1] Operand 1
     /* 1441874 */     // No operand predicates
     /* 1441874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441878 */     // MIs[0] policy
     /* 1441878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441915 */     // GIR_Coverage, 6696,
     /* 1441915 */     GIR_EraseRootFromParent_Done,
     /* 1441916 */   // Label 20272: @1441916
     /* 1441916 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1442013), // Rule ID 6697 //
     /* 1441921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441971 */     // MIs[1] Operand 1
     /* 1441971 */     // No operand predicates
     /* 1441971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441975 */     // MIs[0] policy
     /* 1441975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442012 */     // GIR_Coverage, 6697,
     /* 1442012 */     GIR_EraseRootFromParent_Done,
     /* 1442013 */   // Label 20273: @1442013
     /* 1442013 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1442110), // Rule ID 6700 //
     /* 1442018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1442029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1442032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1442035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442068 */     // MIs[1] Operand 1
     /* 1442068 */     // No operand predicates
     /* 1442068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442072 */     // MIs[0] policy
     /* 1442072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1442087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442109 */     // GIR_Coverage, 6700,
     /* 1442109 */     GIR_EraseRootFromParent_Done,
     /* 1442110 */   // Label 20274: @1442110
     /* 1442110 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1442207), // Rule ID 6701 //
     /* 1442115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1442126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1442129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1442132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442165 */     // MIs[1] Operand 1
     /* 1442165 */     // No operand predicates
     /* 1442165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442169 */     // MIs[0] policy
     /* 1442169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1442184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442206 */     // GIR_Coverage, 6701,
     /* 1442206 */     GIR_EraseRootFromParent_Done,
     /* 1442207 */   // Label 20275: @1442207
     /* 1442207 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1442304), // Rule ID 6704 //
     /* 1442212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1442223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1442226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1442229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442262 */     // MIs[1] Operand 1
     /* 1442262 */     // No operand predicates
     /* 1442262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442266 */     // MIs[0] policy
     /* 1442266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442278 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1442281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442303 */     // GIR_Coverage, 6704,
     /* 1442303 */     GIR_EraseRootFromParent_Done,
     /* 1442304 */   // Label 20276: @1442304
     /* 1442304 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1442401), // Rule ID 6705 //
     /* 1442309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1442320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1442323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1442326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442359 */     // MIs[1] Operand 1
     /* 1442359 */     // No operand predicates
     /* 1442359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442363 */     // MIs[0] policy
     /* 1442363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1442378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442400 */     // GIR_Coverage, 6705,
     /* 1442400 */     GIR_EraseRootFromParent_Done,
     /* 1442401 */   // Label 20277: @1442401
     /* 1442401 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1442498), // Rule ID 6708 //
     /* 1442406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442456 */     // MIs[1] Operand 1
     /* 1442456 */     // No operand predicates
     /* 1442456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442460 */     // MIs[0] policy
     /* 1442460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442497 */     // GIR_Coverage, 6708,
     /* 1442497 */     GIR_EraseRootFromParent_Done,
     /* 1442498 */   // Label 20278: @1442498
     /* 1442498 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1442595), // Rule ID 6709 //
     /* 1442503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442553 */     // MIs[1] Operand 1
     /* 1442553 */     // No operand predicates
     /* 1442553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442557 */     // MIs[0] policy
     /* 1442557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442594 */     // GIR_Coverage, 6709,
     /* 1442594 */     GIR_EraseRootFromParent_Done,
     /* 1442595 */   // Label 20279: @1442595
     /* 1442595 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1442692), // Rule ID 6888 //
     /* 1442600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442650 */     // MIs[1] Operand 1
     /* 1442650 */     // No operand predicates
     /* 1442650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442654 */     // MIs[0] policy
     /* 1442654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442691 */     // GIR_Coverage, 6888,
     /* 1442691 */     GIR_EraseRootFromParent_Done,
     /* 1442692 */   // Label 20280: @1442692
     /* 1442692 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1442789), // Rule ID 6889 //
     /* 1442697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442747 */     // MIs[1] Operand 1
     /* 1442747 */     // No operand predicates
     /* 1442747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442751 */     // MIs[0] policy
     /* 1442751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442763 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442788 */     // GIR_Coverage, 6889,
     /* 1442788 */     GIR_EraseRootFromParent_Done,
     /* 1442789 */   // Label 20281: @1442789
     /* 1442789 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1442886), // Rule ID 6892 //
     /* 1442794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442844 */     // MIs[1] Operand 1
     /* 1442844 */     // No operand predicates
     /* 1442844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442848 */     // MIs[0] policy
     /* 1442848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442885 */     // GIR_Coverage, 6892,
     /* 1442885 */     GIR_EraseRootFromParent_Done,
     /* 1442886 */   // Label 20282: @1442886
     /* 1442886 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1442983), // Rule ID 6893 //
     /* 1442891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442941 */     // MIs[1] Operand 1
     /* 1442941 */     // No operand predicates
     /* 1442941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442945 */     // MIs[0] policy
     /* 1442945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442957 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442982 */     // GIR_Coverage, 6893,
     /* 1442982 */     GIR_EraseRootFromParent_Done,
     /* 1442983 */   // Label 20283: @1442983
     /* 1442983 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1443080), // Rule ID 6896 //
     /* 1442988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1443002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1443005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443038 */     // MIs[1] Operand 1
     /* 1443038 */     // No operand predicates
     /* 1443038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443042 */     // MIs[0] policy
     /* 1443042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443054 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443079 */     // GIR_Coverage, 6896,
     /* 1443079 */     GIR_EraseRootFromParent_Done,
     /* 1443080 */   // Label 20284: @1443080
     /* 1443080 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1443177), // Rule ID 6897 //
     /* 1443085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1443096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1443099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1443102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443135 */     // MIs[1] Operand 1
     /* 1443135 */     // No operand predicates
     /* 1443135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443139 */     // MIs[0] policy
     /* 1443139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443176 */     // GIR_Coverage, 6897,
     /* 1443176 */     GIR_EraseRootFromParent_Done,
     /* 1443177 */   // Label 20285: @1443177
     /* 1443177 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1443274), // Rule ID 6900 //
     /* 1443182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1443193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1443196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1443199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443232 */     // MIs[1] Operand 1
     /* 1443232 */     // No operand predicates
     /* 1443232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443236 */     // MIs[0] policy
     /* 1443236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1443251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443273 */     // GIR_Coverage, 6900,
     /* 1443273 */     GIR_EraseRootFromParent_Done,
     /* 1443274 */   // Label 20286: @1443274
     /* 1443274 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1443371), // Rule ID 6901 //
     /* 1443279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1443290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1443293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1443296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443329 */     // MIs[1] Operand 1
     /* 1443329 */     // No operand predicates
     /* 1443329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443333 */     // MIs[0] policy
     /* 1443333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443345 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1443348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443370 */     // GIR_Coverage, 6901,
     /* 1443370 */     GIR_EraseRootFromParent_Done,
     /* 1443371 */   // Label 20287: @1443371
     /* 1443371 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1443468), // Rule ID 6904 //
     /* 1443376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443426 */     // MIs[1] Operand 1
     /* 1443426 */     // No operand predicates
     /* 1443426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443430 */     // MIs[0] policy
     /* 1443430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443467 */     // GIR_Coverage, 6904,
     /* 1443467 */     GIR_EraseRootFromParent_Done,
     /* 1443468 */   // Label 20288: @1443468
     /* 1443468 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1443565), // Rule ID 6905 //
     /* 1443473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443523 */     // MIs[1] Operand 1
     /* 1443523 */     // No operand predicates
     /* 1443523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443527 */     // MIs[0] policy
     /* 1443527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443564 */     // GIR_Coverage, 6905,
     /* 1443564 */     GIR_EraseRootFromParent_Done,
     /* 1443565 */   // Label 20289: @1443565
     /* 1443565 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1443662), // Rule ID 6908 //
     /* 1443570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443620 */     // MIs[1] Operand 1
     /* 1443620 */     // No operand predicates
     /* 1443620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443624 */     // MIs[0] policy
     /* 1443624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443661 */     // GIR_Coverage, 6908,
     /* 1443661 */     GIR_EraseRootFromParent_Done,
     /* 1443662 */   // Label 20290: @1443662
     /* 1443662 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1443759), // Rule ID 6909 //
     /* 1443667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443717 */     // MIs[1] Operand 1
     /* 1443717 */     // No operand predicates
     /* 1443717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443721 */     // MIs[0] policy
     /* 1443721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443758 */     // GIR_Coverage, 6909,
     /* 1443758 */     GIR_EraseRootFromParent_Done,
     /* 1443759 */   // Label 20291: @1443759
     /* 1443759 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1443856), // Rule ID 6912 //
     /* 1443764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443814 */     // MIs[1] Operand 1
     /* 1443814 */     // No operand predicates
     /* 1443814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443818 */     // MIs[0] policy
     /* 1443818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443855 */     // GIR_Coverage, 6912,
     /* 1443855 */     GIR_EraseRootFromParent_Done,
     /* 1443856 */   // Label 20292: @1443856
     /* 1443856 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1443953), // Rule ID 6913 //
     /* 1443861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443911 */     // MIs[1] Operand 1
     /* 1443911 */     // No operand predicates
     /* 1443911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443915 */     // MIs[0] policy
     /* 1443915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443952 */     // GIR_Coverage, 6913,
     /* 1443952 */     GIR_EraseRootFromParent_Done,
     /* 1443953 */   // Label 20293: @1443953
     /* 1443953 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1444050), // Rule ID 6916 //
     /* 1443958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444008 */     // MIs[1] Operand 1
     /* 1444008 */     // No operand predicates
     /* 1444008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444012 */     // MIs[0] policy
     /* 1444012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444049 */     // GIR_Coverage, 6916,
     /* 1444049 */     GIR_EraseRootFromParent_Done,
     /* 1444050 */   // Label 20294: @1444050
     /* 1444050 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1444147), // Rule ID 6917 //
     /* 1444055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1444066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1444069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1444072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444105 */     // MIs[1] Operand 1
     /* 1444105 */     // No operand predicates
     /* 1444105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444109 */     // MIs[0] policy
     /* 1444109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444146 */     // GIR_Coverage, 6917,
     /* 1444146 */     GIR_EraseRootFromParent_Done,
     /* 1444147 */   // Label 20295: @1444147
     /* 1444147 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1444244), // Rule ID 6920 //
     /* 1444152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1444163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1444166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1444169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444202 */     // MIs[1] Operand 1
     /* 1444202 */     // No operand predicates
     /* 1444202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444206 */     // MIs[0] policy
     /* 1444206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444243 */     // GIR_Coverage, 6920,
     /* 1444243 */     GIR_EraseRootFromParent_Done,
     /* 1444244 */   // Label 20296: @1444244
     /* 1444244 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1444341), // Rule ID 6921 //
     /* 1444249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1444260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1444263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1444266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444299 */     // MIs[1] Operand 1
     /* 1444299 */     // No operand predicates
     /* 1444299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444303 */     // MIs[0] policy
     /* 1444303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444340 */     // GIR_Coverage, 6921,
     /* 1444340 */     GIR_EraseRootFromParent_Done,
     /* 1444341 */   // Label 20297: @1444341
     /* 1444341 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1444438), // Rule ID 6924 //
     /* 1444346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444396 */     // MIs[1] Operand 1
     /* 1444396 */     // No operand predicates
     /* 1444396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444400 */     // MIs[0] policy
     /* 1444400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444437 */     // GIR_Coverage, 6924,
     /* 1444437 */     GIR_EraseRootFromParent_Done,
     /* 1444438 */   // Label 20298: @1444438
     /* 1444438 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1444535), // Rule ID 6925 //
     /* 1444443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444493 */     // MIs[1] Operand 1
     /* 1444493 */     // No operand predicates
     /* 1444493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444497 */     // MIs[0] policy
     /* 1444497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444534 */     // GIR_Coverage, 6925,
     /* 1444534 */     GIR_EraseRootFromParent_Done,
     /* 1444535 */   // Label 20299: @1444535
     /* 1444535 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1444632), // Rule ID 6928 //
     /* 1444540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444590 */     // MIs[1] Operand 1
     /* 1444590 */     // No operand predicates
     /* 1444590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444594 */     // MIs[0] policy
     /* 1444594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444606 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444631 */     // GIR_Coverage, 6928,
     /* 1444631 */     GIR_EraseRootFromParent_Done,
     /* 1444632 */   // Label 20300: @1444632
     /* 1444632 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1444729), // Rule ID 6929 //
     /* 1444637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444687 */     // MIs[1] Operand 1
     /* 1444687 */     // No operand predicates
     /* 1444687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444691 */     // MIs[0] policy
     /* 1444691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444728 */     // GIR_Coverage, 6929,
     /* 1444728 */     GIR_EraseRootFromParent_Done,
     /* 1444729 */   // Label 20301: @1444729
     /* 1444729 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1444826), // Rule ID 6932 //
     /* 1444734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444784 */     // MIs[1] Operand 1
     /* 1444784 */     // No operand predicates
     /* 1444784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444788 */     // MIs[0] policy
     /* 1444788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444800 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444825 */     // GIR_Coverage, 6932,
     /* 1444825 */     GIR_EraseRootFromParent_Done,
     /* 1444826 */   // Label 20302: @1444826
     /* 1444826 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1444923), // Rule ID 6933 //
     /* 1444831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444881 */     // MIs[1] Operand 1
     /* 1444881 */     // No operand predicates
     /* 1444881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444885 */     // MIs[0] policy
     /* 1444885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444922 */     // GIR_Coverage, 6933,
     /* 1444922 */     GIR_EraseRootFromParent_Done,
     /* 1444923 */   // Label 20303: @1444923
     /* 1444923 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1445020), // Rule ID 6936 //
     /* 1444928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444978 */     // MIs[1] Operand 1
     /* 1444978 */     // No operand predicates
     /* 1444978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444982 */     // MIs[0] policy
     /* 1444982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444994 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445019 */     // GIR_Coverage, 6936,
     /* 1445019 */     GIR_EraseRootFromParent_Done,
     /* 1445020 */   // Label 20304: @1445020
     /* 1445020 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1445117), // Rule ID 6937 //
     /* 1445025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1445036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1445039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1445042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1445048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445075 */     // MIs[1] Operand 1
     /* 1445075 */     // No operand predicates
     /* 1445075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445079 */     // MIs[0] policy
     /* 1445079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445091 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445116 */     // GIR_Coverage, 6937,
     /* 1445116 */     GIR_EraseRootFromParent_Done,
     /* 1445117 */   // Label 20305: @1445117
     /* 1445117 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1445214), // Rule ID 6940 //
     /* 1445122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1445133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1445136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445172 */     // MIs[1] Operand 1
     /* 1445172 */     // No operand predicates
     /* 1445172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445176 */     // MIs[0] policy
     /* 1445176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445213 */     // GIR_Coverage, 6940,
     /* 1445213 */     GIR_EraseRootFromParent_Done,
     /* 1445214 */   // Label 20306: @1445214
     /* 1445214 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1445311), // Rule ID 6941 //
     /* 1445219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1445230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1445233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445269 */     // MIs[1] Operand 1
     /* 1445269 */     // No operand predicates
     /* 1445269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445273 */     // MIs[0] policy
     /* 1445273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445285 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445310 */     // GIR_Coverage, 6941,
     /* 1445310 */     GIR_EraseRootFromParent_Done,
     /* 1445311 */   // Label 20307: @1445311
     /* 1445311 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1445408), // Rule ID 6944 //
     /* 1445316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445366 */     // MIs[1] Operand 1
     /* 1445366 */     // No operand predicates
     /* 1445366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445370 */     // MIs[0] policy
     /* 1445370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445407 */     // GIR_Coverage, 6944,
     /* 1445407 */     GIR_EraseRootFromParent_Done,
     /* 1445408 */   // Label 20308: @1445408
     /* 1445408 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1445505), // Rule ID 6945 //
     /* 1445413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445463 */     // MIs[1] Operand 1
     /* 1445463 */     // No operand predicates
     /* 1445463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445467 */     // MIs[0] policy
     /* 1445467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445479 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445504 */     // GIR_Coverage, 6945,
     /* 1445504 */     GIR_EraseRootFromParent_Done,
     /* 1445505 */   // Label 20309: @1445505
     /* 1445505 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1445602), // Rule ID 6948 //
     /* 1445510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445560 */     // MIs[1] Operand 1
     /* 1445560 */     // No operand predicates
     /* 1445560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445564 */     // MIs[0] policy
     /* 1445564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445601 */     // GIR_Coverage, 6948,
     /* 1445601 */     GIR_EraseRootFromParent_Done,
     /* 1445602 */   // Label 20310: @1445602
     /* 1445602 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1445699), // Rule ID 6949 //
     /* 1445607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445657 */     // MIs[1] Operand 1
     /* 1445657 */     // No operand predicates
     /* 1445657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445661 */     // MIs[0] policy
     /* 1445661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445698 */     // GIR_Coverage, 6949,
     /* 1445698 */     GIR_EraseRootFromParent_Done,
     /* 1445699 */   // Label 20311: @1445699
     /* 1445699 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1445796), // Rule ID 6952 //
     /* 1445704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445754 */     // MIs[1] Operand 1
     /* 1445754 */     // No operand predicates
     /* 1445754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445758 */     // MIs[0] policy
     /* 1445758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445795 */     // GIR_Coverage, 6952,
     /* 1445795 */     GIR_EraseRootFromParent_Done,
     /* 1445796 */   // Label 20312: @1445796
     /* 1445796 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1445893), // Rule ID 6953 //
     /* 1445801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445851 */     // MIs[1] Operand 1
     /* 1445851 */     // No operand predicates
     /* 1445851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445855 */     // MIs[0] policy
     /* 1445855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445892 */     // GIR_Coverage, 6953,
     /* 1445892 */     GIR_EraseRootFromParent_Done,
     /* 1445893 */   // Label 20313: @1445893
     /* 1445893 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1445990), // Rule ID 6956 //
     /* 1445898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445948 */     // MIs[1] Operand 1
     /* 1445948 */     // No operand predicates
     /* 1445948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445952 */     // MIs[0] policy
     /* 1445952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445989 */     // GIR_Coverage, 6956,
     /* 1445989 */     GIR_EraseRootFromParent_Done,
     /* 1445990 */   // Label 20314: @1445990
     /* 1445990 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1446087), // Rule ID 6957 //
     /* 1445995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1446006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1446009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1446012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446045 */     // MIs[1] Operand 1
     /* 1446045 */     // No operand predicates
     /* 1446045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446049 */     // MIs[0] policy
     /* 1446049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446086 */     // GIR_Coverage, 6957,
     /* 1446086 */     GIR_EraseRootFromParent_Done,
     /* 1446087 */   // Label 20315: @1446087
     /* 1446087 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1446184), // Rule ID 6960 //
     /* 1446092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1446103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1446106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446142 */     // MIs[1] Operand 1
     /* 1446142 */     // No operand predicates
     /* 1446142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446146 */     // MIs[0] policy
     /* 1446146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446183 */     // GIR_Coverage, 6960,
     /* 1446183 */     GIR_EraseRootFromParent_Done,
     /* 1446184 */   // Label 20316: @1446184
     /* 1446184 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1446281), // Rule ID 6961 //
     /* 1446189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1446200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1446203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446239 */     // MIs[1] Operand 1
     /* 1446239 */     // No operand predicates
     /* 1446239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446243 */     // MIs[0] policy
     /* 1446243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446280 */     // GIR_Coverage, 6961,
     /* 1446280 */     GIR_EraseRootFromParent_Done,
     /* 1446281 */   // Label 20317: @1446281
     /* 1446281 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1446378), // Rule ID 6964 //
     /* 1446286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446336 */     // MIs[1] Operand 1
     /* 1446336 */     // No operand predicates
     /* 1446336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446340 */     // MIs[0] policy
     /* 1446340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1446355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446377 */     // GIR_Coverage, 6964,
     /* 1446377 */     GIR_EraseRootFromParent_Done,
     /* 1446378 */   // Label 20318: @1446378
     /* 1446378 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1446475), // Rule ID 6965 //
     /* 1446383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446433 */     // MIs[1] Operand 1
     /* 1446433 */     // No operand predicates
     /* 1446433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446437 */     // MIs[0] policy
     /* 1446437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1446452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446474 */     // GIR_Coverage, 6965,
     /* 1446474 */     GIR_EraseRootFromParent_Done,
     /* 1446475 */   // Label 20319: @1446475
     /* 1446475 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1446572), // Rule ID 6968 //
     /* 1446480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446530 */     // MIs[1] Operand 1
     /* 1446530 */     // No operand predicates
     /* 1446530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446534 */     // MIs[0] policy
     /* 1446534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446571 */     // GIR_Coverage, 6968,
     /* 1446571 */     GIR_EraseRootFromParent_Done,
     /* 1446572 */   // Label 20320: @1446572
     /* 1446572 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1446669), // Rule ID 6969 //
     /* 1446577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446627 */     // MIs[1] Operand 1
     /* 1446627 */     // No operand predicates
     /* 1446627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446631 */     // MIs[0] policy
     /* 1446631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446668 */     // GIR_Coverage, 6969,
     /* 1446668 */     GIR_EraseRootFromParent_Done,
     /* 1446669 */   // Label 20321: @1446669
     /* 1446669 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1446766), // Rule ID 6972 //
     /* 1446674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446724 */     // MIs[1] Operand 1
     /* 1446724 */     // No operand predicates
     /* 1446724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446728 */     // MIs[0] policy
     /* 1446728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446765 */     // GIR_Coverage, 6972,
     /* 1446765 */     GIR_EraseRootFromParent_Done,
     /* 1446766 */   // Label 20322: @1446766
     /* 1446766 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1446863), // Rule ID 6973 //
     /* 1446771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446821 */     // MIs[1] Operand 1
     /* 1446821 */     // No operand predicates
     /* 1446821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446825 */     // MIs[0] policy
     /* 1446825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446837 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446862 */     // GIR_Coverage, 6973,
     /* 1446862 */     GIR_EraseRootFromParent_Done,
     /* 1446863 */   // Label 20323: @1446863
     /* 1446863 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1446960), // Rule ID 7152 //
     /* 1446868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446918 */     // MIs[1] Operand 1
     /* 1446918 */     // No operand predicates
     /* 1446918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446922 */     // MIs[0] policy
     /* 1446922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1446937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446959 */     // GIR_Coverage, 7152,
     /* 1446959 */     GIR_EraseRootFromParent_Done,
     /* 1446960 */   // Label 20324: @1446960
     /* 1446960 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1447057), // Rule ID 7153 //
     /* 1446965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447015 */     // MIs[1] Operand 1
     /* 1447015 */     // No operand predicates
     /* 1447015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447019 */     // MIs[0] policy
     /* 1447019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447031 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1447034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447056 */     // GIR_Coverage, 7153,
     /* 1447056 */     GIR_EraseRootFromParent_Done,
     /* 1447057 */   // Label 20325: @1447057
     /* 1447057 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1447154), // Rule ID 7156 //
     /* 1447062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1447079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447112 */     // MIs[1] Operand 1
     /* 1447112 */     // No operand predicates
     /* 1447112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447116 */     // MIs[0] policy
     /* 1447116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447128 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447153 */     // GIR_Coverage, 7156,
     /* 1447153 */     GIR_EraseRootFromParent_Done,
     /* 1447154 */   // Label 20326: @1447154
     /* 1447154 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1447251), // Rule ID 7157 //
     /* 1447159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1447176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447209 */     // MIs[1] Operand 1
     /* 1447209 */     // No operand predicates
     /* 1447209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447213 */     // MIs[0] policy
     /* 1447213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447225 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447250 */     // GIR_Coverage, 7157,
     /* 1447250 */     GIR_EraseRootFromParent_Done,
     /* 1447251 */   // Label 20327: @1447251
     /* 1447251 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1447348), // Rule ID 7160 //
     /* 1447256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447306 */     // MIs[1] Operand 1
     /* 1447306 */     // No operand predicates
     /* 1447306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447310 */     // MIs[0] policy
     /* 1447310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447347 */     // GIR_Coverage, 7160,
     /* 1447347 */     GIR_EraseRootFromParent_Done,
     /* 1447348 */   // Label 20328: @1447348
     /* 1447348 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1447445), // Rule ID 7161 //
     /* 1447353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447403 */     // MIs[1] Operand 1
     /* 1447403 */     // No operand predicates
     /* 1447403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447407 */     // MIs[0] policy
     /* 1447407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447419 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447444 */     // GIR_Coverage, 7161,
     /* 1447444 */     GIR_EraseRootFromParent_Done,
     /* 1447445 */   // Label 20329: @1447445
     /* 1447445 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1447542), // Rule ID 7164 //
     /* 1447450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447500 */     // MIs[1] Operand 1
     /* 1447500 */     // No operand predicates
     /* 1447500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447504 */     // MIs[0] policy
     /* 1447504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447516 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447541 */     // GIR_Coverage, 7164,
     /* 1447541 */     GIR_EraseRootFromParent_Done,
     /* 1447542 */   // Label 20330: @1447542
     /* 1447542 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1447639), // Rule ID 7165 //
     /* 1447547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447597 */     // MIs[1] Operand 1
     /* 1447597 */     // No operand predicates
     /* 1447597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447601 */     // MIs[0] policy
     /* 1447601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447613 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447638 */     // GIR_Coverage, 7165,
     /* 1447638 */     GIR_EraseRootFromParent_Done,
     /* 1447639 */   // Label 20331: @1447639
     /* 1447639 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1447736), // Rule ID 7168 //
     /* 1447644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447694 */     // MIs[1] Operand 1
     /* 1447694 */     // No operand predicates
     /* 1447694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447698 */     // MIs[0] policy
     /* 1447698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447710 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447735 */     // GIR_Coverage, 7168,
     /* 1447735 */     GIR_EraseRootFromParent_Done,
     /* 1447736 */   // Label 20332: @1447736
     /* 1447736 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1447833), // Rule ID 7169 //
     /* 1447741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447791 */     // MIs[1] Operand 1
     /* 1447791 */     // No operand predicates
     /* 1447791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447795 */     // MIs[0] policy
     /* 1447795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447807 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447832 */     // GIR_Coverage, 7169,
     /* 1447832 */     GIR_EraseRootFromParent_Done,
     /* 1447833 */   // Label 20333: @1447833
     /* 1447833 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1447930), // Rule ID 7172 //
     /* 1447838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447888 */     // MIs[1] Operand 1
     /* 1447888 */     // No operand predicates
     /* 1447888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447892 */     // MIs[0] policy
     /* 1447892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447929 */     // GIR_Coverage, 7172,
     /* 1447929 */     GIR_EraseRootFromParent_Done,
     /* 1447930 */   // Label 20334: @1447930
     /* 1447930 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1448027), // Rule ID 7173 //
     /* 1447935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447985 */     // MIs[1] Operand 1
     /* 1447985 */     // No operand predicates
     /* 1447985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447989 */     // MIs[0] policy
     /* 1447989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1448004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448026 */     // GIR_Coverage, 7173,
     /* 1448026 */     GIR_EraseRootFromParent_Done,
     /* 1448027 */   // Label 20335: @1448027
     /* 1448027 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1448124), // Rule ID 7176 //
     /* 1448032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1448049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448082 */     // MIs[1] Operand 1
     /* 1448082 */     // No operand predicates
     /* 1448082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448086 */     // MIs[0] policy
     /* 1448086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448123 */     // GIR_Coverage, 7176,
     /* 1448123 */     GIR_EraseRootFromParent_Done,
     /* 1448124 */   // Label 20336: @1448124
     /* 1448124 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1448221), // Rule ID 7177 //
     /* 1448129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1448146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448179 */     // MIs[1] Operand 1
     /* 1448179 */     // No operand predicates
     /* 1448179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448183 */     // MIs[0] policy
     /* 1448183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448195 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448220 */     // GIR_Coverage, 7177,
     /* 1448220 */     GIR_EraseRootFromParent_Done,
     /* 1448221 */   // Label 20337: @1448221
     /* 1448221 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1448318), // Rule ID 7180 //
     /* 1448226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448276 */     // MIs[1] Operand 1
     /* 1448276 */     // No operand predicates
     /* 1448276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448280 */     // MIs[0] policy
     /* 1448280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448317 */     // GIR_Coverage, 7180,
     /* 1448317 */     GIR_EraseRootFromParent_Done,
     /* 1448318 */   // Label 20338: @1448318
     /* 1448318 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1448415), // Rule ID 7181 //
     /* 1448323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448373 */     // MIs[1] Operand 1
     /* 1448373 */     // No operand predicates
     /* 1448373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448377 */     // MIs[0] policy
     /* 1448377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448414 */     // GIR_Coverage, 7181,
     /* 1448414 */     GIR_EraseRootFromParent_Done,
     /* 1448415 */   // Label 20339: @1448415
     /* 1448415 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1448512), // Rule ID 7184 //
     /* 1448420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448470 */     // MIs[1] Operand 1
     /* 1448470 */     // No operand predicates
     /* 1448470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448474 */     // MIs[0] policy
     /* 1448474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448511 */     // GIR_Coverage, 7184,
     /* 1448511 */     GIR_EraseRootFromParent_Done,
     /* 1448512 */   // Label 20340: @1448512
     /* 1448512 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1448609), // Rule ID 7185 //
     /* 1448517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448567 */     // MIs[1] Operand 1
     /* 1448567 */     // No operand predicates
     /* 1448567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448571 */     // MIs[0] policy
     /* 1448571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448608 */     // GIR_Coverage, 7185,
     /* 1448608 */     GIR_EraseRootFromParent_Done,
     /* 1448609 */   // Label 20341: @1448609
     /* 1448609 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1448706), // Rule ID 7188 //
     /* 1448614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448664 */     // MIs[1] Operand 1
     /* 1448664 */     // No operand predicates
     /* 1448664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448668 */     // MIs[0] policy
     /* 1448668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448705 */     // GIR_Coverage, 7188,
     /* 1448705 */     GIR_EraseRootFromParent_Done,
     /* 1448706 */   // Label 20342: @1448706
     /* 1448706 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1448803), // Rule ID 7189 //
     /* 1448711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448761 */     // MIs[1] Operand 1
     /* 1448761 */     // No operand predicates
     /* 1448761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448765 */     // MIs[0] policy
     /* 1448765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448777 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448802 */     // GIR_Coverage, 7189,
     /* 1448802 */     GIR_EraseRootFromParent_Done,
     /* 1448803 */   // Label 20343: @1448803
     /* 1448803 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1448900), // Rule ID 7192 //
     /* 1448808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448858 */     // MIs[1] Operand 1
     /* 1448858 */     // No operand predicates
     /* 1448858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448862 */     // MIs[0] policy
     /* 1448862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448874 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448899 */     // GIR_Coverage, 7192,
     /* 1448899 */     GIR_EraseRootFromParent_Done,
     /* 1448900 */   // Label 20344: @1448900
     /* 1448900 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1448997), // Rule ID 7193 //
     /* 1448905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448955 */     // MIs[1] Operand 1
     /* 1448955 */     // No operand predicates
     /* 1448955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448959 */     // MIs[0] policy
     /* 1448959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448996 */     // GIR_Coverage, 7193,
     /* 1448996 */     GIR_EraseRootFromParent_Done,
     /* 1448997 */   // Label 20345: @1448997
     /* 1448997 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1449094), // Rule ID 7196 //
     /* 1449002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1449013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1449016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1449019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449052 */     // MIs[1] Operand 1
     /* 1449052 */     // No operand predicates
     /* 1449052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449056 */     // MIs[0] policy
     /* 1449056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449093 */     // GIR_Coverage, 7196,
     /* 1449093 */     GIR_EraseRootFromParent_Done,
     /* 1449094 */   // Label 20346: @1449094
     /* 1449094 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1449191), // Rule ID 7197 //
     /* 1449099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1449110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1449113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1449116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449149 */     // MIs[1] Operand 1
     /* 1449149 */     // No operand predicates
     /* 1449149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449153 */     // MIs[0] policy
     /* 1449153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449165 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449190 */     // GIR_Coverage, 7197,
     /* 1449190 */     GIR_EraseRootFromParent_Done,
     /* 1449191 */   // Label 20347: @1449191
     /* 1449191 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1449288), // Rule ID 7200 //
     /* 1449196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449246 */     // MIs[1] Operand 1
     /* 1449246 */     // No operand predicates
     /* 1449246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449250 */     // MIs[0] policy
     /* 1449250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449262 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449287 */     // GIR_Coverage, 7200,
     /* 1449287 */     GIR_EraseRootFromParent_Done,
     /* 1449288 */   // Label 20348: @1449288
     /* 1449288 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1449385), // Rule ID 7201 //
     /* 1449293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449343 */     // MIs[1] Operand 1
     /* 1449343 */     // No operand predicates
     /* 1449343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449347 */     // MIs[0] policy
     /* 1449347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449359 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449384 */     // GIR_Coverage, 7201,
     /* 1449384 */     GIR_EraseRootFromParent_Done,
     /* 1449385 */   // Label 20349: @1449385
     /* 1449385 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1449482), // Rule ID 7204 //
     /* 1449390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449440 */     // MIs[1] Operand 1
     /* 1449440 */     // No operand predicates
     /* 1449440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449444 */     // MIs[0] policy
     /* 1449444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449481 */     // GIR_Coverage, 7204,
     /* 1449481 */     GIR_EraseRootFromParent_Done,
     /* 1449482 */   // Label 20350: @1449482
     /* 1449482 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1449579), // Rule ID 7205 //
     /* 1449487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449537 */     // MIs[1] Operand 1
     /* 1449537 */     // No operand predicates
     /* 1449537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449541 */     // MIs[0] policy
     /* 1449541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449578 */     // GIR_Coverage, 7205,
     /* 1449578 */     GIR_EraseRootFromParent_Done,
     /* 1449579 */   // Label 20351: @1449579
     /* 1449579 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1449676), // Rule ID 7208 //
     /* 1449584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449634 */     // MIs[1] Operand 1
     /* 1449634 */     // No operand predicates
     /* 1449634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449638 */     // MIs[0] policy
     /* 1449638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449675 */     // GIR_Coverage, 7208,
     /* 1449675 */     GIR_EraseRootFromParent_Done,
     /* 1449676 */   // Label 20352: @1449676
     /* 1449676 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1449773), // Rule ID 7209 //
     /* 1449681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449731 */     // MIs[1] Operand 1
     /* 1449731 */     // No operand predicates
     /* 1449731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449735 */     // MIs[0] policy
     /* 1449735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449772 */     // GIR_Coverage, 7209,
     /* 1449772 */     GIR_EraseRootFromParent_Done,
     /* 1449773 */   // Label 20353: @1449773
     /* 1449773 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1449870), // Rule ID 7212 //
     /* 1449778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449828 */     // MIs[1] Operand 1
     /* 1449828 */     // No operand predicates
     /* 1449828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449832 */     // MIs[0] policy
     /* 1449832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449869 */     // GIR_Coverage, 7212,
     /* 1449869 */     GIR_EraseRootFromParent_Done,
     /* 1449870 */   // Label 20354: @1449870
     /* 1449870 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1449967), // Rule ID 7213 //
     /* 1449875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449925 */     // MIs[1] Operand 1
     /* 1449925 */     // No operand predicates
     /* 1449925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449929 */     // MIs[0] policy
     /* 1449929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449966 */     // GIR_Coverage, 7213,
     /* 1449966 */     GIR_EraseRootFromParent_Done,
     /* 1449967 */   // Label 20355: @1449967
     /* 1449967 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1450064), // Rule ID 7216 //
     /* 1449972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450022 */     // MIs[1] Operand 1
     /* 1450022 */     // No operand predicates
     /* 1450022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450026 */     // MIs[0] policy
     /* 1450026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450063 */     // GIR_Coverage, 7216,
     /* 1450063 */     GIR_EraseRootFromParent_Done,
     /* 1450064 */   // Label 20356: @1450064
     /* 1450064 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1450161), // Rule ID 7217 //
     /* 1450069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1450080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1450083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1450086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450119 */     // MIs[1] Operand 1
     /* 1450119 */     // No operand predicates
     /* 1450119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450123 */     // MIs[0] policy
     /* 1450123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450160 */     // GIR_Coverage, 7217,
     /* 1450160 */     GIR_EraseRootFromParent_Done,
     /* 1450161 */   // Label 20357: @1450161
     /* 1450161 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1450258), // Rule ID 7220 //
     /* 1450166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450216 */     // MIs[1] Operand 1
     /* 1450216 */     // No operand predicates
     /* 1450216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450220 */     // MIs[0] policy
     /* 1450220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450257 */     // GIR_Coverage, 7220,
     /* 1450257 */     GIR_EraseRootFromParent_Done,
     /* 1450258 */   // Label 20358: @1450258
     /* 1450258 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1450355), // Rule ID 7221 //
     /* 1450263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450313 */     // MIs[1] Operand 1
     /* 1450313 */     // No operand predicates
     /* 1450313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450317 */     // MIs[0] policy
     /* 1450317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450329 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450354 */     // GIR_Coverage, 7221,
     /* 1450354 */     GIR_EraseRootFromParent_Done,
     /* 1450355 */   // Label 20359: @1450355
     /* 1450355 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1450452), // Rule ID 7224 //
     /* 1450360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450410 */     // MIs[1] Operand 1
     /* 1450410 */     // No operand predicates
     /* 1450410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450414 */     // MIs[0] policy
     /* 1450414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450451 */     // GIR_Coverage, 7224,
     /* 1450451 */     GIR_EraseRootFromParent_Done,
     /* 1450452 */   // Label 20360: @1450452
     /* 1450452 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1450549), // Rule ID 7225 //
     /* 1450457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450507 */     // MIs[1] Operand 1
     /* 1450507 */     // No operand predicates
     /* 1450507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450511 */     // MIs[0] policy
     /* 1450511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450548 */     // GIR_Coverage, 7225,
     /* 1450548 */     GIR_EraseRootFromParent_Done,
     /* 1450549 */   // Label 20361: @1450549
     /* 1450549 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1450646), // Rule ID 7228 //
     /* 1450554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450604 */     // MIs[1] Operand 1
     /* 1450604 */     // No operand predicates
     /* 1450604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450608 */     // MIs[0] policy
     /* 1450608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450645 */     // GIR_Coverage, 7228,
     /* 1450645 */     GIR_EraseRootFromParent_Done,
     /* 1450646 */   // Label 20362: @1450646
     /* 1450646 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1450743), // Rule ID 7229 //
     /* 1450651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450701 */     // MIs[1] Operand 1
     /* 1450701 */     // No operand predicates
     /* 1450701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450705 */     // MIs[0] policy
     /* 1450705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450742 */     // GIR_Coverage, 7229,
     /* 1450742 */     GIR_EraseRootFromParent_Done,
     /* 1450743 */   // Label 20363: @1450743
     /* 1450743 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1450840), // Rule ID 7232 //
     /* 1450748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450798 */     // MIs[1] Operand 1
     /* 1450798 */     // No operand predicates
     /* 1450798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450802 */     // MIs[0] policy
     /* 1450802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450839 */     // GIR_Coverage, 7232,
     /* 1450839 */     GIR_EraseRootFromParent_Done,
     /* 1450840 */   // Label 20364: @1450840
     /* 1450840 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1450937), // Rule ID 7233 //
     /* 1450845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450895 */     // MIs[1] Operand 1
     /* 1450895 */     // No operand predicates
     /* 1450895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450899 */     // MIs[0] policy
     /* 1450899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450936 */     // GIR_Coverage, 7233,
     /* 1450936 */     GIR_EraseRootFromParent_Done,
     /* 1450937 */   // Label 20365: @1450937
     /* 1450937 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1451034), // Rule ID 7236 //
     /* 1450942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450992 */     // MIs[1] Operand 1
     /* 1450992 */     // No operand predicates
     /* 1450992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450996 */     // MIs[0] policy
     /* 1450996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1451011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451033 */     // GIR_Coverage, 7236,
     /* 1451033 */     GIR_EraseRootFromParent_Done,
     /* 1451034 */   // Label 20366: @1451034
     /* 1451034 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1451131), // Rule ID 7237 //
     /* 1451039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1451042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1451050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1451053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1451056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451089 */     // MIs[1] Operand 1
     /* 1451089 */     // No operand predicates
     /* 1451089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451093 */     // MIs[0] policy
     /* 1451093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1451108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451130 */     // GIR_Coverage, 7237,
     /* 1451130 */     GIR_EraseRootFromParent_Done,
     /* 1451131 */   // Label 20367: @1451131
     /* 1451131 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1451228), // Rule ID 7448 //
     /* 1451136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1451147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1451150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451186 */     // MIs[1] Operand 1
     /* 1451186 */     // No operand predicates
     /* 1451186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451190 */     // MIs[0] policy
     /* 1451190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1451205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451227 */     // GIR_Coverage, 7448,
     /* 1451227 */     GIR_EraseRootFromParent_Done,
     /* 1451228 */   // Label 20368: @1451228
     /* 1451228 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1451325), // Rule ID 7449 //
     /* 1451233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1451244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1451247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451283 */     // MIs[1] Operand 1
     /* 1451283 */     // No operand predicates
     /* 1451283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451287 */     // MIs[0] policy
     /* 1451287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451299 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1451302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451324 */     // GIR_Coverage, 7449,
     /* 1451324 */     GIR_EraseRootFromParent_Done,
     /* 1451325 */   // Label 20369: @1451325
     /* 1451325 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1451422), // Rule ID 7452 //
     /* 1451330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1451341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451380 */     // MIs[1] Operand 1
     /* 1451380 */     // No operand predicates
     /* 1451380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451384 */     // MIs[0] policy
     /* 1451384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451421 */     // GIR_Coverage, 7452,
     /* 1451421 */     GIR_EraseRootFromParent_Done,
     /* 1451422 */   // Label 20370: @1451422
     /* 1451422 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1451519), // Rule ID 7453 //
     /* 1451427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1451438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451477 */     // MIs[1] Operand 1
     /* 1451477 */     // No operand predicates
     /* 1451477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451481 */     // MIs[0] policy
     /* 1451481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451493 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451518 */     // GIR_Coverage, 7453,
     /* 1451518 */     GIR_EraseRootFromParent_Done,
     /* 1451519 */   // Label 20371: @1451519
     /* 1451519 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1451616), // Rule ID 7456 //
     /* 1451524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451574 */     // MIs[1] Operand 1
     /* 1451574 */     // No operand predicates
     /* 1451574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451578 */     // MIs[0] policy
     /* 1451578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451590 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451615 */     // GIR_Coverage, 7456,
     /* 1451615 */     GIR_EraseRootFromParent_Done,
     /* 1451616 */   // Label 20372: @1451616
     /* 1451616 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1451713), // Rule ID 7457 //
     /* 1451621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451671 */     // MIs[1] Operand 1
     /* 1451671 */     // No operand predicates
     /* 1451671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451675 */     // MIs[0] policy
     /* 1451675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451687 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451712 */     // GIR_Coverage, 7457,
     /* 1451712 */     GIR_EraseRootFromParent_Done,
     /* 1451713 */   // Label 20373: @1451713
     /* 1451713 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1451810), // Rule ID 7460 //
     /* 1451718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451768 */     // MIs[1] Operand 1
     /* 1451768 */     // No operand predicates
     /* 1451768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451772 */     // MIs[0] policy
     /* 1451772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451809 */     // GIR_Coverage, 7460,
     /* 1451809 */     GIR_EraseRootFromParent_Done,
     /* 1451810 */   // Label 20374: @1451810
     /* 1451810 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1451907), // Rule ID 7461 //
     /* 1451815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451865 */     // MIs[1] Operand 1
     /* 1451865 */     // No operand predicates
     /* 1451865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451869 */     // MIs[0] policy
     /* 1451869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451881 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451906 */     // GIR_Coverage, 7461,
     /* 1451906 */     GIR_EraseRootFromParent_Done,
     /* 1451907 */   // Label 20375: @1451907
     /* 1451907 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1452004), // Rule ID 7464 //
     /* 1451912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451962 */     // MIs[1] Operand 1
     /* 1451962 */     // No operand predicates
     /* 1451962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451966 */     // MIs[0] policy
     /* 1451966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451978 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452003 */     // GIR_Coverage, 7464,
     /* 1452003 */     GIR_EraseRootFromParent_Done,
     /* 1452004 */   // Label 20376: @1452004
     /* 1452004 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1452101), // Rule ID 7465 //
     /* 1452009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1452020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1452023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1452026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452059 */     // MIs[1] Operand 1
     /* 1452059 */     // No operand predicates
     /* 1452059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452063 */     // MIs[0] policy
     /* 1452063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452075 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452100 */     // GIR_Coverage, 7465,
     /* 1452100 */     GIR_EraseRootFromParent_Done,
     /* 1452101 */   // Label 20377: @1452101
     /* 1452101 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1452198), // Rule ID 7468 //
     /* 1452106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1452117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1452120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452156 */     // MIs[1] Operand 1
     /* 1452156 */     // No operand predicates
     /* 1452156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452160 */     // MIs[0] policy
     /* 1452160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452197 */     // GIR_Coverage, 7468,
     /* 1452197 */     GIR_EraseRootFromParent_Done,
     /* 1452198 */   // Label 20378: @1452198
     /* 1452198 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1452295), // Rule ID 7469 //
     /* 1452203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1452214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1452217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452253 */     // MIs[1] Operand 1
     /* 1452253 */     // No operand predicates
     /* 1452253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452257 */     // MIs[0] policy
     /* 1452257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452269 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452294 */     // GIR_Coverage, 7469,
     /* 1452294 */     GIR_EraseRootFromParent_Done,
     /* 1452295 */   // Label 20379: @1452295
     /* 1452295 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1452392), // Rule ID 7472 //
     /* 1452300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1452311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1452314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452350 */     // MIs[1] Operand 1
     /* 1452350 */     // No operand predicates
     /* 1452350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452354 */     // MIs[0] policy
     /* 1452354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1452369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452391 */     // GIR_Coverage, 7472,
     /* 1452391 */     GIR_EraseRootFromParent_Done,
     /* 1452392 */   // Label 20380: @1452392
     /* 1452392 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1452489), // Rule ID 7473 //
     /* 1452397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1452408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1452411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452447 */     // MIs[1] Operand 1
     /* 1452447 */     // No operand predicates
     /* 1452447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452451 */     // MIs[0] policy
     /* 1452451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1452466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452488 */     // GIR_Coverage, 7473,
     /* 1452488 */     GIR_EraseRootFromParent_Done,
     /* 1452489 */   // Label 20381: @1452489
     /* 1452489 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1452586), // Rule ID 7476 //
     /* 1452494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452544 */     // MIs[1] Operand 1
     /* 1452544 */     // No operand predicates
     /* 1452544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452548 */     // MIs[0] policy
     /* 1452548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452585 */     // GIR_Coverage, 7476,
     /* 1452585 */     GIR_EraseRootFromParent_Done,
     /* 1452586 */   // Label 20382: @1452586
     /* 1452586 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1452683), // Rule ID 7477 //
     /* 1452591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452641 */     // MIs[1] Operand 1
     /* 1452641 */     // No operand predicates
     /* 1452641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452645 */     // MIs[0] policy
     /* 1452645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452657 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452682 */     // GIR_Coverage, 7477,
     /* 1452682 */     GIR_EraseRootFromParent_Done,
     /* 1452683 */   // Label 20383: @1452683
     /* 1452683 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1452780), // Rule ID 7480 //
     /* 1452688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452738 */     // MIs[1] Operand 1
     /* 1452738 */     // No operand predicates
     /* 1452738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452742 */     // MIs[0] policy
     /* 1452742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452779 */     // GIR_Coverage, 7480,
     /* 1452779 */     GIR_EraseRootFromParent_Done,
     /* 1452780 */   // Label 20384: @1452780
     /* 1452780 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1452877), // Rule ID 7481 //
     /* 1452785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452835 */     // MIs[1] Operand 1
     /* 1452835 */     // No operand predicates
     /* 1452835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452839 */     // MIs[0] policy
     /* 1452839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452851 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452876 */     // GIR_Coverage, 7481,
     /* 1452876 */     GIR_EraseRootFromParent_Done,
     /* 1452877 */   // Label 20385: @1452877
     /* 1452877 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1452974), // Rule ID 7484 //
     /* 1452882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452932 */     // MIs[1] Operand 1
     /* 1452932 */     // No operand predicates
     /* 1452932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452936 */     // MIs[0] policy
     /* 1452936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452973 */     // GIR_Coverage, 7484,
     /* 1452973 */     GIR_EraseRootFromParent_Done,
     /* 1452974 */   // Label 20386: @1452974
     /* 1452974 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1453071), // Rule ID 7485 //
     /* 1452979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453029 */     // MIs[1] Operand 1
     /* 1453029 */     // No operand predicates
     /* 1453029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453033 */     // MIs[0] policy
     /* 1453033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453045 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453070 */     // GIR_Coverage, 7485,
     /* 1453070 */     GIR_EraseRootFromParent_Done,
     /* 1453071 */   // Label 20387: @1453071
     /* 1453071 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1453168), // Rule ID 7488 //
     /* 1453076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1453093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453126 */     // MIs[1] Operand 1
     /* 1453126 */     // No operand predicates
     /* 1453126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453130 */     // MIs[0] policy
     /* 1453130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453167 */     // GIR_Coverage, 7488,
     /* 1453167 */     GIR_EraseRootFromParent_Done,
     /* 1453168 */   // Label 20388: @1453168
     /* 1453168 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1453265), // Rule ID 7489 //
     /* 1453173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1453190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453223 */     // MIs[1] Operand 1
     /* 1453223 */     // No operand predicates
     /* 1453223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453227 */     // MIs[0] policy
     /* 1453227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453264 */     // GIR_Coverage, 7489,
     /* 1453264 */     GIR_EraseRootFromParent_Done,
     /* 1453265 */   // Label 20389: @1453265
     /* 1453265 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1453362), // Rule ID 7492 //
     /* 1453270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1453281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1453284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453320 */     // MIs[1] Operand 1
     /* 1453320 */     // No operand predicates
     /* 1453320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453324 */     // MIs[0] policy
     /* 1453324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1453339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453361 */     // GIR_Coverage, 7492,
     /* 1453361 */     GIR_EraseRootFromParent_Done,
     /* 1453362 */   // Label 20390: @1453362
     /* 1453362 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1453459), // Rule ID 7493 //
     /* 1453367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1453378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1453381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453417 */     // MIs[1] Operand 1
     /* 1453417 */     // No operand predicates
     /* 1453417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453421 */     // MIs[0] policy
     /* 1453421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1453436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453458 */     // GIR_Coverage, 7493,
     /* 1453458 */     GIR_EraseRootFromParent_Done,
     /* 1453459 */   // Label 20391: @1453459
     /* 1453459 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1453556), // Rule ID 7496 //
     /* 1453464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453514 */     // MIs[1] Operand 1
     /* 1453514 */     // No operand predicates
     /* 1453514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453518 */     // MIs[0] policy
     /* 1453518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453555 */     // GIR_Coverage, 7496,
     /* 1453555 */     GIR_EraseRootFromParent_Done,
     /* 1453556 */   // Label 20392: @1453556
     /* 1453556 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1453653), // Rule ID 7497 //
     /* 1453561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453611 */     // MIs[1] Operand 1
     /* 1453611 */     // No operand predicates
     /* 1453611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453615 */     // MIs[0] policy
     /* 1453615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453652 */     // GIR_Coverage, 7497,
     /* 1453652 */     GIR_EraseRootFromParent_Done,
     /* 1453653 */   // Label 20393: @1453653
     /* 1453653 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1453750), // Rule ID 7500 //
     /* 1453658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453708 */     // MIs[1] Operand 1
     /* 1453708 */     // No operand predicates
     /* 1453708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453712 */     // MIs[0] policy
     /* 1453712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453749 */     // GIR_Coverage, 7500,
     /* 1453749 */     GIR_EraseRootFromParent_Done,
     /* 1453750 */   // Label 20394: @1453750
     /* 1453750 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1453847), // Rule ID 7501 //
     /* 1453755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453805 */     // MIs[1] Operand 1
     /* 1453805 */     // No operand predicates
     /* 1453805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453809 */     // MIs[0] policy
     /* 1453809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453846 */     // GIR_Coverage, 7501,
     /* 1453846 */     GIR_EraseRootFromParent_Done,
     /* 1453847 */   // Label 20395: @1453847
     /* 1453847 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1453944), // Rule ID 7504 //
     /* 1453852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453902 */     // MIs[1] Operand 1
     /* 1453902 */     // No operand predicates
     /* 1453902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453906 */     // MIs[0] policy
     /* 1453906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453943 */     // GIR_Coverage, 7504,
     /* 1453943 */     GIR_EraseRootFromParent_Done,
     /* 1453944 */   // Label 20396: @1453944
     /* 1453944 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1454041), // Rule ID 7505 //
     /* 1453949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453999 */     // MIs[1] Operand 1
     /* 1453999 */     // No operand predicates
     /* 1453999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454003 */     // MIs[0] policy
     /* 1454003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1454018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454040 */     // GIR_Coverage, 7505,
     /* 1454040 */     GIR_EraseRootFromParent_Done,
     /* 1454041 */   // Label 20397: @1454041
     /* 1454041 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1454138), // Rule ID 7628 //
     /* 1454046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1454057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1454060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454096 */     // MIs[1] Operand 1
     /* 1454096 */     // No operand predicates
     /* 1454096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454100 */     // MIs[0] policy
     /* 1454100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1454115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454137 */     // GIR_Coverage, 7628,
     /* 1454137 */     GIR_EraseRootFromParent_Done,
     /* 1454138 */   // Label 20398: @1454138
     /* 1454138 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1454235), // Rule ID 7629 //
     /* 1454143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1454154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1454157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454193 */     // MIs[1] Operand 1
     /* 1454193 */     // No operand predicates
     /* 1454193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454197 */     // MIs[0] policy
     /* 1454197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454209 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1454212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454234 */     // GIR_Coverage, 7629,
     /* 1454234 */     GIR_EraseRootFromParent_Done,
     /* 1454235 */   // Label 20399: @1454235
     /* 1454235 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1454332), // Rule ID 7632 //
     /* 1454240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1454251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1454254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454290 */     // MIs[1] Operand 1
     /* 1454290 */     // No operand predicates
     /* 1454290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454294 */     // MIs[0] policy
     /* 1454294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454331 */     // GIR_Coverage, 7632,
     /* 1454331 */     GIR_EraseRootFromParent_Done,
     /* 1454332 */   // Label 20400: @1454332
     /* 1454332 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1454429), // Rule ID 7633 //
     /* 1454337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1454348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1454351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454387 */     // MIs[1] Operand 1
     /* 1454387 */     // No operand predicates
     /* 1454387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454391 */     // MIs[0] policy
     /* 1454391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454403 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454428 */     // GIR_Coverage, 7633,
     /* 1454428 */     GIR_EraseRootFromParent_Done,
     /* 1454429 */   // Label 20401: @1454429
     /* 1454429 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1454526), // Rule ID 7636 //
     /* 1454434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454484 */     // MIs[1] Operand 1
     /* 1454484 */     // No operand predicates
     /* 1454484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454488 */     // MIs[0] policy
     /* 1454488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454525 */     // GIR_Coverage, 7636,
     /* 1454525 */     GIR_EraseRootFromParent_Done,
     /* 1454526 */   // Label 20402: @1454526
     /* 1454526 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1454623), // Rule ID 7637 //
     /* 1454531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454581 */     // MIs[1] Operand 1
     /* 1454581 */     // No operand predicates
     /* 1454581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454585 */     // MIs[0] policy
     /* 1454585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454622 */     // GIR_Coverage, 7637,
     /* 1454622 */     GIR_EraseRootFromParent_Done,
     /* 1454623 */   // Label 20403: @1454623
     /* 1454623 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1454720), // Rule ID 7640 //
     /* 1454628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454678 */     // MIs[1] Operand 1
     /* 1454678 */     // No operand predicates
     /* 1454678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454682 */     // MIs[0] policy
     /* 1454682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454719 */     // GIR_Coverage, 7640,
     /* 1454719 */     GIR_EraseRootFromParent_Done,
     /* 1454720 */   // Label 20404: @1454720
     /* 1454720 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1454817), // Rule ID 7641 //
     /* 1454725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454775 */     // MIs[1] Operand 1
     /* 1454775 */     // No operand predicates
     /* 1454775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454779 */     // MIs[0] policy
     /* 1454779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454791 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454816 */     // GIR_Coverage, 7641,
     /* 1454816 */     GIR_EraseRootFromParent_Done,
     /* 1454817 */   // Label 20405: @1454817
     /* 1454817 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1454914), // Rule ID 7644 //
     /* 1454822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454872 */     // MIs[1] Operand 1
     /* 1454872 */     // No operand predicates
     /* 1454872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454876 */     // MIs[0] policy
     /* 1454876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454913 */     // GIR_Coverage, 7644,
     /* 1454913 */     GIR_EraseRootFromParent_Done,
     /* 1454914 */   // Label 20406: @1454914
     /* 1454914 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1455011), // Rule ID 7645 //
     /* 1454919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454969 */     // MIs[1] Operand 1
     /* 1454969 */     // No operand predicates
     /* 1454969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454973 */     // MIs[0] policy
     /* 1454973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455010 */     // GIR_Coverage, 7645,
     /* 1455010 */     GIR_EraseRootFromParent_Done,
     /* 1455011 */   // Label 20407: @1455011
     /* 1455011 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1455108), // Rule ID 7648 //
     /* 1455016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1455033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455066 */     // MIs[1] Operand 1
     /* 1455066 */     // No operand predicates
     /* 1455066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455070 */     // MIs[0] policy
     /* 1455070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455107 */     // GIR_Coverage, 7648,
     /* 1455107 */     GIR_EraseRootFromParent_Done,
     /* 1455108 */   // Label 20408: @1455108
     /* 1455108 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1455205), // Rule ID 7649 //
     /* 1455113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1455130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455163 */     // MIs[1] Operand 1
     /* 1455163 */     // No operand predicates
     /* 1455163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455167 */     // MIs[0] policy
     /* 1455167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455179 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455204 */     // GIR_Coverage, 7649,
     /* 1455204 */     GIR_EraseRootFromParent_Done,
     /* 1455205 */   // Label 20409: @1455205
     /* 1455205 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1455302), // Rule ID 7652 //
     /* 1455210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455260 */     // MIs[1] Operand 1
     /* 1455260 */     // No operand predicates
     /* 1455260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455264 */     // MIs[0] policy
     /* 1455264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1455279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455301 */     // GIR_Coverage, 7652,
     /* 1455301 */     GIR_EraseRootFromParent_Done,
     /* 1455302 */   // Label 20410: @1455302
     /* 1455302 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1455399), // Rule ID 7653 //
     /* 1455307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455357 */     // MIs[1] Operand 1
     /* 1455357 */     // No operand predicates
     /* 1455357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455361 */     // MIs[0] policy
     /* 1455361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455373 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1455376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455398 */     // GIR_Coverage, 7653,
     /* 1455398 */     GIR_EraseRootFromParent_Done,
     /* 1455399 */   // Label 20411: @1455399
     /* 1455399 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1455496), // Rule ID 7656 //
     /* 1455404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455454 */     // MIs[1] Operand 1
     /* 1455454 */     // No operand predicates
     /* 1455454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455458 */     // MIs[0] policy
     /* 1455458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455470 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455495 */     // GIR_Coverage, 7656,
     /* 1455495 */     GIR_EraseRootFromParent_Done,
     /* 1455496 */   // Label 20412: @1455496
     /* 1455496 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1455593), // Rule ID 7657 //
     /* 1455501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455551 */     // MIs[1] Operand 1
     /* 1455551 */     // No operand predicates
     /* 1455551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455555 */     // MIs[0] policy
     /* 1455555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455592 */     // GIR_Coverage, 7657,
     /* 1455592 */     GIR_EraseRootFromParent_Done,
     /* 1455593 */   // Label 20413: @1455593
     /* 1455593 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1455690), // Rule ID 7660 //
     /* 1455598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455648 */     // MIs[1] Operand 1
     /* 1455648 */     // No operand predicates
     /* 1455648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455652 */     // MIs[0] policy
     /* 1455652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455689 */     // GIR_Coverage, 7660,
     /* 1455689 */     GIR_EraseRootFromParent_Done,
     /* 1455690 */   // Label 20414: @1455690
     /* 1455690 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1455787), // Rule ID 7661 //
     /* 1455695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455745 */     // MIs[1] Operand 1
     /* 1455745 */     // No operand predicates
     /* 1455745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455749 */     // MIs[0] policy
     /* 1455749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455786 */     // GIR_Coverage, 7661,
     /* 1455786 */     GIR_EraseRootFromParent_Done,
     /* 1455787 */   // Label 20415: @1455787
     /* 1455787 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1455884), // Rule ID 7664 //
     /* 1455792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455842 */     // MIs[1] Operand 1
     /* 1455842 */     // No operand predicates
     /* 1455842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455846 */     // MIs[0] policy
     /* 1455846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455883 */     // GIR_Coverage, 7664,
     /* 1455883 */     GIR_EraseRootFromParent_Done,
     /* 1455884 */   // Label 20416: @1455884
     /* 1455884 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1455981), // Rule ID 7665 //
     /* 1455889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455939 */     // MIs[1] Operand 1
     /* 1455939 */     // No operand predicates
     /* 1455939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455943 */     // MIs[0] policy
     /* 1455943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455980 */     // GIR_Coverage, 7665,
     /* 1455980 */     GIR_EraseRootFromParent_Done,
     /* 1455981 */   // Label 20417: @1455981
     /* 1455981 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1456078), // Rule ID 7668 //
     /* 1455986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1456003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456036 */     // MIs[1] Operand 1
     /* 1456036 */     // No operand predicates
     /* 1456036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456040 */     // MIs[0] policy
     /* 1456040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456077 */     // GIR_Coverage, 7668,
     /* 1456077 */     GIR_EraseRootFromParent_Done,
     /* 1456078 */   // Label 20418: @1456078
     /* 1456078 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1456175), // Rule ID 7669 //
     /* 1456083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1456100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456133 */     // MIs[1] Operand 1
     /* 1456133 */     // No operand predicates
     /* 1456133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456137 */     // MIs[0] policy
     /* 1456137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456174 */     // GIR_Coverage, 7669,
     /* 1456174 */     GIR_EraseRootFromParent_Done,
     /* 1456175 */   // Label 20419: @1456175
     /* 1456175 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1456272), // Rule ID 7672 //
     /* 1456180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456230 */     // MIs[1] Operand 1
     /* 1456230 */     // No operand predicates
     /* 1456230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456234 */     // MIs[0] policy
     /* 1456234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1456249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456271 */     // GIR_Coverage, 7672,
     /* 1456271 */     GIR_EraseRootFromParent_Done,
     /* 1456272 */   // Label 20420: @1456272
     /* 1456272 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1456369), // Rule ID 7673 //
     /* 1456277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456327 */     // MIs[1] Operand 1
     /* 1456327 */     // No operand predicates
     /* 1456327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456331 */     // MIs[0] policy
     /* 1456331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1456346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456368 */     // GIR_Coverage, 7673,
     /* 1456368 */     GIR_EraseRootFromParent_Done,
     /* 1456369 */   // Label 20421: @1456369
     /* 1456369 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1456466), // Rule ID 7676 //
     /* 1456374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456424 */     // MIs[1] Operand 1
     /* 1456424 */     // No operand predicates
     /* 1456424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456428 */     // MIs[0] policy
     /* 1456428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456465 */     // GIR_Coverage, 7676,
     /* 1456465 */     GIR_EraseRootFromParent_Done,
     /* 1456466 */   // Label 20422: @1456466
     /* 1456466 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1456563), // Rule ID 7677 //
     /* 1456471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456521 */     // MIs[1] Operand 1
     /* 1456521 */     // No operand predicates
     /* 1456521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456525 */     // MIs[0] policy
     /* 1456525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456562 */     // GIR_Coverage, 7677,
     /* 1456562 */     GIR_EraseRootFromParent_Done,
     /* 1456563 */   // Label 20423: @1456563
     /* 1456563 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1456660), // Rule ID 7680 //
     /* 1456568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456618 */     // MIs[1] Operand 1
     /* 1456618 */     // No operand predicates
     /* 1456618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456622 */     // MIs[0] policy
     /* 1456622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456659 */     // GIR_Coverage, 7680,
     /* 1456659 */     GIR_EraseRootFromParent_Done,
     /* 1456660 */   // Label 20424: @1456660
     /* 1456660 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1456757), // Rule ID 7681 //
     /* 1456665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456715 */     // MIs[1] Operand 1
     /* 1456715 */     // No operand predicates
     /* 1456715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456719 */     // MIs[0] policy
     /* 1456719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456756 */     // GIR_Coverage, 7681,
     /* 1456756 */     GIR_EraseRootFromParent_Done,
     /* 1456757 */   // Label 20425: @1456757
     /* 1456757 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1456854), // Rule ID 7684 //
     /* 1456762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456812 */     // MIs[1] Operand 1
     /* 1456812 */     // No operand predicates
     /* 1456812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456816 */     // MIs[0] policy
     /* 1456816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456853 */     // GIR_Coverage, 7684,
     /* 1456853 */     GIR_EraseRootFromParent_Done,
     /* 1456854 */   // Label 20426: @1456854
     /* 1456854 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1456951), // Rule ID 7685 //
     /* 1456859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456909 */     // MIs[1] Operand 1
     /* 1456909 */     // No operand predicates
     /* 1456909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456913 */     // MIs[0] policy
     /* 1456913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456950 */     // GIR_Coverage, 7685,
     /* 1456950 */     GIR_EraseRootFromParent_Done,
     /* 1456951 */   // Label 20427: @1456951
     /* 1456951 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1457051), // Rule ID 14114 //
     /* 1456956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1456967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1456970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1456973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457006 */     // MIs[1] Operand 1
     /* 1457006 */     // No operand predicates
     /* 1457006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457010 */     // MIs[0] policy
     /* 1457010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457022 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1457025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457050 */     // GIR_Coverage, 14114,
     /* 1457050 */     GIR_EraseRootFromParent_Done,
     /* 1457051 */   // Label 20428: @1457051
     /* 1457051 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1457151), // Rule ID 14115 //
     /* 1457056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1457073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457106 */     // MIs[1] Operand 1
     /* 1457106 */     // No operand predicates
     /* 1457106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457110 */     // MIs[0] policy
     /* 1457110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457122 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1457125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457150 */     // GIR_Coverage, 14115,
     /* 1457150 */     GIR_EraseRootFromParent_Done,
     /* 1457151 */   // Label 20429: @1457151
     /* 1457151 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1457251), // Rule ID 14118 //
     /* 1457156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1457167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1457170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1457173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457206 */     // MIs[1] Operand 1
     /* 1457206 */     // No operand predicates
     /* 1457206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457210 */     // MIs[0] policy
     /* 1457210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457250 */     // GIR_Coverage, 14118,
     /* 1457250 */     GIR_EraseRootFromParent_Done,
     /* 1457251 */   // Label 20430: @1457251
     /* 1457251 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1457351), // Rule ID 14119 //
     /* 1457256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1457267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1457270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1457273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457306 */     // MIs[1] Operand 1
     /* 1457306 */     // No operand predicates
     /* 1457306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457310 */     // MIs[0] policy
     /* 1457310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457350 */     // GIR_Coverage, 14119,
     /* 1457350 */     GIR_EraseRootFromParent_Done,
     /* 1457351 */   // Label 20431: @1457351
     /* 1457351 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1457451), // Rule ID 14122 //
     /* 1457356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1457373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457406 */     // MIs[1] Operand 1
     /* 1457406 */     // No operand predicates
     /* 1457406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457410 */     // MIs[0] policy
     /* 1457410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457422 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457450 */     // GIR_Coverage, 14122,
     /* 1457450 */     GIR_EraseRootFromParent_Done,
     /* 1457451 */   // Label 20432: @1457451
     /* 1457451 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1457551), // Rule ID 14123 //
     /* 1457456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1457473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457506 */     // MIs[1] Operand 1
     /* 1457506 */     // No operand predicates
     /* 1457506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457510 */     // MIs[0] policy
     /* 1457510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457522 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457550 */     // GIR_Coverage, 14123,
     /* 1457550 */     GIR_EraseRootFromParent_Done,
     /* 1457551 */   // Label 20433: @1457551
     /* 1457551 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1457651), // Rule ID 14126 //
     /* 1457556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457606 */     // MIs[1] Operand 1
     /* 1457606 */     // No operand predicates
     /* 1457606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457610 */     // MIs[0] policy
     /* 1457610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457650 */     // GIR_Coverage, 14126,
     /* 1457650 */     GIR_EraseRootFromParent_Done,
     /* 1457651 */   // Label 20434: @1457651
     /* 1457651 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1457751), // Rule ID 14127 //
     /* 1457656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457706 */     // MIs[1] Operand 1
     /* 1457706 */     // No operand predicates
     /* 1457706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457710 */     // MIs[0] policy
     /* 1457710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457750 */     // GIR_Coverage, 14127,
     /* 1457750 */     GIR_EraseRootFromParent_Done,
     /* 1457751 */   // Label 20435: @1457751
     /* 1457751 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1457851), // Rule ID 14130 //
     /* 1457756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457806 */     // MIs[1] Operand 1
     /* 1457806 */     // No operand predicates
     /* 1457806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457810 */     // MIs[0] policy
     /* 1457810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457850 */     // GIR_Coverage, 14130,
     /* 1457850 */     GIR_EraseRootFromParent_Done,
     /* 1457851 */   // Label 20436: @1457851
     /* 1457851 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1457951), // Rule ID 14131 //
     /* 1457856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457906 */     // MIs[1] Operand 1
     /* 1457906 */     // No operand predicates
     /* 1457906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457910 */     // MIs[0] policy
     /* 1457910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457922 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457950 */     // GIR_Coverage, 14131,
     /* 1457950 */     GIR_EraseRootFromParent_Done,
     /* 1457951 */   // Label 20437: @1457951
     /* 1457951 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1458051), // Rule ID 14134 //
     /* 1457956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458006 */     // MIs[1] Operand 1
     /* 1458006 */     // No operand predicates
     /* 1458006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458010 */     // MIs[0] policy
     /* 1458010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1458025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458050 */     // GIR_Coverage, 14134,
     /* 1458050 */     GIR_EraseRootFromParent_Done,
     /* 1458051 */   // Label 20438: @1458051
     /* 1458051 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1458151), // Rule ID 14135 //
     /* 1458056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1458067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1458070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1458073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458106 */     // MIs[1] Operand 1
     /* 1458106 */     // No operand predicates
     /* 1458106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458110 */     // MIs[0] policy
     /* 1458110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1458125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458150 */     // GIR_Coverage, 14135,
     /* 1458150 */     GIR_EraseRootFromParent_Done,
     /* 1458151 */   // Label 20439: @1458151
     /* 1458151 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1458251), // Rule ID 14138 //
     /* 1458156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1458173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458206 */     // MIs[1] Operand 1
     /* 1458206 */     // No operand predicates
     /* 1458206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458210 */     // MIs[0] policy
     /* 1458210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458250 */     // GIR_Coverage, 14138,
     /* 1458250 */     GIR_EraseRootFromParent_Done,
     /* 1458251 */   // Label 20440: @1458251
     /* 1458251 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1458351), // Rule ID 14139 //
     /* 1458256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1458273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458306 */     // MIs[1] Operand 1
     /* 1458306 */     // No operand predicates
     /* 1458306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458310 */     // MIs[0] policy
     /* 1458310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458322 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458350 */     // GIR_Coverage, 14139,
     /* 1458350 */     GIR_EraseRootFromParent_Done,
     /* 1458351 */   // Label 20441: @1458351
     /* 1458351 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1458451), // Rule ID 14142 //
     /* 1458356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1458367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1458370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458406 */     // MIs[1] Operand 1
     /* 1458406 */     // No operand predicates
     /* 1458406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458410 */     // MIs[0] policy
     /* 1458410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458450 */     // GIR_Coverage, 14142,
     /* 1458450 */     GIR_EraseRootFromParent_Done,
     /* 1458451 */   // Label 20442: @1458451
     /* 1458451 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1458551), // Rule ID 14143 //
     /* 1458456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1458467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1458470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458506 */     // MIs[1] Operand 1
     /* 1458506 */     // No operand predicates
     /* 1458506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458510 */     // MIs[0] policy
     /* 1458510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458550 */     // GIR_Coverage, 14143,
     /* 1458550 */     GIR_EraseRootFromParent_Done,
     /* 1458551 */   // Label 20443: @1458551
     /* 1458551 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1458651), // Rule ID 14146 //
     /* 1458556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458606 */     // MIs[1] Operand 1
     /* 1458606 */     // No operand predicates
     /* 1458606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458610 */     // MIs[0] policy
     /* 1458610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458650 */     // GIR_Coverage, 14146,
     /* 1458650 */     GIR_EraseRootFromParent_Done,
     /* 1458651 */   // Label 20444: @1458651
     /* 1458651 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1458751), // Rule ID 14147 //
     /* 1458656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458706 */     // MIs[1] Operand 1
     /* 1458706 */     // No operand predicates
     /* 1458706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458710 */     // MIs[0] policy
     /* 1458710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458750 */     // GIR_Coverage, 14147,
     /* 1458750 */     GIR_EraseRootFromParent_Done,
     /* 1458751 */   // Label 20445: @1458751
     /* 1458751 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1458851), // Rule ID 14150 //
     /* 1458756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1458759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458806 */     // MIs[1] Operand 1
     /* 1458806 */     // No operand predicates
     /* 1458806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458810 */     // MIs[0] policy
     /* 1458810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458850 */     // GIR_Coverage, 14150,
     /* 1458850 */     GIR_EraseRootFromParent_Done,
     /* 1458851 */   // Label 20446: @1458851
     /* 1458851 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1458951), // Rule ID 14151 //
     /* 1458856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1458859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458906 */     // MIs[1] Operand 1
     /* 1458906 */     // No operand predicates
     /* 1458906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458910 */     // MIs[0] policy
     /* 1458910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458950 */     // GIR_Coverage, 14151,
     /* 1458950 */     GIR_EraseRootFromParent_Done,
     /* 1458951 */   // Label 20447: @1458951
     /* 1458951 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1459051), // Rule ID 14154 //
     /* 1458956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1458973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459006 */     // MIs[1] Operand 1
     /* 1459006 */     // No operand predicates
     /* 1459006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459010 */     // MIs[0] policy
     /* 1459010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459022 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459050 */     // GIR_Coverage, 14154,
     /* 1459050 */     GIR_EraseRootFromParent_Done,
     /* 1459051 */   // Label 20448: @1459051
     /* 1459051 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1459151), // Rule ID 14155 //
     /* 1459056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1459067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1459070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1459073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459106 */     // MIs[1] Operand 1
     /* 1459106 */     // No operand predicates
     /* 1459106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459110 */     // MIs[0] policy
     /* 1459110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459150 */     // GIR_Coverage, 14155,
     /* 1459150 */     GIR_EraseRootFromParent_Done,
     /* 1459151 */   // Label 20449: @1459151
     /* 1459151 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1459251), // Rule ID 14158 //
     /* 1459156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1459167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1459170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1459173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459206 */     // MIs[1] Operand 1
     /* 1459206 */     // No operand predicates
     /* 1459206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459210 */     // MIs[0] policy
     /* 1459210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459250 */     // GIR_Coverage, 14158,
     /* 1459250 */     GIR_EraseRootFromParent_Done,
     /* 1459251 */   // Label 20450: @1459251
     /* 1459251 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1459351), // Rule ID 14159 //
     /* 1459256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1459267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1459270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1459273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459306 */     // MIs[1] Operand 1
     /* 1459306 */     // No operand predicates
     /* 1459306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459310 */     // MIs[0] policy
     /* 1459310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459350 */     // GIR_Coverage, 14159,
     /* 1459350 */     GIR_EraseRootFromParent_Done,
     /* 1459351 */   // Label 20451: @1459351
     /* 1459351 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1459451), // Rule ID 14162 //
     /* 1459356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1459367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1459370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1459373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1459379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459406 */     // MIs[1] Operand 1
     /* 1459406 */     // No operand predicates
     /* 1459406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459410 */     // MIs[0] policy
     /* 1459410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459450 */     // GIR_Coverage, 14162,
     /* 1459450 */     GIR_EraseRootFromParent_Done,
     /* 1459451 */   // Label 20452: @1459451
     /* 1459451 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1459551), // Rule ID 14163 //
     /* 1459456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1459467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1459470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1459473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1459479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459506 */     // MIs[1] Operand 1
     /* 1459506 */     // No operand predicates
     /* 1459506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459510 */     // MIs[0] policy
     /* 1459510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459550 */     // GIR_Coverage, 14163,
     /* 1459550 */     GIR_EraseRootFromParent_Done,
     /* 1459551 */   // Label 20453: @1459551
     /* 1459551 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1459651), // Rule ID 14166 //
     /* 1459556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459606 */     // MIs[1] Operand 1
     /* 1459606 */     // No operand predicates
     /* 1459606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459610 */     // MIs[0] policy
     /* 1459610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459650 */     // GIR_Coverage, 14166,
     /* 1459650 */     GIR_EraseRootFromParent_Done,
     /* 1459651 */   // Label 20454: @1459651
     /* 1459651 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1459751), // Rule ID 14167 //
     /* 1459656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459706 */     // MIs[1] Operand 1
     /* 1459706 */     // No operand predicates
     /* 1459706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459710 */     // MIs[0] policy
     /* 1459710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459750 */     // GIR_Coverage, 14167,
     /* 1459750 */     GIR_EraseRootFromParent_Done,
     /* 1459751 */   // Label 20455: @1459751
     /* 1459751 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1459851), // Rule ID 14170 //
     /* 1459756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459806 */     // MIs[1] Operand 1
     /* 1459806 */     // No operand predicates
     /* 1459806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459810 */     // MIs[0] policy
     /* 1459810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459850 */     // GIR_Coverage, 14170,
     /* 1459850 */     GIR_EraseRootFromParent_Done,
     /* 1459851 */   // Label 20456: @1459851
     /* 1459851 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1459951), // Rule ID 14171 //
     /* 1459856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459906 */     // MIs[1] Operand 1
     /* 1459906 */     // No operand predicates
     /* 1459906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459910 */     // MIs[0] policy
     /* 1459910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459922 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459950 */     // GIR_Coverage, 14171,
     /* 1459950 */     GIR_EraseRootFromParent_Done,
     /* 1459951 */   // Label 20457: @1459951
     /* 1459951 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1460051), // Rule ID 14174 //
     /* 1459956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1459967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1459970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460006 */     // MIs[1] Operand 1
     /* 1460006 */     // No operand predicates
     /* 1460006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460010 */     // MIs[0] policy
     /* 1460010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460050 */     // GIR_Coverage, 14174,
     /* 1460050 */     GIR_EraseRootFromParent_Done,
     /* 1460051 */   // Label 20458: @1460051
     /* 1460051 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1460151), // Rule ID 14175 //
     /* 1460056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1460067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1460070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1460073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1460079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460106 */     // MIs[1] Operand 1
     /* 1460106 */     // No operand predicates
     /* 1460106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460110 */     // MIs[0] policy
     /* 1460110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460150 */     // GIR_Coverage, 14175,
     /* 1460150 */     GIR_EraseRootFromParent_Done,
     /* 1460151 */   // Label 20459: @1460151
     /* 1460151 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1460251), // Rule ID 14178 //
     /* 1460156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1460173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460206 */     // MIs[1] Operand 1
     /* 1460206 */     // No operand predicates
     /* 1460206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460210 */     // MIs[0] policy
     /* 1460210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460250 */     // GIR_Coverage, 14178,
     /* 1460250 */     GIR_EraseRootFromParent_Done,
     /* 1460251 */   // Label 20460: @1460251
     /* 1460251 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1460351), // Rule ID 14179 //
     /* 1460256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1460273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460306 */     // MIs[1] Operand 1
     /* 1460306 */     // No operand predicates
     /* 1460306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460310 */     // MIs[0] policy
     /* 1460310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460350 */     // GIR_Coverage, 14179,
     /* 1460350 */     GIR_EraseRootFromParent_Done,
     /* 1460351 */   // Label 20461: @1460351
     /* 1460351 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1460451), // Rule ID 14182 //
     /* 1460356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1460373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460406 */     // MIs[1] Operand 1
     /* 1460406 */     // No operand predicates
     /* 1460406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460410 */     // MIs[0] policy
     /* 1460410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460450 */     // GIR_Coverage, 14182,
     /* 1460450 */     GIR_EraseRootFromParent_Done,
     /* 1460451 */   // Label 20462: @1460451
     /* 1460451 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1460551), // Rule ID 14183 //
     /* 1460456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1460473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460506 */     // MIs[1] Operand 1
     /* 1460506 */     // No operand predicates
     /* 1460506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460510 */     // MIs[0] policy
     /* 1460510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460550 */     // GIR_Coverage, 14183,
     /* 1460550 */     GIR_EraseRootFromParent_Done,
     /* 1460551 */   // Label 20463: @1460551
     /* 1460551 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1460651), // Rule ID 14186 //
     /* 1460556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460606 */     // MIs[1] Operand 1
     /* 1460606 */     // No operand predicates
     /* 1460606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460610 */     // MIs[0] policy
     /* 1460610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460650 */     // GIR_Coverage, 14186,
     /* 1460650 */     GIR_EraseRootFromParent_Done,
     /* 1460651 */   // Label 20464: @1460651
     /* 1460651 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1460751), // Rule ID 14187 //
     /* 1460656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460706 */     // MIs[1] Operand 1
     /* 1460706 */     // No operand predicates
     /* 1460706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460710 */     // MIs[0] policy
     /* 1460710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460750 */     // GIR_Coverage, 14187,
     /* 1460750 */     GIR_EraseRootFromParent_Done,
     /* 1460751 */   // Label 20465: @1460751
     /* 1460751 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1460851), // Rule ID 14190 //
     /* 1460756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460806 */     // MIs[1] Operand 1
     /* 1460806 */     // No operand predicates
     /* 1460806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460810 */     // MIs[0] policy
     /* 1460810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460850 */     // GIR_Coverage, 14190,
     /* 1460850 */     GIR_EraseRootFromParent_Done,
     /* 1460851 */   // Label 20466: @1460851
     /* 1460851 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1460951), // Rule ID 14191 //
     /* 1460856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460906 */     // MIs[1] Operand 1
     /* 1460906 */     // No operand predicates
     /* 1460906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460910 */     // MIs[0] policy
     /* 1460910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460950 */     // GIR_Coverage, 14191,
     /* 1460950 */     GIR_EraseRootFromParent_Done,
     /* 1460951 */   // Label 20467: @1460951
     /* 1460951 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1461051), // Rule ID 14194 //
     /* 1460956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1460967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1460970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461006 */     // MIs[1] Operand 1
     /* 1461006 */     // No operand predicates
     /* 1461006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461010 */     // MIs[0] policy
     /* 1461010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1461025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461050 */     // GIR_Coverage, 14194,
     /* 1461050 */     GIR_EraseRootFromParent_Done,
     /* 1461051 */   // Label 20468: @1461051
     /* 1461051 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1461151), // Rule ID 14195 //
     /* 1461056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1461067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1461070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1461073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461106 */     // MIs[1] Operand 1
     /* 1461106 */     // No operand predicates
     /* 1461106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461110 */     // MIs[0] policy
     /* 1461110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461122 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1461125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461150 */     // GIR_Coverage, 14195,
     /* 1461150 */     GIR_EraseRootFromParent_Done,
     /* 1461151 */   // Label 20469: @1461151
     /* 1461151 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1461251), // Rule ID 14198 //
     /* 1461156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1461159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1461167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1461170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1461173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461206 */     // MIs[1] Operand 1
     /* 1461206 */     // No operand predicates
     /* 1461206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461210 */     // MIs[0] policy
     /* 1461210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1461225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461250 */     // GIR_Coverage, 14198,
     /* 1461250 */     GIR_EraseRootFromParent_Done,
     /* 1461251 */   // Label 20470: @1461251
     /* 1461251 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1461351), // Rule ID 14199 //
     /* 1461256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1461267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1461270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1461273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461306 */     // MIs[1] Operand 1
     /* 1461306 */     // No operand predicates
     /* 1461306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461310 */     // MIs[0] policy
     /* 1461310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1461325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461350 */     // GIR_Coverage, 14199,
     /* 1461350 */     GIR_EraseRootFromParent_Done,
     /* 1461351 */   // Label 20471: @1461351
     /* 1461351 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1461451), // Rule ID 14378 //
     /* 1461356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461406 */     // MIs[1] Operand 1
     /* 1461406 */     // No operand predicates
     /* 1461406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461410 */     // MIs[0] policy
     /* 1461410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1461425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461450 */     // GIR_Coverage, 14378,
     /* 1461450 */     GIR_EraseRootFromParent_Done,
     /* 1461451 */   // Label 20472: @1461451
     /* 1461451 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1461551), // Rule ID 14379 //
     /* 1461456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461506 */     // MIs[1] Operand 1
     /* 1461506 */     // No operand predicates
     /* 1461506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461510 */     // MIs[0] policy
     /* 1461510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1461525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461550 */     // GIR_Coverage, 14379,
     /* 1461550 */     GIR_EraseRootFromParent_Done,
     /* 1461551 */   // Label 20473: @1461551
     /* 1461551 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1461651), // Rule ID 14382 //
     /* 1461556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461606 */     // MIs[1] Operand 1
     /* 1461606 */     // No operand predicates
     /* 1461606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461610 */     // MIs[0] policy
     /* 1461610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461650 */     // GIR_Coverage, 14382,
     /* 1461650 */     GIR_EraseRootFromParent_Done,
     /* 1461651 */   // Label 20474: @1461651
     /* 1461651 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1461751), // Rule ID 14383 //
     /* 1461656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461706 */     // MIs[1] Operand 1
     /* 1461706 */     // No operand predicates
     /* 1461706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461710 */     // MIs[0] policy
     /* 1461710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461750 */     // GIR_Coverage, 14383,
     /* 1461750 */     GIR_EraseRootFromParent_Done,
     /* 1461751 */   // Label 20475: @1461751
     /* 1461751 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1461851), // Rule ID 14386 //
     /* 1461756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461806 */     // MIs[1] Operand 1
     /* 1461806 */     // No operand predicates
     /* 1461806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461810 */     // MIs[0] policy
     /* 1461810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461850 */     // GIR_Coverage, 14386,
     /* 1461850 */     GIR_EraseRootFromParent_Done,
     /* 1461851 */   // Label 20476: @1461851
     /* 1461851 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1461951), // Rule ID 14387 //
     /* 1461856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461906 */     // MIs[1] Operand 1
     /* 1461906 */     // No operand predicates
     /* 1461906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461910 */     // MIs[0] policy
     /* 1461910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461922 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461950 */     // GIR_Coverage, 14387,
     /* 1461950 */     GIR_EraseRootFromParent_Done,
     /* 1461951 */   // Label 20477: @1461951
     /* 1461951 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1462051), // Rule ID 14390 //
     /* 1461956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462006 */     // MIs[1] Operand 1
     /* 1462006 */     // No operand predicates
     /* 1462006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462010 */     // MIs[0] policy
     /* 1462010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1462025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462050 */     // GIR_Coverage, 14390,
     /* 1462050 */     GIR_EraseRootFromParent_Done,
     /* 1462051 */   // Label 20478: @1462051
     /* 1462051 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1462151), // Rule ID 14391 //
     /* 1462056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1462067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1462070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1462073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462106 */     // MIs[1] Operand 1
     /* 1462106 */     // No operand predicates
     /* 1462106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462110 */     // MIs[0] policy
     /* 1462110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1462125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462150 */     // GIR_Coverage, 14391,
     /* 1462150 */     GIR_EraseRootFromParent_Done,
     /* 1462151 */   // Label 20479: @1462151
     /* 1462151 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1462251), // Rule ID 14394 //
     /* 1462156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1462167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1462170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462206 */     // MIs[1] Operand 1
     /* 1462206 */     // No operand predicates
     /* 1462206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462210 */     // MIs[0] policy
     /* 1462210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462222 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462250 */     // GIR_Coverage, 14394,
     /* 1462250 */     GIR_EraseRootFromParent_Done,
     /* 1462251 */   // Label 20480: @1462251
     /* 1462251 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1462351), // Rule ID 14395 //
     /* 1462256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1462267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1462270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462306 */     // MIs[1] Operand 1
     /* 1462306 */     // No operand predicates
     /* 1462306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462310 */     // MIs[0] policy
     /* 1462310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462350 */     // GIR_Coverage, 14395,
     /* 1462350 */     GIR_EraseRootFromParent_Done,
     /* 1462351 */   // Label 20481: @1462351
     /* 1462351 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1462451), // Rule ID 14398 //
     /* 1462356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462406 */     // MIs[1] Operand 1
     /* 1462406 */     // No operand predicates
     /* 1462406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462410 */     // MIs[0] policy
     /* 1462410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462450 */     // GIR_Coverage, 14398,
     /* 1462450 */     GIR_EraseRootFromParent_Done,
     /* 1462451 */   // Label 20482: @1462451
     /* 1462451 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1462551), // Rule ID 14399 //
     /* 1462456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462506 */     // MIs[1] Operand 1
     /* 1462506 */     // No operand predicates
     /* 1462506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462510 */     // MIs[0] policy
     /* 1462510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462550 */     // GIR_Coverage, 14399,
     /* 1462550 */     GIR_EraseRootFromParent_Done,
     /* 1462551 */   // Label 20483: @1462551
     /* 1462551 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1462651), // Rule ID 14402 //
     /* 1462556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462606 */     // MIs[1] Operand 1
     /* 1462606 */     // No operand predicates
     /* 1462606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462610 */     // MIs[0] policy
     /* 1462610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462650 */     // GIR_Coverage, 14402,
     /* 1462650 */     GIR_EraseRootFromParent_Done,
     /* 1462651 */   // Label 20484: @1462651
     /* 1462651 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1462751), // Rule ID 14403 //
     /* 1462656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462706 */     // MIs[1] Operand 1
     /* 1462706 */     // No operand predicates
     /* 1462706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462710 */     // MIs[0] policy
     /* 1462710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462750 */     // GIR_Coverage, 14403,
     /* 1462750 */     GIR_EraseRootFromParent_Done,
     /* 1462751 */   // Label 20485: @1462751
     /* 1462751 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1462851), // Rule ID 14406 //
     /* 1462756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462806 */     // MIs[1] Operand 1
     /* 1462806 */     // No operand predicates
     /* 1462806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462810 */     // MIs[0] policy
     /* 1462810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462850 */     // GIR_Coverage, 14406,
     /* 1462850 */     GIR_EraseRootFromParent_Done,
     /* 1462851 */   // Label 20486: @1462851
     /* 1462851 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1462951), // Rule ID 14407 //
     /* 1462856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462906 */     // MIs[1] Operand 1
     /* 1462906 */     // No operand predicates
     /* 1462906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462910 */     // MIs[0] policy
     /* 1462910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462950 */     // GIR_Coverage, 14407,
     /* 1462950 */     GIR_EraseRootFromParent_Done,
     /* 1462951 */   // Label 20487: @1462951
     /* 1462951 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1463051), // Rule ID 14410 //
     /* 1462956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463006 */     // MIs[1] Operand 1
     /* 1463006 */     // No operand predicates
     /* 1463006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463010 */     // MIs[0] policy
     /* 1463010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463050 */     // GIR_Coverage, 14410,
     /* 1463050 */     GIR_EraseRootFromParent_Done,
     /* 1463051 */   // Label 20488: @1463051
     /* 1463051 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1463151), // Rule ID 14411 //
     /* 1463056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1463067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1463070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1463073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463106 */     // MIs[1] Operand 1
     /* 1463106 */     // No operand predicates
     /* 1463106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463110 */     // MIs[0] policy
     /* 1463110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463150 */     // GIR_Coverage, 14411,
     /* 1463150 */     GIR_EraseRootFromParent_Done,
     /* 1463151 */   // Label 20489: @1463151
     /* 1463151 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1463251), // Rule ID 14414 //
     /* 1463156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1463167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1463170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1463173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463206 */     // MIs[1] Operand 1
     /* 1463206 */     // No operand predicates
     /* 1463206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463210 */     // MIs[0] policy
     /* 1463210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463250 */     // GIR_Coverage, 14414,
     /* 1463250 */     GIR_EraseRootFromParent_Done,
     /* 1463251 */   // Label 20490: @1463251
     /* 1463251 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1463351), // Rule ID 14415 //
     /* 1463256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1463267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1463270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1463273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463306 */     // MIs[1] Operand 1
     /* 1463306 */     // No operand predicates
     /* 1463306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463310 */     // MIs[0] policy
     /* 1463310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463350 */     // GIR_Coverage, 14415,
     /* 1463350 */     GIR_EraseRootFromParent_Done,
     /* 1463351 */   // Label 20491: @1463351
     /* 1463351 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1463451), // Rule ID 14418 //
     /* 1463356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463406 */     // MIs[1] Operand 1
     /* 1463406 */     // No operand predicates
     /* 1463406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463410 */     // MIs[0] policy
     /* 1463410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463450 */     // GIR_Coverage, 14418,
     /* 1463450 */     GIR_EraseRootFromParent_Done,
     /* 1463451 */   // Label 20492: @1463451
     /* 1463451 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1463551), // Rule ID 14419 //
     /* 1463456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463506 */     // MIs[1] Operand 1
     /* 1463506 */     // No operand predicates
     /* 1463506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463510 */     // MIs[0] policy
     /* 1463510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463522 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463550 */     // GIR_Coverage, 14419,
     /* 1463550 */     GIR_EraseRootFromParent_Done,
     /* 1463551 */   // Label 20493: @1463551
     /* 1463551 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1463651), // Rule ID 14422 //
     /* 1463556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463606 */     // MIs[1] Operand 1
     /* 1463606 */     // No operand predicates
     /* 1463606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463610 */     // MIs[0] policy
     /* 1463610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463650 */     // GIR_Coverage, 14422,
     /* 1463650 */     GIR_EraseRootFromParent_Done,
     /* 1463651 */   // Label 20494: @1463651
     /* 1463651 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1463751), // Rule ID 14423 //
     /* 1463656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463706 */     // MIs[1] Operand 1
     /* 1463706 */     // No operand predicates
     /* 1463706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463710 */     // MIs[0] policy
     /* 1463710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463750 */     // GIR_Coverage, 14423,
     /* 1463750 */     GIR_EraseRootFromParent_Done,
     /* 1463751 */   // Label 20495: @1463751
     /* 1463751 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1463851), // Rule ID 14426 //
     /* 1463756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463806 */     // MIs[1] Operand 1
     /* 1463806 */     // No operand predicates
     /* 1463806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463810 */     // MIs[0] policy
     /* 1463810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463822 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463850 */     // GIR_Coverage, 14426,
     /* 1463850 */     GIR_EraseRootFromParent_Done,
     /* 1463851 */   // Label 20496: @1463851
     /* 1463851 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1463951), // Rule ID 14427 //
     /* 1463856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463906 */     // MIs[1] Operand 1
     /* 1463906 */     // No operand predicates
     /* 1463906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463910 */     // MIs[0] policy
     /* 1463910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463922 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463950 */     // GIR_Coverage, 14427,
     /* 1463950 */     GIR_EraseRootFromParent_Done,
     /* 1463951 */   // Label 20497: @1463951
     /* 1463951 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1464051), // Rule ID 14430 //
     /* 1463956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464006 */     // MIs[1] Operand 1
     /* 1464006 */     // No operand predicates
     /* 1464006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464010 */     // MIs[0] policy
     /* 1464010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464050 */     // GIR_Coverage, 14430,
     /* 1464050 */     GIR_EraseRootFromParent_Done,
     /* 1464051 */   // Label 20498: @1464051
     /* 1464051 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1464151), // Rule ID 14431 //
     /* 1464056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1464067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1464070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1464073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464106 */     // MIs[1] Operand 1
     /* 1464106 */     // No operand predicates
     /* 1464106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464110 */     // MIs[0] policy
     /* 1464110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464150 */     // GIR_Coverage, 14431,
     /* 1464150 */     GIR_EraseRootFromParent_Done,
     /* 1464151 */   // Label 20499: @1464151
     /* 1464151 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1464251), // Rule ID 14434 //
     /* 1464156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1464167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1464170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1464173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464206 */     // MIs[1] Operand 1
     /* 1464206 */     // No operand predicates
     /* 1464206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464210 */     // MIs[0] policy
     /* 1464210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464250 */     // GIR_Coverage, 14434,
     /* 1464250 */     GIR_EraseRootFromParent_Done,
     /* 1464251 */   // Label 20500: @1464251
     /* 1464251 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1464351), // Rule ID 14435 //
     /* 1464256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1464267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1464270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1464273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464306 */     // MIs[1] Operand 1
     /* 1464306 */     // No operand predicates
     /* 1464306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464310 */     // MIs[0] policy
     /* 1464310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464350 */     // GIR_Coverage, 14435,
     /* 1464350 */     GIR_EraseRootFromParent_Done,
     /* 1464351 */   // Label 20501: @1464351
     /* 1464351 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1464451), // Rule ID 14438 //
     /* 1464356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464406 */     // MIs[1] Operand 1
     /* 1464406 */     // No operand predicates
     /* 1464406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464410 */     // MIs[0] policy
     /* 1464410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464450 */     // GIR_Coverage, 14438,
     /* 1464450 */     GIR_EraseRootFromParent_Done,
     /* 1464451 */   // Label 20502: @1464451
     /* 1464451 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1464551), // Rule ID 14439 //
     /* 1464456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464506 */     // MIs[1] Operand 1
     /* 1464506 */     // No operand predicates
     /* 1464506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464510 */     // MIs[0] policy
     /* 1464510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464550 */     // GIR_Coverage, 14439,
     /* 1464550 */     GIR_EraseRootFromParent_Done,
     /* 1464551 */   // Label 20503: @1464551
     /* 1464551 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1464651), // Rule ID 14442 //
     /* 1464556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464606 */     // MIs[1] Operand 1
     /* 1464606 */     // No operand predicates
     /* 1464606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464610 */     // MIs[0] policy
     /* 1464610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464650 */     // GIR_Coverage, 14442,
     /* 1464650 */     GIR_EraseRootFromParent_Done,
     /* 1464651 */   // Label 20504: @1464651
     /* 1464651 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1464751), // Rule ID 14443 //
     /* 1464656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464706 */     // MIs[1] Operand 1
     /* 1464706 */     // No operand predicates
     /* 1464706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464710 */     // MIs[0] policy
     /* 1464710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464750 */     // GIR_Coverage, 14443,
     /* 1464750 */     GIR_EraseRootFromParent_Done,
     /* 1464751 */   // Label 20505: @1464751
     /* 1464751 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1464851), // Rule ID 14446 //
     /* 1464756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464806 */     // MIs[1] Operand 1
     /* 1464806 */     // No operand predicates
     /* 1464806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464810 */     // MIs[0] policy
     /* 1464810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464850 */     // GIR_Coverage, 14446,
     /* 1464850 */     GIR_EraseRootFromParent_Done,
     /* 1464851 */   // Label 20506: @1464851
     /* 1464851 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1464951), // Rule ID 14447 //
     /* 1464856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464906 */     // MIs[1] Operand 1
     /* 1464906 */     // No operand predicates
     /* 1464906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464910 */     // MIs[0] policy
     /* 1464910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464950 */     // GIR_Coverage, 14447,
     /* 1464950 */     GIR_EraseRootFromParent_Done,
     /* 1464951 */   // Label 20507: @1464951
     /* 1464951 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1465051), // Rule ID 14450 //
     /* 1464956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465006 */     // MIs[1] Operand 1
     /* 1465006 */     // No operand predicates
     /* 1465006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465010 */     // MIs[0] policy
     /* 1465010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465050 */     // GIR_Coverage, 14450,
     /* 1465050 */     GIR_EraseRootFromParent_Done,
     /* 1465051 */   // Label 20508: @1465051
     /* 1465051 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1465151), // Rule ID 14451 //
     /* 1465056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1465067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1465070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1465073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465106 */     // MIs[1] Operand 1
     /* 1465106 */     // No operand predicates
     /* 1465106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465110 */     // MIs[0] policy
     /* 1465110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465150 */     // GIR_Coverage, 14451,
     /* 1465150 */     GIR_EraseRootFromParent_Done,
     /* 1465151 */   // Label 20509: @1465151
     /* 1465151 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1465251), // Rule ID 14454 //
     /* 1465156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1465167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1465170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1465173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465206 */     // MIs[1] Operand 1
     /* 1465206 */     // No operand predicates
     /* 1465206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465210 */     // MIs[0] policy
     /* 1465210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1465225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465250 */     // GIR_Coverage, 14454,
     /* 1465250 */     GIR_EraseRootFromParent_Done,
     /* 1465251 */   // Label 20510: @1465251
     /* 1465251 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1465351), // Rule ID 14455 //
     /* 1465256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1465267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1465270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1465273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465306 */     // MIs[1] Operand 1
     /* 1465306 */     // No operand predicates
     /* 1465306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465310 */     // MIs[0] policy
     /* 1465310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1465325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465350 */     // GIR_Coverage, 14455,
     /* 1465350 */     GIR_EraseRootFromParent_Done,
     /* 1465351 */   // Label 20511: @1465351
     /* 1465351 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1465451), // Rule ID 14458 //
     /* 1465356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465406 */     // MIs[1] Operand 1
     /* 1465406 */     // No operand predicates
     /* 1465406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465410 */     // MIs[0] policy
     /* 1465410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1465425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465450 */     // GIR_Coverage, 14458,
     /* 1465450 */     GIR_EraseRootFromParent_Done,
     /* 1465451 */   // Label 20512: @1465451
     /* 1465451 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1465551), // Rule ID 14459 //
     /* 1465456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465506 */     // MIs[1] Operand 1
     /* 1465506 */     // No operand predicates
     /* 1465506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465510 */     // MIs[0] policy
     /* 1465510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1465525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465550 */     // GIR_Coverage, 14459,
     /* 1465550 */     GIR_EraseRootFromParent_Done,
     /* 1465551 */   // Label 20513: @1465551
     /* 1465551 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1465651), // Rule ID 14462 //
     /* 1465556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465606 */     // MIs[1] Operand 1
     /* 1465606 */     // No operand predicates
     /* 1465606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465610 */     // MIs[0] policy
     /* 1465610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465650 */     // GIR_Coverage, 14462,
     /* 1465650 */     GIR_EraseRootFromParent_Done,
     /* 1465651 */   // Label 20514: @1465651
     /* 1465651 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1465751), // Rule ID 14463 //
     /* 1465656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465706 */     // MIs[1] Operand 1
     /* 1465706 */     // No operand predicates
     /* 1465706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465710 */     // MIs[0] policy
     /* 1465710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465750 */     // GIR_Coverage, 14463,
     /* 1465750 */     GIR_EraseRootFromParent_Done,
     /* 1465751 */   // Label 20515: @1465751
     /* 1465751 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1465848), // Rule ID 23582 //
     /* 1465756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465806 */     // MIs[1] Operand 1
     /* 1465806 */     // No operand predicates
     /* 1465806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465810 */     // MIs[0] policy
     /* 1465810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465847 */     // GIR_Coverage, 23582,
     /* 1465847 */     GIR_EraseRootFromParent_Done,
     /* 1465848 */   // Label 20516: @1465848
     /* 1465848 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1465945), // Rule ID 23583 //
     /* 1465853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465903 */     // MIs[1] Operand 1
     /* 1465903 */     // No operand predicates
     /* 1465903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465907 */     // MIs[0] policy
     /* 1465907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465919 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465944 */     // GIR_Coverage, 23583,
     /* 1465944 */     GIR_EraseRootFromParent_Done,
     /* 1465945 */   // Label 20517: @1465945
     /* 1465945 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1466042), // Rule ID 23586 //
     /* 1465950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466000 */     // MIs[1] Operand 1
     /* 1466000 */     // No operand predicates
     /* 1466000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466004 */     // MIs[0] policy
     /* 1466004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466041 */     // GIR_Coverage, 23586,
     /* 1466041 */     GIR_EraseRootFromParent_Done,
     /* 1466042 */   // Label 20518: @1466042
     /* 1466042 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1466139), // Rule ID 23587 //
     /* 1466047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1466058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1466061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1466064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466097 */     // MIs[1] Operand 1
     /* 1466097 */     // No operand predicates
     /* 1466097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466101 */     // MIs[0] policy
     /* 1466101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466113 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466138 */     // GIR_Coverage, 23587,
     /* 1466138 */     GIR_EraseRootFromParent_Done,
     /* 1466139 */   // Label 20519: @1466139
     /* 1466139 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1466236), // Rule ID 23590 //
     /* 1466144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1466155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1466158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1466161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466194 */     // MIs[1] Operand 1
     /* 1466194 */     // No operand predicates
     /* 1466194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466198 */     // MIs[0] policy
     /* 1466198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466235 */     // GIR_Coverage, 23590,
     /* 1466235 */     GIR_EraseRootFromParent_Done,
     /* 1466236 */   // Label 20520: @1466236
     /* 1466236 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1466333), // Rule ID 23591 //
     /* 1466241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1466252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1466255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1466258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466291 */     // MIs[1] Operand 1
     /* 1466291 */     // No operand predicates
     /* 1466291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466295 */     // MIs[0] policy
     /* 1466295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466332 */     // GIR_Coverage, 23591,
     /* 1466332 */     GIR_EraseRootFromParent_Done,
     /* 1466333 */   // Label 20521: @1466333
     /* 1466333 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1466430), // Rule ID 23594 //
     /* 1466338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466388 */     // MIs[1] Operand 1
     /* 1466388 */     // No operand predicates
     /* 1466388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466392 */     // MIs[0] policy
     /* 1466392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466429 */     // GIR_Coverage, 23594,
     /* 1466429 */     GIR_EraseRootFromParent_Done,
     /* 1466430 */   // Label 20522: @1466430
     /* 1466430 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1466527), // Rule ID 23595 //
     /* 1466435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466485 */     // MIs[1] Operand 1
     /* 1466485 */     // No operand predicates
     /* 1466485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466489 */     // MIs[0] policy
     /* 1466489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466526 */     // GIR_Coverage, 23595,
     /* 1466526 */     GIR_EraseRootFromParent_Done,
     /* 1466527 */   // Label 20523: @1466527
     /* 1466527 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1466624), // Rule ID 23598 //
     /* 1466532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466582 */     // MIs[1] Operand 1
     /* 1466582 */     // No operand predicates
     /* 1466582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466586 */     // MIs[0] policy
     /* 1466586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466623 */     // GIR_Coverage, 23598,
     /* 1466623 */     GIR_EraseRootFromParent_Done,
     /* 1466624 */   // Label 20524: @1466624
     /* 1466624 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1466721), // Rule ID 23599 //
     /* 1466629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466679 */     // MIs[1] Operand 1
     /* 1466679 */     // No operand predicates
     /* 1466679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466683 */     // MIs[0] policy
     /* 1466683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466695 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466720 */     // GIR_Coverage, 23599,
     /* 1466720 */     GIR_EraseRootFromParent_Done,
     /* 1466721 */   // Label 20525: @1466721
     /* 1466721 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1466818), // Rule ID 23602 //
     /* 1466726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466776 */     // MIs[1] Operand 1
     /* 1466776 */     // No operand predicates
     /* 1466776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466780 */     // MIs[0] policy
     /* 1466780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466817 */     // GIR_Coverage, 23602,
     /* 1466817 */     GIR_EraseRootFromParent_Done,
     /* 1466818 */   // Label 20526: @1466818
     /* 1466818 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1466915), // Rule ID 23603 //
     /* 1466823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466873 */     // MIs[1] Operand 1
     /* 1466873 */     // No operand predicates
     /* 1466873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466877 */     // MIs[0] policy
     /* 1466877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466914 */     // GIR_Coverage, 23603,
     /* 1466914 */     GIR_EraseRootFromParent_Done,
     /* 1466915 */   // Label 20527: @1466915
     /* 1466915 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1467012), // Rule ID 23606 //
     /* 1466920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466970 */     // MIs[1] Operand 1
     /* 1466970 */     // No operand predicates
     /* 1466970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466974 */     // MIs[0] policy
     /* 1466974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467011 */     // GIR_Coverage, 23606,
     /* 1467011 */     GIR_EraseRootFromParent_Done,
     /* 1467012 */   // Label 20528: @1467012
     /* 1467012 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1467109), // Rule ID 23607 //
     /* 1467017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1467028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1467031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1467034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467067 */     // MIs[1] Operand 1
     /* 1467067 */     // No operand predicates
     /* 1467067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467071 */     // MIs[0] policy
     /* 1467071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467108 */     // GIR_Coverage, 23607,
     /* 1467108 */     GIR_EraseRootFromParent_Done,
     /* 1467109 */   // Label 20529: @1467109
     /* 1467109 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1467206), // Rule ID 23610 //
     /* 1467114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1467125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1467128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1467131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467164 */     // MIs[1] Operand 1
     /* 1467164 */     // No operand predicates
     /* 1467164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467168 */     // MIs[0] policy
     /* 1467168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467205 */     // GIR_Coverage, 23610,
     /* 1467205 */     GIR_EraseRootFromParent_Done,
     /* 1467206 */   // Label 20530: @1467206
     /* 1467206 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1467303), // Rule ID 23611 //
     /* 1467211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1467222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1467225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1467228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467261 */     // MIs[1] Operand 1
     /* 1467261 */     // No operand predicates
     /* 1467261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467265 */     // MIs[0] policy
     /* 1467265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467302 */     // GIR_Coverage, 23611,
     /* 1467302 */     GIR_EraseRootFromParent_Done,
     /* 1467303 */   // Label 20531: @1467303
     /* 1467303 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1467400), // Rule ID 23614 //
     /* 1467308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1467325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467358 */     // MIs[1] Operand 1
     /* 1467358 */     // No operand predicates
     /* 1467358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467362 */     // MIs[0] policy
     /* 1467362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467399 */     // GIR_Coverage, 23614,
     /* 1467399 */     GIR_EraseRootFromParent_Done,
     /* 1467400 */   // Label 20532: @1467400
     /* 1467400 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1467497), // Rule ID 23615 //
     /* 1467405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1467422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467455 */     // MIs[1] Operand 1
     /* 1467455 */     // No operand predicates
     /* 1467455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467459 */     // MIs[0] policy
     /* 1467459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467496 */     // GIR_Coverage, 23615,
     /* 1467496 */     GIR_EraseRootFromParent_Done,
     /* 1467497 */   // Label 20533: @1467497
     /* 1467497 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1467594), // Rule ID 23618 //
     /* 1467502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467552 */     // MIs[1] Operand 1
     /* 1467552 */     // No operand predicates
     /* 1467552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467556 */     // MIs[0] policy
     /* 1467556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467593 */     // GIR_Coverage, 23618,
     /* 1467593 */     GIR_EraseRootFromParent_Done,
     /* 1467594 */   // Label 20534: @1467594
     /* 1467594 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1467691), // Rule ID 23619 //
     /* 1467599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467649 */     // MIs[1] Operand 1
     /* 1467649 */     // No operand predicates
     /* 1467649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467653 */     // MIs[0] policy
     /* 1467653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467690 */     // GIR_Coverage, 23619,
     /* 1467690 */     GIR_EraseRootFromParent_Done,
     /* 1467691 */   // Label 20535: @1467691
     /* 1467691 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1467788), // Rule ID 23622 //
     /* 1467696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467746 */     // MIs[1] Operand 1
     /* 1467746 */     // No operand predicates
     /* 1467746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467750 */     // MIs[0] policy
     /* 1467750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467787 */     // GIR_Coverage, 23622,
     /* 1467787 */     GIR_EraseRootFromParent_Done,
     /* 1467788 */   // Label 20536: @1467788
     /* 1467788 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1467885), // Rule ID 23623 //
     /* 1467793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467843 */     // MIs[1] Operand 1
     /* 1467843 */     // No operand predicates
     /* 1467843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467847 */     // MIs[0] policy
     /* 1467847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467884 */     // GIR_Coverage, 23623,
     /* 1467884 */     GIR_EraseRootFromParent_Done,
     /* 1467885 */   // Label 20537: @1467885
     /* 1467885 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1467982), // Rule ID 23626 //
     /* 1467890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467940 */     // MIs[1] Operand 1
     /* 1467940 */     // No operand predicates
     /* 1467940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467944 */     // MIs[0] policy
     /* 1467944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467981 */     // GIR_Coverage, 23626,
     /* 1467981 */     GIR_EraseRootFromParent_Done,
     /* 1467982 */   // Label 20538: @1467982
     /* 1467982 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1468079), // Rule ID 23627 //
     /* 1467987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1468001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1468004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468037 */     // MIs[1] Operand 1
     /* 1468037 */     // No operand predicates
     /* 1468037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468041 */     // MIs[0] policy
     /* 1468041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468078 */     // GIR_Coverage, 23627,
     /* 1468078 */     GIR_EraseRootFromParent_Done,
     /* 1468079 */   // Label 20539: @1468079
     /* 1468079 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1468176), // Rule ID 23630 //
     /* 1468084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1468095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1468098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1468101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1468107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468134 */     // MIs[1] Operand 1
     /* 1468134 */     // No operand predicates
     /* 1468134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468138 */     // MIs[0] policy
     /* 1468138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468175 */     // GIR_Coverage, 23630,
     /* 1468175 */     GIR_EraseRootFromParent_Done,
     /* 1468176 */   // Label 20540: @1468176
     /* 1468176 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1468273), // Rule ID 23631 //
     /* 1468181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1468192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1468195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1468198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1468204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468231 */     // MIs[1] Operand 1
     /* 1468231 */     // No operand predicates
     /* 1468231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468235 */     // MIs[0] policy
     /* 1468235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468272 */     // GIR_Coverage, 23631,
     /* 1468272 */     GIR_EraseRootFromParent_Done,
     /* 1468273 */   // Label 20541: @1468273
     /* 1468273 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1468370), // Rule ID 23634 //
     /* 1468278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468328 */     // MIs[1] Operand 1
     /* 1468328 */     // No operand predicates
     /* 1468328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468332 */     // MIs[0] policy
     /* 1468332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468369 */     // GIR_Coverage, 23634,
     /* 1468369 */     GIR_EraseRootFromParent_Done,
     /* 1468370 */   // Label 20542: @1468370
     /* 1468370 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1468467), // Rule ID 23635 //
     /* 1468375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468425 */     // MIs[1] Operand 1
     /* 1468425 */     // No operand predicates
     /* 1468425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468429 */     // MIs[0] policy
     /* 1468429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468441 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468466 */     // GIR_Coverage, 23635,
     /* 1468466 */     GIR_EraseRootFromParent_Done,
     /* 1468467 */   // Label 20543: @1468467
     /* 1468467 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1468564), // Rule ID 23638 //
     /* 1468472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468522 */     // MIs[1] Operand 1
     /* 1468522 */     // No operand predicates
     /* 1468522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468526 */     // MIs[0] policy
     /* 1468526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468563 */     // GIR_Coverage, 23638,
     /* 1468563 */     GIR_EraseRootFromParent_Done,
     /* 1468564 */   // Label 20544: @1468564
     /* 1468564 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1468661), // Rule ID 23639 //
     /* 1468569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468619 */     // MIs[1] Operand 1
     /* 1468619 */     // No operand predicates
     /* 1468619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468623 */     // MIs[0] policy
     /* 1468623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468660 */     // GIR_Coverage, 23639,
     /* 1468660 */     GIR_EraseRootFromParent_Done,
     /* 1468661 */   // Label 20545: @1468661
     /* 1468661 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1468758), // Rule ID 23642 //
     /* 1468666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468716 */     // MIs[1] Operand 1
     /* 1468716 */     // No operand predicates
     /* 1468716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468720 */     // MIs[0] policy
     /* 1468720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468757 */     // GIR_Coverage, 23642,
     /* 1468757 */     GIR_EraseRootFromParent_Done,
     /* 1468758 */   // Label 20546: @1468758
     /* 1468758 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1468855), // Rule ID 23643 //
     /* 1468763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468813 */     // MIs[1] Operand 1
     /* 1468813 */     // No operand predicates
     /* 1468813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468817 */     // MIs[0] policy
     /* 1468817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468829 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468854 */     // GIR_Coverage, 23643,
     /* 1468854 */     GIR_EraseRootFromParent_Done,
     /* 1468855 */   // Label 20547: @1468855
     /* 1468855 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1468952), // Rule ID 23646 //
     /* 1468860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468910 */     // MIs[1] Operand 1
     /* 1468910 */     // No operand predicates
     /* 1468910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468914 */     // MIs[0] policy
     /* 1468914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468951 */     // GIR_Coverage, 23646,
     /* 1468951 */     GIR_EraseRootFromParent_Done,
     /* 1468952 */   // Label 20548: @1468952
     /* 1468952 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1469049), // Rule ID 23647 //
     /* 1468957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469007 */     // MIs[1] Operand 1
     /* 1469007 */     // No operand predicates
     /* 1469007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469011 */     // MIs[0] policy
     /* 1469011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469048 */     // GIR_Coverage, 23647,
     /* 1469048 */     GIR_EraseRootFromParent_Done,
     /* 1469049 */   // Label 20549: @1469049
     /* 1469049 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1469146), // Rule ID 23650 //
     /* 1469054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469104 */     // MIs[1] Operand 1
     /* 1469104 */     // No operand predicates
     /* 1469104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469108 */     // MIs[0] policy
     /* 1469108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469145 */     // GIR_Coverage, 23650,
     /* 1469145 */     GIR_EraseRootFromParent_Done,
     /* 1469146 */   // Label 20550: @1469146
     /* 1469146 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1469243), // Rule ID 23651 //
     /* 1469151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469201 */     // MIs[1] Operand 1
     /* 1469201 */     // No operand predicates
     /* 1469201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469205 */     // MIs[0] policy
     /* 1469205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469242 */     // GIR_Coverage, 23651,
     /* 1469242 */     GIR_EraseRootFromParent_Done,
     /* 1469243 */   // Label 20551: @1469243
     /* 1469243 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1469340), // Rule ID 23654 //
     /* 1469248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469298 */     // MIs[1] Operand 1
     /* 1469298 */     // No operand predicates
     /* 1469298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469302 */     // MIs[0] policy
     /* 1469302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469339 */     // GIR_Coverage, 23654,
     /* 1469339 */     GIR_EraseRootFromParent_Done,
     /* 1469340 */   // Label 20552: @1469340
     /* 1469340 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1469437), // Rule ID 23655 //
     /* 1469345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469395 */     // MIs[1] Operand 1
     /* 1469395 */     // No operand predicates
     /* 1469395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469399 */     // MIs[0] policy
     /* 1469399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469436 */     // GIR_Coverage, 23655,
     /* 1469436 */     GIR_EraseRootFromParent_Done,
     /* 1469437 */   // Label 20553: @1469437
     /* 1469437 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1469534), // Rule ID 23658 //
     /* 1469442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469492 */     // MIs[1] Operand 1
     /* 1469492 */     // No operand predicates
     /* 1469492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469496 */     // MIs[0] policy
     /* 1469496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469533 */     // GIR_Coverage, 23658,
     /* 1469533 */     GIR_EraseRootFromParent_Done,
     /* 1469534 */   // Label 20554: @1469534
     /* 1469534 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1469631), // Rule ID 23659 //
     /* 1469539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469589 */     // MIs[1] Operand 1
     /* 1469589 */     // No operand predicates
     /* 1469589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469593 */     // MIs[0] policy
     /* 1469593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469605 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469630 */     // GIR_Coverage, 23659,
     /* 1469630 */     GIR_EraseRootFromParent_Done,
     /* 1469631 */   // Label 20555: @1469631
     /* 1469631 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1469728), // Rule ID 23662 //
     /* 1469636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469686 */     // MIs[1] Operand 1
     /* 1469686 */     // No operand predicates
     /* 1469686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469690 */     // MIs[0] policy
     /* 1469690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469727 */     // GIR_Coverage, 23662,
     /* 1469727 */     GIR_EraseRootFromParent_Done,
     /* 1469728 */   // Label 20556: @1469728
     /* 1469728 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1469825), // Rule ID 23663 //
     /* 1469733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469783 */     // MIs[1] Operand 1
     /* 1469783 */     // No operand predicates
     /* 1469783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469787 */     // MIs[0] policy
     /* 1469787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469824 */     // GIR_Coverage, 23663,
     /* 1469824 */     GIR_EraseRootFromParent_Done,
     /* 1469825 */   // Label 20557: @1469825
     /* 1469825 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1469922), // Rule ID 23666 //
     /* 1469830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469880 */     // MIs[1] Operand 1
     /* 1469880 */     // No operand predicates
     /* 1469880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469884 */     // MIs[0] policy
     /* 1469884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469921 */     // GIR_Coverage, 23666,
     /* 1469921 */     GIR_EraseRootFromParent_Done,
     /* 1469922 */   // Label 20558: @1469922
     /* 1469922 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1470019), // Rule ID 23667 //
     /* 1469927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469977 */     // MIs[1] Operand 1
     /* 1469977 */     // No operand predicates
     /* 1469977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469981 */     // MIs[0] policy
     /* 1469981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470018 */     // GIR_Coverage, 23667,
     /* 1470018 */     GIR_EraseRootFromParent_Done,
     /* 1470019 */   // Label 20559: @1470019
     /* 1470019 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1470116), // Rule ID 23758 //
     /* 1470024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1470035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1470038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1470041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470074 */     // MIs[1] Operand 1
     /* 1470074 */     // No operand predicates
     /* 1470074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470078 */     // MIs[0] policy
     /* 1470078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1470093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470115 */     // GIR_Coverage, 23758,
     /* 1470115 */     GIR_EraseRootFromParent_Done,
     /* 1470116 */   // Label 20560: @1470116
     /* 1470116 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1470213), // Rule ID 23759 //
     /* 1470121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1470132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1470135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1470138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470171 */     // MIs[1] Operand 1
     /* 1470171 */     // No operand predicates
     /* 1470171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470175 */     // MIs[0] policy
     /* 1470175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470187 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1470190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470212 */     // GIR_Coverage, 23759,
     /* 1470212 */     GIR_EraseRootFromParent_Done,
     /* 1470213 */   // Label 20561: @1470213
     /* 1470213 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1470310), // Rule ID 23762 //
     /* 1470218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1470229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1470232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1470235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470268 */     // MIs[1] Operand 1
     /* 1470268 */     // No operand predicates
     /* 1470268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470272 */     // MIs[0] policy
     /* 1470272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470309 */     // GIR_Coverage, 23762,
     /* 1470309 */     GIR_EraseRootFromParent_Done,
     /* 1470310 */   // Label 20562: @1470310
     /* 1470310 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1470407), // Rule ID 23763 //
     /* 1470315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1470326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1470329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1470332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470365 */     // MIs[1] Operand 1
     /* 1470365 */     // No operand predicates
     /* 1470365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470369 */     // MIs[0] policy
     /* 1470369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470381 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470406 */     // GIR_Coverage, 23763,
     /* 1470406 */     GIR_EraseRootFromParent_Done,
     /* 1470407 */   // Label 20563: @1470407
     /* 1470407 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1470504), // Rule ID 23766 //
     /* 1470412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470462 */     // MIs[1] Operand 1
     /* 1470462 */     // No operand predicates
     /* 1470462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470466 */     // MIs[0] policy
     /* 1470466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470478 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470503 */     // GIR_Coverage, 23766,
     /* 1470503 */     GIR_EraseRootFromParent_Done,
     /* 1470504 */   // Label 20564: @1470504
     /* 1470504 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1470601), // Rule ID 23767 //
     /* 1470509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470559 */     // MIs[1] Operand 1
     /* 1470559 */     // No operand predicates
     /* 1470559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470563 */     // MIs[0] policy
     /* 1470563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470600 */     // GIR_Coverage, 23767,
     /* 1470600 */     GIR_EraseRootFromParent_Done,
     /* 1470601 */   // Label 20565: @1470601
     /* 1470601 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1470698), // Rule ID 23770 //
     /* 1470606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470656 */     // MIs[1] Operand 1
     /* 1470656 */     // No operand predicates
     /* 1470656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470660 */     // MIs[0] policy
     /* 1470660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470697 */     // GIR_Coverage, 23770,
     /* 1470697 */     GIR_EraseRootFromParent_Done,
     /* 1470698 */   // Label 20566: @1470698
     /* 1470698 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1470795), // Rule ID 23771 //
     /* 1470703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470753 */     // MIs[1] Operand 1
     /* 1470753 */     // No operand predicates
     /* 1470753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470757 */     // MIs[0] policy
     /* 1470757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470769 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470794 */     // GIR_Coverage, 23771,
     /* 1470794 */     GIR_EraseRootFromParent_Done,
     /* 1470795 */   // Label 20567: @1470795
     /* 1470795 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1470892), // Rule ID 23774 //
     /* 1470800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470850 */     // MIs[1] Operand 1
     /* 1470850 */     // No operand predicates
     /* 1470850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470854 */     // MIs[0] policy
     /* 1470854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470891 */     // GIR_Coverage, 23774,
     /* 1470891 */     GIR_EraseRootFromParent_Done,
     /* 1470892 */   // Label 20568: @1470892
     /* 1470892 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1470989), // Rule ID 23775 //
     /* 1470897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470947 */     // MIs[1] Operand 1
     /* 1470947 */     // No operand predicates
     /* 1470947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470951 */     // MIs[0] policy
     /* 1470951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470988 */     // GIR_Coverage, 23775,
     /* 1470988 */     GIR_EraseRootFromParent_Done,
     /* 1470989 */   // Label 20569: @1470989
     /* 1470989 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1471086), // Rule ID 23778 //
     /* 1470994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1471005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471044 */     // MIs[1] Operand 1
     /* 1471044 */     // No operand predicates
     /* 1471044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471048 */     // MIs[0] policy
     /* 1471048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471085 */     // GIR_Coverage, 23778,
     /* 1471085 */     GIR_EraseRootFromParent_Done,
     /* 1471086 */   // Label 20570: @1471086
     /* 1471086 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1471183), // Rule ID 23779 //
     /* 1471091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1471102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471141 */     // MIs[1] Operand 1
     /* 1471141 */     // No operand predicates
     /* 1471141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471145 */     // MIs[0] policy
     /* 1471145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471157 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471182 */     // GIR_Coverage, 23779,
     /* 1471182 */     GIR_EraseRootFromParent_Done,
     /* 1471183 */   // Label 20571: @1471183
     /* 1471183 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1471280), // Rule ID 23782 //
     /* 1471188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1471199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1471202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1471205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471238 */     // MIs[1] Operand 1
     /* 1471238 */     // No operand predicates
     /* 1471238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471242 */     // MIs[0] policy
     /* 1471242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471279 */     // GIR_Coverage, 23782,
     /* 1471279 */     GIR_EraseRootFromParent_Done,
     /* 1471280 */   // Label 20572: @1471280
     /* 1471280 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1471377), // Rule ID 23783 //
     /* 1471285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1471296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1471299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1471302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471335 */     // MIs[1] Operand 1
     /* 1471335 */     // No operand predicates
     /* 1471335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471339 */     // MIs[0] policy
     /* 1471339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471376 */     // GIR_Coverage, 23783,
     /* 1471376 */     GIR_EraseRootFromParent_Done,
     /* 1471377 */   // Label 20573: @1471377
     /* 1471377 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1471474), // Rule ID 23786 //
     /* 1471382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471432 */     // MIs[1] Operand 1
     /* 1471432 */     // No operand predicates
     /* 1471432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471436 */     // MIs[0] policy
     /* 1471436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471473 */     // GIR_Coverage, 23786,
     /* 1471473 */     GIR_EraseRootFromParent_Done,
     /* 1471474 */   // Label 20574: @1471474
     /* 1471474 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1471571), // Rule ID 23787 //
     /* 1471479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471529 */     // MIs[1] Operand 1
     /* 1471529 */     // No operand predicates
     /* 1471529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471533 */     // MIs[0] policy
     /* 1471533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471570 */     // GIR_Coverage, 23787,
     /* 1471570 */     GIR_EraseRootFromParent_Done,
     /* 1471571 */   // Label 20575: @1471571
     /* 1471571 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1471668), // Rule ID 23790 //
     /* 1471576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471626 */     // MIs[1] Operand 1
     /* 1471626 */     // No operand predicates
     /* 1471626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471630 */     // MIs[0] policy
     /* 1471630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471667 */     // GIR_Coverage, 23790,
     /* 1471667 */     GIR_EraseRootFromParent_Done,
     /* 1471668 */   // Label 20576: @1471668
     /* 1471668 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1471765), // Rule ID 23791 //
     /* 1471673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471723 */     // MIs[1] Operand 1
     /* 1471723 */     // No operand predicates
     /* 1471723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471727 */     // MIs[0] policy
     /* 1471727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471739 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471764 */     // GIR_Coverage, 23791,
     /* 1471764 */     GIR_EraseRootFromParent_Done,
     /* 1471765 */   // Label 20577: @1471765
     /* 1471765 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1471862), // Rule ID 23794 //
     /* 1471770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471820 */     // MIs[1] Operand 1
     /* 1471820 */     // No operand predicates
     /* 1471820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471824 */     // MIs[0] policy
     /* 1471824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471861 */     // GIR_Coverage, 23794,
     /* 1471861 */     GIR_EraseRootFromParent_Done,
     /* 1471862 */   // Label 20578: @1471862
     /* 1471862 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1471959), // Rule ID 23795 //
     /* 1471867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471917 */     // MIs[1] Operand 1
     /* 1471917 */     // No operand predicates
     /* 1471917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471921 */     // MIs[0] policy
     /* 1471921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471958 */     // GIR_Coverage, 23795,
     /* 1471958 */     GIR_EraseRootFromParent_Done,
     /* 1471959 */   // Label 20579: @1471959
     /* 1471959 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1472056), // Rule ID 23798 //
     /* 1471964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472014 */     // MIs[1] Operand 1
     /* 1472014 */     // No operand predicates
     /* 1472014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472018 */     // MIs[0] policy
     /* 1472018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472030 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472055 */     // GIR_Coverage, 23798,
     /* 1472055 */     GIR_EraseRootFromParent_Done,
     /* 1472056 */   // Label 20580: @1472056
     /* 1472056 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1472153), // Rule ID 23799 //
     /* 1472061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1472072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1472075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1472078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472111 */     // MIs[1] Operand 1
     /* 1472111 */     // No operand predicates
     /* 1472111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472115 */     // MIs[0] policy
     /* 1472115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472127 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472152 */     // GIR_Coverage, 23799,
     /* 1472152 */     GIR_EraseRootFromParent_Done,
     /* 1472153 */   // Label 20581: @1472153
     /* 1472153 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1472250), // Rule ID 23802 //
     /* 1472158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1472169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1472172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1472175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472208 */     // MIs[1] Operand 1
     /* 1472208 */     // No operand predicates
     /* 1472208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472212 */     // MIs[0] policy
     /* 1472212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472249 */     // GIR_Coverage, 23802,
     /* 1472249 */     GIR_EraseRootFromParent_Done,
     /* 1472250 */   // Label 20582: @1472250
     /* 1472250 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1472347), // Rule ID 23803 //
     /* 1472255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1472266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1472269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1472272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472305 */     // MIs[1] Operand 1
     /* 1472305 */     // No operand predicates
     /* 1472305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472309 */     // MIs[0] policy
     /* 1472309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472346 */     // GIR_Coverage, 23803,
     /* 1472346 */     GIR_EraseRootFromParent_Done,
     /* 1472347 */   // Label 20583: @1472347
     /* 1472347 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1472444), // Rule ID 23806 //
     /* 1472352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472402 */     // MIs[1] Operand 1
     /* 1472402 */     // No operand predicates
     /* 1472402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472406 */     // MIs[0] policy
     /* 1472406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472418 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472443 */     // GIR_Coverage, 23806,
     /* 1472443 */     GIR_EraseRootFromParent_Done,
     /* 1472444 */   // Label 20584: @1472444
     /* 1472444 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1472541), // Rule ID 23807 //
     /* 1472449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472499 */     // MIs[1] Operand 1
     /* 1472499 */     // No operand predicates
     /* 1472499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472503 */     // MIs[0] policy
     /* 1472503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472515 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472540 */     // GIR_Coverage, 23807,
     /* 1472540 */     GIR_EraseRootFromParent_Done,
     /* 1472541 */   // Label 20585: @1472541
     /* 1472541 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1472638), // Rule ID 23810 //
     /* 1472546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472596 */     // MIs[1] Operand 1
     /* 1472596 */     // No operand predicates
     /* 1472596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472600 */     // MIs[0] policy
     /* 1472600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472637 */     // GIR_Coverage, 23810,
     /* 1472637 */     GIR_EraseRootFromParent_Done,
     /* 1472638 */   // Label 20586: @1472638
     /* 1472638 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1472735), // Rule ID 23811 //
     /* 1472643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472693 */     // MIs[1] Operand 1
     /* 1472693 */     // No operand predicates
     /* 1472693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472697 */     // MIs[0] policy
     /* 1472697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472734 */     // GIR_Coverage, 23811,
     /* 1472734 */     GIR_EraseRootFromParent_Done,
     /* 1472735 */   // Label 20587: @1472735
     /* 1472735 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1472832), // Rule ID 23814 //
     /* 1472740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472790 */     // MIs[1] Operand 1
     /* 1472790 */     // No operand predicates
     /* 1472790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472794 */     // MIs[0] policy
     /* 1472794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472831 */     // GIR_Coverage, 23814,
     /* 1472831 */     GIR_EraseRootFromParent_Done,
     /* 1472832 */   // Label 20588: @1472832
     /* 1472832 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1472929), // Rule ID 23815 //
     /* 1472837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472887 */     // MIs[1] Operand 1
     /* 1472887 */     // No operand predicates
     /* 1472887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472891 */     // MIs[0] policy
     /* 1472891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472928 */     // GIR_Coverage, 23815,
     /* 1472928 */     GIR_EraseRootFromParent_Done,
     /* 1472929 */   // Label 20589: @1472929
     /* 1472929 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1473026), // Rule ID 23818 //
     /* 1472934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472984 */     // MIs[1] Operand 1
     /* 1472984 */     // No operand predicates
     /* 1472984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472988 */     // MIs[0] policy
     /* 1472988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473025 */     // GIR_Coverage, 23818,
     /* 1473025 */     GIR_EraseRootFromParent_Done,
     /* 1473026 */   // Label 20590: @1473026
     /* 1473026 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1473123), // Rule ID 23819 //
     /* 1473031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1473042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1473045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1473048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1473054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473081 */     // MIs[1] Operand 1
     /* 1473081 */     // No operand predicates
     /* 1473081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473085 */     // MIs[0] policy
     /* 1473085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473122 */     // GIR_Coverage, 23819,
     /* 1473122 */     GIR_EraseRootFromParent_Done,
     /* 1473123 */   // Label 20591: @1473123
     /* 1473123 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1473220), // Rule ID 23822 //
     /* 1473128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1473145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473178 */     // MIs[1] Operand 1
     /* 1473178 */     // No operand predicates
     /* 1473178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473182 */     // MIs[0] policy
     /* 1473182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473219 */     // GIR_Coverage, 23822,
     /* 1473219 */     GIR_EraseRootFromParent_Done,
     /* 1473220 */   // Label 20592: @1473220
     /* 1473220 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1473317), // Rule ID 23823 //
     /* 1473225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1473242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473275 */     // MIs[1] Operand 1
     /* 1473275 */     // No operand predicates
     /* 1473275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473279 */     // MIs[0] policy
     /* 1473279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473316 */     // GIR_Coverage, 23823,
     /* 1473316 */     GIR_EraseRootFromParent_Done,
     /* 1473317 */   // Label 20593: @1473317
     /* 1473317 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1473414), // Rule ID 23826 //
     /* 1473322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1473339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473372 */     // MIs[1] Operand 1
     /* 1473372 */     // No operand predicates
     /* 1473372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473376 */     // MIs[0] policy
     /* 1473376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473413 */     // GIR_Coverage, 23826,
     /* 1473413 */     GIR_EraseRootFromParent_Done,
     /* 1473414 */   // Label 20594: @1473414
     /* 1473414 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1473511), // Rule ID 23827 //
     /* 1473419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1473436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473469 */     // MIs[1] Operand 1
     /* 1473469 */     // No operand predicates
     /* 1473469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473473 */     // MIs[0] policy
     /* 1473473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473485 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473510 */     // GIR_Coverage, 23827,
     /* 1473510 */     GIR_EraseRootFromParent_Done,
     /* 1473511 */   // Label 20595: @1473511
     /* 1473511 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1473608), // Rule ID 23830 //
     /* 1473516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473566 */     // MIs[1] Operand 1
     /* 1473566 */     // No operand predicates
     /* 1473566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473570 */     // MIs[0] policy
     /* 1473570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473607 */     // GIR_Coverage, 23830,
     /* 1473607 */     GIR_EraseRootFromParent_Done,
     /* 1473608 */   // Label 20596: @1473608
     /* 1473608 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1473705), // Rule ID 23831 //
     /* 1473613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473663 */     // MIs[1] Operand 1
     /* 1473663 */     // No operand predicates
     /* 1473663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473667 */     // MIs[0] policy
     /* 1473667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473679 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473704 */     // GIR_Coverage, 23831,
     /* 1473704 */     GIR_EraseRootFromParent_Done,
     /* 1473705 */   // Label 20597: @1473705
     /* 1473705 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1473802), // Rule ID 23834 //
     /* 1473710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473760 */     // MIs[1] Operand 1
     /* 1473760 */     // No operand predicates
     /* 1473760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473764 */     // MIs[0] policy
     /* 1473764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473801 */     // GIR_Coverage, 23834,
     /* 1473801 */     GIR_EraseRootFromParent_Done,
     /* 1473802 */   // Label 20598: @1473802
     /* 1473802 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1473899), // Rule ID 23835 //
     /* 1473807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473857 */     // MIs[1] Operand 1
     /* 1473857 */     // No operand predicates
     /* 1473857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473861 */     // MIs[0] policy
     /* 1473861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473873 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473898 */     // GIR_Coverage, 23835,
     /* 1473898 */     GIR_EraseRootFromParent_Done,
     /* 1473899 */   // Label 20599: @1473899
     /* 1473899 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1473996), // Rule ID 23838 //
     /* 1473904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473954 */     // MIs[1] Operand 1
     /* 1473954 */     // No operand predicates
     /* 1473954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473958 */     // MIs[0] policy
     /* 1473958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473995 */     // GIR_Coverage, 23838,
     /* 1473995 */     GIR_EraseRootFromParent_Done,
     /* 1473996 */   // Label 20600: @1473996
     /* 1473996 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1474093), // Rule ID 23839 //
     /* 1474001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1474004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1474012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1474015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1474018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474051 */     // MIs[1] Operand 1
     /* 1474051 */     // No operand predicates
     /* 1474051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474055 */     // MIs[0] policy
     /* 1474055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1474070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474092 */     // GIR_Coverage, 23839,
     /* 1474092 */     GIR_EraseRootFromParent_Done,
     /* 1474093 */   // Label 20601: @1474093
     /* 1474093 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1474190), // Rule ID 23842 //
     /* 1474098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1474101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1474109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1474112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1474115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474148 */     // MIs[1] Operand 1
     /* 1474148 */     // No operand predicates
     /* 1474148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474152 */     // MIs[0] policy
     /* 1474152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1474167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474189 */     // GIR_Coverage, 23842,
     /* 1474189 */     GIR_EraseRootFromParent_Done,
     /* 1474190 */   // Label 20602: @1474190
     /* 1474190 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1474287), // Rule ID 23843 //
     /* 1474195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1474198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1474206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1474209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1474212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474245 */     // MIs[1] Operand 1
     /* 1474245 */     // No operand predicates
     /* 1474245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474249 */     // MIs[0] policy
     /* 1474249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1474264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474286 */     // GIR_Coverage, 23843,
     /* 1474286 */     GIR_EraseRootFromParent_Done,
     /* 1474287 */   // Label 20603: @1474287
     /* 1474287 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1474384), // Rule ID 24082 //
     /* 1474292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474342 */     // MIs[1] Operand 1
     /* 1474342 */     // No operand predicates
     /* 1474342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474346 */     // MIs[0] policy
     /* 1474346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474358 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1474361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474383 */     // GIR_Coverage, 24082,
     /* 1474383 */     GIR_EraseRootFromParent_Done,
     /* 1474384 */   // Label 20604: @1474384
     /* 1474384 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1474481), // Rule ID 24083 //
     /* 1474389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474439 */     // MIs[1] Operand 1
     /* 1474439 */     // No operand predicates
     /* 1474439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474443 */     // MIs[0] policy
     /* 1474443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474455 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1474458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474480 */     // GIR_Coverage, 24083,
     /* 1474480 */     GIR_EraseRootFromParent_Done,
     /* 1474481 */   // Label 20605: @1474481
     /* 1474481 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1474578), // Rule ID 24086 //
     /* 1474486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474536 */     // MIs[1] Operand 1
     /* 1474536 */     // No operand predicates
     /* 1474536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474540 */     // MIs[0] policy
     /* 1474540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474552 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474577 */     // GIR_Coverage, 24086,
     /* 1474577 */     GIR_EraseRootFromParent_Done,
     /* 1474578 */   // Label 20606: @1474578
     /* 1474578 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1474675), // Rule ID 24087 //
     /* 1474583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474633 */     // MIs[1] Operand 1
     /* 1474633 */     // No operand predicates
     /* 1474633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474637 */     // MIs[0] policy
     /* 1474637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474649 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474674 */     // GIR_Coverage, 24087,
     /* 1474674 */     GIR_EraseRootFromParent_Done,
     /* 1474675 */   // Label 20607: @1474675
     /* 1474675 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1474772), // Rule ID 24090 //
     /* 1474680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474730 */     // MIs[1] Operand 1
     /* 1474730 */     // No operand predicates
     /* 1474730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474734 */     // MIs[0] policy
     /* 1474734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474746 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474771 */     // GIR_Coverage, 24090,
     /* 1474771 */     GIR_EraseRootFromParent_Done,
     /* 1474772 */   // Label 20608: @1474772
     /* 1474772 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1474869), // Rule ID 24091 //
     /* 1474777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474827 */     // MIs[1] Operand 1
     /* 1474827 */     // No operand predicates
     /* 1474827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474831 */     // MIs[0] policy
     /* 1474831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474843 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474868 */     // GIR_Coverage, 24091,
     /* 1474868 */     GIR_EraseRootFromParent_Done,
     /* 1474869 */   // Label 20609: @1474869
     /* 1474869 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1474966), // Rule ID 24094 //
     /* 1474874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474924 */     // MIs[1] Operand 1
     /* 1474924 */     // No operand predicates
     /* 1474924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474928 */     // MIs[0] policy
     /* 1474928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474965 */     // GIR_Coverage, 24094,
     /* 1474965 */     GIR_EraseRootFromParent_Done,
     /* 1474966 */   // Label 20610: @1474966
     /* 1474966 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1475063), // Rule ID 24095 //
     /* 1474971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475021 */     // MIs[1] Operand 1
     /* 1475021 */     // No operand predicates
     /* 1475021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475025 */     // MIs[0] policy
     /* 1475025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475037 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475062 */     // GIR_Coverage, 24095,
     /* 1475062 */     GIR_EraseRootFromParent_Done,
     /* 1475063 */   // Label 20611: @1475063
     /* 1475063 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1475160), // Rule ID 24098 //
     /* 1475068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475118 */     // MIs[1] Operand 1
     /* 1475118 */     // No operand predicates
     /* 1475118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475122 */     // MIs[0] policy
     /* 1475122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475134 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475159 */     // GIR_Coverage, 24098,
     /* 1475159 */     GIR_EraseRootFromParent_Done,
     /* 1475160 */   // Label 20612: @1475160
     /* 1475160 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1475257), // Rule ID 24099 //
     /* 1475165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1475168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475215 */     // MIs[1] Operand 1
     /* 1475215 */     // No operand predicates
     /* 1475215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475219 */     // MIs[0] policy
     /* 1475219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475231 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475256 */     // GIR_Coverage, 24099,
     /* 1475256 */     GIR_EraseRootFromParent_Done,
     /* 1475257 */   // Label 20613: @1475257
     /* 1475257 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1475354), // Rule ID 24102 //
     /* 1475262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1475265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1475273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1475276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1475279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475312 */     // MIs[1] Operand 1
     /* 1475312 */     // No operand predicates
     /* 1475312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475316 */     // MIs[0] policy
     /* 1475316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475353 */     // GIR_Coverage, 24102,
     /* 1475353 */     GIR_EraseRootFromParent_Done,
     /* 1475354 */   // Label 20614: @1475354
     /* 1475354 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1475451), // Rule ID 24103 //
     /* 1475359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1475362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1475370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1475373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1475376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475409 */     // MIs[1] Operand 1
     /* 1475409 */     // No operand predicates
     /* 1475409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475413 */     // MIs[0] policy
     /* 1475413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475425 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475450 */     // GIR_Coverage, 24103,
     /* 1475450 */     GIR_EraseRootFromParent_Done,
     /* 1475451 */   // Label 20615: @1475451
     /* 1475451 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1475548), // Rule ID 24106 //
     /* 1475456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475506 */     // MIs[1] Operand 1
     /* 1475506 */     // No operand predicates
     /* 1475506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475510 */     // MIs[0] policy
     /* 1475510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475522 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475547 */     // GIR_Coverage, 24106,
     /* 1475547 */     GIR_EraseRootFromParent_Done,
     /* 1475548 */   // Label 20616: @1475548
     /* 1475548 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1475645), // Rule ID 24107 //
     /* 1475553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475603 */     // MIs[1] Operand 1
     /* 1475603 */     // No operand predicates
     /* 1475603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475607 */     // MIs[0] policy
     /* 1475607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475619 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475644 */     // GIR_Coverage, 24107,
     /* 1475644 */     GIR_EraseRootFromParent_Done,
     /* 1475645 */   // Label 20617: @1475645
     /* 1475645 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1475742), // Rule ID 24110 //
     /* 1475650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475700 */     // MIs[1] Operand 1
     /* 1475700 */     // No operand predicates
     /* 1475700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475704 */     // MIs[0] policy
     /* 1475704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475741 */     // GIR_Coverage, 24110,
     /* 1475741 */     GIR_EraseRootFromParent_Done,
     /* 1475742 */   // Label 20618: @1475742
     /* 1475742 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1475839), // Rule ID 24111 //
     /* 1475747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475797 */     // MIs[1] Operand 1
     /* 1475797 */     // No operand predicates
     /* 1475797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475801 */     // MIs[0] policy
     /* 1475801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475813 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475838 */     // GIR_Coverage, 24111,
     /* 1475838 */     GIR_EraseRootFromParent_Done,
     /* 1475839 */   // Label 20619: @1475839
     /* 1475839 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1475936), // Rule ID 24114 //
     /* 1475844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475894 */     // MIs[1] Operand 1
     /* 1475894 */     // No operand predicates
     /* 1475894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475898 */     // MIs[0] policy
     /* 1475898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475910 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475935 */     // GIR_Coverage, 24114,
     /* 1475935 */     GIR_EraseRootFromParent_Done,
     /* 1475936 */   // Label 20620: @1475936
     /* 1475936 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1476033), // Rule ID 24115 //
     /* 1475941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475991 */     // MIs[1] Operand 1
     /* 1475991 */     // No operand predicates
     /* 1475991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475995 */     // MIs[0] policy
     /* 1475995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476007 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476032 */     // GIR_Coverage, 24115,
     /* 1476032 */     GIR_EraseRootFromParent_Done,
     /* 1476033 */   // Label 20621: @1476033
     /* 1476033 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1476130), // Rule ID 24118 //
     /* 1476038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1476049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1476052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1476055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476088 */     // MIs[1] Operand 1
     /* 1476088 */     // No operand predicates
     /* 1476088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476092 */     // MIs[0] policy
     /* 1476092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476104 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476129 */     // GIR_Coverage, 24118,
     /* 1476129 */     GIR_EraseRootFromParent_Done,
     /* 1476130 */   // Label 20622: @1476130
     /* 1476130 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1476227), // Rule ID 24119 //
     /* 1476135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1476146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1476149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1476152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476185 */     // MIs[1] Operand 1
     /* 1476185 */     // No operand predicates
     /* 1476185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476189 */     // MIs[0] policy
     /* 1476189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476201 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476226 */     // GIR_Coverage, 24119,
     /* 1476226 */     GIR_EraseRootFromParent_Done,
     /* 1476227 */   // Label 20623: @1476227
     /* 1476227 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1476324), // Rule ID 24122 //
     /* 1476232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1476243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1476246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1476249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476282 */     // MIs[1] Operand 1
     /* 1476282 */     // No operand predicates
     /* 1476282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476286 */     // MIs[0] policy
     /* 1476286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476298 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476323 */     // GIR_Coverage, 24122,
     /* 1476323 */     GIR_EraseRootFromParent_Done,
     /* 1476324 */   // Label 20624: @1476324
     /* 1476324 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1476421), // Rule ID 24123 //
     /* 1476329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1476340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1476343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1476346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476379 */     // MIs[1] Operand 1
     /* 1476379 */     // No operand predicates
     /* 1476379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476383 */     // MIs[0] policy
     /* 1476383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476395 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476420 */     // GIR_Coverage, 24123,
     /* 1476420 */     GIR_EraseRootFromParent_Done,
     /* 1476421 */   // Label 20625: @1476421
     /* 1476421 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1476518), // Rule ID 24126 //
     /* 1476426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476476 */     // MIs[1] Operand 1
     /* 1476476 */     // No operand predicates
     /* 1476476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476480 */     // MIs[0] policy
     /* 1476480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476492 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476517 */     // GIR_Coverage, 24126,
     /* 1476517 */     GIR_EraseRootFromParent_Done,
     /* 1476518 */   // Label 20626: @1476518
     /* 1476518 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1476615), // Rule ID 24127 //
     /* 1476523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476573 */     // MIs[1] Operand 1
     /* 1476573 */     // No operand predicates
     /* 1476573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476577 */     // MIs[0] policy
     /* 1476577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476589 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476614 */     // GIR_Coverage, 24127,
     /* 1476614 */     GIR_EraseRootFromParent_Done,
     /* 1476615 */   // Label 20627: @1476615
     /* 1476615 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1476712), // Rule ID 24130 //
     /* 1476620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476670 */     // MIs[1] Operand 1
     /* 1476670 */     // No operand predicates
     /* 1476670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476674 */     // MIs[0] policy
     /* 1476674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476686 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476711 */     // GIR_Coverage, 24130,
     /* 1476711 */     GIR_EraseRootFromParent_Done,
     /* 1476712 */   // Label 20628: @1476712
     /* 1476712 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1476809), // Rule ID 24131 //
     /* 1476717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476767 */     // MIs[1] Operand 1
     /* 1476767 */     // No operand predicates
     /* 1476767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476771 */     // MIs[0] policy
     /* 1476771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476783 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476808 */     // GIR_Coverage, 24131,
     /* 1476808 */     GIR_EraseRootFromParent_Done,
     /* 1476809 */   // Label 20629: @1476809
     /* 1476809 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1476906), // Rule ID 24134 //
     /* 1476814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476864 */     // MIs[1] Operand 1
     /* 1476864 */     // No operand predicates
     /* 1476864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476868 */     // MIs[0] policy
     /* 1476868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476880 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476905 */     // GIR_Coverage, 24134,
     /* 1476905 */     GIR_EraseRootFromParent_Done,
     /* 1476906 */   // Label 20630: @1476906
     /* 1476906 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1477003), // Rule ID 24135 //
     /* 1476911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476961 */     // MIs[1] Operand 1
     /* 1476961 */     // No operand predicates
     /* 1476961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476965 */     // MIs[0] policy
     /* 1476965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477002 */     // GIR_Coverage, 24135,
     /* 1477002 */     GIR_EraseRootFromParent_Done,
     /* 1477003 */   // Label 20631: @1477003
     /* 1477003 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1477100), // Rule ID 24138 //
     /* 1477008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1477011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1477019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1477022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1477025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477058 */     // MIs[1] Operand 1
     /* 1477058 */     // No operand predicates
     /* 1477058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477062 */     // MIs[0] policy
     /* 1477062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477074 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1477077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477099 */     // GIR_Coverage, 24138,
     /* 1477099 */     GIR_EraseRootFromParent_Done,
     /* 1477100 */   // Label 20632: @1477100
     /* 1477100 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1477197), // Rule ID 24139 //
     /* 1477105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1477108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1477116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1477119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1477122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477155 */     // MIs[1] Operand 1
     /* 1477155 */     // No operand predicates
     /* 1477155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477159 */     // MIs[0] policy
     /* 1477159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477171 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1477174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477196 */     // GIR_Coverage, 24139,
     /* 1477196 */     GIR_EraseRootFromParent_Done,
     /* 1477197 */   // Label 20633: @1477197
     /* 1477197 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1477294), // Rule ID 24202 //
     /* 1477202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477252 */     // MIs[1] Operand 1
     /* 1477252 */     // No operand predicates
     /* 1477252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477256 */     // MIs[0] policy
     /* 1477256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477268 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477293 */     // GIR_Coverage, 24202,
     /* 1477293 */     GIR_EraseRootFromParent_Done,
     /* 1477294 */   // Label 20634: @1477294
     /* 1477294 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1477391), // Rule ID 24203 //
     /* 1477299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477349 */     // MIs[1] Operand 1
     /* 1477349 */     // No operand predicates
     /* 1477349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477353 */     // MIs[0] policy
     /* 1477353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477365 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477390 */     // GIR_Coverage, 24203,
     /* 1477390 */     GIR_EraseRootFromParent_Done,
     /* 1477391 */   // Label 20635: @1477391
     /* 1477391 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1477488), // Rule ID 24206 //
     /* 1477396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477446 */     // MIs[1] Operand 1
     /* 1477446 */     // No operand predicates
     /* 1477446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477450 */     // MIs[0] policy
     /* 1477450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477462 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477487 */     // GIR_Coverage, 24206,
     /* 1477487 */     GIR_EraseRootFromParent_Done,
     /* 1477488 */   // Label 20636: @1477488
     /* 1477488 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1477585), // Rule ID 24207 //
     /* 1477493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477543 */     // MIs[1] Operand 1
     /* 1477543 */     // No operand predicates
     /* 1477543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477547 */     // MIs[0] policy
     /* 1477547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477559 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477584 */     // GIR_Coverage, 24207,
     /* 1477584 */     GIR_EraseRootFromParent_Done,
     /* 1477585 */   // Label 20637: @1477585
     /* 1477585 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1477682), // Rule ID 24210 //
     /* 1477590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477640 */     // MIs[1] Operand 1
     /* 1477640 */     // No operand predicates
     /* 1477640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477644 */     // MIs[0] policy
     /* 1477644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477681 */     // GIR_Coverage, 24210,
     /* 1477681 */     GIR_EraseRootFromParent_Done,
     /* 1477682 */   // Label 20638: @1477682
     /* 1477682 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1477779), // Rule ID 24211 //
     /* 1477687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477737 */     // MIs[1] Operand 1
     /* 1477737 */     // No operand predicates
     /* 1477737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477741 */     // MIs[0] policy
     /* 1477741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477753 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477778 */     // GIR_Coverage, 24211,
     /* 1477778 */     GIR_EraseRootFromParent_Done,
     /* 1477779 */   // Label 20639: @1477779
     /* 1477779 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1477876), // Rule ID 24214 //
     /* 1477784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477834 */     // MIs[1] Operand 1
     /* 1477834 */     // No operand predicates
     /* 1477834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477838 */     // MIs[0] policy
     /* 1477838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477850 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477875 */     // GIR_Coverage, 24214,
     /* 1477875 */     GIR_EraseRootFromParent_Done,
     /* 1477876 */   // Label 20640: @1477876
     /* 1477876 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1477973), // Rule ID 24215 //
     /* 1477881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477931 */     // MIs[1] Operand 1
     /* 1477931 */     // No operand predicates
     /* 1477931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477935 */     // MIs[0] policy
     /* 1477935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477947 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477972 */     // GIR_Coverage, 24215,
     /* 1477972 */     GIR_EraseRootFromParent_Done,
     /* 1477973 */   // Label 20641: @1477973
     /* 1477973 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1478070), // Rule ID 24218 //
     /* 1477978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478028 */     // MIs[1] Operand 1
     /* 1478028 */     // No operand predicates
     /* 1478028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478032 */     // MIs[0] policy
     /* 1478032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478044 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478069 */     // GIR_Coverage, 24218,
     /* 1478069 */     GIR_EraseRootFromParent_Done,
     /* 1478070 */   // Label 20642: @1478070
     /* 1478070 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1478167), // Rule ID 24219 //
     /* 1478075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478125 */     // MIs[1] Operand 1
     /* 1478125 */     // No operand predicates
     /* 1478125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478129 */     // MIs[0] policy
     /* 1478129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478141 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478166 */     // GIR_Coverage, 24219,
     /* 1478166 */     GIR_EraseRootFromParent_Done,
     /* 1478167 */   // Label 20643: @1478167
     /* 1478167 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1478264), // Rule ID 24222 //
     /* 1478172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478222 */     // MIs[1] Operand 1
     /* 1478222 */     // No operand predicates
     /* 1478222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478226 */     // MIs[0] policy
     /* 1478226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478238 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478263 */     // GIR_Coverage, 24222,
     /* 1478263 */     GIR_EraseRootFromParent_Done,
     /* 1478264 */   // Label 20644: @1478264
     /* 1478264 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1478361), // Rule ID 24223 //
     /* 1478269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478319 */     // MIs[1] Operand 1
     /* 1478319 */     // No operand predicates
     /* 1478319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478323 */     // MIs[0] policy
     /* 1478323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478335 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478360 */     // GIR_Coverage, 24223,
     /* 1478360 */     GIR_EraseRootFromParent_Done,
     /* 1478361 */   // Label 20645: @1478361
     /* 1478361 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1478458), // Rule ID 24226 //
     /* 1478366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478416 */     // MIs[1] Operand 1
     /* 1478416 */     // No operand predicates
     /* 1478416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478420 */     // MIs[0] policy
     /* 1478420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478432 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478457 */     // GIR_Coverage, 24226,
     /* 1478457 */     GIR_EraseRootFromParent_Done,
     /* 1478458 */   // Label 20646: @1478458
     /* 1478458 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1478555), // Rule ID 24227 //
     /* 1478463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478513 */     // MIs[1] Operand 1
     /* 1478513 */     // No operand predicates
     /* 1478513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478517 */     // MIs[0] policy
     /* 1478517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478529 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478554 */     // GIR_Coverage, 24227,
     /* 1478554 */     GIR_EraseRootFromParent_Done,
     /* 1478555 */   // Label 20647: @1478555
     /* 1478555 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1478652), // Rule ID 24230 //
     /* 1478560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478610 */     // MIs[1] Operand 1
     /* 1478610 */     // No operand predicates
     /* 1478610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478614 */     // MIs[0] policy
     /* 1478614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478626 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478651 */     // GIR_Coverage, 24230,
     /* 1478651 */     GIR_EraseRootFromParent_Done,
     /* 1478652 */   // Label 20648: @1478652
     /* 1478652 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1478749), // Rule ID 24231 //
     /* 1478657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478707 */     // MIs[1] Operand 1
     /* 1478707 */     // No operand predicates
     /* 1478707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478711 */     // MIs[0] policy
     /* 1478711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478723 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478748 */     // GIR_Coverage, 24231,
     /* 1478748 */     GIR_EraseRootFromParent_Done,
     /* 1478749 */   // Label 20649: @1478749
     /* 1478749 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1478846), // Rule ID 24234 //
     /* 1478754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478804 */     // MIs[1] Operand 1
     /* 1478804 */     // No operand predicates
     /* 1478804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478808 */     // MIs[0] policy
     /* 1478808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478820 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478845 */     // GIR_Coverage, 24234,
     /* 1478845 */     GIR_EraseRootFromParent_Done,
     /* 1478846 */   // Label 20650: @1478846
     /* 1478846 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1478943), // Rule ID 24235 //
     /* 1478851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478901 */     // MIs[1] Operand 1
     /* 1478901 */     // No operand predicates
     /* 1478901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478905 */     // MIs[0] policy
     /* 1478905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478917 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478942 */     // GIR_Coverage, 24235,
     /* 1478942 */     GIR_EraseRootFromParent_Done,
     /* 1478943 */   // Label 20651: @1478943
     /* 1478943 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1479040), // Rule ID 24238 //
     /* 1478948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478998 */     // MIs[1] Operand 1
     /* 1478998 */     // No operand predicates
     /* 1478998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479002 */     // MIs[0] policy
     /* 1479002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479014 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479039 */     // GIR_Coverage, 24238,
     /* 1479039 */     GIR_EraseRootFromParent_Done,
     /* 1479040 */   // Label 20652: @1479040
     /* 1479040 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1479137), // Rule ID 24239 //
     /* 1479045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479095 */     // MIs[1] Operand 1
     /* 1479095 */     // No operand predicates
     /* 1479095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479099 */     // MIs[0] policy
     /* 1479099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479111 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479136 */     // GIR_Coverage, 24239,
     /* 1479136 */     GIR_EraseRootFromParent_Done,
     /* 1479137 */   // Label 20653: @1479137
     /* 1479137 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1479234), // Rule ID 24242 //
     /* 1479142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1479153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1479156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1479159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479192 */     // MIs[1] Operand 1
     /* 1479192 */     // No operand predicates
     /* 1479192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479196 */     // MIs[0] policy
     /* 1479196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479208 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479233 */     // GIR_Coverage, 24242,
     /* 1479233 */     GIR_EraseRootFromParent_Done,
     /* 1479234 */   // Label 20654: @1479234
     /* 1479234 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1479331), // Rule ID 24243 //
     /* 1479239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1479250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1479253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1479256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479289 */     // MIs[1] Operand 1
     /* 1479289 */     // No operand predicates
     /* 1479289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479293 */     // MIs[0] policy
     /* 1479293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479305 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479330 */     // GIR_Coverage, 24243,
     /* 1479330 */     GIR_EraseRootFromParent_Done,
     /* 1479331 */   // Label 20655: @1479331
     /* 1479331 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1479428), // Rule ID 24246 //
     /* 1479336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479386 */     // MIs[1] Operand 1
     /* 1479386 */     // No operand predicates
     /* 1479386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479390 */     // MIs[0] policy
     /* 1479390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479402 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479427 */     // GIR_Coverage, 24246,
     /* 1479427 */     GIR_EraseRootFromParent_Done,
     /* 1479428 */   // Label 20656: @1479428
     /* 1479428 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1479525), // Rule ID 24247 //
     /* 1479433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479483 */     // MIs[1] Operand 1
     /* 1479483 */     // No operand predicates
     /* 1479483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479487 */     // MIs[0] policy
     /* 1479487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479499 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479524 */     // GIR_Coverage, 24247,
     /* 1479524 */     GIR_EraseRootFromParent_Done,
     /* 1479525 */   // Label 20657: @1479525
     /* 1479525 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1479622), // Rule ID 24250 //
     /* 1479530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479580 */     // MIs[1] Operand 1
     /* 1479580 */     // No operand predicates
     /* 1479580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479584 */     // MIs[0] policy
     /* 1479584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479596 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479621 */     // GIR_Coverage, 24250,
     /* 1479621 */     GIR_EraseRootFromParent_Done,
     /* 1479622 */   // Label 20658: @1479622
     /* 1479622 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1479719), // Rule ID 24251 //
     /* 1479627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479677 */     // MIs[1] Operand 1
     /* 1479677 */     // No operand predicates
     /* 1479677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479681 */     // MIs[0] policy
     /* 1479681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479693 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479718 */     // GIR_Coverage, 24251,
     /* 1479718 */     GIR_EraseRootFromParent_Done,
     /* 1479719 */   // Label 20659: @1479719
     /* 1479719 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1479816), // Rule ID 24254 //
     /* 1479724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479774 */     // MIs[1] Operand 1
     /* 1479774 */     // No operand predicates
     /* 1479774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479778 */     // MIs[0] policy
     /* 1479778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479790 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479815 */     // GIR_Coverage, 24254,
     /* 1479815 */     GIR_EraseRootFromParent_Done,
     /* 1479816 */   // Label 20660: @1479816
     /* 1479816 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1479913), // Rule ID 24255 //
     /* 1479821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479871 */     // MIs[1] Operand 1
     /* 1479871 */     // No operand predicates
     /* 1479871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479875 */     // MIs[0] policy
     /* 1479875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479887 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479912 */     // GIR_Coverage, 24255,
     /* 1479912 */     GIR_EraseRootFromParent_Done,
     /* 1479913 */   // Label 20661: @1479913
     /* 1479913 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1480010), // Rule ID 24258 //
     /* 1479918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479968 */     // MIs[1] Operand 1
     /* 1479968 */     // No operand predicates
     /* 1479968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479972 */     // MIs[0] policy
     /* 1479972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480009 */     // GIR_Coverage, 24258,
     /* 1480009 */     GIR_EraseRootFromParent_Done,
     /* 1480010 */   // Label 20662: @1480010
     /* 1480010 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1480107), // Rule ID 24259 //
     /* 1480015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1480018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480065 */     // MIs[1] Operand 1
     /* 1480065 */     // No operand predicates
     /* 1480065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480069 */     // MIs[0] policy
     /* 1480069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480081 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1480084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480106 */     // GIR_Coverage, 24259,
     /* 1480106 */     GIR_EraseRootFromParent_Done,
     /* 1480107 */   // Label 20663: @1480107
     /* 1480107 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1480204), // Rule ID 24558 //
     /* 1480112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1480123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1480126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1480129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480162 */     // MIs[1] Operand 1
     /* 1480162 */     // No operand predicates
     /* 1480162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480166 */     // MIs[0] policy
     /* 1480166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480178 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1480181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480203 */     // GIR_Coverage, 24558,
     /* 1480203 */     GIR_EraseRootFromParent_Done,
     /* 1480204 */   // Label 20664: @1480204
     /* 1480204 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1480301), // Rule ID 24559 //
     /* 1480209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1480220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1480223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1480226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480259 */     // MIs[1] Operand 1
     /* 1480259 */     // No operand predicates
     /* 1480259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480263 */     // MIs[0] policy
     /* 1480263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480275 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1480278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480300 */     // GIR_Coverage, 24559,
     /* 1480300 */     GIR_EraseRootFromParent_Done,
     /* 1480301 */   // Label 20665: @1480301
     /* 1480301 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1480398), // Rule ID 24562 //
     /* 1480306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1480317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1480320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1480323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480356 */     // MIs[1] Operand 1
     /* 1480356 */     // No operand predicates
     /* 1480356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480360 */     // MIs[0] policy
     /* 1480360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480397 */     // GIR_Coverage, 24562,
     /* 1480397 */     GIR_EraseRootFromParent_Done,
     /* 1480398 */   // Label 20666: @1480398
     /* 1480398 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1480495), // Rule ID 24563 //
     /* 1480403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1480414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1480417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1480420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480453 */     // MIs[1] Operand 1
     /* 1480453 */     // No operand predicates
     /* 1480453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480457 */     // MIs[0] policy
     /* 1480457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480469 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480494 */     // GIR_Coverage, 24563,
     /* 1480494 */     GIR_EraseRootFromParent_Done,
     /* 1480495 */   // Label 20667: @1480495
     /* 1480495 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1480592), // Rule ID 24566 //
     /* 1480500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480550 */     // MIs[1] Operand 1
     /* 1480550 */     // No operand predicates
     /* 1480550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480554 */     // MIs[0] policy
     /* 1480554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480566 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480591 */     // GIR_Coverage, 24566,
     /* 1480591 */     GIR_EraseRootFromParent_Done,
     /* 1480592 */   // Label 20668: @1480592
     /* 1480592 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1480689), // Rule ID 24567 //
     /* 1480597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480647 */     // MIs[1] Operand 1
     /* 1480647 */     // No operand predicates
     /* 1480647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480651 */     // MIs[0] policy
     /* 1480651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480663 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480688 */     // GIR_Coverage, 24567,
     /* 1480688 */     GIR_EraseRootFromParent_Done,
     /* 1480689 */   // Label 20669: @1480689
     /* 1480689 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1480786), // Rule ID 24570 //
     /* 1480694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480744 */     // MIs[1] Operand 1
     /* 1480744 */     // No operand predicates
     /* 1480744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480748 */     // MIs[0] policy
     /* 1480748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480785 */     // GIR_Coverage, 24570,
     /* 1480785 */     GIR_EraseRootFromParent_Done,
     /* 1480786 */   // Label 20670: @1480786
     /* 1480786 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1480883), // Rule ID 24571 //
     /* 1480791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480841 */     // MIs[1] Operand 1
     /* 1480841 */     // No operand predicates
     /* 1480841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480845 */     // MIs[0] policy
     /* 1480845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480857 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480882 */     // GIR_Coverage, 24571,
     /* 1480882 */     GIR_EraseRootFromParent_Done,
     /* 1480883 */   // Label 20671: @1480883
     /* 1480883 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1480980), // Rule ID 24574 //
     /* 1480888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480938 */     // MIs[1] Operand 1
     /* 1480938 */     // No operand predicates
     /* 1480938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480942 */     // MIs[0] policy
     /* 1480942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480954 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480979 */     // GIR_Coverage, 24574,
     /* 1480979 */     GIR_EraseRootFromParent_Done,
     /* 1480980 */   // Label 20672: @1480980
     /* 1480980 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1481077), // Rule ID 24575 //
     /* 1480985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481035 */     // MIs[1] Operand 1
     /* 1481035 */     // No operand predicates
     /* 1481035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481039 */     // MIs[0] policy
     /* 1481039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1481054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481076 */     // GIR_Coverage, 24575,
     /* 1481076 */     GIR_EraseRootFromParent_Done,
     /* 1481077 */   // Label 20673: @1481077
     /* 1481077 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1481174), // Rule ID 24578 //
     /* 1481082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481132 */     // MIs[1] Operand 1
     /* 1481132 */     // No operand predicates
     /* 1481132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481136 */     // MIs[0] policy
     /* 1481136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1481151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481173 */     // GIR_Coverage, 24578,
     /* 1481173 */     GIR_EraseRootFromParent_Done,
     /* 1481174 */   // Label 20674: @1481174
     /* 1481174 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1481271), // Rule ID 24579 //
     /* 1481179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481229 */     // MIs[1] Operand 1
     /* 1481229 */     // No operand predicates
     /* 1481229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481233 */     // MIs[0] policy
     /* 1481233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481245 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1481248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481270 */     // GIR_Coverage, 24579,
     /* 1481270 */     GIR_EraseRootFromParent_Done,
     /* 1481271 */   // Label 20675: @1481271
     /* 1481271 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1481368), // Rule ID 24582 //
     /* 1481276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1481287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1481290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1481293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481326 */     // MIs[1] Operand 1
     /* 1481326 */     // No operand predicates
     /* 1481326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481330 */     // MIs[0] policy
     /* 1481330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481367 */     // GIR_Coverage, 24582,
     /* 1481367 */     GIR_EraseRootFromParent_Done,
     /* 1481368 */   // Label 20676: @1481368
     /* 1481368 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1481465), // Rule ID 24583 //
     /* 1481373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1481384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1481387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1481390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481423 */     // MIs[1] Operand 1
     /* 1481423 */     // No operand predicates
     /* 1481423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481427 */     // MIs[0] policy
     /* 1481427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481439 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481464 */     // GIR_Coverage, 24583,
     /* 1481464 */     GIR_EraseRootFromParent_Done,
     /* 1481465 */   // Label 20677: @1481465
     /* 1481465 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1481562), // Rule ID 24586 //
     /* 1481470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481520 */     // MIs[1] Operand 1
     /* 1481520 */     // No operand predicates
     /* 1481520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481524 */     // MIs[0] policy
     /* 1481524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481561 */     // GIR_Coverage, 24586,
     /* 1481561 */     GIR_EraseRootFromParent_Done,
     /* 1481562 */   // Label 20678: @1481562
     /* 1481562 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1481659), // Rule ID 24587 //
     /* 1481567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481617 */     // MIs[1] Operand 1
     /* 1481617 */     // No operand predicates
     /* 1481617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481621 */     // MIs[0] policy
     /* 1481621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481658 */     // GIR_Coverage, 24587,
     /* 1481658 */     GIR_EraseRootFromParent_Done,
     /* 1481659 */   // Label 20679: @1481659
     /* 1481659 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1481756), // Rule ID 24590 //
     /* 1481664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481714 */     // MIs[1] Operand 1
     /* 1481714 */     // No operand predicates
     /* 1481714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481718 */     // MIs[0] policy
     /* 1481718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481755 */     // GIR_Coverage, 24590,
     /* 1481755 */     GIR_EraseRootFromParent_Done,
     /* 1481756 */   // Label 20680: @1481756
     /* 1481756 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1481853), // Rule ID 24591 //
     /* 1481761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481811 */     // MIs[1] Operand 1
     /* 1481811 */     // No operand predicates
     /* 1481811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481815 */     // MIs[0] policy
     /* 1481815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481852 */     // GIR_Coverage, 24591,
     /* 1481852 */     GIR_EraseRootFromParent_Done,
     /* 1481853 */   // Label 20681: @1481853
     /* 1481853 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1481950), // Rule ID 24594 //
     /* 1481858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1481861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481908 */     // MIs[1] Operand 1
     /* 1481908 */     // No operand predicates
     /* 1481908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481912 */     // MIs[0] policy
     /* 1481912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481949 */     // GIR_Coverage, 24594,
     /* 1481949 */     GIR_EraseRootFromParent_Done,
     /* 1481950 */   // Label 20682: @1481950
     /* 1481950 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1482047), // Rule ID 24595 //
     /* 1481955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1481958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482005 */     // MIs[1] Operand 1
     /* 1482005 */     // No operand predicates
     /* 1482005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482009 */     // MIs[0] policy
     /* 1482009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1482024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482046 */     // GIR_Coverage, 24595,
     /* 1482046 */     GIR_EraseRootFromParent_Done,
     /* 1482047 */   // Label 20683: @1482047
     /* 1482047 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1482144), // Rule ID 24598 //
     /* 1482052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1482063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1482066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1482069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482102 */     // MIs[1] Operand 1
     /* 1482102 */     // No operand predicates
     /* 1482102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482106 */     // MIs[0] policy
     /* 1482106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482143 */     // GIR_Coverage, 24598,
     /* 1482143 */     GIR_EraseRootFromParent_Done,
     /* 1482144 */   // Label 20684: @1482144
     /* 1482144 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1482241), // Rule ID 24599 //
     /* 1482149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1482160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1482163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1482166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482199 */     // MIs[1] Operand 1
     /* 1482199 */     // No operand predicates
     /* 1482199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482203 */     // MIs[0] policy
     /* 1482203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482215 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482240 */     // GIR_Coverage, 24599,
     /* 1482240 */     GIR_EraseRootFromParent_Done,
     /* 1482241 */   // Label 20685: @1482241
     /* 1482241 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1482338), // Rule ID 24602 //
     /* 1482246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1482257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1482260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1482263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482296 */     // MIs[1] Operand 1
     /* 1482296 */     // No operand predicates
     /* 1482296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482300 */     // MIs[0] policy
     /* 1482300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482312 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482337 */     // GIR_Coverage, 24602,
     /* 1482337 */     GIR_EraseRootFromParent_Done,
     /* 1482338 */   // Label 20686: @1482338
     /* 1482338 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1482435), // Rule ID 24603 //
     /* 1482343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1482354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1482357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1482360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482393 */     // MIs[1] Operand 1
     /* 1482393 */     // No operand predicates
     /* 1482393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482397 */     // MIs[0] policy
     /* 1482397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482409 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482434 */     // GIR_Coverage, 24603,
     /* 1482434 */     GIR_EraseRootFromParent_Done,
     /* 1482435 */   // Label 20687: @1482435
     /* 1482435 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1482532), // Rule ID 24606 //
     /* 1482440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482490 */     // MIs[1] Operand 1
     /* 1482490 */     // No operand predicates
     /* 1482490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482494 */     // MIs[0] policy
     /* 1482494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482531 */     // GIR_Coverage, 24606,
     /* 1482531 */     GIR_EraseRootFromParent_Done,
     /* 1482532 */   // Label 20688: @1482532
     /* 1482532 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1482629), // Rule ID 24607 //
     /* 1482537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482587 */     // MIs[1] Operand 1
     /* 1482587 */     // No operand predicates
     /* 1482587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482591 */     // MIs[0] policy
     /* 1482591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482603 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482628 */     // GIR_Coverage, 24607,
     /* 1482628 */     GIR_EraseRootFromParent_Done,
     /* 1482629 */   // Label 20689: @1482629
     /* 1482629 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1482726), // Rule ID 24610 //
     /* 1482634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482684 */     // MIs[1] Operand 1
     /* 1482684 */     // No operand predicates
     /* 1482684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482688 */     // MIs[0] policy
     /* 1482688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482725 */     // GIR_Coverage, 24610,
     /* 1482725 */     GIR_EraseRootFromParent_Done,
     /* 1482726 */   // Label 20690: @1482726
     /* 1482726 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1482823), // Rule ID 24611 //
     /* 1482731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482781 */     // MIs[1] Operand 1
     /* 1482781 */     // No operand predicates
     /* 1482781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482785 */     // MIs[0] policy
     /* 1482785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482822 */     // GIR_Coverage, 24611,
     /* 1482822 */     GIR_EraseRootFromParent_Done,
     /* 1482823 */   // Label 20691: @1482823
     /* 1482823 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1482920), // Rule ID 24614 //
     /* 1482828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482878 */     // MIs[1] Operand 1
     /* 1482878 */     // No operand predicates
     /* 1482878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482882 */     // MIs[0] policy
     /* 1482882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482919 */     // GIR_Coverage, 24614,
     /* 1482919 */     GIR_EraseRootFromParent_Done,
     /* 1482920 */   // Label 20692: @1482920
     /* 1482920 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1483017), // Rule ID 24615 //
     /* 1482925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482975 */     // MIs[1] Operand 1
     /* 1482975 */     // No operand predicates
     /* 1482975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482979 */     // MIs[0] policy
     /* 1482979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482991 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483016 */     // GIR_Coverage, 24615,
     /* 1483016 */     GIR_EraseRootFromParent_Done,
     /* 1483017 */   // Label 20693: @1483017
     /* 1483017 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1483114), // Rule ID 24618 //
     /* 1483022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1483033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1483036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1483039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483072 */     // MIs[1] Operand 1
     /* 1483072 */     // No operand predicates
     /* 1483072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483076 */     // MIs[0] policy
     /* 1483076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483088 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483113 */     // GIR_Coverage, 24618,
     /* 1483113 */     GIR_EraseRootFromParent_Done,
     /* 1483114 */   // Label 20694: @1483114
     /* 1483114 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1483211), // Rule ID 24619 //
     /* 1483119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1483130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1483133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1483136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483169 */     // MIs[1] Operand 1
     /* 1483169 */     // No operand predicates
     /* 1483169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483173 */     // MIs[0] policy
     /* 1483173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483185 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483210 */     // GIR_Coverage, 24619,
     /* 1483210 */     GIR_EraseRootFromParent_Done,
     /* 1483211 */   // Label 20695: @1483211
     /* 1483211 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1483308), // Rule ID 24622 //
     /* 1483216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483266 */     // MIs[1] Operand 1
     /* 1483266 */     // No operand predicates
     /* 1483266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483270 */     // MIs[0] policy
     /* 1483270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483307 */     // GIR_Coverage, 24622,
     /* 1483307 */     GIR_EraseRootFromParent_Done,
     /* 1483308 */   // Label 20696: @1483308
     /* 1483308 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1483405), // Rule ID 24623 //
     /* 1483313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483363 */     // MIs[1] Operand 1
     /* 1483363 */     // No operand predicates
     /* 1483363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483367 */     // MIs[0] policy
     /* 1483367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483404 */     // GIR_Coverage, 24623,
     /* 1483404 */     GIR_EraseRootFromParent_Done,
     /* 1483405 */   // Label 20697: @1483405
     /* 1483405 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1483502), // Rule ID 24626 //
     /* 1483410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483460 */     // MIs[1] Operand 1
     /* 1483460 */     // No operand predicates
     /* 1483460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483464 */     // MIs[0] policy
     /* 1483464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483501 */     // GIR_Coverage, 24626,
     /* 1483501 */     GIR_EraseRootFromParent_Done,
     /* 1483502 */   // Label 20698: @1483502
     /* 1483502 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1483599), // Rule ID 24627 //
     /* 1483507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483557 */     // MIs[1] Operand 1
     /* 1483557 */     // No operand predicates
     /* 1483557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483561 */     // MIs[0] policy
     /* 1483561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483598 */     // GIR_Coverage, 24627,
     /* 1483598 */     GIR_EraseRootFromParent_Done,
     /* 1483599 */   // Label 20699: @1483599
     /* 1483599 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1483696), // Rule ID 24630 //
     /* 1483604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483654 */     // MIs[1] Operand 1
     /* 1483654 */     // No operand predicates
     /* 1483654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483658 */     // MIs[0] policy
     /* 1483658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483695 */     // GIR_Coverage, 24630,
     /* 1483695 */     GIR_EraseRootFromParent_Done,
     /* 1483696 */   // Label 20700: @1483696
     /* 1483696 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1483793), // Rule ID 24631 //
     /* 1483701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483751 */     // MIs[1] Operand 1
     /* 1483751 */     // No operand predicates
     /* 1483751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483755 */     // MIs[0] policy
     /* 1483755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483792 */     // GIR_Coverage, 24631,
     /* 1483792 */     GIR_EraseRootFromParent_Done,
     /* 1483793 */   // Label 20701: @1483793
     /* 1483793 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1483890), // Rule ID 24634 //
     /* 1483798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483848 */     // MIs[1] Operand 1
     /* 1483848 */     // No operand predicates
     /* 1483848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483852 */     // MIs[0] policy
     /* 1483852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483889 */     // GIR_Coverage, 24634,
     /* 1483889 */     GIR_EraseRootFromParent_Done,
     /* 1483890 */   // Label 20702: @1483890
     /* 1483890 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1483987), // Rule ID 24635 //
     /* 1483895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483945 */     // MIs[1] Operand 1
     /* 1483945 */     // No operand predicates
     /* 1483945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483949 */     // MIs[0] policy
     /* 1483949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483986 */     // GIR_Coverage, 24635,
     /* 1483986 */     GIR_EraseRootFromParent_Done,
     /* 1483987 */   // Label 20703: @1483987
     /* 1483987 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1484084), // Rule ID 24638 //
     /* 1483992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484042 */     // MIs[1] Operand 1
     /* 1484042 */     // No operand predicates
     /* 1484042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484046 */     // MIs[0] policy
     /* 1484046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484083 */     // GIR_Coverage, 24638,
     /* 1484083 */     GIR_EraseRootFromParent_Done,
     /* 1484084 */   // Label 20704: @1484084
     /* 1484084 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1484181), // Rule ID 24639 //
     /* 1484089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1484092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484139 */     // MIs[1] Operand 1
     /* 1484139 */     // No operand predicates
     /* 1484139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484143 */     // MIs[0] policy
     /* 1484143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484180 */     // GIR_Coverage, 24639,
     /* 1484180 */     GIR_EraseRootFromParent_Done,
     /* 1484181 */   // Label 20705: @1484181
     /* 1484181 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1484278), // Rule ID 24642 //
     /* 1484186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1484189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484236 */     // MIs[1] Operand 1
     /* 1484236 */     // No operand predicates
     /* 1484236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484240 */     // MIs[0] policy
     /* 1484240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1484255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484277 */     // GIR_Coverage, 24642,
     /* 1484277 */     GIR_EraseRootFromParent_Done,
     /* 1484278 */   // Label 20706: @1484278
     /* 1484278 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1484375), // Rule ID 24643 //
     /* 1484283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1484286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484333 */     // MIs[1] Operand 1
     /* 1484333 */     // No operand predicates
     /* 1484333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484337 */     // MIs[0] policy
     /* 1484337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1484352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484374 */     // GIR_Coverage, 24643,
     /* 1484374 */     GIR_EraseRootFromParent_Done,
     /* 1484375 */   // Label 20707: @1484375
     /* 1484375 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1484472), // Rule ID 24802 //
     /* 1484380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484430 */     // MIs[1] Operand 1
     /* 1484430 */     // No operand predicates
     /* 1484430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484434 */     // MIs[0] policy
     /* 1484434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484446 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484471 */     // GIR_Coverage, 24802,
     /* 1484471 */     GIR_EraseRootFromParent_Done,
     /* 1484472 */   // Label 20708: @1484472
     /* 1484472 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1484569), // Rule ID 24803 //
     /* 1484477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484527 */     // MIs[1] Operand 1
     /* 1484527 */     // No operand predicates
     /* 1484527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484531 */     // MIs[0] policy
     /* 1484531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484543 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484568 */     // GIR_Coverage, 24803,
     /* 1484568 */     GIR_EraseRootFromParent_Done,
     /* 1484569 */   // Label 20709: @1484569
     /* 1484569 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1484666), // Rule ID 24806 //
     /* 1484574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484624 */     // MIs[1] Operand 1
     /* 1484624 */     // No operand predicates
     /* 1484624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484628 */     // MIs[0] policy
     /* 1484628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484665 */     // GIR_Coverage, 24806,
     /* 1484665 */     GIR_EraseRootFromParent_Done,
     /* 1484666 */   // Label 20710: @1484666
     /* 1484666 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1484763), // Rule ID 24807 //
     /* 1484671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484721 */     // MIs[1] Operand 1
     /* 1484721 */     // No operand predicates
     /* 1484721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484725 */     // MIs[0] policy
     /* 1484725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484762 */     // GIR_Coverage, 24807,
     /* 1484762 */     GIR_EraseRootFromParent_Done,
     /* 1484763 */   // Label 20711: @1484763
     /* 1484763 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1484860), // Rule ID 24810 //
     /* 1484768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484818 */     // MIs[1] Operand 1
     /* 1484818 */     // No operand predicates
     /* 1484818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484822 */     // MIs[0] policy
     /* 1484822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484834 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484859 */     // GIR_Coverage, 24810,
     /* 1484859 */     GIR_EraseRootFromParent_Done,
     /* 1484860 */   // Label 20712: @1484860
     /* 1484860 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1484957), // Rule ID 24811 //
     /* 1484865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484915 */     // MIs[1] Operand 1
     /* 1484915 */     // No operand predicates
     /* 1484915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484919 */     // MIs[0] policy
     /* 1484919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484931 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484956 */     // GIR_Coverage, 24811,
     /* 1484956 */     GIR_EraseRootFromParent_Done,
     /* 1484957 */   // Label 20713: @1484957
     /* 1484957 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1485054), // Rule ID 24814 //
     /* 1484962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485012 */     // MIs[1] Operand 1
     /* 1485012 */     // No operand predicates
     /* 1485012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485016 */     // MIs[0] policy
     /* 1485016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485028 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485053 */     // GIR_Coverage, 24814,
     /* 1485053 */     GIR_EraseRootFromParent_Done,
     /* 1485054 */   // Label 20714: @1485054
     /* 1485054 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1485151), // Rule ID 24815 //
     /* 1485059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1485076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485109 */     // MIs[1] Operand 1
     /* 1485109 */     // No operand predicates
     /* 1485109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485113 */     // MIs[0] policy
     /* 1485113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485125 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485150 */     // GIR_Coverage, 24815,
     /* 1485150 */     GIR_EraseRootFromParent_Done,
     /* 1485151 */   // Label 20715: @1485151
     /* 1485151 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1485248), // Rule ID 24818 //
     /* 1485156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1485173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485206 */     // MIs[1] Operand 1
     /* 1485206 */     // No operand predicates
     /* 1485206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485210 */     // MIs[0] policy
     /* 1485210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485222 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485247 */     // GIR_Coverage, 24818,
     /* 1485247 */     GIR_EraseRootFromParent_Done,
     /* 1485248 */   // Label 20716: @1485248
     /* 1485248 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1485345), // Rule ID 24819 //
     /* 1485253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1485270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485303 */     // MIs[1] Operand 1
     /* 1485303 */     // No operand predicates
     /* 1485303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485307 */     // MIs[0] policy
     /* 1485307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485319 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485344 */     // GIR_Coverage, 24819,
     /* 1485344 */     GIR_EraseRootFromParent_Done,
     /* 1485345 */   // Label 20717: @1485345
     /* 1485345 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1485442), // Rule ID 24822 //
     /* 1485350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485400 */     // MIs[1] Operand 1
     /* 1485400 */     // No operand predicates
     /* 1485400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485404 */     // MIs[0] policy
     /* 1485404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485416 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485441 */     // GIR_Coverage, 24822,
     /* 1485441 */     GIR_EraseRootFromParent_Done,
     /* 1485442 */   // Label 20718: @1485442
     /* 1485442 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1485539), // Rule ID 24823 //
     /* 1485447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485497 */     // MIs[1] Operand 1
     /* 1485497 */     // No operand predicates
     /* 1485497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485501 */     // MIs[0] policy
     /* 1485501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485513 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485538 */     // GIR_Coverage, 24823,
     /* 1485538 */     GIR_EraseRootFromParent_Done,
     /* 1485539 */   // Label 20719: @1485539
     /* 1485539 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1485636), // Rule ID 24826 //
     /* 1485544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485594 */     // MIs[1] Operand 1
     /* 1485594 */     // No operand predicates
     /* 1485594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485598 */     // MIs[0] policy
     /* 1485598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485610 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485635 */     // GIR_Coverage, 24826,
     /* 1485635 */     GIR_EraseRootFromParent_Done,
     /* 1485636 */   // Label 20720: @1485636
     /* 1485636 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1485733), // Rule ID 24827 //
     /* 1485641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485691 */     // MIs[1] Operand 1
     /* 1485691 */     // No operand predicates
     /* 1485691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485695 */     // MIs[0] policy
     /* 1485695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485707 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485732 */     // GIR_Coverage, 24827,
     /* 1485732 */     GIR_EraseRootFromParent_Done,
     /* 1485733 */   // Label 20721: @1485733
     /* 1485733 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1485830), // Rule ID 24830 //
     /* 1485738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485788 */     // MIs[1] Operand 1
     /* 1485788 */     // No operand predicates
     /* 1485788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485792 */     // MIs[0] policy
     /* 1485792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485804 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485829 */     // GIR_Coverage, 24830,
     /* 1485829 */     GIR_EraseRootFromParent_Done,
     /* 1485830 */   // Label 20722: @1485830
     /* 1485830 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1485927), // Rule ID 24831 //
     /* 1485835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485885 */     // MIs[1] Operand 1
     /* 1485885 */     // No operand predicates
     /* 1485885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485889 */     // MIs[0] policy
     /* 1485889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485901 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485926 */     // GIR_Coverage, 24831,
     /* 1485926 */     GIR_EraseRootFromParent_Done,
     /* 1485927 */   // Label 20723: @1485927
     /* 1485927 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1486024), // Rule ID 24834 //
     /* 1485932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485982 */     // MIs[1] Operand 1
     /* 1485982 */     // No operand predicates
     /* 1485982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485986 */     // MIs[0] policy
     /* 1485986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485998 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486023 */     // GIR_Coverage, 24834,
     /* 1486023 */     GIR_EraseRootFromParent_Done,
     /* 1486024 */   // Label 20724: @1486024
     /* 1486024 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1486121), // Rule ID 24835 //
     /* 1486029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1486032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1486040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1486043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1486046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486079 */     // MIs[1] Operand 1
     /* 1486079 */     // No operand predicates
     /* 1486079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486083 */     // MIs[0] policy
     /* 1486083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486095 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486120 */     // GIR_Coverage, 24835,
     /* 1486120 */     GIR_EraseRootFromParent_Done,
     /* 1486121 */   // Label 20725: @1486121
     /* 1486121 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1486218), // Rule ID 24886 //
     /* 1486126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486176 */     // MIs[1] Operand 1
     /* 1486176 */     // No operand predicates
     /* 1486176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486180 */     // MIs[0] policy
     /* 1486180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486192 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1486195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486217 */     // GIR_Coverage, 24886,
     /* 1486217 */     GIR_EraseRootFromParent_Done,
     /* 1486218 */   // Label 20726: @1486218
     /* 1486218 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1486315), // Rule ID 24887 //
     /* 1486223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486273 */     // MIs[1] Operand 1
     /* 1486273 */     // No operand predicates
     /* 1486273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486277 */     // MIs[0] policy
     /* 1486277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486289 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1486292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486314 */     // GIR_Coverage, 24887,
     /* 1486314 */     GIR_EraseRootFromParent_Done,
     /* 1486315 */   // Label 20727: @1486315
     /* 1486315 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1486412), // Rule ID 24890 //
     /* 1486320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1486331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1486334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1486337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486370 */     // MIs[1] Operand 1
     /* 1486370 */     // No operand predicates
     /* 1486370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486374 */     // MIs[0] policy
     /* 1486374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486386 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486411 */     // GIR_Coverage, 24890,
     /* 1486411 */     GIR_EraseRootFromParent_Done,
     /* 1486412 */   // Label 20728: @1486412
     /* 1486412 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1486509), // Rule ID 24891 //
     /* 1486417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1486428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1486431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1486434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486467 */     // MIs[1] Operand 1
     /* 1486467 */     // No operand predicates
     /* 1486467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486471 */     // MIs[0] policy
     /* 1486471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486483 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486508 */     // GIR_Coverage, 24891,
     /* 1486508 */     GIR_EraseRootFromParent_Done,
     /* 1486509 */   // Label 20729: @1486509
     /* 1486509 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1486606), // Rule ID 24894 //
     /* 1486514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486564 */     // MIs[1] Operand 1
     /* 1486564 */     // No operand predicates
     /* 1486564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486568 */     // MIs[0] policy
     /* 1486568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486580 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486605 */     // GIR_Coverage, 24894,
     /* 1486605 */     GIR_EraseRootFromParent_Done,
     /* 1486606 */   // Label 20730: @1486606
     /* 1486606 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1486703), // Rule ID 24895 //
     /* 1486611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486661 */     // MIs[1] Operand 1
     /* 1486661 */     // No operand predicates
     /* 1486661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486665 */     // MIs[0] policy
     /* 1486665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486702 */     // GIR_Coverage, 24895,
     /* 1486702 */     GIR_EraseRootFromParent_Done,
     /* 1486703 */   // Label 20731: @1486703
     /* 1486703 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1486800), // Rule ID 24898 //
     /* 1486708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486758 */     // MIs[1] Operand 1
     /* 1486758 */     // No operand predicates
     /* 1486758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486762 */     // MIs[0] policy
     /* 1486762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486774 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486799 */     // GIR_Coverage, 24898,
     /* 1486799 */     GIR_EraseRootFromParent_Done,
     /* 1486800 */   // Label 20732: @1486800
     /* 1486800 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1486897), // Rule ID 24899 //
     /* 1486805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486855 */     // MIs[1] Operand 1
     /* 1486855 */     // No operand predicates
     /* 1486855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486859 */     // MIs[0] policy
     /* 1486859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486871 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486896 */     // GIR_Coverage, 24899,
     /* 1486896 */     GIR_EraseRootFromParent_Done,
     /* 1486897 */   // Label 20733: @1486897
     /* 1486897 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1486994), // Rule ID 24902 //
     /* 1486902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486952 */     // MIs[1] Operand 1
     /* 1486952 */     // No operand predicates
     /* 1486952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486956 */     // MIs[0] policy
     /* 1486956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486968 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486993 */     // GIR_Coverage, 24902,
     /* 1486993 */     GIR_EraseRootFromParent_Done,
     /* 1486994 */   // Label 20734: @1486994
     /* 1486994 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1487091), // Rule ID 24903 //
     /* 1486999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1487002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487049 */     // MIs[1] Operand 1
     /* 1487049 */     // No operand predicates
     /* 1487049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487053 */     // MIs[0] policy
     /* 1487053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487065 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1487068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487090 */     // GIR_Coverage, 24903,
     /* 1487090 */     GIR_EraseRootFromParent_Done,
     /* 1487091 */   // Label 20735: @1487091
     /* 1487091 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1487188), // Rule ID 24906 //
     /* 1487096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1487099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487146 */     // MIs[1] Operand 1
     /* 1487146 */     // No operand predicates
     /* 1487146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487150 */     // MIs[0] policy
     /* 1487150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487162 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487187 */     // GIR_Coverage, 24906,
     /* 1487187 */     GIR_EraseRootFromParent_Done,
     /* 1487188 */   // Label 20736: @1487188
     /* 1487188 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1487285), // Rule ID 24907 //
     /* 1487193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1487196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487243 */     // MIs[1] Operand 1
     /* 1487243 */     // No operand predicates
     /* 1487243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487247 */     // MIs[0] policy
     /* 1487247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487259 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487284 */     // GIR_Coverage, 24907,
     /* 1487284 */     GIR_EraseRootFromParent_Done,
     /* 1487285 */   // Label 20737: @1487285
     /* 1487285 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1487382), // Rule ID 60910 //
     /* 1487290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1487307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487340 */     // MIs[1] Operand 1
     /* 1487340 */     // No operand predicates
     /* 1487340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487344 */     // MIs[0] policy
     /* 1487344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1487359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487381 */     // GIR_Coverage, 60910,
     /* 1487381 */     GIR_EraseRootFromParent_Done,
     /* 1487382 */   // Label 20738: @1487382
     /* 1487382 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1487479), // Rule ID 60911 //
     /* 1487387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1487404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487437 */     // MIs[1] Operand 1
     /* 1487437 */     // No operand predicates
     /* 1487437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487441 */     // MIs[0] policy
     /* 1487441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1487456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487478 */     // GIR_Coverage, 60911,
     /* 1487478 */     GIR_EraseRootFromParent_Done,
     /* 1487479 */   // Label 20739: @1487479
     /* 1487479 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1487576), // Rule ID 60918 //
     /* 1487484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487534 */     // MIs[1] Operand 1
     /* 1487534 */     // No operand predicates
     /* 1487534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487538 */     // MIs[0] policy
     /* 1487538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487575 */     // GIR_Coverage, 60918,
     /* 1487575 */     GIR_EraseRootFromParent_Done,
     /* 1487576 */   // Label 20740: @1487576
     /* 1487576 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1487673), // Rule ID 60919 //
     /* 1487581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487631 */     // MIs[1] Operand 1
     /* 1487631 */     // No operand predicates
     /* 1487631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487635 */     // MIs[0] policy
     /* 1487635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487672 */     // GIR_Coverage, 60919,
     /* 1487672 */     GIR_EraseRootFromParent_Done,
     /* 1487673 */   // Label 20741: @1487673
     /* 1487673 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1487770), // Rule ID 60926 //
     /* 1487678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487728 */     // MIs[1] Operand 1
     /* 1487728 */     // No operand predicates
     /* 1487728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487732 */     // MIs[0] policy
     /* 1487732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487769 */     // GIR_Coverage, 60926,
     /* 1487769 */     GIR_EraseRootFromParent_Done,
     /* 1487770 */   // Label 20742: @1487770
     /* 1487770 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1487867), // Rule ID 60927 //
     /* 1487775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487825 */     // MIs[1] Operand 1
     /* 1487825 */     // No operand predicates
     /* 1487825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487829 */     // MIs[0] policy
     /* 1487829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487841 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487866 */     // GIR_Coverage, 60927,
     /* 1487866 */     GIR_EraseRootFromParent_Done,
     /* 1487867 */   // Label 20743: @1487867
     /* 1487867 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1487964), // Rule ID 60934 //
     /* 1487872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487922 */     // MIs[1] Operand 1
     /* 1487922 */     // No operand predicates
     /* 1487922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487926 */     // MIs[0] policy
     /* 1487926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487963 */     // GIR_Coverage, 60934,
     /* 1487963 */     GIR_EraseRootFromParent_Done,
     /* 1487964 */   // Label 20744: @1487964
     /* 1487964 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1488061), // Rule ID 60935 //
     /* 1487969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488019 */     // MIs[1] Operand 1
     /* 1488019 */     // No operand predicates
     /* 1488019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488023 */     // MIs[0] policy
     /* 1488023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488060 */     // GIR_Coverage, 60935,
     /* 1488060 */     GIR_EraseRootFromParent_Done,
     /* 1488061 */   // Label 20745: @1488061
     /* 1488061 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1488158), // Rule ID 60942 //
     /* 1488066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1488077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1488080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488116 */     // MIs[1] Operand 1
     /* 1488116 */     // No operand predicates
     /* 1488116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488120 */     // MIs[0] policy
     /* 1488120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488157 */     // GIR_Coverage, 60942,
     /* 1488157 */     GIR_EraseRootFromParent_Done,
     /* 1488158 */   // Label 20746: @1488158
     /* 1488158 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1488255), // Rule ID 60943 //
     /* 1488163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1488174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1488177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488213 */     // MIs[1] Operand 1
     /* 1488213 */     // No operand predicates
     /* 1488213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488217 */     // MIs[0] policy
     /* 1488217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488229 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488254 */     // GIR_Coverage, 60943,
     /* 1488254 */     GIR_EraseRootFromParent_Done,
     /* 1488255 */   // Label 20747: @1488255
     /* 1488255 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1488352), // Rule ID 60950 //
     /* 1488260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1488271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1488274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1488277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1488283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488310 */     // MIs[1] Operand 1
     /* 1488310 */     // No operand predicates
     /* 1488310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488314 */     // MIs[0] policy
     /* 1488314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488351 */     // GIR_Coverage, 60950,
     /* 1488351 */     GIR_EraseRootFromParent_Done,
     /* 1488352 */   // Label 20748: @1488352
     /* 1488352 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1488449), // Rule ID 60951 //
     /* 1488357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1488368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1488371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1488374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1488380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488407 */     // MIs[1] Operand 1
     /* 1488407 */     // No operand predicates
     /* 1488407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488411 */     // MIs[0] policy
     /* 1488411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488423 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488448 */     // GIR_Coverage, 60951,
     /* 1488448 */     GIR_EraseRootFromParent_Done,
     /* 1488449 */   // Label 20749: @1488449
     /* 1488449 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1488546), // Rule ID 60958 //
     /* 1488454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488504 */     // MIs[1] Operand 1
     /* 1488504 */     // No operand predicates
     /* 1488504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488508 */     // MIs[0] policy
     /* 1488508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488545 */     // GIR_Coverage, 60958,
     /* 1488545 */     GIR_EraseRootFromParent_Done,
     /* 1488546 */   // Label 20750: @1488546
     /* 1488546 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1488643), // Rule ID 60959 //
     /* 1488551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488601 */     // MIs[1] Operand 1
     /* 1488601 */     // No operand predicates
     /* 1488601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488605 */     // MIs[0] policy
     /* 1488605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488642 */     // GIR_Coverage, 60959,
     /* 1488642 */     GIR_EraseRootFromParent_Done,
     /* 1488643 */   // Label 20751: @1488643
     /* 1488643 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1488740), // Rule ID 60966 //
     /* 1488648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488698 */     // MIs[1] Operand 1
     /* 1488698 */     // No operand predicates
     /* 1488698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488702 */     // MIs[0] policy
     /* 1488702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488739 */     // GIR_Coverage, 60966,
     /* 1488739 */     GIR_EraseRootFromParent_Done,
     /* 1488740 */   // Label 20752: @1488740
     /* 1488740 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1488837), // Rule ID 60967 //
     /* 1488745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488795 */     // MIs[1] Operand 1
     /* 1488795 */     // No operand predicates
     /* 1488795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488799 */     // MIs[0] policy
     /* 1488799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488836 */     // GIR_Coverage, 60967,
     /* 1488836 */     GIR_EraseRootFromParent_Done,
     /* 1488837 */   // Label 20753: @1488837
     /* 1488837 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1488934), // Rule ID 60974 //
     /* 1488842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488892 */     // MIs[1] Operand 1
     /* 1488892 */     // No operand predicates
     /* 1488892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488896 */     // MIs[0] policy
     /* 1488896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488933 */     // GIR_Coverage, 60974,
     /* 1488933 */     GIR_EraseRootFromParent_Done,
     /* 1488934 */   // Label 20754: @1488934
     /* 1488934 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1489031), // Rule ID 60975 //
     /* 1488939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488989 */     // MIs[1] Operand 1
     /* 1488989 */     // No operand predicates
     /* 1488989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488993 */     // MIs[0] policy
     /* 1488993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489030 */     // GIR_Coverage, 60975,
     /* 1489030 */     GIR_EraseRootFromParent_Done,
     /* 1489031 */   // Label 20755: @1489031
     /* 1489031 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1489128), // Rule ID 60982 //
     /* 1489036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489086 */     // MIs[1] Operand 1
     /* 1489086 */     // No operand predicates
     /* 1489086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489090 */     // MIs[0] policy
     /* 1489090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489127 */     // GIR_Coverage, 60982,
     /* 1489127 */     GIR_EraseRootFromParent_Done,
     /* 1489128 */   // Label 20756: @1489128
     /* 1489128 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1489225), // Rule ID 60983 //
     /* 1489133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489183 */     // MIs[1] Operand 1
     /* 1489183 */     // No operand predicates
     /* 1489183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489187 */     // MIs[0] policy
     /* 1489187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489224 */     // GIR_Coverage, 60983,
     /* 1489224 */     GIR_EraseRootFromParent_Done,
     /* 1489225 */   // Label 20757: @1489225
     /* 1489225 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1489322), // Rule ID 60990 //
     /* 1489230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489280 */     // MIs[1] Operand 1
     /* 1489280 */     // No operand predicates
     /* 1489280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489284 */     // MIs[0] policy
     /* 1489284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489321 */     // GIR_Coverage, 60990,
     /* 1489321 */     GIR_EraseRootFromParent_Done,
     /* 1489322 */   // Label 20758: @1489322
     /* 1489322 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1489419), // Rule ID 60991 //
     /* 1489327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489377 */     // MIs[1] Operand 1
     /* 1489377 */     // No operand predicates
     /* 1489377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489381 */     // MIs[0] policy
     /* 1489381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489418 */     // GIR_Coverage, 60991,
     /* 1489418 */     GIR_EraseRootFromParent_Done,
     /* 1489419 */   // Label 20759: @1489419
     /* 1489419 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1489516), // Rule ID 60998 //
     /* 1489424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489474 */     // MIs[1] Operand 1
     /* 1489474 */     // No operand predicates
     /* 1489474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489478 */     // MIs[0] policy
     /* 1489478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489515 */     // GIR_Coverage, 60998,
     /* 1489515 */     GIR_EraseRootFromParent_Done,
     /* 1489516 */   // Label 20760: @1489516
     /* 1489516 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1489613), // Rule ID 60999 //
     /* 1489521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489571 */     // MIs[1] Operand 1
     /* 1489571 */     // No operand predicates
     /* 1489571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489575 */     // MIs[0] policy
     /* 1489575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489612 */     // GIR_Coverage, 60999,
     /* 1489612 */     GIR_EraseRootFromParent_Done,
     /* 1489613 */   // Label 20761: @1489613
     /* 1489613 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1489710), // Rule ID 61006 //
     /* 1489618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489668 */     // MIs[1] Operand 1
     /* 1489668 */     // No operand predicates
     /* 1489668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489672 */     // MIs[0] policy
     /* 1489672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489709 */     // GIR_Coverage, 61006,
     /* 1489709 */     GIR_EraseRootFromParent_Done,
     /* 1489710 */   // Label 20762: @1489710
     /* 1489710 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1489807), // Rule ID 61007 //
     /* 1489715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489765 */     // MIs[1] Operand 1
     /* 1489765 */     // No operand predicates
     /* 1489765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489769 */     // MIs[0] policy
     /* 1489769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489806 */     // GIR_Coverage, 61007,
     /* 1489806 */     GIR_EraseRootFromParent_Done,
     /* 1489807 */   // Label 20763: @1489807
     /* 1489807 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1489904), // Rule ID 61014 //
     /* 1489812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489862 */     // MIs[1] Operand 1
     /* 1489862 */     // No operand predicates
     /* 1489862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489866 */     // MIs[0] policy
     /* 1489866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489903 */     // GIR_Coverage, 61014,
     /* 1489903 */     GIR_EraseRootFromParent_Done,
     /* 1489904 */   // Label 20764: @1489904
     /* 1489904 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1490001), // Rule ID 61015 //
     /* 1489909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489959 */     // MIs[1] Operand 1
     /* 1489959 */     // No operand predicates
     /* 1489959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489963 */     // MIs[0] policy
     /* 1489963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489975 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490000 */     // GIR_Coverage, 61015,
     /* 1490000 */     GIR_EraseRootFromParent_Done,
     /* 1490001 */   // Label 20765: @1490001
     /* 1490001 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1490098), // Rule ID 61022 //
     /* 1490006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1490009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1490014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490056 */     // MIs[1] Operand 1
     /* 1490056 */     // No operand predicates
     /* 1490056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490060 */     // MIs[0] policy
     /* 1490060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1490075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490097 */     // GIR_Coverage, 61022,
     /* 1490097 */     GIR_EraseRootFromParent_Done,
     /* 1490098 */   // Label 20766: @1490098
     /* 1490098 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1490195), // Rule ID 61023 //
     /* 1490103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1490106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1490111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490153 */     // MIs[1] Operand 1
     /* 1490153 */     // No operand predicates
     /* 1490153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490157 */     // MIs[0] policy
     /* 1490157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1490172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490194 */     // GIR_Coverage, 61023,
     /* 1490194 */     GIR_EraseRootFromParent_Done,
     /* 1490195 */   // Label 20767: @1490195
     /* 1490195 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1490292), // Rule ID 61878 //
     /* 1490200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1490211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1490214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1490217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490250 */     // MIs[1] Operand 1
     /* 1490250 */     // No operand predicates
     /* 1490250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490254 */     // MIs[0] policy
     /* 1490254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490266 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1490269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490291 */     // GIR_Coverage, 61878,
     /* 1490291 */     GIR_EraseRootFromParent_Done,
     /* 1490292 */   // Label 20768: @1490292
     /* 1490292 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1490389), // Rule ID 61879 //
     /* 1490297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1490308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1490311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1490314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490347 */     // MIs[1] Operand 1
     /* 1490347 */     // No operand predicates
     /* 1490347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490351 */     // MIs[0] policy
     /* 1490351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490363 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1490366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490388 */     // GIR_Coverage, 61879,
     /* 1490388 */     GIR_EraseRootFromParent_Done,
     /* 1490389 */   // Label 20769: @1490389
     /* 1490389 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1490486), // Rule ID 61882 //
     /* 1490394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1490405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1490408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1490411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490444 */     // MIs[1] Operand 1
     /* 1490444 */     // No operand predicates
     /* 1490444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490448 */     // MIs[0] policy
     /* 1490448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490485 */     // GIR_Coverage, 61882,
     /* 1490485 */     GIR_EraseRootFromParent_Done,
     /* 1490486 */   // Label 20770: @1490486
     /* 1490486 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1490583), // Rule ID 61883 //
     /* 1490491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1490502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1490505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1490508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490541 */     // MIs[1] Operand 1
     /* 1490541 */     // No operand predicates
     /* 1490541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490545 */     // MIs[0] policy
     /* 1490545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490557 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490582 */     // GIR_Coverage, 61883,
     /* 1490582 */     GIR_EraseRootFromParent_Done,
     /* 1490583 */   // Label 20771: @1490583
     /* 1490583 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1490680), // Rule ID 61886 //
     /* 1490588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490638 */     // MIs[1] Operand 1
     /* 1490638 */     // No operand predicates
     /* 1490638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490642 */     // MIs[0] policy
     /* 1490642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490654 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490679 */     // GIR_Coverage, 61886,
     /* 1490679 */     GIR_EraseRootFromParent_Done,
     /* 1490680 */   // Label 20772: @1490680
     /* 1490680 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1490777), // Rule ID 61887 //
     /* 1490685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490735 */     // MIs[1] Operand 1
     /* 1490735 */     // No operand predicates
     /* 1490735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490739 */     // MIs[0] policy
     /* 1490739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490776 */     // GIR_Coverage, 61887,
     /* 1490776 */     GIR_EraseRootFromParent_Done,
     /* 1490777 */   // Label 20773: @1490777
     /* 1490777 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1490874), // Rule ID 61890 //
     /* 1490782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490832 */     // MIs[1] Operand 1
     /* 1490832 */     // No operand predicates
     /* 1490832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490836 */     // MIs[0] policy
     /* 1490836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490873 */     // GIR_Coverage, 61890,
     /* 1490873 */     GIR_EraseRootFromParent_Done,
     /* 1490874 */   // Label 20774: @1490874
     /* 1490874 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1490971), // Rule ID 61891 //
     /* 1490879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490929 */     // MIs[1] Operand 1
     /* 1490929 */     // No operand predicates
     /* 1490929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490933 */     // MIs[0] policy
     /* 1490933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490945 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490970 */     // GIR_Coverage, 61891,
     /* 1490970 */     GIR_EraseRootFromParent_Done,
     /* 1490971 */   // Label 20775: @1490971
     /* 1490971 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1491068), // Rule ID 61894 //
     /* 1490976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491026 */     // MIs[1] Operand 1
     /* 1491026 */     // No operand predicates
     /* 1491026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491030 */     // MIs[0] policy
     /* 1491030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491042 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491067 */     // GIR_Coverage, 61894,
     /* 1491067 */     GIR_EraseRootFromParent_Done,
     /* 1491068 */   // Label 20776: @1491068
     /* 1491068 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1491165), // Rule ID 61895 //
     /* 1491073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491123 */     // MIs[1] Operand 1
     /* 1491123 */     // No operand predicates
     /* 1491123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491127 */     // MIs[0] policy
     /* 1491127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491164 */     // GIR_Coverage, 61895,
     /* 1491164 */     GIR_EraseRootFromParent_Done,
     /* 1491165 */   // Label 20777: @1491165
     /* 1491165 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1491262), // Rule ID 61898 //
     /* 1491170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491220 */     // MIs[1] Operand 1
     /* 1491220 */     // No operand predicates
     /* 1491220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491224 */     // MIs[0] policy
     /* 1491224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491261 */     // GIR_Coverage, 61898,
     /* 1491261 */     GIR_EraseRootFromParent_Done,
     /* 1491262 */   // Label 20778: @1491262
     /* 1491262 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1491359), // Rule ID 61899 //
     /* 1491267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491317 */     // MIs[1] Operand 1
     /* 1491317 */     // No operand predicates
     /* 1491317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491321 */     // MIs[0] policy
     /* 1491321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491358 */     // GIR_Coverage, 61899,
     /* 1491358 */     GIR_EraseRootFromParent_Done,
     /* 1491359 */   // Label 20779: @1491359
     /* 1491359 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1491456), // Rule ID 61902 //
     /* 1491364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1491375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1491378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1491381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491414 */     // MIs[1] Operand 1
     /* 1491414 */     // No operand predicates
     /* 1491414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491418 */     // MIs[0] policy
     /* 1491418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491455 */     // GIR_Coverage, 61902,
     /* 1491455 */     GIR_EraseRootFromParent_Done,
     /* 1491456 */   // Label 20780: @1491456
     /* 1491456 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1491553), // Rule ID 61903 //
     /* 1491461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1491472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1491475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1491478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491511 */     // MIs[1] Operand 1
     /* 1491511 */     // No operand predicates
     /* 1491511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491515 */     // MIs[0] policy
     /* 1491515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491552 */     // GIR_Coverage, 61903,
     /* 1491552 */     GIR_EraseRootFromParent_Done,
     /* 1491553 */   // Label 20781: @1491553
     /* 1491553 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1491650), // Rule ID 61906 //
     /* 1491558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491608 */     // MIs[1] Operand 1
     /* 1491608 */     // No operand predicates
     /* 1491608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491612 */     // MIs[0] policy
     /* 1491612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491649 */     // GIR_Coverage, 61906,
     /* 1491649 */     GIR_EraseRootFromParent_Done,
     /* 1491650 */   // Label 20782: @1491650
     /* 1491650 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1491747), // Rule ID 61907 //
     /* 1491655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491705 */     // MIs[1] Operand 1
     /* 1491705 */     // No operand predicates
     /* 1491705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491709 */     // MIs[0] policy
     /* 1491709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491746 */     // GIR_Coverage, 61907,
     /* 1491746 */     GIR_EraseRootFromParent_Done,
     /* 1491747 */   // Label 20783: @1491747
     /* 1491747 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1491844), // Rule ID 61910 //
     /* 1491752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491802 */     // MIs[1] Operand 1
     /* 1491802 */     // No operand predicates
     /* 1491802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491806 */     // MIs[0] policy
     /* 1491806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491843 */     // GIR_Coverage, 61910,
     /* 1491843 */     GIR_EraseRootFromParent_Done,
     /* 1491844 */   // Label 20784: @1491844
     /* 1491844 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1491941), // Rule ID 61911 //
     /* 1491849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491899 */     // MIs[1] Operand 1
     /* 1491899 */     // No operand predicates
     /* 1491899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491903 */     // MIs[0] policy
     /* 1491903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491940 */     // GIR_Coverage, 61911,
     /* 1491940 */     GIR_EraseRootFromParent_Done,
     /* 1491941 */   // Label 20785: @1491941
     /* 1491941 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1492038), // Rule ID 61914 //
     /* 1491946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491996 */     // MIs[1] Operand 1
     /* 1491996 */     // No operand predicates
     /* 1491996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492000 */     // MIs[0] policy
     /* 1492000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1492015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492037 */     // GIR_Coverage, 61914,
     /* 1492037 */     GIR_EraseRootFromParent_Done,
     /* 1492038 */   // Label 20786: @1492038
     /* 1492038 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1492135), // Rule ID 61915 //
     /* 1492043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1492054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1492057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1492060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492093 */     // MIs[1] Operand 1
     /* 1492093 */     // No operand predicates
     /* 1492093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492097 */     // MIs[0] policy
     /* 1492097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1492112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492134 */     // GIR_Coverage, 61915,
     /* 1492134 */     GIR_EraseRootFromParent_Done,
     /* 1492135 */   // Label 20787: @1492135
     /* 1492135 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1492232), // Rule ID 61918 //
     /* 1492140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1492151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1492154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1492157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492190 */     // MIs[1] Operand 1
     /* 1492190 */     // No operand predicates
     /* 1492190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492194 */     // MIs[0] policy
     /* 1492194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492206 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492231 */     // GIR_Coverage, 61918,
     /* 1492231 */     GIR_EraseRootFromParent_Done,
     /* 1492232 */   // Label 20788: @1492232
     /* 1492232 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1492329), // Rule ID 61919 //
     /* 1492237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1492248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1492251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1492254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492287 */     // MIs[1] Operand 1
     /* 1492287 */     // No operand predicates
     /* 1492287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492291 */     // MIs[0] policy
     /* 1492291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492328 */     // GIR_Coverage, 61919,
     /* 1492328 */     GIR_EraseRootFromParent_Done,
     /* 1492329 */   // Label 20789: @1492329
     /* 1492329 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1492426), // Rule ID 61922 //
     /* 1492334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1492345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1492348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492384 */     // MIs[1] Operand 1
     /* 1492384 */     // No operand predicates
     /* 1492384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492388 */     // MIs[0] policy
     /* 1492388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492425 */     // GIR_Coverage, 61922,
     /* 1492425 */     GIR_EraseRootFromParent_Done,
     /* 1492426 */   // Label 20790: @1492426
     /* 1492426 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1492523), // Rule ID 61923 //
     /* 1492431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1492442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1492445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492481 */     // MIs[1] Operand 1
     /* 1492481 */     // No operand predicates
     /* 1492481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492485 */     // MIs[0] policy
     /* 1492485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492522 */     // GIR_Coverage, 61923,
     /* 1492522 */     GIR_EraseRootFromParent_Done,
     /* 1492523 */   // Label 20791: @1492523
     /* 1492523 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1492620), // Rule ID 61926 //
     /* 1492528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492578 */     // MIs[1] Operand 1
     /* 1492578 */     // No operand predicates
     /* 1492578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492582 */     // MIs[0] policy
     /* 1492582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492594 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492619 */     // GIR_Coverage, 61926,
     /* 1492619 */     GIR_EraseRootFromParent_Done,
     /* 1492620 */   // Label 20792: @1492620
     /* 1492620 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1492717), // Rule ID 61927 //
     /* 1492625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492675 */     // MIs[1] Operand 1
     /* 1492675 */     // No operand predicates
     /* 1492675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492679 */     // MIs[0] policy
     /* 1492679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492691 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492716 */     // GIR_Coverage, 61927,
     /* 1492716 */     GIR_EraseRootFromParent_Done,
     /* 1492717 */   // Label 20793: @1492717
     /* 1492717 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1492814), // Rule ID 61930 //
     /* 1492722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492772 */     // MIs[1] Operand 1
     /* 1492772 */     // No operand predicates
     /* 1492772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492776 */     // MIs[0] policy
     /* 1492776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492813 */     // GIR_Coverage, 61930,
     /* 1492813 */     GIR_EraseRootFromParent_Done,
     /* 1492814 */   // Label 20794: @1492814
     /* 1492814 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1492911), // Rule ID 61931 //
     /* 1492819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492869 */     // MIs[1] Operand 1
     /* 1492869 */     // No operand predicates
     /* 1492869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492873 */     // MIs[0] policy
     /* 1492873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492910 */     // GIR_Coverage, 61931,
     /* 1492910 */     GIR_EraseRootFromParent_Done,
     /* 1492911 */   // Label 20795: @1492911
     /* 1492911 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1493008), // Rule ID 61934 //
     /* 1492916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492966 */     // MIs[1] Operand 1
     /* 1492966 */     // No operand predicates
     /* 1492966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492970 */     // MIs[0] policy
     /* 1492970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493007 */     // GIR_Coverage, 61934,
     /* 1493007 */     GIR_EraseRootFromParent_Done,
     /* 1493008 */   // Label 20796: @1493008
     /* 1493008 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1493105), // Rule ID 61935 //
     /* 1493013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1493024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1493027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493063 */     // MIs[1] Operand 1
     /* 1493063 */     // No operand predicates
     /* 1493063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493067 */     // MIs[0] policy
     /* 1493067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493079 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493104 */     // GIR_Coverage, 61935,
     /* 1493104 */     GIR_EraseRootFromParent_Done,
     /* 1493105 */   // Label 20797: @1493105
     /* 1493105 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1493202), // Rule ID 61938 //
     /* 1493110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1493121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1493124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1493127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493160 */     // MIs[1] Operand 1
     /* 1493160 */     // No operand predicates
     /* 1493160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493164 */     // MIs[0] policy
     /* 1493164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493201 */     // GIR_Coverage, 61938,
     /* 1493201 */     GIR_EraseRootFromParent_Done,
     /* 1493202 */   // Label 20798: @1493202
     /* 1493202 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1493299), // Rule ID 61939 //
     /* 1493207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1493218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1493221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1493224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493257 */     // MIs[1] Operand 1
     /* 1493257 */     // No operand predicates
     /* 1493257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493261 */     // MIs[0] policy
     /* 1493261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493273 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493298 */     // GIR_Coverage, 61939,
     /* 1493298 */     GIR_EraseRootFromParent_Done,
     /* 1493299 */   // Label 20799: @1493299
     /* 1493299 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1493396), // Rule ID 61942 //
     /* 1493304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1493315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1493318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1493321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493354 */     // MIs[1] Operand 1
     /* 1493354 */     // No operand predicates
     /* 1493354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493358 */     // MIs[0] policy
     /* 1493358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493395 */     // GIR_Coverage, 61942,
     /* 1493395 */     GIR_EraseRootFromParent_Done,
     /* 1493396 */   // Label 20800: @1493396
     /* 1493396 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1493493), // Rule ID 61943 //
     /* 1493401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1493412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1493415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1493418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493451 */     // MIs[1] Operand 1
     /* 1493451 */     // No operand predicates
     /* 1493451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493455 */     // MIs[0] policy
     /* 1493455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493492 */     // GIR_Coverage, 61943,
     /* 1493492 */     GIR_EraseRootFromParent_Done,
     /* 1493493 */   // Label 20801: @1493493
     /* 1493493 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1493590), // Rule ID 61946 //
     /* 1493498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493548 */     // MIs[1] Operand 1
     /* 1493548 */     // No operand predicates
     /* 1493548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493552 */     // MIs[0] policy
     /* 1493552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493589 */     // GIR_Coverage, 61946,
     /* 1493589 */     GIR_EraseRootFromParent_Done,
     /* 1493590 */   // Label 20802: @1493590
     /* 1493590 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1493687), // Rule ID 61947 //
     /* 1493595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493645 */     // MIs[1] Operand 1
     /* 1493645 */     // No operand predicates
     /* 1493645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493649 */     // MIs[0] policy
     /* 1493649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493686 */     // GIR_Coverage, 61947,
     /* 1493686 */     GIR_EraseRootFromParent_Done,
     /* 1493687 */   // Label 20803: @1493687
     /* 1493687 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1493784), // Rule ID 61950 //
     /* 1493692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493742 */     // MIs[1] Operand 1
     /* 1493742 */     // No operand predicates
     /* 1493742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493746 */     // MIs[0] policy
     /* 1493746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493783 */     // GIR_Coverage, 61950,
     /* 1493783 */     GIR_EraseRootFromParent_Done,
     /* 1493784 */   // Label 20804: @1493784
     /* 1493784 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1493881), // Rule ID 61951 //
     /* 1493789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493839 */     // MIs[1] Operand 1
     /* 1493839 */     // No operand predicates
     /* 1493839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493843 */     // MIs[0] policy
     /* 1493843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493880 */     // GIR_Coverage, 61951,
     /* 1493880 */     GIR_EraseRootFromParent_Done,
     /* 1493881 */   // Label 20805: @1493881
     /* 1493881 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1493978), // Rule ID 61954 //
     /* 1493886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493936 */     // MIs[1] Operand 1
     /* 1493936 */     // No operand predicates
     /* 1493936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493940 */     // MIs[0] policy
     /* 1493940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493977 */     // GIR_Coverage, 61954,
     /* 1493977 */     GIR_EraseRootFromParent_Done,
     /* 1493978 */   // Label 20806: @1493978
     /* 1493978 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1494075), // Rule ID 61955 //
     /* 1493983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1494000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494033 */     // MIs[1] Operand 1
     /* 1494033 */     // No operand predicates
     /* 1494033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494037 */     // MIs[0] policy
     /* 1494037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1494052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494074 */     // GIR_Coverage, 61955,
     /* 1494074 */     GIR_EraseRootFromParent_Done,
     /* 1494075 */   // Label 20807: @1494075
     /* 1494075 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1494172), // Rule ID 61958 //
     /* 1494080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1494091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1494094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1494097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494130 */     // MIs[1] Operand 1
     /* 1494130 */     // No operand predicates
     /* 1494130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494134 */     // MIs[0] policy
     /* 1494134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1494149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494171 */     // GIR_Coverage, 61958,
     /* 1494171 */     GIR_EraseRootFromParent_Done,
     /* 1494172 */   // Label 20808: @1494172
     /* 1494172 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1494269), // Rule ID 61959 //
     /* 1494177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1494180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1494188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1494191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1494194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494227 */     // MIs[1] Operand 1
     /* 1494227 */     // No operand predicates
     /* 1494227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494231 */     // MIs[0] policy
     /* 1494231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1494246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494268 */     // GIR_Coverage, 61959,
     /* 1494268 */     GIR_EraseRootFromParent_Done,
     /* 1494269 */   // Label 20809: @1494269
     /* 1494269 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1494366), // Rule ID 61962 //
     /* 1494274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1494285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1494288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1494291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494324 */     // MIs[1] Operand 1
     /* 1494324 */     // No operand predicates
     /* 1494324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494328 */     // MIs[0] policy
     /* 1494328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1494343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494365 */     // GIR_Coverage, 61962,
     /* 1494365 */     GIR_EraseRootFromParent_Done,
     /* 1494366 */   // Label 20810: @1494366
     /* 1494366 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1494463), // Rule ID 61963 //
     /* 1494371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1494374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1494382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1494385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1494388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494421 */     // MIs[1] Operand 1
     /* 1494421 */     // No operand predicates
     /* 1494421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494425 */     // MIs[0] policy
     /* 1494425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494437 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1494440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494462 */     // GIR_Coverage, 61963,
     /* 1494462 */     GIR_EraseRootFromParent_Done,
     /* 1494463 */   // Label 20811: @1494463
     /* 1494463 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1494545), // Rule ID 2598 //
     /* 1494468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494507 */     // MIs[0] round
     /* 1494507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494510 */     // MIs[0] policy
     /* 1494510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494544 */     // GIR_Coverage, 2598,
     /* 1494544 */     GIR_EraseRootFromParent_Done,
     /* 1494545 */   // Label 20812: @1494545
     /* 1494545 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1494627), // Rule ID 2599 //
     /* 1494550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494589 */     // MIs[0] round
     /* 1494589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494592 */     // MIs[0] policy
     /* 1494592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494602 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494626 */     // GIR_Coverage, 2599,
     /* 1494626 */     GIR_EraseRootFromParent_Done,
     /* 1494627 */   // Label 20813: @1494627
     /* 1494627 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1494709), // Rule ID 2634 //
     /* 1494632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1494635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494671 */     // MIs[0] round
     /* 1494671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494674 */     // MIs[0] policy
     /* 1494674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494708 */     // GIR_Coverage, 2634,
     /* 1494708 */     GIR_EraseRootFromParent_Done,
     /* 1494709 */   // Label 20814: @1494709
     /* 1494709 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1494791), // Rule ID 2635 //
     /* 1494714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1494717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494753 */     // MIs[0] round
     /* 1494753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494756 */     // MIs[0] policy
     /* 1494756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494790 */     // GIR_Coverage, 2635,
     /* 1494790 */     GIR_EraseRootFromParent_Done,
     /* 1494791 */   // Label 20815: @1494791
     /* 1494791 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1494873), // Rule ID 2666 //
     /* 1494796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494835 */     // MIs[0] round
     /* 1494835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494838 */     // MIs[0] policy
     /* 1494838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494848 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494872 */     // GIR_Coverage, 2666,
     /* 1494872 */     GIR_EraseRootFromParent_Done,
     /* 1494873 */   // Label 20816: @1494873
     /* 1494873 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1494955), // Rule ID 2667 //
     /* 1494878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494917 */     // MIs[0] round
     /* 1494917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494920 */     // MIs[0] policy
     /* 1494920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494930 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494954 */     // GIR_Coverage, 2667,
     /* 1494954 */     GIR_EraseRootFromParent_Done,
     /* 1494955 */   // Label 20817: @1494955
     /* 1494955 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1495037), // Rule ID 17638 //
     /* 1494960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1494977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1494980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494999 */     // MIs[0] round
     /* 1494999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495002 */     // MIs[0] policy
     /* 1495002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1495015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495036 */     // GIR_Coverage, 17638,
     /* 1495036 */     GIR_EraseRootFromParent_Done,
     /* 1495037 */   // Label 20818: @1495037
     /* 1495037 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1495119), // Rule ID 17639 //
     /* 1495042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1495062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495081 */     // MIs[0] round
     /* 1495081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495084 */     // MIs[0] policy
     /* 1495084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495094 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1495097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495118 */     // GIR_Coverage, 17639,
     /* 1495118 */     GIR_EraseRootFromParent_Done,
     /* 1495119 */   // Label 20819: @1495119
     /* 1495119 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1495201), // Rule ID 17642 //
     /* 1495124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1495144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495163 */     // MIs[0] round
     /* 1495163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495166 */     // MIs[0] policy
     /* 1495166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495176 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1495179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495200 */     // GIR_Coverage, 17642,
     /* 1495200 */     GIR_EraseRootFromParent_Done,
     /* 1495201 */   // Label 20820: @1495201
     /* 1495201 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1495283), // Rule ID 17643 //
     /* 1495206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1495226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495245 */     // MIs[0] round
     /* 1495245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495248 */     // MIs[0] policy
     /* 1495248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1495261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495282 */     // GIR_Coverage, 17643,
     /* 1495282 */     GIR_EraseRootFromParent_Done,
     /* 1495283 */   // Label 20821: @1495283
     /* 1495283 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1495365), // Rule ID 17646 //
     /* 1495288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1495308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495327 */     // MIs[0] round
     /* 1495327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495330 */     // MIs[0] policy
     /* 1495330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495340 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1495343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495364 */     // GIR_Coverage, 17646,
     /* 1495364 */     GIR_EraseRootFromParent_Done,
     /* 1495365 */   // Label 20822: @1495365
     /* 1495365 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1495447), // Rule ID 17647 //
     /* 1495370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1495390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495409 */     // MIs[0] round
     /* 1495409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495412 */     // MIs[0] policy
     /* 1495412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495422 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1495425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495446 */     // GIR_Coverage, 17647,
     /* 1495446 */     GIR_EraseRootFromParent_Done,
     /* 1495447 */   // Label 20823: @1495447
     /* 1495447 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1495529), // Rule ID 17650 //
     /* 1495452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495491 */     // MIs[0] round
     /* 1495491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495494 */     // MIs[0] policy
     /* 1495494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495504 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495528 */     // GIR_Coverage, 17650,
     /* 1495528 */     GIR_EraseRootFromParent_Done,
     /* 1495529 */   // Label 20824: @1495529
     /* 1495529 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1495611), // Rule ID 17651 //
     /* 1495534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495573 */     // MIs[0] round
     /* 1495573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495576 */     // MIs[0] policy
     /* 1495576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495586 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495610 */     // GIR_Coverage, 17651,
     /* 1495610 */     GIR_EraseRootFromParent_Done,
     /* 1495611 */   // Label 20825: @1495611
     /* 1495611 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1495693), // Rule ID 17654 //
     /* 1495616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495655 */     // MIs[0] round
     /* 1495655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495658 */     // MIs[0] policy
     /* 1495658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495692 */     // GIR_Coverage, 17654,
     /* 1495692 */     GIR_EraseRootFromParent_Done,
     /* 1495693 */   // Label 20826: @1495693
     /* 1495693 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1495775), // Rule ID 17655 //
     /* 1495698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495737 */     // MIs[0] round
     /* 1495737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495740 */     // MIs[0] policy
     /* 1495740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495750 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495774 */     // GIR_Coverage, 17655,
     /* 1495774 */     GIR_EraseRootFromParent_Done,
     /* 1495775 */   // Label 20827: @1495775
     /* 1495775 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1495857), // Rule ID 17658 //
     /* 1495780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495819 */     // MIs[0] round
     /* 1495819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495822 */     // MIs[0] policy
     /* 1495822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495832 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495856 */     // GIR_Coverage, 17658,
     /* 1495856 */     GIR_EraseRootFromParent_Done,
     /* 1495857 */   // Label 20828: @1495857
     /* 1495857 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1495939), // Rule ID 17659 //
     /* 1495862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495901 */     // MIs[0] round
     /* 1495901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495904 */     // MIs[0] policy
     /* 1495904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495914 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495938 */     // GIR_Coverage, 17659,
     /* 1495938 */     GIR_EraseRootFromParent_Done,
     /* 1495939 */   // Label 20829: @1495939
     /* 1495939 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1496021), // Rule ID 17662 //
     /* 1495944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1495955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1495958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1495964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495983 */     // MIs[0] round
     /* 1495983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495986 */     // MIs[0] policy
     /* 1495986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1495999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496020 */     // GIR_Coverage, 17662,
     /* 1496020 */     GIR_EraseRootFromParent_Done,
     /* 1496021 */   // Label 20830: @1496021
     /* 1496021 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1496103), // Rule ID 17663 //
     /* 1496026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1496037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1496040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1496043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1496046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496065 */     // MIs[0] round
     /* 1496065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496068 */     // MIs[0] policy
     /* 1496068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496078 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1496081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496102 */     // GIR_Coverage, 17663,
     /* 1496102 */     GIR_EraseRootFromParent_Done,
     /* 1496103 */   // Label 20831: @1496103
     /* 1496103 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1496185), // Rule ID 17666 //
     /* 1496108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1496119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1496122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1496125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1496128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496147 */     // MIs[0] round
     /* 1496147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496150 */     // MIs[0] policy
     /* 1496150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496160 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1496163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496184 */     // GIR_Coverage, 17666,
     /* 1496184 */     GIR_EraseRootFromParent_Done,
     /* 1496185 */   // Label 20832: @1496185
     /* 1496185 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1496267), // Rule ID 17667 //
     /* 1496190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1496201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1496204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1496207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1496210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496229 */     // MIs[0] round
     /* 1496229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496232 */     // MIs[0] policy
     /* 1496232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496242 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1496245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496266 */     // GIR_Coverage, 17667,
     /* 1496266 */     GIR_EraseRootFromParent_Done,
     /* 1496267 */   // Label 20833: @1496267
     /* 1496267 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1496349), // Rule ID 17670 //
     /* 1496272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1496283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1496286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1496292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496311 */     // MIs[0] round
     /* 1496311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496314 */     // MIs[0] policy
     /* 1496314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496324 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1496327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496348 */     // GIR_Coverage, 17670,
     /* 1496348 */     GIR_EraseRootFromParent_Done,
     /* 1496349 */   // Label 20834: @1496349
     /* 1496349 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1496431), // Rule ID 17671 //
     /* 1496354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1496365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1496368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1496374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496393 */     // MIs[0] round
     /* 1496393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496396 */     // MIs[0] policy
     /* 1496396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496406 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1496409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496430 */     // GIR_Coverage, 17671,
     /* 1496430 */     GIR_EraseRootFromParent_Done,
     /* 1496431 */   // Label 20835: @1496431
     /* 1496431 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1496513), // Rule ID 17674 //
     /* 1496436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496475 */     // MIs[0] round
     /* 1496475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496478 */     // MIs[0] policy
     /* 1496478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496488 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496512 */     // GIR_Coverage, 17674,
     /* 1496512 */     GIR_EraseRootFromParent_Done,
     /* 1496513 */   // Label 20836: @1496513
     /* 1496513 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1496595), // Rule ID 17675 //
     /* 1496518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496557 */     // MIs[0] round
     /* 1496557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496560 */     // MIs[0] policy
     /* 1496560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496570 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496594 */     // GIR_Coverage, 17675,
     /* 1496594 */     GIR_EraseRootFromParent_Done,
     /* 1496595 */   // Label 20837: @1496595
     /* 1496595 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1496677), // Rule ID 17678 //
     /* 1496600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496639 */     // MIs[0] round
     /* 1496639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496642 */     // MIs[0] policy
     /* 1496642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496676 */     // GIR_Coverage, 17678,
     /* 1496676 */     GIR_EraseRootFromParent_Done,
     /* 1496677 */   // Label 20838: @1496677
     /* 1496677 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1496759), // Rule ID 17679 //
     /* 1496682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496721 */     // MIs[0] round
     /* 1496721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496724 */     // MIs[0] policy
     /* 1496724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496734 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496758 */     // GIR_Coverage, 17679,
     /* 1496758 */     GIR_EraseRootFromParent_Done,
     /* 1496759 */   // Label 20839: @1496759
     /* 1496759 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1496841), // Rule ID 17682 //
     /* 1496764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496803 */     // MIs[0] round
     /* 1496803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496806 */     // MIs[0] policy
     /* 1496806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496840 */     // GIR_Coverage, 17682,
     /* 1496840 */     GIR_EraseRootFromParent_Done,
     /* 1496841 */   // Label 20840: @1496841
     /* 1496841 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1496923), // Rule ID 17683 //
     /* 1496846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496885 */     // MIs[0] round
     /* 1496885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496888 */     // MIs[0] policy
     /* 1496888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496898 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496922 */     // GIR_Coverage, 17683,
     /* 1496922 */     GIR_EraseRootFromParent_Done,
     /* 1496923 */   // Label 20841: @1496923
     /* 1496923 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1497005), // Rule ID 17686 //
     /* 1496928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1496945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1496948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496967 */     // MIs[0] round
     /* 1496967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496970 */     // MIs[0] policy
     /* 1496970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496980 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1496983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497004 */     // GIR_Coverage, 17686,
     /* 1497004 */     GIR_EraseRootFromParent_Done,
     /* 1497005 */   // Label 20842: @1497005
     /* 1497005 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1497087), // Rule ID 17687 //
     /* 1497010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1497021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1497024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1497027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1497030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497049 */     // MIs[0] round
     /* 1497049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497052 */     // MIs[0] policy
     /* 1497052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497062 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1497065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497086 */     // GIR_Coverage, 17687,
     /* 1497086 */     GIR_EraseRootFromParent_Done,
     /* 1497087 */   // Label 20843: @1497087
     /* 1497087 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1497169), // Rule ID 17690 //
     /* 1497092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1497103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1497106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1497109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1497112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497131 */     // MIs[0] round
     /* 1497131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497134 */     // MIs[0] policy
     /* 1497134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497144 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1497147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497168 */     // GIR_Coverage, 17690,
     /* 1497168 */     GIR_EraseRootFromParent_Done,
     /* 1497169 */   // Label 20844: @1497169
     /* 1497169 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1497251), // Rule ID 17691 //
     /* 1497174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1497185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1497188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1497191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1497194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497213 */     // MIs[0] round
     /* 1497213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497216 */     // MIs[0] policy
     /* 1497216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497226 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1497229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497250 */     // GIR_Coverage, 17691,
     /* 1497250 */     GIR_EraseRootFromParent_Done,
     /* 1497251 */   // Label 20845: @1497251
     /* 1497251 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1497333), // Rule ID 17694 //
     /* 1497256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1497276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497295 */     // MIs[0] round
     /* 1497295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497298 */     // MIs[0] policy
     /* 1497298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497308 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1497311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497332 */     // GIR_Coverage, 17694,
     /* 1497332 */     GIR_EraseRootFromParent_Done,
     /* 1497333 */   // Label 20846: @1497333
     /* 1497333 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1497415), // Rule ID 17695 //
     /* 1497338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1497358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497377 */     // MIs[0] round
     /* 1497377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497380 */     // MIs[0] policy
     /* 1497380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497390 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1497393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497414 */     // GIR_Coverage, 17695,
     /* 1497414 */     GIR_EraseRootFromParent_Done,
     /* 1497415 */   // Label 20847: @1497415
     /* 1497415 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1497497), // Rule ID 17698 //
     /* 1497420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497459 */     // MIs[0] round
     /* 1497459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497462 */     // MIs[0] policy
     /* 1497462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497472 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497496 */     // GIR_Coverage, 17698,
     /* 1497496 */     GIR_EraseRootFromParent_Done,
     /* 1497497 */   // Label 20848: @1497497
     /* 1497497 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1497579), // Rule ID 17699 //
     /* 1497502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497541 */     // MIs[0] round
     /* 1497541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497544 */     // MIs[0] policy
     /* 1497544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497554 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497578 */     // GIR_Coverage, 17699,
     /* 1497578 */     GIR_EraseRootFromParent_Done,
     /* 1497579 */   // Label 20849: @1497579
     /* 1497579 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1497661), // Rule ID 17702 //
     /* 1497584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497623 */     // MIs[0] round
     /* 1497623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497626 */     // MIs[0] policy
     /* 1497626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497636 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497660 */     // GIR_Coverage, 17702,
     /* 1497660 */     GIR_EraseRootFromParent_Done,
     /* 1497661 */   // Label 20850: @1497661
     /* 1497661 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1497743), // Rule ID 17703 //
     /* 1497666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497705 */     // MIs[0] round
     /* 1497705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497708 */     // MIs[0] policy
     /* 1497708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497718 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497742 */     // GIR_Coverage, 17703,
     /* 1497742 */     GIR_EraseRootFromParent_Done,
     /* 1497743 */   // Label 20851: @1497743
     /* 1497743 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1497825), // Rule ID 17706 //
     /* 1497748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497787 */     // MIs[0] round
     /* 1497787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497790 */     // MIs[0] policy
     /* 1497790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497800 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497824 */     // GIR_Coverage, 17706,
     /* 1497824 */     GIR_EraseRootFromParent_Done,
     /* 1497825 */   // Label 20852: @1497825
     /* 1497825 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1497907), // Rule ID 17707 //
     /* 1497830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497869 */     // MIs[0] round
     /* 1497869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497872 */     // MIs[0] policy
     /* 1497872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497882 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497906 */     // GIR_Coverage, 17707,
     /* 1497906 */     GIR_EraseRootFromParent_Done,
     /* 1497907 */   // Label 20853: @1497907
     /* 1497907 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1497989), // Rule ID 17710 //
     /* 1497912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497951 */     // MIs[0] round
     /* 1497951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497954 */     // MIs[0] policy
     /* 1497954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497964 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1497967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497988 */     // GIR_Coverage, 17710,
     /* 1497988 */     GIR_EraseRootFromParent_Done,
     /* 1497989 */   // Label 20854: @1497989
     /* 1497989 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1498071), // Rule ID 17711 //
     /* 1497994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1498014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498033 */     // MIs[0] round
     /* 1498033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498036 */     // MIs[0] policy
     /* 1498036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1498049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498070 */     // GIR_Coverage, 17711,
     /* 1498070 */     GIR_EraseRootFromParent_Done,
     /* 1498071 */   // Label 20855: @1498071
     /* 1498071 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1498153), // Rule ID 17714 //
     /* 1498076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1498096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498115 */     // MIs[0] round
     /* 1498115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498118 */     // MIs[0] policy
     /* 1498118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1498131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498152 */     // GIR_Coverage, 17714,
     /* 1498152 */     GIR_EraseRootFromParent_Done,
     /* 1498153 */   // Label 20856: @1498153
     /* 1498153 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1498235), // Rule ID 17715 //
     /* 1498158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1498178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498197 */     // MIs[0] round
     /* 1498197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498200 */     // MIs[0] policy
     /* 1498200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498210 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1498213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498234 */     // GIR_Coverage, 17715,
     /* 1498234 */     GIR_EraseRootFromParent_Done,
     /* 1498235 */   // Label 20857: @1498235
     /* 1498235 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1498317), // Rule ID 17718 //
     /* 1498240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1498260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498279 */     // MIs[0] round
     /* 1498279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498282 */     // MIs[0] policy
     /* 1498282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498292 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1498295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498316 */     // GIR_Coverage, 17718,
     /* 1498316 */     GIR_EraseRootFromParent_Done,
     /* 1498317 */   // Label 20858: @1498317
     /* 1498317 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1498399), // Rule ID 17719 //
     /* 1498322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1498342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498361 */     // MIs[0] round
     /* 1498361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498364 */     // MIs[0] policy
     /* 1498364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498374 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1498377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498398 */     // GIR_Coverage, 17719,
     /* 1498398 */     GIR_EraseRootFromParent_Done,
     /* 1498399 */   // Label 20859: @1498399
     /* 1498399 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1498481), // Rule ID 17722 //
     /* 1498404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498443 */     // MIs[0] round
     /* 1498443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498446 */     // MIs[0] policy
     /* 1498446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498456 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498480 */     // GIR_Coverage, 17722,
     /* 1498480 */     GIR_EraseRootFromParent_Done,
     /* 1498481 */   // Label 20860: @1498481
     /* 1498481 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1498563), // Rule ID 17723 //
     /* 1498486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498525 */     // MIs[0] round
     /* 1498525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498528 */     // MIs[0] policy
     /* 1498528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498538 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498562 */     // GIR_Coverage, 17723,
     /* 1498562 */     GIR_EraseRootFromParent_Done,
     /* 1498563 */   // Label 20861: @1498563
     /* 1498563 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1498645), // Rule ID 17726 //
     /* 1498568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498607 */     // MIs[0] round
     /* 1498607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498610 */     // MIs[0] policy
     /* 1498610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498620 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498644 */     // GIR_Coverage, 17726,
     /* 1498644 */     GIR_EraseRootFromParent_Done,
     /* 1498645 */   // Label 20862: @1498645
     /* 1498645 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1498727), // Rule ID 17727 //
     /* 1498650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498689 */     // MIs[0] round
     /* 1498689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498692 */     // MIs[0] policy
     /* 1498692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498702 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498726 */     // GIR_Coverage, 17727,
     /* 1498726 */     GIR_EraseRootFromParent_Done,
     /* 1498727 */   // Label 20863: @1498727
     /* 1498727 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1498809), // Rule ID 17730 //
     /* 1498732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498771 */     // MIs[0] round
     /* 1498771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498774 */     // MIs[0] policy
     /* 1498774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498784 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498808 */     // GIR_Coverage, 17730,
     /* 1498808 */     GIR_EraseRootFromParent_Done,
     /* 1498809 */   // Label 20864: @1498809
     /* 1498809 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1498891), // Rule ID 17731 //
     /* 1498814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498853 */     // MIs[0] round
     /* 1498853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498856 */     // MIs[0] policy
     /* 1498856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498866 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498890 */     // GIR_Coverage, 17731,
     /* 1498890 */     GIR_EraseRootFromParent_Done,
     /* 1498891 */   // Label 20865: @1498891
     /* 1498891 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1498973), // Rule ID 17734 //
     /* 1498896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498935 */     // MIs[0] round
     /* 1498935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498938 */     // MIs[0] policy
     /* 1498938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1498951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498972 */     // GIR_Coverage, 17734,
     /* 1498972 */     GIR_EraseRootFromParent_Done,
     /* 1498973 */   // Label 20866: @1498973
     /* 1498973 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1499055), // Rule ID 17735 //
     /* 1498978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499017 */     // MIs[0] round
     /* 1499017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499020 */     // MIs[0] policy
     /* 1499020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499030 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1499033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499054 */     // GIR_Coverage, 17735,
     /* 1499054 */     GIR_EraseRootFromParent_Done,
     /* 1499055 */   // Label 20867: @1499055
     /* 1499055 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1499137), // Rule ID 17738 //
     /* 1499060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499099 */     // MIs[0] round
     /* 1499099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499102 */     // MIs[0] policy
     /* 1499102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499112 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1499115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499136 */     // GIR_Coverage, 17738,
     /* 1499136 */     GIR_EraseRootFromParent_Done,
     /* 1499137 */   // Label 20868: @1499137
     /* 1499137 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1499219), // Rule ID 17739 //
     /* 1499142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499181 */     // MIs[0] round
     /* 1499181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499184 */     // MIs[0] policy
     /* 1499184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499194 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1499197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499218 */     // GIR_Coverage, 17739,
     /* 1499218 */     GIR_EraseRootFromParent_Done,
     /* 1499219 */   // Label 20869: @1499219
     /* 1499219 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1499301), // Rule ID 17742 //
     /* 1499224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1499235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1499238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1499244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499263 */     // MIs[0] round
     /* 1499263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499266 */     // MIs[0] policy
     /* 1499266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499276 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1499279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499300 */     // GIR_Coverage, 17742,
     /* 1499300 */     GIR_EraseRootFromParent_Done,
     /* 1499301 */   // Label 20870: @1499301
     /* 1499301 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1499383), // Rule ID 17743 //
     /* 1499306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1499317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1499320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1499326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499345 */     // MIs[0] round
     /* 1499345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499348 */     // MIs[0] policy
     /* 1499348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499358 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1499361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499382 */     // GIR_Coverage, 17743,
     /* 1499382 */     GIR_EraseRootFromParent_Done,
     /* 1499383 */   // Label 20871: @1499383
     /* 1499383 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1499465), // Rule ID 17746 //
     /* 1499388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499427 */     // MIs[0] round
     /* 1499427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499430 */     // MIs[0] policy
     /* 1499430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499464 */     // GIR_Coverage, 17746,
     /* 1499464 */     GIR_EraseRootFromParent_Done,
     /* 1499465 */   // Label 20872: @1499465
     /* 1499465 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1499547), // Rule ID 17747 //
     /* 1499470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499509 */     // MIs[0] round
     /* 1499509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499512 */     // MIs[0] policy
     /* 1499512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499522 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499546 */     // GIR_Coverage, 17747,
     /* 1499546 */     GIR_EraseRootFromParent_Done,
     /* 1499547 */   // Label 20873: @1499547
     /* 1499547 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1499629), // Rule ID 17750 //
     /* 1499552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499591 */     // MIs[0] round
     /* 1499591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499594 */     // MIs[0] policy
     /* 1499594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499604 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499628 */     // GIR_Coverage, 17750,
     /* 1499628 */     GIR_EraseRootFromParent_Done,
     /* 1499629 */   // Label 20874: @1499629
     /* 1499629 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1499711), // Rule ID 17751 //
     /* 1499634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499673 */     // MIs[0] round
     /* 1499673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499676 */     // MIs[0] policy
     /* 1499676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499686 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499710 */     // GIR_Coverage, 17751,
     /* 1499710 */     GIR_EraseRootFromParent_Done,
     /* 1499711 */   // Label 20875: @1499711
     /* 1499711 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1499793), // Rule ID 17754 //
     /* 1499716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499755 */     // MIs[0] round
     /* 1499755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499758 */     // MIs[0] policy
     /* 1499758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499768 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499792 */     // GIR_Coverage, 17754,
     /* 1499792 */     GIR_EraseRootFromParent_Done,
     /* 1499793 */   // Label 20876: @1499793
     /* 1499793 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1499875), // Rule ID 17755 //
     /* 1499798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499837 */     // MIs[0] round
     /* 1499837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499840 */     // MIs[0] policy
     /* 1499840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499850 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499874 */     // GIR_Coverage, 17755,
     /* 1499874 */     GIR_EraseRootFromParent_Done,
     /* 1499875 */   // Label 20877: @1499875
     /* 1499875 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1499957), // Rule ID 17758 //
     /* 1499880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499919 */     // MIs[0] round
     /* 1499919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499922 */     // MIs[0] policy
     /* 1499922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499932 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1499935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499956 */     // GIR_Coverage, 17758,
     /* 1499956 */     GIR_EraseRootFromParent_Done,
     /* 1499957 */   // Label 20878: @1499957
     /* 1499957 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1500039), // Rule ID 17759 //
     /* 1499962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500001 */     // MIs[0] round
     /* 1500001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500004 */     // MIs[0] policy
     /* 1500004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500014 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1500017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500038 */     // GIR_Coverage, 17759,
     /* 1500038 */     GIR_EraseRootFromParent_Done,
     /* 1500039 */   // Label 20879: @1500039
     /* 1500039 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1500121), // Rule ID 17762 //
     /* 1500044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1500064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500083 */     // MIs[0] round
     /* 1500083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500086 */     // MIs[0] policy
     /* 1500086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500096 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1500099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500120 */     // GIR_Coverage, 17762,
     /* 1500120 */     GIR_EraseRootFromParent_Done,
     /* 1500121 */   // Label 20880: @1500121
     /* 1500121 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1500203), // Rule ID 17763 //
     /* 1500126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1500146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500165 */     // MIs[0] round
     /* 1500165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500168 */     // MIs[0] policy
     /* 1500168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500178 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1500181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500202 */     // GIR_Coverage, 17763,
     /* 1500202 */     GIR_EraseRootFromParent_Done,
     /* 1500203 */   // Label 20881: @1500203
     /* 1500203 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1500285), // Rule ID 17766 //
     /* 1500208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1500219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1500222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1500225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1500228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500247 */     // MIs[0] round
     /* 1500247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500250 */     // MIs[0] policy
     /* 1500250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500260 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1500263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500284 */     // GIR_Coverage, 17766,
     /* 1500284 */     GIR_EraseRootFromParent_Done,
     /* 1500285 */   // Label 20882: @1500285
     /* 1500285 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1500367), // Rule ID 17767 //
     /* 1500290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1500301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1500304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1500307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1500310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500329 */     // MIs[0] round
     /* 1500329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500332 */     // MIs[0] policy
     /* 1500332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500342 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1500345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500366 */     // GIR_Coverage, 17767,
     /* 1500366 */     GIR_EraseRootFromParent_Done,
     /* 1500367 */   // Label 20883: @1500367
     /* 1500367 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1500449), // Rule ID 17770 //
     /* 1500372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1500383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1500386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1500392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500411 */     // MIs[0] round
     /* 1500411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500414 */     // MIs[0] policy
     /* 1500414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500424 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1500427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500448 */     // GIR_Coverage, 17770,
     /* 1500448 */     GIR_EraseRootFromParent_Done,
     /* 1500449 */   // Label 20884: @1500449
     /* 1500449 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1500531), // Rule ID 17771 //
     /* 1500454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1500465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1500468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1500474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500493 */     // MIs[0] round
     /* 1500493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500496 */     // MIs[0] policy
     /* 1500496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500506 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1500509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500530 */     // GIR_Coverage, 17771,
     /* 1500530 */     GIR_EraseRootFromParent_Done,
     /* 1500531 */   // Label 20885: @1500531
     /* 1500531 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1500613), // Rule ID 17774 //
     /* 1500536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500575 */     // MIs[0] round
     /* 1500575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500578 */     // MIs[0] policy
     /* 1500578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500612 */     // GIR_Coverage, 17774,
     /* 1500612 */     GIR_EraseRootFromParent_Done,
     /* 1500613 */   // Label 20886: @1500613
     /* 1500613 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1500695), // Rule ID 17775 //
     /* 1500618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500657 */     // MIs[0] round
     /* 1500657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500660 */     // MIs[0] policy
     /* 1500660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500670 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500694 */     // GIR_Coverage, 17775,
     /* 1500694 */     GIR_EraseRootFromParent_Done,
     /* 1500695 */   // Label 20887: @1500695
     /* 1500695 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1500777), // Rule ID 17778 //
     /* 1500700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500739 */     // MIs[0] round
     /* 1500739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500742 */     // MIs[0] policy
     /* 1500742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500752 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500776 */     // GIR_Coverage, 17778,
     /* 1500776 */     GIR_EraseRootFromParent_Done,
     /* 1500777 */   // Label 20888: @1500777
     /* 1500777 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1500859), // Rule ID 17779 //
     /* 1500782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500821 */     // MIs[0] round
     /* 1500821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500824 */     // MIs[0] policy
     /* 1500824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500834 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500858 */     // GIR_Coverage, 17779,
     /* 1500858 */     GIR_EraseRootFromParent_Done,
     /* 1500859 */   // Label 20889: @1500859
     /* 1500859 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1500941), // Rule ID 17782 //
     /* 1500864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500903 */     // MIs[0] round
     /* 1500903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500906 */     // MIs[0] policy
     /* 1500906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500916 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1500919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500940 */     // GIR_Coverage, 17782,
     /* 1500940 */     GIR_EraseRootFromParent_Done,
     /* 1500941 */   // Label 20890: @1500941
     /* 1500941 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1501023), // Rule ID 17783 //
     /* 1500946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500985 */     // MIs[0] round
     /* 1500985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500988 */     // MIs[0] policy
     /* 1500988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500998 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1501001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501022 */     // GIR_Coverage, 17783,
     /* 1501022 */     GIR_EraseRootFromParent_Done,
     /* 1501023 */   // Label 20891: @1501023
     /* 1501023 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1501105), // Rule ID 17786 //
     /* 1501028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1501039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1501042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1501045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1501048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501067 */     // MIs[0] round
     /* 1501067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501070 */     // MIs[0] policy
     /* 1501070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501080 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1501083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501104 */     // GIR_Coverage, 17786,
     /* 1501104 */     GIR_EraseRootFromParent_Done,
     /* 1501105 */   // Label 20892: @1501105
     /* 1501105 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1501187), // Rule ID 17787 //
     /* 1501110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1501121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1501124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1501127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1501130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501149 */     // MIs[0] round
     /* 1501149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501152 */     // MIs[0] policy
     /* 1501152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501162 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1501165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501186 */     // GIR_Coverage, 17787,
     /* 1501186 */     GIR_EraseRootFromParent_Done,
     /* 1501187 */   // Label 20893: @1501187
     /* 1501187 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1501269), // Rule ID 17790 //
     /* 1501192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1501203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1501206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1501209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1501212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501231 */     // MIs[0] round
     /* 1501231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501234 */     // MIs[0] policy
     /* 1501234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501244 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1501247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501268 */     // GIR_Coverage, 17790,
     /* 1501268 */     GIR_EraseRootFromParent_Done,
     /* 1501269 */   // Label 20894: @1501269
     /* 1501269 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1501351), // Rule ID 17791 //
     /* 1501274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1501285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1501288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1501291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1501294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501313 */     // MIs[0] round
     /* 1501313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501316 */     // MIs[0] policy
     /* 1501316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501326 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1501329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501350 */     // GIR_Coverage, 17791,
     /* 1501350 */     GIR_EraseRootFromParent_Done,
     /* 1501351 */   // Label 20895: @1501351
     /* 1501351 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1501433), // Rule ID 17794 //
     /* 1501356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1501367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1501370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1501373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1501376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501395 */     // MIs[0] round
     /* 1501395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501398 */     // MIs[0] policy
     /* 1501398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501408 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1501411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501432 */     // GIR_Coverage, 17794,
     /* 1501432 */     GIR_EraseRootFromParent_Done,
     /* 1501433 */   // Label 20896: @1501433
     /* 1501433 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1501515), // Rule ID 17795 //
     /* 1501438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1501449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1501452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1501455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1501458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501477 */     // MIs[0] round
     /* 1501477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501480 */     // MIs[0] policy
     /* 1501480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1501493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501514 */     // GIR_Coverage, 17795,
     /* 1501514 */     GIR_EraseRootFromParent_Done,
     /* 1501515 */   // Label 20897: @1501515
     /* 1501515 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1501597), // Rule ID 17798 //
     /* 1501520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501559 */     // MIs[0] round
     /* 1501559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501562 */     // MIs[0] policy
     /* 1501562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501572 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501596 */     // GIR_Coverage, 17798,
     /* 1501596 */     GIR_EraseRootFromParent_Done,
     /* 1501597 */   // Label 20898: @1501597
     /* 1501597 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1501679), // Rule ID 17799 //
     /* 1501602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501641 */     // MIs[0] round
     /* 1501641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501644 */     // MIs[0] policy
     /* 1501644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501654 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501678 */     // GIR_Coverage, 17799,
     /* 1501678 */     GIR_EraseRootFromParent_Done,
     /* 1501679 */   // Label 20899: @1501679
     /* 1501679 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1501761), // Rule ID 17802 //
     /* 1501684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501723 */     // MIs[0] round
     /* 1501723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501726 */     // MIs[0] policy
     /* 1501726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501736 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501760 */     // GIR_Coverage, 17802,
     /* 1501760 */     GIR_EraseRootFromParent_Done,
     /* 1501761 */   // Label 20900: @1501761
     /* 1501761 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1501843), // Rule ID 17803 //
     /* 1501766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501805 */     // MIs[0] round
     /* 1501805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501808 */     // MIs[0] policy
     /* 1501808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501818 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501842 */     // GIR_Coverage, 17803,
     /* 1501842 */     GIR_EraseRootFromParent_Done,
     /* 1501843 */   // Label 20901: @1501843
     /* 1501843 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1501925), // Rule ID 17806 //
     /* 1501848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501887 */     // MIs[0] round
     /* 1501887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501890 */     // MIs[0] policy
     /* 1501890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501900 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501924 */     // GIR_Coverage, 17806,
     /* 1501924 */     GIR_EraseRootFromParent_Done,
     /* 1501925 */   // Label 20902: @1501925
     /* 1501925 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1502007), // Rule ID 17807 //
     /* 1501930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501969 */     // MIs[0] round
     /* 1501969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501972 */     // MIs[0] policy
     /* 1501972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501982 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502006 */     // GIR_Coverage, 17807,
     /* 1502006 */     GIR_EraseRootFromParent_Done,
     /* 1502007 */   // Label 20903: @1502007
     /* 1502007 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1502089), // Rule ID 17810 //
     /* 1502012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1502023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1502026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1502029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1502032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502051 */     // MIs[0] round
     /* 1502051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502054 */     // MIs[0] policy
     /* 1502054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502064 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1502067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502088 */     // GIR_Coverage, 17810,
     /* 1502088 */     GIR_EraseRootFromParent_Done,
     /* 1502089 */   // Label 20904: @1502089
     /* 1502089 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1502171), // Rule ID 17811 //
     /* 1502094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1502105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1502108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1502111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1502114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502133 */     // MIs[0] round
     /* 1502133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502136 */     // MIs[0] policy
     /* 1502136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502146 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1502149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502170 */     // GIR_Coverage, 17811,
     /* 1502170 */     GIR_EraseRootFromParent_Done,
     /* 1502171 */   // Label 20905: @1502171
     /* 1502171 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1502253), // Rule ID 17814 //
     /* 1502176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1502187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1502190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1502196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502215 */     // MIs[0] round
     /* 1502215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502218 */     // MIs[0] policy
     /* 1502218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502228 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1502231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502252 */     // GIR_Coverage, 17814,
     /* 1502252 */     GIR_EraseRootFromParent_Done,
     /* 1502253 */   // Label 20906: @1502253
     /* 1502253 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1502335), // Rule ID 17815 //
     /* 1502258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1502269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1502272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1502278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502297 */     // MIs[0] round
     /* 1502297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502300 */     // MIs[0] policy
     /* 1502300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502310 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1502313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502334 */     // GIR_Coverage, 17815,
     /* 1502334 */     GIR_EraseRootFromParent_Done,
     /* 1502335 */   // Label 20907: @1502335
     /* 1502335 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1502417), // Rule ID 17818 //
     /* 1502340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1502351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1502354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1502360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502379 */     // MIs[0] round
     /* 1502379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502382 */     // MIs[0] policy
     /* 1502382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502392 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1502395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502416 */     // GIR_Coverage, 17818,
     /* 1502416 */     GIR_EraseRootFromParent_Done,
     /* 1502417 */   // Label 20908: @1502417
     /* 1502417 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1502499), // Rule ID 17819 //
     /* 1502422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1502433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1502436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1502442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502461 */     // MIs[0] round
     /* 1502461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502464 */     // MIs[0] policy
     /* 1502464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502474 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1502477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502498 */     // GIR_Coverage, 17819,
     /* 1502498 */     GIR_EraseRootFromParent_Done,
     /* 1502499 */   // Label 20909: @1502499
     /* 1502499 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1502581), // Rule ID 17822 //
     /* 1502504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502543 */     // MIs[0] round
     /* 1502543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502546 */     // MIs[0] policy
     /* 1502546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502556 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502580 */     // GIR_Coverage, 17822,
     /* 1502580 */     GIR_EraseRootFromParent_Done,
     /* 1502581 */   // Label 20910: @1502581
     /* 1502581 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1502663), // Rule ID 17823 //
     /* 1502586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502625 */     // MIs[0] round
     /* 1502625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502628 */     // MIs[0] policy
     /* 1502628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502638 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502662 */     // GIR_Coverage, 17823,
     /* 1502662 */     GIR_EraseRootFromParent_Done,
     /* 1502663 */   // Label 20911: @1502663
     /* 1502663 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1502745), // Rule ID 17826 //
     /* 1502668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502707 */     // MIs[0] round
     /* 1502707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502710 */     // MIs[0] policy
     /* 1502710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502720 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502744 */     // GIR_Coverage, 17826,
     /* 1502744 */     GIR_EraseRootFromParent_Done,
     /* 1502745 */   // Label 20912: @1502745
     /* 1502745 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1502827), // Rule ID 17827 //
     /* 1502750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502789 */     // MIs[0] round
     /* 1502789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502792 */     // MIs[0] policy
     /* 1502792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502802 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502826 */     // GIR_Coverage, 17827,
     /* 1502826 */     GIR_EraseRootFromParent_Done,
     /* 1502827 */   // Label 20913: @1502827
     /* 1502827 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1502909), // Rule ID 17830 //
     /* 1502832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502871 */     // MIs[0] round
     /* 1502871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502874 */     // MIs[0] policy
     /* 1502874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502908 */     // GIR_Coverage, 17830,
     /* 1502908 */     GIR_EraseRootFromParent_Done,
     /* 1502909 */   // Label 20914: @1502909
     /* 1502909 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1502991), // Rule ID 17831 //
     /* 1502914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502953 */     // MIs[0] round
     /* 1502953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502956 */     // MIs[0] policy
     /* 1502956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502966 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502990 */     // GIR_Coverage, 17831,
     /* 1502990 */     GIR_EraseRootFromParent_Done,
     /* 1502991 */   // Label 20915: @1502991
     /* 1502991 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1503073), // Rule ID 17834 //
     /* 1502996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1503007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1503010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1503016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503035 */     // MIs[0] round
     /* 1503035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503038 */     // MIs[0] policy
     /* 1503038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1503051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503072 */     // GIR_Coverage, 17834,
     /* 1503072 */     GIR_EraseRootFromParent_Done,
     /* 1503073 */   // Label 20916: @1503073
     /* 1503073 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1503155), // Rule ID 17835 //
     /* 1503078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1503089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1503092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1503098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503117 */     // MIs[0] round
     /* 1503117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503120 */     // MIs[0] policy
     /* 1503120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503130 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1503133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503154 */     // GIR_Coverage, 17835,
     /* 1503154 */     GIR_EraseRootFromParent_Done,
     /* 1503155 */   // Label 20917: @1503155
     /* 1503155 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1503237), // Rule ID 17838 //
     /* 1503160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1503171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1503174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1503180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503199 */     // MIs[0] round
     /* 1503199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503202 */     // MIs[0] policy
     /* 1503202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503212 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1503215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503236 */     // GIR_Coverage, 17838,
     /* 1503236 */     GIR_EraseRootFromParent_Done,
     /* 1503237 */   // Label 20918: @1503237
     /* 1503237 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1503319), // Rule ID 17839 //
     /* 1503242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1503253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1503256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1503262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503281 */     // MIs[0] round
     /* 1503281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503284 */     // MIs[0] policy
     /* 1503284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503294 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1503297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503318 */     // GIR_Coverage, 17839,
     /* 1503318 */     GIR_EraseRootFromParent_Done,
     /* 1503319 */   // Label 20919: @1503319
     /* 1503319 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1503401), // Rule ID 17842 //
     /* 1503324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1503335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1503338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1503344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503363 */     // MIs[0] round
     /* 1503363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503366 */     // MIs[0] policy
     /* 1503366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503376 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1503379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503400 */     // GIR_Coverage, 17842,
     /* 1503400 */     GIR_EraseRootFromParent_Done,
     /* 1503401 */   // Label 20920: @1503401
     /* 1503401 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1503483), // Rule ID 17843 //
     /* 1503406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1503417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1503420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1503426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503445 */     // MIs[0] round
     /* 1503445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503448 */     // MIs[0] policy
     /* 1503448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503458 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1503461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503482 */     // GIR_Coverage, 17843,
     /* 1503482 */     GIR_EraseRootFromParent_Done,
     /* 1503483 */   // Label 20921: @1503483
     /* 1503483 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1503565), // Rule ID 17846 //
     /* 1503488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503527 */     // MIs[0] round
     /* 1503527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503530 */     // MIs[0] policy
     /* 1503530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503540 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503564 */     // GIR_Coverage, 17846,
     /* 1503564 */     GIR_EraseRootFromParent_Done,
     /* 1503565 */   // Label 20922: @1503565
     /* 1503565 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1503647), // Rule ID 17847 //
     /* 1503570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503609 */     // MIs[0] round
     /* 1503609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503612 */     // MIs[0] policy
     /* 1503612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503622 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503646 */     // GIR_Coverage, 17847,
     /* 1503646 */     GIR_EraseRootFromParent_Done,
     /* 1503647 */   // Label 20923: @1503647
     /* 1503647 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1503729), // Rule ID 17850 //
     /* 1503652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503691 */     // MIs[0] round
     /* 1503691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503694 */     // MIs[0] policy
     /* 1503694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503704 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503728 */     // GIR_Coverage, 17850,
     /* 1503728 */     GIR_EraseRootFromParent_Done,
     /* 1503729 */   // Label 20924: @1503729
     /* 1503729 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1503811), // Rule ID 17851 //
     /* 1503734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503773 */     // MIs[0] round
     /* 1503773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503776 */     // MIs[0] policy
     /* 1503776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503786 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503810 */     // GIR_Coverage, 17851,
     /* 1503810 */     GIR_EraseRootFromParent_Done,
     /* 1503811 */   // Label 20925: @1503811
     /* 1503811 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1503893), // Rule ID 17854 //
     /* 1503816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503855 */     // MIs[0] round
     /* 1503855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503858 */     // MIs[0] policy
     /* 1503858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503868 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503892 */     // GIR_Coverage, 17854,
     /* 1503892 */     GIR_EraseRootFromParent_Done,
     /* 1503893 */   // Label 20926: @1503893
     /* 1503893 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1503975), // Rule ID 17855 //
     /* 1503898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503937 */     // MIs[0] round
     /* 1503937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503940 */     // MIs[0] policy
     /* 1503940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503950 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503974 */     // GIR_Coverage, 17855,
     /* 1503974 */     GIR_EraseRootFromParent_Done,
     /* 1503975 */   // Label 20927: @1503975
     /* 1503975 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1504057), // Rule ID 17858 //
     /* 1503980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1504000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504019 */     // MIs[0] round
     /* 1504019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504022 */     // MIs[0] policy
     /* 1504022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504032 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1504035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504056 */     // GIR_Coverage, 17858,
     /* 1504056 */     GIR_EraseRootFromParent_Done,
     /* 1504057 */   // Label 20928: @1504057
     /* 1504057 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1504139), // Rule ID 17859 //
     /* 1504062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1504073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1504076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1504082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504101 */     // MIs[0] round
     /* 1504101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504104 */     // MIs[0] policy
     /* 1504104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504114 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1504117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504138 */     // GIR_Coverage, 17859,
     /* 1504138 */     GIR_EraseRootFromParent_Done,
     /* 1504139 */   // Label 20929: @1504139
     /* 1504139 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1504221), // Rule ID 17862 //
     /* 1504144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1504155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1504158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1504164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504183 */     // MIs[0] round
     /* 1504183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504186 */     // MIs[0] policy
     /* 1504186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504196 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1504199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504220 */     // GIR_Coverage, 17862,
     /* 1504220 */     GIR_EraseRootFromParent_Done,
     /* 1504221 */   // Label 20930: @1504221
     /* 1504221 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1504303), // Rule ID 17863 //
     /* 1504226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1504237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1504240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1504246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504265 */     // MIs[0] round
     /* 1504265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504268 */     // MIs[0] policy
     /* 1504268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504278 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1504281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504302 */     // GIR_Coverage, 17863,
     /* 1504302 */     GIR_EraseRootFromParent_Done,
     /* 1504303 */   // Label 20931: @1504303
     /* 1504303 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1504385), // Rule ID 17866 //
     /* 1504308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1504319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1504322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1504328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504347 */     // MIs[0] round
     /* 1504347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504350 */     // MIs[0] policy
     /* 1504350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504360 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1504363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504384 */     // GIR_Coverage, 17866,
     /* 1504384 */     GIR_EraseRootFromParent_Done,
     /* 1504385 */   // Label 20932: @1504385
     /* 1504385 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1504467), // Rule ID 17867 //
     /* 1504390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1504401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1504404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1504410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504429 */     // MIs[0] round
     /* 1504429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504432 */     // MIs[0] policy
     /* 1504432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504442 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1504445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504466 */     // GIR_Coverage, 17867,
     /* 1504466 */     GIR_EraseRootFromParent_Done,
     /* 1504467 */   // Label 20933: @1504467
     /* 1504467 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1504549), // Rule ID 17870 //
     /* 1504472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504511 */     // MIs[0] round
     /* 1504511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504514 */     // MIs[0] policy
     /* 1504514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504524 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504548 */     // GIR_Coverage, 17870,
     /* 1504548 */     GIR_EraseRootFromParent_Done,
     /* 1504549 */   // Label 20934: @1504549
     /* 1504549 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1504631), // Rule ID 17871 //
     /* 1504554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504593 */     // MIs[0] round
     /* 1504593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504596 */     // MIs[0] policy
     /* 1504596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504606 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504630 */     // GIR_Coverage, 17871,
     /* 1504630 */     GIR_EraseRootFromParent_Done,
     /* 1504631 */   // Label 20935: @1504631
     /* 1504631 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1504713), // Rule ID 17874 //
     /* 1504636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504675 */     // MIs[0] round
     /* 1504675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504678 */     // MIs[0] policy
     /* 1504678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504688 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504712 */     // GIR_Coverage, 17874,
     /* 1504712 */     GIR_EraseRootFromParent_Done,
     /* 1504713 */   // Label 20936: @1504713
     /* 1504713 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1504795), // Rule ID 17875 //
     /* 1504718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504757 */     // MIs[0] round
     /* 1504757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504760 */     // MIs[0] policy
     /* 1504760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504770 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504794 */     // GIR_Coverage, 17875,
     /* 1504794 */     GIR_EraseRootFromParent_Done,
     /* 1504795 */   // Label 20937: @1504795
     /* 1504795 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1504877), // Rule ID 17878 //
     /* 1504800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504839 */     // MIs[0] round
     /* 1504839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504842 */     // MIs[0] policy
     /* 1504842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504876 */     // GIR_Coverage, 17878,
     /* 1504876 */     GIR_EraseRootFromParent_Done,
     /* 1504877 */   // Label 20938: @1504877
     /* 1504877 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1504959), // Rule ID 17879 //
     /* 1504882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504921 */     // MIs[0] round
     /* 1504921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504924 */     // MIs[0] policy
     /* 1504924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504934 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504958 */     // GIR_Coverage, 17879,
     /* 1504958 */     GIR_EraseRootFromParent_Done,
     /* 1504959 */   // Label 20939: @1504959
     /* 1504959 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1505041), // Rule ID 17882 //
     /* 1504964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505003 */     // MIs[0] round
     /* 1505003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505006 */     // MIs[0] policy
     /* 1505006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505016 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1505019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505040 */     // GIR_Coverage, 17882,
     /* 1505040 */     GIR_EraseRootFromParent_Done,
     /* 1505041 */   // Label 20940: @1505041
     /* 1505041 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1505123), // Rule ID 17883 //
     /* 1505046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1505057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1505060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1505063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1505066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505085 */     // MIs[0] round
     /* 1505085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505088 */     // MIs[0] policy
     /* 1505088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505098 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1505101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505122 */     // GIR_Coverage, 17883,
     /* 1505122 */     GIR_EraseRootFromParent_Done,
     /* 1505123 */   // Label 20941: @1505123
     /* 1505123 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1505205), // Rule ID 17886 //
     /* 1505128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1505139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1505142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1505145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1505148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505167 */     // MIs[0] round
     /* 1505167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505170 */     // MIs[0] policy
     /* 1505170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505180 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1505183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505204 */     // GIR_Coverage, 17886,
     /* 1505204 */     GIR_EraseRootFromParent_Done,
     /* 1505205 */   // Label 20942: @1505205
     /* 1505205 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1505287), // Rule ID 17887 //
     /* 1505210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1505221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1505224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1505227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1505230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505249 */     // MIs[0] round
     /* 1505249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505252 */     // MIs[0] policy
     /* 1505252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505262 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1505265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505286 */     // GIR_Coverage, 17887,
     /* 1505286 */     GIR_EraseRootFromParent_Done,
     /* 1505287 */   // Label 20943: @1505287
     /* 1505287 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1505369), // Rule ID 17890 //
     /* 1505292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1505303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1505306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1505309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1505312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505331 */     // MIs[0] round
     /* 1505331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505334 */     // MIs[0] policy
     /* 1505334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505344 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1505347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505368 */     // GIR_Coverage, 17890,
     /* 1505368 */     GIR_EraseRootFromParent_Done,
     /* 1505369 */   // Label 20944: @1505369
     /* 1505369 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1505451), // Rule ID 17891 //
     /* 1505374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1505385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1505388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1505391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1505394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505413 */     // MIs[0] round
     /* 1505413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505416 */     // MIs[0] policy
     /* 1505416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505426 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1505429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505450 */     // GIR_Coverage, 17891,
     /* 1505450 */     GIR_EraseRootFromParent_Done,
     /* 1505451 */   // Label 20945: @1505451
     /* 1505451 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1505533), // Rule ID 17894 //
     /* 1505456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505495 */     // MIs[0] round
     /* 1505495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505498 */     // MIs[0] policy
     /* 1505498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505532 */     // GIR_Coverage, 17894,
     /* 1505532 */     GIR_EraseRootFromParent_Done,
     /* 1505533 */   // Label 20946: @1505533
     /* 1505533 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1505615), // Rule ID 17895 //
     /* 1505538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505577 */     // MIs[0] round
     /* 1505577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505580 */     // MIs[0] policy
     /* 1505580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505590 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505614 */     // GIR_Coverage, 17895,
     /* 1505614 */     GIR_EraseRootFromParent_Done,
     /* 1505615 */   // Label 20947: @1505615
     /* 1505615 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1505697), // Rule ID 17898 //
     /* 1505620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505659 */     // MIs[0] round
     /* 1505659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505662 */     // MIs[0] policy
     /* 1505662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505672 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505696 */     // GIR_Coverage, 17898,
     /* 1505696 */     GIR_EraseRootFromParent_Done,
     /* 1505697 */   // Label 20948: @1505697
     /* 1505697 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1505779), // Rule ID 17899 //
     /* 1505702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505741 */     // MIs[0] round
     /* 1505741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505744 */     // MIs[0] policy
     /* 1505744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505754 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505778 */     // GIR_Coverage, 17899,
     /* 1505778 */     GIR_EraseRootFromParent_Done,
     /* 1505779 */   // Label 20949: @1505779
     /* 1505779 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1505861), // Rule ID 17902 //
     /* 1505784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505823 */     // MIs[0] round
     /* 1505823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505826 */     // MIs[0] policy
     /* 1505826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505836 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505860 */     // GIR_Coverage, 17902,
     /* 1505860 */     GIR_EraseRootFromParent_Done,
     /* 1505861 */   // Label 20950: @1505861
     /* 1505861 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1505943), // Rule ID 17903 //
     /* 1505866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505905 */     // MIs[0] round
     /* 1505905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505908 */     // MIs[0] policy
     /* 1505908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505918 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505942 */     // GIR_Coverage, 17903,
     /* 1505942 */     GIR_EraseRootFromParent_Done,
     /* 1505943 */   // Label 20951: @1505943
     /* 1505943 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1506025), // Rule ID 17906 //
     /* 1505948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505987 */     // MIs[0] round
     /* 1505987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505990 */     // MIs[0] policy
     /* 1505990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506000 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1506003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506024 */     // GIR_Coverage, 17906,
     /* 1506024 */     GIR_EraseRootFromParent_Done,
     /* 1506025 */   // Label 20952: @1506025
     /* 1506025 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1506107), // Rule ID 17907 //
     /* 1506030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1506041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1506044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1506047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1506050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506069 */     // MIs[0] round
     /* 1506069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506072 */     // MIs[0] policy
     /* 1506072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506082 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1506085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506106 */     // GIR_Coverage, 17907,
     /* 1506106 */     GIR_EraseRootFromParent_Done,
     /* 1506107 */   // Label 20953: @1506107
     /* 1506107 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1506189), // Rule ID 17910 //
     /* 1506112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1506123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1506126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1506129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1506132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506151 */     // MIs[0] round
     /* 1506151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506154 */     // MIs[0] policy
     /* 1506154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506164 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1506167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506188 */     // GIR_Coverage, 17910,
     /* 1506188 */     GIR_EraseRootFromParent_Done,
     /* 1506189 */   // Label 20954: @1506189
     /* 1506189 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1506271), // Rule ID 17911 //
     /* 1506194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1506205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1506208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1506211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1506214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506233 */     // MIs[0] round
     /* 1506233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506236 */     // MIs[0] policy
     /* 1506236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506246 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1506249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506270 */     // GIR_Coverage, 17911,
     /* 1506270 */     GIR_EraseRootFromParent_Done,
     /* 1506271 */   // Label 20955: @1506271
     /* 1506271 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1506353), // Rule ID 17914 //
     /* 1506276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1506287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1506290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1506293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1506296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506315 */     // MIs[0] round
     /* 1506315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506318 */     // MIs[0] policy
     /* 1506318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506328 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1506331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506352 */     // GIR_Coverage, 17914,
     /* 1506352 */     GIR_EraseRootFromParent_Done,
     /* 1506353 */   // Label 20956: @1506353
     /* 1506353 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1506435), // Rule ID 17915 //
     /* 1506358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1506369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1506372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1506375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1506378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506397 */     // MIs[0] round
     /* 1506397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506400 */     // MIs[0] policy
     /* 1506400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1506413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506434 */     // GIR_Coverage, 17915,
     /* 1506434 */     GIR_EraseRootFromParent_Done,
     /* 1506435 */   // Label 20957: @1506435
     /* 1506435 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1506517), // Rule ID 17918 //
     /* 1506440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506479 */     // MIs[0] round
     /* 1506479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506482 */     // MIs[0] policy
     /* 1506482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506492 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506516 */     // GIR_Coverage, 17918,
     /* 1506516 */     GIR_EraseRootFromParent_Done,
     /* 1506517 */   // Label 20958: @1506517
     /* 1506517 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1506599), // Rule ID 17919 //
     /* 1506522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506561 */     // MIs[0] round
     /* 1506561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506564 */     // MIs[0] policy
     /* 1506564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506574 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506598 */     // GIR_Coverage, 17919,
     /* 1506598 */     GIR_EraseRootFromParent_Done,
     /* 1506599 */   // Label 20959: @1506599
     /* 1506599 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1506681), // Rule ID 17922 //
     /* 1506604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506643 */     // MIs[0] round
     /* 1506643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506646 */     // MIs[0] policy
     /* 1506646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506656 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506680 */     // GIR_Coverage, 17922,
     /* 1506680 */     GIR_EraseRootFromParent_Done,
     /* 1506681 */   // Label 20960: @1506681
     /* 1506681 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1506763), // Rule ID 17923 //
     /* 1506686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506725 */     // MIs[0] round
     /* 1506725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506728 */     // MIs[0] policy
     /* 1506728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506738 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506762 */     // GIR_Coverage, 17923,
     /* 1506762 */     GIR_EraseRootFromParent_Done,
     /* 1506763 */   // Label 20961: @1506763
     /* 1506763 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1506845), // Rule ID 17926 //
     /* 1506768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506807 */     // MIs[0] round
     /* 1506807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506810 */     // MIs[0] policy
     /* 1506810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506820 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506844 */     // GIR_Coverage, 17926,
     /* 1506844 */     GIR_EraseRootFromParent_Done,
     /* 1506845 */   // Label 20962: @1506845
     /* 1506845 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1506927), // Rule ID 17927 //
     /* 1506850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506889 */     // MIs[0] round
     /* 1506889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506892 */     // MIs[0] policy
     /* 1506892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506902 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506926 */     // GIR_Coverage, 17927,
     /* 1506926 */     GIR_EraseRootFromParent_Done,
     /* 1506927 */   // Label 20963: @1506927
     /* 1506927 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1507009), // Rule ID 17930 //
     /* 1506932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506971 */     // MIs[0] round
     /* 1506971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506974 */     // MIs[0] policy
     /* 1506974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1506987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507008 */     // GIR_Coverage, 17930,
     /* 1507008 */     GIR_EraseRootFromParent_Done,
     /* 1507009 */   // Label 20964: @1507009
     /* 1507009 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1507091), // Rule ID 17931 //
     /* 1507014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1507025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1507028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1507031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1507034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507053 */     // MIs[0] round
     /* 1507053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507056 */     // MIs[0] policy
     /* 1507056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507066 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1507069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507090 */     // GIR_Coverage, 17931,
     /* 1507090 */     GIR_EraseRootFromParent_Done,
     /* 1507091 */   // Label 20965: @1507091
     /* 1507091 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1507173), // Rule ID 17934 //
     /* 1507096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1507107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1507110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1507116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507135 */     // MIs[0] round
     /* 1507135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507138 */     // MIs[0] policy
     /* 1507138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507148 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1507151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507172 */     // GIR_Coverage, 17934,
     /* 1507172 */     GIR_EraseRootFromParent_Done,
     /* 1507173 */   // Label 20966: @1507173
     /* 1507173 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1507255), // Rule ID 17935 //
     /* 1507178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1507189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1507192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1507198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507217 */     // MIs[0] round
     /* 1507217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507220 */     // MIs[0] policy
     /* 1507220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507230 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1507233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507254 */     // GIR_Coverage, 17935,
     /* 1507254 */     GIR_EraseRootFromParent_Done,
     /* 1507255 */   // Label 20967: @1507255
     /* 1507255 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1507337), // Rule ID 17938 //
     /* 1507260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1507271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1507274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1507280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507299 */     // MIs[0] round
     /* 1507299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507302 */     // MIs[0] policy
     /* 1507302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507312 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1507315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507336 */     // GIR_Coverage, 17938,
     /* 1507336 */     GIR_EraseRootFromParent_Done,
     /* 1507337 */   // Label 20968: @1507337
     /* 1507337 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1507419), // Rule ID 17939 //
     /* 1507342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1507353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1507356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1507362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507381 */     // MIs[0] round
     /* 1507381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507384 */     // MIs[0] policy
     /* 1507384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507394 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1507397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507418 */     // GIR_Coverage, 17939,
     /* 1507418 */     GIR_EraseRootFromParent_Done,
     /* 1507419 */   // Label 20969: @1507419
     /* 1507419 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1507501), // Rule ID 17942 //
     /* 1507424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1507435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1507438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507463 */     // MIs[0] round
     /* 1507463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507466 */     // MIs[0] policy
     /* 1507466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507476 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507500 */     // GIR_Coverage, 17942,
     /* 1507500 */     GIR_EraseRootFromParent_Done,
     /* 1507501 */   // Label 20970: @1507501
     /* 1507501 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1507583), // Rule ID 17943 //
     /* 1507506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1507517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1507520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507545 */     // MIs[0] round
     /* 1507545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507548 */     // MIs[0] policy
     /* 1507548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507558 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507582 */     // GIR_Coverage, 17943,
     /* 1507582 */     GIR_EraseRootFromParent_Done,
     /* 1507583 */   // Label 20971: @1507583
     /* 1507583 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1507665), // Rule ID 17946 //
     /* 1507588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507627 */     // MIs[0] round
     /* 1507627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507630 */     // MIs[0] policy
     /* 1507630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507664 */     // GIR_Coverage, 17946,
     /* 1507664 */     GIR_EraseRootFromParent_Done,
     /* 1507665 */   // Label 20972: @1507665
     /* 1507665 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1507747), // Rule ID 17947 //
     /* 1507670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507709 */     // MIs[0] round
     /* 1507709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507712 */     // MIs[0] policy
     /* 1507712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507722 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507746 */     // GIR_Coverage, 17947,
     /* 1507746 */     GIR_EraseRootFromParent_Done,
     /* 1507747 */   // Label 20973: @1507747
     /* 1507747 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1507829), // Rule ID 17950 //
     /* 1507752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507791 */     // MIs[0] round
     /* 1507791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507794 */     // MIs[0] policy
     /* 1507794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507804 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507828 */     // GIR_Coverage, 17950,
     /* 1507828 */     GIR_EraseRootFromParent_Done,
     /* 1507829 */   // Label 20974: @1507829
     /* 1507829 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1507911), // Rule ID 17951 //
     /* 1507834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507873 */     // MIs[0] round
     /* 1507873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507876 */     // MIs[0] policy
     /* 1507876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507886 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507910 */     // GIR_Coverage, 17951,
     /* 1507910 */     GIR_EraseRootFromParent_Done,
     /* 1507911 */   // Label 20975: @1507911
     /* 1507911 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1507993), // Rule ID 17954 //
     /* 1507916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507955 */     // MIs[0] round
     /* 1507955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507958 */     // MIs[0] policy
     /* 1507958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1507971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507992 */     // GIR_Coverage, 17954,
     /* 1507992 */     GIR_EraseRootFromParent_Done,
     /* 1507993 */   // Label 20976: @1507993
     /* 1507993 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1508075), // Rule ID 17955 //
     /* 1507998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1508009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1508012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1508018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508037 */     // MIs[0] round
     /* 1508037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508040 */     // MIs[0] policy
     /* 1508040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1508053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508074 */     // GIR_Coverage, 17955,
     /* 1508074 */     GIR_EraseRootFromParent_Done,
     /* 1508075 */   // Label 20977: @1508075
     /* 1508075 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1508157), // Rule ID 17958 //
     /* 1508080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1508091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1508094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1508100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508119 */     // MIs[0] round
     /* 1508119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508122 */     // MIs[0] policy
     /* 1508122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508132 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1508135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508156 */     // GIR_Coverage, 17958,
     /* 1508156 */     GIR_EraseRootFromParent_Done,
     /* 1508157 */   // Label 20978: @1508157
     /* 1508157 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1508239), // Rule ID 17959 //
     /* 1508162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1508173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1508176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1508182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508201 */     // MIs[0] round
     /* 1508201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508204 */     // MIs[0] policy
     /* 1508204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508214 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1508217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508238 */     // GIR_Coverage, 17959,
     /* 1508238 */     GIR_EraseRootFromParent_Done,
     /* 1508239 */   // Label 20979: @1508239
     /* 1508239 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1508321), // Rule ID 17962 //
     /* 1508244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1508255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1508258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1508264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508283 */     // MIs[0] round
     /* 1508283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508286 */     // MIs[0] policy
     /* 1508286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508296 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1508299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508320 */     // GIR_Coverage, 17962,
     /* 1508320 */     GIR_EraseRootFromParent_Done,
     /* 1508321 */   // Label 20980: @1508321
     /* 1508321 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1508403), // Rule ID 17963 //
     /* 1508326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1508337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1508340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1508346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508365 */     // MIs[0] round
     /* 1508365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508368 */     // MIs[0] policy
     /* 1508368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508378 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1508381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508402 */     // GIR_Coverage, 17963,
     /* 1508402 */     GIR_EraseRootFromParent_Done,
     /* 1508403 */   // Label 20981: @1508403
     /* 1508403 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1508485), // Rule ID 17966 //
     /* 1508408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1508428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508447 */     // MIs[0] round
     /* 1508447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508450 */     // MIs[0] policy
     /* 1508450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508460 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508484 */     // GIR_Coverage, 17966,
     /* 1508484 */     GIR_EraseRootFromParent_Done,
     /* 1508485 */   // Label 20982: @1508485
     /* 1508485 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1508567), // Rule ID 17967 //
     /* 1508490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1508510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508529 */     // MIs[0] round
     /* 1508529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508532 */     // MIs[0] policy
     /* 1508532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508542 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508566 */     // GIR_Coverage, 17967,
     /* 1508566 */     GIR_EraseRootFromParent_Done,
     /* 1508567 */   // Label 20983: @1508567
     /* 1508567 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1508649), // Rule ID 17970 //
     /* 1508572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508611 */     // MIs[0] round
     /* 1508611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508614 */     // MIs[0] policy
     /* 1508614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508624 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508648 */     // GIR_Coverage, 17970,
     /* 1508648 */     GIR_EraseRootFromParent_Done,
     /* 1508649 */   // Label 20984: @1508649
     /* 1508649 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1508731), // Rule ID 17971 //
     /* 1508654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508693 */     // MIs[0] round
     /* 1508693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508696 */     // MIs[0] policy
     /* 1508696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508706 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508730 */     // GIR_Coverage, 17971,
     /* 1508730 */     GIR_EraseRootFromParent_Done,
     /* 1508731 */   // Label 20985: @1508731
     /* 1508731 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1508813), // Rule ID 17974 //
     /* 1508736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508775 */     // MIs[0] round
     /* 1508775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508778 */     // MIs[0] policy
     /* 1508778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508788 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508812 */     // GIR_Coverage, 17974,
     /* 1508812 */     GIR_EraseRootFromParent_Done,
     /* 1508813 */   // Label 20986: @1508813
     /* 1508813 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1508895), // Rule ID 17975 //
     /* 1508818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508857 */     // MIs[0] round
     /* 1508857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508860 */     // MIs[0] policy
     /* 1508860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508870 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508894 */     // GIR_Coverage, 17975,
     /* 1508894 */     GIR_EraseRootFromParent_Done,
     /* 1508895 */   // Label 20987: @1508895
     /* 1508895 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1508977), // Rule ID 17978 //
     /* 1508900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508939 */     // MIs[0] round
     /* 1508939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508942 */     // MIs[0] policy
     /* 1508942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508952 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1508955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508976 */     // GIR_Coverage, 17978,
     /* 1508976 */     GIR_EraseRootFromParent_Done,
     /* 1508977 */   // Label 20988: @1508977
     /* 1508977 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1509059), // Rule ID 17979 //
     /* 1508982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1509002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509021 */     // MIs[0] round
     /* 1509021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509024 */     // MIs[0] policy
     /* 1509024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1509037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509058 */     // GIR_Coverage, 17979,
     /* 1509058 */     GIR_EraseRootFromParent_Done,
     /* 1509059 */   // Label 20989: @1509059
     /* 1509059 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1509141), // Rule ID 17982 //
     /* 1509064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1509084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509103 */     // MIs[0] round
     /* 1509103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509106 */     // MIs[0] policy
     /* 1509106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509116 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1509119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509140 */     // GIR_Coverage, 17982,
     /* 1509140 */     GIR_EraseRootFromParent_Done,
     /* 1509141 */   // Label 20990: @1509141
     /* 1509141 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1509223), // Rule ID 17983 //
     /* 1509146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1509166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509185 */     // MIs[0] round
     /* 1509185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509188 */     // MIs[0] policy
     /* 1509188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509198 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1509201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509222 */     // GIR_Coverage, 17983,
     /* 1509222 */     GIR_EraseRootFromParent_Done,
     /* 1509223 */   // Label 20991: @1509223
     /* 1509223 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1509305), // Rule ID 17986 //
     /* 1509228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1509239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1509242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1509248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509267 */     // MIs[0] round
     /* 1509267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509270 */     // MIs[0] policy
     /* 1509270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509280 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1509283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509304 */     // GIR_Coverage, 17986,
     /* 1509304 */     GIR_EraseRootFromParent_Done,
     /* 1509305 */   // Label 20992: @1509305
     /* 1509305 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1509387), // Rule ID 17987 //
     /* 1509310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1509321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1509324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1509330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509349 */     // MIs[0] round
     /* 1509349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509352 */     // MIs[0] policy
     /* 1509352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509362 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1509365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509386 */     // GIR_Coverage, 17987,
     /* 1509386 */     GIR_EraseRootFromParent_Done,
     /* 1509387 */   // Label 20993: @1509387
     /* 1509387 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1509469), // Rule ID 17990 //
     /* 1509392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1509412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509431 */     // MIs[0] round
     /* 1509431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509434 */     // MIs[0] policy
     /* 1509434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509444 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509468 */     // GIR_Coverage, 17990,
     /* 1509468 */     GIR_EraseRootFromParent_Done,
     /* 1509469 */   // Label 20994: @1509469
     /* 1509469 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1509551), // Rule ID 17991 //
     /* 1509474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1509494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509513 */     // MIs[0] round
     /* 1509513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509516 */     // MIs[0] policy
     /* 1509516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509526 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509550 */     // GIR_Coverage, 17991,
     /* 1509550 */     GIR_EraseRootFromParent_Done,
     /* 1509551 */   // Label 20995: @1509551
     /* 1509551 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1509633), // Rule ID 17994 //
     /* 1509556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509595 */     // MIs[0] round
     /* 1509595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509598 */     // MIs[0] policy
     /* 1509598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509608 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509632 */     // GIR_Coverage, 17994,
     /* 1509632 */     GIR_EraseRootFromParent_Done,
     /* 1509633 */   // Label 20996: @1509633
     /* 1509633 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1509715), // Rule ID 17995 //
     /* 1509638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509677 */     // MIs[0] round
     /* 1509677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509680 */     // MIs[0] policy
     /* 1509680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509690 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509714 */     // GIR_Coverage, 17995,
     /* 1509714 */     GIR_EraseRootFromParent_Done,
     /* 1509715 */   // Label 20997: @1509715
     /* 1509715 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1509797), // Rule ID 17998 //
     /* 1509720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509759 */     // MIs[0] round
     /* 1509759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509762 */     // MIs[0] policy
     /* 1509762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509772 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509796 */     // GIR_Coverage, 17998,
     /* 1509796 */     GIR_EraseRootFromParent_Done,
     /* 1509797 */   // Label 20998: @1509797
     /* 1509797 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1509879), // Rule ID 17999 //
     /* 1509802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509841 */     // MIs[0] round
     /* 1509841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509844 */     // MIs[0] policy
     /* 1509844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509854 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509878 */     // GIR_Coverage, 17999,
     /* 1509878 */     GIR_EraseRootFromParent_Done,
     /* 1509879 */   // Label 20999: @1509879
     /* 1509879 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509961), // Rule ID 18002 //
     /* 1509884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509923 */     // MIs[0] round
     /* 1509923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509926 */     // MIs[0] policy
     /* 1509926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1509939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509960 */     // GIR_Coverage, 18002,
     /* 1509960 */     GIR_EraseRootFromParent_Done,
     /* 1509961 */   // Label 21000: @1509961
     /* 1509961 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1510043), // Rule ID 18003 //
     /* 1509966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510005 */     // MIs[0] round
     /* 1510005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510008 */     // MIs[0] policy
     /* 1510008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510018 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1510021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510042 */     // GIR_Coverage, 18003,
     /* 1510042 */     GIR_EraseRootFromParent_Done,
     /* 1510043 */   // Label 21001: @1510043
     /* 1510043 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1510125), // Rule ID 18006 //
     /* 1510048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1510065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1510068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510087 */     // MIs[0] round
     /* 1510087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510090 */     // MIs[0] policy
     /* 1510090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510100 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1510103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510124 */     // GIR_Coverage, 18006,
     /* 1510124 */     GIR_EraseRootFromParent_Done,
     /* 1510125 */   // Label 21002: @1510125
     /* 1510125 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1510207), // Rule ID 18007 //
     /* 1510130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1510147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1510150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510169 */     // MIs[0] round
     /* 1510169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510172 */     // MIs[0] policy
     /* 1510172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510182 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1510185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510206 */     // GIR_Coverage, 18007,
     /* 1510206 */     GIR_EraseRootFromParent_Done,
     /* 1510207 */   // Label 21003: @1510207
     /* 1510207 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1510289), // Rule ID 18010 //
     /* 1510212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1510223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1510226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1510229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1510232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510251 */     // MIs[0] round
     /* 1510251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510254 */     // MIs[0] policy
     /* 1510254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1510267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510288 */     // GIR_Coverage, 18010,
     /* 1510288 */     GIR_EraseRootFromParent_Done,
     /* 1510289 */   // Label 21004: @1510289
     /* 1510289 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1510371), // Rule ID 18011 //
     /* 1510294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1510305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1510308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1510311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1510314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510333 */     // MIs[0] round
     /* 1510333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510336 */     // MIs[0] policy
     /* 1510336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510346 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1510349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510370 */     // GIR_Coverage, 18011,
     /* 1510370 */     GIR_EraseRootFromParent_Done,
     /* 1510371 */   // Label 21005: @1510371
     /* 1510371 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1510453), // Rule ID 18014 //
     /* 1510376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1510387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1510390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1510393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1510396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510415 */     // MIs[0] round
     /* 1510415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510418 */     // MIs[0] policy
     /* 1510418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1510431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510452 */     // GIR_Coverage, 18014,
     /* 1510452 */     GIR_EraseRootFromParent_Done,
     /* 1510453 */   // Label 21006: @1510453
     /* 1510453 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1510535), // Rule ID 18015 //
     /* 1510458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1510469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1510472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1510475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1510478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510497 */     // MIs[0] round
     /* 1510497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510500 */     // MIs[0] policy
     /* 1510500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510510 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1510513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510534 */     // GIR_Coverage, 18015,
     /* 1510534 */     GIR_EraseRootFromParent_Done,
     /* 1510535 */   // Label 21007: @1510535
     /* 1510535 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1510617), // Rule ID 18018 //
     /* 1510540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510579 */     // MIs[0] round
     /* 1510579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510582 */     // MIs[0] policy
     /* 1510582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510592 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510616 */     // GIR_Coverage, 18018,
     /* 1510616 */     GIR_EraseRootFromParent_Done,
     /* 1510617 */   // Label 21008: @1510617
     /* 1510617 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1510699), // Rule ID 18019 //
     /* 1510622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510661 */     // MIs[0] round
     /* 1510661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510664 */     // MIs[0] policy
     /* 1510664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510674 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510698 */     // GIR_Coverage, 18019,
     /* 1510698 */     GIR_EraseRootFromParent_Done,
     /* 1510699 */   // Label 21009: @1510699
     /* 1510699 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1510781), // Rule ID 18022 //
     /* 1510704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510743 */     // MIs[0] round
     /* 1510743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510746 */     // MIs[0] policy
     /* 1510746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510756 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510780 */     // GIR_Coverage, 18022,
     /* 1510780 */     GIR_EraseRootFromParent_Done,
     /* 1510781 */   // Label 21010: @1510781
     /* 1510781 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1510863), // Rule ID 18023 //
     /* 1510786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510825 */     // MIs[0] round
     /* 1510825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510828 */     // MIs[0] policy
     /* 1510828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510838 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510862 */     // GIR_Coverage, 18023,
     /* 1510862 */     GIR_EraseRootFromParent_Done,
     /* 1510863 */   // Label 21011: @1510863
     /* 1510863 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510945), // Rule ID 18026 //
     /* 1510868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510907 */     // MIs[0] round
     /* 1510907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510910 */     // MIs[0] policy
     /* 1510910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510920 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1510923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510944 */     // GIR_Coverage, 18026,
     /* 1510944 */     GIR_EraseRootFromParent_Done,
     /* 1510945 */   // Label 21012: @1510945
     /* 1510945 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1511027), // Rule ID 18027 //
     /* 1510950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510989 */     // MIs[0] round
     /* 1510989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510992 */     // MIs[0] policy
     /* 1510992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511002 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1511005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511026 */     // GIR_Coverage, 18027,
     /* 1511026 */     GIR_EraseRootFromParent_Done,
     /* 1511027 */   // Label 21013: @1511027
     /* 1511027 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1511109), // Rule ID 18030 //
     /* 1511032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1511049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1511052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511071 */     // MIs[0] round
     /* 1511071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511074 */     // MIs[0] policy
     /* 1511074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511084 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1511087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511108 */     // GIR_Coverage, 18030,
     /* 1511108 */     GIR_EraseRootFromParent_Done,
     /* 1511109 */   // Label 21014: @1511109
     /* 1511109 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1511191), // Rule ID 18031 //
     /* 1511114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1511131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1511134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511153 */     // MIs[0] round
     /* 1511153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511156 */     // MIs[0] policy
     /* 1511156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511166 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1511169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511190 */     // GIR_Coverage, 18031,
     /* 1511190 */     GIR_EraseRootFromParent_Done,
     /* 1511191 */   // Label 21015: @1511191
     /* 1511191 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1511273), // Rule ID 18034 //
     /* 1511196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1511207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1511210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1511213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1511216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511235 */     // MIs[0] round
     /* 1511235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511238 */     // MIs[0] policy
     /* 1511238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511248 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1511251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511272 */     // GIR_Coverage, 18034,
     /* 1511272 */     GIR_EraseRootFromParent_Done,
     /* 1511273 */   // Label 21016: @1511273
     /* 1511273 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1511355), // Rule ID 18035 //
     /* 1511278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1511289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1511292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1511295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1511298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511317 */     // MIs[0] round
     /* 1511317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511320 */     // MIs[0] policy
     /* 1511320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511330 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1511333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511354 */     // GIR_Coverage, 18035,
     /* 1511354 */     GIR_EraseRootFromParent_Done,
     /* 1511355 */   // Label 21017: @1511355
     /* 1511355 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1511437), // Rule ID 18038 //
     /* 1511360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1511377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1511380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511399 */     // MIs[0] round
     /* 1511399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511402 */     // MIs[0] policy
     /* 1511402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511412 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1511415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511436 */     // GIR_Coverage, 18038,
     /* 1511436 */     GIR_EraseRootFromParent_Done,
     /* 1511437 */   // Label 21018: @1511437
     /* 1511437 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1511519), // Rule ID 18039 //
     /* 1511442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1511459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1511462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511481 */     // MIs[0] round
     /* 1511481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511484 */     // MIs[0] policy
     /* 1511484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511494 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1511497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511518 */     // GIR_Coverage, 18039,
     /* 1511518 */     GIR_EraseRootFromParent_Done,
     /* 1511519 */   // Label 21019: @1511519
     /* 1511519 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1511601), // Rule ID 18042 //
     /* 1511524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511563 */     // MIs[0] round
     /* 1511563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511566 */     // MIs[0] policy
     /* 1511566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511576 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511600 */     // GIR_Coverage, 18042,
     /* 1511600 */     GIR_EraseRootFromParent_Done,
     /* 1511601 */   // Label 21020: @1511601
     /* 1511601 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1511683), // Rule ID 18043 //
     /* 1511606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511645 */     // MIs[0] round
     /* 1511645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511648 */     // MIs[0] policy
     /* 1511648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511658 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511682 */     // GIR_Coverage, 18043,
     /* 1511682 */     GIR_EraseRootFromParent_Done,
     /* 1511683 */   // Label 21021: @1511683
     /* 1511683 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1511765), // Rule ID 18046 //
     /* 1511688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511727 */     // MIs[0] round
     /* 1511727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511730 */     // MIs[0] policy
     /* 1511730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511740 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511764 */     // GIR_Coverage, 18046,
     /* 1511764 */     GIR_EraseRootFromParent_Done,
     /* 1511765 */   // Label 21022: @1511765
     /* 1511765 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1511847), // Rule ID 18047 //
     /* 1511770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511809 */     // MIs[0] round
     /* 1511809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511812 */     // MIs[0] policy
     /* 1511812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511822 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511846 */     // GIR_Coverage, 18047,
     /* 1511846 */     GIR_EraseRootFromParent_Done,
     /* 1511847 */   // Label 21023: @1511847
     /* 1511847 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511929), // Rule ID 18050 //
     /* 1511852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511891 */     // MIs[0] round
     /* 1511891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511894 */     // MIs[0] policy
     /* 1511894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511904 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511928 */     // GIR_Coverage, 18050,
     /* 1511928 */     GIR_EraseRootFromParent_Done,
     /* 1511929 */   // Label 21024: @1511929
     /* 1511929 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1512011), // Rule ID 18051 //
     /* 1511934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511973 */     // MIs[0] round
     /* 1511973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511976 */     // MIs[0] policy
     /* 1511976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511986 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512010 */     // GIR_Coverage, 18051,
     /* 1512010 */     GIR_EraseRootFromParent_Done,
     /* 1512011 */   // Label 21025: @1512011
     /* 1512011 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1512093), // Rule ID 18054 //
     /* 1512016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1512036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512055 */     // MIs[0] round
     /* 1512055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512058 */     // MIs[0] policy
     /* 1512058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512068 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1512071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512092 */     // GIR_Coverage, 18054,
     /* 1512092 */     GIR_EraseRootFromParent_Done,
     /* 1512093 */   // Label 21026: @1512093
     /* 1512093 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1512175), // Rule ID 18055 //
     /* 1512098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1512118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512137 */     // MIs[0] round
     /* 1512137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512140 */     // MIs[0] policy
     /* 1512140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512150 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1512153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512174 */     // GIR_Coverage, 18055,
     /* 1512174 */     GIR_EraseRootFromParent_Done,
     /* 1512175 */   // Label 21027: @1512175
     /* 1512175 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1512257), // Rule ID 18058 //
     /* 1512180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1512191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1512194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1512200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512219 */     // MIs[0] round
     /* 1512219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512222 */     // MIs[0] policy
     /* 1512222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512232 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1512235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512256 */     // GIR_Coverage, 18058,
     /* 1512256 */     GIR_EraseRootFromParent_Done,
     /* 1512257 */   // Label 21028: @1512257
     /* 1512257 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1512339), // Rule ID 18059 //
     /* 1512262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1512273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1512276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1512282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512301 */     // MIs[0] round
     /* 1512301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512304 */     // MIs[0] policy
     /* 1512304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1512317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512338 */     // GIR_Coverage, 18059,
     /* 1512338 */     GIR_EraseRootFromParent_Done,
     /* 1512339 */   // Label 21029: @1512339
     /* 1512339 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1512421), // Rule ID 18062 //
     /* 1512344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1512355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1512358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1512364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512383 */     // MIs[0] round
     /* 1512383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512386 */     // MIs[0] policy
     /* 1512386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512396 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1512399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512420 */     // GIR_Coverage, 18062,
     /* 1512420 */     GIR_EraseRootFromParent_Done,
     /* 1512421 */   // Label 21030: @1512421
     /* 1512421 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1512503), // Rule ID 18063 //
     /* 1512426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1512437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1512440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1512446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512465 */     // MIs[0] round
     /* 1512465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512468 */     // MIs[0] policy
     /* 1512468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512478 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1512481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512502 */     // GIR_Coverage, 18063,
     /* 1512502 */     GIR_EraseRootFromParent_Done,
     /* 1512503 */   // Label 21031: @1512503
     /* 1512503 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1512585), // Rule ID 18066 //
     /* 1512508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512547 */     // MIs[0] round
     /* 1512547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512550 */     // MIs[0] policy
     /* 1512550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512560 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512584 */     // GIR_Coverage, 18066,
     /* 1512584 */     GIR_EraseRootFromParent_Done,
     /* 1512585 */   // Label 21032: @1512585
     /* 1512585 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1512667), // Rule ID 18067 //
     /* 1512590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512629 */     // MIs[0] round
     /* 1512629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512632 */     // MIs[0] policy
     /* 1512632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512642 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512666 */     // GIR_Coverage, 18067,
     /* 1512666 */     GIR_EraseRootFromParent_Done,
     /* 1512667 */   // Label 21033: @1512667
     /* 1512667 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1512749), // Rule ID 18070 //
     /* 1512672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512711 */     // MIs[0] round
     /* 1512711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512714 */     // MIs[0] policy
     /* 1512714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512724 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512748 */     // GIR_Coverage, 18070,
     /* 1512748 */     GIR_EraseRootFromParent_Done,
     /* 1512749 */   // Label 21034: @1512749
     /* 1512749 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1512831), // Rule ID 18071 //
     /* 1512754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512793 */     // MIs[0] round
     /* 1512793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512796 */     // MIs[0] policy
     /* 1512796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512806 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512830 */     // GIR_Coverage, 18071,
     /* 1512830 */     GIR_EraseRootFromParent_Done,
     /* 1512831 */   // Label 21035: @1512831
     /* 1512831 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512913), // Rule ID 18074 //
     /* 1512836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512875 */     // MIs[0] round
     /* 1512875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512878 */     // MIs[0] policy
     /* 1512878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512912 */     // GIR_Coverage, 18074,
     /* 1512912 */     GIR_EraseRootFromParent_Done,
     /* 1512913 */   // Label 21036: @1512913
     /* 1512913 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512995), // Rule ID 18075 //
     /* 1512918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512957 */     // MIs[0] round
     /* 1512957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512960 */     // MIs[0] policy
     /* 1512960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512970 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512994 */     // GIR_Coverage, 18075,
     /* 1512994 */     GIR_EraseRootFromParent_Done,
     /* 1512995 */   // Label 21037: @1512995
     /* 1512995 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1513077), // Rule ID 18078 //
     /* 1513000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1513020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513039 */     // MIs[0] round
     /* 1513039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513042 */     // MIs[0] policy
     /* 1513042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1513055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513076 */     // GIR_Coverage, 18078,
     /* 1513076 */     GIR_EraseRootFromParent_Done,
     /* 1513077 */   // Label 21038: @1513077
     /* 1513077 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1513159), // Rule ID 18079 //
     /* 1513082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1513102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513121 */     // MIs[0] round
     /* 1513121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513124 */     // MIs[0] policy
     /* 1513124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513134 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1513137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513158 */     // GIR_Coverage, 18079,
     /* 1513158 */     GIR_EraseRootFromParent_Done,
     /* 1513159 */   // Label 21039: @1513159
     /* 1513159 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1513241), // Rule ID 18082 //
     /* 1513164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1513175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1513178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1513184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513203 */     // MIs[0] round
     /* 1513203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513206 */     // MIs[0] policy
     /* 1513206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513216 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1513219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513240 */     // GIR_Coverage, 18082,
     /* 1513240 */     GIR_EraseRootFromParent_Done,
     /* 1513241 */   // Label 21040: @1513241
     /* 1513241 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1513323), // Rule ID 18083 //
     /* 1513246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1513257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1513260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1513266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513285 */     // MIs[0] round
     /* 1513285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513288 */     // MIs[0] policy
     /* 1513288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513298 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1513301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513322 */     // GIR_Coverage, 18083,
     /* 1513322 */     GIR_EraseRootFromParent_Done,
     /* 1513323 */   // Label 21041: @1513323
     /* 1513323 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1513405), // Rule ID 18086 //
     /* 1513328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1513339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1513342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1513348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513367 */     // MIs[0] round
     /* 1513367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513370 */     // MIs[0] policy
     /* 1513370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513380 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1513383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513404 */     // GIR_Coverage, 18086,
     /* 1513404 */     GIR_EraseRootFromParent_Done,
     /* 1513405 */   // Label 21042: @1513405
     /* 1513405 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1513487), // Rule ID 18087 //
     /* 1513410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1513421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1513424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1513430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513449 */     // MIs[0] round
     /* 1513449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513452 */     // MIs[0] policy
     /* 1513452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513462 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1513465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513486 */     // GIR_Coverage, 18087,
     /* 1513486 */     GIR_EraseRootFromParent_Done,
     /* 1513487 */   // Label 21043: @1513487
     /* 1513487 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1513569), // Rule ID 18090 //
     /* 1513492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513531 */     // MIs[0] round
     /* 1513531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513534 */     // MIs[0] policy
     /* 1513534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513544 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513568 */     // GIR_Coverage, 18090,
     /* 1513568 */     GIR_EraseRootFromParent_Done,
     /* 1513569 */   // Label 21044: @1513569
     /* 1513569 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1513651), // Rule ID 18091 //
     /* 1513574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513613 */     // MIs[0] round
     /* 1513613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513616 */     // MIs[0] policy
     /* 1513616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513626 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513650 */     // GIR_Coverage, 18091,
     /* 1513650 */     GIR_EraseRootFromParent_Done,
     /* 1513651 */   // Label 21045: @1513651
     /* 1513651 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1513733), // Rule ID 18094 //
     /* 1513656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513695 */     // MIs[0] round
     /* 1513695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513698 */     // MIs[0] policy
     /* 1513698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513732 */     // GIR_Coverage, 18094,
     /* 1513732 */     GIR_EraseRootFromParent_Done,
     /* 1513733 */   // Label 21046: @1513733
     /* 1513733 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1513815), // Rule ID 18095 //
     /* 1513738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513777 */     // MIs[0] round
     /* 1513777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513780 */     // MIs[0] policy
     /* 1513780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513790 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513814 */     // GIR_Coverage, 18095,
     /* 1513814 */     GIR_EraseRootFromParent_Done,
     /* 1513815 */   // Label 21047: @1513815
     /* 1513815 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513897), // Rule ID 18098 //
     /* 1513820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513859 */     // MIs[0] round
     /* 1513859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513862 */     // MIs[0] policy
     /* 1513862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513872 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513896 */     // GIR_Coverage, 18098,
     /* 1513896 */     GIR_EraseRootFromParent_Done,
     /* 1513897 */   // Label 21048: @1513897
     /* 1513897 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513979), // Rule ID 18099 //
     /* 1513902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513941 */     // MIs[0] round
     /* 1513941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513944 */     // MIs[0] policy
     /* 1513944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513954 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513978 */     // GIR_Coverage, 18099,
     /* 1513978 */     GIR_EraseRootFromParent_Done,
     /* 1513979 */   // Label 21049: @1513979
     /* 1513979 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1514061), // Rule ID 18102 //
     /* 1513984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1514004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514023 */     // MIs[0] round
     /* 1514023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514026 */     // MIs[0] policy
     /* 1514026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514036 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1514039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514060 */     // GIR_Coverage, 18102,
     /* 1514060 */     GIR_EraseRootFromParent_Done,
     /* 1514061 */   // Label 21050: @1514061
     /* 1514061 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1514143), // Rule ID 18103 //
     /* 1514066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1514077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1514080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1514086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514105 */     // MIs[0] round
     /* 1514105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514108 */     // MIs[0] policy
     /* 1514108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514118 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1514121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514142 */     // GIR_Coverage, 18103,
     /* 1514142 */     GIR_EraseRootFromParent_Done,
     /* 1514143 */   // Label 21051: @1514143
     /* 1514143 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1514225), // Rule ID 18106 //
     /* 1514148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1514159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1514162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1514168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514187 */     // MIs[0] round
     /* 1514187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514190 */     // MIs[0] policy
     /* 1514190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514200 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1514203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514224 */     // GIR_Coverage, 18106,
     /* 1514224 */     GIR_EraseRootFromParent_Done,
     /* 1514225 */   // Label 21052: @1514225
     /* 1514225 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1514307), // Rule ID 18107 //
     /* 1514230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1514241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1514244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1514250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514269 */     // MIs[0] round
     /* 1514269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514272 */     // MIs[0] policy
     /* 1514272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514282 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1514285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514306 */     // GIR_Coverage, 18107,
     /* 1514306 */     GIR_EraseRootFromParent_Done,
     /* 1514307 */   // Label 21053: @1514307
     /* 1514307 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1514389), // Rule ID 18110 //
     /* 1514312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1514323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1514326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1514332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514351 */     // MIs[0] round
     /* 1514351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514354 */     // MIs[0] policy
     /* 1514354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514364 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1514367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514388 */     // GIR_Coverage, 18110,
     /* 1514388 */     GIR_EraseRootFromParent_Done,
     /* 1514389 */   // Label 21054: @1514389
     /* 1514389 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1514471), // Rule ID 18111 //
     /* 1514394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1514405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1514408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1514414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514433 */     // MIs[0] round
     /* 1514433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514436 */     // MIs[0] policy
     /* 1514436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514446 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1514449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514470 */     // GIR_Coverage, 18111,
     /* 1514470 */     GIR_EraseRootFromParent_Done,
     /* 1514471 */   // Label 21055: @1514471
     /* 1514471 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1514553), // Rule ID 18114 //
     /* 1514476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514515 */     // MIs[0] round
     /* 1514515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514518 */     // MIs[0] policy
     /* 1514518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514528 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514552 */     // GIR_Coverage, 18114,
     /* 1514552 */     GIR_EraseRootFromParent_Done,
     /* 1514553 */   // Label 21056: @1514553
     /* 1514553 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1514635), // Rule ID 18115 //
     /* 1514558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514597 */     // MIs[0] round
     /* 1514597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514600 */     // MIs[0] policy
     /* 1514600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514610 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514634 */     // GIR_Coverage, 18115,
     /* 1514634 */     GIR_EraseRootFromParent_Done,
     /* 1514635 */   // Label 21057: @1514635
     /* 1514635 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1514717), // Rule ID 18118 //
     /* 1514640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514679 */     // MIs[0] round
     /* 1514679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514682 */     // MIs[0] policy
     /* 1514682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514716 */     // GIR_Coverage, 18118,
     /* 1514716 */     GIR_EraseRootFromParent_Done,
     /* 1514717 */   // Label 21058: @1514717
     /* 1514717 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1514799), // Rule ID 18119 //
     /* 1514722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514761 */     // MIs[0] round
     /* 1514761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514764 */     // MIs[0] policy
     /* 1514764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514774 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514798 */     // GIR_Coverage, 18119,
     /* 1514798 */     GIR_EraseRootFromParent_Done,
     /* 1514799 */   // Label 21059: @1514799
     /* 1514799 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514881), // Rule ID 18122 //
     /* 1514804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514843 */     // MIs[0] round
     /* 1514843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514846 */     // MIs[0] policy
     /* 1514846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514880 */     // GIR_Coverage, 18122,
     /* 1514880 */     GIR_EraseRootFromParent_Done,
     /* 1514881 */   // Label 21060: @1514881
     /* 1514881 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514963), // Rule ID 18123 //
     /* 1514886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514925 */     // MIs[0] round
     /* 1514925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514928 */     // MIs[0] policy
     /* 1514928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514938 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514962 */     // GIR_Coverage, 18123,
     /* 1514962 */     GIR_EraseRootFromParent_Done,
     /* 1514963 */   // Label 21061: @1514963
     /* 1514963 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1515045), // Rule ID 18126 //
     /* 1514968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515007 */     // MIs[0] round
     /* 1515007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515010 */     // MIs[0] policy
     /* 1515010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1515023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515044 */     // GIR_Coverage, 18126,
     /* 1515044 */     GIR_EraseRootFromParent_Done,
     /* 1515045 */   // Label 21062: @1515045
     /* 1515045 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1515127), // Rule ID 18127 //
     /* 1515050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1515061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1515064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1515067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1515070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515089 */     // MIs[0] round
     /* 1515089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515092 */     // MIs[0] policy
     /* 1515092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1515105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515126 */     // GIR_Coverage, 18127,
     /* 1515126 */     GIR_EraseRootFromParent_Done,
     /* 1515127 */   // Label 21063: @1515127
     /* 1515127 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1515209), // Rule ID 18130 //
     /* 1515132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1515143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1515146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1515149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1515152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515171 */     // MIs[0] round
     /* 1515171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515174 */     // MIs[0] policy
     /* 1515174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515184 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1515187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515208 */     // GIR_Coverage, 18130,
     /* 1515208 */     GIR_EraseRootFromParent_Done,
     /* 1515209 */   // Label 21064: @1515209
     /* 1515209 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1515291), // Rule ID 18131 //
     /* 1515214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1515225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1515228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1515231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1515234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515253 */     // MIs[0] round
     /* 1515253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515256 */     // MIs[0] policy
     /* 1515256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515266 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1515269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515290 */     // GIR_Coverage, 18131,
     /* 1515290 */     GIR_EraseRootFromParent_Done,
     /* 1515291 */   // Label 21065: @1515291
     /* 1515291 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1515373), // Rule ID 18134 //
     /* 1515296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1515307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1515310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1515313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1515316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515335 */     // MIs[0] round
     /* 1515335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515338 */     // MIs[0] policy
     /* 1515338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1515351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515372 */     // GIR_Coverage, 18134,
     /* 1515372 */     GIR_EraseRootFromParent_Done,
     /* 1515373 */   // Label 21066: @1515373
     /* 1515373 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1515455), // Rule ID 18135 //
     /* 1515378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1515389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1515392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1515395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1515398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515417 */     // MIs[0] round
     /* 1515417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515420 */     // MIs[0] policy
     /* 1515420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1515433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515454 */     // GIR_Coverage, 18135,
     /* 1515454 */     GIR_EraseRootFromParent_Done,
     /* 1515455 */   // Label 21067: @1515455
     /* 1515455 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1515537), // Rule ID 18138 //
     /* 1515460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515499 */     // MIs[0] round
     /* 1515499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515502 */     // MIs[0] policy
     /* 1515502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515512 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515536 */     // GIR_Coverage, 18138,
     /* 1515536 */     GIR_EraseRootFromParent_Done,
     /* 1515537 */   // Label 21068: @1515537
     /* 1515537 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1515619), // Rule ID 18139 //
     /* 1515542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515581 */     // MIs[0] round
     /* 1515581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515584 */     // MIs[0] policy
     /* 1515584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515594 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515618 */     // GIR_Coverage, 18139,
     /* 1515618 */     GIR_EraseRootFromParent_Done,
     /* 1515619 */   // Label 21069: @1515619
     /* 1515619 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1515701), // Rule ID 18142 //
     /* 1515624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515663 */     // MIs[0] round
     /* 1515663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515666 */     // MIs[0] policy
     /* 1515666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515676 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515700 */     // GIR_Coverage, 18142,
     /* 1515700 */     GIR_EraseRootFromParent_Done,
     /* 1515701 */   // Label 21070: @1515701
     /* 1515701 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1515783), // Rule ID 18143 //
     /* 1515706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515745 */     // MIs[0] round
     /* 1515745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515748 */     // MIs[0] policy
     /* 1515748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515782 */     // GIR_Coverage, 18143,
     /* 1515782 */     GIR_EraseRootFromParent_Done,
     /* 1515783 */   // Label 21071: @1515783
     /* 1515783 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515865), // Rule ID 18146 //
     /* 1515788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515827 */     // MIs[0] round
     /* 1515827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515830 */     // MIs[0] policy
     /* 1515830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515840 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515864 */     // GIR_Coverage, 18146,
     /* 1515864 */     GIR_EraseRootFromParent_Done,
     /* 1515865 */   // Label 21072: @1515865
     /* 1515865 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515947), // Rule ID 18147 //
     /* 1515870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515909 */     // MIs[0] round
     /* 1515909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515912 */     // MIs[0] policy
     /* 1515912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515922 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515946 */     // GIR_Coverage, 18147,
     /* 1515946 */     GIR_EraseRootFromParent_Done,
     /* 1515947 */   // Label 21073: @1515947
     /* 1515947 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1516029), // Rule ID 18150 //
     /* 1515952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515991 */     // MIs[0] round
     /* 1515991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515994 */     // MIs[0] policy
     /* 1515994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516004 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1516007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516028 */     // GIR_Coverage, 18150,
     /* 1516028 */     GIR_EraseRootFromParent_Done,
     /* 1516029 */   // Label 21074: @1516029
     /* 1516029 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1516111), // Rule ID 18151 //
     /* 1516034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1516045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1516048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1516051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1516054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516073 */     // MIs[0] round
     /* 1516073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516076 */     // MIs[0] policy
     /* 1516076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516086 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1516089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516110 */     // GIR_Coverage, 18151,
     /* 1516110 */     GIR_EraseRootFromParent_Done,
     /* 1516111 */   // Label 21075: @1516111
     /* 1516111 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1516193), // Rule ID 18154 //
     /* 1516116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1516133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1516136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516155 */     // MIs[0] round
     /* 1516155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516158 */     // MIs[0] policy
     /* 1516158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516168 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1516171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516192 */     // GIR_Coverage, 18154,
     /* 1516192 */     GIR_EraseRootFromParent_Done,
     /* 1516193 */   // Label 21076: @1516193
     /* 1516193 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1516275), // Rule ID 18155 //
     /* 1516198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1516215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1516218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516237 */     // MIs[0] round
     /* 1516237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516240 */     // MIs[0] policy
     /* 1516240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1516253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516274 */     // GIR_Coverage, 18155,
     /* 1516274 */     GIR_EraseRootFromParent_Done,
     /* 1516275 */   // Label 21077: @1516275
     /* 1516275 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1516357), // Rule ID 18158 //
     /* 1516280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1516291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1516294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1516297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1516300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516319 */     // MIs[0] round
     /* 1516319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516322 */     // MIs[0] policy
     /* 1516322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1516335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516356 */     // GIR_Coverage, 18158,
     /* 1516356 */     GIR_EraseRootFromParent_Done,
     /* 1516357 */   // Label 21078: @1516357
     /* 1516357 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1516439), // Rule ID 18159 //
     /* 1516362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1516373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1516376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1516379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1516382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516401 */     // MIs[0] round
     /* 1516401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516404 */     // MIs[0] policy
     /* 1516404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516414 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1516417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516438 */     // GIR_Coverage, 18159,
     /* 1516438 */     GIR_EraseRootFromParent_Done,
     /* 1516439 */   // Label 21079: @1516439
     /* 1516439 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1516521), // Rule ID 18162 //
     /* 1516444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516483 */     // MIs[0] round
     /* 1516483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516486 */     // MIs[0] policy
     /* 1516486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516496 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516520 */     // GIR_Coverage, 18162,
     /* 1516520 */     GIR_EraseRootFromParent_Done,
     /* 1516521 */   // Label 21080: @1516521
     /* 1516521 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1516603), // Rule ID 18163 //
     /* 1516526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516565 */     // MIs[0] round
     /* 1516565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516568 */     // MIs[0] policy
     /* 1516568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516578 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516602 */     // GIR_Coverage, 18163,
     /* 1516602 */     GIR_EraseRootFromParent_Done,
     /* 1516603 */   // Label 21081: @1516603
     /* 1516603 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1516685), // Rule ID 18166 //
     /* 1516608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516647 */     // MIs[0] round
     /* 1516647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516650 */     // MIs[0] policy
     /* 1516650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516660 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516684 */     // GIR_Coverage, 18166,
     /* 1516684 */     GIR_EraseRootFromParent_Done,
     /* 1516685 */   // Label 21082: @1516685
     /* 1516685 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1516767), // Rule ID 18167 //
     /* 1516690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516729 */     // MIs[0] round
     /* 1516729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516732 */     // MIs[0] policy
     /* 1516732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516742 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516766 */     // GIR_Coverage, 18167,
     /* 1516766 */     GIR_EraseRootFromParent_Done,
     /* 1516767 */   // Label 21083: @1516767
     /* 1516767 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1516849), // Rule ID 18170 //
     /* 1516772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516811 */     // MIs[0] round
     /* 1516811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516814 */     // MIs[0] policy
     /* 1516814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516824 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516848 */     // GIR_Coverage, 18170,
     /* 1516848 */     GIR_EraseRootFromParent_Done,
     /* 1516849 */   // Label 21084: @1516849
     /* 1516849 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516931), // Rule ID 18171 //
     /* 1516854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516893 */     // MIs[0] round
     /* 1516893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516896 */     // MIs[0] policy
     /* 1516896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516906 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516930 */     // GIR_Coverage, 18171,
     /* 1516930 */     GIR_EraseRootFromParent_Done,
     /* 1516931 */   // Label 21085: @1516931
     /* 1516931 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1517013), // Rule ID 18174 //
     /* 1516936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516975 */     // MIs[0] round
     /* 1516975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516978 */     // MIs[0] policy
     /* 1516978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516988 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1516991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517012 */     // GIR_Coverage, 18174,
     /* 1517012 */     GIR_EraseRootFromParent_Done,
     /* 1517013 */   // Label 21086: @1517013
     /* 1517013 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1517095), // Rule ID 18175 //
     /* 1517018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1517029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1517032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1517038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517057 */     // MIs[0] round
     /* 1517057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517060 */     // MIs[0] policy
     /* 1517060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517070 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1517073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517094 */     // GIR_Coverage, 18175,
     /* 1517094 */     GIR_EraseRootFromParent_Done,
     /* 1517095 */   // Label 21087: @1517095
     /* 1517095 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1517177), // Rule ID 18178 //
     /* 1517100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1517111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1517114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1517120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517139 */     // MIs[0] round
     /* 1517139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517142 */     // MIs[0] policy
     /* 1517142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517152 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1517155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517176 */     // GIR_Coverage, 18178,
     /* 1517176 */     GIR_EraseRootFromParent_Done,
     /* 1517177 */   // Label 21088: @1517177
     /* 1517177 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1517259), // Rule ID 18179 //
     /* 1517182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1517193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1517196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1517202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517221 */     // MIs[0] round
     /* 1517221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517224 */     // MIs[0] policy
     /* 1517224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517234 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1517237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517258 */     // GIR_Coverage, 18179,
     /* 1517258 */     GIR_EraseRootFromParent_Done,
     /* 1517259 */   // Label 21089: @1517259
     /* 1517259 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1517341), // Rule ID 18182 //
     /* 1517264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1517275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1517278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1517284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517303 */     // MIs[0] round
     /* 1517303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517306 */     // MIs[0] policy
     /* 1517306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517316 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1517319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517340 */     // GIR_Coverage, 18182,
     /* 1517340 */     GIR_EraseRootFromParent_Done,
     /* 1517341 */   // Label 21090: @1517341
     /* 1517341 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1517423), // Rule ID 18183 //
     /* 1517346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1517357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1517360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1517366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517385 */     // MIs[0] round
     /* 1517385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517388 */     // MIs[0] policy
     /* 1517388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517398 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1517401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517422 */     // GIR_Coverage, 18183,
     /* 1517422 */     GIR_EraseRootFromParent_Done,
     /* 1517423 */   // Label 21091: @1517423
     /* 1517423 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1517505), // Rule ID 18186 //
     /* 1517428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517467 */     // MIs[0] round
     /* 1517467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517470 */     // MIs[0] policy
     /* 1517470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517480 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517504 */     // GIR_Coverage, 18186,
     /* 1517504 */     GIR_EraseRootFromParent_Done,
     /* 1517505 */   // Label 21092: @1517505
     /* 1517505 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1517587), // Rule ID 18187 //
     /* 1517510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517549 */     // MIs[0] round
     /* 1517549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517552 */     // MIs[0] policy
     /* 1517552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517562 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517586 */     // GIR_Coverage, 18187,
     /* 1517586 */     GIR_EraseRootFromParent_Done,
     /* 1517587 */   // Label 21093: @1517587
     /* 1517587 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1517669), // Rule ID 18190 //
     /* 1517592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517631 */     // MIs[0] round
     /* 1517631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517634 */     // MIs[0] policy
     /* 1517634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517644 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517668 */     // GIR_Coverage, 18190,
     /* 1517668 */     GIR_EraseRootFromParent_Done,
     /* 1517669 */   // Label 21094: @1517669
     /* 1517669 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1517751), // Rule ID 18191 //
     /* 1517674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517713 */     // MIs[0] round
     /* 1517713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517716 */     // MIs[0] policy
     /* 1517716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517726 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517750 */     // GIR_Coverage, 18191,
     /* 1517750 */     GIR_EraseRootFromParent_Done,
     /* 1517751 */   // Label 21095: @1517751
     /* 1517751 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1517833), // Rule ID 18194 //
     /* 1517756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517795 */     // MIs[0] round
     /* 1517795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517798 */     // MIs[0] policy
     /* 1517798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517808 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517832 */     // GIR_Coverage, 18194,
     /* 1517832 */     GIR_EraseRootFromParent_Done,
     /* 1517833 */   // Label 21096: @1517833
     /* 1517833 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517915), // Rule ID 18195 //
     /* 1517838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517877 */     // MIs[0] round
     /* 1517877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517880 */     // MIs[0] policy
     /* 1517880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517914 */     // GIR_Coverage, 18195,
     /* 1517914 */     GIR_EraseRootFromParent_Done,
     /* 1517915 */   // Label 21097: @1517915
     /* 1517915 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517997), // Rule ID 18198 //
     /* 1517920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517959 */     // MIs[0] round
     /* 1517959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517962 */     // MIs[0] policy
     /* 1517962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517972 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1517975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517996 */     // GIR_Coverage, 18198,
     /* 1517996 */     GIR_EraseRootFromParent_Done,
     /* 1517997 */   // Label 21098: @1517997
     /* 1517997 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1518079), // Rule ID 18199 //
     /* 1518002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1518013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1518016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1518022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518041 */     // MIs[0] round
     /* 1518041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518044 */     // MIs[0] policy
     /* 1518044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518054 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1518057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518078 */     // GIR_Coverage, 18199,
     /* 1518078 */     GIR_EraseRootFromParent_Done,
     /* 1518079 */   // Label 21099: @1518079
     /* 1518079 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1518161), // Rule ID 18202 //
     /* 1518084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1518095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1518098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1518104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518123 */     // MIs[0] round
     /* 1518123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518126 */     // MIs[0] policy
     /* 1518126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518136 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1518139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518160 */     // GIR_Coverage, 18202,
     /* 1518160 */     GIR_EraseRootFromParent_Done,
     /* 1518161 */   // Label 21100: @1518161
     /* 1518161 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1518243), // Rule ID 18203 //
     /* 1518166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1518177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1518180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1518186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518205 */     // MIs[0] round
     /* 1518205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518208 */     // MIs[0] policy
     /* 1518208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518218 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1518221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518242 */     // GIR_Coverage, 18203,
     /* 1518242 */     GIR_EraseRootFromParent_Done,
     /* 1518243 */   // Label 21101: @1518243
     /* 1518243 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1518325), // Rule ID 18206 //
     /* 1518248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1518259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1518262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1518268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518287 */     // MIs[0] round
     /* 1518287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518290 */     // MIs[0] policy
     /* 1518290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518300 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1518303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518324 */     // GIR_Coverage, 18206,
     /* 1518324 */     GIR_EraseRootFromParent_Done,
     /* 1518325 */   // Label 21102: @1518325
     /* 1518325 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1518407), // Rule ID 18207 //
     /* 1518330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1518341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1518344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1518350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518369 */     // MIs[0] round
     /* 1518369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518372 */     // MIs[0] policy
     /* 1518372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518382 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1518385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518406 */     // GIR_Coverage, 18207,
     /* 1518406 */     GIR_EraseRootFromParent_Done,
     /* 1518407 */   // Label 21103: @1518407
     /* 1518407 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1518489), // Rule ID 18210 //
     /* 1518412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518451 */     // MIs[0] round
     /* 1518451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518454 */     // MIs[0] policy
     /* 1518454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518464 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518488 */     // GIR_Coverage, 18210,
     /* 1518488 */     GIR_EraseRootFromParent_Done,
     /* 1518489 */   // Label 21104: @1518489
     /* 1518489 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1518571), // Rule ID 18211 //
     /* 1518494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518533 */     // MIs[0] round
     /* 1518533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518536 */     // MIs[0] policy
     /* 1518536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518546 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518570 */     // GIR_Coverage, 18211,
     /* 1518570 */     GIR_EraseRootFromParent_Done,
     /* 1518571 */   // Label 21105: @1518571
     /* 1518571 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1518653), // Rule ID 18214 //
     /* 1518576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518615 */     // MIs[0] round
     /* 1518615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518618 */     // MIs[0] policy
     /* 1518618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518652 */     // GIR_Coverage, 18214,
     /* 1518652 */     GIR_EraseRootFromParent_Done,
     /* 1518653 */   // Label 21106: @1518653
     /* 1518653 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1518735), // Rule ID 18215 //
     /* 1518658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518697 */     // MIs[0] round
     /* 1518697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518700 */     // MIs[0] policy
     /* 1518700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518710 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518734 */     // GIR_Coverage, 18215,
     /* 1518734 */     GIR_EraseRootFromParent_Done,
     /* 1518735 */   // Label 21107: @1518735
     /* 1518735 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1518817), // Rule ID 18218 //
     /* 1518740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518779 */     // MIs[0] round
     /* 1518779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518782 */     // MIs[0] policy
     /* 1518782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518792 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518816 */     // GIR_Coverage, 18218,
     /* 1518816 */     GIR_EraseRootFromParent_Done,
     /* 1518817 */   // Label 21108: @1518817
     /* 1518817 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518899), // Rule ID 18219 //
     /* 1518822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518861 */     // MIs[0] round
     /* 1518861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518864 */     // MIs[0] policy
     /* 1518864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518874 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518898 */     // GIR_Coverage, 18219,
     /* 1518898 */     GIR_EraseRootFromParent_Done,
     /* 1518899 */   // Label 21109: @1518899
     /* 1518899 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518981), // Rule ID 18222 //
     /* 1518904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518943 */     // MIs[0] round
     /* 1518943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518946 */     // MIs[0] policy
     /* 1518946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518956 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1518959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518980 */     // GIR_Coverage, 18222,
     /* 1518980 */     GIR_EraseRootFromParent_Done,
     /* 1518981 */   // Label 21110: @1518981
     /* 1518981 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1519063), // Rule ID 18223 //
     /* 1518986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1519006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519025 */     // MIs[0] round
     /* 1519025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519028 */     // MIs[0] policy
     /* 1519028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519038 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1519041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519062 */     // GIR_Coverage, 18223,
     /* 1519062 */     GIR_EraseRootFromParent_Done,
     /* 1519063 */   // Label 21111: @1519063
     /* 1519063 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1519145), // Rule ID 18226 //
     /* 1519068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1519088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519107 */     // MIs[0] round
     /* 1519107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519110 */     // MIs[0] policy
     /* 1519110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519120 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1519123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519144 */     // GIR_Coverage, 18226,
     /* 1519144 */     GIR_EraseRootFromParent_Done,
     /* 1519145 */   // Label 21112: @1519145
     /* 1519145 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1519227), // Rule ID 18227 //
     /* 1519150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1519170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519189 */     // MIs[0] round
     /* 1519189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519192 */     // MIs[0] policy
     /* 1519192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519202 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1519205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519226 */     // GIR_Coverage, 18227,
     /* 1519226 */     GIR_EraseRootFromParent_Done,
     /* 1519227 */   // Label 21113: @1519227
     /* 1519227 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1519309), // Rule ID 18230 //
     /* 1519232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1519243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1519246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1519252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519271 */     // MIs[0] round
     /* 1519271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519274 */     // MIs[0] policy
     /* 1519274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519284 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1519287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519308 */     // GIR_Coverage, 18230,
     /* 1519308 */     GIR_EraseRootFromParent_Done,
     /* 1519309 */   // Label 21114: @1519309
     /* 1519309 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1519391), // Rule ID 18231 //
     /* 1519314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1519325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1519328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1519334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519353 */     // MIs[0] round
     /* 1519353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519356 */     // MIs[0] policy
     /* 1519356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519366 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1519369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519390 */     // GIR_Coverage, 18231,
     /* 1519390 */     GIR_EraseRootFromParent_Done,
     /* 1519391 */   // Label 21115: @1519391
     /* 1519391 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1519473), // Rule ID 18234 //
     /* 1519396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1519407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1519410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1519413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1519416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519435 */     // MIs[0] round
     /* 1519435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519438 */     // MIs[0] policy
     /* 1519438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519472 */     // GIR_Coverage, 18234,
     /* 1519472 */     GIR_EraseRootFromParent_Done,
     /* 1519473 */   // Label 21116: @1519473
     /* 1519473 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1519555), // Rule ID 18235 //
     /* 1519478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1519489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1519492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1519495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1519498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519517 */     // MIs[0] round
     /* 1519517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519520 */     // MIs[0] policy
     /* 1519520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519530 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519554 */     // GIR_Coverage, 18235,
     /* 1519554 */     GIR_EraseRootFromParent_Done,
     /* 1519555 */   // Label 21117: @1519555
     /* 1519555 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1519637), // Rule ID 18238 //
     /* 1519560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519599 */     // MIs[0] round
     /* 1519599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519602 */     // MIs[0] policy
     /* 1519602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519612 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519636 */     // GIR_Coverage, 18238,
     /* 1519636 */     GIR_EraseRootFromParent_Done,
     /* 1519637 */   // Label 21118: @1519637
     /* 1519637 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1519719), // Rule ID 18239 //
     /* 1519642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519681 */     // MIs[0] round
     /* 1519681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519684 */     // MIs[0] policy
     /* 1519684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519694 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519718 */     // GIR_Coverage, 18239,
     /* 1519718 */     GIR_EraseRootFromParent_Done,
     /* 1519719 */   // Label 21119: @1519719
     /* 1519719 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1519801), // Rule ID 18242 //
     /* 1519724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519763 */     // MIs[0] round
     /* 1519763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519766 */     // MIs[0] policy
     /* 1519766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519776 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519800 */     // GIR_Coverage, 18242,
     /* 1519800 */     GIR_EraseRootFromParent_Done,
     /* 1519801 */   // Label 21120: @1519801
     /* 1519801 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519883), // Rule ID 18243 //
     /* 1519806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519845 */     // MIs[0] round
     /* 1519845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519848 */     // MIs[0] policy
     /* 1519848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519858 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519882 */     // GIR_Coverage, 18243,
     /* 1519882 */     GIR_EraseRootFromParent_Done,
     /* 1519883 */   // Label 21121: @1519883
     /* 1519883 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519965), // Rule ID 18246 //
     /* 1519888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519927 */     // MIs[0] round
     /* 1519927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519930 */     // MIs[0] policy
     /* 1519930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1519943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519964 */     // GIR_Coverage, 18246,
     /* 1519964 */     GIR_EraseRootFromParent_Done,
     /* 1519965 */   // Label 21122: @1519965
     /* 1519965 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1520047), // Rule ID 18247 //
     /* 1519970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520009 */     // MIs[0] round
     /* 1520009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520012 */     // MIs[0] policy
     /* 1520012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520022 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1520025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520046 */     // GIR_Coverage, 18247,
     /* 1520046 */     GIR_EraseRootFromParent_Done,
     /* 1520047 */   // Label 21123: @1520047
     /* 1520047 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1520129), // Rule ID 18250 //
     /* 1520052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1520069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1520072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520091 */     // MIs[0] round
     /* 1520091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520094 */     // MIs[0] policy
     /* 1520094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520104 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1520107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520128 */     // GIR_Coverage, 18250,
     /* 1520128 */     GIR_EraseRootFromParent_Done,
     /* 1520129 */   // Label 21124: @1520129
     /* 1520129 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1520211), // Rule ID 18251 //
     /* 1520134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1520151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1520154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520173 */     // MIs[0] round
     /* 1520173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520176 */     // MIs[0] policy
     /* 1520176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520186 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1520189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520210 */     // GIR_Coverage, 18251,
     /* 1520210 */     GIR_EraseRootFromParent_Done,
     /* 1520211 */   // Label 21125: @1520211
     /* 1520211 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1520293), // Rule ID 18254 //
     /* 1520216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1520227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1520230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1520233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1520236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520255 */     // MIs[0] round
     /* 1520255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520258 */     // MIs[0] policy
     /* 1520258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1520271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520292 */     // GIR_Coverage, 18254,
     /* 1520292 */     GIR_EraseRootFromParent_Done,
     /* 1520293 */   // Label 21126: @1520293
     /* 1520293 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1520375), // Rule ID 18255 //
     /* 1520298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1520309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1520312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1520315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1520318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520337 */     // MIs[0] round
     /* 1520337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520340 */     // MIs[0] policy
     /* 1520340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1520353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520374 */     // GIR_Coverage, 18255,
     /* 1520374 */     GIR_EraseRootFromParent_Done,
     /* 1520375 */   // Label 21127: @1520375
     /* 1520375 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1520457), // Rule ID 18258 //
     /* 1520380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1520397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520419 */     // MIs[0] round
     /* 1520419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520422 */     // MIs[0] policy
     /* 1520422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520432 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1520435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520456 */     // GIR_Coverage, 18258,
     /* 1520456 */     GIR_EraseRootFromParent_Done,
     /* 1520457 */   // Label 21128: @1520457
     /* 1520457 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1520539), // Rule ID 18259 //
     /* 1520462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1520479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520501 */     // MIs[0] round
     /* 1520501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520504 */     // MIs[0] policy
     /* 1520504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520514 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1520517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520538 */     // GIR_Coverage, 18259,
     /* 1520538 */     GIR_EraseRootFromParent_Done,
     /* 1520539 */   // Label 21129: @1520539
     /* 1520539 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1520621), // Rule ID 18262 //
     /* 1520544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520583 */     // MIs[0] round
     /* 1520583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520586 */     // MIs[0] policy
     /* 1520586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520596 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520620 */     // GIR_Coverage, 18262,
     /* 1520620 */     GIR_EraseRootFromParent_Done,
     /* 1520621 */   // Label 21130: @1520621
     /* 1520621 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1520703), // Rule ID 18263 //
     /* 1520626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520665 */     // MIs[0] round
     /* 1520665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520668 */     // MIs[0] policy
     /* 1520668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520702 */     // GIR_Coverage, 18263,
     /* 1520702 */     GIR_EraseRootFromParent_Done,
     /* 1520703 */   // Label 21131: @1520703
     /* 1520703 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1520785), // Rule ID 18266 //
     /* 1520708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520747 */     // MIs[0] round
     /* 1520747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520750 */     // MIs[0] policy
     /* 1520750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520760 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520784 */     // GIR_Coverage, 18266,
     /* 1520784 */     GIR_EraseRootFromParent_Done,
     /* 1520785 */   // Label 21132: @1520785
     /* 1520785 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520867), // Rule ID 18267 //
     /* 1520790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520829 */     // MIs[0] round
     /* 1520829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520832 */     // MIs[0] policy
     /* 1520832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520842 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520866 */     // GIR_Coverage, 18267,
     /* 1520866 */     GIR_EraseRootFromParent_Done,
     /* 1520867 */   // Label 21133: @1520867
     /* 1520867 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520949), // Rule ID 18270 //
     /* 1520872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520911 */     // MIs[0] round
     /* 1520911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520914 */     // MIs[0] policy
     /* 1520914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520924 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1520927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520948 */     // GIR_Coverage, 18270,
     /* 1520948 */     GIR_EraseRootFromParent_Done,
     /* 1520949 */   // Label 21134: @1520949
     /* 1520949 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1521031), // Rule ID 18271 //
     /* 1520954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520993 */     // MIs[0] round
     /* 1520993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520996 */     // MIs[0] policy
     /* 1520996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521006 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1521009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521030 */     // GIR_Coverage, 18271,
     /* 1521030 */     GIR_EraseRootFromParent_Done,
     /* 1521031 */   // Label 21135: @1521031
     /* 1521031 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1521113), // Rule ID 18274 //
     /* 1521036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1521047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1521050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1521053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521075 */     // MIs[0] round
     /* 1521075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521078 */     // MIs[0] policy
     /* 1521078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521088 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1521091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521112 */     // GIR_Coverage, 18274,
     /* 1521112 */     GIR_EraseRootFromParent_Done,
     /* 1521113 */   // Label 21136: @1521113
     /* 1521113 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1521195), // Rule ID 18275 //
     /* 1521118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1521129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1521132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1521135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521157 */     // MIs[0] round
     /* 1521157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521160 */     // MIs[0] policy
     /* 1521160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521170 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1521173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521194 */     // GIR_Coverage, 18275,
     /* 1521194 */     GIR_EraseRootFromParent_Done,
     /* 1521195 */   // Label 21137: @1521195
     /* 1521195 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1521277), // Rule ID 18278 //
     /* 1521200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1521211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1521214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1521217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1521220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521239 */     // MIs[0] round
     /* 1521239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521242 */     // MIs[0] policy
     /* 1521242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521252 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1521255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521276 */     // GIR_Coverage, 18278,
     /* 1521276 */     GIR_EraseRootFromParent_Done,
     /* 1521277 */   // Label 21138: @1521277
     /* 1521277 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1521359), // Rule ID 18279 //
     /* 1521282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1521293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1521296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1521299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1521302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521321 */     // MIs[0] round
     /* 1521321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521324 */     // MIs[0] policy
     /* 1521324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521334 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1521337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521358 */     // GIR_Coverage, 18279,
     /* 1521358 */     GIR_EraseRootFromParent_Done,
     /* 1521359 */   // Label 21139: @1521359
     /* 1521359 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1521441), // Rule ID 18282 //
     /* 1521364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1521381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1521384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521403 */     // MIs[0] round
     /* 1521403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521406 */     // MIs[0] policy
     /* 1521406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521416 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1521419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521440 */     // GIR_Coverage, 18282,
     /* 1521440 */     GIR_EraseRootFromParent_Done,
     /* 1521441 */   // Label 21140: @1521441
     /* 1521441 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1521523), // Rule ID 18283 //
     /* 1521446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1521463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1521466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521485 */     // MIs[0] round
     /* 1521485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521488 */     // MIs[0] policy
     /* 1521488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521498 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1521501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521522 */     // GIR_Coverage, 18283,
     /* 1521522 */     GIR_EraseRootFromParent_Done,
     /* 1521523 */   // Label 21141: @1521523
     /* 1521523 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1521605), // Rule ID 18286 //
     /* 1521528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521567 */     // MIs[0] round
     /* 1521567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521570 */     // MIs[0] policy
     /* 1521570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521580 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521604 */     // GIR_Coverage, 18286,
     /* 1521604 */     GIR_EraseRootFromParent_Done,
     /* 1521605 */   // Label 21142: @1521605
     /* 1521605 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1521687), // Rule ID 18287 //
     /* 1521610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521649 */     // MIs[0] round
     /* 1521649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521652 */     // MIs[0] policy
     /* 1521652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521662 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521686 */     // GIR_Coverage, 18287,
     /* 1521686 */     GIR_EraseRootFromParent_Done,
     /* 1521687 */   // Label 21143: @1521687
     /* 1521687 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1521769), // Rule ID 18290 //
     /* 1521692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521731 */     // MIs[0] round
     /* 1521731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521734 */     // MIs[0] policy
     /* 1521734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521744 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521768 */     // GIR_Coverage, 18290,
     /* 1521768 */     GIR_EraseRootFromParent_Done,
     /* 1521769 */   // Label 21144: @1521769
     /* 1521769 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1521851), // Rule ID 18291 //
     /* 1521774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521813 */     // MIs[0] round
     /* 1521813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521816 */     // MIs[0] policy
     /* 1521816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521826 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521850 */     // GIR_Coverage, 18291,
     /* 1521850 */     GIR_EraseRootFromParent_Done,
     /* 1521851 */   // Label 21145: @1521851
     /* 1521851 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521933), // Rule ID 18294 //
     /* 1521856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521895 */     // MIs[0] round
     /* 1521895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521898 */     // MIs[0] policy
     /* 1521898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521908 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521932 */     // GIR_Coverage, 18294,
     /* 1521932 */     GIR_EraseRootFromParent_Done,
     /* 1521933 */   // Label 21146: @1521933
     /* 1521933 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1522015), // Rule ID 18295 //
     /* 1521938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521977 */     // MIs[0] round
     /* 1521977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521980 */     // MIs[0] policy
     /* 1521980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521990 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522014 */     // GIR_Coverage, 18295,
     /* 1522014 */     GIR_EraseRootFromParent_Done,
     /* 1522015 */   // Label 21147: @1522015
     /* 1522015 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1522097), // Rule ID 18298 //
     /* 1522020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1522031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1522034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1522040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522059 */     // MIs[0] round
     /* 1522059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522062 */     // MIs[0] policy
     /* 1522062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522072 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1522075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522096 */     // GIR_Coverage, 18298,
     /* 1522096 */     GIR_EraseRootFromParent_Done,
     /* 1522097 */   // Label 21148: @1522097
     /* 1522097 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1522179), // Rule ID 18299 //
     /* 1522102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1522113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1522116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1522122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522141 */     // MIs[0] round
     /* 1522141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522144 */     // MIs[0] policy
     /* 1522144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522154 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1522157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522178 */     // GIR_Coverage, 18299,
     /* 1522178 */     GIR_EraseRootFromParent_Done,
     /* 1522179 */   // Label 21149: @1522179
     /* 1522179 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1522261), // Rule ID 18302 //
     /* 1522184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1522195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1522198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1522204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522223 */     // MIs[0] round
     /* 1522223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522226 */     // MIs[0] policy
     /* 1522226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1522239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522260 */     // GIR_Coverage, 18302,
     /* 1522260 */     GIR_EraseRootFromParent_Done,
     /* 1522261 */   // Label 21150: @1522261
     /* 1522261 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1522343), // Rule ID 18303 //
     /* 1522266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1522277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1522280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1522286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522305 */     // MIs[0] round
     /* 1522305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522308 */     // MIs[0] policy
     /* 1522308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522318 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1522321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522342 */     // GIR_Coverage, 18303,
     /* 1522342 */     GIR_EraseRootFromParent_Done,
     /* 1522343 */   // Label 21151: @1522343
     /* 1522343 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1522425), // Rule ID 18306 //
     /* 1522348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1522359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1522362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1522368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522387 */     // MIs[0] round
     /* 1522387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522390 */     // MIs[0] policy
     /* 1522390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522400 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1522403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522424 */     // GIR_Coverage, 18306,
     /* 1522424 */     GIR_EraseRootFromParent_Done,
     /* 1522425 */   // Label 21152: @1522425
     /* 1522425 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1522507), // Rule ID 18307 //
     /* 1522430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1522441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1522444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1522450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522469 */     // MIs[0] round
     /* 1522469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522472 */     // MIs[0] policy
     /* 1522472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522482 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1522485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522506 */     // GIR_Coverage, 18307,
     /* 1522506 */     GIR_EraseRootFromParent_Done,
     /* 1522507 */   // Label 21153: @1522507
     /* 1522507 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1522589), // Rule ID 18310 //
     /* 1522512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522551 */     // MIs[0] round
     /* 1522551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522554 */     // MIs[0] policy
     /* 1522554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522564 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522588 */     // GIR_Coverage, 18310,
     /* 1522588 */     GIR_EraseRootFromParent_Done,
     /* 1522589 */   // Label 21154: @1522589
     /* 1522589 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1522671), // Rule ID 18311 //
     /* 1522594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522633 */     // MIs[0] round
     /* 1522633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522636 */     // MIs[0] policy
     /* 1522636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522646 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522670 */     // GIR_Coverage, 18311,
     /* 1522670 */     GIR_EraseRootFromParent_Done,
     /* 1522671 */   // Label 21155: @1522671
     /* 1522671 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1522753), // Rule ID 18314 //
     /* 1522676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522715 */     // MIs[0] round
     /* 1522715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522718 */     // MIs[0] policy
     /* 1522718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522752 */     // GIR_Coverage, 18314,
     /* 1522752 */     GIR_EraseRootFromParent_Done,
     /* 1522753 */   // Label 21156: @1522753
     /* 1522753 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1522835), // Rule ID 18315 //
     /* 1522758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522797 */     // MIs[0] round
     /* 1522797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522800 */     // MIs[0] policy
     /* 1522800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522834 */     // GIR_Coverage, 18315,
     /* 1522834 */     GIR_EraseRootFromParent_Done,
     /* 1522835 */   // Label 21157: @1522835
     /* 1522835 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522917), // Rule ID 18318 //
     /* 1522840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522879 */     // MIs[0] round
     /* 1522879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522882 */     // MIs[0] policy
     /* 1522882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522892 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522916 */     // GIR_Coverage, 18318,
     /* 1522916 */     GIR_EraseRootFromParent_Done,
     /* 1522917 */   // Label 21158: @1522917
     /* 1522917 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522999), // Rule ID 18319 //
     /* 1522922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522961 */     // MIs[0] round
     /* 1522961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522964 */     // MIs[0] policy
     /* 1522964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522974 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522998 */     // GIR_Coverage, 18319,
     /* 1522998 */     GIR_EraseRootFromParent_Done,
     /* 1522999 */   // Label 21159: @1522999
     /* 1522999 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1523081), // Rule ID 18322 //
     /* 1523004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523043 */     // MIs[0] round
     /* 1523043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523046 */     // MIs[0] policy
     /* 1523046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523056 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1523059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523080 */     // GIR_Coverage, 18322,
     /* 1523080 */     GIR_EraseRootFromParent_Done,
     /* 1523081 */   // Label 21160: @1523081
     /* 1523081 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1523163), // Rule ID 18323 //
     /* 1523086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523125 */     // MIs[0] round
     /* 1523125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523128 */     // MIs[0] policy
     /* 1523128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523138 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1523141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523162 */     // GIR_Coverage, 18323,
     /* 1523162 */     GIR_EraseRootFromParent_Done,
     /* 1523163 */   // Label 21161: @1523163
     /* 1523163 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1523245), // Rule ID 18326 //
     /* 1523168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1523179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1523182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1523188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523207 */     // MIs[0] round
     /* 1523207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523210 */     // MIs[0] policy
     /* 1523210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523220 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1523223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523244 */     // GIR_Coverage, 18326,
     /* 1523244 */     GIR_EraseRootFromParent_Done,
     /* 1523245 */   // Label 21162: @1523245
     /* 1523245 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1523327), // Rule ID 18327 //
     /* 1523250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1523261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1523264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1523270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523289 */     // MIs[0] round
     /* 1523289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523292 */     // MIs[0] policy
     /* 1523292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523302 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1523305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523326 */     // GIR_Coverage, 18327,
     /* 1523326 */     GIR_EraseRootFromParent_Done,
     /* 1523327 */   // Label 21163: @1523327
     /* 1523327 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1523409), // Rule ID 18330 //
     /* 1523332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1523343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1523346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1523352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523371 */     // MIs[0] round
     /* 1523371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523374 */     // MIs[0] policy
     /* 1523374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1523387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523408 */     // GIR_Coverage, 18330,
     /* 1523408 */     GIR_EraseRootFromParent_Done,
     /* 1523409 */   // Label 21164: @1523409
     /* 1523409 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1523491), // Rule ID 18331 //
     /* 1523414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1523425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1523428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1523434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523453 */     // MIs[0] round
     /* 1523453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523456 */     // MIs[0] policy
     /* 1523456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523466 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1523469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523490 */     // GIR_Coverage, 18331,
     /* 1523490 */     GIR_EraseRootFromParent_Done,
     /* 1523491 */   // Label 21165: @1523491
     /* 1523491 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1523573), // Rule ID 18334 //
     /* 1523496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523535 */     // MIs[0] round
     /* 1523535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523538 */     // MIs[0] policy
     /* 1523538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523548 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523572 */     // GIR_Coverage, 18334,
     /* 1523572 */     GIR_EraseRootFromParent_Done,
     /* 1523573 */   // Label 21166: @1523573
     /* 1523573 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1523655), // Rule ID 18335 //
     /* 1523578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523617 */     // MIs[0] round
     /* 1523617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523620 */     // MIs[0] policy
     /* 1523620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523630 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523654 */     // GIR_Coverage, 18335,
     /* 1523654 */     GIR_EraseRootFromParent_Done,
     /* 1523655 */   // Label 21167: @1523655
     /* 1523655 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1523737), // Rule ID 18338 //
     /* 1523660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523699 */     // MIs[0] round
     /* 1523699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523702 */     // MIs[0] policy
     /* 1523702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523736 */     // GIR_Coverage, 18338,
     /* 1523736 */     GIR_EraseRootFromParent_Done,
     /* 1523737 */   // Label 21168: @1523737
     /* 1523737 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1523819), // Rule ID 18339 //
     /* 1523742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523781 */     // MIs[0] round
     /* 1523781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523784 */     // MIs[0] policy
     /* 1523784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523794 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523818 */     // GIR_Coverage, 18339,
     /* 1523818 */     GIR_EraseRootFromParent_Done,
     /* 1523819 */   // Label 21169: @1523819
     /* 1523819 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523901), // Rule ID 18342 //
     /* 1523824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523863 */     // MIs[0] round
     /* 1523863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523866 */     // MIs[0] policy
     /* 1523866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523876 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523900 */     // GIR_Coverage, 18342,
     /* 1523900 */     GIR_EraseRootFromParent_Done,
     /* 1523901 */   // Label 21170: @1523901
     /* 1523901 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523983), // Rule ID 18343 //
     /* 1523906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523945 */     // MIs[0] round
     /* 1523945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523948 */     // MIs[0] policy
     /* 1523948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523958 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523982 */     // GIR_Coverage, 18343,
     /* 1523982 */     GIR_EraseRootFromParent_Done,
     /* 1523983 */   // Label 21171: @1523983
     /* 1523983 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1524065), // Rule ID 18346 //
     /* 1523988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1524002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1524008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524027 */     // MIs[0] round
     /* 1524027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524030 */     // MIs[0] policy
     /* 1524030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524040 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1524043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524064 */     // GIR_Coverage, 18346,
     /* 1524064 */     GIR_EraseRootFromParent_Done,
     /* 1524065 */   // Label 21172: @1524065
     /* 1524065 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1524147), // Rule ID 18347 //
     /* 1524070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1524081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1524084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1524090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524109 */     // MIs[0] round
     /* 1524109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524112 */     // MIs[0] policy
     /* 1524112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524122 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1524125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524146 */     // GIR_Coverage, 18347,
     /* 1524146 */     GIR_EraseRootFromParent_Done,
     /* 1524147 */   // Label 21173: @1524147
     /* 1524147 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1524229), // Rule ID 18350 //
     /* 1524152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1524163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1524166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1524172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524191 */     // MIs[0] round
     /* 1524191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524194 */     // MIs[0] policy
     /* 1524194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524204 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1524207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524228 */     // GIR_Coverage, 18350,
     /* 1524228 */     GIR_EraseRootFromParent_Done,
     /* 1524229 */   // Label 21174: @1524229
     /* 1524229 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1524311), // Rule ID 18351 //
     /* 1524234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1524245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1524248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1524254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524273 */     // MIs[0] round
     /* 1524273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524276 */     // MIs[0] policy
     /* 1524276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524286 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1524289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524310 */     // GIR_Coverage, 18351,
     /* 1524310 */     GIR_EraseRootFromParent_Done,
     /* 1524311 */   // Label 21175: @1524311
     /* 1524311 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1524393), // Rule ID 18354 //
     /* 1524316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1524327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1524330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524355 */     // MIs[0] round
     /* 1524355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524358 */     // MIs[0] policy
     /* 1524358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524368 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1524371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524392 */     // GIR_Coverage, 18354,
     /* 1524392 */     GIR_EraseRootFromParent_Done,
     /* 1524393 */   // Label 21176: @1524393
     /* 1524393 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1524475), // Rule ID 18355 //
     /* 1524398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1524409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1524412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524437 */     // MIs[0] round
     /* 1524437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524440 */     // MIs[0] policy
     /* 1524440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524450 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1524453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524474 */     // GIR_Coverage, 18355,
     /* 1524474 */     GIR_EraseRootFromParent_Done,
     /* 1524475 */   // Label 21177: @1524475
     /* 1524475 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1524557), // Rule ID 18358 //
     /* 1524480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524519 */     // MIs[0] round
     /* 1524519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524522 */     // MIs[0] policy
     /* 1524522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524532 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524556 */     // GIR_Coverage, 18358,
     /* 1524556 */     GIR_EraseRootFromParent_Done,
     /* 1524557 */   // Label 21178: @1524557
     /* 1524557 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1524639), // Rule ID 18359 //
     /* 1524562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524601 */     // MIs[0] round
     /* 1524601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524604 */     // MIs[0] policy
     /* 1524604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524614 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524638 */     // GIR_Coverage, 18359,
     /* 1524638 */     GIR_EraseRootFromParent_Done,
     /* 1524639 */   // Label 21179: @1524639
     /* 1524639 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1524721), // Rule ID 18362 //
     /* 1524644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524683 */     // MIs[0] round
     /* 1524683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524686 */     // MIs[0] policy
     /* 1524686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524696 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524720 */     // GIR_Coverage, 18362,
     /* 1524720 */     GIR_EraseRootFromParent_Done,
     /* 1524721 */   // Label 21180: @1524721
     /* 1524721 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1524803), // Rule ID 18363 //
     /* 1524726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524765 */     // MIs[0] round
     /* 1524765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524768 */     // MIs[0] policy
     /* 1524768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524778 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524802 */     // GIR_Coverage, 18363,
     /* 1524802 */     GIR_EraseRootFromParent_Done,
     /* 1524803 */   // Label 21181: @1524803
     /* 1524803 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524885), // Rule ID 18366 //
     /* 1524808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524847 */     // MIs[0] round
     /* 1524847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524850 */     // MIs[0] policy
     /* 1524850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524860 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524884 */     // GIR_Coverage, 18366,
     /* 1524884 */     GIR_EraseRootFromParent_Done,
     /* 1524885 */   // Label 21182: @1524885
     /* 1524885 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524967), // Rule ID 18367 //
     /* 1524890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524929 */     // MIs[0] round
     /* 1524929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524932 */     // MIs[0] policy
     /* 1524932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524942 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524966 */     // GIR_Coverage, 18367,
     /* 1524966 */     GIR_EraseRootFromParent_Done,
     /* 1524967 */   // Label 21183: @1524967
     /* 1524967 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1525049), // Rule ID 18370 //
     /* 1524972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525011 */     // MIs[0] round
     /* 1525011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525014 */     // MIs[0] policy
     /* 1525014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525024 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1525027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525048 */     // GIR_Coverage, 18370,
     /* 1525048 */     GIR_EraseRootFromParent_Done,
     /* 1525049 */   // Label 21184: @1525049
     /* 1525049 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1525131), // Rule ID 18371 //
     /* 1525054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1525065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1525068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1525071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525093 */     // MIs[0] round
     /* 1525093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525096 */     // MIs[0] policy
     /* 1525096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525106 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1525109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525130 */     // GIR_Coverage, 18371,
     /* 1525130 */     GIR_EraseRootFromParent_Done,
     /* 1525131 */   // Label 21185: @1525131
     /* 1525131 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1525213), // Rule ID 18374 //
     /* 1525136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1525147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1525150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1525153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1525156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525175 */     // MIs[0] round
     /* 1525175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525178 */     // MIs[0] policy
     /* 1525178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525188 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1525191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525212 */     // GIR_Coverage, 18374,
     /* 1525212 */     GIR_EraseRootFromParent_Done,
     /* 1525213 */   // Label 21186: @1525213
     /* 1525213 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1525295), // Rule ID 18375 //
     /* 1525218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1525229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1525232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1525235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1525238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525257 */     // MIs[0] round
     /* 1525257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525260 */     // MIs[0] policy
     /* 1525260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525270 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1525273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525294 */     // GIR_Coverage, 18375,
     /* 1525294 */     GIR_EraseRootFromParent_Done,
     /* 1525295 */   // Label 21187: @1525295
     /* 1525295 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1525377), // Rule ID 18378 //
     /* 1525300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1525311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1525314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1525317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1525320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525339 */     // MIs[0] round
     /* 1525339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525342 */     // MIs[0] policy
     /* 1525342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525352 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1525355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525376 */     // GIR_Coverage, 18378,
     /* 1525376 */     GIR_EraseRootFromParent_Done,
     /* 1525377 */   // Label 21188: @1525377
     /* 1525377 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1525459), // Rule ID 18379 //
     /* 1525382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1525393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1525396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1525399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1525402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525421 */     // MIs[0] round
     /* 1525421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525424 */     // MIs[0] policy
     /* 1525424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525434 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1525437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525458 */     // GIR_Coverage, 18379,
     /* 1525458 */     GIR_EraseRootFromParent_Done,
     /* 1525459 */   // Label 21189: @1525459
     /* 1525459 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1525541), // Rule ID 18382 //
     /* 1525464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525503 */     // MIs[0] round
     /* 1525503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525506 */     // MIs[0] policy
     /* 1525506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525516 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525540 */     // GIR_Coverage, 18382,
     /* 1525540 */     GIR_EraseRootFromParent_Done,
     /* 1525541 */   // Label 21190: @1525541
     /* 1525541 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1525623), // Rule ID 18383 //
     /* 1525546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525585 */     // MIs[0] round
     /* 1525585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525588 */     // MIs[0] policy
     /* 1525588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525598 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525622 */     // GIR_Coverage, 18383,
     /* 1525622 */     GIR_EraseRootFromParent_Done,
     /* 1525623 */   // Label 21191: @1525623
     /* 1525623 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1525705), // Rule ID 18386 //
     /* 1525628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525667 */     // MIs[0] round
     /* 1525667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525670 */     // MIs[0] policy
     /* 1525670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525680 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525704 */     // GIR_Coverage, 18386,
     /* 1525704 */     GIR_EraseRootFromParent_Done,
     /* 1525705 */   // Label 21192: @1525705
     /* 1525705 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1525787), // Rule ID 18387 //
     /* 1525710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525749 */     // MIs[0] round
     /* 1525749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525752 */     // MIs[0] policy
     /* 1525752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525762 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525786 */     // GIR_Coverage, 18387,
     /* 1525786 */     GIR_EraseRootFromParent_Done,
     /* 1525787 */   // Label 21193: @1525787
     /* 1525787 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525869), // Rule ID 18390 //
     /* 1525792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525831 */     // MIs[0] round
     /* 1525831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525834 */     // MIs[0] policy
     /* 1525834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525844 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525868 */     // GIR_Coverage, 18390,
     /* 1525868 */     GIR_EraseRootFromParent_Done,
     /* 1525869 */   // Label 21194: @1525869
     /* 1525869 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525951), // Rule ID 18391 //
     /* 1525874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525913 */     // MIs[0] round
     /* 1525913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525916 */     // MIs[0] policy
     /* 1525916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525926 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525950 */     // GIR_Coverage, 18391,
     /* 1525950 */     GIR_EraseRootFromParent_Done,
     /* 1525951 */   // Label 21195: @1525951
     /* 1525951 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1526033), // Rule ID 18394 //
     /* 1525956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525995 */     // MIs[0] round
     /* 1525995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525998 */     // MIs[0] policy
     /* 1525998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526008 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1526011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526032 */     // GIR_Coverage, 18394,
     /* 1526032 */     GIR_EraseRootFromParent_Done,
     /* 1526033 */   // Label 21196: @1526033
     /* 1526033 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1526115), // Rule ID 18395 //
     /* 1526038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1526049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1526052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1526055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1526058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526077 */     // MIs[0] round
     /* 1526077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526080 */     // MIs[0] policy
     /* 1526080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526090 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1526093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526114 */     // GIR_Coverage, 18395,
     /* 1526114 */     GIR_EraseRootFromParent_Done,
     /* 1526115 */   // Label 21197: @1526115
     /* 1526115 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1526197), // Rule ID 18398 //
     /* 1526120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1526131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1526134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1526137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1526140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526159 */     // MIs[0] round
     /* 1526159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526162 */     // MIs[0] policy
     /* 1526162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1526175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526196 */     // GIR_Coverage, 18398,
     /* 1526196 */     GIR_EraseRootFromParent_Done,
     /* 1526197 */   // Label 21198: @1526197
     /* 1526197 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1526279), // Rule ID 18399 //
     /* 1526202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1526213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1526216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1526219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1526222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526241 */     // MIs[0] round
     /* 1526241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526244 */     // MIs[0] policy
     /* 1526244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526254 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1526257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526278 */     // GIR_Coverage, 18399,
     /* 1526278 */     GIR_EraseRootFromParent_Done,
     /* 1526279 */   // Label 21199: @1526279
     /* 1526279 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1526361), // Rule ID 18402 //
     /* 1526284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1526295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1526298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1526301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1526304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526323 */     // MIs[0] round
     /* 1526323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526326 */     // MIs[0] policy
     /* 1526326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526336 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1526339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526360 */     // GIR_Coverage, 18402,
     /* 1526360 */     GIR_EraseRootFromParent_Done,
     /* 1526361 */   // Label 21200: @1526361
     /* 1526361 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1526443), // Rule ID 18403 //
     /* 1526366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1526377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1526380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1526383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1526386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526405 */     // MIs[0] round
     /* 1526405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526408 */     // MIs[0] policy
     /* 1526408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526418 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1526421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526442 */     // GIR_Coverage, 18403,
     /* 1526442 */     GIR_EraseRootFromParent_Done,
     /* 1526443 */   // Label 21201: @1526443
     /* 1526443 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1526525), // Rule ID 18406 //
     /* 1526448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526487 */     // MIs[0] round
     /* 1526487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526490 */     // MIs[0] policy
     /* 1526490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526500 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526524 */     // GIR_Coverage, 18406,
     /* 1526524 */     GIR_EraseRootFromParent_Done,
     /* 1526525 */   // Label 21202: @1526525
     /* 1526525 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1526607), // Rule ID 18407 //
     /* 1526530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526569 */     // MIs[0] round
     /* 1526569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526572 */     // MIs[0] policy
     /* 1526572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526582 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526606 */     // GIR_Coverage, 18407,
     /* 1526606 */     GIR_EraseRootFromParent_Done,
     /* 1526607 */   // Label 21203: @1526607
     /* 1526607 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1526689), // Rule ID 18410 //
     /* 1526612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526651 */     // MIs[0] round
     /* 1526651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526654 */     // MIs[0] policy
     /* 1526654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526664 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526688 */     // GIR_Coverage, 18410,
     /* 1526688 */     GIR_EraseRootFromParent_Done,
     /* 1526689 */   // Label 21204: @1526689
     /* 1526689 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1526771), // Rule ID 18411 //
     /* 1526694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526733 */     // MIs[0] round
     /* 1526733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526736 */     // MIs[0] policy
     /* 1526736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526746 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526770 */     // GIR_Coverage, 18411,
     /* 1526770 */     GIR_EraseRootFromParent_Done,
     /* 1526771 */   // Label 21205: @1526771
     /* 1526771 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1526853), // Rule ID 18414 //
     /* 1526776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526815 */     // MIs[0] round
     /* 1526815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526818 */     // MIs[0] policy
     /* 1526818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526828 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526852 */     // GIR_Coverage, 18414,
     /* 1526852 */     GIR_EraseRootFromParent_Done,
     /* 1526853 */   // Label 21206: @1526853
     /* 1526853 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526935), // Rule ID 18415 //
     /* 1526858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526897 */     // MIs[0] round
     /* 1526897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526900 */     // MIs[0] policy
     /* 1526900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526910 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526934 */     // GIR_Coverage, 18415,
     /* 1526934 */     GIR_EraseRootFromParent_Done,
     /* 1526935 */   // Label 21207: @1526935
     /* 1526935 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1527017), // Rule ID 18418 //
     /* 1526940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526979 */     // MIs[0] round
     /* 1526979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526982 */     // MIs[0] policy
     /* 1526982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526992 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1526995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527016 */     // GIR_Coverage, 18418,
     /* 1527016 */     GIR_EraseRootFromParent_Done,
     /* 1527017 */   // Label 21208: @1527017
     /* 1527017 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1527099), // Rule ID 18419 //
     /* 1527022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1527033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1527036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1527042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527061 */     // MIs[0] round
     /* 1527061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527064 */     // MIs[0] policy
     /* 1527064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527074 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1527077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527098 */     // GIR_Coverage, 18419,
     /* 1527098 */     GIR_EraseRootFromParent_Done,
     /* 1527099 */   // Label 21209: @1527099
     /* 1527099 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1527181), // Rule ID 18422 //
     /* 1527104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1527124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527143 */     // MIs[0] round
     /* 1527143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527146 */     // MIs[0] policy
     /* 1527146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1527159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527180 */     // GIR_Coverage, 18422,
     /* 1527180 */     GIR_EraseRootFromParent_Done,
     /* 1527181 */   // Label 21210: @1527181
     /* 1527181 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1527263), // Rule ID 18423 //
     /* 1527186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1527206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527225 */     // MIs[0] round
     /* 1527225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527228 */     // MIs[0] policy
     /* 1527228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527238 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1527241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527262 */     // GIR_Coverage, 18423,
     /* 1527262 */     GIR_EraseRootFromParent_Done,
     /* 1527263 */   // Label 21211: @1527263
     /* 1527263 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1527345), // Rule ID 18426 //
     /* 1527268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1527279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1527282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1527288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527307 */     // MIs[0] round
     /* 1527307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527310 */     // MIs[0] policy
     /* 1527310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527320 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1527323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527344 */     // GIR_Coverage, 18426,
     /* 1527344 */     GIR_EraseRootFromParent_Done,
     /* 1527345 */   // Label 21212: @1527345
     /* 1527345 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1527427), // Rule ID 18427 //
     /* 1527350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1527361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1527364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1527370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527389 */     // MIs[0] round
     /* 1527389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527392 */     // MIs[0] policy
     /* 1527392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1527405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527426 */     // GIR_Coverage, 18427,
     /* 1527426 */     GIR_EraseRootFromParent_Done,
     /* 1527427 */   // Label 21213: @1527427
     /* 1527427 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1527509), // Rule ID 18430 //
     /* 1527432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527471 */     // MIs[0] round
     /* 1527471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527474 */     // MIs[0] policy
     /* 1527474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527484 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527508 */     // GIR_Coverage, 18430,
     /* 1527508 */     GIR_EraseRootFromParent_Done,
     /* 1527509 */   // Label 21214: @1527509
     /* 1527509 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1527591), // Rule ID 18431 //
     /* 1527514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527553 */     // MIs[0] round
     /* 1527553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527556 */     // MIs[0] policy
     /* 1527556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527566 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527590 */     // GIR_Coverage, 18431,
     /* 1527590 */     GIR_EraseRootFromParent_Done,
     /* 1527591 */   // Label 21215: @1527591
     /* 1527591 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1527673), // Rule ID 18434 //
     /* 1527596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527635 */     // MIs[0] round
     /* 1527635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527638 */     // MIs[0] policy
     /* 1527638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527672 */     // GIR_Coverage, 18434,
     /* 1527672 */     GIR_EraseRootFromParent_Done,
     /* 1527673 */   // Label 21216: @1527673
     /* 1527673 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1527755), // Rule ID 18435 //
     /* 1527678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527717 */     // MIs[0] round
     /* 1527717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527720 */     // MIs[0] policy
     /* 1527720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527754 */     // GIR_Coverage, 18435,
     /* 1527754 */     GIR_EraseRootFromParent_Done,
     /* 1527755 */   // Label 21217: @1527755
     /* 1527755 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1527837), // Rule ID 18438 //
     /* 1527760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527799 */     // MIs[0] round
     /* 1527799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527802 */     // MIs[0] policy
     /* 1527802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527812 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527836 */     // GIR_Coverage, 18438,
     /* 1527836 */     GIR_EraseRootFromParent_Done,
     /* 1527837 */   // Label 21218: @1527837
     /* 1527837 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527919), // Rule ID 18439 //
     /* 1527842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527881 */     // MIs[0] round
     /* 1527881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527884 */     // MIs[0] policy
     /* 1527884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527894 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527918 */     // GIR_Coverage, 18439,
     /* 1527918 */     GIR_EraseRootFromParent_Done,
     /* 1527919 */   // Label 21219: @1527919
     /* 1527919 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1528001), // Rule ID 18442 //
     /* 1527924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527963 */     // MIs[0] round
     /* 1527963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527966 */     // MIs[0] policy
     /* 1527966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527976 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1527979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528000 */     // GIR_Coverage, 18442,
     /* 1528000 */     GIR_EraseRootFromParent_Done,
     /* 1528001 */   // Label 21220: @1528001
     /* 1528001 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1528083), // Rule ID 18443 //
     /* 1528006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1528026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528045 */     // MIs[0] round
     /* 1528045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528048 */     // MIs[0] policy
     /* 1528048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528058 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1528061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528082 */     // GIR_Coverage, 18443,
     /* 1528082 */     GIR_EraseRootFromParent_Done,
     /* 1528083 */   // Label 21221: @1528083
     /* 1528083 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1528165), // Rule ID 18446 //
     /* 1528088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1528108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528127 */     // MIs[0] round
     /* 1528127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528130 */     // MIs[0] policy
     /* 1528130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528140 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1528143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528164 */     // GIR_Coverage, 18446,
     /* 1528164 */     GIR_EraseRootFromParent_Done,
     /* 1528165 */   // Label 21222: @1528165
     /* 1528165 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1528247), // Rule ID 18447 //
     /* 1528170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1528190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528209 */     // MIs[0] round
     /* 1528209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528212 */     // MIs[0] policy
     /* 1528212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528222 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1528225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528246 */     // GIR_Coverage, 18447,
     /* 1528246 */     GIR_EraseRootFromParent_Done,
     /* 1528247 */   // Label 21223: @1528247
     /* 1528247 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1528329), // Rule ID 18450 //
     /* 1528252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1528263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1528266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1528272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528291 */     // MIs[0] round
     /* 1528291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528294 */     // MIs[0] policy
     /* 1528294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528304 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1528307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528328 */     // GIR_Coverage, 18450,
     /* 1528328 */     GIR_EraseRootFromParent_Done,
     /* 1528329 */   // Label 21224: @1528329
     /* 1528329 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1528411), // Rule ID 18451 //
     /* 1528334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1528345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1528348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1528354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528373 */     // MIs[0] round
     /* 1528373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528376 */     // MIs[0] policy
     /* 1528376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528386 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1528389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528410 */     // GIR_Coverage, 18451,
     /* 1528410 */     GIR_EraseRootFromParent_Done,
     /* 1528411 */   // Label 21225: @1528411
     /* 1528411 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1528493), // Rule ID 18454 //
     /* 1528416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1528436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528455 */     // MIs[0] round
     /* 1528455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528458 */     // MIs[0] policy
     /* 1528458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528468 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528492 */     // GIR_Coverage, 18454,
     /* 1528492 */     GIR_EraseRootFromParent_Done,
     /* 1528493 */   // Label 21226: @1528493
     /* 1528493 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1528575), // Rule ID 18455 //
     /* 1528498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1528518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528537 */     // MIs[0] round
     /* 1528537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528540 */     // MIs[0] policy
     /* 1528540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528550 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528574 */     // GIR_Coverage, 18455,
     /* 1528574 */     GIR_EraseRootFromParent_Done,
     /* 1528575 */   // Label 21227: @1528575
     /* 1528575 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1528657), // Rule ID 18458 //
     /* 1528580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528619 */     // MIs[0] round
     /* 1528619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528622 */     // MIs[0] policy
     /* 1528622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528632 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528656 */     // GIR_Coverage, 18458,
     /* 1528656 */     GIR_EraseRootFromParent_Done,
     /* 1528657 */   // Label 21228: @1528657
     /* 1528657 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1528739), // Rule ID 18459 //
     /* 1528662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528701 */     // MIs[0] round
     /* 1528701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528704 */     // MIs[0] policy
     /* 1528704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528714 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528738 */     // GIR_Coverage, 18459,
     /* 1528738 */     GIR_EraseRootFromParent_Done,
     /* 1528739 */   // Label 21229: @1528739
     /* 1528739 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1528821), // Rule ID 18462 //
     /* 1528744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528783 */     // MIs[0] round
     /* 1528783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528786 */     // MIs[0] policy
     /* 1528786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528796 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528820 */     // GIR_Coverage, 18462,
     /* 1528820 */     GIR_EraseRootFromParent_Done,
     /* 1528821 */   // Label 21230: @1528821
     /* 1528821 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528903), // Rule ID 18463 //
     /* 1528826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528865 */     // MIs[0] round
     /* 1528865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528868 */     // MIs[0] policy
     /* 1528868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528878 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528902 */     // GIR_Coverage, 18463,
     /* 1528902 */     GIR_EraseRootFromParent_Done,
     /* 1528903 */   // Label 21231: @1528903
     /* 1528903 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528985), // Rule ID 18466 //
     /* 1528908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528947 */     // MIs[0] round
     /* 1528947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528950 */     // MIs[0] policy
     /* 1528950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528960 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1528963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528984 */     // GIR_Coverage, 18466,
     /* 1528984 */     GIR_EraseRootFromParent_Done,
     /* 1528985 */   // Label 21232: @1528985
     /* 1528985 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1529067), // Rule ID 18467 //
     /* 1528990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1529001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1529004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1529010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529029 */     // MIs[0] round
     /* 1529029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529032 */     // MIs[0] policy
     /* 1529032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529042 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1529045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529066 */     // GIR_Coverage, 18467,
     /* 1529066 */     GIR_EraseRootFromParent_Done,
     /* 1529067 */   // Label 21233: @1529067
     /* 1529067 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1529149), // Rule ID 18470 //
     /* 1529072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1529086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1529092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529111 */     // MIs[0] round
     /* 1529111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529114 */     // MIs[0] policy
     /* 1529114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529124 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1529127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529148 */     // GIR_Coverage, 18470,
     /* 1529148 */     GIR_EraseRootFromParent_Done,
     /* 1529149 */   // Label 21234: @1529149
     /* 1529149 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1529231), // Rule ID 18471 //
     /* 1529154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1529168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1529174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529193 */     // MIs[0] round
     /* 1529193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529196 */     // MIs[0] policy
     /* 1529196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529206 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1529209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529230 */     // GIR_Coverage, 18471,
     /* 1529230 */     GIR_EraseRootFromParent_Done,
     /* 1529231 */   // Label 21235: @1529231
     /* 1529231 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1529313), // Rule ID 18474 //
     /* 1529236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1529247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1529250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1529253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1529256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529275 */     // MIs[0] round
     /* 1529275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529278 */     // MIs[0] policy
     /* 1529278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529288 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1529291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529312 */     // GIR_Coverage, 18474,
     /* 1529312 */     GIR_EraseRootFromParent_Done,
     /* 1529313 */   // Label 21236: @1529313
     /* 1529313 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1529395), // Rule ID 18475 //
     /* 1529318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1529329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1529332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1529335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1529338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529357 */     // MIs[0] round
     /* 1529357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529360 */     // MIs[0] policy
     /* 1529360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529370 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1529373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529394 */     // GIR_Coverage, 18475,
     /* 1529394 */     GIR_EraseRootFromParent_Done,
     /* 1529395 */   // Label 21237: @1529395
     /* 1529395 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1529477), // Rule ID 18478 //
     /* 1529400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1529411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1529414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1529417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529439 */     // MIs[0] round
     /* 1529439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529442 */     // MIs[0] policy
     /* 1529442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529452 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529476 */     // GIR_Coverage, 18478,
     /* 1529476 */     GIR_EraseRootFromParent_Done,
     /* 1529477 */   // Label 21238: @1529477
     /* 1529477 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1529559), // Rule ID 18479 //
     /* 1529482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1529493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1529496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1529499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529521 */     // MIs[0] round
     /* 1529521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529524 */     // MIs[0] policy
     /* 1529524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529534 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529558 */     // GIR_Coverage, 18479,
     /* 1529558 */     GIR_EraseRootFromParent_Done,
     /* 1529559 */   // Label 21239: @1529559
     /* 1529559 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1529641), // Rule ID 18482 //
     /* 1529564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529603 */     // MIs[0] round
     /* 1529603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529606 */     // MIs[0] policy
     /* 1529606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529640 */     // GIR_Coverage, 18482,
     /* 1529640 */     GIR_EraseRootFromParent_Done,
     /* 1529641 */   // Label 21240: @1529641
     /* 1529641 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1529723), // Rule ID 18483 //
     /* 1529646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529685 */     // MIs[0] round
     /* 1529685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529688 */     // MIs[0] policy
     /* 1529688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529698 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529722 */     // GIR_Coverage, 18483,
     /* 1529722 */     GIR_EraseRootFromParent_Done,
     /* 1529723 */   // Label 21241: @1529723
     /* 1529723 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1529805), // Rule ID 18486 //
     /* 1529728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529767 */     // MIs[0] round
     /* 1529767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529770 */     // MIs[0] policy
     /* 1529770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529780 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529804 */     // GIR_Coverage, 18486,
     /* 1529804 */     GIR_EraseRootFromParent_Done,
     /* 1529805 */   // Label 21242: @1529805
     /* 1529805 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529887), // Rule ID 18487 //
     /* 1529810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529849 */     // MIs[0] round
     /* 1529849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529852 */     // MIs[0] policy
     /* 1529852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529862 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529886 */     // GIR_Coverage, 18487,
     /* 1529886 */     GIR_EraseRootFromParent_Done,
     /* 1529887 */   // Label 21243: @1529887
     /* 1529887 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529969), // Rule ID 18490 //
     /* 1529892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529931 */     // MIs[0] round
     /* 1529931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529934 */     // MIs[0] policy
     /* 1529934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529944 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1529947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529968 */     // GIR_Coverage, 18490,
     /* 1529968 */     GIR_EraseRootFromParent_Done,
     /* 1529969 */   // Label 21244: @1529969
     /* 1529969 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1530051), // Rule ID 18491 //
     /* 1529974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530013 */     // MIs[0] round
     /* 1530013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530016 */     // MIs[0] policy
     /* 1530016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530026 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1530029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530050 */     // GIR_Coverage, 18491,
     /* 1530050 */     GIR_EraseRootFromParent_Done,
     /* 1530051 */   // Label 21245: @1530051
     /* 1530051 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1530133), // Rule ID 18494 //
     /* 1530056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1530073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1530076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530095 */     // MIs[0] round
     /* 1530095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530098 */     // MIs[0] policy
     /* 1530098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1530111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530132 */     // GIR_Coverage, 18494,
     /* 1530132 */     GIR_EraseRootFromParent_Done,
     /* 1530133 */   // Label 21246: @1530133
     /* 1530133 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1530215), // Rule ID 18495 //
     /* 1530138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1530155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1530158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530177 */     // MIs[0] round
     /* 1530177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530180 */     // MIs[0] policy
     /* 1530180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530190 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1530193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530214 */     // GIR_Coverage, 18495,
     /* 1530214 */     GIR_EraseRootFromParent_Done,
     /* 1530215 */   // Label 21247: @1530215
     /* 1530215 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1530297), // Rule ID 18498 //
     /* 1530220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1530231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1530234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1530237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1530240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530259 */     // MIs[0] round
     /* 1530259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530262 */     // MIs[0] policy
     /* 1530262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530272 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1530275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530296 */     // GIR_Coverage, 18498,
     /* 1530296 */     GIR_EraseRootFromParent_Done,
     /* 1530297 */   // Label 21248: @1530297
     /* 1530297 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1530379), // Rule ID 18499 //
     /* 1530302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1530313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1530316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1530319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1530322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530341 */     // MIs[0] round
     /* 1530341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530344 */     // MIs[0] policy
     /* 1530344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530354 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1530357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530378 */     // GIR_Coverage, 18499,
     /* 1530378 */     GIR_EraseRootFromParent_Done,
     /* 1530379 */   // Label 21249: @1530379
     /* 1530379 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1530461), // Rule ID 18502 //
     /* 1530384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1530395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1530398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1530401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530423 */     // MIs[0] round
     /* 1530423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530426 */     // MIs[0] policy
     /* 1530426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530436 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530460 */     // GIR_Coverage, 18502,
     /* 1530460 */     GIR_EraseRootFromParent_Done,
     /* 1530461 */   // Label 21250: @1530461
     /* 1530461 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1530543), // Rule ID 18503 //
     /* 1530466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1530477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1530480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1530483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530505 */     // MIs[0] round
     /* 1530505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530508 */     // MIs[0] policy
     /* 1530508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530518 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530542 */     // GIR_Coverage, 18503,
     /* 1530542 */     GIR_EraseRootFromParent_Done,
     /* 1530543 */   // Label 21251: @1530543
     /* 1530543 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1530625), // Rule ID 18506 //
     /* 1530548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530587 */     // MIs[0] round
     /* 1530587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530590 */     // MIs[0] policy
     /* 1530590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530600 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530624 */     // GIR_Coverage, 18506,
     /* 1530624 */     GIR_EraseRootFromParent_Done,
     /* 1530625 */   // Label 21252: @1530625
     /* 1530625 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1530707), // Rule ID 18507 //
     /* 1530630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530669 */     // MIs[0] round
     /* 1530669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530672 */     // MIs[0] policy
     /* 1530672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530682 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530706 */     // GIR_Coverage, 18507,
     /* 1530706 */     GIR_EraseRootFromParent_Done,
     /* 1530707 */   // Label 21253: @1530707
     /* 1530707 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1530789), // Rule ID 18510 //
     /* 1530712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530751 */     // MIs[0] round
     /* 1530751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530754 */     // MIs[0] policy
     /* 1530754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530788 */     // GIR_Coverage, 18510,
     /* 1530788 */     GIR_EraseRootFromParent_Done,
     /* 1530789 */   // Label 21254: @1530789
     /* 1530789 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530871), // Rule ID 18511 //
     /* 1530794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530833 */     // MIs[0] round
     /* 1530833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530836 */     // MIs[0] policy
     /* 1530836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530846 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530870 */     // GIR_Coverage, 18511,
     /* 1530870 */     GIR_EraseRootFromParent_Done,
     /* 1530871 */   // Label 21255: @1530871
     /* 1530871 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1530953), // Rule ID 18514 //
     /* 1530876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530915 */     // MIs[0] round
     /* 1530915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530918 */     // MIs[0] policy
     /* 1530918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1530931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530952 */     // GIR_Coverage, 18514,
     /* 1530952 */     GIR_EraseRootFromParent_Done,
     /* 1530953 */   // Label 21256: @1530953
     /* 1530953 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1531035), // Rule ID 18515 //
     /* 1530958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530997 */     // MIs[0] round
     /* 1530997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531000 */     // MIs[0] policy
     /* 1531000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531010 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1531013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531034 */     // GIR_Coverage, 18515,
     /* 1531034 */     GIR_EraseRootFromParent_Done,
     /* 1531035 */   // Label 21257: @1531035
     /* 1531035 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1531117), // Rule ID 18518 //
     /* 1531040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1531057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1531060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531079 */     // MIs[0] round
     /* 1531079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531082 */     // MIs[0] policy
     /* 1531082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531092 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1531095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531116 */     // GIR_Coverage, 18518,
     /* 1531116 */     GIR_EraseRootFromParent_Done,
     /* 1531117 */   // Label 21258: @1531117
     /* 1531117 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1531199), // Rule ID 18519 //
     /* 1531122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1531139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1531142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531161 */     // MIs[0] round
     /* 1531161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531164 */     // MIs[0] policy
     /* 1531164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531174 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1531177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531198 */     // GIR_Coverage, 18519,
     /* 1531198 */     GIR_EraseRootFromParent_Done,
     /* 1531199 */   // Label 21259: @1531199
     /* 1531199 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1531281), // Rule ID 18522 //
     /* 1531204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1531215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1531218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1531221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1531224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531243 */     // MIs[0] round
     /* 1531243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531246 */     // MIs[0] policy
     /* 1531246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1531259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531280 */     // GIR_Coverage, 18522,
     /* 1531280 */     GIR_EraseRootFromParent_Done,
     /* 1531281 */   // Label 21260: @1531281
     /* 1531281 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1531363), // Rule ID 18523 //
     /* 1531286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1531297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1531300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1531303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1531306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531325 */     // MIs[0] round
     /* 1531325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531328 */     // MIs[0] policy
     /* 1531328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531338 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1531341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531362 */     // GIR_Coverage, 18523,
     /* 1531362 */     GIR_EraseRootFromParent_Done,
     /* 1531363 */   // Label 21261: @1531363
     /* 1531363 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1531445), // Rule ID 18526 //
     /* 1531368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1531379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1531382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1531385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1531388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531407 */     // MIs[0] round
     /* 1531407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531410 */     // MIs[0] policy
     /* 1531410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531420 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1531423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531444 */     // GIR_Coverage, 18526,
     /* 1531444 */     GIR_EraseRootFromParent_Done,
     /* 1531445 */   // Label 21262: @1531445
     /* 1531445 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1531527), // Rule ID 18527 //
     /* 1531450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1531461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1531464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1531467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1531470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531489 */     // MIs[0] round
     /* 1531489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531492 */     // MIs[0] policy
     /* 1531492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531502 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1531505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531526 */     // GIR_Coverage, 18527,
     /* 1531526 */     GIR_EraseRootFromParent_Done,
     /* 1531527 */   // Label 21263: @1531527
     /* 1531527 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1531609), // Rule ID 18530 //
     /* 1531532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531571 */     // MIs[0] round
     /* 1531571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531574 */     // MIs[0] policy
     /* 1531574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531584 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531608 */     // GIR_Coverage, 18530,
     /* 1531608 */     GIR_EraseRootFromParent_Done,
     /* 1531609 */   // Label 21264: @1531609
     /* 1531609 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1531691), // Rule ID 18531 //
     /* 1531614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531653 */     // MIs[0] round
     /* 1531653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531656 */     // MIs[0] policy
     /* 1531656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531666 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531690 */     // GIR_Coverage, 18531,
     /* 1531690 */     GIR_EraseRootFromParent_Done,
     /* 1531691 */   // Label 21265: @1531691
     /* 1531691 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1531773), // Rule ID 18534 //
     /* 1531696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531735 */     // MIs[0] round
     /* 1531735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531738 */     // MIs[0] policy
     /* 1531738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531748 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531772 */     // GIR_Coverage, 18534,
     /* 1531772 */     GIR_EraseRootFromParent_Done,
     /* 1531773 */   // Label 21266: @1531773
     /* 1531773 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531855), // Rule ID 18535 //
     /* 1531778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531817 */     // MIs[0] round
     /* 1531817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531820 */     // MIs[0] policy
     /* 1531820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531830 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531854 */     // GIR_Coverage, 18535,
     /* 1531854 */     GIR_EraseRootFromParent_Done,
     /* 1531855 */   // Label 21267: @1531855
     /* 1531855 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1531937), // Rule ID 18538 //
     /* 1531860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531899 */     // MIs[0] round
     /* 1531899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531902 */     // MIs[0] policy
     /* 1531902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531912 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531936 */     // GIR_Coverage, 18538,
     /* 1531936 */     GIR_EraseRootFromParent_Done,
     /* 1531937 */   // Label 21268: @1531937
     /* 1531937 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1532019), // Rule ID 18539 //
     /* 1531942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531981 */     // MIs[0] round
     /* 1531981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531984 */     // MIs[0] policy
     /* 1531984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531994 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532018 */     // GIR_Coverage, 18539,
     /* 1532018 */     GIR_EraseRootFromParent_Done,
     /* 1532019 */   // Label 21269: @1532019
     /* 1532019 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1532101), // Rule ID 18542 //
     /* 1532024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1532044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532063 */     // MIs[0] round
     /* 1532063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532066 */     // MIs[0] policy
     /* 1532066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532076 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1532079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532100 */     // GIR_Coverage, 18542,
     /* 1532100 */     GIR_EraseRootFromParent_Done,
     /* 1532101 */   // Label 21270: @1532101
     /* 1532101 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1532183), // Rule ID 18543 //
     /* 1532106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1532126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532145 */     // MIs[0] round
     /* 1532145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532148 */     // MIs[0] policy
     /* 1532148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532158 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1532161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532182 */     // GIR_Coverage, 18543,
     /* 1532182 */     GIR_EraseRootFromParent_Done,
     /* 1532183 */   // Label 21271: @1532183
     /* 1532183 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1532265), // Rule ID 18546 //
     /* 1532188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1532199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1532202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532227 */     // MIs[0] round
     /* 1532227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532230 */     // MIs[0] policy
     /* 1532230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532240 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1532243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532264 */     // GIR_Coverage, 18546,
     /* 1532264 */     GIR_EraseRootFromParent_Done,
     /* 1532265 */   // Label 21272: @1532265
     /* 1532265 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1532347), // Rule ID 18547 //
     /* 1532270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1532281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1532284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532309 */     // MIs[0] round
     /* 1532309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532312 */     // MIs[0] policy
     /* 1532312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532322 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1532325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532346 */     // GIR_Coverage, 18547,
     /* 1532346 */     GIR_EraseRootFromParent_Done,
     /* 1532347 */   // Label 21273: @1532347
     /* 1532347 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1532429), // Rule ID 18550 //
     /* 1532352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1532372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532391 */     // MIs[0] round
     /* 1532391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532394 */     // MIs[0] policy
     /* 1532394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532404 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1532407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532428 */     // GIR_Coverage, 18550,
     /* 1532428 */     GIR_EraseRootFromParent_Done,
     /* 1532429 */   // Label 21274: @1532429
     /* 1532429 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1532511), // Rule ID 18551 //
     /* 1532434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1532454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532473 */     // MIs[0] round
     /* 1532473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532476 */     // MIs[0] policy
     /* 1532476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532486 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1532489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532510 */     // GIR_Coverage, 18551,
     /* 1532510 */     GIR_EraseRootFromParent_Done,
     /* 1532511 */   // Label 21275: @1532511
     /* 1532511 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1532593), // Rule ID 18554 //
     /* 1532516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532555 */     // MIs[0] round
     /* 1532555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532558 */     // MIs[0] policy
     /* 1532558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532568 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532592 */     // GIR_Coverage, 18554,
     /* 1532592 */     GIR_EraseRootFromParent_Done,
     /* 1532593 */   // Label 21276: @1532593
     /* 1532593 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1532675), // Rule ID 18555 //
     /* 1532598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532637 */     // MIs[0] round
     /* 1532637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532640 */     // MIs[0] policy
     /* 1532640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532650 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532674 */     // GIR_Coverage, 18555,
     /* 1532674 */     GIR_EraseRootFromParent_Done,
     /* 1532675 */   // Label 21277: @1532675
     /* 1532675 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1532757), // Rule ID 18558 //
     /* 1532680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532719 */     // MIs[0] round
     /* 1532719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532722 */     // MIs[0] policy
     /* 1532722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532732 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532756 */     // GIR_Coverage, 18558,
     /* 1532756 */     GIR_EraseRootFromParent_Done,
     /* 1532757 */   // Label 21278: @1532757
     /* 1532757 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1532839), // Rule ID 18559 //
     /* 1532762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532801 */     // MIs[0] round
     /* 1532801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532804 */     // MIs[0] policy
     /* 1532804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532814 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532838 */     // GIR_Coverage, 18559,
     /* 1532838 */     GIR_EraseRootFromParent_Done,
     /* 1532839 */   // Label 21279: @1532839
     /* 1532839 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1532921), // Rule ID 18562 //
     /* 1532844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532883 */     // MIs[0] round
     /* 1532883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532886 */     // MIs[0] policy
     /* 1532886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532896 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532920 */     // GIR_Coverage, 18562,
     /* 1532920 */     GIR_EraseRootFromParent_Done,
     /* 1532921 */   // Label 21280: @1532921
     /* 1532921 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1533003), // Rule ID 18563 //
     /* 1532926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532965 */     // MIs[0] round
     /* 1532965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532968 */     // MIs[0] policy
     /* 1532968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532978 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533002 */     // GIR_Coverage, 18563,
     /* 1533002 */     GIR_EraseRootFromParent_Done,
     /* 1533003 */   // Label 21281: @1533003
     /* 1533003 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1533085), // Rule ID 18566 //
     /* 1533008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1533019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1533022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1533028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533047 */     // MIs[0] round
     /* 1533047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533050 */     // MIs[0] policy
     /* 1533050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533060 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1533063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533084 */     // GIR_Coverage, 18566,
     /* 1533084 */     GIR_EraseRootFromParent_Done,
     /* 1533085 */   // Label 21282: @1533085
     /* 1533085 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1533167), // Rule ID 18567 //
     /* 1533090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1533101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1533104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1533110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533129 */     // MIs[0] round
     /* 1533129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533132 */     // MIs[0] policy
     /* 1533132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533142 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1533145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533166 */     // GIR_Coverage, 18567,
     /* 1533166 */     GIR_EraseRootFromParent_Done,
     /* 1533167 */   // Label 21283: @1533167
     /* 1533167 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1533249), // Rule ID 18570 //
     /* 1533172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1533183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1533186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533211 */     // MIs[0] round
     /* 1533211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533214 */     // MIs[0] policy
     /* 1533214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533224 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1533227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533248 */     // GIR_Coverage, 18570,
     /* 1533248 */     GIR_EraseRootFromParent_Done,
     /* 1533249 */   // Label 21284: @1533249
     /* 1533249 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1533331), // Rule ID 18571 //
     /* 1533254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1533265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1533268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533293 */     // MIs[0] round
     /* 1533293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533296 */     // MIs[0] policy
     /* 1533296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533306 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1533309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533330 */     // GIR_Coverage, 18571,
     /* 1533330 */     GIR_EraseRootFromParent_Done,
     /* 1533331 */   // Label 21285: @1533331
     /* 1533331 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1533413), // Rule ID 18574 //
     /* 1533336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1533347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1533350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533375 */     // MIs[0] round
     /* 1533375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533378 */     // MIs[0] policy
     /* 1533378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533388 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1533391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533412 */     // GIR_Coverage, 18574,
     /* 1533412 */     GIR_EraseRootFromParent_Done,
     /* 1533413 */   // Label 21286: @1533413
     /* 1533413 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1533495), // Rule ID 18575 //
     /* 1533418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1533429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1533432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533457 */     // MIs[0] round
     /* 1533457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533460 */     // MIs[0] policy
     /* 1533460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533470 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1533473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533494 */     // GIR_Coverage, 18575,
     /* 1533494 */     GIR_EraseRootFromParent_Done,
     /* 1533495 */   // Label 21287: @1533495
     /* 1533495 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1533577), // Rule ID 18578 //
     /* 1533500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533539 */     // MIs[0] round
     /* 1533539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533542 */     // MIs[0] policy
     /* 1533542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533576 */     // GIR_Coverage, 18578,
     /* 1533576 */     GIR_EraseRootFromParent_Done,
     /* 1533577 */   // Label 21288: @1533577
     /* 1533577 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1533659), // Rule ID 18579 //
     /* 1533582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533621 */     // MIs[0] round
     /* 1533621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533624 */     // MIs[0] policy
     /* 1533624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533634 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533658 */     // GIR_Coverage, 18579,
     /* 1533658 */     GIR_EraseRootFromParent_Done,
     /* 1533659 */   // Label 21289: @1533659
     /* 1533659 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1533741), // Rule ID 18582 //
     /* 1533664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533703 */     // MIs[0] round
     /* 1533703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533706 */     // MIs[0] policy
     /* 1533706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533716 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533740 */     // GIR_Coverage, 18582,
     /* 1533740 */     GIR_EraseRootFromParent_Done,
     /* 1533741 */   // Label 21290: @1533741
     /* 1533741 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1533823), // Rule ID 18583 //
     /* 1533746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533785 */     // MIs[0] round
     /* 1533785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533788 */     // MIs[0] policy
     /* 1533788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533798 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533822 */     // GIR_Coverage, 18583,
     /* 1533822 */     GIR_EraseRootFromParent_Done,
     /* 1533823 */   // Label 21291: @1533823
     /* 1533823 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1533905), // Rule ID 18586 //
     /* 1533828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533867 */     // MIs[0] round
     /* 1533867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533870 */     // MIs[0] policy
     /* 1533870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533880 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533904 */     // GIR_Coverage, 18586,
     /* 1533904 */     GIR_EraseRootFromParent_Done,
     /* 1533905 */   // Label 21292: @1533905
     /* 1533905 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1533987), // Rule ID 18587 //
     /* 1533910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533949 */     // MIs[0] round
     /* 1533949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533952 */     // MIs[0] policy
     /* 1533952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533962 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533986 */     // GIR_Coverage, 18587,
     /* 1533986 */     GIR_EraseRootFromParent_Done,
     /* 1533987 */   // Label 21293: @1533987
     /* 1533987 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1534069), // Rule ID 18590 //
     /* 1533992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1534003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1534006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1534012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534031 */     // MIs[0] round
     /* 1534031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534034 */     // MIs[0] policy
     /* 1534034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534044 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1534047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534068 */     // GIR_Coverage, 18590,
     /* 1534068 */     GIR_EraseRootFromParent_Done,
     /* 1534069 */   // Label 21294: @1534069
     /* 1534069 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1534151), // Rule ID 18591 //
     /* 1534074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1534077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1534085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1534088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1534094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534113 */     // MIs[0] round
     /* 1534113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534116 */     // MIs[0] policy
     /* 1534116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534126 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1534129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534150 */     // GIR_Coverage, 18591,
     /* 1534150 */     GIR_EraseRootFromParent_Done,
     /* 1534151 */   // Label 21295: @1534151
     /* 1534151 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1534233), // Rule ID 18594 //
     /* 1534156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1534173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534195 */     // MIs[0] round
     /* 1534195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534198 */     // MIs[0] policy
     /* 1534198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534208 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1534211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534232 */     // GIR_Coverage, 18594,
     /* 1534232 */     GIR_EraseRootFromParent_Done,
     /* 1534233 */   // Label 21296: @1534233
     /* 1534233 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1534315), // Rule ID 18595 //
     /* 1534238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1534255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534277 */     // MIs[0] round
     /* 1534277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534280 */     // MIs[0] policy
     /* 1534280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1534293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534314 */     // GIR_Coverage, 18595,
     /* 1534314 */     GIR_EraseRootFromParent_Done,
     /* 1534315 */   // Label 21297: @1534315
     /* 1534315 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1534397), // Rule ID 18598 //
     /* 1534320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1534337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534359 */     // MIs[0] round
     /* 1534359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534362 */     // MIs[0] policy
     /* 1534362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1534375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534396 */     // GIR_Coverage, 18598,
     /* 1534396 */     GIR_EraseRootFromParent_Done,
     /* 1534397 */   // Label 21298: @1534397
     /* 1534397 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1534479), // Rule ID 18599 //
     /* 1534402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1534419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534441 */     // MIs[0] round
     /* 1534441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534444 */     // MIs[0] policy
     /* 1534444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534454 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1534457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534478 */     // GIR_Coverage, 18599,
     /* 1534478 */     GIR_EraseRootFromParent_Done,
     /* 1534479 */   // Label 21299: @1534479
     /* 1534479 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1534561), // Rule ID 18602 //
     /* 1534484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534523 */     // MIs[0] round
     /* 1534523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534526 */     // MIs[0] policy
     /* 1534526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534560 */     // GIR_Coverage, 18602,
     /* 1534560 */     GIR_EraseRootFromParent_Done,
     /* 1534561 */   // Label 21300: @1534561
     /* 1534561 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1534643), // Rule ID 18603 //
     /* 1534566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534605 */     // MIs[0] round
     /* 1534605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534608 */     // MIs[0] policy
     /* 1534608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534618 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534642 */     // GIR_Coverage, 18603,
     /* 1534642 */     GIR_EraseRootFromParent_Done,
     /* 1534643 */   // Label 21301: @1534643
     /* 1534643 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1534725), // Rule ID 18606 //
     /* 1534648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534687 */     // MIs[0] round
     /* 1534687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534690 */     // MIs[0] policy
     /* 1534690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534700 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534724 */     // GIR_Coverage, 18606,
     /* 1534724 */     GIR_EraseRootFromParent_Done,
     /* 1534725 */   // Label 21302: @1534725
     /* 1534725 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1534807), // Rule ID 18607 //
     /* 1534730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534769 */     // MIs[0] round
     /* 1534769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534772 */     // MIs[0] policy
     /* 1534772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534782 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534806 */     // GIR_Coverage, 18607,
     /* 1534806 */     GIR_EraseRootFromParent_Done,
     /* 1534807 */   // Label 21303: @1534807
     /* 1534807 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1534889), // Rule ID 18610 //
     /* 1534812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534851 */     // MIs[0] round
     /* 1534851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534854 */     // MIs[0] policy
     /* 1534854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534864 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534888 */     // GIR_Coverage, 18610,
     /* 1534888 */     GIR_EraseRootFromParent_Done,
     /* 1534889 */   // Label 21304: @1534889
     /* 1534889 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1534971), // Rule ID 18611 //
     /* 1534894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534933 */     // MIs[0] round
     /* 1534933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534936 */     // MIs[0] policy
     /* 1534936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534970 */     // GIR_Coverage, 18611,
     /* 1534970 */     GIR_EraseRootFromParent_Done,
     /* 1534971 */   // Label 21305: @1534971
     /* 1534971 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1535053), // Rule ID 18614 //
     /* 1534976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535015 */     // MIs[0] round
     /* 1535015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535018 */     // MIs[0] policy
     /* 1535018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1535031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535052 */     // GIR_Coverage, 18614,
     /* 1535052 */     GIR_EraseRootFromParent_Done,
     /* 1535053 */   // Label 21306: @1535053
     /* 1535053 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1535135), // Rule ID 18615 //
     /* 1535058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1535069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1535072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1535075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1535078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535097 */     // MIs[0] round
     /* 1535097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535100 */     // MIs[0] policy
     /* 1535100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535110 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1535113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535134 */     // GIR_Coverage, 18615,
     /* 1535134 */     GIR_EraseRootFromParent_Done,
     /* 1535135 */   // Label 21307: @1535135
     /* 1535135 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1535217), // Rule ID 18618 //
     /* 1535140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1535157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535179 */     // MIs[0] round
     /* 1535179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535182 */     // MIs[0] policy
     /* 1535182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535192 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1535195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535216 */     // GIR_Coverage, 18618,
     /* 1535216 */     GIR_EraseRootFromParent_Done,
     /* 1535217 */   // Label 21308: @1535217
     /* 1535217 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1535299), // Rule ID 18619 //
     /* 1535222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1535239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535261 */     // MIs[0] round
     /* 1535261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535264 */     // MIs[0] policy
     /* 1535264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535274 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1535277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535298 */     // GIR_Coverage, 18619,
     /* 1535298 */     GIR_EraseRootFromParent_Done,
     /* 1535299 */   // Label 21309: @1535299
     /* 1535299 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1535381), // Rule ID 18622 //
     /* 1535304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1535321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535343 */     // MIs[0] round
     /* 1535343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535346 */     // MIs[0] policy
     /* 1535346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535356 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1535359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535380 */     // GIR_Coverage, 18622,
     /* 1535380 */     GIR_EraseRootFromParent_Done,
     /* 1535381 */   // Label 21310: @1535381
     /* 1535381 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1535463), // Rule ID 18623 //
     /* 1535386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1535403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535425 */     // MIs[0] round
     /* 1535425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535428 */     // MIs[0] policy
     /* 1535428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535438 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1535441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535462 */     // GIR_Coverage, 18623,
     /* 1535462 */     GIR_EraseRootFromParent_Done,
     /* 1535463 */   // Label 21311: @1535463
     /* 1535463 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1535545), // Rule ID 18626 //
     /* 1535468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535507 */     // MIs[0] round
     /* 1535507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535510 */     // MIs[0] policy
     /* 1535510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535520 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535544 */     // GIR_Coverage, 18626,
     /* 1535544 */     GIR_EraseRootFromParent_Done,
     /* 1535545 */   // Label 21312: @1535545
     /* 1535545 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1535627), // Rule ID 18627 //
     /* 1535550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535589 */     // MIs[0] round
     /* 1535589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535592 */     // MIs[0] policy
     /* 1535592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535602 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535626 */     // GIR_Coverage, 18627,
     /* 1535626 */     GIR_EraseRootFromParent_Done,
     /* 1535627 */   // Label 21313: @1535627
     /* 1535627 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1535709), // Rule ID 18630 //
     /* 1535632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535671 */     // MIs[0] round
     /* 1535671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535674 */     // MIs[0] policy
     /* 1535674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535684 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535708 */     // GIR_Coverage, 18630,
     /* 1535708 */     GIR_EraseRootFromParent_Done,
     /* 1535709 */   // Label 21314: @1535709
     /* 1535709 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1535791), // Rule ID 18631 //
     /* 1535714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535753 */     // MIs[0] round
     /* 1535753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535756 */     // MIs[0] policy
     /* 1535756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535766 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535790 */     // GIR_Coverage, 18631,
     /* 1535790 */     GIR_EraseRootFromParent_Done,
     /* 1535791 */   // Label 21315: @1535791
     /* 1535791 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1535873), // Rule ID 18634 //
     /* 1535796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535835 */     // MIs[0] round
     /* 1535835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535838 */     // MIs[0] policy
     /* 1535838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535848 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535872 */     // GIR_Coverage, 18634,
     /* 1535872 */     GIR_EraseRootFromParent_Done,
     /* 1535873 */   // Label 21316: @1535873
     /* 1535873 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1535955), // Rule ID 18635 //
     /* 1535878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535917 */     // MIs[0] round
     /* 1535917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535920 */     // MIs[0] policy
     /* 1535920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535954 */     // GIR_Coverage, 18635,
     /* 1535954 */     GIR_EraseRootFromParent_Done,
     /* 1535955 */   // Label 21317: @1535955
     /* 1535955 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1536037), // Rule ID 18638 //
     /* 1535960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535999 */     // MIs[0] round
     /* 1535999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536002 */     // MIs[0] policy
     /* 1536002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536012 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1536015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536036 */     // GIR_Coverage, 18638,
     /* 1536036 */     GIR_EraseRootFromParent_Done,
     /* 1536037 */   // Label 21318: @1536037
     /* 1536037 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1536119), // Rule ID 18639 //
     /* 1536042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1536053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1536056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536081 */     // MIs[0] round
     /* 1536081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536084 */     // MIs[0] policy
     /* 1536084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536094 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1536097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536118 */     // GIR_Coverage, 18639,
     /* 1536118 */     GIR_EraseRootFromParent_Done,
     /* 1536119 */   // Label 21319: @1536119
     /* 1536119 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1536201), // Rule ID 18642 //
     /* 1536124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1536135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1536138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536163 */     // MIs[0] round
     /* 1536163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536166 */     // MIs[0] policy
     /* 1536166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536176 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1536179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536200 */     // GIR_Coverage, 18642,
     /* 1536200 */     GIR_EraseRootFromParent_Done,
     /* 1536201 */   // Label 21320: @1536201
     /* 1536201 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1536283), // Rule ID 18643 //
     /* 1536206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1536217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1536220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536245 */     // MIs[0] round
     /* 1536245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536248 */     // MIs[0] policy
     /* 1536248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536258 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1536261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536282 */     // GIR_Coverage, 18643,
     /* 1536282 */     GIR_EraseRootFromParent_Done,
     /* 1536283 */   // Label 21321: @1536283
     /* 1536283 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1536365), // Rule ID 18646 //
     /* 1536288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1536299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1536302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536327 */     // MIs[0] round
     /* 1536327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536330 */     // MIs[0] policy
     /* 1536330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536340 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1536343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536364 */     // GIR_Coverage, 18646,
     /* 1536364 */     GIR_EraseRootFromParent_Done,
     /* 1536365 */   // Label 21322: @1536365
     /* 1536365 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1536447), // Rule ID 18647 //
     /* 1536370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1536381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1536384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536409 */     // MIs[0] round
     /* 1536409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536412 */     // MIs[0] policy
     /* 1536412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536422 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1536425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536446 */     // GIR_Coverage, 18647,
     /* 1536446 */     GIR_EraseRootFromParent_Done,
     /* 1536447 */   // Label 21323: @1536447
     /* 1536447 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1536529), // Rule ID 18650 //
     /* 1536452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536491 */     // MIs[0] round
     /* 1536491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536494 */     // MIs[0] policy
     /* 1536494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536504 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536528 */     // GIR_Coverage, 18650,
     /* 1536528 */     GIR_EraseRootFromParent_Done,
     /* 1536529 */   // Label 21324: @1536529
     /* 1536529 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1536611), // Rule ID 18651 //
     /* 1536534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536573 */     // MIs[0] round
     /* 1536573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536576 */     // MIs[0] policy
     /* 1536576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536586 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536610 */     // GIR_Coverage, 18651,
     /* 1536610 */     GIR_EraseRootFromParent_Done,
     /* 1536611 */   // Label 21325: @1536611
     /* 1536611 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1536693), // Rule ID 18654 //
     /* 1536616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536655 */     // MIs[0] round
     /* 1536655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536658 */     // MIs[0] policy
     /* 1536658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536668 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536692 */     // GIR_Coverage, 18654,
     /* 1536692 */     GIR_EraseRootFromParent_Done,
     /* 1536693 */   // Label 21326: @1536693
     /* 1536693 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1536775), // Rule ID 18655 //
     /* 1536698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536737 */     // MIs[0] round
     /* 1536737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536740 */     // MIs[0] policy
     /* 1536740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536750 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536774 */     // GIR_Coverage, 18655,
     /* 1536774 */     GIR_EraseRootFromParent_Done,
     /* 1536775 */   // Label 21327: @1536775
     /* 1536775 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1536857), // Rule ID 18658 //
     /* 1536780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536819 */     // MIs[0] round
     /* 1536819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536822 */     // MIs[0] policy
     /* 1536822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536856 */     // GIR_Coverage, 18658,
     /* 1536856 */     GIR_EraseRootFromParent_Done,
     /* 1536857 */   // Label 21328: @1536857
     /* 1536857 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1536939), // Rule ID 18659 //
     /* 1536862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536901 */     // MIs[0] round
     /* 1536901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536904 */     // MIs[0] policy
     /* 1536904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536914 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536938 */     // GIR_Coverage, 18659,
     /* 1536938 */     GIR_EraseRootFromParent_Done,
     /* 1536939 */   // Label 21329: @1536939
     /* 1536939 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1537021), // Rule ID 18662 //
     /* 1536944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536983 */     // MIs[0] round
     /* 1536983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536986 */     // MIs[0] policy
     /* 1536986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1536999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537020 */     // GIR_Coverage, 18662,
     /* 1537020 */     GIR_EraseRootFromParent_Done,
     /* 1537021 */   // Label 21330: @1537021
     /* 1537021 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1537103), // Rule ID 18663 //
     /* 1537026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1537034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537065 */     // MIs[0] round
     /* 1537065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537068 */     // MIs[0] policy
     /* 1537068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537078 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1537081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537102 */     // GIR_Coverage, 18663,
     /* 1537102 */     GIR_EraseRootFromParent_Done,
     /* 1537103 */   // Label 21331: @1537103
     /* 1537103 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1537185), // Rule ID 18666 //
     /* 1537108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1537119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1537122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1537125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537147 */     // MIs[0] round
     /* 1537147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537150 */     // MIs[0] policy
     /* 1537150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537160 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1537163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537184 */     // GIR_Coverage, 18666,
     /* 1537184 */     GIR_EraseRootFromParent_Done,
     /* 1537185 */   // Label 21332: @1537185
     /* 1537185 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1537267), // Rule ID 18667 //
     /* 1537190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1537201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1537204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1537207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537229 */     // MIs[0] round
     /* 1537229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537232 */     // MIs[0] policy
     /* 1537232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537242 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1537245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537266 */     // GIR_Coverage, 18667,
     /* 1537266 */     GIR_EraseRootFromParent_Done,
     /* 1537267 */   // Label 21333: @1537267
     /* 1537267 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1537349), // Rule ID 18670 //
     /* 1537272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1537283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1537286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1537289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537311 */     // MIs[0] round
     /* 1537311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537314 */     // MIs[0] policy
     /* 1537314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537324 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1537327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537348 */     // GIR_Coverage, 18670,
     /* 1537348 */     GIR_EraseRootFromParent_Done,
     /* 1537349 */   // Label 21334: @1537349
     /* 1537349 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1537431), // Rule ID 18671 //
     /* 1537354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1537365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1537368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1537371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537393 */     // MIs[0] round
     /* 1537393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537396 */     // MIs[0] policy
     /* 1537396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537406 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1537409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537430 */     // GIR_Coverage, 18671,
     /* 1537430 */     GIR_EraseRootFromParent_Done,
     /* 1537431 */   // Label 21335: @1537431
     /* 1537431 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1537513), // Rule ID 18674 //
     /* 1537436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537475 */     // MIs[0] round
     /* 1537475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537478 */     // MIs[0] policy
     /* 1537478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537488 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537512 */     // GIR_Coverage, 18674,
     /* 1537512 */     GIR_EraseRootFromParent_Done,
     /* 1537513 */   // Label 21336: @1537513
     /* 1537513 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1537595), // Rule ID 18675 //
     /* 1537518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537557 */     // MIs[0] round
     /* 1537557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537560 */     // MIs[0] policy
     /* 1537560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537570 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537594 */     // GIR_Coverage, 18675,
     /* 1537594 */     GIR_EraseRootFromParent_Done,
     /* 1537595 */   // Label 21337: @1537595
     /* 1537595 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1537677), // Rule ID 18678 //
     /* 1537600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537639 */     // MIs[0] round
     /* 1537639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537642 */     // MIs[0] policy
     /* 1537642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537676 */     // GIR_Coverage, 18678,
     /* 1537676 */     GIR_EraseRootFromParent_Done,
     /* 1537677 */   // Label 21338: @1537677
     /* 1537677 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1537759), // Rule ID 18679 //
     /* 1537682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537721 */     // MIs[0] round
     /* 1537721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537724 */     // MIs[0] policy
     /* 1537724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537734 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537758 */     // GIR_Coverage, 18679,
     /* 1537758 */     GIR_EraseRootFromParent_Done,
     /* 1537759 */   // Label 21339: @1537759
     /* 1537759 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1537841), // Rule ID 18682 //
     /* 1537764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537803 */     // MIs[0] round
     /* 1537803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537806 */     // MIs[0] policy
     /* 1537806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537840 */     // GIR_Coverage, 18682,
     /* 1537840 */     GIR_EraseRootFromParent_Done,
     /* 1537841 */   // Label 21340: @1537841
     /* 1537841 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1537923), // Rule ID 18683 //
     /* 1537846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537885 */     // MIs[0] round
     /* 1537885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537888 */     // MIs[0] policy
     /* 1537888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537898 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537922 */     // GIR_Coverage, 18683,
     /* 1537922 */     GIR_EraseRootFromParent_Done,
     /* 1537923 */   // Label 21341: @1537923
     /* 1537923 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1538005), // Rule ID 18686 //
     /* 1537928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537967 */     // MIs[0] round
     /* 1537967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537970 */     // MIs[0] policy
     /* 1537970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537980 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1537983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538004 */     // GIR_Coverage, 18686,
     /* 1538004 */     GIR_EraseRootFromParent_Done,
     /* 1538005 */   // Label 21342: @1538005
     /* 1538005 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1538087), // Rule ID 18687 //
     /* 1538010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1538027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538049 */     // MIs[0] round
     /* 1538049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538052 */     // MIs[0] policy
     /* 1538052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538062 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1538065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538086 */     // GIR_Coverage, 18687,
     /* 1538086 */     GIR_EraseRootFromParent_Done,
     /* 1538087 */   // Label 21343: @1538087
     /* 1538087 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1538169), // Rule ID 18690 //
     /* 1538092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1538109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538131 */     // MIs[0] round
     /* 1538131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538134 */     // MIs[0] policy
     /* 1538134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538144 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1538147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538168 */     // GIR_Coverage, 18690,
     /* 1538168 */     GIR_EraseRootFromParent_Done,
     /* 1538169 */   // Label 21344: @1538169
     /* 1538169 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1538251), // Rule ID 18691 //
     /* 1538174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1538191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538213 */     // MIs[0] round
     /* 1538213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538216 */     // MIs[0] policy
     /* 1538216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538226 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1538229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538250 */     // GIR_Coverage, 18691,
     /* 1538250 */     GIR_EraseRootFromParent_Done,
     /* 1538251 */   // Label 21345: @1538251
     /* 1538251 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1538333), // Rule ID 18694 //
     /* 1538256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1538273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1538276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538295 */     // MIs[0] round
     /* 1538295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538298 */     // MIs[0] policy
     /* 1538298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538308 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1538311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538332 */     // GIR_Coverage, 18694,
     /* 1538332 */     GIR_EraseRootFromParent_Done,
     /* 1538333 */   // Label 21346: @1538333
     /* 1538333 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1538415), // Rule ID 18695 //
     /* 1538338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1538355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1538358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538377 */     // MIs[0] round
     /* 1538377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538380 */     // MIs[0] policy
     /* 1538380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538390 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1538393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538414 */     // GIR_Coverage, 18695,
     /* 1538414 */     GIR_EraseRootFromParent_Done,
     /* 1538415 */   // Label 21347: @1538415
     /* 1538415 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1538497), // Rule ID 18698 //
     /* 1538420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538459 */     // MIs[0] round
     /* 1538459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538462 */     // MIs[0] policy
     /* 1538462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538472 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538496 */     // GIR_Coverage, 18698,
     /* 1538496 */     GIR_EraseRootFromParent_Done,
     /* 1538497 */   // Label 21348: @1538497
     /* 1538497 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1538579), // Rule ID 18699 //
     /* 1538502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538541 */     // MIs[0] round
     /* 1538541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538544 */     // MIs[0] policy
     /* 1538544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538554 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538578 */     // GIR_Coverage, 18699,
     /* 1538578 */     GIR_EraseRootFromParent_Done,
     /* 1538579 */   // Label 21349: @1538579
     /* 1538579 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1538661), // Rule ID 18702 //
     /* 1538584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538623 */     // MIs[0] round
     /* 1538623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538626 */     // MIs[0] policy
     /* 1538626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538636 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538660 */     // GIR_Coverage, 18702,
     /* 1538660 */     GIR_EraseRootFromParent_Done,
     /* 1538661 */   // Label 21350: @1538661
     /* 1538661 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1538743), // Rule ID 18703 //
     /* 1538666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538705 */     // MIs[0] round
     /* 1538705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538708 */     // MIs[0] policy
     /* 1538708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538718 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538742 */     // GIR_Coverage, 18703,
     /* 1538742 */     GIR_EraseRootFromParent_Done,
     /* 1538743 */   // Label 21351: @1538743
     /* 1538743 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1538825), // Rule ID 18706 //
     /* 1538748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538787 */     // MIs[0] round
     /* 1538787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538790 */     // MIs[0] policy
     /* 1538790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538824 */     // GIR_Coverage, 18706,
     /* 1538824 */     GIR_EraseRootFromParent_Done,
     /* 1538825 */   // Label 21352: @1538825
     /* 1538825 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1538907), // Rule ID 18707 //
     /* 1538830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538869 */     // MIs[0] round
     /* 1538869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538872 */     // MIs[0] policy
     /* 1538872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538882 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538906 */     // GIR_Coverage, 18707,
     /* 1538906 */     GIR_EraseRootFromParent_Done,
     /* 1538907 */   // Label 21353: @1538907
     /* 1538907 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1538989), // Rule ID 18710 //
     /* 1538912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538951 */     // MIs[0] round
     /* 1538951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538954 */     // MIs[0] policy
     /* 1538954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538964 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1538967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538988 */     // GIR_Coverage, 18710,
     /* 1538988 */     GIR_EraseRootFromParent_Done,
     /* 1538989 */   // Label 21354: @1538989
     /* 1538989 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1539071), // Rule ID 18711 //
     /* 1538994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1539014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539033 */     // MIs[0] round
     /* 1539033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539036 */     // MIs[0] policy
     /* 1539036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539046 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1539049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539070 */     // GIR_Coverage, 18711,
     /* 1539070 */     GIR_EraseRootFromParent_Done,
     /* 1539071 */   // Label 21355: @1539071
     /* 1539071 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1539153), // Rule ID 18714 //
     /* 1539076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539115 */     // MIs[0] round
     /* 1539115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539118 */     // MIs[0] policy
     /* 1539118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1539131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539152 */     // GIR_Coverage, 18714,
     /* 1539152 */     GIR_EraseRootFromParent_Done,
     /* 1539153 */   // Label 21356: @1539153
     /* 1539153 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1539235), // Rule ID 18715 //
     /* 1539158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539197 */     // MIs[0] round
     /* 1539197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539200 */     // MIs[0] policy
     /* 1539200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539210 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1539213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539234 */     // GIR_Coverage, 18715,
     /* 1539234 */     GIR_EraseRootFromParent_Done,
     /* 1539235 */   // Label 21357: @1539235
     /* 1539235 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1539317), // Rule ID 18718 //
     /* 1539240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539279 */     // MIs[0] round
     /* 1539279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539282 */     // MIs[0] policy
     /* 1539282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1539295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539316 */     // GIR_Coverage, 18718,
     /* 1539316 */     GIR_EraseRootFromParent_Done,
     /* 1539317 */   // Label 21358: @1539317
     /* 1539317 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1539399), // Rule ID 18719 //
     /* 1539322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539361 */     // MIs[0] round
     /* 1539361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539364 */     // MIs[0] policy
     /* 1539364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539374 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1539377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539398 */     // GIR_Coverage, 18719,
     /* 1539398 */     GIR_EraseRootFromParent_Done,
     /* 1539399 */   // Label 21359: @1539399
     /* 1539399 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1539481), // Rule ID 18722 //
     /* 1539404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539443 */     // MIs[0] round
     /* 1539443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539446 */     // MIs[0] policy
     /* 1539446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539480 */     // GIR_Coverage, 18722,
     /* 1539480 */     GIR_EraseRootFromParent_Done,
     /* 1539481 */   // Label 21360: @1539481
     /* 1539481 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1539563), // Rule ID 18723 //
     /* 1539486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539525 */     // MIs[0] round
     /* 1539525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539528 */     // MIs[0] policy
     /* 1539528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539538 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539562 */     // GIR_Coverage, 18723,
     /* 1539562 */     GIR_EraseRootFromParent_Done,
     /* 1539563 */   // Label 21361: @1539563
     /* 1539563 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1539645), // Rule ID 18726 //
     /* 1539568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539607 */     // MIs[0] round
     /* 1539607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539610 */     // MIs[0] policy
     /* 1539610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539620 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539644 */     // GIR_Coverage, 18726,
     /* 1539644 */     GIR_EraseRootFromParent_Done,
     /* 1539645 */   // Label 21362: @1539645
     /* 1539645 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1539727), // Rule ID 18727 //
     /* 1539650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539689 */     // MIs[0] round
     /* 1539689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539692 */     // MIs[0] policy
     /* 1539692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539726 */     // GIR_Coverage, 18727,
     /* 1539726 */     GIR_EraseRootFromParent_Done,
     /* 1539727 */   // Label 21363: @1539727
     /* 1539727 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1539809), // Rule ID 18730 //
     /* 1539732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539771 */     // MIs[0] round
     /* 1539771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539774 */     // MIs[0] policy
     /* 1539774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539784 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539808 */     // GIR_Coverage, 18730,
     /* 1539808 */     GIR_EraseRootFromParent_Done,
     /* 1539809 */   // Label 21364: @1539809
     /* 1539809 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1539891), // Rule ID 18731 //
     /* 1539814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539853 */     // MIs[0] round
     /* 1539853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539856 */     // MIs[0] policy
     /* 1539856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539866 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539890 */     // GIR_Coverage, 18731,
     /* 1539890 */     GIR_EraseRootFromParent_Done,
     /* 1539891 */   // Label 21365: @1539891
     /* 1539891 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1539973), // Rule ID 18734 //
     /* 1539896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539935 */     // MIs[0] round
     /* 1539935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539938 */     // MIs[0] policy
     /* 1539938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1539951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539972 */     // GIR_Coverage, 18734,
     /* 1539972 */     GIR_EraseRootFromParent_Done,
     /* 1539973 */   // Label 21366: @1539973
     /* 1539973 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1540055), // Rule ID 18735 //
     /* 1539978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540017 */     // MIs[0] round
     /* 1540017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540020 */     // MIs[0] policy
     /* 1540020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540030 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1540033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540054 */     // GIR_Coverage, 18735,
     /* 1540054 */     GIR_EraseRootFromParent_Done,
     /* 1540055 */   // Label 21367: @1540055
     /* 1540055 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1540137), // Rule ID 18738 //
     /* 1540060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540099 */     // MIs[0] round
     /* 1540099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540102 */     // MIs[0] policy
     /* 1540102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540112 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1540115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540136 */     // GIR_Coverage, 18738,
     /* 1540136 */     GIR_EraseRootFromParent_Done,
     /* 1540137 */   // Label 21368: @1540137
     /* 1540137 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1540219), // Rule ID 18739 //
     /* 1540142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540181 */     // MIs[0] round
     /* 1540181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540184 */     // MIs[0] policy
     /* 1540184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540194 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1540197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540218 */     // GIR_Coverage, 18739,
     /* 1540218 */     GIR_EraseRootFromParent_Done,
     /* 1540219 */   // Label 21369: @1540219
     /* 1540219 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1540301), // Rule ID 18742 //
     /* 1540224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540263 */     // MIs[0] round
     /* 1540263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540266 */     // MIs[0] policy
     /* 1540266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1540279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540300 */     // GIR_Coverage, 18742,
     /* 1540300 */     GIR_EraseRootFromParent_Done,
     /* 1540301 */   // Label 21370: @1540301
     /* 1540301 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1540383), // Rule ID 18743 //
     /* 1540306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540345 */     // MIs[0] round
     /* 1540345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540348 */     // MIs[0] policy
     /* 1540348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540358 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1540361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540382 */     // GIR_Coverage, 18743,
     /* 1540382 */     GIR_EraseRootFromParent_Done,
     /* 1540383 */   // Label 21371: @1540383
     /* 1540383 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1540465), // Rule ID 18746 //
     /* 1540388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540427 */     // MIs[0] round
     /* 1540427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540430 */     // MIs[0] policy
     /* 1540430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540440 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540464 */     // GIR_Coverage, 18746,
     /* 1540464 */     GIR_EraseRootFromParent_Done,
     /* 1540465 */   // Label 21372: @1540465
     /* 1540465 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1540547), // Rule ID 18747 //
     /* 1540470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540509 */     // MIs[0] round
     /* 1540509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540512 */     // MIs[0] policy
     /* 1540512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540522 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540546 */     // GIR_Coverage, 18747,
     /* 1540546 */     GIR_EraseRootFromParent_Done,
     /* 1540547 */   // Label 21373: @1540547
     /* 1540547 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1540629), // Rule ID 18750 //
     /* 1540552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540591 */     // MIs[0] round
     /* 1540591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540594 */     // MIs[0] policy
     /* 1540594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540604 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540628 */     // GIR_Coverage, 18750,
     /* 1540628 */     GIR_EraseRootFromParent_Done,
     /* 1540629 */   // Label 21374: @1540629
     /* 1540629 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1540711), // Rule ID 18751 //
     /* 1540634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540673 */     // MIs[0] round
     /* 1540673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540676 */     // MIs[0] policy
     /* 1540676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540686 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540710 */     // GIR_Coverage, 18751,
     /* 1540710 */     GIR_EraseRootFromParent_Done,
     /* 1540711 */   // Label 21375: @1540711
     /* 1540711 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1540793), // Rule ID 18754 //
     /* 1540716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540755 */     // MIs[0] round
     /* 1540755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540758 */     // MIs[0] policy
     /* 1540758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540768 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540792 */     // GIR_Coverage, 18754,
     /* 1540792 */     GIR_EraseRootFromParent_Done,
     /* 1540793 */   // Label 21376: @1540793
     /* 1540793 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1540875), // Rule ID 18755 //
     /* 1540798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540837 */     // MIs[0] round
     /* 1540837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540840 */     // MIs[0] policy
     /* 1540840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540850 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540874 */     // GIR_Coverage, 18755,
     /* 1540874 */     GIR_EraseRootFromParent_Done,
     /* 1540875 */   // Label 21377: @1540875
     /* 1540875 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1540957), // Rule ID 18758 //
     /* 1540880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540919 */     // MIs[0] round
     /* 1540919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540922 */     // MIs[0] policy
     /* 1540922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1540935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540956 */     // GIR_Coverage, 18758,
     /* 1540956 */     GIR_EraseRootFromParent_Done,
     /* 1540957 */   // Label 21378: @1540957
     /* 1540957 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1541039), // Rule ID 18759 //
     /* 1540962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541001 */     // MIs[0] round
     /* 1541001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541004 */     // MIs[0] policy
     /* 1541004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541014 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1541017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541038 */     // GIR_Coverage, 18759,
     /* 1541038 */     GIR_EraseRootFromParent_Done,
     /* 1541039 */   // Label 21379: @1541039
     /* 1541039 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1541121), // Rule ID 18762 //
     /* 1541044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541083 */     // MIs[0] round
     /* 1541083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541086 */     // MIs[0] policy
     /* 1541086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541096 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1541099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541120 */     // GIR_Coverage, 18762,
     /* 1541120 */     GIR_EraseRootFromParent_Done,
     /* 1541121 */   // Label 21380: @1541121
     /* 1541121 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1541203), // Rule ID 18763 //
     /* 1541126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541165 */     // MIs[0] round
     /* 1541165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541168 */     // MIs[0] policy
     /* 1541168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1541181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541202 */     // GIR_Coverage, 18763,
     /* 1541202 */     GIR_EraseRootFromParent_Done,
     /* 1541203 */   // Label 21381: @1541203
     /* 1541203 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1541285), // Rule ID 18766 //
     /* 1541208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541247 */     // MIs[0] round
     /* 1541247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541250 */     // MIs[0] policy
     /* 1541250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541260 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1541263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541284 */     // GIR_Coverage, 18766,
     /* 1541284 */     GIR_EraseRootFromParent_Done,
     /* 1541285 */   // Label 21382: @1541285
     /* 1541285 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1541367), // Rule ID 18767 //
     /* 1541290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541329 */     // MIs[0] round
     /* 1541329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541332 */     // MIs[0] policy
     /* 1541332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541342 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1541345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541366 */     // GIR_Coverage, 18767,
     /* 1541366 */     GIR_EraseRootFromParent_Done,
     /* 1541367 */   // Label 21383: @1541367
     /* 1541367 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1541449), // Rule ID 18770 //
     /* 1541372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541411 */     // MIs[0] round
     /* 1541411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541414 */     // MIs[0] policy
     /* 1541414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541424 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1541427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541448 */     // GIR_Coverage, 18770,
     /* 1541448 */     GIR_EraseRootFromParent_Done,
     /* 1541449 */   // Label 21384: @1541449
     /* 1541449 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1541531), // Rule ID 18771 //
     /* 1541454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541493 */     // MIs[0] round
     /* 1541493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541496 */     // MIs[0] policy
     /* 1541496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541506 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1541509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541530 */     // GIR_Coverage, 18771,
     /* 1541530 */     GIR_EraseRootFromParent_Done,
     /* 1541531 */   // Label 21385: @1541531
     /* 1541531 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1541613), // Rule ID 18774 //
     /* 1541536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541575 */     // MIs[0] round
     /* 1541575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541578 */     // MIs[0] policy
     /* 1541578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541588 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541612 */     // GIR_Coverage, 18774,
     /* 1541612 */     GIR_EraseRootFromParent_Done,
     /* 1541613 */   // Label 21386: @1541613
     /* 1541613 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1541695), // Rule ID 18775 //
     /* 1541618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541657 */     // MIs[0] round
     /* 1541657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541660 */     // MIs[0] policy
     /* 1541660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541670 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541694 */     // GIR_Coverage, 18775,
     /* 1541694 */     GIR_EraseRootFromParent_Done,
     /* 1541695 */   // Label 21387: @1541695
     /* 1541695 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1541777), // Rule ID 18778 //
     /* 1541700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541739 */     // MIs[0] round
     /* 1541739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541742 */     // MIs[0] policy
     /* 1541742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541776 */     // GIR_Coverage, 18778,
     /* 1541776 */     GIR_EraseRootFromParent_Done,
     /* 1541777 */   // Label 21388: @1541777
     /* 1541777 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1541859), // Rule ID 18779 //
     /* 1541782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541821 */     // MIs[0] round
     /* 1541821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541824 */     // MIs[0] policy
     /* 1541824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541834 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541858 */     // GIR_Coverage, 18779,
     /* 1541858 */     GIR_EraseRootFromParent_Done,
     /* 1541859 */   // Label 21389: @1541859
     /* 1541859 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1541941), // Rule ID 18782 //
     /* 1541864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541903 */     // MIs[0] round
     /* 1541903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541906 */     // MIs[0] policy
     /* 1541906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1541919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541940 */     // GIR_Coverage, 18782,
     /* 1541940 */     GIR_EraseRootFromParent_Done,
     /* 1541941 */   // Label 21390: @1541941
     /* 1541941 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1542023), // Rule ID 18783 //
     /* 1541946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541985 */     // MIs[0] round
     /* 1541985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541988 */     // MIs[0] policy
     /* 1541988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541998 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1542001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542022 */     // GIR_Coverage, 18783,
     /* 1542022 */     GIR_EraseRootFromParent_Done,
     /* 1542023 */   // Label 21391: @1542023
     /* 1542023 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1542105), // Rule ID 18786 //
     /* 1542028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542067 */     // MIs[0] round
     /* 1542067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542070 */     // MIs[0] policy
     /* 1542070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1542083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542104 */     // GIR_Coverage, 18786,
     /* 1542104 */     GIR_EraseRootFromParent_Done,
     /* 1542105 */   // Label 21392: @1542105
     /* 1542105 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1542187), // Rule ID 18787 //
     /* 1542110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542149 */     // MIs[0] round
     /* 1542149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542152 */     // MIs[0] policy
     /* 1542152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542162 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1542165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542186 */     // GIR_Coverage, 18787,
     /* 1542186 */     GIR_EraseRootFromParent_Done,
     /* 1542187 */   // Label 21393: @1542187
     /* 1542187 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1542269), // Rule ID 18790 //
     /* 1542192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542231 */     // MIs[0] round
     /* 1542231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542234 */     // MIs[0] policy
     /* 1542234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542244 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1542247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542268 */     // GIR_Coverage, 18790,
     /* 1542268 */     GIR_EraseRootFromParent_Done,
     /* 1542269 */   // Label 21394: @1542269
     /* 1542269 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1542351), // Rule ID 18791 //
     /* 1542274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542313 */     // MIs[0] round
     /* 1542313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542316 */     // MIs[0] policy
     /* 1542316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542326 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1542329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542350 */     // GIR_Coverage, 18791,
     /* 1542350 */     GIR_EraseRootFromParent_Done,
     /* 1542351 */   // Label 21395: @1542351
     /* 1542351 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1542433), // Rule ID 18794 //
     /* 1542356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542395 */     // MIs[0] round
     /* 1542395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542398 */     // MIs[0] policy
     /* 1542398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1542411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542432 */     // GIR_Coverage, 18794,
     /* 1542432 */     GIR_EraseRootFromParent_Done,
     /* 1542433 */   // Label 21396: @1542433
     /* 1542433 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1542515), // Rule ID 18795 //
     /* 1542438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542477 */     // MIs[0] round
     /* 1542477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542480 */     // MIs[0] policy
     /* 1542480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1542493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542514 */     // GIR_Coverage, 18795,
     /* 1542514 */     GIR_EraseRootFromParent_Done,
     /* 1542515 */   // Label 21397: @1542515
     /* 1542515 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1542597), // Rule ID 18798 //
     /* 1542520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542559 */     // MIs[0] round
     /* 1542559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542562 */     // MIs[0] policy
     /* 1542562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542572 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542596 */     // GIR_Coverage, 18798,
     /* 1542596 */     GIR_EraseRootFromParent_Done,
     /* 1542597 */   // Label 21398: @1542597
     /* 1542597 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1542679), // Rule ID 18799 //
     /* 1542602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542641 */     // MIs[0] round
     /* 1542641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542644 */     // MIs[0] policy
     /* 1542644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542654 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542678 */     // GIR_Coverage, 18799,
     /* 1542678 */     GIR_EraseRootFromParent_Done,
     /* 1542679 */   // Label 21399: @1542679
     /* 1542679 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1542761), // Rule ID 18802 //
     /* 1542684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542723 */     // MIs[0] round
     /* 1542723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542726 */     // MIs[0] policy
     /* 1542726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542760 */     // GIR_Coverage, 18802,
     /* 1542760 */     GIR_EraseRootFromParent_Done,
     /* 1542761 */   // Label 21400: @1542761
     /* 1542761 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1542843), // Rule ID 18803 //
     /* 1542766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542805 */     // MIs[0] round
     /* 1542805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542808 */     // MIs[0] policy
     /* 1542808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542818 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542842 */     // GIR_Coverage, 18803,
     /* 1542842 */     GIR_EraseRootFromParent_Done,
     /* 1542843 */   // Label 21401: @1542843
     /* 1542843 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1542925), // Rule ID 18806 //
     /* 1542848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542887 */     // MIs[0] round
     /* 1542887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542890 */     // MIs[0] policy
     /* 1542890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542900 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542924 */     // GIR_Coverage, 18806,
     /* 1542924 */     GIR_EraseRootFromParent_Done,
     /* 1542925 */   // Label 21402: @1542925
     /* 1542925 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1543007), // Rule ID 18807 //
     /* 1542930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542969 */     // MIs[0] round
     /* 1542969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542972 */     // MIs[0] policy
     /* 1542972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542982 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543006 */     // GIR_Coverage, 18807,
     /* 1543006 */     GIR_EraseRootFromParent_Done,
     /* 1543007 */   // Label 21403: @1543007
     /* 1543007 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1543089), // Rule ID 18810 //
     /* 1543012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543051 */     // MIs[0] round
     /* 1543051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543054 */     // MIs[0] policy
     /* 1543054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543064 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1543067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543088 */     // GIR_Coverage, 18810,
     /* 1543088 */     GIR_EraseRootFromParent_Done,
     /* 1543089 */   // Label 21404: @1543089
     /* 1543089 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1543171), // Rule ID 18811 //
     /* 1543094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543133 */     // MIs[0] round
     /* 1543133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543136 */     // MIs[0] policy
     /* 1543136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543146 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1543149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543170 */     // GIR_Coverage, 18811,
     /* 1543170 */     GIR_EraseRootFromParent_Done,
     /* 1543171 */   // Label 21405: @1543171
     /* 1543171 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1543253), // Rule ID 18814 //
     /* 1543176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543215 */     // MIs[0] round
     /* 1543215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543218 */     // MIs[0] policy
     /* 1543218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1543231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543252 */     // GIR_Coverage, 18814,
     /* 1543252 */     GIR_EraseRootFromParent_Done,
     /* 1543253 */   // Label 21406: @1543253
     /* 1543253 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1543335), // Rule ID 18815 //
     /* 1543258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543297 */     // MIs[0] round
     /* 1543297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543300 */     // MIs[0] policy
     /* 1543300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543310 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1543313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543334 */     // GIR_Coverage, 18815,
     /* 1543334 */     GIR_EraseRootFromParent_Done,
     /* 1543335 */   // Label 21407: @1543335
     /* 1543335 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1543417), // Rule ID 18818 //
     /* 1543340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543379 */     // MIs[0] round
     /* 1543379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543382 */     // MIs[0] policy
     /* 1543382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543392 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1543395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543416 */     // GIR_Coverage, 18818,
     /* 1543416 */     GIR_EraseRootFromParent_Done,
     /* 1543417 */   // Label 21408: @1543417
     /* 1543417 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1543499), // Rule ID 18819 //
     /* 1543422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543461 */     // MIs[0] round
     /* 1543461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543464 */     // MIs[0] policy
     /* 1543464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543474 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1543477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543498 */     // GIR_Coverage, 18819,
     /* 1543498 */     GIR_EraseRootFromParent_Done,
     /* 1543499 */   // Label 21409: @1543499
     /* 1543499 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1543581), // Rule ID 18822 //
     /* 1543504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543543 */     // MIs[0] round
     /* 1543543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543546 */     // MIs[0] policy
     /* 1543546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543556 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543580 */     // GIR_Coverage, 18822,
     /* 1543580 */     GIR_EraseRootFromParent_Done,
     /* 1543581 */   // Label 21410: @1543581
     /* 1543581 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1543663), // Rule ID 18823 //
     /* 1543586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543625 */     // MIs[0] round
     /* 1543625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543628 */     // MIs[0] policy
     /* 1543628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543638 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543662 */     // GIR_Coverage, 18823,
     /* 1543662 */     GIR_EraseRootFromParent_Done,
     /* 1543663 */   // Label 21411: @1543663
     /* 1543663 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1543745), // Rule ID 18826 //
     /* 1543668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543707 */     // MIs[0] round
     /* 1543707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543710 */     // MIs[0] policy
     /* 1543710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543720 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543744 */     // GIR_Coverage, 18826,
     /* 1543744 */     GIR_EraseRootFromParent_Done,
     /* 1543745 */   // Label 21412: @1543745
     /* 1543745 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1543827), // Rule ID 18827 //
     /* 1543750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543789 */     // MIs[0] round
     /* 1543789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543792 */     // MIs[0] policy
     /* 1543792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543802 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543826 */     // GIR_Coverage, 18827,
     /* 1543826 */     GIR_EraseRootFromParent_Done,
     /* 1543827 */   // Label 21413: @1543827
     /* 1543827 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1543909), // Rule ID 18830 //
     /* 1543832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543871 */     // MIs[0] round
     /* 1543871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543874 */     // MIs[0] policy
     /* 1543874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543884 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543908 */     // GIR_Coverage, 18830,
     /* 1543908 */     GIR_EraseRootFromParent_Done,
     /* 1543909 */   // Label 21414: @1543909
     /* 1543909 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1543991), // Rule ID 18831 //
     /* 1543914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543953 */     // MIs[0] round
     /* 1543953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543956 */     // MIs[0] policy
     /* 1543956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543966 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543990 */     // GIR_Coverage, 18831,
     /* 1543990 */     GIR_EraseRootFromParent_Done,
     /* 1543991 */   // Label 21415: @1543991
     /* 1543991 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1544073), // Rule ID 18834 //
     /* 1543996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544035 */     // MIs[0] round
     /* 1544035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544038 */     // MIs[0] policy
     /* 1544038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544048 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1544051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544072 */     // GIR_Coverage, 18834,
     /* 1544072 */     GIR_EraseRootFromParent_Done,
     /* 1544073 */   // Label 21416: @1544073
     /* 1544073 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1544155), // Rule ID 18835 //
     /* 1544078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544117 */     // MIs[0] round
     /* 1544117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544120 */     // MIs[0] policy
     /* 1544120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544130 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1544133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544154 */     // GIR_Coverage, 18835,
     /* 1544154 */     GIR_EraseRootFromParent_Done,
     /* 1544155 */   // Label 21417: @1544155
     /* 1544155 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1544237), // Rule ID 18838 //
     /* 1544160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544199 */     // MIs[0] round
     /* 1544199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544202 */     // MIs[0] policy
     /* 1544202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544212 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1544215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544236 */     // GIR_Coverage, 18838,
     /* 1544236 */     GIR_EraseRootFromParent_Done,
     /* 1544237 */   // Label 21418: @1544237
     /* 1544237 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1544319), // Rule ID 18839 //
     /* 1544242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544281 */     // MIs[0] round
     /* 1544281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544284 */     // MIs[0] policy
     /* 1544284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544294 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1544297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544318 */     // GIR_Coverage, 18839,
     /* 1544318 */     GIR_EraseRootFromParent_Done,
     /* 1544319 */   // Label 21419: @1544319
     /* 1544319 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1544401), // Rule ID 18842 //
     /* 1544324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544363 */     // MIs[0] round
     /* 1544363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544366 */     // MIs[0] policy
     /* 1544366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544376 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1544379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544400 */     // GIR_Coverage, 18842,
     /* 1544400 */     GIR_EraseRootFromParent_Done,
     /* 1544401 */   // Label 21420: @1544401
     /* 1544401 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1544483), // Rule ID 18843 //
     /* 1544406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544445 */     // MIs[0] round
     /* 1544445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544448 */     // MIs[0] policy
     /* 1544448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544458 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1544461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544482 */     // GIR_Coverage, 18843,
     /* 1544482 */     GIR_EraseRootFromParent_Done,
     /* 1544483 */   // Label 21421: @1544483
     /* 1544483 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1544565), // Rule ID 18846 //
     /* 1544488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544527 */     // MIs[0] round
     /* 1544527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544530 */     // MIs[0] policy
     /* 1544530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544540 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544564 */     // GIR_Coverage, 18846,
     /* 1544564 */     GIR_EraseRootFromParent_Done,
     /* 1544565 */   // Label 21422: @1544565
     /* 1544565 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1544647), // Rule ID 18847 //
     /* 1544570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544609 */     // MIs[0] round
     /* 1544609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544612 */     // MIs[0] policy
     /* 1544612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544646 */     // GIR_Coverage, 18847,
     /* 1544646 */     GIR_EraseRootFromParent_Done,
     /* 1544647 */   // Label 21423: @1544647
     /* 1544647 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1544729), // Rule ID 18850 //
     /* 1544652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544691 */     // MIs[0] round
     /* 1544691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544694 */     // MIs[0] policy
     /* 1544694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544704 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544728 */     // GIR_Coverage, 18850,
     /* 1544728 */     GIR_EraseRootFromParent_Done,
     /* 1544729 */   // Label 21424: @1544729
     /* 1544729 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1544811), // Rule ID 18851 //
     /* 1544734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544773 */     // MIs[0] round
     /* 1544773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544776 */     // MIs[0] policy
     /* 1544776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544786 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544810 */     // GIR_Coverage, 18851,
     /* 1544810 */     GIR_EraseRootFromParent_Done,
     /* 1544811 */   // Label 21425: @1544811
     /* 1544811 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1544893), // Rule ID 18854 //
     /* 1544816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544855 */     // MIs[0] round
     /* 1544855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544858 */     // MIs[0] policy
     /* 1544858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544868 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544892 */     // GIR_Coverage, 18854,
     /* 1544892 */     GIR_EraseRootFromParent_Done,
     /* 1544893 */   // Label 21426: @1544893
     /* 1544893 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1544975), // Rule ID 18855 //
     /* 1544898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544937 */     // MIs[0] round
     /* 1544937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544940 */     // MIs[0] policy
     /* 1544940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544950 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544974 */     // GIR_Coverage, 18855,
     /* 1544974 */     GIR_EraseRootFromParent_Done,
     /* 1544975 */   // Label 21427: @1544975
     /* 1544975 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1545057), // Rule ID 18858 //
     /* 1544980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545019 */     // MIs[0] round
     /* 1545019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545022 */     // MIs[0] policy
     /* 1545022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545032 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1545035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545056 */     // GIR_Coverage, 18858,
     /* 1545056 */     GIR_EraseRootFromParent_Done,
     /* 1545057 */   // Label 21428: @1545057
     /* 1545057 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1545139), // Rule ID 18859 //
     /* 1545062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545101 */     // MIs[0] round
     /* 1545101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545104 */     // MIs[0] policy
     /* 1545104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545114 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1545117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545138 */     // GIR_Coverage, 18859,
     /* 1545138 */     GIR_EraseRootFromParent_Done,
     /* 1545139 */   // Label 21429: @1545139
     /* 1545139 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1545221), // Rule ID 18862 //
     /* 1545144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545183 */     // MIs[0] round
     /* 1545183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545186 */     // MIs[0] policy
     /* 1545186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545196 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1545199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545220 */     // GIR_Coverage, 18862,
     /* 1545220 */     GIR_EraseRootFromParent_Done,
     /* 1545221 */   // Label 21430: @1545221
     /* 1545221 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1545303), // Rule ID 18863 //
     /* 1545226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545265 */     // MIs[0] round
     /* 1545265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545268 */     // MIs[0] policy
     /* 1545268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1545281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545302 */     // GIR_Coverage, 18863,
     /* 1545302 */     GIR_EraseRootFromParent_Done,
     /* 1545303 */   // Label 21431: @1545303
     /* 1545303 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1545385), // Rule ID 18866 //
     /* 1545308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545347 */     // MIs[0] round
     /* 1545347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545350 */     // MIs[0] policy
     /* 1545350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545360 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1545363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545384 */     // GIR_Coverage, 18866,
     /* 1545384 */     GIR_EraseRootFromParent_Done,
     /* 1545385 */   // Label 21432: @1545385
     /* 1545385 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1545467), // Rule ID 18867 //
     /* 1545390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545429 */     // MIs[0] round
     /* 1545429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545432 */     // MIs[0] policy
     /* 1545432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545442 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1545445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545466 */     // GIR_Coverage, 18867,
     /* 1545466 */     GIR_EraseRootFromParent_Done,
     /* 1545467 */   // Label 21433: @1545467
     /* 1545467 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1545549), // Rule ID 18870 //
     /* 1545472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545511 */     // MIs[0] round
     /* 1545511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545514 */     // MIs[0] policy
     /* 1545514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545524 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545548 */     // GIR_Coverage, 18870,
     /* 1545548 */     GIR_EraseRootFromParent_Done,
     /* 1545549 */   // Label 21434: @1545549
     /* 1545549 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1545631), // Rule ID 18871 //
     /* 1545554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545593 */     // MIs[0] round
     /* 1545593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545596 */     // MIs[0] policy
     /* 1545596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545606 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545630 */     // GIR_Coverage, 18871,
     /* 1545630 */     GIR_EraseRootFromParent_Done,
     /* 1545631 */   // Label 21435: @1545631
     /* 1545631 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1545713), // Rule ID 18874 //
     /* 1545636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545675 */     // MIs[0] round
     /* 1545675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545678 */     // MIs[0] policy
     /* 1545678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545688 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545712 */     // GIR_Coverage, 18874,
     /* 1545712 */     GIR_EraseRootFromParent_Done,
     /* 1545713 */   // Label 21436: @1545713
     /* 1545713 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1545795), // Rule ID 18875 //
     /* 1545718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545757 */     // MIs[0] round
     /* 1545757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545760 */     // MIs[0] policy
     /* 1545760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545770 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545794 */     // GIR_Coverage, 18875,
     /* 1545794 */     GIR_EraseRootFromParent_Done,
     /* 1545795 */   // Label 21437: @1545795
     /* 1545795 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1545877), // Rule ID 18878 //
     /* 1545800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545839 */     // MIs[0] round
     /* 1545839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545842 */     // MIs[0] policy
     /* 1545842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545876 */     // GIR_Coverage, 18878,
     /* 1545876 */     GIR_EraseRootFromParent_Done,
     /* 1545877 */   // Label 21438: @1545877
     /* 1545877 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1545959), // Rule ID 18879 //
     /* 1545882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545921 */     // MIs[0] round
     /* 1545921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545924 */     // MIs[0] policy
     /* 1545924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545934 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545958 */     // GIR_Coverage, 18879,
     /* 1545958 */     GIR_EraseRootFromParent_Done,
     /* 1545959 */   // Label 21439: @1545959
     /* 1545959 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1546041), // Rule ID 18884 //
     /* 1545964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1545975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1545978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546003 */     // MIs[0] round
     /* 1546003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546006 */     // MIs[0] policy
     /* 1546006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546016 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1546019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546040 */     // GIR_Coverage, 18884,
     /* 1546040 */     GIR_EraseRootFromParent_Done,
     /* 1546041 */   // Label 21440: @1546041
     /* 1546041 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1546123), // Rule ID 18885 //
     /* 1546046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546085 */     // MIs[0] round
     /* 1546085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546088 */     // MIs[0] policy
     /* 1546088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546098 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1546101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546122 */     // GIR_Coverage, 18885,
     /* 1546122 */     GIR_EraseRootFromParent_Done,
     /* 1546123 */   // Label 21441: @1546123
     /* 1546123 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1546205), // Rule ID 18888 //
     /* 1546128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1546145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546167 */     // MIs[0] round
     /* 1546167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546170 */     // MIs[0] policy
     /* 1546170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546180 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1546183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546204 */     // GIR_Coverage, 18888,
     /* 1546204 */     GIR_EraseRootFromParent_Done,
     /* 1546205 */   // Label 21442: @1546205
     /* 1546205 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1546287), // Rule ID 18889 //
     /* 1546210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1546227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546249 */     // MIs[0] round
     /* 1546249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546252 */     // MIs[0] policy
     /* 1546252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546262 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1546265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546286 */     // GIR_Coverage, 18889,
     /* 1546286 */     GIR_EraseRootFromParent_Done,
     /* 1546287 */   // Label 21443: @1546287
     /* 1546287 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1546369), // Rule ID 18892 //
     /* 1546292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1546303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1546306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546331 */     // MIs[0] round
     /* 1546331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546334 */     // MIs[0] policy
     /* 1546334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546344 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1546347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546368 */     // GIR_Coverage, 18892,
     /* 1546368 */     GIR_EraseRootFromParent_Done,
     /* 1546369 */   // Label 21444: @1546369
     /* 1546369 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1546451), // Rule ID 18893 //
     /* 1546374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1546385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1546388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546413 */     // MIs[0] round
     /* 1546413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546416 */     // MIs[0] policy
     /* 1546416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546426 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1546429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546450 */     // GIR_Coverage, 18893,
     /* 1546450 */     GIR_EraseRootFromParent_Done,
     /* 1546451 */   // Label 21445: @1546451
     /* 1546451 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1546533), // Rule ID 18896 //
     /* 1546456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546495 */     // MIs[0] round
     /* 1546495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546498 */     // MIs[0] policy
     /* 1546498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546532 */     // GIR_Coverage, 18896,
     /* 1546532 */     GIR_EraseRootFromParent_Done,
     /* 1546533 */   // Label 21446: @1546533
     /* 1546533 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1546615), // Rule ID 18897 //
     /* 1546538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546577 */     // MIs[0] round
     /* 1546577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546580 */     // MIs[0] policy
     /* 1546580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546614 */     // GIR_Coverage, 18897,
     /* 1546614 */     GIR_EraseRootFromParent_Done,
     /* 1546615 */   // Label 21447: @1546615
     /* 1546615 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1546697), // Rule ID 18900 //
     /* 1546620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1546623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546659 */     // MIs[0] round
     /* 1546659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546662 */     // MIs[0] policy
     /* 1546662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546672 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546696 */     // GIR_Coverage, 18900,
     /* 1546696 */     GIR_EraseRootFromParent_Done,
     /* 1546697 */   // Label 21448: @1546697
     /* 1546697 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1546779), // Rule ID 18901 //
     /* 1546702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1546705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546741 */     // MIs[0] round
     /* 1546741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546744 */     // MIs[0] policy
     /* 1546744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546754 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546778 */     // GIR_Coverage, 18901,
     /* 1546778 */     GIR_EraseRootFromParent_Done,
     /* 1546779 */   // Label 21449: @1546779
     /* 1546779 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1546861), // Rule ID 18904 //
     /* 1546784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546823 */     // MIs[0] round
     /* 1546823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546826 */     // MIs[0] policy
     /* 1546826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546836 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546860 */     // GIR_Coverage, 18904,
     /* 1546860 */     GIR_EraseRootFromParent_Done,
     /* 1546861 */   // Label 21450: @1546861
     /* 1546861 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1546943), // Rule ID 18905 //
     /* 1546866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546905 */     // MIs[0] round
     /* 1546905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546908 */     // MIs[0] policy
     /* 1546908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546918 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546942 */     // GIR_Coverage, 18905,
     /* 1546942 */     GIR_EraseRootFromParent_Done,
     /* 1546943 */   // Label 21451: @1546943
     /* 1546943 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1547025), // Rule ID 18908 //
     /* 1546948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546987 */     // MIs[0] round
     /* 1546987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546990 */     // MIs[0] policy
     /* 1546990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547000 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1547003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547024 */     // GIR_Coverage, 18908,
     /* 1547024 */     GIR_EraseRootFromParent_Done,
     /* 1547025 */   // Label 21452: @1547025
     /* 1547025 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1547107), // Rule ID 18909 //
     /* 1547030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1547041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1547044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547069 */     // MIs[0] round
     /* 1547069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547072 */     // MIs[0] policy
     /* 1547072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547082 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1547085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547106 */     // GIR_Coverage, 18909,
     /* 1547106 */     GIR_EraseRootFromParent_Done,
     /* 1547107 */   // Label 21453: @1547107
     /* 1547107 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1547189), // Rule ID 18912 //
     /* 1547112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1547123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1547126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1547129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1547132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547151 */     // MIs[0] round
     /* 1547151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547154 */     // MIs[0] policy
     /* 1547154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547164 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1547167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547188 */     // GIR_Coverage, 18912,
     /* 1547188 */     GIR_EraseRootFromParent_Done,
     /* 1547189 */   // Label 21454: @1547189
     /* 1547189 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1547271), // Rule ID 18913 //
     /* 1547194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1547205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1547208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1547211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1547214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547233 */     // MIs[0] round
     /* 1547233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547236 */     // MIs[0] policy
     /* 1547236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547246 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1547249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547270 */     // GIR_Coverage, 18913,
     /* 1547270 */     GIR_EraseRootFromParent_Done,
     /* 1547271 */   // Label 21455: @1547271
     /* 1547271 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1547353), // Rule ID 18916 //
     /* 1547276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547315 */     // MIs[0] round
     /* 1547315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547318 */     // MIs[0] policy
     /* 1547318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547328 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1547331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547352 */     // GIR_Coverage, 18916,
     /* 1547352 */     GIR_EraseRootFromParent_Done,
     /* 1547353 */   // Label 21456: @1547353
     /* 1547353 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1547435), // Rule ID 18917 //
     /* 1547358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547397 */     // MIs[0] round
     /* 1547397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547400 */     // MIs[0] policy
     /* 1547400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547410 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1547413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547434 */     // GIR_Coverage, 18917,
     /* 1547434 */     GIR_EraseRootFromParent_Done,
     /* 1547435 */   // Label 21457: @1547435
     /* 1547435 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1547517), // Rule ID 18920 //
     /* 1547440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547479 */     // MIs[0] round
     /* 1547479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547482 */     // MIs[0] policy
     /* 1547482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547492 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547516 */     // GIR_Coverage, 18920,
     /* 1547516 */     GIR_EraseRootFromParent_Done,
     /* 1547517 */   // Label 21458: @1547517
     /* 1547517 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1547599), // Rule ID 18921 //
     /* 1547522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547561 */     // MIs[0] round
     /* 1547561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547564 */     // MIs[0] policy
     /* 1547564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547574 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547598 */     // GIR_Coverage, 18921,
     /* 1547598 */     GIR_EraseRootFromParent_Done,
     /* 1547599 */   // Label 21459: @1547599
     /* 1547599 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1547681), // Rule ID 18924 //
     /* 1547604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547643 */     // MIs[0] round
     /* 1547643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547646 */     // MIs[0] policy
     /* 1547646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547680 */     // GIR_Coverage, 18924,
     /* 1547680 */     GIR_EraseRootFromParent_Done,
     /* 1547681 */   // Label 21460: @1547681
     /* 1547681 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1547763), // Rule ID 18925 //
     /* 1547686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547725 */     // MIs[0] round
     /* 1547725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547728 */     // MIs[0] policy
     /* 1547728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547738 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547762 */     // GIR_Coverage, 18925,
     /* 1547762 */     GIR_EraseRootFromParent_Done,
     /* 1547763 */   // Label 21461: @1547763
     /* 1547763 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1547845), // Rule ID 18928 //
     /* 1547768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547807 */     // MIs[0] round
     /* 1547807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547810 */     // MIs[0] policy
     /* 1547810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547820 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547844 */     // GIR_Coverage, 18928,
     /* 1547844 */     GIR_EraseRootFromParent_Done,
     /* 1547845 */   // Label 21462: @1547845
     /* 1547845 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1547927), // Rule ID 18929 //
     /* 1547850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547889 */     // MIs[0] round
     /* 1547889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547892 */     // MIs[0] policy
     /* 1547892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547902 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547926 */     // GIR_Coverage, 18929,
     /* 1547926 */     GIR_EraseRootFromParent_Done,
     /* 1547927 */   // Label 21463: @1547927
     /* 1547927 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1548009), // Rule ID 18932 //
     /* 1547932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1547949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547971 */     // MIs[0] round
     /* 1547971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547974 */     // MIs[0] policy
     /* 1547974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547984 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1547987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548008 */     // GIR_Coverage, 18932,
     /* 1548008 */     GIR_EraseRootFromParent_Done,
     /* 1548009 */   // Label 21464: @1548009
     /* 1548009 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1548091), // Rule ID 18933 //
     /* 1548014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1548022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548053 */     // MIs[0] round
     /* 1548053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548056 */     // MIs[0] policy
     /* 1548056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548066 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1548069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548090 */     // GIR_Coverage, 18933,
     /* 1548090 */     GIR_EraseRootFromParent_Done,
     /* 1548091 */   // Label 21465: @1548091
     /* 1548091 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1548173), // Rule ID 18936 //
     /* 1548096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1548099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1548104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548135 */     // MIs[0] round
     /* 1548135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548138 */     // MIs[0] policy
     /* 1548138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1548151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548172 */     // GIR_Coverage, 18936,
     /* 1548172 */     GIR_EraseRootFromParent_Done,
     /* 1548173 */   // Label 21466: @1548173
     /* 1548173 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1548255), // Rule ID 18937 //
     /* 1548178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1548186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548217 */     // MIs[0] round
     /* 1548217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548220 */     // MIs[0] policy
     /* 1548220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548230 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1548233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548254 */     // GIR_Coverage, 18937,
     /* 1548254 */     GIR_EraseRootFromParent_Done,
     /* 1548255 */   // Label 21467: @1548255
     /* 1548255 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1548337), // Rule ID 18996 //
     /* 1548260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1548271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1548274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548299 */     // MIs[0] round
     /* 1548299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548302 */     // MIs[0] policy
     /* 1548302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548312 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1548315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548336 */     // GIR_Coverage, 18996,
     /* 1548336 */     GIR_EraseRootFromParent_Done,
     /* 1548337 */   // Label 21468: @1548337
     /* 1548337 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1548419), // Rule ID 18997 //
     /* 1548342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1548353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1548356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548381 */     // MIs[0] round
     /* 1548381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548384 */     // MIs[0] policy
     /* 1548384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548394 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1548397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548418 */     // GIR_Coverage, 18997,
     /* 1548418 */     GIR_EraseRootFromParent_Done,
     /* 1548419 */   // Label 21469: @1548419
     /* 1548419 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1548501), // Rule ID 19000 //
     /* 1548424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1548435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1548438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548463 */     // MIs[0] round
     /* 1548463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548466 */     // MIs[0] policy
     /* 1548466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548476 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548500 */     // GIR_Coverage, 19000,
     /* 1548500 */     GIR_EraseRootFromParent_Done,
     /* 1548501 */   // Label 21470: @1548501
     /* 1548501 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1548583), // Rule ID 19001 //
     /* 1548506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1548517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1548520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548545 */     // MIs[0] round
     /* 1548545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548548 */     // MIs[0] policy
     /* 1548548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548558 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548582 */     // GIR_Coverage, 19001,
     /* 1548582 */     GIR_EraseRootFromParent_Done,
     /* 1548583 */   // Label 21471: @1548583
     /* 1548583 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1548665), // Rule ID 19004 //
     /* 1548588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548627 */     // MIs[0] round
     /* 1548627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548630 */     // MIs[0] policy
     /* 1548630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548640 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548664 */     // GIR_Coverage, 19004,
     /* 1548664 */     GIR_EraseRootFromParent_Done,
     /* 1548665 */   // Label 21472: @1548665
     /* 1548665 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1548747), // Rule ID 19005 //
     /* 1548670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548709 */     // MIs[0] round
     /* 1548709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548712 */     // MIs[0] policy
     /* 1548712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548722 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548746 */     // GIR_Coverage, 19005,
     /* 1548746 */     GIR_EraseRootFromParent_Done,
     /* 1548747 */   // Label 21473: @1548747
     /* 1548747 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1548829), // Rule ID 19008 //
     /* 1548752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548791 */     // MIs[0] round
     /* 1548791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548794 */     // MIs[0] policy
     /* 1548794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548804 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548828 */     // GIR_Coverage, 19008,
     /* 1548828 */     GIR_EraseRootFromParent_Done,
     /* 1548829 */   // Label 21474: @1548829
     /* 1548829 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1548911), // Rule ID 19009 //
     /* 1548834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548873 */     // MIs[0] round
     /* 1548873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548876 */     // MIs[0] policy
     /* 1548876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548886 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548910 */     // GIR_Coverage, 19009,
     /* 1548910 */     GIR_EraseRootFromParent_Done,
     /* 1548911 */   // Label 21475: @1548911
     /* 1548911 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1548993), // Rule ID 19012 //
     /* 1548916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548955 */     // MIs[0] round
     /* 1548955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548958 */     // MIs[0] policy
     /* 1548958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1548971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548992 */     // GIR_Coverage, 19012,
     /* 1548992 */     GIR_EraseRootFromParent_Done,
     /* 1548993 */   // Label 21476: @1548993
     /* 1548993 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1549075), // Rule ID 19013 //
     /* 1548998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549037 */     // MIs[0] round
     /* 1549037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549040 */     // MIs[0] policy
     /* 1549040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549050 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1549053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549074 */     // GIR_Coverage, 19013,
     /* 1549074 */     GIR_EraseRootFromParent_Done,
     /* 1549075 */   // Label 21477: @1549075
     /* 1549075 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1549157), // Rule ID 19016 //
     /* 1549080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1549083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1549097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549119 */     // MIs[0] round
     /* 1549119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549122 */     // MIs[0] policy
     /* 1549122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1549135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549156 */     // GIR_Coverage, 19016,
     /* 1549156 */     GIR_EraseRootFromParent_Done,
     /* 1549157 */   // Label 21478: @1549157
     /* 1549157 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1549239), // Rule ID 19017 //
     /* 1549162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1549165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1549179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549201 */     // MIs[0] round
     /* 1549201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549204 */     // MIs[0] policy
     /* 1549204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549214 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1549217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549238 */     // GIR_Coverage, 19017,
     /* 1549238 */     GIR_EraseRootFromParent_Done,
     /* 1549239 */   // Label 21479: @1549239
     /* 1549239 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1549321), // Rule ID 19020 //
     /* 1549244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1549255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1549258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549283 */     // MIs[0] round
     /* 1549283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549286 */     // MIs[0] policy
     /* 1549286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549296 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1549299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549320 */     // GIR_Coverage, 19020,
     /* 1549320 */     GIR_EraseRootFromParent_Done,
     /* 1549321 */   // Label 21480: @1549321
     /* 1549321 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1549403), // Rule ID 19021 //
     /* 1549326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1549337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1549340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549365 */     // MIs[0] round
     /* 1549365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549368 */     // MIs[0] policy
     /* 1549368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549378 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1549381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549402 */     // GIR_Coverage, 19021,
     /* 1549402 */     GIR_EraseRootFromParent_Done,
     /* 1549403 */   // Label 21481: @1549403
     /* 1549403 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1549485), // Rule ID 19024 //
     /* 1549408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1549419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1549422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549447 */     // MIs[0] round
     /* 1549447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549450 */     // MIs[0] policy
     /* 1549450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549460 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549484 */     // GIR_Coverage, 19024,
     /* 1549484 */     GIR_EraseRootFromParent_Done,
     /* 1549485 */   // Label 21482: @1549485
     /* 1549485 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1549567), // Rule ID 19025 //
     /* 1549490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1549501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1549504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549529 */     // MIs[0] round
     /* 1549529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549532 */     // MIs[0] policy
     /* 1549532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549542 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549566 */     // GIR_Coverage, 19025,
     /* 1549566 */     GIR_EraseRootFromParent_Done,
     /* 1549567 */   // Label 21483: @1549567
     /* 1549567 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1549649), // Rule ID 19028 //
     /* 1549572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549611 */     // MIs[0] round
     /* 1549611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549614 */     // MIs[0] policy
     /* 1549614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549624 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549648 */     // GIR_Coverage, 19028,
     /* 1549648 */     GIR_EraseRootFromParent_Done,
     /* 1549649 */   // Label 21484: @1549649
     /* 1549649 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1549731), // Rule ID 19029 //
     /* 1549654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549693 */     // MIs[0] round
     /* 1549693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549696 */     // MIs[0] policy
     /* 1549696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549706 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549730 */     // GIR_Coverage, 19029,
     /* 1549730 */     GIR_EraseRootFromParent_Done,
     /* 1549731 */   // Label 21485: @1549731
     /* 1549731 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1549813), // Rule ID 19032 //
     /* 1549736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549775 */     // MIs[0] round
     /* 1549775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549778 */     // MIs[0] policy
     /* 1549778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549788 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549812 */     // GIR_Coverage, 19032,
     /* 1549812 */     GIR_EraseRootFromParent_Done,
     /* 1549813 */   // Label 21486: @1549813
     /* 1549813 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1549895), // Rule ID 19033 //
     /* 1549818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549857 */     // MIs[0] round
     /* 1549857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549860 */     // MIs[0] policy
     /* 1549860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549870 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549894 */     // GIR_Coverage, 19033,
     /* 1549894 */     GIR_EraseRootFromParent_Done,
     /* 1549895 */   // Label 21487: @1549895
     /* 1549895 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1549977), // Rule ID 19036 //
     /* 1549900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549939 */     // MIs[0] round
     /* 1549939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549942 */     // MIs[0] policy
     /* 1549942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1549955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549976 */     // GIR_Coverage, 19036,
     /* 1549976 */     GIR_EraseRootFromParent_Done,
     /* 1549977 */   // Label 21488: @1549977
     /* 1549977 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1550059), // Rule ID 19037 //
     /* 1549982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550021 */     // MIs[0] round
     /* 1550021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550024 */     // MIs[0] policy
     /* 1550024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1550037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550058 */     // GIR_Coverage, 19037,
     /* 1550058 */     GIR_EraseRootFromParent_Done,
     /* 1550059 */   // Label 21489: @1550059
     /* 1550059 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1550141), // Rule ID 19040 //
     /* 1550064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1550067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550103 */     // MIs[0] round
     /* 1550103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550106 */     // MIs[0] policy
     /* 1550106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550116 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1550119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550140 */     // GIR_Coverage, 19040,
     /* 1550140 */     GIR_EraseRootFromParent_Done,
     /* 1550141 */   // Label 21490: @1550141
     /* 1550141 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1550223), // Rule ID 19041 //
     /* 1550146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1550149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550185 */     // MIs[0] round
     /* 1550185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550188 */     // MIs[0] policy
     /* 1550188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550198 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1550201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550222 */     // GIR_Coverage, 19041,
     /* 1550222 */     GIR_EraseRootFromParent_Done,
     /* 1550223 */   // Label 21491: @1550223
     /* 1550223 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1550305), // Rule ID 19044 //
     /* 1550228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1550245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550267 */     // MIs[0] round
     /* 1550267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550270 */     // MIs[0] policy
     /* 1550270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1550283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550304 */     // GIR_Coverage, 19044,
     /* 1550304 */     GIR_EraseRootFromParent_Done,
     /* 1550305 */   // Label 21492: @1550305
     /* 1550305 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1550387), // Rule ID 19045 //
     /* 1550310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1550327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550349 */     // MIs[0] round
     /* 1550349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550352 */     // MIs[0] policy
     /* 1550352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1550365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550386 */     // GIR_Coverage, 19045,
     /* 1550386 */     GIR_EraseRootFromParent_Done,
     /* 1550387 */   // Label 21493: @1550387
     /* 1550387 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1550469), // Rule ID 19048 //
     /* 1550392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1550409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550431 */     // MIs[0] round
     /* 1550431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550434 */     // MIs[0] policy
     /* 1550434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550444 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550468 */     // GIR_Coverage, 19048,
     /* 1550468 */     GIR_EraseRootFromParent_Done,
     /* 1550469 */   // Label 21494: @1550469
     /* 1550469 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1550551), // Rule ID 19049 //
     /* 1550474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1550491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550513 */     // MIs[0] round
     /* 1550513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550516 */     // MIs[0] policy
     /* 1550516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550526 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550550 */     // GIR_Coverage, 19049,
     /* 1550550 */     GIR_EraseRootFromParent_Done,
     /* 1550551 */   // Label 21495: @1550551
     /* 1550551 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1550633), // Rule ID 19052 //
     /* 1550556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550595 */     // MIs[0] round
     /* 1550595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550598 */     // MIs[0] policy
     /* 1550598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550608 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550632 */     // GIR_Coverage, 19052,
     /* 1550632 */     GIR_EraseRootFromParent_Done,
     /* 1550633 */   // Label 21496: @1550633
     /* 1550633 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1550715), // Rule ID 19053 //
     /* 1550638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550677 */     // MIs[0] round
     /* 1550677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550680 */     // MIs[0] policy
     /* 1550680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550690 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550714 */     // GIR_Coverage, 19053,
     /* 1550714 */     GIR_EraseRootFromParent_Done,
     /* 1550715 */   // Label 21497: @1550715
     /* 1550715 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1550797), // Rule ID 20638 //
     /* 1550720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550759 */     // MIs[0] round
     /* 1550759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550762 */     // MIs[0] policy
     /* 1550762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550796 */     // GIR_Coverage, 20638,
     /* 1550796 */     GIR_EraseRootFromParent_Done,
     /* 1550797 */   // Label 21498: @1550797
     /* 1550797 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1550879), // Rule ID 20639 //
     /* 1550802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550841 */     // MIs[0] round
     /* 1550841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550844 */     // MIs[0] policy
     /* 1550844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550878 */     // GIR_Coverage, 20639,
     /* 1550878 */     GIR_EraseRootFromParent_Done,
     /* 1550879 */   // Label 21499: @1550879
     /* 1550879 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1550961), // Rule ID 20642 //
     /* 1550884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550923 */     // MIs[0] round
     /* 1550923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550926 */     // MIs[0] policy
     /* 1550926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550960 */     // GIR_Coverage, 20642,
     /* 1550960 */     GIR_EraseRootFromParent_Done,
     /* 1550961 */   // Label 21500: @1550961
     /* 1550961 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1551043), // Rule ID 20643 //
     /* 1550966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551005 */     // MIs[0] round
     /* 1551005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551008 */     // MIs[0] policy
     /* 1551008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1551021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551042 */     // GIR_Coverage, 20643,
     /* 1551042 */     GIR_EraseRootFromParent_Done,
     /* 1551043 */   // Label 21501: @1551043
     /* 1551043 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1551125), // Rule ID 20646 //
     /* 1551048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1551059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1551062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551087 */     // MIs[0] round
     /* 1551087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551090 */     // MIs[0] policy
     /* 1551090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551124 */     // GIR_Coverage, 20646,
     /* 1551124 */     GIR_EraseRootFromParent_Done,
     /* 1551125 */   // Label 21502: @1551125
     /* 1551125 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1551207), // Rule ID 20647 //
     /* 1551130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1551141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1551144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551169 */     // MIs[0] round
     /* 1551169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551172 */     // MIs[0] policy
     /* 1551172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551206 */     // GIR_Coverage, 20647,
     /* 1551206 */     GIR_EraseRootFromParent_Done,
     /* 1551207 */   // Label 21503: @1551207
     /* 1551207 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1551289), // Rule ID 20650 //
     /* 1551212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1551229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551251 */     // MIs[0] round
     /* 1551251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551254 */     // MIs[0] policy
     /* 1551254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551288 */     // GIR_Coverage, 20650,
     /* 1551288 */     GIR_EraseRootFromParent_Done,
     /* 1551289 */   // Label 21504: @1551289
     /* 1551289 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1551371), // Rule ID 20651 //
     /* 1551294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1551311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551333 */     // MIs[0] round
     /* 1551333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551336 */     // MIs[0] policy
     /* 1551336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551370 */     // GIR_Coverage, 20651,
     /* 1551370 */     GIR_EraseRootFromParent_Done,
     /* 1551371 */   // Label 21505: @1551371
     /* 1551371 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1551453), // Rule ID 20654 //
     /* 1551376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1551379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1551393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551415 */     // MIs[0] round
     /* 1551415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551418 */     // MIs[0] policy
     /* 1551418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551452 */     // GIR_Coverage, 20654,
     /* 1551452 */     GIR_EraseRootFromParent_Done,
     /* 1551453 */   // Label 21506: @1551453
     /* 1551453 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1551535), // Rule ID 20655 //
     /* 1551458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1551475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551497 */     // MIs[0] round
     /* 1551497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551500 */     // MIs[0] policy
     /* 1551500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551534 */     // GIR_Coverage, 20655,
     /* 1551534 */     GIR_EraseRootFromParent_Done,
     /* 1551535 */   // Label 21507: @1551535
     /* 1551535 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1551617), // Rule ID 20658 //
     /* 1551540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551579 */     // MIs[0] round
     /* 1551579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551582 */     // MIs[0] policy
     /* 1551582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551616 */     // GIR_Coverage, 20658,
     /* 1551616 */     GIR_EraseRootFromParent_Done,
     /* 1551617 */   // Label 21508: @1551617
     /* 1551617 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1551699), // Rule ID 20659 //
     /* 1551622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551661 */     // MIs[0] round
     /* 1551661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551664 */     // MIs[0] policy
     /* 1551664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551698 */     // GIR_Coverage, 20659,
     /* 1551698 */     GIR_EraseRootFromParent_Done,
     /* 1551699 */   // Label 21509: @1551699
     /* 1551699 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1551781), // Rule ID 20662 //
     /* 1551704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551743 */     // MIs[0] round
     /* 1551743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551746 */     // MIs[0] policy
     /* 1551746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551756 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551780 */     // GIR_Coverage, 20662,
     /* 1551780 */     GIR_EraseRootFromParent_Done,
     /* 1551781 */   // Label 21510: @1551781
     /* 1551781 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1551863), // Rule ID 20663 //
     /* 1551786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551825 */     // MIs[0] round
     /* 1551825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551828 */     // MIs[0] policy
     /* 1551828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551838 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551862 */     // GIR_Coverage, 20663,
     /* 1551862 */     GIR_EraseRootFromParent_Done,
     /* 1551863 */   // Label 21511: @1551863
     /* 1551863 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1551945), // Rule ID 20666 //
     /* 1551868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551907 */     // MIs[0] round
     /* 1551907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551910 */     // MIs[0] policy
     /* 1551910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551944 */     // GIR_Coverage, 20666,
     /* 1551944 */     GIR_EraseRootFromParent_Done,
     /* 1551945 */   // Label 21512: @1551945
     /* 1551945 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1552027), // Rule ID 20667 //
     /* 1551950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551989 */     // MIs[0] round
     /* 1551989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551992 */     // MIs[0] policy
     /* 1551992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552026 */     // GIR_Coverage, 20667,
     /* 1552026 */     GIR_EraseRootFromParent_Done,
     /* 1552027 */   // Label 21513: @1552027
     /* 1552027 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1552109), // Rule ID 20670 //
     /* 1552032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552071 */     // MIs[0] round
     /* 1552071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552074 */     // MIs[0] policy
     /* 1552074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552108 */     // GIR_Coverage, 20670,
     /* 1552108 */     GIR_EraseRootFromParent_Done,
     /* 1552109 */   // Label 21514: @1552109
     /* 1552109 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1552191), // Rule ID 20671 //
     /* 1552114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552153 */     // MIs[0] round
     /* 1552153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552156 */     // MIs[0] policy
     /* 1552156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552190 */     // GIR_Coverage, 20671,
     /* 1552190 */     GIR_EraseRootFromParent_Done,
     /* 1552191 */   // Label 21515: @1552191
     /* 1552191 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1552273), // Rule ID 20674 //
     /* 1552196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1552207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1552210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1552213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552235 */     // MIs[0] round
     /* 1552235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552238 */     // MIs[0] policy
     /* 1552238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552272 */     // GIR_Coverage, 20674,
     /* 1552272 */     GIR_EraseRootFromParent_Done,
     /* 1552273 */   // Label 21516: @1552273
     /* 1552273 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1552355), // Rule ID 20675 //
     /* 1552278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1552289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1552292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1552295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552317 */     // MIs[0] round
     /* 1552317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552320 */     // MIs[0] policy
     /* 1552320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552354 */     // GIR_Coverage, 20675,
     /* 1552354 */     GIR_EraseRootFromParent_Done,
     /* 1552355 */   // Label 21517: @1552355
     /* 1552355 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1552437), // Rule ID 20678 //
     /* 1552360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1552371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1552374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1552377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552399 */     // MIs[0] round
     /* 1552399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552402 */     // MIs[0] policy
     /* 1552402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552436 */     // GIR_Coverage, 20678,
     /* 1552436 */     GIR_EraseRootFromParent_Done,
     /* 1552437 */   // Label 21518: @1552437
     /* 1552437 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1552519), // Rule ID 20679 //
     /* 1552442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1552453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1552456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1552459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552481 */     // MIs[0] round
     /* 1552481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552484 */     // MIs[0] policy
     /* 1552484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552518 */     // GIR_Coverage, 20679,
     /* 1552518 */     GIR_EraseRootFromParent_Done,
     /* 1552519 */   // Label 21519: @1552519
     /* 1552519 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1552601), // Rule ID 20682 //
     /* 1552524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552563 */     // MIs[0] round
     /* 1552563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552566 */     // MIs[0] policy
     /* 1552566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552600 */     // GIR_Coverage, 20682,
     /* 1552600 */     GIR_EraseRootFromParent_Done,
     /* 1552601 */   // Label 21520: @1552601
     /* 1552601 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1552683), // Rule ID 20683 //
     /* 1552606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552645 */     // MIs[0] round
     /* 1552645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552648 */     // MIs[0] policy
     /* 1552648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552682 */     // GIR_Coverage, 20683,
     /* 1552682 */     GIR_EraseRootFromParent_Done,
     /* 1552683 */   // Label 21521: @1552683
     /* 1552683 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1552765), // Rule ID 20686 //
     /* 1552688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552727 */     // MIs[0] round
     /* 1552727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552730 */     // MIs[0] policy
     /* 1552730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552764 */     // GIR_Coverage, 20686,
     /* 1552764 */     GIR_EraseRootFromParent_Done,
     /* 1552765 */   // Label 21522: @1552765
     /* 1552765 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1552847), // Rule ID 20687 //
     /* 1552770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552809 */     // MIs[0] round
     /* 1552809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552812 */     // MIs[0] policy
     /* 1552812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552822 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552846 */     // GIR_Coverage, 20687,
     /* 1552846 */     GIR_EraseRootFromParent_Done,
     /* 1552847 */   // Label 21523: @1552847
     /* 1552847 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1552929), // Rule ID 20690 //
     /* 1552852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552891 */     // MIs[0] round
     /* 1552891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552894 */     // MIs[0] policy
     /* 1552894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552928 */     // GIR_Coverage, 20690,
     /* 1552928 */     GIR_EraseRootFromParent_Done,
     /* 1552929 */   // Label 21524: @1552929
     /* 1552929 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1553011), // Rule ID 20691 //
     /* 1552934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552973 */     // MIs[0] round
     /* 1552973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552976 */     // MIs[0] policy
     /* 1552976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553010 */     // GIR_Coverage, 20691,
     /* 1553010 */     GIR_EraseRootFromParent_Done,
     /* 1553011 */   // Label 21525: @1553011
     /* 1553011 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1553093), // Rule ID 20694 //
     /* 1553016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1553027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1553030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1553033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553055 */     // MIs[0] round
     /* 1553055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553058 */     // MIs[0] policy
     /* 1553058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1553071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553092 */     // GIR_Coverage, 20694,
     /* 1553092 */     GIR_EraseRootFromParent_Done,
     /* 1553093 */   // Label 21526: @1553093
     /* 1553093 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1553175), // Rule ID 20695 //
     /* 1553098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1553109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1553112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1553115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553137 */     // MIs[0] round
     /* 1553137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553140 */     // MIs[0] policy
     /* 1553140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1553153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553174 */     // GIR_Coverage, 20695,
     /* 1553174 */     GIR_EraseRootFromParent_Done,
     /* 1553175 */   // Label 21527: @1553175
     /* 1553175 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1553257), // Rule ID 20698 //
     /* 1553180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1553197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553219 */     // MIs[0] round
     /* 1553219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553222 */     // MIs[0] policy
     /* 1553222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553256 */     // GIR_Coverage, 20698,
     /* 1553256 */     GIR_EraseRootFromParent_Done,
     /* 1553257 */   // Label 21528: @1553257
     /* 1553257 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1553339), // Rule ID 20699 //
     /* 1553262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1553279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553301 */     // MIs[0] round
     /* 1553301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553304 */     // MIs[0] policy
     /* 1553304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553338 */     // GIR_Coverage, 20699,
     /* 1553338 */     GIR_EraseRootFromParent_Done,
     /* 1553339 */   // Label 21529: @1553339
     /* 1553339 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1553421), // Rule ID 20702 //
     /* 1553344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553383 */     // MIs[0] round
     /* 1553383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553386 */     // MIs[0] policy
     /* 1553386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553420 */     // GIR_Coverage, 20702,
     /* 1553420 */     GIR_EraseRootFromParent_Done,
     /* 1553421 */   // Label 21530: @1553421
     /* 1553421 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1553503), // Rule ID 20703 //
     /* 1553426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553465 */     // MIs[0] round
     /* 1553465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553468 */     // MIs[0] policy
     /* 1553468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553502 */     // GIR_Coverage, 20703,
     /* 1553502 */     GIR_EraseRootFromParent_Done,
     /* 1553503 */   // Label 21531: @1553503
     /* 1553503 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1553585), // Rule ID 20706 //
     /* 1553508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553547 */     // MIs[0] round
     /* 1553547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553550 */     // MIs[0] policy
     /* 1553550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553584 */     // GIR_Coverage, 20706,
     /* 1553584 */     GIR_EraseRootFromParent_Done,
     /* 1553585 */   // Label 21532: @1553585
     /* 1553585 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1553667), // Rule ID 20707 //
     /* 1553590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553629 */     // MIs[0] round
     /* 1553629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553632 */     // MIs[0] policy
     /* 1553632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553666 */     // GIR_Coverage, 20707,
     /* 1553666 */     GIR_EraseRootFromParent_Done,
     /* 1553667 */   // Label 21533: @1553667
     /* 1553667 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1553749), // Rule ID 20710 //
     /* 1553672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553711 */     // MIs[0] round
     /* 1553711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553714 */     // MIs[0] policy
     /* 1553714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553748 */     // GIR_Coverage, 20710,
     /* 1553748 */     GIR_EraseRootFromParent_Done,
     /* 1553749 */   // Label 21534: @1553749
     /* 1553749 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1553831), // Rule ID 20711 //
     /* 1553754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553793 */     // MIs[0] round
     /* 1553793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553796 */     // MIs[0] policy
     /* 1553796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553830 */     // GIR_Coverage, 20711,
     /* 1553830 */     GIR_EraseRootFromParent_Done,
     /* 1553831 */   // Label 21535: @1553831
     /* 1553831 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1553913), // Rule ID 20714 //
     /* 1553836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553875 */     // MIs[0] round
     /* 1553875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553878 */     // MIs[0] policy
     /* 1553878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553912 */     // GIR_Coverage, 20714,
     /* 1553912 */     GIR_EraseRootFromParent_Done,
     /* 1553913 */   // Label 21536: @1553913
     /* 1553913 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1553995), // Rule ID 20715 //
     /* 1553918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553957 */     // MIs[0] round
     /* 1553957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553960 */     // MIs[0] policy
     /* 1553960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553994 */     // GIR_Coverage, 20715,
     /* 1553994 */     GIR_EraseRootFromParent_Done,
     /* 1553995 */   // Label 21537: @1553995
     /* 1553995 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1554077), // Rule ID 20718 //
     /* 1554000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554039 */     // MIs[0] round
     /* 1554039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554042 */     // MIs[0] policy
     /* 1554042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554076 */     // GIR_Coverage, 20718,
     /* 1554076 */     GIR_EraseRootFromParent_Done,
     /* 1554077 */   // Label 21538: @1554077
     /* 1554077 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1554159), // Rule ID 20719 //
     /* 1554082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554121 */     // MIs[0] round
     /* 1554121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554124 */     // MIs[0] policy
     /* 1554124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554158 */     // GIR_Coverage, 20719,
     /* 1554158 */     GIR_EraseRootFromParent_Done,
     /* 1554159 */   // Label 21539: @1554159
     /* 1554159 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1554241), // Rule ID 20722 //
     /* 1554164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1554175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1554178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554203 */     // MIs[0] round
     /* 1554203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554206 */     // MIs[0] policy
     /* 1554206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554216 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554240 */     // GIR_Coverage, 20722,
     /* 1554240 */     GIR_EraseRootFromParent_Done,
     /* 1554241 */   // Label 21540: @1554241
     /* 1554241 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1554323), // Rule ID 20723 //
     /* 1554246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1554257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1554260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554285 */     // MIs[0] round
     /* 1554285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554288 */     // MIs[0] policy
     /* 1554288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554322 */     // GIR_Coverage, 20723,
     /* 1554322 */     GIR_EraseRootFromParent_Done,
     /* 1554323 */   // Label 21541: @1554323
     /* 1554323 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1554405), // Rule ID 20726 //
     /* 1554328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1554339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1554342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1554345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1554348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554367 */     // MIs[0] round
     /* 1554367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554370 */     // MIs[0] policy
     /* 1554370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554404 */     // GIR_Coverage, 20726,
     /* 1554404 */     GIR_EraseRootFromParent_Done,
     /* 1554405 */   // Label 21542: @1554405
     /* 1554405 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1554487), // Rule ID 20727 //
     /* 1554410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1554421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1554424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1554427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1554430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554449 */     // MIs[0] round
     /* 1554449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554452 */     // MIs[0] policy
     /* 1554452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554486 */     // GIR_Coverage, 20727,
     /* 1554486 */     GIR_EraseRootFromParent_Done,
     /* 1554487 */   // Label 21543: @1554487
     /* 1554487 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1554569), // Rule ID 20730 //
     /* 1554492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554531 */     // MIs[0] round
     /* 1554531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554534 */     // MIs[0] policy
     /* 1554534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554568 */     // GIR_Coverage, 20730,
     /* 1554568 */     GIR_EraseRootFromParent_Done,
     /* 1554569 */   // Label 21544: @1554569
     /* 1554569 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1554651), // Rule ID 20731 //
     /* 1554574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554613 */     // MIs[0] round
     /* 1554613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554616 */     // MIs[0] policy
     /* 1554616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554650 */     // GIR_Coverage, 20731,
     /* 1554650 */     GIR_EraseRootFromParent_Done,
     /* 1554651 */   // Label 21545: @1554651
     /* 1554651 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1554733), // Rule ID 20734 //
     /* 1554656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554695 */     // MIs[0] round
     /* 1554695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554698 */     // MIs[0] policy
     /* 1554698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554732 */     // GIR_Coverage, 20734,
     /* 1554732 */     GIR_EraseRootFromParent_Done,
     /* 1554733 */   // Label 21546: @1554733
     /* 1554733 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1554815), // Rule ID 20735 //
     /* 1554738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554777 */     // MIs[0] round
     /* 1554777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554780 */     // MIs[0] policy
     /* 1554780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554814 */     // GIR_Coverage, 20735,
     /* 1554814 */     GIR_EraseRootFromParent_Done,
     /* 1554815 */   // Label 21547: @1554815
     /* 1554815 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1554897), // Rule ID 20738 //
     /* 1554820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554859 */     // MIs[0] round
     /* 1554859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554862 */     // MIs[0] policy
     /* 1554862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554896 */     // GIR_Coverage, 20738,
     /* 1554896 */     GIR_EraseRootFromParent_Done,
     /* 1554897 */   // Label 21548: @1554897
     /* 1554897 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1554979), // Rule ID 20739 //
     /* 1554902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554941 */     // MIs[0] round
     /* 1554941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554944 */     // MIs[0] policy
     /* 1554944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554978 */     // GIR_Coverage, 20739,
     /* 1554978 */     GIR_EraseRootFromParent_Done,
     /* 1554979 */   // Label 21549: @1554979
     /* 1554979 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1555061), // Rule ID 20742 //
     /* 1554984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555023 */     // MIs[0] round
     /* 1555023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555026 */     // MIs[0] policy
     /* 1555026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555036 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1555039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555060 */     // GIR_Coverage, 20742,
     /* 1555060 */     GIR_EraseRootFromParent_Done,
     /* 1555061 */   // Label 21550: @1555061
     /* 1555061 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1555143), // Rule ID 20743 //
     /* 1555066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555105 */     // MIs[0] round
     /* 1555105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555108 */     // MIs[0] policy
     /* 1555108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1555121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555142 */     // GIR_Coverage, 20743,
     /* 1555142 */     GIR_EraseRootFromParent_Done,
     /* 1555143 */   // Label 21551: @1555143
     /* 1555143 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1555225), // Rule ID 20746 //
     /* 1555148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1555165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555187 */     // MIs[0] round
     /* 1555187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555190 */     // MIs[0] policy
     /* 1555190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555200 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1555203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555224 */     // GIR_Coverage, 20746,
     /* 1555224 */     GIR_EraseRootFromParent_Done,
     /* 1555225 */   // Label 21552: @1555225
     /* 1555225 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1555307), // Rule ID 20747 //
     /* 1555230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1555247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555269 */     // MIs[0] round
     /* 1555269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555272 */     // MIs[0] policy
     /* 1555272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1555285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555306 */     // GIR_Coverage, 20747,
     /* 1555306 */     GIR_EraseRootFromParent_Done,
     /* 1555307 */   // Label 21553: @1555307
     /* 1555307 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1555389), // Rule ID 20750 //
     /* 1555312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1555329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555351 */     // MIs[0] round
     /* 1555351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555354 */     // MIs[0] policy
     /* 1555354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555364 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1555367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555388 */     // GIR_Coverage, 20750,
     /* 1555388 */     GIR_EraseRootFromParent_Done,
     /* 1555389 */   // Label 21554: @1555389
     /* 1555389 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1555471), // Rule ID 20751 //
     /* 1555394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1555411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555433 */     // MIs[0] round
     /* 1555433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555436 */     // MIs[0] policy
     /* 1555436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1555449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555470 */     // GIR_Coverage, 20751,
     /* 1555470 */     GIR_EraseRootFromParent_Done,
     /* 1555471 */   // Label 21555: @1555471
     /* 1555471 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1555553), // Rule ID 20874 //
     /* 1555476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555515 */     // MIs[0] round
     /* 1555515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555518 */     // MIs[0] policy
     /* 1555518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555528 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555552 */     // GIR_Coverage, 20874,
     /* 1555552 */     GIR_EraseRootFromParent_Done,
     /* 1555553 */   // Label 21556: @1555553
     /* 1555553 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1555635), // Rule ID 20875 //
     /* 1555558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555597 */     // MIs[0] round
     /* 1555597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555600 */     // MIs[0] policy
     /* 1555600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555610 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555634 */     // GIR_Coverage, 20875,
     /* 1555634 */     GIR_EraseRootFromParent_Done,
     /* 1555635 */   // Label 21557: @1555635
     /* 1555635 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1555717), // Rule ID 20878 //
     /* 1555640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555679 */     // MIs[0] round
     /* 1555679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555682 */     // MIs[0] policy
     /* 1555682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555716 */     // GIR_Coverage, 20878,
     /* 1555716 */     GIR_EraseRootFromParent_Done,
     /* 1555717 */   // Label 21558: @1555717
     /* 1555717 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1555799), // Rule ID 20879 //
     /* 1555722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555761 */     // MIs[0] round
     /* 1555761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555764 */     // MIs[0] policy
     /* 1555764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555774 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555798 */     // GIR_Coverage, 20879,
     /* 1555798 */     GIR_EraseRootFromParent_Done,
     /* 1555799 */   // Label 21559: @1555799
     /* 1555799 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1555881), // Rule ID 20882 //
     /* 1555804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555843 */     // MIs[0] round
     /* 1555843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555846 */     // MIs[0] policy
     /* 1555846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555880 */     // GIR_Coverage, 20882,
     /* 1555880 */     GIR_EraseRootFromParent_Done,
     /* 1555881 */   // Label 21560: @1555881
     /* 1555881 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1555963), // Rule ID 20883 //
     /* 1555886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555925 */     // MIs[0] round
     /* 1555925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555928 */     // MIs[0] policy
     /* 1555928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555938 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555962 */     // GIR_Coverage, 20883,
     /* 1555962 */     GIR_EraseRootFromParent_Done,
     /* 1555963 */   // Label 21561: @1555963
     /* 1555963 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1556045), // Rule ID 20886 //
     /* 1555968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556007 */     // MIs[0] round
     /* 1556007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556010 */     // MIs[0] policy
     /* 1556010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1556023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556044 */     // GIR_Coverage, 20886,
     /* 1556044 */     GIR_EraseRootFromParent_Done,
     /* 1556045 */   // Label 21562: @1556045
     /* 1556045 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1556127), // Rule ID 20887 //
     /* 1556050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1556061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1556064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1556067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556089 */     // MIs[0] round
     /* 1556089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556092 */     // MIs[0] policy
     /* 1556092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1556105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556126 */     // GIR_Coverage, 20887,
     /* 1556126 */     GIR_EraseRootFromParent_Done,
     /* 1556127 */   // Label 21563: @1556127
     /* 1556127 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1556209), // Rule ID 20890 //
     /* 1556132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1556143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1556146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556171 */     // MIs[0] round
     /* 1556171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556174 */     // MIs[0] policy
     /* 1556174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556184 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1556187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556208 */     // GIR_Coverage, 20890,
     /* 1556208 */     GIR_EraseRootFromParent_Done,
     /* 1556209 */   // Label 21564: @1556209
     /* 1556209 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1556291), // Rule ID 20891 //
     /* 1556214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1556225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1556228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556253 */     // MIs[0] round
     /* 1556253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556256 */     // MIs[0] policy
     /* 1556256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556266 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1556269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556290 */     // GIR_Coverage, 20891,
     /* 1556290 */     GIR_EraseRootFromParent_Done,
     /* 1556291 */   // Label 21565: @1556291
     /* 1556291 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1556373), // Rule ID 20894 //
     /* 1556296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1556299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1556313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556335 */     // MIs[0] round
     /* 1556335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556338 */     // MIs[0] policy
     /* 1556338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1556351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556372 */     // GIR_Coverage, 20894,
     /* 1556372 */     GIR_EraseRootFromParent_Done,
     /* 1556373 */   // Label 21566: @1556373
     /* 1556373 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1556455), // Rule ID 20895 //
     /* 1556378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1556381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1556395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556417 */     // MIs[0] round
     /* 1556417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556420 */     // MIs[0] policy
     /* 1556420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1556433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556454 */     // GIR_Coverage, 20895,
     /* 1556454 */     GIR_EraseRootFromParent_Done,
     /* 1556455 */   // Label 21567: @1556455
     /* 1556455 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1556537), // Rule ID 20898 //
     /* 1556460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556499 */     // MIs[0] round
     /* 1556499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556502 */     // MIs[0] policy
     /* 1556502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556512 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556536 */     // GIR_Coverage, 20898,
     /* 1556536 */     GIR_EraseRootFromParent_Done,
     /* 1556537 */   // Label 21568: @1556537
     /* 1556537 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1556619), // Rule ID 20899 //
     /* 1556542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556581 */     // MIs[0] round
     /* 1556581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556584 */     // MIs[0] policy
     /* 1556584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556594 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556618 */     // GIR_Coverage, 20899,
     /* 1556618 */     GIR_EraseRootFromParent_Done,
     /* 1556619 */   // Label 21569: @1556619
     /* 1556619 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1556701), // Rule ID 20902 //
     /* 1556624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556663 */     // MIs[0] round
     /* 1556663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556666 */     // MIs[0] policy
     /* 1556666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556676 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556700 */     // GIR_Coverage, 20902,
     /* 1556700 */     GIR_EraseRootFromParent_Done,
     /* 1556701 */   // Label 21570: @1556701
     /* 1556701 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1556783), // Rule ID 20903 //
     /* 1556706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556745 */     // MIs[0] round
     /* 1556745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556748 */     // MIs[0] policy
     /* 1556748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556782 */     // GIR_Coverage, 20903,
     /* 1556782 */     GIR_EraseRootFromParent_Done,
     /* 1556783 */   // Label 21571: @1556783
     /* 1556783 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1556865), // Rule ID 20906 //
     /* 1556788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556827 */     // MIs[0] round
     /* 1556827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556830 */     // MIs[0] policy
     /* 1556830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556840 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556864 */     // GIR_Coverage, 20906,
     /* 1556864 */     GIR_EraseRootFromParent_Done,
     /* 1556865 */   // Label 21572: @1556865
     /* 1556865 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1556947), // Rule ID 20907 //
     /* 1556870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556909 */     // MIs[0] round
     /* 1556909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556912 */     // MIs[0] policy
     /* 1556912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556922 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556946 */     // GIR_Coverage, 20907,
     /* 1556946 */     GIR_EraseRootFromParent_Done,
     /* 1556947 */   // Label 21573: @1556947
     /* 1556947 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1557029), // Rule ID 20910 //
     /* 1556952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556991 */     // MIs[0] round
     /* 1556991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556994 */     // MIs[0] policy
     /* 1556994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557004 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1557007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557028 */     // GIR_Coverage, 20910,
     /* 1557028 */     GIR_EraseRootFromParent_Done,
     /* 1557029 */   // Label 21574: @1557029
     /* 1557029 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1557111), // Rule ID 20911 //
     /* 1557034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1557045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1557048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1557051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557073 */     // MIs[0] round
     /* 1557073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557076 */     // MIs[0] policy
     /* 1557076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557086 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1557089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557110 */     // GIR_Coverage, 20911,
     /* 1557110 */     GIR_EraseRootFromParent_Done,
     /* 1557111 */   // Label 21575: @1557111
     /* 1557111 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1557193), // Rule ID 20914 //
     /* 1557116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1557127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1557130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1557133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557155 */     // MIs[0] round
     /* 1557155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557158 */     // MIs[0] policy
     /* 1557158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557168 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1557171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557192 */     // GIR_Coverage, 20914,
     /* 1557192 */     GIR_EraseRootFromParent_Done,
     /* 1557193 */   // Label 21576: @1557193
     /* 1557193 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1557275), // Rule ID 20915 //
     /* 1557198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1557209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1557212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1557215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557237 */     // MIs[0] round
     /* 1557237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557240 */     // MIs[0] policy
     /* 1557240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1557253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557274 */     // GIR_Coverage, 20915,
     /* 1557274 */     GIR_EraseRootFromParent_Done,
     /* 1557275 */   // Label 21577: @1557275
     /* 1557275 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1557357), // Rule ID 20918 //
     /* 1557280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1557291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1557294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1557297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557319 */     // MIs[0] round
     /* 1557319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557322 */     // MIs[0] policy
     /* 1557322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1557335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557356 */     // GIR_Coverage, 20918,
     /* 1557356 */     GIR_EraseRootFromParent_Done,
     /* 1557357 */   // Label 21578: @1557357
     /* 1557357 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1557439), // Rule ID 20919 //
     /* 1557362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1557373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1557376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1557379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557401 */     // MIs[0] round
     /* 1557401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557404 */     // MIs[0] policy
     /* 1557404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557414 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1557417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557438 */     // GIR_Coverage, 20919,
     /* 1557438 */     GIR_EraseRootFromParent_Done,
     /* 1557439 */   // Label 21579: @1557439
     /* 1557439 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1557521), // Rule ID 20922 //
     /* 1557444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557483 */     // MIs[0] round
     /* 1557483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557486 */     // MIs[0] policy
     /* 1557486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557496 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557520 */     // GIR_Coverage, 20922,
     /* 1557520 */     GIR_EraseRootFromParent_Done,
     /* 1557521 */   // Label 21580: @1557521
     /* 1557521 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1557603), // Rule ID 20923 //
     /* 1557526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557565 */     // MIs[0] round
     /* 1557565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557568 */     // MIs[0] policy
     /* 1557568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557578 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557602 */     // GIR_Coverage, 20923,
     /* 1557602 */     GIR_EraseRootFromParent_Done,
     /* 1557603 */   // Label 21581: @1557603
     /* 1557603 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1557685), // Rule ID 20926 //
     /* 1557608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557647 */     // MIs[0] round
     /* 1557647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557650 */     // MIs[0] policy
     /* 1557650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557660 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557684 */     // GIR_Coverage, 20926,
     /* 1557684 */     GIR_EraseRootFromParent_Done,
     /* 1557685 */   // Label 21582: @1557685
     /* 1557685 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1557767), // Rule ID 20927 //
     /* 1557690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557729 */     // MIs[0] round
     /* 1557729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557732 */     // MIs[0] policy
     /* 1557732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557742 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557766 */     // GIR_Coverage, 20927,
     /* 1557766 */     GIR_EraseRootFromParent_Done,
     /* 1557767 */   // Label 21583: @1557767
     /* 1557767 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1557849), // Rule ID 20930 //
     /* 1557772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557811 */     // MIs[0] round
     /* 1557811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557814 */     // MIs[0] policy
     /* 1557814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557824 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557848 */     // GIR_Coverage, 20930,
     /* 1557848 */     GIR_EraseRootFromParent_Done,
     /* 1557849 */   // Label 21584: @1557849
     /* 1557849 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1557931), // Rule ID 20931 //
     /* 1557854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557893 */     // MIs[0] round
     /* 1557893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557896 */     // MIs[0] policy
     /* 1557896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557906 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557930 */     // GIR_Coverage, 20931,
     /* 1557930 */     GIR_EraseRootFromParent_Done,
     /* 1557931 */   // Label 21585: @1557931
     /* 1557931 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1558013), // Rule ID 20934 //
     /* 1557936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557975 */     // MIs[0] round
     /* 1557975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557978 */     // MIs[0] policy
     /* 1557978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557988 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1557991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558012 */     // GIR_Coverage, 20934,
     /* 1558012 */     GIR_EraseRootFromParent_Done,
     /* 1558013 */   // Label 21586: @1558013
     /* 1558013 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1558095), // Rule ID 20935 //
     /* 1558018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1558029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1558032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1558035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558057 */     // MIs[0] round
     /* 1558057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558060 */     // MIs[0] policy
     /* 1558060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558070 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1558073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558094 */     // GIR_Coverage, 20935,
     /* 1558094 */     GIR_EraseRootFromParent_Done,
     /* 1558095 */   // Label 21587: @1558095
     /* 1558095 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1558177), // Rule ID 20938 //
     /* 1558100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1558111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1558114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1558117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558139 */     // MIs[0] round
     /* 1558139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558142 */     // MIs[0] policy
     /* 1558142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558152 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1558155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558176 */     // GIR_Coverage, 20938,
     /* 1558176 */     GIR_EraseRootFromParent_Done,
     /* 1558177 */   // Label 21588: @1558177
     /* 1558177 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1558259), // Rule ID 20939 //
     /* 1558182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1558193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1558196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1558199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558221 */     // MIs[0] round
     /* 1558221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558224 */     // MIs[0] policy
     /* 1558224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558234 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1558237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558258 */     // GIR_Coverage, 20939,
     /* 1558258 */     GIR_EraseRootFromParent_Done,
     /* 1558259 */   // Label 21589: @1558259
     /* 1558259 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1558341), // Rule ID 20942 //
     /* 1558264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1558281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558303 */     // MIs[0] round
     /* 1558303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558306 */     // MIs[0] policy
     /* 1558306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558316 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1558319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558340 */     // GIR_Coverage, 20942,
     /* 1558340 */     GIR_EraseRootFromParent_Done,
     /* 1558341 */   // Label 21590: @1558341
     /* 1558341 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1558423), // Rule ID 20943 //
     /* 1558346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1558363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558385 */     // MIs[0] round
     /* 1558385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558388 */     // MIs[0] policy
     /* 1558388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558398 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1558401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558422 */     // GIR_Coverage, 20943,
     /* 1558422 */     GIR_EraseRootFromParent_Done,
     /* 1558423 */   // Label 21591: @1558423
     /* 1558423 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1558505), // Rule ID 20946 //
     /* 1558428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558467 */     // MIs[0] round
     /* 1558467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558470 */     // MIs[0] policy
     /* 1558470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558480 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558504 */     // GIR_Coverage, 20946,
     /* 1558504 */     GIR_EraseRootFromParent_Done,
     /* 1558505 */   // Label 21592: @1558505
     /* 1558505 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1558587), // Rule ID 20947 //
     /* 1558510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558549 */     // MIs[0] round
     /* 1558549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558552 */     // MIs[0] policy
     /* 1558552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558562 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558586 */     // GIR_Coverage, 20947,
     /* 1558586 */     GIR_EraseRootFromParent_Done,
     /* 1558587 */   // Label 21593: @1558587
     /* 1558587 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1558669), // Rule ID 20950 //
     /* 1558592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558631 */     // MIs[0] round
     /* 1558631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558634 */     // MIs[0] policy
     /* 1558634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558644 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558668 */     // GIR_Coverage, 20950,
     /* 1558668 */     GIR_EraseRootFromParent_Done,
     /* 1558669 */   // Label 21594: @1558669
     /* 1558669 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1558751), // Rule ID 20951 //
     /* 1558674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558713 */     // MIs[0] round
     /* 1558713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558716 */     // MIs[0] policy
     /* 1558716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558726 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558750 */     // GIR_Coverage, 20951,
     /* 1558750 */     GIR_EraseRootFromParent_Done,
     /* 1558751 */   // Label 21595: @1558751
     /* 1558751 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1558833), // Rule ID 20954 //
     /* 1558756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558795 */     // MIs[0] round
     /* 1558795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558798 */     // MIs[0] policy
     /* 1558798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558808 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558832 */     // GIR_Coverage, 20954,
     /* 1558832 */     GIR_EraseRootFromParent_Done,
     /* 1558833 */   // Label 21596: @1558833
     /* 1558833 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1558915), // Rule ID 20955 //
     /* 1558838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558877 */     // MIs[0] round
     /* 1558877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558880 */     // MIs[0] policy
     /* 1558880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558914 */     // GIR_Coverage, 20955,
     /* 1558914 */     GIR_EraseRootFromParent_Done,
     /* 1558915 */   // Label 21597: @1558915
     /* 1558915 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1558997), // Rule ID 20958 //
     /* 1558920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558959 */     // MIs[0] round
     /* 1558959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558962 */     // MIs[0] policy
     /* 1558962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558972 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1558975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558996 */     // GIR_Coverage, 20958,
     /* 1558996 */     GIR_EraseRootFromParent_Done,
     /* 1558997 */   // Label 21598: @1558997
     /* 1558997 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1559079), // Rule ID 20959 //
     /* 1559002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1559013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1559016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1559019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559041 */     // MIs[0] round
     /* 1559041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559044 */     // MIs[0] policy
     /* 1559044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559054 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1559057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559078 */     // GIR_Coverage, 20959,
     /* 1559078 */     GIR_EraseRootFromParent_Done,
     /* 1559079 */   // Label 21599: @1559079
     /* 1559079 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1559161), // Rule ID 20962 //
     /* 1559084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1559095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1559098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1559101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559123 */     // MIs[0] round
     /* 1559123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559126 */     // MIs[0] policy
     /* 1559126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559136 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1559139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559160 */     // GIR_Coverage, 20962,
     /* 1559160 */     GIR_EraseRootFromParent_Done,
     /* 1559161 */   // Label 21600: @1559161
     /* 1559161 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1559243), // Rule ID 20963 //
     /* 1559166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1559177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1559180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1559183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559205 */     // MIs[0] round
     /* 1559205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559208 */     // MIs[0] policy
     /* 1559208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559218 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1559221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559242 */     // GIR_Coverage, 20963,
     /* 1559242 */     GIR_EraseRootFromParent_Done,
     /* 1559243 */   // Label 21601: @1559243
     /* 1559243 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1559325), // Rule ID 20966 //
     /* 1559248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1559259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1559262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1559265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1559268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559287 */     // MIs[0] round
     /* 1559287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559290 */     // MIs[0] policy
     /* 1559290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559300 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1559303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559324 */     // GIR_Coverage, 20966,
     /* 1559324 */     GIR_EraseRootFromParent_Done,
     /* 1559325 */   // Label 21602: @1559325
     /* 1559325 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1559407), // Rule ID 20967 //
     /* 1559330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1559341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1559344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1559347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1559350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559369 */     // MIs[0] round
     /* 1559369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559372 */     // MIs[0] policy
     /* 1559372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559382 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1559385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559406 */     // GIR_Coverage, 20967,
     /* 1559406 */     GIR_EraseRootFromParent_Done,
     /* 1559407 */   // Label 21603: @1559407
     /* 1559407 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1559489), // Rule ID 20970 //
     /* 1559412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559451 */     // MIs[0] round
     /* 1559451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559454 */     // MIs[0] policy
     /* 1559454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559464 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559488 */     // GIR_Coverage, 20970,
     /* 1559488 */     GIR_EraseRootFromParent_Done,
     /* 1559489 */   // Label 21604: @1559489
     /* 1559489 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1559571), // Rule ID 20971 //
     /* 1559494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559533 */     // MIs[0] round
     /* 1559533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559536 */     // MIs[0] policy
     /* 1559536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559546 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559570 */     // GIR_Coverage, 20971,
     /* 1559570 */     GIR_EraseRootFromParent_Done,
     /* 1559571 */   // Label 21605: @1559571
     /* 1559571 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1559653), // Rule ID 20974 //
     /* 1559576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559615 */     // MIs[0] round
     /* 1559615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559618 */     // MIs[0] policy
     /* 1559618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559652 */     // GIR_Coverage, 20974,
     /* 1559652 */     GIR_EraseRootFromParent_Done,
     /* 1559653 */   // Label 21606: @1559653
     /* 1559653 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1559735), // Rule ID 20975 //
     /* 1559658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559697 */     // MIs[0] round
     /* 1559697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559700 */     // MIs[0] policy
     /* 1559700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559710 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559734 */     // GIR_Coverage, 20975,
     /* 1559734 */     GIR_EraseRootFromParent_Done,
     /* 1559735 */   // Label 21607: @1559735
     /* 1559735 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1559817), // Rule ID 20978 //
     /* 1559740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559779 */     // MIs[0] round
     /* 1559779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559782 */     // MIs[0] policy
     /* 1559782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559792 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559816 */     // GIR_Coverage, 20978,
     /* 1559816 */     GIR_EraseRootFromParent_Done,
     /* 1559817 */   // Label 21608: @1559817
     /* 1559817 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1559899), // Rule ID 20979 //
     /* 1559822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559861 */     // MIs[0] round
     /* 1559861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559864 */     // MIs[0] policy
     /* 1559864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559874 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559898 */     // GIR_Coverage, 20979,
     /* 1559898 */     GIR_EraseRootFromParent_Done,
     /* 1559899 */   // Label 21609: @1559899
     /* 1559899 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1559981), // Rule ID 20982 //
     /* 1559904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559943 */     // MIs[0] round
     /* 1559943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559946 */     // MIs[0] policy
     /* 1559946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559956 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1559959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559980 */     // GIR_Coverage, 20982,
     /* 1559980 */     GIR_EraseRootFromParent_Done,
     /* 1559981 */   // Label 21610: @1559981
     /* 1559981 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1560063), // Rule ID 20983 //
     /* 1559986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1560000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1560003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560025 */     // MIs[0] round
     /* 1560025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560028 */     // MIs[0] policy
     /* 1560028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560038 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1560041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560062 */     // GIR_Coverage, 20983,
     /* 1560062 */     GIR_EraseRootFromParent_Done,
     /* 1560063 */   // Label 21611: @1560063
     /* 1560063 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1560145), // Rule ID 20986 //
     /* 1560068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1560071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1560079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1560082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1560085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560107 */     // MIs[0] round
     /* 1560107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560110 */     // MIs[0] policy
     /* 1560110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560120 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1560123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560144 */     // GIR_Coverage, 20986,
     /* 1560144 */     GIR_EraseRootFromParent_Done,
     /* 1560145 */   // Label 21612: @1560145
     /* 1560145 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1560227), // Rule ID 20987 //
     /* 1560150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1560153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1560161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1560164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1560167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560189 */     // MIs[0] round
     /* 1560189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560192 */     // MIs[0] policy
     /* 1560192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560202 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1560205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560226 */     // GIR_Coverage, 20987,
     /* 1560226 */     GIR_EraseRootFromParent_Done,
     /* 1560227 */   // Label 21613: @1560227
     /* 1560227 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1560309), // Rule ID 20990 //
     /* 1560232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1560235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1560243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1560246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1560249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560271 */     // MIs[0] round
     /* 1560271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560274 */     // MIs[0] policy
     /* 1560274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560284 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1560287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560308 */     // GIR_Coverage, 20990,
     /* 1560308 */     GIR_EraseRootFromParent_Done,
     /* 1560309 */   // Label 21614: @1560309
     /* 1560309 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1560391), // Rule ID 20991 //
     /* 1560314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1560317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1560325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1560328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1560331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560353 */     // MIs[0] round
     /* 1560353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560356 */     // MIs[0] policy
     /* 1560356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560366 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1560369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560390 */     // GIR_Coverage, 20991,
     /* 1560390 */     GIR_EraseRootFromParent_Done,
     /* 1560391 */   // Label 21615: @1560391
     /* 1560391 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1560473), // Rule ID 21066 //
     /* 1560396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560435 */     // MIs[0] round
     /* 1560435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560438 */     // MIs[0] policy
     /* 1560438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560472 */     // GIR_Coverage, 21066,
     /* 1560472 */     GIR_EraseRootFromParent_Done,
     /* 1560473 */   // Label 21616: @1560473
     /* 1560473 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1560555), // Rule ID 21067 //
     /* 1560478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560517 */     // MIs[0] round
     /* 1560517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560520 */     // MIs[0] policy
     /* 1560520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560554 */     // GIR_Coverage, 21067,
     /* 1560554 */     GIR_EraseRootFromParent_Done,
     /* 1560555 */   // Label 21617: @1560555
     /* 1560555 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1560637), // Rule ID 21070 //
     /* 1560560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560599 */     // MIs[0] round
     /* 1560599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560602 */     // MIs[0] policy
     /* 1560602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560636 */     // GIR_Coverage, 21070,
     /* 1560636 */     GIR_EraseRootFromParent_Done,
     /* 1560637 */   // Label 21618: @1560637
     /* 1560637 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1560719), // Rule ID 21071 //
     /* 1560642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560681 */     // MIs[0] round
     /* 1560681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560684 */     // MIs[0] policy
     /* 1560684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560718 */     // GIR_Coverage, 21071,
     /* 1560718 */     GIR_EraseRootFromParent_Done,
     /* 1560719 */   // Label 21619: @1560719
     /* 1560719 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1560801), // Rule ID 21074 //
     /* 1560724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560763 */     // MIs[0] round
     /* 1560763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560766 */     // MIs[0] policy
     /* 1560766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560776 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560800 */     // GIR_Coverage, 21074,
     /* 1560800 */     GIR_EraseRootFromParent_Done,
     /* 1560801 */   // Label 21620: @1560801
     /* 1560801 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1560883), // Rule ID 21075 //
     /* 1560806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560845 */     // MIs[0] round
     /* 1560845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560848 */     // MIs[0] policy
     /* 1560848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560882 */     // GIR_Coverage, 21075,
     /* 1560882 */     GIR_EraseRootFromParent_Done,
     /* 1560883 */   // Label 21621: @1560883
     /* 1560883 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1560965), // Rule ID 21078 //
     /* 1560888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560927 */     // MIs[0] round
     /* 1560927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560930 */     // MIs[0] policy
     /* 1560930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560940 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1560943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560964 */     // GIR_Coverage, 21078,
     /* 1560964 */     GIR_EraseRootFromParent_Done,
     /* 1560965 */   // Label 21622: @1560965
     /* 1560965 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1561047), // Rule ID 21079 //
     /* 1560970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561009 */     // MIs[0] round
     /* 1561009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561012 */     // MIs[0] policy
     /* 1561012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561046 */     // GIR_Coverage, 21079,
     /* 1561046 */     GIR_EraseRootFromParent_Done,
     /* 1561047 */   // Label 21623: @1561047
     /* 1561047 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1561129), // Rule ID 21082 //
     /* 1561052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1561069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561091 */     // MIs[0] round
     /* 1561091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561094 */     // MIs[0] policy
     /* 1561094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561128 */     // GIR_Coverage, 21082,
     /* 1561128 */     GIR_EraseRootFromParent_Done,
     /* 1561129 */   // Label 21624: @1561129
     /* 1561129 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1561211), // Rule ID 21083 //
     /* 1561134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1561151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561173 */     // MIs[0] round
     /* 1561173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561176 */     // MIs[0] policy
     /* 1561176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561210 */     // GIR_Coverage, 21083,
     /* 1561210 */     GIR_EraseRootFromParent_Done,
     /* 1561211 */   // Label 21625: @1561211
     /* 1561211 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1561293), // Rule ID 21086 //
     /* 1561216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561255 */     // MIs[0] round
     /* 1561255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561258 */     // MIs[0] policy
     /* 1561258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1561271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561292 */     // GIR_Coverage, 21086,
     /* 1561292 */     GIR_EraseRootFromParent_Done,
     /* 1561293 */   // Label 21626: @1561293
     /* 1561293 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1561375), // Rule ID 21087 //
     /* 1561298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561337 */     // MIs[0] round
     /* 1561337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561340 */     // MIs[0] policy
     /* 1561340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561350 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1561353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561374 */     // GIR_Coverage, 21087,
     /* 1561374 */     GIR_EraseRootFromParent_Done,
     /* 1561375 */   // Label 21627: @1561375
     /* 1561375 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1561457), // Rule ID 21090 //
     /* 1561380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561419 */     // MIs[0] round
     /* 1561419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561422 */     // MIs[0] policy
     /* 1561422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1561435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561456 */     // GIR_Coverage, 21090,
     /* 1561456 */     GIR_EraseRootFromParent_Done,
     /* 1561457 */   // Label 21628: @1561457
     /* 1561457 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1561539), // Rule ID 21091 //
     /* 1561462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561501 */     // MIs[0] round
     /* 1561501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561504 */     // MIs[0] policy
     /* 1561504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561514 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1561517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561538 */     // GIR_Coverage, 21091,
     /* 1561538 */     GIR_EraseRootFromParent_Done,
     /* 1561539 */   // Label 21629: @1561539
     /* 1561539 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1561621), // Rule ID 21094 //
     /* 1561544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561583 */     // MIs[0] round
     /* 1561583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561586 */     // MIs[0] policy
     /* 1561586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561620 */     // GIR_Coverage, 21094,
     /* 1561620 */     GIR_EraseRootFromParent_Done,
     /* 1561621 */   // Label 21630: @1561621
     /* 1561621 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1561703), // Rule ID 21095 //
     /* 1561626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561665 */     // MIs[0] round
     /* 1561665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561668 */     // MIs[0] policy
     /* 1561668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561678 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561702 */     // GIR_Coverage, 21095,
     /* 1561702 */     GIR_EraseRootFromParent_Done,
     /* 1561703 */   // Label 21631: @1561703
     /* 1561703 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1561785), // Rule ID 21098 //
     /* 1561708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561747 */     // MIs[0] round
     /* 1561747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561750 */     // MIs[0] policy
     /* 1561750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561760 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561784 */     // GIR_Coverage, 21098,
     /* 1561784 */     GIR_EraseRootFromParent_Done,
     /* 1561785 */   // Label 21632: @1561785
     /* 1561785 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1561867), // Rule ID 21099 //
     /* 1561790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561829 */     // MIs[0] round
     /* 1561829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561832 */     // MIs[0] policy
     /* 1561832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561866 */     // GIR_Coverage, 21099,
     /* 1561866 */     GIR_EraseRootFromParent_Done,
     /* 1561867 */   // Label 21633: @1561867
     /* 1561867 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1561949), // Rule ID 21102 //
     /* 1561872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561911 */     // MIs[0] round
     /* 1561911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561914 */     // MIs[0] policy
     /* 1561914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1561927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561948 */     // GIR_Coverage, 21102,
     /* 1561948 */     GIR_EraseRootFromParent_Done,
     /* 1561949 */   // Label 21634: @1561949
     /* 1561949 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1562031), // Rule ID 21103 //
     /* 1561954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561993 */     // MIs[0] round
     /* 1561993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561996 */     // MIs[0] policy
     /* 1561996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1562009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562030 */     // GIR_Coverage, 21103,
     /* 1562030 */     GIR_EraseRootFromParent_Done,
     /* 1562031 */   // Label 21635: @1562031
     /* 1562031 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1562113), // Rule ID 21106 //
     /* 1562036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562075 */     // MIs[0] round
     /* 1562075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562078 */     // MIs[0] policy
     /* 1562078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562112 */     // GIR_Coverage, 21106,
     /* 1562112 */     GIR_EraseRootFromParent_Done,
     /* 1562113 */   // Label 21636: @1562113
     /* 1562113 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1562195), // Rule ID 21107 //
     /* 1562118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562157 */     // MIs[0] round
     /* 1562157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562160 */     // MIs[0] policy
     /* 1562160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562194 */     // GIR_Coverage, 21107,
     /* 1562194 */     GIR_EraseRootFromParent_Done,
     /* 1562195 */   // Label 21637: @1562195
     /* 1562195 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1562277), // Rule ID 21110 //
     /* 1562200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1562211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1562214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562239 */     // MIs[0] round
     /* 1562239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562242 */     // MIs[0] policy
     /* 1562242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562276 */     // GIR_Coverage, 21110,
     /* 1562276 */     GIR_EraseRootFromParent_Done,
     /* 1562277 */   // Label 21638: @1562277
     /* 1562277 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1562359), // Rule ID 21111 //
     /* 1562282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1562293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1562296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562321 */     // MIs[0] round
     /* 1562321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562324 */     // MIs[0] policy
     /* 1562324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562358 */     // GIR_Coverage, 21111,
     /* 1562358 */     GIR_EraseRootFromParent_Done,
     /* 1562359 */   // Label 21639: @1562359
     /* 1562359 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1562441), // Rule ID 21114 //
     /* 1562364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562403 */     // MIs[0] round
     /* 1562403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562406 */     // MIs[0] policy
     /* 1562406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562440 */     // GIR_Coverage, 21114,
     /* 1562440 */     GIR_EraseRootFromParent_Done,
     /* 1562441 */   // Label 21640: @1562441
     /* 1562441 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1562523), // Rule ID 21115 //
     /* 1562446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562485 */     // MIs[0] round
     /* 1562485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562488 */     // MIs[0] policy
     /* 1562488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562522 */     // GIR_Coverage, 21115,
     /* 1562522 */     GIR_EraseRootFromParent_Done,
     /* 1562523 */   // Label 21641: @1562523
     /* 1562523 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1562605), // Rule ID 21118 //
     /* 1562528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562567 */     // MIs[0] round
     /* 1562567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562570 */     // MIs[0] policy
     /* 1562570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562604 */     // GIR_Coverage, 21118,
     /* 1562604 */     GIR_EraseRootFromParent_Done,
     /* 1562605 */   // Label 21642: @1562605
     /* 1562605 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1562687), // Rule ID 21119 //
     /* 1562610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562649 */     // MIs[0] round
     /* 1562649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562652 */     // MIs[0] policy
     /* 1562652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562686 */     // GIR_Coverage, 21119,
     /* 1562686 */     GIR_EraseRootFromParent_Done,
     /* 1562687 */   // Label 21643: @1562687
     /* 1562687 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1562769), // Rule ID 21122 //
     /* 1562692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562731 */     // MIs[0] round
     /* 1562731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562734 */     // MIs[0] policy
     /* 1562734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562768 */     // GIR_Coverage, 21122,
     /* 1562768 */     GIR_EraseRootFromParent_Done,
     /* 1562769 */   // Label 21644: @1562769
     /* 1562769 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1562851), // Rule ID 21123 //
     /* 1562774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562813 */     // MIs[0] round
     /* 1562813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562816 */     // MIs[0] policy
     /* 1562816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562850 */     // GIR_Coverage, 21123,
     /* 1562850 */     GIR_EraseRootFromParent_Done,
     /* 1562851 */   // Label 21645: @1562851
     /* 1562851 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1562933), // Rule ID 21126 //
     /* 1562856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562895 */     // MIs[0] round
     /* 1562895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562898 */     // MIs[0] policy
     /* 1562898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562932 */     // GIR_Coverage, 21126,
     /* 1562932 */     GIR_EraseRootFromParent_Done,
     /* 1562933 */   // Label 21646: @1562933
     /* 1562933 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1563015), // Rule ID 21127 //
     /* 1562938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562977 */     // MIs[0] round
     /* 1562977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562980 */     // MIs[0] policy
     /* 1562980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562990 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563014 */     // GIR_Coverage, 21127,
     /* 1563014 */     GIR_EraseRootFromParent_Done,
     /* 1563015 */   // Label 21647: @1563015
     /* 1563015 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1563097), // Rule ID 21130 //
     /* 1563020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1563023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563059 */     // MIs[0] round
     /* 1563059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563062 */     // MIs[0] policy
     /* 1563062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1563075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563096 */     // GIR_Coverage, 21130,
     /* 1563096 */     GIR_EraseRootFromParent_Done,
     /* 1563097 */   // Label 21648: @1563097
     /* 1563097 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1563179), // Rule ID 21131 //
     /* 1563102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1563105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563141 */     // MIs[0] round
     /* 1563141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563144 */     // MIs[0] policy
     /* 1563144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1563157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563178 */     // GIR_Coverage, 21131,
     /* 1563178 */     GIR_EraseRootFromParent_Done,
     /* 1563179 */   // Label 21649: @1563179
     /* 1563179 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1563261), // Rule ID 21134 //
     /* 1563184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1563187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563223 */     // MIs[0] round
     /* 1563223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563226 */     // MIs[0] policy
     /* 1563226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563236 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1563239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563260 */     // GIR_Coverage, 21134,
     /* 1563260 */     GIR_EraseRootFromParent_Done,
     /* 1563261 */   // Label 21650: @1563261
     /* 1563261 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1563343), // Rule ID 21135 //
     /* 1563266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1563269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563305 */     // MIs[0] round
     /* 1563305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563308 */     // MIs[0] policy
     /* 1563308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1563321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563342 */     // GIR_Coverage, 21135,
     /* 1563342 */     GIR_EraseRootFromParent_Done,
     /* 1563343 */   // Label 21651: @1563343
     /* 1563343 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1563425), // Rule ID 21486 //
     /* 1563348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1563365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563387 */     // MIs[0] round
     /* 1563387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563390 */     // MIs[0] policy
     /* 1563390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563400 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1563403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563424 */     // GIR_Coverage, 21486,
     /* 1563424 */     GIR_EraseRootFromParent_Done,
     /* 1563425 */   // Label 21652: @1563425
     /* 1563425 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1563507), // Rule ID 21487 //
     /* 1563430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1563447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563469 */     // MIs[0] round
     /* 1563469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563472 */     // MIs[0] policy
     /* 1563472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1563485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563506 */     // GIR_Coverage, 21487,
     /* 1563506 */     GIR_EraseRootFromParent_Done,
     /* 1563507 */   // Label 21653: @1563507
     /* 1563507 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1563589), // Rule ID 21490 //
     /* 1563512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563551 */     // MIs[0] round
     /* 1563551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563554 */     // MIs[0] policy
     /* 1563554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563588 */     // GIR_Coverage, 21490,
     /* 1563588 */     GIR_EraseRootFromParent_Done,
     /* 1563589 */   // Label 21654: @1563589
     /* 1563589 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1563671), // Rule ID 21491 //
     /* 1563594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563633 */     // MIs[0] round
     /* 1563633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563636 */     // MIs[0] policy
     /* 1563636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563670 */     // GIR_Coverage, 21491,
     /* 1563670 */     GIR_EraseRootFromParent_Done,
     /* 1563671 */   // Label 21655: @1563671
     /* 1563671 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1563753), // Rule ID 21494 //
     /* 1563676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563715 */     // MIs[0] round
     /* 1563715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563718 */     // MIs[0] policy
     /* 1563718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563752 */     // GIR_Coverage, 21494,
     /* 1563752 */     GIR_EraseRootFromParent_Done,
     /* 1563753 */   // Label 21656: @1563753
     /* 1563753 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1563835), // Rule ID 21495 //
     /* 1563758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563797 */     // MIs[0] round
     /* 1563797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563800 */     // MIs[0] policy
     /* 1563800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563834 */     // GIR_Coverage, 21495,
     /* 1563834 */     GIR_EraseRootFromParent_Done,
     /* 1563835 */   // Label 21657: @1563835
     /* 1563835 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1563917), // Rule ID 21498 //
     /* 1563840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563879 */     // MIs[0] round
     /* 1563879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563882 */     // MIs[0] policy
     /* 1563882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563916 */     // GIR_Coverage, 21498,
     /* 1563916 */     GIR_EraseRootFromParent_Done,
     /* 1563917 */   // Label 21658: @1563917
     /* 1563917 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1563999), // Rule ID 21499 //
     /* 1563922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563961 */     // MIs[0] round
     /* 1563961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563964 */     // MIs[0] policy
     /* 1563964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563998 */     // GIR_Coverage, 21499,
     /* 1563998 */     GIR_EraseRootFromParent_Done,
     /* 1563999 */   // Label 21659: @1563999
     /* 1563999 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1564081), // Rule ID 21502 //
     /* 1564004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1564015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1564018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1564021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564043 */     // MIs[0] round
     /* 1564043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564046 */     // MIs[0] policy
     /* 1564046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564080 */     // GIR_Coverage, 21502,
     /* 1564080 */     GIR_EraseRootFromParent_Done,
     /* 1564081 */   // Label 21660: @1564081
     /* 1564081 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1564163), // Rule ID 21503 //
     /* 1564086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1564097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1564100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1564103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564125 */     // MIs[0] round
     /* 1564125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564128 */     // MIs[0] policy
     /* 1564128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564138 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564162 */     // GIR_Coverage, 21503,
     /* 1564162 */     GIR_EraseRootFromParent_Done,
     /* 1564163 */   // Label 21661: @1564163
     /* 1564163 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1564245), // Rule ID 21506 //
     /* 1564168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1564179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1564182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1564185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1564188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564207 */     // MIs[0] round
     /* 1564207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564210 */     // MIs[0] policy
     /* 1564210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564220 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564244 */     // GIR_Coverage, 21506,
     /* 1564244 */     GIR_EraseRootFromParent_Done,
     /* 1564245 */   // Label 21662: @1564245
     /* 1564245 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1564327), // Rule ID 21507 //
     /* 1564250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1564261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1564264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1564267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1564270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564289 */     // MIs[0] round
     /* 1564289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564292 */     // MIs[0] policy
     /* 1564292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564326 */     // GIR_Coverage, 21507,
     /* 1564326 */     GIR_EraseRootFromParent_Done,
     /* 1564327 */   // Label 21663: @1564327
     /* 1564327 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1564409), // Rule ID 21510 //
     /* 1564332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564371 */     // MIs[0] round
     /* 1564371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564374 */     // MIs[0] policy
     /* 1564374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1564387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564408 */     // GIR_Coverage, 21510,
     /* 1564408 */     GIR_EraseRootFromParent_Done,
     /* 1564409 */   // Label 21664: @1564409
     /* 1564409 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1564491), // Rule ID 21511 //
     /* 1564414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564453 */     // MIs[0] round
     /* 1564453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564456 */     // MIs[0] policy
     /* 1564456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1564469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564490 */     // GIR_Coverage, 21511,
     /* 1564490 */     GIR_EraseRootFromParent_Done,
     /* 1564491 */   // Label 21665: @1564491
     /* 1564491 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1564573), // Rule ID 21514 //
     /* 1564496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564535 */     // MIs[0] round
     /* 1564535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564538 */     // MIs[0] policy
     /* 1564538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564572 */     // GIR_Coverage, 21514,
     /* 1564572 */     GIR_EraseRootFromParent_Done,
     /* 1564573 */   // Label 21666: @1564573
     /* 1564573 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1564655), // Rule ID 21515 //
     /* 1564578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564617 */     // MIs[0] round
     /* 1564617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564620 */     // MIs[0] policy
     /* 1564620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564654 */     // GIR_Coverage, 21515,
     /* 1564654 */     GIR_EraseRootFromParent_Done,
     /* 1564655 */   // Label 21667: @1564655
     /* 1564655 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1564737), // Rule ID 21518 //
     /* 1564660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564699 */     // MIs[0] round
     /* 1564699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564702 */     // MIs[0] policy
     /* 1564702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564736 */     // GIR_Coverage, 21518,
     /* 1564736 */     GIR_EraseRootFromParent_Done,
     /* 1564737 */   // Label 21668: @1564737
     /* 1564737 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1564819), // Rule ID 21519 //
     /* 1564742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564781 */     // MIs[0] round
     /* 1564781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564784 */     // MIs[0] policy
     /* 1564784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564818 */     // GIR_Coverage, 21519,
     /* 1564818 */     GIR_EraseRootFromParent_Done,
     /* 1564819 */   // Label 21669: @1564819
     /* 1564819 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1564901), // Rule ID 21522 //
     /* 1564824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564863 */     // MIs[0] round
     /* 1564863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564866 */     // MIs[0] policy
     /* 1564866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564900 */     // GIR_Coverage, 21522,
     /* 1564900 */     GIR_EraseRootFromParent_Done,
     /* 1564901 */   // Label 21670: @1564901
     /* 1564901 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1564983), // Rule ID 21523 //
     /* 1564906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564945 */     // MIs[0] round
     /* 1564945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564948 */     // MIs[0] policy
     /* 1564948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564982 */     // GIR_Coverage, 21523,
     /* 1564982 */     GIR_EraseRootFromParent_Done,
     /* 1564983 */   // Label 21671: @1564983
     /* 1564983 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1565065), // Rule ID 21526 //
     /* 1564988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1565005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565027 */     // MIs[0] round
     /* 1565027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565030 */     // MIs[0] policy
     /* 1565030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565064 */     // GIR_Coverage, 21526,
     /* 1565064 */     GIR_EraseRootFromParent_Done,
     /* 1565065 */   // Label 21672: @1565065
     /* 1565065 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1565147), // Rule ID 21527 //
     /* 1565070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1565087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565109 */     // MIs[0] round
     /* 1565109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565112 */     // MIs[0] policy
     /* 1565112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565146 */     // GIR_Coverage, 21527,
     /* 1565146 */     GIR_EraseRootFromParent_Done,
     /* 1565147 */   // Label 21673: @1565147
     /* 1565147 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1565229), // Rule ID 21530 //
     /* 1565152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1565163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1565166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565191 */     // MIs[0] round
     /* 1565191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565194 */     // MIs[0] policy
     /* 1565194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1565207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565228 */     // GIR_Coverage, 21530,
     /* 1565228 */     GIR_EraseRootFromParent_Done,
     /* 1565229 */   // Label 21674: @1565229
     /* 1565229 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1565311), // Rule ID 21531 //
     /* 1565234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1565245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1565248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565273 */     // MIs[0] round
     /* 1565273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565276 */     // MIs[0] policy
     /* 1565276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1565289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565310 */     // GIR_Coverage, 21531,
     /* 1565310 */     GIR_EraseRootFromParent_Done,
     /* 1565311 */   // Label 21675: @1565311
     /* 1565311 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1565393), // Rule ID 21534 //
     /* 1565316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565355 */     // MIs[0] round
     /* 1565355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565358 */     // MIs[0] policy
     /* 1565358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1565371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565392 */     // GIR_Coverage, 21534,
     /* 1565392 */     GIR_EraseRootFromParent_Done,
     /* 1565393 */   // Label 21676: @1565393
     /* 1565393 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1565475), // Rule ID 21535 //
     /* 1565398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565437 */     // MIs[0] round
     /* 1565437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565440 */     // MIs[0] policy
     /* 1565440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1565453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565474 */     // GIR_Coverage, 21535,
     /* 1565474 */     GIR_EraseRootFromParent_Done,
     /* 1565475 */   // Label 21677: @1565475
     /* 1565475 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1565557), // Rule ID 21538 //
     /* 1565480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565519 */     // MIs[0] round
     /* 1565519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565522 */     // MIs[0] policy
     /* 1565522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565556 */     // GIR_Coverage, 21538,
     /* 1565556 */     GIR_EraseRootFromParent_Done,
     /* 1565557 */   // Label 21678: @1565557
     /* 1565557 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1565639), // Rule ID 21539 //
     /* 1565562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565601 */     // MIs[0] round
     /* 1565601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565604 */     // MIs[0] policy
     /* 1565604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565638 */     // GIR_Coverage, 21539,
     /* 1565638 */     GIR_EraseRootFromParent_Done,
     /* 1565639 */   // Label 21679: @1565639
     /* 1565639 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1565721), // Rule ID 21542 //
     /* 1565644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565683 */     // MIs[0] round
     /* 1565683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565686 */     // MIs[0] policy
     /* 1565686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565720 */     // GIR_Coverage, 21542,
     /* 1565720 */     GIR_EraseRootFromParent_Done,
     /* 1565721 */   // Label 21680: @1565721
     /* 1565721 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1565803), // Rule ID 21543 //
     /* 1565726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565765 */     // MIs[0] round
     /* 1565765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565768 */     // MIs[0] policy
     /* 1565768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565802 */     // GIR_Coverage, 21543,
     /* 1565802 */     GIR_EraseRootFromParent_Done,
     /* 1565803 */   // Label 21681: @1565803
     /* 1565803 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1565885), // Rule ID 21546 //
     /* 1565808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565847 */     // MIs[0] round
     /* 1565847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565850 */     // MIs[0] policy
     /* 1565850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565860 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565884 */     // GIR_Coverage, 21546,
     /* 1565884 */     GIR_EraseRootFromParent_Done,
     /* 1565885 */   // Label 21682: @1565885
     /* 1565885 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1565967), // Rule ID 21547 //
     /* 1565890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565929 */     // MIs[0] round
     /* 1565929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565932 */     // MIs[0] policy
     /* 1565932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565966 */     // GIR_Coverage, 21547,
     /* 1565966 */     GIR_EraseRootFromParent_Done,
     /* 1565967 */   // Label 21683: @1565967
     /* 1565967 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1566049), // Rule ID 21550 //
     /* 1565972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1565983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1565986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1565989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566011 */     // MIs[0] round
     /* 1566011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566014 */     // MIs[0] policy
     /* 1566014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566024 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566048 */     // GIR_Coverage, 21550,
     /* 1566048 */     GIR_EraseRootFromParent_Done,
     /* 1566049 */   // Label 21684: @1566049
     /* 1566049 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1566131), // Rule ID 21551 //
     /* 1566054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1566065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1566068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566093 */     // MIs[0] round
     /* 1566093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566096 */     // MIs[0] policy
     /* 1566096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566106 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566130 */     // GIR_Coverage, 21551,
     /* 1566130 */     GIR_EraseRootFromParent_Done,
     /* 1566131 */   // Label 21685: @1566131
     /* 1566131 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1566213), // Rule ID 21554 //
     /* 1566136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1566147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1566150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566175 */     // MIs[0] round
     /* 1566175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566178 */     // MIs[0] policy
     /* 1566178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566212 */     // GIR_Coverage, 21554,
     /* 1566212 */     GIR_EraseRootFromParent_Done,
     /* 1566213 */   // Label 21686: @1566213
     /* 1566213 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1566295), // Rule ID 21555 //
     /* 1566218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1566229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1566232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566257 */     // MIs[0] round
     /* 1566257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566260 */     // MIs[0] policy
     /* 1566260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566270 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566294 */     // GIR_Coverage, 21555,
     /* 1566294 */     GIR_EraseRootFromParent_Done,
     /* 1566295 */   // Label 21687: @1566295
     /* 1566295 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1566377), // Rule ID 21558 //
     /* 1566300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1566311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1566314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566339 */     // MIs[0] round
     /* 1566339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566342 */     // MIs[0] policy
     /* 1566342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566376 */     // GIR_Coverage, 21558,
     /* 1566376 */     GIR_EraseRootFromParent_Done,
     /* 1566377 */   // Label 21688: @1566377
     /* 1566377 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1566459), // Rule ID 21559 //
     /* 1566382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1566393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1566396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566421 */     // MIs[0] round
     /* 1566421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566424 */     // MIs[0] policy
     /* 1566424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566458 */     // GIR_Coverage, 21559,
     /* 1566458 */     GIR_EraseRootFromParent_Done,
     /* 1566459 */   // Label 21689: @1566459
     /* 1566459 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1566541), // Rule ID 21562 //
     /* 1566464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566503 */     // MIs[0] round
     /* 1566503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566506 */     // MIs[0] policy
     /* 1566506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566516 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566540 */     // GIR_Coverage, 21562,
     /* 1566540 */     GIR_EraseRootFromParent_Done,
     /* 1566541 */   // Label 21690: @1566541
     /* 1566541 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1566623), // Rule ID 21563 //
     /* 1566546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566585 */     // MIs[0] round
     /* 1566585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566588 */     // MIs[0] policy
     /* 1566588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566622 */     // GIR_Coverage, 21563,
     /* 1566622 */     GIR_EraseRootFromParent_Done,
     /* 1566623 */   // Label 21691: @1566623
     /* 1566623 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1566705), // Rule ID 21566 //
     /* 1566628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566667 */     // MIs[0] round
     /* 1566667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566670 */     // MIs[0] policy
     /* 1566670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566704 */     // GIR_Coverage, 21566,
     /* 1566704 */     GIR_EraseRootFromParent_Done,
     /* 1566705 */   // Label 21692: @1566705
     /* 1566705 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1566787), // Rule ID 21567 //
     /* 1566710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566749 */     // MIs[0] round
     /* 1566749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566752 */     // MIs[0] policy
     /* 1566752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566786 */     // GIR_Coverage, 21567,
     /* 1566786 */     GIR_EraseRootFromParent_Done,
     /* 1566787 */   // Label 21693: @1566787
     /* 1566787 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1566869), // Rule ID 21570 //
     /* 1566792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566831 */     // MIs[0] round
     /* 1566831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566834 */     // MIs[0] policy
     /* 1566834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566868 */     // GIR_Coverage, 21570,
     /* 1566868 */     GIR_EraseRootFromParent_Done,
     /* 1566869 */   // Label 21694: @1566869
     /* 1566869 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1566951), // Rule ID 21571 //
     /* 1566874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566913 */     // MIs[0] round
     /* 1566913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566916 */     // MIs[0] policy
     /* 1566916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566950 */     // GIR_Coverage, 21571,
     /* 1566950 */     GIR_EraseRootFromParent_Done,
     /* 1566951 */   // Label 21695: @1566951
     /* 1566951 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1567033), // Rule ID 21574 //
     /* 1566956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566995 */     // MIs[0] round
     /* 1566995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566998 */     // MIs[0] policy
     /* 1566998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567032 */     // GIR_Coverage, 21574,
     /* 1567032 */     GIR_EraseRootFromParent_Done,
     /* 1567033 */   // Label 21696: @1567033
     /* 1567033 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1567115), // Rule ID 21575 //
     /* 1567038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1567049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1567052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567077 */     // MIs[0] round
     /* 1567077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567080 */     // MIs[0] policy
     /* 1567080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567090 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567114 */     // GIR_Coverage, 21575,
     /* 1567114 */     GIR_EraseRootFromParent_Done,
     /* 1567115 */   // Label 21697: @1567115
     /* 1567115 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1567197), // Rule ID 21578 //
     /* 1567120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1567131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1567134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567159 */     // MIs[0] round
     /* 1567159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567162 */     // MIs[0] policy
     /* 1567162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567196 */     // GIR_Coverage, 21578,
     /* 1567196 */     GIR_EraseRootFromParent_Done,
     /* 1567197 */   // Label 21698: @1567197
     /* 1567197 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1567279), // Rule ID 21579 //
     /* 1567202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1567213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1567216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567241 */     // MIs[0] round
     /* 1567241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567244 */     // MIs[0] policy
     /* 1567244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567278 */     // GIR_Coverage, 21579,
     /* 1567278 */     GIR_EraseRootFromParent_Done,
     /* 1567279 */   // Label 21699: @1567279
     /* 1567279 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1567361), // Rule ID 21582 //
     /* 1567284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567323 */     // MIs[0] round
     /* 1567323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567326 */     // MIs[0] policy
     /* 1567326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567360 */     // GIR_Coverage, 21582,
     /* 1567360 */     GIR_EraseRootFromParent_Done,
     /* 1567361 */   // Label 21700: @1567361
     /* 1567361 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1567443), // Rule ID 21583 //
     /* 1567366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567405 */     // MIs[0] round
     /* 1567405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567408 */     // MIs[0] policy
     /* 1567408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567418 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567442 */     // GIR_Coverage, 21583,
     /* 1567442 */     GIR_EraseRootFromParent_Done,
     /* 1567443 */   // Label 21701: @1567443
     /* 1567443 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1567525), // Rule ID 21586 //
     /* 1567448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567487 */     // MIs[0] round
     /* 1567487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567490 */     // MIs[0] policy
     /* 1567490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567524 */     // GIR_Coverage, 21586,
     /* 1567524 */     GIR_EraseRootFromParent_Done,
     /* 1567525 */   // Label 21702: @1567525
     /* 1567525 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1567607), // Rule ID 21587 //
     /* 1567530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567569 */     // MIs[0] round
     /* 1567569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567572 */     // MIs[0] policy
     /* 1567572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567582 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567606 */     // GIR_Coverage, 21587,
     /* 1567606 */     GIR_EraseRootFromParent_Done,
     /* 1567607 */   // Label 21703: @1567607
     /* 1567607 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1567689), // Rule ID 21590 //
     /* 1567612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567651 */     // MIs[0] round
     /* 1567651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567654 */     // MIs[0] policy
     /* 1567654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567688 */     // GIR_Coverage, 21590,
     /* 1567688 */     GIR_EraseRootFromParent_Done,
     /* 1567689 */   // Label 21704: @1567689
     /* 1567689 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1567771), // Rule ID 21591 //
     /* 1567694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567733 */     // MIs[0] round
     /* 1567733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567736 */     // MIs[0] policy
     /* 1567736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567770 */     // GIR_Coverage, 21591,
     /* 1567770 */     GIR_EraseRootFromParent_Done,
     /* 1567771 */   // Label 21705: @1567771
     /* 1567771 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1567853), // Rule ID 21594 //
     /* 1567776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567815 */     // MIs[0] round
     /* 1567815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567818 */     // MIs[0] policy
     /* 1567818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567852 */     // GIR_Coverage, 21594,
     /* 1567852 */     GIR_EraseRootFromParent_Done,
     /* 1567853 */   // Label 21706: @1567853
     /* 1567853 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1567935), // Rule ID 21595 //
     /* 1567858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567897 */     // MIs[0] round
     /* 1567897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567900 */     // MIs[0] policy
     /* 1567900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567934 */     // GIR_Coverage, 21595,
     /* 1567934 */     GIR_EraseRootFromParent_Done,
     /* 1567935 */   // Label 21707: @1567935
     /* 1567935 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1568017), // Rule ID 21598 //
     /* 1567940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567979 */     // MIs[0] round
     /* 1567979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567982 */     // MIs[0] policy
     /* 1567982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568016 */     // GIR_Coverage, 21598,
     /* 1568016 */     GIR_EraseRootFromParent_Done,
     /* 1568017 */   // Label 21708: @1568017
     /* 1568017 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1568099), // Rule ID 21599 //
     /* 1568022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1568025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1568030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1568033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1568036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1568039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568061 */     // MIs[0] round
     /* 1568061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568064 */     // MIs[0] policy
     /* 1568064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1568077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568098 */     // GIR_Coverage, 21599,
     /* 1568098 */     GIR_EraseRootFromParent_Done,
     /* 1568099 */   // Label 21709: @1568099
     /* 1568099 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1568181), // Rule ID 21602 //
     /* 1568104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1568107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1568112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1568121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568143 */     // MIs[0] round
     /* 1568143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568146 */     // MIs[0] policy
     /* 1568146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1568159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568180 */     // GIR_Coverage, 21602,
     /* 1568180 */     GIR_EraseRootFromParent_Done,
     /* 1568181 */   // Label 21710: @1568181
     /* 1568181 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1568263), // Rule ID 21603 //
     /* 1568186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1568189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1568194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1568203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568225 */     // MIs[0] round
     /* 1568225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568228 */     // MIs[0] policy
     /* 1568228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1568241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568262 */     // GIR_Coverage, 21603,
     /* 1568262 */     GIR_EraseRootFromParent_Done,
     /* 1568263 */   // Label 21711: @1568263
     /* 1568263 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1568345), // Rule ID 21726 //
     /* 1568268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568307 */     // MIs[0] round
     /* 1568307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568310 */     // MIs[0] policy
     /* 1568310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568320 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1568323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568344 */     // GIR_Coverage, 21726,
     /* 1568344 */     GIR_EraseRootFromParent_Done,
     /* 1568345 */   // Label 21712: @1568345
     /* 1568345 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1568427), // Rule ID 21727 //
     /* 1568350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568389 */     // MIs[0] round
     /* 1568389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568392 */     // MIs[0] policy
     /* 1568392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568402 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1568405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568426 */     // GIR_Coverage, 21727,
     /* 1568426 */     GIR_EraseRootFromParent_Done,
     /* 1568427 */   // Label 21713: @1568427
     /* 1568427 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1568509), // Rule ID 21730 //
     /* 1568432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568471 */     // MIs[0] round
     /* 1568471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568474 */     // MIs[0] policy
     /* 1568474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568484 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568508 */     // GIR_Coverage, 21730,
     /* 1568508 */     GIR_EraseRootFromParent_Done,
     /* 1568509 */   // Label 21714: @1568509
     /* 1568509 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1568591), // Rule ID 21731 //
     /* 1568514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568553 */     // MIs[0] round
     /* 1568553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568556 */     // MIs[0] policy
     /* 1568556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568566 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568590 */     // GIR_Coverage, 21731,
     /* 1568590 */     GIR_EraseRootFromParent_Done,
     /* 1568591 */   // Label 21715: @1568591
     /* 1568591 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1568673), // Rule ID 21734 //
     /* 1568596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568635 */     // MIs[0] round
     /* 1568635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568638 */     // MIs[0] policy
     /* 1568638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568672 */     // GIR_Coverage, 21734,
     /* 1568672 */     GIR_EraseRootFromParent_Done,
     /* 1568673 */   // Label 21716: @1568673
     /* 1568673 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1568755), // Rule ID 21735 //
     /* 1568678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568717 */     // MIs[0] round
     /* 1568717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568720 */     // MIs[0] policy
     /* 1568720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568730 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568754 */     // GIR_Coverage, 21735,
     /* 1568754 */     GIR_EraseRootFromParent_Done,
     /* 1568755 */   // Label 21717: @1568755
     /* 1568755 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1568837), // Rule ID 21738 //
     /* 1568760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568799 */     // MIs[0] round
     /* 1568799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568802 */     // MIs[0] policy
     /* 1568802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568812 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568836 */     // GIR_Coverage, 21738,
     /* 1568836 */     GIR_EraseRootFromParent_Done,
     /* 1568837 */   // Label 21718: @1568837
     /* 1568837 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1568919), // Rule ID 21739 //
     /* 1568842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568881 */     // MIs[0] round
     /* 1568881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568884 */     // MIs[0] policy
     /* 1568884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568894 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568918 */     // GIR_Coverage, 21739,
     /* 1568918 */     GIR_EraseRootFromParent_Done,
     /* 1568919 */   // Label 21719: @1568919
     /* 1568919 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1569001), // Rule ID 21742 //
     /* 1568924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568963 */     // MIs[0] round
     /* 1568963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568966 */     // MIs[0] policy
     /* 1568966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568976 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1568979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569000 */     // GIR_Coverage, 21742,
     /* 1569000 */     GIR_EraseRootFromParent_Done,
     /* 1569001 */   // Label 21720: @1569001
     /* 1569001 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1569083), // Rule ID 21743 //
     /* 1569006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1569023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1569026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569045 */     // MIs[0] round
     /* 1569045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569048 */     // MIs[0] policy
     /* 1569048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569058 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1569061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569082 */     // GIR_Coverage, 21743,
     /* 1569082 */     GIR_EraseRootFromParent_Done,
     /* 1569083 */   // Label 21721: @1569083
     /* 1569083 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1569165), // Rule ID 21746 //
     /* 1569088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569127 */     // MIs[0] round
     /* 1569127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569130 */     // MIs[0] policy
     /* 1569130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569140 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1569143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569164 */     // GIR_Coverage, 21746,
     /* 1569164 */     GIR_EraseRootFromParent_Done,
     /* 1569165 */   // Label 21722: @1569165
     /* 1569165 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1569247), // Rule ID 21747 //
     /* 1569170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569209 */     // MIs[0] round
     /* 1569209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569212 */     // MIs[0] policy
     /* 1569212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569222 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1569225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569246 */     // GIR_Coverage, 21747,
     /* 1569246 */     GIR_EraseRootFromParent_Done,
     /* 1569247 */   // Label 21723: @1569247
     /* 1569247 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1569329), // Rule ID 21750 //
     /* 1569252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569291 */     // MIs[0] round
     /* 1569291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569294 */     // MIs[0] policy
     /* 1569294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569304 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1569307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569328 */     // GIR_Coverage, 21750,
     /* 1569328 */     GIR_EraseRootFromParent_Done,
     /* 1569329 */   // Label 21724: @1569329
     /* 1569329 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1569411), // Rule ID 21751 //
     /* 1569334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569373 */     // MIs[0] round
     /* 1569373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569376 */     // MIs[0] policy
     /* 1569376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569386 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1569389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569410 */     // GIR_Coverage, 21751,
     /* 1569410 */     GIR_EraseRootFromParent_Done,
     /* 1569411 */   // Label 21725: @1569411
     /* 1569411 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1569493), // Rule ID 21754 //
     /* 1569416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569455 */     // MIs[0] round
     /* 1569455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569458 */     // MIs[0] policy
     /* 1569458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569468 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569492 */     // GIR_Coverage, 21754,
     /* 1569492 */     GIR_EraseRootFromParent_Done,
     /* 1569493 */   // Label 21726: @1569493
     /* 1569493 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1569575), // Rule ID 21755 //
     /* 1569498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569537 */     // MIs[0] round
     /* 1569537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569540 */     // MIs[0] policy
     /* 1569540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569550 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569574 */     // GIR_Coverage, 21755,
     /* 1569574 */     GIR_EraseRootFromParent_Done,
     /* 1569575 */   // Label 21727: @1569575
     /* 1569575 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1569657), // Rule ID 21758 //
     /* 1569580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569619 */     // MIs[0] round
     /* 1569619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569622 */     // MIs[0] policy
     /* 1569622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569632 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569656 */     // GIR_Coverage, 21758,
     /* 1569656 */     GIR_EraseRootFromParent_Done,
     /* 1569657 */   // Label 21728: @1569657
     /* 1569657 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1569739), // Rule ID 21759 //
     /* 1569662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569701 */     // MIs[0] round
     /* 1569701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569704 */     // MIs[0] policy
     /* 1569704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569714 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569738 */     // GIR_Coverage, 21759,
     /* 1569738 */     GIR_EraseRootFromParent_Done,
     /* 1569739 */   // Label 21729: @1569739
     /* 1569739 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1569821), // Rule ID 21762 //
     /* 1569744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569783 */     // MIs[0] round
     /* 1569783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569786 */     // MIs[0] policy
     /* 1569786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569796 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569820 */     // GIR_Coverage, 21762,
     /* 1569820 */     GIR_EraseRootFromParent_Done,
     /* 1569821 */   // Label 21730: @1569821
     /* 1569821 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1569903), // Rule ID 21763 //
     /* 1569826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569865 */     // MIs[0] round
     /* 1569865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569868 */     // MIs[0] policy
     /* 1569868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569902 */     // GIR_Coverage, 21763,
     /* 1569902 */     GIR_EraseRootFromParent_Done,
     /* 1569903 */   // Label 21731: @1569903
     /* 1569903 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1569985), // Rule ID 21766 //
     /* 1569908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569947 */     // MIs[0] round
     /* 1569947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569950 */     // MIs[0] policy
     /* 1569950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569960 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1569963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569984 */     // GIR_Coverage, 21766,
     /* 1569984 */     GIR_EraseRootFromParent_Done,
     /* 1569985 */   // Label 21732: @1569985
     /* 1569985 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1570067), // Rule ID 21767 //
     /* 1569990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1570001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1570004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1570007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570029 */     // MIs[0] round
     /* 1570029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570032 */     // MIs[0] policy
     /* 1570032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570042 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1570045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570066 */     // GIR_Coverage, 21767,
     /* 1570066 */     GIR_EraseRootFromParent_Done,
     /* 1570067 */   // Label 21733: @1570067
     /* 1570067 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1570149), // Rule ID 21770 //
     /* 1570072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1570083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1570086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570111 */     // MIs[0] round
     /* 1570111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570114 */     // MIs[0] policy
     /* 1570114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570124 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1570127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570148 */     // GIR_Coverage, 21770,
     /* 1570148 */     GIR_EraseRootFromParent_Done,
     /* 1570149 */   // Label 21734: @1570149
     /* 1570149 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1570231), // Rule ID 21771 //
     /* 1570154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1570165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1570168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570193 */     // MIs[0] round
     /* 1570193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570196 */     // MIs[0] policy
     /* 1570196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570206 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1570209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570230 */     // GIR_Coverage, 21771,
     /* 1570230 */     GIR_EraseRootFromParent_Done,
     /* 1570231 */   // Label 21735: @1570231
     /* 1570231 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1570313), // Rule ID 21774 //
     /* 1570236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1570247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1570250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570275 */     // MIs[0] round
     /* 1570275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570278 */     // MIs[0] policy
     /* 1570278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570288 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1570291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570312 */     // GIR_Coverage, 21774,
     /* 1570312 */     GIR_EraseRootFromParent_Done,
     /* 1570313 */   // Label 21736: @1570313
     /* 1570313 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1570395), // Rule ID 21775 //
     /* 1570318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1570329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1570332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570357 */     // MIs[0] round
     /* 1570357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570360 */     // MIs[0] policy
     /* 1570360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570370 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1570373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570394 */     // GIR_Coverage, 21775,
     /* 1570394 */     GIR_EraseRootFromParent_Done,
     /* 1570395 */   // Label 21737: @1570395
     /* 1570395 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1570477), // Rule ID 21778 //
     /* 1570400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570439 */     // MIs[0] round
     /* 1570439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570442 */     // MIs[0] policy
     /* 1570442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570476 */     // GIR_Coverage, 21778,
     /* 1570476 */     GIR_EraseRootFromParent_Done,
     /* 1570477 */   // Label 21738: @1570477
     /* 1570477 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1570559), // Rule ID 21779 //
     /* 1570482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570521 */     // MIs[0] round
     /* 1570521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570524 */     // MIs[0] policy
     /* 1570524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570534 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570558 */     // GIR_Coverage, 21779,
     /* 1570558 */     GIR_EraseRootFromParent_Done,
     /* 1570559 */   // Label 21739: @1570559
     /* 1570559 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1570641), // Rule ID 21782 //
     /* 1570564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570603 */     // MIs[0] round
     /* 1570603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570606 */     // MIs[0] policy
     /* 1570606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570640 */     // GIR_Coverage, 21782,
     /* 1570640 */     GIR_EraseRootFromParent_Done,
     /* 1570641 */   // Label 21740: @1570641
     /* 1570641 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1570723), // Rule ID 21783 //
     /* 1570646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570685 */     // MIs[0] round
     /* 1570685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570688 */     // MIs[0] policy
     /* 1570688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570698 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570722 */     // GIR_Coverage, 21783,
     /* 1570722 */     GIR_EraseRootFromParent_Done,
     /* 1570723 */   // Label 21741: @1570723
     /* 1570723 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1570805), // Rule ID 21786 //
     /* 1570728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570767 */     // MIs[0] round
     /* 1570767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570770 */     // MIs[0] policy
     /* 1570770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570780 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570804 */     // GIR_Coverage, 21786,
     /* 1570804 */     GIR_EraseRootFromParent_Done,
     /* 1570805 */   // Label 21742: @1570805
     /* 1570805 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1570887), // Rule ID 21787 //
     /* 1570810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570849 */     // MIs[0] round
     /* 1570849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570852 */     // MIs[0] policy
     /* 1570852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570862 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570886 */     // GIR_Coverage, 21787,
     /* 1570886 */     GIR_EraseRootFromParent_Done,
     /* 1570887 */   // Label 21743: @1570887
     /* 1570887 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1570969), // Rule ID 21790 //
     /* 1570892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570931 */     // MIs[0] round
     /* 1570931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570934 */     // MIs[0] policy
     /* 1570934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570944 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1570947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570968 */     // GIR_Coverage, 21790,
     /* 1570968 */     GIR_EraseRootFromParent_Done,
     /* 1570969 */   // Label 21744: @1570969
     /* 1570969 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1571051), // Rule ID 21791 //
     /* 1570974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571013 */     // MIs[0] round
     /* 1571013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571016 */     // MIs[0] policy
     /* 1571016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571026 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1571029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571050 */     // GIR_Coverage, 21791,
     /* 1571050 */     GIR_EraseRootFromParent_Done,
     /* 1571051 */   // Label 21745: @1571051
     /* 1571051 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1571133), // Rule ID 21794 //
     /* 1571056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1571059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1571064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571095 */     // MIs[0] round
     /* 1571095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571098 */     // MIs[0] policy
     /* 1571098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571108 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1571111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571132 */     // GIR_Coverage, 21794,
     /* 1571132 */     GIR_EraseRootFromParent_Done,
     /* 1571133 */   // Label 21746: @1571133
     /* 1571133 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1571215), // Rule ID 21795 //
     /* 1571138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1571141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1571146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571177 */     // MIs[0] round
     /* 1571177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571180 */     // MIs[0] policy
     /* 1571180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571190 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1571193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571214 */     // GIR_Coverage, 21795,
     /* 1571214 */     GIR_EraseRootFromParent_Done,
     /* 1571215 */   // Label 21747: @1571215
     /* 1571215 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1571297), // Rule ID 21798 //
     /* 1571220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571259 */     // MIs[0] round
     /* 1571259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571262 */     // MIs[0] policy
     /* 1571262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571272 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1571275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571296 */     // GIR_Coverage, 21798,
     /* 1571296 */     GIR_EraseRootFromParent_Done,
     /* 1571297 */   // Label 21748: @1571297
     /* 1571297 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1571379), // Rule ID 21799 //
     /* 1571302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571341 */     // MIs[0] round
     /* 1571341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571344 */     // MIs[0] policy
     /* 1571344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571354 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1571357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571378 */     // GIR_Coverage, 21799,
     /* 1571378 */     GIR_EraseRootFromParent_Done,
     /* 1571379 */   // Label 21749: @1571379
     /* 1571379 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1571461), // Rule ID 21802 //
     /* 1571384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571423 */     // MIs[0] round
     /* 1571423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571426 */     // MIs[0] policy
     /* 1571426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571436 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571460 */     // GIR_Coverage, 21802,
     /* 1571460 */     GIR_EraseRootFromParent_Done,
     /* 1571461 */   // Label 21750: @1571461
     /* 1571461 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1571543), // Rule ID 21803 //
     /* 1571466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571505 */     // MIs[0] round
     /* 1571505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571508 */     // MIs[0] policy
     /* 1571508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571518 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571542 */     // GIR_Coverage, 21803,
     /* 1571542 */     GIR_EraseRootFromParent_Done,
     /* 1571543 */   // Label 21751: @1571543
     /* 1571543 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1571625), // Rule ID 21806 //
     /* 1571548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571587 */     // MIs[0] round
     /* 1571587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571590 */     // MIs[0] policy
     /* 1571590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571600 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571624 */     // GIR_Coverage, 21806,
     /* 1571624 */     GIR_EraseRootFromParent_Done,
     /* 1571625 */   // Label 21752: @1571625
     /* 1571625 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1571707), // Rule ID 21807 //
     /* 1571630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571669 */     // MIs[0] round
     /* 1571669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571672 */     // MIs[0] policy
     /* 1571672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571682 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571706 */     // GIR_Coverage, 21807,
     /* 1571706 */     GIR_EraseRootFromParent_Done,
     /* 1571707 */   // Label 21753: @1571707
     /* 1571707 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1571789), // Rule ID 21810 //
     /* 1571712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571751 */     // MIs[0] round
     /* 1571751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571754 */     // MIs[0] policy
     /* 1571754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571764 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571788 */     // GIR_Coverage, 21810,
     /* 1571788 */     GIR_EraseRootFromParent_Done,
     /* 1571789 */   // Label 21754: @1571789
     /* 1571789 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1571871), // Rule ID 21811 //
     /* 1571794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571833 */     // MIs[0] round
     /* 1571833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571836 */     // MIs[0] policy
     /* 1571836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571846 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571870 */     // GIR_Coverage, 21811,
     /* 1571870 */     GIR_EraseRootFromParent_Done,
     /* 1571871 */   // Label 21755: @1571871
     /* 1571871 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1571953), // Rule ID 21814 //
     /* 1571876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571915 */     // MIs[0] round
     /* 1571915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571918 */     // MIs[0] policy
     /* 1571918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1571931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571952 */     // GIR_Coverage, 21814,
     /* 1571952 */     GIR_EraseRootFromParent_Done,
     /* 1571953 */   // Label 21756: @1571953
     /* 1571953 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1572035), // Rule ID 21815 //
     /* 1571958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571997 */     // MIs[0] round
     /* 1571997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572000 */     // MIs[0] policy
     /* 1572000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572010 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1572013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572034 */     // GIR_Coverage, 21815,
     /* 1572034 */     GIR_EraseRootFromParent_Done,
     /* 1572035 */   // Label 21757: @1572035
     /* 1572035 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1572117), // Rule ID 21818 //
     /* 1572040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572079 */     // MIs[0] round
     /* 1572079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572082 */     // MIs[0] policy
     /* 1572082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572092 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1572095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572116 */     // GIR_Coverage, 21818,
     /* 1572116 */     GIR_EraseRootFromParent_Done,
     /* 1572117 */   // Label 21758: @1572117
     /* 1572117 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1572199), // Rule ID 21819 //
     /* 1572122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572161 */     // MIs[0] round
     /* 1572161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572164 */     // MIs[0] policy
     /* 1572164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572174 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1572177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572198 */     // GIR_Coverage, 21819,
     /* 1572198 */     GIR_EraseRootFromParent_Done,
     /* 1572199 */   // Label 21759: @1572199
     /* 1572199 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1572281), // Rule ID 21822 //
     /* 1572204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572243 */     // MIs[0] round
     /* 1572243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572246 */     // MIs[0] policy
     /* 1572246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1572259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572280 */     // GIR_Coverage, 21822,
     /* 1572280 */     GIR_EraseRootFromParent_Done,
     /* 1572281 */   // Label 21760: @1572281
     /* 1572281 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1572363), // Rule ID 21823 //
     /* 1572286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572325 */     // MIs[0] round
     /* 1572325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572328 */     // MIs[0] policy
     /* 1572328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572338 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1572341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572362 */     // GIR_Coverage, 21823,
     /* 1572362 */     GIR_EraseRootFromParent_Done,
     /* 1572363 */   // Label 21761: @1572363
     /* 1572363 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1572445), // Rule ID 21826 //
     /* 1572368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572407 */     // MIs[0] round
     /* 1572407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572410 */     // MIs[0] policy
     /* 1572410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572420 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1572423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572444 */     // GIR_Coverage, 21826,
     /* 1572444 */     GIR_EraseRootFromParent_Done,
     /* 1572445 */   // Label 21762: @1572445
     /* 1572445 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1572527), // Rule ID 21827 //
     /* 1572450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572489 */     // MIs[0] round
     /* 1572489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572492 */     // MIs[0] policy
     /* 1572492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572502 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1572505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572526 */     // GIR_Coverage, 21827,
     /* 1572526 */     GIR_EraseRootFromParent_Done,
     /* 1572527 */   // Label 21763: @1572527
     /* 1572527 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1572609), // Rule ID 21830 //
     /* 1572532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572571 */     // MIs[0] round
     /* 1572571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572574 */     // MIs[0] policy
     /* 1572574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572584 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572608 */     // GIR_Coverage, 21830,
     /* 1572608 */     GIR_EraseRootFromParent_Done,
     /* 1572609 */   // Label 21764: @1572609
     /* 1572609 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1572691), // Rule ID 21831 //
     /* 1572614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572653 */     // MIs[0] round
     /* 1572653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572656 */     // MIs[0] policy
     /* 1572656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572666 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572690 */     // GIR_Coverage, 21831,
     /* 1572690 */     GIR_EraseRootFromParent_Done,
     /* 1572691 */   // Label 21765: @1572691
     /* 1572691 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1572773), // Rule ID 2648 //
     /* 1572696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572727 */     // MIs[0] passthru
     /* 1572727 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572740 */     // MIs[0] policy
     /* 1572740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572750 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572772 */     // GIR_Coverage, 2648,
     /* 1572772 */     GIR_EraseRootFromParent_Done,
     /* 1572773 */   // Label 21766: @1572773
     /* 1572773 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1572855), // Rule ID 2649 //
     /* 1572778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572809 */     // MIs[0] passthru
     /* 1572809 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572822 */     // MIs[0] policy
     /* 1572822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572854 */     // GIR_Coverage, 2649,
     /* 1572854 */     GIR_EraseRootFromParent_Done,
     /* 1572855 */   // Label 21767: @1572855
     /* 1572855 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1572937), // Rule ID 3956 //
     /* 1572860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572891 */     // MIs[0] passthru
     /* 1572891 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572904 */     // MIs[0] policy
     /* 1572904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572914 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572936 */     // GIR_Coverage, 3956,
     /* 1572936 */     GIR_EraseRootFromParent_Done,
     /* 1572937 */   // Label 21768: @1572937
     /* 1572937 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1573019), // Rule ID 3957 //
     /* 1572942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572973 */     // MIs[0] passthru
     /* 1572973 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572986 */     // MIs[0] policy
     /* 1572986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573018 */     // GIR_Coverage, 3957,
     /* 1573018 */     GIR_EraseRootFromParent_Done,
     /* 1573019 */   // Label 21769: @1573019
     /* 1573019 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1573101), // Rule ID 3966 //
     /* 1573024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573055 */     // MIs[0] passthru
     /* 1573055 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573068 */     // MIs[0] policy
     /* 1573068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573100 */     // GIR_Coverage, 3966,
     /* 1573100 */     GIR_EraseRootFromParent_Done,
     /* 1573101 */   // Label 21770: @1573101
     /* 1573101 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1573183), // Rule ID 3967 //
     /* 1573106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573137 */     // MIs[0] passthru
     /* 1573137 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573150 */     // MIs[0] policy
     /* 1573150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573182 */     // GIR_Coverage, 3967,
     /* 1573182 */     GIR_EraseRootFromParent_Done,
     /* 1573183 */   // Label 21771: @1573183
     /* 1573183 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1573265), // Rule ID 3976 //
     /* 1573188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1573205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573219 */     // MIs[0] passthru
     /* 1573219 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573232 */     // MIs[0] policy
     /* 1573232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573264 */     // GIR_Coverage, 3976,
     /* 1573264 */     GIR_EraseRootFromParent_Done,
     /* 1573265 */   // Label 21772: @1573265
     /* 1573265 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1573347), // Rule ID 3977 //
     /* 1573270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1573287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573301 */     // MIs[0] passthru
     /* 1573301 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573314 */     // MIs[0] policy
     /* 1573314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573346 */     // GIR_Coverage, 3977,
     /* 1573346 */     GIR_EraseRootFromParent_Done,
     /* 1573347 */   // Label 21773: @1573347
     /* 1573347 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1573429), // Rule ID 3986 //
     /* 1573352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573383 */     // MIs[0] passthru
     /* 1573383 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573396 */     // MIs[0] policy
     /* 1573396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573428 */     // GIR_Coverage, 3986,
     /* 1573428 */     GIR_EraseRootFromParent_Done,
     /* 1573429 */   // Label 21774: @1573429
     /* 1573429 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1573511), // Rule ID 3987 //
     /* 1573434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573465 */     // MIs[0] passthru
     /* 1573465 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573478 */     // MIs[0] policy
     /* 1573478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573510 */     // GIR_Coverage, 3987,
     /* 1573510 */     GIR_EraseRootFromParent_Done,
     /* 1573511 */   // Label 21775: @1573511
     /* 1573511 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1573593), // Rule ID 3996 //
     /* 1573516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573547 */     // MIs[0] passthru
     /* 1573547 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573560 */     // MIs[0] policy
     /* 1573560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573592 */     // GIR_Coverage, 3996,
     /* 1573592 */     GIR_EraseRootFromParent_Done,
     /* 1573593 */   // Label 21776: @1573593
     /* 1573593 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1573675), // Rule ID 3997 //
     /* 1573598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573629 */     // MIs[0] passthru
     /* 1573629 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573642 */     // MIs[0] policy
     /* 1573642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573674 */     // GIR_Coverage, 3997,
     /* 1573674 */     GIR_EraseRootFromParent_Done,
     /* 1573675 */   // Label 21777: @1573675
     /* 1573675 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1573757), // Rule ID 4006 //
     /* 1573680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573711 */     // MIs[0] passthru
     /* 1573711 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573724 */     // MIs[0] policy
     /* 1573724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573756 */     // GIR_Coverage, 4006,
     /* 1573756 */     GIR_EraseRootFromParent_Done,
     /* 1573757 */   // Label 21778: @1573757
     /* 1573757 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1573839), // Rule ID 4007 //
     /* 1573762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573793 */     // MIs[0] passthru
     /* 1573793 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573806 */     // MIs[0] policy
     /* 1573806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573838 */     // GIR_Coverage, 4007,
     /* 1573838 */     GIR_EraseRootFromParent_Done,
     /* 1573839 */   // Label 21779: @1573839
     /* 1573839 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1573921), // Rule ID 4016 //
     /* 1573844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573875 */     // MIs[0] passthru
     /* 1573875 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573888 */     // MIs[0] policy
     /* 1573888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573920 */     // GIR_Coverage, 4016,
     /* 1573920 */     GIR_EraseRootFromParent_Done,
     /* 1573921 */   // Label 21780: @1573921
     /* 1573921 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1574003), // Rule ID 4017 //
     /* 1573926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573957 */     // MIs[0] passthru
     /* 1573957 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573970 */     // MIs[0] policy
     /* 1573970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574002 */     // GIR_Coverage, 4017,
     /* 1574002 */     GIR_EraseRootFromParent_Done,
     /* 1574003 */   // Label 21781: @1574003
     /* 1574003 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1574085), // Rule ID 4026 //
     /* 1574008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574039 */     // MIs[0] passthru
     /* 1574039 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574052 */     // MIs[0] policy
     /* 1574052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574084 */     // GIR_Coverage, 4026,
     /* 1574084 */     GIR_EraseRootFromParent_Done,
     /* 1574085 */   // Label 21782: @1574085
     /* 1574085 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1574167), // Rule ID 4027 //
     /* 1574090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574121 */     // MIs[0] passthru
     /* 1574121 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574134 */     // MIs[0] policy
     /* 1574134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574166 */     // GIR_Coverage, 4027,
     /* 1574166 */     GIR_EraseRootFromParent_Done,
     /* 1574167 */   // Label 21783: @1574167
     /* 1574167 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1574249), // Rule ID 4036 //
     /* 1574172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1574189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574203 */     // MIs[0] passthru
     /* 1574203 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574216 */     // MIs[0] policy
     /* 1574216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574248 */     // GIR_Coverage, 4036,
     /* 1574248 */     GIR_EraseRootFromParent_Done,
     /* 1574249 */   // Label 21784: @1574249
     /* 1574249 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1574331), // Rule ID 4037 //
     /* 1574254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1574271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574285 */     // MIs[0] passthru
     /* 1574285 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574298 */     // MIs[0] policy
     /* 1574298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574330 */     // GIR_Coverage, 4037,
     /* 1574330 */     GIR_EraseRootFromParent_Done,
     /* 1574331 */   // Label 21785: @1574331
     /* 1574331 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1574413), // Rule ID 4046 //
     /* 1574336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1574347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1574350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1574353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574367 */     // MIs[0] passthru
     /* 1574367 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574380 */     // MIs[0] policy
     /* 1574380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574412 */     // GIR_Coverage, 4046,
     /* 1574412 */     GIR_EraseRootFromParent_Done,
     /* 1574413 */   // Label 21786: @1574413
     /* 1574413 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1574495), // Rule ID 4047 //
     /* 1574418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1574429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1574432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1574435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574449 */     // MIs[0] passthru
     /* 1574449 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574462 */     // MIs[0] policy
     /* 1574462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574494 */     // GIR_Coverage, 4047,
     /* 1574494 */     GIR_EraseRootFromParent_Done,
     /* 1574495 */   // Label 21787: @1574495
     /* 1574495 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1574577), // Rule ID 4056 //
     /* 1574500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574531 */     // MIs[0] passthru
     /* 1574531 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574544 */     // MIs[0] policy
     /* 1574544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574576 */     // GIR_Coverage, 4056,
     /* 1574576 */     GIR_EraseRootFromParent_Done,
     /* 1574577 */   // Label 21788: @1574577
     /* 1574577 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1574659), // Rule ID 4057 //
     /* 1574582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574613 */     // MIs[0] passthru
     /* 1574613 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574626 */     // MIs[0] policy
     /* 1574626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574658 */     // GIR_Coverage, 4057,
     /* 1574658 */     GIR_EraseRootFromParent_Done,
     /* 1574659 */   // Label 21789: @1574659
     /* 1574659 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1574741), // Rule ID 4066 //
     /* 1574664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574695 */     // MIs[0] passthru
     /* 1574695 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574708 */     // MIs[0] policy
     /* 1574708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574740 */     // GIR_Coverage, 4066,
     /* 1574740 */     GIR_EraseRootFromParent_Done,
     /* 1574741 */   // Label 21790: @1574741
     /* 1574741 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1574823), // Rule ID 4067 //
     /* 1574746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574777 */     // MIs[0] passthru
     /* 1574777 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574790 */     // MIs[0] policy
     /* 1574790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574822 */     // GIR_Coverage, 4067,
     /* 1574822 */     GIR_EraseRootFromParent_Done,
     /* 1574823 */   // Label 21791: @1574823
     /* 1574823 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1574905), // Rule ID 4076 //
     /* 1574828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574859 */     // MIs[0] passthru
     /* 1574859 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574872 */     // MIs[0] policy
     /* 1574872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574882 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574904 */     // GIR_Coverage, 4076,
     /* 1574904 */     GIR_EraseRootFromParent_Done,
     /* 1574905 */   // Label 21792: @1574905
     /* 1574905 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1574987), // Rule ID 4077 //
     /* 1574910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574941 */     // MIs[0] passthru
     /* 1574941 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574954 */     // MIs[0] policy
     /* 1574954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574986 */     // GIR_Coverage, 4077,
     /* 1574986 */     GIR_EraseRootFromParent_Done,
     /* 1574987 */   // Label 21793: @1574987
     /* 1574987 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1575069), // Rule ID 4086 //
     /* 1574992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1575000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1575003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1575006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1575009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575023 */     // MIs[0] passthru
     /* 1575023 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575036 */     // MIs[0] policy
     /* 1575036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1575049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575068 */     // GIR_Coverage, 4086,
     /* 1575068 */     GIR_EraseRootFromParent_Done,
     /* 1575069 */   // Label 21794: @1575069
     /* 1575069 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1575151), // Rule ID 4087 //
     /* 1575074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1575082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1575085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1575088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1575091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575105 */     // MIs[0] passthru
     /* 1575105 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575118 */     // MIs[0] policy
     /* 1575118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1575131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575150 */     // GIR_Coverage, 4087,
     /* 1575150 */     GIR_EraseRootFromParent_Done,
     /* 1575151 */   // Label 21795: @1575151
     /* 1575151 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1575233), // Rule ID 4156 //
     /* 1575156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1575173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575187 */     // MIs[0] passthru
     /* 1575187 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575200 */     // MIs[0] policy
     /* 1575200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1575213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575232 */     // GIR_Coverage, 4156,
     /* 1575232 */     GIR_EraseRootFromParent_Done,
     /* 1575233 */   // Label 21796: @1575233
     /* 1575233 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1575315), // Rule ID 4157 //
     /* 1575238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1575255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575269 */     // MIs[0] passthru
     /* 1575269 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575282 */     // MIs[0] policy
     /* 1575282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1575295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575314 */     // GIR_Coverage, 4157,
     /* 1575314 */     GIR_EraseRootFromParent_Done,
     /* 1575315 */   // Label 21797: @1575315
     /* 1575315 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1575397), // Rule ID 4166 //
     /* 1575320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1575337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575351 */     // MIs[0] passthru
     /* 1575351 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575364 */     // MIs[0] policy
     /* 1575364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575396 */     // GIR_Coverage, 4166,
     /* 1575396 */     GIR_EraseRootFromParent_Done,
     /* 1575397 */   // Label 21798: @1575397
     /* 1575397 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1575479), // Rule ID 4167 //
     /* 1575402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1575419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575433 */     // MIs[0] passthru
     /* 1575433 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575446 */     // MIs[0] policy
     /* 1575446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575478 */     // GIR_Coverage, 4167,
     /* 1575478 */     GIR_EraseRootFromParent_Done,
     /* 1575479 */   // Label 21799: @1575479
     /* 1575479 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1575561), // Rule ID 4176 //
     /* 1575484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575515 */     // MIs[0] passthru
     /* 1575515 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575528 */     // MIs[0] policy
     /* 1575528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575560 */     // GIR_Coverage, 4176,
     /* 1575560 */     GIR_EraseRootFromParent_Done,
     /* 1575561 */   // Label 21800: @1575561
     /* 1575561 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1575643), // Rule ID 4177 //
     /* 1575566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575597 */     // MIs[0] passthru
     /* 1575597 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575610 */     // MIs[0] policy
     /* 1575610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575642 */     // GIR_Coverage, 4177,
     /* 1575642 */     GIR_EraseRootFromParent_Done,
     /* 1575643 */   // Label 21801: @1575643
     /* 1575643 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1575725), // Rule ID 4186 //
     /* 1575648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575679 */     // MIs[0] passthru
     /* 1575679 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575692 */     // MIs[0] policy
     /* 1575692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575724 */     // GIR_Coverage, 4186,
     /* 1575724 */     GIR_EraseRootFromParent_Done,
     /* 1575725 */   // Label 21802: @1575725
     /* 1575725 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1575807), // Rule ID 4187 //
     /* 1575730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575761 */     // MIs[0] passthru
     /* 1575761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575774 */     // MIs[0] policy
     /* 1575774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575806 */     // GIR_Coverage, 4187,
     /* 1575806 */     GIR_EraseRootFromParent_Done,
     /* 1575807 */   // Label 21803: @1575807
     /* 1575807 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1575889), // Rule ID 4196 //
     /* 1575812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575843 */     // MIs[0] passthru
     /* 1575843 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575856 */     // MIs[0] policy
     /* 1575856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575888 */     // GIR_Coverage, 4196,
     /* 1575888 */     GIR_EraseRootFromParent_Done,
     /* 1575889 */   // Label 21804: @1575889
     /* 1575889 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1575971), // Rule ID 4197 //
     /* 1575894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575925 */     // MIs[0] passthru
     /* 1575925 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575938 */     // MIs[0] policy
     /* 1575938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575970 */     // GIR_Coverage, 4197,
     /* 1575970 */     GIR_EraseRootFromParent_Done,
     /* 1575971 */   // Label 21805: @1575971
     /* 1575971 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1576053), // Rule ID 4206 //
     /* 1575976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1575993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576007 */     // MIs[0] passthru
     /* 1576007 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576020 */     // MIs[0] policy
     /* 1576020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576052 */     // GIR_Coverage, 4206,
     /* 1576052 */     GIR_EraseRootFromParent_Done,
     /* 1576053 */   // Label 21806: @1576053
     /* 1576053 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1576135), // Rule ID 4207 //
     /* 1576058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1576069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1576072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1576075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1576078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576089 */     // MIs[0] passthru
     /* 1576089 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576102 */     // MIs[0] policy
     /* 1576102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576134 */     // GIR_Coverage, 4207,
     /* 1576134 */     GIR_EraseRootFromParent_Done,
     /* 1576135 */   // Label 21807: @1576135
     /* 1576135 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1576217), // Rule ID 4216 //
     /* 1576140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1576157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576171 */     // MIs[0] passthru
     /* 1576171 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576184 */     // MIs[0] policy
     /* 1576184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1576197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576216 */     // GIR_Coverage, 4216,
     /* 1576216 */     GIR_EraseRootFromParent_Done,
     /* 1576217 */   // Label 21808: @1576217
     /* 1576217 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1576299), // Rule ID 4217 //
     /* 1576222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1576239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576253 */     // MIs[0] passthru
     /* 1576253 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576266 */     // MIs[0] policy
     /* 1576266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1576279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576298 */     // GIR_Coverage, 4217,
     /* 1576298 */     GIR_EraseRootFromParent_Done,
     /* 1576299 */   // Label 21809: @1576299
     /* 1576299 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1576381), // Rule ID 4226 //
     /* 1576304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1576321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576335 */     // MIs[0] passthru
     /* 1576335 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576348 */     // MIs[0] policy
     /* 1576348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576380 */     // GIR_Coverage, 4226,
     /* 1576380 */     GIR_EraseRootFromParent_Done,
     /* 1576381 */   // Label 21810: @1576381
     /* 1576381 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1576463), // Rule ID 4227 //
     /* 1576386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1576403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576417 */     // MIs[0] passthru
     /* 1576417 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576430 */     // MIs[0] policy
     /* 1576430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576462 */     // GIR_Coverage, 4227,
     /* 1576462 */     GIR_EraseRootFromParent_Done,
     /* 1576463 */   // Label 21811: @1576463
     /* 1576463 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1576545), // Rule ID 4236 //
     /* 1576468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576499 */     // MIs[0] passthru
     /* 1576499 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576512 */     // MIs[0] policy
     /* 1576512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576544 */     // GIR_Coverage, 4236,
     /* 1576544 */     GIR_EraseRootFromParent_Done,
     /* 1576545 */   // Label 21812: @1576545
     /* 1576545 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1576627), // Rule ID 4237 //
     /* 1576550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576581 */     // MIs[0] passthru
     /* 1576581 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576594 */     // MIs[0] policy
     /* 1576594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576626 */     // GIR_Coverage, 4237,
     /* 1576626 */     GIR_EraseRootFromParent_Done,
     /* 1576627 */   // Label 21813: @1576627
     /* 1576627 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1576709), // Rule ID 4246 //
     /* 1576632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576663 */     // MIs[0] passthru
     /* 1576663 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576676 */     // MIs[0] policy
     /* 1576676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576708 */     // GIR_Coverage, 4246,
     /* 1576708 */     GIR_EraseRootFromParent_Done,
     /* 1576709 */   // Label 21814: @1576709
     /* 1576709 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1576791), // Rule ID 4247 //
     /* 1576714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576745 */     // MIs[0] passthru
     /* 1576745 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576758 */     // MIs[0] policy
     /* 1576758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576790 */     // GIR_Coverage, 4247,
     /* 1576790 */     GIR_EraseRootFromParent_Done,
     /* 1576791 */   // Label 21815: @1576791
     /* 1576791 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1576873), // Rule ID 4256 //
     /* 1576796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576827 */     // MIs[0] passthru
     /* 1576827 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576840 */     // MIs[0] policy
     /* 1576840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576872 */     // GIR_Coverage, 4256,
     /* 1576872 */     GIR_EraseRootFromParent_Done,
     /* 1576873 */   // Label 21816: @1576873
     /* 1576873 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1576955), // Rule ID 4257 //
     /* 1576878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576909 */     // MIs[0] passthru
     /* 1576909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576922 */     // MIs[0] policy
     /* 1576922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576954 */     // GIR_Coverage, 4257,
     /* 1576954 */     GIR_EraseRootFromParent_Done,
     /* 1576955 */   // Label 21817: @1576955
     /* 1576955 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1577037), // Rule ID 4266 //
     /* 1576960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1576977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576991 */     // MIs[0] passthru
     /* 1576991 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577004 */     // MIs[0] policy
     /* 1577004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1577017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577036 */     // GIR_Coverage, 4266,
     /* 1577036 */     GIR_EraseRootFromParent_Done,
     /* 1577037 */   // Label 21818: @1577037
     /* 1577037 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1577119), // Rule ID 4267 //
     /* 1577042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1577053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1577056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1577059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577073 */     // MIs[0] passthru
     /* 1577073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577086 */     // MIs[0] policy
     /* 1577086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1577099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577118 */     // GIR_Coverage, 4267,
     /* 1577118 */     GIR_EraseRootFromParent_Done,
     /* 1577119 */   // Label 21819: @1577119
     /* 1577119 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1577201), // Rule ID 4276 //
     /* 1577124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1577135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1577138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1577141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577155 */     // MIs[0] passthru
     /* 1577155 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577168 */     // MIs[0] policy
     /* 1577168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1577181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577200 */     // GIR_Coverage, 4276,
     /* 1577200 */     GIR_EraseRootFromParent_Done,
     /* 1577201 */   // Label 21820: @1577201
     /* 1577201 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1577283), // Rule ID 4277 //
     /* 1577206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1577217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1577220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1577223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577237 */     // MIs[0] passthru
     /* 1577237 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577250 */     // MIs[0] policy
     /* 1577250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1577263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577282 */     // GIR_Coverage, 4277,
     /* 1577282 */     GIR_EraseRootFromParent_Done,
     /* 1577283 */   // Label 21821: @1577283
     /* 1577283 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1577365), // Rule ID 4286 //
     /* 1577288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1577299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1577302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1577305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577319 */     // MIs[0] passthru
     /* 1577319 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577332 */     // MIs[0] policy
     /* 1577332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1577345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577364 */     // GIR_Coverage, 4286,
     /* 1577364 */     GIR_EraseRootFromParent_Done,
     /* 1577365 */   // Label 21822: @1577365
     /* 1577365 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1577447), // Rule ID 4287 //
     /* 1577370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1577381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1577384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1577387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577401 */     // MIs[0] passthru
     /* 1577401 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577414 */     // MIs[0] policy
     /* 1577414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1577427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577446 */     // GIR_Coverage, 4287,
     /* 1577446 */     GIR_EraseRootFromParent_Done,
     /* 1577447 */   // Label 21823: @1577447
     /* 1577447 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1577529), // Rule ID 4296 //
     /* 1577452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577483 */     // MIs[0] passthru
     /* 1577483 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577496 */     // MIs[0] policy
     /* 1577496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577506 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577528 */     // GIR_Coverage, 4296,
     /* 1577528 */     GIR_EraseRootFromParent_Done,
     /* 1577529 */   // Label 21824: @1577529
     /* 1577529 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1577611), // Rule ID 4297 //
     /* 1577534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577565 */     // MIs[0] passthru
     /* 1577565 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577578 */     // MIs[0] policy
     /* 1577578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577610 */     // GIR_Coverage, 4297,
     /* 1577610 */     GIR_EraseRootFromParent_Done,
     /* 1577611 */   // Label 21825: @1577611
     /* 1577611 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1577693), // Rule ID 4366 //
     /* 1577616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577647 */     // MIs[0] passthru
     /* 1577647 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577660 */     // MIs[0] policy
     /* 1577660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577692 */     // GIR_Coverage, 4366,
     /* 1577692 */     GIR_EraseRootFromParent_Done,
     /* 1577693 */   // Label 21826: @1577693
     /* 1577693 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1577775), // Rule ID 4367 //
     /* 1577698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577729 */     // MIs[0] passthru
     /* 1577729 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577742 */     // MIs[0] policy
     /* 1577742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577774 */     // GIR_Coverage, 4367,
     /* 1577774 */     GIR_EraseRootFromParent_Done,
     /* 1577775 */   // Label 21827: @1577775
     /* 1577775 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1577857), // Rule ID 4376 //
     /* 1577780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577811 */     // MIs[0] passthru
     /* 1577811 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577824 */     // MIs[0] policy
     /* 1577824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577856 */     // GIR_Coverage, 4376,
     /* 1577856 */     GIR_EraseRootFromParent_Done,
     /* 1577857 */   // Label 21828: @1577857
     /* 1577857 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1577939), // Rule ID 4377 //
     /* 1577862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577893 */     // MIs[0] passthru
     /* 1577893 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577906 */     // MIs[0] policy
     /* 1577906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577938 */     // GIR_Coverage, 4377,
     /* 1577938 */     GIR_EraseRootFromParent_Done,
     /* 1577939 */   // Label 21829: @1577939
     /* 1577939 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1578021), // Rule ID 4386 //
     /* 1577944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577975 */     // MIs[0] passthru
     /* 1577975 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577988 */     // MIs[0] policy
     /* 1577988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578020 */     // GIR_Coverage, 4386,
     /* 1578020 */     GIR_EraseRootFromParent_Done,
     /* 1578021 */   // Label 21830: @1578021
     /* 1578021 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1578103), // Rule ID 4387 //
     /* 1578026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1578043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578057 */     // MIs[0] passthru
     /* 1578057 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578070 */     // MIs[0] policy
     /* 1578070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578102 */     // GIR_Coverage, 4387,
     /* 1578102 */     GIR_EraseRootFromParent_Done,
     /* 1578103 */   // Label 21831: @1578103
     /* 1578103 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1578185), // Rule ID 4396 //
     /* 1578108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1578125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578139 */     // MIs[0] passthru
     /* 1578139 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578152 */     // MIs[0] policy
     /* 1578152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578184 */     // GIR_Coverage, 4396,
     /* 1578184 */     GIR_EraseRootFromParent_Done,
     /* 1578185 */   // Label 21832: @1578185
     /* 1578185 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1578267), // Rule ID 4397 //
     /* 1578190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1578207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578221 */     // MIs[0] passthru
     /* 1578221 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578234 */     // MIs[0] policy
     /* 1578234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578266 */     // GIR_Coverage, 4397,
     /* 1578266 */     GIR_EraseRootFromParent_Done,
     /* 1578267 */   // Label 21833: @1578267
     /* 1578267 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1578349), // Rule ID 4406 //
     /* 1578272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1578289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578303 */     // MIs[0] passthru
     /* 1578303 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578316 */     // MIs[0] policy
     /* 1578316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578348 */     // GIR_Coverage, 4406,
     /* 1578348 */     GIR_EraseRootFromParent_Done,
     /* 1578349 */   // Label 21834: @1578349
     /* 1578349 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1578431), // Rule ID 4407 //
     /* 1578354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1578371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578385 */     // MIs[0] passthru
     /* 1578385 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578398 */     // MIs[0] policy
     /* 1578398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578430 */     // GIR_Coverage, 4407,
     /* 1578430 */     GIR_EraseRootFromParent_Done,
     /* 1578431 */   // Label 21835: @1578431
     /* 1578431 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1578513), // Rule ID 4416 //
     /* 1578436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578467 */     // MIs[0] passthru
     /* 1578467 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578480 */     // MIs[0] policy
     /* 1578480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578512 */     // GIR_Coverage, 4416,
     /* 1578512 */     GIR_EraseRootFromParent_Done,
     /* 1578513 */   // Label 21836: @1578513
     /* 1578513 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1578595), // Rule ID 4417 //
     /* 1578518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578549 */     // MIs[0] passthru
     /* 1578549 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578562 */     // MIs[0] policy
     /* 1578562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578594 */     // GIR_Coverage, 4417,
     /* 1578594 */     GIR_EraseRootFromParent_Done,
     /* 1578595 */   // Label 21837: @1578595
     /* 1578595 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1578677), // Rule ID 4426 //
     /* 1578600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578631 */     // MIs[0] passthru
     /* 1578631 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578644 */     // MIs[0] policy
     /* 1578644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578654 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578676 */     // GIR_Coverage, 4426,
     /* 1578676 */     GIR_EraseRootFromParent_Done,
     /* 1578677 */   // Label 21838: @1578677
     /* 1578677 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1578759), // Rule ID 4427 //
     /* 1578682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578713 */     // MIs[0] passthru
     /* 1578713 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578726 */     // MIs[0] policy
     /* 1578726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578758 */     // GIR_Coverage, 4427,
     /* 1578758 */     GIR_EraseRootFromParent_Done,
     /* 1578759 */   // Label 21839: @1578759
     /* 1578759 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1578841), // Rule ID 4436 //
     /* 1578764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578795 */     // MIs[0] passthru
     /* 1578795 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578808 */     // MIs[0] policy
     /* 1578808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578840 */     // GIR_Coverage, 4436,
     /* 1578840 */     GIR_EraseRootFromParent_Done,
     /* 1578841 */   // Label 21840: @1578841
     /* 1578841 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1578923), // Rule ID 4437 //
     /* 1578846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578877 */     // MIs[0] passthru
     /* 1578877 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578890 */     // MIs[0] policy
     /* 1578890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578922 */     // GIR_Coverage, 4437,
     /* 1578922 */     GIR_EraseRootFromParent_Done,
     /* 1578923 */   // Label 21841: @1578923
     /* 1578923 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1579005), // Rule ID 4446 //
     /* 1578928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578959 */     // MIs[0] passthru
     /* 1578959 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578972 */     // MIs[0] policy
     /* 1578972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579004 */     // GIR_Coverage, 4446,
     /* 1579004 */     GIR_EraseRootFromParent_Done,
     /* 1579005 */   // Label 21842: @1579005
     /* 1579005 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1579087), // Rule ID 4447 //
     /* 1579010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1579027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579041 */     // MIs[0] passthru
     /* 1579041 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579054 */     // MIs[0] policy
     /* 1579054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579086 */     // GIR_Coverage, 4447,
     /* 1579086 */     GIR_EraseRootFromParent_Done,
     /* 1579087 */   // Label 21843: @1579087
     /* 1579087 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1579169), // Rule ID 4456 //
     /* 1579092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579123 */     // MIs[0] passthru
     /* 1579123 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579136 */     // MIs[0] policy
     /* 1579136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579168 */     // GIR_Coverage, 4456,
     /* 1579168 */     GIR_EraseRootFromParent_Done,
     /* 1579169 */   // Label 21844: @1579169
     /* 1579169 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1579251), // Rule ID 4457 //
     /* 1579174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579205 */     // MIs[0] passthru
     /* 1579205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579218 */     // MIs[0] policy
     /* 1579218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579250 */     // GIR_Coverage, 4457,
     /* 1579250 */     GIR_EraseRootFromParent_Done,
     /* 1579251 */   // Label 21845: @1579251
     /* 1579251 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1579333), // Rule ID 4466 //
     /* 1579256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1579267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1579270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1579273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579287 */     // MIs[0] passthru
     /* 1579287 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579300 */     // MIs[0] policy
     /* 1579300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579332 */     // GIR_Coverage, 4466,
     /* 1579332 */     GIR_EraseRootFromParent_Done,
     /* 1579333 */   // Label 21846: @1579333
     /* 1579333 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1579415), // Rule ID 4467 //
     /* 1579338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1579349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1579352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1579355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579369 */     // MIs[0] passthru
     /* 1579369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579382 */     // MIs[0] policy
     /* 1579382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579414 */     // GIR_Coverage, 4467,
     /* 1579414 */     GIR_EraseRootFromParent_Done,
     /* 1579415 */   // Label 21847: @1579415
     /* 1579415 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1579497), // Rule ID 4476 //
     /* 1579420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579451 */     // MIs[0] passthru
     /* 1579451 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579464 */     // MIs[0] policy
     /* 1579464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579496 */     // GIR_Coverage, 4476,
     /* 1579496 */     GIR_EraseRootFromParent_Done,
     /* 1579497 */   // Label 21848: @1579497
     /* 1579497 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1579579), // Rule ID 4477 //
     /* 1579502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579533 */     // MIs[0] passthru
     /* 1579533 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579546 */     // MIs[0] policy
     /* 1579546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579578 */     // GIR_Coverage, 4477,
     /* 1579578 */     GIR_EraseRootFromParent_Done,
     /* 1579579 */   // Label 21849: @1579579
     /* 1579579 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1579661), // Rule ID 4486 //
     /* 1579584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579615 */     // MIs[0] passthru
     /* 1579615 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579628 */     // MIs[0] policy
     /* 1579628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579660 */     // GIR_Coverage, 4486,
     /* 1579660 */     GIR_EraseRootFromParent_Done,
     /* 1579661 */   // Label 21850: @1579661
     /* 1579661 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1579743), // Rule ID 4487 //
     /* 1579666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579697 */     // MIs[0] passthru
     /* 1579697 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579710 */     // MIs[0] policy
     /* 1579710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579742 */     // GIR_Coverage, 4487,
     /* 1579742 */     GIR_EraseRootFromParent_Done,
     /* 1579743 */   // Label 21851: @1579743
     /* 1579743 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1579825), // Rule ID 4496 //
     /* 1579748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579779 */     // MIs[0] passthru
     /* 1579779 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579792 */     // MIs[0] policy
     /* 1579792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579824 */     // GIR_Coverage, 4496,
     /* 1579824 */     GIR_EraseRootFromParent_Done,
     /* 1579825 */   // Label 21852: @1579825
     /* 1579825 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1579907), // Rule ID 4497 //
     /* 1579830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579861 */     // MIs[0] passthru
     /* 1579861 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579874 */     // MIs[0] policy
     /* 1579874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579906 */     // GIR_Coverage, 4497,
     /* 1579906 */     GIR_EraseRootFromParent_Done,
     /* 1579907 */   // Label 21853: @1579907
     /* 1579907 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1579989), // Rule ID 4506 //
     /* 1579912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579943 */     // MIs[0] passthru
     /* 1579943 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579956 */     // MIs[0] policy
     /* 1579956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579988 */     // GIR_Coverage, 4506,
     /* 1579988 */     GIR_EraseRootFromParent_Done,
     /* 1579989 */   // Label 21854: @1579989
     /* 1579989 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1580071), // Rule ID 4507 //
     /* 1579994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1580002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1580005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1580008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1580011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580025 */     // MIs[0] passthru
     /* 1580025 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580038 */     // MIs[0] policy
     /* 1580038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1580051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580070 */     // GIR_Coverage, 4507,
     /* 1580070 */     GIR_EraseRootFromParent_Done,
     /* 1580071 */   // Label 21855: @1580071
     /* 1580071 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1580153), // Rule ID 4576 //
     /* 1580076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1580093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580107 */     // MIs[0] passthru
     /* 1580107 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580120 */     // MIs[0] policy
     /* 1580120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1580133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580152 */     // GIR_Coverage, 4576,
     /* 1580152 */     GIR_EraseRootFromParent_Done,
     /* 1580153 */   // Label 21856: @1580153
     /* 1580153 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1580235), // Rule ID 4577 //
     /* 1580158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1580175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580189 */     // MIs[0] passthru
     /* 1580189 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580202 */     // MIs[0] policy
     /* 1580202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1580215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580234 */     // GIR_Coverage, 4577,
     /* 1580234 */     GIR_EraseRootFromParent_Done,
     /* 1580235 */   // Label 21857: @1580235
     /* 1580235 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1580317), // Rule ID 4586 //
     /* 1580240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1580251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1580254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1580257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580271 */     // MIs[0] passthru
     /* 1580271 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580284 */     // MIs[0] policy
     /* 1580284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580316 */     // GIR_Coverage, 4586,
     /* 1580316 */     GIR_EraseRootFromParent_Done,
     /* 1580317 */   // Label 21858: @1580317
     /* 1580317 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1580399), // Rule ID 4587 //
     /* 1580322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1580333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1580336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1580339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580353 */     // MIs[0] passthru
     /* 1580353 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580366 */     // MIs[0] policy
     /* 1580366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580398 */     // GIR_Coverage, 4587,
     /* 1580398 */     GIR_EraseRootFromParent_Done,
     /* 1580399 */   // Label 21859: @1580399
     /* 1580399 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1580481), // Rule ID 4596 //
     /* 1580404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580435 */     // MIs[0] passthru
     /* 1580435 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580448 */     // MIs[0] policy
     /* 1580448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580480 */     // GIR_Coverage, 4596,
     /* 1580480 */     GIR_EraseRootFromParent_Done,
     /* 1580481 */   // Label 21860: @1580481
     /* 1580481 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1580563), // Rule ID 4597 //
     /* 1580486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580517 */     // MIs[0] passthru
     /* 1580517 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580530 */     // MIs[0] policy
     /* 1580530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580562 */     // GIR_Coverage, 4597,
     /* 1580562 */     GIR_EraseRootFromParent_Done,
     /* 1580563 */   // Label 21861: @1580563
     /* 1580563 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1580645), // Rule ID 4606 //
     /* 1580568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580599 */     // MIs[0] passthru
     /* 1580599 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580612 */     // MIs[0] policy
     /* 1580612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580644 */     // GIR_Coverage, 4606,
     /* 1580644 */     GIR_EraseRootFromParent_Done,
     /* 1580645 */   // Label 21862: @1580645
     /* 1580645 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1580727), // Rule ID 4607 //
     /* 1580650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580681 */     // MIs[0] passthru
     /* 1580681 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580694 */     // MIs[0] policy
     /* 1580694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580726 */     // GIR_Coverage, 4607,
     /* 1580726 */     GIR_EraseRootFromParent_Done,
     /* 1580727 */   // Label 21863: @1580727
     /* 1580727 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1580809), // Rule ID 4616 //
     /* 1580732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580763 */     // MIs[0] passthru
     /* 1580763 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580776 */     // MIs[0] policy
     /* 1580776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580808 */     // GIR_Coverage, 4616,
     /* 1580808 */     GIR_EraseRootFromParent_Done,
     /* 1580809 */   // Label 21864: @1580809
     /* 1580809 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1580891), // Rule ID 4617 //
     /* 1580814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580845 */     // MIs[0] passthru
     /* 1580845 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580858 */     // MIs[0] policy
     /* 1580858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580890 */     // GIR_Coverage, 4617,
     /* 1580890 */     GIR_EraseRootFromParent_Done,
     /* 1580891 */   // Label 21865: @1580891
     /* 1580891 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1580973), // Rule ID 4626 //
     /* 1580896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580927 */     // MIs[0] passthru
     /* 1580927 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580940 */     // MIs[0] policy
     /* 1580940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580950 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580972 */     // GIR_Coverage, 4626,
     /* 1580972 */     GIR_EraseRootFromParent_Done,
     /* 1580973 */   // Label 21866: @1580973
     /* 1580973 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1581055), // Rule ID 4627 //
     /* 1580978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581009 */     // MIs[0] passthru
     /* 1581009 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581022 */     // MIs[0] policy
     /* 1581022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581054 */     // GIR_Coverage, 4627,
     /* 1581054 */     GIR_EraseRootFromParent_Done,
     /* 1581055 */   // Label 21867: @1581055
     /* 1581055 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1581137), // Rule ID 4636 //
     /* 1581060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1581077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581091 */     // MIs[0] passthru
     /* 1581091 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581104 */     // MIs[0] policy
     /* 1581104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1581117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581136 */     // GIR_Coverage, 4636,
     /* 1581136 */     GIR_EraseRootFromParent_Done,
     /* 1581137 */   // Label 21868: @1581137
     /* 1581137 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1581219), // Rule ID 4637 //
     /* 1581142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1581159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581173 */     // MIs[0] passthru
     /* 1581173 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581186 */     // MIs[0] policy
     /* 1581186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1581199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581218 */     // GIR_Coverage, 4637,
     /* 1581218 */     GIR_EraseRootFromParent_Done,
     /* 1581219 */   // Label 21869: @1581219
     /* 1581219 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1581301), // Rule ID 4646 //
     /* 1581224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1581241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581255 */     // MIs[0] passthru
     /* 1581255 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581268 */     // MIs[0] policy
     /* 1581268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581300 */     // GIR_Coverage, 4646,
     /* 1581300 */     GIR_EraseRootFromParent_Done,
     /* 1581301 */   // Label 21870: @1581301
     /* 1581301 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1581383), // Rule ID 4647 //
     /* 1581306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1581323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581337 */     // MIs[0] passthru
     /* 1581337 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581350 */     // MIs[0] policy
     /* 1581350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581382 */     // GIR_Coverage, 4647,
     /* 1581382 */     GIR_EraseRootFromParent_Done,
     /* 1581383 */   // Label 21871: @1581383
     /* 1581383 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1581465), // Rule ID 4656 //
     /* 1581388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581419 */     // MIs[0] passthru
     /* 1581419 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581432 */     // MIs[0] policy
     /* 1581432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581464 */     // GIR_Coverage, 4656,
     /* 1581464 */     GIR_EraseRootFromParent_Done,
     /* 1581465 */   // Label 21872: @1581465
     /* 1581465 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1581547), // Rule ID 4657 //
     /* 1581470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581501 */     // MIs[0] passthru
     /* 1581501 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581514 */     // MIs[0] policy
     /* 1581514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581546 */     // GIR_Coverage, 4657,
     /* 1581546 */     GIR_EraseRootFromParent_Done,
     /* 1581547 */   // Label 21873: @1581547
     /* 1581547 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1581629), // Rule ID 4666 //
     /* 1581552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581583 */     // MIs[0] passthru
     /* 1581583 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581596 */     // MIs[0] policy
     /* 1581596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581628 */     // GIR_Coverage, 4666,
     /* 1581628 */     GIR_EraseRootFromParent_Done,
     /* 1581629 */   // Label 21874: @1581629
     /* 1581629 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1581711), // Rule ID 4667 //
     /* 1581634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581665 */     // MIs[0] passthru
     /* 1581665 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581678 */     // MIs[0] policy
     /* 1581678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581710 */     // GIR_Coverage, 4667,
     /* 1581710 */     GIR_EraseRootFromParent_Done,
     /* 1581711 */   // Label 21875: @1581711
     /* 1581711 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1581793), // Rule ID 4676 //
     /* 1581716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581747 */     // MIs[0] passthru
     /* 1581747 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581760 */     // MIs[0] policy
     /* 1581760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581792 */     // GIR_Coverage, 4676,
     /* 1581792 */     GIR_EraseRootFromParent_Done,
     /* 1581793 */   // Label 21876: @1581793
     /* 1581793 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1581875), // Rule ID 4677 //
     /* 1581798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581829 */     // MIs[0] passthru
     /* 1581829 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581842 */     // MIs[0] policy
     /* 1581842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581874 */     // GIR_Coverage, 4677,
     /* 1581874 */     GIR_EraseRootFromParent_Done,
     /* 1581875 */   // Label 21877: @1581875
     /* 1581875 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1581957), // Rule ID 4686 //
     /* 1581880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581911 */     // MIs[0] passthru
     /* 1581911 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581924 */     // MIs[0] policy
     /* 1581924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581956 */     // GIR_Coverage, 4686,
     /* 1581956 */     GIR_EraseRootFromParent_Done,
     /* 1581957 */   // Label 21878: @1581957
     /* 1581957 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1582039), // Rule ID 4687 //
     /* 1581962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581993 */     // MIs[0] passthru
     /* 1581993 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582006 */     // MIs[0] policy
     /* 1582006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1582019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582038 */     // GIR_Coverage, 4687,
     /* 1582038 */     GIR_EraseRootFromParent_Done,
     /* 1582039 */   // Label 21879: @1582039
     /* 1582039 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1582121), // Rule ID 4696 //
     /* 1582044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1582047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1582055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1582058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1582061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582075 */     // MIs[0] passthru
     /* 1582075 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582088 */     // MIs[0] policy
     /* 1582088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1582101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582120 */     // GIR_Coverage, 4696,
     /* 1582120 */     GIR_EraseRootFromParent_Done,
     /* 1582121 */   // Label 21880: @1582121
     /* 1582121 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1582203), // Rule ID 4697 //
     /* 1582126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1582137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1582140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1582143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582157 */     // MIs[0] passthru
     /* 1582157 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582170 */     // MIs[0] policy
     /* 1582170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1582183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582202 */     // GIR_Coverage, 4697,
     /* 1582202 */     GIR_EraseRootFromParent_Done,
     /* 1582203 */   // Label 21881: @1582203
     /* 1582203 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1582285), // Rule ID 4706 //
     /* 1582208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1582211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1582219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1582222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1582225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582239 */     // MIs[0] passthru
     /* 1582239 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582252 */     // MIs[0] policy
     /* 1582252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582262 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1582265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582284 */     // GIR_Coverage, 4706,
     /* 1582284 */     GIR_EraseRootFromParent_Done,
     /* 1582285 */   // Label 21882: @1582285
     /* 1582285 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1582367), // Rule ID 4707 //
     /* 1582290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1582301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1582304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1582307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582321 */     // MIs[0] passthru
     /* 1582321 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582334 */     // MIs[0] policy
     /* 1582334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1582347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582366 */     // GIR_Coverage, 4707,
     /* 1582366 */     GIR_EraseRootFromParent_Done,
     /* 1582367 */   // Label 21883: @1582367
     /* 1582367 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1582449), // Rule ID 4716 //
     /* 1582372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1582375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1582389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582403 */     // MIs[0] passthru
     /* 1582403 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582416 */     // MIs[0] policy
     /* 1582416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1582429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582448 */     // GIR_Coverage, 4716,
     /* 1582448 */     GIR_EraseRootFromParent_Done,
     /* 1582449 */   // Label 21884: @1582449
     /* 1582449 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1582531), // Rule ID 4717 //
     /* 1582454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1582471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582485 */     // MIs[0] passthru
     /* 1582485 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582498 */     // MIs[0] policy
     /* 1582498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1582511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582530 */     // GIR_Coverage, 4717,
     /* 1582530 */     GIR_EraseRootFromParent_Done,
     /* 1582531 */   // Label 21885: @1582531
     /* 1582531 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1582617), // Rule ID 2612 //
     /* 1582536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582582 */     // MIs[0] policy
     /* 1582582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582616 */     // GIR_Coverage, 2612,
     /* 1582616 */     GIR_EraseRootFromParent_Done,
     /* 1582617 */   // Label 21886: @1582617
     /* 1582617 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1582703), // Rule ID 2613 //
     /* 1582622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582668 */     // MIs[0] policy
     /* 1582668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582678 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582702 */     // GIR_Coverage, 2613,
     /* 1582702 */     GIR_EraseRootFromParent_Done,
     /* 1582703 */   // Label 21887: @1582703
     /* 1582703 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1582789), // Rule ID 2650 //
     /* 1582708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582754 */     // MIs[0] policy
     /* 1582754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582788 */     // GIR_Coverage, 2650,
     /* 1582788 */     GIR_EraseRootFromParent_Done,
     /* 1582789 */   // Label 21888: @1582789
     /* 1582789 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1582875), // Rule ID 2651 //
     /* 1582794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582840 */     // MIs[0] policy
     /* 1582840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582850 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582874 */     // GIR_Coverage, 2651,
     /* 1582874 */     GIR_EraseRootFromParent_Done,
     /* 1582875 */   // Label 21889: @1582875
     /* 1582875 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1582961), // Rule ID 2664 //
     /* 1582880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582926 */     // MIs[0] policy
     /* 1582926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1582939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1582943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582960 */     // GIR_Coverage, 2664,
     /* 1582960 */     GIR_EraseRootFromParent_Done,
     /* 1582961 */   // Label 21890: @1582961
     /* 1582961 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1583047), // Rule ID 2665 //
     /* 1582966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583012 */     // MIs[0] policy
     /* 1583012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583022 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1583025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1583029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583046 */     // GIR_Coverage, 2665,
     /* 1583046 */     GIR_EraseRootFromParent_Done,
     /* 1583047 */   // Label 21891: @1583047
     /* 1583047 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1583133), // Rule ID 2684 //
     /* 1583052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1583063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1583066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1583069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583098 */     // MIs[0] policy
     /* 1583098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1583111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583132 */     // GIR_Coverage, 2684,
     /* 1583132 */     GIR_EraseRootFromParent_Done,
     /* 1583133 */   // Label 21892: @1583133
     /* 1583133 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1583219), // Rule ID 2685 //
     /* 1583138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1583149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1583152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1583155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583184 */     // MIs[0] policy
     /* 1583184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1583197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583218 */     // GIR_Coverage, 2685,
     /* 1583218 */     GIR_EraseRootFromParent_Done,
     /* 1583219 */   // Label 21893: @1583219
     /* 1583219 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1583305), // Rule ID 2692 //
     /* 1583224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1583235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1583238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1583241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1583244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583270 */     // MIs[0] policy
     /* 1583270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583304 */     // GIR_Coverage, 2692,
     /* 1583304 */     GIR_EraseRootFromParent_Done,
     /* 1583305 */   // Label 21894: @1583305
     /* 1583305 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1583391), // Rule ID 2693 //
     /* 1583310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1583321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1583324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1583327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1583330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583356 */     // MIs[0] policy
     /* 1583356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583390 */     // GIR_Coverage, 2693,
     /* 1583390 */     GIR_EraseRootFromParent_Done,
     /* 1583391 */   // Label 21895: @1583391
     /* 1583391 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1583477), // Rule ID 2700 //
     /* 1583396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583442 */     // MIs[0] policy
     /* 1583442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583476 */     // GIR_Coverage, 2700,
     /* 1583476 */     GIR_EraseRootFromParent_Done,
     /* 1583477 */   // Label 21896: @1583477
     /* 1583477 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1583563), // Rule ID 2701 //
     /* 1583482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583528 */     // MIs[0] policy
     /* 1583528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583562 */     // GIR_Coverage, 2701,
     /* 1583562 */     GIR_EraseRootFromParent_Done,
     /* 1583563 */   // Label 21897: @1583563
     /* 1583563 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1583649), // Rule ID 2708 //
     /* 1583568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583614 */     // MIs[0] policy
     /* 1583614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583648 */     // GIR_Coverage, 2708,
     /* 1583648 */     GIR_EraseRootFromParent_Done,
     /* 1583649 */   // Label 21898: @1583649
     /* 1583649 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1583735), // Rule ID 2709 //
     /* 1583654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583700 */     // MIs[0] policy
     /* 1583700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583710 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583734 */     // GIR_Coverage, 2709,
     /* 1583734 */     GIR_EraseRootFromParent_Done,
     /* 1583735 */   // Label 21899: @1583735
     /* 1583735 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1583821), // Rule ID 2716 //
     /* 1583740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583786 */     // MIs[0] policy
     /* 1583786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583820 */     // GIR_Coverage, 2716,
     /* 1583820 */     GIR_EraseRootFromParent_Done,
     /* 1583821 */   // Label 21900: @1583821
     /* 1583821 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1583907), // Rule ID 2717 //
     /* 1583826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583872 */     // MIs[0] policy
     /* 1583872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583906 */     // GIR_Coverage, 2717,
     /* 1583906 */     GIR_EraseRootFromParent_Done,
     /* 1583907 */   // Label 21901: @1583907
     /* 1583907 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1583993), // Rule ID 2724 //
     /* 1583912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583958 */     // MIs[0] policy
     /* 1583958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583992 */     // GIR_Coverage, 2724,
     /* 1583992 */     GIR_EraseRootFromParent_Done,
     /* 1583993 */   // Label 21902: @1583993
     /* 1583993 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1584079), // Rule ID 2725 //
     /* 1583998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1584009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1584012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1584015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1584018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584044 */     // MIs[0] policy
     /* 1584044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1584057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584078 */     // GIR_Coverage, 2725,
     /* 1584078 */     GIR_EraseRootFromParent_Done,
     /* 1584079 */   // Label 21903: @1584079
     /* 1584079 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1584165), // Rule ID 2732 //
     /* 1584084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1584095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1584098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1584101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584130 */     // MIs[0] policy
     /* 1584130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584164 */     // GIR_Coverage, 2732,
     /* 1584164 */     GIR_EraseRootFromParent_Done,
     /* 1584165 */   // Label 21904: @1584165
     /* 1584165 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1584251), // Rule ID 2733 //
     /* 1584170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1584181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1584184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1584187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584216 */     // MIs[0] policy
     /* 1584216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584250 */     // GIR_Coverage, 2733,
     /* 1584250 */     GIR_EraseRootFromParent_Done,
     /* 1584251 */   // Label 21905: @1584251
     /* 1584251 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1584337), // Rule ID 2740 //
     /* 1584256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1584273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1584276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584302 */     // MIs[0] policy
     /* 1584302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584336 */     // GIR_Coverage, 2740,
     /* 1584336 */     GIR_EraseRootFromParent_Done,
     /* 1584337 */   // Label 21906: @1584337
     /* 1584337 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1584423), // Rule ID 2741 //
     /* 1584342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1584359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1584362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584388 */     // MIs[0] policy
     /* 1584388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584422 */     // GIR_Coverage, 2741,
     /* 1584422 */     GIR_EraseRootFromParent_Done,
     /* 1584423 */   // Label 21907: @1584423
     /* 1584423 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1584509), // Rule ID 2748 //
     /* 1584428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584474 */     // MIs[0] policy
     /* 1584474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584508 */     // GIR_Coverage, 2748,
     /* 1584508 */     GIR_EraseRootFromParent_Done,
     /* 1584509 */   // Label 21908: @1584509
     /* 1584509 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1584595), // Rule ID 2749 //
     /* 1584514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584560 */     // MIs[0] policy
     /* 1584560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584594 */     // GIR_Coverage, 2749,
     /* 1584594 */     GIR_EraseRootFromParent_Done,
     /* 1584595 */   // Label 21909: @1584595
     /* 1584595 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1584681), // Rule ID 2756 //
     /* 1584600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1584603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584646 */     // MIs[0] policy
     /* 1584646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584680 */     // GIR_Coverage, 2756,
     /* 1584680 */     GIR_EraseRootFromParent_Done,
     /* 1584681 */   // Label 21910: @1584681
     /* 1584681 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1584767), // Rule ID 2757 //
     /* 1584686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584732 */     // MIs[0] policy
     /* 1584732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584766 */     // GIR_Coverage, 2757,
     /* 1584766 */     GIR_EraseRootFromParent_Done,
     /* 1584767 */   // Label 21911: @1584767
     /* 1584767 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1584853), // Rule ID 2764 //
     /* 1584772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584818 */     // MIs[0] policy
     /* 1584818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584852 */     // GIR_Coverage, 2764,
     /* 1584852 */     GIR_EraseRootFromParent_Done,
     /* 1584853 */   // Label 21912: @1584853
     /* 1584853 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1584939), // Rule ID 2765 //
     /* 1584858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584904 */     // MIs[0] policy
     /* 1584904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584938 */     // GIR_Coverage, 2765,
     /* 1584938 */     GIR_EraseRootFromParent_Done,
     /* 1584939 */   // Label 21913: @1584939
     /* 1584939 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1585025), // Rule ID 2772 //
     /* 1584944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584990 */     // MIs[0] policy
     /* 1584990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585000 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585024 */     // GIR_Coverage, 2772,
     /* 1585024 */     GIR_EraseRootFromParent_Done,
     /* 1585025 */   // Label 21914: @1585025
     /* 1585025 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1585111), // Rule ID 2773 //
     /* 1585030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1585041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1585044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1585047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1585050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585076 */     // MIs[0] policy
     /* 1585076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585110 */     // GIR_Coverage, 2773,
     /* 1585110 */     GIR_EraseRootFromParent_Done,
     /* 1585111 */   // Label 21915: @1585111
     /* 1585111 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1585197), // Rule ID 2780 //
     /* 1585116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1585127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1585130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1585133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1585136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1585139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585162 */     // MIs[0] policy
     /* 1585162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585196 */     // GIR_Coverage, 2780,
     /* 1585196 */     GIR_EraseRootFromParent_Done,
     /* 1585197 */   // Label 21916: @1585197
     /* 1585197 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1585283), // Rule ID 2781 //
     /* 1585202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1585213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1585216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1585219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1585222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1585225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585248 */     // MIs[0] policy
     /* 1585248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585258 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585282 */     // GIR_Coverage, 2781,
     /* 1585282 */     GIR_EraseRootFromParent_Done,
     /* 1585283 */   // Label 21917: @1585283
     /* 1585283 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1585369), // Rule ID 2788 //
     /* 1585288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1585299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1585302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1585305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585334 */     // MIs[0] policy
     /* 1585334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585368 */     // GIR_Coverage, 2788,
     /* 1585368 */     GIR_EraseRootFromParent_Done,
     /* 1585369 */   // Label 21918: @1585369
     /* 1585369 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1585455), // Rule ID 2789 //
     /* 1585374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1585385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1585388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1585391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585420 */     // MIs[0] policy
     /* 1585420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585430 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585454 */     // GIR_Coverage, 2789,
     /* 1585454 */     GIR_EraseRootFromParent_Done,
     /* 1585455 */   // Label 21919: @1585455
     /* 1585455 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1585541), // Rule ID 2796 //
     /* 1585460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585506 */     // MIs[0] policy
     /* 1585506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585540 */     // GIR_Coverage, 2796,
     /* 1585540 */     GIR_EraseRootFromParent_Done,
     /* 1585541 */   // Label 21920: @1585541
     /* 1585541 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1585627), // Rule ID 2797 //
     /* 1585546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585592 */     // MIs[0] policy
     /* 1585592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585626 */     // GIR_Coverage, 2797,
     /* 1585626 */     GIR_EraseRootFromParent_Done,
     /* 1585627 */   // Label 21921: @1585627
     /* 1585627 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1585713), // Rule ID 2804 //
     /* 1585632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585678 */     // MIs[0] policy
     /* 1585678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585712 */     // GIR_Coverage, 2804,
     /* 1585712 */     GIR_EraseRootFromParent_Done,
     /* 1585713 */   // Label 21922: @1585713
     /* 1585713 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1585799), // Rule ID 2805 //
     /* 1585718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585764 */     // MIs[0] policy
     /* 1585764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585798 */     // GIR_Coverage, 2805,
     /* 1585798 */     GIR_EraseRootFromParent_Done,
     /* 1585799 */   // Label 21923: @1585799
     /* 1585799 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1585885), // Rule ID 2812 //
     /* 1585804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585850 */     // MIs[0] policy
     /* 1585850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585884 */     // GIR_Coverage, 2812,
     /* 1585884 */     GIR_EraseRootFromParent_Done,
     /* 1585885 */   // Label 21924: @1585885
     /* 1585885 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1585971), // Rule ID 2813 //
     /* 1585890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585936 */     // MIs[0] policy
     /* 1585936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585970 */     // GIR_Coverage, 2813,
     /* 1585970 */     GIR_EraseRootFromParent_Done,
     /* 1585971 */   // Label 21925: @1585971
     /* 1585971 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1586057), // Rule ID 2820 //
     /* 1585976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1585996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586022 */     // MIs[0] policy
     /* 1586022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586056 */     // GIR_Coverage, 2820,
     /* 1586056 */     GIR_EraseRootFromParent_Done,
     /* 1586057 */   // Label 21926: @1586057
     /* 1586057 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1586143), // Rule ID 2821 //
     /* 1586062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1586073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1586076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1586079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586108 */     // MIs[0] policy
     /* 1586108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586142 */     // GIR_Coverage, 2821,
     /* 1586142 */     GIR_EraseRootFromParent_Done,
     /* 1586143 */   // Label 21927: @1586143
     /* 1586143 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1586229), // Rule ID 2828 //
     /* 1586148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1586159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1586162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1586165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1586168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586194 */     // MIs[0] policy
     /* 1586194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586228 */     // GIR_Coverage, 2828,
     /* 1586228 */     GIR_EraseRootFromParent_Done,
     /* 1586229 */   // Label 21928: @1586229
     /* 1586229 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1586315), // Rule ID 2829 //
     /* 1586234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1586245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1586248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1586251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1586254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586280 */     // MIs[0] policy
     /* 1586280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586314 */     // GIR_Coverage, 2829,
     /* 1586314 */     GIR_EraseRootFromParent_Done,
     /* 1586315 */   // Label 21929: @1586315
     /* 1586315 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1586401), // Rule ID 2836 //
     /* 1586320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1586337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1586340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586366 */     // MIs[0] policy
     /* 1586366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1586379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586400 */     // GIR_Coverage, 2836,
     /* 1586400 */     GIR_EraseRootFromParent_Done,
     /* 1586401 */   // Label 21930: @1586401
     /* 1586401 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1586487), // Rule ID 2837 //
     /* 1586406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1586423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1586426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586452 */     // MIs[0] policy
     /* 1586452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1586465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586486 */     // GIR_Coverage, 2837,
     /* 1586486 */     GIR_EraseRootFromParent_Done,
     /* 1586487 */   // Label 21931: @1586487
     /* 1586487 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1586573), // Rule ID 2844 //
     /* 1586492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586538 */     // MIs[0] policy
     /* 1586538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586572 */     // GIR_Coverage, 2844,
     /* 1586572 */     GIR_EraseRootFromParent_Done,
     /* 1586573 */   // Label 21932: @1586573
     /* 1586573 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1586659), // Rule ID 2845 //
     /* 1586578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586624 */     // MIs[0] policy
     /* 1586624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586658 */     // GIR_Coverage, 2845,
     /* 1586658 */     GIR_EraseRootFromParent_Done,
     /* 1586659 */   // Label 21933: @1586659
     /* 1586659 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1586745), // Rule ID 2852 //
     /* 1586664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586710 */     // MIs[0] policy
     /* 1586710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586744 */     // GIR_Coverage, 2852,
     /* 1586744 */     GIR_EraseRootFromParent_Done,
     /* 1586745 */   // Label 21934: @1586745
     /* 1586745 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1586831), // Rule ID 2853 //
     /* 1586750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586796 */     // MIs[0] policy
     /* 1586796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586830 */     // GIR_Coverage, 2853,
     /* 1586830 */     GIR_EraseRootFromParent_Done,
     /* 1586831 */   // Label 21935: @1586831
     /* 1586831 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1586917), // Rule ID 2860 //
     /* 1586836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586882 */     // MIs[0] policy
     /* 1586882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586916 */     // GIR_Coverage, 2860,
     /* 1586916 */     GIR_EraseRootFromParent_Done,
     /* 1586917 */   // Label 21936: @1586917
     /* 1586917 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1587003), // Rule ID 2861 //
     /* 1586922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586968 */     // MIs[0] policy
     /* 1586968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587002 */     // GIR_Coverage, 2861,
     /* 1587002 */     GIR_EraseRootFromParent_Done,
     /* 1587003 */   // Label 21937: @1587003
     /* 1587003 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1587089), // Rule ID 2864 //
     /* 1587008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1587019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1587022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1587025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587054 */     // MIs[0] policy
     /* 1587054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587088 */     // GIR_Coverage, 2864,
     /* 1587088 */     GIR_EraseRootFromParent_Done,
     /* 1587089 */   // Label 21938: @1587089
     /* 1587089 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1587175), // Rule ID 2865 //
     /* 1587094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1587105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1587108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1587111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587140 */     // MIs[0] policy
     /* 1587140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587174 */     // GIR_Coverage, 2865,
     /* 1587174 */     GIR_EraseRootFromParent_Done,
     /* 1587175 */   // Label 21939: @1587175
     /* 1587175 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1587261), // Rule ID 2868 //
     /* 1587180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1587191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1587194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1587197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587226 */     // MIs[0] policy
     /* 1587226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1587239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587260 */     // GIR_Coverage, 2868,
     /* 1587260 */     GIR_EraseRootFromParent_Done,
     /* 1587261 */   // Label 21940: @1587261
     /* 1587261 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1587347), // Rule ID 2869 //
     /* 1587266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1587277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1587280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1587283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587312 */     // MIs[0] policy
     /* 1587312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1587325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587346 */     // GIR_Coverage, 2869,
     /* 1587346 */     GIR_EraseRootFromParent_Done,
     /* 1587347 */   // Label 21941: @1587347
     /* 1587347 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1587433), // Rule ID 2872 //
     /* 1587352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587398 */     // MIs[0] policy
     /* 1587398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587432 */     // GIR_Coverage, 2872,
     /* 1587432 */     GIR_EraseRootFromParent_Done,
     /* 1587433 */   // Label 21942: @1587433
     /* 1587433 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1587519), // Rule ID 2873 //
     /* 1587438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587484 */     // MIs[0] policy
     /* 1587484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587518 */     // GIR_Coverage, 2873,
     /* 1587518 */     GIR_EraseRootFromParent_Done,
     /* 1587519 */   // Label 21943: @1587519
     /* 1587519 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1587605), // Rule ID 2876 //
     /* 1587524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587570 */     // MIs[0] policy
     /* 1587570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587604 */     // GIR_Coverage, 2876,
     /* 1587604 */     GIR_EraseRootFromParent_Done,
     /* 1587605 */   // Label 21944: @1587605
     /* 1587605 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1587691), // Rule ID 2877 //
     /* 1587610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587656 */     // MIs[0] policy
     /* 1587656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587690 */     // GIR_Coverage, 2877,
     /* 1587690 */     GIR_EraseRootFromParent_Done,
     /* 1587691 */   // Label 21945: @1587691
     /* 1587691 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1587777), // Rule ID 2880 //
     /* 1587696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587742 */     // MIs[0] policy
     /* 1587742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587776 */     // GIR_Coverage, 2880,
     /* 1587776 */     GIR_EraseRootFromParent_Done,
     /* 1587777 */   // Label 21946: @1587777
     /* 1587777 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1587863), // Rule ID 2881 //
     /* 1587782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587828 */     // MIs[0] policy
     /* 1587828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587838 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587862 */     // GIR_Coverage, 2881,
     /* 1587862 */     GIR_EraseRootFromParent_Done,
     /* 1587863 */   // Label 21947: @1587863
     /* 1587863 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1587949), // Rule ID 2884 //
     /* 1587868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587914 */     // MIs[0] policy
     /* 1587914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587948 */     // GIR_Coverage, 2884,
     /* 1587948 */     GIR_EraseRootFromParent_Done,
     /* 1587949 */   // Label 21948: @1587949
     /* 1587949 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1588035), // Rule ID 2885 //
     /* 1587954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588000 */     // MIs[0] policy
     /* 1588000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588034 */     // GIR_Coverage, 2885,
     /* 1588034 */     GIR_EraseRootFromParent_Done,
     /* 1588035 */   // Label 21949: @1588035
     /* 1588035 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1588121), // Rule ID 2888 //
     /* 1588040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1588051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1588054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1588057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588086 */     // MIs[0] policy
     /* 1588086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588120 */     // GIR_Coverage, 2888,
     /* 1588120 */     GIR_EraseRootFromParent_Done,
     /* 1588121 */   // Label 21950: @1588121
     /* 1588121 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1588207), // Rule ID 2889 //
     /* 1588126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1588137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1588140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1588143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588172 */     // MIs[0] policy
     /* 1588172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588206 */     // GIR_Coverage, 2889,
     /* 1588206 */     GIR_EraseRootFromParent_Done,
     /* 1588207 */   // Label 21951: @1588207
     /* 1588207 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1588293), // Rule ID 2892 //
     /* 1588212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1588215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588258 */     // MIs[0] policy
     /* 1588258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588292 */     // GIR_Coverage, 2892,
     /* 1588292 */     GIR_EraseRootFromParent_Done,
     /* 1588293 */   // Label 21952: @1588293
     /* 1588293 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1588379), // Rule ID 2893 //
     /* 1588298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588344 */     // MIs[0] policy
     /* 1588344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588378 */     // GIR_Coverage, 2893,
     /* 1588378 */     GIR_EraseRootFromParent_Done,
     /* 1588379 */   // Label 21953: @1588379
     /* 1588379 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1588465), // Rule ID 2896 //
     /* 1588384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588430 */     // MIs[0] policy
     /* 1588430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588440 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588464 */     // GIR_Coverage, 2896,
     /* 1588464 */     GIR_EraseRootFromParent_Done,
     /* 1588465 */   // Label 21954: @1588465
     /* 1588465 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1588551), // Rule ID 2897 //
     /* 1588470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588516 */     // MIs[0] policy
     /* 1588516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588550 */     // GIR_Coverage, 2897,
     /* 1588550 */     GIR_EraseRootFromParent_Done,
     /* 1588551 */   // Label 21955: @1588551
     /* 1588551 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1588637), // Rule ID 2900 //
     /* 1588556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588602 */     // MIs[0] policy
     /* 1588602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588612 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588636 */     // GIR_Coverage, 2900,
     /* 1588636 */     GIR_EraseRootFromParent_Done,
     /* 1588637 */   // Label 21956: @1588637
     /* 1588637 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1588723), // Rule ID 2901 //
     /* 1588642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588688 */     // MIs[0] policy
     /* 1588688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588698 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588722 */     // GIR_Coverage, 2901,
     /* 1588722 */     GIR_EraseRootFromParent_Done,
     /* 1588723 */   // Label 21957: @1588723
     /* 1588723 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1588809), // Rule ID 2904 //
     /* 1588728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588774 */     // MIs[0] policy
     /* 1588774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588808 */     // GIR_Coverage, 2904,
     /* 1588808 */     GIR_EraseRootFromParent_Done,
     /* 1588809 */   // Label 21958: @1588809
     /* 1588809 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1588895), // Rule ID 2905 //
     /* 1588814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588860 */     // MIs[0] policy
     /* 1588860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588870 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588894 */     // GIR_Coverage, 2905,
     /* 1588894 */     GIR_EraseRootFromParent_Done,
     /* 1588895 */   // Label 21959: @1588895
     /* 1588895 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1588981), // Rule ID 2908 //
     /* 1588900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588946 */     // MIs[0] policy
     /* 1588946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588980 */     // GIR_Coverage, 2908,
     /* 1588980 */     GIR_EraseRootFromParent_Done,
     /* 1588981 */   // Label 21960: @1588981
     /* 1588981 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1589067), // Rule ID 2909 //
     /* 1588986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1589000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1589003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1589006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589032 */     // MIs[0] policy
     /* 1589032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589066 */     // GIR_Coverage, 2909,
     /* 1589066 */     GIR_EraseRootFromParent_Done,
     /* 1589067 */   // Label 21961: @1589067
     /* 1589067 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1589153), // Rule ID 2912 //
     /* 1589072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589118 */     // MIs[0] policy
     /* 1589118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589152 */     // GIR_Coverage, 2912,
     /* 1589152 */     GIR_EraseRootFromParent_Done,
     /* 1589153 */   // Label 21962: @1589153
     /* 1589153 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1589239), // Rule ID 2913 //
     /* 1589158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589204 */     // MIs[0] policy
     /* 1589204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589238 */     // GIR_Coverage, 2913,
     /* 1589238 */     GIR_EraseRootFromParent_Done,
     /* 1589239 */   // Label 21963: @1589239
     /* 1589239 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1589325), // Rule ID 2916 //
     /* 1589244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589290 */     // MIs[0] policy
     /* 1589290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589324 */     // GIR_Coverage, 2916,
     /* 1589324 */     GIR_EraseRootFromParent_Done,
     /* 1589325 */   // Label 21964: @1589325
     /* 1589325 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1589411), // Rule ID 2917 //
     /* 1589330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589376 */     // MIs[0] policy
     /* 1589376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589410 */     // GIR_Coverage, 2917,
     /* 1589410 */     GIR_EraseRootFromParent_Done,
     /* 1589411 */   // Label 21965: @1589411
     /* 1589411 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1589497), // Rule ID 2920 //
     /* 1589416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589462 */     // MIs[0] policy
     /* 1589462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589496 */     // GIR_Coverage, 2920,
     /* 1589496 */     GIR_EraseRootFromParent_Done,
     /* 1589497 */   // Label 21966: @1589497
     /* 1589497 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1589583), // Rule ID 2921 //
     /* 1589502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589548 */     // MIs[0] policy
     /* 1589548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589582 */     // GIR_Coverage, 2921,
     /* 1589582 */     GIR_EraseRootFromParent_Done,
     /* 1589583 */   // Label 21967: @1589583
     /* 1589583 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1589669), // Rule ID 2924 //
     /* 1589588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589634 */     // MIs[0] policy
     /* 1589634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589668 */     // GIR_Coverage, 2924,
     /* 1589668 */     GIR_EraseRootFromParent_Done,
     /* 1589669 */   // Label 21968: @1589669
     /* 1589669 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1589755), // Rule ID 2925 //
     /* 1589674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589720 */     // MIs[0] policy
     /* 1589720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589754 */     // GIR_Coverage, 2925,
     /* 1589754 */     GIR_EraseRootFromParent_Done,
     /* 1589755 */   // Label 21969: @1589755
     /* 1589755 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1589841), // Rule ID 2928 //
     /* 1589760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589806 */     // MIs[0] policy
     /* 1589806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589840 */     // GIR_Coverage, 2928,
     /* 1589840 */     GIR_EraseRootFromParent_Done,
     /* 1589841 */   // Label 21970: @1589841
     /* 1589841 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1589927), // Rule ID 2929 //
     /* 1589846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589892 */     // MIs[0] policy
     /* 1589892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589926 */     // GIR_Coverage, 2929,
     /* 1589926 */     GIR_EraseRootFromParent_Done,
     /* 1589927 */   // Label 21971: @1589927
     /* 1589927 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1590013), // Rule ID 2932 //
     /* 1589932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589978 */     // MIs[0] policy
     /* 1589978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590012 */     // GIR_Coverage, 2932,
     /* 1590012 */     GIR_EraseRootFromParent_Done,
     /* 1590013 */   // Label 21972: @1590013
     /* 1590013 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1590099), // Rule ID 2933 //
     /* 1590018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1590035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1590038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590064 */     // MIs[0] policy
     /* 1590064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1590077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590098 */     // GIR_Coverage, 2933,
     /* 1590098 */     GIR_EraseRootFromParent_Done,
     /* 1590099 */   // Label 21973: @1590099
     /* 1590099 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1590185), // Rule ID 2936 //
     /* 1590104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590150 */     // MIs[0] policy
     /* 1590150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1590163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590184 */     // GIR_Coverage, 2936,
     /* 1590184 */     GIR_EraseRootFromParent_Done,
     /* 1590185 */   // Label 21974: @1590185
     /* 1590185 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1590271), // Rule ID 2937 //
     /* 1590190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590236 */     // MIs[0] policy
     /* 1590236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1590249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590270 */     // GIR_Coverage, 2937,
     /* 1590270 */     GIR_EraseRootFromParent_Done,
     /* 1590271 */   // Label 21975: @1590271
     /* 1590271 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1590357), // Rule ID 2940 //
     /* 1590276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590322 */     // MIs[0] policy
     /* 1590322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1590335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590356 */     // GIR_Coverage, 2940,
     /* 1590356 */     GIR_EraseRootFromParent_Done,
     /* 1590357 */   // Label 21976: @1590357
     /* 1590357 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1590443), // Rule ID 2941 //
     /* 1590362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590408 */     // MIs[0] policy
     /* 1590408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1590421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590442 */     // GIR_Coverage, 2941,
     /* 1590442 */     GIR_EraseRootFromParent_Done,
     /* 1590443 */   // Label 21977: @1590443
     /* 1590443 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1590529), // Rule ID 2944 //
     /* 1590448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590494 */     // MIs[0] policy
     /* 1590494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590528 */     // GIR_Coverage, 2944,
     /* 1590528 */     GIR_EraseRootFromParent_Done,
     /* 1590529 */   // Label 21978: @1590529
     /* 1590529 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1590615), // Rule ID 2945 //
     /* 1590534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590580 */     // MIs[0] policy
     /* 1590580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590590 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590614 */     // GIR_Coverage, 2945,
     /* 1590614 */     GIR_EraseRootFromParent_Done,
     /* 1590615 */   // Label 21979: @1590615
     /* 1590615 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1590701), // Rule ID 2948 //
     /* 1590620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590666 */     // MIs[0] policy
     /* 1590666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590700 */     // GIR_Coverage, 2948,
     /* 1590700 */     GIR_EraseRootFromParent_Done,
     /* 1590701 */   // Label 21980: @1590701
     /* 1590701 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1590787), // Rule ID 2949 //
     /* 1590706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590752 */     // MIs[0] policy
     /* 1590752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590786 */     // GIR_Coverage, 2949,
     /* 1590786 */     GIR_EraseRootFromParent_Done,
     /* 1590787 */   // Label 21981: @1590787
     /* 1590787 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1590873), // Rule ID 2952 //
     /* 1590792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590838 */     // MIs[0] policy
     /* 1590838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590872 */     // GIR_Coverage, 2952,
     /* 1590872 */     GIR_EraseRootFromParent_Done,
     /* 1590873 */   // Label 21982: @1590873
     /* 1590873 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1590959), // Rule ID 2953 //
     /* 1590878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590924 */     // MIs[0] policy
     /* 1590924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590958 */     // GIR_Coverage, 2953,
     /* 1590958 */     GIR_EraseRootFromParent_Done,
     /* 1590959 */   // Label 21983: @1590959
     /* 1590959 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1591045), // Rule ID 2956 //
     /* 1590964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591010 */     // MIs[0] policy
     /* 1591010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1591023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591044 */     // GIR_Coverage, 2956,
     /* 1591044 */     GIR_EraseRootFromParent_Done,
     /* 1591045 */   // Label 21984: @1591045
     /* 1591045 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1591131), // Rule ID 2957 //
     /* 1591050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1591067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591096 */     // MIs[0] policy
     /* 1591096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1591109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591130 */     // GIR_Coverage, 2957,
     /* 1591130 */     GIR_EraseRootFromParent_Done,
     /* 1591131 */   // Label 21985: @1591131
     /* 1591131 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1591217), // Rule ID 2960 //
     /* 1591136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591182 */     // MIs[0] policy
     /* 1591182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591216 */     // GIR_Coverage, 2960,
     /* 1591216 */     GIR_EraseRootFromParent_Done,
     /* 1591217 */   // Label 21986: @1591217
     /* 1591217 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1591303), // Rule ID 2961 //
     /* 1591222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591268 */     // MIs[0] policy
     /* 1591268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591302 */     // GIR_Coverage, 2961,
     /* 1591302 */     GIR_EraseRootFromParent_Done,
     /* 1591303 */   // Label 21987: @1591303
     /* 1591303 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1591389), // Rule ID 2964 //
     /* 1591308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591354 */     // MIs[0] policy
     /* 1591354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591388 */     // GIR_Coverage, 2964,
     /* 1591388 */     GIR_EraseRootFromParent_Done,
     /* 1591389 */   // Label 21988: @1591389
     /* 1591389 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1591475), // Rule ID 2965 //
     /* 1591394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591440 */     // MIs[0] policy
     /* 1591440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591474 */     // GIR_Coverage, 2965,
     /* 1591474 */     GIR_EraseRootFromParent_Done,
     /* 1591475 */   // Label 21989: @1591475
     /* 1591475 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1591561), // Rule ID 2968 //
     /* 1591480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591526 */     // MIs[0] policy
     /* 1591526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591560 */     // GIR_Coverage, 2968,
     /* 1591560 */     GIR_EraseRootFromParent_Done,
     /* 1591561 */   // Label 21990: @1591561
     /* 1591561 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1591647), // Rule ID 2969 //
     /* 1591566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591612 */     // MIs[0] policy
     /* 1591612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591646 */     // GIR_Coverage, 2969,
     /* 1591646 */     GIR_EraseRootFromParent_Done,
     /* 1591647 */   // Label 21991: @1591647
     /* 1591647 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1591733), // Rule ID 2972 //
     /* 1591652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591698 */     // MIs[0] policy
     /* 1591698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591732 */     // GIR_Coverage, 2972,
     /* 1591732 */     GIR_EraseRootFromParent_Done,
     /* 1591733 */   // Label 21992: @1591733
     /* 1591733 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1591819), // Rule ID 2973 //
     /* 1591738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591784 */     // MIs[0] policy
     /* 1591784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591818 */     // GIR_Coverage, 2973,
     /* 1591818 */     GIR_EraseRootFromParent_Done,
     /* 1591819 */   // Label 21993: @1591819
     /* 1591819 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1591905), // Rule ID 2976 //
     /* 1591824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591870 */     // MIs[0] policy
     /* 1591870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591904 */     // GIR_Coverage, 2976,
     /* 1591904 */     GIR_EraseRootFromParent_Done,
     /* 1591905 */   // Label 21994: @1591905
     /* 1591905 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1591991), // Rule ID 2977 //
     /* 1591910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591956 */     // MIs[0] policy
     /* 1591956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591990 */     // GIR_Coverage, 2977,
     /* 1591990 */     GIR_EraseRootFromParent_Done,
     /* 1591991 */   // Label 21995: @1591991
     /* 1591991 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1592077), // Rule ID 2980 //
     /* 1591996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592042 */     // MIs[0] policy
     /* 1592042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1592055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592076 */     // GIR_Coverage, 2980,
     /* 1592076 */     GIR_EraseRootFromParent_Done,
     /* 1592077 */   // Label 21996: @1592077
     /* 1592077 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1592163), // Rule ID 2981 //
     /* 1592082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592128 */     // MIs[0] policy
     /* 1592128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1592141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592162 */     // GIR_Coverage, 2981,
     /* 1592162 */     GIR_EraseRootFromParent_Done,
     /* 1592163 */   // Label 21997: @1592163
     /* 1592163 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1592249), // Rule ID 2984 //
     /* 1592168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592214 */     // MIs[0] policy
     /* 1592214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592248 */     // GIR_Coverage, 2984,
     /* 1592248 */     GIR_EraseRootFromParent_Done,
     /* 1592249 */   // Label 21998: @1592249
     /* 1592249 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1592335), // Rule ID 2985 //
     /* 1592254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592300 */     // MIs[0] policy
     /* 1592300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592334 */     // GIR_Coverage, 2985,
     /* 1592334 */     GIR_EraseRootFromParent_Done,
     /* 1592335 */   // Label 21999: @1592335
     /* 1592335 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1592421), // Rule ID 2988 //
     /* 1592340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592386 */     // MIs[0] policy
     /* 1592386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592420 */     // GIR_Coverage, 2988,
     /* 1592420 */     GIR_EraseRootFromParent_Done,
     /* 1592421 */   // Label 22000: @1592421
     /* 1592421 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1592507), // Rule ID 2989 //
     /* 1592426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592472 */     // MIs[0] policy
     /* 1592472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592482 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592506 */     // GIR_Coverage, 2989,
     /* 1592506 */     GIR_EraseRootFromParent_Done,
     /* 1592507 */   // Label 22001: @1592507
     /* 1592507 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1592593), // Rule ID 2992 //
     /* 1592512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592558 */     // MIs[0] policy
     /* 1592558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592592 */     // GIR_Coverage, 2992,
     /* 1592592 */     GIR_EraseRootFromParent_Done,
     /* 1592593 */   // Label 22002: @1592593
     /* 1592593 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1592679), // Rule ID 2993 //
     /* 1592598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592644 */     // MIs[0] policy
     /* 1592644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592678 */     // GIR_Coverage, 2993,
     /* 1592678 */     GIR_EraseRootFromParent_Done,
     /* 1592679 */   // Label 22003: @1592679
     /* 1592679 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1592765), // Rule ID 2996 //
     /* 1592684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592730 */     // MIs[0] policy
     /* 1592730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592764 */     // GIR_Coverage, 2996,
     /* 1592764 */     GIR_EraseRootFromParent_Done,
     /* 1592765 */   // Label 22004: @1592765
     /* 1592765 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1592851), // Rule ID 2997 //
     /* 1592770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592816 */     // MIs[0] policy
     /* 1592816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592850 */     // GIR_Coverage, 2997,
     /* 1592850 */     GIR_EraseRootFromParent_Done,
     /* 1592851 */   // Label 22005: @1592851
     /* 1592851 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1592937), // Rule ID 3000 //
     /* 1592856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592902 */     // MIs[0] policy
     /* 1592902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592936 */     // GIR_Coverage, 3000,
     /* 1592936 */     GIR_EraseRootFromParent_Done,
     /* 1592937 */   // Label 22006: @1592937
     /* 1592937 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1593023), // Rule ID 3001 //
     /* 1592942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592988 */     // MIs[0] policy
     /* 1592988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592998 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593022 */     // GIR_Coverage, 3001,
     /* 1593022 */     GIR_EraseRootFromParent_Done,
     /* 1593023 */   // Label 22007: @1593023
     /* 1593023 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1593109), // Rule ID 3004 //
     /* 1593028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593074 */     // MIs[0] policy
     /* 1593074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593108 */     // GIR_Coverage, 3004,
     /* 1593108 */     GIR_EraseRootFromParent_Done,
     /* 1593109 */   // Label 22008: @1593109
     /* 1593109 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1593195), // Rule ID 3005 //
     /* 1593114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593160 */     // MIs[0] policy
     /* 1593160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593170 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593194 */     // GIR_Coverage, 3005,
     /* 1593194 */     GIR_EraseRootFromParent_Done,
     /* 1593195 */   // Label 22009: @1593195
     /* 1593195 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1593281), // Rule ID 3008 //
     /* 1593200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1593211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1593214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1593217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593246 */     // MIs[0] policy
     /* 1593246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593280 */     // GIR_Coverage, 3008,
     /* 1593280 */     GIR_EraseRootFromParent_Done,
     /* 1593281 */   // Label 22010: @1593281
     /* 1593281 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1593367), // Rule ID 3009 //
     /* 1593286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1593297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1593300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1593303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593332 */     // MIs[0] policy
     /* 1593332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593366 */     // GIR_Coverage, 3009,
     /* 1593366 */     GIR_EraseRootFromParent_Done,
     /* 1593367 */   // Label 22011: @1593367
     /* 1593367 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1593453), // Rule ID 3012 //
     /* 1593372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593418 */     // MIs[0] policy
     /* 1593418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593452 */     // GIR_Coverage, 3012,
     /* 1593452 */     GIR_EraseRootFromParent_Done,
     /* 1593453 */   // Label 22012: @1593453
     /* 1593453 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1593539), // Rule ID 3013 //
     /* 1593458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593504 */     // MIs[0] policy
     /* 1593504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593538 */     // GIR_Coverage, 3013,
     /* 1593538 */     GIR_EraseRootFromParent_Done,
     /* 1593539 */   // Label 22013: @1593539
     /* 1593539 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1593625), // Rule ID 3016 //
     /* 1593544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593590 */     // MIs[0] policy
     /* 1593590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593624 */     // GIR_Coverage, 3016,
     /* 1593624 */     GIR_EraseRootFromParent_Done,
     /* 1593625 */   // Label 22014: @1593625
     /* 1593625 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1593711), // Rule ID 3017 //
     /* 1593630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593676 */     // MIs[0] policy
     /* 1593676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593710 */     // GIR_Coverage, 3017,
     /* 1593710 */     GIR_EraseRootFromParent_Done,
     /* 1593711 */   // Label 22015: @1593711
     /* 1593711 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1593797), // Rule ID 3020 //
     /* 1593716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593762 */     // MIs[0] policy
     /* 1593762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593796 */     // GIR_Coverage, 3020,
     /* 1593796 */     GIR_EraseRootFromParent_Done,
     /* 1593797 */   // Label 22016: @1593797
     /* 1593797 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1593883), // Rule ID 3021 //
     /* 1593802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593848 */     // MIs[0] policy
     /* 1593848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593882 */     // GIR_Coverage, 3021,
     /* 1593882 */     GIR_EraseRootFromParent_Done,
     /* 1593883 */   // Label 22017: @1593883
     /* 1593883 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1593969), // Rule ID 3024 //
     /* 1593888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593934 */     // MIs[0] policy
     /* 1593934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593968 */     // GIR_Coverage, 3024,
     /* 1593968 */     GIR_EraseRootFromParent_Done,
     /* 1593969 */   // Label 22018: @1593969
     /* 1593969 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1594055), // Rule ID 3025 //
     /* 1593974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594020 */     // MIs[0] policy
     /* 1594020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1594033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594054 */     // GIR_Coverage, 3025,
     /* 1594054 */     GIR_EraseRootFromParent_Done,
     /* 1594055 */   // Label 22019: @1594055
     /* 1594055 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1594141), // Rule ID 3028 //
     /* 1594060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1594071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1594074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1594077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594106 */     // MIs[0] policy
     /* 1594106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1594119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594140 */     // GIR_Coverage, 3028,
     /* 1594140 */     GIR_EraseRootFromParent_Done,
     /* 1594141 */   // Label 22020: @1594141
     /* 1594141 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1594227), // Rule ID 3029 //
     /* 1594146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1594157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1594160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1594163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594192 */     // MIs[0] policy
     /* 1594192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1594205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594226 */     // GIR_Coverage, 3029,
     /* 1594226 */     GIR_EraseRootFromParent_Done,
     /* 1594227 */   // Label 22021: @1594227
     /* 1594227 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1594313), // Rule ID 3120 //
     /* 1594232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1594249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1594252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594278 */     // MIs[0] policy
     /* 1594278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1594291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594312 */     // GIR_Coverage, 3120,
     /* 1594312 */     GIR_EraseRootFromParent_Done,
     /* 1594313 */   // Label 22022: @1594313
     /* 1594313 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1594399), // Rule ID 3121 //
     /* 1594318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1594335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1594338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594364 */     // MIs[0] policy
     /* 1594364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1594377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594398 */     // GIR_Coverage, 3121,
     /* 1594398 */     GIR_EraseRootFromParent_Done,
     /* 1594399 */   // Label 22023: @1594399
     /* 1594399 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1594485), // Rule ID 3124 //
     /* 1594404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594450 */     // MIs[0] policy
     /* 1594450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594484 */     // GIR_Coverage, 3124,
     /* 1594484 */     GIR_EraseRootFromParent_Done,
     /* 1594485 */   // Label 22024: @1594485
     /* 1594485 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1594571), // Rule ID 3125 //
     /* 1594490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594536 */     // MIs[0] policy
     /* 1594536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594570 */     // GIR_Coverage, 3125,
     /* 1594570 */     GIR_EraseRootFromParent_Done,
     /* 1594571 */   // Label 22025: @1594571
     /* 1594571 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1594657), // Rule ID 3128 //
     /* 1594576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594622 */     // MIs[0] policy
     /* 1594622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594656 */     // GIR_Coverage, 3128,
     /* 1594656 */     GIR_EraseRootFromParent_Done,
     /* 1594657 */   // Label 22026: @1594657
     /* 1594657 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1594743), // Rule ID 3129 //
     /* 1594662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594708 */     // MIs[0] policy
     /* 1594708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594742 */     // GIR_Coverage, 3129,
     /* 1594742 */     GIR_EraseRootFromParent_Done,
     /* 1594743 */   // Label 22027: @1594743
     /* 1594743 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1594829), // Rule ID 3132 //
     /* 1594748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594794 */     // MIs[0] policy
     /* 1594794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594804 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594828 */     // GIR_Coverage, 3132,
     /* 1594828 */     GIR_EraseRootFromParent_Done,
     /* 1594829 */   // Label 22028: @1594829
     /* 1594829 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1594915), // Rule ID 3133 //
     /* 1594834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594880 */     // MIs[0] policy
     /* 1594880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594914 */     // GIR_Coverage, 3133,
     /* 1594914 */     GIR_EraseRootFromParent_Done,
     /* 1594915 */   // Label 22029: @1594915
     /* 1594915 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1595001), // Rule ID 3136 //
     /* 1594920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594966 */     // MIs[0] policy
     /* 1594966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595000 */     // GIR_Coverage, 3136,
     /* 1595000 */     GIR_EraseRootFromParent_Done,
     /* 1595001 */   // Label 22030: @1595001
     /* 1595001 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1595087), // Rule ID 3137 //
     /* 1595006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1595017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1595020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1595023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1595026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595052 */     // MIs[0] policy
     /* 1595052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1595065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595086 */     // GIR_Coverage, 3137,
     /* 1595086 */     GIR_EraseRootFromParent_Done,
     /* 1595087 */   // Label 22031: @1595087
     /* 1595087 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1595173), // Rule ID 3140 //
     /* 1595092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1595112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595138 */     // MIs[0] policy
     /* 1595138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1595151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595172 */     // GIR_Coverage, 3140,
     /* 1595172 */     GIR_EraseRootFromParent_Done,
     /* 1595173 */   // Label 22032: @1595173
     /* 1595173 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1595259), // Rule ID 3141 //
     /* 1595178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1595198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595224 */     // MIs[0] policy
     /* 1595224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1595237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595258 */     // GIR_Coverage, 3141,
     /* 1595258 */     GIR_EraseRootFromParent_Done,
     /* 1595259 */   // Label 22033: @1595259
     /* 1595259 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1595345), // Rule ID 3144 //
     /* 1595264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1595284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595310 */     // MIs[0] policy
     /* 1595310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595344 */     // GIR_Coverage, 3144,
     /* 1595344 */     GIR_EraseRootFromParent_Done,
     /* 1595345 */   // Label 22034: @1595345
     /* 1595345 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1595431), // Rule ID 3145 //
     /* 1595350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1595370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595396 */     // MIs[0] policy
     /* 1595396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595406 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595430 */     // GIR_Coverage, 3145,
     /* 1595430 */     GIR_EraseRootFromParent_Done,
     /* 1595431 */   // Label 22035: @1595431
     /* 1595431 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1595517), // Rule ID 3148 //
     /* 1595436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595482 */     // MIs[0] policy
     /* 1595482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595516 */     // GIR_Coverage, 3148,
     /* 1595516 */     GIR_EraseRootFromParent_Done,
     /* 1595517 */   // Label 22036: @1595517
     /* 1595517 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1595603), // Rule ID 3149 //
     /* 1595522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595568 */     // MIs[0] policy
     /* 1595568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595602 */     // GIR_Coverage, 3149,
     /* 1595602 */     GIR_EraseRootFromParent_Done,
     /* 1595603 */   // Label 22037: @1595603
     /* 1595603 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1595689), // Rule ID 3152 //
     /* 1595608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595654 */     // MIs[0] policy
     /* 1595654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595688 */     // GIR_Coverage, 3152,
     /* 1595688 */     GIR_EraseRootFromParent_Done,
     /* 1595689 */   // Label 22038: @1595689
     /* 1595689 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1595775), // Rule ID 3153 //
     /* 1595694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595740 */     // MIs[0] policy
     /* 1595740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595774 */     // GIR_Coverage, 3153,
     /* 1595774 */     GIR_EraseRootFromParent_Done,
     /* 1595775 */   // Label 22039: @1595775
     /* 1595775 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1595861), // Rule ID 3156 //
     /* 1595780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595826 */     // MIs[0] policy
     /* 1595826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595860 */     // GIR_Coverage, 3156,
     /* 1595860 */     GIR_EraseRootFromParent_Done,
     /* 1595861 */   // Label 22040: @1595861
     /* 1595861 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1595947), // Rule ID 3157 //
     /* 1595866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595912 */     // MIs[0] policy
     /* 1595912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595946 */     // GIR_Coverage, 3157,
     /* 1595946 */     GIR_EraseRootFromParent_Done,
     /* 1595947 */   // Label 22041: @1595947
     /* 1595947 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1596033), // Rule ID 3160 //
     /* 1595952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595998 */     // MIs[0] policy
     /* 1595998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596032 */     // GIR_Coverage, 3160,
     /* 1596032 */     GIR_EraseRootFromParent_Done,
     /* 1596033 */   // Label 22042: @1596033
     /* 1596033 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1596119), // Rule ID 3161 //
     /* 1596038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1596049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1596052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1596055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1596058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596084 */     // MIs[0] policy
     /* 1596084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596094 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596118 */     // GIR_Coverage, 3161,
     /* 1596118 */     GIR_EraseRootFromParent_Done,
     /* 1596119 */   // Label 22043: @1596119
     /* 1596119 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1596205), // Rule ID 3164 //
     /* 1596124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1596135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1596138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1596141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1596144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596170 */     // MIs[0] policy
     /* 1596170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596204 */     // GIR_Coverage, 3164,
     /* 1596204 */     GIR_EraseRootFromParent_Done,
     /* 1596205 */   // Label 22044: @1596205
     /* 1596205 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1596291), // Rule ID 3165 //
     /* 1596210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1596221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1596224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1596227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1596230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596256 */     // MIs[0] policy
     /* 1596256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596290 */     // GIR_Coverage, 3165,
     /* 1596290 */     GIR_EraseRootFromParent_Done,
     /* 1596291 */   // Label 22045: @1596291
     /* 1596291 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1596377), // Rule ID 3168 //
     /* 1596296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1596316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596342 */     // MIs[0] policy
     /* 1596342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596376 */     // GIR_Coverage, 3168,
     /* 1596376 */     GIR_EraseRootFromParent_Done,
     /* 1596377 */   // Label 22046: @1596377
     /* 1596377 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1596463), // Rule ID 3169 //
     /* 1596382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1596402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596428 */     // MIs[0] policy
     /* 1596428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596438 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596462 */     // GIR_Coverage, 3169,
     /* 1596462 */     GIR_EraseRootFromParent_Done,
     /* 1596463 */   // Label 22047: @1596463
     /* 1596463 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1596549), // Rule ID 3172 //
     /* 1596468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596514 */     // MIs[0] policy
     /* 1596514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596548 */     // GIR_Coverage, 3172,
     /* 1596548 */     GIR_EraseRootFromParent_Done,
     /* 1596549 */   // Label 22048: @1596549
     /* 1596549 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1596635), // Rule ID 3173 //
     /* 1596554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596600 */     // MIs[0] policy
     /* 1596600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596634 */     // GIR_Coverage, 3173,
     /* 1596634 */     GIR_EraseRootFromParent_Done,
     /* 1596635 */   // Label 22049: @1596635
     /* 1596635 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1596721), // Rule ID 3176 //
     /* 1596640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596686 */     // MIs[0] policy
     /* 1596686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596720 */     // GIR_Coverage, 3176,
     /* 1596720 */     GIR_EraseRootFromParent_Done,
     /* 1596721 */   // Label 22050: @1596721
     /* 1596721 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1596807), // Rule ID 3177 //
     /* 1596726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596772 */     // MIs[0] policy
     /* 1596772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596806 */     // GIR_Coverage, 3177,
     /* 1596806 */     GIR_EraseRootFromParent_Done,
     /* 1596807 */   // Label 22051: @1596807
     /* 1596807 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1596893), // Rule ID 3180 //
     /* 1596812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596858 */     // MIs[0] policy
     /* 1596858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596892 */     // GIR_Coverage, 3180,
     /* 1596892 */     GIR_EraseRootFromParent_Done,
     /* 1596893 */   // Label 22052: @1596893
     /* 1596893 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1596979), // Rule ID 3181 //
     /* 1596898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596944 */     // MIs[0] policy
     /* 1596944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596978 */     // GIR_Coverage, 3181,
     /* 1596978 */     GIR_EraseRootFromParent_Done,
     /* 1596979 */   // Label 22053: @1596979
     /* 1596979 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1597065), // Rule ID 3184 //
     /* 1596984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1597001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1597004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597030 */     // MIs[0] policy
     /* 1597030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597064 */     // GIR_Coverage, 3184,
     /* 1597064 */     GIR_EraseRootFromParent_Done,
     /* 1597065 */   // Label 22054: @1597065
     /* 1597065 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1597151), // Rule ID 3185 //
     /* 1597070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1597081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1597084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1597087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1597090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597116 */     // MIs[0] policy
     /* 1597116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597150 */     // GIR_Coverage, 3185,
     /* 1597150 */     GIR_EraseRootFromParent_Done,
     /* 1597151 */   // Label 22055: @1597151
     /* 1597151 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1597237), // Rule ID 3188 //
     /* 1597156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1597167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1597170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1597173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1597176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597202 */     // MIs[0] policy
     /* 1597202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597236 */     // GIR_Coverage, 3188,
     /* 1597236 */     GIR_EraseRootFromParent_Done,
     /* 1597237 */   // Label 22056: @1597237
     /* 1597237 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1597323), // Rule ID 3189 //
     /* 1597242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1597253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1597256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1597259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1597262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597288 */     // MIs[0] policy
     /* 1597288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597322 */     // GIR_Coverage, 3189,
     /* 1597322 */     GIR_EraseRootFromParent_Done,
     /* 1597323 */   // Label 22057: @1597323
     /* 1597323 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1597409), // Rule ID 3192 //
     /* 1597328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1597348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597374 */     // MIs[0] policy
     /* 1597374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597408 */     // GIR_Coverage, 3192,
     /* 1597408 */     GIR_EraseRootFromParent_Done,
     /* 1597409 */   // Label 22058: @1597409
     /* 1597409 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1597495), // Rule ID 3193 //
     /* 1597414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1597434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597460 */     // MIs[0] policy
     /* 1597460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597494 */     // GIR_Coverage, 3193,
     /* 1597494 */     GIR_EraseRootFromParent_Done,
     /* 1597495 */   // Label 22059: @1597495
     /* 1597495 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1597581), // Rule ID 3196 //
     /* 1597500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597546 */     // MIs[0] policy
     /* 1597546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597580 */     // GIR_Coverage, 3196,
     /* 1597580 */     GIR_EraseRootFromParent_Done,
     /* 1597581 */   // Label 22060: @1597581
     /* 1597581 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1597667), // Rule ID 3197 //
     /* 1597586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597632 */     // MIs[0] policy
     /* 1597632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597666 */     // GIR_Coverage, 3197,
     /* 1597666 */     GIR_EraseRootFromParent_Done,
     /* 1597667 */   // Label 22061: @1597667
     /* 1597667 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1597753), // Rule ID 3200 //
     /* 1597672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597718 */     // MIs[0] policy
     /* 1597718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597752 */     // GIR_Coverage, 3200,
     /* 1597752 */     GIR_EraseRootFromParent_Done,
     /* 1597753 */   // Label 22062: @1597753
     /* 1597753 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1597839), // Rule ID 3201 //
     /* 1597758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597804 */     // MIs[0] policy
     /* 1597804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597838 */     // GIR_Coverage, 3201,
     /* 1597838 */     GIR_EraseRootFromParent_Done,
     /* 1597839 */   // Label 22063: @1597839
     /* 1597839 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1597925), // Rule ID 3204 //
     /* 1597844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597890 */     // MIs[0] policy
     /* 1597890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597924 */     // GIR_Coverage, 3204,
     /* 1597924 */     GIR_EraseRootFromParent_Done,
     /* 1597925 */   // Label 22064: @1597925
     /* 1597925 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1598011), // Rule ID 3205 //
     /* 1597930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597976 */     // MIs[0] policy
     /* 1597976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598010 */     // GIR_Coverage, 3205,
     /* 1598010 */     GIR_EraseRootFromParent_Done,
     /* 1598011 */   // Label 22065: @1598011
     /* 1598011 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1598097), // Rule ID 3208 //
     /* 1598016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1598027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1598030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1598033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598062 */     // MIs[0] policy
     /* 1598062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1598075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598096 */     // GIR_Coverage, 3208,
     /* 1598096 */     GIR_EraseRootFromParent_Done,
     /* 1598097 */   // Label 22066: @1598097
     /* 1598097 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1598183), // Rule ID 3209 //
     /* 1598102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1598113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1598116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1598119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598148 */     // MIs[0] policy
     /* 1598148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1598161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598182 */     // GIR_Coverage, 3209,
     /* 1598182 */     GIR_EraseRootFromParent_Done,
     /* 1598183 */   // Label 22067: @1598183
     /* 1598183 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1598269), // Rule ID 3212 //
     /* 1598188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1598199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1598202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1598205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598234 */     // MIs[0] policy
     /* 1598234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598268 */     // GIR_Coverage, 3212,
     /* 1598268 */     GIR_EraseRootFromParent_Done,
     /* 1598269 */   // Label 22068: @1598269
     /* 1598269 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1598355), // Rule ID 3213 //
     /* 1598274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1598285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1598288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1598291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598320 */     // MIs[0] policy
     /* 1598320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598354 */     // GIR_Coverage, 3213,
     /* 1598354 */     GIR_EraseRootFromParent_Done,
     /* 1598355 */   // Label 22069: @1598355
     /* 1598355 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1598441), // Rule ID 3216 //
     /* 1598360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598406 */     // MIs[0] policy
     /* 1598406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598440 */     // GIR_Coverage, 3216,
     /* 1598440 */     GIR_EraseRootFromParent_Done,
     /* 1598441 */   // Label 22070: @1598441
     /* 1598441 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1598527), // Rule ID 3217 //
     /* 1598446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598492 */     // MIs[0] policy
     /* 1598492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598526 */     // GIR_Coverage, 3217,
     /* 1598526 */     GIR_EraseRootFromParent_Done,
     /* 1598527 */   // Label 22071: @1598527
     /* 1598527 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1598613), // Rule ID 3220 //
     /* 1598532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598578 */     // MIs[0] policy
     /* 1598578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598612 */     // GIR_Coverage, 3220,
     /* 1598612 */     GIR_EraseRootFromParent_Done,
     /* 1598613 */   // Label 22072: @1598613
     /* 1598613 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1598699), // Rule ID 3221 //
     /* 1598618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598664 */     // MIs[0] policy
     /* 1598664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598698 */     // GIR_Coverage, 3221,
     /* 1598698 */     GIR_EraseRootFromParent_Done,
     /* 1598699 */   // Label 22073: @1598699
     /* 1598699 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1598785), // Rule ID 3224 //
     /* 1598704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598750 */     // MIs[0] policy
     /* 1598750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598784 */     // GIR_Coverage, 3224,
     /* 1598784 */     GIR_EraseRootFromParent_Done,
     /* 1598785 */   // Label 22074: @1598785
     /* 1598785 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1598871), // Rule ID 3225 //
     /* 1598790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598836 */     // MIs[0] policy
     /* 1598836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598870 */     // GIR_Coverage, 3225,
     /* 1598870 */     GIR_EraseRootFromParent_Done,
     /* 1598871 */   // Label 22075: @1598871
     /* 1598871 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1598957), // Rule ID 3228 //
     /* 1598876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598922 */     // MIs[0] policy
     /* 1598922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598956 */     // GIR_Coverage, 3228,
     /* 1598956 */     GIR_EraseRootFromParent_Done,
     /* 1598957 */   // Label 22076: @1598957
     /* 1598957 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1599043), // Rule ID 3229 //
     /* 1598962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599008 */     // MIs[0] policy
     /* 1599008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1599021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599042 */     // GIR_Coverage, 3229,
     /* 1599042 */     GIR_EraseRootFromParent_Done,
     /* 1599043 */   // Label 22077: @1599043
     /* 1599043 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1599129), // Rule ID 3232 //
     /* 1599048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599094 */     // MIs[0] policy
     /* 1599094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599128 */     // GIR_Coverage, 3232,
     /* 1599128 */     GIR_EraseRootFromParent_Done,
     /* 1599129 */   // Label 22078: @1599129
     /* 1599129 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1599215), // Rule ID 3233 //
     /* 1599134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599180 */     // MIs[0] policy
     /* 1599180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599214 */     // GIR_Coverage, 3233,
     /* 1599214 */     GIR_EraseRootFromParent_Done,
     /* 1599215 */   // Label 22079: @1599215
     /* 1599215 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1599301), // Rule ID 3236 //
     /* 1599220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599266 */     // MIs[0] policy
     /* 1599266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599300 */     // GIR_Coverage, 3236,
     /* 1599300 */     GIR_EraseRootFromParent_Done,
     /* 1599301 */   // Label 22080: @1599301
     /* 1599301 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1599387), // Rule ID 3237 //
     /* 1599306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599352 */     // MIs[0] policy
     /* 1599352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599386 */     // GIR_Coverage, 3237,
     /* 1599386 */     GIR_EraseRootFromParent_Done,
     /* 1599387 */   // Label 22081: @1599387
     /* 1599387 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1599473), // Rule ID 3240 //
     /* 1599392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599438 */     // MIs[0] policy
     /* 1599438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599472 */     // GIR_Coverage, 3240,
     /* 1599472 */     GIR_EraseRootFromParent_Done,
     /* 1599473 */   // Label 22082: @1599473
     /* 1599473 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1599559), // Rule ID 3241 //
     /* 1599478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599524 */     // MIs[0] policy
     /* 1599524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599558 */     // GIR_Coverage, 3241,
     /* 1599558 */     GIR_EraseRootFromParent_Done,
     /* 1599559 */   // Label 22083: @1599559
     /* 1599559 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1599645), // Rule ID 3244 //
     /* 1599564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599610 */     // MIs[0] policy
     /* 1599610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599644 */     // GIR_Coverage, 3244,
     /* 1599644 */     GIR_EraseRootFromParent_Done,
     /* 1599645 */   // Label 22084: @1599645
     /* 1599645 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1599731), // Rule ID 3245 //
     /* 1599650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599696 */     // MIs[0] policy
     /* 1599696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599730 */     // GIR_Coverage, 3245,
     /* 1599730 */     GIR_EraseRootFromParent_Done,
     /* 1599731 */   // Label 22085: @1599731
     /* 1599731 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1599817), // Rule ID 3248 //
     /* 1599736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599782 */     // MIs[0] policy
     /* 1599782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599816 */     // GIR_Coverage, 3248,
     /* 1599816 */     GIR_EraseRootFromParent_Done,
     /* 1599817 */   // Label 22086: @1599817
     /* 1599817 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1599903), // Rule ID 3249 //
     /* 1599822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599868 */     // MIs[0] policy
     /* 1599868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599902 */     // GIR_Coverage, 3249,
     /* 1599902 */     GIR_EraseRootFromParent_Done,
     /* 1599903 */   // Label 22087: @1599903
     /* 1599903 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1599989), // Rule ID 3252 //
     /* 1599908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599954 */     // MIs[0] policy
     /* 1599954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599988 */     // GIR_Coverage, 3252,
     /* 1599988 */     GIR_EraseRootFromParent_Done,
     /* 1599989 */   // Label 22088: @1599989
     /* 1599989 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1600075), // Rule ID 3253 //
     /* 1599994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1600005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1600008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1600011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600040 */     // MIs[0] policy
     /* 1600040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600050 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600074 */     // GIR_Coverage, 3253,
     /* 1600074 */     GIR_EraseRootFromParent_Done,
     /* 1600075 */   // Label 22089: @1600075
     /* 1600075 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1600161), // Rule ID 3256 //
     /* 1600080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1600091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1600094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1600097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1600103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600126 */     // MIs[0] policy
     /* 1600126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600160 */     // GIR_Coverage, 3256,
     /* 1600160 */     GIR_EraseRootFromParent_Done,
     /* 1600161 */   // Label 22090: @1600161
     /* 1600161 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1600247), // Rule ID 3257 //
     /* 1600166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1600177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1600180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1600183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1600189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600212 */     // MIs[0] policy
     /* 1600212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600222 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600246 */     // GIR_Coverage, 3257,
     /* 1600246 */     GIR_EraseRootFromParent_Done,
     /* 1600247 */   // Label 22091: @1600247
     /* 1600247 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1600333), // Rule ID 3260 //
     /* 1600252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600298 */     // MIs[0] policy
     /* 1600298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600332 */     // GIR_Coverage, 3260,
     /* 1600332 */     GIR_EraseRootFromParent_Done,
     /* 1600333 */   // Label 22092: @1600333
     /* 1600333 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1600419), // Rule ID 3261 //
     /* 1600338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600384 */     // MIs[0] policy
     /* 1600384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600418 */     // GIR_Coverage, 3261,
     /* 1600418 */     GIR_EraseRootFromParent_Done,
     /* 1600419 */   // Label 22093: @1600419
     /* 1600419 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1600505), // Rule ID 3264 //
     /* 1600424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600470 */     // MIs[0] policy
     /* 1600470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600504 */     // GIR_Coverage, 3264,
     /* 1600504 */     GIR_EraseRootFromParent_Done,
     /* 1600505 */   // Label 22094: @1600505
     /* 1600505 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1600591), // Rule ID 3265 //
     /* 1600510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600556 */     // MIs[0] policy
     /* 1600556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600590 */     // GIR_Coverage, 3265,
     /* 1600590 */     GIR_EraseRootFromParent_Done,
     /* 1600591 */   // Label 22095: @1600591
     /* 1600591 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1600677), // Rule ID 3268 //
     /* 1600596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600642 */     // MIs[0] policy
     /* 1600642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600676 */     // GIR_Coverage, 3268,
     /* 1600676 */     GIR_EraseRootFromParent_Done,
     /* 1600677 */   // Label 22096: @1600677
     /* 1600677 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1600763), // Rule ID 3269 //
     /* 1600682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600728 */     // MIs[0] policy
     /* 1600728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600762 */     // GIR_Coverage, 3269,
     /* 1600762 */     GIR_EraseRootFromParent_Done,
     /* 1600763 */   // Label 22097: @1600763
     /* 1600763 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1600849), // Rule ID 3272 //
     /* 1600768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600814 */     // MIs[0] policy
     /* 1600814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600848 */     // GIR_Coverage, 3272,
     /* 1600848 */     GIR_EraseRootFromParent_Done,
     /* 1600849 */   // Label 22098: @1600849
     /* 1600849 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1600935), // Rule ID 3273 //
     /* 1600854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600900 */     // MIs[0] policy
     /* 1600900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600934 */     // GIR_Coverage, 3273,
     /* 1600934 */     GIR_EraseRootFromParent_Done,
     /* 1600935 */   // Label 22099: @1600935
     /* 1600935 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1601021), // Rule ID 3276 //
     /* 1600940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600986 */     // MIs[0] policy
     /* 1600986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601020 */     // GIR_Coverage, 3276,
     /* 1601020 */     GIR_EraseRootFromParent_Done,
     /* 1601021 */   // Label 22100: @1601021
     /* 1601021 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1601107), // Rule ID 3277 //
     /* 1601026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1601043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601072 */     // MIs[0] policy
     /* 1601072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601106 */     // GIR_Coverage, 3277,
     /* 1601106 */     GIR_EraseRootFromParent_Done,
     /* 1601107 */   // Label 22101: @1601107
     /* 1601107 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1601193), // Rule ID 3280 //
     /* 1601112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1601126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1601129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601158 */     // MIs[0] policy
     /* 1601158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601192 */     // GIR_Coverage, 3280,
     /* 1601192 */     GIR_EraseRootFromParent_Done,
     /* 1601193 */   // Label 22102: @1601193
     /* 1601193 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1601279), // Rule ID 3281 //
     /* 1601198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1601212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1601215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601244 */     // MIs[0] policy
     /* 1601244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601278 */     // GIR_Coverage, 3281,
     /* 1601278 */     GIR_EraseRootFromParent_Done,
     /* 1601279 */   // Label 22103: @1601279
     /* 1601279 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1601365), // Rule ID 3284 //
     /* 1601284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601330 */     // MIs[0] policy
     /* 1601330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1601343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601364 */     // GIR_Coverage, 3284,
     /* 1601364 */     GIR_EraseRootFromParent_Done,
     /* 1601365 */   // Label 22104: @1601365
     /* 1601365 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1601451), // Rule ID 3285 //
     /* 1601370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601416 */     // MIs[0] policy
     /* 1601416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1601429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601450 */     // GIR_Coverage, 3285,
     /* 1601450 */     GIR_EraseRootFromParent_Done,
     /* 1601451 */   // Label 22105: @1601451
     /* 1601451 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1601537), // Rule ID 3288 //
     /* 1601456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601502 */     // MIs[0] policy
     /* 1601502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601536 */     // GIR_Coverage, 3288,
     /* 1601536 */     GIR_EraseRootFromParent_Done,
     /* 1601537 */   // Label 22106: @1601537
     /* 1601537 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1601623), // Rule ID 3289 //
     /* 1601542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601588 */     // MIs[0] policy
     /* 1601588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601622 */     // GIR_Coverage, 3289,
     /* 1601622 */     GIR_EraseRootFromParent_Done,
     /* 1601623 */   // Label 22107: @1601623
     /* 1601623 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1601709), // Rule ID 3292 //
     /* 1601628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601674 */     // MIs[0] policy
     /* 1601674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601708 */     // GIR_Coverage, 3292,
     /* 1601708 */     GIR_EraseRootFromParent_Done,
     /* 1601709 */   // Label 22108: @1601709
     /* 1601709 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1601795), // Rule ID 3293 //
     /* 1601714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601760 */     // MIs[0] policy
     /* 1601760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601794 */     // GIR_Coverage, 3293,
     /* 1601794 */     GIR_EraseRootFromParent_Done,
     /* 1601795 */   // Label 22109: @1601795
     /* 1601795 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1601881), // Rule ID 3296 //
     /* 1601800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601846 */     // MIs[0] policy
     /* 1601846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601880 */     // GIR_Coverage, 3296,
     /* 1601880 */     GIR_EraseRootFromParent_Done,
     /* 1601881 */   // Label 22110: @1601881
     /* 1601881 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1601967), // Rule ID 3297 //
     /* 1601886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601932 */     // MIs[0] policy
     /* 1601932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601966 */     // GIR_Coverage, 3297,
     /* 1601966 */     GIR_EraseRootFromParent_Done,
     /* 1601967 */   // Label 22111: @1601967
     /* 1601967 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1602053), // Rule ID 3300 //
     /* 1601972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602018 */     // MIs[0] policy
     /* 1602018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602052 */     // GIR_Coverage, 3300,
     /* 1602052 */     GIR_EraseRootFromParent_Done,
     /* 1602053 */   // Label 22112: @1602053
     /* 1602053 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1602139), // Rule ID 3301 //
     /* 1602058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1602069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1602072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1602075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602104 */     // MIs[0] policy
     /* 1602104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602114 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602138 */     // GIR_Coverage, 3301,
     /* 1602138 */     GIR_EraseRootFromParent_Done,
     /* 1602139 */   // Label 22113: @1602139
     /* 1602139 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1602225), // Rule ID 3304 //
     /* 1602144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602190 */     // MIs[0] policy
     /* 1602190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602224 */     // GIR_Coverage, 3304,
     /* 1602224 */     GIR_EraseRootFromParent_Done,
     /* 1602225 */   // Label 22114: @1602225
     /* 1602225 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1602311), // Rule ID 3305 //
     /* 1602230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602276 */     // MIs[0] policy
     /* 1602276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602310 */     // GIR_Coverage, 3305,
     /* 1602310 */     GIR_EraseRootFromParent_Done,
     /* 1602311 */   // Label 22115: @1602311
     /* 1602311 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1602397), // Rule ID 3308 //
     /* 1602316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602362 */     // MIs[0] policy
     /* 1602362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602396 */     // GIR_Coverage, 3308,
     /* 1602396 */     GIR_EraseRootFromParent_Done,
     /* 1602397 */   // Label 22116: @1602397
     /* 1602397 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1602483), // Rule ID 3309 //
     /* 1602402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602448 */     // MIs[0] policy
     /* 1602448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602482 */     // GIR_Coverage, 3309,
     /* 1602482 */     GIR_EraseRootFromParent_Done,
     /* 1602483 */   // Label 22117: @1602483
     /* 1602483 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1602569), // Rule ID 3312 //
     /* 1602488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602534 */     // MIs[0] policy
     /* 1602534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602568 */     // GIR_Coverage, 3312,
     /* 1602568 */     GIR_EraseRootFromParent_Done,
     /* 1602569 */   // Label 22118: @1602569
     /* 1602569 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1602655), // Rule ID 3313 //
     /* 1602574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602620 */     // MIs[0] policy
     /* 1602620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602654 */     // GIR_Coverage, 3313,
     /* 1602654 */     GIR_EraseRootFromParent_Done,
     /* 1602655 */   // Label 22119: @1602655
     /* 1602655 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1602741), // Rule ID 3316 //
     /* 1602660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602706 */     // MIs[0] policy
     /* 1602706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602740 */     // GIR_Coverage, 3316,
     /* 1602740 */     GIR_EraseRootFromParent_Done,
     /* 1602741 */   // Label 22120: @1602741
     /* 1602741 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1602827), // Rule ID 3317 //
     /* 1602746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602792 */     // MIs[0] policy
     /* 1602792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602826 */     // GIR_Coverage, 3317,
     /* 1602826 */     GIR_EraseRootFromParent_Done,
     /* 1602827 */   // Label 22121: @1602827
     /* 1602827 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1602913), // Rule ID 3320 //
     /* 1602832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602878 */     // MIs[0] policy
     /* 1602878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602912 */     // GIR_Coverage, 3320,
     /* 1602912 */     GIR_EraseRootFromParent_Done,
     /* 1602913 */   // Label 22122: @1602913
     /* 1602913 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1602999), // Rule ID 3321 //
     /* 1602918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602964 */     // MIs[0] policy
     /* 1602964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602998 */     // GIR_Coverage, 3321,
     /* 1602998 */     GIR_EraseRootFromParent_Done,
     /* 1602999 */   // Label 22123: @1602999
     /* 1602999 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1603085), // Rule ID 3324 //
     /* 1603004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603050 */     // MIs[0] policy
     /* 1603050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603084 */     // GIR_Coverage, 3324,
     /* 1603084 */     GIR_EraseRootFromParent_Done,
     /* 1603085 */   // Label 22124: @1603085
     /* 1603085 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1603171), // Rule ID 3325 //
     /* 1603090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603136 */     // MIs[0] policy
     /* 1603136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603170 */     // GIR_Coverage, 3325,
     /* 1603170 */     GIR_EraseRootFromParent_Done,
     /* 1603171 */   // Label 22125: @1603171
     /* 1603171 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1603257), // Rule ID 3328 //
     /* 1603176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603222 */     // MIs[0] policy
     /* 1603222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603256 */     // GIR_Coverage, 3328,
     /* 1603256 */     GIR_EraseRootFromParent_Done,
     /* 1603257 */   // Label 22126: @1603257
     /* 1603257 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1603343), // Rule ID 3329 //
     /* 1603262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603308 */     // MIs[0] policy
     /* 1603308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603342 */     // GIR_Coverage, 3329,
     /* 1603342 */     GIR_EraseRootFromParent_Done,
     /* 1603343 */   // Label 22127: @1603343
     /* 1603343 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1603429), // Rule ID 3332 //
     /* 1603348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603394 */     // MIs[0] policy
     /* 1603394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603428 */     // GIR_Coverage, 3332,
     /* 1603428 */     GIR_EraseRootFromParent_Done,
     /* 1603429 */   // Label 22128: @1603429
     /* 1603429 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1603515), // Rule ID 3333 //
     /* 1603434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603480 */     // MIs[0] policy
     /* 1603480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603514 */     // GIR_Coverage, 3333,
     /* 1603514 */     GIR_EraseRootFromParent_Done,
     /* 1603515 */   // Label 22129: @1603515
     /* 1603515 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1603601), // Rule ID 3336 //
     /* 1603520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603566 */     // MIs[0] policy
     /* 1603566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603600 */     // GIR_Coverage, 3336,
     /* 1603600 */     GIR_EraseRootFromParent_Done,
     /* 1603601 */   // Label 22130: @1603601
     /* 1603601 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1603687), // Rule ID 3337 //
     /* 1603606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603652 */     // MIs[0] policy
     /* 1603652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603686 */     // GIR_Coverage, 3337,
     /* 1603686 */     GIR_EraseRootFromParent_Done,
     /* 1603687 */   // Label 22131: @1603687
     /* 1603687 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1603773), // Rule ID 3340 //
     /* 1603692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603738 */     // MIs[0] policy
     /* 1603738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603772 */     // GIR_Coverage, 3340,
     /* 1603772 */     GIR_EraseRootFromParent_Done,
     /* 1603773 */   // Label 22132: @1603773
     /* 1603773 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1603859), // Rule ID 3341 //
     /* 1603778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603824 */     // MIs[0] policy
     /* 1603824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603858 */     // GIR_Coverage, 3341,
     /* 1603858 */     GIR_EraseRootFromParent_Done,
     /* 1603859 */   // Label 22133: @1603859
     /* 1603859 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1603945), // Rule ID 3344 //
     /* 1603864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603910 */     // MIs[0] policy
     /* 1603910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603944 */     // GIR_Coverage, 3344,
     /* 1603944 */     GIR_EraseRootFromParent_Done,
     /* 1603945 */   // Label 22134: @1603945
     /* 1603945 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1604031), // Rule ID 3345 //
     /* 1603950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603996 */     // MIs[0] policy
     /* 1603996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604006 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604030 */     // GIR_Coverage, 3345,
     /* 1604030 */     GIR_EraseRootFromParent_Done,
     /* 1604031 */   // Label 22135: @1604031
     /* 1604031 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1604117), // Rule ID 3348 //
     /* 1604036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1604053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604082 */     // MIs[0] policy
     /* 1604082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604116 */     // GIR_Coverage, 3348,
     /* 1604116 */     GIR_EraseRootFromParent_Done,
     /* 1604117 */   // Label 22136: @1604117
     /* 1604117 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1604203), // Rule ID 3349 //
     /* 1604122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1604139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604168 */     // MIs[0] policy
     /* 1604168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604202 */     // GIR_Coverage, 3349,
     /* 1604202 */     GIR_EraseRootFromParent_Done,
     /* 1604203 */   // Label 22137: @1604203
     /* 1604203 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1604289), // Rule ID 3352 //
     /* 1604208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1604225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604254 */     // MIs[0] policy
     /* 1604254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604288 */     // GIR_Coverage, 3352,
     /* 1604288 */     GIR_EraseRootFromParent_Done,
     /* 1604289 */   // Label 22138: @1604289
     /* 1604289 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1604375), // Rule ID 3353 //
     /* 1604294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1604311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604340 */     // MIs[0] policy
     /* 1604340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604374 */     // GIR_Coverage, 3353,
     /* 1604374 */     GIR_EraseRootFromParent_Done,
     /* 1604375 */   // Label 22139: @1604375
     /* 1604375 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1604461), // Rule ID 3356 //
     /* 1604380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604426 */     // MIs[0] policy
     /* 1604426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604460 */     // GIR_Coverage, 3356,
     /* 1604460 */     GIR_EraseRootFromParent_Done,
     /* 1604461 */   // Label 22140: @1604461
     /* 1604461 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1604547), // Rule ID 3357 //
     /* 1604466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604512 */     // MIs[0] policy
     /* 1604512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604546 */     // GIR_Coverage, 3357,
     /* 1604546 */     GIR_EraseRootFromParent_Done,
     /* 1604547 */   // Label 22141: @1604547
     /* 1604547 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1604633), // Rule ID 3360 //
     /* 1604552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604598 */     // MIs[0] policy
     /* 1604598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604632 */     // GIR_Coverage, 3360,
     /* 1604632 */     GIR_EraseRootFromParent_Done,
     /* 1604633 */   // Label 22142: @1604633
     /* 1604633 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1604719), // Rule ID 3361 //
     /* 1604638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604684 */     // MIs[0] policy
     /* 1604684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604718 */     // GIR_Coverage, 3361,
     /* 1604718 */     GIR_EraseRootFromParent_Done,
     /* 1604719 */   // Label 22143: @1604719
     /* 1604719 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1604805), // Rule ID 3364 //
     /* 1604724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604770 */     // MIs[0] policy
     /* 1604770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604804 */     // GIR_Coverage, 3364,
     /* 1604804 */     GIR_EraseRootFromParent_Done,
     /* 1604805 */   // Label 22144: @1604805
     /* 1604805 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1604891), // Rule ID 3365 //
     /* 1604810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604856 */     // MIs[0] policy
     /* 1604856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604890 */     // GIR_Coverage, 3365,
     /* 1604890 */     GIR_EraseRootFromParent_Done,
     /* 1604891 */   // Label 22145: @1604891
     /* 1604891 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1604977), // Rule ID 3368 //
     /* 1604896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604942 */     // MIs[0] policy
     /* 1604942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604976 */     // GIR_Coverage, 3368,
     /* 1604976 */     GIR_EraseRootFromParent_Done,
     /* 1604977 */   // Label 22146: @1604977
     /* 1604977 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1605063), // Rule ID 3369 //
     /* 1604982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605028 */     // MIs[0] policy
     /* 1605028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605062 */     // GIR_Coverage, 3369,
     /* 1605062 */     GIR_EraseRootFromParent_Done,
     /* 1605063 */   // Label 22147: @1605063
     /* 1605063 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1605149), // Rule ID 3372 //
     /* 1605068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1605085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605114 */     // MIs[0] policy
     /* 1605114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1605127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605148 */     // GIR_Coverage, 3372,
     /* 1605148 */     GIR_EraseRootFromParent_Done,
     /* 1605149 */   // Label 22148: @1605149
     /* 1605149 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1605235), // Rule ID 3373 //
     /* 1605154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1605171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605200 */     // MIs[0] policy
     /* 1605200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1605213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605234 */     // GIR_Coverage, 3373,
     /* 1605234 */     GIR_EraseRootFromParent_Done,
     /* 1605235 */   // Label 22149: @1605235
     /* 1605235 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1605321), // Rule ID 3376 //
     /* 1605240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1605257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605286 */     // MIs[0] policy
     /* 1605286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1605299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605320 */     // GIR_Coverage, 3376,
     /* 1605320 */     GIR_EraseRootFromParent_Done,
     /* 1605321 */   // Label 22150: @1605321
     /* 1605321 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1605407), // Rule ID 3377 //
     /* 1605326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1605343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605372 */     // MIs[0] policy
     /* 1605372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1605385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605406 */     // GIR_Coverage, 3377,
     /* 1605406 */     GIR_EraseRootFromParent_Done,
     /* 1605407 */   // Label 22151: @1605407
     /* 1605407 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1605493), // Rule ID 3380 //
     /* 1605412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605458 */     // MIs[0] policy
     /* 1605458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605492 */     // GIR_Coverage, 3380,
     /* 1605492 */     GIR_EraseRootFromParent_Done,
     /* 1605493 */   // Label 22152: @1605493
     /* 1605493 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1605579), // Rule ID 3381 //
     /* 1605498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605544 */     // MIs[0] policy
     /* 1605544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605578 */     // GIR_Coverage, 3381,
     /* 1605578 */     GIR_EraseRootFromParent_Done,
     /* 1605579 */   // Label 22153: @1605579
     /* 1605579 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1605665), // Rule ID 3472 //
     /* 1605584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605630 */     // MIs[0] policy
     /* 1605630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605664 */     // GIR_Coverage, 3472,
     /* 1605664 */     GIR_EraseRootFromParent_Done,
     /* 1605665 */   // Label 22154: @1605665
     /* 1605665 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1605751), // Rule ID 3473 //
     /* 1605670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605716 */     // MIs[0] policy
     /* 1605716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605726 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605750 */     // GIR_Coverage, 3473,
     /* 1605750 */     GIR_EraseRootFromParent_Done,
     /* 1605751 */   // Label 22155: @1605751
     /* 1605751 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1605837), // Rule ID 3476 //
     /* 1605756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605802 */     // MIs[0] policy
     /* 1605802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605836 */     // GIR_Coverage, 3476,
     /* 1605836 */     GIR_EraseRootFromParent_Done,
     /* 1605837 */   // Label 22156: @1605837
     /* 1605837 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1605923), // Rule ID 3477 //
     /* 1605842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605888 */     // MIs[0] policy
     /* 1605888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605898 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605922 */     // GIR_Coverage, 3477,
     /* 1605922 */     GIR_EraseRootFromParent_Done,
     /* 1605923 */   // Label 22157: @1605923
     /* 1605923 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1606009), // Rule ID 3480 //
     /* 1605928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605974 */     // MIs[0] policy
     /* 1605974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606008 */     // GIR_Coverage, 3480,
     /* 1606008 */     GIR_EraseRootFromParent_Done,
     /* 1606009 */   // Label 22158: @1606009
     /* 1606009 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1606095), // Rule ID 3481 //
     /* 1606014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1606034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606060 */     // MIs[0] policy
     /* 1606060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606094 */     // GIR_Coverage, 3481,
     /* 1606094 */     GIR_EraseRootFromParent_Done,
     /* 1606095 */   // Label 22159: @1606095
     /* 1606095 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1606181), // Rule ID 3484 //
     /* 1606100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606146 */     // MIs[0] policy
     /* 1606146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606180 */     // GIR_Coverage, 3484,
     /* 1606180 */     GIR_EraseRootFromParent_Done,
     /* 1606181 */   // Label 22160: @1606181
     /* 1606181 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1606267), // Rule ID 3485 //
     /* 1606186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606232 */     // MIs[0] policy
     /* 1606232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606266 */     // GIR_Coverage, 3485,
     /* 1606266 */     GIR_EraseRootFromParent_Done,
     /* 1606267 */   // Label 22161: @1606267
     /* 1606267 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1606353), // Rule ID 3488 //
     /* 1606272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606318 */     // MIs[0] policy
     /* 1606318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606352 */     // GIR_Coverage, 3488,
     /* 1606352 */     GIR_EraseRootFromParent_Done,
     /* 1606353 */   // Label 22162: @1606353
     /* 1606353 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1606439), // Rule ID 3489 //
     /* 1606358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606404 */     // MIs[0] policy
     /* 1606404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606438 */     // GIR_Coverage, 3489,
     /* 1606438 */     GIR_EraseRootFromParent_Done,
     /* 1606439 */   // Label 22163: @1606439
     /* 1606439 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1606525), // Rule ID 3492 //
     /* 1606444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606490 */     // MIs[0] policy
     /* 1606490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606524 */     // GIR_Coverage, 3492,
     /* 1606524 */     GIR_EraseRootFromParent_Done,
     /* 1606525 */   // Label 22164: @1606525
     /* 1606525 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1606611), // Rule ID 3493 //
     /* 1606530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606576 */     // MIs[0] policy
     /* 1606576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606610 */     // GIR_Coverage, 3493,
     /* 1606610 */     GIR_EraseRootFromParent_Done,
     /* 1606611 */   // Label 22165: @1606611
     /* 1606611 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1606697), // Rule ID 3496 //
     /* 1606616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606662 */     // MIs[0] policy
     /* 1606662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606696 */     // GIR_Coverage, 3496,
     /* 1606696 */     GIR_EraseRootFromParent_Done,
     /* 1606697 */   // Label 22166: @1606697
     /* 1606697 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1606783), // Rule ID 3497 //
     /* 1606702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606748 */     // MIs[0] policy
     /* 1606748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606782 */     // GIR_Coverage, 3497,
     /* 1606782 */     GIR_EraseRootFromParent_Done,
     /* 1606783 */   // Label 22167: @1606783
     /* 1606783 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1606869), // Rule ID 3500 //
     /* 1606788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606834 */     // MIs[0] policy
     /* 1606834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606868 */     // GIR_Coverage, 3500,
     /* 1606868 */     GIR_EraseRootFromParent_Done,
     /* 1606869 */   // Label 22168: @1606869
     /* 1606869 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1606955), // Rule ID 3501 //
     /* 1606874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606920 */     // MIs[0] policy
     /* 1606920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606954 */     // GIR_Coverage, 3501,
     /* 1606954 */     GIR_EraseRootFromParent_Done,
     /* 1606955 */   // Label 22169: @1606955
     /* 1606955 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1607041), // Rule ID 3504 //
     /* 1606960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1606971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1606974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607006 */     // MIs[0] policy
     /* 1607006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607040 */     // GIR_Coverage, 3504,
     /* 1607040 */     GIR_EraseRootFromParent_Done,
     /* 1607041 */   // Label 22170: @1607041
     /* 1607041 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1607127), // Rule ID 3505 //
     /* 1607046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1607063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1607066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607092 */     // MIs[0] policy
     /* 1607092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607126 */     // GIR_Coverage, 3505,
     /* 1607126 */     GIR_EraseRootFromParent_Done,
     /* 1607127 */   // Label 22171: @1607127
     /* 1607127 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1607213), // Rule ID 3508 //
     /* 1607132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1607152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607178 */     // MIs[0] policy
     /* 1607178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607212 */     // GIR_Coverage, 3508,
     /* 1607212 */     GIR_EraseRootFromParent_Done,
     /* 1607213 */   // Label 22172: @1607213
     /* 1607213 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1607299), // Rule ID 3509 //
     /* 1607218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1607238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607264 */     // MIs[0] policy
     /* 1607264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607298 */     // GIR_Coverage, 3509,
     /* 1607298 */     GIR_EraseRootFromParent_Done,
     /* 1607299 */   // Label 22173: @1607299
     /* 1607299 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1607385), // Rule ID 3512 //
     /* 1607304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1607324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607350 */     // MIs[0] policy
     /* 1607350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607384 */     // GIR_Coverage, 3512,
     /* 1607384 */     GIR_EraseRootFromParent_Done,
     /* 1607385 */   // Label 22174: @1607385
     /* 1607385 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1607471), // Rule ID 3513 //
     /* 1607390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1607410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607436 */     // MIs[0] policy
     /* 1607436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607470 */     // GIR_Coverage, 3513,
     /* 1607470 */     GIR_EraseRootFromParent_Done,
     /* 1607471 */   // Label 22175: @1607471
     /* 1607471 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1607557), // Rule ID 3516 //
     /* 1607476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607522 */     // MIs[0] policy
     /* 1607522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607556 */     // GIR_Coverage, 3516,
     /* 1607556 */     GIR_EraseRootFromParent_Done,
     /* 1607557 */   // Label 22176: @1607557
     /* 1607557 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1607643), // Rule ID 3517 //
     /* 1607562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607608 */     // MIs[0] policy
     /* 1607608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607642 */     // GIR_Coverage, 3517,
     /* 1607642 */     GIR_EraseRootFromParent_Done,
     /* 1607643 */   // Label 22177: @1607643
     /* 1607643 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1607729), // Rule ID 3520 //
     /* 1607648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607694 */     // MIs[0] policy
     /* 1607694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607728 */     // GIR_Coverage, 3520,
     /* 1607728 */     GIR_EraseRootFromParent_Done,
     /* 1607729 */   // Label 22178: @1607729
     /* 1607729 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1607815), // Rule ID 3521 //
     /* 1607734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607780 */     // MIs[0] policy
     /* 1607780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607814 */     // GIR_Coverage, 3521,
     /* 1607814 */     GIR_EraseRootFromParent_Done,
     /* 1607815 */   // Label 22179: @1607815
     /* 1607815 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1607901), // Rule ID 3524 //
     /* 1607820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607866 */     // MIs[0] policy
     /* 1607866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607900 */     // GIR_Coverage, 3524,
     /* 1607900 */     GIR_EraseRootFromParent_Done,
     /* 1607901 */   // Label 22180: @1607901
     /* 1607901 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1607987), // Rule ID 3525 //
     /* 1607906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607952 */     // MIs[0] policy
     /* 1607952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607962 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607986 */     // GIR_Coverage, 3525,
     /* 1607986 */     GIR_EraseRootFromParent_Done,
     /* 1607987 */   // Label 22181: @1607987
     /* 1607987 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1608073), // Rule ID 3528 //
     /* 1607992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1608012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608038 */     // MIs[0] policy
     /* 1608038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1608051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608072 */     // GIR_Coverage, 3528,
     /* 1608072 */     GIR_EraseRootFromParent_Done,
     /* 1608073 */   // Label 22182: @1608073
     /* 1608073 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1608159), // Rule ID 3529 //
     /* 1608078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1608098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608124 */     // MIs[0] policy
     /* 1608124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1608137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608158 */     // GIR_Coverage, 3529,
     /* 1608158 */     GIR_EraseRootFromParent_Done,
     /* 1608159 */   // Label 22183: @1608159
     /* 1608159 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1608245), // Rule ID 3532 //
     /* 1608164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608210 */     // MIs[0] policy
     /* 1608210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1608223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608244 */     // GIR_Coverage, 3532,
     /* 1608244 */     GIR_EraseRootFromParent_Done,
     /* 1608245 */   // Label 22184: @1608245
     /* 1608245 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1608331), // Rule ID 3533 //
     /* 1608250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608296 */     // MIs[0] policy
     /* 1608296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608306 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1608309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608330 */     // GIR_Coverage, 3533,
     /* 1608330 */     GIR_EraseRootFromParent_Done,
     /* 1608331 */   // Label 22185: @1608331
     /* 1608331 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1608417), // Rule ID 3536 //
     /* 1608336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608382 */     // MIs[0] policy
     /* 1608382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608416 */     // GIR_Coverage, 3536,
     /* 1608416 */     GIR_EraseRootFromParent_Done,
     /* 1608417 */   // Label 22186: @1608417
     /* 1608417 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1608503), // Rule ID 3537 //
     /* 1608422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608468 */     // MIs[0] policy
     /* 1608468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608502 */     // GIR_Coverage, 3537,
     /* 1608502 */     GIR_EraseRootFromParent_Done,
     /* 1608503 */   // Label 22187: @1608503
     /* 1608503 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1608589), // Rule ID 3540 //
     /* 1608508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608554 */     // MIs[0] policy
     /* 1608554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608588 */     // GIR_Coverage, 3540,
     /* 1608588 */     GIR_EraseRootFromParent_Done,
     /* 1608589 */   // Label 22188: @1608589
     /* 1608589 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1608675), // Rule ID 3541 //
     /* 1608594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608640 */     // MIs[0] policy
     /* 1608640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608674 */     // GIR_Coverage, 3541,
     /* 1608674 */     GIR_EraseRootFromParent_Done,
     /* 1608675 */   // Label 22189: @1608675
     /* 1608675 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1608761), // Rule ID 3544 //
     /* 1608680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608726 */     // MIs[0] policy
     /* 1608726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608760 */     // GIR_Coverage, 3544,
     /* 1608760 */     GIR_EraseRootFromParent_Done,
     /* 1608761 */   // Label 22190: @1608761
     /* 1608761 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1608847), // Rule ID 3545 //
     /* 1608766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608812 */     // MIs[0] policy
     /* 1608812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608846 */     // GIR_Coverage, 3545,
     /* 1608846 */     GIR_EraseRootFromParent_Done,
     /* 1608847 */   // Label 22191: @1608847
     /* 1608847 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1608933), // Rule ID 3548 //
     /* 1608852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608898 */     // MIs[0] policy
     /* 1608898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608932 */     // GIR_Coverage, 3548,
     /* 1608932 */     GIR_EraseRootFromParent_Done,
     /* 1608933 */   // Label 22192: @1608933
     /* 1608933 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1609019), // Rule ID 3549 //
     /* 1608938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608984 */     // MIs[0] policy
     /* 1608984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609018 */     // GIR_Coverage, 3549,
     /* 1609018 */     GIR_EraseRootFromParent_Done,
     /* 1609019 */   // Label 22193: @1609019
     /* 1609019 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1609105), // Rule ID 3552 //
     /* 1609024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1609035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1609038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1609041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1609047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609070 */     // MIs[0] policy
     /* 1609070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609104 */     // GIR_Coverage, 3552,
     /* 1609104 */     GIR_EraseRootFromParent_Done,
     /* 1609105 */   // Label 22194: @1609105
     /* 1609105 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1609191), // Rule ID 3553 //
     /* 1609110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1609121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1609124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1609127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1609133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609156 */     // MIs[0] policy
     /* 1609156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609190 */     // GIR_Coverage, 3553,
     /* 1609190 */     GIR_EraseRootFromParent_Done,
     /* 1609191 */   // Label 22195: @1609191
     /* 1609191 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1609277), // Rule ID 3556 //
     /* 1609196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609242 */     // MIs[0] policy
     /* 1609242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1609255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609276 */     // GIR_Coverage, 3556,
     /* 1609276 */     GIR_EraseRootFromParent_Done,
     /* 1609277 */   // Label 22196: @1609277
     /* 1609277 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1609363), // Rule ID 3557 //
     /* 1609282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609328 */     // MIs[0] policy
     /* 1609328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1609341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609362 */     // GIR_Coverage, 3557,
     /* 1609362 */     GIR_EraseRootFromParent_Done,
     /* 1609363 */   // Label 22197: @1609363
     /* 1609363 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1609449), // Rule ID 3560 //
     /* 1609368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609414 */     // MIs[0] policy
     /* 1609414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609448 */     // GIR_Coverage, 3560,
     /* 1609448 */     GIR_EraseRootFromParent_Done,
     /* 1609449 */   // Label 22198: @1609449
     /* 1609449 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1609535), // Rule ID 3561 //
     /* 1609454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609500 */     // MIs[0] policy
     /* 1609500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609510 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609534 */     // GIR_Coverage, 3561,
     /* 1609534 */     GIR_EraseRootFromParent_Done,
     /* 1609535 */   // Label 22199: @1609535
     /* 1609535 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1609621), // Rule ID 3564 //
     /* 1609540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609586 */     // MIs[0] policy
     /* 1609586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609620 */     // GIR_Coverage, 3564,
     /* 1609620 */     GIR_EraseRootFromParent_Done,
     /* 1609621 */   // Label 22200: @1609621
     /* 1609621 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1609707), // Rule ID 3565 //
     /* 1609626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609672 */     // MIs[0] policy
     /* 1609672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609706 */     // GIR_Coverage, 3565,
     /* 1609706 */     GIR_EraseRootFromParent_Done,
     /* 1609707 */   // Label 22201: @1609707
     /* 1609707 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1609793), // Rule ID 3568 //
     /* 1609712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609758 */     // MIs[0] policy
     /* 1609758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609792 */     // GIR_Coverage, 3568,
     /* 1609792 */     GIR_EraseRootFromParent_Done,
     /* 1609793 */   // Label 22202: @1609793
     /* 1609793 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1609879), // Rule ID 3569 //
     /* 1609798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609844 */     // MIs[0] policy
     /* 1609844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609878 */     // GIR_Coverage, 3569,
     /* 1609878 */     GIR_EraseRootFromParent_Done,
     /* 1609879 */   // Label 22203: @1609879
     /* 1609879 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1609965), // Rule ID 3572 //
     /* 1609884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609930 */     // MIs[0] policy
     /* 1609930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609964 */     // GIR_Coverage, 3572,
     /* 1609964 */     GIR_EraseRootFromParent_Done,
     /* 1609965 */   // Label 22204: @1609965
     /* 1609965 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1610051), // Rule ID 3573 //
     /* 1609970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610016 */     // MIs[0] policy
     /* 1610016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610050 */     // GIR_Coverage, 3573,
     /* 1610050 */     GIR_EraseRootFromParent_Done,
     /* 1610051 */   // Label 22205: @1610051
     /* 1610051 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1610137), // Rule ID 3576 //
     /* 1610056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1610073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610102 */     // MIs[0] policy
     /* 1610102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1610115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610136 */     // GIR_Coverage, 3576,
     /* 1610136 */     GIR_EraseRootFromParent_Done,
     /* 1610137 */   // Label 22206: @1610137
     /* 1610137 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1610223), // Rule ID 3577 //
     /* 1610142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1610159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610188 */     // MIs[0] policy
     /* 1610188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1610201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610222 */     // GIR_Coverage, 3577,
     /* 1610222 */     GIR_EraseRootFromParent_Done,
     /* 1610223 */   // Label 22207: @1610223
     /* 1610223 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1610309), // Rule ID 3580 //
     /* 1610228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1610239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1610242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1610245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610274 */     // MIs[0] policy
     /* 1610274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1610287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610308 */     // GIR_Coverage, 3580,
     /* 1610308 */     GIR_EraseRootFromParent_Done,
     /* 1610309 */   // Label 22208: @1610309
     /* 1610309 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1610395), // Rule ID 3581 //
     /* 1610314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1610325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1610328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1610331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610360 */     // MIs[0] policy
     /* 1610360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1610373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610394 */     // GIR_Coverage, 3581,
     /* 1610394 */     GIR_EraseRootFromParent_Done,
     /* 1610395 */   // Label 22209: @1610395
     /* 1610395 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1610481), // Rule ID 3584 //
     /* 1610400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1610411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1610414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610446 */     // MIs[0] policy
     /* 1610446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610480 */     // GIR_Coverage, 3584,
     /* 1610480 */     GIR_EraseRootFromParent_Done,
     /* 1610481 */   // Label 22210: @1610481
     /* 1610481 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1610567), // Rule ID 3585 //
     /* 1610486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1610497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1610500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610532 */     // MIs[0] policy
     /* 1610532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610566 */     // GIR_Coverage, 3585,
     /* 1610566 */     GIR_EraseRootFromParent_Done,
     /* 1610567 */   // Label 22211: @1610567
     /* 1610567 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1610653), // Rule ID 3588 //
     /* 1610572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610618 */     // MIs[0] policy
     /* 1610618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610652 */     // GIR_Coverage, 3588,
     /* 1610652 */     GIR_EraseRootFromParent_Done,
     /* 1610653 */   // Label 22212: @1610653
     /* 1610653 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1610739), // Rule ID 3589 //
     /* 1610658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610704 */     // MIs[0] policy
     /* 1610704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610738 */     // GIR_Coverage, 3589,
     /* 1610738 */     GIR_EraseRootFromParent_Done,
     /* 1610739 */   // Label 22213: @1610739
     /* 1610739 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1610825), // Rule ID 3592 //
     /* 1610744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610790 */     // MIs[0] policy
     /* 1610790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610824 */     // GIR_Coverage, 3592,
     /* 1610824 */     GIR_EraseRootFromParent_Done,
     /* 1610825 */   // Label 22214: @1610825
     /* 1610825 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1610911), // Rule ID 3593 //
     /* 1610830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610876 */     // MIs[0] policy
     /* 1610876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610910 */     // GIR_Coverage, 3593,
     /* 1610910 */     GIR_EraseRootFromParent_Done,
     /* 1610911 */   // Label 22215: @1610911
     /* 1610911 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1610997), // Rule ID 3596 //
     /* 1610916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1610927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1610930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1610933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1610936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610962 */     // MIs[0] policy
     /* 1610962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610996 */     // GIR_Coverage, 3596,
     /* 1610996 */     GIR_EraseRootFromParent_Done,
     /* 1610997 */   // Label 22216: @1610997
     /* 1610997 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1611083), // Rule ID 3597 //
     /* 1611002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1611013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1611016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1611019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1611022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611048 */     // MIs[0] policy
     /* 1611048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611082 */     // GIR_Coverage, 3597,
     /* 1611082 */     GIR_EraseRootFromParent_Done,
     /* 1611083 */   // Label 22217: @1611083
     /* 1611083 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1611169), // Rule ID 3600 //
     /* 1611088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1611099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1611102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1611105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1611108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611134 */     // MIs[0] policy
     /* 1611134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611168 */     // GIR_Coverage, 3600,
     /* 1611168 */     GIR_EraseRootFromParent_Done,
     /* 1611169 */   // Label 22218: @1611169
     /* 1611169 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1611255), // Rule ID 3601 //
     /* 1611174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1611185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1611188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1611191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1611194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611220 */     // MIs[0] policy
     /* 1611220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611254 */     // GIR_Coverage, 3601,
     /* 1611254 */     GIR_EraseRootFromParent_Done,
     /* 1611255 */   // Label 22219: @1611255
     /* 1611255 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1611341), // Rule ID 3604 //
     /* 1611260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1611271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1611274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1611277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1611280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611306 */     // MIs[0] policy
     /* 1611306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611340 */     // GIR_Coverage, 3604,
     /* 1611340 */     GIR_EraseRootFromParent_Done,
     /* 1611341 */   // Label 22220: @1611341
     /* 1611341 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1611427), // Rule ID 3605 //
     /* 1611346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1611357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1611360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1611363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1611366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611392 */     // MIs[0] policy
     /* 1611392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611426 */     // GIR_Coverage, 3605,
     /* 1611426 */     GIR_EraseRootFromParent_Done,
     /* 1611427 */   // Label 22221: @1611427
     /* 1611427 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1611513), // Rule ID 3608 //
     /* 1611432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611478 */     // MIs[0] policy
     /* 1611478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611512 */     // GIR_Coverage, 3608,
     /* 1611512 */     GIR_EraseRootFromParent_Done,
     /* 1611513 */   // Label 22222: @1611513
     /* 1611513 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1611599), // Rule ID 3609 //
     /* 1611518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611564 */     // MIs[0] policy
     /* 1611564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611598 */     // GIR_Coverage, 3609,
     /* 1611598 */     GIR_EraseRootFromParent_Done,
     /* 1611599 */   // Label 22223: @1611599
     /* 1611599 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1611685), // Rule ID 3612 //
     /* 1611604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611650 */     // MIs[0] policy
     /* 1611650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611684 */     // GIR_Coverage, 3612,
     /* 1611684 */     GIR_EraseRootFromParent_Done,
     /* 1611685 */   // Label 22224: @1611685
     /* 1611685 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1611771), // Rule ID 3613 //
     /* 1611690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611736 */     // MIs[0] policy
     /* 1611736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611770 */     // GIR_Coverage, 3613,
     /* 1611770 */     GIR_EraseRootFromParent_Done,
     /* 1611771 */   // Label 22225: @1611771
     /* 1611771 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1611857), // Rule ID 3616 //
     /* 1611776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611822 */     // MIs[0] policy
     /* 1611822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611856 */     // GIR_Coverage, 3616,
     /* 1611856 */     GIR_EraseRootFromParent_Done,
     /* 1611857 */   // Label 22226: @1611857
     /* 1611857 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1611943), // Rule ID 3617 //
     /* 1611862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611908 */     // MIs[0] policy
     /* 1611908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611942 */     // GIR_Coverage, 3617,
     /* 1611942 */     GIR_EraseRootFromParent_Done,
     /* 1611943 */   // Label 22227: @1611943
     /* 1611943 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1612029), // Rule ID 3620 //
     /* 1611948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1611959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1611962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1611965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1611968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611994 */     // MIs[0] policy
     /* 1611994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612028 */     // GIR_Coverage, 3620,
     /* 1612028 */     GIR_EraseRootFromParent_Done,
     /* 1612029 */   // Label 22228: @1612029
     /* 1612029 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1612115), // Rule ID 3621 //
     /* 1612034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1612045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1612048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1612051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1612054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612080 */     // MIs[0] policy
     /* 1612080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612114 */     // GIR_Coverage, 3621,
     /* 1612114 */     GIR_EraseRootFromParent_Done,
     /* 1612115 */   // Label 22229: @1612115
     /* 1612115 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1612201), // Rule ID 3624 //
     /* 1612120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1612131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1612134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1612137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1612140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612166 */     // MIs[0] policy
     /* 1612166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612200 */     // GIR_Coverage, 3624,
     /* 1612200 */     GIR_EraseRootFromParent_Done,
     /* 1612201 */   // Label 22230: @1612201
     /* 1612201 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1612287), // Rule ID 3625 //
     /* 1612206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1612217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1612220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1612223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1612226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612252 */     // MIs[0] policy
     /* 1612252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612286 */     // GIR_Coverage, 3625,
     /* 1612286 */     GIR_EraseRootFromParent_Done,
     /* 1612287 */   // Label 22231: @1612287
     /* 1612287 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1612373), // Rule ID 3628 //
     /* 1612292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1612303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1612306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1612309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1612312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612338 */     // MIs[0] policy
     /* 1612338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612372 */     // GIR_Coverage, 3628,
     /* 1612372 */     GIR_EraseRootFromParent_Done,
     /* 1612373 */   // Label 22232: @1612373
     /* 1612373 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1612459), // Rule ID 3629 //
     /* 1612378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1612389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1612392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1612395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1612398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612424 */     // MIs[0] policy
     /* 1612424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612458 */     // GIR_Coverage, 3629,
     /* 1612458 */     GIR_EraseRootFromParent_Done,
     /* 1612459 */   // Label 22233: @1612459
     /* 1612459 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1612545), // Rule ID 3632 //
     /* 1612464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612510 */     // MIs[0] policy
     /* 1612510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612544 */     // GIR_Coverage, 3632,
     /* 1612544 */     GIR_EraseRootFromParent_Done,
     /* 1612545 */   // Label 22234: @1612545
     /* 1612545 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1612631), // Rule ID 3633 //
     /* 1612550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612596 */     // MIs[0] policy
     /* 1612596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612630 */     // GIR_Coverage, 3633,
     /* 1612630 */     GIR_EraseRootFromParent_Done,
     /* 1612631 */   // Label 22235: @1612631
     /* 1612631 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1612717), // Rule ID 3636 //
     /* 1612636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612682 */     // MIs[0] policy
     /* 1612682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612716 */     // GIR_Coverage, 3636,
     /* 1612716 */     GIR_EraseRootFromParent_Done,
     /* 1612717 */   // Label 22236: @1612717
     /* 1612717 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1612803), // Rule ID 3637 //
     /* 1612722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612768 */     // MIs[0] policy
     /* 1612768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612802 */     // GIR_Coverage, 3637,
     /* 1612802 */     GIR_EraseRootFromParent_Done,
     /* 1612803 */   // Label 22237: @1612803
     /* 1612803 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1612889), // Rule ID 3640 //
     /* 1612808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612854 */     // MIs[0] policy
     /* 1612854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612888 */     // GIR_Coverage, 3640,
     /* 1612888 */     GIR_EraseRootFromParent_Done,
     /* 1612889 */   // Label 22238: @1612889
     /* 1612889 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1612975), // Rule ID 3641 //
     /* 1612894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612940 */     // MIs[0] policy
     /* 1612940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612974 */     // GIR_Coverage, 3641,
     /* 1612974 */     GIR_EraseRootFromParent_Done,
     /* 1612975 */   // Label 22239: @1612975
     /* 1612975 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1613061), // Rule ID 3644 //
     /* 1612980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1613000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613026 */     // MIs[0] policy
     /* 1613026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1613039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613060 */     // GIR_Coverage, 3644,
     /* 1613060 */     GIR_EraseRootFromParent_Done,
     /* 1613061 */   // Label 22240: @1613061
     /* 1613061 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1613147), // Rule ID 3645 //
     /* 1613066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1613069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1613077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1613080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1613083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1613086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613112 */     // MIs[0] policy
     /* 1613112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613122 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1613125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613146 */     // GIR_Coverage, 3645,
     /* 1613146 */     GIR_EraseRootFromParent_Done,
     /* 1613147 */   // Label 22241: @1613147
     /* 1613147 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1613233), // Rule ID 3648 //
     /* 1613152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1613155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1613163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1613166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1613169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1613172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613198 */     // MIs[0] policy
     /* 1613198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613208 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1613211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613232 */     // GIR_Coverage, 3648,
     /* 1613232 */     GIR_EraseRootFromParent_Done,
     /* 1613233 */   // Label 22242: @1613233
     /* 1613233 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1613319), // Rule ID 3649 //
     /* 1613238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1613241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1613249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1613252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1613255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1613258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613284 */     // MIs[0] policy
     /* 1613284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613294 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1613297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613318 */     // GIR_Coverage, 3649,
     /* 1613318 */     GIR_EraseRootFromParent_Done,
     /* 1613319 */   // Label 22243: @1613319
     /* 1613319 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1613405), // Rule ID 3652 //
     /* 1613324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1613335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1613338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1613341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613370 */     // MIs[0] policy
     /* 1613370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1613383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613404 */     // GIR_Coverage, 3652,
     /* 1613404 */     GIR_EraseRootFromParent_Done,
     /* 1613405 */   // Label 22244: @1613405
     /* 1613405 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1613491), // Rule ID 3653 //
     /* 1613410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1613421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1613424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1613427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613456 */     // MIs[0] policy
     /* 1613456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1613469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613490 */     // GIR_Coverage, 3653,
     /* 1613490 */     GIR_EraseRootFromParent_Done,
     /* 1613491 */   // Label 22245: @1613491
     /* 1613491 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1613577), // Rule ID 3656 //
     /* 1613496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613542 */     // MIs[0] policy
     /* 1613542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613576 */     // GIR_Coverage, 3656,
     /* 1613576 */     GIR_EraseRootFromParent_Done,
     /* 1613577 */   // Label 22246: @1613577
     /* 1613577 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1613663), // Rule ID 3657 //
     /* 1613582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613628 */     // MIs[0] policy
     /* 1613628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613662 */     // GIR_Coverage, 3657,
     /* 1613662 */     GIR_EraseRootFromParent_Done,
     /* 1613663 */   // Label 22247: @1613663
     /* 1613663 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1613749), // Rule ID 3660 //
     /* 1613668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613714 */     // MIs[0] policy
     /* 1613714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613748 */     // GIR_Coverage, 3660,
     /* 1613748 */     GIR_EraseRootFromParent_Done,
     /* 1613749 */   // Label 22248: @1613749
     /* 1613749 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1613835), // Rule ID 3661 //
     /* 1613754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613800 */     // MIs[0] policy
     /* 1613800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613810 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613834 */     // GIR_Coverage, 3661,
     /* 1613834 */     GIR_EraseRootFromParent_Done,
     /* 1613835 */   // Label 22249: @1613835
     /* 1613835 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1613921), // Rule ID 3664 //
     /* 1613840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613886 */     // MIs[0] policy
     /* 1613886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613920 */     // GIR_Coverage, 3664,
     /* 1613920 */     GIR_EraseRootFromParent_Done,
     /* 1613921 */   // Label 22250: @1613921
     /* 1613921 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1614007), // Rule ID 3665 //
     /* 1613926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613972 */     // MIs[0] policy
     /* 1613972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614006 */     // GIR_Coverage, 3665,
     /* 1614006 */     GIR_EraseRootFromParent_Done,
     /* 1614007 */   // Label 22251: @1614007
     /* 1614007 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1614093), // Rule ID 3668 //
     /* 1614012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1614023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1614026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1614029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614058 */     // MIs[0] policy
     /* 1614058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614092 */     // GIR_Coverage, 3668,
     /* 1614092 */     GIR_EraseRootFromParent_Done,
     /* 1614093 */   // Label 22252: @1614093
     /* 1614093 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1614179), // Rule ID 3669 //
     /* 1614098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1614109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1614112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1614115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614144 */     // MIs[0] policy
     /* 1614144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614178 */     // GIR_Coverage, 3669,
     /* 1614178 */     GIR_EraseRootFromParent_Done,
     /* 1614179 */   // Label 22253: @1614179
     /* 1614179 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1614265), // Rule ID 3672 //
     /* 1614184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1614195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1614198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1614201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614230 */     // MIs[0] policy
     /* 1614230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614264 */     // GIR_Coverage, 3672,
     /* 1614264 */     GIR_EraseRootFromParent_Done,
     /* 1614265 */   // Label 22254: @1614265
     /* 1614265 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1614351), // Rule ID 3673 //
     /* 1614270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1614281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1614284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1614287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614316 */     // MIs[0] policy
     /* 1614316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614350 */     // GIR_Coverage, 3673,
     /* 1614350 */     GIR_EraseRootFromParent_Done,
     /* 1614351 */   // Label 22255: @1614351
     /* 1614351 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1614437), // Rule ID 3676 //
     /* 1614356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1614367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1614370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1614373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614402 */     // MIs[0] policy
     /* 1614402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1614415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614436 */     // GIR_Coverage, 3676,
     /* 1614436 */     GIR_EraseRootFromParent_Done,
     /* 1614437 */   // Label 22256: @1614437
     /* 1614437 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1614523), // Rule ID 3677 //
     /* 1614442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1614453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1614456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1614459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614488 */     // MIs[0] policy
     /* 1614488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1614501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614522 */     // GIR_Coverage, 3677,
     /* 1614522 */     GIR_EraseRootFromParent_Done,
     /* 1614523 */   // Label 22257: @1614523
     /* 1614523 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1614609), // Rule ID 3680 //
     /* 1614528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614574 */     // MIs[0] policy
     /* 1614574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614608 */     // GIR_Coverage, 3680,
     /* 1614608 */     GIR_EraseRootFromParent_Done,
     /* 1614609 */   // Label 22258: @1614609
     /* 1614609 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1614695), // Rule ID 3681 //
     /* 1614614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614660 */     // MIs[0] policy
     /* 1614660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614694 */     // GIR_Coverage, 3681,
     /* 1614694 */     GIR_EraseRootFromParent_Done,
     /* 1614695 */   // Label 22259: @1614695
     /* 1614695 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1614781), // Rule ID 3684 //
     /* 1614700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614746 */     // MIs[0] policy
     /* 1614746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614780 */     // GIR_Coverage, 3684,
     /* 1614780 */     GIR_EraseRootFromParent_Done,
     /* 1614781 */   // Label 22260: @1614781
     /* 1614781 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1614867), // Rule ID 3685 //
     /* 1614786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614832 */     // MIs[0] policy
     /* 1614832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614866 */     // GIR_Coverage, 3685,
     /* 1614866 */     GIR_EraseRootFromParent_Done,
     /* 1614867 */   // Label 22261: @1614867
     /* 1614867 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1614953), // Rule ID 3688 //
     /* 1614872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614918 */     // MIs[0] policy
     /* 1614918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614952 */     // GIR_Coverage, 3688,
     /* 1614952 */     GIR_EraseRootFromParent_Done,
     /* 1614953 */   // Label 22262: @1614953
     /* 1614953 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1615039), // Rule ID 3689 //
     /* 1614958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615004 */     // MIs[0] policy
     /* 1615004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615038 */     // GIR_Coverage, 3689,
     /* 1615038 */     GIR_EraseRootFromParent_Done,
     /* 1615039 */   // Label 22263: @1615039
     /* 1615039 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1615125), // Rule ID 3692 //
     /* 1615044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1615055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1615058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1615061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615090 */     // MIs[0] policy
     /* 1615090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615124 */     // GIR_Coverage, 3692,
     /* 1615124 */     GIR_EraseRootFromParent_Done,
     /* 1615125 */   // Label 22264: @1615125
     /* 1615125 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1615211), // Rule ID 3693 //
     /* 1615130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1615141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1615144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1615147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615176 */     // MIs[0] policy
     /* 1615176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615210 */     // GIR_Coverage, 3693,
     /* 1615210 */     GIR_EraseRootFromParent_Done,
     /* 1615211 */   // Label 22265: @1615211
     /* 1615211 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1615297), // Rule ID 3696 //
     /* 1615216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1615227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1615230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1615233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615262 */     // MIs[0] policy
     /* 1615262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1615275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615296 */     // GIR_Coverage, 3696,
     /* 1615296 */     GIR_EraseRootFromParent_Done,
     /* 1615297 */   // Label 22266: @1615297
     /* 1615297 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1615383), // Rule ID 3697 //
     /* 1615302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1615313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1615316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1615319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615348 */     // MIs[0] policy
     /* 1615348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1615361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615382 */     // GIR_Coverage, 3697,
     /* 1615382 */     GIR_EraseRootFromParent_Done,
     /* 1615383 */   // Label 22267: @1615383
     /* 1615383 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1615469), // Rule ID 3700 //
     /* 1615388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615434 */     // MIs[0] policy
     /* 1615434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615468 */     // GIR_Coverage, 3700,
     /* 1615468 */     GIR_EraseRootFromParent_Done,
     /* 1615469 */   // Label 22268: @1615469
     /* 1615469 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1615555), // Rule ID 3701 //
     /* 1615474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615520 */     // MIs[0] policy
     /* 1615520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615554 */     // GIR_Coverage, 3701,
     /* 1615554 */     GIR_EraseRootFromParent_Done,
     /* 1615555 */   // Label 22269: @1615555
     /* 1615555 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1615641), // Rule ID 3704 //
     /* 1615560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615606 */     // MIs[0] policy
     /* 1615606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615640 */     // GIR_Coverage, 3704,
     /* 1615640 */     GIR_EraseRootFromParent_Done,
     /* 1615641 */   // Label 22270: @1615641
     /* 1615641 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1615727), // Rule ID 3705 //
     /* 1615646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615692 */     // MIs[0] policy
     /* 1615692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615726 */     // GIR_Coverage, 3705,
     /* 1615726 */     GIR_EraseRootFromParent_Done,
     /* 1615727 */   // Label 22271: @1615727
     /* 1615727 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1615813), // Rule ID 3708 //
     /* 1615732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615778 */     // MIs[0] policy
     /* 1615778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615812 */     // GIR_Coverage, 3708,
     /* 1615812 */     GIR_EraseRootFromParent_Done,
     /* 1615813 */   // Label 22272: @1615813
     /* 1615813 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1615899), // Rule ID 3709 //
     /* 1615818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615864 */     // MIs[0] policy
     /* 1615864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615898 */     // GIR_Coverage, 3709,
     /* 1615898 */     GIR_EraseRootFromParent_Done,
     /* 1615899 */   // Label 22273: @1615899
     /* 1615899 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1615985), // Rule ID 3712 //
     /* 1615904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1615924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615950 */     // MIs[0] policy
     /* 1615950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1615963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615984 */     // GIR_Coverage, 3712,
     /* 1615984 */     GIR_EraseRootFromParent_Done,
     /* 1615985 */   // Label 22274: @1615985
     /* 1615985 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1616071), // Rule ID 3713 //
     /* 1615990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1616001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1616004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1616007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1616010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616036 */     // MIs[0] policy
     /* 1616036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1616049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616070 */     // GIR_Coverage, 3713,
     /* 1616070 */     GIR_EraseRootFromParent_Done,
     /* 1616071 */   // Label 22275: @1616071
     /* 1616071 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1616157), // Rule ID 3716 //
     /* 1616076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1616093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1616096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616122 */     // MIs[0] policy
     /* 1616122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616156 */     // GIR_Coverage, 3716,
     /* 1616156 */     GIR_EraseRootFromParent_Done,
     /* 1616157 */   // Label 22276: @1616157
     /* 1616157 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1616243), // Rule ID 3717 //
     /* 1616162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1616179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1616182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616208 */     // MIs[0] policy
     /* 1616208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616242 */     // GIR_Coverage, 3717,
     /* 1616242 */     GIR_EraseRootFromParent_Done,
     /* 1616243 */   // Label 22277: @1616243
     /* 1616243 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1616329), // Rule ID 3720 //
     /* 1616248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1616268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616294 */     // MIs[0] policy
     /* 1616294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616328 */     // GIR_Coverage, 3720,
     /* 1616328 */     GIR_EraseRootFromParent_Done,
     /* 1616329 */   // Label 22278: @1616329
     /* 1616329 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1616415), // Rule ID 3721 //
     /* 1616334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1616354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616380 */     // MIs[0] policy
     /* 1616380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616414 */     // GIR_Coverage, 3721,
     /* 1616414 */     GIR_EraseRootFromParent_Done,
     /* 1616415 */   // Label 22279: @1616415
     /* 1616415 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1616501), // Rule ID 3724 //
     /* 1616420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616466 */     // MIs[0] policy
     /* 1616466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616500 */     // GIR_Coverage, 3724,
     /* 1616500 */     GIR_EraseRootFromParent_Done,
     /* 1616501 */   // Label 22280: @1616501
     /* 1616501 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1616587), // Rule ID 3725 //
     /* 1616506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616552 */     // MIs[0] policy
     /* 1616552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616586 */     // GIR_Coverage, 3725,
     /* 1616586 */     GIR_EraseRootFromParent_Done,
     /* 1616587 */   // Label 22281: @1616587
     /* 1616587 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1616673), // Rule ID 3728 //
     /* 1616592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616638 */     // MIs[0] policy
     /* 1616638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616648 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616672 */     // GIR_Coverage, 3728,
     /* 1616672 */     GIR_EraseRootFromParent_Done,
     /* 1616673 */   // Label 22282: @1616673
     /* 1616673 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1616759), // Rule ID 3729 //
     /* 1616678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616724 */     // MIs[0] policy
     /* 1616724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616758 */     // GIR_Coverage, 3729,
     /* 1616758 */     GIR_EraseRootFromParent_Done,
     /* 1616759 */   // Label 22283: @1616759
     /* 1616759 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1616845), // Rule ID 3732 //
     /* 1616764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616810 */     // MIs[0] policy
     /* 1616810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616844 */     // GIR_Coverage, 3732,
     /* 1616844 */     GIR_EraseRootFromParent_Done,
     /* 1616845 */   // Label 22284: @1616845
     /* 1616845 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1616931), // Rule ID 3733 //
     /* 1616850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616896 */     // MIs[0] policy
     /* 1616896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616906 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616930 */     // GIR_Coverage, 3733,
     /* 1616930 */     GIR_EraseRootFromParent_Done,
     /* 1616931 */   // Label 22285: @1616931
     /* 1616931 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1617017), // Rule ID 3736 //
     /* 1616936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1616956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616982 */     // MIs[0] policy
     /* 1616982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617016 */     // GIR_Coverage, 3736,
     /* 1617016 */     GIR_EraseRootFromParent_Done,
     /* 1617017 */   // Label 22286: @1617017
     /* 1617017 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1617103), // Rule ID 3737 //
     /* 1617022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1617033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1617036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1617039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1617042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617068 */     // MIs[0] policy
     /* 1617068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1617081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617102 */     // GIR_Coverage, 3737,
     /* 1617102 */     GIR_EraseRootFromParent_Done,
     /* 1617103 */   // Label 22287: @1617103
     /* 1617103 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1617189), // Rule ID 3740 //
     /* 1617108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1617125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1617128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617154 */     // MIs[0] policy
     /* 1617154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617188 */     // GIR_Coverage, 3740,
     /* 1617188 */     GIR_EraseRootFromParent_Done,
     /* 1617189 */   // Label 22288: @1617189
     /* 1617189 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1617275), // Rule ID 3741 //
     /* 1617194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1617211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1617214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617240 */     // MIs[0] policy
     /* 1617240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617274 */     // GIR_Coverage, 3741,
     /* 1617274 */     GIR_EraseRootFromParent_Done,
     /* 1617275 */   // Label 22289: @1617275
     /* 1617275 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1617361), // Rule ID 3744 //
     /* 1617280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1617300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617326 */     // MIs[0] policy
     /* 1617326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617360 */     // GIR_Coverage, 3744,
     /* 1617360 */     GIR_EraseRootFromParent_Done,
     /* 1617361 */   // Label 22290: @1617361
     /* 1617361 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1617447), // Rule ID 3745 //
     /* 1617366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1617386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617412 */     // MIs[0] policy
     /* 1617412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617446 */     // GIR_Coverage, 3745,
     /* 1617446 */     GIR_EraseRootFromParent_Done,
     /* 1617447 */   // Label 22291: @1617447
     /* 1617447 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1617533), // Rule ID 3748 //
     /* 1617452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617498 */     // MIs[0] policy
     /* 1617498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617532 */     // GIR_Coverage, 3748,
     /* 1617532 */     GIR_EraseRootFromParent_Done,
     /* 1617533 */   // Label 22292: @1617533
     /* 1617533 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1617619), // Rule ID 3749 //
     /* 1617538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617584 */     // MIs[0] policy
     /* 1617584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617618 */     // GIR_Coverage, 3749,
     /* 1617618 */     GIR_EraseRootFromParent_Done,
     /* 1617619 */   // Label 22293: @1617619
     /* 1617619 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1617705), // Rule ID 3752 //
     /* 1617624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617670 */     // MIs[0] policy
     /* 1617670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617704 */     // GIR_Coverage, 3752,
     /* 1617704 */     GIR_EraseRootFromParent_Done,
     /* 1617705 */   // Label 22294: @1617705
     /* 1617705 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1617791), // Rule ID 3753 //
     /* 1617710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617756 */     // MIs[0] policy
     /* 1617756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617790 */     // GIR_Coverage, 3753,
     /* 1617790 */     GIR_EraseRootFromParent_Done,
     /* 1617791 */   // Label 22295: @1617791
     /* 1617791 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1617877), // Rule ID 3756 //
     /* 1617796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617842 */     // MIs[0] policy
     /* 1617842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617876 */     // GIR_Coverage, 3756,
     /* 1617876 */     GIR_EraseRootFromParent_Done,
     /* 1617877 */   // Label 22296: @1617877
     /* 1617877 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1617963), // Rule ID 3757 //
     /* 1617882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617928 */     // MIs[0] policy
     /* 1617928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617938 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617962 */     // GIR_Coverage, 3757,
     /* 1617962 */     GIR_EraseRootFromParent_Done,
     /* 1617963 */   // Label 22297: @1617963
     /* 1617963 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1618049), // Rule ID 3760 //
     /* 1617968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1617988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618014 */     // MIs[0] policy
     /* 1618014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1618027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618048 */     // GIR_Coverage, 3760,
     /* 1618048 */     GIR_EraseRootFromParent_Done,
     /* 1618049 */   // Label 22298: @1618049
     /* 1618049 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1618135), // Rule ID 3761 //
     /* 1618054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1618071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1618074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618100 */     // MIs[0] policy
     /* 1618100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1618113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618134 */     // GIR_Coverage, 3761,
     /* 1618134 */     GIR_EraseRootFromParent_Done,
     /* 1618135 */   // Label 22299: @1618135
     /* 1618135 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1618221), // Rule ID 3764 //
     /* 1618140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1618160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618186 */     // MIs[0] policy
     /* 1618186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1618199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618220 */     // GIR_Coverage, 3764,
     /* 1618220 */     GIR_EraseRootFromParent_Done,
     /* 1618221 */   // Label 22300: @1618221
     /* 1618221 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1618307), // Rule ID 3765 //
     /* 1618226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1618246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618272 */     // MIs[0] policy
     /* 1618272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1618285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618306 */     // GIR_Coverage, 3765,
     /* 1618306 */     GIR_EraseRootFromParent_Done,
     /* 1618307 */   // Label 22301: @1618307
     /* 1618307 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1618393), // Rule ID 3768 //
     /* 1618312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1618332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618358 */     // MIs[0] policy
     /* 1618358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1618371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618392 */     // GIR_Coverage, 3768,
     /* 1618392 */     GIR_EraseRootFromParent_Done,
     /* 1618393 */   // Label 22302: @1618393
     /* 1618393 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1618479), // Rule ID 3769 //
     /* 1618398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1618418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618444 */     // MIs[0] policy
     /* 1618444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1618457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618478 */     // GIR_Coverage, 3769,
     /* 1618478 */     GIR_EraseRootFromParent_Done,
     /* 1618479 */   // Label 22303: @1618479
     /* 1618479 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1618565), // Rule ID 3772 //
     /* 1618484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618530 */     // MIs[0] policy
     /* 1618530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618564 */     // GIR_Coverage, 3772,
     /* 1618564 */     GIR_EraseRootFromParent_Done,
     /* 1618565 */   // Label 22304: @1618565
     /* 1618565 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1618651), // Rule ID 3773 //
     /* 1618570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618616 */     // MIs[0] policy
     /* 1618616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618626 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618650 */     // GIR_Coverage, 3773,
     /* 1618650 */     GIR_EraseRootFromParent_Done,
     /* 1618651 */   // Label 22305: @1618651
     /* 1618651 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1618737), // Rule ID 3776 //
     /* 1618656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618702 */     // MIs[0] policy
     /* 1618702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618736 */     // GIR_Coverage, 3776,
     /* 1618736 */     GIR_EraseRootFromParent_Done,
     /* 1618737 */   // Label 22306: @1618737
     /* 1618737 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1618823), // Rule ID 3777 //
     /* 1618742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618788 */     // MIs[0] policy
     /* 1618788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618798 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618822 */     // GIR_Coverage, 3777,
     /* 1618822 */     GIR_EraseRootFromParent_Done,
     /* 1618823 */   // Label 22307: @1618823
     /* 1618823 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1618909), // Rule ID 3780 //
     /* 1618828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618874 */     // MIs[0] policy
     /* 1618874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618908 */     // GIR_Coverage, 3780,
     /* 1618908 */     GIR_EraseRootFromParent_Done,
     /* 1618909 */   // Label 22308: @1618909
     /* 1618909 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1618995), // Rule ID 3781 //
     /* 1618914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618960 */     // MIs[0] policy
     /* 1618960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618994 */     // GIR_Coverage, 3781,
     /* 1618994 */     GIR_EraseRootFromParent_Done,
     /* 1618995 */   // Label 22309: @1618995
     /* 1618995 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1619081), // Rule ID 3784 //
     /* 1619000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619046 */     // MIs[0] policy
     /* 1619046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619080 */     // GIR_Coverage, 3784,
     /* 1619080 */     GIR_EraseRootFromParent_Done,
     /* 1619081 */   // Label 22310: @1619081
     /* 1619081 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1619167), // Rule ID 3785 //
     /* 1619086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619132 */     // MIs[0] policy
     /* 1619132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619166 */     // GIR_Coverage, 3785,
     /* 1619166 */     GIR_EraseRootFromParent_Done,
     /* 1619167 */   // Label 22311: @1619167
     /* 1619167 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1619253), // Rule ID 3788 //
     /* 1619172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619218 */     // MIs[0] policy
     /* 1619218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619252 */     // GIR_Coverage, 3788,
     /* 1619252 */     GIR_EraseRootFromParent_Done,
     /* 1619253 */   // Label 22312: @1619253
     /* 1619253 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1619339), // Rule ID 3789 //
     /* 1619258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619304 */     // MIs[0] policy
     /* 1619304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619314 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619338 */     // GIR_Coverage, 3789,
     /* 1619338 */     GIR_EraseRootFromParent_Done,
     /* 1619339 */   // Label 22313: @1619339
     /* 1619339 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1619425), // Rule ID 3792 //
     /* 1619344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619390 */     // MIs[0] policy
     /* 1619390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619424 */     // GIR_Coverage, 3792,
     /* 1619424 */     GIR_EraseRootFromParent_Done,
     /* 1619425 */   // Label 22314: @1619425
     /* 1619425 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1619511), // Rule ID 3793 //
     /* 1619430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619476 */     // MIs[0] policy
     /* 1619476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619486 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619510 */     // GIR_Coverage, 3793,
     /* 1619510 */     GIR_EraseRootFromParent_Done,
     /* 1619511 */   // Label 22315: @1619511
     /* 1619511 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1619597), // Rule ID 3796 //
     /* 1619516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619562 */     // MIs[0] policy
     /* 1619562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619596 */     // GIR_Coverage, 3796,
     /* 1619596 */     GIR_EraseRootFromParent_Done,
     /* 1619597 */   // Label 22316: @1619597
     /* 1619597 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1619683), // Rule ID 3797 //
     /* 1619602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619648 */     // MIs[0] policy
     /* 1619648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619682 */     // GIR_Coverage, 3797,
     /* 1619682 */     GIR_EraseRootFromParent_Done,
     /* 1619683 */   // Label 22317: @1619683
     /* 1619683 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1619769), // Rule ID 3800 //
     /* 1619688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619734 */     // MIs[0] policy
     /* 1619734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619768 */     // GIR_Coverage, 3800,
     /* 1619768 */     GIR_EraseRootFromParent_Done,
     /* 1619769 */   // Label 22318: @1619769
     /* 1619769 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1619855), // Rule ID 3801 //
     /* 1619774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619820 */     // MIs[0] policy
     /* 1619820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619854 */     // GIR_Coverage, 3801,
     /* 1619854 */     GIR_EraseRootFromParent_Done,
     /* 1619855 */   // Label 22319: @1619855
     /* 1619855 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1619941), // Rule ID 3804 //
     /* 1619860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619906 */     // MIs[0] policy
     /* 1619906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619940 */     // GIR_Coverage, 3804,
     /* 1619940 */     GIR_EraseRootFromParent_Done,
     /* 1619941 */   // Label 22320: @1619941
     /* 1619941 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1620027), // Rule ID 3805 //
     /* 1619946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619992 */     // MIs[0] policy
     /* 1619992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620026 */     // GIR_Coverage, 3805,
     /* 1620026 */     GIR_EraseRootFromParent_Done,
     /* 1620027 */   // Label 22321: @1620027
     /* 1620027 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1620113), // Rule ID 3808 //
     /* 1620032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620078 */     // MIs[0] policy
     /* 1620078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620112 */     // GIR_Coverage, 3808,
     /* 1620112 */     GIR_EraseRootFromParent_Done,
     /* 1620113 */   // Label 22322: @1620113
     /* 1620113 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1620199), // Rule ID 3809 //
     /* 1620118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620164 */     // MIs[0] policy
     /* 1620164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620198 */     // GIR_Coverage, 3809,
     /* 1620198 */     GIR_EraseRootFromParent_Done,
     /* 1620199 */   // Label 22323: @1620199
     /* 1620199 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1620285), // Rule ID 3812 //
     /* 1620204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620250 */     // MIs[0] policy
     /* 1620250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620284 */     // GIR_Coverage, 3812,
     /* 1620284 */     GIR_EraseRootFromParent_Done,
     /* 1620285 */   // Label 22324: @1620285
     /* 1620285 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1620371), // Rule ID 3813 //
     /* 1620290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620336 */     // MIs[0] policy
     /* 1620336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620370 */     // GIR_Coverage, 3813,
     /* 1620370 */     GIR_EraseRootFromParent_Done,
     /* 1620371 */   // Label 22325: @1620371
     /* 1620371 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1620457), // Rule ID 3816 //
     /* 1620376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620422 */     // MIs[0] policy
     /* 1620422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1620435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620456 */     // GIR_Coverage, 3816,
     /* 1620456 */     GIR_EraseRootFromParent_Done,
     /* 1620457 */   // Label 22326: @1620457
     /* 1620457 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1620543), // Rule ID 3817 //
     /* 1620462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620508 */     // MIs[0] policy
     /* 1620508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1620521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620542 */     // GIR_Coverage, 3817,
     /* 1620542 */     GIR_EraseRootFromParent_Done,
     /* 1620543 */   // Label 22327: @1620543
     /* 1620543 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1620629), // Rule ID 3820 //
     /* 1620548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620594 */     // MIs[0] policy
     /* 1620594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620628 */     // GIR_Coverage, 3820,
     /* 1620628 */     GIR_EraseRootFromParent_Done,
     /* 1620629 */   // Label 22328: @1620629
     /* 1620629 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1620715), // Rule ID 3821 //
     /* 1620634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620680 */     // MIs[0] policy
     /* 1620680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620714 */     // GIR_Coverage, 3821,
     /* 1620714 */     GIR_EraseRootFromParent_Done,
     /* 1620715 */   // Label 22329: @1620715
     /* 1620715 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1620801), // Rule ID 3824 //
     /* 1620720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620766 */     // MIs[0] policy
     /* 1620766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620800 */     // GIR_Coverage, 3824,
     /* 1620800 */     GIR_EraseRootFromParent_Done,
     /* 1620801 */   // Label 22330: @1620801
     /* 1620801 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1620887), // Rule ID 3825 //
     /* 1620806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620852 */     // MIs[0] policy
     /* 1620852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620886 */     // GIR_Coverage, 3825,
     /* 1620886 */     GIR_EraseRootFromParent_Done,
     /* 1620887 */   // Label 22331: @1620887
     /* 1620887 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1620973), // Rule ID 3828 //
     /* 1620892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620938 */     // MIs[0] policy
     /* 1620938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620972 */     // GIR_Coverage, 3828,
     /* 1620972 */     GIR_EraseRootFromParent_Done,
     /* 1620973 */   // Label 22332: @1620973
     /* 1620973 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1621059), // Rule ID 3829 //
     /* 1620978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621024 */     // MIs[0] policy
     /* 1621024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1621037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621058 */     // GIR_Coverage, 3829,
     /* 1621058 */     GIR_EraseRootFromParent_Done,
     /* 1621059 */   // Label 22333: @1621059
     /* 1621059 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1621145), // Rule ID 3832 //
     /* 1621064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1621084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621110 */     // MIs[0] policy
     /* 1621110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621120 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1621123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621144 */     // GIR_Coverage, 3832,
     /* 1621144 */     GIR_EraseRootFromParent_Done,
     /* 1621145 */   // Label 22334: @1621145
     /* 1621145 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1621231), // Rule ID 3833 //
     /* 1621150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1621170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621196 */     // MIs[0] policy
     /* 1621196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1621209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621230 */     // GIR_Coverage, 3833,
     /* 1621230 */     GIR_EraseRootFromParent_Done,
     /* 1621231 */   // Label 22335: @1621231
     /* 1621231 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1621317), // Rule ID 3836 //
     /* 1621236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1621247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1621250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1621253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1621256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621282 */     // MIs[0] policy
     /* 1621282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621316 */     // GIR_Coverage, 3836,
     /* 1621316 */     GIR_EraseRootFromParent_Done,
     /* 1621317 */   // Label 22336: @1621317
     /* 1621317 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1621403), // Rule ID 3837 //
     /* 1621322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1621333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1621336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1621339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1621342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621368 */     // MIs[0] policy
     /* 1621368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621402 */     // GIR_Coverage, 3837,
     /* 1621402 */     GIR_EraseRootFromParent_Done,
     /* 1621403 */   // Label 22337: @1621403
     /* 1621403 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1621489), // Rule ID 3840 //
     /* 1621408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1621419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1621422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1621425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1621428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621454 */     // MIs[0] policy
     /* 1621454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621488 */     // GIR_Coverage, 3840,
     /* 1621488 */     GIR_EraseRootFromParent_Done,
     /* 1621489 */   // Label 22338: @1621489
     /* 1621489 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1621575), // Rule ID 3841 //
     /* 1621494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1621505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1621508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1621511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1621514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621540 */     // MIs[0] policy
     /* 1621540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621574 */     // GIR_Coverage, 3841,
     /* 1621574 */     GIR_EraseRootFromParent_Done,
     /* 1621575 */   // Label 22339: @1621575
     /* 1621575 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1621661), // Rule ID 3844 //
     /* 1621580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621626 */     // MIs[0] policy
     /* 1621626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621636 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621660 */     // GIR_Coverage, 3844,
     /* 1621660 */     GIR_EraseRootFromParent_Done,
     /* 1621661 */   // Label 22340: @1621661
     /* 1621661 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1621747), // Rule ID 3845 //
     /* 1621666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621712 */     // MIs[0] policy
     /* 1621712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621746 */     // GIR_Coverage, 3845,
     /* 1621746 */     GIR_EraseRootFromParent_Done,
     /* 1621747 */   // Label 22341: @1621747
     /* 1621747 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1621833), // Rule ID 3848 //
     /* 1621752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621798 */     // MIs[0] policy
     /* 1621798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621832 */     // GIR_Coverage, 3848,
     /* 1621832 */     GIR_EraseRootFromParent_Done,
     /* 1621833 */   // Label 22342: @1621833
     /* 1621833 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1621919), // Rule ID 3849 //
     /* 1621838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621884 */     // MIs[0] policy
     /* 1621884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621918 */     // GIR_Coverage, 3849,
     /* 1621918 */     GIR_EraseRootFromParent_Done,
     /* 1621919 */   // Label 22343: @1621919
     /* 1621919 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1622005), // Rule ID 3852 //
     /* 1621924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621970 */     // MIs[0] policy
     /* 1621970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622004 */     // GIR_Coverage, 3852,
     /* 1622004 */     GIR_EraseRootFromParent_Done,
     /* 1622005 */   // Label 22344: @1622005
     /* 1622005 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1622091), // Rule ID 3853 //
     /* 1622010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1622030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622056 */     // MIs[0] policy
     /* 1622056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622066 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622090 */     // GIR_Coverage, 3853,
     /* 1622090 */     GIR_EraseRootFromParent_Done,
     /* 1622091 */   // Label 22345: @1622091
     /* 1622091 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1622177), // Rule ID 3856 //
     /* 1622096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1622107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1622110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1622116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622142 */     // MIs[0] policy
     /* 1622142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1622155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622176 */     // GIR_Coverage, 3856,
     /* 1622176 */     GIR_EraseRootFromParent_Done,
     /* 1622177 */   // Label 22346: @1622177
     /* 1622177 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1622263), // Rule ID 3857 //
     /* 1622182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1622193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1622196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1622202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622228 */     // MIs[0] policy
     /* 1622228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1622241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622262 */     // GIR_Coverage, 3857,
     /* 1622262 */     GIR_EraseRootFromParent_Done,
     /* 1622263 */   // Label 22347: @1622263
     /* 1622263 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1622349), // Rule ID 3860 //
     /* 1622268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1622279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1622282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1622288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622314 */     // MIs[0] policy
     /* 1622314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622348 */     // GIR_Coverage, 3860,
     /* 1622348 */     GIR_EraseRootFromParent_Done,
     /* 1622349 */   // Label 22348: @1622349
     /* 1622349 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1622435), // Rule ID 3861 //
     /* 1622354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1622365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1622368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1622374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622400 */     // MIs[0] policy
     /* 1622400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622434 */     // GIR_Coverage, 3861,
     /* 1622434 */     GIR_EraseRootFromParent_Done,
     /* 1622435 */   // Label 22349: @1622435
     /* 1622435 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1622521), // Rule ID 3864 //
     /* 1622440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622486 */     // MIs[0] policy
     /* 1622486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622520 */     // GIR_Coverage, 3864,
     /* 1622520 */     GIR_EraseRootFromParent_Done,
     /* 1622521 */   // Label 22350: @1622521
     /* 1622521 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1622607), // Rule ID 3865 //
     /* 1622526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622572 */     // MIs[0] policy
     /* 1622572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622606 */     // GIR_Coverage, 3865,
     /* 1622606 */     GIR_EraseRootFromParent_Done,
     /* 1622607 */   // Label 22351: @1622607
     /* 1622607 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1622693), // Rule ID 3868 //
     /* 1622612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622658 */     // MIs[0] policy
     /* 1622658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622692 */     // GIR_Coverage, 3868,
     /* 1622692 */     GIR_EraseRootFromParent_Done,
     /* 1622693 */   // Label 22352: @1622693
     /* 1622693 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1622779), // Rule ID 3869 //
     /* 1622698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622744 */     // MIs[0] policy
     /* 1622744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622778 */     // GIR_Coverage, 3869,
     /* 1622778 */     GIR_EraseRootFromParent_Done,
     /* 1622779 */   // Label 22353: @1622779
     /* 1622779 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1622865), // Rule ID 3872 //
     /* 1622784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622830 */     // MIs[0] policy
     /* 1622830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622864 */     // GIR_Coverage, 3872,
     /* 1622864 */     GIR_EraseRootFromParent_Done,
     /* 1622865 */   // Label 22354: @1622865
     /* 1622865 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1622951), // Rule ID 3873 //
     /* 1622870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622916 */     // MIs[0] policy
     /* 1622916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622950 */     // GIR_Coverage, 3873,
     /* 1622950 */     GIR_EraseRootFromParent_Done,
     /* 1622951 */   // Label 22355: @1622951
     /* 1622951 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1623037), // Rule ID 3876 //
     /* 1622956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1622976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623002 */     // MIs[0] policy
     /* 1623002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1623015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623036 */     // GIR_Coverage, 3876,
     /* 1623036 */     GIR_EraseRootFromParent_Done,
     /* 1623037 */   // Label 22356: @1623037
     /* 1623037 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1623123), // Rule ID 3877 //
     /* 1623042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1623053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1623056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1623059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1623062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623088 */     // MIs[0] policy
     /* 1623088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1623101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623122 */     // GIR_Coverage, 3877,
     /* 1623122 */     GIR_EraseRootFromParent_Done,
     /* 1623123 */   // Label 22357: @1623123
     /* 1623123 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1623209), // Rule ID 3880 //
     /* 1623128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1623139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1623142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1623148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623174 */     // MIs[0] policy
     /* 1623174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1623187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623208 */     // GIR_Coverage, 3880,
     /* 1623208 */     GIR_EraseRootFromParent_Done,
     /* 1623209 */   // Label 22358: @1623209
     /* 1623209 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1623295), // Rule ID 3881 //
     /* 1623214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1623225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1623228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1623234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623260 */     // MIs[0] policy
     /* 1623260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1623273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623294 */     // GIR_Coverage, 3881,
     /* 1623294 */     GIR_EraseRootFromParent_Done,
     /* 1623295 */   // Label 22359: @1623295
     /* 1623295 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1623381), // Rule ID 3884 //
     /* 1623300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1623311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1623314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1623320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623346 */     // MIs[0] policy
     /* 1623346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1623359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623380 */     // GIR_Coverage, 3884,
     /* 1623380 */     GIR_EraseRootFromParent_Done,
     /* 1623381 */   // Label 22360: @1623381
     /* 1623381 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1623467), // Rule ID 3885 //
     /* 1623386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1623397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1623400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1623406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623432 */     // MIs[0] policy
     /* 1623432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1623445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623466 */     // GIR_Coverage, 3885,
     /* 1623466 */     GIR_EraseRootFromParent_Done,
     /* 1623467 */   // Label 22361: @1623467
     /* 1623467 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1623553), // Rule ID 3888 //
     /* 1623472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623518 */     // MIs[0] policy
     /* 1623518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623552 */     // GIR_Coverage, 3888,
     /* 1623552 */     GIR_EraseRootFromParent_Done,
     /* 1623553 */   // Label 22362: @1623553
     /* 1623553 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1623639), // Rule ID 3889 //
     /* 1623558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623604 */     // MIs[0] policy
     /* 1623604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623638 */     // GIR_Coverage, 3889,
     /* 1623638 */     GIR_EraseRootFromParent_Done,
     /* 1623639 */   // Label 22363: @1623639
     /* 1623639 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1623725), // Rule ID 3892 //
     /* 1623644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623690 */     // MIs[0] policy
     /* 1623690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623724 */     // GIR_Coverage, 3892,
     /* 1623724 */     GIR_EraseRootFromParent_Done,
     /* 1623725 */   // Label 22364: @1623725
     /* 1623725 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1623811), // Rule ID 3893 //
     /* 1623730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623776 */     // MIs[0] policy
     /* 1623776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623810 */     // GIR_Coverage, 3893,
     /* 1623810 */     GIR_EraseRootFromParent_Done,
     /* 1623811 */   // Label 22365: @1623811
     /* 1623811 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1623897), // Rule ID 3896 //
     /* 1623816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623862 */     // MIs[0] policy
     /* 1623862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623896 */     // GIR_Coverage, 3896,
     /* 1623896 */     GIR_EraseRootFromParent_Done,
     /* 1623897 */   // Label 22366: @1623897
     /* 1623897 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1623983), // Rule ID 3897 //
     /* 1623902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623948 */     // MIs[0] policy
     /* 1623948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623982 */     // GIR_Coverage, 3897,
     /* 1623982 */     GIR_EraseRootFromParent_Done,
     /* 1623983 */   // Label 22367: @1623983
     /* 1623983 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1624069), // Rule ID 3900 //
     /* 1623988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1624005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624034 */     // MIs[0] policy
     /* 1624034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624068 */     // GIR_Coverage, 3900,
     /* 1624068 */     GIR_EraseRootFromParent_Done,
     /* 1624069 */   // Label 22368: @1624069
     /* 1624069 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1624155), // Rule ID 3901 //
     /* 1624074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1624091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624120 */     // MIs[0] policy
     /* 1624120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624154 */     // GIR_Coverage, 3901,
     /* 1624154 */     GIR_EraseRootFromParent_Done,
     /* 1624155 */   // Label 22369: @1624155
     /* 1624155 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1624241), // Rule ID 3904 //
     /* 1624160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1624171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1624174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624206 */     // MIs[0] policy
     /* 1624206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624240 */     // GIR_Coverage, 3904,
     /* 1624240 */     GIR_EraseRootFromParent_Done,
     /* 1624241 */   // Label 22370: @1624241
     /* 1624241 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1624327), // Rule ID 3905 //
     /* 1624246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1624257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1624260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624292 */     // MIs[0] policy
     /* 1624292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624326 */     // GIR_Coverage, 3905,
     /* 1624326 */     GIR_EraseRootFromParent_Done,
     /* 1624327 */   // Label 22371: @1624327
     /* 1624327 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1624413), // Rule ID 3908 //
     /* 1624332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1624343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1624346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1624349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624378 */     // MIs[0] policy
     /* 1624378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624412 */     // GIR_Coverage, 3908,
     /* 1624412 */     GIR_EraseRootFromParent_Done,
     /* 1624413 */   // Label 22372: @1624413
     /* 1624413 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1624499), // Rule ID 3909 //
     /* 1624418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1624429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1624432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1624435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624464 */     // MIs[0] policy
     /* 1624464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624498 */     // GIR_Coverage, 3909,
     /* 1624498 */     GIR_EraseRootFromParent_Done,
     /* 1624499 */   // Label 22373: @1624499
     /* 1624499 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1624585), // Rule ID 3912 //
     /* 1624504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624550 */     // MIs[0] policy
     /* 1624550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624584 */     // GIR_Coverage, 3912,
     /* 1624584 */     GIR_EraseRootFromParent_Done,
     /* 1624585 */   // Label 22374: @1624585
     /* 1624585 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1624671), // Rule ID 3913 //
     /* 1624590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624636 */     // MIs[0] policy
     /* 1624636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624670 */     // GIR_Coverage, 3913,
     /* 1624670 */     GIR_EraseRootFromParent_Done,
     /* 1624671 */   // Label 22375: @1624671
     /* 1624671 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1624757), // Rule ID 3916 //
     /* 1624676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624722 */     // MIs[0] policy
     /* 1624722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624732 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624756 */     // GIR_Coverage, 3916,
     /* 1624756 */     GIR_EraseRootFromParent_Done,
     /* 1624757 */   // Label 22376: @1624757
     /* 1624757 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1624843), // Rule ID 3917 //
     /* 1624762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624808 */     // MIs[0] policy
     /* 1624808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624842 */     // GIR_Coverage, 3917,
     /* 1624842 */     GIR_EraseRootFromParent_Done,
     /* 1624843 */   // Label 22377: @1624843
     /* 1624843 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1624929), // Rule ID 3920 //
     /* 1624848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624894 */     // MIs[0] policy
     /* 1624894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624928 */     // GIR_Coverage, 3920,
     /* 1624928 */     GIR_EraseRootFromParent_Done,
     /* 1624929 */   // Label 22378: @1624929
     /* 1624929 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1625015), // Rule ID 3921 //
     /* 1624934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624980 */     // MIs[0] policy
     /* 1624980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625014 */     // GIR_Coverage, 3921,
     /* 1625014 */     GIR_EraseRootFromParent_Done,
     /* 1625015 */   // Label 22379: @1625015
     /* 1625015 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1625101), // Rule ID 3924 //
     /* 1625020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625066 */     // MIs[0] policy
     /* 1625066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625100 */     // GIR_Coverage, 3924,
     /* 1625100 */     GIR_EraseRootFromParent_Done,
     /* 1625101 */   // Label 22380: @1625101
     /* 1625101 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1625187), // Rule ID 3925 //
     /* 1625106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625152 */     // MIs[0] policy
     /* 1625152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625186 */     // GIR_Coverage, 3925,
     /* 1625186 */     GIR_EraseRootFromParent_Done,
     /* 1625187 */   // Label 22381: @1625187
     /* 1625187 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1625273), // Rule ID 3928 //
     /* 1625192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1625203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1625206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625238 */     // MIs[0] policy
     /* 1625238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625272 */     // GIR_Coverage, 3928,
     /* 1625272 */     GIR_EraseRootFromParent_Done,
     /* 1625273 */   // Label 22382: @1625273
     /* 1625273 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1625359), // Rule ID 3929 //
     /* 1625278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1625289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1625292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625324 */     // MIs[0] policy
     /* 1625324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625358 */     // GIR_Coverage, 3929,
     /* 1625358 */     GIR_EraseRootFromParent_Done,
     /* 1625359 */   // Label 22383: @1625359
     /* 1625359 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1625445), // Rule ID 3932 //
     /* 1625364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1625375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1625378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625410 */     // MIs[0] policy
     /* 1625410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625444 */     // GIR_Coverage, 3932,
     /* 1625444 */     GIR_EraseRootFromParent_Done,
     /* 1625445 */   // Label 22384: @1625445
     /* 1625445 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1625531), // Rule ID 3933 //
     /* 1625450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1625461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1625464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625496 */     // MIs[0] policy
     /* 1625496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625530 */     // GIR_Coverage, 3933,
     /* 1625530 */     GIR_EraseRootFromParent_Done,
     /* 1625531 */   // Label 22385: @1625531
     /* 1625531 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1625617), // Rule ID 3936 //
     /* 1625536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625582 */     // MIs[0] policy
     /* 1625582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625616 */     // GIR_Coverage, 3936,
     /* 1625616 */     GIR_EraseRootFromParent_Done,
     /* 1625617 */   // Label 22386: @1625617
     /* 1625617 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1625703), // Rule ID 3937 //
     /* 1625622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625668 */     // MIs[0] policy
     /* 1625668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625702 */     // GIR_Coverage, 3937,
     /* 1625702 */     GIR_EraseRootFromParent_Done,
     /* 1625703 */   // Label 22387: @1625703
     /* 1625703 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1625789), // Rule ID 3940 //
     /* 1625708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625754 */     // MIs[0] policy
     /* 1625754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625788 */     // GIR_Coverage, 3940,
     /* 1625788 */     GIR_EraseRootFromParent_Done,
     /* 1625789 */   // Label 22388: @1625789
     /* 1625789 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1625875), // Rule ID 3941 //
     /* 1625794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625840 */     // MIs[0] policy
     /* 1625840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625874 */     // GIR_Coverage, 3941,
     /* 1625874 */     GIR_EraseRootFromParent_Done,
     /* 1625875 */   // Label 22389: @1625875
     /* 1625875 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1625961), // Rule ID 3944 //
     /* 1625880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625926 */     // MIs[0] policy
     /* 1625926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625960 */     // GIR_Coverage, 3944,
     /* 1625960 */     GIR_EraseRootFromParent_Done,
     /* 1625961 */   // Label 22390: @1625961
     /* 1625961 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1626047), // Rule ID 3945 //
     /* 1625966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626012 */     // MIs[0] policy
     /* 1626012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1626025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626046 */     // GIR_Coverage, 3945,
     /* 1626046 */     GIR_EraseRootFromParent_Done,
     /* 1626047 */   // Label 22391: @1626047
     /* 1626047 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1626133), // Rule ID 3948 //
     /* 1626052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626098 */     // MIs[0] policy
     /* 1626098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1626111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626132 */     // GIR_Coverage, 3948,
     /* 1626132 */     GIR_EraseRootFromParent_Done,
     /* 1626133 */   // Label 22392: @1626133
     /* 1626133 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1626219), // Rule ID 3949 //
     /* 1626138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626184 */     // MIs[0] policy
     /* 1626184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1626197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626218 */     // GIR_Coverage, 3949,
     /* 1626218 */     GIR_EraseRootFromParent_Done,
     /* 1626219 */   // Label 22393: @1626219
     /* 1626219 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1626305), // Rule ID 3958 //
     /* 1626224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1626235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1626238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1626244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626270 */     // MIs[0] policy
     /* 1626270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626304 */     // GIR_Coverage, 3958,
     /* 1626304 */     GIR_EraseRootFromParent_Done,
     /* 1626305 */   // Label 22394: @1626305
     /* 1626305 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1626391), // Rule ID 3959 //
     /* 1626310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1626321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1626324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1626330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626356 */     // MIs[0] policy
     /* 1626356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626366 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626390 */     // GIR_Coverage, 3959,
     /* 1626390 */     GIR_EraseRootFromParent_Done,
     /* 1626391 */   // Label 22395: @1626391
     /* 1626391 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1626477), // Rule ID 3968 //
     /* 1626396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1626407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1626410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1626416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626442 */     // MIs[0] policy
     /* 1626442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626476 */     // GIR_Coverage, 3968,
     /* 1626476 */     GIR_EraseRootFromParent_Done,
     /* 1626477 */   // Label 22396: @1626477
     /* 1626477 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1626563), // Rule ID 3969 //
     /* 1626482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1626493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1626496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1626502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626528 */     // MIs[0] policy
     /* 1626528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626562 */     // GIR_Coverage, 3969,
     /* 1626562 */     GIR_EraseRootFromParent_Done,
     /* 1626563 */   // Label 22397: @1626563
     /* 1626563 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1626649), // Rule ID 3978 //
     /* 1626568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626614 */     // MIs[0] policy
     /* 1626614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626648 */     // GIR_Coverage, 3978,
     /* 1626648 */     GIR_EraseRootFromParent_Done,
     /* 1626649 */   // Label 22398: @1626649
     /* 1626649 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1626735), // Rule ID 3979 //
     /* 1626654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626700 */     // MIs[0] policy
     /* 1626700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626710 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626734 */     // GIR_Coverage, 3979,
     /* 1626734 */     GIR_EraseRootFromParent_Done,
     /* 1626735 */   // Label 22399: @1626735
     /* 1626735 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1626821), // Rule ID 3988 //
     /* 1626740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626786 */     // MIs[0] policy
     /* 1626786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626820 */     // GIR_Coverage, 3988,
     /* 1626820 */     GIR_EraseRootFromParent_Done,
     /* 1626821 */   // Label 22400: @1626821
     /* 1626821 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1626907), // Rule ID 3989 //
     /* 1626826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626872 */     // MIs[0] policy
     /* 1626872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626882 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626906 */     // GIR_Coverage, 3989,
     /* 1626906 */     GIR_EraseRootFromParent_Done,
     /* 1626907 */   // Label 22401: @1626907
     /* 1626907 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1626993), // Rule ID 3998 //
     /* 1626912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1626929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626958 */     // MIs[0] policy
     /* 1626958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626992 */     // GIR_Coverage, 3998,
     /* 1626992 */     GIR_EraseRootFromParent_Done,
     /* 1626993 */   // Label 22402: @1626993
     /* 1626993 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1627079), // Rule ID 3999 //
     /* 1626998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1627009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1627012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1627015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1627018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1627021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627044 */     // MIs[0] policy
     /* 1627044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627078 */     // GIR_Coverage, 3999,
     /* 1627078 */     GIR_EraseRootFromParent_Done,
     /* 1627079 */   // Label 22403: @1627079
     /* 1627079 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1627165), // Rule ID 4008 //
     /* 1627084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627130 */     // MIs[0] policy
     /* 1627130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1627143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627164 */     // GIR_Coverage, 4008,
     /* 1627164 */     GIR_EraseRootFromParent_Done,
     /* 1627165 */   // Label 22404: @1627165
     /* 1627165 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1627251), // Rule ID 4009 //
     /* 1627170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627216 */     // MIs[0] policy
     /* 1627216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1627229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627250 */     // GIR_Coverage, 4009,
     /* 1627250 */     GIR_EraseRootFromParent_Done,
     /* 1627251 */   // Label 22405: @1627251
     /* 1627251 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1627337), // Rule ID 4018 //
     /* 1627256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1627267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1627270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1627276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627302 */     // MIs[0] policy
     /* 1627302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627336 */     // GIR_Coverage, 4018,
     /* 1627336 */     GIR_EraseRootFromParent_Done,
     /* 1627337 */   // Label 22406: @1627337
     /* 1627337 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1627423), // Rule ID 4019 //
     /* 1627342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1627353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1627356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1627362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627388 */     // MIs[0] policy
     /* 1627388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627422 */     // GIR_Coverage, 4019,
     /* 1627422 */     GIR_EraseRootFromParent_Done,
     /* 1627423 */   // Label 22407: @1627423
     /* 1627423 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1627509), // Rule ID 4028 //
     /* 1627428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627474 */     // MIs[0] policy
     /* 1627474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627508 */     // GIR_Coverage, 4028,
     /* 1627508 */     GIR_EraseRootFromParent_Done,
     /* 1627509 */   // Label 22408: @1627509
     /* 1627509 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1627595), // Rule ID 4029 //
     /* 1627514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627560 */     // MIs[0] policy
     /* 1627560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627594 */     // GIR_Coverage, 4029,
     /* 1627594 */     GIR_EraseRootFromParent_Done,
     /* 1627595 */   // Label 22409: @1627595
     /* 1627595 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1627681), // Rule ID 4038 //
     /* 1627600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627646 */     // MIs[0] policy
     /* 1627646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627680 */     // GIR_Coverage, 4038,
     /* 1627680 */     GIR_EraseRootFromParent_Done,
     /* 1627681 */   // Label 22410: @1627681
     /* 1627681 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1627767), // Rule ID 4039 //
     /* 1627686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627732 */     // MIs[0] policy
     /* 1627732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627766 */     // GIR_Coverage, 4039,
     /* 1627766 */     GIR_EraseRootFromParent_Done,
     /* 1627767 */   // Label 22411: @1627767
     /* 1627767 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1627853), // Rule ID 4048 //
     /* 1627772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627818 */     // MIs[0] policy
     /* 1627818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627852 */     // GIR_Coverage, 4048,
     /* 1627852 */     GIR_EraseRootFromParent_Done,
     /* 1627853 */   // Label 22412: @1627853
     /* 1627853 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1627939), // Rule ID 4049 //
     /* 1627858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627904 */     // MIs[0] policy
     /* 1627904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627938 */     // GIR_Coverage, 4049,
     /* 1627938 */     GIR_EraseRootFromParent_Done,
     /* 1627939 */   // Label 22413: @1627939
     /* 1627939 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1628025), // Rule ID 4058 //
     /* 1627944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1627961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627990 */     // MIs[0] policy
     /* 1627990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1628003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628024 */     // GIR_Coverage, 4058,
     /* 1628024 */     GIR_EraseRootFromParent_Done,
     /* 1628025 */   // Label 22414: @1628025
     /* 1628025 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1628111), // Rule ID 4059 //
     /* 1628030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1628047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1628050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628076 */     // MIs[0] policy
     /* 1628076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1628089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628110 */     // GIR_Coverage, 4059,
     /* 1628110 */     GIR_EraseRootFromParent_Done,
     /* 1628111 */   // Label 22415: @1628111
     /* 1628111 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1628197), // Rule ID 4068 //
     /* 1628116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1628127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1628130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1628133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628162 */     // MIs[0] policy
     /* 1628162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1628175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628196 */     // GIR_Coverage, 4068,
     /* 1628196 */     GIR_EraseRootFromParent_Done,
     /* 1628197 */   // Label 22416: @1628197
     /* 1628197 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1628283), // Rule ID 4069 //
     /* 1628202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1628213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1628216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1628219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628248 */     // MIs[0] policy
     /* 1628248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1628261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628282 */     // GIR_Coverage, 4069,
     /* 1628282 */     GIR_EraseRootFromParent_Done,
     /* 1628283 */   // Label 22417: @1628283
     /* 1628283 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1628369), // Rule ID 4078 //
     /* 1628288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1628299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1628302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1628305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1628308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628334 */     // MIs[0] policy
     /* 1628334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1628347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628368 */     // GIR_Coverage, 4078,
     /* 1628368 */     GIR_EraseRootFromParent_Done,
     /* 1628369 */   // Label 22418: @1628369
     /* 1628369 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1628455), // Rule ID 4079 //
     /* 1628374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1628385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1628388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1628391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1628394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628420 */     // MIs[0] policy
     /* 1628420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1628433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628454 */     // GIR_Coverage, 4079,
     /* 1628454 */     GIR_EraseRootFromParent_Done,
     /* 1628455 */   // Label 22419: @1628455
     /* 1628455 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1628541), // Rule ID 4088 //
     /* 1628460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628506 */     // MIs[0] policy
     /* 1628506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628540 */     // GIR_Coverage, 4088,
     /* 1628540 */     GIR_EraseRootFromParent_Done,
     /* 1628541 */   // Label 22420: @1628541
     /* 1628541 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1628627), // Rule ID 4089 //
     /* 1628546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628592 */     // MIs[0] policy
     /* 1628592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628626 */     // GIR_Coverage, 4089,
     /* 1628626 */     GIR_EraseRootFromParent_Done,
     /* 1628627 */   // Label 22421: @1628627
     /* 1628627 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1628713), // Rule ID 4092 //
     /* 1628632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628678 */     // MIs[0] policy
     /* 1628678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628712 */     // GIR_Coverage, 4092,
     /* 1628712 */     GIR_EraseRootFromParent_Done,
     /* 1628713 */   // Label 22422: @1628713
     /* 1628713 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1628799), // Rule ID 4093 //
     /* 1628718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628764 */     // MIs[0] policy
     /* 1628764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628798 */     // GIR_Coverage, 4093,
     /* 1628798 */     GIR_EraseRootFromParent_Done,
     /* 1628799 */   // Label 22423: @1628799
     /* 1628799 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1628885), // Rule ID 4096 //
     /* 1628804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628850 */     // MIs[0] policy
     /* 1628850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628884 */     // GIR_Coverage, 4096,
     /* 1628884 */     GIR_EraseRootFromParent_Done,
     /* 1628885 */   // Label 22424: @1628885
     /* 1628885 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1628971), // Rule ID 4097 //
     /* 1628890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628936 */     // MIs[0] policy
     /* 1628936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628970 */     // GIR_Coverage, 4097,
     /* 1628970 */     GIR_EraseRootFromParent_Done,
     /* 1628971 */   // Label 22425: @1628971
     /* 1628971 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1629057), // Rule ID 4100 //
     /* 1628976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629022 */     // MIs[0] policy
     /* 1629022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629056 */     // GIR_Coverage, 4100,
     /* 1629056 */     GIR_EraseRootFromParent_Done,
     /* 1629057 */   // Label 22426: @1629057
     /* 1629057 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1629143), // Rule ID 4101 //
     /* 1629062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1629073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1629076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1629079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629108 */     // MIs[0] policy
     /* 1629108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629142 */     // GIR_Coverage, 4101,
     /* 1629142 */     GIR_EraseRootFromParent_Done,
     /* 1629143 */   // Label 22427: @1629143
     /* 1629143 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1629229), // Rule ID 4104 //
     /* 1629148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1629159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1629162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629194 */     // MIs[0] policy
     /* 1629194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629204 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629228 */     // GIR_Coverage, 4104,
     /* 1629228 */     GIR_EraseRootFromParent_Done,
     /* 1629229 */   // Label 22428: @1629229
     /* 1629229 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1629315), // Rule ID 4105 //
     /* 1629234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1629245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1629248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629280 */     // MIs[0] policy
     /* 1629280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629290 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629314 */     // GIR_Coverage, 4105,
     /* 1629314 */     GIR_EraseRootFromParent_Done,
     /* 1629315 */   // Label 22429: @1629315
     /* 1629315 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1629401), // Rule ID 4108 //
     /* 1629320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1629331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1629334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629366 */     // MIs[0] policy
     /* 1629366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629400 */     // GIR_Coverage, 4108,
     /* 1629400 */     GIR_EraseRootFromParent_Done,
     /* 1629401 */   // Label 22430: @1629401
     /* 1629401 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1629487), // Rule ID 4109 //
     /* 1629406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1629417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1629420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629452 */     // MIs[0] policy
     /* 1629452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629462 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629486 */     // GIR_Coverage, 4109,
     /* 1629486 */     GIR_EraseRootFromParent_Done,
     /* 1629487 */   // Label 22431: @1629487
     /* 1629487 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1629573), // Rule ID 4112 //
     /* 1629492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629538 */     // MIs[0] policy
     /* 1629538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629572 */     // GIR_Coverage, 4112,
     /* 1629572 */     GIR_EraseRootFromParent_Done,
     /* 1629573 */   // Label 22432: @1629573
     /* 1629573 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1629659), // Rule ID 4113 //
     /* 1629578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629624 */     // MIs[0] policy
     /* 1629624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629634 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629658 */     // GIR_Coverage, 4113,
     /* 1629658 */     GIR_EraseRootFromParent_Done,
     /* 1629659 */   // Label 22433: @1629659
     /* 1629659 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1629745), // Rule ID 4116 //
     /* 1629664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629710 */     // MIs[0] policy
     /* 1629710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629744 */     // GIR_Coverage, 4116,
     /* 1629744 */     GIR_EraseRootFromParent_Done,
     /* 1629745 */   // Label 22434: @1629745
     /* 1629745 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1629831), // Rule ID 4117 //
     /* 1629750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629796 */     // MIs[0] policy
     /* 1629796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629830 */     // GIR_Coverage, 4117,
     /* 1629830 */     GIR_EraseRootFromParent_Done,
     /* 1629831 */   // Label 22435: @1629831
     /* 1629831 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1629917), // Rule ID 4120 //
     /* 1629836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629882 */     // MIs[0] policy
     /* 1629882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629916 */     // GIR_Coverage, 4120,
     /* 1629916 */     GIR_EraseRootFromParent_Done,
     /* 1629917 */   // Label 22436: @1629917
     /* 1629917 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1630003), // Rule ID 4121 //
     /* 1629922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629968 */     // MIs[0] policy
     /* 1629968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630002 */     // GIR_Coverage, 4121,
     /* 1630002 */     GIR_EraseRootFromParent_Done,
     /* 1630003 */   // Label 22437: @1630003
     /* 1630003 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1630089), // Rule ID 4124 //
     /* 1630008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1630019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1630022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630054 */     // MIs[0] policy
     /* 1630054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630088 */     // GIR_Coverage, 4124,
     /* 1630088 */     GIR_EraseRootFromParent_Done,
     /* 1630089 */   // Label 22438: @1630089
     /* 1630089 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1630175), // Rule ID 4125 //
     /* 1630094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1630105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1630108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630140 */     // MIs[0] policy
     /* 1630140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630174 */     // GIR_Coverage, 4125,
     /* 1630174 */     GIR_EraseRootFromParent_Done,
     /* 1630175 */   // Label 22439: @1630175
     /* 1630175 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1630261), // Rule ID 4128 //
     /* 1630180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1630191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1630194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630226 */     // MIs[0] policy
     /* 1630226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630260 */     // GIR_Coverage, 4128,
     /* 1630260 */     GIR_EraseRootFromParent_Done,
     /* 1630261 */   // Label 22440: @1630261
     /* 1630261 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1630347), // Rule ID 4129 //
     /* 1630266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1630277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1630280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630312 */     // MIs[0] policy
     /* 1630312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630346 */     // GIR_Coverage, 4129,
     /* 1630346 */     GIR_EraseRootFromParent_Done,
     /* 1630347 */   // Label 22441: @1630347
     /* 1630347 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1630433), // Rule ID 4132 //
     /* 1630352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630398 */     // MIs[0] policy
     /* 1630398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630432 */     // GIR_Coverage, 4132,
     /* 1630432 */     GIR_EraseRootFromParent_Done,
     /* 1630433 */   // Label 22442: @1630433
     /* 1630433 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1630519), // Rule ID 4133 //
     /* 1630438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630484 */     // MIs[0] policy
     /* 1630484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630518 */     // GIR_Coverage, 4133,
     /* 1630518 */     GIR_EraseRootFromParent_Done,
     /* 1630519 */   // Label 22443: @1630519
     /* 1630519 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1630605), // Rule ID 4136 //
     /* 1630524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630570 */     // MIs[0] policy
     /* 1630570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630604 */     // GIR_Coverage, 4136,
     /* 1630604 */     GIR_EraseRootFromParent_Done,
     /* 1630605 */   // Label 22444: @1630605
     /* 1630605 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1630691), // Rule ID 4137 //
     /* 1630610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630656 */     // MIs[0] policy
     /* 1630656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630690 */     // GIR_Coverage, 4137,
     /* 1630690 */     GIR_EraseRootFromParent_Done,
     /* 1630691 */   // Label 22445: @1630691
     /* 1630691 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1630777), // Rule ID 4140 //
     /* 1630696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630742 */     // MIs[0] policy
     /* 1630742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630776 */     // GIR_Coverage, 4140,
     /* 1630776 */     GIR_EraseRootFromParent_Done,
     /* 1630777 */   // Label 22446: @1630777
     /* 1630777 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1630863), // Rule ID 4141 //
     /* 1630782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630828 */     // MIs[0] policy
     /* 1630828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630838 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630862 */     // GIR_Coverage, 4141,
     /* 1630862 */     GIR_EraseRootFromParent_Done,
     /* 1630863 */   // Label 22447: @1630863
     /* 1630863 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1630949), // Rule ID 4144 //
     /* 1630868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630914 */     // MIs[0] policy
     /* 1630914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630948 */     // GIR_Coverage, 4144,
     /* 1630948 */     GIR_EraseRootFromParent_Done,
     /* 1630949 */   // Label 22448: @1630949
     /* 1630949 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1631035), // Rule ID 4145 //
     /* 1630954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631000 */     // MIs[0] policy
     /* 1631000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631010 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1631013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631034 */     // GIR_Coverage, 4145,
     /* 1631034 */     GIR_EraseRootFromParent_Done,
     /* 1631035 */   // Label 22449: @1631035
     /* 1631035 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1631121), // Rule ID 4148 //
     /* 1631040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1631051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1631054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1631057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631086 */     // MIs[0] policy
     /* 1631086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1631099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631120 */     // GIR_Coverage, 4148,
     /* 1631120 */     GIR_EraseRootFromParent_Done,
     /* 1631121 */   // Label 22450: @1631121
     /* 1631121 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1631207), // Rule ID 4149 //
     /* 1631126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1631137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1631140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1631143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631172 */     // MIs[0] policy
     /* 1631172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1631185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631206 */     // GIR_Coverage, 4149,
     /* 1631206 */     GIR_EraseRootFromParent_Done,
     /* 1631207 */   // Label 22451: @1631207
     /* 1631207 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1631293), // Rule ID 4158 //
     /* 1631212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1631232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631258 */     // MIs[0] policy
     /* 1631258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1631271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631292 */     // GIR_Coverage, 4158,
     /* 1631292 */     GIR_EraseRootFromParent_Done,
     /* 1631293 */   // Label 22452: @1631293
     /* 1631293 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1631379), // Rule ID 4159 //
     /* 1631298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1631318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631344 */     // MIs[0] policy
     /* 1631344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631354 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1631357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631378 */     // GIR_Coverage, 4159,
     /* 1631378 */     GIR_EraseRootFromParent_Done,
     /* 1631379 */   // Label 22453: @1631379
     /* 1631379 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1631465), // Rule ID 4168 //
     /* 1631384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631430 */     // MIs[0] policy
     /* 1631430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631464 */     // GIR_Coverage, 4168,
     /* 1631464 */     GIR_EraseRootFromParent_Done,
     /* 1631465 */   // Label 22454: @1631465
     /* 1631465 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1631551), // Rule ID 4169 //
     /* 1631470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631516 */     // MIs[0] policy
     /* 1631516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631550 */     // GIR_Coverage, 4169,
     /* 1631550 */     GIR_EraseRootFromParent_Done,
     /* 1631551 */   // Label 22455: @1631551
     /* 1631551 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1631637), // Rule ID 4178 //
     /* 1631556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631602 */     // MIs[0] policy
     /* 1631602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631636 */     // GIR_Coverage, 4178,
     /* 1631636 */     GIR_EraseRootFromParent_Done,
     /* 1631637 */   // Label 22456: @1631637
     /* 1631637 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1631723), // Rule ID 4179 //
     /* 1631642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631688 */     // MIs[0] policy
     /* 1631688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631722 */     // GIR_Coverage, 4179,
     /* 1631722 */     GIR_EraseRootFromParent_Done,
     /* 1631723 */   // Label 22457: @1631723
     /* 1631723 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1631809), // Rule ID 4188 //
     /* 1631728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631774 */     // MIs[0] policy
     /* 1631774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631808 */     // GIR_Coverage, 4188,
     /* 1631808 */     GIR_EraseRootFromParent_Done,
     /* 1631809 */   // Label 22458: @1631809
     /* 1631809 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1631895), // Rule ID 4189 //
     /* 1631814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631860 */     // MIs[0] policy
     /* 1631860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631894 */     // GIR_Coverage, 4189,
     /* 1631894 */     GIR_EraseRootFromParent_Done,
     /* 1631895 */   // Label 22459: @1631895
     /* 1631895 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1631981), // Rule ID 4198 //
     /* 1631900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631946 */     // MIs[0] policy
     /* 1631946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631980 */     // GIR_Coverage, 4198,
     /* 1631980 */     GIR_EraseRootFromParent_Done,
     /* 1631981 */   // Label 22460: @1631981
     /* 1631981 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1632067), // Rule ID 4199 //
     /* 1631986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1632000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1632003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1632006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632032 */     // MIs[0] policy
     /* 1632032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632066 */     // GIR_Coverage, 4199,
     /* 1632066 */     GIR_EraseRootFromParent_Done,
     /* 1632067 */   // Label 22461: @1632067
     /* 1632067 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1632153), // Rule ID 4208 //
     /* 1632072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1632083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1632086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1632089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1632092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632118 */     // MIs[0] policy
     /* 1632118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632152 */     // GIR_Coverage, 4208,
     /* 1632152 */     GIR_EraseRootFromParent_Done,
     /* 1632153 */   // Label 22462: @1632153
     /* 1632153 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1632239), // Rule ID 4209 //
     /* 1632158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1632169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1632172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1632175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1632178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632204 */     // MIs[0] policy
     /* 1632204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632238 */     // GIR_Coverage, 4209,
     /* 1632238 */     GIR_EraseRootFromParent_Done,
     /* 1632239 */   // Label 22463: @1632239
     /* 1632239 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1632325), // Rule ID 4218 //
     /* 1632244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1632255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1632258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1632264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632290 */     // MIs[0] policy
     /* 1632290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1632303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632324 */     // GIR_Coverage, 4218,
     /* 1632324 */     GIR_EraseRootFromParent_Done,
     /* 1632325 */   // Label 22464: @1632325
     /* 1632325 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1632411), // Rule ID 4219 //
     /* 1632330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1632341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1632344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1632350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632376 */     // MIs[0] policy
     /* 1632376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1632389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632410 */     // GIR_Coverage, 4219,
     /* 1632410 */     GIR_EraseRootFromParent_Done,
     /* 1632411 */   // Label 22465: @1632411
     /* 1632411 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1632497), // Rule ID 4228 //
     /* 1632416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632462 */     // MIs[0] policy
     /* 1632462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632496 */     // GIR_Coverage, 4228,
     /* 1632496 */     GIR_EraseRootFromParent_Done,
     /* 1632497 */   // Label 22466: @1632497
     /* 1632497 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1632583), // Rule ID 4229 //
     /* 1632502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632548 */     // MIs[0] policy
     /* 1632548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632582 */     // GIR_Coverage, 4229,
     /* 1632582 */     GIR_EraseRootFromParent_Done,
     /* 1632583 */   // Label 22467: @1632583
     /* 1632583 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1632669), // Rule ID 4238 //
     /* 1632588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632634 */     // MIs[0] policy
     /* 1632634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632668 */     // GIR_Coverage, 4238,
     /* 1632668 */     GIR_EraseRootFromParent_Done,
     /* 1632669 */   // Label 22468: @1632669
     /* 1632669 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1632755), // Rule ID 4239 //
     /* 1632674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632720 */     // MIs[0] policy
     /* 1632720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632754 */     // GIR_Coverage, 4239,
     /* 1632754 */     GIR_EraseRootFromParent_Done,
     /* 1632755 */   // Label 22469: @1632755
     /* 1632755 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1632841), // Rule ID 4248 //
     /* 1632760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632806 */     // MIs[0] policy
     /* 1632806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632840 */     // GIR_Coverage, 4248,
     /* 1632840 */     GIR_EraseRootFromParent_Done,
     /* 1632841 */   // Label 22470: @1632841
     /* 1632841 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1632927), // Rule ID 4249 //
     /* 1632846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632892 */     // MIs[0] policy
     /* 1632892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632926 */     // GIR_Coverage, 4249,
     /* 1632926 */     GIR_EraseRootFromParent_Done,
     /* 1632927 */   // Label 22471: @1632927
     /* 1632927 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1633013), // Rule ID 4258 //
     /* 1632932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632978 */     // MIs[0] policy
     /* 1632978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633012 */     // GIR_Coverage, 4258,
     /* 1633012 */     GIR_EraseRootFromParent_Done,
     /* 1633013 */   // Label 22472: @1633013
     /* 1633013 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1633099), // Rule ID 4259 //
     /* 1633018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1633035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1633038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633064 */     // MIs[0] policy
     /* 1633064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633098 */     // GIR_Coverage, 4259,
     /* 1633098 */     GIR_EraseRootFromParent_Done,
     /* 1633099 */   // Label 22473: @1633099
     /* 1633099 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1633185), // Rule ID 4268 //
     /* 1633104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1633121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633150 */     // MIs[0] policy
     /* 1633150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1633163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633184 */     // GIR_Coverage, 4268,
     /* 1633184 */     GIR_EraseRootFromParent_Done,
     /* 1633185 */   // Label 22474: @1633185
     /* 1633185 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1633271), // Rule ID 4269 //
     /* 1633190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1633207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633236 */     // MIs[0] policy
     /* 1633236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1633249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633270 */     // GIR_Coverage, 4269,
     /* 1633270 */     GIR_EraseRootFromParent_Done,
     /* 1633271 */   // Label 22475: @1633271
     /* 1633271 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1633357), // Rule ID 4278 //
     /* 1633276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1633287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1633290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1633293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1633296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633322 */     // MIs[0] policy
     /* 1633322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1633335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633356 */     // GIR_Coverage, 4278,
     /* 1633356 */     GIR_EraseRootFromParent_Done,
     /* 1633357 */   // Label 22476: @1633357
     /* 1633357 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1633443), // Rule ID 4279 //
     /* 1633362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1633373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1633376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1633379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1633382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633408 */     // MIs[0] policy
     /* 1633408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1633421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633442 */     // GIR_Coverage, 4279,
     /* 1633442 */     GIR_EraseRootFromParent_Done,
     /* 1633443 */   // Label 22477: @1633443
     /* 1633443 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1633529), // Rule ID 4288 //
     /* 1633448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633494 */     // MIs[0] policy
     /* 1633494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633528 */     // GIR_Coverage, 4288,
     /* 1633528 */     GIR_EraseRootFromParent_Done,
     /* 1633529 */   // Label 22478: @1633529
     /* 1633529 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1633615), // Rule ID 4289 //
     /* 1633534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633580 */     // MIs[0] policy
     /* 1633580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633614 */     // GIR_Coverage, 4289,
     /* 1633614 */     GIR_EraseRootFromParent_Done,
     /* 1633615 */   // Label 22479: @1633615
     /* 1633615 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1633701), // Rule ID 4298 //
     /* 1633620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633666 */     // MIs[0] policy
     /* 1633666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633700 */     // GIR_Coverage, 4298,
     /* 1633700 */     GIR_EraseRootFromParent_Done,
     /* 1633701 */   // Label 22480: @1633701
     /* 1633701 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1633787), // Rule ID 4299 //
     /* 1633706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633752 */     // MIs[0] policy
     /* 1633752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633786 */     // GIR_Coverage, 4299,
     /* 1633786 */     GIR_EraseRootFromParent_Done,
     /* 1633787 */   // Label 22481: @1633787
     /* 1633787 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1633873), // Rule ID 4302 //
     /* 1633792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633838 */     // MIs[0] policy
     /* 1633838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633872 */     // GIR_Coverage, 4302,
     /* 1633872 */     GIR_EraseRootFromParent_Done,
     /* 1633873 */   // Label 22482: @1633873
     /* 1633873 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1633959), // Rule ID 4303 //
     /* 1633878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633924 */     // MIs[0] policy
     /* 1633924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633958 */     // GIR_Coverage, 4303,
     /* 1633958 */     GIR_EraseRootFromParent_Done,
     /* 1633959 */   // Label 22483: @1633959
     /* 1633959 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1634045), // Rule ID 4306 //
     /* 1633964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634010 */     // MIs[0] policy
     /* 1634010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634044 */     // GIR_Coverage, 4306,
     /* 1634044 */     GIR_EraseRootFromParent_Done,
     /* 1634045 */   // Label 22484: @1634045
     /* 1634045 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1634131), // Rule ID 4307 //
     /* 1634050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1634061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1634064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1634067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634096 */     // MIs[0] policy
     /* 1634096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634130 */     // GIR_Coverage, 4307,
     /* 1634130 */     GIR_EraseRootFromParent_Done,
     /* 1634131 */   // Label 22485: @1634131
     /* 1634131 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1634217), // Rule ID 4310 //
     /* 1634136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1634150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1634153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634182 */     // MIs[0] policy
     /* 1634182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634216 */     // GIR_Coverage, 4310,
     /* 1634216 */     GIR_EraseRootFromParent_Done,
     /* 1634217 */   // Label 22486: @1634217
     /* 1634217 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1634303), // Rule ID 4311 //
     /* 1634222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1634236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1634239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634268 */     // MIs[0] policy
     /* 1634268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634302 */     // GIR_Coverage, 4311,
     /* 1634302 */     GIR_EraseRootFromParent_Done,
     /* 1634303 */   // Label 22487: @1634303
     /* 1634303 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1634389), // Rule ID 4314 //
     /* 1634308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1634319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1634322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1634325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634354 */     // MIs[0] policy
     /* 1634354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634388 */     // GIR_Coverage, 4314,
     /* 1634388 */     GIR_EraseRootFromParent_Done,
     /* 1634389 */   // Label 22488: @1634389
     /* 1634389 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1634475), // Rule ID 4315 //
     /* 1634394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1634405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1634408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1634411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634440 */     // MIs[0] policy
     /* 1634440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634474 */     // GIR_Coverage, 4315,
     /* 1634474 */     GIR_EraseRootFromParent_Done,
     /* 1634475 */   // Label 22489: @1634475
     /* 1634475 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1634561), // Rule ID 4318 //
     /* 1634480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634526 */     // MIs[0] policy
     /* 1634526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634560 */     // GIR_Coverage, 4318,
     /* 1634560 */     GIR_EraseRootFromParent_Done,
     /* 1634561 */   // Label 22490: @1634561
     /* 1634561 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1634647), // Rule ID 4319 //
     /* 1634566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634612 */     // MIs[0] policy
     /* 1634612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634646 */     // GIR_Coverage, 4319,
     /* 1634646 */     GIR_EraseRootFromParent_Done,
     /* 1634647 */   // Label 22491: @1634647
     /* 1634647 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1634733), // Rule ID 4322 //
     /* 1634652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634698 */     // MIs[0] policy
     /* 1634698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634732 */     // GIR_Coverage, 4322,
     /* 1634732 */     GIR_EraseRootFromParent_Done,
     /* 1634733 */   // Label 22492: @1634733
     /* 1634733 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1634819), // Rule ID 4323 //
     /* 1634738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634784 */     // MIs[0] policy
     /* 1634784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634794 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634818 */     // GIR_Coverage, 4323,
     /* 1634818 */     GIR_EraseRootFromParent_Done,
     /* 1634819 */   // Label 22493: @1634819
     /* 1634819 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1634905), // Rule ID 4326 //
     /* 1634824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634870 */     // MIs[0] policy
     /* 1634870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634880 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634904 */     // GIR_Coverage, 4326,
     /* 1634904 */     GIR_EraseRootFromParent_Done,
     /* 1634905 */   // Label 22494: @1634905
     /* 1634905 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1634991), // Rule ID 4327 //
     /* 1634910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634956 */     // MIs[0] policy
     /* 1634956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634990 */     // GIR_Coverage, 4327,
     /* 1634990 */     GIR_EraseRootFromParent_Done,
     /* 1634991 */   // Label 22495: @1634991
     /* 1634991 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1635077), // Rule ID 4330 //
     /* 1634996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635042 */     // MIs[0] policy
     /* 1635042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635076 */     // GIR_Coverage, 4330,
     /* 1635076 */     GIR_EraseRootFromParent_Done,
     /* 1635077 */   // Label 22496: @1635077
     /* 1635077 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1635163), // Rule ID 4331 //
     /* 1635082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635128 */     // MIs[0] policy
     /* 1635128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635162 */     // GIR_Coverage, 4331,
     /* 1635162 */     GIR_EraseRootFromParent_Done,
     /* 1635163 */   // Label 22497: @1635163
     /* 1635163 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1635249), // Rule ID 4334 //
     /* 1635168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1635179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1635182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1635185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635214 */     // MIs[0] policy
     /* 1635214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635248 */     // GIR_Coverage, 4334,
     /* 1635248 */     GIR_EraseRootFromParent_Done,
     /* 1635249 */   // Label 22498: @1635249
     /* 1635249 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1635335), // Rule ID 4335 //
     /* 1635254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1635265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1635268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1635271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635300 */     // MIs[0] policy
     /* 1635300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635334 */     // GIR_Coverage, 4335,
     /* 1635334 */     GIR_EraseRootFromParent_Done,
     /* 1635335 */   // Label 22499: @1635335
     /* 1635335 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1635421), // Rule ID 4338 //
     /* 1635340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1635351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1635354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1635357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635386 */     // MIs[0] policy
     /* 1635386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635420 */     // GIR_Coverage, 4338,
     /* 1635420 */     GIR_EraseRootFromParent_Done,
     /* 1635421 */   // Label 22500: @1635421
     /* 1635421 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1635507), // Rule ID 4339 //
     /* 1635426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1635437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1635440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1635443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635472 */     // MIs[0] policy
     /* 1635472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635506 */     // GIR_Coverage, 4339,
     /* 1635506 */     GIR_EraseRootFromParent_Done,
     /* 1635507 */   // Label 22501: @1635507
     /* 1635507 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1635593), // Rule ID 4342 //
     /* 1635512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635558 */     // MIs[0] policy
     /* 1635558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635592 */     // GIR_Coverage, 4342,
     /* 1635592 */     GIR_EraseRootFromParent_Done,
     /* 1635593 */   // Label 22502: @1635593
     /* 1635593 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1635679), // Rule ID 4343 //
     /* 1635598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635644 */     // MIs[0] policy
     /* 1635644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635654 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635678 */     // GIR_Coverage, 4343,
     /* 1635678 */     GIR_EraseRootFromParent_Done,
     /* 1635679 */   // Label 22503: @1635679
     /* 1635679 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1635765), // Rule ID 4346 //
     /* 1635684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635730 */     // MIs[0] policy
     /* 1635730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635764 */     // GIR_Coverage, 4346,
     /* 1635764 */     GIR_EraseRootFromParent_Done,
     /* 1635765 */   // Label 22504: @1635765
     /* 1635765 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1635851), // Rule ID 4347 //
     /* 1635770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635816 */     // MIs[0] policy
     /* 1635816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635850 */     // GIR_Coverage, 4347,
     /* 1635850 */     GIR_EraseRootFromParent_Done,
     /* 1635851 */   // Label 22505: @1635851
     /* 1635851 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1635937), // Rule ID 4350 //
     /* 1635856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635902 */     // MIs[0] policy
     /* 1635902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635936 */     // GIR_Coverage, 4350,
     /* 1635936 */     GIR_EraseRootFromParent_Done,
     /* 1635937 */   // Label 22506: @1635937
     /* 1635937 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1636023), // Rule ID 4351 //
     /* 1635942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635988 */     // MIs[0] policy
     /* 1635988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1636001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636022 */     // GIR_Coverage, 4351,
     /* 1636022 */     GIR_EraseRootFromParent_Done,
     /* 1636023 */   // Label 22507: @1636023
     /* 1636023 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1636109), // Rule ID 4354 //
     /* 1636028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1636045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636074 */     // MIs[0] policy
     /* 1636074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1636087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636108 */     // GIR_Coverage, 4354,
     /* 1636108 */     GIR_EraseRootFromParent_Done,
     /* 1636109 */   // Label 22508: @1636109
     /* 1636109 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1636195), // Rule ID 4355 //
     /* 1636114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1636131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636160 */     // MIs[0] policy
     /* 1636160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1636173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636194 */     // GIR_Coverage, 4355,
     /* 1636194 */     GIR_EraseRootFromParent_Done,
     /* 1636195 */   // Label 22509: @1636195
     /* 1636195 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1636281), // Rule ID 4358 //
     /* 1636200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1636211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1636214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1636217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636246 */     // MIs[0] policy
     /* 1636246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1636259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636280 */     // GIR_Coverage, 4358,
     /* 1636280 */     GIR_EraseRootFromParent_Done,
     /* 1636281 */   // Label 22510: @1636281
     /* 1636281 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1636367), // Rule ID 4359 //
     /* 1636286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1636297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1636300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1636303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636332 */     // MIs[0] policy
     /* 1636332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1636345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636366 */     // GIR_Coverage, 4359,
     /* 1636366 */     GIR_EraseRootFromParent_Done,
     /* 1636367 */   // Label 22511: @1636367
     /* 1636367 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1636453), // Rule ID 4368 //
     /* 1636372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1636383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1636386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1636389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1636392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636418 */     // MIs[0] policy
     /* 1636418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1636431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636452 */     // GIR_Coverage, 4368,
     /* 1636452 */     GIR_EraseRootFromParent_Done,
     /* 1636453 */   // Label 22512: @1636453
     /* 1636453 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1636539), // Rule ID 4369 //
     /* 1636458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1636469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1636472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1636475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1636478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636504 */     // MIs[0] policy
     /* 1636504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1636517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636538 */     // GIR_Coverage, 4369,
     /* 1636538 */     GIR_EraseRootFromParent_Done,
     /* 1636539 */   // Label 22513: @1636539
     /* 1636539 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1636625), // Rule ID 4378 //
     /* 1636544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636590 */     // MIs[0] policy
     /* 1636590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636624 */     // GIR_Coverage, 4378,
     /* 1636624 */     GIR_EraseRootFromParent_Done,
     /* 1636625 */   // Label 22514: @1636625
     /* 1636625 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1636711), // Rule ID 4379 //
     /* 1636630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636676 */     // MIs[0] policy
     /* 1636676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636710 */     // GIR_Coverage, 4379,
     /* 1636710 */     GIR_EraseRootFromParent_Done,
     /* 1636711 */   // Label 22515: @1636711
     /* 1636711 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1636797), // Rule ID 4388 //
     /* 1636716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636762 */     // MIs[0] policy
     /* 1636762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636796 */     // GIR_Coverage, 4388,
     /* 1636796 */     GIR_EraseRootFromParent_Done,
     /* 1636797 */   // Label 22516: @1636797
     /* 1636797 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1636883), // Rule ID 4389 //
     /* 1636802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636848 */     // MIs[0] policy
     /* 1636848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636882 */     // GIR_Coverage, 4389,
     /* 1636882 */     GIR_EraseRootFromParent_Done,
     /* 1636883 */   // Label 22517: @1636883
     /* 1636883 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1636969), // Rule ID 4398 //
     /* 1636888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636934 */     // MIs[0] policy
     /* 1636934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636968 */     // GIR_Coverage, 4398,
     /* 1636968 */     GIR_EraseRootFromParent_Done,
     /* 1636969 */   // Label 22518: @1636969
     /* 1636969 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1637055), // Rule ID 4399 //
     /* 1636974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637020 */     // MIs[0] policy
     /* 1637020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637054 */     // GIR_Coverage, 4399,
     /* 1637054 */     GIR_EraseRootFromParent_Done,
     /* 1637055 */   // Label 22519: @1637055
     /* 1637055 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1637141), // Rule ID 4408 //
     /* 1637060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1637080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637106 */     // MIs[0] policy
     /* 1637106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637140 */     // GIR_Coverage, 4408,
     /* 1637140 */     GIR_EraseRootFromParent_Done,
     /* 1637141 */   // Label 22520: @1637141
     /* 1637141 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1637227), // Rule ID 4409 //
     /* 1637146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1637166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637192 */     // MIs[0] policy
     /* 1637192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637226 */     // GIR_Coverage, 4409,
     /* 1637226 */     GIR_EraseRootFromParent_Done,
     /* 1637227 */   // Label 22521: @1637227
     /* 1637227 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1637313), // Rule ID 4418 //
     /* 1637232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1637252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637278 */     // MIs[0] policy
     /* 1637278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637288 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637312 */     // GIR_Coverage, 4418,
     /* 1637312 */     GIR_EraseRootFromParent_Done,
     /* 1637313 */   // Label 22522: @1637313
     /* 1637313 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1637399), // Rule ID 4419 //
     /* 1637318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1637338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637364 */     // MIs[0] policy
     /* 1637364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637398 */     // GIR_Coverage, 4419,
     /* 1637398 */     GIR_EraseRootFromParent_Done,
     /* 1637399 */   // Label 22523: @1637399
     /* 1637399 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1637485), // Rule ID 4428 //
     /* 1637404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1637415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1637418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1637421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1637424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637450 */     // MIs[0] policy
     /* 1637450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637484 */     // GIR_Coverage, 4428,
     /* 1637484 */     GIR_EraseRootFromParent_Done,
     /* 1637485 */   // Label 22524: @1637485
     /* 1637485 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1637571), // Rule ID 4429 //
     /* 1637490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1637501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1637504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1637507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1637510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637536 */     // MIs[0] policy
     /* 1637536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637570 */     // GIR_Coverage, 4429,
     /* 1637570 */     GIR_EraseRootFromParent_Done,
     /* 1637571 */   // Label 22525: @1637571
     /* 1637571 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1637657), // Rule ID 4438 //
     /* 1637576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637622 */     // MIs[0] policy
     /* 1637622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637656 */     // GIR_Coverage, 4438,
     /* 1637656 */     GIR_EraseRootFromParent_Done,
     /* 1637657 */   // Label 22526: @1637657
     /* 1637657 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1637743), // Rule ID 4439 //
     /* 1637662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637708 */     // MIs[0] policy
     /* 1637708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637742 */     // GIR_Coverage, 4439,
     /* 1637742 */     GIR_EraseRootFromParent_Done,
     /* 1637743 */   // Label 22527: @1637743
     /* 1637743 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1637829), // Rule ID 4448 //
     /* 1637748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637794 */     // MIs[0] policy
     /* 1637794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637828 */     // GIR_Coverage, 4448,
     /* 1637828 */     GIR_EraseRootFromParent_Done,
     /* 1637829 */   // Label 22528: @1637829
     /* 1637829 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1637915), // Rule ID 4449 //
     /* 1637834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637880 */     // MIs[0] policy
     /* 1637880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637914 */     // GIR_Coverage, 4449,
     /* 1637914 */     GIR_EraseRootFromParent_Done,
     /* 1637915 */   // Label 22529: @1637915
     /* 1637915 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1638001), // Rule ID 4458 //
     /* 1637920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1637940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637966 */     // MIs[0] policy
     /* 1637966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638000 */     // GIR_Coverage, 4458,
     /* 1638000 */     GIR_EraseRootFromParent_Done,
     /* 1638001 */   // Label 22530: @1638001
     /* 1638001 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1638087), // Rule ID 4459 //
     /* 1638006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1638017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1638020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1638023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1638026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638052 */     // MIs[0] policy
     /* 1638052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638086 */     // GIR_Coverage, 4459,
     /* 1638086 */     GIR_EraseRootFromParent_Done,
     /* 1638087 */   // Label 22531: @1638087
     /* 1638087 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1638173), // Rule ID 4468 //
     /* 1638092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1638103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1638106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1638109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1638112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638138 */     // MIs[0] policy
     /* 1638138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638172 */     // GIR_Coverage, 4468,
     /* 1638172 */     GIR_EraseRootFromParent_Done,
     /* 1638173 */   // Label 22532: @1638173
     /* 1638173 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1638259), // Rule ID 4469 //
     /* 1638178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1638189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1638192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1638195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1638198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638224 */     // MIs[0] policy
     /* 1638224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638258 */     // GIR_Coverage, 4469,
     /* 1638258 */     GIR_EraseRootFromParent_Done,
     /* 1638259 */   // Label 22533: @1638259
     /* 1638259 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1638345), // Rule ID 4478 //
     /* 1638264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1638275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1638278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1638281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1638284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638310 */     // MIs[0] policy
     /* 1638310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1638323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638344 */     // GIR_Coverage, 4478,
     /* 1638344 */     GIR_EraseRootFromParent_Done,
     /* 1638345 */   // Label 22534: @1638345
     /* 1638345 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1638431), // Rule ID 4479 //
     /* 1638350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1638361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1638364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1638367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1638370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638396 */     // MIs[0] policy
     /* 1638396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1638409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638430 */     // GIR_Coverage, 4479,
     /* 1638430 */     GIR_EraseRootFromParent_Done,
     /* 1638431 */   // Label 22535: @1638431
     /* 1638431 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1638517), // Rule ID 4488 //
     /* 1638436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638482 */     // MIs[0] policy
     /* 1638482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638516 */     // GIR_Coverage, 4488,
     /* 1638516 */     GIR_EraseRootFromParent_Done,
     /* 1638517 */   // Label 22536: @1638517
     /* 1638517 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1638603), // Rule ID 4489 //
     /* 1638522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638568 */     // MIs[0] policy
     /* 1638568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638602 */     // GIR_Coverage, 4489,
     /* 1638602 */     GIR_EraseRootFromParent_Done,
     /* 1638603 */   // Label 22537: @1638603
     /* 1638603 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1638689), // Rule ID 4498 //
     /* 1638608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638654 */     // MIs[0] policy
     /* 1638654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638688 */     // GIR_Coverage, 4498,
     /* 1638688 */     GIR_EraseRootFromParent_Done,
     /* 1638689 */   // Label 22538: @1638689
     /* 1638689 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1638775), // Rule ID 4499 //
     /* 1638694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638740 */     // MIs[0] policy
     /* 1638740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638774 */     // GIR_Coverage, 4499,
     /* 1638774 */     GIR_EraseRootFromParent_Done,
     /* 1638775 */   // Label 22539: @1638775
     /* 1638775 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1638861), // Rule ID 4508 //
     /* 1638780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638826 */     // MIs[0] policy
     /* 1638826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638860 */     // GIR_Coverage, 4508,
     /* 1638860 */     GIR_EraseRootFromParent_Done,
     /* 1638861 */   // Label 22540: @1638861
     /* 1638861 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1638947), // Rule ID 4509 //
     /* 1638866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638912 */     // MIs[0] policy
     /* 1638912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638946 */     // GIR_Coverage, 4509,
     /* 1638946 */     GIR_EraseRootFromParent_Done,
     /* 1638947 */   // Label 22541: @1638947
     /* 1638947 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1639033), // Rule ID 4512 //
     /* 1638952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638998 */     // MIs[0] policy
     /* 1638998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1639011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639032 */     // GIR_Coverage, 4512,
     /* 1639032 */     GIR_EraseRootFromParent_Done,
     /* 1639033 */   // Label 22542: @1639033
     /* 1639033 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1639119), // Rule ID 4513 //
     /* 1639038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1639049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1639052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1639055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639084 */     // MIs[0] policy
     /* 1639084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1639097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639118 */     // GIR_Coverage, 4513,
     /* 1639118 */     GIR_EraseRootFromParent_Done,
     /* 1639119 */   // Label 22543: @1639119
     /* 1639119 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1639205), // Rule ID 4516 //
     /* 1639124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639170 */     // MIs[0] policy
     /* 1639170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639204 */     // GIR_Coverage, 4516,
     /* 1639204 */     GIR_EraseRootFromParent_Done,
     /* 1639205 */   // Label 22544: @1639205
     /* 1639205 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1639291), // Rule ID 4517 //
     /* 1639210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639256 */     // MIs[0] policy
     /* 1639256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639290 */     // GIR_Coverage, 4517,
     /* 1639290 */     GIR_EraseRootFromParent_Done,
     /* 1639291 */   // Label 22545: @1639291
     /* 1639291 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1639377), // Rule ID 4520 //
     /* 1639296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639342 */     // MIs[0] policy
     /* 1639342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639376 */     // GIR_Coverage, 4520,
     /* 1639376 */     GIR_EraseRootFromParent_Done,
     /* 1639377 */   // Label 22546: @1639377
     /* 1639377 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1639463), // Rule ID 4521 //
     /* 1639382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639428 */     // MIs[0] policy
     /* 1639428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639462 */     // GIR_Coverage, 4521,
     /* 1639462 */     GIR_EraseRootFromParent_Done,
     /* 1639463 */   // Label 22547: @1639463
     /* 1639463 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1639549), // Rule ID 4524 //
     /* 1639468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639514 */     // MIs[0] policy
     /* 1639514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639548 */     // GIR_Coverage, 4524,
     /* 1639548 */     GIR_EraseRootFromParent_Done,
     /* 1639549 */   // Label 22548: @1639549
     /* 1639549 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1639635), // Rule ID 4525 //
     /* 1639554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639600 */     // MIs[0] policy
     /* 1639600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639634 */     // GIR_Coverage, 4525,
     /* 1639634 */     GIR_EraseRootFromParent_Done,
     /* 1639635 */   // Label 22549: @1639635
     /* 1639635 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1639721), // Rule ID 4528 //
     /* 1639640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639686 */     // MIs[0] policy
     /* 1639686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639720 */     // GIR_Coverage, 4528,
     /* 1639720 */     GIR_EraseRootFromParent_Done,
     /* 1639721 */   // Label 22550: @1639721
     /* 1639721 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1639807), // Rule ID 4529 //
     /* 1639726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639772 */     // MIs[0] policy
     /* 1639772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639806 */     // GIR_Coverage, 4529,
     /* 1639806 */     GIR_EraseRootFromParent_Done,
     /* 1639807 */   // Label 22551: @1639807
     /* 1639807 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1639893), // Rule ID 4532 //
     /* 1639812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639858 */     // MIs[0] policy
     /* 1639858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639892 */     // GIR_Coverage, 4532,
     /* 1639892 */     GIR_EraseRootFromParent_Done,
     /* 1639893 */   // Label 22552: @1639893
     /* 1639893 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1639979), // Rule ID 4533 //
     /* 1639898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639944 */     // MIs[0] policy
     /* 1639944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639978 */     // GIR_Coverage, 4533,
     /* 1639978 */     GIR_EraseRootFromParent_Done,
     /* 1639979 */   // Label 22553: @1639979
     /* 1639979 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1640065), // Rule ID 4536 //
     /* 1639984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1640001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640030 */     // MIs[0] policy
     /* 1640030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1640043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640064 */     // GIR_Coverage, 4536,
     /* 1640064 */     GIR_EraseRootFromParent_Done,
     /* 1640065 */   // Label 22554: @1640065
     /* 1640065 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1640151), // Rule ID 4537 //
     /* 1640070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1640081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1640084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1640087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640116 */     // MIs[0] policy
     /* 1640116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1640129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640150 */     // GIR_Coverage, 4537,
     /* 1640150 */     GIR_EraseRootFromParent_Done,
     /* 1640151 */   // Label 22555: @1640151
     /* 1640151 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1640237), // Rule ID 4540 //
     /* 1640156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1640167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1640170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1640173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640202 */     // MIs[0] policy
     /* 1640202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640236 */     // GIR_Coverage, 4540,
     /* 1640236 */     GIR_EraseRootFromParent_Done,
     /* 1640237 */   // Label 22556: @1640237
     /* 1640237 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1640323), // Rule ID 4541 //
     /* 1640242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1640253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1640256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1640259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640288 */     // MIs[0] policy
     /* 1640288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640322 */     // GIR_Coverage, 4541,
     /* 1640322 */     GIR_EraseRootFromParent_Done,
     /* 1640323 */   // Label 22557: @1640323
     /* 1640323 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1640409), // Rule ID 4544 //
     /* 1640328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1640339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1640342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1640345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640374 */     // MIs[0] policy
     /* 1640374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640408 */     // GIR_Coverage, 4544,
     /* 1640408 */     GIR_EraseRootFromParent_Done,
     /* 1640409 */   // Label 22558: @1640409
     /* 1640409 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1640495), // Rule ID 4545 //
     /* 1640414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1640425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1640428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1640431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640460 */     // MIs[0] policy
     /* 1640460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640494 */     // GIR_Coverage, 4545,
     /* 1640494 */     GIR_EraseRootFromParent_Done,
     /* 1640495 */   // Label 22559: @1640495
     /* 1640495 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1640581), // Rule ID 4548 //
     /* 1640500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640546 */     // MIs[0] policy
     /* 1640546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640580 */     // GIR_Coverage, 4548,
     /* 1640580 */     GIR_EraseRootFromParent_Done,
     /* 1640581 */   // Label 22560: @1640581
     /* 1640581 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1640667), // Rule ID 4549 //
     /* 1640586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640632 */     // MIs[0] policy
     /* 1640632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640666 */     // GIR_Coverage, 4549,
     /* 1640666 */     GIR_EraseRootFromParent_Done,
     /* 1640667 */   // Label 22561: @1640667
     /* 1640667 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1640753), // Rule ID 4552 //
     /* 1640672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640718 */     // MIs[0] policy
     /* 1640718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640752 */     // GIR_Coverage, 4552,
     /* 1640752 */     GIR_EraseRootFromParent_Done,
     /* 1640753 */   // Label 22562: @1640753
     /* 1640753 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1640839), // Rule ID 4553 //
     /* 1640758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640804 */     // MIs[0] policy
     /* 1640804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640838 */     // GIR_Coverage, 4553,
     /* 1640838 */     GIR_EraseRootFromParent_Done,
     /* 1640839 */   // Label 22563: @1640839
     /* 1640839 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1640925), // Rule ID 4556 //
     /* 1640844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640890 */     // MIs[0] policy
     /* 1640890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640924 */     // GIR_Coverage, 4556,
     /* 1640924 */     GIR_EraseRootFromParent_Done,
     /* 1640925 */   // Label 22564: @1640925
     /* 1640925 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1641011), // Rule ID 4557 //
     /* 1640930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640976 */     // MIs[0] policy
     /* 1640976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641010 */     // GIR_Coverage, 4557,
     /* 1641010 */     GIR_EraseRootFromParent_Done,
     /* 1641011 */   // Label 22565: @1641011
     /* 1641011 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1641097), // Rule ID 4560 //
     /* 1641016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641062 */     // MIs[0] policy
     /* 1641062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1641075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641096 */     // GIR_Coverage, 4560,
     /* 1641096 */     GIR_EraseRootFromParent_Done,
     /* 1641097 */   // Label 22566: @1641097
     /* 1641097 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1641183), // Rule ID 4561 //
     /* 1641102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641148 */     // MIs[0] policy
     /* 1641148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1641161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641182 */     // GIR_Coverage, 4561,
     /* 1641182 */     GIR_EraseRootFromParent_Done,
     /* 1641183 */   // Label 22567: @1641183
     /* 1641183 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1641269), // Rule ID 4564 //
     /* 1641188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641234 */     // MIs[0] policy
     /* 1641234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1641247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641268 */     // GIR_Coverage, 4564,
     /* 1641268 */     GIR_EraseRootFromParent_Done,
     /* 1641269 */   // Label 22568: @1641269
     /* 1641269 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1641355), // Rule ID 4565 //
     /* 1641274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641320 */     // MIs[0] policy
     /* 1641320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1641333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641354 */     // GIR_Coverage, 4565,
     /* 1641354 */     GIR_EraseRootFromParent_Done,
     /* 1641355 */   // Label 22569: @1641355
     /* 1641355 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1641441), // Rule ID 4568 //
     /* 1641360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641406 */     // MIs[0] policy
     /* 1641406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641440 */     // GIR_Coverage, 4568,
     /* 1641440 */     GIR_EraseRootFromParent_Done,
     /* 1641441 */   // Label 22570: @1641441
     /* 1641441 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1641527), // Rule ID 4569 //
     /* 1641446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641492 */     // MIs[0] policy
     /* 1641492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641526 */     // GIR_Coverage, 4569,
     /* 1641526 */     GIR_EraseRootFromParent_Done,
     /* 1641527 */   // Label 22571: @1641527
     /* 1641527 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1641613), // Rule ID 4578 //
     /* 1641532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641578 */     // MIs[0] policy
     /* 1641578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641612 */     // GIR_Coverage, 4578,
     /* 1641612 */     GIR_EraseRootFromParent_Done,
     /* 1641613 */   // Label 22572: @1641613
     /* 1641613 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1641699), // Rule ID 4579 //
     /* 1641618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641664 */     // MIs[0] policy
     /* 1641664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641698 */     // GIR_Coverage, 4579,
     /* 1641698 */     GIR_EraseRootFromParent_Done,
     /* 1641699 */   // Label 22573: @1641699
     /* 1641699 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1641785), // Rule ID 4588 //
     /* 1641704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641750 */     // MIs[0] policy
     /* 1641750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641784 */     // GIR_Coverage, 4588,
     /* 1641784 */     GIR_EraseRootFromParent_Done,
     /* 1641785 */   // Label 22574: @1641785
     /* 1641785 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1641871), // Rule ID 4589 //
     /* 1641790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641836 */     // MIs[0] policy
     /* 1641836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641870 */     // GIR_Coverage, 4589,
     /* 1641870 */     GIR_EraseRootFromParent_Done,
     /* 1641871 */   // Label 22575: @1641871
     /* 1641871 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1641957), // Rule ID 4598 //
     /* 1641876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641922 */     // MIs[0] policy
     /* 1641922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641956 */     // GIR_Coverage, 4598,
     /* 1641956 */     GIR_EraseRootFromParent_Done,
     /* 1641957 */   // Label 22576: @1641957
     /* 1641957 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1642043), // Rule ID 4599 //
     /* 1641962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642008 */     // MIs[0] policy
     /* 1642008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642042 */     // GIR_Coverage, 4599,
     /* 1642042 */     GIR_EraseRootFromParent_Done,
     /* 1642043 */   // Label 22577: @1642043
     /* 1642043 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1642129), // Rule ID 4608 //
     /* 1642048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1642068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642094 */     // MIs[0] policy
     /* 1642094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642128 */     // GIR_Coverage, 4608,
     /* 1642128 */     GIR_EraseRootFromParent_Done,
     /* 1642129 */   // Label 22578: @1642129
     /* 1642129 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1642215), // Rule ID 4609 //
     /* 1642134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1642154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642180 */     // MIs[0] policy
     /* 1642180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642214 */     // GIR_Coverage, 4609,
     /* 1642214 */     GIR_EraseRootFromParent_Done,
     /* 1642215 */   // Label 22579: @1642215
     /* 1642215 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1642301), // Rule ID 4618 //
     /* 1642220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642266 */     // MIs[0] policy
     /* 1642266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642300 */     // GIR_Coverage, 4618,
     /* 1642300 */     GIR_EraseRootFromParent_Done,
     /* 1642301 */   // Label 22580: @1642301
     /* 1642301 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1642387), // Rule ID 4619 //
     /* 1642306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642352 */     // MIs[0] policy
     /* 1642352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642386 */     // GIR_Coverage, 4619,
     /* 1642386 */     GIR_EraseRootFromParent_Done,
     /* 1642387 */   // Label 22581: @1642387
     /* 1642387 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1642473), // Rule ID 4628 //
     /* 1642392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642438 */     // MIs[0] policy
     /* 1642438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642472 */     // GIR_Coverage, 4628,
     /* 1642472 */     GIR_EraseRootFromParent_Done,
     /* 1642473 */   // Label 22582: @1642473
     /* 1642473 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1642559), // Rule ID 4629 //
     /* 1642478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642524 */     // MIs[0] policy
     /* 1642524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642558 */     // GIR_Coverage, 4629,
     /* 1642558 */     GIR_EraseRootFromParent_Done,
     /* 1642559 */   // Label 22583: @1642559
     /* 1642559 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1642645), // Rule ID 4638 //
     /* 1642564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642610 */     // MIs[0] policy
     /* 1642610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642644 */     // GIR_Coverage, 4638,
     /* 1642644 */     GIR_EraseRootFromParent_Done,
     /* 1642645 */   // Label 22584: @1642645
     /* 1642645 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1642731), // Rule ID 4639 //
     /* 1642650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642696 */     // MIs[0] policy
     /* 1642696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642730 */     // GIR_Coverage, 4639,
     /* 1642730 */     GIR_EraseRootFromParent_Done,
     /* 1642731 */   // Label 22585: @1642731
     /* 1642731 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1642817), // Rule ID 4648 //
     /* 1642736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642782 */     // MIs[0] policy
     /* 1642782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642816 */     // GIR_Coverage, 4648,
     /* 1642816 */     GIR_EraseRootFromParent_Done,
     /* 1642817 */   // Label 22586: @1642817
     /* 1642817 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1642903), // Rule ID 4649 //
     /* 1642822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642868 */     // MIs[0] policy
     /* 1642868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642902 */     // GIR_Coverage, 4649,
     /* 1642902 */     GIR_EraseRootFromParent_Done,
     /* 1642903 */   // Label 22587: @1642903
     /* 1642903 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1642989), // Rule ID 4658 //
     /* 1642908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1642928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642954 */     // MIs[0] policy
     /* 1642954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642988 */     // GIR_Coverage, 4658,
     /* 1642988 */     GIR_EraseRootFromParent_Done,
     /* 1642989 */   // Label 22588: @1642989
     /* 1642989 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1643075), // Rule ID 4659 //
     /* 1642994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1643005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1643014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643040 */     // MIs[0] policy
     /* 1643040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643074 */     // GIR_Coverage, 4659,
     /* 1643074 */     GIR_EraseRootFromParent_Done,
     /* 1643075 */   // Label 22589: @1643075
     /* 1643075 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1643161), // Rule ID 4668 //
     /* 1643080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1643100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643126 */     // MIs[0] policy
     /* 1643126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643160 */     // GIR_Coverage, 4668,
     /* 1643160 */     GIR_EraseRootFromParent_Done,
     /* 1643161 */   // Label 22590: @1643161
     /* 1643161 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1643247), // Rule ID 4669 //
     /* 1643166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1643186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643212 */     // MIs[0] policy
     /* 1643212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643246 */     // GIR_Coverage, 4669,
     /* 1643246 */     GIR_EraseRootFromParent_Done,
     /* 1643247 */   // Label 22591: @1643247
     /* 1643247 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1643333), // Rule ID 4678 //
     /* 1643252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1643272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643298 */     // MIs[0] policy
     /* 1643298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643332 */     // GIR_Coverage, 4678,
     /* 1643332 */     GIR_EraseRootFromParent_Done,
     /* 1643333 */   // Label 22592: @1643333
     /* 1643333 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1643419), // Rule ID 4679 //
     /* 1643338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1643358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643384 */     // MIs[0] policy
     /* 1643384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643418 */     // GIR_Coverage, 4679,
     /* 1643418 */     GIR_EraseRootFromParent_Done,
     /* 1643419 */   // Label 22593: @1643419
     /* 1643419 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1643505), // Rule ID 4688 //
     /* 1643424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1643435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1643438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643470 */     // MIs[0] policy
     /* 1643470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643504 */     // GIR_Coverage, 4688,
     /* 1643504 */     GIR_EraseRootFromParent_Done,
     /* 1643505 */   // Label 22594: @1643505
     /* 1643505 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1643591), // Rule ID 4689 //
     /* 1643510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1643521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1643524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643556 */     // MIs[0] policy
     /* 1643556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643566 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643590 */     // GIR_Coverage, 4689,
     /* 1643590 */     GIR_EraseRootFromParent_Done,
     /* 1643591 */   // Label 22595: @1643591
     /* 1643591 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1643677), // Rule ID 4698 //
     /* 1643596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643642 */     // MIs[0] policy
     /* 1643642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643676 */     // GIR_Coverage, 4698,
     /* 1643676 */     GIR_EraseRootFromParent_Done,
     /* 1643677 */   // Label 22596: @1643677
     /* 1643677 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1643763), // Rule ID 4699 //
     /* 1643682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643728 */     // MIs[0] policy
     /* 1643728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643738 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643762 */     // GIR_Coverage, 4699,
     /* 1643762 */     GIR_EraseRootFromParent_Done,
     /* 1643763 */   // Label 22597: @1643763
     /* 1643763 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1643849), // Rule ID 4708 //
     /* 1643768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643814 */     // MIs[0] policy
     /* 1643814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643848 */     // GIR_Coverage, 4708,
     /* 1643848 */     GIR_EraseRootFromParent_Done,
     /* 1643849 */   // Label 22598: @1643849
     /* 1643849 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1643935), // Rule ID 4709 //
     /* 1643854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643900 */     // MIs[0] policy
     /* 1643900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643910 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643934 */     // GIR_Coverage, 4709,
     /* 1643934 */     GIR_EraseRootFromParent_Done,
     /* 1643935 */   // Label 22599: @1643935
     /* 1643935 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1644021), // Rule ID 4718 //
     /* 1643940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643986 */     // MIs[0] policy
     /* 1643986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644020 */     // GIR_Coverage, 4718,
     /* 1644020 */     GIR_EraseRootFromParent_Done,
     /* 1644021 */   // Label 22600: @1644021
     /* 1644021 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1644107), // Rule ID 4719 //
     /* 1644026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1644037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1644040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1644043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1644046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644072 */     // MIs[0] policy
     /* 1644072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644082 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1644085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644106 */     // GIR_Coverage, 4719,
     /* 1644106 */     GIR_EraseRootFromParent_Done,
     /* 1644107 */   // Label 22601: @1644107
     /* 1644107 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1644193), // Rule ID 4722 //
     /* 1644112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644158 */     // MIs[0] policy
     /* 1644158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1644171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644192 */     // GIR_Coverage, 4722,
     /* 1644192 */     GIR_EraseRootFromParent_Done,
     /* 1644193 */   // Label 22602: @1644193
     /* 1644193 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1644279), // Rule ID 4723 //
     /* 1644198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644244 */     // MIs[0] policy
     /* 1644244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1644257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644278 */     // GIR_Coverage, 4723,
     /* 1644278 */     GIR_EraseRootFromParent_Done,
     /* 1644279 */   // Label 22603: @1644279
     /* 1644279 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1644365), // Rule ID 4726 //
     /* 1644284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644330 */     // MIs[0] policy
     /* 1644330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644364 */     // GIR_Coverage, 4726,
     /* 1644364 */     GIR_EraseRootFromParent_Done,
     /* 1644365 */   // Label 22604: @1644365
     /* 1644365 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1644451), // Rule ID 4727 //
     /* 1644370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644416 */     // MIs[0] policy
     /* 1644416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644450 */     // GIR_Coverage, 4727,
     /* 1644450 */     GIR_EraseRootFromParent_Done,
     /* 1644451 */   // Label 22605: @1644451
     /* 1644451 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1644537), // Rule ID 4730 //
     /* 1644456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644502 */     // MIs[0] policy
     /* 1644502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644536 */     // GIR_Coverage, 4730,
     /* 1644536 */     GIR_EraseRootFromParent_Done,
     /* 1644537 */   // Label 22606: @1644537
     /* 1644537 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1644623), // Rule ID 4731 //
     /* 1644542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644588 */     // MIs[0] policy
     /* 1644588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644622 */     // GIR_Coverage, 4731,
     /* 1644622 */     GIR_EraseRootFromParent_Done,
     /* 1644623 */   // Label 22607: @1644623
     /* 1644623 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1644709), // Rule ID 4734 //
     /* 1644628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644674 */     // MIs[0] policy
     /* 1644674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644708 */     // GIR_Coverage, 4734,
     /* 1644708 */     GIR_EraseRootFromParent_Done,
     /* 1644709 */   // Label 22608: @1644709
     /* 1644709 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1644795), // Rule ID 4735 //
     /* 1644714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644760 */     // MIs[0] policy
     /* 1644760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644794 */     // GIR_Coverage, 4735,
     /* 1644794 */     GIR_EraseRootFromParent_Done,
     /* 1644795 */   // Label 22609: @1644795
     /* 1644795 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1644881), // Rule ID 4738 //
     /* 1644800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644846 */     // MIs[0] policy
     /* 1644846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644880 */     // GIR_Coverage, 4738,
     /* 1644880 */     GIR_EraseRootFromParent_Done,
     /* 1644881 */   // Label 22610: @1644881
     /* 1644881 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1644967), // Rule ID 4739 //
     /* 1644886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644932 */     // MIs[0] policy
     /* 1644932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644942 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644966 */     // GIR_Coverage, 4739,
     /* 1644966 */     GIR_EraseRootFromParent_Done,
     /* 1644967 */   // Label 22611: @1644967
     /* 1644967 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1645053), // Rule ID 4742 //
     /* 1644972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645018 */     // MIs[0] policy
     /* 1645018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645052 */     // GIR_Coverage, 4742,
     /* 1645052 */     GIR_EraseRootFromParent_Done,
     /* 1645053 */   // Label 22612: @1645053
     /* 1645053 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1645139), // Rule ID 4743 //
     /* 1645058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1645069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1645072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1645075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1645081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645104 */     // MIs[0] policy
     /* 1645104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645138 */     // GIR_Coverage, 4743,
     /* 1645138 */     GIR_EraseRootFromParent_Done,
     /* 1645139 */   // Label 22613: @1645139
     /* 1645139 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1645225), // Rule ID 4746 //
     /* 1645144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645190 */     // MIs[0] policy
     /* 1645190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1645203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645224 */     // GIR_Coverage, 4746,
     /* 1645224 */     GIR_EraseRootFromParent_Done,
     /* 1645225 */   // Label 22614: @1645225
     /* 1645225 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1645311), // Rule ID 4747 //
     /* 1645230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645276 */     // MIs[0] policy
     /* 1645276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1645289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645310 */     // GIR_Coverage, 4747,
     /* 1645310 */     GIR_EraseRootFromParent_Done,
     /* 1645311 */   // Label 22615: @1645311
     /* 1645311 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1645397), // Rule ID 4750 //
     /* 1645316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645362 */     // MIs[0] policy
     /* 1645362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645396 */     // GIR_Coverage, 4750,
     /* 1645396 */     GIR_EraseRootFromParent_Done,
     /* 1645397 */   // Label 22616: @1645397
     /* 1645397 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1645483), // Rule ID 4751 //
     /* 1645402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645448 */     // MIs[0] policy
     /* 1645448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645482 */     // GIR_Coverage, 4751,
     /* 1645482 */     GIR_EraseRootFromParent_Done,
     /* 1645483 */   // Label 22617: @1645483
     /* 1645483 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1645569), // Rule ID 4754 //
     /* 1645488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645534 */     // MIs[0] policy
     /* 1645534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645568 */     // GIR_Coverage, 4754,
     /* 1645568 */     GIR_EraseRootFromParent_Done,
     /* 1645569 */   // Label 22618: @1645569
     /* 1645569 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1645655), // Rule ID 4755 //
     /* 1645574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645620 */     // MIs[0] policy
     /* 1645620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645654 */     // GIR_Coverage, 4755,
     /* 1645654 */     GIR_EraseRootFromParent_Done,
     /* 1645655 */   // Label 22619: @1645655
     /* 1645655 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1645741), // Rule ID 4758 //
     /* 1645660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645706 */     // MIs[0] policy
     /* 1645706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645740 */     // GIR_Coverage, 4758,
     /* 1645740 */     GIR_EraseRootFromParent_Done,
     /* 1645741 */   // Label 22620: @1645741
     /* 1645741 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1645827), // Rule ID 4759 //
     /* 1645746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645792 */     // MIs[0] policy
     /* 1645792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645826 */     // GIR_Coverage, 4759,
     /* 1645826 */     GIR_EraseRootFromParent_Done,
     /* 1645827 */   // Label 22621: @1645827
     /* 1645827 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1645913), // Rule ID 4762 //
     /* 1645832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645878 */     // MIs[0] policy
     /* 1645878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645912 */     // GIR_Coverage, 4762,
     /* 1645912 */     GIR_EraseRootFromParent_Done,
     /* 1645913 */   // Label 22622: @1645913
     /* 1645913 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1645999), // Rule ID 4763 //
     /* 1645918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645964 */     // MIs[0] policy
     /* 1645964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645998 */     // GIR_Coverage, 4763,
     /* 1645998 */     GIR_EraseRootFromParent_Done,
     /* 1645999 */   // Label 22623: @1645999
     /* 1645999 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1646085), // Rule ID 4766 //
     /* 1646004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646050 */     // MIs[0] policy
     /* 1646050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1646063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646084 */     // GIR_Coverage, 4766,
     /* 1646084 */     GIR_EraseRootFromParent_Done,
     /* 1646085 */   // Label 22624: @1646085
     /* 1646085 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1646171), // Rule ID 4767 //
     /* 1646090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646136 */     // MIs[0] policy
     /* 1646136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1646149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646170 */     // GIR_Coverage, 4767,
     /* 1646170 */     GIR_EraseRootFromParent_Done,
     /* 1646171 */   // Label 22625: @1646171
     /* 1646171 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1646257), // Rule ID 4770 //
     /* 1646176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1646187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1646190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1646193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646222 */     // MIs[0] policy
     /* 1646222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1646235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646256 */     // GIR_Coverage, 4770,
     /* 1646256 */     GIR_EraseRootFromParent_Done,
     /* 1646257 */   // Label 22626: @1646257
     /* 1646257 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1646343), // Rule ID 4771 //
     /* 1646262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1646273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1646276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1646279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646308 */     // MIs[0] policy
     /* 1646308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1646321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646342 */     // GIR_Coverage, 4771,
     /* 1646342 */     GIR_EraseRootFromParent_Done,
     /* 1646343 */   // Label 22627: @1646343
     /* 1646343 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1646429), // Rule ID 4774 //
     /* 1646348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646394 */     // MIs[0] policy
     /* 1646394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1646407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646428 */     // GIR_Coverage, 4774,
     /* 1646428 */     GIR_EraseRootFromParent_Done,
     /* 1646429 */   // Label 22628: @1646429
     /* 1646429 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1646515), // Rule ID 4775 //
     /* 1646434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646480 */     // MIs[0] policy
     /* 1646480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1646493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646514 */     // GIR_Coverage, 4775,
     /* 1646514 */     GIR_EraseRootFromParent_Done,
     /* 1646515 */   // Label 22629: @1646515
     /* 1646515 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1646601), // Rule ID 4778 //
     /* 1646520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646566 */     // MIs[0] policy
     /* 1646566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646600 */     // GIR_Coverage, 4778,
     /* 1646600 */     GIR_EraseRootFromParent_Done,
     /* 1646601 */   // Label 22630: @1646601
     /* 1646601 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1646687), // Rule ID 4779 //
     /* 1646606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646652 */     // MIs[0] policy
     /* 1646652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646686 */     // GIR_Coverage, 4779,
     /* 1646686 */     GIR_EraseRootFromParent_Done,
     /* 1646687 */   // Label 22631: @1646687
     /* 1646687 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1646773), // Rule ID 5656 //
     /* 1646692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646738 */     // MIs[0] policy
     /* 1646738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646772 */     // GIR_Coverage, 5656,
     /* 1646772 */     GIR_EraseRootFromParent_Done,
     /* 1646773 */   // Label 22632: @1646773
     /* 1646773 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1646859), // Rule ID 5657 //
     /* 1646778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646824 */     // MIs[0] policy
     /* 1646824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646858 */     // GIR_Coverage, 5657,
     /* 1646858 */     GIR_EraseRootFromParent_Done,
     /* 1646859 */   // Label 22633: @1646859
     /* 1646859 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1646945), // Rule ID 5660 //
     /* 1646864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646910 */     // MIs[0] policy
     /* 1646910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646944 */     // GIR_Coverage, 5660,
     /* 1646944 */     GIR_EraseRootFromParent_Done,
     /* 1646945 */   // Label 22634: @1646945
     /* 1646945 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1647031), // Rule ID 5661 //
     /* 1646950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646996 */     // MIs[0] policy
     /* 1646996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647006 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1647009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647030 */     // GIR_Coverage, 5661,
     /* 1647030 */     GIR_EraseRootFromParent_Done,
     /* 1647031 */   // Label 22635: @1647031
     /* 1647031 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1647117), // Rule ID 5664 //
     /* 1647036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1647047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1647050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1647053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1647056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647082 */     // MIs[0] policy
     /* 1647082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647116 */     // GIR_Coverage, 5664,
     /* 1647116 */     GIR_EraseRootFromParent_Done,
     /* 1647117 */   // Label 22636: @1647117
     /* 1647117 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1647203), // Rule ID 5665 //
     /* 1647122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1647133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1647136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1647139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1647142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647168 */     // MIs[0] policy
     /* 1647168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647202 */     // GIR_Coverage, 5665,
     /* 1647202 */     GIR_EraseRootFromParent_Done,
     /* 1647203 */   // Label 22637: @1647203
     /* 1647203 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1647289), // Rule ID 5668 //
     /* 1647208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1647228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647254 */     // MIs[0] policy
     /* 1647254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1647267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647288 */     // GIR_Coverage, 5668,
     /* 1647288 */     GIR_EraseRootFromParent_Done,
     /* 1647289 */   // Label 22638: @1647289
     /* 1647289 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1647375), // Rule ID 5669 //
     /* 1647294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1647314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647340 */     // MIs[0] policy
     /* 1647340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1647353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647374 */     // GIR_Coverage, 5669,
     /* 1647374 */     GIR_EraseRootFromParent_Done,
     /* 1647375 */   // Label 22639: @1647375
     /* 1647375 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1647461), // Rule ID 5672 //
     /* 1647380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1647400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647426 */     // MIs[0] policy
     /* 1647426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647460 */     // GIR_Coverage, 5672,
     /* 1647460 */     GIR_EraseRootFromParent_Done,
     /* 1647461 */   // Label 22640: @1647461
     /* 1647461 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1647547), // Rule ID 5673 //
     /* 1647466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1647486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647512 */     // MIs[0] policy
     /* 1647512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647546 */     // GIR_Coverage, 5673,
     /* 1647546 */     GIR_EraseRootFromParent_Done,
     /* 1647547 */   // Label 22641: @1647547
     /* 1647547 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1647633), // Rule ID 5676 //
     /* 1647552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647598 */     // MIs[0] policy
     /* 1647598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647632 */     // GIR_Coverage, 5676,
     /* 1647632 */     GIR_EraseRootFromParent_Done,
     /* 1647633 */   // Label 22642: @1647633
     /* 1647633 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1647719), // Rule ID 5677 //
     /* 1647638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647684 */     // MIs[0] policy
     /* 1647684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647718 */     // GIR_Coverage, 5677,
     /* 1647718 */     GIR_EraseRootFromParent_Done,
     /* 1647719 */   // Label 22643: @1647719
     /* 1647719 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1647805), // Rule ID 5680 //
     /* 1647724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647770 */     // MIs[0] policy
     /* 1647770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647804 */     // GIR_Coverage, 5680,
     /* 1647804 */     GIR_EraseRootFromParent_Done,
     /* 1647805 */   // Label 22644: @1647805
     /* 1647805 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1647891), // Rule ID 5681 //
     /* 1647810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647856 */     // MIs[0] policy
     /* 1647856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647890 */     // GIR_Coverage, 5681,
     /* 1647890 */     GIR_EraseRootFromParent_Done,
     /* 1647891 */   // Label 22645: @1647891
     /* 1647891 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1647977), // Rule ID 5684 //
     /* 1647896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647942 */     // MIs[0] policy
     /* 1647942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647976 */     // GIR_Coverage, 5684,
     /* 1647976 */     GIR_EraseRootFromParent_Done,
     /* 1647977 */   // Label 22646: @1647977
     /* 1647977 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1648063), // Rule ID 5685 //
     /* 1647982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1648002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648028 */     // MIs[0] policy
     /* 1648028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648062 */     // GIR_Coverage, 5685,
     /* 1648062 */     GIR_EraseRootFromParent_Done,
     /* 1648063 */   // Label 22647: @1648063
     /* 1648063 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1648149), // Rule ID 5688 //
     /* 1648068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1648079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1648082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1648085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1648088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648114 */     // MIs[0] policy
     /* 1648114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648148 */     // GIR_Coverage, 5688,
     /* 1648148 */     GIR_EraseRootFromParent_Done,
     /* 1648149 */   // Label 22648: @1648149
     /* 1648149 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1648235), // Rule ID 5689 //
     /* 1648154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1648165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1648168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1648171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1648174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648200 */     // MIs[0] policy
     /* 1648200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648234 */     // GIR_Coverage, 5689,
     /* 1648234 */     GIR_EraseRootFromParent_Done,
     /* 1648235 */   // Label 22649: @1648235
     /* 1648235 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1648321), // Rule ID 5692 //
     /* 1648240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1648243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1648251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1648254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1648257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1648260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648286 */     // MIs[0] policy
     /* 1648286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648320 */     // GIR_Coverage, 5692,
     /* 1648320 */     GIR_EraseRootFromParent_Done,
     /* 1648321 */   // Label 22650: @1648321
     /* 1648321 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1648407), // Rule ID 5693 //
     /* 1648326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1648329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1648337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1648340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1648343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1648346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648372 */     // MIs[0] policy
     /* 1648372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648406 */     // GIR_Coverage, 5693,
     /* 1648406 */     GIR_EraseRootFromParent_Done,
     /* 1648407 */   // Label 22651: @1648407
     /* 1648407 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1648493), // Rule ID 5696 //
     /* 1648412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1648423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1648426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1648429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648458 */     // MIs[0] policy
     /* 1648458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648492 */     // GIR_Coverage, 5696,
     /* 1648492 */     GIR_EraseRootFromParent_Done,
     /* 1648493 */   // Label 22652: @1648493
     /* 1648493 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1648579), // Rule ID 5697 //
     /* 1648498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1648509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1648512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1648515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648544 */     // MIs[0] policy
     /* 1648544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648554 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648578 */     // GIR_Coverage, 5697,
     /* 1648578 */     GIR_EraseRootFromParent_Done,
     /* 1648579 */   // Label 22653: @1648579
     /* 1648579 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1648665), // Rule ID 5700 //
     /* 1648584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648630 */     // MIs[0] policy
     /* 1648630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648664 */     // GIR_Coverage, 5700,
     /* 1648664 */     GIR_EraseRootFromParent_Done,
     /* 1648665 */   // Label 22654: @1648665
     /* 1648665 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1648751), // Rule ID 5701 //
     /* 1648670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648716 */     // MIs[0] policy
     /* 1648716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648750 */     // GIR_Coverage, 5701,
     /* 1648750 */     GIR_EraseRootFromParent_Done,
     /* 1648751 */   // Label 22655: @1648751
     /* 1648751 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1648837), // Rule ID 5704 //
     /* 1648756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648802 */     // MIs[0] policy
     /* 1648802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648836 */     // GIR_Coverage, 5704,
     /* 1648836 */     GIR_EraseRootFromParent_Done,
     /* 1648837 */   // Label 22656: @1648837
     /* 1648837 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1648923), // Rule ID 5705 //
     /* 1648842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648888 */     // MIs[0] policy
     /* 1648888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648898 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648922 */     // GIR_Coverage, 5705,
     /* 1648922 */     GIR_EraseRootFromParent_Done,
     /* 1648923 */   // Label 22657: @1648923
     /* 1648923 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1649009), // Rule ID 5708 //
     /* 1648928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648974 */     // MIs[0] policy
     /* 1648974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649008 */     // GIR_Coverage, 5708,
     /* 1649008 */     GIR_EraseRootFromParent_Done,
     /* 1649009 */   // Label 22658: @1649009
     /* 1649009 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1649095), // Rule ID 5709 //
     /* 1649014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1649025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1649028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1649031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1649034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649060 */     // MIs[0] policy
     /* 1649060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649094 */     // GIR_Coverage, 5709,
     /* 1649094 */     GIR_EraseRootFromParent_Done,
     /* 1649095 */   // Label 22659: @1649095
     /* 1649095 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1649181), // Rule ID 5712 //
     /* 1649100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1649111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1649114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1649117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649146 */     // MIs[0] policy
     /* 1649146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649180 */     // GIR_Coverage, 5712,
     /* 1649180 */     GIR_EraseRootFromParent_Done,
     /* 1649181 */   // Label 22660: @1649181
     /* 1649181 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1649267), // Rule ID 5713 //
     /* 1649186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1649197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1649200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1649203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649232 */     // MIs[0] policy
     /* 1649232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649266 */     // GIR_Coverage, 5713,
     /* 1649266 */     GIR_EraseRootFromParent_Done,
     /* 1649267 */   // Label 22661: @1649267
     /* 1649267 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1649353), // Rule ID 5716 //
     /* 1649272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1649292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649318 */     // MIs[0] policy
     /* 1649318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649352 */     // GIR_Coverage, 5716,
     /* 1649352 */     GIR_EraseRootFromParent_Done,
     /* 1649353 */   // Label 22662: @1649353
     /* 1649353 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1649439), // Rule ID 5717 //
     /* 1649358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1649378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649404 */     // MIs[0] policy
     /* 1649404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649438 */     // GIR_Coverage, 5717,
     /* 1649438 */     GIR_EraseRootFromParent_Done,
     /* 1649439 */   // Label 22663: @1649439
     /* 1649439 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1649525), // Rule ID 5720 //
     /* 1649444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649490 */     // MIs[0] policy
     /* 1649490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649524 */     // GIR_Coverage, 5720,
     /* 1649524 */     GIR_EraseRootFromParent_Done,
     /* 1649525 */   // Label 22664: @1649525
     /* 1649525 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1649611), // Rule ID 5721 //
     /* 1649530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649576 */     // MIs[0] policy
     /* 1649576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649610 */     // GIR_Coverage, 5721,
     /* 1649610 */     GIR_EraseRootFromParent_Done,
     /* 1649611 */   // Label 22665: @1649611
     /* 1649611 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1649697), // Rule ID 5724 //
     /* 1649616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649662 */     // MIs[0] policy
     /* 1649662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649696 */     // GIR_Coverage, 5724,
     /* 1649696 */     GIR_EraseRootFromParent_Done,
     /* 1649697 */   // Label 22666: @1649697
     /* 1649697 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1649783), // Rule ID 5725 //
     /* 1649702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649748 */     // MIs[0] policy
     /* 1649748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649782 */     // GIR_Coverage, 5725,
     /* 1649782 */     GIR_EraseRootFromParent_Done,
     /* 1649783 */   // Label 22667: @1649783
     /* 1649783 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1649869), // Rule ID 5728 //
     /* 1649788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649834 */     // MIs[0] policy
     /* 1649834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649868 */     // GIR_Coverage, 5728,
     /* 1649868 */     GIR_EraseRootFromParent_Done,
     /* 1649869 */   // Label 22668: @1649869
     /* 1649869 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1649955), // Rule ID 5729 //
     /* 1649874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649920 */     // MIs[0] policy
     /* 1649920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649954 */     // GIR_Coverage, 5729,
     /* 1649954 */     GIR_EraseRootFromParent_Done,
     /* 1649955 */   // Label 22669: @1649955
     /* 1649955 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1650041), // Rule ID 5732 //
     /* 1649960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1649980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650006 */     // MIs[0] policy
     /* 1650006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1650019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650040 */     // GIR_Coverage, 5732,
     /* 1650040 */     GIR_EraseRootFromParent_Done,
     /* 1650041 */   // Label 22670: @1650041
     /* 1650041 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1650127), // Rule ID 5733 //
     /* 1650046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1650057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1650060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1650063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1650066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650092 */     // MIs[0] policy
     /* 1650092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1650105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650126 */     // GIR_Coverage, 5733,
     /* 1650126 */     GIR_EraseRootFromParent_Done,
     /* 1650127 */   // Label 22671: @1650127
     /* 1650127 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1650213), // Rule ID 5736 //
     /* 1650132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1650135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1650152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650178 */     // MIs[0] policy
     /* 1650178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1650191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650212 */     // GIR_Coverage, 5736,
     /* 1650212 */     GIR_EraseRootFromParent_Done,
     /* 1650213 */   // Label 22672: @1650213
     /* 1650213 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1650299), // Rule ID 5737 //
     /* 1650218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1650238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650264 */     // MIs[0] policy
     /* 1650264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1650277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650298 */     // GIR_Coverage, 5737,
     /* 1650298 */     GIR_EraseRootFromParent_Done,
     /* 1650299 */   // Label 22673: @1650299
     /* 1650299 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1650385), // Rule ID 5740 //
     /* 1650304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1650307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1650324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650350 */     // MIs[0] policy
     /* 1650350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1650363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650384 */     // GIR_Coverage, 5740,
     /* 1650384 */     GIR_EraseRootFromParent_Done,
     /* 1650385 */   // Label 22674: @1650385
     /* 1650385 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1650471), // Rule ID 5741 //
     /* 1650390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1650410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650436 */     // MIs[0] policy
     /* 1650436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1650449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650470 */     // GIR_Coverage, 5741,
     /* 1650470 */     GIR_EraseRootFromParent_Done,
     /* 1650471 */   // Label 22675: @1650471
     /* 1650471 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1650557), // Rule ID 5744 //
     /* 1650476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650522 */     // MIs[0] policy
     /* 1650522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650556 */     // GIR_Coverage, 5744,
     /* 1650556 */     GIR_EraseRootFromParent_Done,
     /* 1650557 */   // Label 22676: @1650557
     /* 1650557 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1650643), // Rule ID 5745 //
     /* 1650562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650608 */     // MIs[0] policy
     /* 1650608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650618 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650642 */     // GIR_Coverage, 5745,
     /* 1650642 */     GIR_EraseRootFromParent_Done,
     /* 1650643 */   // Label 22677: @1650643
     /* 1650643 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1650729), // Rule ID 5748 //
     /* 1650648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650694 */     // MIs[0] policy
     /* 1650694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650728 */     // GIR_Coverage, 5748,
     /* 1650728 */     GIR_EraseRootFromParent_Done,
     /* 1650729 */   // Label 22678: @1650729
     /* 1650729 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1650815), // Rule ID 5749 //
     /* 1650734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650780 */     // MIs[0] policy
     /* 1650780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650790 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650814 */     // GIR_Coverage, 5749,
     /* 1650814 */     GIR_EraseRootFromParent_Done,
     /* 1650815 */   // Label 22679: @1650815
     /* 1650815 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1650901), // Rule ID 5752 //
     /* 1650820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650866 */     // MIs[0] policy
     /* 1650866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650900 */     // GIR_Coverage, 5752,
     /* 1650900 */     GIR_EraseRootFromParent_Done,
     /* 1650901 */   // Label 22680: @1650901
     /* 1650901 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1650987), // Rule ID 5753 //
     /* 1650906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650952 */     // MIs[0] policy
     /* 1650952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650962 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650986 */     // GIR_Coverage, 5753,
     /* 1650986 */     GIR_EraseRootFromParent_Done,
     /* 1650987 */   // Label 22681: @1650987
     /* 1650987 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1651073), // Rule ID 5756 //
     /* 1650992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1651003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1651006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1651009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651038 */     // MIs[0] policy
     /* 1651038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1651051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651072 */     // GIR_Coverage, 5756,
     /* 1651072 */     GIR_EraseRootFromParent_Done,
     /* 1651073 */   // Label 22682: @1651073
     /* 1651073 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1651159), // Rule ID 5757 //
     /* 1651078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1651089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1651092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1651095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651124 */     // MIs[0] policy
     /* 1651124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651134 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1651137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651158 */     // GIR_Coverage, 5757,
     /* 1651158 */     GIR_EraseRootFromParent_Done,
     /* 1651159 */   // Label 22683: @1651159
     /* 1651159 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1651245), // Rule ID 5760 //
     /* 1651164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651210 */     // MIs[0] policy
     /* 1651210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651244 */     // GIR_Coverage, 5760,
     /* 1651244 */     GIR_EraseRootFromParent_Done,
     /* 1651245 */   // Label 22684: @1651245
     /* 1651245 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1651331), // Rule ID 5761 //
     /* 1651250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651296 */     // MIs[0] policy
     /* 1651296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651330 */     // GIR_Coverage, 5761,
     /* 1651330 */     GIR_EraseRootFromParent_Done,
     /* 1651331 */   // Label 22685: @1651331
     /* 1651331 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1651417), // Rule ID 5764 //
     /* 1651336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651382 */     // MIs[0] policy
     /* 1651382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651416 */     // GIR_Coverage, 5764,
     /* 1651416 */     GIR_EraseRootFromParent_Done,
     /* 1651417 */   // Label 22686: @1651417
     /* 1651417 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1651503), // Rule ID 5765 //
     /* 1651422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651468 */     // MIs[0] policy
     /* 1651468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651502 */     // GIR_Coverage, 5765,
     /* 1651502 */     GIR_EraseRootFromParent_Done,
     /* 1651503 */   // Label 22687: @1651503
     /* 1651503 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1651589), // Rule ID 5768 //
     /* 1651508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651554 */     // MIs[0] policy
     /* 1651554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651588 */     // GIR_Coverage, 5768,
     /* 1651588 */     GIR_EraseRootFromParent_Done,
     /* 1651589 */   // Label 22688: @1651589
     /* 1651589 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1651675), // Rule ID 5769 //
     /* 1651594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651640 */     // MIs[0] policy
     /* 1651640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651650 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651674 */     // GIR_Coverage, 5769,
     /* 1651674 */     GIR_EraseRootFromParent_Done,
     /* 1651675 */   // Label 22689: @1651675
     /* 1651675 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1651761), // Rule ID 5772 //
     /* 1651680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651726 */     // MIs[0] policy
     /* 1651726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651760 */     // GIR_Coverage, 5772,
     /* 1651760 */     GIR_EraseRootFromParent_Done,
     /* 1651761 */   // Label 22690: @1651761
     /* 1651761 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1651847), // Rule ID 5773 //
     /* 1651766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651812 */     // MIs[0] policy
     /* 1651812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651846 */     // GIR_Coverage, 5773,
     /* 1651846 */     GIR_EraseRootFromParent_Done,
     /* 1651847 */   // Label 22691: @1651847
     /* 1651847 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1651933), // Rule ID 5776 //
     /* 1651852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651898 */     // MIs[0] policy
     /* 1651898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651932 */     // GIR_Coverage, 5776,
     /* 1651932 */     GIR_EraseRootFromParent_Done,
     /* 1651933 */   // Label 22692: @1651933
     /* 1651933 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1652019), // Rule ID 5777 //
     /* 1651938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651984 */     // MIs[0] policy
     /* 1651984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652018 */     // GIR_Coverage, 5777,
     /* 1652018 */     GIR_EraseRootFromParent_Done,
     /* 1652019 */   // Label 22693: @1652019
     /* 1652019 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1652105), // Rule ID 5780 //
     /* 1652024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1652027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652070 */     // MIs[0] policy
     /* 1652070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1652083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652104 */     // GIR_Coverage, 5780,
     /* 1652104 */     GIR_EraseRootFromParent_Done,
     /* 1652105 */   // Label 22694: @1652105
     /* 1652105 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1652191), // Rule ID 5781 //
     /* 1652110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1652113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652156 */     // MIs[0] policy
     /* 1652156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1652169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652190 */     // GIR_Coverage, 5781,
     /* 1652190 */     GIR_EraseRootFromParent_Done,
     /* 1652191 */   // Label 22695: @1652191
     /* 1652191 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1652277), // Rule ID 5784 //
     /* 1652196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1652207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1652210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1652213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652242 */     // MIs[0] policy
     /* 1652242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652276 */     // GIR_Coverage, 5784,
     /* 1652276 */     GIR_EraseRootFromParent_Done,
     /* 1652277 */   // Label 22696: @1652277
     /* 1652277 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1652363), // Rule ID 5785 //
     /* 1652282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1652293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1652296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1652299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652328 */     // MIs[0] policy
     /* 1652328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652362 */     // GIR_Coverage, 5785,
     /* 1652362 */     GIR_EraseRootFromParent_Done,
     /* 1652363 */   // Label 22697: @1652363
     /* 1652363 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1652449), // Rule ID 5788 //
     /* 1652368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652414 */     // MIs[0] policy
     /* 1652414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652448 */     // GIR_Coverage, 5788,
     /* 1652448 */     GIR_EraseRootFromParent_Done,
     /* 1652449 */   // Label 22698: @1652449
     /* 1652449 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1652535), // Rule ID 5789 //
     /* 1652454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652500 */     // MIs[0] policy
     /* 1652500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652534 */     // GIR_Coverage, 5789,
     /* 1652534 */     GIR_EraseRootFromParent_Done,
     /* 1652535 */   // Label 22699: @1652535
     /* 1652535 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1652621), // Rule ID 5792 //
     /* 1652540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652586 */     // MIs[0] policy
     /* 1652586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652620 */     // GIR_Coverage, 5792,
     /* 1652620 */     GIR_EraseRootFromParent_Done,
     /* 1652621 */   // Label 22700: @1652621
     /* 1652621 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1652707), // Rule ID 5793 //
     /* 1652626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652672 */     // MIs[0] policy
     /* 1652672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652682 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652706 */     // GIR_Coverage, 5793,
     /* 1652706 */     GIR_EraseRootFromParent_Done,
     /* 1652707 */   // Label 22701: @1652707
     /* 1652707 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1652793), // Rule ID 5796 //
     /* 1652712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652758 */     // MIs[0] policy
     /* 1652758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652792 */     // GIR_Coverage, 5796,
     /* 1652792 */     GIR_EraseRootFromParent_Done,
     /* 1652793 */   // Label 22702: @1652793
     /* 1652793 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1652879), // Rule ID 5797 //
     /* 1652798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652844 */     // MIs[0] policy
     /* 1652844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652854 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652878 */     // GIR_Coverage, 5797,
     /* 1652878 */     GIR_EraseRootFromParent_Done,
     /* 1652879 */   // Label 22703: @1652879
     /* 1652879 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1652965), // Rule ID 5800 //
     /* 1652884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652930 */     // MIs[0] policy
     /* 1652930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652964 */     // GIR_Coverage, 5800,
     /* 1652964 */     GIR_EraseRootFromParent_Done,
     /* 1652965 */   // Label 22704: @1652965
     /* 1652965 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1653051), // Rule ID 5801 //
     /* 1652970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653016 */     // MIs[0] policy
     /* 1653016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653050 */     // GIR_Coverage, 5801,
     /* 1653050 */     GIR_EraseRootFromParent_Done,
     /* 1653051 */   // Label 22705: @1653051
     /* 1653051 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1653137), // Rule ID 5804 //
     /* 1653056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653102 */     // MIs[0] policy
     /* 1653102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653136 */     // GIR_Coverage, 5804,
     /* 1653136 */     GIR_EraseRootFromParent_Done,
     /* 1653137 */   // Label 22706: @1653137
     /* 1653137 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1653223), // Rule ID 5805 //
     /* 1653142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653188 */     // MIs[0] policy
     /* 1653188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653198 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653222 */     // GIR_Coverage, 5805,
     /* 1653222 */     GIR_EraseRootFromParent_Done,
     /* 1653223 */   // Label 22707: @1653223
     /* 1653223 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1653309), // Rule ID 5808 //
     /* 1653228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653274 */     // MIs[0] policy
     /* 1653274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653308 */     // GIR_Coverage, 5808,
     /* 1653308 */     GIR_EraseRootFromParent_Done,
     /* 1653309 */   // Label 22708: @1653309
     /* 1653309 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1653395), // Rule ID 5809 //
     /* 1653314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653360 */     // MIs[0] policy
     /* 1653360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653394 */     // GIR_Coverage, 5809,
     /* 1653394 */     GIR_EraseRootFromParent_Done,
     /* 1653395 */   // Label 22709: @1653395
     /* 1653395 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1653481), // Rule ID 5812 //
     /* 1653400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653446 */     // MIs[0] policy
     /* 1653446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653480 */     // GIR_Coverage, 5812,
     /* 1653480 */     GIR_EraseRootFromParent_Done,
     /* 1653481 */   // Label 22710: @1653481
     /* 1653481 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1653567), // Rule ID 5813 //
     /* 1653486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653532 */     // MIs[0] policy
     /* 1653532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653566 */     // GIR_Coverage, 5813,
     /* 1653566 */     GIR_EraseRootFromParent_Done,
     /* 1653567 */   // Label 22711: @1653567
     /* 1653567 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1653653), // Rule ID 5816 //
     /* 1653572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653618 */     // MIs[0] policy
     /* 1653618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653652 */     // GIR_Coverage, 5816,
     /* 1653652 */     GIR_EraseRootFromParent_Done,
     /* 1653653 */   // Label 22712: @1653653
     /* 1653653 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1653739), // Rule ID 5817 //
     /* 1653658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653704 */     // MIs[0] policy
     /* 1653704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653738 */     // GIR_Coverage, 5817,
     /* 1653738 */     GIR_EraseRootFromParent_Done,
     /* 1653739 */   // Label 22713: @1653739
     /* 1653739 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1653825), // Rule ID 5820 //
     /* 1653744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653790 */     // MIs[0] policy
     /* 1653790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653824 */     // GIR_Coverage, 5820,
     /* 1653824 */     GIR_EraseRootFromParent_Done,
     /* 1653825 */   // Label 22714: @1653825
     /* 1653825 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1653911), // Rule ID 5821 //
     /* 1653830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653876 */     // MIs[0] policy
     /* 1653876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653910 */     // GIR_Coverage, 5821,
     /* 1653910 */     GIR_EraseRootFromParent_Done,
     /* 1653911 */   // Label 22715: @1653911
     /* 1653911 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1653997), // Rule ID 5824 //
     /* 1653916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653962 */     // MIs[0] policy
     /* 1653962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653996 */     // GIR_Coverage, 5824,
     /* 1653996 */     GIR_EraseRootFromParent_Done,
     /* 1653997 */   // Label 22716: @1653997
     /* 1653997 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1654083), // Rule ID 5825 //
     /* 1654002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1654013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1654016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1654019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654048 */     // MIs[0] policy
     /* 1654048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1654061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654082 */     // GIR_Coverage, 5825,
     /* 1654082 */     GIR_EraseRootFromParent_Done,
     /* 1654083 */   // Label 22717: @1654083
     /* 1654083 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1654169), // Rule ID 5828 //
     /* 1654088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654134 */     // MIs[0] policy
     /* 1654134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1654147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654168 */     // GIR_Coverage, 5828,
     /* 1654168 */     GIR_EraseRootFromParent_Done,
     /* 1654169 */   // Label 22718: @1654169
     /* 1654169 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1654255), // Rule ID 5829 //
     /* 1654174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654220 */     // MIs[0] policy
     /* 1654220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1654233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654254 */     // GIR_Coverage, 5829,
     /* 1654254 */     GIR_EraseRootFromParent_Done,
     /* 1654255 */   // Label 22719: @1654255
     /* 1654255 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1654341), // Rule ID 5920 //
     /* 1654260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1654280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654306 */     // MIs[0] policy
     /* 1654306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1654319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654340 */     // GIR_Coverage, 5920,
     /* 1654340 */     GIR_EraseRootFromParent_Done,
     /* 1654341 */   // Label 22720: @1654341
     /* 1654341 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1654427), // Rule ID 5921 //
     /* 1654346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1654366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654392 */     // MIs[0] policy
     /* 1654392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1654405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654426 */     // GIR_Coverage, 5921,
     /* 1654426 */     GIR_EraseRootFromParent_Done,
     /* 1654427 */   // Label 22721: @1654427
     /* 1654427 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1654513), // Rule ID 5924 //
     /* 1654432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654478 */     // MIs[0] policy
     /* 1654478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654512 */     // GIR_Coverage, 5924,
     /* 1654512 */     GIR_EraseRootFromParent_Done,
     /* 1654513 */   // Label 22722: @1654513
     /* 1654513 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1654599), // Rule ID 5925 //
     /* 1654518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654564 */     // MIs[0] policy
     /* 1654564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654598 */     // GIR_Coverage, 5925,
     /* 1654598 */     GIR_EraseRootFromParent_Done,
     /* 1654599 */   // Label 22723: @1654599
     /* 1654599 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1654685), // Rule ID 5928 //
     /* 1654604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654650 */     // MIs[0] policy
     /* 1654650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654684 */     // GIR_Coverage, 5928,
     /* 1654684 */     GIR_EraseRootFromParent_Done,
     /* 1654685 */   // Label 22724: @1654685
     /* 1654685 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1654771), // Rule ID 5929 //
     /* 1654690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654736 */     // MIs[0] policy
     /* 1654736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654770 */     // GIR_Coverage, 5929,
     /* 1654770 */     GIR_EraseRootFromParent_Done,
     /* 1654771 */   // Label 22725: @1654771
     /* 1654771 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1654857), // Rule ID 5932 //
     /* 1654776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654822 */     // MIs[0] policy
     /* 1654822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654856 */     // GIR_Coverage, 5932,
     /* 1654856 */     GIR_EraseRootFromParent_Done,
     /* 1654857 */   // Label 22726: @1654857
     /* 1654857 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1654943), // Rule ID 5933 //
     /* 1654862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654908 */     // MIs[0] policy
     /* 1654908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654918 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654942 */     // GIR_Coverage, 5933,
     /* 1654942 */     GIR_EraseRootFromParent_Done,
     /* 1654943 */   // Label 22727: @1654943
     /* 1654943 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1655029), // Rule ID 5936 //
     /* 1654948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654994 */     // MIs[0] policy
     /* 1654994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1655007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655028 */     // GIR_Coverage, 5936,
     /* 1655028 */     GIR_EraseRootFromParent_Done,
     /* 1655029 */   // Label 22728: @1655029
     /* 1655029 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1655115), // Rule ID 5937 //
     /* 1655034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1655054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655080 */     // MIs[0] policy
     /* 1655080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655090 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1655093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655114 */     // GIR_Coverage, 5937,
     /* 1655114 */     GIR_EraseRootFromParent_Done,
     /* 1655115 */   // Label 22729: @1655115
     /* 1655115 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1655201), // Rule ID 5940 //
     /* 1655120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1655140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655166 */     // MIs[0] policy
     /* 1655166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1655179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655200 */     // GIR_Coverage, 5940,
     /* 1655200 */     GIR_EraseRootFromParent_Done,
     /* 1655201 */   // Label 22730: @1655201
     /* 1655201 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1655287), // Rule ID 5941 //
     /* 1655206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1655226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655252 */     // MIs[0] policy
     /* 1655252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1655265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655286 */     // GIR_Coverage, 5941,
     /* 1655286 */     GIR_EraseRootFromParent_Done,
     /* 1655287 */   // Label 22731: @1655287
     /* 1655287 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1655373), // Rule ID 5944 //
     /* 1655292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1655312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655338 */     // MIs[0] policy
     /* 1655338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655372 */     // GIR_Coverage, 5944,
     /* 1655372 */     GIR_EraseRootFromParent_Done,
     /* 1655373 */   // Label 22732: @1655373
     /* 1655373 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1655459), // Rule ID 5945 //
     /* 1655378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1655398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655424 */     // MIs[0] policy
     /* 1655424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655458 */     // GIR_Coverage, 5945,
     /* 1655458 */     GIR_EraseRootFromParent_Done,
     /* 1655459 */   // Label 22733: @1655459
     /* 1655459 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1655545), // Rule ID 5948 //
     /* 1655464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655510 */     // MIs[0] policy
     /* 1655510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655544 */     // GIR_Coverage, 5948,
     /* 1655544 */     GIR_EraseRootFromParent_Done,
     /* 1655545 */   // Label 22734: @1655545
     /* 1655545 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1655631), // Rule ID 5949 //
     /* 1655550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655596 */     // MIs[0] policy
     /* 1655596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655606 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655630 */     // GIR_Coverage, 5949,
     /* 1655630 */     GIR_EraseRootFromParent_Done,
     /* 1655631 */   // Label 22735: @1655631
     /* 1655631 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1655717), // Rule ID 5952 //
     /* 1655636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655682 */     // MIs[0] policy
     /* 1655682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655716 */     // GIR_Coverage, 5952,
     /* 1655716 */     GIR_EraseRootFromParent_Done,
     /* 1655717 */   // Label 22736: @1655717
     /* 1655717 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1655803), // Rule ID 5953 //
     /* 1655722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655768 */     // MIs[0] policy
     /* 1655768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655802 */     // GIR_Coverage, 5953,
     /* 1655802 */     GIR_EraseRootFromParent_Done,
     /* 1655803 */   // Label 22737: @1655803
     /* 1655803 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1655889), // Rule ID 5956 //
     /* 1655808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1655811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655854 */     // MIs[0] policy
     /* 1655854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655888 */     // GIR_Coverage, 5956,
     /* 1655888 */     GIR_EraseRootFromParent_Done,
     /* 1655889 */   // Label 22738: @1655889
     /* 1655889 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1655975), // Rule ID 5957 //
     /* 1655894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655940 */     // MIs[0] policy
     /* 1655940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655950 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655974 */     // GIR_Coverage, 5957,
     /* 1655974 */     GIR_EraseRootFromParent_Done,
     /* 1655975 */   // Label 22739: @1655975
     /* 1655975 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1656061), // Rule ID 5960 //
     /* 1655980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1656000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656026 */     // MIs[0] policy
     /* 1656026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656060 */     // GIR_Coverage, 5960,
     /* 1656060 */     GIR_EraseRootFromParent_Done,
     /* 1656061 */   // Label 22740: @1656061
     /* 1656061 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1656147), // Rule ID 5961 //
     /* 1656066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1656086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656112 */     // MIs[0] policy
     /* 1656112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656146 */     // GIR_Coverage, 5961,
     /* 1656146 */     GIR_EraseRootFromParent_Done,
     /* 1656147 */   // Label 22741: @1656147
     /* 1656147 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1656233), // Rule ID 5964 //
     /* 1656152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1656172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656198 */     // MIs[0] policy
     /* 1656198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656232 */     // GIR_Coverage, 5964,
     /* 1656232 */     GIR_EraseRootFromParent_Done,
     /* 1656233 */   // Label 22742: @1656233
     /* 1656233 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1656319), // Rule ID 5965 //
     /* 1656238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1656258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656284 */     // MIs[0] policy
     /* 1656284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656294 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656318 */     // GIR_Coverage, 5965,
     /* 1656318 */     GIR_EraseRootFromParent_Done,
     /* 1656319 */   // Label 22743: @1656319
     /* 1656319 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1656405), // Rule ID 5968 //
     /* 1656324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1656344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656370 */     // MIs[0] policy
     /* 1656370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656380 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656404 */     // GIR_Coverage, 5968,
     /* 1656404 */     GIR_EraseRootFromParent_Done,
     /* 1656405 */   // Label 22744: @1656405
     /* 1656405 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1656491), // Rule ID 5969 //
     /* 1656410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1656430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656456 */     // MIs[0] policy
     /* 1656456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656466 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656490 */     // GIR_Coverage, 5969,
     /* 1656490 */     GIR_EraseRootFromParent_Done,
     /* 1656491 */   // Label 22745: @1656491
     /* 1656491 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1656577), // Rule ID 5972 //
     /* 1656496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656542 */     // MIs[0] policy
     /* 1656542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656576 */     // GIR_Coverage, 5972,
     /* 1656576 */     GIR_EraseRootFromParent_Done,
     /* 1656577 */   // Label 22746: @1656577
     /* 1656577 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1656663), // Rule ID 5973 //
     /* 1656582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656628 */     // MIs[0] policy
     /* 1656628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656662 */     // GIR_Coverage, 5973,
     /* 1656662 */     GIR_EraseRootFromParent_Done,
     /* 1656663 */   // Label 22747: @1656663
     /* 1656663 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1656749), // Rule ID 5976 //
     /* 1656668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656714 */     // MIs[0] policy
     /* 1656714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656748 */     // GIR_Coverage, 5976,
     /* 1656748 */     GIR_EraseRootFromParent_Done,
     /* 1656749 */   // Label 22748: @1656749
     /* 1656749 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1656835), // Rule ID 5977 //
     /* 1656754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656800 */     // MIs[0] policy
     /* 1656800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656810 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656834 */     // GIR_Coverage, 5977,
     /* 1656834 */     GIR_EraseRootFromParent_Done,
     /* 1656835 */   // Label 22749: @1656835
     /* 1656835 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1656921), // Rule ID 5980 //
     /* 1656840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656886 */     // MIs[0] policy
     /* 1656886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656920 */     // GIR_Coverage, 5980,
     /* 1656920 */     GIR_EraseRootFromParent_Done,
     /* 1656921 */   // Label 22750: @1656921
     /* 1656921 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1657007), // Rule ID 5981 //
     /* 1656926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656972 */     // MIs[0] policy
     /* 1656972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656982 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657006 */     // GIR_Coverage, 5981,
     /* 1657006 */     GIR_EraseRootFromParent_Done,
     /* 1657007 */   // Label 22751: @1657007
     /* 1657007 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1657093), // Rule ID 5984 //
     /* 1657012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1657032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657058 */     // MIs[0] policy
     /* 1657058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657092 */     // GIR_Coverage, 5984,
     /* 1657092 */     GIR_EraseRootFromParent_Done,
     /* 1657093 */   // Label 22752: @1657093
     /* 1657093 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1657179), // Rule ID 5985 //
     /* 1657098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1657118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657144 */     // MIs[0] policy
     /* 1657144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657178 */     // GIR_Coverage, 5985,
     /* 1657178 */     GIR_EraseRootFromParent_Done,
     /* 1657179 */   // Label 22753: @1657179
     /* 1657179 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1657265), // Rule ID 5988 //
     /* 1657184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1657204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657230 */     // MIs[0] policy
     /* 1657230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657264 */     // GIR_Coverage, 5988,
     /* 1657264 */     GIR_EraseRootFromParent_Done,
     /* 1657265 */   // Label 22754: @1657265
     /* 1657265 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1657351), // Rule ID 5989 //
     /* 1657270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1657290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657316 */     // MIs[0] policy
     /* 1657316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657350 */     // GIR_Coverage, 5989,
     /* 1657350 */     GIR_EraseRootFromParent_Done,
     /* 1657351 */   // Label 22755: @1657351
     /* 1657351 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1657437), // Rule ID 5992 //
     /* 1657356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657402 */     // MIs[0] policy
     /* 1657402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657436 */     // GIR_Coverage, 5992,
     /* 1657436 */     GIR_EraseRootFromParent_Done,
     /* 1657437 */   // Label 22756: @1657437
     /* 1657437 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1657523), // Rule ID 5993 //
     /* 1657442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657488 */     // MIs[0] policy
     /* 1657488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657522 */     // GIR_Coverage, 5993,
     /* 1657522 */     GIR_EraseRootFromParent_Done,
     /* 1657523 */   // Label 22757: @1657523
     /* 1657523 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1657609), // Rule ID 5996 //
     /* 1657528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657574 */     // MIs[0] policy
     /* 1657574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657608 */     // GIR_Coverage, 5996,
     /* 1657608 */     GIR_EraseRootFromParent_Done,
     /* 1657609 */   // Label 22758: @1657609
     /* 1657609 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1657695), // Rule ID 5997 //
     /* 1657614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657660 */     // MIs[0] policy
     /* 1657660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657694 */     // GIR_Coverage, 5997,
     /* 1657694 */     GIR_EraseRootFromParent_Done,
     /* 1657695 */   // Label 22759: @1657695
     /* 1657695 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1657781), // Rule ID 6000 //
     /* 1657700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657746 */     // MIs[0] policy
     /* 1657746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657780 */     // GIR_Coverage, 6000,
     /* 1657780 */     GIR_EraseRootFromParent_Done,
     /* 1657781 */   // Label 22760: @1657781
     /* 1657781 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1657867), // Rule ID 6001 //
     /* 1657786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657832 */     // MIs[0] policy
     /* 1657832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657842 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657866 */     // GIR_Coverage, 6001,
     /* 1657866 */     GIR_EraseRootFromParent_Done,
     /* 1657867 */   // Label 22761: @1657867
     /* 1657867 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1657953), // Rule ID 6004 //
     /* 1657872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657918 */     // MIs[0] policy
     /* 1657918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657952 */     // GIR_Coverage, 6004,
     /* 1657952 */     GIR_EraseRootFromParent_Done,
     /* 1657953 */   // Label 22762: @1657953
     /* 1657953 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1658039), // Rule ID 6005 //
     /* 1657958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658004 */     // MIs[0] policy
     /* 1658004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1658017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658038 */     // GIR_Coverage, 6005,
     /* 1658038 */     GIR_EraseRootFromParent_Done,
     /* 1658039 */   // Label 22763: @1658039
     /* 1658039 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1658125), // Rule ID 6008 //
     /* 1658044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658090 */     // MIs[0] policy
     /* 1658090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1658103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658124 */     // GIR_Coverage, 6008,
     /* 1658124 */     GIR_EraseRootFromParent_Done,
     /* 1658125 */   // Label 22764: @1658125
     /* 1658125 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1658211), // Rule ID 6009 //
     /* 1658130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658176 */     // MIs[0] policy
     /* 1658176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658186 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1658189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658210 */     // GIR_Coverage, 6009,
     /* 1658210 */     GIR_EraseRootFromParent_Done,
     /* 1658211 */   // Label 22765: @1658211
     /* 1658211 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1658297), // Rule ID 6012 //
     /* 1658216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1658227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1658230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1658233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658262 */     // MIs[0] policy
     /* 1658262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658296 */     // GIR_Coverage, 6012,
     /* 1658296 */     GIR_EraseRootFromParent_Done,
     /* 1658297 */   // Label 22766: @1658297
     /* 1658297 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1658383), // Rule ID 6013 //
     /* 1658302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1658313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1658316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1658319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658348 */     // MIs[0] policy
     /* 1658348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658382 */     // GIR_Coverage, 6013,
     /* 1658382 */     GIR_EraseRootFromParent_Done,
     /* 1658383 */   // Label 22767: @1658383
     /* 1658383 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1658469), // Rule ID 6016 //
     /* 1658388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658434 */     // MIs[0] policy
     /* 1658434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658468 */     // GIR_Coverage, 6016,
     /* 1658468 */     GIR_EraseRootFromParent_Done,
     /* 1658469 */   // Label 22768: @1658469
     /* 1658469 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1658555), // Rule ID 6017 //
     /* 1658474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658520 */     // MIs[0] policy
     /* 1658520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658530 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658554 */     // GIR_Coverage, 6017,
     /* 1658554 */     GIR_EraseRootFromParent_Done,
     /* 1658555 */   // Label 22769: @1658555
     /* 1658555 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1658641), // Rule ID 6020 //
     /* 1658560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658606 */     // MIs[0] policy
     /* 1658606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658640 */     // GIR_Coverage, 6020,
     /* 1658640 */     GIR_EraseRootFromParent_Done,
     /* 1658641 */   // Label 22770: @1658641
     /* 1658641 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1658727), // Rule ID 6021 //
     /* 1658646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658692 */     // MIs[0] policy
     /* 1658692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658726 */     // GIR_Coverage, 6021,
     /* 1658726 */     GIR_EraseRootFromParent_Done,
     /* 1658727 */   // Label 22771: @1658727
     /* 1658727 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1658813), // Rule ID 6024 //
     /* 1658732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658778 */     // MIs[0] policy
     /* 1658778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658812 */     // GIR_Coverage, 6024,
     /* 1658812 */     GIR_EraseRootFromParent_Done,
     /* 1658813 */   // Label 22772: @1658813
     /* 1658813 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1658899), // Rule ID 6025 //
     /* 1658818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658864 */     // MIs[0] policy
     /* 1658864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658898 */     // GIR_Coverage, 6025,
     /* 1658898 */     GIR_EraseRootFromParent_Done,
     /* 1658899 */   // Label 22773: @1658899
     /* 1658899 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1658985), // Rule ID 6028 //
     /* 1658904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658950 */     // MIs[0] policy
     /* 1658950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658984 */     // GIR_Coverage, 6028,
     /* 1658984 */     GIR_EraseRootFromParent_Done,
     /* 1658985 */   // Label 22774: @1658985
     /* 1658985 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1659071), // Rule ID 6029 //
     /* 1658990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1659001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1659004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1659007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659036 */     // MIs[0] policy
     /* 1659036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1659049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659070 */     // GIR_Coverage, 6029,
     /* 1659070 */     GIR_EraseRootFromParent_Done,
     /* 1659071 */   // Label 22775: @1659071
     /* 1659071 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1659157), // Rule ID 6032 //
     /* 1659076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1659087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1659090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1659093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659122 */     // MIs[0] policy
     /* 1659122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659156 */     // GIR_Coverage, 6032,
     /* 1659156 */     GIR_EraseRootFromParent_Done,
     /* 1659157 */   // Label 22776: @1659157
     /* 1659157 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1659243), // Rule ID 6033 //
     /* 1659162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1659173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1659176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1659179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659208 */     // MIs[0] policy
     /* 1659208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659218 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659242 */     // GIR_Coverage, 6033,
     /* 1659242 */     GIR_EraseRootFromParent_Done,
     /* 1659243 */   // Label 22777: @1659243
     /* 1659243 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1659329), // Rule ID 6036 //
     /* 1659248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1659259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1659262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1659265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659294 */     // MIs[0] policy
     /* 1659294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659328 */     // GIR_Coverage, 6036,
     /* 1659328 */     GIR_EraseRootFromParent_Done,
     /* 1659329 */   // Label 22778: @1659329
     /* 1659329 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1659415), // Rule ID 6037 //
     /* 1659334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1659345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1659348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1659351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659380 */     // MIs[0] policy
     /* 1659380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659414 */     // GIR_Coverage, 6037,
     /* 1659414 */     GIR_EraseRootFromParent_Done,
     /* 1659415 */   // Label 22779: @1659415
     /* 1659415 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1659501), // Rule ID 6040 //
     /* 1659420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659466 */     // MIs[0] policy
     /* 1659466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659500 */     // GIR_Coverage, 6040,
     /* 1659500 */     GIR_EraseRootFromParent_Done,
     /* 1659501 */   // Label 22780: @1659501
     /* 1659501 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1659587), // Rule ID 6041 //
     /* 1659506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659552 */     // MIs[0] policy
     /* 1659552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659586 */     // GIR_Coverage, 6041,
     /* 1659586 */     GIR_EraseRootFromParent_Done,
     /* 1659587 */   // Label 22781: @1659587
     /* 1659587 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1659673), // Rule ID 6044 //
     /* 1659592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659638 */     // MIs[0] policy
     /* 1659638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659672 */     // GIR_Coverage, 6044,
     /* 1659672 */     GIR_EraseRootFromParent_Done,
     /* 1659673 */   // Label 22782: @1659673
     /* 1659673 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1659759), // Rule ID 6045 //
     /* 1659678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659724 */     // MIs[0] policy
     /* 1659724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659758 */     // GIR_Coverage, 6045,
     /* 1659758 */     GIR_EraseRootFromParent_Done,
     /* 1659759 */   // Label 22783: @1659759
     /* 1659759 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1659845), // Rule ID 6048 //
     /* 1659764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659810 */     // MIs[0] policy
     /* 1659810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659820 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659844 */     // GIR_Coverage, 6048,
     /* 1659844 */     GIR_EraseRootFromParent_Done,
     /* 1659845 */   // Label 22784: @1659845
     /* 1659845 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1659931), // Rule ID 6049 //
     /* 1659850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659896 */     // MIs[0] policy
     /* 1659896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659930 */     // GIR_Coverage, 6049,
     /* 1659930 */     GIR_EraseRootFromParent_Done,
     /* 1659931 */   // Label 22785: @1659931
     /* 1659931 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1660017), // Rule ID 6052 //
     /* 1659936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659982 */     // MIs[0] policy
     /* 1659982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660016 */     // GIR_Coverage, 6052,
     /* 1660016 */     GIR_EraseRootFromParent_Done,
     /* 1660017 */   // Label 22786: @1660017
     /* 1660017 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1660103), // Rule ID 6053 //
     /* 1660022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1660033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1660036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1660039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660068 */     // MIs[0] policy
     /* 1660068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660102 */     // GIR_Coverage, 6053,
     /* 1660102 */     GIR_EraseRootFromParent_Done,
     /* 1660103 */   // Label 22787: @1660103
     /* 1660103 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1660189), // Rule ID 6056 //
     /* 1660108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1660119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1660122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1660125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1660131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660154 */     // MIs[0] policy
     /* 1660154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660188 */     // GIR_Coverage, 6056,
     /* 1660188 */     GIR_EraseRootFromParent_Done,
     /* 1660189 */   // Label 22788: @1660189
     /* 1660189 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1660275), // Rule ID 6057 //
     /* 1660194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1660205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1660208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1660211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1660217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660240 */     // MIs[0] policy
     /* 1660240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660250 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660274 */     // GIR_Coverage, 6057,
     /* 1660274 */     GIR_EraseRootFromParent_Done,
     /* 1660275 */   // Label 22789: @1660275
     /* 1660275 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1660361), // Rule ID 6060 //
     /* 1660280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1660291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1660294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1660297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660326 */     // MIs[0] policy
     /* 1660326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660360 */     // GIR_Coverage, 6060,
     /* 1660360 */     GIR_EraseRootFromParent_Done,
     /* 1660361 */   // Label 22790: @1660361
     /* 1660361 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1660447), // Rule ID 6061 //
     /* 1660366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1660377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1660380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1660383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660412 */     // MIs[0] policy
     /* 1660412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660446 */     // GIR_Coverage, 6061,
     /* 1660446 */     GIR_EraseRootFromParent_Done,
     /* 1660447 */   // Label 22791: @1660447
     /* 1660447 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1660533), // Rule ID 6064 //
     /* 1660452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660498 */     // MIs[0] policy
     /* 1660498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660532 */     // GIR_Coverage, 6064,
     /* 1660532 */     GIR_EraseRootFromParent_Done,
     /* 1660533 */   // Label 22792: @1660533
     /* 1660533 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1660619), // Rule ID 6065 //
     /* 1660538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660584 */     // MIs[0] policy
     /* 1660584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660618 */     // GIR_Coverage, 6065,
     /* 1660618 */     GIR_EraseRootFromParent_Done,
     /* 1660619 */   // Label 22793: @1660619
     /* 1660619 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1660705), // Rule ID 6068 //
     /* 1660624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660670 */     // MIs[0] policy
     /* 1660670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660680 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660704 */     // GIR_Coverage, 6068,
     /* 1660704 */     GIR_EraseRootFromParent_Done,
     /* 1660705 */   // Label 22794: @1660705
     /* 1660705 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1660791), // Rule ID 6069 //
     /* 1660710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660756 */     // MIs[0] policy
     /* 1660756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660766 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660790 */     // GIR_Coverage, 6069,
     /* 1660790 */     GIR_EraseRootFromParent_Done,
     /* 1660791 */   // Label 22795: @1660791
     /* 1660791 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1660877), // Rule ID 6072 //
     /* 1660796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660842 */     // MIs[0] policy
     /* 1660842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660876 */     // GIR_Coverage, 6072,
     /* 1660876 */     GIR_EraseRootFromParent_Done,
     /* 1660877 */   // Label 22796: @1660877
     /* 1660877 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1660963), // Rule ID 6073 //
     /* 1660882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660928 */     // MIs[0] policy
     /* 1660928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660938 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660962 */     // GIR_Coverage, 6073,
     /* 1660962 */     GIR_EraseRootFromParent_Done,
     /* 1660963 */   // Label 22797: @1660963
     /* 1660963 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1661049), // Rule ID 6076 //
     /* 1660968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661014 */     // MIs[0] policy
     /* 1661014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661048 */     // GIR_Coverage, 6076,
     /* 1661048 */     GIR_EraseRootFromParent_Done,
     /* 1661049 */   // Label 22798: @1661049
     /* 1661049 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1661135), // Rule ID 6077 //
     /* 1661054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1661065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1661068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1661071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661100 */     // MIs[0] policy
     /* 1661100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661134 */     // GIR_Coverage, 6077,
     /* 1661134 */     GIR_EraseRootFromParent_Done,
     /* 1661135 */   // Label 22799: @1661135
     /* 1661135 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1661221), // Rule ID 6080 //
     /* 1661140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1661151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1661154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1661157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661186 */     // MIs[0] policy
     /* 1661186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661220 */     // GIR_Coverage, 6080,
     /* 1661220 */     GIR_EraseRootFromParent_Done,
     /* 1661221 */   // Label 22800: @1661221
     /* 1661221 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1661307), // Rule ID 6081 //
     /* 1661226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1661237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1661240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1661243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661272 */     // MIs[0] policy
     /* 1661272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661306 */     // GIR_Coverage, 6081,
     /* 1661306 */     GIR_EraseRootFromParent_Done,
     /* 1661307 */   // Label 22801: @1661307
     /* 1661307 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1661393), // Rule ID 6084 //
     /* 1661312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661358 */     // MIs[0] policy
     /* 1661358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1661371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661392 */     // GIR_Coverage, 6084,
     /* 1661392 */     GIR_EraseRootFromParent_Done,
     /* 1661393 */   // Label 22802: @1661393
     /* 1661393 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1661479), // Rule ID 6085 //
     /* 1661398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661444 */     // MIs[0] policy
     /* 1661444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1661457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661478 */     // GIR_Coverage, 6085,
     /* 1661478 */     GIR_EraseRootFromParent_Done,
     /* 1661479 */   // Label 22803: @1661479
     /* 1661479 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1661565), // Rule ID 6088 //
     /* 1661484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661530 */     // MIs[0] policy
     /* 1661530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661540 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661564 */     // GIR_Coverage, 6088,
     /* 1661564 */     GIR_EraseRootFromParent_Done,
     /* 1661565 */   // Label 22804: @1661565
     /* 1661565 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1661651), // Rule ID 6089 //
     /* 1661570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661616 */     // MIs[0] policy
     /* 1661616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661650 */     // GIR_Coverage, 6089,
     /* 1661650 */     GIR_EraseRootFromParent_Done,
     /* 1661651 */   // Label 22805: @1661651
     /* 1661651 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1661737), // Rule ID 6092 //
     /* 1661656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661702 */     // MIs[0] policy
     /* 1661702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661736 */     // GIR_Coverage, 6092,
     /* 1661736 */     GIR_EraseRootFromParent_Done,
     /* 1661737 */   // Label 22806: @1661737
     /* 1661737 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1661823), // Rule ID 6093 //
     /* 1661742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661788 */     // MIs[0] policy
     /* 1661788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661822 */     // GIR_Coverage, 6093,
     /* 1661822 */     GIR_EraseRootFromParent_Done,
     /* 1661823 */   // Label 22807: @1661823
     /* 1661823 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1661909), // Rule ID 6184 //
     /* 1661828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661874 */     // MIs[0] policy
     /* 1661874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661908 */     // GIR_Coverage, 6184,
     /* 1661908 */     GIR_EraseRootFromParent_Done,
     /* 1661909 */   // Label 22808: @1661909
     /* 1661909 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1661995), // Rule ID 6185 //
     /* 1661914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661960 */     // MIs[0] policy
     /* 1661960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661970 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661994 */     // GIR_Coverage, 6185,
     /* 1661994 */     GIR_EraseRootFromParent_Done,
     /* 1661995 */   // Label 22809: @1661995
     /* 1661995 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1662081), // Rule ID 6188 //
     /* 1662000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1662011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1662014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1662017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1662020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662046 */     // MIs[0] policy
     /* 1662046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662080 */     // GIR_Coverage, 6188,
     /* 1662080 */     GIR_EraseRootFromParent_Done,
     /* 1662081 */   // Label 22810: @1662081
     /* 1662081 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1662167), // Rule ID 6189 //
     /* 1662086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1662097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1662100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1662103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1662106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662132 */     // MIs[0] policy
     /* 1662132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662166 */     // GIR_Coverage, 6189,
     /* 1662166 */     GIR_EraseRootFromParent_Done,
     /* 1662167 */   // Label 22811: @1662167
     /* 1662167 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1662253), // Rule ID 6192 //
     /* 1662172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1662183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1662186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1662189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1662192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662218 */     // MIs[0] policy
     /* 1662218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662252 */     // GIR_Coverage, 6192,
     /* 1662252 */     GIR_EraseRootFromParent_Done,
     /* 1662253 */   // Label 22812: @1662253
     /* 1662253 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1662339), // Rule ID 6193 //
     /* 1662258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1662269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1662272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1662275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1662278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662304 */     // MIs[0] policy
     /* 1662304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662338 */     // GIR_Coverage, 6193,
     /* 1662338 */     GIR_EraseRootFromParent_Done,
     /* 1662339 */   // Label 22813: @1662339
     /* 1662339 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1662425), // Rule ID 6196 //
     /* 1662344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1662364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662390 */     // MIs[0] policy
     /* 1662390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662424 */     // GIR_Coverage, 6196,
     /* 1662424 */     GIR_EraseRootFromParent_Done,
     /* 1662425 */   // Label 22814: @1662425
     /* 1662425 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1662511), // Rule ID 6197 //
     /* 1662430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1662450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662476 */     // MIs[0] policy
     /* 1662476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662510 */     // GIR_Coverage, 6197,
     /* 1662510 */     GIR_EraseRootFromParent_Done,
     /* 1662511 */   // Label 22815: @1662511
     /* 1662511 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1662597), // Rule ID 6200 //
     /* 1662516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662562 */     // MIs[0] policy
     /* 1662562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662596 */     // GIR_Coverage, 6200,
     /* 1662596 */     GIR_EraseRootFromParent_Done,
     /* 1662597 */   // Label 22816: @1662597
     /* 1662597 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1662683), // Rule ID 6201 //
     /* 1662602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662648 */     // MIs[0] policy
     /* 1662648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662682 */     // GIR_Coverage, 6201,
     /* 1662682 */     GIR_EraseRootFromParent_Done,
     /* 1662683 */   // Label 22817: @1662683
     /* 1662683 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1662769), // Rule ID 6204 //
     /* 1662688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662734 */     // MIs[0] policy
     /* 1662734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662768 */     // GIR_Coverage, 6204,
     /* 1662768 */     GIR_EraseRootFromParent_Done,
     /* 1662769 */   // Label 22818: @1662769
     /* 1662769 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1662855), // Rule ID 6205 //
     /* 1662774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662820 */     // MIs[0] policy
     /* 1662820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662854 */     // GIR_Coverage, 6205,
     /* 1662854 */     GIR_EraseRootFromParent_Done,
     /* 1662855 */   // Label 22819: @1662855
     /* 1662855 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1662941), // Rule ID 6208 //
     /* 1662860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662906 */     // MIs[0] policy
     /* 1662906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662940 */     // GIR_Coverage, 6208,
     /* 1662940 */     GIR_EraseRootFromParent_Done,
     /* 1662941 */   // Label 22820: @1662941
     /* 1662941 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1663027), // Rule ID 6209 //
     /* 1662946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662992 */     // MIs[0] policy
     /* 1662992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663026 */     // GIR_Coverage, 6209,
     /* 1663026 */     GIR_EraseRootFromParent_Done,
     /* 1663027 */   // Label 22821: @1663027
     /* 1663027 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1663113), // Rule ID 6212 //
     /* 1663032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1663043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1663046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1663049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1663052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663078 */     // MIs[0] policy
     /* 1663078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663112 */     // GIR_Coverage, 6212,
     /* 1663112 */     GIR_EraseRootFromParent_Done,
     /* 1663113 */   // Label 22822: @1663113
     /* 1663113 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1663199), // Rule ID 6213 //
     /* 1663118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1663129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1663132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1663135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1663138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663164 */     // MIs[0] policy
     /* 1663164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663198 */     // GIR_Coverage, 6213,
     /* 1663198 */     GIR_EraseRootFromParent_Done,
     /* 1663199 */   // Label 22823: @1663199
     /* 1663199 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1663285), // Rule ID 6216 //
     /* 1663204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1663215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1663218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1663221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1663224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663250 */     // MIs[0] policy
     /* 1663250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663284 */     // GIR_Coverage, 6216,
     /* 1663284 */     GIR_EraseRootFromParent_Done,
     /* 1663285 */   // Label 22824: @1663285
     /* 1663285 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1663371), // Rule ID 6217 //
     /* 1663290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1663301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1663304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1663307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1663310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663336 */     // MIs[0] policy
     /* 1663336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663370 */     // GIR_Coverage, 6217,
     /* 1663370 */     GIR_EraseRootFromParent_Done,
     /* 1663371 */   // Label 22825: @1663371
     /* 1663371 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1663457), // Rule ID 6220 //
     /* 1663376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663422 */     // MIs[0] policy
     /* 1663422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663456 */     // GIR_Coverage, 6220,
     /* 1663456 */     GIR_EraseRootFromParent_Done,
     /* 1663457 */   // Label 22826: @1663457
     /* 1663457 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1663543), // Rule ID 6221 //
     /* 1663462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663508 */     // MIs[0] policy
     /* 1663508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663542 */     // GIR_Coverage, 6221,
     /* 1663542 */     GIR_EraseRootFromParent_Done,
     /* 1663543 */   // Label 22827: @1663543
     /* 1663543 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1663629), // Rule ID 6224 //
     /* 1663548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663594 */     // MIs[0] policy
     /* 1663594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663628 */     // GIR_Coverage, 6224,
     /* 1663628 */     GIR_EraseRootFromParent_Done,
     /* 1663629 */   // Label 22828: @1663629
     /* 1663629 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1663715), // Rule ID 6225 //
     /* 1663634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663680 */     // MIs[0] policy
     /* 1663680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663714 */     // GIR_Coverage, 6225,
     /* 1663714 */     GIR_EraseRootFromParent_Done,
     /* 1663715 */   // Label 22829: @1663715
     /* 1663715 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1663801), // Rule ID 6228 //
     /* 1663720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663766 */     // MIs[0] policy
     /* 1663766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663800 */     // GIR_Coverage, 6228,
     /* 1663800 */     GIR_EraseRootFromParent_Done,
     /* 1663801 */   // Label 22830: @1663801
     /* 1663801 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1663887), // Rule ID 6229 //
     /* 1663806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663852 */     // MIs[0] policy
     /* 1663852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663862 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663886 */     // GIR_Coverage, 6229,
     /* 1663886 */     GIR_EraseRootFromParent_Done,
     /* 1663887 */   // Label 22831: @1663887
     /* 1663887 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1663973), // Rule ID 6232 //
     /* 1663892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663938 */     // MIs[0] policy
     /* 1663938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663972 */     // GIR_Coverage, 6232,
     /* 1663972 */     GIR_EraseRootFromParent_Done,
     /* 1663973 */   // Label 22832: @1663973
     /* 1663973 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1664059), // Rule ID 6233 //
     /* 1663978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1664001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664024 */     // MIs[0] policy
     /* 1664024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664034 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664058 */     // GIR_Coverage, 6233,
     /* 1664058 */     GIR_EraseRootFromParent_Done,
     /* 1664059 */   // Label 22833: @1664059
     /* 1664059 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1664145), // Rule ID 6236 //
     /* 1664064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1664075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1664078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1664081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1664084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664110 */     // MIs[0] policy
     /* 1664110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664120 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664144 */     // GIR_Coverage, 6236,
     /* 1664144 */     GIR_EraseRootFromParent_Done,
     /* 1664145 */   // Label 22834: @1664145
     /* 1664145 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1664231), // Rule ID 6237 //
     /* 1664150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1664161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1664164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1664167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1664170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664196 */     // MIs[0] policy
     /* 1664196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664206 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664230 */     // GIR_Coverage, 6237,
     /* 1664230 */     GIR_EraseRootFromParent_Done,
     /* 1664231 */   // Label 22835: @1664231
     /* 1664231 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1664317), // Rule ID 6240 //
     /* 1664236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1664247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1664250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1664253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1664256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664282 */     // MIs[0] policy
     /* 1664282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664316 */     // GIR_Coverage, 6240,
     /* 1664316 */     GIR_EraseRootFromParent_Done,
     /* 1664317 */   // Label 22836: @1664317
     /* 1664317 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1664403), // Rule ID 6241 //
     /* 1664322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1664333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1664336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1664339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1664342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664368 */     // MIs[0] policy
     /* 1664368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664378 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664402 */     // GIR_Coverage, 6241,
     /* 1664402 */     GIR_EraseRootFromParent_Done,
     /* 1664403 */   // Label 22837: @1664403
     /* 1664403 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1664489), // Rule ID 6244 //
     /* 1664408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1664428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664454 */     // MIs[0] policy
     /* 1664454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664488 */     // GIR_Coverage, 6244,
     /* 1664488 */     GIR_EraseRootFromParent_Done,
     /* 1664489 */   // Label 22838: @1664489
     /* 1664489 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1664575), // Rule ID 6245 //
     /* 1664494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1664514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664540 */     // MIs[0] policy
     /* 1664540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664550 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664574 */     // GIR_Coverage, 6245,
     /* 1664574 */     GIR_EraseRootFromParent_Done,
     /* 1664575 */   // Label 22839: @1664575
     /* 1664575 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1664661), // Rule ID 6248 //
     /* 1664580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664626 */     // MIs[0] policy
     /* 1664626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664660 */     // GIR_Coverage, 6248,
     /* 1664660 */     GIR_EraseRootFromParent_Done,
     /* 1664661 */   // Label 22840: @1664661
     /* 1664661 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1664747), // Rule ID 6249 //
     /* 1664666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664712 */     // MIs[0] policy
     /* 1664712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664746 */     // GIR_Coverage, 6249,
     /* 1664746 */     GIR_EraseRootFromParent_Done,
     /* 1664747 */   // Label 22841: @1664747
     /* 1664747 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1664833), // Rule ID 6252 //
     /* 1664752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664798 */     // MIs[0] policy
     /* 1664798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664832 */     // GIR_Coverage, 6252,
     /* 1664832 */     GIR_EraseRootFromParent_Done,
     /* 1664833 */   // Label 22842: @1664833
     /* 1664833 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1664919), // Rule ID 6253 //
     /* 1664838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664884 */     // MIs[0] policy
     /* 1664884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664918 */     // GIR_Coverage, 6253,
     /* 1664918 */     GIR_EraseRootFromParent_Done,
     /* 1664919 */   // Label 22843: @1664919
     /* 1664919 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1665005), // Rule ID 6256 //
     /* 1664924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664970 */     // MIs[0] policy
     /* 1664970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664980 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665004 */     // GIR_Coverage, 6256,
     /* 1665004 */     GIR_EraseRootFromParent_Done,
     /* 1665005 */   // Label 22844: @1665005
     /* 1665005 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1665091), // Rule ID 6257 //
     /* 1665010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1665021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1665024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1665027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1665030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665056 */     // MIs[0] policy
     /* 1665056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665090 */     // GIR_Coverage, 6257,
     /* 1665090 */     GIR_EraseRootFromParent_Done,
     /* 1665091 */   // Label 22845: @1665091
     /* 1665091 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1665177), // Rule ID 6260 //
     /* 1665096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1665107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1665110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1665113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1665116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665142 */     // MIs[0] policy
     /* 1665142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1665155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665176 */     // GIR_Coverage, 6260,
     /* 1665176 */     GIR_EraseRootFromParent_Done,
     /* 1665177 */   // Label 22846: @1665177
     /* 1665177 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1665263), // Rule ID 6261 //
     /* 1665182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1665193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1665196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1665199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1665202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665228 */     // MIs[0] policy
     /* 1665228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1665241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665262 */     // GIR_Coverage, 6261,
     /* 1665262 */     GIR_EraseRootFromParent_Done,
     /* 1665263 */   // Label 22847: @1665263
     /* 1665263 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1665349), // Rule ID 6264 //
     /* 1665268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1665279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1665282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1665285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1665288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665314 */     // MIs[0] policy
     /* 1665314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1665327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665348 */     // GIR_Coverage, 6264,
     /* 1665348 */     GIR_EraseRootFromParent_Done,
     /* 1665349 */   // Label 22848: @1665349
     /* 1665349 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1665435), // Rule ID 6265 //
     /* 1665354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1665365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1665368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1665371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1665374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665400 */     // MIs[0] policy
     /* 1665400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665410 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1665413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665434 */     // GIR_Coverage, 6265,
     /* 1665434 */     GIR_EraseRootFromParent_Done,
     /* 1665435 */   // Label 22849: @1665435
     /* 1665435 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1665521), // Rule ID 6268 //
     /* 1665440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665486 */     // MIs[0] policy
     /* 1665486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665520 */     // GIR_Coverage, 6268,
     /* 1665520 */     GIR_EraseRootFromParent_Done,
     /* 1665521 */   // Label 22850: @1665521
     /* 1665521 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1665607), // Rule ID 6269 //
     /* 1665526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665572 */     // MIs[0] policy
     /* 1665572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665606 */     // GIR_Coverage, 6269,
     /* 1665606 */     GIR_EraseRootFromParent_Done,
     /* 1665607 */   // Label 22851: @1665607
     /* 1665607 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1665693), // Rule ID 6272 //
     /* 1665612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665658 */     // MIs[0] policy
     /* 1665658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665668 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665692 */     // GIR_Coverage, 6272,
     /* 1665692 */     GIR_EraseRootFromParent_Done,
     /* 1665693 */   // Label 22852: @1665693
     /* 1665693 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1665779), // Rule ID 6273 //
     /* 1665698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665744 */     // MIs[0] policy
     /* 1665744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665754 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665778 */     // GIR_Coverage, 6273,
     /* 1665778 */     GIR_EraseRootFromParent_Done,
     /* 1665779 */   // Label 22853: @1665779
     /* 1665779 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1665865), // Rule ID 6276 //
     /* 1665784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665830 */     // MIs[0] policy
     /* 1665830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665840 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665864 */     // GIR_Coverage, 6276,
     /* 1665864 */     GIR_EraseRootFromParent_Done,
     /* 1665865 */   // Label 22854: @1665865
     /* 1665865 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1665951), // Rule ID 6277 //
     /* 1665870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665916 */     // MIs[0] policy
     /* 1665916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665950 */     // GIR_Coverage, 6277,
     /* 1665950 */     GIR_EraseRootFromParent_Done,
     /* 1665951 */   // Label 22855: @1665951
     /* 1665951 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1666037), // Rule ID 6280 //
     /* 1665956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666002 */     // MIs[0] policy
     /* 1666002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666036 */     // GIR_Coverage, 6280,
     /* 1666036 */     GIR_EraseRootFromParent_Done,
     /* 1666037 */   // Label 22856: @1666037
     /* 1666037 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1666123), // Rule ID 6281 //
     /* 1666042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1666053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1666056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1666059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666088 */     // MIs[0] policy
     /* 1666088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666098 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666122 */     // GIR_Coverage, 6281,
     /* 1666122 */     GIR_EraseRootFromParent_Done,
     /* 1666123 */   // Label 22857: @1666123
     /* 1666123 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1666209), // Rule ID 6284 //
     /* 1666128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1666139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1666142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1666145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666174 */     // MIs[0] policy
     /* 1666174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1666187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666208 */     // GIR_Coverage, 6284,
     /* 1666208 */     GIR_EraseRootFromParent_Done,
     /* 1666209 */   // Label 22858: @1666209
     /* 1666209 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1666295), // Rule ID 6285 //
     /* 1666214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1666225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1666228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1666231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666260 */     // MIs[0] policy
     /* 1666260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1666273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666294 */     // GIR_Coverage, 6285,
     /* 1666294 */     GIR_EraseRootFromParent_Done,
     /* 1666295 */   // Label 22859: @1666295
     /* 1666295 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1666381), // Rule ID 6288 //
     /* 1666300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1666311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1666314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1666317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666346 */     // MIs[0] policy
     /* 1666346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666380 */     // GIR_Coverage, 6288,
     /* 1666380 */     GIR_EraseRootFromParent_Done,
     /* 1666381 */   // Label 22860: @1666381
     /* 1666381 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1666467), // Rule ID 6289 //
     /* 1666386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1666397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1666400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1666403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666432 */     // MIs[0] policy
     /* 1666432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666466 */     // GIR_Coverage, 6289,
     /* 1666466 */     GIR_EraseRootFromParent_Done,
     /* 1666467 */   // Label 22861: @1666467
     /* 1666467 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1666553), // Rule ID 6292 //
     /* 1666472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666518 */     // MIs[0] policy
     /* 1666518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666552 */     // GIR_Coverage, 6292,
     /* 1666552 */     GIR_EraseRootFromParent_Done,
     /* 1666553 */   // Label 22862: @1666553
     /* 1666553 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1666639), // Rule ID 6293 //
     /* 1666558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666604 */     // MIs[0] policy
     /* 1666604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666614 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666638 */     // GIR_Coverage, 6293,
     /* 1666638 */     GIR_EraseRootFromParent_Done,
     /* 1666639 */   // Label 22863: @1666639
     /* 1666639 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1666725), // Rule ID 6296 //
     /* 1666644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666690 */     // MIs[0] policy
     /* 1666690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666700 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666724 */     // GIR_Coverage, 6296,
     /* 1666724 */     GIR_EraseRootFromParent_Done,
     /* 1666725 */   // Label 22864: @1666725
     /* 1666725 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1666811), // Rule ID 6297 //
     /* 1666730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666776 */     // MIs[0] policy
     /* 1666776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666786 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666810 */     // GIR_Coverage, 6297,
     /* 1666810 */     GIR_EraseRootFromParent_Done,
     /* 1666811 */   // Label 22865: @1666811
     /* 1666811 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1666897), // Rule ID 6300 //
     /* 1666816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666862 */     // MIs[0] policy
     /* 1666862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666896 */     // GIR_Coverage, 6300,
     /* 1666896 */     GIR_EraseRootFromParent_Done,
     /* 1666897 */   // Label 22866: @1666897
     /* 1666897 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1666983), // Rule ID 6301 //
     /* 1666902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666948 */     // MIs[0] policy
     /* 1666948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666982 */     // GIR_Coverage, 6301,
     /* 1666982 */     GIR_EraseRootFromParent_Done,
     /* 1666983 */   // Label 22867: @1666983
     /* 1666983 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1667069), // Rule ID 6304 //
     /* 1666988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1667002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1667005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667034 */     // MIs[0] policy
     /* 1667034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667068 */     // GIR_Coverage, 6304,
     /* 1667068 */     GIR_EraseRootFromParent_Done,
     /* 1667069 */   // Label 22868: @1667069
     /* 1667069 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1667155), // Rule ID 6305 //
     /* 1667074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1667085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1667088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1667091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667120 */     // MIs[0] policy
     /* 1667120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667154 */     // GIR_Coverage, 6305,
     /* 1667154 */     GIR_EraseRootFromParent_Done,
     /* 1667155 */   // Label 22869: @1667155
     /* 1667155 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1667241), // Rule ID 6308 //
     /* 1667160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1667171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1667174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1667177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667206 */     // MIs[0] policy
     /* 1667206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667240 */     // GIR_Coverage, 6308,
     /* 1667240 */     GIR_EraseRootFromParent_Done,
     /* 1667241 */   // Label 22870: @1667241
     /* 1667241 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1667327), // Rule ID 6309 //
     /* 1667246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1667257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1667260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1667263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667292 */     // MIs[0] policy
     /* 1667292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667302 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667326 */     // GIR_Coverage, 6309,
     /* 1667326 */     GIR_EraseRootFromParent_Done,
     /* 1667327 */   // Label 22871: @1667327
     /* 1667327 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1667413), // Rule ID 6312 //
     /* 1667332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1667343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1667346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1667349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667378 */     // MIs[0] policy
     /* 1667378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667388 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667412 */     // GIR_Coverage, 6312,
     /* 1667412 */     GIR_EraseRootFromParent_Done,
     /* 1667413 */   // Label 22872: @1667413
     /* 1667413 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1667499), // Rule ID 6313 //
     /* 1667418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1667429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1667432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1667435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667464 */     // MIs[0] policy
     /* 1667464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667474 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667498 */     // GIR_Coverage, 6313,
     /* 1667498 */     GIR_EraseRootFromParent_Done,
     /* 1667499 */   // Label 22873: @1667499
     /* 1667499 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1667585), // Rule ID 6316 //
     /* 1667504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667550 */     // MIs[0] policy
     /* 1667550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667560 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667584 */     // GIR_Coverage, 6316,
     /* 1667584 */     GIR_EraseRootFromParent_Done,
     /* 1667585 */   // Label 22874: @1667585
     /* 1667585 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1667671), // Rule ID 6317 //
     /* 1667590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667636 */     // MIs[0] policy
     /* 1667636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667646 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667670 */     // GIR_Coverage, 6317,
     /* 1667670 */     GIR_EraseRootFromParent_Done,
     /* 1667671 */   // Label 22875: @1667671
     /* 1667671 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1667757), // Rule ID 6320 //
     /* 1667676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667722 */     // MIs[0] policy
     /* 1667722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667756 */     // GIR_Coverage, 6320,
     /* 1667756 */     GIR_EraseRootFromParent_Done,
     /* 1667757 */   // Label 22876: @1667757
     /* 1667757 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1667843), // Rule ID 6321 //
     /* 1667762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667808 */     // MIs[0] policy
     /* 1667808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667818 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667842 */     // GIR_Coverage, 6321,
     /* 1667842 */     GIR_EraseRootFromParent_Done,
     /* 1667843 */   // Label 22877: @1667843
     /* 1667843 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1667929), // Rule ID 6324 //
     /* 1667848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667894 */     // MIs[0] policy
     /* 1667894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667928 */     // GIR_Coverage, 6324,
     /* 1667928 */     GIR_EraseRootFromParent_Done,
     /* 1667929 */   // Label 22878: @1667929
     /* 1667929 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1668015), // Rule ID 6325 //
     /* 1667934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667980 */     // MIs[0] policy
     /* 1667980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668014 */     // GIR_Coverage, 6325,
     /* 1668014 */     GIR_EraseRootFromParent_Done,
     /* 1668015 */   // Label 22879: @1668015
     /* 1668015 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1668101), // Rule ID 6328 //
     /* 1668020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1668031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1668034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1668037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668066 */     // MIs[0] policy
     /* 1668066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668100 */     // GIR_Coverage, 6328,
     /* 1668100 */     GIR_EraseRootFromParent_Done,
     /* 1668101 */   // Label 22880: @1668101
     /* 1668101 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1668187), // Rule ID 6329 //
     /* 1668106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1668117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1668120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1668123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668152 */     // MIs[0] policy
     /* 1668152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668162 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668186 */     // GIR_Coverage, 6329,
     /* 1668186 */     GIR_EraseRootFromParent_Done,
     /* 1668187 */   // Label 22881: @1668187
     /* 1668187 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1668273), // Rule ID 6332 //
     /* 1668192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1668203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1668206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1668209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668238 */     // MIs[0] policy
     /* 1668238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668272 */     // GIR_Coverage, 6332,
     /* 1668272 */     GIR_EraseRootFromParent_Done,
     /* 1668273 */   // Label 22882: @1668273
     /* 1668273 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1668359), // Rule ID 6333 //
     /* 1668278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1668289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1668292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1668295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668324 */     // MIs[0] policy
     /* 1668324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668334 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668358 */     // GIR_Coverage, 6333,
     /* 1668358 */     GIR_EraseRootFromParent_Done,
     /* 1668359 */   // Label 22883: @1668359
     /* 1668359 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1668445), // Rule ID 6336 //
     /* 1668364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668410 */     // MIs[0] policy
     /* 1668410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668420 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668444 */     // GIR_Coverage, 6336,
     /* 1668444 */     GIR_EraseRootFromParent_Done,
     /* 1668445 */   // Label 22884: @1668445
     /* 1668445 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1668531), // Rule ID 6337 //
     /* 1668450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668496 */     // MIs[0] policy
     /* 1668496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668530 */     // GIR_Coverage, 6337,
     /* 1668530 */     GIR_EraseRootFromParent_Done,
     /* 1668531 */   // Label 22885: @1668531
     /* 1668531 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1668617), // Rule ID 6340 //
     /* 1668536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668582 */     // MIs[0] policy
     /* 1668582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668616 */     // GIR_Coverage, 6340,
     /* 1668616 */     GIR_EraseRootFromParent_Done,
     /* 1668617 */   // Label 22886: @1668617
     /* 1668617 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1668703), // Rule ID 6341 //
     /* 1668622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668668 */     // MIs[0] policy
     /* 1668668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668702 */     // GIR_Coverage, 6341,
     /* 1668702 */     GIR_EraseRootFromParent_Done,
     /* 1668703 */   // Label 22887: @1668703
     /* 1668703 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1668789), // Rule ID 6344 //
     /* 1668708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668754 */     // MIs[0] policy
     /* 1668754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668788 */     // GIR_Coverage, 6344,
     /* 1668788 */     GIR_EraseRootFromParent_Done,
     /* 1668789 */   // Label 22888: @1668789
     /* 1668789 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1668875), // Rule ID 6345 //
     /* 1668794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668840 */     // MIs[0] policy
     /* 1668840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668874 */     // GIR_Coverage, 6345,
     /* 1668874 */     GIR_EraseRootFromParent_Done,
     /* 1668875 */   // Label 22889: @1668875
     /* 1668875 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1668961), // Rule ID 6348 //
     /* 1668880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668926 */     // MIs[0] policy
     /* 1668926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668960 */     // GIR_Coverage, 6348,
     /* 1668960 */     GIR_EraseRootFromParent_Done,
     /* 1668961 */   // Label 22890: @1668961
     /* 1668961 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1669047), // Rule ID 6349 //
     /* 1668966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669012 */     // MIs[0] policy
     /* 1669012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1669025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669046 */     // GIR_Coverage, 6349,
     /* 1669046 */     GIR_EraseRootFromParent_Done,
     /* 1669047 */   // Label 22891: @1669047
     /* 1669047 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1669133), // Rule ID 6352 //
     /* 1669052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1669063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1669066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1669069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669098 */     // MIs[0] policy
     /* 1669098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1669111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669132 */     // GIR_Coverage, 6352,
     /* 1669132 */     GIR_EraseRootFromParent_Done,
     /* 1669133 */   // Label 22892: @1669133
     /* 1669133 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1669219), // Rule ID 6353 //
     /* 1669138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1669149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1669152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1669155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669184 */     // MIs[0] policy
     /* 1669184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1669197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669218 */     // GIR_Coverage, 6353,
     /* 1669218 */     GIR_EraseRootFromParent_Done,
     /* 1669219 */   // Label 22893: @1669219
     /* 1669219 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1669305), // Rule ID 6356 //
     /* 1669224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1669235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1669238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1669241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669270 */     // MIs[0] policy
     /* 1669270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1669283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669304 */     // GIR_Coverage, 6356,
     /* 1669304 */     GIR_EraseRootFromParent_Done,
     /* 1669305 */   // Label 22894: @1669305
     /* 1669305 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1669391), // Rule ID 6357 //
     /* 1669310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1669321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1669324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1669327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669356 */     // MIs[0] policy
     /* 1669356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1669369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669390 */     // GIR_Coverage, 6357,
     /* 1669390 */     GIR_EraseRootFromParent_Done,
     /* 1669391 */   // Label 22895: @1669391
     /* 1669391 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1669477), // Rule ID 6448 //
     /* 1669396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1669416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669442 */     // MIs[0] policy
     /* 1669442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669452 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669476 */     // GIR_Coverage, 6448,
     /* 1669476 */     GIR_EraseRootFromParent_Done,
     /* 1669477 */   // Label 22896: @1669477
     /* 1669477 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1669563), // Rule ID 6449 //
     /* 1669482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1669502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669528 */     // MIs[0] policy
     /* 1669528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669538 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669562 */     // GIR_Coverage, 6449,
     /* 1669562 */     GIR_EraseRootFromParent_Done,
     /* 1669563 */   // Label 22897: @1669563
     /* 1669563 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1669649), // Rule ID 6452 //
     /* 1669568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669614 */     // MIs[0] policy
     /* 1669614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669624 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669648 */     // GIR_Coverage, 6452,
     /* 1669648 */     GIR_EraseRootFromParent_Done,
     /* 1669649 */   // Label 22898: @1669649
     /* 1669649 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1669735), // Rule ID 6453 //
     /* 1669654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669700 */     // MIs[0] policy
     /* 1669700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669710 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669734 */     // GIR_Coverage, 6453,
     /* 1669734 */     GIR_EraseRootFromParent_Done,
     /* 1669735 */   // Label 22899: @1669735
     /* 1669735 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1669821), // Rule ID 6456 //
     /* 1669740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669786 */     // MIs[0] policy
     /* 1669786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669820 */     // GIR_Coverage, 6456,
     /* 1669820 */     GIR_EraseRootFromParent_Done,
     /* 1669821 */   // Label 22900: @1669821
     /* 1669821 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1669907), // Rule ID 6457 //
     /* 1669826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669872 */     // MIs[0] policy
     /* 1669872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669882 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669906 */     // GIR_Coverage, 6457,
     /* 1669906 */     GIR_EraseRootFromParent_Done,
     /* 1669907 */   // Label 22901: @1669907
     /* 1669907 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1669993), // Rule ID 6460 //
     /* 1669912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669958 */     // MIs[0] policy
     /* 1669958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669992 */     // GIR_Coverage, 6460,
     /* 1669992 */     GIR_EraseRootFromParent_Done,
     /* 1669993 */   // Label 22902: @1669993
     /* 1669993 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1670079), // Rule ID 6461 //
     /* 1669998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1670009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1670012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1670015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1670018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670044 */     // MIs[0] policy
     /* 1670044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1670057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670078 */     // GIR_Coverage, 6461,
     /* 1670078 */     GIR_EraseRootFromParent_Done,
     /* 1670079 */   // Label 22903: @1670079
     /* 1670079 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1670165), // Rule ID 6464 //
     /* 1670084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1670095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1670098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1670101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1670104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670130 */     // MIs[0] policy
     /* 1670130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670164 */     // GIR_Coverage, 6464,
     /* 1670164 */     GIR_EraseRootFromParent_Done,
     /* 1670165 */   // Label 22904: @1670165
     /* 1670165 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1670251), // Rule ID 6465 //
     /* 1670170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1670181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1670184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1670187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1670190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670216 */     // MIs[0] policy
     /* 1670216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670250 */     // GIR_Coverage, 6465,
     /* 1670250 */     GIR_EraseRootFromParent_Done,
     /* 1670251 */   // Label 22905: @1670251
     /* 1670251 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1670337), // Rule ID 6468 //
     /* 1670256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1670267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1670270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1670273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1670276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670302 */     // MIs[0] policy
     /* 1670302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670336 */     // GIR_Coverage, 6468,
     /* 1670336 */     GIR_EraseRootFromParent_Done,
     /* 1670337 */   // Label 22906: @1670337
     /* 1670337 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1670423), // Rule ID 6469 //
     /* 1670342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1670353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1670356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1670359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1670362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670388 */     // MIs[0] policy
     /* 1670388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670422 */     // GIR_Coverage, 6469,
     /* 1670422 */     GIR_EraseRootFromParent_Done,
     /* 1670423 */   // Label 22907: @1670423
     /* 1670423 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1670509), // Rule ID 6472 //
     /* 1670428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670474 */     // MIs[0] policy
     /* 1670474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670484 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670508 */     // GIR_Coverage, 6472,
     /* 1670508 */     GIR_EraseRootFromParent_Done,
     /* 1670509 */   // Label 22908: @1670509
     /* 1670509 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1670595), // Rule ID 6473 //
     /* 1670514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670560 */     // MIs[0] policy
     /* 1670560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670570 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670594 */     // GIR_Coverage, 6473,
     /* 1670594 */     GIR_EraseRootFromParent_Done,
     /* 1670595 */   // Label 22909: @1670595
     /* 1670595 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1670681), // Rule ID 6476 //
     /* 1670600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670646 */     // MIs[0] policy
     /* 1670646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670680 */     // GIR_Coverage, 6476,
     /* 1670680 */     GIR_EraseRootFromParent_Done,
     /* 1670681 */   // Label 22910: @1670681
     /* 1670681 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1670767), // Rule ID 6477 //
     /* 1670686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670732 */     // MIs[0] policy
     /* 1670732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670766 */     // GIR_Coverage, 6477,
     /* 1670766 */     GIR_EraseRootFromParent_Done,
     /* 1670767 */   // Label 22911: @1670767
     /* 1670767 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1670853), // Rule ID 6480 //
     /* 1670772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670818 */     // MIs[0] policy
     /* 1670818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670852 */     // GIR_Coverage, 6480,
     /* 1670852 */     GIR_EraseRootFromParent_Done,
     /* 1670853 */   // Label 22912: @1670853
     /* 1670853 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1670939), // Rule ID 6481 //
     /* 1670858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670904 */     // MIs[0] policy
     /* 1670904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670938 */     // GIR_Coverage, 6481,
     /* 1670938 */     GIR_EraseRootFromParent_Done,
     /* 1670939 */   // Label 22913: @1670939
     /* 1670939 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1671025), // Rule ID 6484 //
     /* 1670944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670990 */     // MIs[0] policy
     /* 1670990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1671003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671024 */     // GIR_Coverage, 6484,
     /* 1671024 */     GIR_EraseRootFromParent_Done,
     /* 1671025 */   // Label 22914: @1671025
     /* 1671025 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1671111), // Rule ID 6485 //
     /* 1671030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1671041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1671044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1671047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1671050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671076 */     // MIs[0] policy
     /* 1671076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1671089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671110 */     // GIR_Coverage, 6485,
     /* 1671110 */     GIR_EraseRootFromParent_Done,
     /* 1671111 */   // Label 22915: @1671111
     /* 1671111 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1671197), // Rule ID 6488 //
     /* 1671116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1671127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1671130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1671133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1671136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671162 */     // MIs[0] policy
     /* 1671162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671196 */     // GIR_Coverage, 6488,
     /* 1671196 */     GIR_EraseRootFromParent_Done,
     /* 1671197 */   // Label 22916: @1671197
     /* 1671197 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1671283), // Rule ID 6489 //
     /* 1671202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1671213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1671216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1671219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1671222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671248 */     // MIs[0] policy
     /* 1671248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671282 */     // GIR_Coverage, 6489,
     /* 1671282 */     GIR_EraseRootFromParent_Done,
     /* 1671283 */   // Label 22917: @1671283
     /* 1671283 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1671369), // Rule ID 6492 //
     /* 1671288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1671299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1671302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1671305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1671308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671334 */     // MIs[0] policy
     /* 1671334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671368 */     // GIR_Coverage, 6492,
     /* 1671368 */     GIR_EraseRootFromParent_Done,
     /* 1671369 */   // Label 22918: @1671369
     /* 1671369 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1671455), // Rule ID 6493 //
     /* 1671374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1671385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1671388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1671391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1671394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671420 */     // MIs[0] policy
     /* 1671420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671430 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671454 */     // GIR_Coverage, 6493,
     /* 1671454 */     GIR_EraseRootFromParent_Done,
     /* 1671455 */   // Label 22919: @1671455
     /* 1671455 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1671541), // Rule ID 6496 //
     /* 1671460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671506 */     // MIs[0] policy
     /* 1671506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671516 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671540 */     // GIR_Coverage, 6496,
     /* 1671540 */     GIR_EraseRootFromParent_Done,
     /* 1671541 */   // Label 22920: @1671541
     /* 1671541 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1671627), // Rule ID 6497 //
     /* 1671546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671592 */     // MIs[0] policy
     /* 1671592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671602 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671626 */     // GIR_Coverage, 6497,
     /* 1671626 */     GIR_EraseRootFromParent_Done,
     /* 1671627 */   // Label 22921: @1671627
     /* 1671627 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1671713), // Rule ID 6500 //
     /* 1671632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671678 */     // MIs[0] policy
     /* 1671678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671688 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671712 */     // GIR_Coverage, 6500,
     /* 1671712 */     GIR_EraseRootFromParent_Done,
     /* 1671713 */   // Label 22922: @1671713
     /* 1671713 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1671799), // Rule ID 6501 //
     /* 1671718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671764 */     // MIs[0] policy
     /* 1671764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671798 */     // GIR_Coverage, 6501,
     /* 1671798 */     GIR_EraseRootFromParent_Done,
     /* 1671799 */   // Label 22923: @1671799
     /* 1671799 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1671885), // Rule ID 6504 //
     /* 1671804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671850 */     // MIs[0] policy
     /* 1671850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671884 */     // GIR_Coverage, 6504,
     /* 1671884 */     GIR_EraseRootFromParent_Done,
     /* 1671885 */   // Label 22924: @1671885
     /* 1671885 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1671971), // Rule ID 6505 //
     /* 1671890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671936 */     // MIs[0] policy
     /* 1671936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671970 */     // GIR_Coverage, 6505,
     /* 1671970 */     GIR_EraseRootFromParent_Done,
     /* 1671971 */   // Label 22925: @1671971
     /* 1671971 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1672057), // Rule ID 6508 //
     /* 1671976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672022 */     // MIs[0] policy
     /* 1672022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672056 */     // GIR_Coverage, 6508,
     /* 1672056 */     GIR_EraseRootFromParent_Done,
     /* 1672057 */   // Label 22926: @1672057
     /* 1672057 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1672143), // Rule ID 6509 //
     /* 1672062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1672073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1672076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1672079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1672082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1672085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672108 */     // MIs[0] policy
     /* 1672108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672142 */     // GIR_Coverage, 6509,
     /* 1672142 */     GIR_EraseRootFromParent_Done,
     /* 1672143 */   // Label 22927: @1672143
     /* 1672143 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1672229), // Rule ID 6512 //
     /* 1672148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1672159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1672162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1672165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1672168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672194 */     // MIs[0] policy
     /* 1672194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672228 */     // GIR_Coverage, 6512,
     /* 1672228 */     GIR_EraseRootFromParent_Done,
     /* 1672229 */   // Label 22928: @1672229
     /* 1672229 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1672315), // Rule ID 6513 //
     /* 1672234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1672245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1672248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1672251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1672254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672280 */     // MIs[0] policy
     /* 1672280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672314 */     // GIR_Coverage, 6513,
     /* 1672314 */     GIR_EraseRootFromParent_Done,
     /* 1672315 */   // Label 22929: @1672315
     /* 1672315 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1672401), // Rule ID 6516 //
     /* 1672320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1672331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1672334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1672337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1672340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672366 */     // MIs[0] policy
     /* 1672366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672400 */     // GIR_Coverage, 6516,
     /* 1672400 */     GIR_EraseRootFromParent_Done,
     /* 1672401 */   // Label 22930: @1672401
     /* 1672401 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1672487), // Rule ID 6517 //
     /* 1672406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1672417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1672420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1672423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1672426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672452 */     // MIs[0] policy
     /* 1672452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672486 */     // GIR_Coverage, 6517,
     /* 1672486 */     GIR_EraseRootFromParent_Done,
     /* 1672487 */   // Label 22931: @1672487
     /* 1672487 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1672573), // Rule ID 6520 //
     /* 1672492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672538 */     // MIs[0] policy
     /* 1672538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672572 */     // GIR_Coverage, 6520,
     /* 1672572 */     GIR_EraseRootFromParent_Done,
     /* 1672573 */   // Label 22932: @1672573
     /* 1672573 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1672659), // Rule ID 6521 //
     /* 1672578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672624 */     // MIs[0] policy
     /* 1672624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672658 */     // GIR_Coverage, 6521,
     /* 1672658 */     GIR_EraseRootFromParent_Done,
     /* 1672659 */   // Label 22933: @1672659
     /* 1672659 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1672745), // Rule ID 6524 //
     /* 1672664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672710 */     // MIs[0] policy
     /* 1672710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672744 */     // GIR_Coverage, 6524,
     /* 1672744 */     GIR_EraseRootFromParent_Done,
     /* 1672745 */   // Label 22934: @1672745
     /* 1672745 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1672831), // Rule ID 6525 //
     /* 1672750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672796 */     // MIs[0] policy
     /* 1672796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672806 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672830 */     // GIR_Coverage, 6525,
     /* 1672830 */     GIR_EraseRootFromParent_Done,
     /* 1672831 */   // Label 22935: @1672831
     /* 1672831 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1672917), // Rule ID 6528 //
     /* 1672836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672882 */     // MIs[0] policy
     /* 1672882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672916 */     // GIR_Coverage, 6528,
     /* 1672916 */     GIR_EraseRootFromParent_Done,
     /* 1672917 */   // Label 22936: @1672917
     /* 1672917 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1673003), // Rule ID 6529 //
     /* 1672922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672968 */     // MIs[0] policy
     /* 1672968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672978 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673002 */     // GIR_Coverage, 6529,
     /* 1673002 */     GIR_EraseRootFromParent_Done,
     /* 1673003 */   // Label 22937: @1673003
     /* 1673003 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1673089), // Rule ID 6532 //
     /* 1673008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1673019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1673022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1673025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1673028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673054 */     // MIs[0] policy
     /* 1673054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1673067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673088 */     // GIR_Coverage, 6532,
     /* 1673088 */     GIR_EraseRootFromParent_Done,
     /* 1673089 */   // Label 22938: @1673089
     /* 1673089 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1673175), // Rule ID 6533 //
     /* 1673094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1673105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1673108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1673111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1673114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673140 */     // MIs[0] policy
     /* 1673140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673150 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1673153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673174 */     // GIR_Coverage, 6533,
     /* 1673174 */     GIR_EraseRootFromParent_Done,
     /* 1673175 */   // Label 22939: @1673175
     /* 1673175 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1673261), // Rule ID 6536 //
     /* 1673180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1673191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1673194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1673197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673226 */     // MIs[0] policy
     /* 1673226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1673239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673260 */     // GIR_Coverage, 6536,
     /* 1673260 */     GIR_EraseRootFromParent_Done,
     /* 1673261 */   // Label 22940: @1673261
     /* 1673261 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1673347), // Rule ID 6537 //
     /* 1673266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1673277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1673280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1673283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673312 */     // MIs[0] policy
     /* 1673312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673322 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1673325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673346 */     // GIR_Coverage, 6537,
     /* 1673346 */     GIR_EraseRootFromParent_Done,
     /* 1673347 */   // Label 22941: @1673347
     /* 1673347 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1673433), // Rule ID 6540 //
     /* 1673352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673398 */     // MIs[0] policy
     /* 1673398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673408 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673432 */     // GIR_Coverage, 6540,
     /* 1673432 */     GIR_EraseRootFromParent_Done,
     /* 1673433 */   // Label 22942: @1673433
     /* 1673433 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1673519), // Rule ID 6541 //
     /* 1673438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673484 */     // MIs[0] policy
     /* 1673484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673494 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673518 */     // GIR_Coverage, 6541,
     /* 1673518 */     GIR_EraseRootFromParent_Done,
     /* 1673519 */   // Label 22943: @1673519
     /* 1673519 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1673605), // Rule ID 6544 //
     /* 1673524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673570 */     // MIs[0] policy
     /* 1673570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673580 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673604 */     // GIR_Coverage, 6544,
     /* 1673604 */     GIR_EraseRootFromParent_Done,
     /* 1673605 */   // Label 22944: @1673605
     /* 1673605 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1673691), // Rule ID 6545 //
     /* 1673610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673656 */     // MIs[0] policy
     /* 1673656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673666 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673690 */     // GIR_Coverage, 6545,
     /* 1673690 */     GIR_EraseRootFromParent_Done,
     /* 1673691 */   // Label 22945: @1673691
     /* 1673691 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1673777), // Rule ID 6548 //
     /* 1673696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673742 */     // MIs[0] policy
     /* 1673742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673776 */     // GIR_Coverage, 6548,
     /* 1673776 */     GIR_EraseRootFromParent_Done,
     /* 1673777 */   // Label 22946: @1673777
     /* 1673777 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1673863), // Rule ID 6549 //
     /* 1673782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673828 */     // MIs[0] policy
     /* 1673828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673862 */     // GIR_Coverage, 6549,
     /* 1673862 */     GIR_EraseRootFromParent_Done,
     /* 1673863 */   // Label 22947: @1673863
     /* 1673863 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1673949), // Rule ID 6552 //
     /* 1673868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673914 */     // MIs[0] policy
     /* 1673914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673948 */     // GIR_Coverage, 6552,
     /* 1673948 */     GIR_EraseRootFromParent_Done,
     /* 1673949 */   // Label 22948: @1673949
     /* 1673949 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1674035), // Rule ID 6553 //
     /* 1673954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674000 */     // MIs[0] policy
     /* 1674000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1674013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674034 */     // GIR_Coverage, 6553,
     /* 1674034 */     GIR_EraseRootFromParent_Done,
     /* 1674035 */   // Label 22949: @1674035
     /* 1674035 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1674121), // Rule ID 6556 //
     /* 1674040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1674051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1674054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1674057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674086 */     // MIs[0] policy
     /* 1674086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1674099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674120 */     // GIR_Coverage, 6556,
     /* 1674120 */     GIR_EraseRootFromParent_Done,
     /* 1674121 */   // Label 22950: @1674121
     /* 1674121 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1674207), // Rule ID 6557 //
     /* 1674126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1674137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1674140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1674143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674172 */     // MIs[0] policy
     /* 1674172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1674185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674206 */     // GIR_Coverage, 6557,
     /* 1674206 */     GIR_EraseRootFromParent_Done,
     /* 1674207 */   // Label 22951: @1674207
     /* 1674207 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1674293), // Rule ID 6560 //
     /* 1674212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1674223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1674226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1674229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674258 */     // MIs[0] policy
     /* 1674258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674292 */     // GIR_Coverage, 6560,
     /* 1674292 */     GIR_EraseRootFromParent_Done,
     /* 1674293 */   // Label 22952: @1674293
     /* 1674293 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1674379), // Rule ID 6561 //
     /* 1674298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1674309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1674312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1674315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674344 */     // MIs[0] policy
     /* 1674344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674354 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674378 */     // GIR_Coverage, 6561,
     /* 1674378 */     GIR_EraseRootFromParent_Done,
     /* 1674379 */   // Label 22953: @1674379
     /* 1674379 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1674465), // Rule ID 6564 //
     /* 1674384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674430 */     // MIs[0] policy
     /* 1674430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674464 */     // GIR_Coverage, 6564,
     /* 1674464 */     GIR_EraseRootFromParent_Done,
     /* 1674465 */   // Label 22954: @1674465
     /* 1674465 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1674551), // Rule ID 6565 //
     /* 1674470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674516 */     // MIs[0] policy
     /* 1674516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674526 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674550 */     // GIR_Coverage, 6565,
     /* 1674550 */     GIR_EraseRootFromParent_Done,
     /* 1674551 */   // Label 22955: @1674551
     /* 1674551 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1674637), // Rule ID 6568 //
     /* 1674556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674602 */     // MIs[0] policy
     /* 1674602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674636 */     // GIR_Coverage, 6568,
     /* 1674636 */     GIR_EraseRootFromParent_Done,
     /* 1674637 */   // Label 22956: @1674637
     /* 1674637 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1674723), // Rule ID 6569 //
     /* 1674642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674688 */     // MIs[0] policy
     /* 1674688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674722 */     // GIR_Coverage, 6569,
     /* 1674722 */     GIR_EraseRootFromParent_Done,
     /* 1674723 */   // Label 22957: @1674723
     /* 1674723 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1674809), // Rule ID 6572 //
     /* 1674728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674774 */     // MIs[0] policy
     /* 1674774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674808 */     // GIR_Coverage, 6572,
     /* 1674808 */     GIR_EraseRootFromParent_Done,
     /* 1674809 */   // Label 22958: @1674809
     /* 1674809 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1674895), // Rule ID 6573 //
     /* 1674814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674860 */     // MIs[0] policy
     /* 1674860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674894 */     // GIR_Coverage, 6573,
     /* 1674894 */     GIR_EraseRootFromParent_Done,
     /* 1674895 */   // Label 22959: @1674895
     /* 1674895 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1674981), // Rule ID 6576 //
     /* 1674900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674946 */     // MIs[0] policy
     /* 1674946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674956 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674980 */     // GIR_Coverage, 6576,
     /* 1674980 */     GIR_EraseRootFromParent_Done,
     /* 1674981 */   // Label 22960: @1674981
     /* 1674981 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1675067), // Rule ID 6577 //
     /* 1674986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1675000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1675003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675032 */     // MIs[0] policy
     /* 1675032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675042 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675066 */     // GIR_Coverage, 6577,
     /* 1675066 */     GIR_EraseRootFromParent_Done,
     /* 1675067 */   // Label 22961: @1675067
     /* 1675067 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1675153), // Rule ID 6580 //
     /* 1675072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1675083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1675086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1675089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675118 */     // MIs[0] policy
     /* 1675118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675152 */     // GIR_Coverage, 6580,
     /* 1675152 */     GIR_EraseRootFromParent_Done,
     /* 1675153 */   // Label 22962: @1675153
     /* 1675153 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1675239), // Rule ID 6581 //
     /* 1675158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1675169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1675172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1675175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675204 */     // MIs[0] policy
     /* 1675204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675238 */     // GIR_Coverage, 6581,
     /* 1675238 */     GIR_EraseRootFromParent_Done,
     /* 1675239 */   // Label 22963: @1675239
     /* 1675239 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1675325), // Rule ID 6584 //
     /* 1675244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675290 */     // MIs[0] policy
     /* 1675290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675324 */     // GIR_Coverage, 6584,
     /* 1675324 */     GIR_EraseRootFromParent_Done,
     /* 1675325 */   // Label 22964: @1675325
     /* 1675325 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1675411), // Rule ID 6585 //
     /* 1675330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675376 */     // MIs[0] policy
     /* 1675376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675386 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675410 */     // GIR_Coverage, 6585,
     /* 1675410 */     GIR_EraseRootFromParent_Done,
     /* 1675411 */   // Label 22965: @1675411
     /* 1675411 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1675497), // Rule ID 6588 //
     /* 1675416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675462 */     // MIs[0] policy
     /* 1675462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675496 */     // GIR_Coverage, 6588,
     /* 1675496 */     GIR_EraseRootFromParent_Done,
     /* 1675497 */   // Label 22966: @1675497
     /* 1675497 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1675583), // Rule ID 6589 //
     /* 1675502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675548 */     // MIs[0] policy
     /* 1675548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675582 */     // GIR_Coverage, 6589,
     /* 1675582 */     GIR_EraseRootFromParent_Done,
     /* 1675583 */   // Label 22967: @1675583
     /* 1675583 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1675669), // Rule ID 6592 //
     /* 1675588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675634 */     // MIs[0] policy
     /* 1675634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675668 */     // GIR_Coverage, 6592,
     /* 1675668 */     GIR_EraseRootFromParent_Done,
     /* 1675669 */   // Label 22968: @1675669
     /* 1675669 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1675755), // Rule ID 6593 //
     /* 1675674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675720 */     // MIs[0] policy
     /* 1675720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675754 */     // GIR_Coverage, 6593,
     /* 1675754 */     GIR_EraseRootFromParent_Done,
     /* 1675755 */   // Label 22969: @1675755
     /* 1675755 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1675841), // Rule ID 6596 //
     /* 1675760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675806 */     // MIs[0] policy
     /* 1675806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675840 */     // GIR_Coverage, 6596,
     /* 1675840 */     GIR_EraseRootFromParent_Done,
     /* 1675841 */   // Label 22970: @1675841
     /* 1675841 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1675927), // Rule ID 6597 //
     /* 1675846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675892 */     // MIs[0] policy
     /* 1675892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675902 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675926 */     // GIR_Coverage, 6597,
     /* 1675926 */     GIR_EraseRootFromParent_Done,
     /* 1675927 */   // Label 22971: @1675927
     /* 1675927 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1676013), // Rule ID 6600 //
     /* 1675932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675978 */     // MIs[0] policy
     /* 1675978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676012 */     // GIR_Coverage, 6600,
     /* 1676012 */     GIR_EraseRootFromParent_Done,
     /* 1676013 */   // Label 22972: @1676013
     /* 1676013 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1676099), // Rule ID 6601 //
     /* 1676018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1676029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1676032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1676035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676064 */     // MIs[0] policy
     /* 1676064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676098 */     // GIR_Coverage, 6601,
     /* 1676098 */     GIR_EraseRootFromParent_Done,
     /* 1676099 */   // Label 22973: @1676099
     /* 1676099 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1676185), // Rule ID 6604 //
     /* 1676104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676150 */     // MIs[0] policy
     /* 1676150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676184 */     // GIR_Coverage, 6604,
     /* 1676184 */     GIR_EraseRootFromParent_Done,
     /* 1676185 */   // Label 22974: @1676185
     /* 1676185 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1676271), // Rule ID 6605 //
     /* 1676190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676236 */     // MIs[0] policy
     /* 1676236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676270 */     // GIR_Coverage, 6605,
     /* 1676270 */     GIR_EraseRootFromParent_Done,
     /* 1676271 */   // Label 22975: @1676271
     /* 1676271 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1676357), // Rule ID 6608 //
     /* 1676276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676322 */     // MIs[0] policy
     /* 1676322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676356 */     // GIR_Coverage, 6608,
     /* 1676356 */     GIR_EraseRootFromParent_Done,
     /* 1676357 */   // Label 22976: @1676357
     /* 1676357 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1676443), // Rule ID 6609 //
     /* 1676362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676408 */     // MIs[0] policy
     /* 1676408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676442 */     // GIR_Coverage, 6609,
     /* 1676442 */     GIR_EraseRootFromParent_Done,
     /* 1676443 */   // Label 22977: @1676443
     /* 1676443 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1676529), // Rule ID 6612 //
     /* 1676448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676494 */     // MIs[0] policy
     /* 1676494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676528 */     // GIR_Coverage, 6612,
     /* 1676528 */     GIR_EraseRootFromParent_Done,
     /* 1676529 */   // Label 22978: @1676529
     /* 1676529 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1676615), // Rule ID 6613 //
     /* 1676534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676580 */     // MIs[0] policy
     /* 1676580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676614 */     // GIR_Coverage, 6613,
     /* 1676614 */     GIR_EraseRootFromParent_Done,
     /* 1676615 */   // Label 22979: @1676615
     /* 1676615 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1676701), // Rule ID 6616 //
     /* 1676620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676666 */     // MIs[0] policy
     /* 1676666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676700 */     // GIR_Coverage, 6616,
     /* 1676700 */     GIR_EraseRootFromParent_Done,
     /* 1676701 */   // Label 22980: @1676701
     /* 1676701 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1676787), // Rule ID 6617 //
     /* 1676706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676752 */     // MIs[0] policy
     /* 1676752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676762 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676786 */     // GIR_Coverage, 6617,
     /* 1676786 */     GIR_EraseRootFromParent_Done,
     /* 1676787 */   // Label 22981: @1676787
     /* 1676787 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1676873), // Rule ID 6620 //
     /* 1676792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676838 */     // MIs[0] policy
     /* 1676838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676872 */     // GIR_Coverage, 6620,
     /* 1676872 */     GIR_EraseRootFromParent_Done,
     /* 1676873 */   // Label 22982: @1676873
     /* 1676873 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1676959), // Rule ID 6621 //
     /* 1676878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676924 */     // MIs[0] policy
     /* 1676924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676958 */     // GIR_Coverage, 6621,
     /* 1676958 */     GIR_EraseRootFromParent_Done,
     /* 1676959 */   // Label 22983: @1676959
     /* 1676959 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1677045), // Rule ID 6712 //
     /* 1676964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677010 */     // MIs[0] policy
     /* 1677010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677020 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1677023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677044 */     // GIR_Coverage, 6712,
     /* 1677044 */     GIR_EraseRootFromParent_Done,
     /* 1677045 */   // Label 22984: @1677045
     /* 1677045 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1677131), // Rule ID 6713 //
     /* 1677050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1677061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1677064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1677067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1677070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677096 */     // MIs[0] policy
     /* 1677096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1677109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677130 */     // GIR_Coverage, 6713,
     /* 1677130 */     GIR_EraseRootFromParent_Done,
     /* 1677131 */   // Label 22985: @1677131
     /* 1677131 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1677217), // Rule ID 6716 //
     /* 1677136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1677156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677182 */     // MIs[0] policy
     /* 1677182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677216 */     // GIR_Coverage, 6716,
     /* 1677216 */     GIR_EraseRootFromParent_Done,
     /* 1677217 */   // Label 22986: @1677217
     /* 1677217 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1677303), // Rule ID 6717 //
     /* 1677222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1677242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677268 */     // MIs[0] policy
     /* 1677268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677302 */     // GIR_Coverage, 6717,
     /* 1677302 */     GIR_EraseRootFromParent_Done,
     /* 1677303 */   // Label 22987: @1677303
     /* 1677303 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1677389), // Rule ID 6720 //
     /* 1677308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1677328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677354 */     // MIs[0] policy
     /* 1677354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677388 */     // GIR_Coverage, 6720,
     /* 1677388 */     GIR_EraseRootFromParent_Done,
     /* 1677389 */   // Label 22988: @1677389
     /* 1677389 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1677475), // Rule ID 6721 //
     /* 1677394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1677414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677440 */     // MIs[0] policy
     /* 1677440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677450 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677474 */     // GIR_Coverage, 6721,
     /* 1677474 */     GIR_EraseRootFromParent_Done,
     /* 1677475 */   // Label 22989: @1677475
     /* 1677475 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1677561), // Rule ID 6724 //
     /* 1677480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677526 */     // MIs[0] policy
     /* 1677526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677560 */     // GIR_Coverage, 6724,
     /* 1677560 */     GIR_EraseRootFromParent_Done,
     /* 1677561 */   // Label 22990: @1677561
     /* 1677561 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1677647), // Rule ID 6725 //
     /* 1677566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677612 */     // MIs[0] policy
     /* 1677612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677646 */     // GIR_Coverage, 6725,
     /* 1677646 */     GIR_EraseRootFromParent_Done,
     /* 1677647 */   // Label 22991: @1677647
     /* 1677647 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1677733), // Rule ID 6728 //
     /* 1677652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677698 */     // MIs[0] policy
     /* 1677698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677732 */     // GIR_Coverage, 6728,
     /* 1677732 */     GIR_EraseRootFromParent_Done,
     /* 1677733 */   // Label 22992: @1677733
     /* 1677733 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1677819), // Rule ID 6729 //
     /* 1677738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677784 */     // MIs[0] policy
     /* 1677784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677818 */     // GIR_Coverage, 6729,
     /* 1677818 */     GIR_EraseRootFromParent_Done,
     /* 1677819 */   // Label 22993: @1677819
     /* 1677819 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1677905), // Rule ID 6732 //
     /* 1677824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677870 */     // MIs[0] policy
     /* 1677870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677880 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677904 */     // GIR_Coverage, 6732,
     /* 1677904 */     GIR_EraseRootFromParent_Done,
     /* 1677905 */   // Label 22994: @1677905
     /* 1677905 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1677991), // Rule ID 6733 //
     /* 1677910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677956 */     // MIs[0] policy
     /* 1677956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677990 */     // GIR_Coverage, 6733,
     /* 1677990 */     GIR_EraseRootFromParent_Done,
     /* 1677991 */   // Label 22995: @1677991
     /* 1677991 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1678077), // Rule ID 6736 //
     /* 1677996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1678007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1678016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678042 */     // MIs[0] policy
     /* 1678042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678076 */     // GIR_Coverage, 6736,
     /* 1678076 */     GIR_EraseRootFromParent_Done,
     /* 1678077 */   // Label 22996: @1678077
     /* 1678077 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1678163), // Rule ID 6737 //
     /* 1678082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1678093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1678102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678128 */     // MIs[0] policy
     /* 1678128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678138 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678162 */     // GIR_Coverage, 6737,
     /* 1678162 */     GIR_EraseRootFromParent_Done,
     /* 1678163 */   // Label 22997: @1678163
     /* 1678163 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1678249), // Rule ID 6740 //
     /* 1678168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1678188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678214 */     // MIs[0] policy
     /* 1678214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678248 */     // GIR_Coverage, 6740,
     /* 1678248 */     GIR_EraseRootFromParent_Done,
     /* 1678249 */   // Label 22998: @1678249
     /* 1678249 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1678335), // Rule ID 6741 //
     /* 1678254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1678274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678300 */     // MIs[0] policy
     /* 1678300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678310 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678334 */     // GIR_Coverage, 6741,
     /* 1678334 */     GIR_EraseRootFromParent_Done,
     /* 1678335 */   // Label 22999: @1678335
     /* 1678335 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1678421), // Rule ID 6744 //
     /* 1678340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678386 */     // MIs[0] policy
     /* 1678386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678420 */     // GIR_Coverage, 6744,
     /* 1678420 */     GIR_EraseRootFromParent_Done,
     /* 1678421 */   // Label 23000: @1678421
     /* 1678421 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1678507), // Rule ID 6745 //
     /* 1678426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678472 */     // MIs[0] policy
     /* 1678472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678506 */     // GIR_Coverage, 6745,
     /* 1678506 */     GIR_EraseRootFromParent_Done,
     /* 1678507 */   // Label 23001: @1678507
     /* 1678507 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1678593), // Rule ID 6748 //
     /* 1678512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678558 */     // MIs[0] policy
     /* 1678558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678592 */     // GIR_Coverage, 6748,
     /* 1678592 */     GIR_EraseRootFromParent_Done,
     /* 1678593 */   // Label 23002: @1678593
     /* 1678593 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1678679), // Rule ID 6749 //
     /* 1678598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678644 */     // MIs[0] policy
     /* 1678644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678678 */     // GIR_Coverage, 6749,
     /* 1678678 */     GIR_EraseRootFromParent_Done,
     /* 1678679 */   // Label 23003: @1678679
     /* 1678679 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1678765), // Rule ID 6752 //
     /* 1678684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678730 */     // MIs[0] policy
     /* 1678730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678764 */     // GIR_Coverage, 6752,
     /* 1678764 */     GIR_EraseRootFromParent_Done,
     /* 1678765 */   // Label 23004: @1678765
     /* 1678765 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1678851), // Rule ID 6753 //
     /* 1678770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678816 */     // MIs[0] policy
     /* 1678816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678850 */     // GIR_Coverage, 6753,
     /* 1678850 */     GIR_EraseRootFromParent_Done,
     /* 1678851 */   // Label 23005: @1678851
     /* 1678851 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1678937), // Rule ID 6756 //
     /* 1678856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678902 */     // MIs[0] policy
     /* 1678902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678936 */     // GIR_Coverage, 6756,
     /* 1678936 */     GIR_EraseRootFromParent_Done,
     /* 1678937 */   // Label 23006: @1678937
     /* 1678937 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1679023), // Rule ID 6757 //
     /* 1678942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678988 */     // MIs[0] policy
     /* 1678988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678998 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679022 */     // GIR_Coverage, 6757,
     /* 1679022 */     GIR_EraseRootFromParent_Done,
     /* 1679023 */   // Label 23007: @1679023
     /* 1679023 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1679109), // Rule ID 6760 //
     /* 1679028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1679048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679074 */     // MIs[0] policy
     /* 1679074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679084 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679108 */     // GIR_Coverage, 6760,
     /* 1679108 */     GIR_EraseRootFromParent_Done,
     /* 1679109 */   // Label 23008: @1679109
     /* 1679109 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1679195), // Rule ID 6761 //
     /* 1679114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1679134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679160 */     // MIs[0] policy
     /* 1679160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679194 */     // GIR_Coverage, 6761,
     /* 1679194 */     GIR_EraseRootFromParent_Done,
     /* 1679195 */   // Label 23009: @1679195
     /* 1679195 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1679281), // Rule ID 6764 //
     /* 1679200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1679220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679246 */     // MIs[0] policy
     /* 1679246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679280 */     // GIR_Coverage, 6764,
     /* 1679280 */     GIR_EraseRootFromParent_Done,
     /* 1679281 */   // Label 23010: @1679281
     /* 1679281 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1679367), // Rule ID 6765 //
     /* 1679286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1679306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679332 */     // MIs[0] policy
     /* 1679332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679366 */     // GIR_Coverage, 6765,
     /* 1679366 */     GIR_EraseRootFromParent_Done,
     /* 1679367 */   // Label 23011: @1679367
     /* 1679367 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1679453), // Rule ID 6768 //
     /* 1679372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1679392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679418 */     // MIs[0] policy
     /* 1679418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679452 */     // GIR_Coverage, 6768,
     /* 1679452 */     GIR_EraseRootFromParent_Done,
     /* 1679453 */   // Label 23012: @1679453
     /* 1679453 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1679539), // Rule ID 6769 //
     /* 1679458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1679478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679504 */     // MIs[0] policy
     /* 1679504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679538 */     // GIR_Coverage, 6769,
     /* 1679538 */     GIR_EraseRootFromParent_Done,
     /* 1679539 */   // Label 23013: @1679539
     /* 1679539 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1679625), // Rule ID 6772 //
     /* 1679544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679590 */     // MIs[0] policy
     /* 1679590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679624 */     // GIR_Coverage, 6772,
     /* 1679624 */     GIR_EraseRootFromParent_Done,
     /* 1679625 */   // Label 23014: @1679625
     /* 1679625 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1679711), // Rule ID 6773 //
     /* 1679630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679676 */     // MIs[0] policy
     /* 1679676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679710 */     // GIR_Coverage, 6773,
     /* 1679710 */     GIR_EraseRootFromParent_Done,
     /* 1679711 */   // Label 23015: @1679711
     /* 1679711 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1679797), // Rule ID 6776 //
     /* 1679716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679762 */     // MIs[0] policy
     /* 1679762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679796 */     // GIR_Coverage, 6776,
     /* 1679796 */     GIR_EraseRootFromParent_Done,
     /* 1679797 */   // Label 23016: @1679797
     /* 1679797 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1679883), // Rule ID 6777 //
     /* 1679802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679848 */     // MIs[0] policy
     /* 1679848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679882 */     // GIR_Coverage, 6777,
     /* 1679882 */     GIR_EraseRootFromParent_Done,
     /* 1679883 */   // Label 23017: @1679883
     /* 1679883 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1679969), // Rule ID 6780 //
     /* 1679888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679934 */     // MIs[0] policy
     /* 1679934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679968 */     // GIR_Coverage, 6780,
     /* 1679968 */     GIR_EraseRootFromParent_Done,
     /* 1679969 */   // Label 23018: @1679969
     /* 1679969 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1680055), // Rule ID 6781 //
     /* 1679974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680020 */     // MIs[0] policy
     /* 1680020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680054 */     // GIR_Coverage, 6781,
     /* 1680054 */     GIR_EraseRootFromParent_Done,
     /* 1680055 */   // Label 23019: @1680055
     /* 1680055 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1680141), // Rule ID 6784 //
     /* 1680060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1680080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680106 */     // MIs[0] policy
     /* 1680106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680140 */     // GIR_Coverage, 6784,
     /* 1680140 */     GIR_EraseRootFromParent_Done,
     /* 1680141 */   // Label 23020: @1680141
     /* 1680141 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1680227), // Rule ID 6785 //
     /* 1680146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1680166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680192 */     // MIs[0] policy
     /* 1680192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680226 */     // GIR_Coverage, 6785,
     /* 1680226 */     GIR_EraseRootFromParent_Done,
     /* 1680227 */   // Label 23021: @1680227
     /* 1680227 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1680313), // Rule ID 6788 //
     /* 1680232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1680243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1680246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1680249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1680252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680278 */     // MIs[0] policy
     /* 1680278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1680291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680312 */     // GIR_Coverage, 6788,
     /* 1680312 */     GIR_EraseRootFromParent_Done,
     /* 1680313 */   // Label 23022: @1680313
     /* 1680313 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1680399), // Rule ID 6789 //
     /* 1680318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1680329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1680332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1680335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1680338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680364 */     // MIs[0] policy
     /* 1680364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1680377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680398 */     // GIR_Coverage, 6789,
     /* 1680398 */     GIR_EraseRootFromParent_Done,
     /* 1680399 */   // Label 23023: @1680399
     /* 1680399 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1680485), // Rule ID 6792 //
     /* 1680404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1680424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680450 */     // MIs[0] policy
     /* 1680450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680484 */     // GIR_Coverage, 6792,
     /* 1680484 */     GIR_EraseRootFromParent_Done,
     /* 1680485 */   // Label 23024: @1680485
     /* 1680485 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1680571), // Rule ID 6793 //
     /* 1680490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1680510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680536 */     // MIs[0] policy
     /* 1680536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680570 */     // GIR_Coverage, 6793,
     /* 1680570 */     GIR_EraseRootFromParent_Done,
     /* 1680571 */   // Label 23025: @1680571
     /* 1680571 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1680657), // Rule ID 6796 //
     /* 1680576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680622 */     // MIs[0] policy
     /* 1680622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680656 */     // GIR_Coverage, 6796,
     /* 1680656 */     GIR_EraseRootFromParent_Done,
     /* 1680657 */   // Label 23026: @1680657
     /* 1680657 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1680743), // Rule ID 6797 //
     /* 1680662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680708 */     // MIs[0] policy
     /* 1680708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680742 */     // GIR_Coverage, 6797,
     /* 1680742 */     GIR_EraseRootFromParent_Done,
     /* 1680743 */   // Label 23027: @1680743
     /* 1680743 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1680829), // Rule ID 6800 //
     /* 1680748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680794 */     // MIs[0] policy
     /* 1680794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680828 */     // GIR_Coverage, 6800,
     /* 1680828 */     GIR_EraseRootFromParent_Done,
     /* 1680829 */   // Label 23028: @1680829
     /* 1680829 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1680915), // Rule ID 6801 //
     /* 1680834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680880 */     // MIs[0] policy
     /* 1680880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680890 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680914 */     // GIR_Coverage, 6801,
     /* 1680914 */     GIR_EraseRootFromParent_Done,
     /* 1680915 */   // Label 23029: @1680915
     /* 1680915 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1681001), // Rule ID 6804 //
     /* 1680920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680966 */     // MIs[0] policy
     /* 1680966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681000 */     // GIR_Coverage, 6804,
     /* 1681000 */     GIR_EraseRootFromParent_Done,
     /* 1681001 */   // Label 23030: @1681001
     /* 1681001 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1681087), // Rule ID 6805 //
     /* 1681006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1681017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1681020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1681023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681052 */     // MIs[0] policy
     /* 1681052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1681065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681086 */     // GIR_Coverage, 6805,
     /* 1681086 */     GIR_EraseRootFromParent_Done,
     /* 1681087 */   // Label 23031: @1681087
     /* 1681087 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1681173), // Rule ID 6808 //
     /* 1681092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1681103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1681106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1681109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681138 */     // MIs[0] policy
     /* 1681138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681172 */     // GIR_Coverage, 6808,
     /* 1681172 */     GIR_EraseRootFromParent_Done,
     /* 1681173 */   // Label 23032: @1681173
     /* 1681173 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1681259), // Rule ID 6809 //
     /* 1681178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1681189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1681192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1681195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681224 */     // MIs[0] policy
     /* 1681224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681234 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681258 */     // GIR_Coverage, 6809,
     /* 1681258 */     GIR_EraseRootFromParent_Done,
     /* 1681259 */   // Label 23033: @1681259
     /* 1681259 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1681345), // Rule ID 6812 //
     /* 1681264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1681275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1681278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1681281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681310 */     // MIs[0] policy
     /* 1681310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1681323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681344 */     // GIR_Coverage, 6812,
     /* 1681344 */     GIR_EraseRootFromParent_Done,
     /* 1681345 */   // Label 23034: @1681345
     /* 1681345 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1681431), // Rule ID 6813 //
     /* 1681350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1681361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1681364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1681367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681396 */     // MIs[0] policy
     /* 1681396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1681409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681430 */     // GIR_Coverage, 6813,
     /* 1681430 */     GIR_EraseRootFromParent_Done,
     /* 1681431 */   // Label 23035: @1681431
     /* 1681431 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1681517), // Rule ID 6816 //
     /* 1681436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681482 */     // MIs[0] policy
     /* 1681482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681516 */     // GIR_Coverage, 6816,
     /* 1681516 */     GIR_EraseRootFromParent_Done,
     /* 1681517 */   // Label 23036: @1681517
     /* 1681517 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1681603), // Rule ID 6817 //
     /* 1681522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681568 */     // MIs[0] policy
     /* 1681568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681602 */     // GIR_Coverage, 6817,
     /* 1681602 */     GIR_EraseRootFromParent_Done,
     /* 1681603 */   // Label 23037: @1681603
     /* 1681603 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1681689), // Rule ID 6820 //
     /* 1681608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681654 */     // MIs[0] policy
     /* 1681654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681688 */     // GIR_Coverage, 6820,
     /* 1681688 */     GIR_EraseRootFromParent_Done,
     /* 1681689 */   // Label 23038: @1681689
     /* 1681689 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1681775), // Rule ID 6821 //
     /* 1681694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681740 */     // MIs[0] policy
     /* 1681740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681774 */     // GIR_Coverage, 6821,
     /* 1681774 */     GIR_EraseRootFromParent_Done,
     /* 1681775 */   // Label 23039: @1681775
     /* 1681775 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1681861), // Rule ID 6824 //
     /* 1681780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681826 */     // MIs[0] policy
     /* 1681826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681860 */     // GIR_Coverage, 6824,
     /* 1681860 */     GIR_EraseRootFromParent_Done,
     /* 1681861 */   // Label 23040: @1681861
     /* 1681861 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1681947), // Rule ID 6825 //
     /* 1681866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681912 */     // MIs[0] policy
     /* 1681912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681946 */     // GIR_Coverage, 6825,
     /* 1681946 */     GIR_EraseRootFromParent_Done,
     /* 1681947 */   // Label 23041: @1681947
     /* 1681947 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1682033), // Rule ID 6828 //
     /* 1681952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681998 */     // MIs[0] policy
     /* 1681998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682032 */     // GIR_Coverage, 6828,
     /* 1682032 */     GIR_EraseRootFromParent_Done,
     /* 1682033 */   // Label 23042: @1682033
     /* 1682033 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1682119), // Rule ID 6829 //
     /* 1682038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1682049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1682052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1682055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682084 */     // MIs[0] policy
     /* 1682084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682118 */     // GIR_Coverage, 6829,
     /* 1682118 */     GIR_EraseRootFromParent_Done,
     /* 1682119 */   // Label 23043: @1682119
     /* 1682119 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1682205), // Rule ID 6832 //
     /* 1682124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1682135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1682138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1682141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682170 */     // MIs[0] policy
     /* 1682170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682204 */     // GIR_Coverage, 6832,
     /* 1682204 */     GIR_EraseRootFromParent_Done,
     /* 1682205 */   // Label 23044: @1682205
     /* 1682205 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1682291), // Rule ID 6833 //
     /* 1682210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1682221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1682224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1682227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682256 */     // MIs[0] policy
     /* 1682256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682266 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682290 */     // GIR_Coverage, 6833,
     /* 1682290 */     GIR_EraseRootFromParent_Done,
     /* 1682291 */   // Label 23045: @1682291
     /* 1682291 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1682377), // Rule ID 6836 //
     /* 1682296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1682307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1682310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1682313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682342 */     // MIs[0] policy
     /* 1682342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682376 */     // GIR_Coverage, 6836,
     /* 1682376 */     GIR_EraseRootFromParent_Done,
     /* 1682377 */   // Label 23046: @1682377
     /* 1682377 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1682463), // Rule ID 6837 //
     /* 1682382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1682393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1682396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1682399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682428 */     // MIs[0] policy
     /* 1682428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682462 */     // GIR_Coverage, 6837,
     /* 1682462 */     GIR_EraseRootFromParent_Done,
     /* 1682463 */   // Label 23047: @1682463
     /* 1682463 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1682549), // Rule ID 6840 //
     /* 1682468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682514 */     // MIs[0] policy
     /* 1682514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682548 */     // GIR_Coverage, 6840,
     /* 1682548 */     GIR_EraseRootFromParent_Done,
     /* 1682549 */   // Label 23048: @1682549
     /* 1682549 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1682635), // Rule ID 6841 //
     /* 1682554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682600 */     // MIs[0] policy
     /* 1682600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682610 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682634 */     // GIR_Coverage, 6841,
     /* 1682634 */     GIR_EraseRootFromParent_Done,
     /* 1682635 */   // Label 23049: @1682635
     /* 1682635 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1682721), // Rule ID 6844 //
     /* 1682640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682686 */     // MIs[0] policy
     /* 1682686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682720 */     // GIR_Coverage, 6844,
     /* 1682720 */     GIR_EraseRootFromParent_Done,
     /* 1682721 */   // Label 23050: @1682721
     /* 1682721 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1682807), // Rule ID 6845 //
     /* 1682726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682772 */     // MIs[0] policy
     /* 1682772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682806 */     // GIR_Coverage, 6845,
     /* 1682806 */     GIR_EraseRootFromParent_Done,
     /* 1682807 */   // Label 23051: @1682807
     /* 1682807 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1682893), // Rule ID 6848 //
     /* 1682812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682858 */     // MIs[0] policy
     /* 1682858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682892 */     // GIR_Coverage, 6848,
     /* 1682892 */     GIR_EraseRootFromParent_Done,
     /* 1682893 */   // Label 23052: @1682893
     /* 1682893 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1682979), // Rule ID 6849 //
     /* 1682898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682944 */     // MIs[0] policy
     /* 1682944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682978 */     // GIR_Coverage, 6849,
     /* 1682978 */     GIR_EraseRootFromParent_Done,
     /* 1682979 */   // Label 23053: @1682979
     /* 1682979 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1683065), // Rule ID 6852 //
     /* 1682984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1683001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683030 */     // MIs[0] policy
     /* 1683030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683064 */     // GIR_Coverage, 6852,
     /* 1683064 */     GIR_EraseRootFromParent_Done,
     /* 1683065 */   // Label 23054: @1683065
     /* 1683065 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1683151), // Rule ID 6853 //
     /* 1683070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1683081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1683084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1683087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683116 */     // MIs[0] policy
     /* 1683116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683150 */     // GIR_Coverage, 6853,
     /* 1683150 */     GIR_EraseRootFromParent_Done,
     /* 1683151 */   // Label 23055: @1683151
     /* 1683151 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1683237), // Rule ID 6856 //
     /* 1683156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1683167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1683170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1683173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683202 */     // MIs[0] policy
     /* 1683202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683236 */     // GIR_Coverage, 6856,
     /* 1683236 */     GIR_EraseRootFromParent_Done,
     /* 1683237 */   // Label 23056: @1683237
     /* 1683237 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1683323), // Rule ID 6857 //
     /* 1683242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1683253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1683256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1683259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683288 */     // MIs[0] policy
     /* 1683288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683322 */     // GIR_Coverage, 6857,
     /* 1683322 */     GIR_EraseRootFromParent_Done,
     /* 1683323 */   // Label 23057: @1683323
     /* 1683323 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1683409), // Rule ID 6860 //
     /* 1683328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1683339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1683342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1683345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683374 */     // MIs[0] policy
     /* 1683374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683408 */     // GIR_Coverage, 6860,
     /* 1683408 */     GIR_EraseRootFromParent_Done,
     /* 1683409 */   // Label 23058: @1683409
     /* 1683409 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1683495), // Rule ID 6861 //
     /* 1683414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1683425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1683428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1683431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683460 */     // MIs[0] policy
     /* 1683460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683494 */     // GIR_Coverage, 6861,
     /* 1683494 */     GIR_EraseRootFromParent_Done,
     /* 1683495 */   // Label 23059: @1683495
     /* 1683495 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1683581), // Rule ID 6864 //
     /* 1683500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683546 */     // MIs[0] policy
     /* 1683546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683580 */     // GIR_Coverage, 6864,
     /* 1683580 */     GIR_EraseRootFromParent_Done,
     /* 1683581 */   // Label 23060: @1683581
     /* 1683581 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1683667), // Rule ID 6865 //
     /* 1683586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683632 */     // MIs[0] policy
     /* 1683632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683666 */     // GIR_Coverage, 6865,
     /* 1683666 */     GIR_EraseRootFromParent_Done,
     /* 1683667 */   // Label 23061: @1683667
     /* 1683667 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1683753), // Rule ID 6868 //
     /* 1683672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683718 */     // MIs[0] policy
     /* 1683718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683752 */     // GIR_Coverage, 6868,
     /* 1683752 */     GIR_EraseRootFromParent_Done,
     /* 1683753 */   // Label 23062: @1683753
     /* 1683753 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1683839), // Rule ID 6869 //
     /* 1683758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683804 */     // MIs[0] policy
     /* 1683804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683838 */     // GIR_Coverage, 6869,
     /* 1683838 */     GIR_EraseRootFromParent_Done,
     /* 1683839 */   // Label 23063: @1683839
     /* 1683839 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1683925), // Rule ID 6872 //
     /* 1683844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683890 */     // MIs[0] policy
     /* 1683890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683924 */     // GIR_Coverage, 6872,
     /* 1683924 */     GIR_EraseRootFromParent_Done,
     /* 1683925 */   // Label 23064: @1683925
     /* 1683925 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1684011), // Rule ID 6873 //
     /* 1683930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683976 */     // MIs[0] policy
     /* 1683976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684010 */     // GIR_Coverage, 6873,
     /* 1684010 */     GIR_EraseRootFromParent_Done,
     /* 1684011 */   // Label 23065: @1684011
     /* 1684011 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1684097), // Rule ID 6876 //
     /* 1684016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1684027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1684030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1684033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684062 */     // MIs[0] policy
     /* 1684062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1684075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684096 */     // GIR_Coverage, 6876,
     /* 1684096 */     GIR_EraseRootFromParent_Done,
     /* 1684097 */   // Label 23066: @1684097
     /* 1684097 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1684183), // Rule ID 6877 //
     /* 1684102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1684113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1684116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1684119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684148 */     // MIs[0] policy
     /* 1684148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1684161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684182 */     // GIR_Coverage, 6877,
     /* 1684182 */     GIR_EraseRootFromParent_Done,
     /* 1684183 */   // Label 23067: @1684183
     /* 1684183 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1684269), // Rule ID 6880 //
     /* 1684188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1684199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1684202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1684205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684234 */     // MIs[0] policy
     /* 1684234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1684247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684268 */     // GIR_Coverage, 6880,
     /* 1684268 */     GIR_EraseRootFromParent_Done,
     /* 1684269 */   // Label 23068: @1684269
     /* 1684269 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1684355), // Rule ID 6881 //
     /* 1684274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1684285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1684288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1684291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684320 */     // MIs[0] policy
     /* 1684320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1684333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684354 */     // GIR_Coverage, 6881,
     /* 1684354 */     GIR_EraseRootFromParent_Done,
     /* 1684355 */   // Label 23069: @1684355
     /* 1684355 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1684441), // Rule ID 6884 //
     /* 1684360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684406 */     // MIs[0] policy
     /* 1684406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1684419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684440 */     // GIR_Coverage, 6884,
     /* 1684440 */     GIR_EraseRootFromParent_Done,
     /* 1684441 */   // Label 23070: @1684441
     /* 1684441 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1684527), // Rule ID 6885 //
     /* 1684446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684492 */     // MIs[0] policy
     /* 1684492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1684505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684526 */     // GIR_Coverage, 6885,
     /* 1684526 */     GIR_EraseRootFromParent_Done,
     /* 1684527 */   // Label 23071: @1684527
     /* 1684527 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1684613), // Rule ID 6976 //
     /* 1684532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684578 */     // MIs[0] policy
     /* 1684578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684612 */     // GIR_Coverage, 6976,
     /* 1684612 */     GIR_EraseRootFromParent_Done,
     /* 1684613 */   // Label 23072: @1684613
     /* 1684613 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1684699), // Rule ID 6977 //
     /* 1684618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684664 */     // MIs[0] policy
     /* 1684664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684674 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684698 */     // GIR_Coverage, 6977,
     /* 1684698 */     GIR_EraseRootFromParent_Done,
     /* 1684699 */   // Label 23073: @1684699
     /* 1684699 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1684785), // Rule ID 6980 //
     /* 1684704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684750 */     // MIs[0] policy
     /* 1684750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684784 */     // GIR_Coverage, 6980,
     /* 1684784 */     GIR_EraseRootFromParent_Done,
     /* 1684785 */   // Label 23074: @1684785
     /* 1684785 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1684871), // Rule ID 6981 //
     /* 1684790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684836 */     // MIs[0] policy
     /* 1684836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684870 */     // GIR_Coverage, 6981,
     /* 1684870 */     GIR_EraseRootFromParent_Done,
     /* 1684871 */   // Label 23075: @1684871
     /* 1684871 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1684957), // Rule ID 6984 //
     /* 1684876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684922 */     // MIs[0] policy
     /* 1684922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684956 */     // GIR_Coverage, 6984,
     /* 1684956 */     GIR_EraseRootFromParent_Done,
     /* 1684957 */   // Label 23076: @1684957
     /* 1684957 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1685043), // Rule ID 6985 //
     /* 1684962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685008 */     // MIs[0] policy
     /* 1685008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685018 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685042 */     // GIR_Coverage, 6985,
     /* 1685042 */     GIR_EraseRootFromParent_Done,
     /* 1685043 */   // Label 23077: @1685043
     /* 1685043 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1685129), // Rule ID 6988 //
     /* 1685048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1685059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1685062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1685068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685094 */     // MIs[0] policy
     /* 1685094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1685107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685128 */     // GIR_Coverage, 6988,
     /* 1685128 */     GIR_EraseRootFromParent_Done,
     /* 1685129 */   // Label 23078: @1685129
     /* 1685129 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1685215), // Rule ID 6989 //
     /* 1685134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1685145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1685148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1685154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685180 */     // MIs[0] policy
     /* 1685180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1685193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685214 */     // GIR_Coverage, 6989,
     /* 1685214 */     GIR_EraseRootFromParent_Done,
     /* 1685215 */   // Label 23079: @1685215
     /* 1685215 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1685301), // Rule ID 6992 //
     /* 1685220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1685231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1685234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1685237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1685240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685266 */     // MIs[0] policy
     /* 1685266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685300 */     // GIR_Coverage, 6992,
     /* 1685300 */     GIR_EraseRootFromParent_Done,
     /* 1685301 */   // Label 23080: @1685301
     /* 1685301 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1685387), // Rule ID 6993 //
     /* 1685306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1685317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1685320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1685323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1685326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685352 */     // MIs[0] policy
     /* 1685352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685386 */     // GIR_Coverage, 6993,
     /* 1685386 */     GIR_EraseRootFromParent_Done,
     /* 1685387 */   // Label 23081: @1685387
     /* 1685387 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1685473), // Rule ID 6996 //
     /* 1685392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1685412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685438 */     // MIs[0] policy
     /* 1685438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685472 */     // GIR_Coverage, 6996,
     /* 1685472 */     GIR_EraseRootFromParent_Done,
     /* 1685473 */   // Label 23082: @1685473
     /* 1685473 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1685559), // Rule ID 6997 //
     /* 1685478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1685498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685524 */     // MIs[0] policy
     /* 1685524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685558 */     // GIR_Coverage, 6997,
     /* 1685558 */     GIR_EraseRootFromParent_Done,
     /* 1685559 */   // Label 23083: @1685559
     /* 1685559 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1685645), // Rule ID 7000 //
     /* 1685564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685610 */     // MIs[0] policy
     /* 1685610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685644 */     // GIR_Coverage, 7000,
     /* 1685644 */     GIR_EraseRootFromParent_Done,
     /* 1685645 */   // Label 23084: @1685645
     /* 1685645 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1685731), // Rule ID 7001 //
     /* 1685650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685696 */     // MIs[0] policy
     /* 1685696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685706 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685730 */     // GIR_Coverage, 7001,
     /* 1685730 */     GIR_EraseRootFromParent_Done,
     /* 1685731 */   // Label 23085: @1685731
     /* 1685731 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1685817), // Rule ID 7004 //
     /* 1685736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685782 */     // MIs[0] policy
     /* 1685782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685816 */     // GIR_Coverage, 7004,
     /* 1685816 */     GIR_EraseRootFromParent_Done,
     /* 1685817 */   // Label 23086: @1685817
     /* 1685817 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1685903), // Rule ID 7005 //
     /* 1685822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685868 */     // MIs[0] policy
     /* 1685868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685902 */     // GIR_Coverage, 7005,
     /* 1685902 */     GIR_EraseRootFromParent_Done,
     /* 1685903 */   // Label 23087: @1685903
     /* 1685903 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1685989), // Rule ID 7008 //
     /* 1685908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685954 */     // MIs[0] policy
     /* 1685954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685988 */     // GIR_Coverage, 7008,
     /* 1685988 */     GIR_EraseRootFromParent_Done,
     /* 1685989 */   // Label 23088: @1685989
     /* 1685989 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1686075), // Rule ID 7009 //
     /* 1685994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1686005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1686008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1686011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1686014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686040 */     // MIs[0] policy
     /* 1686040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1686053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686074 */     // GIR_Coverage, 7009,
     /* 1686074 */     GIR_EraseRootFromParent_Done,
     /* 1686075 */   // Label 23089: @1686075
     /* 1686075 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1686161), // Rule ID 7012 //
     /* 1686080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1686091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1686094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1686097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1686100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686126 */     // MIs[0] policy
     /* 1686126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1686139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686160 */     // GIR_Coverage, 7012,
     /* 1686160 */     GIR_EraseRootFromParent_Done,
     /* 1686161 */   // Label 23090: @1686161
     /* 1686161 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1686247), // Rule ID 7013 //
     /* 1686166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1686177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1686180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1686183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1686186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686212 */     // MIs[0] policy
     /* 1686212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1686225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686246 */     // GIR_Coverage, 7013,
     /* 1686246 */     GIR_EraseRootFromParent_Done,
     /* 1686247 */   // Label 23091: @1686247
     /* 1686247 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1686333), // Rule ID 7016 //
     /* 1686252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1686269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1686272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686298 */     // MIs[0] policy
     /* 1686298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686332 */     // GIR_Coverage, 7016,
     /* 1686332 */     GIR_EraseRootFromParent_Done,
     /* 1686333 */   // Label 23092: @1686333
     /* 1686333 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1686419), // Rule ID 7017 //
     /* 1686338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1686355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1686358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686384 */     // MIs[0] policy
     /* 1686384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686418 */     // GIR_Coverage, 7017,
     /* 1686418 */     GIR_EraseRootFromParent_Done,
     /* 1686419 */   // Label 23093: @1686419
     /* 1686419 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1686505), // Rule ID 7020 //
     /* 1686424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686470 */     // MIs[0] policy
     /* 1686470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686504 */     // GIR_Coverage, 7020,
     /* 1686504 */     GIR_EraseRootFromParent_Done,
     /* 1686505 */   // Label 23094: @1686505
     /* 1686505 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1686591), // Rule ID 7021 //
     /* 1686510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686556 */     // MIs[0] policy
     /* 1686556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686566 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686590 */     // GIR_Coverage, 7021,
     /* 1686590 */     GIR_EraseRootFromParent_Done,
     /* 1686591 */   // Label 23095: @1686591
     /* 1686591 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1686677), // Rule ID 7024 //
     /* 1686596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686642 */     // MIs[0] policy
     /* 1686642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686676 */     // GIR_Coverage, 7024,
     /* 1686676 */     GIR_EraseRootFromParent_Done,
     /* 1686677 */   // Label 23096: @1686677
     /* 1686677 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1686763), // Rule ID 7025 //
     /* 1686682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686728 */     // MIs[0] policy
     /* 1686728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686762 */     // GIR_Coverage, 7025,
     /* 1686762 */     GIR_EraseRootFromParent_Done,
     /* 1686763 */   // Label 23097: @1686763
     /* 1686763 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1686849), // Rule ID 7028 //
     /* 1686768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686814 */     // MIs[0] policy
     /* 1686814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686848 */     // GIR_Coverage, 7028,
     /* 1686848 */     GIR_EraseRootFromParent_Done,
     /* 1686849 */   // Label 23098: @1686849
     /* 1686849 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1686935), // Rule ID 7029 //
     /* 1686854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686900 */     // MIs[0] policy
     /* 1686900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686910 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686934 */     // GIR_Coverage, 7029,
     /* 1686934 */     GIR_EraseRootFromParent_Done,
     /* 1686935 */   // Label 23099: @1686935
     /* 1686935 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1687021), // Rule ID 7032 //
     /* 1686940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686986 */     // MIs[0] policy
     /* 1686986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687020 */     // GIR_Coverage, 7032,
     /* 1687020 */     GIR_EraseRootFromParent_Done,
     /* 1687021 */   // Label 23100: @1687021
     /* 1687021 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1687107), // Rule ID 7033 //
     /* 1687026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1687037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1687040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1687043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1687046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687072 */     // MIs[0] policy
     /* 1687072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687106 */     // GIR_Coverage, 7033,
     /* 1687106 */     GIR_EraseRootFromParent_Done,
     /* 1687107 */   // Label 23101: @1687107
     /* 1687107 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1687193), // Rule ID 7036 //
     /* 1687112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1687123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1687126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1687129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1687132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1687135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687158 */     // MIs[0] policy
     /* 1687158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687192 */     // GIR_Coverage, 7036,
     /* 1687192 */     GIR_EraseRootFromParent_Done,
     /* 1687193 */   // Label 23102: @1687193
     /* 1687193 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1687279), // Rule ID 7037 //
     /* 1687198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1687209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1687212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1687215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1687218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1687221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687244 */     // MIs[0] policy
     /* 1687244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687278 */     // GIR_Coverage, 7037,
     /* 1687278 */     GIR_EraseRootFromParent_Done,
     /* 1687279 */   // Label 23103: @1687279
     /* 1687279 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1687365), // Rule ID 7040 //
     /* 1687284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1687295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1687298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1687304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687330 */     // MIs[0] policy
     /* 1687330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687364 */     // GIR_Coverage, 7040,
     /* 1687364 */     GIR_EraseRootFromParent_Done,
     /* 1687365 */   // Label 23104: @1687365
     /* 1687365 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1687451), // Rule ID 7041 //
     /* 1687370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1687381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1687384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1687390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687416 */     // MIs[0] policy
     /* 1687416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687450 */     // GIR_Coverage, 7041,
     /* 1687450 */     GIR_EraseRootFromParent_Done,
     /* 1687451 */   // Label 23105: @1687451
     /* 1687451 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1687537), // Rule ID 7044 //
     /* 1687456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687502 */     // MIs[0] policy
     /* 1687502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687536 */     // GIR_Coverage, 7044,
     /* 1687536 */     GIR_EraseRootFromParent_Done,
     /* 1687537 */   // Label 23106: @1687537
     /* 1687537 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1687623), // Rule ID 7045 //
     /* 1687542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687588 */     // MIs[0] policy
     /* 1687588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687622 */     // GIR_Coverage, 7045,
     /* 1687622 */     GIR_EraseRootFromParent_Done,
     /* 1687623 */   // Label 23107: @1687623
     /* 1687623 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1687709), // Rule ID 7048 //
     /* 1687628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687674 */     // MIs[0] policy
     /* 1687674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687708 */     // GIR_Coverage, 7048,
     /* 1687708 */     GIR_EraseRootFromParent_Done,
     /* 1687709 */   // Label 23108: @1687709
     /* 1687709 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1687795), // Rule ID 7049 //
     /* 1687714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687760 */     // MIs[0] policy
     /* 1687760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687794 */     // GIR_Coverage, 7049,
     /* 1687794 */     GIR_EraseRootFromParent_Done,
     /* 1687795 */   // Label 23109: @1687795
     /* 1687795 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1687881), // Rule ID 7052 //
     /* 1687800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687846 */     // MIs[0] policy
     /* 1687846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687880 */     // GIR_Coverage, 7052,
     /* 1687880 */     GIR_EraseRootFromParent_Done,
     /* 1687881 */   // Label 23110: @1687881
     /* 1687881 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1687967), // Rule ID 7053 //
     /* 1687886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687932 */     // MIs[0] policy
     /* 1687932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687966 */     // GIR_Coverage, 7053,
     /* 1687966 */     GIR_EraseRootFromParent_Done,
     /* 1687967 */   // Label 23111: @1687967
     /* 1687967 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1688053), // Rule ID 7056 //
     /* 1687972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688018 */     // MIs[0] policy
     /* 1688018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1688031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688052 */     // GIR_Coverage, 7056,
     /* 1688052 */     GIR_EraseRootFromParent_Done,
     /* 1688053 */   // Label 23112: @1688053
     /* 1688053 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1688139), // Rule ID 7057 //
     /* 1688058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1688069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1688072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1688075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1688078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688104 */     // MIs[0] policy
     /* 1688104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1688117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688138 */     // GIR_Coverage, 7057,
     /* 1688138 */     GIR_EraseRootFromParent_Done,
     /* 1688139 */   // Label 23113: @1688139
     /* 1688139 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1688225), // Rule ID 7060 //
     /* 1688144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1688155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1688158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1688164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688190 */     // MIs[0] policy
     /* 1688190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1688203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688224 */     // GIR_Coverage, 7060,
     /* 1688224 */     GIR_EraseRootFromParent_Done,
     /* 1688225 */   // Label 23114: @1688225
     /* 1688225 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1688311), // Rule ID 7061 //
     /* 1688230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1688241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1688244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1688250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688276 */     // MIs[0] policy
     /* 1688276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1688289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688310 */     // GIR_Coverage, 7061,
     /* 1688310 */     GIR_EraseRootFromParent_Done,
     /* 1688311 */   // Label 23115: @1688311
     /* 1688311 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1688397), // Rule ID 7064 //
     /* 1688316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1688333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688362 */     // MIs[0] policy
     /* 1688362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1688375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688396 */     // GIR_Coverage, 7064,
     /* 1688396 */     GIR_EraseRootFromParent_Done,
     /* 1688397 */   // Label 23116: @1688397
     /* 1688397 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1688483), // Rule ID 7065 //
     /* 1688402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1688419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688448 */     // MIs[0] policy
     /* 1688448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688458 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1688461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688482 */     // GIR_Coverage, 7065,
     /* 1688482 */     GIR_EraseRootFromParent_Done,
     /* 1688483 */   // Label 23117: @1688483
     /* 1688483 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1688569), // Rule ID 7068 //
     /* 1688488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688534 */     // MIs[0] policy
     /* 1688534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688568 */     // GIR_Coverage, 7068,
     /* 1688568 */     GIR_EraseRootFromParent_Done,
     /* 1688569 */   // Label 23118: @1688569
     /* 1688569 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1688655), // Rule ID 7069 //
     /* 1688574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688620 */     // MIs[0] policy
     /* 1688620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688630 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688654 */     // GIR_Coverage, 7069,
     /* 1688654 */     GIR_EraseRootFromParent_Done,
     /* 1688655 */   // Label 23119: @1688655
     /* 1688655 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1688741), // Rule ID 7072 //
     /* 1688660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688706 */     // MIs[0] policy
     /* 1688706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688740 */     // GIR_Coverage, 7072,
     /* 1688740 */     GIR_EraseRootFromParent_Done,
     /* 1688741 */   // Label 23120: @1688741
     /* 1688741 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1688827), // Rule ID 7073 //
     /* 1688746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688792 */     // MIs[0] policy
     /* 1688792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688826 */     // GIR_Coverage, 7073,
     /* 1688826 */     GIR_EraseRootFromParent_Done,
     /* 1688827 */   // Label 23121: @1688827
     /* 1688827 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1688913), // Rule ID 7076 //
     /* 1688832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688878 */     // MIs[0] policy
     /* 1688878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688912 */     // GIR_Coverage, 7076,
     /* 1688912 */     GIR_EraseRootFromParent_Done,
     /* 1688913 */   // Label 23122: @1688913
     /* 1688913 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1688999), // Rule ID 7077 //
     /* 1688918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688964 */     // MIs[0] policy
     /* 1688964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688998 */     // GIR_Coverage, 7077,
     /* 1688998 */     GIR_EraseRootFromParent_Done,
     /* 1688999 */   // Label 23123: @1688999
     /* 1688999 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1689085), // Rule ID 7080 //
     /* 1689004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1689021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689050 */     // MIs[0] policy
     /* 1689050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689084 */     // GIR_Coverage, 7080,
     /* 1689084 */     GIR_EraseRootFromParent_Done,
     /* 1689085 */   // Label 23124: @1689085
     /* 1689085 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1689171), // Rule ID 7081 //
     /* 1689090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1689107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689136 */     // MIs[0] policy
     /* 1689136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689170 */     // GIR_Coverage, 7081,
     /* 1689170 */     GIR_EraseRootFromParent_Done,
     /* 1689171 */   // Label 23125: @1689171
     /* 1689171 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1689257), // Rule ID 7084 //
     /* 1689176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1689187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1689190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689222 */     // MIs[0] policy
     /* 1689222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689256 */     // GIR_Coverage, 7084,
     /* 1689256 */     GIR_EraseRootFromParent_Done,
     /* 1689257 */   // Label 23126: @1689257
     /* 1689257 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1689343), // Rule ID 7085 //
     /* 1689262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1689273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1689276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689308 */     // MIs[0] policy
     /* 1689308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689342 */     // GIR_Coverage, 7085,
     /* 1689342 */     GIR_EraseRootFromParent_Done,
     /* 1689343 */   // Label 23127: @1689343
     /* 1689343 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1689429), // Rule ID 7088 //
     /* 1689348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689394 */     // MIs[0] policy
     /* 1689394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689428 */     // GIR_Coverage, 7088,
     /* 1689428 */     GIR_EraseRootFromParent_Done,
     /* 1689429 */   // Label 23128: @1689429
     /* 1689429 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1689515), // Rule ID 7089 //
     /* 1689434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689480 */     // MIs[0] policy
     /* 1689480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689514 */     // GIR_Coverage, 7089,
     /* 1689514 */     GIR_EraseRootFromParent_Done,
     /* 1689515 */   // Label 23129: @1689515
     /* 1689515 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1689601), // Rule ID 7092 //
     /* 1689520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689566 */     // MIs[0] policy
     /* 1689566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689600 */     // GIR_Coverage, 7092,
     /* 1689600 */     GIR_EraseRootFromParent_Done,
     /* 1689601 */   // Label 23130: @1689601
     /* 1689601 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1689687), // Rule ID 7093 //
     /* 1689606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689652 */     // MIs[0] policy
     /* 1689652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689686 */     // GIR_Coverage, 7093,
     /* 1689686 */     GIR_EraseRootFromParent_Done,
     /* 1689687 */   // Label 23131: @1689687
     /* 1689687 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1689773), // Rule ID 7096 //
     /* 1689692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689738 */     // MIs[0] policy
     /* 1689738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689772 */     // GIR_Coverage, 7096,
     /* 1689772 */     GIR_EraseRootFromParent_Done,
     /* 1689773 */   // Label 23132: @1689773
     /* 1689773 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1689859), // Rule ID 7097 //
     /* 1689778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689824 */     // MIs[0] policy
     /* 1689824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689858 */     // GIR_Coverage, 7097,
     /* 1689858 */     GIR_EraseRootFromParent_Done,
     /* 1689859 */   // Label 23133: @1689859
     /* 1689859 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1689945), // Rule ID 7100 //
     /* 1689864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689910 */     // MIs[0] policy
     /* 1689910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689944 */     // GIR_Coverage, 7100,
     /* 1689944 */     GIR_EraseRootFromParent_Done,
     /* 1689945 */   // Label 23134: @1689945
     /* 1689945 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1690031), // Rule ID 7101 //
     /* 1689950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1689953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689996 */     // MIs[0] policy
     /* 1689996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1690009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690030 */     // GIR_Coverage, 7101,
     /* 1690030 */     GIR_EraseRootFromParent_Done,
     /* 1690031 */   // Label 23135: @1690031
     /* 1690031 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1690117), // Rule ID 7104 //
     /* 1690036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1690047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1690050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1690053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690082 */     // MIs[0] policy
     /* 1690082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690116 */     // GIR_Coverage, 7104,
     /* 1690116 */     GIR_EraseRootFromParent_Done,
     /* 1690117 */   // Label 23136: @1690117
     /* 1690117 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1690203), // Rule ID 7105 //
     /* 1690122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1690133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1690136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1690139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690168 */     // MIs[0] policy
     /* 1690168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690202 */     // GIR_Coverage, 7105,
     /* 1690202 */     GIR_EraseRootFromParent_Done,
     /* 1690203 */   // Label 23137: @1690203
     /* 1690203 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1690289), // Rule ID 7108 //
     /* 1690208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1690219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1690222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1690225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690254 */     // MIs[0] policy
     /* 1690254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690288 */     // GIR_Coverage, 7108,
     /* 1690288 */     GIR_EraseRootFromParent_Done,
     /* 1690289 */   // Label 23138: @1690289
     /* 1690289 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1690375), // Rule ID 7109 //
     /* 1690294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1690305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1690308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1690311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690340 */     // MIs[0] policy
     /* 1690340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690374 */     // GIR_Coverage, 7109,
     /* 1690374 */     GIR_EraseRootFromParent_Done,
     /* 1690375 */   // Label 23139: @1690375
     /* 1690375 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1690461), // Rule ID 7112 //
     /* 1690380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690426 */     // MIs[0] policy
     /* 1690426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690460 */     // GIR_Coverage, 7112,
     /* 1690460 */     GIR_EraseRootFromParent_Done,
     /* 1690461 */   // Label 23140: @1690461
     /* 1690461 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1690547), // Rule ID 7113 //
     /* 1690466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690512 */     // MIs[0] policy
     /* 1690512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690546 */     // GIR_Coverage, 7113,
     /* 1690546 */     GIR_EraseRootFromParent_Done,
     /* 1690547 */   // Label 23141: @1690547
     /* 1690547 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1690633), // Rule ID 7116 //
     /* 1690552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690598 */     // MIs[0] policy
     /* 1690598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690632 */     // GIR_Coverage, 7116,
     /* 1690632 */     GIR_EraseRootFromParent_Done,
     /* 1690633 */   // Label 23142: @1690633
     /* 1690633 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1690719), // Rule ID 7117 //
     /* 1690638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690684 */     // MIs[0] policy
     /* 1690684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690718 */     // GIR_Coverage, 7117,
     /* 1690718 */     GIR_EraseRootFromParent_Done,
     /* 1690719 */   // Label 23143: @1690719
     /* 1690719 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1690805), // Rule ID 7120 //
     /* 1690724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690770 */     // MIs[0] policy
     /* 1690770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690804 */     // GIR_Coverage, 7120,
     /* 1690804 */     GIR_EraseRootFromParent_Done,
     /* 1690805 */   // Label 23144: @1690805
     /* 1690805 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1690891), // Rule ID 7121 //
     /* 1690810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690856 */     // MIs[0] policy
     /* 1690856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690890 */     // GIR_Coverage, 7121,
     /* 1690890 */     GIR_EraseRootFromParent_Done,
     /* 1690891 */   // Label 23145: @1690891
     /* 1690891 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1690977), // Rule ID 7124 //
     /* 1690896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690942 */     // MIs[0] policy
     /* 1690942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690976 */     // GIR_Coverage, 7124,
     /* 1690976 */     GIR_EraseRootFromParent_Done,
     /* 1690977 */   // Label 23146: @1690977
     /* 1690977 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1691063), // Rule ID 7125 //
     /* 1690982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1691005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691028 */     // MIs[0] policy
     /* 1691028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691038 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691062 */     // GIR_Coverage, 7125,
     /* 1691062 */     GIR_EraseRootFromParent_Done,
     /* 1691063 */   // Label 23147: @1691063
     /* 1691063 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1691149), // Rule ID 7128 //
     /* 1691068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1691079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1691082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691114 */     // MIs[0] policy
     /* 1691114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691148 */     // GIR_Coverage, 7128,
     /* 1691148 */     GIR_EraseRootFromParent_Done,
     /* 1691149 */   // Label 23148: @1691149
     /* 1691149 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1691235), // Rule ID 7129 //
     /* 1691154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1691165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1691168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691200 */     // MIs[0] policy
     /* 1691200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691234 */     // GIR_Coverage, 7129,
     /* 1691234 */     GIR_EraseRootFromParent_Done,
     /* 1691235 */   // Label 23149: @1691235
     /* 1691235 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1691321), // Rule ID 7132 //
     /* 1691240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1691251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1691254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1691257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691286 */     // MIs[0] policy
     /* 1691286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691320 */     // GIR_Coverage, 7132,
     /* 1691320 */     GIR_EraseRootFromParent_Done,
     /* 1691321 */   // Label 23150: @1691321
     /* 1691321 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1691407), // Rule ID 7133 //
     /* 1691326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1691337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1691340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1691343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691372 */     // MIs[0] policy
     /* 1691372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691406 */     // GIR_Coverage, 7133,
     /* 1691406 */     GIR_EraseRootFromParent_Done,
     /* 1691407 */   // Label 23151: @1691407
     /* 1691407 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1691493), // Rule ID 7136 //
     /* 1691412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691458 */     // MIs[0] policy
     /* 1691458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691492 */     // GIR_Coverage, 7136,
     /* 1691492 */     GIR_EraseRootFromParent_Done,
     /* 1691493 */   // Label 23152: @1691493
     /* 1691493 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1691579), // Rule ID 7137 //
     /* 1691498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691544 */     // MIs[0] policy
     /* 1691544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691554 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691578 */     // GIR_Coverage, 7137,
     /* 1691578 */     GIR_EraseRootFromParent_Done,
     /* 1691579 */   // Label 23153: @1691579
     /* 1691579 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1691665), // Rule ID 7140 //
     /* 1691584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691630 */     // MIs[0] policy
     /* 1691630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691664 */     // GIR_Coverage, 7140,
     /* 1691664 */     GIR_EraseRootFromParent_Done,
     /* 1691665 */   // Label 23154: @1691665
     /* 1691665 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1691751), // Rule ID 7141 //
     /* 1691670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691716 */     // MIs[0] policy
     /* 1691716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691750 */     // GIR_Coverage, 7141,
     /* 1691750 */     GIR_EraseRootFromParent_Done,
     /* 1691751 */   // Label 23155: @1691751
     /* 1691751 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1691837), // Rule ID 7144 //
     /* 1691756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691802 */     // MIs[0] policy
     /* 1691802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691836 */     // GIR_Coverage, 7144,
     /* 1691836 */     GIR_EraseRootFromParent_Done,
     /* 1691837 */   // Label 23156: @1691837
     /* 1691837 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1691923), // Rule ID 7145 //
     /* 1691842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691888 */     // MIs[0] policy
     /* 1691888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691922 */     // GIR_Coverage, 7145,
     /* 1691922 */     GIR_EraseRootFromParent_Done,
     /* 1691923 */   // Label 23157: @1691923
     /* 1691923 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1692009), // Rule ID 7148 //
     /* 1691928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691974 */     // MIs[0] policy
     /* 1691974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692008 */     // GIR_Coverage, 7148,
     /* 1692008 */     GIR_EraseRootFromParent_Done,
     /* 1692009 */   // Label 23158: @1692009
     /* 1692009 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1692095), // Rule ID 7149 //
     /* 1692014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1692025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1692028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1692031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1692044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692060 */     // MIs[0] policy
     /* 1692060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1692073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692094 */     // GIR_Coverage, 7149,
     /* 1692094 */     GIR_EraseRootFromParent_Done,
     /* 1692095 */   // Label 23159: @1692095
     /* 1692095 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1692181), // Rule ID 7328 //
     /* 1692100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1692111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1692114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1692117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1692120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692146 */     // MIs[0] policy
     /* 1692146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1692159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692180 */     // GIR_Coverage, 7328,
     /* 1692180 */     GIR_EraseRootFromParent_Done,
     /* 1692181 */   // Label 23160: @1692181
     /* 1692181 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1692267), // Rule ID 7329 //
     /* 1692186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1692197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1692200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1692203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1692206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692232 */     // MIs[0] policy
     /* 1692232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692242 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1692245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692266 */     // GIR_Coverage, 7329,
     /* 1692266 */     GIR_EraseRootFromParent_Done,
     /* 1692267 */   // Label 23161: @1692267
     /* 1692267 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1692353), // Rule ID 7332 //
     /* 1692272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1692283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1692286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1692292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692318 */     // MIs[0] policy
     /* 1692318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692352 */     // GIR_Coverage, 7332,
     /* 1692352 */     GIR_EraseRootFromParent_Done,
     /* 1692353 */   // Label 23162: @1692353
     /* 1692353 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1692439), // Rule ID 7333 //
     /* 1692358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1692369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1692372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1692378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692404 */     // MIs[0] policy
     /* 1692404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692414 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692438 */     // GIR_Coverage, 7333,
     /* 1692438 */     GIR_EraseRootFromParent_Done,
     /* 1692439 */   // Label 23163: @1692439
     /* 1692439 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1692525), // Rule ID 7336 //
     /* 1692444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692490 */     // MIs[0] policy
     /* 1692490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692524 */     // GIR_Coverage, 7336,
     /* 1692524 */     GIR_EraseRootFromParent_Done,
     /* 1692525 */   // Label 23164: @1692525
     /* 1692525 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1692611), // Rule ID 7337 //
     /* 1692530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692576 */     // MIs[0] policy
     /* 1692576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692610 */     // GIR_Coverage, 7337,
     /* 1692610 */     GIR_EraseRootFromParent_Done,
     /* 1692611 */   // Label 23165: @1692611
     /* 1692611 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1692697), // Rule ID 7340 //
     /* 1692616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692662 */     // MIs[0] policy
     /* 1692662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692696 */     // GIR_Coverage, 7340,
     /* 1692696 */     GIR_EraseRootFromParent_Done,
     /* 1692697 */   // Label 23166: @1692697
     /* 1692697 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1692783), // Rule ID 7341 //
     /* 1692702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692748 */     // MIs[0] policy
     /* 1692748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692782 */     // GIR_Coverage, 7341,
     /* 1692782 */     GIR_EraseRootFromParent_Done,
     /* 1692783 */   // Label 23167: @1692783
     /* 1692783 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1692869), // Rule ID 7344 //
     /* 1692788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692834 */     // MIs[0] policy
     /* 1692834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692868 */     // GIR_Coverage, 7344,
     /* 1692868 */     GIR_EraseRootFromParent_Done,
     /* 1692869 */   // Label 23168: @1692869
     /* 1692869 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1692955), // Rule ID 7345 //
     /* 1692874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692920 */     // MIs[0] policy
     /* 1692920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692930 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692954 */     // GIR_Coverage, 7345,
     /* 1692954 */     GIR_EraseRootFromParent_Done,
     /* 1692955 */   // Label 23169: @1692955
     /* 1692955 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1693041), // Rule ID 7348 //
     /* 1692960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1692977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693006 */     // MIs[0] policy
     /* 1693006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693040 */     // GIR_Coverage, 7348,
     /* 1693040 */     GIR_EraseRootFromParent_Done,
     /* 1693041 */   // Label 23170: @1693041
     /* 1693041 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1693127), // Rule ID 7349 //
     /* 1693046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1693066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693092 */     // MIs[0] policy
     /* 1693092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693126 */     // GIR_Coverage, 7349,
     /* 1693126 */     GIR_EraseRootFromParent_Done,
     /* 1693127 */   // Label 23171: @1693127
     /* 1693127 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1693213), // Rule ID 7352 //
     /* 1693132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1693143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1693146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1693149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1693152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693178 */     // MIs[0] policy
     /* 1693178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1693191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693212 */     // GIR_Coverage, 7352,
     /* 1693212 */     GIR_EraseRootFromParent_Done,
     /* 1693213 */   // Label 23172: @1693213
     /* 1693213 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1693299), // Rule ID 7353 //
     /* 1693218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1693229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1693232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1693235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1693238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693264 */     // MIs[0] policy
     /* 1693264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1693277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693298 */     // GIR_Coverage, 7353,
     /* 1693298 */     GIR_EraseRootFromParent_Done,
     /* 1693299 */   // Label 23173: @1693299
     /* 1693299 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1693385), // Rule ID 7356 //
     /* 1693304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1693315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1693318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1693324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693350 */     // MIs[0] policy
     /* 1693350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693384 */     // GIR_Coverage, 7356,
     /* 1693384 */     GIR_EraseRootFromParent_Done,
     /* 1693385 */   // Label 23174: @1693385
     /* 1693385 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1693471), // Rule ID 7357 //
     /* 1693390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1693401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1693404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1693410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693436 */     // MIs[0] policy
     /* 1693436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693470 */     // GIR_Coverage, 7357,
     /* 1693470 */     GIR_EraseRootFromParent_Done,
     /* 1693471 */   // Label 23175: @1693471
     /* 1693471 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1693557), // Rule ID 7360 //
     /* 1693476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693522 */     // MIs[0] policy
     /* 1693522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693556 */     // GIR_Coverage, 7360,
     /* 1693556 */     GIR_EraseRootFromParent_Done,
     /* 1693557 */   // Label 23176: @1693557
     /* 1693557 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1693643), // Rule ID 7361 //
     /* 1693562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693608 */     // MIs[0] policy
     /* 1693608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693642 */     // GIR_Coverage, 7361,
     /* 1693642 */     GIR_EraseRootFromParent_Done,
     /* 1693643 */   // Label 23177: @1693643
     /* 1693643 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1693729), // Rule ID 7364 //
     /* 1693648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693694 */     // MIs[0] policy
     /* 1693694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693728 */     // GIR_Coverage, 7364,
     /* 1693728 */     GIR_EraseRootFromParent_Done,
     /* 1693729 */   // Label 23178: @1693729
     /* 1693729 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1693815), // Rule ID 7365 //
     /* 1693734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693780 */     // MIs[0] policy
     /* 1693780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693814 */     // GIR_Coverage, 7365,
     /* 1693814 */     GIR_EraseRootFromParent_Done,
     /* 1693815 */   // Label 23179: @1693815
     /* 1693815 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1693901), // Rule ID 7368 //
     /* 1693820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693866 */     // MIs[0] policy
     /* 1693866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693900 */     // GIR_Coverage, 7368,
     /* 1693900 */     GIR_EraseRootFromParent_Done,
     /* 1693901 */   // Label 23180: @1693901
     /* 1693901 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1693987), // Rule ID 7369 //
     /* 1693906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693952 */     // MIs[0] policy
     /* 1693952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693986 */     // GIR_Coverage, 7369,
     /* 1693986 */     GIR_EraseRootFromParent_Done,
     /* 1693987 */   // Label 23181: @1693987
     /* 1693987 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1694073), // Rule ID 7372 //
     /* 1693992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1694003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1694006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1694009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1694012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694038 */     // MIs[0] policy
     /* 1694038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1694051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694072 */     // GIR_Coverage, 7372,
     /* 1694072 */     GIR_EraseRootFromParent_Done,
     /* 1694073 */   // Label 23182: @1694073
     /* 1694073 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1694159), // Rule ID 7373 //
     /* 1694078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1694089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1694092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1694095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1694098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694124 */     // MIs[0] policy
     /* 1694124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694134 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1694137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694158 */     // GIR_Coverage, 7373,
     /* 1694158 */     GIR_EraseRootFromParent_Done,
     /* 1694159 */   // Label 23183: @1694159
     /* 1694159 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1694245), // Rule ID 7376 //
     /* 1694164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1694175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1694178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1694184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694210 */     // MIs[0] policy
     /* 1694210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1694223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694244 */     // GIR_Coverage, 7376,
     /* 1694244 */     GIR_EraseRootFromParent_Done,
     /* 1694245 */   // Label 23184: @1694245
     /* 1694245 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1694331), // Rule ID 7377 //
     /* 1694250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1694261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1694264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1694270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694296 */     // MIs[0] policy
     /* 1694296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694306 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1694309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694330 */     // GIR_Coverage, 7377,
     /* 1694330 */     GIR_EraseRootFromParent_Done,
     /* 1694331 */   // Label 23185: @1694331
     /* 1694331 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1694417), // Rule ID 7380 //
     /* 1694336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694382 */     // MIs[0] policy
     /* 1694382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1694395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694416 */     // GIR_Coverage, 7380,
     /* 1694416 */     GIR_EraseRootFromParent_Done,
     /* 1694417 */   // Label 23186: @1694417
     /* 1694417 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1694503), // Rule ID 7381 //
     /* 1694422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694468 */     // MIs[0] policy
     /* 1694468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1694481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694502 */     // GIR_Coverage, 7381,
     /* 1694502 */     GIR_EraseRootFromParent_Done,
     /* 1694503 */   // Label 23187: @1694503
     /* 1694503 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1694589), // Rule ID 7384 //
     /* 1694508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694554 */     // MIs[0] policy
     /* 1694554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694588 */     // GIR_Coverage, 7384,
     /* 1694588 */     GIR_EraseRootFromParent_Done,
     /* 1694589 */   // Label 23188: @1694589
     /* 1694589 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1694675), // Rule ID 7385 //
     /* 1694594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694640 */     // MIs[0] policy
     /* 1694640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694674 */     // GIR_Coverage, 7385,
     /* 1694674 */     GIR_EraseRootFromParent_Done,
     /* 1694675 */   // Label 23189: @1694675
     /* 1694675 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1694761), // Rule ID 7388 //
     /* 1694680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694726 */     // MIs[0] policy
     /* 1694726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694760 */     // GIR_Coverage, 7388,
     /* 1694760 */     GIR_EraseRootFromParent_Done,
     /* 1694761 */   // Label 23190: @1694761
     /* 1694761 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1694847), // Rule ID 7389 //
     /* 1694766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694812 */     // MIs[0] policy
     /* 1694812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694846 */     // GIR_Coverage, 7389,
     /* 1694846 */     GIR_EraseRootFromParent_Done,
     /* 1694847 */   // Label 23191: @1694847
     /* 1694847 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1694933), // Rule ID 7392 //
     /* 1694852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694898 */     // MIs[0] policy
     /* 1694898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694932 */     // GIR_Coverage, 7392,
     /* 1694932 */     GIR_EraseRootFromParent_Done,
     /* 1694933 */   // Label 23192: @1694933
     /* 1694933 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1695019), // Rule ID 7393 //
     /* 1694938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694984 */     // MIs[0] policy
     /* 1694984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695018 */     // GIR_Coverage, 7393,
     /* 1695018 */     GIR_EraseRootFromParent_Done,
     /* 1695019 */   // Label 23193: @1695019
     /* 1695019 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1695105), // Rule ID 7396 //
     /* 1695024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1695041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695070 */     // MIs[0] policy
     /* 1695070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695104 */     // GIR_Coverage, 7396,
     /* 1695104 */     GIR_EraseRootFromParent_Done,
     /* 1695105 */   // Label 23194: @1695105
     /* 1695105 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1695191), // Rule ID 7397 //
     /* 1695110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1695127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695156 */     // MIs[0] policy
     /* 1695156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695166 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695190 */     // GIR_Coverage, 7397,
     /* 1695190 */     GIR_EraseRootFromParent_Done,
     /* 1695191 */   // Label 23195: @1695191
     /* 1695191 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1695277), // Rule ID 7400 //
     /* 1695196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1695207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1695210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1695213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695242 */     // MIs[0] policy
     /* 1695242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695276 */     // GIR_Coverage, 7400,
     /* 1695276 */     GIR_EraseRootFromParent_Done,
     /* 1695277 */   // Label 23196: @1695277
     /* 1695277 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1695363), // Rule ID 7401 //
     /* 1695282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1695293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1695296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1695299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695328 */     // MIs[0] policy
     /* 1695328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695338 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695362 */     // GIR_Coverage, 7401,
     /* 1695362 */     GIR_EraseRootFromParent_Done,
     /* 1695363 */   // Label 23197: @1695363
     /* 1695363 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1695449), // Rule ID 7404 //
     /* 1695368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1695379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1695382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1695385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695414 */     // MIs[0] policy
     /* 1695414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695448 */     // GIR_Coverage, 7404,
     /* 1695448 */     GIR_EraseRootFromParent_Done,
     /* 1695449 */   // Label 23198: @1695449
     /* 1695449 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1695535), // Rule ID 7405 //
     /* 1695454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1695465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1695468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1695471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695500 */     // MIs[0] policy
     /* 1695500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695534 */     // GIR_Coverage, 7405,
     /* 1695534 */     GIR_EraseRootFromParent_Done,
     /* 1695535 */   // Label 23199: @1695535
     /* 1695535 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1695621), // Rule ID 7408 //
     /* 1695540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695586 */     // MIs[0] policy
     /* 1695586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695620 */     // GIR_Coverage, 7408,
     /* 1695620 */     GIR_EraseRootFromParent_Done,
     /* 1695621 */   // Label 23200: @1695621
     /* 1695621 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1695707), // Rule ID 7409 //
     /* 1695626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695672 */     // MIs[0] policy
     /* 1695672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695682 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695706 */     // GIR_Coverage, 7409,
     /* 1695706 */     GIR_EraseRootFromParent_Done,
     /* 1695707 */   // Label 23201: @1695707
     /* 1695707 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1695793), // Rule ID 7412 //
     /* 1695712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695758 */     // MIs[0] policy
     /* 1695758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695792 */     // GIR_Coverage, 7412,
     /* 1695792 */     GIR_EraseRootFromParent_Done,
     /* 1695793 */   // Label 23202: @1695793
     /* 1695793 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1695879), // Rule ID 7413 //
     /* 1695798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695844 */     // MIs[0] policy
     /* 1695844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695878 */     // GIR_Coverage, 7413,
     /* 1695878 */     GIR_EraseRootFromParent_Done,
     /* 1695879 */   // Label 23203: @1695879
     /* 1695879 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1695965), // Rule ID 7416 //
     /* 1695884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695930 */     // MIs[0] policy
     /* 1695930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695964 */     // GIR_Coverage, 7416,
     /* 1695964 */     GIR_EraseRootFromParent_Done,
     /* 1695965 */   // Label 23204: @1695965
     /* 1695965 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1696051), // Rule ID 7417 //
     /* 1695970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696016 */     // MIs[0] policy
     /* 1696016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696050 */     // GIR_Coverage, 7417,
     /* 1696050 */     GIR_EraseRootFromParent_Done,
     /* 1696051 */   // Label 23205: @1696051
     /* 1696051 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1696137), // Rule ID 7420 //
     /* 1696056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1696073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696102 */     // MIs[0] policy
     /* 1696102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696136 */     // GIR_Coverage, 7420,
     /* 1696136 */     GIR_EraseRootFromParent_Done,
     /* 1696137 */   // Label 23206: @1696137
     /* 1696137 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1696223), // Rule ID 7421 //
     /* 1696142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1696159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696188 */     // MIs[0] policy
     /* 1696188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696222 */     // GIR_Coverage, 7421,
     /* 1696222 */     GIR_EraseRootFromParent_Done,
     /* 1696223 */   // Label 23207: @1696223
     /* 1696223 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1696309), // Rule ID 7424 //
     /* 1696228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1696239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1696242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1696245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696274 */     // MIs[0] policy
     /* 1696274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696308 */     // GIR_Coverage, 7424,
     /* 1696308 */     GIR_EraseRootFromParent_Done,
     /* 1696309 */   // Label 23208: @1696309
     /* 1696309 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1696395), // Rule ID 7425 //
     /* 1696314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1696325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1696328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1696331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696360 */     // MIs[0] policy
     /* 1696360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696394 */     // GIR_Coverage, 7425,
     /* 1696394 */     GIR_EraseRootFromParent_Done,
     /* 1696395 */   // Label 23209: @1696395
     /* 1696395 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1696481), // Rule ID 7428 //
     /* 1696400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1696411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1696414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1696417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696446 */     // MIs[0] policy
     /* 1696446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696480 */     // GIR_Coverage, 7428,
     /* 1696480 */     GIR_EraseRootFromParent_Done,
     /* 1696481 */   // Label 23210: @1696481
     /* 1696481 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1696567), // Rule ID 7429 //
     /* 1696486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1696497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1696500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1696503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696532 */     // MIs[0] policy
     /* 1696532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696566 */     // GIR_Coverage, 7429,
     /* 1696566 */     GIR_EraseRootFromParent_Done,
     /* 1696567 */   // Label 23211: @1696567
     /* 1696567 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1696653), // Rule ID 7432 //
     /* 1696572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696618 */     // MIs[0] policy
     /* 1696618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696652 */     // GIR_Coverage, 7432,
     /* 1696652 */     GIR_EraseRootFromParent_Done,
     /* 1696653 */   // Label 23212: @1696653
     /* 1696653 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1696739), // Rule ID 7433 //
     /* 1696658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696704 */     // MIs[0] policy
     /* 1696704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696738 */     // GIR_Coverage, 7433,
     /* 1696738 */     GIR_EraseRootFromParent_Done,
     /* 1696739 */   // Label 23213: @1696739
     /* 1696739 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1696825), // Rule ID 7436 //
     /* 1696744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696790 */     // MIs[0] policy
     /* 1696790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696824 */     // GIR_Coverage, 7436,
     /* 1696824 */     GIR_EraseRootFromParent_Done,
     /* 1696825 */   // Label 23214: @1696825
     /* 1696825 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1696911), // Rule ID 7437 //
     /* 1696830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696876 */     // MIs[0] policy
     /* 1696876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696910 */     // GIR_Coverage, 7437,
     /* 1696910 */     GIR_EraseRootFromParent_Done,
     /* 1696911 */   // Label 23215: @1696911
     /* 1696911 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1696997), // Rule ID 7440 //
     /* 1696916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1696933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696962 */     // MIs[0] policy
     /* 1696962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696996 */     // GIR_Coverage, 7440,
     /* 1696996 */     GIR_EraseRootFromParent_Done,
     /* 1696997 */   // Label 23216: @1696997
     /* 1696997 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1697083), // Rule ID 7441 //
     /* 1697002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1697019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697048 */     // MIs[0] policy
     /* 1697048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1697061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697082 */     // GIR_Coverage, 7441,
     /* 1697082 */     GIR_EraseRootFromParent_Done,
     /* 1697083 */   // Label 23217: @1697083
     /* 1697083 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1697169), // Rule ID 7444 //
     /* 1697088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1697099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1697102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1697105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697134 */     // MIs[0] policy
     /* 1697134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1697147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697168 */     // GIR_Coverage, 7444,
     /* 1697168 */     GIR_EraseRootFromParent_Done,
     /* 1697169 */   // Label 23218: @1697169
     /* 1697169 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1697255), // Rule ID 7445 //
     /* 1697174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1697185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1697188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1697191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697220 */     // MIs[0] policy
     /* 1697220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1697233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697254 */     // GIR_Coverage, 7445,
     /* 1697254 */     GIR_EraseRootFromParent_Done,
     /* 1697255 */   // Label 23219: @1697255
     /* 1697255 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1697341), // Rule ID 7508 //
     /* 1697260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1697271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1697274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1697277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1697280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697306 */     // MIs[0] policy
     /* 1697306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1697319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697340 */     // GIR_Coverage, 7508,
     /* 1697340 */     GIR_EraseRootFromParent_Done,
     /* 1697341 */   // Label 23220: @1697341
     /* 1697341 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1697427), // Rule ID 7509 //
     /* 1697346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1697357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1697360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1697363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1697366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697392 */     // MIs[0] policy
     /* 1697392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1697405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697426 */     // GIR_Coverage, 7509,
     /* 1697426 */     GIR_EraseRootFromParent_Done,
     /* 1697427 */   // Label 23221: @1697427
     /* 1697427 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1697513), // Rule ID 7512 //
     /* 1697432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697478 */     // MIs[0] policy
     /* 1697478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697512 */     // GIR_Coverage, 7512,
     /* 1697512 */     GIR_EraseRootFromParent_Done,
     /* 1697513 */   // Label 23222: @1697513
     /* 1697513 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1697599), // Rule ID 7513 //
     /* 1697518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697564 */     // MIs[0] policy
     /* 1697564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697598 */     // GIR_Coverage, 7513,
     /* 1697598 */     GIR_EraseRootFromParent_Done,
     /* 1697599 */   // Label 23223: @1697599
     /* 1697599 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1697685), // Rule ID 7516 //
     /* 1697604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697650 */     // MIs[0] policy
     /* 1697650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697684 */     // GIR_Coverage, 7516,
     /* 1697684 */     GIR_EraseRootFromParent_Done,
     /* 1697685 */   // Label 23224: @1697685
     /* 1697685 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1697771), // Rule ID 7517 //
     /* 1697690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697736 */     // MIs[0] policy
     /* 1697736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697770 */     // GIR_Coverage, 7517,
     /* 1697770 */     GIR_EraseRootFromParent_Done,
     /* 1697771 */   // Label 23225: @1697771
     /* 1697771 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1697857), // Rule ID 7520 //
     /* 1697776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697822 */     // MIs[0] policy
     /* 1697822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697856 */     // GIR_Coverage, 7520,
     /* 1697856 */     GIR_EraseRootFromParent_Done,
     /* 1697857 */   // Label 23226: @1697857
     /* 1697857 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1697943), // Rule ID 7521 //
     /* 1697862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697908 */     // MIs[0] policy
     /* 1697908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697918 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697942 */     // GIR_Coverage, 7521,
     /* 1697942 */     GIR_EraseRootFromParent_Done,
     /* 1697943 */   // Label 23227: @1697943
     /* 1697943 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1698029), // Rule ID 7524 //
     /* 1697948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697994 */     // MIs[0] policy
     /* 1697994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698028 */     // GIR_Coverage, 7524,
     /* 1698028 */     GIR_EraseRootFromParent_Done,
     /* 1698029 */   // Label 23228: @1698029
     /* 1698029 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1698115), // Rule ID 7525 //
     /* 1698034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1698045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1698048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1698051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1698054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698080 */     // MIs[0] policy
     /* 1698080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698090 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698114 */     // GIR_Coverage, 7525,
     /* 1698114 */     GIR_EraseRootFromParent_Done,
     /* 1698115 */   // Label 23229: @1698115
     /* 1698115 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1698201), // Rule ID 7528 //
     /* 1698120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1698131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1698134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1698140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698166 */     // MIs[0] policy
     /* 1698166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698200 */     // GIR_Coverage, 7528,
     /* 1698200 */     GIR_EraseRootFromParent_Done,
     /* 1698201 */   // Label 23230: @1698201
     /* 1698201 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1698287), // Rule ID 7529 //
     /* 1698206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1698217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1698220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1698226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698252 */     // MIs[0] policy
     /* 1698252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698286 */     // GIR_Coverage, 7529,
     /* 1698286 */     GIR_EraseRootFromParent_Done,
     /* 1698287 */   // Label 23231: @1698287
     /* 1698287 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1698373), // Rule ID 7532 //
     /* 1698292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1698303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1698306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1698309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1698312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698338 */     // MIs[0] policy
     /* 1698338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1698351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698372 */     // GIR_Coverage, 7532,
     /* 1698372 */     GIR_EraseRootFromParent_Done,
     /* 1698373 */   // Label 23232: @1698373
     /* 1698373 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1698459), // Rule ID 7533 //
     /* 1698378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1698389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1698392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1698395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1698398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698424 */     // MIs[0] policy
     /* 1698424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698434 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1698437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698458 */     // GIR_Coverage, 7533,
     /* 1698458 */     GIR_EraseRootFromParent_Done,
     /* 1698459 */   // Label 23233: @1698459
     /* 1698459 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1698545), // Rule ID 7536 //
     /* 1698464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698510 */     // MIs[0] policy
     /* 1698510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698544 */     // GIR_Coverage, 7536,
     /* 1698544 */     GIR_EraseRootFromParent_Done,
     /* 1698545 */   // Label 23234: @1698545
     /* 1698545 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1698631), // Rule ID 7537 //
     /* 1698550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698596 */     // MIs[0] policy
     /* 1698596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698630 */     // GIR_Coverage, 7537,
     /* 1698630 */     GIR_EraseRootFromParent_Done,
     /* 1698631 */   // Label 23235: @1698631
     /* 1698631 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1698717), // Rule ID 7540 //
     /* 1698636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698682 */     // MIs[0] policy
     /* 1698682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698716 */     // GIR_Coverage, 7540,
     /* 1698716 */     GIR_EraseRootFromParent_Done,
     /* 1698717 */   // Label 23236: @1698717
     /* 1698717 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1698803), // Rule ID 7541 //
     /* 1698722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698768 */     // MIs[0] policy
     /* 1698768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698802 */     // GIR_Coverage, 7541,
     /* 1698802 */     GIR_EraseRootFromParent_Done,
     /* 1698803 */   // Label 23237: @1698803
     /* 1698803 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1698889), // Rule ID 7544 //
     /* 1698808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698854 */     // MIs[0] policy
     /* 1698854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698888 */     // GIR_Coverage, 7544,
     /* 1698888 */     GIR_EraseRootFromParent_Done,
     /* 1698889 */   // Label 23238: @1698889
     /* 1698889 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1698975), // Rule ID 7545 //
     /* 1698894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698940 */     // MIs[0] policy
     /* 1698940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698974 */     // GIR_Coverage, 7545,
     /* 1698974 */     GIR_EraseRootFromParent_Done,
     /* 1698975 */   // Label 23239: @1698975
     /* 1698975 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1699061), // Rule ID 7548 //
     /* 1698980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1699000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699026 */     // MIs[0] policy
     /* 1699026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699060 */     // GIR_Coverage, 7548,
     /* 1699060 */     GIR_EraseRootFromParent_Done,
     /* 1699061 */   // Label 23240: @1699061
     /* 1699061 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1699147), // Rule ID 7549 //
     /* 1699066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1699077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1699080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1699083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1699086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699112 */     // MIs[0] policy
     /* 1699112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699146 */     // GIR_Coverage, 7549,
     /* 1699146 */     GIR_EraseRootFromParent_Done,
     /* 1699147 */   // Label 23241: @1699147
     /* 1699147 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1699233), // Rule ID 7552 //
     /* 1699152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1699163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1699166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1699169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1699172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699198 */     // MIs[0] policy
     /* 1699198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1699211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699232 */     // GIR_Coverage, 7552,
     /* 1699232 */     GIR_EraseRootFromParent_Done,
     /* 1699233 */   // Label 23242: @1699233
     /* 1699233 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1699319), // Rule ID 7553 //
     /* 1699238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1699249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1699252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1699255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1699258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699284 */     // MIs[0] policy
     /* 1699284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1699297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699318 */     // GIR_Coverage, 7553,
     /* 1699318 */     GIR_EraseRootFromParent_Done,
     /* 1699319 */   // Label 23243: @1699319
     /* 1699319 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1699405), // Rule ID 7556 //
     /* 1699324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1699335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1699338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1699344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699370 */     // MIs[0] policy
     /* 1699370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1699383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699404 */     // GIR_Coverage, 7556,
     /* 1699404 */     GIR_EraseRootFromParent_Done,
     /* 1699405 */   // Label 23244: @1699405
     /* 1699405 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1699491), // Rule ID 7557 //
     /* 1699410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1699421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1699424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1699430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699456 */     // MIs[0] policy
     /* 1699456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1699469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699490 */     // GIR_Coverage, 7557,
     /* 1699490 */     GIR_EraseRootFromParent_Done,
     /* 1699491 */   // Label 23245: @1699491
     /* 1699491 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1699577), // Rule ID 7560 //
     /* 1699496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699542 */     // MIs[0] policy
     /* 1699542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699576 */     // GIR_Coverage, 7560,
     /* 1699576 */     GIR_EraseRootFromParent_Done,
     /* 1699577 */   // Label 23246: @1699577
     /* 1699577 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1699663), // Rule ID 7561 //
     /* 1699582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699628 */     // MIs[0] policy
     /* 1699628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699662 */     // GIR_Coverage, 7561,
     /* 1699662 */     GIR_EraseRootFromParent_Done,
     /* 1699663 */   // Label 23247: @1699663
     /* 1699663 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1699749), // Rule ID 7564 //
     /* 1699668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699714 */     // MIs[0] policy
     /* 1699714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699748 */     // GIR_Coverage, 7564,
     /* 1699748 */     GIR_EraseRootFromParent_Done,
     /* 1699749 */   // Label 23248: @1699749
     /* 1699749 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1699835), // Rule ID 7565 //
     /* 1699754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699800 */     // MIs[0] policy
     /* 1699800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699810 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699834 */     // GIR_Coverage, 7565,
     /* 1699834 */     GIR_EraseRootFromParent_Done,
     /* 1699835 */   // Label 23249: @1699835
     /* 1699835 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1699921), // Rule ID 7568 //
     /* 1699840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699886 */     // MIs[0] policy
     /* 1699886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699920 */     // GIR_Coverage, 7568,
     /* 1699920 */     GIR_EraseRootFromParent_Done,
     /* 1699921 */   // Label 23250: @1699921
     /* 1699921 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1700007), // Rule ID 7569 //
     /* 1699926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699972 */     // MIs[0] policy
     /* 1699972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699982 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700006 */     // GIR_Coverage, 7569,
     /* 1700006 */     GIR_EraseRootFromParent_Done,
     /* 1700007 */   // Label 23251: @1700007
     /* 1700007 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1700093), // Rule ID 7572 //
     /* 1700012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700058 */     // MIs[0] policy
     /* 1700058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700092 */     // GIR_Coverage, 7572,
     /* 1700092 */     GIR_EraseRootFromParent_Done,
     /* 1700093 */   // Label 23252: @1700093
     /* 1700093 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1700179), // Rule ID 7573 //
     /* 1700098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700144 */     // MIs[0] policy
     /* 1700144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700154 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700178 */     // GIR_Coverage, 7573,
     /* 1700178 */     GIR_EraseRootFromParent_Done,
     /* 1700179 */   // Label 23253: @1700179
     /* 1700179 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1700265), // Rule ID 7576 //
     /* 1700184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1700201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700230 */     // MIs[0] policy
     /* 1700230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700264 */     // GIR_Coverage, 7576,
     /* 1700264 */     GIR_EraseRootFromParent_Done,
     /* 1700265 */   // Label 23254: @1700265
     /* 1700265 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1700351), // Rule ID 7577 //
     /* 1700270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1700287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700316 */     // MIs[0] policy
     /* 1700316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700350 */     // GIR_Coverage, 7577,
     /* 1700350 */     GIR_EraseRootFromParent_Done,
     /* 1700351 */   // Label 23255: @1700351
     /* 1700351 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1700437), // Rule ID 7580 //
     /* 1700356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1700373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700402 */     // MIs[0] policy
     /* 1700402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700436 */     // GIR_Coverage, 7580,
     /* 1700436 */     GIR_EraseRootFromParent_Done,
     /* 1700437 */   // Label 23256: @1700437
     /* 1700437 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1700523), // Rule ID 7581 //
     /* 1700442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1700459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700488 */     // MIs[0] policy
     /* 1700488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700522 */     // GIR_Coverage, 7581,
     /* 1700522 */     GIR_EraseRootFromParent_Done,
     /* 1700523 */   // Label 23257: @1700523
     /* 1700523 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1700609), // Rule ID 7584 //
     /* 1700528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700574 */     // MIs[0] policy
     /* 1700574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700608 */     // GIR_Coverage, 7584,
     /* 1700608 */     GIR_EraseRootFromParent_Done,
     /* 1700609 */   // Label 23258: @1700609
     /* 1700609 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1700695), // Rule ID 7585 //
     /* 1700614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700660 */     // MIs[0] policy
     /* 1700660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700670 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700694 */     // GIR_Coverage, 7585,
     /* 1700694 */     GIR_EraseRootFromParent_Done,
     /* 1700695 */   // Label 23259: @1700695
     /* 1700695 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1700781), // Rule ID 7588 //
     /* 1700700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700746 */     // MIs[0] policy
     /* 1700746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700756 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700780 */     // GIR_Coverage, 7588,
     /* 1700780 */     GIR_EraseRootFromParent_Done,
     /* 1700781 */   // Label 23260: @1700781
     /* 1700781 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1700867), // Rule ID 7589 //
     /* 1700786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700832 */     // MIs[0] policy
     /* 1700832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700866 */     // GIR_Coverage, 7589,
     /* 1700866 */     GIR_EraseRootFromParent_Done,
     /* 1700867 */   // Label 23261: @1700867
     /* 1700867 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1700953), // Rule ID 7592 //
     /* 1700872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700918 */     // MIs[0] policy
     /* 1700918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700952 */     // GIR_Coverage, 7592,
     /* 1700952 */     GIR_EraseRootFromParent_Done,
     /* 1700953 */   // Label 23262: @1700953
     /* 1700953 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1701039), // Rule ID 7593 //
     /* 1700958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701004 */     // MIs[0] policy
     /* 1701004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1701017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701038 */     // GIR_Coverage, 7593,
     /* 1701038 */     GIR_EraseRootFromParent_Done,
     /* 1701039 */   // Label 23263: @1701039
     /* 1701039 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1701125), // Rule ID 7596 //
     /* 1701044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1701055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1701058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701090 */     // MIs[0] policy
     /* 1701090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701124 */     // GIR_Coverage, 7596,
     /* 1701124 */     GIR_EraseRootFromParent_Done,
     /* 1701125 */   // Label 23264: @1701125
     /* 1701125 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1701211), // Rule ID 7597 //
     /* 1701130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1701141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1701144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701176 */     // MIs[0] policy
     /* 1701176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701210 */     // GIR_Coverage, 7597,
     /* 1701210 */     GIR_EraseRootFromParent_Done,
     /* 1701211 */   // Label 23265: @1701211
     /* 1701211 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1701297), // Rule ID 7600 //
     /* 1701216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1701233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701262 */     // MIs[0] policy
     /* 1701262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701296 */     // GIR_Coverage, 7600,
     /* 1701296 */     GIR_EraseRootFromParent_Done,
     /* 1701297 */   // Label 23266: @1701297
     /* 1701297 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1701383), // Rule ID 7601 //
     /* 1701302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1701319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701348 */     // MIs[0] policy
     /* 1701348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701382 */     // GIR_Coverage, 7601,
     /* 1701382 */     GIR_EraseRootFromParent_Done,
     /* 1701383 */   // Label 23267: @1701383
     /* 1701383 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1701469), // Rule ID 7604 //
     /* 1701388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1701405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701434 */     // MIs[0] policy
     /* 1701434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701468 */     // GIR_Coverage, 7604,
     /* 1701468 */     GIR_EraseRootFromParent_Done,
     /* 1701469 */   // Label 23268: @1701469
     /* 1701469 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1701555), // Rule ID 7605 //
     /* 1701474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1701491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701520 */     // MIs[0] policy
     /* 1701520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701554 */     // GIR_Coverage, 7605,
     /* 1701554 */     GIR_EraseRootFromParent_Done,
     /* 1701555 */   // Label 23269: @1701555
     /* 1701555 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1701641), // Rule ID 7608 //
     /* 1701560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701606 */     // MIs[0] policy
     /* 1701606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701640 */     // GIR_Coverage, 7608,
     /* 1701640 */     GIR_EraseRootFromParent_Done,
     /* 1701641 */   // Label 23270: @1701641
     /* 1701641 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1701727), // Rule ID 7609 //
     /* 1701646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701692 */     // MIs[0] policy
     /* 1701692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701726 */     // GIR_Coverage, 7609,
     /* 1701726 */     GIR_EraseRootFromParent_Done,
     /* 1701727 */   // Label 23271: @1701727
     /* 1701727 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1701813), // Rule ID 7612 //
     /* 1701732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701778 */     // MIs[0] policy
     /* 1701778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701788 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701812 */     // GIR_Coverage, 7612,
     /* 1701812 */     GIR_EraseRootFromParent_Done,
     /* 1701813 */   // Label 23272: @1701813
     /* 1701813 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1701899), // Rule ID 7613 //
     /* 1701818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701864 */     // MIs[0] policy
     /* 1701864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701898 */     // GIR_Coverage, 7613,
     /* 1701898 */     GIR_EraseRootFromParent_Done,
     /* 1701899 */   // Label 23273: @1701899
     /* 1701899 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1701985), // Rule ID 7616 //
     /* 1701904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701950 */     // MIs[0] policy
     /* 1701950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701984 */     // GIR_Coverage, 7616,
     /* 1701984 */     GIR_EraseRootFromParent_Done,
     /* 1701985 */   // Label 23274: @1701985
     /* 1701985 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1702071), // Rule ID 7617 //
     /* 1701990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1702001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1702004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1702007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702036 */     // MIs[0] policy
     /* 1702036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1702049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702070 */     // GIR_Coverage, 7617,
     /* 1702070 */     GIR_EraseRootFromParent_Done,
     /* 1702071 */   // Label 23275: @1702071
     /* 1702071 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1702157), // Rule ID 7620 //
     /* 1702076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1702087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1702090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1702093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702122 */     // MIs[0] policy
     /* 1702122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702132 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1702135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702156 */     // GIR_Coverage, 7620,
     /* 1702156 */     GIR_EraseRootFromParent_Done,
     /* 1702157 */   // Label 23276: @1702157
     /* 1702157 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1702243), // Rule ID 7621 //
     /* 1702162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1702173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1702176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1702179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702208 */     // MIs[0] policy
     /* 1702208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1702221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702242 */     // GIR_Coverage, 7621,
     /* 1702242 */     GIR_EraseRootFromParent_Done,
     /* 1702243 */   // Label 23277: @1702243
     /* 1702243 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1702329), // Rule ID 7624 //
     /* 1702248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1702265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702294 */     // MIs[0] policy
     /* 1702294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1702307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702328 */     // GIR_Coverage, 7624,
     /* 1702328 */     GIR_EraseRootFromParent_Done,
     /* 1702329 */   // Label 23278: @1702329
     /* 1702329 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1702415), // Rule ID 7625 //
     /* 1702334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1702351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702380 */     // MIs[0] policy
     /* 1702380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1702393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702414 */     // GIR_Coverage, 7625,
     /* 1702414 */     GIR_EraseRootFromParent_Done,
     /* 1702415 */   // Label 23279: @1702415
     /* 1702415 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1702501), // Rule ID 10140 //
     /* 1702420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1702431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1702434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702466 */     // MIs[0] policy
     /* 1702466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702476 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702500 */     // GIR_Coverage, 10140,
     /* 1702500 */     GIR_EraseRootFromParent_Done,
     /* 1702501 */   // Label 23280: @1702501
     /* 1702501 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1702587), // Rule ID 10141 //
     /* 1702506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1702517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1702520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702552 */     // MIs[0] policy
     /* 1702552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702562 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702586 */     // GIR_Coverage, 10141,
     /* 1702586 */     GIR_EraseRootFromParent_Done,
     /* 1702587 */   // Label 23281: @1702587
     /* 1702587 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1702673), // Rule ID 10144 //
     /* 1702592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702638 */     // MIs[0] policy
     /* 1702638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702672 */     // GIR_Coverage, 10144,
     /* 1702672 */     GIR_EraseRootFromParent_Done,
     /* 1702673 */   // Label 23282: @1702673
     /* 1702673 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1702759), // Rule ID 10145 //
     /* 1702678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702724 */     // MIs[0] policy
     /* 1702724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702734 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702758 */     // GIR_Coverage, 10145,
     /* 1702758 */     GIR_EraseRootFromParent_Done,
     /* 1702759 */   // Label 23283: @1702759
     /* 1702759 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1702845), // Rule ID 10148 //
     /* 1702764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702810 */     // MIs[0] policy
     /* 1702810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702820 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702844 */     // GIR_Coverage, 10148,
     /* 1702844 */     GIR_EraseRootFromParent_Done,
     /* 1702845 */   // Label 23284: @1702845
     /* 1702845 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1702931), // Rule ID 10149 //
     /* 1702850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702896 */     // MIs[0] policy
     /* 1702896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702930 */     // GIR_Coverage, 10149,
     /* 1702930 */     GIR_EraseRootFromParent_Done,
     /* 1702931 */   // Label 23285: @1702931
     /* 1702931 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1703017), // Rule ID 10152 //
     /* 1702936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1702953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702982 */     // MIs[0] policy
     /* 1702982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703016 */     // GIR_Coverage, 10152,
     /* 1703016 */     GIR_EraseRootFromParent_Done,
     /* 1703017 */   // Label 23286: @1703017
     /* 1703017 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1703103), // Rule ID 10153 //
     /* 1703022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1703033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1703036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1703042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703068 */     // MIs[0] policy
     /* 1703068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1703081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703102 */     // GIR_Coverage, 10153,
     /* 1703102 */     GIR_EraseRootFromParent_Done,
     /* 1703103 */   // Label 23287: @1703103
     /* 1703103 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1703189), // Rule ID 10156 //
     /* 1703108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1703119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1703122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1703128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703154 */     // MIs[0] policy
     /* 1703154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703188 */     // GIR_Coverage, 10156,
     /* 1703188 */     GIR_EraseRootFromParent_Done,
     /* 1703189 */   // Label 23288: @1703189
     /* 1703189 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1703275), // Rule ID 10157 //
     /* 1703194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1703205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1703208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1703214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703240 */     // MIs[0] policy
     /* 1703240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703250 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703274 */     // GIR_Coverage, 10157,
     /* 1703274 */     GIR_EraseRootFromParent_Done,
     /* 1703275 */   // Label 23289: @1703275
     /* 1703275 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1703361), // Rule ID 10160 //
     /* 1703280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1703297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1703300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703326 */     // MIs[0] policy
     /* 1703326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703360 */     // GIR_Coverage, 10160,
     /* 1703360 */     GIR_EraseRootFromParent_Done,
     /* 1703361 */   // Label 23290: @1703361
     /* 1703361 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1703447), // Rule ID 10161 //
     /* 1703366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1703383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1703386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703412 */     // MIs[0] policy
     /* 1703412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703446 */     // GIR_Coverage, 10161,
     /* 1703446 */     GIR_EraseRootFromParent_Done,
     /* 1703447 */   // Label 23291: @1703447
     /* 1703447 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1703533), // Rule ID 10164 //
     /* 1703452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703498 */     // MIs[0] policy
     /* 1703498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703532 */     // GIR_Coverage, 10164,
     /* 1703532 */     GIR_EraseRootFromParent_Done,
     /* 1703533 */   // Label 23292: @1703533
     /* 1703533 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1703619), // Rule ID 10165 //
     /* 1703538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703584 */     // MIs[0] policy
     /* 1703584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703618 */     // GIR_Coverage, 10165,
     /* 1703618 */     GIR_EraseRootFromParent_Done,
     /* 1703619 */   // Label 23293: @1703619
     /* 1703619 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1703705), // Rule ID 10168 //
     /* 1703624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703670 */     // MIs[0] policy
     /* 1703670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703704 */     // GIR_Coverage, 10168,
     /* 1703704 */     GIR_EraseRootFromParent_Done,
     /* 1703705 */   // Label 23294: @1703705
     /* 1703705 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1703791), // Rule ID 10169 //
     /* 1703710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703756 */     // MIs[0] policy
     /* 1703756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703766 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703790 */     // GIR_Coverage, 10169,
     /* 1703790 */     GIR_EraseRootFromParent_Done,
     /* 1703791 */   // Label 23295: @1703791
     /* 1703791 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1703877), // Rule ID 10172 //
     /* 1703796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703842 */     // MIs[0] policy
     /* 1703842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703876 */     // GIR_Coverage, 10172,
     /* 1703876 */     GIR_EraseRootFromParent_Done,
     /* 1703877 */   // Label 23296: @1703877
     /* 1703877 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1703963), // Rule ID 10173 //
     /* 1703882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703928 */     // MIs[0] policy
     /* 1703928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703938 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703962 */     // GIR_Coverage, 10173,
     /* 1703962 */     GIR_EraseRootFromParent_Done,
     /* 1703963 */   // Label 23297: @1703963
     /* 1703963 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1704049), // Rule ID 10176 //
     /* 1703968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1703979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1703982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1703988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704014 */     // MIs[0] policy
     /* 1704014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1704027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704048 */     // GIR_Coverage, 10176,
     /* 1704048 */     GIR_EraseRootFromParent_Done,
     /* 1704049 */   // Label 23298: @1704049
     /* 1704049 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1704135), // Rule ID 10177 //
     /* 1704054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1704065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1704068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1704071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1704074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704100 */     // MIs[0] policy
     /* 1704100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704110 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1704113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704134 */     // GIR_Coverage, 10177,
     /* 1704134 */     GIR_EraseRootFromParent_Done,
     /* 1704135 */   // Label 23299: @1704135
     /* 1704135 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1704221), // Rule ID 10180 //
     /* 1704140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1704157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704186 */     // MIs[0] policy
     /* 1704186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704220 */     // GIR_Coverage, 10180,
     /* 1704220 */     GIR_EraseRootFromParent_Done,
     /* 1704221 */   // Label 23300: @1704221
     /* 1704221 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1704307), // Rule ID 10181 //
     /* 1704226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1704243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704272 */     // MIs[0] policy
     /* 1704272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704282 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704306 */     // GIR_Coverage, 10181,
     /* 1704306 */     GIR_EraseRootFromParent_Done,
     /* 1704307 */   // Label 23301: @1704307
     /* 1704307 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1704393), // Rule ID 10184 //
     /* 1704312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1704329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704358 */     // MIs[0] policy
     /* 1704358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704368 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704392 */     // GIR_Coverage, 10184,
     /* 1704392 */     GIR_EraseRootFromParent_Done,
     /* 1704393 */   // Label 23302: @1704393
     /* 1704393 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1704479), // Rule ID 10185 //
     /* 1704398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1704415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704444 */     // MIs[0] policy
     /* 1704444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704454 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704478 */     // GIR_Coverage, 10185,
     /* 1704478 */     GIR_EraseRootFromParent_Done,
     /* 1704479 */   // Label 23303: @1704479
     /* 1704479 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1704565), // Rule ID 10188 //
     /* 1704484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704530 */     // MIs[0] policy
     /* 1704530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704540 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704564 */     // GIR_Coverage, 10188,
     /* 1704564 */     GIR_EraseRootFromParent_Done,
     /* 1704565 */   // Label 23304: @1704565
     /* 1704565 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1704651), // Rule ID 10189 //
     /* 1704570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704616 */     // MIs[0] policy
     /* 1704616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704650 */     // GIR_Coverage, 10189,
     /* 1704650 */     GIR_EraseRootFromParent_Done,
     /* 1704651 */   // Label 23305: @1704651
     /* 1704651 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1704737), // Rule ID 10192 //
     /* 1704656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704702 */     // MIs[0] policy
     /* 1704702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704736 */     // GIR_Coverage, 10192,
     /* 1704736 */     GIR_EraseRootFromParent_Done,
     /* 1704737 */   // Label 23306: @1704737
     /* 1704737 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1704823), // Rule ID 10193 //
     /* 1704742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704788 */     // MIs[0] policy
     /* 1704788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704822 */     // GIR_Coverage, 10193,
     /* 1704822 */     GIR_EraseRootFromParent_Done,
     /* 1704823 */   // Label 23307: @1704823
     /* 1704823 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1704909), // Rule ID 10196 //
     /* 1704828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704874 */     // MIs[0] policy
     /* 1704874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704908 */     // GIR_Coverage, 10196,
     /* 1704908 */     GIR_EraseRootFromParent_Done,
     /* 1704909 */   // Label 23308: @1704909
     /* 1704909 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1704995), // Rule ID 10197 //
     /* 1704914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704960 */     // MIs[0] policy
     /* 1704960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704970 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704994 */     // GIR_Coverage, 10197,
     /* 1704994 */     GIR_EraseRootFromParent_Done,
     /* 1704995 */   // Label 23309: @1704995
     /* 1704995 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1705081), // Rule ID 10200 //
     /* 1705000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1705011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1705014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1705017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1705020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705046 */     // MIs[0] policy
     /* 1705046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705080 */     // GIR_Coverage, 10200,
     /* 1705080 */     GIR_EraseRootFromParent_Done,
     /* 1705081 */   // Label 23310: @1705081
     /* 1705081 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1705167), // Rule ID 10201 //
     /* 1705086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1705097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1705100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1705103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1705106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705132 */     // MIs[0] policy
     /* 1705132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705166 */     // GIR_Coverage, 10201,
     /* 1705166 */     GIR_EraseRootFromParent_Done,
     /* 1705167 */   // Label 23311: @1705167
     /* 1705167 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1705253), // Rule ID 10204 //
     /* 1705172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705218 */     // MIs[0] policy
     /* 1705218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705252 */     // GIR_Coverage, 10204,
     /* 1705252 */     GIR_EraseRootFromParent_Done,
     /* 1705253 */   // Label 23312: @1705253
     /* 1705253 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1705339), // Rule ID 10205 //
     /* 1705258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705304 */     // MIs[0] policy
     /* 1705304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705338 */     // GIR_Coverage, 10205,
     /* 1705338 */     GIR_EraseRootFromParent_Done,
     /* 1705339 */   // Label 23313: @1705339
     /* 1705339 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1705425), // Rule ID 10208 //
     /* 1705344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705390 */     // MIs[0] policy
     /* 1705390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705424 */     // GIR_Coverage, 10208,
     /* 1705424 */     GIR_EraseRootFromParent_Done,
     /* 1705425 */   // Label 23314: @1705425
     /* 1705425 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1705511), // Rule ID 10209 //
     /* 1705430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705476 */     // MIs[0] policy
     /* 1705476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705510 */     // GIR_Coverage, 10209,
     /* 1705510 */     GIR_EraseRootFromParent_Done,
     /* 1705511 */   // Label 23315: @1705511
     /* 1705511 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1705597), // Rule ID 10212 //
     /* 1705516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705562 */     // MIs[0] policy
     /* 1705562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705596 */     // GIR_Coverage, 10212,
     /* 1705596 */     GIR_EraseRootFromParent_Done,
     /* 1705597 */   // Label 23316: @1705597
     /* 1705597 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1705683), // Rule ID 10213 //
     /* 1705602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705648 */     // MIs[0] policy
     /* 1705648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705682 */     // GIR_Coverage, 10213,
     /* 1705682 */     GIR_EraseRootFromParent_Done,
     /* 1705683 */   // Label 23317: @1705683
     /* 1705683 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1705769), // Rule ID 10216 //
     /* 1705688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705734 */     // MIs[0] policy
     /* 1705734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705768 */     // GIR_Coverage, 10216,
     /* 1705768 */     GIR_EraseRootFromParent_Done,
     /* 1705769 */   // Label 23318: @1705769
     /* 1705769 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1705855), // Rule ID 10217 //
     /* 1705774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705820 */     // MIs[0] policy
     /* 1705820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705854 */     // GIR_Coverage, 10217,
     /* 1705854 */     GIR_EraseRootFromParent_Done,
     /* 1705855 */   // Label 23319: @1705855
     /* 1705855 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1705941), // Rule ID 10220 //
     /* 1705860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705906 */     // MIs[0] policy
     /* 1705906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705940 */     // GIR_Coverage, 10220,
     /* 1705940 */     GIR_EraseRootFromParent_Done,
     /* 1705941 */   // Label 23320: @1705941
     /* 1705941 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1706027), // Rule ID 10221 //
     /* 1705946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705992 */     // MIs[0] policy
     /* 1705992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1706005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706026 */     // GIR_Coverage, 10221,
     /* 1706026 */     GIR_EraseRootFromParent_Done,
     /* 1706027 */   // Label 23321: @1706027
     /* 1706027 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1706113), // Rule ID 10224 //
     /* 1706032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1706035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1706043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1706046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1706052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706078 */     // MIs[0] policy
     /* 1706078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1706091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706112 */     // GIR_Coverage, 10224,
     /* 1706112 */     GIR_EraseRootFromParent_Done,
     /* 1706113 */   // Label 23322: @1706113
     /* 1706113 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1706199), // Rule ID 10225 //
     /* 1706118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1706121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1706129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1706132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1706138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706164 */     // MIs[0] policy
     /* 1706164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1706177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706198 */     // GIR_Coverage, 10225,
     /* 1706198 */     GIR_EraseRootFromParent_Done,
     /* 1706199 */   // Label 23323: @1706199
     /* 1706199 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1706285), // Rule ID 10228 //
     /* 1706204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1706221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706250 */     // MIs[0] policy
     /* 1706250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706260 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1706263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706284 */     // GIR_Coverage, 10228,
     /* 1706284 */     GIR_EraseRootFromParent_Done,
     /* 1706285 */   // Label 23324: @1706285
     /* 1706285 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1706371), // Rule ID 10229 //
     /* 1706290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1706307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706336 */     // MIs[0] policy
     /* 1706336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706346 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1706349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706370 */     // GIR_Coverage, 10229,
     /* 1706370 */     GIR_EraseRootFromParent_Done,
     /* 1706371 */   // Label 23325: @1706371
     /* 1706371 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1706457), // Rule ID 10232 //
     /* 1706376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706422 */     // MIs[0] policy
     /* 1706422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706432 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706456 */     // GIR_Coverage, 10232,
     /* 1706456 */     GIR_EraseRootFromParent_Done,
     /* 1706457 */   // Label 23326: @1706457
     /* 1706457 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1706543), // Rule ID 10233 //
     /* 1706462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706508 */     // MIs[0] policy
     /* 1706508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706542 */     // GIR_Coverage, 10233,
     /* 1706542 */     GIR_EraseRootFromParent_Done,
     /* 1706543 */   // Label 23327: @1706543
     /* 1706543 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1706629), // Rule ID 10236 //
     /* 1706548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706594 */     // MIs[0] policy
     /* 1706594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706604 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706628 */     // GIR_Coverage, 10236,
     /* 1706628 */     GIR_EraseRootFromParent_Done,
     /* 1706629 */   // Label 23328: @1706629
     /* 1706629 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1706715), // Rule ID 10237 //
     /* 1706634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706680 */     // MIs[0] policy
     /* 1706680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706690 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706714 */     // GIR_Coverage, 10237,
     /* 1706714 */     GIR_EraseRootFromParent_Done,
     /* 1706715 */   // Label 23329: @1706715
     /* 1706715 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1706801), // Rule ID 10240 //
     /* 1706720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706766 */     // MIs[0] policy
     /* 1706766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706800 */     // GIR_Coverage, 10240,
     /* 1706800 */     GIR_EraseRootFromParent_Done,
     /* 1706801 */   // Label 23330: @1706801
     /* 1706801 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1706887), // Rule ID 10241 //
     /* 1706806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706852 */     // MIs[0] policy
     /* 1706852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706886 */     // GIR_Coverage, 10241,
     /* 1706886 */     GIR_EraseRootFromParent_Done,
     /* 1706887 */   // Label 23331: @1706887
     /* 1706887 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1706973), // Rule ID 10244 //
     /* 1706892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706938 */     // MIs[0] policy
     /* 1706938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706972 */     // GIR_Coverage, 10244,
     /* 1706972 */     GIR_EraseRootFromParent_Done,
     /* 1706973 */   // Label 23332: @1706973
     /* 1706973 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1707059), // Rule ID 10245 //
     /* 1706978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707024 */     // MIs[0] policy
     /* 1707024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1707037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707058 */     // GIR_Coverage, 10245,
     /* 1707058 */     GIR_EraseRootFromParent_Done,
     /* 1707059 */   // Label 23333: @1707059
     /* 1707059 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1707145), // Rule ID 10248 //
     /* 1707064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707110 */     // MIs[0] policy
     /* 1707110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1707123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707144 */     // GIR_Coverage, 10248,
     /* 1707144 */     GIR_EraseRootFromParent_Done,
     /* 1707145 */   // Label 23334: @1707145
     /* 1707145 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1707231), // Rule ID 10249 //
     /* 1707150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707196 */     // MIs[0] policy
     /* 1707196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1707209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707230 */     // GIR_Coverage, 10249,
     /* 1707230 */     GIR_EraseRootFromParent_Done,
     /* 1707231 */   // Label 23335: @1707231
     /* 1707231 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1707317), // Rule ID 10252 //
     /* 1707236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1707253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707282 */     // MIs[0] policy
     /* 1707282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707316 */     // GIR_Coverage, 10252,
     /* 1707316 */     GIR_EraseRootFromParent_Done,
     /* 1707317 */   // Label 23336: @1707317
     /* 1707317 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1707403), // Rule ID 10253 //
     /* 1707322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1707339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707368 */     // MIs[0] policy
     /* 1707368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707402 */     // GIR_Coverage, 10253,
     /* 1707402 */     GIR_EraseRootFromParent_Done,
     /* 1707403 */   // Label 23337: @1707403
     /* 1707403 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1707489), // Rule ID 10256 //
     /* 1707408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707454 */     // MIs[0] policy
     /* 1707454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707488 */     // GIR_Coverage, 10256,
     /* 1707488 */     GIR_EraseRootFromParent_Done,
     /* 1707489 */   // Label 23338: @1707489
     /* 1707489 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1707575), // Rule ID 10257 //
     /* 1707494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707540 */     // MIs[0] policy
     /* 1707540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707574 */     // GIR_Coverage, 10257,
     /* 1707574 */     GIR_EraseRootFromParent_Done,
     /* 1707575 */   // Label 23339: @1707575
     /* 1707575 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1707661), // Rule ID 10260 //
     /* 1707580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707626 */     // MIs[0] policy
     /* 1707626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707660 */     // GIR_Coverage, 10260,
     /* 1707660 */     GIR_EraseRootFromParent_Done,
     /* 1707661 */   // Label 23340: @1707661
     /* 1707661 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1707747), // Rule ID 10261 //
     /* 1707666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707712 */     // MIs[0] policy
     /* 1707712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707746 */     // GIR_Coverage, 10261,
     /* 1707746 */     GIR_EraseRootFromParent_Done,
     /* 1707747 */   // Label 23341: @1707747
     /* 1707747 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1707833), // Rule ID 10264 //
     /* 1707752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1707755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707798 */     // MIs[0] policy
     /* 1707798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707832 */     // GIR_Coverage, 10264,
     /* 1707832 */     GIR_EraseRootFromParent_Done,
     /* 1707833 */   // Label 23342: @1707833
     /* 1707833 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1707919), // Rule ID 10265 //
     /* 1707838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707884 */     // MIs[0] policy
     /* 1707884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707918 */     // GIR_Coverage, 10265,
     /* 1707918 */     GIR_EraseRootFromParent_Done,
     /* 1707919 */   // Label 23343: @1707919
     /* 1707919 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1708005), // Rule ID 10268 //
     /* 1707924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1707941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707970 */     // MIs[0] policy
     /* 1707970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708004 */     // GIR_Coverage, 10268,
     /* 1708004 */     GIR_EraseRootFromParent_Done,
     /* 1708005 */   // Label 23344: @1708005
     /* 1708005 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1708091), // Rule ID 10269 //
     /* 1708010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1708027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708056 */     // MIs[0] policy
     /* 1708056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708066 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708090 */     // GIR_Coverage, 10269,
     /* 1708090 */     GIR_EraseRootFromParent_Done,
     /* 1708091 */   // Label 23345: @1708091
     /* 1708091 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1708177), // Rule ID 10272 //
     /* 1708096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708142 */     // MIs[0] policy
     /* 1708142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708176 */     // GIR_Coverage, 10272,
     /* 1708176 */     GIR_EraseRootFromParent_Done,
     /* 1708177 */   // Label 23346: @1708177
     /* 1708177 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1708263), // Rule ID 10273 //
     /* 1708182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708228 */     // MIs[0] policy
     /* 1708228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708262 */     // GIR_Coverage, 10273,
     /* 1708262 */     GIR_EraseRootFromParent_Done,
     /* 1708263 */   // Label 23347: @1708263
     /* 1708263 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1708349), // Rule ID 10276 //
     /* 1708268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1708279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1708282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1708285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1708291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708314 */     // MIs[0] policy
     /* 1708314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708348 */     // GIR_Coverage, 10276,
     /* 1708348 */     GIR_EraseRootFromParent_Done,
     /* 1708349 */   // Label 23348: @1708349
     /* 1708349 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1708435), // Rule ID 10277 //
     /* 1708354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1708365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1708368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1708371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1708377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708400 */     // MIs[0] policy
     /* 1708400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708434 */     // GIR_Coverage, 10277,
     /* 1708434 */     GIR_EraseRootFromParent_Done,
     /* 1708435 */   // Label 23349: @1708435
     /* 1708435 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1708521), // Rule ID 10280 //
     /* 1708440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708486 */     // MIs[0] policy
     /* 1708486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708520 */     // GIR_Coverage, 10280,
     /* 1708520 */     GIR_EraseRootFromParent_Done,
     /* 1708521 */   // Label 23350: @1708521
     /* 1708521 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1708607), // Rule ID 10281 //
     /* 1708526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708572 */     // MIs[0] policy
     /* 1708572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708582 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708606 */     // GIR_Coverage, 10281,
     /* 1708606 */     GIR_EraseRootFromParent_Done,
     /* 1708607 */   // Label 23351: @1708607
     /* 1708607 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1708693), // Rule ID 10284 //
     /* 1708612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708658 */     // MIs[0] policy
     /* 1708658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708692 */     // GIR_Coverage, 10284,
     /* 1708692 */     GIR_EraseRootFromParent_Done,
     /* 1708693 */   // Label 23352: @1708693
     /* 1708693 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1708779), // Rule ID 10285 //
     /* 1708698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708744 */     // MIs[0] policy
     /* 1708744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708778 */     // GIR_Coverage, 10285,
     /* 1708778 */     GIR_EraseRootFromParent_Done,
     /* 1708779 */   // Label 23353: @1708779
     /* 1708779 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1708865), // Rule ID 10288 //
     /* 1708784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708830 */     // MIs[0] policy
     /* 1708830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708864 */     // GIR_Coverage, 10288,
     /* 1708864 */     GIR_EraseRootFromParent_Done,
     /* 1708865 */   // Label 23354: @1708865
     /* 1708865 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1708951), // Rule ID 10289 //
     /* 1708870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708916 */     // MIs[0] policy
     /* 1708916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708950 */     // GIR_Coverage, 10289,
     /* 1708950 */     GIR_EraseRootFromParent_Done,
     /* 1708951 */   // Label 23355: @1708951
     /* 1708951 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1709037), // Rule ID 10292 //
     /* 1708956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1708973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709002 */     // MIs[0] policy
     /* 1709002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709036 */     // GIR_Coverage, 10292,
     /* 1709036 */     GIR_EraseRootFromParent_Done,
     /* 1709037 */   // Label 23356: @1709037
     /* 1709037 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1709123), // Rule ID 10293 //
     /* 1709042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1709053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1709056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709088 */     // MIs[0] policy
     /* 1709088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709122 */     // GIR_Coverage, 10293,
     /* 1709122 */     GIR_EraseRootFromParent_Done,
     /* 1709123 */   // Label 23357: @1709123
     /* 1709123 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1709209), // Rule ID 10296 //
     /* 1709128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709174 */     // MIs[0] policy
     /* 1709174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709208 */     // GIR_Coverage, 10296,
     /* 1709208 */     GIR_EraseRootFromParent_Done,
     /* 1709209 */   // Label 23358: @1709209
     /* 1709209 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1709295), // Rule ID 10297 //
     /* 1709214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709260 */     // MIs[0] policy
     /* 1709260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709294 */     // GIR_Coverage, 10297,
     /* 1709294 */     GIR_EraseRootFromParent_Done,
     /* 1709295 */   // Label 23359: @1709295
     /* 1709295 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1709381), // Rule ID 10300 //
     /* 1709300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709346 */     // MIs[0] policy
     /* 1709346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709380 */     // GIR_Coverage, 10300,
     /* 1709380 */     GIR_EraseRootFromParent_Done,
     /* 1709381 */   // Label 23360: @1709381
     /* 1709381 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1709467), // Rule ID 10301 //
     /* 1709386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709432 */     // MIs[0] policy
     /* 1709432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709466 */     // GIR_Coverage, 10301,
     /* 1709466 */     GIR_EraseRootFromParent_Done,
     /* 1709467 */   // Label 23361: @1709467
     /* 1709467 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1709553), // Rule ID 10304 //
     /* 1709472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709518 */     // MIs[0] policy
     /* 1709518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709552 */     // GIR_Coverage, 10304,
     /* 1709552 */     GIR_EraseRootFromParent_Done,
     /* 1709553 */   // Label 23362: @1709553
     /* 1709553 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1709639), // Rule ID 10305 //
     /* 1709558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709604 */     // MIs[0] policy
     /* 1709604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709638 */     // GIR_Coverage, 10305,
     /* 1709638 */     GIR_EraseRootFromParent_Done,
     /* 1709639 */   // Label 23363: @1709639
     /* 1709639 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1709725), // Rule ID 10308 //
     /* 1709644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709690 */     // MIs[0] policy
     /* 1709690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709724 */     // GIR_Coverage, 10308,
     /* 1709724 */     GIR_EraseRootFromParent_Done,
     /* 1709725 */   // Label 23364: @1709725
     /* 1709725 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1709811), // Rule ID 10309 //
     /* 1709730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709776 */     // MIs[0] policy
     /* 1709776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709810 */     // GIR_Coverage, 10309,
     /* 1709810 */     GIR_EraseRootFromParent_Done,
     /* 1709811 */   // Label 23365: @1709811
     /* 1709811 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1709897), // Rule ID 10312 //
     /* 1709816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709862 */     // MIs[0] policy
     /* 1709862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709896 */     // GIR_Coverage, 10312,
     /* 1709896 */     GIR_EraseRootFromParent_Done,
     /* 1709897 */   // Label 23366: @1709897
     /* 1709897 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1709983), // Rule ID 10313 //
     /* 1709902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709948 */     // MIs[0] policy
     /* 1709948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709982 */     // GIR_Coverage, 10313,
     /* 1709982 */     GIR_EraseRootFromParent_Done,
     /* 1709983 */   // Label 23367: @1709983
     /* 1709983 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1710069), // Rule ID 10316 //
     /* 1709988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1710005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1710008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710034 */     // MIs[0] policy
     /* 1710034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1710047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710068 */     // GIR_Coverage, 10316,
     /* 1710068 */     GIR_EraseRootFromParent_Done,
     /* 1710069 */   // Label 23368: @1710069
     /* 1710069 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1710155), // Rule ID 10317 //
     /* 1710074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1710091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1710094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710120 */     // MIs[0] policy
     /* 1710120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710130 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1710133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710154 */     // GIR_Coverage, 10317,
     /* 1710154 */     GIR_EraseRootFromParent_Done,
     /* 1710155 */   // Label 23369: @1710155
     /* 1710155 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1710241), // Rule ID 10320 //
     /* 1710160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1710180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710206 */     // MIs[0] policy
     /* 1710206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710240 */     // GIR_Coverage, 10320,
     /* 1710240 */     GIR_EraseRootFromParent_Done,
     /* 1710241 */   // Label 23370: @1710241
     /* 1710241 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1710327), // Rule ID 10321 //
     /* 1710246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1710266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710292 */     // MIs[0] policy
     /* 1710292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710326 */     // GIR_Coverage, 10321,
     /* 1710326 */     GIR_EraseRootFromParent_Done,
     /* 1710327 */   // Label 23371: @1710327
     /* 1710327 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1710413), // Rule ID 10324 //
     /* 1710332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1710352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710378 */     // MIs[0] policy
     /* 1710378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710412 */     // GIR_Coverage, 10324,
     /* 1710412 */     GIR_EraseRootFromParent_Done,
     /* 1710413 */   // Label 23372: @1710413
     /* 1710413 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1710499), // Rule ID 10325 //
     /* 1710418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1710438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710464 */     // MIs[0] policy
     /* 1710464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710474 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710498 */     // GIR_Coverage, 10325,
     /* 1710498 */     GIR_EraseRootFromParent_Done,
     /* 1710499 */   // Label 23373: @1710499
     /* 1710499 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1710585), // Rule ID 10328 //
     /* 1710504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710550 */     // MIs[0] policy
     /* 1710550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710584 */     // GIR_Coverage, 10328,
     /* 1710584 */     GIR_EraseRootFromParent_Done,
     /* 1710585 */   // Label 23374: @1710585
     /* 1710585 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1710671), // Rule ID 10329 //
     /* 1710590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710636 */     // MIs[0] policy
     /* 1710636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710670 */     // GIR_Coverage, 10329,
     /* 1710670 */     GIR_EraseRootFromParent_Done,
     /* 1710671 */   // Label 23375: @1710671
     /* 1710671 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1710757), // Rule ID 10332 //
     /* 1710676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710722 */     // MIs[0] policy
     /* 1710722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710732 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710756 */     // GIR_Coverage, 10332,
     /* 1710756 */     GIR_EraseRootFromParent_Done,
     /* 1710757 */   // Label 23376: @1710757
     /* 1710757 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1710843), // Rule ID 10333 //
     /* 1710762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710808 */     // MIs[0] policy
     /* 1710808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710842 */     // GIR_Coverage, 10333,
     /* 1710842 */     GIR_EraseRootFromParent_Done,
     /* 1710843 */   // Label 23377: @1710843
     /* 1710843 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1710929), // Rule ID 10336 //
     /* 1710848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710894 */     // MIs[0] policy
     /* 1710894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710928 */     // GIR_Coverage, 10336,
     /* 1710928 */     GIR_EraseRootFromParent_Done,
     /* 1710929 */   // Label 23378: @1710929
     /* 1710929 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1711015), // Rule ID 10337 //
     /* 1710934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710980 */     // MIs[0] policy
     /* 1710980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711014 */     // GIR_Coverage, 10337,
     /* 1711014 */     GIR_EraseRootFromParent_Done,
     /* 1711015 */   // Label 23379: @1711015
     /* 1711015 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1711101), // Rule ID 10340 //
     /* 1711020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711066 */     // MIs[0] policy
     /* 1711066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711100 */     // GIR_Coverage, 10340,
     /* 1711100 */     GIR_EraseRootFromParent_Done,
     /* 1711101 */   // Label 23380: @1711101
     /* 1711101 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1711187), // Rule ID 10341 //
     /* 1711106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711152 */     // MIs[0] policy
     /* 1711152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711162 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711186 */     // GIR_Coverage, 10341,
     /* 1711186 */     GIR_EraseRootFromParent_Done,
     /* 1711187 */   // Label 23381: @1711187
     /* 1711187 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1711273), // Rule ID 10344 //
     /* 1711192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1711212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711238 */     // MIs[0] policy
     /* 1711238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711272 */     // GIR_Coverage, 10344,
     /* 1711272 */     GIR_EraseRootFromParent_Done,
     /* 1711273 */   // Label 23382: @1711273
     /* 1711273 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1711359), // Rule ID 10345 //
     /* 1711278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1711298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711324 */     // MIs[0] policy
     /* 1711324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711358 */     // GIR_Coverage, 10345,
     /* 1711358 */     GIR_EraseRootFromParent_Done,
     /* 1711359 */   // Label 23383: @1711359
     /* 1711359 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1711445), // Rule ID 10348 //
     /* 1711364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711410 */     // MIs[0] policy
     /* 1711410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711444 */     // GIR_Coverage, 10348,
     /* 1711444 */     GIR_EraseRootFromParent_Done,
     /* 1711445 */   // Label 23384: @1711445
     /* 1711445 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1711531), // Rule ID 10349 //
     /* 1711450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711496 */     // MIs[0] policy
     /* 1711496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711530 */     // GIR_Coverage, 10349,
     /* 1711530 */     GIR_EraseRootFromParent_Done,
     /* 1711531 */   // Label 23385: @1711531
     /* 1711531 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1711617), // Rule ID 10352 //
     /* 1711536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711582 */     // MIs[0] policy
     /* 1711582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711616 */     // GIR_Coverage, 10352,
     /* 1711616 */     GIR_EraseRootFromParent_Done,
     /* 1711617 */   // Label 23386: @1711617
     /* 1711617 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1711703), // Rule ID 10353 //
     /* 1711622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711668 */     // MIs[0] policy
     /* 1711668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711702 */     // GIR_Coverage, 10353,
     /* 1711702 */     GIR_EraseRootFromParent_Done,
     /* 1711703 */   // Label 23387: @1711703
     /* 1711703 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1711789), // Rule ID 10356 //
     /* 1711708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711754 */     // MIs[0] policy
     /* 1711754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711764 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711788 */     // GIR_Coverage, 10356,
     /* 1711788 */     GIR_EraseRootFromParent_Done,
     /* 1711789 */   // Label 23388: @1711789
     /* 1711789 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1711875), // Rule ID 10357 //
     /* 1711794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711840 */     // MIs[0] policy
     /* 1711840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711850 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711874 */     // GIR_Coverage, 10357,
     /* 1711874 */     GIR_EraseRootFromParent_Done,
     /* 1711875 */   // Label 23389: @1711875
     /* 1711875 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1711961), // Rule ID 10360 //
     /* 1711880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711926 */     // MIs[0] policy
     /* 1711926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711960 */     // GIR_Coverage, 10360,
     /* 1711960 */     GIR_EraseRootFromParent_Done,
     /* 1711961 */   // Label 23390: @1711961
     /* 1711961 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1712047), // Rule ID 10361 //
     /* 1711966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712012 */     // MIs[0] policy
     /* 1712012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712046 */     // GIR_Coverage, 10361,
     /* 1712046 */     GIR_EraseRootFromParent_Done,
     /* 1712047 */   // Label 23391: @1712047
     /* 1712047 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1712133), // Rule ID 10364 //
     /* 1712052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1712072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712098 */     // MIs[0] policy
     /* 1712098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712132 */     // GIR_Coverage, 10364,
     /* 1712132 */     GIR_EraseRootFromParent_Done,
     /* 1712133 */   // Label 23392: @1712133
     /* 1712133 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1712219), // Rule ID 10365 //
     /* 1712138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1712158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712184 */     // MIs[0] policy
     /* 1712184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712194 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712218 */     // GIR_Coverage, 10365,
     /* 1712218 */     GIR_EraseRootFromParent_Done,
     /* 1712219 */   // Label 23393: @1712219
     /* 1712219 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1712305), // Rule ID 10368 //
     /* 1712224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712270 */     // MIs[0] policy
     /* 1712270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712304 */     // GIR_Coverage, 10368,
     /* 1712304 */     GIR_EraseRootFromParent_Done,
     /* 1712305 */   // Label 23394: @1712305
     /* 1712305 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1712391), // Rule ID 10369 //
     /* 1712310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712356 */     // MIs[0] policy
     /* 1712356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712390 */     // GIR_Coverage, 10369,
     /* 1712390 */     GIR_EraseRootFromParent_Done,
     /* 1712391 */   // Label 23395: @1712391
     /* 1712391 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1712477), // Rule ID 10372 //
     /* 1712396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712442 */     // MIs[0] policy
     /* 1712442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712476 */     // GIR_Coverage, 10372,
     /* 1712476 */     GIR_EraseRootFromParent_Done,
     /* 1712477 */   // Label 23396: @1712477
     /* 1712477 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1712563), // Rule ID 10373 //
     /* 1712482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712528 */     // MIs[0] policy
     /* 1712528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712562 */     // GIR_Coverage, 10373,
     /* 1712562 */     GIR_EraseRootFromParent_Done,
     /* 1712563 */   // Label 23397: @1712563
     /* 1712563 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1712649), // Rule ID 10376 //
     /* 1712568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712614 */     // MIs[0] policy
     /* 1712614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712648 */     // GIR_Coverage, 10376,
     /* 1712648 */     GIR_EraseRootFromParent_Done,
     /* 1712649 */   // Label 23398: @1712649
     /* 1712649 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1712735), // Rule ID 10377 //
     /* 1712654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712700 */     // MIs[0] policy
     /* 1712700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712710 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712734 */     // GIR_Coverage, 10377,
     /* 1712734 */     GIR_EraseRootFromParent_Done,
     /* 1712735 */   // Label 23399: @1712735
     /* 1712735 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1712821), // Rule ID 10380 //
     /* 1712740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712786 */     // MIs[0] policy
     /* 1712786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712820 */     // GIR_Coverage, 10380,
     /* 1712820 */     GIR_EraseRootFromParent_Done,
     /* 1712821 */   // Label 23400: @1712821
     /* 1712821 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1712907), // Rule ID 10381 //
     /* 1712826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712872 */     // MIs[0] policy
     /* 1712872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712906 */     // GIR_Coverage, 10381,
     /* 1712906 */     GIR_EraseRootFromParent_Done,
     /* 1712907 */   // Label 23401: @1712907
     /* 1712907 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1712993), // Rule ID 10384 //
     /* 1712912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712958 */     // MIs[0] policy
     /* 1712958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712992 */     // GIR_Coverage, 10384,
     /* 1712992 */     GIR_EraseRootFromParent_Done,
     /* 1712993 */   // Label 23402: @1712993
     /* 1712993 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1713079), // Rule ID 10385 //
     /* 1712998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1713015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1713018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713044 */     // MIs[0] policy
     /* 1713044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713078 */     // GIR_Coverage, 10385,
     /* 1713078 */     GIR_EraseRootFromParent_Done,
     /* 1713079 */   // Label 23403: @1713079
     /* 1713079 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1713165), // Rule ID 10388 //
     /* 1713084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1713104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713130 */     // MIs[0] policy
     /* 1713130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713164 */     // GIR_Coverage, 10388,
     /* 1713164 */     GIR_EraseRootFromParent_Done,
     /* 1713165 */   // Label 23404: @1713165
     /* 1713165 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1713251), // Rule ID 10389 //
     /* 1713170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1713190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713216 */     // MIs[0] policy
     /* 1713216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713250 */     // GIR_Coverage, 10389,
     /* 1713250 */     GIR_EraseRootFromParent_Done,
     /* 1713251 */   // Label 23405: @1713251
     /* 1713251 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1713337), // Rule ID 10392 //
     /* 1713256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1713276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713302 */     // MIs[0] policy
     /* 1713302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1713315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713336 */     // GIR_Coverage, 10392,
     /* 1713336 */     GIR_EraseRootFromParent_Done,
     /* 1713337 */   // Label 23406: @1713337
     /* 1713337 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1713423), // Rule ID 10393 //
     /* 1713342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1713362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713388 */     // MIs[0] policy
     /* 1713388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1713401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713422 */     // GIR_Coverage, 10393,
     /* 1713422 */     GIR_EraseRootFromParent_Done,
     /* 1713423 */   // Label 23407: @1713423
     /* 1713423 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1713509), // Rule ID 10396 //
     /* 1713428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713474 */     // MIs[0] policy
     /* 1713474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713508 */     // GIR_Coverage, 10396,
     /* 1713508 */     GIR_EraseRootFromParent_Done,
     /* 1713509 */   // Label 23408: @1713509
     /* 1713509 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1713595), // Rule ID 10397 //
     /* 1713514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713560 */     // MIs[0] policy
     /* 1713560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713570 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713594 */     // GIR_Coverage, 10397,
     /* 1713594 */     GIR_EraseRootFromParent_Done,
     /* 1713595 */   // Label 23409: @1713595
     /* 1713595 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1713681), // Rule ID 10400 //
     /* 1713600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713646 */     // MIs[0] policy
     /* 1713646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713680 */     // GIR_Coverage, 10400,
     /* 1713680 */     GIR_EraseRootFromParent_Done,
     /* 1713681 */   // Label 23410: @1713681
     /* 1713681 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1713767), // Rule ID 10401 //
     /* 1713686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713732 */     // MIs[0] policy
     /* 1713732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713766 */     // GIR_Coverage, 10401,
     /* 1713766 */     GIR_EraseRootFromParent_Done,
     /* 1713767 */   // Label 23411: @1713767
     /* 1713767 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1713853), // Rule ID 10404 //
     /* 1713772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713818 */     // MIs[0] policy
     /* 1713818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713852 */     // GIR_Coverage, 10404,
     /* 1713852 */     GIR_EraseRootFromParent_Done,
     /* 1713853 */   // Label 23412: @1713853
     /* 1713853 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1713939), // Rule ID 10405 //
     /* 1713858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713904 */     // MIs[0] policy
     /* 1713904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713914 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713938 */     // GIR_Coverage, 10405,
     /* 1713938 */     GIR_EraseRootFromParent_Done,
     /* 1713939 */   // Label 23413: @1713939
     /* 1713939 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1714025), // Rule ID 10408 //
     /* 1713944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713990 */     // MIs[0] policy
     /* 1713990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714000 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714024 */     // GIR_Coverage, 10408,
     /* 1714024 */     GIR_EraseRootFromParent_Done,
     /* 1714025 */   // Label 23414: @1714025
     /* 1714025 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1714111), // Rule ID 10409 //
     /* 1714030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1714047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714076 */     // MIs[0] policy
     /* 1714076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714110 */     // GIR_Coverage, 10409,
     /* 1714110 */     GIR_EraseRootFromParent_Done,
     /* 1714111 */   // Label 23415: @1714111
     /* 1714111 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1714197), // Rule ID 10412 //
     /* 1714116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1714133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714162 */     // MIs[0] policy
     /* 1714162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714196 */     // GIR_Coverage, 10412,
     /* 1714196 */     GIR_EraseRootFromParent_Done,
     /* 1714197 */   // Label 23416: @1714197
     /* 1714197 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1714283), // Rule ID 10413 //
     /* 1714202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1714219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714248 */     // MIs[0] policy
     /* 1714248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714258 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714282 */     // GIR_Coverage, 10413,
     /* 1714282 */     GIR_EraseRootFromParent_Done,
     /* 1714283 */   // Label 23417: @1714283
     /* 1714283 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1714369), // Rule ID 10416 //
     /* 1714288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714334 */     // MIs[0] policy
     /* 1714334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714368 */     // GIR_Coverage, 10416,
     /* 1714368 */     GIR_EraseRootFromParent_Done,
     /* 1714369 */   // Label 23418: @1714369
     /* 1714369 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1714455), // Rule ID 10417 //
     /* 1714374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714420 */     // MIs[0] policy
     /* 1714420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714454 */     // GIR_Coverage, 10417,
     /* 1714454 */     GIR_EraseRootFromParent_Done,
     /* 1714455 */   // Label 23419: @1714455
     /* 1714455 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1714541), // Rule ID 10420 //
     /* 1714460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714506 */     // MIs[0] policy
     /* 1714506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714540 */     // GIR_Coverage, 10420,
     /* 1714540 */     GIR_EraseRootFromParent_Done,
     /* 1714541 */   // Label 23420: @1714541
     /* 1714541 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1714627), // Rule ID 10421 //
     /* 1714546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714592 */     // MIs[0] policy
     /* 1714592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714626 */     // GIR_Coverage, 10421,
     /* 1714626 */     GIR_EraseRootFromParent_Done,
     /* 1714627 */   // Label 23421: @1714627
     /* 1714627 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1714713), // Rule ID 10424 //
     /* 1714632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714678 */     // MIs[0] policy
     /* 1714678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714688 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714712 */     // GIR_Coverage, 10424,
     /* 1714712 */     GIR_EraseRootFromParent_Done,
     /* 1714713 */   // Label 23422: @1714713
     /* 1714713 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1714799), // Rule ID 10425 //
     /* 1714718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714764 */     // MIs[0] policy
     /* 1714764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714798 */     // GIR_Coverage, 10425,
     /* 1714798 */     GIR_EraseRootFromParent_Done,
     /* 1714799 */   // Label 23423: @1714799
     /* 1714799 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1714885), // Rule ID 10428 //
     /* 1714804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714850 */     // MIs[0] policy
     /* 1714850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714884 */     // GIR_Coverage, 10428,
     /* 1714884 */     GIR_EraseRootFromParent_Done,
     /* 1714885 */   // Label 23424: @1714885
     /* 1714885 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1714971), // Rule ID 10429 //
     /* 1714890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714936 */     // MIs[0] policy
     /* 1714936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714970 */     // GIR_Coverage, 10429,
     /* 1714970 */     GIR_EraseRootFromParent_Done,
     /* 1714971 */   // Label 23425: @1714971
     /* 1714971 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1715057), // Rule ID 10432 //
     /* 1714976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715022 */     // MIs[0] policy
     /* 1715022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715056 */     // GIR_Coverage, 10432,
     /* 1715056 */     GIR_EraseRootFromParent_Done,
     /* 1715057 */   // Label 23426: @1715057
     /* 1715057 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1715143), // Rule ID 10433 //
     /* 1715062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1715079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715108 */     // MIs[0] policy
     /* 1715108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715142 */     // GIR_Coverage, 10433,
     /* 1715142 */     GIR_EraseRootFromParent_Done,
     /* 1715143 */   // Label 23427: @1715143
     /* 1715143 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1715229), // Rule ID 10436 //
     /* 1715148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715194 */     // MIs[0] policy
     /* 1715194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715228 */     // GIR_Coverage, 10436,
     /* 1715228 */     GIR_EraseRootFromParent_Done,
     /* 1715229 */   // Label 23428: @1715229
     /* 1715229 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1715315), // Rule ID 10437 //
     /* 1715234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715280 */     // MIs[0] policy
     /* 1715280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715314 */     // GIR_Coverage, 10437,
     /* 1715314 */     GIR_EraseRootFromParent_Done,
     /* 1715315 */   // Label 23429: @1715315
     /* 1715315 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1715401), // Rule ID 10440 //
     /* 1715320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1715337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715366 */     // MIs[0] policy
     /* 1715366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715400 */     // GIR_Coverage, 10440,
     /* 1715400 */     GIR_EraseRootFromParent_Done,
     /* 1715401 */   // Label 23430: @1715401
     /* 1715401 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1715487), // Rule ID 10441 //
     /* 1715406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1715423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715452 */     // MIs[0] policy
     /* 1715452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715486 */     // GIR_Coverage, 10441,
     /* 1715486 */     GIR_EraseRootFromParent_Done,
     /* 1715487 */   // Label 23431: @1715487
     /* 1715487 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1715573), // Rule ID 10444 //
     /* 1715492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715538 */     // MIs[0] policy
     /* 1715538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715572 */     // GIR_Coverage, 10444,
     /* 1715572 */     GIR_EraseRootFromParent_Done,
     /* 1715573 */   // Label 23432: @1715573
     /* 1715573 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1715659), // Rule ID 10445 //
     /* 1715578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715624 */     // MIs[0] policy
     /* 1715624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715658 */     // GIR_Coverage, 10445,
     /* 1715658 */     GIR_EraseRootFromParent_Done,
     /* 1715659 */   // Label 23433: @1715659
     /* 1715659 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1715745), // Rule ID 10448 //
     /* 1715664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715710 */     // MIs[0] policy
     /* 1715710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715744 */     // GIR_Coverage, 10448,
     /* 1715744 */     GIR_EraseRootFromParent_Done,
     /* 1715745 */   // Label 23434: @1715745
     /* 1715745 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1715831), // Rule ID 10449 //
     /* 1715750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715796 */     // MIs[0] policy
     /* 1715796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715830 */     // GIR_Coverage, 10449,
     /* 1715830 */     GIR_EraseRootFromParent_Done,
     /* 1715831 */   // Label 23435: @1715831
     /* 1715831 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1715917), // Rule ID 10452 //
     /* 1715836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715882 */     // MIs[0] policy
     /* 1715882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715916 */     // GIR_Coverage, 10452,
     /* 1715916 */     GIR_EraseRootFromParent_Done,
     /* 1715917 */   // Label 23436: @1715917
     /* 1715917 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1716003), // Rule ID 10453 //
     /* 1715922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715968 */     // MIs[0] policy
     /* 1715968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715978 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716002 */     // GIR_Coverage, 10453,
     /* 1716002 */     GIR_EraseRootFromParent_Done,
     /* 1716003 */   // Label 23437: @1716003
     /* 1716003 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1716089), // Rule ID 10456 //
     /* 1716008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1716025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716054 */     // MIs[0] policy
     /* 1716054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716088 */     // GIR_Coverage, 10456,
     /* 1716088 */     GIR_EraseRootFromParent_Done,
     /* 1716089 */   // Label 23438: @1716089
     /* 1716089 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1716175), // Rule ID 10457 //
     /* 1716094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1716111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716140 */     // MIs[0] policy
     /* 1716140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716174 */     // GIR_Coverage, 10457,
     /* 1716174 */     GIR_EraseRootFromParent_Done,
     /* 1716175 */   // Label 23439: @1716175
     /* 1716175 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1716261), // Rule ID 10460 //
     /* 1716180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1716197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716226 */     // MIs[0] policy
     /* 1716226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716260 */     // GIR_Coverage, 10460,
     /* 1716260 */     GIR_EraseRootFromParent_Done,
     /* 1716261 */   // Label 23440: @1716261
     /* 1716261 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1716347), // Rule ID 10461 //
     /* 1716266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1716283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716312 */     // MIs[0] policy
     /* 1716312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716346 */     // GIR_Coverage, 10461,
     /* 1716346 */     GIR_EraseRootFromParent_Done,
     /* 1716347 */   // Label 23441: @1716347
     /* 1716347 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1716433), // Rule ID 10464 //
     /* 1716352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716398 */     // MIs[0] policy
     /* 1716398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716432 */     // GIR_Coverage, 10464,
     /* 1716432 */     GIR_EraseRootFromParent_Done,
     /* 1716433 */   // Label 23442: @1716433
     /* 1716433 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1716519), // Rule ID 10465 //
     /* 1716438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716484 */     // MIs[0] policy
     /* 1716484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716518 */     // GIR_Coverage, 10465,
     /* 1716518 */     GIR_EraseRootFromParent_Done,
     /* 1716519 */   // Label 23443: @1716519
     /* 1716519 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1716605), // Rule ID 10468 //
     /* 1716524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716570 */     // MIs[0] policy
     /* 1716570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716604 */     // GIR_Coverage, 10468,
     /* 1716604 */     GIR_EraseRootFromParent_Done,
     /* 1716605 */   // Label 23444: @1716605
     /* 1716605 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1716691), // Rule ID 10469 //
     /* 1716610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716656 */     // MIs[0] policy
     /* 1716656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716690 */     // GIR_Coverage, 10469,
     /* 1716690 */     GIR_EraseRootFromParent_Done,
     /* 1716691 */   // Label 23445: @1716691
     /* 1716691 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1716777), // Rule ID 10472 //
     /* 1716696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716742 */     // MIs[0] policy
     /* 1716742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716776 */     // GIR_Coverage, 10472,
     /* 1716776 */     GIR_EraseRootFromParent_Done,
     /* 1716777 */   // Label 23446: @1716777
     /* 1716777 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1716863), // Rule ID 10473 //
     /* 1716782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716828 */     // MIs[0] policy
     /* 1716828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716862 */     // GIR_Coverage, 10473,
     /* 1716862 */     GIR_EraseRootFromParent_Done,
     /* 1716863 */   // Label 23447: @1716863
     /* 1716863 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1716949), // Rule ID 10476 //
     /* 1716868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716914 */     // MIs[0] policy
     /* 1716914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716948 */     // GIR_Coverage, 10476,
     /* 1716948 */     GIR_EraseRootFromParent_Done,
     /* 1716949 */   // Label 23448: @1716949
     /* 1716949 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1717035), // Rule ID 10477 //
     /* 1716954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717000 */     // MIs[0] policy
     /* 1717000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717034 */     // GIR_Coverage, 10477,
     /* 1717034 */     GIR_EraseRootFromParent_Done,
     /* 1717035 */   // Label 23449: @1717035
     /* 1717035 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1717121), // Rule ID 10480 //
     /* 1717040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1717057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717086 */     // MIs[0] policy
     /* 1717086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1717099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717120 */     // GIR_Coverage, 10480,
     /* 1717120 */     GIR_EraseRootFromParent_Done,
     /* 1717121 */   // Label 23450: @1717121
     /* 1717121 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1717207), // Rule ID 10481 //
     /* 1717126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1717143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717172 */     // MIs[0] policy
     /* 1717172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1717185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717206 */     // GIR_Coverage, 10481,
     /* 1717206 */     GIR_EraseRootFromParent_Done,
     /* 1717207 */   // Label 23451: @1717207
     /* 1717207 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1717293), // Rule ID 10484 //
     /* 1717212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1717229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717258 */     // MIs[0] policy
     /* 1717258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1717271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717292 */     // GIR_Coverage, 10484,
     /* 1717292 */     GIR_EraseRootFromParent_Done,
     /* 1717293 */   // Label 23452: @1717293
     /* 1717293 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1717379), // Rule ID 10485 //
     /* 1717298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1717315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717344 */     // MIs[0] policy
     /* 1717344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717354 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1717357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717378 */     // GIR_Coverage, 10485,
     /* 1717378 */     GIR_EraseRootFromParent_Done,
     /* 1717379 */   // Label 23453: @1717379
     /* 1717379 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1717465), // Rule ID 10488 //
     /* 1717384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717430 */     // MIs[0] policy
     /* 1717430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717464 */     // GIR_Coverage, 10488,
     /* 1717464 */     GIR_EraseRootFromParent_Done,
     /* 1717465 */   // Label 23454: @1717465
     /* 1717465 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1717551), // Rule ID 10489 //
     /* 1717470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717516 */     // MIs[0] policy
     /* 1717516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717550 */     // GIR_Coverage, 10489,
     /* 1717550 */     GIR_EraseRootFromParent_Done,
     /* 1717551 */   // Label 23455: @1717551
     /* 1717551 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1717637), // Rule ID 10492 //
     /* 1717556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717602 */     // MIs[0] policy
     /* 1717602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717636 */     // GIR_Coverage, 10492,
     /* 1717636 */     GIR_EraseRootFromParent_Done,
     /* 1717637 */   // Label 23456: @1717637
     /* 1717637 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1717723), // Rule ID 10493 //
     /* 1717642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717688 */     // MIs[0] policy
     /* 1717688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717722 */     // GIR_Coverage, 10493,
     /* 1717722 */     GIR_EraseRootFromParent_Done,
     /* 1717723 */   // Label 23457: @1717723
     /* 1717723 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1717809), // Rule ID 10496 //
     /* 1717728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717774 */     // MIs[0] policy
     /* 1717774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717808 */     // GIR_Coverage, 10496,
     /* 1717808 */     GIR_EraseRootFromParent_Done,
     /* 1717809 */   // Label 23458: @1717809
     /* 1717809 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1717895), // Rule ID 10497 //
     /* 1717814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717860 */     // MIs[0] policy
     /* 1717860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717870 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717894 */     // GIR_Coverage, 10497,
     /* 1717894 */     GIR_EraseRootFromParent_Done,
     /* 1717895 */   // Label 23459: @1717895
     /* 1717895 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1717981), // Rule ID 10500 //
     /* 1717900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717946 */     // MIs[0] policy
     /* 1717946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717956 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717980 */     // GIR_Coverage, 10500,
     /* 1717980 */     GIR_EraseRootFromParent_Done,
     /* 1717981 */   // Label 23460: @1717981
     /* 1717981 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1718067), // Rule ID 10501 //
     /* 1717986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1718000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1718003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1718006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718032 */     // MIs[0] policy
     /* 1718032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718042 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718066 */     // GIR_Coverage, 10501,
     /* 1718066 */     GIR_EraseRootFromParent_Done,
     /* 1718067 */   // Label 23461: @1718067
     /* 1718067 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1718153), // Rule ID 10504 //
     /* 1718072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1718092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718118 */     // MIs[0] policy
     /* 1718118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1718131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718152 */     // GIR_Coverage, 10504,
     /* 1718152 */     GIR_EraseRootFromParent_Done,
     /* 1718153 */   // Label 23462: @1718153
     /* 1718153 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1718239), // Rule ID 10505 //
     /* 1718158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1718178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718204 */     // MIs[0] policy
     /* 1718204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718214 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1718217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718238 */     // GIR_Coverage, 10505,
     /* 1718238 */     GIR_EraseRootFromParent_Done,
     /* 1718239 */   // Label 23463: @1718239
     /* 1718239 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1718325), // Rule ID 10508 //
     /* 1718244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1718264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718290 */     // MIs[0] policy
     /* 1718290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718324 */     // GIR_Coverage, 10508,
     /* 1718324 */     GIR_EraseRootFromParent_Done,
     /* 1718325 */   // Label 23464: @1718325
     /* 1718325 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1718411), // Rule ID 10509 //
     /* 1718330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1718350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718376 */     // MIs[0] policy
     /* 1718376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718386 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718410 */     // GIR_Coverage, 10509,
     /* 1718410 */     GIR_EraseRootFromParent_Done,
     /* 1718411 */   // Label 23465: @1718411
     /* 1718411 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1718497), // Rule ID 10512 //
     /* 1718416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718462 */     // MIs[0] policy
     /* 1718462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718496 */     // GIR_Coverage, 10512,
     /* 1718496 */     GIR_EraseRootFromParent_Done,
     /* 1718497 */   // Label 23466: @1718497
     /* 1718497 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1718583), // Rule ID 10513 //
     /* 1718502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718548 */     // MIs[0] policy
     /* 1718548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718582 */     // GIR_Coverage, 10513,
     /* 1718582 */     GIR_EraseRootFromParent_Done,
     /* 1718583 */   // Label 23467: @1718583
     /* 1718583 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1718669), // Rule ID 10516 //
     /* 1718588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718634 */     // MIs[0] policy
     /* 1718634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718668 */     // GIR_Coverage, 10516,
     /* 1718668 */     GIR_EraseRootFromParent_Done,
     /* 1718669 */   // Label 23468: @1718669
     /* 1718669 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1718755), // Rule ID 10517 //
     /* 1718674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718720 */     // MIs[0] policy
     /* 1718720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718754 */     // GIR_Coverage, 10517,
     /* 1718754 */     GIR_EraseRootFromParent_Done,
     /* 1718755 */   // Label 23469: @1718755
     /* 1718755 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1718841), // Rule ID 10520 //
     /* 1718760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718806 */     // MIs[0] policy
     /* 1718806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718840 */     // GIR_Coverage, 10520,
     /* 1718840 */     GIR_EraseRootFromParent_Done,
     /* 1718841 */   // Label 23470: @1718841
     /* 1718841 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1718927), // Rule ID 10521 //
     /* 1718846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718892 */     // MIs[0] policy
     /* 1718892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718926 */     // GIR_Coverage, 10521,
     /* 1718926 */     GIR_EraseRootFromParent_Done,
     /* 1718927 */   // Label 23471: @1718927
     /* 1718927 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1719013), // Rule ID 10524 //
     /* 1718932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718978 */     // MIs[0] policy
     /* 1718978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719012 */     // GIR_Coverage, 10524,
     /* 1719012 */     GIR_EraseRootFromParent_Done,
     /* 1719013 */   // Label 23472: @1719013
     /* 1719013 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1719099), // Rule ID 10525 //
     /* 1719018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1719029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1719032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1719035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1719038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719064 */     // MIs[0] policy
     /* 1719064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1719077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719098 */     // GIR_Coverage, 10525,
     /* 1719098 */     GIR_EraseRootFromParent_Done,
     /* 1719099 */   // Label 23473: @1719099
     /* 1719099 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1719185), // Rule ID 10528 //
     /* 1719104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1719124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719150 */     // MIs[0] policy
     /* 1719150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1719163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719184 */     // GIR_Coverage, 10528,
     /* 1719184 */     GIR_EraseRootFromParent_Done,
     /* 1719185 */   // Label 23474: @1719185
     /* 1719185 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1719271), // Rule ID 10529 //
     /* 1719190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1719210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719236 */     // MIs[0] policy
     /* 1719236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1719249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719270 */     // GIR_Coverage, 10529,
     /* 1719270 */     GIR_EraseRootFromParent_Done,
     /* 1719271 */   // Label 23475: @1719271
     /* 1719271 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1719357), // Rule ID 10532 //
     /* 1719276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719322 */     // MIs[0] policy
     /* 1719322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719356 */     // GIR_Coverage, 10532,
     /* 1719356 */     GIR_EraseRootFromParent_Done,
     /* 1719357 */   // Label 23476: @1719357
     /* 1719357 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1719443), // Rule ID 10533 //
     /* 1719362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719408 */     // MIs[0] policy
     /* 1719408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719418 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719442 */     // GIR_Coverage, 10533,
     /* 1719442 */     GIR_EraseRootFromParent_Done,
     /* 1719443 */   // Label 23477: @1719443
     /* 1719443 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1719529), // Rule ID 10536 //
     /* 1719448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719494 */     // MIs[0] policy
     /* 1719494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719528 */     // GIR_Coverage, 10536,
     /* 1719528 */     GIR_EraseRootFromParent_Done,
     /* 1719529 */   // Label 23478: @1719529
     /* 1719529 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1719615), // Rule ID 10537 //
     /* 1719534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719580 */     // MIs[0] policy
     /* 1719580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719590 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719614 */     // GIR_Coverage, 10537,
     /* 1719614 */     GIR_EraseRootFromParent_Done,
     /* 1719615 */   // Label 23479: @1719615
     /* 1719615 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1719701), // Rule ID 10540 //
     /* 1719620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719666 */     // MIs[0] policy
     /* 1719666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719700 */     // GIR_Coverage, 10540,
     /* 1719700 */     GIR_EraseRootFromParent_Done,
     /* 1719701 */   // Label 23480: @1719701
     /* 1719701 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1719787), // Rule ID 10541 //
     /* 1719706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719752 */     // MIs[0] policy
     /* 1719752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719762 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719786 */     // GIR_Coverage, 10541,
     /* 1719786 */     GIR_EraseRootFromParent_Done,
     /* 1719787 */   // Label 23481: @1719787
     /* 1719787 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1719873), // Rule ID 10544 //
     /* 1719792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719838 */     // MIs[0] policy
     /* 1719838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719872 */     // GIR_Coverage, 10544,
     /* 1719872 */     GIR_EraseRootFromParent_Done,
     /* 1719873 */   // Label 23482: @1719873
     /* 1719873 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1719959), // Rule ID 10545 //
     /* 1719878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719924 */     // MIs[0] policy
     /* 1719924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719958 */     // GIR_Coverage, 10545,
     /* 1719958 */     GIR_EraseRootFromParent_Done,
     /* 1719959 */   // Label 23483: @1719959
     /* 1719959 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1720045), // Rule ID 10548 //
     /* 1719964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720010 */     // MIs[0] policy
     /* 1720010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720044 */     // GIR_Coverage, 10548,
     /* 1720044 */     GIR_EraseRootFromParent_Done,
     /* 1720045 */   // Label 23484: @1720045
     /* 1720045 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1720131), // Rule ID 10549 //
     /* 1720050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1720061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1720064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1720067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1720070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720096 */     // MIs[0] policy
     /* 1720096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720130 */     // GIR_Coverage, 10549,
     /* 1720130 */     GIR_EraseRootFromParent_Done,
     /* 1720131 */   // Label 23485: @1720131
     /* 1720131 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1720217), // Rule ID 10552 //
     /* 1720136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720182 */     // MIs[0] policy
     /* 1720182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720216 */     // GIR_Coverage, 10552,
     /* 1720216 */     GIR_EraseRootFromParent_Done,
     /* 1720217 */   // Label 23486: @1720217
     /* 1720217 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1720303), // Rule ID 10553 //
     /* 1720222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720268 */     // MIs[0] policy
     /* 1720268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720302 */     // GIR_Coverage, 10553,
     /* 1720302 */     GIR_EraseRootFromParent_Done,
     /* 1720303 */   // Label 23487: @1720303
     /* 1720303 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1720389), // Rule ID 10556 //
     /* 1720308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720354 */     // MIs[0] policy
     /* 1720354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720388 */     // GIR_Coverage, 10556,
     /* 1720388 */     GIR_EraseRootFromParent_Done,
     /* 1720389 */   // Label 23488: @1720389
     /* 1720389 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1720475), // Rule ID 10557 //
     /* 1720394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720440 */     // MIs[0] policy
     /* 1720440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720474 */     // GIR_Coverage, 10557,
     /* 1720474 */     GIR_EraseRootFromParent_Done,
     /* 1720475 */   // Label 23489: @1720475
     /* 1720475 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1720561), // Rule ID 10560 //
     /* 1720480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720526 */     // MIs[0] policy
     /* 1720526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720560 */     // GIR_Coverage, 10560,
     /* 1720560 */     GIR_EraseRootFromParent_Done,
     /* 1720561 */   // Label 23490: @1720561
     /* 1720561 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1720647), // Rule ID 10561 //
     /* 1720566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720612 */     // MIs[0] policy
     /* 1720612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720646 */     // GIR_Coverage, 10561,
     /* 1720646 */     GIR_EraseRootFromParent_Done,
     /* 1720647 */   // Label 23491: @1720647
     /* 1720647 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1720733), // Rule ID 10564 //
     /* 1720652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720698 */     // MIs[0] policy
     /* 1720698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720732 */     // GIR_Coverage, 10564,
     /* 1720732 */     GIR_EraseRootFromParent_Done,
     /* 1720733 */   // Label 23492: @1720733
     /* 1720733 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1720819), // Rule ID 10565 //
     /* 1720738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720784 */     // MIs[0] policy
     /* 1720784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720818 */     // GIR_Coverage, 10565,
     /* 1720818 */     GIR_EraseRootFromParent_Done,
     /* 1720819 */   // Label 23493: @1720819
     /* 1720819 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1720905), // Rule ID 10568 //
     /* 1720824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720870 */     // MIs[0] policy
     /* 1720870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720904 */     // GIR_Coverage, 10568,
     /* 1720904 */     GIR_EraseRootFromParent_Done,
     /* 1720905 */   // Label 23494: @1720905
     /* 1720905 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1720991), // Rule ID 10569 //
     /* 1720910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720956 */     // MIs[0] policy
     /* 1720956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720990 */     // GIR_Coverage, 10569,
     /* 1720990 */     GIR_EraseRootFromParent_Done,
     /* 1720991 */   // Label 23495: @1720991
     /* 1720991 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1721077), // Rule ID 10572 //
     /* 1720996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721042 */     // MIs[0] policy
     /* 1721042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1721055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721076 */     // GIR_Coverage, 10572,
     /* 1721076 */     GIR_EraseRootFromParent_Done,
     /* 1721077 */   // Label 23496: @1721077
     /* 1721077 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1721163), // Rule ID 10573 //
     /* 1721082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721128 */     // MIs[0] policy
     /* 1721128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721138 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1721141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721162 */     // GIR_Coverage, 10573,
     /* 1721162 */     GIR_EraseRootFromParent_Done,
     /* 1721163 */   // Label 23497: @1721163
     /* 1721163 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1721249), // Rule ID 10576 //
     /* 1721168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721214 */     // MIs[0] policy
     /* 1721214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1721227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721248 */     // GIR_Coverage, 10576,
     /* 1721248 */     GIR_EraseRootFromParent_Done,
     /* 1721249 */   // Label 23498: @1721249
     /* 1721249 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1721335), // Rule ID 10577 //
     /* 1721254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721300 */     // MIs[0] policy
     /* 1721300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721310 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1721313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721334 */     // GIR_Coverage, 10577,
     /* 1721334 */     GIR_EraseRootFromParent_Done,
     /* 1721335 */   // Label 23499: @1721335
     /* 1721335 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1721421), // Rule ID 10580 //
     /* 1721340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721386 */     // MIs[0] policy
     /* 1721386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1721399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721420 */     // GIR_Coverage, 10580,
     /* 1721420 */     GIR_EraseRootFromParent_Done,
     /* 1721421 */   // Label 23500: @1721421
     /* 1721421 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1721507), // Rule ID 10581 //
     /* 1721426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721472 */     // MIs[0] policy
     /* 1721472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1721485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721506 */     // GIR_Coverage, 10581,
     /* 1721506 */     GIR_EraseRootFromParent_Done,
     /* 1721507 */   // Label 23501: @1721507
     /* 1721507 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1721593), // Rule ID 10584 //
     /* 1721512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721558 */     // MIs[0] policy
     /* 1721558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721568 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721592 */     // GIR_Coverage, 10584,
     /* 1721592 */     GIR_EraseRootFromParent_Done,
     /* 1721593 */   // Label 23502: @1721593
     /* 1721593 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1721679), // Rule ID 10585 //
     /* 1721598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721644 */     // MIs[0] policy
     /* 1721644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721654 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721678 */     // GIR_Coverage, 10585,
     /* 1721678 */     GIR_EraseRootFromParent_Done,
     /* 1721679 */   // Label 23503: @1721679
     /* 1721679 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1721765), // Rule ID 10588 //
     /* 1721684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721730 */     // MIs[0] policy
     /* 1721730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721740 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721764 */     // GIR_Coverage, 10588,
     /* 1721764 */     GIR_EraseRootFromParent_Done,
     /* 1721765 */   // Label 23504: @1721765
     /* 1721765 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1721851), // Rule ID 10589 //
     /* 1721770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721816 */     // MIs[0] policy
     /* 1721816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721850 */     // GIR_Coverage, 10589,
     /* 1721850 */     GIR_EraseRootFromParent_Done,
     /* 1721851 */   // Label 23505: @1721851
     /* 1721851 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1721937), // Rule ID 10592 //
     /* 1721856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721902 */     // MIs[0] policy
     /* 1721902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721936 */     // GIR_Coverage, 10592,
     /* 1721936 */     GIR_EraseRootFromParent_Done,
     /* 1721937 */   // Label 23506: @1721937
     /* 1721937 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1722023), // Rule ID 10593 //
     /* 1721942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721988 */     // MIs[0] policy
     /* 1721988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721998 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1722001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722022 */     // GIR_Coverage, 10593,
     /* 1722022 */     GIR_EraseRootFromParent_Done,
     /* 1722023 */   // Label 23507: @1722023
     /* 1722023 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1722109), // Rule ID 10596 //
     /* 1722028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722074 */     // MIs[0] policy
     /* 1722074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722108 */     // GIR_Coverage, 10596,
     /* 1722108 */     GIR_EraseRootFromParent_Done,
     /* 1722109 */   // Label 23508: @1722109
     /* 1722109 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1722195), // Rule ID 10597 //
     /* 1722114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722160 */     // MIs[0] policy
     /* 1722160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722194 */     // GIR_Coverage, 10597,
     /* 1722194 */     GIR_EraseRootFromParent_Done,
     /* 1722195 */   // Label 23509: @1722195
     /* 1722195 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1722281), // Rule ID 10600 //
     /* 1722200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722246 */     // MIs[0] policy
     /* 1722246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722280 */     // GIR_Coverage, 10600,
     /* 1722280 */     GIR_EraseRootFromParent_Done,
     /* 1722281 */   // Label 23510: @1722281
     /* 1722281 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1722367), // Rule ID 10601 //
     /* 1722286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722332 */     // MIs[0] policy
     /* 1722332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722366 */     // GIR_Coverage, 10601,
     /* 1722366 */     GIR_EraseRootFromParent_Done,
     /* 1722367 */   // Label 23511: @1722367
     /* 1722367 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1722453), // Rule ID 10604 //
     /* 1722372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722418 */     // MIs[0] policy
     /* 1722418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722452 */     // GIR_Coverage, 10604,
     /* 1722452 */     GIR_EraseRootFromParent_Done,
     /* 1722453 */   // Label 23512: @1722453
     /* 1722453 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1722539), // Rule ID 10605 //
     /* 1722458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722504 */     // MIs[0] policy
     /* 1722504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722538 */     // GIR_Coverage, 10605,
     /* 1722538 */     GIR_EraseRootFromParent_Done,
     /* 1722539 */   // Label 23513: @1722539
     /* 1722539 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1722625), // Rule ID 10608 //
     /* 1722544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722590 */     // MIs[0] policy
     /* 1722590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722624 */     // GIR_Coverage, 10608,
     /* 1722624 */     GIR_EraseRootFromParent_Done,
     /* 1722625 */   // Label 23514: @1722625
     /* 1722625 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1722711), // Rule ID 10609 //
     /* 1722630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722676 */     // MIs[0] policy
     /* 1722676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722710 */     // GIR_Coverage, 10609,
     /* 1722710 */     GIR_EraseRootFromParent_Done,
     /* 1722711 */   // Label 23515: @1722711
     /* 1722711 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1722797), // Rule ID 10612 //
     /* 1722716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722762 */     // MIs[0] policy
     /* 1722762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722796 */     // GIR_Coverage, 10612,
     /* 1722796 */     GIR_EraseRootFromParent_Done,
     /* 1722797 */   // Label 23516: @1722797
     /* 1722797 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1722883), // Rule ID 10613 //
     /* 1722802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722848 */     // MIs[0] policy
     /* 1722848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722882 */     // GIR_Coverage, 10613,
     /* 1722882 */     GIR_EraseRootFromParent_Done,
     /* 1722883 */   // Label 23517: @1722883
     /* 1722883 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1722969), // Rule ID 10616 //
     /* 1722888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722934 */     // MIs[0] policy
     /* 1722934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722968 */     // GIR_Coverage, 10616,
     /* 1722968 */     GIR_EraseRootFromParent_Done,
     /* 1722969 */   // Label 23518: @1722969
     /* 1722969 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1723055), // Rule ID 10617 //
     /* 1722974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723020 */     // MIs[0] policy
     /* 1723020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1723033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723054 */     // GIR_Coverage, 10617,
     /* 1723054 */     GIR_EraseRootFromParent_Done,
     /* 1723055 */   // Label 23519: @1723055
     /* 1723055 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1723141), // Rule ID 10620 //
     /* 1723060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723106 */     // MIs[0] policy
     /* 1723106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723140 */     // GIR_Coverage, 10620,
     /* 1723140 */     GIR_EraseRootFromParent_Done,
     /* 1723141 */   // Label 23520: @1723141
     /* 1723141 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1723227), // Rule ID 10621 //
     /* 1723146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723192 */     // MIs[0] policy
     /* 1723192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723226 */     // GIR_Coverage, 10621,
     /* 1723226 */     GIR_EraseRootFromParent_Done,
     /* 1723227 */   // Label 23521: @1723227
     /* 1723227 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1723313), // Rule ID 10624 //
     /* 1723232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723278 */     // MIs[0] policy
     /* 1723278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723288 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723312 */     // GIR_Coverage, 10624,
     /* 1723312 */     GIR_EraseRootFromParent_Done,
     /* 1723313 */   // Label 23522: @1723313
     /* 1723313 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1723399), // Rule ID 10625 //
     /* 1723318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723364 */     // MIs[0] policy
     /* 1723364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723398 */     // GIR_Coverage, 10625,
     /* 1723398 */     GIR_EraseRootFromParent_Done,
     /* 1723399 */   // Label 23523: @1723399
     /* 1723399 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1723485), // Rule ID 10628 //
     /* 1723404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723450 */     // MIs[0] policy
     /* 1723450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723460 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723484 */     // GIR_Coverage, 10628,
     /* 1723484 */     GIR_EraseRootFromParent_Done,
     /* 1723485 */   // Label 23524: @1723485
     /* 1723485 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1723571), // Rule ID 10629 //
     /* 1723490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723536 */     // MIs[0] policy
     /* 1723536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723546 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723570 */     // GIR_Coverage, 10629,
     /* 1723570 */     GIR_EraseRootFromParent_Done,
     /* 1723571 */   // Label 23525: @1723571
     /* 1723571 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1723657), // Rule ID 10632 //
     /* 1723576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723622 */     // MIs[0] policy
     /* 1723622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723656 */     // GIR_Coverage, 10632,
     /* 1723656 */     GIR_EraseRootFromParent_Done,
     /* 1723657 */   // Label 23526: @1723657
     /* 1723657 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1723743), // Rule ID 10633 //
     /* 1723662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723708 */     // MIs[0] policy
     /* 1723708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723742 */     // GIR_Coverage, 10633,
     /* 1723742 */     GIR_EraseRootFromParent_Done,
     /* 1723743 */   // Label 23527: @1723743
     /* 1723743 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1723829), // Rule ID 10636 //
     /* 1723748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723794 */     // MIs[0] policy
     /* 1723794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723828 */     // GIR_Coverage, 10636,
     /* 1723828 */     GIR_EraseRootFromParent_Done,
     /* 1723829 */   // Label 23528: @1723829
     /* 1723829 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1723915), // Rule ID 10637 //
     /* 1723834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723880 */     // MIs[0] policy
     /* 1723880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723890 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723914 */     // GIR_Coverage, 10637,
     /* 1723914 */     GIR_EraseRootFromParent_Done,
     /* 1723915 */   // Label 23529: @1723915
     /* 1723915 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1724001), // Rule ID 10640 //
     /* 1723920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723966 */     // MIs[0] policy
     /* 1723966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724000 */     // GIR_Coverage, 10640,
     /* 1724000 */     GIR_EraseRootFromParent_Done,
     /* 1724001 */   // Label 23530: @1724001
     /* 1724001 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1724087), // Rule ID 10641 //
     /* 1724006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1724023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724052 */     // MIs[0] policy
     /* 1724052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724086 */     // GIR_Coverage, 10641,
     /* 1724086 */     GIR_EraseRootFromParent_Done,
     /* 1724087 */   // Label 23531: @1724087
     /* 1724087 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1724173), // Rule ID 10644 //
     /* 1724092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1724109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724138 */     // MIs[0] policy
     /* 1724138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724172 */     // GIR_Coverage, 10644,
     /* 1724172 */     GIR_EraseRootFromParent_Done,
     /* 1724173 */   // Label 23532: @1724173
     /* 1724173 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1724259), // Rule ID 10645 //
     /* 1724178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1724195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724224 */     // MIs[0] policy
     /* 1724224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724258 */     // GIR_Coverage, 10645,
     /* 1724258 */     GIR_EraseRootFromParent_Done,
     /* 1724259 */   // Label 23533: @1724259
     /* 1724259 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1724345), // Rule ID 10648 //
     /* 1724264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1724281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724310 */     // MIs[0] policy
     /* 1724310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724344 */     // GIR_Coverage, 10648,
     /* 1724344 */     GIR_EraseRootFromParent_Done,
     /* 1724345 */   // Label 23534: @1724345
     /* 1724345 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1724431), // Rule ID 10649 //
     /* 1724350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1724367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724396 */     // MIs[0] policy
     /* 1724396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724430 */     // GIR_Coverage, 10649,
     /* 1724430 */     GIR_EraseRootFromParent_Done,
     /* 1724431 */   // Label 23535: @1724431
     /* 1724431 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1724517), // Rule ID 10652 //
     /* 1724436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724482 */     // MIs[0] policy
     /* 1724482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724516 */     // GIR_Coverage, 10652,
     /* 1724516 */     GIR_EraseRootFromParent_Done,
     /* 1724517 */   // Label 23536: @1724517
     /* 1724517 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1724603), // Rule ID 10653 //
     /* 1724522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724568 */     // MIs[0] policy
     /* 1724568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724602 */     // GIR_Coverage, 10653,
     /* 1724602 */     GIR_EraseRootFromParent_Done,
     /* 1724603 */   // Label 23537: @1724603
     /* 1724603 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1724689), // Rule ID 10656 //
     /* 1724608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724654 */     // MIs[0] policy
     /* 1724654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724688 */     // GIR_Coverage, 10656,
     /* 1724688 */     GIR_EraseRootFromParent_Done,
     /* 1724689 */   // Label 23538: @1724689
     /* 1724689 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1724775), // Rule ID 10657 //
     /* 1724694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724740 */     // MIs[0] policy
     /* 1724740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724750 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724774 */     // GIR_Coverage, 10657,
     /* 1724774 */     GIR_EraseRootFromParent_Done,
     /* 1724775 */   // Label 23539: @1724775
     /* 1724775 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1724861), // Rule ID 10660 //
     /* 1724780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724826 */     // MIs[0] policy
     /* 1724826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724860 */     // GIR_Coverage, 10660,
     /* 1724860 */     GIR_EraseRootFromParent_Done,
     /* 1724861 */   // Label 23540: @1724861
     /* 1724861 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1724947), // Rule ID 10661 //
     /* 1724866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724912 */     // MIs[0] policy
     /* 1724912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724946 */     // GIR_Coverage, 10661,
     /* 1724946 */     GIR_EraseRootFromParent_Done,
     /* 1724947 */   // Label 23541: @1724947
     /* 1724947 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1725033), // Rule ID 10664 //
     /* 1724952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724998 */     // MIs[0] policy
     /* 1724998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1725011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725032 */     // GIR_Coverage, 10664,
     /* 1725032 */     GIR_EraseRootFromParent_Done,
     /* 1725033 */   // Label 23542: @1725033
     /* 1725033 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1725119), // Rule ID 10665 //
     /* 1725038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1725049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1725052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1725055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725084 */     // MIs[0] policy
     /* 1725084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1725097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725118 */     // GIR_Coverage, 10665,
     /* 1725118 */     GIR_EraseRootFromParent_Done,
     /* 1725119 */   // Label 23543: @1725119
     /* 1725119 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1725205), // Rule ID 10668 //
     /* 1725124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1725144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725170 */     // MIs[0] policy
     /* 1725170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1725183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725204 */     // GIR_Coverage, 10668,
     /* 1725204 */     GIR_EraseRootFromParent_Done,
     /* 1725205 */   // Label 23544: @1725205
     /* 1725205 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1725291), // Rule ID 10669 //
     /* 1725210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1725230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725256 */     // MIs[0] policy
     /* 1725256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725266 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1725269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725290 */     // GIR_Coverage, 10669,
     /* 1725290 */     GIR_EraseRootFromParent_Done,
     /* 1725291 */   // Label 23545: @1725291
     /* 1725291 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1725377), // Rule ID 10672 //
     /* 1725296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1725316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725342 */     // MIs[0] policy
     /* 1725342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725376 */     // GIR_Coverage, 10672,
     /* 1725376 */     GIR_EraseRootFromParent_Done,
     /* 1725377 */   // Label 23546: @1725377
     /* 1725377 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1725463), // Rule ID 10673 //
     /* 1725382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1725402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725428 */     // MIs[0] policy
     /* 1725428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725438 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725462 */     // GIR_Coverage, 10673,
     /* 1725462 */     GIR_EraseRootFromParent_Done,
     /* 1725463 */   // Label 23547: @1725463
     /* 1725463 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1725549), // Rule ID 10676 //
     /* 1725468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725514 */     // MIs[0] policy
     /* 1725514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725548 */     // GIR_Coverage, 10676,
     /* 1725548 */     GIR_EraseRootFromParent_Done,
     /* 1725549 */   // Label 23548: @1725549
     /* 1725549 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1725635), // Rule ID 10677 //
     /* 1725554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725600 */     // MIs[0] policy
     /* 1725600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725634 */     // GIR_Coverage, 10677,
     /* 1725634 */     GIR_EraseRootFromParent_Done,
     /* 1725635 */   // Label 23549: @1725635
     /* 1725635 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1725721), // Rule ID 10680 //
     /* 1725640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725686 */     // MIs[0] policy
     /* 1725686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725720 */     // GIR_Coverage, 10680,
     /* 1725720 */     GIR_EraseRootFromParent_Done,
     /* 1725721 */   // Label 23550: @1725721
     /* 1725721 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1725807), // Rule ID 10681 //
     /* 1725726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725772 */     // MIs[0] policy
     /* 1725772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725806 */     // GIR_Coverage, 10681,
     /* 1725806 */     GIR_EraseRootFromParent_Done,
     /* 1725807 */   // Label 23551: @1725807
     /* 1725807 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1725893), // Rule ID 10684 //
     /* 1725812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725858 */     // MIs[0] policy
     /* 1725858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725892 */     // GIR_Coverage, 10684,
     /* 1725892 */     GIR_EraseRootFromParent_Done,
     /* 1725893 */   // Label 23552: @1725893
     /* 1725893 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1725979), // Rule ID 10685 //
     /* 1725898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725944 */     // MIs[0] policy
     /* 1725944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725954 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725978 */     // GIR_Coverage, 10685,
     /* 1725978 */     GIR_EraseRootFromParent_Done,
     /* 1725979 */   // Label 23553: @1725979
     /* 1725979 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1726065), // Rule ID 10688 //
     /* 1725984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1726001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1726004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726030 */     // MIs[0] policy
     /* 1726030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1726043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726064 */     // GIR_Coverage, 10688,
     /* 1726064 */     GIR_EraseRootFromParent_Done,
     /* 1726065 */   // Label 23554: @1726065
     /* 1726065 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1726151), // Rule ID 10689 //
     /* 1726070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1726081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1726084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1726087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1726090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726116 */     // MIs[0] policy
     /* 1726116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1726129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726150 */     // GIR_Coverage, 10689,
     /* 1726150 */     GIR_EraseRootFromParent_Done,
     /* 1726151 */   // Label 23555: @1726151
     /* 1726151 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1726237), // Rule ID 10692 //
     /* 1726156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1726176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726202 */     // MIs[0] policy
     /* 1726202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726236 */     // GIR_Coverage, 10692,
     /* 1726236 */     GIR_EraseRootFromParent_Done,
     /* 1726237 */   // Label 23556: @1726237
     /* 1726237 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1726323), // Rule ID 10693 //
     /* 1726242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1726262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726288 */     // MIs[0] policy
     /* 1726288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726322 */     // GIR_Coverage, 10693,
     /* 1726322 */     GIR_EraseRootFromParent_Done,
     /* 1726323 */   // Label 23557: @1726323
     /* 1726323 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1726409), // Rule ID 10696 //
     /* 1726328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1726348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726374 */     // MIs[0] policy
     /* 1726374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726408 */     // GIR_Coverage, 10696,
     /* 1726408 */     GIR_EraseRootFromParent_Done,
     /* 1726409 */   // Label 23558: @1726409
     /* 1726409 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1726495), // Rule ID 10697 //
     /* 1726414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1726434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726460 */     // MIs[0] policy
     /* 1726460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726494 */     // GIR_Coverage, 10697,
     /* 1726494 */     GIR_EraseRootFromParent_Done,
     /* 1726495 */   // Label 23559: @1726495
     /* 1726495 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1726581), // Rule ID 10700 //
     /* 1726500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726546 */     // MIs[0] policy
     /* 1726546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726580 */     // GIR_Coverage, 10700,
     /* 1726580 */     GIR_EraseRootFromParent_Done,
     /* 1726581 */   // Label 23560: @1726581
     /* 1726581 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1726667), // Rule ID 10701 //
     /* 1726586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726632 */     // MIs[0] policy
     /* 1726632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726666 */     // GIR_Coverage, 10701,
     /* 1726666 */     GIR_EraseRootFromParent_Done,
     /* 1726667 */   // Label 23561: @1726667
     /* 1726667 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1726753), // Rule ID 10704 //
     /* 1726672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726718 */     // MIs[0] policy
     /* 1726718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726752 */     // GIR_Coverage, 10704,
     /* 1726752 */     GIR_EraseRootFromParent_Done,
     /* 1726753 */   // Label 23562: @1726753
     /* 1726753 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1726839), // Rule ID 10705 //
     /* 1726758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726804 */     // MIs[0] policy
     /* 1726804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726838 */     // GIR_Coverage, 10705,
     /* 1726838 */     GIR_EraseRootFromParent_Done,
     /* 1726839 */   // Label 23563: @1726839
     /* 1726839 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1726925), // Rule ID 10708 //
     /* 1726844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726890 */     // MIs[0] policy
     /* 1726890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726924 */     // GIR_Coverage, 10708,
     /* 1726924 */     GIR_EraseRootFromParent_Done,
     /* 1726925 */   // Label 23564: @1726925
     /* 1726925 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1727011), // Rule ID 10709 //
     /* 1726930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726976 */     // MIs[0] policy
     /* 1726976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727010 */     // GIR_Coverage, 10709,
     /* 1727010 */     GIR_EraseRootFromParent_Done,
     /* 1727011 */   // Label 23565: @1727011
     /* 1727011 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1727097), // Rule ID 10712 //
     /* 1727016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1727036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727062 */     // MIs[0] policy
     /* 1727062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727096 */     // GIR_Coverage, 10712,
     /* 1727096 */     GIR_EraseRootFromParent_Done,
     /* 1727097 */   // Label 23566: @1727097
     /* 1727097 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1727183), // Rule ID 10713 //
     /* 1727102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1727122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727148 */     // MIs[0] policy
     /* 1727148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727182 */     // GIR_Coverage, 10713,
     /* 1727182 */     GIR_EraseRootFromParent_Done,
     /* 1727183 */   // Label 23567: @1727183
     /* 1727183 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1727269), // Rule ID 10716 //
     /* 1727188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1727208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727234 */     // MIs[0] policy
     /* 1727234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727244 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727268 */     // GIR_Coverage, 10716,
     /* 1727268 */     GIR_EraseRootFromParent_Done,
     /* 1727269 */   // Label 23568: @1727269
     /* 1727269 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1727355), // Rule ID 10717 //
     /* 1727274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1727294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727320 */     // MIs[0] policy
     /* 1727320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727330 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727354 */     // GIR_Coverage, 10717,
     /* 1727354 */     GIR_EraseRootFromParent_Done,
     /* 1727355 */   // Label 23569: @1727355
     /* 1727355 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1727441), // Rule ID 10720 //
     /* 1727360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727406 */     // MIs[0] policy
     /* 1727406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727440 */     // GIR_Coverage, 10720,
     /* 1727440 */     GIR_EraseRootFromParent_Done,
     /* 1727441 */   // Label 23570: @1727441
     /* 1727441 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1727527), // Rule ID 10721 //
     /* 1727446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727492 */     // MIs[0] policy
     /* 1727492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727526 */     // GIR_Coverage, 10721,
     /* 1727526 */     GIR_EraseRootFromParent_Done,
     /* 1727527 */   // Label 23571: @1727527
     /* 1727527 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1727613), // Rule ID 10724 //
     /* 1727532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727578 */     // MIs[0] policy
     /* 1727578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727612 */     // GIR_Coverage, 10724,
     /* 1727612 */     GIR_EraseRootFromParent_Done,
     /* 1727613 */   // Label 23572: @1727613
     /* 1727613 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1727699), // Rule ID 10725 //
     /* 1727618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727664 */     // MIs[0] policy
     /* 1727664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727698 */     // GIR_Coverage, 10725,
     /* 1727698 */     GIR_EraseRootFromParent_Done,
     /* 1727699 */   // Label 23573: @1727699
     /* 1727699 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1727785), // Rule ID 10728 //
     /* 1727704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727750 */     // MIs[0] policy
     /* 1727750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727784 */     // GIR_Coverage, 10728,
     /* 1727784 */     GIR_EraseRootFromParent_Done,
     /* 1727785 */   // Label 23574: @1727785
     /* 1727785 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1727871), // Rule ID 10729 //
     /* 1727790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727836 */     // MIs[0] policy
     /* 1727836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727870 */     // GIR_Coverage, 10729,
     /* 1727870 */     GIR_EraseRootFromParent_Done,
     /* 1727871 */   // Label 23575: @1727871
     /* 1727871 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1727957), // Rule ID 10732 //
     /* 1727876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727922 */     // MIs[0] policy
     /* 1727922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727956 */     // GIR_Coverage, 10732,
     /* 1727956 */     GIR_EraseRootFromParent_Done,
     /* 1727957 */   // Label 23576: @1727957
     /* 1727957 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1728043), // Rule ID 10733 //
     /* 1727962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728008 */     // MIs[0] policy
     /* 1728008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728042 */     // GIR_Coverage, 10733,
     /* 1728042 */     GIR_EraseRootFromParent_Done,
     /* 1728043 */   // Label 23577: @1728043
     /* 1728043 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1728129), // Rule ID 10736 //
     /* 1728048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1728068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728094 */     // MIs[0] policy
     /* 1728094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728128 */     // GIR_Coverage, 10736,
     /* 1728128 */     GIR_EraseRootFromParent_Done,
     /* 1728129 */   // Label 23578: @1728129
     /* 1728129 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1728215), // Rule ID 10737 //
     /* 1728134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1728154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728180 */     // MIs[0] policy
     /* 1728180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728214 */     // GIR_Coverage, 10737,
     /* 1728214 */     GIR_EraseRootFromParent_Done,
     /* 1728215 */   // Label 23579: @1728215
     /* 1728215 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1728301), // Rule ID 10740 //
     /* 1728220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1728240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728266 */     // MIs[0] policy
     /* 1728266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728300 */     // GIR_Coverage, 10740,
     /* 1728300 */     GIR_EraseRootFromParent_Done,
     /* 1728301 */   // Label 23580: @1728301
     /* 1728301 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1728387), // Rule ID 10741 //
     /* 1728306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1728326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728352 */     // MIs[0] policy
     /* 1728352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728386 */     // GIR_Coverage, 10741,
     /* 1728386 */     GIR_EraseRootFromParent_Done,
     /* 1728387 */   // Label 23581: @1728387
     /* 1728387 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1728473), // Rule ID 10744 //
     /* 1728392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728438 */     // MIs[0] policy
     /* 1728438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728472 */     // GIR_Coverage, 10744,
     /* 1728472 */     GIR_EraseRootFromParent_Done,
     /* 1728473 */   // Label 23582: @1728473
     /* 1728473 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1728559), // Rule ID 10745 //
     /* 1728478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728524 */     // MIs[0] policy
     /* 1728524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728558 */     // GIR_Coverage, 10745,
     /* 1728558 */     GIR_EraseRootFromParent_Done,
     /* 1728559 */   // Label 23583: @1728559
     /* 1728559 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1728645), // Rule ID 10748 //
     /* 1728564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728610 */     // MIs[0] policy
     /* 1728610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728644 */     // GIR_Coverage, 10748,
     /* 1728644 */     GIR_EraseRootFromParent_Done,
     /* 1728645 */   // Label 23584: @1728645
     /* 1728645 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1728731), // Rule ID 10749 //
     /* 1728650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728696 */     // MIs[0] policy
     /* 1728696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728730 */     // GIR_Coverage, 10749,
     /* 1728730 */     GIR_EraseRootFromParent_Done,
     /* 1728731 */   // Label 23585: @1728731
     /* 1728731 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1728817), // Rule ID 10752 //
     /* 1728736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728782 */     // MIs[0] policy
     /* 1728782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728816 */     // GIR_Coverage, 10752,
     /* 1728816 */     GIR_EraseRootFromParent_Done,
     /* 1728817 */   // Label 23586: @1728817
     /* 1728817 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1728903), // Rule ID 10753 //
     /* 1728822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728868 */     // MIs[0] policy
     /* 1728868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728902 */     // GIR_Coverage, 10753,
     /* 1728902 */     GIR_EraseRootFromParent_Done,
     /* 1728903 */   // Label 23587: @1728903
     /* 1728903 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1728989), // Rule ID 10756 //
     /* 1728908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728954 */     // MIs[0] policy
     /* 1728954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1728967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728988 */     // GIR_Coverage, 10756,
     /* 1728988 */     GIR_EraseRootFromParent_Done,
     /* 1728989 */   // Label 23588: @1728989
     /* 1728989 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1729075), // Rule ID 10757 //
     /* 1728994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1729005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1729008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1729011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729040 */     // MIs[0] policy
     /* 1729040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729050 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1729053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729074 */     // GIR_Coverage, 10757,
     /* 1729074 */     GIR_EraseRootFromParent_Done,
     /* 1729075 */   // Label 23589: @1729075
     /* 1729075 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1729161), // Rule ID 10760 //
     /* 1729080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1729097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729126 */     // MIs[0] policy
     /* 1729126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729160 */     // GIR_Coverage, 10760,
     /* 1729160 */     GIR_EraseRootFromParent_Done,
     /* 1729161 */   // Label 23590: @1729161
     /* 1729161 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1729247), // Rule ID 10761 //
     /* 1729166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1729183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729212 */     // MIs[0] policy
     /* 1729212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729246 */     // GIR_Coverage, 10761,
     /* 1729246 */     GIR_EraseRootFromParent_Done,
     /* 1729247 */   // Label 23591: @1729247
     /* 1729247 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1729333), // Rule ID 10764 //
     /* 1729252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1729269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729298 */     // MIs[0] policy
     /* 1729298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729332 */     // GIR_Coverage, 10764,
     /* 1729332 */     GIR_EraseRootFromParent_Done,
     /* 1729333 */   // Label 23592: @1729333
     /* 1729333 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1729419), // Rule ID 10765 //
     /* 1729338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1729355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729384 */     // MIs[0] policy
     /* 1729384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729394 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729418 */     // GIR_Coverage, 10765,
     /* 1729418 */     GIR_EraseRootFromParent_Done,
     /* 1729419 */   // Label 23593: @1729419
     /* 1729419 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1729505), // Rule ID 10768 //
     /* 1729424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729470 */     // MIs[0] policy
     /* 1729470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729504 */     // GIR_Coverage, 10768,
     /* 1729504 */     GIR_EraseRootFromParent_Done,
     /* 1729505 */   // Label 23594: @1729505
     /* 1729505 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1729591), // Rule ID 10769 //
     /* 1729510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729556 */     // MIs[0] policy
     /* 1729556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729590 */     // GIR_Coverage, 10769,
     /* 1729590 */     GIR_EraseRootFromParent_Done,
     /* 1729591 */   // Label 23595: @1729591
     /* 1729591 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1729677), // Rule ID 10772 //
     /* 1729596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729642 */     // MIs[0] policy
     /* 1729642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729676 */     // GIR_Coverage, 10772,
     /* 1729676 */     GIR_EraseRootFromParent_Done,
     /* 1729677 */   // Label 23596: @1729677
     /* 1729677 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1729763), // Rule ID 10773 //
     /* 1729682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729728 */     // MIs[0] policy
     /* 1729728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729738 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729762 */     // GIR_Coverage, 10773,
     /* 1729762 */     GIR_EraseRootFromParent_Done,
     /* 1729763 */   // Label 23597: @1729763
     /* 1729763 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1729849), // Rule ID 10776 //
     /* 1729768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729814 */     // MIs[0] policy
     /* 1729814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729848 */     // GIR_Coverage, 10776,
     /* 1729848 */     GIR_EraseRootFromParent_Done,
     /* 1729849 */   // Label 23598: @1729849
     /* 1729849 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1729935), // Rule ID 10777 //
     /* 1729854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729900 */     // MIs[0] policy
     /* 1729900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729910 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729934 */     // GIR_Coverage, 10777,
     /* 1729934 */     GIR_EraseRootFromParent_Done,
     /* 1729935 */   // Label 23599: @1729935
     /* 1729935 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1730021), // Rule ID 10780 //
     /* 1729940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729986 */     // MIs[0] policy
     /* 1729986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730020 */     // GIR_Coverage, 10780,
     /* 1730020 */     GIR_EraseRootFromParent_Done,
     /* 1730021 */   // Label 23600: @1730021
     /* 1730021 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1730107), // Rule ID 10781 //
     /* 1730026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1730037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1730040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1730043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730072 */     // MIs[0] policy
     /* 1730072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730106 */     // GIR_Coverage, 10781,
     /* 1730106 */     GIR_EraseRootFromParent_Done,
     /* 1730107 */   // Label 23601: @1730107
     /* 1730107 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1730193), // Rule ID 10784 //
     /* 1730112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1730129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730158 */     // MIs[0] policy
     /* 1730158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730192 */     // GIR_Coverage, 10784,
     /* 1730192 */     GIR_EraseRootFromParent_Done,
     /* 1730193 */   // Label 23602: @1730193
     /* 1730193 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1730279), // Rule ID 10785 //
     /* 1730198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1730215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730244 */     // MIs[0] policy
     /* 1730244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730278 */     // GIR_Coverage, 10785,
     /* 1730278 */     GIR_EraseRootFromParent_Done,
     /* 1730279 */   // Label 23603: @1730279
     /* 1730279 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1730365), // Rule ID 10788 //
     /* 1730284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1730301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730330 */     // MIs[0] policy
     /* 1730330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730364 */     // GIR_Coverage, 10788,
     /* 1730364 */     GIR_EraseRootFromParent_Done,
     /* 1730365 */   // Label 23604: @1730365
     /* 1730365 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1730451), // Rule ID 10789 //
     /* 1730370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1730387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730416 */     // MIs[0] policy
     /* 1730416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730450 */     // GIR_Coverage, 10789,
     /* 1730450 */     GIR_EraseRootFromParent_Done,
     /* 1730451 */   // Label 23605: @1730451
     /* 1730451 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1730537), // Rule ID 10792 //
     /* 1730456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730502 */     // MIs[0] policy
     /* 1730502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730536 */     // GIR_Coverage, 10792,
     /* 1730536 */     GIR_EraseRootFromParent_Done,
     /* 1730537 */   // Label 23606: @1730537
     /* 1730537 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1730623), // Rule ID 10793 //
     /* 1730542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730588 */     // MIs[0] policy
     /* 1730588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730622 */     // GIR_Coverage, 10793,
     /* 1730622 */     GIR_EraseRootFromParent_Done,
     /* 1730623 */   // Label 23607: @1730623
     /* 1730623 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1730709), // Rule ID 10796 //
     /* 1730628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730674 */     // MIs[0] policy
     /* 1730674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730708 */     // GIR_Coverage, 10796,
     /* 1730708 */     GIR_EraseRootFromParent_Done,
     /* 1730709 */   // Label 23608: @1730709
     /* 1730709 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1730795), // Rule ID 10797 //
     /* 1730714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730760 */     // MIs[0] policy
     /* 1730760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730770 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730794 */     // GIR_Coverage, 10797,
     /* 1730794 */     GIR_EraseRootFromParent_Done,
     /* 1730795 */   // Label 23609: @1730795
     /* 1730795 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1730881), // Rule ID 10800 //
     /* 1730800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730846 */     // MIs[0] policy
     /* 1730846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730856 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730880 */     // GIR_Coverage, 10800,
     /* 1730880 */     GIR_EraseRootFromParent_Done,
     /* 1730881 */   // Label 23610: @1730881
     /* 1730881 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1730967), // Rule ID 10801 //
     /* 1730886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730932 */     // MIs[0] policy
     /* 1730932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730966 */     // GIR_Coverage, 10801,
     /* 1730966 */     GIR_EraseRootFromParent_Done,
     /* 1730967 */   // Label 23611: @1730967
     /* 1730967 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1731053), // Rule ID 10804 //
     /* 1730972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731018 */     // MIs[0] policy
     /* 1731018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731028 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731052 */     // GIR_Coverage, 10804,
     /* 1731052 */     GIR_EraseRootFromParent_Done,
     /* 1731053 */   // Label 23612: @1731053
     /* 1731053 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1731139), // Rule ID 10805 //
     /* 1731058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1731069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1731072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1731075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1731081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731104 */     // MIs[0] policy
     /* 1731104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731114 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731138 */     // GIR_Coverage, 10805,
     /* 1731138 */     GIR_EraseRootFromParent_Done,
     /* 1731139 */   // Label 23613: @1731139
     /* 1731139 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1731225), // Rule ID 10808 //
     /* 1731144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1731161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731190 */     // MIs[0] policy
     /* 1731190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731224 */     // GIR_Coverage, 10808,
     /* 1731224 */     GIR_EraseRootFromParent_Done,
     /* 1731225 */   // Label 23614: @1731225
     /* 1731225 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1731311), // Rule ID 10809 //
     /* 1731230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1731247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731276 */     // MIs[0] policy
     /* 1731276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731310 */     // GIR_Coverage, 10809,
     /* 1731310 */     GIR_EraseRootFromParent_Done,
     /* 1731311 */   // Label 23615: @1731311
     /* 1731311 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1731397), // Rule ID 10812 //
     /* 1731316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1731333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731362 */     // MIs[0] policy
     /* 1731362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731396 */     // GIR_Coverage, 10812,
     /* 1731396 */     GIR_EraseRootFromParent_Done,
     /* 1731397 */   // Label 23616: @1731397
     /* 1731397 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1731483), // Rule ID 10813 //
     /* 1731402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1731419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731448 */     // MIs[0] policy
     /* 1731448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731458 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731482 */     // GIR_Coverage, 10813,
     /* 1731482 */     GIR_EraseRootFromParent_Done,
     /* 1731483 */   // Label 23617: @1731483
     /* 1731483 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1731569), // Rule ID 10816 //
     /* 1731488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731534 */     // MIs[0] policy
     /* 1731534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731568 */     // GIR_Coverage, 10816,
     /* 1731568 */     GIR_EraseRootFromParent_Done,
     /* 1731569 */   // Label 23618: @1731569
     /* 1731569 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1731655), // Rule ID 10817 //
     /* 1731574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731620 */     // MIs[0] policy
     /* 1731620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731630 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731654 */     // GIR_Coverage, 10817,
     /* 1731654 */     GIR_EraseRootFromParent_Done,
     /* 1731655 */   // Label 23619: @1731655
     /* 1731655 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1731741), // Rule ID 10820 //
     /* 1731660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731706 */     // MIs[0] policy
     /* 1731706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731740 */     // GIR_Coverage, 10820,
     /* 1731740 */     GIR_EraseRootFromParent_Done,
     /* 1731741 */   // Label 23620: @1731741
     /* 1731741 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1731827), // Rule ID 10821 //
     /* 1731746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731792 */     // MIs[0] policy
     /* 1731792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731826 */     // GIR_Coverage, 10821,
     /* 1731826 */     GIR_EraseRootFromParent_Done,
     /* 1731827 */   // Label 23621: @1731827
     /* 1731827 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1731913), // Rule ID 10824 //
     /* 1731832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731878 */     // MIs[0] policy
     /* 1731878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731912 */     // GIR_Coverage, 10824,
     /* 1731912 */     GIR_EraseRootFromParent_Done,
     /* 1731913 */   // Label 23622: @1731913
     /* 1731913 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1731999), // Rule ID 10825 //
     /* 1731918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731964 */     // MIs[0] policy
     /* 1731964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731998 */     // GIR_Coverage, 10825,
     /* 1731998 */     GIR_EraseRootFromParent_Done,
     /* 1731999 */   // Label 23623: @1731999
     /* 1731999 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1732085), // Rule ID 10828 //
     /* 1732004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1732021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732050 */     // MIs[0] policy
     /* 1732050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732084 */     // GIR_Coverage, 10828,
     /* 1732084 */     GIR_EraseRootFromParent_Done,
     /* 1732085 */   // Label 23624: @1732085
     /* 1732085 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1732171), // Rule ID 10829 //
     /* 1732090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1732107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732136 */     // MIs[0] policy
     /* 1732136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732170 */     // GIR_Coverage, 10829,
     /* 1732170 */     GIR_EraseRootFromParent_Done,
     /* 1732171 */   // Label 23625: @1732171
     /* 1732171 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1732257), // Rule ID 10832 //
     /* 1732176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1732193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732222 */     // MIs[0] policy
     /* 1732222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1732235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732256 */     // GIR_Coverage, 10832,
     /* 1732256 */     GIR_EraseRootFromParent_Done,
     /* 1732257 */   // Label 23626: @1732257
     /* 1732257 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1732343), // Rule ID 10833 //
     /* 1732262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1732279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732308 */     // MIs[0] policy
     /* 1732308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1732321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732342 */     // GIR_Coverage, 10833,
     /* 1732342 */     GIR_EraseRootFromParent_Done,
     /* 1732343 */   // Label 23627: @1732343
     /* 1732343 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1732429), // Rule ID 10836 //
     /* 1732348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732394 */     // MIs[0] policy
     /* 1732394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1732407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732428 */     // GIR_Coverage, 10836,
     /* 1732428 */     GIR_EraseRootFromParent_Done,
     /* 1732429 */   // Label 23628: @1732429
     /* 1732429 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1732515), // Rule ID 10837 //
     /* 1732434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732480 */     // MIs[0] policy
     /* 1732480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1732493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732514 */     // GIR_Coverage, 10837,
     /* 1732514 */     GIR_EraseRootFromParent_Done,
     /* 1732515 */   // Label 23629: @1732515
     /* 1732515 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1732601), // Rule ID 10840 //
     /* 1732520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732566 */     // MIs[0] policy
     /* 1732566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732600 */     // GIR_Coverage, 10840,
     /* 1732600 */     GIR_EraseRootFromParent_Done,
     /* 1732601 */   // Label 23630: @1732601
     /* 1732601 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1732687), // Rule ID 10841 //
     /* 1732606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732652 */     // MIs[0] policy
     /* 1732652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732686 */     // GIR_Coverage, 10841,
     /* 1732686 */     GIR_EraseRootFromParent_Done,
     /* 1732687 */   // Label 23631: @1732687
     /* 1732687 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1732773), // Rule ID 10844 //
     /* 1732692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732738 */     // MIs[0] policy
     /* 1732738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732772 */     // GIR_Coverage, 10844,
     /* 1732772 */     GIR_EraseRootFromParent_Done,
     /* 1732773 */   // Label 23632: @1732773
     /* 1732773 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1732859), // Rule ID 10845 //
     /* 1732778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732824 */     // MIs[0] policy
     /* 1732824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732858 */     // GIR_Coverage, 10845,
     /* 1732858 */     GIR_EraseRootFromParent_Done,
     /* 1732859 */   // Label 23633: @1732859
     /* 1732859 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1732945), // Rule ID 10848 //
     /* 1732864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732910 */     // MIs[0] policy
     /* 1732910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732944 */     // GIR_Coverage, 10848,
     /* 1732944 */     GIR_EraseRootFromParent_Done,
     /* 1732945 */   // Label 23634: @1732945
     /* 1732945 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1733031), // Rule ID 10849 //
     /* 1732950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732996 */     // MIs[0] policy
     /* 1732996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733006 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1733009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733030 */     // GIR_Coverage, 10849,
     /* 1733030 */     GIR_EraseRootFromParent_Done,
     /* 1733031 */   // Label 23635: @1733031
     /* 1733031 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1733117), // Rule ID 10852 //
     /* 1733036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1733056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733082 */     // MIs[0] policy
     /* 1733082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733116 */     // GIR_Coverage, 10852,
     /* 1733116 */     GIR_EraseRootFromParent_Done,
     /* 1733117 */   // Label 23636: @1733117
     /* 1733117 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1733203), // Rule ID 10853 //
     /* 1733122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1733142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733168 */     // MIs[0] policy
     /* 1733168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733202 */     // GIR_Coverage, 10853,
     /* 1733202 */     GIR_EraseRootFromParent_Done,
     /* 1733203 */   // Label 23637: @1733203
     /* 1733203 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1733289), // Rule ID 10856 //
     /* 1733208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1733228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733254 */     // MIs[0] policy
     /* 1733254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1733267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733288 */     // GIR_Coverage, 10856,
     /* 1733288 */     GIR_EraseRootFromParent_Done,
     /* 1733289 */   // Label 23638: @1733289
     /* 1733289 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1733375), // Rule ID 10857 //
     /* 1733294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1733314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733340 */     // MIs[0] policy
     /* 1733340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1733353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733374 */     // GIR_Coverage, 10857,
     /* 1733374 */     GIR_EraseRootFromParent_Done,
     /* 1733375 */   // Label 23639: @1733375
     /* 1733375 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1733461), // Rule ID 10860 //
     /* 1733380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733426 */     // MIs[0] policy
     /* 1733426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733460 */     // GIR_Coverage, 10860,
     /* 1733460 */     GIR_EraseRootFromParent_Done,
     /* 1733461 */   // Label 23640: @1733461
     /* 1733461 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1733547), // Rule ID 10861 //
     /* 1733466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733512 */     // MIs[0] policy
     /* 1733512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733546 */     // GIR_Coverage, 10861,
     /* 1733546 */     GIR_EraseRootFromParent_Done,
     /* 1733547 */   // Label 23641: @1733547
     /* 1733547 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1733633), // Rule ID 10864 //
     /* 1733552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733598 */     // MIs[0] policy
     /* 1733598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733632 */     // GIR_Coverage, 10864,
     /* 1733632 */     GIR_EraseRootFromParent_Done,
     /* 1733633 */   // Label 23642: @1733633
     /* 1733633 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1733719), // Rule ID 10865 //
     /* 1733638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733684 */     // MIs[0] policy
     /* 1733684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733718 */     // GIR_Coverage, 10865,
     /* 1733718 */     GIR_EraseRootFromParent_Done,
     /* 1733719 */   // Label 23643: @1733719
     /* 1733719 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1733805), // Rule ID 10868 //
     /* 1733724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733770 */     // MIs[0] policy
     /* 1733770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733804 */     // GIR_Coverage, 10868,
     /* 1733804 */     GIR_EraseRootFromParent_Done,
     /* 1733805 */   // Label 23644: @1733805
     /* 1733805 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1733891), // Rule ID 10869 //
     /* 1733810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733856 */     // MIs[0] policy
     /* 1733856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733890 */     // GIR_Coverage, 10869,
     /* 1733890 */     GIR_EraseRootFromParent_Done,
     /* 1733891 */   // Label 23645: @1733891
     /* 1733891 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1733977), // Rule ID 10872 //
     /* 1733896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733942 */     // MIs[0] policy
     /* 1733942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733976 */     // GIR_Coverage, 10872,
     /* 1733976 */     GIR_EraseRootFromParent_Done,
     /* 1733977 */   // Label 23646: @1733977
     /* 1733977 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1734063), // Rule ID 10873 //
     /* 1733982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1734002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734028 */     // MIs[0] policy
     /* 1734028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734062 */     // GIR_Coverage, 10873,
     /* 1734062 */     GIR_EraseRootFromParent_Done,
     /* 1734063 */   // Label 23647: @1734063
     /* 1734063 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1734149), // Rule ID 10876 //
     /* 1734068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1734088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734114 */     // MIs[0] policy
     /* 1734114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734148 */     // GIR_Coverage, 10876,
     /* 1734148 */     GIR_EraseRootFromParent_Done,
     /* 1734149 */   // Label 23648: @1734149
     /* 1734149 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1734235), // Rule ID 10877 //
     /* 1734154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1734174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734200 */     // MIs[0] policy
     /* 1734200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734234 */     // GIR_Coverage, 10877,
     /* 1734234 */     GIR_EraseRootFromParent_Done,
     /* 1734235 */   // Label 23649: @1734235
     /* 1734235 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1734321), // Rule ID 10880 //
     /* 1734240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1734260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734286 */     // MIs[0] policy
     /* 1734286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734320 */     // GIR_Coverage, 10880,
     /* 1734320 */     GIR_EraseRootFromParent_Done,
     /* 1734321 */   // Label 23650: @1734321
     /* 1734321 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1734407), // Rule ID 10881 //
     /* 1734326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1734346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734372 */     // MIs[0] policy
     /* 1734372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734406 */     // GIR_Coverage, 10881,
     /* 1734406 */     GIR_EraseRootFromParent_Done,
     /* 1734407 */   // Label 23651: @1734407
     /* 1734407 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1734493), // Rule ID 10884 //
     /* 1734412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734458 */     // MIs[0] policy
     /* 1734458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734492 */     // GIR_Coverage, 10884,
     /* 1734492 */     GIR_EraseRootFromParent_Done,
     /* 1734493 */   // Label 23652: @1734493
     /* 1734493 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1734579), // Rule ID 10885 //
     /* 1734498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734544 */     // MIs[0] policy
     /* 1734544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734554 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734578 */     // GIR_Coverage, 10885,
     /* 1734578 */     GIR_EraseRootFromParent_Done,
     /* 1734579 */   // Label 23653: @1734579
     /* 1734579 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1734665), // Rule ID 10888 //
     /* 1734584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734630 */     // MIs[0] policy
     /* 1734630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734664 */     // GIR_Coverage, 10888,
     /* 1734664 */     GIR_EraseRootFromParent_Done,
     /* 1734665 */   // Label 23654: @1734665
     /* 1734665 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1734751), // Rule ID 10889 //
     /* 1734670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734716 */     // MIs[0] policy
     /* 1734716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734750 */     // GIR_Coverage, 10889,
     /* 1734750 */     GIR_EraseRootFromParent_Done,
     /* 1734751 */   // Label 23655: @1734751
     /* 1734751 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1734837), // Rule ID 10892 //
     /* 1734756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734802 */     // MIs[0] policy
     /* 1734802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734836 */     // GIR_Coverage, 10892,
     /* 1734836 */     GIR_EraseRootFromParent_Done,
     /* 1734837 */   // Label 23656: @1734837
     /* 1734837 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1734923), // Rule ID 10893 //
     /* 1734842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734888 */     // MIs[0] policy
     /* 1734888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734898 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734922 */     // GIR_Coverage, 10893,
     /* 1734922 */     GIR_EraseRootFromParent_Done,
     /* 1734923 */   // Label 23657: @1734923
     /* 1734923 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1735009), // Rule ID 10896 //
     /* 1734928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734974 */     // MIs[0] policy
     /* 1734974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735008 */     // GIR_Coverage, 10896,
     /* 1735008 */     GIR_EraseRootFromParent_Done,
     /* 1735009 */   // Label 23658: @1735009
     /* 1735009 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1735095), // Rule ID 10897 //
     /* 1735014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1735025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1735028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1735031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1735034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735060 */     // MIs[0] policy
     /* 1735060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735094 */     // GIR_Coverage, 10897,
     /* 1735094 */     GIR_EraseRootFromParent_Done,
     /* 1735095 */   // Label 23659: @1735095
     /* 1735095 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1735181), // Rule ID 10900 //
     /* 1735100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1735120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735146 */     // MIs[0] policy
     /* 1735146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735180 */     // GIR_Coverage, 10900,
     /* 1735180 */     GIR_EraseRootFromParent_Done,
     /* 1735181 */   // Label 23660: @1735181
     /* 1735181 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1735267), // Rule ID 10901 //
     /* 1735186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1735206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735232 */     // MIs[0] policy
     /* 1735232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735266 */     // GIR_Coverage, 10901,
     /* 1735266 */     GIR_EraseRootFromParent_Done,
     /* 1735267 */   // Label 23661: @1735267
     /* 1735267 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1735353), // Rule ID 10904 //
     /* 1735272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1735292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735318 */     // MIs[0] policy
     /* 1735318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735352 */     // GIR_Coverage, 10904,
     /* 1735352 */     GIR_EraseRootFromParent_Done,
     /* 1735353 */   // Label 23662: @1735353
     /* 1735353 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1735439), // Rule ID 10905 //
     /* 1735358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1735378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735404 */     // MIs[0] policy
     /* 1735404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735438 */     // GIR_Coverage, 10905,
     /* 1735438 */     GIR_EraseRootFromParent_Done,
     /* 1735439 */   // Label 23663: @1735439
     /* 1735439 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1735525), // Rule ID 10908 //
     /* 1735444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735490 */     // MIs[0] policy
     /* 1735490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735524 */     // GIR_Coverage, 10908,
     /* 1735524 */     GIR_EraseRootFromParent_Done,
     /* 1735525 */   // Label 23664: @1735525
     /* 1735525 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1735611), // Rule ID 10909 //
     /* 1735530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735576 */     // MIs[0] policy
     /* 1735576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735610 */     // GIR_Coverage, 10909,
     /* 1735610 */     GIR_EraseRootFromParent_Done,
     /* 1735611 */   // Label 23665: @1735611
     /* 1735611 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1735697), // Rule ID 10912 //
     /* 1735616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735662 */     // MIs[0] policy
     /* 1735662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735696 */     // GIR_Coverage, 10912,
     /* 1735696 */     GIR_EraseRootFromParent_Done,
     /* 1735697 */   // Label 23666: @1735697
     /* 1735697 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1735783), // Rule ID 10913 //
     /* 1735702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735748 */     // MIs[0] policy
     /* 1735748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735782 */     // GIR_Coverage, 10913,
     /* 1735782 */     GIR_EraseRootFromParent_Done,
     /* 1735783 */   // Label 23667: @1735783
     /* 1735783 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1735869), // Rule ID 10916 //
     /* 1735788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735834 */     // MIs[0] policy
     /* 1735834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735868 */     // GIR_Coverage, 10916,
     /* 1735868 */     GIR_EraseRootFromParent_Done,
     /* 1735869 */   // Label 23668: @1735869
     /* 1735869 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1735955), // Rule ID 10917 //
     /* 1735874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735920 */     // MIs[0] policy
     /* 1735920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735954 */     // GIR_Coverage, 10917,
     /* 1735954 */     GIR_EraseRootFromParent_Done,
     /* 1735955 */   // Label 23669: @1735955
     /* 1735955 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1736041), // Rule ID 10920 //
     /* 1735960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736006 */     // MIs[0] policy
     /* 1736006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1736019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736040 */     // GIR_Coverage, 10920,
     /* 1736040 */     GIR_EraseRootFromParent_Done,
     /* 1736041 */   // Label 23670: @1736041
     /* 1736041 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1736127), // Rule ID 10921 //
     /* 1736046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1736057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1736060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1736063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1736066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736092 */     // MIs[0] policy
     /* 1736092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1736105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736126 */     // GIR_Coverage, 10921,
     /* 1736126 */     GIR_EraseRootFromParent_Done,
     /* 1736127 */   // Label 23671: @1736127
     /* 1736127 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1736213), // Rule ID 10924 //
     /* 1736132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1736152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736178 */     // MIs[0] policy
     /* 1736178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1736191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736212 */     // GIR_Coverage, 10924,
     /* 1736212 */     GIR_EraseRootFromParent_Done,
     /* 1736213 */   // Label 23672: @1736213
     /* 1736213 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1736299), // Rule ID 10925 //
     /* 1736218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1736238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736264 */     // MIs[0] policy
     /* 1736264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1736277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736298 */     // GIR_Coverage, 10925,
     /* 1736298 */     GIR_EraseRootFromParent_Done,
     /* 1736299 */   // Label 23673: @1736299
     /* 1736299 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1736385), // Rule ID 10928 //
     /* 1736304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1736324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736350 */     // MIs[0] policy
     /* 1736350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1736363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736384 */     // GIR_Coverage, 10928,
     /* 1736384 */     GIR_EraseRootFromParent_Done,
     /* 1736385 */   // Label 23674: @1736385
     /* 1736385 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1736471), // Rule ID 10929 //
     /* 1736390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1736410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736436 */     // MIs[0] policy
     /* 1736436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1736449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736470 */     // GIR_Coverage, 10929,
     /* 1736470 */     GIR_EraseRootFromParent_Done,
     /* 1736471 */   // Label 23675: @1736471
     /* 1736471 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1736557), // Rule ID 10932 //
     /* 1736476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736522 */     // MIs[0] policy
     /* 1736522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736556 */     // GIR_Coverage, 10932,
     /* 1736556 */     GIR_EraseRootFromParent_Done,
     /* 1736557 */   // Label 23676: @1736557
     /* 1736557 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1736643), // Rule ID 10933 //
     /* 1736562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736608 */     // MIs[0] policy
     /* 1736608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736618 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736642 */     // GIR_Coverage, 10933,
     /* 1736642 */     GIR_EraseRootFromParent_Done,
     /* 1736643 */   // Label 23677: @1736643
     /* 1736643 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1736729), // Rule ID 10936 //
     /* 1736648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736694 */     // MIs[0] policy
     /* 1736694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736728 */     // GIR_Coverage, 10936,
     /* 1736728 */     GIR_EraseRootFromParent_Done,
     /* 1736729 */   // Label 23678: @1736729
     /* 1736729 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1736815), // Rule ID 10937 //
     /* 1736734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736780 */     // MIs[0] policy
     /* 1736780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736790 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736814 */     // GIR_Coverage, 10937,
     /* 1736814 */     GIR_EraseRootFromParent_Done,
     /* 1736815 */   // Label 23679: @1736815
     /* 1736815 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1736901), // Rule ID 10940 //
     /* 1736820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736866 */     // MIs[0] policy
     /* 1736866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736900 */     // GIR_Coverage, 10940,
     /* 1736900 */     GIR_EraseRootFromParent_Done,
     /* 1736901 */   // Label 23680: @1736901
     /* 1736901 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1736987), // Rule ID 10941 //
     /* 1736906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736952 */     // MIs[0] policy
     /* 1736952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736962 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736986 */     // GIR_Coverage, 10941,
     /* 1736986 */     GIR_EraseRootFromParent_Done,
     /* 1736987 */   // Label 23681: @1736987
     /* 1736987 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1737073), // Rule ID 10944 //
     /* 1736992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737038 */     // MIs[0] policy
     /* 1737038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1737051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737072 */     // GIR_Coverage, 10944,
     /* 1737072 */     GIR_EraseRootFromParent_Done,
     /* 1737073 */   // Label 23682: @1737073
     /* 1737073 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1737159), // Rule ID 10945 //
     /* 1737078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737124 */     // MIs[0] policy
     /* 1737124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737134 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1737137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737158 */     // GIR_Coverage, 10945,
     /* 1737158 */     GIR_EraseRootFromParent_Done,
     /* 1737159 */   // Label 23683: @1737159
     /* 1737159 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1737245), // Rule ID 10948 //
     /* 1737164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737210 */     // MIs[0] policy
     /* 1737210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737244 */     // GIR_Coverage, 10948,
     /* 1737244 */     GIR_EraseRootFromParent_Done,
     /* 1737245 */   // Label 23684: @1737245
     /* 1737245 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1737331), // Rule ID 10949 //
     /* 1737250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737296 */     // MIs[0] policy
     /* 1737296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737330 */     // GIR_Coverage, 10949,
     /* 1737330 */     GIR_EraseRootFromParent_Done,
     /* 1737331 */   // Label 23685: @1737331
     /* 1737331 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1737417), // Rule ID 10952 //
     /* 1737336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737382 */     // MIs[0] policy
     /* 1737382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737416 */     // GIR_Coverage, 10952,
     /* 1737416 */     GIR_EraseRootFromParent_Done,
     /* 1737417 */   // Label 23686: @1737417
     /* 1737417 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1737503), // Rule ID 10953 //
     /* 1737422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737468 */     // MIs[0] policy
     /* 1737468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737502 */     // GIR_Coverage, 10953,
     /* 1737502 */     GIR_EraseRootFromParent_Done,
     /* 1737503 */   // Label 23687: @1737503
     /* 1737503 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1737589), // Rule ID 10956 //
     /* 1737508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737554 */     // MIs[0] policy
     /* 1737554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737588 */     // GIR_Coverage, 10956,
     /* 1737588 */     GIR_EraseRootFromParent_Done,
     /* 1737589 */   // Label 23688: @1737589
     /* 1737589 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1737675), // Rule ID 10957 //
     /* 1737594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737640 */     // MIs[0] policy
     /* 1737640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737650 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737674 */     // GIR_Coverage, 10957,
     /* 1737674 */     GIR_EraseRootFromParent_Done,
     /* 1737675 */   // Label 23689: @1737675
     /* 1737675 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1737761), // Rule ID 10960 //
     /* 1737680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737726 */     // MIs[0] policy
     /* 1737726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737760 */     // GIR_Coverage, 10960,
     /* 1737760 */     GIR_EraseRootFromParent_Done,
     /* 1737761 */   // Label 23690: @1737761
     /* 1737761 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1737847), // Rule ID 10961 //
     /* 1737766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737812 */     // MIs[0] policy
     /* 1737812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737846 */     // GIR_Coverage, 10961,
     /* 1737846 */     GIR_EraseRootFromParent_Done,
     /* 1737847 */   // Label 23691: @1737847
     /* 1737847 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1737933), // Rule ID 10964 //
     /* 1737852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737898 */     // MIs[0] policy
     /* 1737898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737932 */     // GIR_Coverage, 10964,
     /* 1737932 */     GIR_EraseRootFromParent_Done,
     /* 1737933 */   // Label 23692: @1737933
     /* 1737933 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1738019), // Rule ID 10965 //
     /* 1737938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737984 */     // MIs[0] policy
     /* 1737984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738018 */     // GIR_Coverage, 10965,
     /* 1738018 */     GIR_EraseRootFromParent_Done,
     /* 1738019 */   // Label 23693: @1738019
     /* 1738019 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1738105), // Rule ID 10968 //
     /* 1738024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1738041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738070 */     // MIs[0] policy
     /* 1738070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1738083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738104 */     // GIR_Coverage, 10968,
     /* 1738104 */     GIR_EraseRootFromParent_Done,
     /* 1738105 */   // Label 23694: @1738105
     /* 1738105 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1738191), // Rule ID 10969 //
     /* 1738110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1738127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738156 */     // MIs[0] policy
     /* 1738156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1738169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738190 */     // GIR_Coverage, 10969,
     /* 1738190 */     GIR_EraseRootFromParent_Done,
     /* 1738191 */   // Label 23695: @1738191
     /* 1738191 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1738277), // Rule ID 10972 //
     /* 1738196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738242 */     // MIs[0] policy
     /* 1738242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738276 */     // GIR_Coverage, 10972,
     /* 1738276 */     GIR_EraseRootFromParent_Done,
     /* 1738277 */   // Label 23696: @1738277
     /* 1738277 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1738363), // Rule ID 10973 //
     /* 1738282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738328 */     // MIs[0] policy
     /* 1738328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738362 */     // GIR_Coverage, 10973,
     /* 1738362 */     GIR_EraseRootFromParent_Done,
     /* 1738363 */   // Label 23697: @1738363
     /* 1738363 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1738449), // Rule ID 10976 //
     /* 1738368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738414 */     // MIs[0] policy
     /* 1738414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738448 */     // GIR_Coverage, 10976,
     /* 1738448 */     GIR_EraseRootFromParent_Done,
     /* 1738449 */   // Label 23698: @1738449
     /* 1738449 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1738535), // Rule ID 10977 //
     /* 1738454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738500 */     // MIs[0] policy
     /* 1738500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738534 */     // GIR_Coverage, 10977,
     /* 1738534 */     GIR_EraseRootFromParent_Done,
     /* 1738535 */   // Label 23699: @1738535
     /* 1738535 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1738621), // Rule ID 10980 //
     /* 1738540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738586 */     // MIs[0] policy
     /* 1738586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738620 */     // GIR_Coverage, 10980,
     /* 1738620 */     GIR_EraseRootFromParent_Done,
     /* 1738621 */   // Label 23700: @1738621
     /* 1738621 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1738707), // Rule ID 10981 //
     /* 1738626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738672 */     // MIs[0] policy
     /* 1738672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738682 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738706 */     // GIR_Coverage, 10981,
     /* 1738706 */     GIR_EraseRootFromParent_Done,
     /* 1738707 */   // Label 23701: @1738707
     /* 1738707 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1738793), // Rule ID 10984 //
     /* 1738712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738758 */     // MIs[0] policy
     /* 1738758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738792 */     // GIR_Coverage, 10984,
     /* 1738792 */     GIR_EraseRootFromParent_Done,
     /* 1738793 */   // Label 23702: @1738793
     /* 1738793 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1738879), // Rule ID 10985 //
     /* 1738798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738844 */     // MIs[0] policy
     /* 1738844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738854 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738878 */     // GIR_Coverage, 10985,
     /* 1738878 */     GIR_EraseRootFromParent_Done,
     /* 1738879 */   // Label 23703: @1738879
     /* 1738879 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1738965), // Rule ID 10988 //
     /* 1738884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738930 */     // MIs[0] policy
     /* 1738930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738964 */     // GIR_Coverage, 10988,
     /* 1738964 */     GIR_EraseRootFromParent_Done,
     /* 1738965 */   // Label 23704: @1738965
     /* 1738965 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1739051), // Rule ID 10989 //
     /* 1738970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739016 */     // MIs[0] policy
     /* 1739016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739050 */     // GIR_Coverage, 10989,
     /* 1739050 */     GIR_EraseRootFromParent_Done,
     /* 1739051 */   // Label 23705: @1739051
     /* 1739051 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1739137), // Rule ID 10992 //
     /* 1739056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739102 */     // MIs[0] policy
     /* 1739102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739136 */     // GIR_Coverage, 10992,
     /* 1739136 */     GIR_EraseRootFromParent_Done,
     /* 1739137 */   // Label 23706: @1739137
     /* 1739137 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1739223), // Rule ID 10993 //
     /* 1739142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739188 */     // MIs[0] policy
     /* 1739188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739198 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739222 */     // GIR_Coverage, 10993,
     /* 1739222 */     GIR_EraseRootFromParent_Done,
     /* 1739223 */   // Label 23707: @1739223
     /* 1739223 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1739309), // Rule ID 10996 //
     /* 1739228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739274 */     // MIs[0] policy
     /* 1739274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739308 */     // GIR_Coverage, 10996,
     /* 1739308 */     GIR_EraseRootFromParent_Done,
     /* 1739309 */   // Label 23708: @1739309
     /* 1739309 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1739395), // Rule ID 10997 //
     /* 1739314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739360 */     // MIs[0] policy
     /* 1739360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739394 */     // GIR_Coverage, 10997,
     /* 1739394 */     GIR_EraseRootFromParent_Done,
     /* 1739395 */   // Label 23709: @1739395
     /* 1739395 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1739481), // Rule ID 11000 //
     /* 1739400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739446 */     // MIs[0] policy
     /* 1739446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739480 */     // GIR_Coverage, 11000,
     /* 1739480 */     GIR_EraseRootFromParent_Done,
     /* 1739481 */   // Label 23710: @1739481
     /* 1739481 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1739567), // Rule ID 11001 //
     /* 1739486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739532 */     // MIs[0] policy
     /* 1739532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739566 */     // GIR_Coverage, 11001,
     /* 1739566 */     GIR_EraseRootFromParent_Done,
     /* 1739567 */   // Label 23711: @1739567
     /* 1739567 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1739653), // Rule ID 11004 //
     /* 1739572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739618 */     // MIs[0] policy
     /* 1739618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739652 */     // GIR_Coverage, 11004,
     /* 1739652 */     GIR_EraseRootFromParent_Done,
     /* 1739653 */   // Label 23712: @1739653
     /* 1739653 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1739739), // Rule ID 11005 //
     /* 1739658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739704 */     // MIs[0] policy
     /* 1739704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739738 */     // GIR_Coverage, 11005,
     /* 1739738 */     GIR_EraseRootFromParent_Done,
     /* 1739739 */   // Label 23713: @1739739
     /* 1739739 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1739825), // Rule ID 11008 //
     /* 1739744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739790 */     // MIs[0] policy
     /* 1739790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739824 */     // GIR_Coverage, 11008,
     /* 1739824 */     GIR_EraseRootFromParent_Done,
     /* 1739825 */   // Label 23714: @1739825
     /* 1739825 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1739911), // Rule ID 11009 //
     /* 1739830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739876 */     // MIs[0] policy
     /* 1739876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739910 */     // GIR_Coverage, 11009,
     /* 1739910 */     GIR_EraseRootFromParent_Done,
     /* 1739911 */   // Label 23715: @1739911
     /* 1739911 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1739997), // Rule ID 11012 //
     /* 1739916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739962 */     // MIs[0] policy
     /* 1739962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739996 */     // GIR_Coverage, 11012,
     /* 1739996 */     GIR_EraseRootFromParent_Done,
     /* 1739997 */   // Label 23716: @1739997
     /* 1739997 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1740083), // Rule ID 11013 //
     /* 1740002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1740013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1740016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1740019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740048 */     // MIs[0] policy
     /* 1740048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1740061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740082 */     // GIR_Coverage, 11013,
     /* 1740082 */     GIR_EraseRootFromParent_Done,
     /* 1740083 */   // Label 23717: @1740083
     /* 1740083 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1740169), // Rule ID 11016 //
     /* 1740088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1740105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740134 */     // MIs[0] policy
     /* 1740134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1740147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740168 */     // GIR_Coverage, 11016,
     /* 1740168 */     GIR_EraseRootFromParent_Done,
     /* 1740169 */   // Label 23718: @1740169
     /* 1740169 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1740255), // Rule ID 11017 //
     /* 1740174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1740191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740220 */     // MIs[0] policy
     /* 1740220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1740233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740254 */     // GIR_Coverage, 11017,
     /* 1740254 */     GIR_EraseRootFromParent_Done,
     /* 1740255 */   // Label 23719: @1740255
     /* 1740255 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1740341), // Rule ID 11020 //
     /* 1740260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740306 */     // MIs[0] policy
     /* 1740306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1740319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740340 */     // GIR_Coverage, 11020,
     /* 1740340 */     GIR_EraseRootFromParent_Done,
     /* 1740341 */   // Label 23720: @1740341
     /* 1740341 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1740427), // Rule ID 11021 //
     /* 1740346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740392 */     // MIs[0] policy
     /* 1740392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1740405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740426 */     // GIR_Coverage, 11021,
     /* 1740426 */     GIR_EraseRootFromParent_Done,
     /* 1740427 */   // Label 23721: @1740427
     /* 1740427 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1740513), // Rule ID 11024 //
     /* 1740432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740478 */     // MIs[0] policy
     /* 1740478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740512 */     // GIR_Coverage, 11024,
     /* 1740512 */     GIR_EraseRootFromParent_Done,
     /* 1740513 */   // Label 23722: @1740513
     /* 1740513 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1740599), // Rule ID 11025 //
     /* 1740518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740564 */     // MIs[0] policy
     /* 1740564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740598 */     // GIR_Coverage, 11025,
     /* 1740598 */     GIR_EraseRootFromParent_Done,
     /* 1740599 */   // Label 23723: @1740599
     /* 1740599 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1740685), // Rule ID 11028 //
     /* 1740604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740650 */     // MIs[0] policy
     /* 1740650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740684 */     // GIR_Coverage, 11028,
     /* 1740684 */     GIR_EraseRootFromParent_Done,
     /* 1740685 */   // Label 23724: @1740685
     /* 1740685 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1740771), // Rule ID 11029 //
     /* 1740690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740736 */     // MIs[0] policy
     /* 1740736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740770 */     // GIR_Coverage, 11029,
     /* 1740770 */     GIR_EraseRootFromParent_Done,
     /* 1740771 */   // Label 23725: @1740771
     /* 1740771 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1740857), // Rule ID 11032 //
     /* 1740776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740822 */     // MIs[0] policy
     /* 1740822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740856 */     // GIR_Coverage, 11032,
     /* 1740856 */     GIR_EraseRootFromParent_Done,
     /* 1740857 */   // Label 23726: @1740857
     /* 1740857 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1740943), // Rule ID 11033 //
     /* 1740862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740908 */     // MIs[0] policy
     /* 1740908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740918 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740942 */     // GIR_Coverage, 11033,
     /* 1740942 */     GIR_EraseRootFromParent_Done,
     /* 1740943 */   // Label 23727: @1740943
     /* 1740943 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1741029), // Rule ID 11036 //
     /* 1740948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740994 */     // MIs[0] policy
     /* 1740994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1741007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741028 */     // GIR_Coverage, 11036,
     /* 1741028 */     GIR_EraseRootFromParent_Done,
     /* 1741029 */   // Label 23728: @1741029
     /* 1741029 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1741115), // Rule ID 11037 //
     /* 1741034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1741045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1741048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1741051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1741054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741080 */     // MIs[0] policy
     /* 1741080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741090 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1741093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741114 */     // GIR_Coverage, 11037,
     /* 1741114 */     GIR_EraseRootFromParent_Done,
     /* 1741115 */   // Label 23729: @1741115
     /* 1741115 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1741201), // Rule ID 11040 //
     /* 1741120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1741140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741166 */     // MIs[0] policy
     /* 1741166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1741179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741200 */     // GIR_Coverage, 11040,
     /* 1741200 */     GIR_EraseRootFromParent_Done,
     /* 1741201 */   // Label 23730: @1741201
     /* 1741201 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1741287), // Rule ID 11041 //
     /* 1741206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1741226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741252 */     // MIs[0] policy
     /* 1741252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1741265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741286 */     // GIR_Coverage, 11041,
     /* 1741286 */     GIR_EraseRootFromParent_Done,
     /* 1741287 */   // Label 23731: @1741287
     /* 1741287 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1741373), // Rule ID 11044 //
     /* 1741292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741338 */     // MIs[0] policy
     /* 1741338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741372 */     // GIR_Coverage, 11044,
     /* 1741372 */     GIR_EraseRootFromParent_Done,
     /* 1741373 */   // Label 23732: @1741373
     /* 1741373 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1741459), // Rule ID 11045 //
     /* 1741378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741424 */     // MIs[0] policy
     /* 1741424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741458 */     // GIR_Coverage, 11045,
     /* 1741458 */     GIR_EraseRootFromParent_Done,
     /* 1741459 */   // Label 23733: @1741459
     /* 1741459 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1741545), // Rule ID 11048 //
     /* 1741464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741510 */     // MIs[0] policy
     /* 1741510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741544 */     // GIR_Coverage, 11048,
     /* 1741544 */     GIR_EraseRootFromParent_Done,
     /* 1741545 */   // Label 23734: @1741545
     /* 1741545 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1741631), // Rule ID 11049 //
     /* 1741550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741596 */     // MIs[0] policy
     /* 1741596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741606 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741630 */     // GIR_Coverage, 11049,
     /* 1741630 */     GIR_EraseRootFromParent_Done,
     /* 1741631 */   // Label 23735: @1741631
     /* 1741631 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1741717), // Rule ID 11052 //
     /* 1741636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741682 */     // MIs[0] policy
     /* 1741682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741716 */     // GIR_Coverage, 11052,
     /* 1741716 */     GIR_EraseRootFromParent_Done,
     /* 1741717 */   // Label 23736: @1741717
     /* 1741717 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1741803), // Rule ID 11053 //
     /* 1741722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741768 */     // MIs[0] policy
     /* 1741768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741802 */     // GIR_Coverage, 11053,
     /* 1741802 */     GIR_EraseRootFromParent_Done,
     /* 1741803 */   // Label 23737: @1741803
     /* 1741803 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1741889), // Rule ID 11056 //
     /* 1741808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741854 */     // MIs[0] policy
     /* 1741854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741888 */     // GIR_Coverage, 11056,
     /* 1741888 */     GIR_EraseRootFromParent_Done,
     /* 1741889 */   // Label 23738: @1741889
     /* 1741889 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1741975), // Rule ID 11057 //
     /* 1741894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741940 */     // MIs[0] policy
     /* 1741940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741974 */     // GIR_Coverage, 11057,
     /* 1741974 */     GIR_EraseRootFromParent_Done,
     /* 1741975 */   // Label 23739: @1741975
     /* 1741975 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1742061), // Rule ID 11060 //
     /* 1741980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1742000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742026 */     // MIs[0] policy
     /* 1742026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742060 */     // GIR_Coverage, 11060,
     /* 1742060 */     GIR_EraseRootFromParent_Done,
     /* 1742061 */   // Label 23740: @1742061
     /* 1742061 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1742147), // Rule ID 11061 //
     /* 1742066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1742077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1742080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1742083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1742086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742112 */     // MIs[0] policy
     /* 1742112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742146 */     // GIR_Coverage, 11061,
     /* 1742146 */     GIR_EraseRootFromParent_Done,
     /* 1742147 */   // Label 23741: @1742147
     /* 1742147 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1742233), // Rule ID 11064 //
     /* 1742152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1742172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742198 */     // MIs[0] policy
     /* 1742198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742208 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742232 */     // GIR_Coverage, 11064,
     /* 1742232 */     GIR_EraseRootFromParent_Done,
     /* 1742233 */   // Label 23742: @1742233
     /* 1742233 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1742319), // Rule ID 11065 //
     /* 1742238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1742258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742284 */     // MIs[0] policy
     /* 1742284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742318 */     // GIR_Coverage, 11065,
     /* 1742318 */     GIR_EraseRootFromParent_Done,
     /* 1742319 */   // Label 23743: @1742319
     /* 1742319 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1742405), // Rule ID 11068 //
     /* 1742324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742370 */     // MIs[0] policy
     /* 1742370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742404 */     // GIR_Coverage, 11068,
     /* 1742404 */     GIR_EraseRootFromParent_Done,
     /* 1742405 */   // Label 23744: @1742405
     /* 1742405 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1742491), // Rule ID 11069 //
     /* 1742410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742456 */     // MIs[0] policy
     /* 1742456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742490 */     // GIR_Coverage, 11069,
     /* 1742490 */     GIR_EraseRootFromParent_Done,
     /* 1742491 */   // Label 23745: @1742491
     /* 1742491 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1742577), // Rule ID 11072 //
     /* 1742496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742542 */     // MIs[0] policy
     /* 1742542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742576 */     // GIR_Coverage, 11072,
     /* 1742576 */     GIR_EraseRootFromParent_Done,
     /* 1742577 */   // Label 23746: @1742577
     /* 1742577 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1742663), // Rule ID 11073 //
     /* 1742582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742628 */     // MIs[0] policy
     /* 1742628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742662 */     // GIR_Coverage, 11073,
     /* 1742662 */     GIR_EraseRootFromParent_Done,
     /* 1742663 */   // Label 23747: @1742663
     /* 1742663 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1742749), // Rule ID 11076 //
     /* 1742668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742714 */     // MIs[0] policy
     /* 1742714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742748 */     // GIR_Coverage, 11076,
     /* 1742748 */     GIR_EraseRootFromParent_Done,
     /* 1742749 */   // Label 23748: @1742749
     /* 1742749 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1742835), // Rule ID 11077 //
     /* 1742754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742800 */     // MIs[0] policy
     /* 1742800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742834 */     // GIR_Coverage, 11077,
     /* 1742834 */     GIR_EraseRootFromParent_Done,
     /* 1742835 */   // Label 23749: @1742835
     /* 1742835 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1742921), // Rule ID 11080 //
     /* 1742840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742886 */     // MIs[0] policy
     /* 1742886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742920 */     // GIR_Coverage, 11080,
     /* 1742920 */     GIR_EraseRootFromParent_Done,
     /* 1742921 */   // Label 23750: @1742921
     /* 1742921 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1743007), // Rule ID 11081 //
     /* 1742926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742972 */     // MIs[0] policy
     /* 1742972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743006 */     // GIR_Coverage, 11081,
     /* 1743006 */     GIR_EraseRootFromParent_Done,
     /* 1743007 */   // Label 23751: @1743007
     /* 1743007 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1743093), // Rule ID 11084 //
     /* 1743012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1743032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743058 */     // MIs[0] policy
     /* 1743058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1743071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743092 */     // GIR_Coverage, 11084,
     /* 1743092 */     GIR_EraseRootFromParent_Done,
     /* 1743093 */   // Label 23752: @1743093
     /* 1743093 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1743179), // Rule ID 11085 //
     /* 1743098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1743118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743144 */     // MIs[0] policy
     /* 1743144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1743157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743178 */     // GIR_Coverage, 11085,
     /* 1743178 */     GIR_EraseRootFromParent_Done,
     /* 1743179 */   // Label 23753: @1743179
     /* 1743179 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1743265), // Rule ID 11088 //
     /* 1743184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1743204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743230 */     // MIs[0] policy
     /* 1743230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1743243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743264 */     // GIR_Coverage, 11088,
     /* 1743264 */     GIR_EraseRootFromParent_Done,
     /* 1743265 */   // Label 23754: @1743265
     /* 1743265 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1743351), // Rule ID 11089 //
     /* 1743270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1743290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743316 */     // MIs[0] policy
     /* 1743316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1743329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743350 */     // GIR_Coverage, 11089,
     /* 1743350 */     GIR_EraseRootFromParent_Done,
     /* 1743351 */   // Label 23755: @1743351
     /* 1743351 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1743437), // Rule ID 11092 //
     /* 1743356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743402 */     // MIs[0] policy
     /* 1743402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1743415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743436 */     // GIR_Coverage, 11092,
     /* 1743436 */     GIR_EraseRootFromParent_Done,
     /* 1743437 */   // Label 23756: @1743437
     /* 1743437 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1743523), // Rule ID 11093 //
     /* 1743442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743488 */     // MIs[0] policy
     /* 1743488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1743501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743522 */     // GIR_Coverage, 11093,
     /* 1743522 */     GIR_EraseRootFromParent_Done,
     /* 1743523 */   // Label 23757: @1743523
     /* 1743523 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1743609), // Rule ID 11096 //
     /* 1743528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743574 */     // MIs[0] policy
     /* 1743574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743608 */     // GIR_Coverage, 11096,
     /* 1743608 */     GIR_EraseRootFromParent_Done,
     /* 1743609 */   // Label 23758: @1743609
     /* 1743609 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1743695), // Rule ID 11097 //
     /* 1743614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743660 */     // MIs[0] policy
     /* 1743660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743670 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743694 */     // GIR_Coverage, 11097,
     /* 1743694 */     GIR_EraseRootFromParent_Done,
     /* 1743695 */   // Label 23759: @1743695
     /* 1743695 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1743781), // Rule ID 11100 //
     /* 1743700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743746 */     // MIs[0] policy
     /* 1743746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743780 */     // GIR_Coverage, 11100,
     /* 1743780 */     GIR_EraseRootFromParent_Done,
     /* 1743781 */   // Label 23760: @1743781
     /* 1743781 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1743867), // Rule ID 11101 //
     /* 1743786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743832 */     // MIs[0] policy
     /* 1743832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743866 */     // GIR_Coverage, 11101,
     /* 1743866 */     GIR_EraseRootFromParent_Done,
     /* 1743867 */   // Label 23761: @1743867
     /* 1743867 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1743953), // Rule ID 11104 //
     /* 1743872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743918 */     // MIs[0] policy
     /* 1743918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743952 */     // GIR_Coverage, 11104,
     /* 1743952 */     GIR_EraseRootFromParent_Done,
     /* 1743953 */   // Label 23762: @1743953
     /* 1743953 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1744039), // Rule ID 11105 //
     /* 1743958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744004 */     // MIs[0] policy
     /* 1744004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1744017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744038 */     // GIR_Coverage, 11105,
     /* 1744038 */     GIR_EraseRootFromParent_Done,
     /* 1744039 */   // Label 23763: @1744039
     /* 1744039 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1744125), // Rule ID 11108 //
     /* 1744044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1744055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1744058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1744061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744090 */     // MIs[0] policy
     /* 1744090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744124 */     // GIR_Coverage, 11108,
     /* 1744124 */     GIR_EraseRootFromParent_Done,
     /* 1744125 */   // Label 23764: @1744125
     /* 1744125 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1744211), // Rule ID 11109 //
     /* 1744130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1744141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1744144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1744147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744176 */     // MIs[0] policy
     /* 1744176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744210 */     // GIR_Coverage, 11109,
     /* 1744210 */     GIR_EraseRootFromParent_Done,
     /* 1744211 */   // Label 23765: @1744211
     /* 1744211 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1744297), // Rule ID 11112 //
     /* 1744216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744262 */     // MIs[0] policy
     /* 1744262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744296 */     // GIR_Coverage, 11112,
     /* 1744296 */     GIR_EraseRootFromParent_Done,
     /* 1744297 */   // Label 23766: @1744297
     /* 1744297 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1744383), // Rule ID 11113 //
     /* 1744302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744348 */     // MIs[0] policy
     /* 1744348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744382 */     // GIR_Coverage, 11113,
     /* 1744382 */     GIR_EraseRootFromParent_Done,
     /* 1744383 */   // Label 23767: @1744383
     /* 1744383 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1744469), // Rule ID 11116 //
     /* 1744388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744434 */     // MIs[0] policy
     /* 1744434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744468 */     // GIR_Coverage, 11116,
     /* 1744468 */     GIR_EraseRootFromParent_Done,
     /* 1744469 */   // Label 23768: @1744469
     /* 1744469 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1744555), // Rule ID 11117 //
     /* 1744474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744520 */     // MIs[0] policy
     /* 1744520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744554 */     // GIR_Coverage, 11117,
     /* 1744554 */     GIR_EraseRootFromParent_Done,
     /* 1744555 */   // Label 23769: @1744555
     /* 1744555 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1744641), // Rule ID 11120 //
     /* 1744560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744606 */     // MIs[0] policy
     /* 1744606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744640 */     // GIR_Coverage, 11120,
     /* 1744640 */     GIR_EraseRootFromParent_Done,
     /* 1744641 */   // Label 23770: @1744641
     /* 1744641 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1744727), // Rule ID 11121 //
     /* 1744646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744692 */     // MIs[0] policy
     /* 1744692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744726 */     // GIR_Coverage, 11121,
     /* 1744726 */     GIR_EraseRootFromParent_Done,
     /* 1744727 */   // Label 23771: @1744727
     /* 1744727 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1744813), // Rule ID 11124 //
     /* 1744732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744778 */     // MIs[0] policy
     /* 1744778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744812 */     // GIR_Coverage, 11124,
     /* 1744812 */     GIR_EraseRootFromParent_Done,
     /* 1744813 */   // Label 23772: @1744813
     /* 1744813 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1744899), // Rule ID 11125 //
     /* 1744818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744864 */     // MIs[0] policy
     /* 1744864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744898 */     // GIR_Coverage, 11125,
     /* 1744898 */     GIR_EraseRootFromParent_Done,
     /* 1744899 */   // Label 23773: @1744899
     /* 1744899 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1744985), // Rule ID 11128 //
     /* 1744904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744950 */     // MIs[0] policy
     /* 1744950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744984 */     // GIR_Coverage, 11128,
     /* 1744984 */     GIR_EraseRootFromParent_Done,
     /* 1744985 */   // Label 23774: @1744985
     /* 1744985 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1745071), // Rule ID 11129 //
     /* 1744990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1745001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1745004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1745007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745036 */     // MIs[0] policy
     /* 1745036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745046 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745070 */     // GIR_Coverage, 11129,
     /* 1745070 */     GIR_EraseRootFromParent_Done,
     /* 1745071 */   // Label 23775: @1745071
     /* 1745071 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1745157), // Rule ID 11132 //
     /* 1745076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745122 */     // MIs[0] policy
     /* 1745122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745132 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745156 */     // GIR_Coverage, 11132,
     /* 1745156 */     GIR_EraseRootFromParent_Done,
     /* 1745157 */   // Label 23776: @1745157
     /* 1745157 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1745243), // Rule ID 11133 //
     /* 1745162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745208 */     // MIs[0] policy
     /* 1745208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745218 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745242 */     // GIR_Coverage, 11133,
     /* 1745242 */     GIR_EraseRootFromParent_Done,
     /* 1745243 */   // Label 23777: @1745243
     /* 1745243 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1745329), // Rule ID 11136 //
     /* 1745248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745294 */     // MIs[0] policy
     /* 1745294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745328 */     // GIR_Coverage, 11136,
     /* 1745328 */     GIR_EraseRootFromParent_Done,
     /* 1745329 */   // Label 23778: @1745329
     /* 1745329 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1745415), // Rule ID 11137 //
     /* 1745334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745380 */     // MIs[0] policy
     /* 1745380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745390 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745414 */     // GIR_Coverage, 11137,
     /* 1745414 */     GIR_EraseRootFromParent_Done,
     /* 1745415 */   // Label 23779: @1745415
     /* 1745415 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1745501), // Rule ID 11140 //
     /* 1745420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745466 */     // MIs[0] policy
     /* 1745466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745500 */     // GIR_Coverage, 11140,
     /* 1745500 */     GIR_EraseRootFromParent_Done,
     /* 1745501 */   // Label 23780: @1745501
     /* 1745501 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1745587), // Rule ID 11141 //
     /* 1745506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745552 */     // MIs[0] policy
     /* 1745552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745586 */     // GIR_Coverage, 11141,
     /* 1745586 */     GIR_EraseRootFromParent_Done,
     /* 1745587 */   // Label 23781: @1745587
     /* 1745587 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1745673), // Rule ID 11144 //
     /* 1745592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745638 */     // MIs[0] policy
     /* 1745638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745648 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745672 */     // GIR_Coverage, 11144,
     /* 1745672 */     GIR_EraseRootFromParent_Done,
     /* 1745673 */   // Label 23782: @1745673
     /* 1745673 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1745759), // Rule ID 11145 //
     /* 1745678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745724 */     // MIs[0] policy
     /* 1745724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745758 */     // GIR_Coverage, 11145,
     /* 1745758 */     GIR_EraseRootFromParent_Done,
     /* 1745759 */   // Label 23783: @1745759
     /* 1745759 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1745845), // Rule ID 11148 //
     /* 1745764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745810 */     // MIs[0] policy
     /* 1745810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745844 */     // GIR_Coverage, 11148,
     /* 1745844 */     GIR_EraseRootFromParent_Done,
     /* 1745845 */   // Label 23784: @1745845
     /* 1745845 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1745931), // Rule ID 11149 //
     /* 1745850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745896 */     // MIs[0] policy
     /* 1745896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745906 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745930 */     // GIR_Coverage, 11149,
     /* 1745930 */     GIR_EraseRootFromParent_Done,
     /* 1745931 */   // Label 23785: @1745931
     /* 1745931 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1746017), // Rule ID 11152 //
     /* 1745936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745982 */     // MIs[0] policy
     /* 1745982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746016 */     // GIR_Coverage, 11152,
     /* 1746016 */     GIR_EraseRootFromParent_Done,
     /* 1746017 */   // Label 23786: @1746017
     /* 1746017 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1746103), // Rule ID 11153 //
     /* 1746022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1746033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1746036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1746039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746068 */     // MIs[0] policy
     /* 1746068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1746081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746102 */     // GIR_Coverage, 11153,
     /* 1746102 */     GIR_EraseRootFromParent_Done,
     /* 1746103 */   // Label 23787: @1746103
     /* 1746103 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1746189), // Rule ID 11156 //
     /* 1746108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746154 */     // MIs[0] policy
     /* 1746154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1746167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746188 */     // GIR_Coverage, 11156,
     /* 1746188 */     GIR_EraseRootFromParent_Done,
     /* 1746189 */   // Label 23788: @1746189
     /* 1746189 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1746275), // Rule ID 11157 //
     /* 1746194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746240 */     // MIs[0] policy
     /* 1746240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1746253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746274 */     // GIR_Coverage, 11157,
     /* 1746274 */     GIR_EraseRootFromParent_Done,
     /* 1746275 */   // Label 23789: @1746275
     /* 1746275 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1746361), // Rule ID 11160 //
     /* 1746280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746326 */     // MIs[0] policy
     /* 1746326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1746339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746360 */     // GIR_Coverage, 11160,
     /* 1746360 */     GIR_EraseRootFromParent_Done,
     /* 1746361 */   // Label 23790: @1746361
     /* 1746361 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1746447), // Rule ID 11161 //
     /* 1746366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746412 */     // MIs[0] policy
     /* 1746412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1746425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746446 */     // GIR_Coverage, 11161,
     /* 1746446 */     GIR_EraseRootFromParent_Done,
     /* 1746447 */   // Label 23791: @1746447
     /* 1746447 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1746533), // Rule ID 11164 //
     /* 1746452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746498 */     // MIs[0] policy
     /* 1746498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746532 */     // GIR_Coverage, 11164,
     /* 1746532 */     GIR_EraseRootFromParent_Done,
     /* 1746533 */   // Label 23792: @1746533
     /* 1746533 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1746619), // Rule ID 11165 //
     /* 1746538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746584 */     // MIs[0] policy
     /* 1746584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746618 */     // GIR_Coverage, 11165,
     /* 1746618 */     GIR_EraseRootFromParent_Done,
     /* 1746619 */   // Label 23793: @1746619
     /* 1746619 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1746705), // Rule ID 11168 //
     /* 1746624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746670 */     // MIs[0] policy
     /* 1746670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746704 */     // GIR_Coverage, 11168,
     /* 1746704 */     GIR_EraseRootFromParent_Done,
     /* 1746705 */   // Label 23794: @1746705
     /* 1746705 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1746791), // Rule ID 11169 //
     /* 1746710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746756 */     // MIs[0] policy
     /* 1746756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746790 */     // GIR_Coverage, 11169,
     /* 1746790 */     GIR_EraseRootFromParent_Done,
     /* 1746791 */   // Label 23795: @1746791
     /* 1746791 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1746877), // Rule ID 11172 //
     /* 1746796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746842 */     // MIs[0] policy
     /* 1746842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746876 */     // GIR_Coverage, 11172,
     /* 1746876 */     GIR_EraseRootFromParent_Done,
     /* 1746877 */   // Label 23796: @1746877
     /* 1746877 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1746963), // Rule ID 11173 //
     /* 1746882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746928 */     // MIs[0] policy
     /* 1746928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746938 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746962 */     // GIR_Coverage, 11173,
     /* 1746962 */     GIR_EraseRootFromParent_Done,
     /* 1746963 */   // Label 23797: @1746963
     /* 1746963 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1747049), // Rule ID 11176 //
     /* 1746968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747014 */     // MIs[0] policy
     /* 1747014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1747027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747048 */     // GIR_Coverage, 11176,
     /* 1747048 */     GIR_EraseRootFromParent_Done,
     /* 1747049 */   // Label 23798: @1747049
     /* 1747049 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1747135), // Rule ID 11177 //
     /* 1747054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1747065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1747068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1747071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1747074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747100 */     // MIs[0] policy
     /* 1747100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1747113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747134 */     // GIR_Coverage, 11177,
     /* 1747134 */     GIR_EraseRootFromParent_Done,
     /* 1747135 */   // Label 23799: @1747135
     /* 1747135 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1747221), // Rule ID 11180 //
     /* 1747140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747186 */     // MIs[0] policy
     /* 1747186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747220 */     // GIR_Coverage, 11180,
     /* 1747220 */     GIR_EraseRootFromParent_Done,
     /* 1747221 */   // Label 23800: @1747221
     /* 1747221 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1747307), // Rule ID 11181 //
     /* 1747226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747272 */     // MIs[0] policy
     /* 1747272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747306 */     // GIR_Coverage, 11181,
     /* 1747306 */     GIR_EraseRootFromParent_Done,
     /* 1747307 */   // Label 23801: @1747307
     /* 1747307 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1747393), // Rule ID 11184 //
     /* 1747312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747358 */     // MIs[0] policy
     /* 1747358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747392 */     // GIR_Coverage, 11184,
     /* 1747392 */     GIR_EraseRootFromParent_Done,
     /* 1747393 */   // Label 23802: @1747393
     /* 1747393 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1747479), // Rule ID 11185 //
     /* 1747398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747444 */     // MIs[0] policy
     /* 1747444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747478 */     // GIR_Coverage, 11185,
     /* 1747478 */     GIR_EraseRootFromParent_Done,
     /* 1747479 */   // Label 23803: @1747479
     /* 1747479 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1747565), // Rule ID 11188 //
     /* 1747484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747530 */     // MIs[0] policy
     /* 1747530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747564 */     // GIR_Coverage, 11188,
     /* 1747564 */     GIR_EraseRootFromParent_Done,
     /* 1747565 */   // Label 23804: @1747565
     /* 1747565 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1747651), // Rule ID 11189 //
     /* 1747570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747616 */     // MIs[0] policy
     /* 1747616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747650 */     // GIR_Coverage, 11189,
     /* 1747650 */     GIR_EraseRootFromParent_Done,
     /* 1747651 */   // Label 23805: @1747651
     /* 1747651 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1747737), // Rule ID 11192 //
     /* 1747656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747702 */     // MIs[0] policy
     /* 1747702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747736 */     // GIR_Coverage, 11192,
     /* 1747736 */     GIR_EraseRootFromParent_Done,
     /* 1747737 */   // Label 23806: @1747737
     /* 1747737 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1747823), // Rule ID 11193 //
     /* 1747742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747788 */     // MIs[0] policy
     /* 1747788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747822 */     // GIR_Coverage, 11193,
     /* 1747822 */     GIR_EraseRootFromParent_Done,
     /* 1747823 */   // Label 23807: @1747823
     /* 1747823 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1747909), // Rule ID 11196 //
     /* 1747828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747874 */     // MIs[0] policy
     /* 1747874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747908 */     // GIR_Coverage, 11196,
     /* 1747908 */     GIR_EraseRootFromParent_Done,
     /* 1747909 */   // Label 23808: @1747909
     /* 1747909 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1747995), // Rule ID 11197 //
     /* 1747914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747960 */     // MIs[0] policy
     /* 1747960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747994 */     // GIR_Coverage, 11197,
     /* 1747994 */     GIR_EraseRootFromParent_Done,
     /* 1747995 */   // Label 23809: @1747995
     /* 1747995 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1748081), // Rule ID 11200 //
     /* 1748000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748046 */     // MIs[0] policy
     /* 1748046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748080 */     // GIR_Coverage, 11200,
     /* 1748080 */     GIR_EraseRootFromParent_Done,
     /* 1748081 */   // Label 23810: @1748081
     /* 1748081 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1748167), // Rule ID 11201 //
     /* 1748086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748132 */     // MIs[0] policy
     /* 1748132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748166 */     // GIR_Coverage, 11201,
     /* 1748166 */     GIR_EraseRootFromParent_Done,
     /* 1748167 */   // Label 23811: @1748167
     /* 1748167 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1748253), // Rule ID 11204 //
     /* 1748172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748218 */     // MIs[0] policy
     /* 1748218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748252 */     // GIR_Coverage, 11204,
     /* 1748252 */     GIR_EraseRootFromParent_Done,
     /* 1748253 */   // Label 23812: @1748253
     /* 1748253 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1748339), // Rule ID 11205 //
     /* 1748258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748304 */     // MIs[0] policy
     /* 1748304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748338 */     // GIR_Coverage, 11205,
     /* 1748338 */     GIR_EraseRootFromParent_Done,
     /* 1748339 */   // Label 23813: @1748339
     /* 1748339 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1748425), // Rule ID 11208 //
     /* 1748344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748390 */     // MIs[0] policy
     /* 1748390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748424 */     // GIR_Coverage, 11208,
     /* 1748424 */     GIR_EraseRootFromParent_Done,
     /* 1748425 */   // Label 23814: @1748425
     /* 1748425 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1748511), // Rule ID 11209 //
     /* 1748430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748476 */     // MIs[0] policy
     /* 1748476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748510 */     // GIR_Coverage, 11209,
     /* 1748510 */     GIR_EraseRootFromParent_Done,
     /* 1748511 */   // Label 23815: @1748511
     /* 1748511 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1748597), // Rule ID 11212 //
     /* 1748516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748562 */     // MIs[0] policy
     /* 1748562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748596 */     // GIR_Coverage, 11212,
     /* 1748596 */     GIR_EraseRootFromParent_Done,
     /* 1748597 */   // Label 23816: @1748597
     /* 1748597 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1748683), // Rule ID 11213 //
     /* 1748602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748648 */     // MIs[0] policy
     /* 1748648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748682 */     // GIR_Coverage, 11213,
     /* 1748682 */     GIR_EraseRootFromParent_Done,
     /* 1748683 */   // Label 23817: @1748683
     /* 1748683 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1748769), // Rule ID 11216 //
     /* 1748688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748734 */     // MIs[0] policy
     /* 1748734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748768 */     // GIR_Coverage, 11216,
     /* 1748768 */     GIR_EraseRootFromParent_Done,
     /* 1748769 */   // Label 23818: @1748769
     /* 1748769 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1748855), // Rule ID 11217 //
     /* 1748774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748820 */     // MIs[0] policy
     /* 1748820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748854 */     // GIR_Coverage, 11217,
     /* 1748854 */     GIR_EraseRootFromParent_Done,
     /* 1748855 */   // Label 23819: @1748855
     /* 1748855 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1748941), // Rule ID 11220 //
     /* 1748860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748906 */     // MIs[0] policy
     /* 1748906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748940 */     // GIR_Coverage, 11220,
     /* 1748940 */     GIR_EraseRootFromParent_Done,
     /* 1748941 */   // Label 23820: @1748941
     /* 1748941 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1749027), // Rule ID 11221 //
     /* 1748946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748992 */     // MIs[0] policy
     /* 1748992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749026 */     // GIR_Coverage, 11221,
     /* 1749026 */     GIR_EraseRootFromParent_Done,
     /* 1749027 */   // Label 23821: @1749027
     /* 1749027 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1749113), // Rule ID 11224 //
     /* 1749032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749078 */     // MIs[0] policy
     /* 1749078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1749091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749112 */     // GIR_Coverage, 11224,
     /* 1749112 */     GIR_EraseRootFromParent_Done,
     /* 1749113 */   // Label 23822: @1749113
     /* 1749113 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1749199), // Rule ID 11225 //
     /* 1749118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749164 */     // MIs[0] policy
     /* 1749164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1749177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749198 */     // GIR_Coverage, 11225,
     /* 1749198 */     GIR_EraseRootFromParent_Done,
     /* 1749199 */   // Label 23823: @1749199
     /* 1749199 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1749285), // Rule ID 11228 //
     /* 1749204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749250 */     // MIs[0] policy
     /* 1749250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1749263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749284 */     // GIR_Coverage, 11228,
     /* 1749284 */     GIR_EraseRootFromParent_Done,
     /* 1749285 */   // Label 23824: @1749285
     /* 1749285 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1749371), // Rule ID 11229 //
     /* 1749290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749336 */     // MIs[0] policy
     /* 1749336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1749349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749370 */     // GIR_Coverage, 11229,
     /* 1749370 */     GIR_EraseRootFromParent_Done,
     /* 1749371 */   // Label 23825: @1749371
     /* 1749371 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1749457), // Rule ID 11232 //
     /* 1749376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749422 */     // MIs[0] policy
     /* 1749422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749456 */     // GIR_Coverage, 11232,
     /* 1749456 */     GIR_EraseRootFromParent_Done,
     /* 1749457 */   // Label 23826: @1749457
     /* 1749457 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1749543), // Rule ID 11233 //
     /* 1749462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749508 */     // MIs[0] policy
     /* 1749508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749542 */     // GIR_Coverage, 11233,
     /* 1749542 */     GIR_EraseRootFromParent_Done,
     /* 1749543 */   // Label 23827: @1749543
     /* 1749543 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1749629), // Rule ID 11236 //
     /* 1749548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749594 */     // MIs[0] policy
     /* 1749594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749628 */     // GIR_Coverage, 11236,
     /* 1749628 */     GIR_EraseRootFromParent_Done,
     /* 1749629 */   // Label 23828: @1749629
     /* 1749629 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1749715), // Rule ID 11237 //
     /* 1749634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749680 */     // MIs[0] policy
     /* 1749680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749714 */     // GIR_Coverage, 11237,
     /* 1749714 */     GIR_EraseRootFromParent_Done,
     /* 1749715 */   // Label 23829: @1749715
     /* 1749715 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1749801), // Rule ID 11240 //
     /* 1749720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749766 */     // MIs[0] policy
     /* 1749766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749800 */     // GIR_Coverage, 11240,
     /* 1749800 */     GIR_EraseRootFromParent_Done,
     /* 1749801 */   // Label 23830: @1749801
     /* 1749801 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1749887), // Rule ID 11241 //
     /* 1749806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749852 */     // MIs[0] policy
     /* 1749852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749862 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749886 */     // GIR_Coverage, 11241,
     /* 1749886 */     GIR_EraseRootFromParent_Done,
     /* 1749887 */   // Label 23831: @1749887
     /* 1749887 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1749973), // Rule ID 11244 //
     /* 1749892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749938 */     // MIs[0] policy
     /* 1749938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749948 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749972 */     // GIR_Coverage, 11244,
     /* 1749972 */     GIR_EraseRootFromParent_Done,
     /* 1749973 */   // Label 23832: @1749973
     /* 1749973 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1750059), // Rule ID 11245 //
     /* 1749978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750024 */     // MIs[0] policy
     /* 1750024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750058 */     // GIR_Coverage, 11245,
     /* 1750058 */     GIR_EraseRootFromParent_Done,
     /* 1750059 */   // Label 23833: @1750059
     /* 1750059 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1750145), // Rule ID 11248 //
     /* 1750064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750110 */     // MIs[0] policy
     /* 1750110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750120 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1750123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750144 */     // GIR_Coverage, 11248,
     /* 1750144 */     GIR_EraseRootFromParent_Done,
     /* 1750145 */   // Label 23834: @1750145
     /* 1750145 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1750231), // Rule ID 11249 //
     /* 1750150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750196 */     // MIs[0] policy
     /* 1750196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1750209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750230 */     // GIR_Coverage, 11249,
     /* 1750230 */     GIR_EraseRootFromParent_Done,
     /* 1750231 */   // Label 23835: @1750231
     /* 1750231 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1750317), // Rule ID 11252 //
     /* 1750236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750282 */     // MIs[0] policy
     /* 1750282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750316 */     // GIR_Coverage, 11252,
     /* 1750316 */     GIR_EraseRootFromParent_Done,
     /* 1750317 */   // Label 23836: @1750317
     /* 1750317 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1750403), // Rule ID 11253 //
     /* 1750322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750368 */     // MIs[0] policy
     /* 1750368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750402 */     // GIR_Coverage, 11253,
     /* 1750402 */     GIR_EraseRootFromParent_Done,
     /* 1750403 */   // Label 23837: @1750403
     /* 1750403 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1750489), // Rule ID 11256 //
     /* 1750408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750454 */     // MIs[0] policy
     /* 1750454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750488 */     // GIR_Coverage, 11256,
     /* 1750488 */     GIR_EraseRootFromParent_Done,
     /* 1750489 */   // Label 23838: @1750489
     /* 1750489 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1750575), // Rule ID 11257 //
     /* 1750494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750540 */     // MIs[0] policy
     /* 1750540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750574 */     // GIR_Coverage, 11257,
     /* 1750574 */     GIR_EraseRootFromParent_Done,
     /* 1750575 */   // Label 23839: @1750575
     /* 1750575 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1750661), // Rule ID 11260 //
     /* 1750580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750626 */     // MIs[0] policy
     /* 1750626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750660 */     // GIR_Coverage, 11260,
     /* 1750660 */     GIR_EraseRootFromParent_Done,
     /* 1750661 */   // Label 23840: @1750661
     /* 1750661 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1750747), // Rule ID 11261 //
     /* 1750666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750712 */     // MIs[0] policy
     /* 1750712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750746 */     // GIR_Coverage, 11261,
     /* 1750746 */     GIR_EraseRootFromParent_Done,
     /* 1750747 */   // Label 23841: @1750747
     /* 1750747 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1750833), // Rule ID 11264 //
     /* 1750752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750798 */     // MIs[0] policy
     /* 1750798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750832 */     // GIR_Coverage, 11264,
     /* 1750832 */     GIR_EraseRootFromParent_Done,
     /* 1750833 */   // Label 23842: @1750833
     /* 1750833 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1750919), // Rule ID 11265 //
     /* 1750838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750884 */     // MIs[0] policy
     /* 1750884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750894 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750918 */     // GIR_Coverage, 11265,
     /* 1750918 */     GIR_EraseRootFromParent_Done,
     /* 1750919 */   // Label 23843: @1750919
     /* 1750919 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1751005), // Rule ID 11268 //
     /* 1750924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750970 */     // MIs[0] policy
     /* 1750970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751004 */     // GIR_Coverage, 11268,
     /* 1751004 */     GIR_EraseRootFromParent_Done,
     /* 1751005 */   // Label 23844: @1751005
     /* 1751005 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1751091), // Rule ID 11269 //
     /* 1751010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1751021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1751024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1751027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751056 */     // MIs[0] policy
     /* 1751056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1751069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751090 */     // GIR_Coverage, 11269,
     /* 1751090 */     GIR_EraseRootFromParent_Done,
     /* 1751091 */   // Label 23845: @1751091
     /* 1751091 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1751177), // Rule ID 11272 //
     /* 1751096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751142 */     // MIs[0] policy
     /* 1751142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751176 */     // GIR_Coverage, 11272,
     /* 1751176 */     GIR_EraseRootFromParent_Done,
     /* 1751177 */   // Label 23846: @1751177
     /* 1751177 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1751263), // Rule ID 11273 //
     /* 1751182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751228 */     // MIs[0] policy
     /* 1751228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751238 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751262 */     // GIR_Coverage, 11273,
     /* 1751262 */     GIR_EraseRootFromParent_Done,
     /* 1751263 */   // Label 23847: @1751263
     /* 1751263 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1751349), // Rule ID 11276 //
     /* 1751268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751314 */     // MIs[0] policy
     /* 1751314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751348 */     // GIR_Coverage, 11276,
     /* 1751348 */     GIR_EraseRootFromParent_Done,
     /* 1751349 */   // Label 23848: @1751349
     /* 1751349 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1751435), // Rule ID 11277 //
     /* 1751354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751400 */     // MIs[0] policy
     /* 1751400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751410 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751434 */     // GIR_Coverage, 11277,
     /* 1751434 */     GIR_EraseRootFromParent_Done,
     /* 1751435 */   // Label 23849: @1751435
     /* 1751435 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1751521), // Rule ID 11280 //
     /* 1751440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751486 */     // MIs[0] policy
     /* 1751486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751520 */     // GIR_Coverage, 11280,
     /* 1751520 */     GIR_EraseRootFromParent_Done,
     /* 1751521 */   // Label 23850: @1751521
     /* 1751521 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1751607), // Rule ID 11281 //
     /* 1751526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751572 */     // MIs[0] policy
     /* 1751572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751582 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751606 */     // GIR_Coverage, 11281,
     /* 1751606 */     GIR_EraseRootFromParent_Done,
     /* 1751607 */   // Label 23851: @1751607
     /* 1751607 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1751693), // Rule ID 11284 //
     /* 1751612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751658 */     // MIs[0] policy
     /* 1751658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751668 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751692 */     // GIR_Coverage, 11284,
     /* 1751692 */     GIR_EraseRootFromParent_Done,
     /* 1751693 */   // Label 23852: @1751693
     /* 1751693 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1751779), // Rule ID 11285 //
     /* 1751698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751744 */     // MIs[0] policy
     /* 1751744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751754 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751778 */     // GIR_Coverage, 11285,
     /* 1751778 */     GIR_EraseRootFromParent_Done,
     /* 1751779 */   // Label 23853: @1751779
     /* 1751779 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1751865), // Rule ID 11288 //
     /* 1751784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751830 */     // MIs[0] policy
     /* 1751830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751864 */     // GIR_Coverage, 11288,
     /* 1751864 */     GIR_EraseRootFromParent_Done,
     /* 1751865 */   // Label 23854: @1751865
     /* 1751865 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1751951), // Rule ID 11289 //
     /* 1751870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751916 */     // MIs[0] policy
     /* 1751916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751950 */     // GIR_Coverage, 11289,
     /* 1751950 */     GIR_EraseRootFromParent_Done,
     /* 1751951 */   // Label 23855: @1751951
     /* 1751951 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1752037), // Rule ID 11292 //
     /* 1751956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752002 */     // MIs[0] policy
     /* 1752002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752036 */     // GIR_Coverage, 11292,
     /* 1752036 */     GIR_EraseRootFromParent_Done,
     /* 1752037 */   // Label 23856: @1752037
     /* 1752037 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1752123), // Rule ID 11293 //
     /* 1752042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752088 */     // MIs[0] policy
     /* 1752088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752098 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752122 */     // GIR_Coverage, 11293,
     /* 1752122 */     GIR_EraseRootFromParent_Done,
     /* 1752123 */   // Label 23857: @1752123
     /* 1752123 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1752209), // Rule ID 11296 //
     /* 1752128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752174 */     // MIs[0] policy
     /* 1752174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1752187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752208 */     // GIR_Coverage, 11296,
     /* 1752208 */     GIR_EraseRootFromParent_Done,
     /* 1752209 */   // Label 23858: @1752209
     /* 1752209 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1752295), // Rule ID 11297 //
     /* 1752214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752260 */     // MIs[0] policy
     /* 1752260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1752273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752294 */     // GIR_Coverage, 11297,
     /* 1752294 */     GIR_EraseRootFromParent_Done,
     /* 1752295 */   // Label 23859: @1752295
     /* 1752295 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1752381), // Rule ID 11300 //
     /* 1752300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752346 */     // MIs[0] policy
     /* 1752346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1752359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752380 */     // GIR_Coverage, 11300,
     /* 1752380 */     GIR_EraseRootFromParent_Done,
     /* 1752381 */   // Label 23860: @1752381
     /* 1752381 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1752467), // Rule ID 11301 //
     /* 1752386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752432 */     // MIs[0] policy
     /* 1752432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1752445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752466 */     // GIR_Coverage, 11301,
     /* 1752466 */     GIR_EraseRootFromParent_Done,
     /* 1752467 */   // Label 23861: @1752467
     /* 1752467 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1752553), // Rule ID 11304 //
     /* 1752472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752518 */     // MIs[0] policy
     /* 1752518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752552 */     // GIR_Coverage, 11304,
     /* 1752552 */     GIR_EraseRootFromParent_Done,
     /* 1752553 */   // Label 23862: @1752553
     /* 1752553 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1752639), // Rule ID 11305 //
     /* 1752558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752604 */     // MIs[0] policy
     /* 1752604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752638 */     // GIR_Coverage, 11305,
     /* 1752638 */     GIR_EraseRootFromParent_Done,
     /* 1752639 */   // Label 23863: @1752639
     /* 1752639 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1752725), // Rule ID 11308 //
     /* 1752644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752690 */     // MIs[0] policy
     /* 1752690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752700 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752724 */     // GIR_Coverage, 11308,
     /* 1752724 */     GIR_EraseRootFromParent_Done,
     /* 1752725 */   // Label 23864: @1752725
     /* 1752725 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1752811), // Rule ID 11309 //
     /* 1752730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752776 */     // MIs[0] policy
     /* 1752776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752786 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752810 */     // GIR_Coverage, 11309,
     /* 1752810 */     GIR_EraseRootFromParent_Done,
     /* 1752811 */   // Label 23865: @1752811
     /* 1752811 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1752897), // Rule ID 11312 //
     /* 1752816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752862 */     // MIs[0] policy
     /* 1752862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752896 */     // GIR_Coverage, 11312,
     /* 1752896 */     GIR_EraseRootFromParent_Done,
     /* 1752897 */   // Label 23866: @1752897
     /* 1752897 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1752983), // Rule ID 11313 //
     /* 1752902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752948 */     // MIs[0] policy
     /* 1752948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752982 */     // GIR_Coverage, 11313,
     /* 1752982 */     GIR_EraseRootFromParent_Done,
     /* 1752983 */   // Label 23867: @1752983
     /* 1752983 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1753069), // Rule ID 11316 //
     /* 1752988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1752999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1753002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1753005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753034 */     // MIs[0] policy
     /* 1753034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753044 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753068 */     // GIR_Coverage, 11316,
     /* 1753068 */     GIR_EraseRootFromParent_Done,
     /* 1753069 */   // Label 23868: @1753069
     /* 1753069 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1753155), // Rule ID 11317 //
     /* 1753074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1753085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1753088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1753091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753120 */     // MIs[0] policy
     /* 1753120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753130 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753154 */     // GIR_Coverage, 11317,
     /* 1753154 */     GIR_EraseRootFromParent_Done,
     /* 1753155 */   // Label 23869: @1753155
     /* 1753155 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1753241), // Rule ID 11320 //
     /* 1753160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753206 */     // MIs[0] policy
     /* 1753206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753216 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1753219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753240 */     // GIR_Coverage, 11320,
     /* 1753240 */     GIR_EraseRootFromParent_Done,
     /* 1753241 */   // Label 23870: @1753241
     /* 1753241 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1753327), // Rule ID 11321 //
     /* 1753246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753292 */     // MIs[0] policy
     /* 1753292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753302 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1753305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753326 */     // GIR_Coverage, 11321,
     /* 1753326 */     GIR_EraseRootFromParent_Done,
     /* 1753327 */   // Label 23871: @1753327
     /* 1753327 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1753413), // Rule ID 11324 //
     /* 1753332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753378 */     // MIs[0] policy
     /* 1753378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753412 */     // GIR_Coverage, 11324,
     /* 1753412 */     GIR_EraseRootFromParent_Done,
     /* 1753413 */   // Label 23872: @1753413
     /* 1753413 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1753499), // Rule ID 11325 //
     /* 1753418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753464 */     // MIs[0] policy
     /* 1753464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753498 */     // GIR_Coverage, 11325,
     /* 1753498 */     GIR_EraseRootFromParent_Done,
     /* 1753499 */   // Label 23873: @1753499
     /* 1753499 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1753585), // Rule ID 11328 //
     /* 1753504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753550 */     // MIs[0] policy
     /* 1753550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753584 */     // GIR_Coverage, 11328,
     /* 1753584 */     GIR_EraseRootFromParent_Done,
     /* 1753585 */   // Label 23874: @1753585
     /* 1753585 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1753671), // Rule ID 11329 //
     /* 1753590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753636 */     // MIs[0] policy
     /* 1753636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753670 */     // GIR_Coverage, 11329,
     /* 1753670 */     GIR_EraseRootFromParent_Done,
     /* 1753671 */   // Label 23875: @1753671
     /* 1753671 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1753757), // Rule ID 11332 //
     /* 1753676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753722 */     // MIs[0] policy
     /* 1753722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753756 */     // GIR_Coverage, 11332,
     /* 1753756 */     GIR_EraseRootFromParent_Done,
     /* 1753757 */   // Label 23876: @1753757
     /* 1753757 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1753843), // Rule ID 11333 //
     /* 1753762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753808 */     // MIs[0] policy
     /* 1753808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753818 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753842 */     // GIR_Coverage, 11333,
     /* 1753842 */     GIR_EraseRootFromParent_Done,
     /* 1753843 */   // Label 23877: @1753843
     /* 1753843 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1753929), // Rule ID 11336 //
     /* 1753848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753894 */     // MIs[0] policy
     /* 1753894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753928 */     // GIR_Coverage, 11336,
     /* 1753928 */     GIR_EraseRootFromParent_Done,
     /* 1753929 */   // Label 23878: @1753929
     /* 1753929 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1754015), // Rule ID 11337 //
     /* 1753934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753980 */     // MIs[0] policy
     /* 1753980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753990 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754014 */     // GIR_Coverage, 11337,
     /* 1754014 */     GIR_EraseRootFromParent_Done,
     /* 1754015 */   // Label 23879: @1754015
     /* 1754015 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1754101), // Rule ID 11340 //
     /* 1754020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754066 */     // MIs[0] policy
     /* 1754066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1754079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754100 */     // GIR_Coverage, 11340,
     /* 1754100 */     GIR_EraseRootFromParent_Done,
     /* 1754101 */   // Label 23880: @1754101
     /* 1754101 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1754187), // Rule ID 11341 //
     /* 1754106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754152 */     // MIs[0] policy
     /* 1754152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1754165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754186 */     // GIR_Coverage, 11341,
     /* 1754186 */     GIR_EraseRootFromParent_Done,
     /* 1754187 */   // Label 23881: @1754187
     /* 1754187 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1754273), // Rule ID 11344 //
     /* 1754192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754238 */     // MIs[0] policy
     /* 1754238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754272 */     // GIR_Coverage, 11344,
     /* 1754272 */     GIR_EraseRootFromParent_Done,
     /* 1754273 */   // Label 23882: @1754273
     /* 1754273 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1754359), // Rule ID 11345 //
     /* 1754278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754324 */     // MIs[0] policy
     /* 1754324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754358 */     // GIR_Coverage, 11345,
     /* 1754358 */     GIR_EraseRootFromParent_Done,
     /* 1754359 */   // Label 23883: @1754359
     /* 1754359 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1754445), // Rule ID 11348 //
     /* 1754364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754410 */     // MIs[0] policy
     /* 1754410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754444 */     // GIR_Coverage, 11348,
     /* 1754444 */     GIR_EraseRootFromParent_Done,
     /* 1754445 */   // Label 23884: @1754445
     /* 1754445 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1754531), // Rule ID 11349 //
     /* 1754450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754496 */     // MIs[0] policy
     /* 1754496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754530 */     // GIR_Coverage, 11349,
     /* 1754530 */     GIR_EraseRootFromParent_Done,
     /* 1754531 */   // Label 23885: @1754531
     /* 1754531 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1754617), // Rule ID 11352 //
     /* 1754536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754582 */     // MIs[0] policy
     /* 1754582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754616 */     // GIR_Coverage, 11352,
     /* 1754616 */     GIR_EraseRootFromParent_Done,
     /* 1754617 */   // Label 23886: @1754617
     /* 1754617 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1754703), // Rule ID 11353 //
     /* 1754622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754668 */     // MIs[0] policy
     /* 1754668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754702 */     // GIR_Coverage, 11353,
     /* 1754702 */     GIR_EraseRootFromParent_Done,
     /* 1754703 */   // Label 23887: @1754703
     /* 1754703 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1754789), // Rule ID 11356 //
     /* 1754708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754754 */     // MIs[0] policy
     /* 1754754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754788 */     // GIR_Coverage, 11356,
     /* 1754788 */     GIR_EraseRootFromParent_Done,
     /* 1754789 */   // Label 23888: @1754789
     /* 1754789 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1754875), // Rule ID 11357 //
     /* 1754794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754840 */     // MIs[0] policy
     /* 1754840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754874 */     // GIR_Coverage, 11357,
     /* 1754874 */     GIR_EraseRootFromParent_Done,
     /* 1754875 */   // Label 23889: @1754875
     /* 1754875 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1754961), // Rule ID 11360 //
     /* 1754880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754926 */     // MIs[0] policy
     /* 1754926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754960 */     // GIR_Coverage, 11360,
     /* 1754960 */     GIR_EraseRootFromParent_Done,
     /* 1754961 */   // Label 23890: @1754961
     /* 1754961 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1755047), // Rule ID 11361 //
     /* 1754966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755012 */     // MIs[0] policy
     /* 1755012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755046 */     // GIR_Coverage, 11361,
     /* 1755046 */     GIR_EraseRootFromParent_Done,
     /* 1755047 */   // Label 23891: @1755047
     /* 1755047 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1755133), // Rule ID 11364 //
     /* 1755052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755098 */     // MIs[0] policy
     /* 1755098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755132 */     // GIR_Coverage, 11364,
     /* 1755132 */     GIR_EraseRootFromParent_Done,
     /* 1755133 */   // Label 23892: @1755133
     /* 1755133 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1755219), // Rule ID 11365 //
     /* 1755138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755184 */     // MIs[0] policy
     /* 1755184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755218 */     // GIR_Coverage, 11365,
     /* 1755218 */     GIR_EraseRootFromParent_Done,
     /* 1755219 */   // Label 23893: @1755219
     /* 1755219 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1755305), // Rule ID 11368 //
     /* 1755224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755270 */     // MIs[0] policy
     /* 1755270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1755283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755304 */     // GIR_Coverage, 11368,
     /* 1755304 */     GIR_EraseRootFromParent_Done,
     /* 1755305 */   // Label 23894: @1755305
     /* 1755305 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1755391), // Rule ID 11369 //
     /* 1755310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755356 */     // MIs[0] policy
     /* 1755356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1755369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755390 */     // GIR_Coverage, 11369,
     /* 1755390 */     GIR_EraseRootFromParent_Done,
     /* 1755391 */   // Label 23895: @1755391
     /* 1755391 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1755477), // Rule ID 11372 //
     /* 1755396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755442 */     // MIs[0] policy
     /* 1755442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755476 */     // GIR_Coverage, 11372,
     /* 1755476 */     GIR_EraseRootFromParent_Done,
     /* 1755477 */   // Label 23896: @1755477
     /* 1755477 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1755563), // Rule ID 11373 //
     /* 1755482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755528 */     // MIs[0] policy
     /* 1755528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755562 */     // GIR_Coverage, 11373,
     /* 1755562 */     GIR_EraseRootFromParent_Done,
     /* 1755563 */   // Label 23897: @1755563
     /* 1755563 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1755649), // Rule ID 11376 //
     /* 1755568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755614 */     // MIs[0] policy
     /* 1755614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755648 */     // GIR_Coverage, 11376,
     /* 1755648 */     GIR_EraseRootFromParent_Done,
     /* 1755649 */   // Label 23898: @1755649
     /* 1755649 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1755735), // Rule ID 11377 //
     /* 1755654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755700 */     // MIs[0] policy
     /* 1755700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755734 */     // GIR_Coverage, 11377,
     /* 1755734 */     GIR_EraseRootFromParent_Done,
     /* 1755735 */   // Label 23899: @1755735
     /* 1755735 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1755821), // Rule ID 11380 //
     /* 1755740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755786 */     // MIs[0] policy
     /* 1755786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755820 */     // GIR_Coverage, 11380,
     /* 1755820 */     GIR_EraseRootFromParent_Done,
     /* 1755821 */   // Label 23900: @1755821
     /* 1755821 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1755907), // Rule ID 11381 //
     /* 1755826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755872 */     // MIs[0] policy
     /* 1755872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755882 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755906 */     // GIR_Coverage, 11381,
     /* 1755906 */     GIR_EraseRootFromParent_Done,
     /* 1755907 */   // Label 23901: @1755907
     /* 1755907 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1755993), // Rule ID 11384 //
     /* 1755912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1755923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1755926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1755929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755958 */     // MIs[0] policy
     /* 1755958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755968 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755992 */     // GIR_Coverage, 11384,
     /* 1755992 */     GIR_EraseRootFromParent_Done,
     /* 1755993 */   // Label 23902: @1755993
     /* 1755993 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1756079), // Rule ID 11385 //
     /* 1755998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756044 */     // MIs[0] policy
     /* 1756044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1756057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756078 */     // GIR_Coverage, 11385,
     /* 1756078 */     GIR_EraseRootFromParent_Done,
     /* 1756079 */   // Label 23903: @1756079
     /* 1756079 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1756165), // Rule ID 11388 //
     /* 1756084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756130 */     // MIs[0] policy
     /* 1756130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756164 */     // GIR_Coverage, 11388,
     /* 1756164 */     GIR_EraseRootFromParent_Done,
     /* 1756165 */   // Label 23904: @1756165
     /* 1756165 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1756251), // Rule ID 11389 //
     /* 1756170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756216 */     // MIs[0] policy
     /* 1756216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756250 */     // GIR_Coverage, 11389,
     /* 1756250 */     GIR_EraseRootFromParent_Done,
     /* 1756251 */   // Label 23905: @1756251
     /* 1756251 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1756337), // Rule ID 11392 //
     /* 1756256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756302 */     // MIs[0] policy
     /* 1756302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1756315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756336 */     // GIR_Coverage, 11392,
     /* 1756336 */     GIR_EraseRootFromParent_Done,
     /* 1756337 */   // Label 23906: @1756337
     /* 1756337 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1756423), // Rule ID 11393 //
     /* 1756342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756388 */     // MIs[0] policy
     /* 1756388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1756401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756422 */     // GIR_Coverage, 11393,
     /* 1756422 */     GIR_EraseRootFromParent_Done,
     /* 1756423 */   // Label 23907: @1756423
     /* 1756423 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1756509), // Rule ID 11396 //
     /* 1756428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756474 */     // MIs[0] policy
     /* 1756474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756508 */     // GIR_Coverage, 11396,
     /* 1756508 */     GIR_EraseRootFromParent_Done,
     /* 1756509 */   // Label 23908: @1756509
     /* 1756509 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1756595), // Rule ID 11397 //
     /* 1756514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756560 */     // MIs[0] policy
     /* 1756560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756594 */     // GIR_Coverage, 11397,
     /* 1756594 */     GIR_EraseRootFromParent_Done,
     /* 1756595 */   // Label 23909: @1756595
     /* 1756595 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1756681), // Rule ID 11400 //
     /* 1756600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756646 */     // MIs[0] policy
     /* 1756646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756680 */     // GIR_Coverage, 11400,
     /* 1756680 */     GIR_EraseRootFromParent_Done,
     /* 1756681 */   // Label 23910: @1756681
     /* 1756681 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1756767), // Rule ID 11401 //
     /* 1756686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756732 */     // MIs[0] policy
     /* 1756732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756766 */     // GIR_Coverage, 11401,
     /* 1756766 */     GIR_EraseRootFromParent_Done,
     /* 1756767 */   // Label 23911: @1756767
     /* 1756767 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1756853), // Rule ID 11404 //
     /* 1756772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756818 */     // MIs[0] policy
     /* 1756818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756852 */     // GIR_Coverage, 11404,
     /* 1756852 */     GIR_EraseRootFromParent_Done,
     /* 1756853 */   // Label 23912: @1756853
     /* 1756853 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1756939), // Rule ID 11405 //
     /* 1756858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756904 */     // MIs[0] policy
     /* 1756904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756938 */     // GIR_Coverage, 11405,
     /* 1756938 */     GIR_EraseRootFromParent_Done,
     /* 1756939 */   // Label 23913: @1756939
     /* 1756939 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1757025), // Rule ID 11408 //
     /* 1756944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1756961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756990 */     // MIs[0] policy
     /* 1756990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1757003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757024 */     // GIR_Coverage, 11408,
     /* 1757024 */     GIR_EraseRootFromParent_Done,
     /* 1757025 */   // Label 23914: @1757025
     /* 1757025 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1757111), // Rule ID 11409 //
     /* 1757030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757076 */     // MIs[0] policy
     /* 1757076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1757089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757110 */     // GIR_Coverage, 11409,
     /* 1757110 */     GIR_EraseRootFromParent_Done,
     /* 1757111 */   // Label 23915: @1757111
     /* 1757111 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1757197), // Rule ID 11412 //
     /* 1757116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757162 */     // MIs[0] policy
     /* 1757162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1757175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757196 */     // GIR_Coverage, 11412,
     /* 1757196 */     GIR_EraseRootFromParent_Done,
     /* 1757197 */   // Label 23916: @1757197
     /* 1757197 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1757283), // Rule ID 11413 //
     /* 1757202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757248 */     // MIs[0] policy
     /* 1757248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1757261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757282 */     // GIR_Coverage, 11413,
     /* 1757282 */     GIR_EraseRootFromParent_Done,
     /* 1757283 */   // Label 23917: @1757283
     /* 1757283 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1757369), // Rule ID 11416 //
     /* 1757288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757334 */     // MIs[0] policy
     /* 1757334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757344 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757368 */     // GIR_Coverage, 11416,
     /* 1757368 */     GIR_EraseRootFromParent_Done,
     /* 1757369 */   // Label 23918: @1757369
     /* 1757369 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1757455), // Rule ID 11417 //
     /* 1757374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757420 */     // MIs[0] policy
     /* 1757420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757454 */     // GIR_Coverage, 11417,
     /* 1757454 */     GIR_EraseRootFromParent_Done,
     /* 1757455 */   // Label 23919: @1757455
     /* 1757455 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1757541), // Rule ID 11420 //
     /* 1757460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757506 */     // MIs[0] policy
     /* 1757506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757540 */     // GIR_Coverage, 11420,
     /* 1757540 */     GIR_EraseRootFromParent_Done,
     /* 1757541 */   // Label 23920: @1757541
     /* 1757541 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1757627), // Rule ID 11421 //
     /* 1757546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757592 */     // MIs[0] policy
     /* 1757592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757602 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757626 */     // GIR_Coverage, 11421,
     /* 1757626 */     GIR_EraseRootFromParent_Done,
     /* 1757627 */   // Label 23921: @1757627
     /* 1757627 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1757713), // Rule ID 11424 //
     /* 1757632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757678 */     // MIs[0] policy
     /* 1757678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757712 */     // GIR_Coverage, 11424,
     /* 1757712 */     GIR_EraseRootFromParent_Done,
     /* 1757713 */   // Label 23922: @1757713
     /* 1757713 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1757799), // Rule ID 11425 //
     /* 1757718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757764 */     // MIs[0] policy
     /* 1757764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757774 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757798 */     // GIR_Coverage, 11425,
     /* 1757798 */     GIR_EraseRootFromParent_Done,
     /* 1757799 */   // Label 23923: @1757799
     /* 1757799 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1757885), // Rule ID 11428 //
     /* 1757804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757850 */     // MIs[0] policy
     /* 1757850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757884 */     // GIR_Coverage, 11428,
     /* 1757884 */     GIR_EraseRootFromParent_Done,
     /* 1757885 */   // Label 23924: @1757885
     /* 1757885 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1757971), // Rule ID 11429 //
     /* 1757890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757936 */     // MIs[0] policy
     /* 1757936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757970 */     // GIR_Coverage, 11429,
     /* 1757970 */     GIR_EraseRootFromParent_Done,
     /* 1757971 */   // Label 23925: @1757971
     /* 1757971 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1758057), // Rule ID 11432 //
     /* 1757976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1757987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1757990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1757993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758022 */     // MIs[0] policy
     /* 1758022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758056 */     // GIR_Coverage, 11432,
     /* 1758056 */     GIR_EraseRootFromParent_Done,
     /* 1758057 */   // Label 23926: @1758057
     /* 1758057 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1758143), // Rule ID 11433 //
     /* 1758062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1758073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1758076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1758079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758108 */     // MIs[0] policy
     /* 1758108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758142 */     // GIR_Coverage, 11433,
     /* 1758142 */     GIR_EraseRootFromParent_Done,
     /* 1758143 */   // Label 23927: @1758143
     /* 1758143 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1758229), // Rule ID 11436 //
     /* 1758148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758194 */     // MIs[0] policy
     /* 1758194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758204 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758228 */     // GIR_Coverage, 11436,
     /* 1758228 */     GIR_EraseRootFromParent_Done,
     /* 1758229 */   // Label 23928: @1758229
     /* 1758229 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1758315), // Rule ID 11437 //
     /* 1758234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758280 */     // MIs[0] policy
     /* 1758280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758290 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758314 */     // GIR_Coverage, 11437,
     /* 1758314 */     GIR_EraseRootFromParent_Done,
     /* 1758315 */   // Label 23929: @1758315
     /* 1758315 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1758401), // Rule ID 11440 //
     /* 1758320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758366 */     // MIs[0] policy
     /* 1758366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1758379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758400 */     // GIR_Coverage, 11440,
     /* 1758400 */     GIR_EraseRootFromParent_Done,
     /* 1758401 */   // Label 23930: @1758401
     /* 1758401 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1758487), // Rule ID 11441 //
     /* 1758406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758452 */     // MIs[0] policy
     /* 1758452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1758465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758486 */     // GIR_Coverage, 11441,
     /* 1758486 */     GIR_EraseRootFromParent_Done,
     /* 1758487 */   // Label 23931: @1758487
     /* 1758487 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1758573), // Rule ID 11444 //
     /* 1758492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758538 */     // MIs[0] policy
     /* 1758538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758572 */     // GIR_Coverage, 11444,
     /* 1758572 */     GIR_EraseRootFromParent_Done,
     /* 1758573 */   // Label 23932: @1758573
     /* 1758573 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1758659), // Rule ID 11445 //
     /* 1758578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758624 */     // MIs[0] policy
     /* 1758624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758658 */     // GIR_Coverage, 11445,
     /* 1758658 */     GIR_EraseRootFromParent_Done,
     /* 1758659 */   // Label 23933: @1758659
     /* 1758659 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1758745), // Rule ID 11448 //
     /* 1758664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758710 */     // MIs[0] policy
     /* 1758710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758744 */     // GIR_Coverage, 11448,
     /* 1758744 */     GIR_EraseRootFromParent_Done,
     /* 1758745 */   // Label 23934: @1758745
     /* 1758745 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1758831), // Rule ID 11449 //
     /* 1758750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758796 */     // MIs[0] policy
     /* 1758796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758830 */     // GIR_Coverage, 11449,
     /* 1758830 */     GIR_EraseRootFromParent_Done,
     /* 1758831 */   // Label 23935: @1758831
     /* 1758831 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1758917), // Rule ID 11452 //
     /* 1758836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758882 */     // MIs[0] policy
     /* 1758882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758916 */     // GIR_Coverage, 11452,
     /* 1758916 */     GIR_EraseRootFromParent_Done,
     /* 1758917 */   // Label 23936: @1758917
     /* 1758917 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1759003), // Rule ID 11453 //
     /* 1758922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758968 */     // MIs[0] policy
     /* 1758968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759002 */     // GIR_Coverage, 11453,
     /* 1759002 */     GIR_EraseRootFromParent_Done,
     /* 1759003 */   // Label 23937: @1759003
     /* 1759003 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1759089), // Rule ID 11456 //
     /* 1759008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1759028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759054 */     // MIs[0] policy
     /* 1759054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1759067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759088 */     // GIR_Coverage, 11456,
     /* 1759088 */     GIR_EraseRootFromParent_Done,
     /* 1759089 */   // Label 23938: @1759089
     /* 1759089 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1759175), // Rule ID 11457 //
     /* 1759094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1759114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759140 */     // MIs[0] policy
     /* 1759140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1759153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759174 */     // GIR_Coverage, 11457,
     /* 1759174 */     GIR_EraseRootFromParent_Done,
     /* 1759175 */   // Label 23939: @1759175
     /* 1759175 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1759261), // Rule ID 11460 //
     /* 1759180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1759200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759226 */     // MIs[0] policy
     /* 1759226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1759239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759260 */     // GIR_Coverage, 11460,
     /* 1759260 */     GIR_EraseRootFromParent_Done,
     /* 1759261 */   // Label 23940: @1759261
     /* 1759261 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1759347), // Rule ID 11461 //
     /* 1759266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1759286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759312 */     // MIs[0] policy
     /* 1759312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1759325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759346 */     // GIR_Coverage, 11461,
     /* 1759346 */     GIR_EraseRootFromParent_Done,
     /* 1759347 */   // Label 23941: @1759347
     /* 1759347 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1759433), // Rule ID 11464 //
     /* 1759352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759398 */     // MIs[0] policy
     /* 1759398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1759411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759432 */     // GIR_Coverage, 11464,
     /* 1759432 */     GIR_EraseRootFromParent_Done,
     /* 1759433 */   // Label 23942: @1759433
     /* 1759433 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1759519), // Rule ID 11465 //
     /* 1759438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759484 */     // MIs[0] policy
     /* 1759484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1759497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759518 */     // GIR_Coverage, 11465,
     /* 1759518 */     GIR_EraseRootFromParent_Done,
     /* 1759519 */   // Label 23943: @1759519
     /* 1759519 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1759605), // Rule ID 11468 //
     /* 1759524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759570 */     // MIs[0] policy
     /* 1759570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759604 */     // GIR_Coverage, 11468,
     /* 1759604 */     GIR_EraseRootFromParent_Done,
     /* 1759605 */   // Label 23944: @1759605
     /* 1759605 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1759691), // Rule ID 11469 //
     /* 1759610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759656 */     // MIs[0] policy
     /* 1759656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759690 */     // GIR_Coverage, 11469,
     /* 1759690 */     GIR_EraseRootFromParent_Done,
     /* 1759691 */   // Label 23945: @1759691
     /* 1759691 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1759777), // Rule ID 11472 //
     /* 1759696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759742 */     // MIs[0] policy
     /* 1759742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759776 */     // GIR_Coverage, 11472,
     /* 1759776 */     GIR_EraseRootFromParent_Done,
     /* 1759777 */   // Label 23946: @1759777
     /* 1759777 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1759863), // Rule ID 11473 //
     /* 1759782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759828 */     // MIs[0] policy
     /* 1759828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759838 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759862 */     // GIR_Coverage, 11473,
     /* 1759862 */     GIR_EraseRootFromParent_Done,
     /* 1759863 */   // Label 23947: @1759863
     /* 1759863 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1759949), // Rule ID 11476 //
     /* 1759868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759914 */     // MIs[0] policy
     /* 1759914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1759927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759948 */     // GIR_Coverage, 11476,
     /* 1759948 */     GIR_EraseRootFromParent_Done,
     /* 1759949 */   // Label 23948: @1759949
     /* 1759949 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1760035), // Rule ID 11477 //
     /* 1759954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760000 */     // MIs[0] policy
     /* 1760000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760010 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1760013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760034 */     // GIR_Coverage, 11477,
     /* 1760034 */     GIR_EraseRootFromParent_Done,
     /* 1760035 */   // Label 23949: @1760035
     /* 1760035 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1760121), // Rule ID 11480 //
     /* 1760040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1760048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760086 */     // MIs[0] policy
     /* 1760086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1760099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760120 */     // GIR_Coverage, 11480,
     /* 1760120 */     GIR_EraseRootFromParent_Done,
     /* 1760121 */   // Label 23950: @1760121
     /* 1760121 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1760207), // Rule ID 11481 //
     /* 1760126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1760134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760172 */     // MIs[0] policy
     /* 1760172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1760185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760206 */     // GIR_Coverage, 11481,
     /* 1760206 */     GIR_EraseRootFromParent_Done,
     /* 1760207 */   // Label 23951: @1760207
     /* 1760207 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1760293), // Rule ID 11484 //
     /* 1760212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1760232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760258 */     // MIs[0] policy
     /* 1760258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1760271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760292 */     // GIR_Coverage, 11484,
     /* 1760292 */     GIR_EraseRootFromParent_Done,
     /* 1760293 */   // Label 23952: @1760293
     /* 1760293 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1760379), // Rule ID 11485 //
     /* 1760298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1760318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760344 */     // MIs[0] policy
     /* 1760344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1760357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760378 */     // GIR_Coverage, 11485,
     /* 1760378 */     GIR_EraseRootFromParent_Done,
     /* 1760379 */   // Label 23953: @1760379
     /* 1760379 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1760465), // Rule ID 11488 //
     /* 1760384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760430 */     // MIs[0] policy
     /* 1760430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760464 */     // GIR_Coverage, 11488,
     /* 1760464 */     GIR_EraseRootFromParent_Done,
     /* 1760465 */   // Label 23954: @1760465
     /* 1760465 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1760551), // Rule ID 11489 //
     /* 1760470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760516 */     // MIs[0] policy
     /* 1760516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760550 */     // GIR_Coverage, 11489,
     /* 1760550 */     GIR_EraseRootFromParent_Done,
     /* 1760551 */   // Label 23955: @1760551
     /* 1760551 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1760637), // Rule ID 11492 //
     /* 1760556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760602 */     // MIs[0] policy
     /* 1760602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760636 */     // GIR_Coverage, 11492,
     /* 1760636 */     GIR_EraseRootFromParent_Done,
     /* 1760637 */   // Label 23956: @1760637
     /* 1760637 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1760723), // Rule ID 11493 //
     /* 1760642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760688 */     // MIs[0] policy
     /* 1760688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760698 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760722 */     // GIR_Coverage, 11493,
     /* 1760722 */     GIR_EraseRootFromParent_Done,
     /* 1760723 */   // Label 23957: @1760723
     /* 1760723 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1760809), // Rule ID 11496 //
     /* 1760728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760774 */     // MIs[0] policy
     /* 1760774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760808 */     // GIR_Coverage, 11496,
     /* 1760808 */     GIR_EraseRootFromParent_Done,
     /* 1760809 */   // Label 23958: @1760809
     /* 1760809 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1760895), // Rule ID 11497 //
     /* 1760814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760860 */     // MIs[0] policy
     /* 1760860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760870 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760894 */     // GIR_Coverage, 11497,
     /* 1760894 */     GIR_EraseRootFromParent_Done,
     /* 1760895 */   // Label 23959: @1760895
     /* 1760895 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1760981), // Rule ID 11500 //
     /* 1760900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760946 */     // MIs[0] policy
     /* 1760946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1760959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760980 */     // GIR_Coverage, 11500,
     /* 1760980 */     GIR_EraseRootFromParent_Done,
     /* 1760981 */   // Label 23960: @1760981
     /* 1760981 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1761067), // Rule ID 11501 //
     /* 1760986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761032 */     // MIs[0] policy
     /* 1761032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761066 */     // GIR_Coverage, 11501,
     /* 1761066 */     GIR_EraseRootFromParent_Done,
     /* 1761067 */   // Label 23961: @1761067
     /* 1761067 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1761153), // Rule ID 11504 //
     /* 1761072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761118 */     // MIs[0] policy
     /* 1761118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1761131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761152 */     // GIR_Coverage, 11504,
     /* 1761152 */     GIR_EraseRootFromParent_Done,
     /* 1761153 */   // Label 23962: @1761153
     /* 1761153 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1761239), // Rule ID 11505 //
     /* 1761158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761204 */     // MIs[0] policy
     /* 1761204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1761217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761238 */     // GIR_Coverage, 11505,
     /* 1761238 */     GIR_EraseRootFromParent_Done,
     /* 1761239 */   // Label 23963: @1761239
     /* 1761239 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1761325), // Rule ID 11508 //
     /* 1761244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761290 */     // MIs[0] policy
     /* 1761290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761300 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1761303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761324 */     // GIR_Coverage, 11508,
     /* 1761324 */     GIR_EraseRootFromParent_Done,
     /* 1761325 */   // Label 23964: @1761325
     /* 1761325 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1761411), // Rule ID 11509 //
     /* 1761330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761376 */     // MIs[0] policy
     /* 1761376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1761389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761410 */     // GIR_Coverage, 11509,
     /* 1761410 */     GIR_EraseRootFromParent_Done,
     /* 1761411 */   // Label 23965: @1761411
     /* 1761411 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1761497), // Rule ID 11512 //
     /* 1761416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761462 */     // MIs[0] policy
     /* 1761462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761496 */     // GIR_Coverage, 11512,
     /* 1761496 */     GIR_EraseRootFromParent_Done,
     /* 1761497 */   // Label 23966: @1761497
     /* 1761497 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1761583), // Rule ID 11513 //
     /* 1761502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761548 */     // MIs[0] policy
     /* 1761548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761582 */     // GIR_Coverage, 11513,
     /* 1761582 */     GIR_EraseRootFromParent_Done,
     /* 1761583 */   // Label 23967: @1761583
     /* 1761583 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1761669), // Rule ID 11516 //
     /* 1761588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761634 */     // MIs[0] policy
     /* 1761634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761668 */     // GIR_Coverage, 11516,
     /* 1761668 */     GIR_EraseRootFromParent_Done,
     /* 1761669 */   // Label 23968: @1761669
     /* 1761669 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1761755), // Rule ID 11517 //
     /* 1761674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761720 */     // MIs[0] policy
     /* 1761720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761754 */     // GIR_Coverage, 11517,
     /* 1761754 */     GIR_EraseRootFromParent_Done,
     /* 1761755 */   // Label 23969: @1761755
     /* 1761755 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1761841), // Rule ID 11520 //
     /* 1761760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761806 */     // MIs[0] policy
     /* 1761806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761840 */     // GIR_Coverage, 11520,
     /* 1761840 */     GIR_EraseRootFromParent_Done,
     /* 1761841 */   // Label 23970: @1761841
     /* 1761841 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1761927), // Rule ID 11521 //
     /* 1761846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761892 */     // MIs[0] policy
     /* 1761892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761926 */     // GIR_Coverage, 11521,
     /* 1761926 */     GIR_EraseRootFromParent_Done,
     /* 1761927 */   // Label 23971: @1761927
     /* 1761927 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1762013), // Rule ID 11524 //
     /* 1761932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1761952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761978 */     // MIs[0] policy
     /* 1761978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762012 */     // GIR_Coverage, 11524,
     /* 1762012 */     GIR_EraseRootFromParent_Done,
     /* 1762013 */   // Label 23972: @1762013
     /* 1762013 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1762099), // Rule ID 11525 //
     /* 1762018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1762038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762064 */     // MIs[0] policy
     /* 1762064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1762077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762098 */     // GIR_Coverage, 11525,
     /* 1762098 */     GIR_EraseRootFromParent_Done,
     /* 1762099 */   // Label 23973: @1762099
     /* 1762099 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1762185), // Rule ID 11528 //
     /* 1762104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1762124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762150 */     // MIs[0] policy
     /* 1762150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1762163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762184 */     // GIR_Coverage, 11528,
     /* 1762184 */     GIR_EraseRootFromParent_Done,
     /* 1762185 */   // Label 23974: @1762185
     /* 1762185 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1762271), // Rule ID 11529 //
     /* 1762190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1762210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762236 */     // MIs[0] policy
     /* 1762236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1762249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762270 */     // GIR_Coverage, 11529,
     /* 1762270 */     GIR_EraseRootFromParent_Done,
     /* 1762271 */   // Label 23975: @1762271
     /* 1762271 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1762357), // Rule ID 11532 //
     /* 1762276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1762287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1762290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1762293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762322 */     // MIs[0] policy
     /* 1762322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1762335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762356 */     // GIR_Coverage, 11532,
     /* 1762356 */     GIR_EraseRootFromParent_Done,
     /* 1762357 */   // Label 23976: @1762357
     /* 1762357 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1762443), // Rule ID 11533 //
     /* 1762362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1762373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1762376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1762379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762408 */     // MIs[0] policy
     /* 1762408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1762421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762442 */     // GIR_Coverage, 11533,
     /* 1762442 */     GIR_EraseRootFromParent_Done,
     /* 1762443 */   // Label 23977: @1762443
     /* 1762443 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1762529), // Rule ID 11536 //
     /* 1762448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762494 */     // MIs[0] policy
     /* 1762494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762528 */     // GIR_Coverage, 11536,
     /* 1762528 */     GIR_EraseRootFromParent_Done,
     /* 1762529 */   // Label 23978: @1762529
     /* 1762529 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1762615), // Rule ID 11537 //
     /* 1762534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762580 */     // MIs[0] policy
     /* 1762580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762614 */     // GIR_Coverage, 11537,
     /* 1762614 */     GIR_EraseRootFromParent_Done,
     /* 1762615 */   // Label 23979: @1762615
     /* 1762615 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1762701), // Rule ID 11540 //
     /* 1762620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762666 */     // MIs[0] policy
     /* 1762666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762700 */     // GIR_Coverage, 11540,
     /* 1762700 */     GIR_EraseRootFromParent_Done,
     /* 1762701 */   // Label 23980: @1762701
     /* 1762701 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1762787), // Rule ID 11541 //
     /* 1762706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762752 */     // MIs[0] policy
     /* 1762752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762762 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762786 */     // GIR_Coverage, 11541,
     /* 1762786 */     GIR_EraseRootFromParent_Done,
     /* 1762787 */   // Label 23981: @1762787
     /* 1762787 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1762873), // Rule ID 11544 //
     /* 1762792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762838 */     // MIs[0] policy
     /* 1762838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762872 */     // GIR_Coverage, 11544,
     /* 1762872 */     GIR_EraseRootFromParent_Done,
     /* 1762873 */   // Label 23982: @1762873
     /* 1762873 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1762959), // Rule ID 11545 //
     /* 1762878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762924 */     // MIs[0] policy
     /* 1762924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762958 */     // GIR_Coverage, 11545,
     /* 1762958 */     GIR_EraseRootFromParent_Done,
     /* 1762959 */   // Label 23983: @1762959
     /* 1762959 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1763045), // Rule ID 11548 //
     /* 1762964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763010 */     // MIs[0] policy
     /* 1763010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763020 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1763023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763044 */     // GIR_Coverage, 11548,
     /* 1763044 */     GIR_EraseRootFromParent_Done,
     /* 1763045 */   // Label 23984: @1763045
     /* 1763045 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1763131), // Rule ID 11549 //
     /* 1763050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1763061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1763064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1763067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1763070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763096 */     // MIs[0] policy
     /* 1763096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1763109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763130 */     // GIR_Coverage, 11549,
     /* 1763130 */     GIR_EraseRootFromParent_Done,
     /* 1763131 */   // Label 23985: @1763131
     /* 1763131 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1763217), // Rule ID 11552 //
     /* 1763136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1763147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1763150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1763153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1763156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763182 */     // MIs[0] policy
     /* 1763182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1763195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763216 */     // GIR_Coverage, 11552,
     /* 1763216 */     GIR_EraseRootFromParent_Done,
     /* 1763217 */   // Label 23986: @1763217
     /* 1763217 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1763303), // Rule ID 11553 //
     /* 1763222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1763233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1763236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1763239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1763242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763268 */     // MIs[0] policy
     /* 1763268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1763281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763302 */     // GIR_Coverage, 11553,
     /* 1763302 */     GIR_EraseRootFromParent_Done,
     /* 1763303 */   // Label 23987: @1763303
     /* 1763303 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1763389), // Rule ID 11556 //
     /* 1763308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763354 */     // MIs[0] policy
     /* 1763354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1763367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763388 */     // GIR_Coverage, 11556,
     /* 1763388 */     GIR_EraseRootFromParent_Done,
     /* 1763389 */   // Label 23988: @1763389
     /* 1763389 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1763475), // Rule ID 11557 //
     /* 1763394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763440 */     // MIs[0] policy
     /* 1763440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763450 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1763453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763474 */     // GIR_Coverage, 11557,
     /* 1763474 */     GIR_EraseRootFromParent_Done,
     /* 1763475 */   // Label 23989: @1763475
     /* 1763475 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1763561), // Rule ID 11560 //
     /* 1763480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763526 */     // MIs[0] policy
     /* 1763526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763560 */     // GIR_Coverage, 11560,
     /* 1763560 */     GIR_EraseRootFromParent_Done,
     /* 1763561 */   // Label 23990: @1763561
     /* 1763561 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1763647), // Rule ID 11561 //
     /* 1763566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763612 */     // MIs[0] policy
     /* 1763612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763646 */     // GIR_Coverage, 11561,
     /* 1763646 */     GIR_EraseRootFromParent_Done,
     /* 1763647 */   // Label 23991: @1763647
     /* 1763647 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1763733), // Rule ID 11564 //
     /* 1763652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763698 */     // MIs[0] policy
     /* 1763698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763732 */     // GIR_Coverage, 11564,
     /* 1763732 */     GIR_EraseRootFromParent_Done,
     /* 1763733 */   // Label 23992: @1763733
     /* 1763733 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1763819), // Rule ID 11565 //
     /* 1763738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763784 */     // MIs[0] policy
     /* 1763784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763818 */     // GIR_Coverage, 11565,
     /* 1763818 */     GIR_EraseRootFromParent_Done,
     /* 1763819 */   // Label 23993: @1763819
     /* 1763819 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1763905), // Rule ID 11568 //
     /* 1763824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763870 */     // MIs[0] policy
     /* 1763870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763880 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763904 */     // GIR_Coverage, 11568,
     /* 1763904 */     GIR_EraseRootFromParent_Done,
     /* 1763905 */   // Label 23994: @1763905
     /* 1763905 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1763991), // Rule ID 11569 //
     /* 1763910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763956 */     // MIs[0] policy
     /* 1763956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763990 */     // GIR_Coverage, 11569,
     /* 1763990 */     GIR_EraseRootFromParent_Done,
     /* 1763991 */   // Label 23995: @1763991
     /* 1763991 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1764077), // Rule ID 11572 //
     /* 1763996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1764007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764042 */     // MIs[0] policy
     /* 1764042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1764055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764076 */     // GIR_Coverage, 11572,
     /* 1764076 */     GIR_EraseRootFromParent_Done,
     /* 1764077 */   // Label 23996: @1764077
     /* 1764077 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1764163), // Rule ID 11573 //
     /* 1764082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1764093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764128 */     // MIs[0] policy
     /* 1764128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764138 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1764141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764162 */     // GIR_Coverage, 11573,
     /* 1764162 */     GIR_EraseRootFromParent_Done,
     /* 1764163 */   // Label 23997: @1764163
     /* 1764163 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1764249), // Rule ID 11576 //
     /* 1764168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764214 */     // MIs[0] policy
     /* 1764214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1764227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764248 */     // GIR_Coverage, 11576,
     /* 1764248 */     GIR_EraseRootFromParent_Done,
     /* 1764249 */   // Label 23998: @1764249
     /* 1764249 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1764335), // Rule ID 11577 //
     /* 1764254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764300 */     // MIs[0] policy
     /* 1764300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764310 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1764313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764334 */     // GIR_Coverage, 11577,
     /* 1764334 */     GIR_EraseRootFromParent_Done,
     /* 1764335 */   // Label 23999: @1764335
     /* 1764335 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1764421), // Rule ID 11580 //
     /* 1764340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764386 */     // MIs[0] policy
     /* 1764386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1764399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764420 */     // GIR_Coverage, 11580,
     /* 1764420 */     GIR_EraseRootFromParent_Done,
     /* 1764421 */   // Label 24000: @1764421
     /* 1764421 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1764507), // Rule ID 11581 //
     /* 1764426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764472 */     // MIs[0] policy
     /* 1764472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1764485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764506 */     // GIR_Coverage, 11581,
     /* 1764506 */     GIR_EraseRootFromParent_Done,
     /* 1764507 */   // Label 24001: @1764507
     /* 1764507 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1764593), // Rule ID 11584 //
     /* 1764512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764558 */     // MIs[0] policy
     /* 1764558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764592 */     // GIR_Coverage, 11584,
     /* 1764592 */     GIR_EraseRootFromParent_Done,
     /* 1764593 */   // Label 24002: @1764593
     /* 1764593 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1764679), // Rule ID 11585 //
     /* 1764598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764644 */     // MIs[0] policy
     /* 1764644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764678 */     // GIR_Coverage, 11585,
     /* 1764678 */     GIR_EraseRootFromParent_Done,
     /* 1764679 */   // Label 24003: @1764679
     /* 1764679 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1764765), // Rule ID 11588 //
     /* 1764684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764730 */     // MIs[0] policy
     /* 1764730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764764 */     // GIR_Coverage, 11588,
     /* 1764764 */     GIR_EraseRootFromParent_Done,
     /* 1764765 */   // Label 24004: @1764765
     /* 1764765 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1764851), // Rule ID 11589 //
     /* 1764770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764816 */     // MIs[0] policy
     /* 1764816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764850 */     // GIR_Coverage, 11589,
     /* 1764850 */     GIR_EraseRootFromParent_Done,
     /* 1764851 */   // Label 24005: @1764851
     /* 1764851 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1764937), // Rule ID 11592 //
     /* 1764856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764902 */     // MIs[0] policy
     /* 1764902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1764915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764936 */     // GIR_Coverage, 11592,
     /* 1764936 */     GIR_EraseRootFromParent_Done,
     /* 1764937 */   // Label 24006: @1764937
     /* 1764937 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1765023), // Rule ID 11593 //
     /* 1764942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764988 */     // MIs[0] policy
     /* 1764988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764998 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1765001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765022 */     // GIR_Coverage, 11593,
     /* 1765022 */     GIR_EraseRootFromParent_Done,
     /* 1765023 */   // Label 24007: @1765023
     /* 1765023 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1765109), // Rule ID 11596 //
     /* 1765028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765074 */     // MIs[0] policy
     /* 1765074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765084 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1765087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765108 */     // GIR_Coverage, 11596,
     /* 1765108 */     GIR_EraseRootFromParent_Done,
     /* 1765109 */   // Label 24008: @1765109
     /* 1765109 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1765195), // Rule ID 11597 //
     /* 1765114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765160 */     // MIs[0] policy
     /* 1765160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1765173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765194 */     // GIR_Coverage, 11597,
     /* 1765194 */     GIR_EraseRootFromParent_Done,
     /* 1765195 */   // Label 24009: @1765195
     /* 1765195 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1765281), // Rule ID 11600 //
     /* 1765200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765246 */     // MIs[0] policy
     /* 1765246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1765259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765280 */     // GIR_Coverage, 11600,
     /* 1765280 */     GIR_EraseRootFromParent_Done,
     /* 1765281 */   // Label 24010: @1765281
     /* 1765281 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1765367), // Rule ID 11601 //
     /* 1765286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765332 */     // MIs[0] policy
     /* 1765332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1765345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765366 */     // GIR_Coverage, 11601,
     /* 1765366 */     GIR_EraseRootFromParent_Done,
     /* 1765367 */   // Label 24011: @1765367
     /* 1765367 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1765453), // Rule ID 11604 //
     /* 1765372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765418 */     // MIs[0] policy
     /* 1765418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1765431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765452 */     // GIR_Coverage, 11604,
     /* 1765452 */     GIR_EraseRootFromParent_Done,
     /* 1765453 */   // Label 24012: @1765453
     /* 1765453 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1765539), // Rule ID 11605 //
     /* 1765458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765504 */     // MIs[0] policy
     /* 1765504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1765517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765538 */     // GIR_Coverage, 11605,
     /* 1765538 */     GIR_EraseRootFromParent_Done,
     /* 1765539 */   // Label 24013: @1765539
     /* 1765539 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1765625), // Rule ID 11608 //
     /* 1765544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765590 */     // MIs[0] policy
     /* 1765590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765624 */     // GIR_Coverage, 11608,
     /* 1765624 */     GIR_EraseRootFromParent_Done,
     /* 1765625 */   // Label 24014: @1765625
     /* 1765625 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1765711), // Rule ID 11609 //
     /* 1765630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765676 */     // MIs[0] policy
     /* 1765676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765710 */     // GIR_Coverage, 11609,
     /* 1765710 */     GIR_EraseRootFromParent_Done,
     /* 1765711 */   // Label 24015: @1765711
     /* 1765711 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1765797), // Rule ID 11612 //
     /* 1765716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765762 */     // MIs[0] policy
     /* 1765762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765796 */     // GIR_Coverage, 11612,
     /* 1765796 */     GIR_EraseRootFromParent_Done,
     /* 1765797 */   // Label 24016: @1765797
     /* 1765797 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1765883), // Rule ID 11613 //
     /* 1765802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765848 */     // MIs[0] policy
     /* 1765848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765882 */     // GIR_Coverage, 11613,
     /* 1765882 */     GIR_EraseRootFromParent_Done,
     /* 1765883 */   // Label 24017: @1765883
     /* 1765883 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1765969), // Rule ID 11616 //
     /* 1765888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765934 */     // MIs[0] policy
     /* 1765934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1765947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765968 */     // GIR_Coverage, 11616,
     /* 1765968 */     GIR_EraseRootFromParent_Done,
     /* 1765969 */   // Label 24018: @1765969
     /* 1765969 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1766055), // Rule ID 11617 //
     /* 1765974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766020 */     // MIs[0] policy
     /* 1766020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1766033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766054 */     // GIR_Coverage, 11617,
     /* 1766054 */     GIR_EraseRootFromParent_Done,
     /* 1766055 */   // Label 24019: @1766055
     /* 1766055 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1766141), // Rule ID 11620 //
     /* 1766060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766106 */     // MIs[0] policy
     /* 1766106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1766119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766140 */     // GIR_Coverage, 11620,
     /* 1766140 */     GIR_EraseRootFromParent_Done,
     /* 1766141 */   // Label 24020: @1766141
     /* 1766141 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1766227), // Rule ID 11621 //
     /* 1766146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766192 */     // MIs[0] policy
     /* 1766192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1766205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766226 */     // GIR_Coverage, 11621,
     /* 1766226 */     GIR_EraseRootFromParent_Done,
     /* 1766227 */   // Label 24021: @1766227
     /* 1766227 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1766313), // Rule ID 11624 //
     /* 1766232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1766252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766278 */     // MIs[0] policy
     /* 1766278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1766291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766312 */     // GIR_Coverage, 11624,
     /* 1766312 */     GIR_EraseRootFromParent_Done,
     /* 1766313 */   // Label 24022: @1766313
     /* 1766313 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1766399), // Rule ID 11625 //
     /* 1766318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1766338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766364 */     // MIs[0] policy
     /* 1766364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1766377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766398 */     // GIR_Coverage, 11625,
     /* 1766398 */     GIR_EraseRootFromParent_Done,
     /* 1766399 */   // Label 24023: @1766399
     /* 1766399 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1766485), // Rule ID 11628 //
     /* 1766404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766450 */     // MIs[0] policy
     /* 1766450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766484 */     // GIR_Coverage, 11628,
     /* 1766484 */     GIR_EraseRootFromParent_Done,
     /* 1766485 */   // Label 24024: @1766485
     /* 1766485 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1766571), // Rule ID 11629 //
     /* 1766490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766536 */     // MIs[0] policy
     /* 1766536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766570 */     // GIR_Coverage, 11629,
     /* 1766570 */     GIR_EraseRootFromParent_Done,
     /* 1766571 */   // Label 24025: @1766571
     /* 1766571 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1766657), // Rule ID 11632 //
     /* 1766576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766622 */     // MIs[0] policy
     /* 1766622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766656 */     // GIR_Coverage, 11632,
     /* 1766656 */     GIR_EraseRootFromParent_Done,
     /* 1766657 */   // Label 24026: @1766657
     /* 1766657 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1766743), // Rule ID 11633 //
     /* 1766662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766708 */     // MIs[0] policy
     /* 1766708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766742 */     // GIR_Coverage, 11633,
     /* 1766742 */     GIR_EraseRootFromParent_Done,
     /* 1766743 */   // Label 24027: @1766743
     /* 1766743 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1766829), // Rule ID 11636 //
     /* 1766748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766794 */     // MIs[0] policy
     /* 1766794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766828 */     // GIR_Coverage, 11636,
     /* 1766828 */     GIR_EraseRootFromParent_Done,
     /* 1766829 */   // Label 24028: @1766829
     /* 1766829 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1766915), // Rule ID 11637 //
     /* 1766834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766880 */     // MIs[0] policy
     /* 1766880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766890 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766914 */     // GIR_Coverage, 11637,
     /* 1766914 */     GIR_EraseRootFromParent_Done,
     /* 1766915 */   // Label 24029: @1766915
     /* 1766915 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1767001), // Rule ID 11640 //
     /* 1766920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766966 */     // MIs[0] policy
     /* 1766966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1766979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767000 */     // GIR_Coverage, 11640,
     /* 1767000 */     GIR_EraseRootFromParent_Done,
     /* 1767001 */   // Label 24030: @1767001
     /* 1767001 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1767087), // Rule ID 11641 //
     /* 1767006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1767017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1767020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1767023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767052 */     // MIs[0] policy
     /* 1767052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1767065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767086 */     // GIR_Coverage, 11641,
     /* 1767086 */     GIR_EraseRootFromParent_Done,
     /* 1767087 */   // Label 24031: @1767087
     /* 1767087 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1767173), // Rule ID 11644 //
     /* 1767092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767138 */     // MIs[0] policy
     /* 1767138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1767151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767172 */     // GIR_Coverage, 11644,
     /* 1767172 */     GIR_EraseRootFromParent_Done,
     /* 1767173 */   // Label 24032: @1767173
     /* 1767173 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1767259), // Rule ID 11645 //
     /* 1767178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767224 */     // MIs[0] policy
     /* 1767224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767234 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1767237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767258 */     // GIR_Coverage, 11645,
     /* 1767258 */     GIR_EraseRootFromParent_Done,
     /* 1767259 */   // Label 24033: @1767259
     /* 1767259 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1767345), // Rule ID 11648 //
     /* 1767264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767310 */     // MIs[0] policy
     /* 1767310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1767323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767344 */     // GIR_Coverage, 11648,
     /* 1767344 */     GIR_EraseRootFromParent_Done,
     /* 1767345 */   // Label 24034: @1767345
     /* 1767345 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1767431), // Rule ID 11649 //
     /* 1767350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767396 */     // MIs[0] policy
     /* 1767396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1767409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767430 */     // GIR_Coverage, 11649,
     /* 1767430 */     GIR_EraseRootFromParent_Done,
     /* 1767431 */   // Label 24035: @1767431
     /* 1767431 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1767517), // Rule ID 11652 //
     /* 1767436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767482 */     // MIs[0] policy
     /* 1767482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767516 */     // GIR_Coverage, 11652,
     /* 1767516 */     GIR_EraseRootFromParent_Done,
     /* 1767517 */   // Label 24036: @1767517
     /* 1767517 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1767603), // Rule ID 11653 //
     /* 1767522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767568 */     // MIs[0] policy
     /* 1767568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767602 */     // GIR_Coverage, 11653,
     /* 1767602 */     GIR_EraseRootFromParent_Done,
     /* 1767603 */   // Label 24037: @1767603
     /* 1767603 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1767689), // Rule ID 11656 //
     /* 1767608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767654 */     // MIs[0] policy
     /* 1767654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767688 */     // GIR_Coverage, 11656,
     /* 1767688 */     GIR_EraseRootFromParent_Done,
     /* 1767689 */   // Label 24038: @1767689
     /* 1767689 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1767775), // Rule ID 11657 //
     /* 1767694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767740 */     // MIs[0] policy
     /* 1767740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767774 */     // GIR_Coverage, 11657,
     /* 1767774 */     GIR_EraseRootFromParent_Done,
     /* 1767775 */   // Label 24039: @1767775
     /* 1767775 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1767861), // Rule ID 11660 //
     /* 1767780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767826 */     // MIs[0] policy
     /* 1767826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767860 */     // GIR_Coverage, 11660,
     /* 1767860 */     GIR_EraseRootFromParent_Done,
     /* 1767861 */   // Label 24040: @1767861
     /* 1767861 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1767947), // Rule ID 11661 //
     /* 1767866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767912 */     // MIs[0] policy
     /* 1767912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767946 */     // GIR_Coverage, 11661,
     /* 1767946 */     GIR_EraseRootFromParent_Done,
     /* 1767947 */   // Label 24041: @1767947
     /* 1767947 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1768033), // Rule ID 11664 //
     /* 1767952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767998 */     // MIs[0] policy
     /* 1767998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1768011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768032 */     // GIR_Coverage, 11664,
     /* 1768032 */     GIR_EraseRootFromParent_Done,
     /* 1768033 */   // Label 24042: @1768033
     /* 1768033 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1768119), // Rule ID 11665 //
     /* 1768038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1768049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1768052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1768055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768084 */     // MIs[0] policy
     /* 1768084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1768097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768118 */     // GIR_Coverage, 11665,
     /* 1768118 */     GIR_EraseRootFromParent_Done,
     /* 1768119 */   // Label 24043: @1768119
     /* 1768119 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1768205), // Rule ID 11668 //
     /* 1768124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768170 */     // MIs[0] policy
     /* 1768170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1768183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768204 */     // GIR_Coverage, 11668,
     /* 1768204 */     GIR_EraseRootFromParent_Done,
     /* 1768205 */   // Label 24044: @1768205
     /* 1768205 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1768291), // Rule ID 11669 //
     /* 1768210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768256 */     // MIs[0] policy
     /* 1768256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768266 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1768269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768290 */     // GIR_Coverage, 11669,
     /* 1768290 */     GIR_EraseRootFromParent_Done,
     /* 1768291 */   // Label 24045: @1768291
     /* 1768291 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1768377), // Rule ID 11672 //
     /* 1768296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1768299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768342 */     // MIs[0] policy
     /* 1768342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1768355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768376 */     // GIR_Coverage, 11672,
     /* 1768376 */     GIR_EraseRootFromParent_Done,
     /* 1768377 */   // Label 24046: @1768377
     /* 1768377 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1768463), // Rule ID 11673 //
     /* 1768382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1768385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768428 */     // MIs[0] policy
     /* 1768428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1768441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768462 */     // GIR_Coverage, 11673,
     /* 1768462 */     GIR_EraseRootFromParent_Done,
     /* 1768463 */   // Label 24047: @1768463
     /* 1768463 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1768549), // Rule ID 11676 //
     /* 1768468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768514 */     // MIs[0] policy
     /* 1768514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768548 */     // GIR_Coverage, 11676,
     /* 1768548 */     GIR_EraseRootFromParent_Done,
     /* 1768549 */   // Label 24048: @1768549
     /* 1768549 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1768635), // Rule ID 11677 //
     /* 1768554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768600 */     // MIs[0] policy
     /* 1768600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768610 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768634 */     // GIR_Coverage, 11677,
     /* 1768634 */     GIR_EraseRootFromParent_Done,
     /* 1768635 */   // Label 24049: @1768635
     /* 1768635 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1768721), // Rule ID 11680 //
     /* 1768640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768686 */     // MIs[0] policy
     /* 1768686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768720 */     // GIR_Coverage, 11680,
     /* 1768720 */     GIR_EraseRootFromParent_Done,
     /* 1768721 */   // Label 24050: @1768721
     /* 1768721 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1768807), // Rule ID 11681 //
     /* 1768726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768772 */     // MIs[0] policy
     /* 1768772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768806 */     // GIR_Coverage, 11681,
     /* 1768806 */     GIR_EraseRootFromParent_Done,
     /* 1768807 */   // Label 24051: @1768807
     /* 1768807 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1768893), // Rule ID 11684 //
     /* 1768812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768858 */     // MIs[0] policy
     /* 1768858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768892 */     // GIR_Coverage, 11684,
     /* 1768892 */     GIR_EraseRootFromParent_Done,
     /* 1768893 */   // Label 24052: @1768893
     /* 1768893 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1768979), // Rule ID 11685 //
     /* 1768898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768944 */     // MIs[0] policy
     /* 1768944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768978 */     // GIR_Coverage, 11685,
     /* 1768978 */     GIR_EraseRootFromParent_Done,
     /* 1768979 */   // Label 24053: @1768979
     /* 1768979 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1769065), // Rule ID 11688 //
     /* 1768984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769030 */     // MIs[0] policy
     /* 1769030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1769043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769064 */     // GIR_Coverage, 11688,
     /* 1769064 */     GIR_EraseRootFromParent_Done,
     /* 1769065 */   // Label 24054: @1769065
     /* 1769065 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1769151), // Rule ID 11689 //
     /* 1769070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1769081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1769084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769116 */     // MIs[0] policy
     /* 1769116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1769129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769150 */     // GIR_Coverage, 11689,
     /* 1769150 */     GIR_EraseRootFromParent_Done,
     /* 1769151 */   // Label 24055: @1769151
     /* 1769151 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1769237), // Rule ID 11692 //
     /* 1769156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769202 */     // MIs[0] policy
     /* 1769202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1769215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769236 */     // GIR_Coverage, 11692,
     /* 1769236 */     GIR_EraseRootFromParent_Done,
     /* 1769237 */   // Label 24056: @1769237
     /* 1769237 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1769323), // Rule ID 11693 //
     /* 1769242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769288 */     // MIs[0] policy
     /* 1769288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1769301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769322 */     // GIR_Coverage, 11693,
     /* 1769322 */     GIR_EraseRootFromParent_Done,
     /* 1769323 */   // Label 24057: @1769323
     /* 1769323 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1769409), // Rule ID 11696 //
     /* 1769328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769374 */     // MIs[0] policy
     /* 1769374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1769387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769408 */     // GIR_Coverage, 11696,
     /* 1769408 */     GIR_EraseRootFromParent_Done,
     /* 1769409 */   // Label 24058: @1769409
     /* 1769409 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1769495), // Rule ID 11697 //
     /* 1769414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769460 */     // MIs[0] policy
     /* 1769460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1769473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769494 */     // GIR_Coverage, 11697,
     /* 1769494 */     GIR_EraseRootFromParent_Done,
     /* 1769495 */   // Label 24059: @1769495
     /* 1769495 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1769581), // Rule ID 11700 //
     /* 1769500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769546 */     // MIs[0] policy
     /* 1769546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769580 */     // GIR_Coverage, 11700,
     /* 1769580 */     GIR_EraseRootFromParent_Done,
     /* 1769581 */   // Label 24060: @1769581
     /* 1769581 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1769667), // Rule ID 11701 //
     /* 1769586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769632 */     // MIs[0] policy
     /* 1769632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769666 */     // GIR_Coverage, 11701,
     /* 1769666 */     GIR_EraseRootFromParent_Done,
     /* 1769667 */   // Label 24061: @1769667
     /* 1769667 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1769753), // Rule ID 11704 //
     /* 1769672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769718 */     // MIs[0] policy
     /* 1769718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769752 */     // GIR_Coverage, 11704,
     /* 1769752 */     GIR_EraseRootFromParent_Done,
     /* 1769753 */   // Label 24062: @1769753
     /* 1769753 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1769839), // Rule ID 11705 //
     /* 1769758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769804 */     // MIs[0] policy
     /* 1769804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769838 */     // GIR_Coverage, 11705,
     /* 1769838 */     GIR_EraseRootFromParent_Done,
     /* 1769839 */   // Label 24063: @1769839
     /* 1769839 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1769925), // Rule ID 11708 //
     /* 1769844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769890 */     // MIs[0] policy
     /* 1769890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769924 */     // GIR_Coverage, 11708,
     /* 1769924 */     GIR_EraseRootFromParent_Done,
     /* 1769925 */   // Label 24064: @1769925
     /* 1769925 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1770011), // Rule ID 11709 //
     /* 1769930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769976 */     // MIs[0] policy
     /* 1769976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770010 */     // GIR_Coverage, 11709,
     /* 1770010 */     GIR_EraseRootFromParent_Done,
     /* 1770011 */   // Label 24065: @1770011
     /* 1770011 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1770097), // Rule ID 11712 //
     /* 1770016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770062 */     // MIs[0] policy
     /* 1770062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1770075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770096 */     // GIR_Coverage, 11712,
     /* 1770096 */     GIR_EraseRootFromParent_Done,
     /* 1770097 */   // Label 24066: @1770097
     /* 1770097 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1770183), // Rule ID 11713 //
     /* 1770102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770148 */     // MIs[0] policy
     /* 1770148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1770161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770182 */     // GIR_Coverage, 11713,
     /* 1770182 */     GIR_EraseRootFromParent_Done,
     /* 1770183 */   // Label 24067: @1770183
     /* 1770183 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1770269), // Rule ID 11716 //
     /* 1770188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770234 */     // MIs[0] policy
     /* 1770234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1770247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770268 */     // GIR_Coverage, 11716,
     /* 1770268 */     GIR_EraseRootFromParent_Done,
     /* 1770269 */   // Label 24068: @1770269
     /* 1770269 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1770355), // Rule ID 11717 //
     /* 1770274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770320 */     // MIs[0] policy
     /* 1770320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1770333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770354 */     // GIR_Coverage, 11717,
     /* 1770354 */     GIR_EraseRootFromParent_Done,
     /* 1770355 */   // Label 24069: @1770355
     /* 1770355 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1770441), // Rule ID 11720 //
     /* 1770360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770406 */     // MIs[0] policy
     /* 1770406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1770419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770440 */     // GIR_Coverage, 11720,
     /* 1770440 */     GIR_EraseRootFromParent_Done,
     /* 1770441 */   // Label 24070: @1770441
     /* 1770441 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1770527), // Rule ID 11721 //
     /* 1770446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770492 */     // MIs[0] policy
     /* 1770492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1770505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770526 */     // GIR_Coverage, 11721,
     /* 1770526 */     GIR_EraseRootFromParent_Done,
     /* 1770527 */   // Label 24071: @1770527
     /* 1770527 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1770613), // Rule ID 11724 //
     /* 1770532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770578 */     // MIs[0] policy
     /* 1770578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770612 */     // GIR_Coverage, 11724,
     /* 1770612 */     GIR_EraseRootFromParent_Done,
     /* 1770613 */   // Label 24072: @1770613
     /* 1770613 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1770699), // Rule ID 11725 //
     /* 1770618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770664 */     // MIs[0] policy
     /* 1770664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770674 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770698 */     // GIR_Coverage, 11725,
     /* 1770698 */     GIR_EraseRootFromParent_Done,
     /* 1770699 */   // Label 24073: @1770699
     /* 1770699 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1770785), // Rule ID 11728 //
     /* 1770704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770750 */     // MIs[0] policy
     /* 1770750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770784 */     // GIR_Coverage, 11728,
     /* 1770784 */     GIR_EraseRootFromParent_Done,
     /* 1770785 */   // Label 24074: @1770785
     /* 1770785 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1770871), // Rule ID 11729 //
     /* 1770790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770836 */     // MIs[0] policy
     /* 1770836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770870 */     // GIR_Coverage, 11729,
     /* 1770870 */     GIR_EraseRootFromParent_Done,
     /* 1770871 */   // Label 24075: @1770871
     /* 1770871 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1770957), // Rule ID 11732 //
     /* 1770876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770922 */     // MIs[0] policy
     /* 1770922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1770935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770956 */     // GIR_Coverage, 11732,
     /* 1770956 */     GIR_EraseRootFromParent_Done,
     /* 1770957 */   // Label 24076: @1770957
     /* 1770957 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1771043), // Rule ID 11733 //
     /* 1770962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771008 */     // MIs[0] policy
     /* 1771008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771018 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1771021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771042 */     // GIR_Coverage, 11733,
     /* 1771042 */     GIR_EraseRootFromParent_Done,
     /* 1771043 */   // Label 24077: @1771043
     /* 1771043 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1771129), // Rule ID 11736 //
     /* 1771048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1771068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771094 */     // MIs[0] policy
     /* 1771094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1771107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771128 */     // GIR_Coverage, 11736,
     /* 1771128 */     GIR_EraseRootFromParent_Done,
     /* 1771129 */   // Label 24078: @1771129
     /* 1771129 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1771215), // Rule ID 11737 //
     /* 1771134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1771154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771180 */     // MIs[0] policy
     /* 1771180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1771193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771214 */     // GIR_Coverage, 11737,
     /* 1771214 */     GIR_EraseRootFromParent_Done,
     /* 1771215 */   // Label 24079: @1771215
     /* 1771215 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1771301), // Rule ID 11740 //
     /* 1771220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1771240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771266 */     // MIs[0] policy
     /* 1771266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1771279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771300 */     // GIR_Coverage, 11740,
     /* 1771300 */     GIR_EraseRootFromParent_Done,
     /* 1771301 */   // Label 24080: @1771301
     /* 1771301 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1771387), // Rule ID 11741 //
     /* 1771306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1771326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771352 */     // MIs[0] policy
     /* 1771352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1771365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771386 */     // GIR_Coverage, 11741,
     /* 1771386 */     GIR_EraseRootFromParent_Done,
     /* 1771387 */   // Label 24081: @1771387
     /* 1771387 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1771473), // Rule ID 11744 //
     /* 1771392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771438 */     // MIs[0] policy
     /* 1771438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771472 */     // GIR_Coverage, 11744,
     /* 1771472 */     GIR_EraseRootFromParent_Done,
     /* 1771473 */   // Label 24082: @1771473
     /* 1771473 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1771559), // Rule ID 11745 //
     /* 1771478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771524 */     // MIs[0] policy
     /* 1771524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771558 */     // GIR_Coverage, 11745,
     /* 1771558 */     GIR_EraseRootFromParent_Done,
     /* 1771559 */   // Label 24083: @1771559
     /* 1771559 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1771645), // Rule ID 11748 //
     /* 1771564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771610 */     // MIs[0] policy
     /* 1771610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771644 */     // GIR_Coverage, 11748,
     /* 1771644 */     GIR_EraseRootFromParent_Done,
     /* 1771645 */   // Label 24084: @1771645
     /* 1771645 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1771731), // Rule ID 11749 //
     /* 1771650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771696 */     // MIs[0] policy
     /* 1771696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771706 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771730 */     // GIR_Coverage, 11749,
     /* 1771730 */     GIR_EraseRootFromParent_Done,
     /* 1771731 */   // Label 24085: @1771731
     /* 1771731 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1771817), // Rule ID 11752 //
     /* 1771736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771782 */     // MIs[0] policy
     /* 1771782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771816 */     // GIR_Coverage, 11752,
     /* 1771816 */     GIR_EraseRootFromParent_Done,
     /* 1771817 */   // Label 24086: @1771817
     /* 1771817 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1771903), // Rule ID 11753 //
     /* 1771822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771868 */     // MIs[0] policy
     /* 1771868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771902 */     // GIR_Coverage, 11753,
     /* 1771902 */     GIR_EraseRootFromParent_Done,
     /* 1771903 */   // Label 24087: @1771903
     /* 1771903 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1771989), // Rule ID 11756 //
     /* 1771908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771954 */     // MIs[0] policy
     /* 1771954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1771967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771988 */     // GIR_Coverage, 11756,
     /* 1771988 */     GIR_EraseRootFromParent_Done,
     /* 1771989 */   // Label 24088: @1771989
     /* 1771989 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1772075), // Rule ID 11757 //
     /* 1771994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1772005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1772008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1772011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1772014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772040 */     // MIs[0] policy
     /* 1772040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1772053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772074 */     // GIR_Coverage, 11757,
     /* 1772074 */     GIR_EraseRootFromParent_Done,
     /* 1772075 */   // Label 24089: @1772075
     /* 1772075 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1772161), // Rule ID 11760 //
     /* 1772080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1772100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772126 */     // MIs[0] policy
     /* 1772126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1772139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772160 */     // GIR_Coverage, 11760,
     /* 1772160 */     GIR_EraseRootFromParent_Done,
     /* 1772161 */   // Label 24090: @1772161
     /* 1772161 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1772247), // Rule ID 11761 //
     /* 1772166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1772186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772212 */     // MIs[0] policy
     /* 1772212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1772225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772246 */     // GIR_Coverage, 11761,
     /* 1772246 */     GIR_EraseRootFromParent_Done,
     /* 1772247 */   // Label 24091: @1772247
     /* 1772247 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1772333), // Rule ID 11764 //
     /* 1772252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1772272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772298 */     // MIs[0] policy
     /* 1772298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1772311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772332 */     // GIR_Coverage, 11764,
     /* 1772332 */     GIR_EraseRootFromParent_Done,
     /* 1772333 */   // Label 24092: @1772333
     /* 1772333 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1772419), // Rule ID 11765 //
     /* 1772338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1772358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772384 */     // MIs[0] policy
     /* 1772384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1772397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772418 */     // GIR_Coverage, 11765,
     /* 1772418 */     GIR_EraseRootFromParent_Done,
     /* 1772419 */   // Label 24093: @1772419
     /* 1772419 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1772505), // Rule ID 11768 //
     /* 1772424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772470 */     // MIs[0] policy
     /* 1772470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772504 */     // GIR_Coverage, 11768,
     /* 1772504 */     GIR_EraseRootFromParent_Done,
     /* 1772505 */   // Label 24094: @1772505
     /* 1772505 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1772591), // Rule ID 11769 //
     /* 1772510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772556 */     // MIs[0] policy
     /* 1772556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772566 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772590 */     // GIR_Coverage, 11769,
     /* 1772590 */     GIR_EraseRootFromParent_Done,
     /* 1772591 */   // Label 24095: @1772591
     /* 1772591 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1772677), // Rule ID 11772 //
     /* 1772596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772642 */     // MIs[0] policy
     /* 1772642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772676 */     // GIR_Coverage, 11772,
     /* 1772676 */     GIR_EraseRootFromParent_Done,
     /* 1772677 */   // Label 24096: @1772677
     /* 1772677 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1772763), // Rule ID 11773 //
     /* 1772682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772728 */     // MIs[0] policy
     /* 1772728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772762 */     // GIR_Coverage, 11773,
     /* 1772762 */     GIR_EraseRootFromParent_Done,
     /* 1772763 */   // Label 24097: @1772763
     /* 1772763 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1772849), // Rule ID 11776 //
     /* 1772768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772814 */     // MIs[0] policy
     /* 1772814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772848 */     // GIR_Coverage, 11776,
     /* 1772848 */     GIR_EraseRootFromParent_Done,
     /* 1772849 */   // Label 24098: @1772849
     /* 1772849 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1772935), // Rule ID 11777 //
     /* 1772854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772900 */     // MIs[0] policy
     /* 1772900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772910 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772934 */     // GIR_Coverage, 11777,
     /* 1772934 */     GIR_EraseRootFromParent_Done,
     /* 1772935 */   // Label 24099: @1772935
     /* 1772935 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1773021), // Rule ID 11780 //
     /* 1772940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772986 */     // MIs[0] policy
     /* 1772986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1772999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773020 */     // GIR_Coverage, 11780,
     /* 1773020 */     GIR_EraseRootFromParent_Done,
     /* 1773021 */   // Label 24100: @1773021
     /* 1773021 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1773107), // Rule ID 11781 //
     /* 1773026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1773037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1773040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1773043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1773046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773072 */     // MIs[0] policy
     /* 1773072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1773085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773106 */     // GIR_Coverage, 11781,
     /* 1773106 */     GIR_EraseRootFromParent_Done,
     /* 1773107 */   // Label 24101: @1773107
     /* 1773107 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1773193), // Rule ID 11784 //
     /* 1773112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1773132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773158 */     // MIs[0] policy
     /* 1773158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1773171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773192 */     // GIR_Coverage, 11784,
     /* 1773192 */     GIR_EraseRootFromParent_Done,
     /* 1773193 */   // Label 24102: @1773193
     /* 1773193 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1773279), // Rule ID 11785 //
     /* 1773198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1773218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773244 */     // MIs[0] policy
     /* 1773244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1773257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773278 */     // GIR_Coverage, 11785,
     /* 1773278 */     GIR_EraseRootFromParent_Done,
     /* 1773279 */   // Label 24103: @1773279
     /* 1773279 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1773365), // Rule ID 11788 //
     /* 1773284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1773304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773330 */     // MIs[0] policy
     /* 1773330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1773343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773364 */     // GIR_Coverage, 11788,
     /* 1773364 */     GIR_EraseRootFromParent_Done,
     /* 1773365 */   // Label 24104: @1773365
     /* 1773365 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1773451), // Rule ID 11789 //
     /* 1773370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1773390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773416 */     // MIs[0] policy
     /* 1773416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1773429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773450 */     // GIR_Coverage, 11789,
     /* 1773450 */     GIR_EraseRootFromParent_Done,
     /* 1773451 */   // Label 24105: @1773451
     /* 1773451 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1773537), // Rule ID 11792 //
     /* 1773456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773502 */     // MIs[0] policy
     /* 1773502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773536 */     // GIR_Coverage, 11792,
     /* 1773536 */     GIR_EraseRootFromParent_Done,
     /* 1773537 */   // Label 24106: @1773537
     /* 1773537 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1773623), // Rule ID 11793 //
     /* 1773542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773588 */     // MIs[0] policy
     /* 1773588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773622 */     // GIR_Coverage, 11793,
     /* 1773622 */     GIR_EraseRootFromParent_Done,
     /* 1773623 */   // Label 24107: @1773623
     /* 1773623 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1773709), // Rule ID 11796 //
     /* 1773628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773674 */     // MIs[0] policy
     /* 1773674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773708 */     // GIR_Coverage, 11796,
     /* 1773708 */     GIR_EraseRootFromParent_Done,
     /* 1773709 */   // Label 24108: @1773709
     /* 1773709 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1773795), // Rule ID 11797 //
     /* 1773714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773760 */     // MIs[0] policy
     /* 1773760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773794 */     // GIR_Coverage, 11797,
     /* 1773794 */     GIR_EraseRootFromParent_Done,
     /* 1773795 */   // Label 24109: @1773795
     /* 1773795 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1773881), // Rule ID 11800 //
     /* 1773800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773846 */     // MIs[0] policy
     /* 1773846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773880 */     // GIR_Coverage, 11800,
     /* 1773880 */     GIR_EraseRootFromParent_Done,
     /* 1773881 */   // Label 24110: @1773881
     /* 1773881 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1773967), // Rule ID 11801 //
     /* 1773886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773932 */     // MIs[0] policy
     /* 1773932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773966 */     // GIR_Coverage, 11801,
     /* 1773966 */     GIR_EraseRootFromParent_Done,
     /* 1773967 */   // Label 24111: @1773967
     /* 1773967 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1774053), // Rule ID 11804 //
     /* 1773972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774018 */     // MIs[0] policy
     /* 1774018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1774031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774052 */     // GIR_Coverage, 11804,
     /* 1774052 */     GIR_EraseRootFromParent_Done,
     /* 1774053 */   // Label 24112: @1774053
     /* 1774053 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1774139), // Rule ID 11805 //
     /* 1774058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1774069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1774072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1774075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1774078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774104 */     // MIs[0] policy
     /* 1774104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1774117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774138 */     // GIR_Coverage, 11805,
     /* 1774138 */     GIR_EraseRootFromParent_Done,
     /* 1774139 */   // Label 24113: @1774139
     /* 1774139 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1774225), // Rule ID 11808 //
     /* 1774144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1774164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774190 */     // MIs[0] policy
     /* 1774190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1774203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774224 */     // GIR_Coverage, 11808,
     /* 1774224 */     GIR_EraseRootFromParent_Done,
     /* 1774225 */   // Label 24114: @1774225
     /* 1774225 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1774311), // Rule ID 11809 //
     /* 1774230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1774250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774276 */     // MIs[0] policy
     /* 1774276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1774289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774310 */     // GIR_Coverage, 11809,
     /* 1774310 */     GIR_EraseRootFromParent_Done,
     /* 1774311 */   // Label 24115: @1774311
     /* 1774311 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1774397), // Rule ID 11812 //
     /* 1774316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774362 */     // MIs[0] policy
     /* 1774362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1774375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774396 */     // GIR_Coverage, 11812,
     /* 1774396 */     GIR_EraseRootFromParent_Done,
     /* 1774397 */   // Label 24116: @1774397
     /* 1774397 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1774483), // Rule ID 11813 //
     /* 1774402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774448 */     // MIs[0] policy
     /* 1774448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774458 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1774461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774482 */     // GIR_Coverage, 11813,
     /* 1774482 */     GIR_EraseRootFromParent_Done,
     /* 1774483 */   // Label 24117: @1774483
     /* 1774483 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1774569), // Rule ID 11816 //
     /* 1774488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774534 */     // MIs[0] policy
     /* 1774534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774568 */     // GIR_Coverage, 11816,
     /* 1774568 */     GIR_EraseRootFromParent_Done,
     /* 1774569 */   // Label 24118: @1774569
     /* 1774569 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1774655), // Rule ID 11817 //
     /* 1774574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774620 */     // MIs[0] policy
     /* 1774620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774630 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774654 */     // GIR_Coverage, 11817,
     /* 1774654 */     GIR_EraseRootFromParent_Done,
     /* 1774655 */   // Label 24119: @1774655
     /* 1774655 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1774741), // Rule ID 11820 //
     /* 1774660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774706 */     // MIs[0] policy
     /* 1774706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774740 */     // GIR_Coverage, 11820,
     /* 1774740 */     GIR_EraseRootFromParent_Done,
     /* 1774741 */   // Label 24120: @1774741
     /* 1774741 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1774827), // Rule ID 11821 //
     /* 1774746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774792 */     // MIs[0] policy
     /* 1774792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774826 */     // GIR_Coverage, 11821,
     /* 1774826 */     GIR_EraseRootFromParent_Done,
     /* 1774827 */   // Label 24121: @1774827
     /* 1774827 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1774913), // Rule ID 11824 //
     /* 1774832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774878 */     // MIs[0] policy
     /* 1774878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774912 */     // GIR_Coverage, 11824,
     /* 1774912 */     GIR_EraseRootFromParent_Done,
     /* 1774913 */   // Label 24122: @1774913
     /* 1774913 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1774999), // Rule ID 11825 //
     /* 1774918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774964 */     // MIs[0] policy
     /* 1774964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774998 */     // GIR_Coverage, 11825,
     /* 1774998 */     GIR_EraseRootFromParent_Done,
     /* 1774999 */   // Label 24123: @1774999
     /* 1774999 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1775085), // Rule ID 11828 //
     /* 1775004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775050 */     // MIs[0] policy
     /* 1775050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1775063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775084 */     // GIR_Coverage, 11828,
     /* 1775084 */     GIR_EraseRootFromParent_Done,
     /* 1775085 */   // Label 24124: @1775085
     /* 1775085 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1775171), // Rule ID 11829 //
     /* 1775090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775136 */     // MIs[0] policy
     /* 1775136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1775149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775170 */     // GIR_Coverage, 11829,
     /* 1775170 */     GIR_EraseRootFromParent_Done,
     /* 1775171 */   // Label 24125: @1775171
     /* 1775171 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1775257), // Rule ID 11832 //
     /* 1775176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775222 */     // MIs[0] policy
     /* 1775222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1775235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775256 */     // GIR_Coverage, 11832,
     /* 1775256 */     GIR_EraseRootFromParent_Done,
     /* 1775257 */   // Label 24126: @1775257
     /* 1775257 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1775343), // Rule ID 11833 //
     /* 1775262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775308 */     // MIs[0] policy
     /* 1775308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1775321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775342 */     // GIR_Coverage, 11833,
     /* 1775342 */     GIR_EraseRootFromParent_Done,
     /* 1775343 */   // Label 24127: @1775343
     /* 1775343 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1775429), // Rule ID 11836 //
     /* 1775348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775394 */     // MIs[0] policy
     /* 1775394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1775407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775428 */     // GIR_Coverage, 11836,
     /* 1775428 */     GIR_EraseRootFromParent_Done,
     /* 1775429 */   // Label 24128: @1775429
     /* 1775429 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1775515), // Rule ID 11837 //
     /* 1775434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775480 */     // MIs[0] policy
     /* 1775480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1775493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775514 */     // GIR_Coverage, 11837,
     /* 1775514 */     GIR_EraseRootFromParent_Done,
     /* 1775515 */   // Label 24129: @1775515
     /* 1775515 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1775601), // Rule ID 11840 //
     /* 1775520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775566 */     // MIs[0] policy
     /* 1775566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775600 */     // GIR_Coverage, 11840,
     /* 1775600 */     GIR_EraseRootFromParent_Done,
     /* 1775601 */   // Label 24130: @1775601
     /* 1775601 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1775687), // Rule ID 11841 //
     /* 1775606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775652 */     // MIs[0] policy
     /* 1775652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775686 */     // GIR_Coverage, 11841,
     /* 1775686 */     GIR_EraseRootFromParent_Done,
     /* 1775687 */   // Label 24131: @1775687
     /* 1775687 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1775773), // Rule ID 11844 //
     /* 1775692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775738 */     // MIs[0] policy
     /* 1775738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775772 */     // GIR_Coverage, 11844,
     /* 1775772 */     GIR_EraseRootFromParent_Done,
     /* 1775773 */   // Label 24132: @1775773
     /* 1775773 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1775859), // Rule ID 11845 //
     /* 1775778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775824 */     // MIs[0] policy
     /* 1775824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775858 */     // GIR_Coverage, 11845,
     /* 1775858 */     GIR_EraseRootFromParent_Done,
     /* 1775859 */   // Label 24133: @1775859
     /* 1775859 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1775945), // Rule ID 11848 //
     /* 1775864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775910 */     // MIs[0] policy
     /* 1775910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1775923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775944 */     // GIR_Coverage, 11848,
     /* 1775944 */     GIR_EraseRootFromParent_Done,
     /* 1775945 */   // Label 24134: @1775945
     /* 1775945 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1776031), // Rule ID 11849 //
     /* 1775950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775996 */     // MIs[0] policy
     /* 1775996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1776009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776030 */     // GIR_Coverage, 11849,
     /* 1776030 */     GIR_EraseRootFromParent_Done,
     /* 1776031 */   // Label 24135: @1776031
     /* 1776031 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1776117), // Rule ID 11852 //
     /* 1776036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776082 */     // MIs[0] policy
     /* 1776082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1776095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776116 */     // GIR_Coverage, 11852,
     /* 1776116 */     GIR_EraseRootFromParent_Done,
     /* 1776117 */   // Label 24136: @1776117
     /* 1776117 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1776203), // Rule ID 11853 //
     /* 1776122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776168 */     // MIs[0] policy
     /* 1776168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1776181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776202 */     // GIR_Coverage, 11853,
     /* 1776202 */     GIR_EraseRootFromParent_Done,
     /* 1776203 */   // Label 24137: @1776203
     /* 1776203 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1776289), // Rule ID 11856 //
     /* 1776208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776254 */     // MIs[0] policy
     /* 1776254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1776267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776288 */     // GIR_Coverage, 11856,
     /* 1776288 */     GIR_EraseRootFromParent_Done,
     /* 1776289 */   // Label 24138: @1776289
     /* 1776289 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1776375), // Rule ID 11857 //
     /* 1776294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776340 */     // MIs[0] policy
     /* 1776340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1776353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776374 */     // GIR_Coverage, 11857,
     /* 1776374 */     GIR_EraseRootFromParent_Done,
     /* 1776375 */   // Label 24139: @1776375
     /* 1776375 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1776461), // Rule ID 11860 //
     /* 1776380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776426 */     // MIs[0] policy
     /* 1776426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776460 */     // GIR_Coverage, 11860,
     /* 1776460 */     GIR_EraseRootFromParent_Done,
     /* 1776461 */   // Label 24140: @1776461
     /* 1776461 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1776547), // Rule ID 11861 //
     /* 1776466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776512 */     // MIs[0] policy
     /* 1776512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776546 */     // GIR_Coverage, 11861,
     /* 1776546 */     GIR_EraseRootFromParent_Done,
     /* 1776547 */   // Label 24141: @1776547
     /* 1776547 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1776633), // Rule ID 11864 //
     /* 1776552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776598 */     // MIs[0] policy
     /* 1776598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776632 */     // GIR_Coverage, 11864,
     /* 1776632 */     GIR_EraseRootFromParent_Done,
     /* 1776633 */   // Label 24142: @1776633
     /* 1776633 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1776719), // Rule ID 11865 //
     /* 1776638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776684 */     // MIs[0] policy
     /* 1776684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776718 */     // GIR_Coverage, 11865,
     /* 1776718 */     GIR_EraseRootFromParent_Done,
     /* 1776719 */   // Label 24143: @1776719
     /* 1776719 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1776805), // Rule ID 11868 //
     /* 1776724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776770 */     // MIs[0] policy
     /* 1776770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776804 */     // GIR_Coverage, 11868,
     /* 1776804 */     GIR_EraseRootFromParent_Done,
     /* 1776805 */   // Label 24144: @1776805
     /* 1776805 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1776891), // Rule ID 11869 //
     /* 1776810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776856 */     // MIs[0] policy
     /* 1776856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776890 */     // GIR_Coverage, 11869,
     /* 1776890 */     GIR_EraseRootFromParent_Done,
     /* 1776891 */   // Label 24145: @1776891
     /* 1776891 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1776977), // Rule ID 11872 //
     /* 1776896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776942 */     // MIs[0] policy
     /* 1776942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1776955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776976 */     // GIR_Coverage, 11872,
     /* 1776976 */     GIR_EraseRootFromParent_Done,
     /* 1776977 */   // Label 24146: @1776977
     /* 1776977 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1777063), // Rule ID 11873 //
     /* 1776982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777028 */     // MIs[0] policy
     /* 1777028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777038 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1777041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777062 */     // GIR_Coverage, 11873,
     /* 1777062 */     GIR_EraseRootFromParent_Done,
     /* 1777063 */   // Label 24147: @1777063
     /* 1777063 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1777149), // Rule ID 11876 //
     /* 1777068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777114 */     // MIs[0] policy
     /* 1777114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1777127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777148 */     // GIR_Coverage, 11876,
     /* 1777148 */     GIR_EraseRootFromParent_Done,
     /* 1777149 */   // Label 24148: @1777149
     /* 1777149 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1777235), // Rule ID 11877 //
     /* 1777154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777200 */     // MIs[0] policy
     /* 1777200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1777213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777234 */     // GIR_Coverage, 11877,
     /* 1777234 */     GIR_EraseRootFromParent_Done,
     /* 1777235 */   // Label 24149: @1777235
     /* 1777235 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1777321), // Rule ID 11880 //
     /* 1777240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777286 */     // MIs[0] policy
     /* 1777286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1777299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777320 */     // GIR_Coverage, 11880,
     /* 1777320 */     GIR_EraseRootFromParent_Done,
     /* 1777321 */   // Label 24150: @1777321
     /* 1777321 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1777407), // Rule ID 11881 //
     /* 1777326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777372 */     // MIs[0] policy
     /* 1777372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1777385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777406 */     // GIR_Coverage, 11881,
     /* 1777406 */     GIR_EraseRootFromParent_Done,
     /* 1777407 */   // Label 24151: @1777407
     /* 1777407 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1777493), // Rule ID 11884 //
     /* 1777412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777458 */     // MIs[0] policy
     /* 1777458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777492 */     // GIR_Coverage, 11884,
     /* 1777492 */     GIR_EraseRootFromParent_Done,
     /* 1777493 */   // Label 24152: @1777493
     /* 1777493 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1777579), // Rule ID 11885 //
     /* 1777498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777544 */     // MIs[0] policy
     /* 1777544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777554 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777578 */     // GIR_Coverage, 11885,
     /* 1777578 */     GIR_EraseRootFromParent_Done,
     /* 1777579 */   // Label 24153: @1777579
     /* 1777579 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1777665), // Rule ID 11888 //
     /* 1777584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777630 */     // MIs[0] policy
     /* 1777630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777664 */     // GIR_Coverage, 11888,
     /* 1777664 */     GIR_EraseRootFromParent_Done,
     /* 1777665 */   // Label 24154: @1777665
     /* 1777665 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1777751), // Rule ID 11889 //
     /* 1777670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777716 */     // MIs[0] policy
     /* 1777716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777750 */     // GIR_Coverage, 11889,
     /* 1777750 */     GIR_EraseRootFromParent_Done,
     /* 1777751 */   // Label 24155: @1777751
     /* 1777751 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1777837), // Rule ID 11892 //
     /* 1777756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777802 */     // MIs[0] policy
     /* 1777802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777836 */     // GIR_Coverage, 11892,
     /* 1777836 */     GIR_EraseRootFromParent_Done,
     /* 1777837 */   // Label 24156: @1777837
     /* 1777837 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1777923), // Rule ID 11893 //
     /* 1777842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777888 */     // MIs[0] policy
     /* 1777888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777922 */     // GIR_Coverage, 11893,
     /* 1777922 */     GIR_EraseRootFromParent_Done,
     /* 1777923 */   // Label 24157: @1777923
     /* 1777923 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1778009), // Rule ID 11896 //
     /* 1777928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777974 */     // MIs[0] policy
     /* 1777974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1777987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778008 */     // GIR_Coverage, 11896,
     /* 1778008 */     GIR_EraseRootFromParent_Done,
     /* 1778009 */   // Label 24158: @1778009
     /* 1778009 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1778095), // Rule ID 11897 //
     /* 1778014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1778025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1778028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1778031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778060 */     // MIs[0] policy
     /* 1778060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1778073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778094 */     // GIR_Coverage, 11897,
     /* 1778094 */     GIR_EraseRootFromParent_Done,
     /* 1778095 */   // Label 24159: @1778095
     /* 1778095 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1778181), // Rule ID 11900 //
     /* 1778100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1778120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778146 */     // MIs[0] policy
     /* 1778146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1778159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778180 */     // GIR_Coverage, 11900,
     /* 1778180 */     GIR_EraseRootFromParent_Done,
     /* 1778181 */   // Label 24160: @1778181
     /* 1778181 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1778267), // Rule ID 11901 //
     /* 1778186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1778206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778232 */     // MIs[0] policy
     /* 1778232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778242 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1778245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778266 */     // GIR_Coverage, 11901,
     /* 1778266 */     GIR_EraseRootFromParent_Done,
     /* 1778267 */   // Label 24161: @1778267
     /* 1778267 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1778353), // Rule ID 11904 //
     /* 1778272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1778292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778318 */     // MIs[0] policy
     /* 1778318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1778331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778352 */     // GIR_Coverage, 11904,
     /* 1778352 */     GIR_EraseRootFromParent_Done,
     /* 1778353 */   // Label 24162: @1778353
     /* 1778353 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1778439), // Rule ID 11905 //
     /* 1778358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1778378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778404 */     // MIs[0] policy
     /* 1778404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778414 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1778417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778438 */     // GIR_Coverage, 11905,
     /* 1778438 */     GIR_EraseRootFromParent_Done,
     /* 1778439 */   // Label 24163: @1778439
     /* 1778439 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1778525), // Rule ID 11908 //
     /* 1778444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778490 */     // MIs[0] policy
     /* 1778490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778524 */     // GIR_Coverage, 11908,
     /* 1778524 */     GIR_EraseRootFromParent_Done,
     /* 1778525 */   // Label 24164: @1778525
     /* 1778525 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1778611), // Rule ID 11909 //
     /* 1778530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778576 */     // MIs[0] policy
     /* 1778576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778610 */     // GIR_Coverage, 11909,
     /* 1778610 */     GIR_EraseRootFromParent_Done,
     /* 1778611 */   // Label 24165: @1778611
     /* 1778611 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1778697), // Rule ID 11912 //
     /* 1778616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778662 */     // MIs[0] policy
     /* 1778662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778696 */     // GIR_Coverage, 11912,
     /* 1778696 */     GIR_EraseRootFromParent_Done,
     /* 1778697 */   // Label 24166: @1778697
     /* 1778697 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1778783), // Rule ID 11913 //
     /* 1778702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778748 */     // MIs[0] policy
     /* 1778748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778782 */     // GIR_Coverage, 11913,
     /* 1778782 */     GIR_EraseRootFromParent_Done,
     /* 1778783 */   // Label 24167: @1778783
     /* 1778783 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1778869), // Rule ID 11916 //
     /* 1778788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778834 */     // MIs[0] policy
     /* 1778834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778868 */     // GIR_Coverage, 11916,
     /* 1778868 */     GIR_EraseRootFromParent_Done,
     /* 1778869 */   // Label 24168: @1778869
     /* 1778869 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1778955), // Rule ID 11917 //
     /* 1778874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778920 */     // MIs[0] policy
     /* 1778920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778954 */     // GIR_Coverage, 11917,
     /* 1778954 */     GIR_EraseRootFromParent_Done,
     /* 1778955 */   // Label 24169: @1778955
     /* 1778955 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1779041), // Rule ID 11920 //
     /* 1778960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779006 */     // MIs[0] policy
     /* 1779006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1779019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779040 */     // GIR_Coverage, 11920,
     /* 1779040 */     GIR_EraseRootFromParent_Done,
     /* 1779041 */   // Label 24170: @1779041
     /* 1779041 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1779127), // Rule ID 11921 //
     /* 1779046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1779057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1779060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1779063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1779066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779092 */     // MIs[0] policy
     /* 1779092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1779105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779126 */     // GIR_Coverage, 11921,
     /* 1779126 */     GIR_EraseRootFromParent_Done,
     /* 1779127 */   // Label 24171: @1779127
     /* 1779127 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1779213), // Rule ID 11924 //
     /* 1779132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1779152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779178 */     // MIs[0] policy
     /* 1779178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1779191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779212 */     // GIR_Coverage, 11924,
     /* 1779212 */     GIR_EraseRootFromParent_Done,
     /* 1779213 */   // Label 24172: @1779213
     /* 1779213 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1779299), // Rule ID 11925 //
     /* 1779218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1779238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779264 */     // MIs[0] policy
     /* 1779264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1779277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779298 */     // GIR_Coverage, 11925,
     /* 1779298 */     GIR_EraseRootFromParent_Done,
     /* 1779299 */   // Label 24173: @1779299
     /* 1779299 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1779385), // Rule ID 11928 //
     /* 1779304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1779324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779350 */     // MIs[0] policy
     /* 1779350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1779363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779384 */     // GIR_Coverage, 11928,
     /* 1779384 */     GIR_EraseRootFromParent_Done,
     /* 1779385 */   // Label 24174: @1779385
     /* 1779385 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1779471), // Rule ID 11929 //
     /* 1779390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1779410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779436 */     // MIs[0] policy
     /* 1779436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1779449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779470 */     // GIR_Coverage, 11929,
     /* 1779470 */     GIR_EraseRootFromParent_Done,
     /* 1779471 */   // Label 24175: @1779471
     /* 1779471 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1779557), // Rule ID 11932 //
     /* 1779476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779522 */     // MIs[0] policy
     /* 1779522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779556 */     // GIR_Coverage, 11932,
     /* 1779556 */     GIR_EraseRootFromParent_Done,
     /* 1779557 */   // Label 24176: @1779557
     /* 1779557 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1779643), // Rule ID 11933 //
     /* 1779562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779608 */     // MIs[0] policy
     /* 1779608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779642 */     // GIR_Coverage, 11933,
     /* 1779642 */     GIR_EraseRootFromParent_Done,
     /* 1779643 */   // Label 24177: @1779643
     /* 1779643 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1779729), // Rule ID 11936 //
     /* 1779648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779694 */     // MIs[0] policy
     /* 1779694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779728 */     // GIR_Coverage, 11936,
     /* 1779728 */     GIR_EraseRootFromParent_Done,
     /* 1779729 */   // Label 24178: @1779729
     /* 1779729 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1779815), // Rule ID 11937 //
     /* 1779734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779780 */     // MIs[0] policy
     /* 1779780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779814 */     // GIR_Coverage, 11937,
     /* 1779814 */     GIR_EraseRootFromParent_Done,
     /* 1779815 */   // Label 24179: @1779815
     /* 1779815 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1779901), // Rule ID 11940 //
     /* 1779820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779866 */     // MIs[0] policy
     /* 1779866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779876 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779900 */     // GIR_Coverage, 11940,
     /* 1779900 */     GIR_EraseRootFromParent_Done,
     /* 1779901 */   // Label 24180: @1779901
     /* 1779901 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1779987), // Rule ID 11941 //
     /* 1779906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779952 */     // MIs[0] policy
     /* 1779952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779962 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779986 */     // GIR_Coverage, 11941,
     /* 1779986 */     GIR_EraseRootFromParent_Done,
     /* 1779987 */   // Label 24181: @1779987
     /* 1779987 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1780073), // Rule ID 11944 //
     /* 1779992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1780003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1780006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1780012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780038 */     // MIs[0] policy
     /* 1780038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780048 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1780051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780072 */     // GIR_Coverage, 11944,
     /* 1780072 */     GIR_EraseRootFromParent_Done,
     /* 1780073 */   // Label 24182: @1780073
     /* 1780073 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1780159), // Rule ID 11945 //
     /* 1780078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1780089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1780092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1780098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780124 */     // MIs[0] policy
     /* 1780124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1780137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780158 */     // GIR_Coverage, 11945,
     /* 1780158 */     GIR_EraseRootFromParent_Done,
     /* 1780159 */   // Label 24183: @1780159
     /* 1780159 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1780245), // Rule ID 11948 //
     /* 1780164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1780184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780210 */     // MIs[0] policy
     /* 1780210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780220 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1780223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780244 */     // GIR_Coverage, 11948,
     /* 1780244 */     GIR_EraseRootFromParent_Done,
     /* 1780245 */   // Label 24184: @1780245
     /* 1780245 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1780331), // Rule ID 11949 //
     /* 1780250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1780270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780296 */     // MIs[0] policy
     /* 1780296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780306 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1780309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780330 */     // GIR_Coverage, 11949,
     /* 1780330 */     GIR_EraseRootFromParent_Done,
     /* 1780331 */   // Label 24185: @1780331
     /* 1780331 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1780417), // Rule ID 11952 //
     /* 1780336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780382 */     // MIs[0] policy
     /* 1780382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1780395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780416 */     // GIR_Coverage, 11952,
     /* 1780416 */     GIR_EraseRootFromParent_Done,
     /* 1780417 */   // Label 24186: @1780417
     /* 1780417 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1780503), // Rule ID 11953 //
     /* 1780422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780468 */     // MIs[0] policy
     /* 1780468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1780481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780502 */     // GIR_Coverage, 11953,
     /* 1780502 */     GIR_EraseRootFromParent_Done,
     /* 1780503 */   // Label 24187: @1780503
     /* 1780503 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1780589), // Rule ID 11956 //
     /* 1780508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780554 */     // MIs[0] policy
     /* 1780554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780588 */     // GIR_Coverage, 11956,
     /* 1780588 */     GIR_EraseRootFromParent_Done,
     /* 1780589 */   // Label 24188: @1780589
     /* 1780589 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1780675), // Rule ID 11957 //
     /* 1780594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780640 */     // MIs[0] policy
     /* 1780640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780674 */     // GIR_Coverage, 11957,
     /* 1780674 */     GIR_EraseRootFromParent_Done,
     /* 1780675 */   // Label 24189: @1780675
     /* 1780675 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1780761), // Rule ID 11960 //
     /* 1780680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780726 */     // MIs[0] policy
     /* 1780726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780760 */     // GIR_Coverage, 11960,
     /* 1780760 */     GIR_EraseRootFromParent_Done,
     /* 1780761 */   // Label 24190: @1780761
     /* 1780761 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1780847), // Rule ID 11961 //
     /* 1780766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780812 */     // MIs[0] policy
     /* 1780812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780846 */     // GIR_Coverage, 11961,
     /* 1780846 */     GIR_EraseRootFromParent_Done,
     /* 1780847 */   // Label 24191: @1780847
     /* 1780847 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1780933), // Rule ID 11964 //
     /* 1780852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780898 */     // MIs[0] policy
     /* 1780898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780932 */     // GIR_Coverage, 11964,
     /* 1780932 */     GIR_EraseRootFromParent_Done,
     /* 1780933 */   // Label 24192: @1780933
     /* 1780933 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1781019), // Rule ID 11965 //
     /* 1780938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780984 */     // MIs[0] policy
     /* 1780984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781018 */     // GIR_Coverage, 11965,
     /* 1781018 */     GIR_EraseRootFromParent_Done,
     /* 1781019 */   // Label 24193: @1781019
     /* 1781019 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1781105), // Rule ID 11968 //
     /* 1781024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1781044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781070 */     // MIs[0] policy
     /* 1781070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1781083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781104 */     // GIR_Coverage, 11968,
     /* 1781104 */     GIR_EraseRootFromParent_Done,
     /* 1781105 */   // Label 24194: @1781105
     /* 1781105 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1781191), // Rule ID 11969 //
     /* 1781110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1781130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781156 */     // MIs[0] policy
     /* 1781156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1781169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781190 */     // GIR_Coverage, 11969,
     /* 1781190 */     GIR_EraseRootFromParent_Done,
     /* 1781191 */   // Label 24195: @1781191
     /* 1781191 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1781277), // Rule ID 11972 //
     /* 1781196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1781216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781242 */     // MIs[0] policy
     /* 1781242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1781255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781276 */     // GIR_Coverage, 11972,
     /* 1781276 */     GIR_EraseRootFromParent_Done,
     /* 1781277 */   // Label 24196: @1781277
     /* 1781277 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1781363), // Rule ID 11973 //
     /* 1781282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1781302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781328 */     // MIs[0] policy
     /* 1781328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1781341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781362 */     // GIR_Coverage, 11973,
     /* 1781362 */     GIR_EraseRootFromParent_Done,
     /* 1781363 */   // Label 24197: @1781363
     /* 1781363 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1781449), // Rule ID 11976 //
     /* 1781368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1781388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781414 */     // MIs[0] policy
     /* 1781414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1781427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781448 */     // GIR_Coverage, 11976,
     /* 1781448 */     GIR_EraseRootFromParent_Done,
     /* 1781449 */   // Label 24198: @1781449
     /* 1781449 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1781535), // Rule ID 11977 //
     /* 1781454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1781474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781500 */     // MIs[0] policy
     /* 1781500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781510 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1781513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781534 */     // GIR_Coverage, 11977,
     /* 1781534 */     GIR_EraseRootFromParent_Done,
     /* 1781535 */   // Label 24199: @1781535
     /* 1781535 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1781621), // Rule ID 11980 //
     /* 1781540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781586 */     // MIs[0] policy
     /* 1781586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781620 */     // GIR_Coverage, 11980,
     /* 1781620 */     GIR_EraseRootFromParent_Done,
     /* 1781621 */   // Label 24200: @1781621
     /* 1781621 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1781707), // Rule ID 11981 //
     /* 1781626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781672 */     // MIs[0] policy
     /* 1781672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781706 */     // GIR_Coverage, 11981,
     /* 1781706 */     GIR_EraseRootFromParent_Done,
     /* 1781707 */   // Label 24201: @1781707
     /* 1781707 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1781793), // Rule ID 11984 //
     /* 1781712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781758 */     // MIs[0] policy
     /* 1781758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781792 */     // GIR_Coverage, 11984,
     /* 1781792 */     GIR_EraseRootFromParent_Done,
     /* 1781793 */   // Label 24202: @1781793
     /* 1781793 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1781879), // Rule ID 11985 //
     /* 1781798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781844 */     // MIs[0] policy
     /* 1781844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781878 */     // GIR_Coverage, 11985,
     /* 1781878 */     GIR_EraseRootFromParent_Done,
     /* 1781879 */   // Label 24203: @1781879
     /* 1781879 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1781965), // Rule ID 11988 //
     /* 1781884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781930 */     // MIs[0] policy
     /* 1781930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781940 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1781943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781964 */     // GIR_Coverage, 11988,
     /* 1781964 */     GIR_EraseRootFromParent_Done,
     /* 1781965 */   // Label 24204: @1781965
     /* 1781965 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1782051), // Rule ID 11989 //
     /* 1781970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782016 */     // MIs[0] policy
     /* 1782016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1782029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782050 */     // GIR_Coverage, 11989,
     /* 1782050 */     GIR_EraseRootFromParent_Done,
     /* 1782051 */   // Label 24205: @1782051
     /* 1782051 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1782137), // Rule ID 11992 //
     /* 1782056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782102 */     // MIs[0] policy
     /* 1782102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1782115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782136 */     // GIR_Coverage, 11992,
     /* 1782136 */     GIR_EraseRootFromParent_Done,
     /* 1782137 */   // Label 24206: @1782137
     /* 1782137 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1782223), // Rule ID 11993 //
     /* 1782142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782188 */     // MIs[0] policy
     /* 1782188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782198 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1782201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782222 */     // GIR_Coverage, 11993,
     /* 1782222 */     GIR_EraseRootFromParent_Done,
     /* 1782223 */   // Label 24207: @1782223
     /* 1782223 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1782309), // Rule ID 11996 //
     /* 1782228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782274 */     // MIs[0] policy
     /* 1782274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782284 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1782287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782308 */     // GIR_Coverage, 11996,
     /* 1782308 */     GIR_EraseRootFromParent_Done,
     /* 1782309 */   // Label 24208: @1782309
     /* 1782309 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1782395), // Rule ID 11997 //
     /* 1782314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782360 */     // MIs[0] policy
     /* 1782360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782370 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1782373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782394 */     // GIR_Coverage, 11997,
     /* 1782394 */     GIR_EraseRootFromParent_Done,
     /* 1782395 */   // Label 24209: @1782395
     /* 1782395 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1782481), // Rule ID 12000 //
     /* 1782400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782446 */     // MIs[0] policy
     /* 1782446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782480 */     // GIR_Coverage, 12000,
     /* 1782480 */     GIR_EraseRootFromParent_Done,
     /* 1782481 */   // Label 24210: @1782481
     /* 1782481 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1782567), // Rule ID 12001 //
     /* 1782486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782532 */     // MIs[0] policy
     /* 1782532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782566 */     // GIR_Coverage, 12001,
     /* 1782566 */     GIR_EraseRootFromParent_Done,
     /* 1782567 */   // Label 24211: @1782567
     /* 1782567 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1782653), // Rule ID 12004 //
     /* 1782572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782618 */     // MIs[0] policy
     /* 1782618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782652 */     // GIR_Coverage, 12004,
     /* 1782652 */     GIR_EraseRootFromParent_Done,
     /* 1782653 */   // Label 24212: @1782653
     /* 1782653 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1782739), // Rule ID 12005 //
     /* 1782658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782704 */     // MIs[0] policy
     /* 1782704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782738 */     // GIR_Coverage, 12005,
     /* 1782738 */     GIR_EraseRootFromParent_Done,
     /* 1782739 */   // Label 24213: @1782739
     /* 1782739 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1782825), // Rule ID 12008 //
     /* 1782744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782790 */     // MIs[0] policy
     /* 1782790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782824 */     // GIR_Coverage, 12008,
     /* 1782824 */     GIR_EraseRootFromParent_Done,
     /* 1782825 */   // Label 24214: @1782825
     /* 1782825 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1782911), // Rule ID 12009 //
     /* 1782830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782876 */     // MIs[0] policy
     /* 1782876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782910 */     // GIR_Coverage, 12009,
     /* 1782910 */     GIR_EraseRootFromParent_Done,
     /* 1782911 */   // Label 24215: @1782911
     /* 1782911 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1782997), // Rule ID 12012 //
     /* 1782916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782962 */     // MIs[0] policy
     /* 1782962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1782975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782996 */     // GIR_Coverage, 12012,
     /* 1782996 */     GIR_EraseRootFromParent_Done,
     /* 1782997 */   // Label 24216: @1782997
     /* 1782997 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1783083), // Rule ID 12013 //
     /* 1783002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1783013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1783016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1783019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783048 */     // MIs[0] policy
     /* 1783048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1783061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783082 */     // GIR_Coverage, 12013,
     /* 1783082 */     GIR_EraseRootFromParent_Done,
     /* 1783083 */   // Label 24217: @1783083
     /* 1783083 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1783169), // Rule ID 12016 //
     /* 1783088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783134 */     // MIs[0] policy
     /* 1783134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1783147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783168 */     // GIR_Coverage, 12016,
     /* 1783168 */     GIR_EraseRootFromParent_Done,
     /* 1783169 */   // Label 24218: @1783169
     /* 1783169 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1783255), // Rule ID 12017 //
     /* 1783174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783220 */     // MIs[0] policy
     /* 1783220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1783233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783254 */     // GIR_Coverage, 12017,
     /* 1783254 */     GIR_EraseRootFromParent_Done,
     /* 1783255 */   // Label 24219: @1783255
     /* 1783255 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1783341), // Rule ID 12020 //
     /* 1783260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783306 */     // MIs[0] policy
     /* 1783306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1783319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783340 */     // GIR_Coverage, 12020,
     /* 1783340 */     GIR_EraseRootFromParent_Done,
     /* 1783341 */   // Label 24220: @1783341
     /* 1783341 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1783427), // Rule ID 12021 //
     /* 1783346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783392 */     // MIs[0] policy
     /* 1783392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1783405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783426 */     // GIR_Coverage, 12021,
     /* 1783426 */     GIR_EraseRootFromParent_Done,
     /* 1783427 */   // Label 24221: @1783427
     /* 1783427 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1783513), // Rule ID 12024 //
     /* 1783432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783478 */     // MIs[0] policy
     /* 1783478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783512 */     // GIR_Coverage, 12024,
     /* 1783512 */     GIR_EraseRootFromParent_Done,
     /* 1783513 */   // Label 24222: @1783513
     /* 1783513 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1783599), // Rule ID 12025 //
     /* 1783518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783564 */     // MIs[0] policy
     /* 1783564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783598 */     // GIR_Coverage, 12025,
     /* 1783598 */     GIR_EraseRootFromParent_Done,
     /* 1783599 */   // Label 24223: @1783599
     /* 1783599 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1783685), // Rule ID 12028 //
     /* 1783604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783650 */     // MIs[0] policy
     /* 1783650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783660 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783684 */     // GIR_Coverage, 12028,
     /* 1783684 */     GIR_EraseRootFromParent_Done,
     /* 1783685 */   // Label 24224: @1783685
     /* 1783685 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1783771), // Rule ID 12029 //
     /* 1783690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783736 */     // MIs[0] policy
     /* 1783736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783746 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783770 */     // GIR_Coverage, 12029,
     /* 1783770 */     GIR_EraseRootFromParent_Done,
     /* 1783771 */   // Label 24225: @1783771
     /* 1783771 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1783857), // Rule ID 12032 //
     /* 1783776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783822 */     // MIs[0] policy
     /* 1783822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783856 */     // GIR_Coverage, 12032,
     /* 1783856 */     GIR_EraseRootFromParent_Done,
     /* 1783857 */   // Label 24226: @1783857
     /* 1783857 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1783943), // Rule ID 12033 //
     /* 1783862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783908 */     // MIs[0] policy
     /* 1783908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783918 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783942 */     // GIR_Coverage, 12033,
     /* 1783942 */     GIR_EraseRootFromParent_Done,
     /* 1783943 */   // Label 24227: @1783943
     /* 1783943 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1784029), // Rule ID 12036 //
     /* 1783948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783994 */     // MIs[0] policy
     /* 1783994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1784007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784028 */     // GIR_Coverage, 12036,
     /* 1784028 */     GIR_EraseRootFromParent_Done,
     /* 1784029 */   // Label 24228: @1784029
     /* 1784029 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1784115), // Rule ID 12037 //
     /* 1784034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1784045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1784048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1784051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1784057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784080 */     // MIs[0] policy
     /* 1784080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784090 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1784093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784114 */     // GIR_Coverage, 12037,
     /* 1784114 */     GIR_EraseRootFromParent_Done,
     /* 1784115 */   // Label 24229: @1784115
     /* 1784115 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1784201), // Rule ID 12040 //
     /* 1784120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784166 */     // MIs[0] policy
     /* 1784166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1784179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784200 */     // GIR_Coverage, 12040,
     /* 1784200 */     GIR_EraseRootFromParent_Done,
     /* 1784201 */   // Label 24230: @1784201
     /* 1784201 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1784287), // Rule ID 12041 //
     /* 1784206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784252 */     // MIs[0] policy
     /* 1784252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784262 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1784265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784286 */     // GIR_Coverage, 12041,
     /* 1784286 */     GIR_EraseRootFromParent_Done,
     /* 1784287 */   // Label 24231: @1784287
     /* 1784287 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1784373), // Rule ID 12044 //
     /* 1784292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784338 */     // MIs[0] policy
     /* 1784338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784348 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1784351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784372 */     // GIR_Coverage, 12044,
     /* 1784372 */     GIR_EraseRootFromParent_Done,
     /* 1784373 */   // Label 24232: @1784373
     /* 1784373 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1784459), // Rule ID 12045 //
     /* 1784378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784424 */     // MIs[0] policy
     /* 1784424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1784437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784458 */     // GIR_Coverage, 12045,
     /* 1784458 */     GIR_EraseRootFromParent_Done,
     /* 1784459 */   // Label 24233: @1784459
     /* 1784459 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1784545), // Rule ID 12048 //
     /* 1784464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784510 */     // MIs[0] policy
     /* 1784510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784520 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784544 */     // GIR_Coverage, 12048,
     /* 1784544 */     GIR_EraseRootFromParent_Done,
     /* 1784545 */   // Label 24234: @1784545
     /* 1784545 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1784631), // Rule ID 12049 //
     /* 1784550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784596 */     // MIs[0] policy
     /* 1784596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784606 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784630 */     // GIR_Coverage, 12049,
     /* 1784630 */     GIR_EraseRootFromParent_Done,
     /* 1784631 */   // Label 24235: @1784631
     /* 1784631 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1784717), // Rule ID 12052 //
     /* 1784636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784682 */     // MIs[0] policy
     /* 1784682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784716 */     // GIR_Coverage, 12052,
     /* 1784716 */     GIR_EraseRootFromParent_Done,
     /* 1784717 */   // Label 24236: @1784717
     /* 1784717 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1784803), // Rule ID 12053 //
     /* 1784722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784768 */     // MIs[0] policy
     /* 1784768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784802 */     // GIR_Coverage, 12053,
     /* 1784802 */     GIR_EraseRootFromParent_Done,
     /* 1784803 */   // Label 24237: @1784803
     /* 1784803 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1784889), // Rule ID 12056 //
     /* 1784808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784854 */     // MIs[0] policy
     /* 1784854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784888 */     // GIR_Coverage, 12056,
     /* 1784888 */     GIR_EraseRootFromParent_Done,
     /* 1784889 */   // Label 24238: @1784889
     /* 1784889 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1784975), // Rule ID 12057 //
     /* 1784894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784940 */     // MIs[0] policy
     /* 1784940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784974 */     // GIR_Coverage, 12057,
     /* 1784974 */     GIR_EraseRootFromParent_Done,
     /* 1784975 */   // Label 24239: @1784975
     /* 1784975 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1785061), // Rule ID 12060 //
     /* 1784980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785026 */     // MIs[0] policy
     /* 1785026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1785039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785060 */     // GIR_Coverage, 12060,
     /* 1785060 */     GIR_EraseRootFromParent_Done,
     /* 1785061 */   // Label 24240: @1785061
     /* 1785061 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1785147), // Rule ID 12061 //
     /* 1785066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785112 */     // MIs[0] policy
     /* 1785112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1785125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785146 */     // GIR_Coverage, 12061,
     /* 1785146 */     GIR_EraseRootFromParent_Done,
     /* 1785147 */   // Label 24241: @1785147
     /* 1785147 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1785233), // Rule ID 12064 //
     /* 1785152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785198 */     // MIs[0] policy
     /* 1785198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1785211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785232 */     // GIR_Coverage, 12064,
     /* 1785232 */     GIR_EraseRootFromParent_Done,
     /* 1785233 */   // Label 24242: @1785233
     /* 1785233 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1785319), // Rule ID 12065 //
     /* 1785238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785284 */     // MIs[0] policy
     /* 1785284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1785297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785318 */     // GIR_Coverage, 12065,
     /* 1785318 */     GIR_EraseRootFromParent_Done,
     /* 1785319 */   // Label 24243: @1785319
     /* 1785319 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1785405), // Rule ID 12068 //
     /* 1785324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785370 */     // MIs[0] policy
     /* 1785370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785380 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1785383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785404 */     // GIR_Coverage, 12068,
     /* 1785404 */     GIR_EraseRootFromParent_Done,
     /* 1785405 */   // Label 24244: @1785405
     /* 1785405 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1785491), // Rule ID 12069 //
     /* 1785410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785456 */     // MIs[0] policy
     /* 1785456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1785469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785490 */     // GIR_Coverage, 12069,
     /* 1785490 */     GIR_EraseRootFromParent_Done,
     /* 1785491 */   // Label 24245: @1785491
     /* 1785491 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1785577), // Rule ID 12072 //
     /* 1785496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785542 */     // MIs[0] policy
     /* 1785542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785576 */     // GIR_Coverage, 12072,
     /* 1785576 */     GIR_EraseRootFromParent_Done,
     /* 1785577 */   // Label 24246: @1785577
     /* 1785577 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1785663), // Rule ID 12073 //
     /* 1785582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785628 */     // MIs[0] policy
     /* 1785628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785638 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785662 */     // GIR_Coverage, 12073,
     /* 1785662 */     GIR_EraseRootFromParent_Done,
     /* 1785663 */   // Label 24247: @1785663
     /* 1785663 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1785749), // Rule ID 12076 //
     /* 1785668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785714 */     // MIs[0] policy
     /* 1785714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785748 */     // GIR_Coverage, 12076,
     /* 1785748 */     GIR_EraseRootFromParent_Done,
     /* 1785749 */   // Label 24248: @1785749
     /* 1785749 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1785835), // Rule ID 12077 //
     /* 1785754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785800 */     // MIs[0] policy
     /* 1785800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785810 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785834 */     // GIR_Coverage, 12077,
     /* 1785834 */     GIR_EraseRootFromParent_Done,
     /* 1785835 */   // Label 24249: @1785835
     /* 1785835 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1785921), // Rule ID 12080 //
     /* 1785840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785886 */     // MIs[0] policy
     /* 1785886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785896 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785920 */     // GIR_Coverage, 12080,
     /* 1785920 */     GIR_EraseRootFromParent_Done,
     /* 1785921 */   // Label 24250: @1785921
     /* 1785921 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1786007), // Rule ID 12081 //
     /* 1785926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785972 */     // MIs[0] policy
     /* 1785972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786006 */     // GIR_Coverage, 12081,
     /* 1786006 */     GIR_EraseRootFromParent_Done,
     /* 1786007 */   // Label 24251: @1786007
     /* 1786007 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1786093), // Rule ID 12084 //
     /* 1786012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1786032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786058 */     // MIs[0] policy
     /* 1786058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1786071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786092 */     // GIR_Coverage, 12084,
     /* 1786092 */     GIR_EraseRootFromParent_Done,
     /* 1786093 */   // Label 24252: @1786093
     /* 1786093 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1786179), // Rule ID 12085 //
     /* 1786098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1786118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786144 */     // MIs[0] policy
     /* 1786144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786154 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1786157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786178 */     // GIR_Coverage, 12085,
     /* 1786178 */     GIR_EraseRootFromParent_Done,
     /* 1786179 */   // Label 24253: @1786179
     /* 1786179 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1786265), // Rule ID 12088 //
     /* 1786184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1786204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786230 */     // MIs[0] policy
     /* 1786230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1786243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786264 */     // GIR_Coverage, 12088,
     /* 1786264 */     GIR_EraseRootFromParent_Done,
     /* 1786265 */   // Label 24254: @1786265
     /* 1786265 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1786351), // Rule ID 12089 //
     /* 1786270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1786290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786316 */     // MIs[0] policy
     /* 1786316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1786329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786350 */     // GIR_Coverage, 12089,
     /* 1786350 */     GIR_EraseRootFromParent_Done,
     /* 1786351 */   // Label 24255: @1786351
     /* 1786351 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1786437), // Rule ID 12092 //
     /* 1786356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1786376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786402 */     // MIs[0] policy
     /* 1786402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1786415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786436 */     // GIR_Coverage, 12092,
     /* 1786436 */     GIR_EraseRootFromParent_Done,
     /* 1786437 */   // Label 24256: @1786437
     /* 1786437 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1786523), // Rule ID 12093 //
     /* 1786442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1786462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786488 */     // MIs[0] policy
     /* 1786488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786498 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1786501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786522 */     // GIR_Coverage, 12093,
     /* 1786522 */     GIR_EraseRootFromParent_Done,
     /* 1786523 */   // Label 24257: @1786523
     /* 1786523 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1786609), // Rule ID 12096 //
     /* 1786528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786574 */     // MIs[0] policy
     /* 1786574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786608 */     // GIR_Coverage, 12096,
     /* 1786608 */     GIR_EraseRootFromParent_Done,
     /* 1786609 */   // Label 24258: @1786609
     /* 1786609 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1786695), // Rule ID 12097 //
     /* 1786614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786660 */     // MIs[0] policy
     /* 1786660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786670 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786694 */     // GIR_Coverage, 12097,
     /* 1786694 */     GIR_EraseRootFromParent_Done,
     /* 1786695 */   // Label 24259: @1786695
     /* 1786695 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1786781), // Rule ID 12100 //
     /* 1786700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786746 */     // MIs[0] policy
     /* 1786746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786780 */     // GIR_Coverage, 12100,
     /* 1786780 */     GIR_EraseRootFromParent_Done,
     /* 1786781 */   // Label 24260: @1786781
     /* 1786781 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1786867), // Rule ID 12101 //
     /* 1786786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786832 */     // MIs[0] policy
     /* 1786832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786866 */     // GIR_Coverage, 12101,
     /* 1786866 */     GIR_EraseRootFromParent_Done,
     /* 1786867 */   // Label 24261: @1786867
     /* 1786867 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1786953), // Rule ID 12104 //
     /* 1786872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786918 */     // MIs[0] policy
     /* 1786918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1786931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786952 */     // GIR_Coverage, 12104,
     /* 1786952 */     GIR_EraseRootFromParent_Done,
     /* 1786953 */   // Label 24262: @1786953
     /* 1786953 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1787039), // Rule ID 12105 //
     /* 1786958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787004 */     // MIs[0] policy
     /* 1787004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1787017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787038 */     // GIR_Coverage, 12105,
     /* 1787038 */     GIR_EraseRootFromParent_Done,
     /* 1787039 */   // Label 24263: @1787039
     /* 1787039 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1787125), // Rule ID 12108 //
     /* 1787044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1787064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787090 */     // MIs[0] policy
     /* 1787090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1787103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787124 */     // GIR_Coverage, 12108,
     /* 1787124 */     GIR_EraseRootFromParent_Done,
     /* 1787125 */   // Label 24264: @1787125
     /* 1787125 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1787211), // Rule ID 12109 //
     /* 1787130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1787150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787176 */     // MIs[0] policy
     /* 1787176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1787189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787210 */     // GIR_Coverage, 12109,
     /* 1787210 */     GIR_EraseRootFromParent_Done,
     /* 1787211 */   // Label 24265: @1787211
     /* 1787211 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1787297), // Rule ID 12112 //
     /* 1787216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1787236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787262 */     // MIs[0] policy
     /* 1787262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1787275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787296 */     // GIR_Coverage, 12112,
     /* 1787296 */     GIR_EraseRootFromParent_Done,
     /* 1787297 */   // Label 24266: @1787297
     /* 1787297 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1787383), // Rule ID 12113 //
     /* 1787302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1787322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787348 */     // MIs[0] policy
     /* 1787348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1787361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787382 */     // GIR_Coverage, 12113,
     /* 1787382 */     GIR_EraseRootFromParent_Done,
     /* 1787383 */   // Label 24267: @1787383
     /* 1787383 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1787469), // Rule ID 12116 //
     /* 1787388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787434 */     // MIs[0] policy
     /* 1787434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787444 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787468 */     // GIR_Coverage, 12116,
     /* 1787468 */     GIR_EraseRootFromParent_Done,
     /* 1787469 */   // Label 24268: @1787469
     /* 1787469 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1787555), // Rule ID 12117 //
     /* 1787474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787520 */     // MIs[0] policy
     /* 1787520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787554 */     // GIR_Coverage, 12117,
     /* 1787554 */     GIR_EraseRootFromParent_Done,
     /* 1787555 */   // Label 24269: @1787555
     /* 1787555 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1787641), // Rule ID 12120 //
     /* 1787560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787606 */     // MIs[0] policy
     /* 1787606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787616 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787640 */     // GIR_Coverage, 12120,
     /* 1787640 */     GIR_EraseRootFromParent_Done,
     /* 1787641 */   // Label 24270: @1787641
     /* 1787641 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1787727), // Rule ID 12121 //
     /* 1787646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787692 */     // MIs[0] policy
     /* 1787692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787702 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787726 */     // GIR_Coverage, 12121,
     /* 1787726 */     GIR_EraseRootFromParent_Done,
     /* 1787727 */   // Label 24271: @1787727
     /* 1787727 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1787813), // Rule ID 12124 //
     /* 1787732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787778 */     // MIs[0] policy
     /* 1787778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787812 */     // GIR_Coverage, 12124,
     /* 1787812 */     GIR_EraseRootFromParent_Done,
     /* 1787813 */   // Label 24272: @1787813
     /* 1787813 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1787899), // Rule ID 12125 //
     /* 1787818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787864 */     // MIs[0] policy
     /* 1787864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787874 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787898 */     // GIR_Coverage, 12125,
     /* 1787898 */     GIR_EraseRootFromParent_Done,
     /* 1787899 */   // Label 24273: @1787899
     /* 1787899 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1787985), // Rule ID 12128 //
     /* 1787904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787950 */     // MIs[0] policy
     /* 1787950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1787963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787984 */     // GIR_Coverage, 12128,
     /* 1787984 */     GIR_EraseRootFromParent_Done,
     /* 1787985 */   // Label 24274: @1787985
     /* 1787985 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1788071), // Rule ID 12129 //
     /* 1787990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1788001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1788004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1788007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1788010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788036 */     // MIs[0] policy
     /* 1788036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1788049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788070 */     // GIR_Coverage, 12129,
     /* 1788070 */     GIR_EraseRootFromParent_Done,
     /* 1788071 */   // Label 24275: @1788071
     /* 1788071 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1788157), // Rule ID 12132 //
     /* 1788076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1788096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788122 */     // MIs[0] policy
     /* 1788122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1788135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788156 */     // GIR_Coverage, 12132,
     /* 1788156 */     GIR_EraseRootFromParent_Done,
     /* 1788157 */   // Label 24276: @1788157
     /* 1788157 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1788243), // Rule ID 12133 //
     /* 1788162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1788182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788208 */     // MIs[0] policy
     /* 1788208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1788221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788242 */     // GIR_Coverage, 12133,
     /* 1788242 */     GIR_EraseRootFromParent_Done,
     /* 1788243 */   // Label 24277: @1788243
     /* 1788243 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1788329), // Rule ID 12136 //
     /* 1788248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1788268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788294 */     // MIs[0] policy
     /* 1788294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1788307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788328 */     // GIR_Coverage, 12136,
     /* 1788328 */     GIR_EraseRootFromParent_Done,
     /* 1788329 */   // Label 24278: @1788329
     /* 1788329 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1788415), // Rule ID 12137 //
     /* 1788334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1788354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788380 */     // MIs[0] policy
     /* 1788380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1788393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788414 */     // GIR_Coverage, 12137,
     /* 1788414 */     GIR_EraseRootFromParent_Done,
     /* 1788415 */   // Label 24279: @1788415
     /* 1788415 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1788501), // Rule ID 12140 //
     /* 1788420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788466 */     // MIs[0] policy
     /* 1788466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788500 */     // GIR_Coverage, 12140,
     /* 1788500 */     GIR_EraseRootFromParent_Done,
     /* 1788501 */   // Label 24280: @1788501
     /* 1788501 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1788587), // Rule ID 12141 //
     /* 1788506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788552 */     // MIs[0] policy
     /* 1788552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788586 */     // GIR_Coverage, 12141,
     /* 1788586 */     GIR_EraseRootFromParent_Done,
     /* 1788587 */   // Label 24281: @1788587
     /* 1788587 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1788673), // Rule ID 12144 //
     /* 1788592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788638 */     // MIs[0] policy
     /* 1788638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788672 */     // GIR_Coverage, 12144,
     /* 1788672 */     GIR_EraseRootFromParent_Done,
     /* 1788673 */   // Label 24282: @1788673
     /* 1788673 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1788759), // Rule ID 12145 //
     /* 1788678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788724 */     // MIs[0] policy
     /* 1788724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788758 */     // GIR_Coverage, 12145,
     /* 1788758 */     GIR_EraseRootFromParent_Done,
     /* 1788759 */   // Label 24283: @1788759
     /* 1788759 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1788845), // Rule ID 12148 //
     /* 1788764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788810 */     // MIs[0] policy
     /* 1788810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788844 */     // GIR_Coverage, 12148,
     /* 1788844 */     GIR_EraseRootFromParent_Done,
     /* 1788845 */   // Label 24284: @1788845
     /* 1788845 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1788931), // Rule ID 12149 //
     /* 1788850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788896 */     // MIs[0] policy
     /* 1788896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788930 */     // GIR_Coverage, 12149,
     /* 1788930 */     GIR_EraseRootFromParent_Done,
     /* 1788931 */   // Label 24285: @1788931
     /* 1788931 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1789017), // Rule ID 12152 //
     /* 1788936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788982 */     // MIs[0] policy
     /* 1788982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1788995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789016 */     // GIR_Coverage, 12152,
     /* 1789016 */     GIR_EraseRootFromParent_Done,
     /* 1789017 */   // Label 24286: @1789017
     /* 1789017 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1789103), // Rule ID 12153 //
     /* 1789022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1789042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789068 */     // MIs[0] policy
     /* 1789068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1789081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789102 */     // GIR_Coverage, 12153,
     /* 1789102 */     GIR_EraseRootFromParent_Done,
     /* 1789103 */   // Label 24287: @1789103
     /* 1789103 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1789189), // Rule ID 12156 //
     /* 1789108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1789128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789154 */     // MIs[0] policy
     /* 1789154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1789167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789188 */     // GIR_Coverage, 12156,
     /* 1789188 */     GIR_EraseRootFromParent_Done,
     /* 1789189 */   // Label 24288: @1789189
     /* 1789189 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1789275), // Rule ID 12157 //
     /* 1789194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1789214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789240 */     // MIs[0] policy
     /* 1789240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1789253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789274 */     // GIR_Coverage, 12157,
     /* 1789274 */     GIR_EraseRootFromParent_Done,
     /* 1789275 */   // Label 24289: @1789275
     /* 1789275 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1789361), // Rule ID 12160 //
     /* 1789280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1789300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789326 */     // MIs[0] policy
     /* 1789326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1789339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789360 */     // GIR_Coverage, 12160,
     /* 1789360 */     GIR_EraseRootFromParent_Done,
     /* 1789361 */   // Label 24290: @1789361
     /* 1789361 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1789447), // Rule ID 12161 //
     /* 1789366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1789386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789412 */     // MIs[0] policy
     /* 1789412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1789425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789446 */     // GIR_Coverage, 12161,
     /* 1789446 */     GIR_EraseRootFromParent_Done,
     /* 1789447 */   // Label 24291: @1789447
     /* 1789447 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1789533), // Rule ID 12164 //
     /* 1789452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789498 */     // MIs[0] policy
     /* 1789498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789532 */     // GIR_Coverage, 12164,
     /* 1789532 */     GIR_EraseRootFromParent_Done,
     /* 1789533 */   // Label 24292: @1789533
     /* 1789533 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1789619), // Rule ID 12165 //
     /* 1789538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789584 */     // MIs[0] policy
     /* 1789584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789618 */     // GIR_Coverage, 12165,
     /* 1789618 */     GIR_EraseRootFromParent_Done,
     /* 1789619 */   // Label 24293: @1789619
     /* 1789619 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1789705), // Rule ID 12168 //
     /* 1789624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789670 */     // MIs[0] policy
     /* 1789670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789704 */     // GIR_Coverage, 12168,
     /* 1789704 */     GIR_EraseRootFromParent_Done,
     /* 1789705 */   // Label 24294: @1789705
     /* 1789705 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1789791), // Rule ID 12169 //
     /* 1789710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789756 */     // MIs[0] policy
     /* 1789756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789790 */     // GIR_Coverage, 12169,
     /* 1789790 */     GIR_EraseRootFromParent_Done,
     /* 1789791 */   // Label 24295: @1789791
     /* 1789791 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1789877), // Rule ID 12172 //
     /* 1789796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789842 */     // MIs[0] policy
     /* 1789842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789876 */     // GIR_Coverage, 12172,
     /* 1789876 */     GIR_EraseRootFromParent_Done,
     /* 1789877 */   // Label 24296: @1789877
     /* 1789877 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1789963), // Rule ID 12173 //
     /* 1789882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789928 */     // MIs[0] policy
     /* 1789928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789938 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789962 */     // GIR_Coverage, 12173,
     /* 1789962 */     GIR_EraseRootFromParent_Done,
     /* 1789963 */   // Label 24297: @1789963
     /* 1789963 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1790049), // Rule ID 12176 //
     /* 1789968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790014 */     // MIs[0] policy
     /* 1790014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1790027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790048 */     // GIR_Coverage, 12176,
     /* 1790048 */     GIR_EraseRootFromParent_Done,
     /* 1790049 */   // Label 24298: @1790049
     /* 1790049 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1790135), // Rule ID 12177 //
     /* 1790054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790100 */     // MIs[0] policy
     /* 1790100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1790113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790134 */     // GIR_Coverage, 12177,
     /* 1790134 */     GIR_EraseRootFromParent_Done,
     /* 1790135 */   // Label 24299: @1790135
     /* 1790135 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1790221), // Rule ID 12180 //
     /* 1790140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790186 */     // MIs[0] policy
     /* 1790186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1790199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790220 */     // GIR_Coverage, 12180,
     /* 1790220 */     GIR_EraseRootFromParent_Done,
     /* 1790221 */   // Label 24300: @1790221
     /* 1790221 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1790307), // Rule ID 12181 //
     /* 1790226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790272 */     // MIs[0] policy
     /* 1790272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1790285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790306 */     // GIR_Coverage, 12181,
     /* 1790306 */     GIR_EraseRootFromParent_Done,
     /* 1790307 */   // Label 24301: @1790307
     /* 1790307 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1790393), // Rule ID 12184 //
     /* 1790312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790358 */     // MIs[0] policy
     /* 1790358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1790371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790392 */     // GIR_Coverage, 12184,
     /* 1790392 */     GIR_EraseRootFromParent_Done,
     /* 1790393 */   // Label 24302: @1790393
     /* 1790393 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1790479), // Rule ID 12185 //
     /* 1790398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790444 */     // MIs[0] policy
     /* 1790444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1790457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790478 */     // GIR_Coverage, 12185,
     /* 1790478 */     GIR_EraseRootFromParent_Done,
     /* 1790479 */   // Label 24303: @1790479
     /* 1790479 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1790565), // Rule ID 12188 //
     /* 1790484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790530 */     // MIs[0] policy
     /* 1790530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790564 */     // GIR_Coverage, 12188,
     /* 1790564 */     GIR_EraseRootFromParent_Done,
     /* 1790565 */   // Label 24304: @1790565
     /* 1790565 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1790651), // Rule ID 12189 //
     /* 1790570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790616 */     // MIs[0] policy
     /* 1790616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790650 */     // GIR_Coverage, 12189,
     /* 1790650 */     GIR_EraseRootFromParent_Done,
     /* 1790651 */   // Label 24305: @1790651
     /* 1790651 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1790737), // Rule ID 12192 //
     /* 1790656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790702 */     // MIs[0] policy
     /* 1790702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790736 */     // GIR_Coverage, 12192,
     /* 1790736 */     GIR_EraseRootFromParent_Done,
     /* 1790737 */   // Label 24306: @1790737
     /* 1790737 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1790823), // Rule ID 12193 //
     /* 1790742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790788 */     // MIs[0] policy
     /* 1790788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790822 */     // GIR_Coverage, 12193,
     /* 1790822 */     GIR_EraseRootFromParent_Done,
     /* 1790823 */   // Label 24307: @1790823
     /* 1790823 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1790909), // Rule ID 12196 //
     /* 1790828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790874 */     // MIs[0] policy
     /* 1790874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790908 */     // GIR_Coverage, 12196,
     /* 1790908 */     GIR_EraseRootFromParent_Done,
     /* 1790909 */   // Label 24308: @1790909
     /* 1790909 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1790995), // Rule ID 12197 //
     /* 1790914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790960 */     // MIs[0] policy
     /* 1790960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790994 */     // GIR_Coverage, 12197,
     /* 1790994 */     GIR_EraseRootFromParent_Done,
     /* 1790995 */   // Label 24309: @1790995
     /* 1790995 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1791081), // Rule ID 12200 //
     /* 1791000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1791017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791046 */     // MIs[0] policy
     /* 1791046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1791059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791080 */     // GIR_Coverage, 12200,
     /* 1791080 */     GIR_EraseRootFromParent_Done,
     /* 1791081 */   // Label 24310: @1791081
     /* 1791081 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1791167), // Rule ID 12201 //
     /* 1791086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1791103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791132 */     // MIs[0] policy
     /* 1791132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1791145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791166 */     // GIR_Coverage, 12201,
     /* 1791166 */     GIR_EraseRootFromParent_Done,
     /* 1791167 */   // Label 24311: @1791167
     /* 1791167 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1791253), // Rule ID 12204 //
     /* 1791172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1791183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1791186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1791189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791218 */     // MIs[0] policy
     /* 1791218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1791231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791252 */     // GIR_Coverage, 12204,
     /* 1791252 */     GIR_EraseRootFromParent_Done,
     /* 1791253 */   // Label 24312: @1791253
     /* 1791253 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1791339), // Rule ID 12205 //
     /* 1791258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1791269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1791272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1791275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791304 */     // MIs[0] policy
     /* 1791304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791314 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1791317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791338 */     // GIR_Coverage, 12205,
     /* 1791338 */     GIR_EraseRootFromParent_Done,
     /* 1791339 */   // Label 24313: @1791339
     /* 1791339 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1791425), // Rule ID 12208 //
     /* 1791344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791390 */     // MIs[0] policy
     /* 1791390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1791403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791424 */     // GIR_Coverage, 12208,
     /* 1791424 */     GIR_EraseRootFromParent_Done,
     /* 1791425 */   // Label 24314: @1791425
     /* 1791425 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1791511), // Rule ID 12209 //
     /* 1791430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791476 */     // MIs[0] policy
     /* 1791476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1791489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791510 */     // GIR_Coverage, 12209,
     /* 1791510 */     GIR_EraseRootFromParent_Done,
     /* 1791511 */   // Label 24315: @1791511
     /* 1791511 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1791597), // Rule ID 12212 //
     /* 1791516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791562 */     // MIs[0] policy
     /* 1791562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791596 */     // GIR_Coverage, 12212,
     /* 1791596 */     GIR_EraseRootFromParent_Done,
     /* 1791597 */   // Label 24316: @1791597
     /* 1791597 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1791683), // Rule ID 12213 //
     /* 1791602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791648 */     // MIs[0] policy
     /* 1791648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791682 */     // GIR_Coverage, 12213,
     /* 1791682 */     GIR_EraseRootFromParent_Done,
     /* 1791683 */   // Label 24317: @1791683
     /* 1791683 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1791769), // Rule ID 12216 //
     /* 1791688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791734 */     // MIs[0] policy
     /* 1791734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791768 */     // GIR_Coverage, 12216,
     /* 1791768 */     GIR_EraseRootFromParent_Done,
     /* 1791769 */   // Label 24318: @1791769
     /* 1791769 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1791855), // Rule ID 12217 //
     /* 1791774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791820 */     // MIs[0] policy
     /* 1791820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791854 */     // GIR_Coverage, 12217,
     /* 1791854 */     GIR_EraseRootFromParent_Done,
     /* 1791855 */   // Label 24319: @1791855
     /* 1791855 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1791941), // Rule ID 12220 //
     /* 1791860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791906 */     // MIs[0] policy
     /* 1791906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1791919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791940 */     // GIR_Coverage, 12220,
     /* 1791940 */     GIR_EraseRootFromParent_Done,
     /* 1791941 */   // Label 24320: @1791941
     /* 1791941 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1792027), // Rule ID 12221 //
     /* 1791946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791992 */     // MIs[0] policy
     /* 1791992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1792005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792026 */     // GIR_Coverage, 12221,
     /* 1792026 */     GIR_EraseRootFromParent_Done,
     /* 1792027 */   // Label 24321: @1792027
     /* 1792027 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1792113), // Rule ID 12224 //
     /* 1792032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1792049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792078 */     // MIs[0] policy
     /* 1792078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792088 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1792091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792112 */     // GIR_Coverage, 12224,
     /* 1792112 */     GIR_EraseRootFromParent_Done,
     /* 1792113 */   // Label 24322: @1792113
     /* 1792113 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1792199), // Rule ID 12225 //
     /* 1792118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1792135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792164 */     // MIs[0] policy
     /* 1792164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1792177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792198 */     // GIR_Coverage, 12225,
     /* 1792198 */     GIR_EraseRootFromParent_Done,
     /* 1792199 */   // Label 24323: @1792199
     /* 1792199 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1792285), // Rule ID 12228 //
     /* 1792204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1792215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1792218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1792221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792250 */     // MIs[0] policy
     /* 1792250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1792263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792284 */     // GIR_Coverage, 12228,
     /* 1792284 */     GIR_EraseRootFromParent_Done,
     /* 1792285 */   // Label 24324: @1792285
     /* 1792285 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1792371), // Rule ID 12229 //
     /* 1792290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1792301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1792304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1792307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792336 */     // MIs[0] policy
     /* 1792336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1792349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792370 */     // GIR_Coverage, 12229,
     /* 1792370 */     GIR_EraseRootFromParent_Done,
     /* 1792371 */   // Label 24325: @1792371
     /* 1792371 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1792457), // Rule ID 12232 //
     /* 1792376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792422 */     // MIs[0] policy
     /* 1792422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1792435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792456 */     // GIR_Coverage, 12232,
     /* 1792456 */     GIR_EraseRootFromParent_Done,
     /* 1792457 */   // Label 24326: @1792457
     /* 1792457 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1792543), // Rule ID 12233 //
     /* 1792462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792508 */     // MIs[0] policy
     /* 1792508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1792521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792542 */     // GIR_Coverage, 12233,
     /* 1792542 */     GIR_EraseRootFromParent_Done,
     /* 1792543 */   // Label 24327: @1792543
     /* 1792543 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1792629), // Rule ID 12236 //
     /* 1792548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792594 */     // MIs[0] policy
     /* 1792594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792628 */     // GIR_Coverage, 12236,
     /* 1792628 */     GIR_EraseRootFromParent_Done,
     /* 1792629 */   // Label 24328: @1792629
     /* 1792629 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1792715), // Rule ID 12237 //
     /* 1792634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792680 */     // MIs[0] policy
     /* 1792680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792690 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792714 */     // GIR_Coverage, 12237,
     /* 1792714 */     GIR_EraseRootFromParent_Done,
     /* 1792715 */   // Label 24329: @1792715
     /* 1792715 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1792801), // Rule ID 12240 //
     /* 1792720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792766 */     // MIs[0] policy
     /* 1792766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792800 */     // GIR_Coverage, 12240,
     /* 1792800 */     GIR_EraseRootFromParent_Done,
     /* 1792801 */   // Label 24330: @1792801
     /* 1792801 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1792887), // Rule ID 12241 //
     /* 1792806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792852 */     // MIs[0] policy
     /* 1792852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792886 */     // GIR_Coverage, 12241,
     /* 1792886 */     GIR_EraseRootFromParent_Done,
     /* 1792887 */   // Label 24331: @1792887
     /* 1792887 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1792973), // Rule ID 12244 //
     /* 1792892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792938 */     // MIs[0] policy
     /* 1792938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1792951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792972 */     // GIR_Coverage, 12244,
     /* 1792972 */     GIR_EraseRootFromParent_Done,
     /* 1792973 */   // Label 24332: @1792973
     /* 1792973 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1793059), // Rule ID 12245 //
     /* 1792978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793024 */     // MIs[0] policy
     /* 1793024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1793037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793058 */     // GIR_Coverage, 12245,
     /* 1793058 */     GIR_EraseRootFromParent_Done,
     /* 1793059 */   // Label 24333: @1793059
     /* 1793059 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1793145), // Rule ID 12248 //
     /* 1793064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1793067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1793075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1793078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1793081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793110 */     // MIs[0] policy
     /* 1793110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793120 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1793123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793144 */     // GIR_Coverage, 12248,
     /* 1793144 */     GIR_EraseRootFromParent_Done,
     /* 1793145 */   // Label 24334: @1793145
     /* 1793145 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1793231), // Rule ID 12249 //
     /* 1793150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1793153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1793161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1793164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1793167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793196 */     // MIs[0] policy
     /* 1793196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1793209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793230 */     // GIR_Coverage, 12249,
     /* 1793230 */     GIR_EraseRootFromParent_Done,
     /* 1793231 */   // Label 24335: @1793231
     /* 1793231 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1793317), // Rule ID 12252 //
     /* 1793236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1793247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1793250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1793253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1793256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793282 */     // MIs[0] policy
     /* 1793282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1793295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793316 */     // GIR_Coverage, 12252,
     /* 1793316 */     GIR_EraseRootFromParent_Done,
     /* 1793317 */   // Label 24336: @1793317
     /* 1793317 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1793403), // Rule ID 12253 //
     /* 1793322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1793333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1793336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1793339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1793342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793368 */     // MIs[0] policy
     /* 1793368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1793381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793402 */     // GIR_Coverage, 12253,
     /* 1793402 */     GIR_EraseRootFromParent_Done,
     /* 1793403 */   // Label 24337: @1793403
     /* 1793403 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1793489), // Rule ID 12256 //
     /* 1793408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1793428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793454 */     // MIs[0] policy
     /* 1793454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793488 */     // GIR_Coverage, 12256,
     /* 1793488 */     GIR_EraseRootFromParent_Done,
     /* 1793489 */   // Label 24338: @1793489
     /* 1793489 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1793575), // Rule ID 12257 //
     /* 1793494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1793514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793540 */     // MIs[0] policy
     /* 1793540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793574 */     // GIR_Coverage, 12257,
     /* 1793574 */     GIR_EraseRootFromParent_Done,
     /* 1793575 */   // Label 24339: @1793575
     /* 1793575 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1793661), // Rule ID 12260 //
     /* 1793580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793626 */     // MIs[0] policy
     /* 1793626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793660 */     // GIR_Coverage, 12260,
     /* 1793660 */     GIR_EraseRootFromParent_Done,
     /* 1793661 */   // Label 24340: @1793661
     /* 1793661 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1793747), // Rule ID 12261 //
     /* 1793666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793712 */     // MIs[0] policy
     /* 1793712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793746 */     // GIR_Coverage, 12261,
     /* 1793746 */     GIR_EraseRootFromParent_Done,
     /* 1793747 */   // Label 24341: @1793747
     /* 1793747 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1793833), // Rule ID 12264 //
     /* 1793752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793798 */     // MIs[0] policy
     /* 1793798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793832 */     // GIR_Coverage, 12264,
     /* 1793832 */     GIR_EraseRootFromParent_Done,
     /* 1793833 */   // Label 24342: @1793833
     /* 1793833 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1793919), // Rule ID 12265 //
     /* 1793838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793884 */     // MIs[0] policy
     /* 1793884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793918 */     // GIR_Coverage, 12265,
     /* 1793918 */     GIR_EraseRootFromParent_Done,
     /* 1793919 */   // Label 24343: @1793919
     /* 1793919 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1794005), // Rule ID 12268 //
     /* 1793924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793970 */     // MIs[0] policy
     /* 1793970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794004 */     // GIR_Coverage, 12268,
     /* 1794004 */     GIR_EraseRootFromParent_Done,
     /* 1794005 */   // Label 24344: @1794005
     /* 1794005 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1794091), // Rule ID 12269 //
     /* 1794010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1794030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794056 */     // MIs[0] policy
     /* 1794056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794090 */     // GIR_Coverage, 12269,
     /* 1794090 */     GIR_EraseRootFromParent_Done,
     /* 1794091 */   // Label 24345: @1794091
     /* 1794091 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1794177), // Rule ID 12272 //
     /* 1794096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1794116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794142 */     // MIs[0] policy
     /* 1794142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794176 */     // GIR_Coverage, 12272,
     /* 1794176 */     GIR_EraseRootFromParent_Done,
     /* 1794177 */   // Label 24346: @1794177
     /* 1794177 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1794263), // Rule ID 12273 //
     /* 1794182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1794202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794228 */     // MIs[0] policy
     /* 1794228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794262 */     // GIR_Coverage, 12273,
     /* 1794262 */     GIR_EraseRootFromParent_Done,
     /* 1794263 */   // Label 24347: @1794263
     /* 1794263 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1794349), // Rule ID 12276 //
     /* 1794268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1794279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1794282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1794285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1794288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794314 */     // MIs[0] policy
     /* 1794314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1794327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794348 */     // GIR_Coverage, 12276,
     /* 1794348 */     GIR_EraseRootFromParent_Done,
     /* 1794349 */   // Label 24348: @1794349
     /* 1794349 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1794435), // Rule ID 12277 //
     /* 1794354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1794365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1794368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1794371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1794374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794400 */     // MIs[0] policy
     /* 1794400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794410 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1794413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794434 */     // GIR_Coverage, 12277,
     /* 1794434 */     GIR_EraseRootFromParent_Done,
     /* 1794435 */   // Label 24349: @1794435
     /* 1794435 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1794521), // Rule ID 12280 //
     /* 1794440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794486 */     // MIs[0] policy
     /* 1794486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794520 */     // GIR_Coverage, 12280,
     /* 1794520 */     GIR_EraseRootFromParent_Done,
     /* 1794521 */   // Label 24350: @1794521
     /* 1794521 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1794607), // Rule ID 12281 //
     /* 1794526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794572 */     // MIs[0] policy
     /* 1794572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794606 */     // GIR_Coverage, 12281,
     /* 1794606 */     GIR_EraseRootFromParent_Done,
     /* 1794607 */   // Label 24351: @1794607
     /* 1794607 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1794693), // Rule ID 12284 //
     /* 1794612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794658 */     // MIs[0] policy
     /* 1794658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794692 */     // GIR_Coverage, 12284,
     /* 1794692 */     GIR_EraseRootFromParent_Done,
     /* 1794693 */   // Label 24352: @1794693
     /* 1794693 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1794779), // Rule ID 12285 //
     /* 1794698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794744 */     // MIs[0] policy
     /* 1794744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794754 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794778 */     // GIR_Coverage, 12285,
     /* 1794778 */     GIR_EraseRootFromParent_Done,
     /* 1794779 */   // Label 24353: @1794779
     /* 1794779 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1794865), // Rule ID 12288 //
     /* 1794784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794830 */     // MIs[0] policy
     /* 1794830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794864 */     // GIR_Coverage, 12288,
     /* 1794864 */     GIR_EraseRootFromParent_Done,
     /* 1794865 */   // Label 24354: @1794865
     /* 1794865 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1794951), // Rule ID 12289 //
     /* 1794870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794916 */     // MIs[0] policy
     /* 1794916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794950 */     // GIR_Coverage, 12289,
     /* 1794950 */     GIR_EraseRootFromParent_Done,
     /* 1794951 */   // Label 24355: @1794951
     /* 1794951 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1795037), // Rule ID 12292 //
     /* 1794956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795002 */     // MIs[0] policy
     /* 1795002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795036 */     // GIR_Coverage, 12292,
     /* 1795036 */     GIR_EraseRootFromParent_Done,
     /* 1795037 */   // Label 24356: @1795037
     /* 1795037 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1795123), // Rule ID 12293 //
     /* 1795042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1795059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1795062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795088 */     // MIs[0] policy
     /* 1795088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795122 */     // GIR_Coverage, 12293,
     /* 1795122 */     GIR_EraseRootFromParent_Done,
     /* 1795123 */   // Label 24357: @1795123
     /* 1795123 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1795209), // Rule ID 12296 //
     /* 1795128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1795139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1795142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1795148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795174 */     // MIs[0] policy
     /* 1795174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1795187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795208 */     // GIR_Coverage, 12296,
     /* 1795208 */     GIR_EraseRootFromParent_Done,
     /* 1795209 */   // Label 24358: @1795209
     /* 1795209 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1795295), // Rule ID 12297 //
     /* 1795214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1795225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1795228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1795234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795260 */     // MIs[0] policy
     /* 1795260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795270 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1795273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795294 */     // GIR_Coverage, 12297,
     /* 1795294 */     GIR_EraseRootFromParent_Done,
     /* 1795295 */   // Label 24359: @1795295
     /* 1795295 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1795381), // Rule ID 12300 //
     /* 1795300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1795320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795346 */     // MIs[0] policy
     /* 1795346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795356 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1795359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795380 */     // GIR_Coverage, 12300,
     /* 1795380 */     GIR_EraseRootFromParent_Done,
     /* 1795381 */   // Label 24360: @1795381
     /* 1795381 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1795467), // Rule ID 12301 //
     /* 1795386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1795406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795432 */     // MIs[0] policy
     /* 1795432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1795445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795466 */     // GIR_Coverage, 12301,
     /* 1795466 */     GIR_EraseRootFromParent_Done,
     /* 1795467 */   // Label 24361: @1795467
     /* 1795467 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1795553), // Rule ID 12304 //
     /* 1795472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795518 */     // MIs[0] policy
     /* 1795518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795552 */     // GIR_Coverage, 12304,
     /* 1795552 */     GIR_EraseRootFromParent_Done,
     /* 1795553 */   // Label 24362: @1795553
     /* 1795553 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1795639), // Rule ID 12305 //
     /* 1795558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795604 */     // MIs[0] policy
     /* 1795604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795614 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795638 */     // GIR_Coverage, 12305,
     /* 1795638 */     GIR_EraseRootFromParent_Done,
     /* 1795639 */   // Label 24363: @1795639
     /* 1795639 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1795725), // Rule ID 12308 //
     /* 1795644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795690 */     // MIs[0] policy
     /* 1795690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795724 */     // GIR_Coverage, 12308,
     /* 1795724 */     GIR_EraseRootFromParent_Done,
     /* 1795725 */   // Label 24364: @1795725
     /* 1795725 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1795811), // Rule ID 12309 //
     /* 1795730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795776 */     // MIs[0] policy
     /* 1795776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795810 */     // GIR_Coverage, 12309,
     /* 1795810 */     GIR_EraseRootFromParent_Done,
     /* 1795811 */   // Label 24365: @1795811
     /* 1795811 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1795897), // Rule ID 12312 //
     /* 1795816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795862 */     // MIs[0] policy
     /* 1795862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795896 */     // GIR_Coverage, 12312,
     /* 1795896 */     GIR_EraseRootFromParent_Done,
     /* 1795897 */   // Label 24366: @1795897
     /* 1795897 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1795983), // Rule ID 12313 //
     /* 1795902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795948 */     // MIs[0] policy
     /* 1795948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795982 */     // GIR_Coverage, 12313,
     /* 1795982 */     GIR_EraseRootFromParent_Done,
     /* 1795983 */   // Label 24367: @1795983
     /* 1795983 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1796069), // Rule ID 12316 //
     /* 1795988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796034 */     // MIs[0] policy
     /* 1796034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796068 */     // GIR_Coverage, 12316,
     /* 1796068 */     GIR_EraseRootFromParent_Done,
     /* 1796069 */   // Label 24368: @1796069
     /* 1796069 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1796155), // Rule ID 12317 //
     /* 1796074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1796085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796120 */     // MIs[0] policy
     /* 1796120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796154 */     // GIR_Coverage, 12317,
     /* 1796154 */     GIR_EraseRootFromParent_Done,
     /* 1796155 */   // Label 24369: @1796155
     /* 1796155 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1796241), // Rule ID 12320 //
     /* 1796160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1796171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1796174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796206 */     // MIs[0] policy
     /* 1796206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796240 */     // GIR_Coverage, 12320,
     /* 1796240 */     GIR_EraseRootFromParent_Done,
     /* 1796241 */   // Label 24370: @1796241
     /* 1796241 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1796327), // Rule ID 12321 //
     /* 1796246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1796257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1796260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796292 */     // MIs[0] policy
     /* 1796292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796326 */     // GIR_Coverage, 12321,
     /* 1796326 */     GIR_EraseRootFromParent_Done,
     /* 1796327 */   // Label 24371: @1796327
     /* 1796327 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1796413), // Rule ID 12324 //
     /* 1796332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1796343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1796346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796378 */     // MIs[0] policy
     /* 1796378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796412 */     // GIR_Coverage, 12324,
     /* 1796412 */     GIR_EraseRootFromParent_Done,
     /* 1796413 */   // Label 24372: @1796413
     /* 1796413 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1796499), // Rule ID 12325 //
     /* 1796418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1796429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1796432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796464 */     // MIs[0] policy
     /* 1796464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796498 */     // GIR_Coverage, 12325,
     /* 1796498 */     GIR_EraseRootFromParent_Done,
     /* 1796499 */   // Label 24373: @1796499
     /* 1796499 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1796585), // Rule ID 12328 //
     /* 1796504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796550 */     // MIs[0] policy
     /* 1796550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796560 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796584 */     // GIR_Coverage, 12328,
     /* 1796584 */     GIR_EraseRootFromParent_Done,
     /* 1796585 */   // Label 24374: @1796585
     /* 1796585 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1796671), // Rule ID 12329 //
     /* 1796590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796636 */     // MIs[0] policy
     /* 1796636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796646 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796670 */     // GIR_Coverage, 12329,
     /* 1796670 */     GIR_EraseRootFromParent_Done,
     /* 1796671 */   // Label 24375: @1796671
     /* 1796671 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1796757), // Rule ID 12332 //
     /* 1796676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796722 */     // MIs[0] policy
     /* 1796722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796756 */     // GIR_Coverage, 12332,
     /* 1796756 */     GIR_EraseRootFromParent_Done,
     /* 1796757 */   // Label 24376: @1796757
     /* 1796757 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1796843), // Rule ID 12333 //
     /* 1796762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796808 */     // MIs[0] policy
     /* 1796808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796842 */     // GIR_Coverage, 12333,
     /* 1796842 */     GIR_EraseRootFromParent_Done,
     /* 1796843 */   // Label 24377: @1796843
     /* 1796843 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1796929), // Rule ID 12336 //
     /* 1796848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796894 */     // MIs[0] policy
     /* 1796894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796928 */     // GIR_Coverage, 12336,
     /* 1796928 */     GIR_EraseRootFromParent_Done,
     /* 1796929 */   // Label 24378: @1796929
     /* 1796929 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1797015), // Rule ID 12337 //
     /* 1796934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796980 */     // MIs[0] policy
     /* 1796980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797014 */     // GIR_Coverage, 12337,
     /* 1797014 */     GIR_EraseRootFromParent_Done,
     /* 1797015 */   // Label 24379: @1797015
     /* 1797015 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1797101), // Rule ID 12340 //
     /* 1797020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1797037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797066 */     // MIs[0] policy
     /* 1797066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797100 */     // GIR_Coverage, 12340,
     /* 1797100 */     GIR_EraseRootFromParent_Done,
     /* 1797101 */   // Label 24380: @1797101
     /* 1797101 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1797187), // Rule ID 12341 //
     /* 1797106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1797123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797152 */     // MIs[0] policy
     /* 1797152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797186 */     // GIR_Coverage, 12341,
     /* 1797186 */     GIR_EraseRootFromParent_Done,
     /* 1797187 */   // Label 24381: @1797187
     /* 1797187 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1797273), // Rule ID 12344 //
     /* 1797192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1797203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1797206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797238 */     // MIs[0] policy
     /* 1797238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797272 */     // GIR_Coverage, 12344,
     /* 1797272 */     GIR_EraseRootFromParent_Done,
     /* 1797273 */   // Label 24382: @1797273
     /* 1797273 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1797359), // Rule ID 12345 //
     /* 1797278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1797289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1797292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797324 */     // MIs[0] policy
     /* 1797324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797358 */     // GIR_Coverage, 12345,
     /* 1797358 */     GIR_EraseRootFromParent_Done,
     /* 1797359 */   // Label 24383: @1797359
     /* 1797359 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1797445), // Rule ID 12348 //
     /* 1797364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1797375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1797378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797410 */     // MIs[0] policy
     /* 1797410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797444 */     // GIR_Coverage, 12348,
     /* 1797444 */     GIR_EraseRootFromParent_Done,
     /* 1797445 */   // Label 24384: @1797445
     /* 1797445 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1797531), // Rule ID 12349 //
     /* 1797450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1797461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1797464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797496 */     // MIs[0] policy
     /* 1797496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797530 */     // GIR_Coverage, 12349,
     /* 1797530 */     GIR_EraseRootFromParent_Done,
     /* 1797531 */   // Label 24385: @1797531
     /* 1797531 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1797617), // Rule ID 12352 //
     /* 1797536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797582 */     // MIs[0] policy
     /* 1797582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797616 */     // GIR_Coverage, 12352,
     /* 1797616 */     GIR_EraseRootFromParent_Done,
     /* 1797617 */   // Label 24386: @1797617
     /* 1797617 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1797703), // Rule ID 12353 //
     /* 1797622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797668 */     // MIs[0] policy
     /* 1797668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797702 */     // GIR_Coverage, 12353,
     /* 1797702 */     GIR_EraseRootFromParent_Done,
     /* 1797703 */   // Label 24387: @1797703
     /* 1797703 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1797789), // Rule ID 12356 //
     /* 1797708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797754 */     // MIs[0] policy
     /* 1797754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797788 */     // GIR_Coverage, 12356,
     /* 1797788 */     GIR_EraseRootFromParent_Done,
     /* 1797789 */   // Label 24388: @1797789
     /* 1797789 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1797875), // Rule ID 12357 //
     /* 1797794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797840 */     // MIs[0] policy
     /* 1797840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797874 */     // GIR_Coverage, 12357,
     /* 1797874 */     GIR_EraseRootFromParent_Done,
     /* 1797875 */   // Label 24389: @1797875
     /* 1797875 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1797961), // Rule ID 12360 //
     /* 1797880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797926 */     // MIs[0] policy
     /* 1797926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797960 */     // GIR_Coverage, 12360,
     /* 1797960 */     GIR_EraseRootFromParent_Done,
     /* 1797961 */   // Label 24390: @1797961
     /* 1797961 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1798047), // Rule ID 12361 //
     /* 1797966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798012 */     // MIs[0] policy
     /* 1798012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1798025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798046 */     // GIR_Coverage, 12361,
     /* 1798046 */     GIR_EraseRootFromParent_Done,
     /* 1798047 */   // Label 24391: @1798047
     /* 1798047 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1798133), // Rule ID 12364 //
     /* 1798052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1798055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1798063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1798066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798098 */     // MIs[0] policy
     /* 1798098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1798111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798132 */     // GIR_Coverage, 12364,
     /* 1798132 */     GIR_EraseRootFromParent_Done,
     /* 1798133 */   // Label 24392: @1798133
     /* 1798133 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1798219), // Rule ID 12365 //
     /* 1798138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1798141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1798149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1798152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798184 */     // MIs[0] policy
     /* 1798184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1798197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798218 */     // GIR_Coverage, 12365,
     /* 1798218 */     GIR_EraseRootFromParent_Done,
     /* 1798219 */   // Label 24393: @1798219
     /* 1798219 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1798305), // Rule ID 12368 //
     /* 1798224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1798227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1798235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1798238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798270 */     // MIs[0] policy
     /* 1798270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1798283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798304 */     // GIR_Coverage, 12368,
     /* 1798304 */     GIR_EraseRootFromParent_Done,
     /* 1798305 */   // Label 24394: @1798305
     /* 1798305 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1798391), // Rule ID 12369 //
     /* 1798310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1798313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1798321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1798324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798356 */     // MIs[0] policy
     /* 1798356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1798369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798390 */     // GIR_Coverage, 12369,
     /* 1798390 */     GIR_EraseRootFromParent_Done,
     /* 1798391 */   // Label 24395: @1798391
     /* 1798391 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1798477), // Rule ID 12372 //
     /* 1798396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1798407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1798410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1798413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1798416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798442 */     // MIs[0] policy
     /* 1798442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798476 */     // GIR_Coverage, 12372,
     /* 1798476 */     GIR_EraseRootFromParent_Done,
     /* 1798477 */   // Label 24396: @1798477
     /* 1798477 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1798563), // Rule ID 12373 //
     /* 1798482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1798493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1798496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1798499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1798502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798528 */     // MIs[0] policy
     /* 1798528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798562 */     // GIR_Coverage, 12373,
     /* 1798562 */     GIR_EraseRootFromParent_Done,
     /* 1798563 */   // Label 24397: @1798563
     /* 1798563 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1798649), // Rule ID 12376 //
     /* 1798568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798614 */     // MIs[0] policy
     /* 1798614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798648 */     // GIR_Coverage, 12376,
     /* 1798648 */     GIR_EraseRootFromParent_Done,
     /* 1798649 */   // Label 24398: @1798649
     /* 1798649 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1798735), // Rule ID 12377 //
     /* 1798654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798700 */     // MIs[0] policy
     /* 1798700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798710 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798734 */     // GIR_Coverage, 12377,
     /* 1798734 */     GIR_EraseRootFromParent_Done,
     /* 1798735 */   // Label 24399: @1798735
     /* 1798735 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1798821), // Rule ID 12380 //
     /* 1798740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798786 */     // MIs[0] policy
     /* 1798786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798820 */     // GIR_Coverage, 12380,
     /* 1798820 */     GIR_EraseRootFromParent_Done,
     /* 1798821 */   // Label 24400: @1798821
     /* 1798821 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1798907), // Rule ID 12381 //
     /* 1798826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798872 */     // MIs[0] policy
     /* 1798872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798906 */     // GIR_Coverage, 12381,
     /* 1798906 */     GIR_EraseRootFromParent_Done,
     /* 1798907 */   // Label 24401: @1798907
     /* 1798907 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1798993), // Rule ID 12384 //
     /* 1798912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1798929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1798932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798958 */     // MIs[0] policy
     /* 1798958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798992 */     // GIR_Coverage, 12384,
     /* 1798992 */     GIR_EraseRootFromParent_Done,
     /* 1798993 */   // Label 24402: @1798993
     /* 1798993 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1799079), // Rule ID 12385 //
     /* 1798998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1799009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1799012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1799015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1799018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799044 */     // MIs[0] policy
     /* 1799044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799054 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799078 */     // GIR_Coverage, 12385,
     /* 1799078 */     GIR_EraseRootFromParent_Done,
     /* 1799079 */   // Label 24403: @1799079
     /* 1799079 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1799165), // Rule ID 12388 //
     /* 1799084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1799101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1799104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799130 */     // MIs[0] policy
     /* 1799130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799164 */     // GIR_Coverage, 12388,
     /* 1799164 */     GIR_EraseRootFromParent_Done,
     /* 1799165 */   // Label 24404: @1799165
     /* 1799165 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1799251), // Rule ID 12389 //
     /* 1799170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1799187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1799190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799216 */     // MIs[0] policy
     /* 1799216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799250 */     // GIR_Coverage, 12389,
     /* 1799250 */     GIR_EraseRootFromParent_Done,
     /* 1799251 */   // Label 24405: @1799251
     /* 1799251 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1799337), // Rule ID 12392 //
     /* 1799256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1799273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1799276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799302 */     // MIs[0] policy
     /* 1799302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799336 */     // GIR_Coverage, 12392,
     /* 1799336 */     GIR_EraseRootFromParent_Done,
     /* 1799337 */   // Label 24406: @1799337
     /* 1799337 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1799423), // Rule ID 12393 //
     /* 1799342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1799359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1799362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799388 */     // MIs[0] policy
     /* 1799388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799422 */     // GIR_Coverage, 12393,
     /* 1799422 */     GIR_EraseRootFromParent_Done,
     /* 1799423 */   // Label 24407: @1799423
     /* 1799423 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1799509), // Rule ID 12396 //
     /* 1799428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799474 */     // MIs[0] policy
     /* 1799474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799508 */     // GIR_Coverage, 12396,
     /* 1799508 */     GIR_EraseRootFromParent_Done,
     /* 1799509 */   // Label 24408: @1799509
     /* 1799509 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1799595), // Rule ID 12397 //
     /* 1799514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799560 */     // MIs[0] policy
     /* 1799560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799594 */     // GIR_Coverage, 12397,
     /* 1799594 */     GIR_EraseRootFromParent_Done,
     /* 1799595 */   // Label 24409: @1799595
     /* 1799595 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1799681), // Rule ID 12400 //
     /* 1799600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799646 */     // MIs[0] policy
     /* 1799646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799680 */     // GIR_Coverage, 12400,
     /* 1799680 */     GIR_EraseRootFromParent_Done,
     /* 1799681 */   // Label 24410: @1799681
     /* 1799681 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1799767), // Rule ID 12401 //
     /* 1799686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799732 */     // MIs[0] policy
     /* 1799732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799766 */     // GIR_Coverage, 12401,
     /* 1799766 */     GIR_EraseRootFromParent_Done,
     /* 1799767 */   // Label 24411: @1799767
     /* 1799767 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1799853), // Rule ID 12404 //
     /* 1799772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799818 */     // MIs[0] policy
     /* 1799818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799852 */     // GIR_Coverage, 12404,
     /* 1799852 */     GIR_EraseRootFromParent_Done,
     /* 1799853 */   // Label 24412: @1799853
     /* 1799853 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1799939), // Rule ID 12405 //
     /* 1799858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799904 */     // MIs[0] policy
     /* 1799904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799914 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799938 */     // GIR_Coverage, 12405,
     /* 1799938 */     GIR_EraseRootFromParent_Done,
     /* 1799939 */   // Label 24413: @1799939
     /* 1799939 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1800025), // Rule ID 12408 //
     /* 1799944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1799961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1799964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799990 */     // MIs[0] policy
     /* 1799990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800024 */     // GIR_Coverage, 12408,
     /* 1800024 */     GIR_EraseRootFromParent_Done,
     /* 1800025 */   // Label 24414: @1800025
     /* 1800025 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1800111), // Rule ID 12409 //
     /* 1800030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1800041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1800044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1800047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1800050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800076 */     // MIs[0] policy
     /* 1800076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800110 */     // GIR_Coverage, 12409,
     /* 1800110 */     GIR_EraseRootFromParent_Done,
     /* 1800111 */   // Label 24415: @1800111
     /* 1800111 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1800197), // Rule ID 12412 //
     /* 1800116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1800127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1800130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1800133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1800136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800162 */     // MIs[0] policy
     /* 1800162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800196 */     // GIR_Coverage, 12412,
     /* 1800196 */     GIR_EraseRootFromParent_Done,
     /* 1800197 */   // Label 24416: @1800197
     /* 1800197 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1800283), // Rule ID 12413 //
     /* 1800202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1800213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1800216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1800219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1800222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800248 */     // MIs[0] policy
     /* 1800248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800282 */     // GIR_Coverage, 12413,
     /* 1800282 */     GIR_EraseRootFromParent_Done,
     /* 1800283 */   // Label 24417: @1800283
     /* 1800283 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1800369), // Rule ID 12416 //
     /* 1800288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1800299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1800302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800334 */     // MIs[0] policy
     /* 1800334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1800347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800368 */     // GIR_Coverage, 12416,
     /* 1800368 */     GIR_EraseRootFromParent_Done,
     /* 1800369 */   // Label 24418: @1800369
     /* 1800369 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1800455), // Rule ID 12417 //
     /* 1800374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1800385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1800388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800420 */     // MIs[0] policy
     /* 1800420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1800433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800454 */     // GIR_Coverage, 12417,
     /* 1800454 */     GIR_EraseRootFromParent_Done,
     /* 1800455 */   // Label 24419: @1800455
     /* 1800455 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1800541), // Rule ID 12420 //
     /* 1800460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800506 */     // MIs[0] policy
     /* 1800506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800540 */     // GIR_Coverage, 12420,
     /* 1800540 */     GIR_EraseRootFromParent_Done,
     /* 1800541 */   // Label 24420: @1800541
     /* 1800541 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1800627), // Rule ID 12421 //
     /* 1800546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800592 */     // MIs[0] policy
     /* 1800592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800626 */     // GIR_Coverage, 12421,
     /* 1800626 */     GIR_EraseRootFromParent_Done,
     /* 1800627 */   // Label 24421: @1800627
     /* 1800627 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1800713), // Rule ID 12424 //
     /* 1800632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800678 */     // MIs[0] policy
     /* 1800678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800712 */     // GIR_Coverage, 12424,
     /* 1800712 */     GIR_EraseRootFromParent_Done,
     /* 1800713 */   // Label 24422: @1800713
     /* 1800713 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1800799), // Rule ID 12425 //
     /* 1800718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800764 */     // MIs[0] policy
     /* 1800764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800798 */     // GIR_Coverage, 12425,
     /* 1800798 */     GIR_EraseRootFromParent_Done,
     /* 1800799 */   // Label 24423: @1800799
     /* 1800799 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1800885), // Rule ID 12428 //
     /* 1800804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800850 */     // MIs[0] policy
     /* 1800850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800884 */     // GIR_Coverage, 12428,
     /* 1800884 */     GIR_EraseRootFromParent_Done,
     /* 1800885 */   // Label 24424: @1800885
     /* 1800885 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1800971), // Rule ID 12429 //
     /* 1800890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800936 */     // MIs[0] policy
     /* 1800936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800970 */     // GIR_Coverage, 12429,
     /* 1800970 */     GIR_EraseRootFromParent_Done,
     /* 1800971 */   // Label 24425: @1800971
     /* 1800971 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1801057), // Rule ID 12432 //
     /* 1800976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801022 */     // MIs[0] policy
     /* 1801022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1801035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801056 */     // GIR_Coverage, 12432,
     /* 1801056 */     GIR_EraseRootFromParent_Done,
     /* 1801057 */   // Label 24426: @1801057
     /* 1801057 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1801143), // Rule ID 12433 //
     /* 1801062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1801073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1801076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1801079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801108 */     // MIs[0] policy
     /* 1801108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1801121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801142 */     // GIR_Coverage, 12433,
     /* 1801142 */     GIR_EraseRootFromParent_Done,
     /* 1801143 */   // Label 24427: @1801143
     /* 1801143 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1801229), // Rule ID 12436 //
     /* 1801148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1801159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1801162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1801165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801194 */     // MIs[0] policy
     /* 1801194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801228 */     // GIR_Coverage, 12436,
     /* 1801228 */     GIR_EraseRootFromParent_Done,
     /* 1801229 */   // Label 24428: @1801229
     /* 1801229 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1801315), // Rule ID 12437 //
     /* 1801234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1801245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1801248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1801251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801280 */     // MIs[0] policy
     /* 1801280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801314 */     // GIR_Coverage, 12437,
     /* 1801314 */     GIR_EraseRootFromParent_Done,
     /* 1801315 */   // Label 24429: @1801315
     /* 1801315 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1801401), // Rule ID 12440 //
     /* 1801320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1801337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801366 */     // MIs[0] policy
     /* 1801366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801400 */     // GIR_Coverage, 12440,
     /* 1801400 */     GIR_EraseRootFromParent_Done,
     /* 1801401 */   // Label 24430: @1801401
     /* 1801401 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1801487), // Rule ID 12441 //
     /* 1801406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1801423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801452 */     // MIs[0] policy
     /* 1801452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801486 */     // GIR_Coverage, 12441,
     /* 1801486 */     GIR_EraseRootFromParent_Done,
     /* 1801487 */   // Label 24431: @1801487
     /* 1801487 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1801573), // Rule ID 12444 //
     /* 1801492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801538 */     // MIs[0] policy
     /* 1801538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801572 */     // GIR_Coverage, 12444,
     /* 1801572 */     GIR_EraseRootFromParent_Done,
     /* 1801573 */   // Label 24432: @1801573
     /* 1801573 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1801659), // Rule ID 12445 //
     /* 1801578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801624 */     // MIs[0] policy
     /* 1801624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801658 */     // GIR_Coverage, 12445,
     /* 1801658 */     GIR_EraseRootFromParent_Done,
     /* 1801659 */   // Label 24433: @1801659
     /* 1801659 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1801745), // Rule ID 12448 //
     /* 1801664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801710 */     // MIs[0] policy
     /* 1801710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801744 */     // GIR_Coverage, 12448,
     /* 1801744 */     GIR_EraseRootFromParent_Done,
     /* 1801745 */   // Label 24434: @1801745
     /* 1801745 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1801831), // Rule ID 12449 //
     /* 1801750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801796 */     // MIs[0] policy
     /* 1801796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801830 */     // GIR_Coverage, 12449,
     /* 1801830 */     GIR_EraseRootFromParent_Done,
     /* 1801831 */   // Label 24435: @1801831
     /* 1801831 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1801917), // Rule ID 12452 //
     /* 1801836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801882 */     // MIs[0] policy
     /* 1801882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801916 */     // GIR_Coverage, 12452,
     /* 1801916 */     GIR_EraseRootFromParent_Done,
     /* 1801917 */   // Label 24436: @1801917
     /* 1801917 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1802003), // Rule ID 12453 //
     /* 1801922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801968 */     // MIs[0] policy
     /* 1801968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802002 */     // GIR_Coverage, 12453,
     /* 1802002 */     GIR_EraseRootFromParent_Done,
     /* 1802003 */   // Label 24437: @1802003
     /* 1802003 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1802089), // Rule ID 12456 //
     /* 1802008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1802019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1802022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802054 */     // MIs[0] policy
     /* 1802054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1802067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802088 */     // GIR_Coverage, 12456,
     /* 1802088 */     GIR_EraseRootFromParent_Done,
     /* 1802089 */   // Label 24438: @1802089
     /* 1802089 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1802175), // Rule ID 12457 //
     /* 1802094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1802105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1802108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802140 */     // MIs[0] policy
     /* 1802140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1802153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802174 */     // GIR_Coverage, 12457,
     /* 1802174 */     GIR_EraseRootFromParent_Done,
     /* 1802175 */   // Label 24439: @1802175
     /* 1802175 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1802261), // Rule ID 12460 //
     /* 1802180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1802191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1802194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1802197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802226 */     // MIs[0] policy
     /* 1802226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802260 */     // GIR_Coverage, 12460,
     /* 1802260 */     GIR_EraseRootFromParent_Done,
     /* 1802261 */   // Label 24440: @1802261
     /* 1802261 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1802347), // Rule ID 12461 //
     /* 1802266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1802277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1802280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1802283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802312 */     // MIs[0] policy
     /* 1802312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802346 */     // GIR_Coverage, 12461,
     /* 1802346 */     GIR_EraseRootFromParent_Done,
     /* 1802347 */   // Label 24441: @1802347
     /* 1802347 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1802433), // Rule ID 12464 //
     /* 1802352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1802369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802398 */     // MIs[0] policy
     /* 1802398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802432 */     // GIR_Coverage, 12464,
     /* 1802432 */     GIR_EraseRootFromParent_Done,
     /* 1802433 */   // Label 24442: @1802433
     /* 1802433 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1802519), // Rule ID 12465 //
     /* 1802438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1802455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802484 */     // MIs[0] policy
     /* 1802484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802518 */     // GIR_Coverage, 12465,
     /* 1802518 */     GIR_EraseRootFromParent_Done,
     /* 1802519 */   // Label 24443: @1802519
     /* 1802519 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1802605), // Rule ID 12468 //
     /* 1802524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802570 */     // MIs[0] policy
     /* 1802570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802604 */     // GIR_Coverage, 12468,
     /* 1802604 */     GIR_EraseRootFromParent_Done,
     /* 1802605 */   // Label 24444: @1802605
     /* 1802605 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1802691), // Rule ID 12469 //
     /* 1802610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802656 */     // MIs[0] policy
     /* 1802656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802690 */     // GIR_Coverage, 12469,
     /* 1802690 */     GIR_EraseRootFromParent_Done,
     /* 1802691 */   // Label 24445: @1802691
     /* 1802691 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1802777), // Rule ID 12472 //
     /* 1802696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802742 */     // MIs[0] policy
     /* 1802742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802776 */     // GIR_Coverage, 12472,
     /* 1802776 */     GIR_EraseRootFromParent_Done,
     /* 1802777 */   // Label 24446: @1802777
     /* 1802777 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1802863), // Rule ID 12473 //
     /* 1802782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802828 */     // MIs[0] policy
     /* 1802828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802862 */     // GIR_Coverage, 12473,
     /* 1802862 */     GIR_EraseRootFromParent_Done,
     /* 1802863 */   // Label 24447: @1802863
     /* 1802863 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1802949), // Rule ID 12476 //
     /* 1802868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802914 */     // MIs[0] policy
     /* 1802914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802948 */     // GIR_Coverage, 12476,
     /* 1802948 */     GIR_EraseRootFromParent_Done,
     /* 1802949 */   // Label 24448: @1802949
     /* 1802949 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1803035), // Rule ID 12477 //
     /* 1802954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803000 */     // MIs[0] policy
     /* 1803000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1803013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803034 */     // GIR_Coverage, 12477,
     /* 1803034 */     GIR_EraseRootFromParent_Done,
     /* 1803035 */   // Label 24449: @1803035
     /* 1803035 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1803121), // Rule ID 12480 //
     /* 1803040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803086 */     // MIs[0] policy
     /* 1803086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1803099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803120 */     // GIR_Coverage, 12480,
     /* 1803120 */     GIR_EraseRootFromParent_Done,
     /* 1803121 */   // Label 24450: @1803121
     /* 1803121 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1803207), // Rule ID 12481 //
     /* 1803126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803172 */     // MIs[0] policy
     /* 1803172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1803185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803206 */     // GIR_Coverage, 12481,
     /* 1803206 */     GIR_EraseRootFromParent_Done,
     /* 1803207 */   // Label 24451: @1803207
     /* 1803207 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1803293), // Rule ID 12484 //
     /* 1803212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1803229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803258 */     // MIs[0] policy
     /* 1803258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1803271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803292 */     // GIR_Coverage, 12484,
     /* 1803292 */     GIR_EraseRootFromParent_Done,
     /* 1803293 */   // Label 24452: @1803293
     /* 1803293 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1803379), // Rule ID 12485 //
     /* 1803298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1803315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803344 */     // MIs[0] policy
     /* 1803344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803354 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1803357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803378 */     // GIR_Coverage, 12485,
     /* 1803378 */     GIR_EraseRootFromParent_Done,
     /* 1803379 */   // Label 24453: @1803379
     /* 1803379 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1803465), // Rule ID 12488 //
     /* 1803384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803430 */     // MIs[0] policy
     /* 1803430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803464 */     // GIR_Coverage, 12488,
     /* 1803464 */     GIR_EraseRootFromParent_Done,
     /* 1803465 */   // Label 24454: @1803465
     /* 1803465 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1803551), // Rule ID 12489 //
     /* 1803470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803516 */     // MIs[0] policy
     /* 1803516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803550 */     // GIR_Coverage, 12489,
     /* 1803550 */     GIR_EraseRootFromParent_Done,
     /* 1803551 */   // Label 24455: @1803551
     /* 1803551 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1803637), // Rule ID 12492 //
     /* 1803556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803602 */     // MIs[0] policy
     /* 1803602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803636 */     // GIR_Coverage, 12492,
     /* 1803636 */     GIR_EraseRootFromParent_Done,
     /* 1803637 */   // Label 24456: @1803637
     /* 1803637 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1803723), // Rule ID 12493 //
     /* 1803642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803688 */     // MIs[0] policy
     /* 1803688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803722 */     // GIR_Coverage, 12493,
     /* 1803722 */     GIR_EraseRootFromParent_Done,
     /* 1803723 */   // Label 24457: @1803723
     /* 1803723 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1803809), // Rule ID 12496 //
     /* 1803728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803774 */     // MIs[0] policy
     /* 1803774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803808 */     // GIR_Coverage, 12496,
     /* 1803808 */     GIR_EraseRootFromParent_Done,
     /* 1803809 */   // Label 24458: @1803809
     /* 1803809 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1803895), // Rule ID 12497 //
     /* 1803814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803860 */     // MIs[0] policy
     /* 1803860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803894 */     // GIR_Coverage, 12497,
     /* 1803894 */     GIR_EraseRootFromParent_Done,
     /* 1803895 */   // Label 24459: @1803895
     /* 1803895 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1803981), // Rule ID 12500 //
     /* 1803900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803946 */     // MIs[0] policy
     /* 1803946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803980 */     // GIR_Coverage, 12500,
     /* 1803980 */     GIR_EraseRootFromParent_Done,
     /* 1803981 */   // Label 24460: @1803981
     /* 1803981 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1804067), // Rule ID 12501 //
     /* 1803986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1804000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1804003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1804006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804032 */     // MIs[0] policy
     /* 1804032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804066 */     // GIR_Coverage, 12501,
     /* 1804066 */     GIR_EraseRootFromParent_Done,
     /* 1804067 */   // Label 24461: @1804067
     /* 1804067 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1804153), // Rule ID 12504 //
     /* 1804072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1804089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1804092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804118 */     // MIs[0] policy
     /* 1804118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804152 */     // GIR_Coverage, 12504,
     /* 1804152 */     GIR_EraseRootFromParent_Done,
     /* 1804153 */   // Label 24462: @1804153
     /* 1804153 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1804239), // Rule ID 12505 //
     /* 1804158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1804175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1804178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804204 */     // MIs[0] policy
     /* 1804204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804214 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804238 */     // GIR_Coverage, 12505,
     /* 1804238 */     GIR_EraseRootFromParent_Done,
     /* 1804239 */   // Label 24463: @1804239
     /* 1804239 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1804325), // Rule ID 12508 //
     /* 1804244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1804261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1804264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804290 */     // MIs[0] policy
     /* 1804290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804324 */     // GIR_Coverage, 12508,
     /* 1804324 */     GIR_EraseRootFromParent_Done,
     /* 1804325 */   // Label 24464: @1804325
     /* 1804325 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1804411), // Rule ID 12509 //
     /* 1804330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1804347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1804350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804376 */     // MIs[0] policy
     /* 1804376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804410 */     // GIR_Coverage, 12509,
     /* 1804410 */     GIR_EraseRootFromParent_Done,
     /* 1804411 */   // Label 24465: @1804411
     /* 1804411 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1804497), // Rule ID 12512 //
     /* 1804416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804462 */     // MIs[0] policy
     /* 1804462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804496 */     // GIR_Coverage, 12512,
     /* 1804496 */     GIR_EraseRootFromParent_Done,
     /* 1804497 */   // Label 24466: @1804497
     /* 1804497 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1804583), // Rule ID 12513 //
     /* 1804502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804548 */     // MIs[0] policy
     /* 1804548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804582 */     // GIR_Coverage, 12513,
     /* 1804582 */     GIR_EraseRootFromParent_Done,
     /* 1804583 */   // Label 24467: @1804583
     /* 1804583 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1804669), // Rule ID 12516 //
     /* 1804588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804634 */     // MIs[0] policy
     /* 1804634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804668 */     // GIR_Coverage, 12516,
     /* 1804668 */     GIR_EraseRootFromParent_Done,
     /* 1804669 */   // Label 24468: @1804669
     /* 1804669 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1804755), // Rule ID 12517 //
     /* 1804674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804720 */     // MIs[0] policy
     /* 1804720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804754 */     // GIR_Coverage, 12517,
     /* 1804754 */     GIR_EraseRootFromParent_Done,
     /* 1804755 */   // Label 24469: @1804755
     /* 1804755 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1804841), // Rule ID 12520 //
     /* 1804760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804806 */     // MIs[0] policy
     /* 1804806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804840 */     // GIR_Coverage, 12520,
     /* 1804840 */     GIR_EraseRootFromParent_Done,
     /* 1804841 */   // Label 24470: @1804841
     /* 1804841 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1804927), // Rule ID 12521 //
     /* 1804846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804892 */     // MIs[0] policy
     /* 1804892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804926 */     // GIR_Coverage, 12521,
     /* 1804926 */     GIR_EraseRootFromParent_Done,
     /* 1804927 */   // Label 24471: @1804927
     /* 1804927 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1805013), // Rule ID 12524 //
     /* 1804932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1804952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804978 */     // MIs[0] policy
     /* 1804978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805012 */     // GIR_Coverage, 12524,
     /* 1805012 */     GIR_EraseRootFromParent_Done,
     /* 1805013 */   // Label 24472: @1805013
     /* 1805013 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1805099), // Rule ID 12525 //
     /* 1805018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1805029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1805032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1805038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805064 */     // MIs[0] policy
     /* 1805064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805098 */     // GIR_Coverage, 12525,
     /* 1805098 */     GIR_EraseRootFromParent_Done,
     /* 1805099 */   // Label 24473: @1805099
     /* 1805099 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1805185), // Rule ID 12528 //
     /* 1805104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1805121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1805124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805150 */     // MIs[0] policy
     /* 1805150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805184 */     // GIR_Coverage, 12528,
     /* 1805184 */     GIR_EraseRootFromParent_Done,
     /* 1805185 */   // Label 24474: @1805185
     /* 1805185 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1805271), // Rule ID 12529 //
     /* 1805190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1805207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1805210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805236 */     // MIs[0] policy
     /* 1805236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805270 */     // GIR_Coverage, 12529,
     /* 1805270 */     GIR_EraseRootFromParent_Done,
     /* 1805271 */   // Label 24475: @1805271
     /* 1805271 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1805357), // Rule ID 12532 //
     /* 1805276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1805293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1805296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805322 */     // MIs[0] policy
     /* 1805322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805356 */     // GIR_Coverage, 12532,
     /* 1805356 */     GIR_EraseRootFromParent_Done,
     /* 1805357 */   // Label 24476: @1805357
     /* 1805357 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1805443), // Rule ID 12533 //
     /* 1805362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1805379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1805382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805408 */     // MIs[0] policy
     /* 1805408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805442 */     // GIR_Coverage, 12533,
     /* 1805442 */     GIR_EraseRootFromParent_Done,
     /* 1805443 */   // Label 24477: @1805443
     /* 1805443 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1805529), // Rule ID 12536 //
     /* 1805448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805494 */     // MIs[0] policy
     /* 1805494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805528 */     // GIR_Coverage, 12536,
     /* 1805528 */     GIR_EraseRootFromParent_Done,
     /* 1805529 */   // Label 24478: @1805529
     /* 1805529 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1805615), // Rule ID 12537 //
     /* 1805534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805580 */     // MIs[0] policy
     /* 1805580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805614 */     // GIR_Coverage, 12537,
     /* 1805614 */     GIR_EraseRootFromParent_Done,
     /* 1805615 */   // Label 24479: @1805615
     /* 1805615 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1805701), // Rule ID 12540 //
     /* 1805620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805666 */     // MIs[0] policy
     /* 1805666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805700 */     // GIR_Coverage, 12540,
     /* 1805700 */     GIR_EraseRootFromParent_Done,
     /* 1805701 */   // Label 24480: @1805701
     /* 1805701 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1805787), // Rule ID 12541 //
     /* 1805706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805752 */     // MIs[0] policy
     /* 1805752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805786 */     // GIR_Coverage, 12541,
     /* 1805786 */     GIR_EraseRootFromParent_Done,
     /* 1805787 */   // Label 24481: @1805787
     /* 1805787 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1805873), // Rule ID 12544 //
     /* 1805792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805838 */     // MIs[0] policy
     /* 1805838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805872 */     // GIR_Coverage, 12544,
     /* 1805872 */     GIR_EraseRootFromParent_Done,
     /* 1805873 */   // Label 24482: @1805873
     /* 1805873 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1805959), // Rule ID 12545 //
     /* 1805878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805924 */     // MIs[0] policy
     /* 1805924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805958 */     // GIR_Coverage, 12545,
     /* 1805958 */     GIR_EraseRootFromParent_Done,
     /* 1805959 */   // Label 24483: @1805959
     /* 1805959 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1806045), // Rule ID 12548 //
     /* 1805964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806010 */     // MIs[0] policy
     /* 1806010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1806023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806044 */     // GIR_Coverage, 12548,
     /* 1806044 */     GIR_EraseRootFromParent_Done,
     /* 1806045 */   // Label 24484: @1806045
     /* 1806045 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1806131), // Rule ID 12549 //
     /* 1806050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1806061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1806064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1806067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1806070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806096 */     // MIs[0] policy
     /* 1806096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1806109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806130 */     // GIR_Coverage, 12549,
     /* 1806130 */     GIR_EraseRootFromParent_Done,
     /* 1806131 */   // Label 24485: @1806131
     /* 1806131 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1806217), // Rule ID 12552 //
     /* 1806136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1806153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806182 */     // MIs[0] policy
     /* 1806182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1806195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806216 */     // GIR_Coverage, 12552,
     /* 1806216 */     GIR_EraseRootFromParent_Done,
     /* 1806217 */   // Label 24486: @1806217
     /* 1806217 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1806303), // Rule ID 12553 //
     /* 1806222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1806239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806268 */     // MIs[0] policy
     /* 1806268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1806281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806302 */     // GIR_Coverage, 12553,
     /* 1806302 */     GIR_EraseRootFromParent_Done,
     /* 1806303 */   // Label 24487: @1806303
     /* 1806303 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1806389), // Rule ID 12556 //
     /* 1806308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1806325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806354 */     // MIs[0] policy
     /* 1806354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806388 */     // GIR_Coverage, 12556,
     /* 1806388 */     GIR_EraseRootFromParent_Done,
     /* 1806389 */   // Label 24488: @1806389
     /* 1806389 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1806475), // Rule ID 12557 //
     /* 1806394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1806411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806440 */     // MIs[0] policy
     /* 1806440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806474 */     // GIR_Coverage, 12557,
     /* 1806474 */     GIR_EraseRootFromParent_Done,
     /* 1806475 */   // Label 24489: @1806475
     /* 1806475 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1806561), // Rule ID 12560 //
     /* 1806480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806526 */     // MIs[0] policy
     /* 1806526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806560 */     // GIR_Coverage, 12560,
     /* 1806560 */     GIR_EraseRootFromParent_Done,
     /* 1806561 */   // Label 24490: @1806561
     /* 1806561 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1806647), // Rule ID 12561 //
     /* 1806566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806612 */     // MIs[0] policy
     /* 1806612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806646 */     // GIR_Coverage, 12561,
     /* 1806646 */     GIR_EraseRootFromParent_Done,
     /* 1806647 */   // Label 24491: @1806647
     /* 1806647 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1806733), // Rule ID 12564 //
     /* 1806652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806698 */     // MIs[0] policy
     /* 1806698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806732 */     // GIR_Coverage, 12564,
     /* 1806732 */     GIR_EraseRootFromParent_Done,
     /* 1806733 */   // Label 24492: @1806733
     /* 1806733 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1806819), // Rule ID 12565 //
     /* 1806738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806784 */     // MIs[0] policy
     /* 1806784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806818 */     // GIR_Coverage, 12565,
     /* 1806818 */     GIR_EraseRootFromParent_Done,
     /* 1806819 */   // Label 24493: @1806819
     /* 1806819 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1806905), // Rule ID 12568 //
     /* 1806824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806870 */     // MIs[0] policy
     /* 1806870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806904 */     // GIR_Coverage, 12568,
     /* 1806904 */     GIR_EraseRootFromParent_Done,
     /* 1806905 */   // Label 24494: @1806905
     /* 1806905 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1806991), // Rule ID 12569 //
     /* 1806910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806956 */     // MIs[0] policy
     /* 1806956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806990 */     // GIR_Coverage, 12569,
     /* 1806990 */     GIR_EraseRootFromParent_Done,
     /* 1806991 */   // Label 24495: @1806991
     /* 1806991 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1807077), // Rule ID 12572 //
     /* 1806996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1807013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807042 */     // MIs[0] policy
     /* 1807042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807076 */     // GIR_Coverage, 12572,
     /* 1807076 */     GIR_EraseRootFromParent_Done,
     /* 1807077 */   // Label 24496: @1807077
     /* 1807077 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1807163), // Rule ID 12573 //
     /* 1807082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1807099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807128 */     // MIs[0] policy
     /* 1807128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807162 */     // GIR_Coverage, 12573,
     /* 1807162 */     GIR_EraseRootFromParent_Done,
     /* 1807163 */   // Label 24497: @1807163
     /* 1807163 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1807249), // Rule ID 12576 //
     /* 1807168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807214 */     // MIs[0] policy
     /* 1807214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1807227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807248 */     // GIR_Coverage, 12576,
     /* 1807248 */     GIR_EraseRootFromParent_Done,
     /* 1807249 */   // Label 24498: @1807249
     /* 1807249 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1807335), // Rule ID 12577 //
     /* 1807254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807300 */     // MIs[0] policy
     /* 1807300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1807313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807334 */     // GIR_Coverage, 12577,
     /* 1807334 */     GIR_EraseRootFromParent_Done,
     /* 1807335 */   // Label 24499: @1807335
     /* 1807335 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1807421), // Rule ID 12580 //
     /* 1807340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807386 */     // MIs[0] policy
     /* 1807386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807420 */     // GIR_Coverage, 12580,
     /* 1807420 */     GIR_EraseRootFromParent_Done,
     /* 1807421 */   // Label 24500: @1807421
     /* 1807421 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1807507), // Rule ID 12581 //
     /* 1807426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807472 */     // MIs[0] policy
     /* 1807472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807506 */     // GIR_Coverage, 12581,
     /* 1807506 */     GIR_EraseRootFromParent_Done,
     /* 1807507 */   // Label 24501: @1807507
     /* 1807507 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1807593), // Rule ID 12584 //
     /* 1807512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807558 */     // MIs[0] policy
     /* 1807558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807592 */     // GIR_Coverage, 12584,
     /* 1807592 */     GIR_EraseRootFromParent_Done,
     /* 1807593 */   // Label 24502: @1807593
     /* 1807593 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1807679), // Rule ID 12585 //
     /* 1807598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807644 */     // MIs[0] policy
     /* 1807644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807678 */     // GIR_Coverage, 12585,
     /* 1807678 */     GIR_EraseRootFromParent_Done,
     /* 1807679 */   // Label 24503: @1807679
     /* 1807679 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1807765), // Rule ID 12588 //
     /* 1807684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807730 */     // MIs[0] policy
     /* 1807730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807764 */     // GIR_Coverage, 12588,
     /* 1807764 */     GIR_EraseRootFromParent_Done,
     /* 1807765 */   // Label 24504: @1807765
     /* 1807765 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1807851), // Rule ID 12589 //
     /* 1807770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807816 */     // MIs[0] policy
     /* 1807816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807850 */     // GIR_Coverage, 12589,
     /* 1807850 */     GIR_EraseRootFromParent_Done,
     /* 1807851 */   // Label 24505: @1807851
     /* 1807851 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1807937), // Rule ID 12592 //
     /* 1807856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807902 */     // MIs[0] policy
     /* 1807902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807936 */     // GIR_Coverage, 12592,
     /* 1807936 */     GIR_EraseRootFromParent_Done,
     /* 1807937 */   // Label 24506: @1807937
     /* 1807937 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1808023), // Rule ID 12593 //
     /* 1807942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807988 */     // MIs[0] policy
     /* 1807988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808022 */     // GIR_Coverage, 12593,
     /* 1808022 */     GIR_EraseRootFromParent_Done,
     /* 1808023 */   // Label 24507: @1808023
     /* 1808023 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1808109), // Rule ID 12596 //
     /* 1808028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808074 */     // MIs[0] policy
     /* 1808074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1808087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808108 */     // GIR_Coverage, 12596,
     /* 1808108 */     GIR_EraseRootFromParent_Done,
     /* 1808109 */   // Label 24508: @1808109
     /* 1808109 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1808195), // Rule ID 12597 //
     /* 1808114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808160 */     // MIs[0] policy
     /* 1808160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1808173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808194 */     // GIR_Coverage, 12597,
     /* 1808194 */     GIR_EraseRootFromParent_Done,
     /* 1808195 */   // Label 24509: @1808195
     /* 1808195 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1808281), // Rule ID 12600 //
     /* 1808200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1808211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1808214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808246 */     // MIs[0] policy
     /* 1808246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1808259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808280 */     // GIR_Coverage, 12600,
     /* 1808280 */     GIR_EraseRootFromParent_Done,
     /* 1808281 */   // Label 24510: @1808281
     /* 1808281 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1808367), // Rule ID 12601 //
     /* 1808286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1808297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1808300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808332 */     // MIs[0] policy
     /* 1808332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1808345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808366 */     // GIR_Coverage, 12601,
     /* 1808366 */     GIR_EraseRootFromParent_Done,
     /* 1808367 */   // Label 24511: @1808367
     /* 1808367 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1808453), // Rule ID 12604 //
     /* 1808372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808418 */     // MIs[0] policy
     /* 1808418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1808431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808452 */     // GIR_Coverage, 12604,
     /* 1808452 */     GIR_EraseRootFromParent_Done,
     /* 1808453 */   // Label 24512: @1808453
     /* 1808453 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1808539), // Rule ID 12605 //
     /* 1808458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808504 */     // MIs[0] policy
     /* 1808504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1808517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808538 */     // GIR_Coverage, 12605,
     /* 1808538 */     GIR_EraseRootFromParent_Done,
     /* 1808539 */   // Label 24513: @1808539
     /* 1808539 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1808625), // Rule ID 12608 //
     /* 1808544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808590 */     // MIs[0] policy
     /* 1808590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808624 */     // GIR_Coverage, 12608,
     /* 1808624 */     GIR_EraseRootFromParent_Done,
     /* 1808625 */   // Label 24514: @1808625
     /* 1808625 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1808711), // Rule ID 12609 //
     /* 1808630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808676 */     // MIs[0] policy
     /* 1808676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808710 */     // GIR_Coverage, 12609,
     /* 1808710 */     GIR_EraseRootFromParent_Done,
     /* 1808711 */   // Label 24515: @1808711
     /* 1808711 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1808797), // Rule ID 12612 //
     /* 1808716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808762 */     // MIs[0] policy
     /* 1808762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808796 */     // GIR_Coverage, 12612,
     /* 1808796 */     GIR_EraseRootFromParent_Done,
     /* 1808797 */   // Label 24516: @1808797
     /* 1808797 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1808883), // Rule ID 12613 //
     /* 1808802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808848 */     // MIs[0] policy
     /* 1808848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808882 */     // GIR_Coverage, 12613,
     /* 1808882 */     GIR_EraseRootFromParent_Done,
     /* 1808883 */   // Label 24517: @1808883
     /* 1808883 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1808969), // Rule ID 12616 //
     /* 1808888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808934 */     // MIs[0] policy
     /* 1808934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808968 */     // GIR_Coverage, 12616,
     /* 1808968 */     GIR_EraseRootFromParent_Done,
     /* 1808969 */   // Label 24518: @1808969
     /* 1808969 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1809055), // Rule ID 12617 //
     /* 1808974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809020 */     // MIs[0] policy
     /* 1809020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809030 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809054 */     // GIR_Coverage, 12617,
     /* 1809054 */     GIR_EraseRootFromParent_Done,
     /* 1809055 */   // Label 24519: @1809055
     /* 1809055 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1809141), // Rule ID 12620 //
     /* 1809060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1809077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1809080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809106 */     // MIs[0] policy
     /* 1809106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1809119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809140 */     // GIR_Coverage, 12620,
     /* 1809140 */     GIR_EraseRootFromParent_Done,
     /* 1809141 */   // Label 24520: @1809141
     /* 1809141 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1809227), // Rule ID 12621 //
     /* 1809146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1809163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1809166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809192 */     // MIs[0] policy
     /* 1809192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1809205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809226 */     // GIR_Coverage, 12621,
     /* 1809226 */     GIR_EraseRootFromParent_Done,
     /* 1809227 */   // Label 24521: @1809227
     /* 1809227 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1809313), // Rule ID 12624 //
     /* 1809232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1809252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809278 */     // MIs[0] policy
     /* 1809278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809312 */     // GIR_Coverage, 12624,
     /* 1809312 */     GIR_EraseRootFromParent_Done,
     /* 1809313 */   // Label 24522: @1809313
     /* 1809313 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1809399), // Rule ID 12625 //
     /* 1809318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1809338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809364 */     // MIs[0] policy
     /* 1809364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809398 */     // GIR_Coverage, 12625,
     /* 1809398 */     GIR_EraseRootFromParent_Done,
     /* 1809399 */   // Label 24523: @1809399
     /* 1809399 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1809485), // Rule ID 12628 //
     /* 1809404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809450 */     // MIs[0] policy
     /* 1809450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809484 */     // GIR_Coverage, 12628,
     /* 1809484 */     GIR_EraseRootFromParent_Done,
     /* 1809485 */   // Label 24524: @1809485
     /* 1809485 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1809571), // Rule ID 12629 //
     /* 1809490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809536 */     // MIs[0] policy
     /* 1809536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809570 */     // GIR_Coverage, 12629,
     /* 1809570 */     GIR_EraseRootFromParent_Done,
     /* 1809571 */   // Label 24525: @1809571
     /* 1809571 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1809657), // Rule ID 12632 //
     /* 1809576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809622 */     // MIs[0] policy
     /* 1809622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809656 */     // GIR_Coverage, 12632,
     /* 1809656 */     GIR_EraseRootFromParent_Done,
     /* 1809657 */   // Label 24526: @1809657
     /* 1809657 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1809743), // Rule ID 12633 //
     /* 1809662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809708 */     // MIs[0] policy
     /* 1809708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809718 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809742 */     // GIR_Coverage, 12633,
     /* 1809742 */     GIR_EraseRootFromParent_Done,
     /* 1809743 */   // Label 24527: @1809743
     /* 1809743 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1809829), // Rule ID 12636 //
     /* 1809748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809794 */     // MIs[0] policy
     /* 1809794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809828 */     // GIR_Coverage, 12636,
     /* 1809828 */     GIR_EraseRootFromParent_Done,
     /* 1809829 */   // Label 24528: @1809829
     /* 1809829 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1809915), // Rule ID 12637 //
     /* 1809834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809880 */     // MIs[0] policy
     /* 1809880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809914 */     // GIR_Coverage, 12637,
     /* 1809914 */     GIR_EraseRootFromParent_Done,
     /* 1809915 */   // Label 24529: @1809915
     /* 1809915 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1810001), // Rule ID 12640 //
     /* 1809920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809966 */     // MIs[0] policy
     /* 1809966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810000 */     // GIR_Coverage, 12640,
     /* 1810000 */     GIR_EraseRootFromParent_Done,
     /* 1810001 */   // Label 24530: @1810001
     /* 1810001 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1810087), // Rule ID 12641 //
     /* 1810006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1810017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1810020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1810023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1810026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810052 */     // MIs[0] policy
     /* 1810052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810062 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1810065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810086 */     // GIR_Coverage, 12641,
     /* 1810086 */     GIR_EraseRootFromParent_Done,
     /* 1810087 */   // Label 24531: @1810087
     /* 1810087 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1810173), // Rule ID 12644 //
     /* 1810092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1810095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1810103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1810106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1810109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1810112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810138 */     // MIs[0] policy
     /* 1810138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1810151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810172 */     // GIR_Coverage, 12644,
     /* 1810172 */     GIR_EraseRootFromParent_Done,
     /* 1810173 */   // Label 24532: @1810173
     /* 1810173 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1810259), // Rule ID 12645 //
     /* 1810178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1810181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1810189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1810192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1810195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1810198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810224 */     // MIs[0] policy
     /* 1810224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1810237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810258 */     // GIR_Coverage, 12645,
     /* 1810258 */     GIR_EraseRootFromParent_Done,
     /* 1810259 */   // Label 24533: @1810259
     /* 1810259 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1810345), // Rule ID 12648 //
     /* 1810264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1810275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1810278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810310 */     // MIs[0] policy
     /* 1810310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810344 */     // GIR_Coverage, 12648,
     /* 1810344 */     GIR_EraseRootFromParent_Done,
     /* 1810345 */   // Label 24534: @1810345
     /* 1810345 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1810431), // Rule ID 12649 //
     /* 1810350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1810361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1810364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810396 */     // MIs[0] policy
     /* 1810396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810406 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810430 */     // GIR_Coverage, 12649,
     /* 1810430 */     GIR_EraseRootFromParent_Done,
     /* 1810431 */   // Label 24535: @1810431
     /* 1810431 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1810517), // Rule ID 12652 //
     /* 1810436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810482 */     // MIs[0] policy
     /* 1810482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810516 */     // GIR_Coverage, 12652,
     /* 1810516 */     GIR_EraseRootFromParent_Done,
     /* 1810517 */   // Label 24536: @1810517
     /* 1810517 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1810603), // Rule ID 12653 //
     /* 1810522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810568 */     // MIs[0] policy
     /* 1810568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810602 */     // GIR_Coverage, 12653,
     /* 1810602 */     GIR_EraseRootFromParent_Done,
     /* 1810603 */   // Label 24537: @1810603
     /* 1810603 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1810689), // Rule ID 12656 //
     /* 1810608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810654 */     // MIs[0] policy
     /* 1810654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810664 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810688 */     // GIR_Coverage, 12656,
     /* 1810688 */     GIR_EraseRootFromParent_Done,
     /* 1810689 */   // Label 24538: @1810689
     /* 1810689 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1810775), // Rule ID 12657 //
     /* 1810694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810740 */     // MIs[0] policy
     /* 1810740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810774 */     // GIR_Coverage, 12657,
     /* 1810774 */     GIR_EraseRootFromParent_Done,
     /* 1810775 */   // Label 24539: @1810775
     /* 1810775 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1810861), // Rule ID 12660 //
     /* 1810780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810826 */     // MIs[0] policy
     /* 1810826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810860 */     // GIR_Coverage, 12660,
     /* 1810860 */     GIR_EraseRootFromParent_Done,
     /* 1810861 */   // Label 24540: @1810861
     /* 1810861 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1810947), // Rule ID 12661 //
     /* 1810866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810912 */     // MIs[0] policy
     /* 1810912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810946 */     // GIR_Coverage, 12661,
     /* 1810946 */     GIR_EraseRootFromParent_Done,
     /* 1810947 */   // Label 24541: @1810947
     /* 1810947 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1811033), // Rule ID 12664 //
     /* 1810952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1810969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1810972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810998 */     // MIs[0] policy
     /* 1810998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811032 */     // GIR_Coverage, 12664,
     /* 1811032 */     GIR_EraseRootFromParent_Done,
     /* 1811033 */   // Label 24542: @1811033
     /* 1811033 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1811119), // Rule ID 12665 //
     /* 1811038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1811049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811084 */     // MIs[0] policy
     /* 1811084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811094 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811118 */     // GIR_Coverage, 12665,
     /* 1811118 */     GIR_EraseRootFromParent_Done,
     /* 1811119 */   // Label 24543: @1811119
     /* 1811119 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1811205), // Rule ID 12668 //
     /* 1811124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1811141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1811144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811170 */     // MIs[0] policy
     /* 1811170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811204 */     // GIR_Coverage, 12668,
     /* 1811204 */     GIR_EraseRootFromParent_Done,
     /* 1811205 */   // Label 24544: @1811205
     /* 1811205 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1811291), // Rule ID 12669 //
     /* 1811210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1811227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1811230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811256 */     // MIs[0] policy
     /* 1811256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811290 */     // GIR_Coverage, 12669,
     /* 1811290 */     GIR_EraseRootFromParent_Done,
     /* 1811291 */   // Label 24545: @1811291
     /* 1811291 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1811377), // Rule ID 12672 //
     /* 1811296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811342 */     // MIs[0] policy
     /* 1811342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811376 */     // GIR_Coverage, 12672,
     /* 1811376 */     GIR_EraseRootFromParent_Done,
     /* 1811377 */   // Label 24546: @1811377
     /* 1811377 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1811463), // Rule ID 12673 //
     /* 1811382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811428 */     // MIs[0] policy
     /* 1811428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811462 */     // GIR_Coverage, 12673,
     /* 1811462 */     GIR_EraseRootFromParent_Done,
     /* 1811463 */   // Label 24547: @1811463
     /* 1811463 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1811549), // Rule ID 12676 //
     /* 1811468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811514 */     // MIs[0] policy
     /* 1811514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811548 */     // GIR_Coverage, 12676,
     /* 1811548 */     GIR_EraseRootFromParent_Done,
     /* 1811549 */   // Label 24548: @1811549
     /* 1811549 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1811635), // Rule ID 12677 //
     /* 1811554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811600 */     // MIs[0] policy
     /* 1811600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811634 */     // GIR_Coverage, 12677,
     /* 1811634 */     GIR_EraseRootFromParent_Done,
     /* 1811635 */   // Label 24549: @1811635
     /* 1811635 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1811721), // Rule ID 12680 //
     /* 1811640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811686 */     // MIs[0] policy
     /* 1811686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811720 */     // GIR_Coverage, 12680,
     /* 1811720 */     GIR_EraseRootFromParent_Done,
     /* 1811721 */   // Label 24550: @1811721
     /* 1811721 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1811807), // Rule ID 12681 //
     /* 1811726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811772 */     // MIs[0] policy
     /* 1811772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811806 */     // GIR_Coverage, 12681,
     /* 1811806 */     GIR_EraseRootFromParent_Done,
     /* 1811807 */   // Label 24551: @1811807
     /* 1811807 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1811893), // Rule ID 12684 //
     /* 1811812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811858 */     // MIs[0] policy
     /* 1811858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811892 */     // GIR_Coverage, 12684,
     /* 1811892 */     GIR_EraseRootFromParent_Done,
     /* 1811893 */   // Label 24552: @1811893
     /* 1811893 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1811979), // Rule ID 12685 //
     /* 1811898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811944 */     // MIs[0] policy
     /* 1811944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811978 */     // GIR_Coverage, 12685,
     /* 1811978 */     GIR_EraseRootFromParent_Done,
     /* 1811979 */   // Label 24553: @1811979
     /* 1811979 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1812065), // Rule ID 12688 //
     /* 1811984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1812001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1812004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812030 */     // MIs[0] policy
     /* 1812030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1812043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812064 */     // GIR_Coverage, 12688,
     /* 1812064 */     GIR_EraseRootFromParent_Done,
     /* 1812065 */   // Label 24554: @1812065
     /* 1812065 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1812151), // Rule ID 12689 //
     /* 1812070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1812073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1812087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1812090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812116 */     // MIs[0] policy
     /* 1812116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1812129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812150 */     // GIR_Coverage, 12689,
     /* 1812150 */     GIR_EraseRootFromParent_Done,
     /* 1812151 */   // Label 24555: @1812151
     /* 1812151 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1812237), // Rule ID 12692 //
     /* 1812156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1812159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1812173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1812176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812202 */     // MIs[0] policy
     /* 1812202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1812215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812236 */     // GIR_Coverage, 12692,
     /* 1812236 */     GIR_EraseRootFromParent_Done,
     /* 1812237 */   // Label 24556: @1812237
     /* 1812237 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1812323), // Rule ID 12693 //
     /* 1812242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1812245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1812259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1812262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812288 */     // MIs[0] policy
     /* 1812288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812298 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1812301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812322 */     // GIR_Coverage, 12693,
     /* 1812322 */     GIR_EraseRootFromParent_Done,
     /* 1812323 */   // Label 24557: @1812323
     /* 1812323 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1812409), // Rule ID 12696 //
     /* 1812328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1812339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1812342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1812348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812374 */     // MIs[0] policy
     /* 1812374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812384 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1812387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812408 */     // GIR_Coverage, 12696,
     /* 1812408 */     GIR_EraseRootFromParent_Done,
     /* 1812409 */   // Label 24558: @1812409
     /* 1812409 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1812495), // Rule ID 12697 //
     /* 1812414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1812425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1812428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1812434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812460 */     // MIs[0] policy
     /* 1812460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812470 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1812473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812494 */     // GIR_Coverage, 12697,
     /* 1812494 */     GIR_EraseRootFromParent_Done,
     /* 1812495 */   // Label 24559: @1812495
     /* 1812495 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1812581), // Rule ID 12700 //
     /* 1812500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812546 */     // MIs[0] policy
     /* 1812546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812580 */     // GIR_Coverage, 12700,
     /* 1812580 */     GIR_EraseRootFromParent_Done,
     /* 1812581 */   // Label 24560: @1812581
     /* 1812581 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1812667), // Rule ID 12701 //
     /* 1812586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812632 */     // MIs[0] policy
     /* 1812632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812642 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812666 */     // GIR_Coverage, 12701,
     /* 1812666 */     GIR_EraseRootFromParent_Done,
     /* 1812667 */   // Label 24561: @1812667
     /* 1812667 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1812753), // Rule ID 12704 //
     /* 1812672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812718 */     // MIs[0] policy
     /* 1812718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812752 */     // GIR_Coverage, 12704,
     /* 1812752 */     GIR_EraseRootFromParent_Done,
     /* 1812753 */   // Label 24562: @1812753
     /* 1812753 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1812839), // Rule ID 12705 //
     /* 1812758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812804 */     // MIs[0] policy
     /* 1812804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812838 */     // GIR_Coverage, 12705,
     /* 1812838 */     GIR_EraseRootFromParent_Done,
     /* 1812839 */   // Label 24563: @1812839
     /* 1812839 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1812925), // Rule ID 12708 //
     /* 1812844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812890 */     // MIs[0] policy
     /* 1812890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812924 */     // GIR_Coverage, 12708,
     /* 1812924 */     GIR_EraseRootFromParent_Done,
     /* 1812925 */   // Label 24564: @1812925
     /* 1812925 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1813011), // Rule ID 12709 //
     /* 1812930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812976 */     // MIs[0] policy
     /* 1812976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813010 */     // GIR_Coverage, 12709,
     /* 1813010 */     GIR_EraseRootFromParent_Done,
     /* 1813011 */   // Label 24565: @1813011
     /* 1813011 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1813097), // Rule ID 12712 //
     /* 1813016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1813036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813062 */     // MIs[0] policy
     /* 1813062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813096 */     // GIR_Coverage, 12712,
     /* 1813096 */     GIR_EraseRootFromParent_Done,
     /* 1813097 */   // Label 24566: @1813097
     /* 1813097 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1813183), // Rule ID 12713 //
     /* 1813102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1813122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813148 */     // MIs[0] policy
     /* 1813148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813182 */     // GIR_Coverage, 12713,
     /* 1813182 */     GIR_EraseRootFromParent_Done,
     /* 1813183 */   // Label 24567: @1813183
     /* 1813183 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1813269), // Rule ID 12716 //
     /* 1813188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1813208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813234 */     // MIs[0] policy
     /* 1813234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813268 */     // GIR_Coverage, 12716,
     /* 1813268 */     GIR_EraseRootFromParent_Done,
     /* 1813269 */   // Label 24568: @1813269
     /* 1813269 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1813355), // Rule ID 12717 //
     /* 1813274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1813294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813320 */     // MIs[0] policy
     /* 1813320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813354 */     // GIR_Coverage, 12717,
     /* 1813354 */     GIR_EraseRootFromParent_Done,
     /* 1813355 */   // Label 24569: @1813355
     /* 1813355 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1813441), // Rule ID 12720 //
     /* 1813360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813406 */     // MIs[0] policy
     /* 1813406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813440 */     // GIR_Coverage, 12720,
     /* 1813440 */     GIR_EraseRootFromParent_Done,
     /* 1813441 */   // Label 24570: @1813441
     /* 1813441 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1813527), // Rule ID 12721 //
     /* 1813446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813492 */     // MIs[0] policy
     /* 1813492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813526 */     // GIR_Coverage, 12721,
     /* 1813526 */     GIR_EraseRootFromParent_Done,
     /* 1813527 */   // Label 24571: @1813527
     /* 1813527 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1813613), // Rule ID 12724 //
     /* 1813532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813578 */     // MIs[0] policy
     /* 1813578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813612 */     // GIR_Coverage, 12724,
     /* 1813612 */     GIR_EraseRootFromParent_Done,
     /* 1813613 */   // Label 24572: @1813613
     /* 1813613 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1813699), // Rule ID 12725 //
     /* 1813618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813664 */     // MIs[0] policy
     /* 1813664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813698 */     // GIR_Coverage, 12725,
     /* 1813698 */     GIR_EraseRootFromParent_Done,
     /* 1813699 */   // Label 24573: @1813699
     /* 1813699 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1813785), // Rule ID 12728 //
     /* 1813704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813750 */     // MIs[0] policy
     /* 1813750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813784 */     // GIR_Coverage, 12728,
     /* 1813784 */     GIR_EraseRootFromParent_Done,
     /* 1813785 */   // Label 24574: @1813785
     /* 1813785 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1813871), // Rule ID 12729 //
     /* 1813790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813836 */     // MIs[0] policy
     /* 1813836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813870 */     // GIR_Coverage, 12729,
     /* 1813870 */     GIR_EraseRootFromParent_Done,
     /* 1813871 */   // Label 24575: @1813871
     /* 1813871 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1813957), // Rule ID 12732 //
     /* 1813876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813922 */     // MIs[0] policy
     /* 1813922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813956 */     // GIR_Coverage, 12732,
     /* 1813956 */     GIR_EraseRootFromParent_Done,
     /* 1813957 */   // Label 24576: @1813957
     /* 1813957 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1814043), // Rule ID 12733 //
     /* 1813962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814008 */     // MIs[0] policy
     /* 1814008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1814021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814042 */     // GIR_Coverage, 12733,
     /* 1814042 */     GIR_EraseRootFromParent_Done,
     /* 1814043 */   // Label 24577: @1814043
     /* 1814043 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1814129), // Rule ID 12736 //
     /* 1814048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1814059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1814062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1814068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814094 */     // MIs[0] policy
     /* 1814094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814128 */     // GIR_Coverage, 12736,
     /* 1814128 */     GIR_EraseRootFromParent_Done,
     /* 1814129 */   // Label 24578: @1814129
     /* 1814129 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1814215), // Rule ID 12737 //
     /* 1814134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1814145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1814148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1814154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814180 */     // MIs[0] policy
     /* 1814180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814190 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814214 */     // GIR_Coverage, 12737,
     /* 1814214 */     GIR_EraseRootFromParent_Done,
     /* 1814215 */   // Label 24579: @1814215
     /* 1814215 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1814301), // Rule ID 12740 //
     /* 1814220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1814231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1814234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1814240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814266 */     // MIs[0] policy
     /* 1814266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814300 */     // GIR_Coverage, 12740,
     /* 1814300 */     GIR_EraseRootFromParent_Done,
     /* 1814301 */   // Label 24580: @1814301
     /* 1814301 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1814387), // Rule ID 12741 //
     /* 1814306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1814317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1814320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1814326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814352 */     // MIs[0] policy
     /* 1814352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814362 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814386 */     // GIR_Coverage, 12741,
     /* 1814386 */     GIR_EraseRootFromParent_Done,
     /* 1814387 */   // Label 24581: @1814387
     /* 1814387 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1814473), // Rule ID 12744 //
     /* 1814392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814438 */     // MIs[0] policy
     /* 1814438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814472 */     // GIR_Coverage, 12744,
     /* 1814472 */     GIR_EraseRootFromParent_Done,
     /* 1814473 */   // Label 24582: @1814473
     /* 1814473 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1814559), // Rule ID 12745 //
     /* 1814478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814524 */     // MIs[0] policy
     /* 1814524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814558 */     // GIR_Coverage, 12745,
     /* 1814558 */     GIR_EraseRootFromParent_Done,
     /* 1814559 */   // Label 24583: @1814559
     /* 1814559 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1814645), // Rule ID 12748 //
     /* 1814564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814610 */     // MIs[0] policy
     /* 1814610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814644 */     // GIR_Coverage, 12748,
     /* 1814644 */     GIR_EraseRootFromParent_Done,
     /* 1814645 */   // Label 24584: @1814645
     /* 1814645 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1814731), // Rule ID 12749 //
     /* 1814650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814696 */     // MIs[0] policy
     /* 1814696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814730 */     // GIR_Coverage, 12749,
     /* 1814730 */     GIR_EraseRootFromParent_Done,
     /* 1814731 */   // Label 24585: @1814731
     /* 1814731 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1814817), // Rule ID 12752 //
     /* 1814736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814782 */     // MIs[0] policy
     /* 1814782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814816 */     // GIR_Coverage, 12752,
     /* 1814816 */     GIR_EraseRootFromParent_Done,
     /* 1814817 */   // Label 24586: @1814817
     /* 1814817 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1814903), // Rule ID 12753 //
     /* 1814822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814868 */     // MIs[0] policy
     /* 1814868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814878 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814902 */     // GIR_Coverage, 12753,
     /* 1814902 */     GIR_EraseRootFromParent_Done,
     /* 1814903 */   // Label 24587: @1814903
     /* 1814903 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1814989), // Rule ID 12756 //
     /* 1814908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1814928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814954 */     // MIs[0] policy
     /* 1814954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814988 */     // GIR_Coverage, 12756,
     /* 1814988 */     GIR_EraseRootFromParent_Done,
     /* 1814989 */   // Label 24588: @1814989
     /* 1814989 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1815075), // Rule ID 12757 //
     /* 1814994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1815005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1815008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1815014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815040 */     // MIs[0] policy
     /* 1815040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815050 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815074 */     // GIR_Coverage, 12757,
     /* 1815074 */     GIR_EraseRootFromParent_Done,
     /* 1815075 */   // Label 24589: @1815075
     /* 1815075 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1815161), // Rule ID 12760 //
     /* 1815080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1815100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815126 */     // MIs[0] policy
     /* 1815126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815160 */     // GIR_Coverage, 12760,
     /* 1815160 */     GIR_EraseRootFromParent_Done,
     /* 1815161 */   // Label 24590: @1815161
     /* 1815161 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1815247), // Rule ID 12761 //
     /* 1815166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1815186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815212 */     // MIs[0] policy
     /* 1815212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815246 */     // GIR_Coverage, 12761,
     /* 1815246 */     GIR_EraseRootFromParent_Done,
     /* 1815247 */   // Label 24591: @1815247
     /* 1815247 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1815333), // Rule ID 12764 //
     /* 1815252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1815272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815298 */     // MIs[0] policy
     /* 1815298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815332 */     // GIR_Coverage, 12764,
     /* 1815332 */     GIR_EraseRootFromParent_Done,
     /* 1815333 */   // Label 24592: @1815333
     /* 1815333 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1815419), // Rule ID 12765 //
     /* 1815338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1815358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815384 */     // MIs[0] policy
     /* 1815384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815418 */     // GIR_Coverage, 12765,
     /* 1815418 */     GIR_EraseRootFromParent_Done,
     /* 1815419 */   // Label 24593: @1815419
     /* 1815419 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1815505), // Rule ID 12768 //
     /* 1815424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815470 */     // MIs[0] policy
     /* 1815470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815504 */     // GIR_Coverage, 12768,
     /* 1815504 */     GIR_EraseRootFromParent_Done,
     /* 1815505 */   // Label 24594: @1815505
     /* 1815505 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1815591), // Rule ID 12769 //
     /* 1815510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815556 */     // MIs[0] policy
     /* 1815556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815590 */     // GIR_Coverage, 12769,
     /* 1815590 */     GIR_EraseRootFromParent_Done,
     /* 1815591 */   // Label 24595: @1815591
     /* 1815591 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1815677), // Rule ID 12772 //
     /* 1815596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815642 */     // MIs[0] policy
     /* 1815642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815676 */     // GIR_Coverage, 12772,
     /* 1815676 */     GIR_EraseRootFromParent_Done,
     /* 1815677 */   // Label 24596: @1815677
     /* 1815677 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1815763), // Rule ID 12773 //
     /* 1815682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815728 */     // MIs[0] policy
     /* 1815728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815738 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815762 */     // GIR_Coverage, 12773,
     /* 1815762 */     GIR_EraseRootFromParent_Done,
     /* 1815763 */   // Label 24597: @1815763
     /* 1815763 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1815849), // Rule ID 12776 //
     /* 1815768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815814 */     // MIs[0] policy
     /* 1815814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815848 */     // GIR_Coverage, 12776,
     /* 1815848 */     GIR_EraseRootFromParent_Done,
     /* 1815849 */   // Label 24598: @1815849
     /* 1815849 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1815935), // Rule ID 12777 //
     /* 1815854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815900 */     // MIs[0] policy
     /* 1815900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815910 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815934 */     // GIR_Coverage, 12777,
     /* 1815934 */     GIR_EraseRootFromParent_Done,
     /* 1815935 */   // Label 24599: @1815935
     /* 1815935 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1816021), // Rule ID 12780 //
     /* 1815940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1815960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815986 */     // MIs[0] policy
     /* 1815986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816020 */     // GIR_Coverage, 12780,
     /* 1816020 */     GIR_EraseRootFromParent_Done,
     /* 1816021 */   // Label 24600: @1816021
     /* 1816021 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1816107), // Rule ID 12781 //
     /* 1816026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1816037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1816040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1816046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816072 */     // MIs[0] policy
     /* 1816072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816082 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1816085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816106 */     // GIR_Coverage, 12781,
     /* 1816106 */     GIR_EraseRootFromParent_Done,
     /* 1816107 */   // Label 24601: @1816107
     /* 1816107 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1816193), // Rule ID 12784 //
     /* 1816112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1816123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1816126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1816129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1816132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816158 */     // MIs[0] policy
     /* 1816158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1816171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816192 */     // GIR_Coverage, 12784,
     /* 1816192 */     GIR_EraseRootFromParent_Done,
     /* 1816193 */   // Label 24602: @1816193
     /* 1816193 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1816279), // Rule ID 12785 //
     /* 1816198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1816209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1816212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1816215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1816218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816244 */     // MIs[0] policy
     /* 1816244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816254 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1816257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816278 */     // GIR_Coverage, 12785,
     /* 1816278 */     GIR_EraseRootFromParent_Done,
     /* 1816279 */   // Label 24603: @1816279
     /* 1816279 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1816365), // Rule ID 12788 //
     /* 1816284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1816301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1816304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816330 */     // MIs[0] policy
     /* 1816330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816364 */     // GIR_Coverage, 12788,
     /* 1816364 */     GIR_EraseRootFromParent_Done,
     /* 1816365 */   // Label 24604: @1816365
     /* 1816365 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1816451), // Rule ID 12789 //
     /* 1816370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1816387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1816390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816416 */     // MIs[0] policy
     /* 1816416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816426 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816450 */     // GIR_Coverage, 12789,
     /* 1816450 */     GIR_EraseRootFromParent_Done,
     /* 1816451 */   // Label 24605: @1816451
     /* 1816451 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1816537), // Rule ID 12792 //
     /* 1816456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816502 */     // MIs[0] policy
     /* 1816502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816536 */     // GIR_Coverage, 12792,
     /* 1816536 */     GIR_EraseRootFromParent_Done,
     /* 1816537 */   // Label 24606: @1816537
     /* 1816537 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1816623), // Rule ID 12793 //
     /* 1816542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816588 */     // MIs[0] policy
     /* 1816588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816622 */     // GIR_Coverage, 12793,
     /* 1816622 */     GIR_EraseRootFromParent_Done,
     /* 1816623 */   // Label 24607: @1816623
     /* 1816623 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1816709), // Rule ID 12796 //
     /* 1816628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816674 */     // MIs[0] policy
     /* 1816674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816708 */     // GIR_Coverage, 12796,
     /* 1816708 */     GIR_EraseRootFromParent_Done,
     /* 1816709 */   // Label 24608: @1816709
     /* 1816709 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1816795), // Rule ID 12797 //
     /* 1816714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816760 */     // MIs[0] policy
     /* 1816760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816794 */     // GIR_Coverage, 12797,
     /* 1816794 */     GIR_EraseRootFromParent_Done,
     /* 1816795 */   // Label 24609: @1816795
     /* 1816795 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1816881), // Rule ID 12800 //
     /* 1816800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816846 */     // MIs[0] policy
     /* 1816846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816880 */     // GIR_Coverage, 12800,
     /* 1816880 */     GIR_EraseRootFromParent_Done,
     /* 1816881 */   // Label 24610: @1816881
     /* 1816881 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1816967), // Rule ID 12801 //
     /* 1816886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816932 */     // MIs[0] policy
     /* 1816932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816966 */     // GIR_Coverage, 12801,
     /* 1816966 */     GIR_EraseRootFromParent_Done,
     /* 1816967 */   // Label 24611: @1816967
     /* 1816967 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1817053), // Rule ID 12804 //
     /* 1816972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817018 */     // MIs[0] policy
     /* 1817018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1817031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817052 */     // GIR_Coverage, 12804,
     /* 1817052 */     GIR_EraseRootFromParent_Done,
     /* 1817053 */   // Label 24612: @1817053
     /* 1817053 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1817139), // Rule ID 12805 //
     /* 1817058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1817069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1817072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1817075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1817078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817104 */     // MIs[0] policy
     /* 1817104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1817117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817138 */     // GIR_Coverage, 12805,
     /* 1817138 */     GIR_EraseRootFromParent_Done,
     /* 1817139 */   // Label 24613: @1817139
     /* 1817139 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1817225), // Rule ID 12808 //
     /* 1817144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1817155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1817158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1817161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1817164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817190 */     // MIs[0] policy
     /* 1817190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817224 */     // GIR_Coverage, 12808,
     /* 1817224 */     GIR_EraseRootFromParent_Done,
     /* 1817225 */   // Label 24614: @1817225
     /* 1817225 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1817311), // Rule ID 12809 //
     /* 1817230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1817241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1817244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1817247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1817250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817276 */     // MIs[0] policy
     /* 1817276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817286 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817310 */     // GIR_Coverage, 12809,
     /* 1817310 */     GIR_EraseRootFromParent_Done,
     /* 1817311 */   // Label 24615: @1817311
     /* 1817311 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1817397), // Rule ID 12812 //
     /* 1817316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1817333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1817336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817362 */     // MIs[0] policy
     /* 1817362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817396 */     // GIR_Coverage, 12812,
     /* 1817396 */     GIR_EraseRootFromParent_Done,
     /* 1817397 */   // Label 24616: @1817397
     /* 1817397 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1817483), // Rule ID 12813 //
     /* 1817402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1817419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1817422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817448 */     // MIs[0] policy
     /* 1817448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817482 */     // GIR_Coverage, 12813,
     /* 1817482 */     GIR_EraseRootFromParent_Done,
     /* 1817483 */   // Label 24617: @1817483
     /* 1817483 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1817569), // Rule ID 12816 //
     /* 1817488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817534 */     // MIs[0] policy
     /* 1817534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817568 */     // GIR_Coverage, 12816,
     /* 1817568 */     GIR_EraseRootFromParent_Done,
     /* 1817569 */   // Label 24618: @1817569
     /* 1817569 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1817655), // Rule ID 12817 //
     /* 1817574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817620 */     // MIs[0] policy
     /* 1817620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817654 */     // GIR_Coverage, 12817,
     /* 1817654 */     GIR_EraseRootFromParent_Done,
     /* 1817655 */   // Label 24619: @1817655
     /* 1817655 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1817741), // Rule ID 12820 //
     /* 1817660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817706 */     // MIs[0] policy
     /* 1817706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817740 */     // GIR_Coverage, 12820,
     /* 1817740 */     GIR_EraseRootFromParent_Done,
     /* 1817741 */   // Label 24620: @1817741
     /* 1817741 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1817827), // Rule ID 12821 //
     /* 1817746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817792 */     // MIs[0] policy
     /* 1817792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817826 */     // GIR_Coverage, 12821,
     /* 1817826 */     GIR_EraseRootFromParent_Done,
     /* 1817827 */   // Label 24621: @1817827
     /* 1817827 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1817913), // Rule ID 12824 //
     /* 1817832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817878 */     // MIs[0] policy
     /* 1817878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817912 */     // GIR_Coverage, 12824,
     /* 1817912 */     GIR_EraseRootFromParent_Done,
     /* 1817913 */   // Label 24622: @1817913
     /* 1817913 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1817999), // Rule ID 12825 //
     /* 1817918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817964 */     // MIs[0] policy
     /* 1817964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817974 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817998 */     // GIR_Coverage, 12825,
     /* 1817998 */     GIR_EraseRootFromParent_Done,
     /* 1817999 */   // Label 24623: @1817999
     /* 1817999 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1818085), // Rule ID 12828 //
     /* 1818004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1818015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1818018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1818021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1818024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818050 */     // MIs[0] policy
     /* 1818050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818060 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818084 */     // GIR_Coverage, 12828,
     /* 1818084 */     GIR_EraseRootFromParent_Done,
     /* 1818085 */   // Label 24624: @1818085
     /* 1818085 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1818171), // Rule ID 12829 //
     /* 1818090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1818101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1818104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1818107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1818110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818136 */     // MIs[0] policy
     /* 1818136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818170 */     // GIR_Coverage, 12829,
     /* 1818170 */     GIR_EraseRootFromParent_Done,
     /* 1818171 */   // Label 24625: @1818171
     /* 1818171 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1818257), // Rule ID 12832 //
     /* 1818176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1818187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1818190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1818193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1818196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1818199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818222 */     // MIs[0] policy
     /* 1818222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818256 */     // GIR_Coverage, 12832,
     /* 1818256 */     GIR_EraseRootFromParent_Done,
     /* 1818257 */   // Label 24626: @1818257
     /* 1818257 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1818343), // Rule ID 12833 //
     /* 1818262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1818273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1818276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1818279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1818282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1818285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818308 */     // MIs[0] policy
     /* 1818308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818318 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818342 */     // GIR_Coverage, 12833,
     /* 1818342 */     GIR_EraseRootFromParent_Done,
     /* 1818343 */   // Label 24627: @1818343
     /* 1818343 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1818429), // Rule ID 12836 //
     /* 1818348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818394 */     // MIs[0] policy
     /* 1818394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818428 */     // GIR_Coverage, 12836,
     /* 1818428 */     GIR_EraseRootFromParent_Done,
     /* 1818429 */   // Label 24628: @1818429
     /* 1818429 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1818515), // Rule ID 12837 //
     /* 1818434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818480 */     // MIs[0] policy
     /* 1818480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818514 */     // GIR_Coverage, 12837,
     /* 1818514 */     GIR_EraseRootFromParent_Done,
     /* 1818515 */   // Label 24629: @1818515
     /* 1818515 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1818601), // Rule ID 12840 //
     /* 1818520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818566 */     // MIs[0] policy
     /* 1818566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818600 */     // GIR_Coverage, 12840,
     /* 1818600 */     GIR_EraseRootFromParent_Done,
     /* 1818601 */   // Label 24630: @1818601
     /* 1818601 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1818687), // Rule ID 12841 //
     /* 1818606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818652 */     // MIs[0] policy
     /* 1818652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818662 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818686 */     // GIR_Coverage, 12841,
     /* 1818686 */     GIR_EraseRootFromParent_Done,
     /* 1818687 */   // Label 24631: @1818687
     /* 1818687 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1818773), // Rule ID 12844 //
     /* 1818692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818738 */     // MIs[0] policy
     /* 1818738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818772 */     // GIR_Coverage, 12844,
     /* 1818772 */     GIR_EraseRootFromParent_Done,
     /* 1818773 */   // Label 24632: @1818773
     /* 1818773 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1818859), // Rule ID 12845 //
     /* 1818778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818824 */     // MIs[0] policy
     /* 1818824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818858 */     // GIR_Coverage, 12845,
     /* 1818858 */     GIR_EraseRootFromParent_Done,
     /* 1818859 */   // Label 24633: @1818859
     /* 1818859 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1818945), // Rule ID 12848 //
     /* 1818864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818910 */     // MIs[0] policy
     /* 1818910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818944 */     // GIR_Coverage, 12848,
     /* 1818944 */     GIR_EraseRootFromParent_Done,
     /* 1818945 */   // Label 24634: @1818945
     /* 1818945 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1819031), // Rule ID 12849 //
     /* 1818950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818996 */     // MIs[0] policy
     /* 1818996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819030 */     // GIR_Coverage, 12849,
     /* 1819030 */     GIR_EraseRootFromParent_Done,
     /* 1819031 */   // Label 24635: @1819031
     /* 1819031 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1819117), // Rule ID 12852 //
     /* 1819036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1819047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1819050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1819053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1819056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819082 */     // MIs[0] policy
     /* 1819082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819116 */     // GIR_Coverage, 12852,
     /* 1819116 */     GIR_EraseRootFromParent_Done,
     /* 1819117 */   // Label 24636: @1819117
     /* 1819117 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1819203), // Rule ID 12853 //
     /* 1819122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1819133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1819136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1819139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1819142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819168 */     // MIs[0] policy
     /* 1819168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819202 */     // GIR_Coverage, 12853,
     /* 1819202 */     GIR_EraseRootFromParent_Done,
     /* 1819203 */   // Label 24637: @1819203
     /* 1819203 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1819289), // Rule ID 12856 //
     /* 1819208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1819219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1819222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1819225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1819228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819254 */     // MIs[0] policy
     /* 1819254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819288 */     // GIR_Coverage, 12856,
     /* 1819288 */     GIR_EraseRootFromParent_Done,
     /* 1819289 */   // Label 24638: @1819289
     /* 1819289 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1819375), // Rule ID 12857 //
     /* 1819294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1819305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1819308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1819311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1819314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819340 */     // MIs[0] policy
     /* 1819340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819374 */     // GIR_Coverage, 12857,
     /* 1819374 */     GIR_EraseRootFromParent_Done,
     /* 1819375 */   // Label 24639: @1819375
     /* 1819375 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1819461), // Rule ID 12860 //
     /* 1819380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819426 */     // MIs[0] policy
     /* 1819426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819460 */     // GIR_Coverage, 12860,
     /* 1819460 */     GIR_EraseRootFromParent_Done,
     /* 1819461 */   // Label 24640: @1819461
     /* 1819461 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1819547), // Rule ID 12861 //
     /* 1819466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819512 */     // MIs[0] policy
     /* 1819512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819546 */     // GIR_Coverage, 12861,
     /* 1819546 */     GIR_EraseRootFromParent_Done,
     /* 1819547 */   // Label 24641: @1819547
     /* 1819547 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1819633), // Rule ID 12864 //
     /* 1819552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819598 */     // MIs[0] policy
     /* 1819598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819632 */     // GIR_Coverage, 12864,
     /* 1819632 */     GIR_EraseRootFromParent_Done,
     /* 1819633 */   // Label 24642: @1819633
     /* 1819633 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1819719), // Rule ID 12865 //
     /* 1819638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819684 */     // MIs[0] policy
     /* 1819684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819718 */     // GIR_Coverage, 12865,
     /* 1819718 */     GIR_EraseRootFromParent_Done,
     /* 1819719 */   // Label 24643: @1819719
     /* 1819719 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1819805), // Rule ID 12868 //
     /* 1819724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819770 */     // MIs[0] policy
     /* 1819770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819804 */     // GIR_Coverage, 12868,
     /* 1819804 */     GIR_EraseRootFromParent_Done,
     /* 1819805 */   // Label 24644: @1819805
     /* 1819805 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1819891), // Rule ID 12869 //
     /* 1819810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819856 */     // MIs[0] policy
     /* 1819856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819890 */     // GIR_Coverage, 12869,
     /* 1819890 */     GIR_EraseRootFromParent_Done,
     /* 1819891 */   // Label 24645: @1819891
     /* 1819891 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1819977), // Rule ID 12872 //
     /* 1819896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819942 */     // MIs[0] policy
     /* 1819942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819952 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1819955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819976 */     // GIR_Coverage, 12872,
     /* 1819976 */     GIR_EraseRootFromParent_Done,
     /* 1819977 */   // Label 24646: @1819977
     /* 1819977 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1820063), // Rule ID 12873 //
     /* 1819982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1820002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820028 */     // MIs[0] policy
     /* 1820028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820038 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1820041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820062 */     // GIR_Coverage, 12873,
     /* 1820062 */     GIR_EraseRootFromParent_Done,
     /* 1820063 */   // Label 24647: @1820063
     /* 1820063 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1820149), // Rule ID 12876 //
     /* 1820068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1820079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1820082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1820088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820114 */     // MIs[0] policy
     /* 1820114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820148 */     // GIR_Coverage, 12876,
     /* 1820148 */     GIR_EraseRootFromParent_Done,
     /* 1820149 */   // Label 24648: @1820149
     /* 1820149 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1820235), // Rule ID 12877 //
     /* 1820154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1820165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1820168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1820174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820200 */     // MIs[0] policy
     /* 1820200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820210 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820234 */     // GIR_Coverage, 12877,
     /* 1820234 */     GIR_EraseRootFromParent_Done,
     /* 1820235 */   // Label 24649: @1820235
     /* 1820235 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1820321), // Rule ID 12880 //
     /* 1820240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1820260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820286 */     // MIs[0] policy
     /* 1820286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820320 */     // GIR_Coverage, 12880,
     /* 1820320 */     GIR_EraseRootFromParent_Done,
     /* 1820321 */   // Label 24650: @1820321
     /* 1820321 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1820407), // Rule ID 12881 //
     /* 1820326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1820346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820372 */     // MIs[0] policy
     /* 1820372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820382 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820406 */     // GIR_Coverage, 12881,
     /* 1820406 */     GIR_EraseRootFromParent_Done,
     /* 1820407 */   // Label 24651: @1820407
     /* 1820407 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1820493), // Rule ID 12884 //
     /* 1820412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820458 */     // MIs[0] policy
     /* 1820458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820492 */     // GIR_Coverage, 12884,
     /* 1820492 */     GIR_EraseRootFromParent_Done,
     /* 1820493 */   // Label 24652: @1820493
     /* 1820493 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1820579), // Rule ID 12885 //
     /* 1820498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820544 */     // MIs[0] policy
     /* 1820544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820578 */     // GIR_Coverage, 12885,
     /* 1820578 */     GIR_EraseRootFromParent_Done,
     /* 1820579 */   // Label 24653: @1820579
     /* 1820579 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1820665), // Rule ID 12888 //
     /* 1820584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820630 */     // MIs[0] policy
     /* 1820630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820664 */     // GIR_Coverage, 12888,
     /* 1820664 */     GIR_EraseRootFromParent_Done,
     /* 1820665 */   // Label 24654: @1820665
     /* 1820665 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1820751), // Rule ID 12889 //
     /* 1820670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820716 */     // MIs[0] policy
     /* 1820716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820750 */     // GIR_Coverage, 12889,
     /* 1820750 */     GIR_EraseRootFromParent_Done,
     /* 1820751 */   // Label 24655: @1820751
     /* 1820751 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1820837), // Rule ID 12892 //
     /* 1820756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820802 */     // MIs[0] policy
     /* 1820802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820836 */     // GIR_Coverage, 12892,
     /* 1820836 */     GIR_EraseRootFromParent_Done,
     /* 1820837 */   // Label 24656: @1820837
     /* 1820837 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1820923), // Rule ID 12893 //
     /* 1820842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820888 */     // MIs[0] policy
     /* 1820888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820922 */     // GIR_Coverage, 12893,
     /* 1820922 */     GIR_EraseRootFromParent_Done,
     /* 1820923 */   // Label 24657: @1820923
     /* 1820923 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1821009), // Rule ID 12896 //
     /* 1820928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820974 */     // MIs[0] policy
     /* 1820974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821008 */     // GIR_Coverage, 12896,
     /* 1821008 */     GIR_EraseRootFromParent_Done,
     /* 1821009 */   // Label 24658: @1821009
     /* 1821009 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1821095), // Rule ID 12897 //
     /* 1821014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1821025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1821028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1821034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821060 */     // MIs[0] policy
     /* 1821060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821070 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821094 */     // GIR_Coverage, 12897,
     /* 1821094 */     GIR_EraseRootFromParent_Done,
     /* 1821095 */   // Label 24659: @1821095
     /* 1821095 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1821181), // Rule ID 12900 //
     /* 1821100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1821111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1821114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1821120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821146 */     // MIs[0] policy
     /* 1821146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821180 */     // GIR_Coverage, 12900,
     /* 1821180 */     GIR_EraseRootFromParent_Done,
     /* 1821181 */   // Label 24660: @1821181
     /* 1821181 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1821267), // Rule ID 12901 //
     /* 1821186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1821197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1821200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1821206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821232 */     // MIs[0] policy
     /* 1821232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821266 */     // GIR_Coverage, 12901,
     /* 1821266 */     GIR_EraseRootFromParent_Done,
     /* 1821267 */   // Label 24661: @1821267
     /* 1821267 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1821353), // Rule ID 12904 //
     /* 1821272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1821292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821318 */     // MIs[0] policy
     /* 1821318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821352 */     // GIR_Coverage, 12904,
     /* 1821352 */     GIR_EraseRootFromParent_Done,
     /* 1821353 */   // Label 24662: @1821353
     /* 1821353 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1821439), // Rule ID 12905 //
     /* 1821358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1821378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821404 */     // MIs[0] policy
     /* 1821404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821438 */     // GIR_Coverage, 12905,
     /* 1821438 */     GIR_EraseRootFromParent_Done,
     /* 1821439 */   // Label 24663: @1821439
     /* 1821439 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1821525), // Rule ID 12908 //
     /* 1821444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821490 */     // MIs[0] policy
     /* 1821490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821524 */     // GIR_Coverage, 12908,
     /* 1821524 */     GIR_EraseRootFromParent_Done,
     /* 1821525 */   // Label 24664: @1821525
     /* 1821525 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1821611), // Rule ID 12909 //
     /* 1821530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821576 */     // MIs[0] policy
     /* 1821576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821610 */     // GIR_Coverage, 12909,
     /* 1821610 */     GIR_EraseRootFromParent_Done,
     /* 1821611 */   // Label 24665: @1821611
     /* 1821611 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1821697), // Rule ID 12912 //
     /* 1821616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821662 */     // MIs[0] policy
     /* 1821662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821696 */     // GIR_Coverage, 12912,
     /* 1821696 */     GIR_EraseRootFromParent_Done,
     /* 1821697 */   // Label 24666: @1821697
     /* 1821697 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1821783), // Rule ID 12913 //
     /* 1821702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821748 */     // MIs[0] policy
     /* 1821748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821758 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821782 */     // GIR_Coverage, 12913,
     /* 1821782 */     GIR_EraseRootFromParent_Done,
     /* 1821783 */   // Label 24667: @1821783
     /* 1821783 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1821869), // Rule ID 12916 //
     /* 1821788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821834 */     // MIs[0] policy
     /* 1821834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821868 */     // GIR_Coverage, 12916,
     /* 1821868 */     GIR_EraseRootFromParent_Done,
     /* 1821869 */   // Label 24668: @1821869
     /* 1821869 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1821955), // Rule ID 12917 //
     /* 1821874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821920 */     // MIs[0] policy
     /* 1821920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821930 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821954 */     // GIR_Coverage, 12917,
     /* 1821954 */     GIR_EraseRootFromParent_Done,
     /* 1821955 */   // Label 24669: @1821955
     /* 1821955 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1822041), // Rule ID 12920 //
     /* 1821960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822006 */     // MIs[0] policy
     /* 1822006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822040 */     // GIR_Coverage, 12920,
     /* 1822040 */     GIR_EraseRootFromParent_Done,
     /* 1822041 */   // Label 24670: @1822041
     /* 1822041 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1822127), // Rule ID 12921 //
     /* 1822046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1822057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1822060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1822066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1822069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822092 */     // MIs[0] policy
     /* 1822092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822126 */     // GIR_Coverage, 12921,
     /* 1822126 */     GIR_EraseRootFromParent_Done,
     /* 1822127 */   // Label 24671: @1822127
     /* 1822127 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1822213), // Rule ID 12924 //
     /* 1822132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1822143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1822146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1822152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822178 */     // MIs[0] policy
     /* 1822178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822212 */     // GIR_Coverage, 12924,
     /* 1822212 */     GIR_EraseRootFromParent_Done,
     /* 1822213 */   // Label 24672: @1822213
     /* 1822213 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1822299), // Rule ID 12925 //
     /* 1822218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1822229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1822232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1822238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822264 */     // MIs[0] policy
     /* 1822264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822298 */     // GIR_Coverage, 12925,
     /* 1822298 */     GIR_EraseRootFromParent_Done,
     /* 1822299 */   // Label 24673: @1822299
     /* 1822299 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1822385), // Rule ID 12928 //
     /* 1822304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1822324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822350 */     // MIs[0] policy
     /* 1822350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822384 */     // GIR_Coverage, 12928,
     /* 1822384 */     GIR_EraseRootFromParent_Done,
     /* 1822385 */   // Label 24674: @1822385
     /* 1822385 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1822471), // Rule ID 12929 //
     /* 1822390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1822410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822436 */     // MIs[0] policy
     /* 1822436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822470 */     // GIR_Coverage, 12929,
     /* 1822470 */     GIR_EraseRootFromParent_Done,
     /* 1822471 */   // Label 24675: @1822471
     /* 1822471 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1822557), // Rule ID 12932 //
     /* 1822476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822522 */     // MIs[0] policy
     /* 1822522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822532 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822556 */     // GIR_Coverage, 12932,
     /* 1822556 */     GIR_EraseRootFromParent_Done,
     /* 1822557 */   // Label 24676: @1822557
     /* 1822557 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1822643), // Rule ID 12933 //
     /* 1822562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822608 */     // MIs[0] policy
     /* 1822608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822642 */     // GIR_Coverage, 12933,
     /* 1822642 */     GIR_EraseRootFromParent_Done,
     /* 1822643 */   // Label 24677: @1822643
     /* 1822643 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1822729), // Rule ID 12936 //
     /* 1822648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822694 */     // MIs[0] policy
     /* 1822694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822728 */     // GIR_Coverage, 12936,
     /* 1822728 */     GIR_EraseRootFromParent_Done,
     /* 1822729 */   // Label 24678: @1822729
     /* 1822729 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1822815), // Rule ID 12937 //
     /* 1822734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822780 */     // MIs[0] policy
     /* 1822780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822814 */     // GIR_Coverage, 12937,
     /* 1822814 */     GIR_EraseRootFromParent_Done,
     /* 1822815 */   // Label 24679: @1822815
     /* 1822815 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1822901), // Rule ID 12940 //
     /* 1822820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822866 */     // MIs[0] policy
     /* 1822866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822900 */     // GIR_Coverage, 12940,
     /* 1822900 */     GIR_EraseRootFromParent_Done,
     /* 1822901 */   // Label 24680: @1822901
     /* 1822901 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1822987), // Rule ID 12941 //
     /* 1822906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822952 */     // MIs[0] policy
     /* 1822952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822962 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822986 */     // GIR_Coverage, 12941,
     /* 1822986 */     GIR_EraseRootFromParent_Done,
     /* 1822987 */   // Label 24681: @1822987
     /* 1822987 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1823073), // Rule ID 12944 //
     /* 1822992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1823003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1823006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1823012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823038 */     // MIs[0] policy
     /* 1823038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823048 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823072 */     // GIR_Coverage, 12944,
     /* 1823072 */     GIR_EraseRootFromParent_Done,
     /* 1823073 */   // Label 24682: @1823073
     /* 1823073 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1823159), // Rule ID 12945 //
     /* 1823078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1823089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1823092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1823098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823124 */     // MIs[0] policy
     /* 1823124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823134 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823158 */     // GIR_Coverage, 12945,
     /* 1823158 */     GIR_EraseRootFromParent_Done,
     /* 1823159 */   // Label 24683: @1823159
     /* 1823159 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1823245), // Rule ID 12948 //
     /* 1823164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1823175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1823178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1823184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823210 */     // MIs[0] policy
     /* 1823210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1823223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823244 */     // GIR_Coverage, 12948,
     /* 1823244 */     GIR_EraseRootFromParent_Done,
     /* 1823245 */   // Label 24684: @1823245
     /* 1823245 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1823331), // Rule ID 12949 //
     /* 1823250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1823261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1823264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1823270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823296 */     // MIs[0] policy
     /* 1823296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1823309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823330 */     // GIR_Coverage, 12949,
     /* 1823330 */     GIR_EraseRootFromParent_Done,
     /* 1823331 */   // Label 24685: @1823331
     /* 1823331 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1823417), // Rule ID 12952 //
     /* 1823336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823382 */     // MIs[0] policy
     /* 1823382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1823395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823416 */     // GIR_Coverage, 12952,
     /* 1823416 */     GIR_EraseRootFromParent_Done,
     /* 1823417 */   // Label 24686: @1823417
     /* 1823417 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1823503), // Rule ID 12953 //
     /* 1823422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823468 */     // MIs[0] policy
     /* 1823468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823478 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1823481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823502 */     // GIR_Coverage, 12953,
     /* 1823502 */     GIR_EraseRootFromParent_Done,
     /* 1823503 */   // Label 24687: @1823503
     /* 1823503 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1823589), // Rule ID 12956 //
     /* 1823508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823554 */     // MIs[0] policy
     /* 1823554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823588 */     // GIR_Coverage, 12956,
     /* 1823588 */     GIR_EraseRootFromParent_Done,
     /* 1823589 */   // Label 24688: @1823589
     /* 1823589 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1823675), // Rule ID 12957 //
     /* 1823594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823640 */     // MIs[0] policy
     /* 1823640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823674 */     // GIR_Coverage, 12957,
     /* 1823674 */     GIR_EraseRootFromParent_Done,
     /* 1823675 */   // Label 24689: @1823675
     /* 1823675 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1823761), // Rule ID 12960 //
     /* 1823680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823726 */     // MIs[0] policy
     /* 1823726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823760 */     // GIR_Coverage, 12960,
     /* 1823760 */     GIR_EraseRootFromParent_Done,
     /* 1823761 */   // Label 24690: @1823761
     /* 1823761 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1823847), // Rule ID 12961 //
     /* 1823766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823812 */     // MIs[0] policy
     /* 1823812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823846 */     // GIR_Coverage, 12961,
     /* 1823846 */     GIR_EraseRootFromParent_Done,
     /* 1823847 */   // Label 24691: @1823847
     /* 1823847 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1823933), // Rule ID 12964 //
     /* 1823852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823898 */     // MIs[0] policy
     /* 1823898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823932 */     // GIR_Coverage, 12964,
     /* 1823932 */     GIR_EraseRootFromParent_Done,
     /* 1823933 */   // Label 24692: @1823933
     /* 1823933 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1824019), // Rule ID 12965 //
     /* 1823938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823984 */     // MIs[0] policy
     /* 1823984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824018 */     // GIR_Coverage, 12965,
     /* 1824018 */     GIR_EraseRootFromParent_Done,
     /* 1824019 */   // Label 24693: @1824019
     /* 1824019 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1824105), // Rule ID 12968 //
     /* 1824024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1824035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1824038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1824041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1824044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824070 */     // MIs[0] policy
     /* 1824070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824104 */     // GIR_Coverage, 12968,
     /* 1824104 */     GIR_EraseRootFromParent_Done,
     /* 1824105 */   // Label 24694: @1824105
     /* 1824105 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1824191), // Rule ID 12969 //
     /* 1824110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1824121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1824124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1824127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1824130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824156 */     // MIs[0] policy
     /* 1824156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824166 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824190 */     // GIR_Coverage, 12969,
     /* 1824190 */     GIR_EraseRootFromParent_Done,
     /* 1824191 */   // Label 24695: @1824191
     /* 1824191 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1824277), // Rule ID 12972 //
     /* 1824196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1824207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1824210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1824213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1824216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824242 */     // MIs[0] policy
     /* 1824242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1824255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824276 */     // GIR_Coverage, 12972,
     /* 1824276 */     GIR_EraseRootFromParent_Done,
     /* 1824277 */   // Label 24696: @1824277
     /* 1824277 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1824363), // Rule ID 12973 //
     /* 1824282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1824293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1824296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1824299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1824302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824328 */     // MIs[0] policy
     /* 1824328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1824341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824362 */     // GIR_Coverage, 12973,
     /* 1824362 */     GIR_EraseRootFromParent_Done,
     /* 1824363 */   // Label 24697: @1824363
     /* 1824363 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1824449), // Rule ID 12976 //
     /* 1824368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824414 */     // MIs[0] policy
     /* 1824414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824448 */     // GIR_Coverage, 12976,
     /* 1824448 */     GIR_EraseRootFromParent_Done,
     /* 1824449 */   // Label 24698: @1824449
     /* 1824449 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1824535), // Rule ID 12977 //
     /* 1824454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824500 */     // MIs[0] policy
     /* 1824500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824510 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824534 */     // GIR_Coverage, 12977,
     /* 1824534 */     GIR_EraseRootFromParent_Done,
     /* 1824535 */   // Label 24699: @1824535
     /* 1824535 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1824621), // Rule ID 12980 //
     /* 1824540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824586 */     // MIs[0] policy
     /* 1824586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824620 */     // GIR_Coverage, 12980,
     /* 1824620 */     GIR_EraseRootFromParent_Done,
     /* 1824621 */   // Label 24700: @1824621
     /* 1824621 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1824707), // Rule ID 12981 //
     /* 1824626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824672 */     // MIs[0] policy
     /* 1824672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824706 */     // GIR_Coverage, 12981,
     /* 1824706 */     GIR_EraseRootFromParent_Done,
     /* 1824707 */   // Label 24701: @1824707
     /* 1824707 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1824793), // Rule ID 12984 //
     /* 1824712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824758 */     // MIs[0] policy
     /* 1824758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824792 */     // GIR_Coverage, 12984,
     /* 1824792 */     GIR_EraseRootFromParent_Done,
     /* 1824793 */   // Label 24702: @1824793
     /* 1824793 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1824879), // Rule ID 12985 //
     /* 1824798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824844 */     // MIs[0] policy
     /* 1824844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824854 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824878 */     // GIR_Coverage, 12985,
     /* 1824878 */     GIR_EraseRootFromParent_Done,
     /* 1824879 */   // Label 24703: @1824879
     /* 1824879 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1824965), // Rule ID 12988 //
     /* 1824884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824930 */     // MIs[0] policy
     /* 1824930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824964 */     // GIR_Coverage, 12988,
     /* 1824964 */     GIR_EraseRootFromParent_Done,
     /* 1824965 */   // Label 24704: @1824965
     /* 1824965 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1825051), // Rule ID 12989 //
     /* 1824970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825016 */     // MIs[0] policy
     /* 1825016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825050 */     // GIR_Coverage, 12989,
     /* 1825050 */     GIR_EraseRootFromParent_Done,
     /* 1825051 */   // Label 24705: @1825051
     /* 1825051 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1825137), // Rule ID 12992 //
     /* 1825056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1825067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1825070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1825073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1825076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825102 */     // MIs[0] policy
     /* 1825102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825136 */     // GIR_Coverage, 12992,
     /* 1825136 */     GIR_EraseRootFromParent_Done,
     /* 1825137 */   // Label 24706: @1825137
     /* 1825137 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1825223), // Rule ID 12993 //
     /* 1825142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1825153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1825156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1825159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1825162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825188 */     // MIs[0] policy
     /* 1825188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825222 */     // GIR_Coverage, 12993,
     /* 1825222 */     GIR_EraseRootFromParent_Done,
     /* 1825223 */   // Label 24707: @1825223
     /* 1825223 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1825309), // Rule ID 12996 //
     /* 1825228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1825245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1825248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825274 */     // MIs[0] policy
     /* 1825274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825308 */     // GIR_Coverage, 12996,
     /* 1825308 */     GIR_EraseRootFromParent_Done,
     /* 1825309 */   // Label 24708: @1825309
     /* 1825309 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1825395), // Rule ID 12997 //
     /* 1825314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1825331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1825334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825360 */     // MIs[0] policy
     /* 1825360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825370 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825394 */     // GIR_Coverage, 12997,
     /* 1825394 */     GIR_EraseRootFromParent_Done,
     /* 1825395 */   // Label 24709: @1825395
     /* 1825395 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1825481), // Rule ID 13000 //
     /* 1825400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825446 */     // MIs[0] policy
     /* 1825446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825456 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825480 */     // GIR_Coverage, 13000,
     /* 1825480 */     GIR_EraseRootFromParent_Done,
     /* 1825481 */   // Label 24710: @1825481
     /* 1825481 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1825567), // Rule ID 13001 //
     /* 1825486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825532 */     // MIs[0] policy
     /* 1825532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825542 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825566 */     // GIR_Coverage, 13001,
     /* 1825566 */     GIR_EraseRootFromParent_Done,
     /* 1825567 */   // Label 24711: @1825567
     /* 1825567 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1825653), // Rule ID 13004 //
     /* 1825572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825618 */     // MIs[0] policy
     /* 1825618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825652 */     // GIR_Coverage, 13004,
     /* 1825652 */     GIR_EraseRootFromParent_Done,
     /* 1825653 */   // Label 24712: @1825653
     /* 1825653 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1825739), // Rule ID 13005 //
     /* 1825658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825704 */     // MIs[0] policy
     /* 1825704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825738 */     // GIR_Coverage, 13005,
     /* 1825738 */     GIR_EraseRootFromParent_Done,
     /* 1825739 */   // Label 24713: @1825739
     /* 1825739 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1825825), // Rule ID 13008 //
     /* 1825744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825790 */     // MIs[0] policy
     /* 1825790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825800 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825824 */     // GIR_Coverage, 13008,
     /* 1825824 */     GIR_EraseRootFromParent_Done,
     /* 1825825 */   // Label 24714: @1825825
     /* 1825825 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1825911), // Rule ID 13009 //
     /* 1825830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825876 */     // MIs[0] policy
     /* 1825876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825886 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825910 */     // GIR_Coverage, 13009,
     /* 1825910 */     GIR_EraseRootFromParent_Done,
     /* 1825911 */   // Label 24715: @1825911
     /* 1825911 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1825997), // Rule ID 13012 //
     /* 1825916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825962 */     // MIs[0] policy
     /* 1825962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825996 */     // GIR_Coverage, 13012,
     /* 1825996 */     GIR_EraseRootFromParent_Done,
     /* 1825997 */   // Label 24716: @1825997
     /* 1825997 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1826083), // Rule ID 13013 //
     /* 1826002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1826013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1826016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1826019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1826022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826048 */     // MIs[0] policy
     /* 1826048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826058 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826082 */     // GIR_Coverage, 13013,
     /* 1826082 */     GIR_EraseRootFromParent_Done,
     /* 1826083 */   // Label 24717: @1826083
     /* 1826083 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1826169), // Rule ID 13016 //
     /* 1826088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1826099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1826102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1826105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1826108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826134 */     // MIs[0] policy
     /* 1826134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826168 */     // GIR_Coverage, 13016,
     /* 1826168 */     GIR_EraseRootFromParent_Done,
     /* 1826169 */   // Label 24718: @1826169
     /* 1826169 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1826255), // Rule ID 13017 //
     /* 1826174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1826185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1826188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1826191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1826194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826220 */     // MIs[0] policy
     /* 1826220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826230 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826254 */     // GIR_Coverage, 13017,
     /* 1826254 */     GIR_EraseRootFromParent_Done,
     /* 1826255 */   // Label 24719: @1826255
     /* 1826255 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1826341), // Rule ID 13020 //
     /* 1826260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1826277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1826280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826306 */     // MIs[0] policy
     /* 1826306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826316 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826340 */     // GIR_Coverage, 13020,
     /* 1826340 */     GIR_EraseRootFromParent_Done,
     /* 1826341 */   // Label 24720: @1826341
     /* 1826341 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1826427), // Rule ID 13021 //
     /* 1826346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1826363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1826366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826392 */     // MIs[0] policy
     /* 1826392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826426 */     // GIR_Coverage, 13021,
     /* 1826426 */     GIR_EraseRootFromParent_Done,
     /* 1826427 */   // Label 24721: @1826427
     /* 1826427 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1826513), // Rule ID 13024 //
     /* 1826432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826478 */     // MIs[0] policy
     /* 1826478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826512 */     // GIR_Coverage, 13024,
     /* 1826512 */     GIR_EraseRootFromParent_Done,
     /* 1826513 */   // Label 24722: @1826513
     /* 1826513 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1826599), // Rule ID 13025 //
     /* 1826518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826564 */     // MIs[0] policy
     /* 1826564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826598 */     // GIR_Coverage, 13025,
     /* 1826598 */     GIR_EraseRootFromParent_Done,
     /* 1826599 */   // Label 24723: @1826599
     /* 1826599 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1826685), // Rule ID 13028 //
     /* 1826604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826650 */     // MIs[0] policy
     /* 1826650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826684 */     // GIR_Coverage, 13028,
     /* 1826684 */     GIR_EraseRootFromParent_Done,
     /* 1826685 */   // Label 24724: @1826685
     /* 1826685 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1826771), // Rule ID 13029 //
     /* 1826690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826736 */     // MIs[0] policy
     /* 1826736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826770 */     // GIR_Coverage, 13029,
     /* 1826770 */     GIR_EraseRootFromParent_Done,
     /* 1826771 */   // Label 24725: @1826771
     /* 1826771 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1826857), // Rule ID 13032 //
     /* 1826776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826822 */     // MIs[0] policy
     /* 1826822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826856 */     // GIR_Coverage, 13032,
     /* 1826856 */     GIR_EraseRootFromParent_Done,
     /* 1826857 */   // Label 24726: @1826857
     /* 1826857 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1826943), // Rule ID 13033 //
     /* 1826862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826908 */     // MIs[0] policy
     /* 1826908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826942 */     // GIR_Coverage, 13033,
     /* 1826942 */     GIR_EraseRootFromParent_Done,
     /* 1826943 */   // Label 24727: @1826943
     /* 1826943 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1827029), // Rule ID 13036 //
     /* 1826948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826994 */     // MIs[0] policy
     /* 1826994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1827007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827028 */     // GIR_Coverage, 13036,
     /* 1827028 */     GIR_EraseRootFromParent_Done,
     /* 1827029 */   // Label 24728: @1827029
     /* 1827029 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1827115), // Rule ID 13037 //
     /* 1827034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1827045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1827048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1827051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1827054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827080 */     // MIs[0] policy
     /* 1827080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1827093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827114 */     // GIR_Coverage, 13037,
     /* 1827114 */     GIR_EraseRootFromParent_Done,
     /* 1827115 */   // Label 24729: @1827115
     /* 1827115 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1827201), // Rule ID 13040 //
     /* 1827120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1827131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1827134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1827137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1827140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827166 */     // MIs[0] policy
     /* 1827166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1827179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827200 */     // GIR_Coverage, 13040,
     /* 1827200 */     GIR_EraseRootFromParent_Done,
     /* 1827201 */   // Label 24730: @1827201
     /* 1827201 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1827287), // Rule ID 13041 //
     /* 1827206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1827217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1827220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1827223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1827226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827252 */     // MIs[0] policy
     /* 1827252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827262 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1827265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827286 */     // GIR_Coverage, 13041,
     /* 1827286 */     GIR_EraseRootFromParent_Done,
     /* 1827287 */   // Label 24731: @1827287
     /* 1827287 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1827373), // Rule ID 13044 //
     /* 1827292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1827309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1827312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827338 */     // MIs[0] policy
     /* 1827338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1827351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827372 */     // GIR_Coverage, 13044,
     /* 1827372 */     GIR_EraseRootFromParent_Done,
     /* 1827373 */   // Label 24732: @1827373
     /* 1827373 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1827459), // Rule ID 13045 //
     /* 1827378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1827395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1827398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827424 */     // MIs[0] policy
     /* 1827424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827434 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1827437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827458 */     // GIR_Coverage, 13045,
     /* 1827458 */     GIR_EraseRootFromParent_Done,
     /* 1827459 */   // Label 24733: @1827459
     /* 1827459 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1827545), // Rule ID 13048 //
     /* 1827464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827510 */     // MIs[0] policy
     /* 1827510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827544 */     // GIR_Coverage, 13048,
     /* 1827544 */     GIR_EraseRootFromParent_Done,
     /* 1827545 */   // Label 24734: @1827545
     /* 1827545 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1827631), // Rule ID 13049 //
     /* 1827550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827596 */     // MIs[0] policy
     /* 1827596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827606 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827630 */     // GIR_Coverage, 13049,
     /* 1827630 */     GIR_EraseRootFromParent_Done,
     /* 1827631 */   // Label 24735: @1827631
     /* 1827631 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1827717), // Rule ID 13052 //
     /* 1827636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827682 */     // MIs[0] policy
     /* 1827682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827692 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827716 */     // GIR_Coverage, 13052,
     /* 1827716 */     GIR_EraseRootFromParent_Done,
     /* 1827717 */   // Label 24736: @1827717
     /* 1827717 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1827803), // Rule ID 13053 //
     /* 1827722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827768 */     // MIs[0] policy
     /* 1827768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827802 */     // GIR_Coverage, 13053,
     /* 1827802 */     GIR_EraseRootFromParent_Done,
     /* 1827803 */   // Label 24737: @1827803
     /* 1827803 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1827889), // Rule ID 13056 //
     /* 1827808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827854 */     // MIs[0] policy
     /* 1827854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827888 */     // GIR_Coverage, 13056,
     /* 1827888 */     GIR_EraseRootFromParent_Done,
     /* 1827889 */   // Label 24738: @1827889
     /* 1827889 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1827975), // Rule ID 13057 //
     /* 1827894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827940 */     // MIs[0] policy
     /* 1827940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827950 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827974 */     // GIR_Coverage, 13057,
     /* 1827974 */     GIR_EraseRootFromParent_Done,
     /* 1827975 */   // Label 24739: @1827975
     /* 1827975 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1828061), // Rule ID 13060 //
     /* 1827980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1828000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828026 */     // MIs[0] policy
     /* 1828026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1828039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828060 */     // GIR_Coverage, 13060,
     /* 1828060 */     GIR_EraseRootFromParent_Done,
     /* 1828061 */   // Label 24740: @1828061
     /* 1828061 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1828147), // Rule ID 13061 //
     /* 1828066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1828077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1828080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1828086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828112 */     // MIs[0] policy
     /* 1828112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1828125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828146 */     // GIR_Coverage, 13061,
     /* 1828146 */     GIR_EraseRootFromParent_Done,
     /* 1828147 */   // Label 24741: @1828147
     /* 1828147 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1828233), // Rule ID 13064 //
     /* 1828152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1828163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1828166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828198 */     // MIs[0] policy
     /* 1828198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828232 */     // GIR_Coverage, 13064,
     /* 1828232 */     GIR_EraseRootFromParent_Done,
     /* 1828233 */   // Label 24742: @1828233
     /* 1828233 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1828319), // Rule ID 13065 //
     /* 1828238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1828249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1828252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828284 */     // MIs[0] policy
     /* 1828284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828318 */     // GIR_Coverage, 13065,
     /* 1828318 */     GIR_EraseRootFromParent_Done,
     /* 1828319 */   // Label 24743: @1828319
     /* 1828319 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1828405), // Rule ID 13068 //
     /* 1828324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1828344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828370 */     // MIs[0] policy
     /* 1828370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828404 */     // GIR_Coverage, 13068,
     /* 1828404 */     GIR_EraseRootFromParent_Done,
     /* 1828405 */   // Label 24744: @1828405
     /* 1828405 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1828491), // Rule ID 13069 //
     /* 1828410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1828430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828456 */     // MIs[0] policy
     /* 1828456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828466 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828490 */     // GIR_Coverage, 13069,
     /* 1828490 */     GIR_EraseRootFromParent_Done,
     /* 1828491 */   // Label 24745: @1828491
     /* 1828491 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1828577), // Rule ID 13072 //
     /* 1828496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828542 */     // MIs[0] policy
     /* 1828542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828576 */     // GIR_Coverage, 13072,
     /* 1828576 */     GIR_EraseRootFromParent_Done,
     /* 1828577 */   // Label 24746: @1828577
     /* 1828577 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1828663), // Rule ID 13073 //
     /* 1828582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828628 */     // MIs[0] policy
     /* 1828628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828638 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828662 */     // GIR_Coverage, 13073,
     /* 1828662 */     GIR_EraseRootFromParent_Done,
     /* 1828663 */   // Label 24747: @1828663
     /* 1828663 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1828749), // Rule ID 13076 //
     /* 1828668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828714 */     // MIs[0] policy
     /* 1828714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828748 */     // GIR_Coverage, 13076,
     /* 1828748 */     GIR_EraseRootFromParent_Done,
     /* 1828749 */   // Label 24748: @1828749
     /* 1828749 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1828835), // Rule ID 13077 //
     /* 1828754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828800 */     // MIs[0] policy
     /* 1828800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828810 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828834 */     // GIR_Coverage, 13077,
     /* 1828834 */     GIR_EraseRootFromParent_Done,
     /* 1828835 */   // Label 24749: @1828835
     /* 1828835 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1828921), // Rule ID 13080 //
     /* 1828840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828886 */     // MIs[0] policy
     /* 1828886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828920 */     // GIR_Coverage, 13080,
     /* 1828920 */     GIR_EraseRootFromParent_Done,
     /* 1828921 */   // Label 24750: @1828921
     /* 1828921 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1829007), // Rule ID 13081 //
     /* 1828926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828972 */     // MIs[0] policy
     /* 1828972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829006 */     // GIR_Coverage, 13081,
     /* 1829006 */     GIR_EraseRootFromParent_Done,
     /* 1829007 */   // Label 24751: @1829007
     /* 1829007 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1829093), // Rule ID 13084 //
     /* 1829012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1829032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829058 */     // MIs[0] policy
     /* 1829058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1829071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829092 */     // GIR_Coverage, 13084,
     /* 1829092 */     GIR_EraseRootFromParent_Done,
     /* 1829093 */   // Label 24752: @1829093
     /* 1829093 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1829179), // Rule ID 13085 //
     /* 1829098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1829118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829144 */     // MIs[0] policy
     /* 1829144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829154 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1829157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829178 */     // GIR_Coverage, 13085,
     /* 1829178 */     GIR_EraseRootFromParent_Done,
     /* 1829179 */   // Label 24753: @1829179
     /* 1829179 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1829265), // Rule ID 13088 //
     /* 1829184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1829195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1829198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1829204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829230 */     // MIs[0] policy
     /* 1829230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829264 */     // GIR_Coverage, 13088,
     /* 1829264 */     GIR_EraseRootFromParent_Done,
     /* 1829265 */   // Label 24754: @1829265
     /* 1829265 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1829351), // Rule ID 13089 //
     /* 1829270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1829281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1829284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1829290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829316 */     // MIs[0] policy
     /* 1829316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829326 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829350 */     // GIR_Coverage, 13089,
     /* 1829350 */     GIR_EraseRootFromParent_Done,
     /* 1829351 */   // Label 24755: @1829351
     /* 1829351 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1829437), // Rule ID 13092 //
     /* 1829356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829402 */     // MIs[0] policy
     /* 1829402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829436 */     // GIR_Coverage, 13092,
     /* 1829436 */     GIR_EraseRootFromParent_Done,
     /* 1829437 */   // Label 24756: @1829437
     /* 1829437 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1829523), // Rule ID 13093 //
     /* 1829442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829488 */     // MIs[0] policy
     /* 1829488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829498 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829522 */     // GIR_Coverage, 13093,
     /* 1829522 */     GIR_EraseRootFromParent_Done,
     /* 1829523 */   // Label 24757: @1829523
     /* 1829523 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1829609), // Rule ID 13096 //
     /* 1829528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829574 */     // MIs[0] policy
     /* 1829574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829608 */     // GIR_Coverage, 13096,
     /* 1829608 */     GIR_EraseRootFromParent_Done,
     /* 1829609 */   // Label 24758: @1829609
     /* 1829609 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1829695), // Rule ID 13097 //
     /* 1829614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829660 */     // MIs[0] policy
     /* 1829660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829670 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829694 */     // GIR_Coverage, 13097,
     /* 1829694 */     GIR_EraseRootFromParent_Done,
     /* 1829695 */   // Label 24759: @1829695
     /* 1829695 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1829781), // Rule ID 13100 //
     /* 1829700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829746 */     // MIs[0] policy
     /* 1829746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829780 */     // GIR_Coverage, 13100,
     /* 1829780 */     GIR_EraseRootFromParent_Done,
     /* 1829781 */   // Label 24760: @1829781
     /* 1829781 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1829867), // Rule ID 13101 //
     /* 1829786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829832 */     // MIs[0] policy
     /* 1829832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829866 */     // GIR_Coverage, 13101,
     /* 1829866 */     GIR_EraseRootFromParent_Done,
     /* 1829867 */   // Label 24761: @1829867
     /* 1829867 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1829953), // Rule ID 13104 //
     /* 1829872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829918 */     // MIs[0] policy
     /* 1829918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829952 */     // GIR_Coverage, 13104,
     /* 1829952 */     GIR_EraseRootFromParent_Done,
     /* 1829953 */   // Label 24762: @1829953
     /* 1829953 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1830039), // Rule ID 13105 //
     /* 1829958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830004 */     // MIs[0] policy
     /* 1830004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830038 */     // GIR_Coverage, 13105,
     /* 1830038 */     GIR_EraseRootFromParent_Done,
     /* 1830039 */   // Label 24763: @1830039
     /* 1830039 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1830125), // Rule ID 13108 //
     /* 1830044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1830055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1830058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1830064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830090 */     // MIs[0] policy
     /* 1830090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830100 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830124 */     // GIR_Coverage, 13108,
     /* 1830124 */     GIR_EraseRootFromParent_Done,
     /* 1830125 */   // Label 24764: @1830125
     /* 1830125 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1830211), // Rule ID 13109 //
     /* 1830130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1830141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1830144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1830150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830176 */     // MIs[0] policy
     /* 1830176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830210 */     // GIR_Coverage, 13109,
     /* 1830210 */     GIR_EraseRootFromParent_Done,
     /* 1830211 */   // Label 24765: @1830211
     /* 1830211 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1830297), // Rule ID 13112 //
     /* 1830216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1830227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1830230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1830236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830262 */     // MIs[0] policy
     /* 1830262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830296 */     // GIR_Coverage, 13112,
     /* 1830296 */     GIR_EraseRootFromParent_Done,
     /* 1830297 */   // Label 24766: @1830297
     /* 1830297 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1830383), // Rule ID 13113 //
     /* 1830302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1830313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1830316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1830322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830348 */     // MIs[0] policy
     /* 1830348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830382 */     // GIR_Coverage, 13113,
     /* 1830382 */     GIR_EraseRootFromParent_Done,
     /* 1830383 */   // Label 24767: @1830383
     /* 1830383 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1830469), // Rule ID 13116 //
     /* 1830388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830434 */     // MIs[0] policy
     /* 1830434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830468 */     // GIR_Coverage, 13116,
     /* 1830468 */     GIR_EraseRootFromParent_Done,
     /* 1830469 */   // Label 24768: @1830469
     /* 1830469 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1830555), // Rule ID 13117 //
     /* 1830474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830520 */     // MIs[0] policy
     /* 1830520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830554 */     // GIR_Coverage, 13117,
     /* 1830554 */     GIR_EraseRootFromParent_Done,
     /* 1830555 */   // Label 24769: @1830555
     /* 1830555 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1830641), // Rule ID 13120 //
     /* 1830560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830606 */     // MIs[0] policy
     /* 1830606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830640 */     // GIR_Coverage, 13120,
     /* 1830640 */     GIR_EraseRootFromParent_Done,
     /* 1830641 */   // Label 24770: @1830641
     /* 1830641 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1830727), // Rule ID 13121 //
     /* 1830646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830692 */     // MIs[0] policy
     /* 1830692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830726 */     // GIR_Coverage, 13121,
     /* 1830726 */     GIR_EraseRootFromParent_Done,
     /* 1830727 */   // Label 24771: @1830727
     /* 1830727 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1830813), // Rule ID 13124 //
     /* 1830732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830778 */     // MIs[0] policy
     /* 1830778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830812 */     // GIR_Coverage, 13124,
     /* 1830812 */     GIR_EraseRootFromParent_Done,
     /* 1830813 */   // Label 24772: @1830813
     /* 1830813 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1830899), // Rule ID 13125 //
     /* 1830818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830864 */     // MIs[0] policy
     /* 1830864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830898 */     // GIR_Coverage, 13125,
     /* 1830898 */     GIR_EraseRootFromParent_Done,
     /* 1830899 */   // Label 24773: @1830899
     /* 1830899 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1830985), // Rule ID 13128 //
     /* 1830904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830950 */     // MIs[0] policy
     /* 1830950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830960 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830984 */     // GIR_Coverage, 13128,
     /* 1830984 */     GIR_EraseRootFromParent_Done,
     /* 1830985 */   // Label 24774: @1830985
     /* 1830985 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1831071), // Rule ID 13129 //
     /* 1830990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1831001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1831004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1831010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831036 */     // MIs[0] policy
     /* 1831036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1831049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831070 */     // GIR_Coverage, 13129,
     /* 1831070 */     GIR_EraseRootFromParent_Done,
     /* 1831071 */   // Label 24775: @1831071
     /* 1831071 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1831157), // Rule ID 13132 //
     /* 1831076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1831087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1831090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1831096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831122 */     // MIs[0] policy
     /* 1831122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1831135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831156 */     // GIR_Coverage, 13132,
     /* 1831156 */     GIR_EraseRootFromParent_Done,
     /* 1831157 */   // Label 24776: @1831157
     /* 1831157 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1831243), // Rule ID 13133 //
     /* 1831162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1831165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1831173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1831176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1831182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831208 */     // MIs[0] policy
     /* 1831208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1831221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831242 */     // GIR_Coverage, 13133,
     /* 1831242 */     GIR_EraseRootFromParent_Done,
     /* 1831243 */   // Label 24777: @1831243
     /* 1831243 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1831329), // Rule ID 13136 //
     /* 1831248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1831259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1831262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1831265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1831268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831294 */     // MIs[0] policy
     /* 1831294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831304 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1831307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831328 */     // GIR_Coverage, 13136,
     /* 1831328 */     GIR_EraseRootFromParent_Done,
     /* 1831329 */   // Label 24778: @1831329
     /* 1831329 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1831415), // Rule ID 13137 //
     /* 1831334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1831345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1831348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1831351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1831354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831380 */     // MIs[0] policy
     /* 1831380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831390 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1831393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831414 */     // GIR_Coverage, 13137,
     /* 1831414 */     GIR_EraseRootFromParent_Done,
     /* 1831415 */   // Label 24779: @1831415
     /* 1831415 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1831501), // Rule ID 13140 //
     /* 1831420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1831437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831466 */     // MIs[0] policy
     /* 1831466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831500 */     // GIR_Coverage, 13140,
     /* 1831500 */     GIR_EraseRootFromParent_Done,
     /* 1831501 */   // Label 24780: @1831501
     /* 1831501 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1831587), // Rule ID 13141 //
     /* 1831506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1831523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831552 */     // MIs[0] policy
     /* 1831552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831562 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831586 */     // GIR_Coverage, 13141,
     /* 1831586 */     GIR_EraseRootFromParent_Done,
     /* 1831587 */   // Label 24781: @1831587
     /* 1831587 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1831673), // Rule ID 13144 //
     /* 1831592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831638 */     // MIs[0] policy
     /* 1831638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831648 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831672 */     // GIR_Coverage, 13144,
     /* 1831672 */     GIR_EraseRootFromParent_Done,
     /* 1831673 */   // Label 24782: @1831673
     /* 1831673 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1831759), // Rule ID 13145 //
     /* 1831678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831724 */     // MIs[0] policy
     /* 1831724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831758 */     // GIR_Coverage, 13145,
     /* 1831758 */     GIR_EraseRootFromParent_Done,
     /* 1831759 */   // Label 24783: @1831759
     /* 1831759 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1831845), // Rule ID 13148 //
     /* 1831764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831810 */     // MIs[0] policy
     /* 1831810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831844 */     // GIR_Coverage, 13148,
     /* 1831844 */     GIR_EraseRootFromParent_Done,
     /* 1831845 */   // Label 24784: @1831845
     /* 1831845 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1831931), // Rule ID 13149 //
     /* 1831850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831896 */     // MIs[0] policy
     /* 1831896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831930 */     // GIR_Coverage, 13149,
     /* 1831930 */     GIR_EraseRootFromParent_Done,
     /* 1831931 */   // Label 24785: @1831931
     /* 1831931 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1832017), // Rule ID 13152 //
     /* 1831936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831982 */     // MIs[0] policy
     /* 1831982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832016 */     // GIR_Coverage, 13152,
     /* 1832016 */     GIR_EraseRootFromParent_Done,
     /* 1832017 */   // Label 24786: @1832017
     /* 1832017 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1832103), // Rule ID 13153 //
     /* 1832022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1832033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1832036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1832039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1832042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832068 */     // MIs[0] policy
     /* 1832068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832078 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1832081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832102 */     // GIR_Coverage, 13153,
     /* 1832102 */     GIR_EraseRootFromParent_Done,
     /* 1832103 */   // Label 24787: @1832103
     /* 1832103 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1832189), // Rule ID 13156 //
     /* 1832108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1832119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1832122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1832125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1832128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832154 */     // MIs[0] policy
     /* 1832154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1832167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832188 */     // GIR_Coverage, 13156,
     /* 1832188 */     GIR_EraseRootFromParent_Done,
     /* 1832189 */   // Label 24788: @1832189
     /* 1832189 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1832275), // Rule ID 13157 //
     /* 1832194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1832205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1832208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1832211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1832214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832240 */     // MIs[0] policy
     /* 1832240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1832253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832274 */     // GIR_Coverage, 13157,
     /* 1832274 */     GIR_EraseRootFromParent_Done,
     /* 1832275 */   // Label 24789: @1832275
     /* 1832275 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1832361), // Rule ID 13160 //
     /* 1832280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1832291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1832294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1832297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1832300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832326 */     // MIs[0] policy
     /* 1832326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832360 */     // GIR_Coverage, 13160,
     /* 1832360 */     GIR_EraseRootFromParent_Done,
     /* 1832361 */   // Label 24790: @1832361
     /* 1832361 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1832447), // Rule ID 13161 //
     /* 1832366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1832377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1832380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1832383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1832386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832412 */     // MIs[0] policy
     /* 1832412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832422 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832446 */     // GIR_Coverage, 13161,
     /* 1832446 */     GIR_EraseRootFromParent_Done,
     /* 1832447 */   // Label 24791: @1832447
     /* 1832447 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1832533), // Rule ID 13164 //
     /* 1832452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832498 */     // MIs[0] policy
     /* 1832498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832532 */     // GIR_Coverage, 13164,
     /* 1832532 */     GIR_EraseRootFromParent_Done,
     /* 1832533 */   // Label 24792: @1832533
     /* 1832533 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1832619), // Rule ID 13165 //
     /* 1832538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832584 */     // MIs[0] policy
     /* 1832584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832618 */     // GIR_Coverage, 13165,
     /* 1832618 */     GIR_EraseRootFromParent_Done,
     /* 1832619 */   // Label 24793: @1832619
     /* 1832619 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1832705), // Rule ID 13168 //
     /* 1832624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832670 */     // MIs[0] policy
     /* 1832670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832704 */     // GIR_Coverage, 13168,
     /* 1832704 */     GIR_EraseRootFromParent_Done,
     /* 1832705 */   // Label 24794: @1832705
     /* 1832705 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1832791), // Rule ID 13169 //
     /* 1832710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832756 */     // MIs[0] policy
     /* 1832756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832790 */     // GIR_Coverage, 13169,
     /* 1832790 */     GIR_EraseRootFromParent_Done,
     /* 1832791 */   // Label 24795: @1832791
     /* 1832791 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1832877), // Rule ID 13172 //
     /* 1832796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832842 */     // MIs[0] policy
     /* 1832842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832876 */     // GIR_Coverage, 13172,
     /* 1832876 */     GIR_EraseRootFromParent_Done,
     /* 1832877 */   // Label 24796: @1832877
     /* 1832877 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1832963), // Rule ID 13173 //
     /* 1832882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832928 */     // MIs[0] policy
     /* 1832928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832938 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832962 */     // GIR_Coverage, 13173,
     /* 1832962 */     GIR_EraseRootFromParent_Done,
     /* 1832963 */   // Label 24797: @1832963
     /* 1832963 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1833049), // Rule ID 13176 //
     /* 1832968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833014 */     // MIs[0] policy
     /* 1833014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833048 */     // GIR_Coverage, 13176,
     /* 1833048 */     GIR_EraseRootFromParent_Done,
     /* 1833049 */   // Label 24798: @1833049
     /* 1833049 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1833135), // Rule ID 13177 //
     /* 1833054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1833065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1833068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1833071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1833074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833100 */     // MIs[0] policy
     /* 1833100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833134 */     // GIR_Coverage, 13177,
     /* 1833134 */     GIR_EraseRootFromParent_Done,
     /* 1833135 */   // Label 24799: @1833135
     /* 1833135 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1833221), // Rule ID 13180 //
     /* 1833140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1833151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1833154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1833157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833186 */     // MIs[0] policy
     /* 1833186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833196 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833220 */     // GIR_Coverage, 13180,
     /* 1833220 */     GIR_EraseRootFromParent_Done,
     /* 1833221 */   // Label 24800: @1833221
     /* 1833221 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1833307), // Rule ID 13181 //
     /* 1833226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1833237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1833240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1833243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833272 */     // MIs[0] policy
     /* 1833272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833282 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833306 */     // GIR_Coverage, 13181,
     /* 1833306 */     GIR_EraseRootFromParent_Done,
     /* 1833307 */   // Label 24801: @1833307
     /* 1833307 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1833393), // Rule ID 13184 //
     /* 1833312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1833323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1833326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1833329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1833332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1833335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833358 */     // MIs[0] policy
     /* 1833358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833368 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833392 */     // GIR_Coverage, 13184,
     /* 1833392 */     GIR_EraseRootFromParent_Done,
     /* 1833393 */   // Label 24802: @1833393
     /* 1833393 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1833479), // Rule ID 13185 //
     /* 1833398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1833409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1833412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1833415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1833418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1833421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833444 */     // MIs[0] policy
     /* 1833444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833454 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833478 */     // GIR_Coverage, 13185,
     /* 1833478 */     GIR_EraseRootFromParent_Done,
     /* 1833479 */   // Label 24803: @1833479
     /* 1833479 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1833565), // Rule ID 13188 //
     /* 1833484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833530 */     // MIs[0] policy
     /* 1833530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833564 */     // GIR_Coverage, 13188,
     /* 1833564 */     GIR_EraseRootFromParent_Done,
     /* 1833565 */   // Label 24804: @1833565
     /* 1833565 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1833651), // Rule ID 13189 //
     /* 1833570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833616 */     // MIs[0] policy
     /* 1833616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833650 */     // GIR_Coverage, 13189,
     /* 1833650 */     GIR_EraseRootFromParent_Done,
     /* 1833651 */   // Label 24805: @1833651
     /* 1833651 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1833737), // Rule ID 13192 //
     /* 1833656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833702 */     // MIs[0] policy
     /* 1833702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833736 */     // GIR_Coverage, 13192,
     /* 1833736 */     GIR_EraseRootFromParent_Done,
     /* 1833737 */   // Label 24806: @1833737
     /* 1833737 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1833823), // Rule ID 13193 //
     /* 1833742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833788 */     // MIs[0] policy
     /* 1833788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833822 */     // GIR_Coverage, 13193,
     /* 1833822 */     GIR_EraseRootFromParent_Done,
     /* 1833823 */   // Label 24807: @1833823
     /* 1833823 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1833909), // Rule ID 13196 //
     /* 1833828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833874 */     // MIs[0] policy
     /* 1833874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833908 */     // GIR_Coverage, 13196,
     /* 1833908 */     GIR_EraseRootFromParent_Done,
     /* 1833909 */   // Label 24808: @1833909
     /* 1833909 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1833995), // Rule ID 13197 //
     /* 1833914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833960 */     // MIs[0] policy
     /* 1833960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833994 */     // GIR_Coverage, 13197,
     /* 1833994 */     GIR_EraseRootFromParent_Done,
     /* 1833995 */   // Label 24809: @1833995
     /* 1833995 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1834081), // Rule ID 13200 //
     /* 1834000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1834017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834046 */     // MIs[0] policy
     /* 1834046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834080 */     // GIR_Coverage, 13200,
     /* 1834080 */     GIR_EraseRootFromParent_Done,
     /* 1834081 */   // Label 24810: @1834081
     /* 1834081 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1834167), // Rule ID 13201 //
     /* 1834086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1834103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834132 */     // MIs[0] policy
     /* 1834132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834166 */     // GIR_Coverage, 13201,
     /* 1834166 */     GIR_EraseRootFromParent_Done,
     /* 1834167 */   // Label 24811: @1834167
     /* 1834167 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1834253), // Rule ID 13204 //
     /* 1834172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1834189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834218 */     // MIs[0] policy
     /* 1834218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834252 */     // GIR_Coverage, 13204,
     /* 1834252 */     GIR_EraseRootFromParent_Done,
     /* 1834253 */   // Label 24812: @1834253
     /* 1834253 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1834339), // Rule ID 13205 //
     /* 1834258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1834275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834304 */     // MIs[0] policy
     /* 1834304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834338 */     // GIR_Coverage, 13205,
     /* 1834338 */     GIR_EraseRootFromParent_Done,
     /* 1834339 */   // Label 24813: @1834339
     /* 1834339 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1834425), // Rule ID 13208 //
     /* 1834344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1834361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834390 */     // MIs[0] policy
     /* 1834390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834424 */     // GIR_Coverage, 13208,
     /* 1834424 */     GIR_EraseRootFromParent_Done,
     /* 1834425 */   // Label 24814: @1834425
     /* 1834425 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1834511), // Rule ID 13209 //
     /* 1834430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1834447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834476 */     // MIs[0] policy
     /* 1834476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834510 */     // GIR_Coverage, 13209,
     /* 1834510 */     GIR_EraseRootFromParent_Done,
     /* 1834511 */   // Label 24815: @1834511
     /* 1834511 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1834597), // Rule ID 13212 //
     /* 1834516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834562 */     // MIs[0] policy
     /* 1834562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834596 */     // GIR_Coverage, 13212,
     /* 1834596 */     GIR_EraseRootFromParent_Done,
     /* 1834597 */   // Label 24816: @1834597
     /* 1834597 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1834683), // Rule ID 13213 //
     /* 1834602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834648 */     // MIs[0] policy
     /* 1834648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834682 */     // GIR_Coverage, 13213,
     /* 1834682 */     GIR_EraseRootFromParent_Done,
     /* 1834683 */   // Label 24817: @1834683
     /* 1834683 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1834769), // Rule ID 13216 //
     /* 1834688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834734 */     // MIs[0] policy
     /* 1834734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834768 */     // GIR_Coverage, 13216,
     /* 1834768 */     GIR_EraseRootFromParent_Done,
     /* 1834769 */   // Label 24818: @1834769
     /* 1834769 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1834855), // Rule ID 13217 //
     /* 1834774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834820 */     // MIs[0] policy
     /* 1834820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834854 */     // GIR_Coverage, 13217,
     /* 1834854 */     GIR_EraseRootFromParent_Done,
     /* 1834855 */   // Label 24819: @1834855
     /* 1834855 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1834941), // Rule ID 13220 //
     /* 1834860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834906 */     // MIs[0] policy
     /* 1834906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834916 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834940 */     // GIR_Coverage, 13220,
     /* 1834940 */     GIR_EraseRootFromParent_Done,
     /* 1834941 */   // Label 24820: @1834941
     /* 1834941 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1835027), // Rule ID 13221 //
     /* 1834946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834992 */     // MIs[0] policy
     /* 1834992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1835005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835026 */     // GIR_Coverage, 13221,
     /* 1835026 */     GIR_EraseRootFromParent_Done,
     /* 1835027 */   // Label 24821: @1835027
     /* 1835027 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1835113), // Rule ID 13224 //
     /* 1835032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1835043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1835046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835078 */     // MIs[0] policy
     /* 1835078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1835091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835112 */     // GIR_Coverage, 13224,
     /* 1835112 */     GIR_EraseRootFromParent_Done,
     /* 1835113 */   // Label 24822: @1835113
     /* 1835113 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1835199), // Rule ID 13225 //
     /* 1835118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1835129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1835132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835164 */     // MIs[0] policy
     /* 1835164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835174 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1835177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835198 */     // GIR_Coverage, 13225,
     /* 1835198 */     GIR_EraseRootFromParent_Done,
     /* 1835199 */   // Label 24823: @1835199
     /* 1835199 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1835285), // Rule ID 13228 //
     /* 1835204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1835215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1835218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835250 */     // MIs[0] policy
     /* 1835250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835260 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835284 */     // GIR_Coverage, 13228,
     /* 1835284 */     GIR_EraseRootFromParent_Done,
     /* 1835285 */   // Label 24824: @1835285
     /* 1835285 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1835371), // Rule ID 13229 //
     /* 1835290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1835301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1835304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835336 */     // MIs[0] policy
     /* 1835336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835370 */     // GIR_Coverage, 13229,
     /* 1835370 */     GIR_EraseRootFromParent_Done,
     /* 1835371 */   // Label 24825: @1835371
     /* 1835371 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1835457), // Rule ID 13232 //
     /* 1835376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835422 */     // MIs[0] policy
     /* 1835422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835456 */     // GIR_Coverage, 13232,
     /* 1835456 */     GIR_EraseRootFromParent_Done,
     /* 1835457 */   // Label 24826: @1835457
     /* 1835457 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1835543), // Rule ID 13233 //
     /* 1835462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835508 */     // MIs[0] policy
     /* 1835508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835542 */     // GIR_Coverage, 13233,
     /* 1835542 */     GIR_EraseRootFromParent_Done,
     /* 1835543 */   // Label 24827: @1835543
     /* 1835543 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1835629), // Rule ID 13236 //
     /* 1835548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835594 */     // MIs[0] policy
     /* 1835594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835604 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835628 */     // GIR_Coverage, 13236,
     /* 1835628 */     GIR_EraseRootFromParent_Done,
     /* 1835629 */   // Label 24828: @1835629
     /* 1835629 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1835715), // Rule ID 13237 //
     /* 1835634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835680 */     // MIs[0] policy
     /* 1835680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835714 */     // GIR_Coverage, 13237,
     /* 1835714 */     GIR_EraseRootFromParent_Done,
     /* 1835715 */   // Label 24829: @1835715
     /* 1835715 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1835801), // Rule ID 13240 //
     /* 1835720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835766 */     // MIs[0] policy
     /* 1835766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835800 */     // GIR_Coverage, 13240,
     /* 1835800 */     GIR_EraseRootFromParent_Done,
     /* 1835801 */   // Label 24830: @1835801
     /* 1835801 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1835887), // Rule ID 13241 //
     /* 1835806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835852 */     // MIs[0] policy
     /* 1835852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835862 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835886 */     // GIR_Coverage, 13241,
     /* 1835886 */     GIR_EraseRootFromParent_Done,
     /* 1835887 */   // Label 24831: @1835887
     /* 1835887 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1835973), // Rule ID 13244 //
     /* 1835892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835938 */     // MIs[0] policy
     /* 1835938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835972 */     // GIR_Coverage, 13244,
     /* 1835972 */     GIR_EraseRootFromParent_Done,
     /* 1835973 */   // Label 24832: @1835973
     /* 1835973 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1836059), // Rule ID 13245 //
     /* 1835978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836024 */     // MIs[0] policy
     /* 1836024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1836037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836058 */     // GIR_Coverage, 13245,
     /* 1836058 */     GIR_EraseRootFromParent_Done,
     /* 1836059 */   // Label 24833: @1836059
     /* 1836059 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1836145), // Rule ID 13248 //
     /* 1836064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1836075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1836078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1836084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836110 */     // MIs[0] policy
     /* 1836110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836144 */     // GIR_Coverage, 13248,
     /* 1836144 */     GIR_EraseRootFromParent_Done,
     /* 1836145 */   // Label 24834: @1836145
     /* 1836145 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1836231), // Rule ID 13249 //
     /* 1836150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1836161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1836164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1836170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836196 */     // MIs[0] policy
     /* 1836196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836206 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836230 */     // GIR_Coverage, 13249,
     /* 1836230 */     GIR_EraseRootFromParent_Done,
     /* 1836231 */   // Label 24835: @1836231
     /* 1836231 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1836317), // Rule ID 13252 //
     /* 1836236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836282 */     // MIs[0] policy
     /* 1836282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836316 */     // GIR_Coverage, 13252,
     /* 1836316 */     GIR_EraseRootFromParent_Done,
     /* 1836317 */   // Label 24836: @1836317
     /* 1836317 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1836403), // Rule ID 13253 //
     /* 1836322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836368 */     // MIs[0] policy
     /* 1836368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836402 */     // GIR_Coverage, 13253,
     /* 1836402 */     GIR_EraseRootFromParent_Done,
     /* 1836403 */   // Label 24837: @1836403
     /* 1836403 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1836489), // Rule ID 13256 //
     /* 1836408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836454 */     // MIs[0] policy
     /* 1836454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836488 */     // GIR_Coverage, 13256,
     /* 1836488 */     GIR_EraseRootFromParent_Done,
     /* 1836489 */   // Label 24838: @1836489
     /* 1836489 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1836575), // Rule ID 13257 //
     /* 1836494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836540 */     // MIs[0] policy
     /* 1836540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836574 */     // GIR_Coverage, 13257,
     /* 1836574 */     GIR_EraseRootFromParent_Done,
     /* 1836575 */   // Label 24839: @1836575
     /* 1836575 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1836661), // Rule ID 13260 //
     /* 1836580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836626 */     // MIs[0] policy
     /* 1836626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836660 */     // GIR_Coverage, 13260,
     /* 1836660 */     GIR_EraseRootFromParent_Done,
     /* 1836661 */   // Label 24840: @1836661
     /* 1836661 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1836747), // Rule ID 13261 //
     /* 1836666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1836669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836712 */     // MIs[0] policy
     /* 1836712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836746 */     // GIR_Coverage, 13261,
     /* 1836746 */     GIR_EraseRootFromParent_Done,
     /* 1836747 */   // Label 24841: @1836747
     /* 1836747 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1836833), // Rule ID 13264 //
     /* 1836752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836798 */     // MIs[0] policy
     /* 1836798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836808 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836832 */     // GIR_Coverage, 13264,
     /* 1836832 */     GIR_EraseRootFromParent_Done,
     /* 1836833 */   // Label 24842: @1836833
     /* 1836833 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1836919), // Rule ID 13265 //
     /* 1836838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836884 */     // MIs[0] policy
     /* 1836884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836894 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836918 */     // GIR_Coverage, 13265,
     /* 1836918 */     GIR_EraseRootFromParent_Done,
     /* 1836919 */   // Label 24843: @1836919
     /* 1836919 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1837005), // Rule ID 13268 //
     /* 1836924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836970 */     // MIs[0] policy
     /* 1836970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836980 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837004 */     // GIR_Coverage, 13268,
     /* 1837004 */     GIR_EraseRootFromParent_Done,
     /* 1837005 */   // Label 24844: @1837005
     /* 1837005 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1837091), // Rule ID 13269 //
     /* 1837010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1837021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1837024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1837030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837056 */     // MIs[0] policy
     /* 1837056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837066 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837090 */     // GIR_Coverage, 13269,
     /* 1837090 */     GIR_EraseRootFromParent_Done,
     /* 1837091 */   // Label 24845: @1837091
     /* 1837091 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1837177), // Rule ID 13272 //
     /* 1837096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1837107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1837110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1837116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1837119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837142 */     // MIs[0] policy
     /* 1837142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837152 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837176 */     // GIR_Coverage, 13272,
     /* 1837176 */     GIR_EraseRootFromParent_Done,
     /* 1837177 */   // Label 24846: @1837177
     /* 1837177 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1837263), // Rule ID 13273 //
     /* 1837182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1837193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1837196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1837202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1837205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837228 */     // MIs[0] policy
     /* 1837228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837238 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837262 */     // GIR_Coverage, 13273,
     /* 1837262 */     GIR_EraseRootFromParent_Done,
     /* 1837263 */   // Label 24847: @1837263
     /* 1837263 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1837349), // Rule ID 13276 //
     /* 1837268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1837288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837314 */     // MIs[0] policy
     /* 1837314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837348 */     // GIR_Coverage, 13276,
     /* 1837348 */     GIR_EraseRootFromParent_Done,
     /* 1837349 */   // Label 24848: @1837349
     /* 1837349 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1837435), // Rule ID 13277 //
     /* 1837354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1837374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837400 */     // MIs[0] policy
     /* 1837400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837434 */     // GIR_Coverage, 13277,
     /* 1837434 */     GIR_EraseRootFromParent_Done,
     /* 1837435 */   // Label 24849: @1837435
     /* 1837435 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1837521), // Rule ID 13280 //
     /* 1837440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837486 */     // MIs[0] policy
     /* 1837486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837520 */     // GIR_Coverage, 13280,
     /* 1837520 */     GIR_EraseRootFromParent_Done,
     /* 1837521 */   // Label 24850: @1837521
     /* 1837521 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1837607), // Rule ID 13281 //
     /* 1837526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837572 */     // MIs[0] policy
     /* 1837572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837582 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837606 */     // GIR_Coverage, 13281,
     /* 1837606 */     GIR_EraseRootFromParent_Done,
     /* 1837607 */   // Label 24851: @1837607
     /* 1837607 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1837693), // Rule ID 13284 //
     /* 1837612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837658 */     // MIs[0] policy
     /* 1837658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837692 */     // GIR_Coverage, 13284,
     /* 1837692 */     GIR_EraseRootFromParent_Done,
     /* 1837693 */   // Label 24852: @1837693
     /* 1837693 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1837779), // Rule ID 13285 //
     /* 1837698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837744 */     // MIs[0] policy
     /* 1837744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837754 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837778 */     // GIR_Coverage, 13285,
     /* 1837778 */     GIR_EraseRootFromParent_Done,
     /* 1837779 */   // Label 24853: @1837779
     /* 1837779 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1837865), // Rule ID 13288 //
     /* 1837784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837830 */     // MIs[0] policy
     /* 1837830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837864 */     // GIR_Coverage, 13288,
     /* 1837864 */     GIR_EraseRootFromParent_Done,
     /* 1837865 */   // Label 24854: @1837865
     /* 1837865 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1837951), // Rule ID 13289 //
     /* 1837870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837916 */     // MIs[0] policy
     /* 1837916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837950 */     // GIR_Coverage, 13289,
     /* 1837950 */     GIR_EraseRootFromParent_Done,
     /* 1837951 */   // Label 24855: @1837951
     /* 1837951 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1838037), // Rule ID 13292 //
     /* 1837956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838002 */     // MIs[0] policy
     /* 1838002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838036 */     // GIR_Coverage, 13292,
     /* 1838036 */     GIR_EraseRootFromParent_Done,
     /* 1838037 */   // Label 24856: @1838037
     /* 1838037 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1838123), // Rule ID 13293 //
     /* 1838042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1838062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838088 */     // MIs[0] policy
     /* 1838088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838122 */     // GIR_Coverage, 13293,
     /* 1838122 */     GIR_EraseRootFromParent_Done,
     /* 1838123 */   // Label 24857: @1838123
     /* 1838123 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1838209), // Rule ID 13296 //
     /* 1838128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1838148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838174 */     // MIs[0] policy
     /* 1838174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838208 */     // GIR_Coverage, 13296,
     /* 1838208 */     GIR_EraseRootFromParent_Done,
     /* 1838209 */   // Label 24858: @1838209
     /* 1838209 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1838295), // Rule ID 13297 //
     /* 1838214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1838234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838260 */     // MIs[0] policy
     /* 1838260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838270 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838294 */     // GIR_Coverage, 13297,
     /* 1838294 */     GIR_EraseRootFromParent_Done,
     /* 1838295 */   // Label 24859: @1838295
     /* 1838295 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1838381), // Rule ID 13300 //
     /* 1838300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1838320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838346 */     // MIs[0] policy
     /* 1838346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838356 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1838359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838380 */     // GIR_Coverage, 13300,
     /* 1838380 */     GIR_EraseRootFromParent_Done,
     /* 1838381 */   // Label 24860: @1838381
     /* 1838381 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1838467), // Rule ID 13301 //
     /* 1838386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1838406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838432 */     // MIs[0] policy
     /* 1838432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1838445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838466 */     // GIR_Coverage, 13301,
     /* 1838466 */     GIR_EraseRootFromParent_Done,
     /* 1838467 */   // Label 24861: @1838467
     /* 1838467 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1838553), // Rule ID 13304 //
     /* 1838472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838518 */     // MIs[0] policy
     /* 1838518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838552 */     // GIR_Coverage, 13304,
     /* 1838552 */     GIR_EraseRootFromParent_Done,
     /* 1838553 */   // Label 24862: @1838553
     /* 1838553 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1838639), // Rule ID 13305 //
     /* 1838558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838604 */     // MIs[0] policy
     /* 1838604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838614 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838638 */     // GIR_Coverage, 13305,
     /* 1838638 */     GIR_EraseRootFromParent_Done,
     /* 1838639 */   // Label 24863: @1838639
     /* 1838639 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1838725), // Rule ID 13308 //
     /* 1838644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838690 */     // MIs[0] policy
     /* 1838690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838724 */     // GIR_Coverage, 13308,
     /* 1838724 */     GIR_EraseRootFromParent_Done,
     /* 1838725 */   // Label 24864: @1838725
     /* 1838725 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1838811), // Rule ID 13309 //
     /* 1838730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838776 */     // MIs[0] policy
     /* 1838776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838810 */     // GIR_Coverage, 13309,
     /* 1838810 */     GIR_EraseRootFromParent_Done,
     /* 1838811 */   // Label 24865: @1838811
     /* 1838811 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1838897), // Rule ID 13312 //
     /* 1838816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838862 */     // MIs[0] policy
     /* 1838862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838896 */     // GIR_Coverage, 13312,
     /* 1838896 */     GIR_EraseRootFromParent_Done,
     /* 1838897 */   // Label 24866: @1838897
     /* 1838897 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1838983), // Rule ID 13313 //
     /* 1838902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838948 */     // MIs[0] policy
     /* 1838948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838982 */     // GIR_Coverage, 13313,
     /* 1838982 */     GIR_EraseRootFromParent_Done,
     /* 1838983 */   // Label 24867: @1838983
     /* 1838983 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1839069), // Rule ID 13316 //
     /* 1838988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1839005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839034 */     // MIs[0] policy
     /* 1839034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839068 */     // GIR_Coverage, 13316,
     /* 1839068 */     GIR_EraseRootFromParent_Done,
     /* 1839069 */   // Label 24868: @1839069
     /* 1839069 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1839155), // Rule ID 13317 //
     /* 1839074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1839091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839120 */     // MIs[0] policy
     /* 1839120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839154 */     // GIR_Coverage, 13317,
     /* 1839154 */     GIR_EraseRootFromParent_Done,
     /* 1839155 */   // Label 24869: @1839155
     /* 1839155 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1839241), // Rule ID 13320 //
     /* 1839160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1839177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839206 */     // MIs[0] policy
     /* 1839206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839240 */     // GIR_Coverage, 13320,
     /* 1839240 */     GIR_EraseRootFromParent_Done,
     /* 1839241 */   // Label 24870: @1839241
     /* 1839241 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1839327), // Rule ID 13321 //
     /* 1839246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1839263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839292 */     // MIs[0] policy
     /* 1839292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839326 */     // GIR_Coverage, 13321,
     /* 1839326 */     GIR_EraseRootFromParent_Done,
     /* 1839327 */   // Label 24871: @1839327
     /* 1839327 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1839413), // Rule ID 13324 //
     /* 1839332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839378 */     // MIs[0] policy
     /* 1839378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839412 */     // GIR_Coverage, 13324,
     /* 1839412 */     GIR_EraseRootFromParent_Done,
     /* 1839413 */   // Label 24872: @1839413
     /* 1839413 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1839499), // Rule ID 13325 //
     /* 1839418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839464 */     // MIs[0] policy
     /* 1839464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839498 */     // GIR_Coverage, 13325,
     /* 1839498 */     GIR_EraseRootFromParent_Done,
     /* 1839499 */   // Label 24873: @1839499
     /* 1839499 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1839585), // Rule ID 13328 //
     /* 1839504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839550 */     // MIs[0] policy
     /* 1839550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839560 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839584 */     // GIR_Coverage, 13328,
     /* 1839584 */     GIR_EraseRootFromParent_Done,
     /* 1839585 */   // Label 24874: @1839585
     /* 1839585 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1839671), // Rule ID 13329 //
     /* 1839590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839636 */     // MIs[0] policy
     /* 1839636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839646 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839670 */     // GIR_Coverage, 13329,
     /* 1839670 */     GIR_EraseRootFromParent_Done,
     /* 1839671 */   // Label 24875: @1839671
     /* 1839671 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1839757), // Rule ID 13332 //
     /* 1839676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839722 */     // MIs[0] policy
     /* 1839722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839756 */     // GIR_Coverage, 13332,
     /* 1839756 */     GIR_EraseRootFromParent_Done,
     /* 1839757 */   // Label 24876: @1839757
     /* 1839757 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1839843), // Rule ID 13333 //
     /* 1839762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839808 */     // MIs[0] policy
     /* 1839808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839842 */     // GIR_Coverage, 13333,
     /* 1839842 */     GIR_EraseRootFromParent_Done,
     /* 1839843 */   // Label 24877: @1839843
     /* 1839843 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1839929), // Rule ID 13336 //
     /* 1839848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839894 */     // MIs[0] policy
     /* 1839894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839928 */     // GIR_Coverage, 13336,
     /* 1839928 */     GIR_EraseRootFromParent_Done,
     /* 1839929 */   // Label 24878: @1839929
     /* 1839929 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1840015), // Rule ID 13337 //
     /* 1839934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839980 */     // MIs[0] policy
     /* 1839980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840014 */     // GIR_Coverage, 13337,
     /* 1840014 */     GIR_EraseRootFromParent_Done,
     /* 1840015 */   // Label 24879: @1840015
     /* 1840015 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1840101), // Rule ID 13340 //
     /* 1840020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1840037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1840040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840066 */     // MIs[0] policy
     /* 1840066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840100 */     // GIR_Coverage, 13340,
     /* 1840100 */     GIR_EraseRootFromParent_Done,
     /* 1840101 */   // Label 24880: @1840101
     /* 1840101 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1840187), // Rule ID 13341 //
     /* 1840106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1840123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1840126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840152 */     // MIs[0] policy
     /* 1840152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840186 */     // GIR_Coverage, 13341,
     /* 1840186 */     GIR_EraseRootFromParent_Done,
     /* 1840187 */   // Label 24881: @1840187
     /* 1840187 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1840273), // Rule ID 13344 //
     /* 1840192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1840209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1840212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840238 */     // MIs[0] policy
     /* 1840238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840272 */     // GIR_Coverage, 13344,
     /* 1840272 */     GIR_EraseRootFromParent_Done,
     /* 1840273 */   // Label 24882: @1840273
     /* 1840273 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1840359), // Rule ID 13345 //
     /* 1840278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1840295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1840298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840324 */     // MIs[0] policy
     /* 1840324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840358 */     // GIR_Coverage, 13345,
     /* 1840358 */     GIR_EraseRootFromParent_Done,
     /* 1840359 */   // Label 24883: @1840359
     /* 1840359 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1840445), // Rule ID 13348 //
     /* 1840364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840410 */     // MIs[0] policy
     /* 1840410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840444 */     // GIR_Coverage, 13348,
     /* 1840444 */     GIR_EraseRootFromParent_Done,
     /* 1840445 */   // Label 24884: @1840445
     /* 1840445 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1840531), // Rule ID 13349 //
     /* 1840450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840496 */     // MIs[0] policy
     /* 1840496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840530 */     // GIR_Coverage, 13349,
     /* 1840530 */     GIR_EraseRootFromParent_Done,
     /* 1840531 */   // Label 24885: @1840531
     /* 1840531 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1840617), // Rule ID 13352 //
     /* 1840536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840582 */     // MIs[0] policy
     /* 1840582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840616 */     // GIR_Coverage, 13352,
     /* 1840616 */     GIR_EraseRootFromParent_Done,
     /* 1840617 */   // Label 24886: @1840617
     /* 1840617 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1840703), // Rule ID 13353 //
     /* 1840622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840668 */     // MIs[0] policy
     /* 1840668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840702 */     // GIR_Coverage, 13353,
     /* 1840702 */     GIR_EraseRootFromParent_Done,
     /* 1840703 */   // Label 24887: @1840703
     /* 1840703 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1840789), // Rule ID 13356 //
     /* 1840708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840754 */     // MIs[0] policy
     /* 1840754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840788 */     // GIR_Coverage, 13356,
     /* 1840788 */     GIR_EraseRootFromParent_Done,
     /* 1840789 */   // Label 24888: @1840789
     /* 1840789 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1840875), // Rule ID 13357 //
     /* 1840794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840840 */     // MIs[0] policy
     /* 1840840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840874 */     // GIR_Coverage, 13357,
     /* 1840874 */     GIR_EraseRootFromParent_Done,
     /* 1840875 */   // Label 24889: @1840875
     /* 1840875 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1840961), // Rule ID 13360 //
     /* 1840880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840926 */     // MIs[0] policy
     /* 1840926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840960 */     // GIR_Coverage, 13360,
     /* 1840960 */     GIR_EraseRootFromParent_Done,
     /* 1840961 */   // Label 24890: @1840961
     /* 1840961 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1841047), // Rule ID 13361 //
     /* 1840966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841012 */     // MIs[0] policy
     /* 1841012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1841025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841046 */     // GIR_Coverage, 13361,
     /* 1841046 */     GIR_EraseRootFromParent_Done,
     /* 1841047 */   // Label 24891: @1841047
     /* 1841047 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1841133), // Rule ID 13364 //
     /* 1841052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1841069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1841072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841098 */     // MIs[0] policy
     /* 1841098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1841111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841132 */     // GIR_Coverage, 13364,
     /* 1841132 */     GIR_EraseRootFromParent_Done,
     /* 1841133 */   // Label 24892: @1841133
     /* 1841133 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1841219), // Rule ID 13365 //
     /* 1841138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1841155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1841158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841184 */     // MIs[0] policy
     /* 1841184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1841197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841218 */     // GIR_Coverage, 13365,
     /* 1841218 */     GIR_EraseRootFromParent_Done,
     /* 1841219 */   // Label 24893: @1841219
     /* 1841219 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1841305), // Rule ID 13368 //
     /* 1841224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1841241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1841244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841270 */     // MIs[0] policy
     /* 1841270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1841283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841304 */     // GIR_Coverage, 13368,
     /* 1841304 */     GIR_EraseRootFromParent_Done,
     /* 1841305 */   // Label 24894: @1841305
     /* 1841305 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1841391), // Rule ID 13369 //
     /* 1841310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1841327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1841330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841356 */     // MIs[0] policy
     /* 1841356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1841369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841390 */     // GIR_Coverage, 13369,
     /* 1841390 */     GIR_EraseRootFromParent_Done,
     /* 1841391 */   // Label 24895: @1841391
     /* 1841391 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1841477), // Rule ID 13372 //
     /* 1841396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841442 */     // MIs[0] policy
     /* 1841442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841476 */     // GIR_Coverage, 13372,
     /* 1841476 */     GIR_EraseRootFromParent_Done,
     /* 1841477 */   // Label 24896: @1841477
     /* 1841477 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1841563), // Rule ID 13373 //
     /* 1841482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841528 */     // MIs[0] policy
     /* 1841528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841562 */     // GIR_Coverage, 13373,
     /* 1841562 */     GIR_EraseRootFromParent_Done,
     /* 1841563 */   // Label 24897: @1841563
     /* 1841563 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1841649), // Rule ID 13376 //
     /* 1841568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841614 */     // MIs[0] policy
     /* 1841614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841648 */     // GIR_Coverage, 13376,
     /* 1841648 */     GIR_EraseRootFromParent_Done,
     /* 1841649 */   // Label 24898: @1841649
     /* 1841649 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1841735), // Rule ID 13377 //
     /* 1841654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841700 */     // MIs[0] policy
     /* 1841700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841710 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841734 */     // GIR_Coverage, 13377,
     /* 1841734 */     GIR_EraseRootFromParent_Done,
     /* 1841735 */   // Label 24899: @1841735
     /* 1841735 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1841821), // Rule ID 13380 //
     /* 1841740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841786 */     // MIs[0] policy
     /* 1841786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841820 */     // GIR_Coverage, 13380,
     /* 1841820 */     GIR_EraseRootFromParent_Done,
     /* 1841821 */   // Label 24900: @1841821
     /* 1841821 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1841907), // Rule ID 13381 //
     /* 1841826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841872 */     // MIs[0] policy
     /* 1841872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841906 */     // GIR_Coverage, 13381,
     /* 1841906 */     GIR_EraseRootFromParent_Done,
     /* 1841907 */   // Label 24901: @1841907
     /* 1841907 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1841993), // Rule ID 13384 //
     /* 1841912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1841932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841958 */     // MIs[0] policy
     /* 1841958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841992 */     // GIR_Coverage, 13384,
     /* 1841992 */     GIR_EraseRootFromParent_Done,
     /* 1841993 */   // Label 24902: @1841993
     /* 1841993 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1842079), // Rule ID 13385 //
     /* 1841998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1842009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1842012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842044 */     // MIs[0] policy
     /* 1842044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842054 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842078 */     // GIR_Coverage, 13385,
     /* 1842078 */     GIR_EraseRootFromParent_Done,
     /* 1842079 */   // Label 24903: @1842079
     /* 1842079 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1842165), // Rule ID 13388 //
     /* 1842084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1842095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1842098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1842104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842130 */     // MIs[0] policy
     /* 1842130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842164 */     // GIR_Coverage, 13388,
     /* 1842164 */     GIR_EraseRootFromParent_Done,
     /* 1842165 */   // Label 24904: @1842165
     /* 1842165 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1842251), // Rule ID 13389 //
     /* 1842170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1842181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1842184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1842190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842216 */     // MIs[0] policy
     /* 1842216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842250 */     // GIR_Coverage, 13389,
     /* 1842250 */     GIR_EraseRootFromParent_Done,
     /* 1842251 */   // Label 24905: @1842251
     /* 1842251 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1842337), // Rule ID 13392 //
     /* 1842256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1842267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1842270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1842276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1842279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842302 */     // MIs[0] policy
     /* 1842302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842336 */     // GIR_Coverage, 13392,
     /* 1842336 */     GIR_EraseRootFromParent_Done,
     /* 1842337 */   // Label 24906: @1842337
     /* 1842337 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1842423), // Rule ID 13393 //
     /* 1842342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1842353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1842356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1842362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1842365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842388 */     // MIs[0] policy
     /* 1842388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842422 */     // GIR_Coverage, 13393,
     /* 1842422 */     GIR_EraseRootFromParent_Done,
     /* 1842423 */   // Label 24907: @1842423
     /* 1842423 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1842509), // Rule ID 13396 //
     /* 1842428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842474 */     // MIs[0] policy
     /* 1842474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842508 */     // GIR_Coverage, 13396,
     /* 1842508 */     GIR_EraseRootFromParent_Done,
     /* 1842509 */   // Label 24908: @1842509
     /* 1842509 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1842595), // Rule ID 13397 //
     /* 1842514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842560 */     // MIs[0] policy
     /* 1842560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842594 */     // GIR_Coverage, 13397,
     /* 1842594 */     GIR_EraseRootFromParent_Done,
     /* 1842595 */   // Label 24909: @1842595
     /* 1842595 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1842681), // Rule ID 13400 //
     /* 1842600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842646 */     // MIs[0] policy
     /* 1842646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842680 */     // GIR_Coverage, 13400,
     /* 1842680 */     GIR_EraseRootFromParent_Done,
     /* 1842681 */   // Label 24910: @1842681
     /* 1842681 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1842767), // Rule ID 13401 //
     /* 1842686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842732 */     // MIs[0] policy
     /* 1842732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842766 */     // GIR_Coverage, 13401,
     /* 1842766 */     GIR_EraseRootFromParent_Done,
     /* 1842767 */   // Label 24911: @1842767
     /* 1842767 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1842853), // Rule ID 13404 //
     /* 1842772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842818 */     // MIs[0] policy
     /* 1842818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842852 */     // GIR_Coverage, 13404,
     /* 1842852 */     GIR_EraseRootFromParent_Done,
     /* 1842853 */   // Label 24912: @1842853
     /* 1842853 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1842939), // Rule ID 13405 //
     /* 1842858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842904 */     // MIs[0] policy
     /* 1842904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842914 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842938 */     // GIR_Coverage, 13405,
     /* 1842938 */     GIR_EraseRootFromParent_Done,
     /* 1842939 */   // Label 24913: @1842939
     /* 1842939 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1843025), // Rule ID 13408 //
     /* 1842944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1842964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842990 */     // MIs[0] policy
     /* 1842990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843024 */     // GIR_Coverage, 13408,
     /* 1843024 */     GIR_EraseRootFromParent_Done,
     /* 1843025 */   // Label 24914: @1843025
     /* 1843025 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1843111), // Rule ID 13409 //
     /* 1843030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1843041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1843044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1843050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843076 */     // MIs[0] policy
     /* 1843076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843110 */     // GIR_Coverage, 13409,
     /* 1843110 */     GIR_EraseRootFromParent_Done,
     /* 1843111 */   // Label 24915: @1843111
     /* 1843111 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1843197), // Rule ID 13412 //
     /* 1843116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1843127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1843130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843162 */     // MIs[0] policy
     /* 1843162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843196 */     // GIR_Coverage, 13412,
     /* 1843196 */     GIR_EraseRootFromParent_Done,
     /* 1843197 */   // Label 24916: @1843197
     /* 1843197 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1843283), // Rule ID 13413 //
     /* 1843202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1843213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1843216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843248 */     // MIs[0] policy
     /* 1843248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843282 */     // GIR_Coverage, 13413,
     /* 1843282 */     GIR_EraseRootFromParent_Done,
     /* 1843283 */   // Label 24917: @1843283
     /* 1843283 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1843369), // Rule ID 13416 //
     /* 1843288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1843308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843334 */     // MIs[0] policy
     /* 1843334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1843347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843368 */     // GIR_Coverage, 13416,
     /* 1843368 */     GIR_EraseRootFromParent_Done,
     /* 1843369 */   // Label 24918: @1843369
     /* 1843369 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1843455), // Rule ID 13417 //
     /* 1843374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1843394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843420 */     // MIs[0] policy
     /* 1843420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1843433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843454 */     // GIR_Coverage, 13417,
     /* 1843454 */     GIR_EraseRootFromParent_Done,
     /* 1843455 */   // Label 24919: @1843455
     /* 1843455 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1843541), // Rule ID 13420 //
     /* 1843460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843506 */     // MIs[0] policy
     /* 1843506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843540 */     // GIR_Coverage, 13420,
     /* 1843540 */     GIR_EraseRootFromParent_Done,
     /* 1843541 */   // Label 24920: @1843541
     /* 1843541 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1843627), // Rule ID 13421 //
     /* 1843546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843592 */     // MIs[0] policy
     /* 1843592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843626 */     // GIR_Coverage, 13421,
     /* 1843626 */     GIR_EraseRootFromParent_Done,
     /* 1843627 */   // Label 24921: @1843627
     /* 1843627 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1843713), // Rule ID 13424 //
     /* 1843632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843678 */     // MIs[0] policy
     /* 1843678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843712 */     // GIR_Coverage, 13424,
     /* 1843712 */     GIR_EraseRootFromParent_Done,
     /* 1843713 */   // Label 24922: @1843713
     /* 1843713 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1843799), // Rule ID 13425 //
     /* 1843718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843764 */     // MIs[0] policy
     /* 1843764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843798 */     // GIR_Coverage, 13425,
     /* 1843798 */     GIR_EraseRootFromParent_Done,
     /* 1843799 */   // Label 24923: @1843799
     /* 1843799 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1843885), // Rule ID 13428 //
     /* 1843804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843850 */     // MIs[0] policy
     /* 1843850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843884 */     // GIR_Coverage, 13428,
     /* 1843884 */     GIR_EraseRootFromParent_Done,
     /* 1843885 */   // Label 24924: @1843885
     /* 1843885 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1843971), // Rule ID 13429 //
     /* 1843890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843936 */     // MIs[0] policy
     /* 1843936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843970 */     // GIR_Coverage, 13429,
     /* 1843970 */     GIR_EraseRootFromParent_Done,
     /* 1843971 */   // Label 24925: @1843971
     /* 1843971 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1844057), // Rule ID 13432 //
     /* 1843976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1843987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1843990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1843993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1843996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844022 */     // MIs[0] policy
     /* 1844022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1844035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844056 */     // GIR_Coverage, 13432,
     /* 1844056 */     GIR_EraseRootFromParent_Done,
     /* 1844057 */   // Label 24926: @1844057
     /* 1844057 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1844143), // Rule ID 13433 //
     /* 1844062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1844073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1844076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1844079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1844082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844108 */     // MIs[0] policy
     /* 1844108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1844121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844142 */     // GIR_Coverage, 13433,
     /* 1844142 */     GIR_EraseRootFromParent_Done,
     /* 1844143 */   // Label 24927: @1844143
     /* 1844143 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1844229), // Rule ID 13436 //
     /* 1844148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1844159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1844162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1844165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1844168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844194 */     // MIs[0] policy
     /* 1844194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844228 */     // GIR_Coverage, 13436,
     /* 1844228 */     GIR_EraseRootFromParent_Done,
     /* 1844229 */   // Label 24928: @1844229
     /* 1844229 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1844315), // Rule ID 13437 //
     /* 1844234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1844245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1844248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1844251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1844254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844280 */     // MIs[0] policy
     /* 1844280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844314 */     // GIR_Coverage, 13437,
     /* 1844314 */     GIR_EraseRootFromParent_Done,
     /* 1844315 */   // Label 24929: @1844315
     /* 1844315 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1844401), // Rule ID 13440 //
     /* 1844320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1844331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1844334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1844337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1844340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844366 */     // MIs[0] policy
     /* 1844366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844400 */     // GIR_Coverage, 13440,
     /* 1844400 */     GIR_EraseRootFromParent_Done,
     /* 1844401 */   // Label 24930: @1844401
     /* 1844401 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1844487), // Rule ID 13441 //
     /* 1844406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1844417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1844420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1844423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1844426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844452 */     // MIs[0] policy
     /* 1844452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844486 */     // GIR_Coverage, 13441,
     /* 1844486 */     GIR_EraseRootFromParent_Done,
     /* 1844487 */   // Label 24931: @1844487
     /* 1844487 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1844573), // Rule ID 13444 //
     /* 1844492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844538 */     // MIs[0] policy
     /* 1844538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844572 */     // GIR_Coverage, 13444,
     /* 1844572 */     GIR_EraseRootFromParent_Done,
     /* 1844573 */   // Label 24932: @1844573
     /* 1844573 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1844659), // Rule ID 13445 //
     /* 1844578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844624 */     // MIs[0] policy
     /* 1844624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844658 */     // GIR_Coverage, 13445,
     /* 1844658 */     GIR_EraseRootFromParent_Done,
     /* 1844659 */   // Label 24933: @1844659
     /* 1844659 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1844745), // Rule ID 13448 //
     /* 1844664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844710 */     // MIs[0] policy
     /* 1844710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844744 */     // GIR_Coverage, 13448,
     /* 1844744 */     GIR_EraseRootFromParent_Done,
     /* 1844745 */   // Label 24934: @1844745
     /* 1844745 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1844831), // Rule ID 13449 //
     /* 1844750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844796 */     // MIs[0] policy
     /* 1844796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844830 */     // GIR_Coverage, 13449,
     /* 1844830 */     GIR_EraseRootFromParent_Done,
     /* 1844831 */   // Label 24935: @1844831
     /* 1844831 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1844917), // Rule ID 13452 //
     /* 1844836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844882 */     // MIs[0] policy
     /* 1844882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844916 */     // GIR_Coverage, 13452,
     /* 1844916 */     GIR_EraseRootFromParent_Done,
     /* 1844917 */   // Label 24936: @1844917
     /* 1844917 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1845003), // Rule ID 13453 //
     /* 1844922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844968 */     // MIs[0] policy
     /* 1844968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845002 */     // GIR_Coverage, 13453,
     /* 1845002 */     GIR_EraseRootFromParent_Done,
     /* 1845003 */   // Label 24937: @1845003
     /* 1845003 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1845089), // Rule ID 13456 //
     /* 1845008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1845019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1845022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1845025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1845028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845054 */     // MIs[0] policy
     /* 1845054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1845067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845088 */     // GIR_Coverage, 13456,
     /* 1845088 */     GIR_EraseRootFromParent_Done,
     /* 1845089 */   // Label 24938: @1845089
     /* 1845089 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1845175), // Rule ID 13457 //
     /* 1845094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1845105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1845108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1845111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1845114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845140 */     // MIs[0] policy
     /* 1845140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1845153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845174 */     // GIR_Coverage, 13457,
     /* 1845174 */     GIR_EraseRootFromParent_Done,
     /* 1845175 */   // Label 24939: @1845175
     /* 1845175 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1845261), // Rule ID 13460 //
     /* 1845180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1845191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1845194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1845197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1845200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845226 */     // MIs[0] policy
     /* 1845226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845260 */     // GIR_Coverage, 13460,
     /* 1845260 */     GIR_EraseRootFromParent_Done,
     /* 1845261 */   // Label 24940: @1845261
     /* 1845261 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1845347), // Rule ID 13461 //
     /* 1845266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1845277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1845280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1845283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1845286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845312 */     // MIs[0] policy
     /* 1845312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845346 */     // GIR_Coverage, 13461,
     /* 1845346 */     GIR_EraseRootFromParent_Done,
     /* 1845347 */   // Label 24941: @1845347
     /* 1845347 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1845433), // Rule ID 13464 //
     /* 1845352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1845363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1845366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1845369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1845372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845398 */     // MIs[0] policy
     /* 1845398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845432 */     // GIR_Coverage, 13464,
     /* 1845432 */     GIR_EraseRootFromParent_Done,
     /* 1845433 */   // Label 24942: @1845433
     /* 1845433 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1845519), // Rule ID 13465 //
     /* 1845438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1845449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1845452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1845455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1845458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845484 */     // MIs[0] policy
     /* 1845484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845518 */     // GIR_Coverage, 13465,
     /* 1845518 */     GIR_EraseRootFromParent_Done,
     /* 1845519 */   // Label 24943: @1845519
     /* 1845519 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1845605), // Rule ID 13468 //
     /* 1845524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845570 */     // MIs[0] policy
     /* 1845570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845604 */     // GIR_Coverage, 13468,
     /* 1845604 */     GIR_EraseRootFromParent_Done,
     /* 1845605 */   // Label 24944: @1845605
     /* 1845605 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1845691), // Rule ID 13469 //
     /* 1845610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845656 */     // MIs[0] policy
     /* 1845656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845690 */     // GIR_Coverage, 13469,
     /* 1845690 */     GIR_EraseRootFromParent_Done,
     /* 1845691 */   // Label 24945: @1845691
     /* 1845691 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1845777), // Rule ID 13472 //
     /* 1845696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845742 */     // MIs[0] policy
     /* 1845742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845776 */     // GIR_Coverage, 13472,
     /* 1845776 */     GIR_EraseRootFromParent_Done,
     /* 1845777 */   // Label 24946: @1845777
     /* 1845777 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1845863), // Rule ID 13473 //
     /* 1845782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845828 */     // MIs[0] policy
     /* 1845828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845862 */     // GIR_Coverage, 13473,
     /* 1845862 */     GIR_EraseRootFromParent_Done,
     /* 1845863 */   // Label 24947: @1845863
     /* 1845863 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1845949), // Rule ID 13476 //
     /* 1845868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845914 */     // MIs[0] policy
     /* 1845914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845948 */     // GIR_Coverage, 13476,
     /* 1845948 */     GIR_EraseRootFromParent_Done,
     /* 1845949 */   // Label 24948: @1845949
     /* 1845949 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1846035), // Rule ID 13477 //
     /* 1845954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846000 */     // MIs[0] policy
     /* 1846000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1846013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846034 */     // GIR_Coverage, 13477,
     /* 1846034 */     GIR_EraseRootFromParent_Done,
     /* 1846035 */   // Label 24949: @1846035
     /* 1846035 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1846121), // Rule ID 13480 //
     /* 1846040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1846051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1846054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1846057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1846060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846086 */     // MIs[0] policy
     /* 1846086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1846099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846120 */     // GIR_Coverage, 13480,
     /* 1846120 */     GIR_EraseRootFromParent_Done,
     /* 1846121 */   // Label 24950: @1846121
     /* 1846121 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1846207), // Rule ID 13481 //
     /* 1846126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1846137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1846140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1846143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1846146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846172 */     // MIs[0] policy
     /* 1846172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1846185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846206 */     // GIR_Coverage, 13481,
     /* 1846206 */     GIR_EraseRootFromParent_Done,
     /* 1846207 */   // Label 24951: @1846207
     /* 1846207 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1846293), // Rule ID 13484 //
     /* 1846212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1846223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1846226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1846229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1846232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846258 */     // MIs[0] policy
     /* 1846258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1846271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846292 */     // GIR_Coverage, 13484,
     /* 1846292 */     GIR_EraseRootFromParent_Done,
     /* 1846293 */   // Label 24952: @1846293
     /* 1846293 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1846379), // Rule ID 13485 //
     /* 1846298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1846309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1846312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1846315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1846318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846344 */     // MIs[0] policy
     /* 1846344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846354 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1846357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846378 */     // GIR_Coverage, 13485,
     /* 1846378 */     GIR_EraseRootFromParent_Done,
     /* 1846379 */   // Label 24953: @1846379
     /* 1846379 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1846465), // Rule ID 13488 //
     /* 1846384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1846395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1846398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1846401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1846404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846430 */     // MIs[0] policy
     /* 1846430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846464 */     // GIR_Coverage, 13488,
     /* 1846464 */     GIR_EraseRootFromParent_Done,
     /* 1846465 */   // Label 24954: @1846465
     /* 1846465 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1846551), // Rule ID 13489 //
     /* 1846470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1846481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1846484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1846487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1846490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846516 */     // MIs[0] policy
     /* 1846516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846550 */     // GIR_Coverage, 13489,
     /* 1846550 */     GIR_EraseRootFromParent_Done,
     /* 1846551 */   // Label 24955: @1846551
     /* 1846551 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1846637), // Rule ID 13492 //
     /* 1846556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846602 */     // MIs[0] policy
     /* 1846602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846636 */     // GIR_Coverage, 13492,
     /* 1846636 */     GIR_EraseRootFromParent_Done,
     /* 1846637 */   // Label 24956: @1846637
     /* 1846637 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1846723), // Rule ID 13493 //
     /* 1846642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846688 */     // MIs[0] policy
     /* 1846688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846722 */     // GIR_Coverage, 13493,
     /* 1846722 */     GIR_EraseRootFromParent_Done,
     /* 1846723 */   // Label 24957: @1846723
     /* 1846723 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1846809), // Rule ID 13496 //
     /* 1846728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846774 */     // MIs[0] policy
     /* 1846774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846808 */     // GIR_Coverage, 13496,
     /* 1846808 */     GIR_EraseRootFromParent_Done,
     /* 1846809 */   // Label 24958: @1846809
     /* 1846809 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1846895), // Rule ID 13497 //
     /* 1846814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846860 */     // MIs[0] policy
     /* 1846860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846894 */     // GIR_Coverage, 13497,
     /* 1846894 */     GIR_EraseRootFromParent_Done,
     /* 1846895 */   // Label 24959: @1846895
     /* 1846895 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1846981), // Rule ID 13500 //
     /* 1846900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846946 */     // MIs[0] policy
     /* 1846946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846980 */     // GIR_Coverage, 13500,
     /* 1846980 */     GIR_EraseRootFromParent_Done,
     /* 1846981 */   // Label 24960: @1846981
     /* 1846981 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1847067), // Rule ID 13501 //
     /* 1846986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1847000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1847006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847032 */     // MIs[0] policy
     /* 1847032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847066 */     // GIR_Coverage, 13501,
     /* 1847066 */     GIR_EraseRootFromParent_Done,
     /* 1847067 */   // Label 24961: @1847067
     /* 1847067 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1847153), // Rule ID 13504 //
     /* 1847072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1847083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1847086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1847092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847118 */     // MIs[0] policy
     /* 1847118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847152 */     // GIR_Coverage, 13504,
     /* 1847152 */     GIR_EraseRootFromParent_Done,
     /* 1847153 */   // Label 24962: @1847153
     /* 1847153 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1847239), // Rule ID 13505 //
     /* 1847158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1847169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1847172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1847178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847204 */     // MIs[0] policy
     /* 1847204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847214 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847238 */     // GIR_Coverage, 13505,
     /* 1847238 */     GIR_EraseRootFromParent_Done,
     /* 1847239 */   // Label 24963: @1847239
     /* 1847239 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1847325), // Rule ID 13508 //
     /* 1847244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1847255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1847258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847290 */     // MIs[0] policy
     /* 1847290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847324 */     // GIR_Coverage, 13508,
     /* 1847324 */     GIR_EraseRootFromParent_Done,
     /* 1847325 */   // Label 24964: @1847325
     /* 1847325 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1847411), // Rule ID 13509 //
     /* 1847330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1847341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1847344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847376 */     // MIs[0] policy
     /* 1847376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847410 */     // GIR_Coverage, 13509,
     /* 1847410 */     GIR_EraseRootFromParent_Done,
     /* 1847411 */   // Label 24965: @1847411
     /* 1847411 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1847497), // Rule ID 13512 //
     /* 1847416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847462 */     // MIs[0] policy
     /* 1847462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847496 */     // GIR_Coverage, 13512,
     /* 1847496 */     GIR_EraseRootFromParent_Done,
     /* 1847497 */   // Label 24966: @1847497
     /* 1847497 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1847583), // Rule ID 13513 //
     /* 1847502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847548 */     // MIs[0] policy
     /* 1847548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847582 */     // GIR_Coverage, 13513,
     /* 1847582 */     GIR_EraseRootFromParent_Done,
     /* 1847583 */   // Label 24967: @1847583
     /* 1847583 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1847669), // Rule ID 13516 //
     /* 1847588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847634 */     // MIs[0] policy
     /* 1847634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847668 */     // GIR_Coverage, 13516,
     /* 1847668 */     GIR_EraseRootFromParent_Done,
     /* 1847669 */   // Label 24968: @1847669
     /* 1847669 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1847755), // Rule ID 13517 //
     /* 1847674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847720 */     // MIs[0] policy
     /* 1847720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847754 */     // GIR_Coverage, 13517,
     /* 1847754 */     GIR_EraseRootFromParent_Done,
     /* 1847755 */   // Label 24969: @1847755
     /* 1847755 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1847841), // Rule ID 13520 //
     /* 1847760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847806 */     // MIs[0] policy
     /* 1847806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847840 */     // GIR_Coverage, 13520,
     /* 1847840 */     GIR_EraseRootFromParent_Done,
     /* 1847841 */   // Label 24970: @1847841
     /* 1847841 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1847927), // Rule ID 13521 //
     /* 1847846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847892 */     // MIs[0] policy
     /* 1847892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847926 */     // GIR_Coverage, 13521,
     /* 1847926 */     GIR_EraseRootFromParent_Done,
     /* 1847927 */   // Label 24971: @1847927
     /* 1847927 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1848013), // Rule ID 13524 //
     /* 1847932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847978 */     // MIs[0] policy
     /* 1847978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848012 */     // GIR_Coverage, 13524,
     /* 1848012 */     GIR_EraseRootFromParent_Done,
     /* 1848013 */   // Label 24972: @1848013
     /* 1848013 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1848099), // Rule ID 13525 //
     /* 1848018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1848038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848064 */     // MIs[0] policy
     /* 1848064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848098 */     // GIR_Coverage, 13525,
     /* 1848098 */     GIR_EraseRootFromParent_Done,
     /* 1848099 */   // Label 24973: @1848099
     /* 1848099 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1848185), // Rule ID 13528 //
     /* 1848104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848150 */     // MIs[0] policy
     /* 1848150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848184 */     // GIR_Coverage, 13528,
     /* 1848184 */     GIR_EraseRootFromParent_Done,
     /* 1848185 */   // Label 24974: @1848185
     /* 1848185 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1848271), // Rule ID 13529 //
     /* 1848190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848236 */     // MIs[0] policy
     /* 1848236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848270 */     // GIR_Coverage, 13529,
     /* 1848270 */     GIR_EraseRootFromParent_Done,
     /* 1848271 */   // Label 24975: @1848271
     /* 1848271 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1848357), // Rule ID 13532 //
     /* 1848276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1848287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1848290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848322 */     // MIs[0] policy
     /* 1848322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848356 */     // GIR_Coverage, 13532,
     /* 1848356 */     GIR_EraseRootFromParent_Done,
     /* 1848357 */   // Label 24976: @1848357
     /* 1848357 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1848443), // Rule ID 13533 //
     /* 1848362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1848373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1848376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848408 */     // MIs[0] policy
     /* 1848408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848442 */     // GIR_Coverage, 13533,
     /* 1848442 */     GIR_EraseRootFromParent_Done,
     /* 1848443 */   // Label 24977: @1848443
     /* 1848443 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1848529), // Rule ID 13536 //
     /* 1848448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848494 */     // MIs[0] policy
     /* 1848494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848528 */     // GIR_Coverage, 13536,
     /* 1848528 */     GIR_EraseRootFromParent_Done,
     /* 1848529 */   // Label 24978: @1848529
     /* 1848529 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1848615), // Rule ID 13537 //
     /* 1848534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848580 */     // MIs[0] policy
     /* 1848580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848614 */     // GIR_Coverage, 13537,
     /* 1848614 */     GIR_EraseRootFromParent_Done,
     /* 1848615 */   // Label 24979: @1848615
     /* 1848615 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1848701), // Rule ID 13540 //
     /* 1848620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848666 */     // MIs[0] policy
     /* 1848666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848700 */     // GIR_Coverage, 13540,
     /* 1848700 */     GIR_EraseRootFromParent_Done,
     /* 1848701 */   // Label 24980: @1848701
     /* 1848701 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1848787), // Rule ID 13541 //
     /* 1848706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848752 */     // MIs[0] policy
     /* 1848752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848786 */     // GIR_Coverage, 13541,
     /* 1848786 */     GIR_EraseRootFromParent_Done,
     /* 1848787 */   // Label 24981: @1848787
     /* 1848787 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1848873), // Rule ID 13544 //
     /* 1848792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848838 */     // MIs[0] policy
     /* 1848838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848872 */     // GIR_Coverage, 13544,
     /* 1848872 */     GIR_EraseRootFromParent_Done,
     /* 1848873 */   // Label 24982: @1848873
     /* 1848873 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1848959), // Rule ID 13545 //
     /* 1848878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848924 */     // MIs[0] policy
     /* 1848924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848958 */     // GIR_Coverage, 13545,
     /* 1848958 */     GIR_EraseRootFromParent_Done,
     /* 1848959 */   // Label 24983: @1848959
     /* 1848959 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1849045), // Rule ID 13548 //
     /* 1848964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849010 */     // MIs[0] policy
     /* 1849010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1849023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849044 */     // GIR_Coverage, 13548,
     /* 1849044 */     GIR_EraseRootFromParent_Done,
     /* 1849045 */   // Label 24984: @1849045
     /* 1849045 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1849131), // Rule ID 13549 //
     /* 1849050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1849061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1849064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1849070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849096 */     // MIs[0] policy
     /* 1849096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1849109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849130 */     // GIR_Coverage, 13549,
     /* 1849130 */     GIR_EraseRootFromParent_Done,
     /* 1849131 */   // Label 24985: @1849131
     /* 1849131 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1849217), // Rule ID 13552 //
     /* 1849136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1849153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1849156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849182 */     // MIs[0] policy
     /* 1849182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1849195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849216 */     // GIR_Coverage, 13552,
     /* 1849216 */     GIR_EraseRootFromParent_Done,
     /* 1849217 */   // Label 24986: @1849217
     /* 1849217 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1849303), // Rule ID 13553 //
     /* 1849222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1849239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1849242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849268 */     // MIs[0] policy
     /* 1849268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1849281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849302 */     // GIR_Coverage, 13553,
     /* 1849302 */     GIR_EraseRootFromParent_Done,
     /* 1849303 */   // Label 24987: @1849303
     /* 1849303 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1849389), // Rule ID 13556 //
     /* 1849308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1849328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849354 */     // MIs[0] policy
     /* 1849354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849388 */     // GIR_Coverage, 13556,
     /* 1849388 */     GIR_EraseRootFromParent_Done,
     /* 1849389 */   // Label 24988: @1849389
     /* 1849389 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1849475), // Rule ID 13557 //
     /* 1849394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1849414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849440 */     // MIs[0] policy
     /* 1849440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849474 */     // GIR_Coverage, 13557,
     /* 1849474 */     GIR_EraseRootFromParent_Done,
     /* 1849475 */   // Label 24989: @1849475
     /* 1849475 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1849561), // Rule ID 13560 //
     /* 1849480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849526 */     // MIs[0] policy
     /* 1849526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849560 */     // GIR_Coverage, 13560,
     /* 1849560 */     GIR_EraseRootFromParent_Done,
     /* 1849561 */   // Label 24990: @1849561
     /* 1849561 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1849647), // Rule ID 13561 //
     /* 1849566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849612 */     // MIs[0] policy
     /* 1849612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849646 */     // GIR_Coverage, 13561,
     /* 1849646 */     GIR_EraseRootFromParent_Done,
     /* 1849647 */   // Label 24991: @1849647
     /* 1849647 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1849733), // Rule ID 13564 //
     /* 1849652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849698 */     // MIs[0] policy
     /* 1849698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849732 */     // GIR_Coverage, 13564,
     /* 1849732 */     GIR_EraseRootFromParent_Done,
     /* 1849733 */   // Label 24992: @1849733
     /* 1849733 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1849819), // Rule ID 13565 //
     /* 1849738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849784 */     // MIs[0] policy
     /* 1849784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849818 */     // GIR_Coverage, 13565,
     /* 1849818 */     GIR_EraseRootFromParent_Done,
     /* 1849819 */   // Label 24993: @1849819
     /* 1849819 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1849905), // Rule ID 13568 //
     /* 1849824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849870 */     // MIs[0] policy
     /* 1849870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849904 */     // GIR_Coverage, 13568,
     /* 1849904 */     GIR_EraseRootFromParent_Done,
     /* 1849905 */   // Label 24994: @1849905
     /* 1849905 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1849991), // Rule ID 13569 //
     /* 1849910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849956 */     // MIs[0] policy
     /* 1849956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849990 */     // GIR_Coverage, 13569,
     /* 1849990 */     GIR_EraseRootFromParent_Done,
     /* 1849991 */   // Label 24995: @1849991
     /* 1849991 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1850077), // Rule ID 13572 //
     /* 1849996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1850007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1850010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1850016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850042 */     // MIs[0] policy
     /* 1850042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850076 */     // GIR_Coverage, 13572,
     /* 1850076 */     GIR_EraseRootFromParent_Done,
     /* 1850077 */   // Label 24996: @1850077
     /* 1850077 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1850163), // Rule ID 13573 //
     /* 1850082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1850093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1850096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1850102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850128 */     // MIs[0] policy
     /* 1850128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850162 */     // GIR_Coverage, 13573,
     /* 1850162 */     GIR_EraseRootFromParent_Done,
     /* 1850163 */   // Label 24997: @1850163
     /* 1850163 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1850249), // Rule ID 13576 //
     /* 1850168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1850179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1850182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1850185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850214 */     // MIs[0] policy
     /* 1850214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1850227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850248 */     // GIR_Coverage, 13576,
     /* 1850248 */     GIR_EraseRootFromParent_Done,
     /* 1850249 */   // Label 24998: @1850249
     /* 1850249 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1850335), // Rule ID 13577 //
     /* 1850254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1850265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1850268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1850271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850300 */     // MIs[0] policy
     /* 1850300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1850313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850334 */     // GIR_Coverage, 13577,
     /* 1850334 */     GIR_EraseRootFromParent_Done,
     /* 1850335 */   // Label 24999: @1850335
     /* 1850335 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1850421), // Rule ID 13580 //
     /* 1850340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1850357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850386 */     // MIs[0] policy
     /* 1850386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850420 */     // GIR_Coverage, 13580,
     /* 1850420 */     GIR_EraseRootFromParent_Done,
     /* 1850421 */   // Label 25000: @1850421
     /* 1850421 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1850507), // Rule ID 13581 //
     /* 1850426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1850443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850472 */     // MIs[0] policy
     /* 1850472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850506 */     // GIR_Coverage, 13581,
     /* 1850506 */     GIR_EraseRootFromParent_Done,
     /* 1850507 */   // Label 25001: @1850507
     /* 1850507 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1850593), // Rule ID 13584 //
     /* 1850512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850558 */     // MIs[0] policy
     /* 1850558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850592 */     // GIR_Coverage, 13584,
     /* 1850592 */     GIR_EraseRootFromParent_Done,
     /* 1850593 */   // Label 25002: @1850593
     /* 1850593 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1850679), // Rule ID 13585 //
     /* 1850598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850644 */     // MIs[0] policy
     /* 1850644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850678 */     // GIR_Coverage, 13585,
     /* 1850678 */     GIR_EraseRootFromParent_Done,
     /* 1850679 */   // Label 25003: @1850679
     /* 1850679 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1850765), // Rule ID 13588 //
     /* 1850684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850730 */     // MIs[0] policy
     /* 1850730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850764 */     // GIR_Coverage, 13588,
     /* 1850764 */     GIR_EraseRootFromParent_Done,
     /* 1850765 */   // Label 25004: @1850765
     /* 1850765 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1850851), // Rule ID 13589 //
     /* 1850770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850816 */     // MIs[0] policy
     /* 1850816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850850 */     // GIR_Coverage, 13589,
     /* 1850850 */     GIR_EraseRootFromParent_Done,
     /* 1850851 */   // Label 25005: @1850851
     /* 1850851 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1850937), // Rule ID 13592 //
     /* 1850856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850902 */     // MIs[0] policy
     /* 1850902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850936 */     // GIR_Coverage, 13592,
     /* 1850936 */     GIR_EraseRootFromParent_Done,
     /* 1850937 */   // Label 25006: @1850937
     /* 1850937 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1851023), // Rule ID 13593 //
     /* 1850942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850988 */     // MIs[0] policy
     /* 1850988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851022 */     // GIR_Coverage, 13593,
     /* 1851022 */     GIR_EraseRootFromParent_Done,
     /* 1851023 */   // Label 25007: @1851023
     /* 1851023 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1851109), // Rule ID 13596 //
     /* 1851028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851074 */     // MIs[0] policy
     /* 1851074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1851087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851108 */     // GIR_Coverage, 13596,
     /* 1851108 */     GIR_EraseRootFromParent_Done,
     /* 1851109 */   // Label 25008: @1851109
     /* 1851109 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1851195), // Rule ID 13597 //
     /* 1851114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851160 */     // MIs[0] policy
     /* 1851160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1851173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851194 */     // GIR_Coverage, 13597,
     /* 1851194 */     GIR_EraseRootFromParent_Done,
     /* 1851195 */   // Label 25009: @1851195
     /* 1851195 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1851281), // Rule ID 13600 //
     /* 1851200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1851211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1851214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1851217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851246 */     // MIs[0] policy
     /* 1851246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1851259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851280 */     // GIR_Coverage, 13600,
     /* 1851280 */     GIR_EraseRootFromParent_Done,
     /* 1851281 */   // Label 25010: @1851281
     /* 1851281 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1851367), // Rule ID 13601 //
     /* 1851286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1851297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1851300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1851303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851332 */     // MIs[0] policy
     /* 1851332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1851345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851366 */     // GIR_Coverage, 13601,
     /* 1851366 */     GIR_EraseRootFromParent_Done,
     /* 1851367 */   // Label 25011: @1851367
     /* 1851367 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1851453), // Rule ID 13604 //
     /* 1851372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1851383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1851386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851418 */     // MIs[0] policy
     /* 1851418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1851431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851452 */     // GIR_Coverage, 13604,
     /* 1851452 */     GIR_EraseRootFromParent_Done,
     /* 1851453 */   // Label 25012: @1851453
     /* 1851453 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1851539), // Rule ID 13605 //
     /* 1851458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1851469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1851472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851504 */     // MIs[0] policy
     /* 1851504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1851517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851538 */     // GIR_Coverage, 13605,
     /* 1851538 */     GIR_EraseRootFromParent_Done,
     /* 1851539 */   // Label 25013: @1851539
     /* 1851539 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1851625), // Rule ID 13608 //
     /* 1851544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851590 */     // MIs[0] policy
     /* 1851590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851624 */     // GIR_Coverage, 13608,
     /* 1851624 */     GIR_EraseRootFromParent_Done,
     /* 1851625 */   // Label 25014: @1851625
     /* 1851625 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1851711), // Rule ID 13609 //
     /* 1851630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851676 */     // MIs[0] policy
     /* 1851676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851710 */     // GIR_Coverage, 13609,
     /* 1851710 */     GIR_EraseRootFromParent_Done,
     /* 1851711 */   // Label 25015: @1851711
     /* 1851711 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1851797), // Rule ID 13612 //
     /* 1851716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851762 */     // MIs[0] policy
     /* 1851762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851796 */     // GIR_Coverage, 13612,
     /* 1851796 */     GIR_EraseRootFromParent_Done,
     /* 1851797 */   // Label 25016: @1851797
     /* 1851797 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1851883), // Rule ID 13613 //
     /* 1851802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851848 */     // MIs[0] policy
     /* 1851848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851858 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851882 */     // GIR_Coverage, 13613,
     /* 1851882 */     GIR_EraseRootFromParent_Done,
     /* 1851883 */   // Label 25017: @1851883
     /* 1851883 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1851969), // Rule ID 13616 //
     /* 1851888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851934 */     // MIs[0] policy
     /* 1851934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851968 */     // GIR_Coverage, 13616,
     /* 1851968 */     GIR_EraseRootFromParent_Done,
     /* 1851969 */   // Label 25018: @1851969
     /* 1851969 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1852055), // Rule ID 13617 //
     /* 1851974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852020 */     // MIs[0] policy
     /* 1852020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852054 */     // GIR_Coverage, 13617,
     /* 1852054 */     GIR_EraseRootFromParent_Done,
     /* 1852055 */   // Label 25019: @1852055
     /* 1852055 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1852141), // Rule ID 13620 //
     /* 1852060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1852071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1852074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1852080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852106 */     // MIs[0] policy
     /* 1852106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852140 */     // GIR_Coverage, 13620,
     /* 1852140 */     GIR_EraseRootFromParent_Done,
     /* 1852141 */   // Label 25020: @1852141
     /* 1852141 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1852227), // Rule ID 13621 //
     /* 1852146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1852157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1852160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1852166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852192 */     // MIs[0] policy
     /* 1852192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852226 */     // GIR_Coverage, 13621,
     /* 1852226 */     GIR_EraseRootFromParent_Done,
     /* 1852227 */   // Label 25021: @1852227
     /* 1852227 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1852313), // Rule ID 13624 //
     /* 1852232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1852252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852278 */     // MIs[0] policy
     /* 1852278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852288 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852312 */     // GIR_Coverage, 13624,
     /* 1852312 */     GIR_EraseRootFromParent_Done,
     /* 1852313 */   // Label 25022: @1852313
     /* 1852313 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1852399), // Rule ID 13625 //
     /* 1852318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1852338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852364 */     // MIs[0] policy
     /* 1852364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852398 */     // GIR_Coverage, 13625,
     /* 1852398 */     GIR_EraseRootFromParent_Done,
     /* 1852399 */   // Label 25023: @1852399
     /* 1852399 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1852485), // Rule ID 13628 //
     /* 1852404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852450 */     // MIs[0] policy
     /* 1852450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852484 */     // GIR_Coverage, 13628,
     /* 1852484 */     GIR_EraseRootFromParent_Done,
     /* 1852485 */   // Label 25024: @1852485
     /* 1852485 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1852571), // Rule ID 13629 //
     /* 1852490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852536 */     // MIs[0] policy
     /* 1852536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852570 */     // GIR_Coverage, 13629,
     /* 1852570 */     GIR_EraseRootFromParent_Done,
     /* 1852571 */   // Label 25025: @1852571
     /* 1852571 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1852657), // Rule ID 13632 //
     /* 1852576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852622 */     // MIs[0] policy
     /* 1852622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852656 */     // GIR_Coverage, 13632,
     /* 1852656 */     GIR_EraseRootFromParent_Done,
     /* 1852657 */   // Label 25026: @1852657
     /* 1852657 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1852743), // Rule ID 13633 //
     /* 1852662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852708 */     // MIs[0] policy
     /* 1852708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852718 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852742 */     // GIR_Coverage, 13633,
     /* 1852742 */     GIR_EraseRootFromParent_Done,
     /* 1852743 */   // Label 25027: @1852743
     /* 1852743 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1852829), // Rule ID 13636 //
     /* 1852748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852794 */     // MIs[0] policy
     /* 1852794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852828 */     // GIR_Coverage, 13636,
     /* 1852828 */     GIR_EraseRootFromParent_Done,
     /* 1852829 */   // Label 25028: @1852829
     /* 1852829 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1852915), // Rule ID 13637 //
     /* 1852834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852880 */     // MIs[0] policy
     /* 1852880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852890 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852914 */     // GIR_Coverage, 13637,
     /* 1852914 */     GIR_EraseRootFromParent_Done,
     /* 1852915 */   // Label 25029: @1852915
     /* 1852915 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1853001), // Rule ID 13640 //
     /* 1852920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852966 */     // MIs[0] policy
     /* 1852966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853000 */     // GIR_Coverage, 13640,
     /* 1853000 */     GIR_EraseRootFromParent_Done,
     /* 1853001 */   // Label 25030: @1853001
     /* 1853001 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1853087), // Rule ID 13641 //
     /* 1853006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1853017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1853020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1853026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853052 */     // MIs[0] policy
     /* 1853052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853062 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853086 */     // GIR_Coverage, 13641,
     /* 1853086 */     GIR_EraseRootFromParent_Done,
     /* 1853087 */   // Label 25031: @1853087
     /* 1853087 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1853173), // Rule ID 13644 //
     /* 1853092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1853112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853138 */     // MIs[0] policy
     /* 1853138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853172 */     // GIR_Coverage, 13644,
     /* 1853172 */     GIR_EraseRootFromParent_Done,
     /* 1853173 */   // Label 25032: @1853173
     /* 1853173 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1853259), // Rule ID 13645 //
     /* 1853178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1853198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853224 */     // MIs[0] policy
     /* 1853224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853258 */     // GIR_Coverage, 13645,
     /* 1853258 */     GIR_EraseRootFromParent_Done,
     /* 1853259 */   // Label 25033: @1853259
     /* 1853259 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1853345), // Rule ID 13648 //
     /* 1853264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1853284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853310 */     // MIs[0] policy
     /* 1853310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853344 */     // GIR_Coverage, 13648,
     /* 1853344 */     GIR_EraseRootFromParent_Done,
     /* 1853345 */   // Label 25034: @1853345
     /* 1853345 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1853431), // Rule ID 13649 //
     /* 1853350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1853370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853396 */     // MIs[0] policy
     /* 1853396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853430 */     // GIR_Coverage, 13649,
     /* 1853430 */     GIR_EraseRootFromParent_Done,
     /* 1853431 */   // Label 25035: @1853431
     /* 1853431 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1853517), // Rule ID 13652 //
     /* 1853436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853482 */     // MIs[0] policy
     /* 1853482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853516 */     // GIR_Coverage, 13652,
     /* 1853516 */     GIR_EraseRootFromParent_Done,
     /* 1853517 */   // Label 25036: @1853517
     /* 1853517 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1853603), // Rule ID 13653 //
     /* 1853522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853568 */     // MIs[0] policy
     /* 1853568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853602 */     // GIR_Coverage, 13653,
     /* 1853602 */     GIR_EraseRootFromParent_Done,
     /* 1853603 */   // Label 25037: @1853603
     /* 1853603 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1853689), // Rule ID 13656 //
     /* 1853608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853654 */     // MIs[0] policy
     /* 1853654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853688 */     // GIR_Coverage, 13656,
     /* 1853688 */     GIR_EraseRootFromParent_Done,
     /* 1853689 */   // Label 25038: @1853689
     /* 1853689 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1853775), // Rule ID 13657 //
     /* 1853694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853740 */     // MIs[0] policy
     /* 1853740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853774 */     // GIR_Coverage, 13657,
     /* 1853774 */     GIR_EraseRootFromParent_Done,
     /* 1853775 */   // Label 25039: @1853775
     /* 1853775 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1853861), // Rule ID 13660 //
     /* 1853780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853826 */     // MIs[0] policy
     /* 1853826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853860 */     // GIR_Coverage, 13660,
     /* 1853860 */     GIR_EraseRootFromParent_Done,
     /* 1853861 */   // Label 25040: @1853861
     /* 1853861 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1853947), // Rule ID 13661 //
     /* 1853866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853912 */     // MIs[0] policy
     /* 1853912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853946 */     // GIR_Coverage, 13661,
     /* 1853946 */     GIR_EraseRootFromParent_Done,
     /* 1853947 */   // Label 25041: @1853947
     /* 1853947 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1854033), // Rule ID 13664 //
     /* 1853952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853998 */     // MIs[0] policy
     /* 1853998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1854011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854032 */     // GIR_Coverage, 13664,
     /* 1854032 */     GIR_EraseRootFromParent_Done,
     /* 1854033 */   // Label 25042: @1854033
     /* 1854033 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1854119), // Rule ID 13665 //
     /* 1854038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1854058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854084 */     // MIs[0] policy
     /* 1854084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1854097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854118 */     // GIR_Coverage, 13665,
     /* 1854118 */     GIR_EraseRootFromParent_Done,
     /* 1854119 */   // Label 25043: @1854119
     /* 1854119 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1854205), // Rule ID 13668 //
     /* 1854124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1854144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854170 */     // MIs[0] policy
     /* 1854170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1854183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854204 */     // GIR_Coverage, 13668,
     /* 1854204 */     GIR_EraseRootFromParent_Done,
     /* 1854205 */   // Label 25044: @1854205
     /* 1854205 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1854291), // Rule ID 13669 //
     /* 1854210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1854230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854256 */     // MIs[0] policy
     /* 1854256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1854269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854290 */     // GIR_Coverage, 13669,
     /* 1854290 */     GIR_EraseRootFromParent_Done,
     /* 1854291 */   // Label 25045: @1854291
     /* 1854291 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1854377), // Rule ID 13672 //
     /* 1854296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1854310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854342 */     // MIs[0] policy
     /* 1854342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1854355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854376 */     // GIR_Coverage, 13672,
     /* 1854376 */     GIR_EraseRootFromParent_Done,
     /* 1854377 */   // Label 25046: @1854377
     /* 1854377 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1854463), // Rule ID 13673 //
     /* 1854382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1854396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854428 */     // MIs[0] policy
     /* 1854428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854438 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1854441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854462 */     // GIR_Coverage, 13673,
     /* 1854462 */     GIR_EraseRootFromParent_Done,
     /* 1854463 */   // Label 25047: @1854463
     /* 1854463 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1854549), // Rule ID 13676 //
     /* 1854468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854514 */     // MIs[0] policy
     /* 1854514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854548 */     // GIR_Coverage, 13676,
     /* 1854548 */     GIR_EraseRootFromParent_Done,
     /* 1854549 */   // Label 25048: @1854549
     /* 1854549 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1854635), // Rule ID 13677 //
     /* 1854554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854600 */     // MIs[0] policy
     /* 1854600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854610 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854634 */     // GIR_Coverage, 13677,
     /* 1854634 */     GIR_EraseRootFromParent_Done,
     /* 1854635 */   // Label 25049: @1854635
     /* 1854635 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1854721), // Rule ID 13680 //
     /* 1854640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854686 */     // MIs[0] policy
     /* 1854686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854720 */     // GIR_Coverage, 13680,
     /* 1854720 */     GIR_EraseRootFromParent_Done,
     /* 1854721 */   // Label 25050: @1854721
     /* 1854721 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1854807), // Rule ID 13681 //
     /* 1854726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854772 */     // MIs[0] policy
     /* 1854772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854806 */     // GIR_Coverage, 13681,
     /* 1854806 */     GIR_EraseRootFromParent_Done,
     /* 1854807 */   // Label 25051: @1854807
     /* 1854807 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1854893), // Rule ID 13684 //
     /* 1854812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854858 */     // MIs[0] policy
     /* 1854858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854892 */     // GIR_Coverage, 13684,
     /* 1854892 */     GIR_EraseRootFromParent_Done,
     /* 1854893 */   // Label 25052: @1854893
     /* 1854893 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1854979), // Rule ID 13685 //
     /* 1854898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854944 */     // MIs[0] policy
     /* 1854944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854978 */     // GIR_Coverage, 13685,
     /* 1854978 */     GIR_EraseRootFromParent_Done,
     /* 1854979 */   // Label 25053: @1854979
     /* 1854979 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1855065), // Rule ID 13688 //
     /* 1854984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1855004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855030 */     // MIs[0] policy
     /* 1855030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855064 */     // GIR_Coverage, 13688,
     /* 1855064 */     GIR_EraseRootFromParent_Done,
     /* 1855065 */   // Label 25054: @1855065
     /* 1855065 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1855151), // Rule ID 13689 //
     /* 1855070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1855081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1855084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1855090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855116 */     // MIs[0] policy
     /* 1855116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855150 */     // GIR_Coverage, 13689,
     /* 1855150 */     GIR_EraseRootFromParent_Done,
     /* 1855151 */   // Label 25055: @1855151
     /* 1855151 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1855237), // Rule ID 13692 //
     /* 1855156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1855167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1855170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1855176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1855179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855202 */     // MIs[0] policy
     /* 1855202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855212 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855236 */     // GIR_Coverage, 13692,
     /* 1855236 */     GIR_EraseRootFromParent_Done,
     /* 1855237 */   // Label 25056: @1855237
     /* 1855237 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1855323), // Rule ID 13693 //
     /* 1855242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1855253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1855256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1855262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1855265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855288 */     // MIs[0] policy
     /* 1855288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855322 */     // GIR_Coverage, 13693,
     /* 1855322 */     GIR_EraseRootFromParent_Done,
     /* 1855323 */   // Label 25057: @1855323
     /* 1855323 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1855409), // Rule ID 13696 //
     /* 1855328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855374 */     // MIs[0] policy
     /* 1855374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1855387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855408 */     // GIR_Coverage, 13696,
     /* 1855408 */     GIR_EraseRootFromParent_Done,
     /* 1855409 */   // Label 25058: @1855409
     /* 1855409 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1855495), // Rule ID 13697 //
     /* 1855414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855460 */     // MIs[0] policy
     /* 1855460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855470 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1855473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855494 */     // GIR_Coverage, 13697,
     /* 1855494 */     GIR_EraseRootFromParent_Done,
     /* 1855495 */   // Label 25059: @1855495
     /* 1855495 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1855581), // Rule ID 13700 //
     /* 1855500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855546 */     // MIs[0] policy
     /* 1855546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855580 */     // GIR_Coverage, 13700,
     /* 1855580 */     GIR_EraseRootFromParent_Done,
     /* 1855581 */   // Label 25060: @1855581
     /* 1855581 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1855667), // Rule ID 13701 //
     /* 1855586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855632 */     // MIs[0] policy
     /* 1855632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855666 */     // GIR_Coverage, 13701,
     /* 1855666 */     GIR_EraseRootFromParent_Done,
     /* 1855667 */   // Label 25061: @1855667
     /* 1855667 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1855753), // Rule ID 13704 //
     /* 1855672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855718 */     // MIs[0] policy
     /* 1855718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855752 */     // GIR_Coverage, 13704,
     /* 1855752 */     GIR_EraseRootFromParent_Done,
     /* 1855753 */   // Label 25062: @1855753
     /* 1855753 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1855839), // Rule ID 13705 //
     /* 1855758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855804 */     // MIs[0] policy
     /* 1855804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855838 */     // GIR_Coverage, 13705,
     /* 1855838 */     GIR_EraseRootFromParent_Done,
     /* 1855839 */   // Label 25063: @1855839
     /* 1855839 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1855925), // Rule ID 13708 //
     /* 1855844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855890 */     // MIs[0] policy
     /* 1855890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855924 */     // GIR_Coverage, 13708,
     /* 1855924 */     GIR_EraseRootFromParent_Done,
     /* 1855925 */   // Label 25064: @1855925
     /* 1855925 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1856011), // Rule ID 13709 //
     /* 1855930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855976 */     // MIs[0] policy
     /* 1855976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856010 */     // GIR_Coverage, 13709,
     /* 1856010 */     GIR_EraseRootFromParent_Done,
     /* 1856011 */   // Label 25065: @1856011
     /* 1856011 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1856097), // Rule ID 13712 //
     /* 1856016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1856027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1856030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856062 */     // MIs[0] policy
     /* 1856062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856096 */     // GIR_Coverage, 13712,
     /* 1856096 */     GIR_EraseRootFromParent_Done,
     /* 1856097 */   // Label 25066: @1856097
     /* 1856097 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1856183), // Rule ID 13713 //
     /* 1856102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1856113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1856116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856148 */     // MIs[0] policy
     /* 1856148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856182 */     // GIR_Coverage, 13713,
     /* 1856182 */     GIR_EraseRootFromParent_Done,
     /* 1856183 */   // Label 25067: @1856183
     /* 1856183 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1856269), // Rule ID 13716 //
     /* 1856188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856234 */     // MIs[0] policy
     /* 1856234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1856247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856268 */     // GIR_Coverage, 13716,
     /* 1856268 */     GIR_EraseRootFromParent_Done,
     /* 1856269 */   // Label 25068: @1856269
     /* 1856269 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1856355), // Rule ID 13717 //
     /* 1856274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856320 */     // MIs[0] policy
     /* 1856320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1856333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856354 */     // GIR_Coverage, 13717,
     /* 1856354 */     GIR_EraseRootFromParent_Done,
     /* 1856355 */   // Label 25069: @1856355
     /* 1856355 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1856441), // Rule ID 13720 //
     /* 1856360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1856371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1856374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856406 */     // MIs[0] policy
     /* 1856406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1856419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856440 */     // GIR_Coverage, 13720,
     /* 1856440 */     GIR_EraseRootFromParent_Done,
     /* 1856441 */   // Label 25070: @1856441
     /* 1856441 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1856527), // Rule ID 13721 //
     /* 1856446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1856457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1856460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856492 */     // MIs[0] policy
     /* 1856492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856502 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1856505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856526 */     // GIR_Coverage, 13721,
     /* 1856526 */     GIR_EraseRootFromParent_Done,
     /* 1856527 */   // Label 25071: @1856527
     /* 1856527 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1856613), // Rule ID 13724 //
     /* 1856532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856578 */     // MIs[0] policy
     /* 1856578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856612 */     // GIR_Coverage, 13724,
     /* 1856612 */     GIR_EraseRootFromParent_Done,
     /* 1856613 */   // Label 25072: @1856613
     /* 1856613 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1856699), // Rule ID 13725 //
     /* 1856618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856664 */     // MIs[0] policy
     /* 1856664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856674 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856698 */     // GIR_Coverage, 13725,
     /* 1856698 */     GIR_EraseRootFromParent_Done,
     /* 1856699 */   // Label 25073: @1856699
     /* 1856699 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1856785), // Rule ID 13728 //
     /* 1856704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856750 */     // MIs[0] policy
     /* 1856750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856760 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856784 */     // GIR_Coverage, 13728,
     /* 1856784 */     GIR_EraseRootFromParent_Done,
     /* 1856785 */   // Label 25074: @1856785
     /* 1856785 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1856871), // Rule ID 13729 //
     /* 1856790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856836 */     // MIs[0] policy
     /* 1856836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856870 */     // GIR_Coverage, 13729,
     /* 1856870 */     GIR_EraseRootFromParent_Done,
     /* 1856871 */   // Label 25075: @1856871
     /* 1856871 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1856960), // Rule ID 13938 //
     /* 1856876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856922 */     // MIs[0] policy
     /* 1856922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856932 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1856935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856959 */     // GIR_Coverage, 13938,
     /* 1856959 */     GIR_EraseRootFromParent_Done,
     /* 1856960 */   // Label 25076: @1856960
     /* 1856960 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1857049), // Rule ID 13939 //
     /* 1856965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857011 */     // MIs[0] policy
     /* 1857011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857021 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1857024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857048 */     // GIR_Coverage, 13939,
     /* 1857048 */     GIR_EraseRootFromParent_Done,
     /* 1857049 */   // Label 25077: @1857049
     /* 1857049 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1857138), // Rule ID 13942 //
     /* 1857054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1857065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1857068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1857071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1857074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857100 */     // MIs[0] policy
     /* 1857100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857110 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857137 */     // GIR_Coverage, 13942,
     /* 1857137 */     GIR_EraseRootFromParent_Done,
     /* 1857138 */   // Label 25078: @1857138
     /* 1857138 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1857227), // Rule ID 13943 //
     /* 1857143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1857154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1857157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1857160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1857163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857189 */     // MIs[0] policy
     /* 1857189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857199 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857226 */     // GIR_Coverage, 13943,
     /* 1857226 */     GIR_EraseRootFromParent_Done,
     /* 1857227 */   // Label 25079: @1857227
     /* 1857227 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1857316), // Rule ID 13946 //
     /* 1857232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1857243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1857246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1857249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1857252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857278 */     // MIs[0] policy
     /* 1857278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857288 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857315 */     // GIR_Coverage, 13946,
     /* 1857315 */     GIR_EraseRootFromParent_Done,
     /* 1857316 */   // Label 25080: @1857316
     /* 1857316 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1857405), // Rule ID 13947 //
     /* 1857321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1857332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1857335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1857338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1857341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857367 */     // MIs[0] policy
     /* 1857367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857404 */     // GIR_Coverage, 13947,
     /* 1857404 */     GIR_EraseRootFromParent_Done,
     /* 1857405 */   // Label 25081: @1857405
     /* 1857405 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1857494), // Rule ID 13950 //
     /* 1857410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857456 */     // MIs[0] policy
     /* 1857456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857493 */     // GIR_Coverage, 13950,
     /* 1857493 */     GIR_EraseRootFromParent_Done,
     /* 1857494 */   // Label 25082: @1857494
     /* 1857494 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1857583), // Rule ID 13951 //
     /* 1857499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857545 */     // MIs[0] policy
     /* 1857545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857582 */     // GIR_Coverage, 13951,
     /* 1857582 */     GIR_EraseRootFromParent_Done,
     /* 1857583 */   // Label 25083: @1857583
     /* 1857583 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1857672), // Rule ID 13954 //
     /* 1857588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857634 */     // MIs[0] policy
     /* 1857634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857671 */     // GIR_Coverage, 13954,
     /* 1857671 */     GIR_EraseRootFromParent_Done,
     /* 1857672 */   // Label 25084: @1857672
     /* 1857672 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1857761), // Rule ID 13955 //
     /* 1857677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857723 */     // MIs[0] policy
     /* 1857723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857760 */     // GIR_Coverage, 13955,
     /* 1857760 */     GIR_EraseRootFromParent_Done,
     /* 1857761 */   // Label 25085: @1857761
     /* 1857761 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1857850), // Rule ID 13958 //
     /* 1857766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857812 */     // MIs[0] policy
     /* 1857812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857849 */     // GIR_Coverage, 13958,
     /* 1857849 */     GIR_EraseRootFromParent_Done,
     /* 1857850 */   // Label 25086: @1857850
     /* 1857850 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1857939), // Rule ID 13959 //
     /* 1857855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857901 */     // MIs[0] policy
     /* 1857901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857938 */     // GIR_Coverage, 13959,
     /* 1857938 */     GIR_EraseRootFromParent_Done,
     /* 1857939 */   // Label 25087: @1857939
     /* 1857939 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1858028), // Rule ID 13962 //
     /* 1857944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1857955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1857958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1857961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1857964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857990 */     // MIs[0] policy
     /* 1857990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858027 */     // GIR_Coverage, 13962,
     /* 1858027 */     GIR_EraseRootFromParent_Done,
     /* 1858028 */   // Label 25088: @1858028
     /* 1858028 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1858117), // Rule ID 13963 //
     /* 1858033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1858044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1858047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1858050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858079 */     // MIs[0] policy
     /* 1858079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858116 */     // GIR_Coverage, 13963,
     /* 1858116 */     GIR_EraseRootFromParent_Done,
     /* 1858117 */   // Label 25089: @1858117
     /* 1858117 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1858206), // Rule ID 13966 //
     /* 1858122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1858139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858168 */     // MIs[0] policy
     /* 1858168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858205 */     // GIR_Coverage, 13966,
     /* 1858205 */     GIR_EraseRootFromParent_Done,
     /* 1858206 */   // Label 25090: @1858206
     /* 1858206 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1858295), // Rule ID 13967 //
     /* 1858211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1858228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858257 */     // MIs[0] policy
     /* 1858257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858294 */     // GIR_Coverage, 13967,
     /* 1858294 */     GIR_EraseRootFromParent_Done,
     /* 1858295 */   // Label 25091: @1858295
     /* 1858295 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1858384), // Rule ID 13970 //
     /* 1858300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1858320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858346 */     // MIs[0] policy
     /* 1858346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858383 */     // GIR_Coverage, 13970,
     /* 1858383 */     GIR_EraseRootFromParent_Done,
     /* 1858384 */   // Label 25092: @1858384
     /* 1858384 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1858473), // Rule ID 13971 //
     /* 1858389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1858409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858435 */     // MIs[0] policy
     /* 1858435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858472 */     // GIR_Coverage, 13971,
     /* 1858472 */     GIR_EraseRootFromParent_Done,
     /* 1858473 */   // Label 25093: @1858473
     /* 1858473 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1858562), // Rule ID 13974 //
     /* 1858478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858524 */     // MIs[0] policy
     /* 1858524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858561 */     // GIR_Coverage, 13974,
     /* 1858561 */     GIR_EraseRootFromParent_Done,
     /* 1858562 */   // Label 25094: @1858562
     /* 1858562 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1858651), // Rule ID 13975 //
     /* 1858567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858613 */     // MIs[0] policy
     /* 1858613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858650 */     // GIR_Coverage, 13975,
     /* 1858650 */     GIR_EraseRootFromParent_Done,
     /* 1858651 */   // Label 25095: @1858651
     /* 1858651 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1858740), // Rule ID 13978 //
     /* 1858656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858702 */     // MIs[0] policy
     /* 1858702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858712 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858739 */     // GIR_Coverage, 13978,
     /* 1858739 */     GIR_EraseRootFromParent_Done,
     /* 1858740 */   // Label 25096: @1858740
     /* 1858740 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1858829), // Rule ID 13979 //
     /* 1858745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858791 */     // MIs[0] policy
     /* 1858791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858801 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858828 */     // GIR_Coverage, 13979,
     /* 1858828 */     GIR_EraseRootFromParent_Done,
     /* 1858829 */   // Label 25097: @1858829
     /* 1858829 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1858918), // Rule ID 13982 //
     /* 1858834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858880 */     // MIs[0] policy
     /* 1858880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858917 */     // GIR_Coverage, 13982,
     /* 1858917 */     GIR_EraseRootFromParent_Done,
     /* 1858918 */   // Label 25098: @1858918
     /* 1858918 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1859007), // Rule ID 13983 //
     /* 1858923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858969 */     // MIs[0] policy
     /* 1858969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858979 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859006 */     // GIR_Coverage, 13983,
     /* 1859006 */     GIR_EraseRootFromParent_Done,
     /* 1859007 */   // Label 25099: @1859007
     /* 1859007 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1859096), // Rule ID 13986 //
     /* 1859012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1859023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1859026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1859029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1859032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1859035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859058 */     // MIs[0] policy
     /* 1859058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859095 */     // GIR_Coverage, 13986,
     /* 1859095 */     GIR_EraseRootFromParent_Done,
     /* 1859096 */   // Label 25100: @1859096
     /* 1859096 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1859185), // Rule ID 13987 //
     /* 1859101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1859112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1859115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1859118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1859121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1859124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859147 */     // MIs[0] policy
     /* 1859147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859157 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859184 */     // GIR_Coverage, 13987,
     /* 1859184 */     GIR_EraseRootFromParent_Done,
     /* 1859185 */   // Label 25101: @1859185
     /* 1859185 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1859274), // Rule ID 13990 //
     /* 1859190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1859201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1859204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1859207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859236 */     // MIs[0] policy
     /* 1859236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859273 */     // GIR_Coverage, 13990,
     /* 1859273 */     GIR_EraseRootFromParent_Done,
     /* 1859274 */   // Label 25102: @1859274
     /* 1859274 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1859363), // Rule ID 13991 //
     /* 1859279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1859290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1859293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1859296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859325 */     // MIs[0] policy
     /* 1859325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859362 */     // GIR_Coverage, 13991,
     /* 1859362 */     GIR_EraseRootFromParent_Done,
     /* 1859363 */   // Label 25103: @1859363
     /* 1859363 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1859452), // Rule ID 13994 //
     /* 1859368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1859385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859414 */     // MIs[0] policy
     /* 1859414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859451 */     // GIR_Coverage, 13994,
     /* 1859451 */     GIR_EraseRootFromParent_Done,
     /* 1859452 */   // Label 25104: @1859452
     /* 1859452 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1859541), // Rule ID 13995 //
     /* 1859457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1859474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859503 */     // MIs[0] policy
     /* 1859503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859513 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859540 */     // GIR_Coverage, 13995,
     /* 1859540 */     GIR_EraseRootFromParent_Done,
     /* 1859541 */   // Label 25105: @1859541
     /* 1859541 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1859630), // Rule ID 13998 //
     /* 1859546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859592 */     // MIs[0] policy
     /* 1859592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859602 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859629 */     // GIR_Coverage, 13998,
     /* 1859629 */     GIR_EraseRootFromParent_Done,
     /* 1859630 */   // Label 25106: @1859630
     /* 1859630 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1859719), // Rule ID 13999 //
     /* 1859635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859681 */     // MIs[0] policy
     /* 1859681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859691 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859718 */     // GIR_Coverage, 13999,
     /* 1859718 */     GIR_EraseRootFromParent_Done,
     /* 1859719 */   // Label 25107: @1859719
     /* 1859719 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1859808), // Rule ID 14002 //
     /* 1859724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859770 */     // MIs[0] policy
     /* 1859770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859807 */     // GIR_Coverage, 14002,
     /* 1859807 */     GIR_EraseRootFromParent_Done,
     /* 1859808 */   // Label 25108: @1859808
     /* 1859808 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1859897), // Rule ID 14003 //
     /* 1859813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859859 */     // MIs[0] policy
     /* 1859859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859896 */     // GIR_Coverage, 14003,
     /* 1859896 */     GIR_EraseRootFromParent_Done,
     /* 1859897 */   // Label 25109: @1859897
     /* 1859897 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1859986), // Rule ID 14006 //
     /* 1859902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859948 */     // MIs[0] policy
     /* 1859948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859985 */     // GIR_Coverage, 14006,
     /* 1859985 */     GIR_EraseRootFromParent_Done,
     /* 1859986 */   // Label 25110: @1859986
     /* 1859986 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1860075), // Rule ID 14007 //
     /* 1859991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1860002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1860005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1860008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860037 */     // MIs[0] policy
     /* 1860037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860074 */     // GIR_Coverage, 14007,
     /* 1860074 */     GIR_EraseRootFromParent_Done,
     /* 1860075 */   // Label 25111: @1860075
     /* 1860075 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1860164), // Rule ID 14010 //
     /* 1860080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1860097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1860100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860126 */     // MIs[0] policy
     /* 1860126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860163 */     // GIR_Coverage, 14010,
     /* 1860163 */     GIR_EraseRootFromParent_Done,
     /* 1860164 */   // Label 25112: @1860164
     /* 1860164 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1860253), // Rule ID 14011 //
     /* 1860169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1860186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1860189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860215 */     // MIs[0] policy
     /* 1860215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860252 */     // GIR_Coverage, 14011,
     /* 1860252 */     GIR_EraseRootFromParent_Done,
     /* 1860253 */   // Label 25113: @1860253
     /* 1860253 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1860342), // Rule ID 14014 //
     /* 1860258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1860275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1860278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860304 */     // MIs[0] policy
     /* 1860304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1860317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860341 */     // GIR_Coverage, 14014,
     /* 1860341 */     GIR_EraseRootFromParent_Done,
     /* 1860342 */   // Label 25114: @1860342
     /* 1860342 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1860431), // Rule ID 14015 //
     /* 1860347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1860364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1860367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860393 */     // MIs[0] policy
     /* 1860393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1860406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860430 */     // GIR_Coverage, 14015,
     /* 1860430 */     GIR_EraseRootFromParent_Done,
     /* 1860431 */   // Label 25115: @1860431
     /* 1860431 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1860520), // Rule ID 14018 //
     /* 1860436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860482 */     // MIs[0] policy
     /* 1860482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860519 */     // GIR_Coverage, 14018,
     /* 1860519 */     GIR_EraseRootFromParent_Done,
     /* 1860520 */   // Label 25116: @1860520
     /* 1860520 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1860609), // Rule ID 14019 //
     /* 1860525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860571 */     // MIs[0] policy
     /* 1860571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860608 */     // GIR_Coverage, 14019,
     /* 1860608 */     GIR_EraseRootFromParent_Done,
     /* 1860609 */   // Label 25117: @1860609
     /* 1860609 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1860698), // Rule ID 14022 //
     /* 1860614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860660 */     // MIs[0] policy
     /* 1860660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860670 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860697 */     // GIR_Coverage, 14022,
     /* 1860697 */     GIR_EraseRootFromParent_Done,
     /* 1860698 */   // Label 25118: @1860698
     /* 1860698 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1860787), // Rule ID 14023 //
     /* 1860703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860749 */     // MIs[0] policy
     /* 1860749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860759 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860786 */     // GIR_Coverage, 14023,
     /* 1860786 */     GIR_EraseRootFromParent_Done,
     /* 1860787 */   // Label 25119: @1860787
     /* 1860787 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1860876), // Rule ID 14026 //
     /* 1860792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860838 */     // MIs[0] policy
     /* 1860838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860875 */     // GIR_Coverage, 14026,
     /* 1860875 */     GIR_EraseRootFromParent_Done,
     /* 1860876 */   // Label 25120: @1860876
     /* 1860876 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1860965), // Rule ID 14027 //
     /* 1860881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860927 */     // MIs[0] policy
     /* 1860927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860937 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860964 */     // GIR_Coverage, 14027,
     /* 1860964 */     GIR_EraseRootFromParent_Done,
     /* 1860965 */   // Label 25121: @1860965
     /* 1860965 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1861054), // Rule ID 14030 //
     /* 1860970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1860981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1860984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861016 */     // MIs[0] policy
     /* 1861016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861053 */     // GIR_Coverage, 14030,
     /* 1861053 */     GIR_EraseRootFromParent_Done,
     /* 1861054 */   // Label 25122: @1861054
     /* 1861054 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1861143), // Rule ID 14031 //
     /* 1861059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1861070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1861073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1861076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861105 */     // MIs[0] policy
     /* 1861105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861115 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861142 */     // GIR_Coverage, 14031,
     /* 1861142 */     GIR_EraseRootFromParent_Done,
     /* 1861143 */   // Label 25123: @1861143
     /* 1861143 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1861232), // Rule ID 14034 //
     /* 1861148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1861159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1861162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1861165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861194 */     // MIs[0] policy
     /* 1861194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861204 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861231 */     // GIR_Coverage, 14034,
     /* 1861231 */     GIR_EraseRootFromParent_Done,
     /* 1861232 */   // Label 25124: @1861232
     /* 1861232 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1861321), // Rule ID 14035 //
     /* 1861237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1861248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1861251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1861254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861283 */     // MIs[0] policy
     /* 1861283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861293 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861320 */     // GIR_Coverage, 14035,
     /* 1861320 */     GIR_EraseRootFromParent_Done,
     /* 1861321 */   // Label 25125: @1861321
     /* 1861321 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1861410), // Rule ID 14038 //
     /* 1861326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861372 */     // MIs[0] policy
     /* 1861372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861409 */     // GIR_Coverage, 14038,
     /* 1861409 */     GIR_EraseRootFromParent_Done,
     /* 1861410 */   // Label 25126: @1861410
     /* 1861410 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1861499), // Rule ID 14039 //
     /* 1861415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861461 */     // MIs[0] policy
     /* 1861461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861471 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861498 */     // GIR_Coverage, 14039,
     /* 1861498 */     GIR_EraseRootFromParent_Done,
     /* 1861499 */   // Label 25127: @1861499
     /* 1861499 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1861588), // Rule ID 14042 //
     /* 1861504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861550 */     // MIs[0] policy
     /* 1861550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861587 */     // GIR_Coverage, 14042,
     /* 1861587 */     GIR_EraseRootFromParent_Done,
     /* 1861588 */   // Label 25128: @1861588
     /* 1861588 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1861677), // Rule ID 14043 //
     /* 1861593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861639 */     // MIs[0] policy
     /* 1861639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861676 */     // GIR_Coverage, 14043,
     /* 1861676 */     GIR_EraseRootFromParent_Done,
     /* 1861677 */   // Label 25129: @1861677
     /* 1861677 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1861766), // Rule ID 14046 //
     /* 1861682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861728 */     // MIs[0] policy
     /* 1861728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861765 */     // GIR_Coverage, 14046,
     /* 1861765 */     GIR_EraseRootFromParent_Done,
     /* 1861766 */   // Label 25130: @1861766
     /* 1861766 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1861855), // Rule ID 14047 //
     /* 1861771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861817 */     // MIs[0] policy
     /* 1861817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861854 */     // GIR_Coverage, 14047,
     /* 1861854 */     GIR_EraseRootFromParent_Done,
     /* 1861855 */   // Label 25131: @1861855
     /* 1861855 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1861944), // Rule ID 14050 //
     /* 1861860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861906 */     // MIs[0] policy
     /* 1861906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861943 */     // GIR_Coverage, 14050,
     /* 1861943 */     GIR_EraseRootFromParent_Done,
     /* 1861944 */   // Label 25132: @1861944
     /* 1861944 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1862033), // Rule ID 14051 //
     /* 1861949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861995 */     // MIs[0] policy
     /* 1861995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862032 */     // GIR_Coverage, 14051,
     /* 1862032 */     GIR_EraseRootFromParent_Done,
     /* 1862033 */   // Label 25133: @1862033
     /* 1862033 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1862122), // Rule ID 14054 //
     /* 1862038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1862049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1862052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1862055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862084 */     // MIs[0] policy
     /* 1862084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862121 */     // GIR_Coverage, 14054,
     /* 1862121 */     GIR_EraseRootFromParent_Done,
     /* 1862122 */   // Label 25134: @1862122
     /* 1862122 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1862211), // Rule ID 14055 //
     /* 1862127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1862138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1862141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1862144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862173 */     // MIs[0] policy
     /* 1862173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862210 */     // GIR_Coverage, 14055,
     /* 1862210 */     GIR_EraseRootFromParent_Done,
     /* 1862211 */   // Label 25135: @1862211
     /* 1862211 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1862300), // Rule ID 14058 //
     /* 1862216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862262 */     // MIs[0] policy
     /* 1862262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862299 */     // GIR_Coverage, 14058,
     /* 1862299 */     GIR_EraseRootFromParent_Done,
     /* 1862300 */   // Label 25136: @1862300
     /* 1862300 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1862389), // Rule ID 14059 //
     /* 1862305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862351 */     // MIs[0] policy
     /* 1862351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862388 */     // GIR_Coverage, 14059,
     /* 1862388 */     GIR_EraseRootFromParent_Done,
     /* 1862389 */   // Label 25137: @1862389
     /* 1862389 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1862478), // Rule ID 14062 //
     /* 1862394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862440 */     // MIs[0] policy
     /* 1862440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862477 */     // GIR_Coverage, 14062,
     /* 1862477 */     GIR_EraseRootFromParent_Done,
     /* 1862478 */   // Label 25138: @1862478
     /* 1862478 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1862567), // Rule ID 14063 //
     /* 1862483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862529 */     // MIs[0] policy
     /* 1862529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862566 */     // GIR_Coverage, 14063,
     /* 1862566 */     GIR_EraseRootFromParent_Done,
     /* 1862567 */   // Label 25139: @1862567
     /* 1862567 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1862656), // Rule ID 14066 //
     /* 1862572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862618 */     // MIs[0] policy
     /* 1862618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862655 */     // GIR_Coverage, 14066,
     /* 1862655 */     GIR_EraseRootFromParent_Done,
     /* 1862656 */   // Label 25140: @1862656
     /* 1862656 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1862745), // Rule ID 14067 //
     /* 1862661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862707 */     // MIs[0] policy
     /* 1862707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862744 */     // GIR_Coverage, 14067,
     /* 1862744 */     GIR_EraseRootFromParent_Done,
     /* 1862745 */   // Label 25141: @1862745
     /* 1862745 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1862834), // Rule ID 14070 //
     /* 1862750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862796 */     // MIs[0] policy
     /* 1862796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862833 */     // GIR_Coverage, 14070,
     /* 1862833 */     GIR_EraseRootFromParent_Done,
     /* 1862834 */   // Label 25142: @1862834
     /* 1862834 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1862923), // Rule ID 14071 //
     /* 1862839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862885 */     // MIs[0] policy
     /* 1862885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862895 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862922 */     // GIR_Coverage, 14071,
     /* 1862922 */     GIR_EraseRootFromParent_Done,
     /* 1862923 */   // Label 25143: @1862923
     /* 1862923 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1863012), // Rule ID 14074 //
     /* 1862928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1862939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1862942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1862945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1862951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862974 */     // MIs[0] policy
     /* 1862974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863011 */     // GIR_Coverage, 14074,
     /* 1863011 */     GIR_EraseRootFromParent_Done,
     /* 1863012 */   // Label 25144: @1863012
     /* 1863012 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1863101), // Rule ID 14075 //
     /* 1863017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1863028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1863031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1863034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1863040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863063 */     // MIs[0] policy
     /* 1863063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863073 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863100 */     // GIR_Coverage, 14075,
     /* 1863100 */     GIR_EraseRootFromParent_Done,
     /* 1863101 */   // Label 25145: @1863101
     /* 1863101 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1863190), // Rule ID 14078 //
     /* 1863106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1863123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863152 */     // MIs[0] policy
     /* 1863152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863189 */     // GIR_Coverage, 14078,
     /* 1863189 */     GIR_EraseRootFromParent_Done,
     /* 1863190 */   // Label 25146: @1863190
     /* 1863190 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1863279), // Rule ID 14079 //
     /* 1863195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1863212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863241 */     // MIs[0] policy
     /* 1863241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863251 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863278 */     // GIR_Coverage, 14079,
     /* 1863278 */     GIR_EraseRootFromParent_Done,
     /* 1863279 */   // Label 25147: @1863279
     /* 1863279 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1863368), // Rule ID 14082 //
     /* 1863284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1863301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863330 */     // MIs[0] policy
     /* 1863330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863367 */     // GIR_Coverage, 14082,
     /* 1863367 */     GIR_EraseRootFromParent_Done,
     /* 1863368 */   // Label 25148: @1863368
     /* 1863368 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1863457), // Rule ID 14083 //
     /* 1863373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1863390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863419 */     // MIs[0] policy
     /* 1863419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863456 */     // GIR_Coverage, 14083,
     /* 1863456 */     GIR_EraseRootFromParent_Done,
     /* 1863457 */   // Label 25149: @1863457
     /* 1863457 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1863546), // Rule ID 14086 //
     /* 1863462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863508 */     // MIs[0] policy
     /* 1863508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863545 */     // GIR_Coverage, 14086,
     /* 1863545 */     GIR_EraseRootFromParent_Done,
     /* 1863546 */   // Label 25150: @1863546
     /* 1863546 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1863635), // Rule ID 14087 //
     /* 1863551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863597 */     // MIs[0] policy
     /* 1863597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863607 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863634 */     // GIR_Coverage, 14087,
     /* 1863634 */     GIR_EraseRootFromParent_Done,
     /* 1863635 */   // Label 25151: @1863635
     /* 1863635 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1863724), // Rule ID 14090 //
     /* 1863640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863686 */     // MIs[0] policy
     /* 1863686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863723 */     // GIR_Coverage, 14090,
     /* 1863723 */     GIR_EraseRootFromParent_Done,
     /* 1863724 */   // Label 25152: @1863724
     /* 1863724 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1863813), // Rule ID 14091 //
     /* 1863729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863775 */     // MIs[0] policy
     /* 1863775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863812 */     // GIR_Coverage, 14091,
     /* 1863812 */     GIR_EraseRootFromParent_Done,
     /* 1863813 */   // Label 25153: @1863813
     /* 1863813 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1863902), // Rule ID 14094 //
     /* 1863818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863864 */     // MIs[0] policy
     /* 1863864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863901 */     // GIR_Coverage, 14094,
     /* 1863901 */     GIR_EraseRootFromParent_Done,
     /* 1863902 */   // Label 25154: @1863902
     /* 1863902 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1863991), // Rule ID 14095 //
     /* 1863907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863953 */     // MIs[0] policy
     /* 1863953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863990 */     // GIR_Coverage, 14095,
     /* 1863990 */     GIR_EraseRootFromParent_Done,
     /* 1863991 */   // Label 25155: @1863991
     /* 1863991 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1864080), // Rule ID 14098 //
     /* 1863996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1864013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864042 */     // MIs[0] policy
     /* 1864042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864079 */     // GIR_Coverage, 14098,
     /* 1864079 */     GIR_EraseRootFromParent_Done,
     /* 1864080 */   // Label 25156: @1864080
     /* 1864080 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1864169), // Rule ID 14099 //
     /* 1864085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1864102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864131 */     // MIs[0] policy
     /* 1864131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864168 */     // GIR_Coverage, 14099,
     /* 1864168 */     GIR_EraseRootFromParent_Done,
     /* 1864169 */   // Label 25157: @1864169
     /* 1864169 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1864258), // Rule ID 14102 //
     /* 1864174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1864191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864220 */     // MIs[0] policy
     /* 1864220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1864233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864257 */     // GIR_Coverage, 14102,
     /* 1864257 */     GIR_EraseRootFromParent_Done,
     /* 1864258 */   // Label 25158: @1864258
     /* 1864258 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1864347), // Rule ID 14103 //
     /* 1864263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1864280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864309 */     // MIs[0] policy
     /* 1864309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1864322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864346 */     // GIR_Coverage, 14103,
     /* 1864346 */     GIR_EraseRootFromParent_Done,
     /* 1864347 */   // Label 25159: @1864347
     /* 1864347 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1864436), // Rule ID 14106 //
     /* 1864352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864398 */     // MIs[0] policy
     /* 1864398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1864411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864435 */     // GIR_Coverage, 14106,
     /* 1864435 */     GIR_EraseRootFromParent_Done,
     /* 1864436 */   // Label 25160: @1864436
     /* 1864436 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1864525), // Rule ID 14107 //
     /* 1864441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864487 */     // MIs[0] policy
     /* 1864487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1864500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864524 */     // GIR_Coverage, 14107,
     /* 1864524 */     GIR_EraseRootFromParent_Done,
     /* 1864525 */   // Label 25161: @1864525
     /* 1864525 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1864614), // Rule ID 14110 //
     /* 1864530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864576 */     // MIs[0] policy
     /* 1864576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864613 */     // GIR_Coverage, 14110,
     /* 1864613 */     GIR_EraseRootFromParent_Done,
     /* 1864614 */   // Label 25162: @1864614
     /* 1864614 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1864703), // Rule ID 14111 //
     /* 1864619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864665 */     // MIs[0] policy
     /* 1864665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864702 */     // GIR_Coverage, 14111,
     /* 1864702 */     GIR_EraseRootFromParent_Done,
     /* 1864703 */   // Label 25163: @1864703
     /* 1864703 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1864792), // Rule ID 14202 //
     /* 1864708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864754 */     // MIs[0] policy
     /* 1864754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864791 */     // GIR_Coverage, 14202,
     /* 1864791 */     GIR_EraseRootFromParent_Done,
     /* 1864792 */   // Label 25164: @1864792
     /* 1864792 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1864881), // Rule ID 14203 //
     /* 1864797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864843 */     // MIs[0] policy
     /* 1864843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864853 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864880 */     // GIR_Coverage, 14203,
     /* 1864880 */     GIR_EraseRootFromParent_Done,
     /* 1864881 */   // Label 25165: @1864881
     /* 1864881 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1864970), // Rule ID 14206 //
     /* 1864886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864932 */     // MIs[0] policy
     /* 1864932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864969 */     // GIR_Coverage, 14206,
     /* 1864969 */     GIR_EraseRootFromParent_Done,
     /* 1864970 */   // Label 25166: @1864970
     /* 1864970 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1865059), // Rule ID 14207 //
     /* 1864975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865021 */     // MIs[0] policy
     /* 1865021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865031 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1865034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865058 */     // GIR_Coverage, 14207,
     /* 1865058 */     GIR_EraseRootFromParent_Done,
     /* 1865059 */   // Label 25167: @1865059
     /* 1865059 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1865148), // Rule ID 14210 //
     /* 1865064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1865075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1865078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1865081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1865084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865110 */     // MIs[0] policy
     /* 1865110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865120 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865147 */     // GIR_Coverage, 14210,
     /* 1865147 */     GIR_EraseRootFromParent_Done,
     /* 1865148 */   // Label 25168: @1865148
     /* 1865148 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1865237), // Rule ID 14211 //
     /* 1865153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1865164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1865167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1865170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1865173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865199 */     // MIs[0] policy
     /* 1865199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865209 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865236 */     // GIR_Coverage, 14211,
     /* 1865236 */     GIR_EraseRootFromParent_Done,
     /* 1865237 */   // Label 25169: @1865237
     /* 1865237 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1865326), // Rule ID 14214 //
     /* 1865242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1865259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1865262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865288 */     // MIs[0] policy
     /* 1865288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1865301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865325 */     // GIR_Coverage, 14214,
     /* 1865325 */     GIR_EraseRootFromParent_Done,
     /* 1865326 */   // Label 25170: @1865326
     /* 1865326 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1865415), // Rule ID 14215 //
     /* 1865331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1865348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1865351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865377 */     // MIs[0] policy
     /* 1865377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865387 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1865390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865414 */     // GIR_Coverage, 14215,
     /* 1865414 */     GIR_EraseRootFromParent_Done,
     /* 1865415 */   // Label 25171: @1865415
     /* 1865415 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1865504), // Rule ID 14218 //
     /* 1865420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865466 */     // MIs[0] policy
     /* 1865466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865503 */     // GIR_Coverage, 14218,
     /* 1865503 */     GIR_EraseRootFromParent_Done,
     /* 1865504 */   // Label 25172: @1865504
     /* 1865504 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1865593), // Rule ID 14219 //
     /* 1865509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865555 */     // MIs[0] policy
     /* 1865555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865565 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865592 */     // GIR_Coverage, 14219,
     /* 1865592 */     GIR_EraseRootFromParent_Done,
     /* 1865593 */   // Label 25173: @1865593
     /* 1865593 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1865682), // Rule ID 14222 //
     /* 1865598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865644 */     // MIs[0] policy
     /* 1865644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865654 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865681 */     // GIR_Coverage, 14222,
     /* 1865681 */     GIR_EraseRootFromParent_Done,
     /* 1865682 */   // Label 25174: @1865682
     /* 1865682 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1865771), // Rule ID 14223 //
     /* 1865687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865733 */     // MIs[0] policy
     /* 1865733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865743 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865770 */     // GIR_Coverage, 14223,
     /* 1865770 */     GIR_EraseRootFromParent_Done,
     /* 1865771 */   // Label 25175: @1865771
     /* 1865771 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1865860), // Rule ID 14226 //
     /* 1865776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865822 */     // MIs[0] policy
     /* 1865822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865859 */     // GIR_Coverage, 14226,
     /* 1865859 */     GIR_EraseRootFromParent_Done,
     /* 1865860 */   // Label 25176: @1865860
     /* 1865860 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1865949), // Rule ID 14227 //
     /* 1865865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865911 */     // MIs[0] policy
     /* 1865911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865921 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865948 */     // GIR_Coverage, 14227,
     /* 1865948 */     GIR_EraseRootFromParent_Done,
     /* 1865949 */   // Label 25177: @1865949
     /* 1865949 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1866038), // Rule ID 14230 //
     /* 1865954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866000 */     // MIs[0] policy
     /* 1866000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866037 */     // GIR_Coverage, 14230,
     /* 1866037 */     GIR_EraseRootFromParent_Done,
     /* 1866038 */   // Label 25178: @1866038
     /* 1866038 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1866127), // Rule ID 14231 //
     /* 1866043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1866054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1866057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1866060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1866063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866089 */     // MIs[0] policy
     /* 1866089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866126 */     // GIR_Coverage, 14231,
     /* 1866126 */     GIR_EraseRootFromParent_Done,
     /* 1866127 */   // Label 25179: @1866127
     /* 1866127 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1866216), // Rule ID 14234 //
     /* 1866132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1866149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1866152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866178 */     // MIs[0] policy
     /* 1866178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866215 */     // GIR_Coverage, 14234,
     /* 1866215 */     GIR_EraseRootFromParent_Done,
     /* 1866216 */   // Label 25180: @1866216
     /* 1866216 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1866305), // Rule ID 14235 //
     /* 1866221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1866238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1866241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866267 */     // MIs[0] policy
     /* 1866267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866304 */     // GIR_Coverage, 14235,
     /* 1866304 */     GIR_EraseRootFromParent_Done,
     /* 1866305 */   // Label 25181: @1866305
     /* 1866305 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1866394), // Rule ID 14238 //
     /* 1866310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1866330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866356 */     // MIs[0] policy
     /* 1866356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866393 */     // GIR_Coverage, 14238,
     /* 1866393 */     GIR_EraseRootFromParent_Done,
     /* 1866394 */   // Label 25182: @1866394
     /* 1866394 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1866483), // Rule ID 14239 //
     /* 1866399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1866419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866445 */     // MIs[0] policy
     /* 1866445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866455 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866482 */     // GIR_Coverage, 14239,
     /* 1866482 */     GIR_EraseRootFromParent_Done,
     /* 1866483 */   // Label 25183: @1866483
     /* 1866483 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1866572), // Rule ID 14242 //
     /* 1866488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866534 */     // MIs[0] policy
     /* 1866534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866544 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866571 */     // GIR_Coverage, 14242,
     /* 1866571 */     GIR_EraseRootFromParent_Done,
     /* 1866572 */   // Label 25184: @1866572
     /* 1866572 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1866661), // Rule ID 14243 //
     /* 1866577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866623 */     // MIs[0] policy
     /* 1866623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866660 */     // GIR_Coverage, 14243,
     /* 1866660 */     GIR_EraseRootFromParent_Done,
     /* 1866661 */   // Label 25185: @1866661
     /* 1866661 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1866750), // Rule ID 14246 //
     /* 1866666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866712 */     // MIs[0] policy
     /* 1866712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866749 */     // GIR_Coverage, 14246,
     /* 1866749 */     GIR_EraseRootFromParent_Done,
     /* 1866750 */   // Label 25186: @1866750
     /* 1866750 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1866839), // Rule ID 14247 //
     /* 1866755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866801 */     // MIs[0] policy
     /* 1866801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866838 */     // GIR_Coverage, 14247,
     /* 1866838 */     GIR_EraseRootFromParent_Done,
     /* 1866839 */   // Label 25187: @1866839
     /* 1866839 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1866928), // Rule ID 14250 //
     /* 1866844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866890 */     // MIs[0] policy
     /* 1866890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866900 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866927 */     // GIR_Coverage, 14250,
     /* 1866927 */     GIR_EraseRootFromParent_Done,
     /* 1866928 */   // Label 25188: @1866928
     /* 1866928 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1867017), // Rule ID 14251 //
     /* 1866933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866979 */     // MIs[0] policy
     /* 1866979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866989 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867016 */     // GIR_Coverage, 14251,
     /* 1867016 */     GIR_EraseRootFromParent_Done,
     /* 1867017 */   // Label 25189: @1867017
     /* 1867017 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1867106), // Rule ID 14254 //
     /* 1867022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1867033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1867036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1867039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1867042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867068 */     // MIs[0] policy
     /* 1867068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867105 */     // GIR_Coverage, 14254,
     /* 1867105 */     GIR_EraseRootFromParent_Done,
     /* 1867106 */   // Label 25190: @1867106
     /* 1867106 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1867195), // Rule ID 14255 //
     /* 1867111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1867122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1867125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1867128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1867131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867157 */     // MIs[0] policy
     /* 1867157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867167 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867194 */     // GIR_Coverage, 14255,
     /* 1867194 */     GIR_EraseRootFromParent_Done,
     /* 1867195 */   // Label 25191: @1867195
     /* 1867195 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1867284), // Rule ID 14258 //
     /* 1867200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1867211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1867214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1867217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1867220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867246 */     // MIs[0] policy
     /* 1867246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867283 */     // GIR_Coverage, 14258,
     /* 1867283 */     GIR_EraseRootFromParent_Done,
     /* 1867284 */   // Label 25192: @1867284
     /* 1867284 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1867373), // Rule ID 14259 //
     /* 1867289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1867300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1867303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1867306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1867309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867335 */     // MIs[0] policy
     /* 1867335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867345 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867372 */     // GIR_Coverage, 14259,
     /* 1867372 */     GIR_EraseRootFromParent_Done,
     /* 1867373 */   // Label 25193: @1867373
     /* 1867373 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1867462), // Rule ID 14262 //
     /* 1867378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1867398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867424 */     // MIs[0] policy
     /* 1867424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867461 */     // GIR_Coverage, 14262,
     /* 1867461 */     GIR_EraseRootFromParent_Done,
     /* 1867462 */   // Label 25194: @1867462
     /* 1867462 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1867551), // Rule ID 14263 //
     /* 1867467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1867487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867513 */     // MIs[0] policy
     /* 1867513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867550 */     // GIR_Coverage, 14263,
     /* 1867550 */     GIR_EraseRootFromParent_Done,
     /* 1867551 */   // Label 25195: @1867551
     /* 1867551 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1867640), // Rule ID 14266 //
     /* 1867556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867602 */     // MIs[0] policy
     /* 1867602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867612 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867639 */     // GIR_Coverage, 14266,
     /* 1867639 */     GIR_EraseRootFromParent_Done,
     /* 1867640 */   // Label 25196: @1867640
     /* 1867640 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1867729), // Rule ID 14267 //
     /* 1867645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867691 */     // MIs[0] policy
     /* 1867691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867728 */     // GIR_Coverage, 14267,
     /* 1867728 */     GIR_EraseRootFromParent_Done,
     /* 1867729 */   // Label 25197: @1867729
     /* 1867729 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1867818), // Rule ID 14270 //
     /* 1867734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867780 */     // MIs[0] policy
     /* 1867780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867817 */     // GIR_Coverage, 14270,
     /* 1867817 */     GIR_EraseRootFromParent_Done,
     /* 1867818 */   // Label 25198: @1867818
     /* 1867818 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1867907), // Rule ID 14271 //
     /* 1867823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867869 */     // MIs[0] policy
     /* 1867869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867879 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867906 */     // GIR_Coverage, 14271,
     /* 1867906 */     GIR_EraseRootFromParent_Done,
     /* 1867907 */   // Label 25199: @1867907
     /* 1867907 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1867996), // Rule ID 14274 //
     /* 1867912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867958 */     // MIs[0] policy
     /* 1867958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867968 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867995 */     // GIR_Coverage, 14274,
     /* 1867995 */     GIR_EraseRootFromParent_Done,
     /* 1867996 */   // Label 25200: @1867996
     /* 1867996 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1868085), // Rule ID 14275 //
     /* 1868001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1868012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1868015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1868018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1868021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868047 */     // MIs[0] policy
     /* 1868047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868084 */     // GIR_Coverage, 14275,
     /* 1868084 */     GIR_EraseRootFromParent_Done,
     /* 1868085 */   // Label 25201: @1868085
     /* 1868085 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1868174), // Rule ID 14278 //
     /* 1868090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1868101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1868104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1868107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1868110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868136 */     // MIs[0] policy
     /* 1868136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1868149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868173 */     // GIR_Coverage, 14278,
     /* 1868173 */     GIR_EraseRootFromParent_Done,
     /* 1868174 */   // Label 25202: @1868174
     /* 1868174 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1868263), // Rule ID 14279 //
     /* 1868179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1868190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1868193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1868196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1868199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868225 */     // MIs[0] policy
     /* 1868225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1868238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868262 */     // GIR_Coverage, 14279,
     /* 1868262 */     GIR_EraseRootFromParent_Done,
     /* 1868263 */   // Label 25203: @1868263
     /* 1868263 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1868352), // Rule ID 14282 //
     /* 1868268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1868279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1868282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1868285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1868288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868314 */     // MIs[0] policy
     /* 1868314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1868327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868351 */     // GIR_Coverage, 14282,
     /* 1868351 */     GIR_EraseRootFromParent_Done,
     /* 1868352 */   // Label 25204: @1868352
     /* 1868352 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1868441), // Rule ID 14283 //
     /* 1868357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1868368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1868371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1868374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1868377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868403 */     // MIs[0] policy
     /* 1868403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1868416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868440 */     // GIR_Coverage, 14283,
     /* 1868440 */     GIR_EraseRootFromParent_Done,
     /* 1868441 */   // Label 25205: @1868441
     /* 1868441 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1868530), // Rule ID 14286 //
     /* 1868446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868492 */     // MIs[0] policy
     /* 1868492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868529 */     // GIR_Coverage, 14286,
     /* 1868529 */     GIR_EraseRootFromParent_Done,
     /* 1868530 */   // Label 25206: @1868530
     /* 1868530 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1868619), // Rule ID 14287 //
     /* 1868535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868581 */     // MIs[0] policy
     /* 1868581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868591 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868618 */     // GIR_Coverage, 14287,
     /* 1868618 */     GIR_EraseRootFromParent_Done,
     /* 1868619 */   // Label 25207: @1868619
     /* 1868619 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1868708), // Rule ID 14290 //
     /* 1868624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868670 */     // MIs[0] policy
     /* 1868670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868680 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868707 */     // GIR_Coverage, 14290,
     /* 1868707 */     GIR_EraseRootFromParent_Done,
     /* 1868708 */   // Label 25208: @1868708
     /* 1868708 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1868797), // Rule ID 14291 //
     /* 1868713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868759 */     // MIs[0] policy
     /* 1868759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868796 */     // GIR_Coverage, 14291,
     /* 1868796 */     GIR_EraseRootFromParent_Done,
     /* 1868797 */   // Label 25209: @1868797
     /* 1868797 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1868886), // Rule ID 14294 //
     /* 1868802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868848 */     // MIs[0] policy
     /* 1868848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868885 */     // GIR_Coverage, 14294,
     /* 1868885 */     GIR_EraseRootFromParent_Done,
     /* 1868886 */   // Label 25210: @1868886
     /* 1868886 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1868975), // Rule ID 14295 //
     /* 1868891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868937 */     // MIs[0] policy
     /* 1868937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868974 */     // GIR_Coverage, 14295,
     /* 1868974 */     GIR_EraseRootFromParent_Done,
     /* 1868975 */   // Label 25211: @1868975
     /* 1868975 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1869064), // Rule ID 14298 //
     /* 1868980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869026 */     // MIs[0] policy
     /* 1869026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869063 */     // GIR_Coverage, 14298,
     /* 1869063 */     GIR_EraseRootFromParent_Done,
     /* 1869064 */   // Label 25212: @1869064
     /* 1869064 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1869153), // Rule ID 14299 //
     /* 1869069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1869080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1869083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1869086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869115 */     // MIs[0] policy
     /* 1869115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869125 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869152 */     // GIR_Coverage, 14299,
     /* 1869152 */     GIR_EraseRootFromParent_Done,
     /* 1869153 */   // Label 25213: @1869153
     /* 1869153 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1869242), // Rule ID 14302 //
     /* 1869158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1869169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1869172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1869175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869204 */     // MIs[0] policy
     /* 1869204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869214 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1869217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869241 */     // GIR_Coverage, 14302,
     /* 1869241 */     GIR_EraseRootFromParent_Done,
     /* 1869242 */   // Label 25214: @1869242
     /* 1869242 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1869331), // Rule ID 14303 //
     /* 1869247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1869258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1869261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1869264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869293 */     // MIs[0] policy
     /* 1869293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869303 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1869306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869330 */     // GIR_Coverage, 14303,
     /* 1869330 */     GIR_EraseRootFromParent_Done,
     /* 1869331 */   // Label 25215: @1869331
     /* 1869331 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1869420), // Rule ID 14306 //
     /* 1869336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869382 */     // MIs[0] policy
     /* 1869382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869419 */     // GIR_Coverage, 14306,
     /* 1869419 */     GIR_EraseRootFromParent_Done,
     /* 1869420 */   // Label 25216: @1869420
     /* 1869420 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1869509), // Rule ID 14307 //
     /* 1869425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869471 */     // MIs[0] policy
     /* 1869471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869508 */     // GIR_Coverage, 14307,
     /* 1869508 */     GIR_EraseRootFromParent_Done,
     /* 1869509 */   // Label 25217: @1869509
     /* 1869509 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1869598), // Rule ID 14310 //
     /* 1869514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869560 */     // MIs[0] policy
     /* 1869560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869597 */     // GIR_Coverage, 14310,
     /* 1869597 */     GIR_EraseRootFromParent_Done,
     /* 1869598 */   // Label 25218: @1869598
     /* 1869598 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1869687), // Rule ID 14311 //
     /* 1869603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869649 */     // MIs[0] policy
     /* 1869649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869686 */     // GIR_Coverage, 14311,
     /* 1869686 */     GIR_EraseRootFromParent_Done,
     /* 1869687 */   // Label 25219: @1869687
     /* 1869687 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1869776), // Rule ID 14314 //
     /* 1869692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869738 */     // MIs[0] policy
     /* 1869738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869775 */     // GIR_Coverage, 14314,
     /* 1869775 */     GIR_EraseRootFromParent_Done,
     /* 1869776 */   // Label 25220: @1869776
     /* 1869776 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1869865), // Rule ID 14315 //
     /* 1869781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869827 */     // MIs[0] policy
     /* 1869827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869864 */     // GIR_Coverage, 14315,
     /* 1869864 */     GIR_EraseRootFromParent_Done,
     /* 1869865 */   // Label 25221: @1869865
     /* 1869865 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1869954), // Rule ID 14318 //
     /* 1869870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869916 */     // MIs[0] policy
     /* 1869916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869953 */     // GIR_Coverage, 14318,
     /* 1869953 */     GIR_EraseRootFromParent_Done,
     /* 1869954 */   // Label 25222: @1869954
     /* 1869954 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1870043), // Rule ID 14319 //
     /* 1869959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870005 */     // MIs[0] policy
     /* 1870005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870042 */     // GIR_Coverage, 14319,
     /* 1870042 */     GIR_EraseRootFromParent_Done,
     /* 1870043 */   // Label 25223: @1870043
     /* 1870043 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1870132), // Rule ID 14322 //
     /* 1870048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1870059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1870062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1870065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870094 */     // MIs[0] policy
     /* 1870094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870104 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870131 */     // GIR_Coverage, 14322,
     /* 1870131 */     GIR_EraseRootFromParent_Done,
     /* 1870132 */   // Label 25224: @1870132
     /* 1870132 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1870221), // Rule ID 14323 //
     /* 1870137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1870148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1870151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1870154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870183 */     // MIs[0] policy
     /* 1870183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870220 */     // GIR_Coverage, 14323,
     /* 1870220 */     GIR_EraseRootFromParent_Done,
     /* 1870221 */   // Label 25225: @1870221
     /* 1870221 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1870310), // Rule ID 14326 //
     /* 1870226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1870243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870272 */     // MIs[0] policy
     /* 1870272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870309 */     // GIR_Coverage, 14326,
     /* 1870309 */     GIR_EraseRootFromParent_Done,
     /* 1870310 */   // Label 25226: @1870310
     /* 1870310 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1870399), // Rule ID 14327 //
     /* 1870315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1870332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870361 */     // MIs[0] policy
     /* 1870361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870398 */     // GIR_Coverage, 14327,
     /* 1870398 */     GIR_EraseRootFromParent_Done,
     /* 1870399 */   // Label 25227: @1870399
     /* 1870399 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1870488), // Rule ID 14330 //
     /* 1870404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870450 */     // MIs[0] policy
     /* 1870450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870460 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870487 */     // GIR_Coverage, 14330,
     /* 1870487 */     GIR_EraseRootFromParent_Done,
     /* 1870488 */   // Label 25228: @1870488
     /* 1870488 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1870577), // Rule ID 14331 //
     /* 1870493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870539 */     // MIs[0] policy
     /* 1870539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870576 */     // GIR_Coverage, 14331,
     /* 1870576 */     GIR_EraseRootFromParent_Done,
     /* 1870577 */   // Label 25229: @1870577
     /* 1870577 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1870666), // Rule ID 14334 //
     /* 1870582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870628 */     // MIs[0] policy
     /* 1870628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870638 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870665 */     // GIR_Coverage, 14334,
     /* 1870665 */     GIR_EraseRootFromParent_Done,
     /* 1870666 */   // Label 25230: @1870666
     /* 1870666 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1870755), // Rule ID 14335 //
     /* 1870671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870717 */     // MIs[0] policy
     /* 1870717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870754 */     // GIR_Coverage, 14335,
     /* 1870754 */     GIR_EraseRootFromParent_Done,
     /* 1870755 */   // Label 25231: @1870755
     /* 1870755 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1870844), // Rule ID 14338 //
     /* 1870760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870806 */     // MIs[0] policy
     /* 1870806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870816 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870843 */     // GIR_Coverage, 14338,
     /* 1870843 */     GIR_EraseRootFromParent_Done,
     /* 1870844 */   // Label 25232: @1870844
     /* 1870844 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1870933), // Rule ID 14339 //
     /* 1870849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870895 */     // MIs[0] policy
     /* 1870895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870905 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870932 */     // GIR_Coverage, 14339,
     /* 1870932 */     GIR_EraseRootFromParent_Done,
     /* 1870933 */   // Label 25233: @1870933
     /* 1870933 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1871022), // Rule ID 14342 //
     /* 1870938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870984 */     // MIs[0] policy
     /* 1870984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871021 */     // GIR_Coverage, 14342,
     /* 1871021 */     GIR_EraseRootFromParent_Done,
     /* 1871022 */   // Label 25234: @1871022
     /* 1871022 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1871111), // Rule ID 14343 //
     /* 1871027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1871038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1871041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1871044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871073 */     // MIs[0] policy
     /* 1871073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871110 */     // GIR_Coverage, 14343,
     /* 1871110 */     GIR_EraseRootFromParent_Done,
     /* 1871111 */   // Label 25235: @1871111
     /* 1871111 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1871200), // Rule ID 14346 //
     /* 1871116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1871133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871162 */     // MIs[0] policy
     /* 1871162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871199 */     // GIR_Coverage, 14346,
     /* 1871199 */     GIR_EraseRootFromParent_Done,
     /* 1871200 */   // Label 25236: @1871200
     /* 1871200 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1871289), // Rule ID 14347 //
     /* 1871205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1871222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871251 */     // MIs[0] policy
     /* 1871251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871288 */     // GIR_Coverage, 14347,
     /* 1871288 */     GIR_EraseRootFromParent_Done,
     /* 1871289 */   // Label 25237: @1871289
     /* 1871289 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1871378), // Rule ID 14350 //
     /* 1871294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1871311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871340 */     // MIs[0] policy
     /* 1871340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871377 */     // GIR_Coverage, 14350,
     /* 1871377 */     GIR_EraseRootFromParent_Done,
     /* 1871378 */   // Label 25238: @1871378
     /* 1871378 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1871467), // Rule ID 14351 //
     /* 1871383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1871400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871429 */     // MIs[0] policy
     /* 1871429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871439 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871466 */     // GIR_Coverage, 14351,
     /* 1871466 */     GIR_EraseRootFromParent_Done,
     /* 1871467 */   // Label 25239: @1871467
     /* 1871467 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1871556), // Rule ID 14354 //
     /* 1871472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871518 */     // MIs[0] policy
     /* 1871518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871555 */     // GIR_Coverage, 14354,
     /* 1871555 */     GIR_EraseRootFromParent_Done,
     /* 1871556 */   // Label 25240: @1871556
     /* 1871556 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1871645), // Rule ID 14355 //
     /* 1871561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871607 */     // MIs[0] policy
     /* 1871607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871644 */     // GIR_Coverage, 14355,
     /* 1871644 */     GIR_EraseRootFromParent_Done,
     /* 1871645 */   // Label 25241: @1871645
     /* 1871645 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1871734), // Rule ID 14358 //
     /* 1871650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871696 */     // MIs[0] policy
     /* 1871696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871733 */     // GIR_Coverage, 14358,
     /* 1871733 */     GIR_EraseRootFromParent_Done,
     /* 1871734 */   // Label 25242: @1871734
     /* 1871734 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1871823), // Rule ID 14359 //
     /* 1871739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871785 */     // MIs[0] policy
     /* 1871785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871795 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871822 */     // GIR_Coverage, 14359,
     /* 1871822 */     GIR_EraseRootFromParent_Done,
     /* 1871823 */   // Label 25243: @1871823
     /* 1871823 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1871912), // Rule ID 14362 //
     /* 1871828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871874 */     // MIs[0] policy
     /* 1871874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871911 */     // GIR_Coverage, 14362,
     /* 1871911 */     GIR_EraseRootFromParent_Done,
     /* 1871912 */   // Label 25244: @1871912
     /* 1871912 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1872001), // Rule ID 14363 //
     /* 1871917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871963 */     // MIs[0] policy
     /* 1871963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872000 */     // GIR_Coverage, 14363,
     /* 1872000 */     GIR_EraseRootFromParent_Done,
     /* 1872001 */   // Label 25245: @1872001
     /* 1872001 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1872090), // Rule ID 14366 //
     /* 1872006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1872023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872052 */     // MIs[0] policy
     /* 1872052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1872065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872089 */     // GIR_Coverage, 14366,
     /* 1872089 */     GIR_EraseRootFromParent_Done,
     /* 1872090 */   // Label 25246: @1872090
     /* 1872090 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1872179), // Rule ID 14367 //
     /* 1872095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1872112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872141 */     // MIs[0] policy
     /* 1872141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1872154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872178 */     // GIR_Coverage, 14367,
     /* 1872178 */     GIR_EraseRootFromParent_Done,
     /* 1872179 */   // Label 25247: @1872179
     /* 1872179 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1872268), // Rule ID 14370 //
     /* 1872184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1872201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872230 */     // MIs[0] policy
     /* 1872230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1872243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872267 */     // GIR_Coverage, 14370,
     /* 1872267 */     GIR_EraseRootFromParent_Done,
     /* 1872268 */   // Label 25248: @1872268
     /* 1872268 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1872357), // Rule ID 14371 //
     /* 1872273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1872290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872319 */     // MIs[0] policy
     /* 1872319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872329 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1872332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872356 */     // GIR_Coverage, 14371,
     /* 1872356 */     GIR_EraseRootFromParent_Done,
     /* 1872357 */   // Label 25249: @1872357
     /* 1872357 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1872446), // Rule ID 14374 //
     /* 1872362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872408 */     // MIs[0] policy
     /* 1872408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1872421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872445 */     // GIR_Coverage, 14374,
     /* 1872445 */     GIR_EraseRootFromParent_Done,
     /* 1872446 */   // Label 25250: @1872446
     /* 1872446 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1872535), // Rule ID 14375 //
     /* 1872451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872497 */     // MIs[0] policy
     /* 1872497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1872510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872534 */     // GIR_Coverage, 14375,
     /* 1872534 */     GIR_EraseRootFromParent_Done,
     /* 1872535 */   // Label 25251: @1872535
     /* 1872535 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1872624), // Rule ID 14466 //
     /* 1872540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872586 */     // MIs[0] policy
     /* 1872586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872623 */     // GIR_Coverage, 14466,
     /* 1872623 */     GIR_EraseRootFromParent_Done,
     /* 1872624 */   // Label 25252: @1872624
     /* 1872624 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1872713), // Rule ID 14467 //
     /* 1872629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872675 */     // MIs[0] policy
     /* 1872675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872685 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872712 */     // GIR_Coverage, 14467,
     /* 1872712 */     GIR_EraseRootFromParent_Done,
     /* 1872713 */   // Label 25253: @1872713
     /* 1872713 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1872802), // Rule ID 14470 //
     /* 1872718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872764 */     // MIs[0] policy
     /* 1872764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872801 */     // GIR_Coverage, 14470,
     /* 1872801 */     GIR_EraseRootFromParent_Done,
     /* 1872802 */   // Label 25254: @1872802
     /* 1872802 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1872891), // Rule ID 14471 //
     /* 1872807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872853 */     // MIs[0] policy
     /* 1872853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872863 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872890 */     // GIR_Coverage, 14471,
     /* 1872890 */     GIR_EraseRootFromParent_Done,
     /* 1872891 */   // Label 25255: @1872891
     /* 1872891 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1872980), // Rule ID 14474 //
     /* 1872896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1872916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872942 */     // MIs[0] policy
     /* 1872942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872979 */     // GIR_Coverage, 14474,
     /* 1872979 */     GIR_EraseRootFromParent_Done,
     /* 1872980 */   // Label 25256: @1872980
     /* 1872980 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1873069), // Rule ID 14475 //
     /* 1872985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1873002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1873005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873031 */     // MIs[0] policy
     /* 1873031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873041 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873068 */     // GIR_Coverage, 14475,
     /* 1873068 */     GIR_EraseRootFromParent_Done,
     /* 1873069 */   // Label 25257: @1873069
     /* 1873069 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1873158), // Rule ID 14478 //
     /* 1873074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1873094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873120 */     // MIs[0] policy
     /* 1873120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1873133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873157 */     // GIR_Coverage, 14478,
     /* 1873157 */     GIR_EraseRootFromParent_Done,
     /* 1873158 */   // Label 25258: @1873158
     /* 1873158 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1873247), // Rule ID 14479 //
     /* 1873163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1873183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873209 */     // MIs[0] policy
     /* 1873209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1873222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873246 */     // GIR_Coverage, 14479,
     /* 1873246 */     GIR_EraseRootFromParent_Done,
     /* 1873247 */   // Label 25259: @1873247
     /* 1873247 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1873336), // Rule ID 14482 //
     /* 1873252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1873272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873298 */     // MIs[0] policy
     /* 1873298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873335 */     // GIR_Coverage, 14482,
     /* 1873335 */     GIR_EraseRootFromParent_Done,
     /* 1873336 */   // Label 25260: @1873336
     /* 1873336 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1873425), // Rule ID 14483 //
     /* 1873341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1873361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873387 */     // MIs[0] policy
     /* 1873387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873424 */     // GIR_Coverage, 14483,
     /* 1873424 */     GIR_EraseRootFromParent_Done,
     /* 1873425 */   // Label 25261: @1873425
     /* 1873425 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1873514), // Rule ID 14486 //
     /* 1873430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873476 */     // MIs[0] policy
     /* 1873476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873513 */     // GIR_Coverage, 14486,
     /* 1873513 */     GIR_EraseRootFromParent_Done,
     /* 1873514 */   // Label 25262: @1873514
     /* 1873514 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1873603), // Rule ID 14487 //
     /* 1873519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873565 */     // MIs[0] policy
     /* 1873565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873575 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873602 */     // GIR_Coverage, 14487,
     /* 1873602 */     GIR_EraseRootFromParent_Done,
     /* 1873603 */   // Label 25263: @1873603
     /* 1873603 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1873692), // Rule ID 14490 //
     /* 1873608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873654 */     // MIs[0] policy
     /* 1873654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873691 */     // GIR_Coverage, 14490,
     /* 1873691 */     GIR_EraseRootFromParent_Done,
     /* 1873692 */   // Label 25264: @1873692
     /* 1873692 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1873781), // Rule ID 14491 //
     /* 1873697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873743 */     // MIs[0] policy
     /* 1873743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873780 */     // GIR_Coverage, 14491,
     /* 1873780 */     GIR_EraseRootFromParent_Done,
     /* 1873781 */   // Label 25265: @1873781
     /* 1873781 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1873870), // Rule ID 14494 //
     /* 1873786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873832 */     // MIs[0] policy
     /* 1873832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873869 */     // GIR_Coverage, 14494,
     /* 1873869 */     GIR_EraseRootFromParent_Done,
     /* 1873870 */   // Label 25266: @1873870
     /* 1873870 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1873959), // Rule ID 14495 //
     /* 1873875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873921 */     // MIs[0] policy
     /* 1873921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873958 */     // GIR_Coverage, 14495,
     /* 1873958 */     GIR_EraseRootFromParent_Done,
     /* 1873959 */   // Label 25267: @1873959
     /* 1873959 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1874048), // Rule ID 14498 //
     /* 1873964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1873984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874010 */     // MIs[0] policy
     /* 1874010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874047 */     // GIR_Coverage, 14498,
     /* 1874047 */     GIR_EraseRootFromParent_Done,
     /* 1874048 */   // Label 25268: @1874048
     /* 1874048 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1874137), // Rule ID 14499 //
     /* 1874053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1874064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1874067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1874070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1874073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874099 */     // MIs[0] policy
     /* 1874099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874136 */     // GIR_Coverage, 14499,
     /* 1874136 */     GIR_EraseRootFromParent_Done,
     /* 1874137 */   // Label 25269: @1874137
     /* 1874137 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1874226), // Rule ID 14502 //
     /* 1874142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1874162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874188 */     // MIs[0] policy
     /* 1874188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874225 */     // GIR_Coverage, 14502,
     /* 1874225 */     GIR_EraseRootFromParent_Done,
     /* 1874226 */   // Label 25270: @1874226
     /* 1874226 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1874315), // Rule ID 14503 //
     /* 1874231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1874251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874277 */     // MIs[0] policy
     /* 1874277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874314 */     // GIR_Coverage, 14503,
     /* 1874314 */     GIR_EraseRootFromParent_Done,
     /* 1874315 */   // Label 25271: @1874315
     /* 1874315 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1874404), // Rule ID 14506 //
     /* 1874320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1874340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874366 */     // MIs[0] policy
     /* 1874366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874376 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874403 */     // GIR_Coverage, 14506,
     /* 1874403 */     GIR_EraseRootFromParent_Done,
     /* 1874404 */   // Label 25272: @1874404
     /* 1874404 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1874493), // Rule ID 14507 //
     /* 1874409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1874429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874455 */     // MIs[0] policy
     /* 1874455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874465 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874492 */     // GIR_Coverage, 14507,
     /* 1874492 */     GIR_EraseRootFromParent_Done,
     /* 1874493 */   // Label 25273: @1874493
     /* 1874493 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1874582), // Rule ID 14510 //
     /* 1874498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874544 */     // MIs[0] policy
     /* 1874544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874554 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874581 */     // GIR_Coverage, 14510,
     /* 1874581 */     GIR_EraseRootFromParent_Done,
     /* 1874582 */   // Label 25274: @1874582
     /* 1874582 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1874671), // Rule ID 14511 //
     /* 1874587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874633 */     // MIs[0] policy
     /* 1874633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874670 */     // GIR_Coverage, 14511,
     /* 1874670 */     GIR_EraseRootFromParent_Done,
     /* 1874671 */   // Label 25275: @1874671
     /* 1874671 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1874760), // Rule ID 14514 //
     /* 1874676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874722 */     // MIs[0] policy
     /* 1874722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874759 */     // GIR_Coverage, 14514,
     /* 1874759 */     GIR_EraseRootFromParent_Done,
     /* 1874760 */   // Label 25276: @1874760
     /* 1874760 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1874849), // Rule ID 14515 //
     /* 1874765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874811 */     // MIs[0] policy
     /* 1874811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874821 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874848 */     // GIR_Coverage, 14515,
     /* 1874848 */     GIR_EraseRootFromParent_Done,
     /* 1874849 */   // Label 25277: @1874849
     /* 1874849 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1874938), // Rule ID 14518 //
     /* 1874854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874900 */     // MIs[0] policy
     /* 1874900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874910 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874937 */     // GIR_Coverage, 14518,
     /* 1874937 */     GIR_EraseRootFromParent_Done,
     /* 1874938 */   // Label 25278: @1874938
     /* 1874938 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1875027), // Rule ID 14519 //
     /* 1874943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874989 */     // MIs[0] policy
     /* 1874989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875026 */     // GIR_Coverage, 14519,
     /* 1875026 */     GIR_EraseRootFromParent_Done,
     /* 1875027 */   // Label 25279: @1875027
     /* 1875027 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1875116), // Rule ID 14522 //
     /* 1875032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1875052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875078 */     // MIs[0] policy
     /* 1875078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875088 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875115 */     // GIR_Coverage, 14522,
     /* 1875115 */     GIR_EraseRootFromParent_Done,
     /* 1875116 */   // Label 25280: @1875116
     /* 1875116 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1875205), // Rule ID 14523 //
     /* 1875121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1875141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875167 */     // MIs[0] policy
     /* 1875167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875204 */     // GIR_Coverage, 14523,
     /* 1875204 */     GIR_EraseRootFromParent_Done,
     /* 1875205 */   // Label 25281: @1875205
     /* 1875205 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1875294), // Rule ID 14526 //
     /* 1875210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1875221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1875224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1875227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1875230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875256 */     // MIs[0] policy
     /* 1875256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875293 */     // GIR_Coverage, 14526,
     /* 1875293 */     GIR_EraseRootFromParent_Done,
     /* 1875294 */   // Label 25282: @1875294
     /* 1875294 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1875383), // Rule ID 14527 //
     /* 1875299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1875310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1875313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1875316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1875319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875345 */     // MIs[0] policy
     /* 1875345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875382 */     // GIR_Coverage, 14527,
     /* 1875382 */     GIR_EraseRootFromParent_Done,
     /* 1875383 */   // Label 25283: @1875383
     /* 1875383 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1875472), // Rule ID 14530 //
     /* 1875388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1875408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875434 */     // MIs[0] policy
     /* 1875434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875471 */     // GIR_Coverage, 14530,
     /* 1875471 */     GIR_EraseRootFromParent_Done,
     /* 1875472 */   // Label 25284: @1875472
     /* 1875472 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1875561), // Rule ID 14531 //
     /* 1875477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1875497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875523 */     // MIs[0] policy
     /* 1875523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875560 */     // GIR_Coverage, 14531,
     /* 1875560 */     GIR_EraseRootFromParent_Done,
     /* 1875561 */   // Label 25285: @1875561
     /* 1875561 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1875650), // Rule ID 14534 //
     /* 1875566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875612 */     // MIs[0] policy
     /* 1875612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875649 */     // GIR_Coverage, 14534,
     /* 1875649 */     GIR_EraseRootFromParent_Done,
     /* 1875650 */   // Label 25286: @1875650
     /* 1875650 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1875739), // Rule ID 14535 //
     /* 1875655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875701 */     // MIs[0] policy
     /* 1875701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875711 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875738 */     // GIR_Coverage, 14535,
     /* 1875738 */     GIR_EraseRootFromParent_Done,
     /* 1875739 */   // Label 25287: @1875739
     /* 1875739 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1875828), // Rule ID 14538 //
     /* 1875744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875790 */     // MIs[0] policy
     /* 1875790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875827 */     // GIR_Coverage, 14538,
     /* 1875827 */     GIR_EraseRootFromParent_Done,
     /* 1875828 */   // Label 25288: @1875828
     /* 1875828 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1875917), // Rule ID 14539 //
     /* 1875833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875879 */     // MIs[0] policy
     /* 1875879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875916 */     // GIR_Coverage, 14539,
     /* 1875916 */     GIR_EraseRootFromParent_Done,
     /* 1875917 */   // Label 25289: @1875917
     /* 1875917 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1876006), // Rule ID 14542 //
     /* 1875922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1875942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875968 */     // MIs[0] policy
     /* 1875968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876005 */     // GIR_Coverage, 14542,
     /* 1876005 */     GIR_EraseRootFromParent_Done,
     /* 1876006 */   // Label 25290: @1876006
     /* 1876006 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1876095), // Rule ID 14543 //
     /* 1876011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1876022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1876025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1876028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1876031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876057 */     // MIs[0] policy
     /* 1876057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1876070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876094 */     // GIR_Coverage, 14543,
     /* 1876094 */     GIR_EraseRootFromParent_Done,
     /* 1876095 */   // Label 25291: @1876095
     /* 1876095 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1876184), // Rule ID 14546 //
     /* 1876100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1876111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1876114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1876117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1876120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876146 */     // MIs[0] policy
     /* 1876146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1876159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876183 */     // GIR_Coverage, 14546,
     /* 1876183 */     GIR_EraseRootFromParent_Done,
     /* 1876184 */   // Label 25292: @1876184
     /* 1876184 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1876273), // Rule ID 14547 //
     /* 1876189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1876200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1876203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1876206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1876209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876235 */     // MIs[0] policy
     /* 1876235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876245 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1876248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876272 */     // GIR_Coverage, 14547,
     /* 1876272 */     GIR_EraseRootFromParent_Done,
     /* 1876273 */   // Label 25293: @1876273
     /* 1876273 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1876362), // Rule ID 14550 //
     /* 1876278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1876289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1876292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1876295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1876298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876324 */     // MIs[0] policy
     /* 1876324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1876337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876361 */     // GIR_Coverage, 14550,
     /* 1876361 */     GIR_EraseRootFromParent_Done,
     /* 1876362 */   // Label 25294: @1876362
     /* 1876362 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1876451), // Rule ID 14551 //
     /* 1876367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1876378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1876381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1876384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1876387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876413 */     // MIs[0] policy
     /* 1876413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876423 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1876426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876450 */     // GIR_Coverage, 14551,
     /* 1876450 */     GIR_EraseRootFromParent_Done,
     /* 1876451 */   // Label 25295: @1876451
     /* 1876451 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1876540), // Rule ID 14554 //
     /* 1876456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876502 */     // MIs[0] policy
     /* 1876502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876539 */     // GIR_Coverage, 14554,
     /* 1876539 */     GIR_EraseRootFromParent_Done,
     /* 1876540 */   // Label 25296: @1876540
     /* 1876540 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1876629), // Rule ID 14555 //
     /* 1876545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876591 */     // MIs[0] policy
     /* 1876591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876601 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876628 */     // GIR_Coverage, 14555,
     /* 1876628 */     GIR_EraseRootFromParent_Done,
     /* 1876629 */   // Label 25297: @1876629
     /* 1876629 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1876718), // Rule ID 14558 //
     /* 1876634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876680 */     // MIs[0] policy
     /* 1876680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876717 */     // GIR_Coverage, 14558,
     /* 1876717 */     GIR_EraseRootFromParent_Done,
     /* 1876718 */   // Label 25298: @1876718
     /* 1876718 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1876807), // Rule ID 14559 //
     /* 1876723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876769 */     // MIs[0] policy
     /* 1876769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876806 */     // GIR_Coverage, 14559,
     /* 1876806 */     GIR_EraseRootFromParent_Done,
     /* 1876807 */   // Label 25299: @1876807
     /* 1876807 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1876896), // Rule ID 14562 //
     /* 1876812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876858 */     // MIs[0] policy
     /* 1876858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876895 */     // GIR_Coverage, 14562,
     /* 1876895 */     GIR_EraseRootFromParent_Done,
     /* 1876896 */   // Label 25300: @1876896
     /* 1876896 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1876985), // Rule ID 14563 //
     /* 1876901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876947 */     // MIs[0] policy
     /* 1876947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876957 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876984 */     // GIR_Coverage, 14563,
     /* 1876984 */     GIR_EraseRootFromParent_Done,
     /* 1876985 */   // Label 25301: @1876985
     /* 1876985 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1877074), // Rule ID 14566 //
     /* 1876990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1877001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1877004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1877007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877036 */     // MIs[0] policy
     /* 1877036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1877049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877073 */     // GIR_Coverage, 14566,
     /* 1877073 */     GIR_EraseRootFromParent_Done,
     /* 1877074 */   // Label 25302: @1877074
     /* 1877074 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1877163), // Rule ID 14567 //
     /* 1877079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1877090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1877093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1877096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877125 */     // MIs[0] policy
     /* 1877125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1877138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877162 */     // GIR_Coverage, 14567,
     /* 1877162 */     GIR_EraseRootFromParent_Done,
     /* 1877163 */   // Label 25303: @1877163
     /* 1877163 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1877252), // Rule ID 14570 //
     /* 1877168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1877179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1877182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1877185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877214 */     // MIs[0] policy
     /* 1877214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877251 */     // GIR_Coverage, 14570,
     /* 1877251 */     GIR_EraseRootFromParent_Done,
     /* 1877252 */   // Label 25304: @1877252
     /* 1877252 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1877341), // Rule ID 14571 //
     /* 1877257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1877268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1877271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1877274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877303 */     // MIs[0] policy
     /* 1877303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877313 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877340 */     // GIR_Coverage, 14571,
     /* 1877340 */     GIR_EraseRootFromParent_Done,
     /* 1877341 */   // Label 25305: @1877341
     /* 1877341 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1877430), // Rule ID 14574 //
     /* 1877346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877392 */     // MIs[0] policy
     /* 1877392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877429 */     // GIR_Coverage, 14574,
     /* 1877429 */     GIR_EraseRootFromParent_Done,
     /* 1877430 */   // Label 25306: @1877430
     /* 1877430 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1877519), // Rule ID 14575 //
     /* 1877435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877481 */     // MIs[0] policy
     /* 1877481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877491 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877518 */     // GIR_Coverage, 14575,
     /* 1877518 */     GIR_EraseRootFromParent_Done,
     /* 1877519 */   // Label 25307: @1877519
     /* 1877519 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1877608), // Rule ID 14578 //
     /* 1877524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877570 */     // MIs[0] policy
     /* 1877570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877607 */     // GIR_Coverage, 14578,
     /* 1877607 */     GIR_EraseRootFromParent_Done,
     /* 1877608 */   // Label 25308: @1877608
     /* 1877608 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1877697), // Rule ID 14579 //
     /* 1877613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877659 */     // MIs[0] policy
     /* 1877659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877669 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877696 */     // GIR_Coverage, 14579,
     /* 1877696 */     GIR_EraseRootFromParent_Done,
     /* 1877697 */   // Label 25309: @1877697
     /* 1877697 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1877786), // Rule ID 14582 //
     /* 1877702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877748 */     // MIs[0] policy
     /* 1877748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877785 */     // GIR_Coverage, 14582,
     /* 1877785 */     GIR_EraseRootFromParent_Done,
     /* 1877786 */   // Label 25310: @1877786
     /* 1877786 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1877875), // Rule ID 14583 //
     /* 1877791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877837 */     // MIs[0] policy
     /* 1877837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877874 */     // GIR_Coverage, 14583,
     /* 1877874 */     GIR_EraseRootFromParent_Done,
     /* 1877875 */   // Label 25311: @1877875
     /* 1877875 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1877964), // Rule ID 14586 //
     /* 1877880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877926 */     // MIs[0] policy
     /* 1877926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877963 */     // GIR_Coverage, 14586,
     /* 1877963 */     GIR_EraseRootFromParent_Done,
     /* 1877964 */   // Label 25312: @1877964
     /* 1877964 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1878053), // Rule ID 14587 //
     /* 1877969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878015 */     // MIs[0] policy
     /* 1878015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878025 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1878028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878052 */     // GIR_Coverage, 14587,
     /* 1878052 */     GIR_EraseRootFromParent_Done,
     /* 1878053 */   // Label 25313: @1878053
     /* 1878053 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1878142), // Rule ID 14590 //
     /* 1878058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1878069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1878072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1878075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878104 */     // MIs[0] policy
     /* 1878104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1878117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878141 */     // GIR_Coverage, 14590,
     /* 1878141 */     GIR_EraseRootFromParent_Done,
     /* 1878142 */   // Label 25314: @1878142
     /* 1878142 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1878231), // Rule ID 14591 //
     /* 1878147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1878158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1878161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1878164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878193 */     // MIs[0] policy
     /* 1878193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1878206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878230 */     // GIR_Coverage, 14591,
     /* 1878230 */     GIR_EraseRootFromParent_Done,
     /* 1878231 */   // Label 25315: @1878231
     /* 1878231 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1878320), // Rule ID 14594 //
     /* 1878236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1878247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1878250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1878253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878282 */     // MIs[0] policy
     /* 1878282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878319 */     // GIR_Coverage, 14594,
     /* 1878319 */     GIR_EraseRootFromParent_Done,
     /* 1878320 */   // Label 25316: @1878320
     /* 1878320 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1878409), // Rule ID 14595 //
     /* 1878325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1878336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1878339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1878342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878371 */     // MIs[0] policy
     /* 1878371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878381 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878408 */     // GIR_Coverage, 14595,
     /* 1878408 */     GIR_EraseRootFromParent_Done,
     /* 1878409 */   // Label 25317: @1878409
     /* 1878409 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1878498), // Rule ID 14598 //
     /* 1878414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878460 */     // MIs[0] policy
     /* 1878460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878497 */     // GIR_Coverage, 14598,
     /* 1878497 */     GIR_EraseRootFromParent_Done,
     /* 1878498 */   // Label 25318: @1878498
     /* 1878498 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1878587), // Rule ID 14599 //
     /* 1878503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878549 */     // MIs[0] policy
     /* 1878549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878559 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878586 */     // GIR_Coverage, 14599,
     /* 1878586 */     GIR_EraseRootFromParent_Done,
     /* 1878587 */   // Label 25319: @1878587
     /* 1878587 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1878676), // Rule ID 14602 //
     /* 1878592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878638 */     // MIs[0] policy
     /* 1878638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878648 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878675 */     // GIR_Coverage, 14602,
     /* 1878675 */     GIR_EraseRootFromParent_Done,
     /* 1878676 */   // Label 25320: @1878676
     /* 1878676 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1878765), // Rule ID 14603 //
     /* 1878681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878727 */     // MIs[0] policy
     /* 1878727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878737 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878764 */     // GIR_Coverage, 14603,
     /* 1878764 */     GIR_EraseRootFromParent_Done,
     /* 1878765 */   // Label 25321: @1878765
     /* 1878765 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1878854), // Rule ID 14606 //
     /* 1878770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878816 */     // MIs[0] policy
     /* 1878816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878853 */     // GIR_Coverage, 14606,
     /* 1878853 */     GIR_EraseRootFromParent_Done,
     /* 1878854 */   // Label 25322: @1878854
     /* 1878854 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1878943), // Rule ID 14607 //
     /* 1878859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878905 */     // MIs[0] policy
     /* 1878905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878942 */     // GIR_Coverage, 14607,
     /* 1878942 */     GIR_EraseRootFromParent_Done,
     /* 1878943 */   // Label 25323: @1878943
     /* 1878943 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1879032), // Rule ID 14610 //
     /* 1878948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878994 */     // MIs[0] policy
     /* 1878994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879004 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879031 */     // GIR_Coverage, 14610,
     /* 1879031 */     GIR_EraseRootFromParent_Done,
     /* 1879032 */   // Label 25324: @1879032
     /* 1879032 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1879121), // Rule ID 14611 //
     /* 1879037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1879048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1879051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1879054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879083 */     // MIs[0] policy
     /* 1879083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879120 */     // GIR_Coverage, 14611,
     /* 1879120 */     GIR_EraseRootFromParent_Done,
     /* 1879121 */   // Label 25325: @1879121
     /* 1879121 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1879210), // Rule ID 14614 //
     /* 1879126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1879137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1879140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1879143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879172 */     // MIs[0] policy
     /* 1879172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879209 */     // GIR_Coverage, 14614,
     /* 1879209 */     GIR_EraseRootFromParent_Done,
     /* 1879210 */   // Label 25326: @1879210
     /* 1879210 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1879299), // Rule ID 14615 //
     /* 1879215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1879226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1879229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1879232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879261 */     // MIs[0] policy
     /* 1879261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879298 */     // GIR_Coverage, 14615,
     /* 1879298 */     GIR_EraseRootFromParent_Done,
     /* 1879299 */   // Label 25327: @1879299
     /* 1879299 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1879388), // Rule ID 14618 //
     /* 1879304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1879315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1879318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1879321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879350 */     // MIs[0] policy
     /* 1879350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879387 */     // GIR_Coverage, 14618,
     /* 1879387 */     GIR_EraseRootFromParent_Done,
     /* 1879388 */   // Label 25328: @1879388
     /* 1879388 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1879477), // Rule ID 14619 //
     /* 1879393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1879404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1879407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1879410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879439 */     // MIs[0] policy
     /* 1879439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879476 */     // GIR_Coverage, 14619,
     /* 1879476 */     GIR_EraseRootFromParent_Done,
     /* 1879477 */   // Label 25329: @1879477
     /* 1879477 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1879566), // Rule ID 14622 //
     /* 1879482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879528 */     // MIs[0] policy
     /* 1879528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879565 */     // GIR_Coverage, 14622,
     /* 1879565 */     GIR_EraseRootFromParent_Done,
     /* 1879566 */   // Label 25330: @1879566
     /* 1879566 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1879655), // Rule ID 14623 //
     /* 1879571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879617 */     // MIs[0] policy
     /* 1879617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879654 */     // GIR_Coverage, 14623,
     /* 1879654 */     GIR_EraseRootFromParent_Done,
     /* 1879655 */   // Label 25331: @1879655
     /* 1879655 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1879744), // Rule ID 14626 //
     /* 1879660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879706 */     // MIs[0] policy
     /* 1879706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879743 */     // GIR_Coverage, 14626,
     /* 1879743 */     GIR_EraseRootFromParent_Done,
     /* 1879744 */   // Label 25332: @1879744
     /* 1879744 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1879833), // Rule ID 14627 //
     /* 1879749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879795 */     // MIs[0] policy
     /* 1879795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879805 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879832 */     // GIR_Coverage, 14627,
     /* 1879832 */     GIR_EraseRootFromParent_Done,
     /* 1879833 */   // Label 25333: @1879833
     /* 1879833 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1879922), // Rule ID 14630 //
     /* 1879838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879884 */     // MIs[0] policy
     /* 1879884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879921 */     // GIR_Coverage, 14630,
     /* 1879921 */     GIR_EraseRootFromParent_Done,
     /* 1879922 */   // Label 25334: @1879922
     /* 1879922 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1880011), // Rule ID 14631 //
     /* 1879927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879973 */     // MIs[0] policy
     /* 1879973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880010 */     // GIR_Coverage, 14631,
     /* 1880010 */     GIR_EraseRootFromParent_Done,
     /* 1880011 */   // Label 25335: @1880011
     /* 1880011 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1880100), // Rule ID 14634 //
     /* 1880016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1880027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1880030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1880033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880062 */     // MIs[0] policy
     /* 1880062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1880075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880099 */     // GIR_Coverage, 14634,
     /* 1880099 */     GIR_EraseRootFromParent_Done,
     /* 1880100 */   // Label 25336: @1880100
     /* 1880100 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1880189), // Rule ID 14635 //
     /* 1880105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1880116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1880119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1880122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880151 */     // MIs[0] policy
     /* 1880151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1880164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880188 */     // GIR_Coverage, 14635,
     /* 1880188 */     GIR_EraseRootFromParent_Done,
     /* 1880189 */   // Label 25337: @1880189
     /* 1880189 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1880278), // Rule ID 14638 //
     /* 1880194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1880205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1880208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1880211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880240 */     // MIs[0] policy
     /* 1880240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1880253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880277 */     // GIR_Coverage, 14638,
     /* 1880277 */     GIR_EraseRootFromParent_Done,
     /* 1880278 */   // Label 25338: @1880278
     /* 1880278 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1880367), // Rule ID 14639 //
     /* 1880283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1880294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1880297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1880300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880329 */     // MIs[0] policy
     /* 1880329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880339 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1880342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880366 */     // GIR_Coverage, 14639,
     /* 1880366 */     GIR_EraseRootFromParent_Done,
     /* 1880367 */   // Label 25339: @1880367
     /* 1880367 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1880456), // Rule ID 14642 //
     /* 1880372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1880392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880418 */     // MIs[0] policy
     /* 1880418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1880431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880455 */     // GIR_Coverage, 14642,
     /* 1880455 */     GIR_EraseRootFromParent_Done,
     /* 1880456 */   // Label 25340: @1880456
     /* 1880456 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1880545), // Rule ID 14643 //
     /* 1880461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1880481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880507 */     // MIs[0] policy
     /* 1880507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880517 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1880520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880544 */     // GIR_Coverage, 14643,
     /* 1880544 */     GIR_EraseRootFromParent_Done,
     /* 1880545 */   // Label 25341: @1880545
     /* 1880545 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1880634), // Rule ID 14646 //
     /* 1880550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880596 */     // MIs[0] policy
     /* 1880596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880633 */     // GIR_Coverage, 14646,
     /* 1880633 */     GIR_EraseRootFromParent_Done,
     /* 1880634 */   // Label 25342: @1880634
     /* 1880634 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1880723), // Rule ID 14647 //
     /* 1880639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880685 */     // MIs[0] policy
     /* 1880685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880695 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880722 */     // GIR_Coverage, 14647,
     /* 1880722 */     GIR_EraseRootFromParent_Done,
     /* 1880723 */   // Label 25343: @1880723
     /* 1880723 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1880812), // Rule ID 14650 //
     /* 1880728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880774 */     // MIs[0] policy
     /* 1880774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880784 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880811 */     // GIR_Coverage, 14650,
     /* 1880811 */     GIR_EraseRootFromParent_Done,
     /* 1880812 */   // Label 25344: @1880812
     /* 1880812 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1880901), // Rule ID 14651 //
     /* 1880817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880863 */     // MIs[0] policy
     /* 1880863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880900 */     // GIR_Coverage, 14651,
     /* 1880900 */     GIR_EraseRootFromParent_Done,
     /* 1880901 */   // Label 25345: @1880901
     /* 1880901 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1880990), // Rule ID 14654 //
     /* 1880906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1880926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880952 */     // MIs[0] policy
     /* 1880952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880989 */     // GIR_Coverage, 14654,
     /* 1880989 */     GIR_EraseRootFromParent_Done,
     /* 1880990 */   // Label 25346: @1880990
     /* 1880990 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1881079), // Rule ID 14655 //
     /* 1880995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1881006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1881009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1881012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1881015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881041 */     // MIs[0] policy
     /* 1881041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881051 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1881054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881078 */     // GIR_Coverage, 14655,
     /* 1881078 */     GIR_EraseRootFromParent_Done,
     /* 1881079 */   // Label 25347: @1881079
     /* 1881079 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1881168), // Rule ID 14658 //
     /* 1881084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1881095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1881098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1881101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1881104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881130 */     // MIs[0] policy
     /* 1881130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881167 */     // GIR_Coverage, 14658,
     /* 1881167 */     GIR_EraseRootFromParent_Done,
     /* 1881168 */   // Label 25348: @1881168
     /* 1881168 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1881257), // Rule ID 14659 //
     /* 1881173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1881184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1881187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1881190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1881193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881219 */     // MIs[0] policy
     /* 1881219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881229 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881256 */     // GIR_Coverage, 14659,
     /* 1881256 */     GIR_EraseRootFromParent_Done,
     /* 1881257 */   // Label 25349: @1881257
     /* 1881257 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1881346), // Rule ID 14662 //
     /* 1881262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1881273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1881276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1881279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1881282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881308 */     // MIs[0] policy
     /* 1881308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881345 */     // GIR_Coverage, 14662,
     /* 1881345 */     GIR_EraseRootFromParent_Done,
     /* 1881346 */   // Label 25350: @1881346
     /* 1881346 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1881435), // Rule ID 14663 //
     /* 1881351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1881362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1881365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1881368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1881371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881397 */     // MIs[0] policy
     /* 1881397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881407 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881434 */     // GIR_Coverage, 14663,
     /* 1881434 */     GIR_EraseRootFromParent_Done,
     /* 1881435 */   // Label 25351: @1881435
     /* 1881435 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1881524), // Rule ID 14666 //
     /* 1881440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881486 */     // MIs[0] policy
     /* 1881486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881523 */     // GIR_Coverage, 14666,
     /* 1881523 */     GIR_EraseRootFromParent_Done,
     /* 1881524 */   // Label 25352: @1881524
     /* 1881524 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1881613), // Rule ID 14667 //
     /* 1881529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881575 */     // MIs[0] policy
     /* 1881575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881585 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881612 */     // GIR_Coverage, 14667,
     /* 1881612 */     GIR_EraseRootFromParent_Done,
     /* 1881613 */   // Label 25353: @1881613
     /* 1881613 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1881702), // Rule ID 14670 //
     /* 1881618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881664 */     // MIs[0] policy
     /* 1881664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881701 */     // GIR_Coverage, 14670,
     /* 1881701 */     GIR_EraseRootFromParent_Done,
     /* 1881702 */   // Label 25354: @1881702
     /* 1881702 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1881791), // Rule ID 14671 //
     /* 1881707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881753 */     // MIs[0] policy
     /* 1881753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881763 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881790 */     // GIR_Coverage, 14671,
     /* 1881790 */     GIR_EraseRootFromParent_Done,
     /* 1881791 */   // Label 25355: @1881791
     /* 1881791 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1881880), // Rule ID 14674 //
     /* 1881796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881842 */     // MIs[0] policy
     /* 1881842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881879 */     // GIR_Coverage, 14674,
     /* 1881879 */     GIR_EraseRootFromParent_Done,
     /* 1881880 */   // Label 25356: @1881880
     /* 1881880 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1881969), // Rule ID 14675 //
     /* 1881885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881931 */     // MIs[0] policy
     /* 1881931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881941 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881968 */     // GIR_Coverage, 14675,
     /* 1881968 */     GIR_EraseRootFromParent_Done,
     /* 1881969 */   // Label 25357: @1881969
     /* 1881969 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1882058), // Rule ID 14678 //
     /* 1881974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1881994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882020 */     // MIs[0] policy
     /* 1882020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1882033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882057 */     // GIR_Coverage, 14678,
     /* 1882057 */     GIR_EraseRootFromParent_Done,
     /* 1882058 */   // Label 25358: @1882058
     /* 1882058 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1882147), // Rule ID 14679 //
     /* 1882063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1882074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1882077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1882080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1882083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882109 */     // MIs[0] policy
     /* 1882109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1882122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882146 */     // GIR_Coverage, 14679,
     /* 1882146 */     GIR_EraseRootFromParent_Done,
     /* 1882147 */   // Label 25359: @1882147
     /* 1882147 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1882236), // Rule ID 14682 //
     /* 1882152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1882163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1882166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1882172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882198 */     // MIs[0] policy
     /* 1882198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882235 */     // GIR_Coverage, 14682,
     /* 1882235 */     GIR_EraseRootFromParent_Done,
     /* 1882236 */   // Label 25360: @1882236
     /* 1882236 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1882325), // Rule ID 14683 //
     /* 1882241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1882252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1882255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1882261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882287 */     // MIs[0] policy
     /* 1882287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882324 */     // GIR_Coverage, 14683,
     /* 1882324 */     GIR_EraseRootFromParent_Done,
     /* 1882325 */   // Label 25361: @1882325
     /* 1882325 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1882414), // Rule ID 14686 //
     /* 1882330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1882341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1882344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1882347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1882350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882376 */     // MIs[0] policy
     /* 1882376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882413 */     // GIR_Coverage, 14686,
     /* 1882413 */     GIR_EraseRootFromParent_Done,
     /* 1882414 */   // Label 25362: @1882414
     /* 1882414 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1882503), // Rule ID 14687 //
     /* 1882419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1882430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1882433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1882436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1882439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882465 */     // MIs[0] policy
     /* 1882465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882475 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882502 */     // GIR_Coverage, 14687,
     /* 1882502 */     GIR_EraseRootFromParent_Done,
     /* 1882503 */   // Label 25363: @1882503
     /* 1882503 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1882592), // Rule ID 14690 //
     /* 1882508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882554 */     // MIs[0] policy
     /* 1882554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882564 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882591 */     // GIR_Coverage, 14690,
     /* 1882591 */     GIR_EraseRootFromParent_Done,
     /* 1882592 */   // Label 25364: @1882592
     /* 1882592 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1882681), // Rule ID 14691 //
     /* 1882597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882643 */     // MIs[0] policy
     /* 1882643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882680 */     // GIR_Coverage, 14691,
     /* 1882680 */     GIR_EraseRootFromParent_Done,
     /* 1882681 */   // Label 25365: @1882681
     /* 1882681 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1882770), // Rule ID 14694 //
     /* 1882686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882732 */     // MIs[0] policy
     /* 1882732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882742 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882769 */     // GIR_Coverage, 14694,
     /* 1882769 */     GIR_EraseRootFromParent_Done,
     /* 1882770 */   // Label 25366: @1882770
     /* 1882770 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1882859), // Rule ID 14695 //
     /* 1882775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882821 */     // MIs[0] policy
     /* 1882821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882858 */     // GIR_Coverage, 14695,
     /* 1882858 */     GIR_EraseRootFromParent_Done,
     /* 1882859 */   // Label 25367: @1882859
     /* 1882859 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1882948), // Rule ID 14698 //
     /* 1882864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882910 */     // MIs[0] policy
     /* 1882910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882947 */     // GIR_Coverage, 14698,
     /* 1882947 */     GIR_EraseRootFromParent_Done,
     /* 1882948 */   // Label 25368: @1882948
     /* 1882948 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1883037), // Rule ID 14699 //
     /* 1882953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882999 */     // MIs[0] policy
     /* 1882999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883009 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883036 */     // GIR_Coverage, 14699,
     /* 1883036 */     GIR_EraseRootFromParent_Done,
     /* 1883037 */   // Label 25369: @1883037
     /* 1883037 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1883126), // Rule ID 14702 //
     /* 1883042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1883062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883088 */     // MIs[0] policy
     /* 1883088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883098 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883125 */     // GIR_Coverage, 14702,
     /* 1883125 */     GIR_EraseRootFromParent_Done,
     /* 1883126 */   // Label 25370: @1883126
     /* 1883126 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1883215), // Rule ID 14703 //
     /* 1883131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1883151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883177 */     // MIs[0] policy
     /* 1883177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883214 */     // GIR_Coverage, 14703,
     /* 1883214 */     GIR_EraseRootFromParent_Done,
     /* 1883215 */   // Label 25371: @1883215
     /* 1883215 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1883304), // Rule ID 14706 //
     /* 1883220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1883240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883266 */     // MIs[0] policy
     /* 1883266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883303 */     // GIR_Coverage, 14706,
     /* 1883303 */     GIR_EraseRootFromParent_Done,
     /* 1883304 */   // Label 25372: @1883304
     /* 1883304 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1883393), // Rule ID 14707 //
     /* 1883309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1883329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883355 */     // MIs[0] policy
     /* 1883355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883365 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883392 */     // GIR_Coverage, 14707,
     /* 1883392 */     GIR_EraseRootFromParent_Done,
     /* 1883393 */   // Label 25373: @1883393
     /* 1883393 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1883482), // Rule ID 14710 //
     /* 1883398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883444 */     // MIs[0] policy
     /* 1883444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883481 */     // GIR_Coverage, 14710,
     /* 1883481 */     GIR_EraseRootFromParent_Done,
     /* 1883482 */   // Label 25374: @1883482
     /* 1883482 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1883571), // Rule ID 14711 //
     /* 1883487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883533 */     // MIs[0] policy
     /* 1883533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883570 */     // GIR_Coverage, 14711,
     /* 1883570 */     GIR_EraseRootFromParent_Done,
     /* 1883571 */   // Label 25375: @1883571
     /* 1883571 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1883660), // Rule ID 14714 //
     /* 1883576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883622 */     // MIs[0] policy
     /* 1883622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883659 */     // GIR_Coverage, 14714,
     /* 1883659 */     GIR_EraseRootFromParent_Done,
     /* 1883660 */   // Label 25376: @1883660
     /* 1883660 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1883749), // Rule ID 14715 //
     /* 1883665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883711 */     // MIs[0] policy
     /* 1883711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883748 */     // GIR_Coverage, 14715,
     /* 1883748 */     GIR_EraseRootFromParent_Done,
     /* 1883749 */   // Label 25377: @1883749
     /* 1883749 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1883838), // Rule ID 14718 //
     /* 1883754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883800 */     // MIs[0] policy
     /* 1883800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883837 */     // GIR_Coverage, 14718,
     /* 1883837 */     GIR_EraseRootFromParent_Done,
     /* 1883838 */   // Label 25378: @1883838
     /* 1883838 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1883927), // Rule ID 14719 //
     /* 1883843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883889 */     // MIs[0] policy
     /* 1883889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883926 */     // GIR_Coverage, 14719,
     /* 1883926 */     GIR_EraseRootFromParent_Done,
     /* 1883927 */   // Label 25379: @1883927
     /* 1883927 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1884016), // Rule ID 14722 //
     /* 1883932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1883952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883978 */     // MIs[0] policy
     /* 1883978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884015 */     // GIR_Coverage, 14722,
     /* 1884015 */     GIR_EraseRootFromParent_Done,
     /* 1884016 */   // Label 25380: @1884016
     /* 1884016 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1884105), // Rule ID 14723 //
     /* 1884021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1884038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1884041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884067 */     // MIs[0] policy
     /* 1884067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1884080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884104 */     // GIR_Coverage, 14723,
     /* 1884104 */     GIR_EraseRootFromParent_Done,
     /* 1884105 */   // Label 25381: @1884105
     /* 1884105 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1884194), // Rule ID 14726 //
     /* 1884110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1884113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1884130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884156 */     // MIs[0] policy
     /* 1884156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1884169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884193 */     // GIR_Coverage, 14726,
     /* 1884193 */     GIR_EraseRootFromParent_Done,
     /* 1884194 */   // Label 25382: @1884194
     /* 1884194 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1884283), // Rule ID 14727 //
     /* 1884199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1884219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884245 */     // MIs[0] policy
     /* 1884245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884255 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1884258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884282 */     // GIR_Coverage, 14727,
     /* 1884282 */     GIR_EraseRootFromParent_Done,
     /* 1884283 */   // Label 25383: @1884283
     /* 1884283 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1884372), // Rule ID 14730 //
     /* 1884288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1884299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1884302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1884305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884334 */     // MIs[0] policy
     /* 1884334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884344 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1884347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884371 */     // GIR_Coverage, 14730,
     /* 1884371 */     GIR_EraseRootFromParent_Done,
     /* 1884372 */   // Label 25384: @1884372
     /* 1884372 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1884461), // Rule ID 14731 //
     /* 1884377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1884388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1884391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1884394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884423 */     // MIs[0] policy
     /* 1884423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884433 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1884436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884460 */     // GIR_Coverage, 14731,
     /* 1884460 */     GIR_EraseRootFromParent_Done,
     /* 1884461 */   // Label 25385: @1884461
     /* 1884461 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1884550), // Rule ID 14734 //
     /* 1884466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884512 */     // MIs[0] policy
     /* 1884512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884549 */     // GIR_Coverage, 14734,
     /* 1884549 */     GIR_EraseRootFromParent_Done,
     /* 1884550 */   // Label 25386: @1884550
     /* 1884550 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1884639), // Rule ID 14735 //
     /* 1884555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884601 */     // MIs[0] policy
     /* 1884601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884611 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884638 */     // GIR_Coverage, 14735,
     /* 1884638 */     GIR_EraseRootFromParent_Done,
     /* 1884639 */   // Label 25387: @1884639
     /* 1884639 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1884728), // Rule ID 14738 //
     /* 1884644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884690 */     // MIs[0] policy
     /* 1884690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884727 */     // GIR_Coverage, 14738,
     /* 1884727 */     GIR_EraseRootFromParent_Done,
     /* 1884728 */   // Label 25388: @1884728
     /* 1884728 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1884817), // Rule ID 14739 //
     /* 1884733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884779 */     // MIs[0] policy
     /* 1884779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884789 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884816 */     // GIR_Coverage, 14739,
     /* 1884816 */     GIR_EraseRootFromParent_Done,
     /* 1884817 */   // Label 25389: @1884817
     /* 1884817 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1884906), // Rule ID 14742 //
     /* 1884822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884868 */     // MIs[0] policy
     /* 1884868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884905 */     // GIR_Coverage, 14742,
     /* 1884905 */     GIR_EraseRootFromParent_Done,
     /* 1884906 */   // Label 25390: @1884906
     /* 1884906 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1884995), // Rule ID 14743 //
     /* 1884911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884957 */     // MIs[0] policy
     /* 1884957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884994 */     // GIR_Coverage, 14743,
     /* 1884994 */     GIR_EraseRootFromParent_Done,
     /* 1884995 */   // Label 25391: @1884995
     /* 1884995 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1885084), // Rule ID 14746 //
     /* 1885000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1885017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885046 */     // MIs[0] policy
     /* 1885046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885056 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885083 */     // GIR_Coverage, 14746,
     /* 1885083 */     GIR_EraseRootFromParent_Done,
     /* 1885084 */   // Label 25392: @1885084
     /* 1885084 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1885173), // Rule ID 14747 //
     /* 1885089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1885106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885135 */     // MIs[0] policy
     /* 1885135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885145 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885172 */     // GIR_Coverage, 14747,
     /* 1885172 */     GIR_EraseRootFromParent_Done,
     /* 1885173 */   // Label 25393: @1885173
     /* 1885173 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1885262), // Rule ID 14750 //
     /* 1885178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1885189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1885192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1885195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885224 */     // MIs[0] policy
     /* 1885224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885261 */     // GIR_Coverage, 14750,
     /* 1885261 */     GIR_EraseRootFromParent_Done,
     /* 1885262 */   // Label 25394: @1885262
     /* 1885262 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1885351), // Rule ID 14751 //
     /* 1885267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1885278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1885281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1885284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885313 */     // MIs[0] policy
     /* 1885313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885350 */     // GIR_Coverage, 14751,
     /* 1885350 */     GIR_EraseRootFromParent_Done,
     /* 1885351 */   // Label 25395: @1885351
     /* 1885351 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1885440), // Rule ID 14754 //
     /* 1885356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885402 */     // MIs[0] policy
     /* 1885402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885439 */     // GIR_Coverage, 14754,
     /* 1885439 */     GIR_EraseRootFromParent_Done,
     /* 1885440 */   // Label 25396: @1885440
     /* 1885440 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1885529), // Rule ID 14755 //
     /* 1885445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885491 */     // MIs[0] policy
     /* 1885491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885528 */     // GIR_Coverage, 14755,
     /* 1885528 */     GIR_EraseRootFromParent_Done,
     /* 1885529 */   // Label 25397: @1885529
     /* 1885529 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1885618), // Rule ID 14758 //
     /* 1885534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885580 */     // MIs[0] policy
     /* 1885580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885617 */     // GIR_Coverage, 14758,
     /* 1885617 */     GIR_EraseRootFromParent_Done,
     /* 1885618 */   // Label 25398: @1885618
     /* 1885618 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1885707), // Rule ID 14759 //
     /* 1885623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885669 */     // MIs[0] policy
     /* 1885669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885679 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885706 */     // GIR_Coverage, 14759,
     /* 1885706 */     GIR_EraseRootFromParent_Done,
     /* 1885707 */   // Label 25399: @1885707
     /* 1885707 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1885796), // Rule ID 14762 //
     /* 1885712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885758 */     // MIs[0] policy
     /* 1885758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885795 */     // GIR_Coverage, 14762,
     /* 1885795 */     GIR_EraseRootFromParent_Done,
     /* 1885796 */   // Label 25400: @1885796
     /* 1885796 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1885885), // Rule ID 14763 //
     /* 1885801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885847 */     // MIs[0] policy
     /* 1885847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885884 */     // GIR_Coverage, 14763,
     /* 1885884 */     GIR_EraseRootFromParent_Done,
     /* 1885885 */   // Label 25401: @1885885
     /* 1885885 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1885974), // Rule ID 14766 //
     /* 1885890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1885893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885936 */     // MIs[0] policy
     /* 1885936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885973 */     // GIR_Coverage, 14766,
     /* 1885973 */     GIR_EraseRootFromParent_Done,
     /* 1885974 */   // Label 25402: @1885974
     /* 1885974 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1886063), // Rule ID 14767 //
     /* 1885979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1885982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886025 */     // MIs[0] policy
     /* 1886025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1886038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886062 */     // GIR_Coverage, 14767,
     /* 1886062 */     GIR_EraseRootFromParent_Done,
     /* 1886063 */   // Label 25403: @1886063
     /* 1886063 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1886152), // Rule ID 14770 //
     /* 1886068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1886079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1886082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1886085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886114 */     // MIs[0] policy
     /* 1886114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886151 */     // GIR_Coverage, 14770,
     /* 1886151 */     GIR_EraseRootFromParent_Done,
     /* 1886152 */   // Label 25404: @1886152
     /* 1886152 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1886241), // Rule ID 14771 //
     /* 1886157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1886168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1886171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1886174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886203 */     // MIs[0] policy
     /* 1886203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886213 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886240 */     // GIR_Coverage, 14771,
     /* 1886240 */     GIR_EraseRootFromParent_Done,
     /* 1886241 */   // Label 25405: @1886241
     /* 1886241 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1886330), // Rule ID 14774 //
     /* 1886246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1886257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1886260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1886263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886292 */     // MIs[0] policy
     /* 1886292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886329 */     // GIR_Coverage, 14774,
     /* 1886329 */     GIR_EraseRootFromParent_Done,
     /* 1886330 */   // Label 25406: @1886330
     /* 1886330 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1886419), // Rule ID 14775 //
     /* 1886335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1886346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1886349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1886352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886381 */     // MIs[0] policy
     /* 1886381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886391 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886418 */     // GIR_Coverage, 14775,
     /* 1886418 */     GIR_EraseRootFromParent_Done,
     /* 1886419 */   // Label 25407: @1886419
     /* 1886419 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1886508), // Rule ID 14778 //
     /* 1886424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886470 */     // MIs[0] policy
     /* 1886470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886507 */     // GIR_Coverage, 14778,
     /* 1886507 */     GIR_EraseRootFromParent_Done,
     /* 1886508 */   // Label 25408: @1886508
     /* 1886508 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1886597), // Rule ID 14779 //
     /* 1886513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886559 */     // MIs[0] policy
     /* 1886559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886569 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886596 */     // GIR_Coverage, 14779,
     /* 1886596 */     GIR_EraseRootFromParent_Done,
     /* 1886597 */   // Label 25409: @1886597
     /* 1886597 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1886686), // Rule ID 14782 //
     /* 1886602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886648 */     // MIs[0] policy
     /* 1886648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886685 */     // GIR_Coverage, 14782,
     /* 1886685 */     GIR_EraseRootFromParent_Done,
     /* 1886686 */   // Label 25410: @1886686
     /* 1886686 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1886775), // Rule ID 14783 //
     /* 1886691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886737 */     // MIs[0] policy
     /* 1886737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886774 */     // GIR_Coverage, 14783,
     /* 1886774 */     GIR_EraseRootFromParent_Done,
     /* 1886775 */   // Label 25411: @1886775
     /* 1886775 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1886864), // Rule ID 14786 //
     /* 1886780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886826 */     // MIs[0] policy
     /* 1886826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886863 */     // GIR_Coverage, 14786,
     /* 1886863 */     GIR_EraseRootFromParent_Done,
     /* 1886864 */   // Label 25412: @1886864
     /* 1886864 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1886953), // Rule ID 14787 //
     /* 1886869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886915 */     // MIs[0] policy
     /* 1886915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886952 */     // GIR_Coverage, 14787,
     /* 1886952 */     GIR_EraseRootFromParent_Done,
     /* 1886953 */   // Label 25413: @1886953
     /* 1886953 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1887042), // Rule ID 14790 //
     /* 1886958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887004 */     // MIs[0] policy
     /* 1887004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887041 */     // GIR_Coverage, 14790,
     /* 1887041 */     GIR_EraseRootFromParent_Done,
     /* 1887042 */   // Label 25414: @1887042
     /* 1887042 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1887131), // Rule ID 14791 //
     /* 1887047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1887058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1887061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1887064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1887070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887093 */     // MIs[0] policy
     /* 1887093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887103 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887130 */     // GIR_Coverage, 14791,
     /* 1887130 */     GIR_EraseRootFromParent_Done,
     /* 1887131 */   // Label 25415: @1887131
     /* 1887131 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1887220), // Rule ID 14794 //
     /* 1887136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1887147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1887150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1887153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887182 */     // MIs[0] policy
     /* 1887182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887219 */     // GIR_Coverage, 14794,
     /* 1887219 */     GIR_EraseRootFromParent_Done,
     /* 1887220 */   // Label 25416: @1887220
     /* 1887220 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1887309), // Rule ID 14795 //
     /* 1887225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1887236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1887239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1887242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887271 */     // MIs[0] policy
     /* 1887271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887308 */     // GIR_Coverage, 14795,
     /* 1887308 */     GIR_EraseRootFromParent_Done,
     /* 1887309 */   // Label 25417: @1887309
     /* 1887309 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1887398), // Rule ID 14798 //
     /* 1887314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1887331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887360 */     // MIs[0] policy
     /* 1887360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887397 */     // GIR_Coverage, 14798,
     /* 1887397 */     GIR_EraseRootFromParent_Done,
     /* 1887398 */   // Label 25418: @1887398
     /* 1887398 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1887487), // Rule ID 14799 //
     /* 1887403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1887420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887449 */     // MIs[0] policy
     /* 1887449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887459 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887486 */     // GIR_Coverage, 14799,
     /* 1887486 */     GIR_EraseRootFromParent_Done,
     /* 1887487 */   // Label 25419: @1887487
     /* 1887487 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1887576), // Rule ID 14802 //
     /* 1887492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887538 */     // MIs[0] policy
     /* 1887538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887575 */     // GIR_Coverage, 14802,
     /* 1887575 */     GIR_EraseRootFromParent_Done,
     /* 1887576 */   // Label 25420: @1887576
     /* 1887576 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1887665), // Rule ID 14803 //
     /* 1887581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887627 */     // MIs[0] policy
     /* 1887627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887637 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887664 */     // GIR_Coverage, 14803,
     /* 1887664 */     GIR_EraseRootFromParent_Done,
     /* 1887665 */   // Label 25421: @1887665
     /* 1887665 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1887754), // Rule ID 14806 //
     /* 1887670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887716 */     // MIs[0] policy
     /* 1887716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887753 */     // GIR_Coverage, 14806,
     /* 1887753 */     GIR_EraseRootFromParent_Done,
     /* 1887754 */   // Label 25422: @1887754
     /* 1887754 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1887843), // Rule ID 14807 //
     /* 1887759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887805 */     // MIs[0] policy
     /* 1887805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887815 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887842 */     // GIR_Coverage, 14807,
     /* 1887842 */     GIR_EraseRootFromParent_Done,
     /* 1887843 */   // Label 25423: @1887843
     /* 1887843 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1887932), // Rule ID 14810 //
     /* 1887848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887894 */     // MIs[0] policy
     /* 1887894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887931 */     // GIR_Coverage, 14810,
     /* 1887931 */     GIR_EraseRootFromParent_Done,
     /* 1887932 */   // Label 25424: @1887932
     /* 1887932 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1888021), // Rule ID 14811 //
     /* 1887937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887983 */     // MIs[0] policy
     /* 1887983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887993 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888020 */     // GIR_Coverage, 14811,
     /* 1888020 */     GIR_EraseRootFromParent_Done,
     /* 1888021 */   // Label 25425: @1888021
     /* 1888021 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1888110), // Rule ID 14814 //
     /* 1888026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1888029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1888043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888072 */     // MIs[0] policy
     /* 1888072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888082 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1888085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888109 */     // GIR_Coverage, 14814,
     /* 1888109 */     GIR_EraseRootFromParent_Done,
     /* 1888110 */   // Label 25426: @1888110
     /* 1888110 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1888199), // Rule ID 14815 //
     /* 1888115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1888118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1888132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888161 */     // MIs[0] policy
     /* 1888161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1888174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888198 */     // GIR_Coverage, 14815,
     /* 1888198 */     GIR_EraseRootFromParent_Done,
     /* 1888199 */   // Label 25427: @1888199
     /* 1888199 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1888285), // Rule ID 19056 //
     /* 1888204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1888221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1888224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888250 */     // MIs[0] policy
     /* 1888250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888260 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1888263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888284 */     // GIR_Coverage, 19056,
     /* 1888284 */     GIR_EraseRootFromParent_Done,
     /* 1888285 */   // Label 25428: @1888285
     /* 1888285 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1888371), // Rule ID 19057 //
     /* 1888290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1888307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1888310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888336 */     // MIs[0] policy
     /* 1888336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888346 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1888349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888370 */     // GIR_Coverage, 19057,
     /* 1888370 */     GIR_EraseRootFromParent_Done,
     /* 1888371 */   // Label 25429: @1888371
     /* 1888371 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1888457), // Rule ID 19060 //
     /* 1888376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1888396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888422 */     // MIs[0] policy
     /* 1888422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1888435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888456 */     // GIR_Coverage, 19060,
     /* 1888456 */     GIR_EraseRootFromParent_Done,
     /* 1888457 */   // Label 25430: @1888457
     /* 1888457 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1888543), // Rule ID 19061 //
     /* 1888462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1888482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888508 */     // MIs[0] policy
     /* 1888508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888518 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1888521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888542 */     // GIR_Coverage, 19061,
     /* 1888542 */     GIR_EraseRootFromParent_Done,
     /* 1888543 */   // Label 25431: @1888543
     /* 1888543 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1888629), // Rule ID 19064 //
     /* 1888548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888594 */     // MIs[0] policy
     /* 1888594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888604 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888628 */     // GIR_Coverage, 19064,
     /* 1888628 */     GIR_EraseRootFromParent_Done,
     /* 1888629 */   // Label 25432: @1888629
     /* 1888629 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1888715), // Rule ID 19065 //
     /* 1888634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888680 */     // MIs[0] policy
     /* 1888680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888690 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888714 */     // GIR_Coverage, 19065,
     /* 1888714 */     GIR_EraseRootFromParent_Done,
     /* 1888715 */   // Label 25433: @1888715
     /* 1888715 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1888801), // Rule ID 19068 //
     /* 1888720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888766 */     // MIs[0] policy
     /* 1888766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888800 */     // GIR_Coverage, 19068,
     /* 1888800 */     GIR_EraseRootFromParent_Done,
     /* 1888801 */   // Label 25434: @1888801
     /* 1888801 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1888887), // Rule ID 19069 //
     /* 1888806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888852 */     // MIs[0] policy
     /* 1888852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888862 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888886 */     // GIR_Coverage, 19069,
     /* 1888886 */     GIR_EraseRootFromParent_Done,
     /* 1888887 */   // Label 25435: @1888887
     /* 1888887 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1888973), // Rule ID 19072 //
     /* 1888892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888938 */     // MIs[0] policy
     /* 1888938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1888951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888972 */     // GIR_Coverage, 19072,
     /* 1888972 */     GIR_EraseRootFromParent_Done,
     /* 1888973 */   // Label 25436: @1888973
     /* 1888973 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1889059), // Rule ID 19073 //
     /* 1888978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889024 */     // MIs[0] policy
     /* 1889024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889034 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1889037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889058 */     // GIR_Coverage, 19073,
     /* 1889058 */     GIR_EraseRootFromParent_Done,
     /* 1889059 */   // Label 25437: @1889059
     /* 1889059 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1889145), // Rule ID 19076 //
     /* 1889064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1889067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1889075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1889078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1889081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1889084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889110 */     // MIs[0] policy
     /* 1889110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1889123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889144 */     // GIR_Coverage, 19076,
     /* 1889144 */     GIR_EraseRootFromParent_Done,
     /* 1889145 */   // Label 25438: @1889145
     /* 1889145 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1889231), // Rule ID 19077 //
     /* 1889150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1889161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1889164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1889167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1889170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889196 */     // MIs[0] policy
     /* 1889196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889206 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1889209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889230 */     // GIR_Coverage, 19077,
     /* 1889230 */     GIR_EraseRootFromParent_Done,
     /* 1889231 */   // Label 25439: @1889231
     /* 1889231 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1889317), // Rule ID 19080 //
     /* 1889236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1889256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889282 */     // MIs[0] policy
     /* 1889282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889292 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1889295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889316 */     // GIR_Coverage, 19080,
     /* 1889316 */     GIR_EraseRootFromParent_Done,
     /* 1889317 */   // Label 25440: @1889317
     /* 1889317 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1889403), // Rule ID 19081 //
     /* 1889322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1889342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889368 */     // MIs[0] policy
     /* 1889368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889378 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1889381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889402 */     // GIR_Coverage, 19081,
     /* 1889402 */     GIR_EraseRootFromParent_Done,
     /* 1889403 */   // Label 25441: @1889403
     /* 1889403 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1889489), // Rule ID 19084 //
     /* 1889408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889454 */     // MIs[0] policy
     /* 1889454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889464 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889488 */     // GIR_Coverage, 19084,
     /* 1889488 */     GIR_EraseRootFromParent_Done,
     /* 1889489 */   // Label 25442: @1889489
     /* 1889489 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1889575), // Rule ID 19085 //
     /* 1889494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889540 */     // MIs[0] policy
     /* 1889540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889550 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889574 */     // GIR_Coverage, 19085,
     /* 1889574 */     GIR_EraseRootFromParent_Done,
     /* 1889575 */   // Label 25443: @1889575
     /* 1889575 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1889661), // Rule ID 19088 //
     /* 1889580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889626 */     // MIs[0] policy
     /* 1889626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889636 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889660 */     // GIR_Coverage, 19088,
     /* 1889660 */     GIR_EraseRootFromParent_Done,
     /* 1889661 */   // Label 25444: @1889661
     /* 1889661 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1889747), // Rule ID 19089 //
     /* 1889666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889712 */     // MIs[0] policy
     /* 1889712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889722 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889746 */     // GIR_Coverage, 19089,
     /* 1889746 */     GIR_EraseRootFromParent_Done,
     /* 1889747 */   // Label 25445: @1889747
     /* 1889747 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1889833), // Rule ID 19092 //
     /* 1889752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889798 */     // MIs[0] policy
     /* 1889798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889832 */     // GIR_Coverage, 19092,
     /* 1889832 */     GIR_EraseRootFromParent_Done,
     /* 1889833 */   // Label 25446: @1889833
     /* 1889833 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1889919), // Rule ID 19093 //
     /* 1889838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889884 */     // MIs[0] policy
     /* 1889884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889894 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889918 */     // GIR_Coverage, 19093,
     /* 1889918 */     GIR_EraseRootFromParent_Done,
     /* 1889919 */   // Label 25447: @1889919
     /* 1889919 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1890005), // Rule ID 19096 //
     /* 1889924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889970 */     // MIs[0] policy
     /* 1889970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889980 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1889983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890004 */     // GIR_Coverage, 19096,
     /* 1890004 */     GIR_EraseRootFromParent_Done,
     /* 1890005 */   // Label 25448: @1890005
     /* 1890005 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1890091), // Rule ID 19097 //
     /* 1890010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1890030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890056 */     // MIs[0] policy
     /* 1890056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890066 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1890069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890090 */     // GIR_Coverage, 19097,
     /* 1890090 */     GIR_EraseRootFromParent_Done,
     /* 1890091 */   // Label 25449: @1890091
     /* 1890091 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1890177), // Rule ID 19100 //
     /* 1890096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1890099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1890116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890142 */     // MIs[0] policy
     /* 1890142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890152 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1890155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890176 */     // GIR_Coverage, 19100,
     /* 1890176 */     GIR_EraseRootFromParent_Done,
     /* 1890177 */   // Label 25450: @1890177
     /* 1890177 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1890263), // Rule ID 19101 //
     /* 1890182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1890202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890228 */     // MIs[0] policy
     /* 1890228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890238 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1890241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890262 */     // GIR_Coverage, 19101,
     /* 1890262 */     GIR_EraseRootFromParent_Done,
     /* 1890263 */   // Label 25451: @1890263
     /* 1890263 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1890349), // Rule ID 19104 //
     /* 1890268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890314 */     // MIs[0] policy
     /* 1890314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890324 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1890327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890348 */     // GIR_Coverage, 19104,
     /* 1890348 */     GIR_EraseRootFromParent_Done,
     /* 1890349 */   // Label 25452: @1890349
     /* 1890349 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1890435), // Rule ID 19105 //
     /* 1890354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890400 */     // MIs[0] policy
     /* 1890400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1890413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890434 */     // GIR_Coverage, 19105,
     /* 1890434 */     GIR_EraseRootFromParent_Done,
     /* 1890435 */   // Label 25453: @1890435
     /* 1890435 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1890521), // Rule ID 19108 //
     /* 1890440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890486 */     // MIs[0] policy
     /* 1890486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890520 */     // GIR_Coverage, 19108,
     /* 1890520 */     GIR_EraseRootFromParent_Done,
     /* 1890521 */   // Label 25454: @1890521
     /* 1890521 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1890607), // Rule ID 19109 //
     /* 1890526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890572 */     // MIs[0] policy
     /* 1890572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890582 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890606 */     // GIR_Coverage, 19109,
     /* 1890606 */     GIR_EraseRootFromParent_Done,
     /* 1890607 */   // Label 25455: @1890607
     /* 1890607 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1890693), // Rule ID 19112 //
     /* 1890612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890658 */     // MIs[0] policy
     /* 1890658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890668 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890692 */     // GIR_Coverage, 19112,
     /* 1890692 */     GIR_EraseRootFromParent_Done,
     /* 1890693 */   // Label 25456: @1890693
     /* 1890693 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1890779), // Rule ID 19113 //
     /* 1890698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890744 */     // MIs[0] policy
     /* 1890744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890754 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890778 */     // GIR_Coverage, 19113,
     /* 1890778 */     GIR_EraseRootFromParent_Done,
     /* 1890779 */   // Label 25457: @1890779
     /* 1890779 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1890865), // Rule ID 19116 //
     /* 1890784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890830 */     // MIs[0] policy
     /* 1890830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890840 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890864 */     // GIR_Coverage, 19116,
     /* 1890864 */     GIR_EraseRootFromParent_Done,
     /* 1890865 */   // Label 25458: @1890865
     /* 1890865 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1890951), // Rule ID 19117 //
     /* 1890870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890916 */     // MIs[0] policy
     /* 1890916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890926 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890950 */     // GIR_Coverage, 19117,
     /* 1890950 */     GIR_EraseRootFromParent_Done,
     /* 1890951 */   // Label 25459: @1890951
     /* 1890951 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1891037), // Rule ID 19120 //
     /* 1890956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1890967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1890970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1890973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891002 */     // MIs[0] policy
     /* 1891002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1891015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891036 */     // GIR_Coverage, 19120,
     /* 1891036 */     GIR_EraseRootFromParent_Done,
     /* 1891037 */   // Label 25460: @1891037
     /* 1891037 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1891123), // Rule ID 19121 //
     /* 1891042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1891059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891088 */     // MIs[0] policy
     /* 1891088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891098 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1891101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891122 */     // GIR_Coverage, 19121,
     /* 1891122 */     GIR_EraseRootFromParent_Done,
     /* 1891123 */   // Label 25461: @1891123
     /* 1891123 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1891209), // Rule ID 19124 //
     /* 1891128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1891145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891174 */     // MIs[0] policy
     /* 1891174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891184 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1891187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891208 */     // GIR_Coverage, 19124,
     /* 1891208 */     GIR_EraseRootFromParent_Done,
     /* 1891209 */   // Label 25462: @1891209
     /* 1891209 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1891295), // Rule ID 19125 //
     /* 1891214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1891231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891260 */     // MIs[0] policy
     /* 1891260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891270 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1891273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891294 */     // GIR_Coverage, 19125,
     /* 1891294 */     GIR_EraseRootFromParent_Done,
     /* 1891295 */   // Label 25463: @1891295
     /* 1891295 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1891381), // Rule ID 19128 //
     /* 1891300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1891317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891346 */     // MIs[0] policy
     /* 1891346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891356 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1891359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891380 */     // GIR_Coverage, 19128,
     /* 1891380 */     GIR_EraseRootFromParent_Done,
     /* 1891381 */   // Label 25464: @1891381
     /* 1891381 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1891467), // Rule ID 19129 //
     /* 1891386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1891403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891432 */     // MIs[0] policy
     /* 1891432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891442 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1891445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891466 */     // GIR_Coverage, 19129,
     /* 1891466 */     GIR_EraseRootFromParent_Done,
     /* 1891467 */   // Label 25465: @1891467
     /* 1891467 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1891553), // Rule ID 19132 //
     /* 1891472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891518 */     // MIs[0] policy
     /* 1891518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891552 */     // GIR_Coverage, 19132,
     /* 1891552 */     GIR_EraseRootFromParent_Done,
     /* 1891553 */   // Label 25466: @1891553
     /* 1891553 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1891639), // Rule ID 19133 //
     /* 1891558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891604 */     // MIs[0] policy
     /* 1891604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891614 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891638 */     // GIR_Coverage, 19133,
     /* 1891638 */     GIR_EraseRootFromParent_Done,
     /* 1891639 */   // Label 25467: @1891639
     /* 1891639 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1891725), // Rule ID 19136 //
     /* 1891644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891690 */     // MIs[0] policy
     /* 1891690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891700 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891724 */     // GIR_Coverage, 19136,
     /* 1891724 */     GIR_EraseRootFromParent_Done,
     /* 1891725 */   // Label 25468: @1891725
     /* 1891725 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1891811), // Rule ID 19137 //
     /* 1891730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891776 */     // MIs[0] policy
     /* 1891776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891786 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891810 */     // GIR_Coverage, 19137,
     /* 1891810 */     GIR_EraseRootFromParent_Done,
     /* 1891811 */   // Label 25469: @1891811
     /* 1891811 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1891897), // Rule ID 19140 //
     /* 1891816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891862 */     // MIs[0] policy
     /* 1891862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891896 */     // GIR_Coverage, 19140,
     /* 1891896 */     GIR_EraseRootFromParent_Done,
     /* 1891897 */   // Label 25470: @1891897
     /* 1891897 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1891983), // Rule ID 19141 //
     /* 1891902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891948 */     // MIs[0] policy
     /* 1891948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891958 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891982 */     // GIR_Coverage, 19141,
     /* 1891982 */     GIR_EraseRootFromParent_Done,
     /* 1891983 */   // Label 25471: @1891983
     /* 1891983 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1892069), // Rule ID 19144 //
     /* 1891988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1891999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1892002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1892005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892034 */     // MIs[0] policy
     /* 1892034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892044 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1892047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892068 */     // GIR_Coverage, 19144,
     /* 1892068 */     GIR_EraseRootFromParent_Done,
     /* 1892069 */   // Label 25472: @1892069
     /* 1892069 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1892155), // Rule ID 19145 //
     /* 1892074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1892085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1892088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1892091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892120 */     // MIs[0] policy
     /* 1892120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892130 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1892133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892154 */     // GIR_Coverage, 19145,
     /* 1892154 */     GIR_EraseRootFromParent_Done,
     /* 1892155 */   // Label 25473: @1892155
     /* 1892155 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1892241), // Rule ID 19148 //
     /* 1892160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1892171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1892174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1892177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892206 */     // MIs[0] policy
     /* 1892206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892216 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1892219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892240 */     // GIR_Coverage, 19148,
     /* 1892240 */     GIR_EraseRootFromParent_Done,
     /* 1892241 */   // Label 25474: @1892241
     /* 1892241 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1892327), // Rule ID 19149 //
     /* 1892246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1892257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1892260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1892263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892292 */     // MIs[0] policy
     /* 1892292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892302 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1892305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892326 */     // GIR_Coverage, 19149,
     /* 1892326 */     GIR_EraseRootFromParent_Done,
     /* 1892327 */   // Label 25475: @1892327
     /* 1892327 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1892413), // Rule ID 19152 //
     /* 1892332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1892349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892378 */     // MIs[0] policy
     /* 1892378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892388 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1892391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892412 */     // GIR_Coverage, 19152,
     /* 1892412 */     GIR_EraseRootFromParent_Done,
     /* 1892413 */   // Label 25476: @1892413
     /* 1892413 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1892499), // Rule ID 19153 //
     /* 1892418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1892435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892464 */     // MIs[0] policy
     /* 1892464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892474 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1892477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892498 */     // GIR_Coverage, 19153,
     /* 1892498 */     GIR_EraseRootFromParent_Done,
     /* 1892499 */   // Label 25477: @1892499
     /* 1892499 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1892585), // Rule ID 19156 //
     /* 1892504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892550 */     // MIs[0] policy
     /* 1892550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892560 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892584 */     // GIR_Coverage, 19156,
     /* 1892584 */     GIR_EraseRootFromParent_Done,
     /* 1892585 */   // Label 25478: @1892585
     /* 1892585 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1892671), // Rule ID 19157 //
     /* 1892590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892636 */     // MIs[0] policy
     /* 1892636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892646 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892670 */     // GIR_Coverage, 19157,
     /* 1892670 */     GIR_EraseRootFromParent_Done,
     /* 1892671 */   // Label 25479: @1892671
     /* 1892671 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1892757), // Rule ID 19160 //
     /* 1892676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892722 */     // MIs[0] policy
     /* 1892722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892732 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892756 */     // GIR_Coverage, 19160,
     /* 1892756 */     GIR_EraseRootFromParent_Done,
     /* 1892757 */   // Label 25480: @1892757
     /* 1892757 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1892843), // Rule ID 19161 //
     /* 1892762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892808 */     // MIs[0] policy
     /* 1892808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892818 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892842 */     // GIR_Coverage, 19161,
     /* 1892842 */     GIR_EraseRootFromParent_Done,
     /* 1892843 */   // Label 25481: @1892843
     /* 1892843 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1892929), // Rule ID 19164 //
     /* 1892848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892894 */     // MIs[0] policy
     /* 1892894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892904 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892928 */     // GIR_Coverage, 19164,
     /* 1892928 */     GIR_EraseRootFromParent_Done,
     /* 1892929 */   // Label 25482: @1892929
     /* 1892929 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1893015), // Rule ID 19165 //
     /* 1892934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892980 */     // MIs[0] policy
     /* 1892980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892990 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893014 */     // GIR_Coverage, 19165,
     /* 1893014 */     GIR_EraseRootFromParent_Done,
     /* 1893015 */   // Label 25483: @1893015
     /* 1893015 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1893101), // Rule ID 19168 //
     /* 1893020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1893031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1893034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1893037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893066 */     // MIs[0] policy
     /* 1893066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1893079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893100 */     // GIR_Coverage, 19168,
     /* 1893100 */     GIR_EraseRootFromParent_Done,
     /* 1893101 */   // Label 25484: @1893101
     /* 1893101 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1893187), // Rule ID 19169 //
     /* 1893106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1893117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1893120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1893123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893152 */     // MIs[0] policy
     /* 1893152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893162 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1893165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893186 */     // GIR_Coverage, 19169,
     /* 1893186 */     GIR_EraseRootFromParent_Done,
     /* 1893187 */   // Label 25485: @1893187
     /* 1893187 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1893273), // Rule ID 19172 //
     /* 1893192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1893203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1893206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1893209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893238 */     // MIs[0] policy
     /* 1893238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893248 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1893251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893272 */     // GIR_Coverage, 19172,
     /* 1893272 */     GIR_EraseRootFromParent_Done,
     /* 1893273 */   // Label 25486: @1893273
     /* 1893273 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1893359), // Rule ID 19173 //
     /* 1893278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1893289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1893292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1893295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893324 */     // MIs[0] policy
     /* 1893324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893334 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1893337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893358 */     // GIR_Coverage, 19173,
     /* 1893358 */     GIR_EraseRootFromParent_Done,
     /* 1893359 */   // Label 25487: @1893359
     /* 1893359 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1893445), // Rule ID 19176 //
     /* 1893364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1893375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1893378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1893381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1893384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893410 */     // MIs[0] policy
     /* 1893410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893420 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1893423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893444 */     // GIR_Coverage, 19176,
     /* 1893444 */     GIR_EraseRootFromParent_Done,
     /* 1893445 */   // Label 25488: @1893445
     /* 1893445 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1893531), // Rule ID 19177 //
     /* 1893450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1893461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1893464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1893467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1893470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893496 */     // MIs[0] policy
     /* 1893496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893506 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1893509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893530 */     // GIR_Coverage, 19177,
     /* 1893530 */     GIR_EraseRootFromParent_Done,
     /* 1893531 */   // Label 25489: @1893531
     /* 1893531 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1893617), // Rule ID 19180 //
     /* 1893536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893582 */     // MIs[0] policy
     /* 1893582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893592 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893616 */     // GIR_Coverage, 19180,
     /* 1893616 */     GIR_EraseRootFromParent_Done,
     /* 1893617 */   // Label 25490: @1893617
     /* 1893617 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1893703), // Rule ID 19181 //
     /* 1893622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893668 */     // MIs[0] policy
     /* 1893668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893678 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893702 */     // GIR_Coverage, 19181,
     /* 1893702 */     GIR_EraseRootFromParent_Done,
     /* 1893703 */   // Label 25491: @1893703
     /* 1893703 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1893789), // Rule ID 19184 //
     /* 1893708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893754 */     // MIs[0] policy
     /* 1893754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893764 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893788 */     // GIR_Coverage, 19184,
     /* 1893788 */     GIR_EraseRootFromParent_Done,
     /* 1893789 */   // Label 25492: @1893789
     /* 1893789 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1893875), // Rule ID 19185 //
     /* 1893794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893840 */     // MIs[0] policy
     /* 1893840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893850 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893874 */     // GIR_Coverage, 19185,
     /* 1893874 */     GIR_EraseRootFromParent_Done,
     /* 1893875 */   // Label 25493: @1893875
     /* 1893875 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1893961), // Rule ID 19188 //
     /* 1893880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893926 */     // MIs[0] policy
     /* 1893926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1893939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893960 */     // GIR_Coverage, 19188,
     /* 1893960 */     GIR_EraseRootFromParent_Done,
     /* 1893961 */   // Label 25494: @1893961
     /* 1893961 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1894047), // Rule ID 19189 //
     /* 1893966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894012 */     // MIs[0] policy
     /* 1894012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894022 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1894025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894046 */     // GIR_Coverage, 19189,
     /* 1894046 */     GIR_EraseRootFromParent_Done,
     /* 1894047 */   // Label 25495: @1894047
     /* 1894047 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1894133), // Rule ID 19192 //
     /* 1894052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1894063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1894066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1894069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1894072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894098 */     // MIs[0] policy
     /* 1894098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1894111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894132 */     // GIR_Coverage, 19192,
     /* 1894132 */     GIR_EraseRootFromParent_Done,
     /* 1894133 */   // Label 25496: @1894133
     /* 1894133 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1894219), // Rule ID 19193 //
     /* 1894138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1894149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1894152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1894155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1894158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894184 */     // MIs[0] policy
     /* 1894184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894194 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1894197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894218 */     // GIR_Coverage, 19193,
     /* 1894218 */     GIR_EraseRootFromParent_Done,
     /* 1894219 */   // Label 25497: @1894219
     /* 1894219 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1894305), // Rule ID 19196 //
     /* 1894224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1894235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1894238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1894241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1894244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894270 */     // MIs[0] policy
     /* 1894270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1894283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894304 */     // GIR_Coverage, 19196,
     /* 1894304 */     GIR_EraseRootFromParent_Done,
     /* 1894305 */   // Label 25498: @1894305
     /* 1894305 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1894391), // Rule ID 19197 //
     /* 1894310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1894321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1894324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1894327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1894330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894356 */     // MIs[0] policy
     /* 1894356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894366 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1894369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894390 */     // GIR_Coverage, 19197,
     /* 1894390 */     GIR_EraseRootFromParent_Done,
     /* 1894391 */   // Label 25499: @1894391
     /* 1894391 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1894477), // Rule ID 19200 //
     /* 1894396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1894407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1894410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1894413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1894416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894442 */     // MIs[0] policy
     /* 1894442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894452 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894476 */     // GIR_Coverage, 19200,
     /* 1894476 */     GIR_EraseRootFromParent_Done,
     /* 1894477 */   // Label 25500: @1894477
     /* 1894477 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1894563), // Rule ID 19201 //
     /* 1894482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1894493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1894496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1894499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1894502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894528 */     // MIs[0] policy
     /* 1894528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894538 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894562 */     // GIR_Coverage, 19201,
     /* 1894562 */     GIR_EraseRootFromParent_Done,
     /* 1894563 */   // Label 25501: @1894563
     /* 1894563 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1894649), // Rule ID 19204 //
     /* 1894568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894614 */     // MIs[0] policy
     /* 1894614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894624 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894648 */     // GIR_Coverage, 19204,
     /* 1894648 */     GIR_EraseRootFromParent_Done,
     /* 1894649 */   // Label 25502: @1894649
     /* 1894649 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1894735), // Rule ID 19205 //
     /* 1894654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894700 */     // MIs[0] policy
     /* 1894700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894710 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894734 */     // GIR_Coverage, 19205,
     /* 1894734 */     GIR_EraseRootFromParent_Done,
     /* 1894735 */   // Label 25503: @1894735
     /* 1894735 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1894821), // Rule ID 19208 //
     /* 1894740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894786 */     // MIs[0] policy
     /* 1894786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894796 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894820 */     // GIR_Coverage, 19208,
     /* 1894820 */     GIR_EraseRootFromParent_Done,
     /* 1894821 */   // Label 25504: @1894821
     /* 1894821 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1894907), // Rule ID 19209 //
     /* 1894826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894872 */     // MIs[0] policy
     /* 1894872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894882 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894906 */     // GIR_Coverage, 19209,
     /* 1894906 */     GIR_EraseRootFromParent_Done,
     /* 1894907 */   // Label 25505: @1894907
     /* 1894907 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1894993), // Rule ID 19212 //
     /* 1894912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894958 */     // MIs[0] policy
     /* 1894958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894968 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1894971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894992 */     // GIR_Coverage, 19212,
     /* 1894992 */     GIR_EraseRootFromParent_Done,
     /* 1894993 */   // Label 25506: @1894993
     /* 1894993 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1895079), // Rule ID 19213 //
     /* 1894998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1895009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1895012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1895015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1895018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895044 */     // MIs[0] policy
     /* 1895044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895054 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1895057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895078 */     // GIR_Coverage, 19213,
     /* 1895078 */     GIR_EraseRootFromParent_Done,
     /* 1895079 */   // Label 25507: @1895079
     /* 1895079 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1895165), // Rule ID 19216 //
     /* 1895084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1895095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1895098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1895101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1895104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895130 */     // MIs[0] policy
     /* 1895130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895140 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1895143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895164 */     // GIR_Coverage, 19216,
     /* 1895164 */     GIR_EraseRootFromParent_Done,
     /* 1895165 */   // Label 25508: @1895165
     /* 1895165 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1895251), // Rule ID 19217 //
     /* 1895170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1895181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1895184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1895187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1895190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895216 */     // MIs[0] policy
     /* 1895216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895226 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1895229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895250 */     // GIR_Coverage, 19217,
     /* 1895250 */     GIR_EraseRootFromParent_Done,
     /* 1895251 */   // Label 25509: @1895251
     /* 1895251 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1895337), // Rule ID 19220 //
     /* 1895256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1895273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1895276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895302 */     // MIs[0] policy
     /* 1895302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895312 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1895315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895336 */     // GIR_Coverage, 19220,
     /* 1895336 */     GIR_EraseRootFromParent_Done,
     /* 1895337 */   // Label 25510: @1895337
     /* 1895337 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1895423), // Rule ID 19221 //
     /* 1895342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1895359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1895362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895388 */     // MIs[0] policy
     /* 1895388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895398 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1895401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895422 */     // GIR_Coverage, 19221,
     /* 1895422 */     GIR_EraseRootFromParent_Done,
     /* 1895423 */   // Label 25511: @1895423
     /* 1895423 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1895509), // Rule ID 19224 //
     /* 1895428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895474 */     // MIs[0] policy
     /* 1895474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895484 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895508 */     // GIR_Coverage, 19224,
     /* 1895508 */     GIR_EraseRootFromParent_Done,
     /* 1895509 */   // Label 25512: @1895509
     /* 1895509 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1895595), // Rule ID 19225 //
     /* 1895514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895560 */     // MIs[0] policy
     /* 1895560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895594 */     // GIR_Coverage, 19225,
     /* 1895594 */     GIR_EraseRootFromParent_Done,
     /* 1895595 */   // Label 25513: @1895595
     /* 1895595 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1895681), // Rule ID 19228 //
     /* 1895600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895646 */     // MIs[0] policy
     /* 1895646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895680 */     // GIR_Coverage, 19228,
     /* 1895680 */     GIR_EraseRootFromParent_Done,
     /* 1895681 */   // Label 25514: @1895681
     /* 1895681 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1895767), // Rule ID 19229 //
     /* 1895686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895732 */     // MIs[0] policy
     /* 1895732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895742 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895766 */     // GIR_Coverage, 19229,
     /* 1895766 */     GIR_EraseRootFromParent_Done,
     /* 1895767 */   // Label 25515: @1895767
     /* 1895767 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1895853), // Rule ID 19232 //
     /* 1895772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895818 */     // MIs[0] policy
     /* 1895818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895828 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895852 */     // GIR_Coverage, 19232,
     /* 1895852 */     GIR_EraseRootFromParent_Done,
     /* 1895853 */   // Label 25516: @1895853
     /* 1895853 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1895939), // Rule ID 19233 //
     /* 1895858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895904 */     // MIs[0] policy
     /* 1895904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895914 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895938 */     // GIR_Coverage, 19233,
     /* 1895938 */     GIR_EraseRootFromParent_Done,
     /* 1895939 */   // Label 25517: @1895939
     /* 1895939 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1896025), // Rule ID 19236 //
     /* 1895944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895990 */     // MIs[0] policy
     /* 1895990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896000 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1896003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896024 */     // GIR_Coverage, 19236,
     /* 1896024 */     GIR_EraseRootFromParent_Done,
     /* 1896025 */   // Label 25518: @1896025
     /* 1896025 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1896111), // Rule ID 19237 //
     /* 1896030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1896041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1896044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1896047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896076 */     // MIs[0] policy
     /* 1896076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896086 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1896089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896110 */     // GIR_Coverage, 19237,
     /* 1896110 */     GIR_EraseRootFromParent_Done,
     /* 1896111 */   // Label 25519: @1896111
     /* 1896111 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1896197), // Rule ID 19240 //
     /* 1896116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1896127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1896130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1896133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896162 */     // MIs[0] policy
     /* 1896162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896172 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1896175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896196 */     // GIR_Coverage, 19240,
     /* 1896196 */     GIR_EraseRootFromParent_Done,
     /* 1896197 */   // Label 25520: @1896197
     /* 1896197 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1896283), // Rule ID 19241 //
     /* 1896202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1896213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1896216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1896219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896248 */     // MIs[0] policy
     /* 1896248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896258 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1896261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896282 */     // GIR_Coverage, 19241,
     /* 1896282 */     GIR_EraseRootFromParent_Done,
     /* 1896283 */   // Label 25521: @1896283
     /* 1896283 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1896369), // Rule ID 19244 //
     /* 1896288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896334 */     // MIs[0] policy
     /* 1896334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1896347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896368 */     // GIR_Coverage, 19244,
     /* 1896368 */     GIR_EraseRootFromParent_Done,
     /* 1896369 */   // Label 25522: @1896369
     /* 1896369 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1896455), // Rule ID 19245 //
     /* 1896374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896420 */     // MIs[0] policy
     /* 1896420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896430 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1896433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896454 */     // GIR_Coverage, 19245,
     /* 1896454 */     GIR_EraseRootFromParent_Done,
     /* 1896455 */   // Label 25523: @1896455
     /* 1896455 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1896541), // Rule ID 19248 //
     /* 1896460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896506 */     // MIs[0] policy
     /* 1896506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896540 */     // GIR_Coverage, 19248,
     /* 1896540 */     GIR_EraseRootFromParent_Done,
     /* 1896541 */   // Label 25524: @1896541
     /* 1896541 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1896627), // Rule ID 19249 //
     /* 1896546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896592 */     // MIs[0] policy
     /* 1896592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896602 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896626 */     // GIR_Coverage, 19249,
     /* 1896626 */     GIR_EraseRootFromParent_Done,
     /* 1896627 */   // Label 25525: @1896627
     /* 1896627 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1896713), // Rule ID 19252 //
     /* 1896632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896678 */     // MIs[0] policy
     /* 1896678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896712 */     // GIR_Coverage, 19252,
     /* 1896712 */     GIR_EraseRootFromParent_Done,
     /* 1896713 */   // Label 25526: @1896713
     /* 1896713 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1896799), // Rule ID 19253 //
     /* 1896718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896764 */     // MIs[0] policy
     /* 1896764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896774 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896798 */     // GIR_Coverage, 19253,
     /* 1896798 */     GIR_EraseRootFromParent_Done,
     /* 1896799 */   // Label 25527: @1896799
     /* 1896799 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1896885), // Rule ID 19256 //
     /* 1896804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896850 */     // MIs[0] policy
     /* 1896850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896860 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896884 */     // GIR_Coverage, 19256,
     /* 1896884 */     GIR_EraseRootFromParent_Done,
     /* 1896885 */   // Label 25528: @1896885
     /* 1896885 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1896971), // Rule ID 19257 //
     /* 1896890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896936 */     // MIs[0] policy
     /* 1896936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896946 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896970 */     // GIR_Coverage, 19257,
     /* 1896970 */     GIR_EraseRootFromParent_Done,
     /* 1896971 */   // Label 25529: @1896971
     /* 1896971 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1897057), // Rule ID 19260 //
     /* 1896976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897022 */     // MIs[0] policy
     /* 1897022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897032 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1897035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897056 */     // GIR_Coverage, 19260,
     /* 1897056 */     GIR_EraseRootFromParent_Done,
     /* 1897057 */   // Label 25530: @1897057
     /* 1897057 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1897143), // Rule ID 19261 //
     /* 1897062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1897073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1897076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1897079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897108 */     // MIs[0] policy
     /* 1897108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897118 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1897121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897142 */     // GIR_Coverage, 19261,
     /* 1897142 */     GIR_EraseRootFromParent_Done,
     /* 1897143 */   // Label 25531: @1897143
     /* 1897143 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1897229), // Rule ID 19264 //
     /* 1897148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1897159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1897162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1897165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897194 */     // MIs[0] policy
     /* 1897194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897204 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1897207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897228 */     // GIR_Coverage, 19264,
     /* 1897228 */     GIR_EraseRootFromParent_Done,
     /* 1897229 */   // Label 25532: @1897229
     /* 1897229 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1897315), // Rule ID 19265 //
     /* 1897234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1897245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1897248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1897251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897280 */     // MIs[0] policy
     /* 1897280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1897293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897314 */     // GIR_Coverage, 19265,
     /* 1897314 */     GIR_EraseRootFromParent_Done,
     /* 1897315 */   // Label 25533: @1897315
     /* 1897315 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1897401), // Rule ID 19268 //
     /* 1897320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1897331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1897334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1897337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897366 */     // MIs[0] policy
     /* 1897366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897376 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1897379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897400 */     // GIR_Coverage, 19268,
     /* 1897400 */     GIR_EraseRootFromParent_Done,
     /* 1897401 */   // Label 25534: @1897401
     /* 1897401 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1897487), // Rule ID 19269 //
     /* 1897406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1897417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1897420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1897423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897452 */     // MIs[0] policy
     /* 1897452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897462 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1897465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897486 */     // GIR_Coverage, 19269,
     /* 1897486 */     GIR_EraseRootFromParent_Done,
     /* 1897487 */   // Label 25535: @1897487
     /* 1897487 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1897573), // Rule ID 19272 //
     /* 1897492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897538 */     // MIs[0] policy
     /* 1897538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897572 */     // GIR_Coverage, 19272,
     /* 1897572 */     GIR_EraseRootFromParent_Done,
     /* 1897573 */   // Label 25536: @1897573
     /* 1897573 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1897659), // Rule ID 19273 //
     /* 1897578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897624 */     // MIs[0] policy
     /* 1897624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897634 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897658 */     // GIR_Coverage, 19273,
     /* 1897658 */     GIR_EraseRootFromParent_Done,
     /* 1897659 */   // Label 25537: @1897659
     /* 1897659 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1897745), // Rule ID 19276 //
     /* 1897664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897710 */     // MIs[0] policy
     /* 1897710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897744 */     // GIR_Coverage, 19276,
     /* 1897744 */     GIR_EraseRootFromParent_Done,
     /* 1897745 */   // Label 25538: @1897745
     /* 1897745 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1897831), // Rule ID 19277 //
     /* 1897750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897796 */     // MIs[0] policy
     /* 1897796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897806 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897830 */     // GIR_Coverage, 19277,
     /* 1897830 */     GIR_EraseRootFromParent_Done,
     /* 1897831 */   // Label 25539: @1897831
     /* 1897831 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1897917), // Rule ID 19280 //
     /* 1897836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897882 */     // MIs[0] policy
     /* 1897882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897892 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897916 */     // GIR_Coverage, 19280,
     /* 1897916 */     GIR_EraseRootFromParent_Done,
     /* 1897917 */   // Label 25540: @1897917
     /* 1897917 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1898003), // Rule ID 19281 //
     /* 1897922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897968 */     // MIs[0] policy
     /* 1897968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897978 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898002 */     // GIR_Coverage, 19281,
     /* 1898002 */     GIR_EraseRootFromParent_Done,
     /* 1898003 */   // Label 25541: @1898003
     /* 1898003 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1898089), // Rule ID 19284 //
     /* 1898008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1898019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1898022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1898025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898054 */     // MIs[0] policy
     /* 1898054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898064 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1898067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898088 */     // GIR_Coverage, 19284,
     /* 1898088 */     GIR_EraseRootFromParent_Done,
     /* 1898089 */   // Label 25542: @1898089
     /* 1898089 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1898175), // Rule ID 19285 //
     /* 1898094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1898105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1898108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1898111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898140 */     // MIs[0] policy
     /* 1898140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898150 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1898153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898174 */     // GIR_Coverage, 19285,
     /* 1898174 */     GIR_EraseRootFromParent_Done,
     /* 1898175 */   // Label 25543: @1898175
     /* 1898175 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1898261), // Rule ID 19288 //
     /* 1898180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1898191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1898194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1898197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898226 */     // MIs[0] policy
     /* 1898226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898236 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1898239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898260 */     // GIR_Coverage, 19288,
     /* 1898260 */     GIR_EraseRootFromParent_Done,
     /* 1898261 */   // Label 25544: @1898261
     /* 1898261 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1898347), // Rule ID 19289 //
     /* 1898266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1898277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1898280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1898283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898312 */     // MIs[0] policy
     /* 1898312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898322 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1898325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898346 */     // GIR_Coverage, 19289,
     /* 1898346 */     GIR_EraseRootFromParent_Done,
     /* 1898347 */   // Label 25545: @1898347
     /* 1898347 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1898433), // Rule ID 19292 //
     /* 1898352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1898363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1898366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1898369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898398 */     // MIs[0] policy
     /* 1898398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898408 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1898411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898432 */     // GIR_Coverage, 19292,
     /* 1898432 */     GIR_EraseRootFromParent_Done,
     /* 1898433 */   // Label 25546: @1898433
     /* 1898433 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1898519), // Rule ID 19293 //
     /* 1898438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1898449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1898452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1898455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898484 */     // MIs[0] policy
     /* 1898484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898494 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1898497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898518 */     // GIR_Coverage, 19293,
     /* 1898518 */     GIR_EraseRootFromParent_Done,
     /* 1898519 */   // Label 25547: @1898519
     /* 1898519 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1898605), // Rule ID 19296 //
     /* 1898524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898570 */     // MIs[0] policy
     /* 1898570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898580 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898604 */     // GIR_Coverage, 19296,
     /* 1898604 */     GIR_EraseRootFromParent_Done,
     /* 1898605 */   // Label 25548: @1898605
     /* 1898605 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1898691), // Rule ID 19297 //
     /* 1898610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898656 */     // MIs[0] policy
     /* 1898656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898666 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898690 */     // GIR_Coverage, 19297,
     /* 1898690 */     GIR_EraseRootFromParent_Done,
     /* 1898691 */   // Label 25549: @1898691
     /* 1898691 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1898777), // Rule ID 19300 //
     /* 1898696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898742 */     // MIs[0] policy
     /* 1898742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898752 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898776 */     // GIR_Coverage, 19300,
     /* 1898776 */     GIR_EraseRootFromParent_Done,
     /* 1898777 */   // Label 25550: @1898777
     /* 1898777 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1898863), // Rule ID 19301 //
     /* 1898782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898828 */     // MIs[0] policy
     /* 1898828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898838 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898862 */     // GIR_Coverage, 19301,
     /* 1898862 */     GIR_EraseRootFromParent_Done,
     /* 1898863 */   // Label 25551: @1898863
     /* 1898863 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1898949), // Rule ID 19304 //
     /* 1898868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898914 */     // MIs[0] policy
     /* 1898914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898924 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1898927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898948 */     // GIR_Coverage, 19304,
     /* 1898948 */     GIR_EraseRootFromParent_Done,
     /* 1898949 */   // Label 25552: @1898949
     /* 1898949 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1899035), // Rule ID 19305 //
     /* 1898954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899000 */     // MIs[0] policy
     /* 1899000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1899013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899034 */     // GIR_Coverage, 19305,
     /* 1899034 */     GIR_EraseRootFromParent_Done,
     /* 1899035 */   // Label 25553: @1899035
     /* 1899035 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1899121), // Rule ID 19308 //
     /* 1899040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1899057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899086 */     // MIs[0] policy
     /* 1899086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1899099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899120 */     // GIR_Coverage, 19308,
     /* 1899120 */     GIR_EraseRootFromParent_Done,
     /* 1899121 */   // Label 25554: @1899121
     /* 1899121 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1899207), // Rule ID 19309 //
     /* 1899126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1899143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899172 */     // MIs[0] policy
     /* 1899172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899182 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1899185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899206 */     // GIR_Coverage, 19309,
     /* 1899206 */     GIR_EraseRootFromParent_Done,
     /* 1899207 */   // Label 25555: @1899207
     /* 1899207 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1899293), // Rule ID 19312 //
     /* 1899212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1899229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1899232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899258 */     // MIs[0] policy
     /* 1899258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899268 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1899271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899292 */     // GIR_Coverage, 19312,
     /* 1899292 */     GIR_EraseRootFromParent_Done,
     /* 1899293 */   // Label 25556: @1899293
     /* 1899293 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1899379), // Rule ID 19313 //
     /* 1899298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1899315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1899318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899344 */     // MIs[0] policy
     /* 1899344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899354 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1899357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899378 */     // GIR_Coverage, 19313,
     /* 1899378 */     GIR_EraseRootFromParent_Done,
     /* 1899379 */   // Label 25557: @1899379
     /* 1899379 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1899465), // Rule ID 19316 //
     /* 1899384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899430 */     // MIs[0] policy
     /* 1899430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899440 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899464 */     // GIR_Coverage, 19316,
     /* 1899464 */     GIR_EraseRootFromParent_Done,
     /* 1899465 */   // Label 25558: @1899465
     /* 1899465 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1899551), // Rule ID 19317 //
     /* 1899470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899516 */     // MIs[0] policy
     /* 1899516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899526 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899550 */     // GIR_Coverage, 19317,
     /* 1899550 */     GIR_EraseRootFromParent_Done,
     /* 1899551 */   // Label 25559: @1899551
     /* 1899551 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1899637), // Rule ID 19320 //
     /* 1899556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899602 */     // MIs[0] policy
     /* 1899602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899612 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899636 */     // GIR_Coverage, 19320,
     /* 1899636 */     GIR_EraseRootFromParent_Done,
     /* 1899637 */   // Label 25560: @1899637
     /* 1899637 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1899723), // Rule ID 19321 //
     /* 1899642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899688 */     // MIs[0] policy
     /* 1899688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899698 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899722 */     // GIR_Coverage, 19321,
     /* 1899722 */     GIR_EraseRootFromParent_Done,
     /* 1899723 */   // Label 25561: @1899723
     /* 1899723 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1899809), // Rule ID 19324 //
     /* 1899728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899774 */     // MIs[0] policy
     /* 1899774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899784 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899808 */     // GIR_Coverage, 19324,
     /* 1899808 */     GIR_EraseRootFromParent_Done,
     /* 1899809 */   // Label 25562: @1899809
     /* 1899809 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1899895), // Rule ID 19325 //
     /* 1899814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899860 */     // MIs[0] policy
     /* 1899860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899870 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899894 */     // GIR_Coverage, 19325,
     /* 1899894 */     GIR_EraseRootFromParent_Done,
     /* 1899895 */   // Label 25563: @1899895
     /* 1899895 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1899981), // Rule ID 19328 //
     /* 1899900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899946 */     // MIs[0] policy
     /* 1899946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899956 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1899959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899980 */     // GIR_Coverage, 19328,
     /* 1899980 */     GIR_EraseRootFromParent_Done,
     /* 1899981 */   // Label 25564: @1899981
     /* 1899981 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1900067), // Rule ID 19329 //
     /* 1899986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1900000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1900003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1900006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1900009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900032 */     // MIs[0] policy
     /* 1900032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900042 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1900045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900066 */     // GIR_Coverage, 19329,
     /* 1900066 */     GIR_EraseRootFromParent_Done,
     /* 1900067 */   // Label 25565: @1900067
     /* 1900067 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1900153), // Rule ID 19332 //
     /* 1900072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1900083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1900086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1900089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900118 */     // MIs[0] policy
     /* 1900118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1900131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900152 */     // GIR_Coverage, 19332,
     /* 1900152 */     GIR_EraseRootFromParent_Done,
     /* 1900153 */   // Label 25566: @1900153
     /* 1900153 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1900239), // Rule ID 19333 //
     /* 1900158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1900169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1900172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1900175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900204 */     // MIs[0] policy
     /* 1900204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900214 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1900217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900238 */     // GIR_Coverage, 19333,
     /* 1900238 */     GIR_EraseRootFromParent_Done,
     /* 1900239 */   // Label 25567: @1900239
     /* 1900239 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1900325), // Rule ID 19336 //
     /* 1900244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1900255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1900258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1900261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900290 */     // MIs[0] policy
     /* 1900290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900300 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1900303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900324 */     // GIR_Coverage, 19336,
     /* 1900324 */     GIR_EraseRootFromParent_Done,
     /* 1900325 */   // Label 25568: @1900325
     /* 1900325 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1900411), // Rule ID 19337 //
     /* 1900330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1900341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1900344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1900347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900376 */     // MIs[0] policy
     /* 1900376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900386 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1900389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900410 */     // GIR_Coverage, 19337,
     /* 1900410 */     GIR_EraseRootFromParent_Done,
     /* 1900411 */   // Label 25569: @1900411
     /* 1900411 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1900497), // Rule ID 19340 //
     /* 1900416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1900427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1900430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1900433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1900436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900462 */     // MIs[0] policy
     /* 1900462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900472 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900496 */     // GIR_Coverage, 19340,
     /* 1900496 */     GIR_EraseRootFromParent_Done,
     /* 1900497 */   // Label 25570: @1900497
     /* 1900497 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1900583), // Rule ID 19341 //
     /* 1900502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1900513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1900516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1900519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1900522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900548 */     // MIs[0] policy
     /* 1900548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900558 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900582 */     // GIR_Coverage, 19341,
     /* 1900582 */     GIR_EraseRootFromParent_Done,
     /* 1900583 */   // Label 25571: @1900583
     /* 1900583 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1900669), // Rule ID 19344 //
     /* 1900588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900634 */     // MIs[0] policy
     /* 1900634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900644 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900668 */     // GIR_Coverage, 19344,
     /* 1900668 */     GIR_EraseRootFromParent_Done,
     /* 1900669 */   // Label 25572: @1900669
     /* 1900669 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1900755), // Rule ID 19345 //
     /* 1900674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900720 */     // MIs[0] policy
     /* 1900720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900754 */     // GIR_Coverage, 19345,
     /* 1900754 */     GIR_EraseRootFromParent_Done,
     /* 1900755 */   // Label 25573: @1900755
     /* 1900755 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1900841), // Rule ID 19348 //
     /* 1900760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900806 */     // MIs[0] policy
     /* 1900806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900840 */     // GIR_Coverage, 19348,
     /* 1900840 */     GIR_EraseRootFromParent_Done,
     /* 1900841 */   // Label 25574: @1900841
     /* 1900841 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1900927), // Rule ID 19349 //
     /* 1900846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900892 */     // MIs[0] policy
     /* 1900892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900902 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900926 */     // GIR_Coverage, 19349,
     /* 1900926 */     GIR_EraseRootFromParent_Done,
     /* 1900927 */   // Label 25575: @1900927
     /* 1900927 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1901013), // Rule ID 19352 //
     /* 1900932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1900952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900978 */     // MIs[0] policy
     /* 1900978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1900991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901012 */     // GIR_Coverage, 19352,
     /* 1901012 */     GIR_EraseRootFromParent_Done,
     /* 1901013 */   // Label 25576: @1901013
     /* 1901013 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1901099), // Rule ID 19353 //
     /* 1901018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1901029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1901032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1901035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1901038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901064 */     // MIs[0] policy
     /* 1901064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901074 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1901077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901098 */     // GIR_Coverage, 19353,
     /* 1901098 */     GIR_EraseRootFromParent_Done,
     /* 1901099 */   // Label 25577: @1901099
     /* 1901099 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1901185), // Rule ID 19356 //
     /* 1901104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1901115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1901118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1901121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901150 */     // MIs[0] policy
     /* 1901150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901160 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1901163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901184 */     // GIR_Coverage, 19356,
     /* 1901184 */     GIR_EraseRootFromParent_Done,
     /* 1901185 */   // Label 25578: @1901185
     /* 1901185 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1901271), // Rule ID 19357 //
     /* 1901190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1901201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1901204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1901207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901236 */     // MIs[0] policy
     /* 1901236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901246 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1901249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901270 */     // GIR_Coverage, 19357,
     /* 1901270 */     GIR_EraseRootFromParent_Done,
     /* 1901271 */   // Label 25579: @1901271
     /* 1901271 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1901357), // Rule ID 19360 //
     /* 1901276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1901287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1901290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1901293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901322 */     // MIs[0] policy
     /* 1901322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901332 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1901335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901356 */     // GIR_Coverage, 19360,
     /* 1901356 */     GIR_EraseRootFromParent_Done,
     /* 1901357 */   // Label 25580: @1901357
     /* 1901357 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1901443), // Rule ID 19361 //
     /* 1901362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1901373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1901376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1901379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901408 */     // MIs[0] policy
     /* 1901408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901418 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1901421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901442 */     // GIR_Coverage, 19361,
     /* 1901442 */     GIR_EraseRootFromParent_Done,
     /* 1901443 */   // Label 25581: @1901443
     /* 1901443 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1901529), // Rule ID 19364 //
     /* 1901448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901494 */     // MIs[0] policy
     /* 1901494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901504 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901528 */     // GIR_Coverage, 19364,
     /* 1901528 */     GIR_EraseRootFromParent_Done,
     /* 1901529 */   // Label 25582: @1901529
     /* 1901529 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1901615), // Rule ID 19365 //
     /* 1901534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901580 */     // MIs[0] policy
     /* 1901580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901590 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901614 */     // GIR_Coverage, 19365,
     /* 1901614 */     GIR_EraseRootFromParent_Done,
     /* 1901615 */   // Label 25583: @1901615
     /* 1901615 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1901701), // Rule ID 19368 //
     /* 1901620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901666 */     // MIs[0] policy
     /* 1901666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901700 */     // GIR_Coverage, 19368,
     /* 1901700 */     GIR_EraseRootFromParent_Done,
     /* 1901701 */   // Label 25584: @1901701
     /* 1901701 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1901787), // Rule ID 19369 //
     /* 1901706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901752 */     // MIs[0] policy
     /* 1901752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901762 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901786 */     // GIR_Coverage, 19369,
     /* 1901786 */     GIR_EraseRootFromParent_Done,
     /* 1901787 */   // Label 25585: @1901787
     /* 1901787 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1901873), // Rule ID 19372 //
     /* 1901792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901838 */     // MIs[0] policy
     /* 1901838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901848 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901872 */     // GIR_Coverage, 19372,
     /* 1901872 */     GIR_EraseRootFromParent_Done,
     /* 1901873 */   // Label 25586: @1901873
     /* 1901873 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1901959), // Rule ID 19373 //
     /* 1901878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901924 */     // MIs[0] policy
     /* 1901924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901934 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901958 */     // GIR_Coverage, 19373,
     /* 1901958 */     GIR_EraseRootFromParent_Done,
     /* 1901959 */   // Label 25587: @1901959
     /* 1901959 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1902045), // Rule ID 19376 //
     /* 1901964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902010 */     // MIs[0] policy
     /* 1902010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1902023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902044 */     // GIR_Coverage, 19376,
     /* 1902044 */     GIR_EraseRootFromParent_Done,
     /* 1902045 */   // Label 25588: @1902045
     /* 1902045 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1902131), // Rule ID 19377 //
     /* 1902050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1902067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902096 */     // MIs[0] policy
     /* 1902096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902106 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1902109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902130 */     // GIR_Coverage, 19377,
     /* 1902130 */     GIR_EraseRootFromParent_Done,
     /* 1902131 */   // Label 25589: @1902131
     /* 1902131 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1902217), // Rule ID 19380 //
     /* 1902136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1902147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1902150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1902153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902182 */     // MIs[0] policy
     /* 1902182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1902195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902216 */     // GIR_Coverage, 19380,
     /* 1902216 */     GIR_EraseRootFromParent_Done,
     /* 1902217 */   // Label 25590: @1902217
     /* 1902217 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1902303), // Rule ID 19381 //
     /* 1902222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1902233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1902236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1902239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902268 */     // MIs[0] policy
     /* 1902268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902278 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1902281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902302 */     // GIR_Coverage, 19381,
     /* 1902302 */     GIR_EraseRootFromParent_Done,
     /* 1902303 */   // Label 25591: @1902303
     /* 1902303 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1902389), // Rule ID 19384 //
     /* 1902308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1902319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1902322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1902325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902354 */     // MIs[0] policy
     /* 1902354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902364 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1902367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902388 */     // GIR_Coverage, 19384,
     /* 1902388 */     GIR_EraseRootFromParent_Done,
     /* 1902389 */   // Label 25592: @1902389
     /* 1902389 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1902475), // Rule ID 19385 //
     /* 1902394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1902405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1902408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1902411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902440 */     // MIs[0] policy
     /* 1902440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902450 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1902453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902474 */     // GIR_Coverage, 19385,
     /* 1902474 */     GIR_EraseRootFromParent_Done,
     /* 1902475 */   // Label 25593: @1902475
     /* 1902475 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1902561), // Rule ID 19388 //
     /* 1902480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902526 */     // MIs[0] policy
     /* 1902526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902536 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902560 */     // GIR_Coverage, 19388,
     /* 1902560 */     GIR_EraseRootFromParent_Done,
     /* 1902561 */   // Label 25594: @1902561
     /* 1902561 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1902647), // Rule ID 19389 //
     /* 1902566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902612 */     // MIs[0] policy
     /* 1902612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902622 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902646 */     // GIR_Coverage, 19389,
     /* 1902646 */     GIR_EraseRootFromParent_Done,
     /* 1902647 */   // Label 25595: @1902647
     /* 1902647 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1902733), // Rule ID 19392 //
     /* 1902652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902698 */     // MIs[0] policy
     /* 1902698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902708 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902732 */     // GIR_Coverage, 19392,
     /* 1902732 */     GIR_EraseRootFromParent_Done,
     /* 1902733 */   // Label 25596: @1902733
     /* 1902733 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1902819), // Rule ID 19393 //
     /* 1902738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902784 */     // MIs[0] policy
     /* 1902784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902794 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902818 */     // GIR_Coverage, 19393,
     /* 1902818 */     GIR_EraseRootFromParent_Done,
     /* 1902819 */   // Label 25597: @1902819
     /* 1902819 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1902905), // Rule ID 19396 //
     /* 1902824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902870 */     // MIs[0] policy
     /* 1902870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902880 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902904 */     // GIR_Coverage, 19396,
     /* 1902904 */     GIR_EraseRootFromParent_Done,
     /* 1902905 */   // Label 25598: @1902905
     /* 1902905 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1902991), // Rule ID 19397 //
     /* 1902910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902956 */     // MIs[0] policy
     /* 1902956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902966 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902990 */     // GIR_Coverage, 19397,
     /* 1902990 */     GIR_EraseRootFromParent_Done,
     /* 1902991 */   // Label 25599: @1902991
     /* 1902991 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1903077), // Rule ID 19400 //
     /* 1902996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1903007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1903010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1903013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903042 */     // MIs[0] policy
     /* 1903042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903052 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1903055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903076 */     // GIR_Coverage, 19400,
     /* 1903076 */     GIR_EraseRootFromParent_Done,
     /* 1903077 */   // Label 25600: @1903077
     /* 1903077 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1903163), // Rule ID 19401 //
     /* 1903082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1903093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1903096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1903099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903128 */     // MIs[0] policy
     /* 1903128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903138 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1903141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903162 */     // GIR_Coverage, 19401,
     /* 1903162 */     GIR_EraseRootFromParent_Done,
     /* 1903163 */   // Label 25601: @1903163
     /* 1903163 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1903249), // Rule ID 19404 //
     /* 1903168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1903185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903214 */     // MIs[0] policy
     /* 1903214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903224 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1903227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903248 */     // GIR_Coverage, 19404,
     /* 1903248 */     GIR_EraseRootFromParent_Done,
     /* 1903249 */   // Label 25602: @1903249
     /* 1903249 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1903335), // Rule ID 19405 //
     /* 1903254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1903271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903300 */     // MIs[0] policy
     /* 1903300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903310 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1903313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903334 */     // GIR_Coverage, 19405,
     /* 1903334 */     GIR_EraseRootFromParent_Done,
     /* 1903335 */   // Label 25603: @1903335
     /* 1903335 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1903421), // Rule ID 19408 //
     /* 1903340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1903357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903386 */     // MIs[0] policy
     /* 1903386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903396 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1903399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903420 */     // GIR_Coverage, 19408,
     /* 1903420 */     GIR_EraseRootFromParent_Done,
     /* 1903421 */   // Label 25604: @1903421
     /* 1903421 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1903507), // Rule ID 19409 //
     /* 1903426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1903443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903472 */     // MIs[0] policy
     /* 1903472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1903485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903506 */     // GIR_Coverage, 19409,
     /* 1903506 */     GIR_EraseRootFromParent_Done,
     /* 1903507 */   // Label 25605: @1903507
     /* 1903507 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1903593), // Rule ID 19412 //
     /* 1903512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903558 */     // MIs[0] policy
     /* 1903558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903592 */     // GIR_Coverage, 19412,
     /* 1903592 */     GIR_EraseRootFromParent_Done,
     /* 1903593 */   // Label 25606: @1903593
     /* 1903593 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1903679), // Rule ID 19413 //
     /* 1903598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903644 */     // MIs[0] policy
     /* 1903644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903654 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903678 */     // GIR_Coverage, 19413,
     /* 1903678 */     GIR_EraseRootFromParent_Done,
     /* 1903679 */   // Label 25607: @1903679
     /* 1903679 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1903765), // Rule ID 19416 //
     /* 1903684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903730 */     // MIs[0] policy
     /* 1903730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903764 */     // GIR_Coverage, 19416,
     /* 1903764 */     GIR_EraseRootFromParent_Done,
     /* 1903765 */   // Label 25608: @1903765
     /* 1903765 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1903851), // Rule ID 19417 //
     /* 1903770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903816 */     // MIs[0] policy
     /* 1903816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903826 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903850 */     // GIR_Coverage, 19417,
     /* 1903850 */     GIR_EraseRootFromParent_Done,
     /* 1903851 */   // Label 25609: @1903851
     /* 1903851 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1903937), // Rule ID 19420 //
     /* 1903856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903902 */     // MIs[0] policy
     /* 1903902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903912 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1903915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903936 */     // GIR_Coverage, 19420,
     /* 1903936 */     GIR_EraseRootFromParent_Done,
     /* 1903937 */   // Label 25610: @1903937
     /* 1903937 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1904023), // Rule ID 19421 //
     /* 1903942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903988 */     // MIs[0] policy
     /* 1903988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903998 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1904001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904022 */     // GIR_Coverage, 19421,
     /* 1904022 */     GIR_EraseRootFromParent_Done,
     /* 1904023 */   // Label 25611: @1904023
     /* 1904023 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1904109), // Rule ID 19424 //
     /* 1904028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904074 */     // MIs[0] policy
     /* 1904074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1904087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904108 */     // GIR_Coverage, 19424,
     /* 1904108 */     GIR_EraseRootFromParent_Done,
     /* 1904109 */   // Label 25612: @1904109
     /* 1904109 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1904195), // Rule ID 19425 //
     /* 1904114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904160 */     // MIs[0] policy
     /* 1904160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904170 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1904173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904194 */     // GIR_Coverage, 19425,
     /* 1904194 */     GIR_EraseRootFromParent_Done,
     /* 1904195 */   // Label 25613: @1904195
     /* 1904195 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1904281), // Rule ID 19428 //
     /* 1904200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1904211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1904214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1904220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904246 */     // MIs[0] policy
     /* 1904246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1904259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904280 */     // GIR_Coverage, 19428,
     /* 1904280 */     GIR_EraseRootFromParent_Done,
     /* 1904281 */   // Label 25614: @1904281
     /* 1904281 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1904367), // Rule ID 19429 //
     /* 1904286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1904297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1904300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1904306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904332 */     // MIs[0] policy
     /* 1904332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904342 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1904345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904366 */     // GIR_Coverage, 19429,
     /* 1904366 */     GIR_EraseRootFromParent_Done,
     /* 1904367 */   // Label 25615: @1904367
     /* 1904367 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1904453), // Rule ID 19432 //
     /* 1904372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904418 */     // MIs[0] policy
     /* 1904418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1904431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904452 */     // GIR_Coverage, 19432,
     /* 1904452 */     GIR_EraseRootFromParent_Done,
     /* 1904453 */   // Label 25616: @1904453
     /* 1904453 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1904539), // Rule ID 19433 //
     /* 1904458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904504 */     // MIs[0] policy
     /* 1904504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904514 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1904517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904538 */     // GIR_Coverage, 19433,
     /* 1904538 */     GIR_EraseRootFromParent_Done,
     /* 1904539 */   // Label 25617: @1904539
     /* 1904539 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1904625), // Rule ID 19436 //
     /* 1904544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904590 */     // MIs[0] policy
     /* 1904590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904624 */     // GIR_Coverage, 19436,
     /* 1904624 */     GIR_EraseRootFromParent_Done,
     /* 1904625 */   // Label 25618: @1904625
     /* 1904625 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1904711), // Rule ID 19437 //
     /* 1904630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904676 */     // MIs[0] policy
     /* 1904676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904686 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904710 */     // GIR_Coverage, 19437,
     /* 1904710 */     GIR_EraseRootFromParent_Done,
     /* 1904711 */   // Label 25619: @1904711
     /* 1904711 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1904797), // Rule ID 19440 //
     /* 1904716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904762 */     // MIs[0] policy
     /* 1904762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904772 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904796 */     // GIR_Coverage, 19440,
     /* 1904796 */     GIR_EraseRootFromParent_Done,
     /* 1904797 */   // Label 25620: @1904797
     /* 1904797 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1904883), // Rule ID 19441 //
     /* 1904802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904848 */     // MIs[0] policy
     /* 1904848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904858 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904882 */     // GIR_Coverage, 19441,
     /* 1904882 */     GIR_EraseRootFromParent_Done,
     /* 1904883 */   // Label 25621: @1904883
     /* 1904883 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1904969), // Rule ID 19444 //
     /* 1904888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904934 */     // MIs[0] policy
     /* 1904934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904944 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1904947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904968 */     // GIR_Coverage, 19444,
     /* 1904968 */     GIR_EraseRootFromParent_Done,
     /* 1904969 */   // Label 25622: @1904969
     /* 1904969 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1905055), // Rule ID 19445 //
     /* 1904974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905020 */     // MIs[0] policy
     /* 1905020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905030 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1905033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905054 */     // GIR_Coverage, 19445,
     /* 1905054 */     GIR_EraseRootFromParent_Done,
     /* 1905055 */   // Label 25623: @1905055
     /* 1905055 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1905141), // Rule ID 19448 //
     /* 1905060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1905071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1905074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1905080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905106 */     // MIs[0] policy
     /* 1905106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905116 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1905119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905140 */     // GIR_Coverage, 19448,
     /* 1905140 */     GIR_EraseRootFromParent_Done,
     /* 1905141 */   // Label 25624: @1905141
     /* 1905141 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1905227), // Rule ID 19449 //
     /* 1905146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1905157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1905160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1905166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905192 */     // MIs[0] policy
     /* 1905192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905202 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1905205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905226 */     // GIR_Coverage, 19449,
     /* 1905226 */     GIR_EraseRootFromParent_Done,
     /* 1905227 */   // Label 25625: @1905227
     /* 1905227 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1905313), // Rule ID 19452 //
     /* 1905232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1905243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1905246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1905252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905278 */     // MIs[0] policy
     /* 1905278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1905291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905312 */     // GIR_Coverage, 19452,
     /* 1905312 */     GIR_EraseRootFromParent_Done,
     /* 1905313 */   // Label 25626: @1905313
     /* 1905313 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1905399), // Rule ID 19453 //
     /* 1905318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1905329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1905332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1905338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905364 */     // MIs[0] policy
     /* 1905364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905374 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1905377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905398 */     // GIR_Coverage, 19453,
     /* 1905398 */     GIR_EraseRootFromParent_Done,
     /* 1905399 */   // Label 25627: @1905399
     /* 1905399 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1905485), // Rule ID 19456 //
     /* 1905404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1905415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1905418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1905424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905450 */     // MIs[0] policy
     /* 1905450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905460 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905484 */     // GIR_Coverage, 19456,
     /* 1905484 */     GIR_EraseRootFromParent_Done,
     /* 1905485 */   // Label 25628: @1905485
     /* 1905485 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1905571), // Rule ID 19457 //
     /* 1905490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1905501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1905504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1905510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905536 */     // MIs[0] policy
     /* 1905536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905546 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905570 */     // GIR_Coverage, 19457,
     /* 1905570 */     GIR_EraseRootFromParent_Done,
     /* 1905571 */   // Label 25629: @1905571
     /* 1905571 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1905657), // Rule ID 19460 //
     /* 1905576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905622 */     // MIs[0] policy
     /* 1905622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905632 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905656 */     // GIR_Coverage, 19460,
     /* 1905656 */     GIR_EraseRootFromParent_Done,
     /* 1905657 */   // Label 25630: @1905657
     /* 1905657 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1905743), // Rule ID 19461 //
     /* 1905662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905708 */     // MIs[0] policy
     /* 1905708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905718 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905742 */     // GIR_Coverage, 19461,
     /* 1905742 */     GIR_EraseRootFromParent_Done,
     /* 1905743 */   // Label 25631: @1905743
     /* 1905743 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1905829), // Rule ID 19464 //
     /* 1905748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905794 */     // MIs[0] policy
     /* 1905794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905804 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905828 */     // GIR_Coverage, 19464,
     /* 1905828 */     GIR_EraseRootFromParent_Done,
     /* 1905829 */   // Label 25632: @1905829
     /* 1905829 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1905915), // Rule ID 19465 //
     /* 1905834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905880 */     // MIs[0] policy
     /* 1905880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905914 */     // GIR_Coverage, 19465,
     /* 1905914 */     GIR_EraseRootFromParent_Done,
     /* 1905915 */   // Label 25633: @1905915
     /* 1905915 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1906001), // Rule ID 19468 //
     /* 1905920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1905940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905966 */     // MIs[0] policy
     /* 1905966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1905979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906000 */     // GIR_Coverage, 19468,
     /* 1906000 */     GIR_EraseRootFromParent_Done,
     /* 1906001 */   // Label 25634: @1906001
     /* 1906001 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1906087), // Rule ID 19469 //
     /* 1906006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1906017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1906020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1906023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1906026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906052 */     // MIs[0] policy
     /* 1906052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906062 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1906065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906086 */     // GIR_Coverage, 19469,
     /* 1906086 */     GIR_EraseRootFromParent_Done,
     /* 1906087 */   // Label 25635: @1906087
     /* 1906087 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1906173), // Rule ID 19472 //
     /* 1906092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1906103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1906106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1906109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1906112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906138 */     // MIs[0] policy
     /* 1906138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1906151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906172 */     // GIR_Coverage, 19472,
     /* 1906172 */     GIR_EraseRootFromParent_Done,
     /* 1906173 */   // Label 25636: @1906173
     /* 1906173 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1906259), // Rule ID 19473 //
     /* 1906178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1906189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1906192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1906195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1906198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906224 */     // MIs[0] policy
     /* 1906224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906234 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1906237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906258 */     // GIR_Coverage, 19473,
     /* 1906258 */     GIR_EraseRootFromParent_Done,
     /* 1906259 */   // Label 25637: @1906259
     /* 1906259 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1906345), // Rule ID 19476 //
     /* 1906264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906310 */     // MIs[0] policy
     /* 1906310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906320 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1906323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906344 */     // GIR_Coverage, 19476,
     /* 1906344 */     GIR_EraseRootFromParent_Done,
     /* 1906345 */   // Label 25638: @1906345
     /* 1906345 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1906431), // Rule ID 19477 //
     /* 1906350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906396 */     // MIs[0] policy
     /* 1906396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906406 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1906409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906430 */     // GIR_Coverage, 19477,
     /* 1906430 */     GIR_EraseRootFromParent_Done,
     /* 1906431 */   // Label 25639: @1906431
     /* 1906431 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1906517), // Rule ID 19480 //
     /* 1906436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906482 */     // MIs[0] policy
     /* 1906482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906492 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906516 */     // GIR_Coverage, 19480,
     /* 1906516 */     GIR_EraseRootFromParent_Done,
     /* 1906517 */   // Label 25640: @1906517
     /* 1906517 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1906603), // Rule ID 19481 //
     /* 1906522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906568 */     // MIs[0] policy
     /* 1906568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906578 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906602 */     // GIR_Coverage, 19481,
     /* 1906602 */     GIR_EraseRootFromParent_Done,
     /* 1906603 */   // Label 25641: @1906603
     /* 1906603 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1906689), // Rule ID 19484 //
     /* 1906608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906654 */     // MIs[0] policy
     /* 1906654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906664 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906688 */     // GIR_Coverage, 19484,
     /* 1906688 */     GIR_EraseRootFromParent_Done,
     /* 1906689 */   // Label 25642: @1906689
     /* 1906689 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1906775), // Rule ID 19485 //
     /* 1906694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906740 */     // MIs[0] policy
     /* 1906740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906750 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906774 */     // GIR_Coverage, 19485,
     /* 1906774 */     GIR_EraseRootFromParent_Done,
     /* 1906775 */   // Label 25643: @1906775
     /* 1906775 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1906861), // Rule ID 19488 //
     /* 1906780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906826 */     // MIs[0] policy
     /* 1906826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906836 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906860 */     // GIR_Coverage, 19488,
     /* 1906860 */     GIR_EraseRootFromParent_Done,
     /* 1906861 */   // Label 25644: @1906861
     /* 1906861 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1906947), // Rule ID 19489 //
     /* 1906866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906912 */     // MIs[0] policy
     /* 1906912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906922 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906946 */     // GIR_Coverage, 19489,
     /* 1906946 */     GIR_EraseRootFromParent_Done,
     /* 1906947 */   // Label 25645: @1906947
     /* 1906947 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1907033), // Rule ID 19492 //
     /* 1906952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906998 */     // MIs[0] policy
     /* 1906998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1907011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907032 */     // GIR_Coverage, 19492,
     /* 1907032 */     GIR_EraseRootFromParent_Done,
     /* 1907033 */   // Label 25646: @1907033
     /* 1907033 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1907119), // Rule ID 19493 //
     /* 1907038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1907049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1907052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1907055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907084 */     // MIs[0] policy
     /* 1907084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907094 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1907097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907118 */     // GIR_Coverage, 19493,
     /* 1907118 */     GIR_EraseRootFromParent_Done,
     /* 1907119 */   // Label 25647: @1907119
     /* 1907119 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1907205), // Rule ID 19496 //
     /* 1907124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1907135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1907138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1907141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907170 */     // MIs[0] policy
     /* 1907170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1907183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907204 */     // GIR_Coverage, 19496,
     /* 1907204 */     GIR_EraseRootFromParent_Done,
     /* 1907205 */   // Label 25648: @1907205
     /* 1907205 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1907291), // Rule ID 19497 //
     /* 1907210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1907221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1907224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1907227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907256 */     // MIs[0] policy
     /* 1907256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907266 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1907269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907290 */     // GIR_Coverage, 19497,
     /* 1907290 */     GIR_EraseRootFromParent_Done,
     /* 1907291 */   // Label 25649: @1907291
     /* 1907291 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1907377), // Rule ID 19500 //
     /* 1907296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1907307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1907310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1907313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907342 */     // MIs[0] policy
     /* 1907342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907352 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1907355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907376 */     // GIR_Coverage, 19500,
     /* 1907376 */     GIR_EraseRootFromParent_Done,
     /* 1907377 */   // Label 25650: @1907377
     /* 1907377 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1907463), // Rule ID 19501 //
     /* 1907382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1907393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1907396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1907399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907428 */     // MIs[0] policy
     /* 1907428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907438 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1907441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907462 */     // GIR_Coverage, 19501,
     /* 1907462 */     GIR_EraseRootFromParent_Done,
     /* 1907463 */   // Label 25651: @1907463
     /* 1907463 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1907549), // Rule ID 19504 //
     /* 1907468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907514 */     // MIs[0] policy
     /* 1907514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907524 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907548 */     // GIR_Coverage, 19504,
     /* 1907548 */     GIR_EraseRootFromParent_Done,
     /* 1907549 */   // Label 25652: @1907549
     /* 1907549 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1907635), // Rule ID 19505 //
     /* 1907554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907600 */     // MIs[0] policy
     /* 1907600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907610 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907634 */     // GIR_Coverage, 19505,
     /* 1907634 */     GIR_EraseRootFromParent_Done,
     /* 1907635 */   // Label 25653: @1907635
     /* 1907635 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1907721), // Rule ID 19508 //
     /* 1907640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907686 */     // MIs[0] policy
     /* 1907686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907696 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907720 */     // GIR_Coverage, 19508,
     /* 1907720 */     GIR_EraseRootFromParent_Done,
     /* 1907721 */   // Label 25654: @1907721
     /* 1907721 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1907807), // Rule ID 19509 //
     /* 1907726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907772 */     // MIs[0] policy
     /* 1907772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907782 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907806 */     // GIR_Coverage, 19509,
     /* 1907806 */     GIR_EraseRootFromParent_Done,
     /* 1907807 */   // Label 25655: @1907807
     /* 1907807 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1907893), // Rule ID 19512 //
     /* 1907812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907858 */     // MIs[0] policy
     /* 1907858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907868 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907892 */     // GIR_Coverage, 19512,
     /* 1907892 */     GIR_EraseRootFromParent_Done,
     /* 1907893 */   // Label 25656: @1907893
     /* 1907893 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1907979), // Rule ID 19513 //
     /* 1907898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907944 */     // MIs[0] policy
     /* 1907944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907954 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907978 */     // GIR_Coverage, 19513,
     /* 1907978 */     GIR_EraseRootFromParent_Done,
     /* 1907979 */   // Label 25657: @1907979
     /* 1907979 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1908065), // Rule ID 19516 //
     /* 1907984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1908001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908030 */     // MIs[0] policy
     /* 1908030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908040 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1908043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908064 */     // GIR_Coverage, 19516,
     /* 1908064 */     GIR_EraseRootFromParent_Done,
     /* 1908065 */   // Label 25658: @1908065
     /* 1908065 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1908151), // Rule ID 19517 //
     /* 1908070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1908081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1908084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1908087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908116 */     // MIs[0] policy
     /* 1908116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908126 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1908129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908150 */     // GIR_Coverage, 19517,
     /* 1908150 */     GIR_EraseRootFromParent_Done,
     /* 1908151 */   // Label 25659: @1908151
     /* 1908151 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1908237), // Rule ID 19520 //
     /* 1908156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1908167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1908170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1908173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908202 */     // MIs[0] policy
     /* 1908202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908212 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1908215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908236 */     // GIR_Coverage, 19520,
     /* 1908236 */     GIR_EraseRootFromParent_Done,
     /* 1908237 */   // Label 25660: @1908237
     /* 1908237 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1908323), // Rule ID 19521 //
     /* 1908242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1908253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1908256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1908259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908288 */     // MIs[0] policy
     /* 1908288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908298 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1908301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908322 */     // GIR_Coverage, 19521,
     /* 1908322 */     GIR_EraseRootFromParent_Done,
     /* 1908323 */   // Label 25661: @1908323
     /* 1908323 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1908409), // Rule ID 19524 //
     /* 1908328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1908339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1908342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1908345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908374 */     // MIs[0] policy
     /* 1908374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908384 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1908387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908408 */     // GIR_Coverage, 19524,
     /* 1908408 */     GIR_EraseRootFromParent_Done,
     /* 1908409 */   // Label 25662: @1908409
     /* 1908409 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1908495), // Rule ID 19525 //
     /* 1908414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1908425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1908428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1908431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908460 */     // MIs[0] policy
     /* 1908460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908470 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1908473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908494 */     // GIR_Coverage, 19525,
     /* 1908494 */     GIR_EraseRootFromParent_Done,
     /* 1908495 */   // Label 25663: @1908495
     /* 1908495 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1908581), // Rule ID 19528 //
     /* 1908500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908546 */     // MIs[0] policy
     /* 1908546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908556 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908580 */     // GIR_Coverage, 19528,
     /* 1908580 */     GIR_EraseRootFromParent_Done,
     /* 1908581 */   // Label 25664: @1908581
     /* 1908581 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1908667), // Rule ID 19529 //
     /* 1908586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908632 */     // MIs[0] policy
     /* 1908632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908642 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908666 */     // GIR_Coverage, 19529,
     /* 1908666 */     GIR_EraseRootFromParent_Done,
     /* 1908667 */   // Label 25665: @1908667
     /* 1908667 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1908753), // Rule ID 19532 //
     /* 1908672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908718 */     // MIs[0] policy
     /* 1908718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908752 */     // GIR_Coverage, 19532,
     /* 1908752 */     GIR_EraseRootFromParent_Done,
     /* 1908753 */   // Label 25666: @1908753
     /* 1908753 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1908839), // Rule ID 19533 //
     /* 1908758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908804 */     // MIs[0] policy
     /* 1908804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908814 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908838 */     // GIR_Coverage, 19533,
     /* 1908838 */     GIR_EraseRootFromParent_Done,
     /* 1908839 */   // Label 25667: @1908839
     /* 1908839 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1908925), // Rule ID 19536 //
     /* 1908844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908890 */     // MIs[0] policy
     /* 1908890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908924 */     // GIR_Coverage, 19536,
     /* 1908924 */     GIR_EraseRootFromParent_Done,
     /* 1908925 */   // Label 25668: @1908925
     /* 1908925 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1909011), // Rule ID 19537 //
     /* 1908930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908976 */     // MIs[0] policy
     /* 1908976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908986 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909010 */     // GIR_Coverage, 19537,
     /* 1909010 */     GIR_EraseRootFromParent_Done,
     /* 1909011 */   // Label 25669: @1909011
     /* 1909011 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1909097), // Rule ID 19540 //
     /* 1909016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1909036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909062 */     // MIs[0] policy
     /* 1909062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909072 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1909075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909096 */     // GIR_Coverage, 19540,
     /* 1909096 */     GIR_EraseRootFromParent_Done,
     /* 1909097 */   // Label 25670: @1909097
     /* 1909097 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1909183), // Rule ID 19541 //
     /* 1909102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1909122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909148 */     // MIs[0] policy
     /* 1909148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909158 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1909161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909182 */     // GIR_Coverage, 19541,
     /* 1909182 */     GIR_EraseRootFromParent_Done,
     /* 1909183 */   // Label 25671: @1909183
     /* 1909183 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1909269), // Rule ID 19544 //
     /* 1909188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1909208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909234 */     // MIs[0] policy
     /* 1909234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909244 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1909247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909268 */     // GIR_Coverage, 19544,
     /* 1909268 */     GIR_EraseRootFromParent_Done,
     /* 1909269 */   // Label 25672: @1909269
     /* 1909269 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1909355), // Rule ID 19545 //
     /* 1909274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1909294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909320 */     // MIs[0] policy
     /* 1909320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909330 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1909333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909354 */     // GIR_Coverage, 19545,
     /* 1909354 */     GIR_EraseRootFromParent_Done,
     /* 1909355 */   // Label 25673: @1909355
     /* 1909355 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1909441), // Rule ID 19548 //
     /* 1909360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1909371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1909374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1909377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1909380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909406 */     // MIs[0] policy
     /* 1909406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1909419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909440 */     // GIR_Coverage, 19548,
     /* 1909440 */     GIR_EraseRootFromParent_Done,
     /* 1909441 */   // Label 25674: @1909441
     /* 1909441 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1909527), // Rule ID 19549 //
     /* 1909446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1909457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1909460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1909463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1909466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909492 */     // MIs[0] policy
     /* 1909492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909502 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1909505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909526 */     // GIR_Coverage, 19549,
     /* 1909526 */     GIR_EraseRootFromParent_Done,
     /* 1909527 */   // Label 25675: @1909527
     /* 1909527 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1909613), // Rule ID 19552 //
     /* 1909532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909578 */     // MIs[0] policy
     /* 1909578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909612 */     // GIR_Coverage, 19552,
     /* 1909612 */     GIR_EraseRootFromParent_Done,
     /* 1909613 */   // Label 25676: @1909613
     /* 1909613 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1909699), // Rule ID 19553 //
     /* 1909618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909664 */     // MIs[0] policy
     /* 1909664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909674 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909698 */     // GIR_Coverage, 19553,
     /* 1909698 */     GIR_EraseRootFromParent_Done,
     /* 1909699 */   // Label 25677: @1909699
     /* 1909699 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1909785), // Rule ID 19556 //
     /* 1909704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909750 */     // MIs[0] policy
     /* 1909750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909760 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909784 */     // GIR_Coverage, 19556,
     /* 1909784 */     GIR_EraseRootFromParent_Done,
     /* 1909785 */   // Label 25678: @1909785
     /* 1909785 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1909871), // Rule ID 19557 //
     /* 1909790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909836 */     // MIs[0] policy
     /* 1909836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909846 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909870 */     // GIR_Coverage, 19557,
     /* 1909870 */     GIR_EraseRootFromParent_Done,
     /* 1909871 */   // Label 25679: @1909871
     /* 1909871 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1909957), // Rule ID 19560 //
     /* 1909876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909922 */     // MIs[0] policy
     /* 1909922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909932 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1909935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909956 */     // GIR_Coverage, 19560,
     /* 1909956 */     GIR_EraseRootFromParent_Done,
     /* 1909957 */   // Label 25680: @1909957
     /* 1909957 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1910043), // Rule ID 19561 //
     /* 1909962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910008 */     // MIs[0] policy
     /* 1910008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910018 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1910021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910042 */     // GIR_Coverage, 19561,
     /* 1910042 */     GIR_EraseRootFromParent_Done,
     /* 1910043 */   // Label 25681: @1910043
     /* 1910043 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1910129), // Rule ID 19564 //
     /* 1910048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1910068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910094 */     // MIs[0] policy
     /* 1910094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910104 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1910107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910128 */     // GIR_Coverage, 19564,
     /* 1910128 */     GIR_EraseRootFromParent_Done,
     /* 1910129 */   // Label 25682: @1910129
     /* 1910129 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1910215), // Rule ID 19565 //
     /* 1910134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1910154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910180 */     // MIs[0] policy
     /* 1910180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910190 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1910193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910214 */     // GIR_Coverage, 19565,
     /* 1910214 */     GIR_EraseRootFromParent_Done,
     /* 1910215 */   // Label 25683: @1910215
     /* 1910215 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1910301), // Rule ID 19568 //
     /* 1910220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1910240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910266 */     // MIs[0] policy
     /* 1910266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910276 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1910279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910300 */     // GIR_Coverage, 19568,
     /* 1910300 */     GIR_EraseRootFromParent_Done,
     /* 1910301 */   // Label 25684: @1910301
     /* 1910301 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1910387), // Rule ID 19569 //
     /* 1910306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1910326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910352 */     // MIs[0] policy
     /* 1910352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910362 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1910365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910386 */     // GIR_Coverage, 19569,
     /* 1910386 */     GIR_EraseRootFromParent_Done,
     /* 1910387 */   // Label 25685: @1910387
     /* 1910387 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1910473), // Rule ID 19572 //
     /* 1910392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1910412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910438 */     // MIs[0] policy
     /* 1910438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910448 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910472 */     // GIR_Coverage, 19572,
     /* 1910472 */     GIR_EraseRootFromParent_Done,
     /* 1910473 */   // Label 25686: @1910473
     /* 1910473 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1910559), // Rule ID 19573 //
     /* 1910478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1910498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910524 */     // MIs[0] policy
     /* 1910524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910534 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910558 */     // GIR_Coverage, 19573,
     /* 1910558 */     GIR_EraseRootFromParent_Done,
     /* 1910559 */   // Label 25687: @1910559
     /* 1910559 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1910645), // Rule ID 19576 //
     /* 1910564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910610 */     // MIs[0] policy
     /* 1910610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910644 */     // GIR_Coverage, 19576,
     /* 1910644 */     GIR_EraseRootFromParent_Done,
     /* 1910645 */   // Label 25688: @1910645
     /* 1910645 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1910731), // Rule ID 19577 //
     /* 1910650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910696 */     // MIs[0] policy
     /* 1910696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910706 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910730 */     // GIR_Coverage, 19577,
     /* 1910730 */     GIR_EraseRootFromParent_Done,
     /* 1910731 */   // Label 25689: @1910731
     /* 1910731 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1910817), // Rule ID 19580 //
     /* 1910736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910782 */     // MIs[0] policy
     /* 1910782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910792 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910816 */     // GIR_Coverage, 19580,
     /* 1910816 */     GIR_EraseRootFromParent_Done,
     /* 1910817 */   // Label 25690: @1910817
     /* 1910817 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1910903), // Rule ID 19581 //
     /* 1910822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910868 */     // MIs[0] policy
     /* 1910868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910878 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910902 */     // GIR_Coverage, 19581,
     /* 1910902 */     GIR_EraseRootFromParent_Done,
     /* 1910903 */   // Label 25691: @1910903
     /* 1910903 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1910989), // Rule ID 19584 //
     /* 1910908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1910928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910954 */     // MIs[0] policy
     /* 1910954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1910967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910988 */     // GIR_Coverage, 19584,
     /* 1910988 */     GIR_EraseRootFromParent_Done,
     /* 1910989 */   // Label 25692: @1910989
     /* 1910989 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1911075), // Rule ID 19585 //
     /* 1910994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1911005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1911008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1911011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1911014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911040 */     // MIs[0] policy
     /* 1911040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911050 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1911053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911074 */     // GIR_Coverage, 19585,
     /* 1911074 */     GIR_EraseRootFromParent_Done,
     /* 1911075 */   // Label 25693: @1911075
     /* 1911075 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1911161), // Rule ID 19588 //
     /* 1911080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1911100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911126 */     // MIs[0] policy
     /* 1911126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911136 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1911139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911160 */     // GIR_Coverage, 19588,
     /* 1911160 */     GIR_EraseRootFromParent_Done,
     /* 1911161 */   // Label 25694: @1911161
     /* 1911161 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1911247), // Rule ID 19589 //
     /* 1911166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1911186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911212 */     // MIs[0] policy
     /* 1911212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911222 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1911225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911246 */     // GIR_Coverage, 19589,
     /* 1911246 */     GIR_EraseRootFromParent_Done,
     /* 1911247 */   // Label 25695: @1911247
     /* 1911247 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1911333), // Rule ID 19592 //
     /* 1911252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1911272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911298 */     // MIs[0] policy
     /* 1911298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1911311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911332 */     // GIR_Coverage, 19592,
     /* 1911332 */     GIR_EraseRootFromParent_Done,
     /* 1911333 */   // Label 25696: @1911333
     /* 1911333 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1911419), // Rule ID 19593 //
     /* 1911338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1911358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911384 */     // MIs[0] policy
     /* 1911384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911394 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1911397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911418 */     // GIR_Coverage, 19593,
     /* 1911418 */     GIR_EraseRootFromParent_Done,
     /* 1911419 */   // Label 25697: @1911419
     /* 1911419 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1911505), // Rule ID 19596 //
     /* 1911424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911470 */     // MIs[0] policy
     /* 1911470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911504 */     // GIR_Coverage, 19596,
     /* 1911504 */     GIR_EraseRootFromParent_Done,
     /* 1911505 */   // Label 25698: @1911505
     /* 1911505 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1911591), // Rule ID 19597 //
     /* 1911510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911556 */     // MIs[0] policy
     /* 1911556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911566 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911590 */     // GIR_Coverage, 19597,
     /* 1911590 */     GIR_EraseRootFromParent_Done,
     /* 1911591 */   // Label 25699: @1911591
     /* 1911591 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1911677), // Rule ID 19600 //
     /* 1911596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911642 */     // MIs[0] policy
     /* 1911642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911652 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911676 */     // GIR_Coverage, 19600,
     /* 1911676 */     GIR_EraseRootFromParent_Done,
     /* 1911677 */   // Label 25700: @1911677
     /* 1911677 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1911763), // Rule ID 19601 //
     /* 1911682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911728 */     // MIs[0] policy
     /* 1911728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911738 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911762 */     // GIR_Coverage, 19601,
     /* 1911762 */     GIR_EraseRootFromParent_Done,
     /* 1911763 */   // Label 25701: @1911763
     /* 1911763 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1911849), // Rule ID 19604 //
     /* 1911768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911814 */     // MIs[0] policy
     /* 1911814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911824 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911848 */     // GIR_Coverage, 19604,
     /* 1911848 */     GIR_EraseRootFromParent_Done,
     /* 1911849 */   // Label 25702: @1911849
     /* 1911849 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1911935), // Rule ID 19605 //
     /* 1911854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911900 */     // MIs[0] policy
     /* 1911900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911910 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911934 */     // GIR_Coverage, 19605,
     /* 1911934 */     GIR_EraseRootFromParent_Done,
     /* 1911935 */   // Label 25703: @1911935
     /* 1911935 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1912021), // Rule ID 19608 //
     /* 1911940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911986 */     // MIs[0] policy
     /* 1911986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911996 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1911999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912020 */     // GIR_Coverage, 19608,
     /* 1912020 */     GIR_EraseRootFromParent_Done,
     /* 1912021 */   // Label 25704: @1912021
     /* 1912021 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1912107), // Rule ID 19609 //
     /* 1912026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912072 */     // MIs[0] policy
     /* 1912072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912082 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1912085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912106 */     // GIR_Coverage, 19609,
     /* 1912106 */     GIR_EraseRootFromParent_Done,
     /* 1912107 */   // Label 25705: @1912107
     /* 1912107 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1912193), // Rule ID 19612 //
     /* 1912112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912158 */     // MIs[0] policy
     /* 1912158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1912171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912192 */     // GIR_Coverage, 19612,
     /* 1912192 */     GIR_EraseRootFromParent_Done,
     /* 1912193 */   // Label 25706: @1912193
     /* 1912193 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1912279), // Rule ID 19613 //
     /* 1912198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912244 */     // MIs[0] policy
     /* 1912244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912254 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1912257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912278 */     // GIR_Coverage, 19613,
     /* 1912278 */     GIR_EraseRootFromParent_Done,
     /* 1912279 */   // Label 25707: @1912279
     /* 1912279 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1912365), // Rule ID 19616 //
     /* 1912284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912330 */     // MIs[0] policy
     /* 1912330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1912343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912364 */     // GIR_Coverage, 19616,
     /* 1912364 */     GIR_EraseRootFromParent_Done,
     /* 1912365 */   // Label 25708: @1912365
     /* 1912365 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1912451), // Rule ID 19617 //
     /* 1912370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912416 */     // MIs[0] policy
     /* 1912416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912426 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1912429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912450 */     // GIR_Coverage, 19617,
     /* 1912450 */     GIR_EraseRootFromParent_Done,
     /* 1912451 */   // Label 25709: @1912451
     /* 1912451 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1912537), // Rule ID 19620 //
     /* 1912456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912502 */     // MIs[0] policy
     /* 1912502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912512 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912536 */     // GIR_Coverage, 19620,
     /* 1912536 */     GIR_EraseRootFromParent_Done,
     /* 1912537 */   // Label 25710: @1912537
     /* 1912537 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1912623), // Rule ID 19621 //
     /* 1912542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912588 */     // MIs[0] policy
     /* 1912588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912622 */     // GIR_Coverage, 19621,
     /* 1912622 */     GIR_EraseRootFromParent_Done,
     /* 1912623 */   // Label 25711: @1912623
     /* 1912623 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1912709), // Rule ID 19624 //
     /* 1912628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912674 */     // MIs[0] policy
     /* 1912674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912684 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912708 */     // GIR_Coverage, 19624,
     /* 1912708 */     GIR_EraseRootFromParent_Done,
     /* 1912709 */   // Label 25712: @1912709
     /* 1912709 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1912795), // Rule ID 19625 //
     /* 1912714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912760 */     // MIs[0] policy
     /* 1912760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912770 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912794 */     // GIR_Coverage, 19625,
     /* 1912794 */     GIR_EraseRootFromParent_Done,
     /* 1912795 */   // Label 25713: @1912795
     /* 1912795 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1912881), // Rule ID 19628 //
     /* 1912800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912846 */     // MIs[0] policy
     /* 1912846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912856 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912880 */     // GIR_Coverage, 19628,
     /* 1912880 */     GIR_EraseRootFromParent_Done,
     /* 1912881 */   // Label 25714: @1912881
     /* 1912881 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1912967), // Rule ID 19629 //
     /* 1912886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912932 */     // MIs[0] policy
     /* 1912932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912942 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912966 */     // GIR_Coverage, 19629,
     /* 1912966 */     GIR_EraseRootFromParent_Done,
     /* 1912967 */   // Label 25715: @1912967
     /* 1912967 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1913053), // Rule ID 19632 //
     /* 1912972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913018 */     // MIs[0] policy
     /* 1913018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913028 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1913031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913052 */     // GIR_Coverage, 19632,
     /* 1913052 */     GIR_EraseRootFromParent_Done,
     /* 1913053 */   // Label 25716: @1913053
     /* 1913053 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1913139), // Rule ID 19633 //
     /* 1913058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1913069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1913072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1913075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913104 */     // MIs[0] policy
     /* 1913104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913114 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1913117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913138 */     // GIR_Coverage, 19633,
     /* 1913138 */     GIR_EraseRootFromParent_Done,
     /* 1913139 */   // Label 25717: @1913139
     /* 1913139 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1913225), // Rule ID 19636 //
     /* 1913144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1913155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1913158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1913161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913190 */     // MIs[0] policy
     /* 1913190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913200 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1913203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913224 */     // GIR_Coverage, 19636,
     /* 1913224 */     GIR_EraseRootFromParent_Done,
     /* 1913225 */   // Label 25718: @1913225
     /* 1913225 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1913311), // Rule ID 19637 //
     /* 1913230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1913241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1913244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1913247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913276 */     // MIs[0] policy
     /* 1913276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913286 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1913289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913310 */     // GIR_Coverage, 19637,
     /* 1913310 */     GIR_EraseRootFromParent_Done,
     /* 1913311 */   // Label 25719: @1913311
     /* 1913311 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1913397), // Rule ID 19640 //
     /* 1913316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1913327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1913330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1913333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913362 */     // MIs[0] policy
     /* 1913362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913372 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1913375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913396 */     // GIR_Coverage, 19640,
     /* 1913396 */     GIR_EraseRootFromParent_Done,
     /* 1913397 */   // Label 25720: @1913397
     /* 1913397 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1913483), // Rule ID 19641 //
     /* 1913402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1913413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1913416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1913419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913448 */     // MIs[0] policy
     /* 1913448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913458 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1913461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913482 */     // GIR_Coverage, 19641,
     /* 1913482 */     GIR_EraseRootFromParent_Done,
     /* 1913483 */   // Label 25721: @1913483
     /* 1913483 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1913569), // Rule ID 19644 //
     /* 1913488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913534 */     // MIs[0] policy
     /* 1913534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913544 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913568 */     // GIR_Coverage, 19644,
     /* 1913568 */     GIR_EraseRootFromParent_Done,
     /* 1913569 */   // Label 25722: @1913569
     /* 1913569 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1913655), // Rule ID 19645 //
     /* 1913574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913620 */     // MIs[0] policy
     /* 1913620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913630 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913654 */     // GIR_Coverage, 19645,
     /* 1913654 */     GIR_EraseRootFromParent_Done,
     /* 1913655 */   // Label 25723: @1913655
     /* 1913655 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1913741), // Rule ID 19648 //
     /* 1913660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913706 */     // MIs[0] policy
     /* 1913706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913716 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913740 */     // GIR_Coverage, 19648,
     /* 1913740 */     GIR_EraseRootFromParent_Done,
     /* 1913741 */   // Label 25724: @1913741
     /* 1913741 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1913827), // Rule ID 19649 //
     /* 1913746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913792 */     // MIs[0] policy
     /* 1913792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913802 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913826 */     // GIR_Coverage, 19649,
     /* 1913826 */     GIR_EraseRootFromParent_Done,
     /* 1913827 */   // Label 25725: @1913827
     /* 1913827 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1913913), // Rule ID 19652 //
     /* 1913832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913878 */     // MIs[0] policy
     /* 1913878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913888 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913912 */     // GIR_Coverage, 19652,
     /* 1913912 */     GIR_EraseRootFromParent_Done,
     /* 1913913 */   // Label 25726: @1913913
     /* 1913913 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1913999), // Rule ID 19653 //
     /* 1913918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913964 */     // MIs[0] policy
     /* 1913964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913974 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913998 */     // GIR_Coverage, 19653,
     /* 1913998 */     GIR_EraseRootFromParent_Done,
     /* 1913999 */   // Label 25727: @1913999
     /* 1913999 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1914085), // Rule ID 23494 //
     /* 1914004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1914015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1914018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1914021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914050 */     // MIs[0] policy
     /* 1914050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1914063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914084 */     // GIR_Coverage, 23494,
     /* 1914084 */     GIR_EraseRootFromParent_Done,
     /* 1914085 */   // Label 25728: @1914085
     /* 1914085 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1914171), // Rule ID 23495 //
     /* 1914090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1914101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1914104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1914107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914136 */     // MIs[0] policy
     /* 1914136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914146 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1914149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914170 */     // GIR_Coverage, 23495,
     /* 1914170 */     GIR_EraseRootFromParent_Done,
     /* 1914171 */   // Label 25729: @1914171
     /* 1914171 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1914257), // Rule ID 23498 //
     /* 1914176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1914187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1914190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1914193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914222 */     // MIs[0] policy
     /* 1914222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914256 */     // GIR_Coverage, 23498,
     /* 1914256 */     GIR_EraseRootFromParent_Done,
     /* 1914257 */   // Label 25730: @1914257
     /* 1914257 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1914343), // Rule ID 23499 //
     /* 1914262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1914273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1914276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1914279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914308 */     // MIs[0] policy
     /* 1914308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914318 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914342 */     // GIR_Coverage, 23499,
     /* 1914342 */     GIR_EraseRootFromParent_Done,
     /* 1914343 */   // Label 25731: @1914343
     /* 1914343 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1914429), // Rule ID 23502 //
     /* 1914348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1914359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1914362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1914365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914394 */     // MIs[0] policy
     /* 1914394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914404 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914428 */     // GIR_Coverage, 23502,
     /* 1914428 */     GIR_EraseRootFromParent_Done,
     /* 1914429 */   // Label 25732: @1914429
     /* 1914429 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1914515), // Rule ID 23503 //
     /* 1914434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1914445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1914448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1914451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914480 */     // MIs[0] policy
     /* 1914480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914490 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914514 */     // GIR_Coverage, 23503,
     /* 1914514 */     GIR_EraseRootFromParent_Done,
     /* 1914515 */   // Label 25733: @1914515
     /* 1914515 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1914601), // Rule ID 23506 //
     /* 1914520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914566 */     // MIs[0] policy
     /* 1914566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914600 */     // GIR_Coverage, 23506,
     /* 1914600 */     GIR_EraseRootFromParent_Done,
     /* 1914601 */   // Label 25734: @1914601
     /* 1914601 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1914687), // Rule ID 23507 //
     /* 1914606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914652 */     // MIs[0] policy
     /* 1914652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914686 */     // GIR_Coverage, 23507,
     /* 1914686 */     GIR_EraseRootFromParent_Done,
     /* 1914687 */   // Label 25735: @1914687
     /* 1914687 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1914773), // Rule ID 23510 //
     /* 1914692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914738 */     // MIs[0] policy
     /* 1914738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914772 */     // GIR_Coverage, 23510,
     /* 1914772 */     GIR_EraseRootFromParent_Done,
     /* 1914773 */   // Label 25736: @1914773
     /* 1914773 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1914859), // Rule ID 23511 //
     /* 1914778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914824 */     // MIs[0] policy
     /* 1914824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914858 */     // GIR_Coverage, 23511,
     /* 1914858 */     GIR_EraseRootFromParent_Done,
     /* 1914859 */   // Label 25737: @1914859
     /* 1914859 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1914945), // Rule ID 23514 //
     /* 1914864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914910 */     // MIs[0] policy
     /* 1914910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914944 */     // GIR_Coverage, 23514,
     /* 1914944 */     GIR_EraseRootFromParent_Done,
     /* 1914945 */   // Label 25738: @1914945
     /* 1914945 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1915031), // Rule ID 23515 //
     /* 1914950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914996 */     // MIs[0] policy
     /* 1914996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1915009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915030 */     // GIR_Coverage, 23515,
     /* 1915030 */     GIR_EraseRootFromParent_Done,
     /* 1915031 */   // Label 25739: @1915031
     /* 1915031 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1915117), // Rule ID 23518 //
     /* 1915036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1915047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1915050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1915053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915082 */     // MIs[0] policy
     /* 1915082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915116 */     // GIR_Coverage, 23518,
     /* 1915116 */     GIR_EraseRootFromParent_Done,
     /* 1915117 */   // Label 25740: @1915117
     /* 1915117 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1915203), // Rule ID 23519 //
     /* 1915122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1915133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1915136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1915139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915168 */     // MIs[0] policy
     /* 1915168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915202 */     // GIR_Coverage, 23519,
     /* 1915202 */     GIR_EraseRootFromParent_Done,
     /* 1915203 */   // Label 25741: @1915203
     /* 1915203 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1915289), // Rule ID 23522 //
     /* 1915208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915254 */     // MIs[0] policy
     /* 1915254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915288 */     // GIR_Coverage, 23522,
     /* 1915288 */     GIR_EraseRootFromParent_Done,
     /* 1915289 */   // Label 25742: @1915289
     /* 1915289 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1915375), // Rule ID 23523 //
     /* 1915294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915340 */     // MIs[0] policy
     /* 1915340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915374 */     // GIR_Coverage, 23523,
     /* 1915374 */     GIR_EraseRootFromParent_Done,
     /* 1915375 */   // Label 25743: @1915375
     /* 1915375 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1915461), // Rule ID 23526 //
     /* 1915380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915426 */     // MIs[0] policy
     /* 1915426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915460 */     // GIR_Coverage, 23526,
     /* 1915460 */     GIR_EraseRootFromParent_Done,
     /* 1915461 */   // Label 25744: @1915461
     /* 1915461 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1915547), // Rule ID 23527 //
     /* 1915466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915512 */     // MIs[0] policy
     /* 1915512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915546 */     // GIR_Coverage, 23527,
     /* 1915546 */     GIR_EraseRootFromParent_Done,
     /* 1915547 */   // Label 25745: @1915547
     /* 1915547 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1915633), // Rule ID 23530 //
     /* 1915552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915598 */     // MIs[0] policy
     /* 1915598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915632 */     // GIR_Coverage, 23530,
     /* 1915632 */     GIR_EraseRootFromParent_Done,
     /* 1915633 */   // Label 25746: @1915633
     /* 1915633 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1915719), // Rule ID 23531 //
     /* 1915638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915684 */     // MIs[0] policy
     /* 1915684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915718 */     // GIR_Coverage, 23531,
     /* 1915718 */     GIR_EraseRootFromParent_Done,
     /* 1915719 */   // Label 25747: @1915719
     /* 1915719 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1915805), // Rule ID 23534 //
     /* 1915724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915770 */     // MIs[0] policy
     /* 1915770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915804 */     // GIR_Coverage, 23534,
     /* 1915804 */     GIR_EraseRootFromParent_Done,
     /* 1915805 */   // Label 25748: @1915805
     /* 1915805 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1915891), // Rule ID 23535 //
     /* 1915810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915856 */     // MIs[0] policy
     /* 1915856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915866 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915890 */     // GIR_Coverage, 23535,
     /* 1915890 */     GIR_EraseRootFromParent_Done,
     /* 1915891 */   // Label 25749: @1915891
     /* 1915891 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1915977), // Rule ID 23538 //
     /* 1915896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915942 */     // MIs[0] policy
     /* 1915942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915976 */     // GIR_Coverage, 23538,
     /* 1915976 */     GIR_EraseRootFromParent_Done,
     /* 1915977 */   // Label 25750: @1915977
     /* 1915977 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1916063), // Rule ID 23539 //
     /* 1915982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916028 */     // MIs[0] policy
     /* 1916028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916038 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916062 */     // GIR_Coverage, 23539,
     /* 1916062 */     GIR_EraseRootFromParent_Done,
     /* 1916063 */   // Label 25751: @1916063
     /* 1916063 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1916149), // Rule ID 23542 //
     /* 1916068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1916079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1916082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1916085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1916091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916114 */     // MIs[0] policy
     /* 1916114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916148 */     // GIR_Coverage, 23542,
     /* 1916148 */     GIR_EraseRootFromParent_Done,
     /* 1916149 */   // Label 25752: @1916149
     /* 1916149 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1916235), // Rule ID 23543 //
     /* 1916154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1916165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1916168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1916171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1916177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916200 */     // MIs[0] policy
     /* 1916200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916210 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916234 */     // GIR_Coverage, 23543,
     /* 1916234 */     GIR_EraseRootFromParent_Done,
     /* 1916235 */   // Label 25753: @1916235
     /* 1916235 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1916321), // Rule ID 23546 //
     /* 1916240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916286 */     // MIs[0] policy
     /* 1916286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916320 */     // GIR_Coverage, 23546,
     /* 1916320 */     GIR_EraseRootFromParent_Done,
     /* 1916321 */   // Label 25754: @1916321
     /* 1916321 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1916407), // Rule ID 23547 //
     /* 1916326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916372 */     // MIs[0] policy
     /* 1916372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916406 */     // GIR_Coverage, 23547,
     /* 1916406 */     GIR_EraseRootFromParent_Done,
     /* 1916407 */   // Label 25755: @1916407
     /* 1916407 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1916493), // Rule ID 23550 //
     /* 1916412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916458 */     // MIs[0] policy
     /* 1916458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916492 */     // GIR_Coverage, 23550,
     /* 1916492 */     GIR_EraseRootFromParent_Done,
     /* 1916493 */   // Label 25756: @1916493
     /* 1916493 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1916579), // Rule ID 23551 //
     /* 1916498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916544 */     // MIs[0] policy
     /* 1916544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916554 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916578 */     // GIR_Coverage, 23551,
     /* 1916578 */     GIR_EraseRootFromParent_Done,
     /* 1916579 */   // Label 25757: @1916579
     /* 1916579 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1916665), // Rule ID 23554 //
     /* 1916584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916630 */     // MIs[0] policy
     /* 1916630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916664 */     // GIR_Coverage, 23554,
     /* 1916664 */     GIR_EraseRootFromParent_Done,
     /* 1916665 */   // Label 25758: @1916665
     /* 1916665 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1916751), // Rule ID 23555 //
     /* 1916670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916716 */     // MIs[0] policy
     /* 1916716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916726 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916750 */     // GIR_Coverage, 23555,
     /* 1916750 */     GIR_EraseRootFromParent_Done,
     /* 1916751 */   // Label 25759: @1916751
     /* 1916751 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1916837), // Rule ID 23558 //
     /* 1916756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916802 */     // MIs[0] policy
     /* 1916802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916836 */     // GIR_Coverage, 23558,
     /* 1916836 */     GIR_EraseRootFromParent_Done,
     /* 1916837 */   // Label 25760: @1916837
     /* 1916837 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1916923), // Rule ID 23559 //
     /* 1916842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916888 */     // MIs[0] policy
     /* 1916888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916922 */     // GIR_Coverage, 23559,
     /* 1916922 */     GIR_EraseRootFromParent_Done,
     /* 1916923 */   // Label 25761: @1916923
     /* 1916923 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1917009), // Rule ID 23562 //
     /* 1916928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916974 */     // MIs[0] policy
     /* 1916974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917008 */     // GIR_Coverage, 23562,
     /* 1917008 */     GIR_EraseRootFromParent_Done,
     /* 1917009 */   // Label 25762: @1917009
     /* 1917009 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1917095), // Rule ID 23563 //
     /* 1917014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1917025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1917028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917060 */     // MIs[0] policy
     /* 1917060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917094 */     // GIR_Coverage, 23563,
     /* 1917094 */     GIR_EraseRootFromParent_Done,
     /* 1917095 */   // Label 25763: @1917095
     /* 1917095 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1917181), // Rule ID 23566 //
     /* 1917100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917146 */     // MIs[0] policy
     /* 1917146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917180 */     // GIR_Coverage, 23566,
     /* 1917180 */     GIR_EraseRootFromParent_Done,
     /* 1917181 */   // Label 25764: @1917181
     /* 1917181 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1917267), // Rule ID 23567 //
     /* 1917186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917232 */     // MIs[0] policy
     /* 1917232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917266 */     // GIR_Coverage, 23567,
     /* 1917266 */     GIR_EraseRootFromParent_Done,
     /* 1917267 */   // Label 25765: @1917267
     /* 1917267 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1917353), // Rule ID 23570 //
     /* 1917272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917318 */     // MIs[0] policy
     /* 1917318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917328 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1917331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917352 */     // GIR_Coverage, 23570,
     /* 1917352 */     GIR_EraseRootFromParent_Done,
     /* 1917353 */   // Label 25766: @1917353
     /* 1917353 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1917439), // Rule ID 23571 //
     /* 1917358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917404 */     // MIs[0] policy
     /* 1917404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1917417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917438 */     // GIR_Coverage, 23571,
     /* 1917438 */     GIR_EraseRootFromParent_Done,
     /* 1917439 */   // Label 25767: @1917439
     /* 1917439 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1917525), // Rule ID 23574 //
     /* 1917444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917490 */     // MIs[0] policy
     /* 1917490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917524 */     // GIR_Coverage, 23574,
     /* 1917524 */     GIR_EraseRootFromParent_Done,
     /* 1917525 */   // Label 25768: @1917525
     /* 1917525 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1917611), // Rule ID 23575 //
     /* 1917530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917576 */     // MIs[0] policy
     /* 1917576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917610 */     // GIR_Coverage, 23575,
     /* 1917610 */     GIR_EraseRootFromParent_Done,
     /* 1917611 */   // Label 25769: @1917611
     /* 1917611 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1917697), // Rule ID 23578 //
     /* 1917616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917662 */     // MIs[0] policy
     /* 1917662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917672 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917696 */     // GIR_Coverage, 23578,
     /* 1917696 */     GIR_EraseRootFromParent_Done,
     /* 1917697 */   // Label 25770: @1917697
     /* 1917697 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1917783), // Rule ID 23579 //
     /* 1917702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917748 */     // MIs[0] policy
     /* 1917748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917782 */     // GIR_Coverage, 23579,
     /* 1917782 */     GIR_EraseRootFromParent_Done,
     /* 1917783 */   // Label 25771: @1917783
     /* 1917783 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1917869), // Rule ID 23670 //
     /* 1917788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917834 */     // MIs[0] policy
     /* 1917834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917844 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917868 */     // GIR_Coverage, 23670,
     /* 1917868 */     GIR_EraseRootFromParent_Done,
     /* 1917869 */   // Label 25772: @1917869
     /* 1917869 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1917955), // Rule ID 23671 //
     /* 1917874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917920 */     // MIs[0] policy
     /* 1917920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917954 */     // GIR_Coverage, 23671,
     /* 1917954 */     GIR_EraseRootFromParent_Done,
     /* 1917955 */   // Label 25773: @1917955
     /* 1917955 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1918041), // Rule ID 23674 //
     /* 1917960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1917971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1917974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1917977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918006 */     // MIs[0] policy
     /* 1918006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918040 */     // GIR_Coverage, 23674,
     /* 1918040 */     GIR_EraseRootFromParent_Done,
     /* 1918041 */   // Label 25774: @1918041
     /* 1918041 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1918127), // Rule ID 23675 //
     /* 1918046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1918063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918092 */     // MIs[0] policy
     /* 1918092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918102 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918126 */     // GIR_Coverage, 23675,
     /* 1918126 */     GIR_EraseRootFromParent_Done,
     /* 1918127 */   // Label 25775: @1918127
     /* 1918127 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1918213), // Rule ID 23678 //
     /* 1918132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918178 */     // MIs[0] policy
     /* 1918178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918212 */     // GIR_Coverage, 23678,
     /* 1918212 */     GIR_EraseRootFromParent_Done,
     /* 1918213 */   // Label 25776: @1918213
     /* 1918213 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1918299), // Rule ID 23679 //
     /* 1918218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918264 */     // MIs[0] policy
     /* 1918264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918274 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918298 */     // GIR_Coverage, 23679,
     /* 1918298 */     GIR_EraseRootFromParent_Done,
     /* 1918299 */   // Label 25777: @1918299
     /* 1918299 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1918385), // Rule ID 23682 //
     /* 1918304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918350 */     // MIs[0] policy
     /* 1918350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918384 */     // GIR_Coverage, 23682,
     /* 1918384 */     GIR_EraseRootFromParent_Done,
     /* 1918385 */   // Label 25778: @1918385
     /* 1918385 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1918471), // Rule ID 23683 //
     /* 1918390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918436 */     // MIs[0] policy
     /* 1918436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918470 */     // GIR_Coverage, 23683,
     /* 1918470 */     GIR_EraseRootFromParent_Done,
     /* 1918471 */   // Label 25779: @1918471
     /* 1918471 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1918557), // Rule ID 23686 //
     /* 1918476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918522 */     // MIs[0] policy
     /* 1918522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918556 */     // GIR_Coverage, 23686,
     /* 1918556 */     GIR_EraseRootFromParent_Done,
     /* 1918557 */   // Label 25780: @1918557
     /* 1918557 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1918643), // Rule ID 23687 //
     /* 1918562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918608 */     // MIs[0] policy
     /* 1918608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918618 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918642 */     // GIR_Coverage, 23687,
     /* 1918642 */     GIR_EraseRootFromParent_Done,
     /* 1918643 */   // Label 25781: @1918643
     /* 1918643 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1918729), // Rule ID 23690 //
     /* 1918648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918694 */     // MIs[0] policy
     /* 1918694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918728 */     // GIR_Coverage, 23690,
     /* 1918728 */     GIR_EraseRootFromParent_Done,
     /* 1918729 */   // Label 25782: @1918729
     /* 1918729 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1918815), // Rule ID 23691 //
     /* 1918734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918780 */     // MIs[0] policy
     /* 1918780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918790 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918814 */     // GIR_Coverage, 23691,
     /* 1918814 */     GIR_EraseRootFromParent_Done,
     /* 1918815 */   // Label 25783: @1918815
     /* 1918815 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1918901), // Rule ID 23694 //
     /* 1918820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918866 */     // MIs[0] policy
     /* 1918866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918900 */     // GIR_Coverage, 23694,
     /* 1918900 */     GIR_EraseRootFromParent_Done,
     /* 1918901 */   // Label 25784: @1918901
     /* 1918901 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1918987), // Rule ID 23695 //
     /* 1918906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918952 */     // MIs[0] policy
     /* 1918952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918962 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918986 */     // GIR_Coverage, 23695,
     /* 1918986 */     GIR_EraseRootFromParent_Done,
     /* 1918987 */   // Label 25785: @1918987
     /* 1918987 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1919073), // Rule ID 23698 //
     /* 1918992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919038 */     // MIs[0] policy
     /* 1919038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919072 */     // GIR_Coverage, 23698,
     /* 1919072 */     GIR_EraseRootFromParent_Done,
     /* 1919073 */   // Label 25786: @1919073
     /* 1919073 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1919159), // Rule ID 23699 //
     /* 1919078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919124 */     // MIs[0] policy
     /* 1919124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919134 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919158 */     // GIR_Coverage, 23699,
     /* 1919158 */     GIR_EraseRootFromParent_Done,
     /* 1919159 */   // Label 25787: @1919159
     /* 1919159 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1919245), // Rule ID 23702 //
     /* 1919164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919210 */     // MIs[0] policy
     /* 1919210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919244 */     // GIR_Coverage, 23702,
     /* 1919244 */     GIR_EraseRootFromParent_Done,
     /* 1919245 */   // Label 25788: @1919245
     /* 1919245 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1919331), // Rule ID 23703 //
     /* 1919250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919296 */     // MIs[0] policy
     /* 1919296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919306 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919330 */     // GIR_Coverage, 23703,
     /* 1919330 */     GIR_EraseRootFromParent_Done,
     /* 1919331 */   // Label 25789: @1919331
     /* 1919331 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1919417), // Rule ID 23706 //
     /* 1919336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1919339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919382 */     // MIs[0] policy
     /* 1919382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919416 */     // GIR_Coverage, 23706,
     /* 1919416 */     GIR_EraseRootFromParent_Done,
     /* 1919417 */   // Label 25790: @1919417
     /* 1919417 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1919503), // Rule ID 23707 //
     /* 1919422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919468 */     // MIs[0] policy
     /* 1919468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919502 */     // GIR_Coverage, 23707,
     /* 1919502 */     GIR_EraseRootFromParent_Done,
     /* 1919503 */   // Label 25791: @1919503
     /* 1919503 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1919589), // Rule ID 23710 //
     /* 1919508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919554 */     // MIs[0] policy
     /* 1919554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919564 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919588 */     // GIR_Coverage, 23710,
     /* 1919588 */     GIR_EraseRootFromParent_Done,
     /* 1919589 */   // Label 25792: @1919589
     /* 1919589 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1919675), // Rule ID 23711 //
     /* 1919594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919640 */     // MIs[0] policy
     /* 1919640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919650 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919674 */     // GIR_Coverage, 23711,
     /* 1919674 */     GIR_EraseRootFromParent_Done,
     /* 1919675 */   // Label 25793: @1919675
     /* 1919675 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1919761), // Rule ID 23714 //
     /* 1919680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919726 */     // MIs[0] policy
     /* 1919726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919736 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919760 */     // GIR_Coverage, 23714,
     /* 1919760 */     GIR_EraseRootFromParent_Done,
     /* 1919761 */   // Label 25794: @1919761
     /* 1919761 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1919847), // Rule ID 23715 //
     /* 1919766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919812 */     // MIs[0] policy
     /* 1919812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919846 */     // GIR_Coverage, 23715,
     /* 1919846 */     GIR_EraseRootFromParent_Done,
     /* 1919847 */   // Label 25795: @1919847
     /* 1919847 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1919933), // Rule ID 23718 //
     /* 1919852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919898 */     // MIs[0] policy
     /* 1919898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919932 */     // GIR_Coverage, 23718,
     /* 1919932 */     GIR_EraseRootFromParent_Done,
     /* 1919933 */   // Label 25796: @1919933
     /* 1919933 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1920019), // Rule ID 23719 //
     /* 1919938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919984 */     // MIs[0] policy
     /* 1919984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919994 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920018 */     // GIR_Coverage, 23719,
     /* 1920018 */     GIR_EraseRootFromParent_Done,
     /* 1920019 */   // Label 25797: @1920019
     /* 1920019 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1920105), // Rule ID 23722 //
     /* 1920024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920070 */     // MIs[0] policy
     /* 1920070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920104 */     // GIR_Coverage, 23722,
     /* 1920104 */     GIR_EraseRootFromParent_Done,
     /* 1920105 */   // Label 25798: @1920105
     /* 1920105 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1920191), // Rule ID 23723 //
     /* 1920110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920156 */     // MIs[0] policy
     /* 1920156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920190 */     // GIR_Coverage, 23723,
     /* 1920190 */     GIR_EraseRootFromParent_Done,
     /* 1920191 */   // Label 25799: @1920191
     /* 1920191 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1920277), // Rule ID 23726 //
     /* 1920196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920242 */     // MIs[0] policy
     /* 1920242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920276 */     // GIR_Coverage, 23726,
     /* 1920276 */     GIR_EraseRootFromParent_Done,
     /* 1920277 */   // Label 25800: @1920277
     /* 1920277 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1920363), // Rule ID 23727 //
     /* 1920282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920328 */     // MIs[0] policy
     /* 1920328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920362 */     // GIR_Coverage, 23727,
     /* 1920362 */     GIR_EraseRootFromParent_Done,
     /* 1920363 */   // Label 25801: @1920363
     /* 1920363 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1920449), // Rule ID 23730 //
     /* 1920368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920414 */     // MIs[0] policy
     /* 1920414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920448 */     // GIR_Coverage, 23730,
     /* 1920448 */     GIR_EraseRootFromParent_Done,
     /* 1920449 */   // Label 25802: @1920449
     /* 1920449 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1920535), // Rule ID 23731 //
     /* 1920454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920500 */     // MIs[0] policy
     /* 1920500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920510 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920534 */     // GIR_Coverage, 23731,
     /* 1920534 */     GIR_EraseRootFromParent_Done,
     /* 1920535 */   // Label 25803: @1920535
     /* 1920535 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1920621), // Rule ID 23734 //
     /* 1920540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920586 */     // MIs[0] policy
     /* 1920586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920620 */     // GIR_Coverage, 23734,
     /* 1920620 */     GIR_EraseRootFromParent_Done,
     /* 1920621 */   // Label 25804: @1920621
     /* 1920621 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1920707), // Rule ID 23735 //
     /* 1920626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920672 */     // MIs[0] policy
     /* 1920672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920706 */     // GIR_Coverage, 23735,
     /* 1920706 */     GIR_EraseRootFromParent_Done,
     /* 1920707 */   // Label 25805: @1920707
     /* 1920707 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1920793), // Rule ID 23738 //
     /* 1920712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920758 */     // MIs[0] policy
     /* 1920758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920792 */     // GIR_Coverage, 23738,
     /* 1920792 */     GIR_EraseRootFromParent_Done,
     /* 1920793 */   // Label 25806: @1920793
     /* 1920793 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1920879), // Rule ID 23739 //
     /* 1920798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920844 */     // MIs[0] policy
     /* 1920844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920878 */     // GIR_Coverage, 23739,
     /* 1920878 */     GIR_EraseRootFromParent_Done,
     /* 1920879 */   // Label 25807: @1920879
     /* 1920879 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1920965), // Rule ID 23742 //
     /* 1920884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920930 */     // MIs[0] policy
     /* 1920930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920964 */     // GIR_Coverage, 23742,
     /* 1920964 */     GIR_EraseRootFromParent_Done,
     /* 1920965 */   // Label 25808: @1920965
     /* 1920965 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1921051), // Rule ID 23743 //
     /* 1920970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921016 */     // MIs[0] policy
     /* 1921016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921050 */     // GIR_Coverage, 23743,
     /* 1921050 */     GIR_EraseRootFromParent_Done,
     /* 1921051 */   // Label 25809: @1921051
     /* 1921051 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1921137), // Rule ID 23746 //
     /* 1921056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921102 */     // MIs[0] policy
     /* 1921102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1921115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921136 */     // GIR_Coverage, 23746,
     /* 1921136 */     GIR_EraseRootFromParent_Done,
     /* 1921137 */   // Label 25810: @1921137
     /* 1921137 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1921223), // Rule ID 23747 //
     /* 1921142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921188 */     // MIs[0] policy
     /* 1921188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1921201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921222 */     // GIR_Coverage, 23747,
     /* 1921222 */     GIR_EraseRootFromParent_Done,
     /* 1921223 */   // Label 25811: @1921223
     /* 1921223 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1921309), // Rule ID 23750 //
     /* 1921228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1921239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1921242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921274 */     // MIs[0] policy
     /* 1921274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921284 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1921287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921308 */     // GIR_Coverage, 23750,
     /* 1921308 */     GIR_EraseRootFromParent_Done,
     /* 1921309 */   // Label 25812: @1921309
     /* 1921309 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1921395), // Rule ID 23751 //
     /* 1921314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1921325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1921328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921360 */     // MIs[0] policy
     /* 1921360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1921373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921394 */     // GIR_Coverage, 23751,
     /* 1921394 */     GIR_EraseRootFromParent_Done,
     /* 1921395 */   // Label 25813: @1921395
     /* 1921395 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1921481), // Rule ID 23754 //
     /* 1921400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921446 */     // MIs[0] policy
     /* 1921446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921480 */     // GIR_Coverage, 23754,
     /* 1921480 */     GIR_EraseRootFromParent_Done,
     /* 1921481 */   // Label 25814: @1921481
     /* 1921481 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1921567), // Rule ID 23755 //
     /* 1921486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921532 */     // MIs[0] policy
     /* 1921532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921566 */     // GIR_Coverage, 23755,
     /* 1921566 */     GIR_EraseRootFromParent_Done,
     /* 1921567 */   // Label 25815: @1921567
     /* 1921567 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1921653), // Rule ID 23846 //
     /* 1921572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921618 */     // MIs[0] policy
     /* 1921618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921652 */     // GIR_Coverage, 23846,
     /* 1921652 */     GIR_EraseRootFromParent_Done,
     /* 1921653 */   // Label 25816: @1921653
     /* 1921653 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1921739), // Rule ID 23847 //
     /* 1921658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921704 */     // MIs[0] policy
     /* 1921704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921738 */     // GIR_Coverage, 23847,
     /* 1921738 */     GIR_EraseRootFromParent_Done,
     /* 1921739 */   // Label 25817: @1921739
     /* 1921739 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1921825), // Rule ID 23850 //
     /* 1921744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921790 */     // MIs[0] policy
     /* 1921790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921824 */     // GIR_Coverage, 23850,
     /* 1921824 */     GIR_EraseRootFromParent_Done,
     /* 1921825 */   // Label 25818: @1921825
     /* 1921825 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1921911), // Rule ID 23851 //
     /* 1921830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921876 */     // MIs[0] policy
     /* 1921876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921910 */     // GIR_Coverage, 23851,
     /* 1921910 */     GIR_EraseRootFromParent_Done,
     /* 1921911 */   // Label 25819: @1921911
     /* 1921911 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1921997), // Rule ID 23854 //
     /* 1921916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921962 */     // MIs[0] policy
     /* 1921962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921996 */     // GIR_Coverage, 23854,
     /* 1921996 */     GIR_EraseRootFromParent_Done,
     /* 1921997 */   // Label 25820: @1921997
     /* 1921997 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1922083), // Rule ID 23855 //
     /* 1922002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1922013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1922016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1922019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922048 */     // MIs[0] policy
     /* 1922048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922082 */     // GIR_Coverage, 23855,
     /* 1922082 */     GIR_EraseRootFromParent_Done,
     /* 1922083 */   // Label 25821: @1922083
     /* 1922083 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1922169), // Rule ID 23858 //
     /* 1922088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922134 */     // MIs[0] policy
     /* 1922134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1922147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922168 */     // GIR_Coverage, 23858,
     /* 1922168 */     GIR_EraseRootFromParent_Done,
     /* 1922169 */   // Label 25822: @1922169
     /* 1922169 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1922255), // Rule ID 23859 //
     /* 1922174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922220 */     // MIs[0] policy
     /* 1922220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922230 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1922233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922254 */     // GIR_Coverage, 23859,
     /* 1922254 */     GIR_EraseRootFromParent_Done,
     /* 1922255 */   // Label 25823: @1922255
     /* 1922255 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1922341), // Rule ID 23862 //
     /* 1922260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922306 */     // MIs[0] policy
     /* 1922306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922340 */     // GIR_Coverage, 23862,
     /* 1922340 */     GIR_EraseRootFromParent_Done,
     /* 1922341 */   // Label 25824: @1922341
     /* 1922341 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1922427), // Rule ID 23863 //
     /* 1922346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922392 */     // MIs[0] policy
     /* 1922392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922426 */     // GIR_Coverage, 23863,
     /* 1922426 */     GIR_EraseRootFromParent_Done,
     /* 1922427 */   // Label 25825: @1922427
     /* 1922427 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1922513), // Rule ID 23866 //
     /* 1922432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922478 */     // MIs[0] policy
     /* 1922478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922512 */     // GIR_Coverage, 23866,
     /* 1922512 */     GIR_EraseRootFromParent_Done,
     /* 1922513 */   // Label 25826: @1922513
     /* 1922513 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1922599), // Rule ID 23867 //
     /* 1922518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922564 */     // MIs[0] policy
     /* 1922564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922598 */     // GIR_Coverage, 23867,
     /* 1922598 */     GIR_EraseRootFromParent_Done,
     /* 1922599 */   // Label 25827: @1922599
     /* 1922599 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1922685), // Rule ID 23870 //
     /* 1922604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922650 */     // MIs[0] policy
     /* 1922650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922684 */     // GIR_Coverage, 23870,
     /* 1922684 */     GIR_EraseRootFromParent_Done,
     /* 1922685 */   // Label 25828: @1922685
     /* 1922685 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1922771), // Rule ID 23871 //
     /* 1922690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922736 */     // MIs[0] policy
     /* 1922736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922770 */     // GIR_Coverage, 23871,
     /* 1922770 */     GIR_EraseRootFromParent_Done,
     /* 1922771 */   // Label 25829: @1922771
     /* 1922771 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1922857), // Rule ID 23874 //
     /* 1922776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922822 */     // MIs[0] policy
     /* 1922822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922856 */     // GIR_Coverage, 23874,
     /* 1922856 */     GIR_EraseRootFromParent_Done,
     /* 1922857 */   // Label 25830: @1922857
     /* 1922857 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1922943), // Rule ID 23875 //
     /* 1922862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922908 */     // MIs[0] policy
     /* 1922908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922942 */     // GIR_Coverage, 23875,
     /* 1922942 */     GIR_EraseRootFromParent_Done,
     /* 1922943 */   // Label 25831: @1922943
     /* 1922943 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1923029), // Rule ID 23878 //
     /* 1922948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922994 */     // MIs[0] policy
     /* 1922994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1923007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923028 */     // GIR_Coverage, 23878,
     /* 1923028 */     GIR_EraseRootFromParent_Done,
     /* 1923029 */   // Label 25832: @1923029
     /* 1923029 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1923115), // Rule ID 23879 //
     /* 1923034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923080 */     // MIs[0] policy
     /* 1923080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1923093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923114 */     // GIR_Coverage, 23879,
     /* 1923114 */     GIR_EraseRootFromParent_Done,
     /* 1923115 */   // Label 25833: @1923115
     /* 1923115 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1923201), // Rule ID 23882 //
     /* 1923120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923166 */     // MIs[0] policy
     /* 1923166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1923179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923200 */     // GIR_Coverage, 23882,
     /* 1923200 */     GIR_EraseRootFromParent_Done,
     /* 1923201 */   // Label 25834: @1923201
     /* 1923201 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1923287), // Rule ID 23883 //
     /* 1923206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923252 */     // MIs[0] policy
     /* 1923252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1923265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923286 */     // GIR_Coverage, 23883,
     /* 1923286 */     GIR_EraseRootFromParent_Done,
     /* 1923287 */   // Label 25835: @1923287
     /* 1923287 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1923373), // Rule ID 23886 //
     /* 1923292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1923303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1923306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1923309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923338 */     // MIs[0] policy
     /* 1923338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923372 */     // GIR_Coverage, 23886,
     /* 1923372 */     GIR_EraseRootFromParent_Done,
     /* 1923373 */   // Label 25836: @1923373
     /* 1923373 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1923459), // Rule ID 23887 //
     /* 1923378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1923389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1923392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1923395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923424 */     // MIs[0] policy
     /* 1923424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923458 */     // GIR_Coverage, 23887,
     /* 1923458 */     GIR_EraseRootFromParent_Done,
     /* 1923459 */   // Label 25837: @1923459
     /* 1923459 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1923545), // Rule ID 23890 //
     /* 1923464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923510 */     // MIs[0] policy
     /* 1923510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923520 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923544 */     // GIR_Coverage, 23890,
     /* 1923544 */     GIR_EraseRootFromParent_Done,
     /* 1923545 */   // Label 25838: @1923545
     /* 1923545 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1923631), // Rule ID 23891 //
     /* 1923550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923596 */     // MIs[0] policy
     /* 1923596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923606 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923630 */     // GIR_Coverage, 23891,
     /* 1923630 */     GIR_EraseRootFromParent_Done,
     /* 1923631 */   // Label 25839: @1923631
     /* 1923631 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1923717), // Rule ID 23894 //
     /* 1923636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923682 */     // MIs[0] policy
     /* 1923682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923716 */     // GIR_Coverage, 23894,
     /* 1923716 */     GIR_EraseRootFromParent_Done,
     /* 1923717 */   // Label 25840: @1923717
     /* 1923717 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1923803), // Rule ID 23895 //
     /* 1923722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923768 */     // MIs[0] policy
     /* 1923768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923778 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923802 */     // GIR_Coverage, 23895,
     /* 1923802 */     GIR_EraseRootFromParent_Done,
     /* 1923803 */   // Label 25841: @1923803
     /* 1923803 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1923889), // Rule ID 23898 //
     /* 1923808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923854 */     // MIs[0] policy
     /* 1923854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923888 */     // GIR_Coverage, 23898,
     /* 1923888 */     GIR_EraseRootFromParent_Done,
     /* 1923889 */   // Label 25842: @1923889
     /* 1923889 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1923975), // Rule ID 23899 //
     /* 1923894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923940 */     // MIs[0] policy
     /* 1923940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923974 */     // GIR_Coverage, 23899,
     /* 1923974 */     GIR_EraseRootFromParent_Done,
     /* 1923975 */   // Label 25843: @1923975
     /* 1923975 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1924061), // Rule ID 23902 //
     /* 1923980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924026 */     // MIs[0] policy
     /* 1924026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924060 */     // GIR_Coverage, 23902,
     /* 1924060 */     GIR_EraseRootFromParent_Done,
     /* 1924061 */   // Label 25844: @1924061
     /* 1924061 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1924147), // Rule ID 23903 //
     /* 1924066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1924077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1924080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1924083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924112 */     // MIs[0] policy
     /* 1924112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924146 */     // GIR_Coverage, 23903,
     /* 1924146 */     GIR_EraseRootFromParent_Done,
     /* 1924147 */   // Label 25845: @1924147
     /* 1924147 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1924233), // Rule ID 23906 //
     /* 1924152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924198 */     // MIs[0] policy
     /* 1924198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924232 */     // GIR_Coverage, 23906,
     /* 1924232 */     GIR_EraseRootFromParent_Done,
     /* 1924233 */   // Label 25846: @1924233
     /* 1924233 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1924319), // Rule ID 23907 //
     /* 1924238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924284 */     // MIs[0] policy
     /* 1924284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924318 */     // GIR_Coverage, 23907,
     /* 1924318 */     GIR_EraseRootFromParent_Done,
     /* 1924319 */   // Label 25847: @1924319
     /* 1924319 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1924405), // Rule ID 23910 //
     /* 1924324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924370 */     // MIs[0] policy
     /* 1924370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924404 */     // GIR_Coverage, 23910,
     /* 1924404 */     GIR_EraseRootFromParent_Done,
     /* 1924405 */   // Label 25848: @1924405
     /* 1924405 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1924491), // Rule ID 23911 //
     /* 1924410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924456 */     // MIs[0] policy
     /* 1924456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924490 */     // GIR_Coverage, 23911,
     /* 1924490 */     GIR_EraseRootFromParent_Done,
     /* 1924491 */   // Label 25849: @1924491
     /* 1924491 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1924577), // Rule ID 23914 //
     /* 1924496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924542 */     // MIs[0] policy
     /* 1924542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924576 */     // GIR_Coverage, 23914,
     /* 1924576 */     GIR_EraseRootFromParent_Done,
     /* 1924577 */   // Label 25850: @1924577
     /* 1924577 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1924663), // Rule ID 23915 //
     /* 1924582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924628 */     // MIs[0] policy
     /* 1924628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924662 */     // GIR_Coverage, 23915,
     /* 1924662 */     GIR_EraseRootFromParent_Done,
     /* 1924663 */   // Label 25851: @1924663
     /* 1924663 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1924749), // Rule ID 23918 //
     /* 1924668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924714 */     // MIs[0] policy
     /* 1924714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924748 */     // GIR_Coverage, 23918,
     /* 1924748 */     GIR_EraseRootFromParent_Done,
     /* 1924749 */   // Label 25852: @1924749
     /* 1924749 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1924835), // Rule ID 23919 //
     /* 1924754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924800 */     // MIs[0] policy
     /* 1924800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924834 */     // GIR_Coverage, 23919,
     /* 1924834 */     GIR_EraseRootFromParent_Done,
     /* 1924835 */   // Label 25853: @1924835
     /* 1924835 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1924921), // Rule ID 23922 //
     /* 1924840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924886 */     // MIs[0] policy
     /* 1924886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924920 */     // GIR_Coverage, 23922,
     /* 1924920 */     GIR_EraseRootFromParent_Done,
     /* 1924921 */   // Label 25854: @1924921
     /* 1924921 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1925007), // Rule ID 23923 //
     /* 1924926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924972 */     // MIs[0] policy
     /* 1924972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925006 */     // GIR_Coverage, 23923,
     /* 1925006 */     GIR_EraseRootFromParent_Done,
     /* 1925007 */   // Label 25855: @1925007
     /* 1925007 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1925093), // Rule ID 23926 //
     /* 1925012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925058 */     // MIs[0] policy
     /* 1925058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1925071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925092 */     // GIR_Coverage, 23926,
     /* 1925092 */     GIR_EraseRootFromParent_Done,
     /* 1925093 */   // Label 25856: @1925093
     /* 1925093 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1925179), // Rule ID 23927 //
     /* 1925098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925144 */     // MIs[0] policy
     /* 1925144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1925157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925178 */     // GIR_Coverage, 23927,
     /* 1925178 */     GIR_EraseRootFromParent_Done,
     /* 1925179 */   // Label 25857: @1925179
     /* 1925179 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1925265), // Rule ID 23930 //
     /* 1925184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925230 */     // MIs[0] policy
     /* 1925230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1925243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925264 */     // GIR_Coverage, 23930,
     /* 1925264 */     GIR_EraseRootFromParent_Done,
     /* 1925265 */   // Label 25858: @1925265
     /* 1925265 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1925351), // Rule ID 23931 //
     /* 1925270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925316 */     // MIs[0] policy
     /* 1925316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1925329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925350 */     // GIR_Coverage, 23931,
     /* 1925350 */     GIR_EraseRootFromParent_Done,
     /* 1925351 */   // Label 25859: @1925351
     /* 1925351 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1925437), // Rule ID 23934 //
     /* 1925356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925402 */     // MIs[0] policy
     /* 1925402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1925415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925436 */     // GIR_Coverage, 23934,
     /* 1925436 */     GIR_EraseRootFromParent_Done,
     /* 1925437 */   // Label 25860: @1925437
     /* 1925437 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1925523), // Rule ID 23935 //
     /* 1925442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925488 */     // MIs[0] policy
     /* 1925488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1925501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925522 */     // GIR_Coverage, 23935,
     /* 1925522 */     GIR_EraseRootFromParent_Done,
     /* 1925523 */   // Label 25861: @1925523
     /* 1925523 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1925609), // Rule ID 23938 //
     /* 1925528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925574 */     // MIs[0] policy
     /* 1925574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925608 */     // GIR_Coverage, 23938,
     /* 1925608 */     GIR_EraseRootFromParent_Done,
     /* 1925609 */   // Label 25862: @1925609
     /* 1925609 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1925695), // Rule ID 23939 //
     /* 1925614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925660 */     // MIs[0] policy
     /* 1925660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925670 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925694 */     // GIR_Coverage, 23939,
     /* 1925694 */     GIR_EraseRootFromParent_Done,
     /* 1925695 */   // Label 25863: @1925695
     /* 1925695 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1925781), // Rule ID 23942 //
     /* 1925700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925746 */     // MIs[0] policy
     /* 1925746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925780 */     // GIR_Coverage, 23942,
     /* 1925780 */     GIR_EraseRootFromParent_Done,
     /* 1925781 */   // Label 25864: @1925781
     /* 1925781 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1925867), // Rule ID 23943 //
     /* 1925786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925832 */     // MIs[0] policy
     /* 1925832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925866 */     // GIR_Coverage, 23943,
     /* 1925866 */     GIR_EraseRootFromParent_Done,
     /* 1925867 */   // Label 25865: @1925867
     /* 1925867 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1925953), // Rule ID 23946 //
     /* 1925872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925918 */     // MIs[0] policy
     /* 1925918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925952 */     // GIR_Coverage, 23946,
     /* 1925952 */     GIR_EraseRootFromParent_Done,
     /* 1925953 */   // Label 25866: @1925953
     /* 1925953 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1926039), // Rule ID 23947 //
     /* 1925958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926004 */     // MIs[0] policy
     /* 1926004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1926017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926038 */     // GIR_Coverage, 23947,
     /* 1926038 */     GIR_EraseRootFromParent_Done,
     /* 1926039 */   // Label 25867: @1926039
     /* 1926039 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1926125), // Rule ID 23950 //
     /* 1926044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1926055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1926058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1926061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926090 */     // MIs[0] policy
     /* 1926090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926124 */     // GIR_Coverage, 23950,
     /* 1926124 */     GIR_EraseRootFromParent_Done,
     /* 1926125 */   // Label 25868: @1926125
     /* 1926125 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1926211), // Rule ID 23951 //
     /* 1926130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1926141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1926144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1926147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926176 */     // MIs[0] policy
     /* 1926176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926210 */     // GIR_Coverage, 23951,
     /* 1926210 */     GIR_EraseRootFromParent_Done,
     /* 1926211 */   // Label 25869: @1926211
     /* 1926211 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1926297), // Rule ID 23954 //
     /* 1926216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1926227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1926230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1926233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926262 */     // MIs[0] policy
     /* 1926262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926296 */     // GIR_Coverage, 23954,
     /* 1926296 */     GIR_EraseRootFromParent_Done,
     /* 1926297 */   // Label 25870: @1926297
     /* 1926297 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1926383), // Rule ID 23955 //
     /* 1926302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1926313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1926316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1926319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926348 */     // MIs[0] policy
     /* 1926348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926382 */     // GIR_Coverage, 23955,
     /* 1926382 */     GIR_EraseRootFromParent_Done,
     /* 1926383 */   // Label 25871: @1926383
     /* 1926383 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1926469), // Rule ID 23958 //
     /* 1926388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926434 */     // MIs[0] policy
     /* 1926434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926468 */     // GIR_Coverage, 23958,
     /* 1926468 */     GIR_EraseRootFromParent_Done,
     /* 1926469 */   // Label 25872: @1926469
     /* 1926469 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1926555), // Rule ID 23959 //
     /* 1926474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926520 */     // MIs[0] policy
     /* 1926520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926554 */     // GIR_Coverage, 23959,
     /* 1926554 */     GIR_EraseRootFromParent_Done,
     /* 1926555 */   // Label 25873: @1926555
     /* 1926555 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1926641), // Rule ID 23962 //
     /* 1926560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926606 */     // MIs[0] policy
     /* 1926606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926640 */     // GIR_Coverage, 23962,
     /* 1926640 */     GIR_EraseRootFromParent_Done,
     /* 1926641 */   // Label 25874: @1926641
     /* 1926641 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1926727), // Rule ID 23963 //
     /* 1926646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926692 */     // MIs[0] policy
     /* 1926692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926726 */     // GIR_Coverage, 23963,
     /* 1926726 */     GIR_EraseRootFromParent_Done,
     /* 1926727 */   // Label 25875: @1926727
     /* 1926727 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1926813), // Rule ID 23966 //
     /* 1926732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926778 */     // MIs[0] policy
     /* 1926778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926812 */     // GIR_Coverage, 23966,
     /* 1926812 */     GIR_EraseRootFromParent_Done,
     /* 1926813 */   // Label 25876: @1926813
     /* 1926813 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1926899), // Rule ID 23967 //
     /* 1926818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926864 */     // MIs[0] policy
     /* 1926864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926898 */     // GIR_Coverage, 23967,
     /* 1926898 */     GIR_EraseRootFromParent_Done,
     /* 1926899 */   // Label 25877: @1926899
     /* 1926899 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1926985), // Rule ID 23970 //
     /* 1926904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926950 */     // MIs[0] policy
     /* 1926950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926984 */     // GIR_Coverage, 23970,
     /* 1926984 */     GIR_EraseRootFromParent_Done,
     /* 1926985 */   // Label 25878: @1926985
     /* 1926985 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1927071), // Rule ID 23971 //
     /* 1926990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1927001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1927004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1927007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927036 */     // MIs[0] policy
     /* 1927036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1927049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927070 */     // GIR_Coverage, 23971,
     /* 1927070 */     GIR_EraseRootFromParent_Done,
     /* 1927071 */   // Label 25879: @1927071
     /* 1927071 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1927157), // Rule ID 23974 //
     /* 1927076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1927087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1927090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1927093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927122 */     // MIs[0] policy
     /* 1927122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927132 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927156 */     // GIR_Coverage, 23974,
     /* 1927156 */     GIR_EraseRootFromParent_Done,
     /* 1927157 */   // Label 25880: @1927157
     /* 1927157 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1927243), // Rule ID 23975 //
     /* 1927162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1927173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1927176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1927179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927208 */     // MIs[0] policy
     /* 1927208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927218 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927242 */     // GIR_Coverage, 23975,
     /* 1927242 */     GIR_EraseRootFromParent_Done,
     /* 1927243 */   // Label 25881: @1927243
     /* 1927243 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1927329), // Rule ID 23978 //
     /* 1927248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1927259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1927262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1927265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927294 */     // MIs[0] policy
     /* 1927294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927328 */     // GIR_Coverage, 23978,
     /* 1927328 */     GIR_EraseRootFromParent_Done,
     /* 1927329 */   // Label 25882: @1927329
     /* 1927329 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1927415), // Rule ID 23979 //
     /* 1927334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1927345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1927348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1927351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927380 */     // MIs[0] policy
     /* 1927380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927414 */     // GIR_Coverage, 23979,
     /* 1927414 */     GIR_EraseRootFromParent_Done,
     /* 1927415 */   // Label 25883: @1927415
     /* 1927415 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1927501), // Rule ID 23982 //
     /* 1927420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927466 */     // MIs[0] policy
     /* 1927466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927500 */     // GIR_Coverage, 23982,
     /* 1927500 */     GIR_EraseRootFromParent_Done,
     /* 1927501 */   // Label 25884: @1927501
     /* 1927501 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1927587), // Rule ID 23983 //
     /* 1927506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927552 */     // MIs[0] policy
     /* 1927552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927562 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927586 */     // GIR_Coverage, 23983,
     /* 1927586 */     GIR_EraseRootFromParent_Done,
     /* 1927587 */   // Label 25885: @1927587
     /* 1927587 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1927673), // Rule ID 23986 //
     /* 1927592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927638 */     // MIs[0] policy
     /* 1927638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927672 */     // GIR_Coverage, 23986,
     /* 1927672 */     GIR_EraseRootFromParent_Done,
     /* 1927673 */   // Label 25886: @1927673
     /* 1927673 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1927759), // Rule ID 23987 //
     /* 1927678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927724 */     // MIs[0] policy
     /* 1927724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927758 */     // GIR_Coverage, 23987,
     /* 1927758 */     GIR_EraseRootFromParent_Done,
     /* 1927759 */   // Label 25887: @1927759
     /* 1927759 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1927845), // Rule ID 23990 //
     /* 1927764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927810 */     // MIs[0] policy
     /* 1927810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927844 */     // GIR_Coverage, 23990,
     /* 1927844 */     GIR_EraseRootFromParent_Done,
     /* 1927845 */   // Label 25888: @1927845
     /* 1927845 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1927931), // Rule ID 23991 //
     /* 1927850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927896 */     // MIs[0] policy
     /* 1927896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927906 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927930 */     // GIR_Coverage, 23991,
     /* 1927930 */     GIR_EraseRootFromParent_Done,
     /* 1927931 */   // Label 25889: @1927931
     /* 1927931 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1928017), // Rule ID 23994 //
     /* 1927936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927982 */     // MIs[0] policy
     /* 1927982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928016 */     // GIR_Coverage, 23994,
     /* 1928016 */     GIR_EraseRootFromParent_Done,
     /* 1928017 */   // Label 25890: @1928017
     /* 1928017 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1928103), // Rule ID 23995 //
     /* 1928022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1928033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1928036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1928039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1928045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928068 */     // MIs[0] policy
     /* 1928068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928102 */     // GIR_Coverage, 23995,
     /* 1928102 */     GIR_EraseRootFromParent_Done,
     /* 1928103 */   // Label 25891: @1928103
     /* 1928103 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1928189), // Rule ID 23998 //
     /* 1928108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1928119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1928122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1928125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928154 */     // MIs[0] policy
     /* 1928154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928188 */     // GIR_Coverage, 23998,
     /* 1928188 */     GIR_EraseRootFromParent_Done,
     /* 1928189 */   // Label 25892: @1928189
     /* 1928189 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1928275), // Rule ID 23999 //
     /* 1928194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1928205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1928208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1928211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928240 */     // MIs[0] policy
     /* 1928240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928274 */     // GIR_Coverage, 23999,
     /* 1928274 */     GIR_EraseRootFromParent_Done,
     /* 1928275 */   // Label 25893: @1928275
     /* 1928275 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1928361), // Rule ID 24002 //
     /* 1928280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928326 */     // MIs[0] policy
     /* 1928326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928360 */     // GIR_Coverage, 24002,
     /* 1928360 */     GIR_EraseRootFromParent_Done,
     /* 1928361 */   // Label 25894: @1928361
     /* 1928361 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1928447), // Rule ID 24003 //
     /* 1928366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928412 */     // MIs[0] policy
     /* 1928412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928446 */     // GIR_Coverage, 24003,
     /* 1928446 */     GIR_EraseRootFromParent_Done,
     /* 1928447 */   // Label 25895: @1928447
     /* 1928447 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1928533), // Rule ID 24006 //
     /* 1928452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928498 */     // MIs[0] policy
     /* 1928498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928532 */     // GIR_Coverage, 24006,
     /* 1928532 */     GIR_EraseRootFromParent_Done,
     /* 1928533 */   // Label 25896: @1928533
     /* 1928533 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1928619), // Rule ID 24007 //
     /* 1928538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928584 */     // MIs[0] policy
     /* 1928584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928618 */     // GIR_Coverage, 24007,
     /* 1928618 */     GIR_EraseRootFromParent_Done,
     /* 1928619 */   // Label 25897: @1928619
     /* 1928619 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1928705), // Rule ID 24010 //
     /* 1928624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928670 */     // MIs[0] policy
     /* 1928670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928704 */     // GIR_Coverage, 24010,
     /* 1928704 */     GIR_EraseRootFromParent_Done,
     /* 1928705 */   // Label 25898: @1928705
     /* 1928705 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1928791), // Rule ID 24011 //
     /* 1928710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928756 */     // MIs[0] policy
     /* 1928756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928790 */     // GIR_Coverage, 24011,
     /* 1928790 */     GIR_EraseRootFromParent_Done,
     /* 1928791 */   // Label 25899: @1928791
     /* 1928791 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1928877), // Rule ID 24014 //
     /* 1928796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928842 */     // MIs[0] policy
     /* 1928842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928876 */     // GIR_Coverage, 24014,
     /* 1928876 */     GIR_EraseRootFromParent_Done,
     /* 1928877 */   // Label 25900: @1928877
     /* 1928877 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1928963), // Rule ID 24015 //
     /* 1928882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928928 */     // MIs[0] policy
     /* 1928928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928962 */     // GIR_Coverage, 24015,
     /* 1928962 */     GIR_EraseRootFromParent_Done,
     /* 1928963 */   // Label 25901: @1928963
     /* 1928963 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1929049), // Rule ID 24018 //
     /* 1928968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929014 */     // MIs[0] policy
     /* 1929014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1929027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929048 */     // GIR_Coverage, 24018,
     /* 1929048 */     GIR_EraseRootFromParent_Done,
     /* 1929049 */   // Label 25902: @1929049
     /* 1929049 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1929135), // Rule ID 24019 //
     /* 1929054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1929065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1929068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1929071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929100 */     // MIs[0] policy
     /* 1929100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1929113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929134 */     // GIR_Coverage, 24019,
     /* 1929134 */     GIR_EraseRootFromParent_Done,
     /* 1929135 */   // Label 25903: @1929135
     /* 1929135 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1929221), // Rule ID 24022 //
     /* 1929140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929186 */     // MIs[0] policy
     /* 1929186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929196 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1929199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929220 */     // GIR_Coverage, 24022,
     /* 1929220 */     GIR_EraseRootFromParent_Done,
     /* 1929221 */   // Label 25904: @1929221
     /* 1929221 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1929307), // Rule ID 24023 //
     /* 1929226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929272 */     // MIs[0] policy
     /* 1929272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929282 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1929285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929306 */     // GIR_Coverage, 24023,
     /* 1929306 */     GIR_EraseRootFromParent_Done,
     /* 1929307 */   // Label 25905: @1929307
     /* 1929307 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1929393), // Rule ID 24026 //
     /* 1929312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929358 */     // MIs[0] policy
     /* 1929358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929368 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929392 */     // GIR_Coverage, 24026,
     /* 1929392 */     GIR_EraseRootFromParent_Done,
     /* 1929393 */   // Label 25906: @1929393
     /* 1929393 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1929479), // Rule ID 24027 //
     /* 1929398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929444 */     // MIs[0] policy
     /* 1929444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929454 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929478 */     // GIR_Coverage, 24027,
     /* 1929478 */     GIR_EraseRootFromParent_Done,
     /* 1929479 */   // Label 25907: @1929479
     /* 1929479 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1929565), // Rule ID 24030 //
     /* 1929484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929530 */     // MIs[0] policy
     /* 1929530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929540 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929564 */     // GIR_Coverage, 24030,
     /* 1929564 */     GIR_EraseRootFromParent_Done,
     /* 1929565 */   // Label 25908: @1929565
     /* 1929565 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1929651), // Rule ID 24031 //
     /* 1929570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929616 */     // MIs[0] policy
     /* 1929616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929626 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929650 */     // GIR_Coverage, 24031,
     /* 1929650 */     GIR_EraseRootFromParent_Done,
     /* 1929651 */   // Label 25909: @1929651
     /* 1929651 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1929737), // Rule ID 24034 //
     /* 1929656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929702 */     // MIs[0] policy
     /* 1929702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929712 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929736 */     // GIR_Coverage, 24034,
     /* 1929736 */     GIR_EraseRootFromParent_Done,
     /* 1929737 */   // Label 25910: @1929737
     /* 1929737 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1929823), // Rule ID 24035 //
     /* 1929742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929788 */     // MIs[0] policy
     /* 1929788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929798 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929822 */     // GIR_Coverage, 24035,
     /* 1929822 */     GIR_EraseRootFromParent_Done,
     /* 1929823 */   // Label 25911: @1929823
     /* 1929823 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1929909), // Rule ID 24038 //
     /* 1929828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929874 */     // MIs[0] policy
     /* 1929874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929908 */     // GIR_Coverage, 24038,
     /* 1929908 */     GIR_EraseRootFromParent_Done,
     /* 1929909 */   // Label 25912: @1929909
     /* 1929909 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1929995), // Rule ID 24039 //
     /* 1929914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929960 */     // MIs[0] policy
     /* 1929960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929970 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929994 */     // GIR_Coverage, 24039,
     /* 1929994 */     GIR_EraseRootFromParent_Done,
     /* 1929995 */   // Label 25913: @1929995
     /* 1929995 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1930081), // Rule ID 24042 //
     /* 1930000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930046 */     // MIs[0] policy
     /* 1930046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1930059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930080 */     // GIR_Coverage, 24042,
     /* 1930080 */     GIR_EraseRootFromParent_Done,
     /* 1930081 */   // Label 25914: @1930081
     /* 1930081 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1930167), // Rule ID 24043 //
     /* 1930086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930132 */     // MIs[0] policy
     /* 1930132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930142 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1930145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930166 */     // GIR_Coverage, 24043,
     /* 1930166 */     GIR_EraseRootFromParent_Done,
     /* 1930167 */   // Label 25915: @1930167
     /* 1930167 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1930253), // Rule ID 24046 //
     /* 1930172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930218 */     // MIs[0] policy
     /* 1930218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930228 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930252 */     // GIR_Coverage, 24046,
     /* 1930252 */     GIR_EraseRootFromParent_Done,
     /* 1930253 */   // Label 25916: @1930253
     /* 1930253 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1930339), // Rule ID 24047 //
     /* 1930258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930304 */     // MIs[0] policy
     /* 1930304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930314 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930338 */     // GIR_Coverage, 24047,
     /* 1930338 */     GIR_EraseRootFromParent_Done,
     /* 1930339 */   // Label 25917: @1930339
     /* 1930339 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1930425), // Rule ID 24050 //
     /* 1930344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930390 */     // MIs[0] policy
     /* 1930390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930400 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930424 */     // GIR_Coverage, 24050,
     /* 1930424 */     GIR_EraseRootFromParent_Done,
     /* 1930425 */   // Label 25918: @1930425
     /* 1930425 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1930511), // Rule ID 24051 //
     /* 1930430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930476 */     // MIs[0] policy
     /* 1930476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930486 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930510 */     // GIR_Coverage, 24051,
     /* 1930510 */     GIR_EraseRootFromParent_Done,
     /* 1930511 */   // Label 25919: @1930511
     /* 1930511 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1930597), // Rule ID 24054 //
     /* 1930516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930562 */     // MIs[0] policy
     /* 1930562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930572 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930596 */     // GIR_Coverage, 24054,
     /* 1930596 */     GIR_EraseRootFromParent_Done,
     /* 1930597 */   // Label 25920: @1930597
     /* 1930597 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1930683), // Rule ID 24055 //
     /* 1930602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930648 */     // MIs[0] policy
     /* 1930648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930658 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930682 */     // GIR_Coverage, 24055,
     /* 1930682 */     GIR_EraseRootFromParent_Done,
     /* 1930683 */   // Label 25921: @1930683
     /* 1930683 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1930769), // Rule ID 24058 //
     /* 1930688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930734 */     // MIs[0] policy
     /* 1930734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930744 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930768 */     // GIR_Coverage, 24058,
     /* 1930768 */     GIR_EraseRootFromParent_Done,
     /* 1930769 */   // Label 25922: @1930769
     /* 1930769 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1930855), // Rule ID 24059 //
     /* 1930774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930820 */     // MIs[0] policy
     /* 1930820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930854 */     // GIR_Coverage, 24059,
     /* 1930854 */     GIR_EraseRootFromParent_Done,
     /* 1930855 */   // Label 25923: @1930855
     /* 1930855 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1930941), // Rule ID 24062 //
     /* 1930860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930906 */     // MIs[0] policy
     /* 1930906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930916 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930940 */     // GIR_Coverage, 24062,
     /* 1930940 */     GIR_EraseRootFromParent_Done,
     /* 1930941 */   // Label 25924: @1930941
     /* 1930941 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1931027), // Rule ID 24063 //
     /* 1930946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930992 */     // MIs[0] policy
     /* 1930992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931026 */     // GIR_Coverage, 24063,
     /* 1931026 */     GIR_EraseRootFromParent_Done,
     /* 1931027 */   // Label 25925: @1931027
     /* 1931027 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1931113), // Rule ID 24066 //
     /* 1931032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931078 */     // MIs[0] policy
     /* 1931078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931088 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931112 */     // GIR_Coverage, 24066,
     /* 1931112 */     GIR_EraseRootFromParent_Done,
     /* 1931113 */   // Label 25926: @1931113
     /* 1931113 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1931199), // Rule ID 24067 //
     /* 1931118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1931121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931164 */     // MIs[0] policy
     /* 1931164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931174 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931198 */     // GIR_Coverage, 24067,
     /* 1931198 */     GIR_EraseRootFromParent_Done,
     /* 1931199 */   // Label 25927: @1931199
     /* 1931199 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1931285), // Rule ID 24070 //
     /* 1931204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931250 */     // MIs[0] policy
     /* 1931250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931260 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1931263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931284 */     // GIR_Coverage, 24070,
     /* 1931284 */     GIR_EraseRootFromParent_Done,
     /* 1931285 */   // Label 25928: @1931285
     /* 1931285 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1931371), // Rule ID 24071 //
     /* 1931290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931336 */     // MIs[0] policy
     /* 1931336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931346 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1931349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931370 */     // GIR_Coverage, 24071,
     /* 1931370 */     GIR_EraseRootFromParent_Done,
     /* 1931371 */   // Label 25929: @1931371
     /* 1931371 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1931457), // Rule ID 24074 //
     /* 1931376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931422 */     // MIs[0] policy
     /* 1931422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931432 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931456 */     // GIR_Coverage, 24074,
     /* 1931456 */     GIR_EraseRootFromParent_Done,
     /* 1931457 */   // Label 25930: @1931457
     /* 1931457 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1931543), // Rule ID 24075 //
     /* 1931462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931508 */     // MIs[0] policy
     /* 1931508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931518 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931542 */     // GIR_Coverage, 24075,
     /* 1931542 */     GIR_EraseRootFromParent_Done,
     /* 1931543 */   // Label 25931: @1931543
     /* 1931543 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1931629), // Rule ID 24078 //
     /* 1931548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931594 */     // MIs[0] policy
     /* 1931594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931604 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931628 */     // GIR_Coverage, 24078,
     /* 1931628 */     GIR_EraseRootFromParent_Done,
     /* 1931629 */   // Label 25932: @1931629
     /* 1931629 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1931715), // Rule ID 24079 //
     /* 1931634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931680 */     // MIs[0] policy
     /* 1931680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931690 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931714 */     // GIR_Coverage, 24079,
     /* 1931714 */     GIR_EraseRootFromParent_Done,
     /* 1931715 */   // Label 25933: @1931715
     /* 1931715 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1931801), // Rule ID 24142 //
     /* 1931720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931766 */     // MIs[0] policy
     /* 1931766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931776 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931800 */     // GIR_Coverage, 24142,
     /* 1931800 */     GIR_EraseRootFromParent_Done,
     /* 1931801 */   // Label 25934: @1931801
     /* 1931801 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1931887), // Rule ID 24143 //
     /* 1931806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931852 */     // MIs[0] policy
     /* 1931852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931862 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931886 */     // GIR_Coverage, 24143,
     /* 1931886 */     GIR_EraseRootFromParent_Done,
     /* 1931887 */   // Label 25935: @1931887
     /* 1931887 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1931973), // Rule ID 24146 //
     /* 1931892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931938 */     // MIs[0] policy
     /* 1931938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931948 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931972 */     // GIR_Coverage, 24146,
     /* 1931972 */     GIR_EraseRootFromParent_Done,
     /* 1931973 */   // Label 25936: @1931973
     /* 1931973 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1932059), // Rule ID 24147 //
     /* 1931978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932024 */     // MIs[0] policy
     /* 1932024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932034 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1932037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932058 */     // GIR_Coverage, 24147,
     /* 1932058 */     GIR_EraseRootFromParent_Done,
     /* 1932059 */   // Label 25937: @1932059
     /* 1932059 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1932145), // Rule ID 24150 //
     /* 1932064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1932075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1932078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1932081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932110 */     // MIs[0] policy
     /* 1932110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932120 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1932123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932144 */     // GIR_Coverage, 24150,
     /* 1932144 */     GIR_EraseRootFromParent_Done,
     /* 1932145 */   // Label 25938: @1932145
     /* 1932145 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1932231), // Rule ID 24151 //
     /* 1932150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1932161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1932164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1932167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932196 */     // MIs[0] policy
     /* 1932196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932206 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1932209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932230 */     // GIR_Coverage, 24151,
     /* 1932230 */     GIR_EraseRootFromParent_Done,
     /* 1932231 */   // Label 25939: @1932231
     /* 1932231 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1932317), // Rule ID 24154 //
     /* 1932236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1932247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1932250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1932253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932282 */     // MIs[0] policy
     /* 1932282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932316 */     // GIR_Coverage, 24154,
     /* 1932316 */     GIR_EraseRootFromParent_Done,
     /* 1932317 */   // Label 25940: @1932317
     /* 1932317 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1932403), // Rule ID 24155 //
     /* 1932322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1932333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1932336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1932339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932368 */     // MIs[0] policy
     /* 1932368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932402 */     // GIR_Coverage, 24155,
     /* 1932402 */     GIR_EraseRootFromParent_Done,
     /* 1932403 */   // Label 25941: @1932403
     /* 1932403 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1932489), // Rule ID 24158 //
     /* 1932408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1932419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1932422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1932425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932454 */     // MIs[0] policy
     /* 1932454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932488 */     // GIR_Coverage, 24158,
     /* 1932488 */     GIR_EraseRootFromParent_Done,
     /* 1932489 */   // Label 25942: @1932489
     /* 1932489 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1932575), // Rule ID 24159 //
     /* 1932494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1932505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1932508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1932511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932540 */     // MIs[0] policy
     /* 1932540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932550 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932574 */     // GIR_Coverage, 24159,
     /* 1932574 */     GIR_EraseRootFromParent_Done,
     /* 1932575 */   // Label 25943: @1932575
     /* 1932575 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1932661), // Rule ID 24162 //
     /* 1932580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932626 */     // MIs[0] policy
     /* 1932626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932636 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932660 */     // GIR_Coverage, 24162,
     /* 1932660 */     GIR_EraseRootFromParent_Done,
     /* 1932661 */   // Label 25944: @1932661
     /* 1932661 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1932747), // Rule ID 24163 //
     /* 1932666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932712 */     // MIs[0] policy
     /* 1932712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932722 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932746 */     // GIR_Coverage, 24163,
     /* 1932746 */     GIR_EraseRootFromParent_Done,
     /* 1932747 */   // Label 25945: @1932747
     /* 1932747 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1932833), // Rule ID 24166 //
     /* 1932752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932798 */     // MIs[0] policy
     /* 1932798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932808 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932832 */     // GIR_Coverage, 24166,
     /* 1932832 */     GIR_EraseRootFromParent_Done,
     /* 1932833 */   // Label 25946: @1932833
     /* 1932833 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1932919), // Rule ID 24167 //
     /* 1932838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932884 */     // MIs[0] policy
     /* 1932884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932894 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932918 */     // GIR_Coverage, 24167,
     /* 1932918 */     GIR_EraseRootFromParent_Done,
     /* 1932919 */   // Label 25947: @1932919
     /* 1932919 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1933005), // Rule ID 24170 //
     /* 1932924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1932935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1932938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1932941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932970 */     // MIs[0] policy
     /* 1932970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932980 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933004 */     // GIR_Coverage, 24170,
     /* 1933004 */     GIR_EraseRootFromParent_Done,
     /* 1933005 */   // Label 25948: @1933005
     /* 1933005 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1933091), // Rule ID 24171 //
     /* 1933010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1933021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1933024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1933027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933056 */     // MIs[0] policy
     /* 1933056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933066 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933090 */     // GIR_Coverage, 24171,
     /* 1933090 */     GIR_EraseRootFromParent_Done,
     /* 1933091 */   // Label 25949: @1933091
     /* 1933091 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1933177), // Rule ID 24174 //
     /* 1933096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1933107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1933110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1933113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1933119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933142 */     // MIs[0] policy
     /* 1933142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933176 */     // GIR_Coverage, 24174,
     /* 1933176 */     GIR_EraseRootFromParent_Done,
     /* 1933177 */   // Label 25950: @1933177
     /* 1933177 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1933263), // Rule ID 24175 //
     /* 1933182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1933193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1933196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1933199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1933205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933228 */     // MIs[0] policy
     /* 1933228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933238 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933262 */     // GIR_Coverage, 24175,
     /* 1933262 */     GIR_EraseRootFromParent_Done,
     /* 1933263 */   // Label 25951: @1933263
     /* 1933263 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1933349), // Rule ID 24178 //
     /* 1933268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1933279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1933282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1933285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933314 */     // MIs[0] policy
     /* 1933314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933324 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933348 */     // GIR_Coverage, 24178,
     /* 1933348 */     GIR_EraseRootFromParent_Done,
     /* 1933349 */   // Label 25952: @1933349
     /* 1933349 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1933435), // Rule ID 24179 //
     /* 1933354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1933365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1933368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1933371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933400 */     // MIs[0] policy
     /* 1933400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933410 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933434 */     // GIR_Coverage, 24179,
     /* 1933434 */     GIR_EraseRootFromParent_Done,
     /* 1933435 */   // Label 25953: @1933435
     /* 1933435 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1933521), // Rule ID 24182 //
     /* 1933440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933486 */     // MIs[0] policy
     /* 1933486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933496 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933520 */     // GIR_Coverage, 24182,
     /* 1933520 */     GIR_EraseRootFromParent_Done,
     /* 1933521 */   // Label 25954: @1933521
     /* 1933521 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1933607), // Rule ID 24183 //
     /* 1933526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933572 */     // MIs[0] policy
     /* 1933572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933582 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933606 */     // GIR_Coverage, 24183,
     /* 1933606 */     GIR_EraseRootFromParent_Done,
     /* 1933607 */   // Label 25955: @1933607
     /* 1933607 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1933693), // Rule ID 24186 //
     /* 1933612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933658 */     // MIs[0] policy
     /* 1933658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933668 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933692 */     // GIR_Coverage, 24186,
     /* 1933692 */     GIR_EraseRootFromParent_Done,
     /* 1933693 */   // Label 25956: @1933693
     /* 1933693 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1933779), // Rule ID 24187 //
     /* 1933698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933744 */     // MIs[0] policy
     /* 1933744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933754 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933778 */     // GIR_Coverage, 24187,
     /* 1933778 */     GIR_EraseRootFromParent_Done,
     /* 1933779 */   // Label 25957: @1933779
     /* 1933779 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1933865), // Rule ID 24190 //
     /* 1933784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933830 */     // MIs[0] policy
     /* 1933830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933840 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933864 */     // GIR_Coverage, 24190,
     /* 1933864 */     GIR_EraseRootFromParent_Done,
     /* 1933865 */   // Label 25958: @1933865
     /* 1933865 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1933951), // Rule ID 24191 //
     /* 1933870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933916 */     // MIs[0] policy
     /* 1933916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933926 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933950 */     // GIR_Coverage, 24191,
     /* 1933950 */     GIR_EraseRootFromParent_Done,
     /* 1933951 */   // Label 25959: @1933951
     /* 1933951 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1934037), // Rule ID 24194 //
     /* 1933956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1933967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1933970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1933973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934002 */     // MIs[0] policy
     /* 1934002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934012 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1934015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934036 */     // GIR_Coverage, 24194,
     /* 1934036 */     GIR_EraseRootFromParent_Done,
     /* 1934037 */   // Label 25960: @1934037
     /* 1934037 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1934123), // Rule ID 24195 //
     /* 1934042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1934050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1934053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1934056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1934059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934088 */     // MIs[0] policy
     /* 1934088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934098 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1934101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934122 */     // GIR_Coverage, 24195,
     /* 1934122 */     GIR_EraseRootFromParent_Done,
     /* 1934123 */   // Label 25961: @1934123
     /* 1934123 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1934209), // Rule ID 24198 //
     /* 1934128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1934131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1934136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1934139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1934142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1934145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934174 */     // MIs[0] policy
     /* 1934174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934184 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1934187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934208 */     // GIR_Coverage, 24198,
     /* 1934208 */     GIR_EraseRootFromParent_Done,
     /* 1934209 */   // Label 25962: @1934209
     /* 1934209 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1934295), // Rule ID 24199 //
     /* 1934214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1934222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1934225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1934228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1934231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934260 */     // MIs[0] policy
     /* 1934260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934270 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1934273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934294 */     // GIR_Coverage, 24199,
     /* 1934294 */     GIR_EraseRootFromParent_Done,
     /* 1934295 */   // Label 25963: @1934295
     /* 1934295 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1934381), // Rule ID 24262 //
     /* 1934300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1934311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1934314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1934317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934346 */     // MIs[0] policy
     /* 1934346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934356 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1934359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934380 */     // GIR_Coverage, 24262,
     /* 1934380 */     GIR_EraseRootFromParent_Done,
     /* 1934381 */   // Label 25964: @1934381
     /* 1934381 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1934467), // Rule ID 24263 //
     /* 1934386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1934397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1934400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1934403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934432 */     // MIs[0] policy
     /* 1934432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934442 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1934445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934466 */     // GIR_Coverage, 24263,
     /* 1934466 */     GIR_EraseRootFromParent_Done,
     /* 1934467 */   // Label 25965: @1934467
     /* 1934467 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1934553), // Rule ID 24266 //
     /* 1934472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934518 */     // MIs[0] policy
     /* 1934518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934552 */     // GIR_Coverage, 24266,
     /* 1934552 */     GIR_EraseRootFromParent_Done,
     /* 1934553 */   // Label 25966: @1934553
     /* 1934553 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1934639), // Rule ID 24267 //
     /* 1934558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934604 */     // MIs[0] policy
     /* 1934604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934614 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934638 */     // GIR_Coverage, 24267,
     /* 1934638 */     GIR_EraseRootFromParent_Done,
     /* 1934639 */   // Label 25967: @1934639
     /* 1934639 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1934725), // Rule ID 24270 //
     /* 1934644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934690 */     // MIs[0] policy
     /* 1934690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934700 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934724 */     // GIR_Coverage, 24270,
     /* 1934724 */     GIR_EraseRootFromParent_Done,
     /* 1934725 */   // Label 25968: @1934725
     /* 1934725 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1934811), // Rule ID 24271 //
     /* 1934730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934776 */     // MIs[0] policy
     /* 1934776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934786 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934810 */     // GIR_Coverage, 24271,
     /* 1934810 */     GIR_EraseRootFromParent_Done,
     /* 1934811 */   // Label 25969: @1934811
     /* 1934811 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1934897), // Rule ID 24274 //
     /* 1934816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934862 */     // MIs[0] policy
     /* 1934862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934872 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934896 */     // GIR_Coverage, 24274,
     /* 1934896 */     GIR_EraseRootFromParent_Done,
     /* 1934897 */   // Label 25970: @1934897
     /* 1934897 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1934983), // Rule ID 24275 //
     /* 1934902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934948 */     // MIs[0] policy
     /* 1934948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934958 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934982 */     // GIR_Coverage, 24275,
     /* 1934982 */     GIR_EraseRootFromParent_Done,
     /* 1934983 */   // Label 25971: @1934983
     /* 1934983 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1935069), // Rule ID 24278 //
     /* 1934988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1935002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1935005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935034 */     // MIs[0] policy
     /* 1935034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935044 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1935047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935068 */     // GIR_Coverage, 24278,
     /* 1935068 */     GIR_EraseRootFromParent_Done,
     /* 1935069 */   // Label 25972: @1935069
     /* 1935069 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1935155), // Rule ID 24279 //
     /* 1935074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1935085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1935088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1935091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935120 */     // MIs[0] policy
     /* 1935120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1935133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935154 */     // GIR_Coverage, 24279,
     /* 1935154 */     GIR_EraseRootFromParent_Done,
     /* 1935155 */   // Label 25973: @1935155
     /* 1935155 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1935241), // Rule ID 24282 //
     /* 1935160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1935171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1935174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1935177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935206 */     // MIs[0] policy
     /* 1935206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1935219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935240 */     // GIR_Coverage, 24282,
     /* 1935240 */     GIR_EraseRootFromParent_Done,
     /* 1935241 */   // Label 25974: @1935241
     /* 1935241 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1935327), // Rule ID 24283 //
     /* 1935246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1935249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1935257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1935260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1935263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935292 */     // MIs[0] policy
     /* 1935292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935302 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1935305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935326 */     // GIR_Coverage, 24283,
     /* 1935326 */     GIR_EraseRootFromParent_Done,
     /* 1935327 */   // Label 25975: @1935327
     /* 1935327 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1935413), // Rule ID 24286 //
     /* 1935332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935378 */     // MIs[0] policy
     /* 1935378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935388 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1935391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935412 */     // GIR_Coverage, 24286,
     /* 1935412 */     GIR_EraseRootFromParent_Done,
     /* 1935413 */   // Label 25976: @1935413
     /* 1935413 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1935499), // Rule ID 24287 //
     /* 1935418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935464 */     // MIs[0] policy
     /* 1935464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935474 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1935477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935498 */     // GIR_Coverage, 24287,
     /* 1935498 */     GIR_EraseRootFromParent_Done,
     /* 1935499 */   // Label 25977: @1935499
     /* 1935499 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1935585), // Rule ID 24290 //
     /* 1935504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935550 */     // MIs[0] policy
     /* 1935550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935560 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935584 */     // GIR_Coverage, 24290,
     /* 1935584 */     GIR_EraseRootFromParent_Done,
     /* 1935585 */   // Label 25978: @1935585
     /* 1935585 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1935671), // Rule ID 24291 //
     /* 1935590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935636 */     // MIs[0] policy
     /* 1935636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935646 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935670 */     // GIR_Coverage, 24291,
     /* 1935670 */     GIR_EraseRootFromParent_Done,
     /* 1935671 */   // Label 25979: @1935671
     /* 1935671 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1935757), // Rule ID 24294 //
     /* 1935676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935722 */     // MIs[0] policy
     /* 1935722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935732 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935756 */     // GIR_Coverage, 24294,
     /* 1935756 */     GIR_EraseRootFromParent_Done,
     /* 1935757 */   // Label 25980: @1935757
     /* 1935757 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1935843), // Rule ID 24295 //
     /* 1935762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935808 */     // MIs[0] policy
     /* 1935808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935818 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935842 */     // GIR_Coverage, 24295,
     /* 1935842 */     GIR_EraseRootFromParent_Done,
     /* 1935843 */   // Label 25981: @1935843
     /* 1935843 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1935929), // Rule ID 24298 //
     /* 1935848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935894 */     // MIs[0] policy
     /* 1935894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935904 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935928 */     // GIR_Coverage, 24298,
     /* 1935928 */     GIR_EraseRootFromParent_Done,
     /* 1935929 */   // Label 25982: @1935929
     /* 1935929 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1936015), // Rule ID 24299 //
     /* 1935934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935980 */     // MIs[0] policy
     /* 1935980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935990 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936014 */     // GIR_Coverage, 24299,
     /* 1936014 */     GIR_EraseRootFromParent_Done,
     /* 1936015 */   // Label 25983: @1936015
     /* 1936015 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1936101), // Rule ID 24302 //
     /* 1936020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936066 */     // MIs[0] policy
     /* 1936066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936076 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1936079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936100 */     // GIR_Coverage, 24302,
     /* 1936100 */     GIR_EraseRootFromParent_Done,
     /* 1936101 */   // Label 25984: @1936101
     /* 1936101 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1936187), // Rule ID 24303 //
     /* 1936106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936152 */     // MIs[0] policy
     /* 1936152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936162 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1936165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936186 */     // GIR_Coverage, 24303,
     /* 1936186 */     GIR_EraseRootFromParent_Done,
     /* 1936187 */   // Label 25985: @1936187
     /* 1936187 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1936273), // Rule ID 24306 //
     /* 1936192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936238 */     // MIs[0] policy
     /* 1936238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1936251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936272 */     // GIR_Coverage, 24306,
     /* 1936272 */     GIR_EraseRootFromParent_Done,
     /* 1936273 */   // Label 25986: @1936273
     /* 1936273 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1936359), // Rule ID 24307 //
     /* 1936278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936324 */     // MIs[0] policy
     /* 1936324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936334 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1936337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936358 */     // GIR_Coverage, 24307,
     /* 1936358 */     GIR_EraseRootFromParent_Done,
     /* 1936359 */   // Label 25987: @1936359
     /* 1936359 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1936445), // Rule ID 24310 //
     /* 1936364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936410 */     // MIs[0] policy
     /* 1936410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936420 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1936423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936444 */     // GIR_Coverage, 24310,
     /* 1936444 */     GIR_EraseRootFromParent_Done,
     /* 1936445 */   // Label 25988: @1936445
     /* 1936445 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1936531), // Rule ID 24311 //
     /* 1936450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936496 */     // MIs[0] policy
     /* 1936496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936506 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1936509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936530 */     // GIR_Coverage, 24311,
     /* 1936530 */     GIR_EraseRootFromParent_Done,
     /* 1936531 */   // Label 25989: @1936531
     /* 1936531 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1936617), // Rule ID 24314 //
     /* 1936536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936582 */     // MIs[0] policy
     /* 1936582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936592 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936616 */     // GIR_Coverage, 24314,
     /* 1936616 */     GIR_EraseRootFromParent_Done,
     /* 1936617 */   // Label 25990: @1936617
     /* 1936617 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1936703), // Rule ID 24315 //
     /* 1936622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936668 */     // MIs[0] policy
     /* 1936668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936678 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936702 */     // GIR_Coverage, 24315,
     /* 1936702 */     GIR_EraseRootFromParent_Done,
     /* 1936703 */   // Label 25991: @1936703
     /* 1936703 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1936789), // Rule ID 24318 //
     /* 1936708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936754 */     // MIs[0] policy
     /* 1936754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936788 */     // GIR_Coverage, 24318,
     /* 1936788 */     GIR_EraseRootFromParent_Done,
     /* 1936789 */   // Label 25992: @1936789
     /* 1936789 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1936875), // Rule ID 24319 //
     /* 1936794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936840 */     // MIs[0] policy
     /* 1936840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936850 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936874 */     // GIR_Coverage, 24319,
     /* 1936874 */     GIR_EraseRootFromParent_Done,
     /* 1936875 */   // Label 25993: @1936875
     /* 1936875 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1936961), // Rule ID 24322 //
     /* 1936880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936926 */     // MIs[0] policy
     /* 1936926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936936 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1936939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936960 */     // GIR_Coverage, 24322,
     /* 1936960 */     GIR_EraseRootFromParent_Done,
     /* 1936961 */   // Label 25994: @1936961
     /* 1936961 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1937047), // Rule ID 24323 //
     /* 1936966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937012 */     // MIs[0] policy
     /* 1937012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937022 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1937025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937046 */     // GIR_Coverage, 24323,
     /* 1937046 */     GIR_EraseRootFromParent_Done,
     /* 1937047 */   // Label 25995: @1937047
     /* 1937047 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1937133), // Rule ID 24326 //
     /* 1937052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937098 */     // MIs[0] policy
     /* 1937098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1937111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937132 */     // GIR_Coverage, 24326,
     /* 1937132 */     GIR_EraseRootFromParent_Done,
     /* 1937133 */   // Label 25996: @1937133
     /* 1937133 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1937219), // Rule ID 24327 //
     /* 1937138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937184 */     // MIs[0] policy
     /* 1937184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937194 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1937197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937218 */     // GIR_Coverage, 24327,
     /* 1937218 */     GIR_EraseRootFromParent_Done,
     /* 1937219 */   // Label 25997: @1937219
     /* 1937219 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1937305), // Rule ID 24330 //
     /* 1937224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937270 */     // MIs[0] policy
     /* 1937270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1937283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937304 */     // GIR_Coverage, 24330,
     /* 1937304 */     GIR_EraseRootFromParent_Done,
     /* 1937305 */   // Label 25998: @1937305
     /* 1937305 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1937391), // Rule ID 24331 //
     /* 1937310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937356 */     // MIs[0] policy
     /* 1937356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937366 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1937369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937390 */     // GIR_Coverage, 24331,
     /* 1937390 */     GIR_EraseRootFromParent_Done,
     /* 1937391 */   // Label 25999: @1937391
     /* 1937391 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1937477), // Rule ID 24334 //
     /* 1937396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937442 */     // MIs[0] policy
     /* 1937442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937476 */     // GIR_Coverage, 24334,
     /* 1937476 */     GIR_EraseRootFromParent_Done,
     /* 1937477 */   // Label 26000: @1937477
     /* 1937477 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1937563), // Rule ID 24335 //
     /* 1937482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937528 */     // MIs[0] policy
     /* 1937528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937538 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937562 */     // GIR_Coverage, 24335,
     /* 1937562 */     GIR_EraseRootFromParent_Done,
     /* 1937563 */   // Label 26001: @1937563
     /* 1937563 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1937649), // Rule ID 24338 //
     /* 1937568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937614 */     // MIs[0] policy
     /* 1937614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937624 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937648 */     // GIR_Coverage, 24338,
     /* 1937648 */     GIR_EraseRootFromParent_Done,
     /* 1937649 */   // Label 26002: @1937649
     /* 1937649 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1937735), // Rule ID 24339 //
     /* 1937654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937700 */     // MIs[0] policy
     /* 1937700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937710 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937734 */     // GIR_Coverage, 24339,
     /* 1937734 */     GIR_EraseRootFromParent_Done,
     /* 1937735 */   // Label 26003: @1937735
     /* 1937735 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1937821), // Rule ID 24342 //
     /* 1937740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937786 */     // MIs[0] policy
     /* 1937786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937796 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937820 */     // GIR_Coverage, 24342,
     /* 1937820 */     GIR_EraseRootFromParent_Done,
     /* 1937821 */   // Label 26004: @1937821
     /* 1937821 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1937907), // Rule ID 24343 //
     /* 1937826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937872 */     // MIs[0] policy
     /* 1937872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937906 */     // GIR_Coverage, 24343,
     /* 1937906 */     GIR_EraseRootFromParent_Done,
     /* 1937907 */   // Label 26005: @1937907
     /* 1937907 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1937993), // Rule ID 24346 //
     /* 1937912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937958 */     // MIs[0] policy
     /* 1937958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1937971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937992 */     // GIR_Coverage, 24346,
     /* 1937992 */     GIR_EraseRootFromParent_Done,
     /* 1937993 */   // Label 26006: @1937993
     /* 1937993 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1938079), // Rule ID 24347 //
     /* 1937998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1938009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1938012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1938015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938044 */     // MIs[0] policy
     /* 1938044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938054 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1938057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938078 */     // GIR_Coverage, 24347,
     /* 1938078 */     GIR_EraseRootFromParent_Done,
     /* 1938079 */   // Label 26007: @1938079
     /* 1938079 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1938165), // Rule ID 24350 //
     /* 1938084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1938095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1938098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1938101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938130 */     // MIs[0] policy
     /* 1938130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938140 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1938143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938164 */     // GIR_Coverage, 24350,
     /* 1938164 */     GIR_EraseRootFromParent_Done,
     /* 1938165 */   // Label 26008: @1938165
     /* 1938165 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1938251), // Rule ID 24351 //
     /* 1938170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1938181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1938184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1938187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938216 */     // MIs[0] policy
     /* 1938216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938226 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1938229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938250 */     // GIR_Coverage, 24351,
     /* 1938250 */     GIR_EraseRootFromParent_Done,
     /* 1938251 */   // Label 26009: @1938251
     /* 1938251 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1938337), // Rule ID 24354 //
     /* 1938256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1938267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1938270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1938273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938302 */     // MIs[0] policy
     /* 1938302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938312 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1938315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938336 */     // GIR_Coverage, 24354,
     /* 1938336 */     GIR_EraseRootFromParent_Done,
     /* 1938337 */   // Label 26010: @1938337
     /* 1938337 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1938423), // Rule ID 24355 //
     /* 1938342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1938353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1938356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1938359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938388 */     // MIs[0] policy
     /* 1938388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938398 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1938401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938422 */     // GIR_Coverage, 24355,
     /* 1938422 */     GIR_EraseRootFromParent_Done,
     /* 1938423 */   // Label 26011: @1938423
     /* 1938423 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1938509), // Rule ID 24358 //
     /* 1938428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938474 */     // MIs[0] policy
     /* 1938474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938484 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938508 */     // GIR_Coverage, 24358,
     /* 1938508 */     GIR_EraseRootFromParent_Done,
     /* 1938509 */   // Label 26012: @1938509
     /* 1938509 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1938595), // Rule ID 24359 //
     /* 1938514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938560 */     // MIs[0] policy
     /* 1938560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938570 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938594 */     // GIR_Coverage, 24359,
     /* 1938594 */     GIR_EraseRootFromParent_Done,
     /* 1938595 */   // Label 26013: @1938595
     /* 1938595 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1938681), // Rule ID 24362 //
     /* 1938600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938646 */     // MIs[0] policy
     /* 1938646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938680 */     // GIR_Coverage, 24362,
     /* 1938680 */     GIR_EraseRootFromParent_Done,
     /* 1938681 */   // Label 26014: @1938681
     /* 1938681 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1938767), // Rule ID 24363 //
     /* 1938686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938732 */     // MIs[0] policy
     /* 1938732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938742 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938766 */     // GIR_Coverage, 24363,
     /* 1938766 */     GIR_EraseRootFromParent_Done,
     /* 1938767 */   // Label 26015: @1938767
     /* 1938767 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1938853), // Rule ID 24366 //
     /* 1938772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938818 */     // MIs[0] policy
     /* 1938818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938852 */     // GIR_Coverage, 24366,
     /* 1938852 */     GIR_EraseRootFromParent_Done,
     /* 1938853 */   // Label 26016: @1938853
     /* 1938853 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1938939), // Rule ID 24367 //
     /* 1938858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938904 */     // MIs[0] policy
     /* 1938904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938914 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938938 */     // GIR_Coverage, 24367,
     /* 1938938 */     GIR_EraseRootFromParent_Done,
     /* 1938939 */   // Label 26017: @1938939
     /* 1938939 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1939025), // Rule ID 24370 //
     /* 1938944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938990 */     // MIs[0] policy
     /* 1938990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939000 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1939003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939024 */     // GIR_Coverage, 24370,
     /* 1939024 */     GIR_EraseRootFromParent_Done,
     /* 1939025 */   // Label 26018: @1939025
     /* 1939025 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1939111), // Rule ID 24371 //
     /* 1939030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1939033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1939041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1939044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1939047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939076 */     // MIs[0] policy
     /* 1939076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939086 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1939089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939110 */     // GIR_Coverage, 24371,
     /* 1939110 */     GIR_EraseRootFromParent_Done,
     /* 1939111 */   // Label 26019: @1939111
     /* 1939111 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1939197), // Rule ID 24374 //
     /* 1939116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1939119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1939127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1939130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1939133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939162 */     // MIs[0] policy
     /* 1939162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1939175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939196 */     // GIR_Coverage, 24374,
     /* 1939196 */     GIR_EraseRootFromParent_Done,
     /* 1939197 */   // Label 26020: @1939197
     /* 1939197 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1939283), // Rule ID 24375 //
     /* 1939202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1939205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1939213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1939216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1939219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939248 */     // MIs[0] policy
     /* 1939248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939258 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1939261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939282 */     // GIR_Coverage, 24375,
     /* 1939282 */     GIR_EraseRootFromParent_Done,
     /* 1939283 */   // Label 26021: @1939283
     /* 1939283 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1939369), // Rule ID 24378 //
     /* 1939288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1939291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1939299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1939302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1939305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939334 */     // MIs[0] policy
     /* 1939334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939344 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1939347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939368 */     // GIR_Coverage, 24378,
     /* 1939368 */     GIR_EraseRootFromParent_Done,
     /* 1939369 */   // Label 26022: @1939369
     /* 1939369 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1939455), // Rule ID 24379 //
     /* 1939374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1939377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1939385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1939388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1939391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939420 */     // MIs[0] policy
     /* 1939420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939430 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1939433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939454 */     // GIR_Coverage, 24379,
     /* 1939454 */     GIR_EraseRootFromParent_Done,
     /* 1939455 */   // Label 26023: @1939455
     /* 1939455 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1939541), // Rule ID 24382 //
     /* 1939460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939506 */     // MIs[0] policy
     /* 1939506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939540 */     // GIR_Coverage, 24382,
     /* 1939540 */     GIR_EraseRootFromParent_Done,
     /* 1939541 */   // Label 26024: @1939541
     /* 1939541 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1939627), // Rule ID 24383 //
     /* 1939546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939592 */     // MIs[0] policy
     /* 1939592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939626 */     // GIR_Coverage, 24383,
     /* 1939626 */     GIR_EraseRootFromParent_Done,
     /* 1939627 */   // Label 26025: @1939627
     /* 1939627 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1939713), // Rule ID 24386 //
     /* 1939632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939678 */     // MIs[0] policy
     /* 1939678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939712 */     // GIR_Coverage, 24386,
     /* 1939712 */     GIR_EraseRootFromParent_Done,
     /* 1939713 */   // Label 26026: @1939713
     /* 1939713 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1939799), // Rule ID 24387 //
     /* 1939718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939764 */     // MIs[0] policy
     /* 1939764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939798 */     // GIR_Coverage, 24387,
     /* 1939798 */     GIR_EraseRootFromParent_Done,
     /* 1939799 */   // Label 26027: @1939799
     /* 1939799 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1939885), // Rule ID 24390 //
     /* 1939804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939850 */     // MIs[0] policy
     /* 1939850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939884 */     // GIR_Coverage, 24390,
     /* 1939884 */     GIR_EraseRootFromParent_Done,
     /* 1939885 */   // Label 26028: @1939885
     /* 1939885 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1939971), // Rule ID 24391 //
     /* 1939890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939936 */     // MIs[0] policy
     /* 1939936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939970 */     // GIR_Coverage, 24391,
     /* 1939970 */     GIR_EraseRootFromParent_Done,
     /* 1939971 */   // Label 26029: @1939971
     /* 1939971 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1940057), // Rule ID 24394 //
     /* 1939976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1939987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1939990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1939993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1939996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940022 */     // MIs[0] policy
     /* 1940022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1940035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940056 */     // GIR_Coverage, 24394,
     /* 1940056 */     GIR_EraseRootFromParent_Done,
     /* 1940057 */   // Label 26030: @1940057
     /* 1940057 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1940143), // Rule ID 24395 //
     /* 1940062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1940073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1940076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1940079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1940082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940108 */     // MIs[0] policy
     /* 1940108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1940121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940142 */     // GIR_Coverage, 24395,
     /* 1940142 */     GIR_EraseRootFromParent_Done,
     /* 1940143 */   // Label 26031: @1940143
     /* 1940143 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1940229), // Rule ID 24398 //
     /* 1940148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1940168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940194 */     // MIs[0] policy
     /* 1940194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1940207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940228 */     // GIR_Coverage, 24398,
     /* 1940228 */     GIR_EraseRootFromParent_Done,
     /* 1940229 */   // Label 26032: @1940229
     /* 1940229 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1940315), // Rule ID 24399 //
     /* 1940234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1940254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940280 */     // MIs[0] policy
     /* 1940280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1940293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940314 */     // GIR_Coverage, 24399,
     /* 1940314 */     GIR_EraseRootFromParent_Done,
     /* 1940315 */   // Label 26033: @1940315
     /* 1940315 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1940401), // Rule ID 24402 //
     /* 1940320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1940340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940366 */     // MIs[0] policy
     /* 1940366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1940379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940400 */     // GIR_Coverage, 24402,
     /* 1940400 */     GIR_EraseRootFromParent_Done,
     /* 1940401 */   // Label 26034: @1940401
     /* 1940401 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1940487), // Rule ID 24403 //
     /* 1940406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1940426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940452 */     // MIs[0] policy
     /* 1940452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1940465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940486 */     // GIR_Coverage, 24403,
     /* 1940486 */     GIR_EraseRootFromParent_Done,
     /* 1940487 */   // Label 26035: @1940487
     /* 1940487 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1940573), // Rule ID 24406 //
     /* 1940492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940538 */     // MIs[0] policy
     /* 1940538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940572 */     // GIR_Coverage, 24406,
     /* 1940572 */     GIR_EraseRootFromParent_Done,
     /* 1940573 */   // Label 26036: @1940573
     /* 1940573 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1940659), // Rule ID 24407 //
     /* 1940578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940624 */     // MIs[0] policy
     /* 1940624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940658 */     // GIR_Coverage, 24407,
     /* 1940658 */     GIR_EraseRootFromParent_Done,
     /* 1940659 */   // Label 26037: @1940659
     /* 1940659 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1940745), // Rule ID 24410 //
     /* 1940664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940710 */     // MIs[0] policy
     /* 1940710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940744 */     // GIR_Coverage, 24410,
     /* 1940744 */     GIR_EraseRootFromParent_Done,
     /* 1940745 */   // Label 26038: @1940745
     /* 1940745 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1940831), // Rule ID 24411 //
     /* 1940750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940796 */     // MIs[0] policy
     /* 1940796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940830 */     // GIR_Coverage, 24411,
     /* 1940830 */     GIR_EraseRootFromParent_Done,
     /* 1940831 */   // Label 26039: @1940831
     /* 1940831 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1940917), // Rule ID 24414 //
     /* 1940836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940882 */     // MIs[0] policy
     /* 1940882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940916 */     // GIR_Coverage, 24414,
     /* 1940916 */     GIR_EraseRootFromParent_Done,
     /* 1940917 */   // Label 26040: @1940917
     /* 1940917 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1941003), // Rule ID 24415 //
     /* 1940922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940968 */     // MIs[0] policy
     /* 1940968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941002 */     // GIR_Coverage, 24415,
     /* 1941002 */     GIR_EraseRootFromParent_Done,
     /* 1941003 */   // Label 26041: @1941003
     /* 1941003 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1941089), // Rule ID 24418 //
     /* 1941008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1941011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1941028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941054 */     // MIs[0] policy
     /* 1941054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1941067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941088 */     // GIR_Coverage, 24418,
     /* 1941088 */     GIR_EraseRootFromParent_Done,
     /* 1941089 */   // Label 26042: @1941089
     /* 1941089 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1941175), // Rule ID 24419 //
     /* 1941094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1941097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1941114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941140 */     // MIs[0] policy
     /* 1941140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1941153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941174 */     // GIR_Coverage, 24419,
     /* 1941174 */     GIR_EraseRootFromParent_Done,
     /* 1941175 */   // Label 26043: @1941175
     /* 1941175 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1941261), // Rule ID 24422 //
     /* 1941180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1941191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1941194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1941197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1941200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941226 */     // MIs[0] policy
     /* 1941226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1941239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941260 */     // GIR_Coverage, 24422,
     /* 1941260 */     GIR_EraseRootFromParent_Done,
     /* 1941261 */   // Label 26044: @1941261
     /* 1941261 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1941347), // Rule ID 24423 //
     /* 1941266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1941277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1941280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1941283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1941286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941312 */     // MIs[0] policy
     /* 1941312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941322 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1941325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941346 */     // GIR_Coverage, 24423,
     /* 1941346 */     GIR_EraseRootFromParent_Done,
     /* 1941347 */   // Label 26045: @1941347
     /* 1941347 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1941433), // Rule ID 24426 //
     /* 1941352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1941363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1941366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1941369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1941372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941398 */     // MIs[0] policy
     /* 1941398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1941411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941432 */     // GIR_Coverage, 24426,
     /* 1941432 */     GIR_EraseRootFromParent_Done,
     /* 1941433 */   // Label 26046: @1941433
     /* 1941433 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1941519), // Rule ID 24427 //
     /* 1941438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1941449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1941452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1941455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1941458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941484 */     // MIs[0] policy
     /* 1941484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1941497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941518 */     // GIR_Coverage, 24427,
     /* 1941518 */     GIR_EraseRootFromParent_Done,
     /* 1941519 */   // Label 26047: @1941519
     /* 1941519 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1941605), // Rule ID 24430 //
     /* 1941524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941570 */     // MIs[0] policy
     /* 1941570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941580 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941604 */     // GIR_Coverage, 24430,
     /* 1941604 */     GIR_EraseRootFromParent_Done,
     /* 1941605 */   // Label 26048: @1941605
     /* 1941605 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1941691), // Rule ID 24431 //
     /* 1941610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941656 */     // MIs[0] policy
     /* 1941656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941690 */     // GIR_Coverage, 24431,
     /* 1941690 */     GIR_EraseRootFromParent_Done,
     /* 1941691 */   // Label 26049: @1941691
     /* 1941691 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1941777), // Rule ID 24434 //
     /* 1941696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941742 */     // MIs[0] policy
     /* 1941742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941776 */     // GIR_Coverage, 24434,
     /* 1941776 */     GIR_EraseRootFromParent_Done,
     /* 1941777 */   // Label 26050: @1941777
     /* 1941777 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1941863), // Rule ID 24435 //
     /* 1941782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941828 */     // MIs[0] policy
     /* 1941828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941838 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941862 */     // GIR_Coverage, 24435,
     /* 1941862 */     GIR_EraseRootFromParent_Done,
     /* 1941863 */   // Label 26051: @1941863
     /* 1941863 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1941949), // Rule ID 24438 //
     /* 1941868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941914 */     // MIs[0] policy
     /* 1941914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1941927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941948 */     // GIR_Coverage, 24438,
     /* 1941948 */     GIR_EraseRootFromParent_Done,
     /* 1941949 */   // Label 26052: @1941949
     /* 1941949 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1942035), // Rule ID 24439 //
     /* 1941954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942000 */     // MIs[0] policy
     /* 1942000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942010 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1942013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942034 */     // GIR_Coverage, 24439,
     /* 1942034 */     GIR_EraseRootFromParent_Done,
     /* 1942035 */   // Label 26053: @1942035
     /* 1942035 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1942121), // Rule ID 24442 //
     /* 1942040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1942060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942086 */     // MIs[0] policy
     /* 1942086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1942099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942120 */     // GIR_Coverage, 24442,
     /* 1942120 */     GIR_EraseRootFromParent_Done,
     /* 1942121 */   // Label 26054: @1942121
     /* 1942121 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1942207), // Rule ID 24443 //
     /* 1942126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1942146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942172 */     // MIs[0] policy
     /* 1942172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1942185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942206 */     // GIR_Coverage, 24443,
     /* 1942206 */     GIR_EraseRootFromParent_Done,
     /* 1942207 */   // Label 26055: @1942207
     /* 1942207 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1942293), // Rule ID 24446 //
     /* 1942212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1942232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942258 */     // MIs[0] policy
     /* 1942258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1942271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942292 */     // GIR_Coverage, 24446,
     /* 1942292 */     GIR_EraseRootFromParent_Done,
     /* 1942293 */   // Label 26056: @1942293
     /* 1942293 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1942379), // Rule ID 24447 //
     /* 1942298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1942318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942344 */     // MIs[0] policy
     /* 1942344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1942357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942378 */     // GIR_Coverage, 24447,
     /* 1942378 */     GIR_EraseRootFromParent_Done,
     /* 1942379 */   // Label 26057: @1942379
     /* 1942379 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1942465), // Rule ID 24450 //
     /* 1942384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1942404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942430 */     // MIs[0] policy
     /* 1942430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942464 */     // GIR_Coverage, 24450,
     /* 1942464 */     GIR_EraseRootFromParent_Done,
     /* 1942465 */   // Label 26058: @1942465
     /* 1942465 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1942551), // Rule ID 24451 //
     /* 1942470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1942490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942516 */     // MIs[0] policy
     /* 1942516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942550 */     // GIR_Coverage, 24451,
     /* 1942550 */     GIR_EraseRootFromParent_Done,
     /* 1942551 */   // Label 26059: @1942551
     /* 1942551 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1942637), // Rule ID 24454 //
     /* 1942556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942602 */     // MIs[0] policy
     /* 1942602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942636 */     // GIR_Coverage, 24454,
     /* 1942636 */     GIR_EraseRootFromParent_Done,
     /* 1942637 */   // Label 26060: @1942637
     /* 1942637 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1942723), // Rule ID 24455 //
     /* 1942642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942688 */     // MIs[0] policy
     /* 1942688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942722 */     // GIR_Coverage, 24455,
     /* 1942722 */     GIR_EraseRootFromParent_Done,
     /* 1942723 */   // Label 26061: @1942723
     /* 1942723 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1942809), // Rule ID 24458 //
     /* 1942728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942774 */     // MIs[0] policy
     /* 1942774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942808 */     // GIR_Coverage, 24458,
     /* 1942808 */     GIR_EraseRootFromParent_Done,
     /* 1942809 */   // Label 26062: @1942809
     /* 1942809 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1942895), // Rule ID 24459 //
     /* 1942814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942860 */     // MIs[0] policy
     /* 1942860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942894 */     // GIR_Coverage, 24459,
     /* 1942894 */     GIR_EraseRootFromParent_Done,
     /* 1942895 */   // Label 26063: @1942895
     /* 1942895 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1942981), // Rule ID 24462 //
     /* 1942900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1942920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942946 */     // MIs[0] policy
     /* 1942946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1942959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942980 */     // GIR_Coverage, 24462,
     /* 1942980 */     GIR_EraseRootFromParent_Done,
     /* 1942981 */   // Label 26064: @1942981
     /* 1942981 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1943067), // Rule ID 24463 //
     /* 1942986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1943000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1943003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1943006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943032 */     // MIs[0] policy
     /* 1943032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943042 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1943045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943066 */     // GIR_Coverage, 24463,
     /* 1943066 */     GIR_EraseRootFromParent_Done,
     /* 1943067 */   // Label 26065: @1943067
     /* 1943067 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1943153), // Rule ID 24466 //
     /* 1943072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1943075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1943092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943118 */     // MIs[0] policy
     /* 1943118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1943131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943152 */     // GIR_Coverage, 24466,
     /* 1943152 */     GIR_EraseRootFromParent_Done,
     /* 1943153 */   // Label 26066: @1943153
     /* 1943153 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1943239), // Rule ID 24467 //
     /* 1943158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1943161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1943178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943204 */     // MIs[0] policy
     /* 1943204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1943217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943238 */     // GIR_Coverage, 24467,
     /* 1943238 */     GIR_EraseRootFromParent_Done,
     /* 1943239 */   // Label 26067: @1943239
     /* 1943239 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1943325), // Rule ID 24470 //
     /* 1943244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1943255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1943258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1943261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943290 */     // MIs[0] policy
     /* 1943290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1943303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943324 */     // GIR_Coverage, 24470,
     /* 1943324 */     GIR_EraseRootFromParent_Done,
     /* 1943325 */   // Label 26068: @1943325
     /* 1943325 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1943411), // Rule ID 24471 //
     /* 1943330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1943341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1943344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1943347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943376 */     // MIs[0] policy
     /* 1943376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943386 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1943389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943410 */     // GIR_Coverage, 24471,
     /* 1943410 */     GIR_EraseRootFromParent_Done,
     /* 1943411 */   // Label 26069: @1943411
     /* 1943411 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1943497), // Rule ID 24474 //
     /* 1943416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943462 */     // MIs[0] policy
     /* 1943462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943472 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943496 */     // GIR_Coverage, 24474,
     /* 1943496 */     GIR_EraseRootFromParent_Done,
     /* 1943497 */   // Label 26070: @1943497
     /* 1943497 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1943583), // Rule ID 24475 //
     /* 1943502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943548 */     // MIs[0] policy
     /* 1943548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943558 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943582 */     // GIR_Coverage, 24475,
     /* 1943582 */     GIR_EraseRootFromParent_Done,
     /* 1943583 */   // Label 26071: @1943583
     /* 1943583 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1943669), // Rule ID 24478 //
     /* 1943588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943634 */     // MIs[0] policy
     /* 1943634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943668 */     // GIR_Coverage, 24478,
     /* 1943668 */     GIR_EraseRootFromParent_Done,
     /* 1943669 */   // Label 26072: @1943669
     /* 1943669 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1943755), // Rule ID 24479 //
     /* 1943674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943720 */     // MIs[0] policy
     /* 1943720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943730 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943754 */     // GIR_Coverage, 24479,
     /* 1943754 */     GIR_EraseRootFromParent_Done,
     /* 1943755 */   // Label 26073: @1943755
     /* 1943755 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1943841), // Rule ID 24482 //
     /* 1943760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943806 */     // MIs[0] policy
     /* 1943806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943840 */     // GIR_Coverage, 24482,
     /* 1943840 */     GIR_EraseRootFromParent_Done,
     /* 1943841 */   // Label 26074: @1943841
     /* 1943841 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1943927), // Rule ID 24483 //
     /* 1943846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943892 */     // MIs[0] policy
     /* 1943892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943926 */     // GIR_Coverage, 24483,
     /* 1943926 */     GIR_EraseRootFromParent_Done,
     /* 1943927 */   // Label 26075: @1943927
     /* 1943927 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1944013), // Rule ID 24486 //
     /* 1943932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943978 */     // MIs[0] policy
     /* 1943978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944012 */     // GIR_Coverage, 24486,
     /* 1944012 */     GIR_EraseRootFromParent_Done,
     /* 1944013 */   // Label 26076: @1944013
     /* 1944013 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1944099), // Rule ID 24487 //
     /* 1944018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1944029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1944032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1944035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944064 */     // MIs[0] policy
     /* 1944064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1944077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944098 */     // GIR_Coverage, 24487,
     /* 1944098 */     GIR_EraseRootFromParent_Done,
     /* 1944099 */   // Label 26077: @1944099
     /* 1944099 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1944185), // Rule ID 24490 //
     /* 1944104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944150 */     // MIs[0] policy
     /* 1944150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1944163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944184 */     // GIR_Coverage, 24490,
     /* 1944184 */     GIR_EraseRootFromParent_Done,
     /* 1944185 */   // Label 26078: @1944185
     /* 1944185 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1944271), // Rule ID 24491 //
     /* 1944190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944236 */     // MIs[0] policy
     /* 1944236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1944249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944270 */     // GIR_Coverage, 24491,
     /* 1944270 */     GIR_EraseRootFromParent_Done,
     /* 1944271 */   // Label 26079: @1944271
     /* 1944271 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1944357), // Rule ID 24494 //
     /* 1944276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1944287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1944290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1944293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944322 */     // MIs[0] policy
     /* 1944322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944356 */     // GIR_Coverage, 24494,
     /* 1944356 */     GIR_EraseRootFromParent_Done,
     /* 1944357 */   // Label 26080: @1944357
     /* 1944357 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1944443), // Rule ID 24495 //
     /* 1944362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1944373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1944376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1944379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944408 */     // MIs[0] policy
     /* 1944408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944442 */     // GIR_Coverage, 24495,
     /* 1944442 */     GIR_EraseRootFromParent_Done,
     /* 1944443 */   // Label 26081: @1944443
     /* 1944443 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1944529), // Rule ID 24498 //
     /* 1944448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944494 */     // MIs[0] policy
     /* 1944494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944528 */     // GIR_Coverage, 24498,
     /* 1944528 */     GIR_EraseRootFromParent_Done,
     /* 1944529 */   // Label 26082: @1944529
     /* 1944529 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1944615), // Rule ID 24499 //
     /* 1944534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944580 */     // MIs[0] policy
     /* 1944580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944614 */     // GIR_Coverage, 24499,
     /* 1944614 */     GIR_EraseRootFromParent_Done,
     /* 1944615 */   // Label 26083: @1944615
     /* 1944615 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1944701), // Rule ID 24502 //
     /* 1944620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944666 */     // MIs[0] policy
     /* 1944666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944700 */     // GIR_Coverage, 24502,
     /* 1944700 */     GIR_EraseRootFromParent_Done,
     /* 1944701 */   // Label 26084: @1944701
     /* 1944701 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1944787), // Rule ID 24503 //
     /* 1944706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944752 */     // MIs[0] policy
     /* 1944752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944786 */     // GIR_Coverage, 24503,
     /* 1944786 */     GIR_EraseRootFromParent_Done,
     /* 1944787 */   // Label 26085: @1944787
     /* 1944787 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1944873), // Rule ID 24506 //
     /* 1944792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944838 */     // MIs[0] policy
     /* 1944838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944872 */     // GIR_Coverage, 24506,
     /* 1944872 */     GIR_EraseRootFromParent_Done,
     /* 1944873 */   // Label 26086: @1944873
     /* 1944873 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1944959), // Rule ID 24507 //
     /* 1944878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944924 */     // MIs[0] policy
     /* 1944924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944958 */     // GIR_Coverage, 24507,
     /* 1944958 */     GIR_EraseRootFromParent_Done,
     /* 1944959 */   // Label 26087: @1944959
     /* 1944959 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1945045), // Rule ID 24510 //
     /* 1944964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1944975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1944978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1944981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945010 */     // MIs[0] policy
     /* 1945010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945020 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945044 */     // GIR_Coverage, 24510,
     /* 1945044 */     GIR_EraseRootFromParent_Done,
     /* 1945045 */   // Label 26088: @1945045
     /* 1945045 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1945131), // Rule ID 24511 //
     /* 1945050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1945061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1945064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1945067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945096 */     // MIs[0] policy
     /* 1945096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945106 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945130 */     // GIR_Coverage, 24511,
     /* 1945130 */     GIR_EraseRootFromParent_Done,
     /* 1945131 */   // Label 26089: @1945131
     /* 1945131 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1945217), // Rule ID 24514 //
     /* 1945136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1945147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1945150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1945153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945182 */     // MIs[0] policy
     /* 1945182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945216 */     // GIR_Coverage, 24514,
     /* 1945216 */     GIR_EraseRootFromParent_Done,
     /* 1945217 */   // Label 26090: @1945217
     /* 1945217 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1945303), // Rule ID 24515 //
     /* 1945222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1945233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1945236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1945239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945268 */     // MIs[0] policy
     /* 1945268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945302 */     // GIR_Coverage, 24515,
     /* 1945302 */     GIR_EraseRootFromParent_Done,
     /* 1945303 */   // Label 26091: @1945303
     /* 1945303 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1945389), // Rule ID 24518 //
     /* 1945308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1945319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1945322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1945325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1945331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945354 */     // MIs[0] policy
     /* 1945354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945388 */     // GIR_Coverage, 24518,
     /* 1945388 */     GIR_EraseRootFromParent_Done,
     /* 1945389 */   // Label 26092: @1945389
     /* 1945389 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1945475), // Rule ID 24519 //
     /* 1945394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1945405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1945408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1945411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1945417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945440 */     // MIs[0] policy
     /* 1945440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945474 */     // GIR_Coverage, 24519,
     /* 1945474 */     GIR_EraseRootFromParent_Done,
     /* 1945475 */   // Label 26093: @1945475
     /* 1945475 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1945561), // Rule ID 24522 //
     /* 1945480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945526 */     // MIs[0] policy
     /* 1945526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945560 */     // GIR_Coverage, 24522,
     /* 1945560 */     GIR_EraseRootFromParent_Done,
     /* 1945561 */   // Label 26094: @1945561
     /* 1945561 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1945647), // Rule ID 24523 //
     /* 1945566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945612 */     // MIs[0] policy
     /* 1945612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945646 */     // GIR_Coverage, 24523,
     /* 1945646 */     GIR_EraseRootFromParent_Done,
     /* 1945647 */   // Label 26095: @1945647
     /* 1945647 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1945733), // Rule ID 24526 //
     /* 1945652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945698 */     // MIs[0] policy
     /* 1945698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945732 */     // GIR_Coverage, 24526,
     /* 1945732 */     GIR_EraseRootFromParent_Done,
     /* 1945733 */   // Label 26096: @1945733
     /* 1945733 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1945819), // Rule ID 24527 //
     /* 1945738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945784 */     // MIs[0] policy
     /* 1945784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945818 */     // GIR_Coverage, 24527,
     /* 1945818 */     GIR_EraseRootFromParent_Done,
     /* 1945819 */   // Label 26097: @1945819
     /* 1945819 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1945905), // Rule ID 24530 //
     /* 1945824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945870 */     // MIs[0] policy
     /* 1945870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945904 */     // GIR_Coverage, 24530,
     /* 1945904 */     GIR_EraseRootFromParent_Done,
     /* 1945905 */   // Label 26098: @1945905
     /* 1945905 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1945991), // Rule ID 24531 //
     /* 1945910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945956 */     // MIs[0] policy
     /* 1945956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945990 */     // GIR_Coverage, 24531,
     /* 1945990 */     GIR_EraseRootFromParent_Done,
     /* 1945991 */   // Label 26099: @1945991
     /* 1945991 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1946077), // Rule ID 24534 //
     /* 1945996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946042 */     // MIs[0] policy
     /* 1946042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946076 */     // GIR_Coverage, 24534,
     /* 1946076 */     GIR_EraseRootFromParent_Done,
     /* 1946077 */   // Label 26100: @1946077
     /* 1946077 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1946163), // Rule ID 24535 //
     /* 1946082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946128 */     // MIs[0] policy
     /* 1946128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946162 */     // GIR_Coverage, 24535,
     /* 1946162 */     GIR_EraseRootFromParent_Done,
     /* 1946163 */   // Label 26101: @1946163
     /* 1946163 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1946249), // Rule ID 24538 //
     /* 1946168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946214 */     // MIs[0] policy
     /* 1946214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946248 */     // GIR_Coverage, 24538,
     /* 1946248 */     GIR_EraseRootFromParent_Done,
     /* 1946249 */   // Label 26102: @1946249
     /* 1946249 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1946335), // Rule ID 24539 //
     /* 1946254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946300 */     // MIs[0] policy
     /* 1946300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946334 */     // GIR_Coverage, 24539,
     /* 1946334 */     GIR_EraseRootFromParent_Done,
     /* 1946335 */   // Label 26103: @1946335
     /* 1946335 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1946421), // Rule ID 24542 //
     /* 1946340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946386 */     // MIs[0] policy
     /* 1946386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946420 */     // GIR_Coverage, 24542,
     /* 1946420 */     GIR_EraseRootFromParent_Done,
     /* 1946421 */   // Label 26104: @1946421
     /* 1946421 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1946507), // Rule ID 24543 //
     /* 1946426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946472 */     // MIs[0] policy
     /* 1946472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946506 */     // GIR_Coverage, 24543,
     /* 1946506 */     GIR_EraseRootFromParent_Done,
     /* 1946507 */   // Label 26105: @1946507
     /* 1946507 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1946593), // Rule ID 24546 //
     /* 1946512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946558 */     // MIs[0] policy
     /* 1946558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946592 */     // GIR_Coverage, 24546,
     /* 1946592 */     GIR_EraseRootFromParent_Done,
     /* 1946593 */   // Label 26106: @1946593
     /* 1946593 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1946679), // Rule ID 24547 //
     /* 1946598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946644 */     // MIs[0] policy
     /* 1946644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946654 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946678 */     // GIR_Coverage, 24547,
     /* 1946678 */     GIR_EraseRootFromParent_Done,
     /* 1946679 */   // Label 26107: @1946679
     /* 1946679 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1946765), // Rule ID 24550 //
     /* 1946684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946730 */     // MIs[0] policy
     /* 1946730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946764 */     // GIR_Coverage, 24550,
     /* 1946764 */     GIR_EraseRootFromParent_Done,
     /* 1946765 */   // Label 26108: @1946765
     /* 1946765 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1946851), // Rule ID 24551 //
     /* 1946770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946816 */     // MIs[0] policy
     /* 1946816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946850 */     // GIR_Coverage, 24551,
     /* 1946850 */     GIR_EraseRootFromParent_Done,
     /* 1946851 */   // Label 26109: @1946851
     /* 1946851 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1946937), // Rule ID 24554 //
     /* 1946856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946902 */     // MIs[0] policy
     /* 1946902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946936 */     // GIR_Coverage, 24554,
     /* 1946936 */     GIR_EraseRootFromParent_Done,
     /* 1946937 */   // Label 26110: @1946937
     /* 1946937 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1947023), // Rule ID 24555 //
     /* 1946942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946988 */     // MIs[0] policy
     /* 1946988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1947001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947022 */     // GIR_Coverage, 24555,
     /* 1947022 */     GIR_EraseRootFromParent_Done,
     /* 1947023 */   // Label 26111: @1947023
     /* 1947023 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1947109), // Rule ID 24646 //
     /* 1947028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1947039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1947042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1947045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947074 */     // MIs[0] policy
     /* 1947074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1947087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947108 */     // GIR_Coverage, 24646,
     /* 1947108 */     GIR_EraseRootFromParent_Done,
     /* 1947109 */   // Label 26112: @1947109
     /* 1947109 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1947195), // Rule ID 24647 //
     /* 1947114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1947125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1947128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1947131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947160 */     // MIs[0] policy
     /* 1947160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947170 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1947173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947194 */     // GIR_Coverage, 24647,
     /* 1947194 */     GIR_EraseRootFromParent_Done,
     /* 1947195 */   // Label 26113: @1947195
     /* 1947195 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1947281), // Rule ID 24650 //
     /* 1947200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1947211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1947214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1947217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947246 */     // MIs[0] policy
     /* 1947246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1947259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947280 */     // GIR_Coverage, 24650,
     /* 1947280 */     GIR_EraseRootFromParent_Done,
     /* 1947281 */   // Label 26114: @1947281
     /* 1947281 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1947367), // Rule ID 24651 //
     /* 1947286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1947297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1947300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1947303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947332 */     // MIs[0] policy
     /* 1947332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1947345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947366 */     // GIR_Coverage, 24651,
     /* 1947366 */     GIR_EraseRootFromParent_Done,
     /* 1947367 */   // Label 26115: @1947367
     /* 1947367 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1947453), // Rule ID 24654 //
     /* 1947372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947418 */     // MIs[0] policy
     /* 1947418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1947431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947452 */     // GIR_Coverage, 24654,
     /* 1947452 */     GIR_EraseRootFromParent_Done,
     /* 1947453 */   // Label 26116: @1947453
     /* 1947453 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1947539), // Rule ID 24655 //
     /* 1947458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947504 */     // MIs[0] policy
     /* 1947504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1947517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947538 */     // GIR_Coverage, 24655,
     /* 1947538 */     GIR_EraseRootFromParent_Done,
     /* 1947539 */   // Label 26117: @1947539
     /* 1947539 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1947625), // Rule ID 24658 //
     /* 1947544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947590 */     // MIs[0] policy
     /* 1947590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947624 */     // GIR_Coverage, 24658,
     /* 1947624 */     GIR_EraseRootFromParent_Done,
     /* 1947625 */   // Label 26118: @1947625
     /* 1947625 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1947711), // Rule ID 24659 //
     /* 1947630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947676 */     // MIs[0] policy
     /* 1947676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947710 */     // GIR_Coverage, 24659,
     /* 1947710 */     GIR_EraseRootFromParent_Done,
     /* 1947711 */   // Label 26119: @1947711
     /* 1947711 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1947797), // Rule ID 24662 //
     /* 1947716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947762 */     // MIs[0] policy
     /* 1947762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947796 */     // GIR_Coverage, 24662,
     /* 1947796 */     GIR_EraseRootFromParent_Done,
     /* 1947797 */   // Label 26120: @1947797
     /* 1947797 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1947883), // Rule ID 24663 //
     /* 1947802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947848 */     // MIs[0] policy
     /* 1947848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947882 */     // GIR_Coverage, 24663,
     /* 1947882 */     GIR_EraseRootFromParent_Done,
     /* 1947883 */   // Label 26121: @1947883
     /* 1947883 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1947969), // Rule ID 24666 //
     /* 1947888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947934 */     // MIs[0] policy
     /* 1947934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1947947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947968 */     // GIR_Coverage, 24666,
     /* 1947968 */     GIR_EraseRootFromParent_Done,
     /* 1947969 */   // Label 26122: @1947969
     /* 1947969 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1948055), // Rule ID 24667 //
     /* 1947974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948020 */     // MIs[0] policy
     /* 1948020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1948033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948054 */     // GIR_Coverage, 24667,
     /* 1948054 */     GIR_EraseRootFromParent_Done,
     /* 1948055 */   // Label 26123: @1948055
     /* 1948055 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1948141), // Rule ID 24670 //
     /* 1948060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1948071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1948074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1948077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948106 */     // MIs[0] policy
     /* 1948106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1948119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948140 */     // GIR_Coverage, 24670,
     /* 1948140 */     GIR_EraseRootFromParent_Done,
     /* 1948141 */   // Label 26124: @1948141
     /* 1948141 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1948227), // Rule ID 24671 //
     /* 1948146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1948157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1948160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1948163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948192 */     // MIs[0] policy
     /* 1948192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1948205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948226 */     // GIR_Coverage, 24671,
     /* 1948226 */     GIR_EraseRootFromParent_Done,
     /* 1948227 */   // Label 26125: @1948227
     /* 1948227 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1948313), // Rule ID 24674 //
     /* 1948232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948278 */     // MIs[0] policy
     /* 1948278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1948291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948312 */     // GIR_Coverage, 24674,
     /* 1948312 */     GIR_EraseRootFromParent_Done,
     /* 1948313 */   // Label 26126: @1948313
     /* 1948313 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1948399), // Rule ID 24675 //
     /* 1948318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948364 */     // MIs[0] policy
     /* 1948364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1948377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948398 */     // GIR_Coverage, 24675,
     /* 1948398 */     GIR_EraseRootFromParent_Done,
     /* 1948399 */   // Label 26127: @1948399
     /* 1948399 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1948485), // Rule ID 24678 //
     /* 1948404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948450 */     // MIs[0] policy
     /* 1948450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948484 */     // GIR_Coverage, 24678,
     /* 1948484 */     GIR_EraseRootFromParent_Done,
     /* 1948485 */   // Label 26128: @1948485
     /* 1948485 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1948571), // Rule ID 24679 //
     /* 1948490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948536 */     // MIs[0] policy
     /* 1948536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948570 */     // GIR_Coverage, 24679,
     /* 1948570 */     GIR_EraseRootFromParent_Done,
     /* 1948571 */   // Label 26129: @1948571
     /* 1948571 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1948657), // Rule ID 24682 //
     /* 1948576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1948579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948622 */     // MIs[0] policy
     /* 1948622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948656 */     // GIR_Coverage, 24682,
     /* 1948656 */     GIR_EraseRootFromParent_Done,
     /* 1948657 */   // Label 26130: @1948657
     /* 1948657 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1948743), // Rule ID 24683 //
     /* 1948662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1948665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948708 */     // MIs[0] policy
     /* 1948708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948742 */     // GIR_Coverage, 24683,
     /* 1948742 */     GIR_EraseRootFromParent_Done,
     /* 1948743 */   // Label 26131: @1948743
     /* 1948743 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1948829), // Rule ID 24686 //
     /* 1948748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948794 */     // MIs[0] policy
     /* 1948794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948828 */     // GIR_Coverage, 24686,
     /* 1948828 */     GIR_EraseRootFromParent_Done,
     /* 1948829 */   // Label 26132: @1948829
     /* 1948829 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1948915), // Rule ID 24687 //
     /* 1948834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948880 */     // MIs[0] policy
     /* 1948880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948890 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948914 */     // GIR_Coverage, 24687,
     /* 1948914 */     GIR_EraseRootFromParent_Done,
     /* 1948915 */   // Label 26133: @1948915
     /* 1948915 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1949001), // Rule ID 24690 //
     /* 1948920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948966 */     // MIs[0] policy
     /* 1948966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1948979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949000 */     // GIR_Coverage, 24690,
     /* 1949000 */     GIR_EraseRootFromParent_Done,
     /* 1949001 */   // Label 26134: @1949001
     /* 1949001 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1949087), // Rule ID 24691 //
     /* 1949006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1949017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1949020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1949023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949052 */     // MIs[0] policy
     /* 1949052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949062 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1949065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949086 */     // GIR_Coverage, 24691,
     /* 1949086 */     GIR_EraseRootFromParent_Done,
     /* 1949087 */   // Label 26135: @1949087
     /* 1949087 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1949173), // Rule ID 24694 //
     /* 1949092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949138 */     // MIs[0] policy
     /* 1949138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1949151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949172 */     // GIR_Coverage, 24694,
     /* 1949172 */     GIR_EraseRootFromParent_Done,
     /* 1949173 */   // Label 26136: @1949173
     /* 1949173 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1949259), // Rule ID 24695 //
     /* 1949178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949224 */     // MIs[0] policy
     /* 1949224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1949237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949258 */     // GIR_Coverage, 24695,
     /* 1949258 */     GIR_EraseRootFromParent_Done,
     /* 1949259 */   // Label 26137: @1949259
     /* 1949259 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1949345), // Rule ID 24698 //
     /* 1949264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949310 */     // MIs[0] policy
     /* 1949310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1949323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949344 */     // GIR_Coverage, 24698,
     /* 1949344 */     GIR_EraseRootFromParent_Done,
     /* 1949345 */   // Label 26138: @1949345
     /* 1949345 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1949431), // Rule ID 24699 //
     /* 1949350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949396 */     // MIs[0] policy
     /* 1949396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1949409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949430 */     // GIR_Coverage, 24699,
     /* 1949430 */     GIR_EraseRootFromParent_Done,
     /* 1949431 */   // Label 26139: @1949431
     /* 1949431 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1949517), // Rule ID 24702 //
     /* 1949436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949482 */     // MIs[0] policy
     /* 1949482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949516 */     // GIR_Coverage, 24702,
     /* 1949516 */     GIR_EraseRootFromParent_Done,
     /* 1949517 */   // Label 26140: @1949517
     /* 1949517 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1949603), // Rule ID 24703 //
     /* 1949522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949568 */     // MIs[0] policy
     /* 1949568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949602 */     // GIR_Coverage, 24703,
     /* 1949602 */     GIR_EraseRootFromParent_Done,
     /* 1949603 */   // Label 26141: @1949603
     /* 1949603 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1949689), // Rule ID 24706 //
     /* 1949608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949654 */     // MIs[0] policy
     /* 1949654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949688 */     // GIR_Coverage, 24706,
     /* 1949688 */     GIR_EraseRootFromParent_Done,
     /* 1949689 */   // Label 26142: @1949689
     /* 1949689 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1949775), // Rule ID 24707 //
     /* 1949694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949740 */     // MIs[0] policy
     /* 1949740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949750 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949774 */     // GIR_Coverage, 24707,
     /* 1949774 */     GIR_EraseRootFromParent_Done,
     /* 1949775 */   // Label 26143: @1949775
     /* 1949775 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1949861), // Rule ID 24710 //
     /* 1949780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949826 */     // MIs[0] policy
     /* 1949826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949860 */     // GIR_Coverage, 24710,
     /* 1949860 */     GIR_EraseRootFromParent_Done,
     /* 1949861 */   // Label 26144: @1949861
     /* 1949861 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1949947), // Rule ID 24711 //
     /* 1949866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949912 */     // MIs[0] policy
     /* 1949912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949946 */     // GIR_Coverage, 24711,
     /* 1949946 */     GIR_EraseRootFromParent_Done,
     /* 1949947 */   // Label 26145: @1949947
     /* 1949947 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1950033), // Rule ID 24714 //
     /* 1949952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949998 */     // MIs[0] policy
     /* 1949998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1950011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950032 */     // GIR_Coverage, 24714,
     /* 1950032 */     GIR_EraseRootFromParent_Done,
     /* 1950033 */   // Label 26146: @1950033
     /* 1950033 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1950119), // Rule ID 24715 //
     /* 1950038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1950049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1950052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1950055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1950058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950084 */     // MIs[0] policy
     /* 1950084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1950097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950118 */     // GIR_Coverage, 24715,
     /* 1950118 */     GIR_EraseRootFromParent_Done,
     /* 1950119 */   // Label 26147: @1950119
     /* 1950119 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1950205), // Rule ID 24718 //
     /* 1950124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1950144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950170 */     // MIs[0] policy
     /* 1950170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1950183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950204 */     // GIR_Coverage, 24718,
     /* 1950204 */     GIR_EraseRootFromParent_Done,
     /* 1950205 */   // Label 26148: @1950205
     /* 1950205 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1950291), // Rule ID 24719 //
     /* 1950210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1950230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950256 */     // MIs[0] policy
     /* 1950256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1950269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950290 */     // GIR_Coverage, 24719,
     /* 1950290 */     GIR_EraseRootFromParent_Done,
     /* 1950291 */   // Label 26149: @1950291
     /* 1950291 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1950377), // Rule ID 24722 //
     /* 1950296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950342 */     // MIs[0] policy
     /* 1950342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1950355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950376 */     // GIR_Coverage, 24722,
     /* 1950376 */     GIR_EraseRootFromParent_Done,
     /* 1950377 */   // Label 26150: @1950377
     /* 1950377 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1950463), // Rule ID 24723 //
     /* 1950382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950428 */     // MIs[0] policy
     /* 1950428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1950441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950462 */     // GIR_Coverage, 24723,
     /* 1950462 */     GIR_EraseRootFromParent_Done,
     /* 1950463 */   // Label 26151: @1950463
     /* 1950463 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1950549), // Rule ID 24726 //
     /* 1950468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950514 */     // MIs[0] policy
     /* 1950514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950548 */     // GIR_Coverage, 24726,
     /* 1950548 */     GIR_EraseRootFromParent_Done,
     /* 1950549 */   // Label 26152: @1950549
     /* 1950549 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1950635), // Rule ID 24727 //
     /* 1950554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950600 */     // MIs[0] policy
     /* 1950600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950634 */     // GIR_Coverage, 24727,
     /* 1950634 */     GIR_EraseRootFromParent_Done,
     /* 1950635 */   // Label 26153: @1950635
     /* 1950635 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1950721), // Rule ID 24730 //
     /* 1950640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950686 */     // MIs[0] policy
     /* 1950686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950696 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950720 */     // GIR_Coverage, 24730,
     /* 1950720 */     GIR_EraseRootFromParent_Done,
     /* 1950721 */   // Label 26154: @1950721
     /* 1950721 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1950807), // Rule ID 24731 //
     /* 1950726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950772 */     // MIs[0] policy
     /* 1950772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950782 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950806 */     // GIR_Coverage, 24731,
     /* 1950806 */     GIR_EraseRootFromParent_Done,
     /* 1950807 */   // Label 26155: @1950807
     /* 1950807 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1950893), // Rule ID 24734 //
     /* 1950812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950858 */     // MIs[0] policy
     /* 1950858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950892 */     // GIR_Coverage, 24734,
     /* 1950892 */     GIR_EraseRootFromParent_Done,
     /* 1950893 */   // Label 26156: @1950893
     /* 1950893 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1950979), // Rule ID 24735 //
     /* 1950898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950944 */     // MIs[0] policy
     /* 1950944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950954 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950978 */     // GIR_Coverage, 24735,
     /* 1950978 */     GIR_EraseRootFromParent_Done,
     /* 1950979 */   // Label 26157: @1950979
     /* 1950979 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1951065), // Rule ID 24738 //
     /* 1950984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1951004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951030 */     // MIs[0] policy
     /* 1951030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1951043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951064 */     // GIR_Coverage, 24738,
     /* 1951064 */     GIR_EraseRootFromParent_Done,
     /* 1951065 */   // Label 26158: @1951065
     /* 1951065 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1951151), // Rule ID 24739 //
     /* 1951070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1951090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951116 */     // MIs[0] policy
     /* 1951116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951126 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1951129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951150 */     // GIR_Coverage, 24739,
     /* 1951150 */     GIR_EraseRootFromParent_Done,
     /* 1951151 */   // Label 26159: @1951151
     /* 1951151 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1951237), // Rule ID 24742 //
     /* 1951156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1951176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951202 */     // MIs[0] policy
     /* 1951202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951212 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1951215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951236 */     // GIR_Coverage, 24742,
     /* 1951236 */     GIR_EraseRootFromParent_Done,
     /* 1951237 */   // Label 26160: @1951237
     /* 1951237 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1951323), // Rule ID 24743 //
     /* 1951242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1951262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951288 */     // MIs[0] policy
     /* 1951288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1951301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951322 */     // GIR_Coverage, 24743,
     /* 1951322 */     GIR_EraseRootFromParent_Done,
     /* 1951323 */   // Label 26161: @1951323
     /* 1951323 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1951409), // Rule ID 24746 //
     /* 1951328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1951348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951374 */     // MIs[0] policy
     /* 1951374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1951387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951408 */     // GIR_Coverage, 24746,
     /* 1951408 */     GIR_EraseRootFromParent_Done,
     /* 1951409 */   // Label 26162: @1951409
     /* 1951409 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1951495), // Rule ID 24747 //
     /* 1951414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1951434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951460 */     // MIs[0] policy
     /* 1951460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951470 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1951473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951494 */     // GIR_Coverage, 24747,
     /* 1951494 */     GIR_EraseRootFromParent_Done,
     /* 1951495 */   // Label 26163: @1951495
     /* 1951495 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1951581), // Rule ID 24750 //
     /* 1951500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951546 */     // MIs[0] policy
     /* 1951546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951556 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951580 */     // GIR_Coverage, 24750,
     /* 1951580 */     GIR_EraseRootFromParent_Done,
     /* 1951581 */   // Label 26164: @1951581
     /* 1951581 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1951667), // Rule ID 24751 //
     /* 1951586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951632 */     // MIs[0] policy
     /* 1951632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951642 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951666 */     // GIR_Coverage, 24751,
     /* 1951666 */     GIR_EraseRootFromParent_Done,
     /* 1951667 */   // Label 26165: @1951667
     /* 1951667 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1951753), // Rule ID 24754 //
     /* 1951672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951718 */     // MIs[0] policy
     /* 1951718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951752 */     // GIR_Coverage, 24754,
     /* 1951752 */     GIR_EraseRootFromParent_Done,
     /* 1951753 */   // Label 26166: @1951753
     /* 1951753 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1951839), // Rule ID 24755 //
     /* 1951758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951804 */     // MIs[0] policy
     /* 1951804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951814 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951838 */     // GIR_Coverage, 24755,
     /* 1951838 */     GIR_EraseRootFromParent_Done,
     /* 1951839 */   // Label 26167: @1951839
     /* 1951839 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1951925), // Rule ID 24758 //
     /* 1951844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951890 */     // MIs[0] policy
     /* 1951890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951900 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951924 */     // GIR_Coverage, 24758,
     /* 1951924 */     GIR_EraseRootFromParent_Done,
     /* 1951925 */   // Label 26168: @1951925
     /* 1951925 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1952011), // Rule ID 24759 //
     /* 1951930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951976 */     // MIs[0] policy
     /* 1951976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951986 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952010 */     // GIR_Coverage, 24759,
     /* 1952010 */     GIR_EraseRootFromParent_Done,
     /* 1952011 */   // Label 26169: @1952011
     /* 1952011 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1952097), // Rule ID 24762 //
     /* 1952016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1952027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1952030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1952033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1952036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952062 */     // MIs[0] policy
     /* 1952062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952072 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1952075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952096 */     // GIR_Coverage, 24762,
     /* 1952096 */     GIR_EraseRootFromParent_Done,
     /* 1952097 */   // Label 26170: @1952097
     /* 1952097 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1952183), // Rule ID 24763 //
     /* 1952102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1952113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1952116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1952119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1952122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952148 */     // MIs[0] policy
     /* 1952148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952158 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1952161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952182 */     // GIR_Coverage, 24763,
     /* 1952182 */     GIR_EraseRootFromParent_Done,
     /* 1952183 */   // Label 26171: @1952183
     /* 1952183 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1952269), // Rule ID 24766 //
     /* 1952188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1952199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1952202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1952205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952234 */     // MIs[0] policy
     /* 1952234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952244 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1952247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952268 */     // GIR_Coverage, 24766,
     /* 1952268 */     GIR_EraseRootFromParent_Done,
     /* 1952269 */   // Label 26172: @1952269
     /* 1952269 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1952355), // Rule ID 24767 //
     /* 1952274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1952285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1952288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1952291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952320 */     // MIs[0] policy
     /* 1952320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952330 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1952333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952354 */     // GIR_Coverage, 24767,
     /* 1952354 */     GIR_EraseRootFromParent_Done,
     /* 1952355 */   // Label 26173: @1952355
     /* 1952355 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1952441), // Rule ID 24770 //
     /* 1952360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952406 */     // MIs[0] policy
     /* 1952406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952440 */     // GIR_Coverage, 24770,
     /* 1952440 */     GIR_EraseRootFromParent_Done,
     /* 1952441 */   // Label 26174: @1952441
     /* 1952441 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1952527), // Rule ID 24771 //
     /* 1952446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952492 */     // MIs[0] policy
     /* 1952492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952526 */     // GIR_Coverage, 24771,
     /* 1952526 */     GIR_EraseRootFromParent_Done,
     /* 1952527 */   // Label 26175: @1952527
     /* 1952527 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1952613), // Rule ID 24774 //
     /* 1952532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952578 */     // MIs[0] policy
     /* 1952578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952612 */     // GIR_Coverage, 24774,
     /* 1952612 */     GIR_EraseRootFromParent_Done,
     /* 1952613 */   // Label 26176: @1952613
     /* 1952613 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1952699), // Rule ID 24775 //
     /* 1952618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952664 */     // MIs[0] policy
     /* 1952664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952674 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952698 */     // GIR_Coverage, 24775,
     /* 1952698 */     GIR_EraseRootFromParent_Done,
     /* 1952699 */   // Label 26177: @1952699
     /* 1952699 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1952785), // Rule ID 24778 //
     /* 1952704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952750 */     // MIs[0] policy
     /* 1952750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952760 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952784 */     // GIR_Coverage, 24778,
     /* 1952784 */     GIR_EraseRootFromParent_Done,
     /* 1952785 */   // Label 26178: @1952785
     /* 1952785 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1952871), // Rule ID 24779 //
     /* 1952790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952836 */     // MIs[0] policy
     /* 1952836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952846 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952870 */     // GIR_Coverage, 24779,
     /* 1952870 */     GIR_EraseRootFromParent_Done,
     /* 1952871 */   // Label 26179: @1952871
     /* 1952871 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1952957), // Rule ID 24782 //
     /* 1952876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952922 */     // MIs[0] policy
     /* 1952922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952956 */     // GIR_Coverage, 24782,
     /* 1952956 */     GIR_EraseRootFromParent_Done,
     /* 1952957 */   // Label 26180: @1952957
     /* 1952957 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1953043), // Rule ID 24783 //
     /* 1952962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953008 */     // MIs[0] policy
     /* 1953008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953018 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953042 */     // GIR_Coverage, 24783,
     /* 1953042 */     GIR_EraseRootFromParent_Done,
     /* 1953043 */   // Label 26181: @1953043
     /* 1953043 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1953129), // Rule ID 24786 //
     /* 1953048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1953051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953094 */     // MIs[0] policy
     /* 1953094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953104 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953128 */     // GIR_Coverage, 24786,
     /* 1953128 */     GIR_EraseRootFromParent_Done,
     /* 1953129 */   // Label 26182: @1953129
     /* 1953129 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1953215), // Rule ID 24787 //
     /* 1953134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1953137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953180 */     // MIs[0] policy
     /* 1953180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953190 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953214 */     // GIR_Coverage, 24787,
     /* 1953214 */     GIR_EraseRootFromParent_Done,
     /* 1953215 */   // Label 26183: @1953215
     /* 1953215 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1953301), // Rule ID 24790 //
     /* 1953220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953266 */     // MIs[0] policy
     /* 1953266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953276 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953300 */     // GIR_Coverage, 24790,
     /* 1953300 */     GIR_EraseRootFromParent_Done,
     /* 1953301 */   // Label 26184: @1953301
     /* 1953301 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1953387), // Rule ID 24791 //
     /* 1953306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953352 */     // MIs[0] policy
     /* 1953352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953386 */     // GIR_Coverage, 24791,
     /* 1953386 */     GIR_EraseRootFromParent_Done,
     /* 1953387 */   // Label 26185: @1953387
     /* 1953387 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1953473), // Rule ID 24794 //
     /* 1953392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953438 */     // MIs[0] policy
     /* 1953438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953448 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953472 */     // GIR_Coverage, 24794,
     /* 1953472 */     GIR_EraseRootFromParent_Done,
     /* 1953473 */   // Label 26186: @1953473
     /* 1953473 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1953559), // Rule ID 24795 //
     /* 1953478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953524 */     // MIs[0] policy
     /* 1953524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953534 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953558 */     // GIR_Coverage, 24795,
     /* 1953558 */     GIR_EraseRootFromParent_Done,
     /* 1953559 */   // Label 26187: @1953559
     /* 1953559 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1953645), // Rule ID 24798 //
     /* 1953564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953610 */     // MIs[0] policy
     /* 1953610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953620 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953644 */     // GIR_Coverage, 24798,
     /* 1953644 */     GIR_EraseRootFromParent_Done,
     /* 1953645 */   // Label 26188: @1953645
     /* 1953645 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1953731), // Rule ID 24799 //
     /* 1953650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953696 */     // MIs[0] policy
     /* 1953696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953706 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953730 */     // GIR_Coverage, 24799,
     /* 1953730 */     GIR_EraseRootFromParent_Done,
     /* 1953731 */   // Label 26189: @1953731
     /* 1953731 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1953817), // Rule ID 24838 //
     /* 1953736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953782 */     // MIs[0] policy
     /* 1953782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953792 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953816 */     // GIR_Coverage, 24838,
     /* 1953816 */     GIR_EraseRootFromParent_Done,
     /* 1953817 */   // Label 26190: @1953817
     /* 1953817 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1953903), // Rule ID 24839 //
     /* 1953822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953868 */     // MIs[0] policy
     /* 1953868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953902 */     // GIR_Coverage, 24839,
     /* 1953902 */     GIR_EraseRootFromParent_Done,
     /* 1953903 */   // Label 26191: @1953903
     /* 1953903 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1953989), // Rule ID 24842 //
     /* 1953908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953954 */     // MIs[0] policy
     /* 1953954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953964 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1953967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953988 */     // GIR_Coverage, 24842,
     /* 1953988 */     GIR_EraseRootFromParent_Done,
     /* 1953989 */   // Label 26192: @1953989
     /* 1953989 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1954075), // Rule ID 24843 //
     /* 1953994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954040 */     // MIs[0] policy
     /* 1954040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954050 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1954053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954074 */     // GIR_Coverage, 24843,
     /* 1954074 */     GIR_EraseRootFromParent_Done,
     /* 1954075 */   // Label 26193: @1954075
     /* 1954075 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1954161), // Rule ID 24846 //
     /* 1954080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954126 */     // MIs[0] policy
     /* 1954126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1954139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954160 */     // GIR_Coverage, 24846,
     /* 1954160 */     GIR_EraseRootFromParent_Done,
     /* 1954161 */   // Label 26194: @1954161
     /* 1954161 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1954247), // Rule ID 24847 //
     /* 1954166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954212 */     // MIs[0] policy
     /* 1954212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954222 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1954225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954246 */     // GIR_Coverage, 24847,
     /* 1954246 */     GIR_EraseRootFromParent_Done,
     /* 1954247 */   // Label 26195: @1954247
     /* 1954247 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1954333), // Rule ID 24850 //
     /* 1954252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1954269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954298 */     // MIs[0] policy
     /* 1954298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954308 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1954311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954332 */     // GIR_Coverage, 24850,
     /* 1954332 */     GIR_EraseRootFromParent_Done,
     /* 1954333 */   // Label 26196: @1954333
     /* 1954333 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1954419), // Rule ID 24851 //
     /* 1954338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1954355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954384 */     // MIs[0] policy
     /* 1954384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954394 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1954397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954418 */     // GIR_Coverage, 24851,
     /* 1954418 */     GIR_EraseRootFromParent_Done,
     /* 1954419 */   // Label 26197: @1954419
     /* 1954419 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1954505), // Rule ID 24854 //
     /* 1954424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1954435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1954438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954470 */     // MIs[0] policy
     /* 1954470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954480 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954504 */     // GIR_Coverage, 24854,
     /* 1954504 */     GIR_EraseRootFromParent_Done,
     /* 1954505 */   // Label 26198: @1954505
     /* 1954505 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1954591), // Rule ID 24855 //
     /* 1954510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1954521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1954524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954556 */     // MIs[0] policy
     /* 1954556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954566 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954590 */     // GIR_Coverage, 24855,
     /* 1954590 */     GIR_EraseRootFromParent_Done,
     /* 1954591 */   // Label 26199: @1954591
     /* 1954591 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1954677), // Rule ID 24858 //
     /* 1954596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954642 */     // MIs[0] policy
     /* 1954642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954676 */     // GIR_Coverage, 24858,
     /* 1954676 */     GIR_EraseRootFromParent_Done,
     /* 1954677 */   // Label 26200: @1954677
     /* 1954677 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1954763), // Rule ID 24859 //
     /* 1954682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954728 */     // MIs[0] policy
     /* 1954728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954738 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954762 */     // GIR_Coverage, 24859,
     /* 1954762 */     GIR_EraseRootFromParent_Done,
     /* 1954763 */   // Label 26201: @1954763
     /* 1954763 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1954849), // Rule ID 24862 //
     /* 1954768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954814 */     // MIs[0] policy
     /* 1954814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954824 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954848 */     // GIR_Coverage, 24862,
     /* 1954848 */     GIR_EraseRootFromParent_Done,
     /* 1954849 */   // Label 26202: @1954849
     /* 1954849 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1954935), // Rule ID 24863 //
     /* 1954854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954900 */     // MIs[0] policy
     /* 1954900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954910 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954934 */     // GIR_Coverage, 24863,
     /* 1954934 */     GIR_EraseRootFromParent_Done,
     /* 1954935 */   // Label 26203: @1954935
     /* 1954935 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1955021), // Rule ID 24866 //
     /* 1954940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954986 */     // MIs[0] policy
     /* 1954986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954996 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955020 */     // GIR_Coverage, 24866,
     /* 1955020 */     GIR_EraseRootFromParent_Done,
     /* 1955021 */   // Label 26204: @1955021
     /* 1955021 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1955107), // Rule ID 24867 //
     /* 1955026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955072 */     // MIs[0] policy
     /* 1955072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955082 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1955085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955106 */     // GIR_Coverage, 24867,
     /* 1955106 */     GIR_EraseRootFromParent_Done,
     /* 1955107 */   // Label 26205: @1955107
     /* 1955107 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1955193), // Rule ID 24870 //
     /* 1955112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955158 */     // MIs[0] policy
     /* 1955158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955168 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955192 */     // GIR_Coverage, 24870,
     /* 1955192 */     GIR_EraseRootFromParent_Done,
     /* 1955193 */   // Label 26206: @1955193
     /* 1955193 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1955279), // Rule ID 24871 //
     /* 1955198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955244 */     // MIs[0] policy
     /* 1955244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955254 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955278 */     // GIR_Coverage, 24871,
     /* 1955278 */     GIR_EraseRootFromParent_Done,
     /* 1955279 */   // Label 26207: @1955279
     /* 1955279 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1955365), // Rule ID 24874 //
     /* 1955284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955330 */     // MIs[0] policy
     /* 1955330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955340 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1955343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955364 */     // GIR_Coverage, 24874,
     /* 1955364 */     GIR_EraseRootFromParent_Done,
     /* 1955365 */   // Label 26208: @1955365
     /* 1955365 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1955451), // Rule ID 24875 //
     /* 1955370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955416 */     // MIs[0] policy
     /* 1955416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1955429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955450 */     // GIR_Coverage, 24875,
     /* 1955450 */     GIR_EraseRootFromParent_Done,
     /* 1955451 */   // Label 26209: @1955451
     /* 1955451 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1955537), // Rule ID 24878 //
     /* 1955456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955502 */     // MIs[0] policy
     /* 1955502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955512 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955536 */     // GIR_Coverage, 24878,
     /* 1955536 */     GIR_EraseRootFromParent_Done,
     /* 1955537 */   // Label 26210: @1955537
     /* 1955537 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1955623), // Rule ID 24879 //
     /* 1955542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955588 */     // MIs[0] policy
     /* 1955588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955598 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955622 */     // GIR_Coverage, 24879,
     /* 1955622 */     GIR_EraseRootFromParent_Done,
     /* 1955623 */   // Label 26211: @1955623
     /* 1955623 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1955709), // Rule ID 24882 //
     /* 1955628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955674 */     // MIs[0] policy
     /* 1955674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955684 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955708 */     // GIR_Coverage, 24882,
     /* 1955708 */     GIR_EraseRootFromParent_Done,
     /* 1955709 */   // Label 26212: @1955709
     /* 1955709 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1955795), // Rule ID 24883 //
     /* 1955714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955760 */     // MIs[0] policy
     /* 1955760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955770 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955794 */     // GIR_Coverage, 24883,
     /* 1955794 */     GIR_EraseRootFromParent_Done,
     /* 1955795 */   // Label 26213: @1955795
     /* 1955795 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1955881), // Rule ID 24910 //
     /* 1955800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955846 */     // MIs[0] policy
     /* 1955846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955856 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955880 */     // GIR_Coverage, 24910,
     /* 1955880 */     GIR_EraseRootFromParent_Done,
     /* 1955881 */   // Label 26214: @1955881
     /* 1955881 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1955967), // Rule ID 24911 //
     /* 1955886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955932 */     // MIs[0] policy
     /* 1955932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955942 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955966 */     // GIR_Coverage, 24911,
     /* 1955966 */     GIR_EraseRootFromParent_Done,
     /* 1955967 */   // Label 26215: @1955967
     /* 1955967 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1956053), // Rule ID 24914 //
     /* 1955972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956018 */     // MIs[0] policy
     /* 1956018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1956031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956052 */     // GIR_Coverage, 24914,
     /* 1956052 */     GIR_EraseRootFromParent_Done,
     /* 1956053 */   // Label 26216: @1956053
     /* 1956053 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1956139), // Rule ID 24915 //
     /* 1956058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1956069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1956072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1956075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956104 */     // MIs[0] policy
     /* 1956104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956114 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1956117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956138 */     // GIR_Coverage, 24915,
     /* 1956138 */     GIR_EraseRootFromParent_Done,
     /* 1956139 */   // Label 26217: @1956139
     /* 1956139 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1956225), // Rule ID 24918 //
     /* 1956144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1956155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1956158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956190 */     // MIs[0] policy
     /* 1956190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1956203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956224 */     // GIR_Coverage, 24918,
     /* 1956224 */     GIR_EraseRootFromParent_Done,
     /* 1956225 */   // Label 26218: @1956225
     /* 1956225 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1956311), // Rule ID 24919 //
     /* 1956230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1956241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1956244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956276 */     // MIs[0] policy
     /* 1956276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956286 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1956289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956310 */     // GIR_Coverage, 24919,
     /* 1956310 */     GIR_EraseRootFromParent_Done,
     /* 1956311 */   // Label 26219: @1956311
     /* 1956311 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1956397), // Rule ID 24922 //
     /* 1956316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1956327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1956330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1956333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956362 */     // MIs[0] policy
     /* 1956362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956372 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1956375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956396 */     // GIR_Coverage, 24922,
     /* 1956396 */     GIR_EraseRootFromParent_Done,
     /* 1956397 */   // Label 26220: @1956397
     /* 1956397 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1956483), // Rule ID 24923 //
     /* 1956402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1956413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1956416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1956419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956448 */     // MIs[0] policy
     /* 1956448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956458 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1956461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956482 */     // GIR_Coverage, 24923,
     /* 1956482 */     GIR_EraseRootFromParent_Done,
     /* 1956483 */   // Label 26221: @1956483
     /* 1956483 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1956569), // Rule ID 24926 //
     /* 1956488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956534 */     // MIs[0] policy
     /* 1956534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956568 */     // GIR_Coverage, 24926,
     /* 1956568 */     GIR_EraseRootFromParent_Done,
     /* 1956569 */   // Label 26222: @1956569
     /* 1956569 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1956655), // Rule ID 24927 //
     /* 1956574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956620 */     // MIs[0] policy
     /* 1956620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956630 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956654 */     // GIR_Coverage, 24927,
     /* 1956654 */     GIR_EraseRootFromParent_Done,
     /* 1956655 */   // Label 26223: @1956655
     /* 1956655 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1956741), // Rule ID 24930 //
     /* 1956660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1956663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956706 */     // MIs[0] policy
     /* 1956706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956740 */     // GIR_Coverage, 24930,
     /* 1956740 */     GIR_EraseRootFromParent_Done,
     /* 1956741 */   // Label 26224: @1956741
     /* 1956741 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1956827), // Rule ID 24931 //
     /* 1956746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1956749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956792 */     // MIs[0] policy
     /* 1956792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956826 */     // GIR_Coverage, 24931,
     /* 1956826 */     GIR_EraseRootFromParent_Done,
     /* 1956827 */   // Label 26225: @1956827
     /* 1956827 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1956913), // Rule ID 24934 //
     /* 1956832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956878 */     // MIs[0] policy
     /* 1956878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956888 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956912 */     // GIR_Coverage, 24934,
     /* 1956912 */     GIR_EraseRootFromParent_Done,
     /* 1956913 */   // Label 26226: @1956913
     /* 1956913 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1956999), // Rule ID 24935 //
     /* 1956918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956964 */     // MIs[0] policy
     /* 1956964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956974 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956998 */     // GIR_Coverage, 24935,
     /* 1956998 */     GIR_EraseRootFromParent_Done,
     /* 1956999 */   // Label 26227: @1956999
     /* 1956999 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1957085), // Rule ID 24938 //
     /* 1957004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1957007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1957015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1957018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1957021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957050 */     // MIs[0] policy
     /* 1957050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957060 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1957063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957084 */     // GIR_Coverage, 24938,
     /* 1957084 */     GIR_EraseRootFromParent_Done,
     /* 1957085 */   // Label 26228: @1957085
     /* 1957085 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1957171), // Rule ID 24939 //
     /* 1957090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1957093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1957101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1957104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1957107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957136 */     // MIs[0] policy
     /* 1957136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957146 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1957149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957170 */     // GIR_Coverage, 24939,
     /* 1957170 */     GIR_EraseRootFromParent_Done,
     /* 1957171 */   // Label 26229: @1957171
     /* 1957171 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1957257), // Rule ID 24942 //
     /* 1957176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1957179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1957187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1957190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1957193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1957196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1957199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957222 */     // MIs[0] policy
     /* 1957222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957232 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1957235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957256 */     // GIR_Coverage, 24942,
     /* 1957256 */     GIR_EraseRootFromParent_Done,
     /* 1957257 */   // Label 26230: @1957257
     /* 1957257 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1957343), // Rule ID 24943 //
     /* 1957262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1957265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1957273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1957276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1957279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1957282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1957285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957308 */     // MIs[0] policy
     /* 1957308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1957321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957342 */     // GIR_Coverage, 24943,
     /* 1957342 */     GIR_EraseRootFromParent_Done,
     /* 1957343 */   // Label 26231: @1957343
     /* 1957343 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1957429), // Rule ID 24946 //
     /* 1957348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957394 */     // MIs[0] policy
     /* 1957394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957404 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1957407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957428 */     // GIR_Coverage, 24946,
     /* 1957428 */     GIR_EraseRootFromParent_Done,
     /* 1957429 */   // Label 26232: @1957429
     /* 1957429 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1957515), // Rule ID 24947 //
     /* 1957434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957480 */     // MIs[0] policy
     /* 1957480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957490 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1957493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957514 */     // GIR_Coverage, 24947,
     /* 1957514 */     GIR_EraseRootFromParent_Done,
     /* 1957515 */   // Label 26233: @1957515
     /* 1957515 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1957601), // Rule ID 24950 //
     /* 1957520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957566 */     // MIs[0] policy
     /* 1957566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957600 */     // GIR_Coverage, 24950,
     /* 1957600 */     GIR_EraseRootFromParent_Done,
     /* 1957601 */   // Label 26234: @1957601
     /* 1957601 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1957687), // Rule ID 24951 //
     /* 1957606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957652 */     // MIs[0] policy
     /* 1957652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957662 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957686 */     // GIR_Coverage, 24951,
     /* 1957686 */     GIR_EraseRootFromParent_Done,
     /* 1957687 */   // Label 26235: @1957687
     /* 1957687 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1957773), // Rule ID 24954 //
     /* 1957692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957738 */     // MIs[0] policy
     /* 1957738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957748 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957772 */     // GIR_Coverage, 24954,
     /* 1957772 */     GIR_EraseRootFromParent_Done,
     /* 1957773 */   // Label 26236: @1957773
     /* 1957773 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1957859), // Rule ID 24955 //
     /* 1957778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957824 */     // MIs[0] policy
     /* 1957824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957834 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957858 */     // GIR_Coverage, 24955,
     /* 1957858 */     GIR_EraseRootFromParent_Done,
     /* 1957859 */   // Label 26237: @1957859
     /* 1957859 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1957945), // Rule ID 24958 //
     /* 1957864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957910 */     // MIs[0] policy
     /* 1957910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957920 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1957923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957944 */     // GIR_Coverage, 24958,
     /* 1957944 */     GIR_EraseRootFromParent_Done,
     /* 1957945 */   // Label 26238: @1957945
     /* 1957945 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1958031), // Rule ID 24959 //
     /* 1957950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957996 */     // MIs[0] policy
     /* 1957996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958006 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1958009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958030 */     // GIR_Coverage, 24959,
     /* 1958030 */     GIR_EraseRootFromParent_Done,
     /* 1958031 */   // Label 26239: @1958031
     /* 1958031 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1958117), // Rule ID 24962 //
     /* 1958036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1958039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958082 */     // MIs[0] policy
     /* 1958082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1958095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958116 */     // GIR_Coverage, 24962,
     /* 1958116 */     GIR_EraseRootFromParent_Done,
     /* 1958117 */   // Label 26240: @1958117
     /* 1958117 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1958203), // Rule ID 24963 //
     /* 1958122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1958125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958168 */     // MIs[0] policy
     /* 1958168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958178 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1958181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958202 */     // GIR_Coverage, 24963,
     /* 1958202 */     GIR_EraseRootFromParent_Done,
     /* 1958203 */   // Label 26241: @1958203
     /* 1958203 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1958289), // Rule ID 24966 //
     /* 1958208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1958211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958254 */     // MIs[0] policy
     /* 1958254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1958267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958288 */     // GIR_Coverage, 24966,
     /* 1958288 */     GIR_EraseRootFromParent_Done,
     /* 1958289 */   // Label 26242: @1958289
     /* 1958289 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1958375), // Rule ID 24967 //
     /* 1958294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1958297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958340 */     // MIs[0] policy
     /* 1958340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958350 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1958353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958374 */     // GIR_Coverage, 24967,
     /* 1958374 */     GIR_EraseRootFromParent_Done,
     /* 1958375 */   // Label 26243: @1958375
     /* 1958375 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1958461), // Rule ID 60846 //
     /* 1958380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1958400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958426 */     // MIs[0] policy
     /* 1958426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958460 */     // GIR_Coverage, 60846,
     /* 1958460 */     GIR_EraseRootFromParent_Done,
     /* 1958461 */   // Label 26244: @1958461
     /* 1958461 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1958547), // Rule ID 60847 //
     /* 1958466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1958486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958512 */     // MIs[0] policy
     /* 1958512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958546 */     // GIR_Coverage, 60847,
     /* 1958546 */     GIR_EraseRootFromParent_Done,
     /* 1958547 */   // Label 26245: @1958547
     /* 1958547 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1958633), // Rule ID 60850 //
     /* 1958552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958598 */     // MIs[0] policy
     /* 1958598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958632 */     // GIR_Coverage, 60850,
     /* 1958632 */     GIR_EraseRootFromParent_Done,
     /* 1958633 */   // Label 26246: @1958633
     /* 1958633 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1958719), // Rule ID 60851 //
     /* 1958638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958684 */     // MIs[0] policy
     /* 1958684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958718 */     // GIR_Coverage, 60851,
     /* 1958718 */     GIR_EraseRootFromParent_Done,
     /* 1958719 */   // Label 26247: @1958719
     /* 1958719 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1958805), // Rule ID 60854 //
     /* 1958724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958770 */     // MIs[0] policy
     /* 1958770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958804 */     // GIR_Coverage, 60854,
     /* 1958804 */     GIR_EraseRootFromParent_Done,
     /* 1958805 */   // Label 26248: @1958805
     /* 1958805 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1958891), // Rule ID 60855 //
     /* 1958810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958856 */     // MIs[0] policy
     /* 1958856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958890 */     // GIR_Coverage, 60855,
     /* 1958890 */     GIR_EraseRootFromParent_Done,
     /* 1958891 */   // Label 26249: @1958891
     /* 1958891 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1958977), // Rule ID 60858 //
     /* 1958896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958942 */     // MIs[0] policy
     /* 1958942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958976 */     // GIR_Coverage, 60858,
     /* 1958976 */     GIR_EraseRootFromParent_Done,
     /* 1958977 */   // Label 26250: @1958977
     /* 1958977 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1959063), // Rule ID 60859 //
     /* 1958982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1959002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959028 */     // MIs[0] policy
     /* 1959028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959038 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959062 */     // GIR_Coverage, 60859,
     /* 1959062 */     GIR_EraseRootFromParent_Done,
     /* 1959063 */   // Label 26251: @1959063
     /* 1959063 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1959149), // Rule ID 60862 //
     /* 1959068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1959085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1959088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959114 */     // MIs[0] policy
     /* 1959114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959148 */     // GIR_Coverage, 60862,
     /* 1959148 */     GIR_EraseRootFromParent_Done,
     /* 1959149 */   // Label 26252: @1959149
     /* 1959149 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1959235), // Rule ID 60863 //
     /* 1959154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1959171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1959174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959200 */     // MIs[0] policy
     /* 1959200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959210 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959234 */     // GIR_Coverage, 60863,
     /* 1959234 */     GIR_EraseRootFromParent_Done,
     /* 1959235 */   // Label 26253: @1959235
     /* 1959235 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1959321), // Rule ID 60866 //
     /* 1959240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1959257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1959260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959286 */     // MIs[0] policy
     /* 1959286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959320 */     // GIR_Coverage, 60866,
     /* 1959320 */     GIR_EraseRootFromParent_Done,
     /* 1959321 */   // Label 26254: @1959321
     /* 1959321 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1959407), // Rule ID 60867 //
     /* 1959326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1959343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1959346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959372 */     // MIs[0] policy
     /* 1959372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959382 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959406 */     // GIR_Coverage, 60867,
     /* 1959406 */     GIR_EraseRootFromParent_Done,
     /* 1959407 */   // Label 26255: @1959407
     /* 1959407 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1959493), // Rule ID 60870 //
     /* 1959412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1959423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1959426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959458 */     // MIs[0] policy
     /* 1959458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959492 */     // GIR_Coverage, 60870,
     /* 1959492 */     GIR_EraseRootFromParent_Done,
     /* 1959493 */   // Label 26256: @1959493
     /* 1959493 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1959579), // Rule ID 60871 //
     /* 1959498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1959509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1959512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959544 */     // MIs[0] policy
     /* 1959544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959554 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959578 */     // GIR_Coverage, 60871,
     /* 1959578 */     GIR_EraseRootFromParent_Done,
     /* 1959579 */   // Label 26257: @1959579
     /* 1959579 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1959665), // Rule ID 60874 //
     /* 1959584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959630 */     // MIs[0] policy
     /* 1959630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959664 */     // GIR_Coverage, 60874,
     /* 1959664 */     GIR_EraseRootFromParent_Done,
     /* 1959665 */   // Label 26258: @1959665
     /* 1959665 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1959751), // Rule ID 60875 //
     /* 1959670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959716 */     // MIs[0] policy
     /* 1959716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959750 */     // GIR_Coverage, 60875,
     /* 1959750 */     GIR_EraseRootFromParent_Done,
     /* 1959751 */   // Label 26259: @1959751
     /* 1959751 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1959837), // Rule ID 60878 //
     /* 1959756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959802 */     // MIs[0] policy
     /* 1959802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959836 */     // GIR_Coverage, 60878,
     /* 1959836 */     GIR_EraseRootFromParent_Done,
     /* 1959837 */   // Label 26260: @1959837
     /* 1959837 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1959923), // Rule ID 60879 //
     /* 1959842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959888 */     // MIs[0] policy
     /* 1959888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959922 */     // GIR_Coverage, 60879,
     /* 1959922 */     GIR_EraseRootFromParent_Done,
     /* 1959923 */   // Label 26261: @1959923
     /* 1959923 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1960009), // Rule ID 60882 //
     /* 1959928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959974 */     // MIs[0] policy
     /* 1959974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960008 */     // GIR_Coverage, 60882,
     /* 1960008 */     GIR_EraseRootFromParent_Done,
     /* 1960009 */   // Label 26262: @1960009
     /* 1960009 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1960095), // Rule ID 60883 //
     /* 1960014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1960025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1960028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960060 */     // MIs[0] policy
     /* 1960060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960094 */     // GIR_Coverage, 60883,
     /* 1960094 */     GIR_EraseRootFromParent_Done,
     /* 1960095 */   // Label 26263: @1960095
     /* 1960095 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1960181), // Rule ID 60886 //
     /* 1960100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960146 */     // MIs[0] policy
     /* 1960146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960180 */     // GIR_Coverage, 60886,
     /* 1960180 */     GIR_EraseRootFromParent_Done,
     /* 1960181 */   // Label 26264: @1960181
     /* 1960181 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1960267), // Rule ID 60887 //
     /* 1960186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960232 */     // MIs[0] policy
     /* 1960232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960266 */     // GIR_Coverage, 60887,
     /* 1960266 */     GIR_EraseRootFromParent_Done,
     /* 1960267 */   // Label 26265: @1960267
     /* 1960267 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1960353), // Rule ID 60890 //
     /* 1960272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960318 */     // MIs[0] policy
     /* 1960318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1960331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960352 */     // GIR_Coverage, 60890,
     /* 1960352 */     GIR_EraseRootFromParent_Done,
     /* 1960353 */   // Label 26266: @1960353
     /* 1960353 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1960439), // Rule ID 60891 //
     /* 1960358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960404 */     // MIs[0] policy
     /* 1960404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1960417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960438 */     // GIR_Coverage, 60891,
     /* 1960438 */     GIR_EraseRootFromParent_Done,
     /* 1960439 */   // Label 26267: @1960439
     /* 1960439 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1960525), // Rule ID 60894 //
     /* 1960444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960490 */     // MIs[0] policy
     /* 1960490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960524 */     // GIR_Coverage, 60894,
     /* 1960524 */     GIR_EraseRootFromParent_Done,
     /* 1960525 */   // Label 26268: @1960525
     /* 1960525 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1960611), // Rule ID 60895 //
     /* 1960530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960576 */     // MIs[0] policy
     /* 1960576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960610 */     // GIR_Coverage, 60895,
     /* 1960610 */     GIR_EraseRootFromParent_Done,
     /* 1960611 */   // Label 26269: @1960611
     /* 1960611 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1960697), // Rule ID 60898 //
     /* 1960616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960662 */     // MIs[0] policy
     /* 1960662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960696 */     // GIR_Coverage, 60898,
     /* 1960696 */     GIR_EraseRootFromParent_Done,
     /* 1960697 */   // Label 26270: @1960697
     /* 1960697 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1960783), // Rule ID 60899 //
     /* 1960702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960748 */     // MIs[0] policy
     /* 1960748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960758 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960782 */     // GIR_Coverage, 60899,
     /* 1960782 */     GIR_EraseRootFromParent_Done,
     /* 1960783 */   // Label 26271: @1960783
     /* 1960783 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1960869), // Rule ID 60902 //
     /* 1960788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960834 */     // MIs[0] policy
     /* 1960834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960868 */     // GIR_Coverage, 60902,
     /* 1960868 */     GIR_EraseRootFromParent_Done,
     /* 1960869 */   // Label 26272: @1960869
     /* 1960869 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1960955), // Rule ID 60903 //
     /* 1960874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960920 */     // MIs[0] policy
     /* 1960920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960954 */     // GIR_Coverage, 60903,
     /* 1960954 */     GIR_EraseRootFromParent_Done,
     /* 1960955 */   // Label 26273: @1960955
     /* 1960955 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1961041), // Rule ID 60906 //
     /* 1960960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961006 */     // MIs[0] policy
     /* 1961006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1961019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961040 */     // GIR_Coverage, 60906,
     /* 1961040 */     GIR_EraseRootFromParent_Done,
     /* 1961041 */   // Label 26274: @1961041
     /* 1961041 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1961127), // Rule ID 60907 //
     /* 1961046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1961057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1961060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1961063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961092 */     // MIs[0] policy
     /* 1961092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1961105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961126 */     // GIR_Coverage, 60907,
     /* 1961126 */     GIR_EraseRootFromParent_Done,
     /* 1961127 */   // Label 26275: @1961127
     /* 1961127 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1961213), // Rule ID 60914 //
     /* 1961132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1961149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961178 */     // MIs[0] policy
     /* 1961178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961212 */     // GIR_Coverage, 60914,
     /* 1961212 */     GIR_EraseRootFromParent_Done,
     /* 1961213 */   // Label 26276: @1961213
     /* 1961213 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1961299), // Rule ID 60915 //
     /* 1961218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1961235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961264 */     // MIs[0] policy
     /* 1961264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961298 */     // GIR_Coverage, 60915,
     /* 1961298 */     GIR_EraseRootFromParent_Done,
     /* 1961299 */   // Label 26277: @1961299
     /* 1961299 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1961385), // Rule ID 60922 //
     /* 1961304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1961321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961350 */     // MIs[0] policy
     /* 1961350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961384 */     // GIR_Coverage, 60922,
     /* 1961384 */     GIR_EraseRootFromParent_Done,
     /* 1961385 */   // Label 26278: @1961385
     /* 1961385 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1961471), // Rule ID 60923 //
     /* 1961390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1961407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961436 */     // MIs[0] policy
     /* 1961436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961470 */     // GIR_Coverage, 60923,
     /* 1961470 */     GIR_EraseRootFromParent_Done,
     /* 1961471 */   // Label 26279: @1961471
     /* 1961471 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1961557), // Rule ID 60930 //
     /* 1961476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961522 */     // MIs[0] policy
     /* 1961522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961556 */     // GIR_Coverage, 60930,
     /* 1961556 */     GIR_EraseRootFromParent_Done,
     /* 1961557 */   // Label 26280: @1961557
     /* 1961557 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1961643), // Rule ID 60931 //
     /* 1961562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961608 */     // MIs[0] policy
     /* 1961608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961642 */     // GIR_Coverage, 60931,
     /* 1961642 */     GIR_EraseRootFromParent_Done,
     /* 1961643 */   // Label 26281: @1961643
     /* 1961643 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1961729), // Rule ID 60938 //
     /* 1961648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961694 */     // MIs[0] policy
     /* 1961694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961728 */     // GIR_Coverage, 60938,
     /* 1961728 */     GIR_EraseRootFromParent_Done,
     /* 1961729 */   // Label 26282: @1961729
     /* 1961729 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1961815), // Rule ID 60939 //
     /* 1961734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961780 */     // MIs[0] policy
     /* 1961780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961814 */     // GIR_Coverage, 60939,
     /* 1961814 */     GIR_EraseRootFromParent_Done,
     /* 1961815 */   // Label 26283: @1961815
     /* 1961815 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1961901), // Rule ID 60946 //
     /* 1961820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961866 */     // MIs[0] policy
     /* 1961866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961900 */     // GIR_Coverage, 60946,
     /* 1961900 */     GIR_EraseRootFromParent_Done,
     /* 1961901 */   // Label 26284: @1961901
     /* 1961901 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1961987), // Rule ID 60947 //
     /* 1961906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961952 */     // MIs[0] policy
     /* 1961952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961962 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961986 */     // GIR_Coverage, 60947,
     /* 1961986 */     GIR_EraseRootFromParent_Done,
     /* 1961987 */   // Label 26285: @1961987
     /* 1961987 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1962073), // Rule ID 60954 //
     /* 1961992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1962003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1962006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962038 */     // MIs[0] policy
     /* 1962038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1962051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962072 */     // GIR_Coverage, 60954,
     /* 1962072 */     GIR_EraseRootFromParent_Done,
     /* 1962073 */   // Label 26286: @1962073
     /* 1962073 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1962159), // Rule ID 60955 //
     /* 1962078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1962089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1962092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962124 */     // MIs[0] policy
     /* 1962124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962134 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1962137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962158 */     // GIR_Coverage, 60955,
     /* 1962158 */     GIR_EraseRootFromParent_Done,
     /* 1962159 */   // Label 26287: @1962159
     /* 1962159 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1962245), // Rule ID 60962 //
     /* 1962164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962210 */     // MIs[0] policy
     /* 1962210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962244 */     // GIR_Coverage, 60962,
     /* 1962244 */     GIR_EraseRootFromParent_Done,
     /* 1962245 */   // Label 26288: @1962245
     /* 1962245 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1962331), // Rule ID 60963 //
     /* 1962250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962296 */     // MIs[0] policy
     /* 1962296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962306 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962330 */     // GIR_Coverage, 60963,
     /* 1962330 */     GIR_EraseRootFromParent_Done,
     /* 1962331 */   // Label 26289: @1962331
     /* 1962331 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1962417), // Rule ID 60970 //
     /* 1962336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962382 */     // MIs[0] policy
     /* 1962382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962416 */     // GIR_Coverage, 60970,
     /* 1962416 */     GIR_EraseRootFromParent_Done,
     /* 1962417 */   // Label 26290: @1962417
     /* 1962417 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1962503), // Rule ID 60971 //
     /* 1962422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962468 */     // MIs[0] policy
     /* 1962468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962502 */     // GIR_Coverage, 60971,
     /* 1962502 */     GIR_EraseRootFromParent_Done,
     /* 1962503 */   // Label 26291: @1962503
     /* 1962503 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1962589), // Rule ID 60978 //
     /* 1962508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962554 */     // MIs[0] policy
     /* 1962554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962588 */     // GIR_Coverage, 60978,
     /* 1962588 */     GIR_EraseRootFromParent_Done,
     /* 1962589 */   // Label 26292: @1962589
     /* 1962589 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1962675), // Rule ID 60979 //
     /* 1962594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962640 */     // MIs[0] policy
     /* 1962640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962674 */     // GIR_Coverage, 60979,
     /* 1962674 */     GIR_EraseRootFromParent_Done,
     /* 1962675 */   // Label 26293: @1962675
     /* 1962675 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1962761), // Rule ID 60986 //
     /* 1962680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962726 */     // MIs[0] policy
     /* 1962726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962760 */     // GIR_Coverage, 60986,
     /* 1962760 */     GIR_EraseRootFromParent_Done,
     /* 1962761 */   // Label 26294: @1962761
     /* 1962761 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1962847), // Rule ID 60987 //
     /* 1962766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962812 */     // MIs[0] policy
     /* 1962812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962846 */     // GIR_Coverage, 60987,
     /* 1962846 */     GIR_EraseRootFromParent_Done,
     /* 1962847 */   // Label 26295: @1962847
     /* 1962847 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1962933), // Rule ID 60994 //
     /* 1962852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962898 */     // MIs[0] policy
     /* 1962898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962932 */     // GIR_Coverage, 60994,
     /* 1962932 */     GIR_EraseRootFromParent_Done,
     /* 1962933 */   // Label 26296: @1962933
     /* 1962933 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1963019), // Rule ID 60995 //
     /* 1962938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962984 */     // MIs[0] policy
     /* 1962984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963018 */     // GIR_Coverage, 60995,
     /* 1963018 */     GIR_EraseRootFromParent_Done,
     /* 1963019 */   // Label 26297: @1963019
     /* 1963019 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1963105), // Rule ID 61002 //
     /* 1963024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1963041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963070 */     // MIs[0] policy
     /* 1963070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1963083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963104 */     // GIR_Coverage, 61002,
     /* 1963104 */     GIR_EraseRootFromParent_Done,
     /* 1963105 */   // Label 26298: @1963105
     /* 1963105 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1963191), // Rule ID 61003 //
     /* 1963110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1963127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963156 */     // MIs[0] policy
     /* 1963156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1963169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963190 */     // GIR_Coverage, 61003,
     /* 1963190 */     GIR_EraseRootFromParent_Done,
     /* 1963191 */   // Label 26299: @1963191
     /* 1963191 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1963277), // Rule ID 61010 //
     /* 1963196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963242 */     // MIs[0] policy
     /* 1963242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1963255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963276 */     // GIR_Coverage, 61010,
     /* 1963276 */     GIR_EraseRootFromParent_Done,
     /* 1963277 */   // Label 26300: @1963277
     /* 1963277 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1963363), // Rule ID 61011 //
     /* 1963282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963328 */     // MIs[0] policy
     /* 1963328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1963341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963362 */     // GIR_Coverage, 61011,
     /* 1963362 */     GIR_EraseRootFromParent_Done,
     /* 1963363 */   // Label 26301: @1963363
     /* 1963363 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1963449), // Rule ID 61018 //
     /* 1963368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963414 */     // MIs[0] policy
     /* 1963414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1963427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963448 */     // GIR_Coverage, 61018,
     /* 1963448 */     GIR_EraseRootFromParent_Done,
     /* 1963449 */   // Label 26302: @1963449
     /* 1963449 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1963535), // Rule ID 61019 //
     /* 1963454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963500 */     // MIs[0] policy
     /* 1963500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963510 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1963513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963534 */     // GIR_Coverage, 61019,
     /* 1963534 */     GIR_EraseRootFromParent_Done,
     /* 1963535 */   // Label 26303: @1963535
     /* 1963535 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1963621), // Rule ID 61026 //
     /* 1963540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963586 */     // MIs[0] policy
     /* 1963586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963620 */     // GIR_Coverage, 61026,
     /* 1963620 */     GIR_EraseRootFromParent_Done,
     /* 1963621 */   // Label 26304: @1963621
     /* 1963621 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1963707), // Rule ID 61027 //
     /* 1963626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963672 */     // MIs[0] policy
     /* 1963672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963706 */     // GIR_Coverage, 61027,
     /* 1963706 */     GIR_EraseRootFromParent_Done,
     /* 1963707 */   // Label 26305: @1963707
     /* 1963707 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1963793), // Rule ID 61030 //
     /* 1963712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963758 */     // MIs[0] policy
     /* 1963758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963792 */     // GIR_Coverage, 61030,
     /* 1963792 */     GIR_EraseRootFromParent_Done,
     /* 1963793 */   // Label 26306: @1963793
     /* 1963793 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1963879), // Rule ID 61031 //
     /* 1963798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963844 */     // MIs[0] policy
     /* 1963844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963878 */     // GIR_Coverage, 61031,
     /* 1963878 */     GIR_EraseRootFromParent_Done,
     /* 1963879 */   // Label 26307: @1963879
     /* 1963879 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1963965), // Rule ID 61034 //
     /* 1963884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963930 */     // MIs[0] policy
     /* 1963930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1963943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963964 */     // GIR_Coverage, 61034,
     /* 1963964 */     GIR_EraseRootFromParent_Done,
     /* 1963965 */   // Label 26308: @1963965
     /* 1963965 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1964051), // Rule ID 61035 //
     /* 1963970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964016 */     // MIs[0] policy
     /* 1964016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1964029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964050 */     // GIR_Coverage, 61035,
     /* 1964050 */     GIR_EraseRootFromParent_Done,
     /* 1964051 */   // Label 26309: @1964051
     /* 1964051 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1964137), // Rule ID 61038 //
     /* 1964056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1964076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964102 */     // MIs[0] policy
     /* 1964102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1964115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964136 */     // GIR_Coverage, 61038,
     /* 1964136 */     GIR_EraseRootFromParent_Done,
     /* 1964137 */   // Label 26310: @1964137
     /* 1964137 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1964223), // Rule ID 61039 //
     /* 1964142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1964162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964188 */     // MIs[0] policy
     /* 1964188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964198 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1964201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964222 */     // GIR_Coverage, 61039,
     /* 1964222 */     GIR_EraseRootFromParent_Done,
     /* 1964223 */   // Label 26311: @1964223
     /* 1964223 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1964309), // Rule ID 61042 //
     /* 1964228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964274 */     // MIs[0] policy
     /* 1964274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1964287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964308 */     // GIR_Coverage, 61042,
     /* 1964308 */     GIR_EraseRootFromParent_Done,
     /* 1964309 */   // Label 26312: @1964309
     /* 1964309 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1964395), // Rule ID 61043 //
     /* 1964314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964360 */     // MIs[0] policy
     /* 1964360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964370 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1964373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964394 */     // GIR_Coverage, 61043,
     /* 1964394 */     GIR_EraseRootFromParent_Done,
     /* 1964395 */   // Label 26313: @1964395
     /* 1964395 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1964481), // Rule ID 61046 //
     /* 1964400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964446 */     // MIs[0] policy
     /* 1964446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964480 */     // GIR_Coverage, 61046,
     /* 1964480 */     GIR_EraseRootFromParent_Done,
     /* 1964481 */   // Label 26314: @1964481
     /* 1964481 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1964567), // Rule ID 61047 //
     /* 1964486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964532 */     // MIs[0] policy
     /* 1964532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964566 */     // GIR_Coverage, 61047,
     /* 1964566 */     GIR_EraseRootFromParent_Done,
     /* 1964567 */   // Label 26315: @1964567
     /* 1964567 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1964653), // Rule ID 61050 //
     /* 1964572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964618 */     // MIs[0] policy
     /* 1964618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964652 */     // GIR_Coverage, 61050,
     /* 1964652 */     GIR_EraseRootFromParent_Done,
     /* 1964653 */   // Label 26316: @1964653
     /* 1964653 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1964739), // Rule ID 61051 //
     /* 1964658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964704 */     // MIs[0] policy
     /* 1964704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964738 */     // GIR_Coverage, 61051,
     /* 1964738 */     GIR_EraseRootFromParent_Done,
     /* 1964739 */   // Label 26317: @1964739
     /* 1964739 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1964825), // Rule ID 61054 //
     /* 1964744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964790 */     // MIs[0] policy
     /* 1964790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964824 */     // GIR_Coverage, 61054,
     /* 1964824 */     GIR_EraseRootFromParent_Done,
     /* 1964825 */   // Label 26318: @1964825
     /* 1964825 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1964911), // Rule ID 61055 //
     /* 1964830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964876 */     // MIs[0] policy
     /* 1964876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964910 */     // GIR_Coverage, 61055,
     /* 1964910 */     GIR_EraseRootFromParent_Done,
     /* 1964911 */   // Label 26319: @1964911
     /* 1964911 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1964997), // Rule ID 61058 //
     /* 1964916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1964936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964962 */     // MIs[0] policy
     /* 1964962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1964975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964996 */     // GIR_Coverage, 61058,
     /* 1964996 */     GIR_EraseRootFromParent_Done,
     /* 1964997 */   // Label 26320: @1964997
     /* 1964997 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1965083), // Rule ID 61059 //
     /* 1965002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1965022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965048 */     // MIs[0] policy
     /* 1965048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1965061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965082 */     // GIR_Coverage, 61059,
     /* 1965082 */     GIR_EraseRootFromParent_Done,
     /* 1965083 */   // Label 26321: @1965083
     /* 1965083 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1965169), // Rule ID 61062 //
     /* 1965088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1965108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965134 */     // MIs[0] policy
     /* 1965134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1965147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965168 */     // GIR_Coverage, 61062,
     /* 1965168 */     GIR_EraseRootFromParent_Done,
     /* 1965169 */   // Label 26322: @1965169
     /* 1965169 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1965255), // Rule ID 61063 //
     /* 1965174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1965194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965220 */     // MIs[0] policy
     /* 1965220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1965233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965254 */     // GIR_Coverage, 61063,
     /* 1965254 */     GIR_EraseRootFromParent_Done,
     /* 1965255 */   // Label 26323: @1965255
     /* 1965255 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1965341), // Rule ID 61066 //
     /* 1965260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1965280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965306 */     // MIs[0] policy
     /* 1965306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1965319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965340 */     // GIR_Coverage, 61066,
     /* 1965340 */     GIR_EraseRootFromParent_Done,
     /* 1965341 */   // Label 26324: @1965341
     /* 1965341 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1965427), // Rule ID 61067 //
     /* 1965346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1965366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965392 */     // MIs[0] policy
     /* 1965392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1965405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965426 */     // GIR_Coverage, 61067,
     /* 1965426 */     GIR_EraseRootFromParent_Done,
     /* 1965427 */   // Label 26325: @1965427
     /* 1965427 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1965513), // Rule ID 61070 //
     /* 1965432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965478 */     // MIs[0] policy
     /* 1965478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965512 */     // GIR_Coverage, 61070,
     /* 1965512 */     GIR_EraseRootFromParent_Done,
     /* 1965513 */   // Label 26326: @1965513
     /* 1965513 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1965599), // Rule ID 61071 //
     /* 1965518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965564 */     // MIs[0] policy
     /* 1965564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965598 */     // GIR_Coverage, 61071,
     /* 1965598 */     GIR_EraseRootFromParent_Done,
     /* 1965599 */   // Label 26327: @1965599
     /* 1965599 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1965685), // Rule ID 61074 //
     /* 1965604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965650 */     // MIs[0] policy
     /* 1965650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965684 */     // GIR_Coverage, 61074,
     /* 1965684 */     GIR_EraseRootFromParent_Done,
     /* 1965685 */   // Label 26328: @1965685
     /* 1965685 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1965771), // Rule ID 61075 //
     /* 1965690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965736 */     // MIs[0] policy
     /* 1965736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965770 */     // GIR_Coverage, 61075,
     /* 1965770 */     GIR_EraseRootFromParent_Done,
     /* 1965771 */   // Label 26329: @1965771
     /* 1965771 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1965857), // Rule ID 61078 //
     /* 1965776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965822 */     // MIs[0] policy
     /* 1965822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965856 */     // GIR_Coverage, 61078,
     /* 1965856 */     GIR_EraseRootFromParent_Done,
     /* 1965857 */   // Label 26330: @1965857
     /* 1965857 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1965943), // Rule ID 61079 //
     /* 1965862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965908 */     // MIs[0] policy
     /* 1965908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965942 */     // GIR_Coverage, 61079,
     /* 1965942 */     GIR_EraseRootFromParent_Done,
     /* 1965943 */   // Label 26331: @1965943
     /* 1965943 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1966029), // Rule ID 61082 //
     /* 1965948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965994 */     // MIs[0] policy
     /* 1965994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1966007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966028 */     // GIR_Coverage, 61082,
     /* 1966028 */     GIR_EraseRootFromParent_Done,
     /* 1966029 */   // Label 26332: @1966029
     /* 1966029 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1966115), // Rule ID 61083 //
     /* 1966034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1966037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1966042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1966051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966080 */     // MIs[0] policy
     /* 1966080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1966093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966114 */     // GIR_Coverage, 61083,
     /* 1966114 */     GIR_EraseRootFromParent_Done,
     /* 1966115 */   // Label 26333: @1966115
     /* 1966115 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1966201), // Rule ID 61086 //
     /* 1966120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1966123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1966128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966166 */     // MIs[0] policy
     /* 1966166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1966179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966200 */     // GIR_Coverage, 61086,
     /* 1966200 */     GIR_EraseRootFromParent_Done,
     /* 1966201 */   // Label 26334: @1966201
     /* 1966201 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1966287), // Rule ID 61087 //
     /* 1966206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1966209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1966214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966252 */     // MIs[0] policy
     /* 1966252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1966265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966286 */     // GIR_Coverage, 61087,
     /* 1966286 */     GIR_EraseRootFromParent_Done,
     /* 1966287 */   // Label 26335: @1966287
     /* 1966287 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1966373), // Rule ID 61090 //
     /* 1966292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1966303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1966306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1966309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1966312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966338 */     // MIs[0] policy
     /* 1966338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1966351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966372 */     // GIR_Coverage, 61090,
     /* 1966372 */     GIR_EraseRootFromParent_Done,
     /* 1966373 */   // Label 26336: @1966373
     /* 1966373 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1966459), // Rule ID 61091 //
     /* 1966378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1966389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1966392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1966395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1966398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966424 */     // MIs[0] policy
     /* 1966424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1966437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966458 */     // GIR_Coverage, 61091,
     /* 1966458 */     GIR_EraseRootFromParent_Done,
     /* 1966459 */   // Label 26337: @1966459
     /* 1966459 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1966545), // Rule ID 61094 //
     /* 1966464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966510 */     // MIs[0] policy
     /* 1966510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966544 */     // GIR_Coverage, 61094,
     /* 1966544 */     GIR_EraseRootFromParent_Done,
     /* 1966545 */   // Label 26338: @1966545
     /* 1966545 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1966631), // Rule ID 61095 //
     /* 1966550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966596 */     // MIs[0] policy
     /* 1966596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966630 */     // GIR_Coverage, 61095,
     /* 1966630 */     GIR_EraseRootFromParent_Done,
     /* 1966631 */   // Label 26339: @1966631
     /* 1966631 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1966717), // Rule ID 61098 //
     /* 1966636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966682 */     // MIs[0] policy
     /* 1966682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966716 */     // GIR_Coverage, 61098,
     /* 1966716 */     GIR_EraseRootFromParent_Done,
     /* 1966717 */   // Label 26340: @1966717
     /* 1966717 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1966803), // Rule ID 61099 //
     /* 1966722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966768 */     // MIs[0] policy
     /* 1966768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966802 */     // GIR_Coverage, 61099,
     /* 1966802 */     GIR_EraseRootFromParent_Done,
     /* 1966803 */   // Label 26341: @1966803
     /* 1966803 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1966889), // Rule ID 61102 //
     /* 1966808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966854 */     // MIs[0] policy
     /* 1966854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966888 */     // GIR_Coverage, 61102,
     /* 1966888 */     GIR_EraseRootFromParent_Done,
     /* 1966889 */   // Label 26342: @1966889
     /* 1966889 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1966975), // Rule ID 61103 //
     /* 1966894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966940 */     // MIs[0] policy
     /* 1966940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966974 */     // GIR_Coverage, 61103,
     /* 1966974 */     GIR_EraseRootFromParent_Done,
     /* 1966975 */   // Label 26343: @1966975
     /* 1966975 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1967061), // Rule ID 61106 //
     /* 1966980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1967000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967026 */     // MIs[0] policy
     /* 1967026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967060 */     // GIR_Coverage, 61106,
     /* 1967060 */     GIR_EraseRootFromParent_Done,
     /* 1967061 */   // Label 26344: @1967061
     /* 1967061 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1967147), // Rule ID 61107 //
     /* 1967066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1967077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1967080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1967083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1967086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967112 */     // MIs[0] policy
     /* 1967112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967146 */     // GIR_Coverage, 61107,
     /* 1967146 */     GIR_EraseRootFromParent_Done,
     /* 1967147 */   // Label 26345: @1967147
     /* 1967147 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1967233), // Rule ID 61110 //
     /* 1967152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1967163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1967166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1967172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967198 */     // MIs[0] policy
     /* 1967198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967232 */     // GIR_Coverage, 61110,
     /* 1967232 */     GIR_EraseRootFromParent_Done,
     /* 1967233 */   // Label 26346: @1967233
     /* 1967233 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1967319), // Rule ID 61111 //
     /* 1967238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1967249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1967252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1967258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967284 */     // MIs[0] policy
     /* 1967284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967318 */     // GIR_Coverage, 61111,
     /* 1967318 */     GIR_EraseRootFromParent_Done,
     /* 1967319 */   // Label 26347: @1967319
     /* 1967319 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1967405), // Rule ID 61114 //
     /* 1967324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1967335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1967338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1967341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1967344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967370 */     // MIs[0] policy
     /* 1967370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967404 */     // GIR_Coverage, 61114,
     /* 1967404 */     GIR_EraseRootFromParent_Done,
     /* 1967405 */   // Label 26348: @1967405
     /* 1967405 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1967491), // Rule ID 61115 //
     /* 1967410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1967421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1967424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1967427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1967430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967456 */     // MIs[0] policy
     /* 1967456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967490 */     // GIR_Coverage, 61115,
     /* 1967490 */     GIR_EraseRootFromParent_Done,
     /* 1967491 */   // Label 26349: @1967491
     /* 1967491 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1967577), // Rule ID 61118 //
     /* 1967496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967542 */     // MIs[0] policy
     /* 1967542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967576 */     // GIR_Coverage, 61118,
     /* 1967576 */     GIR_EraseRootFromParent_Done,
     /* 1967577 */   // Label 26350: @1967577
     /* 1967577 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1967663), // Rule ID 61119 //
     /* 1967582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967628 */     // MIs[0] policy
     /* 1967628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967662 */     // GIR_Coverage, 61119,
     /* 1967662 */     GIR_EraseRootFromParent_Done,
     /* 1967663 */   // Label 26351: @1967663
     /* 1967663 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1967749), // Rule ID 61122 //
     /* 1967668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967714 */     // MIs[0] policy
     /* 1967714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967748 */     // GIR_Coverage, 61122,
     /* 1967748 */     GIR_EraseRootFromParent_Done,
     /* 1967749 */   // Label 26352: @1967749
     /* 1967749 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1967835), // Rule ID 61123 //
     /* 1967754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967800 */     // MIs[0] policy
     /* 1967800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967834 */     // GIR_Coverage, 61123,
     /* 1967834 */     GIR_EraseRootFromParent_Done,
     /* 1967835 */   // Label 26353: @1967835
     /* 1967835 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1967921), // Rule ID 61126 //
     /* 1967840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967886 */     // MIs[0] policy
     /* 1967886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967920 */     // GIR_Coverage, 61126,
     /* 1967920 */     GIR_EraseRootFromParent_Done,
     /* 1967921 */   // Label 26354: @1967921
     /* 1967921 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1968007), // Rule ID 61127 //
     /* 1967926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967972 */     // MIs[0] policy
     /* 1967972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968006 */     // GIR_Coverage, 61127,
     /* 1968006 */     GIR_EraseRootFromParent_Done,
     /* 1968007 */   // Label 26355: @1968007
     /* 1968007 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1968093), // Rule ID 61130 //
     /* 1968012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1968023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1968026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1968029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1968032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968058 */     // MIs[0] policy
     /* 1968058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968068 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968092 */     // GIR_Coverage, 61130,
     /* 1968092 */     GIR_EraseRootFromParent_Done,
     /* 1968093 */   // Label 26356: @1968093
     /* 1968093 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1968179), // Rule ID 61131 //
     /* 1968098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1968109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1968112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1968115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1968118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968144 */     // MIs[0] policy
     /* 1968144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968154 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968178 */     // GIR_Coverage, 61131,
     /* 1968178 */     GIR_EraseRootFromParent_Done,
     /* 1968179 */   // Label 26357: @1968179
     /* 1968179 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1968265), // Rule ID 61134 //
     /* 1968184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1968195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1968198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1968204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968230 */     // MIs[0] policy
     /* 1968230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968240 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968264 */     // GIR_Coverage, 61134,
     /* 1968264 */     GIR_EraseRootFromParent_Done,
     /* 1968265 */   // Label 26358: @1968265
     /* 1968265 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1968351), // Rule ID 61135 //
     /* 1968270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1968281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1968284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1968290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968316 */     // MIs[0] policy
     /* 1968316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968326 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968350 */     // GIR_Coverage, 61135,
     /* 1968350 */     GIR_EraseRootFromParent_Done,
     /* 1968351 */   // Label 26359: @1968351
     /* 1968351 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1968437), // Rule ID 61138 //
     /* 1968356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1968367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1968370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1968373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1968376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1968379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968402 */     // MIs[0] policy
     /* 1968402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968412 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968436 */     // GIR_Coverage, 61138,
     /* 1968436 */     GIR_EraseRootFromParent_Done,
     /* 1968437 */   // Label 26360: @1968437
     /* 1968437 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1968523), // Rule ID 61139 //
     /* 1968442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1968453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1968456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1968459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1968462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1968465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968488 */     // MIs[0] policy
     /* 1968488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968522 */     // GIR_Coverage, 61139,
     /* 1968522 */     GIR_EraseRootFromParent_Done,
     /* 1968523 */   // Label 26361: @1968523
     /* 1968523 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1968609), // Rule ID 61142 //
     /* 1968528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968574 */     // MIs[0] policy
     /* 1968574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968608 */     // GIR_Coverage, 61142,
     /* 1968608 */     GIR_EraseRootFromParent_Done,
     /* 1968609 */   // Label 26362: @1968609
     /* 1968609 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1968695), // Rule ID 61143 //
     /* 1968614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968660 */     // MIs[0] policy
     /* 1968660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968694 */     // GIR_Coverage, 61143,
     /* 1968694 */     GIR_EraseRootFromParent_Done,
     /* 1968695 */   // Label 26363: @1968695
     /* 1968695 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1968781), // Rule ID 61146 //
     /* 1968700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968746 */     // MIs[0] policy
     /* 1968746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968756 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968780 */     // GIR_Coverage, 61146,
     /* 1968780 */     GIR_EraseRootFromParent_Done,
     /* 1968781 */   // Label 26364: @1968781
     /* 1968781 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1968867), // Rule ID 61147 //
     /* 1968786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968832 */     // MIs[0] policy
     /* 1968832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968866 */     // GIR_Coverage, 61147,
     /* 1968866 */     GIR_EraseRootFromParent_Done,
     /* 1968867 */   // Label 26365: @1968867
     /* 1968867 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1968953), // Rule ID 61150 //
     /* 1968872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968918 */     // MIs[0] policy
     /* 1968918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968952 */     // GIR_Coverage, 61150,
     /* 1968952 */     GIR_EraseRootFromParent_Done,
     /* 1968953 */   // Label 26366: @1968953
     /* 1968953 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1969039), // Rule ID 61151 //
     /* 1968958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969004 */     // MIs[0] policy
     /* 1969004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969038 */     // GIR_Coverage, 61151,
     /* 1969038 */     GIR_EraseRootFromParent_Done,
     /* 1969039 */   // Label 26367: @1969039
     /* 1969039 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1969125), // Rule ID 61154 //
     /* 1969044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1969055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1969058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1969061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1969064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969090 */     // MIs[0] policy
     /* 1969090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969124 */     // GIR_Coverage, 61154,
     /* 1969124 */     GIR_EraseRootFromParent_Done,
     /* 1969125 */   // Label 26368: @1969125
     /* 1969125 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1969211), // Rule ID 61155 //
     /* 1969130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1969141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1969144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1969147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1969150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969176 */     // MIs[0] policy
     /* 1969176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969210 */     // GIR_Coverage, 61155,
     /* 1969210 */     GIR_EraseRootFromParent_Done,
     /* 1969211 */   // Label 26369: @1969211
     /* 1969211 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1969297), // Rule ID 61158 //
     /* 1969216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1969227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1969230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1969233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1969236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969262 */     // MIs[0] policy
     /* 1969262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969296 */     // GIR_Coverage, 61158,
     /* 1969296 */     GIR_EraseRootFromParent_Done,
     /* 1969297 */   // Label 26370: @1969297
     /* 1969297 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1969383), // Rule ID 61159 //
     /* 1969302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1969313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1969316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1969319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1969322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969348 */     // MIs[0] policy
     /* 1969348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969382 */     // GIR_Coverage, 61159,
     /* 1969382 */     GIR_EraseRootFromParent_Done,
     /* 1969383 */   // Label 26371: @1969383
     /* 1969383 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1969469), // Rule ID 61162 //
     /* 1969388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1969405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1969408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969434 */     // MIs[0] policy
     /* 1969434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969468 */     // GIR_Coverage, 61162,
     /* 1969468 */     GIR_EraseRootFromParent_Done,
     /* 1969469 */   // Label 26372: @1969469
     /* 1969469 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1969555), // Rule ID 61163 //
     /* 1969474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1969491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1969494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969520 */     // MIs[0] policy
     /* 1969520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969554 */     // GIR_Coverage, 61163,
     /* 1969554 */     GIR_EraseRootFromParent_Done,
     /* 1969555 */   // Label 26373: @1969555
     /* 1969555 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1969641), // Rule ID 61166 //
     /* 1969560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969606 */     // MIs[0] policy
     /* 1969606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969640 */     // GIR_Coverage, 61166,
     /* 1969640 */     GIR_EraseRootFromParent_Done,
     /* 1969641 */   // Label 26374: @1969641
     /* 1969641 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1969727), // Rule ID 61167 //
     /* 1969646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969692 */     // MIs[0] policy
     /* 1969692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969702 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969726 */     // GIR_Coverage, 61167,
     /* 1969726 */     GIR_EraseRootFromParent_Done,
     /* 1969727 */   // Label 26375: @1969727
     /* 1969727 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1969813), // Rule ID 61170 //
     /* 1969732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969778 */     // MIs[0] policy
     /* 1969778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969788 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969812 */     // GIR_Coverage, 61170,
     /* 1969812 */     GIR_EraseRootFromParent_Done,
     /* 1969813 */   // Label 26376: @1969813
     /* 1969813 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1969899), // Rule ID 61171 //
     /* 1969818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969864 */     // MIs[0] policy
     /* 1969864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969898 */     // GIR_Coverage, 61171,
     /* 1969898 */     GIR_EraseRootFromParent_Done,
     /* 1969899 */   // Label 26377: @1969899
     /* 1969899 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1969985), // Rule ID 61174 //
     /* 1969904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969950 */     // MIs[0] policy
     /* 1969950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969984 */     // GIR_Coverage, 61174,
     /* 1969984 */     GIR_EraseRootFromParent_Done,
     /* 1969985 */   // Label 26378: @1969985
     /* 1969985 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1970071), // Rule ID 61175 //
     /* 1969990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1970007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1970010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970036 */     // MIs[0] policy
     /* 1970036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1970049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970070 */     // GIR_Coverage, 61175,
     /* 1970070 */     GIR_EraseRootFromParent_Done,
     /* 1970071 */   // Label 26379: @1970071
     /* 1970071 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1970157), // Rule ID 61178 //
     /* 1970076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1970087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1970090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1970093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970122 */     // MIs[0] policy
     /* 1970122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1970135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970156 */     // GIR_Coverage, 61178,
     /* 1970156 */     GIR_EraseRootFromParent_Done,
     /* 1970157 */   // Label 26380: @1970157
     /* 1970157 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1970243), // Rule ID 61179 //
     /* 1970162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1970173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1970176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1970179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970208 */     // MIs[0] policy
     /* 1970208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970218 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1970221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970242 */     // GIR_Coverage, 61179,
     /* 1970242 */     GIR_EraseRootFromParent_Done,
     /* 1970243 */   // Label 26381: @1970243
     /* 1970243 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1970329), // Rule ID 61182 //
     /* 1970248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1970259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1970262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1970265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970294 */     // MIs[0] policy
     /* 1970294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970304 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970328 */     // GIR_Coverage, 61182,
     /* 1970328 */     GIR_EraseRootFromParent_Done,
     /* 1970329 */   // Label 26382: @1970329
     /* 1970329 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1970415), // Rule ID 61183 //
     /* 1970334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1970345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1970348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1970351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970380 */     // MIs[0] policy
     /* 1970380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970390 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970414 */     // GIR_Coverage, 61183,
     /* 1970414 */     GIR_EraseRootFromParent_Done,
     /* 1970415 */   // Label 26383: @1970415
     /* 1970415 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1970501), // Rule ID 61186 //
     /* 1970420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970466 */     // MIs[0] policy
     /* 1970466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970500 */     // GIR_Coverage, 61186,
     /* 1970500 */     GIR_EraseRootFromParent_Done,
     /* 1970501 */   // Label 26384: @1970501
     /* 1970501 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1970587), // Rule ID 61187 //
     /* 1970506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970552 */     // MIs[0] policy
     /* 1970552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970586 */     // GIR_Coverage, 61187,
     /* 1970586 */     GIR_EraseRootFromParent_Done,
     /* 1970587 */   // Label 26385: @1970587
     /* 1970587 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1970673), // Rule ID 61190 //
     /* 1970592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970638 */     // MIs[0] policy
     /* 1970638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970672 */     // GIR_Coverage, 61190,
     /* 1970672 */     GIR_EraseRootFromParent_Done,
     /* 1970673 */   // Label 26386: @1970673
     /* 1970673 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1970759), // Rule ID 61191 //
     /* 1970678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970724 */     // MIs[0] policy
     /* 1970724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970734 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970758 */     // GIR_Coverage, 61191,
     /* 1970758 */     GIR_EraseRootFromParent_Done,
     /* 1970759 */   // Label 26387: @1970759
     /* 1970759 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1970845), // Rule ID 61194 //
     /* 1970764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970810 */     // MIs[0] policy
     /* 1970810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970844 */     // GIR_Coverage, 61194,
     /* 1970844 */     GIR_EraseRootFromParent_Done,
     /* 1970845 */   // Label 26388: @1970845
     /* 1970845 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1970931), // Rule ID 61195 //
     /* 1970850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970896 */     // MIs[0] policy
     /* 1970896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970930 */     // GIR_Coverage, 61195,
     /* 1970930 */     GIR_EraseRootFromParent_Done,
     /* 1970931 */   // Label 26389: @1970931
     /* 1970931 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1971017), // Rule ID 61198 //
     /* 1970936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970982 */     // MIs[0] policy
     /* 1970982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971016 */     // GIR_Coverage, 61198,
     /* 1971016 */     GIR_EraseRootFromParent_Done,
     /* 1971017 */   // Label 26390: @1971017
     /* 1971017 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1971103), // Rule ID 61199 //
     /* 1971022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1971033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1971036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1971039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971068 */     // MIs[0] policy
     /* 1971068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1971081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971102 */     // GIR_Coverage, 61199,
     /* 1971102 */     GIR_EraseRootFromParent_Done,
     /* 1971103 */   // Label 26391: @1971103
     /* 1971103 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1971189), // Rule ID 61202 //
     /* 1971108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1971119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1971122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1971125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971154 */     // MIs[0] policy
     /* 1971154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971188 */     // GIR_Coverage, 61202,
     /* 1971188 */     GIR_EraseRootFromParent_Done,
     /* 1971189 */   // Label 26392: @1971189
     /* 1971189 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1971275), // Rule ID 61203 //
     /* 1971194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1971205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1971208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1971211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971240 */     // MIs[0] policy
     /* 1971240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971250 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971274 */     // GIR_Coverage, 61203,
     /* 1971274 */     GIR_EraseRootFromParent_Done,
     /* 1971275 */   // Label 26393: @1971275
     /* 1971275 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1971361), // Rule ID 61206 //
     /* 1971280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1971291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1971294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1971297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971326 */     // MIs[0] policy
     /* 1971326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971360 */     // GIR_Coverage, 61206,
     /* 1971360 */     GIR_EraseRootFromParent_Done,
     /* 1971361 */   // Label 26394: @1971361
     /* 1971361 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1971447), // Rule ID 61207 //
     /* 1971366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1971377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1971380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1971383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971412 */     // MIs[0] policy
     /* 1971412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971446 */     // GIR_Coverage, 61207,
     /* 1971446 */     GIR_EraseRootFromParent_Done,
     /* 1971447 */   // Label 26395: @1971447
     /* 1971447 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1971533), // Rule ID 61210 //
     /* 1971452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971498 */     // MIs[0] policy
     /* 1971498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971532 */     // GIR_Coverage, 61210,
     /* 1971532 */     GIR_EraseRootFromParent_Done,
     /* 1971533 */   // Label 26396: @1971533
     /* 1971533 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1971619), // Rule ID 61211 //
     /* 1971538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971584 */     // MIs[0] policy
     /* 1971584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971618 */     // GIR_Coverage, 61211,
     /* 1971618 */     GIR_EraseRootFromParent_Done,
     /* 1971619 */   // Label 26397: @1971619
     /* 1971619 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1971705), // Rule ID 61214 //
     /* 1971624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971670 */     // MIs[0] policy
     /* 1971670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971704 */     // GIR_Coverage, 61214,
     /* 1971704 */     GIR_EraseRootFromParent_Done,
     /* 1971705 */   // Label 26398: @1971705
     /* 1971705 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1971791), // Rule ID 61215 //
     /* 1971710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971756 */     // MIs[0] policy
     /* 1971756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971790 */     // GIR_Coverage, 61215,
     /* 1971790 */     GIR_EraseRootFromParent_Done,
     /* 1971791 */   // Label 26399: @1971791
     /* 1971791 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1971877), // Rule ID 61218 //
     /* 1971796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971842 */     // MIs[0] policy
     /* 1971842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971876 */     // GIR_Coverage, 61218,
     /* 1971876 */     GIR_EraseRootFromParent_Done,
     /* 1971877 */   // Label 26400: @1971877
     /* 1971877 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1971963), // Rule ID 61219 //
     /* 1971882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971928 */     // MIs[0] policy
     /* 1971928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971938 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971962 */     // GIR_Coverage, 61219,
     /* 1971962 */     GIR_EraseRootFromParent_Done,
     /* 1971963 */   // Label 26401: @1971963
     /* 1971963 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1972049), // Rule ID 61222 //
     /* 1971968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972014 */     // MIs[0] policy
     /* 1972014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972048 */     // GIR_Coverage, 61222,
     /* 1972048 */     GIR_EraseRootFromParent_Done,
     /* 1972049 */   // Label 26402: @1972049
     /* 1972049 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1972135), // Rule ID 61223 //
     /* 1972054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1972065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1972068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1972071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972100 */     // MIs[0] policy
     /* 1972100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972110 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972134 */     // GIR_Coverage, 61223,
     /* 1972134 */     GIR_EraseRootFromParent_Done,
     /* 1972135 */   // Label 26403: @1972135
     /* 1972135 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1972221), // Rule ID 61226 //
     /* 1972140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1972151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1972154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1972157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1972163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972186 */     // MIs[0] policy
     /* 1972186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972220 */     // GIR_Coverage, 61226,
     /* 1972220 */     GIR_EraseRootFromParent_Done,
     /* 1972221 */   // Label 26404: @1972221
     /* 1972221 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1972307), // Rule ID 61227 //
     /* 1972226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1972237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1972240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1972243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1972249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972272 */     // MIs[0] policy
     /* 1972272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972282 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972306 */     // GIR_Coverage, 61227,
     /* 1972306 */     GIR_EraseRootFromParent_Done,
     /* 1972307 */   // Label 26405: @1972307
     /* 1972307 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1972393), // Rule ID 61230 //
     /* 1972312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1972329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972358 */     // MIs[0] policy
     /* 1972358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972392 */     // GIR_Coverage, 61230,
     /* 1972392 */     GIR_EraseRootFromParent_Done,
     /* 1972393 */   // Label 26406: @1972393
     /* 1972393 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1972479), // Rule ID 61231 //
     /* 1972398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1972415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972444 */     // MIs[0] policy
     /* 1972444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972478 */     // GIR_Coverage, 61231,
     /* 1972478 */     GIR_EraseRootFromParent_Done,
     /* 1972479 */   // Label 26407: @1972479
     /* 1972479 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1972565), // Rule ID 61234 //
     /* 1972484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972530 */     // MIs[0] policy
     /* 1972530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972564 */     // GIR_Coverage, 61234,
     /* 1972564 */     GIR_EraseRootFromParent_Done,
     /* 1972565 */   // Label 26408: @1972565
     /* 1972565 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1972651), // Rule ID 61235 //
     /* 1972570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972616 */     // MIs[0] policy
     /* 1972616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972650 */     // GIR_Coverage, 61235,
     /* 1972650 */     GIR_EraseRootFromParent_Done,
     /* 1972651 */   // Label 26409: @1972651
     /* 1972651 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1972737), // Rule ID 61238 //
     /* 1972656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972702 */     // MIs[0] policy
     /* 1972702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972736 */     // GIR_Coverage, 61238,
     /* 1972736 */     GIR_EraseRootFromParent_Done,
     /* 1972737 */   // Label 26410: @1972737
     /* 1972737 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1972823), // Rule ID 61239 //
     /* 1972742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972788 */     // MIs[0] policy
     /* 1972788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972822 */     // GIR_Coverage, 61239,
     /* 1972822 */     GIR_EraseRootFromParent_Done,
     /* 1972823 */   // Label 26411: @1972823
     /* 1972823 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1972909), // Rule ID 61242 //
     /* 1972828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972874 */     // MIs[0] policy
     /* 1972874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972908 */     // GIR_Coverage, 61242,
     /* 1972908 */     GIR_EraseRootFromParent_Done,
     /* 1972909 */   // Label 26412: @1972909
     /* 1972909 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1972995), // Rule ID 61243 //
     /* 1972914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972960 */     // MIs[0] policy
     /* 1972960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972994 */     // GIR_Coverage, 61243,
     /* 1972994 */     GIR_EraseRootFromParent_Done,
     /* 1972995 */   // Label 26413: @1972995
     /* 1972995 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1973081), // Rule ID 61246 //
     /* 1973000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1973017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973046 */     // MIs[0] policy
     /* 1973046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973080 */     // GIR_Coverage, 61246,
     /* 1973080 */     GIR_EraseRootFromParent_Done,
     /* 1973081 */   // Label 26414: @1973081
     /* 1973081 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1973167), // Rule ID 61247 //
     /* 1973086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1973103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973132 */     // MIs[0] policy
     /* 1973132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973166 */     // GIR_Coverage, 61247,
     /* 1973166 */     GIR_EraseRootFromParent_Done,
     /* 1973167 */   // Label 26415: @1973167
     /* 1973167 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1973253), // Rule ID 61250 //
     /* 1973172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1973189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973218 */     // MIs[0] policy
     /* 1973218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973252 */     // GIR_Coverage, 61250,
     /* 1973252 */     GIR_EraseRootFromParent_Done,
     /* 1973253 */   // Label 26416: @1973253
     /* 1973253 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1973339), // Rule ID 61251 //
     /* 1973258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1973275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973304 */     // MIs[0] policy
     /* 1973304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973338 */     // GIR_Coverage, 61251,
     /* 1973338 */     GIR_EraseRootFromParent_Done,
     /* 1973339 */   // Label 26417: @1973339
     /* 1973339 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1973425), // Rule ID 61254 //
     /* 1973344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973390 */     // MIs[0] policy
     /* 1973390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1973403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973424 */     // GIR_Coverage, 61254,
     /* 1973424 */     GIR_EraseRootFromParent_Done,
     /* 1973425 */   // Label 26418: @1973425
     /* 1973425 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1973511), // Rule ID 61255 //
     /* 1973430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973476 */     // MIs[0] policy
     /* 1973476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1973489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973510 */     // GIR_Coverage, 61255,
     /* 1973510 */     GIR_EraseRootFromParent_Done,
     /* 1973511 */   // Label 26419: @1973511
     /* 1973511 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1973597), // Rule ID 61258 //
     /* 1973516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973562 */     // MIs[0] policy
     /* 1973562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973596 */     // GIR_Coverage, 61258,
     /* 1973596 */     GIR_EraseRootFromParent_Done,
     /* 1973597 */   // Label 26420: @1973597
     /* 1973597 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1973683), // Rule ID 61259 //
     /* 1973602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973648 */     // MIs[0] policy
     /* 1973648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973682 */     // GIR_Coverage, 61259,
     /* 1973682 */     GIR_EraseRootFromParent_Done,
     /* 1973683 */   // Label 26421: @1973683
     /* 1973683 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1973769), // Rule ID 61262 //
     /* 1973688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973734 */     // MIs[0] policy
     /* 1973734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973768 */     // GIR_Coverage, 61262,
     /* 1973768 */     GIR_EraseRootFromParent_Done,
     /* 1973769 */   // Label 26422: @1973769
     /* 1973769 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1973855), // Rule ID 61263 //
     /* 1973774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973820 */     // MIs[0] policy
     /* 1973820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973830 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973854 */     // GIR_Coverage, 61263,
     /* 1973854 */     GIR_EraseRootFromParent_Done,
     /* 1973855 */   // Label 26423: @1973855
     /* 1973855 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1973941), // Rule ID 61442 //
     /* 1973860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973906 */     // MIs[0] policy
     /* 1973906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973916 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1973919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973940 */     // GIR_Coverage, 61442,
     /* 1973940 */     GIR_EraseRootFromParent_Done,
     /* 1973941 */   // Label 26424: @1973941
     /* 1973941 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1974027), // Rule ID 61443 //
     /* 1973946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973992 */     // MIs[0] policy
     /* 1973992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1974005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974026 */     // GIR_Coverage, 61443,
     /* 1974026 */     GIR_EraseRootFromParent_Done,
     /* 1974027 */   // Label 26425: @1974027
     /* 1974027 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1974113), // Rule ID 61446 //
     /* 1974032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1974043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1974046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1974049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1974052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974078 */     // MIs[0] policy
     /* 1974078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974088 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974112 */     // GIR_Coverage, 61446,
     /* 1974112 */     GIR_EraseRootFromParent_Done,
     /* 1974113 */   // Label 26426: @1974113
     /* 1974113 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1974199), // Rule ID 61447 //
     /* 1974118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1974129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1974132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1974135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1974138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974164 */     // MIs[0] policy
     /* 1974164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974174 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974198 */     // GIR_Coverage, 61447,
     /* 1974198 */     GIR_EraseRootFromParent_Done,
     /* 1974199 */   // Label 26427: @1974199
     /* 1974199 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1974285), // Rule ID 61450 //
     /* 1974204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1974215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1974218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1974221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1974224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974250 */     // MIs[0] policy
     /* 1974250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974260 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974284 */     // GIR_Coverage, 61450,
     /* 1974284 */     GIR_EraseRootFromParent_Done,
     /* 1974285 */   // Label 26428: @1974285
     /* 1974285 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1974371), // Rule ID 61451 //
     /* 1974290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1974301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1974304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1974307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1974310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974336 */     // MIs[0] policy
     /* 1974336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974370 */     // GIR_Coverage, 61451,
     /* 1974370 */     GIR_EraseRootFromParent_Done,
     /* 1974371 */   // Label 26429: @1974371
     /* 1974371 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1974457), // Rule ID 61454 //
     /* 1974376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1974396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974422 */     // MIs[0] policy
     /* 1974422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974456 */     // GIR_Coverage, 61454,
     /* 1974456 */     GIR_EraseRootFromParent_Done,
     /* 1974457 */   // Label 26430: @1974457
     /* 1974457 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1974543), // Rule ID 61455 //
     /* 1974462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1974482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974508 */     // MIs[0] policy
     /* 1974508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974542 */     // GIR_Coverage, 61455,
     /* 1974542 */     GIR_EraseRootFromParent_Done,
     /* 1974543 */   // Label 26431: @1974543
     /* 1974543 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1974629), // Rule ID 61458 //
     /* 1974548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974594 */     // MIs[0] policy
     /* 1974594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974628 */     // GIR_Coverage, 61458,
     /* 1974628 */     GIR_EraseRootFromParent_Done,
     /* 1974629 */   // Label 26432: @1974629
     /* 1974629 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1974715), // Rule ID 61459 //
     /* 1974634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974680 */     // MIs[0] policy
     /* 1974680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974714 */     // GIR_Coverage, 61459,
     /* 1974714 */     GIR_EraseRootFromParent_Done,
     /* 1974715 */   // Label 26433: @1974715
     /* 1974715 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1974801), // Rule ID 61462 //
     /* 1974720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974766 */     // MIs[0] policy
     /* 1974766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974800 */     // GIR_Coverage, 61462,
     /* 1974800 */     GIR_EraseRootFromParent_Done,
     /* 1974801 */   // Label 26434: @1974801
     /* 1974801 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1974887), // Rule ID 61463 //
     /* 1974806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974852 */     // MIs[0] policy
     /* 1974852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974886 */     // GIR_Coverage, 61463,
     /* 1974886 */     GIR_EraseRootFromParent_Done,
     /* 1974887 */   // Label 26435: @1974887
     /* 1974887 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1974973), // Rule ID 61466 //
     /* 1974892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974938 */     // MIs[0] policy
     /* 1974938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974972 */     // GIR_Coverage, 61466,
     /* 1974972 */     GIR_EraseRootFromParent_Done,
     /* 1974973 */   // Label 26436: @1974973
     /* 1974973 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1975059), // Rule ID 61467 //
     /* 1974978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975024 */     // MIs[0] policy
     /* 1975024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975058 */     // GIR_Coverage, 61467,
     /* 1975058 */     GIR_EraseRootFromParent_Done,
     /* 1975059 */   // Label 26437: @1975059
     /* 1975059 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1975145), // Rule ID 61470 //
     /* 1975064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1975075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1975078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1975081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1975084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975110 */     // MIs[0] policy
     /* 1975110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975144 */     // GIR_Coverage, 61470,
     /* 1975144 */     GIR_EraseRootFromParent_Done,
     /* 1975145 */   // Label 26438: @1975145
     /* 1975145 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1975231), // Rule ID 61471 //
     /* 1975150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1975161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1975164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1975167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1975170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975196 */     // MIs[0] policy
     /* 1975196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975230 */     // GIR_Coverage, 61471,
     /* 1975230 */     GIR_EraseRootFromParent_Done,
     /* 1975231 */   // Label 26439: @1975231
     /* 1975231 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1975317), // Rule ID 61474 //
     /* 1975236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1975247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1975250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1975253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1975256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975282 */     // MIs[0] policy
     /* 1975282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975316 */     // GIR_Coverage, 61474,
     /* 1975316 */     GIR_EraseRootFromParent_Done,
     /* 1975317 */   // Label 26440: @1975317
     /* 1975317 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1975403), // Rule ID 61475 //
     /* 1975322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1975333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1975336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1975339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1975342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975368 */     // MIs[0] policy
     /* 1975368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975402 */     // GIR_Coverage, 61475,
     /* 1975402 */     GIR_EraseRootFromParent_Done,
     /* 1975403 */   // Label 26441: @1975403
     /* 1975403 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1975489), // Rule ID 61478 //
     /* 1975408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975454 */     // MIs[0] policy
     /* 1975454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975488 */     // GIR_Coverage, 61478,
     /* 1975488 */     GIR_EraseRootFromParent_Done,
     /* 1975489 */   // Label 26442: @1975489
     /* 1975489 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1975575), // Rule ID 61479 //
     /* 1975494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975540 */     // MIs[0] policy
     /* 1975540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975574 */     // GIR_Coverage, 61479,
     /* 1975574 */     GIR_EraseRootFromParent_Done,
     /* 1975575 */   // Label 26443: @1975575
     /* 1975575 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1975661), // Rule ID 61482 //
     /* 1975580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975626 */     // MIs[0] policy
     /* 1975626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975660 */     // GIR_Coverage, 61482,
     /* 1975660 */     GIR_EraseRootFromParent_Done,
     /* 1975661 */   // Label 26444: @1975661
     /* 1975661 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1975747), // Rule ID 61483 //
     /* 1975666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975712 */     // MIs[0] policy
     /* 1975712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975722 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975746 */     // GIR_Coverage, 61483,
     /* 1975746 */     GIR_EraseRootFromParent_Done,
     /* 1975747 */   // Label 26445: @1975747
     /* 1975747 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1975833), // Rule ID 61486 //
     /* 1975752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975798 */     // MIs[0] policy
     /* 1975798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975808 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975832 */     // GIR_Coverage, 61486,
     /* 1975832 */     GIR_EraseRootFromParent_Done,
     /* 1975833 */   // Label 26446: @1975833
     /* 1975833 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1975919), // Rule ID 61487 //
     /* 1975838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975884 */     // MIs[0] policy
     /* 1975884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975894 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975918 */     // GIR_Coverage, 61487,
     /* 1975918 */     GIR_EraseRootFromParent_Done,
     /* 1975919 */   // Label 26447: @1975919
     /* 1975919 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1976005), // Rule ID 61490 //
     /* 1975924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975970 */     // MIs[0] policy
     /* 1975970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975980 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976004 */     // GIR_Coverage, 61490,
     /* 1976004 */     GIR_EraseRootFromParent_Done,
     /* 1976005 */   // Label 26448: @1976005
     /* 1976005 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1976091), // Rule ID 61491 //
     /* 1976010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1976021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1976024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1976027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1976030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1976033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976056 */     // MIs[0] policy
     /* 1976056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976066 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976090 */     // GIR_Coverage, 61491,
     /* 1976090 */     GIR_EraseRootFromParent_Done,
     /* 1976091 */   // Label 26449: @1976091
     /* 1976091 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1976177), // Rule ID 61494 //
     /* 1976096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1976107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1976110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1976113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1976116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976142 */     // MIs[0] policy
     /* 1976142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976176 */     // GIR_Coverage, 61494,
     /* 1976176 */     GIR_EraseRootFromParent_Done,
     /* 1976177 */   // Label 26450: @1976177
     /* 1976177 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1976263), // Rule ID 61495 //
     /* 1976182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1976193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1976196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1976199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1976202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976228 */     // MIs[0] policy
     /* 1976228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976262 */     // GIR_Coverage, 61495,
     /* 1976262 */     GIR_EraseRootFromParent_Done,
     /* 1976263 */   // Label 26451: @1976263
     /* 1976263 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1976349), // Rule ID 61498 //
     /* 1976268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1976279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1976282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1976285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1976288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976314 */     // MIs[0] policy
     /* 1976314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976348 */     // GIR_Coverage, 61498,
     /* 1976348 */     GIR_EraseRootFromParent_Done,
     /* 1976349 */   // Label 26452: @1976349
     /* 1976349 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1976435), // Rule ID 61499 //
     /* 1976354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1976365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1976368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1976371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1976374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976400 */     // MIs[0] policy
     /* 1976400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976410 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976434 */     // GIR_Coverage, 61499,
     /* 1976434 */     GIR_EraseRootFromParent_Done,
     /* 1976435 */   // Label 26453: @1976435
     /* 1976435 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1976521), // Rule ID 61502 //
     /* 1976440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976486 */     // MIs[0] policy
     /* 1976486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976496 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976520 */     // GIR_Coverage, 61502,
     /* 1976520 */     GIR_EraseRootFromParent_Done,
     /* 1976521 */   // Label 26454: @1976521
     /* 1976521 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1976607), // Rule ID 61503 //
     /* 1976526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976572 */     // MIs[0] policy
     /* 1976572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976582 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976606 */     // GIR_Coverage, 61503,
     /* 1976606 */     GIR_EraseRootFromParent_Done,
     /* 1976607 */   // Label 26455: @1976607
     /* 1976607 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1976693), // Rule ID 61506 //
     /* 1976612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976658 */     // MIs[0] policy
     /* 1976658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976692 */     // GIR_Coverage, 61506,
     /* 1976692 */     GIR_EraseRootFromParent_Done,
     /* 1976693 */   // Label 26456: @1976693
     /* 1976693 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1976779), // Rule ID 61507 //
     /* 1976698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976744 */     // MIs[0] policy
     /* 1976744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976754 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976778 */     // GIR_Coverage, 61507,
     /* 1976778 */     GIR_EraseRootFromParent_Done,
     /* 1976779 */   // Label 26457: @1976779
     /* 1976779 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1976865), // Rule ID 61510 //
     /* 1976784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976830 */     // MIs[0] policy
     /* 1976830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976864 */     // GIR_Coverage, 61510,
     /* 1976864 */     GIR_EraseRootFromParent_Done,
     /* 1976865 */   // Label 26458: @1976865
     /* 1976865 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1976951), // Rule ID 61511 //
     /* 1976870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976916 */     // MIs[0] policy
     /* 1976916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976950 */     // GIR_Coverage, 61511,
     /* 1976950 */     GIR_EraseRootFromParent_Done,
     /* 1976951 */   // Label 26459: @1976951
     /* 1976951 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1977037), // Rule ID 61514 //
     /* 1976956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977002 */     // MIs[0] policy
     /* 1977002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977036 */     // GIR_Coverage, 61514,
     /* 1977036 */     GIR_EraseRootFromParent_Done,
     /* 1977037 */   // Label 26460: @1977037
     /* 1977037 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1977123), // Rule ID 61515 //
     /* 1977042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1977053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1977056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1977059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1977062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977088 */     // MIs[0] policy
     /* 1977088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977122 */     // GIR_Coverage, 61515,
     /* 1977122 */     GIR_EraseRootFromParent_Done,
     /* 1977123 */   // Label 26461: @1977123
     /* 1977123 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1977209), // Rule ID 61518 //
     /* 1977128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1977139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1977142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1977145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1977148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977174 */     // MIs[0] policy
     /* 1977174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1977187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977208 */     // GIR_Coverage, 61518,
     /* 1977208 */     GIR_EraseRootFromParent_Done,
     /* 1977209 */   // Label 26462: @1977209
     /* 1977209 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1977295), // Rule ID 61519 //
     /* 1977214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1977225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1977228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1977231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1977234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977260 */     // MIs[0] policy
     /* 1977260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1977273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977294 */     // GIR_Coverage, 61519,
     /* 1977294 */     GIR_EraseRootFromParent_Done,
     /* 1977295 */   // Label 26463: @1977295
     /* 1977295 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1977381), // Rule ID 61522 //
     /* 1977300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1977311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1977314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1977317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1977320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977346 */     // MIs[0] policy
     /* 1977346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1977359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977380 */     // GIR_Coverage, 61522,
     /* 1977380 */     GIR_EraseRootFromParent_Done,
     /* 1977381 */   // Label 26464: @1977381
     /* 1977381 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1977467), // Rule ID 61523 //
     /* 1977386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1977397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1977400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1977403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1977406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977432 */     // MIs[0] policy
     /* 1977432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1977445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977466 */     // GIR_Coverage, 61523,
     /* 1977466 */     GIR_EraseRootFromParent_Done,
     /* 1977467 */   // Label 26465: @1977467
     /* 1977467 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1977553), // Rule ID 61526 //
     /* 1977472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977518 */     // MIs[0] policy
     /* 1977518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977552 */     // GIR_Coverage, 61526,
     /* 1977552 */     GIR_EraseRootFromParent_Done,
     /* 1977553 */   // Label 26466: @1977553
     /* 1977553 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1977639), // Rule ID 61527 //
     /* 1977558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977604 */     // MIs[0] policy
     /* 1977604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977638 */     // GIR_Coverage, 61527,
     /* 1977638 */     GIR_EraseRootFromParent_Done,
     /* 1977639 */   // Label 26467: @1977639
     /* 1977639 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1977725), // Rule ID 61530 //
     /* 1977644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977690 */     // MIs[0] policy
     /* 1977690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977700 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977724 */     // GIR_Coverage, 61530,
     /* 1977724 */     GIR_EraseRootFromParent_Done,
     /* 1977725 */   // Label 26468: @1977725
     /* 1977725 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1977811), // Rule ID 61531 //
     /* 1977730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977776 */     // MIs[0] policy
     /* 1977776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977786 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977810 */     // GIR_Coverage, 61531,
     /* 1977810 */     GIR_EraseRootFromParent_Done,
     /* 1977811 */   // Label 26469: @1977811
     /* 1977811 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1977897), // Rule ID 61534 //
     /* 1977816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977862 */     // MIs[0] policy
     /* 1977862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977896 */     // GIR_Coverage, 61534,
     /* 1977896 */     GIR_EraseRootFromParent_Done,
     /* 1977897 */   // Label 26470: @1977897
     /* 1977897 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1977983), // Rule ID 61535 //
     /* 1977902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977948 */     // MIs[0] policy
     /* 1977948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977982 */     // GIR_Coverage, 61535,
     /* 1977982 */     GIR_EraseRootFromParent_Done,
     /* 1977983 */   // Label 26471: @1977983
     /* 1977983 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1978069), // Rule ID 61538 //
     /* 1977988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1978002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1978005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978034 */     // MIs[0] policy
     /* 1978034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978044 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978068 */     // GIR_Coverage, 61538,
     /* 1978068 */     GIR_EraseRootFromParent_Done,
     /* 1978069 */   // Label 26472: @1978069
     /* 1978069 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1978155), // Rule ID 61539 //
     /* 1978074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1978085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1978088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1978091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978120 */     // MIs[0] policy
     /* 1978120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978130 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978154 */     // GIR_Coverage, 61539,
     /* 1978154 */     GIR_EraseRootFromParent_Done,
     /* 1978155 */   // Label 26473: @1978155
     /* 1978155 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1978241), // Rule ID 61542 //
     /* 1978160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1978171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1978174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1978177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978206 */     // MIs[0] policy
     /* 1978206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978216 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1978219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978240 */     // GIR_Coverage, 61542,
     /* 1978240 */     GIR_EraseRootFromParent_Done,
     /* 1978241 */   // Label 26474: @1978241
     /* 1978241 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1978327), // Rule ID 61543 //
     /* 1978246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1978257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1978260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1978263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978292 */     // MIs[0] policy
     /* 1978292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978302 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1978305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978326 */     // GIR_Coverage, 61543,
     /* 1978326 */     GIR_EraseRootFromParent_Done,
     /* 1978327 */   // Label 26475: @1978327
     /* 1978327 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1978413), // Rule ID 61546 //
     /* 1978332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978378 */     // MIs[0] policy
     /* 1978378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978412 */     // GIR_Coverage, 61546,
     /* 1978412 */     GIR_EraseRootFromParent_Done,
     /* 1978413 */   // Label 26476: @1978413
     /* 1978413 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1978499), // Rule ID 61547 //
     /* 1978418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978464 */     // MIs[0] policy
     /* 1978464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978498 */     // GIR_Coverage, 61547,
     /* 1978498 */     GIR_EraseRootFromParent_Done,
     /* 1978499 */   // Label 26477: @1978499
     /* 1978499 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1978585), // Rule ID 61550 //
     /* 1978504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978550 */     // MIs[0] policy
     /* 1978550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978584 */     // GIR_Coverage, 61550,
     /* 1978584 */     GIR_EraseRootFromParent_Done,
     /* 1978585 */   // Label 26478: @1978585
     /* 1978585 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1978671), // Rule ID 61551 //
     /* 1978590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978636 */     // MIs[0] policy
     /* 1978636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978670 */     // GIR_Coverage, 61551,
     /* 1978670 */     GIR_EraseRootFromParent_Done,
     /* 1978671 */   // Label 26479: @1978671
     /* 1978671 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1978757), // Rule ID 61554 //
     /* 1978676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978722 */     // MIs[0] policy
     /* 1978722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978756 */     // GIR_Coverage, 61554,
     /* 1978756 */     GIR_EraseRootFromParent_Done,
     /* 1978757 */   // Label 26480: @1978757
     /* 1978757 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1978843), // Rule ID 61555 //
     /* 1978762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978808 */     // MIs[0] policy
     /* 1978808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978818 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978842 */     // GIR_Coverage, 61555,
     /* 1978842 */     GIR_EraseRootFromParent_Done,
     /* 1978843 */   // Label 26481: @1978843
     /* 1978843 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1978929), // Rule ID 61558 //
     /* 1978848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978894 */     // MIs[0] policy
     /* 1978894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978928 */     // GIR_Coverage, 61558,
     /* 1978928 */     GIR_EraseRootFromParent_Done,
     /* 1978929 */   // Label 26482: @1978929
     /* 1978929 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1979015), // Rule ID 61559 //
     /* 1978934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978980 */     // MIs[0] policy
     /* 1978980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978990 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979014 */     // GIR_Coverage, 61559,
     /* 1979014 */     GIR_EraseRootFromParent_Done,
     /* 1979015 */   // Label 26483: @1979015
     /* 1979015 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1979101), // Rule ID 61562 //
     /* 1979020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1979031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1979034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1979037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979066 */     // MIs[0] policy
     /* 1979066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979100 */     // GIR_Coverage, 61562,
     /* 1979100 */     GIR_EraseRootFromParent_Done,
     /* 1979101 */   // Label 26484: @1979101
     /* 1979101 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1979187), // Rule ID 61563 //
     /* 1979106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1979117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1979120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1979123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979152 */     // MIs[0] policy
     /* 1979152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979186 */     // GIR_Coverage, 61563,
     /* 1979186 */     GIR_EraseRootFromParent_Done,
     /* 1979187 */   // Label 26485: @1979187
     /* 1979187 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1979273), // Rule ID 61566 //
     /* 1979192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979238 */     // MIs[0] policy
     /* 1979238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979272 */     // GIR_Coverage, 61566,
     /* 1979272 */     GIR_EraseRootFromParent_Done,
     /* 1979273 */   // Label 26486: @1979273
     /* 1979273 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1979359), // Rule ID 61567 //
     /* 1979278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979324 */     // MIs[0] policy
     /* 1979324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979358 */     // GIR_Coverage, 61567,
     /* 1979358 */     GIR_EraseRootFromParent_Done,
     /* 1979359 */   // Label 26487: @1979359
     /* 1979359 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1979445), // Rule ID 61570 //
     /* 1979364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979410 */     // MIs[0] policy
     /* 1979410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979444 */     // GIR_Coverage, 61570,
     /* 1979444 */     GIR_EraseRootFromParent_Done,
     /* 1979445 */   // Label 26488: @1979445
     /* 1979445 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1979531), // Rule ID 61571 //
     /* 1979450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979496 */     // MIs[0] policy
     /* 1979496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979506 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979530 */     // GIR_Coverage, 61571,
     /* 1979530 */     GIR_EraseRootFromParent_Done,
     /* 1979531 */   // Label 26489: @1979531
     /* 1979531 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1979617), // Rule ID 61574 //
     /* 1979536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979582 */     // MIs[0] policy
     /* 1979582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979616 */     // GIR_Coverage, 61574,
     /* 1979616 */     GIR_EraseRootFromParent_Done,
     /* 1979617 */   // Label 26490: @1979617
     /* 1979617 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1979703), // Rule ID 61575 //
     /* 1979622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979668 */     // MIs[0] policy
     /* 1979668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979678 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979702 */     // GIR_Coverage, 61575,
     /* 1979702 */     GIR_EraseRootFromParent_Done,
     /* 1979703 */   // Label 26491: @1979703
     /* 1979703 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1979789), // Rule ID 61578 //
     /* 1979708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979754 */     // MIs[0] policy
     /* 1979754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979764 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979788 */     // GIR_Coverage, 61578,
     /* 1979788 */     GIR_EraseRootFromParent_Done,
     /* 1979789 */   // Label 26492: @1979789
     /* 1979789 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1979875), // Rule ID 61579 //
     /* 1979794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979840 */     // MIs[0] policy
     /* 1979840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979850 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979874 */     // GIR_Coverage, 61579,
     /* 1979874 */     GIR_EraseRootFromParent_Done,
     /* 1979875 */   // Label 26493: @1979875
     /* 1979875 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1979961), // Rule ID 61582 //
     /* 1979880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979926 */     // MIs[0] policy
     /* 1979926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979960 */     // GIR_Coverage, 61582,
     /* 1979960 */     GIR_EraseRootFromParent_Done,
     /* 1979961 */   // Label 26494: @1979961
     /* 1979961 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1980047), // Rule ID 61583 //
     /* 1979966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980012 */     // MIs[0] policy
     /* 1980012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980046 */     // GIR_Coverage, 61583,
     /* 1980046 */     GIR_EraseRootFromParent_Done,
     /* 1980047 */   // Label 26495: @1980047
     /* 1980047 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1980133), // Rule ID 61586 //
     /* 1980052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980098 */     // MIs[0] policy
     /* 1980098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980132 */     // GIR_Coverage, 61586,
     /* 1980132 */     GIR_EraseRootFromParent_Done,
     /* 1980133 */   // Label 26496: @1980133
     /* 1980133 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1980219), // Rule ID 61587 //
     /* 1980138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980184 */     // MIs[0] policy
     /* 1980184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980218 */     // GIR_Coverage, 61587,
     /* 1980218 */     GIR_EraseRootFromParent_Done,
     /* 1980219 */   // Label 26497: @1980219
     /* 1980219 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1980305), // Rule ID 61590 //
     /* 1980224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980270 */     // MIs[0] policy
     /* 1980270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980304 */     // GIR_Coverage, 61590,
     /* 1980304 */     GIR_EraseRootFromParent_Done,
     /* 1980305 */   // Label 26498: @1980305
     /* 1980305 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1980391), // Rule ID 61591 //
     /* 1980310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980356 */     // MIs[0] policy
     /* 1980356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980366 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980390 */     // GIR_Coverage, 61591,
     /* 1980390 */     GIR_EraseRootFromParent_Done,
     /* 1980391 */   // Label 26499: @1980391
     /* 1980391 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1980477), // Rule ID 61594 //
     /* 1980396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980442 */     // MIs[0] policy
     /* 1980442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980476 */     // GIR_Coverage, 61594,
     /* 1980476 */     GIR_EraseRootFromParent_Done,
     /* 1980477 */   // Label 26500: @1980477
     /* 1980477 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1980563), // Rule ID 61595 //
     /* 1980482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980528 */     // MIs[0] policy
     /* 1980528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980538 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980562 */     // GIR_Coverage, 61595,
     /* 1980562 */     GIR_EraseRootFromParent_Done,
     /* 1980563 */   // Label 26501: @1980563
     /* 1980563 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1980649), // Rule ID 61598 //
     /* 1980568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980614 */     // MIs[0] policy
     /* 1980614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980648 */     // GIR_Coverage, 61598,
     /* 1980648 */     GIR_EraseRootFromParent_Done,
     /* 1980649 */   // Label 26502: @1980649
     /* 1980649 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1980735), // Rule ID 61599 //
     /* 1980654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980700 */     // MIs[0] policy
     /* 1980700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980710 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980734 */     // GIR_Coverage, 61599,
     /* 1980734 */     GIR_EraseRootFromParent_Done,
     /* 1980735 */   // Label 26503: @1980735
     /* 1980735 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1980821), // Rule ID 61602 //
     /* 1980740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980786 */     // MIs[0] policy
     /* 1980786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980820 */     // GIR_Coverage, 61602,
     /* 1980820 */     GIR_EraseRootFromParent_Done,
     /* 1980821 */   // Label 26504: @1980821
     /* 1980821 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1980907), // Rule ID 61603 //
     /* 1980826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980872 */     // MIs[0] policy
     /* 1980872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980906 */     // GIR_Coverage, 61603,
     /* 1980906 */     GIR_EraseRootFromParent_Done,
     /* 1980907 */   // Label 26505: @1980907
     /* 1980907 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1980993), // Rule ID 61606 //
     /* 1980912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980958 */     // MIs[0] policy
     /* 1980958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980992 */     // GIR_Coverage, 61606,
     /* 1980992 */     GIR_EraseRootFromParent_Done,
     /* 1980993 */   // Label 26506: @1980993
     /* 1980993 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1981079), // Rule ID 61607 //
     /* 1980998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1981009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1981012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1981015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981044 */     // MIs[0] policy
     /* 1981044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1981057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981078 */     // GIR_Coverage, 61607,
     /* 1981078 */     GIR_EraseRootFromParent_Done,
     /* 1981079 */   // Label 26507: @1981079
     /* 1981079 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1981165), // Rule ID 61610 //
     /* 1981084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981130 */     // MIs[0] policy
     /* 1981130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1981143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981164 */     // GIR_Coverage, 61610,
     /* 1981164 */     GIR_EraseRootFromParent_Done,
     /* 1981165 */   // Label 26508: @1981165
     /* 1981165 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1981251), // Rule ID 61611 //
     /* 1981170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981216 */     // MIs[0] policy
     /* 1981216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981226 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1981229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981250 */     // GIR_Coverage, 61611,
     /* 1981250 */     GIR_EraseRootFromParent_Done,
     /* 1981251 */   // Label 26509: @1981251
     /* 1981251 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1981337), // Rule ID 61614 //
     /* 1981256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981302 */     // MIs[0] policy
     /* 1981302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1981315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981336 */     // GIR_Coverage, 61614,
     /* 1981336 */     GIR_EraseRootFromParent_Done,
     /* 1981337 */   // Label 26510: @1981337
     /* 1981337 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1981423), // Rule ID 61615 //
     /* 1981342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981388 */     // MIs[0] policy
     /* 1981388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1981401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981422 */     // GIR_Coverage, 61615,
     /* 1981422 */     GIR_EraseRootFromParent_Done,
     /* 1981423 */   // Label 26511: @1981423
     /* 1981423 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1981509), // Rule ID 61702 //
     /* 1981428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981474 */     // MIs[0] policy
     /* 1981474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981508 */     // GIR_Coverage, 61702,
     /* 1981508 */     GIR_EraseRootFromParent_Done,
     /* 1981509 */   // Label 26512: @1981509
     /* 1981509 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1981595), // Rule ID 61703 //
     /* 1981514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981560 */     // MIs[0] policy
     /* 1981560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981570 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981594 */     // GIR_Coverage, 61703,
     /* 1981594 */     GIR_EraseRootFromParent_Done,
     /* 1981595 */   // Label 26513: @1981595
     /* 1981595 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1981681), // Rule ID 61706 //
     /* 1981600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981646 */     // MIs[0] policy
     /* 1981646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981656 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981680 */     // GIR_Coverage, 61706,
     /* 1981680 */     GIR_EraseRootFromParent_Done,
     /* 1981681 */   // Label 26514: @1981681
     /* 1981681 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1981767), // Rule ID 61707 //
     /* 1981686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981732 */     // MIs[0] policy
     /* 1981732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981742 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981766 */     // GIR_Coverage, 61707,
     /* 1981766 */     GIR_EraseRootFromParent_Done,
     /* 1981767 */   // Label 26515: @1981767
     /* 1981767 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1981853), // Rule ID 61710 //
     /* 1981772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981818 */     // MIs[0] policy
     /* 1981818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981852 */     // GIR_Coverage, 61710,
     /* 1981852 */     GIR_EraseRootFromParent_Done,
     /* 1981853 */   // Label 26516: @1981853
     /* 1981853 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1981939), // Rule ID 61711 //
     /* 1981858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981904 */     // MIs[0] policy
     /* 1981904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981914 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981938 */     // GIR_Coverage, 61711,
     /* 1981938 */     GIR_EraseRootFromParent_Done,
     /* 1981939 */   // Label 26517: @1981939
     /* 1981939 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1982025), // Rule ID 61714 //
     /* 1981944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981990 */     // MIs[0] policy
     /* 1981990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1982003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982024 */     // GIR_Coverage, 61714,
     /* 1982024 */     GIR_EraseRootFromParent_Done,
     /* 1982025 */   // Label 26518: @1982025
     /* 1982025 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1982111), // Rule ID 61715 //
     /* 1982030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1982047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1982050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982076 */     // MIs[0] policy
     /* 1982076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1982089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982110 */     // GIR_Coverage, 61715,
     /* 1982110 */     GIR_EraseRootFromParent_Done,
     /* 1982111 */   // Label 26519: @1982111
     /* 1982111 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1982197), // Rule ID 61718 //
     /* 1982116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1982136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982162 */     // MIs[0] policy
     /* 1982162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982196 */     // GIR_Coverage, 61718,
     /* 1982196 */     GIR_EraseRootFromParent_Done,
     /* 1982197 */   // Label 26520: @1982197
     /* 1982197 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1982283), // Rule ID 61719 //
     /* 1982202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1982222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982248 */     // MIs[0] policy
     /* 1982248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982282 */     // GIR_Coverage, 61719,
     /* 1982282 */     GIR_EraseRootFromParent_Done,
     /* 1982283 */   // Label 26521: @1982283
     /* 1982283 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1982369), // Rule ID 61722 //
     /* 1982288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1982308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982334 */     // MIs[0] policy
     /* 1982334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982368 */     // GIR_Coverage, 61722,
     /* 1982368 */     GIR_EraseRootFromParent_Done,
     /* 1982369 */   // Label 26522: @1982369
     /* 1982369 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1982455), // Rule ID 61723 //
     /* 1982374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1982394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982420 */     // MIs[0] policy
     /* 1982420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982454 */     // GIR_Coverage, 61723,
     /* 1982454 */     GIR_EraseRootFromParent_Done,
     /* 1982455 */   // Label 26523: @1982455
     /* 1982455 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1982541), // Rule ID 61726 //
     /* 1982460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982506 */     // MIs[0] policy
     /* 1982506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982540 */     // GIR_Coverage, 61726,
     /* 1982540 */     GIR_EraseRootFromParent_Done,
     /* 1982541 */   // Label 26524: @1982541
     /* 1982541 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1982627), // Rule ID 61727 //
     /* 1982546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982592 */     // MIs[0] policy
     /* 1982592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982626 */     // GIR_Coverage, 61727,
     /* 1982626 */     GIR_EraseRootFromParent_Done,
     /* 1982627 */   // Label 26525: @1982627
     /* 1982627 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1982713), // Rule ID 61730 //
     /* 1982632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982678 */     // MIs[0] policy
     /* 1982678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982712 */     // GIR_Coverage, 61730,
     /* 1982712 */     GIR_EraseRootFromParent_Done,
     /* 1982713 */   // Label 26526: @1982713
     /* 1982713 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1982799), // Rule ID 61731 //
     /* 1982718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982764 */     // MIs[0] policy
     /* 1982764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982798 */     // GIR_Coverage, 61731,
     /* 1982798 */     GIR_EraseRootFromParent_Done,
     /* 1982799 */   // Label 26527: @1982799
     /* 1982799 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1982885), // Rule ID 61734 //
     /* 1982804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982850 */     // MIs[0] policy
     /* 1982850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982860 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982884 */     // GIR_Coverage, 61734,
     /* 1982884 */     GIR_EraseRootFromParent_Done,
     /* 1982885 */   // Label 26528: @1982885
     /* 1982885 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1982971), // Rule ID 61735 //
     /* 1982890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982936 */     // MIs[0] policy
     /* 1982936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982970 */     // GIR_Coverage, 61735,
     /* 1982970 */     GIR_EraseRootFromParent_Done,
     /* 1982971 */   // Label 26529: @1982971
     /* 1982971 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1983057), // Rule ID 61738 //
     /* 1982976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983022 */     // MIs[0] policy
     /* 1983022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1983035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983056 */     // GIR_Coverage, 61738,
     /* 1983056 */     GIR_EraseRootFromParent_Done,
     /* 1983057 */   // Label 26530: @1983057
     /* 1983057 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1983143), // Rule ID 61739 //
     /* 1983062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1983073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1983076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1983082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983108 */     // MIs[0] policy
     /* 1983108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983118 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1983121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983142 */     // GIR_Coverage, 61739,
     /* 1983142 */     GIR_EraseRootFromParent_Done,
     /* 1983143 */   // Label 26531: @1983143
     /* 1983143 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1983229), // Rule ID 61742 //
     /* 1983148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1983159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1983162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983194 */     // MIs[0] policy
     /* 1983194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983204 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983228 */     // GIR_Coverage, 61742,
     /* 1983228 */     GIR_EraseRootFromParent_Done,
     /* 1983229 */   // Label 26532: @1983229
     /* 1983229 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1983315), // Rule ID 61743 //
     /* 1983234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1983245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1983248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983280 */     // MIs[0] policy
     /* 1983280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983290 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983314 */     // GIR_Coverage, 61743,
     /* 1983314 */     GIR_EraseRootFromParent_Done,
     /* 1983315 */   // Label 26533: @1983315
     /* 1983315 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1983401), // Rule ID 61746 //
     /* 1983320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1983331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1983334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1983340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983366 */     // MIs[0] policy
     /* 1983366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983400 */     // GIR_Coverage, 61746,
     /* 1983400 */     GIR_EraseRootFromParent_Done,
     /* 1983401 */   // Label 26534: @1983401
     /* 1983401 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1983487), // Rule ID 61747 //
     /* 1983406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1983417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1983420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1983426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983452 */     // MIs[0] policy
     /* 1983452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983462 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983486 */     // GIR_Coverage, 61747,
     /* 1983486 */     GIR_EraseRootFromParent_Done,
     /* 1983487 */   // Label 26535: @1983487
     /* 1983487 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1983573), // Rule ID 61750 //
     /* 1983492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983538 */     // MIs[0] policy
     /* 1983538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983548 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983572 */     // GIR_Coverage, 61750,
     /* 1983572 */     GIR_EraseRootFromParent_Done,
     /* 1983573 */   // Label 26536: @1983573
     /* 1983573 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1983659), // Rule ID 61751 //
     /* 1983578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983624 */     // MIs[0] policy
     /* 1983624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983634 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983658 */     // GIR_Coverage, 61751,
     /* 1983658 */     GIR_EraseRootFromParent_Done,
     /* 1983659 */   // Label 26537: @1983659
     /* 1983659 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1983745), // Rule ID 61754 //
     /* 1983664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983710 */     // MIs[0] policy
     /* 1983710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983744 */     // GIR_Coverage, 61754,
     /* 1983744 */     GIR_EraseRootFromParent_Done,
     /* 1983745 */   // Label 26538: @1983745
     /* 1983745 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1983831), // Rule ID 61755 //
     /* 1983750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983796 */     // MIs[0] policy
     /* 1983796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983830 */     // GIR_Coverage, 61755,
     /* 1983830 */     GIR_EraseRootFromParent_Done,
     /* 1983831 */   // Label 26539: @1983831
     /* 1983831 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1983917), // Rule ID 61758 //
     /* 1983836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983882 */     // MIs[0] policy
     /* 1983882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983916 */     // GIR_Coverage, 61758,
     /* 1983916 */     GIR_EraseRootFromParent_Done,
     /* 1983917 */   // Label 26540: @1983917
     /* 1983917 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1984003), // Rule ID 61759 //
     /* 1983922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983968 */     // MIs[0] policy
     /* 1983968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984002 */     // GIR_Coverage, 61759,
     /* 1984002 */     GIR_EraseRootFromParent_Done,
     /* 1984003 */   // Label 26541: @1984003
     /* 1984003 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1984089), // Rule ID 61762 //
     /* 1984008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1984019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1984022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1984025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1984028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984054 */     // MIs[0] policy
     /* 1984054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984064 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984088 */     // GIR_Coverage, 61762,
     /* 1984088 */     GIR_EraseRootFromParent_Done,
     /* 1984089 */   // Label 26542: @1984089
     /* 1984089 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1984175), // Rule ID 61763 //
     /* 1984094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1984105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1984108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1984111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1984114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984140 */     // MIs[0] policy
     /* 1984140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984174 */     // GIR_Coverage, 61763,
     /* 1984174 */     GIR_EraseRootFromParent_Done,
     /* 1984175 */   // Label 26543: @1984175
     /* 1984175 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1984261), // Rule ID 61766 //
     /* 1984180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1984197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1984200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984226 */     // MIs[0] policy
     /* 1984226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984260 */     // GIR_Coverage, 61766,
     /* 1984260 */     GIR_EraseRootFromParent_Done,
     /* 1984261 */   // Label 26544: @1984261
     /* 1984261 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1984347), // Rule ID 61767 //
     /* 1984266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1984283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1984286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984312 */     // MIs[0] policy
     /* 1984312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984346 */     // GIR_Coverage, 61767,
     /* 1984346 */     GIR_EraseRootFromParent_Done,
     /* 1984347 */   // Label 26545: @1984347
     /* 1984347 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1984433), // Rule ID 61770 //
     /* 1984352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1984372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984398 */     // MIs[0] policy
     /* 1984398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984432 */     // GIR_Coverage, 61770,
     /* 1984432 */     GIR_EraseRootFromParent_Done,
     /* 1984433 */   // Label 26546: @1984433
     /* 1984433 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1984519), // Rule ID 61771 //
     /* 1984438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1984458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984484 */     // MIs[0] policy
     /* 1984484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984518 */     // GIR_Coverage, 61771,
     /* 1984518 */     GIR_EraseRootFromParent_Done,
     /* 1984519 */   // Label 26547: @1984519
     /* 1984519 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1984605), // Rule ID 61774 //
     /* 1984524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984570 */     // MIs[0] policy
     /* 1984570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984604 */     // GIR_Coverage, 61774,
     /* 1984604 */     GIR_EraseRootFromParent_Done,
     /* 1984605 */   // Label 26548: @1984605
     /* 1984605 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1984691), // Rule ID 61775 //
     /* 1984610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984656 */     // MIs[0] policy
     /* 1984656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984690 */     // GIR_Coverage, 61775,
     /* 1984690 */     GIR_EraseRootFromParent_Done,
     /* 1984691 */   // Label 26549: @1984691
     /* 1984691 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1984777), // Rule ID 61778 //
     /* 1984696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984742 */     // MIs[0] policy
     /* 1984742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984776 */     // GIR_Coverage, 61778,
     /* 1984776 */     GIR_EraseRootFromParent_Done,
     /* 1984777 */   // Label 26550: @1984777
     /* 1984777 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1984863), // Rule ID 61779 //
     /* 1984782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984828 */     // MIs[0] policy
     /* 1984828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984838 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984862 */     // GIR_Coverage, 61779,
     /* 1984862 */     GIR_EraseRootFromParent_Done,
     /* 1984863 */   // Label 26551: @1984863
     /* 1984863 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1984949), // Rule ID 61782 //
     /* 1984868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984914 */     // MIs[0] policy
     /* 1984914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984948 */     // GIR_Coverage, 61782,
     /* 1984948 */     GIR_EraseRootFromParent_Done,
     /* 1984949 */   // Label 26552: @1984949
     /* 1984949 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1985035), // Rule ID 61783 //
     /* 1984954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985000 */     // MIs[0] policy
     /* 1985000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985010 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1985013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985034 */     // GIR_Coverage, 61783,
     /* 1985034 */     GIR_EraseRootFromParent_Done,
     /* 1985035 */   // Label 26553: @1985035
     /* 1985035 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1985121), // Rule ID 61786 //
     /* 1985040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1985051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1985054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1985057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1985060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985086 */     // MIs[0] policy
     /* 1985086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1985099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985120 */     // GIR_Coverage, 61786,
     /* 1985120 */     GIR_EraseRootFromParent_Done,
     /* 1985121 */   // Label 26554: @1985121
     /* 1985121 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1985207), // Rule ID 61787 //
     /* 1985126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1985137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1985140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1985143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1985146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985172 */     // MIs[0] policy
     /* 1985172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1985185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985206 */     // GIR_Coverage, 61787,
     /* 1985206 */     GIR_EraseRootFromParent_Done,
     /* 1985207 */   // Label 26555: @1985207
     /* 1985207 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1985293), // Rule ID 61790 //
     /* 1985212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1985223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1985226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1985229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985258 */     // MIs[0] policy
     /* 1985258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1985271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985292 */     // GIR_Coverage, 61790,
     /* 1985292 */     GIR_EraseRootFromParent_Done,
     /* 1985293 */   // Label 26556: @1985293
     /* 1985293 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1985379), // Rule ID 61791 //
     /* 1985298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1985309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1985312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1985315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985344 */     // MIs[0] policy
     /* 1985344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985354 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1985357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985378 */     // GIR_Coverage, 61791,
     /* 1985378 */     GIR_EraseRootFromParent_Done,
     /* 1985379 */   // Label 26557: @1985379
     /* 1985379 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1985465), // Rule ID 61794 //
     /* 1985384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985430 */     // MIs[0] policy
     /* 1985430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985440 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985464 */     // GIR_Coverage, 61794,
     /* 1985464 */     GIR_EraseRootFromParent_Done,
     /* 1985465 */   // Label 26558: @1985465
     /* 1985465 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1985551), // Rule ID 61795 //
     /* 1985470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985516 */     // MIs[0] policy
     /* 1985516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985550 */     // GIR_Coverage, 61795,
     /* 1985550 */     GIR_EraseRootFromParent_Done,
     /* 1985551 */   // Label 26559: @1985551
     /* 1985551 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1985637), // Rule ID 61798 //
     /* 1985556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985602 */     // MIs[0] policy
     /* 1985602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985636 */     // GIR_Coverage, 61798,
     /* 1985636 */     GIR_EraseRootFromParent_Done,
     /* 1985637 */   // Label 26560: @1985637
     /* 1985637 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1985723), // Rule ID 61799 //
     /* 1985642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985688 */     // MIs[0] policy
     /* 1985688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985722 */     // GIR_Coverage, 61799,
     /* 1985722 */     GIR_EraseRootFromParent_Done,
     /* 1985723 */   // Label 26561: @1985723
     /* 1985723 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1985809), // Rule ID 61802 //
     /* 1985728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985774 */     // MIs[0] policy
     /* 1985774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985808 */     // GIR_Coverage, 61802,
     /* 1985808 */     GIR_EraseRootFromParent_Done,
     /* 1985809 */   // Label 26562: @1985809
     /* 1985809 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1985895), // Rule ID 61803 //
     /* 1985814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985860 */     // MIs[0] policy
     /* 1985860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985870 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985894 */     // GIR_Coverage, 61803,
     /* 1985894 */     GIR_EraseRootFromParent_Done,
     /* 1985895 */   // Label 26563: @1985895
     /* 1985895 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1985981), // Rule ID 61806 //
     /* 1985900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985946 */     // MIs[0] policy
     /* 1985946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985956 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985980 */     // GIR_Coverage, 61806,
     /* 1985980 */     GIR_EraseRootFromParent_Done,
     /* 1985981 */   // Label 26564: @1985981
     /* 1985981 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1986067), // Rule ID 61807 //
     /* 1985986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1986000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1986003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986032 */     // MIs[0] policy
     /* 1986032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986042 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1986045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986066 */     // GIR_Coverage, 61807,
     /* 1986066 */     GIR_EraseRootFromParent_Done,
     /* 1986067 */   // Label 26565: @1986067
     /* 1986067 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1986153), // Rule ID 61810 //
     /* 1986072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1986089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986118 */     // MIs[0] policy
     /* 1986118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1986131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986152 */     // GIR_Coverage, 61810,
     /* 1986152 */     GIR_EraseRootFromParent_Done,
     /* 1986153 */   // Label 26566: @1986153
     /* 1986153 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1986239), // Rule ID 61811 //
     /* 1986158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1986175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986204 */     // MIs[0] policy
     /* 1986204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1986217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986238 */     // GIR_Coverage, 61811,
     /* 1986238 */     GIR_EraseRootFromParent_Done,
     /* 1986239 */   // Label 26567: @1986239
     /* 1986239 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1986325), // Rule ID 61814 //
     /* 1986244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1986255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1986258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986290 */     // MIs[0] policy
     /* 1986290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986324 */     // GIR_Coverage, 61814,
     /* 1986324 */     GIR_EraseRootFromParent_Done,
     /* 1986325 */   // Label 26568: @1986325
     /* 1986325 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1986411), // Rule ID 61815 //
     /* 1986330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1986341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1986344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986376 */     // MIs[0] policy
     /* 1986376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986386 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986410 */     // GIR_Coverage, 61815,
     /* 1986410 */     GIR_EraseRootFromParent_Done,
     /* 1986411 */   // Label 26569: @1986411
     /* 1986411 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1986497), // Rule ID 61818 //
     /* 1986416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986462 */     // MIs[0] policy
     /* 1986462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986496 */     // GIR_Coverage, 61818,
     /* 1986496 */     GIR_EraseRootFromParent_Done,
     /* 1986497 */   // Label 26570: @1986497
     /* 1986497 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1986583), // Rule ID 61819 //
     /* 1986502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986548 */     // MIs[0] policy
     /* 1986548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986582 */     // GIR_Coverage, 61819,
     /* 1986582 */     GIR_EraseRootFromParent_Done,
     /* 1986583 */   // Label 26571: @1986583
     /* 1986583 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1986669), // Rule ID 61822 //
     /* 1986588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986634 */     // MIs[0] policy
     /* 1986634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986668 */     // GIR_Coverage, 61822,
     /* 1986668 */     GIR_EraseRootFromParent_Done,
     /* 1986669 */   // Label 26572: @1986669
     /* 1986669 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1986755), // Rule ID 61823 //
     /* 1986674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986720 */     // MIs[0] policy
     /* 1986720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986754 */     // GIR_Coverage, 61823,
     /* 1986754 */     GIR_EraseRootFromParent_Done,
     /* 1986755 */   // Label 26573: @1986755
     /* 1986755 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1986841), // Rule ID 61826 //
     /* 1986760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986806 */     // MIs[0] policy
     /* 1986806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986840 */     // GIR_Coverage, 61826,
     /* 1986840 */     GIR_EraseRootFromParent_Done,
     /* 1986841 */   // Label 26574: @1986841
     /* 1986841 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1986927), // Rule ID 61827 //
     /* 1986846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986892 */     // MIs[0] policy
     /* 1986892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986926 */     // GIR_Coverage, 61827,
     /* 1986926 */     GIR_EraseRootFromParent_Done,
     /* 1986927 */   // Label 26575: @1986927
     /* 1986927 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1987013), // Rule ID 61830 //
     /* 1986932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986978 */     // MIs[0] policy
     /* 1986978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987012 */     // GIR_Coverage, 61830,
     /* 1987012 */     GIR_EraseRootFromParent_Done,
     /* 1987013 */   // Label 26576: @1987013
     /* 1987013 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1987099), // Rule ID 61831 //
     /* 1987018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1987029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1987032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1987035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987064 */     // MIs[0] policy
     /* 1987064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987074 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987098 */     // GIR_Coverage, 61831,
     /* 1987098 */     GIR_EraseRootFromParent_Done,
     /* 1987099 */   // Label 26577: @1987099
     /* 1987099 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1987185), // Rule ID 61834 //
     /* 1987104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987150 */     // MIs[0] policy
     /* 1987150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987160 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987184 */     // GIR_Coverage, 61834,
     /* 1987184 */     GIR_EraseRootFromParent_Done,
     /* 1987185 */   // Label 26578: @1987185
     /* 1987185 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1987271), // Rule ID 61835 //
     /* 1987190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987236 */     // MIs[0] policy
     /* 1987236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987270 */     // GIR_Coverage, 61835,
     /* 1987270 */     GIR_EraseRootFromParent_Done,
     /* 1987271 */   // Label 26579: @1987271
     /* 1987271 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1987357), // Rule ID 61838 //
     /* 1987276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1987287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1987290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1987293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987322 */     // MIs[0] policy
     /* 1987322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987332 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987356 */     // GIR_Coverage, 61838,
     /* 1987356 */     GIR_EraseRootFromParent_Done,
     /* 1987357 */   // Label 26580: @1987357
     /* 1987357 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1987443), // Rule ID 61839 //
     /* 1987362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1987373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1987376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1987379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987408 */     // MIs[0] policy
     /* 1987408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987418 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987442 */     // GIR_Coverage, 61839,
     /* 1987442 */     GIR_EraseRootFromParent_Done,
     /* 1987443 */   // Label 26581: @1987443
     /* 1987443 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1987529), // Rule ID 61842 //
     /* 1987448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987494 */     // MIs[0] policy
     /* 1987494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987528 */     // GIR_Coverage, 61842,
     /* 1987528 */     GIR_EraseRootFromParent_Done,
     /* 1987529 */   // Label 26582: @1987529
     /* 1987529 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1987615), // Rule ID 61843 //
     /* 1987534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987580 */     // MIs[0] policy
     /* 1987580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987590 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987614 */     // GIR_Coverage, 61843,
     /* 1987614 */     GIR_EraseRootFromParent_Done,
     /* 1987615 */   // Label 26583: @1987615
     /* 1987615 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1987701), // Rule ID 61846 //
     /* 1987620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987666 */     // MIs[0] policy
     /* 1987666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987700 */     // GIR_Coverage, 61846,
     /* 1987700 */     GIR_EraseRootFromParent_Done,
     /* 1987701 */   // Label 26584: @1987701
     /* 1987701 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1987787), // Rule ID 61847 //
     /* 1987706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987752 */     // MIs[0] policy
     /* 1987752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987762 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987786 */     // GIR_Coverage, 61847,
     /* 1987786 */     GIR_EraseRootFromParent_Done,
     /* 1987787 */   // Label 26585: @1987787
     /* 1987787 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1987873), // Rule ID 61850 //
     /* 1987792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987838 */     // MIs[0] policy
     /* 1987838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987872 */     // GIR_Coverage, 61850,
     /* 1987872 */     GIR_EraseRootFromParent_Done,
     /* 1987873 */   // Label 26586: @1987873
     /* 1987873 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1987959), // Rule ID 61851 //
     /* 1987878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987924 */     // MIs[0] policy
     /* 1987924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987934 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987958 */     // GIR_Coverage, 61851,
     /* 1987958 */     GIR_EraseRootFromParent_Done,
     /* 1987959 */   // Label 26587: @1987959
     /* 1987959 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1988045), // Rule ID 61854 //
     /* 1987964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988010 */     // MIs[0] policy
     /* 1988010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988044 */     // GIR_Coverage, 61854,
     /* 1988044 */     GIR_EraseRootFromParent_Done,
     /* 1988045 */   // Label 26588: @1988045
     /* 1988045 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1988131), // Rule ID 61855 //
     /* 1988050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1988067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988096 */     // MIs[0] policy
     /* 1988096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988130 */     // GIR_Coverage, 61855,
     /* 1988130 */     GIR_EraseRootFromParent_Done,
     /* 1988131 */   // Label 26589: @1988131
     /* 1988131 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1988217), // Rule ID 61858 //
     /* 1988136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988182 */     // MIs[0] policy
     /* 1988182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988216 */     // GIR_Coverage, 61858,
     /* 1988216 */     GIR_EraseRootFromParent_Done,
     /* 1988217 */   // Label 26590: @1988217
     /* 1988217 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1988303), // Rule ID 61859 //
     /* 1988222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988268 */     // MIs[0] policy
     /* 1988268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988302 */     // GIR_Coverage, 61859,
     /* 1988302 */     GIR_EraseRootFromParent_Done,
     /* 1988303 */   // Label 26591: @1988303
     /* 1988303 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1988389), // Rule ID 61862 //
     /* 1988308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988354 */     // MIs[0] policy
     /* 1988354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988388 */     // GIR_Coverage, 61862,
     /* 1988388 */     GIR_EraseRootFromParent_Done,
     /* 1988389 */   // Label 26592: @1988389
     /* 1988389 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1988475), // Rule ID 61863 //
     /* 1988394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988440 */     // MIs[0] policy
     /* 1988440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988474 */     // GIR_Coverage, 61863,
     /* 1988474 */     GIR_EraseRootFromParent_Done,
     /* 1988475 */   // Label 26593: @1988475
     /* 1988475 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1988561), // Rule ID 61866 //
     /* 1988480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988526 */     // MIs[0] policy
     /* 1988526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988560 */     // GIR_Coverage, 61866,
     /* 1988560 */     GIR_EraseRootFromParent_Done,
     /* 1988561 */   // Label 26594: @1988561
     /* 1988561 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1988647), // Rule ID 61867 //
     /* 1988566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988612 */     // MIs[0] policy
     /* 1988612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988646 */     // GIR_Coverage, 61867,
     /* 1988646 */     GIR_EraseRootFromParent_Done,
     /* 1988647 */   // Label 26595: @1988647
     /* 1988647 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1988733), // Rule ID 61870 //
     /* 1988652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988698 */     // MIs[0] policy
     /* 1988698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988732 */     // GIR_Coverage, 61870,
     /* 1988732 */     GIR_EraseRootFromParent_Done,
     /* 1988733 */   // Label 26596: @1988733
     /* 1988733 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1988819), // Rule ID 61871 //
     /* 1988738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988784 */     // MIs[0] policy
     /* 1988784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988818 */     // GIR_Coverage, 61871,
     /* 1988818 */     GIR_EraseRootFromParent_Done,
     /* 1988819 */   // Label 26597: @1988819
     /* 1988819 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1988905), // Rule ID 61874 //
     /* 1988824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988870 */     // MIs[0] policy
     /* 1988870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988904 */     // GIR_Coverage, 61874,
     /* 1988904 */     GIR_EraseRootFromParent_Done,
     /* 1988905 */   // Label 26598: @1988905
     /* 1988905 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1988991), // Rule ID 61875 //
     /* 1988910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988956 */     // MIs[0] policy
     /* 1988956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988990 */     // GIR_Coverage, 61875,
     /* 1988990 */     GIR_EraseRootFromParent_Done,
     /* 1988991 */   // Label 26599: @1988991
     /* 1988991 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1989077), // Rule ID 62519 //
     /* 1988996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989042 */     // MIs[0] policy
     /* 1989042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1989055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989076 */     // GIR_Coverage, 62519,
     /* 1989076 */     GIR_EraseRootFromParent_Done,
     /* 1989077 */   // Label 26600: @1989077
     /* 1989077 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1989163), // Rule ID 62520 //
     /* 1989082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989128 */     // MIs[0] policy
     /* 1989128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1989141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989162 */     // GIR_Coverage, 62520,
     /* 1989162 */     GIR_EraseRootFromParent_Done,
     /* 1989163 */   // Label 26601: @1989163
     /* 1989163 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1989249), // Rule ID 62523 //
     /* 1989168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989214 */     // MIs[0] policy
     /* 1989214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1989227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989248 */     // GIR_Coverage, 62523,
     /* 1989248 */     GIR_EraseRootFromParent_Done,
     /* 1989249 */   // Label 26602: @1989249
     /* 1989249 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1989335), // Rule ID 62524 //
     /* 1989254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989300 */     // MIs[0] policy
     /* 1989300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1989313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989334 */     // GIR_Coverage, 62524,
     /* 1989334 */     GIR_EraseRootFromParent_Done,
     /* 1989335 */   // Label 26603: @1989335
     /* 1989335 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1989421), // Rule ID 62527 //
     /* 1989340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989386 */     // MIs[0] policy
     /* 1989386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1989399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989420 */     // GIR_Coverage, 62527,
     /* 1989420 */     GIR_EraseRootFromParent_Done,
     /* 1989421 */   // Label 26604: @1989421
     /* 1989421 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1989507), // Rule ID 62528 //
     /* 1989426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989472 */     // MIs[0] policy
     /* 1989472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1989485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989506 */     // GIR_Coverage, 62528,
     /* 1989506 */     GIR_EraseRootFromParent_Done,
     /* 1989507 */   // Label 26605: @1989507
     /* 1989507 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1989593), // Rule ID 62531 //
     /* 1989512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989558 */     // MIs[0] policy
     /* 1989558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989568 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989592 */     // GIR_Coverage, 62531,
     /* 1989592 */     GIR_EraseRootFromParent_Done,
     /* 1989593 */   // Label 26606: @1989593
     /* 1989593 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1989679), // Rule ID 62532 //
     /* 1989598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989644 */     // MIs[0] policy
     /* 1989644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989678 */     // GIR_Coverage, 62532,
     /* 1989678 */     GIR_EraseRootFromParent_Done,
     /* 1989679 */   // Label 26607: @1989679
     /* 1989679 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1989765), // Rule ID 62535 //
     /* 1989684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989730 */     // MIs[0] policy
     /* 1989730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989764 */     // GIR_Coverage, 62535,
     /* 1989764 */     GIR_EraseRootFromParent_Done,
     /* 1989765 */   // Label 26608: @1989765
     /* 1989765 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1989851), // Rule ID 62536 //
     /* 1989770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989816 */     // MIs[0] policy
     /* 1989816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989850 */     // GIR_Coverage, 62536,
     /* 1989850 */     GIR_EraseRootFromParent_Done,
     /* 1989851 */   // Label 26609: @1989851
     /* 1989851 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1989937), // Rule ID 62539 //
     /* 1989856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989902 */     // MIs[0] policy
     /* 1989902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1989915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989936 */     // GIR_Coverage, 62539,
     /* 1989936 */     GIR_EraseRootFromParent_Done,
     /* 1989937 */   // Label 26610: @1989937
     /* 1989937 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1990023), // Rule ID 62540 //
     /* 1989942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989988 */     // MIs[0] policy
     /* 1989988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1990001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990022 */     // GIR_Coverage, 62540,
     /* 1990022 */     GIR_EraseRootFromParent_Done,
     /* 1990023 */   // Label 26611: @1990023
     /* 1990023 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1990109), // Rule ID 62543 //
     /* 1990028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990074 */     // MIs[0] policy
     /* 1990074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1990087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990108 */     // GIR_Coverage, 62543,
     /* 1990108 */     GIR_EraseRootFromParent_Done,
     /* 1990109 */   // Label 26612: @1990109
     /* 1990109 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1990195), // Rule ID 62544 //
     /* 1990114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990160 */     // MIs[0] policy
     /* 1990160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1990173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990194 */     // GIR_Coverage, 62544,
     /* 1990194 */     GIR_EraseRootFromParent_Done,
     /* 1990195 */   // Label 26613: @1990195
     /* 1990195 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1990281), // Rule ID 62547 //
     /* 1990200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990246 */     // MIs[0] policy
     /* 1990246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1990259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990280 */     // GIR_Coverage, 62547,
     /* 1990280 */     GIR_EraseRootFromParent_Done,
     /* 1990281 */   // Label 26614: @1990281
     /* 1990281 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1990367), // Rule ID 62548 //
     /* 1990286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990332 */     // MIs[0] policy
     /* 1990332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1990345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990366 */     // GIR_Coverage, 62548,
     /* 1990366 */     GIR_EraseRootFromParent_Done,
     /* 1990367 */   // Label 26615: @1990367
     /* 1990367 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1990453), // Rule ID 62551 //
     /* 1990372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990418 */     // MIs[0] policy
     /* 1990418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1990431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990452 */     // GIR_Coverage, 62551,
     /* 1990452 */     GIR_EraseRootFromParent_Done,
     /* 1990453 */   // Label 26616: @1990453
     /* 1990453 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1990539), // Rule ID 62552 //
     /* 1990458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990504 */     // MIs[0] policy
     /* 1990504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1990517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990538 */     // GIR_Coverage, 62552,
     /* 1990538 */     GIR_EraseRootFromParent_Done,
     /* 1990539 */   // Label 26617: @1990539
     /* 1990539 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1990625), // Rule ID 62555 //
     /* 1990544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990590 */     // MIs[0] policy
     /* 1990590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990624 */     // GIR_Coverage, 62555,
     /* 1990624 */     GIR_EraseRootFromParent_Done,
     /* 1990625 */   // Label 26618: @1990625
     /* 1990625 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1990711), // Rule ID 62556 //
     /* 1990630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990676 */     // MIs[0] policy
     /* 1990676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990710 */     // GIR_Coverage, 62556,
     /* 1990710 */     GIR_EraseRootFromParent_Done,
     /* 1990711 */   // Label 26619: @1990711
     /* 1990711 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1990797), // Rule ID 62559 //
     /* 1990716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990762 */     // MIs[0] policy
     /* 1990762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990796 */     // GIR_Coverage, 62559,
     /* 1990796 */     GIR_EraseRootFromParent_Done,
     /* 1990797 */   // Label 26620: @1990797
     /* 1990797 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1990883), // Rule ID 62560 //
     /* 1990802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990848 */     // MIs[0] policy
     /* 1990848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990882 */     // GIR_Coverage, 62560,
     /* 1990882 */     GIR_EraseRootFromParent_Done,
     /* 1990883 */   // Label 26621: @1990883
     /* 1990883 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1990969), // Rule ID 62563 //
     /* 1990888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990934 */     // MIs[0] policy
     /* 1990934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1990947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990968 */     // GIR_Coverage, 62563,
     /* 1990968 */     GIR_EraseRootFromParent_Done,
     /* 1990969 */   // Label 26622: @1990969
     /* 1990969 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1991055), // Rule ID 62564 //
     /* 1990974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991020 */     // MIs[0] policy
     /* 1991020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1991033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991054 */     // GIR_Coverage, 62564,
     /* 1991054 */     GIR_EraseRootFromParent_Done,
     /* 1991055 */   // Label 26623: @1991055
     /* 1991055 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1991141), // Rule ID 62567 //
     /* 1991060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991106 */     // MIs[0] policy
     /* 1991106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1991119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991140 */     // GIR_Coverage, 62567,
     /* 1991140 */     GIR_EraseRootFromParent_Done,
     /* 1991141 */   // Label 26624: @1991141
     /* 1991141 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1991227), // Rule ID 62568 //
     /* 1991146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991192 */     // MIs[0] policy
     /* 1991192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1991205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991226 */     // GIR_Coverage, 62568,
     /* 1991226 */     GIR_EraseRootFromParent_Done,
     /* 1991227 */   // Label 26625: @1991227
     /* 1991227 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1991313), // Rule ID 62571 //
     /* 1991232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991278 */     // MIs[0] policy
     /* 1991278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1991291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991312 */     // GIR_Coverage, 62571,
     /* 1991312 */     GIR_EraseRootFromParent_Done,
     /* 1991313 */   // Label 26626: @1991313
     /* 1991313 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1991399), // Rule ID 62572 //
     /* 1991318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991364 */     // MIs[0] policy
     /* 1991364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1991377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991398 */     // GIR_Coverage, 62572,
     /* 1991398 */     GIR_EraseRootFromParent_Done,
     /* 1991399 */   // Label 26627: @1991399
     /* 1991399 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1991485), // Rule ID 62575 //
     /* 1991404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991450 */     // MIs[0] policy
     /* 1991450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991484 */     // GIR_Coverage, 62575,
     /* 1991484 */     GIR_EraseRootFromParent_Done,
     /* 1991485 */   // Label 26628: @1991485
     /* 1991485 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1991571), // Rule ID 62576 //
     /* 1991490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991536 */     // MIs[0] policy
     /* 1991536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991570 */     // GIR_Coverage, 62576,
     /* 1991570 */     GIR_EraseRootFromParent_Done,
     /* 1991571 */   // Label 26629: @1991571
     /* 1991571 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1991657), // Rule ID 62579 //
     /* 1991576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991622 */     // MIs[0] policy
     /* 1991622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991656 */     // GIR_Coverage, 62579,
     /* 1991656 */     GIR_EraseRootFromParent_Done,
     /* 1991657 */   // Label 26630: @1991657
     /* 1991657 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1991743), // Rule ID 62580 //
     /* 1991662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991708 */     // MIs[0] policy
     /* 1991708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991742 */     // GIR_Coverage, 62580,
     /* 1991742 */     GIR_EraseRootFromParent_Done,
     /* 1991743 */   // Label 26631: @1991743
     /* 1991743 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1991829), // Rule ID 62583 //
     /* 1991748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991794 */     // MIs[0] policy
     /* 1991794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991828 */     // GIR_Coverage, 62583,
     /* 1991828 */     GIR_EraseRootFromParent_Done,
     /* 1991829 */   // Label 26632: @1991829
     /* 1991829 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1991915), // Rule ID 62584 //
     /* 1991834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991880 */     // MIs[0] policy
     /* 1991880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991914 */     // GIR_Coverage, 62584,
     /* 1991914 */     GIR_EraseRootFromParent_Done,
     /* 1991915 */   // Label 26633: @1991915
     /* 1991915 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1992001), // Rule ID 62587 //
     /* 1991920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991966 */     // MIs[0] policy
     /* 1991966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1991979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992000 */     // GIR_Coverage, 62587,
     /* 1992000 */     GIR_EraseRootFromParent_Done,
     /* 1992001 */   // Label 26634: @1992001
     /* 1992001 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1992087), // Rule ID 62588 //
     /* 1992006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992052 */     // MIs[0] policy
     /* 1992052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1992065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992086 */     // GIR_Coverage, 62588,
     /* 1992086 */     GIR_EraseRootFromParent_Done,
     /* 1992087 */   // Label 26635: @1992087
     /* 1992087 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1992173), // Rule ID 62591 //
     /* 1992092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992138 */     // MIs[0] policy
     /* 1992138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1992151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992172 */     // GIR_Coverage, 62591,
     /* 1992172 */     GIR_EraseRootFromParent_Done,
     /* 1992173 */   // Label 26636: @1992173
     /* 1992173 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1992259), // Rule ID 62592 //
     /* 1992178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992224 */     // MIs[0] policy
     /* 1992224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1992237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992258 */     // GIR_Coverage, 62592,
     /* 1992258 */     GIR_EraseRootFromParent_Done,
     /* 1992259 */   // Label 26637: @1992259
     /* 1992259 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1992345), // Rule ID 62595 //
     /* 1992264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992310 */     // MIs[0] policy
     /* 1992310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1992323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992344 */     // GIR_Coverage, 62595,
     /* 1992344 */     GIR_EraseRootFromParent_Done,
     /* 1992345 */   // Label 26638: @1992345
     /* 1992345 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1992431), // Rule ID 62596 //
     /* 1992350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992396 */     // MIs[0] policy
     /* 1992396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1992409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992430 */     // GIR_Coverage, 62596,
     /* 1992430 */     GIR_EraseRootFromParent_Done,
     /* 1992431 */   // Label 26639: @1992431
     /* 1992431 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1992517), // Rule ID 62599 //
     /* 1992436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992482 */     // MIs[0] policy
     /* 1992482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992516 */     // GIR_Coverage, 62599,
     /* 1992516 */     GIR_EraseRootFromParent_Done,
     /* 1992517 */   // Label 26640: @1992517
     /* 1992517 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1992603), // Rule ID 62600 //
     /* 1992522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992568 */     // MIs[0] policy
     /* 1992568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992602 */     // GIR_Coverage, 62600,
     /* 1992602 */     GIR_EraseRootFromParent_Done,
     /* 1992603 */   // Label 26641: @1992603
     /* 1992603 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1992689), // Rule ID 62603 //
     /* 1992608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992654 */     // MIs[0] policy
     /* 1992654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992688 */     // GIR_Coverage, 62603,
     /* 1992688 */     GIR_EraseRootFromParent_Done,
     /* 1992689 */   // Label 26642: @1992689
     /* 1992689 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1992775), // Rule ID 62604 //
     /* 1992694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992740 */     // MIs[0] policy
     /* 1992740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992774 */     // GIR_Coverage, 62604,
     /* 1992774 */     GIR_EraseRootFromParent_Done,
     /* 1992775 */   // Label 26643: @1992775
     /* 1992775 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1992861), // Rule ID 62607 //
     /* 1992780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992826 */     // MIs[0] policy
     /* 1992826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992860 */     // GIR_Coverage, 62607,
     /* 1992860 */     GIR_EraseRootFromParent_Done,
     /* 1992861 */   // Label 26644: @1992861
     /* 1992861 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1992947), // Rule ID 62608 //
     /* 1992866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992912 */     // MIs[0] policy
     /* 1992912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992946 */     // GIR_Coverage, 62608,
     /* 1992946 */     GIR_EraseRootFromParent_Done,
     /* 1992947 */   // Label 26645: @1992947
     /* 1992947 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1993033), // Rule ID 62611 //
     /* 1992952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1992969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992998 */     // MIs[0] policy
     /* 1992998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1993011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993032 */     // GIR_Coverage, 62611,
     /* 1993032 */     GIR_EraseRootFromParent_Done,
     /* 1993033 */   // Label 26646: @1993033
     /* 1993033 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1993119), // Rule ID 62612 //
     /* 1993038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993084 */     // MIs[0] policy
     /* 1993084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1993097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993118 */     // GIR_Coverage, 62612,
     /* 1993118 */     GIR_EraseRootFromParent_Done,
     /* 1993119 */   // Label 26647: @1993119
     /* 1993119 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1993205), // Rule ID 62615 //
     /* 1993124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993170 */     // MIs[0] policy
     /* 1993170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1993183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993204 */     // GIR_Coverage, 62615,
     /* 1993204 */     GIR_EraseRootFromParent_Done,
     /* 1993205 */   // Label 26648: @1993205
     /* 1993205 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1993291), // Rule ID 62616 //
     /* 1993210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993256 */     // MIs[0] policy
     /* 1993256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1993269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993290 */     // GIR_Coverage, 62616,
     /* 1993290 */     GIR_EraseRootFromParent_Done,
     /* 1993291 */   // Label 26649: @1993291
     /* 1993291 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1993377), // Rule ID 62619 //
     /* 1993296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993342 */     // MIs[0] policy
     /* 1993342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1993355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993376 */     // GIR_Coverage, 62619,
     /* 1993376 */     GIR_EraseRootFromParent_Done,
     /* 1993377 */   // Label 26650: @1993377
     /* 1993377 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1993463), // Rule ID 62620 //
     /* 1993382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993428 */     // MIs[0] policy
     /* 1993428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993438 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1993441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993462 */     // GIR_Coverage, 62620,
     /* 1993462 */     GIR_EraseRootFromParent_Done,
     /* 1993463 */   // Label 26651: @1993463
     /* 1993463 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1993549), // Rule ID 62623 //
     /* 1993468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993514 */     // MIs[0] policy
     /* 1993514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993548 */     // GIR_Coverage, 62623,
     /* 1993548 */     GIR_EraseRootFromParent_Done,
     /* 1993549 */   // Label 26652: @1993549
     /* 1993549 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1993635), // Rule ID 62624 //
     /* 1993554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993600 */     // MIs[0] policy
     /* 1993600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993610 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993634 */     // GIR_Coverage, 62624,
     /* 1993634 */     GIR_EraseRootFromParent_Done,
     /* 1993635 */   // Label 26653: @1993635
     /* 1993635 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1993721), // Rule ID 62627 //
     /* 1993640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993686 */     // MIs[0] policy
     /* 1993686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993720 */     // GIR_Coverage, 62627,
     /* 1993720 */     GIR_EraseRootFromParent_Done,
     /* 1993721 */   // Label 26654: @1993721
     /* 1993721 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1993807), // Rule ID 62628 //
     /* 1993726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993772 */     // MIs[0] policy
     /* 1993772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993806 */     // GIR_Coverage, 62628,
     /* 1993806 */     GIR_EraseRootFromParent_Done,
     /* 1993807 */   // Label 26655: @1993807
     /* 1993807 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1993893), // Rule ID 62631 //
     /* 1993812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993858 */     // MIs[0] policy
     /* 1993858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993892 */     // GIR_Coverage, 62631,
     /* 1993892 */     GIR_EraseRootFromParent_Done,
     /* 1993893 */   // Label 26656: @1993893
     /* 1993893 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1993979), // Rule ID 62632 //
     /* 1993898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993944 */     // MIs[0] policy
     /* 1993944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993978 */     // GIR_Coverage, 62632,
     /* 1993978 */     GIR_EraseRootFromParent_Done,
     /* 1993979 */   // Label 26657: @1993979
     /* 1993979 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1994065), // Rule ID 62635 //
     /* 1993984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994030 */     // MIs[0] policy
     /* 1994030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1994043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994064 */     // GIR_Coverage, 62635,
     /* 1994064 */     GIR_EraseRootFromParent_Done,
     /* 1994065 */   // Label 26658: @1994065
     /* 1994065 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1994151), // Rule ID 62636 //
     /* 1994070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1994078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994116 */     // MIs[0] policy
     /* 1994116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1994129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994150 */     // GIR_Coverage, 62636,
     /* 1994150 */     GIR_EraseRootFromParent_Done,
     /* 1994151 */   // Label 26659: @1994151
     /* 1994151 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1994237), // Rule ID 62639 //
     /* 1994156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994202 */     // MIs[0] policy
     /* 1994202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1994215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994236 */     // GIR_Coverage, 62639,
     /* 1994236 */     GIR_EraseRootFromParent_Done,
     /* 1994237 */   // Label 26660: @1994237
     /* 1994237 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1994323), // Rule ID 62640 //
     /* 1994242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994288 */     // MIs[0] policy
     /* 1994288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1994301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994322 */     // GIR_Coverage, 62640,
     /* 1994322 */     GIR_EraseRootFromParent_Done,
     /* 1994323 */   // Label 26661: @1994323
     /* 1994323 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1994409), // Rule ID 62643 //
     /* 1994328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1994348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994374 */     // MIs[0] policy
     /* 1994374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1994387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994408 */     // GIR_Coverage, 62643,
     /* 1994408 */     GIR_EraseRootFromParent_Done,
     /* 1994409 */   // Label 26662: @1994409
     /* 1994409 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1994495), // Rule ID 62644 //
     /* 1994414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1994434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994460 */     // MIs[0] policy
     /* 1994460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1994473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994494 */     // GIR_Coverage, 62644,
     /* 1994494 */     GIR_EraseRootFromParent_Done,
     /* 1994495 */   // Label 26663: @1994495
     /* 1994495 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1994581), // Rule ID 62647 //
     /* 1994500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994546 */     // MIs[0] policy
     /* 1994546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994580 */     // GIR_Coverage, 62647,
     /* 1994580 */     GIR_EraseRootFromParent_Done,
     /* 1994581 */   // Label 26664: @1994581
     /* 1994581 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1994667), // Rule ID 62648 //
     /* 1994586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994632 */     // MIs[0] policy
     /* 1994632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994666 */     // GIR_Coverage, 62648,
     /* 1994666 */     GIR_EraseRootFromParent_Done,
     /* 1994667 */   // Label 26665: @1994667
     /* 1994667 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1994753), // Rule ID 62651 //
     /* 1994672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994718 */     // MIs[0] policy
     /* 1994718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994752 */     // GIR_Coverage, 62651,
     /* 1994752 */     GIR_EraseRootFromParent_Done,
     /* 1994753 */   // Label 26666: @1994753
     /* 1994753 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1994839), // Rule ID 62652 //
     /* 1994758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994804 */     // MIs[0] policy
     /* 1994804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994838 */     // GIR_Coverage, 62652,
     /* 1994838 */     GIR_EraseRootFromParent_Done,
     /* 1994839 */   // Label 26667: @1994839
     /* 1994839 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1994925), // Rule ID 62655 //
     /* 1994844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994890 */     // MIs[0] policy
     /* 1994890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994924 */     // GIR_Coverage, 62655,
     /* 1994924 */     GIR_EraseRootFromParent_Done,
     /* 1994925 */   // Label 26668: @1994925
     /* 1994925 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1995011), // Rule ID 62656 //
     /* 1994930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994976 */     // MIs[0] policy
     /* 1994976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995010 */     // GIR_Coverage, 62656,
     /* 1995010 */     GIR_EraseRootFromParent_Done,
     /* 1995011 */   // Label 26669: @1995011
     /* 1995011 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1995100), // Rule ID 2676 //
     /* 1995016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1995033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995062 */     // MIs[0] round
     /* 1995062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995072 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1995075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995099 */     // GIR_Coverage, 2676,
     /* 1995099 */     GIR_EraseRootFromParent_Done,
     /* 1995100 */   // Label 26670: @1995100
     /* 1995100 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1995189), // Rule ID 2677 //
     /* 1995105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1995122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995151 */     // MIs[0] round
     /* 1995151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995161 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1995164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995188 */     // GIR_Coverage, 2677,
     /* 1995188 */     GIR_EraseRootFromParent_Done,
     /* 1995189 */   // Label 26671: @1995189
     /* 1995189 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1995278), // Rule ID 22714 //
     /* 1995194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1995211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995240 */     // MIs[0] round
     /* 1995240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995250 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1995253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995277 */     // GIR_Coverage, 22714,
     /* 1995277 */     GIR_EraseRootFromParent_Done,
     /* 1995278 */   // Label 26672: @1995278
     /* 1995278 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1995367), // Rule ID 22715 //
     /* 1995283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1995300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995329 */     // MIs[0] round
     /* 1995329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995339 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1995342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995366 */     // GIR_Coverage, 22715,
     /* 1995366 */     GIR_EraseRootFromParent_Done,
     /* 1995367 */   // Label 26673: @1995367
     /* 1995367 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1995456), // Rule ID 22718 //
     /* 1995372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995418 */     // MIs[0] round
     /* 1995418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1995431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995455 */     // GIR_Coverage, 22718,
     /* 1995455 */     GIR_EraseRootFromParent_Done,
     /* 1995456 */   // Label 26674: @1995456
     /* 1995456 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1995545), // Rule ID 22719 //
     /* 1995461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995507 */     // MIs[0] round
     /* 1995507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995517 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1995520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995544 */     // GIR_Coverage, 22719,
     /* 1995544 */     GIR_EraseRootFromParent_Done,
     /* 1995545 */   // Label 26675: @1995545
     /* 1995545 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1995634), // Rule ID 22722 //
     /* 1995550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995596 */     // MIs[0] round
     /* 1995596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995606 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995633 */     // GIR_Coverage, 22722,
     /* 1995633 */     GIR_EraseRootFromParent_Done,
     /* 1995634 */   // Label 26676: @1995634
     /* 1995634 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1995723), // Rule ID 22723 //
     /* 1995639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995685 */     // MIs[0] round
     /* 1995685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995695 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995722 */     // GIR_Coverage, 22723,
     /* 1995722 */     GIR_EraseRootFromParent_Done,
     /* 1995723 */   // Label 26677: @1995723
     /* 1995723 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1995812), // Rule ID 22726 //
     /* 1995728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995774 */     // MIs[0] round
     /* 1995774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995811 */     // GIR_Coverage, 22726,
     /* 1995811 */     GIR_EraseRootFromParent_Done,
     /* 1995812 */   // Label 26678: @1995812
     /* 1995812 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1995901), // Rule ID 22727 //
     /* 1995817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995863 */     // MIs[0] round
     /* 1995863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995873 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995900 */     // GIR_Coverage, 22727,
     /* 1995900 */     GIR_EraseRootFromParent_Done,
     /* 1995901 */   // Label 26679: @1995901
     /* 1995901 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1995990), // Rule ID 22730 //
     /* 1995906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995952 */     // MIs[0] round
     /* 1995952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995962 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1995965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995989 */     // GIR_Coverage, 22730,
     /* 1995989 */     GIR_EraseRootFromParent_Done,
     /* 1995990 */   // Label 26680: @1995990
     /* 1995990 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1996079), // Rule ID 22731 //
     /* 1995995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1996012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996041 */     // MIs[0] round
     /* 1996041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996051 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1996054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996078 */     // GIR_Coverage, 22731,
     /* 1996078 */     GIR_EraseRootFromParent_Done,
     /* 1996079 */   // Label 26681: @1996079
     /* 1996079 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1996168), // Rule ID 22734 //
     /* 1996084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996130 */     // MIs[0] round
     /* 1996130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996140 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1996143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996167 */     // GIR_Coverage, 22734,
     /* 1996167 */     GIR_EraseRootFromParent_Done,
     /* 1996168 */   // Label 26682: @1996168
     /* 1996168 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1996257), // Rule ID 22735 //
     /* 1996173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996219 */     // MIs[0] round
     /* 1996219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996229 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1996232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996256 */     // GIR_Coverage, 22735,
     /* 1996256 */     GIR_EraseRootFromParent_Done,
     /* 1996257 */   // Label 26683: @1996257
     /* 1996257 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1996346), // Rule ID 22738 //
     /* 1996262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1996279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996308 */     // MIs[0] round
     /* 1996308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996318 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1996321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996345 */     // GIR_Coverage, 22738,
     /* 1996345 */     GIR_EraseRootFromParent_Done,
     /* 1996346 */   // Label 26684: @1996346
     /* 1996346 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1996435), // Rule ID 22739 //
     /* 1996351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1996368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996397 */     // MIs[0] round
     /* 1996397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996407 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1996410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996434 */     // GIR_Coverage, 22739,
     /* 1996434 */     GIR_EraseRootFromParent_Done,
     /* 1996435 */   // Label 26685: @1996435
     /* 1996435 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1996524), // Rule ID 22742 //
     /* 1996440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996486 */     // MIs[0] round
     /* 1996486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996523 */     // GIR_Coverage, 22742,
     /* 1996523 */     GIR_EraseRootFromParent_Done,
     /* 1996524 */   // Label 26686: @1996524
     /* 1996524 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1996613), // Rule ID 22743 //
     /* 1996529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996575 */     // MIs[0] round
     /* 1996575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996585 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996612 */     // GIR_Coverage, 22743,
     /* 1996612 */     GIR_EraseRootFromParent_Done,
     /* 1996613 */   // Label 26687: @1996613
     /* 1996613 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1996702), // Rule ID 22746 //
     /* 1996618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996664 */     // MIs[0] round
     /* 1996664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996674 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996701 */     // GIR_Coverage, 22746,
     /* 1996701 */     GIR_EraseRootFromParent_Done,
     /* 1996702 */   // Label 26688: @1996702
     /* 1996702 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1996791), // Rule ID 22747 //
     /* 1996707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996753 */     // MIs[0] round
     /* 1996753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996763 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996790 */     // GIR_Coverage, 22747,
     /* 1996790 */     GIR_EraseRootFromParent_Done,
     /* 1996791 */   // Label 26689: @1996791
     /* 1996791 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1996880), // Rule ID 22750 //
     /* 1996796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996842 */     // MIs[0] round
     /* 1996842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996879 */     // GIR_Coverage, 22750,
     /* 1996879 */     GIR_EraseRootFromParent_Done,
     /* 1996880 */   // Label 26690: @1996880
     /* 1996880 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1996969), // Rule ID 22751 //
     /* 1996885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996931 */     // MIs[0] round
     /* 1996931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996941 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996968 */     // GIR_Coverage, 22751,
     /* 1996968 */     GIR_EraseRootFromParent_Done,
     /* 1996969 */   // Label 26691: @1996969
     /* 1996969 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1997058), // Rule ID 22754 //
     /* 1996974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997020 */     // MIs[0] round
     /* 1997020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1997033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997057 */     // GIR_Coverage, 22754,
     /* 1997057 */     GIR_EraseRootFromParent_Done,
     /* 1997058 */   // Label 26692: @1997058
     /* 1997058 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1997147), // Rule ID 22755 //
     /* 1997063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1997080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997109 */     // MIs[0] round
     /* 1997109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997119 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1997122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997146 */     // GIR_Coverage, 22755,
     /* 1997146 */     GIR_EraseRootFromParent_Done,
     /* 1997147 */   // Label 26693: @1997147
     /* 1997147 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1997236), // Rule ID 22758 //
     /* 1997152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1997169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997198 */     // MIs[0] round
     /* 1997198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1997211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997235 */     // GIR_Coverage, 22758,
     /* 1997235 */     GIR_EraseRootFromParent_Done,
     /* 1997236 */   // Label 26694: @1997236
     /* 1997236 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1997325), // Rule ID 22759 //
     /* 1997241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1997258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997287 */     // MIs[0] round
     /* 1997287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1997300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997324 */     // GIR_Coverage, 22759,
     /* 1997324 */     GIR_EraseRootFromParent_Done,
     /* 1997325 */   // Label 26695: @1997325
     /* 1997325 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1997414), // Rule ID 22762 //
     /* 1997330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1997347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997376 */     // MIs[0] round
     /* 1997376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997386 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1997389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997413 */     // GIR_Coverage, 22762,
     /* 1997413 */     GIR_EraseRootFromParent_Done,
     /* 1997414 */   // Label 26696: @1997414
     /* 1997414 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1997503), // Rule ID 22763 //
     /* 1997419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1997436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997465 */     // MIs[0] round
     /* 1997465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997475 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1997478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997502 */     // GIR_Coverage, 22763,
     /* 1997502 */     GIR_EraseRootFromParent_Done,
     /* 1997503 */   // Label 26697: @1997503
     /* 1997503 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1997592), // Rule ID 22766 //
     /* 1997508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997554 */     // MIs[0] round
     /* 1997554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997564 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997591 */     // GIR_Coverage, 22766,
     /* 1997591 */     GIR_EraseRootFromParent_Done,
     /* 1997592 */   // Label 26698: @1997592
     /* 1997592 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1997681), // Rule ID 22767 //
     /* 1997597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997643 */     // MIs[0] round
     /* 1997643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997653 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997680 */     // GIR_Coverage, 22767,
     /* 1997680 */     GIR_EraseRootFromParent_Done,
     /* 1997681 */   // Label 26699: @1997681
     /* 1997681 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1997770), // Rule ID 22770 //
     /* 1997686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997732 */     // MIs[0] round
     /* 1997732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997769 */     // GIR_Coverage, 22770,
     /* 1997769 */     GIR_EraseRootFromParent_Done,
     /* 1997770 */   // Label 26700: @1997770
     /* 1997770 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1997859), // Rule ID 22771 //
     /* 1997775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997821 */     // MIs[0] round
     /* 1997821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997831 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997858 */     // GIR_Coverage, 22771,
     /* 1997858 */     GIR_EraseRootFromParent_Done,
     /* 1997859 */   // Label 26701: @1997859
     /* 1997859 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1997948), // Rule ID 22774 //
     /* 1997864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997910 */     // MIs[0] round
     /* 1997910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997920 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1997923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997947 */     // GIR_Coverage, 22774,
     /* 1997947 */     GIR_EraseRootFromParent_Done,
     /* 1997948 */   // Label 26702: @1997948
     /* 1997948 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1998037), // Rule ID 22775 //
     /* 1997953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997999 */     // MIs[0] round
     /* 1997999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998009 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1998012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998036 */     // GIR_Coverage, 22775,
     /* 1998036 */     GIR_EraseRootFromParent_Done,
     /* 1998037 */   // Label 26703: @1998037
     /* 1998037 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1998126), // Rule ID 22778 //
     /* 1998042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1998059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998088 */     // MIs[0] round
     /* 1998088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1998101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998125 */     // GIR_Coverage, 22778,
     /* 1998125 */     GIR_EraseRootFromParent_Done,
     /* 1998126 */   // Label 26704: @1998126
     /* 1998126 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1998215), // Rule ID 22779 //
     /* 1998131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1998148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998177 */     // MIs[0] round
     /* 1998177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998187 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1998190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998214 */     // GIR_Coverage, 22779,
     /* 1998214 */     GIR_EraseRootFromParent_Done,
     /* 1998215 */   // Label 26705: @1998215
     /* 1998215 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1998304), // Rule ID 22782 //
     /* 1998220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1998237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998266 */     // MIs[0] round
     /* 1998266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998276 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1998279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998303 */     // GIR_Coverage, 22782,
     /* 1998303 */     GIR_EraseRootFromParent_Done,
     /* 1998304 */   // Label 26706: @1998304
     /* 1998304 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1998393), // Rule ID 22783 //
     /* 1998309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1998326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998355 */     // MIs[0] round
     /* 1998355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998365 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1998368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998392 */     // GIR_Coverage, 22783,
     /* 1998392 */     GIR_EraseRootFromParent_Done,
     /* 1998393 */   // Label 26707: @1998393
     /* 1998393 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1998482), // Rule ID 22786 //
     /* 1998398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998444 */     // MIs[0] round
     /* 1998444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998454 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998481 */     // GIR_Coverage, 22786,
     /* 1998481 */     GIR_EraseRootFromParent_Done,
     /* 1998482 */   // Label 26708: @1998482
     /* 1998482 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1998571), // Rule ID 22787 //
     /* 1998487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998533 */     // MIs[0] round
     /* 1998533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998543 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998570 */     // GIR_Coverage, 22787,
     /* 1998570 */     GIR_EraseRootFromParent_Done,
     /* 1998571 */   // Label 26709: @1998571
     /* 1998571 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1998660), // Rule ID 22790 //
     /* 1998576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998622 */     // MIs[0] round
     /* 1998622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998632 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998659 */     // GIR_Coverage, 22790,
     /* 1998659 */     GIR_EraseRootFromParent_Done,
     /* 1998660 */   // Label 26710: @1998660
     /* 1998660 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1998749), // Rule ID 22791 //
     /* 1998665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998711 */     // MIs[0] round
     /* 1998711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998721 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998748 */     // GIR_Coverage, 22791,
     /* 1998748 */     GIR_EraseRootFromParent_Done,
     /* 1998749 */   // Label 26711: @1998749
     /* 1998749 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1998838), // Rule ID 22794 //
     /* 1998754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998800 */     // MIs[0] round
     /* 1998800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998810 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998837 */     // GIR_Coverage, 22794,
     /* 1998837 */     GIR_EraseRootFromParent_Done,
     /* 1998838 */   // Label 26712: @1998838
     /* 1998838 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1998927), // Rule ID 22795 //
     /* 1998843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998889 */     // MIs[0] round
     /* 1998889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998899 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998926 */     // GIR_Coverage, 22795,
     /* 1998926 */     GIR_EraseRootFromParent_Done,
     /* 1998927 */   // Label 26713: @1998927
     /* 1998927 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1999016), // Rule ID 22798 //
     /* 1998932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998978 */     // MIs[0] round
     /* 1998978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998988 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1998991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999015 */     // GIR_Coverage, 22798,
     /* 1999015 */     GIR_EraseRootFromParent_Done,
     /* 1999016 */   // Label 26714: @1999016
     /* 1999016 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1999105), // Rule ID 22799 //
     /* 1999021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1999038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999067 */     // MIs[0] round
     /* 1999067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999077 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1999080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999104 */     // GIR_Coverage, 22799,
     /* 1999104 */     GIR_EraseRootFromParent_Done,
     /* 1999105 */   // Label 26715: @1999105
     /* 1999105 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1999194), // Rule ID 22802 //
     /* 1999110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1999127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999156 */     // MIs[0] round
     /* 1999156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999166 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1999169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999193 */     // GIR_Coverage, 22802,
     /* 1999193 */     GIR_EraseRootFromParent_Done,
     /* 1999194 */   // Label 26716: @1999194
     /* 1999194 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1999283), // Rule ID 22803 //
     /* 1999199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1999216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999245 */     // MIs[0] round
     /* 1999245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999255 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1999258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999282 */     // GIR_Coverage, 22803,
     /* 1999282 */     GIR_EraseRootFromParent_Done,
     /* 1999283 */   // Label 26717: @1999283
     /* 1999283 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1999372), // Rule ID 22806 //
     /* 1999288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999334 */     // MIs[0] round
     /* 1999334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999344 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1999347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999371 */     // GIR_Coverage, 22806,
     /* 1999371 */     GIR_EraseRootFromParent_Done,
     /* 1999372 */   // Label 26718: @1999372
     /* 1999372 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1999461), // Rule ID 22807 //
     /* 1999377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999423 */     // MIs[0] round
     /* 1999423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999433 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1999436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999460 */     // GIR_Coverage, 22807,
     /* 1999460 */     GIR_EraseRootFromParent_Done,
     /* 1999461 */   // Label 26719: @1999461
     /* 1999461 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1999550), // Rule ID 22810 //
     /* 1999466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999512 */     // MIs[0] round
     /* 1999512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999522 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999549 */     // GIR_Coverage, 22810,
     /* 1999549 */     GIR_EraseRootFromParent_Done,
     /* 1999550 */   // Label 26720: @1999550
     /* 1999550 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1999639), // Rule ID 22811 //
     /* 1999555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999601 */     // MIs[0] round
     /* 1999601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999611 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999638 */     // GIR_Coverage, 22811,
     /* 1999638 */     GIR_EraseRootFromParent_Done,
     /* 1999639 */   // Label 26721: @1999639
     /* 1999639 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1999728), // Rule ID 22814 //
     /* 1999644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999690 */     // MIs[0] round
     /* 1999690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999700 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999727 */     // GIR_Coverage, 22814,
     /* 1999727 */     GIR_EraseRootFromParent_Done,
     /* 1999728 */   // Label 26722: @1999728
     /* 1999728 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1999817), // Rule ID 22815 //
     /* 1999733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999779 */     // MIs[0] round
     /* 1999779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999816 */     // GIR_Coverage, 22815,
     /* 1999816 */     GIR_EraseRootFromParent_Done,
     /* 1999817 */   // Label 26723: @1999817
     /* 1999817 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1999906), // Rule ID 22818 //
     /* 1999822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999868 */     // MIs[0] round
     /* 1999868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999905 */     // GIR_Coverage, 22818,
     /* 1999905 */     GIR_EraseRootFromParent_Done,
     /* 1999906 */   // Label 26724: @1999906
     /* 1999906 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1999995), // Rule ID 22819 //
     /* 1999911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999957 */     // MIs[0] round
     /* 1999957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999967 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999994 */     // GIR_Coverage, 22819,
     /* 1999994 */     GIR_EraseRootFromParent_Done,
     /* 1999995 */   // Label 26725: @1999995
     /* 1999995 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2000084), // Rule ID 22822 //
     /* 2000000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2000017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000046 */     // MIs[0] round
     /* 2000046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2000059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000083 */     // GIR_Coverage, 22822,
     /* 2000083 */     GIR_EraseRootFromParent_Done,
     /* 2000084 */   // Label 26726: @2000084
     /* 2000084 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2000173), // Rule ID 22823 //
     /* 2000089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2000106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000135 */     // MIs[0] round
     /* 2000135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000145 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2000148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000172 */     // GIR_Coverage, 22823,
     /* 2000172 */     GIR_EraseRootFromParent_Done,
     /* 2000173 */   // Label 26727: @2000173
     /* 2000173 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2000262), // Rule ID 22826 //
     /* 2000178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000224 */     // MIs[0] round
     /* 2000224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000234 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2000237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000261 */     // GIR_Coverage, 22826,
     /* 2000261 */     GIR_EraseRootFromParent_Done,
     /* 2000262 */   // Label 26728: @2000262
     /* 2000262 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2000351), // Rule ID 22827 //
     /* 2000267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000313 */     // MIs[0] round
     /* 2000313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000323 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2000326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000350 */     // GIR_Coverage, 22827,
     /* 2000350 */     GIR_EraseRootFromParent_Done,
     /* 2000351 */   // Label 26729: @2000351
     /* 2000351 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2000440), // Rule ID 22950 //
     /* 2000356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000402 */     // MIs[0] round
     /* 2000402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000412 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2000415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000439 */     // GIR_Coverage, 22950,
     /* 2000439 */     GIR_EraseRootFromParent_Done,
     /* 2000440 */   // Label 26730: @2000440
     /* 2000440 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2000529), // Rule ID 22951 //
     /* 2000445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000491 */     // MIs[0] round
     /* 2000491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000501 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2000504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000528 */     // GIR_Coverage, 22951,
     /* 2000528 */     GIR_EraseRootFromParent_Done,
     /* 2000529 */   // Label 26731: @2000529
     /* 2000529 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2000618), // Rule ID 22954 //
     /* 2000534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000580 */     // MIs[0] round
     /* 2000580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000617 */     // GIR_Coverage, 22954,
     /* 2000617 */     GIR_EraseRootFromParent_Done,
     /* 2000618 */   // Label 26732: @2000618
     /* 2000618 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2000707), // Rule ID 22955 //
     /* 2000623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000669 */     // MIs[0] round
     /* 2000669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000679 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000706 */     // GIR_Coverage, 22955,
     /* 2000706 */     GIR_EraseRootFromParent_Done,
     /* 2000707 */   // Label 26733: @2000707
     /* 2000707 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2000796), // Rule ID 22958 //
     /* 2000712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000758 */     // MIs[0] round
     /* 2000758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000795 */     // GIR_Coverage, 22958,
     /* 2000795 */     GIR_EraseRootFromParent_Done,
     /* 2000796 */   // Label 26734: @2000796
     /* 2000796 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2000885), // Rule ID 22959 //
     /* 2000801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000847 */     // MIs[0] round
     /* 2000847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000857 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000884 */     // GIR_Coverage, 22959,
     /* 2000884 */     GIR_EraseRootFromParent_Done,
     /* 2000885 */   // Label 26735: @2000885
     /* 2000885 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2000974), // Rule ID 22962 //
     /* 2000890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000936 */     // MIs[0] round
     /* 2000936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000946 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2000949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000973 */     // GIR_Coverage, 22962,
     /* 2000973 */     GIR_EraseRootFromParent_Done,
     /* 2000974 */   // Label 26736: @2000974
     /* 2000974 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2001063), // Rule ID 22963 //
     /* 2000979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001025 */     // MIs[0] round
     /* 2001025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001035 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2001038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001062 */     // GIR_Coverage, 22963,
     /* 2001062 */     GIR_EraseRootFromParent_Done,
     /* 2001063 */   // Label 26737: @2001063
     /* 2001063 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2001152), // Rule ID 22966 //
     /* 2001068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001114 */     // MIs[0] round
     /* 2001114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2001127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001151 */     // GIR_Coverage, 22966,
     /* 2001151 */     GIR_EraseRootFromParent_Done,
     /* 2001152 */   // Label 26738: @2001152
     /* 2001152 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2001241), // Rule ID 22967 //
     /* 2001157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001203 */     // MIs[0] round
     /* 2001203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001213 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2001216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001240 */     // GIR_Coverage, 22967,
     /* 2001240 */     GIR_EraseRootFromParent_Done,
     /* 2001241 */   // Label 26739: @2001241
     /* 2001241 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2001330), // Rule ID 22970 //
     /* 2001246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001292 */     // MIs[0] round
     /* 2001292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2001305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001329 */     // GIR_Coverage, 22970,
     /* 2001329 */     GIR_EraseRootFromParent_Done,
     /* 2001330 */   // Label 26740: @2001330
     /* 2001330 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2001419), // Rule ID 22971 //
     /* 2001335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001381 */     // MIs[0] round
     /* 2001381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2001394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001418 */     // GIR_Coverage, 22971,
     /* 2001418 */     GIR_EraseRootFromParent_Done,
     /* 2001419 */   // Label 26741: @2001419
     /* 2001419 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2001508), // Rule ID 22974 //
     /* 2001424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001470 */     // MIs[0] round
     /* 2001470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001507 */     // GIR_Coverage, 22974,
     /* 2001507 */     GIR_EraseRootFromParent_Done,
     /* 2001508 */   // Label 26742: @2001508
     /* 2001508 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2001597), // Rule ID 22975 //
     /* 2001513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001559 */     // MIs[0] round
     /* 2001559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001569 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001596 */     // GIR_Coverage, 22975,
     /* 2001596 */     GIR_EraseRootFromParent_Done,
     /* 2001597 */   // Label 26743: @2001597
     /* 2001597 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2001686), // Rule ID 22978 //
     /* 2001602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001648 */     // MIs[0] round
     /* 2001648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001658 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001685 */     // GIR_Coverage, 22978,
     /* 2001685 */     GIR_EraseRootFromParent_Done,
     /* 2001686 */   // Label 26744: @2001686
     /* 2001686 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2001775), // Rule ID 22979 //
     /* 2001691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001737 */     // MIs[0] round
     /* 2001737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001774 */     // GIR_Coverage, 22979,
     /* 2001774 */     GIR_EraseRootFromParent_Done,
     /* 2001775 */   // Label 26745: @2001775
     /* 2001775 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2001864), // Rule ID 22982 //
     /* 2001780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001826 */     // MIs[0] round
     /* 2001826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001836 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001863 */     // GIR_Coverage, 22982,
     /* 2001863 */     GIR_EraseRootFromParent_Done,
     /* 2001864 */   // Label 26746: @2001864
     /* 2001864 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2001953), // Rule ID 22983 //
     /* 2001869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001915 */     // MIs[0] round
     /* 2001915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001925 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001952 */     // GIR_Coverage, 22983,
     /* 2001952 */     GIR_EraseRootFromParent_Done,
     /* 2001953 */   // Label 26747: @2001953
     /* 2001953 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2002042), // Rule ID 22986 //
     /* 2001958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002004 */     // MIs[0] round
     /* 2002004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002014 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2002017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002041 */     // GIR_Coverage, 22986,
     /* 2002041 */     GIR_EraseRootFromParent_Done,
     /* 2002042 */   // Label 26748: @2002042
     /* 2002042 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2002131), // Rule ID 22987 //
     /* 2002047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2002055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002093 */     // MIs[0] round
     /* 2002093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2002106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002130 */     // GIR_Coverage, 22987,
     /* 2002130 */     GIR_EraseRootFromParent_Done,
     /* 2002131 */   // Label 26749: @2002131
     /* 2002131 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2002220), // Rule ID 22990 //
     /* 2002136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2002144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002182 */     // MIs[0] round
     /* 2002182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002192 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2002195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002219 */     // GIR_Coverage, 22990,
     /* 2002219 */     GIR_EraseRootFromParent_Done,
     /* 2002220 */   // Label 26750: @2002220
     /* 2002220 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2002309), // Rule ID 22991 //
     /* 2002225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2002233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002271 */     // MIs[0] round
     /* 2002271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002281 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2002284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002308 */     // GIR_Coverage, 22991,
     /* 2002308 */     GIR_EraseRootFromParent_Done,
     /* 2002309 */   // Label 26751: @2002309
     /* 2002309 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2002398), // Rule ID 22994 //
     /* 2002314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2002331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002360 */     // MIs[0] round
     /* 2002360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2002373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002397 */     // GIR_Coverage, 22994,
     /* 2002397 */     GIR_EraseRootFromParent_Done,
     /* 2002398 */   // Label 26752: @2002398
     /* 2002398 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2002487), // Rule ID 22995 //
     /* 2002403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2002420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002449 */     // MIs[0] round
     /* 2002449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002459 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2002462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002486 */     // GIR_Coverage, 22995,
     /* 2002486 */     GIR_EraseRootFromParent_Done,
     /* 2002487 */   // Label 26753: @2002487
     /* 2002487 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2002576), // Rule ID 22998 //
     /* 2002492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002538 */     // MIs[0] round
     /* 2002538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002575 */     // GIR_Coverage, 22998,
     /* 2002575 */     GIR_EraseRootFromParent_Done,
     /* 2002576 */   // Label 26754: @2002576
     /* 2002576 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2002665), // Rule ID 22999 //
     /* 2002581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002627 */     // MIs[0] round
     /* 2002627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002637 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002664 */     // GIR_Coverage, 22999,
     /* 2002664 */     GIR_EraseRootFromParent_Done,
     /* 2002665 */   // Label 26755: @2002665
     /* 2002665 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2002754), // Rule ID 23002 //
     /* 2002670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002716 */     // MIs[0] round
     /* 2002716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002726 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002753 */     // GIR_Coverage, 23002,
     /* 2002753 */     GIR_EraseRootFromParent_Done,
     /* 2002754 */   // Label 26756: @2002754
     /* 2002754 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2002843), // Rule ID 23003 //
     /* 2002759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002805 */     // MIs[0] round
     /* 2002805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002815 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002842 */     // GIR_Coverage, 23003,
     /* 2002842 */     GIR_EraseRootFromParent_Done,
     /* 2002843 */   // Label 26757: @2002843
     /* 2002843 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2002932), // Rule ID 23006 //
     /* 2002848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002894 */     // MIs[0] round
     /* 2002894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002904 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002931 */     // GIR_Coverage, 23006,
     /* 2002931 */     GIR_EraseRootFromParent_Done,
     /* 2002932 */   // Label 26758: @2002932
     /* 2002932 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2003021), // Rule ID 23007 //
     /* 2002937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002983 */     // MIs[0] round
     /* 2002983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002993 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003020 */     // GIR_Coverage, 23007,
     /* 2003020 */     GIR_EraseRootFromParent_Done,
     /* 2003021 */   // Label 26759: @2003021
     /* 2003021 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2003110), // Rule ID 23010 //
     /* 2003026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2003043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003072 */     // MIs[0] round
     /* 2003072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003082 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2003085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003109 */     // GIR_Coverage, 23010,
     /* 2003109 */     GIR_EraseRootFromParent_Done,
     /* 2003110 */   // Label 26760: @2003110
     /* 2003110 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2003199), // Rule ID 23011 //
     /* 2003115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2003132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003161 */     // MIs[0] round
     /* 2003161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003171 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2003174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003198 */     // GIR_Coverage, 23011,
     /* 2003198 */     GIR_EraseRootFromParent_Done,
     /* 2003199 */   // Label 26761: @2003199
     /* 2003199 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2003288), // Rule ID 23014 //
     /* 2003204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2003221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003250 */     // MIs[0] round
     /* 2003250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003260 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2003263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003287 */     // GIR_Coverage, 23014,
     /* 2003287 */     GIR_EraseRootFromParent_Done,
     /* 2003288 */   // Label 26762: @2003288
     /* 2003288 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2003377), // Rule ID 23015 //
     /* 2003293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2003310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003339 */     // MIs[0] round
     /* 2003339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003349 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2003352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003376 */     // GIR_Coverage, 23015,
     /* 2003376 */     GIR_EraseRootFromParent_Done,
     /* 2003377 */   // Label 26763: @2003377
     /* 2003377 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2003466), // Rule ID 23018 //
     /* 2003382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003428 */     // MIs[0] round
     /* 2003428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003438 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003465 */     // GIR_Coverage, 23018,
     /* 2003465 */     GIR_EraseRootFromParent_Done,
     /* 2003466 */   // Label 26764: @2003466
     /* 2003466 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2003555), // Rule ID 23019 //
     /* 2003471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003517 */     // MIs[0] round
     /* 2003517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003554 */     // GIR_Coverage, 23019,
     /* 2003554 */     GIR_EraseRootFromParent_Done,
     /* 2003555 */   // Label 26765: @2003555
     /* 2003555 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2003644), // Rule ID 23022 //
     /* 2003560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003606 */     // MIs[0] round
     /* 2003606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003643 */     // GIR_Coverage, 23022,
     /* 2003643 */     GIR_EraseRootFromParent_Done,
     /* 2003644 */   // Label 26766: @2003644
     /* 2003644 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2003733), // Rule ID 23023 //
     /* 2003649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003695 */     // MIs[0] round
     /* 2003695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003705 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003732 */     // GIR_Coverage, 23023,
     /* 2003732 */     GIR_EraseRootFromParent_Done,
     /* 2003733 */   // Label 26767: @2003733
     /* 2003733 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2003822), // Rule ID 23026 //
     /* 2003738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003784 */     // MIs[0] round
     /* 2003784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003794 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003821 */     // GIR_Coverage, 23026,
     /* 2003821 */     GIR_EraseRootFromParent_Done,
     /* 2003822 */   // Label 26768: @2003822
     /* 2003822 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2003911), // Rule ID 23027 //
     /* 2003827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003873 */     // MIs[0] round
     /* 2003873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003883 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003910 */     // GIR_Coverage, 23027,
     /* 2003910 */     GIR_EraseRootFromParent_Done,
     /* 2003911 */   // Label 26769: @2003911
     /* 2003911 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2004000), // Rule ID 23030 //
     /* 2003916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003962 */     // MIs[0] round
     /* 2003962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2003975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003999 */     // GIR_Coverage, 23030,
     /* 2003999 */     GIR_EraseRootFromParent_Done,
     /* 2004000 */   // Label 26770: @2004000
     /* 2004000 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2004089), // Rule ID 23031 //
     /* 2004005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2004013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2004022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004051 */     // MIs[0] round
     /* 2004051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004061 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2004064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004088 */     // GIR_Coverage, 23031,
     /* 2004088 */     GIR_EraseRootFromParent_Done,
     /* 2004089 */   // Label 26771: @2004089
     /* 2004089 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2004178), // Rule ID 23034 //
     /* 2004094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2004097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2004102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2004111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004140 */     // MIs[0] round
     /* 2004140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2004153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004177 */     // GIR_Coverage, 23034,
     /* 2004177 */     GIR_EraseRootFromParent_Done,
     /* 2004178 */   // Label 26772: @2004178
     /* 2004178 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2004267), // Rule ID 23035 //
     /* 2004183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2004191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2004200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004229 */     // MIs[0] round
     /* 2004229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004239 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2004242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004266 */     // GIR_Coverage, 23035,
     /* 2004266 */     GIR_EraseRootFromParent_Done,
     /* 2004267 */   // Label 26773: @2004267
     /* 2004267 */   GIM_Reject,
     /* 2004268 */ // Label 19771: @2004268
     /* 2004268 */ GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2192569),
     /* 2004273 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2004276 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2004378), // Rule ID 15870 //
     /* 2004281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2004292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2004295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2004298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004331 */     // MIs[1] Operand 1
     /* 2004331 */     // No operand predicates
     /* 2004331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004335 */     // MIs[0] round
     /* 2004335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004338 */     // MIs[0] policy
     /* 2004338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2004353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004377 */     // GIR_Coverage, 15870,
     /* 2004377 */     GIR_EraseRootFromParent_Done,
     /* 2004378 */   // Label 26775: @2004378
     /* 2004378 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2004480), // Rule ID 15871 //
     /* 2004383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2004394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2004397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2004400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004433 */     // MIs[1] Operand 1
     /* 2004433 */     // No operand predicates
     /* 2004433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004437 */     // MIs[0] round
     /* 2004437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004440 */     // MIs[0] policy
     /* 2004440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004452 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2004455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004479 */     // GIR_Coverage, 15871,
     /* 2004479 */     GIR_EraseRootFromParent_Done,
     /* 2004480 */   // Label 26776: @2004480
     /* 2004480 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2004582), // Rule ID 15874 //
     /* 2004485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004535 */     // MIs[1] Operand 1
     /* 2004535 */     // No operand predicates
     /* 2004535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004539 */     // MIs[0] round
     /* 2004539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004542 */     // MIs[0] policy
     /* 2004542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004554 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004581 */     // GIR_Coverage, 15874,
     /* 2004581 */     GIR_EraseRootFromParent_Done,
     /* 2004582 */   // Label 26777: @2004582
     /* 2004582 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2004684), // Rule ID 15875 //
     /* 2004587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004637 */     // MIs[1] Operand 1
     /* 2004637 */     // No operand predicates
     /* 2004637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004641 */     // MIs[0] round
     /* 2004641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004644 */     // MIs[0] policy
     /* 2004644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004656 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004683 */     // GIR_Coverage, 15875,
     /* 2004683 */     GIR_EraseRootFromParent_Done,
     /* 2004684 */   // Label 26778: @2004684
     /* 2004684 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2004786), // Rule ID 15878 //
     /* 2004689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004739 */     // MIs[1] Operand 1
     /* 2004739 */     // No operand predicates
     /* 2004739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004743 */     // MIs[0] round
     /* 2004743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004746 */     // MIs[0] policy
     /* 2004746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004785 */     // GIR_Coverage, 15878,
     /* 2004785 */     GIR_EraseRootFromParent_Done,
     /* 2004786 */   // Label 26779: @2004786
     /* 2004786 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2004888), // Rule ID 15879 //
     /* 2004791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004841 */     // MIs[1] Operand 1
     /* 2004841 */     // No operand predicates
     /* 2004841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004845 */     // MIs[0] round
     /* 2004845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004848 */     // MIs[0] policy
     /* 2004848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004887 */     // GIR_Coverage, 15879,
     /* 2004887 */     GIR_EraseRootFromParent_Done,
     /* 2004888 */   // Label 26780: @2004888
     /* 2004888 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2004990), // Rule ID 15882 //
     /* 2004893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004943 */     // MIs[1] Operand 1
     /* 2004943 */     // No operand predicates
     /* 2004943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004947 */     // MIs[0] round
     /* 2004947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004950 */     // MIs[0] policy
     /* 2004950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004989 */     // GIR_Coverage, 15882,
     /* 2004989 */     GIR_EraseRootFromParent_Done,
     /* 2004990 */   // Label 26781: @2004990
     /* 2004990 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2005092), // Rule ID 15883 //
     /* 2004995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2005006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2005009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2005012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005045 */     // MIs[1] Operand 1
     /* 2005045 */     // No operand predicates
     /* 2005045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005049 */     // MIs[0] round
     /* 2005049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005052 */     // MIs[0] policy
     /* 2005052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2005067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005091 */     // GIR_Coverage, 15883,
     /* 2005091 */     GIR_EraseRootFromParent_Done,
     /* 2005092 */   // Label 26782: @2005092
     /* 2005092 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2005194), // Rule ID 15886 //
     /* 2005097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2005108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2005111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2005114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005147 */     // MIs[1] Operand 1
     /* 2005147 */     // No operand predicates
     /* 2005147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005151 */     // MIs[0] round
     /* 2005151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005154 */     // MIs[0] policy
     /* 2005154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005193 */     // GIR_Coverage, 15886,
     /* 2005193 */     GIR_EraseRootFromParent_Done,
     /* 2005194 */   // Label 26783: @2005194
     /* 2005194 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2005296), // Rule ID 15887 //
     /* 2005199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2005210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2005213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2005216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005249 */     // MIs[1] Operand 1
     /* 2005249 */     // No operand predicates
     /* 2005249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005253 */     // MIs[0] round
     /* 2005253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005256 */     // MIs[0] policy
     /* 2005256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005295 */     // GIR_Coverage, 15887,
     /* 2005295 */     GIR_EraseRootFromParent_Done,
     /* 2005296 */   // Label 26784: @2005296
     /* 2005296 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2005398), // Rule ID 15890 //
     /* 2005301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2005318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005351 */     // MIs[1] Operand 1
     /* 2005351 */     // No operand predicates
     /* 2005351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005355 */     // MIs[0] round
     /* 2005355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005358 */     // MIs[0] policy
     /* 2005358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005397 */     // GIR_Coverage, 15890,
     /* 2005397 */     GIR_EraseRootFromParent_Done,
     /* 2005398 */   // Label 26785: @2005398
     /* 2005398 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2005500), // Rule ID 15891 //
     /* 2005403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2005420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005453 */     // MIs[1] Operand 1
     /* 2005453 */     // No operand predicates
     /* 2005453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005457 */     // MIs[0] round
     /* 2005457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005460 */     // MIs[0] policy
     /* 2005460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005499 */     // GIR_Coverage, 15891,
     /* 2005499 */     GIR_EraseRootFromParent_Done,
     /* 2005500 */   // Label 26786: @2005500
     /* 2005500 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2005602), // Rule ID 15894 //
     /* 2005505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005555 */     // MIs[1] Operand 1
     /* 2005555 */     // No operand predicates
     /* 2005555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005559 */     // MIs[0] round
     /* 2005559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005562 */     // MIs[0] policy
     /* 2005562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005601 */     // GIR_Coverage, 15894,
     /* 2005601 */     GIR_EraseRootFromParent_Done,
     /* 2005602 */   // Label 26787: @2005602
     /* 2005602 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2005704), // Rule ID 15895 //
     /* 2005607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005657 */     // MIs[1] Operand 1
     /* 2005657 */     // No operand predicates
     /* 2005657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005661 */     // MIs[0] round
     /* 2005661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005664 */     // MIs[0] policy
     /* 2005664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005703 */     // GIR_Coverage, 15895,
     /* 2005703 */     GIR_EraseRootFromParent_Done,
     /* 2005704 */   // Label 26788: @2005704
     /* 2005704 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2005806), // Rule ID 15898 //
     /* 2005709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005759 */     // MIs[1] Operand 1
     /* 2005759 */     // No operand predicates
     /* 2005759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005763 */     // MIs[0] round
     /* 2005763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005766 */     // MIs[0] policy
     /* 2005766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005805 */     // GIR_Coverage, 15898,
     /* 2005805 */     GIR_EraseRootFromParent_Done,
     /* 2005806 */   // Label 26789: @2005806
     /* 2005806 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2005908), // Rule ID 15899 //
     /* 2005811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005861 */     // MIs[1] Operand 1
     /* 2005861 */     // No operand predicates
     /* 2005861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005865 */     // MIs[0] round
     /* 2005865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005868 */     // MIs[0] policy
     /* 2005868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005907 */     // GIR_Coverage, 15899,
     /* 2005907 */     GIR_EraseRootFromParent_Done,
     /* 2005908 */   // Label 26790: @2005908
     /* 2005908 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2006010), // Rule ID 15902 //
     /* 2005913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005963 */     // MIs[1] Operand 1
     /* 2005963 */     // No operand predicates
     /* 2005963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005967 */     // MIs[0] round
     /* 2005967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005970 */     // MIs[0] policy
     /* 2005970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006009 */     // GIR_Coverage, 15902,
     /* 2006009 */     GIR_EraseRootFromParent_Done,
     /* 2006010 */   // Label 26791: @2006010
     /* 2006010 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2006112), // Rule ID 15903 //
     /* 2006015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2006032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006065 */     // MIs[1] Operand 1
     /* 2006065 */     // No operand predicates
     /* 2006065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006069 */     // MIs[0] round
     /* 2006069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006072 */     // MIs[0] policy
     /* 2006072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2006087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006111 */     // GIR_Coverage, 15903,
     /* 2006111 */     GIR_EraseRootFromParent_Done,
     /* 2006112 */   // Label 26792: @2006112
     /* 2006112 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2006214), // Rule ID 15906 //
     /* 2006117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2006134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006167 */     // MIs[1] Operand 1
     /* 2006167 */     // No operand predicates
     /* 2006167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006171 */     // MIs[0] round
     /* 2006171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006174 */     // MIs[0] policy
     /* 2006174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2006189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006213 */     // GIR_Coverage, 15906,
     /* 2006213 */     GIR_EraseRootFromParent_Done,
     /* 2006214 */   // Label 26793: @2006214
     /* 2006214 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2006316), // Rule ID 15907 //
     /* 2006219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2006236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006269 */     // MIs[1] Operand 1
     /* 2006269 */     // No operand predicates
     /* 2006269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006273 */     // MIs[0] round
     /* 2006273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006276 */     // MIs[0] policy
     /* 2006276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2006291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006315 */     // GIR_Coverage, 15907,
     /* 2006315 */     GIR_EraseRootFromParent_Done,
     /* 2006316 */   // Label 26794: @2006316
     /* 2006316 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2006418), // Rule ID 15910 //
     /* 2006321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2006332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2006335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006371 */     // MIs[1] Operand 1
     /* 2006371 */     // No operand predicates
     /* 2006371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006375 */     // MIs[0] round
     /* 2006375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006378 */     // MIs[0] policy
     /* 2006378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006390 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006417 */     // GIR_Coverage, 15910,
     /* 2006417 */     GIR_EraseRootFromParent_Done,
     /* 2006418 */   // Label 26795: @2006418
     /* 2006418 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2006520), // Rule ID 15911 //
     /* 2006423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2006434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2006437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006473 */     // MIs[1] Operand 1
     /* 2006473 */     // No operand predicates
     /* 2006473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006477 */     // MIs[0] round
     /* 2006477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006480 */     // MIs[0] policy
     /* 2006480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006519 */     // GIR_Coverage, 15911,
     /* 2006519 */     GIR_EraseRootFromParent_Done,
     /* 2006520 */   // Label 26796: @2006520
     /* 2006520 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2006622), // Rule ID 15914 //
     /* 2006525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006575 */     // MIs[1] Operand 1
     /* 2006575 */     // No operand predicates
     /* 2006575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006579 */     // MIs[0] round
     /* 2006579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006582 */     // MIs[0] policy
     /* 2006582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006621 */     // GIR_Coverage, 15914,
     /* 2006621 */     GIR_EraseRootFromParent_Done,
     /* 2006622 */   // Label 26797: @2006622
     /* 2006622 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2006724), // Rule ID 15915 //
     /* 2006627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006677 */     // MIs[1] Operand 1
     /* 2006677 */     // No operand predicates
     /* 2006677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006681 */     // MIs[0] round
     /* 2006681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006684 */     // MIs[0] policy
     /* 2006684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006723 */     // GIR_Coverage, 15915,
     /* 2006723 */     GIR_EraseRootFromParent_Done,
     /* 2006724 */   // Label 26798: @2006724
     /* 2006724 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2006826), // Rule ID 15918 //
     /* 2006729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006779 */     // MIs[1] Operand 1
     /* 2006779 */     // No operand predicates
     /* 2006779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006783 */     // MIs[0] round
     /* 2006783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006786 */     // MIs[0] policy
     /* 2006786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006798 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006825 */     // GIR_Coverage, 15918,
     /* 2006825 */     GIR_EraseRootFromParent_Done,
     /* 2006826 */   // Label 26799: @2006826
     /* 2006826 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2006928), // Rule ID 15919 //
     /* 2006831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006881 */     // MIs[1] Operand 1
     /* 2006881 */     // No operand predicates
     /* 2006881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006885 */     // MIs[0] round
     /* 2006885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006888 */     // MIs[0] policy
     /* 2006888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006900 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006927 */     // GIR_Coverage, 15919,
     /* 2006927 */     GIR_EraseRootFromParent_Done,
     /* 2006928 */   // Label 26800: @2006928
     /* 2006928 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2007030), // Rule ID 15922 //
     /* 2006933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006983 */     // MIs[1] Operand 1
     /* 2006983 */     // No operand predicates
     /* 2006983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006987 */     // MIs[0] round
     /* 2006987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006990 */     // MIs[0] policy
     /* 2006990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007029 */     // GIR_Coverage, 15922,
     /* 2007029 */     GIR_EraseRootFromParent_Done,
     /* 2007030 */   // Label 26801: @2007030
     /* 2007030 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2007132), // Rule ID 15923 //
     /* 2007035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2007046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2007049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007085 */     // MIs[1] Operand 1
     /* 2007085 */     // No operand predicates
     /* 2007085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007089 */     // MIs[0] round
     /* 2007089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007092 */     // MIs[0] policy
     /* 2007092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007131 */     // GIR_Coverage, 15923,
     /* 2007131 */     GIR_EraseRootFromParent_Done,
     /* 2007132 */   // Label 26802: @2007132
     /* 2007132 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2007234), // Rule ID 15926 //
     /* 2007137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2007148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2007151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007187 */     // MIs[1] Operand 1
     /* 2007187 */     // No operand predicates
     /* 2007187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007191 */     // MIs[0] round
     /* 2007191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007194 */     // MIs[0] policy
     /* 2007194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007233 */     // GIR_Coverage, 15926,
     /* 2007233 */     GIR_EraseRootFromParent_Done,
     /* 2007234 */   // Label 26803: @2007234
     /* 2007234 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2007336), // Rule ID 15927 //
     /* 2007239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2007250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2007253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007289 */     // MIs[1] Operand 1
     /* 2007289 */     // No operand predicates
     /* 2007289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007293 */     // MIs[0] round
     /* 2007293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007296 */     // MIs[0] policy
     /* 2007296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007335 */     // GIR_Coverage, 15927,
     /* 2007335 */     GIR_EraseRootFromParent_Done,
     /* 2007336 */   // Label 26804: @2007336
     /* 2007336 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2007438), // Rule ID 15930 //
     /* 2007341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2007352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2007355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007391 */     // MIs[1] Operand 1
     /* 2007391 */     // No operand predicates
     /* 2007391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007395 */     // MIs[0] round
     /* 2007395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007398 */     // MIs[0] policy
     /* 2007398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007437 */     // GIR_Coverage, 15930,
     /* 2007437 */     GIR_EraseRootFromParent_Done,
     /* 2007438 */   // Label 26805: @2007438
     /* 2007438 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2007540), // Rule ID 15931 //
     /* 2007443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2007454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2007457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007493 */     // MIs[1] Operand 1
     /* 2007493 */     // No operand predicates
     /* 2007493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007497 */     // MIs[0] round
     /* 2007497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007500 */     // MIs[0] policy
     /* 2007500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007539 */     // GIR_Coverage, 15931,
     /* 2007539 */     GIR_EraseRootFromParent_Done,
     /* 2007540 */   // Label 26806: @2007540
     /* 2007540 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2007642), // Rule ID 15934 //
     /* 2007545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007595 */     // MIs[1] Operand 1
     /* 2007595 */     // No operand predicates
     /* 2007595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007599 */     // MIs[0] round
     /* 2007599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007602 */     // MIs[0] policy
     /* 2007602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007641 */     // GIR_Coverage, 15934,
     /* 2007641 */     GIR_EraseRootFromParent_Done,
     /* 2007642 */   // Label 26807: @2007642
     /* 2007642 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2007744), // Rule ID 15935 //
     /* 2007647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007697 */     // MIs[1] Operand 1
     /* 2007697 */     // No operand predicates
     /* 2007697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007701 */     // MIs[0] round
     /* 2007701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007704 */     // MIs[0] policy
     /* 2007704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007743 */     // GIR_Coverage, 15935,
     /* 2007743 */     GIR_EraseRootFromParent_Done,
     /* 2007744 */   // Label 26808: @2007744
     /* 2007744 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2007846), // Rule ID 15938 //
     /* 2007749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007799 */     // MIs[1] Operand 1
     /* 2007799 */     // No operand predicates
     /* 2007799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007803 */     // MIs[0] round
     /* 2007803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007806 */     // MIs[0] policy
     /* 2007806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007845 */     // GIR_Coverage, 15938,
     /* 2007845 */     GIR_EraseRootFromParent_Done,
     /* 2007846 */   // Label 26809: @2007846
     /* 2007846 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2007948), // Rule ID 15939 //
     /* 2007851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007901 */     // MIs[1] Operand 1
     /* 2007901 */     // No operand predicates
     /* 2007901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007905 */     // MIs[0] round
     /* 2007905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007908 */     // MIs[0] policy
     /* 2007908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007947 */     // GIR_Coverage, 15939,
     /* 2007947 */     GIR_EraseRootFromParent_Done,
     /* 2007948 */   // Label 26810: @2007948
     /* 2007948 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2008050), // Rule ID 15942 //
     /* 2007953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008003 */     // MIs[1] Operand 1
     /* 2008003 */     // No operand predicates
     /* 2008003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008007 */     // MIs[0] round
     /* 2008007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008010 */     // MIs[0] policy
     /* 2008010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008049 */     // GIR_Coverage, 15942,
     /* 2008049 */     GIR_EraseRootFromParent_Done,
     /* 2008050 */   // Label 26811: @2008050
     /* 2008050 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2008152), // Rule ID 15943 //
     /* 2008055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2008066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2008069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008105 */     // MIs[1] Operand 1
     /* 2008105 */     // No operand predicates
     /* 2008105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008109 */     // MIs[0] round
     /* 2008109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008112 */     // MIs[0] policy
     /* 2008112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008151 */     // GIR_Coverage, 15943,
     /* 2008151 */     GIR_EraseRootFromParent_Done,
     /* 2008152 */   // Label 26812: @2008152
     /* 2008152 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2008254), // Rule ID 15946 //
     /* 2008157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2008168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2008171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2008174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008207 */     // MIs[1] Operand 1
     /* 2008207 */     // No operand predicates
     /* 2008207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008211 */     // MIs[0] round
     /* 2008211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008214 */     // MIs[0] policy
     /* 2008214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2008229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008253 */     // GIR_Coverage, 15946,
     /* 2008253 */     GIR_EraseRootFromParent_Done,
     /* 2008254 */   // Label 26813: @2008254
     /* 2008254 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2008356), // Rule ID 15947 //
     /* 2008259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2008270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2008273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2008276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008309 */     // MIs[1] Operand 1
     /* 2008309 */     // No operand predicates
     /* 2008309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008313 */     // MIs[0] round
     /* 2008313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008316 */     // MIs[0] policy
     /* 2008316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008328 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2008331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008355 */     // GIR_Coverage, 15947,
     /* 2008355 */     GIR_EraseRootFromParent_Done,
     /* 2008356 */   // Label 26814: @2008356
     /* 2008356 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2008458), // Rule ID 15950 //
     /* 2008361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008411 */     // MIs[1] Operand 1
     /* 2008411 */     // No operand predicates
     /* 2008411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008415 */     // MIs[0] round
     /* 2008415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008418 */     // MIs[0] policy
     /* 2008418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2008433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008457 */     // GIR_Coverage, 15950,
     /* 2008457 */     GIR_EraseRootFromParent_Done,
     /* 2008458 */   // Label 26815: @2008458
     /* 2008458 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2008560), // Rule ID 15951 //
     /* 2008463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008513 */     // MIs[1] Operand 1
     /* 2008513 */     // No operand predicates
     /* 2008513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008517 */     // MIs[0] round
     /* 2008517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008520 */     // MIs[0] policy
     /* 2008520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2008535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008559 */     // GIR_Coverage, 15951,
     /* 2008559 */     GIR_EraseRootFromParent_Done,
     /* 2008560 */   // Label 26816: @2008560
     /* 2008560 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2008662), // Rule ID 15954 //
     /* 2008565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008615 */     // MIs[1] Operand 1
     /* 2008615 */     // No operand predicates
     /* 2008615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008619 */     // MIs[0] round
     /* 2008619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008622 */     // MIs[0] policy
     /* 2008622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008661 */     // GIR_Coverage, 15954,
     /* 2008661 */     GIR_EraseRootFromParent_Done,
     /* 2008662 */   // Label 26817: @2008662
     /* 2008662 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2008764), // Rule ID 15955 //
     /* 2008667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008717 */     // MIs[1] Operand 1
     /* 2008717 */     // No operand predicates
     /* 2008717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008721 */     // MIs[0] round
     /* 2008721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008724 */     // MIs[0] policy
     /* 2008724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008763 */     // GIR_Coverage, 15955,
     /* 2008763 */     GIR_EraseRootFromParent_Done,
     /* 2008764 */   // Label 26818: @2008764
     /* 2008764 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2008866), // Rule ID 16134 //
     /* 2008769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008819 */     // MIs[1] Operand 1
     /* 2008819 */     // No operand predicates
     /* 2008819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008823 */     // MIs[0] round
     /* 2008823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008826 */     // MIs[0] policy
     /* 2008826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008838 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008865 */     // GIR_Coverage, 16134,
     /* 2008865 */     GIR_EraseRootFromParent_Done,
     /* 2008866 */   // Label 26819: @2008866
     /* 2008866 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2008968), // Rule ID 16135 //
     /* 2008871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008921 */     // MIs[1] Operand 1
     /* 2008921 */     // No operand predicates
     /* 2008921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008925 */     // MIs[0] round
     /* 2008925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008928 */     // MIs[0] policy
     /* 2008928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008940 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008967 */     // GIR_Coverage, 16135,
     /* 2008967 */     GIR_EraseRootFromParent_Done,
     /* 2008968 */   // Label 26820: @2008968
     /* 2008968 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2009070), // Rule ID 16138 //
     /* 2008973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009023 */     // MIs[1] Operand 1
     /* 2009023 */     // No operand predicates
     /* 2009023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009027 */     // MIs[0] round
     /* 2009027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009030 */     // MIs[0] policy
     /* 2009030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009069 */     // GIR_Coverage, 16138,
     /* 2009069 */     GIR_EraseRootFromParent_Done,
     /* 2009070 */   // Label 26821: @2009070
     /* 2009070 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2009172), // Rule ID 16139 //
     /* 2009075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2009086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2009089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2009092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009125 */     // MIs[1] Operand 1
     /* 2009125 */     // No operand predicates
     /* 2009125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009129 */     // MIs[0] round
     /* 2009129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009132 */     // MIs[0] policy
     /* 2009132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009144 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009171 */     // GIR_Coverage, 16139,
     /* 2009171 */     GIR_EraseRootFromParent_Done,
     /* 2009172 */   // Label 26822: @2009172
     /* 2009172 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2009274), // Rule ID 16142 //
     /* 2009177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2009188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2009191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2009194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009227 */     // MIs[1] Operand 1
     /* 2009227 */     // No operand predicates
     /* 2009227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009231 */     // MIs[0] round
     /* 2009231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009234 */     // MIs[0] policy
     /* 2009234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009273 */     // GIR_Coverage, 16142,
     /* 2009273 */     GIR_EraseRootFromParent_Done,
     /* 2009274 */   // Label 26823: @2009274
     /* 2009274 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2009376), // Rule ID 16143 //
     /* 2009279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2009290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2009293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2009296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009329 */     // MIs[1] Operand 1
     /* 2009329 */     // No operand predicates
     /* 2009329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009333 */     // MIs[0] round
     /* 2009333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009336 */     // MIs[0] policy
     /* 2009336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009375 */     // GIR_Coverage, 16143,
     /* 2009375 */     GIR_EraseRootFromParent_Done,
     /* 2009376 */   // Label 26824: @2009376
     /* 2009376 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2009478), // Rule ID 16146 //
     /* 2009381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009431 */     // MIs[1] Operand 1
     /* 2009431 */     // No operand predicates
     /* 2009431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009435 */     // MIs[0] round
     /* 2009435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009438 */     // MIs[0] policy
     /* 2009438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009477 */     // GIR_Coverage, 16146,
     /* 2009477 */     GIR_EraseRootFromParent_Done,
     /* 2009478 */   // Label 26825: @2009478
     /* 2009478 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2009580), // Rule ID 16147 //
     /* 2009483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009533 */     // MIs[1] Operand 1
     /* 2009533 */     // No operand predicates
     /* 2009533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009537 */     // MIs[0] round
     /* 2009537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009540 */     // MIs[0] policy
     /* 2009540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009579 */     // GIR_Coverage, 16147,
     /* 2009579 */     GIR_EraseRootFromParent_Done,
     /* 2009580 */   // Label 26826: @2009580
     /* 2009580 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2009682), // Rule ID 16150 //
     /* 2009585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009635 */     // MIs[1] Operand 1
     /* 2009635 */     // No operand predicates
     /* 2009635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009639 */     // MIs[0] round
     /* 2009639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009642 */     // MIs[0] policy
     /* 2009642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009681 */     // GIR_Coverage, 16150,
     /* 2009681 */     GIR_EraseRootFromParent_Done,
     /* 2009682 */   // Label 26827: @2009682
     /* 2009682 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2009784), // Rule ID 16151 //
     /* 2009687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009737 */     // MIs[1] Operand 1
     /* 2009737 */     // No operand predicates
     /* 2009737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009741 */     // MIs[0] round
     /* 2009741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009744 */     // MIs[0] policy
     /* 2009744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009783 */     // GIR_Coverage, 16151,
     /* 2009783 */     GIR_EraseRootFromParent_Done,
     /* 2009784 */   // Label 26828: @2009784
     /* 2009784 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2009886), // Rule ID 16154 //
     /* 2009789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009839 */     // MIs[1] Operand 1
     /* 2009839 */     // No operand predicates
     /* 2009839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009843 */     // MIs[0] round
     /* 2009843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009846 */     // MIs[0] policy
     /* 2009846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009885 */     // GIR_Coverage, 16154,
     /* 2009885 */     GIR_EraseRootFromParent_Done,
     /* 2009886 */   // Label 26829: @2009886
     /* 2009886 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2009988), // Rule ID 16155 //
     /* 2009891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009941 */     // MIs[1] Operand 1
     /* 2009941 */     // No operand predicates
     /* 2009941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009945 */     // MIs[0] round
     /* 2009945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009948 */     // MIs[0] policy
     /* 2009948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009987 */     // GIR_Coverage, 16155,
     /* 2009987 */     GIR_EraseRootFromParent_Done,
     /* 2009988 */   // Label 26830: @2009988
     /* 2009988 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2010090), // Rule ID 16158 //
     /* 2009993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2010004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2010007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2010010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010043 */     // MIs[1] Operand 1
     /* 2010043 */     // No operand predicates
     /* 2010043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010047 */     // MIs[0] round
     /* 2010047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010050 */     // MIs[0] policy
     /* 2010050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010062 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010089 */     // GIR_Coverage, 16158,
     /* 2010089 */     GIR_EraseRootFromParent_Done,
     /* 2010090 */   // Label 26831: @2010090
     /* 2010090 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2010192), // Rule ID 16159 //
     /* 2010095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2010106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2010109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2010112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010145 */     // MIs[1] Operand 1
     /* 2010145 */     // No operand predicates
     /* 2010145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010149 */     // MIs[0] round
     /* 2010149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010152 */     // MIs[0] policy
     /* 2010152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010191 */     // GIR_Coverage, 16159,
     /* 2010191 */     GIR_EraseRootFromParent_Done,
     /* 2010192 */   // Label 26832: @2010192
     /* 2010192 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2010294), // Rule ID 16162 //
     /* 2010197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2010214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010247 */     // MIs[1] Operand 1
     /* 2010247 */     // No operand predicates
     /* 2010247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010251 */     // MIs[0] round
     /* 2010251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010254 */     // MIs[0] policy
     /* 2010254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010293 */     // GIR_Coverage, 16162,
     /* 2010293 */     GIR_EraseRootFromParent_Done,
     /* 2010294 */   // Label 26833: @2010294
     /* 2010294 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2010396), // Rule ID 16163 //
     /* 2010299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2010316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010349 */     // MIs[1] Operand 1
     /* 2010349 */     // No operand predicates
     /* 2010349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010353 */     // MIs[0] round
     /* 2010353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010356 */     // MIs[0] policy
     /* 2010356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010395 */     // GIR_Coverage, 16163,
     /* 2010395 */     GIR_EraseRootFromParent_Done,
     /* 2010396 */   // Label 26834: @2010396
     /* 2010396 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2010498), // Rule ID 16166 //
     /* 2010401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010451 */     // MIs[1] Operand 1
     /* 2010451 */     // No operand predicates
     /* 2010451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010455 */     // MIs[0] round
     /* 2010455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010458 */     // MIs[0] policy
     /* 2010458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010497 */     // GIR_Coverage, 16166,
     /* 2010497 */     GIR_EraseRootFromParent_Done,
     /* 2010498 */   // Label 26835: @2010498
     /* 2010498 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2010600), // Rule ID 16167 //
     /* 2010503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010553 */     // MIs[1] Operand 1
     /* 2010553 */     // No operand predicates
     /* 2010553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010557 */     // MIs[0] round
     /* 2010557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010560 */     // MIs[0] policy
     /* 2010560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010599 */     // GIR_Coverage, 16167,
     /* 2010599 */     GIR_EraseRootFromParent_Done,
     /* 2010600 */   // Label 26836: @2010600
     /* 2010600 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2010702), // Rule ID 16170 //
     /* 2010605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010655 */     // MIs[1] Operand 1
     /* 2010655 */     // No operand predicates
     /* 2010655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010659 */     // MIs[0] round
     /* 2010659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010662 */     // MIs[0] policy
     /* 2010662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010701 */     // GIR_Coverage, 16170,
     /* 2010701 */     GIR_EraseRootFromParent_Done,
     /* 2010702 */   // Label 26837: @2010702
     /* 2010702 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2010804), // Rule ID 16171 //
     /* 2010707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010757 */     // MIs[1] Operand 1
     /* 2010757 */     // No operand predicates
     /* 2010757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010761 */     // MIs[0] round
     /* 2010761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010764 */     // MIs[0] policy
     /* 2010764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010803 */     // GIR_Coverage, 16171,
     /* 2010803 */     GIR_EraseRootFromParent_Done,
     /* 2010804 */   // Label 26838: @2010804
     /* 2010804 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2010906), // Rule ID 16174 //
     /* 2010809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010859 */     // MIs[1] Operand 1
     /* 2010859 */     // No operand predicates
     /* 2010859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010863 */     // MIs[0] round
     /* 2010863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010866 */     // MIs[0] policy
     /* 2010866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010905 */     // GIR_Coverage, 16174,
     /* 2010905 */     GIR_EraseRootFromParent_Done,
     /* 2010906 */   // Label 26839: @2010906
     /* 2010906 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2011008), // Rule ID 16175 //
     /* 2010911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010961 */     // MIs[1] Operand 1
     /* 2010961 */     // No operand predicates
     /* 2010961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010965 */     // MIs[0] round
     /* 2010965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010968 */     // MIs[0] policy
     /* 2010968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011007 */     // GIR_Coverage, 16175,
     /* 2011007 */     GIR_EraseRootFromParent_Done,
     /* 2011008 */   // Label 26840: @2011008
     /* 2011008 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2011110), // Rule ID 16178 //
     /* 2011013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2011024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2011027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2011030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011063 */     // MIs[1] Operand 1
     /* 2011063 */     // No operand predicates
     /* 2011063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011067 */     // MIs[0] round
     /* 2011067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011070 */     // MIs[0] policy
     /* 2011070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011109 */     // GIR_Coverage, 16178,
     /* 2011109 */     GIR_EraseRootFromParent_Done,
     /* 2011110 */   // Label 26841: @2011110
     /* 2011110 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2011212), // Rule ID 16179 //
     /* 2011115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2011126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2011129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2011132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011165 */     // MIs[1] Operand 1
     /* 2011165 */     // No operand predicates
     /* 2011165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011169 */     // MIs[0] round
     /* 2011169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011172 */     // MIs[0] policy
     /* 2011172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011211 */     // GIR_Coverage, 16179,
     /* 2011211 */     GIR_EraseRootFromParent_Done,
     /* 2011212 */   // Label 26842: @2011212
     /* 2011212 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2011314), // Rule ID 16182 //
     /* 2011217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2011228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2011231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2011234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2011240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011267 */     // MIs[1] Operand 1
     /* 2011267 */     // No operand predicates
     /* 2011267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011271 */     // MIs[0] round
     /* 2011271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011274 */     // MIs[0] policy
     /* 2011274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011313 */     // GIR_Coverage, 16182,
     /* 2011313 */     GIR_EraseRootFromParent_Done,
     /* 2011314 */   // Label 26843: @2011314
     /* 2011314 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2011416), // Rule ID 16183 //
     /* 2011319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2011330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2011333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2011336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2011342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011369 */     // MIs[1] Operand 1
     /* 2011369 */     // No operand predicates
     /* 2011369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011373 */     // MIs[0] round
     /* 2011373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011376 */     // MIs[0] policy
     /* 2011376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011415 */     // GIR_Coverage, 16183,
     /* 2011415 */     GIR_EraseRootFromParent_Done,
     /* 2011416 */   // Label 26844: @2011416
     /* 2011416 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2011518), // Rule ID 16186 //
     /* 2011421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011471 */     // MIs[1] Operand 1
     /* 2011471 */     // No operand predicates
     /* 2011471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011475 */     // MIs[0] round
     /* 2011475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011478 */     // MIs[0] policy
     /* 2011478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011517 */     // GIR_Coverage, 16186,
     /* 2011517 */     GIR_EraseRootFromParent_Done,
     /* 2011518 */   // Label 26845: @2011518
     /* 2011518 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2011620), // Rule ID 16187 //
     /* 2011523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011573 */     // MIs[1] Operand 1
     /* 2011573 */     // No operand predicates
     /* 2011573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011577 */     // MIs[0] round
     /* 2011577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011580 */     // MIs[0] policy
     /* 2011580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011619 */     // GIR_Coverage, 16187,
     /* 2011619 */     GIR_EraseRootFromParent_Done,
     /* 2011620 */   // Label 26846: @2011620
     /* 2011620 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2011722), // Rule ID 16190 //
     /* 2011625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011675 */     // MIs[1] Operand 1
     /* 2011675 */     // No operand predicates
     /* 2011675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011679 */     // MIs[0] round
     /* 2011679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011682 */     // MIs[0] policy
     /* 2011682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011721 */     // GIR_Coverage, 16190,
     /* 2011721 */     GIR_EraseRootFromParent_Done,
     /* 2011722 */   // Label 26847: @2011722
     /* 2011722 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2011824), // Rule ID 16191 //
     /* 2011727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011777 */     // MIs[1] Operand 1
     /* 2011777 */     // No operand predicates
     /* 2011777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011781 */     // MIs[0] round
     /* 2011781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011784 */     // MIs[0] policy
     /* 2011784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011823 */     // GIR_Coverage, 16191,
     /* 2011823 */     GIR_EraseRootFromParent_Done,
     /* 2011824 */   // Label 26848: @2011824
     /* 2011824 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2011926), // Rule ID 16194 //
     /* 2011829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011879 */     // MIs[1] Operand 1
     /* 2011879 */     // No operand predicates
     /* 2011879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011883 */     // MIs[0] round
     /* 2011883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011886 */     // MIs[0] policy
     /* 2011886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011925 */     // GIR_Coverage, 16194,
     /* 2011925 */     GIR_EraseRootFromParent_Done,
     /* 2011926 */   // Label 26849: @2011926
     /* 2011926 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2012028), // Rule ID 16195 //
     /* 2011931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011981 */     // MIs[1] Operand 1
     /* 2011981 */     // No operand predicates
     /* 2011981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011985 */     // MIs[0] round
     /* 2011985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011988 */     // MIs[0] policy
     /* 2011988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012027 */     // GIR_Coverage, 16195,
     /* 2012027 */     GIR_EraseRootFromParent_Done,
     /* 2012028 */   // Label 26850: @2012028
     /* 2012028 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2012130), // Rule ID 16198 //
     /* 2012033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2012044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2012047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012083 */     // MIs[1] Operand 1
     /* 2012083 */     // No operand predicates
     /* 2012083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012087 */     // MIs[0] round
     /* 2012087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012090 */     // MIs[0] policy
     /* 2012090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012129 */     // GIR_Coverage, 16198,
     /* 2012129 */     GIR_EraseRootFromParent_Done,
     /* 2012130 */   // Label 26851: @2012130
     /* 2012130 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2012232), // Rule ID 16199 //
     /* 2012135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2012146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2012149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012185 */     // MIs[1] Operand 1
     /* 2012185 */     // No operand predicates
     /* 2012185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012189 */     // MIs[0] round
     /* 2012189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012192 */     // MIs[0] policy
     /* 2012192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012231 */     // GIR_Coverage, 16199,
     /* 2012231 */     GIR_EraseRootFromParent_Done,
     /* 2012232 */   // Label 26852: @2012232
     /* 2012232 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2012334), // Rule ID 16202 //
     /* 2012237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2012248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2012251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012287 */     // MIs[1] Operand 1
     /* 2012287 */     // No operand predicates
     /* 2012287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012291 */     // MIs[0] round
     /* 2012291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012294 */     // MIs[0] policy
     /* 2012294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012333 */     // GIR_Coverage, 16202,
     /* 2012333 */     GIR_EraseRootFromParent_Done,
     /* 2012334 */   // Label 26853: @2012334
     /* 2012334 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2012436), // Rule ID 16203 //
     /* 2012339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2012350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2012353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012389 */     // MIs[1] Operand 1
     /* 2012389 */     // No operand predicates
     /* 2012389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012393 */     // MIs[0] round
     /* 2012393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012396 */     // MIs[0] policy
     /* 2012396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012435 */     // GIR_Coverage, 16203,
     /* 2012435 */     GIR_EraseRootFromParent_Done,
     /* 2012436 */   // Label 26854: @2012436
     /* 2012436 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2012538), // Rule ID 16206 //
     /* 2012441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012491 */     // MIs[1] Operand 1
     /* 2012491 */     // No operand predicates
     /* 2012491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012495 */     // MIs[0] round
     /* 2012495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012498 */     // MIs[0] policy
     /* 2012498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012537 */     // GIR_Coverage, 16206,
     /* 2012537 */     GIR_EraseRootFromParent_Done,
     /* 2012538 */   // Label 26855: @2012538
     /* 2012538 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2012640), // Rule ID 16207 //
     /* 2012543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012593 */     // MIs[1] Operand 1
     /* 2012593 */     // No operand predicates
     /* 2012593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012597 */     // MIs[0] round
     /* 2012597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012600 */     // MIs[0] policy
     /* 2012600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012639 */     // GIR_Coverage, 16207,
     /* 2012639 */     GIR_EraseRootFromParent_Done,
     /* 2012640 */   // Label 26856: @2012640
     /* 2012640 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2012742), // Rule ID 16210 //
     /* 2012645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012695 */     // MIs[1] Operand 1
     /* 2012695 */     // No operand predicates
     /* 2012695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012699 */     // MIs[0] round
     /* 2012699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012702 */     // MIs[0] policy
     /* 2012702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012741 */     // GIR_Coverage, 16210,
     /* 2012741 */     GIR_EraseRootFromParent_Done,
     /* 2012742 */   // Label 26857: @2012742
     /* 2012742 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2012844), // Rule ID 16211 //
     /* 2012747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012797 */     // MIs[1] Operand 1
     /* 2012797 */     // No operand predicates
     /* 2012797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012801 */     // MIs[0] round
     /* 2012801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012804 */     // MIs[0] policy
     /* 2012804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012843 */     // GIR_Coverage, 16211,
     /* 2012843 */     GIR_EraseRootFromParent_Done,
     /* 2012844 */   // Label 26858: @2012844
     /* 2012844 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2012946), // Rule ID 16214 //
     /* 2012849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012899 */     // MIs[1] Operand 1
     /* 2012899 */     // No operand predicates
     /* 2012899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012903 */     // MIs[0] round
     /* 2012903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012906 */     // MIs[0] policy
     /* 2012906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012945 */     // GIR_Coverage, 16214,
     /* 2012945 */     GIR_EraseRootFromParent_Done,
     /* 2012946 */   // Label 26859: @2012946
     /* 2012946 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2013048), // Rule ID 16215 //
     /* 2012951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013001 */     // MIs[1] Operand 1
     /* 2013001 */     // No operand predicates
     /* 2013001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013005 */     // MIs[0] round
     /* 2013005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013008 */     // MIs[0] policy
     /* 2013008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2013023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013047 */     // GIR_Coverage, 16215,
     /* 2013047 */     GIR_EraseRootFromParent_Done,
     /* 2013048 */   // Label 26860: @2013048
     /* 2013048 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2013150), // Rule ID 16218 //
     /* 2013053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2013056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2013064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2013067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013103 */     // MIs[1] Operand 1
     /* 2013103 */     // No operand predicates
     /* 2013103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013107 */     // MIs[0] round
     /* 2013107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013110 */     // MIs[0] policy
     /* 2013110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2013125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013149 */     // GIR_Coverage, 16218,
     /* 2013149 */     GIR_EraseRootFromParent_Done,
     /* 2013150 */   // Label 26861: @2013150
     /* 2013150 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2013252), // Rule ID 16219 //
     /* 2013155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2013158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2013166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2013169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013205 */     // MIs[1] Operand 1
     /* 2013205 */     // No operand predicates
     /* 2013205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013209 */     // MIs[0] round
     /* 2013209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013212 */     // MIs[0] policy
     /* 2013212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2013227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013251 */     // GIR_Coverage, 16219,
     /* 2013251 */     GIR_EraseRootFromParent_Done,
     /* 2013252 */   // Label 26862: @2013252
     /* 2013252 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2013357), // Rule ID 16342 //
     /* 2013257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2013268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2013271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013307 */     // MIs[1] Operand 1
     /* 2013307 */     // No operand predicates
     /* 2013307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013311 */     // MIs[0] round
     /* 2013311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013314 */     // MIs[0] policy
     /* 2013314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2013329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013356 */     // GIR_Coverage, 16342,
     /* 2013356 */     GIR_EraseRootFromParent_Done,
     /* 2013357 */   // Label 26863: @2013357
     /* 2013357 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2013462), // Rule ID 16343 //
     /* 2013362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2013373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2013376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013412 */     // MIs[1] Operand 1
     /* 2013412 */     // No operand predicates
     /* 2013412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013416 */     // MIs[0] round
     /* 2013416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013419 */     // MIs[0] policy
     /* 2013419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013431 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2013434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013461 */     // GIR_Coverage, 16343,
     /* 2013461 */     GIR_EraseRootFromParent_Done,
     /* 2013462 */   // Label 26864: @2013462
     /* 2013462 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2013567), // Rule ID 16346 //
     /* 2013467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013517 */     // MIs[1] Operand 1
     /* 2013517 */     // No operand predicates
     /* 2013517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013521 */     // MIs[0] round
     /* 2013521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013524 */     // MIs[0] policy
     /* 2013524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013566 */     // GIR_Coverage, 16346,
     /* 2013566 */     GIR_EraseRootFromParent_Done,
     /* 2013567 */   // Label 26865: @2013567
     /* 2013567 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2013672), // Rule ID 16347 //
     /* 2013572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013622 */     // MIs[1] Operand 1
     /* 2013622 */     // No operand predicates
     /* 2013622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013626 */     // MIs[0] round
     /* 2013626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013629 */     // MIs[0] policy
     /* 2013629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013641 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013671 */     // GIR_Coverage, 16347,
     /* 2013671 */     GIR_EraseRootFromParent_Done,
     /* 2013672 */   // Label 26866: @2013672
     /* 2013672 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2013777), // Rule ID 16350 //
     /* 2013677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013727 */     // MIs[1] Operand 1
     /* 2013727 */     // No operand predicates
     /* 2013727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013731 */     // MIs[0] round
     /* 2013731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013734 */     // MIs[0] policy
     /* 2013734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013776 */     // GIR_Coverage, 16350,
     /* 2013776 */     GIR_EraseRootFromParent_Done,
     /* 2013777 */   // Label 26867: @2013777
     /* 2013777 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2013882), // Rule ID 16351 //
     /* 2013782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013832 */     // MIs[1] Operand 1
     /* 2013832 */     // No operand predicates
     /* 2013832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013836 */     // MIs[0] round
     /* 2013836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013839 */     // MIs[0] policy
     /* 2013839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013881 */     // GIR_Coverage, 16351,
     /* 2013881 */     GIR_EraseRootFromParent_Done,
     /* 2013882 */   // Label 26868: @2013882
     /* 2013882 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2013987), // Rule ID 16354 //
     /* 2013887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013937 */     // MIs[1] Operand 1
     /* 2013937 */     // No operand predicates
     /* 2013937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013941 */     // MIs[0] round
     /* 2013941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013944 */     // MIs[0] policy
     /* 2013944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013986 */     // GIR_Coverage, 16354,
     /* 2013986 */     GIR_EraseRootFromParent_Done,
     /* 2013987 */   // Label 26869: @2013987
     /* 2013987 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2014092), // Rule ID 16355 //
     /* 2013992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2014003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2014006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2014009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014042 */     // MIs[1] Operand 1
     /* 2014042 */     // No operand predicates
     /* 2014042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014046 */     // MIs[0] round
     /* 2014046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014049 */     // MIs[0] policy
     /* 2014049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014061 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014091 */     // GIR_Coverage, 16355,
     /* 2014091 */     GIR_EraseRootFromParent_Done,
     /* 2014092 */   // Label 26870: @2014092
     /* 2014092 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2014197), // Rule ID 16358 //
     /* 2014097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2014108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2014111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014147 */     // MIs[1] Operand 1
     /* 2014147 */     // No operand predicates
     /* 2014147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014151 */     // MIs[0] round
     /* 2014151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014154 */     // MIs[0] policy
     /* 2014154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014166 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014196 */     // GIR_Coverage, 16358,
     /* 2014196 */     GIR_EraseRootFromParent_Done,
     /* 2014197 */   // Label 26871: @2014197
     /* 2014197 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2014302), // Rule ID 16359 //
     /* 2014202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2014213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2014216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014252 */     // MIs[1] Operand 1
     /* 2014252 */     // No operand predicates
     /* 2014252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014256 */     // MIs[0] round
     /* 2014256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014259 */     // MIs[0] policy
     /* 2014259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014301 */     // GIR_Coverage, 16359,
     /* 2014301 */     GIR_EraseRootFromParent_Done,
     /* 2014302 */   // Label 26872: @2014302
     /* 2014302 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2014407), // Rule ID 16362 //
     /* 2014307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2014318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2014321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014357 */     // MIs[1] Operand 1
     /* 2014357 */     // No operand predicates
     /* 2014357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014361 */     // MIs[0] round
     /* 2014361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014364 */     // MIs[0] policy
     /* 2014364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014406 */     // GIR_Coverage, 16362,
     /* 2014406 */     GIR_EraseRootFromParent_Done,
     /* 2014407 */   // Label 26873: @2014407
     /* 2014407 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2014512), // Rule ID 16363 //
     /* 2014412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2014423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2014426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014462 */     // MIs[1] Operand 1
     /* 2014462 */     // No operand predicates
     /* 2014462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014466 */     // MIs[0] round
     /* 2014466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014469 */     // MIs[0] policy
     /* 2014469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014481 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014511 */     // GIR_Coverage, 16363,
     /* 2014511 */     GIR_EraseRootFromParent_Done,
     /* 2014512 */   // Label 26874: @2014512
     /* 2014512 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2014617), // Rule ID 16366 //
     /* 2014517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014567 */     // MIs[1] Operand 1
     /* 2014567 */     // No operand predicates
     /* 2014567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014571 */     // MIs[0] round
     /* 2014571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014574 */     // MIs[0] policy
     /* 2014574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014616 */     // GIR_Coverage, 16366,
     /* 2014616 */     GIR_EraseRootFromParent_Done,
     /* 2014617 */   // Label 26875: @2014617
     /* 2014617 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2014722), // Rule ID 16367 //
     /* 2014622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014672 */     // MIs[1] Operand 1
     /* 2014672 */     // No operand predicates
     /* 2014672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014676 */     // MIs[0] round
     /* 2014676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014679 */     // MIs[0] policy
     /* 2014679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014721 */     // GIR_Coverage, 16367,
     /* 2014721 */     GIR_EraseRootFromParent_Done,
     /* 2014722 */   // Label 26876: @2014722
     /* 2014722 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2014827), // Rule ID 16370 //
     /* 2014727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014777 */     // MIs[1] Operand 1
     /* 2014777 */     // No operand predicates
     /* 2014777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014781 */     // MIs[0] round
     /* 2014781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014784 */     // MIs[0] policy
     /* 2014784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014826 */     // GIR_Coverage, 16370,
     /* 2014826 */     GIR_EraseRootFromParent_Done,
     /* 2014827 */   // Label 26877: @2014827
     /* 2014827 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2014932), // Rule ID 16371 //
     /* 2014832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014882 */     // MIs[1] Operand 1
     /* 2014882 */     // No operand predicates
     /* 2014882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014886 */     // MIs[0] round
     /* 2014886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014889 */     // MIs[0] policy
     /* 2014889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014931 */     // GIR_Coverage, 16371,
     /* 2014931 */     GIR_EraseRootFromParent_Done,
     /* 2014932 */   // Label 26878: @2014932
     /* 2014932 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2015037), // Rule ID 16374 //
     /* 2014937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014987 */     // MIs[1] Operand 1
     /* 2014987 */     // No operand predicates
     /* 2014987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014991 */     // MIs[0] round
     /* 2014991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014994 */     // MIs[0] policy
     /* 2014994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015036 */     // GIR_Coverage, 16374,
     /* 2015036 */     GIR_EraseRootFromParent_Done,
     /* 2015037 */   // Label 26879: @2015037
     /* 2015037 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2015142), // Rule ID 16375 //
     /* 2015042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2015053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2015056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2015059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015092 */     // MIs[1] Operand 1
     /* 2015092 */     // No operand predicates
     /* 2015092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015096 */     // MIs[0] round
     /* 2015096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015099 */     // MIs[0] policy
     /* 2015099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015111 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015141 */     // GIR_Coverage, 16375,
     /* 2015141 */     GIR_EraseRootFromParent_Done,
     /* 2015142 */   // Label 26880: @2015142
     /* 2015142 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2015247), // Rule ID 16378 //
     /* 2015147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015197 */     // MIs[1] Operand 1
     /* 2015197 */     // No operand predicates
     /* 2015197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015201 */     // MIs[0] round
     /* 2015201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015204 */     // MIs[0] policy
     /* 2015204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015246 */     // GIR_Coverage, 16378,
     /* 2015246 */     GIR_EraseRootFromParent_Done,
     /* 2015247 */   // Label 26881: @2015247
     /* 2015247 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2015352), // Rule ID 16379 //
     /* 2015252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015302 */     // MIs[1] Operand 1
     /* 2015302 */     // No operand predicates
     /* 2015302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015306 */     // MIs[0] round
     /* 2015306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015309 */     // MIs[0] policy
     /* 2015309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015351 */     // GIR_Coverage, 16379,
     /* 2015351 */     GIR_EraseRootFromParent_Done,
     /* 2015352 */   // Label 26882: @2015352
     /* 2015352 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2015457), // Rule ID 16382 //
     /* 2015357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015407 */     // MIs[1] Operand 1
     /* 2015407 */     // No operand predicates
     /* 2015407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015411 */     // MIs[0] round
     /* 2015411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015414 */     // MIs[0] policy
     /* 2015414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015456 */     // GIR_Coverage, 16382,
     /* 2015456 */     GIR_EraseRootFromParent_Done,
     /* 2015457 */   // Label 26883: @2015457
     /* 2015457 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2015562), // Rule ID 16383 //
     /* 2015462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015512 */     // MIs[1] Operand 1
     /* 2015512 */     // No operand predicates
     /* 2015512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015516 */     // MIs[0] round
     /* 2015516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015519 */     // MIs[0] policy
     /* 2015519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015531 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015561 */     // GIR_Coverage, 16383,
     /* 2015561 */     GIR_EraseRootFromParent_Done,
     /* 2015562 */   // Label 26884: @2015562
     /* 2015562 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2015667), // Rule ID 16386 //
     /* 2015567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015617 */     // MIs[1] Operand 1
     /* 2015617 */     // No operand predicates
     /* 2015617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015621 */     // MIs[0] round
     /* 2015621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015624 */     // MIs[0] policy
     /* 2015624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015666 */     // GIR_Coverage, 16386,
     /* 2015666 */     GIR_EraseRootFromParent_Done,
     /* 2015667 */   // Label 26885: @2015667
     /* 2015667 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2015772), // Rule ID 16387 //
     /* 2015672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015722 */     // MIs[1] Operand 1
     /* 2015722 */     // No operand predicates
     /* 2015722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015726 */     // MIs[0] round
     /* 2015726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015729 */     // MIs[0] policy
     /* 2015729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015771 */     // GIR_Coverage, 16387,
     /* 2015771 */     GIR_EraseRootFromParent_Done,
     /* 2015772 */   // Label 26886: @2015772
     /* 2015772 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2015877), // Rule ID 16390 //
     /* 2015777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015827 */     // MIs[1] Operand 1
     /* 2015827 */     // No operand predicates
     /* 2015827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015831 */     // MIs[0] round
     /* 2015831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015834 */     // MIs[0] policy
     /* 2015834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015876 */     // GIR_Coverage, 16390,
     /* 2015876 */     GIR_EraseRootFromParent_Done,
     /* 2015877 */   // Label 26887: @2015877
     /* 2015877 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2015982), // Rule ID 16391 //
     /* 2015882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015932 */     // MIs[1] Operand 1
     /* 2015932 */     // No operand predicates
     /* 2015932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015936 */     // MIs[0] round
     /* 2015936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015939 */     // MIs[0] policy
     /* 2015939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015981 */     // GIR_Coverage, 16391,
     /* 2015981 */     GIR_EraseRootFromParent_Done,
     /* 2015982 */   // Label 26888: @2015982
     /* 2015982 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2016087), // Rule ID 16394 //
     /* 2015987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2016001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2016004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016037 */     // MIs[1] Operand 1
     /* 2016037 */     // No operand predicates
     /* 2016037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016041 */     // MIs[0] round
     /* 2016041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016044 */     // MIs[0] policy
     /* 2016044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2016059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016086 */     // GIR_Coverage, 16394,
     /* 2016086 */     GIR_EraseRootFromParent_Done,
     /* 2016087 */   // Label 26889: @2016087
     /* 2016087 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2016192), // Rule ID 16395 //
     /* 2016092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2016095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2016100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2016103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2016106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2016109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016142 */     // MIs[1] Operand 1
     /* 2016142 */     // No operand predicates
     /* 2016142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016146 */     // MIs[0] round
     /* 2016146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016149 */     // MIs[0] policy
     /* 2016149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2016164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016191 */     // GIR_Coverage, 16395,
     /* 2016191 */     GIR_EraseRootFromParent_Done,
     /* 2016192 */   // Label 26890: @2016192
     /* 2016192 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2016297), // Rule ID 16398 //
     /* 2016197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2016200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2016205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2016214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016247 */     // MIs[1] Operand 1
     /* 2016247 */     // No operand predicates
     /* 2016247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016251 */     // MIs[0] round
     /* 2016251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016254 */     // MIs[0] policy
     /* 2016254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2016269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016296 */     // GIR_Coverage, 16398,
     /* 2016296 */     GIR_EraseRootFromParent_Done,
     /* 2016297 */   // Label 26891: @2016297
     /* 2016297 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2016402), // Rule ID 16399 //
     /* 2016302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2016305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2016310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2016319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016352 */     // MIs[1] Operand 1
     /* 2016352 */     // No operand predicates
     /* 2016352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016356 */     // MIs[0] round
     /* 2016356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016359 */     // MIs[0] policy
     /* 2016359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2016374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016401 */     // GIR_Coverage, 16399,
     /* 2016401 */     GIR_EraseRootFromParent_Done,
     /* 2016402 */   // Label 26892: @2016402
     /* 2016402 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2016507), // Rule ID 16522 //
     /* 2016407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016457 */     // MIs[1] Operand 1
     /* 2016457 */     // No operand predicates
     /* 2016457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016461 */     // MIs[0] round
     /* 2016461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016464 */     // MIs[0] policy
     /* 2016464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016476 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016506 */     // GIR_Coverage, 16522,
     /* 2016506 */     GIR_EraseRootFromParent_Done,
     /* 2016507 */   // Label 26893: @2016507
     /* 2016507 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2016612), // Rule ID 16523 //
     /* 2016512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016562 */     // MIs[1] Operand 1
     /* 2016562 */     // No operand predicates
     /* 2016562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016566 */     // MIs[0] round
     /* 2016566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016569 */     // MIs[0] policy
     /* 2016569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016581 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016611 */     // GIR_Coverage, 16523,
     /* 2016611 */     GIR_EraseRootFromParent_Done,
     /* 2016612 */   // Label 26894: @2016612
     /* 2016612 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2016717), // Rule ID 16526 //
     /* 2016617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016667 */     // MIs[1] Operand 1
     /* 2016667 */     // No operand predicates
     /* 2016667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016671 */     // MIs[0] round
     /* 2016671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016674 */     // MIs[0] policy
     /* 2016674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016716 */     // GIR_Coverage, 16526,
     /* 2016716 */     GIR_EraseRootFromParent_Done,
     /* 2016717 */   // Label 26895: @2016717
     /* 2016717 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2016822), // Rule ID 16527 //
     /* 2016722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016772 */     // MIs[1] Operand 1
     /* 2016772 */     // No operand predicates
     /* 2016772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016776 */     // MIs[0] round
     /* 2016776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016779 */     // MIs[0] policy
     /* 2016779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016821 */     // GIR_Coverage, 16527,
     /* 2016821 */     GIR_EraseRootFromParent_Done,
     /* 2016822 */   // Label 26896: @2016822
     /* 2016822 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2016927), // Rule ID 16530 //
     /* 2016827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016877 */     // MIs[1] Operand 1
     /* 2016877 */     // No operand predicates
     /* 2016877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016881 */     // MIs[0] round
     /* 2016881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016884 */     // MIs[0] policy
     /* 2016884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016926 */     // GIR_Coverage, 16530,
     /* 2016926 */     GIR_EraseRootFromParent_Done,
     /* 2016927 */   // Label 26897: @2016927
     /* 2016927 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2017032), // Rule ID 16531 //
     /* 2016932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016982 */     // MIs[1] Operand 1
     /* 2016982 */     // No operand predicates
     /* 2016982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016986 */     // MIs[0] round
     /* 2016986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016989 */     // MIs[0] policy
     /* 2016989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017001 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017031 */     // GIR_Coverage, 16531,
     /* 2017031 */     GIR_EraseRootFromParent_Done,
     /* 2017032 */   // Label 26898: @2017032
     /* 2017032 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2017137), // Rule ID 16534 //
     /* 2017037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2017048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2017051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2017054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017087 */     // MIs[1] Operand 1
     /* 2017087 */     // No operand predicates
     /* 2017087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017091 */     // MIs[0] round
     /* 2017091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017094 */     // MIs[0] policy
     /* 2017094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017106 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017136 */     // GIR_Coverage, 16534,
     /* 2017136 */     GIR_EraseRootFromParent_Done,
     /* 2017137 */   // Label 26899: @2017137
     /* 2017137 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2017242), // Rule ID 16535 //
     /* 2017142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2017153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2017156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2017159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017192 */     // MIs[1] Operand 1
     /* 2017192 */     // No operand predicates
     /* 2017192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017196 */     // MIs[0] round
     /* 2017196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017199 */     // MIs[0] policy
     /* 2017199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017241 */     // GIR_Coverage, 16535,
     /* 2017241 */     GIR_EraseRootFromParent_Done,
     /* 2017242 */   // Label 26900: @2017242
     /* 2017242 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2017347), // Rule ID 16538 //
     /* 2017247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2017264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017297 */     // MIs[1] Operand 1
     /* 2017297 */     // No operand predicates
     /* 2017297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017301 */     // MIs[0] round
     /* 2017301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017304 */     // MIs[0] policy
     /* 2017304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017316 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017346 */     // GIR_Coverage, 16538,
     /* 2017346 */     GIR_EraseRootFromParent_Done,
     /* 2017347 */   // Label 26901: @2017347
     /* 2017347 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2017452), // Rule ID 16539 //
     /* 2017352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2017369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017402 */     // MIs[1] Operand 1
     /* 2017402 */     // No operand predicates
     /* 2017402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017406 */     // MIs[0] round
     /* 2017406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017409 */     // MIs[0] policy
     /* 2017409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017421 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017451 */     // GIR_Coverage, 16539,
     /* 2017451 */     GIR_EraseRootFromParent_Done,
     /* 2017452 */   // Label 26902: @2017452
     /* 2017452 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2017557), // Rule ID 16542 //
     /* 2017457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017507 */     // MIs[1] Operand 1
     /* 2017507 */     // No operand predicates
     /* 2017507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017511 */     // MIs[0] round
     /* 2017511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017514 */     // MIs[0] policy
     /* 2017514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017556 */     // GIR_Coverage, 16542,
     /* 2017556 */     GIR_EraseRootFromParent_Done,
     /* 2017557 */   // Label 26903: @2017557
     /* 2017557 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2017662), // Rule ID 16543 //
     /* 2017562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017612 */     // MIs[1] Operand 1
     /* 2017612 */     // No operand predicates
     /* 2017612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017616 */     // MIs[0] round
     /* 2017616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017619 */     // MIs[0] policy
     /* 2017619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017631 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017661 */     // GIR_Coverage, 16543,
     /* 2017661 */     GIR_EraseRootFromParent_Done,
     /* 2017662 */   // Label 26904: @2017662
     /* 2017662 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2017767), // Rule ID 16546 //
     /* 2017667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017717 */     // MIs[1] Operand 1
     /* 2017717 */     // No operand predicates
     /* 2017717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017721 */     // MIs[0] round
     /* 2017721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017724 */     // MIs[0] policy
     /* 2017724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017766 */     // GIR_Coverage, 16546,
     /* 2017766 */     GIR_EraseRootFromParent_Done,
     /* 2017767 */   // Label 26905: @2017767
     /* 2017767 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2017872), // Rule ID 16547 //
     /* 2017772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017822 */     // MIs[1] Operand 1
     /* 2017822 */     // No operand predicates
     /* 2017822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017826 */     // MIs[0] round
     /* 2017826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017829 */     // MIs[0] policy
     /* 2017829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017841 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017871 */     // GIR_Coverage, 16547,
     /* 2017871 */     GIR_EraseRootFromParent_Done,
     /* 2017872 */   // Label 26906: @2017872
     /* 2017872 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2017977), // Rule ID 16550 //
     /* 2017877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017927 */     // MIs[1] Operand 1
     /* 2017927 */     // No operand predicates
     /* 2017927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017931 */     // MIs[0] round
     /* 2017931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017934 */     // MIs[0] policy
     /* 2017934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017976 */     // GIR_Coverage, 16550,
     /* 2017976 */     GIR_EraseRootFromParent_Done,
     /* 2017977 */   // Label 26907: @2017977
     /* 2017977 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2018082), // Rule ID 16551 //
     /* 2017982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018032 */     // MIs[1] Operand 1
     /* 2018032 */     // No operand predicates
     /* 2018032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018036 */     // MIs[0] round
     /* 2018036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018039 */     // MIs[0] policy
     /* 2018039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018081 */     // GIR_Coverage, 16551,
     /* 2018081 */     GIR_EraseRootFromParent_Done,
     /* 2018082 */   // Label 26908: @2018082
     /* 2018082 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2018187), // Rule ID 16554 //
     /* 2018087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2018098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2018101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2018104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018137 */     // MIs[1] Operand 1
     /* 2018137 */     // No operand predicates
     /* 2018137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018141 */     // MIs[0] round
     /* 2018141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018144 */     // MIs[0] policy
     /* 2018144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018186 */     // GIR_Coverage, 16554,
     /* 2018186 */     GIR_EraseRootFromParent_Done,
     /* 2018187 */   // Label 26909: @2018187
     /* 2018187 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2018292), // Rule ID 16555 //
     /* 2018192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2018203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2018206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2018209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018242 */     // MIs[1] Operand 1
     /* 2018242 */     // No operand predicates
     /* 2018242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018246 */     // MIs[0] round
     /* 2018246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018249 */     // MIs[0] policy
     /* 2018249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018291 */     // GIR_Coverage, 16555,
     /* 2018291 */     GIR_EraseRootFromParent_Done,
     /* 2018292 */   // Label 26910: @2018292
     /* 2018292 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2018397), // Rule ID 16558 //
     /* 2018297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2018308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2018311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018347 */     // MIs[1] Operand 1
     /* 2018347 */     // No operand predicates
     /* 2018347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018351 */     // MIs[0] round
     /* 2018351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018354 */     // MIs[0] policy
     /* 2018354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018396 */     // GIR_Coverage, 16558,
     /* 2018396 */     GIR_EraseRootFromParent_Done,
     /* 2018397 */   // Label 26911: @2018397
     /* 2018397 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2018502), // Rule ID 16559 //
     /* 2018402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2018413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2018416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018452 */     // MIs[1] Operand 1
     /* 2018452 */     // No operand predicates
     /* 2018452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018456 */     // MIs[0] round
     /* 2018456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018459 */     // MIs[0] policy
     /* 2018459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018501 */     // GIR_Coverage, 16559,
     /* 2018501 */     GIR_EraseRootFromParent_Done,
     /* 2018502 */   // Label 26912: @2018502
     /* 2018502 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2018607), // Rule ID 16562 //
     /* 2018507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018557 */     // MIs[1] Operand 1
     /* 2018557 */     // No operand predicates
     /* 2018557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018561 */     // MIs[0] round
     /* 2018561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018564 */     // MIs[0] policy
     /* 2018564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018606 */     // GIR_Coverage, 16562,
     /* 2018606 */     GIR_EraseRootFromParent_Done,
     /* 2018607 */   // Label 26913: @2018607
     /* 2018607 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2018712), // Rule ID 16563 //
     /* 2018612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018662 */     // MIs[1] Operand 1
     /* 2018662 */     // No operand predicates
     /* 2018662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018666 */     // MIs[0] round
     /* 2018666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018669 */     // MIs[0] policy
     /* 2018669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018681 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018711 */     // GIR_Coverage, 16563,
     /* 2018711 */     GIR_EraseRootFromParent_Done,
     /* 2018712 */   // Label 26914: @2018712
     /* 2018712 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2018817), // Rule ID 16566 //
     /* 2018717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018767 */     // MIs[1] Operand 1
     /* 2018767 */     // No operand predicates
     /* 2018767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018771 */     // MIs[0] round
     /* 2018771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018774 */     // MIs[0] policy
     /* 2018774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018816 */     // GIR_Coverage, 16566,
     /* 2018816 */     GIR_EraseRootFromParent_Done,
     /* 2018817 */   // Label 26915: @2018817
     /* 2018817 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2018922), // Rule ID 16567 //
     /* 2018822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018872 */     // MIs[1] Operand 1
     /* 2018872 */     // No operand predicates
     /* 2018872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018876 */     // MIs[0] round
     /* 2018876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018879 */     // MIs[0] policy
     /* 2018879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018891 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018921 */     // GIR_Coverage, 16567,
     /* 2018921 */     GIR_EraseRootFromParent_Done,
     /* 2018922 */   // Label 26916: @2018922
     /* 2018922 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2019027), // Rule ID 16570 //
     /* 2018927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018977 */     // MIs[1] Operand 1
     /* 2018977 */     // No operand predicates
     /* 2018977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018981 */     // MIs[0] round
     /* 2018981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018984 */     // MIs[0] policy
     /* 2018984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019026 */     // GIR_Coverage, 16570,
     /* 2019026 */     GIR_EraseRootFromParent_Done,
     /* 2019027 */   // Label 26917: @2019027
     /* 2019027 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2019132), // Rule ID 16571 //
     /* 2019032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2019049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019082 */     // MIs[1] Operand 1
     /* 2019082 */     // No operand predicates
     /* 2019082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019086 */     // MIs[0] round
     /* 2019086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019089 */     // MIs[0] policy
     /* 2019089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2019104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019131 */     // GIR_Coverage, 16571,
     /* 2019131 */     GIR_EraseRootFromParent_Done,
     /* 2019132 */   // Label 26918: @2019132
     /* 2019132 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2019237), // Rule ID 16574 //
     /* 2019137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2019140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019187 */     // MIs[1] Operand 1
     /* 2019187 */     // No operand predicates
     /* 2019187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019191 */     // MIs[0] round
     /* 2019191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019194 */     // MIs[0] policy
     /* 2019194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2019209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019236 */     // GIR_Coverage, 16574,
     /* 2019236 */     GIR_EraseRootFromParent_Done,
     /* 2019237 */   // Label 26919: @2019237
     /* 2019237 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2019342), // Rule ID 16575 //
     /* 2019242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019292 */     // MIs[1] Operand 1
     /* 2019292 */     // No operand predicates
     /* 2019292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019296 */     // MIs[0] round
     /* 2019296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019299 */     // MIs[0] policy
     /* 2019299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2019314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019341 */     // GIR_Coverage, 16575,
     /* 2019341 */     GIR_EraseRootFromParent_Done,
     /* 2019342 */   // Label 26920: @2019342
     /* 2019342 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2019447), // Rule ID 16578 //
     /* 2019347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2019350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019397 */     // MIs[1] Operand 1
     /* 2019397 */     // No operand predicates
     /* 2019397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019401 */     // MIs[0] round
     /* 2019401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019404 */     // MIs[0] policy
     /* 2019404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2019419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019446 */     // GIR_Coverage, 16578,
     /* 2019446 */     GIR_EraseRootFromParent_Done,
     /* 2019447 */   // Label 26921: @2019447
     /* 2019447 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2019552), // Rule ID 16579 //
     /* 2019452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019502 */     // MIs[1] Operand 1
     /* 2019502 */     // No operand predicates
     /* 2019502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019506 */     // MIs[0] round
     /* 2019506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019509 */     // MIs[0] policy
     /* 2019509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2019524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019551 */     // GIR_Coverage, 16579,
     /* 2019551 */     GIR_EraseRootFromParent_Done,
     /* 2019552 */   // Label 26922: @2019552
     /* 2019552 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2019639), // Rule ID 2658 //
     /* 2019557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019588 */     // MIs[0] passthru
     /* 2019588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019601 */     // MIs[0] round
     /* 2019601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019604 */     // MIs[0] policy
     /* 2019604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019614 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019638 */     // GIR_Coverage, 2658,
     /* 2019638 */     GIR_EraseRootFromParent_Done,
     /* 2019639 */   // Label 26923: @2019639
     /* 2019639 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2019726), // Rule ID 2659 //
     /* 2019644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019675 */     // MIs[0] passthru
     /* 2019675 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019688 */     // MIs[0] round
     /* 2019688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019691 */     // MIs[0] policy
     /* 2019691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019701 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019725 */     // GIR_Coverage, 2659,
     /* 2019725 */     GIR_EraseRootFromParent_Done,
     /* 2019726 */   // Label 26924: @2019726
     /* 2019726 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2019813), // Rule ID 17030 //
     /* 2019731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019762 */     // MIs[0] passthru
     /* 2019762 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019775 */     // MIs[0] round
     /* 2019775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019778 */     // MIs[0] policy
     /* 2019778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019812 */     // GIR_Coverage, 17030,
     /* 2019812 */     GIR_EraseRootFromParent_Done,
     /* 2019813 */   // Label 26925: @2019813
     /* 2019813 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2019900), // Rule ID 17031 //
     /* 2019818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019849 */     // MIs[0] passthru
     /* 2019849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019862 */     // MIs[0] round
     /* 2019862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019865 */     // MIs[0] policy
     /* 2019865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019875 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019899 */     // GIR_Coverage, 17031,
     /* 2019899 */     GIR_EraseRootFromParent_Done,
     /* 2019900 */   // Label 26926: @2019900
     /* 2019900 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2019987), // Rule ID 17040 //
     /* 2019905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019936 */     // MIs[0] passthru
     /* 2019936 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019949 */     // MIs[0] round
     /* 2019949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019952 */     // MIs[0] policy
     /* 2019952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019962 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2019965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019986 */     // GIR_Coverage, 17040,
     /* 2019986 */     GIR_EraseRootFromParent_Done,
     /* 2019987 */   // Label 26927: @2019987
     /* 2019987 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2020074), // Rule ID 17041 //
     /* 2019992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2020003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2020006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2020009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020023 */     // MIs[0] passthru
     /* 2020023 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020036 */     // MIs[0] round
     /* 2020036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020039 */     // MIs[0] policy
     /* 2020039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020049 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2020052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020073 */     // GIR_Coverage, 17041,
     /* 2020073 */     GIR_EraseRootFromParent_Done,
     /* 2020074 */   // Label 26928: @2020074
     /* 2020074 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2020161), // Rule ID 17050 //
     /* 2020079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020110 */     // MIs[0] passthru
     /* 2020110 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020123 */     // MIs[0] round
     /* 2020123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020126 */     // MIs[0] policy
     /* 2020126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2020139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020160 */     // GIR_Coverage, 17050,
     /* 2020160 */     GIR_EraseRootFromParent_Done,
     /* 2020161 */   // Label 26929: @2020161
     /* 2020161 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2020248), // Rule ID 17051 //
     /* 2020166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020197 */     // MIs[0] passthru
     /* 2020197 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020210 */     // MIs[0] round
     /* 2020210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020213 */     // MIs[0] policy
     /* 2020213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020223 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2020226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020247 */     // GIR_Coverage, 17051,
     /* 2020247 */     GIR_EraseRootFromParent_Done,
     /* 2020248 */   // Label 26930: @2020248
     /* 2020248 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2020335), // Rule ID 17060 //
     /* 2020253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020284 */     // MIs[0] passthru
     /* 2020284 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020297 */     // MIs[0] round
     /* 2020297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020300 */     // MIs[0] policy
     /* 2020300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020310 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2020313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020334 */     // GIR_Coverage, 17060,
     /* 2020334 */     GIR_EraseRootFromParent_Done,
     /* 2020335 */   // Label 26931: @2020335
     /* 2020335 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2020422), // Rule ID 17061 //
     /* 2020340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020371 */     // MIs[0] passthru
     /* 2020371 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020384 */     // MIs[0] round
     /* 2020384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020387 */     // MIs[0] policy
     /* 2020387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020397 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2020400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020421 */     // GIR_Coverage, 17061,
     /* 2020421 */     GIR_EraseRootFromParent_Done,
     /* 2020422 */   // Label 26932: @2020422
     /* 2020422 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2020509), // Rule ID 17070 //
     /* 2020427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020458 */     // MIs[0] passthru
     /* 2020458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020471 */     // MIs[0] round
     /* 2020471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020474 */     // MIs[0] policy
     /* 2020474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020484 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020508 */     // GIR_Coverage, 17070,
     /* 2020508 */     GIR_EraseRootFromParent_Done,
     /* 2020509 */   // Label 26933: @2020509
     /* 2020509 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2020596), // Rule ID 17071 //
     /* 2020514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020545 */     // MIs[0] passthru
     /* 2020545 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020558 */     // MIs[0] round
     /* 2020558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020561 */     // MIs[0] policy
     /* 2020561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020571 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020595 */     // GIR_Coverage, 17071,
     /* 2020595 */     GIR_EraseRootFromParent_Done,
     /* 2020596 */   // Label 26934: @2020596
     /* 2020596 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2020683), // Rule ID 17080 //
     /* 2020601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020632 */     // MIs[0] passthru
     /* 2020632 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020645 */     // MIs[0] round
     /* 2020645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020648 */     // MIs[0] policy
     /* 2020648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020658 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020682 */     // GIR_Coverage, 17080,
     /* 2020682 */     GIR_EraseRootFromParent_Done,
     /* 2020683 */   // Label 26935: @2020683
     /* 2020683 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2020770), // Rule ID 17081 //
     /* 2020688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020719 */     // MIs[0] passthru
     /* 2020719 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020732 */     // MIs[0] round
     /* 2020732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020735 */     // MIs[0] policy
     /* 2020735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020745 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020769 */     // GIR_Coverage, 17081,
     /* 2020769 */     GIR_EraseRootFromParent_Done,
     /* 2020770 */   // Label 26936: @2020770
     /* 2020770 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2020857), // Rule ID 17090 //
     /* 2020775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020806 */     // MIs[0] passthru
     /* 2020806 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020819 */     // MIs[0] round
     /* 2020819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020822 */     // MIs[0] policy
     /* 2020822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020856 */     // GIR_Coverage, 17090,
     /* 2020856 */     GIR_EraseRootFromParent_Done,
     /* 2020857 */   // Label 26937: @2020857
     /* 2020857 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2020944), // Rule ID 17091 //
     /* 2020862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020893 */     // MIs[0] passthru
     /* 2020893 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020906 */     // MIs[0] round
     /* 2020906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020909 */     // MIs[0] policy
     /* 2020909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020919 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020943 */     // GIR_Coverage, 17091,
     /* 2020943 */     GIR_EraseRootFromParent_Done,
     /* 2020944 */   // Label 26938: @2020944
     /* 2020944 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2021031), // Rule ID 17100 //
     /* 2020949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020980 */     // MIs[0] passthru
     /* 2020980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020993 */     // MIs[0] round
     /* 2020993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020996 */     // MIs[0] policy
     /* 2020996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021006 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2021009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021030 */     // GIR_Coverage, 17100,
     /* 2021030 */     GIR_EraseRootFromParent_Done,
     /* 2021031 */   // Label 26939: @2021031
     /* 2021031 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2021118), // Rule ID 17101 //
     /* 2021036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2021039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2021044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2021047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2021050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2021053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021067 */     // MIs[0] passthru
     /* 2021067 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021080 */     // MIs[0] round
     /* 2021080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021083 */     // MIs[0] policy
     /* 2021083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021093 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2021096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021117 */     // GIR_Coverage, 17101,
     /* 2021117 */     GIR_EraseRootFromParent_Done,
     /* 2021118 */   // Label 26940: @2021118
     /* 2021118 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2021205), // Rule ID 17146 //
     /* 2021123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021154 */     // MIs[0] passthru
     /* 2021154 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021167 */     // MIs[0] round
     /* 2021167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021170 */     // MIs[0] policy
     /* 2021170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021180 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2021183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021204 */     // GIR_Coverage, 17146,
     /* 2021204 */     GIR_EraseRootFromParent_Done,
     /* 2021205 */   // Label 26941: @2021205
     /* 2021205 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2021292), // Rule ID 17147 //
     /* 2021210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021241 */     // MIs[0] passthru
     /* 2021241 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021254 */     // MIs[0] round
     /* 2021254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021257 */     // MIs[0] policy
     /* 2021257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021267 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2021270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021291 */     // GIR_Coverage, 17147,
     /* 2021291 */     GIR_EraseRootFromParent_Done,
     /* 2021292 */   // Label 26942: @2021292
     /* 2021292 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2021379), // Rule ID 17156 //
     /* 2021297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2021314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021328 */     // MIs[0] passthru
     /* 2021328 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021341 */     // MIs[0] round
     /* 2021341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021344 */     // MIs[0] policy
     /* 2021344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021354 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2021357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021378 */     // GIR_Coverage, 17156,
     /* 2021378 */     GIR_EraseRootFromParent_Done,
     /* 2021379 */   // Label 26943: @2021379
     /* 2021379 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2021466), // Rule ID 17157 //
     /* 2021384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2021401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021415 */     // MIs[0] passthru
     /* 2021415 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021428 */     // MIs[0] round
     /* 2021428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021431 */     // MIs[0] policy
     /* 2021431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021441 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2021444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021465 */     // GIR_Coverage, 17157,
     /* 2021465 */     GIR_EraseRootFromParent_Done,
     /* 2021466 */   // Label 26944: @2021466
     /* 2021466 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2021553), // Rule ID 17166 //
     /* 2021471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021502 */     // MIs[0] passthru
     /* 2021502 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021515 */     // MIs[0] round
     /* 2021515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021518 */     // MIs[0] policy
     /* 2021518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021552 */     // GIR_Coverage, 17166,
     /* 2021552 */     GIR_EraseRootFromParent_Done,
     /* 2021553 */   // Label 26945: @2021553
     /* 2021553 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2021640), // Rule ID 17167 //
     /* 2021558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021589 */     // MIs[0] passthru
     /* 2021589 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021602 */     // MIs[0] round
     /* 2021602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021605 */     // MIs[0] policy
     /* 2021605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021615 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021639 */     // GIR_Coverage, 17167,
     /* 2021639 */     GIR_EraseRootFromParent_Done,
     /* 2021640 */   // Label 26946: @2021640
     /* 2021640 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2021727), // Rule ID 17176 //
     /* 2021645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021676 */     // MIs[0] passthru
     /* 2021676 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021689 */     // MIs[0] round
     /* 2021689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021692 */     // MIs[0] policy
     /* 2021692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021726 */     // GIR_Coverage, 17176,
     /* 2021726 */     GIR_EraseRootFromParent_Done,
     /* 2021727 */   // Label 26947: @2021727
     /* 2021727 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2021814), // Rule ID 17177 //
     /* 2021732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021763 */     // MIs[0] passthru
     /* 2021763 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021776 */     // MIs[0] round
     /* 2021776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021779 */     // MIs[0] policy
     /* 2021779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021813 */     // GIR_Coverage, 17177,
     /* 2021813 */     GIR_EraseRootFromParent_Done,
     /* 2021814 */   // Label 26948: @2021814
     /* 2021814 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2021901), // Rule ID 17186 //
     /* 2021819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021850 */     // MIs[0] passthru
     /* 2021850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021863 */     // MIs[0] round
     /* 2021863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021866 */     // MIs[0] policy
     /* 2021866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021876 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021900 */     // GIR_Coverage, 17186,
     /* 2021900 */     GIR_EraseRootFromParent_Done,
     /* 2021901 */   // Label 26949: @2021901
     /* 2021901 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2021988), // Rule ID 17187 //
     /* 2021906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021937 */     // MIs[0] passthru
     /* 2021937 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021950 */     // MIs[0] round
     /* 2021950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021953 */     // MIs[0] policy
     /* 2021953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021963 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021987 */     // GIR_Coverage, 17187,
     /* 2021987 */     GIR_EraseRootFromParent_Done,
     /* 2021988 */   // Label 26950: @2021988
     /* 2021988 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2022075), // Rule ID 17196 //
     /* 2021993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2022010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022024 */     // MIs[0] passthru
     /* 2022024 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022037 */     // MIs[0] round
     /* 2022037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022040 */     // MIs[0] policy
     /* 2022040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2022053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022074 */     // GIR_Coverage, 17196,
     /* 2022074 */     GIR_EraseRootFromParent_Done,
     /* 2022075 */   // Label 26951: @2022075
     /* 2022075 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2022162), // Rule ID 17197 //
     /* 2022080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2022097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022111 */     // MIs[0] passthru
     /* 2022111 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022124 */     // MIs[0] round
     /* 2022124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022127 */     // MIs[0] policy
     /* 2022127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022137 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2022140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022161 */     // GIR_Coverage, 17197,
     /* 2022161 */     GIR_EraseRootFromParent_Done,
     /* 2022162 */   // Label 26952: @2022162
     /* 2022162 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2022249), // Rule ID 17206 //
     /* 2022167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2022178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2022181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2022184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022198 */     // MIs[0] passthru
     /* 2022198 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022211 */     // MIs[0] round
     /* 2022211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022214 */     // MIs[0] policy
     /* 2022214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022224 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2022227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022248 */     // GIR_Coverage, 17206,
     /* 2022248 */     GIR_EraseRootFromParent_Done,
     /* 2022249 */   // Label 26953: @2022249
     /* 2022249 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2022336), // Rule ID 17207 //
     /* 2022254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2022265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2022268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2022271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022285 */     // MIs[0] passthru
     /* 2022285 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022298 */     // MIs[0] round
     /* 2022298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022301 */     // MIs[0] policy
     /* 2022301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022311 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2022314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022335 */     // GIR_Coverage, 17207,
     /* 2022335 */     GIR_EraseRootFromParent_Done,
     /* 2022336 */   // Label 26954: @2022336
     /* 2022336 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2022423), // Rule ID 17216 //
     /* 2022341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2022352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2022355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2022358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022372 */     // MIs[0] passthru
     /* 2022372 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022385 */     // MIs[0] round
     /* 2022385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022388 */     // MIs[0] policy
     /* 2022388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022398 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2022401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022422 */     // GIR_Coverage, 17216,
     /* 2022422 */     GIR_EraseRootFromParent_Done,
     /* 2022423 */   // Label 26955: @2022423
     /* 2022423 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2022510), // Rule ID 17217 //
     /* 2022428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2022439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2022442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2022445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022459 */     // MIs[0] passthru
     /* 2022459 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022472 */     // MIs[0] round
     /* 2022472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022475 */     // MIs[0] policy
     /* 2022475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022485 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2022488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022509 */     // GIR_Coverage, 17217,
     /* 2022509 */     GIR_EraseRootFromParent_Done,
     /* 2022510 */   // Label 26956: @2022510
     /* 2022510 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2022597), // Rule ID 17226 //
     /* 2022515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022546 */     // MIs[0] passthru
     /* 2022546 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022559 */     // MIs[0] round
     /* 2022559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022562 */     // MIs[0] policy
     /* 2022562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022572 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022596 */     // GIR_Coverage, 17226,
     /* 2022596 */     GIR_EraseRootFromParent_Done,
     /* 2022597 */   // Label 26957: @2022597
     /* 2022597 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2022684), // Rule ID 17227 //
     /* 2022602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022633 */     // MIs[0] passthru
     /* 2022633 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022646 */     // MIs[0] round
     /* 2022646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022649 */     // MIs[0] policy
     /* 2022649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022659 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022683 */     // GIR_Coverage, 17227,
     /* 2022683 */     GIR_EraseRootFromParent_Done,
     /* 2022684 */   // Label 26958: @2022684
     /* 2022684 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2022775), // Rule ID 2616 //
     /* 2022689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022735 */     // MIs[0] round
     /* 2022735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022738 */     // MIs[0] policy
     /* 2022738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022774 */     // GIR_Coverage, 2616,
     /* 2022774 */     GIR_EraseRootFromParent_Done,
     /* 2022775 */   // Label 26959: @2022775
     /* 2022775 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2022866), // Rule ID 2617 //
     /* 2022780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022826 */     // MIs[0] round
     /* 2022826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022829 */     // MIs[0] policy
     /* 2022829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022839 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022865 */     // GIR_Coverage, 2617,
     /* 2022865 */     GIR_EraseRootFromParent_Done,
     /* 2022866 */   // Label 26960: @2022866
     /* 2022866 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2022957), // Rule ID 2660 //
     /* 2022871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2022874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022917 */     // MIs[0] round
     /* 2022917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022920 */     // MIs[0] policy
     /* 2022920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2022933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022956 */     // GIR_Coverage, 2660,
     /* 2022956 */     GIR_EraseRootFromParent_Done,
     /* 2022957 */   // Label 26961: @2022957
     /* 2022957 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2023048), // Rule ID 2661 //
     /* 2022962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2022965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023008 */     // MIs[0] round
     /* 2023008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023011 */     // MIs[0] policy
     /* 2023011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023021 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2023024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023047 */     // GIR_Coverage, 2661,
     /* 2023047 */     GIR_EraseRootFromParent_Done,
     /* 2023048 */   // Label 26962: @2023048
     /* 2023048 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2023139), // Rule ID 2668 //
     /* 2023053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2023056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2023061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023099 */     // MIs[0] round
     /* 2023099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023102 */     // MIs[0] policy
     /* 2023102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023112 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2023115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2023119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023138 */     // GIR_Coverage, 2668,
     /* 2023138 */     GIR_EraseRootFromParent_Done,
     /* 2023139 */   // Label 26963: @2023139
     /* 2023139 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2023230), // Rule ID 2669 //
     /* 2023144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2023147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2023152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023190 */     // MIs[0] round
     /* 2023190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023193 */     // MIs[0] policy
     /* 2023193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023203 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2023206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2023210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023229 */     // GIR_Coverage, 2669,
     /* 2023229 */     GIR_EraseRootFromParent_Done,
     /* 2023230 */   // Label 26964: @2023230
     /* 2023230 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2023321), // Rule ID 14818 //
     /* 2023235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2023246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2023249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2023252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2023255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023281 */     // MIs[0] round
     /* 2023281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023284 */     // MIs[0] policy
     /* 2023284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023320 */     // GIR_Coverage, 14818,
     /* 2023320 */     GIR_EraseRootFromParent_Done,
     /* 2023321 */   // Label 26965: @2023321
     /* 2023321 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2023412), // Rule ID 14819 //
     /* 2023326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2023337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2023340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2023343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2023346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023372 */     // MIs[0] round
     /* 2023372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023375 */     // MIs[0] policy
     /* 2023375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023385 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023411 */     // GIR_Coverage, 14819,
     /* 2023411 */     GIR_EraseRootFromParent_Done,
     /* 2023412 */   // Label 26966: @2023412
     /* 2023412 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2023503), // Rule ID 14822 //
     /* 2023417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2023434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2023437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023463 */     // MIs[0] round
     /* 2023463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023466 */     // MIs[0] policy
     /* 2023466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023502 */     // GIR_Coverage, 14822,
     /* 2023502 */     GIR_EraseRootFromParent_Done,
     /* 2023503 */   // Label 26967: @2023503
     /* 2023503 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2023594), // Rule ID 14823 //
     /* 2023508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2023525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2023528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023554 */     // MIs[0] round
     /* 2023554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023557 */     // MIs[0] policy
     /* 2023557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023593 */     // GIR_Coverage, 14823,
     /* 2023593 */     GIR_EraseRootFromParent_Done,
     /* 2023594 */   // Label 26968: @2023594
     /* 2023594 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2023685), // Rule ID 14826 //
     /* 2023599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023645 */     // MIs[0] round
     /* 2023645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023648 */     // MIs[0] policy
     /* 2023648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023684 */     // GIR_Coverage, 14826,
     /* 2023684 */     GIR_EraseRootFromParent_Done,
     /* 2023685 */   // Label 26969: @2023685
     /* 2023685 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2023776), // Rule ID 14827 //
     /* 2023690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023736 */     // MIs[0] round
     /* 2023736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023739 */     // MIs[0] policy
     /* 2023739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023749 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023775 */     // GIR_Coverage, 14827,
     /* 2023775 */     GIR_EraseRootFromParent_Done,
     /* 2023776 */   // Label 26970: @2023776
     /* 2023776 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2023867), // Rule ID 14830 //
     /* 2023781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023827 */     // MIs[0] round
     /* 2023827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023830 */     // MIs[0] policy
     /* 2023830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023840 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023866 */     // GIR_Coverage, 14830,
     /* 2023866 */     GIR_EraseRootFromParent_Done,
     /* 2023867 */   // Label 26971: @2023867
     /* 2023867 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2023958), // Rule ID 14831 //
     /* 2023872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023918 */     // MIs[0] round
     /* 2023918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023921 */     // MIs[0] policy
     /* 2023921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023957 */     // GIR_Coverage, 14831,
     /* 2023957 */     GIR_EraseRootFromParent_Done,
     /* 2023958 */   // Label 26972: @2023958
     /* 2023958 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2024049), // Rule ID 14834 //
     /* 2023963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2023983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024009 */     // MIs[0] round
     /* 2024009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024012 */     // MIs[0] policy
     /* 2024012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2024025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024048 */     // GIR_Coverage, 14834,
     /* 2024048 */     GIR_EraseRootFromParent_Done,
     /* 2024049 */   // Label 26973: @2024049
     /* 2024049 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2024140), // Rule ID 14835 //
     /* 2024054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2024065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2024068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2024071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2024074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024100 */     // MIs[0] round
     /* 2024100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024103 */     // MIs[0] policy
     /* 2024103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024113 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2024116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024139 */     // GIR_Coverage, 14835,
     /* 2024139 */     GIR_EraseRootFromParent_Done,
     /* 2024140 */   // Label 26974: @2024140
     /* 2024140 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2024231), // Rule ID 14838 //
     /* 2024145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2024156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2024159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2024162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2024165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024191 */     // MIs[0] round
     /* 2024191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024194 */     // MIs[0] policy
     /* 2024194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024230 */     // GIR_Coverage, 14838,
     /* 2024230 */     GIR_EraseRootFromParent_Done,
     /* 2024231 */   // Label 26975: @2024231
     /* 2024231 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2024322), // Rule ID 14839 //
     /* 2024236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2024247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2024250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2024253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2024256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024282 */     // MIs[0] round
     /* 2024282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024285 */     // MIs[0] policy
     /* 2024285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024295 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024321 */     // GIR_Coverage, 14839,
     /* 2024321 */     GIR_EraseRootFromParent_Done,
     /* 2024322 */   // Label 26976: @2024322
     /* 2024322 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2024413), // Rule ID 14842 //
     /* 2024327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2024338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2024341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2024344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2024347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024373 */     // MIs[0] round
     /* 2024373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024376 */     // MIs[0] policy
     /* 2024376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024412 */     // GIR_Coverage, 14842,
     /* 2024412 */     GIR_EraseRootFromParent_Done,
     /* 2024413 */   // Label 26977: @2024413
     /* 2024413 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2024504), // Rule ID 14843 //
     /* 2024418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2024429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2024432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2024435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2024438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024464 */     // MIs[0] round
     /* 2024464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024467 */     // MIs[0] policy
     /* 2024467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024503 */     // GIR_Coverage, 14843,
     /* 2024503 */     GIR_EraseRootFromParent_Done,
     /* 2024504 */   // Label 26978: @2024504
     /* 2024504 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2024595), // Rule ID 14846 //
     /* 2024509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024555 */     // MIs[0] round
     /* 2024555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024558 */     // MIs[0] policy
     /* 2024558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024594 */     // GIR_Coverage, 14846,
     /* 2024594 */     GIR_EraseRootFromParent_Done,
     /* 2024595 */   // Label 26979: @2024595
     /* 2024595 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2024686), // Rule ID 14847 //
     /* 2024600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024646 */     // MIs[0] round
     /* 2024646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024649 */     // MIs[0] policy
     /* 2024649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024685 */     // GIR_Coverage, 14847,
     /* 2024685 */     GIR_EraseRootFromParent_Done,
     /* 2024686 */   // Label 26980: @2024686
     /* 2024686 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2024777), // Rule ID 14850 //
     /* 2024691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024737 */     // MIs[0] round
     /* 2024737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024740 */     // MIs[0] policy
     /* 2024740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024776 */     // GIR_Coverage, 14850,
     /* 2024776 */     GIR_EraseRootFromParent_Done,
     /* 2024777 */   // Label 26981: @2024777
     /* 2024777 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2024868), // Rule ID 14851 //
     /* 2024782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024828 */     // MIs[0] round
     /* 2024828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024831 */     // MIs[0] policy
     /* 2024831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024841 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024867 */     // GIR_Coverage, 14851,
     /* 2024867 */     GIR_EraseRootFromParent_Done,
     /* 2024868 */   // Label 26982: @2024868
     /* 2024868 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2024959), // Rule ID 14854 //
     /* 2024873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024919 */     // MIs[0] round
     /* 2024919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024922 */     // MIs[0] policy
     /* 2024922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024958 */     // GIR_Coverage, 14854,
     /* 2024958 */     GIR_EraseRootFromParent_Done,
     /* 2024959 */   // Label 26983: @2024959
     /* 2024959 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2025050), // Rule ID 14855 //
     /* 2024964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025010 */     // MIs[0] round
     /* 2025010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025013 */     // MIs[0] policy
     /* 2025013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025023 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025049 */     // GIR_Coverage, 14855,
     /* 2025049 */     GIR_EraseRootFromParent_Done,
     /* 2025050 */   // Label 26984: @2025050
     /* 2025050 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2025141), // Rule ID 14858 //
     /* 2025055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2025066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2025069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2025072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2025075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025101 */     // MIs[0] round
     /* 2025101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025104 */     // MIs[0] policy
     /* 2025104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025114 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025140 */     // GIR_Coverage, 14858,
     /* 2025140 */     GIR_EraseRootFromParent_Done,
     /* 2025141 */   // Label 26985: @2025141
     /* 2025141 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2025232), // Rule ID 14859 //
     /* 2025146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2025157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2025160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2025163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2025166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025192 */     // MIs[0] round
     /* 2025192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025195 */     // MIs[0] policy
     /* 2025195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025205 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025231 */     // GIR_Coverage, 14859,
     /* 2025231 */     GIR_EraseRootFromParent_Done,
     /* 2025232 */   // Label 26986: @2025232
     /* 2025232 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2025323), // Rule ID 14862 //
     /* 2025237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2025248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2025251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2025254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2025257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2025260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025283 */     // MIs[0] round
     /* 2025283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025286 */     // MIs[0] policy
     /* 2025286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025322 */     // GIR_Coverage, 14862,
     /* 2025322 */     GIR_EraseRootFromParent_Done,
     /* 2025323 */   // Label 26987: @2025323
     /* 2025323 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2025414), // Rule ID 14863 //
     /* 2025328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2025339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2025342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2025345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2025348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2025351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025374 */     // MIs[0] round
     /* 2025374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025377 */     // MIs[0] policy
     /* 2025377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025387 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025413 */     // GIR_Coverage, 14863,
     /* 2025413 */     GIR_EraseRootFromParent_Done,
     /* 2025414 */   // Label 26988: @2025414
     /* 2025414 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2025505), // Rule ID 14866 //
     /* 2025419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025465 */     // MIs[0] round
     /* 2025465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025468 */     // MIs[0] policy
     /* 2025468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025504 */     // GIR_Coverage, 14866,
     /* 2025504 */     GIR_EraseRootFromParent_Done,
     /* 2025505 */   // Label 26989: @2025505
     /* 2025505 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2025596), // Rule ID 14867 //
     /* 2025510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025556 */     // MIs[0] round
     /* 2025556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025559 */     // MIs[0] policy
     /* 2025559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025569 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025595 */     // GIR_Coverage, 14867,
     /* 2025595 */     GIR_EraseRootFromParent_Done,
     /* 2025596 */   // Label 26990: @2025596
     /* 2025596 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2025687), // Rule ID 14870 //
     /* 2025601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025647 */     // MIs[0] round
     /* 2025647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025650 */     // MIs[0] policy
     /* 2025650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025686 */     // GIR_Coverage, 14870,
     /* 2025686 */     GIR_EraseRootFromParent_Done,
     /* 2025687 */   // Label 26991: @2025687
     /* 2025687 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2025778), // Rule ID 14871 //
     /* 2025692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025738 */     // MIs[0] round
     /* 2025738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025741 */     // MIs[0] policy
     /* 2025741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025777 */     // GIR_Coverage, 14871,
     /* 2025777 */     GIR_EraseRootFromParent_Done,
     /* 2025778 */   // Label 26992: @2025778
     /* 2025778 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2025869), // Rule ID 14874 //
     /* 2025783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025829 */     // MIs[0] round
     /* 2025829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025832 */     // MIs[0] policy
     /* 2025832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025868 */     // GIR_Coverage, 14874,
     /* 2025868 */     GIR_EraseRootFromParent_Done,
     /* 2025869 */   // Label 26993: @2025869
     /* 2025869 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2025960), // Rule ID 14875 //
     /* 2025874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025920 */     // MIs[0] round
     /* 2025920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025923 */     // MIs[0] policy
     /* 2025923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025959 */     // GIR_Coverage, 14875,
     /* 2025959 */     GIR_EraseRootFromParent_Done,
     /* 2025960 */   // Label 26994: @2025960
     /* 2025960 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2026051), // Rule ID 14878 //
     /* 2025965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2025985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026011 */     // MIs[0] round
     /* 2026011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026014 */     // MIs[0] policy
     /* 2026014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026050 */     // GIR_Coverage, 14878,
     /* 2026050 */     GIR_EraseRootFromParent_Done,
     /* 2026051 */   // Label 26995: @2026051
     /* 2026051 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2026142), // Rule ID 14879 //
     /* 2026056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2026067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2026070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2026073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2026076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026102 */     // MIs[0] round
     /* 2026102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026105 */     // MIs[0] policy
     /* 2026105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026141 */     // GIR_Coverage, 14879,
     /* 2026141 */     GIR_EraseRootFromParent_Done,
     /* 2026142 */   // Label 26996: @2026142
     /* 2026142 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2026233), // Rule ID 14882 //
     /* 2026147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026193 */     // MIs[0] round
     /* 2026193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026196 */     // MIs[0] policy
     /* 2026196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026232 */     // GIR_Coverage, 14882,
     /* 2026232 */     GIR_EraseRootFromParent_Done,
     /* 2026233 */   // Label 26997: @2026233
     /* 2026233 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2026324), // Rule ID 14883 //
     /* 2026238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026284 */     // MIs[0] round
     /* 2026284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026287 */     // MIs[0] policy
     /* 2026287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026323 */     // GIR_Coverage, 14883,
     /* 2026323 */     GIR_EraseRootFromParent_Done,
     /* 2026324 */   // Label 26998: @2026324
     /* 2026324 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2026415), // Rule ID 14886 //
     /* 2026329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026375 */     // MIs[0] round
     /* 2026375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026378 */     // MIs[0] policy
     /* 2026378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026414 */     // GIR_Coverage, 14886,
     /* 2026414 */     GIR_EraseRootFromParent_Done,
     /* 2026415 */   // Label 26999: @2026415
     /* 2026415 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2026506), // Rule ID 14887 //
     /* 2026420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026466 */     // MIs[0] round
     /* 2026466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026469 */     // MIs[0] policy
     /* 2026469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026505 */     // GIR_Coverage, 14887,
     /* 2026505 */     GIR_EraseRootFromParent_Done,
     /* 2026506 */   // Label 27000: @2026506
     /* 2026506 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2026597), // Rule ID 14890 //
     /* 2026511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026557 */     // MIs[0] round
     /* 2026557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026560 */     // MIs[0] policy
     /* 2026560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026596 */     // GIR_Coverage, 14890,
     /* 2026596 */     GIR_EraseRootFromParent_Done,
     /* 2026597 */   // Label 27001: @2026597
     /* 2026597 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2026688), // Rule ID 14891 //
     /* 2026602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026648 */     // MIs[0] round
     /* 2026648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026651 */     // MIs[0] policy
     /* 2026651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026687 */     // GIR_Coverage, 14891,
     /* 2026687 */     GIR_EraseRootFromParent_Done,
     /* 2026688 */   // Label 27002: @2026688
     /* 2026688 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2026779), // Rule ID 14894 //
     /* 2026693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026739 */     // MIs[0] round
     /* 2026739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026742 */     // MIs[0] policy
     /* 2026742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026778 */     // GIR_Coverage, 14894,
     /* 2026778 */     GIR_EraseRootFromParent_Done,
     /* 2026779 */   // Label 27003: @2026779
     /* 2026779 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2026870), // Rule ID 14895 //
     /* 2026784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026830 */     // MIs[0] round
     /* 2026830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026833 */     // MIs[0] policy
     /* 2026833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026869 */     // GIR_Coverage, 14895,
     /* 2026869 */     GIR_EraseRootFromParent_Done,
     /* 2026870 */   // Label 27004: @2026870
     /* 2026870 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2026961), // Rule ID 14898 //
     /* 2026875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026921 */     // MIs[0] round
     /* 2026921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026924 */     // MIs[0] policy
     /* 2026924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026960 */     // GIR_Coverage, 14898,
     /* 2026960 */     GIR_EraseRootFromParent_Done,
     /* 2026961 */   // Label 27005: @2026961
     /* 2026961 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2027052), // Rule ID 14899 //
     /* 2026966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027012 */     // MIs[0] round
     /* 2027012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027015 */     // MIs[0] policy
     /* 2027015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027025 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2027028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027051 */     // GIR_Coverage, 14899,
     /* 2027051 */     GIR_EraseRootFromParent_Done,
     /* 2027052 */   // Label 27006: @2027052
     /* 2027052 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2027143), // Rule ID 14902 //
     /* 2027057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2027068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2027071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2027074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027103 */     // MIs[0] round
     /* 2027103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027106 */     // MIs[0] policy
     /* 2027106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2027119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027142 */     // GIR_Coverage, 14902,
     /* 2027142 */     GIR_EraseRootFromParent_Done,
     /* 2027143 */   // Label 27007: @2027143
     /* 2027143 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2027234), // Rule ID 14903 //
     /* 2027148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2027159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2027162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2027165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027194 */     // MIs[0] round
     /* 2027194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027197 */     // MIs[0] policy
     /* 2027197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027207 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2027210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027233 */     // GIR_Coverage, 14903,
     /* 2027233 */     GIR_EraseRootFromParent_Done,
     /* 2027234 */   // Label 27008: @2027234
     /* 2027234 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2027325), // Rule ID 14906 //
     /* 2027239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2027250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2027253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2027256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027285 */     // MIs[0] round
     /* 2027285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027288 */     // MIs[0] policy
     /* 2027288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027324 */     // GIR_Coverage, 14906,
     /* 2027324 */     GIR_EraseRootFromParent_Done,
     /* 2027325 */   // Label 27009: @2027325
     /* 2027325 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2027416), // Rule ID 14907 //
     /* 2027330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2027341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2027344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2027347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027376 */     // MIs[0] round
     /* 2027376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027379 */     // MIs[0] policy
     /* 2027379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027389 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027415 */     // GIR_Coverage, 14907,
     /* 2027415 */     GIR_EraseRootFromParent_Done,
     /* 2027416 */   // Label 27010: @2027416
     /* 2027416 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2027507), // Rule ID 14910 //
     /* 2027421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027467 */     // MIs[0] round
     /* 2027467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027470 */     // MIs[0] policy
     /* 2027470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027506 */     // GIR_Coverage, 14910,
     /* 2027506 */     GIR_EraseRootFromParent_Done,
     /* 2027507 */   // Label 27011: @2027507
     /* 2027507 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2027598), // Rule ID 14911 //
     /* 2027512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027558 */     // MIs[0] round
     /* 2027558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027561 */     // MIs[0] policy
     /* 2027561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027597 */     // GIR_Coverage, 14911,
     /* 2027597 */     GIR_EraseRootFromParent_Done,
     /* 2027598 */   // Label 27012: @2027598
     /* 2027598 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2027689), // Rule ID 14914 //
     /* 2027603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027649 */     // MIs[0] round
     /* 2027649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027652 */     // MIs[0] policy
     /* 2027652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027688 */     // GIR_Coverage, 14914,
     /* 2027688 */     GIR_EraseRootFromParent_Done,
     /* 2027689 */   // Label 27013: @2027689
     /* 2027689 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2027780), // Rule ID 14915 //
     /* 2027694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027740 */     // MIs[0] round
     /* 2027740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027743 */     // MIs[0] policy
     /* 2027743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027779 */     // GIR_Coverage, 14915,
     /* 2027779 */     GIR_EraseRootFromParent_Done,
     /* 2027780 */   // Label 27014: @2027780
     /* 2027780 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2027871), // Rule ID 14918 //
     /* 2027785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027831 */     // MIs[0] round
     /* 2027831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027834 */     // MIs[0] policy
     /* 2027834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027870 */     // GIR_Coverage, 14918,
     /* 2027870 */     GIR_EraseRootFromParent_Done,
     /* 2027871 */   // Label 27015: @2027871
     /* 2027871 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2027962), // Rule ID 14919 //
     /* 2027876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027922 */     // MIs[0] round
     /* 2027922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027925 */     // MIs[0] policy
     /* 2027925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027961 */     // GIR_Coverage, 14919,
     /* 2027961 */     GIR_EraseRootFromParent_Done,
     /* 2027962 */   // Label 27016: @2027962
     /* 2027962 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2028053), // Rule ID 14922 //
     /* 2027967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028013 */     // MIs[0] round
     /* 2028013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028016 */     // MIs[0] policy
     /* 2028016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2028029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028052 */     // GIR_Coverage, 14922,
     /* 2028052 */     GIR_EraseRootFromParent_Done,
     /* 2028053 */   // Label 27017: @2028053
     /* 2028053 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2028144), // Rule ID 14923 //
     /* 2028058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2028069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2028072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2028075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028104 */     // MIs[0] round
     /* 2028104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028107 */     // MIs[0] policy
     /* 2028107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2028120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028143 */     // GIR_Coverage, 14923,
     /* 2028143 */     GIR_EraseRootFromParent_Done,
     /* 2028144 */   // Label 27018: @2028144
     /* 2028144 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2028235), // Rule ID 14926 //
     /* 2028149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2028166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028195 */     // MIs[0] round
     /* 2028195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028198 */     // MIs[0] policy
     /* 2028198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028234 */     // GIR_Coverage, 14926,
     /* 2028234 */     GIR_EraseRootFromParent_Done,
     /* 2028235 */   // Label 27019: @2028235
     /* 2028235 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2028326), // Rule ID 14927 //
     /* 2028240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2028257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028286 */     // MIs[0] round
     /* 2028286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028289 */     // MIs[0] policy
     /* 2028289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028325 */     // GIR_Coverage, 14927,
     /* 2028325 */     GIR_EraseRootFromParent_Done,
     /* 2028326 */   // Label 27020: @2028326
     /* 2028326 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2028417), // Rule ID 14930 //
     /* 2028331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2028342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2028345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028377 */     // MIs[0] round
     /* 2028377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028380 */     // MIs[0] policy
     /* 2028380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028416 */     // GIR_Coverage, 14930,
     /* 2028416 */     GIR_EraseRootFromParent_Done,
     /* 2028417 */   // Label 27021: @2028417
     /* 2028417 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2028508), // Rule ID 14931 //
     /* 2028422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2028433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2028436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028468 */     // MIs[0] round
     /* 2028468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028471 */     // MIs[0] policy
     /* 2028471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028481 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028507 */     // GIR_Coverage, 14931,
     /* 2028507 */     GIR_EraseRootFromParent_Done,
     /* 2028508 */   // Label 27022: @2028508
     /* 2028508 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2028599), // Rule ID 14934 //
     /* 2028513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028559 */     // MIs[0] round
     /* 2028559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028562 */     // MIs[0] policy
     /* 2028562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028598 */     // GIR_Coverage, 14934,
     /* 2028598 */     GIR_EraseRootFromParent_Done,
     /* 2028599 */   // Label 27023: @2028599
     /* 2028599 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2028690), // Rule ID 14935 //
     /* 2028604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028650 */     // MIs[0] round
     /* 2028650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028653 */     // MIs[0] policy
     /* 2028653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028689 */     // GIR_Coverage, 14935,
     /* 2028689 */     GIR_EraseRootFromParent_Done,
     /* 2028690 */   // Label 27024: @2028690
     /* 2028690 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2028781), // Rule ID 14938 //
     /* 2028695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028741 */     // MIs[0] round
     /* 2028741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028744 */     // MIs[0] policy
     /* 2028744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028780 */     // GIR_Coverage, 14938,
     /* 2028780 */     GIR_EraseRootFromParent_Done,
     /* 2028781 */   // Label 27025: @2028781
     /* 2028781 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2028872), // Rule ID 14939 //
     /* 2028786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028832 */     // MIs[0] round
     /* 2028832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028835 */     // MIs[0] policy
     /* 2028835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028871 */     // GIR_Coverage, 14939,
     /* 2028871 */     GIR_EraseRootFromParent_Done,
     /* 2028872 */   // Label 27026: @2028872
     /* 2028872 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2028963), // Rule ID 14942 //
     /* 2028877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028923 */     // MIs[0] round
     /* 2028923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028926 */     // MIs[0] policy
     /* 2028926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028962 */     // GIR_Coverage, 14942,
     /* 2028962 */     GIR_EraseRootFromParent_Done,
     /* 2028963 */   // Label 27027: @2028963
     /* 2028963 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2029054), // Rule ID 14943 //
     /* 2028968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029014 */     // MIs[0] round
     /* 2029014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029017 */     // MIs[0] policy
     /* 2029017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029053 */     // GIR_Coverage, 14943,
     /* 2029053 */     GIR_EraseRootFromParent_Done,
     /* 2029054 */   // Label 27028: @2029054
     /* 2029054 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2029145), // Rule ID 14946 //
     /* 2029059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2029076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029105 */     // MIs[0] round
     /* 2029105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029108 */     // MIs[0] policy
     /* 2029108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029118 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029144 */     // GIR_Coverage, 14946,
     /* 2029144 */     GIR_EraseRootFromParent_Done,
     /* 2029145 */   // Label 27029: @2029145
     /* 2029145 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2029236), // Rule ID 14947 //
     /* 2029150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2029167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029196 */     // MIs[0] round
     /* 2029196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029199 */     // MIs[0] policy
     /* 2029199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029235 */     // GIR_Coverage, 14947,
     /* 2029235 */     GIR_EraseRootFromParent_Done,
     /* 2029236 */   // Label 27030: @2029236
     /* 2029236 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2029327), // Rule ID 14950 //
     /* 2029241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2029252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2029255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2029258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2029264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029287 */     // MIs[0] round
     /* 2029287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029290 */     // MIs[0] policy
     /* 2029290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029326 */     // GIR_Coverage, 14950,
     /* 2029326 */     GIR_EraseRootFromParent_Done,
     /* 2029327 */   // Label 27031: @2029327
     /* 2029327 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2029418), // Rule ID 14951 //
     /* 2029332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2029343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2029346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2029349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2029355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029378 */     // MIs[0] round
     /* 2029378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029381 */     // MIs[0] policy
     /* 2029381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029417 */     // GIR_Coverage, 14951,
     /* 2029417 */     GIR_EraseRootFromParent_Done,
     /* 2029418 */   // Label 27032: @2029418
     /* 2029418 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2029509), // Rule ID 14954 //
     /* 2029423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029469 */     // MIs[0] round
     /* 2029469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029472 */     // MIs[0] policy
     /* 2029472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029508 */     // GIR_Coverage, 14954,
     /* 2029508 */     GIR_EraseRootFromParent_Done,
     /* 2029509 */   // Label 27033: @2029509
     /* 2029509 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2029600), // Rule ID 14955 //
     /* 2029514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029560 */     // MIs[0] round
     /* 2029560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029563 */     // MIs[0] policy
     /* 2029563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029573 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029599 */     // GIR_Coverage, 14955,
     /* 2029599 */     GIR_EraseRootFromParent_Done,
     /* 2029600 */   // Label 27034: @2029600
     /* 2029600 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2029691), // Rule ID 14958 //
     /* 2029605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029651 */     // MIs[0] round
     /* 2029651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029654 */     // MIs[0] policy
     /* 2029654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029690 */     // GIR_Coverage, 14958,
     /* 2029690 */     GIR_EraseRootFromParent_Done,
     /* 2029691 */   // Label 27035: @2029691
     /* 2029691 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2029782), // Rule ID 14959 //
     /* 2029696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029742 */     // MIs[0] round
     /* 2029742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029745 */     // MIs[0] policy
     /* 2029745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029781 */     // GIR_Coverage, 14959,
     /* 2029781 */     GIR_EraseRootFromParent_Done,
     /* 2029782 */   // Label 27036: @2029782
     /* 2029782 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2029873), // Rule ID 14962 //
     /* 2029787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029833 */     // MIs[0] round
     /* 2029833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029836 */     // MIs[0] policy
     /* 2029836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029872 */     // GIR_Coverage, 14962,
     /* 2029872 */     GIR_EraseRootFromParent_Done,
     /* 2029873 */   // Label 27037: @2029873
     /* 2029873 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2029964), // Rule ID 14963 //
     /* 2029878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029924 */     // MIs[0] round
     /* 2029924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029927 */     // MIs[0] policy
     /* 2029927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029963 */     // GIR_Coverage, 14963,
     /* 2029963 */     GIR_EraseRootFromParent_Done,
     /* 2029964 */   // Label 27038: @2029964
     /* 2029964 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2030055), // Rule ID 14966 //
     /* 2029969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2029980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2029983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030015 */     // MIs[0] round
     /* 2030015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030018 */     // MIs[0] policy
     /* 2030018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030054 */     // GIR_Coverage, 14966,
     /* 2030054 */     GIR_EraseRootFromParent_Done,
     /* 2030055 */   // Label 27039: @2030055
     /* 2030055 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2030146), // Rule ID 14967 //
     /* 2030060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2030071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2030074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2030077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030106 */     // MIs[0] round
     /* 2030106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030109 */     // MIs[0] policy
     /* 2030109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030119 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030145 */     // GIR_Coverage, 14967,
     /* 2030145 */     GIR_EraseRootFromParent_Done,
     /* 2030146 */   // Label 27040: @2030146
     /* 2030146 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2030237), // Rule ID 14970 //
     /* 2030151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030197 */     // MIs[0] round
     /* 2030197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030200 */     // MIs[0] policy
     /* 2030200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030236 */     // GIR_Coverage, 14970,
     /* 2030236 */     GIR_EraseRootFromParent_Done,
     /* 2030237 */   // Label 27041: @2030237
     /* 2030237 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2030328), // Rule ID 14971 //
     /* 2030242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030288 */     // MIs[0] round
     /* 2030288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030291 */     // MIs[0] policy
     /* 2030291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030327 */     // GIR_Coverage, 14971,
     /* 2030327 */     GIR_EraseRootFromParent_Done,
     /* 2030328 */   // Label 27042: @2030328
     /* 2030328 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2030419), // Rule ID 14974 //
     /* 2030333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2030344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2030347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030379 */     // MIs[0] round
     /* 2030379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030382 */     // MIs[0] policy
     /* 2030382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030418 */     // GIR_Coverage, 14974,
     /* 2030418 */     GIR_EraseRootFromParent_Done,
     /* 2030419 */   // Label 27043: @2030419
     /* 2030419 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2030510), // Rule ID 14975 //
     /* 2030424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2030435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2030438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030470 */     // MIs[0] round
     /* 2030470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030473 */     // MIs[0] policy
     /* 2030473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030509 */     // GIR_Coverage, 14975,
     /* 2030509 */     GIR_EraseRootFromParent_Done,
     /* 2030510 */   // Label 27044: @2030510
     /* 2030510 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2030601), // Rule ID 14978 //
     /* 2030515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030561 */     // MIs[0] round
     /* 2030561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030564 */     // MIs[0] policy
     /* 2030564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030600 */     // GIR_Coverage, 14978,
     /* 2030600 */     GIR_EraseRootFromParent_Done,
     /* 2030601 */   // Label 27045: @2030601
     /* 2030601 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2030692), // Rule ID 14979 //
     /* 2030606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030652 */     // MIs[0] round
     /* 2030652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030655 */     // MIs[0] policy
     /* 2030655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030665 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030691 */     // GIR_Coverage, 14979,
     /* 2030691 */     GIR_EraseRootFromParent_Done,
     /* 2030692 */   // Label 27046: @2030692
     /* 2030692 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2030783), // Rule ID 14982 //
     /* 2030697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030743 */     // MIs[0] round
     /* 2030743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030746 */     // MIs[0] policy
     /* 2030746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030782 */     // GIR_Coverage, 14982,
     /* 2030782 */     GIR_EraseRootFromParent_Done,
     /* 2030783 */   // Label 27047: @2030783
     /* 2030783 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2030874), // Rule ID 14983 //
     /* 2030788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030834 */     // MIs[0] round
     /* 2030834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030837 */     // MIs[0] policy
     /* 2030837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030873 */     // GIR_Coverage, 14983,
     /* 2030873 */     GIR_EraseRootFromParent_Done,
     /* 2030874 */   // Label 27048: @2030874
     /* 2030874 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2030965), // Rule ID 14986 //
     /* 2030879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030925 */     // MIs[0] round
     /* 2030925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030928 */     // MIs[0] policy
     /* 2030928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030964 */     // GIR_Coverage, 14986,
     /* 2030964 */     GIR_EraseRootFromParent_Done,
     /* 2030965 */   // Label 27049: @2030965
     /* 2030965 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2031056), // Rule ID 14987 //
     /* 2030970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031016 */     // MIs[0] round
     /* 2031016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031019 */     // MIs[0] policy
     /* 2031019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2031032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031055 */     // GIR_Coverage, 14987,
     /* 2031055 */     GIR_EraseRootFromParent_Done,
     /* 2031056 */   // Label 27050: @2031056
     /* 2031056 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2031147), // Rule ID 14990 //
     /* 2031061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2031072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2031075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2031078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2031081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031107 */     // MIs[0] round
     /* 2031107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031110 */     // MIs[0] policy
     /* 2031110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2031123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031146 */     // GIR_Coverage, 14990,
     /* 2031146 */     GIR_EraseRootFromParent_Done,
     /* 2031147 */   // Label 27051: @2031147
     /* 2031147 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2031238), // Rule ID 14991 //
     /* 2031152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2031163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2031166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2031169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2031172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031198 */     // MIs[0] round
     /* 2031198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031201 */     // MIs[0] policy
     /* 2031201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2031214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031237 */     // GIR_Coverage, 14991,
     /* 2031237 */     GIR_EraseRootFromParent_Done,
     /* 2031238 */   // Label 27052: @2031238
     /* 2031238 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2031329), // Rule ID 14994 //
     /* 2031243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2031254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2031257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2031260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2031263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031289 */     // MIs[0] round
     /* 2031289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031292 */     // MIs[0] policy
     /* 2031292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031328 */     // GIR_Coverage, 14994,
     /* 2031328 */     GIR_EraseRootFromParent_Done,
     /* 2031329 */   // Label 27053: @2031329
     /* 2031329 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2031420), // Rule ID 14995 //
     /* 2031334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2031345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2031348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2031351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2031354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031380 */     // MIs[0] round
     /* 2031380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031383 */     // MIs[0] policy
     /* 2031383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031419 */     // GIR_Coverage, 14995,
     /* 2031419 */     GIR_EraseRootFromParent_Done,
     /* 2031420 */   // Label 27054: @2031420
     /* 2031420 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2031511), // Rule ID 14998 //
     /* 2031425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031471 */     // MIs[0] round
     /* 2031471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031474 */     // MIs[0] policy
     /* 2031474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031510 */     // GIR_Coverage, 14998,
     /* 2031510 */     GIR_EraseRootFromParent_Done,
     /* 2031511 */   // Label 27055: @2031511
     /* 2031511 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2031602), // Rule ID 14999 //
     /* 2031516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031562 */     // MIs[0] round
     /* 2031562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031565 */     // MIs[0] policy
     /* 2031565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031601 */     // GIR_Coverage, 14999,
     /* 2031601 */     GIR_EraseRootFromParent_Done,
     /* 2031602 */   // Label 27056: @2031602
     /* 2031602 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2031693), // Rule ID 15002 //
     /* 2031607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031653 */     // MIs[0] round
     /* 2031653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031656 */     // MIs[0] policy
     /* 2031656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031692 */     // GIR_Coverage, 15002,
     /* 2031692 */     GIR_EraseRootFromParent_Done,
     /* 2031693 */   // Label 27057: @2031693
     /* 2031693 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2031784), // Rule ID 15003 //
     /* 2031698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031744 */     // MIs[0] round
     /* 2031744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031747 */     // MIs[0] policy
     /* 2031747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031757 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031783 */     // GIR_Coverage, 15003,
     /* 2031783 */     GIR_EraseRootFromParent_Done,
     /* 2031784 */   // Label 27058: @2031784
     /* 2031784 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2031875), // Rule ID 15006 //
     /* 2031789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031835 */     // MIs[0] round
     /* 2031835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031838 */     // MIs[0] policy
     /* 2031838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031874 */     // GIR_Coverage, 15006,
     /* 2031874 */     GIR_EraseRootFromParent_Done,
     /* 2031875 */   // Label 27059: @2031875
     /* 2031875 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2031966), // Rule ID 15007 //
     /* 2031880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031926 */     // MIs[0] round
     /* 2031926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031929 */     // MIs[0] policy
     /* 2031929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031965 */     // GIR_Coverage, 15007,
     /* 2031965 */     GIR_EraseRootFromParent_Done,
     /* 2031966 */   // Label 27060: @2031966
     /* 2031966 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2032057), // Rule ID 15010 //
     /* 2031971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032017 */     // MIs[0] round
     /* 2032017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032020 */     // MIs[0] policy
     /* 2032020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2032033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032056 */     // GIR_Coverage, 15010,
     /* 2032056 */     GIR_EraseRootFromParent_Done,
     /* 2032057 */   // Label 27061: @2032057
     /* 2032057 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2032148), // Rule ID 15011 //
     /* 2032062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2032079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2032082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032108 */     // MIs[0] round
     /* 2032108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032111 */     // MIs[0] policy
     /* 2032111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2032124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032147 */     // GIR_Coverage, 15011,
     /* 2032147 */     GIR_EraseRootFromParent_Done,
     /* 2032148 */   // Label 27062: @2032148
     /* 2032148 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2032239), // Rule ID 15014 //
     /* 2032153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2032170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2032173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032199 */     // MIs[0] round
     /* 2032199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032202 */     // MIs[0] policy
     /* 2032202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032238 */     // GIR_Coverage, 15014,
     /* 2032238 */     GIR_EraseRootFromParent_Done,
     /* 2032239 */   // Label 27063: @2032239
     /* 2032239 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2032330), // Rule ID 15015 //
     /* 2032244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2032261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2032264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032290 */     // MIs[0] round
     /* 2032290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032293 */     // MIs[0] policy
     /* 2032293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032329 */     // GIR_Coverage, 15015,
     /* 2032329 */     GIR_EraseRootFromParent_Done,
     /* 2032330 */   // Label 27064: @2032330
     /* 2032330 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2032421), // Rule ID 15018 //
     /* 2032335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2032346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032381 */     // MIs[0] round
     /* 2032381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032384 */     // MIs[0] policy
     /* 2032384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032420 */     // GIR_Coverage, 15018,
     /* 2032420 */     GIR_EraseRootFromParent_Done,
     /* 2032421 */   // Label 27065: @2032421
     /* 2032421 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2032512), // Rule ID 15019 //
     /* 2032426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2032437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032472 */     // MIs[0] round
     /* 2032472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032475 */     // MIs[0] policy
     /* 2032475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032511 */     // GIR_Coverage, 15019,
     /* 2032511 */     GIR_EraseRootFromParent_Done,
     /* 2032512 */   // Label 27066: @2032512
     /* 2032512 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2032603), // Rule ID 15022 //
     /* 2032517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032563 */     // MIs[0] round
     /* 2032563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032566 */     // MIs[0] policy
     /* 2032566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032602 */     // GIR_Coverage, 15022,
     /* 2032602 */     GIR_EraseRootFromParent_Done,
     /* 2032603 */   // Label 27067: @2032603
     /* 2032603 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2032694), // Rule ID 15023 //
     /* 2032608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032654 */     // MIs[0] round
     /* 2032654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032657 */     // MIs[0] policy
     /* 2032657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032693 */     // GIR_Coverage, 15023,
     /* 2032693 */     GIR_EraseRootFromParent_Done,
     /* 2032694 */   // Label 27068: @2032694
     /* 2032694 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2032785), // Rule ID 15026 //
     /* 2032699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032745 */     // MIs[0] round
     /* 2032745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032748 */     // MIs[0] policy
     /* 2032748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032784 */     // GIR_Coverage, 15026,
     /* 2032784 */     GIR_EraseRootFromParent_Done,
     /* 2032785 */   // Label 27069: @2032785
     /* 2032785 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2032876), // Rule ID 15027 //
     /* 2032790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032836 */     // MIs[0] round
     /* 2032836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032839 */     // MIs[0] policy
     /* 2032839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032849 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032875 */     // GIR_Coverage, 15027,
     /* 2032875 */     GIR_EraseRootFromParent_Done,
     /* 2032876 */   // Label 27070: @2032876
     /* 2032876 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2032967), // Rule ID 15030 //
     /* 2032881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032927 */     // MIs[0] round
     /* 2032927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032930 */     // MIs[0] policy
     /* 2032930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032966 */     // GIR_Coverage, 15030,
     /* 2032966 */     GIR_EraseRootFromParent_Done,
     /* 2032967 */   // Label 27071: @2032967
     /* 2032967 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2033058), // Rule ID 15031 //
     /* 2032972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033018 */     // MIs[0] round
     /* 2033018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033021 */     // MIs[0] policy
     /* 2033021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033031 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033057 */     // GIR_Coverage, 15031,
     /* 2033057 */     GIR_EraseRootFromParent_Done,
     /* 2033058 */   // Label 27072: @2033058
     /* 2033058 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2033149), // Rule ID 15034 //
     /* 2033063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2033080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2033083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033109 */     // MIs[0] round
     /* 2033109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033112 */     // MIs[0] policy
     /* 2033112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033148 */     // GIR_Coverage, 15034,
     /* 2033148 */     GIR_EraseRootFromParent_Done,
     /* 2033149 */   // Label 27073: @2033149
     /* 2033149 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2033240), // Rule ID 15035 //
     /* 2033154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2033171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2033174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033200 */     // MIs[0] round
     /* 2033200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033203 */     // MIs[0] policy
     /* 2033203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033213 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033239 */     // GIR_Coverage, 15035,
     /* 2033239 */     GIR_EraseRootFromParent_Done,
     /* 2033240 */   // Label 27074: @2033240
     /* 2033240 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2033331), // Rule ID 15038 //
     /* 2033245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2033256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2033259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2033262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2033265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2033268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033291 */     // MIs[0] round
     /* 2033291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033294 */     // MIs[0] policy
     /* 2033294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033330 */     // GIR_Coverage, 15038,
     /* 2033330 */     GIR_EraseRootFromParent_Done,
     /* 2033331 */   // Label 27075: @2033331
     /* 2033331 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2033422), // Rule ID 15039 //
     /* 2033336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2033347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2033350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2033353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2033356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2033359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033382 */     // MIs[0] round
     /* 2033382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033385 */     // MIs[0] policy
     /* 2033385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033395 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033421 */     // GIR_Coverage, 15039,
     /* 2033421 */     GIR_EraseRootFromParent_Done,
     /* 2033422 */   // Label 27076: @2033422
     /* 2033422 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2033513), // Rule ID 15042 //
     /* 2033427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033473 */     // MIs[0] round
     /* 2033473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033476 */     // MIs[0] policy
     /* 2033476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033512 */     // GIR_Coverage, 15042,
     /* 2033512 */     GIR_EraseRootFromParent_Done,
     /* 2033513 */   // Label 27077: @2033513
     /* 2033513 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2033604), // Rule ID 15043 //
     /* 2033518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033564 */     // MIs[0] round
     /* 2033564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033567 */     // MIs[0] policy
     /* 2033567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033603 */     // GIR_Coverage, 15043,
     /* 2033603 */     GIR_EraseRootFromParent_Done,
     /* 2033604 */   // Label 27078: @2033604
     /* 2033604 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2033695), // Rule ID 15046 //
     /* 2033609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033655 */     // MIs[0] round
     /* 2033655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033658 */     // MIs[0] policy
     /* 2033658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033694 */     // GIR_Coverage, 15046,
     /* 2033694 */     GIR_EraseRootFromParent_Done,
     /* 2033695 */   // Label 27079: @2033695
     /* 2033695 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2033786), // Rule ID 15047 //
     /* 2033700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033746 */     // MIs[0] round
     /* 2033746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033749 */     // MIs[0] policy
     /* 2033749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033785 */     // GIR_Coverage, 15047,
     /* 2033785 */     GIR_EraseRootFromParent_Done,
     /* 2033786 */   // Label 27080: @2033786
     /* 2033786 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2033877), // Rule ID 15050 //
     /* 2033791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033837 */     // MIs[0] round
     /* 2033837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033840 */     // MIs[0] policy
     /* 2033840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033876 */     // GIR_Coverage, 15050,
     /* 2033876 */     GIR_EraseRootFromParent_Done,
     /* 2033877 */   // Label 27081: @2033877
     /* 2033877 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2033968), // Rule ID 15051 //
     /* 2033882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033928 */     // MIs[0] round
     /* 2033928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033931 */     // MIs[0] policy
     /* 2033931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033967 */     // GIR_Coverage, 15051,
     /* 2033967 */     GIR_EraseRootFromParent_Done,
     /* 2033968 */   // Label 27082: @2033968
     /* 2033968 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2034059), // Rule ID 15054 //
     /* 2033973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034019 */     // MIs[0] round
     /* 2034019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034022 */     // MIs[0] policy
     /* 2034022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034058 */     // GIR_Coverage, 15054,
     /* 2034058 */     GIR_EraseRootFromParent_Done,
     /* 2034059 */   // Label 27083: @2034059
     /* 2034059 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2034150), // Rule ID 15055 //
     /* 2034064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2034081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2034084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034110 */     // MIs[0] round
     /* 2034110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034113 */     // MIs[0] policy
     /* 2034113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034149 */     // GIR_Coverage, 15055,
     /* 2034149 */     GIR_EraseRootFromParent_Done,
     /* 2034150 */   // Label 27084: @2034150
     /* 2034150 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2034241), // Rule ID 15058 //
     /* 2034155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2034175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034201 */     // MIs[0] round
     /* 2034201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034204 */     // MIs[0] policy
     /* 2034204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034240 */     // GIR_Coverage, 15058,
     /* 2034240 */     GIR_EraseRootFromParent_Done,
     /* 2034241 */   // Label 27085: @2034241
     /* 2034241 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2034332), // Rule ID 15059 //
     /* 2034246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2034266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034292 */     // MIs[0] round
     /* 2034292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034295 */     // MIs[0] policy
     /* 2034295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034331 */     // GIR_Coverage, 15059,
     /* 2034331 */     GIR_EraseRootFromParent_Done,
     /* 2034332 */   // Label 27086: @2034332
     /* 2034332 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2034423), // Rule ID 15062 //
     /* 2034337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2034357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034383 */     // MIs[0] round
     /* 2034383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034386 */     // MIs[0] policy
     /* 2034386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034422 */     // GIR_Coverage, 15062,
     /* 2034422 */     GIR_EraseRootFromParent_Done,
     /* 2034423 */   // Label 27087: @2034423
     /* 2034423 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2034514), // Rule ID 15063 //
     /* 2034428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2034448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034474 */     // MIs[0] round
     /* 2034474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034477 */     // MIs[0] policy
     /* 2034477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034487 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034513 */     // GIR_Coverage, 15063,
     /* 2034513 */     GIR_EraseRootFromParent_Done,
     /* 2034514 */   // Label 27088: @2034514
     /* 2034514 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2034605), // Rule ID 15066 //
     /* 2034519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034565 */     // MIs[0] round
     /* 2034565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034568 */     // MIs[0] policy
     /* 2034568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034604 */     // GIR_Coverage, 15066,
     /* 2034604 */     GIR_EraseRootFromParent_Done,
     /* 2034605 */   // Label 27089: @2034605
     /* 2034605 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2034696), // Rule ID 15067 //
     /* 2034610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034656 */     // MIs[0] round
     /* 2034656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034659 */     // MIs[0] policy
     /* 2034659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034695 */     // GIR_Coverage, 15067,
     /* 2034695 */     GIR_EraseRootFromParent_Done,
     /* 2034696 */   // Label 27090: @2034696
     /* 2034696 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2034787), // Rule ID 15070 //
     /* 2034701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034747 */     // MIs[0] round
     /* 2034747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034750 */     // MIs[0] policy
     /* 2034750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034760 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034786 */     // GIR_Coverage, 15070,
     /* 2034786 */     GIR_EraseRootFromParent_Done,
     /* 2034787 */   // Label 27091: @2034787
     /* 2034787 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2034878), // Rule ID 15071 //
     /* 2034792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034838 */     // MIs[0] round
     /* 2034838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034841 */     // MIs[0] policy
     /* 2034841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034877 */     // GIR_Coverage, 15071,
     /* 2034877 */     GIR_EraseRootFromParent_Done,
     /* 2034878 */   // Label 27092: @2034878
     /* 2034878 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2034969), // Rule ID 15074 //
     /* 2034883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034929 */     // MIs[0] round
     /* 2034929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034932 */     // MIs[0] policy
     /* 2034932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034968 */     // GIR_Coverage, 15074,
     /* 2034968 */     GIR_EraseRootFromParent_Done,
     /* 2034969 */   // Label 27093: @2034969
     /* 2034969 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2035060), // Rule ID 15075 //
     /* 2034974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035020 */     // MIs[0] round
     /* 2035020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035023 */     // MIs[0] policy
     /* 2035023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2035036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035059 */     // GIR_Coverage, 15075,
     /* 2035059 */     GIR_EraseRootFromParent_Done,
     /* 2035060 */   // Label 27094: @2035060
     /* 2035060 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2035151), // Rule ID 15078 //
     /* 2035065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2035076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2035079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2035082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035111 */     // MIs[0] round
     /* 2035111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035114 */     // MIs[0] policy
     /* 2035114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2035127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035150 */     // GIR_Coverage, 15078,
     /* 2035150 */     GIR_EraseRootFromParent_Done,
     /* 2035151 */   // Label 27095: @2035151
     /* 2035151 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2035242), // Rule ID 15079 //
     /* 2035156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2035167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2035170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2035173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035202 */     // MIs[0] round
     /* 2035202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035205 */     // MIs[0] policy
     /* 2035205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035215 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2035218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035241 */     // GIR_Coverage, 15079,
     /* 2035241 */     GIR_EraseRootFromParent_Done,
     /* 2035242 */   // Label 27096: @2035242
     /* 2035242 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2035333), // Rule ID 15082 //
     /* 2035247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2035258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2035261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2035264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035293 */     // MIs[0] round
     /* 2035293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035296 */     // MIs[0] policy
     /* 2035296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035332 */     // GIR_Coverage, 15082,
     /* 2035332 */     GIR_EraseRootFromParent_Done,
     /* 2035333 */   // Label 27097: @2035333
     /* 2035333 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2035424), // Rule ID 15083 //
     /* 2035338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2035349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2035352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2035355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035384 */     // MIs[0] round
     /* 2035384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035387 */     // MIs[0] policy
     /* 2035387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035423 */     // GIR_Coverage, 15083,
     /* 2035423 */     GIR_EraseRootFromParent_Done,
     /* 2035424 */   // Label 27098: @2035424
     /* 2035424 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2035515), // Rule ID 15086 //
     /* 2035429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035475 */     // MIs[0] round
     /* 2035475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035478 */     // MIs[0] policy
     /* 2035478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035488 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035514 */     // GIR_Coverage, 15086,
     /* 2035514 */     GIR_EraseRootFromParent_Done,
     /* 2035515 */   // Label 27099: @2035515
     /* 2035515 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2035606), // Rule ID 15087 //
     /* 2035520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035566 */     // MIs[0] round
     /* 2035566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035569 */     // MIs[0] policy
     /* 2035569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035579 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035605 */     // GIR_Coverage, 15087,
     /* 2035605 */     GIR_EraseRootFromParent_Done,
     /* 2035606 */   // Label 27100: @2035606
     /* 2035606 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2035697), // Rule ID 15090 //
     /* 2035611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035657 */     // MIs[0] round
     /* 2035657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035660 */     // MIs[0] policy
     /* 2035660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035696 */     // GIR_Coverage, 15090,
     /* 2035696 */     GIR_EraseRootFromParent_Done,
     /* 2035697 */   // Label 27101: @2035697
     /* 2035697 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2035788), // Rule ID 15091 //
     /* 2035702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035748 */     // MIs[0] round
     /* 2035748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035751 */     // MIs[0] policy
     /* 2035751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035787 */     // GIR_Coverage, 15091,
     /* 2035787 */     GIR_EraseRootFromParent_Done,
     /* 2035788 */   // Label 27102: @2035788
     /* 2035788 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2035879), // Rule ID 15094 //
     /* 2035793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035839 */     // MIs[0] round
     /* 2035839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035842 */     // MIs[0] policy
     /* 2035842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035878 */     // GIR_Coverage, 15094,
     /* 2035878 */     GIR_EraseRootFromParent_Done,
     /* 2035879 */   // Label 27103: @2035879
     /* 2035879 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2035970), // Rule ID 15095 //
     /* 2035884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035930 */     // MIs[0] round
     /* 2035930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035933 */     // MIs[0] policy
     /* 2035933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035943 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035969 */     // GIR_Coverage, 15095,
     /* 2035969 */     GIR_EraseRootFromParent_Done,
     /* 2035970 */   // Label 27104: @2035970
     /* 2035970 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2036061), // Rule ID 15098 //
     /* 2035975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036021 */     // MIs[0] round
     /* 2036021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036024 */     // MIs[0] policy
     /* 2036024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2036037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036060 */     // GIR_Coverage, 15098,
     /* 2036060 */     GIR_EraseRootFromParent_Done,
     /* 2036061 */   // Label 27105: @2036061
     /* 2036061 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2036152), // Rule ID 15099 //
     /* 2036066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2036083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036112 */     // MIs[0] round
     /* 2036112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036115 */     // MIs[0] policy
     /* 2036115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2036128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036151 */     // GIR_Coverage, 15099,
     /* 2036151 */     GIR_EraseRootFromParent_Done,
     /* 2036152 */   // Label 27106: @2036152
     /* 2036152 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2036243), // Rule ID 15102 //
     /* 2036157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2036168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2036171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2036174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036203 */     // MIs[0] round
     /* 2036203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036206 */     // MIs[0] policy
     /* 2036206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036242 */     // GIR_Coverage, 15102,
     /* 2036242 */     GIR_EraseRootFromParent_Done,
     /* 2036243 */   // Label 27107: @2036243
     /* 2036243 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2036334), // Rule ID 15103 //
     /* 2036248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2036259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2036262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2036265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036294 */     // MIs[0] round
     /* 2036294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036297 */     // MIs[0] policy
     /* 2036297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036333 */     // GIR_Coverage, 15103,
     /* 2036333 */     GIR_EraseRootFromParent_Done,
     /* 2036334 */   // Label 27108: @2036334
     /* 2036334 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2036425), // Rule ID 15106 //
     /* 2036339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036385 */     // MIs[0] round
     /* 2036385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036388 */     // MIs[0] policy
     /* 2036388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036424 */     // GIR_Coverage, 15106,
     /* 2036424 */     GIR_EraseRootFromParent_Done,
     /* 2036425 */   // Label 27109: @2036425
     /* 2036425 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2036516), // Rule ID 15107 //
     /* 2036430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036476 */     // MIs[0] round
     /* 2036476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036479 */     // MIs[0] policy
     /* 2036479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036515 */     // GIR_Coverage, 15107,
     /* 2036515 */     GIR_EraseRootFromParent_Done,
     /* 2036516 */   // Label 27110: @2036516
     /* 2036516 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2036607), // Rule ID 15110 //
     /* 2036521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036567 */     // MIs[0] round
     /* 2036567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036570 */     // MIs[0] policy
     /* 2036570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036606 */     // GIR_Coverage, 15110,
     /* 2036606 */     GIR_EraseRootFromParent_Done,
     /* 2036607 */   // Label 27111: @2036607
     /* 2036607 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2036698), // Rule ID 15111 //
     /* 2036612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036658 */     // MIs[0] round
     /* 2036658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036661 */     // MIs[0] policy
     /* 2036661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036697 */     // GIR_Coverage, 15111,
     /* 2036697 */     GIR_EraseRootFromParent_Done,
     /* 2036698 */   // Label 27112: @2036698
     /* 2036698 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2036789), // Rule ID 15114 //
     /* 2036703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036749 */     // MIs[0] round
     /* 2036749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036752 */     // MIs[0] policy
     /* 2036752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036788 */     // GIR_Coverage, 15114,
     /* 2036788 */     GIR_EraseRootFromParent_Done,
     /* 2036789 */   // Label 27113: @2036789
     /* 2036789 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2036880), // Rule ID 15115 //
     /* 2036794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036840 */     // MIs[0] round
     /* 2036840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036843 */     // MIs[0] policy
     /* 2036843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036879 */     // GIR_Coverage, 15115,
     /* 2036879 */     GIR_EraseRootFromParent_Done,
     /* 2036880 */   // Label 27114: @2036880
     /* 2036880 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2036971), // Rule ID 15118 //
     /* 2036885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036931 */     // MIs[0] round
     /* 2036931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036934 */     // MIs[0] policy
     /* 2036934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036944 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036970 */     // GIR_Coverage, 15118,
     /* 2036970 */     GIR_EraseRootFromParent_Done,
     /* 2036971 */   // Label 27115: @2036971
     /* 2036971 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2037062), // Rule ID 15119 //
     /* 2036976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037022 */     // MIs[0] round
     /* 2037022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037025 */     // MIs[0] policy
     /* 2037025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037061 */     // GIR_Coverage, 15119,
     /* 2037061 */     GIR_EraseRootFromParent_Done,
     /* 2037062 */   // Label 27116: @2037062
     /* 2037062 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2037153), // Rule ID 15122 //
     /* 2037067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2037078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2037081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2037084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037113 */     // MIs[0] round
     /* 2037113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037116 */     // MIs[0] policy
     /* 2037116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037126 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037152 */     // GIR_Coverage, 15122,
     /* 2037152 */     GIR_EraseRootFromParent_Done,
     /* 2037153 */   // Label 27117: @2037153
     /* 2037153 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2037244), // Rule ID 15123 //
     /* 2037158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2037169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2037172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2037175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037204 */     // MIs[0] round
     /* 2037204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037207 */     // MIs[0] policy
     /* 2037207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037243 */     // GIR_Coverage, 15123,
     /* 2037243 */     GIR_EraseRootFromParent_Done,
     /* 2037244 */   // Label 27118: @2037244
     /* 2037244 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2037335), // Rule ID 15126 //
     /* 2037249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2037260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2037263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2037266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2037272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037295 */     // MIs[0] round
     /* 2037295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037298 */     // MIs[0] policy
     /* 2037298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037334 */     // GIR_Coverage, 15126,
     /* 2037334 */     GIR_EraseRootFromParent_Done,
     /* 2037335 */   // Label 27119: @2037335
     /* 2037335 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2037426), // Rule ID 15127 //
     /* 2037340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2037351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2037354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2037357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2037363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037386 */     // MIs[0] round
     /* 2037386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037389 */     // MIs[0] policy
     /* 2037389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037399 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037425 */     // GIR_Coverage, 15127,
     /* 2037425 */     GIR_EraseRootFromParent_Done,
     /* 2037426 */   // Label 27120: @2037426
     /* 2037426 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2037517), // Rule ID 15130 //
     /* 2037431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037477 */     // MIs[0] round
     /* 2037477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037480 */     // MIs[0] policy
     /* 2037480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037516 */     // GIR_Coverage, 15130,
     /* 2037516 */     GIR_EraseRootFromParent_Done,
     /* 2037517 */   // Label 27121: @2037517
     /* 2037517 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2037608), // Rule ID 15131 //
     /* 2037522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037568 */     // MIs[0] round
     /* 2037568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037571 */     // MIs[0] policy
     /* 2037571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037607 */     // GIR_Coverage, 15131,
     /* 2037607 */     GIR_EraseRootFromParent_Done,
     /* 2037608 */   // Label 27122: @2037608
     /* 2037608 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2037699), // Rule ID 15134 //
     /* 2037613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037659 */     // MIs[0] round
     /* 2037659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037662 */     // MIs[0] policy
     /* 2037662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037698 */     // GIR_Coverage, 15134,
     /* 2037698 */     GIR_EraseRootFromParent_Done,
     /* 2037699 */   // Label 27123: @2037699
     /* 2037699 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2037790), // Rule ID 15135 //
     /* 2037704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037750 */     // MIs[0] round
     /* 2037750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037753 */     // MIs[0] policy
     /* 2037753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037789 */     // GIR_Coverage, 15135,
     /* 2037789 */     GIR_EraseRootFromParent_Done,
     /* 2037790 */   // Label 27124: @2037790
     /* 2037790 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2037881), // Rule ID 15138 //
     /* 2037795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037841 */     // MIs[0] round
     /* 2037841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037844 */     // MIs[0] policy
     /* 2037844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037880 */     // GIR_Coverage, 15138,
     /* 2037880 */     GIR_EraseRootFromParent_Done,
     /* 2037881 */   // Label 27125: @2037881
     /* 2037881 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2037972), // Rule ID 15139 //
     /* 2037886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037932 */     // MIs[0] round
     /* 2037932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037935 */     // MIs[0] policy
     /* 2037935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037945 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037971 */     // GIR_Coverage, 15139,
     /* 2037971 */     GIR_EraseRootFromParent_Done,
     /* 2037972 */   // Label 27126: @2037972
     /* 2037972 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2038063), // Rule ID 15142 //
     /* 2037977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038023 */     // MIs[0] round
     /* 2038023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038026 */     // MIs[0] policy
     /* 2038026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038062 */     // GIR_Coverage, 15142,
     /* 2038062 */     GIR_EraseRootFromParent_Done,
     /* 2038063 */   // Label 27127: @2038063
     /* 2038063 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2038154), // Rule ID 15143 //
     /* 2038068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2038079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2038082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2038085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038114 */     // MIs[0] round
     /* 2038114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038117 */     // MIs[0] policy
     /* 2038117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038153 */     // GIR_Coverage, 15143,
     /* 2038153 */     GIR_EraseRootFromParent_Done,
     /* 2038154 */   // Label 27128: @2038154
     /* 2038154 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2038245), // Rule ID 15146 //
     /* 2038159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2038170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2038173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2038176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038205 */     // MIs[0] round
     /* 2038205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038208 */     // MIs[0] policy
     /* 2038208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038244 */     // GIR_Coverage, 15146,
     /* 2038244 */     GIR_EraseRootFromParent_Done,
     /* 2038245 */   // Label 27129: @2038245
     /* 2038245 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2038336), // Rule ID 15147 //
     /* 2038250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2038261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2038264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2038267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038296 */     // MIs[0] round
     /* 2038296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038299 */     // MIs[0] policy
     /* 2038299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038335 */     // GIR_Coverage, 15147,
     /* 2038335 */     GIR_EraseRootFromParent_Done,
     /* 2038336 */   // Label 27130: @2038336
     /* 2038336 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2038427), // Rule ID 15150 //
     /* 2038341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038387 */     // MIs[0] round
     /* 2038387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038390 */     // MIs[0] policy
     /* 2038390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038426 */     // GIR_Coverage, 15150,
     /* 2038426 */     GIR_EraseRootFromParent_Done,
     /* 2038427 */   // Label 27131: @2038427
     /* 2038427 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2038518), // Rule ID 15151 //
     /* 2038432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038478 */     // MIs[0] round
     /* 2038478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038481 */     // MIs[0] policy
     /* 2038481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038517 */     // GIR_Coverage, 15151,
     /* 2038517 */     GIR_EraseRootFromParent_Done,
     /* 2038518 */   // Label 27132: @2038518
     /* 2038518 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2038609), // Rule ID 15154 //
     /* 2038523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038569 */     // MIs[0] round
     /* 2038569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038572 */     // MIs[0] policy
     /* 2038572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038608 */     // GIR_Coverage, 15154,
     /* 2038608 */     GIR_EraseRootFromParent_Done,
     /* 2038609 */   // Label 27133: @2038609
     /* 2038609 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2038700), // Rule ID 15155 //
     /* 2038614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038660 */     // MIs[0] round
     /* 2038660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038663 */     // MIs[0] policy
     /* 2038663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038699 */     // GIR_Coverage, 15155,
     /* 2038699 */     GIR_EraseRootFromParent_Done,
     /* 2038700 */   // Label 27134: @2038700
     /* 2038700 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2038791), // Rule ID 15158 //
     /* 2038705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038751 */     // MIs[0] round
     /* 2038751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038754 */     // MIs[0] policy
     /* 2038754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038790 */     // GIR_Coverage, 15158,
     /* 2038790 */     GIR_EraseRootFromParent_Done,
     /* 2038791 */   // Label 27135: @2038791
     /* 2038791 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2038882), // Rule ID 15159 //
     /* 2038796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038842 */     // MIs[0] round
     /* 2038842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038845 */     // MIs[0] policy
     /* 2038845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038855 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038881 */     // GIR_Coverage, 15159,
     /* 2038881 */     GIR_EraseRootFromParent_Done,
     /* 2038882 */   // Label 27136: @2038882
     /* 2038882 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2038973), // Rule ID 15162 //
     /* 2038887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038933 */     // MIs[0] round
     /* 2038933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038936 */     // MIs[0] policy
     /* 2038936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038972 */     // GIR_Coverage, 15162,
     /* 2038972 */     GIR_EraseRootFromParent_Done,
     /* 2038973 */   // Label 27137: @2038973
     /* 2038973 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2039064), // Rule ID 15163 //
     /* 2038978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039024 */     // MIs[0] round
     /* 2039024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039027 */     // MIs[0] policy
     /* 2039027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2039040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039063 */     // GIR_Coverage, 15163,
     /* 2039063 */     GIR_EraseRootFromParent_Done,
     /* 2039064 */   // Label 27138: @2039064
     /* 2039064 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2039155), // Rule ID 15166 //
     /* 2039069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2039080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2039083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2039086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2039089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039115 */     // MIs[0] round
     /* 2039115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039118 */     // MIs[0] policy
     /* 2039118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2039131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039154 */     // GIR_Coverage, 15166,
     /* 2039154 */     GIR_EraseRootFromParent_Done,
     /* 2039155 */   // Label 27139: @2039155
     /* 2039155 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2039246), // Rule ID 15167 //
     /* 2039160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2039171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2039174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2039177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2039180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039206 */     // MIs[0] round
     /* 2039206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039209 */     // MIs[0] policy
     /* 2039209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039219 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2039222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039245 */     // GIR_Coverage, 15167,
     /* 2039245 */     GIR_EraseRootFromParent_Done,
     /* 2039246 */   // Label 27140: @2039246
     /* 2039246 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2039337), // Rule ID 15170 //
     /* 2039251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2039262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2039265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2039268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2039271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039297 */     // MIs[0] round
     /* 2039297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039300 */     // MIs[0] policy
     /* 2039300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039336 */     // GIR_Coverage, 15170,
     /* 2039336 */     GIR_EraseRootFromParent_Done,
     /* 2039337 */   // Label 27141: @2039337
     /* 2039337 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2039428), // Rule ID 15171 //
     /* 2039342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2039353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2039356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2039359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2039362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039388 */     // MIs[0] round
     /* 2039388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039391 */     // MIs[0] policy
     /* 2039391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039427 */     // GIR_Coverage, 15171,
     /* 2039427 */     GIR_EraseRootFromParent_Done,
     /* 2039428 */   // Label 27142: @2039428
     /* 2039428 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2039519), // Rule ID 15174 //
     /* 2039433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039479 */     // MIs[0] round
     /* 2039479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039482 */     // MIs[0] policy
     /* 2039482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039518 */     // GIR_Coverage, 15174,
     /* 2039518 */     GIR_EraseRootFromParent_Done,
     /* 2039519 */   // Label 27143: @2039519
     /* 2039519 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2039610), // Rule ID 15175 //
     /* 2039524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039570 */     // MIs[0] round
     /* 2039570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039573 */     // MIs[0] policy
     /* 2039573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039609 */     // GIR_Coverage, 15175,
     /* 2039609 */     GIR_EraseRootFromParent_Done,
     /* 2039610 */   // Label 27144: @2039610
     /* 2039610 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2039701), // Rule ID 15178 //
     /* 2039615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039661 */     // MIs[0] round
     /* 2039661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039664 */     // MIs[0] policy
     /* 2039664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039700 */     // GIR_Coverage, 15178,
     /* 2039700 */     GIR_EraseRootFromParent_Done,
     /* 2039701 */   // Label 27145: @2039701
     /* 2039701 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2039792), // Rule ID 15179 //
     /* 2039706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039752 */     // MIs[0] round
     /* 2039752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039755 */     // MIs[0] policy
     /* 2039755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039765 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039791 */     // GIR_Coverage, 15179,
     /* 2039791 */     GIR_EraseRootFromParent_Done,
     /* 2039792 */   // Label 27146: @2039792
     /* 2039792 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2039883), // Rule ID 15182 //
     /* 2039797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039843 */     // MIs[0] round
     /* 2039843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039846 */     // MIs[0] policy
     /* 2039846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039882 */     // GIR_Coverage, 15182,
     /* 2039882 */     GIR_EraseRootFromParent_Done,
     /* 2039883 */   // Label 27147: @2039883
     /* 2039883 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2039974), // Rule ID 15183 //
     /* 2039888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039934 */     // MIs[0] round
     /* 2039934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039937 */     // MIs[0] policy
     /* 2039937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039973 */     // GIR_Coverage, 15183,
     /* 2039973 */     GIR_EraseRootFromParent_Done,
     /* 2039974 */   // Label 27148: @2039974
     /* 2039974 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2040065), // Rule ID 15186 //
     /* 2039979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040025 */     // MIs[0] round
     /* 2040025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040028 */     // MIs[0] policy
     /* 2040028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2040041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040064 */     // GIR_Coverage, 15186,
     /* 2040064 */     GIR_EraseRootFromParent_Done,
     /* 2040065 */   // Label 27149: @2040065
     /* 2040065 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2040156), // Rule ID 15187 //
     /* 2040070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2040081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2040084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2040087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2040090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040116 */     // MIs[0] round
     /* 2040116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040119 */     // MIs[0] policy
     /* 2040119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040129 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2040132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040155 */     // GIR_Coverage, 15187,
     /* 2040155 */     GIR_EraseRootFromParent_Done,
     /* 2040156 */   // Label 27150: @2040156
     /* 2040156 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2040247), // Rule ID 15190 //
     /* 2040161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2040172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2040175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2040178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2040181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040207 */     // MIs[0] round
     /* 2040207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040210 */     // MIs[0] policy
     /* 2040210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040246 */     // GIR_Coverage, 15190,
     /* 2040246 */     GIR_EraseRootFromParent_Done,
     /* 2040247 */   // Label 27151: @2040247
     /* 2040247 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2040338), // Rule ID 15191 //
     /* 2040252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2040263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2040266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2040269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2040272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040298 */     // MIs[0] round
     /* 2040298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040301 */     // MIs[0] policy
     /* 2040301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040337 */     // GIR_Coverage, 15191,
     /* 2040337 */     GIR_EraseRootFromParent_Done,
     /* 2040338 */   // Label 27152: @2040338
     /* 2040338 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2040429), // Rule ID 15194 //
     /* 2040343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2040363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040389 */     // MIs[0] round
     /* 2040389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040392 */     // MIs[0] policy
     /* 2040392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040428 */     // GIR_Coverage, 15194,
     /* 2040428 */     GIR_EraseRootFromParent_Done,
     /* 2040429 */   // Label 27153: @2040429
     /* 2040429 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2040520), // Rule ID 15195 //
     /* 2040434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2040454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040480 */     // MIs[0] round
     /* 2040480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040483 */     // MIs[0] policy
     /* 2040483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040519 */     // GIR_Coverage, 15195,
     /* 2040519 */     GIR_EraseRootFromParent_Done,
     /* 2040520 */   // Label 27154: @2040520
     /* 2040520 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2040611), // Rule ID 15198 //
     /* 2040525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040571 */     // MIs[0] round
     /* 2040571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040574 */     // MIs[0] policy
     /* 2040574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040610 */     // GIR_Coverage, 15198,
     /* 2040610 */     GIR_EraseRootFromParent_Done,
     /* 2040611 */   // Label 27155: @2040611
     /* 2040611 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2040702), // Rule ID 15199 //
     /* 2040616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040662 */     // MIs[0] round
     /* 2040662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040665 */     // MIs[0] policy
     /* 2040665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040701 */     // GIR_Coverage, 15199,
     /* 2040701 */     GIR_EraseRootFromParent_Done,
     /* 2040702 */   // Label 27156: @2040702
     /* 2040702 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2040793), // Rule ID 15202 //
     /* 2040707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040753 */     // MIs[0] round
     /* 2040753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040756 */     // MIs[0] policy
     /* 2040756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040792 */     // GIR_Coverage, 15202,
     /* 2040792 */     GIR_EraseRootFromParent_Done,
     /* 2040793 */   // Label 27157: @2040793
     /* 2040793 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2040884), // Rule ID 15203 //
     /* 2040798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040844 */     // MIs[0] round
     /* 2040844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040847 */     // MIs[0] policy
     /* 2040847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040883 */     // GIR_Coverage, 15203,
     /* 2040883 */     GIR_EraseRootFromParent_Done,
     /* 2040884 */   // Label 27158: @2040884
     /* 2040884 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2040975), // Rule ID 15206 //
     /* 2040889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040935 */     // MIs[0] round
     /* 2040935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040938 */     // MIs[0] policy
     /* 2040938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040974 */     // GIR_Coverage, 15206,
     /* 2040974 */     GIR_EraseRootFromParent_Done,
     /* 2040975 */   // Label 27159: @2040975
     /* 2040975 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2041066), // Rule ID 15207 //
     /* 2040980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2041000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041026 */     // MIs[0] round
     /* 2041026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041029 */     // MIs[0] policy
     /* 2041029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041039 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041065 */     // GIR_Coverage, 15207,
     /* 2041065 */     GIR_EraseRootFromParent_Done,
     /* 2041066 */   // Label 27160: @2041066
     /* 2041066 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2041157), // Rule ID 15210 //
     /* 2041071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2041082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2041085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2041088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2041091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041117 */     // MIs[0] round
     /* 2041117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041120 */     // MIs[0] policy
     /* 2041120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041130 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041156 */     // GIR_Coverage, 15210,
     /* 2041156 */     GIR_EraseRootFromParent_Done,
     /* 2041157 */   // Label 27161: @2041157
     /* 2041157 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2041248), // Rule ID 15211 //
     /* 2041162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2041173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2041176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2041179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2041182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041208 */     // MIs[0] round
     /* 2041208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041211 */     // MIs[0] policy
     /* 2041211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041247 */     // GIR_Coverage, 15211,
     /* 2041247 */     GIR_EraseRootFromParent_Done,
     /* 2041248 */   // Label 27162: @2041248
     /* 2041248 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2041339), // Rule ID 15214 //
     /* 2041253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2041264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2041267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2041270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2041273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2041276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041299 */     // MIs[0] round
     /* 2041299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041302 */     // MIs[0] policy
     /* 2041302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041338 */     // GIR_Coverage, 15214,
     /* 2041338 */     GIR_EraseRootFromParent_Done,
     /* 2041339 */   // Label 27163: @2041339
     /* 2041339 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2041430), // Rule ID 15215 //
     /* 2041344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2041355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2041358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2041361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2041364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2041367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041390 */     // MIs[0] round
     /* 2041390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041393 */     // MIs[0] policy
     /* 2041393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041429 */     // GIR_Coverage, 15215,
     /* 2041429 */     GIR_EraseRootFromParent_Done,
     /* 2041430 */   // Label 27164: @2041430
     /* 2041430 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2041521), // Rule ID 15218 //
     /* 2041435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041481 */     // MIs[0] round
     /* 2041481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041484 */     // MIs[0] policy
     /* 2041484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041520 */     // GIR_Coverage, 15218,
     /* 2041520 */     GIR_EraseRootFromParent_Done,
     /* 2041521 */   // Label 27165: @2041521
     /* 2041521 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2041612), // Rule ID 15219 //
     /* 2041526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041572 */     // MIs[0] round
     /* 2041572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041575 */     // MIs[0] policy
     /* 2041575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041611 */     // GIR_Coverage, 15219,
     /* 2041611 */     GIR_EraseRootFromParent_Done,
     /* 2041612 */   // Label 27166: @2041612
     /* 2041612 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2041703), // Rule ID 15222 //
     /* 2041617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041663 */     // MIs[0] round
     /* 2041663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041666 */     // MIs[0] policy
     /* 2041666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041702 */     // GIR_Coverage, 15222,
     /* 2041702 */     GIR_EraseRootFromParent_Done,
     /* 2041703 */   // Label 27167: @2041703
     /* 2041703 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2041794), // Rule ID 15223 //
     /* 2041708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041754 */     // MIs[0] round
     /* 2041754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041757 */     // MIs[0] policy
     /* 2041757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041793 */     // GIR_Coverage, 15223,
     /* 2041793 */     GIR_EraseRootFromParent_Done,
     /* 2041794 */   // Label 27168: @2041794
     /* 2041794 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2041885), // Rule ID 15226 //
     /* 2041799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041845 */     // MIs[0] round
     /* 2041845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041848 */     // MIs[0] policy
     /* 2041848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041884 */     // GIR_Coverage, 15226,
     /* 2041884 */     GIR_EraseRootFromParent_Done,
     /* 2041885 */   // Label 27169: @2041885
     /* 2041885 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2041976), // Rule ID 15227 //
     /* 2041890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041936 */     // MIs[0] round
     /* 2041936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041939 */     // MIs[0] policy
     /* 2041939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041949 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041975 */     // GIR_Coverage, 15227,
     /* 2041975 */     GIR_EraseRootFromParent_Done,
     /* 2041976 */   // Label 27170: @2041976
     /* 2041976 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2042067), // Rule ID 15230 //
     /* 2041981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2042001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042027 */     // MIs[0] round
     /* 2042027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042030 */     // MIs[0] policy
     /* 2042030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042066 */     // GIR_Coverage, 15230,
     /* 2042066 */     GIR_EraseRootFromParent_Done,
     /* 2042067 */   // Label 27171: @2042067
     /* 2042067 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2042158), // Rule ID 15231 //
     /* 2042072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2042083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2042086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2042089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2042092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042118 */     // MIs[0] round
     /* 2042118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042121 */     // MIs[0] policy
     /* 2042121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042157 */     // GIR_Coverage, 15231,
     /* 2042157 */     GIR_EraseRootFromParent_Done,
     /* 2042158 */   // Label 27172: @2042158
     /* 2042158 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2042249), // Rule ID 15234 //
     /* 2042163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2042174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2042177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2042180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2042183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042209 */     // MIs[0] round
     /* 2042209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042212 */     // MIs[0] policy
     /* 2042212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042248 */     // GIR_Coverage, 15234,
     /* 2042248 */     GIR_EraseRootFromParent_Done,
     /* 2042249 */   // Label 27173: @2042249
     /* 2042249 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2042340), // Rule ID 15235 //
     /* 2042254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2042265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2042268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2042271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2042274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042300 */     // MIs[0] round
     /* 2042300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042303 */     // MIs[0] policy
     /* 2042303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042339 */     // GIR_Coverage, 15235,
     /* 2042339 */     GIR_EraseRootFromParent_Done,
     /* 2042340 */   // Label 27174: @2042340
     /* 2042340 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2042431), // Rule ID 15238 //
     /* 2042345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2042365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042391 */     // MIs[0] round
     /* 2042391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042394 */     // MIs[0] policy
     /* 2042394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042430 */     // GIR_Coverage, 15238,
     /* 2042430 */     GIR_EraseRootFromParent_Done,
     /* 2042431 */   // Label 27175: @2042431
     /* 2042431 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2042522), // Rule ID 15239 //
     /* 2042436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2042456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042482 */     // MIs[0] round
     /* 2042482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042485 */     // MIs[0] policy
     /* 2042485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042521 */     // GIR_Coverage, 15239,
     /* 2042521 */     GIR_EraseRootFromParent_Done,
     /* 2042522 */   // Label 27176: @2042522
     /* 2042522 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2042613), // Rule ID 15242 //
     /* 2042527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042573 */     // MIs[0] round
     /* 2042573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042576 */     // MIs[0] policy
     /* 2042576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042612 */     // GIR_Coverage, 15242,
     /* 2042612 */     GIR_EraseRootFromParent_Done,
     /* 2042613 */   // Label 27177: @2042613
     /* 2042613 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2042704), // Rule ID 15243 //
     /* 2042618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042664 */     // MIs[0] round
     /* 2042664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042667 */     // MIs[0] policy
     /* 2042667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042677 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042703 */     // GIR_Coverage, 15243,
     /* 2042703 */     GIR_EraseRootFromParent_Done,
     /* 2042704 */   // Label 27178: @2042704
     /* 2042704 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2042795), // Rule ID 15246 //
     /* 2042709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042755 */     // MIs[0] round
     /* 2042755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042758 */     // MIs[0] policy
     /* 2042758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042794 */     // GIR_Coverage, 15246,
     /* 2042794 */     GIR_EraseRootFromParent_Done,
     /* 2042795 */   // Label 27179: @2042795
     /* 2042795 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2042886), // Rule ID 15247 //
     /* 2042800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042846 */     // MIs[0] round
     /* 2042846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042849 */     // MIs[0] policy
     /* 2042849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042885 */     // GIR_Coverage, 15247,
     /* 2042885 */     GIR_EraseRootFromParent_Done,
     /* 2042886 */   // Label 27180: @2042886
     /* 2042886 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2042977), // Rule ID 15250 //
     /* 2042891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042937 */     // MIs[0] round
     /* 2042937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042940 */     // MIs[0] policy
     /* 2042940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042976 */     // GIR_Coverage, 15250,
     /* 2042976 */     GIR_EraseRootFromParent_Done,
     /* 2042977 */   // Label 27181: @2042977
     /* 2042977 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2043068), // Rule ID 15251 //
     /* 2042982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2043002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043028 */     // MIs[0] round
     /* 2043028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043031 */     // MIs[0] policy
     /* 2043031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2043044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043067 */     // GIR_Coverage, 15251,
     /* 2043067 */     GIR_EraseRootFromParent_Done,
     /* 2043068 */   // Label 27182: @2043068
     /* 2043068 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2043159), // Rule ID 15254 //
     /* 2043073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2043084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2043087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2043090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043119 */     // MIs[0] round
     /* 2043119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043122 */     // MIs[0] policy
     /* 2043122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2043135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043158 */     // GIR_Coverage, 15254,
     /* 2043158 */     GIR_EraseRootFromParent_Done,
     /* 2043159 */   // Label 27183: @2043159
     /* 2043159 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2043250), // Rule ID 15255 //
     /* 2043164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2043175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2043178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2043181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043210 */     // MIs[0] round
     /* 2043210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043213 */     // MIs[0] policy
     /* 2043213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043223 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2043226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043249 */     // GIR_Coverage, 15255,
     /* 2043249 */     GIR_EraseRootFromParent_Done,
     /* 2043250 */   // Label 27184: @2043250
     /* 2043250 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2043341), // Rule ID 15258 //
     /* 2043255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2043266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2043269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2043272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043301 */     // MIs[0] round
     /* 2043301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043304 */     // MIs[0] policy
     /* 2043304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043340 */     // GIR_Coverage, 15258,
     /* 2043340 */     GIR_EraseRootFromParent_Done,
     /* 2043341 */   // Label 27185: @2043341
     /* 2043341 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2043432), // Rule ID 15259 //
     /* 2043346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2043357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2043360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2043363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043392 */     // MIs[0] round
     /* 2043392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043395 */     // MIs[0] policy
     /* 2043395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043405 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043431 */     // GIR_Coverage, 15259,
     /* 2043431 */     GIR_EraseRootFromParent_Done,
     /* 2043432 */   // Label 27186: @2043432
     /* 2043432 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2043523), // Rule ID 15262 //
     /* 2043437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043483 */     // MIs[0] round
     /* 2043483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043486 */     // MIs[0] policy
     /* 2043486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043522 */     // GIR_Coverage, 15262,
     /* 2043522 */     GIR_EraseRootFromParent_Done,
     /* 2043523 */   // Label 27187: @2043523
     /* 2043523 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2043614), // Rule ID 15263 //
     /* 2043528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043574 */     // MIs[0] round
     /* 2043574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043577 */     // MIs[0] policy
     /* 2043577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043587 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043613 */     // GIR_Coverage, 15263,
     /* 2043613 */     GIR_EraseRootFromParent_Done,
     /* 2043614 */   // Label 27188: @2043614
     /* 2043614 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2043705), // Rule ID 15266 //
     /* 2043619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043665 */     // MIs[0] round
     /* 2043665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043668 */     // MIs[0] policy
     /* 2043668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043704 */     // GIR_Coverage, 15266,
     /* 2043704 */     GIR_EraseRootFromParent_Done,
     /* 2043705 */   // Label 27189: @2043705
     /* 2043705 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2043796), // Rule ID 15267 //
     /* 2043710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043756 */     // MIs[0] round
     /* 2043756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043759 */     // MIs[0] policy
     /* 2043759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043769 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043795 */     // GIR_Coverage, 15267,
     /* 2043795 */     GIR_EraseRootFromParent_Done,
     /* 2043796 */   // Label 27190: @2043796
     /* 2043796 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2043887), // Rule ID 15270 //
     /* 2043801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043847 */     // MIs[0] round
     /* 2043847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043850 */     // MIs[0] policy
     /* 2043850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043886 */     // GIR_Coverage, 15270,
     /* 2043886 */     GIR_EraseRootFromParent_Done,
     /* 2043887 */   // Label 27191: @2043887
     /* 2043887 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2043978), // Rule ID 15271 //
     /* 2043892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043938 */     // MIs[0] round
     /* 2043938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043941 */     // MIs[0] policy
     /* 2043941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043977 */     // GIR_Coverage, 15271,
     /* 2043977 */     GIR_EraseRootFromParent_Done,
     /* 2043978 */   // Label 27192: @2043978
     /* 2043978 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2044069), // Rule ID 15274 //
     /* 2043983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2044000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044029 */     // MIs[0] round
     /* 2044029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044032 */     // MIs[0] policy
     /* 2044032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2044045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044068 */     // GIR_Coverage, 15274,
     /* 2044068 */     GIR_EraseRootFromParent_Done,
     /* 2044069 */   // Label 27193: @2044069
     /* 2044069 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2044160), // Rule ID 15275 //
     /* 2044074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2044085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2044088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2044091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044120 */     // MIs[0] round
     /* 2044120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044123 */     // MIs[0] policy
     /* 2044123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2044136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044159 */     // GIR_Coverage, 15275,
     /* 2044159 */     GIR_EraseRootFromParent_Done,
     /* 2044160 */   // Label 27194: @2044160
     /* 2044160 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2044251), // Rule ID 15278 //
     /* 2044165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2044176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2044179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2044182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044211 */     // MIs[0] round
     /* 2044211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044214 */     // MIs[0] policy
     /* 2044214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044250 */     // GIR_Coverage, 15278,
     /* 2044250 */     GIR_EraseRootFromParent_Done,
     /* 2044251 */   // Label 27195: @2044251
     /* 2044251 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2044342), // Rule ID 15279 //
     /* 2044256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2044267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2044270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2044273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044302 */     // MIs[0] round
     /* 2044302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044305 */     // MIs[0] policy
     /* 2044305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044341 */     // GIR_Coverage, 15279,
     /* 2044341 */     GIR_EraseRootFromParent_Done,
     /* 2044342 */   // Label 27196: @2044342
     /* 2044342 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2044433), // Rule ID 15282 //
     /* 2044347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044393 */     // MIs[0] round
     /* 2044393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044396 */     // MIs[0] policy
     /* 2044396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044432 */     // GIR_Coverage, 15282,
     /* 2044432 */     GIR_EraseRootFromParent_Done,
     /* 2044433 */   // Label 27197: @2044433
     /* 2044433 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2044524), // Rule ID 15283 //
     /* 2044438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044484 */     // MIs[0] round
     /* 2044484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044487 */     // MIs[0] policy
     /* 2044487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044523 */     // GIR_Coverage, 15283,
     /* 2044523 */     GIR_EraseRootFromParent_Done,
     /* 2044524 */   // Label 27198: @2044524
     /* 2044524 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2044615), // Rule ID 15286 //
     /* 2044529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044575 */     // MIs[0] round
     /* 2044575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044578 */     // MIs[0] policy
     /* 2044578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044614 */     // GIR_Coverage, 15286,
     /* 2044614 */     GIR_EraseRootFromParent_Done,
     /* 2044615 */   // Label 27199: @2044615
     /* 2044615 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2044706), // Rule ID 15287 //
     /* 2044620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044666 */     // MIs[0] round
     /* 2044666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044669 */     // MIs[0] policy
     /* 2044669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044679 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044705 */     // GIR_Coverage, 15287,
     /* 2044705 */     GIR_EraseRootFromParent_Done,
     /* 2044706 */   // Label 27200: @2044706
     /* 2044706 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2044797), // Rule ID 15290 //
     /* 2044711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044757 */     // MIs[0] round
     /* 2044757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044760 */     // MIs[0] policy
     /* 2044760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044796 */     // GIR_Coverage, 15290,
     /* 2044796 */     GIR_EraseRootFromParent_Done,
     /* 2044797 */   // Label 27201: @2044797
     /* 2044797 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2044888), // Rule ID 15291 //
     /* 2044802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044848 */     // MIs[0] round
     /* 2044848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044851 */     // MIs[0] policy
     /* 2044851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044887 */     // GIR_Coverage, 15291,
     /* 2044887 */     GIR_EraseRootFromParent_Done,
     /* 2044888 */   // Label 27202: @2044888
     /* 2044888 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2044979), // Rule ID 15294 //
     /* 2044893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044939 */     // MIs[0] round
     /* 2044939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044942 */     // MIs[0] policy
     /* 2044942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044978 */     // GIR_Coverage, 15294,
     /* 2044978 */     GIR_EraseRootFromParent_Done,
     /* 2044979 */   // Label 27203: @2044979
     /* 2044979 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2045070), // Rule ID 15295 //
     /* 2044984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2045001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045030 */     // MIs[0] round
     /* 2045030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045033 */     // MIs[0] policy
     /* 2045033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045069 */     // GIR_Coverage, 15295,
     /* 2045069 */     GIR_EraseRootFromParent_Done,
     /* 2045070 */   // Label 27204: @2045070
     /* 2045070 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2045161), // Rule ID 15298 //
     /* 2045075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2045086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2045089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2045092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045121 */     // MIs[0] round
     /* 2045121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045124 */     // MIs[0] policy
     /* 2045124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045160 */     // GIR_Coverage, 15298,
     /* 2045160 */     GIR_EraseRootFromParent_Done,
     /* 2045161 */   // Label 27205: @2045161
     /* 2045161 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2045252), // Rule ID 15299 //
     /* 2045166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2045177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2045180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2045183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045212 */     // MIs[0] round
     /* 2045212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045215 */     // MIs[0] policy
     /* 2045215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045225 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045251 */     // GIR_Coverage, 15299,
     /* 2045251 */     GIR_EraseRootFromParent_Done,
     /* 2045252 */   // Label 27206: @2045252
     /* 2045252 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2045343), // Rule ID 15302 //
     /* 2045257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2045268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2045271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2045274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2045280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045303 */     // MIs[0] round
     /* 2045303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045306 */     // MIs[0] policy
     /* 2045306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045342 */     // GIR_Coverage, 15302,
     /* 2045342 */     GIR_EraseRootFromParent_Done,
     /* 2045343 */   // Label 27207: @2045343
     /* 2045343 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2045434), // Rule ID 15303 //
     /* 2045348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2045359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2045362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2045365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2045371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045394 */     // MIs[0] round
     /* 2045394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045397 */     // MIs[0] policy
     /* 2045397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045407 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045433 */     // GIR_Coverage, 15303,
     /* 2045433 */     GIR_EraseRootFromParent_Done,
     /* 2045434 */   // Label 27208: @2045434
     /* 2045434 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2045525), // Rule ID 15306 //
     /* 2045439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045485 */     // MIs[0] round
     /* 2045485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045488 */     // MIs[0] policy
     /* 2045488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045524 */     // GIR_Coverage, 15306,
     /* 2045524 */     GIR_EraseRootFromParent_Done,
     /* 2045525 */   // Label 27209: @2045525
     /* 2045525 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2045616), // Rule ID 15307 //
     /* 2045530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045576 */     // MIs[0] round
     /* 2045576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045579 */     // MIs[0] policy
     /* 2045579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045615 */     // GIR_Coverage, 15307,
     /* 2045615 */     GIR_EraseRootFromParent_Done,
     /* 2045616 */   // Label 27210: @2045616
     /* 2045616 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2045707), // Rule ID 15310 //
     /* 2045621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045667 */     // MIs[0] round
     /* 2045667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045670 */     // MIs[0] policy
     /* 2045670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045706 */     // GIR_Coverage, 15310,
     /* 2045706 */     GIR_EraseRootFromParent_Done,
     /* 2045707 */   // Label 27211: @2045707
     /* 2045707 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2045798), // Rule ID 15311 //
     /* 2045712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045758 */     // MIs[0] round
     /* 2045758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045761 */     // MIs[0] policy
     /* 2045761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045797 */     // GIR_Coverage, 15311,
     /* 2045797 */     GIR_EraseRootFromParent_Done,
     /* 2045798 */   // Label 27212: @2045798
     /* 2045798 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2045889), // Rule ID 15314 //
     /* 2045803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045849 */     // MIs[0] round
     /* 2045849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045852 */     // MIs[0] policy
     /* 2045852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045888 */     // GIR_Coverage, 15314,
     /* 2045888 */     GIR_EraseRootFromParent_Done,
     /* 2045889 */   // Label 27213: @2045889
     /* 2045889 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2045980), // Rule ID 15315 //
     /* 2045894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045940 */     // MIs[0] round
     /* 2045940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045943 */     // MIs[0] policy
     /* 2045943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045979 */     // GIR_Coverage, 15315,
     /* 2045979 */     GIR_EraseRootFromParent_Done,
     /* 2045980 */   // Label 27214: @2045980
     /* 2045980 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2046071), // Rule ID 15318 //
     /* 2045985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2046002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046031 */     // MIs[0] round
     /* 2046031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046034 */     // MIs[0] policy
     /* 2046034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046070 */     // GIR_Coverage, 15318,
     /* 2046070 */     GIR_EraseRootFromParent_Done,
     /* 2046071 */   // Label 27215: @2046071
     /* 2046071 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2046162), // Rule ID 15319 //
     /* 2046076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2046087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2046090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2046093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046122 */     // MIs[0] round
     /* 2046122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046125 */     // MIs[0] policy
     /* 2046125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046161 */     // GIR_Coverage, 15319,
     /* 2046161 */     GIR_EraseRootFromParent_Done,
     /* 2046162 */   // Label 27216: @2046162
     /* 2046162 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2046253), // Rule ID 15322 //
     /* 2046167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2046178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2046181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2046184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046213 */     // MIs[0] round
     /* 2046213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046216 */     // MIs[0] policy
     /* 2046216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046252 */     // GIR_Coverage, 15322,
     /* 2046252 */     GIR_EraseRootFromParent_Done,
     /* 2046253 */   // Label 27217: @2046253
     /* 2046253 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2046344), // Rule ID 15323 //
     /* 2046258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2046269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2046272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2046275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046304 */     // MIs[0] round
     /* 2046304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046307 */     // MIs[0] policy
     /* 2046307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046343 */     // GIR_Coverage, 15323,
     /* 2046343 */     GIR_EraseRootFromParent_Done,
     /* 2046344 */   // Label 27218: @2046344
     /* 2046344 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2046435), // Rule ID 15326 //
     /* 2046349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046395 */     // MIs[0] round
     /* 2046395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046398 */     // MIs[0] policy
     /* 2046398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046434 */     // GIR_Coverage, 15326,
     /* 2046434 */     GIR_EraseRootFromParent_Done,
     /* 2046435 */   // Label 27219: @2046435
     /* 2046435 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2046526), // Rule ID 15327 //
     /* 2046440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046486 */     // MIs[0] round
     /* 2046486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046489 */     // MIs[0] policy
     /* 2046489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046525 */     // GIR_Coverage, 15327,
     /* 2046525 */     GIR_EraseRootFromParent_Done,
     /* 2046526 */   // Label 27220: @2046526
     /* 2046526 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2046617), // Rule ID 15330 //
     /* 2046531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046577 */     // MIs[0] round
     /* 2046577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046580 */     // MIs[0] policy
     /* 2046580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046616 */     // GIR_Coverage, 15330,
     /* 2046616 */     GIR_EraseRootFromParent_Done,
     /* 2046617 */   // Label 27221: @2046617
     /* 2046617 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2046708), // Rule ID 15331 //
     /* 2046622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046668 */     // MIs[0] round
     /* 2046668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046671 */     // MIs[0] policy
     /* 2046671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046707 */     // GIR_Coverage, 15331,
     /* 2046707 */     GIR_EraseRootFromParent_Done,
     /* 2046708 */   // Label 27222: @2046708
     /* 2046708 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2046799), // Rule ID 15334 //
     /* 2046713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046759 */     // MIs[0] round
     /* 2046759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046762 */     // MIs[0] policy
     /* 2046762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046798 */     // GIR_Coverage, 15334,
     /* 2046798 */     GIR_EraseRootFromParent_Done,
     /* 2046799 */   // Label 27223: @2046799
     /* 2046799 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2046890), // Rule ID 15335 //
     /* 2046804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046850 */     // MIs[0] round
     /* 2046850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046853 */     // MIs[0] policy
     /* 2046853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046863 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046889 */     // GIR_Coverage, 15335,
     /* 2046889 */     GIR_EraseRootFromParent_Done,
     /* 2046890 */   // Label 27224: @2046890
     /* 2046890 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2046981), // Rule ID 15338 //
     /* 2046895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046941 */     // MIs[0] round
     /* 2046941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046944 */     // MIs[0] policy
     /* 2046944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046980 */     // GIR_Coverage, 15338,
     /* 2046980 */     GIR_EraseRootFromParent_Done,
     /* 2046981 */   // Label 27225: @2046981
     /* 2046981 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2047072), // Rule ID 15339 //
     /* 2046986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2047000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2047003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047032 */     // MIs[0] round
     /* 2047032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047035 */     // MIs[0] policy
     /* 2047035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047045 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2047048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047071 */     // GIR_Coverage, 15339,
     /* 2047071 */     GIR_EraseRootFromParent_Done,
     /* 2047072 */   // Label 27226: @2047072
     /* 2047072 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2047163), // Rule ID 15342 //
     /* 2047077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2047088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2047091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2047094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2047097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047123 */     // MIs[0] round
     /* 2047123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047126 */     // MIs[0] policy
     /* 2047126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2047139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047162 */     // GIR_Coverage, 15342,
     /* 2047162 */     GIR_EraseRootFromParent_Done,
     /* 2047163 */   // Label 27227: @2047163
     /* 2047163 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2047254), // Rule ID 15343 //
     /* 2047168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2047179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2047182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2047185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2047188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047214 */     // MIs[0] round
     /* 2047214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047217 */     // MIs[0] policy
     /* 2047217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047227 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2047230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047253 */     // GIR_Coverage, 15343,
     /* 2047253 */     GIR_EraseRootFromParent_Done,
     /* 2047254 */   // Label 27228: @2047254
     /* 2047254 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2047345), // Rule ID 15346 //
     /* 2047259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2047270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2047273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2047276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2047279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047305 */     // MIs[0] round
     /* 2047305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047308 */     // MIs[0] policy
     /* 2047308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047318 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047344 */     // GIR_Coverage, 15346,
     /* 2047344 */     GIR_EraseRootFromParent_Done,
     /* 2047345 */   // Label 27229: @2047345
     /* 2047345 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2047436), // Rule ID 15347 //
     /* 2047350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2047361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2047364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2047367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2047370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047396 */     // MIs[0] round
     /* 2047396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047399 */     // MIs[0] policy
     /* 2047399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047409 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047435 */     // GIR_Coverage, 15347,
     /* 2047435 */     GIR_EraseRootFromParent_Done,
     /* 2047436 */   // Label 27230: @2047436
     /* 2047436 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2047527), // Rule ID 15350 //
     /* 2047441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047487 */     // MIs[0] round
     /* 2047487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047490 */     // MIs[0] policy
     /* 2047490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047526 */     // GIR_Coverage, 15350,
     /* 2047526 */     GIR_EraseRootFromParent_Done,
     /* 2047527 */   // Label 27231: @2047527
     /* 2047527 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2047618), // Rule ID 15351 //
     /* 2047532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047578 */     // MIs[0] round
     /* 2047578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047581 */     // MIs[0] policy
     /* 2047581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047591 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047617 */     // GIR_Coverage, 15351,
     /* 2047617 */     GIR_EraseRootFromParent_Done,
     /* 2047618 */   // Label 27232: @2047618
     /* 2047618 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2047709), // Rule ID 15354 //
     /* 2047623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047669 */     // MIs[0] round
     /* 2047669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047672 */     // MIs[0] policy
     /* 2047672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047708 */     // GIR_Coverage, 15354,
     /* 2047708 */     GIR_EraseRootFromParent_Done,
     /* 2047709 */   // Label 27233: @2047709
     /* 2047709 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2047800), // Rule ID 15355 //
     /* 2047714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047760 */     // MIs[0] round
     /* 2047760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047763 */     // MIs[0] policy
     /* 2047763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047773 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047799 */     // GIR_Coverage, 15355,
     /* 2047799 */     GIR_EraseRootFromParent_Done,
     /* 2047800 */   // Label 27234: @2047800
     /* 2047800 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2047891), // Rule ID 15358 //
     /* 2047805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047851 */     // MIs[0] round
     /* 2047851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047854 */     // MIs[0] policy
     /* 2047854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047890 */     // GIR_Coverage, 15358,
     /* 2047890 */     GIR_EraseRootFromParent_Done,
     /* 2047891 */   // Label 27235: @2047891
     /* 2047891 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2047982), // Rule ID 15359 //
     /* 2047896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047942 */     // MIs[0] round
     /* 2047942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047945 */     // MIs[0] policy
     /* 2047945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047981 */     // GIR_Coverage, 15359,
     /* 2047981 */     GIR_EraseRootFromParent_Done,
     /* 2047982 */   // Label 27236: @2047982
     /* 2047982 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2048073), // Rule ID 15362 //
     /* 2047987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2048001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2048004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2048007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048033 */     // MIs[0] round
     /* 2048033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048036 */     // MIs[0] policy
     /* 2048036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2048049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048072 */     // GIR_Coverage, 15362,
     /* 2048072 */     GIR_EraseRootFromParent_Done,
     /* 2048073 */   // Label 27237: @2048073
     /* 2048073 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2048164), // Rule ID 15363 //
     /* 2048078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2048089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2048092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2048095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2048098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048124 */     // MIs[0] round
     /* 2048124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048127 */     // MIs[0] policy
     /* 2048127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048137 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2048140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048163 */     // GIR_Coverage, 15363,
     /* 2048163 */     GIR_EraseRootFromParent_Done,
     /* 2048164 */   // Label 27238: @2048164
     /* 2048164 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2048255), // Rule ID 15366 //
     /* 2048169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2048180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2048183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2048186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2048189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048215 */     // MIs[0] round
     /* 2048215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048218 */     // MIs[0] policy
     /* 2048218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048254 */     // GIR_Coverage, 15366,
     /* 2048254 */     GIR_EraseRootFromParent_Done,
     /* 2048255 */   // Label 27239: @2048255
     /* 2048255 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2048346), // Rule ID 15367 //
     /* 2048260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2048271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2048274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2048277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2048280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048306 */     // MIs[0] round
     /* 2048306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048309 */     // MIs[0] policy
     /* 2048309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048345 */     // GIR_Coverage, 15367,
     /* 2048345 */     GIR_EraseRootFromParent_Done,
     /* 2048346 */   // Label 27240: @2048346
     /* 2048346 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2048437), // Rule ID 15370 //
     /* 2048351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2048371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048397 */     // MIs[0] round
     /* 2048397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048400 */     // MIs[0] policy
     /* 2048400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048436 */     // GIR_Coverage, 15370,
     /* 2048436 */     GIR_EraseRootFromParent_Done,
     /* 2048437 */   // Label 27241: @2048437
     /* 2048437 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2048528), // Rule ID 15371 //
     /* 2048442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2048462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048488 */     // MIs[0] round
     /* 2048488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048491 */     // MIs[0] policy
     /* 2048491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048527 */     // GIR_Coverage, 15371,
     /* 2048527 */     GIR_EraseRootFromParent_Done,
     /* 2048528 */   // Label 27242: @2048528
     /* 2048528 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2048619), // Rule ID 15374 //
     /* 2048533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048579 */     // MIs[0] round
     /* 2048579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048582 */     // MIs[0] policy
     /* 2048582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048618 */     // GIR_Coverage, 15374,
     /* 2048618 */     GIR_EraseRootFromParent_Done,
     /* 2048619 */   // Label 27243: @2048619
     /* 2048619 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2048710), // Rule ID 15375 //
     /* 2048624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048670 */     // MIs[0] round
     /* 2048670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048673 */     // MIs[0] policy
     /* 2048673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048709 */     // GIR_Coverage, 15375,
     /* 2048709 */     GIR_EraseRootFromParent_Done,
     /* 2048710 */   // Label 27244: @2048710
     /* 2048710 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2048801), // Rule ID 15378 //
     /* 2048715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048761 */     // MIs[0] round
     /* 2048761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048764 */     // MIs[0] policy
     /* 2048764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048800 */     // GIR_Coverage, 15378,
     /* 2048800 */     GIR_EraseRootFromParent_Done,
     /* 2048801 */   // Label 27245: @2048801
     /* 2048801 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2048892), // Rule ID 15379 //
     /* 2048806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048852 */     // MIs[0] round
     /* 2048852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048855 */     // MIs[0] policy
     /* 2048855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048865 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048891 */     // GIR_Coverage, 15379,
     /* 2048891 */     GIR_EraseRootFromParent_Done,
     /* 2048892 */   // Label 27246: @2048892
     /* 2048892 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2048983), // Rule ID 15382 //
     /* 2048897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048943 */     // MIs[0] round
     /* 2048943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048946 */     // MIs[0] policy
     /* 2048946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048956 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048982 */     // GIR_Coverage, 15382,
     /* 2048982 */     GIR_EraseRootFromParent_Done,
     /* 2048983 */   // Label 27247: @2048983
     /* 2048983 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2049074), // Rule ID 15383 //
     /* 2048988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2049002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2049005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2049008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049034 */     // MIs[0] round
     /* 2049034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049037 */     // MIs[0] policy
     /* 2049037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049073 */     // GIR_Coverage, 15383,
     /* 2049073 */     GIR_EraseRootFromParent_Done,
     /* 2049074 */   // Label 27248: @2049074
     /* 2049074 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2049165), // Rule ID 15386 //
     /* 2049079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2049090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2049093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2049096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2049099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049125 */     // MIs[0] round
     /* 2049125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049128 */     // MIs[0] policy
     /* 2049128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049138 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049164 */     // GIR_Coverage, 15386,
     /* 2049164 */     GIR_EraseRootFromParent_Done,
     /* 2049165 */   // Label 27249: @2049165
     /* 2049165 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2049256), // Rule ID 15387 //
     /* 2049170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2049181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2049184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2049187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2049190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049216 */     // MIs[0] round
     /* 2049216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049219 */     // MIs[0] policy
     /* 2049219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049229 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049255 */     // GIR_Coverage, 15387,
     /* 2049255 */     GIR_EraseRootFromParent_Done,
     /* 2049256 */   // Label 27250: @2049256
     /* 2049256 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2049347), // Rule ID 15390 //
     /* 2049261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2049272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2049275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2049278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2049281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2049284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049307 */     // MIs[0] round
     /* 2049307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049310 */     // MIs[0] policy
     /* 2049310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049346 */     // GIR_Coverage, 15390,
     /* 2049346 */     GIR_EraseRootFromParent_Done,
     /* 2049347 */   // Label 27251: @2049347
     /* 2049347 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2049438), // Rule ID 15391 //
     /* 2049352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2049363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2049366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2049369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2049372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2049375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049398 */     // MIs[0] round
     /* 2049398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049401 */     // MIs[0] policy
     /* 2049401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049437 */     // GIR_Coverage, 15391,
     /* 2049437 */     GIR_EraseRootFromParent_Done,
     /* 2049438 */   // Label 27252: @2049438
     /* 2049438 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2049529), // Rule ID 15394 //
     /* 2049443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049489 */     // MIs[0] round
     /* 2049489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049492 */     // MIs[0] policy
     /* 2049492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049528 */     // GIR_Coverage, 15394,
     /* 2049528 */     GIR_EraseRootFromParent_Done,
     /* 2049529 */   // Label 27253: @2049529
     /* 2049529 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2049620), // Rule ID 15395 //
     /* 2049534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049580 */     // MIs[0] round
     /* 2049580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049583 */     // MIs[0] policy
     /* 2049583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049619 */     // GIR_Coverage, 15395,
     /* 2049619 */     GIR_EraseRootFromParent_Done,
     /* 2049620 */   // Label 27254: @2049620
     /* 2049620 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2049711), // Rule ID 15398 //
     /* 2049625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049671 */     // MIs[0] round
     /* 2049671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049674 */     // MIs[0] policy
     /* 2049674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049710 */     // GIR_Coverage, 15398,
     /* 2049710 */     GIR_EraseRootFromParent_Done,
     /* 2049711 */   // Label 27255: @2049711
     /* 2049711 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2049802), // Rule ID 15399 //
     /* 2049716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049762 */     // MIs[0] round
     /* 2049762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049765 */     // MIs[0] policy
     /* 2049765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049775 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049801 */     // GIR_Coverage, 15399,
     /* 2049801 */     GIR_EraseRootFromParent_Done,
     /* 2049802 */   // Label 27256: @2049802
     /* 2049802 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2049893), // Rule ID 15402 //
     /* 2049807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049853 */     // MIs[0] round
     /* 2049853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049856 */     // MIs[0] policy
     /* 2049856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049892 */     // GIR_Coverage, 15402,
     /* 2049892 */     GIR_EraseRootFromParent_Done,
     /* 2049893 */   // Label 27257: @2049893
     /* 2049893 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2049984), // Rule ID 15403 //
     /* 2049898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049944 */     // MIs[0] round
     /* 2049944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049947 */     // MIs[0] policy
     /* 2049947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049957 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049983 */     // GIR_Coverage, 15403,
     /* 2049983 */     GIR_EraseRootFromParent_Done,
     /* 2049984 */   // Label 27258: @2049984
     /* 2049984 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2050075), // Rule ID 15406 //
     /* 2049989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2050000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2050003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2050006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2050009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050035 */     // MIs[0] round
     /* 2050035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050038 */     // MIs[0] policy
     /* 2050038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050048 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050074 */     // GIR_Coverage, 15406,
     /* 2050074 */     GIR_EraseRootFromParent_Done,
     /* 2050075 */   // Label 27259: @2050075
     /* 2050075 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2050166), // Rule ID 15407 //
     /* 2050080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2050091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2050094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2050097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2050100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050126 */     // MIs[0] round
     /* 2050126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050129 */     // MIs[0] policy
     /* 2050129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050165 */     // GIR_Coverage, 15407,
     /* 2050165 */     GIR_EraseRootFromParent_Done,
     /* 2050166 */   // Label 27260: @2050166
     /* 2050166 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2050257), // Rule ID 15410 //
     /* 2050171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2050182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2050185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2050188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2050191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050217 */     // MIs[0] round
     /* 2050217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050220 */     // MIs[0] policy
     /* 2050220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050256 */     // GIR_Coverage, 15410,
     /* 2050256 */     GIR_EraseRootFromParent_Done,
     /* 2050257 */   // Label 27261: @2050257
     /* 2050257 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2050348), // Rule ID 15411 //
     /* 2050262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2050273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2050276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2050279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2050282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050308 */     // MIs[0] round
     /* 2050308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050311 */     // MIs[0] policy
     /* 2050311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050347 */     // GIR_Coverage, 15411,
     /* 2050347 */     GIR_EraseRootFromParent_Done,
     /* 2050348 */   // Label 27262: @2050348
     /* 2050348 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2050439), // Rule ID 15414 //
     /* 2050353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2050373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050399 */     // MIs[0] round
     /* 2050399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050402 */     // MIs[0] policy
     /* 2050402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050438 */     // GIR_Coverage, 15414,
     /* 2050438 */     GIR_EraseRootFromParent_Done,
     /* 2050439 */   // Label 27263: @2050439
     /* 2050439 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2050530), // Rule ID 15415 //
     /* 2050444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2050464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050490 */     // MIs[0] round
     /* 2050490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050493 */     // MIs[0] policy
     /* 2050493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050529 */     // GIR_Coverage, 15415,
     /* 2050529 */     GIR_EraseRootFromParent_Done,
     /* 2050530 */   // Label 27264: @2050530
     /* 2050530 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2050621), // Rule ID 15418 //
     /* 2050535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050581 */     // MIs[0] round
     /* 2050581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050584 */     // MIs[0] policy
     /* 2050584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050620 */     // GIR_Coverage, 15418,
     /* 2050620 */     GIR_EraseRootFromParent_Done,
     /* 2050621 */   // Label 27265: @2050621
     /* 2050621 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2050712), // Rule ID 15419 //
     /* 2050626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050672 */     // MIs[0] round
     /* 2050672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050675 */     // MIs[0] policy
     /* 2050675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050711 */     // GIR_Coverage, 15419,
     /* 2050711 */     GIR_EraseRootFromParent_Done,
     /* 2050712 */   // Label 27266: @2050712
     /* 2050712 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2050803), // Rule ID 15422 //
     /* 2050717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050763 */     // MIs[0] round
     /* 2050763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050766 */     // MIs[0] policy
     /* 2050766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050802 */     // GIR_Coverage, 15422,
     /* 2050802 */     GIR_EraseRootFromParent_Done,
     /* 2050803 */   // Label 27267: @2050803
     /* 2050803 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2050894), // Rule ID 15423 //
     /* 2050808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050854 */     // MIs[0] round
     /* 2050854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050857 */     // MIs[0] policy
     /* 2050857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050893 */     // GIR_Coverage, 15423,
     /* 2050893 */     GIR_EraseRootFromParent_Done,
     /* 2050894 */   // Label 27268: @2050894
     /* 2050894 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2050985), // Rule ID 15426 //
     /* 2050899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050945 */     // MIs[0] round
     /* 2050945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050948 */     // MIs[0] policy
     /* 2050948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050984 */     // GIR_Coverage, 15426,
     /* 2050984 */     GIR_EraseRootFromParent_Done,
     /* 2050985 */   // Label 27269: @2050985
     /* 2050985 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2051076), // Rule ID 15427 //
     /* 2050990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2051001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2051004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2051007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2051010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051036 */     // MIs[0] round
     /* 2051036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051039 */     // MIs[0] policy
     /* 2051039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2051052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051075 */     // GIR_Coverage, 15427,
     /* 2051075 */     GIR_EraseRootFromParent_Done,
     /* 2051076 */   // Label 27270: @2051076
     /* 2051076 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2051167), // Rule ID 15430 //
     /* 2051081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2051092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2051095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2051098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051127 */     // MIs[0] round
     /* 2051127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051130 */     // MIs[0] policy
     /* 2051130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2051143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051166 */     // GIR_Coverage, 15430,
     /* 2051166 */     GIR_EraseRootFromParent_Done,
     /* 2051167 */   // Label 27271: @2051167
     /* 2051167 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2051258), // Rule ID 15431 //
     /* 2051172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2051183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2051186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2051189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051218 */     // MIs[0] round
     /* 2051218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051221 */     // MIs[0] policy
     /* 2051221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051231 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2051234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051257 */     // GIR_Coverage, 15431,
     /* 2051257 */     GIR_EraseRootFromParent_Done,
     /* 2051258 */   // Label 27272: @2051258
     /* 2051258 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2051349), // Rule ID 15434 //
     /* 2051263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2051274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2051277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2051280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051309 */     // MIs[0] round
     /* 2051309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051312 */     // MIs[0] policy
     /* 2051312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051348 */     // GIR_Coverage, 15434,
     /* 2051348 */     GIR_EraseRootFromParent_Done,
     /* 2051349 */   // Label 27273: @2051349
     /* 2051349 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2051440), // Rule ID 15435 //
     /* 2051354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2051365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2051368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2051371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051400 */     // MIs[0] round
     /* 2051400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051403 */     // MIs[0] policy
     /* 2051403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051413 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051439 */     // GIR_Coverage, 15435,
     /* 2051439 */     GIR_EraseRootFromParent_Done,
     /* 2051440 */   // Label 27274: @2051440
     /* 2051440 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2051531), // Rule ID 15438 //
     /* 2051445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051491 */     // MIs[0] round
     /* 2051491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051494 */     // MIs[0] policy
     /* 2051494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051530 */     // GIR_Coverage, 15438,
     /* 2051530 */     GIR_EraseRootFromParent_Done,
     /* 2051531 */   // Label 27275: @2051531
     /* 2051531 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2051622), // Rule ID 15439 //
     /* 2051536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051582 */     // MIs[0] round
     /* 2051582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051585 */     // MIs[0] policy
     /* 2051585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051595 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051621 */     // GIR_Coverage, 15439,
     /* 2051621 */     GIR_EraseRootFromParent_Done,
     /* 2051622 */   // Label 27276: @2051622
     /* 2051622 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2051713), // Rule ID 15442 //
     /* 2051627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051673 */     // MIs[0] round
     /* 2051673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051676 */     // MIs[0] policy
     /* 2051676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051712 */     // GIR_Coverage, 15442,
     /* 2051712 */     GIR_EraseRootFromParent_Done,
     /* 2051713 */   // Label 27277: @2051713
     /* 2051713 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2051804), // Rule ID 15443 //
     /* 2051718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051764 */     // MIs[0] round
     /* 2051764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051767 */     // MIs[0] policy
     /* 2051767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051777 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051803 */     // GIR_Coverage, 15443,
     /* 2051803 */     GIR_EraseRootFromParent_Done,
     /* 2051804 */   // Label 27278: @2051804
     /* 2051804 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2051895), // Rule ID 15446 //
     /* 2051809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051855 */     // MIs[0] round
     /* 2051855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051858 */     // MIs[0] policy
     /* 2051858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051894 */     // GIR_Coverage, 15446,
     /* 2051894 */     GIR_EraseRootFromParent_Done,
     /* 2051895 */   // Label 27279: @2051895
     /* 2051895 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2051986), // Rule ID 15447 //
     /* 2051900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051946 */     // MIs[0] round
     /* 2051946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051949 */     // MIs[0] policy
     /* 2051949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051985 */     // GIR_Coverage, 15447,
     /* 2051985 */     GIR_EraseRootFromParent_Done,
     /* 2051986 */   // Label 27280: @2051986
     /* 2051986 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2052077), // Rule ID 15450 //
     /* 2051991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2052002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2052005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052037 */     // MIs[0] round
     /* 2052037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052040 */     // MIs[0] policy
     /* 2052040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2052053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052076 */     // GIR_Coverage, 15450,
     /* 2052076 */     GIR_EraseRootFromParent_Done,
     /* 2052077 */   // Label 27281: @2052077
     /* 2052077 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2052168), // Rule ID 15451 //
     /* 2052082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2052093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2052096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052128 */     // MIs[0] round
     /* 2052128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052131 */     // MIs[0] policy
     /* 2052131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052141 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2052144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052167 */     // GIR_Coverage, 15451,
     /* 2052167 */     GIR_EraseRootFromParent_Done,
     /* 2052168 */   // Label 27282: @2052168
     /* 2052168 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2052259), // Rule ID 15454 //
     /* 2052173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2052184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2052187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2052190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052219 */     // MIs[0] round
     /* 2052219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052222 */     // MIs[0] policy
     /* 2052222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052258 */     // GIR_Coverage, 15454,
     /* 2052258 */     GIR_EraseRootFromParent_Done,
     /* 2052259 */   // Label 27283: @2052259
     /* 2052259 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2052350), // Rule ID 15455 //
     /* 2052264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2052275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2052278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2052281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052310 */     // MIs[0] round
     /* 2052310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052313 */     // MIs[0] policy
     /* 2052313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052349 */     // GIR_Coverage, 15455,
     /* 2052349 */     GIR_EraseRootFromParent_Done,
     /* 2052350 */   // Label 27284: @2052350
     /* 2052350 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2052441), // Rule ID 15458 //
     /* 2052355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052401 */     // MIs[0] round
     /* 2052401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052404 */     // MIs[0] policy
     /* 2052404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052440 */     // GIR_Coverage, 15458,
     /* 2052440 */     GIR_EraseRootFromParent_Done,
     /* 2052441 */   // Label 27285: @2052441
     /* 2052441 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2052532), // Rule ID 15459 //
     /* 2052446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052492 */     // MIs[0] round
     /* 2052492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052495 */     // MIs[0] policy
     /* 2052495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052531 */     // GIR_Coverage, 15459,
     /* 2052531 */     GIR_EraseRootFromParent_Done,
     /* 2052532 */   // Label 27286: @2052532
     /* 2052532 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2052623), // Rule ID 15462 //
     /* 2052537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052583 */     // MIs[0] round
     /* 2052583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052586 */     // MIs[0] policy
     /* 2052586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052622 */     // GIR_Coverage, 15462,
     /* 2052622 */     GIR_EraseRootFromParent_Done,
     /* 2052623 */   // Label 27287: @2052623
     /* 2052623 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2052714), // Rule ID 15463 //
     /* 2052628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052674 */     // MIs[0] round
     /* 2052674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052677 */     // MIs[0] policy
     /* 2052677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052713 */     // GIR_Coverage, 15463,
     /* 2052713 */     GIR_EraseRootFromParent_Done,
     /* 2052714 */   // Label 27288: @2052714
     /* 2052714 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2052805), // Rule ID 15466 //
     /* 2052719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052765 */     // MIs[0] round
     /* 2052765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052768 */     // MIs[0] policy
     /* 2052768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052804 */     // GIR_Coverage, 15466,
     /* 2052804 */     GIR_EraseRootFromParent_Done,
     /* 2052805 */   // Label 27289: @2052805
     /* 2052805 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2052896), // Rule ID 15467 //
     /* 2052810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052856 */     // MIs[0] round
     /* 2052856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052859 */     // MIs[0] policy
     /* 2052859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052895 */     // GIR_Coverage, 15467,
     /* 2052895 */     GIR_EraseRootFromParent_Done,
     /* 2052896 */   // Label 27290: @2052896
     /* 2052896 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2052987), // Rule ID 15470 //
     /* 2052901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052947 */     // MIs[0] round
     /* 2052947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052950 */     // MIs[0] policy
     /* 2052950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052986 */     // GIR_Coverage, 15470,
     /* 2052986 */     GIR_EraseRootFromParent_Done,
     /* 2052987 */   // Label 27291: @2052987
     /* 2052987 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2053078), // Rule ID 15471 //
     /* 2052992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2053003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2053006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2053009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053038 */     // MIs[0] round
     /* 2053038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053041 */     // MIs[0] policy
     /* 2053041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053051 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053077 */     // GIR_Coverage, 15471,
     /* 2053077 */     GIR_EraseRootFromParent_Done,
     /* 2053078 */   // Label 27292: @2053078
     /* 2053078 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2053169), // Rule ID 15474 //
     /* 2053083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2053094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2053097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2053100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053129 */     // MIs[0] round
     /* 2053129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053132 */     // MIs[0] policy
     /* 2053132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053168 */     // GIR_Coverage, 15474,
     /* 2053168 */     GIR_EraseRootFromParent_Done,
     /* 2053169 */   // Label 27293: @2053169
     /* 2053169 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2053260), // Rule ID 15475 //
     /* 2053174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2053185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2053188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2053191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053220 */     // MIs[0] round
     /* 2053220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053223 */     // MIs[0] policy
     /* 2053223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053233 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053259 */     // GIR_Coverage, 15475,
     /* 2053259 */     GIR_EraseRootFromParent_Done,
     /* 2053260 */   // Label 27294: @2053260
     /* 2053260 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2053351), // Rule ID 15478 //
     /* 2053265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2053276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2053279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2053282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2053288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053311 */     // MIs[0] round
     /* 2053311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053314 */     // MIs[0] policy
     /* 2053314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053350 */     // GIR_Coverage, 15478,
     /* 2053350 */     GIR_EraseRootFromParent_Done,
     /* 2053351 */   // Label 27295: @2053351
     /* 2053351 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2053442), // Rule ID 15479 //
     /* 2053356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2053367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2053370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2053373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2053379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053402 */     // MIs[0] round
     /* 2053402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053405 */     // MIs[0] policy
     /* 2053405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053415 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053441 */     // GIR_Coverage, 15479,
     /* 2053441 */     GIR_EraseRootFromParent_Done,
     /* 2053442 */   // Label 27296: @2053442
     /* 2053442 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2053533), // Rule ID 15482 //
     /* 2053447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053493 */     // MIs[0] round
     /* 2053493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053496 */     // MIs[0] policy
     /* 2053496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053506 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053532 */     // GIR_Coverage, 15482,
     /* 2053532 */     GIR_EraseRootFromParent_Done,
     /* 2053533 */   // Label 27297: @2053533
     /* 2053533 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2053624), // Rule ID 15483 //
     /* 2053538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053584 */     // MIs[0] round
     /* 2053584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053587 */     // MIs[0] policy
     /* 2053587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053623 */     // GIR_Coverage, 15483,
     /* 2053623 */     GIR_EraseRootFromParent_Done,
     /* 2053624 */   // Label 27298: @2053624
     /* 2053624 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2053715), // Rule ID 15486 //
     /* 2053629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053675 */     // MIs[0] round
     /* 2053675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053678 */     // MIs[0] policy
     /* 2053678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053714 */     // GIR_Coverage, 15486,
     /* 2053714 */     GIR_EraseRootFromParent_Done,
     /* 2053715 */   // Label 27299: @2053715
     /* 2053715 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2053806), // Rule ID 15487 //
     /* 2053720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053766 */     // MIs[0] round
     /* 2053766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053769 */     // MIs[0] policy
     /* 2053769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053779 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053805 */     // GIR_Coverage, 15487,
     /* 2053805 */     GIR_EraseRootFromParent_Done,
     /* 2053806 */   // Label 27300: @2053806
     /* 2053806 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2053897), // Rule ID 15490 //
     /* 2053811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053857 */     // MIs[0] round
     /* 2053857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053860 */     // MIs[0] policy
     /* 2053860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053870 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053896 */     // GIR_Coverage, 15490,
     /* 2053896 */     GIR_EraseRootFromParent_Done,
     /* 2053897 */   // Label 27301: @2053897
     /* 2053897 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2053988), // Rule ID 15491 //
     /* 2053902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053948 */     // MIs[0] round
     /* 2053948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053951 */     // MIs[0] policy
     /* 2053951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053961 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053987 */     // GIR_Coverage, 15491,
     /* 2053987 */     GIR_EraseRootFromParent_Done,
     /* 2053988 */   // Label 27302: @2053988
     /* 2053988 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2054079), // Rule ID 15494 //
     /* 2053993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2054004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2054007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2054010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054039 */     // MIs[0] round
     /* 2054039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054042 */     // MIs[0] policy
     /* 2054042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054078 */     // GIR_Coverage, 15494,
     /* 2054078 */     GIR_EraseRootFromParent_Done,
     /* 2054079 */   // Label 27303: @2054079
     /* 2054079 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2054170), // Rule ID 15495 //
     /* 2054084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2054095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2054098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2054101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054130 */     // MIs[0] round
     /* 2054130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054133 */     // MIs[0] policy
     /* 2054133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054169 */     // GIR_Coverage, 15495,
     /* 2054169 */     GIR_EraseRootFromParent_Done,
     /* 2054170 */   // Label 27304: @2054170
     /* 2054170 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2054261), // Rule ID 15498 //
     /* 2054175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054221 */     // MIs[0] round
     /* 2054221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054224 */     // MIs[0] policy
     /* 2054224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054260 */     // GIR_Coverage, 15498,
     /* 2054260 */     GIR_EraseRootFromParent_Done,
     /* 2054261 */   // Label 27305: @2054261
     /* 2054261 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2054352), // Rule ID 15499 //
     /* 2054266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054312 */     // MIs[0] round
     /* 2054312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054315 */     // MIs[0] policy
     /* 2054315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054325 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054351 */     // GIR_Coverage, 15499,
     /* 2054351 */     GIR_EraseRootFromParent_Done,
     /* 2054352 */   // Label 27306: @2054352
     /* 2054352 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2054443), // Rule ID 15502 //
     /* 2054357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054403 */     // MIs[0] round
     /* 2054403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054406 */     // MIs[0] policy
     /* 2054406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054442 */     // GIR_Coverage, 15502,
     /* 2054442 */     GIR_EraseRootFromParent_Done,
     /* 2054443 */   // Label 27307: @2054443
     /* 2054443 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2054534), // Rule ID 15503 //
     /* 2054448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054494 */     // MIs[0] round
     /* 2054494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054497 */     // MIs[0] policy
     /* 2054497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054533 */     // GIR_Coverage, 15503,
     /* 2054533 */     GIR_EraseRootFromParent_Done,
     /* 2054534 */   // Label 27308: @2054534
     /* 2054534 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2054625), // Rule ID 15506 //
     /* 2054539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054585 */     // MIs[0] round
     /* 2054585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054588 */     // MIs[0] policy
     /* 2054588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054624 */     // GIR_Coverage, 15506,
     /* 2054624 */     GIR_EraseRootFromParent_Done,
     /* 2054625 */   // Label 27309: @2054625
     /* 2054625 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2054716), // Rule ID 15507 //
     /* 2054630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054676 */     // MIs[0] round
     /* 2054676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054679 */     // MIs[0] policy
     /* 2054679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054689 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054715 */     // GIR_Coverage, 15507,
     /* 2054715 */     GIR_EraseRootFromParent_Done,
     /* 2054716 */   // Label 27310: @2054716
     /* 2054716 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2054807), // Rule ID 15510 //
     /* 2054721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054767 */     // MIs[0] round
     /* 2054767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054770 */     // MIs[0] policy
     /* 2054770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054806 */     // GIR_Coverage, 15510,
     /* 2054806 */     GIR_EraseRootFromParent_Done,
     /* 2054807 */   // Label 27311: @2054807
     /* 2054807 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2054898), // Rule ID 15511 //
     /* 2054812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054858 */     // MIs[0] round
     /* 2054858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054861 */     // MIs[0] policy
     /* 2054861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054897 */     // GIR_Coverage, 15511,
     /* 2054897 */     GIR_EraseRootFromParent_Done,
     /* 2054898 */   // Label 27312: @2054898
     /* 2054898 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2054989), // Rule ID 15514 //
     /* 2054903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054949 */     // MIs[0] round
     /* 2054949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054952 */     // MIs[0] policy
     /* 2054952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054988 */     // GIR_Coverage, 15514,
     /* 2054988 */     GIR_EraseRootFromParent_Done,
     /* 2054989 */   // Label 27313: @2054989
     /* 2054989 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2055080), // Rule ID 15515 //
     /* 2054994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2055005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2055008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2055011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055040 */     // MIs[0] round
     /* 2055040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055043 */     // MIs[0] policy
     /* 2055043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2055056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055079 */     // GIR_Coverage, 15515,
     /* 2055079 */     GIR_EraseRootFromParent_Done,
     /* 2055080 */   // Label 27314: @2055080
     /* 2055080 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2055174), // Rule ID 15518 //
     /* 2055085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2055096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2055099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2055102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2055105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055131 */     // MIs[0] round
     /* 2055131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055134 */     // MIs[0] policy
     /* 2055134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2055147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055173 */     // GIR_Coverage, 15518,
     /* 2055173 */     GIR_EraseRootFromParent_Done,
     /* 2055174 */   // Label 27315: @2055174
     /* 2055174 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2055268), // Rule ID 15519 //
     /* 2055179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2055190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2055193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2055196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2055199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055225 */     // MIs[0] round
     /* 2055225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055228 */     // MIs[0] policy
     /* 2055228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055238 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2055241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055267 */     // GIR_Coverage, 15519,
     /* 2055267 */     GIR_EraseRootFromParent_Done,
     /* 2055268 */   // Label 27316: @2055268
     /* 2055268 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2055362), // Rule ID 15522 //
     /* 2055273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2055284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2055287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2055290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2055293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055319 */     // MIs[0] round
     /* 2055319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055322 */     // MIs[0] policy
     /* 2055322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055332 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055361 */     // GIR_Coverage, 15522,
     /* 2055361 */     GIR_EraseRootFromParent_Done,
     /* 2055362 */   // Label 27317: @2055362
     /* 2055362 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2055456), // Rule ID 15523 //
     /* 2055367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2055378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2055381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2055384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2055387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055413 */     // MIs[0] round
     /* 2055413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055416 */     // MIs[0] policy
     /* 2055416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055426 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055455 */     // GIR_Coverage, 15523,
     /* 2055455 */     GIR_EraseRootFromParent_Done,
     /* 2055456 */   // Label 27318: @2055456
     /* 2055456 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2055550), // Rule ID 15526 //
     /* 2055461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055507 */     // MIs[0] round
     /* 2055507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055510 */     // MIs[0] policy
     /* 2055510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055549 */     // GIR_Coverage, 15526,
     /* 2055549 */     GIR_EraseRootFromParent_Done,
     /* 2055550 */   // Label 27319: @2055550
     /* 2055550 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2055644), // Rule ID 15527 //
     /* 2055555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055601 */     // MIs[0] round
     /* 2055601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055604 */     // MIs[0] policy
     /* 2055604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055614 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055643 */     // GIR_Coverage, 15527,
     /* 2055643 */     GIR_EraseRootFromParent_Done,
     /* 2055644 */   // Label 27320: @2055644
     /* 2055644 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2055738), // Rule ID 15530 //
     /* 2055649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055695 */     // MIs[0] round
     /* 2055695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055698 */     // MIs[0] policy
     /* 2055698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055737 */     // GIR_Coverage, 15530,
     /* 2055737 */     GIR_EraseRootFromParent_Done,
     /* 2055738 */   // Label 27321: @2055738
     /* 2055738 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2055832), // Rule ID 15531 //
     /* 2055743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055789 */     // MIs[0] round
     /* 2055789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055792 */     // MIs[0] policy
     /* 2055792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055831 */     // GIR_Coverage, 15531,
     /* 2055831 */     GIR_EraseRootFromParent_Done,
     /* 2055832 */   // Label 27322: @2055832
     /* 2055832 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2055926), // Rule ID 15534 //
     /* 2055837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055883 */     // MIs[0] round
     /* 2055883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055886 */     // MIs[0] policy
     /* 2055886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055925 */     // GIR_Coverage, 15534,
     /* 2055925 */     GIR_EraseRootFromParent_Done,
     /* 2055926 */   // Label 27323: @2055926
     /* 2055926 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2056020), // Rule ID 15535 //
     /* 2055931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055977 */     // MIs[0] round
     /* 2055977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055980 */     // MIs[0] policy
     /* 2055980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056019 */     // GIR_Coverage, 15535,
     /* 2056019 */     GIR_EraseRootFromParent_Done,
     /* 2056020 */   // Label 27324: @2056020
     /* 2056020 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2056114), // Rule ID 15538 //
     /* 2056025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2056036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2056039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2056042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2056045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056071 */     // MIs[0] round
     /* 2056071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056074 */     // MIs[0] policy
     /* 2056074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2056087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056113 */     // GIR_Coverage, 15538,
     /* 2056113 */     GIR_EraseRootFromParent_Done,
     /* 2056114 */   // Label 27325: @2056114
     /* 2056114 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2056208), // Rule ID 15539 //
     /* 2056119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2056130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2056133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2056136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2056139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056165 */     // MIs[0] round
     /* 2056165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056168 */     // MIs[0] policy
     /* 2056168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2056181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056207 */     // GIR_Coverage, 15539,
     /* 2056207 */     GIR_EraseRootFromParent_Done,
     /* 2056208 */   // Label 27326: @2056208
     /* 2056208 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2056302), // Rule ID 15542 //
     /* 2056213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2056224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2056227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2056230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2056233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056259 */     // MIs[0] round
     /* 2056259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056262 */     // MIs[0] policy
     /* 2056262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056301 */     // GIR_Coverage, 15542,
     /* 2056301 */     GIR_EraseRootFromParent_Done,
     /* 2056302 */   // Label 27327: @2056302
     /* 2056302 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2056396), // Rule ID 15543 //
     /* 2056307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2056318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2056321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2056324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2056327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056353 */     // MIs[0] round
     /* 2056353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056356 */     // MIs[0] policy
     /* 2056356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056395 */     // GIR_Coverage, 15543,
     /* 2056395 */     GIR_EraseRootFromParent_Done,
     /* 2056396 */   // Label 27328: @2056396
     /* 2056396 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2056490), // Rule ID 15546 //
     /* 2056401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056447 */     // MIs[0] round
     /* 2056447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056450 */     // MIs[0] policy
     /* 2056450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056489 */     // GIR_Coverage, 15546,
     /* 2056489 */     GIR_EraseRootFromParent_Done,
     /* 2056490 */   // Label 27329: @2056490
     /* 2056490 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2056584), // Rule ID 15547 //
     /* 2056495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056541 */     // MIs[0] round
     /* 2056541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056544 */     // MIs[0] policy
     /* 2056544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056583 */     // GIR_Coverage, 15547,
     /* 2056583 */     GIR_EraseRootFromParent_Done,
     /* 2056584 */   // Label 27330: @2056584
     /* 2056584 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2056678), // Rule ID 15550 //
     /* 2056589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056635 */     // MIs[0] round
     /* 2056635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056638 */     // MIs[0] policy
     /* 2056638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056677 */     // GIR_Coverage, 15550,
     /* 2056677 */     GIR_EraseRootFromParent_Done,
     /* 2056678 */   // Label 27331: @2056678
     /* 2056678 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2056772), // Rule ID 15551 //
     /* 2056683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056729 */     // MIs[0] round
     /* 2056729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056732 */     // MIs[0] policy
     /* 2056732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056771 */     // GIR_Coverage, 15551,
     /* 2056771 */     GIR_EraseRootFromParent_Done,
     /* 2056772 */   // Label 27332: @2056772
     /* 2056772 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2056866), // Rule ID 15554 //
     /* 2056777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056823 */     // MIs[0] round
     /* 2056823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056826 */     // MIs[0] policy
     /* 2056826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056865 */     // GIR_Coverage, 15554,
     /* 2056865 */     GIR_EraseRootFromParent_Done,
     /* 2056866 */   // Label 27333: @2056866
     /* 2056866 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2056960), // Rule ID 15555 //
     /* 2056871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056917 */     // MIs[0] round
     /* 2056917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056920 */     // MIs[0] policy
     /* 2056920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056930 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056959 */     // GIR_Coverage, 15555,
     /* 2056959 */     GIR_EraseRootFromParent_Done,
     /* 2056960 */   // Label 27334: @2056960
     /* 2056960 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2057054), // Rule ID 15558 //
     /* 2056965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057011 */     // MIs[0] round
     /* 2057011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057014 */     // MIs[0] policy
     /* 2057014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057053 */     // GIR_Coverage, 15558,
     /* 2057053 */     GIR_EraseRootFromParent_Done,
     /* 2057054 */   // Label 27335: @2057054
     /* 2057054 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2057148), // Rule ID 15559 //
     /* 2057059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2057070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2057073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2057076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2057079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057105 */     // MIs[0] round
     /* 2057105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057108 */     // MIs[0] policy
     /* 2057108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057118 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057147 */     // GIR_Coverage, 15559,
     /* 2057147 */     GIR_EraseRootFromParent_Done,
     /* 2057148 */   // Label 27336: @2057148
     /* 2057148 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2057242), // Rule ID 15562 //
     /* 2057153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2057164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2057167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2057170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2057173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2057176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057199 */     // MIs[0] round
     /* 2057199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057202 */     // MIs[0] policy
     /* 2057202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057212 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057241 */     // GIR_Coverage, 15562,
     /* 2057241 */     GIR_EraseRootFromParent_Done,
     /* 2057242 */   // Label 27337: @2057242
     /* 2057242 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2057336), // Rule ID 15563 //
     /* 2057247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2057258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2057261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2057264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2057267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2057270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057293 */     // MIs[0] round
     /* 2057293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057296 */     // MIs[0] policy
     /* 2057296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057306 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057335 */     // GIR_Coverage, 15563,
     /* 2057335 */     GIR_EraseRootFromParent_Done,
     /* 2057336 */   // Label 27338: @2057336
     /* 2057336 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2057430), // Rule ID 15566 //
     /* 2057341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057387 */     // MIs[0] round
     /* 2057387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057390 */     // MIs[0] policy
     /* 2057390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057400 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057429 */     // GIR_Coverage, 15566,
     /* 2057429 */     GIR_EraseRootFromParent_Done,
     /* 2057430 */   // Label 27339: @2057430
     /* 2057430 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2057524), // Rule ID 15567 //
     /* 2057435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057481 */     // MIs[0] round
     /* 2057481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057484 */     // MIs[0] policy
     /* 2057484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057523 */     // GIR_Coverage, 15567,
     /* 2057523 */     GIR_EraseRootFromParent_Done,
     /* 2057524 */   // Label 27340: @2057524
     /* 2057524 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2057618), // Rule ID 15570 //
     /* 2057529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057575 */     // MIs[0] round
     /* 2057575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057578 */     // MIs[0] policy
     /* 2057578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057617 */     // GIR_Coverage, 15570,
     /* 2057617 */     GIR_EraseRootFromParent_Done,
     /* 2057618 */   // Label 27341: @2057618
     /* 2057618 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2057712), // Rule ID 15571 //
     /* 2057623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057669 */     // MIs[0] round
     /* 2057669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057672 */     // MIs[0] policy
     /* 2057672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057682 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057711 */     // GIR_Coverage, 15571,
     /* 2057711 */     GIR_EraseRootFromParent_Done,
     /* 2057712 */   // Label 27342: @2057712
     /* 2057712 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2057806), // Rule ID 15574 //
     /* 2057717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057763 */     // MIs[0] round
     /* 2057763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057766 */     // MIs[0] policy
     /* 2057766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057805 */     // GIR_Coverage, 15574,
     /* 2057805 */     GIR_EraseRootFromParent_Done,
     /* 2057806 */   // Label 27343: @2057806
     /* 2057806 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2057900), // Rule ID 15575 //
     /* 2057811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057857 */     // MIs[0] round
     /* 2057857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057860 */     // MIs[0] policy
     /* 2057860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057870 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057899 */     // GIR_Coverage, 15575,
     /* 2057899 */     GIR_EraseRootFromParent_Done,
     /* 2057900 */   // Label 27344: @2057900
     /* 2057900 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2057994), // Rule ID 15578 //
     /* 2057905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057951 */     // MIs[0] round
     /* 2057951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057954 */     // MIs[0] policy
     /* 2057954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057993 */     // GIR_Coverage, 15578,
     /* 2057993 */     GIR_EraseRootFromParent_Done,
     /* 2057994 */   // Label 27345: @2057994
     /* 2057994 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2058088), // Rule ID 15579 //
     /* 2057999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2058010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2058013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2058016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2058019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058045 */     // MIs[0] round
     /* 2058045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058048 */     // MIs[0] policy
     /* 2058048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2058061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058087 */     // GIR_Coverage, 15579,
     /* 2058087 */     GIR_EraseRootFromParent_Done,
     /* 2058088 */   // Label 27346: @2058088
     /* 2058088 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2058182), // Rule ID 15582 //
     /* 2058093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2058104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2058107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2058110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2058113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058139 */     // MIs[0] round
     /* 2058139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058142 */     // MIs[0] policy
     /* 2058142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2058155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058181 */     // GIR_Coverage, 15582,
     /* 2058181 */     GIR_EraseRootFromParent_Done,
     /* 2058182 */   // Label 27347: @2058182
     /* 2058182 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2058276), // Rule ID 15583 //
     /* 2058187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2058198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2058201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2058204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2058207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058233 */     // MIs[0] round
     /* 2058233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058236 */     // MIs[0] policy
     /* 2058236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2058249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058275 */     // GIR_Coverage, 15583,
     /* 2058275 */     GIR_EraseRootFromParent_Done,
     /* 2058276 */   // Label 27348: @2058276
     /* 2058276 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2058370), // Rule ID 15586 //
     /* 2058281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2058301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058327 */     // MIs[0] round
     /* 2058327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058330 */     // MIs[0] policy
     /* 2058330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2058343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058369 */     // GIR_Coverage, 15586,
     /* 2058369 */     GIR_EraseRootFromParent_Done,
     /* 2058370 */   // Label 27349: @2058370
     /* 2058370 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2058464), // Rule ID 15587 //
     /* 2058375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2058395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058421 */     // MIs[0] round
     /* 2058421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058424 */     // MIs[0] policy
     /* 2058424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2058437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058463 */     // GIR_Coverage, 15587,
     /* 2058463 */     GIR_EraseRootFromParent_Done,
     /* 2058464 */   // Label 27350: @2058464
     /* 2058464 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2058558), // Rule ID 15590 //
     /* 2058469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058515 */     // MIs[0] round
     /* 2058515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058518 */     // MIs[0] policy
     /* 2058518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058557 */     // GIR_Coverage, 15590,
     /* 2058557 */     GIR_EraseRootFromParent_Done,
     /* 2058558 */   // Label 27351: @2058558
     /* 2058558 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2058652), // Rule ID 15591 //
     /* 2058563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058609 */     // MIs[0] round
     /* 2058609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058612 */     // MIs[0] policy
     /* 2058612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058622 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058651 */     // GIR_Coverage, 15591,
     /* 2058651 */     GIR_EraseRootFromParent_Done,
     /* 2058652 */   // Label 27352: @2058652
     /* 2058652 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2058746), // Rule ID 15594 //
     /* 2058657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058703 */     // MIs[0] round
     /* 2058703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058706 */     // MIs[0] policy
     /* 2058706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058716 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058745 */     // GIR_Coverage, 15594,
     /* 2058745 */     GIR_EraseRootFromParent_Done,
     /* 2058746 */   // Label 27353: @2058746
     /* 2058746 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2058840), // Rule ID 15595 //
     /* 2058751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058797 */     // MIs[0] round
     /* 2058797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058800 */     // MIs[0] policy
     /* 2058800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058810 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058839 */     // GIR_Coverage, 15595,
     /* 2058839 */     GIR_EraseRootFromParent_Done,
     /* 2058840 */   // Label 27354: @2058840
     /* 2058840 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2058934), // Rule ID 15598 //
     /* 2058845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058891 */     // MIs[0] round
     /* 2058891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058894 */     // MIs[0] policy
     /* 2058894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058904 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058933 */     // GIR_Coverage, 15598,
     /* 2058933 */     GIR_EraseRootFromParent_Done,
     /* 2058934 */   // Label 27355: @2058934
     /* 2058934 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2059028), // Rule ID 15599 //
     /* 2058939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058985 */     // MIs[0] round
     /* 2058985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058988 */     // MIs[0] policy
     /* 2058988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058998 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059027 */     // GIR_Coverage, 15599,
     /* 2059027 */     GIR_EraseRootFromParent_Done,
     /* 2059028 */   // Label 27356: @2059028
     /* 2059028 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2059122), // Rule ID 15602 //
     /* 2059033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059079 */     // MIs[0] round
     /* 2059079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059082 */     // MIs[0] policy
     /* 2059082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059092 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2059095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059121 */     // GIR_Coverage, 15602,
     /* 2059121 */     GIR_EraseRootFromParent_Done,
     /* 2059122 */   // Label 27357: @2059122
     /* 2059122 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2059216), // Rule ID 15603 //
     /* 2059127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059173 */     // MIs[0] round
     /* 2059173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059176 */     // MIs[0] policy
     /* 2059176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2059189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059215 */     // GIR_Coverage, 15603,
     /* 2059215 */     GIR_EraseRootFromParent_Done,
     /* 2059216 */   // Label 27358: @2059216
     /* 2059216 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2059310), // Rule ID 15606 //
     /* 2059221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059267 */     // MIs[0] round
     /* 2059267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059270 */     // MIs[0] policy
     /* 2059270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059309 */     // GIR_Coverage, 15606,
     /* 2059309 */     GIR_EraseRootFromParent_Done,
     /* 2059310 */   // Label 27359: @2059310
     /* 2059310 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2059404), // Rule ID 15607 //
     /* 2059315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059361 */     // MIs[0] round
     /* 2059361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059364 */     // MIs[0] policy
     /* 2059364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059403 */     // GIR_Coverage, 15607,
     /* 2059403 */     GIR_EraseRootFromParent_Done,
     /* 2059404 */   // Label 27360: @2059404
     /* 2059404 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2059498), // Rule ID 15610 //
     /* 2059409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059455 */     // MIs[0] round
     /* 2059455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059458 */     // MIs[0] policy
     /* 2059458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059497 */     // GIR_Coverage, 15610,
     /* 2059497 */     GIR_EraseRootFromParent_Done,
     /* 2059498 */   // Label 27361: @2059498
     /* 2059498 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2059592), // Rule ID 15611 //
     /* 2059503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059549 */     // MIs[0] round
     /* 2059549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059552 */     // MIs[0] policy
     /* 2059552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059591 */     // GIR_Coverage, 15611,
     /* 2059591 */     GIR_EraseRootFromParent_Done,
     /* 2059592 */   // Label 27362: @2059592
     /* 2059592 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2059686), // Rule ID 15614 //
     /* 2059597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059643 */     // MIs[0] round
     /* 2059643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059646 */     // MIs[0] policy
     /* 2059646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059685 */     // GIR_Coverage, 15614,
     /* 2059685 */     GIR_EraseRootFromParent_Done,
     /* 2059686 */   // Label 27363: @2059686
     /* 2059686 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2059780), // Rule ID 15615 //
     /* 2059691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059737 */     // MIs[0] round
     /* 2059737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059740 */     // MIs[0] policy
     /* 2059740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059779 */     // GIR_Coverage, 15615,
     /* 2059779 */     GIR_EraseRootFromParent_Done,
     /* 2059780 */   // Label 27364: @2059780
     /* 2059780 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2059874), // Rule ID 15618 //
     /* 2059785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059831 */     // MIs[0] round
     /* 2059831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059834 */     // MIs[0] policy
     /* 2059834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059873 */     // GIR_Coverage, 15618,
     /* 2059873 */     GIR_EraseRootFromParent_Done,
     /* 2059874 */   // Label 27365: @2059874
     /* 2059874 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2059968), // Rule ID 15619 //
     /* 2059879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059925 */     // MIs[0] round
     /* 2059925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059928 */     // MIs[0] policy
     /* 2059928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059938 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059967 */     // GIR_Coverage, 15619,
     /* 2059967 */     GIR_EraseRootFromParent_Done,
     /* 2059968 */   // Label 27366: @2059968
     /* 2059968 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2060062), // Rule ID 15622 //
     /* 2059973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2059984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2059987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2059990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060019 */     // MIs[0] round
     /* 2060019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060022 */     // MIs[0] policy
     /* 2060022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2060035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060061 */     // GIR_Coverage, 15622,
     /* 2060061 */     GIR_EraseRootFromParent_Done,
     /* 2060062 */   // Label 27367: @2060062
     /* 2060062 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2060156), // Rule ID 15623 //
     /* 2060067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060113 */     // MIs[0] round
     /* 2060113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060116 */     // MIs[0] policy
     /* 2060116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2060129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060155 */     // GIR_Coverage, 15623,
     /* 2060155 */     GIR_EraseRootFromParent_Done,
     /* 2060156 */   // Label 27368: @2060156
     /* 2060156 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2060250), // Rule ID 15626 //
     /* 2060161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060207 */     // MIs[0] round
     /* 2060207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060210 */     // MIs[0] policy
     /* 2060210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060220 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060249 */     // GIR_Coverage, 15626,
     /* 2060249 */     GIR_EraseRootFromParent_Done,
     /* 2060250 */   // Label 27369: @2060250
     /* 2060250 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2060344), // Rule ID 15627 //
     /* 2060255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060301 */     // MIs[0] round
     /* 2060301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060304 */     // MIs[0] policy
     /* 2060304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060314 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060343 */     // GIR_Coverage, 15627,
     /* 2060343 */     GIR_EraseRootFromParent_Done,
     /* 2060344 */   // Label 27370: @2060344
     /* 2060344 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2060438), // Rule ID 15630 //
     /* 2060349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060395 */     // MIs[0] round
     /* 2060395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060398 */     // MIs[0] policy
     /* 2060398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060437 */     // GIR_Coverage, 15630,
     /* 2060437 */     GIR_EraseRootFromParent_Done,
     /* 2060438 */   // Label 27371: @2060438
     /* 2060438 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2060532), // Rule ID 15631 //
     /* 2060443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060489 */     // MIs[0] round
     /* 2060489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060492 */     // MIs[0] policy
     /* 2060492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060531 */     // GIR_Coverage, 15631,
     /* 2060531 */     GIR_EraseRootFromParent_Done,
     /* 2060532 */   // Label 27372: @2060532
     /* 2060532 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2060626), // Rule ID 15634 //
     /* 2060537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060583 */     // MIs[0] round
     /* 2060583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060586 */     // MIs[0] policy
     /* 2060586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060625 */     // GIR_Coverage, 15634,
     /* 2060625 */     GIR_EraseRootFromParent_Done,
     /* 2060626 */   // Label 27373: @2060626
     /* 2060626 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2060720), // Rule ID 15635 //
     /* 2060631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060677 */     // MIs[0] round
     /* 2060677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060680 */     // MIs[0] policy
     /* 2060680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060690 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060719 */     // GIR_Coverage, 15635,
     /* 2060719 */     GIR_EraseRootFromParent_Done,
     /* 2060720 */   // Label 27374: @2060720
     /* 2060720 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2060814), // Rule ID 15638 //
     /* 2060725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060771 */     // MIs[0] round
     /* 2060771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060774 */     // MIs[0] policy
     /* 2060774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060813 */     // GIR_Coverage, 15638,
     /* 2060813 */     GIR_EraseRootFromParent_Done,
     /* 2060814 */   // Label 27375: @2060814
     /* 2060814 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2060908), // Rule ID 15639 //
     /* 2060819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060865 */     // MIs[0] round
     /* 2060865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060868 */     // MIs[0] policy
     /* 2060868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060907 */     // GIR_Coverage, 15639,
     /* 2060907 */     GIR_EraseRootFromParent_Done,
     /* 2060908 */   // Label 27376: @2060908
     /* 2060908 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2061002), // Rule ID 15642 //
     /* 2060913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2060924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2060927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2060930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060959 */     // MIs[0] round
     /* 2060959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060962 */     // MIs[0] policy
     /* 2060962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061001 */     // GIR_Coverage, 15642,
     /* 2061001 */     GIR_EraseRootFromParent_Done,
     /* 2061002 */   // Label 27377: @2061002
     /* 2061002 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2061096), // Rule ID 15643 //
     /* 2061007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061053 */     // MIs[0] round
     /* 2061053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061056 */     // MIs[0] policy
     /* 2061056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061095 */     // GIR_Coverage, 15643,
     /* 2061095 */     GIR_EraseRootFromParent_Done,
     /* 2061096 */   // Label 27378: @2061096
     /* 2061096 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2061190), // Rule ID 15646 //
     /* 2061101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061147 */     // MIs[0] round
     /* 2061147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061150 */     // MIs[0] policy
     /* 2061150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061160 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061189 */     // GIR_Coverage, 15646,
     /* 2061189 */     GIR_EraseRootFromParent_Done,
     /* 2061190 */   // Label 27379: @2061190
     /* 2061190 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2061284), // Rule ID 15647 //
     /* 2061195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061241 */     // MIs[0] round
     /* 2061241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061244 */     // MIs[0] policy
     /* 2061244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061283 */     // GIR_Coverage, 15647,
     /* 2061283 */     GIR_EraseRootFromParent_Done,
     /* 2061284 */   // Label 27380: @2061284
     /* 2061284 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2061378), // Rule ID 15650 //
     /* 2061289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061335 */     // MIs[0] round
     /* 2061335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061338 */     // MIs[0] policy
     /* 2061338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061377 */     // GIR_Coverage, 15650,
     /* 2061377 */     GIR_EraseRootFromParent_Done,
     /* 2061378 */   // Label 27381: @2061378
     /* 2061378 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2061472), // Rule ID 15651 //
     /* 2061383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061429 */     // MIs[0] round
     /* 2061429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061432 */     // MIs[0] policy
     /* 2061432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061471 */     // GIR_Coverage, 15651,
     /* 2061471 */     GIR_EraseRootFromParent_Done,
     /* 2061472 */   // Label 27382: @2061472
     /* 2061472 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2061566), // Rule ID 15654 //
     /* 2061477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061523 */     // MIs[0] round
     /* 2061523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061526 */     // MIs[0] policy
     /* 2061526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061565 */     // GIR_Coverage, 15654,
     /* 2061565 */     GIR_EraseRootFromParent_Done,
     /* 2061566 */   // Label 27383: @2061566
     /* 2061566 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2061660), // Rule ID 15655 //
     /* 2061571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061617 */     // MIs[0] round
     /* 2061617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061620 */     // MIs[0] policy
     /* 2061620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061659 */     // GIR_Coverage, 15655,
     /* 2061659 */     GIR_EraseRootFromParent_Done,
     /* 2061660 */   // Label 27384: @2061660
     /* 2061660 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2061754), // Rule ID 15658 //
     /* 2061665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061711 */     // MIs[0] round
     /* 2061711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061714 */     // MIs[0] policy
     /* 2061714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061753 */     // GIR_Coverage, 15658,
     /* 2061753 */     GIR_EraseRootFromParent_Done,
     /* 2061754 */   // Label 27385: @2061754
     /* 2061754 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2061848), // Rule ID 15659 //
     /* 2061759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061805 */     // MIs[0] round
     /* 2061805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061808 */     // MIs[0] policy
     /* 2061808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061847 */     // GIR_Coverage, 15659,
     /* 2061847 */     GIR_EraseRootFromParent_Done,
     /* 2061848 */   // Label 27386: @2061848
     /* 2061848 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2061942), // Rule ID 15662 //
     /* 2061853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061899 */     // MIs[0] round
     /* 2061899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061902 */     // MIs[0] policy
     /* 2061902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2061915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061941 */     // GIR_Coverage, 15662,
     /* 2061941 */     GIR_EraseRootFromParent_Done,
     /* 2061942 */   // Label 27387: @2061942
     /* 2061942 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2062036), // Rule ID 15663 //
     /* 2061947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061993 */     // MIs[0] round
     /* 2061993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061996 */     // MIs[0] policy
     /* 2061996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2062009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062035 */     // GIR_Coverage, 15663,
     /* 2062035 */     GIR_EraseRootFromParent_Done,
     /* 2062036 */   // Label 27388: @2062036
     /* 2062036 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2062130), // Rule ID 15666 //
     /* 2062041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2062061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062087 */     // MIs[0] round
     /* 2062087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062090 */     // MIs[0] policy
     /* 2062090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2062103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062129 */     // GIR_Coverage, 15666,
     /* 2062129 */     GIR_EraseRootFromParent_Done,
     /* 2062130 */   // Label 27389: @2062130
     /* 2062130 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2062224), // Rule ID 15667 //
     /* 2062135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2062155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062181 */     // MIs[0] round
     /* 2062181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062184 */     // MIs[0] policy
     /* 2062184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2062197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062223 */     // GIR_Coverage, 15667,
     /* 2062223 */     GIR_EraseRootFromParent_Done,
     /* 2062224 */   // Label 27390: @2062224
     /* 2062224 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2062318), // Rule ID 15670 //
     /* 2062229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062275 */     // MIs[0] round
     /* 2062275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062278 */     // MIs[0] policy
     /* 2062278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2062291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062317 */     // GIR_Coverage, 15670,
     /* 2062317 */     GIR_EraseRootFromParent_Done,
     /* 2062318 */   // Label 27391: @2062318
     /* 2062318 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2062412), // Rule ID 15671 //
     /* 2062323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062369 */     // MIs[0] round
     /* 2062369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062372 */     // MIs[0] policy
     /* 2062372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2062385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062411 */     // GIR_Coverage, 15671,
     /* 2062411 */     GIR_EraseRootFromParent_Done,
     /* 2062412 */   // Label 27392: @2062412
     /* 2062412 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2062506), // Rule ID 15674 //
     /* 2062417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062463 */     // MIs[0] round
     /* 2062463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062466 */     // MIs[0] policy
     /* 2062466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062505 */     // GIR_Coverage, 15674,
     /* 2062505 */     GIR_EraseRootFromParent_Done,
     /* 2062506 */   // Label 27393: @2062506
     /* 2062506 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2062600), // Rule ID 15675 //
     /* 2062511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062557 */     // MIs[0] round
     /* 2062557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062560 */     // MIs[0] policy
     /* 2062560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062570 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062599 */     // GIR_Coverage, 15675,
     /* 2062599 */     GIR_EraseRootFromParent_Done,
     /* 2062600 */   // Label 27394: @2062600
     /* 2062600 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2062694), // Rule ID 15678 //
     /* 2062605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062651 */     // MIs[0] round
     /* 2062651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062654 */     // MIs[0] policy
     /* 2062654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062693 */     // GIR_Coverage, 15678,
     /* 2062693 */     GIR_EraseRootFromParent_Done,
     /* 2062694 */   // Label 27395: @2062694
     /* 2062694 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2062788), // Rule ID 15679 //
     /* 2062699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062745 */     // MIs[0] round
     /* 2062745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062748 */     // MIs[0] policy
     /* 2062748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062787 */     // GIR_Coverage, 15679,
     /* 2062787 */     GIR_EraseRootFromParent_Done,
     /* 2062788 */   // Label 27396: @2062788
     /* 2062788 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2062882), // Rule ID 15682 //
     /* 2062793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062839 */     // MIs[0] round
     /* 2062839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062842 */     // MIs[0] policy
     /* 2062842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062881 */     // GIR_Coverage, 15682,
     /* 2062881 */     GIR_EraseRootFromParent_Done,
     /* 2062882 */   // Label 27397: @2062882
     /* 2062882 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2062976), // Rule ID 15683 //
     /* 2062887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062933 */     // MIs[0] round
     /* 2062933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062936 */     // MIs[0] policy
     /* 2062936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062975 */     // GIR_Coverage, 15683,
     /* 2062975 */     GIR_EraseRootFromParent_Done,
     /* 2062976 */   // Label 27398: @2062976
     /* 2062976 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2063070), // Rule ID 15686 //
     /* 2062981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063027 */     // MIs[0] round
     /* 2063027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063030 */     // MIs[0] policy
     /* 2063030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2063043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063069 */     // GIR_Coverage, 15686,
     /* 2063069 */     GIR_EraseRootFromParent_Done,
     /* 2063070 */   // Label 27399: @2063070
     /* 2063070 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2063164), // Rule ID 15687 //
     /* 2063075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2063078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2063086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2063089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2063092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063121 */     // MIs[0] round
     /* 2063121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063124 */     // MIs[0] policy
     /* 2063124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2063137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063163 */     // GIR_Coverage, 15687,
     /* 2063163 */     GIR_EraseRootFromParent_Done,
     /* 2063164 */   // Label 27400: @2063164
     /* 2063164 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2063258), // Rule ID 15690 //
     /* 2063169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2063172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2063180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2063183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2063186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063215 */     // MIs[0] round
     /* 2063215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063218 */     // MIs[0] policy
     /* 2063218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2063231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063257 */     // GIR_Coverage, 15690,
     /* 2063257 */     GIR_EraseRootFromParent_Done,
     /* 2063258 */   // Label 27401: @2063258
     /* 2063258 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2063352), // Rule ID 15691 //
     /* 2063263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2063266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2063274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2063277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2063280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063309 */     // MIs[0] round
     /* 2063309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063312 */     // MIs[0] policy
     /* 2063312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2063325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063351 */     // GIR_Coverage, 15691,
     /* 2063351 */     GIR_EraseRootFromParent_Done,
     /* 2063352 */   // Label 27402: @2063352
     /* 2063352 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2063443), // Rule ID 15694 //
     /* 2063357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2063368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2063371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2063374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2063377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063403 */     // MIs[0] round
     /* 2063403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063406 */     // MIs[0] policy
     /* 2063406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2063419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063442 */     // GIR_Coverage, 15694,
     /* 2063442 */     GIR_EraseRootFromParent_Done,
     /* 2063443 */   // Label 27403: @2063443
     /* 2063443 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2063534), // Rule ID 15695 //
     /* 2063448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2063459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2063462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2063465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2063468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063494 */     // MIs[0] round
     /* 2063494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063497 */     // MIs[0] policy
     /* 2063497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2063510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063533 */     // GIR_Coverage, 15695,
     /* 2063533 */     GIR_EraseRootFromParent_Done,
     /* 2063534 */   // Label 27404: @2063534
     /* 2063534 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2063625), // Rule ID 15698 //
     /* 2063539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063585 */     // MIs[0] round
     /* 2063585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063588 */     // MIs[0] policy
     /* 2063588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063624 */     // GIR_Coverage, 15698,
     /* 2063624 */     GIR_EraseRootFromParent_Done,
     /* 2063625 */   // Label 27405: @2063625
     /* 2063625 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2063716), // Rule ID 15699 //
     /* 2063630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063676 */     // MIs[0] round
     /* 2063676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063679 */     // MIs[0] policy
     /* 2063679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063689 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063715 */     // GIR_Coverage, 15699,
     /* 2063715 */     GIR_EraseRootFromParent_Done,
     /* 2063716 */   // Label 27406: @2063716
     /* 2063716 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2063807), // Rule ID 15702 //
     /* 2063721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063767 */     // MIs[0] round
     /* 2063767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063770 */     // MIs[0] policy
     /* 2063770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063806 */     // GIR_Coverage, 15702,
     /* 2063806 */     GIR_EraseRootFromParent_Done,
     /* 2063807 */   // Label 27407: @2063807
     /* 2063807 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2063898), // Rule ID 15703 //
     /* 2063812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063858 */     // MIs[0] round
     /* 2063858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063861 */     // MIs[0] policy
     /* 2063861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063897 */     // GIR_Coverage, 15703,
     /* 2063897 */     GIR_EraseRootFromParent_Done,
     /* 2063898 */   // Label 27408: @2063898
     /* 2063898 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2063989), // Rule ID 15706 //
     /* 2063903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063949 */     // MIs[0] round
     /* 2063949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063952 */     // MIs[0] policy
     /* 2063952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063988 */     // GIR_Coverage, 15706,
     /* 2063988 */     GIR_EraseRootFromParent_Done,
     /* 2063989 */   // Label 27409: @2063989
     /* 2063989 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2064080), // Rule ID 15707 //
     /* 2063994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2064005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2064008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2064011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2064014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064040 */     // MIs[0] round
     /* 2064040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064043 */     // MIs[0] policy
     /* 2064043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2064056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064079 */     // GIR_Coverage, 15707,
     /* 2064079 */     GIR_EraseRootFromParent_Done,
     /* 2064080 */   // Label 27410: @2064080
     /* 2064080 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2064171), // Rule ID 15710 //
     /* 2064085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2064096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2064099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2064102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2064105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064131 */     // MIs[0] round
     /* 2064131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064134 */     // MIs[0] policy
     /* 2064134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064170 */     // GIR_Coverage, 15710,
     /* 2064170 */     GIR_EraseRootFromParent_Done,
     /* 2064171 */   // Label 27411: @2064171
     /* 2064171 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2064262), // Rule ID 15711 //
     /* 2064176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2064187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2064190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2064193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2064196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064222 */     // MIs[0] round
     /* 2064222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064225 */     // MIs[0] policy
     /* 2064225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064261 */     // GIR_Coverage, 15711,
     /* 2064261 */     GIR_EraseRootFromParent_Done,
     /* 2064262 */   // Label 27412: @2064262
     /* 2064262 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2064353), // Rule ID 15714 //
     /* 2064267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2064278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2064281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2064284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2064287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064313 */     // MIs[0] round
     /* 2064313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064316 */     // MIs[0] policy
     /* 2064316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064352 */     // GIR_Coverage, 15714,
     /* 2064352 */     GIR_EraseRootFromParent_Done,
     /* 2064353 */   // Label 27413: @2064353
     /* 2064353 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2064444), // Rule ID 15715 //
     /* 2064358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2064369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2064372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2064375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2064378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064404 */     // MIs[0] round
     /* 2064404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064407 */     // MIs[0] policy
     /* 2064407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064443 */     // GIR_Coverage, 15715,
     /* 2064443 */     GIR_EraseRootFromParent_Done,
     /* 2064444 */   // Label 27414: @2064444
     /* 2064444 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2064535), // Rule ID 15718 //
     /* 2064449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064495 */     // MIs[0] round
     /* 2064495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064498 */     // MIs[0] policy
     /* 2064498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064534 */     // GIR_Coverage, 15718,
     /* 2064534 */     GIR_EraseRootFromParent_Done,
     /* 2064535 */   // Label 27415: @2064535
     /* 2064535 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2064626), // Rule ID 15719 //
     /* 2064540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064586 */     // MIs[0] round
     /* 2064586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064589 */     // MIs[0] policy
     /* 2064589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064625 */     // GIR_Coverage, 15719,
     /* 2064625 */     GIR_EraseRootFromParent_Done,
     /* 2064626 */   // Label 27416: @2064626
     /* 2064626 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2064717), // Rule ID 15722 //
     /* 2064631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064677 */     // MIs[0] round
     /* 2064677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064680 */     // MIs[0] policy
     /* 2064680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064716 */     // GIR_Coverage, 15722,
     /* 2064716 */     GIR_EraseRootFromParent_Done,
     /* 2064717 */   // Label 27417: @2064717
     /* 2064717 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2064808), // Rule ID 15723 //
     /* 2064722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064768 */     // MIs[0] round
     /* 2064768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064771 */     // MIs[0] policy
     /* 2064771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064807 */     // GIR_Coverage, 15723,
     /* 2064807 */     GIR_EraseRootFromParent_Done,
     /* 2064808 */   // Label 27418: @2064808
     /* 2064808 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2064899), // Rule ID 15726 //
     /* 2064813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064859 */     // MIs[0] round
     /* 2064859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064862 */     // MIs[0] policy
     /* 2064862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064898 */     // GIR_Coverage, 15726,
     /* 2064898 */     GIR_EraseRootFromParent_Done,
     /* 2064899 */   // Label 27419: @2064899
     /* 2064899 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2064990), // Rule ID 15727 //
     /* 2064904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064950 */     // MIs[0] round
     /* 2064950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064953 */     // MIs[0] policy
     /* 2064953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064989 */     // GIR_Coverage, 15727,
     /* 2064989 */     GIR_EraseRootFromParent_Done,
     /* 2064990 */   // Label 27420: @2064990
     /* 2064990 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2065081), // Rule ID 15730 //
     /* 2064995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2065006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2065009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2065012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2065015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065041 */     // MIs[0] round
     /* 2065041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065044 */     // MIs[0] policy
     /* 2065044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2065057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065080 */     // GIR_Coverage, 15730,
     /* 2065080 */     GIR_EraseRootFromParent_Done,
     /* 2065081 */   // Label 27421: @2065081
     /* 2065081 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2065172), // Rule ID 15731 //
     /* 2065086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2065089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2065097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2065100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2065103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2065106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065132 */     // MIs[0] round
     /* 2065132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065135 */     // MIs[0] policy
     /* 2065135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065145 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2065148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065171 */     // GIR_Coverage, 15731,
     /* 2065171 */     GIR_EraseRootFromParent_Done,
     /* 2065172 */   // Label 27422: @2065172
     /* 2065172 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2065263), // Rule ID 15734 //
     /* 2065177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2065188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2065191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2065194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2065197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065223 */     // MIs[0] round
     /* 2065223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065226 */     // MIs[0] policy
     /* 2065226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065262 */     // GIR_Coverage, 15734,
     /* 2065262 */     GIR_EraseRootFromParent_Done,
     /* 2065263 */   // Label 27423: @2065263
     /* 2065263 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2065354), // Rule ID 15735 //
     /* 2065268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2065279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2065282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2065285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2065288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065314 */     // MIs[0] round
     /* 2065314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065317 */     // MIs[0] policy
     /* 2065317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065327 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065353 */     // GIR_Coverage, 15735,
     /* 2065353 */     GIR_EraseRootFromParent_Done,
     /* 2065354 */   // Label 27424: @2065354
     /* 2065354 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2065445), // Rule ID 15738 //
     /* 2065359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2065370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2065373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2065376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065405 */     // MIs[0] round
     /* 2065405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065408 */     // MIs[0] policy
     /* 2065408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065418 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065444 */     // GIR_Coverage, 15738,
     /* 2065444 */     GIR_EraseRootFromParent_Done,
     /* 2065445 */   // Label 27425: @2065445
     /* 2065445 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2065536), // Rule ID 15739 //
     /* 2065450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2065461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2065464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2065467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065496 */     // MIs[0] round
     /* 2065496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065499 */     // MIs[0] policy
     /* 2065499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065535 */     // GIR_Coverage, 15739,
     /* 2065535 */     GIR_EraseRootFromParent_Done,
     /* 2065536 */   // Label 27426: @2065536
     /* 2065536 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2065627), // Rule ID 15742 //
     /* 2065541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065587 */     // MIs[0] round
     /* 2065587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065590 */     // MIs[0] policy
     /* 2065590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065600 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065626 */     // GIR_Coverage, 15742,
     /* 2065626 */     GIR_EraseRootFromParent_Done,
     /* 2065627 */   // Label 27427: @2065627
     /* 2065627 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2065718), // Rule ID 15743 //
     /* 2065632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065678 */     // MIs[0] round
     /* 2065678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065681 */     // MIs[0] policy
     /* 2065681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065691 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065717 */     // GIR_Coverage, 15743,
     /* 2065717 */     GIR_EraseRootFromParent_Done,
     /* 2065718 */   // Label 27428: @2065718
     /* 2065718 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2065809), // Rule ID 15746 //
     /* 2065723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065769 */     // MIs[0] round
     /* 2065769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065772 */     // MIs[0] policy
     /* 2065772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065808 */     // GIR_Coverage, 15746,
     /* 2065808 */     GIR_EraseRootFromParent_Done,
     /* 2065809 */   // Label 27429: @2065809
     /* 2065809 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2065900), // Rule ID 15747 //
     /* 2065814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065860 */     // MIs[0] round
     /* 2065860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065863 */     // MIs[0] policy
     /* 2065863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065873 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065899 */     // GIR_Coverage, 15747,
     /* 2065899 */     GIR_EraseRootFromParent_Done,
     /* 2065900 */   // Label 27430: @2065900
     /* 2065900 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2065991), // Rule ID 15750 //
     /* 2065905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065951 */     // MIs[0] round
     /* 2065951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065954 */     // MIs[0] policy
     /* 2065954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065990 */     // GIR_Coverage, 15750,
     /* 2065990 */     GIR_EraseRootFromParent_Done,
     /* 2065991 */   // Label 27431: @2065991
     /* 2065991 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2066082), // Rule ID 15751 //
     /* 2065996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2066007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2066010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2066013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2066016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066042 */     // MIs[0] round
     /* 2066042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066045 */     // MIs[0] policy
     /* 2066045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066081 */     // GIR_Coverage, 15751,
     /* 2066081 */     GIR_EraseRootFromParent_Done,
     /* 2066082 */   // Label 27432: @2066082
     /* 2066082 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2066173), // Rule ID 15754 //
     /* 2066087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2066098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2066101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2066104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2066107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066133 */     // MIs[0] round
     /* 2066133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066136 */     // MIs[0] policy
     /* 2066136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066172 */     // GIR_Coverage, 15754,
     /* 2066172 */     GIR_EraseRootFromParent_Done,
     /* 2066173 */   // Label 27433: @2066173
     /* 2066173 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2066264), // Rule ID 15755 //
     /* 2066178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2066189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2066192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2066195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2066198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066224 */     // MIs[0] round
     /* 2066224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066227 */     // MIs[0] policy
     /* 2066227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066237 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066263 */     // GIR_Coverage, 15755,
     /* 2066263 */     GIR_EraseRootFromParent_Done,
     /* 2066264 */   // Label 27434: @2066264
     /* 2066264 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2066355), // Rule ID 15758 //
     /* 2066269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2066280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2066283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2066286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2066289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066315 */     // MIs[0] round
     /* 2066315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066318 */     // MIs[0] policy
     /* 2066318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066354 */     // GIR_Coverage, 15758,
     /* 2066354 */     GIR_EraseRootFromParent_Done,
     /* 2066355 */   // Label 27435: @2066355
     /* 2066355 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2066446), // Rule ID 15759 //
     /* 2066360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2066371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2066374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2066377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2066380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066406 */     // MIs[0] round
     /* 2066406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066409 */     // MIs[0] policy
     /* 2066409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066445 */     // GIR_Coverage, 15759,
     /* 2066445 */     GIR_EraseRootFromParent_Done,
     /* 2066446 */   // Label 27436: @2066446
     /* 2066446 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2066537), // Rule ID 15762 //
     /* 2066451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066497 */     // MIs[0] round
     /* 2066497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066500 */     // MIs[0] policy
     /* 2066500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066536 */     // GIR_Coverage, 15762,
     /* 2066536 */     GIR_EraseRootFromParent_Done,
     /* 2066537 */   // Label 27437: @2066537
     /* 2066537 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2066628), // Rule ID 15763 //
     /* 2066542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066588 */     // MIs[0] round
     /* 2066588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066591 */     // MIs[0] policy
     /* 2066591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066627 */     // GIR_Coverage, 15763,
     /* 2066627 */     GIR_EraseRootFromParent_Done,
     /* 2066628 */   // Label 27438: @2066628
     /* 2066628 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2066719), // Rule ID 15766 //
     /* 2066633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066679 */     // MIs[0] round
     /* 2066679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066682 */     // MIs[0] policy
     /* 2066682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066718 */     // GIR_Coverage, 15766,
     /* 2066718 */     GIR_EraseRootFromParent_Done,
     /* 2066719 */   // Label 27439: @2066719
     /* 2066719 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2066810), // Rule ID 15767 //
     /* 2066724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066770 */     // MIs[0] round
     /* 2066770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066773 */     // MIs[0] policy
     /* 2066773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066809 */     // GIR_Coverage, 15767,
     /* 2066809 */     GIR_EraseRootFromParent_Done,
     /* 2066810 */   // Label 27440: @2066810
     /* 2066810 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2066901), // Rule ID 15770 //
     /* 2066815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066861 */     // MIs[0] round
     /* 2066861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066864 */     // MIs[0] policy
     /* 2066864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066900 */     // GIR_Coverage, 15770,
     /* 2066900 */     GIR_EraseRootFromParent_Done,
     /* 2066901 */   // Label 27441: @2066901
     /* 2066901 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2066992), // Rule ID 15771 //
     /* 2066906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066952 */     // MIs[0] round
     /* 2066952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066955 */     // MIs[0] policy
     /* 2066955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066965 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066991 */     // GIR_Coverage, 15771,
     /* 2066991 */     GIR_EraseRootFromParent_Done,
     /* 2066992 */   // Label 27442: @2066992
     /* 2066992 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2067083), // Rule ID 15774 //
     /* 2066997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2067000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2067008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2067011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2067014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2067017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067043 */     // MIs[0] round
     /* 2067043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067046 */     // MIs[0] policy
     /* 2067046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2067059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067082 */     // GIR_Coverage, 15774,
     /* 2067082 */     GIR_EraseRootFromParent_Done,
     /* 2067083 */   // Label 27443: @2067083
     /* 2067083 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2067174), // Rule ID 15775 //
     /* 2067088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2067091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2067099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2067102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2067105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2067108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067134 */     // MIs[0] round
     /* 2067134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067137 */     // MIs[0] policy
     /* 2067137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2067150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067173 */     // GIR_Coverage, 15775,
     /* 2067173 */     GIR_EraseRootFromParent_Done,
     /* 2067174 */   // Label 27444: @2067174
     /* 2067174 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2067265), // Rule ID 15778 //
     /* 2067179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2067182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2067190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2067193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2067196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2067199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067225 */     // MIs[0] round
     /* 2067225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067228 */     // MIs[0] policy
     /* 2067228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2067241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067264 */     // GIR_Coverage, 15778,
     /* 2067264 */     GIR_EraseRootFromParent_Done,
     /* 2067265 */   // Label 27445: @2067265
     /* 2067265 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2067356), // Rule ID 15779 //
     /* 2067270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2067273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2067281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2067284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2067287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2067290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067316 */     // MIs[0] round
     /* 2067316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067319 */     // MIs[0] policy
     /* 2067319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067329 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2067332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067355 */     // GIR_Coverage, 15779,
     /* 2067355 */     GIR_EraseRootFromParent_Done,
     /* 2067356 */   // Label 27446: @2067356
     /* 2067356 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2067447), // Rule ID 15782 //
     /* 2067361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067407 */     // MIs[0] round
     /* 2067407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067410 */     // MIs[0] policy
     /* 2067410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2067423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067446 */     // GIR_Coverage, 15782,
     /* 2067446 */     GIR_EraseRootFromParent_Done,
     /* 2067447 */   // Label 27447: @2067447
     /* 2067447 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2067538), // Rule ID 15783 //
     /* 2067452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067498 */     // MIs[0] round
     /* 2067498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067501 */     // MIs[0] policy
     /* 2067501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2067514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067537 */     // GIR_Coverage, 15783,
     /* 2067537 */     GIR_EraseRootFromParent_Done,
     /* 2067538 */   // Label 27448: @2067538
     /* 2067538 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2067629), // Rule ID 15786 //
     /* 2067543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067589 */     // MIs[0] round
     /* 2067589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067592 */     // MIs[0] policy
     /* 2067592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067628 */     // GIR_Coverage, 15786,
     /* 2067628 */     GIR_EraseRootFromParent_Done,
     /* 2067629 */   // Label 27449: @2067629
     /* 2067629 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2067720), // Rule ID 15787 //
     /* 2067634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067680 */     // MIs[0] round
     /* 2067680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067683 */     // MIs[0] policy
     /* 2067683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067693 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067719 */     // GIR_Coverage, 15787,
     /* 2067719 */     GIR_EraseRootFromParent_Done,
     /* 2067720 */   // Label 27450: @2067720
     /* 2067720 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2067811), // Rule ID 15790 //
     /* 2067725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067771 */     // MIs[0] round
     /* 2067771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067774 */     // MIs[0] policy
     /* 2067774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067784 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067810 */     // GIR_Coverage, 15790,
     /* 2067810 */     GIR_EraseRootFromParent_Done,
     /* 2067811 */   // Label 27451: @2067811
     /* 2067811 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2067902), // Rule ID 15791 //
     /* 2067816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067862 */     // MIs[0] round
     /* 2067862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067865 */     // MIs[0] policy
     /* 2067865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067875 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067901 */     // GIR_Coverage, 15791,
     /* 2067901 */     GIR_EraseRootFromParent_Done,
     /* 2067902 */   // Label 27452: @2067902
     /* 2067902 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2067993), // Rule ID 15794 //
     /* 2067907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067953 */     // MIs[0] round
     /* 2067953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067956 */     // MIs[0] policy
     /* 2067956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067992 */     // GIR_Coverage, 15794,
     /* 2067992 */     GIR_EraseRootFromParent_Done,
     /* 2067993 */   // Label 27453: @2067993
     /* 2067993 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2068084), // Rule ID 15795 //
     /* 2067998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2068009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2068012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2068015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068044 */     // MIs[0] round
     /* 2068044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068047 */     // MIs[0] policy
     /* 2068047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068057 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2068060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068083 */     // GIR_Coverage, 15795,
     /* 2068083 */     GIR_EraseRootFromParent_Done,
     /* 2068084 */   // Label 27454: @2068084
     /* 2068084 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2068175), // Rule ID 15798 //
     /* 2068089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068135 */     // MIs[0] round
     /* 2068135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068138 */     // MIs[0] policy
     /* 2068138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068174 */     // GIR_Coverage, 15798,
     /* 2068174 */     GIR_EraseRootFromParent_Done,
     /* 2068175 */   // Label 27455: @2068175
     /* 2068175 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2068266), // Rule ID 15799 //
     /* 2068180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068226 */     // MIs[0] round
     /* 2068226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068229 */     // MIs[0] policy
     /* 2068229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068265 */     // GIR_Coverage, 15799,
     /* 2068265 */     GIR_EraseRootFromParent_Done,
     /* 2068266 */   // Label 27456: @2068266
     /* 2068266 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2068357), // Rule ID 15802 //
     /* 2068271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2068288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068317 */     // MIs[0] round
     /* 2068317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068320 */     // MIs[0] policy
     /* 2068320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068356 */     // GIR_Coverage, 15802,
     /* 2068356 */     GIR_EraseRootFromParent_Done,
     /* 2068357 */   // Label 27457: @2068357
     /* 2068357 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2068448), // Rule ID 15803 //
     /* 2068362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2068379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068408 */     // MIs[0] round
     /* 2068408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068411 */     // MIs[0] policy
     /* 2068411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068447 */     // GIR_Coverage, 15803,
     /* 2068447 */     GIR_EraseRootFromParent_Done,
     /* 2068448 */   // Label 27458: @2068448
     /* 2068448 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2068539), // Rule ID 15806 //
     /* 2068453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068499 */     // MIs[0] round
     /* 2068499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068502 */     // MIs[0] policy
     /* 2068502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068538 */     // GIR_Coverage, 15806,
     /* 2068538 */     GIR_EraseRootFromParent_Done,
     /* 2068539 */   // Label 27459: @2068539
     /* 2068539 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2068630), // Rule ID 15807 //
     /* 2068544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068590 */     // MIs[0] round
     /* 2068590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068593 */     // MIs[0] policy
     /* 2068593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068629 */     // GIR_Coverage, 15807,
     /* 2068629 */     GIR_EraseRootFromParent_Done,
     /* 2068630 */   // Label 27460: @2068630
     /* 2068630 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2068721), // Rule ID 15810 //
     /* 2068635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068681 */     // MIs[0] round
     /* 2068681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068684 */     // MIs[0] policy
     /* 2068684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068720 */     // GIR_Coverage, 15810,
     /* 2068720 */     GIR_EraseRootFromParent_Done,
     /* 2068721 */   // Label 27461: @2068721
     /* 2068721 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2068812), // Rule ID 15811 //
     /* 2068726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068772 */     // MIs[0] round
     /* 2068772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068775 */     // MIs[0] policy
     /* 2068775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068811 */     // GIR_Coverage, 15811,
     /* 2068811 */     GIR_EraseRootFromParent_Done,
     /* 2068812 */   // Label 27462: @2068812
     /* 2068812 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2068903), // Rule ID 15814 //
     /* 2068817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068863 */     // MIs[0] round
     /* 2068863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068866 */     // MIs[0] policy
     /* 2068866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068902 */     // GIR_Coverage, 15814,
     /* 2068902 */     GIR_EraseRootFromParent_Done,
     /* 2068903 */   // Label 27463: @2068903
     /* 2068903 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2068994), // Rule ID 15815 //
     /* 2068908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068954 */     // MIs[0] round
     /* 2068954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068957 */     // MIs[0] policy
     /* 2068957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068993 */     // GIR_Coverage, 15815,
     /* 2068993 */     GIR_EraseRootFromParent_Done,
     /* 2068994 */   // Label 27464: @2068994
     /* 2068994 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2069085), // Rule ID 15818 //
     /* 2068999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2069002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069045 */     // MIs[0] round
     /* 2069045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069048 */     // MIs[0] policy
     /* 2069048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2069061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069084 */     // GIR_Coverage, 15818,
     /* 2069084 */     GIR_EraseRootFromParent_Done,
     /* 2069085 */   // Label 27465: @2069085
     /* 2069085 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2069176), // Rule ID 15819 //
     /* 2069090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2069093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069136 */     // MIs[0] round
     /* 2069136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069139 */     // MIs[0] policy
     /* 2069139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2069152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069175 */     // GIR_Coverage, 15819,
     /* 2069175 */     GIR_EraseRootFromParent_Done,
     /* 2069176 */   // Label 27466: @2069176
     /* 2069176 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2069267), // Rule ID 15822 //
     /* 2069181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2069192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2069195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2069198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069227 */     // MIs[0] round
     /* 2069227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069230 */     // MIs[0] policy
     /* 2069230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069266 */     // GIR_Coverage, 15822,
     /* 2069266 */     GIR_EraseRootFromParent_Done,
     /* 2069267 */   // Label 27467: @2069267
     /* 2069267 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2069358), // Rule ID 15823 //
     /* 2069272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2069283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2069286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2069289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069318 */     // MIs[0] round
     /* 2069318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069321 */     // MIs[0] policy
     /* 2069321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069357 */     // GIR_Coverage, 15823,
     /* 2069357 */     GIR_EraseRootFromParent_Done,
     /* 2069358 */   // Label 27468: @2069358
     /* 2069358 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2069449), // Rule ID 15826 //
     /* 2069363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069409 */     // MIs[0] round
     /* 2069409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069412 */     // MIs[0] policy
     /* 2069412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069448 */     // GIR_Coverage, 15826,
     /* 2069448 */     GIR_EraseRootFromParent_Done,
     /* 2069449 */   // Label 27469: @2069449
     /* 2069449 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2069540), // Rule ID 15827 //
     /* 2069454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069500 */     // MIs[0] round
     /* 2069500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069503 */     // MIs[0] policy
     /* 2069503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069513 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069539 */     // GIR_Coverage, 15827,
     /* 2069539 */     GIR_EraseRootFromParent_Done,
     /* 2069540 */   // Label 27470: @2069540
     /* 2069540 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2069631), // Rule ID 15830 //
     /* 2069545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069591 */     // MIs[0] round
     /* 2069591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069594 */     // MIs[0] policy
     /* 2069594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069630 */     // GIR_Coverage, 15830,
     /* 2069630 */     GIR_EraseRootFromParent_Done,
     /* 2069631 */   // Label 27471: @2069631
     /* 2069631 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2069722), // Rule ID 15831 //
     /* 2069636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069682 */     // MIs[0] round
     /* 2069682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069685 */     // MIs[0] policy
     /* 2069685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069695 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069721 */     // GIR_Coverage, 15831,
     /* 2069721 */     GIR_EraseRootFromParent_Done,
     /* 2069722 */   // Label 27472: @2069722
     /* 2069722 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2069813), // Rule ID 15834 //
     /* 2069727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069773 */     // MIs[0] round
     /* 2069773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069776 */     // MIs[0] policy
     /* 2069776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069812 */     // GIR_Coverage, 15834,
     /* 2069812 */     GIR_EraseRootFromParent_Done,
     /* 2069813 */   // Label 27473: @2069813
     /* 2069813 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2069904), // Rule ID 15835 //
     /* 2069818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069864 */     // MIs[0] round
     /* 2069864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069867 */     // MIs[0] policy
     /* 2069867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069903 */     // GIR_Coverage, 15835,
     /* 2069903 */     GIR_EraseRootFromParent_Done,
     /* 2069904 */   // Label 27474: @2069904
     /* 2069904 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2069995), // Rule ID 15838 //
     /* 2069909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069955 */     // MIs[0] round
     /* 2069955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069958 */     // MIs[0] policy
     /* 2069958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069994 */     // GIR_Coverage, 15838,
     /* 2069994 */     GIR_EraseRootFromParent_Done,
     /* 2069995 */   // Label 27475: @2069995
     /* 2069995 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2070086), // Rule ID 15839 //
     /* 2070000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2070011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2070014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2070017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070046 */     // MIs[0] round
     /* 2070046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070049 */     // MIs[0] policy
     /* 2070049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070085 */     // GIR_Coverage, 15839,
     /* 2070085 */     GIR_EraseRootFromParent_Done,
     /* 2070086 */   // Label 27476: @2070086
     /* 2070086 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2070177), // Rule ID 15842 //
     /* 2070091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070137 */     // MIs[0] round
     /* 2070137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070140 */     // MIs[0] policy
     /* 2070140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070176 */     // GIR_Coverage, 15842,
     /* 2070176 */     GIR_EraseRootFromParent_Done,
     /* 2070177 */   // Label 27477: @2070177
     /* 2070177 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2070268), // Rule ID 15843 //
     /* 2070182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070228 */     // MIs[0] round
     /* 2070228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070231 */     // MIs[0] policy
     /* 2070231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070267 */     // GIR_Coverage, 15843,
     /* 2070267 */     GIR_EraseRootFromParent_Done,
     /* 2070268 */   // Label 27478: @2070268
     /* 2070268 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2070359), // Rule ID 15846 //
     /* 2070273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070319 */     // MIs[0] round
     /* 2070319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070322 */     // MIs[0] policy
     /* 2070322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070358 */     // GIR_Coverage, 15846,
     /* 2070358 */     GIR_EraseRootFromParent_Done,
     /* 2070359 */   // Label 27479: @2070359
     /* 2070359 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2070450), // Rule ID 15847 //
     /* 2070364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070410 */     // MIs[0] round
     /* 2070410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070413 */     // MIs[0] policy
     /* 2070413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070423 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070449 */     // GIR_Coverage, 15847,
     /* 2070449 */     GIR_EraseRootFromParent_Done,
     /* 2070450 */   // Label 27480: @2070450
     /* 2070450 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2070541), // Rule ID 15850 //
     /* 2070455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070501 */     // MIs[0] round
     /* 2070501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070504 */     // MIs[0] policy
     /* 2070504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070540 */     // GIR_Coverage, 15850,
     /* 2070540 */     GIR_EraseRootFromParent_Done,
     /* 2070541 */   // Label 27481: @2070541
     /* 2070541 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2070632), // Rule ID 15851 //
     /* 2070546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070592 */     // MIs[0] round
     /* 2070592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070595 */     // MIs[0] policy
     /* 2070595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070605 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070631 */     // GIR_Coverage, 15851,
     /* 2070631 */     GIR_EraseRootFromParent_Done,
     /* 2070632 */   // Label 27482: @2070632
     /* 2070632 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2070723), // Rule ID 15854 //
     /* 2070637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070683 */     // MIs[0] round
     /* 2070683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070686 */     // MIs[0] policy
     /* 2070686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070722 */     // GIR_Coverage, 15854,
     /* 2070722 */     GIR_EraseRootFromParent_Done,
     /* 2070723 */   // Label 27483: @2070723
     /* 2070723 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2070814), // Rule ID 15855 //
     /* 2070728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070774 */     // MIs[0] round
     /* 2070774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070777 */     // MIs[0] policy
     /* 2070777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070813 */     // GIR_Coverage, 15855,
     /* 2070813 */     GIR_EraseRootFromParent_Done,
     /* 2070814 */   // Label 27484: @2070814
     /* 2070814 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2070905), // Rule ID 15858 //
     /* 2070819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070865 */     // MIs[0] round
     /* 2070865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070868 */     // MIs[0] policy
     /* 2070868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070904 */     // GIR_Coverage, 15858,
     /* 2070904 */     GIR_EraseRootFromParent_Done,
     /* 2070905 */   // Label 27485: @2070905
     /* 2070905 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2070996), // Rule ID 15859 //
     /* 2070910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070956 */     // MIs[0] round
     /* 2070956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070959 */     // MIs[0] policy
     /* 2070959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070995 */     // GIR_Coverage, 15859,
     /* 2070995 */     GIR_EraseRootFromParent_Done,
     /* 2070996 */   // Label 27486: @2070996
     /* 2070996 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2071087), // Rule ID 15862 //
     /* 2071001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2071004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2071012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2071015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2071018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071047 */     // MIs[0] round
     /* 2071047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071050 */     // MIs[0] policy
     /* 2071050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2071063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071086 */     // GIR_Coverage, 15862,
     /* 2071086 */     GIR_EraseRootFromParent_Done,
     /* 2071087 */   // Label 27487: @2071087
     /* 2071087 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2071178), // Rule ID 15863 //
     /* 2071092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2071103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2071106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2071109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071138 */     // MIs[0] round
     /* 2071138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071141 */     // MIs[0] policy
     /* 2071141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2071154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071177 */     // GIR_Coverage, 15863,
     /* 2071177 */     GIR_EraseRootFromParent_Done,
     /* 2071178 */   // Label 27488: @2071178
     /* 2071178 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2071269), // Rule ID 15866 //
     /* 2071183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2071186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071229 */     // MIs[0] round
     /* 2071229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071232 */     // MIs[0] policy
     /* 2071232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2071245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071268 */     // GIR_Coverage, 15866,
     /* 2071268 */     GIR_EraseRootFromParent_Done,
     /* 2071269 */   // Label 27489: @2071269
     /* 2071269 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2071360), // Rule ID 15867 //
     /* 2071274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071320 */     // MIs[0] round
     /* 2071320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071323 */     // MIs[0] policy
     /* 2071323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2071336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071359 */     // GIR_Coverage, 15867,
     /* 2071359 */     GIR_EraseRootFromParent_Done,
     /* 2071360 */   // Label 27490: @2071360
     /* 2071360 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2071451), // Rule ID 15958 //
     /* 2071365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2071385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071411 */     // MIs[0] round
     /* 2071411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071414 */     // MIs[0] policy
     /* 2071414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2071427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071450 */     // GIR_Coverage, 15958,
     /* 2071450 */     GIR_EraseRootFromParent_Done,
     /* 2071451 */   // Label 27491: @2071451
     /* 2071451 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2071542), // Rule ID 15959 //
     /* 2071456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2071476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071502 */     // MIs[0] round
     /* 2071502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071505 */     // MIs[0] policy
     /* 2071505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071515 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2071518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071541 */     // GIR_Coverage, 15959,
     /* 2071541 */     GIR_EraseRootFromParent_Done,
     /* 2071542 */   // Label 27492: @2071542
     /* 2071542 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2071633), // Rule ID 15962 //
     /* 2071547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071593 */     // MIs[0] round
     /* 2071593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071596 */     // MIs[0] policy
     /* 2071596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071632 */     // GIR_Coverage, 15962,
     /* 2071632 */     GIR_EraseRootFromParent_Done,
     /* 2071633 */   // Label 27493: @2071633
     /* 2071633 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2071724), // Rule ID 15963 //
     /* 2071638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071684 */     // MIs[0] round
     /* 2071684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071687 */     // MIs[0] policy
     /* 2071687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071723 */     // GIR_Coverage, 15963,
     /* 2071723 */     GIR_EraseRootFromParent_Done,
     /* 2071724 */   // Label 27494: @2071724
     /* 2071724 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2071815), // Rule ID 15966 //
     /* 2071729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071775 */     // MIs[0] round
     /* 2071775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071778 */     // MIs[0] policy
     /* 2071778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071814 */     // GIR_Coverage, 15966,
     /* 2071814 */     GIR_EraseRootFromParent_Done,
     /* 2071815 */   // Label 27495: @2071815
     /* 2071815 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2071906), // Rule ID 15967 //
     /* 2071820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071866 */     // MIs[0] round
     /* 2071866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071869 */     // MIs[0] policy
     /* 2071869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071879 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071905 */     // GIR_Coverage, 15967,
     /* 2071905 */     GIR_EraseRootFromParent_Done,
     /* 2071906 */   // Label 27496: @2071906
     /* 2071906 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2071997), // Rule ID 15970 //
     /* 2071911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071957 */     // MIs[0] round
     /* 2071957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071960 */     // MIs[0] policy
     /* 2071960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071970 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071996 */     // GIR_Coverage, 15970,
     /* 2071996 */     GIR_EraseRootFromParent_Done,
     /* 2071997 */   // Label 27497: @2071997
     /* 2071997 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2072088), // Rule ID 15971 //
     /* 2072002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2072013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2072016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2072019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2072022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072048 */     // MIs[0] round
     /* 2072048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072051 */     // MIs[0] policy
     /* 2072051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2072064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072087 */     // GIR_Coverage, 15971,
     /* 2072087 */     GIR_EraseRootFromParent_Done,
     /* 2072088 */   // Label 27498: @2072088
     /* 2072088 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2072179), // Rule ID 15974 //
     /* 2072093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2072104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2072107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2072110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2072113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072139 */     // MIs[0] round
     /* 2072139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072142 */     // MIs[0] policy
     /* 2072142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072178 */     // GIR_Coverage, 15974,
     /* 2072178 */     GIR_EraseRootFromParent_Done,
     /* 2072179 */   // Label 27499: @2072179
     /* 2072179 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2072270), // Rule ID 15975 //
     /* 2072184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2072195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2072198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2072201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2072204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072230 */     // MIs[0] round
     /* 2072230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072233 */     // MIs[0] policy
     /* 2072233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072269 */     // GIR_Coverage, 15975,
     /* 2072269 */     GIR_EraseRootFromParent_Done,
     /* 2072270 */   // Label 27500: @2072270
     /* 2072270 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2072361), // Rule ID 15978 //
     /* 2072275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2072286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2072289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2072292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2072295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072321 */     // MIs[0] round
     /* 2072321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072324 */     // MIs[0] policy
     /* 2072324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072360 */     // GIR_Coverage, 15978,
     /* 2072360 */     GIR_EraseRootFromParent_Done,
     /* 2072361 */   // Label 27501: @2072361
     /* 2072361 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2072452), // Rule ID 15979 //
     /* 2072366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2072377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2072380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2072383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2072386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072412 */     // MIs[0] round
     /* 2072412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072415 */     // MIs[0] policy
     /* 2072415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072451 */     // GIR_Coverage, 15979,
     /* 2072451 */     GIR_EraseRootFromParent_Done,
     /* 2072452 */   // Label 27502: @2072452
     /* 2072452 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2072543), // Rule ID 15982 //
     /* 2072457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072503 */     // MIs[0] round
     /* 2072503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072506 */     // MIs[0] policy
     /* 2072506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072542 */     // GIR_Coverage, 15982,
     /* 2072542 */     GIR_EraseRootFromParent_Done,
     /* 2072543 */   // Label 27503: @2072543
     /* 2072543 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2072634), // Rule ID 15983 //
     /* 2072548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072594 */     // MIs[0] round
     /* 2072594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072597 */     // MIs[0] policy
     /* 2072597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072607 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072633 */     // GIR_Coverage, 15983,
     /* 2072633 */     GIR_EraseRootFromParent_Done,
     /* 2072634 */   // Label 27504: @2072634
     /* 2072634 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2072725), // Rule ID 15986 //
     /* 2072639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072685 */     // MIs[0] round
     /* 2072685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072688 */     // MIs[0] policy
     /* 2072688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072724 */     // GIR_Coverage, 15986,
     /* 2072724 */     GIR_EraseRootFromParent_Done,
     /* 2072725 */   // Label 27505: @2072725
     /* 2072725 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2072816), // Rule ID 15987 //
     /* 2072730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072776 */     // MIs[0] round
     /* 2072776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072779 */     // MIs[0] policy
     /* 2072779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072815 */     // GIR_Coverage, 15987,
     /* 2072815 */     GIR_EraseRootFromParent_Done,
     /* 2072816 */   // Label 27506: @2072816
     /* 2072816 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2072907), // Rule ID 15990 //
     /* 2072821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072867 */     // MIs[0] round
     /* 2072867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072870 */     // MIs[0] policy
     /* 2072870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072906 */     // GIR_Coverage, 15990,
     /* 2072906 */     GIR_EraseRootFromParent_Done,
     /* 2072907 */   // Label 27507: @2072907
     /* 2072907 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2072998), // Rule ID 15991 //
     /* 2072912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072958 */     // MIs[0] round
     /* 2072958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072961 */     // MIs[0] policy
     /* 2072961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072997 */     // GIR_Coverage, 15991,
     /* 2072997 */     GIR_EraseRootFromParent_Done,
     /* 2072998 */   // Label 27508: @2072998
     /* 2072998 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2073089), // Rule ID 15994 //
     /* 2073003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073049 */     // MIs[0] round
     /* 2073049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073052 */     // MIs[0] policy
     /* 2073052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073062 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2073065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073088 */     // GIR_Coverage, 15994,
     /* 2073088 */     GIR_EraseRootFromParent_Done,
     /* 2073089 */   // Label 27509: @2073089
     /* 2073089 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2073180), // Rule ID 15995 //
     /* 2073094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073140 */     // MIs[0] round
     /* 2073140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073143 */     // MIs[0] policy
     /* 2073143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2073156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073179 */     // GIR_Coverage, 15995,
     /* 2073179 */     GIR_EraseRootFromParent_Done,
     /* 2073180 */   // Label 27510: @2073180
     /* 2073180 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2073271), // Rule ID 15998 //
     /* 2073185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2073202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2073205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073231 */     // MIs[0] round
     /* 2073231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073234 */     // MIs[0] policy
     /* 2073234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073270 */     // GIR_Coverage, 15998,
     /* 2073270 */     GIR_EraseRootFromParent_Done,
     /* 2073271 */   // Label 27511: @2073271
     /* 2073271 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2073362), // Rule ID 15999 //
     /* 2073276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2073293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2073296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073322 */     // MIs[0] round
     /* 2073322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073325 */     // MIs[0] policy
     /* 2073325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073335 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073361 */     // GIR_Coverage, 15999,
     /* 2073361 */     GIR_EraseRootFromParent_Done,
     /* 2073362 */   // Label 27512: @2073362
     /* 2073362 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2073453), // Rule ID 16002 //
     /* 2073367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073413 */     // MIs[0] round
     /* 2073413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073416 */     // MIs[0] policy
     /* 2073416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073426 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073452 */     // GIR_Coverage, 16002,
     /* 2073452 */     GIR_EraseRootFromParent_Done,
     /* 2073453 */   // Label 27513: @2073453
     /* 2073453 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2073544), // Rule ID 16003 //
     /* 2073458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073504 */     // MIs[0] round
     /* 2073504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073507 */     // MIs[0] policy
     /* 2073507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073517 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073543 */     // GIR_Coverage, 16003,
     /* 2073543 */     GIR_EraseRootFromParent_Done,
     /* 2073544 */   // Label 27514: @2073544
     /* 2073544 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2073635), // Rule ID 16006 //
     /* 2073549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073595 */     // MIs[0] round
     /* 2073595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073598 */     // MIs[0] policy
     /* 2073598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073608 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073634 */     // GIR_Coverage, 16006,
     /* 2073634 */     GIR_EraseRootFromParent_Done,
     /* 2073635 */   // Label 27515: @2073635
     /* 2073635 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2073726), // Rule ID 16007 //
     /* 2073640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073686 */     // MIs[0] round
     /* 2073686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073689 */     // MIs[0] policy
     /* 2073689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073699 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073725 */     // GIR_Coverage, 16007,
     /* 2073725 */     GIR_EraseRootFromParent_Done,
     /* 2073726 */   // Label 27516: @2073726
     /* 2073726 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2073817), // Rule ID 16010 //
     /* 2073731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073777 */     // MIs[0] round
     /* 2073777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073780 */     // MIs[0] policy
     /* 2073780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073816 */     // GIR_Coverage, 16010,
     /* 2073816 */     GIR_EraseRootFromParent_Done,
     /* 2073817 */   // Label 27517: @2073817
     /* 2073817 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2073908), // Rule ID 16011 //
     /* 2073822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073868 */     // MIs[0] round
     /* 2073868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073871 */     // MIs[0] policy
     /* 2073871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073881 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073907 */     // GIR_Coverage, 16011,
     /* 2073907 */     GIR_EraseRootFromParent_Done,
     /* 2073908 */   // Label 27518: @2073908
     /* 2073908 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2073999), // Rule ID 16014 //
     /* 2073913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073959 */     // MIs[0] round
     /* 2073959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073962 */     // MIs[0] policy
     /* 2073962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073998 */     // GIR_Coverage, 16014,
     /* 2073998 */     GIR_EraseRootFromParent_Done,
     /* 2073999 */   // Label 27519: @2073999
     /* 2073999 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2074090), // Rule ID 16015 //
     /* 2074004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2074015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2074018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2074021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2074024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074050 */     // MIs[0] round
     /* 2074050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074053 */     // MIs[0] policy
     /* 2074053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074063 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074089 */     // GIR_Coverage, 16015,
     /* 2074089 */     GIR_EraseRootFromParent_Done,
     /* 2074090 */   // Label 27520: @2074090
     /* 2074090 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2074181), // Rule ID 16018 //
     /* 2074095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2074106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2074109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2074112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2074115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2074118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074141 */     // MIs[0] round
     /* 2074141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074144 */     // MIs[0] policy
     /* 2074144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074154 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074180 */     // GIR_Coverage, 16018,
     /* 2074180 */     GIR_EraseRootFromParent_Done,
     /* 2074181 */   // Label 27521: @2074181
     /* 2074181 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2074272), // Rule ID 16019 //
     /* 2074186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2074197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2074200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2074203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2074206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2074209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074232 */     // MIs[0] round
     /* 2074232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074235 */     // MIs[0] policy
     /* 2074235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074245 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074271 */     // GIR_Coverage, 16019,
     /* 2074271 */     GIR_EraseRootFromParent_Done,
     /* 2074272 */   // Label 27522: @2074272
     /* 2074272 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2074363), // Rule ID 16022 //
     /* 2074277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2074288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2074291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2074297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074323 */     // MIs[0] round
     /* 2074323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074326 */     // MIs[0] policy
     /* 2074326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074362 */     // GIR_Coverage, 16022,
     /* 2074362 */     GIR_EraseRootFromParent_Done,
     /* 2074363 */   // Label 27523: @2074363
     /* 2074363 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2074454), // Rule ID 16023 //
     /* 2074368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2074379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2074382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2074388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074414 */     // MIs[0] round
     /* 2074414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074417 */     // MIs[0] policy
     /* 2074417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074453 */     // GIR_Coverage, 16023,
     /* 2074453 */     GIR_EraseRootFromParent_Done,
     /* 2074454 */   // Label 27524: @2074454
     /* 2074454 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2074545), // Rule ID 16026 //
     /* 2074459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074505 */     // MIs[0] round
     /* 2074505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074508 */     // MIs[0] policy
     /* 2074508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074544 */     // GIR_Coverage, 16026,
     /* 2074544 */     GIR_EraseRootFromParent_Done,
     /* 2074545 */   // Label 27525: @2074545
     /* 2074545 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2074636), // Rule ID 16027 //
     /* 2074550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074596 */     // MIs[0] round
     /* 2074596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074599 */     // MIs[0] policy
     /* 2074599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074635 */     // GIR_Coverage, 16027,
     /* 2074635 */     GIR_EraseRootFromParent_Done,
     /* 2074636 */   // Label 27526: @2074636
     /* 2074636 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2074727), // Rule ID 16030 //
     /* 2074641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074687 */     // MIs[0] round
     /* 2074687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074690 */     // MIs[0] policy
     /* 2074690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074726 */     // GIR_Coverage, 16030,
     /* 2074726 */     GIR_EraseRootFromParent_Done,
     /* 2074727 */   // Label 27527: @2074727
     /* 2074727 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2074818), // Rule ID 16031 //
     /* 2074732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074778 */     // MIs[0] round
     /* 2074778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074781 */     // MIs[0] policy
     /* 2074781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074817 */     // GIR_Coverage, 16031,
     /* 2074817 */     GIR_EraseRootFromParent_Done,
     /* 2074818 */   // Label 27528: @2074818
     /* 2074818 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2074909), // Rule ID 16034 //
     /* 2074823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074869 */     // MIs[0] round
     /* 2074869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074872 */     // MIs[0] policy
     /* 2074872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074908 */     // GIR_Coverage, 16034,
     /* 2074908 */     GIR_EraseRootFromParent_Done,
     /* 2074909 */   // Label 27529: @2074909
     /* 2074909 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2075000), // Rule ID 16035 //
     /* 2074914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074960 */     // MIs[0] round
     /* 2074960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074963 */     // MIs[0] policy
     /* 2074963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074999 */     // GIR_Coverage, 16035,
     /* 2074999 */     GIR_EraseRootFromParent_Done,
     /* 2075000 */   // Label 27530: @2075000
     /* 2075000 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2075091), // Rule ID 16038 //
     /* 2075005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2075016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2075019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2075025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075051 */     // MIs[0] round
     /* 2075051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075054 */     // MIs[0] policy
     /* 2075054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2075067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075090 */     // GIR_Coverage, 16038,
     /* 2075090 */     GIR_EraseRootFromParent_Done,
     /* 2075091 */   // Label 27531: @2075091
     /* 2075091 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2075182), // Rule ID 16039 //
     /* 2075096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2075107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2075110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2075116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075142 */     // MIs[0] round
     /* 2075142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075145 */     // MIs[0] policy
     /* 2075145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2075158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075181 */     // GIR_Coverage, 16039,
     /* 2075181 */     GIR_EraseRootFromParent_Done,
     /* 2075182 */   // Label 27532: @2075182
     /* 2075182 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2075273), // Rule ID 16042 //
     /* 2075187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2075198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2075201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2075207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075233 */     // MIs[0] round
     /* 2075233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075236 */     // MIs[0] policy
     /* 2075236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2075249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075272 */     // GIR_Coverage, 16042,
     /* 2075272 */     GIR_EraseRootFromParent_Done,
     /* 2075273 */   // Label 27533: @2075273
     /* 2075273 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2075364), // Rule ID 16043 //
     /* 2075278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2075289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2075292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2075298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075324 */     // MIs[0] round
     /* 2075324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075327 */     // MIs[0] policy
     /* 2075327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075337 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2075340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075363 */     // GIR_Coverage, 16043,
     /* 2075363 */     GIR_EraseRootFromParent_Done,
     /* 2075364 */   // Label 27534: @2075364
     /* 2075364 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2075455), // Rule ID 16046 //
     /* 2075369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075415 */     // MIs[0] round
     /* 2075415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075418 */     // MIs[0] policy
     /* 2075418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2075431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075454 */     // GIR_Coverage, 16046,
     /* 2075454 */     GIR_EraseRootFromParent_Done,
     /* 2075455 */   // Label 27535: @2075455
     /* 2075455 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2075546), // Rule ID 16047 //
     /* 2075460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075506 */     // MIs[0] round
     /* 2075506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075509 */     // MIs[0] policy
     /* 2075509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075519 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2075522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075545 */     // GIR_Coverage, 16047,
     /* 2075545 */     GIR_EraseRootFromParent_Done,
     /* 2075546 */   // Label 27536: @2075546
     /* 2075546 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2075637), // Rule ID 16050 //
     /* 2075551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075597 */     // MIs[0] round
     /* 2075597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075600 */     // MIs[0] policy
     /* 2075600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075610 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075636 */     // GIR_Coverage, 16050,
     /* 2075636 */     GIR_EraseRootFromParent_Done,
     /* 2075637 */   // Label 27537: @2075637
     /* 2075637 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2075728), // Rule ID 16051 //
     /* 2075642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075688 */     // MIs[0] round
     /* 2075688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075691 */     // MIs[0] policy
     /* 2075691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075727 */     // GIR_Coverage, 16051,
     /* 2075727 */     GIR_EraseRootFromParent_Done,
     /* 2075728 */   // Label 27538: @2075728
     /* 2075728 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2075819), // Rule ID 16054 //
     /* 2075733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075779 */     // MIs[0] round
     /* 2075779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075782 */     // MIs[0] policy
     /* 2075782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075818 */     // GIR_Coverage, 16054,
     /* 2075818 */     GIR_EraseRootFromParent_Done,
     /* 2075819 */   // Label 27539: @2075819
     /* 2075819 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2075910), // Rule ID 16055 //
     /* 2075824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075870 */     // MIs[0] round
     /* 2075870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075873 */     // MIs[0] policy
     /* 2075873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075909 */     // GIR_Coverage, 16055,
     /* 2075909 */     GIR_EraseRootFromParent_Done,
     /* 2075910 */   // Label 27540: @2075910
     /* 2075910 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2076001), // Rule ID 16058 //
     /* 2075915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075961 */     // MIs[0] round
     /* 2075961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075964 */     // MIs[0] policy
     /* 2075964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076000 */     // GIR_Coverage, 16058,
     /* 2076000 */     GIR_EraseRootFromParent_Done,
     /* 2076001 */   // Label 27541: @2076001
     /* 2076001 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2076092), // Rule ID 16059 //
     /* 2076006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2076017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2076020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2076023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076052 */     // MIs[0] round
     /* 2076052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076055 */     // MIs[0] policy
     /* 2076055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076065 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2076068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076091 */     // GIR_Coverage, 16059,
     /* 2076091 */     GIR_EraseRootFromParent_Done,
     /* 2076092 */   // Label 27542: @2076092
     /* 2076092 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2076183), // Rule ID 16062 //
     /* 2076097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2076108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2076111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076143 */     // MIs[0] round
     /* 2076143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076146 */     // MIs[0] policy
     /* 2076146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076182 */     // GIR_Coverage, 16062,
     /* 2076182 */     GIR_EraseRootFromParent_Done,
     /* 2076183 */   // Label 27543: @2076183
     /* 2076183 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2076274), // Rule ID 16063 //
     /* 2076188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2076199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2076202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076234 */     // MIs[0] round
     /* 2076234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076237 */     // MIs[0] policy
     /* 2076237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076273 */     // GIR_Coverage, 16063,
     /* 2076273 */     GIR_EraseRootFromParent_Done,
     /* 2076274 */   // Label 27544: @2076274
     /* 2076274 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2076365), // Rule ID 16066 //
     /* 2076279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2076290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2076293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076325 */     // MIs[0] round
     /* 2076325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076328 */     // MIs[0] policy
     /* 2076328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076364 */     // GIR_Coverage, 16066,
     /* 2076364 */     GIR_EraseRootFromParent_Done,
     /* 2076365 */   // Label 27545: @2076365
     /* 2076365 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2076456), // Rule ID 16067 //
     /* 2076370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2076381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2076384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076416 */     // MIs[0] round
     /* 2076416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076419 */     // MIs[0] policy
     /* 2076419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076455 */     // GIR_Coverage, 16067,
     /* 2076455 */     GIR_EraseRootFromParent_Done,
     /* 2076456 */   // Label 27546: @2076456
     /* 2076456 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2076547), // Rule ID 16070 //
     /* 2076461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076507 */     // MIs[0] round
     /* 2076507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076510 */     // MIs[0] policy
     /* 2076510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076546 */     // GIR_Coverage, 16070,
     /* 2076546 */     GIR_EraseRootFromParent_Done,
     /* 2076547 */   // Label 27547: @2076547
     /* 2076547 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2076638), // Rule ID 16071 //
     /* 2076552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076598 */     // MIs[0] round
     /* 2076598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076601 */     // MIs[0] policy
     /* 2076601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076637 */     // GIR_Coverage, 16071,
     /* 2076637 */     GIR_EraseRootFromParent_Done,
     /* 2076638 */   // Label 27548: @2076638
     /* 2076638 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2076729), // Rule ID 16074 //
     /* 2076643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076689 */     // MIs[0] round
     /* 2076689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076692 */     // MIs[0] policy
     /* 2076692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076728 */     // GIR_Coverage, 16074,
     /* 2076728 */     GIR_EraseRootFromParent_Done,
     /* 2076729 */   // Label 27549: @2076729
     /* 2076729 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2076820), // Rule ID 16075 //
     /* 2076734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076780 */     // MIs[0] round
     /* 2076780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076783 */     // MIs[0] policy
     /* 2076783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076819 */     // GIR_Coverage, 16075,
     /* 2076819 */     GIR_EraseRootFromParent_Done,
     /* 2076820 */   // Label 27550: @2076820
     /* 2076820 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2076911), // Rule ID 16078 //
     /* 2076825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076871 */     // MIs[0] round
     /* 2076871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076874 */     // MIs[0] policy
     /* 2076874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076910 */     // GIR_Coverage, 16078,
     /* 2076910 */     GIR_EraseRootFromParent_Done,
     /* 2076911 */   // Label 27551: @2076911
     /* 2076911 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2077002), // Rule ID 16079 //
     /* 2076916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076962 */     // MIs[0] round
     /* 2076962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076965 */     // MIs[0] policy
     /* 2076965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077001 */     // GIR_Coverage, 16079,
     /* 2077001 */     GIR_EraseRootFromParent_Done,
     /* 2077002 */   // Label 27552: @2077002
     /* 2077002 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2077093), // Rule ID 16082 //
     /* 2077007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077053 */     // MIs[0] round
     /* 2077053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077056 */     // MIs[0] policy
     /* 2077056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2077069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077092 */     // GIR_Coverage, 16082,
     /* 2077092 */     GIR_EraseRootFromParent_Done,
     /* 2077093 */   // Label 27553: @2077093
     /* 2077093 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2077184), // Rule ID 16083 //
     /* 2077098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077144 */     // MIs[0] round
     /* 2077144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077147 */     // MIs[0] policy
     /* 2077147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077157 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2077160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077183 */     // GIR_Coverage, 16083,
     /* 2077183 */     GIR_EraseRootFromParent_Done,
     /* 2077184 */   // Label 27554: @2077184
     /* 2077184 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2077275), // Rule ID 16086 //
     /* 2077189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2077200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2077203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2077206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077235 */     // MIs[0] round
     /* 2077235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077238 */     // MIs[0] policy
     /* 2077238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077274 */     // GIR_Coverage, 16086,
     /* 2077274 */     GIR_EraseRootFromParent_Done,
     /* 2077275 */   // Label 27555: @2077275
     /* 2077275 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2077366), // Rule ID 16087 //
     /* 2077280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2077291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2077294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2077297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077326 */     // MIs[0] round
     /* 2077326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077329 */     // MIs[0] policy
     /* 2077329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077339 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077365 */     // GIR_Coverage, 16087,
     /* 2077365 */     GIR_EraseRootFromParent_Done,
     /* 2077366 */   // Label 27556: @2077366
     /* 2077366 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2077457), // Rule ID 16090 //
     /* 2077371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077417 */     // MIs[0] round
     /* 2077417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077420 */     // MIs[0] policy
     /* 2077420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077430 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077456 */     // GIR_Coverage, 16090,
     /* 2077456 */     GIR_EraseRootFromParent_Done,
     /* 2077457 */   // Label 27557: @2077457
     /* 2077457 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2077548), // Rule ID 16091 //
     /* 2077462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077508 */     // MIs[0] round
     /* 2077508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077511 */     // MIs[0] policy
     /* 2077511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077547 */     // GIR_Coverage, 16091,
     /* 2077547 */     GIR_EraseRootFromParent_Done,
     /* 2077548 */   // Label 27558: @2077548
     /* 2077548 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2077639), // Rule ID 16094 //
     /* 2077553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077599 */     // MIs[0] round
     /* 2077599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077602 */     // MIs[0] policy
     /* 2077602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077638 */     // GIR_Coverage, 16094,
     /* 2077638 */     GIR_EraseRootFromParent_Done,
     /* 2077639 */   // Label 27559: @2077639
     /* 2077639 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2077730), // Rule ID 16095 //
     /* 2077644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077690 */     // MIs[0] round
     /* 2077690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077693 */     // MIs[0] policy
     /* 2077693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077729 */     // GIR_Coverage, 16095,
     /* 2077729 */     GIR_EraseRootFromParent_Done,
     /* 2077730 */   // Label 27560: @2077730
     /* 2077730 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2077821), // Rule ID 16098 //
     /* 2077735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077781 */     // MIs[0] round
     /* 2077781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077784 */     // MIs[0] policy
     /* 2077784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077820 */     // GIR_Coverage, 16098,
     /* 2077820 */     GIR_EraseRootFromParent_Done,
     /* 2077821 */   // Label 27561: @2077821
     /* 2077821 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2077912), // Rule ID 16099 //
     /* 2077826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077872 */     // MIs[0] round
     /* 2077872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077875 */     // MIs[0] policy
     /* 2077875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077911 */     // GIR_Coverage, 16099,
     /* 2077911 */     GIR_EraseRootFromParent_Done,
     /* 2077912 */   // Label 27562: @2077912
     /* 2077912 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2078003), // Rule ID 16102 //
     /* 2077917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077963 */     // MIs[0] round
     /* 2077963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077966 */     // MIs[0] policy
     /* 2077966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078002 */     // GIR_Coverage, 16102,
     /* 2078002 */     GIR_EraseRootFromParent_Done,
     /* 2078003 */   // Label 27563: @2078003
     /* 2078003 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2078094), // Rule ID 16103 //
     /* 2078008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2078019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2078022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078054 */     // MIs[0] round
     /* 2078054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078057 */     // MIs[0] policy
     /* 2078057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078093 */     // GIR_Coverage, 16103,
     /* 2078093 */     GIR_EraseRootFromParent_Done,
     /* 2078094 */   // Label 27564: @2078094
     /* 2078094 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2078185), // Rule ID 16106 //
     /* 2078099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078145 */     // MIs[0] round
     /* 2078145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078148 */     // MIs[0] policy
     /* 2078148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078184 */     // GIR_Coverage, 16106,
     /* 2078184 */     GIR_EraseRootFromParent_Done,
     /* 2078185 */   // Label 27565: @2078185
     /* 2078185 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2078276), // Rule ID 16107 //
     /* 2078190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078236 */     // MIs[0] round
     /* 2078236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078239 */     // MIs[0] policy
     /* 2078239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078275 */     // GIR_Coverage, 16107,
     /* 2078275 */     GIR_EraseRootFromParent_Done,
     /* 2078276 */   // Label 27566: @2078276
     /* 2078276 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2078367), // Rule ID 16110 //
     /* 2078281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078327 */     // MIs[0] round
     /* 2078327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078330 */     // MIs[0] policy
     /* 2078330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078366 */     // GIR_Coverage, 16110,
     /* 2078366 */     GIR_EraseRootFromParent_Done,
     /* 2078367 */   // Label 27567: @2078367
     /* 2078367 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2078458), // Rule ID 16111 //
     /* 2078372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078418 */     // MIs[0] round
     /* 2078418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078421 */     // MIs[0] policy
     /* 2078421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078457 */     // GIR_Coverage, 16111,
     /* 2078457 */     GIR_EraseRootFromParent_Done,
     /* 2078458 */   // Label 27568: @2078458
     /* 2078458 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2078549), // Rule ID 16114 //
     /* 2078463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078509 */     // MIs[0] round
     /* 2078509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078512 */     // MIs[0] policy
     /* 2078512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078548 */     // GIR_Coverage, 16114,
     /* 2078548 */     GIR_EraseRootFromParent_Done,
     /* 2078549 */   // Label 27569: @2078549
     /* 2078549 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2078640), // Rule ID 16115 //
     /* 2078554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078600 */     // MIs[0] round
     /* 2078600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078603 */     // MIs[0] policy
     /* 2078603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078639 */     // GIR_Coverage, 16115,
     /* 2078639 */     GIR_EraseRootFromParent_Done,
     /* 2078640 */   // Label 27570: @2078640
     /* 2078640 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2078731), // Rule ID 16118 //
     /* 2078645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078691 */     // MIs[0] round
     /* 2078691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078694 */     // MIs[0] policy
     /* 2078694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078730 */     // GIR_Coverage, 16118,
     /* 2078730 */     GIR_EraseRootFromParent_Done,
     /* 2078731 */   // Label 27571: @2078731
     /* 2078731 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2078822), // Rule ID 16119 //
     /* 2078736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078782 */     // MIs[0] round
     /* 2078782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078785 */     // MIs[0] policy
     /* 2078785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078821 */     // GIR_Coverage, 16119,
     /* 2078821 */     GIR_EraseRootFromParent_Done,
     /* 2078822 */   // Label 27572: @2078822
     /* 2078822 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2078913), // Rule ID 16122 //
     /* 2078827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078873 */     // MIs[0] round
     /* 2078873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078876 */     // MIs[0] policy
     /* 2078876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078912 */     // GIR_Coverage, 16122,
     /* 2078912 */     GIR_EraseRootFromParent_Done,
     /* 2078913 */   // Label 27573: @2078913
     /* 2078913 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2079004), // Rule ID 16123 //
     /* 2078918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078964 */     // MIs[0] round
     /* 2078964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078967 */     // MIs[0] policy
     /* 2078967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079003 */     // GIR_Coverage, 16123,
     /* 2079003 */     GIR_EraseRootFromParent_Done,
     /* 2079004 */   // Label 27574: @2079004
     /* 2079004 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2079095), // Rule ID 16126 //
     /* 2079009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2079012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2079026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079055 */     // MIs[0] round
     /* 2079055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079058 */     // MIs[0] policy
     /* 2079058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2079071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079094 */     // GIR_Coverage, 16126,
     /* 2079094 */     GIR_EraseRootFromParent_Done,
     /* 2079095 */   // Label 27575: @2079095
     /* 2079095 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2079186), // Rule ID 16127 //
     /* 2079100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2079117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079146 */     // MIs[0] round
     /* 2079146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079149 */     // MIs[0] policy
     /* 2079149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2079162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079185 */     // GIR_Coverage, 16127,
     /* 2079185 */     GIR_EraseRootFromParent_Done,
     /* 2079186 */   // Label 27576: @2079186
     /* 2079186 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2079277), // Rule ID 16130 //
     /* 2079191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2079194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2079208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079237 */     // MIs[0] round
     /* 2079237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079240 */     // MIs[0] policy
     /* 2079240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2079253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079276 */     // GIR_Coverage, 16130,
     /* 2079276 */     GIR_EraseRootFromParent_Done,
     /* 2079277 */   // Label 27577: @2079277
     /* 2079277 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2079368), // Rule ID 16131 //
     /* 2079282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2079299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079328 */     // MIs[0] round
     /* 2079328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079331 */     // MIs[0] policy
     /* 2079331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079341 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2079344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079367 */     // GIR_Coverage, 16131,
     /* 2079367 */     GIR_EraseRootFromParent_Done,
     /* 2079368 */   // Label 27578: @2079368
     /* 2079368 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2079462), // Rule ID 16222 //
     /* 2079373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079419 */     // MIs[0] round
     /* 2079419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079422 */     // MIs[0] policy
     /* 2079422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079432 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2079435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079461 */     // GIR_Coverage, 16222,
     /* 2079461 */     GIR_EraseRootFromParent_Done,
     /* 2079462 */   // Label 27579: @2079462
     /* 2079462 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2079556), // Rule ID 16223 //
     /* 2079467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079513 */     // MIs[0] round
     /* 2079513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079516 */     // MIs[0] policy
     /* 2079516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079526 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2079529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079555 */     // GIR_Coverage, 16223,
     /* 2079555 */     GIR_EraseRootFromParent_Done,
     /* 2079556 */   // Label 27580: @2079556
     /* 2079556 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2079650), // Rule ID 16226 //
     /* 2079561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079607 */     // MIs[0] round
     /* 2079607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079610 */     // MIs[0] policy
     /* 2079610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079620 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079649 */     // GIR_Coverage, 16226,
     /* 2079649 */     GIR_EraseRootFromParent_Done,
     /* 2079650 */   // Label 27581: @2079650
     /* 2079650 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2079744), // Rule ID 16227 //
     /* 2079655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079701 */     // MIs[0] round
     /* 2079701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079704 */     // MIs[0] policy
     /* 2079704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079743 */     // GIR_Coverage, 16227,
     /* 2079743 */     GIR_EraseRootFromParent_Done,
     /* 2079744 */   // Label 27582: @2079744
     /* 2079744 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2079838), // Rule ID 16230 //
     /* 2079749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079795 */     // MIs[0] round
     /* 2079795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079798 */     // MIs[0] policy
     /* 2079798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079837 */     // GIR_Coverage, 16230,
     /* 2079837 */     GIR_EraseRootFromParent_Done,
     /* 2079838 */   // Label 27583: @2079838
     /* 2079838 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2079932), // Rule ID 16231 //
     /* 2079843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079889 */     // MIs[0] round
     /* 2079889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079892 */     // MIs[0] policy
     /* 2079892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079931 */     // GIR_Coverage, 16231,
     /* 2079931 */     GIR_EraseRootFromParent_Done,
     /* 2079932 */   // Label 27584: @2079932
     /* 2079932 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2080026), // Rule ID 16234 //
     /* 2079937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079983 */     // MIs[0] round
     /* 2079983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079986 */     // MIs[0] policy
     /* 2079986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080025 */     // GIR_Coverage, 16234,
     /* 2080025 */     GIR_EraseRootFromParent_Done,
     /* 2080026 */   // Label 27585: @2080026
     /* 2080026 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2080120), // Rule ID 16235 //
     /* 2080031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2080042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2080045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2080051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080077 */     // MIs[0] round
     /* 2080077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080080 */     // MIs[0] policy
     /* 2080080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080119 */     // GIR_Coverage, 16235,
     /* 2080119 */     GIR_EraseRootFromParent_Done,
     /* 2080120 */   // Label 27586: @2080120
     /* 2080120 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2080214), // Rule ID 16238 //
     /* 2080125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2080145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080171 */     // MIs[0] round
     /* 2080171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080174 */     // MIs[0] policy
     /* 2080174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080213 */     // GIR_Coverage, 16238,
     /* 2080213 */     GIR_EraseRootFromParent_Done,
     /* 2080214 */   // Label 27587: @2080214
     /* 2080214 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2080308), // Rule ID 16239 //
     /* 2080219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2080239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080265 */     // MIs[0] round
     /* 2080265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080268 */     // MIs[0] policy
     /* 2080268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080307 */     // GIR_Coverage, 16239,
     /* 2080307 */     GIR_EraseRootFromParent_Done,
     /* 2080308 */   // Label 27588: @2080308
     /* 2080308 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2080402), // Rule ID 16242 //
     /* 2080313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2080333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080359 */     // MIs[0] round
     /* 2080359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080362 */     // MIs[0] policy
     /* 2080362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080401 */     // GIR_Coverage, 16242,
     /* 2080401 */     GIR_EraseRootFromParent_Done,
     /* 2080402 */   // Label 27589: @2080402
     /* 2080402 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2080496), // Rule ID 16243 //
     /* 2080407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2080427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080453 */     // MIs[0] round
     /* 2080453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080456 */     // MIs[0] policy
     /* 2080456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080495 */     // GIR_Coverage, 16243,
     /* 2080495 */     GIR_EraseRootFromParent_Done,
     /* 2080496 */   // Label 27590: @2080496
     /* 2080496 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2080590), // Rule ID 16246 //
     /* 2080501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080547 */     // MIs[0] round
     /* 2080547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080550 */     // MIs[0] policy
     /* 2080550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080589 */     // GIR_Coverage, 16246,
     /* 2080589 */     GIR_EraseRootFromParent_Done,
     /* 2080590 */   // Label 27591: @2080590
     /* 2080590 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2080684), // Rule ID 16247 //
     /* 2080595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080641 */     // MIs[0] round
     /* 2080641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080644 */     // MIs[0] policy
     /* 2080644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080654 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080683 */     // GIR_Coverage, 16247,
     /* 2080683 */     GIR_EraseRootFromParent_Done,
     /* 2080684 */   // Label 27592: @2080684
     /* 2080684 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2080778), // Rule ID 16250 //
     /* 2080689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080735 */     // MIs[0] round
     /* 2080735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080738 */     // MIs[0] policy
     /* 2080738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080777 */     // GIR_Coverage, 16250,
     /* 2080777 */     GIR_EraseRootFromParent_Done,
     /* 2080778 */   // Label 27593: @2080778
     /* 2080778 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2080872), // Rule ID 16251 //
     /* 2080783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080829 */     // MIs[0] round
     /* 2080829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080832 */     // MIs[0] policy
     /* 2080832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080842 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080871 */     // GIR_Coverage, 16251,
     /* 2080871 */     GIR_EraseRootFromParent_Done,
     /* 2080872 */   // Label 27594: @2080872
     /* 2080872 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2080966), // Rule ID 16254 //
     /* 2080877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080923 */     // MIs[0] round
     /* 2080923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080926 */     // MIs[0] policy
     /* 2080926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080965 */     // GIR_Coverage, 16254,
     /* 2080965 */     GIR_EraseRootFromParent_Done,
     /* 2080966 */   // Label 27595: @2080966
     /* 2080966 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2081060), // Rule ID 16255 //
     /* 2080971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081017 */     // MIs[0] round
     /* 2081017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081020 */     // MIs[0] policy
     /* 2081020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081059 */     // GIR_Coverage, 16255,
     /* 2081059 */     GIR_EraseRootFromParent_Done,
     /* 2081060 */   // Label 27596: @2081060
     /* 2081060 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2081154), // Rule ID 16258 //
     /* 2081065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081111 */     // MIs[0] round
     /* 2081111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081114 */     // MIs[0] policy
     /* 2081114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081153 */     // GIR_Coverage, 16258,
     /* 2081153 */     GIR_EraseRootFromParent_Done,
     /* 2081154 */   // Label 27597: @2081154
     /* 2081154 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2081248), // Rule ID 16259 //
     /* 2081159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081205 */     // MIs[0] round
     /* 2081205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081208 */     // MIs[0] policy
     /* 2081208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081247 */     // GIR_Coverage, 16259,
     /* 2081247 */     GIR_EraseRootFromParent_Done,
     /* 2081248 */   // Label 27598: @2081248
     /* 2081248 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2081342), // Rule ID 16262 //
     /* 2081253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2081270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2081273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081299 */     // MIs[0] round
     /* 2081299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081302 */     // MIs[0] policy
     /* 2081302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081341 */     // GIR_Coverage, 16262,
     /* 2081341 */     GIR_EraseRootFromParent_Done,
     /* 2081342 */   // Label 27599: @2081342
     /* 2081342 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2081436), // Rule ID 16263 //
     /* 2081347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2081364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2081367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081393 */     // MIs[0] round
     /* 2081393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081396 */     // MIs[0] policy
     /* 2081396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081435 */     // GIR_Coverage, 16263,
     /* 2081435 */     GIR_EraseRootFromParent_Done,
     /* 2081436 */   // Label 27600: @2081436
     /* 2081436 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2081530), // Rule ID 16266 //
     /* 2081441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081487 */     // MIs[0] round
     /* 2081487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081490 */     // MIs[0] policy
     /* 2081490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081500 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081529 */     // GIR_Coverage, 16266,
     /* 2081529 */     GIR_EraseRootFromParent_Done,
     /* 2081530 */   // Label 27601: @2081530
     /* 2081530 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2081624), // Rule ID 16267 //
     /* 2081535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081581 */     // MIs[0] round
     /* 2081581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081584 */     // MIs[0] policy
     /* 2081584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081623 */     // GIR_Coverage, 16267,
     /* 2081623 */     GIR_EraseRootFromParent_Done,
     /* 2081624 */   // Label 27602: @2081624
     /* 2081624 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2081718), // Rule ID 16270 //
     /* 2081629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081675 */     // MIs[0] round
     /* 2081675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081678 */     // MIs[0] policy
     /* 2081678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081717 */     // GIR_Coverage, 16270,
     /* 2081717 */     GIR_EraseRootFromParent_Done,
     /* 2081718 */   // Label 27603: @2081718
     /* 2081718 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2081812), // Rule ID 16271 //
     /* 2081723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081769 */     // MIs[0] round
     /* 2081769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081772 */     // MIs[0] policy
     /* 2081772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081811 */     // GIR_Coverage, 16271,
     /* 2081811 */     GIR_EraseRootFromParent_Done,
     /* 2081812 */   // Label 27604: @2081812
     /* 2081812 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2081906), // Rule ID 16274 //
     /* 2081817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081863 */     // MIs[0] round
     /* 2081863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081866 */     // MIs[0] policy
     /* 2081866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081905 */     // GIR_Coverage, 16274,
     /* 2081905 */     GIR_EraseRootFromParent_Done,
     /* 2081906 */   // Label 27605: @2081906
     /* 2081906 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2082000), // Rule ID 16275 //
     /* 2081911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081957 */     // MIs[0] round
     /* 2081957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081960 */     // MIs[0] policy
     /* 2081960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081999 */     // GIR_Coverage, 16275,
     /* 2081999 */     GIR_EraseRootFromParent_Done,
     /* 2082000 */   // Label 27606: @2082000
     /* 2082000 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2082094), // Rule ID 16278 //
     /* 2082005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2082008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082051 */     // MIs[0] round
     /* 2082051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082054 */     // MIs[0] policy
     /* 2082054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2082067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082093 */     // GIR_Coverage, 16278,
     /* 2082093 */     GIR_EraseRootFromParent_Done,
     /* 2082094 */   // Label 27607: @2082094
     /* 2082094 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2082188), // Rule ID 16279 //
     /* 2082099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2082102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082145 */     // MIs[0] round
     /* 2082145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082148 */     // MIs[0] policy
     /* 2082148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2082161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082187 */     // GIR_Coverage, 16279,
     /* 2082187 */     GIR_EraseRootFromParent_Done,
     /* 2082188 */   // Label 27608: @2082188
     /* 2082188 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2082282), // Rule ID 16282 //
     /* 2082193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2082204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2082207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082239 */     // MIs[0] round
     /* 2082239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082242 */     // MIs[0] policy
     /* 2082242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2082255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082281 */     // GIR_Coverage, 16282,
     /* 2082281 */     GIR_EraseRootFromParent_Done,
     /* 2082282 */   // Label 27609: @2082282
     /* 2082282 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2082376), // Rule ID 16283 //
     /* 2082287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2082298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2082301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082333 */     // MIs[0] round
     /* 2082333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082336 */     // MIs[0] policy
     /* 2082336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082346 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2082349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082375 */     // GIR_Coverage, 16283,
     /* 2082375 */     GIR_EraseRootFromParent_Done,
     /* 2082376 */   // Label 27610: @2082376
     /* 2082376 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2082470), // Rule ID 16286 //
     /* 2082381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082427 */     // MIs[0] round
     /* 2082427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082430 */     // MIs[0] policy
     /* 2082430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082440 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082469 */     // GIR_Coverage, 16286,
     /* 2082469 */     GIR_EraseRootFromParent_Done,
     /* 2082470 */   // Label 27611: @2082470
     /* 2082470 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2082564), // Rule ID 16287 //
     /* 2082475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082521 */     // MIs[0] round
     /* 2082521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082524 */     // MIs[0] policy
     /* 2082524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082534 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082563 */     // GIR_Coverage, 16287,
     /* 2082563 */     GIR_EraseRootFromParent_Done,
     /* 2082564 */   // Label 27612: @2082564
     /* 2082564 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2082658), // Rule ID 16290 //
     /* 2082569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082615 */     // MIs[0] round
     /* 2082615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082618 */     // MIs[0] policy
     /* 2082618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082657 */     // GIR_Coverage, 16290,
     /* 2082657 */     GIR_EraseRootFromParent_Done,
     /* 2082658 */   // Label 27613: @2082658
     /* 2082658 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2082752), // Rule ID 16291 //
     /* 2082663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082709 */     // MIs[0] round
     /* 2082709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082712 */     // MIs[0] policy
     /* 2082712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082722 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082751 */     // GIR_Coverage, 16291,
     /* 2082751 */     GIR_EraseRootFromParent_Done,
     /* 2082752 */   // Label 27614: @2082752
     /* 2082752 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2082846), // Rule ID 16294 //
     /* 2082757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082803 */     // MIs[0] round
     /* 2082803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082806 */     // MIs[0] policy
     /* 2082806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082845 */     // GIR_Coverage, 16294,
     /* 2082845 */     GIR_EraseRootFromParent_Done,
     /* 2082846 */   // Label 27615: @2082846
     /* 2082846 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2082940), // Rule ID 16295 //
     /* 2082851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082897 */     // MIs[0] round
     /* 2082897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082900 */     // MIs[0] policy
     /* 2082900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082910 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082939 */     // GIR_Coverage, 16295,
     /* 2082939 */     GIR_EraseRootFromParent_Done,
     /* 2082940 */   // Label 27616: @2082940
     /* 2082940 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2083034), // Rule ID 16298 //
     /* 2082945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082991 */     // MIs[0] round
     /* 2082991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082994 */     // MIs[0] policy
     /* 2082994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083033 */     // GIR_Coverage, 16298,
     /* 2083033 */     GIR_EraseRootFromParent_Done,
     /* 2083034 */   // Label 27617: @2083034
     /* 2083034 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2083128), // Rule ID 16299 //
     /* 2083039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2083050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2083053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2083056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083085 */     // MIs[0] round
     /* 2083085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083088 */     // MIs[0] policy
     /* 2083088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083127 */     // GIR_Coverage, 16299,
     /* 2083127 */     GIR_EraseRootFromParent_Done,
     /* 2083128 */   // Label 27618: @2083128
     /* 2083128 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2083222), // Rule ID 16302 //
     /* 2083133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2083144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2083147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2083150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2083156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083179 */     // MIs[0] round
     /* 2083179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083182 */     // MIs[0] policy
     /* 2083182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083221 */     // GIR_Coverage, 16302,
     /* 2083221 */     GIR_EraseRootFromParent_Done,
     /* 2083222 */   // Label 27619: @2083222
     /* 2083222 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2083316), // Rule ID 16303 //
     /* 2083227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2083238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2083241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2083244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2083250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083273 */     // MIs[0] round
     /* 2083273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083276 */     // MIs[0] policy
     /* 2083276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083315 */     // GIR_Coverage, 16303,
     /* 2083315 */     GIR_EraseRootFromParent_Done,
     /* 2083316 */   // Label 27620: @2083316
     /* 2083316 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2083410), // Rule ID 16306 //
     /* 2083321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083367 */     // MIs[0] round
     /* 2083367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083370 */     // MIs[0] policy
     /* 2083370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2083383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083409 */     // GIR_Coverage, 16306,
     /* 2083409 */     GIR_EraseRootFromParent_Done,
     /* 2083410 */   // Label 27621: @2083410
     /* 2083410 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2083504), // Rule ID 16307 //
     /* 2083415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083461 */     // MIs[0] round
     /* 2083461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083464 */     // MIs[0] policy
     /* 2083464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2083477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083503 */     // GIR_Coverage, 16307,
     /* 2083503 */     GIR_EraseRootFromParent_Done,
     /* 2083504 */   // Label 27622: @2083504
     /* 2083504 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2083598), // Rule ID 16310 //
     /* 2083509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083555 */     // MIs[0] round
     /* 2083555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083558 */     // MIs[0] policy
     /* 2083558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083597 */     // GIR_Coverage, 16310,
     /* 2083597 */     GIR_EraseRootFromParent_Done,
     /* 2083598 */   // Label 27623: @2083598
     /* 2083598 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2083692), // Rule ID 16311 //
     /* 2083603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083649 */     // MIs[0] round
     /* 2083649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083652 */     // MIs[0] policy
     /* 2083652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083691 */     // GIR_Coverage, 16311,
     /* 2083691 */     GIR_EraseRootFromParent_Done,
     /* 2083692 */   // Label 27624: @2083692
     /* 2083692 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2083786), // Rule ID 16314 //
     /* 2083697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083743 */     // MIs[0] round
     /* 2083743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083746 */     // MIs[0] policy
     /* 2083746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083785 */     // GIR_Coverage, 16314,
     /* 2083785 */     GIR_EraseRootFromParent_Done,
     /* 2083786 */   // Label 27625: @2083786
     /* 2083786 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2083880), // Rule ID 16315 //
     /* 2083791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083837 */     // MIs[0] round
     /* 2083837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083840 */     // MIs[0] policy
     /* 2083840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083879 */     // GIR_Coverage, 16315,
     /* 2083879 */     GIR_EraseRootFromParent_Done,
     /* 2083880 */   // Label 27626: @2083880
     /* 2083880 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2083974), // Rule ID 16318 //
     /* 2083885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083931 */     // MIs[0] round
     /* 2083931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083934 */     // MIs[0] policy
     /* 2083934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083973 */     // GIR_Coverage, 16318,
     /* 2083973 */     GIR_EraseRootFromParent_Done,
     /* 2083974 */   // Label 27627: @2083974
     /* 2083974 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2084068), // Rule ID 16319 //
     /* 2083979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084025 */     // MIs[0] round
     /* 2084025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084028 */     // MIs[0] policy
     /* 2084028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084038 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084067 */     // GIR_Coverage, 16319,
     /* 2084067 */     GIR_EraseRootFromParent_Done,
     /* 2084068 */   // Label 27628: @2084068
     /* 2084068 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2084162), // Rule ID 16322 //
     /* 2084073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2084084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2084087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2084090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084119 */     // MIs[0] round
     /* 2084119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084122 */     // MIs[0] policy
     /* 2084122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084161 */     // GIR_Coverage, 16322,
     /* 2084161 */     GIR_EraseRootFromParent_Done,
     /* 2084162 */   // Label 27629: @2084162
     /* 2084162 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2084256), // Rule ID 16323 //
     /* 2084167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2084178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2084181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2084184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084213 */     // MIs[0] round
     /* 2084213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084216 */     // MIs[0] policy
     /* 2084216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084255 */     // GIR_Coverage, 16323,
     /* 2084255 */     GIR_EraseRootFromParent_Done,
     /* 2084256 */   // Label 27630: @2084256
     /* 2084256 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2084350), // Rule ID 16326 //
     /* 2084261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084307 */     // MIs[0] round
     /* 2084307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084310 */     // MIs[0] policy
     /* 2084310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2084323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084349 */     // GIR_Coverage, 16326,
     /* 2084349 */     GIR_EraseRootFromParent_Done,
     /* 2084350 */   // Label 27631: @2084350
     /* 2084350 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2084444), // Rule ID 16327 //
     /* 2084355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084401 */     // MIs[0] round
     /* 2084401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084404 */     // MIs[0] policy
     /* 2084404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2084417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084443 */     // GIR_Coverage, 16327,
     /* 2084443 */     GIR_EraseRootFromParent_Done,
     /* 2084444 */   // Label 27632: @2084444
     /* 2084444 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2084538), // Rule ID 16330 //
     /* 2084449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084495 */     // MIs[0] round
     /* 2084495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084498 */     // MIs[0] policy
     /* 2084498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084537 */     // GIR_Coverage, 16330,
     /* 2084537 */     GIR_EraseRootFromParent_Done,
     /* 2084538 */   // Label 27633: @2084538
     /* 2084538 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2084632), // Rule ID 16331 //
     /* 2084543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084589 */     // MIs[0] round
     /* 2084589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084592 */     // MIs[0] policy
     /* 2084592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084631 */     // GIR_Coverage, 16331,
     /* 2084631 */     GIR_EraseRootFromParent_Done,
     /* 2084632 */   // Label 27634: @2084632
     /* 2084632 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2084726), // Rule ID 16334 //
     /* 2084637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084683 */     // MIs[0] round
     /* 2084683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084686 */     // MIs[0] policy
     /* 2084686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084725 */     // GIR_Coverage, 16334,
     /* 2084725 */     GIR_EraseRootFromParent_Done,
     /* 2084726 */   // Label 27635: @2084726
     /* 2084726 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2084820), // Rule ID 16335 //
     /* 2084731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084777 */     // MIs[0] round
     /* 2084777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084780 */     // MIs[0] policy
     /* 2084780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084819 */     // GIR_Coverage, 16335,
     /* 2084819 */     GIR_EraseRootFromParent_Done,
     /* 2084820 */   // Label 27636: @2084820
     /* 2084820 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2084914), // Rule ID 16338 //
     /* 2084825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084871 */     // MIs[0] round
     /* 2084871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084874 */     // MIs[0] policy
     /* 2084874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084913 */     // GIR_Coverage, 16338,
     /* 2084913 */     GIR_EraseRootFromParent_Done,
     /* 2084914 */   // Label 27637: @2084914
     /* 2084914 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2085008), // Rule ID 16339 //
     /* 2084919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084965 */     // MIs[0] round
     /* 2084965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084968 */     // MIs[0] policy
     /* 2084968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085007 */     // GIR_Coverage, 16339,
     /* 2085007 */     GIR_EraseRootFromParent_Done,
     /* 2085008 */   // Label 27638: @2085008
     /* 2085008 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2085102), // Rule ID 16402 //
     /* 2085013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2085024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2085027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2085030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2085033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085059 */     // MIs[0] round
     /* 2085059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085062 */     // MIs[0] policy
     /* 2085062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2085075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085101 */     // GIR_Coverage, 16402,
     /* 2085101 */     GIR_EraseRootFromParent_Done,
     /* 2085102 */   // Label 27639: @2085102
     /* 2085102 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2085196), // Rule ID 16403 //
     /* 2085107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2085118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2085121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2085124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2085127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085153 */     // MIs[0] round
     /* 2085153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085156 */     // MIs[0] policy
     /* 2085156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085166 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2085169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085195 */     // GIR_Coverage, 16403,
     /* 2085195 */     GIR_EraseRootFromParent_Done,
     /* 2085196 */   // Label 27640: @2085196
     /* 2085196 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2085290), // Rule ID 16406 //
     /* 2085201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2085212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2085215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2085218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2085221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085247 */     // MIs[0] round
     /* 2085247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085250 */     // MIs[0] policy
     /* 2085250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085260 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085289 */     // GIR_Coverage, 16406,
     /* 2085289 */     GIR_EraseRootFromParent_Done,
     /* 2085290 */   // Label 27641: @2085290
     /* 2085290 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2085384), // Rule ID 16407 //
     /* 2085295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2085306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2085309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2085312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2085315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085341 */     // MIs[0] round
     /* 2085341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085344 */     // MIs[0] policy
     /* 2085344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085354 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085383 */     // GIR_Coverage, 16407,
     /* 2085383 */     GIR_EraseRootFromParent_Done,
     /* 2085384 */   // Label 27642: @2085384
     /* 2085384 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2085478), // Rule ID 16410 //
     /* 2085389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2085400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2085403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2085406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2085409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085435 */     // MIs[0] round
     /* 2085435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085438 */     // MIs[0] policy
     /* 2085438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085448 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085477 */     // GIR_Coverage, 16410,
     /* 2085477 */     GIR_EraseRootFromParent_Done,
     /* 2085478 */   // Label 27643: @2085478
     /* 2085478 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2085572), // Rule ID 16411 //
     /* 2085483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2085494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2085497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2085500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2085503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085529 */     // MIs[0] round
     /* 2085529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085532 */     // MIs[0] policy
     /* 2085532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085542 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085571 */     // GIR_Coverage, 16411,
     /* 2085571 */     GIR_EraseRootFromParent_Done,
     /* 2085572 */   // Label 27644: @2085572
     /* 2085572 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2085666), // Rule ID 16414 //
     /* 2085577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085623 */     // MIs[0] round
     /* 2085623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085626 */     // MIs[0] policy
     /* 2085626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085665 */     // GIR_Coverage, 16414,
     /* 2085665 */     GIR_EraseRootFromParent_Done,
     /* 2085666 */   // Label 27645: @2085666
     /* 2085666 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2085760), // Rule ID 16415 //
     /* 2085671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085717 */     // MIs[0] round
     /* 2085717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085720 */     // MIs[0] policy
     /* 2085720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085759 */     // GIR_Coverage, 16415,
     /* 2085759 */     GIR_EraseRootFromParent_Done,
     /* 2085760 */   // Label 27646: @2085760
     /* 2085760 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2085854), // Rule ID 16418 //
     /* 2085765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085811 */     // MIs[0] round
     /* 2085811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085814 */     // MIs[0] policy
     /* 2085814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085824 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085853 */     // GIR_Coverage, 16418,
     /* 2085853 */     GIR_EraseRootFromParent_Done,
     /* 2085854 */   // Label 27647: @2085854
     /* 2085854 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2085948), // Rule ID 16419 //
     /* 2085859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085905 */     // MIs[0] round
     /* 2085905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085908 */     // MIs[0] policy
     /* 2085908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085918 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085947 */     // GIR_Coverage, 16419,
     /* 2085947 */     GIR_EraseRootFromParent_Done,
     /* 2085948 */   // Label 27648: @2085948
     /* 2085948 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2086042), // Rule ID 16422 //
     /* 2085953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2085964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2085967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2085973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085999 */     // MIs[0] round
     /* 2085999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086002 */     // MIs[0] policy
     /* 2086002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086041 */     // GIR_Coverage, 16422,
     /* 2086041 */     GIR_EraseRootFromParent_Done,
     /* 2086042 */   // Label 27649: @2086042
     /* 2086042 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2086136), // Rule ID 16423 //
     /* 2086047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2086058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2086061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2086064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2086067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2086070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086093 */     // MIs[0] round
     /* 2086093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086096 */     // MIs[0] policy
     /* 2086096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086135 */     // GIR_Coverage, 16423,
     /* 2086135 */     GIR_EraseRootFromParent_Done,
     /* 2086136 */   // Label 27650: @2086136
     /* 2086136 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2086230), // Rule ID 16426 //
     /* 2086141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2086152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2086155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2086158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086187 */     // MIs[0] round
     /* 2086187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086190 */     // MIs[0] policy
     /* 2086190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2086203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086229 */     // GIR_Coverage, 16426,
     /* 2086229 */     GIR_EraseRootFromParent_Done,
     /* 2086230 */   // Label 27651: @2086230
     /* 2086230 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2086324), // Rule ID 16427 //
     /* 2086235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2086246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2086249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2086252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086281 */     // MIs[0] round
     /* 2086281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086284 */     // MIs[0] policy
     /* 2086284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2086297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086323 */     // GIR_Coverage, 16427,
     /* 2086323 */     GIR_EraseRootFromParent_Done,
     /* 2086324 */   // Label 27652: @2086324
     /* 2086324 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2086418), // Rule ID 16430 //
     /* 2086329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2086340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2086343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2086346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086375 */     // MIs[0] round
     /* 2086375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086378 */     // MIs[0] policy
     /* 2086378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086417 */     // GIR_Coverage, 16430,
     /* 2086417 */     GIR_EraseRootFromParent_Done,
     /* 2086418 */   // Label 27653: @2086418
     /* 2086418 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2086512), // Rule ID 16431 //
     /* 2086423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2086434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2086437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2086440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086469 */     // MIs[0] round
     /* 2086469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086472 */     // MIs[0] policy
     /* 2086472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086482 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086511 */     // GIR_Coverage, 16431,
     /* 2086511 */     GIR_EraseRootFromParent_Done,
     /* 2086512 */   // Label 27654: @2086512
     /* 2086512 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2086606), // Rule ID 16434 //
     /* 2086517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086563 */     // MIs[0] round
     /* 2086563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086566 */     // MIs[0] policy
     /* 2086566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086605 */     // GIR_Coverage, 16434,
     /* 2086605 */     GIR_EraseRootFromParent_Done,
     /* 2086606 */   // Label 27655: @2086606
     /* 2086606 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2086700), // Rule ID 16435 //
     /* 2086611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086657 */     // MIs[0] round
     /* 2086657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086660 */     // MIs[0] policy
     /* 2086660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086699 */     // GIR_Coverage, 16435,
     /* 2086699 */     GIR_EraseRootFromParent_Done,
     /* 2086700 */   // Label 27656: @2086700
     /* 2086700 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2086794), // Rule ID 16438 //
     /* 2086705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086751 */     // MIs[0] round
     /* 2086751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086754 */     // MIs[0] policy
     /* 2086754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086793 */     // GIR_Coverage, 16438,
     /* 2086793 */     GIR_EraseRootFromParent_Done,
     /* 2086794 */   // Label 27657: @2086794
     /* 2086794 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2086888), // Rule ID 16439 //
     /* 2086799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086845 */     // MIs[0] round
     /* 2086845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086848 */     // MIs[0] policy
     /* 2086848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086887 */     // GIR_Coverage, 16439,
     /* 2086887 */     GIR_EraseRootFromParent_Done,
     /* 2086888 */   // Label 27658: @2086888
     /* 2086888 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2086982), // Rule ID 16442 //
     /* 2086893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2086907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086939 */     // MIs[0] round
     /* 2086939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086942 */     // MIs[0] policy
     /* 2086942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086981 */     // GIR_Coverage, 16442,
     /* 2086981 */     GIR_EraseRootFromParent_Done,
     /* 2086982 */   // Label 27659: @2086982
     /* 2086982 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2087076), // Rule ID 16443 //
     /* 2086987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2087001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2087004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2087007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2087010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087033 */     // MIs[0] round
     /* 2087033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087036 */     // MIs[0] policy
     /* 2087036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087075 */     // GIR_Coverage, 16443,
     /* 2087075 */     GIR_EraseRootFromParent_Done,
     /* 2087076 */   // Label 27660: @2087076
     /* 2087076 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2087170), // Rule ID 16446 //
     /* 2087081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2087098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087127 */     // MIs[0] round
     /* 2087127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087130 */     // MIs[0] policy
     /* 2087130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2087143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087169 */     // GIR_Coverage, 16446,
     /* 2087169 */     GIR_EraseRootFromParent_Done,
     /* 2087170 */   // Label 27661: @2087170
     /* 2087170 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2087264), // Rule ID 16447 //
     /* 2087175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2087192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087221 */     // MIs[0] round
     /* 2087221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087224 */     // MIs[0] policy
     /* 2087224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2087237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087263 */     // GIR_Coverage, 16447,
     /* 2087263 */     GIR_EraseRootFromParent_Done,
     /* 2087264 */   // Label 27662: @2087264
     /* 2087264 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2087358), // Rule ID 16450 //
     /* 2087269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2087286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2087289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087315 */     // MIs[0] round
     /* 2087315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087318 */     // MIs[0] policy
     /* 2087318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2087331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087357 */     // GIR_Coverage, 16450,
     /* 2087357 */     GIR_EraseRootFromParent_Done,
     /* 2087358 */   // Label 27663: @2087358
     /* 2087358 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2087452), // Rule ID 16451 //
     /* 2087363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2087380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2087383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087409 */     // MIs[0] round
     /* 2087409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087412 */     // MIs[0] policy
     /* 2087412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2087425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087451 */     // GIR_Coverage, 16451,
     /* 2087451 */     GIR_EraseRootFromParent_Done,
     /* 2087452 */   // Label 27664: @2087452
     /* 2087452 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2087546), // Rule ID 16454 //
     /* 2087457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087503 */     // MIs[0] round
     /* 2087503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087506 */     // MIs[0] policy
     /* 2087506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087545 */     // GIR_Coverage, 16454,
     /* 2087545 */     GIR_EraseRootFromParent_Done,
     /* 2087546 */   // Label 27665: @2087546
     /* 2087546 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2087640), // Rule ID 16455 //
     /* 2087551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087597 */     // MIs[0] round
     /* 2087597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087600 */     // MIs[0] policy
     /* 2087600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087639 */     // GIR_Coverage, 16455,
     /* 2087639 */     GIR_EraseRootFromParent_Done,
     /* 2087640 */   // Label 27666: @2087640
     /* 2087640 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2087734), // Rule ID 16458 //
     /* 2087645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087691 */     // MIs[0] round
     /* 2087691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087694 */     // MIs[0] policy
     /* 2087694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087733 */     // GIR_Coverage, 16458,
     /* 2087733 */     GIR_EraseRootFromParent_Done,
     /* 2087734 */   // Label 27667: @2087734
     /* 2087734 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2087828), // Rule ID 16459 //
     /* 2087739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087785 */     // MIs[0] round
     /* 2087785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087788 */     // MIs[0] policy
     /* 2087788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087827 */     // GIR_Coverage, 16459,
     /* 2087827 */     GIR_EraseRootFromParent_Done,
     /* 2087828 */   // Label 27668: @2087828
     /* 2087828 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2087922), // Rule ID 16462 //
     /* 2087833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087879 */     // MIs[0] round
     /* 2087879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087882 */     // MIs[0] policy
     /* 2087882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087921 */     // GIR_Coverage, 16462,
     /* 2087921 */     GIR_EraseRootFromParent_Done,
     /* 2087922 */   // Label 27669: @2087922
     /* 2087922 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2088016), // Rule ID 16463 //
     /* 2087927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087973 */     // MIs[0] round
     /* 2087973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087976 */     // MIs[0] policy
     /* 2087976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088015 */     // GIR_Coverage, 16463,
     /* 2088015 */     GIR_EraseRootFromParent_Done,
     /* 2088016 */   // Label 27670: @2088016
     /* 2088016 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2088110), // Rule ID 16466 //
     /* 2088021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2088032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2088035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088067 */     // MIs[0] round
     /* 2088067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088070 */     // MIs[0] policy
     /* 2088070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088109 */     // GIR_Coverage, 16466,
     /* 2088109 */     GIR_EraseRootFromParent_Done,
     /* 2088110 */   // Label 27671: @2088110
     /* 2088110 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2088204), // Rule ID 16467 //
     /* 2088115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2088126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2088129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088161 */     // MIs[0] round
     /* 2088161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088164 */     // MIs[0] policy
     /* 2088164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088174 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088203 */     // GIR_Coverage, 16467,
     /* 2088203 */     GIR_EraseRootFromParent_Done,
     /* 2088204 */   // Label 27672: @2088204
     /* 2088204 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2088298), // Rule ID 16470 //
     /* 2088209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2088220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2088223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088255 */     // MIs[0] round
     /* 2088255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088258 */     // MIs[0] policy
     /* 2088258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088297 */     // GIR_Coverage, 16470,
     /* 2088297 */     GIR_EraseRootFromParent_Done,
     /* 2088298 */   // Label 27673: @2088298
     /* 2088298 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2088392), // Rule ID 16471 //
     /* 2088303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2088314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2088317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088349 */     // MIs[0] round
     /* 2088349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088352 */     // MIs[0] policy
     /* 2088352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088362 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088391 */     // GIR_Coverage, 16471,
     /* 2088391 */     GIR_EraseRootFromParent_Done,
     /* 2088392 */   // Label 27674: @2088392
     /* 2088392 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2088486), // Rule ID 16474 //
     /* 2088397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088443 */     // MIs[0] round
     /* 2088443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088446 */     // MIs[0] policy
     /* 2088446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088485 */     // GIR_Coverage, 16474,
     /* 2088485 */     GIR_EraseRootFromParent_Done,
     /* 2088486 */   // Label 27675: @2088486
     /* 2088486 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2088580), // Rule ID 16475 //
     /* 2088491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088537 */     // MIs[0] round
     /* 2088537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088540 */     // MIs[0] policy
     /* 2088540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088579 */     // GIR_Coverage, 16475,
     /* 2088579 */     GIR_EraseRootFromParent_Done,
     /* 2088580 */   // Label 27676: @2088580
     /* 2088580 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2088674), // Rule ID 16478 //
     /* 2088585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088631 */     // MIs[0] round
     /* 2088631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088634 */     // MIs[0] policy
     /* 2088634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088644 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088673 */     // GIR_Coverage, 16478,
     /* 2088673 */     GIR_EraseRootFromParent_Done,
     /* 2088674 */   // Label 27677: @2088674
     /* 2088674 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2088768), // Rule ID 16479 //
     /* 2088679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088725 */     // MIs[0] round
     /* 2088725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088728 */     // MIs[0] policy
     /* 2088728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088738 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088767 */     // GIR_Coverage, 16479,
     /* 2088767 */     GIR_EraseRootFromParent_Done,
     /* 2088768 */   // Label 27678: @2088768
     /* 2088768 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2088862), // Rule ID 16482 //
     /* 2088773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088819 */     // MIs[0] round
     /* 2088819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088822 */     // MIs[0] policy
     /* 2088822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088861 */     // GIR_Coverage, 16482,
     /* 2088861 */     GIR_EraseRootFromParent_Done,
     /* 2088862 */   // Label 27679: @2088862
     /* 2088862 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2088956), // Rule ID 16483 //
     /* 2088867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088913 */     // MIs[0] round
     /* 2088913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088916 */     // MIs[0] policy
     /* 2088916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088926 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088955 */     // GIR_Coverage, 16483,
     /* 2088955 */     GIR_EraseRootFromParent_Done,
     /* 2088956 */   // Label 27680: @2088956
     /* 2088956 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2089050), // Rule ID 16486 //
     /* 2088961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2088972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2088975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089007 */     // MIs[0] round
     /* 2089007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089010 */     // MIs[0] policy
     /* 2089010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2089023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089049 */     // GIR_Coverage, 16486,
     /* 2089049 */     GIR_EraseRootFromParent_Done,
     /* 2089050 */   // Label 27681: @2089050
     /* 2089050 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2089144), // Rule ID 16487 //
     /* 2089055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2089072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089101 */     // MIs[0] round
     /* 2089101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089104 */     // MIs[0] policy
     /* 2089104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2089117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089143 */     // GIR_Coverage, 16487,
     /* 2089143 */     GIR_EraseRootFromParent_Done,
     /* 2089144 */   // Label 27682: @2089144
     /* 2089144 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2089238), // Rule ID 16490 //
     /* 2089149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089195 */     // MIs[0] round
     /* 2089195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089198 */     // MIs[0] policy
     /* 2089198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089237 */     // GIR_Coverage, 16490,
     /* 2089237 */     GIR_EraseRootFromParent_Done,
     /* 2089238 */   // Label 27683: @2089238
     /* 2089238 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2089332), // Rule ID 16491 //
     /* 2089243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089289 */     // MIs[0] round
     /* 2089289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089292 */     // MIs[0] policy
     /* 2089292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089331 */     // GIR_Coverage, 16491,
     /* 2089331 */     GIR_EraseRootFromParent_Done,
     /* 2089332 */   // Label 27684: @2089332
     /* 2089332 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2089426), // Rule ID 16494 //
     /* 2089337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089383 */     // MIs[0] round
     /* 2089383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089386 */     // MIs[0] policy
     /* 2089386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089425 */     // GIR_Coverage, 16494,
     /* 2089425 */     GIR_EraseRootFromParent_Done,
     /* 2089426 */   // Label 27685: @2089426
     /* 2089426 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2089520), // Rule ID 16495 //
     /* 2089431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089477 */     // MIs[0] round
     /* 2089477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089480 */     // MIs[0] policy
     /* 2089480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089519 */     // GIR_Coverage, 16495,
     /* 2089519 */     GIR_EraseRootFromParent_Done,
     /* 2089520 */   // Label 27686: @2089520
     /* 2089520 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2089614), // Rule ID 16498 //
     /* 2089525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089571 */     // MIs[0] round
     /* 2089571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089574 */     // MIs[0] policy
     /* 2089574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089613 */     // GIR_Coverage, 16498,
     /* 2089613 */     GIR_EraseRootFromParent_Done,
     /* 2089614 */   // Label 27687: @2089614
     /* 2089614 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2089708), // Rule ID 16499 //
     /* 2089619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089665 */     // MIs[0] round
     /* 2089665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089668 */     // MIs[0] policy
     /* 2089668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089707 */     // GIR_Coverage, 16499,
     /* 2089707 */     GIR_EraseRootFromParent_Done,
     /* 2089708 */   // Label 27688: @2089708
     /* 2089708 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2089802), // Rule ID 16502 //
     /* 2089713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089759 */     // MIs[0] round
     /* 2089759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089762 */     // MIs[0] policy
     /* 2089762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089801 */     // GIR_Coverage, 16502,
     /* 2089801 */     GIR_EraseRootFromParent_Done,
     /* 2089802 */   // Label 27689: @2089802
     /* 2089802 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2089896), // Rule ID 16503 //
     /* 2089807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089853 */     // MIs[0] round
     /* 2089853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089856 */     // MIs[0] policy
     /* 2089856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089895 */     // GIR_Coverage, 16503,
     /* 2089895 */     GIR_EraseRootFromParent_Done,
     /* 2089896 */   // Label 27690: @2089896
     /* 2089896 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2089990), // Rule ID 16506 //
     /* 2089901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089947 */     // MIs[0] round
     /* 2089947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089950 */     // MIs[0] policy
     /* 2089950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089989 */     // GIR_Coverage, 16506,
     /* 2089989 */     GIR_EraseRootFromParent_Done,
     /* 2089990 */   // Label 27691: @2089990
     /* 2089990 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2090084), // Rule ID 16507 //
     /* 2089995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2090012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090041 */     // MIs[0] round
     /* 2090041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090044 */     // MIs[0] policy
     /* 2090044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2090057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090083 */     // GIR_Coverage, 16507,
     /* 2090083 */     GIR_EraseRootFromParent_Done,
     /* 2090084 */   // Label 27692: @2090084
     /* 2090084 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2090178), // Rule ID 16510 //
     /* 2090089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090135 */     // MIs[0] round
     /* 2090135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090138 */     // MIs[0] policy
     /* 2090138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2090151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090177 */     // GIR_Coverage, 16510,
     /* 2090177 */     GIR_EraseRootFromParent_Done,
     /* 2090178 */   // Label 27693: @2090178
     /* 2090178 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2090272), // Rule ID 16511 //
     /* 2090183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090229 */     // MIs[0] round
     /* 2090229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090232 */     // MIs[0] policy
     /* 2090232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2090245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090271 */     // GIR_Coverage, 16511,
     /* 2090271 */     GIR_EraseRootFromParent_Done,
     /* 2090272 */   // Label 27694: @2090272
     /* 2090272 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2090366), // Rule ID 16514 //
     /* 2090277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090323 */     // MIs[0] round
     /* 2090323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090326 */     // MIs[0] policy
     /* 2090326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2090339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090365 */     // GIR_Coverage, 16514,
     /* 2090365 */     GIR_EraseRootFromParent_Done,
     /* 2090366 */   // Label 27695: @2090366
     /* 2090366 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2090460), // Rule ID 16515 //
     /* 2090371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090417 */     // MIs[0] round
     /* 2090417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090420 */     // MIs[0] policy
     /* 2090420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2090433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090459 */     // GIR_Coverage, 16515,
     /* 2090459 */     GIR_EraseRootFromParent_Done,
     /* 2090460 */   // Label 27696: @2090460
     /* 2090460 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2090554), // Rule ID 16518 //
     /* 2090465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090511 */     // MIs[0] round
     /* 2090511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090514 */     // MIs[0] policy
     /* 2090514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090553 */     // GIR_Coverage, 16518,
     /* 2090553 */     GIR_EraseRootFromParent_Done,
     /* 2090554 */   // Label 27697: @2090554
     /* 2090554 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2090648), // Rule ID 16519 //
     /* 2090559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090605 */     // MIs[0] round
     /* 2090605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090608 */     // MIs[0] policy
     /* 2090608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090647 */     // GIR_Coverage, 16519,
     /* 2090647 */     GIR_EraseRootFromParent_Done,
     /* 2090648 */   // Label 27698: @2090648
     /* 2090648 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2090739), // Rule ID 16582 //
     /* 2090653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090699 */     // MIs[0] round
     /* 2090699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090702 */     // MIs[0] policy
     /* 2090702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090712 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090738 */     // GIR_Coverage, 16582,
     /* 2090738 */     GIR_EraseRootFromParent_Done,
     /* 2090739 */   // Label 27699: @2090739
     /* 2090739 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2090830), // Rule ID 16583 //
     /* 2090744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090790 */     // MIs[0] round
     /* 2090790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090793 */     // MIs[0] policy
     /* 2090793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090803 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090829 */     // GIR_Coverage, 16583,
     /* 2090829 */     GIR_EraseRootFromParent_Done,
     /* 2090830 */   // Label 27700: @2090830
     /* 2090830 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2090921), // Rule ID 16586 //
     /* 2090835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090881 */     // MIs[0] round
     /* 2090881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090884 */     // MIs[0] policy
     /* 2090884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090894 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090920 */     // GIR_Coverage, 16586,
     /* 2090920 */     GIR_EraseRootFromParent_Done,
     /* 2090921 */   // Label 27701: @2090921
     /* 2090921 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2091012), // Rule ID 16587 //
     /* 2090926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090972 */     // MIs[0] round
     /* 2090972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090975 */     // MIs[0] policy
     /* 2090975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090985 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091011 */     // GIR_Coverage, 16587,
     /* 2091011 */     GIR_EraseRootFromParent_Done,
     /* 2091012 */   // Label 27702: @2091012
     /* 2091012 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2091103), // Rule ID 16590 //
     /* 2091017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2091034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2091037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091063 */     // MIs[0] round
     /* 2091063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091066 */     // MIs[0] policy
     /* 2091066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091076 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2091079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091102 */     // GIR_Coverage, 16590,
     /* 2091102 */     GIR_EraseRootFromParent_Done,
     /* 2091103 */   // Label 27703: @2091103
     /* 2091103 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2091194), // Rule ID 16591 //
     /* 2091108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2091125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2091128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091154 */     // MIs[0] round
     /* 2091154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091157 */     // MIs[0] policy
     /* 2091157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091167 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2091170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091193 */     // GIR_Coverage, 16591,
     /* 2091193 */     GIR_EraseRootFromParent_Done,
     /* 2091194 */   // Label 27704: @2091194
     /* 2091194 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2091285), // Rule ID 16594 //
     /* 2091199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2091210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2091213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2091219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091245 */     // MIs[0] round
     /* 2091245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091248 */     // MIs[0] policy
     /* 2091248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091258 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2091261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091284 */     // GIR_Coverage, 16594,
     /* 2091284 */     GIR_EraseRootFromParent_Done,
     /* 2091285 */   // Label 27705: @2091285
     /* 2091285 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2091376), // Rule ID 16595 //
     /* 2091290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2091301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2091304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2091310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091336 */     // MIs[0] round
     /* 2091336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091339 */     // MIs[0] policy
     /* 2091339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091349 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2091352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091375 */     // GIR_Coverage, 16595,
     /* 2091375 */     GIR_EraseRootFromParent_Done,
     /* 2091376 */   // Label 27706: @2091376
     /* 2091376 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2091467), // Rule ID 16598 //
     /* 2091381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2091398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091427 */     // MIs[0] round
     /* 2091427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091430 */     // MIs[0] policy
     /* 2091430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091466 */     // GIR_Coverage, 16598,
     /* 2091466 */     GIR_EraseRootFromParent_Done,
     /* 2091467 */   // Label 27707: @2091467
     /* 2091467 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2091558), // Rule ID 16599 //
     /* 2091472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2091489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091518 */     // MIs[0] round
     /* 2091518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091521 */     // MIs[0] policy
     /* 2091521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091531 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091557 */     // GIR_Coverage, 16599,
     /* 2091557 */     GIR_EraseRootFromParent_Done,
     /* 2091558 */   // Label 27708: @2091558
     /* 2091558 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2091649), // Rule ID 16602 //
     /* 2091563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091609 */     // MIs[0] round
     /* 2091609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091612 */     // MIs[0] policy
     /* 2091612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091622 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091648 */     // GIR_Coverage, 16602,
     /* 2091648 */     GIR_EraseRootFromParent_Done,
     /* 2091649 */   // Label 27709: @2091649
     /* 2091649 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2091740), // Rule ID 16603 //
     /* 2091654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2091657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091700 */     // MIs[0] round
     /* 2091700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091703 */     // MIs[0] policy
     /* 2091703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091713 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091739 */     // GIR_Coverage, 16603,
     /* 2091739 */     GIR_EraseRootFromParent_Done,
     /* 2091740 */   // Label 27710: @2091740
     /* 2091740 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2091831), // Rule ID 16606 //
     /* 2091745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091791 */     // MIs[0] round
     /* 2091791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091794 */     // MIs[0] policy
     /* 2091794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091804 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091830 */     // GIR_Coverage, 16606,
     /* 2091830 */     GIR_EraseRootFromParent_Done,
     /* 2091831 */   // Label 27711: @2091831
     /* 2091831 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2091922), // Rule ID 16607 //
     /* 2091836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091882 */     // MIs[0] round
     /* 2091882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091885 */     // MIs[0] policy
     /* 2091885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091895 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091921 */     // GIR_Coverage, 16607,
     /* 2091921 */     GIR_EraseRootFromParent_Done,
     /* 2091922 */   // Label 27712: @2091922
     /* 2091922 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2092013), // Rule ID 16610 //
     /* 2091927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091973 */     // MIs[0] round
     /* 2091973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091976 */     // MIs[0] policy
     /* 2091976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091986 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2091989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092012 */     // GIR_Coverage, 16610,
     /* 2092012 */     GIR_EraseRootFromParent_Done,
     /* 2092013 */   // Label 27713: @2092013
     /* 2092013 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2092104), // Rule ID 16611 //
     /* 2092018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2092029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2092032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2092035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2092038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092064 */     // MIs[0] round
     /* 2092064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092067 */     // MIs[0] policy
     /* 2092067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2092080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092103 */     // GIR_Coverage, 16611,
     /* 2092103 */     GIR_EraseRootFromParent_Done,
     /* 2092104 */   // Label 27714: @2092104
     /* 2092104 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2092195), // Rule ID 16614 //
     /* 2092109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2092120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2092123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2092126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2092129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092155 */     // MIs[0] round
     /* 2092155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092158 */     // MIs[0] policy
     /* 2092158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092168 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2092171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092194 */     // GIR_Coverage, 16614,
     /* 2092194 */     GIR_EraseRootFromParent_Done,
     /* 2092195 */   // Label 27715: @2092195
     /* 2092195 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2092286), // Rule ID 16615 //
     /* 2092200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2092211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2092214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2092217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2092220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092246 */     // MIs[0] round
     /* 2092246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092249 */     // MIs[0] policy
     /* 2092249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092259 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2092262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092285 */     // GIR_Coverage, 16615,
     /* 2092285 */     GIR_EraseRootFromParent_Done,
     /* 2092286 */   // Label 27716: @2092286
     /* 2092286 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2092377), // Rule ID 16618 //
     /* 2092291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2092302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2092305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2092311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092337 */     // MIs[0] round
     /* 2092337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092340 */     // MIs[0] policy
     /* 2092340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092350 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2092353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092376 */     // GIR_Coverage, 16618,
     /* 2092376 */     GIR_EraseRootFromParent_Done,
     /* 2092377 */   // Label 27717: @2092377
     /* 2092377 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2092468), // Rule ID 16619 //
     /* 2092382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2092393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2092396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2092402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092428 */     // MIs[0] round
     /* 2092428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092431 */     // MIs[0] policy
     /* 2092431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092441 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2092444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092467 */     // GIR_Coverage, 16619,
     /* 2092467 */     GIR_EraseRootFromParent_Done,
     /* 2092468 */   // Label 27718: @2092468
     /* 2092468 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2092559), // Rule ID 16622 //
     /* 2092473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092519 */     // MIs[0] round
     /* 2092519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092522 */     // MIs[0] policy
     /* 2092522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092558 */     // GIR_Coverage, 16622,
     /* 2092558 */     GIR_EraseRootFromParent_Done,
     /* 2092559 */   // Label 27719: @2092559
     /* 2092559 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2092650), // Rule ID 16623 //
     /* 2092564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092610 */     // MIs[0] round
     /* 2092610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092613 */     // MIs[0] policy
     /* 2092613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092623 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092649 */     // GIR_Coverage, 16623,
     /* 2092649 */     GIR_EraseRootFromParent_Done,
     /* 2092650 */   // Label 27720: @2092650
     /* 2092650 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2092741), // Rule ID 16626 //
     /* 2092655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092701 */     // MIs[0] round
     /* 2092701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092704 */     // MIs[0] policy
     /* 2092704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092714 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092740 */     // GIR_Coverage, 16626,
     /* 2092740 */     GIR_EraseRootFromParent_Done,
     /* 2092741 */   // Label 27721: @2092741
     /* 2092741 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2092832), // Rule ID 16627 //
     /* 2092746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092792 */     // MIs[0] round
     /* 2092792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092795 */     // MIs[0] policy
     /* 2092795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092805 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092831 */     // GIR_Coverage, 16627,
     /* 2092831 */     GIR_EraseRootFromParent_Done,
     /* 2092832 */   // Label 27722: @2092832
     /* 2092832 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2092923), // Rule ID 16630 //
     /* 2092837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092883 */     // MIs[0] round
     /* 2092883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092886 */     // MIs[0] policy
     /* 2092886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092922 */     // GIR_Coverage, 16630,
     /* 2092922 */     GIR_EraseRootFromParent_Done,
     /* 2092923 */   // Label 27723: @2092923
     /* 2092923 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2093014), // Rule ID 16631 //
     /* 2092928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092974 */     // MIs[0] round
     /* 2092974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092977 */     // MIs[0] policy
     /* 2092977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092987 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093013 */     // GIR_Coverage, 16631,
     /* 2093013 */     GIR_EraseRootFromParent_Done,
     /* 2093014 */   // Label 27724: @2093014
     /* 2093014 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2093105), // Rule ID 16634 //
     /* 2093019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2093030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2093033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2093039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093065 */     // MIs[0] round
     /* 2093065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093068 */     // MIs[0] policy
     /* 2093068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093078 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2093081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093104 */     // GIR_Coverage, 16634,
     /* 2093104 */     GIR_EraseRootFromParent_Done,
     /* 2093105 */   // Label 27725: @2093105
     /* 2093105 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2093196), // Rule ID 16635 //
     /* 2093110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2093113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2093121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2093124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2093130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093156 */     // MIs[0] round
     /* 2093156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093159 */     // MIs[0] policy
     /* 2093159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093169 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2093172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093195 */     // GIR_Coverage, 16635,
     /* 2093195 */     GIR_EraseRootFromParent_Done,
     /* 2093196 */   // Label 27726: @2093196
     /* 2093196 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2093287), // Rule ID 16638 //
     /* 2093201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2093212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2093215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2093218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2093221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093247 */     // MIs[0] round
     /* 2093247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093250 */     // MIs[0] policy
     /* 2093250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093260 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2093263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093286 */     // GIR_Coverage, 16638,
     /* 2093286 */     GIR_EraseRootFromParent_Done,
     /* 2093287 */   // Label 27727: @2093287
     /* 2093287 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2093378), // Rule ID 16639 //
     /* 2093292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2093295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2093303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2093306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2093309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2093312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093338 */     // MIs[0] round
     /* 2093338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093341 */     // MIs[0] policy
     /* 2093341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093351 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2093354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093377 */     // GIR_Coverage, 16639,
     /* 2093377 */     GIR_EraseRootFromParent_Done,
     /* 2093378 */   // Label 27728: @2093378
     /* 2093378 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2093469), // Rule ID 16642 //
     /* 2093383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093429 */     // MIs[0] round
     /* 2093429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093432 */     // MIs[0] policy
     /* 2093432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093442 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093468 */     // GIR_Coverage, 16642,
     /* 2093468 */     GIR_EraseRootFromParent_Done,
     /* 2093469 */   // Label 27729: @2093469
     /* 2093469 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2093560), // Rule ID 16643 //
     /* 2093474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093520 */     // MIs[0] round
     /* 2093520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093523 */     // MIs[0] policy
     /* 2093523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093533 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093559 */     // GIR_Coverage, 16643,
     /* 2093559 */     GIR_EraseRootFromParent_Done,
     /* 2093560 */   // Label 27730: @2093560
     /* 2093560 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2093651), // Rule ID 16646 //
     /* 2093565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093611 */     // MIs[0] round
     /* 2093611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093614 */     // MIs[0] policy
     /* 2093614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093624 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093650 */     // GIR_Coverage, 16646,
     /* 2093650 */     GIR_EraseRootFromParent_Done,
     /* 2093651 */   // Label 27731: @2093651
     /* 2093651 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2093742), // Rule ID 16647 //
     /* 2093656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093702 */     // MIs[0] round
     /* 2093702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093705 */     // MIs[0] policy
     /* 2093705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093715 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093741 */     // GIR_Coverage, 16647,
     /* 2093741 */     GIR_EraseRootFromParent_Done,
     /* 2093742 */   // Label 27732: @2093742
     /* 2093742 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2093833), // Rule ID 16650 //
     /* 2093747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093793 */     // MIs[0] round
     /* 2093793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093796 */     // MIs[0] policy
     /* 2093796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093806 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093832 */     // GIR_Coverage, 16650,
     /* 2093832 */     GIR_EraseRootFromParent_Done,
     /* 2093833 */   // Label 27733: @2093833
     /* 2093833 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2093924), // Rule ID 16651 //
     /* 2093838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093884 */     // MIs[0] round
     /* 2093884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093887 */     // MIs[0] policy
     /* 2093887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093897 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093923 */     // GIR_Coverage, 16651,
     /* 2093923 */     GIR_EraseRootFromParent_Done,
     /* 2093924 */   // Label 27734: @2093924
     /* 2093924 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2094015), // Rule ID 16654 //
     /* 2093929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093975 */     // MIs[0] round
     /* 2093975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093978 */     // MIs[0] policy
     /* 2093978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093988 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2093991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094014 */     // GIR_Coverage, 16654,
     /* 2094014 */     GIR_EraseRootFromParent_Done,
     /* 2094015 */   // Label 27735: @2094015
     /* 2094015 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2094106), // Rule ID 16655 //
     /* 2094020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2094031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2094034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2094037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094066 */     // MIs[0] round
     /* 2094066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094069 */     // MIs[0] policy
     /* 2094069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094079 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2094082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094105 */     // GIR_Coverage, 16655,
     /* 2094105 */     GIR_EraseRootFromParent_Done,
     /* 2094106 */   // Label 27736: @2094106
     /* 2094106 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2094197), // Rule ID 16658 //
     /* 2094111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2094122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2094125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2094128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094157 */     // MIs[0] round
     /* 2094157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094160 */     // MIs[0] policy
     /* 2094160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2094173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094196 */     // GIR_Coverage, 16658,
     /* 2094196 */     GIR_EraseRootFromParent_Done,
     /* 2094197 */   // Label 27737: @2094197
     /* 2094197 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2094288), // Rule ID 16659 //
     /* 2094202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2094213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2094216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2094219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094248 */     // MIs[0] round
     /* 2094248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094251 */     // MIs[0] policy
     /* 2094251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094261 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2094264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094287 */     // GIR_Coverage, 16659,
     /* 2094287 */     GIR_EraseRootFromParent_Done,
     /* 2094288 */   // Label 27738: @2094288
     /* 2094288 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2094379), // Rule ID 16662 //
     /* 2094293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2094296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2094304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2094307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2094310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094339 */     // MIs[0] round
     /* 2094339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094342 */     // MIs[0] policy
     /* 2094342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094352 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2094355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094378 */     // GIR_Coverage, 16662,
     /* 2094378 */     GIR_EraseRootFromParent_Done,
     /* 2094379 */   // Label 27739: @2094379
     /* 2094379 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2094470), // Rule ID 16663 //
     /* 2094384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2094395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2094398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2094401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094430 */     // MIs[0] round
     /* 2094430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094433 */     // MIs[0] policy
     /* 2094433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094443 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2094446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094469 */     // GIR_Coverage, 16663,
     /* 2094469 */     GIR_EraseRootFromParent_Done,
     /* 2094470 */   // Label 27740: @2094470
     /* 2094470 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2094561), // Rule ID 16666 //
     /* 2094475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094521 */     // MIs[0] round
     /* 2094521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094524 */     // MIs[0] policy
     /* 2094524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094534 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094560 */     // GIR_Coverage, 16666,
     /* 2094560 */     GIR_EraseRootFromParent_Done,
     /* 2094561 */   // Label 27741: @2094561
     /* 2094561 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2094652), // Rule ID 16667 //
     /* 2094566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094612 */     // MIs[0] round
     /* 2094612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094615 */     // MIs[0] policy
     /* 2094615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094625 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094651 */     // GIR_Coverage, 16667,
     /* 2094651 */     GIR_EraseRootFromParent_Done,
     /* 2094652 */   // Label 27742: @2094652
     /* 2094652 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2094743), // Rule ID 16670 //
     /* 2094657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094703 */     // MIs[0] round
     /* 2094703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094706 */     // MIs[0] policy
     /* 2094706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094742 */     // GIR_Coverage, 16670,
     /* 2094742 */     GIR_EraseRootFromParent_Done,
     /* 2094743 */   // Label 27743: @2094743
     /* 2094743 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2094834), // Rule ID 16671 //
     /* 2094748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094794 */     // MIs[0] round
     /* 2094794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094797 */     // MIs[0] policy
     /* 2094797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094807 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094833 */     // GIR_Coverage, 16671,
     /* 2094833 */     GIR_EraseRootFromParent_Done,
     /* 2094834 */   // Label 27744: @2094834
     /* 2094834 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2094925), // Rule ID 16674 //
     /* 2094839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094885 */     // MIs[0] round
     /* 2094885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094888 */     // MIs[0] policy
     /* 2094888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094898 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094924 */     // GIR_Coverage, 16674,
     /* 2094924 */     GIR_EraseRootFromParent_Done,
     /* 2094925 */   // Label 27745: @2094925
     /* 2094925 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2095016), // Rule ID 16675 //
     /* 2094930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094976 */     // MIs[0] round
     /* 2094976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094979 */     // MIs[0] policy
     /* 2094979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094989 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095015 */     // GIR_Coverage, 16675,
     /* 2095015 */     GIR_EraseRootFromParent_Done,
     /* 2095016 */   // Label 27746: @2095016
     /* 2095016 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2095107), // Rule ID 16678 //
     /* 2095021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2095032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2095035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095067 */     // MIs[0] round
     /* 2095067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095070 */     // MIs[0] policy
     /* 2095070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2095083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095106 */     // GIR_Coverage, 16678,
     /* 2095106 */     GIR_EraseRootFromParent_Done,
     /* 2095107 */   // Label 27747: @2095107
     /* 2095107 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2095198), // Rule ID 16679 //
     /* 2095112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2095123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2095126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095158 */     // MIs[0] round
     /* 2095158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095161 */     // MIs[0] policy
     /* 2095161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095171 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2095174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095197 */     // GIR_Coverage, 16679,
     /* 2095197 */     GIR_EraseRootFromParent_Done,
     /* 2095198 */   // Label 27748: @2095198
     /* 2095198 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2095289), // Rule ID 16682 //
     /* 2095203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2095214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2095217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095249 */     // MIs[0] round
     /* 2095249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095252 */     // MIs[0] policy
     /* 2095252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095262 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2095265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095288 */     // GIR_Coverage, 16682,
     /* 2095288 */     GIR_EraseRootFromParent_Done,
     /* 2095289 */   // Label 27749: @2095289
     /* 2095289 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2095380), // Rule ID 16683 //
     /* 2095294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2095305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2095308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095340 */     // MIs[0] round
     /* 2095340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095343 */     // MIs[0] policy
     /* 2095343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095353 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2095356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095379 */     // GIR_Coverage, 16683,
     /* 2095379 */     GIR_EraseRootFromParent_Done,
     /* 2095380 */   // Label 27750: @2095380
     /* 2095380 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2095471), // Rule ID 16686 //
     /* 2095385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2095396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2095399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095431 */     // MIs[0] round
     /* 2095431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095434 */     // MIs[0] policy
     /* 2095434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095444 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095470 */     // GIR_Coverage, 16686,
     /* 2095470 */     GIR_EraseRootFromParent_Done,
     /* 2095471 */   // Label 27751: @2095471
     /* 2095471 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2095562), // Rule ID 16687 //
     /* 2095476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2095487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2095490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095522 */     // MIs[0] round
     /* 2095522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095525 */     // MIs[0] policy
     /* 2095525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095535 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095561 */     // GIR_Coverage, 16687,
     /* 2095561 */     GIR_EraseRootFromParent_Done,
     /* 2095562 */   // Label 27752: @2095562
     /* 2095562 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2095653), // Rule ID 16690 //
     /* 2095567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095613 */     // MIs[0] round
     /* 2095613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095616 */     // MIs[0] policy
     /* 2095616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095626 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095652 */     // GIR_Coverage, 16690,
     /* 2095652 */     GIR_EraseRootFromParent_Done,
     /* 2095653 */   // Label 27753: @2095653
     /* 2095653 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2095744), // Rule ID 16691 //
     /* 2095658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095704 */     // MIs[0] round
     /* 2095704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095707 */     // MIs[0] policy
     /* 2095707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095717 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095743 */     // GIR_Coverage, 16691,
     /* 2095743 */     GIR_EraseRootFromParent_Done,
     /* 2095744 */   // Label 27754: @2095744
     /* 2095744 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2095835), // Rule ID 16694 //
     /* 2095749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095795 */     // MIs[0] round
     /* 2095795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095798 */     // MIs[0] policy
     /* 2095798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095808 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095834 */     // GIR_Coverage, 16694,
     /* 2095834 */     GIR_EraseRootFromParent_Done,
     /* 2095835 */   // Label 27755: @2095835
     /* 2095835 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2095926), // Rule ID 16695 //
     /* 2095840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095886 */     // MIs[0] round
     /* 2095886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095889 */     // MIs[0] policy
     /* 2095889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095899 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095925 */     // GIR_Coverage, 16695,
     /* 2095925 */     GIR_EraseRootFromParent_Done,
     /* 2095926 */   // Label 27756: @2095926
     /* 2095926 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2096017), // Rule ID 16698 //
     /* 2095931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095977 */     // MIs[0] round
     /* 2095977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095980 */     // MIs[0] policy
     /* 2095980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095990 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2095993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096016 */     // GIR_Coverage, 16698,
     /* 2096016 */     GIR_EraseRootFromParent_Done,
     /* 2096017 */   // Label 27757: @2096017
     /* 2096017 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2096108), // Rule ID 16699 //
     /* 2096022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2096025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2096033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2096036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2096039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2096064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096068 */     // MIs[0] round
     /* 2096068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096071 */     // MIs[0] policy
     /* 2096071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096081 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2096084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096107 */     // GIR_Coverage, 16699,
     /* 2096107 */     GIR_EraseRootFromParent_Done,
     /* 2096108 */   // Label 27758: @2096108
     /* 2096108 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2096199), // Rule ID 16702 //
     /* 2096113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2096124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2096127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2096133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096159 */     // MIs[0] round
     /* 2096159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096162 */     // MIs[0] policy
     /* 2096162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096172 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2096175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096198 */     // GIR_Coverage, 16702,
     /* 2096198 */     GIR_EraseRootFromParent_Done,
     /* 2096199 */   // Label 27759: @2096199
     /* 2096199 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2096290), // Rule ID 16703 //
     /* 2096204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2096215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2096218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2096224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096250 */     // MIs[0] round
     /* 2096250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096253 */     // MIs[0] policy
     /* 2096253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096263 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2096266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096289 */     // GIR_Coverage, 16703,
     /* 2096289 */     GIR_EraseRootFromParent_Done,
     /* 2096290 */   // Label 27760: @2096290
     /* 2096290 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2096381), // Rule ID 16706 //
     /* 2096295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2096306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2096309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2096315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096341 */     // MIs[0] round
     /* 2096341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096344 */     // MIs[0] policy
     /* 2096344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096354 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2096357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096380 */     // GIR_Coverage, 16706,
     /* 2096380 */     GIR_EraseRootFromParent_Done,
     /* 2096381 */   // Label 27761: @2096381
     /* 2096381 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2096472), // Rule ID 16707 //
     /* 2096386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2096397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2096400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2096406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096432 */     // MIs[0] round
     /* 2096432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096435 */     // MIs[0] policy
     /* 2096435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096445 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2096448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096471 */     // GIR_Coverage, 16707,
     /* 2096471 */     GIR_EraseRootFromParent_Done,
     /* 2096472 */   // Label 27762: @2096472
     /* 2096472 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2096563), // Rule ID 16710 //
     /* 2096477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096523 */     // MIs[0] round
     /* 2096523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096526 */     // MIs[0] policy
     /* 2096526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096536 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096562 */     // GIR_Coverage, 16710,
     /* 2096562 */     GIR_EraseRootFromParent_Done,
     /* 2096563 */   // Label 27763: @2096563
     /* 2096563 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2096654), // Rule ID 16711 //
     /* 2096568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096614 */     // MIs[0] round
     /* 2096614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096617 */     // MIs[0] policy
     /* 2096617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096627 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096653 */     // GIR_Coverage, 16711,
     /* 2096653 */     GIR_EraseRootFromParent_Done,
     /* 2096654 */   // Label 27764: @2096654
     /* 2096654 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2096745), // Rule ID 16714 //
     /* 2096659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096705 */     // MIs[0] round
     /* 2096705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096708 */     // MIs[0] policy
     /* 2096708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096718 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096744 */     // GIR_Coverage, 16714,
     /* 2096744 */     GIR_EraseRootFromParent_Done,
     /* 2096745 */   // Label 27765: @2096745
     /* 2096745 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2096836), // Rule ID 16715 //
     /* 2096750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096796 */     // MIs[0] round
     /* 2096796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096799 */     // MIs[0] policy
     /* 2096799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096809 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096835 */     // GIR_Coverage, 16715,
     /* 2096835 */     GIR_EraseRootFromParent_Done,
     /* 2096836 */   // Label 27766: @2096836
     /* 2096836 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2096927), // Rule ID 16718 //
     /* 2096841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096887 */     // MIs[0] round
     /* 2096887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096890 */     // MIs[0] policy
     /* 2096890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096900 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096926 */     // GIR_Coverage, 16718,
     /* 2096926 */     GIR_EraseRootFromParent_Done,
     /* 2096927 */   // Label 27767: @2096927
     /* 2096927 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2097018), // Rule ID 16719 //
     /* 2096932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096978 */     // MIs[0] round
     /* 2096978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096981 */     // MIs[0] policy
     /* 2096981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097017 */     // GIR_Coverage, 16719,
     /* 2097017 */     GIR_EraseRootFromParent_Done,
     /* 2097018 */   // Label 27768: @2097018
     /* 2097018 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2097109), // Rule ID 16722 //
     /* 2097023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2097034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2097037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2097043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097069 */     // MIs[0] round
     /* 2097069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097072 */     // MIs[0] policy
     /* 2097072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097082 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2097085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097108 */     // GIR_Coverage, 16722,
     /* 2097108 */     GIR_EraseRootFromParent_Done,
     /* 2097109 */   // Label 27769: @2097109
     /* 2097109 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2097200), // Rule ID 16723 //
     /* 2097114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2097125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2097128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2097134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097160 */     // MIs[0] round
     /* 2097160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097163 */     // MIs[0] policy
     /* 2097163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097173 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2097176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097199 */     // GIR_Coverage, 16723,
     /* 2097199 */     GIR_EraseRootFromParent_Done,
     /* 2097200 */   // Label 27770: @2097200
     /* 2097200 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2097291), // Rule ID 16726 //
     /* 2097205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2097216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2097219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2097222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2097225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097251 */     // MIs[0] round
     /* 2097251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097254 */     // MIs[0] policy
     /* 2097254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097264 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2097267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097290 */     // GIR_Coverage, 16726,
     /* 2097290 */     GIR_EraseRootFromParent_Done,
     /* 2097291 */   // Label 27771: @2097291
     /* 2097291 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2097382), // Rule ID 16727 //
     /* 2097296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2097307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2097310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2097313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2097316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097342 */     // MIs[0] round
     /* 2097342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097345 */     // MIs[0] policy
     /* 2097345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097355 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2097358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097381 */     // GIR_Coverage, 16727,
     /* 2097381 */     GIR_EraseRootFromParent_Done,
     /* 2097382 */   // Label 27772: @2097382
     /* 2097382 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2097473), // Rule ID 16730 //
     /* 2097387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2097398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2097401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2097407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097433 */     // MIs[0] round
     /* 2097433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097436 */     // MIs[0] policy
     /* 2097436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097446 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097472 */     // GIR_Coverage, 16730,
     /* 2097472 */     GIR_EraseRootFromParent_Done,
     /* 2097473 */   // Label 27773: @2097473
     /* 2097473 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2097564), // Rule ID 16731 //
     /* 2097478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2097489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2097492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2097498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097524 */     // MIs[0] round
     /* 2097524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097527 */     // MIs[0] policy
     /* 2097527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097537 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097563 */     // GIR_Coverage, 16731,
     /* 2097563 */     GIR_EraseRootFromParent_Done,
     /* 2097564 */   // Label 27774: @2097564
     /* 2097564 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2097655), // Rule ID 16734 //
     /* 2097569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097615 */     // MIs[0] round
     /* 2097615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097618 */     // MIs[0] policy
     /* 2097618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097628 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097654 */     // GIR_Coverage, 16734,
     /* 2097654 */     GIR_EraseRootFromParent_Done,
     /* 2097655 */   // Label 27775: @2097655
     /* 2097655 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2097746), // Rule ID 16735 //
     /* 2097660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097706 */     // MIs[0] round
     /* 2097706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097709 */     // MIs[0] policy
     /* 2097709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097719 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097745 */     // GIR_Coverage, 16735,
     /* 2097745 */     GIR_EraseRootFromParent_Done,
     /* 2097746 */   // Label 27776: @2097746
     /* 2097746 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2097837), // Rule ID 16738 //
     /* 2097751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097797 */     // MIs[0] round
     /* 2097797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097800 */     // MIs[0] policy
     /* 2097800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097810 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097836 */     // GIR_Coverage, 16738,
     /* 2097836 */     GIR_EraseRootFromParent_Done,
     /* 2097837 */   // Label 27777: @2097837
     /* 2097837 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2097928), // Rule ID 16739 //
     /* 2097842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097888 */     // MIs[0] round
     /* 2097888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097891 */     // MIs[0] policy
     /* 2097891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097901 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097927 */     // GIR_Coverage, 16739,
     /* 2097927 */     GIR_EraseRootFromParent_Done,
     /* 2097928 */   // Label 27778: @2097928
     /* 2097928 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2098019), // Rule ID 16742 //
     /* 2097933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097979 */     // MIs[0] round
     /* 2097979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097982 */     // MIs[0] policy
     /* 2097982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097992 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2097995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098018 */     // GIR_Coverage, 16742,
     /* 2098018 */     GIR_EraseRootFromParent_Done,
     /* 2098019 */   // Label 27779: @2098019
     /* 2098019 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2098110), // Rule ID 16743 //
     /* 2098024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2098035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2098038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2098044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098070 */     // MIs[0] round
     /* 2098070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098073 */     // MIs[0] policy
     /* 2098073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098083 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2098086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098109 */     // GIR_Coverage, 16743,
     /* 2098109 */     GIR_EraseRootFromParent_Done,
     /* 2098110 */   // Label 27780: @2098110
     /* 2098110 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2098201), // Rule ID 16746 //
     /* 2098115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2098126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2098129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2098135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098161 */     // MIs[0] round
     /* 2098161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098164 */     // MIs[0] policy
     /* 2098164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098174 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2098177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098200 */     // GIR_Coverage, 16746,
     /* 2098200 */     GIR_EraseRootFromParent_Done,
     /* 2098201 */   // Label 27781: @2098201
     /* 2098201 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2098292), // Rule ID 16747 //
     /* 2098206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2098217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2098220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2098226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098252 */     // MIs[0] round
     /* 2098252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098255 */     // MIs[0] policy
     /* 2098255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098265 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2098268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098291 */     // GIR_Coverage, 16747,
     /* 2098291 */     GIR_EraseRootFromParent_Done,
     /* 2098292 */   // Label 27782: @2098292
     /* 2098292 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2098383), // Rule ID 16750 //
     /* 2098297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2098308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2098311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2098317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098343 */     // MIs[0] round
     /* 2098343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098346 */     // MIs[0] policy
     /* 2098346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098356 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2098359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098382 */     // GIR_Coverage, 16750,
     /* 2098382 */     GIR_EraseRootFromParent_Done,
     /* 2098383 */   // Label 27783: @2098383
     /* 2098383 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2098474), // Rule ID 16751 //
     /* 2098388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2098399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2098402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2098408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098434 */     // MIs[0] round
     /* 2098434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098437 */     // MIs[0] policy
     /* 2098437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098447 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2098450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098473 */     // GIR_Coverage, 16751,
     /* 2098473 */     GIR_EraseRootFromParent_Done,
     /* 2098474 */   // Label 27784: @2098474
     /* 2098474 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2098565), // Rule ID 16754 //
     /* 2098479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098525 */     // MIs[0] round
     /* 2098525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098528 */     // MIs[0] policy
     /* 2098528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098538 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098564 */     // GIR_Coverage, 16754,
     /* 2098564 */     GIR_EraseRootFromParent_Done,
     /* 2098565 */   // Label 27785: @2098565
     /* 2098565 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2098656), // Rule ID 16755 //
     /* 2098570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098616 */     // MIs[0] round
     /* 2098616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098619 */     // MIs[0] policy
     /* 2098619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098629 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098655 */     // GIR_Coverage, 16755,
     /* 2098655 */     GIR_EraseRootFromParent_Done,
     /* 2098656 */   // Label 27786: @2098656
     /* 2098656 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2098747), // Rule ID 16758 //
     /* 2098661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098707 */     // MIs[0] round
     /* 2098707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098710 */     // MIs[0] policy
     /* 2098710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098720 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098746 */     // GIR_Coverage, 16758,
     /* 2098746 */     GIR_EraseRootFromParent_Done,
     /* 2098747 */   // Label 27787: @2098747
     /* 2098747 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2098838), // Rule ID 16759 //
     /* 2098752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098798 */     // MIs[0] round
     /* 2098798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098801 */     // MIs[0] policy
     /* 2098801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098811 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098837 */     // GIR_Coverage, 16759,
     /* 2098837 */     GIR_EraseRootFromParent_Done,
     /* 2098838 */   // Label 27788: @2098838
     /* 2098838 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2098929), // Rule ID 16762 //
     /* 2098843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098889 */     // MIs[0] round
     /* 2098889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098892 */     // MIs[0] policy
     /* 2098892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098928 */     // GIR_Coverage, 16762,
     /* 2098928 */     GIR_EraseRootFromParent_Done,
     /* 2098929 */   // Label 27789: @2098929
     /* 2098929 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2099020), // Rule ID 16763 //
     /* 2098934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098980 */     // MIs[0] round
     /* 2098980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098983 */     // MIs[0] policy
     /* 2098983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098993 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099019 */     // GIR_Coverage, 16763,
     /* 2099019 */     GIR_EraseRootFromParent_Done,
     /* 2099020 */   // Label 27790: @2099020
     /* 2099020 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2099111), // Rule ID 16766 //
     /* 2099025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099071 */     // MIs[0] round
     /* 2099071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099074 */     // MIs[0] policy
     /* 2099074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099084 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2099087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099110 */     // GIR_Coverage, 16766,
     /* 2099110 */     GIR_EraseRootFromParent_Done,
     /* 2099111 */   // Label 27791: @2099111
     /* 2099111 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2099202), // Rule ID 16767 //
     /* 2099116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099162 */     // MIs[0] round
     /* 2099162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099165 */     // MIs[0] policy
     /* 2099165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099175 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2099178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099201 */     // GIR_Coverage, 16767,
     /* 2099201 */     GIR_EraseRootFromParent_Done,
     /* 2099202 */   // Label 27792: @2099202
     /* 2099202 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2099293), // Rule ID 16770 //
     /* 2099207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2099224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099253 */     // MIs[0] round
     /* 2099253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099256 */     // MIs[0] policy
     /* 2099256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099266 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2099269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099292 */     // GIR_Coverage, 16770,
     /* 2099292 */     GIR_EraseRootFromParent_Done,
     /* 2099293 */   // Label 27793: @2099293
     /* 2099293 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2099384), // Rule ID 16771 //
     /* 2099298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2099315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099344 */     // MIs[0] round
     /* 2099344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099347 */     // MIs[0] policy
     /* 2099347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099357 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2099360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099383 */     // GIR_Coverage, 16771,
     /* 2099383 */     GIR_EraseRootFromParent_Done,
     /* 2099384 */   // Label 27794: @2099384
     /* 2099384 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2099475), // Rule ID 16774 //
     /* 2099389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099435 */     // MIs[0] round
     /* 2099435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099438 */     // MIs[0] policy
     /* 2099438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099448 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099474 */     // GIR_Coverage, 16774,
     /* 2099474 */     GIR_EraseRootFromParent_Done,
     /* 2099475 */   // Label 27795: @2099475
     /* 2099475 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2099566), // Rule ID 16775 //
     /* 2099480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099526 */     // MIs[0] round
     /* 2099526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099529 */     // MIs[0] policy
     /* 2099529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099539 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099565 */     // GIR_Coverage, 16775,
     /* 2099565 */     GIR_EraseRootFromParent_Done,
     /* 2099566 */   // Label 27796: @2099566
     /* 2099566 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2099657), // Rule ID 16778 //
     /* 2099571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099617 */     // MIs[0] round
     /* 2099617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099620 */     // MIs[0] policy
     /* 2099620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099630 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099656 */     // GIR_Coverage, 16778,
     /* 2099656 */     GIR_EraseRootFromParent_Done,
     /* 2099657 */   // Label 27797: @2099657
     /* 2099657 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2099748), // Rule ID 16779 //
     /* 2099662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099708 */     // MIs[0] round
     /* 2099708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099711 */     // MIs[0] policy
     /* 2099711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099721 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099747 */     // GIR_Coverage, 16779,
     /* 2099747 */     GIR_EraseRootFromParent_Done,
     /* 2099748 */   // Label 27798: @2099748
     /* 2099748 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2099839), // Rule ID 16782 //
     /* 2099753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099799 */     // MIs[0] round
     /* 2099799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099802 */     // MIs[0] policy
     /* 2099802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099838 */     // GIR_Coverage, 16782,
     /* 2099838 */     GIR_EraseRootFromParent_Done,
     /* 2099839 */   // Label 27799: @2099839
     /* 2099839 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2099930), // Rule ID 16783 //
     /* 2099844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099890 */     // MIs[0] round
     /* 2099890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099893 */     // MIs[0] policy
     /* 2099893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099903 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099929 */     // GIR_Coverage, 16783,
     /* 2099929 */     GIR_EraseRootFromParent_Done,
     /* 2099930 */   // Label 27800: @2099930
     /* 2099930 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2100021), // Rule ID 16786 //
     /* 2099935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099981 */     // MIs[0] round
     /* 2099981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099984 */     // MIs[0] policy
     /* 2099984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099994 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2099997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100020 */     // GIR_Coverage, 16786,
     /* 2100020 */     GIR_EraseRootFromParent_Done,
     /* 2100021 */   // Label 27801: @2100021
     /* 2100021 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2100112), // Rule ID 16787 //
     /* 2100026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2100037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2100040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2100043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100072 */     // MIs[0] round
     /* 2100072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100075 */     // MIs[0] policy
     /* 2100075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100085 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2100088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100111 */     // GIR_Coverage, 16787,
     /* 2100111 */     GIR_EraseRootFromParent_Done,
     /* 2100112 */   // Label 27802: @2100112
     /* 2100112 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2100203), // Rule ID 16790 //
     /* 2100117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2100128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2100131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100163 */     // MIs[0] round
     /* 2100163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100166 */     // MIs[0] policy
     /* 2100166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100176 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2100179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100202 */     // GIR_Coverage, 16790,
     /* 2100202 */     GIR_EraseRootFromParent_Done,
     /* 2100203 */   // Label 27803: @2100203
     /* 2100203 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2100294), // Rule ID 16791 //
     /* 2100208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2100219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2100222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100254 */     // MIs[0] round
     /* 2100254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100257 */     // MIs[0] policy
     /* 2100257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100267 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2100270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100293 */     // GIR_Coverage, 16791,
     /* 2100293 */     GIR_EraseRootFromParent_Done,
     /* 2100294 */   // Label 27804: @2100294
     /* 2100294 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2100385), // Rule ID 16794 //
     /* 2100299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2100310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2100313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2100316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2100322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100345 */     // MIs[0] round
     /* 2100345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100348 */     // MIs[0] policy
     /* 2100348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100358 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2100361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100384 */     // GIR_Coverage, 16794,
     /* 2100384 */     GIR_EraseRootFromParent_Done,
     /* 2100385 */   // Label 27805: @2100385
     /* 2100385 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2100476), // Rule ID 16795 //
     /* 2100390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2100401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2100404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2100407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2100413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100436 */     // MIs[0] round
     /* 2100436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100439 */     // MIs[0] policy
     /* 2100439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100449 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2100452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100475 */     // GIR_Coverage, 16795,
     /* 2100475 */     GIR_EraseRootFromParent_Done,
     /* 2100476 */   // Label 27806: @2100476
     /* 2100476 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2100567), // Rule ID 16798 //
     /* 2100481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100527 */     // MIs[0] round
     /* 2100527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100530 */     // MIs[0] policy
     /* 2100530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100540 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100566 */     // GIR_Coverage, 16798,
     /* 2100566 */     GIR_EraseRootFromParent_Done,
     /* 2100567 */   // Label 27807: @2100567
     /* 2100567 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2100658), // Rule ID 16799 //
     /* 2100572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100618 */     // MIs[0] round
     /* 2100618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100621 */     // MIs[0] policy
     /* 2100621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100631 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100657 */     // GIR_Coverage, 16799,
     /* 2100657 */     GIR_EraseRootFromParent_Done,
     /* 2100658 */   // Label 27808: @2100658
     /* 2100658 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2100749), // Rule ID 16802 //
     /* 2100663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100709 */     // MIs[0] round
     /* 2100709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100712 */     // MIs[0] policy
     /* 2100712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100722 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100748 */     // GIR_Coverage, 16802,
     /* 2100748 */     GIR_EraseRootFromParent_Done,
     /* 2100749 */   // Label 27809: @2100749
     /* 2100749 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2100840), // Rule ID 16803 //
     /* 2100754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100800 */     // MIs[0] round
     /* 2100800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100803 */     // MIs[0] policy
     /* 2100803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100813 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100839 */     // GIR_Coverage, 16803,
     /* 2100839 */     GIR_EraseRootFromParent_Done,
     /* 2100840 */   // Label 27810: @2100840
     /* 2100840 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2100931), // Rule ID 16806 //
     /* 2100845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100891 */     // MIs[0] round
     /* 2100891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100894 */     // MIs[0] policy
     /* 2100894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100904 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100930 */     // GIR_Coverage, 16806,
     /* 2100930 */     GIR_EraseRootFromParent_Done,
     /* 2100931 */   // Label 27811: @2100931
     /* 2100931 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2101022), // Rule ID 16807 //
     /* 2100936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100982 */     // MIs[0] round
     /* 2100982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100985 */     // MIs[0] policy
     /* 2100985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100995 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101021 */     // GIR_Coverage, 16807,
     /* 2101021 */     GIR_EraseRootFromParent_Done,
     /* 2101022 */   // Label 27812: @2101022
     /* 2101022 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2101113), // Rule ID 16810 //
     /* 2101027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2101038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2101041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101073 */     // MIs[0] round
     /* 2101073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101076 */     // MIs[0] policy
     /* 2101076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101086 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2101089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101112 */     // GIR_Coverage, 16810,
     /* 2101112 */     GIR_EraseRootFromParent_Done,
     /* 2101113 */   // Label 27813: @2101113
     /* 2101113 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2101204), // Rule ID 16811 //
     /* 2101118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2101129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2101132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101164 */     // MIs[0] round
     /* 2101164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101167 */     // MIs[0] policy
     /* 2101167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101177 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2101180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101203 */     // GIR_Coverage, 16811,
     /* 2101203 */     GIR_EraseRootFromParent_Done,
     /* 2101204 */   // Label 27814: @2101204
     /* 2101204 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2101295), // Rule ID 16814 //
     /* 2101209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2101220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2101223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2101226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101255 */     // MIs[0] round
     /* 2101255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101258 */     // MIs[0] policy
     /* 2101258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101268 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2101271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101294 */     // GIR_Coverage, 16814,
     /* 2101294 */     GIR_EraseRootFromParent_Done,
     /* 2101295 */   // Label 27815: @2101295
     /* 2101295 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2101386), // Rule ID 16815 //
     /* 2101300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2101311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2101314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2101317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101346 */     // MIs[0] round
     /* 2101346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101349 */     // MIs[0] policy
     /* 2101349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101359 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2101362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101385 */     // GIR_Coverage, 16815,
     /* 2101385 */     GIR_EraseRootFromParent_Done,
     /* 2101386 */   // Label 27816: @2101386
     /* 2101386 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2101477), // Rule ID 16818 //
     /* 2101391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101437 */     // MIs[0] round
     /* 2101437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101440 */     // MIs[0] policy
     /* 2101440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101450 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101476 */     // GIR_Coverage, 16818,
     /* 2101476 */     GIR_EraseRootFromParent_Done,
     /* 2101477 */   // Label 27817: @2101477
     /* 2101477 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2101568), // Rule ID 16819 //
     /* 2101482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101528 */     // MIs[0] round
     /* 2101528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101531 */     // MIs[0] policy
     /* 2101531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101541 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101567 */     // GIR_Coverage, 16819,
     /* 2101567 */     GIR_EraseRootFromParent_Done,
     /* 2101568 */   // Label 27818: @2101568
     /* 2101568 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2101659), // Rule ID 16822 //
     /* 2101573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101619 */     // MIs[0] round
     /* 2101619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101622 */     // MIs[0] policy
     /* 2101622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101632 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101658 */     // GIR_Coverage, 16822,
     /* 2101658 */     GIR_EraseRootFromParent_Done,
     /* 2101659 */   // Label 27819: @2101659
     /* 2101659 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2101750), // Rule ID 16823 //
     /* 2101664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101710 */     // MIs[0] round
     /* 2101710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101713 */     // MIs[0] policy
     /* 2101713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101723 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101749 */     // GIR_Coverage, 16823,
     /* 2101749 */     GIR_EraseRootFromParent_Done,
     /* 2101750 */   // Label 27820: @2101750
     /* 2101750 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2101841), // Rule ID 16826 //
     /* 2101755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101801 */     // MIs[0] round
     /* 2101801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101804 */     // MIs[0] policy
     /* 2101804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101840 */     // GIR_Coverage, 16826,
     /* 2101840 */     GIR_EraseRootFromParent_Done,
     /* 2101841 */   // Label 27821: @2101841
     /* 2101841 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2101932), // Rule ID 16827 //
     /* 2101846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101892 */     // MIs[0] round
     /* 2101892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101895 */     // MIs[0] policy
     /* 2101895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101905 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101931 */     // GIR_Coverage, 16827,
     /* 2101931 */     GIR_EraseRootFromParent_Done,
     /* 2101932 */   // Label 27822: @2101932
     /* 2101932 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2102023), // Rule ID 16830 //
     /* 2101937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101983 */     // MIs[0] round
     /* 2101983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101986 */     // MIs[0] policy
     /* 2101986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101996 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2101999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102022 */     // GIR_Coverage, 16830,
     /* 2102022 */     GIR_EraseRootFromParent_Done,
     /* 2102023 */   // Label 27823: @2102023
     /* 2102023 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2102114), // Rule ID 16831 //
     /* 2102028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102074 */     // MIs[0] round
     /* 2102074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102077 */     // MIs[0] policy
     /* 2102077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102087 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2102090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102113 */     // GIR_Coverage, 16831,
     /* 2102113 */     GIR_EraseRootFromParent_Done,
     /* 2102114 */   // Label 27824: @2102114
     /* 2102114 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2102205), // Rule ID 16834 //
     /* 2102119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2102136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102165 */     // MIs[0] round
     /* 2102165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102168 */     // MIs[0] policy
     /* 2102168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102178 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2102181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102204 */     // GIR_Coverage, 16834,
     /* 2102204 */     GIR_EraseRootFromParent_Done,
     /* 2102205 */   // Label 27825: @2102205
     /* 2102205 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2102296), // Rule ID 16835 //
     /* 2102210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2102227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102256 */     // MIs[0] round
     /* 2102256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102259 */     // MIs[0] policy
     /* 2102259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102269 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2102272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102295 */     // GIR_Coverage, 16835,
     /* 2102295 */     GIR_EraseRootFromParent_Done,
     /* 2102296 */   // Label 27826: @2102296
     /* 2102296 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2102387), // Rule ID 16838 //
     /* 2102301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102347 */     // MIs[0] round
     /* 2102347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102350 */     // MIs[0] policy
     /* 2102350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2102363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102386 */     // GIR_Coverage, 16838,
     /* 2102386 */     GIR_EraseRootFromParent_Done,
     /* 2102387 */   // Label 27827: @2102387
     /* 2102387 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2102478), // Rule ID 16839 //
     /* 2102392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102438 */     // MIs[0] round
     /* 2102438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102441 */     // MIs[0] policy
     /* 2102441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102451 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2102454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102477 */     // GIR_Coverage, 16839,
     /* 2102477 */     GIR_EraseRootFromParent_Done,
     /* 2102478 */   // Label 27828: @2102478
     /* 2102478 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2102569), // Rule ID 16842 //
     /* 2102483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102529 */     // MIs[0] round
     /* 2102529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102532 */     // MIs[0] policy
     /* 2102532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102568 */     // GIR_Coverage, 16842,
     /* 2102568 */     GIR_EraseRootFromParent_Done,
     /* 2102569 */   // Label 27829: @2102569
     /* 2102569 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2102660), // Rule ID 16843 //
     /* 2102574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102620 */     // MIs[0] round
     /* 2102620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102623 */     // MIs[0] policy
     /* 2102623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102633 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102659 */     // GIR_Coverage, 16843,
     /* 2102659 */     GIR_EraseRootFromParent_Done,
     /* 2102660 */   // Label 27830: @2102660
     /* 2102660 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2102751), // Rule ID 16846 //
     /* 2102665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102711 */     // MIs[0] round
     /* 2102711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102714 */     // MIs[0] policy
     /* 2102714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102724 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102750 */     // GIR_Coverage, 16846,
     /* 2102750 */     GIR_EraseRootFromParent_Done,
     /* 2102751 */   // Label 27831: @2102751
     /* 2102751 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2102842), // Rule ID 16847 //
     /* 2102756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102802 */     // MIs[0] round
     /* 2102802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102805 */     // MIs[0] policy
     /* 2102805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102815 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102841 */     // GIR_Coverage, 16847,
     /* 2102841 */     GIR_EraseRootFromParent_Done,
     /* 2102842 */   // Label 27832: @2102842
     /* 2102842 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2102933), // Rule ID 16850 //
     /* 2102847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102893 */     // MIs[0] round
     /* 2102893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102896 */     // MIs[0] policy
     /* 2102896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102906 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2102909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102932 */     // GIR_Coverage, 16850,
     /* 2102932 */     GIR_EraseRootFromParent_Done,
     /* 2102933 */   // Label 27833: @2102933
     /* 2102933 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2103024), // Rule ID 16851 //
     /* 2102938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102984 */     // MIs[0] round
     /* 2102984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102987 */     // MIs[0] policy
     /* 2102987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102997 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2103000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103023 */     // GIR_Coverage, 16851,
     /* 2103023 */     GIR_EraseRootFromParent_Done,
     /* 2103024 */   // Label 27834: @2103024
     /* 2103024 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2103115), // Rule ID 16854 //
     /* 2103029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103075 */     // MIs[0] round
     /* 2103075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103078 */     // MIs[0] policy
     /* 2103078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103088 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2103091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103114 */     // GIR_Coverage, 16854,
     /* 2103114 */     GIR_EraseRootFromParent_Done,
     /* 2103115 */   // Label 27835: @2103115
     /* 2103115 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2103206), // Rule ID 16855 //
     /* 2103120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103166 */     // MIs[0] round
     /* 2103166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103169 */     // MIs[0] policy
     /* 2103169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103179 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2103182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103205 */     // GIR_Coverage, 16855,
     /* 2103205 */     GIR_EraseRootFromParent_Done,
     /* 2103206 */   // Label 27836: @2103206
     /* 2103206 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2103297), // Rule ID 16858 //
     /* 2103211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2103228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103257 */     // MIs[0] round
     /* 2103257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103260 */     // MIs[0] policy
     /* 2103260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103270 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2103273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103296 */     // GIR_Coverage, 16858,
     /* 2103296 */     GIR_EraseRootFromParent_Done,
     /* 2103297 */   // Label 27837: @2103297
     /* 2103297 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2103388), // Rule ID 16859 //
     /* 2103302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2103319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103348 */     // MIs[0] round
     /* 2103348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103351 */     // MIs[0] policy
     /* 2103351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103361 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2103364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103387 */     // GIR_Coverage, 16859,
     /* 2103387 */     GIR_EraseRootFromParent_Done,
     /* 2103388 */   // Label 27838: @2103388
     /* 2103388 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2103479), // Rule ID 16862 //
     /* 2103393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103439 */     // MIs[0] round
     /* 2103439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103442 */     // MIs[0] policy
     /* 2103442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103478 */     // GIR_Coverage, 16862,
     /* 2103478 */     GIR_EraseRootFromParent_Done,
     /* 2103479 */   // Label 27839: @2103479
     /* 2103479 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2103570), // Rule ID 16863 //
     /* 2103484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103530 */     // MIs[0] round
     /* 2103530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103533 */     // MIs[0] policy
     /* 2103533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103543 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103569 */     // GIR_Coverage, 16863,
     /* 2103569 */     GIR_EraseRootFromParent_Done,
     /* 2103570 */   // Label 27840: @2103570
     /* 2103570 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2103661), // Rule ID 16866 //
     /* 2103575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103621 */     // MIs[0] round
     /* 2103621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103624 */     // MIs[0] policy
     /* 2103624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103634 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103660 */     // GIR_Coverage, 16866,
     /* 2103660 */     GIR_EraseRootFromParent_Done,
     /* 2103661 */   // Label 27841: @2103661
     /* 2103661 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2103752), // Rule ID 16867 //
     /* 2103666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103712 */     // MIs[0] round
     /* 2103712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103715 */     // MIs[0] policy
     /* 2103715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103725 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103751 */     // GIR_Coverage, 16867,
     /* 2103751 */     GIR_EraseRootFromParent_Done,
     /* 2103752 */   // Label 27842: @2103752
     /* 2103752 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2103843), // Rule ID 16870 //
     /* 2103757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103803 */     // MIs[0] round
     /* 2103803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103806 */     // MIs[0] policy
     /* 2103806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103842 */     // GIR_Coverage, 16870,
     /* 2103842 */     GIR_EraseRootFromParent_Done,
     /* 2103843 */   // Label 27843: @2103843
     /* 2103843 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2103934), // Rule ID 16871 //
     /* 2103848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103894 */     // MIs[0] round
     /* 2103894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103897 */     // MIs[0] policy
     /* 2103897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103907 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103933 */     // GIR_Coverage, 16871,
     /* 2103933 */     GIR_EraseRootFromParent_Done,
     /* 2103934 */   // Label 27844: @2103934
     /* 2103934 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2104025), // Rule ID 16874 //
     /* 2103939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103985 */     // MIs[0] round
     /* 2103985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103988 */     // MIs[0] policy
     /* 2103988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103998 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2104001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104024 */     // GIR_Coverage, 16874,
     /* 2104024 */     GIR_EraseRootFromParent_Done,
     /* 2104025 */   // Label 27845: @2104025
     /* 2104025 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2104116), // Rule ID 16875 //
     /* 2104030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2104038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2104047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2104072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104076 */     // MIs[0] round
     /* 2104076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104079 */     // MIs[0] policy
     /* 2104079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104089 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2104092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104115 */     // GIR_Coverage, 16875,
     /* 2104115 */     GIR_EraseRootFromParent_Done,
     /* 2104116 */   // Label 27846: @2104116
     /* 2104116 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2104207), // Rule ID 16878 //
     /* 2104121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2104129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2104138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2104163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104167 */     // MIs[0] round
     /* 2104167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104170 */     // MIs[0] policy
     /* 2104170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104180 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2104183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104206 */     // GIR_Coverage, 16878,
     /* 2104206 */     GIR_EraseRootFromParent_Done,
     /* 2104207 */   // Label 27847: @2104207
     /* 2104207 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2104298), // Rule ID 16879 //
     /* 2104212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2104220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2104229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2104254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104258 */     // MIs[0] round
     /* 2104258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104261 */     // MIs[0] policy
     /* 2104261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104271 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2104274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104297 */     // GIR_Coverage, 16879,
     /* 2104297 */     GIR_EraseRootFromParent_Done,
     /* 2104298 */   // Label 27848: @2104298
     /* 2104298 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2104389), // Rule ID 16882 //
     /* 2104303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2104314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2104317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104349 */     // MIs[0] round
     /* 2104349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104352 */     // MIs[0] policy
     /* 2104352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104362 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2104365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104388 */     // GIR_Coverage, 16882,
     /* 2104388 */     GIR_EraseRootFromParent_Done,
     /* 2104389 */   // Label 27849: @2104389
     /* 2104389 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2104480), // Rule ID 16883 //
     /* 2104394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2104405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2104408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104440 */     // MIs[0] round
     /* 2104440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104443 */     // MIs[0] policy
     /* 2104443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104453 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2104456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104479 */     // GIR_Coverage, 16883,
     /* 2104479 */     GIR_EraseRootFromParent_Done,
     /* 2104480 */   // Label 27850: @2104480
     /* 2104480 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2104571), // Rule ID 16886 //
     /* 2104485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104531 */     // MIs[0] round
     /* 2104531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104534 */     // MIs[0] policy
     /* 2104534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104570 */     // GIR_Coverage, 16886,
     /* 2104570 */     GIR_EraseRootFromParent_Done,
     /* 2104571 */   // Label 27851: @2104571
     /* 2104571 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2104662), // Rule ID 16887 //
     /* 2104576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104622 */     // MIs[0] round
     /* 2104622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104625 */     // MIs[0] policy
     /* 2104625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104635 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104661 */     // GIR_Coverage, 16887,
     /* 2104661 */     GIR_EraseRootFromParent_Done,
     /* 2104662 */   // Label 27852: @2104662
     /* 2104662 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2104753), // Rule ID 16890 //
     /* 2104667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104713 */     // MIs[0] round
     /* 2104713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104716 */     // MIs[0] policy
     /* 2104716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104726 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104752 */     // GIR_Coverage, 16890,
     /* 2104752 */     GIR_EraseRootFromParent_Done,
     /* 2104753 */   // Label 27853: @2104753
     /* 2104753 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2104844), // Rule ID 16891 //
     /* 2104758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104804 */     // MIs[0] round
     /* 2104804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104807 */     // MIs[0] policy
     /* 2104807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104843 */     // GIR_Coverage, 16891,
     /* 2104843 */     GIR_EraseRootFromParent_Done,
     /* 2104844 */   // Label 27854: @2104844
     /* 2104844 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2104935), // Rule ID 16894 //
     /* 2104849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104895 */     // MIs[0] round
     /* 2104895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104898 */     // MIs[0] policy
     /* 2104898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2104911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104934 */     // GIR_Coverage, 16894,
     /* 2104934 */     GIR_EraseRootFromParent_Done,
     /* 2104935 */   // Label 27855: @2104935
     /* 2104935 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2105026), // Rule ID 16895 //
     /* 2104940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104986 */     // MIs[0] round
     /* 2104986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104989 */     // MIs[0] policy
     /* 2104989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104999 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2105002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105025 */     // GIR_Coverage, 16895,
     /* 2105025 */     GIR_EraseRootFromParent_Done,
     /* 2105026 */   // Label 27856: @2105026
     /* 2105026 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2105117), // Rule ID 16898 //
     /* 2105031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2105048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2105051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105077 */     // MIs[0] round
     /* 2105077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105080 */     // MIs[0] policy
     /* 2105080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105090 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2105093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105116 */     // GIR_Coverage, 16898,
     /* 2105116 */     GIR_EraseRootFromParent_Done,
     /* 2105117 */   // Label 27857: @2105117
     /* 2105117 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2105208), // Rule ID 16899 //
     /* 2105122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2105139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2105142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105168 */     // MIs[0] round
     /* 2105168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105171 */     // MIs[0] policy
     /* 2105171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105181 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2105184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105207 */     // GIR_Coverage, 16899,
     /* 2105207 */     GIR_EraseRootFromParent_Done,
     /* 2105208 */   // Label 27858: @2105208
     /* 2105208 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2105299), // Rule ID 16902 //
     /* 2105213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105259 */     // MIs[0] round
     /* 2105259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105262 */     // MIs[0] policy
     /* 2105262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105272 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2105275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105298 */     // GIR_Coverage, 16902,
     /* 2105298 */     GIR_EraseRootFromParent_Done,
     /* 2105299 */   // Label 27859: @2105299
     /* 2105299 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2105390), // Rule ID 16903 //
     /* 2105304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105350 */     // MIs[0] round
     /* 2105350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105353 */     // MIs[0] policy
     /* 2105353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105363 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2105366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105389 */     // GIR_Coverage, 16903,
     /* 2105389 */     GIR_EraseRootFromParent_Done,
     /* 2105390 */   // Label 27860: @2105390
     /* 2105390 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2105481), // Rule ID 16906 //
     /* 2105395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105441 */     // MIs[0] round
     /* 2105441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105444 */     // MIs[0] policy
     /* 2105444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105454 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105480 */     // GIR_Coverage, 16906,
     /* 2105480 */     GIR_EraseRootFromParent_Done,
     /* 2105481 */   // Label 27861: @2105481
     /* 2105481 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2105572), // Rule ID 16907 //
     /* 2105486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105532 */     // MIs[0] round
     /* 2105532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105535 */     // MIs[0] policy
     /* 2105535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105545 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105571 */     // GIR_Coverage, 16907,
     /* 2105571 */     GIR_EraseRootFromParent_Done,
     /* 2105572 */   // Label 27862: @2105572
     /* 2105572 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2105663), // Rule ID 16910 //
     /* 2105577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105623 */     // MIs[0] round
     /* 2105623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105626 */     // MIs[0] policy
     /* 2105626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105662 */     // GIR_Coverage, 16910,
     /* 2105662 */     GIR_EraseRootFromParent_Done,
     /* 2105663 */   // Label 27863: @2105663
     /* 2105663 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2105754), // Rule ID 16911 //
     /* 2105668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105714 */     // MIs[0] round
     /* 2105714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105717 */     // MIs[0] policy
     /* 2105717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105727 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105753 */     // GIR_Coverage, 16911,
     /* 2105753 */     GIR_EraseRootFromParent_Done,
     /* 2105754 */   // Label 27864: @2105754
     /* 2105754 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2105845), // Rule ID 16914 //
     /* 2105759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105805 */     // MIs[0] round
     /* 2105805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105808 */     // MIs[0] policy
     /* 2105808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105844 */     // GIR_Coverage, 16914,
     /* 2105844 */     GIR_EraseRootFromParent_Done,
     /* 2105845 */   // Label 27865: @2105845
     /* 2105845 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2105936), // Rule ID 16915 //
     /* 2105850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105896 */     // MIs[0] round
     /* 2105896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105899 */     // MIs[0] policy
     /* 2105899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105909 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105935 */     // GIR_Coverage, 16915,
     /* 2105935 */     GIR_EraseRootFromParent_Done,
     /* 2105936 */   // Label 27866: @2105936
     /* 2105936 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2106027), // Rule ID 16918 //
     /* 2105941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105987 */     // MIs[0] round
     /* 2105987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105990 */     // MIs[0] policy
     /* 2105990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106000 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2106003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106026 */     // GIR_Coverage, 16918,
     /* 2106026 */     GIR_EraseRootFromParent_Done,
     /* 2106027 */   // Label 27867: @2106027
     /* 2106027 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2106118), // Rule ID 16919 //
     /* 2106032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2106049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106078 */     // MIs[0] round
     /* 2106078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106081 */     // MIs[0] policy
     /* 2106081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106091 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2106094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106117 */     // GIR_Coverage, 16919,
     /* 2106117 */     GIR_EraseRootFromParent_Done,
     /* 2106118 */   // Label 27868: @2106118
     /* 2106118 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2106209), // Rule ID 16922 //
     /* 2106123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106169 */     // MIs[0] round
     /* 2106169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106172 */     // MIs[0] policy
     /* 2106172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106182 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2106185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106208 */     // GIR_Coverage, 16922,
     /* 2106208 */     GIR_EraseRootFromParent_Done,
     /* 2106209 */   // Label 27869: @2106209
     /* 2106209 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2106300), // Rule ID 16923 //
     /* 2106214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106260 */     // MIs[0] round
     /* 2106260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106263 */     // MIs[0] policy
     /* 2106263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106273 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2106276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106299 */     // GIR_Coverage, 16923,
     /* 2106299 */     GIR_EraseRootFromParent_Done,
     /* 2106300 */   // Label 27870: @2106300
     /* 2106300 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2106391), // Rule ID 16926 //
     /* 2106305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106351 */     // MIs[0] round
     /* 2106351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106354 */     // MIs[0] policy
     /* 2106354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106364 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2106367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106390 */     // GIR_Coverage, 16926,
     /* 2106390 */     GIR_EraseRootFromParent_Done,
     /* 2106391 */   // Label 27871: @2106391
     /* 2106391 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2106482), // Rule ID 16927 //
     /* 2106396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106442 */     // MIs[0] round
     /* 2106442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106445 */     // MIs[0] policy
     /* 2106445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106455 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2106458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106481 */     // GIR_Coverage, 16927,
     /* 2106481 */     GIR_EraseRootFromParent_Done,
     /* 2106482 */   // Label 27872: @2106482
     /* 2106482 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2106573), // Rule ID 16930 //
     /* 2106487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106533 */     // MIs[0] round
     /* 2106533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106536 */     // MIs[0] policy
     /* 2106536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106546 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106572 */     // GIR_Coverage, 16930,
     /* 2106572 */     GIR_EraseRootFromParent_Done,
     /* 2106573 */   // Label 27873: @2106573
     /* 2106573 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2106664), // Rule ID 16931 //
     /* 2106578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106624 */     // MIs[0] round
     /* 2106624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106627 */     // MIs[0] policy
     /* 2106627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106637 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106663 */     // GIR_Coverage, 16931,
     /* 2106663 */     GIR_EraseRootFromParent_Done,
     /* 2106664 */   // Label 27874: @2106664
     /* 2106664 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2106755), // Rule ID 16934 //
     /* 2106669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106715 */     // MIs[0] round
     /* 2106715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106718 */     // MIs[0] policy
     /* 2106718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106728 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106754 */     // GIR_Coverage, 16934,
     /* 2106754 */     GIR_EraseRootFromParent_Done,
     /* 2106755 */   // Label 27875: @2106755
     /* 2106755 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2106846), // Rule ID 16935 //
     /* 2106760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106806 */     // MIs[0] round
     /* 2106806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106809 */     // MIs[0] policy
     /* 2106809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106819 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106845 */     // GIR_Coverage, 16935,
     /* 2106845 */     GIR_EraseRootFromParent_Done,
     /* 2106846 */   // Label 27876: @2106846
     /* 2106846 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2106937), // Rule ID 16938 //
     /* 2106851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106897 */     // MIs[0] round
     /* 2106897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106900 */     // MIs[0] policy
     /* 2106900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106910 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2106913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106936 */     // GIR_Coverage, 16938,
     /* 2106936 */     GIR_EraseRootFromParent_Done,
     /* 2106937 */   // Label 27877: @2106937
     /* 2106937 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2107028), // Rule ID 16939 //
     /* 2106942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106988 */     // MIs[0] round
     /* 2106988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106991 */     // MIs[0] policy
     /* 2106991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107001 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2107004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107027 */     // GIR_Coverage, 16939,
     /* 2107027 */     GIR_EraseRootFromParent_Done,
     /* 2107028 */   // Label 27878: @2107028
     /* 2107028 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2107119), // Rule ID 16942 //
     /* 2107033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107079 */     // MIs[0] round
     /* 2107079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107082 */     // MIs[0] policy
     /* 2107082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2107095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107118 */     // GIR_Coverage, 16942,
     /* 2107118 */     GIR_EraseRootFromParent_Done,
     /* 2107119 */   // Label 27879: @2107119
     /* 2107119 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2107210), // Rule ID 16943 //
     /* 2107124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107170 */     // MIs[0] round
     /* 2107170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107173 */     // MIs[0] policy
     /* 2107173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107183 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2107186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107209 */     // GIR_Coverage, 16943,
     /* 2107209 */     GIR_EraseRootFromParent_Done,
     /* 2107210 */   // Label 27880: @2107210
     /* 2107210 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2107301), // Rule ID 16946 //
     /* 2107215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107261 */     // MIs[0] round
     /* 2107261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107264 */     // MIs[0] policy
     /* 2107264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2107277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107300 */     // GIR_Coverage, 16946,
     /* 2107300 */     GIR_EraseRootFromParent_Done,
     /* 2107301 */   // Label 27881: @2107301
     /* 2107301 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2107392), // Rule ID 16947 //
     /* 2107306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107352 */     // MIs[0] round
     /* 2107352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107355 */     // MIs[0] policy
     /* 2107355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2107368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107391 */     // GIR_Coverage, 16947,
     /* 2107391 */     GIR_EraseRootFromParent_Done,
     /* 2107392 */   // Label 27882: @2107392
     /* 2107392 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2107483), // Rule ID 16950 //
     /* 2107397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107443 */     // MIs[0] round
     /* 2107443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107446 */     // MIs[0] policy
     /* 2107446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107482 */     // GIR_Coverage, 16950,
     /* 2107482 */     GIR_EraseRootFromParent_Done,
     /* 2107483 */   // Label 27883: @2107483
     /* 2107483 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2107574), // Rule ID 16951 //
     /* 2107488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107534 */     // MIs[0] round
     /* 2107534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107537 */     // MIs[0] policy
     /* 2107537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107573 */     // GIR_Coverage, 16951,
     /* 2107573 */     GIR_EraseRootFromParent_Done,
     /* 2107574 */   // Label 27884: @2107574
     /* 2107574 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2107665), // Rule ID 16954 //
     /* 2107579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107625 */     // MIs[0] round
     /* 2107625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107628 */     // MIs[0] policy
     /* 2107628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107638 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107664 */     // GIR_Coverage, 16954,
     /* 2107664 */     GIR_EraseRootFromParent_Done,
     /* 2107665 */   // Label 27885: @2107665
     /* 2107665 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2107756), // Rule ID 16955 //
     /* 2107670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107716 */     // MIs[0] round
     /* 2107716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107719 */     // MIs[0] policy
     /* 2107719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107729 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107755 */     // GIR_Coverage, 16955,
     /* 2107755 */     GIR_EraseRootFromParent_Done,
     /* 2107756 */   // Label 27886: @2107756
     /* 2107756 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2107847), // Rule ID 16958 //
     /* 2107761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107807 */     // MIs[0] round
     /* 2107807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107810 */     // MIs[0] policy
     /* 2107810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107820 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107846 */     // GIR_Coverage, 16958,
     /* 2107846 */     GIR_EraseRootFromParent_Done,
     /* 2107847 */   // Label 27887: @2107847
     /* 2107847 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2107938), // Rule ID 16959 //
     /* 2107852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107898 */     // MIs[0] round
     /* 2107898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107901 */     // MIs[0] policy
     /* 2107901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107911 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107937 */     // GIR_Coverage, 16959,
     /* 2107937 */     GIR_EraseRootFromParent_Done,
     /* 2107938 */   // Label 27888: @2107938
     /* 2107938 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2108029), // Rule ID 16962 //
     /* 2107943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2107960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2107963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107989 */     // MIs[0] round
     /* 2107989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107992 */     // MIs[0] policy
     /* 2107992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2108005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108028 */     // GIR_Coverage, 16962,
     /* 2108028 */     GIR_EraseRootFromParent_Done,
     /* 2108029 */   // Label 27889: @2108029
     /* 2108029 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2108120), // Rule ID 16963 //
     /* 2108034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2108045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2108048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2108054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108080 */     // MIs[0] round
     /* 2108080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108083 */     // MIs[0] policy
     /* 2108083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108093 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2108096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108119 */     // GIR_Coverage, 16963,
     /* 2108119 */     GIR_EraseRootFromParent_Done,
     /* 2108120 */   // Label 27890: @2108120
     /* 2108120 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2108211), // Rule ID 16966 //
     /* 2108125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108171 */     // MIs[0] round
     /* 2108171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108174 */     // MIs[0] policy
     /* 2108174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108184 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2108187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108210 */     // GIR_Coverage, 16966,
     /* 2108210 */     GIR_EraseRootFromParent_Done,
     /* 2108211 */   // Label 27891: @2108211
     /* 2108211 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2108302), // Rule ID 16967 //
     /* 2108216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108262 */     // MIs[0] round
     /* 2108262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108265 */     // MIs[0] policy
     /* 2108265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108275 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2108278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108301 */     // GIR_Coverage, 16967,
     /* 2108301 */     GIR_EraseRootFromParent_Done,
     /* 2108302 */   // Label 27892: @2108302
     /* 2108302 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2108393), // Rule ID 16970 //
     /* 2108307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108353 */     // MIs[0] round
     /* 2108353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108356 */     // MIs[0] policy
     /* 2108356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108366 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2108369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108392 */     // GIR_Coverage, 16970,
     /* 2108392 */     GIR_EraseRootFromParent_Done,
     /* 2108393 */   // Label 27893: @2108393
     /* 2108393 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2108484), // Rule ID 16971 //
     /* 2108398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108444 */     // MIs[0] round
     /* 2108444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108447 */     // MIs[0] policy
     /* 2108447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108457 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2108460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108483 */     // GIR_Coverage, 16971,
     /* 2108483 */     GIR_EraseRootFromParent_Done,
     /* 2108484 */   // Label 27894: @2108484
     /* 2108484 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2108575), // Rule ID 16974 //
     /* 2108489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108535 */     // MIs[0] round
     /* 2108535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108538 */     // MIs[0] policy
     /* 2108538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108574 */     // GIR_Coverage, 16974,
     /* 2108574 */     GIR_EraseRootFromParent_Done,
     /* 2108575 */   // Label 27895: @2108575
     /* 2108575 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2108666), // Rule ID 16975 //
     /* 2108580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108626 */     // MIs[0] round
     /* 2108626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108629 */     // MIs[0] policy
     /* 2108629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108639 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108665 */     // GIR_Coverage, 16975,
     /* 2108665 */     GIR_EraseRootFromParent_Done,
     /* 2108666 */   // Label 27896: @2108666
     /* 2108666 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2108757), // Rule ID 16978 //
     /* 2108671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108717 */     // MIs[0] round
     /* 2108717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108720 */     // MIs[0] policy
     /* 2108720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108756 */     // GIR_Coverage, 16978,
     /* 2108756 */     GIR_EraseRootFromParent_Done,
     /* 2108757 */   // Label 27897: @2108757
     /* 2108757 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2108848), // Rule ID 16979 //
     /* 2108762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108808 */     // MIs[0] round
     /* 2108808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108811 */     // MIs[0] policy
     /* 2108811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108821 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108847 */     // GIR_Coverage, 16979,
     /* 2108847 */     GIR_EraseRootFromParent_Done,
     /* 2108848 */   // Label 27898: @2108848
     /* 2108848 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2108939), // Rule ID 16982 //
     /* 2108853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108899 */     // MIs[0] round
     /* 2108899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108902 */     // MIs[0] policy
     /* 2108902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108912 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2108915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108938 */     // GIR_Coverage, 16982,
     /* 2108938 */     GIR_EraseRootFromParent_Done,
     /* 2108939 */   // Label 27899: @2108939
     /* 2108939 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2109030), // Rule ID 16983 //
     /* 2108944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108990 */     // MIs[0] round
     /* 2108990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108993 */     // MIs[0] policy
     /* 2108993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109003 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2109006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109029 */     // GIR_Coverage, 16983,
     /* 2109029 */     GIR_EraseRootFromParent_Done,
     /* 2109030 */   // Label 27900: @2109030
     /* 2109030 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2109121), // Rule ID 16986 //
     /* 2109035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109081 */     // MIs[0] round
     /* 2109081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109084 */     // MIs[0] policy
     /* 2109084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109094 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2109097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109120 */     // GIR_Coverage, 16986,
     /* 2109120 */     GIR_EraseRootFromParent_Done,
     /* 2109121 */   // Label 27901: @2109121
     /* 2109121 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2109212), // Rule ID 16987 //
     /* 2109126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109172 */     // MIs[0] round
     /* 2109172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109175 */     // MIs[0] policy
     /* 2109175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109185 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2109188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109211 */     // GIR_Coverage, 16987,
     /* 2109211 */     GIR_EraseRootFromParent_Done,
     /* 2109212 */   // Label 27902: @2109212
     /* 2109212 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2109303), // Rule ID 16990 //
     /* 2109217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2109234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109263 */     // MIs[0] round
     /* 2109263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109266 */     // MIs[0] policy
     /* 2109266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2109279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109302 */     // GIR_Coverage, 16990,
     /* 2109302 */     GIR_EraseRootFromParent_Done,
     /* 2109303 */   // Label 27903: @2109303
     /* 2109303 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2109394), // Rule ID 16991 //
     /* 2109308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2109325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109354 */     // MIs[0] round
     /* 2109354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109357 */     // MIs[0] policy
     /* 2109357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109367 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2109370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109393 */     // GIR_Coverage, 16991,
     /* 2109393 */     GIR_EraseRootFromParent_Done,
     /* 2109394 */   // Label 27904: @2109394
     /* 2109394 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2109485), // Rule ID 16994 //
     /* 2109399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109445 */     // MIs[0] round
     /* 2109445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109448 */     // MIs[0] policy
     /* 2109448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109458 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109484 */     // GIR_Coverage, 16994,
     /* 2109484 */     GIR_EraseRootFromParent_Done,
     /* 2109485 */   // Label 27905: @2109485
     /* 2109485 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2109576), // Rule ID 16995 //
     /* 2109490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109536 */     // MIs[0] round
     /* 2109536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109539 */     // MIs[0] policy
     /* 2109539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109549 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109575 */     // GIR_Coverage, 16995,
     /* 2109575 */     GIR_EraseRootFromParent_Done,
     /* 2109576 */   // Label 27906: @2109576
     /* 2109576 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2109667), // Rule ID 16998 //
     /* 2109581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109627 */     // MIs[0] round
     /* 2109627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109630 */     // MIs[0] policy
     /* 2109630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109666 */     // GIR_Coverage, 16998,
     /* 2109666 */     GIR_EraseRootFromParent_Done,
     /* 2109667 */   // Label 27907: @2109667
     /* 2109667 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2109758), // Rule ID 16999 //
     /* 2109672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109718 */     // MIs[0] round
     /* 2109718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109721 */     // MIs[0] policy
     /* 2109721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109731 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109757 */     // GIR_Coverage, 16999,
     /* 2109757 */     GIR_EraseRootFromParent_Done,
     /* 2109758 */   // Label 27908: @2109758
     /* 2109758 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2109849), // Rule ID 17002 //
     /* 2109763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109809 */     // MIs[0] round
     /* 2109809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109812 */     // MIs[0] policy
     /* 2109812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109822 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109848 */     // GIR_Coverage, 17002,
     /* 2109848 */     GIR_EraseRootFromParent_Done,
     /* 2109849 */   // Label 27909: @2109849
     /* 2109849 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2109940), // Rule ID 17003 //
     /* 2109854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109900 */     // MIs[0] round
     /* 2109900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109903 */     // MIs[0] policy
     /* 2109903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109913 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109939 */     // GIR_Coverage, 17003,
     /* 2109939 */     GIR_EraseRootFromParent_Done,
     /* 2109940 */   // Label 27910: @2109940
     /* 2109940 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2110031), // Rule ID 17006 //
     /* 2109945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109991 */     // MIs[0] round
     /* 2109991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109994 */     // MIs[0] policy
     /* 2109994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110004 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2110007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110030 */     // GIR_Coverage, 17006,
     /* 2110030 */     GIR_EraseRootFromParent_Done,
     /* 2110031 */   // Label 27911: @2110031
     /* 2110031 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2110122), // Rule ID 17007 //
     /* 2110036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2110047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2110050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2110053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110082 */     // MIs[0] round
     /* 2110082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110085 */     // MIs[0] policy
     /* 2110085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110095 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2110098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110121 */     // GIR_Coverage, 17007,
     /* 2110121 */     GIR_EraseRootFromParent_Done,
     /* 2110122 */   // Label 27912: @2110122
     /* 2110122 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2110213), // Rule ID 17010 //
     /* 2110127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110173 */     // MIs[0] round
     /* 2110173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110176 */     // MIs[0] policy
     /* 2110176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110186 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2110189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110212 */     // GIR_Coverage, 17010,
     /* 2110212 */     GIR_EraseRootFromParent_Done,
     /* 2110213 */   // Label 27913: @2110213
     /* 2110213 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2110304), // Rule ID 17011 //
     /* 2110218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110264 */     // MIs[0] round
     /* 2110264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110267 */     // MIs[0] policy
     /* 2110267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2110280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110303 */     // GIR_Coverage, 17011,
     /* 2110303 */     GIR_EraseRootFromParent_Done,
     /* 2110304 */   // Label 27914: @2110304
     /* 2110304 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2110395), // Rule ID 17014 //
     /* 2110309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110355 */     // MIs[0] round
     /* 2110355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110358 */     // MIs[0] policy
     /* 2110358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2110371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110394 */     // GIR_Coverage, 17014,
     /* 2110394 */     GIR_EraseRootFromParent_Done,
     /* 2110395 */   // Label 27915: @2110395
     /* 2110395 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2110486), // Rule ID 17015 //
     /* 2110400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110446 */     // MIs[0] round
     /* 2110446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110449 */     // MIs[0] policy
     /* 2110449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110459 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2110462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110485 */     // GIR_Coverage, 17015,
     /* 2110485 */     GIR_EraseRootFromParent_Done,
     /* 2110486 */   // Label 27916: @2110486
     /* 2110486 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2110577), // Rule ID 17018 //
     /* 2110491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110537 */     // MIs[0] round
     /* 2110537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110540 */     // MIs[0] policy
     /* 2110540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110550 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110576 */     // GIR_Coverage, 17018,
     /* 2110576 */     GIR_EraseRootFromParent_Done,
     /* 2110577 */   // Label 27917: @2110577
     /* 2110577 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2110668), // Rule ID 17019 //
     /* 2110582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110628 */     // MIs[0] round
     /* 2110628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110631 */     // MIs[0] policy
     /* 2110631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110641 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110667 */     // GIR_Coverage, 17019,
     /* 2110667 */     GIR_EraseRootFromParent_Done,
     /* 2110668 */   // Label 27918: @2110668
     /* 2110668 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2110759), // Rule ID 17022 //
     /* 2110673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110719 */     // MIs[0] round
     /* 2110719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110722 */     // MIs[0] policy
     /* 2110722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110758 */     // GIR_Coverage, 17022,
     /* 2110758 */     GIR_EraseRootFromParent_Done,
     /* 2110759 */   // Label 27919: @2110759
     /* 2110759 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2110850), // Rule ID 17023 //
     /* 2110764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110810 */     // MIs[0] round
     /* 2110810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110813 */     // MIs[0] policy
     /* 2110813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110823 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110849 */     // GIR_Coverage, 17023,
     /* 2110849 */     GIR_EraseRootFromParent_Done,
     /* 2110850 */   // Label 27920: @2110850
     /* 2110850 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2110941), // Rule ID 17032 //
     /* 2110855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110901 */     // MIs[0] round
     /* 2110901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110904 */     // MIs[0] policy
     /* 2110904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110914 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2110917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110940 */     // GIR_Coverage, 17032,
     /* 2110940 */     GIR_EraseRootFromParent_Done,
     /* 2110941 */   // Label 27921: @2110941
     /* 2110941 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2111032), // Rule ID 17033 //
     /* 2110946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110992 */     // MIs[0] round
     /* 2110992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110995 */     // MIs[0] policy
     /* 2110995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111005 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2111008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111031 */     // GIR_Coverage, 17033,
     /* 2111031 */     GIR_EraseRootFromParent_Done,
     /* 2111032 */   // Label 27922: @2111032
     /* 2111032 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2111123), // Rule ID 17042 //
     /* 2111037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2111057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111083 */     // MIs[0] round
     /* 2111083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111086 */     // MIs[0] policy
     /* 2111086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2111099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111122 */     // GIR_Coverage, 17042,
     /* 2111122 */     GIR_EraseRootFromParent_Done,
     /* 2111123 */   // Label 27923: @2111123
     /* 2111123 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2111214), // Rule ID 17043 //
     /* 2111128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2111148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111174 */     // MIs[0] round
     /* 2111174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111177 */     // MIs[0] policy
     /* 2111177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2111190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111213 */     // GIR_Coverage, 17043,
     /* 2111213 */     GIR_EraseRootFromParent_Done,
     /* 2111214 */   // Label 27924: @2111214
     /* 2111214 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2111305), // Rule ID 17052 //
     /* 2111219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2111239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111265 */     // MIs[0] round
     /* 2111265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111268 */     // MIs[0] policy
     /* 2111268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111278 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2111281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111304 */     // GIR_Coverage, 17052,
     /* 2111304 */     GIR_EraseRootFromParent_Done,
     /* 2111305 */   // Label 27925: @2111305
     /* 2111305 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2111396), // Rule ID 17053 //
     /* 2111310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2111330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111356 */     // MIs[0] round
     /* 2111356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111359 */     // MIs[0] policy
     /* 2111359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111369 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2111372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111395 */     // GIR_Coverage, 17053,
     /* 2111395 */     GIR_EraseRootFromParent_Done,
     /* 2111396 */   // Label 27926: @2111396
     /* 2111396 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2111487), // Rule ID 17062 //
     /* 2111401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111447 */     // MIs[0] round
     /* 2111447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111450 */     // MIs[0] policy
     /* 2111450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111460 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111486 */     // GIR_Coverage, 17062,
     /* 2111486 */     GIR_EraseRootFromParent_Done,
     /* 2111487 */   // Label 27927: @2111487
     /* 2111487 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2111578), // Rule ID 17063 //
     /* 2111492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111538 */     // MIs[0] round
     /* 2111538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111541 */     // MIs[0] policy
     /* 2111541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111551 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111577 */     // GIR_Coverage, 17063,
     /* 2111577 */     GIR_EraseRootFromParent_Done,
     /* 2111578 */   // Label 27928: @2111578
     /* 2111578 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2111669), // Rule ID 17072 //
     /* 2111583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111629 */     // MIs[0] round
     /* 2111629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111632 */     // MIs[0] policy
     /* 2111632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111642 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111668 */     // GIR_Coverage, 17072,
     /* 2111668 */     GIR_EraseRootFromParent_Done,
     /* 2111669 */   // Label 27929: @2111669
     /* 2111669 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2111760), // Rule ID 17073 //
     /* 2111674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111720 */     // MIs[0] round
     /* 2111720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111723 */     // MIs[0] policy
     /* 2111723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111733 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111759 */     // GIR_Coverage, 17073,
     /* 2111759 */     GIR_EraseRootFromParent_Done,
     /* 2111760 */   // Label 27930: @2111760
     /* 2111760 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2111851), // Rule ID 17082 //
     /* 2111765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111811 */     // MIs[0] round
     /* 2111811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111814 */     // MIs[0] policy
     /* 2111814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111824 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111850 */     // GIR_Coverage, 17082,
     /* 2111850 */     GIR_EraseRootFromParent_Done,
     /* 2111851 */   // Label 27931: @2111851
     /* 2111851 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2111942), // Rule ID 17083 //
     /* 2111856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111902 */     // MIs[0] round
     /* 2111902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111905 */     // MIs[0] policy
     /* 2111905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111915 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111941 */     // GIR_Coverage, 17083,
     /* 2111941 */     GIR_EraseRootFromParent_Done,
     /* 2111942 */   // Label 27932: @2111942
     /* 2111942 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2112033), // Rule ID 17092 //
     /* 2111947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111993 */     // MIs[0] round
     /* 2111993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111996 */     // MIs[0] policy
     /* 2111996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112006 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2112009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112032 */     // GIR_Coverage, 17092,
     /* 2112032 */     GIR_EraseRootFromParent_Done,
     /* 2112033 */   // Label 27933: @2112033
     /* 2112033 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2112124), // Rule ID 17093 //
     /* 2112038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2112049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2112052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2112055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2112058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112084 */     // MIs[0] round
     /* 2112084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112087 */     // MIs[0] policy
     /* 2112087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112097 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2112100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112123 */     // GIR_Coverage, 17093,
     /* 2112123 */     GIR_EraseRootFromParent_Done,
     /* 2112124 */   // Label 27934: @2112124
     /* 2112124 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2112215), // Rule ID 17102 //
     /* 2112129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112175 */     // MIs[0] round
     /* 2112175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112178 */     // MIs[0] policy
     /* 2112178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112188 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2112191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112214 */     // GIR_Coverage, 17102,
     /* 2112214 */     GIR_EraseRootFromParent_Done,
     /* 2112215 */   // Label 27935: @2112215
     /* 2112215 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2112306), // Rule ID 17103 //
     /* 2112220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112266 */     // MIs[0] round
     /* 2112266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112269 */     // MIs[0] policy
     /* 2112269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112279 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2112282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112305 */     // GIR_Coverage, 17103,
     /* 2112305 */     GIR_EraseRootFromParent_Done,
     /* 2112306 */   // Label 27936: @2112306
     /* 2112306 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2112397), // Rule ID 17106 //
     /* 2112311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112357 */     // MIs[0] round
     /* 2112357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112360 */     // MIs[0] policy
     /* 2112360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112370 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2112373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112396 */     // GIR_Coverage, 17106,
     /* 2112396 */     GIR_EraseRootFromParent_Done,
     /* 2112397 */   // Label 27937: @2112397
     /* 2112397 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2112488), // Rule ID 17107 //
     /* 2112402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112448 */     // MIs[0] round
     /* 2112448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112451 */     // MIs[0] policy
     /* 2112451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112461 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2112464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112487 */     // GIR_Coverage, 17107,
     /* 2112487 */     GIR_EraseRootFromParent_Done,
     /* 2112488 */   // Label 27938: @2112488
     /* 2112488 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2112579), // Rule ID 17110 //
     /* 2112493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112539 */     // MIs[0] round
     /* 2112539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112542 */     // MIs[0] policy
     /* 2112542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112578 */     // GIR_Coverage, 17110,
     /* 2112578 */     GIR_EraseRootFromParent_Done,
     /* 2112579 */   // Label 27939: @2112579
     /* 2112579 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2112670), // Rule ID 17111 //
     /* 2112584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112630 */     // MIs[0] round
     /* 2112630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112633 */     // MIs[0] policy
     /* 2112633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112643 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112669 */     // GIR_Coverage, 17111,
     /* 2112669 */     GIR_EraseRootFromParent_Done,
     /* 2112670 */   // Label 27940: @2112670
     /* 2112670 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2112761), // Rule ID 17114 //
     /* 2112675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112721 */     // MIs[0] round
     /* 2112721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112724 */     // MIs[0] policy
     /* 2112724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112734 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112760 */     // GIR_Coverage, 17114,
     /* 2112760 */     GIR_EraseRootFromParent_Done,
     /* 2112761 */   // Label 27941: @2112761
     /* 2112761 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2112852), // Rule ID 17115 //
     /* 2112766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112812 */     // MIs[0] round
     /* 2112812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112815 */     // MIs[0] policy
     /* 2112815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112825 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112851 */     // GIR_Coverage, 17115,
     /* 2112851 */     GIR_EraseRootFromParent_Done,
     /* 2112852 */   // Label 27942: @2112852
     /* 2112852 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2112943), // Rule ID 17118 //
     /* 2112857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112903 */     // MIs[0] round
     /* 2112903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112906 */     // MIs[0] policy
     /* 2112906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112916 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2112919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112942 */     // GIR_Coverage, 17118,
     /* 2112942 */     GIR_EraseRootFromParent_Done,
     /* 2112943 */   // Label 27943: @2112943
     /* 2112943 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2113034), // Rule ID 17119 //
     /* 2112948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112994 */     // MIs[0] round
     /* 2112994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112997 */     // MIs[0] policy
     /* 2112997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113007 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2113010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113033 */     // GIR_Coverage, 17119,
     /* 2113033 */     GIR_EraseRootFromParent_Done,
     /* 2113034 */   // Label 27944: @2113034
     /* 2113034 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2113125), // Rule ID 17122 //
     /* 2113039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113085 */     // MIs[0] round
     /* 2113085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113088 */     // MIs[0] policy
     /* 2113088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113098 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2113101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113124 */     // GIR_Coverage, 17122,
     /* 2113124 */     GIR_EraseRootFromParent_Done,
     /* 2113125 */   // Label 27945: @2113125
     /* 2113125 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2113216), // Rule ID 17123 //
     /* 2113130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113176 */     // MIs[0] round
     /* 2113176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113179 */     // MIs[0] policy
     /* 2113179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113189 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2113192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113215 */     // GIR_Coverage, 17123,
     /* 2113215 */     GIR_EraseRootFromParent_Done,
     /* 2113216 */   // Label 27946: @2113216
     /* 2113216 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2113307), // Rule ID 17126 //
     /* 2113221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113267 */     // MIs[0] round
     /* 2113267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113270 */     // MIs[0] policy
     /* 2113270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2113283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113306 */     // GIR_Coverage, 17126,
     /* 2113306 */     GIR_EraseRootFromParent_Done,
     /* 2113307 */   // Label 27947: @2113307
     /* 2113307 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2113398), // Rule ID 17127 //
     /* 2113312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113358 */     // MIs[0] round
     /* 2113358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113361 */     // MIs[0] policy
     /* 2113361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113371 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2113374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113397 */     // GIR_Coverage, 17127,
     /* 2113397 */     GIR_EraseRootFromParent_Done,
     /* 2113398 */   // Label 27948: @2113398
     /* 2113398 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2113489), // Rule ID 17130 //
     /* 2113403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113449 */     // MIs[0] round
     /* 2113449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113452 */     // MIs[0] policy
     /* 2113452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113462 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113488 */     // GIR_Coverage, 17130,
     /* 2113488 */     GIR_EraseRootFromParent_Done,
     /* 2113489 */   // Label 27949: @2113489
     /* 2113489 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2113580), // Rule ID 17131 //
     /* 2113494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113540 */     // MIs[0] round
     /* 2113540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113543 */     // MIs[0] policy
     /* 2113543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113553 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113579 */     // GIR_Coverage, 17131,
     /* 2113579 */     GIR_EraseRootFromParent_Done,
     /* 2113580 */   // Label 27950: @2113580
     /* 2113580 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2113671), // Rule ID 17134 //
     /* 2113585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113631 */     // MIs[0] round
     /* 2113631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113634 */     // MIs[0] policy
     /* 2113634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113644 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113670 */     // GIR_Coverage, 17134,
     /* 2113670 */     GIR_EraseRootFromParent_Done,
     /* 2113671 */   // Label 27951: @2113671
     /* 2113671 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2113762), // Rule ID 17135 //
     /* 2113676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113722 */     // MIs[0] round
     /* 2113722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113725 */     // MIs[0] policy
     /* 2113725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113735 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113761 */     // GIR_Coverage, 17135,
     /* 2113761 */     GIR_EraseRootFromParent_Done,
     /* 2113762 */   // Label 27952: @2113762
     /* 2113762 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2113853), // Rule ID 17138 //
     /* 2113767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113813 */     // MIs[0] round
     /* 2113813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113816 */     // MIs[0] policy
     /* 2113816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113826 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113852 */     // GIR_Coverage, 17138,
     /* 2113852 */     GIR_EraseRootFromParent_Done,
     /* 2113853 */   // Label 27953: @2113853
     /* 2113853 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2113944), // Rule ID 17139 //
     /* 2113858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113904 */     // MIs[0] round
     /* 2113904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113907 */     // MIs[0] policy
     /* 2113907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113917 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113943 */     // GIR_Coverage, 17139,
     /* 2113943 */     GIR_EraseRootFromParent_Done,
     /* 2113944 */   // Label 27954: @2113944
     /* 2113944 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2114035), // Rule ID 17148 //
     /* 2113949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113995 */     // MIs[0] round
     /* 2113995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113998 */     // MIs[0] policy
     /* 2113998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2114011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114034 */     // GIR_Coverage, 17148,
     /* 2114034 */     GIR_EraseRootFromParent_Done,
     /* 2114035 */   // Label 27955: @2114035
     /* 2114035 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2114126), // Rule ID 17149 //
     /* 2114040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2114060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114086 */     // MIs[0] round
     /* 2114086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114089 */     // MIs[0] policy
     /* 2114089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114099 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2114102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114125 */     // GIR_Coverage, 17149,
     /* 2114125 */     GIR_EraseRootFromParent_Done,
     /* 2114126 */   // Label 27956: @2114126
     /* 2114126 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2114217), // Rule ID 17158 //
     /* 2114131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114177 */     // MIs[0] round
     /* 2114177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114180 */     // MIs[0] policy
     /* 2114180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114190 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2114193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114216 */     // GIR_Coverage, 17158,
     /* 2114216 */     GIR_EraseRootFromParent_Done,
     /* 2114217 */   // Label 27957: @2114217
     /* 2114217 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2114308), // Rule ID 17159 //
     /* 2114222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114268 */     // MIs[0] round
     /* 2114268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114271 */     // MIs[0] policy
     /* 2114271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114281 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2114284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114307 */     // GIR_Coverage, 17159,
     /* 2114307 */     GIR_EraseRootFromParent_Done,
     /* 2114308 */   // Label 27958: @2114308
     /* 2114308 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2114399), // Rule ID 17168 //
     /* 2114313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2114333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114359 */     // MIs[0] round
     /* 2114359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114362 */     // MIs[0] policy
     /* 2114362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114372 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2114375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114398 */     // GIR_Coverage, 17168,
     /* 2114398 */     GIR_EraseRootFromParent_Done,
     /* 2114399 */   // Label 27959: @2114399
     /* 2114399 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2114490), // Rule ID 17169 //
     /* 2114404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2114424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114450 */     // MIs[0] round
     /* 2114450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114453 */     // MIs[0] policy
     /* 2114453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114463 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2114466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114489 */     // GIR_Coverage, 17169,
     /* 2114489 */     GIR_EraseRootFromParent_Done,
     /* 2114490 */   // Label 27960: @2114490
     /* 2114490 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2114581), // Rule ID 17178 //
     /* 2114495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114541 */     // MIs[0] round
     /* 2114541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114544 */     // MIs[0] policy
     /* 2114544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114554 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114580 */     // GIR_Coverage, 17178,
     /* 2114580 */     GIR_EraseRootFromParent_Done,
     /* 2114581 */   // Label 27961: @2114581
     /* 2114581 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2114672), // Rule ID 17179 //
     /* 2114586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114632 */     // MIs[0] round
     /* 2114632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114635 */     // MIs[0] policy
     /* 2114635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114645 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114671 */     // GIR_Coverage, 17179,
     /* 2114671 */     GIR_EraseRootFromParent_Done,
     /* 2114672 */   // Label 27962: @2114672
     /* 2114672 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2114763), // Rule ID 17188 //
     /* 2114677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114723 */     // MIs[0] round
     /* 2114723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114726 */     // MIs[0] policy
     /* 2114726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114736 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114762 */     // GIR_Coverage, 17188,
     /* 2114762 */     GIR_EraseRootFromParent_Done,
     /* 2114763 */   // Label 27963: @2114763
     /* 2114763 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2114854), // Rule ID 17189 //
     /* 2114768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114814 */     // MIs[0] round
     /* 2114814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114817 */     // MIs[0] policy
     /* 2114817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114827 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114853 */     // GIR_Coverage, 17189,
     /* 2114853 */     GIR_EraseRootFromParent_Done,
     /* 2114854 */   // Label 27964: @2114854
     /* 2114854 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2114945), // Rule ID 17198 //
     /* 2114859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114905 */     // MIs[0] round
     /* 2114905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114908 */     // MIs[0] policy
     /* 2114908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114918 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2114921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114944 */     // GIR_Coverage, 17198,
     /* 2114944 */     GIR_EraseRootFromParent_Done,
     /* 2114945 */   // Label 27965: @2114945
     /* 2114945 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2115036), // Rule ID 17199 //
     /* 2114950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114996 */     // MIs[0] round
     /* 2114996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114999 */     // MIs[0] policy
     /* 2114999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115009 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2115012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115035 */     // GIR_Coverage, 17199,
     /* 2115035 */     GIR_EraseRootFromParent_Done,
     /* 2115036 */   // Label 27966: @2115036
     /* 2115036 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2115127), // Rule ID 17208 //
     /* 2115041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115087 */     // MIs[0] round
     /* 2115087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115090 */     // MIs[0] policy
     /* 2115090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115100 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2115103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115126 */     // GIR_Coverage, 17208,
     /* 2115126 */     GIR_EraseRootFromParent_Done,
     /* 2115127 */   // Label 27967: @2115127
     /* 2115127 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2115218), // Rule ID 17209 //
     /* 2115132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115178 */     // MIs[0] round
     /* 2115178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115181 */     // MIs[0] policy
     /* 2115181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115191 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2115194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115217 */     // GIR_Coverage, 17209,
     /* 2115217 */     GIR_EraseRootFromParent_Done,
     /* 2115218 */   // Label 27968: @2115218
     /* 2115218 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2115309), // Rule ID 17218 //
     /* 2115223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2115243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115269 */     // MIs[0] round
     /* 2115269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115272 */     // MIs[0] policy
     /* 2115272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115282 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2115285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115308 */     // GIR_Coverage, 17218,
     /* 2115308 */     GIR_EraseRootFromParent_Done,
     /* 2115309 */   // Label 27969: @2115309
     /* 2115309 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2115400), // Rule ID 17219 //
     /* 2115314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2115334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115360 */     // MIs[0] round
     /* 2115360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115363 */     // MIs[0] policy
     /* 2115363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115373 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2115376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115399 */     // GIR_Coverage, 17219,
     /* 2115399 */     GIR_EraseRootFromParent_Done,
     /* 2115400 */   // Label 27970: @2115400
     /* 2115400 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2115491), // Rule ID 17228 //
     /* 2115405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115451 */     // MIs[0] round
     /* 2115451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115454 */     // MIs[0] policy
     /* 2115454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115464 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115490 */     // GIR_Coverage, 17228,
     /* 2115490 */     GIR_EraseRootFromParent_Done,
     /* 2115491 */   // Label 27971: @2115491
     /* 2115491 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2115582), // Rule ID 17229 //
     /* 2115496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115542 */     // MIs[0] round
     /* 2115542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115545 */     // MIs[0] policy
     /* 2115545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115555 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115581 */     // GIR_Coverage, 17229,
     /* 2115581 */     GIR_EraseRootFromParent_Done,
     /* 2115582 */   // Label 27972: @2115582
     /* 2115582 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2115673), // Rule ID 17232 //
     /* 2115587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115633 */     // MIs[0] round
     /* 2115633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115636 */     // MIs[0] policy
     /* 2115636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115646 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115672 */     // GIR_Coverage, 17232,
     /* 2115672 */     GIR_EraseRootFromParent_Done,
     /* 2115673 */   // Label 27973: @2115673
     /* 2115673 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2115764), // Rule ID 17233 //
     /* 2115678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115724 */     // MIs[0] round
     /* 2115724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115727 */     // MIs[0] policy
     /* 2115727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115737 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115763 */     // GIR_Coverage, 17233,
     /* 2115763 */     GIR_EraseRootFromParent_Done,
     /* 2115764 */   // Label 27974: @2115764
     /* 2115764 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2115855), // Rule ID 17236 //
     /* 2115769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115815 */     // MIs[0] round
     /* 2115815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115818 */     // MIs[0] policy
     /* 2115818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115854 */     // GIR_Coverage, 17236,
     /* 2115854 */     GIR_EraseRootFromParent_Done,
     /* 2115855 */   // Label 27975: @2115855
     /* 2115855 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2115946), // Rule ID 17237 //
     /* 2115860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115906 */     // MIs[0] round
     /* 2115906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115909 */     // MIs[0] policy
     /* 2115909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115919 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115945 */     // GIR_Coverage, 17237,
     /* 2115945 */     GIR_EraseRootFromParent_Done,
     /* 2115946 */   // Label 27976: @2115946
     /* 2115946 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2116037), // Rule ID 17240 //
     /* 2115951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115997 */     // MIs[0] round
     /* 2115997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116000 */     // MIs[0] policy
     /* 2116000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116010 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2116013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116036 */     // GIR_Coverage, 17240,
     /* 2116036 */     GIR_EraseRootFromParent_Done,
     /* 2116037 */   // Label 27977: @2116037
     /* 2116037 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2116128), // Rule ID 17241 //
     /* 2116042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116088 */     // MIs[0] round
     /* 2116088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116091 */     // MIs[0] policy
     /* 2116091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116101 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2116104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116127 */     // GIR_Coverage, 17241,
     /* 2116127 */     GIR_EraseRootFromParent_Done,
     /* 2116128 */   // Label 27978: @2116128
     /* 2116128 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2116219), // Rule ID 17244 //
     /* 2116133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2116150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116179 */     // MIs[0] round
     /* 2116179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116182 */     // MIs[0] policy
     /* 2116182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116192 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2116195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116218 */     // GIR_Coverage, 17244,
     /* 2116218 */     GIR_EraseRootFromParent_Done,
     /* 2116219 */   // Label 27979: @2116219
     /* 2116219 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2116310), // Rule ID 17245 //
     /* 2116224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2116241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116270 */     // MIs[0] round
     /* 2116270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116273 */     // MIs[0] policy
     /* 2116273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116283 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2116286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116309 */     // GIR_Coverage, 17245,
     /* 2116309 */     GIR_EraseRootFromParent_Done,
     /* 2116310 */   // Label 27980: @2116310
     /* 2116310 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2116401), // Rule ID 17248 //
     /* 2116315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2116332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116361 */     // MIs[0] round
     /* 2116361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116364 */     // MIs[0] policy
     /* 2116364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116374 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2116377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116400 */     // GIR_Coverage, 17248,
     /* 2116400 */     GIR_EraseRootFromParent_Done,
     /* 2116401 */   // Label 27981: @2116401
     /* 2116401 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2116492), // Rule ID 17249 //
     /* 2116406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2116423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116452 */     // MIs[0] round
     /* 2116452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116455 */     // MIs[0] policy
     /* 2116455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116465 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2116468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116491 */     // GIR_Coverage, 17249,
     /* 2116491 */     GIR_EraseRootFromParent_Done,
     /* 2116492 */   // Label 27982: @2116492
     /* 2116492 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2116583), // Rule ID 17252 //
     /* 2116497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116543 */     // MIs[0] round
     /* 2116543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116546 */     // MIs[0] policy
     /* 2116546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116582 */     // GIR_Coverage, 17252,
     /* 2116582 */     GIR_EraseRootFromParent_Done,
     /* 2116583 */   // Label 27983: @2116583
     /* 2116583 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2116674), // Rule ID 17253 //
     /* 2116588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116634 */     // MIs[0] round
     /* 2116634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116637 */     // MIs[0] policy
     /* 2116637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116647 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116673 */     // GIR_Coverage, 17253,
     /* 2116673 */     GIR_EraseRootFromParent_Done,
     /* 2116674 */   // Label 27984: @2116674
     /* 2116674 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2116765), // Rule ID 17256 //
     /* 2116679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116725 */     // MIs[0] round
     /* 2116725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116728 */     // MIs[0] policy
     /* 2116728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116738 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116764 */     // GIR_Coverage, 17256,
     /* 2116764 */     GIR_EraseRootFromParent_Done,
     /* 2116765 */   // Label 27985: @2116765
     /* 2116765 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2116856), // Rule ID 17257 //
     /* 2116770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116816 */     // MIs[0] round
     /* 2116816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116819 */     // MIs[0] policy
     /* 2116819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116829 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116855 */     // GIR_Coverage, 17257,
     /* 2116855 */     GIR_EraseRootFromParent_Done,
     /* 2116856 */   // Label 27986: @2116856
     /* 2116856 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2116947), // Rule ID 17260 //
     /* 2116861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116907 */     // MIs[0] round
     /* 2116907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116910 */     // MIs[0] policy
     /* 2116910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116920 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2116923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116946 */     // GIR_Coverage, 17260,
     /* 2116946 */     GIR_EraseRootFromParent_Done,
     /* 2116947 */   // Label 27987: @2116947
     /* 2116947 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2117038), // Rule ID 17261 //
     /* 2116952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116998 */     // MIs[0] round
     /* 2116998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117001 */     // MIs[0] policy
     /* 2117001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117011 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2117014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117037 */     // GIR_Coverage, 17261,
     /* 2117037 */     GIR_EraseRootFromParent_Done,
     /* 2117038 */   // Label 27988: @2117038
     /* 2117038 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2117129), // Rule ID 17264 //
     /* 2117043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2117051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2117060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117089 */     // MIs[0] round
     /* 2117089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117092 */     // MIs[0] policy
     /* 2117092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117102 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2117105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117128 */     // GIR_Coverage, 17264,
     /* 2117128 */     GIR_EraseRootFromParent_Done,
     /* 2117129 */   // Label 27989: @2117129
     /* 2117129 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2117220), // Rule ID 17265 //
     /* 2117134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2117142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2117151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117180 */     // MIs[0] round
     /* 2117180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117183 */     // MIs[0] policy
     /* 2117183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117193 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2117196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117219 */     // GIR_Coverage, 17265,
     /* 2117219 */     GIR_EraseRootFromParent_Done,
     /* 2117220 */   // Label 27990: @2117220
     /* 2117220 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2117311), // Rule ID 17268 //
     /* 2117225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2117236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2117239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2117245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117271 */     // MIs[0] round
     /* 2117271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117274 */     // MIs[0] policy
     /* 2117274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117284 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2117287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117310 */     // GIR_Coverage, 17268,
     /* 2117310 */     GIR_EraseRootFromParent_Done,
     /* 2117311 */   // Label 27991: @2117311
     /* 2117311 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2117402), // Rule ID 17269 //
     /* 2117316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2117327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2117330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2117336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117362 */     // MIs[0] round
     /* 2117362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117365 */     // MIs[0] policy
     /* 2117365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117375 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2117378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117401 */     // GIR_Coverage, 17269,
     /* 2117401 */     GIR_EraseRootFromParent_Done,
     /* 2117402 */   // Label 27992: @2117402
     /* 2117402 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2117493), // Rule ID 17272 //
     /* 2117407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117453 */     // MIs[0] round
     /* 2117453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117456 */     // MIs[0] policy
     /* 2117456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117466 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117492 */     // GIR_Coverage, 17272,
     /* 2117492 */     GIR_EraseRootFromParent_Done,
     /* 2117493 */   // Label 27993: @2117493
     /* 2117493 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2117584), // Rule ID 17273 //
     /* 2117498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117544 */     // MIs[0] round
     /* 2117544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117547 */     // MIs[0] policy
     /* 2117547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117557 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117583 */     // GIR_Coverage, 17273,
     /* 2117583 */     GIR_EraseRootFromParent_Done,
     /* 2117584 */   // Label 27994: @2117584
     /* 2117584 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2117675), // Rule ID 17276 //
     /* 2117589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117635 */     // MIs[0] round
     /* 2117635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117638 */     // MIs[0] policy
     /* 2117638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117648 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117674 */     // GIR_Coverage, 17276,
     /* 2117674 */     GIR_EraseRootFromParent_Done,
     /* 2117675 */   // Label 27995: @2117675
     /* 2117675 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2117766), // Rule ID 17277 //
     /* 2117680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117726 */     // MIs[0] round
     /* 2117726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117729 */     // MIs[0] policy
     /* 2117729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117739 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117765 */     // GIR_Coverage, 17277,
     /* 2117765 */     GIR_EraseRootFromParent_Done,
     /* 2117766 */   // Label 27996: @2117766
     /* 2117766 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2117857), // Rule ID 17280 //
     /* 2117771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117817 */     // MIs[0] round
     /* 2117817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117820 */     // MIs[0] policy
     /* 2117820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117830 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117856 */     // GIR_Coverage, 17280,
     /* 2117856 */     GIR_EraseRootFromParent_Done,
     /* 2117857 */   // Label 27997: @2117857
     /* 2117857 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2117948), // Rule ID 17281 //
     /* 2117862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117908 */     // MIs[0] round
     /* 2117908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117911 */     // MIs[0] policy
     /* 2117911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117921 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117947 */     // GIR_Coverage, 17281,
     /* 2117947 */     GIR_EraseRootFromParent_Done,
     /* 2117948 */   // Label 27998: @2117948
     /* 2117948 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2118039), // Rule ID 17284 //
     /* 2117953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117999 */     // MIs[0] round
     /* 2117999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118002 */     // MIs[0] policy
     /* 2118002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118012 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2118015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118038 */     // GIR_Coverage, 17284,
     /* 2118038 */     GIR_EraseRootFromParent_Done,
     /* 2118039 */   // Label 27999: @2118039
     /* 2118039 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2118130), // Rule ID 17285 //
     /* 2118044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2118055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2118058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2118064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118090 */     // MIs[0] round
     /* 2118090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118093 */     // MIs[0] policy
     /* 2118093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118103 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2118106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118129 */     // GIR_Coverage, 17285,
     /* 2118129 */     GIR_EraseRootFromParent_Done,
     /* 2118130 */   // Label 28000: @2118130
     /* 2118130 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2118221), // Rule ID 17288 //
     /* 2118135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2118152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2118155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118181 */     // MIs[0] round
     /* 2118181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118184 */     // MIs[0] policy
     /* 2118184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118194 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2118197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118220 */     // GIR_Coverage, 17288,
     /* 2118220 */     GIR_EraseRootFromParent_Done,
     /* 2118221 */   // Label 28001: @2118221
     /* 2118221 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2118312), // Rule ID 17289 //
     /* 2118226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2118243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2118246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118272 */     // MIs[0] round
     /* 2118272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118275 */     // MIs[0] policy
     /* 2118275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118285 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2118288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118311 */     // GIR_Coverage, 17289,
     /* 2118311 */     GIR_EraseRootFromParent_Done,
     /* 2118312 */   // Label 28002: @2118312
     /* 2118312 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2118403), // Rule ID 17292 //
     /* 2118317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2118328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2118331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2118334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2118337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118363 */     // MIs[0] round
     /* 2118363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118366 */     // MIs[0] policy
     /* 2118366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118376 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2118379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118402 */     // GIR_Coverage, 17292,
     /* 2118402 */     GIR_EraseRootFromParent_Done,
     /* 2118403 */   // Label 28003: @2118403
     /* 2118403 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2118494), // Rule ID 17293 //
     /* 2118408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2118419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2118422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2118425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2118428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118454 */     // MIs[0] round
     /* 2118454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118457 */     // MIs[0] policy
     /* 2118457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118467 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2118470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118493 */     // GIR_Coverage, 17293,
     /* 2118493 */     GIR_EraseRootFromParent_Done,
     /* 2118494 */   // Label 28004: @2118494
     /* 2118494 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2118585), // Rule ID 17296 //
     /* 2118499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118545 */     // MIs[0] round
     /* 2118545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118548 */     // MIs[0] policy
     /* 2118548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118558 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118584 */     // GIR_Coverage, 17296,
     /* 2118584 */     GIR_EraseRootFromParent_Done,
     /* 2118585 */   // Label 28005: @2118585
     /* 2118585 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2118676), // Rule ID 17297 //
     /* 2118590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118636 */     // MIs[0] round
     /* 2118636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118639 */     // MIs[0] policy
     /* 2118639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118649 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118675 */     // GIR_Coverage, 17297,
     /* 2118675 */     GIR_EraseRootFromParent_Done,
     /* 2118676 */   // Label 28006: @2118676
     /* 2118676 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2118767), // Rule ID 17300 //
     /* 2118681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118727 */     // MIs[0] round
     /* 2118727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118730 */     // MIs[0] policy
     /* 2118730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118740 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118766 */     // GIR_Coverage, 17300,
     /* 2118766 */     GIR_EraseRootFromParent_Done,
     /* 2118767 */   // Label 28007: @2118767
     /* 2118767 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2118858), // Rule ID 17301 //
     /* 2118772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118818 */     // MIs[0] round
     /* 2118818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118821 */     // MIs[0] policy
     /* 2118821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118831 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118857 */     // GIR_Coverage, 17301,
     /* 2118857 */     GIR_EraseRootFromParent_Done,
     /* 2118858 */   // Label 28008: @2118858
     /* 2118858 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2118949), // Rule ID 17304 //
     /* 2118863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118909 */     // MIs[0] round
     /* 2118909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118912 */     // MIs[0] policy
     /* 2118912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2118925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118948 */     // GIR_Coverage, 17304,
     /* 2118948 */     GIR_EraseRootFromParent_Done,
     /* 2118949 */   // Label 28009: @2118949
     /* 2118949 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2119040), // Rule ID 17305 //
     /* 2118954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119000 */     // MIs[0] round
     /* 2119000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119003 */     // MIs[0] policy
     /* 2119003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119013 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2119016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119039 */     // GIR_Coverage, 17305,
     /* 2119039 */     GIR_EraseRootFromParent_Done,
     /* 2119040 */   // Label 28010: @2119040
     /* 2119040 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2119131), // Rule ID 17308 //
     /* 2119045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2119062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2119065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119091 */     // MIs[0] round
     /* 2119091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119094 */     // MIs[0] policy
     /* 2119094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119104 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2119107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119130 */     // GIR_Coverage, 17308,
     /* 2119130 */     GIR_EraseRootFromParent_Done,
     /* 2119131 */   // Label 28011: @2119131
     /* 2119131 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2119222), // Rule ID 17309 //
     /* 2119136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2119153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2119156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119182 */     // MIs[0] round
     /* 2119182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119185 */     // MIs[0] policy
     /* 2119185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119195 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2119198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119221 */     // GIR_Coverage, 17309,
     /* 2119221 */     GIR_EraseRootFromParent_Done,
     /* 2119222 */   // Label 28012: @2119222
     /* 2119222 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2119313), // Rule ID 17312 //
     /* 2119227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2119247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119273 */     // MIs[0] round
     /* 2119273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119276 */     // MIs[0] policy
     /* 2119276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119286 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2119289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119312 */     // GIR_Coverage, 17312,
     /* 2119312 */     GIR_EraseRootFromParent_Done,
     /* 2119313 */   // Label 28013: @2119313
     /* 2119313 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2119404), // Rule ID 17313 //
     /* 2119318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2119338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119364 */     // MIs[0] round
     /* 2119364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119367 */     // MIs[0] policy
     /* 2119367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2119380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119403 */     // GIR_Coverage, 17313,
     /* 2119403 */     GIR_EraseRootFromParent_Done,
     /* 2119404 */   // Label 28014: @2119404
     /* 2119404 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2119495), // Rule ID 17316 //
     /* 2119409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2119429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119455 */     // MIs[0] round
     /* 2119455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119458 */     // MIs[0] policy
     /* 2119458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119468 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119494 */     // GIR_Coverage, 17316,
     /* 2119494 */     GIR_EraseRootFromParent_Done,
     /* 2119495 */   // Label 28015: @2119495
     /* 2119495 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2119586), // Rule ID 17317 //
     /* 2119500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2119520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119546 */     // MIs[0] round
     /* 2119546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119549 */     // MIs[0] policy
     /* 2119549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119559 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119585 */     // GIR_Coverage, 17317,
     /* 2119585 */     GIR_EraseRootFromParent_Done,
     /* 2119586 */   // Label 28016: @2119586
     /* 2119586 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2119677), // Rule ID 17320 //
     /* 2119591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119637 */     // MIs[0] round
     /* 2119637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119640 */     // MIs[0] policy
     /* 2119640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119650 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119676 */     // GIR_Coverage, 17320,
     /* 2119676 */     GIR_EraseRootFromParent_Done,
     /* 2119677 */   // Label 28017: @2119677
     /* 2119677 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2119768), // Rule ID 17321 //
     /* 2119682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119728 */     // MIs[0] round
     /* 2119728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119731 */     // MIs[0] policy
     /* 2119731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119741 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119767 */     // GIR_Coverage, 17321,
     /* 2119767 */     GIR_EraseRootFromParent_Done,
     /* 2119768 */   // Label 28018: @2119768
     /* 2119768 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2119859), // Rule ID 17324 //
     /* 2119773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119819 */     // MIs[0] round
     /* 2119819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119822 */     // MIs[0] policy
     /* 2119822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119832 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119858 */     // GIR_Coverage, 17324,
     /* 2119858 */     GIR_EraseRootFromParent_Done,
     /* 2119859 */   // Label 28019: @2119859
     /* 2119859 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2119950), // Rule ID 17325 //
     /* 2119864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119910 */     // MIs[0] round
     /* 2119910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119913 */     // MIs[0] policy
     /* 2119913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119923 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119949 */     // GIR_Coverage, 17325,
     /* 2119949 */     GIR_EraseRootFromParent_Done,
     /* 2119950 */   // Label 28020: @2119950
     /* 2119950 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2120041), // Rule ID 17328 //
     /* 2119955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120001 */     // MIs[0] round
     /* 2120001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120004 */     // MIs[0] policy
     /* 2120004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120014 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2120017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120040 */     // GIR_Coverage, 17328,
     /* 2120040 */     GIR_EraseRootFromParent_Done,
     /* 2120041 */   // Label 28021: @2120041
     /* 2120041 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2120132), // Rule ID 17329 //
     /* 2120046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2120057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2120060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2120063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120092 */     // MIs[0] round
     /* 2120092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120095 */     // MIs[0] policy
     /* 2120095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120105 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2120108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120131 */     // GIR_Coverage, 17329,
     /* 2120131 */     GIR_EraseRootFromParent_Done,
     /* 2120132 */   // Label 28022: @2120132
     /* 2120132 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2120223), // Rule ID 17332 //
     /* 2120137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2120148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2120151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120183 */     // MIs[0] round
     /* 2120183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120186 */     // MIs[0] policy
     /* 2120186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120196 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2120199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120222 */     // GIR_Coverage, 17332,
     /* 2120222 */     GIR_EraseRootFromParent_Done,
     /* 2120223 */   // Label 28023: @2120223
     /* 2120223 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2120314), // Rule ID 17333 //
     /* 2120228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2120239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2120242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120274 */     // MIs[0] round
     /* 2120274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120277 */     // MIs[0] policy
     /* 2120277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120287 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2120290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120313 */     // GIR_Coverage, 17333,
     /* 2120313 */     GIR_EraseRootFromParent_Done,
     /* 2120314 */   // Label 28024: @2120314
     /* 2120314 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2120405), // Rule ID 17336 //
     /* 2120319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120365 */     // MIs[0] round
     /* 2120365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120368 */     // MIs[0] policy
     /* 2120368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2120381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120404 */     // GIR_Coverage, 17336,
     /* 2120404 */     GIR_EraseRootFromParent_Done,
     /* 2120405 */   // Label 28025: @2120405
     /* 2120405 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2120496), // Rule ID 17337 //
     /* 2120410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120456 */     // MIs[0] round
     /* 2120456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120459 */     // MIs[0] policy
     /* 2120459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120469 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2120472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120495 */     // GIR_Coverage, 17337,
     /* 2120495 */     GIR_EraseRootFromParent_Done,
     /* 2120496 */   // Label 28026: @2120496
     /* 2120496 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2120587), // Rule ID 17340 //
     /* 2120501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120547 */     // MIs[0] round
     /* 2120547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120550 */     // MIs[0] policy
     /* 2120550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120560 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120586 */     // GIR_Coverage, 17340,
     /* 2120586 */     GIR_EraseRootFromParent_Done,
     /* 2120587 */   // Label 28027: @2120587
     /* 2120587 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2120678), // Rule ID 17341 //
     /* 2120592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120638 */     // MIs[0] round
     /* 2120638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120641 */     // MIs[0] policy
     /* 2120641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120651 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120677 */     // GIR_Coverage, 17341,
     /* 2120677 */     GIR_EraseRootFromParent_Done,
     /* 2120678 */   // Label 28028: @2120678
     /* 2120678 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2120769), // Rule ID 17344 //
     /* 2120683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120729 */     // MIs[0] round
     /* 2120729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120732 */     // MIs[0] policy
     /* 2120732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120742 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120768 */     // GIR_Coverage, 17344,
     /* 2120768 */     GIR_EraseRootFromParent_Done,
     /* 2120769 */   // Label 28029: @2120769
     /* 2120769 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2120860), // Rule ID 17345 //
     /* 2120774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120820 */     // MIs[0] round
     /* 2120820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120823 */     // MIs[0] policy
     /* 2120823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120833 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120859 */     // GIR_Coverage, 17345,
     /* 2120859 */     GIR_EraseRootFromParent_Done,
     /* 2120860 */   // Label 28030: @2120860
     /* 2120860 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2120951), // Rule ID 17348 //
     /* 2120865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2120868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120911 */     // MIs[0] round
     /* 2120911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120914 */     // MIs[0] policy
     /* 2120914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120924 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2120927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120950 */     // GIR_Coverage, 17348,
     /* 2120950 */     GIR_EraseRootFromParent_Done,
     /* 2120951 */   // Label 28031: @2120951
     /* 2120951 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2121042), // Rule ID 17349 //
     /* 2120956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121002 */     // MIs[0] round
     /* 2121002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121005 */     // MIs[0] policy
     /* 2121005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121015 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2121018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121041 */     // GIR_Coverage, 17349,
     /* 2121041 */     GIR_EraseRootFromParent_Done,
     /* 2121042 */   // Label 28032: @2121042
     /* 2121042 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2121133), // Rule ID 17352 //
     /* 2121047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2121058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2121061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121093 */     // MIs[0] round
     /* 2121093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121096 */     // MIs[0] policy
     /* 2121096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121106 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2121109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121132 */     // GIR_Coverage, 17352,
     /* 2121132 */     GIR_EraseRootFromParent_Done,
     /* 2121133 */   // Label 28033: @2121133
     /* 2121133 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2121224), // Rule ID 17353 //
     /* 2121138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2121149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2121152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121184 */     // MIs[0] round
     /* 2121184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121187 */     // MIs[0] policy
     /* 2121187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121197 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2121200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121223 */     // GIR_Coverage, 17353,
     /* 2121223 */     GIR_EraseRootFromParent_Done,
     /* 2121224 */   // Label 28034: @2121224
     /* 2121224 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2121315), // Rule ID 17356 //
     /* 2121229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2121240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2121243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121275 */     // MIs[0] round
     /* 2121275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121278 */     // MIs[0] policy
     /* 2121278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121288 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2121291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121314 */     // GIR_Coverage, 17356,
     /* 2121314 */     GIR_EraseRootFromParent_Done,
     /* 2121315 */   // Label 28035: @2121315
     /* 2121315 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2121406), // Rule ID 17357 //
     /* 2121320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2121331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2121334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121366 */     // MIs[0] round
     /* 2121366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121369 */     // MIs[0] policy
     /* 2121369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121379 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2121382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121405 */     // GIR_Coverage, 17357,
     /* 2121405 */     GIR_EraseRootFromParent_Done,
     /* 2121406 */   // Label 28036: @2121406
     /* 2121406 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2121497), // Rule ID 17360 //
     /* 2121411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121457 */     // MIs[0] round
     /* 2121457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121460 */     // MIs[0] policy
     /* 2121460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121470 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121496 */     // GIR_Coverage, 17360,
     /* 2121496 */     GIR_EraseRootFromParent_Done,
     /* 2121497 */   // Label 28037: @2121497
     /* 2121497 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2121588), // Rule ID 17361 //
     /* 2121502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121548 */     // MIs[0] round
     /* 2121548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121551 */     // MIs[0] policy
     /* 2121551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121561 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121587 */     // GIR_Coverage, 17361,
     /* 2121587 */     GIR_EraseRootFromParent_Done,
     /* 2121588 */   // Label 28038: @2121588
     /* 2121588 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2121679), // Rule ID 17364 //
     /* 2121593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121639 */     // MIs[0] round
     /* 2121639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121642 */     // MIs[0] policy
     /* 2121642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121652 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121678 */     // GIR_Coverage, 17364,
     /* 2121678 */     GIR_EraseRootFromParent_Done,
     /* 2121679 */   // Label 28039: @2121679
     /* 2121679 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2121770), // Rule ID 17365 //
     /* 2121684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121730 */     // MIs[0] round
     /* 2121730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121733 */     // MIs[0] policy
     /* 2121733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121743 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121769 */     // GIR_Coverage, 17365,
     /* 2121769 */     GIR_EraseRootFromParent_Done,
     /* 2121770 */   // Label 28040: @2121770
     /* 2121770 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2121861), // Rule ID 17368 //
     /* 2121775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121821 */     // MIs[0] round
     /* 2121821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121824 */     // MIs[0] policy
     /* 2121824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121834 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121860 */     // GIR_Coverage, 17368,
     /* 2121860 */     GIR_EraseRootFromParent_Done,
     /* 2121861 */   // Label 28041: @2121861
     /* 2121861 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2121952), // Rule ID 17369 //
     /* 2121866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121912 */     // MIs[0] round
     /* 2121912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121915 */     // MIs[0] policy
     /* 2121915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121925 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121951 */     // GIR_Coverage, 17369,
     /* 2121951 */     GIR_EraseRootFromParent_Done,
     /* 2121952 */   // Label 28042: @2121952
     /* 2121952 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2122043), // Rule ID 17372 //
     /* 2121957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122003 */     // MIs[0] round
     /* 2122003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122006 */     // MIs[0] policy
     /* 2122006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2122019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122042 */     // GIR_Coverage, 17372,
     /* 2122042 */     GIR_EraseRootFromParent_Done,
     /* 2122043 */   // Label 28043: @2122043
     /* 2122043 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2122134), // Rule ID 17373 //
     /* 2122048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122094 */     // MIs[0] round
     /* 2122094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122097 */     // MIs[0] policy
     /* 2122097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122107 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2122110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122133 */     // GIR_Coverage, 17373,
     /* 2122133 */     GIR_EraseRootFromParent_Done,
     /* 2122134 */   // Label 28044: @2122134
     /* 2122134 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2122225), // Rule ID 17376 //
     /* 2122139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2122156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122185 */     // MIs[0] round
     /* 2122185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122188 */     // MIs[0] policy
     /* 2122188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122198 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2122201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122224 */     // GIR_Coverage, 17376,
     /* 2122224 */     GIR_EraseRootFromParent_Done,
     /* 2122225 */   // Label 28045: @2122225
     /* 2122225 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2122316), // Rule ID 17377 //
     /* 2122230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2122247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122276 */     // MIs[0] round
     /* 2122276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122279 */     // MIs[0] policy
     /* 2122279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122289 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2122292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122315 */     // GIR_Coverage, 17377,
     /* 2122315 */     GIR_EraseRootFromParent_Done,
     /* 2122316 */   // Label 28046: @2122316
     /* 2122316 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2122407), // Rule ID 17380 //
     /* 2122321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2122338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122367 */     // MIs[0] round
     /* 2122367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122370 */     // MIs[0] policy
     /* 2122370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122380 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2122383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122406 */     // GIR_Coverage, 17380,
     /* 2122406 */     GIR_EraseRootFromParent_Done,
     /* 2122407 */   // Label 28047: @2122407
     /* 2122407 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2122498), // Rule ID 17381 //
     /* 2122412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2122429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122458 */     // MIs[0] round
     /* 2122458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122461 */     // MIs[0] policy
     /* 2122461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122471 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2122474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122497 */     // GIR_Coverage, 17381,
     /* 2122497 */     GIR_EraseRootFromParent_Done,
     /* 2122498 */   // Label 28048: @2122498
     /* 2122498 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2122589), // Rule ID 17384 //
     /* 2122503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122549 */     // MIs[0] round
     /* 2122549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122552 */     // MIs[0] policy
     /* 2122552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122562 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122588 */     // GIR_Coverage, 17384,
     /* 2122588 */     GIR_EraseRootFromParent_Done,
     /* 2122589 */   // Label 28049: @2122589
     /* 2122589 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2122680), // Rule ID 17385 //
     /* 2122594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122640 */     // MIs[0] round
     /* 2122640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122643 */     // MIs[0] policy
     /* 2122643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122653 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122679 */     // GIR_Coverage, 17385,
     /* 2122679 */     GIR_EraseRootFromParent_Done,
     /* 2122680 */   // Label 28050: @2122680
     /* 2122680 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2122771), // Rule ID 17388 //
     /* 2122685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122731 */     // MIs[0] round
     /* 2122731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122734 */     // MIs[0] policy
     /* 2122734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122744 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122770 */     // GIR_Coverage, 17388,
     /* 2122770 */     GIR_EraseRootFromParent_Done,
     /* 2122771 */   // Label 28051: @2122771
     /* 2122771 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2122862), // Rule ID 17389 //
     /* 2122776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122822 */     // MIs[0] round
     /* 2122822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122825 */     // MIs[0] policy
     /* 2122825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122835 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122861 */     // GIR_Coverage, 17389,
     /* 2122861 */     GIR_EraseRootFromParent_Done,
     /* 2122862 */   // Label 28052: @2122862
     /* 2122862 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2122953), // Rule ID 17392 //
     /* 2122867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122913 */     // MIs[0] round
     /* 2122913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122916 */     // MIs[0] policy
     /* 2122916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122926 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2122929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122952 */     // GIR_Coverage, 17392,
     /* 2122952 */     GIR_EraseRootFromParent_Done,
     /* 2122953 */   // Label 28053: @2122953
     /* 2122953 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2123044), // Rule ID 17393 //
     /* 2122958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123004 */     // MIs[0] round
     /* 2123004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123007 */     // MIs[0] policy
     /* 2123007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123017 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2123020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123043 */     // GIR_Coverage, 17393,
     /* 2123043 */     GIR_EraseRootFromParent_Done,
     /* 2123044 */   // Label 28054: @2123044
     /* 2123044 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2123135), // Rule ID 17396 //
     /* 2123049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2123069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123095 */     // MIs[0] round
     /* 2123095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123098 */     // MIs[0] policy
     /* 2123098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123108 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2123111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123134 */     // GIR_Coverage, 17396,
     /* 2123134 */     GIR_EraseRootFromParent_Done,
     /* 2123135 */   // Label 28055: @2123135
     /* 2123135 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2123226), // Rule ID 17397 //
     /* 2123140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2123160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123186 */     // MIs[0] round
     /* 2123186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123189 */     // MIs[0] policy
     /* 2123189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123199 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2123202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123225 */     // GIR_Coverage, 17397,
     /* 2123225 */     GIR_EraseRootFromParent_Done,
     /* 2123226 */   // Label 28056: @2123226
     /* 2123226 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2123317), // Rule ID 17400 //
     /* 2123231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2123242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2123245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2123248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2123251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123277 */     // MIs[0] round
     /* 2123277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123280 */     // MIs[0] policy
     /* 2123280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123290 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2123293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123316 */     // GIR_Coverage, 17400,
     /* 2123316 */     GIR_EraseRootFromParent_Done,
     /* 2123317 */   // Label 28057: @2123317
     /* 2123317 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2123408), // Rule ID 17401 //
     /* 2123322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2123333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2123336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2123339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2123342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123368 */     // MIs[0] round
     /* 2123368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123371 */     // MIs[0] policy
     /* 2123371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123381 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2123384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123407 */     // GIR_Coverage, 17401,
     /* 2123407 */     GIR_EraseRootFromParent_Done,
     /* 2123408 */   // Label 28058: @2123408
     /* 2123408 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2123499), // Rule ID 17404 //
     /* 2123413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123459 */     // MIs[0] round
     /* 2123459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123462 */     // MIs[0] policy
     /* 2123462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123472 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123498 */     // GIR_Coverage, 17404,
     /* 2123498 */     GIR_EraseRootFromParent_Done,
     /* 2123499 */   // Label 28059: @2123499
     /* 2123499 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2123590), // Rule ID 17405 //
     /* 2123504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123550 */     // MIs[0] round
     /* 2123550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123553 */     // MIs[0] policy
     /* 2123553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123563 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123589 */     // GIR_Coverage, 17405,
     /* 2123589 */     GIR_EraseRootFromParent_Done,
     /* 2123590 */   // Label 28060: @2123590
     /* 2123590 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2123681), // Rule ID 17408 //
     /* 2123595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123641 */     // MIs[0] round
     /* 2123641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123644 */     // MIs[0] policy
     /* 2123644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123654 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123680 */     // GIR_Coverage, 17408,
     /* 2123680 */     GIR_EraseRootFromParent_Done,
     /* 2123681 */   // Label 28061: @2123681
     /* 2123681 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2123772), // Rule ID 17409 //
     /* 2123686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123732 */     // MIs[0] round
     /* 2123732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123735 */     // MIs[0] policy
     /* 2123735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123745 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123771 */     // GIR_Coverage, 17409,
     /* 2123771 */     GIR_EraseRootFromParent_Done,
     /* 2123772 */   // Label 28062: @2123772
     /* 2123772 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2123863), // Rule ID 17412 //
     /* 2123777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123823 */     // MIs[0] round
     /* 2123823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123826 */     // MIs[0] policy
     /* 2123826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123836 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123862 */     // GIR_Coverage, 17412,
     /* 2123862 */     GIR_EraseRootFromParent_Done,
     /* 2123863 */   // Label 28063: @2123863
     /* 2123863 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2123954), // Rule ID 17413 //
     /* 2123868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123914 */     // MIs[0] round
     /* 2123914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123917 */     // MIs[0] policy
     /* 2123917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123953 */     // GIR_Coverage, 17413,
     /* 2123953 */     GIR_EraseRootFromParent_Done,
     /* 2123954 */   // Label 28064: @2123954
     /* 2123954 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2124045), // Rule ID 17416 //
     /* 2123959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124005 */     // MIs[0] round
     /* 2124005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124008 */     // MIs[0] policy
     /* 2124008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124018 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2124021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124044 */     // GIR_Coverage, 17416,
     /* 2124044 */     GIR_EraseRootFromParent_Done,
     /* 2124045 */   // Label 28065: @2124045
     /* 2124045 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2124136), // Rule ID 17417 //
     /* 2124050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2124061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2124064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2124067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2124070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124096 */     // MIs[0] round
     /* 2124096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124099 */     // MIs[0] policy
     /* 2124099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124109 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2124112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124135 */     // GIR_Coverage, 17417,
     /* 2124135 */     GIR_EraseRootFromParent_Done,
     /* 2124136 */   // Label 28066: @2124136
     /* 2124136 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2124227), // Rule ID 17420 //
     /* 2124141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2124152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2124155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2124158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2124161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2124164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124187 */     // MIs[0] round
     /* 2124187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124190 */     // MIs[0] policy
     /* 2124190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124200 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2124203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124226 */     // GIR_Coverage, 17420,
     /* 2124226 */     GIR_EraseRootFromParent_Done,
     /* 2124227 */   // Label 28067: @2124227
     /* 2124227 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2124318), // Rule ID 17421 //
     /* 2124232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2124243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2124246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2124249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2124252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2124255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124278 */     // MIs[0] round
     /* 2124278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124281 */     // MIs[0] policy
     /* 2124281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124291 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2124294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124317 */     // GIR_Coverage, 17421,
     /* 2124317 */     GIR_EraseRootFromParent_Done,
     /* 2124318 */   // Label 28068: @2124318
     /* 2124318 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2124409), // Rule ID 17424 //
     /* 2124323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2124343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124369 */     // MIs[0] round
     /* 2124369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124372 */     // MIs[0] policy
     /* 2124372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124382 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2124385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124408 */     // GIR_Coverage, 17424,
     /* 2124408 */     GIR_EraseRootFromParent_Done,
     /* 2124409 */   // Label 28069: @2124409
     /* 2124409 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2124500), // Rule ID 17425 //
     /* 2124414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2124434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124460 */     // MIs[0] round
     /* 2124460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124463 */     // MIs[0] policy
     /* 2124463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124473 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2124476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124499 */     // GIR_Coverage, 17425,
     /* 2124499 */     GIR_EraseRootFromParent_Done,
     /* 2124500 */   // Label 28070: @2124500
     /* 2124500 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2124591), // Rule ID 17428 //
     /* 2124505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124551 */     // MIs[0] round
     /* 2124551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124554 */     // MIs[0] policy
     /* 2124554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124564 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124590 */     // GIR_Coverage, 17428,
     /* 2124590 */     GIR_EraseRootFromParent_Done,
     /* 2124591 */   // Label 28071: @2124591
     /* 2124591 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2124682), // Rule ID 17429 //
     /* 2124596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124642 */     // MIs[0] round
     /* 2124642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124645 */     // MIs[0] policy
     /* 2124645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124655 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124681 */     // GIR_Coverage, 17429,
     /* 2124681 */     GIR_EraseRootFromParent_Done,
     /* 2124682 */   // Label 28072: @2124682
     /* 2124682 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2124773), // Rule ID 17432 //
     /* 2124687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124733 */     // MIs[0] round
     /* 2124733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124736 */     // MIs[0] policy
     /* 2124736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124746 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124772 */     // GIR_Coverage, 17432,
     /* 2124772 */     GIR_EraseRootFromParent_Done,
     /* 2124773 */   // Label 28073: @2124773
     /* 2124773 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2124864), // Rule ID 17433 //
     /* 2124778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124824 */     // MIs[0] round
     /* 2124824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124827 */     // MIs[0] policy
     /* 2124827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124837 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124863 */     // GIR_Coverage, 17433,
     /* 2124863 */     GIR_EraseRootFromParent_Done,
     /* 2124864 */   // Label 28074: @2124864
     /* 2124864 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2124955), // Rule ID 17436 //
     /* 2124869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124915 */     // MIs[0] round
     /* 2124915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124918 */     // MIs[0] policy
     /* 2124918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2124931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124954 */     // GIR_Coverage, 17436,
     /* 2124954 */     GIR_EraseRootFromParent_Done,
     /* 2124955 */   // Label 28075: @2124955
     /* 2124955 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2125046), // Rule ID 17437 //
     /* 2124960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125006 */     // MIs[0] round
     /* 2125006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125009 */     // MIs[0] policy
     /* 2125009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125019 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2125022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125045 */     // GIR_Coverage, 17437,
     /* 2125045 */     GIR_EraseRootFromParent_Done,
     /* 2125046 */   // Label 28076: @2125046
     /* 2125046 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2125137), // Rule ID 17440 //
     /* 2125051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2125068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2125071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125097 */     // MIs[0] round
     /* 2125097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125100 */     // MIs[0] policy
     /* 2125100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125110 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2125113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125136 */     // GIR_Coverage, 17440,
     /* 2125136 */     GIR_EraseRootFromParent_Done,
     /* 2125137 */   // Label 28077: @2125137
     /* 2125137 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2125228), // Rule ID 17441 //
     /* 2125142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2125159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2125162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125188 */     // MIs[0] round
     /* 2125188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125191 */     // MIs[0] policy
     /* 2125191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125201 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2125204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125227 */     // GIR_Coverage, 17441,
     /* 2125227 */     GIR_EraseRootFromParent_Done,
     /* 2125228 */   // Label 28078: @2125228
     /* 2125228 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2125319), // Rule ID 17444 //
     /* 2125233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2125244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2125247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2125250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2125253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125279 */     // MIs[0] round
     /* 2125279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125282 */     // MIs[0] policy
     /* 2125282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125292 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2125295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125318 */     // GIR_Coverage, 17444,
     /* 2125318 */     GIR_EraseRootFromParent_Done,
     /* 2125319 */   // Label 28079: @2125319
     /* 2125319 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2125410), // Rule ID 17445 //
     /* 2125324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2125335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2125338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2125341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2125344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125370 */     // MIs[0] round
     /* 2125370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125373 */     // MIs[0] policy
     /* 2125373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125383 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2125386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125409 */     // GIR_Coverage, 17445,
     /* 2125409 */     GIR_EraseRootFromParent_Done,
     /* 2125410 */   // Label 28080: @2125410
     /* 2125410 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2125501), // Rule ID 17448 //
     /* 2125415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2125426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2125429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2125432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125461 */     // MIs[0] round
     /* 2125461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125464 */     // MIs[0] policy
     /* 2125464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125474 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125500 */     // GIR_Coverage, 17448,
     /* 2125500 */     GIR_EraseRootFromParent_Done,
     /* 2125501 */   // Label 28081: @2125501
     /* 2125501 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2125592), // Rule ID 17449 //
     /* 2125506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2125517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2125520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2125523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125552 */     // MIs[0] round
     /* 2125552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125555 */     // MIs[0] policy
     /* 2125555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125565 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125591 */     // GIR_Coverage, 17449,
     /* 2125591 */     GIR_EraseRootFromParent_Done,
     /* 2125592 */   // Label 28082: @2125592
     /* 2125592 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2125683), // Rule ID 17452 //
     /* 2125597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125643 */     // MIs[0] round
     /* 2125643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125646 */     // MIs[0] policy
     /* 2125646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125656 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125682 */     // GIR_Coverage, 17452,
     /* 2125682 */     GIR_EraseRootFromParent_Done,
     /* 2125683 */   // Label 28083: @2125683
     /* 2125683 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2125774), // Rule ID 17453 //
     /* 2125688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125734 */     // MIs[0] round
     /* 2125734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125737 */     // MIs[0] policy
     /* 2125737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125747 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125773 */     // GIR_Coverage, 17453,
     /* 2125773 */     GIR_EraseRootFromParent_Done,
     /* 2125774 */   // Label 28084: @2125774
     /* 2125774 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2125865), // Rule ID 17456 //
     /* 2125779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125825 */     // MIs[0] round
     /* 2125825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125828 */     // MIs[0] policy
     /* 2125828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125838 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125864 */     // GIR_Coverage, 17456,
     /* 2125864 */     GIR_EraseRootFromParent_Done,
     /* 2125865 */   // Label 28085: @2125865
     /* 2125865 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2125956), // Rule ID 17457 //
     /* 2125870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125916 */     // MIs[0] round
     /* 2125916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125919 */     // MIs[0] policy
     /* 2125919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125929 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125955 */     // GIR_Coverage, 17457,
     /* 2125955 */     GIR_EraseRootFromParent_Done,
     /* 2125956 */   // Label 28086: @2125956
     /* 2125956 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2126047), // Rule ID 17460 //
     /* 2125961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2125972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2125975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126007 */     // MIs[0] round
     /* 2126007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126010 */     // MIs[0] policy
     /* 2126010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2126023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126046 */     // GIR_Coverage, 17460,
     /* 2126046 */     GIR_EraseRootFromParent_Done,
     /* 2126047 */   // Label 28087: @2126047
     /* 2126047 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2126138), // Rule ID 17461 //
     /* 2126052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2126063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2126066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2126069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126098 */     // MIs[0] round
     /* 2126098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126101 */     // MIs[0] policy
     /* 2126101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126111 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2126114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126137 */     // GIR_Coverage, 17461,
     /* 2126137 */     GIR_EraseRootFromParent_Done,
     /* 2126138 */   // Label 28088: @2126138
     /* 2126138 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2126229), // Rule ID 17464 //
     /* 2126143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2126160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126189 */     // MIs[0] round
     /* 2126189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126192 */     // MIs[0] policy
     /* 2126192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126202 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2126205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126228 */     // GIR_Coverage, 17464,
     /* 2126228 */     GIR_EraseRootFromParent_Done,
     /* 2126229 */   // Label 28089: @2126229
     /* 2126229 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2126320), // Rule ID 17465 //
     /* 2126234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2126251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126280 */     // MIs[0] round
     /* 2126280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126283 */     // MIs[0] policy
     /* 2126283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126293 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2126296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126319 */     // GIR_Coverage, 17465,
     /* 2126319 */     GIR_EraseRootFromParent_Done,
     /* 2126320 */   // Label 28090: @2126320
     /* 2126320 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2126411), // Rule ID 17468 //
     /* 2126325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2126336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2126339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2126342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126371 */     // MIs[0] round
     /* 2126371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126374 */     // MIs[0] policy
     /* 2126374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126384 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2126387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126410 */     // GIR_Coverage, 17468,
     /* 2126410 */     GIR_EraseRootFromParent_Done,
     /* 2126411 */   // Label 28091: @2126411
     /* 2126411 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2126502), // Rule ID 17469 //
     /* 2126416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2126427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2126430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2126433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126462 */     // MIs[0] round
     /* 2126462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126465 */     // MIs[0] policy
     /* 2126465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126475 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2126478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126501 */     // GIR_Coverage, 17469,
     /* 2126501 */     GIR_EraseRootFromParent_Done,
     /* 2126502 */   // Label 28092: @2126502
     /* 2126502 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2126593), // Rule ID 17472 //
     /* 2126507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126553 */     // MIs[0] round
     /* 2126553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126556 */     // MIs[0] policy
     /* 2126556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126566 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126592 */     // GIR_Coverage, 17472,
     /* 2126592 */     GIR_EraseRootFromParent_Done,
     /* 2126593 */   // Label 28093: @2126593
     /* 2126593 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2126684), // Rule ID 17473 //
     /* 2126598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126644 */     // MIs[0] round
     /* 2126644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126647 */     // MIs[0] policy
     /* 2126647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126657 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126683 */     // GIR_Coverage, 17473,
     /* 2126683 */     GIR_EraseRootFromParent_Done,
     /* 2126684 */   // Label 28094: @2126684
     /* 2126684 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2126775), // Rule ID 17476 //
     /* 2126689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126735 */     // MIs[0] round
     /* 2126735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126738 */     // MIs[0] policy
     /* 2126738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126774 */     // GIR_Coverage, 17476,
     /* 2126774 */     GIR_EraseRootFromParent_Done,
     /* 2126775 */   // Label 28095: @2126775
     /* 2126775 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2126866), // Rule ID 17477 //
     /* 2126780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126826 */     // MIs[0] round
     /* 2126826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126829 */     // MIs[0] policy
     /* 2126829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126839 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126865 */     // GIR_Coverage, 17477,
     /* 2126865 */     GIR_EraseRootFromParent_Done,
     /* 2126866 */   // Label 28096: @2126866
     /* 2126866 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2126957), // Rule ID 17480 //
     /* 2126871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126917 */     // MIs[0] round
     /* 2126917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126920 */     // MIs[0] policy
     /* 2126920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126930 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2126933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126956 */     // GIR_Coverage, 17480,
     /* 2126956 */     GIR_EraseRootFromParent_Done,
     /* 2126957 */   // Label 28097: @2126957
     /* 2126957 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2127048), // Rule ID 17481 //
     /* 2126962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127008 */     // MIs[0] round
     /* 2127008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127011 */     // MIs[0] policy
     /* 2127011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127021 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2127024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127047 */     // GIR_Coverage, 17481,
     /* 2127047 */     GIR_EraseRootFromParent_Done,
     /* 2127048 */   // Label 28098: @2127048
     /* 2127048 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2127139), // Rule ID 17484 //
     /* 2127053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127099 */     // MIs[0] round
     /* 2127099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127102 */     // MIs[0] policy
     /* 2127102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127112 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2127115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127138 */     // GIR_Coverage, 17484,
     /* 2127138 */     GIR_EraseRootFromParent_Done,
     /* 2127139 */   // Label 28099: @2127139
     /* 2127139 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2127230), // Rule ID 17485 //
     /* 2127144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127190 */     // MIs[0] round
     /* 2127190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127193 */     // MIs[0] policy
     /* 2127193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127203 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2127206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127229 */     // GIR_Coverage, 17485,
     /* 2127229 */     GIR_EraseRootFromParent_Done,
     /* 2127230 */   // Label 28100: @2127230
     /* 2127230 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2127321), // Rule ID 17488 //
     /* 2127235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2127246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2127249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127281 */     // MIs[0] round
     /* 2127281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127284 */     // MIs[0] policy
     /* 2127284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127294 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2127297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127320 */     // GIR_Coverage, 17488,
     /* 2127320 */     GIR_EraseRootFromParent_Done,
     /* 2127321 */   // Label 28101: @2127321
     /* 2127321 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2127412), // Rule ID 17489 //
     /* 2127326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2127337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2127340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127372 */     // MIs[0] round
     /* 2127372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127375 */     // MIs[0] policy
     /* 2127375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127385 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2127388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127411 */     // GIR_Coverage, 17489,
     /* 2127411 */     GIR_EraseRootFromParent_Done,
     /* 2127412 */   // Label 28102: @2127412
     /* 2127412 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2127503), // Rule ID 17492 //
     /* 2127417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127463 */     // MIs[0] round
     /* 2127463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127466 */     // MIs[0] policy
     /* 2127466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127502 */     // GIR_Coverage, 17492,
     /* 2127502 */     GIR_EraseRootFromParent_Done,
     /* 2127503 */   // Label 28103: @2127503
     /* 2127503 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2127594), // Rule ID 17493 //
     /* 2127508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127554 */     // MIs[0] round
     /* 2127554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127557 */     // MIs[0] policy
     /* 2127557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127567 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127593 */     // GIR_Coverage, 17493,
     /* 2127593 */     GIR_EraseRootFromParent_Done,
     /* 2127594 */   // Label 28104: @2127594
     /* 2127594 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2127685), // Rule ID 17496 //
     /* 2127599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127645 */     // MIs[0] round
     /* 2127645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127648 */     // MIs[0] policy
     /* 2127648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127658 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127684 */     // GIR_Coverage, 17496,
     /* 2127684 */     GIR_EraseRootFromParent_Done,
     /* 2127685 */   // Label 28105: @2127685
     /* 2127685 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2127776), // Rule ID 17497 //
     /* 2127690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127736 */     // MIs[0] round
     /* 2127736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127739 */     // MIs[0] policy
     /* 2127739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127749 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127775 */     // GIR_Coverage, 17497,
     /* 2127775 */     GIR_EraseRootFromParent_Done,
     /* 2127776 */   // Label 28106: @2127776
     /* 2127776 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2127867), // Rule ID 17500 //
     /* 2127781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127827 */     // MIs[0] round
     /* 2127827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127830 */     // MIs[0] policy
     /* 2127830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127840 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127866 */     // GIR_Coverage, 17500,
     /* 2127866 */     GIR_EraseRootFromParent_Done,
     /* 2127867 */   // Label 28107: @2127867
     /* 2127867 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2127958), // Rule ID 17501 //
     /* 2127872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127918 */     // MIs[0] round
     /* 2127918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127921 */     // MIs[0] policy
     /* 2127921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127931 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127957 */     // GIR_Coverage, 17501,
     /* 2127957 */     GIR_EraseRootFromParent_Done,
     /* 2127958 */   // Label 28108: @2127958
     /* 2127958 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2128049), // Rule ID 17504 //
     /* 2127963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128009 */     // MIs[0] round
     /* 2128009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128012 */     // MIs[0] policy
     /* 2128012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128022 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2128025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128048 */     // GIR_Coverage, 17504,
     /* 2128048 */     GIR_EraseRootFromParent_Done,
     /* 2128049 */   // Label 28109: @2128049
     /* 2128049 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2128140), // Rule ID 17505 //
     /* 2128054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2128065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2128068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2128071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128100 */     // MIs[0] round
     /* 2128100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128103 */     // MIs[0] policy
     /* 2128103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128113 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2128116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128139 */     // GIR_Coverage, 17505,
     /* 2128139 */     GIR_EraseRootFromParent_Done,
     /* 2128140 */   // Label 28110: @2128140
     /* 2128140 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2128231), // Rule ID 17508 //
     /* 2128145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128191 */     // MIs[0] round
     /* 2128191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128194 */     // MIs[0] policy
     /* 2128194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128204 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2128207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128230 */     // GIR_Coverage, 17508,
     /* 2128230 */     GIR_EraseRootFromParent_Done,
     /* 2128231 */   // Label 28111: @2128231
     /* 2128231 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2128322), // Rule ID 17509 //
     /* 2128236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128282 */     // MIs[0] round
     /* 2128282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128285 */     // MIs[0] policy
     /* 2128285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128295 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2128298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128321 */     // GIR_Coverage, 17509,
     /* 2128321 */     GIR_EraseRootFromParent_Done,
     /* 2128322 */   // Label 28112: @2128322
     /* 2128322 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2128413), // Rule ID 17512 //
     /* 2128327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128373 */     // MIs[0] round
     /* 2128373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128376 */     // MIs[0] policy
     /* 2128376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128386 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2128389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128412 */     // GIR_Coverage, 17512,
     /* 2128412 */     GIR_EraseRootFromParent_Done,
     /* 2128413 */   // Label 28113: @2128413
     /* 2128413 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2128504), // Rule ID 17513 //
     /* 2128418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128464 */     // MIs[0] round
     /* 2128464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128467 */     // MIs[0] policy
     /* 2128467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128477 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2128480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128503 */     // GIR_Coverage, 17513,
     /* 2128503 */     GIR_EraseRootFromParent_Done,
     /* 2128504 */   // Label 28114: @2128504
     /* 2128504 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2128595), // Rule ID 17516 //
     /* 2128509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128555 */     // MIs[0] round
     /* 2128555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128558 */     // MIs[0] policy
     /* 2128558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128568 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128594 */     // GIR_Coverage, 17516,
     /* 2128594 */     GIR_EraseRootFromParent_Done,
     /* 2128595 */   // Label 28115: @2128595
     /* 2128595 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2128686), // Rule ID 17517 //
     /* 2128600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128646 */     // MIs[0] round
     /* 2128646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128649 */     // MIs[0] policy
     /* 2128649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128659 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128685 */     // GIR_Coverage, 17517,
     /* 2128685 */     GIR_EraseRootFromParent_Done,
     /* 2128686 */   // Label 28116: @2128686
     /* 2128686 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2128777), // Rule ID 17520 //
     /* 2128691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128737 */     // MIs[0] round
     /* 2128737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128740 */     // MIs[0] policy
     /* 2128740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128750 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128776 */     // GIR_Coverage, 17520,
     /* 2128776 */     GIR_EraseRootFromParent_Done,
     /* 2128777 */   // Label 28117: @2128777
     /* 2128777 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2128868), // Rule ID 17521 //
     /* 2128782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128828 */     // MIs[0] round
     /* 2128828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128831 */     // MIs[0] policy
     /* 2128831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128841 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128867 */     // GIR_Coverage, 17521,
     /* 2128867 */     GIR_EraseRootFromParent_Done,
     /* 2128868 */   // Label 28118: @2128868
     /* 2128868 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2128959), // Rule ID 17524 //
     /* 2128873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128919 */     // MIs[0] round
     /* 2128919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128922 */     // MIs[0] policy
     /* 2128922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2128935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128958 */     // GIR_Coverage, 17524,
     /* 2128958 */     GIR_EraseRootFromParent_Done,
     /* 2128959 */   // Label 28119: @2128959
     /* 2128959 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2129050), // Rule ID 17525 //
     /* 2128964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129010 */     // MIs[0] round
     /* 2129010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129013 */     // MIs[0] policy
     /* 2129013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129023 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2129026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129049 */     // GIR_Coverage, 17525,
     /* 2129049 */     GIR_EraseRootFromParent_Done,
     /* 2129050 */   // Label 28120: @2129050
     /* 2129050 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2129141), // Rule ID 17528 //
     /* 2129055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129101 */     // MIs[0] round
     /* 2129101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129104 */     // MIs[0] policy
     /* 2129104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129114 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2129117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129140 */     // GIR_Coverage, 17528,
     /* 2129140 */     GIR_EraseRootFromParent_Done,
     /* 2129141 */   // Label 28121: @2129141
     /* 2129141 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2129232), // Rule ID 17529 //
     /* 2129146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129192 */     // MIs[0] round
     /* 2129192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129195 */     // MIs[0] policy
     /* 2129195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129205 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2129208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129231 */     // GIR_Coverage, 17529,
     /* 2129231 */     GIR_EraseRootFromParent_Done,
     /* 2129232 */   // Label 28122: @2129232
     /* 2129232 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2129323), // Rule ID 17532 //
     /* 2129237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2129248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2129251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129283 */     // MIs[0] round
     /* 2129283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129286 */     // MIs[0] policy
     /* 2129286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129296 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2129299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129322 */     // GIR_Coverage, 17532,
     /* 2129322 */     GIR_EraseRootFromParent_Done,
     /* 2129323 */   // Label 28123: @2129323
     /* 2129323 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2129414), // Rule ID 17533 //
     /* 2129328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2129339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2129342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129374 */     // MIs[0] round
     /* 2129374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129377 */     // MIs[0] policy
     /* 2129377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2129390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129413 */     // GIR_Coverage, 17533,
     /* 2129413 */     GIR_EraseRootFromParent_Done,
     /* 2129414 */   // Label 28124: @2129414
     /* 2129414 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2129505), // Rule ID 17536 //
     /* 2129419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129465 */     // MIs[0] round
     /* 2129465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129468 */     // MIs[0] policy
     /* 2129468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129478 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129504 */     // GIR_Coverage, 17536,
     /* 2129504 */     GIR_EraseRootFromParent_Done,
     /* 2129505 */   // Label 28125: @2129505
     /* 2129505 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2129596), // Rule ID 17537 //
     /* 2129510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129556 */     // MIs[0] round
     /* 2129556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129559 */     // MIs[0] policy
     /* 2129559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129569 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129595 */     // GIR_Coverage, 17537,
     /* 2129595 */     GIR_EraseRootFromParent_Done,
     /* 2129596 */   // Label 28126: @2129596
     /* 2129596 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2129687), // Rule ID 17540 //
     /* 2129601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129647 */     // MIs[0] round
     /* 2129647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129650 */     // MIs[0] policy
     /* 2129650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129660 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129686 */     // GIR_Coverage, 17540,
     /* 2129686 */     GIR_EraseRootFromParent_Done,
     /* 2129687 */   // Label 28127: @2129687
     /* 2129687 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2129778), // Rule ID 17541 //
     /* 2129692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129738 */     // MIs[0] round
     /* 2129738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129741 */     // MIs[0] policy
     /* 2129741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129751 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129777 */     // GIR_Coverage, 17541,
     /* 2129777 */     GIR_EraseRootFromParent_Done,
     /* 2129778 */   // Label 28128: @2129778
     /* 2129778 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2129869), // Rule ID 17544 //
     /* 2129783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129829 */     // MIs[0] round
     /* 2129829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129832 */     // MIs[0] policy
     /* 2129832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129842 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129868 */     // GIR_Coverage, 17544,
     /* 2129868 */     GIR_EraseRootFromParent_Done,
     /* 2129869 */   // Label 28129: @2129869
     /* 2129869 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2129960), // Rule ID 17545 //
     /* 2129874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129920 */     // MIs[0] round
     /* 2129920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129923 */     // MIs[0] policy
     /* 2129923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129933 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129959 */     // GIR_Coverage, 17545,
     /* 2129959 */     GIR_EraseRootFromParent_Done,
     /* 2129960 */   // Label 28130: @2129960
     /* 2129960 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2130051), // Rule ID 17548 //
     /* 2129965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130011 */     // MIs[0] round
     /* 2130011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130014 */     // MIs[0] policy
     /* 2130014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130024 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2130027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130050 */     // GIR_Coverage, 17548,
     /* 2130050 */     GIR_EraseRootFromParent_Done,
     /* 2130051 */   // Label 28131: @2130051
     /* 2130051 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2130142), // Rule ID 17549 //
     /* 2130056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130102 */     // MIs[0] round
     /* 2130102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130105 */     // MIs[0] policy
     /* 2130105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130115 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2130118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130141 */     // GIR_Coverage, 17549,
     /* 2130141 */     GIR_EraseRootFromParent_Done,
     /* 2130142 */   // Label 28132: @2130142
     /* 2130142 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2130233), // Rule ID 17552 //
     /* 2130147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130193 */     // MIs[0] round
     /* 2130193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130196 */     // MIs[0] policy
     /* 2130196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130206 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2130209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130232 */     // GIR_Coverage, 17552,
     /* 2130232 */     GIR_EraseRootFromParent_Done,
     /* 2130233 */   // Label 28133: @2130233
     /* 2130233 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2130324), // Rule ID 17553 //
     /* 2130238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130284 */     // MIs[0] round
     /* 2130284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130287 */     // MIs[0] policy
     /* 2130287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130297 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2130300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130323 */     // GIR_Coverage, 17553,
     /* 2130323 */     GIR_EraseRootFromParent_Done,
     /* 2130324 */   // Label 28134: @2130324
     /* 2130324 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2130415), // Rule ID 17556 //
     /* 2130329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130375 */     // MIs[0] round
     /* 2130375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130378 */     // MIs[0] policy
     /* 2130378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130388 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2130391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130414 */     // GIR_Coverage, 17556,
     /* 2130414 */     GIR_EraseRootFromParent_Done,
     /* 2130415 */   // Label 28135: @2130415
     /* 2130415 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2130506), // Rule ID 17557 //
     /* 2130420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130466 */     // MIs[0] round
     /* 2130466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130469 */     // MIs[0] policy
     /* 2130469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130479 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2130482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130505 */     // GIR_Coverage, 17557,
     /* 2130505 */     GIR_EraseRootFromParent_Done,
     /* 2130506 */   // Label 28136: @2130506
     /* 2130506 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2130597), // Rule ID 17560 //
     /* 2130511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130557 */     // MIs[0] round
     /* 2130557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130560 */     // MIs[0] policy
     /* 2130560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130570 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130596 */     // GIR_Coverage, 17560,
     /* 2130596 */     GIR_EraseRootFromParent_Done,
     /* 2130597 */   // Label 28137: @2130597
     /* 2130597 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2130688), // Rule ID 17561 //
     /* 2130602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130648 */     // MIs[0] round
     /* 2130648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130651 */     // MIs[0] policy
     /* 2130651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130661 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130687 */     // GIR_Coverage, 17561,
     /* 2130687 */     GIR_EraseRootFromParent_Done,
     /* 2130688 */   // Label 28138: @2130688
     /* 2130688 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2130779), // Rule ID 17564 //
     /* 2130693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130739 */     // MIs[0] round
     /* 2130739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130742 */     // MIs[0] policy
     /* 2130742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130752 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130778 */     // GIR_Coverage, 17564,
     /* 2130778 */     GIR_EraseRootFromParent_Done,
     /* 2130779 */   // Label 28139: @2130779
     /* 2130779 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2130870), // Rule ID 17565 //
     /* 2130784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130830 */     // MIs[0] round
     /* 2130830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130833 */     // MIs[0] policy
     /* 2130833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130843 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130869 */     // GIR_Coverage, 17565,
     /* 2130869 */     GIR_EraseRootFromParent_Done,
     /* 2130870 */   // Label 28140: @2130870
     /* 2130870 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2130961), // Rule ID 17568 //
     /* 2130875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130921 */     // MIs[0] round
     /* 2130921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130924 */     // MIs[0] policy
     /* 2130924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130934 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2130937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130960 */     // GIR_Coverage, 17568,
     /* 2130960 */     GIR_EraseRootFromParent_Done,
     /* 2130961 */   // Label 28141: @2130961
     /* 2130961 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2131052), // Rule ID 17569 //
     /* 2130966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131012 */     // MIs[0] round
     /* 2131012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131015 */     // MIs[0] policy
     /* 2131015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131025 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2131028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131051 */     // GIR_Coverage, 17569,
     /* 2131051 */     GIR_EraseRootFromParent_Done,
     /* 2131052 */   // Label 28142: @2131052
     /* 2131052 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2131143), // Rule ID 17572 //
     /* 2131057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2131077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131103 */     // MIs[0] round
     /* 2131103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131106 */     // MIs[0] policy
     /* 2131106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131116 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2131119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131142 */     // GIR_Coverage, 17572,
     /* 2131142 */     GIR_EraseRootFromParent_Done,
     /* 2131143 */   // Label 28143: @2131143
     /* 2131143 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2131234), // Rule ID 17573 //
     /* 2131148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2131168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131194 */     // MIs[0] round
     /* 2131194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131197 */     // MIs[0] policy
     /* 2131197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131207 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2131210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131233 */     // GIR_Coverage, 17573,
     /* 2131233 */     GIR_EraseRootFromParent_Done,
     /* 2131234 */   // Label 28144: @2131234
     /* 2131234 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2131325), // Rule ID 17576 //
     /* 2131239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2131259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131285 */     // MIs[0] round
     /* 2131285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131288 */     // MIs[0] policy
     /* 2131288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2131301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131324 */     // GIR_Coverage, 17576,
     /* 2131324 */     GIR_EraseRootFromParent_Done,
     /* 2131325 */   // Label 28145: @2131325
     /* 2131325 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2131416), // Rule ID 17577 //
     /* 2131330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2131350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131376 */     // MIs[0] round
     /* 2131376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131379 */     // MIs[0] policy
     /* 2131379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131389 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2131392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131415 */     // GIR_Coverage, 17577,
     /* 2131415 */     GIR_EraseRootFromParent_Done,
     /* 2131416 */   // Label 28146: @2131416
     /* 2131416 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2131507), // Rule ID 17580 //
     /* 2131421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131467 */     // MIs[0] round
     /* 2131467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131470 */     // MIs[0] policy
     /* 2131470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131506 */     // GIR_Coverage, 17580,
     /* 2131506 */     GIR_EraseRootFromParent_Done,
     /* 2131507 */   // Label 28147: @2131507
     /* 2131507 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2131598), // Rule ID 17581 //
     /* 2131512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131558 */     // MIs[0] round
     /* 2131558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131561 */     // MIs[0] policy
     /* 2131561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131571 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131597 */     // GIR_Coverage, 17581,
     /* 2131597 */     GIR_EraseRootFromParent_Done,
     /* 2131598 */   // Label 28148: @2131598
     /* 2131598 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2131689), // Rule ID 17584 //
     /* 2131603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131649 */     // MIs[0] round
     /* 2131649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131652 */     // MIs[0] policy
     /* 2131652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131662 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131688 */     // GIR_Coverage, 17584,
     /* 2131688 */     GIR_EraseRootFromParent_Done,
     /* 2131689 */   // Label 28149: @2131689
     /* 2131689 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2131780), // Rule ID 17585 //
     /* 2131694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131740 */     // MIs[0] round
     /* 2131740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131743 */     // MIs[0] policy
     /* 2131743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131753 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131779 */     // GIR_Coverage, 17585,
     /* 2131779 */     GIR_EraseRootFromParent_Done,
     /* 2131780 */   // Label 28150: @2131780
     /* 2131780 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2131871), // Rule ID 17588 //
     /* 2131785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131831 */     // MIs[0] round
     /* 2131831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131834 */     // MIs[0] policy
     /* 2131834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131844 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131870 */     // GIR_Coverage, 17588,
     /* 2131870 */     GIR_EraseRootFromParent_Done,
     /* 2131871 */   // Label 28151: @2131871
     /* 2131871 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2131962), // Rule ID 17589 //
     /* 2131876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131922 */     // MIs[0] round
     /* 2131922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131925 */     // MIs[0] policy
     /* 2131925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131935 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131961 */     // GIR_Coverage, 17589,
     /* 2131961 */     GIR_EraseRootFromParent_Done,
     /* 2131962 */   // Label 28152: @2131962
     /* 2131962 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2132053), // Rule ID 17592 //
     /* 2131967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132013 */     // MIs[0] round
     /* 2132013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132016 */     // MIs[0] policy
     /* 2132016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132026 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2132029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132052 */     // GIR_Coverage, 17592,
     /* 2132052 */     GIR_EraseRootFromParent_Done,
     /* 2132053 */   // Label 28153: @2132053
     /* 2132053 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2132144), // Rule ID 17593 //
     /* 2132058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2132078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132104 */     // MIs[0] round
     /* 2132104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132107 */     // MIs[0] policy
     /* 2132107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132117 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2132120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132143 */     // GIR_Coverage, 17593,
     /* 2132143 */     GIR_EraseRootFromParent_Done,
     /* 2132144 */   // Label 28154: @2132144
     /* 2132144 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2132235), // Rule ID 17596 //
     /* 2132149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2132166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2132169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132195 */     // MIs[0] round
     /* 2132195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132198 */     // MIs[0] policy
     /* 2132198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132208 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2132211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132234 */     // GIR_Coverage, 17596,
     /* 2132234 */     GIR_EraseRootFromParent_Done,
     /* 2132235 */   // Label 28155: @2132235
     /* 2132235 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2132326), // Rule ID 17597 //
     /* 2132240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2132257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2132260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132286 */     // MIs[0] round
     /* 2132286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132289 */     // MIs[0] policy
     /* 2132289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132299 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2132302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132325 */     // GIR_Coverage, 17597,
     /* 2132325 */     GIR_EraseRootFromParent_Done,
     /* 2132326 */   // Label 28156: @2132326
     /* 2132326 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2132417), // Rule ID 17600 //
     /* 2132331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132377 */     // MIs[0] round
     /* 2132377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132380 */     // MIs[0] policy
     /* 2132380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132390 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2132393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132416 */     // GIR_Coverage, 17600,
     /* 2132416 */     GIR_EraseRootFromParent_Done,
     /* 2132417 */   // Label 28157: @2132417
     /* 2132417 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2132508), // Rule ID 17601 //
     /* 2132422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132468 */     // MIs[0] round
     /* 2132468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132471 */     // MIs[0] policy
     /* 2132471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132481 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2132484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132507 */     // GIR_Coverage, 17601,
     /* 2132507 */     GIR_EraseRootFromParent_Done,
     /* 2132508 */   // Label 28158: @2132508
     /* 2132508 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2132599), // Rule ID 17604 //
     /* 2132513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132559 */     // MIs[0] round
     /* 2132559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132562 */     // MIs[0] policy
     /* 2132562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132572 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132598 */     // GIR_Coverage, 17604,
     /* 2132598 */     GIR_EraseRootFromParent_Done,
     /* 2132599 */   // Label 28159: @2132599
     /* 2132599 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2132690), // Rule ID 17605 //
     /* 2132604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132650 */     // MIs[0] round
     /* 2132650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132653 */     // MIs[0] policy
     /* 2132653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132663 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132689 */     // GIR_Coverage, 17605,
     /* 2132689 */     GIR_EraseRootFromParent_Done,
     /* 2132690 */   // Label 28160: @2132690
     /* 2132690 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2132781), // Rule ID 17608 //
     /* 2132695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132741 */     // MIs[0] round
     /* 2132741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132744 */     // MIs[0] policy
     /* 2132744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132754 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132780 */     // GIR_Coverage, 17608,
     /* 2132780 */     GIR_EraseRootFromParent_Done,
     /* 2132781 */   // Label 28161: @2132781
     /* 2132781 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2132872), // Rule ID 17609 //
     /* 2132786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132832 */     // MIs[0] round
     /* 2132832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132835 */     // MIs[0] policy
     /* 2132835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132845 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132871 */     // GIR_Coverage, 17609,
     /* 2132871 */     GIR_EraseRootFromParent_Done,
     /* 2132872 */   // Label 28162: @2132872
     /* 2132872 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2132963), // Rule ID 17612 //
     /* 2132877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132923 */     // MIs[0] round
     /* 2132923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132926 */     // MIs[0] policy
     /* 2132926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132936 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2132939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132962 */     // GIR_Coverage, 17612,
     /* 2132962 */     GIR_EraseRootFromParent_Done,
     /* 2132963 */   // Label 28163: @2132963
     /* 2132963 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2133054), // Rule ID 17613 //
     /* 2132968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133014 */     // MIs[0] round
     /* 2133014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133017 */     // MIs[0] policy
     /* 2133017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133027 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2133030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133053 */     // GIR_Coverage, 17613,
     /* 2133053 */     GIR_EraseRootFromParent_Done,
     /* 2133054 */   // Label 28164: @2133054
     /* 2133054 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2133145), // Rule ID 17616 //
     /* 2133059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2133062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133105 */     // MIs[0] round
     /* 2133105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133108 */     // MIs[0] policy
     /* 2133108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133118 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2133121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133144 */     // GIR_Coverage, 17616,
     /* 2133144 */     GIR_EraseRootFromParent_Done,
     /* 2133145 */   // Label 28165: @2133145
     /* 2133145 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2133236), // Rule ID 17617 //
     /* 2133150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2133153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133196 */     // MIs[0] round
     /* 2133196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133199 */     // MIs[0] policy
     /* 2133199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133209 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2133212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133235 */     // GIR_Coverage, 17617,
     /* 2133235 */     GIR_EraseRootFromParent_Done,
     /* 2133236 */   // Label 28166: @2133236
     /* 2133236 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2133327), // Rule ID 17620 //
     /* 2133241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2133244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133287 */     // MIs[0] round
     /* 2133287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133290 */     // MIs[0] policy
     /* 2133290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133300 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2133303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133326 */     // GIR_Coverage, 17620,
     /* 2133326 */     GIR_EraseRootFromParent_Done,
     /* 2133327 */   // Label 28167: @2133327
     /* 2133327 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2133418), // Rule ID 17621 //
     /* 2133332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2133335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133378 */     // MIs[0] round
     /* 2133378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133381 */     // MIs[0] policy
     /* 2133381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133391 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2133394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133417 */     // GIR_Coverage, 17621,
     /* 2133417 */     GIR_EraseRootFromParent_Done,
     /* 2133418 */   // Label 28168: @2133418
     /* 2133418 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2133509), // Rule ID 17624 //
     /* 2133423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133469 */     // MIs[0] round
     /* 2133469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133472 */     // MIs[0] policy
     /* 2133472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133482 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133508 */     // GIR_Coverage, 17624,
     /* 2133508 */     GIR_EraseRootFromParent_Done,
     /* 2133509 */   // Label 28169: @2133509
     /* 2133509 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2133600), // Rule ID 17625 //
     /* 2133514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133560 */     // MIs[0] round
     /* 2133560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133563 */     // MIs[0] policy
     /* 2133563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133573 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133599 */     // GIR_Coverage, 17625,
     /* 2133599 */     GIR_EraseRootFromParent_Done,
     /* 2133600 */   // Label 28170: @2133600
     /* 2133600 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2133691), // Rule ID 17628 //
     /* 2133605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133651 */     // MIs[0] round
     /* 2133651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133654 */     // MIs[0] policy
     /* 2133654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133690 */     // GIR_Coverage, 17628,
     /* 2133690 */     GIR_EraseRootFromParent_Done,
     /* 2133691 */   // Label 28171: @2133691
     /* 2133691 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2133782), // Rule ID 17629 //
     /* 2133696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133742 */     // MIs[0] round
     /* 2133742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133745 */     // MIs[0] policy
     /* 2133745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133755 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133781 */     // GIR_Coverage, 17629,
     /* 2133781 */     GIR_EraseRootFromParent_Done,
     /* 2133782 */   // Label 28172: @2133782
     /* 2133782 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2133873), // Rule ID 17632 //
     /* 2133787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133833 */     // MIs[0] round
     /* 2133833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133836 */     // MIs[0] policy
     /* 2133836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133846 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133872 */     // GIR_Coverage, 17632,
     /* 2133872 */     GIR_EraseRootFromParent_Done,
     /* 2133873 */   // Label 28173: @2133873
     /* 2133873 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2133964), // Rule ID 17633 //
     /* 2133878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133924 */     // MIs[0] round
     /* 2133924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133927 */     // MIs[0] policy
     /* 2133927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133937 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133963 */     // GIR_Coverage, 17633,
     /* 2133963 */     GIR_EraseRootFromParent_Done,
     /* 2133964 */   // Label 28174: @2133964
     /* 2133964 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2134055), // Rule ID 17636 //
     /* 2133969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134015 */     // MIs[0] round
     /* 2134015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134018 */     // MIs[0] policy
     /* 2134018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2134031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134054 */     // GIR_Coverage, 17636,
     /* 2134054 */     GIR_EraseRootFromParent_Done,
     /* 2134055 */   // Label 28175: @2134055
     /* 2134055 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2134146), // Rule ID 17637 //
     /* 2134060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2134063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2134068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134106 */     // MIs[0] round
     /* 2134106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134109 */     // MIs[0] policy
     /* 2134109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134119 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2134122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134145 */     // GIR_Coverage, 17637,
     /* 2134145 */     GIR_EraseRootFromParent_Done,
     /* 2134146 */   // Label 28176: @2134146
     /* 2134146 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2134237), // Rule ID 17640 //
     /* 2134151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2134171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134197 */     // MIs[0] round
     /* 2134197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134200 */     // MIs[0] policy
     /* 2134200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134210 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2134213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134236 */     // GIR_Coverage, 17640,
     /* 2134236 */     GIR_EraseRootFromParent_Done,
     /* 2134237 */   // Label 28177: @2134237
     /* 2134237 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2134328), // Rule ID 17641 //
     /* 2134242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2134262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134288 */     // MIs[0] round
     /* 2134288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134291 */     // MIs[0] policy
     /* 2134291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134301 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2134304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134327 */     // GIR_Coverage, 17641,
     /* 2134327 */     GIR_EraseRootFromParent_Done,
     /* 2134328 */   // Label 28178: @2134328
     /* 2134328 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2134419), // Rule ID 17644 //
     /* 2134333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134379 */     // MIs[0] round
     /* 2134379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134382 */     // MIs[0] policy
     /* 2134382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134392 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2134395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134418 */     // GIR_Coverage, 17644,
     /* 2134418 */     GIR_EraseRootFromParent_Done,
     /* 2134419 */   // Label 28179: @2134419
     /* 2134419 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2134510), // Rule ID 17645 //
     /* 2134424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134470 */     // MIs[0] round
     /* 2134470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134473 */     // MIs[0] policy
     /* 2134473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134483 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2134486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134509 */     // GIR_Coverage, 17645,
     /* 2134509 */     GIR_EraseRootFromParent_Done,
     /* 2134510 */   // Label 28180: @2134510
     /* 2134510 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2134601), // Rule ID 17648 //
     /* 2134515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134561 */     // MIs[0] round
     /* 2134561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134564 */     // MIs[0] policy
     /* 2134564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134574 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134600 */     // GIR_Coverage, 17648,
     /* 2134600 */     GIR_EraseRootFromParent_Done,
     /* 2134601 */   // Label 28181: @2134601
     /* 2134601 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2134692), // Rule ID 17649 //
     /* 2134606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134652 */     // MIs[0] round
     /* 2134652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134655 */     // MIs[0] policy
     /* 2134655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134665 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134691 */     // GIR_Coverage, 17649,
     /* 2134691 */     GIR_EraseRootFromParent_Done,
     /* 2134692 */   // Label 28182: @2134692
     /* 2134692 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2134783), // Rule ID 17652 //
     /* 2134697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134743 */     // MIs[0] round
     /* 2134743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134746 */     // MIs[0] policy
     /* 2134746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134756 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134782 */     // GIR_Coverage, 17652,
     /* 2134782 */     GIR_EraseRootFromParent_Done,
     /* 2134783 */   // Label 28183: @2134783
     /* 2134783 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2134874), // Rule ID 17653 //
     /* 2134788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134834 */     // MIs[0] round
     /* 2134834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134837 */     // MIs[0] policy
     /* 2134837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134847 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134873 */     // GIR_Coverage, 17653,
     /* 2134873 */     GIR_EraseRootFromParent_Done,
     /* 2134874 */   // Label 28184: @2134874
     /* 2134874 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2134965), // Rule ID 17656 //
     /* 2134879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134925 */     // MIs[0] round
     /* 2134925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134928 */     // MIs[0] policy
     /* 2134928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134938 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2134941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134964 */     // GIR_Coverage, 17656,
     /* 2134964 */     GIR_EraseRootFromParent_Done,
     /* 2134965 */   // Label 28185: @2134965
     /* 2134965 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2135056), // Rule ID 17657 //
     /* 2134970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135016 */     // MIs[0] round
     /* 2135016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135019 */     // MIs[0] policy
     /* 2135019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135029 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2135032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135055 */     // GIR_Coverage, 17657,
     /* 2135055 */     GIR_EraseRootFromParent_Done,
     /* 2135056 */   // Label 28186: @2135056
     /* 2135056 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2135147), // Rule ID 17660 //
     /* 2135061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135107 */     // MIs[0] round
     /* 2135107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135110 */     // MIs[0] policy
     /* 2135110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135120 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2135123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135146 */     // GIR_Coverage, 17660,
     /* 2135146 */     GIR_EraseRootFromParent_Done,
     /* 2135147 */   // Label 28187: @2135147
     /* 2135147 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2135238), // Rule ID 17661 //
     /* 2135152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135198 */     // MIs[0] round
     /* 2135198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135201 */     // MIs[0] policy
     /* 2135201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135211 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2135214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135237 */     // GIR_Coverage, 17661,
     /* 2135237 */     GIR_EraseRootFromParent_Done,
     /* 2135238 */   // Label 28188: @2135238
     /* 2135238 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2135329), // Rule ID 17664 //
     /* 2135243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135289 */     // MIs[0] round
     /* 2135289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135292 */     // MIs[0] policy
     /* 2135292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135302 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2135305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135328 */     // GIR_Coverage, 17664,
     /* 2135328 */     GIR_EraseRootFromParent_Done,
     /* 2135329 */   // Label 28189: @2135329
     /* 2135329 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2135420), // Rule ID 17665 //
     /* 2135334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135380 */     // MIs[0] round
     /* 2135380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135383 */     // MIs[0] policy
     /* 2135383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135393 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2135396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135419 */     // GIR_Coverage, 17665,
     /* 2135419 */     GIR_EraseRootFromParent_Done,
     /* 2135420 */   // Label 28190: @2135420
     /* 2135420 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2135511), // Rule ID 17668 //
     /* 2135425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135471 */     // MIs[0] round
     /* 2135471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135474 */     // MIs[0] policy
     /* 2135474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135484 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135510 */     // GIR_Coverage, 17668,
     /* 2135510 */     GIR_EraseRootFromParent_Done,
     /* 2135511 */   // Label 28191: @2135511
     /* 2135511 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2135602), // Rule ID 17669 //
     /* 2135516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135562 */     // MIs[0] round
     /* 2135562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135565 */     // MIs[0] policy
     /* 2135565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135575 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135601 */     // GIR_Coverage, 17669,
     /* 2135601 */     GIR_EraseRootFromParent_Done,
     /* 2135602 */   // Label 28192: @2135602
     /* 2135602 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2135693), // Rule ID 17672 //
     /* 2135607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135653 */     // MIs[0] round
     /* 2135653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135656 */     // MIs[0] policy
     /* 2135656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135666 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135692 */     // GIR_Coverage, 17672,
     /* 2135692 */     GIR_EraseRootFromParent_Done,
     /* 2135693 */   // Label 28193: @2135693
     /* 2135693 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2135784), // Rule ID 17673 //
     /* 2135698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135744 */     // MIs[0] round
     /* 2135744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135747 */     // MIs[0] policy
     /* 2135747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135757 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135783 */     // GIR_Coverage, 17673,
     /* 2135783 */     GIR_EraseRootFromParent_Done,
     /* 2135784 */   // Label 28194: @2135784
     /* 2135784 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2135875), // Rule ID 17676 //
     /* 2135789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135835 */     // MIs[0] round
     /* 2135835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135838 */     // MIs[0] policy
     /* 2135838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135848 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135874 */     // GIR_Coverage, 17676,
     /* 2135874 */     GIR_EraseRootFromParent_Done,
     /* 2135875 */   // Label 28195: @2135875
     /* 2135875 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2135966), // Rule ID 17677 //
     /* 2135880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135926 */     // MIs[0] round
     /* 2135926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135929 */     // MIs[0] policy
     /* 2135929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135939 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135965 */     // GIR_Coverage, 17677,
     /* 2135965 */     GIR_EraseRootFromParent_Done,
     /* 2135966 */   // Label 28196: @2135966
     /* 2135966 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2136057), // Rule ID 17680 //
     /* 2135971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136017 */     // MIs[0] round
     /* 2136017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136020 */     // MIs[0] policy
     /* 2136020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136030 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2136033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136056 */     // GIR_Coverage, 17680,
     /* 2136056 */     GIR_EraseRootFromParent_Done,
     /* 2136057 */   // Label 28197: @2136057
     /* 2136057 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2136148), // Rule ID 17681 //
     /* 2136062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2136082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136108 */     // MIs[0] round
     /* 2136108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136111 */     // MIs[0] policy
     /* 2136111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136121 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2136124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136147 */     // GIR_Coverage, 17681,
     /* 2136147 */     GIR_EraseRootFromParent_Done,
     /* 2136148 */   // Label 28198: @2136148
     /* 2136148 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2136239), // Rule ID 17684 //
     /* 2136153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136199 */     // MIs[0] round
     /* 2136199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136202 */     // MIs[0] policy
     /* 2136202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136212 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2136215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136238 */     // GIR_Coverage, 17684,
     /* 2136238 */     GIR_EraseRootFromParent_Done,
     /* 2136239 */   // Label 28199: @2136239
     /* 2136239 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2136330), // Rule ID 17685 //
     /* 2136244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136290 */     // MIs[0] round
     /* 2136290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136293 */     // MIs[0] policy
     /* 2136293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136303 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2136306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136329 */     // GIR_Coverage, 17685,
     /* 2136329 */     GIR_EraseRootFromParent_Done,
     /* 2136330 */   // Label 28200: @2136330
     /* 2136330 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2136421), // Rule ID 17688 //
     /* 2136335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136381 */     // MIs[0] round
     /* 2136381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136384 */     // MIs[0] policy
     /* 2136384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136394 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2136397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136420 */     // GIR_Coverage, 17688,
     /* 2136420 */     GIR_EraseRootFromParent_Done,
     /* 2136421 */   // Label 28201: @2136421
     /* 2136421 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2136512), // Rule ID 17689 //
     /* 2136426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136472 */     // MIs[0] round
     /* 2136472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136475 */     // MIs[0] policy
     /* 2136475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136485 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2136488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136511 */     // GIR_Coverage, 17689,
     /* 2136511 */     GIR_EraseRootFromParent_Done,
     /* 2136512 */   // Label 28202: @2136512
     /* 2136512 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2136603), // Rule ID 17692 //
     /* 2136517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136563 */     // MIs[0] round
     /* 2136563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136566 */     // MIs[0] policy
     /* 2136566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136602 */     // GIR_Coverage, 17692,
     /* 2136602 */     GIR_EraseRootFromParent_Done,
     /* 2136603 */   // Label 28203: @2136603
     /* 2136603 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2136694), // Rule ID 17693 //
     /* 2136608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136654 */     // MIs[0] round
     /* 2136654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136657 */     // MIs[0] policy
     /* 2136657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136667 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136693 */     // GIR_Coverage, 17693,
     /* 2136693 */     GIR_EraseRootFromParent_Done,
     /* 2136694 */   // Label 28204: @2136694
     /* 2136694 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2136785), // Rule ID 17696 //
     /* 2136699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136745 */     // MIs[0] round
     /* 2136745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136748 */     // MIs[0] policy
     /* 2136748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136758 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136784 */     // GIR_Coverage, 17696,
     /* 2136784 */     GIR_EraseRootFromParent_Done,
     /* 2136785 */   // Label 28205: @2136785
     /* 2136785 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2136876), // Rule ID 17697 //
     /* 2136790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136836 */     // MIs[0] round
     /* 2136836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136839 */     // MIs[0] policy
     /* 2136839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136849 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136875 */     // GIR_Coverage, 17697,
     /* 2136875 */     GIR_EraseRootFromParent_Done,
     /* 2136876 */   // Label 28206: @2136876
     /* 2136876 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2136967), // Rule ID 17700 //
     /* 2136881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136927 */     // MIs[0] round
     /* 2136927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136930 */     // MIs[0] policy
     /* 2136930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136940 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2136943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136966 */     // GIR_Coverage, 17700,
     /* 2136966 */     GIR_EraseRootFromParent_Done,
     /* 2136967 */   // Label 28207: @2136967
     /* 2136967 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2137058), // Rule ID 17701 //
     /* 2136972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137018 */     // MIs[0] round
     /* 2137018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137021 */     // MIs[0] policy
     /* 2137021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137031 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2137034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137057 */     // GIR_Coverage, 17701,
     /* 2137057 */     GIR_EraseRootFromParent_Done,
     /* 2137058 */   // Label 28208: @2137058
     /* 2137058 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2137149), // Rule ID 17704 //
     /* 2137063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2137083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137109 */     // MIs[0] round
     /* 2137109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137112 */     // MIs[0] policy
     /* 2137112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137122 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2137125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137148 */     // GIR_Coverage, 17704,
     /* 2137148 */     GIR_EraseRootFromParent_Done,
     /* 2137149 */   // Label 28209: @2137149
     /* 2137149 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2137240), // Rule ID 17705 //
     /* 2137154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2137174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137200 */     // MIs[0] round
     /* 2137200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137203 */     // MIs[0] policy
     /* 2137203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137213 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2137216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137239 */     // GIR_Coverage, 17705,
     /* 2137239 */     GIR_EraseRootFromParent_Done,
     /* 2137240 */   // Label 28210: @2137240
     /* 2137240 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2137331), // Rule ID 17708 //
     /* 2137245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2137256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2137265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137291 */     // MIs[0] round
     /* 2137291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137294 */     // MIs[0] policy
     /* 2137294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137304 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2137307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137330 */     // GIR_Coverage, 17708,
     /* 2137330 */     GIR_EraseRootFromParent_Done,
     /* 2137331 */   // Label 28211: @2137331
     /* 2137331 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2137422), // Rule ID 17709 //
     /* 2137336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2137347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2137356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137382 */     // MIs[0] round
     /* 2137382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137385 */     // MIs[0] policy
     /* 2137385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137395 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2137398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137421 */     // GIR_Coverage, 17709,
     /* 2137421 */     GIR_EraseRootFromParent_Done,
     /* 2137422 */   // Label 28212: @2137422
     /* 2137422 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2137513), // Rule ID 17712 //
     /* 2137427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137473 */     // MIs[0] round
     /* 2137473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137476 */     // MIs[0] policy
     /* 2137476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137486 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137512 */     // GIR_Coverage, 17712,
     /* 2137512 */     GIR_EraseRootFromParent_Done,
     /* 2137513 */   // Label 28213: @2137513
     /* 2137513 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2137604), // Rule ID 17713 //
     /* 2137518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137564 */     // MIs[0] round
     /* 2137564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137567 */     // MIs[0] policy
     /* 2137567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137603 */     // GIR_Coverage, 17713,
     /* 2137603 */     GIR_EraseRootFromParent_Done,
     /* 2137604 */   // Label 28214: @2137604
     /* 2137604 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2137695), // Rule ID 17716 //
     /* 2137609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137655 */     // MIs[0] round
     /* 2137655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137658 */     // MIs[0] policy
     /* 2137658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137694 */     // GIR_Coverage, 17716,
     /* 2137694 */     GIR_EraseRootFromParent_Done,
     /* 2137695 */   // Label 28215: @2137695
     /* 2137695 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2137786), // Rule ID 17717 //
     /* 2137700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137746 */     // MIs[0] round
     /* 2137746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137749 */     // MIs[0] policy
     /* 2137749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137759 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137785 */     // GIR_Coverage, 17717,
     /* 2137785 */     GIR_EraseRootFromParent_Done,
     /* 2137786 */   // Label 28216: @2137786
     /* 2137786 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2137877), // Rule ID 17720 //
     /* 2137791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137837 */     // MIs[0] round
     /* 2137837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137840 */     // MIs[0] policy
     /* 2137840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137850 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137876 */     // GIR_Coverage, 17720,
     /* 2137876 */     GIR_EraseRootFromParent_Done,
     /* 2137877 */   // Label 28217: @2137877
     /* 2137877 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2137968), // Rule ID 17721 //
     /* 2137882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137928 */     // MIs[0] round
     /* 2137928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137931 */     // MIs[0] policy
     /* 2137931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137941 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137967 */     // GIR_Coverage, 17721,
     /* 2137967 */     GIR_EraseRootFromParent_Done,
     /* 2137968 */   // Label 28218: @2137968
     /* 2137968 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2138059), // Rule ID 17724 //
     /* 2137973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138019 */     // MIs[0] round
     /* 2138019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138022 */     // MIs[0] policy
     /* 2138022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138032 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2138035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138058 */     // GIR_Coverage, 17724,
     /* 2138058 */     GIR_EraseRootFromParent_Done,
     /* 2138059 */   // Label 28219: @2138059
     /* 2138059 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2138150), // Rule ID 17725 //
     /* 2138064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2138075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2138078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2138081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2138084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138110 */     // MIs[0] round
     /* 2138110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138113 */     // MIs[0] policy
     /* 2138113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138123 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2138126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138149 */     // GIR_Coverage, 17725,
     /* 2138149 */     GIR_EraseRootFromParent_Done,
     /* 2138150 */   // Label 28220: @2138150
     /* 2138150 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2138241), // Rule ID 17728 //
     /* 2138155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2138166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2138169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2138172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2138175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2138178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138201 */     // MIs[0] round
     /* 2138201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138204 */     // MIs[0] policy
     /* 2138204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138214 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2138217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138240 */     // GIR_Coverage, 17728,
     /* 2138240 */     GIR_EraseRootFromParent_Done,
     /* 2138241 */   // Label 28221: @2138241
     /* 2138241 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2138332), // Rule ID 17729 //
     /* 2138246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2138257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2138260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2138263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2138266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2138269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138292 */     // MIs[0] round
     /* 2138292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138295 */     // MIs[0] policy
     /* 2138295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138305 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2138308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138331 */     // GIR_Coverage, 17729,
     /* 2138331 */     GIR_EraseRootFromParent_Done,
     /* 2138332 */   // Label 28222: @2138332
     /* 2138332 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2138423), // Rule ID 17732 //
     /* 2138337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138383 */     // MIs[0] round
     /* 2138383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138386 */     // MIs[0] policy
     /* 2138386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138396 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2138399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138422 */     // GIR_Coverage, 17732,
     /* 2138422 */     GIR_EraseRootFromParent_Done,
     /* 2138423 */   // Label 28223: @2138423
     /* 2138423 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2138514), // Rule ID 17733 //
     /* 2138428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138474 */     // MIs[0] round
     /* 2138474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138477 */     // MIs[0] policy
     /* 2138477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138487 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2138490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138513 */     // GIR_Coverage, 17733,
     /* 2138513 */     GIR_EraseRootFromParent_Done,
     /* 2138514 */   // Label 28224: @2138514
     /* 2138514 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2138605), // Rule ID 17736 //
     /* 2138519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138565 */     // MIs[0] round
     /* 2138565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138568 */     // MIs[0] policy
     /* 2138568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138578 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138604 */     // GIR_Coverage, 17736,
     /* 2138604 */     GIR_EraseRootFromParent_Done,
     /* 2138605 */   // Label 28225: @2138605
     /* 2138605 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2138696), // Rule ID 17737 //
     /* 2138610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138656 */     // MIs[0] round
     /* 2138656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138659 */     // MIs[0] policy
     /* 2138659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138669 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138695 */     // GIR_Coverage, 17737,
     /* 2138695 */     GIR_EraseRootFromParent_Done,
     /* 2138696 */   // Label 28226: @2138696
     /* 2138696 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2138787), // Rule ID 17740 //
     /* 2138701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138747 */     // MIs[0] round
     /* 2138747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138750 */     // MIs[0] policy
     /* 2138750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138760 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138786 */     // GIR_Coverage, 17740,
     /* 2138786 */     GIR_EraseRootFromParent_Done,
     /* 2138787 */   // Label 28227: @2138787
     /* 2138787 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2138878), // Rule ID 17741 //
     /* 2138792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138838 */     // MIs[0] round
     /* 2138838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138841 */     // MIs[0] policy
     /* 2138841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138851 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138877 */     // GIR_Coverage, 17741,
     /* 2138877 */     GIR_EraseRootFromParent_Done,
     /* 2138878 */   // Label 28228: @2138878
     /* 2138878 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2138969), // Rule ID 17744 //
     /* 2138883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138929 */     // MIs[0] round
     /* 2138929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138932 */     // MIs[0] policy
     /* 2138932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138942 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2138945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138968 */     // GIR_Coverage, 17744,
     /* 2138968 */     GIR_EraseRootFromParent_Done,
     /* 2138969 */   // Label 28229: @2138969
     /* 2138969 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2139060), // Rule ID 17745 //
     /* 2138974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139020 */     // MIs[0] round
     /* 2139020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139023 */     // MIs[0] policy
     /* 2139023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139033 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2139036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139059 */     // GIR_Coverage, 17745,
     /* 2139059 */     GIR_EraseRootFromParent_Done,
     /* 2139060 */   // Label 28230: @2139060
     /* 2139060 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2139151), // Rule ID 17748 //
     /* 2139065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2139076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2139079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2139085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139111 */     // MIs[0] round
     /* 2139111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139114 */     // MIs[0] policy
     /* 2139114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139124 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2139127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139150 */     // GIR_Coverage, 17748,
     /* 2139150 */     GIR_EraseRootFromParent_Done,
     /* 2139151 */   // Label 28231: @2139151
     /* 2139151 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2139242), // Rule ID 17749 //
     /* 2139156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2139167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2139170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2139176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139202 */     // MIs[0] round
     /* 2139202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139205 */     // MIs[0] policy
     /* 2139205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139215 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2139218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139241 */     // GIR_Coverage, 17749,
     /* 2139241 */     GIR_EraseRootFromParent_Done,
     /* 2139242 */   // Label 28232: @2139242
     /* 2139242 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2139333), // Rule ID 17752 //
     /* 2139247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2139258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2139267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139293 */     // MIs[0] round
     /* 2139293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139296 */     // MIs[0] policy
     /* 2139296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139306 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2139309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139332 */     // GIR_Coverage, 17752,
     /* 2139332 */     GIR_EraseRootFromParent_Done,
     /* 2139333 */   // Label 28233: @2139333
     /* 2139333 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2139424), // Rule ID 17753 //
     /* 2139338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2139349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2139358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139384 */     // MIs[0] round
     /* 2139384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139387 */     // MIs[0] policy
     /* 2139387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139397 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2139400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139423 */     // GIR_Coverage, 17753,
     /* 2139423 */     GIR_EraseRootFromParent_Done,
     /* 2139424 */   // Label 28234: @2139424
     /* 2139424 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2139515), // Rule ID 17756 //
     /* 2139429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139475 */     // MIs[0] round
     /* 2139475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139478 */     // MIs[0] policy
     /* 2139478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139488 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139514 */     // GIR_Coverage, 17756,
     /* 2139514 */     GIR_EraseRootFromParent_Done,
     /* 2139515 */   // Label 28235: @2139515
     /* 2139515 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2139606), // Rule ID 17757 //
     /* 2139520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139566 */     // MIs[0] round
     /* 2139566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139569 */     // MIs[0] policy
     /* 2139569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139579 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139605 */     // GIR_Coverage, 17757,
     /* 2139605 */     GIR_EraseRootFromParent_Done,
     /* 2139606 */   // Label 28236: @2139606
     /* 2139606 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2139697), // Rule ID 17760 //
     /* 2139611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139657 */     // MIs[0] round
     /* 2139657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139660 */     // MIs[0] policy
     /* 2139660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139670 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139696 */     // GIR_Coverage, 17760,
     /* 2139696 */     GIR_EraseRootFromParent_Done,
     /* 2139697 */   // Label 28237: @2139697
     /* 2139697 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2139788), // Rule ID 17761 //
     /* 2139702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139748 */     // MIs[0] round
     /* 2139748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139751 */     // MIs[0] policy
     /* 2139751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139761 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139787 */     // GIR_Coverage, 17761,
     /* 2139787 */     GIR_EraseRootFromParent_Done,
     /* 2139788 */   // Label 28238: @2139788
     /* 2139788 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2139879), // Rule ID 17764 //
     /* 2139793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139839 */     // MIs[0] round
     /* 2139839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139842 */     // MIs[0] policy
     /* 2139842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139852 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139878 */     // GIR_Coverage, 17764,
     /* 2139878 */     GIR_EraseRootFromParent_Done,
     /* 2139879 */   // Label 28239: @2139879
     /* 2139879 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2139970), // Rule ID 17765 //
     /* 2139884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139930 */     // MIs[0] round
     /* 2139930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139933 */     // MIs[0] policy
     /* 2139933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139943 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139969 */     // GIR_Coverage, 17765,
     /* 2139969 */     GIR_EraseRootFromParent_Done,
     /* 2139970 */   // Label 28240: @2139970
     /* 2139970 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2140061), // Rule ID 17768 //
     /* 2139975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140021 */     // MIs[0] round
     /* 2140021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140024 */     // MIs[0] policy
     /* 2140024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140034 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2140037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140060 */     // GIR_Coverage, 17768,
     /* 2140060 */     GIR_EraseRootFromParent_Done,
     /* 2140061 */   // Label 28241: @2140061
     /* 2140061 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2140152), // Rule ID 17769 //
     /* 2140066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2140077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2140080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2140083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2140086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140112 */     // MIs[0] round
     /* 2140112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140115 */     // MIs[0] policy
     /* 2140115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140125 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2140128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140151 */     // GIR_Coverage, 17769,
     /* 2140151 */     GIR_EraseRootFromParent_Done,
     /* 2140152 */   // Label 28242: @2140152
     /* 2140152 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2140243), // Rule ID 17772 //
     /* 2140157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2140168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2140171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2140174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2140177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140203 */     // MIs[0] round
     /* 2140203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140206 */     // MIs[0] policy
     /* 2140206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2140219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140242 */     // GIR_Coverage, 17772,
     /* 2140242 */     GIR_EraseRootFromParent_Done,
     /* 2140243 */   // Label 28243: @2140243
     /* 2140243 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2140334), // Rule ID 17773 //
     /* 2140248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2140259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2140262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2140265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2140268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140294 */     // MIs[0] round
     /* 2140294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140297 */     // MIs[0] policy
     /* 2140297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2140310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140333 */     // GIR_Coverage, 17773,
     /* 2140333 */     GIR_EraseRootFromParent_Done,
     /* 2140334 */   // Label 28244: @2140334
     /* 2140334 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2140425), // Rule ID 17776 //
     /* 2140339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2140359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140385 */     // MIs[0] round
     /* 2140385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140388 */     // MIs[0] policy
     /* 2140388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140398 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2140401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140424 */     // GIR_Coverage, 17776,
     /* 2140424 */     GIR_EraseRootFromParent_Done,
     /* 2140425 */   // Label 28245: @2140425
     /* 2140425 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2140516), // Rule ID 17777 //
     /* 2140430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2140450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140476 */     // MIs[0] round
     /* 2140476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140479 */     // MIs[0] policy
     /* 2140479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140489 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2140492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140515 */     // GIR_Coverage, 17777,
     /* 2140515 */     GIR_EraseRootFromParent_Done,
     /* 2140516 */   // Label 28246: @2140516
     /* 2140516 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2140607), // Rule ID 17780 //
     /* 2140521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140567 */     // MIs[0] round
     /* 2140567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140570 */     // MIs[0] policy
     /* 2140570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140580 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140606 */     // GIR_Coverage, 17780,
     /* 2140606 */     GIR_EraseRootFromParent_Done,
     /* 2140607 */   // Label 28247: @2140607
     /* 2140607 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2140698), // Rule ID 17781 //
     /* 2140612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140658 */     // MIs[0] round
     /* 2140658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140661 */     // MIs[0] policy
     /* 2140661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140671 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140697 */     // GIR_Coverage, 17781,
     /* 2140697 */     GIR_EraseRootFromParent_Done,
     /* 2140698 */   // Label 28248: @2140698
     /* 2140698 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2140789), // Rule ID 17784 //
     /* 2140703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140749 */     // MIs[0] round
     /* 2140749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140752 */     // MIs[0] policy
     /* 2140752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140762 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140788 */     // GIR_Coverage, 17784,
     /* 2140788 */     GIR_EraseRootFromParent_Done,
     /* 2140789 */   // Label 28249: @2140789
     /* 2140789 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2140880), // Rule ID 17785 //
     /* 2140794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140840 */     // MIs[0] round
     /* 2140840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140843 */     // MIs[0] policy
     /* 2140843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140853 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140879 */     // GIR_Coverage, 17785,
     /* 2140879 */     GIR_EraseRootFromParent_Done,
     /* 2140880 */   // Label 28250: @2140880
     /* 2140880 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2140971), // Rule ID 17788 //
     /* 2140885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140931 */     // MIs[0] round
     /* 2140931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140934 */     // MIs[0] policy
     /* 2140934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140944 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2140947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140970 */     // GIR_Coverage, 17788,
     /* 2140970 */     GIR_EraseRootFromParent_Done,
     /* 2140971 */   // Label 28251: @2140971
     /* 2140971 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2141062), // Rule ID 17789 //
     /* 2140976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141022 */     // MIs[0] round
     /* 2141022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141025 */     // MIs[0] policy
     /* 2141025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141035 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2141038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141061 */     // GIR_Coverage, 17789,
     /* 2141061 */     GIR_EraseRootFromParent_Done,
     /* 2141062 */   // Label 28252: @2141062
     /* 2141062 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2141153), // Rule ID 17792 //
     /* 2141067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2141087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141113 */     // MIs[0] round
     /* 2141113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141116 */     // MIs[0] policy
     /* 2141116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141126 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2141129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141152 */     // GIR_Coverage, 17792,
     /* 2141152 */     GIR_EraseRootFromParent_Done,
     /* 2141153 */   // Label 28253: @2141153
     /* 2141153 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2141244), // Rule ID 17793 //
     /* 2141158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2141178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141204 */     // MIs[0] round
     /* 2141204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141207 */     // MIs[0] policy
     /* 2141207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141217 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2141220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141243 */     // GIR_Coverage, 17793,
     /* 2141243 */     GIR_EraseRootFromParent_Done,
     /* 2141244 */   // Label 28254: @2141244
     /* 2141244 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2141335), // Rule ID 17796 //
     /* 2141249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2141269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141295 */     // MIs[0] round
     /* 2141295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141298 */     // MIs[0] policy
     /* 2141298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141308 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2141311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141334 */     // GIR_Coverage, 17796,
     /* 2141334 */     GIR_EraseRootFromParent_Done,
     /* 2141335 */   // Label 28255: @2141335
     /* 2141335 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2141426), // Rule ID 17797 //
     /* 2141340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2141360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141386 */     // MIs[0] round
     /* 2141386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141389 */     // MIs[0] policy
     /* 2141389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141399 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2141402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141425 */     // GIR_Coverage, 17797,
     /* 2141425 */     GIR_EraseRootFromParent_Done,
     /* 2141426 */   // Label 28256: @2141426
     /* 2141426 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2141517), // Rule ID 17800 //
     /* 2141431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141477 */     // MIs[0] round
     /* 2141477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141480 */     // MIs[0] policy
     /* 2141480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141490 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141516 */     // GIR_Coverage, 17800,
     /* 2141516 */     GIR_EraseRootFromParent_Done,
     /* 2141517 */   // Label 28257: @2141517
     /* 2141517 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2141608), // Rule ID 17801 //
     /* 2141522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141568 */     // MIs[0] round
     /* 2141568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141571 */     // MIs[0] policy
     /* 2141571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141581 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141607 */     // GIR_Coverage, 17801,
     /* 2141607 */     GIR_EraseRootFromParent_Done,
     /* 2141608 */   // Label 28258: @2141608
     /* 2141608 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2141699), // Rule ID 17804 //
     /* 2141613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141659 */     // MIs[0] round
     /* 2141659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141662 */     // MIs[0] policy
     /* 2141662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141672 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141698 */     // GIR_Coverage, 17804,
     /* 2141698 */     GIR_EraseRootFromParent_Done,
     /* 2141699 */   // Label 28259: @2141699
     /* 2141699 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2141790), // Rule ID 17805 //
     /* 2141704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141750 */     // MIs[0] round
     /* 2141750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141753 */     // MIs[0] policy
     /* 2141753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141763 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141789 */     // GIR_Coverage, 17805,
     /* 2141789 */     GIR_EraseRootFromParent_Done,
     /* 2141790 */   // Label 28260: @2141790
     /* 2141790 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2141881), // Rule ID 17808 //
     /* 2141795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141841 */     // MIs[0] round
     /* 2141841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141844 */     // MIs[0] policy
     /* 2141844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141854 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141880 */     // GIR_Coverage, 17808,
     /* 2141880 */     GIR_EraseRootFromParent_Done,
     /* 2141881 */   // Label 28261: @2141881
     /* 2141881 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2141972), // Rule ID 17809 //
     /* 2141886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141932 */     // MIs[0] round
     /* 2141932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141935 */     // MIs[0] policy
     /* 2141935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141945 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141971 */     // GIR_Coverage, 17809,
     /* 2141971 */     GIR_EraseRootFromParent_Done,
     /* 2141972 */   // Label 28262: @2141972
     /* 2141972 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2142063), // Rule ID 17812 //
     /* 2141977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142023 */     // MIs[0] round
     /* 2142023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142026 */     // MIs[0] policy
     /* 2142026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142036 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2142039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142062 */     // GIR_Coverage, 17812,
     /* 2142062 */     GIR_EraseRootFromParent_Done,
     /* 2142063 */   // Label 28263: @2142063
     /* 2142063 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2142154), // Rule ID 17813 //
     /* 2142068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2142088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142114 */     // MIs[0] round
     /* 2142114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142117 */     // MIs[0] policy
     /* 2142117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142127 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2142130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142153 */     // GIR_Coverage, 17813,
     /* 2142153 */     GIR_EraseRootFromParent_Done,
     /* 2142154 */   // Label 28264: @2142154
     /* 2142154 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2142245), // Rule ID 17816 //
     /* 2142159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2142170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2142173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142205 */     // MIs[0] round
     /* 2142205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142208 */     // MIs[0] policy
     /* 2142208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142218 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2142221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142244 */     // GIR_Coverage, 17816,
     /* 2142244 */     GIR_EraseRootFromParent_Done,
     /* 2142245 */   // Label 28265: @2142245
     /* 2142245 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2142336), // Rule ID 17817 //
     /* 2142250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2142261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2142264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142296 */     // MIs[0] round
     /* 2142296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142299 */     // MIs[0] policy
     /* 2142299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142309 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2142312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142335 */     // GIR_Coverage, 17817,
     /* 2142335 */     GIR_EraseRootFromParent_Done,
     /* 2142336 */   // Label 28266: @2142336
     /* 2142336 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2142427), // Rule ID 17820 //
     /* 2142341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2142352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2142355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142387 */     // MIs[0] round
     /* 2142387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142390 */     // MIs[0] policy
     /* 2142390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142400 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2142403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142426 */     // GIR_Coverage, 17820,
     /* 2142426 */     GIR_EraseRootFromParent_Done,
     /* 2142427 */   // Label 28267: @2142427
     /* 2142427 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2142518), // Rule ID 17821 //
     /* 2142432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2142443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2142446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142478 */     // MIs[0] round
     /* 2142478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142481 */     // MIs[0] policy
     /* 2142481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142491 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2142494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142517 */     // GIR_Coverage, 17821,
     /* 2142517 */     GIR_EraseRootFromParent_Done,
     /* 2142518 */   // Label 28268: @2142518
     /* 2142518 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2142609), // Rule ID 17824 //
     /* 2142523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142569 */     // MIs[0] round
     /* 2142569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142572 */     // MIs[0] policy
     /* 2142572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142582 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142608 */     // GIR_Coverage, 17824,
     /* 2142608 */     GIR_EraseRootFromParent_Done,
     /* 2142609 */   // Label 28269: @2142609
     /* 2142609 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2142700), // Rule ID 17825 //
     /* 2142614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142660 */     // MIs[0] round
     /* 2142660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142663 */     // MIs[0] policy
     /* 2142663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142673 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142699 */     // GIR_Coverage, 17825,
     /* 2142699 */     GIR_EraseRootFromParent_Done,
     /* 2142700 */   // Label 28270: @2142700
     /* 2142700 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2142791), // Rule ID 17828 //
     /* 2142705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142751 */     // MIs[0] round
     /* 2142751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142754 */     // MIs[0] policy
     /* 2142754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142764 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142790 */     // GIR_Coverage, 17828,
     /* 2142790 */     GIR_EraseRootFromParent_Done,
     /* 2142791 */   // Label 28271: @2142791
     /* 2142791 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2142882), // Rule ID 17829 //
     /* 2142796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142842 */     // MIs[0] round
     /* 2142842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142845 */     // MIs[0] policy
     /* 2142845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142855 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142881 */     // GIR_Coverage, 17829,
     /* 2142881 */     GIR_EraseRootFromParent_Done,
     /* 2142882 */   // Label 28272: @2142882
     /* 2142882 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2142973), // Rule ID 17832 //
     /* 2142887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142933 */     // MIs[0] round
     /* 2142933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142936 */     // MIs[0] policy
     /* 2142936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142946 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2142949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142972 */     // GIR_Coverage, 17832,
     /* 2142972 */     GIR_EraseRootFromParent_Done,
     /* 2142973 */   // Label 28273: @2142973
     /* 2142973 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2143064), // Rule ID 17833 //
     /* 2142978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143024 */     // MIs[0] round
     /* 2143024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143027 */     // MIs[0] policy
     /* 2143027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143037 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2143040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143063 */     // GIR_Coverage, 17833,
     /* 2143063 */     GIR_EraseRootFromParent_Done,
     /* 2143064 */   // Label 28274: @2143064
     /* 2143064 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2143155), // Rule ID 17836 //
     /* 2143069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2143089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143115 */     // MIs[0] round
     /* 2143115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143118 */     // MIs[0] policy
     /* 2143118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2143131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143154 */     // GIR_Coverage, 17836,
     /* 2143154 */     GIR_EraseRootFromParent_Done,
     /* 2143155 */   // Label 28275: @2143155
     /* 2143155 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2143246), // Rule ID 17837 //
     /* 2143160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2143180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143206 */     // MIs[0] round
     /* 2143206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143209 */     // MIs[0] policy
     /* 2143209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143219 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2143222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143245 */     // GIR_Coverage, 17837,
     /* 2143245 */     GIR_EraseRootFromParent_Done,
     /* 2143246 */   // Label 28276: @2143246
     /* 2143246 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2143337), // Rule ID 17840 //
     /* 2143251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2143262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2143265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2143271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143297 */     // MIs[0] round
     /* 2143297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143300 */     // MIs[0] policy
     /* 2143300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143310 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2143313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143336 */     // GIR_Coverage, 17840,
     /* 2143336 */     GIR_EraseRootFromParent_Done,
     /* 2143337 */   // Label 28277: @2143337
     /* 2143337 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2143428), // Rule ID 17841 //
     /* 2143342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2143353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2143356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2143362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143388 */     // MIs[0] round
     /* 2143388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143391 */     // MIs[0] policy
     /* 2143391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143401 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2143404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143427 */     // GIR_Coverage, 17841,
     /* 2143427 */     GIR_EraseRootFromParent_Done,
     /* 2143428 */   // Label 28278: @2143428
     /* 2143428 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2143519), // Rule ID 17844 //
     /* 2143433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143479 */     // MIs[0] round
     /* 2143479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143482 */     // MIs[0] policy
     /* 2143482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143492 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143518 */     // GIR_Coverage, 17844,
     /* 2143518 */     GIR_EraseRootFromParent_Done,
     /* 2143519 */   // Label 28279: @2143519
     /* 2143519 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2143610), // Rule ID 17845 //
     /* 2143524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143570 */     // MIs[0] round
     /* 2143570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143573 */     // MIs[0] policy
     /* 2143573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143583 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143609 */     // GIR_Coverage, 17845,
     /* 2143609 */     GIR_EraseRootFromParent_Done,
     /* 2143610 */   // Label 28280: @2143610
     /* 2143610 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2143701), // Rule ID 17848 //
     /* 2143615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143661 */     // MIs[0] round
     /* 2143661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143664 */     // MIs[0] policy
     /* 2143664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143674 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143700 */     // GIR_Coverage, 17848,
     /* 2143700 */     GIR_EraseRootFromParent_Done,
     /* 2143701 */   // Label 28281: @2143701
     /* 2143701 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2143792), // Rule ID 17849 //
     /* 2143706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143752 */     // MIs[0] round
     /* 2143752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143755 */     // MIs[0] policy
     /* 2143755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143765 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143791 */     // GIR_Coverage, 17849,
     /* 2143791 */     GIR_EraseRootFromParent_Done,
     /* 2143792 */   // Label 28282: @2143792
     /* 2143792 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2143883), // Rule ID 17852 //
     /* 2143797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143843 */     // MIs[0] round
     /* 2143843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143846 */     // MIs[0] policy
     /* 2143846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143882 */     // GIR_Coverage, 17852,
     /* 2143882 */     GIR_EraseRootFromParent_Done,
     /* 2143883 */   // Label 28283: @2143883
     /* 2143883 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2143974), // Rule ID 17853 //
     /* 2143888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143934 */     // MIs[0] round
     /* 2143934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143937 */     // MIs[0] policy
     /* 2143937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143947 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143973 */     // GIR_Coverage, 17853,
     /* 2143973 */     GIR_EraseRootFromParent_Done,
     /* 2143974 */   // Label 28284: @2143974
     /* 2143974 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2144065), // Rule ID 17856 //
     /* 2143979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144025 */     // MIs[0] round
     /* 2144025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144028 */     // MIs[0] policy
     /* 2144028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144038 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2144041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144064 */     // GIR_Coverage, 17856,
     /* 2144064 */     GIR_EraseRootFromParent_Done,
     /* 2144065 */   // Label 28285: @2144065
     /* 2144065 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2144156), // Rule ID 17857 //
     /* 2144070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2144081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2144084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2144090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144116 */     // MIs[0] round
     /* 2144116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144119 */     // MIs[0] policy
     /* 2144119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144129 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2144132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144155 */     // GIR_Coverage, 17857,
     /* 2144155 */     GIR_EraseRootFromParent_Done,
     /* 2144156 */   // Label 28286: @2144156
     /* 2144156 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2144247), // Rule ID 17860 //
     /* 2144161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2144172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2144181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144207 */     // MIs[0] round
     /* 2144207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144210 */     // MIs[0] policy
     /* 2144210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144220 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2144223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144246 */     // GIR_Coverage, 17860,
     /* 2144246 */     GIR_EraseRootFromParent_Done,
     /* 2144247 */   // Label 28287: @2144247
     /* 2144247 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2144338), // Rule ID 17861 //
     /* 2144252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2144263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2144272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144298 */     // MIs[0] round
     /* 2144298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144301 */     // MIs[0] policy
     /* 2144301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144311 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2144314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144337 */     // GIR_Coverage, 17861,
     /* 2144337 */     GIR_EraseRootFromParent_Done,
     /* 2144338 */   // Label 28288: @2144338
     /* 2144338 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2144429), // Rule ID 17864 //
     /* 2144343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2144354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2144357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2144363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144389 */     // MIs[0] round
     /* 2144389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144392 */     // MIs[0] policy
     /* 2144392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144402 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2144405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144428 */     // GIR_Coverage, 17864,
     /* 2144428 */     GIR_EraseRootFromParent_Done,
     /* 2144429 */   // Label 28289: @2144429
     /* 2144429 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2144520), // Rule ID 17865 //
     /* 2144434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2144445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2144448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2144454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144480 */     // MIs[0] round
     /* 2144480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144483 */     // MIs[0] policy
     /* 2144483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144493 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2144496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144519 */     // GIR_Coverage, 17865,
     /* 2144519 */     GIR_EraseRootFromParent_Done,
     /* 2144520 */   // Label 28290: @2144520
     /* 2144520 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2144611), // Rule ID 17868 //
     /* 2144525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144571 */     // MIs[0] round
     /* 2144571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144574 */     // MIs[0] policy
     /* 2144574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144584 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144610 */     // GIR_Coverage, 17868,
     /* 2144610 */     GIR_EraseRootFromParent_Done,
     /* 2144611 */   // Label 28291: @2144611
     /* 2144611 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2144702), // Rule ID 17869 //
     /* 2144616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144662 */     // MIs[0] round
     /* 2144662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144665 */     // MIs[0] policy
     /* 2144665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144675 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144701 */     // GIR_Coverage, 17869,
     /* 2144701 */     GIR_EraseRootFromParent_Done,
     /* 2144702 */   // Label 28292: @2144702
     /* 2144702 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2144793), // Rule ID 17872 //
     /* 2144707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144753 */     // MIs[0] round
     /* 2144753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144756 */     // MIs[0] policy
     /* 2144756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144766 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144792 */     // GIR_Coverage, 17872,
     /* 2144792 */     GIR_EraseRootFromParent_Done,
     /* 2144793 */   // Label 28293: @2144793
     /* 2144793 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2144884), // Rule ID 17873 //
     /* 2144798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144844 */     // MIs[0] round
     /* 2144844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144847 */     // MIs[0] policy
     /* 2144847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144857 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144883 */     // GIR_Coverage, 17873,
     /* 2144883 */     GIR_EraseRootFromParent_Done,
     /* 2144884 */   // Label 28294: @2144884
     /* 2144884 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2144975), // Rule ID 17876 //
     /* 2144889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144935 */     // MIs[0] round
     /* 2144935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144938 */     // MIs[0] policy
     /* 2144938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2144951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144974 */     // GIR_Coverage, 17876,
     /* 2144974 */     GIR_EraseRootFromParent_Done,
     /* 2144975 */   // Label 28295: @2144975
     /* 2144975 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2145066), // Rule ID 17877 //
     /* 2144980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2145000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145026 */     // MIs[0] round
     /* 2145026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145029 */     // MIs[0] policy
     /* 2145029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145039 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2145042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145065 */     // GIR_Coverage, 17877,
     /* 2145065 */     GIR_EraseRootFromParent_Done,
     /* 2145066 */   // Label 28296: @2145066
     /* 2145066 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2145157), // Rule ID 17880 //
     /* 2145071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2145091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145117 */     // MIs[0] round
     /* 2145117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145120 */     // MIs[0] policy
     /* 2145120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145130 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2145133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145156 */     // GIR_Coverage, 17880,
     /* 2145156 */     GIR_EraseRootFromParent_Done,
     /* 2145157 */   // Label 28297: @2145157
     /* 2145157 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2145248), // Rule ID 17881 //
     /* 2145162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2145182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145208 */     // MIs[0] round
     /* 2145208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145211 */     // MIs[0] policy
     /* 2145211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145221 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2145224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145247 */     // GIR_Coverage, 17881,
     /* 2145247 */     GIR_EraseRootFromParent_Done,
     /* 2145248 */   // Label 28298: @2145248
     /* 2145248 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2145339), // Rule ID 17884 //
     /* 2145253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2145264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2145267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2145270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2145273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145299 */     // MIs[0] round
     /* 2145299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145302 */     // MIs[0] policy
     /* 2145302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145312 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2145315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145338 */     // GIR_Coverage, 17884,
     /* 2145338 */     GIR_EraseRootFromParent_Done,
     /* 2145339 */   // Label 28299: @2145339
     /* 2145339 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2145430), // Rule ID 17885 //
     /* 2145344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2145355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2145358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2145361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2145364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145390 */     // MIs[0] round
     /* 2145390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145393 */     // MIs[0] policy
     /* 2145393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145403 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2145406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145429 */     // GIR_Coverage, 17885,
     /* 2145429 */     GIR_EraseRootFromParent_Done,
     /* 2145430 */   // Label 28300: @2145430
     /* 2145430 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2145521), // Rule ID 17888 //
     /* 2145435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145481 */     // MIs[0] round
     /* 2145481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145484 */     // MIs[0] policy
     /* 2145484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145494 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145520 */     // GIR_Coverage, 17888,
     /* 2145520 */     GIR_EraseRootFromParent_Done,
     /* 2145521 */   // Label 28301: @2145521
     /* 2145521 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2145612), // Rule ID 17889 //
     /* 2145526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145572 */     // MIs[0] round
     /* 2145572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145575 */     // MIs[0] policy
     /* 2145575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145585 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145611 */     // GIR_Coverage, 17889,
     /* 2145611 */     GIR_EraseRootFromParent_Done,
     /* 2145612 */   // Label 28302: @2145612
     /* 2145612 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2145703), // Rule ID 17892 //
     /* 2145617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145663 */     // MIs[0] round
     /* 2145663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145666 */     // MIs[0] policy
     /* 2145666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145676 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145702 */     // GIR_Coverage, 17892,
     /* 2145702 */     GIR_EraseRootFromParent_Done,
     /* 2145703 */   // Label 28303: @2145703
     /* 2145703 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2145794), // Rule ID 17893 //
     /* 2145708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145754 */     // MIs[0] round
     /* 2145754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145757 */     // MIs[0] policy
     /* 2145757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145767 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145793 */     // GIR_Coverage, 17893,
     /* 2145793 */     GIR_EraseRootFromParent_Done,
     /* 2145794 */   // Label 28304: @2145794
     /* 2145794 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2145885), // Rule ID 17896 //
     /* 2145799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145845 */     // MIs[0] round
     /* 2145845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145848 */     // MIs[0] policy
     /* 2145848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145858 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145884 */     // GIR_Coverage, 17896,
     /* 2145884 */     GIR_EraseRootFromParent_Done,
     /* 2145885 */   // Label 28305: @2145885
     /* 2145885 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2145976), // Rule ID 17897 //
     /* 2145890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145936 */     // MIs[0] round
     /* 2145936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145939 */     // MIs[0] policy
     /* 2145939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145949 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145975 */     // GIR_Coverage, 17897,
     /* 2145975 */     GIR_EraseRootFromParent_Done,
     /* 2145976 */   // Label 28306: @2145976
     /* 2145976 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2146067), // Rule ID 17900 //
     /* 2145981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146027 */     // MIs[0] round
     /* 2146027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146030 */     // MIs[0] policy
     /* 2146030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146040 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2146043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146066 */     // GIR_Coverage, 17900,
     /* 2146066 */     GIR_EraseRootFromParent_Done,
     /* 2146067 */   // Label 28307: @2146067
     /* 2146067 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2146158), // Rule ID 17901 //
     /* 2146072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2146083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2146086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2146089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146118 */     // MIs[0] round
     /* 2146118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146121 */     // MIs[0] policy
     /* 2146121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146131 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2146134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146157 */     // GIR_Coverage, 17901,
     /* 2146157 */     GIR_EraseRootFromParent_Done,
     /* 2146158 */   // Label 28308: @2146158
     /* 2146158 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2146249), // Rule ID 17904 //
     /* 2146163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2146174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2146177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2146180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2146183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146209 */     // MIs[0] round
     /* 2146209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146212 */     // MIs[0] policy
     /* 2146212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146222 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2146225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146248 */     // GIR_Coverage, 17904,
     /* 2146248 */     GIR_EraseRootFromParent_Done,
     /* 2146249 */   // Label 28309: @2146249
     /* 2146249 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2146340), // Rule ID 17905 //
     /* 2146254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2146265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2146268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2146271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2146274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146300 */     // MIs[0] round
     /* 2146300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146303 */     // MIs[0] policy
     /* 2146303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146313 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2146316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146339 */     // GIR_Coverage, 17905,
     /* 2146339 */     GIR_EraseRootFromParent_Done,
     /* 2146340 */   // Label 28310: @2146340
     /* 2146340 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2146431), // Rule ID 17908 //
     /* 2146345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146391 */     // MIs[0] round
     /* 2146391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146394 */     // MIs[0] policy
     /* 2146394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146404 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2146407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146430 */     // GIR_Coverage, 17908,
     /* 2146430 */     GIR_EraseRootFromParent_Done,
     /* 2146431 */   // Label 28311: @2146431
     /* 2146431 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2146522), // Rule ID 17909 //
     /* 2146436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146482 */     // MIs[0] round
     /* 2146482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146485 */     // MIs[0] policy
     /* 2146485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146495 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2146498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146521 */     // GIR_Coverage, 17909,
     /* 2146521 */     GIR_EraseRootFromParent_Done,
     /* 2146522 */   // Label 28312: @2146522
     /* 2146522 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2146613), // Rule ID 17912 //
     /* 2146527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146573 */     // MIs[0] round
     /* 2146573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146576 */     // MIs[0] policy
     /* 2146576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146586 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146612 */     // GIR_Coverage, 17912,
     /* 2146612 */     GIR_EraseRootFromParent_Done,
     /* 2146613 */   // Label 28313: @2146613
     /* 2146613 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2146704), // Rule ID 17913 //
     /* 2146618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146664 */     // MIs[0] round
     /* 2146664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146667 */     // MIs[0] policy
     /* 2146667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146677 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146703 */     // GIR_Coverage, 17913,
     /* 2146703 */     GIR_EraseRootFromParent_Done,
     /* 2146704 */   // Label 28314: @2146704
     /* 2146704 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2146795), // Rule ID 17916 //
     /* 2146709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146755 */     // MIs[0] round
     /* 2146755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146758 */     // MIs[0] policy
     /* 2146758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146768 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146794 */     // GIR_Coverage, 17916,
     /* 2146794 */     GIR_EraseRootFromParent_Done,
     /* 2146795 */   // Label 28315: @2146795
     /* 2146795 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2146886), // Rule ID 17917 //
     /* 2146800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146846 */     // MIs[0] round
     /* 2146846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146849 */     // MIs[0] policy
     /* 2146849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146885 */     // GIR_Coverage, 17917,
     /* 2146885 */     GIR_EraseRootFromParent_Done,
     /* 2146886 */   // Label 28316: @2146886
     /* 2146886 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2146977), // Rule ID 17920 //
     /* 2146891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146937 */     // MIs[0] round
     /* 2146937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146940 */     // MIs[0] policy
     /* 2146940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146950 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2146953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146976 */     // GIR_Coverage, 17920,
     /* 2146976 */     GIR_EraseRootFromParent_Done,
     /* 2146977 */   // Label 28317: @2146977
     /* 2146977 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2147068), // Rule ID 17921 //
     /* 2146982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2147002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147028 */     // MIs[0] round
     /* 2147028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147031 */     // MIs[0] policy
     /* 2147031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147041 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2147044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147067 */     // GIR_Coverage, 17921,
     /* 2147067 */     GIR_EraseRootFromParent_Done,
     /* 2147068 */   // Label 28318: @2147068
     /* 2147068 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2147159), // Rule ID 17924 //
     /* 2147073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2147090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2147093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147119 */     // MIs[0] round
     /* 2147119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147122 */     // MIs[0] policy
     /* 2147122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147132 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2147135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147158 */     // GIR_Coverage, 17924,
     /* 2147158 */     GIR_EraseRootFromParent_Done,
     /* 2147159 */   // Label 28319: @2147159
     /* 2147159 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2147250), // Rule ID 17925 //
     /* 2147164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2147181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2147184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147210 */     // MIs[0] round
     /* 2147210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147213 */     // MIs[0] policy
     /* 2147213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147223 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2147226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147249 */     // GIR_Coverage, 17925,
     /* 2147249 */     GIR_EraseRootFromParent_Done,
     /* 2147250 */   // Label 28320: @2147250
     /* 2147250 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2147341), // Rule ID 17928 //
     /* 2147255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2147272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2147275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147301 */     // MIs[0] round
     /* 2147301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147304 */     // MIs[0] policy
     /* 2147304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147314 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2147317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147340 */     // GIR_Coverage, 17928,
     /* 2147340 */     GIR_EraseRootFromParent_Done,
     /* 2147341 */   // Label 28321: @2147341
     /* 2147341 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2147432), // Rule ID 17929 //
     /* 2147346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2147363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2147366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147392 */     // MIs[0] round
     /* 2147392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147395 */     // MIs[0] policy
     /* 2147395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147405 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2147408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147431 */     // GIR_Coverage, 17929,
     /* 2147431 */     GIR_EraseRootFromParent_Done,
     /* 2147432 */   // Label 28322: @2147432
     /* 2147432 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2147523), // Rule ID 17932 //
     /* 2147437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147483 */     // MIs[0] round
     /* 2147483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147486 */     // MIs[0] policy
     /* 2147486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147496 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147522 */     // GIR_Coverage, 17932,
     /* 2147522 */     GIR_EraseRootFromParent_Done,
     /* 2147523 */   // Label 28323: @2147523
     /* 2147523 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2147614), // Rule ID 17933 //
     /* 2147528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147574 */     // MIs[0] round
     /* 2147574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147577 */     // MIs[0] policy
     /* 2147577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147587 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147613 */     // GIR_Coverage, 17933,
     /* 2147613 */     GIR_EraseRootFromParent_Done,
     /* 2147614 */   // Label 28324: @2147614
     /* 2147614 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2147705), // Rule ID 17936 //
     /* 2147619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147665 */     // MIs[0] round
     /* 2147665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147668 */     // MIs[0] policy
     /* 2147668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147678 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147704 */     // GIR_Coverage, 17936,
     /* 2147704 */     GIR_EraseRootFromParent_Done,
     /* 2147705 */   // Label 28325: @2147705
     /* 2147705 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2147796), // Rule ID 17937 //
     /* 2147710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147756 */     // MIs[0] round
     /* 2147756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147759 */     // MIs[0] policy
     /* 2147759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147769 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147795 */     // GIR_Coverage, 17937,
     /* 2147795 */     GIR_EraseRootFromParent_Done,
     /* 2147796 */   // Label 28326: @2147796
     /* 2147796 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2147887), // Rule ID 17940 //
     /* 2147801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147847 */     // MIs[0] round
     /* 2147847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147850 */     // MIs[0] policy
     /* 2147850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147860 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147886 */     // GIR_Coverage, 17940,
     /* 2147886 */     GIR_EraseRootFromParent_Done,
     /* 2147887 */   // Label 28327: @2147887
     /* 2147887 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2147978), // Rule ID 17941 //
     /* 2147892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147938 */     // MIs[0] round
     /* 2147938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147941 */     // MIs[0] policy
     /* 2147941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147951 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147977 */     // GIR_Coverage, 17941,
     /* 2147977 */     GIR_EraseRootFromParent_Done,
     /* 2147978 */   // Label 28328: @2147978
     /* 2147978 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2148069), // Rule ID 17944 //
     /* 2147983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2148003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148029 */     // MIs[0] round
     /* 2148029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148032 */     // MIs[0] policy
     /* 2148032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148042 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2148045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148068 */     // GIR_Coverage, 17944,
     /* 2148068 */     GIR_EraseRootFromParent_Done,
     /* 2148069 */   // Label 28329: @2148069
     /* 2148069 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2148160), // Rule ID 17945 //
     /* 2148074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2148094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148120 */     // MIs[0] round
     /* 2148120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148123 */     // MIs[0] policy
     /* 2148123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148133 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2148136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148159 */     // GIR_Coverage, 17945,
     /* 2148159 */     GIR_EraseRootFromParent_Done,
     /* 2148160 */   // Label 28330: @2148160
     /* 2148160 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2148251), // Rule ID 17948 //
     /* 2148165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2148185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148211 */     // MIs[0] round
     /* 2148211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148214 */     // MIs[0] policy
     /* 2148214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148224 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2148227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148250 */     // GIR_Coverage, 17948,
     /* 2148250 */     GIR_EraseRootFromParent_Done,
     /* 2148251 */   // Label 28331: @2148251
     /* 2148251 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2148342), // Rule ID 17949 //
     /* 2148256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2148276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148302 */     // MIs[0] round
     /* 2148302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148305 */     // MIs[0] policy
     /* 2148305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148315 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2148318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148341 */     // GIR_Coverage, 17949,
     /* 2148341 */     GIR_EraseRootFromParent_Done,
     /* 2148342 */   // Label 28332: @2148342
     /* 2148342 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2148433), // Rule ID 17952 //
     /* 2148347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148393 */     // MIs[0] round
     /* 2148393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148396 */     // MIs[0] policy
     /* 2148396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148406 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2148409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148432 */     // GIR_Coverage, 17952,
     /* 2148432 */     GIR_EraseRootFromParent_Done,
     /* 2148433 */   // Label 28333: @2148433
     /* 2148433 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2148524), // Rule ID 17953 //
     /* 2148438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148484 */     // MIs[0] round
     /* 2148484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148487 */     // MIs[0] policy
     /* 2148487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2148500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148523 */     // GIR_Coverage, 17953,
     /* 2148523 */     GIR_EraseRootFromParent_Done,
     /* 2148524 */   // Label 28334: @2148524
     /* 2148524 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2148615), // Rule ID 17956 //
     /* 2148529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148575 */     // MIs[0] round
     /* 2148575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148578 */     // MIs[0] policy
     /* 2148578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148614 */     // GIR_Coverage, 17956,
     /* 2148614 */     GIR_EraseRootFromParent_Done,
     /* 2148615 */   // Label 28335: @2148615
     /* 2148615 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2148706), // Rule ID 17957 //
     /* 2148620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148666 */     // MIs[0] round
     /* 2148666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148669 */     // MIs[0] policy
     /* 2148669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148679 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148705 */     // GIR_Coverage, 17957,
     /* 2148705 */     GIR_EraseRootFromParent_Done,
     /* 2148706 */   // Label 28336: @2148706
     /* 2148706 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2148797), // Rule ID 17960 //
     /* 2148711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148757 */     // MIs[0] round
     /* 2148757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148760 */     // MIs[0] policy
     /* 2148760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148770 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148796 */     // GIR_Coverage, 17960,
     /* 2148796 */     GIR_EraseRootFromParent_Done,
     /* 2148797 */   // Label 28337: @2148797
     /* 2148797 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2148888), // Rule ID 17961 //
     /* 2148802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148848 */     // MIs[0] round
     /* 2148848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148851 */     // MIs[0] policy
     /* 2148851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148861 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148887 */     // GIR_Coverage, 17961,
     /* 2148887 */     GIR_EraseRootFromParent_Done,
     /* 2148888 */   // Label 28338: @2148888
     /* 2148888 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2148979), // Rule ID 17964 //
     /* 2148893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148939 */     // MIs[0] round
     /* 2148939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148942 */     // MIs[0] policy
     /* 2148942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148952 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2148955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148978 */     // GIR_Coverage, 17964,
     /* 2148978 */     GIR_EraseRootFromParent_Done,
     /* 2148979 */   // Label 28339: @2148979
     /* 2148979 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2149070), // Rule ID 17965 //
     /* 2148984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2149004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149030 */     // MIs[0] round
     /* 2149030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149033 */     // MIs[0] policy
     /* 2149033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149043 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2149046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149069 */     // GIR_Coverage, 17965,
     /* 2149069 */     GIR_EraseRootFromParent_Done,
     /* 2149070 */   // Label 28340: @2149070
     /* 2149070 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2149161), // Rule ID 17968 //
     /* 2149075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2149095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149121 */     // MIs[0] round
     /* 2149121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149124 */     // MIs[0] policy
     /* 2149124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149134 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2149137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149160 */     // GIR_Coverage, 17968,
     /* 2149160 */     GIR_EraseRootFromParent_Done,
     /* 2149161 */   // Label 28341: @2149161
     /* 2149161 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2149252), // Rule ID 17969 //
     /* 2149166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2149186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149212 */     // MIs[0] round
     /* 2149212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149215 */     // MIs[0] policy
     /* 2149215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149225 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2149228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149251 */     // GIR_Coverage, 17969,
     /* 2149251 */     GIR_EraseRootFromParent_Done,
     /* 2149252 */   // Label 28342: @2149252
     /* 2149252 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2149343), // Rule ID 17972 //
     /* 2149257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2149277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149303 */     // MIs[0] round
     /* 2149303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149306 */     // MIs[0] policy
     /* 2149306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149316 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2149319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149342 */     // GIR_Coverage, 17972,
     /* 2149342 */     GIR_EraseRootFromParent_Done,
     /* 2149343 */   // Label 28343: @2149343
     /* 2149343 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2149434), // Rule ID 17973 //
     /* 2149348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2149368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149394 */     // MIs[0] round
     /* 2149394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149397 */     // MIs[0] policy
     /* 2149397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149407 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2149410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149433 */     // GIR_Coverage, 17973,
     /* 2149433 */     GIR_EraseRootFromParent_Done,
     /* 2149434 */   // Label 28344: @2149434
     /* 2149434 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2149525), // Rule ID 17976 //
     /* 2149439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149485 */     // MIs[0] round
     /* 2149485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149488 */     // MIs[0] policy
     /* 2149488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149498 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149524 */     // GIR_Coverage, 17976,
     /* 2149524 */     GIR_EraseRootFromParent_Done,
     /* 2149525 */   // Label 28345: @2149525
     /* 2149525 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2149616), // Rule ID 17977 //
     /* 2149530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149576 */     // MIs[0] round
     /* 2149576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149579 */     // MIs[0] policy
     /* 2149579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149589 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149615 */     // GIR_Coverage, 17977,
     /* 2149615 */     GIR_EraseRootFromParent_Done,
     /* 2149616 */   // Label 28346: @2149616
     /* 2149616 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2149707), // Rule ID 17980 //
     /* 2149621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149667 */     // MIs[0] round
     /* 2149667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149670 */     // MIs[0] policy
     /* 2149670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149680 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149706 */     // GIR_Coverage, 17980,
     /* 2149706 */     GIR_EraseRootFromParent_Done,
     /* 2149707 */   // Label 28347: @2149707
     /* 2149707 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2149798), // Rule ID 17981 //
     /* 2149712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149758 */     // MIs[0] round
     /* 2149758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149761 */     // MIs[0] policy
     /* 2149761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149771 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149797 */     // GIR_Coverage, 17981,
     /* 2149797 */     GIR_EraseRootFromParent_Done,
     /* 2149798 */   // Label 28348: @2149798
     /* 2149798 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2149889), // Rule ID 17984 //
     /* 2149803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149849 */     // MIs[0] round
     /* 2149849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149852 */     // MIs[0] policy
     /* 2149852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149862 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149888 */     // GIR_Coverage, 17984,
     /* 2149888 */     GIR_EraseRootFromParent_Done,
     /* 2149889 */   // Label 28349: @2149889
     /* 2149889 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2149980), // Rule ID 17985 //
     /* 2149894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149940 */     // MIs[0] round
     /* 2149940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149943 */     // MIs[0] policy
     /* 2149943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149953 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149979 */     // GIR_Coverage, 17985,
     /* 2149979 */     GIR_EraseRootFromParent_Done,
     /* 2149980 */   // Label 28350: @2149980
     /* 2149980 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2150071), // Rule ID 17988 //
     /* 2149985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150031 */     // MIs[0] round
     /* 2150031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150034 */     // MIs[0] policy
     /* 2150034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150044 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2150047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150070 */     // GIR_Coverage, 17988,
     /* 2150070 */     GIR_EraseRootFromParent_Done,
     /* 2150071 */   // Label 28351: @2150071
     /* 2150071 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2150162), // Rule ID 17989 //
     /* 2150076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150122 */     // MIs[0] round
     /* 2150122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150125 */     // MIs[0] policy
     /* 2150125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150135 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2150138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150161 */     // GIR_Coverage, 17989,
     /* 2150161 */     GIR_EraseRootFromParent_Done,
     /* 2150162 */   // Label 28352: @2150162
     /* 2150162 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2150253), // Rule ID 17992 //
     /* 2150167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2150178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2150181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2150187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150213 */     // MIs[0] round
     /* 2150213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150216 */     // MIs[0] policy
     /* 2150216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150226 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2150229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150252 */     // GIR_Coverage, 17992,
     /* 2150252 */     GIR_EraseRootFromParent_Done,
     /* 2150253 */   // Label 28353: @2150253
     /* 2150253 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2150344), // Rule ID 17993 //
     /* 2150258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2150269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2150272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2150278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150304 */     // MIs[0] round
     /* 2150304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150307 */     // MIs[0] policy
     /* 2150307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150317 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2150320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150343 */     // GIR_Coverage, 17993,
     /* 2150343 */     GIR_EraseRootFromParent_Done,
     /* 2150344 */   // Label 28354: @2150344
     /* 2150344 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2150435), // Rule ID 17996 //
     /* 2150349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150395 */     // MIs[0] round
     /* 2150395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150398 */     // MIs[0] policy
     /* 2150398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150408 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2150411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150434 */     // GIR_Coverage, 17996,
     /* 2150434 */     GIR_EraseRootFromParent_Done,
     /* 2150435 */   // Label 28355: @2150435
     /* 2150435 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2150526), // Rule ID 17997 //
     /* 2150440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150486 */     // MIs[0] round
     /* 2150486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150489 */     // MIs[0] policy
     /* 2150489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150499 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2150502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150525 */     // GIR_Coverage, 17997,
     /* 2150525 */     GIR_EraseRootFromParent_Done,
     /* 2150526 */   // Label 28356: @2150526
     /* 2150526 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2150617), // Rule ID 18000 //
     /* 2150531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150577 */     // MIs[0] round
     /* 2150577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150580 */     // MIs[0] policy
     /* 2150580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150590 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150616 */     // GIR_Coverage, 18000,
     /* 2150616 */     GIR_EraseRootFromParent_Done,
     /* 2150617 */   // Label 28357: @2150617
     /* 2150617 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2150708), // Rule ID 18001 //
     /* 2150622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150668 */     // MIs[0] round
     /* 2150668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150671 */     // MIs[0] policy
     /* 2150671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150681 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150707 */     // GIR_Coverage, 18001,
     /* 2150707 */     GIR_EraseRootFromParent_Done,
     /* 2150708 */   // Label 28358: @2150708
     /* 2150708 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2150799), // Rule ID 18004 //
     /* 2150713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150759 */     // MIs[0] round
     /* 2150759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150762 */     // MIs[0] policy
     /* 2150762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150798 */     // GIR_Coverage, 18004,
     /* 2150798 */     GIR_EraseRootFromParent_Done,
     /* 2150799 */   // Label 28359: @2150799
     /* 2150799 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2150890), // Rule ID 18005 //
     /* 2150804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150850 */     // MIs[0] round
     /* 2150850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150853 */     // MIs[0] policy
     /* 2150853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150863 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150889 */     // GIR_Coverage, 18005,
     /* 2150889 */     GIR_EraseRootFromParent_Done,
     /* 2150890 */   // Label 28360: @2150890
     /* 2150890 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2150981), // Rule ID 18008 //
     /* 2150895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150941 */     // MIs[0] round
     /* 2150941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150944 */     // MIs[0] policy
     /* 2150944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150954 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2150957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150980 */     // GIR_Coverage, 18008,
     /* 2150980 */     GIR_EraseRootFromParent_Done,
     /* 2150981 */   // Label 28361: @2150981
     /* 2150981 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2151072), // Rule ID 18009 //
     /* 2150986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2151000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2151003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2151006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151032 */     // MIs[0] round
     /* 2151032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151035 */     // MIs[0] policy
     /* 2151035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151045 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2151048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151071 */     // GIR_Coverage, 18009,
     /* 2151071 */     GIR_EraseRootFromParent_Done,
     /* 2151072 */   // Label 28362: @2151072
     /* 2151072 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2151163), // Rule ID 18012 //
     /* 2151077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2151097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151123 */     // MIs[0] round
     /* 2151123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151126 */     // MIs[0] policy
     /* 2151126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2151139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151162 */     // GIR_Coverage, 18012,
     /* 2151162 */     GIR_EraseRootFromParent_Done,
     /* 2151163 */   // Label 28363: @2151163
     /* 2151163 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2151254), // Rule ID 18013 //
     /* 2151168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2151188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151214 */     // MIs[0] round
     /* 2151214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151217 */     // MIs[0] policy
     /* 2151217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151227 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2151230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151253 */     // GIR_Coverage, 18013,
     /* 2151253 */     GIR_EraseRootFromParent_Done,
     /* 2151254 */   // Label 28364: @2151254
     /* 2151254 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2151345), // Rule ID 18016 //
     /* 2151259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2151279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151305 */     // MIs[0] round
     /* 2151305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151308 */     // MIs[0] policy
     /* 2151308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151318 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2151321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151344 */     // GIR_Coverage, 18016,
     /* 2151344 */     GIR_EraseRootFromParent_Done,
     /* 2151345 */   // Label 28365: @2151345
     /* 2151345 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2151436), // Rule ID 18017 //
     /* 2151350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2151370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151396 */     // MIs[0] round
     /* 2151396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151399 */     // MIs[0] policy
     /* 2151399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151409 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2151412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151435 */     // GIR_Coverage, 18017,
     /* 2151435 */     GIR_EraseRootFromParent_Done,
     /* 2151436 */   // Label 28366: @2151436
     /* 2151436 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2151527), // Rule ID 18020 //
     /* 2151441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151487 */     // MIs[0] round
     /* 2151487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151490 */     // MIs[0] policy
     /* 2151490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151500 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151526 */     // GIR_Coverage, 18020,
     /* 2151526 */     GIR_EraseRootFromParent_Done,
     /* 2151527 */   // Label 28367: @2151527
     /* 2151527 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2151618), // Rule ID 18021 //
     /* 2151532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151578 */     // MIs[0] round
     /* 2151578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151581 */     // MIs[0] policy
     /* 2151581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151591 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151617 */     // GIR_Coverage, 18021,
     /* 2151617 */     GIR_EraseRootFromParent_Done,
     /* 2151618 */   // Label 28368: @2151618
     /* 2151618 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2151709), // Rule ID 18024 //
     /* 2151623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151669 */     // MIs[0] round
     /* 2151669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151672 */     // MIs[0] policy
     /* 2151672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151682 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151708 */     // GIR_Coverage, 18024,
     /* 2151708 */     GIR_EraseRootFromParent_Done,
     /* 2151709 */   // Label 28369: @2151709
     /* 2151709 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2151800), // Rule ID 18025 //
     /* 2151714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151760 */     // MIs[0] round
     /* 2151760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151763 */     // MIs[0] policy
     /* 2151763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151773 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151799 */     // GIR_Coverage, 18025,
     /* 2151799 */     GIR_EraseRootFromParent_Done,
     /* 2151800 */   // Label 28370: @2151800
     /* 2151800 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2151891), // Rule ID 18028 //
     /* 2151805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151851 */     // MIs[0] round
     /* 2151851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151854 */     // MIs[0] policy
     /* 2151854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151890 */     // GIR_Coverage, 18028,
     /* 2151890 */     GIR_EraseRootFromParent_Done,
     /* 2151891 */   // Label 28371: @2151891
     /* 2151891 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2151982), // Rule ID 18029 //
     /* 2151896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151942 */     // MIs[0] round
     /* 2151942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151945 */     // MIs[0] policy
     /* 2151945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151955 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151981 */     // GIR_Coverage, 18029,
     /* 2151981 */     GIR_EraseRootFromParent_Done,
     /* 2151982 */   // Label 28372: @2151982
     /* 2151982 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2152073), // Rule ID 18032 //
     /* 2151987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2152007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152033 */     // MIs[0] round
     /* 2152033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152036 */     // MIs[0] policy
     /* 2152036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152046 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2152049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152072 */     // GIR_Coverage, 18032,
     /* 2152072 */     GIR_EraseRootFromParent_Done,
     /* 2152073 */   // Label 28373: @2152073
     /* 2152073 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2152164), // Rule ID 18033 //
     /* 2152078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2152089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2152098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152124 */     // MIs[0] round
     /* 2152124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152127 */     // MIs[0] policy
     /* 2152127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152137 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2152140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152163 */     // GIR_Coverage, 18033,
     /* 2152163 */     GIR_EraseRootFromParent_Done,
     /* 2152164 */   // Label 28374: @2152164
     /* 2152164 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2152255), // Rule ID 18036 //
     /* 2152169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2152180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2152183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2152186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2152189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152215 */     // MIs[0] round
     /* 2152215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152218 */     // MIs[0] policy
     /* 2152218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2152231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152254 */     // GIR_Coverage, 18036,
     /* 2152254 */     GIR_EraseRootFromParent_Done,
     /* 2152255 */   // Label 28375: @2152255
     /* 2152255 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2152346), // Rule ID 18037 //
     /* 2152260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2152271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2152274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2152277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2152280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152306 */     // MIs[0] round
     /* 2152306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152309 */     // MIs[0] policy
     /* 2152309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152319 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2152322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152345 */     // GIR_Coverage, 18037,
     /* 2152345 */     GIR_EraseRootFromParent_Done,
     /* 2152346 */   // Label 28376: @2152346
     /* 2152346 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2152437), // Rule ID 18040 //
     /* 2152351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152397 */     // MIs[0] round
     /* 2152397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152400 */     // MIs[0] policy
     /* 2152400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152410 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2152413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152436 */     // GIR_Coverage, 18040,
     /* 2152436 */     GIR_EraseRootFromParent_Done,
     /* 2152437 */   // Label 28377: @2152437
     /* 2152437 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2152528), // Rule ID 18041 //
     /* 2152442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152488 */     // MIs[0] round
     /* 2152488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152491 */     // MIs[0] policy
     /* 2152491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152501 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2152504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152527 */     // GIR_Coverage, 18041,
     /* 2152527 */     GIR_EraseRootFromParent_Done,
     /* 2152528 */   // Label 28378: @2152528
     /* 2152528 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2152619), // Rule ID 18044 //
     /* 2152533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152579 */     // MIs[0] round
     /* 2152579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152582 */     // MIs[0] policy
     /* 2152582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152592 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152618 */     // GIR_Coverage, 18044,
     /* 2152618 */     GIR_EraseRootFromParent_Done,
     /* 2152619 */   // Label 28379: @2152619
     /* 2152619 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2152710), // Rule ID 18045 //
     /* 2152624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152670 */     // MIs[0] round
     /* 2152670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152673 */     // MIs[0] policy
     /* 2152673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152683 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152709 */     // GIR_Coverage, 18045,
     /* 2152709 */     GIR_EraseRootFromParent_Done,
     /* 2152710 */   // Label 28380: @2152710
     /* 2152710 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2152801), // Rule ID 18048 //
     /* 2152715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152761 */     // MIs[0] round
     /* 2152761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152764 */     // MIs[0] policy
     /* 2152764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152774 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152800 */     // GIR_Coverage, 18048,
     /* 2152800 */     GIR_EraseRootFromParent_Done,
     /* 2152801 */   // Label 28381: @2152801
     /* 2152801 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2152892), // Rule ID 18049 //
     /* 2152806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152852 */     // MIs[0] round
     /* 2152852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152855 */     // MIs[0] policy
     /* 2152855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152865 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152891 */     // GIR_Coverage, 18049,
     /* 2152891 */     GIR_EraseRootFromParent_Done,
     /* 2152892 */   // Label 28382: @2152892
     /* 2152892 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2152983), // Rule ID 18052 //
     /* 2152897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152943 */     // MIs[0] round
     /* 2152943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152946 */     // MIs[0] policy
     /* 2152946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152956 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2152959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152982 */     // GIR_Coverage, 18052,
     /* 2152982 */     GIR_EraseRootFromParent_Done,
     /* 2152983 */   // Label 28383: @2152983
     /* 2152983 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2153074), // Rule ID 18053 //
     /* 2152988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2153002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2153005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2153008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153034 */     // MIs[0] round
     /* 2153034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153037 */     // MIs[0] policy
     /* 2153037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153047 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2153050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153073 */     // GIR_Coverage, 18053,
     /* 2153073 */     GIR_EraseRootFromParent_Done,
     /* 2153074 */   // Label 28384: @2153074
     /* 2153074 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2153165), // Rule ID 18056 //
     /* 2153079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2153090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2153093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2153099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153125 */     // MIs[0] round
     /* 2153125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153128 */     // MIs[0] policy
     /* 2153128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153138 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2153141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153164 */     // GIR_Coverage, 18056,
     /* 2153164 */     GIR_EraseRootFromParent_Done,
     /* 2153165 */   // Label 28385: @2153165
     /* 2153165 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2153256), // Rule ID 18057 //
     /* 2153170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2153181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2153184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2153190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153216 */     // MIs[0] round
     /* 2153216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153219 */     // MIs[0] policy
     /* 2153219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153229 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2153232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153255 */     // GIR_Coverage, 18057,
     /* 2153255 */     GIR_EraseRootFromParent_Done,
     /* 2153256 */   // Label 28386: @2153256
     /* 2153256 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2153347), // Rule ID 18060 //
     /* 2153261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153307 */     // MIs[0] round
     /* 2153307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153310 */     // MIs[0] policy
     /* 2153310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153320 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2153323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153346 */     // GIR_Coverage, 18060,
     /* 2153346 */     GIR_EraseRootFromParent_Done,
     /* 2153347 */   // Label 28387: @2153347
     /* 2153347 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2153438), // Rule ID 18061 //
     /* 2153352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153398 */     // MIs[0] round
     /* 2153398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153401 */     // MIs[0] policy
     /* 2153401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153411 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2153414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153437 */     // GIR_Coverage, 18061,
     /* 2153437 */     GIR_EraseRootFromParent_Done,
     /* 2153438 */   // Label 28388: @2153438
     /* 2153438 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2153529), // Rule ID 18064 //
     /* 2153443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153489 */     // MIs[0] round
     /* 2153489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153492 */     // MIs[0] policy
     /* 2153492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153528 */     // GIR_Coverage, 18064,
     /* 2153528 */     GIR_EraseRootFromParent_Done,
     /* 2153529 */   // Label 28389: @2153529
     /* 2153529 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2153620), // Rule ID 18065 //
     /* 2153534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153580 */     // MIs[0] round
     /* 2153580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153583 */     // MIs[0] policy
     /* 2153583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153593 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153619 */     // GIR_Coverage, 18065,
     /* 2153619 */     GIR_EraseRootFromParent_Done,
     /* 2153620 */   // Label 28390: @2153620
     /* 2153620 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2153711), // Rule ID 18068 //
     /* 2153625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153671 */     // MIs[0] round
     /* 2153671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153674 */     // MIs[0] policy
     /* 2153674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153710 */     // GIR_Coverage, 18068,
     /* 2153710 */     GIR_EraseRootFromParent_Done,
     /* 2153711 */   // Label 28391: @2153711
     /* 2153711 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2153802), // Rule ID 18069 //
     /* 2153716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153762 */     // MIs[0] round
     /* 2153762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153765 */     // MIs[0] policy
     /* 2153765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153775 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153801 */     // GIR_Coverage, 18069,
     /* 2153801 */     GIR_EraseRootFromParent_Done,
     /* 2153802 */   // Label 28392: @2153802
     /* 2153802 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2153893), // Rule ID 18072 //
     /* 2153807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153853 */     // MIs[0] round
     /* 2153853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153856 */     // MIs[0] policy
     /* 2153856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153866 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153892 */     // GIR_Coverage, 18072,
     /* 2153892 */     GIR_EraseRootFromParent_Done,
     /* 2153893 */   // Label 28393: @2153893
     /* 2153893 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2153984), // Rule ID 18073 //
     /* 2153898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153944 */     // MIs[0] round
     /* 2153944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153947 */     // MIs[0] policy
     /* 2153947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153957 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153983 */     // GIR_Coverage, 18073,
     /* 2153983 */     GIR_EraseRootFromParent_Done,
     /* 2153984 */   // Label 28394: @2153984
     /* 2153984 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2154075), // Rule ID 18076 //
     /* 2153989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154035 */     // MIs[0] round
     /* 2154035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154038 */     // MIs[0] policy
     /* 2154038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2154051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154074 */     // GIR_Coverage, 18076,
     /* 2154074 */     GIR_EraseRootFromParent_Done,
     /* 2154075 */   // Label 28395: @2154075
     /* 2154075 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2154166), // Rule ID 18077 //
     /* 2154080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154126 */     // MIs[0] round
     /* 2154126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154129 */     // MIs[0] policy
     /* 2154129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154139 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2154142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154165 */     // GIR_Coverage, 18077,
     /* 2154165 */     GIR_EraseRootFromParent_Done,
     /* 2154166 */   // Label 28396: @2154166
     /* 2154166 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2154257), // Rule ID 18080 //
     /* 2154171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2154182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2154191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154217 */     // MIs[0] round
     /* 2154217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154220 */     // MIs[0] policy
     /* 2154220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154230 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2154233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154256 */     // GIR_Coverage, 18080,
     /* 2154256 */     GIR_EraseRootFromParent_Done,
     /* 2154257 */   // Label 28397: @2154257
     /* 2154257 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2154348), // Rule ID 18081 //
     /* 2154262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2154273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2154282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154308 */     // MIs[0] round
     /* 2154308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154311 */     // MIs[0] policy
     /* 2154311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154321 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2154324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154347 */     // GIR_Coverage, 18081,
     /* 2154347 */     GIR_EraseRootFromParent_Done,
     /* 2154348 */   // Label 28398: @2154348
     /* 2154348 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2154439), // Rule ID 18084 //
     /* 2154353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154399 */     // MIs[0] round
     /* 2154399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154402 */     // MIs[0] policy
     /* 2154402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154412 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2154415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154438 */     // GIR_Coverage, 18084,
     /* 2154438 */     GIR_EraseRootFromParent_Done,
     /* 2154439 */   // Label 28399: @2154439
     /* 2154439 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2154530), // Rule ID 18085 //
     /* 2154444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154490 */     // MIs[0] round
     /* 2154490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154493 */     // MIs[0] policy
     /* 2154493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154503 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2154506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154529 */     // GIR_Coverage, 18085,
     /* 2154529 */     GIR_EraseRootFromParent_Done,
     /* 2154530 */   // Label 28400: @2154530
     /* 2154530 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2154621), // Rule ID 18088 //
     /* 2154535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154581 */     // MIs[0] round
     /* 2154581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154584 */     // MIs[0] policy
     /* 2154584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154594 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154620 */     // GIR_Coverage, 18088,
     /* 2154620 */     GIR_EraseRootFromParent_Done,
     /* 2154621 */   // Label 28401: @2154621
     /* 2154621 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2154712), // Rule ID 18089 //
     /* 2154626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154672 */     // MIs[0] round
     /* 2154672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154675 */     // MIs[0] policy
     /* 2154675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154685 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154711 */     // GIR_Coverage, 18089,
     /* 2154711 */     GIR_EraseRootFromParent_Done,
     /* 2154712 */   // Label 28402: @2154712
     /* 2154712 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2154803), // Rule ID 18092 //
     /* 2154717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154763 */     // MIs[0] round
     /* 2154763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154766 */     // MIs[0] policy
     /* 2154766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154802 */     // GIR_Coverage, 18092,
     /* 2154802 */     GIR_EraseRootFromParent_Done,
     /* 2154803 */   // Label 28403: @2154803
     /* 2154803 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2154894), // Rule ID 18093 //
     /* 2154808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154854 */     // MIs[0] round
     /* 2154854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154857 */     // MIs[0] policy
     /* 2154857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154867 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154893 */     // GIR_Coverage, 18093,
     /* 2154893 */     GIR_EraseRootFromParent_Done,
     /* 2154894 */   // Label 28404: @2154894
     /* 2154894 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2154985), // Rule ID 18096 //
     /* 2154899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154945 */     // MIs[0] round
     /* 2154945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154948 */     // MIs[0] policy
     /* 2154948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2154961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154984 */     // GIR_Coverage, 18096,
     /* 2154984 */     GIR_EraseRootFromParent_Done,
     /* 2154985 */   // Label 28405: @2154985
     /* 2154985 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2155076), // Rule ID 18097 //
     /* 2154990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2155001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2155004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155036 */     // MIs[0] round
     /* 2155036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155039 */     // MIs[0] policy
     /* 2155039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155049 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2155052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155075 */     // GIR_Coverage, 18097,
     /* 2155075 */     GIR_EraseRootFromParent_Done,
     /* 2155076 */   // Label 28406: @2155076
     /* 2155076 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2155167), // Rule ID 18100 //
     /* 2155081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2155092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2155101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155127 */     // MIs[0] round
     /* 2155127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155130 */     // MIs[0] policy
     /* 2155130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2155143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155166 */     // GIR_Coverage, 18100,
     /* 2155166 */     GIR_EraseRootFromParent_Done,
     /* 2155167 */   // Label 28407: @2155167
     /* 2155167 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2155258), // Rule ID 18101 //
     /* 2155172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2155183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2155192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155218 */     // MIs[0] round
     /* 2155218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155221 */     // MIs[0] policy
     /* 2155221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155231 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2155234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155257 */     // GIR_Coverage, 18101,
     /* 2155257 */     GIR_EraseRootFromParent_Done,
     /* 2155258 */   // Label 28408: @2155258
     /* 2155258 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2155349), // Rule ID 18104 //
     /* 2155263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2155274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2155277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2155283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155309 */     // MIs[0] round
     /* 2155309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155312 */     // MIs[0] policy
     /* 2155312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155322 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2155325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155348 */     // GIR_Coverage, 18104,
     /* 2155348 */     GIR_EraseRootFromParent_Done,
     /* 2155349 */   // Label 28409: @2155349
     /* 2155349 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2155440), // Rule ID 18105 //
     /* 2155354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2155365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2155368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2155374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155400 */     // MIs[0] round
     /* 2155400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155403 */     // MIs[0] policy
     /* 2155403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155413 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2155416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155439 */     // GIR_Coverage, 18105,
     /* 2155439 */     GIR_EraseRootFromParent_Done,
     /* 2155440 */   // Label 28410: @2155440
     /* 2155440 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2155531), // Rule ID 18108 //
     /* 2155445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155491 */     // MIs[0] round
     /* 2155491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155494 */     // MIs[0] policy
     /* 2155494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155504 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155530 */     // GIR_Coverage, 18108,
     /* 2155530 */     GIR_EraseRootFromParent_Done,
     /* 2155531 */   // Label 28411: @2155531
     /* 2155531 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2155622), // Rule ID 18109 //
     /* 2155536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155582 */     // MIs[0] round
     /* 2155582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155585 */     // MIs[0] policy
     /* 2155585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155595 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155621 */     // GIR_Coverage, 18109,
     /* 2155621 */     GIR_EraseRootFromParent_Done,
     /* 2155622 */   // Label 28412: @2155622
     /* 2155622 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2155713), // Rule ID 18112 //
     /* 2155627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155673 */     // MIs[0] round
     /* 2155673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155676 */     // MIs[0] policy
     /* 2155676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155686 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155712 */     // GIR_Coverage, 18112,
     /* 2155712 */     GIR_EraseRootFromParent_Done,
     /* 2155713 */   // Label 28413: @2155713
     /* 2155713 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2155804), // Rule ID 18113 //
     /* 2155718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155764 */     // MIs[0] round
     /* 2155764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155767 */     // MIs[0] policy
     /* 2155767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155777 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155803 */     // GIR_Coverage, 18113,
     /* 2155803 */     GIR_EraseRootFromParent_Done,
     /* 2155804 */   // Label 28414: @2155804
     /* 2155804 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2155895), // Rule ID 18116 //
     /* 2155809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155855 */     // MIs[0] round
     /* 2155855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155858 */     // MIs[0] policy
     /* 2155858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155868 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155894 */     // GIR_Coverage, 18116,
     /* 2155894 */     GIR_EraseRootFromParent_Done,
     /* 2155895 */   // Label 28415: @2155895
     /* 2155895 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2155986), // Rule ID 18117 //
     /* 2155900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155946 */     // MIs[0] round
     /* 2155946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155949 */     // MIs[0] policy
     /* 2155949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155959 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155985 */     // GIR_Coverage, 18117,
     /* 2155985 */     GIR_EraseRootFromParent_Done,
     /* 2155986 */   // Label 28416: @2155986
     /* 2155986 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2156077), // Rule ID 18120 //
     /* 2155991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2156002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2156005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156037 */     // MIs[0] round
     /* 2156037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156040 */     // MIs[0] policy
     /* 2156040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156050 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2156053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156076 */     // GIR_Coverage, 18120,
     /* 2156076 */     GIR_EraseRootFromParent_Done,
     /* 2156077 */   // Label 28417: @2156077
     /* 2156077 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2156168), // Rule ID 18121 //
     /* 2156082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2156093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2156096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156128 */     // MIs[0] round
     /* 2156128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156131 */     // MIs[0] policy
     /* 2156131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156141 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2156144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156167 */     // GIR_Coverage, 18121,
     /* 2156167 */     GIR_EraseRootFromParent_Done,
     /* 2156168 */   // Label 28418: @2156168
     /* 2156168 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2156259), // Rule ID 18124 //
     /* 2156173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2156184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2156187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2156190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2156193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156219 */     // MIs[0] round
     /* 2156219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156222 */     // MIs[0] policy
     /* 2156222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2156235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156258 */     // GIR_Coverage, 18124,
     /* 2156258 */     GIR_EraseRootFromParent_Done,
     /* 2156259 */   // Label 28419: @2156259
     /* 2156259 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2156350), // Rule ID 18125 //
     /* 2156264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2156275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2156278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2156281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2156284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156310 */     // MIs[0] round
     /* 2156310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156313 */     // MIs[0] policy
     /* 2156313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156323 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2156326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156349 */     // GIR_Coverage, 18125,
     /* 2156349 */     GIR_EraseRootFromParent_Done,
     /* 2156350 */   // Label 28420: @2156350
     /* 2156350 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2156441), // Rule ID 18128 //
     /* 2156355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156401 */     // MIs[0] round
     /* 2156401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156404 */     // MIs[0] policy
     /* 2156404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156414 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2156417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156440 */     // GIR_Coverage, 18128,
     /* 2156440 */     GIR_EraseRootFromParent_Done,
     /* 2156441 */   // Label 28421: @2156441
     /* 2156441 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2156532), // Rule ID 18129 //
     /* 2156446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156492 */     // MIs[0] round
     /* 2156492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156495 */     // MIs[0] policy
     /* 2156495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156505 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2156508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156531 */     // GIR_Coverage, 18129,
     /* 2156531 */     GIR_EraseRootFromParent_Done,
     /* 2156532 */   // Label 28422: @2156532
     /* 2156532 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2156623), // Rule ID 18132 //
     /* 2156537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156583 */     // MIs[0] round
     /* 2156583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156586 */     // MIs[0] policy
     /* 2156586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156622 */     // GIR_Coverage, 18132,
     /* 2156622 */     GIR_EraseRootFromParent_Done,
     /* 2156623 */   // Label 28423: @2156623
     /* 2156623 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2156714), // Rule ID 18133 //
     /* 2156628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156674 */     // MIs[0] round
     /* 2156674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156677 */     // MIs[0] policy
     /* 2156677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156687 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156713 */     // GIR_Coverage, 18133,
     /* 2156713 */     GIR_EraseRootFromParent_Done,
     /* 2156714 */   // Label 28424: @2156714
     /* 2156714 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2156805), // Rule ID 18136 //
     /* 2156719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156765 */     // MIs[0] round
     /* 2156765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156768 */     // MIs[0] policy
     /* 2156768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156778 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156804 */     // GIR_Coverage, 18136,
     /* 2156804 */     GIR_EraseRootFromParent_Done,
     /* 2156805 */   // Label 28425: @2156805
     /* 2156805 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2156896), // Rule ID 18137 //
     /* 2156810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156856 */     // MIs[0] round
     /* 2156856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156859 */     // MIs[0] policy
     /* 2156859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156869 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156895 */     // GIR_Coverage, 18137,
     /* 2156895 */     GIR_EraseRootFromParent_Done,
     /* 2156896 */   // Label 28426: @2156896
     /* 2156896 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2156987), // Rule ID 18140 //
     /* 2156901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156947 */     // MIs[0] round
     /* 2156947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156950 */     // MIs[0] policy
     /* 2156950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156960 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2156963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156986 */     // GIR_Coverage, 18140,
     /* 2156986 */     GIR_EraseRootFromParent_Done,
     /* 2156987 */   // Label 28427: @2156987
     /* 2156987 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2157078), // Rule ID 18141 //
     /* 2156992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2157003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2157006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2157009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2157012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157038 */     // MIs[0] round
     /* 2157038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157041 */     // MIs[0] policy
     /* 2157041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157051 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2157054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157077 */     // GIR_Coverage, 18141,
     /* 2157077 */     GIR_EraseRootFromParent_Done,
     /* 2157078 */   // Label 28428: @2157078
     /* 2157078 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2157169), // Rule ID 18144 //
     /* 2157083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2157094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2157097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2157100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2157103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157129 */     // MIs[0] round
     /* 2157129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157132 */     // MIs[0] policy
     /* 2157132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157142 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2157145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157168 */     // GIR_Coverage, 18144,
     /* 2157168 */     GIR_EraseRootFromParent_Done,
     /* 2157169 */   // Label 28429: @2157169
     /* 2157169 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2157260), // Rule ID 18145 //
     /* 2157174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2157185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2157188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2157191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2157194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157220 */     // MIs[0] round
     /* 2157220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157223 */     // MIs[0] policy
     /* 2157223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157233 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2157236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157259 */     // GIR_Coverage, 18145,
     /* 2157259 */     GIR_EraseRootFromParent_Done,
     /* 2157260 */   // Label 28430: @2157260
     /* 2157260 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2157351), // Rule ID 18148 //
     /* 2157265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2157276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2157279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2157282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2157285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2157288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157311 */     // MIs[0] round
     /* 2157311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157314 */     // MIs[0] policy
     /* 2157314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157324 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2157327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157350 */     // GIR_Coverage, 18148,
     /* 2157350 */     GIR_EraseRootFromParent_Done,
     /* 2157351 */   // Label 28431: @2157351
     /* 2157351 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2157442), // Rule ID 18149 //
     /* 2157356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2157367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2157370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2157373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2157376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2157379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157402 */     // MIs[0] round
     /* 2157402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157405 */     // MIs[0] policy
     /* 2157405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157415 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2157418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157441 */     // GIR_Coverage, 18149,
     /* 2157441 */     GIR_EraseRootFromParent_Done,
     /* 2157442 */   // Label 28432: @2157442
     /* 2157442 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2157533), // Rule ID 18152 //
     /* 2157447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157493 */     // MIs[0] round
     /* 2157493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157496 */     // MIs[0] policy
     /* 2157496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157506 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157532 */     // GIR_Coverage, 18152,
     /* 2157532 */     GIR_EraseRootFromParent_Done,
     /* 2157533 */   // Label 28433: @2157533
     /* 2157533 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2157624), // Rule ID 18153 //
     /* 2157538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157584 */     // MIs[0] round
     /* 2157584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157587 */     // MIs[0] policy
     /* 2157587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157597 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157623 */     // GIR_Coverage, 18153,
     /* 2157623 */     GIR_EraseRootFromParent_Done,
     /* 2157624 */   // Label 28434: @2157624
     /* 2157624 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2157715), // Rule ID 18156 //
     /* 2157629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157675 */     // MIs[0] round
     /* 2157675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157678 */     // MIs[0] policy
     /* 2157678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157688 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157714 */     // GIR_Coverage, 18156,
     /* 2157714 */     GIR_EraseRootFromParent_Done,
     /* 2157715 */   // Label 28435: @2157715
     /* 2157715 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2157806), // Rule ID 18157 //
     /* 2157720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157766 */     // MIs[0] round
     /* 2157766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157769 */     // MIs[0] policy
     /* 2157769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157779 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157805 */     // GIR_Coverage, 18157,
     /* 2157805 */     GIR_EraseRootFromParent_Done,
     /* 2157806 */   // Label 28436: @2157806
     /* 2157806 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2157897), // Rule ID 18160 //
     /* 2157811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157857 */     // MIs[0] round
     /* 2157857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157860 */     // MIs[0] policy
     /* 2157860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157870 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157896 */     // GIR_Coverage, 18160,
     /* 2157896 */     GIR_EraseRootFromParent_Done,
     /* 2157897 */   // Label 28437: @2157897
     /* 2157897 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2157988), // Rule ID 18161 //
     /* 2157902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157948 */     // MIs[0] round
     /* 2157948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157951 */     // MIs[0] policy
     /* 2157951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157961 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157987 */     // GIR_Coverage, 18161,
     /* 2157987 */     GIR_EraseRootFromParent_Done,
     /* 2157988 */   // Label 28438: @2157988
     /* 2157988 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2158079), // Rule ID 18164 //
     /* 2157993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2158004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2158007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158039 */     // MIs[0] round
     /* 2158039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158042 */     // MIs[0] policy
     /* 2158042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2158055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158078 */     // GIR_Coverage, 18164,
     /* 2158078 */     GIR_EraseRootFromParent_Done,
     /* 2158079 */   // Label 28439: @2158079
     /* 2158079 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2158170), // Rule ID 18165 //
     /* 2158084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2158095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2158098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158130 */     // MIs[0] round
     /* 2158130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158133 */     // MIs[0] policy
     /* 2158133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158143 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2158146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158169 */     // GIR_Coverage, 18165,
     /* 2158169 */     GIR_EraseRootFromParent_Done,
     /* 2158170 */   // Label 28440: @2158170
     /* 2158170 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2158261), // Rule ID 18168 //
     /* 2158175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2158186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2158189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2158192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2158195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158221 */     // MIs[0] round
     /* 2158221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158224 */     // MIs[0] policy
     /* 2158224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2158237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158260 */     // GIR_Coverage, 18168,
     /* 2158260 */     GIR_EraseRootFromParent_Done,
     /* 2158261 */   // Label 28441: @2158261
     /* 2158261 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2158352), // Rule ID 18169 //
     /* 2158266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2158277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2158280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2158283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2158286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158312 */     // MIs[0] round
     /* 2158312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158315 */     // MIs[0] policy
     /* 2158315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158325 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2158328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158351 */     // GIR_Coverage, 18169,
     /* 2158351 */     GIR_EraseRootFromParent_Done,
     /* 2158352 */   // Label 28442: @2158352
     /* 2158352 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2158443), // Rule ID 18172 //
     /* 2158357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158403 */     // MIs[0] round
     /* 2158403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158406 */     // MIs[0] policy
     /* 2158406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2158419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158442 */     // GIR_Coverage, 18172,
     /* 2158442 */     GIR_EraseRootFromParent_Done,
     /* 2158443 */   // Label 28443: @2158443
     /* 2158443 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2158534), // Rule ID 18173 //
     /* 2158448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158494 */     // MIs[0] round
     /* 2158494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158497 */     // MIs[0] policy
     /* 2158497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158507 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2158510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158533 */     // GIR_Coverage, 18173,
     /* 2158533 */     GIR_EraseRootFromParent_Done,
     /* 2158534 */   // Label 28444: @2158534
     /* 2158534 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2158625), // Rule ID 18176 //
     /* 2158539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158585 */     // MIs[0] round
     /* 2158585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158588 */     // MIs[0] policy
     /* 2158588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158598 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158624 */     // GIR_Coverage, 18176,
     /* 2158624 */     GIR_EraseRootFromParent_Done,
     /* 2158625 */   // Label 28445: @2158625
     /* 2158625 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2158716), // Rule ID 18177 //
     /* 2158630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158676 */     // MIs[0] round
     /* 2158676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158679 */     // MIs[0] policy
     /* 2158679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158689 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158715 */     // GIR_Coverage, 18177,
     /* 2158715 */     GIR_EraseRootFromParent_Done,
     /* 2158716 */   // Label 28446: @2158716
     /* 2158716 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2158807), // Rule ID 18180 //
     /* 2158721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158767 */     // MIs[0] round
     /* 2158767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158770 */     // MIs[0] policy
     /* 2158770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158780 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158806 */     // GIR_Coverage, 18180,
     /* 2158806 */     GIR_EraseRootFromParent_Done,
     /* 2158807 */   // Label 28447: @2158807
     /* 2158807 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2158898), // Rule ID 18181 //
     /* 2158812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158858 */     // MIs[0] round
     /* 2158858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158861 */     // MIs[0] policy
     /* 2158861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158871 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158897 */     // GIR_Coverage, 18181,
     /* 2158897 */     GIR_EraseRootFromParent_Done,
     /* 2158898 */   // Label 28448: @2158898
     /* 2158898 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2158989), // Rule ID 18184 //
     /* 2158903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158949 */     // MIs[0] round
     /* 2158949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158952 */     // MIs[0] policy
     /* 2158952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158962 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2158965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158988 */     // GIR_Coverage, 18184,
     /* 2158988 */     GIR_EraseRootFromParent_Done,
     /* 2158989 */   // Label 28449: @2158989
     /* 2158989 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2159080), // Rule ID 18185 //
     /* 2158994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2159005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2159008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2159014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159040 */     // MIs[0] round
     /* 2159040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159043 */     // MIs[0] policy
     /* 2159043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159053 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2159056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159079 */     // GIR_Coverage, 18185,
     /* 2159079 */     GIR_EraseRootFromParent_Done,
     /* 2159080 */   // Label 28450: @2159080
     /* 2159080 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2159171), // Rule ID 18188 //
     /* 2159085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2159096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2159099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2159105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159131 */     // MIs[0] round
     /* 2159131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159134 */     // MIs[0] policy
     /* 2159134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2159147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159170 */     // GIR_Coverage, 18188,
     /* 2159170 */     GIR_EraseRootFromParent_Done,
     /* 2159171 */   // Label 28451: @2159171
     /* 2159171 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2159262), // Rule ID 18189 //
     /* 2159176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2159187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2159190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2159196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159222 */     // MIs[0] round
     /* 2159222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159225 */     // MIs[0] policy
     /* 2159225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159235 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2159238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159261 */     // GIR_Coverage, 18189,
     /* 2159261 */     GIR_EraseRootFromParent_Done,
     /* 2159262 */   // Label 28452: @2159262
     /* 2159262 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2159353), // Rule ID 18192 //
     /* 2159267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2159278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2159281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2159287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159313 */     // MIs[0] round
     /* 2159313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159316 */     // MIs[0] policy
     /* 2159316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159326 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2159329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159352 */     // GIR_Coverage, 18192,
     /* 2159352 */     GIR_EraseRootFromParent_Done,
     /* 2159353 */   // Label 28453: @2159353
     /* 2159353 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2159444), // Rule ID 18193 //
     /* 2159358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2159369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2159372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2159378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159404 */     // MIs[0] round
     /* 2159404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159407 */     // MIs[0] policy
     /* 2159407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159417 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2159420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159443 */     // GIR_Coverage, 18193,
     /* 2159443 */     GIR_EraseRootFromParent_Done,
     /* 2159444 */   // Label 28454: @2159444
     /* 2159444 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2159535), // Rule ID 18196 //
     /* 2159449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159495 */     // MIs[0] round
     /* 2159495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159498 */     // MIs[0] policy
     /* 2159498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159534 */     // GIR_Coverage, 18196,
     /* 2159534 */     GIR_EraseRootFromParent_Done,
     /* 2159535 */   // Label 28455: @2159535
     /* 2159535 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2159626), // Rule ID 18197 //
     /* 2159540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159586 */     // MIs[0] round
     /* 2159586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159589 */     // MIs[0] policy
     /* 2159589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159599 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159625 */     // GIR_Coverage, 18197,
     /* 2159625 */     GIR_EraseRootFromParent_Done,
     /* 2159626 */   // Label 28456: @2159626
     /* 2159626 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2159717), // Rule ID 18200 //
     /* 2159631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159677 */     // MIs[0] round
     /* 2159677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159680 */     // MIs[0] policy
     /* 2159680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159690 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159716 */     // GIR_Coverage, 18200,
     /* 2159716 */     GIR_EraseRootFromParent_Done,
     /* 2159717 */   // Label 28457: @2159717
     /* 2159717 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2159808), // Rule ID 18201 //
     /* 2159722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159768 */     // MIs[0] round
     /* 2159768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159771 */     // MIs[0] policy
     /* 2159771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159781 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159807 */     // GIR_Coverage, 18201,
     /* 2159807 */     GIR_EraseRootFromParent_Done,
     /* 2159808 */   // Label 28458: @2159808
     /* 2159808 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2159899), // Rule ID 18204 //
     /* 2159813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159859 */     // MIs[0] round
     /* 2159859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159862 */     // MIs[0] policy
     /* 2159862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159872 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159898 */     // GIR_Coverage, 18204,
     /* 2159898 */     GIR_EraseRootFromParent_Done,
     /* 2159899 */   // Label 28459: @2159899
     /* 2159899 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2159990), // Rule ID 18205 //
     /* 2159904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159950 */     // MIs[0] round
     /* 2159950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159953 */     // MIs[0] policy
     /* 2159953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159963 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159989 */     // GIR_Coverage, 18205,
     /* 2159989 */     GIR_EraseRootFromParent_Done,
     /* 2159990 */   // Label 28460: @2159990
     /* 2159990 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2160081), // Rule ID 18208 //
     /* 2159995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160041 */     // MIs[0] round
     /* 2160041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160044 */     // MIs[0] policy
     /* 2160044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160054 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2160057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160080 */     // GIR_Coverage, 18208,
     /* 2160080 */     GIR_EraseRootFromParent_Done,
     /* 2160081 */   // Label 28461: @2160081
     /* 2160081 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2160172), // Rule ID 18209 //
     /* 2160086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160132 */     // MIs[0] round
     /* 2160132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160135 */     // MIs[0] policy
     /* 2160135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160145 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2160148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160171 */     // GIR_Coverage, 18209,
     /* 2160171 */     GIR_EraseRootFromParent_Done,
     /* 2160172 */   // Label 28462: @2160172
     /* 2160172 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2160263), // Rule ID 18212 //
     /* 2160177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2160197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160223 */     // MIs[0] round
     /* 2160223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160226 */     // MIs[0] policy
     /* 2160226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160236 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2160239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160262 */     // GIR_Coverage, 18212,
     /* 2160262 */     GIR_EraseRootFromParent_Done,
     /* 2160263 */   // Label 28463: @2160263
     /* 2160263 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2160354), // Rule ID 18213 //
     /* 2160268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2160288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160314 */     // MIs[0] round
     /* 2160314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160317 */     // MIs[0] policy
     /* 2160317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2160330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160353 */     // GIR_Coverage, 18213,
     /* 2160353 */     GIR_EraseRootFromParent_Done,
     /* 2160354 */   // Label 28464: @2160354
     /* 2160354 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2160445), // Rule ID 18216 //
     /* 2160359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160405 */     // MIs[0] round
     /* 2160405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160408 */     // MIs[0] policy
     /* 2160408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160418 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2160421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160444 */     // GIR_Coverage, 18216,
     /* 2160444 */     GIR_EraseRootFromParent_Done,
     /* 2160445 */   // Label 28465: @2160445
     /* 2160445 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2160536), // Rule ID 18217 //
     /* 2160450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160496 */     // MIs[0] round
     /* 2160496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160499 */     // MIs[0] policy
     /* 2160499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160509 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2160512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160535 */     // GIR_Coverage, 18217,
     /* 2160535 */     GIR_EraseRootFromParent_Done,
     /* 2160536 */   // Label 28466: @2160536
     /* 2160536 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2160627), // Rule ID 18220 //
     /* 2160541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160587 */     // MIs[0] round
     /* 2160587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160590 */     // MIs[0] policy
     /* 2160590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160600 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160626 */     // GIR_Coverage, 18220,
     /* 2160626 */     GIR_EraseRootFromParent_Done,
     /* 2160627 */   // Label 28467: @2160627
     /* 2160627 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2160718), // Rule ID 18221 //
     /* 2160632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160678 */     // MIs[0] round
     /* 2160678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160681 */     // MIs[0] policy
     /* 2160681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160691 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160717 */     // GIR_Coverage, 18221,
     /* 2160717 */     GIR_EraseRootFromParent_Done,
     /* 2160718 */   // Label 28468: @2160718
     /* 2160718 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2160809), // Rule ID 18224 //
     /* 2160723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160769 */     // MIs[0] round
     /* 2160769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160772 */     // MIs[0] policy
     /* 2160772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160782 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160808 */     // GIR_Coverage, 18224,
     /* 2160808 */     GIR_EraseRootFromParent_Done,
     /* 2160809 */   // Label 28469: @2160809
     /* 2160809 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2160900), // Rule ID 18225 //
     /* 2160814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160860 */     // MIs[0] round
     /* 2160860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160863 */     // MIs[0] policy
     /* 2160863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160873 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160899 */     // GIR_Coverage, 18225,
     /* 2160899 */     GIR_EraseRootFromParent_Done,
     /* 2160900 */   // Label 28470: @2160900
     /* 2160900 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2160991), // Rule ID 18228 //
     /* 2160905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160951 */     // MIs[0] round
     /* 2160951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160954 */     // MIs[0] policy
     /* 2160954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160964 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2160967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160990 */     // GIR_Coverage, 18228,
     /* 2160990 */     GIR_EraseRootFromParent_Done,
     /* 2160991 */   // Label 28471: @2160991
     /* 2160991 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2161082), // Rule ID 18229 //
     /* 2160996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2161007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2161016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161042 */     // MIs[0] round
     /* 2161042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161045 */     // MIs[0] policy
     /* 2161045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161055 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2161058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161081 */     // GIR_Coverage, 18229,
     /* 2161081 */     GIR_EraseRootFromParent_Done,
     /* 2161082 */   // Label 28472: @2161082
     /* 2161082 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2161173), // Rule ID 18232 //
     /* 2161087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2161107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161133 */     // MIs[0] round
     /* 2161133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161136 */     // MIs[0] policy
     /* 2161136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161146 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2161149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161172 */     // GIR_Coverage, 18232,
     /* 2161172 */     GIR_EraseRootFromParent_Done,
     /* 2161173 */   // Label 28473: @2161173
     /* 2161173 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2161264), // Rule ID 18233 //
     /* 2161178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2161198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161224 */     // MIs[0] round
     /* 2161224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161227 */     // MIs[0] policy
     /* 2161227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161237 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2161240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161263 */     // GIR_Coverage, 18233,
     /* 2161263 */     GIR_EraseRootFromParent_Done,
     /* 2161264 */   // Label 28474: @2161264
     /* 2161264 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2161355), // Rule ID 18236 //
     /* 2161269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2161280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2161283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2161286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2161289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161315 */     // MIs[0] round
     /* 2161315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161318 */     // MIs[0] policy
     /* 2161318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161328 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2161331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161354 */     // GIR_Coverage, 18236,
     /* 2161354 */     GIR_EraseRootFromParent_Done,
     /* 2161355 */   // Label 28475: @2161355
     /* 2161355 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2161446), // Rule ID 18237 //
     /* 2161360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2161371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2161374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2161377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2161380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161406 */     // MIs[0] round
     /* 2161406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161409 */     // MIs[0] policy
     /* 2161409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161419 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2161422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161445 */     // GIR_Coverage, 18237,
     /* 2161445 */     GIR_EraseRootFromParent_Done,
     /* 2161446 */   // Label 28476: @2161446
     /* 2161446 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2161537), // Rule ID 18240 //
     /* 2161451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161497 */     // MIs[0] round
     /* 2161497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161500 */     // MIs[0] policy
     /* 2161500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161510 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161536 */     // GIR_Coverage, 18240,
     /* 2161536 */     GIR_EraseRootFromParent_Done,
     /* 2161537 */   // Label 28477: @2161537
     /* 2161537 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2161628), // Rule ID 18241 //
     /* 2161542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161588 */     // MIs[0] round
     /* 2161588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161591 */     // MIs[0] policy
     /* 2161591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161601 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161627 */     // GIR_Coverage, 18241,
     /* 2161627 */     GIR_EraseRootFromParent_Done,
     /* 2161628 */   // Label 28478: @2161628
     /* 2161628 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2161719), // Rule ID 18244 //
     /* 2161633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161679 */     // MIs[0] round
     /* 2161679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161682 */     // MIs[0] policy
     /* 2161682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161692 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161718 */     // GIR_Coverage, 18244,
     /* 2161718 */     GIR_EraseRootFromParent_Done,
     /* 2161719 */   // Label 28479: @2161719
     /* 2161719 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2161810), // Rule ID 18245 //
     /* 2161724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161770 */     // MIs[0] round
     /* 2161770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161773 */     // MIs[0] policy
     /* 2161773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161783 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161809 */     // GIR_Coverage, 18245,
     /* 2161809 */     GIR_EraseRootFromParent_Done,
     /* 2161810 */   // Label 28480: @2161810
     /* 2161810 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2161901), // Rule ID 18248 //
     /* 2161815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161861 */     // MIs[0] round
     /* 2161861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161864 */     // MIs[0] policy
     /* 2161864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161874 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161900 */     // GIR_Coverage, 18248,
     /* 2161900 */     GIR_EraseRootFromParent_Done,
     /* 2161901 */   // Label 28481: @2161901
     /* 2161901 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2161992), // Rule ID 18249 //
     /* 2161906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161952 */     // MIs[0] round
     /* 2161952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161955 */     // MIs[0] policy
     /* 2161955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161965 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161991 */     // GIR_Coverage, 18249,
     /* 2161991 */     GIR_EraseRootFromParent_Done,
     /* 2161992 */   // Label 28482: @2161992
     /* 2161992 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2162083), // Rule ID 18252 //
     /* 2161997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162043 */     // MIs[0] round
     /* 2162043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162046 */     // MIs[0] policy
     /* 2162046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2162059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162082 */     // GIR_Coverage, 18252,
     /* 2162082 */     GIR_EraseRootFromParent_Done,
     /* 2162083 */   // Label 28483: @2162083
     /* 2162083 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2162174), // Rule ID 18253 //
     /* 2162088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162134 */     // MIs[0] round
     /* 2162134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162137 */     // MIs[0] policy
     /* 2162137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162147 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2162150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162173 */     // GIR_Coverage, 18253,
     /* 2162173 */     GIR_EraseRootFromParent_Done,
     /* 2162174 */   // Label 28484: @2162174
     /* 2162174 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2162265), // Rule ID 18256 //
     /* 2162179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2162190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2162193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2162196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2162199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162225 */     // MIs[0] round
     /* 2162225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162228 */     // MIs[0] policy
     /* 2162228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162238 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2162241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162264 */     // GIR_Coverage, 18256,
     /* 2162264 */     GIR_EraseRootFromParent_Done,
     /* 2162265 */   // Label 28485: @2162265
     /* 2162265 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2162356), // Rule ID 18257 //
     /* 2162270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2162281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2162284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2162287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2162290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162316 */     // MIs[0] round
     /* 2162316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162319 */     // MIs[0] policy
     /* 2162319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162329 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2162332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162355 */     // GIR_Coverage, 18257,
     /* 2162355 */     GIR_EraseRootFromParent_Done,
     /* 2162356 */   // Label 28486: @2162356
     /* 2162356 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2162447), // Rule ID 18260 //
     /* 2162361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162407 */     // MIs[0] round
     /* 2162407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162410 */     // MIs[0] policy
     /* 2162410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162420 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2162423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162446 */     // GIR_Coverage, 18260,
     /* 2162446 */     GIR_EraseRootFromParent_Done,
     /* 2162447 */   // Label 28487: @2162447
     /* 2162447 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2162538), // Rule ID 18261 //
     /* 2162452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162498 */     // MIs[0] round
     /* 2162498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162501 */     // MIs[0] policy
     /* 2162501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162511 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2162514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162537 */     // GIR_Coverage, 18261,
     /* 2162537 */     GIR_EraseRootFromParent_Done,
     /* 2162538 */   // Label 28488: @2162538
     /* 2162538 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2162629), // Rule ID 18264 //
     /* 2162543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162589 */     // MIs[0] round
     /* 2162589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162592 */     // MIs[0] policy
     /* 2162592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162602 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162628 */     // GIR_Coverage, 18264,
     /* 2162628 */     GIR_EraseRootFromParent_Done,
     /* 2162629 */   // Label 28489: @2162629
     /* 2162629 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2162720), // Rule ID 18265 //
     /* 2162634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162680 */     // MIs[0] round
     /* 2162680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162683 */     // MIs[0] policy
     /* 2162683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162693 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162719 */     // GIR_Coverage, 18265,
     /* 2162719 */     GIR_EraseRootFromParent_Done,
     /* 2162720 */   // Label 28490: @2162720
     /* 2162720 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2162811), // Rule ID 18268 //
     /* 2162725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162771 */     // MIs[0] round
     /* 2162771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162774 */     // MIs[0] policy
     /* 2162774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162784 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162810 */     // GIR_Coverage, 18268,
     /* 2162810 */     GIR_EraseRootFromParent_Done,
     /* 2162811 */   // Label 28491: @2162811
     /* 2162811 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2162902), // Rule ID 18269 //
     /* 2162816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162862 */     // MIs[0] round
     /* 2162862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162865 */     // MIs[0] policy
     /* 2162865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162875 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162901 */     // GIR_Coverage, 18269,
     /* 2162901 */     GIR_EraseRootFromParent_Done,
     /* 2162902 */   // Label 28492: @2162902
     /* 2162902 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2162993), // Rule ID 18272 //
     /* 2162907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162953 */     // MIs[0] round
     /* 2162953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162956 */     // MIs[0] policy
     /* 2162956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162966 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2162969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162992 */     // GIR_Coverage, 18272,
     /* 2162992 */     GIR_EraseRootFromParent_Done,
     /* 2162993 */   // Label 28493: @2162993
     /* 2162993 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2163084), // Rule ID 18273 //
     /* 2162998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2163009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2163012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2163015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2163018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163044 */     // MIs[0] round
     /* 2163044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163047 */     // MIs[0] policy
     /* 2163047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2163060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163083 */     // GIR_Coverage, 18273,
     /* 2163083 */     GIR_EraseRootFromParent_Done,
     /* 2163084 */   // Label 28494: @2163084
     /* 2163084 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2163175), // Rule ID 18276 //
     /* 2163089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2163100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2163103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2163106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2163109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163135 */     // MIs[0] round
     /* 2163135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163138 */     // MIs[0] policy
     /* 2163138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163148 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2163151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163174 */     // GIR_Coverage, 18276,
     /* 2163174 */     GIR_EraseRootFromParent_Done,
     /* 2163175 */   // Label 28495: @2163175
     /* 2163175 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2163266), // Rule ID 18277 //
     /* 2163180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2163191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2163194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2163197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2163200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163226 */     // MIs[0] round
     /* 2163226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163229 */     // MIs[0] policy
     /* 2163229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163239 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2163242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163265 */     // GIR_Coverage, 18277,
     /* 2163265 */     GIR_EraseRootFromParent_Done,
     /* 2163266 */   // Label 28496: @2163266
     /* 2163266 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2163357), // Rule ID 18280 //
     /* 2163271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2163282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2163285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2163288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2163291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163317 */     // MIs[0] round
     /* 2163317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163320 */     // MIs[0] policy
     /* 2163320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163330 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2163333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163356 */     // GIR_Coverage, 18280,
     /* 2163356 */     GIR_EraseRootFromParent_Done,
     /* 2163357 */   // Label 28497: @2163357
     /* 2163357 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2163448), // Rule ID 18281 //
     /* 2163362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2163373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2163376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2163379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2163382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163408 */     // MIs[0] round
     /* 2163408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163411 */     // MIs[0] policy
     /* 2163411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163421 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2163424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163447 */     // GIR_Coverage, 18281,
     /* 2163447 */     GIR_EraseRootFromParent_Done,
     /* 2163448 */   // Label 28498: @2163448
     /* 2163448 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2163539), // Rule ID 18284 //
     /* 2163453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163499 */     // MIs[0] round
     /* 2163499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163502 */     // MIs[0] policy
     /* 2163502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163512 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163538 */     // GIR_Coverage, 18284,
     /* 2163538 */     GIR_EraseRootFromParent_Done,
     /* 2163539 */   // Label 28499: @2163539
     /* 2163539 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2163630), // Rule ID 18285 //
     /* 2163544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163590 */     // MIs[0] round
     /* 2163590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163593 */     // MIs[0] policy
     /* 2163593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163629 */     // GIR_Coverage, 18285,
     /* 2163629 */     GIR_EraseRootFromParent_Done,
     /* 2163630 */   // Label 28500: @2163630
     /* 2163630 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2163721), // Rule ID 18288 //
     /* 2163635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163681 */     // MIs[0] round
     /* 2163681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163684 */     // MIs[0] policy
     /* 2163684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163694 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163720 */     // GIR_Coverage, 18288,
     /* 2163720 */     GIR_EraseRootFromParent_Done,
     /* 2163721 */   // Label 28501: @2163721
     /* 2163721 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2163812), // Rule ID 18289 //
     /* 2163726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163772 */     // MIs[0] round
     /* 2163772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163775 */     // MIs[0] policy
     /* 2163775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163785 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163811 */     // GIR_Coverage, 18289,
     /* 2163811 */     GIR_EraseRootFromParent_Done,
     /* 2163812 */   // Label 28502: @2163812
     /* 2163812 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2163903), // Rule ID 18292 //
     /* 2163817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163863 */     // MIs[0] round
     /* 2163863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163866 */     // MIs[0] policy
     /* 2163866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163876 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163902 */     // GIR_Coverage, 18292,
     /* 2163902 */     GIR_EraseRootFromParent_Done,
     /* 2163903 */   // Label 28503: @2163903
     /* 2163903 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2163994), // Rule ID 18293 //
     /* 2163908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163954 */     // MIs[0] round
     /* 2163954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163957 */     // MIs[0] policy
     /* 2163957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163967 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163993 */     // GIR_Coverage, 18293,
     /* 2163993 */     GIR_EraseRootFromParent_Done,
     /* 2163994 */   // Label 28504: @2163994
     /* 2163994 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2164085), // Rule ID 18296 //
     /* 2163999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164045 */     // MIs[0] round
     /* 2164045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164048 */     // MIs[0] policy
     /* 2164048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164058 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2164061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164084 */     // GIR_Coverage, 18296,
     /* 2164084 */     GIR_EraseRootFromParent_Done,
     /* 2164085 */   // Label 28505: @2164085
     /* 2164085 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2164176), // Rule ID 18297 //
     /* 2164090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164136 */     // MIs[0] round
     /* 2164136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164139 */     // MIs[0] policy
     /* 2164139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164149 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2164152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164175 */     // GIR_Coverage, 18297,
     /* 2164175 */     GIR_EraseRootFromParent_Done,
     /* 2164176 */   // Label 28506: @2164176
     /* 2164176 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2164267), // Rule ID 18300 //
     /* 2164181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2164192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2164195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2164201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164227 */     // MIs[0] round
     /* 2164227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164230 */     // MIs[0] policy
     /* 2164230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164240 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2164243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164266 */     // GIR_Coverage, 18300,
     /* 2164266 */     GIR_EraseRootFromParent_Done,
     /* 2164267 */   // Label 28507: @2164267
     /* 2164267 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2164358), // Rule ID 18301 //
     /* 2164272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2164283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2164286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2164292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164318 */     // MIs[0] round
     /* 2164318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164321 */     // MIs[0] policy
     /* 2164321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164331 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2164334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164357 */     // GIR_Coverage, 18301,
     /* 2164357 */     GIR_EraseRootFromParent_Done,
     /* 2164358 */   // Label 28508: @2164358
     /* 2164358 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2164449), // Rule ID 18304 //
     /* 2164363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164409 */     // MIs[0] round
     /* 2164409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164412 */     // MIs[0] policy
     /* 2164412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164422 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2164425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164448 */     // GIR_Coverage, 18304,
     /* 2164448 */     GIR_EraseRootFromParent_Done,
     /* 2164449 */   // Label 28509: @2164449
     /* 2164449 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2164540), // Rule ID 18305 //
     /* 2164454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164500 */     // MIs[0] round
     /* 2164500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164503 */     // MIs[0] policy
     /* 2164503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164513 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2164516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164539 */     // GIR_Coverage, 18305,
     /* 2164539 */     GIR_EraseRootFromParent_Done,
     /* 2164540 */   // Label 28510: @2164540
     /* 2164540 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2164631), // Rule ID 18308 //
     /* 2164545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164591 */     // MIs[0] round
     /* 2164591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164594 */     // MIs[0] policy
     /* 2164594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164604 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164630 */     // GIR_Coverage, 18308,
     /* 2164630 */     GIR_EraseRootFromParent_Done,
     /* 2164631 */   // Label 28511: @2164631
     /* 2164631 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2164722), // Rule ID 18309 //
     /* 2164636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164682 */     // MIs[0] round
     /* 2164682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164685 */     // MIs[0] policy
     /* 2164685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164695 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164721 */     // GIR_Coverage, 18309,
     /* 2164721 */     GIR_EraseRootFromParent_Done,
     /* 2164722 */   // Label 28512: @2164722
     /* 2164722 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2164813), // Rule ID 18312 //
     /* 2164727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164773 */     // MIs[0] round
     /* 2164773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164776 */     // MIs[0] policy
     /* 2164776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164786 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164812 */     // GIR_Coverage, 18312,
     /* 2164812 */     GIR_EraseRootFromParent_Done,
     /* 2164813 */   // Label 28513: @2164813
     /* 2164813 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2164904), // Rule ID 18313 //
     /* 2164818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164864 */     // MIs[0] round
     /* 2164864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164867 */     // MIs[0] policy
     /* 2164867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164903 */     // GIR_Coverage, 18313,
     /* 2164903 */     GIR_EraseRootFromParent_Done,
     /* 2164904 */   // Label 28514: @2164904
     /* 2164904 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2164995), // Rule ID 18316 //
     /* 2164909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164955 */     // MIs[0] round
     /* 2164955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164958 */     // MIs[0] policy
     /* 2164958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2164971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164994 */     // GIR_Coverage, 18316,
     /* 2164994 */     GIR_EraseRootFromParent_Done,
     /* 2164995 */   // Label 28515: @2164995
     /* 2164995 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2165086), // Rule ID 18317 //
     /* 2165000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2165011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2165014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2165020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165046 */     // MIs[0] round
     /* 2165046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165049 */     // MIs[0] policy
     /* 2165049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165059 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2165062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165085 */     // GIR_Coverage, 18317,
     /* 2165085 */     GIR_EraseRootFromParent_Done,
     /* 2165086 */   // Label 28516: @2165086
     /* 2165086 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2165177), // Rule ID 18320 //
     /* 2165091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2165102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2165105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2165111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165137 */     // MIs[0] round
     /* 2165137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165140 */     // MIs[0] policy
     /* 2165140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165150 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2165153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165176 */     // GIR_Coverage, 18320,
     /* 2165176 */     GIR_EraseRootFromParent_Done,
     /* 2165177 */   // Label 28517: @2165177
     /* 2165177 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2165268), // Rule ID 18321 //
     /* 2165182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2165193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2165196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2165202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165228 */     // MIs[0] round
     /* 2165228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165231 */     // MIs[0] policy
     /* 2165231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165241 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2165244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165267 */     // GIR_Coverage, 18321,
     /* 2165267 */     GIR_EraseRootFromParent_Done,
     /* 2165268 */   // Label 28518: @2165268
     /* 2165268 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2165359), // Rule ID 18324 //
     /* 2165273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2165284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2165287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2165293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165319 */     // MIs[0] round
     /* 2165319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165322 */     // MIs[0] policy
     /* 2165322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165332 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2165335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165358 */     // GIR_Coverage, 18324,
     /* 2165358 */     GIR_EraseRootFromParent_Done,
     /* 2165359 */   // Label 28519: @2165359
     /* 2165359 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2165450), // Rule ID 18325 //
     /* 2165364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2165375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2165378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2165384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165410 */     // MIs[0] round
     /* 2165410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165413 */     // MIs[0] policy
     /* 2165413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165423 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2165426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165449 */     // GIR_Coverage, 18325,
     /* 2165449 */     GIR_EraseRootFromParent_Done,
     /* 2165450 */   // Label 28520: @2165450
     /* 2165450 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2165541), // Rule ID 18328 //
     /* 2165455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165501 */     // MIs[0] round
     /* 2165501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165504 */     // MIs[0] policy
     /* 2165504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165514 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165540 */     // GIR_Coverage, 18328,
     /* 2165540 */     GIR_EraseRootFromParent_Done,
     /* 2165541 */   // Label 28521: @2165541
     /* 2165541 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2165632), // Rule ID 18329 //
     /* 2165546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165592 */     // MIs[0] round
     /* 2165592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165595 */     // MIs[0] policy
     /* 2165595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165605 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165631 */     // GIR_Coverage, 18329,
     /* 2165631 */     GIR_EraseRootFromParent_Done,
     /* 2165632 */   // Label 28522: @2165632
     /* 2165632 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2165723), // Rule ID 18332 //
     /* 2165637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165683 */     // MIs[0] round
     /* 2165683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165686 */     // MIs[0] policy
     /* 2165686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165722 */     // GIR_Coverage, 18332,
     /* 2165722 */     GIR_EraseRootFromParent_Done,
     /* 2165723 */   // Label 28523: @2165723
     /* 2165723 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2165814), // Rule ID 18333 //
     /* 2165728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165774 */     // MIs[0] round
     /* 2165774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165777 */     // MIs[0] policy
     /* 2165777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165787 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165813 */     // GIR_Coverage, 18333,
     /* 2165813 */     GIR_EraseRootFromParent_Done,
     /* 2165814 */   // Label 28524: @2165814
     /* 2165814 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2165905), // Rule ID 18336 //
     /* 2165819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165865 */     // MIs[0] round
     /* 2165865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165868 */     // MIs[0] policy
     /* 2165868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165878 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165904 */     // GIR_Coverage, 18336,
     /* 2165904 */     GIR_EraseRootFromParent_Done,
     /* 2165905 */   // Label 28525: @2165905
     /* 2165905 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2165996), // Rule ID 18337 //
     /* 2165910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165956 */     // MIs[0] round
     /* 2165956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165959 */     // MIs[0] policy
     /* 2165959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165969 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165995 */     // GIR_Coverage, 18337,
     /* 2165995 */     GIR_EraseRootFromParent_Done,
     /* 2165996 */   // Label 28526: @2165996
     /* 2165996 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2166087), // Rule ID 18340 //
     /* 2166001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166047 */     // MIs[0] round
     /* 2166047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166050 */     // MIs[0] policy
     /* 2166050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166060 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2166063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166086 */     // GIR_Coverage, 18340,
     /* 2166086 */     GIR_EraseRootFromParent_Done,
     /* 2166087 */   // Label 28527: @2166087
     /* 2166087 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2166178), // Rule ID 18341 //
     /* 2166092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166138 */     // MIs[0] round
     /* 2166138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166141 */     // MIs[0] policy
     /* 2166141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166151 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2166154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166177 */     // GIR_Coverage, 18341,
     /* 2166177 */     GIR_EraseRootFromParent_Done,
     /* 2166178 */   // Label 28528: @2166178
     /* 2166178 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2166269), // Rule ID 18344 //
     /* 2166183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2166194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2166203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166229 */     // MIs[0] round
     /* 2166229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166232 */     // MIs[0] policy
     /* 2166232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166242 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2166245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166268 */     // GIR_Coverage, 18344,
     /* 2166268 */     GIR_EraseRootFromParent_Done,
     /* 2166269 */   // Label 28529: @2166269
     /* 2166269 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2166360), // Rule ID 18345 //
     /* 2166274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2166285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2166294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166320 */     // MIs[0] round
     /* 2166320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166323 */     // MIs[0] policy
     /* 2166323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166333 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2166336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166359 */     // GIR_Coverage, 18345,
     /* 2166359 */     GIR_EraseRootFromParent_Done,
     /* 2166360 */   // Label 28530: @2166360
     /* 2166360 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2166451), // Rule ID 18348 //
     /* 2166365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166411 */     // MIs[0] round
     /* 2166411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166414 */     // MIs[0] policy
     /* 2166414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166424 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2166427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166450 */     // GIR_Coverage, 18348,
     /* 2166450 */     GIR_EraseRootFromParent_Done,
     /* 2166451 */   // Label 28531: @2166451
     /* 2166451 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2166542), // Rule ID 18349 //
     /* 2166456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166502 */     // MIs[0] round
     /* 2166502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166505 */     // MIs[0] policy
     /* 2166505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166515 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2166518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166541 */     // GIR_Coverage, 18349,
     /* 2166541 */     GIR_EraseRootFromParent_Done,
     /* 2166542 */   // Label 28532: @2166542
     /* 2166542 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2166633), // Rule ID 18352 //
     /* 2166547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166593 */     // MIs[0] round
     /* 2166593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166596 */     // MIs[0] policy
     /* 2166596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166606 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166632 */     // GIR_Coverage, 18352,
     /* 2166632 */     GIR_EraseRootFromParent_Done,
     /* 2166633 */   // Label 28533: @2166633
     /* 2166633 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2166724), // Rule ID 18353 //
     /* 2166638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166684 */     // MIs[0] round
     /* 2166684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166687 */     // MIs[0] policy
     /* 2166687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166697 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166723 */     // GIR_Coverage, 18353,
     /* 2166723 */     GIR_EraseRootFromParent_Done,
     /* 2166724 */   // Label 28534: @2166724
     /* 2166724 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2166815), // Rule ID 18356 //
     /* 2166729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166775 */     // MIs[0] round
     /* 2166775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166778 */     // MIs[0] policy
     /* 2166778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166788 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166814 */     // GIR_Coverage, 18356,
     /* 2166814 */     GIR_EraseRootFromParent_Done,
     /* 2166815 */   // Label 28535: @2166815
     /* 2166815 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2166906), // Rule ID 18357 //
     /* 2166820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166866 */     // MIs[0] round
     /* 2166866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166869 */     // MIs[0] policy
     /* 2166869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166879 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166905 */     // GIR_Coverage, 18357,
     /* 2166905 */     GIR_EraseRootFromParent_Done,
     /* 2166906 */   // Label 28536: @2166906
     /* 2166906 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2166997), // Rule ID 18360 //
     /* 2166911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166957 */     // MIs[0] round
     /* 2166957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166960 */     // MIs[0] policy
     /* 2166960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166970 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2166973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166996 */     // GIR_Coverage, 18360,
     /* 2166996 */     GIR_EraseRootFromParent_Done,
     /* 2166997 */   // Label 28537: @2166997
     /* 2166997 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2167088), // Rule ID 18361 //
     /* 2167002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2167022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167048 */     // MIs[0] round
     /* 2167048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167051 */     // MIs[0] policy
     /* 2167051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167061 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2167064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167087 */     // GIR_Coverage, 18361,
     /* 2167087 */     GIR_EraseRootFromParent_Done,
     /* 2167088 */   // Label 28538: @2167088
     /* 2167088 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2167179), // Rule ID 18364 //
     /* 2167093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2167113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167139 */     // MIs[0] round
     /* 2167139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167142 */     // MIs[0] policy
     /* 2167142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167152 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2167155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167178 */     // GIR_Coverage, 18364,
     /* 2167178 */     GIR_EraseRootFromParent_Done,
     /* 2167179 */   // Label 28539: @2167179
     /* 2167179 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2167270), // Rule ID 18365 //
     /* 2167184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2167204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167230 */     // MIs[0] round
     /* 2167230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167233 */     // MIs[0] policy
     /* 2167233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167243 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2167246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167269 */     // GIR_Coverage, 18365,
     /* 2167269 */     GIR_EraseRootFromParent_Done,
     /* 2167270 */   // Label 28540: @2167270
     /* 2167270 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2167361), // Rule ID 18368 //
     /* 2167275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2167286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2167289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2167292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2167295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167321 */     // MIs[0] round
     /* 2167321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167324 */     // MIs[0] policy
     /* 2167324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167334 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2167337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167360 */     // GIR_Coverage, 18368,
     /* 2167360 */     GIR_EraseRootFromParent_Done,
     /* 2167361 */   // Label 28541: @2167361
     /* 2167361 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2167452), // Rule ID 18369 //
     /* 2167366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2167377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2167380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2167383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2167386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167412 */     // MIs[0] round
     /* 2167412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167415 */     // MIs[0] policy
     /* 2167415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167425 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2167428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167451 */     // GIR_Coverage, 18369,
     /* 2167451 */     GIR_EraseRootFromParent_Done,
     /* 2167452 */   // Label 28542: @2167452
     /* 2167452 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2167543), // Rule ID 18372 //
     /* 2167457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167503 */     // MIs[0] round
     /* 2167503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167506 */     // MIs[0] policy
     /* 2167506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167516 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167542 */     // GIR_Coverage, 18372,
     /* 2167542 */     GIR_EraseRootFromParent_Done,
     /* 2167543 */   // Label 28543: @2167543
     /* 2167543 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2167634), // Rule ID 18373 //
     /* 2167548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167594 */     // MIs[0] round
     /* 2167594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167597 */     // MIs[0] policy
     /* 2167597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167607 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167633 */     // GIR_Coverage, 18373,
     /* 2167633 */     GIR_EraseRootFromParent_Done,
     /* 2167634 */   // Label 28544: @2167634
     /* 2167634 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2167725), // Rule ID 18376 //
     /* 2167639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167685 */     // MIs[0] round
     /* 2167685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167688 */     // MIs[0] policy
     /* 2167688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167698 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167724 */     // GIR_Coverage, 18376,
     /* 2167724 */     GIR_EraseRootFromParent_Done,
     /* 2167725 */   // Label 28545: @2167725
     /* 2167725 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2167816), // Rule ID 18377 //
     /* 2167730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167776 */     // MIs[0] round
     /* 2167776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167779 */     // MIs[0] policy
     /* 2167779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167789 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167815 */     // GIR_Coverage, 18377,
     /* 2167815 */     GIR_EraseRootFromParent_Done,
     /* 2167816 */   // Label 28546: @2167816
     /* 2167816 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2167907), // Rule ID 18380 //
     /* 2167821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167867 */     // MIs[0] round
     /* 2167867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167870 */     // MIs[0] policy
     /* 2167870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167906 */     // GIR_Coverage, 18380,
     /* 2167906 */     GIR_EraseRootFromParent_Done,
     /* 2167907 */   // Label 28547: @2167907
     /* 2167907 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2167998), // Rule ID 18381 //
     /* 2167912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167958 */     // MIs[0] round
     /* 2167958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167961 */     // MIs[0] policy
     /* 2167961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167971 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167997 */     // GIR_Coverage, 18381,
     /* 2167997 */     GIR_EraseRootFromParent_Done,
     /* 2167998 */   // Label 28548: @2167998
     /* 2167998 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2168089), // Rule ID 18384 //
     /* 2168003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168049 */     // MIs[0] round
     /* 2168049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168052 */     // MIs[0] policy
     /* 2168052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168062 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2168065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168088 */     // GIR_Coverage, 18384,
     /* 2168088 */     GIR_EraseRootFromParent_Done,
     /* 2168089 */   // Label 28549: @2168089
     /* 2168089 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2168180), // Rule ID 18385 //
     /* 2168094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168140 */     // MIs[0] round
     /* 2168140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168143 */     // MIs[0] policy
     /* 2168143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168153 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2168156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168179 */     // GIR_Coverage, 18385,
     /* 2168179 */     GIR_EraseRootFromParent_Done,
     /* 2168180 */   // Label 28550: @2168180
     /* 2168180 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2168271), // Rule ID 18388 //
     /* 2168185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2168196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2168199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2168202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2168205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2168208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168231 */     // MIs[0] round
     /* 2168231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168234 */     // MIs[0] policy
     /* 2168234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168244 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2168247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168270 */     // GIR_Coverage, 18388,
     /* 2168270 */     GIR_EraseRootFromParent_Done,
     /* 2168271 */   // Label 28551: @2168271
     /* 2168271 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2168362), // Rule ID 18389 //
     /* 2168276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2168287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2168290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2168293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2168296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2168299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168322 */     // MIs[0] round
     /* 2168322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168325 */     // MIs[0] policy
     /* 2168325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168335 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2168338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168361 */     // GIR_Coverage, 18389,
     /* 2168361 */     GIR_EraseRootFromParent_Done,
     /* 2168362 */   // Label 28552: @2168362
     /* 2168362 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2168453), // Rule ID 18392 //
     /* 2168367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168413 */     // MIs[0] round
     /* 2168413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168416 */     // MIs[0] policy
     /* 2168416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168426 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2168429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168452 */     // GIR_Coverage, 18392,
     /* 2168452 */     GIR_EraseRootFromParent_Done,
     /* 2168453 */   // Label 28553: @2168453
     /* 2168453 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2168544), // Rule ID 18393 //
     /* 2168458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168504 */     // MIs[0] round
     /* 2168504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168507 */     // MIs[0] policy
     /* 2168507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168517 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2168520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168543 */     // GIR_Coverage, 18393,
     /* 2168543 */     GIR_EraseRootFromParent_Done,
     /* 2168544 */   // Label 28554: @2168544
     /* 2168544 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2168635), // Rule ID 18396 //
     /* 2168549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168595 */     // MIs[0] round
     /* 2168595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168598 */     // MIs[0] policy
     /* 2168598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168608 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168634 */     // GIR_Coverage, 18396,
     /* 2168634 */     GIR_EraseRootFromParent_Done,
     /* 2168635 */   // Label 28555: @2168635
     /* 2168635 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2168726), // Rule ID 18397 //
     /* 2168640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168686 */     // MIs[0] round
     /* 2168686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168689 */     // MIs[0] policy
     /* 2168689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168699 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168725 */     // GIR_Coverage, 18397,
     /* 2168725 */     GIR_EraseRootFromParent_Done,
     /* 2168726 */   // Label 28556: @2168726
     /* 2168726 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2168817), // Rule ID 18400 //
     /* 2168731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168777 */     // MIs[0] round
     /* 2168777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168780 */     // MIs[0] policy
     /* 2168780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168790 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168816 */     // GIR_Coverage, 18400,
     /* 2168816 */     GIR_EraseRootFromParent_Done,
     /* 2168817 */   // Label 28557: @2168817
     /* 2168817 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2168908), // Rule ID 18401 //
     /* 2168822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168868 */     // MIs[0] round
     /* 2168868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168871 */     // MIs[0] policy
     /* 2168871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168881 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168907 */     // GIR_Coverage, 18401,
     /* 2168907 */     GIR_EraseRootFromParent_Done,
     /* 2168908 */   // Label 28558: @2168908
     /* 2168908 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2168999), // Rule ID 18404 //
     /* 2168913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168959 */     // MIs[0] round
     /* 2168959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168962 */     // MIs[0] policy
     /* 2168962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168972 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2168975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168998 */     // GIR_Coverage, 18404,
     /* 2168998 */     GIR_EraseRootFromParent_Done,
     /* 2168999 */   // Label 28559: @2168999
     /* 2168999 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2169090), // Rule ID 18405 //
     /* 2169004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2169015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2169018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2169021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2169024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169050 */     // MIs[0] round
     /* 2169050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169053 */     // MIs[0] policy
     /* 2169053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169063 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2169066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169089 */     // GIR_Coverage, 18405,
     /* 2169089 */     GIR_EraseRootFromParent_Done,
     /* 2169090 */   // Label 28560: @2169090
     /* 2169090 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2169181), // Rule ID 18408 //
     /* 2169095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2169106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2169112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2169115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169141 */     // MIs[0] round
     /* 2169141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169144 */     // MIs[0] policy
     /* 2169144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169154 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2169157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169180 */     // GIR_Coverage, 18408,
     /* 2169180 */     GIR_EraseRootFromParent_Done,
     /* 2169181 */   // Label 28561: @2169181
     /* 2169181 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2169272), // Rule ID 18409 //
     /* 2169186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2169197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2169203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2169206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169232 */     // MIs[0] round
     /* 2169232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169235 */     // MIs[0] policy
     /* 2169235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169245 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2169248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169271 */     // GIR_Coverage, 18409,
     /* 2169271 */     GIR_EraseRootFromParent_Done,
     /* 2169272 */   // Label 28562: @2169272
     /* 2169272 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2169363), // Rule ID 18412 //
     /* 2169277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2169288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2169291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2169294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2169297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169323 */     // MIs[0] round
     /* 2169323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169326 */     // MIs[0] policy
     /* 2169326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169336 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2169339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169362 */     // GIR_Coverage, 18412,
     /* 2169362 */     GIR_EraseRootFromParent_Done,
     /* 2169363 */   // Label 28563: @2169363
     /* 2169363 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2169454), // Rule ID 18413 //
     /* 2169368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2169379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2169382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2169385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2169388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169414 */     // MIs[0] round
     /* 2169414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169417 */     // MIs[0] policy
     /* 2169417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2169430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169453 */     // GIR_Coverage, 18413,
     /* 2169453 */     GIR_EraseRootFromParent_Done,
     /* 2169454 */   // Label 28564: @2169454
     /* 2169454 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2169545), // Rule ID 18416 //
     /* 2169459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169505 */     // MIs[0] round
     /* 2169505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169508 */     // MIs[0] policy
     /* 2169508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169518 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169544 */     // GIR_Coverage, 18416,
     /* 2169544 */     GIR_EraseRootFromParent_Done,
     /* 2169545 */   // Label 28565: @2169545
     /* 2169545 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2169636), // Rule ID 18417 //
     /* 2169550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169596 */     // MIs[0] round
     /* 2169596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169599 */     // MIs[0] policy
     /* 2169599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169609 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169635 */     // GIR_Coverage, 18417,
     /* 2169635 */     GIR_EraseRootFromParent_Done,
     /* 2169636 */   // Label 28566: @2169636
     /* 2169636 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2169727), // Rule ID 18420 //
     /* 2169641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169687 */     // MIs[0] round
     /* 2169687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169690 */     // MIs[0] policy
     /* 2169690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169700 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169726 */     // GIR_Coverage, 18420,
     /* 2169726 */     GIR_EraseRootFromParent_Done,
     /* 2169727 */   // Label 28567: @2169727
     /* 2169727 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2169818), // Rule ID 18421 //
     /* 2169732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169778 */     // MIs[0] round
     /* 2169778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169781 */     // MIs[0] policy
     /* 2169781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169791 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169817 */     // GIR_Coverage, 18421,
     /* 2169817 */     GIR_EraseRootFromParent_Done,
     /* 2169818 */   // Label 28568: @2169818
     /* 2169818 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2169909), // Rule ID 18424 //
     /* 2169823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169869 */     // MIs[0] round
     /* 2169869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169872 */     // MIs[0] policy
     /* 2169872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169882 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169908 */     // GIR_Coverage, 18424,
     /* 2169908 */     GIR_EraseRootFromParent_Done,
     /* 2169909 */   // Label 28569: @2169909
     /* 2169909 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2170000), // Rule ID 18425 //
     /* 2169914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169960 */     // MIs[0] round
     /* 2169960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169963 */     // MIs[0] policy
     /* 2169963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169973 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169999 */     // GIR_Coverage, 18425,
     /* 2169999 */     GIR_EraseRootFromParent_Done,
     /* 2170000 */   // Label 28570: @2170000
     /* 2170000 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2170091), // Rule ID 18428 //
     /* 2170005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170051 */     // MIs[0] round
     /* 2170051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170054 */     // MIs[0] policy
     /* 2170054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170064 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2170067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170090 */     // GIR_Coverage, 18428,
     /* 2170090 */     GIR_EraseRootFromParent_Done,
     /* 2170091 */   // Label 28571: @2170091
     /* 2170091 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2170182), // Rule ID 18429 //
     /* 2170096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170142 */     // MIs[0] round
     /* 2170142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170145 */     // MIs[0] policy
     /* 2170145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170155 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2170158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170181 */     // GIR_Coverage, 18429,
     /* 2170181 */     GIR_EraseRootFromParent_Done,
     /* 2170182 */   // Label 28572: @2170182
     /* 2170182 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2170273), // Rule ID 18432 //
     /* 2170187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2170198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2170201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2170207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170233 */     // MIs[0] round
     /* 2170233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170236 */     // MIs[0] policy
     /* 2170236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170246 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2170249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170272 */     // GIR_Coverage, 18432,
     /* 2170272 */     GIR_EraseRootFromParent_Done,
     /* 2170273 */   // Label 28573: @2170273
     /* 2170273 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2170364), // Rule ID 18433 //
     /* 2170278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2170289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2170292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2170298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170324 */     // MIs[0] round
     /* 2170324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170327 */     // MIs[0] policy
     /* 2170327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170337 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2170340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170363 */     // GIR_Coverage, 18433,
     /* 2170363 */     GIR_EraseRootFromParent_Done,
     /* 2170364 */   // Label 28574: @2170364
     /* 2170364 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2170455), // Rule ID 18436 //
     /* 2170369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170415 */     // MIs[0] round
     /* 2170415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170418 */     // MIs[0] policy
     /* 2170418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2170431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170454 */     // GIR_Coverage, 18436,
     /* 2170454 */     GIR_EraseRootFromParent_Done,
     /* 2170455 */   // Label 28575: @2170455
     /* 2170455 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2170546), // Rule ID 18437 //
     /* 2170460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170506 */     // MIs[0] round
     /* 2170506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170509 */     // MIs[0] policy
     /* 2170509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170519 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2170522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170545 */     // GIR_Coverage, 18437,
     /* 2170545 */     GIR_EraseRootFromParent_Done,
     /* 2170546 */   // Label 28576: @2170546
     /* 2170546 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2170637), // Rule ID 18440 //
     /* 2170551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170597 */     // MIs[0] round
     /* 2170597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170600 */     // MIs[0] policy
     /* 2170600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170610 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170636 */     // GIR_Coverage, 18440,
     /* 2170636 */     GIR_EraseRootFromParent_Done,
     /* 2170637 */   // Label 28577: @2170637
     /* 2170637 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2170728), // Rule ID 18441 //
     /* 2170642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170688 */     // MIs[0] round
     /* 2170688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170691 */     // MIs[0] policy
     /* 2170691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170701 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170727 */     // GIR_Coverage, 18441,
     /* 2170727 */     GIR_EraseRootFromParent_Done,
     /* 2170728 */   // Label 28578: @2170728
     /* 2170728 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2170819), // Rule ID 18444 //
     /* 2170733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170779 */     // MIs[0] round
     /* 2170779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170782 */     // MIs[0] policy
     /* 2170782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170792 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170818 */     // GIR_Coverage, 18444,
     /* 2170818 */     GIR_EraseRootFromParent_Done,
     /* 2170819 */   // Label 28579: @2170819
     /* 2170819 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2170910), // Rule ID 18445 //
     /* 2170824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170870 */     // MIs[0] round
     /* 2170870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170873 */     // MIs[0] policy
     /* 2170873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170883 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170909 */     // GIR_Coverage, 18445,
     /* 2170909 */     GIR_EraseRootFromParent_Done,
     /* 2170910 */   // Label 28580: @2170910
     /* 2170910 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2171001), // Rule ID 18448 //
     /* 2170915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170961 */     // MIs[0] round
     /* 2170961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170964 */     // MIs[0] policy
     /* 2170964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170974 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2170977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171000 */     // GIR_Coverage, 18448,
     /* 2171000 */     GIR_EraseRootFromParent_Done,
     /* 2171001 */   // Label 28581: @2171001
     /* 2171001 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2171092), // Rule ID 18449 //
     /* 2171006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2171017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2171020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2171026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2171029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171052 */     // MIs[0] round
     /* 2171052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171055 */     // MIs[0] policy
     /* 2171055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171065 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2171068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171091 */     // GIR_Coverage, 18449,
     /* 2171091 */     GIR_EraseRootFromParent_Done,
     /* 2171092 */   // Label 28582: @2171092
     /* 2171092 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2171183), // Rule ID 18452 //
     /* 2171097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2171117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171143 */     // MIs[0] round
     /* 2171143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171146 */     // MIs[0] policy
     /* 2171146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171156 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2171159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171182 */     // GIR_Coverage, 18452,
     /* 2171182 */     GIR_EraseRootFromParent_Done,
     /* 2171183 */   // Label 28583: @2171183
     /* 2171183 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2171274), // Rule ID 18453 //
     /* 2171188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2171208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171234 */     // MIs[0] round
     /* 2171234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171237 */     // MIs[0] policy
     /* 2171237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171247 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2171250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171273 */     // GIR_Coverage, 18453,
     /* 2171273 */     GIR_EraseRootFromParent_Done,
     /* 2171274 */   // Label 28584: @2171274
     /* 2171274 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2171365), // Rule ID 18456 //
     /* 2171279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2171299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171325 */     // MIs[0] round
     /* 2171325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171328 */     // MIs[0] policy
     /* 2171328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171338 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2171341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171364 */     // GIR_Coverage, 18456,
     /* 2171364 */     GIR_EraseRootFromParent_Done,
     /* 2171365 */   // Label 28585: @2171365
     /* 2171365 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2171456), // Rule ID 18457 //
     /* 2171370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2171390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171416 */     // MIs[0] round
     /* 2171416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171419 */     // MIs[0] policy
     /* 2171419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171429 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2171432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171455 */     // GIR_Coverage, 18457,
     /* 2171455 */     GIR_EraseRootFromParent_Done,
     /* 2171456 */   // Label 28586: @2171456
     /* 2171456 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2171547), // Rule ID 18460 //
     /* 2171461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171507 */     // MIs[0] round
     /* 2171507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171510 */     // MIs[0] policy
     /* 2171510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171520 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171546 */     // GIR_Coverage, 18460,
     /* 2171546 */     GIR_EraseRootFromParent_Done,
     /* 2171547 */   // Label 28587: @2171547
     /* 2171547 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2171638), // Rule ID 18461 //
     /* 2171552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171598 */     // MIs[0] round
     /* 2171598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171601 */     // MIs[0] policy
     /* 2171601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171611 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171637 */     // GIR_Coverage, 18461,
     /* 2171637 */     GIR_EraseRootFromParent_Done,
     /* 2171638 */   // Label 28588: @2171638
     /* 2171638 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2171729), // Rule ID 18464 //
     /* 2171643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171689 */     // MIs[0] round
     /* 2171689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171692 */     // MIs[0] policy
     /* 2171692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171728 */     // GIR_Coverage, 18464,
     /* 2171728 */     GIR_EraseRootFromParent_Done,
     /* 2171729 */   // Label 28589: @2171729
     /* 2171729 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2171820), // Rule ID 18465 //
     /* 2171734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171780 */     // MIs[0] round
     /* 2171780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171783 */     // MIs[0] policy
     /* 2171783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171793 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171819 */     // GIR_Coverage, 18465,
     /* 2171819 */     GIR_EraseRootFromParent_Done,
     /* 2171820 */   // Label 28590: @2171820
     /* 2171820 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2171911), // Rule ID 18468 //
     /* 2171825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171871 */     // MIs[0] round
     /* 2171871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171874 */     // MIs[0] policy
     /* 2171874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171884 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171910 */     // GIR_Coverage, 18468,
     /* 2171910 */     GIR_EraseRootFromParent_Done,
     /* 2171911 */   // Label 28591: @2171911
     /* 2171911 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2172002), // Rule ID 18469 //
     /* 2171916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171962 */     // MIs[0] round
     /* 2171962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171965 */     // MIs[0] policy
     /* 2171965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171975 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172001 */     // GIR_Coverage, 18469,
     /* 2172001 */     GIR_EraseRootFromParent_Done,
     /* 2172002 */   // Label 28592: @2172002
     /* 2172002 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2172093), // Rule ID 18472 //
     /* 2172007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172053 */     // MIs[0] round
     /* 2172053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172056 */     // MIs[0] policy
     /* 2172056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172066 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2172069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172092 */     // GIR_Coverage, 18472,
     /* 2172092 */     GIR_EraseRootFromParent_Done,
     /* 2172093 */   // Label 28593: @2172093
     /* 2172093 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2172184), // Rule ID 18473 //
     /* 2172098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172144 */     // MIs[0] round
     /* 2172144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172147 */     // MIs[0] policy
     /* 2172147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172157 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2172160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172183 */     // GIR_Coverage, 18473,
     /* 2172183 */     GIR_EraseRootFromParent_Done,
     /* 2172184 */   // Label 28594: @2172184
     /* 2172184 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2172275), // Rule ID 18476 //
     /* 2172189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2172206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172235 */     // MIs[0] round
     /* 2172235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172238 */     // MIs[0] policy
     /* 2172238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172248 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2172251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172274 */     // GIR_Coverage, 18476,
     /* 2172274 */     GIR_EraseRootFromParent_Done,
     /* 2172275 */   // Label 28595: @2172275
     /* 2172275 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2172366), // Rule ID 18477 //
     /* 2172280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2172297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172326 */     // MIs[0] round
     /* 2172326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172329 */     // MIs[0] policy
     /* 2172329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172339 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2172342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172365 */     // GIR_Coverage, 18477,
     /* 2172365 */     GIR_EraseRootFromParent_Done,
     /* 2172366 */   // Label 28596: @2172366
     /* 2172366 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2172457), // Rule ID 18480 //
     /* 2172371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172417 */     // MIs[0] round
     /* 2172417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172420 */     // MIs[0] policy
     /* 2172420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172430 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2172433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172456 */     // GIR_Coverage, 18480,
     /* 2172456 */     GIR_EraseRootFromParent_Done,
     /* 2172457 */   // Label 28597: @2172457
     /* 2172457 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2172548), // Rule ID 18481 //
     /* 2172462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172508 */     // MIs[0] round
     /* 2172508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172511 */     // MIs[0] policy
     /* 2172511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172521 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2172524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172547 */     // GIR_Coverage, 18481,
     /* 2172547 */     GIR_EraseRootFromParent_Done,
     /* 2172548 */   // Label 28598: @2172548
     /* 2172548 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2172639), // Rule ID 18484 //
     /* 2172553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172599 */     // MIs[0] round
     /* 2172599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172602 */     // MIs[0] policy
     /* 2172602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172612 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172638 */     // GIR_Coverage, 18484,
     /* 2172638 */     GIR_EraseRootFromParent_Done,
     /* 2172639 */   // Label 28599: @2172639
     /* 2172639 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2172730), // Rule ID 18485 //
     /* 2172644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172690 */     // MIs[0] round
     /* 2172690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172693 */     // MIs[0] policy
     /* 2172693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172703 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172729 */     // GIR_Coverage, 18485,
     /* 2172729 */     GIR_EraseRootFromParent_Done,
     /* 2172730 */   // Label 28600: @2172730
     /* 2172730 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2172821), // Rule ID 18488 //
     /* 2172735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172781 */     // MIs[0] round
     /* 2172781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172784 */     // MIs[0] policy
     /* 2172784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172794 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172820 */     // GIR_Coverage, 18488,
     /* 2172820 */     GIR_EraseRootFromParent_Done,
     /* 2172821 */   // Label 28601: @2172821
     /* 2172821 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2172912), // Rule ID 18489 //
     /* 2172826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172872 */     // MIs[0] round
     /* 2172872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172875 */     // MIs[0] policy
     /* 2172875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172885 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172911 */     // GIR_Coverage, 18489,
     /* 2172911 */     GIR_EraseRootFromParent_Done,
     /* 2172912 */   // Label 28602: @2172912
     /* 2172912 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2173003), // Rule ID 18492 //
     /* 2172917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172963 */     // MIs[0] round
     /* 2172963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172966 */     // MIs[0] policy
     /* 2172966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2172979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173002 */     // GIR_Coverage, 18492,
     /* 2173002 */     GIR_EraseRootFromParent_Done,
     /* 2173003 */   // Label 28603: @2173003
     /* 2173003 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2173094), // Rule ID 18493 //
     /* 2173008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2173025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2173028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173054 */     // MIs[0] round
     /* 2173054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173057 */     // MIs[0] policy
     /* 2173057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2173070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173093 */     // GIR_Coverage, 18493,
     /* 2173093 */     GIR_EraseRootFromParent_Done,
     /* 2173094 */   // Label 28604: @2173094
     /* 2173094 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2173185), // Rule ID 18496 //
     /* 2173099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2173119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173145 */     // MIs[0] round
     /* 2173145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173148 */     // MIs[0] policy
     /* 2173148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173158 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2173161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173184 */     // GIR_Coverage, 18496,
     /* 2173184 */     GIR_EraseRootFromParent_Done,
     /* 2173185 */   // Label 28605: @2173185
     /* 2173185 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2173276), // Rule ID 18497 //
     /* 2173190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2173210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173236 */     // MIs[0] round
     /* 2173236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173239 */     // MIs[0] policy
     /* 2173239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173249 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2173252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173275 */     // GIR_Coverage, 18497,
     /* 2173275 */     GIR_EraseRootFromParent_Done,
     /* 2173276 */   // Label 28606: @2173276
     /* 2173276 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2173367), // Rule ID 18500 //
     /* 2173281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2173298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173327 */     // MIs[0] round
     /* 2173327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173330 */     // MIs[0] policy
     /* 2173330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173340 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2173343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173366 */     // GIR_Coverage, 18500,
     /* 2173366 */     GIR_EraseRootFromParent_Done,
     /* 2173367 */   // Label 28607: @2173367
     /* 2173367 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2173458), // Rule ID 18501 //
     /* 2173372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2173389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173418 */     // MIs[0] round
     /* 2173418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173421 */     // MIs[0] policy
     /* 2173421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173431 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2173434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173457 */     // GIR_Coverage, 18501,
     /* 2173457 */     GIR_EraseRootFromParent_Done,
     /* 2173458 */   // Label 28608: @2173458
     /* 2173458 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2173549), // Rule ID 18504 //
     /* 2173463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173509 */     // MIs[0] round
     /* 2173509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173512 */     // MIs[0] policy
     /* 2173512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173522 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173548 */     // GIR_Coverage, 18504,
     /* 2173548 */     GIR_EraseRootFromParent_Done,
     /* 2173549 */   // Label 28609: @2173549
     /* 2173549 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2173640), // Rule ID 18505 //
     /* 2173554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173600 */     // MIs[0] round
     /* 2173600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173603 */     // MIs[0] policy
     /* 2173603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173613 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173639 */     // GIR_Coverage, 18505,
     /* 2173639 */     GIR_EraseRootFromParent_Done,
     /* 2173640 */   // Label 28610: @2173640
     /* 2173640 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2173731), // Rule ID 18508 //
     /* 2173645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173691 */     // MIs[0] round
     /* 2173691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173694 */     // MIs[0] policy
     /* 2173694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173704 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173730 */     // GIR_Coverage, 18508,
     /* 2173730 */     GIR_EraseRootFromParent_Done,
     /* 2173731 */   // Label 28611: @2173731
     /* 2173731 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2173822), // Rule ID 18509 //
     /* 2173736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173782 */     // MIs[0] round
     /* 2173782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173785 */     // MIs[0] policy
     /* 2173785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173795 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173821 */     // GIR_Coverage, 18509,
     /* 2173821 */     GIR_EraseRootFromParent_Done,
     /* 2173822 */   // Label 28612: @2173822
     /* 2173822 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2173913), // Rule ID 18512 //
     /* 2173827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173873 */     // MIs[0] round
     /* 2173873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173876 */     // MIs[0] policy
     /* 2173876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173886 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173912 */     // GIR_Coverage, 18512,
     /* 2173912 */     GIR_EraseRootFromParent_Done,
     /* 2173913 */   // Label 28613: @2173913
     /* 2173913 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2174004), // Rule ID 18513 //
     /* 2173918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173964 */     // MIs[0] round
     /* 2173964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173967 */     // MIs[0] policy
     /* 2173967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173977 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174003 */     // GIR_Coverage, 18513,
     /* 2174003 */     GIR_EraseRootFromParent_Done,
     /* 2174004 */   // Label 28614: @2174004
     /* 2174004 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2174095), // Rule ID 18516 //
     /* 2174009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174055 */     // MIs[0] round
     /* 2174055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174058 */     // MIs[0] policy
     /* 2174058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174068 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2174071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174094 */     // GIR_Coverage, 18516,
     /* 2174094 */     GIR_EraseRootFromParent_Done,
     /* 2174095 */   // Label 28615: @2174095
     /* 2174095 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2174186), // Rule ID 18517 //
     /* 2174100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174146 */     // MIs[0] round
     /* 2174146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174149 */     // MIs[0] policy
     /* 2174149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174159 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2174162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174185 */     // GIR_Coverage, 18517,
     /* 2174185 */     GIR_EraseRootFromParent_Done,
     /* 2174186 */   // Label 28616: @2174186
     /* 2174186 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2174277), // Rule ID 18520 //
     /* 2174191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2174202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2174205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2174208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2174211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174237 */     // MIs[0] round
     /* 2174237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174240 */     // MIs[0] policy
     /* 2174240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174250 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2174253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174276 */     // GIR_Coverage, 18520,
     /* 2174276 */     GIR_EraseRootFromParent_Done,
     /* 2174277 */   // Label 28617: @2174277
     /* 2174277 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2174368), // Rule ID 18521 //
     /* 2174282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2174293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2174296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2174299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2174302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174328 */     // MIs[0] round
     /* 2174328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174331 */     // MIs[0] policy
     /* 2174331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174341 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2174344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174367 */     // GIR_Coverage, 18521,
     /* 2174367 */     GIR_EraseRootFromParent_Done,
     /* 2174368 */   // Label 28618: @2174368
     /* 2174368 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2174459), // Rule ID 18524 //
     /* 2174373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174419 */     // MIs[0] round
     /* 2174419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174422 */     // MIs[0] policy
     /* 2174422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174432 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2174435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174458 */     // GIR_Coverage, 18524,
     /* 2174458 */     GIR_EraseRootFromParent_Done,
     /* 2174459 */   // Label 28619: @2174459
     /* 2174459 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2174550), // Rule ID 18525 //
     /* 2174464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174510 */     // MIs[0] round
     /* 2174510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174513 */     // MIs[0] policy
     /* 2174513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174523 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2174526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174549 */     // GIR_Coverage, 18525,
     /* 2174549 */     GIR_EraseRootFromParent_Done,
     /* 2174550 */   // Label 28620: @2174550
     /* 2174550 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2174641), // Rule ID 18528 //
     /* 2174555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174601 */     // MIs[0] round
     /* 2174601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174604 */     // MIs[0] policy
     /* 2174604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174614 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174640 */     // GIR_Coverage, 18528,
     /* 2174640 */     GIR_EraseRootFromParent_Done,
     /* 2174641 */   // Label 28621: @2174641
     /* 2174641 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2174732), // Rule ID 18529 //
     /* 2174646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174692 */     // MIs[0] round
     /* 2174692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174695 */     // MIs[0] policy
     /* 2174695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174705 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174731 */     // GIR_Coverage, 18529,
     /* 2174731 */     GIR_EraseRootFromParent_Done,
     /* 2174732 */   // Label 28622: @2174732
     /* 2174732 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2174823), // Rule ID 18532 //
     /* 2174737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174783 */     // MIs[0] round
     /* 2174783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174786 */     // MIs[0] policy
     /* 2174786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174796 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174822 */     // GIR_Coverage, 18532,
     /* 2174822 */     GIR_EraseRootFromParent_Done,
     /* 2174823 */   // Label 28623: @2174823
     /* 2174823 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2174914), // Rule ID 18533 //
     /* 2174828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174874 */     // MIs[0] round
     /* 2174874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174877 */     // MIs[0] policy
     /* 2174877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174887 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174913 */     // GIR_Coverage, 18533,
     /* 2174913 */     GIR_EraseRootFromParent_Done,
     /* 2174914 */   // Label 28624: @2174914
     /* 2174914 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2175005), // Rule ID 18536 //
     /* 2174919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174965 */     // MIs[0] round
     /* 2174965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174968 */     // MIs[0] policy
     /* 2174968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174978 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2174981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175004 */     // GIR_Coverage, 18536,
     /* 2175004 */     GIR_EraseRootFromParent_Done,
     /* 2175005 */   // Label 28625: @2175005
     /* 2175005 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2175096), // Rule ID 18537 //
     /* 2175010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2175021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2175024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2175030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175056 */     // MIs[0] round
     /* 2175056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175059 */     // MIs[0] policy
     /* 2175059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175069 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2175072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175095 */     // GIR_Coverage, 18537,
     /* 2175095 */     GIR_EraseRootFromParent_Done,
     /* 2175096 */   // Label 28626: @2175096
     /* 2175096 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2175187), // Rule ID 18540 //
     /* 2175101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2175112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2175115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2175121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175147 */     // MIs[0] round
     /* 2175147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175150 */     // MIs[0] policy
     /* 2175150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175160 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2175163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175186 */     // GIR_Coverage, 18540,
     /* 2175186 */     GIR_EraseRootFromParent_Done,
     /* 2175187 */   // Label 28627: @2175187
     /* 2175187 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2175278), // Rule ID 18541 //
     /* 2175192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2175203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2175206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2175212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175238 */     // MIs[0] round
     /* 2175238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175241 */     // MIs[0] policy
     /* 2175241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175251 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2175254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175277 */     // GIR_Coverage, 18541,
     /* 2175277 */     GIR_EraseRootFromParent_Done,
     /* 2175278 */   // Label 28628: @2175278
     /* 2175278 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2175369), // Rule ID 18544 //
     /* 2175283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2175294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2175297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175329 */     // MIs[0] round
     /* 2175329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175332 */     // MIs[0] policy
     /* 2175332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175342 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2175345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175368 */     // GIR_Coverage, 18544,
     /* 2175368 */     GIR_EraseRootFromParent_Done,
     /* 2175369 */   // Label 28629: @2175369
     /* 2175369 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2175460), // Rule ID 18545 //
     /* 2175374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2175385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2175388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175420 */     // MIs[0] round
     /* 2175420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175423 */     // MIs[0] policy
     /* 2175423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175433 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2175436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175459 */     // GIR_Coverage, 18545,
     /* 2175459 */     GIR_EraseRootFromParent_Done,
     /* 2175460 */   // Label 28630: @2175460
     /* 2175460 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2175551), // Rule ID 18548 //
     /* 2175465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175511 */     // MIs[0] round
     /* 2175511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175514 */     // MIs[0] policy
     /* 2175514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175524 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175550 */     // GIR_Coverage, 18548,
     /* 2175550 */     GIR_EraseRootFromParent_Done,
     /* 2175551 */   // Label 28631: @2175551
     /* 2175551 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2175642), // Rule ID 18549 //
     /* 2175556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175602 */     // MIs[0] round
     /* 2175602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175605 */     // MIs[0] policy
     /* 2175605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175615 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175641 */     // GIR_Coverage, 18549,
     /* 2175641 */     GIR_EraseRootFromParent_Done,
     /* 2175642 */   // Label 28632: @2175642
     /* 2175642 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2175733), // Rule ID 18552 //
     /* 2175647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175693 */     // MIs[0] round
     /* 2175693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175696 */     // MIs[0] policy
     /* 2175696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175706 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175732 */     // GIR_Coverage, 18552,
     /* 2175732 */     GIR_EraseRootFromParent_Done,
     /* 2175733 */   // Label 28633: @2175733
     /* 2175733 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2175824), // Rule ID 18553 //
     /* 2175738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175784 */     // MIs[0] round
     /* 2175784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175787 */     // MIs[0] policy
     /* 2175787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175797 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175823 */     // GIR_Coverage, 18553,
     /* 2175823 */     GIR_EraseRootFromParent_Done,
     /* 2175824 */   // Label 28634: @2175824
     /* 2175824 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2175915), // Rule ID 18556 //
     /* 2175829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175875 */     // MIs[0] round
     /* 2175875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175878 */     // MIs[0] policy
     /* 2175878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175914 */     // GIR_Coverage, 18556,
     /* 2175914 */     GIR_EraseRootFromParent_Done,
     /* 2175915 */   // Label 28635: @2175915
     /* 2175915 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2176006), // Rule ID 18557 //
     /* 2175920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175966 */     // MIs[0] round
     /* 2175966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175969 */     // MIs[0] policy
     /* 2175969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175979 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176005 */     // GIR_Coverage, 18557,
     /* 2176005 */     GIR_EraseRootFromParent_Done,
     /* 2176006 */   // Label 28636: @2176006
     /* 2176006 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2176097), // Rule ID 18560 //
     /* 2176011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176057 */     // MIs[0] round
     /* 2176057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176060 */     // MIs[0] policy
     /* 2176060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176070 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2176073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176096 */     // GIR_Coverage, 18560,
     /* 2176096 */     GIR_EraseRootFromParent_Done,
     /* 2176097 */   // Label 28637: @2176097
     /* 2176097 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2176188), // Rule ID 18561 //
     /* 2176102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176148 */     // MIs[0] round
     /* 2176148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176151 */     // MIs[0] policy
     /* 2176151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176161 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2176164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176187 */     // GIR_Coverage, 18561,
     /* 2176187 */     GIR_EraseRootFromParent_Done,
     /* 2176188 */   // Label 28638: @2176188
     /* 2176188 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2176279), // Rule ID 18564 //
     /* 2176193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2176204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176239 */     // MIs[0] round
     /* 2176239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176242 */     // MIs[0] policy
     /* 2176242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176252 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2176255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176278 */     // GIR_Coverage, 18564,
     /* 2176278 */     GIR_EraseRootFromParent_Done,
     /* 2176279 */   // Label 28639: @2176279
     /* 2176279 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2176370), // Rule ID 18565 //
     /* 2176284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2176295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176330 */     // MIs[0] round
     /* 2176330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176333 */     // MIs[0] policy
     /* 2176333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176343 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2176346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176369 */     // GIR_Coverage, 18565,
     /* 2176369 */     GIR_EraseRootFromParent_Done,
     /* 2176370 */   // Label 28640: @2176370
     /* 2176370 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2176461), // Rule ID 18568 //
     /* 2176375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176421 */     // MIs[0] round
     /* 2176421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176424 */     // MIs[0] policy
     /* 2176424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176434 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2176437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176460 */     // GIR_Coverage, 18568,
     /* 2176460 */     GIR_EraseRootFromParent_Done,
     /* 2176461 */   // Label 28641: @2176461
     /* 2176461 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2176552), // Rule ID 18569 //
     /* 2176466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176512 */     // MIs[0] round
     /* 2176512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176515 */     // MIs[0] policy
     /* 2176515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176525 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2176528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176551 */     // GIR_Coverage, 18569,
     /* 2176551 */     GIR_EraseRootFromParent_Done,
     /* 2176552 */   // Label 28642: @2176552
     /* 2176552 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2176643), // Rule ID 18572 //
     /* 2176557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176603 */     // MIs[0] round
     /* 2176603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176606 */     // MIs[0] policy
     /* 2176606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176642 */     // GIR_Coverage, 18572,
     /* 2176642 */     GIR_EraseRootFromParent_Done,
     /* 2176643 */   // Label 28643: @2176643
     /* 2176643 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2176734), // Rule ID 18573 //
     /* 2176648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176694 */     // MIs[0] round
     /* 2176694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176697 */     // MIs[0] policy
     /* 2176697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176707 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176733 */     // GIR_Coverage, 18573,
     /* 2176733 */     GIR_EraseRootFromParent_Done,
     /* 2176734 */   // Label 28644: @2176734
     /* 2176734 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2176825), // Rule ID 18576 //
     /* 2176739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176785 */     // MIs[0] round
     /* 2176785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176788 */     // MIs[0] policy
     /* 2176788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176798 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176824 */     // GIR_Coverage, 18576,
     /* 2176824 */     GIR_EraseRootFromParent_Done,
     /* 2176825 */   // Label 28645: @2176825
     /* 2176825 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2176916), // Rule ID 18577 //
     /* 2176830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176876 */     // MIs[0] round
     /* 2176876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176879 */     // MIs[0] policy
     /* 2176879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176889 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176915 */     // GIR_Coverage, 18577,
     /* 2176915 */     GIR_EraseRootFromParent_Done,
     /* 2176916 */   // Label 28646: @2176916
     /* 2176916 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2177007), // Rule ID 18580 //
     /* 2176921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176967 */     // MIs[0] round
     /* 2176967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176970 */     // MIs[0] policy
     /* 2176970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176980 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2176983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177006 */     // GIR_Coverage, 18580,
     /* 2177006 */     GIR_EraseRootFromParent_Done,
     /* 2177007 */   // Label 28647: @2177007
     /* 2177007 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2177098), // Rule ID 18581 //
     /* 2177012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2177032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177058 */     // MIs[0] round
     /* 2177058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177061 */     // MIs[0] policy
     /* 2177061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177071 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2177074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177097 */     // GIR_Coverage, 18581,
     /* 2177097 */     GIR_EraseRootFromParent_Done,
     /* 2177098 */   // Label 28648: @2177098
     /* 2177098 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2177189), // Rule ID 18584 //
     /* 2177103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2177123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177149 */     // MIs[0] round
     /* 2177149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177152 */     // MIs[0] policy
     /* 2177152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177162 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2177165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177188 */     // GIR_Coverage, 18584,
     /* 2177188 */     GIR_EraseRootFromParent_Done,
     /* 2177189 */   // Label 28649: @2177189
     /* 2177189 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2177280), // Rule ID 18585 //
     /* 2177194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2177214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177240 */     // MIs[0] round
     /* 2177240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177243 */     // MIs[0] policy
     /* 2177243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177253 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2177256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177279 */     // GIR_Coverage, 18585,
     /* 2177279 */     GIR_EraseRootFromParent_Done,
     /* 2177280 */   // Label 28650: @2177280
     /* 2177280 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2177371), // Rule ID 18588 //
     /* 2177285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2177305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177331 */     // MIs[0] round
     /* 2177331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177334 */     // MIs[0] policy
     /* 2177334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177344 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2177347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177370 */     // GIR_Coverage, 18588,
     /* 2177370 */     GIR_EraseRootFromParent_Done,
     /* 2177371 */   // Label 28651: @2177371
     /* 2177371 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2177462), // Rule ID 18589 //
     /* 2177376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2177396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177422 */     // MIs[0] round
     /* 2177422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177425 */     // MIs[0] policy
     /* 2177425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177435 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2177438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177461 */     // GIR_Coverage, 18589,
     /* 2177461 */     GIR_EraseRootFromParent_Done,
     /* 2177462 */   // Label 28652: @2177462
     /* 2177462 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2177553), // Rule ID 18592 //
     /* 2177467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177513 */     // MIs[0] round
     /* 2177513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177516 */     // MIs[0] policy
     /* 2177516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177526 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177552 */     // GIR_Coverage, 18592,
     /* 2177552 */     GIR_EraseRootFromParent_Done,
     /* 2177553 */   // Label 28653: @2177553
     /* 2177553 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2177644), // Rule ID 18593 //
     /* 2177558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177604 */     // MIs[0] round
     /* 2177604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177607 */     // MIs[0] policy
     /* 2177607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177617 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177643 */     // GIR_Coverage, 18593,
     /* 2177643 */     GIR_EraseRootFromParent_Done,
     /* 2177644 */   // Label 28654: @2177644
     /* 2177644 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2177735), // Rule ID 18596 //
     /* 2177649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177695 */     // MIs[0] round
     /* 2177695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177698 */     // MIs[0] policy
     /* 2177698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177708 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177734 */     // GIR_Coverage, 18596,
     /* 2177734 */     GIR_EraseRootFromParent_Done,
     /* 2177735 */   // Label 28655: @2177735
     /* 2177735 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2177826), // Rule ID 18597 //
     /* 2177740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177786 */     // MIs[0] round
     /* 2177786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177789 */     // MIs[0] policy
     /* 2177789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177799 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177825 */     // GIR_Coverage, 18597,
     /* 2177825 */     GIR_EraseRootFromParent_Done,
     /* 2177826 */   // Label 28656: @2177826
     /* 2177826 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2177917), // Rule ID 18600 //
     /* 2177831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177877 */     // MIs[0] round
     /* 2177877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177880 */     // MIs[0] policy
     /* 2177880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177890 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177916 */     // GIR_Coverage, 18600,
     /* 2177916 */     GIR_EraseRootFromParent_Done,
     /* 2177917 */   // Label 28657: @2177917
     /* 2177917 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2178008), // Rule ID 18601 //
     /* 2177922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177968 */     // MIs[0] round
     /* 2177968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177971 */     // MIs[0] policy
     /* 2177971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177981 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178007 */     // GIR_Coverage, 18601,
     /* 2178007 */     GIR_EraseRootFromParent_Done,
     /* 2178008 */   // Label 28658: @2178008
     /* 2178008 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2178099), // Rule ID 18604 //
     /* 2178013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178059 */     // MIs[0] round
     /* 2178059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178062 */     // MIs[0] policy
     /* 2178062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178072 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2178075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178098 */     // GIR_Coverage, 18604,
     /* 2178098 */     GIR_EraseRootFromParent_Done,
     /* 2178099 */   // Label 28659: @2178099
     /* 2178099 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2178190), // Rule ID 18605 //
     /* 2178104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178150 */     // MIs[0] round
     /* 2178150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178153 */     // MIs[0] policy
     /* 2178153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178163 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2178166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178189 */     // GIR_Coverage, 18605,
     /* 2178189 */     GIR_EraseRootFromParent_Done,
     /* 2178190 */   // Label 28660: @2178190
     /* 2178190 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2178281), // Rule ID 18608 //
     /* 2178195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178241 */     // MIs[0] round
     /* 2178241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178244 */     // MIs[0] policy
     /* 2178244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178254 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2178257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178280 */     // GIR_Coverage, 18608,
     /* 2178280 */     GIR_EraseRootFromParent_Done,
     /* 2178281 */   // Label 28661: @2178281
     /* 2178281 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2178372), // Rule ID 18609 //
     /* 2178286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178332 */     // MIs[0] round
     /* 2178332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178335 */     // MIs[0] policy
     /* 2178335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178345 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2178348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178371 */     // GIR_Coverage, 18609,
     /* 2178371 */     GIR_EraseRootFromParent_Done,
     /* 2178372 */   // Label 28662: @2178372
     /* 2178372 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2178463), // Rule ID 18612 //
     /* 2178377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178423 */     // MIs[0] round
     /* 2178423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178426 */     // MIs[0] policy
     /* 2178426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178436 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178462 */     // GIR_Coverage, 18612,
     /* 2178462 */     GIR_EraseRootFromParent_Done,
     /* 2178463 */   // Label 28663: @2178463
     /* 2178463 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2178554), // Rule ID 18613 //
     /* 2178468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178514 */     // MIs[0] round
     /* 2178514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178517 */     // MIs[0] policy
     /* 2178517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178527 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178553 */     // GIR_Coverage, 18613,
     /* 2178553 */     GIR_EraseRootFromParent_Done,
     /* 2178554 */   // Label 28664: @2178554
     /* 2178554 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2178645), // Rule ID 18616 //
     /* 2178559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178605 */     // MIs[0] round
     /* 2178605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178608 */     // MIs[0] policy
     /* 2178608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178618 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178644 */     // GIR_Coverage, 18616,
     /* 2178644 */     GIR_EraseRootFromParent_Done,
     /* 2178645 */   // Label 28665: @2178645
     /* 2178645 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2178736), // Rule ID 18617 //
     /* 2178650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178696 */     // MIs[0] round
     /* 2178696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178699 */     // MIs[0] policy
     /* 2178699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178709 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178735 */     // GIR_Coverage, 18617,
     /* 2178735 */     GIR_EraseRootFromParent_Done,
     /* 2178736 */   // Label 28666: @2178736
     /* 2178736 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2178827), // Rule ID 18620 //
     /* 2178741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178787 */     // MIs[0] round
     /* 2178787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178790 */     // MIs[0] policy
     /* 2178790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178800 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178826 */     // GIR_Coverage, 18620,
     /* 2178826 */     GIR_EraseRootFromParent_Done,
     /* 2178827 */   // Label 28667: @2178827
     /* 2178827 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2178918), // Rule ID 18621 //
     /* 2178832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178878 */     // MIs[0] round
     /* 2178878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178881 */     // MIs[0] policy
     /* 2178881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178891 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178917 */     // GIR_Coverage, 18621,
     /* 2178917 */     GIR_EraseRootFromParent_Done,
     /* 2178918 */   // Label 28668: @2178918
     /* 2178918 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2179009), // Rule ID 18624 //
     /* 2178923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178969 */     // MIs[0] round
     /* 2178969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178972 */     // MIs[0] policy
     /* 2178972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178982 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2178985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179008 */     // GIR_Coverage, 18624,
     /* 2179008 */     GIR_EraseRootFromParent_Done,
     /* 2179009 */   // Label 28669: @2179009
     /* 2179009 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2179100), // Rule ID 18625 //
     /* 2179014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2179025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2179028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2179034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179060 */     // MIs[0] round
     /* 2179060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179063 */     // MIs[0] policy
     /* 2179063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179073 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2179076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179099 */     // GIR_Coverage, 18625,
     /* 2179099 */     GIR_EraseRootFromParent_Done,
     /* 2179100 */   // Label 28670: @2179100
     /* 2179100 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2179191), // Rule ID 18628 //
     /* 2179105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2179122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179151 */     // MIs[0] round
     /* 2179151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179154 */     // MIs[0] policy
     /* 2179154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179164 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2179167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179190 */     // GIR_Coverage, 18628,
     /* 2179190 */     GIR_EraseRootFromParent_Done,
     /* 2179191 */   // Label 28671: @2179191
     /* 2179191 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2179282), // Rule ID 18629 //
     /* 2179196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2179213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179242 */     // MIs[0] round
     /* 2179242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179245 */     // MIs[0] policy
     /* 2179245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179255 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2179258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179281 */     // GIR_Coverage, 18629,
     /* 2179281 */     GIR_EraseRootFromParent_Done,
     /* 2179282 */   // Label 28672: @2179282
     /* 2179282 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2179373), // Rule ID 18632 //
     /* 2179287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179333 */     // MIs[0] round
     /* 2179333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179336 */     // MIs[0] policy
     /* 2179336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179346 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2179349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179372 */     // GIR_Coverage, 18632,
     /* 2179372 */     GIR_EraseRootFromParent_Done,
     /* 2179373 */   // Label 28673: @2179373
     /* 2179373 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2179464), // Rule ID 18633 //
     /* 2179378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179424 */     // MIs[0] round
     /* 2179424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179427 */     // MIs[0] policy
     /* 2179427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179437 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2179440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179463 */     // GIR_Coverage, 18633,
     /* 2179463 */     GIR_EraseRootFromParent_Done,
     /* 2179464 */   // Label 28674: @2179464
     /* 2179464 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2179555), // Rule ID 18636 //
     /* 2179469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179515 */     // MIs[0] round
     /* 2179515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179518 */     // MIs[0] policy
     /* 2179518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179554 */     // GIR_Coverage, 18636,
     /* 2179554 */     GIR_EraseRootFromParent_Done,
     /* 2179555 */   // Label 28675: @2179555
     /* 2179555 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2179646), // Rule ID 18637 //
     /* 2179560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179606 */     // MIs[0] round
     /* 2179606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179609 */     // MIs[0] policy
     /* 2179609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179619 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179645 */     // GIR_Coverage, 18637,
     /* 2179645 */     GIR_EraseRootFromParent_Done,
     /* 2179646 */   // Label 28676: @2179646
     /* 2179646 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2179737), // Rule ID 18640 //
     /* 2179651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179697 */     // MIs[0] round
     /* 2179697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179700 */     // MIs[0] policy
     /* 2179700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179710 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179736 */     // GIR_Coverage, 18640,
     /* 2179736 */     GIR_EraseRootFromParent_Done,
     /* 2179737 */   // Label 28677: @2179737
     /* 2179737 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2179828), // Rule ID 18641 //
     /* 2179742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179788 */     // MIs[0] round
     /* 2179788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179791 */     // MIs[0] policy
     /* 2179791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179801 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179827 */     // GIR_Coverage, 18641,
     /* 2179827 */     GIR_EraseRootFromParent_Done,
     /* 2179828 */   // Label 28678: @2179828
     /* 2179828 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2179919), // Rule ID 18644 //
     /* 2179833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179879 */     // MIs[0] round
     /* 2179879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179882 */     // MIs[0] policy
     /* 2179882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179892 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179918 */     // GIR_Coverage, 18644,
     /* 2179918 */     GIR_EraseRootFromParent_Done,
     /* 2179919 */   // Label 28679: @2179919
     /* 2179919 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2180010), // Rule ID 18645 //
     /* 2179924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179970 */     // MIs[0] round
     /* 2179970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179973 */     // MIs[0] policy
     /* 2179973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179983 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180009 */     // GIR_Coverage, 18645,
     /* 2180009 */     GIR_EraseRootFromParent_Done,
     /* 2180010 */   // Label 28680: @2180010
     /* 2180010 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2180101), // Rule ID 18648 //
     /* 2180015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180061 */     // MIs[0] round
     /* 2180061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180064 */     // MIs[0] policy
     /* 2180064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180074 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2180077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180100 */     // GIR_Coverage, 18648,
     /* 2180100 */     GIR_EraseRootFromParent_Done,
     /* 2180101 */   // Label 28681: @2180101
     /* 2180101 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2180192), // Rule ID 18649 //
     /* 2180106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180152 */     // MIs[0] round
     /* 2180152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180155 */     // MIs[0] policy
     /* 2180155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180165 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2180168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180191 */     // GIR_Coverage, 18649,
     /* 2180191 */     GIR_EraseRootFromParent_Done,
     /* 2180192 */   // Label 28682: @2180192
     /* 2180192 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2180283), // Rule ID 18652 //
     /* 2180197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180243 */     // MIs[0] round
     /* 2180243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180246 */     // MIs[0] policy
     /* 2180246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2180259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180282 */     // GIR_Coverage, 18652,
     /* 2180282 */     GIR_EraseRootFromParent_Done,
     /* 2180283 */   // Label 28683: @2180283
     /* 2180283 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2180374), // Rule ID 18653 //
     /* 2180288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180334 */     // MIs[0] round
     /* 2180334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180337 */     // MIs[0] policy
     /* 2180337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180347 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2180350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180373 */     // GIR_Coverage, 18653,
     /* 2180373 */     GIR_EraseRootFromParent_Done,
     /* 2180374 */   // Label 28684: @2180374
     /* 2180374 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2180465), // Rule ID 18656 //
     /* 2180379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180425 */     // MIs[0] round
     /* 2180425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180428 */     // MIs[0] policy
     /* 2180428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180438 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180464 */     // GIR_Coverage, 18656,
     /* 2180464 */     GIR_EraseRootFromParent_Done,
     /* 2180465 */   // Label 28685: @2180465
     /* 2180465 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2180556), // Rule ID 18657 //
     /* 2180470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180516 */     // MIs[0] round
     /* 2180516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180519 */     // MIs[0] policy
     /* 2180519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180529 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180555 */     // GIR_Coverage, 18657,
     /* 2180555 */     GIR_EraseRootFromParent_Done,
     /* 2180556 */   // Label 28686: @2180556
     /* 2180556 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2180647), // Rule ID 18660 //
     /* 2180561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180607 */     // MIs[0] round
     /* 2180607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180610 */     // MIs[0] policy
     /* 2180610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180620 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180646 */     // GIR_Coverage, 18660,
     /* 2180646 */     GIR_EraseRootFromParent_Done,
     /* 2180647 */   // Label 28687: @2180647
     /* 2180647 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2180738), // Rule ID 18661 //
     /* 2180652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180698 */     // MIs[0] round
     /* 2180698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180701 */     // MIs[0] policy
     /* 2180701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180711 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180737 */     // GIR_Coverage, 18661,
     /* 2180737 */     GIR_EraseRootFromParent_Done,
     /* 2180738 */   // Label 28688: @2180738
     /* 2180738 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2180829), // Rule ID 18664 //
     /* 2180743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180789 */     // MIs[0] round
     /* 2180789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180792 */     // MIs[0] policy
     /* 2180792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180802 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180828 */     // GIR_Coverage, 18664,
     /* 2180828 */     GIR_EraseRootFromParent_Done,
     /* 2180829 */   // Label 28689: @2180829
     /* 2180829 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2180920), // Rule ID 18665 //
     /* 2180834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180880 */     // MIs[0] round
     /* 2180880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180883 */     // MIs[0] policy
     /* 2180883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180893 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180919 */     // GIR_Coverage, 18665,
     /* 2180919 */     GIR_EraseRootFromParent_Done,
     /* 2180920 */   // Label 28690: @2180920
     /* 2180920 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2181011), // Rule ID 18668 //
     /* 2180925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2180942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180971 */     // MIs[0] round
     /* 2180971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180974 */     // MIs[0] policy
     /* 2180974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180984 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2180987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181010 */     // GIR_Coverage, 18668,
     /* 2181010 */     GIR_EraseRootFromParent_Done,
     /* 2181011 */   // Label 28691: @2181011
     /* 2181011 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2181102), // Rule ID 18669 //
     /* 2181016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181062 */     // MIs[0] round
     /* 2181062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181065 */     // MIs[0] policy
     /* 2181065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181075 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2181078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181101 */     // GIR_Coverage, 18669,
     /* 2181101 */     GIR_EraseRootFromParent_Done,
     /* 2181102 */   // Label 28692: @2181102
     /* 2181102 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2181193), // Rule ID 18672 //
     /* 2181107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181153 */     // MIs[0] round
     /* 2181153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181156 */     // MIs[0] policy
     /* 2181156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181166 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2181169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181192 */     // GIR_Coverage, 18672,
     /* 2181192 */     GIR_EraseRootFromParent_Done,
     /* 2181193 */   // Label 28693: @2181193
     /* 2181193 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2181284), // Rule ID 18673 //
     /* 2181198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181244 */     // MIs[0] round
     /* 2181244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181247 */     // MIs[0] policy
     /* 2181247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2181260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181283 */     // GIR_Coverage, 18673,
     /* 2181283 */     GIR_EraseRootFromParent_Done,
     /* 2181284 */   // Label 28694: @2181284
     /* 2181284 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2181375), // Rule ID 18676 //
     /* 2181289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181335 */     // MIs[0] round
     /* 2181335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181338 */     // MIs[0] policy
     /* 2181338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181348 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2181351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181374 */     // GIR_Coverage, 18676,
     /* 2181374 */     GIR_EraseRootFromParent_Done,
     /* 2181375 */   // Label 28695: @2181375
     /* 2181375 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2181466), // Rule ID 18677 //
     /* 2181380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181426 */     // MIs[0] round
     /* 2181426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181429 */     // MIs[0] policy
     /* 2181429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181439 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2181442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181465 */     // GIR_Coverage, 18677,
     /* 2181465 */     GIR_EraseRootFromParent_Done,
     /* 2181466 */   // Label 28696: @2181466
     /* 2181466 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2181557), // Rule ID 18680 //
     /* 2181471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181517 */     // MIs[0] round
     /* 2181517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181520 */     // MIs[0] policy
     /* 2181520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181556 */     // GIR_Coverage, 18680,
     /* 2181556 */     GIR_EraseRootFromParent_Done,
     /* 2181557 */   // Label 28697: @2181557
     /* 2181557 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2181648), // Rule ID 18681 //
     /* 2181562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181608 */     // MIs[0] round
     /* 2181608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181611 */     // MIs[0] policy
     /* 2181611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181621 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181647 */     // GIR_Coverage, 18681,
     /* 2181647 */     GIR_EraseRootFromParent_Done,
     /* 2181648 */   // Label 28698: @2181648
     /* 2181648 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2181739), // Rule ID 18684 //
     /* 2181653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181699 */     // MIs[0] round
     /* 2181699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181702 */     // MIs[0] policy
     /* 2181702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181738 */     // GIR_Coverage, 18684,
     /* 2181738 */     GIR_EraseRootFromParent_Done,
     /* 2181739 */   // Label 28699: @2181739
     /* 2181739 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2181830), // Rule ID 18685 //
     /* 2181744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181790 */     // MIs[0] round
     /* 2181790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181793 */     // MIs[0] policy
     /* 2181793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181803 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181829 */     // GIR_Coverage, 18685,
     /* 2181829 */     GIR_EraseRootFromParent_Done,
     /* 2181830 */   // Label 28700: @2181830
     /* 2181830 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2181921), // Rule ID 18688 //
     /* 2181835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181881 */     // MIs[0] round
     /* 2181881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181884 */     // MIs[0] policy
     /* 2181884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181894 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181920 */     // GIR_Coverage, 18688,
     /* 2181920 */     GIR_EraseRootFromParent_Done,
     /* 2181921 */   // Label 28701: @2181921
     /* 2181921 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2182012), // Rule ID 18689 //
     /* 2181926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181972 */     // MIs[0] round
     /* 2181972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181975 */     // MIs[0] policy
     /* 2181975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181985 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182011 */     // GIR_Coverage, 18689,
     /* 2182011 */     GIR_EraseRootFromParent_Done,
     /* 2182012 */   // Label 28702: @2182012
     /* 2182012 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2182103), // Rule ID 18692 //
     /* 2182017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182063 */     // MIs[0] round
     /* 2182063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182066 */     // MIs[0] policy
     /* 2182066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182076 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2182079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182102 */     // GIR_Coverage, 18692,
     /* 2182102 */     GIR_EraseRootFromParent_Done,
     /* 2182103 */   // Label 28703: @2182103
     /* 2182103 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2182194), // Rule ID 18693 //
     /* 2182108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182154 */     // MIs[0] round
     /* 2182154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182157 */     // MIs[0] policy
     /* 2182157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182167 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2182170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182193 */     // GIR_Coverage, 18693,
     /* 2182193 */     GIR_EraseRootFromParent_Done,
     /* 2182194 */   // Label 28704: @2182194
     /* 2182194 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2182285), // Rule ID 18696 //
     /* 2182199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2182216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182245 */     // MIs[0] round
     /* 2182245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182248 */     // MIs[0] policy
     /* 2182248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182258 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2182261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182284 */     // GIR_Coverage, 18696,
     /* 2182284 */     GIR_EraseRootFromParent_Done,
     /* 2182285 */   // Label 28705: @2182285
     /* 2182285 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2182376), // Rule ID 18697 //
     /* 2182290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2182307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182336 */     // MIs[0] round
     /* 2182336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182339 */     // MIs[0] policy
     /* 2182339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182349 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2182352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182375 */     // GIR_Coverage, 18697,
     /* 2182375 */     GIR_EraseRootFromParent_Done,
     /* 2182376 */   // Label 28706: @2182376
     /* 2182376 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2182467), // Rule ID 18700 //
     /* 2182381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182427 */     // MIs[0] round
     /* 2182427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182430 */     // MIs[0] policy
     /* 2182430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182440 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182466 */     // GIR_Coverage, 18700,
     /* 2182466 */     GIR_EraseRootFromParent_Done,
     /* 2182467 */   // Label 28707: @2182467
     /* 2182467 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2182558), // Rule ID 18701 //
     /* 2182472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182518 */     // MIs[0] round
     /* 2182518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182521 */     // MIs[0] policy
     /* 2182521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182531 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182557 */     // GIR_Coverage, 18701,
     /* 2182557 */     GIR_EraseRootFromParent_Done,
     /* 2182558 */   // Label 28708: @2182558
     /* 2182558 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2182649), // Rule ID 18704 //
     /* 2182563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182609 */     // MIs[0] round
     /* 2182609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182612 */     // MIs[0] policy
     /* 2182612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182648 */     // GIR_Coverage, 18704,
     /* 2182648 */     GIR_EraseRootFromParent_Done,
     /* 2182649 */   // Label 28709: @2182649
     /* 2182649 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2182740), // Rule ID 18705 //
     /* 2182654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182700 */     // MIs[0] round
     /* 2182700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182703 */     // MIs[0] policy
     /* 2182703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182713 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182739 */     // GIR_Coverage, 18705,
     /* 2182739 */     GIR_EraseRootFromParent_Done,
     /* 2182740 */   // Label 28710: @2182740
     /* 2182740 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2182831), // Rule ID 18708 //
     /* 2182745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182791 */     // MIs[0] round
     /* 2182791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182794 */     // MIs[0] policy
     /* 2182794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182804 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182830 */     // GIR_Coverage, 18708,
     /* 2182830 */     GIR_EraseRootFromParent_Done,
     /* 2182831 */   // Label 28711: @2182831
     /* 2182831 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2182922), // Rule ID 18709 //
     /* 2182836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182882 */     // MIs[0] round
     /* 2182882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182885 */     // MIs[0] policy
     /* 2182885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182895 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182921 */     // GIR_Coverage, 18709,
     /* 2182921 */     GIR_EraseRootFromParent_Done,
     /* 2182922 */   // Label 28712: @2182922
     /* 2182922 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2183013), // Rule ID 18712 //
     /* 2182927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182973 */     // MIs[0] round
     /* 2182973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182976 */     // MIs[0] policy
     /* 2182976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182986 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2182989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183012 */     // GIR_Coverage, 18712,
     /* 2183012 */     GIR_EraseRootFromParent_Done,
     /* 2183013 */   // Label 28713: @2183013
     /* 2183013 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2183104), // Rule ID 18713 //
     /* 2183018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2183038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183064 */     // MIs[0] round
     /* 2183064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183067 */     // MIs[0] policy
     /* 2183067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2183080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183103 */     // GIR_Coverage, 18713,
     /* 2183103 */     GIR_EraseRootFromParent_Done,
     /* 2183104 */   // Label 28714: @2183104
     /* 2183104 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2183195), // Rule ID 18716 //
     /* 2183109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183155 */     // MIs[0] round
     /* 2183155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183158 */     // MIs[0] policy
     /* 2183158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183168 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2183171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183194 */     // GIR_Coverage, 18716,
     /* 2183194 */     GIR_EraseRootFromParent_Done,
     /* 2183195 */   // Label 28715: @2183195
     /* 2183195 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2183286), // Rule ID 18717 //
     /* 2183200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183246 */     // MIs[0] round
     /* 2183246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183249 */     // MIs[0] policy
     /* 2183249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183259 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2183262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183285 */     // GIR_Coverage, 18717,
     /* 2183285 */     GIR_EraseRootFromParent_Done,
     /* 2183286 */   // Label 28716: @2183286
     /* 2183286 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2183377), // Rule ID 18720 //
     /* 2183291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183337 */     // MIs[0] round
     /* 2183337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183340 */     // MIs[0] policy
     /* 2183340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183350 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2183353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183376 */     // GIR_Coverage, 18720,
     /* 2183376 */     GIR_EraseRootFromParent_Done,
     /* 2183377 */   // Label 28717: @2183377
     /* 2183377 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2183468), // Rule ID 18721 //
     /* 2183382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183428 */     // MIs[0] round
     /* 2183428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183431 */     // MIs[0] policy
     /* 2183431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183441 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2183444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183467 */     // GIR_Coverage, 18721,
     /* 2183467 */     GIR_EraseRootFromParent_Done,
     /* 2183468 */   // Label 28718: @2183468
     /* 2183468 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2183559), // Rule ID 18724 //
     /* 2183473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183519 */     // MIs[0] round
     /* 2183519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183522 */     // MIs[0] policy
     /* 2183522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183532 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183558 */     // GIR_Coverage, 18724,
     /* 2183558 */     GIR_EraseRootFromParent_Done,
     /* 2183559 */   // Label 28719: @2183559
     /* 2183559 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2183650), // Rule ID 18725 //
     /* 2183564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183610 */     // MIs[0] round
     /* 2183610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183613 */     // MIs[0] policy
     /* 2183613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183623 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183649 */     // GIR_Coverage, 18725,
     /* 2183649 */     GIR_EraseRootFromParent_Done,
     /* 2183650 */   // Label 28720: @2183650
     /* 2183650 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2183741), // Rule ID 18728 //
     /* 2183655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183701 */     // MIs[0] round
     /* 2183701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183704 */     // MIs[0] policy
     /* 2183704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183714 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183740 */     // GIR_Coverage, 18728,
     /* 2183740 */     GIR_EraseRootFromParent_Done,
     /* 2183741 */   // Label 28721: @2183741
     /* 2183741 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2183832), // Rule ID 18729 //
     /* 2183746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183792 */     // MIs[0] round
     /* 2183792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183795 */     // MIs[0] policy
     /* 2183795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183805 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183831 */     // GIR_Coverage, 18729,
     /* 2183831 */     GIR_EraseRootFromParent_Done,
     /* 2183832 */   // Label 28722: @2183832
     /* 2183832 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2183923), // Rule ID 18732 //
     /* 2183837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183883 */     // MIs[0] round
     /* 2183883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183886 */     // MIs[0] policy
     /* 2183886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183896 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183922 */     // GIR_Coverage, 18732,
     /* 2183922 */     GIR_EraseRootFromParent_Done,
     /* 2183923 */   // Label 28723: @2183923
     /* 2183923 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2184014), // Rule ID 18733 //
     /* 2183928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183974 */     // MIs[0] round
     /* 2183974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183977 */     // MIs[0] policy
     /* 2183977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183987 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184013 */     // GIR_Coverage, 18733,
     /* 2184013 */     GIR_EraseRootFromParent_Done,
     /* 2184014 */   // Label 28724: @2184014
     /* 2184014 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2184105), // Rule ID 18736 //
     /* 2184019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2184027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184065 */     // MIs[0] round
     /* 2184065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184068 */     // MIs[0] policy
     /* 2184068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184078 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2184081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184104 */     // GIR_Coverage, 18736,
     /* 2184104 */     GIR_EraseRootFromParent_Done,
     /* 2184105 */   // Label 28725: @2184105
     /* 2184105 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2184196), // Rule ID 18737 //
     /* 2184110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2184118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184156 */     // MIs[0] round
     /* 2184156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184159 */     // MIs[0] policy
     /* 2184159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184169 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2184172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184195 */     // GIR_Coverage, 18737,
     /* 2184195 */     GIR_EraseRootFromParent_Done,
     /* 2184196 */   // Label 28726: @2184196
     /* 2184196 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2184287), // Rule ID 18740 //
     /* 2184201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2184218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184247 */     // MIs[0] round
     /* 2184247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184250 */     // MIs[0] policy
     /* 2184250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184260 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2184263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184286 */     // GIR_Coverage, 18740,
     /* 2184286 */     GIR_EraseRootFromParent_Done,
     /* 2184287 */   // Label 28727: @2184287
     /* 2184287 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2184378), // Rule ID 18741 //
     /* 2184292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2184309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184338 */     // MIs[0] round
     /* 2184338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184341 */     // MIs[0] policy
     /* 2184341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184351 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2184354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184377 */     // GIR_Coverage, 18741,
     /* 2184377 */     GIR_EraseRootFromParent_Done,
     /* 2184378 */   // Label 28728: @2184378
     /* 2184378 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2184469), // Rule ID 18744 //
     /* 2184383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184429 */     // MIs[0] round
     /* 2184429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184432 */     // MIs[0] policy
     /* 2184432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184442 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184468 */     // GIR_Coverage, 18744,
     /* 2184468 */     GIR_EraseRootFromParent_Done,
     /* 2184469 */   // Label 28729: @2184469
     /* 2184469 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2184560), // Rule ID 18745 //
     /* 2184474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184520 */     // MIs[0] round
     /* 2184520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184523 */     // MIs[0] policy
     /* 2184523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184533 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184559 */     // GIR_Coverage, 18745,
     /* 2184559 */     GIR_EraseRootFromParent_Done,
     /* 2184560 */   // Label 28730: @2184560
     /* 2184560 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2184651), // Rule ID 18748 //
     /* 2184565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184611 */     // MIs[0] round
     /* 2184611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184614 */     // MIs[0] policy
     /* 2184614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184624 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184650 */     // GIR_Coverage, 18748,
     /* 2184650 */     GIR_EraseRootFromParent_Done,
     /* 2184651 */   // Label 28731: @2184651
     /* 2184651 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2184742), // Rule ID 18749 //
     /* 2184656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184702 */     // MIs[0] round
     /* 2184702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184705 */     // MIs[0] policy
     /* 2184705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184715 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184741 */     // GIR_Coverage, 18749,
     /* 2184741 */     GIR_EraseRootFromParent_Done,
     /* 2184742 */   // Label 28732: @2184742
     /* 2184742 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2184833), // Rule ID 18752 //
     /* 2184747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184793 */     // MIs[0] round
     /* 2184793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184796 */     // MIs[0] policy
     /* 2184796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184806 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184832 */     // GIR_Coverage, 18752,
     /* 2184832 */     GIR_EraseRootFromParent_Done,
     /* 2184833 */   // Label 28733: @2184833
     /* 2184833 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2184924), // Rule ID 18753 //
     /* 2184838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184884 */     // MIs[0] round
     /* 2184884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184887 */     // MIs[0] policy
     /* 2184887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184897 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184923 */     // GIR_Coverage, 18753,
     /* 2184923 */     GIR_EraseRootFromParent_Done,
     /* 2184924 */   // Label 28734: @2184924
     /* 2184924 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2185015), // Rule ID 18756 //
     /* 2184929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184975 */     // MIs[0] round
     /* 2184975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184978 */     // MIs[0] policy
     /* 2184978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184988 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2184991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185014 */     // GIR_Coverage, 18756,
     /* 2185014 */     GIR_EraseRootFromParent_Done,
     /* 2185015 */   // Label 28735: @2185015
     /* 2185015 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2185106), // Rule ID 18757 //
     /* 2185020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2185031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2185034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2185037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2185040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185066 */     // MIs[0] round
     /* 2185066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185069 */     // MIs[0] policy
     /* 2185069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185079 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2185082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185105 */     // GIR_Coverage, 18757,
     /* 2185105 */     GIR_EraseRootFromParent_Done,
     /* 2185106 */   // Label 28736: @2185106
     /* 2185106 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2185197), // Rule ID 18760 //
     /* 2185111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185157 */     // MIs[0] round
     /* 2185157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185160 */     // MIs[0] policy
     /* 2185160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2185173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185196 */     // GIR_Coverage, 18760,
     /* 2185196 */     GIR_EraseRootFromParent_Done,
     /* 2185197 */   // Label 28737: @2185197
     /* 2185197 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2185288), // Rule ID 18761 //
     /* 2185202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185248 */     // MIs[0] round
     /* 2185248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185251 */     // MIs[0] policy
     /* 2185251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185261 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2185264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185287 */     // GIR_Coverage, 18761,
     /* 2185287 */     GIR_EraseRootFromParent_Done,
     /* 2185288 */   // Label 28738: @2185288
     /* 2185288 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2185379), // Rule ID 18764 //
     /* 2185293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185339 */     // MIs[0] round
     /* 2185339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185342 */     // MIs[0] policy
     /* 2185342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185352 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2185355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185378 */     // GIR_Coverage, 18764,
     /* 2185378 */     GIR_EraseRootFromParent_Done,
     /* 2185379 */   // Label 28739: @2185379
     /* 2185379 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2185470), // Rule ID 18765 //
     /* 2185384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185430 */     // MIs[0] round
     /* 2185430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185433 */     // MIs[0] policy
     /* 2185433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185443 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2185446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185469 */     // GIR_Coverage, 18765,
     /* 2185469 */     GIR_EraseRootFromParent_Done,
     /* 2185470 */   // Label 28740: @2185470
     /* 2185470 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2185561), // Rule ID 18768 //
     /* 2185475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185521 */     // MIs[0] round
     /* 2185521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185524 */     // MIs[0] policy
     /* 2185524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185534 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185560 */     // GIR_Coverage, 18768,
     /* 2185560 */     GIR_EraseRootFromParent_Done,
     /* 2185561 */   // Label 28741: @2185561
     /* 2185561 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2185652), // Rule ID 18769 //
     /* 2185566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185612 */     // MIs[0] round
     /* 2185612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185615 */     // MIs[0] policy
     /* 2185615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185625 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185651 */     // GIR_Coverage, 18769,
     /* 2185651 */     GIR_EraseRootFromParent_Done,
     /* 2185652 */   // Label 28742: @2185652
     /* 2185652 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2185743), // Rule ID 18772 //
     /* 2185657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185703 */     // MIs[0] round
     /* 2185703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185706 */     // MIs[0] policy
     /* 2185706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185716 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185742 */     // GIR_Coverage, 18772,
     /* 2185742 */     GIR_EraseRootFromParent_Done,
     /* 2185743 */   // Label 28743: @2185743
     /* 2185743 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2185834), // Rule ID 18773 //
     /* 2185748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185794 */     // MIs[0] round
     /* 2185794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185797 */     // MIs[0] policy
     /* 2185797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185807 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185833 */     // GIR_Coverage, 18773,
     /* 2185833 */     GIR_EraseRootFromParent_Done,
     /* 2185834 */   // Label 28744: @2185834
     /* 2185834 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2185925), // Rule ID 18776 //
     /* 2185839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185885 */     // MIs[0] round
     /* 2185885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185888 */     // MIs[0] policy
     /* 2185888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185898 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185924 */     // GIR_Coverage, 18776,
     /* 2185924 */     GIR_EraseRootFromParent_Done,
     /* 2185925 */   // Label 28745: @2185925
     /* 2185925 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2186016), // Rule ID 18777 //
     /* 2185930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185976 */     // MIs[0] round
     /* 2185976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185979 */     // MIs[0] policy
     /* 2185979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185989 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186015 */     // GIR_Coverage, 18777,
     /* 2186015 */     GIR_EraseRootFromParent_Done,
     /* 2186016 */   // Label 28746: @2186016
     /* 2186016 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2186107), // Rule ID 18780 //
     /* 2186021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2186032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2186035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186067 */     // MIs[0] round
     /* 2186067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186070 */     // MIs[0] policy
     /* 2186070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2186083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186106 */     // GIR_Coverage, 18780,
     /* 2186106 */     GIR_EraseRootFromParent_Done,
     /* 2186107 */   // Label 28747: @2186107
     /* 2186107 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2186198), // Rule ID 18781 //
     /* 2186112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2186123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2186126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186158 */     // MIs[0] round
     /* 2186158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186161 */     // MIs[0] policy
     /* 2186161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186171 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2186174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186197 */     // GIR_Coverage, 18781,
     /* 2186197 */     GIR_EraseRootFromParent_Done,
     /* 2186198 */   // Label 28748: @2186198
     /* 2186198 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2186289), // Rule ID 18784 //
     /* 2186203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186249 */     // MIs[0] round
     /* 2186249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186252 */     // MIs[0] policy
     /* 2186252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186262 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2186265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186288 */     // GIR_Coverage, 18784,
     /* 2186288 */     GIR_EraseRootFromParent_Done,
     /* 2186289 */   // Label 28749: @2186289
     /* 2186289 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2186380), // Rule ID 18785 //
     /* 2186294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186340 */     // MIs[0] round
     /* 2186340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186343 */     // MIs[0] policy
     /* 2186343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186353 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2186356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186379 */     // GIR_Coverage, 18785,
     /* 2186379 */     GIR_EraseRootFromParent_Done,
     /* 2186380 */   // Label 28750: @2186380
     /* 2186380 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2186471), // Rule ID 18788 //
     /* 2186385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186431 */     // MIs[0] round
     /* 2186431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186434 */     // MIs[0] policy
     /* 2186434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186444 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186470 */     // GIR_Coverage, 18788,
     /* 2186470 */     GIR_EraseRootFromParent_Done,
     /* 2186471 */   // Label 28751: @2186471
     /* 2186471 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2186562), // Rule ID 18789 //
     /* 2186476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186522 */     // MIs[0] round
     /* 2186522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186525 */     // MIs[0] policy
     /* 2186525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186535 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186561 */     // GIR_Coverage, 18789,
     /* 2186561 */     GIR_EraseRootFromParent_Done,
     /* 2186562 */   // Label 28752: @2186562
     /* 2186562 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2186653), // Rule ID 18792 //
     /* 2186567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186613 */     // MIs[0] round
     /* 2186613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186616 */     // MIs[0] policy
     /* 2186616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186626 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186652 */     // GIR_Coverage, 18792,
     /* 2186652 */     GIR_EraseRootFromParent_Done,
     /* 2186653 */   // Label 28753: @2186653
     /* 2186653 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2186744), // Rule ID 18793 //
     /* 2186658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186704 */     // MIs[0] round
     /* 2186704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186707 */     // MIs[0] policy
     /* 2186707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186717 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186743 */     // GIR_Coverage, 18793,
     /* 2186743 */     GIR_EraseRootFromParent_Done,
     /* 2186744 */   // Label 28754: @2186744
     /* 2186744 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2186835), // Rule ID 18796 //
     /* 2186749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186795 */     // MIs[0] round
     /* 2186795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186798 */     // MIs[0] policy
     /* 2186798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186808 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186834 */     // GIR_Coverage, 18796,
     /* 2186834 */     GIR_EraseRootFromParent_Done,
     /* 2186835 */   // Label 28755: @2186835
     /* 2186835 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2186926), // Rule ID 18797 //
     /* 2186840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186886 */     // MIs[0] round
     /* 2186886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186889 */     // MIs[0] policy
     /* 2186889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186899 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186925 */     // GIR_Coverage, 18797,
     /* 2186925 */     GIR_EraseRootFromParent_Done,
     /* 2186926 */   // Label 28756: @2186926
     /* 2186926 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2187017), // Rule ID 18800 //
     /* 2186931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186977 */     // MIs[0] round
     /* 2186977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186980 */     // MIs[0] policy
     /* 2186980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186990 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2186993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187016 */     // GIR_Coverage, 18800,
     /* 2187016 */     GIR_EraseRootFromParent_Done,
     /* 2187017 */   // Label 28757: @2187017
     /* 2187017 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2187108), // Rule ID 18801 //
     /* 2187022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2187042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187068 */     // MIs[0] round
     /* 2187068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187071 */     // MIs[0] policy
     /* 2187071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187081 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2187084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187107 */     // GIR_Coverage, 18801,
     /* 2187107 */     GIR_EraseRootFromParent_Done,
     /* 2187108 */   // Label 28758: @2187108
     /* 2187108 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2187199), // Rule ID 18804 //
     /* 2187113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2187133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187159 */     // MIs[0] round
     /* 2187159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187162 */     // MIs[0] policy
     /* 2187162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2187175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187198 */     // GIR_Coverage, 18804,
     /* 2187198 */     GIR_EraseRootFromParent_Done,
     /* 2187199 */   // Label 28759: @2187199
     /* 2187199 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2187290), // Rule ID 18805 //
     /* 2187204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2187224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187250 */     // MIs[0] round
     /* 2187250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187253 */     // MIs[0] policy
     /* 2187253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187263 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2187266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187289 */     // GIR_Coverage, 18805,
     /* 2187289 */     GIR_EraseRootFromParent_Done,
     /* 2187290 */   // Label 28760: @2187290
     /* 2187290 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2187381), // Rule ID 18808 //
     /* 2187295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187341 */     // MIs[0] round
     /* 2187341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187344 */     // MIs[0] policy
     /* 2187344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187354 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2187357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187380 */     // GIR_Coverage, 18808,
     /* 2187380 */     GIR_EraseRootFromParent_Done,
     /* 2187381 */   // Label 28761: @2187381
     /* 2187381 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2187472), // Rule ID 18809 //
     /* 2187386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187432 */     // MIs[0] round
     /* 2187432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187435 */     // MIs[0] policy
     /* 2187435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187445 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2187448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187471 */     // GIR_Coverage, 18809,
     /* 2187471 */     GIR_EraseRootFromParent_Done,
     /* 2187472 */   // Label 28762: @2187472
     /* 2187472 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2187563), // Rule ID 18812 //
     /* 2187477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187523 */     // MIs[0] round
     /* 2187523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187526 */     // MIs[0] policy
     /* 2187526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187536 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187562 */     // GIR_Coverage, 18812,
     /* 2187562 */     GIR_EraseRootFromParent_Done,
     /* 2187563 */   // Label 28763: @2187563
     /* 2187563 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2187654), // Rule ID 18813 //
     /* 2187568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187614 */     // MIs[0] round
     /* 2187614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187617 */     // MIs[0] policy
     /* 2187617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187627 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187653 */     // GIR_Coverage, 18813,
     /* 2187653 */     GIR_EraseRootFromParent_Done,
     /* 2187654 */   // Label 28764: @2187654
     /* 2187654 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2187745), // Rule ID 18816 //
     /* 2187659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187705 */     // MIs[0] round
     /* 2187705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187708 */     // MIs[0] policy
     /* 2187708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187718 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187744 */     // GIR_Coverage, 18816,
     /* 2187744 */     GIR_EraseRootFromParent_Done,
     /* 2187745 */   // Label 28765: @2187745
     /* 2187745 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2187836), // Rule ID 18817 //
     /* 2187750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187796 */     // MIs[0] round
     /* 2187796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187799 */     // MIs[0] policy
     /* 2187799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187809 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187835 */     // GIR_Coverage, 18817,
     /* 2187835 */     GIR_EraseRootFromParent_Done,
     /* 2187836 */   // Label 28766: @2187836
     /* 2187836 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2187927), // Rule ID 18820 //
     /* 2187841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187887 */     // MIs[0] round
     /* 2187887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187890 */     // MIs[0] policy
     /* 2187890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187900 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187926 */     // GIR_Coverage, 18820,
     /* 2187926 */     GIR_EraseRootFromParent_Done,
     /* 2187927 */   // Label 28767: @2187927
     /* 2187927 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2188018), // Rule ID 18821 //
     /* 2187932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187978 */     // MIs[0] round
     /* 2187978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187981 */     // MIs[0] policy
     /* 2187981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187991 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188017 */     // GIR_Coverage, 18821,
     /* 2188017 */     GIR_EraseRootFromParent_Done,
     /* 2188018 */   // Label 28768: @2188018
     /* 2188018 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2188109), // Rule ID 18824 //
     /* 2188023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2188040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188069 */     // MIs[0] round
     /* 2188069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188072 */     // MIs[0] policy
     /* 2188072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2188085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188108 */     // GIR_Coverage, 18824,
     /* 2188108 */     GIR_EraseRootFromParent_Done,
     /* 2188109 */   // Label 28769: @2188109
     /* 2188109 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2188200), // Rule ID 18825 //
     /* 2188114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2188131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188160 */     // MIs[0] round
     /* 2188160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188163 */     // MIs[0] policy
     /* 2188163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188173 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2188176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188199 */     // GIR_Coverage, 18825,
     /* 2188199 */     GIR_EraseRootFromParent_Done,
     /* 2188200 */   // Label 28770: @2188200
     /* 2188200 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2188291), // Rule ID 18828 //
     /* 2188205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2188222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2188225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188251 */     // MIs[0] round
     /* 2188251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188254 */     // MIs[0] policy
     /* 2188254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188264 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2188267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188290 */     // GIR_Coverage, 18828,
     /* 2188290 */     GIR_EraseRootFromParent_Done,
     /* 2188291 */   // Label 28771: @2188291
     /* 2188291 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2188382), // Rule ID 18829 //
     /* 2188296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2188313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2188316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188342 */     // MIs[0] round
     /* 2188342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188345 */     // MIs[0] policy
     /* 2188345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188355 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2188358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188381 */     // GIR_Coverage, 18829,
     /* 2188381 */     GIR_EraseRootFromParent_Done,
     /* 2188382 */   // Label 28772: @2188382
     /* 2188382 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2188473), // Rule ID 18832 //
     /* 2188387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188433 */     // MIs[0] round
     /* 2188433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188436 */     // MIs[0] policy
     /* 2188436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188446 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188472 */     // GIR_Coverage, 18832,
     /* 2188472 */     GIR_EraseRootFromParent_Done,
     /* 2188473 */   // Label 28773: @2188473
     /* 2188473 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2188564), // Rule ID 18833 //
     /* 2188478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188524 */     // MIs[0] round
     /* 2188524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188527 */     // MIs[0] policy
     /* 2188527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188537 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188563 */     // GIR_Coverage, 18833,
     /* 2188563 */     GIR_EraseRootFromParent_Done,
     /* 2188564 */   // Label 28774: @2188564
     /* 2188564 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2188655), // Rule ID 18836 //
     /* 2188569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188615 */     // MIs[0] round
     /* 2188615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188618 */     // MIs[0] policy
     /* 2188618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188628 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188654 */     // GIR_Coverage, 18836,
     /* 2188654 */     GIR_EraseRootFromParent_Done,
     /* 2188655 */   // Label 28775: @2188655
     /* 2188655 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2188746), // Rule ID 18837 //
     /* 2188660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188706 */     // MIs[0] round
     /* 2188706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188709 */     // MIs[0] policy
     /* 2188709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188719 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188745 */     // GIR_Coverage, 18837,
     /* 2188745 */     GIR_EraseRootFromParent_Done,
     /* 2188746 */   // Label 28776: @2188746
     /* 2188746 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2188837), // Rule ID 18840 //
     /* 2188751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188797 */     // MIs[0] round
     /* 2188797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188800 */     // MIs[0] policy
     /* 2188800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188810 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188836 */     // GIR_Coverage, 18840,
     /* 2188836 */     GIR_EraseRootFromParent_Done,
     /* 2188837 */   // Label 28777: @2188837
     /* 2188837 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2188928), // Rule ID 18841 //
     /* 2188842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188888 */     // MIs[0] round
     /* 2188888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188891 */     // MIs[0] policy
     /* 2188891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188901 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188927 */     // GIR_Coverage, 18841,
     /* 2188927 */     GIR_EraseRootFromParent_Done,
     /* 2188928 */   // Label 28778: @2188928
     /* 2188928 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2189019), // Rule ID 18844 //
     /* 2188933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188979 */     // MIs[0] round
     /* 2188979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188982 */     // MIs[0] policy
     /* 2188982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2188995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189018 */     // GIR_Coverage, 18844,
     /* 2189018 */     GIR_EraseRootFromParent_Done,
     /* 2189019 */   // Label 28779: @2189019
     /* 2189019 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2189110), // Rule ID 18845 //
     /* 2189024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2189035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2189038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2189044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189070 */     // MIs[0] round
     /* 2189070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189073 */     // MIs[0] policy
     /* 2189073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189083 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2189086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189109 */     // GIR_Coverage, 18845,
     /* 2189109 */     GIR_EraseRootFromParent_Done,
     /* 2189110 */   // Label 28780: @2189110
     /* 2189110 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2189201), // Rule ID 18848 //
     /* 2189115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2189126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2189129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2189135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189161 */     // MIs[0] round
     /* 2189161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189164 */     // MIs[0] policy
     /* 2189164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189174 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2189177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189200 */     // GIR_Coverage, 18848,
     /* 2189200 */     GIR_EraseRootFromParent_Done,
     /* 2189201 */   // Label 28781: @2189201
     /* 2189201 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2189292), // Rule ID 18849 //
     /* 2189206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2189217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2189220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2189226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189252 */     // MIs[0] round
     /* 2189252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189255 */     // MIs[0] policy
     /* 2189255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189265 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2189268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189291 */     // GIR_Coverage, 18849,
     /* 2189291 */     GIR_EraseRootFromParent_Done,
     /* 2189292 */   // Label 28782: @2189292
     /* 2189292 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2189383), // Rule ID 18852 //
     /* 2189297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189343 */     // MIs[0] round
     /* 2189343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189346 */     // MIs[0] policy
     /* 2189346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189356 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2189359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189382 */     // GIR_Coverage, 18852,
     /* 2189382 */     GIR_EraseRootFromParent_Done,
     /* 2189383 */   // Label 28783: @2189383
     /* 2189383 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2189474), // Rule ID 18853 //
     /* 2189388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189434 */     // MIs[0] round
     /* 2189434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189437 */     // MIs[0] policy
     /* 2189437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189447 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2189450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189473 */     // GIR_Coverage, 18853,
     /* 2189473 */     GIR_EraseRootFromParent_Done,
     /* 2189474 */   // Label 28784: @2189474
     /* 2189474 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2189565), // Rule ID 18856 //
     /* 2189479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189525 */     // MIs[0] round
     /* 2189525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189528 */     // MIs[0] policy
     /* 2189528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189564 */     // GIR_Coverage, 18856,
     /* 2189564 */     GIR_EraseRootFromParent_Done,
     /* 2189565 */   // Label 28785: @2189565
     /* 2189565 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2189656), // Rule ID 18857 //
     /* 2189570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189616 */     // MIs[0] round
     /* 2189616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189619 */     // MIs[0] policy
     /* 2189619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189629 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189655 */     // GIR_Coverage, 18857,
     /* 2189655 */     GIR_EraseRootFromParent_Done,
     /* 2189656 */   // Label 28786: @2189656
     /* 2189656 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2189747), // Rule ID 18860 //
     /* 2189661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189707 */     // MIs[0] round
     /* 2189707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189710 */     // MIs[0] policy
     /* 2189710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189746 */     // GIR_Coverage, 18860,
     /* 2189746 */     GIR_EraseRootFromParent_Done,
     /* 2189747 */   // Label 28787: @2189747
     /* 2189747 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2189838), // Rule ID 18861 //
     /* 2189752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189798 */     // MIs[0] round
     /* 2189798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189801 */     // MIs[0] policy
     /* 2189801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189811 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189837 */     // GIR_Coverage, 18861,
     /* 2189837 */     GIR_EraseRootFromParent_Done,
     /* 2189838 */   // Label 28788: @2189838
     /* 2189838 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2189929), // Rule ID 18864 //
     /* 2189843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189889 */     // MIs[0] round
     /* 2189889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189892 */     // MIs[0] policy
     /* 2189892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189902 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189928 */     // GIR_Coverage, 18864,
     /* 2189928 */     GIR_EraseRootFromParent_Done,
     /* 2189929 */   // Label 28789: @2189929
     /* 2189929 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2190020), // Rule ID 18865 //
     /* 2189934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189980 */     // MIs[0] round
     /* 2189980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189983 */     // MIs[0] policy
     /* 2189983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189993 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190019 */     // GIR_Coverage, 18865,
     /* 2190019 */     GIR_EraseRootFromParent_Done,
     /* 2190020 */   // Label 28790: @2190020
     /* 2190020 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2190111), // Rule ID 18868 //
     /* 2190025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2190036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2190039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190071 */     // MIs[0] round
     /* 2190071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190074 */     // MIs[0] policy
     /* 2190074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190084 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2190087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190110 */     // GIR_Coverage, 18868,
     /* 2190110 */     GIR_EraseRootFromParent_Done,
     /* 2190111 */   // Label 28791: @2190111
     /* 2190111 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2190202), // Rule ID 18869 //
     /* 2190116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2190127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2190130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190162 */     // MIs[0] round
     /* 2190162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190165 */     // MIs[0] policy
     /* 2190165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190175 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2190178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190201 */     // GIR_Coverage, 18869,
     /* 2190201 */     GIR_EraseRootFromParent_Done,
     /* 2190202 */   // Label 28792: @2190202
     /* 2190202 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2190293), // Rule ID 18872 //
     /* 2190207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2190227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190253 */     // MIs[0] round
     /* 2190253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190256 */     // MIs[0] policy
     /* 2190256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190266 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2190269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190292 */     // GIR_Coverage, 18872,
     /* 2190292 */     GIR_EraseRootFromParent_Done,
     /* 2190293 */   // Label 28793: @2190293
     /* 2190293 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2190384), // Rule ID 18873 //
     /* 2190298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2190318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190344 */     // MIs[0] round
     /* 2190344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190347 */     // MIs[0] policy
     /* 2190347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190357 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2190360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190383 */     // GIR_Coverage, 18873,
     /* 2190383 */     GIR_EraseRootFromParent_Done,
     /* 2190384 */   // Label 28794: @2190384
     /* 2190384 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2190475), // Rule ID 18876 //
     /* 2190389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190435 */     // MIs[0] round
     /* 2190435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190438 */     // MIs[0] policy
     /* 2190438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190448 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190474 */     // GIR_Coverage, 18876,
     /* 2190474 */     GIR_EraseRootFromParent_Done,
     /* 2190475 */   // Label 28795: @2190475
     /* 2190475 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2190566), // Rule ID 18877 //
     /* 2190480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190526 */     // MIs[0] round
     /* 2190526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190529 */     // MIs[0] policy
     /* 2190529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190539 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190565 */     // GIR_Coverage, 18877,
     /* 2190565 */     GIR_EraseRootFromParent_Done,
     /* 2190566 */   // Label 28796: @2190566
     /* 2190566 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2190657), // Rule ID 18880 //
     /* 2190571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190617 */     // MIs[0] round
     /* 2190617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190620 */     // MIs[0] policy
     /* 2190620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190630 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190656 */     // GIR_Coverage, 18880,
     /* 2190656 */     GIR_EraseRootFromParent_Done,
     /* 2190657 */   // Label 28797: @2190657
     /* 2190657 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2190748), // Rule ID 18881 //
     /* 2190662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190708 */     // MIs[0] round
     /* 2190708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190711 */     // MIs[0] policy
     /* 2190711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190721 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190747 */     // GIR_Coverage, 18881,
     /* 2190747 */     GIR_EraseRootFromParent_Done,
     /* 2190748 */   // Label 28798: @2190748
     /* 2190748 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2190839), // Rule ID 64270 //
     /* 2190753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190799 */     // MIs[0] round
     /* 2190799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190802 */     // MIs[0] policy
     /* 2190802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190838 */     // GIR_Coverage, 64270,
     /* 2190838 */     GIR_EraseRootFromParent_Done,
     /* 2190839 */   // Label 28799: @2190839
     /* 2190839 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2190930), // Rule ID 64271 //
     /* 2190844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190890 */     // MIs[0] round
     /* 2190890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190893 */     // MIs[0] policy
     /* 2190893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190929 */     // GIR_Coverage, 64271,
     /* 2190929 */     GIR_EraseRootFromParent_Done,
     /* 2190930 */   // Label 28800: @2190930
     /* 2190930 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2191021), // Rule ID 64274 //
     /* 2190935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190981 */     // MIs[0] round
     /* 2190981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190984 */     // MIs[0] policy
     /* 2190984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2190997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191020 */     // GIR_Coverage, 64274,
     /* 2191020 */     GIR_EraseRootFromParent_Done,
     /* 2191021 */   // Label 28801: @2191021
     /* 2191021 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2191112), // Rule ID 64275 //
     /* 2191026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191072 */     // MIs[0] round
     /* 2191072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191075 */     // MIs[0] policy
     /* 2191075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191085 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2191088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191111 */     // GIR_Coverage, 64275,
     /* 2191111 */     GIR_EraseRootFromParent_Done,
     /* 2191112 */   // Label 28802: @2191112
     /* 2191112 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2191203), // Rule ID 64278 //
     /* 2191117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191163 */     // MIs[0] round
     /* 2191163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191166 */     // MIs[0] policy
     /* 2191166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2191179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191202 */     // GIR_Coverage, 64278,
     /* 2191202 */     GIR_EraseRootFromParent_Done,
     /* 2191203 */   // Label 28803: @2191203
     /* 2191203 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2191294), // Rule ID 64279 //
     /* 2191208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191254 */     // MIs[0] round
     /* 2191254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191257 */     // MIs[0] policy
     /* 2191257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2191270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191293 */     // GIR_Coverage, 64279,
     /* 2191293 */     GIR_EraseRootFromParent_Done,
     /* 2191294 */   // Label 28804: @2191294
     /* 2191294 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2191385), // Rule ID 64282 //
     /* 2191299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191345 */     // MIs[0] round
     /* 2191345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191348 */     // MIs[0] policy
     /* 2191348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2191361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191384 */     // GIR_Coverage, 64282,
     /* 2191384 */     GIR_EraseRootFromParent_Done,
     /* 2191385 */   // Label 28805: @2191385
     /* 2191385 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2191476), // Rule ID 64283 //
     /* 2191390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191436 */     // MIs[0] round
     /* 2191436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191439 */     // MIs[0] policy
     /* 2191439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2191452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191475 */     // GIR_Coverage, 64283,
     /* 2191475 */     GIR_EraseRootFromParent_Done,
     /* 2191476 */   // Label 28806: @2191476
     /* 2191476 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2191567), // Rule ID 64286 //
     /* 2191481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191527 */     // MIs[0] round
     /* 2191527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191530 */     // MIs[0] policy
     /* 2191530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191540 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191566 */     // GIR_Coverage, 64286,
     /* 2191566 */     GIR_EraseRootFromParent_Done,
     /* 2191567 */   // Label 28807: @2191567
     /* 2191567 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2191658), // Rule ID 64287 //
     /* 2191572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191618 */     // MIs[0] round
     /* 2191618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191621 */     // MIs[0] policy
     /* 2191621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191631 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191657 */     // GIR_Coverage, 64287,
     /* 2191657 */     GIR_EraseRootFromParent_Done,
     /* 2191658 */   // Label 28808: @2191658
     /* 2191658 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2191749), // Rule ID 64290 //
     /* 2191663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191709 */     // MIs[0] round
     /* 2191709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191712 */     // MIs[0] policy
     /* 2191712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191722 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191748 */     // GIR_Coverage, 64290,
     /* 2191748 */     GIR_EraseRootFromParent_Done,
     /* 2191749 */   // Label 28809: @2191749
     /* 2191749 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2191840), // Rule ID 64291 //
     /* 2191754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191800 */     // MIs[0] round
     /* 2191800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191803 */     // MIs[0] policy
     /* 2191803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191813 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191839 */     // GIR_Coverage, 64291,
     /* 2191839 */     GIR_EraseRootFromParent_Done,
     /* 2191840 */   // Label 28810: @2191840
     /* 2191840 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2191931), // Rule ID 64294 //
     /* 2191845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191891 */     // MIs[0] round
     /* 2191891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191894 */     // MIs[0] policy
     /* 2191894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191904 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191930 */     // GIR_Coverage, 64294,
     /* 2191930 */     GIR_EraseRootFromParent_Done,
     /* 2191931 */   // Label 28811: @2191931
     /* 2191931 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2192022), // Rule ID 64295 //
     /* 2191936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191982 */     // MIs[0] round
     /* 2191982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191985 */     // MIs[0] policy
     /* 2191985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191995 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192021 */     // GIR_Coverage, 64295,
     /* 2192021 */     GIR_EraseRootFromParent_Done,
     /* 2192022 */   // Label 28812: @2192022
     /* 2192022 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2192113), // Rule ID 64298 //
     /* 2192027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2192030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2192038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2192041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2192044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192073 */     // MIs[0] round
     /* 2192073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192076 */     // MIs[0] policy
     /* 2192076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192086 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2192089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192112 */     // GIR_Coverage, 64298,
     /* 2192112 */     GIR_EraseRootFromParent_Done,
     /* 2192113 */   // Label 28813: @2192113
     /* 2192113 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2192204), // Rule ID 64299 //
     /* 2192118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2192129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2192132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2192135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192164 */     // MIs[0] round
     /* 2192164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192167 */     // MIs[0] policy
     /* 2192167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192177 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2192180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192203 */     // GIR_Coverage, 64299,
     /* 2192203 */     GIR_EraseRootFromParent_Done,
     /* 2192204 */   // Label 28814: @2192204
     /* 2192204 */   GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2192295), // Rule ID 64302 //
     /* 2192209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2192212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2192220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2192223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2192226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192255 */     // MIs[0] round
     /* 2192255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192258 */     // MIs[0] policy
     /* 2192258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2192271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192294 */     // GIR_Coverage, 64302,
     /* 2192294 */     GIR_EraseRootFromParent_Done,
     /* 2192295 */   // Label 28815: @2192295
     /* 2192295 */   GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2192386), // Rule ID 64303 //
     /* 2192300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2192311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2192314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2192317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192346 */     // MIs[0] round
     /* 2192346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192349 */     // MIs[0] policy
     /* 2192349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2192362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192385 */     // GIR_Coverage, 64303,
     /* 2192385 */     GIR_EraseRootFromParent_Done,
     /* 2192386 */   // Label 28816: @2192386
     /* 2192386 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2192477), // Rule ID 64306 //
     /* 2192391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2192394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2192402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2192405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2192408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192437 */     // MIs[0] round
     /* 2192437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192440 */     // MIs[0] policy
     /* 2192440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192450 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192476 */     // GIR_Coverage, 64306,
     /* 2192476 */     GIR_EraseRootFromParent_Done,
     /* 2192477 */   // Label 28817: @2192477
     /* 2192477 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2192568), // Rule ID 64307 //
     /* 2192482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2192493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2192496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2192499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192528 */     // MIs[0] round
     /* 2192528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192531 */     // MIs[0] policy
     /* 2192531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192541 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192567 */     // GIR_Coverage, 64307,
     /* 2192567 */     GIR_EraseRootFromParent_Done,
     /* 2192568 */   // Label 28818: @2192568
     /* 2192568 */   GIM_Reject,
     /* 2192569 */ // Label 26774: @2192569
     /* 2192569 */ GIM_Reject,
     /* 2192570 */ // Label 38: @2192570
     /* 2192570 */ GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2192653), // Rule ID 35 //
     /* 2192575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2192578 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2192581 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2192586 */   // MIs[0] Operand 1
     /* 2192586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2192590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2192594 */   // MIs[0] ptr
     /* 2192594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2192602 */   // MIs[0] accessinfo
     /* 2192602 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2192605 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2192605 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192609 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192615 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2192619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2192622 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2192624 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2192626 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2192629 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2192632 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2192635 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2192638 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2192641 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2192644 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2192647 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192652 */   // GIR_Coverage, 35,
     /* 2192652 */   GIR_EraseRootFromParent_Done,
     /* 2192653 */ // Label 28819: @2192653
     /* 2192653 */ GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2193558),
     /* 2192658 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2192661 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2192733), // Rule ID 621 //
     /* 2192666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2192674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192687 */     // MIs[0] addr
     /* 2192687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192703 */     // MIs[0] ordering
     /* 2192703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192706 */     // (intrinsic_w_chain:{ *:[i32] } 10960:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2192712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192714 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192719 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192721 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192723 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192725 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192732 */     // GIR_Coverage, 621,
     /* 2192732 */     GIR_EraseRootFromParent_Done,
     /* 2192733 */   // Label 28821: @2192733
     /* 2192733 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2192805), // Rule ID 622 //
     /* 2192738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2192746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192759 */     // MIs[0] addr
     /* 2192759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192775 */     // MIs[0] ordering
     /* 2192775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192778 */     // (intrinsic_w_chain:{ *:[i32] } 10946:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2192784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192786 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192791 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192793 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192795 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192797 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192804 */     // GIR_Coverage, 622,
     /* 2192804 */     GIR_EraseRootFromParent_Done,
     /* 2192805 */   // Label 28822: @2192805
     /* 2192805 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2192877), // Rule ID 623 //
     /* 2192810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2192818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192831 */     // MIs[0] addr
     /* 2192831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192847 */     // MIs[0] ordering
     /* 2192847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192850 */     // (intrinsic_w_chain:{ *:[i32] } 10954:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2192856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192858 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192863 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192865 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192867 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192869 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192876 */     // GIR_Coverage, 623,
     /* 2192876 */     GIR_EraseRootFromParent_Done,
     /* 2192877 */   // Label 28823: @2192877
     /* 2192877 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2192949), // Rule ID 624 //
     /* 2192882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2192890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192903 */     // MIs[0] addr
     /* 2192903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192919 */     // MIs[0] ordering
     /* 2192919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192922 */     // (intrinsic_w_chain:{ *:[i32] } 10952:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2192928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192930 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192935 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192937 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192939 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192941 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192948 */     // GIR_Coverage, 624,
     /* 2192948 */     GIR_EraseRootFromParent_Done,
     /* 2192949 */   // Label 28824: @2192949
     /* 2192949 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2193029), // Rule ID 627 //
     /* 2192954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2192962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192975 */     // MIs[0] addr
     /* 2192975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192991 */     // MIs[0] ordering
     /* 2192991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192994 */     // (intrinsic_w_chain:{ *:[i32] } 10956:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192994 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2193003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193005 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193010 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193015 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193017 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193019 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193021 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193028 */     // GIR_Coverage, 627,
     /* 2193028 */     GIR_EraseRootFromParent_Done,
     /* 2193029 */   // Label 28825: @2193029
     /* 2193029 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2193109), // Rule ID 628 //
     /* 2193034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2193042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193055 */     // MIs[0] addr
     /* 2193055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193071 */     // MIs[0] ordering
     /* 2193071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193074 */     // (intrinsic_w_chain:{ *:[i32] } 10958:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2193074 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2193083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193085 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193090 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193095 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193097 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193099 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193101 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193108 */     // GIR_Coverage, 628,
     /* 2193108 */     GIR_EraseRootFromParent_Done,
     /* 2193109 */   // Label 28826: @2193109
     /* 2193109 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2193181), // Rule ID 634 //
     /* 2193114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2193122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193135 */     // MIs[0] addr
     /* 2193135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193151 */     // MIs[0] ordering
     /* 2193151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193154 */     // (intrinsic_w_chain:{ *:[i64] } 10961:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2193160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193162 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193167 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193169 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193171 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193173 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193180 */     // GIR_Coverage, 634,
     /* 2193180 */     GIR_EraseRootFromParent_Done,
     /* 2193181 */   // Label 28827: @2193181
     /* 2193181 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2193253), // Rule ID 635 //
     /* 2193186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2193194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193207 */     // MIs[0] addr
     /* 2193207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193223 */     // MIs[0] ordering
     /* 2193223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193226 */     // (intrinsic_w_chain:{ *:[i64] } 10947:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2193232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193234 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193239 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193241 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193243 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193245 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193252 */     // GIR_Coverage, 635,
     /* 2193252 */     GIR_EraseRootFromParent_Done,
     /* 2193253 */   // Label 28828: @2193253
     /* 2193253 */   GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2193325), // Rule ID 636 //
     /* 2193258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2193266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193279 */     // MIs[0] addr
     /* 2193279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193295 */     // MIs[0] ordering
     /* 2193295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193298 */     // (intrinsic_w_chain:{ *:[i64] } 10955:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2193304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193306 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193311 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193313 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193315 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193317 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193324 */     // GIR_Coverage, 636,
     /* 2193324 */     GIR_EraseRootFromParent_Done,
     /* 2193325 */   // Label 28829: @2193325
     /* 2193325 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2193397), // Rule ID 637 //
     /* 2193330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2193338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193351 */     // MIs[0] addr
     /* 2193351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193367 */     // MIs[0] ordering
     /* 2193367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193370 */     // (intrinsic_w_chain:{ *:[i64] } 10953:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2193376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193378 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193383 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193385 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193387 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193389 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193396 */     // GIR_Coverage, 637,
     /* 2193396 */     GIR_EraseRootFromParent_Done,
     /* 2193397 */   // Label 28830: @2193397
     /* 2193397 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2193477), // Rule ID 640 //
     /* 2193402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2193410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193423 */     // MIs[0] addr
     /* 2193423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193439 */     // MIs[0] ordering
     /* 2193439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193442 */     // (intrinsic_w_chain:{ *:[i64] } 10957:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193442 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2193451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193453 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193458 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193463 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193465 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193467 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193469 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193476 */     // GIR_Coverage, 640,
     /* 2193476 */     GIR_EraseRootFromParent_Done,
     /* 2193477 */   // Label 28831: @2193477
     /* 2193477 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2193557), // Rule ID 641 //
     /* 2193482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2193490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193503 */     // MIs[0] addr
     /* 2193503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193519 */     // MIs[0] ordering
     /* 2193519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193522 */     // (intrinsic_w_chain:{ *:[i64] } 10959:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193522 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2193531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193533 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193538 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193543 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193545 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193547 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193549 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193556 */     // GIR_Coverage, 641,
     /* 2193556 */     GIR_EraseRootFromParent_Done,
     /* 2193557 */   // Label 28832: @2193557
     /* 2193557 */   GIM_Reject,
     /* 2193558 */ // Label 28820: @2193558
     /* 2193558 */ GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2194085),
     /* 2193563 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2193566 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2193655), // Rule ID 625 //
     /* 2193571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2193579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193595 */     // MIs[0] addr
     /* 2193595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193615 */     // MIs[0] ordering
     /* 2193615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193618 */     // (intrinsic_w_chain:{ *:[i32] } 10948:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193618 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193629 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193634 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193639 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193641 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193643 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193645 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193647 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193654 */     // GIR_Coverage, 625,
     /* 2193654 */     GIR_EraseRootFromParent_Done,
     /* 2193655 */   // Label 28834: @2193655
     /* 2193655 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2193744), // Rule ID 626 //
     /* 2193660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2193668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193684 */     // MIs[0] addr
     /* 2193684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193704 */     // MIs[0] ordering
     /* 2193704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193707 */     // (intrinsic_w_chain:{ *:[i32] } 10950:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193707 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193718 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193723 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193728 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193730 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193732 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193734 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193736 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193743 */     // GIR_Coverage, 626,
     /* 2193743 */     GIR_EraseRootFromParent_Done,
     /* 2193744 */   // Label 28835: @2193744
     /* 2193744 */   GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2193833), // Rule ID 638 //
     /* 2193749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2193757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193773 */     // MIs[0] addr
     /* 2193773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193793 */     // MIs[0] ordering
     /* 2193793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193796 */     // (intrinsic_w_chain:{ *:[i64] } 10949:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193796 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193807 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193812 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193817 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193819 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193821 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193823 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193825 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193832 */     // GIR_Coverage, 638,
     /* 2193832 */     GIR_EraseRootFromParent_Done,
     /* 2193833 */   // Label 28836: @2193833
     /* 2193833 */   GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2193922), // Rule ID 639 //
     /* 2193838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2193846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193862 */     // MIs[0] addr
     /* 2193862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193882 */     // MIs[0] ordering
     /* 2193882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193885 */     // (intrinsic_w_chain:{ *:[i64] } 10951:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193885 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193896 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193901 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193906 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193908 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193910 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193912 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193914 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193921 */     // GIR_Coverage, 639,
     /* 2193921 */     GIR_EraseRootFromParent_Done,
     /* 2193922 */   // Label 28837: @2193922
     /* 2193922 */   GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2194003), // Rule ID 657 //
     /* 2193927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2193935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193951 */     // MIs[0] addr
     /* 2193951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193971 */     // MIs[0] ordering
     /* 2193971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193974 */     // (intrinsic_w_chain:{ *:[i32] } 10962:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2193974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2193980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193982 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193987 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193989 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2193991 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2193993 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2193995 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2194001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194002 */     // GIR_Coverage, 657,
     /* 2194002 */     GIR_EraseRootFromParent_Done,
     /* 2194003 */   // Label 28838: @2194003
     /* 2194003 */   GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2194084), // Rule ID 658 //
     /* 2194008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2194011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2194016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2194019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2194022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2194025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2194028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194032 */     // MIs[0] addr
     /* 2194032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2194036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194052 */     // MIs[0] ordering
     /* 2194052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194055 */     // (intrinsic_w_chain:{ *:[i64] } 10963:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2194055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2194058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2194061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2194063 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2194068 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2194070 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2194072 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2194074 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2194076 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2194078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2194082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194083 */     // GIR_Coverage, 658,
     /* 2194083 */     GIR_EraseRootFromParent_Done,
     /* 2194084 */   // Label 28839: @2194084
     /* 2194084 */   GIM_Reject,
     /* 2194085 */ // Label 28833: @2194085
     /* 2194085 */ GIM_Reject,
     /* 2194086 */ // Label 39: @2194086
     /* 2194086 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28855*/ GIMT_Encode4(2197206),
     /* 2194097 */ /*GILLT_nxv1s16*//*Label 28840*/ GIMT_Encode4(2194197),
     /* 2194101 */ /*GILLT_nxv1s32*//*Label 28841*/ GIMT_Encode4(2194301),
     /* 2194105 */ /*GILLT_nxv1s64*//*Label 28842*/ GIMT_Encode4(2194518), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194117 */ /*GILLT_nxv2s16*//*Label 28843*/ GIMT_Encode4(2194843),
     /* 2194121 */ /*GILLT_nxv2s32*//*Label 28844*/ GIMT_Encode4(2194947),
     /* 2194125 */ /*GILLT_nxv2s64*//*Label 28845*/ GIMT_Encode4(2195164), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194137 */ /*GILLT_nxv4s16*//*Label 28846*/ GIMT_Encode4(2195489),
     /* 2194141 */ /*GILLT_nxv4s32*//*Label 28847*/ GIMT_Encode4(2195593),
     /* 2194145 */ /*GILLT_nxv4s64*//*Label 28848*/ GIMT_Encode4(2195810), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194157 */ /*GILLT_nxv8s16*//*Label 28849*/ GIMT_Encode4(2196135),
     /* 2194161 */ /*GILLT_nxv8s32*//*Label 28850*/ GIMT_Encode4(2196239),
     /* 2194165 */ /*GILLT_nxv8s64*//*Label 28851*/ GIMT_Encode4(2196456), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194177 */ /*GILLT_nxv16s16*//*Label 28852*/ GIMT_Encode4(2196781),
     /* 2194181 */ /*GILLT_nxv16s32*//*Label 28853*/ GIMT_Encode4(2196885), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194193 */ /*GILLT_nxv32s16*//*Label 28854*/ GIMT_Encode4(2197102),
     /* 2194197 */ // Label 28840: @2194197
     /* 2194197 */ GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2194300),
     /* 2194202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194213 */   GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2194256), // Rule ID 47360 //
     /* 2194218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194221 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2194224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2194238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194255 */     // GIR_Coverage, 47360,
     /* 2194255 */     GIR_EraseRootFromParent_Done,
     /* 2194256 */   // Label 28857: @2194256
     /* 2194256 */   GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2194299), // Rule ID 47361 //
     /* 2194261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194264 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2194267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2194281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194298 */     // GIR_Coverage, 47361,
     /* 2194298 */     GIR_EraseRootFromParent_Done,
     /* 2194299 */   // Label 28858: @2194299
     /* 2194299 */   GIM_Reject,
     /* 2194300 */ // Label 28856: @2194300
     /* 2194300 */ GIM_Reject,
     /* 2194301 */ // Label 28841: @2194301
     /* 2194301 */ GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2194355), // Rule ID 47384 //
     /* 2194306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194320 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194320 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194323 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194327 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194354 */   // GIR_Coverage, 47384,
     /* 2194354 */   GIR_EraseRootFromParent_Done,
     /* 2194355 */ // Label 28859: @2194355
     /* 2194355 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2194409), // Rule ID 47385 //
     /* 2194360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194374 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194408 */   // GIR_Coverage, 47385,
     /* 2194408 */   GIR_EraseRootFromParent_Done,
     /* 2194409 */ // Label 28860: @2194409
     /* 2194409 */ GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2194463), // Rule ID 47450 //
     /* 2194414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194428 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194428 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194431 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194435 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194440 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194447 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194462 */   // GIR_Coverage, 47450,
     /* 2194462 */   GIR_EraseRootFromParent_Done,
     /* 2194463 */ // Label 28861: @2194463
     /* 2194463 */ GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2194517), // Rule ID 47451 //
     /* 2194468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194482 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194516 */   // GIR_Coverage, 47451,
     /* 2194516 */   GIR_EraseRootFromParent_Done,
     /* 2194517 */ // Label 28862: @2194517
     /* 2194517 */ GIM_Reject,
     /* 2194518 */ // Label 28842: @2194518
     /* 2194518 */ GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2194572), // Rule ID 47404 //
     /* 2194523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194537 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194537 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194540 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194544 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194549 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194556 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194559 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194571 */   // GIR_Coverage, 47404,
     /* 2194571 */   GIR_EraseRootFromParent_Done,
     /* 2194572 */ // Label 28863: @2194572
     /* 2194572 */ GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2194626), // Rule ID 47405 //
     /* 2194577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194591 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194591 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194594 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194598 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194610 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194625 */   // GIR_Coverage, 47405,
     /* 2194625 */   GIR_EraseRootFromParent_Done,
     /* 2194626 */ // Label 28864: @2194626
     /* 2194626 */ GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2194680), // Rule ID 47470 //
     /* 2194631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194645 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194645 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194648 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194652 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194657 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194664 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194667 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194679 */   // GIR_Coverage, 47470,
     /* 2194679 */   GIR_EraseRootFromParent_Done,
     /* 2194680 */ // Label 28865: @2194680
     /* 2194680 */ GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2194734), // Rule ID 47471 //
     /* 2194685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194699 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194711 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194733 */   // GIR_Coverage, 47471,
     /* 2194733 */   GIR_EraseRootFromParent_Done,
     /* 2194734 */ // Label 28866: @2194734
     /* 2194734 */ GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2194788), // Rule ID 47504 //
     /* 2194739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194753 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194765 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194772 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194775 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194787 */   // GIR_Coverage, 47504,
     /* 2194787 */   GIR_EraseRootFromParent_Done,
     /* 2194788 */ // Label 28867: @2194788
     /* 2194788 */ GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2194842), // Rule ID 47505 //
     /* 2194793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194807 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194807 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194810 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194814 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194819 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194826 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194841 */   // GIR_Coverage, 47505,
     /* 2194841 */   GIR_EraseRootFromParent_Done,
     /* 2194842 */ // Label 28868: @2194842
     /* 2194842 */ GIM_Reject,
     /* 2194843 */ // Label 28843: @2194843
     /* 2194843 */ GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2194946),
     /* 2194848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194859 */   GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2194902), // Rule ID 47364 //
     /* 2194864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194867 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194901 */     // GIR_Coverage, 47364,
     /* 2194901 */     GIR_EraseRootFromParent_Done,
     /* 2194902 */   // Label 28870: @2194902
     /* 2194902 */   GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2194945), // Rule ID 47365 //
     /* 2194907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194910 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194944 */     // GIR_Coverage, 47365,
     /* 2194944 */     GIR_EraseRootFromParent_Done,
     /* 2194945 */   // Label 28871: @2194945
     /* 2194945 */   GIM_Reject,
     /* 2194946 */ // Label 28869: @2194946
     /* 2194946 */ GIM_Reject,
     /* 2194947 */ // Label 28844: @2194947
     /* 2194947 */ GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2195001), // Rule ID 47388 //
     /* 2194952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194966 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195000 */   // GIR_Coverage, 47388,
     /* 2195000 */   GIR_EraseRootFromParent_Done,
     /* 2195001 */ // Label 28872: @2195001
     /* 2195001 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2195055), // Rule ID 47389 //
     /* 2195006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2195012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195020 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2195023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195032 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195039 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195042 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195054 */   // GIR_Coverage, 47389,
     /* 2195054 */   GIR_EraseRootFromParent_Done,
     /* 2195055 */ // Label 28873: @2195055
     /* 2195055 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2195109), // Rule ID 47454 //
     /* 2195060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195074 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195074 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2195077 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195081 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195086 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2195091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195096 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195108 */   // GIR_Coverage, 47454,
     /* 2195108 */   GIR_EraseRootFromParent_Done,
     /* 2195109 */ // Label 28874: @2195109
     /* 2195109 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2195163), // Rule ID 47455 //
     /* 2195114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195128 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2195131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2195145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195162 */   // GIR_Coverage, 47455,
     /* 2195162 */   GIR_EraseRootFromParent_Done,
     /* 2195163 */ // Label 28875: @2195163
     /* 2195163 */ GIM_Reject,
     /* 2195164 */ // Label 28845: @2195164
     /* 2195164 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2195218), // Rule ID 47408 //
     /* 2195169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2195175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195183 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195205 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195217 */   // GIR_Coverage, 47408,
     /* 2195217 */   GIR_EraseRootFromParent_Done,
     /* 2195218 */ // Label 28876: @2195218
     /* 2195218 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2195272), // Rule ID 47409 //
     /* 2195223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2195229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195237 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195237 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195240 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195244 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195271 */   // GIR_Coverage, 47409,
     /* 2195271 */   GIR_EraseRootFromParent_Done,
     /* 2195272 */ // Label 28877: @2195272
     /* 2195272 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2195326), // Rule ID 47474 //
     /* 2195277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2195283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195291 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195310 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195313 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195325 */   // GIR_Coverage, 47474,
     /* 2195325 */   GIR_EraseRootFromParent_Done,
     /* 2195326 */ // Label 28878: @2195326
     /* 2195326 */ GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2195380), // Rule ID 47475 //
     /* 2195331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2195337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195345 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195345 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195348 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195352 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195357 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195364 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195367 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195379 */   // GIR_Coverage, 47475,
     /* 2195379 */   GIR_EraseRootFromParent_Done,
     /* 2195380 */ // Label 28879: @2195380
     /* 2195380 */ GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2195434), // Rule ID 47508 //
     /* 2195385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195399 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195399 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195402 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195406 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195411 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2195416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195418 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195433 */   // GIR_Coverage, 47508,
     /* 2195433 */   GIR_EraseRootFromParent_Done,
     /* 2195434 */ // Label 28880: @2195434
     /* 2195434 */ GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2195488), // Rule ID 47509 //
     /* 2195439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195453 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2195470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195487 */   // GIR_Coverage, 47509,
     /* 2195487 */   GIR_EraseRootFromParent_Done,
     /* 2195488 */ // Label 28881: @2195488
     /* 2195488 */ GIM_Reject,
     /* 2195489 */ // Label 28846: @2195489
     /* 2195489 */ GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2195592),
     /* 2195494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195505 */   GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2195548), // Rule ID 47368 //
     /* 2195510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195513 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195547 */     // GIR_Coverage, 47368,
     /* 2195547 */     GIR_EraseRootFromParent_Done,
     /* 2195548 */   // Label 28883: @2195548
     /* 2195548 */   GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2195591), // Rule ID 47369 //
     /* 2195553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195556 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195590 */     // GIR_Coverage, 47369,
     /* 2195590 */     GIR_EraseRootFromParent_Done,
     /* 2195591 */   // Label 28884: @2195591
     /* 2195591 */   GIM_Reject,
     /* 2195592 */ // Label 28882: @2195592
     /* 2195592 */ GIM_Reject,
     /* 2195593 */ // Label 28847: @2195593
     /* 2195593 */ GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2195647), // Rule ID 47392 //
     /* 2195598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195612 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195612 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195615 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195619 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195634 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195646 */   // GIR_Coverage, 47392,
     /* 2195646 */   GIR_EraseRootFromParent_Done,
     /* 2195647 */ // Label 28885: @2195647
     /* 2195647 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2195701), // Rule ID 47393 //
     /* 2195652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195666 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195700 */   // GIR_Coverage, 47393,
     /* 2195700 */   GIR_EraseRootFromParent_Done,
     /* 2195701 */ // Label 28886: @2195701
     /* 2195701 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2195755), // Rule ID 47458 //
     /* 2195706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195720 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195739 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195742 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195754 */   // GIR_Coverage, 47458,
     /* 2195754 */   GIR_EraseRootFromParent_Done,
     /* 2195755 */ // Label 28887: @2195755
     /* 2195755 */ GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2195809), // Rule ID 47459 //
     /* 2195760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195774 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195808 */   // GIR_Coverage, 47459,
     /* 2195808 */   GIR_EraseRootFromParent_Done,
     /* 2195809 */ // Label 28888: @2195809
     /* 2195809 */ GIM_Reject,
     /* 2195810 */ // Label 28848: @2195810
     /* 2195810 */ GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2195864), // Rule ID 47412 //
     /* 2195815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195829 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195841 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195848 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195863 */   // GIR_Coverage, 47412,
     /* 2195863 */   GIR_EraseRootFromParent_Done,
     /* 2195864 */ // Label 28889: @2195864
     /* 2195864 */ GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2195918), // Rule ID 47413 //
     /* 2195869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195883 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195883 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195886 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195890 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195895 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195905 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195917 */   // GIR_Coverage, 47413,
     /* 2195917 */   GIR_EraseRootFromParent_Done,
     /* 2195918 */ // Label 28890: @2195918
     /* 2195918 */ GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2195972), // Rule ID 47478 //
     /* 2195923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195937 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195937 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195940 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195944 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195959 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195971 */   // GIR_Coverage, 47478,
     /* 2195971 */   GIR_EraseRootFromParent_Done,
     /* 2195972 */ // Label 28891: @2195972
     /* 2195972 */ GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2196026), // Rule ID 47479 //
     /* 2195977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195991 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2196008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196025 */   // GIR_Coverage, 47479,
     /* 2196025 */   GIR_EraseRootFromParent_Done,
     /* 2196026 */ // Label 28892: @2196026
     /* 2196026 */ GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2196080), // Rule ID 47512 //
     /* 2196031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2196037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196045 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2196048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2196062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196067 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196079 */   // GIR_Coverage, 47512,
     /* 2196079 */   GIR_EraseRootFromParent_Done,
     /* 2196080 */ // Label 28893: @2196080
     /* 2196080 */ GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2196134), // Rule ID 47513 //
     /* 2196085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2196091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196099 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2196102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2196116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196121 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196133 */   // GIR_Coverage, 47513,
     /* 2196133 */   GIR_EraseRootFromParent_Done,
     /* 2196134 */ // Label 28894: @2196134
     /* 2196134 */ GIM_Reject,
     /* 2196135 */ // Label 28849: @2196135
     /* 2196135 */ GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2196238),
     /* 2196140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196151 */   GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2196194), // Rule ID 47372 //
     /* 2196156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196159 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2196162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2196176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196193 */     // GIR_Coverage, 47372,
     /* 2196193 */     GIR_EraseRootFromParent_Done,
     /* 2196194 */   // Label 28896: @2196194
     /* 2196194 */   GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2196237), // Rule ID 47373 //
     /* 2196199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196202 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2196205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2196219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196236 */     // GIR_Coverage, 47373,
     /* 2196236 */     GIR_EraseRootFromParent_Done,
     /* 2196237 */   // Label 28897: @2196237
     /* 2196237 */   GIM_Reject,
     /* 2196238 */ // Label 28895: @2196238
     /* 2196238 */ GIM_Reject,
     /* 2196239 */ // Label 28850: @2196239
     /* 2196239 */ GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2196293), // Rule ID 47396 //
     /* 2196244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196258 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196292 */   // GIR_Coverage, 47396,
     /* 2196292 */   GIR_EraseRootFromParent_Done,
     /* 2196293 */ // Label 28898: @2196293
     /* 2196293 */ GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2196347), // Rule ID 47397 //
     /* 2196298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196312 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196346 */   // GIR_Coverage, 47397,
     /* 2196346 */   GIR_EraseRootFromParent_Done,
     /* 2196347 */ // Label 28899: @2196347
     /* 2196347 */ GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2196401), // Rule ID 47462 //
     /* 2196352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196366 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2196383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196400 */   // GIR_Coverage, 47462,
     /* 2196400 */   GIR_EraseRootFromParent_Done,
     /* 2196401 */ // Label 28900: @2196401
     /* 2196401 */ GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2196455), // Rule ID 47463 //
     /* 2196406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196420 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2196437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196454 */   // GIR_Coverage, 47463,
     /* 2196454 */   GIR_EraseRootFromParent_Done,
     /* 2196455 */ // Label 28901: @2196455
     /* 2196455 */ GIM_Reject,
     /* 2196456 */ // Label 28851: @2196456
     /* 2196456 */ GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2196510), // Rule ID 47416 //
     /* 2196461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196475 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196497 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196509 */   // GIR_Coverage, 47416,
     /* 2196509 */   GIR_EraseRootFromParent_Done,
     /* 2196510 */ // Label 28902: @2196510
     /* 2196510 */ GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2196564), // Rule ID 47417 //
     /* 2196515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196529 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196563 */   // GIR_Coverage, 47417,
     /* 2196563 */   GIR_EraseRootFromParent_Done,
     /* 2196564 */ // Label 28903: @2196564
     /* 2196564 */ GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2196618), // Rule ID 47482 //
     /* 2196569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196583 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196617 */   // GIR_Coverage, 47482,
     /* 2196617 */   GIR_EraseRootFromParent_Done,
     /* 2196618 */ // Label 28904: @2196618
     /* 2196618 */ GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2196672), // Rule ID 47483 //
     /* 2196623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196637 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196637 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196640 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196644 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196649 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196656 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196659 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196671 */   // GIR_Coverage, 47483,
     /* 2196671 */   GIR_EraseRootFromParent_Done,
     /* 2196672 */ // Label 28905: @2196672
     /* 2196672 */ GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2196726), // Rule ID 47516 //
     /* 2196677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196691 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196691 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196694 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196698 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196713 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196725 */   // GIR_Coverage, 47516,
     /* 2196725 */   GIR_EraseRootFromParent_Done,
     /* 2196726 */ // Label 28906: @2196726
     /* 2196726 */ GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2196780), // Rule ID 47517 //
     /* 2196731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196745 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196745 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196748 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196752 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196779 */   // GIR_Coverage, 47517,
     /* 2196779 */   GIR_EraseRootFromParent_Done,
     /* 2196780 */ // Label 28907: @2196780
     /* 2196780 */ GIM_Reject,
     /* 2196781 */ // Label 28852: @2196781
     /* 2196781 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2196884),
     /* 2196786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196797 */   GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2196840), // Rule ID 47376 //
     /* 2196802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196805 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196839 */     // GIR_Coverage, 47376,
     /* 2196839 */     GIR_EraseRootFromParent_Done,
     /* 2196840 */   // Label 28909: @2196840
     /* 2196840 */   GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2196883), // Rule ID 47377 //
     /* 2196845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196848 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196882 */     // GIR_Coverage, 47377,
     /* 2196882 */     GIR_EraseRootFromParent_Done,
     /* 2196883 */   // Label 28910: @2196883
     /* 2196883 */   GIM_Reject,
     /* 2196884 */ // Label 28908: @2196884
     /* 2196884 */ GIM_Reject,
     /* 2196885 */ // Label 28853: @2196885
     /* 2196885 */ GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2196939), // Rule ID 47400 //
     /* 2196890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196904 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196926 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196938 */   // GIR_Coverage, 47400,
     /* 2196938 */   GIR_EraseRootFromParent_Done,
     /* 2196939 */ // Label 28911: @2196939
     /* 2196939 */ GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2196993), // Rule ID 47401 //
     /* 2196944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196958 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196958 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196961 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196965 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196970 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196977 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196980 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196992 */   // GIR_Coverage, 47401,
     /* 2196992 */   GIR_EraseRootFromParent_Done,
     /* 2196993 */ // Label 28912: @2196993
     /* 2196993 */ GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2197047), // Rule ID 47466 //
     /* 2196998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2197004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197012 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2197015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2197029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197046 */   // GIR_Coverage, 47466,
     /* 2197046 */   GIR_EraseRootFromParent_Done,
     /* 2197047 */ // Label 28913: @2197047
     /* 2197047 */ GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2197101), // Rule ID 47467 //
     /* 2197052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2197058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197066 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2197069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2197083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197100 */   // GIR_Coverage, 47467,
     /* 2197100 */   GIR_EraseRootFromParent_Done,
     /* 2197101 */ // Label 28914: @2197101
     /* 2197101 */ GIM_Reject,
     /* 2197102 */ // Label 28854: @2197102
     /* 2197102 */ GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2197205),
     /* 2197107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2197110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197118 */   GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2197161), // Rule ID 47380 //
     /* 2197123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197126 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2197129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2197143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197160 */     // GIR_Coverage, 47380,
     /* 2197160 */     GIR_EraseRootFromParent_Done,
     /* 2197161 */   // Label 28916: @2197161
     /* 2197161 */   GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2197204), // Rule ID 47381 //
     /* 2197166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197169 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2197172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2197186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197203 */     // GIR_Coverage, 47381,
     /* 2197203 */     GIR_EraseRootFromParent_Done,
     /* 2197204 */   // Label 28917: @2197204
     /* 2197204 */   GIM_Reject,
     /* 2197205 */ // Label 28915: @2197205
     /* 2197205 */ GIM_Reject,
     /* 2197206 */ // Label 28855: @2197206
     /* 2197206 */ GIM_Reject,
     /* 2197207 */ // Label 40: @2197207
     /* 2197207 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28935*/ GIMT_Encode4(2200681),
     /* 2197218 */ /*GILLT_s32*//*Label 28918*/ GIMT_Encode4(2197334),
     /* 2197222 */ /*GILLT_s64*//*Label 28919*/ GIMT_Encode4(2197508), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197234 */ /*GILLT_nxv1s16*//*Label 28920*/ GIMT_Encode4(2197672),
     /* 2197238 */ /*GILLT_nxv1s32*//*Label 28921*/ GIMT_Encode4(2197776),
     /* 2197242 */ /*GILLT_nxv1s64*//*Label 28922*/ GIMT_Encode4(2197993), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197254 */ /*GILLT_nxv2s16*//*Label 28923*/ GIMT_Encode4(2198318),
     /* 2197258 */ /*GILLT_nxv2s32*//*Label 28924*/ GIMT_Encode4(2198422),
     /* 2197262 */ /*GILLT_nxv2s64*//*Label 28925*/ GIMT_Encode4(2198639), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197274 */ /*GILLT_nxv4s16*//*Label 28926*/ GIMT_Encode4(2198964),
     /* 2197278 */ /*GILLT_nxv4s32*//*Label 28927*/ GIMT_Encode4(2199068),
     /* 2197282 */ /*GILLT_nxv4s64*//*Label 28928*/ GIMT_Encode4(2199285), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197294 */ /*GILLT_nxv8s16*//*Label 28929*/ GIMT_Encode4(2199610),
     /* 2197298 */ /*GILLT_nxv8s32*//*Label 28930*/ GIMT_Encode4(2199714),
     /* 2197302 */ /*GILLT_nxv8s64*//*Label 28931*/ GIMT_Encode4(2199931), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197314 */ /*GILLT_nxv16s16*//*Label 28932*/ GIMT_Encode4(2200256),
     /* 2197318 */ /*GILLT_nxv16s32*//*Label 28933*/ GIMT_Encode4(2200360), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197330 */ /*GILLT_nxv32s16*//*Label 28934*/ GIMT_Encode4(2200577),
     /* 2197334 */ // Label 28918: @2197334
     /* 2197334 */ GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2197507),
     /* 2197339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197350 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2197392), // Rule ID 64986 //
     /* 2197355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2197358 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2197358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2197361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197374 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2197377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2197390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197391 */     // GIR_Coverage, 64986,
     /* 2197391 */     GIR_EraseRootFromParent_Done,
     /* 2197392 */   // Label 28937: @2197392
     /* 2197392 */   GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2197434), // Rule ID 64988 //
     /* 2197397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2197400 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2197400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197412 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197416 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197433 */     // GIR_Coverage, 64988,
     /* 2197433 */     GIR_EraseRootFromParent_Done,
     /* 2197434 */   // Label 28938: @2197434
     /* 2197434 */   GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2197476), // Rule ID 64989 //
     /* 2197439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2197442 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2197442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2197445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197458 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197475 */     // GIR_Coverage, 64989,
     /* 2197475 */     GIR_EraseRootFromParent_Done,
     /* 2197476 */   // Label 28939: @2197476
     /* 2197476 */   GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2197491), // Rule ID 64991 //
     /* 2197481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2197484 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197490 */     // GIR_Coverage, 64991,
     /* 2197490 */     GIR_Done,
     /* 2197491 */   // Label 28940: @2197491
     /* 2197491 */   GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2197506), // Rule ID 64992 //
     /* 2197496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2197499 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197505 */     // GIR_Coverage, 64992,
     /* 2197505 */     GIR_Done,
     /* 2197506 */   // Label 28941: @2197506
     /* 2197506 */   GIM_Reject,
     /* 2197507 */ // Label 28936: @2197507
     /* 2197507 */ GIM_Reject,
     /* 2197508 */ // Label 28919: @2197508
     /* 2197508 */ GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2197539), // Rule ID 64976 //
     /* 2197513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2197516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2197519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197527 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2197527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2197530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197532 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2197534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2197537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197538 */   // GIR_Coverage, 64976,
     /* 2197538 */   GIR_EraseRootFromParent_Done,
     /* 2197539 */ // Label 28942: @2197539
     /* 2197539 */ GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2197592), // Rule ID 64985 //
     /* 2197544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2197547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197558 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2197558 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197561 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197565 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197570 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197574 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2197577 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197584 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2197590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197591 */   // GIR_Coverage, 64985,
     /* 2197591 */   GIR_EraseRootFromParent_Done,
     /* 2197592 */ // Label 28943: @2197592
     /* 2197592 */ GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2197645), // Rule ID 64987 //
     /* 2197597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2197600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197611 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2197611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197623 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197627 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197644 */   // GIR_Coverage, 64987,
     /* 2197644 */   GIR_EraseRootFromParent_Done,
     /* 2197645 */ // Label 28944: @2197645
     /* 2197645 */ GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2197671), // Rule ID 64993 //
     /* 2197650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2197653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197664 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2197664 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197670 */   // GIR_Coverage, 64993,
     /* 2197670 */   GIR_Done,
     /* 2197671 */ // Label 28945: @2197671
     /* 2197671 */ GIM_Reject,
     /* 2197672 */ // Label 28920: @2197672
     /* 2197672 */ GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2197775),
     /* 2197677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197688 */   GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2197731), // Rule ID 47418 //
     /* 2197693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197696 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197730 */     // GIR_Coverage, 47418,
     /* 2197730 */     GIR_EraseRootFromParent_Done,
     /* 2197731 */   // Label 28947: @2197731
     /* 2197731 */   GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2197774), // Rule ID 47419 //
     /* 2197736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197739 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197773 */     // GIR_Coverage, 47419,
     /* 2197773 */     GIR_EraseRootFromParent_Done,
     /* 2197774 */   // Label 28948: @2197774
     /* 2197774 */   GIM_Reject,
     /* 2197775 */ // Label 28946: @2197775
     /* 2197775 */ GIM_Reject,
     /* 2197776 */ // Label 28921: @2197776
     /* 2197776 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2197830), // Rule ID 47430 //
     /* 2197781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197795 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197829 */   // GIR_Coverage, 47430,
     /* 2197829 */   GIR_EraseRootFromParent_Done,
     /* 2197830 */ // Label 28949: @2197830
     /* 2197830 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2197884), // Rule ID 47431 //
     /* 2197835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197849 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197883 */   // GIR_Coverage, 47431,
     /* 2197883 */   GIR_EraseRootFromParent_Done,
     /* 2197884 */ // Label 28950: @2197884
     /* 2197884 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2197938), // Rule ID 47484 //
     /* 2197889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197903 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197925 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197937 */   // GIR_Coverage, 47484,
     /* 2197937 */   GIR_EraseRootFromParent_Done,
     /* 2197938 */ // Label 28951: @2197938
     /* 2197938 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2197992), // Rule ID 47485 //
     /* 2197943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197957 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197991 */   // GIR_Coverage, 47485,
     /* 2197991 */   GIR_EraseRootFromParent_Done,
     /* 2197992 */ // Label 28952: @2197992
     /* 2197992 */ GIM_Reject,
     /* 2197993 */ // Label 28922: @2197993
     /* 2197993 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2198047), // Rule ID 47440 //
     /* 2197998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2198004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198012 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198046 */   // GIR_Coverage, 47440,
     /* 2198046 */   GIR_EraseRootFromParent_Done,
     /* 2198047 */ // Label 28953: @2198047
     /* 2198047 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2198101), // Rule ID 47441 //
     /* 2198052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2198058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198066 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198100 */   // GIR_Coverage, 47441,
     /* 2198100 */   GIR_EraseRootFromParent_Done,
     /* 2198101 */ // Label 28954: @2198101
     /* 2198101 */ GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2198155), // Rule ID 47494 //
     /* 2198106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198120 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198139 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198142 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198154 */   // GIR_Coverage, 47494,
     /* 2198154 */   GIR_EraseRootFromParent_Done,
     /* 2198155 */ // Label 28955: @2198155
     /* 2198155 */ GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2198209), // Rule ID 47495 //
     /* 2198160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198174 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198208 */   // GIR_Coverage, 47495,
     /* 2198208 */   GIR_EraseRootFromParent_Done,
     /* 2198209 */ // Label 28956: @2198209
     /* 2198209 */ GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2198263), // Rule ID 47518 //
     /* 2198214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198228 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2198245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198262 */   // GIR_Coverage, 47518,
     /* 2198262 */   GIR_EraseRootFromParent_Done,
     /* 2198263 */ // Label 28957: @2198263
     /* 2198263 */ GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2198317), // Rule ID 47519 //
     /* 2198268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198282 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2198299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198316 */   // GIR_Coverage, 47519,
     /* 2198316 */   GIR_EraseRootFromParent_Done,
     /* 2198317 */ // Label 28958: @2198317
     /* 2198317 */ GIM_Reject,
     /* 2198318 */ // Label 28923: @2198318
     /* 2198318 */ GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2198421),
     /* 2198323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198334 */   GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2198377), // Rule ID 47420 //
     /* 2198339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198342 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2198345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2198359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198376 */     // GIR_Coverage, 47420,
     /* 2198376 */     GIR_EraseRootFromParent_Done,
     /* 2198377 */   // Label 28960: @2198377
     /* 2198377 */   GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2198420), // Rule ID 47421 //
     /* 2198382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198385 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2198388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2198402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198419 */     // GIR_Coverage, 47421,
     /* 2198419 */     GIR_EraseRootFromParent_Done,
     /* 2198420 */   // Label 28961: @2198420
     /* 2198420 */   GIM_Reject,
     /* 2198421 */ // Label 28959: @2198421
     /* 2198421 */ GIM_Reject,
     /* 2198422 */ // Label 28924: @2198422
     /* 2198422 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2198476), // Rule ID 47432 //
     /* 2198427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198441 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198475 */   // GIR_Coverage, 47432,
     /* 2198475 */   GIR_EraseRootFromParent_Done,
     /* 2198476 */ // Label 28962: @2198476
     /* 2198476 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2198530), // Rule ID 47433 //
     /* 2198481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198495 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198529 */   // GIR_Coverage, 47433,
     /* 2198529 */   GIR_EraseRootFromParent_Done,
     /* 2198530 */ // Label 28963: @2198530
     /* 2198530 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2198584), // Rule ID 47486 //
     /* 2198535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198549 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198583 */   // GIR_Coverage, 47486,
     /* 2198583 */   GIR_EraseRootFromParent_Done,
     /* 2198584 */ // Label 28964: @2198584
     /* 2198584 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2198638), // Rule ID 47487 //
     /* 2198589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198603 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198637 */   // GIR_Coverage, 47487,
     /* 2198637 */   GIR_EraseRootFromParent_Done,
     /* 2198638 */ // Label 28965: @2198638
     /* 2198638 */ GIM_Reject,
     /* 2198639 */ // Label 28925: @2198639
     /* 2198639 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2198693), // Rule ID 47442 //
     /* 2198644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198658 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198692 */   // GIR_Coverage, 47442,
     /* 2198692 */   GIR_EraseRootFromParent_Done,
     /* 2198693 */ // Label 28966: @2198693
     /* 2198693 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2198747), // Rule ID 47443 //
     /* 2198698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198712 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198746 */   // GIR_Coverage, 47443,
     /* 2198746 */   GIR_EraseRootFromParent_Done,
     /* 2198747 */ // Label 28967: @2198747
     /* 2198747 */ GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2198801), // Rule ID 47496 //
     /* 2198752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198766 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198778 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198800 */   // GIR_Coverage, 47496,
     /* 2198800 */   GIR_EraseRootFromParent_Done,
     /* 2198801 */ // Label 28968: @2198801
     /* 2198801 */ GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2198855), // Rule ID 47497 //
     /* 2198806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198820 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198854 */   // GIR_Coverage, 47497,
     /* 2198854 */   GIR_EraseRootFromParent_Done,
     /* 2198855 */ // Label 28969: @2198855
     /* 2198855 */ GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2198909), // Rule ID 47520 //
     /* 2198860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198874 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198908 */   // GIR_Coverage, 47520,
     /* 2198908 */   GIR_EraseRootFromParent_Done,
     /* 2198909 */ // Label 28970: @2198909
     /* 2198909 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2198963), // Rule ID 47521 //
     /* 2198914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198928 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198962 */   // GIR_Coverage, 47521,
     /* 2198962 */   GIR_EraseRootFromParent_Done,
     /* 2198963 */ // Label 28971: @2198963
     /* 2198963 */ GIM_Reject,
     /* 2198964 */ // Label 28926: @2198964
     /* 2198964 */ GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2199067),
     /* 2198969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198980 */   GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2199023), // Rule ID 47422 //
     /* 2198985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198988 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2198991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2199005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199022 */     // GIR_Coverage, 47422,
     /* 2199022 */     GIR_EraseRootFromParent_Done,
     /* 2199023 */   // Label 28973: @2199023
     /* 2199023 */   GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2199066), // Rule ID 47423 //
     /* 2199028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199031 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2199034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2199048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199065 */     // GIR_Coverage, 47423,
     /* 2199065 */     GIR_EraseRootFromParent_Done,
     /* 2199066 */   // Label 28974: @2199066
     /* 2199066 */   GIM_Reject,
     /* 2199067 */ // Label 28972: @2199067
     /* 2199067 */ GIM_Reject,
     /* 2199068 */ // Label 28927: @2199068
     /* 2199068 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2199122), // Rule ID 47434 //
     /* 2199073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199087 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199121 */   // GIR_Coverage, 47434,
     /* 2199121 */   GIR_EraseRootFromParent_Done,
     /* 2199122 */ // Label 28975: @2199122
     /* 2199122 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2199176), // Rule ID 47435 //
     /* 2199127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199141 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199160 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199175 */   // GIR_Coverage, 47435,
     /* 2199175 */   GIR_EraseRootFromParent_Done,
     /* 2199176 */ // Label 28976: @2199176
     /* 2199176 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2199230), // Rule ID 47488 //
     /* 2199181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199195 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2199212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199229 */   // GIR_Coverage, 47488,
     /* 2199229 */   GIR_EraseRootFromParent_Done,
     /* 2199230 */ // Label 28977: @2199230
     /* 2199230 */ GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2199284), // Rule ID 47489 //
     /* 2199235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199249 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2199266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199271 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199283 */   // GIR_Coverage, 47489,
     /* 2199283 */   GIR_EraseRootFromParent_Done,
     /* 2199284 */ // Label 28978: @2199284
     /* 2199284 */ GIM_Reject,
     /* 2199285 */ // Label 28928: @2199285
     /* 2199285 */ GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2199339), // Rule ID 47444 //
     /* 2199290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2199296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199304 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199338 */   // GIR_Coverage, 47444,
     /* 2199338 */   GIR_EraseRootFromParent_Done,
     /* 2199339 */ // Label 28979: @2199339
     /* 2199339 */ GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2199393), // Rule ID 47445 //
     /* 2199344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2199350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199358 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199392 */   // GIR_Coverage, 47445,
     /* 2199392 */   GIR_EraseRootFromParent_Done,
     /* 2199393 */ // Label 28980: @2199393
     /* 2199393 */ GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2199447), // Rule ID 47498 //
     /* 2199398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199412 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199446 */   // GIR_Coverage, 47498,
     /* 2199446 */   GIR_EraseRootFromParent_Done,
     /* 2199447 */ // Label 28981: @2199447
     /* 2199447 */ GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2199501), // Rule ID 47499 //
     /* 2199452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199466 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199500 */   // GIR_Coverage, 47499,
     /* 2199500 */   GIR_EraseRootFromParent_Done,
     /* 2199501 */ // Label 28982: @2199501
     /* 2199501 */ GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2199555), // Rule ID 47522 //
     /* 2199506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199520 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199554 */   // GIR_Coverage, 47522,
     /* 2199554 */   GIR_EraseRootFromParent_Done,
     /* 2199555 */ // Label 28983: @2199555
     /* 2199555 */ GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2199609), // Rule ID 47523 //
     /* 2199560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199574 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199608 */   // GIR_Coverage, 47523,
     /* 2199608 */   GIR_EraseRootFromParent_Done,
     /* 2199609 */ // Label 28984: @2199609
     /* 2199609 */ GIM_Reject,
     /* 2199610 */ // Label 28929: @2199610
     /* 2199610 */ GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2199713),
     /* 2199615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199626 */   GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2199669), // Rule ID 47424 //
     /* 2199631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199634 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199668 */     // GIR_Coverage, 47424,
     /* 2199668 */     GIR_EraseRootFromParent_Done,
     /* 2199669 */   // Label 28986: @2199669
     /* 2199669 */   GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2199712), // Rule ID 47425 //
     /* 2199674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199677 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199711 */     // GIR_Coverage, 47425,
     /* 2199711 */     GIR_EraseRootFromParent_Done,
     /* 2199712 */   // Label 28987: @2199712
     /* 2199712 */   GIM_Reject,
     /* 2199713 */ // Label 28985: @2199713
     /* 2199713 */ GIM_Reject,
     /* 2199714 */ // Label 28930: @2199714
     /* 2199714 */ GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2199768), // Rule ID 47436 //
     /* 2199719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199733 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199767 */   // GIR_Coverage, 47436,
     /* 2199767 */   GIR_EraseRootFromParent_Done,
     /* 2199768 */ // Label 28988: @2199768
     /* 2199768 */ GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2199822), // Rule ID 47437 //
     /* 2199773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199787 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199821 */   // GIR_Coverage, 47437,
     /* 2199821 */   GIR_EraseRootFromParent_Done,
     /* 2199822 */ // Label 28989: @2199822
     /* 2199822 */ GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2199876), // Rule ID 47490 //
     /* 2199827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199841 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199875 */   // GIR_Coverage, 47490,
     /* 2199875 */   GIR_EraseRootFromParent_Done,
     /* 2199876 */ // Label 28990: @2199876
     /* 2199876 */ GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2199930), // Rule ID 47491 //
     /* 2199881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199895 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199929 */   // GIR_Coverage, 47491,
     /* 2199929 */   GIR_EraseRootFromParent_Done,
     /* 2199930 */ // Label 28991: @2199930
     /* 2199930 */ GIM_Reject,
     /* 2199931 */ // Label 28931: @2199931
     /* 2199931 */ GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2199985), // Rule ID 47446 //
     /* 2199936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199950 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199984 */   // GIR_Coverage, 47446,
     /* 2199984 */   GIR_EraseRootFromParent_Done,
     /* 2199985 */ // Label 28992: @2199985
     /* 2199985 */ GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2200039), // Rule ID 47447 //
     /* 2199990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200004 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200004 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200007 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200011 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200038 */   // GIR_Coverage, 47447,
     /* 2200038 */   GIR_EraseRootFromParent_Done,
     /* 2200039 */ // Label 28993: @2200039
     /* 2200039 */ GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2200093), // Rule ID 47500 //
     /* 2200044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200058 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200092 */   // GIR_Coverage, 47500,
     /* 2200092 */   GIR_EraseRootFromParent_Done,
     /* 2200093 */ // Label 28994: @2200093
     /* 2200093 */ GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2200147), // Rule ID 47501 //
     /* 2200098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200112 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200112 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200115 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200119 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200124 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200131 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200134 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200146 */   // GIR_Coverage, 47501,
     /* 2200146 */   GIR_EraseRootFromParent_Done,
     /* 2200147 */ // Label 28995: @2200147
     /* 2200147 */ GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2200201), // Rule ID 47524 //
     /* 2200152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200166 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200166 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200169 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200173 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200178 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2200183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200185 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200200 */   // GIR_Coverage, 47524,
     /* 2200200 */   GIR_EraseRootFromParent_Done,
     /* 2200201 */ // Label 28996: @2200201
     /* 2200201 */ GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2200255), // Rule ID 47525 //
     /* 2200206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200220 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2200237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200254 */   // GIR_Coverage, 47525,
     /* 2200254 */   GIR_EraseRootFromParent_Done,
     /* 2200255 */ // Label 28997: @2200255
     /* 2200255 */ GIM_Reject,
     /* 2200256 */ // Label 28932: @2200256
     /* 2200256 */ GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2200359),
     /* 2200261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200272 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2200315), // Rule ID 47426 //
     /* 2200277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200280 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2200283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2200297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200314 */     // GIR_Coverage, 47426,
     /* 2200314 */     GIR_EraseRootFromParent_Done,
     /* 2200315 */   // Label 28999: @2200315
     /* 2200315 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2200358), // Rule ID 47427 //
     /* 2200320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200323 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2200326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2200340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200357 */     // GIR_Coverage, 47427,
     /* 2200357 */     GIR_EraseRootFromParent_Done,
     /* 2200358 */   // Label 29000: @2200358
     /* 2200358 */   GIM_Reject,
     /* 2200359 */ // Label 28998: @2200359
     /* 2200359 */ GIM_Reject,
     /* 2200360 */ // Label 28933: @2200360
     /* 2200360 */ GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2200414), // Rule ID 47438 //
     /* 2200365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2200371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200379 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200401 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200413 */   // GIR_Coverage, 47438,
     /* 2200413 */   GIR_EraseRootFromParent_Done,
     /* 2200414 */ // Label 29001: @2200414
     /* 2200414 */ GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2200468), // Rule ID 47439 //
     /* 2200419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2200425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200433 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200455 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200467 */   // GIR_Coverage, 47439,
     /* 2200467 */   GIR_EraseRootFromParent_Done,
     /* 2200468 */ // Label 29002: @2200468
     /* 2200468 */ GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2200522), // Rule ID 47492 //
     /* 2200473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200487 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200521 */   // GIR_Coverage, 47492,
     /* 2200521 */   GIR_EraseRootFromParent_Done,
     /* 2200522 */ // Label 29003: @2200522
     /* 2200522 */ GIM_Try, /*On fail goto*//*Label 29004*/ GIMT_Encode4(2200576), // Rule ID 47493 //
     /* 2200527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200541 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200575 */   // GIR_Coverage, 47493,
     /* 2200575 */   GIR_EraseRootFromParent_Done,
     /* 2200576 */ // Label 29004: @2200576
     /* 2200576 */ GIM_Reject,
     /* 2200577 */ // Label 28934: @2200577
     /* 2200577 */ GIM_Try, /*On fail goto*//*Label 29005*/ GIMT_Encode4(2200680),
     /* 2200582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2200585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200593 */   GIM_Try, /*On fail goto*//*Label 29006*/ GIMT_Encode4(2200636), // Rule ID 47428 //
     /* 2200598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200601 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200635 */     // GIR_Coverage, 47428,
     /* 2200635 */     GIR_EraseRootFromParent_Done,
     /* 2200636 */   // Label 29006: @2200636
     /* 2200636 */   GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2200679), // Rule ID 47429 //
     /* 2200641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200644 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200678 */     // GIR_Coverage, 47429,
     /* 2200678 */     GIR_EraseRootFromParent_Done,
     /* 2200679 */   // Label 29007: @2200679
     /* 2200679 */   GIM_Reject,
     /* 2200680 */ // Label 29005: @2200680
     /* 2200680 */ GIM_Reject,
     /* 2200681 */ // Label 28935: @2200681
     /* 2200681 */ GIM_Reject,
     /* 2200682 */ // Label 41: @2200682
     /* 2200682 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29010*/ GIMT_Encode4(2201230),
     /* 2200693 */ /*GILLT_s32*//*Label 29008*/ GIMT_Encode4(2200701),
     /* 2200697 */ /*GILLT_s64*//*Label 29009*/ GIMT_Encode4(2200933),
     /* 2200701 */ // Label 29008: @2200701
     /* 2200701 */ GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2200932),
     /* 2200706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2200709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200717 */   GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2200745), // Rule ID 64383 //
     /* 2200722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200725 */     // MIs[0] Operand 2
     /* 2200725 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200736 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200744 */     // GIR_Coverage, 64383,
     /* 2200744 */     GIR_EraseRootFromParent_Done,
     /* 2200745 */   // Label 29012: @2200745
     /* 2200745 */   GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2200773), // Rule ID 64385 //
     /* 2200750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200753 */     // MIs[0] Operand 2
     /* 2200753 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200764 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200772 */     // GIR_Coverage, 64385,
     /* 2200772 */     GIR_EraseRootFromParent_Done,
     /* 2200773 */   // Label 29013: @2200773
     /* 2200773 */   GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2200801), // Rule ID 2415 //
     /* 2200778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200781 */     // MIs[0] Operand 2
     /* 2200781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200792 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2200795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200800 */     // GIR_Coverage, 2415,
     /* 2200800 */     GIR_EraseRootFromParent_Done,
     /* 2200801 */   // Label 29014: @2200801
     /* 2200801 */   GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2200829), // Rule ID 2417 //
     /* 2200806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200809 */     // MIs[0] Operand 2
     /* 2200809 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200820 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2200823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200828 */     // GIR_Coverage, 2417,
     /* 2200828 */     GIR_EraseRootFromParent_Done,
     /* 2200829 */   // Label 29015: @2200829
     /* 2200829 */   GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2200863), // Rule ID 62469 //
     /* 2200834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200837 */     // MIs[0] Operand 2
     /* 2200837 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200848 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2200858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200862 */     // GIR_Coverage, 62469,
     /* 2200862 */     GIR_EraseRootFromParent_Done,
     /* 2200863 */   // Label 29016: @2200863
     /* 2200863 */   GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2200897), // Rule ID 62471 //
     /* 2200868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200871 */     // MIs[0] Operand 2
     /* 2200871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200882 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200896 */     // GIR_Coverage, 62471,
     /* 2200896 */     GIR_EraseRootFromParent_Done,
     /* 2200897 */   // Label 29017: @2200897
     /* 2200897 */   GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2200931), // Rule ID 62473 //
     /* 2200902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200905 */     // MIs[0] Operand 2
     /* 2200905 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2200916 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200930 */     // GIR_Coverage, 62473,
     /* 2200930 */     GIR_EraseRootFromParent_Done,
     /* 2200931 */   // Label 29018: @2200931
     /* 2200931 */   GIM_Reject,
     /* 2200932 */ // Label 29011: @2200932
     /* 2200932 */ GIM_Reject,
     /* 2200933 */ // Label 29009: @2200933
     /* 2200933 */ GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2201229),
     /* 2200938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2200941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200949 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2200977), // Rule ID 64382 //
     /* 2200954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200957 */     // MIs[0] Operand 2
     /* 2200957 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200968 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200976 */     // GIR_Coverage, 64382,
     /* 2200976 */     GIR_EraseRootFromParent_Done,
     /* 2200977 */   // Label 29020: @2200977
     /* 2200977 */   GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2201005), // Rule ID 64384 //
     /* 2200982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200985 */     // MIs[0] Operand 2
     /* 2200985 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200996 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201004 */     // GIR_Coverage, 64384,
     /* 2201004 */     GIR_EraseRootFromParent_Done,
     /* 2201005 */   // Label 29021: @2201005
     /* 2201005 */   GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2201036), // Rule ID 256 //
     /* 2201010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2201013 */     // MIs[0] Operand 2
     /* 2201013 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2201024 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2201024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2201027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201035 */     // GIR_Coverage, 256,
     /* 2201035 */     GIR_EraseRootFromParent_Done,
     /* 2201036 */   // Label 29022: @2201036
     /* 2201036 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2201064), // Rule ID 2414 //
     /* 2201041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2201044 */     // MIs[0] Operand 2
     /* 2201044 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2201055 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2201055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2201058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201063 */     // GIR_Coverage, 2414,
     /* 2201063 */     GIR_EraseRootFromParent_Done,
     /* 2201064 */   // Label 29023: @2201064
     /* 2201064 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2201092), // Rule ID 2416 //
     /* 2201069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2201072 */     // MIs[0] Operand 2
     /* 2201072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2201083 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2201083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2201086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201091 */     // GIR_Coverage, 2416,
     /* 2201091 */     GIR_EraseRootFromParent_Done,
     /* 2201092 */   // Label 29024: @2201092
     /* 2201092 */   GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2201126), // Rule ID 62467 //
     /* 2201097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201100 */     // MIs[0] Operand 2
     /* 2201100 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2201111 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2201121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201125 */     // GIR_Coverage, 62467,
     /* 2201125 */     GIR_EraseRootFromParent_Done,
     /* 2201126 */   // Label 29025: @2201126
     /* 2201126 */   GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2201160), // Rule ID 62468 //
     /* 2201131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201134 */     // MIs[0] Operand 2
     /* 2201134 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2201145 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2201155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201159 */     // GIR_Coverage, 62468,
     /* 2201159 */     GIR_EraseRootFromParent_Done,
     /* 2201160 */   // Label 29026: @2201160
     /* 2201160 */   GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2201194), // Rule ID 62470 //
     /* 2201165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201168 */     // MIs[0] Operand 2
     /* 2201168 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2201179 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201193 */     // GIR_Coverage, 62470,
     /* 2201193 */     GIR_EraseRootFromParent_Done,
     /* 2201194 */   // Label 29027: @2201194
     /* 2201194 */   GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2201228), // Rule ID 62472 //
     /* 2201199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201202 */     // MIs[0] Operand 2
     /* 2201202 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2201213 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201227 */     // GIR_Coverage, 62472,
     /* 2201227 */     GIR_EraseRootFromParent_Done,
     /* 2201228 */   // Label 29028: @2201228
     /* 2201228 */   GIM_Reject,
     /* 2201229 */ // Label 29019: @2201229
     /* 2201229 */ GIM_Reject,
     /* 2201230 */ // Label 29010: @2201230
     /* 2201230 */ GIM_Reject,
     /* 2201231 */ // Label 42: @2201231
     /* 2201231 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29046*/ GIMT_Encode4(2204917),
     /* 2201242 */ /*GILLT_s32*//*Label 29029*/ GIMT_Encode4(2201358),
     /* 2201246 */ /*GILLT_s64*//*Label 29030*/ GIMT_Encode4(2201654), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201258 */ /*GILLT_nxv1s16*//*Label 29031*/ GIMT_Encode4(2201908),
     /* 2201262 */ /*GILLT_nxv1s32*//*Label 29032*/ GIMT_Encode4(2202012),
     /* 2201266 */ /*GILLT_nxv1s64*//*Label 29033*/ GIMT_Encode4(2202229), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201278 */ /*GILLT_nxv2s16*//*Label 29034*/ GIMT_Encode4(2202554),
     /* 2201282 */ /*GILLT_nxv2s32*//*Label 29035*/ GIMT_Encode4(2202658),
     /* 2201286 */ /*GILLT_nxv2s64*//*Label 29036*/ GIMT_Encode4(2202875), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201298 */ /*GILLT_nxv4s16*//*Label 29037*/ GIMT_Encode4(2203200),
     /* 2201302 */ /*GILLT_nxv4s32*//*Label 29038*/ GIMT_Encode4(2203304),
     /* 2201306 */ /*GILLT_nxv4s64*//*Label 29039*/ GIMT_Encode4(2203521), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201318 */ /*GILLT_nxv8s16*//*Label 29040*/ GIMT_Encode4(2203846),
     /* 2201322 */ /*GILLT_nxv8s32*//*Label 29041*/ GIMT_Encode4(2203950),
     /* 2201326 */ /*GILLT_nxv8s64*//*Label 29042*/ GIMT_Encode4(2204167), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201338 */ /*GILLT_nxv16s16*//*Label 29043*/ GIMT_Encode4(2204492),
     /* 2201342 */ /*GILLT_nxv16s32*//*Label 29044*/ GIMT_Encode4(2204596), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201354 */ /*GILLT_nxv32s16*//*Label 29045*/ GIMT_Encode4(2204813),
     /* 2201358 */ // Label 29029: @2201358
     /* 2201358 */ GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2201653),
     /* 2201363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201374 */   GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2201416), // Rule ID 64981 //
     /* 2201379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2201382 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2201382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201398 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201415 */     // GIR_Coverage, 64981,
     /* 2201415 */     GIR_EraseRootFromParent_Done,
     /* 2201416 */   // Label 29048: @2201416
     /* 2201416 */   GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2201458), // Rule ID 64983 //
     /* 2201421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201424 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201440 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201457 */     // GIR_Coverage, 64983,
     /* 2201457 */     GIR_EraseRootFromParent_Done,
     /* 2201458 */   // Label 29049: @2201458
     /* 2201458 */   GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2201500), // Rule ID 64984 //
     /* 2201463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2201466 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2201466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201482 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201499 */     // GIR_Coverage, 64984,
     /* 2201499 */     GIR_EraseRootFromParent_Done,
     /* 2201500 */   // Label 29050: @2201500
     /* 2201500 */   GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2201515), // Rule ID 64994 //
     /* 2201505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2201508 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201514 */     // GIR_Coverage, 64994,
     /* 2201514 */     GIR_Done,
     /* 2201515 */   // Label 29051: @2201515
     /* 2201515 */   GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2201530), // Rule ID 64995 //
     /* 2201520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2201523 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201529 */     // GIR_Coverage, 64995,
     /* 2201529 */     GIR_Done,
     /* 2201530 */   // Label 29052: @2201530
     /* 2201530 */   GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2201545), // Rule ID 64997 //
     /* 2201535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201538 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201544 */     // GIR_Coverage, 64997,
     /* 2201544 */     GIR_Done,
     /* 2201545 */   // Label 29053: @2201545
     /* 2201545 */   GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2201560), // Rule ID 64998 //
     /* 2201550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2201553 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201559 */     // GIR_Coverage, 64998,
     /* 2201559 */     GIR_Done,
     /* 2201560 */   // Label 29054: @2201560
     /* 2201560 */   GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2201583), // Rule ID 64999 //
     /* 2201565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2201568 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201582 */     // GIR_Coverage, 64999,
     /* 2201582 */     GIR_EraseRootFromParent_Done,
     /* 2201583 */   // Label 29055: @2201583
     /* 2201583 */   GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2201606), // Rule ID 65000 //
     /* 2201588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2201591 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201605 */     // GIR_Coverage, 65000,
     /* 2201605 */     GIR_EraseRootFromParent_Done,
     /* 2201606 */   // Label 29056: @2201606
     /* 2201606 */   GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2201629), // Rule ID 65002 //
     /* 2201611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201614 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201628 */     // GIR_Coverage, 65002,
     /* 2201628 */     GIR_EraseRootFromParent_Done,
     /* 2201629 */   // Label 29057: @2201629
     /* 2201629 */   GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2201652), // Rule ID 65003 //
     /* 2201634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2201637 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201651 */     // GIR_Coverage, 65003,
     /* 2201651 */     GIR_EraseRootFromParent_Done,
     /* 2201652 */   // Label 29058: @2201652
     /* 2201652 */   GIM_Reject,
     /* 2201653 */ // Label 29047: @2201653
     /* 2201653 */ GIM_Reject,
     /* 2201654 */ // Label 29030: @2201654
     /* 2201654 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2201707), // Rule ID 64979 //
     /* 2201659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2201662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201673 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2201673 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201676 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201680 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201685 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201689 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2201692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2201705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201706 */   // GIR_Coverage, 64979,
     /* 2201706 */   GIR_EraseRootFromParent_Done,
     /* 2201707 */ // Label 29059: @2201707
     /* 2201707 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2201760), // Rule ID 64980 //
     /* 2201712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201726 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2201726 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201729 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201733 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201738 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201742 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201759 */   // GIR_Coverage, 64980,
     /* 2201759 */   GIR_EraseRootFromParent_Done,
     /* 2201760 */ // Label 29060: @2201760
     /* 2201760 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2201813), // Rule ID 64982 //
     /* 2201765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201779 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201791 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201795 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201798 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201805 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201812 */   // GIR_Coverage, 64982,
     /* 2201812 */   GIR_EraseRootFromParent_Done,
     /* 2201813 */ // Label 29061: @2201813
     /* 2201813 */ GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2201847), // Rule ID 64990 //
     /* 2201818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2201821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201832 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2201832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2201835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201837 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2201839 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201846 */   // GIR_Coverage, 64990,
     /* 2201846 */   GIR_EraseRootFromParent_Done,
     /* 2201847 */ // Label 29062: @2201847
     /* 2201847 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2201873), // Rule ID 64996 //
     /* 2201852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201866 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2201866 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201872 */   // GIR_Coverage, 64996,
     /* 2201872 */   GIR_Done,
     /* 2201873 */ // Label 29063: @2201873
     /* 2201873 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2201907), // Rule ID 65001 //
     /* 2201878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201892 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201897 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201899 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201906 */   // GIR_Coverage, 65001,
     /* 2201906 */   GIR_EraseRootFromParent_Done,
     /* 2201907 */ // Label 29064: @2201907
     /* 2201907 */ GIM_Reject,
     /* 2201908 */ // Label 29031: @2201908
     /* 2201908 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2202011),
     /* 2201913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201924 */   GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2201967), // Rule ID 45674 //
     /* 2201929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201932 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201966 */     // GIR_Coverage, 45674,
     /* 2201966 */     GIR_EraseRootFromParent_Done,
     /* 2201967 */   // Label 29066: @2201967
     /* 2201967 */   GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2202010), // Rule ID 45675 //
     /* 2201972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201975 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202009 */     // GIR_Coverage, 45675,
     /* 2202009 */     GIR_EraseRootFromParent_Done,
     /* 2202010 */   // Label 29067: @2202010
     /* 2202010 */   GIM_Reject,
     /* 2202011 */ // Label 29065: @2202011
     /* 2202011 */ GIM_Reject,
     /* 2202012 */ // Label 29032: @2202012
     /* 2202012 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2202066), // Rule ID 47382 //
     /* 2202017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202031 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202053 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202065 */   // GIR_Coverage, 47382,
     /* 2202065 */   GIR_EraseRootFromParent_Done,
     /* 2202066 */ // Label 29068: @2202066
     /* 2202066 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2202120), // Rule ID 47383 //
     /* 2202071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202085 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202085 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202088 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202092 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202097 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202104 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202107 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202119 */   // GIR_Coverage, 47383,
     /* 2202119 */   GIR_EraseRootFromParent_Done,
     /* 2202120 */ // Label 29069: @2202120
     /* 2202120 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2202174), // Rule ID 47448 //
     /* 2202125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202139 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202151 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2202156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202161 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202173 */   // GIR_Coverage, 47448,
     /* 2202173 */   GIR_EraseRootFromParent_Done,
     /* 2202174 */ // Label 29070: @2202174
     /* 2202174 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2202228), // Rule ID 47449 //
     /* 2202179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202193 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202193 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202196 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202200 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2202210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202212 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202215 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202227 */   // GIR_Coverage, 47449,
     /* 2202227 */   GIR_EraseRootFromParent_Done,
     /* 2202228 */ // Label 29071: @2202228
     /* 2202228 */ GIM_Reject,
     /* 2202229 */ // Label 29033: @2202229
     /* 2202229 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2202283), // Rule ID 47402 //
     /* 2202234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2202240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202248 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202248 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202251 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202255 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202260 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202267 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202270 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202281 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202282 */   // GIR_Coverage, 47402,
     /* 2202282 */   GIR_EraseRootFromParent_Done,
     /* 2202283 */ // Label 29072: @2202283
     /* 2202283 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2202337), // Rule ID 47403 //
     /* 2202288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2202294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202302 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202302 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202305 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202309 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202314 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202321 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202324 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202336 */   // GIR_Coverage, 47403,
     /* 2202336 */   GIR_EraseRootFromParent_Done,
     /* 2202337 */ // Label 29073: @2202337
     /* 2202337 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2202391), // Rule ID 47468 //
     /* 2202342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202356 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202390 */   // GIR_Coverage, 47468,
     /* 2202390 */   GIR_EraseRootFromParent_Done,
     /* 2202391 */ // Label 29074: @2202391
     /* 2202391 */ GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2202445), // Rule ID 47469 //
     /* 2202396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202410 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202410 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202413 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202417 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202422 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202429 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202432 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202444 */   // GIR_Coverage, 47469,
     /* 2202444 */   GIR_EraseRootFromParent_Done,
     /* 2202445 */ // Label 29075: @2202445
     /* 2202445 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2202499), // Rule ID 47502 //
     /* 2202450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202464 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202486 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202498 */   // GIR_Coverage, 47502,
     /* 2202498 */   GIR_EraseRootFromParent_Done,
     /* 2202499 */ // Label 29076: @2202499
     /* 2202499 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2202553), // Rule ID 47503 //
     /* 2202504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202518 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202518 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202521 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202525 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202530 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202537 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202540 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202552 */   // GIR_Coverage, 47503,
     /* 2202552 */   GIR_EraseRootFromParent_Done,
     /* 2202553 */ // Label 29077: @2202553
     /* 2202553 */ GIM_Reject,
     /* 2202554 */ // Label 29034: @2202554
     /* 2202554 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2202657),
     /* 2202559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202570 */   GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2202613), // Rule ID 47362 //
     /* 2202575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202578 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202612 */     // GIR_Coverage, 47362,
     /* 2202612 */     GIR_EraseRootFromParent_Done,
     /* 2202613 */   // Label 29079: @2202613
     /* 2202613 */   GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2202656), // Rule ID 47363 //
     /* 2202618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202621 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202655 */     // GIR_Coverage, 47363,
     /* 2202655 */     GIR_EraseRootFromParent_Done,
     /* 2202656 */   // Label 29080: @2202656
     /* 2202656 */   GIM_Reject,
     /* 2202657 */ // Label 29078: @2202657
     /* 2202657 */ GIM_Reject,
     /* 2202658 */ // Label 29035: @2202658
     /* 2202658 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2202712), // Rule ID 47386 //
     /* 2202663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202677 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202699 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202711 */   // GIR_Coverage, 47386,
     /* 2202711 */   GIR_EraseRootFromParent_Done,
     /* 2202712 */ // Label 29081: @2202712
     /* 2202712 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2202766), // Rule ID 47387 //
     /* 2202717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202731 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202743 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202750 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202765 */   // GIR_Coverage, 47387,
     /* 2202765 */   GIR_EraseRootFromParent_Done,
     /* 2202766 */ // Label 29082: @2202766
     /* 2202766 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2202820), // Rule ID 47452 //
     /* 2202771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202785 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202819 */   // GIR_Coverage, 47452,
     /* 2202819 */   GIR_EraseRootFromParent_Done,
     /* 2202820 */ // Label 29083: @2202820
     /* 2202820 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2202874), // Rule ID 47453 //
     /* 2202825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202839 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202873 */   // GIR_Coverage, 47453,
     /* 2202873 */   GIR_EraseRootFromParent_Done,
     /* 2202874 */ // Label 29084: @2202874
     /* 2202874 */ GIM_Reject,
     /* 2202875 */ // Label 29036: @2202875
     /* 2202875 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2202929), // Rule ID 47406 //
     /* 2202880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202894 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202906 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202928 */   // GIR_Coverage, 47406,
     /* 2202928 */   GIR_EraseRootFromParent_Done,
     /* 2202929 */ // Label 29085: @2202929
     /* 2202929 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2202983), // Rule ID 47407 //
     /* 2202934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202948 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202970 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202982 */   // GIR_Coverage, 47407,
     /* 2202982 */   GIR_EraseRootFromParent_Done,
     /* 2202983 */ // Label 29086: @2202983
     /* 2202983 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2203037), // Rule ID 47472 //
     /* 2202988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203002 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203036 */   // GIR_Coverage, 47472,
     /* 2203036 */   GIR_EraseRootFromParent_Done,
     /* 2203037 */ // Label 29087: @2203037
     /* 2203037 */ GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2203091), // Rule ID 47473 //
     /* 2203042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2203048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203056 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203090 */   // GIR_Coverage, 47473,
     /* 2203090 */   GIR_EraseRootFromParent_Done,
     /* 2203091 */ // Label 29088: @2203091
     /* 2203091 */ GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2203145), // Rule ID 47506 //
     /* 2203096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203110 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2203127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203144 */   // GIR_Coverage, 47506,
     /* 2203144 */   GIR_EraseRootFromParent_Done,
     /* 2203145 */ // Label 29089: @2203145
     /* 2203145 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2203199), // Rule ID 47507 //
     /* 2203150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203164 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203164 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203167 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203171 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203176 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2203181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203183 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203186 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203198 */   // GIR_Coverage, 47507,
     /* 2203198 */   GIR_EraseRootFromParent_Done,
     /* 2203199 */ // Label 29090: @2203199
     /* 2203199 */ GIM_Reject,
     /* 2203200 */ // Label 29037: @2203200
     /* 2203200 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2203303),
     /* 2203205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203216 */   GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2203259), // Rule ID 47366 //
     /* 2203221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203224 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2203227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203258 */     // GIR_Coverage, 47366,
     /* 2203258 */     GIR_EraseRootFromParent_Done,
     /* 2203259 */   // Label 29092: @2203259
     /* 2203259 */   GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2203302), // Rule ID 47367 //
     /* 2203264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203267 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2203270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203301 */     // GIR_Coverage, 47367,
     /* 2203301 */     GIR_EraseRootFromParent_Done,
     /* 2203302 */   // Label 29093: @2203302
     /* 2203302 */   GIM_Reject,
     /* 2203303 */ // Label 29091: @2203303
     /* 2203303 */ GIM_Reject,
     /* 2203304 */ // Label 29038: @2203304
     /* 2203304 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2203358), // Rule ID 47390 //
     /* 2203309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203323 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203357 */   // GIR_Coverage, 47390,
     /* 2203357 */   GIR_EraseRootFromParent_Done,
     /* 2203358 */ // Label 29094: @2203358
     /* 2203358 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2203412), // Rule ID 47391 //
     /* 2203363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203377 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203377 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203380 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203384 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203396 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203411 */   // GIR_Coverage, 47391,
     /* 2203411 */   GIR_EraseRootFromParent_Done,
     /* 2203412 */ // Label 29095: @2203412
     /* 2203412 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2203466), // Rule ID 47456 //
     /* 2203417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203431 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203465 */   // GIR_Coverage, 47456,
     /* 2203465 */   GIR_EraseRootFromParent_Done,
     /* 2203466 */ // Label 29096: @2203466
     /* 2203466 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2203520), // Rule ID 47457 //
     /* 2203471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203485 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203485 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203488 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203492 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203497 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203507 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203519 */   // GIR_Coverage, 47457,
     /* 2203519 */   GIR_EraseRootFromParent_Done,
     /* 2203520 */ // Label 29097: @2203520
     /* 2203520 */ GIM_Reject,
     /* 2203521 */ // Label 29039: @2203521
     /* 2203521 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2203575), // Rule ID 47410 //
     /* 2203526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203540 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203540 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203543 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203547 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203552 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203562 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203574 */   // GIR_Coverage, 47410,
     /* 2203574 */   GIR_EraseRootFromParent_Done,
     /* 2203575 */ // Label 29098: @2203575
     /* 2203575 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2203629), // Rule ID 47411 //
     /* 2203580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203594 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203594 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203597 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203601 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203606 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203613 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203628 */   // GIR_Coverage, 47411,
     /* 2203628 */   GIR_EraseRootFromParent_Done,
     /* 2203629 */ // Label 29099: @2203629
     /* 2203629 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2203683), // Rule ID 47476 //
     /* 2203634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203648 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203682 */   // GIR_Coverage, 47476,
     /* 2203682 */   GIR_EraseRootFromParent_Done,
     /* 2203683 */ // Label 29100: @2203683
     /* 2203683 */ GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2203737), // Rule ID 47477 //
     /* 2203688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203702 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203714 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203721 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203736 */   // GIR_Coverage, 47477,
     /* 2203736 */   GIR_EraseRootFromParent_Done,
     /* 2203737 */ // Label 29101: @2203737
     /* 2203737 */ GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2203791), // Rule ID 47510 //
     /* 2203742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203756 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203775 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203790 */   // GIR_Coverage, 47510,
     /* 2203790 */   GIR_EraseRootFromParent_Done,
     /* 2203791 */ // Label 29102: @2203791
     /* 2203791 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2203845), // Rule ID 47511 //
     /* 2203796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203810 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203810 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203813 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203817 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203832 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203844 */   // GIR_Coverage, 47511,
     /* 2203844 */   GIR_EraseRootFromParent_Done,
     /* 2203845 */ // Label 29103: @2203845
     /* 2203845 */ GIM_Reject,
     /* 2203846 */ // Label 29040: @2203846
     /* 2203846 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2203949),
     /* 2203851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203862 */   GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2203905), // Rule ID 47370 //
     /* 2203867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203870 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203904 */     // GIR_Coverage, 47370,
     /* 2203904 */     GIR_EraseRootFromParent_Done,
     /* 2203905 */   // Label 29105: @2203905
     /* 2203905 */   GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2203948), // Rule ID 47371 //
     /* 2203910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203913 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203947 */     // GIR_Coverage, 47371,
     /* 2203947 */     GIR_EraseRootFromParent_Done,
     /* 2203948 */   // Label 29106: @2203948
     /* 2203948 */   GIM_Reject,
     /* 2203949 */ // Label 29104: @2203949
     /* 2203949 */ GIM_Reject,
     /* 2203950 */ // Label 29041: @2203950
     /* 2203950 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2204004), // Rule ID 47394 //
     /* 2203955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203969 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203969 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203972 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203976 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203981 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203988 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203991 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204003 */   // GIR_Coverage, 47394,
     /* 2204003 */   GIR_EraseRootFromParent_Done,
     /* 2204004 */ // Label 29107: @2204004
     /* 2204004 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2204058), // Rule ID 47395 //
     /* 2204009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204023 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204045 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204057 */   // GIR_Coverage, 47395,
     /* 2204057 */   GIR_EraseRootFromParent_Done,
     /* 2204058 */ // Label 29108: @2204058
     /* 2204058 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2204112), // Rule ID 47460 //
     /* 2204063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204077 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204089 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204096 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204099 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204111 */   // GIR_Coverage, 47460,
     /* 2204111 */   GIR_EraseRootFromParent_Done,
     /* 2204112 */ // Label 29109: @2204112
     /* 2204112 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2204166), // Rule ID 47461 //
     /* 2204117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204131 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204153 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204165 */   // GIR_Coverage, 47461,
     /* 2204165 */   GIR_EraseRootFromParent_Done,
     /* 2204166 */ // Label 29110: @2204166
     /* 2204166 */ GIM_Reject,
     /* 2204167 */ // Label 29042: @2204167
     /* 2204167 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2204221), // Rule ID 47414 //
     /* 2204172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204186 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204186 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204189 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204193 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204205 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204208 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204220 */   // GIR_Coverage, 47414,
     /* 2204220 */   GIR_EraseRootFromParent_Done,
     /* 2204221 */ // Label 29111: @2204221
     /* 2204221 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2204275), // Rule ID 47415 //
     /* 2204226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204240 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204240 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204243 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204247 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204259 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204262 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204274 */   // GIR_Coverage, 47415,
     /* 2204274 */   GIR_EraseRootFromParent_Done,
     /* 2204275 */ // Label 29112: @2204275
     /* 2204275 */ GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2204329), // Rule ID 47480 //
     /* 2204280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204294 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204313 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204316 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204328 */   // GIR_Coverage, 47480,
     /* 2204328 */   GIR_EraseRootFromParent_Done,
     /* 2204329 */ // Label 29113: @2204329
     /* 2204329 */ GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2204383), // Rule ID 47481 //
     /* 2204334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204348 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204360 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204367 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204370 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204382 */   // GIR_Coverage, 47481,
     /* 2204382 */   GIR_EraseRootFromParent_Done,
     /* 2204383 */ // Label 29114: @2204383
     /* 2204383 */ GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2204437), // Rule ID 47514 //
     /* 2204388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204402 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2204419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204424 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204436 */   // GIR_Coverage, 47514,
     /* 2204436 */   GIR_EraseRootFromParent_Done,
     /* 2204437 */ // Label 29115: @2204437
     /* 2204437 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2204491), // Rule ID 47515 //
     /* 2204442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204456 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2204473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204475 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204478 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204490 */   // GIR_Coverage, 47515,
     /* 2204490 */   GIR_EraseRootFromParent_Done,
     /* 2204491 */ // Label 29116: @2204491
     /* 2204491 */ GIM_Reject,
     /* 2204492 */ // Label 29043: @2204492
     /* 2204492 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2204595),
     /* 2204497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204508 */   GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2204551), // Rule ID 47374 //
     /* 2204513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204516 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204550 */     // GIR_Coverage, 47374,
     /* 2204550 */     GIR_EraseRootFromParent_Done,
     /* 2204551 */   // Label 29118: @2204551
     /* 2204551 */   GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2204594), // Rule ID 47375 //
     /* 2204556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204559 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204593 */     // GIR_Coverage, 47375,
     /* 2204593 */     GIR_EraseRootFromParent_Done,
     /* 2204594 */   // Label 29119: @2204594
     /* 2204594 */   GIM_Reject,
     /* 2204595 */ // Label 29117: @2204595
     /* 2204595 */ GIM_Reject,
     /* 2204596 */ // Label 29044: @2204596
     /* 2204596 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2204650), // Rule ID 47398 //
     /* 2204601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204615 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204627 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204637 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204649 */   // GIR_Coverage, 47398,
     /* 2204649 */   GIR_EraseRootFromParent_Done,
     /* 2204650 */ // Label 29120: @2204650
     /* 2204650 */ GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2204704), // Rule ID 47399 //
     /* 2204655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204669 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204669 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204672 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204676 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204681 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204688 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204691 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204703 */   // GIR_Coverage, 47399,
     /* 2204703 */   GIR_EraseRootFromParent_Done,
     /* 2204704 */ // Label 29121: @2204704
     /* 2204704 */ GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2204758), // Rule ID 47464 //
     /* 2204709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204723 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204757 */   // GIR_Coverage, 47464,
     /* 2204757 */   GIR_EraseRootFromParent_Done,
     /* 2204758 */ // Label 29122: @2204758
     /* 2204758 */ GIM_Try, /*On fail goto*//*Label 29123*/ GIMT_Encode4(2204812), // Rule ID 47465 //
     /* 2204763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204777 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204811 */   // GIR_Coverage, 47465,
     /* 2204811 */   GIR_EraseRootFromParent_Done,
     /* 2204812 */ // Label 29123: @2204812
     /* 2204812 */ GIM_Reject,
     /* 2204813 */ // Label 29045: @2204813
     /* 2204813 */ GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2204916),
     /* 2204818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2204821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204829 */   GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2204872), // Rule ID 47378 //
     /* 2204834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204837 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204871 */     // GIR_Coverage, 47378,
     /* 2204871 */     GIR_EraseRootFromParent_Done,
     /* 2204872 */   // Label 29125: @2204872
     /* 2204872 */   GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2204915), // Rule ID 47379 //
     /* 2204877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204880 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204914 */     // GIR_Coverage, 47379,
     /* 2204914 */     GIR_EraseRootFromParent_Done,
     /* 2204915 */   // Label 29126: @2204915
     /* 2204915 */   GIM_Reject,
     /* 2204916 */ // Label 29124: @2204916
     /* 2204916 */ GIM_Reject,
     /* 2204917 */ // Label 29046: @2204917
     /* 2204917 */ GIM_Reject,
     /* 2204918 */ // Label 43: @2204918
     /* 2204918 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29151*/ GIMT_Encode4(2213513),
     /* 2204929 */ /*GILLT_s32*//*Label 29127*/ GIMT_Encode4(2205053),
     /* 2204933 */ /*GILLT_s64*//*Label 29128*/ GIMT_Encode4(2205178), GIMT_Encode4(0),
     /* 2204941 */ /*GILLT_nxv1s8*//*Label 29129*/ GIMT_Encode4(2205523),
     /* 2204945 */ /*GILLT_nxv1s16*//*Label 29130*/ GIMT_Encode4(2205638),
     /* 2204949 */ /*GILLT_nxv1s32*//*Label 29131*/ GIMT_Encode4(2206117),
     /* 2204953 */ /*GILLT_nxv1s64*//*Label 29132*/ GIMT_Encode4(2206596), GIMT_Encode4(0),
     /* 2204961 */ /*GILLT_nxv2s8*//*Label 29133*/ GIMT_Encode4(2207075),
     /* 2204965 */ /*GILLT_nxv2s16*//*Label 29134*/ GIMT_Encode4(2207190),
     /* 2204969 */ /*GILLT_nxv2s32*//*Label 29135*/ GIMT_Encode4(2207669),
     /* 2204973 */ /*GILLT_nxv2s64*//*Label 29136*/ GIMT_Encode4(2208148), GIMT_Encode4(0),
     /* 2204981 */ /*GILLT_nxv4s8*//*Label 29137*/ GIMT_Encode4(2208627),
     /* 2204985 */ /*GILLT_nxv4s16*//*Label 29138*/ GIMT_Encode4(2208742),
     /* 2204989 */ /*GILLT_nxv4s32*//*Label 29139*/ GIMT_Encode4(2209221),
     /* 2204993 */ /*GILLT_nxv4s64*//*Label 29140*/ GIMT_Encode4(2209700), GIMT_Encode4(0),
     /* 2205001 */ /*GILLT_nxv8s8*//*Label 29141*/ GIMT_Encode4(2210179),
     /* 2205005 */ /*GILLT_nxv8s16*//*Label 29142*/ GIMT_Encode4(2210294),
     /* 2205009 */ /*GILLT_nxv8s32*//*Label 29143*/ GIMT_Encode4(2210773),
     /* 2205013 */ /*GILLT_nxv8s64*//*Label 29144*/ GIMT_Encode4(2211252), GIMT_Encode4(0),
     /* 2205021 */ /*GILLT_nxv16s8*//*Label 29145*/ GIMT_Encode4(2211731),
     /* 2205025 */ /*GILLT_nxv16s16*//*Label 29146*/ GIMT_Encode4(2211846),
     /* 2205029 */ /*GILLT_nxv16s32*//*Label 29147*/ GIMT_Encode4(2212325), GIMT_Encode4(0),
     /* 2205037 */ /*GILLT_nxv32s8*//*Label 29148*/ GIMT_Encode4(2212804),
     /* 2205041 */ /*GILLT_nxv32s16*//*Label 29149*/ GIMT_Encode4(2212919), GIMT_Encode4(0),
     /* 2205049 */ /*GILLT_nxv64s8*//*Label 29150*/ GIMT_Encode4(2213398),
     /* 2205053 */ // Label 29127: @2205053
     /* 2205053 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2205177),
     /* 2205058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2205064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205068 */   GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2205105), // Rule ID 2371 //
     /* 2205073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2205076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2205080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205087 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2205087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2205090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205104 */     // GIR_Coverage, 2371,
     /* 2205104 */     GIR_EraseRootFromParent_Done,
     /* 2205105 */   // Label 29153: @2205105
     /* 2205105 */   GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2205143), // Rule ID 91 //
     /* 2205110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2205129 */     // MIs[1] Operand 1
     /* 2205129 */     // No operand predicates
     /* 2205129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205131 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2205131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205142 */     // GIR_Coverage, 91,
     /* 2205142 */     GIR_EraseRootFromParent_Done,
     /* 2205143 */   // Label 29154: @2205143
     /* 2205143 */   GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2205176), // Rule ID 105 //
     /* 2205148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205162 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2205162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2205165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205175 */     // GIR_Coverage, 105,
     /* 2205175 */     GIR_EraseRootFromParent_Done,
     /* 2205176 */   // Label 29155: @2205176
     /* 2205176 */   GIM_Reject,
     /* 2205177 */ // Label 29152: @2205177
     /* 2205177 */ GIM_Reject,
     /* 2205178 */ // Label 29128: @2205178
     /* 2205178 */ GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2205522),
     /* 2205183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2205189 */   GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2205283), // Rule ID 253 //
     /* 2205194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2205197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2205209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2205217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205222 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2205233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205241 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2205245 */     // MIs[2] Operand 1
     /* 2205245 */     // No operand predicates
     /* 2205245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205247 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2205247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2205250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2205263 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2205266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205276 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2205281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205282 */     // GIR_Coverage, 253,
     /* 2205282 */     GIR_EraseRootFromParent_Done,
     /* 2205283 */   // Label 29157: @2205283
     /* 2205283 */   GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2205355), // Rule ID 2489 //
     /* 2205288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2205291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2205303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2205311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205316 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2205327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205335 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2205339 */     // MIs[2] Operand 1
     /* 2205339 */     // No operand predicates
     /* 2205339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205341 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2205341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2205344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2205350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2205353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205354 */     // GIR_Coverage, 2489,
     /* 2205354 */     GIR_EraseRootFromParent_Done,
     /* 2205355 */   // Label 29158: @2205355
     /* 2205355 */   GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2205396), // Rule ID 2370 //
     /* 2205360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2205363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205367 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2205371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205378 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2205378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2205381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205395 */     // GIR_Coverage, 2370,
     /* 2205395 */     GIR_EraseRootFromParent_Done,
     /* 2205396 */   // Label 29159: @2205396
     /* 2205396 */   GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2205442), // Rule ID 268 //
     /* 2205401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2205404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2205424 */     // MIs[1] Operand 1
     /* 2205424 */     // No operand predicates
     /* 2205424 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10036),
     /* 2205428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205430 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10036>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2205430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2205433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205441 */     // GIR_Coverage, 268,
     /* 2205441 */     GIR_EraseRootFromParent_Done,
     /* 2205442 */   // Label 29160: @2205442
     /* 2205442 */   GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2205484), // Rule ID 90 //
     /* 2205447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2205470 */     // MIs[1] Operand 1
     /* 2205470 */     // No operand predicates
     /* 2205470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205472 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2205472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205483 */     // GIR_Coverage, 90,
     /* 2205483 */     GIR_EraseRootFromParent_Done,
     /* 2205484 */   // Label 29161: @2205484
     /* 2205484 */   GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2205521), // Rule ID 104 //
     /* 2205489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205507 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2205507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2205510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205520 */     // GIR_Coverage, 104,
     /* 2205520 */     GIR_EraseRootFromParent_Done,
     /* 2205521 */   // Label 29162: @2205521
     /* 2205521 */   GIM_Reject,
     /* 2205522 */ // Label 29156: @2205522
     /* 2205522 */ GIM_Reject,
     /* 2205523 */ // Label 29129: @2205523
     /* 2205523 */ GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2205637),
     /* 2205528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2205534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205546 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2205591), // Rule ID 47922 //
     /* 2205551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205554 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205590 */     // GIR_Coverage, 47922,
     /* 2205590 */     GIR_EraseRootFromParent_Done,
     /* 2205591 */   // Label 29164: @2205591
     /* 2205591 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2205636), // Rule ID 47923 //
     /* 2205596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205599 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205635 */     // GIR_Coverage, 47923,
     /* 2205635 */     GIR_EraseRootFromParent_Done,
     /* 2205636 */   // Label 29165: @2205636
     /* 2205636 */   GIM_Reject,
     /* 2205637 */ // Label 29163: @2205637
     /* 2205637 */ GIM_Reject,
     /* 2205638 */ // Label 29130: @2205638
     /* 2205638 */ GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2206116),
     /* 2205643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2205649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205653 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2205742), // Rule ID 59410 //
     /* 2205658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205673 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205692 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205694 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205701 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205741 */     // GIR_Coverage, 59410,
     /* 2205741 */     GIR_EraseRootFromParent_Done,
     /* 2205742 */   // Label 29167: @2205742
     /* 2205742 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2205831), // Rule ID 59411 //
     /* 2205747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205762 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205781 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205790 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205830 */     // GIR_Coverage, 59411,
     /* 2205830 */     GIR_EraseRootFromParent_Done,
     /* 2205831 */   // Label 29168: @2205831
     /* 2205831 */   GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2205920), // Rule ID 59412 //
     /* 2205836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205851 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205870 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205879 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205919 */     // GIR_Coverage, 59412,
     /* 2205919 */     GIR_EraseRootFromParent_Done,
     /* 2205920 */   // Label 29169: @2205920
     /* 2205920 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2206009), // Rule ID 59413 //
     /* 2205925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205940 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205959 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205968 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206008 */     // GIR_Coverage, 59413,
     /* 2206008 */     GIR_EraseRootFromParent_Done,
     /* 2206009 */   // Label 29170: @2206009
     /* 2206009 */   GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2206062), // Rule ID 47934 //
     /* 2206014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206025 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206061 */     // GIR_Coverage, 47934,
     /* 2206061 */     GIR_EraseRootFromParent_Done,
     /* 2206062 */   // Label 29171: @2206062
     /* 2206062 */   GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2206115), // Rule ID 47935 //
     /* 2206067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206078 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206114 */     // GIR_Coverage, 47935,
     /* 2206114 */     GIR_EraseRootFromParent_Done,
     /* 2206115 */   // Label 29172: @2206115
     /* 2206115 */   GIM_Reject,
     /* 2206116 */ // Label 29166: @2206116
     /* 2206116 */ GIM_Reject,
     /* 2206117 */ // Label 29131: @2206117
     /* 2206117 */ GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2206595),
     /* 2206122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2206128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206132 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2206221), // Rule ID 59458 //
     /* 2206137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206152 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206171 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206180 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206220 */     // GIR_Coverage, 59458,
     /* 2206220 */     GIR_EraseRootFromParent_Done,
     /* 2206221 */   // Label 29174: @2206221
     /* 2206221 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2206310), // Rule ID 59459 //
     /* 2206226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206241 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206260 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206269 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206309 */     // GIR_Coverage, 59459,
     /* 2206309 */     GIR_EraseRootFromParent_Done,
     /* 2206310 */   // Label 29175: @2206310
     /* 2206310 */   GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2206399), // Rule ID 59460 //
     /* 2206315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206330 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206349 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206358 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206398 */     // GIR_Coverage, 59460,
     /* 2206398 */     GIR_EraseRootFromParent_Done,
     /* 2206399 */   // Label 29176: @2206399
     /* 2206399 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2206488), // Rule ID 59461 //
     /* 2206404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206419 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206438 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206447 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206487 */     // GIR_Coverage, 59461,
     /* 2206487 */     GIR_EraseRootFromParent_Done,
     /* 2206488 */   // Label 29177: @2206488
     /* 2206488 */   GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2206541), // Rule ID 47942 //
     /* 2206493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206504 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206540 */     // GIR_Coverage, 47942,
     /* 2206540 */     GIR_EraseRootFromParent_Done,
     /* 2206541 */   // Label 29178: @2206541
     /* 2206541 */   GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2206594), // Rule ID 47943 //
     /* 2206546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206557 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206593 */     // GIR_Coverage, 47943,
     /* 2206593 */     GIR_EraseRootFromParent_Done,
     /* 2206594 */   // Label 29179: @2206594
     /* 2206594 */   GIM_Reject,
     /* 2206595 */ // Label 29173: @2206595
     /* 2206595 */ GIM_Reject,
     /* 2206596 */ // Label 29132: @2206596
     /* 2206596 */ GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2207074),
     /* 2206601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2206604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2206607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206611 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2206700), // Rule ID 59498 //
     /* 2206616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206631 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206650 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206659 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206699 */     // GIR_Coverage, 59498,
     /* 2206699 */     GIR_EraseRootFromParent_Done,
     /* 2206700 */   // Label 29181: @2206700
     /* 2206700 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2206789), // Rule ID 59499 //
     /* 2206705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206720 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206739 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206748 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206788 */     // GIR_Coverage, 59499,
     /* 2206788 */     GIR_EraseRootFromParent_Done,
     /* 2206789 */   // Label 29182: @2206789
     /* 2206789 */   GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2206878), // Rule ID 59500 //
     /* 2206794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206809 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206828 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206837 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206877 */     // GIR_Coverage, 59500,
     /* 2206877 */     GIR_EraseRootFromParent_Done,
     /* 2206878 */   // Label 29183: @2206878
     /* 2206878 */   GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2206967), // Rule ID 59501 //
     /* 2206883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206898 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206917 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206919 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206926 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206966 */     // GIR_Coverage, 59501,
     /* 2206966 */     GIR_EraseRootFromParent_Done,
     /* 2206967 */   // Label 29184: @2206967
     /* 2206967 */   GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2207020), // Rule ID 47958 //
     /* 2206972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2206975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206983 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207019 */     // GIR_Coverage, 47958,
     /* 2207019 */     GIR_EraseRootFromParent_Done,
     /* 2207020 */   // Label 29185: @2207020
     /* 2207020 */   GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2207073), // Rule ID 47959 //
     /* 2207025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2207028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207036 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2207039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207072 */     // GIR_Coverage, 47959,
     /* 2207072 */     GIR_EraseRootFromParent_Done,
     /* 2207073 */   // Label 29186: @2207073
     /* 2207073 */   GIM_Reject,
     /* 2207074 */ // Label 29180: @2207074
     /* 2207074 */ GIM_Reject,
     /* 2207075 */ // Label 29133: @2207075
     /* 2207075 */ GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2207189),
     /* 2207080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2207086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207098 */   GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2207143), // Rule ID 47926 //
     /* 2207103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207106 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2207109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2207123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207142 */     // GIR_Coverage, 47926,
     /* 2207142 */     GIR_EraseRootFromParent_Done,
     /* 2207143 */   // Label 29188: @2207143
     /* 2207143 */   GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2207188), // Rule ID 47927 //
     /* 2207148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207151 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2207154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2207168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207187 */     // GIR_Coverage, 47927,
     /* 2207187 */     GIR_EraseRootFromParent_Done,
     /* 2207188 */   // Label 29189: @2207188
     /* 2207188 */   GIM_Reject,
     /* 2207189 */ // Label 29187: @2207189
     /* 2207189 */ GIM_Reject,
     /* 2207190 */ // Label 29134: @2207190
     /* 2207190 */ GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2207668),
     /* 2207195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2207201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207205 */   GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2207294), // Rule ID 59418 //
     /* 2207210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207225 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207244 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207253 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207293 */     // GIR_Coverage, 59418,
     /* 2207293 */     GIR_EraseRootFromParent_Done,
     /* 2207294 */   // Label 29191: @2207294
     /* 2207294 */   GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2207383), // Rule ID 59419 //
     /* 2207299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207314 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207333 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207342 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207382 */     // GIR_Coverage, 59419,
     /* 2207382 */     GIR_EraseRootFromParent_Done,
     /* 2207383 */   // Label 29192: @2207383
     /* 2207383 */   GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2207472), // Rule ID 59420 //
     /* 2207388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207403 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207422 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207431 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207471 */     // GIR_Coverage, 59420,
     /* 2207471 */     GIR_EraseRootFromParent_Done,
     /* 2207472 */   // Label 29193: @2207472
     /* 2207472 */   GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2207561), // Rule ID 59421 //
     /* 2207477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207492 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207511 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207513 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207520 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207560 */     // GIR_Coverage, 59421,
     /* 2207560 */     GIR_EraseRootFromParent_Done,
     /* 2207561 */   // Label 29194: @2207561
     /* 2207561 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2207614), // Rule ID 47938 //
     /* 2207566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207577 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207613 */     // GIR_Coverage, 47938,
     /* 2207613 */     GIR_EraseRootFromParent_Done,
     /* 2207614 */   // Label 29195: @2207614
     /* 2207614 */   GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2207667), // Rule ID 47939 //
     /* 2207619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207630 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207666 */     // GIR_Coverage, 47939,
     /* 2207666 */     GIR_EraseRootFromParent_Done,
     /* 2207667 */   // Label 29196: @2207667
     /* 2207667 */   GIM_Reject,
     /* 2207668 */ // Label 29190: @2207668
     /* 2207668 */ GIM_Reject,
     /* 2207669 */ // Label 29135: @2207669
     /* 2207669 */ GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2208147),
     /* 2207674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2207680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207684 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2207773), // Rule ID 59466 //
     /* 2207689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207704 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207723 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207725 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207732 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207772 */     // GIR_Coverage, 59466,
     /* 2207772 */     GIR_EraseRootFromParent_Done,
     /* 2207773 */   // Label 29198: @2207773
     /* 2207773 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2207862), // Rule ID 59467 //
     /* 2207778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207793 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207812 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207821 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207861 */     // GIR_Coverage, 59467,
     /* 2207861 */     GIR_EraseRootFromParent_Done,
     /* 2207862 */   // Label 29199: @2207862
     /* 2207862 */   GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2207951), // Rule ID 59468 //
     /* 2207867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207882 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207901 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207903 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207910 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207950 */     // GIR_Coverage, 59468,
     /* 2207950 */     GIR_EraseRootFromParent_Done,
     /* 2207951 */   // Label 29200: @2207951
     /* 2207951 */   GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2208040), // Rule ID 59469 //
     /* 2207956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207971 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207990 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207999 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208039 */     // GIR_Coverage, 59469,
     /* 2208039 */     GIR_EraseRootFromParent_Done,
     /* 2208040 */   // Label 29201: @2208040
     /* 2208040 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2208093), // Rule ID 47954 //
     /* 2208045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208056 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208092 */     // GIR_Coverage, 47954,
     /* 2208092 */     GIR_EraseRootFromParent_Done,
     /* 2208093 */   // Label 29202: @2208093
     /* 2208093 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2208146), // Rule ID 47955 //
     /* 2208098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208109 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208145 */     // GIR_Coverage, 47955,
     /* 2208145 */     GIR_EraseRootFromParent_Done,
     /* 2208146 */   // Label 29203: @2208146
     /* 2208146 */   GIM_Reject,
     /* 2208147 */ // Label 29197: @2208147
     /* 2208147 */ GIM_Reject,
     /* 2208148 */ // Label 29136: @2208148
     /* 2208148 */ GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2208626),
     /* 2208153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2208156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2208159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208163 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2208252), // Rule ID 59506 //
     /* 2208168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208183 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208202 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208211 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208251 */     // GIR_Coverage, 59506,
     /* 2208251 */     GIR_EraseRootFromParent_Done,
     /* 2208252 */   // Label 29205: @2208252
     /* 2208252 */   GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2208341), // Rule ID 59507 //
     /* 2208257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208272 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208291 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208300 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208340 */     // GIR_Coverage, 59507,
     /* 2208340 */     GIR_EraseRootFromParent_Done,
     /* 2208341 */   // Label 29206: @2208341
     /* 2208341 */   GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2208430), // Rule ID 59508 //
     /* 2208346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208361 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208380 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208389 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208429 */     // GIR_Coverage, 59508,
     /* 2208429 */     GIR_EraseRootFromParent_Done,
     /* 2208430 */   // Label 29207: @2208430
     /* 2208430 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2208519), // Rule ID 59509 //
     /* 2208435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208450 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208469 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208478 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208518 */     // GIR_Coverage, 59509,
     /* 2208518 */     GIR_EraseRootFromParent_Done,
     /* 2208519 */   // Label 29208: @2208519
     /* 2208519 */   GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2208572), // Rule ID 47998 //
     /* 2208524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208535 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208571 */     // GIR_Coverage, 47998,
     /* 2208571 */     GIR_EraseRootFromParent_Done,
     /* 2208572 */   // Label 29209: @2208572
     /* 2208572 */   GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2208625), // Rule ID 47999 //
     /* 2208577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2208580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208588 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208624 */     // GIR_Coverage, 47999,
     /* 2208624 */     GIR_EraseRootFromParent_Done,
     /* 2208625 */   // Label 29210: @2208625
     /* 2208625 */   GIM_Reject,
     /* 2208626 */ // Label 29204: @2208626
     /* 2208626 */ GIM_Reject,
     /* 2208627 */ // Label 29137: @2208627
     /* 2208627 */ GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2208741),
     /* 2208632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2208638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208650 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2208695), // Rule ID 47930 //
     /* 2208655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208658 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208694 */     // GIR_Coverage, 47930,
     /* 2208694 */     GIR_EraseRootFromParent_Done,
     /* 2208695 */   // Label 29212: @2208695
     /* 2208695 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2208740), // Rule ID 47931 //
     /* 2208700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208703 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208739 */     // GIR_Coverage, 47931,
     /* 2208739 */     GIR_EraseRootFromParent_Done,
     /* 2208740 */   // Label 29213: @2208740
     /* 2208740 */   GIM_Reject,
     /* 2208741 */ // Label 29211: @2208741
     /* 2208741 */ GIM_Reject,
     /* 2208742 */ // Label 29138: @2208742
     /* 2208742 */ GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2209220),
     /* 2208747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2208753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208757 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2208846), // Rule ID 59426 //
     /* 2208762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208777 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208796 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208805 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208845 */     // GIR_Coverage, 59426,
     /* 2208845 */     GIR_EraseRootFromParent_Done,
     /* 2208846 */   // Label 29215: @2208846
     /* 2208846 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2208935), // Rule ID 59427 //
     /* 2208851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208866 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208885 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208894 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208934 */     // GIR_Coverage, 59427,
     /* 2208934 */     GIR_EraseRootFromParent_Done,
     /* 2208935 */   // Label 29216: @2208935
     /* 2208935 */   GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2209024), // Rule ID 59428 //
     /* 2208940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208955 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208974 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208983 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2209000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209023 */     // GIR_Coverage, 59428,
     /* 2209023 */     GIR_EraseRootFromParent_Done,
     /* 2209024 */   // Label 29217: @2209024
     /* 2209024 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2209113), // Rule ID 59429 //
     /* 2209029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209044 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209063 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209072 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2209089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209112 */     // GIR_Coverage, 59429,
     /* 2209112 */     GIR_EraseRootFromParent_Done,
     /* 2209113 */   // Label 29218: @2209113
     /* 2209113 */   GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2209166), // Rule ID 47950 //
     /* 2209118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209129 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209165 */     // GIR_Coverage, 47950,
     /* 2209165 */     GIR_EraseRootFromParent_Done,
     /* 2209166 */   // Label 29219: @2209166
     /* 2209166 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2209219), // Rule ID 47951 //
     /* 2209171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209182 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209218 */     // GIR_Coverage, 47951,
     /* 2209218 */     GIR_EraseRootFromParent_Done,
     /* 2209219 */   // Label 29220: @2209219
     /* 2209219 */   GIM_Reject,
     /* 2209220 */ // Label 29214: @2209220
     /* 2209220 */ GIM_Reject,
     /* 2209221 */ // Label 29139: @2209221
     /* 2209221 */ GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2209699),
     /* 2209226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2209232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209236 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2209325), // Rule ID 59474 //
     /* 2209241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209256 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209275 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209284 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209324 */     // GIR_Coverage, 59474,
     /* 2209324 */     GIR_EraseRootFromParent_Done,
     /* 2209325 */   // Label 29222: @2209325
     /* 2209325 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2209414), // Rule ID 59475 //
     /* 2209330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209345 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209364 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209373 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209413 */     // GIR_Coverage, 59475,
     /* 2209413 */     GIR_EraseRootFromParent_Done,
     /* 2209414 */   // Label 29223: @2209414
     /* 2209414 */   GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2209503), // Rule ID 59476 //
     /* 2209419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209434 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209453 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209462 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209502 */     // GIR_Coverage, 59476,
     /* 2209502 */     GIR_EraseRootFromParent_Done,
     /* 2209503 */   // Label 29224: @2209503
     /* 2209503 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2209592), // Rule ID 59477 //
     /* 2209508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209523 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209542 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209551 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209591 */     // GIR_Coverage, 59477,
     /* 2209591 */     GIR_EraseRootFromParent_Done,
     /* 2209592 */   // Label 29225: @2209592
     /* 2209592 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2209645), // Rule ID 47986 //
     /* 2209597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209608 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209644 */     // GIR_Coverage, 47986,
     /* 2209644 */     GIR_EraseRootFromParent_Done,
     /* 2209645 */   // Label 29226: @2209645
     /* 2209645 */   GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2209698), // Rule ID 47987 //
     /* 2209650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209661 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209697 */     // GIR_Coverage, 47987,
     /* 2209697 */     GIR_EraseRootFromParent_Done,
     /* 2209698 */   // Label 29227: @2209698
     /* 2209698 */   GIM_Reject,
     /* 2209699 */ // Label 29221: @2209699
     /* 2209699 */ GIM_Reject,
     /* 2209700 */ // Label 29140: @2209700
     /* 2209700 */ GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2210178),
     /* 2209705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2209708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2209711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209715 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2209804), // Rule ID 59514 //
     /* 2209720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209735 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209754 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209763 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209803 */     // GIR_Coverage, 59514,
     /* 2209803 */     GIR_EraseRootFromParent_Done,
     /* 2209804 */   // Label 29229: @2209804
     /* 2209804 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2209893), // Rule ID 59515 //
     /* 2209809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209824 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209843 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209852 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209892 */     // GIR_Coverage, 59515,
     /* 2209892 */     GIR_EraseRootFromParent_Done,
     /* 2209893 */   // Label 29230: @2209893
     /* 2209893 */   GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2209982), // Rule ID 59516 //
     /* 2209898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209913 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209932 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209941 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209981 */     // GIR_Coverage, 59516,
     /* 2209981 */     GIR_EraseRootFromParent_Done,
     /* 2209982 */   // Label 29231: @2209982
     /* 2209982 */   GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2210071), // Rule ID 59517 //
     /* 2209987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2210002 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2210021 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210030 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210070 */     // GIR_Coverage, 59517,
     /* 2210070 */     GIR_EraseRootFromParent_Done,
     /* 2210071 */   // Label 29232: @2210071
     /* 2210071 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2210124), // Rule ID 48002 //
     /* 2210076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2210079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210087 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210123 */     // GIR_Coverage, 48002,
     /* 2210123 */     GIR_EraseRootFromParent_Done,
     /* 2210124 */   // Label 29233: @2210124
     /* 2210124 */   GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2210177), // Rule ID 48003 //
     /* 2210129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2210132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210140 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210176 */     // GIR_Coverage, 48003,
     /* 2210176 */     GIR_EraseRootFromParent_Done,
     /* 2210177 */   // Label 29234: @2210177
     /* 2210177 */   GIM_Reject,
     /* 2210178 */ // Label 29228: @2210178
     /* 2210178 */ GIM_Reject,
     /* 2210179 */ // Label 29141: @2210179
     /* 2210179 */ GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2210293),
     /* 2210184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2210190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210202 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2210247), // Rule ID 47946 //
     /* 2210207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210210 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2210213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2210227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210246 */     // GIR_Coverage, 47946,
     /* 2210246 */     GIR_EraseRootFromParent_Done,
     /* 2210247 */   // Label 29236: @2210247
     /* 2210247 */   GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2210292), // Rule ID 47947 //
     /* 2210252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210255 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2210258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2210272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210291 */     // GIR_Coverage, 47947,
     /* 2210291 */     GIR_EraseRootFromParent_Done,
     /* 2210292 */   // Label 29237: @2210292
     /* 2210292 */   GIM_Reject,
     /* 2210293 */ // Label 29235: @2210293
     /* 2210293 */ GIM_Reject,
     /* 2210294 */ // Label 29142: @2210294
     /* 2210294 */ GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2210772),
     /* 2210299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2210305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210309 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2210398), // Rule ID 59434 //
     /* 2210314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210329 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210348 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210357 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210397 */     // GIR_Coverage, 59434,
     /* 2210397 */     GIR_EraseRootFromParent_Done,
     /* 2210398 */   // Label 29239: @2210398
     /* 2210398 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2210487), // Rule ID 59435 //
     /* 2210403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210418 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210437 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210446 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210486 */     // GIR_Coverage, 59435,
     /* 2210486 */     GIR_EraseRootFromParent_Done,
     /* 2210487 */   // Label 29240: @2210487
     /* 2210487 */   GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2210576), // Rule ID 59436 //
     /* 2210492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210507 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210526 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210535 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210575 */     // GIR_Coverage, 59436,
     /* 2210575 */     GIR_EraseRootFromParent_Done,
     /* 2210576 */   // Label 29241: @2210576
     /* 2210576 */   GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2210665), // Rule ID 59437 //
     /* 2210581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210596 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210615 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210624 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210664 */     // GIR_Coverage, 59437,
     /* 2210664 */     GIR_EraseRootFromParent_Done,
     /* 2210665 */   // Label 29242: @2210665
     /* 2210665 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2210718), // Rule ID 47974 //
     /* 2210670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210681 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210717 */     // GIR_Coverage, 47974,
     /* 2210717 */     GIR_EraseRootFromParent_Done,
     /* 2210718 */   // Label 29243: @2210718
     /* 2210718 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2210771), // Rule ID 47975 //
     /* 2210723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210734 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210770 */     // GIR_Coverage, 47975,
     /* 2210770 */     GIR_EraseRootFromParent_Done,
     /* 2210771 */   // Label 29244: @2210771
     /* 2210771 */   GIM_Reject,
     /* 2210772 */ // Label 29238: @2210772
     /* 2210772 */ GIM_Reject,
     /* 2210773 */ // Label 29143: @2210773
     /* 2210773 */ GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2211251),
     /* 2210778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2210784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210788 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2210877), // Rule ID 59482 //
     /* 2210793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210808 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210827 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210836 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210876 */     // GIR_Coverage, 59482,
     /* 2210876 */     GIR_EraseRootFromParent_Done,
     /* 2210877 */   // Label 29246: @2210877
     /* 2210877 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2210966), // Rule ID 59483 //
     /* 2210882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210897 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210916 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210923 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210925 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210965 */     // GIR_Coverage, 59483,
     /* 2210965 */     GIR_EraseRootFromParent_Done,
     /* 2210966 */   // Label 29247: @2210966
     /* 2210966 */   GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2211055), // Rule ID 59484 //
     /* 2210971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210986 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2211005 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211014 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211054 */     // GIR_Coverage, 59484,
     /* 2211054 */     GIR_EraseRootFromParent_Done,
     /* 2211055 */   // Label 29248: @2211055
     /* 2211055 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2211144), // Rule ID 59485 //
     /* 2211060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2211075 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2211094 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211096 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211103 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211143 */     // GIR_Coverage, 59485,
     /* 2211143 */     GIR_EraseRootFromParent_Done,
     /* 2211144 */   // Label 29249: @2211144
     /* 2211144 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2211197), // Rule ID 47990 //
     /* 2211149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211160 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211196 */     // GIR_Coverage, 47990,
     /* 2211196 */     GIR_EraseRootFromParent_Done,
     /* 2211197 */   // Label 29250: @2211197
     /* 2211197 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2211250), // Rule ID 47991 //
     /* 2211202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211213 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211249 */     // GIR_Coverage, 47991,
     /* 2211249 */     GIR_EraseRootFromParent_Done,
     /* 2211250 */   // Label 29251: @2211250
     /* 2211250 */   GIM_Reject,
     /* 2211251 */ // Label 29245: @2211251
     /* 2211251 */ GIM_Reject,
     /* 2211252 */ // Label 29144: @2211252
     /* 2211252 */ GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2211730),
     /* 2211257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2211260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2211263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211267 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2211356), // Rule ID 59522 //
     /* 2211272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211287 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211306 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211315 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211355 */     // GIR_Coverage, 59522,
     /* 2211355 */     GIR_EraseRootFromParent_Done,
     /* 2211356 */   // Label 29253: @2211356
     /* 2211356 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2211445), // Rule ID 59523 //
     /* 2211361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211376 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211395 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211404 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211444 */     // GIR_Coverage, 59523,
     /* 2211444 */     GIR_EraseRootFromParent_Done,
     /* 2211445 */   // Label 29254: @2211445
     /* 2211445 */   GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2211534), // Rule ID 59524 //
     /* 2211450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211465 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211484 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211493 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211533 */     // GIR_Coverage, 59524,
     /* 2211533 */     GIR_EraseRootFromParent_Done,
     /* 2211534 */   // Label 29255: @2211534
     /* 2211534 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2211623), // Rule ID 59525 //
     /* 2211539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211554 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211573 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211582 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211622 */     // GIR_Coverage, 59525,
     /* 2211622 */     GIR_EraseRootFromParent_Done,
     /* 2211623 */   // Label 29256: @2211623
     /* 2211623 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2211676), // Rule ID 48006 //
     /* 2211628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2211631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211639 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211675 */     // GIR_Coverage, 48006,
     /* 2211675 */     GIR_EraseRootFromParent_Done,
     /* 2211676 */   // Label 29257: @2211676
     /* 2211676 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2211729), // Rule ID 48007 //
     /* 2211681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211692 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211728 */     // GIR_Coverage, 48007,
     /* 2211728 */     GIR_EraseRootFromParent_Done,
     /* 2211729 */   // Label 29258: @2211729
     /* 2211729 */   GIM_Reject,
     /* 2211730 */ // Label 29252: @2211730
     /* 2211730 */ GIM_Reject,
     /* 2211731 */ // Label 29145: @2211731
     /* 2211731 */ GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2211845),
     /* 2211736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2211742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211754 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2211799), // Rule ID 47962 //
     /* 2211759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211762 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211798 */     // GIR_Coverage, 47962,
     /* 2211798 */     GIR_EraseRootFromParent_Done,
     /* 2211799 */   // Label 29260: @2211799
     /* 2211799 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2211844), // Rule ID 47963 //
     /* 2211804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211807 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211843 */     // GIR_Coverage, 47963,
     /* 2211843 */     GIR_EraseRootFromParent_Done,
     /* 2211844 */   // Label 29261: @2211844
     /* 2211844 */   GIM_Reject,
     /* 2211845 */ // Label 29259: @2211845
     /* 2211845 */ GIM_Reject,
     /* 2211846 */ // Label 29146: @2211846
     /* 2211846 */ GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2212324),
     /* 2211851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2211857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211861 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2211950), // Rule ID 59442 //
     /* 2211866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211881 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211900 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211909 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211949 */     // GIR_Coverage, 59442,
     /* 2211949 */     GIR_EraseRootFromParent_Done,
     /* 2211950 */   // Label 29263: @2211950
     /* 2211950 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2212039), // Rule ID 59443 //
     /* 2211955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211970 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211989 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211998 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2212015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212038 */     // GIR_Coverage, 59443,
     /* 2212038 */     GIR_EraseRootFromParent_Done,
     /* 2212039 */   // Label 29264: @2212039
     /* 2212039 */   GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2212128), // Rule ID 59444 //
     /* 2212044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212059 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212078 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212087 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2212104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212127 */     // GIR_Coverage, 59444,
     /* 2212127 */     GIR_EraseRootFromParent_Done,
     /* 2212128 */   // Label 29265: @2212128
     /* 2212128 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2212217), // Rule ID 59445 //
     /* 2212133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212148 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212167 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212176 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2212193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212216 */     // GIR_Coverage, 59445,
     /* 2212216 */     GIR_EraseRootFromParent_Done,
     /* 2212217 */   // Label 29266: @2212217
     /* 2212217 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2212270), // Rule ID 47978 //
     /* 2212222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212233 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212269 */     // GIR_Coverage, 47978,
     /* 2212269 */     GIR_EraseRootFromParent_Done,
     /* 2212270 */   // Label 29267: @2212270
     /* 2212270 */   GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2212323), // Rule ID 47979 //
     /* 2212275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212286 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212322 */     // GIR_Coverage, 47979,
     /* 2212322 */     GIR_EraseRootFromParent_Done,
     /* 2212323 */   // Label 29268: @2212323
     /* 2212323 */   GIM_Reject,
     /* 2212324 */ // Label 29262: @2212324
     /* 2212324 */ GIM_Reject,
     /* 2212325 */ // Label 29147: @2212325
     /* 2212325 */ GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2212803),
     /* 2212330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2212333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2212336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212340 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2212429), // Rule ID 59490 //
     /* 2212345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212360 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212379 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212388 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212428 */     // GIR_Coverage, 59490,
     /* 2212428 */     GIR_EraseRootFromParent_Done,
     /* 2212429 */   // Label 29270: @2212429
     /* 2212429 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2212518), // Rule ID 59491 //
     /* 2212434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212449 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212468 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212477 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212517 */     // GIR_Coverage, 59491,
     /* 2212517 */     GIR_EraseRootFromParent_Done,
     /* 2212518 */   // Label 29271: @2212518
     /* 2212518 */   GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2212607), // Rule ID 59492 //
     /* 2212523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212538 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212557 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212566 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212606 */     // GIR_Coverage, 59492,
     /* 2212606 */     GIR_EraseRootFromParent_Done,
     /* 2212607 */   // Label 29272: @2212607
     /* 2212607 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2212696), // Rule ID 59493 //
     /* 2212612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212627 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212646 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212655 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212695 */     // GIR_Coverage, 59493,
     /* 2212695 */     GIR_EraseRootFromParent_Done,
     /* 2212696 */   // Label 29273: @2212696
     /* 2212696 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2212749), // Rule ID 47994 //
     /* 2212701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212712 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212748 */     // GIR_Coverage, 47994,
     /* 2212748 */     GIR_EraseRootFromParent_Done,
     /* 2212749 */   // Label 29274: @2212749
     /* 2212749 */   GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2212802), // Rule ID 47995 //
     /* 2212754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212765 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212801 */     // GIR_Coverage, 47995,
     /* 2212801 */     GIR_EraseRootFromParent_Done,
     /* 2212802 */   // Label 29275: @2212802
     /* 2212802 */   GIM_Reject,
     /* 2212803 */ // Label 29269: @2212803
     /* 2212803 */ GIM_Reject,
     /* 2212804 */ // Label 29148: @2212804
     /* 2212804 */ GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2212918),
     /* 2212809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2212815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212827 */   GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2212872), // Rule ID 47966 //
     /* 2212832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212835 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212871 */     // GIR_Coverage, 47966,
     /* 2212871 */     GIR_EraseRootFromParent_Done,
     /* 2212872 */   // Label 29277: @2212872
     /* 2212872 */   GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2212917), // Rule ID 47967 //
     /* 2212877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212880 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212916 */     // GIR_Coverage, 47967,
     /* 2212916 */     GIR_EraseRootFromParent_Done,
     /* 2212917 */   // Label 29278: @2212917
     /* 2212917 */   GIM_Reject,
     /* 2212918 */ // Label 29276: @2212918
     /* 2212918 */ GIM_Reject,
     /* 2212919 */ // Label 29149: @2212919
     /* 2212919 */ GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2213397),
     /* 2212924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2212927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2212930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212934 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2213023), // Rule ID 59450 //
     /* 2212939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212954 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212973 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212982 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213022 */     // GIR_Coverage, 59450,
     /* 2213022 */     GIR_EraseRootFromParent_Done,
     /* 2213023 */   // Label 29280: @2213023
     /* 2213023 */   GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2213112), // Rule ID 59451 //
     /* 2213028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2213031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213043 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2213058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213062 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213071 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2213088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213111 */     // GIR_Coverage, 59451,
     /* 2213111 */     GIR_EraseRootFromParent_Done,
     /* 2213112 */   // Label 29281: @2213112
     /* 2213112 */   GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2213201), // Rule ID 59452 //
     /* 2213117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2213120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213132 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213151 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213160 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2213177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213200 */     // GIR_Coverage, 59452,
     /* 2213200 */     GIR_EraseRootFromParent_Done,
     /* 2213201 */   // Label 29282: @2213201
     /* 2213201 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2213290), // Rule ID 59453 //
     /* 2213206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2213209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213221 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213240 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213249 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2213266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213289 */     // GIR_Coverage, 59453,
     /* 2213289 */     GIR_EraseRootFromParent_Done,
     /* 2213290 */   // Label 29283: @2213290
     /* 2213290 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2213343), // Rule ID 47982 //
     /* 2213295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213306 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213342 */     // GIR_Coverage, 47982,
     /* 2213342 */     GIR_EraseRootFromParent_Done,
     /* 2213343 */   // Label 29284: @2213343
     /* 2213343 */   GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2213396), // Rule ID 47983 //
     /* 2213348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213359 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213395 */     // GIR_Coverage, 47983,
     /* 2213395 */     GIR_EraseRootFromParent_Done,
     /* 2213396 */   // Label 29285: @2213396
     /* 2213396 */   GIM_Reject,
     /* 2213397 */ // Label 29279: @2213397
     /* 2213397 */ GIM_Reject,
     /* 2213398 */ // Label 29150: @2213398
     /* 2213398 */ GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2213512),
     /* 2213403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2213406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2213409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213421 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2213466), // Rule ID 47970 //
     /* 2213426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213429 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213465 */     // GIR_Coverage, 47970,
     /* 2213465 */     GIR_EraseRootFromParent_Done,
     /* 2213466 */   // Label 29287: @2213466
     /* 2213466 */   GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2213511), // Rule ID 47971 //
     /* 2213471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213474 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213510 */     // GIR_Coverage, 47971,
     /* 2213510 */     GIR_EraseRootFromParent_Done,
     /* 2213511 */   // Label 29288: @2213511
     /* 2213511 */   GIM_Reject,
     /* 2213512 */ // Label 29286: @2213512
     /* 2213512 */ GIM_Reject,
     /* 2213513 */ // Label 29151: @2213513
     /* 2213513 */ GIM_Reject,
     /* 2213514 */ // Label 44: @2213514
     /* 2213514 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29313*/ GIMT_Encode4(2216544),
     /* 2213525 */ /*GILLT_s32*//*Label 29289*/ GIMT_Encode4(2213649),
     /* 2213529 */ /*GILLT_s64*//*Label 29290*/ GIMT_Encode4(2213733), GIMT_Encode4(0),
     /* 2213537 */ /*GILLT_nxv1s8*//*Label 29291*/ GIMT_Encode4(2214014),
     /* 2213541 */ /*GILLT_nxv1s16*//*Label 29292*/ GIMT_Encode4(2214129),
     /* 2213545 */ /*GILLT_nxv1s32*//*Label 29293*/ GIMT_Encode4(2214244),
     /* 2213549 */ /*GILLT_nxv1s64*//*Label 29294*/ GIMT_Encode4(2214359), GIMT_Encode4(0),
     /* 2213557 */ /*GILLT_nxv2s8*//*Label 29295*/ GIMT_Encode4(2214474),
     /* 2213561 */ /*GILLT_nxv2s16*//*Label 29296*/ GIMT_Encode4(2214589),
     /* 2213565 */ /*GILLT_nxv2s32*//*Label 29297*/ GIMT_Encode4(2214704),
     /* 2213569 */ /*GILLT_nxv2s64*//*Label 29298*/ GIMT_Encode4(2214819), GIMT_Encode4(0),
     /* 2213577 */ /*GILLT_nxv4s8*//*Label 29299*/ GIMT_Encode4(2214934),
     /* 2213581 */ /*GILLT_nxv4s16*//*Label 29300*/ GIMT_Encode4(2215049),
     /* 2213585 */ /*GILLT_nxv4s32*//*Label 29301*/ GIMT_Encode4(2215164),
     /* 2213589 */ /*GILLT_nxv4s64*//*Label 29302*/ GIMT_Encode4(2215279), GIMT_Encode4(0),
     /* 2213597 */ /*GILLT_nxv8s8*//*Label 29303*/ GIMT_Encode4(2215394),
     /* 2213601 */ /*GILLT_nxv8s16*//*Label 29304*/ GIMT_Encode4(2215509),
     /* 2213605 */ /*GILLT_nxv8s32*//*Label 29305*/ GIMT_Encode4(2215624),
     /* 2213609 */ /*GILLT_nxv8s64*//*Label 29306*/ GIMT_Encode4(2215739), GIMT_Encode4(0),
     /* 2213617 */ /*GILLT_nxv16s8*//*Label 29307*/ GIMT_Encode4(2215854),
     /* 2213621 */ /*GILLT_nxv16s16*//*Label 29308*/ GIMT_Encode4(2215969),
     /* 2213625 */ /*GILLT_nxv16s32*//*Label 29309*/ GIMT_Encode4(2216084), GIMT_Encode4(0),
     /* 2213633 */ /*GILLT_nxv32s8*//*Label 29310*/ GIMT_Encode4(2216199),
     /* 2213637 */ /*GILLT_nxv32s16*//*Label 29311*/ GIMT_Encode4(2216314), GIMT_Encode4(0),
     /* 2213645 */ /*GILLT_nxv64s8*//*Label 29312*/ GIMT_Encode4(2216429),
     /* 2213649 */ // Label 29289: @2213649
     /* 2213649 */ GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2213732),
     /* 2213654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2213657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2213660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213668 */   GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2213702), // Rule ID 93 //
     /* 2213673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213688 */     // MIs[1] Operand 1
     /* 2213688 */     // No operand predicates
     /* 2213688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213690 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213701 */     // GIR_Coverage, 93,
     /* 2213701 */     GIR_EraseRootFromParent_Done,
     /* 2213702 */   // Label 29315: @2213702
     /* 2213702 */   GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2213731), // Rule ID 107 //
     /* 2213707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213717 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2213717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2213720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213730 */     // GIR_Coverage, 107,
     /* 2213730 */     GIR_EraseRootFromParent_Done,
     /* 2213731 */   // Label 29316: @2213731
     /* 2213731 */   GIM_Reject,
     /* 2213732 */ // Label 29314: @2213732
     /* 2213732 */ GIM_Reject,
     /* 2213733 */ // Label 29290: @2213733
     /* 2213733 */ GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2214013),
     /* 2213738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213744 */   GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2213816), // Rule ID 257 //
     /* 2213749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2213764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213777 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2213788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213796 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213800 */     // MIs[2] Operand 1
     /* 2213800 */     // No operand predicates
     /* 2213800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213802 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2213805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213815 */     // GIR_Coverage, 257,
     /* 2213815 */     GIR_EraseRootFromParent_Done,
     /* 2213816 */   // Label 29318: @2213816
     /* 2213816 */   GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2213861), // Rule ID 62483 //
     /* 2213821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2213824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2213836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213840 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2213844 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10038),
     /* 2213848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213850 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10038>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2213850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2213853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213860 */     // GIR_Coverage, 62483,
     /* 2213860 */     GIR_EraseRootFromParent_Done,
     /* 2213861 */   // Label 29319: @2213861
     /* 2213861 */   GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2213933), // Rule ID 269 //
     /* 2213866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2213881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213890 */     // MIs[1] Operand 2
     /* 2213890 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2213901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213909 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213913 */     // MIs[2] Operand 1
     /* 2213913 */     // No operand predicates
     /* 2213913 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10038),
     /* 2213917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213919 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10038>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2213922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213932 */     // GIR_Coverage, 269,
     /* 2213932 */     GIR_EraseRootFromParent_Done,
     /* 2213933 */   // Label 29320: @2213933
     /* 2213933 */   GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2213975), // Rule ID 92 //
     /* 2213938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213961 */     // MIs[1] Operand 1
     /* 2213961 */     // No operand predicates
     /* 2213961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213963 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213974 */     // GIR_Coverage, 92,
     /* 2213974 */     GIR_EraseRootFromParent_Done,
     /* 2213975 */   // Label 29321: @2213975
     /* 2213975 */   GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2214012), // Rule ID 106 //
     /* 2213980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213998 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2213998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2214001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2214010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214011 */     // GIR_Coverage, 106,
     /* 2214011 */     GIR_EraseRootFromParent_Done,
     /* 2214012 */   // Label 29322: @2214012
     /* 2214012 */   GIM_Reject,
     /* 2214013 */ // Label 29317: @2214013
     /* 2214013 */ GIM_Reject,
     /* 2214014 */ // Label 29291: @2214014
     /* 2214014 */ GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2214128),
     /* 2214019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2214025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214037 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2214082), // Rule ID 48054 //
     /* 2214042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214045 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2214048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2214062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214081 */     // GIR_Coverage, 48054,
     /* 2214081 */     GIR_EraseRootFromParent_Done,
     /* 2214082 */   // Label 29324: @2214082
     /* 2214082 */   GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2214127), // Rule ID 48055 //
     /* 2214087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214090 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2214093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2214107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214126 */     // GIR_Coverage, 48055,
     /* 2214126 */     GIR_EraseRootFromParent_Done,
     /* 2214127 */   // Label 29325: @2214127
     /* 2214127 */   GIM_Reject,
     /* 2214128 */ // Label 29323: @2214128
     /* 2214128 */ GIM_Reject,
     /* 2214129 */ // Label 29292: @2214129
     /* 2214129 */ GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2214243),
     /* 2214134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2214137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2214140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214152 */   GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2214197), // Rule ID 48066 //
     /* 2214157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214160 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214196 */     // GIR_Coverage, 48066,
     /* 2214196 */     GIR_EraseRootFromParent_Done,
     /* 2214197 */   // Label 29327: @2214197
     /* 2214197 */   GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2214242), // Rule ID 48067 //
     /* 2214202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214205 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214241 */     // GIR_Coverage, 48067,
     /* 2214241 */     GIR_EraseRootFromParent_Done,
     /* 2214242 */   // Label 29328: @2214242
     /* 2214242 */   GIM_Reject,
     /* 2214243 */ // Label 29326: @2214243
     /* 2214243 */ GIM_Reject,
     /* 2214244 */ // Label 29293: @2214244
     /* 2214244 */ GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2214358),
     /* 2214249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2214252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2214255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214267 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2214312), // Rule ID 48074 //
     /* 2214272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214275 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2214278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214311 */     // GIR_Coverage, 48074,
     /* 2214311 */     GIR_EraseRootFromParent_Done,
     /* 2214312 */   // Label 29330: @2214312
     /* 2214312 */   GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2214357), // Rule ID 48075 //
     /* 2214317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214320 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2214323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214356 */     // GIR_Coverage, 48075,
     /* 2214356 */     GIR_EraseRootFromParent_Done,
     /* 2214357 */   // Label 29331: @2214357
     /* 2214357 */   GIM_Reject,
     /* 2214358 */ // Label 29329: @2214358
     /* 2214358 */ GIM_Reject,
     /* 2214359 */ // Label 29294: @2214359
     /* 2214359 */ GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2214473),
     /* 2214364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2214367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2214370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214382 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2214427), // Rule ID 48090 //
     /* 2214387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214390 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2214393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214426 */     // GIR_Coverage, 48090,
     /* 2214426 */     GIR_EraseRootFromParent_Done,
     /* 2214427 */   // Label 29333: @2214427
     /* 2214427 */   GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2214472), // Rule ID 48091 //
     /* 2214432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214435 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2214438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214471 */     // GIR_Coverage, 48091,
     /* 2214471 */     GIR_EraseRootFromParent_Done,
     /* 2214472 */   // Label 29334: @2214472
     /* 2214472 */   GIM_Reject,
     /* 2214473 */ // Label 29332: @2214473
     /* 2214473 */ GIM_Reject,
     /* 2214474 */ // Label 29295: @2214474
     /* 2214474 */ GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2214588),
     /* 2214479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2214482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2214485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214497 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2214542), // Rule ID 48058 //
     /* 2214502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214505 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214541 */     // GIR_Coverage, 48058,
     /* 2214541 */     GIR_EraseRootFromParent_Done,
     /* 2214542 */   // Label 29336: @2214542
     /* 2214542 */   GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2214587), // Rule ID 48059 //
     /* 2214547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214550 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214586 */     // GIR_Coverage, 48059,
     /* 2214586 */     GIR_EraseRootFromParent_Done,
     /* 2214587 */   // Label 29337: @2214587
     /* 2214587 */   GIM_Reject,
     /* 2214588 */ // Label 29335: @2214588
     /* 2214588 */ GIM_Reject,
     /* 2214589 */ // Label 29296: @2214589
     /* 2214589 */ GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2214703),
     /* 2214594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2214597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2214600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214612 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2214657), // Rule ID 48070 //
     /* 2214617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214620 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214656 */     // GIR_Coverage, 48070,
     /* 2214656 */     GIR_EraseRootFromParent_Done,
     /* 2214657 */   // Label 29339: @2214657
     /* 2214657 */   GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2214702), // Rule ID 48071 //
     /* 2214662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214665 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214701 */     // GIR_Coverage, 48071,
     /* 2214701 */     GIR_EraseRootFromParent_Done,
     /* 2214702 */   // Label 29340: @2214702
     /* 2214702 */   GIM_Reject,
     /* 2214703 */ // Label 29338: @2214703
     /* 2214703 */ GIM_Reject,
     /* 2214704 */ // Label 29297: @2214704
     /* 2214704 */ GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2214818),
     /* 2214709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2214715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214727 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2214772), // Rule ID 48086 //
     /* 2214732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214735 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214771 */     // GIR_Coverage, 48086,
     /* 2214771 */     GIR_EraseRootFromParent_Done,
     /* 2214772 */   // Label 29342: @2214772
     /* 2214772 */   GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2214817), // Rule ID 48087 //
     /* 2214777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214780 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214816 */     // GIR_Coverage, 48087,
     /* 2214816 */     GIR_EraseRootFromParent_Done,
     /* 2214817 */   // Label 29343: @2214817
     /* 2214817 */   GIM_Reject,
     /* 2214818 */ // Label 29341: @2214818
     /* 2214818 */ GIM_Reject,
     /* 2214819 */ // Label 29298: @2214819
     /* 2214819 */ GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2214933),
     /* 2214824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2214830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214842 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2214887), // Rule ID 48130 //
     /* 2214847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214850 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214886 */     // GIR_Coverage, 48130,
     /* 2214886 */     GIR_EraseRootFromParent_Done,
     /* 2214887 */   // Label 29345: @2214887
     /* 2214887 */   GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2214932), // Rule ID 48131 //
     /* 2214892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214895 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214931 */     // GIR_Coverage, 48131,
     /* 2214931 */     GIR_EraseRootFromParent_Done,
     /* 2214932 */   // Label 29346: @2214932
     /* 2214932 */   GIM_Reject,
     /* 2214933 */ // Label 29344: @2214933
     /* 2214933 */ GIM_Reject,
     /* 2214934 */ // Label 29299: @2214934
     /* 2214934 */ GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2215048),
     /* 2214939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2214942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2214945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214957 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2215002), // Rule ID 48062 //
     /* 2214962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214965 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215001 */     // GIR_Coverage, 48062,
     /* 2215001 */     GIR_EraseRootFromParent_Done,
     /* 2215002 */   // Label 29348: @2215002
     /* 2215002 */   GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2215047), // Rule ID 48063 //
     /* 2215007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215010 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2215013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2215027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215046 */     // GIR_Coverage, 48063,
     /* 2215046 */     GIR_EraseRootFromParent_Done,
     /* 2215047 */   // Label 29349: @2215047
     /* 2215047 */   GIM_Reject,
     /* 2215048 */ // Label 29347: @2215048
     /* 2215048 */ GIM_Reject,
     /* 2215049 */ // Label 29300: @2215049
     /* 2215049 */ GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2215163),
     /* 2215054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2215057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2215060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215072 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2215117), // Rule ID 48082 //
     /* 2215077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215080 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2215083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215116 */     // GIR_Coverage, 48082,
     /* 2215116 */     GIR_EraseRootFromParent_Done,
     /* 2215117 */   // Label 29351: @2215117
     /* 2215117 */   GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2215162), // Rule ID 48083 //
     /* 2215122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215125 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2215128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215161 */     // GIR_Coverage, 48083,
     /* 2215161 */     GIR_EraseRootFromParent_Done,
     /* 2215162 */   // Label 29352: @2215162
     /* 2215162 */   GIM_Reject,
     /* 2215163 */ // Label 29350: @2215163
     /* 2215163 */ GIM_Reject,
     /* 2215164 */ // Label 29301: @2215164
     /* 2215164 */ GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2215278),
     /* 2215169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2215172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2215175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215187 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2215232), // Rule ID 48118 //
     /* 2215192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215195 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2215198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215231 */     // GIR_Coverage, 48118,
     /* 2215231 */     GIR_EraseRootFromParent_Done,
     /* 2215232 */   // Label 29354: @2215232
     /* 2215232 */   GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2215277), // Rule ID 48119 //
     /* 2215237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215240 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2215243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215276 */     // GIR_Coverage, 48119,
     /* 2215276 */     GIR_EraseRootFromParent_Done,
     /* 2215277 */   // Label 29355: @2215277
     /* 2215277 */   GIM_Reject,
     /* 2215278 */ // Label 29353: @2215278
     /* 2215278 */ GIM_Reject,
     /* 2215279 */ // Label 29302: @2215279
     /* 2215279 */ GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2215393),
     /* 2215284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2215287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2215290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215302 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2215347), // Rule ID 48134 //
     /* 2215307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215310 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215346 */     // GIR_Coverage, 48134,
     /* 2215346 */     GIR_EraseRootFromParent_Done,
     /* 2215347 */   // Label 29357: @2215347
     /* 2215347 */   GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2215392), // Rule ID 48135 //
     /* 2215352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215355 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215391 */     // GIR_Coverage, 48135,
     /* 2215391 */     GIR_EraseRootFromParent_Done,
     /* 2215392 */   // Label 29358: @2215392
     /* 2215392 */   GIM_Reject,
     /* 2215393 */ // Label 29356: @2215393
     /* 2215393 */ GIM_Reject,
     /* 2215394 */ // Label 29303: @2215394
     /* 2215394 */ GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2215508),
     /* 2215399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2215402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2215405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215417 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2215462), // Rule ID 48078 //
     /* 2215422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215425 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215461 */     // GIR_Coverage, 48078,
     /* 2215461 */     GIR_EraseRootFromParent_Done,
     /* 2215462 */   // Label 29360: @2215462
     /* 2215462 */   GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2215507), // Rule ID 48079 //
     /* 2215467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215470 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215506 */     // GIR_Coverage, 48079,
     /* 2215506 */     GIR_EraseRootFromParent_Done,
     /* 2215507 */   // Label 29361: @2215507
     /* 2215507 */   GIM_Reject,
     /* 2215508 */ // Label 29359: @2215508
     /* 2215508 */ GIM_Reject,
     /* 2215509 */ // Label 29304: @2215509
     /* 2215509 */ GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2215623),
     /* 2215514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2215520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215532 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2215577), // Rule ID 48106 //
     /* 2215537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215540 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215576 */     // GIR_Coverage, 48106,
     /* 2215576 */     GIR_EraseRootFromParent_Done,
     /* 2215577 */   // Label 29363: @2215577
     /* 2215577 */   GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2215622), // Rule ID 48107 //
     /* 2215582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215585 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215621 */     // GIR_Coverage, 48107,
     /* 2215621 */     GIR_EraseRootFromParent_Done,
     /* 2215622 */   // Label 29364: @2215622
     /* 2215622 */   GIM_Reject,
     /* 2215623 */ // Label 29362: @2215623
     /* 2215623 */ GIM_Reject,
     /* 2215624 */ // Label 29305: @2215624
     /* 2215624 */ GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2215738),
     /* 2215629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2215635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215647 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2215692), // Rule ID 48122 //
     /* 2215652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215655 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215691 */     // GIR_Coverage, 48122,
     /* 2215691 */     GIR_EraseRootFromParent_Done,
     /* 2215692 */   // Label 29366: @2215692
     /* 2215692 */   GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2215737), // Rule ID 48123 //
     /* 2215697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215700 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215736 */     // GIR_Coverage, 48123,
     /* 2215736 */     GIR_EraseRootFromParent_Done,
     /* 2215737 */   // Label 29367: @2215737
     /* 2215737 */   GIM_Reject,
     /* 2215738 */ // Label 29365: @2215738
     /* 2215738 */ GIM_Reject,
     /* 2215739 */ // Label 29306: @2215739
     /* 2215739 */ GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2215853),
     /* 2215744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2215750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215762 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2215807), // Rule ID 48138 //
     /* 2215767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215770 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215806 */     // GIR_Coverage, 48138,
     /* 2215806 */     GIR_EraseRootFromParent_Done,
     /* 2215807 */   // Label 29369: @2215807
     /* 2215807 */   GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2215852), // Rule ID 48139 //
     /* 2215812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215815 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215851 */     // GIR_Coverage, 48139,
     /* 2215851 */     GIR_EraseRootFromParent_Done,
     /* 2215852 */   // Label 29370: @2215852
     /* 2215852 */   GIM_Reject,
     /* 2215853 */ // Label 29368: @2215853
     /* 2215853 */ GIM_Reject,
     /* 2215854 */ // Label 29307: @2215854
     /* 2215854 */ GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2215968),
     /* 2215859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2215862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2215865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215877 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2215922), // Rule ID 48094 //
     /* 2215882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215885 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215921 */     // GIR_Coverage, 48094,
     /* 2215921 */     GIR_EraseRootFromParent_Done,
     /* 2215922 */   // Label 29372: @2215922
     /* 2215922 */   GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2215967), // Rule ID 48095 //
     /* 2215927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215930 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215966 */     // GIR_Coverage, 48095,
     /* 2215966 */     GIR_EraseRootFromParent_Done,
     /* 2215967 */   // Label 29373: @2215967
     /* 2215967 */   GIM_Reject,
     /* 2215968 */ // Label 29371: @2215968
     /* 2215968 */ GIM_Reject,
     /* 2215969 */ // Label 29308: @2215969
     /* 2215969 */ GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2216083),
     /* 2215974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2215977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2215980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215992 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2216037), // Rule ID 48110 //
     /* 2215997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216000 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216036 */     // GIR_Coverage, 48110,
     /* 2216036 */     GIR_EraseRootFromParent_Done,
     /* 2216037 */   // Label 29375: @2216037
     /* 2216037 */   GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2216082), // Rule ID 48111 //
     /* 2216042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216045 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216081 */     // GIR_Coverage, 48111,
     /* 2216081 */     GIR_EraseRootFromParent_Done,
     /* 2216082 */   // Label 29376: @2216082
     /* 2216082 */   GIM_Reject,
     /* 2216083 */ // Label 29374: @2216083
     /* 2216083 */ GIM_Reject,
     /* 2216084 */ // Label 29309: @2216084
     /* 2216084 */ GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2216198),
     /* 2216089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2216092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2216095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216107 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2216152), // Rule ID 48126 //
     /* 2216112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216115 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216151 */     // GIR_Coverage, 48126,
     /* 2216151 */     GIR_EraseRootFromParent_Done,
     /* 2216152 */   // Label 29378: @2216152
     /* 2216152 */   GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2216197), // Rule ID 48127 //
     /* 2216157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216160 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216196 */     // GIR_Coverage, 48127,
     /* 2216196 */     GIR_EraseRootFromParent_Done,
     /* 2216197 */   // Label 29379: @2216197
     /* 2216197 */   GIM_Reject,
     /* 2216198 */ // Label 29377: @2216198
     /* 2216198 */ GIM_Reject,
     /* 2216199 */ // Label 29310: @2216199
     /* 2216199 */ GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2216313),
     /* 2216204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2216207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2216210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216222 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2216267), // Rule ID 48098 //
     /* 2216227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216230 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2216233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216266 */     // GIR_Coverage, 48098,
     /* 2216266 */     GIR_EraseRootFromParent_Done,
     /* 2216267 */   // Label 29381: @2216267
     /* 2216267 */   GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2216312), // Rule ID 48099 //
     /* 2216272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216275 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2216278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216311 */     // GIR_Coverage, 48099,
     /* 2216311 */     GIR_EraseRootFromParent_Done,
     /* 2216312 */   // Label 29382: @2216312
     /* 2216312 */   GIM_Reject,
     /* 2216313 */ // Label 29380: @2216313
     /* 2216313 */ GIM_Reject,
     /* 2216314 */ // Label 29311: @2216314
     /* 2216314 */ GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2216428),
     /* 2216319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2216322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2216325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216337 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2216382), // Rule ID 48114 //
     /* 2216342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216345 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2216348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216381 */     // GIR_Coverage, 48114,
     /* 2216381 */     GIR_EraseRootFromParent_Done,
     /* 2216382 */   // Label 29384: @2216382
     /* 2216382 */   GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2216427), // Rule ID 48115 //
     /* 2216387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216390 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2216393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216426 */     // GIR_Coverage, 48115,
     /* 2216426 */     GIR_EraseRootFromParent_Done,
     /* 2216427 */   // Label 29385: @2216427
     /* 2216427 */   GIM_Reject,
     /* 2216428 */ // Label 29383: @2216428
     /* 2216428 */ GIM_Reject,
     /* 2216429 */ // Label 29312: @2216429
     /* 2216429 */ GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2216543),
     /* 2216434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2216437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2216440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216452 */   GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2216497), // Rule ID 48102 //
     /* 2216457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216460 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216496 */     // GIR_Coverage, 48102,
     /* 2216496 */     GIR_EraseRootFromParent_Done,
     /* 2216497 */   // Label 29387: @2216497
     /* 2216497 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2216542), // Rule ID 48103 //
     /* 2216502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216505 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216541 */     // GIR_Coverage, 48103,
     /* 2216541 */     GIR_EraseRootFromParent_Done,
     /* 2216542 */   // Label 29388: @2216542
     /* 2216542 */   GIM_Reject,
     /* 2216543 */ // Label 29386: @2216543
     /* 2216543 */ GIM_Reject,
     /* 2216544 */ // Label 29313: @2216544
     /* 2216544 */ GIM_Reject,
     /* 2216545 */ // Label 45: @2216545
     /* 2216545 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29413*/ GIMT_Encode4(2219483),
     /* 2216556 */ /*GILLT_s32*//*Label 29389*/ GIMT_Encode4(2216680),
     /* 2216560 */ /*GILLT_s64*//*Label 29390*/ GIMT_Encode4(2216764), GIMT_Encode4(0),
     /* 2216568 */ /*GILLT_nxv1s8*//*Label 29391*/ GIMT_Encode4(2216953),
     /* 2216572 */ /*GILLT_nxv1s16*//*Label 29392*/ GIMT_Encode4(2217068),
     /* 2216576 */ /*GILLT_nxv1s32*//*Label 29393*/ GIMT_Encode4(2217183),
     /* 2216580 */ /*GILLT_nxv1s64*//*Label 29394*/ GIMT_Encode4(2217298), GIMT_Encode4(0),
     /* 2216588 */ /*GILLT_nxv2s8*//*Label 29395*/ GIMT_Encode4(2217413),
     /* 2216592 */ /*GILLT_nxv2s16*//*Label 29396*/ GIMT_Encode4(2217528),
     /* 2216596 */ /*GILLT_nxv2s32*//*Label 29397*/ GIMT_Encode4(2217643),
     /* 2216600 */ /*GILLT_nxv2s64*//*Label 29398*/ GIMT_Encode4(2217758), GIMT_Encode4(0),
     /* 2216608 */ /*GILLT_nxv4s8*//*Label 29399*/ GIMT_Encode4(2217873),
     /* 2216612 */ /*GILLT_nxv4s16*//*Label 29400*/ GIMT_Encode4(2217988),
     /* 2216616 */ /*GILLT_nxv4s32*//*Label 29401*/ GIMT_Encode4(2218103),
     /* 2216620 */ /*GILLT_nxv4s64*//*Label 29402*/ GIMT_Encode4(2218218), GIMT_Encode4(0),
     /* 2216628 */ /*GILLT_nxv8s8*//*Label 29403*/ GIMT_Encode4(2218333),
     /* 2216632 */ /*GILLT_nxv8s16*//*Label 29404*/ GIMT_Encode4(2218448),
     /* 2216636 */ /*GILLT_nxv8s32*//*Label 29405*/ GIMT_Encode4(2218563),
     /* 2216640 */ /*GILLT_nxv8s64*//*Label 29406*/ GIMT_Encode4(2218678), GIMT_Encode4(0),
     /* 2216648 */ /*GILLT_nxv16s8*//*Label 29407*/ GIMT_Encode4(2218793),
     /* 2216652 */ /*GILLT_nxv16s16*//*Label 29408*/ GIMT_Encode4(2218908),
     /* 2216656 */ /*GILLT_nxv16s32*//*Label 29409*/ GIMT_Encode4(2219023), GIMT_Encode4(0),
     /* 2216664 */ /*GILLT_nxv32s8*//*Label 29410*/ GIMT_Encode4(2219138),
     /* 2216668 */ /*GILLT_nxv32s16*//*Label 29411*/ GIMT_Encode4(2219253), GIMT_Encode4(0),
     /* 2216676 */ /*GILLT_nxv64s8*//*Label 29412*/ GIMT_Encode4(2219368),
     /* 2216680 */ // Label 29389: @2216680
     /* 2216680 */ GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2216763),
     /* 2216685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2216688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2216691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216699 */   GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2216733), // Rule ID 95 //
     /* 2216704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216719 */     // MIs[1] Operand 1
     /* 2216719 */     // No operand predicates
     /* 2216719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216721 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216732 */     // GIR_Coverage, 95,
     /* 2216732 */     GIR_EraseRootFromParent_Done,
     /* 2216733 */   // Label 29415: @2216733
     /* 2216733 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2216762), // Rule ID 109 //
     /* 2216738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216748 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2216748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216761 */     // GIR_Coverage, 109,
     /* 2216761 */     GIR_EraseRootFromParent_Done,
     /* 2216762 */   // Label 29416: @2216762
     /* 2216762 */   GIM_Reject,
     /* 2216763 */ // Label 29414: @2216763
     /* 2216763 */ GIM_Reject,
     /* 2216764 */ // Label 29390: @2216764
     /* 2216764 */ GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2216952),
     /* 2216769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2216775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216779 */   GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2216816), // Rule ID 62482 //
     /* 2216784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2216787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2216795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216799 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2216803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216805 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2216805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2216808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216815 */     // GIR_Coverage, 62482,
     /* 2216815 */     GIR_EraseRootFromParent_Done,
     /* 2216816 */   // Label 29418: @2216816
     /* 2216816 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2216880), // Rule ID 259 //
     /* 2216821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2216824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2216832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216841 */     // MIs[1] Operand 2
     /* 2216841 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2216852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216860 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2216864 */     // MIs[2] Operand 1
     /* 2216864 */     // No operand predicates
     /* 2216864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216866 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2216866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2216869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2216878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216879 */     // GIR_Coverage, 259,
     /* 2216879 */     GIR_EraseRootFromParent_Done,
     /* 2216880 */   // Label 29419: @2216880
     /* 2216880 */   GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2216918), // Rule ID 94 //
     /* 2216885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216904 */     // MIs[1] Operand 1
     /* 2216904 */     // No operand predicates
     /* 2216904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216906 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216917 */     // GIR_Coverage, 94,
     /* 2216917 */     GIR_EraseRootFromParent_Done,
     /* 2216918 */   // Label 29420: @2216918
     /* 2216918 */   GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2216951), // Rule ID 108 //
     /* 2216923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216937 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2216937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216950 */     // GIR_Coverage, 108,
     /* 2216950 */     GIR_EraseRootFromParent_Done,
     /* 2216951 */   // Label 29421: @2216951
     /* 2216951 */   GIM_Reject,
     /* 2216952 */ // Label 29417: @2216952
     /* 2216952 */ GIM_Reject,
     /* 2216953 */ // Label 29391: @2216953
     /* 2216953 */ GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2217067),
     /* 2216958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2216964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216976 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2217021), // Rule ID 48186 //
     /* 2216981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216984 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2217001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217020 */     // GIR_Coverage, 48186,
     /* 2217020 */     GIR_EraseRootFromParent_Done,
     /* 2217021 */   // Label 29423: @2217021
     /* 2217021 */   GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2217066), // Rule ID 48187 //
     /* 2217026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217029 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2217032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2217046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217065 */     // GIR_Coverage, 48187,
     /* 2217065 */     GIR_EraseRootFromParent_Done,
     /* 2217066 */   // Label 29424: @2217066
     /* 2217066 */   GIM_Reject,
     /* 2217067 */ // Label 29422: @2217067
     /* 2217067 */ GIM_Reject,
     /* 2217068 */ // Label 29392: @2217068
     /* 2217068 */ GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2217182),
     /* 2217073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2217076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2217079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217091 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2217136), // Rule ID 48198 //
     /* 2217096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217099 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2217102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217135 */     // GIR_Coverage, 48198,
     /* 2217135 */     GIR_EraseRootFromParent_Done,
     /* 2217136 */   // Label 29426: @2217136
     /* 2217136 */   GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2217181), // Rule ID 48199 //
     /* 2217141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217144 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2217147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217180 */     // GIR_Coverage, 48199,
     /* 2217180 */     GIR_EraseRootFromParent_Done,
     /* 2217181 */   // Label 29427: @2217181
     /* 2217181 */   GIM_Reject,
     /* 2217182 */ // Label 29425: @2217182
     /* 2217182 */ GIM_Reject,
     /* 2217183 */ // Label 29393: @2217183
     /* 2217183 */ GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2217297),
     /* 2217188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2217191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2217194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217206 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2217251), // Rule ID 48206 //
     /* 2217211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217214 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2217217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217250 */     // GIR_Coverage, 48206,
     /* 2217250 */     GIR_EraseRootFromParent_Done,
     /* 2217251 */   // Label 29429: @2217251
     /* 2217251 */   GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2217296), // Rule ID 48207 //
     /* 2217256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217259 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2217262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217295 */     // GIR_Coverage, 48207,
     /* 2217295 */     GIR_EraseRootFromParent_Done,
     /* 2217296 */   // Label 29430: @2217296
     /* 2217296 */   GIM_Reject,
     /* 2217297 */ // Label 29428: @2217297
     /* 2217297 */ GIM_Reject,
     /* 2217298 */ // Label 29394: @2217298
     /* 2217298 */ GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2217412),
     /* 2217303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2217306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2217309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217321 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2217366), // Rule ID 48222 //
     /* 2217326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217329 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2217332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217365 */     // GIR_Coverage, 48222,
     /* 2217365 */     GIR_EraseRootFromParent_Done,
     /* 2217366 */   // Label 29432: @2217366
     /* 2217366 */   GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2217411), // Rule ID 48223 //
     /* 2217371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217374 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2217377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217410 */     // GIR_Coverage, 48223,
     /* 2217410 */     GIR_EraseRootFromParent_Done,
     /* 2217411 */   // Label 29433: @2217411
     /* 2217411 */   GIM_Reject,
     /* 2217412 */ // Label 29431: @2217412
     /* 2217412 */ GIM_Reject,
     /* 2217413 */ // Label 29395: @2217413
     /* 2217413 */ GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2217527),
     /* 2217418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2217421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2217424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217436 */   GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2217481), // Rule ID 48190 //
     /* 2217441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217444 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217480 */     // GIR_Coverage, 48190,
     /* 2217480 */     GIR_EraseRootFromParent_Done,
     /* 2217481 */   // Label 29435: @2217481
     /* 2217481 */   GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2217526), // Rule ID 48191 //
     /* 2217486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217489 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217525 */     // GIR_Coverage, 48191,
     /* 2217525 */     GIR_EraseRootFromParent_Done,
     /* 2217526 */   // Label 29436: @2217526
     /* 2217526 */   GIM_Reject,
     /* 2217527 */ // Label 29434: @2217527
     /* 2217527 */ GIM_Reject,
     /* 2217528 */ // Label 29396: @2217528
     /* 2217528 */ GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2217642),
     /* 2217533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2217539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217551 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2217596), // Rule ID 48202 //
     /* 2217556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217559 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217595 */     // GIR_Coverage, 48202,
     /* 2217595 */     GIR_EraseRootFromParent_Done,
     /* 2217596 */   // Label 29438: @2217596
     /* 2217596 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2217641), // Rule ID 48203 //
     /* 2217601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217604 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217640 */     // GIR_Coverage, 48203,
     /* 2217640 */     GIR_EraseRootFromParent_Done,
     /* 2217641 */   // Label 29439: @2217641
     /* 2217641 */   GIM_Reject,
     /* 2217642 */ // Label 29437: @2217642
     /* 2217642 */ GIM_Reject,
     /* 2217643 */ // Label 29397: @2217643
     /* 2217643 */ GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2217757),
     /* 2217648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2217654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217666 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2217711), // Rule ID 48218 //
     /* 2217671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217674 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217710 */     // GIR_Coverage, 48218,
     /* 2217710 */     GIR_EraseRootFromParent_Done,
     /* 2217711 */   // Label 29441: @2217711
     /* 2217711 */   GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2217756), // Rule ID 48219 //
     /* 2217716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217719 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217755 */     // GIR_Coverage, 48219,
     /* 2217755 */     GIR_EraseRootFromParent_Done,
     /* 2217756 */   // Label 29442: @2217756
     /* 2217756 */   GIM_Reject,
     /* 2217757 */ // Label 29440: @2217757
     /* 2217757 */ GIM_Reject,
     /* 2217758 */ // Label 29398: @2217758
     /* 2217758 */ GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2217872),
     /* 2217763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2217766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2217769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217781 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2217826), // Rule ID 48262 //
     /* 2217786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217789 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217825 */     // GIR_Coverage, 48262,
     /* 2217825 */     GIR_EraseRootFromParent_Done,
     /* 2217826 */   // Label 29444: @2217826
     /* 2217826 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2217871), // Rule ID 48263 //
     /* 2217831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217834 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217870 */     // GIR_Coverage, 48263,
     /* 2217870 */     GIR_EraseRootFromParent_Done,
     /* 2217871 */   // Label 29445: @2217871
     /* 2217871 */   GIM_Reject,
     /* 2217872 */ // Label 29443: @2217872
     /* 2217872 */ GIM_Reject,
     /* 2217873 */ // Label 29399: @2217873
     /* 2217873 */ GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2217987),
     /* 2217878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2217884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217896 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2217941), // Rule ID 48194 //
     /* 2217901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217904 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217940 */     // GIR_Coverage, 48194,
     /* 2217940 */     GIR_EraseRootFromParent_Done,
     /* 2217941 */   // Label 29447: @2217941
     /* 2217941 */   GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2217986), // Rule ID 48195 //
     /* 2217946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217949 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217985 */     // GIR_Coverage, 48195,
     /* 2217985 */     GIR_EraseRootFromParent_Done,
     /* 2217986 */   // Label 29448: @2217986
     /* 2217986 */   GIM_Reject,
     /* 2217987 */ // Label 29446: @2217987
     /* 2217987 */ GIM_Reject,
     /* 2217988 */ // Label 29400: @2217988
     /* 2217988 */ GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2218102),
     /* 2217993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218011 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2218056), // Rule ID 48214 //
     /* 2218016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218019 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2218022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218055 */     // GIR_Coverage, 48214,
     /* 2218055 */     GIR_EraseRootFromParent_Done,
     /* 2218056 */   // Label 29450: @2218056
     /* 2218056 */   GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2218101), // Rule ID 48215 //
     /* 2218061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218064 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2218067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218100 */     // GIR_Coverage, 48215,
     /* 2218100 */     GIR_EraseRootFromParent_Done,
     /* 2218101 */   // Label 29451: @2218101
     /* 2218101 */   GIM_Reject,
     /* 2218102 */ // Label 29449: @2218102
     /* 2218102 */ GIM_Reject,
     /* 2218103 */ // Label 29401: @2218103
     /* 2218103 */ GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2218217),
     /* 2218108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2218114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218126 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2218171), // Rule ID 48250 //
     /* 2218131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218134 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218170 */     // GIR_Coverage, 48250,
     /* 2218170 */     GIR_EraseRootFromParent_Done,
     /* 2218171 */   // Label 29453: @2218171
     /* 2218171 */   GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2218216), // Rule ID 48251 //
     /* 2218176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218179 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218215 */     // GIR_Coverage, 48251,
     /* 2218215 */     GIR_EraseRootFromParent_Done,
     /* 2218216 */   // Label 29454: @2218216
     /* 2218216 */   GIM_Reject,
     /* 2218217 */ // Label 29452: @2218217
     /* 2218217 */ GIM_Reject,
     /* 2218218 */ // Label 29402: @2218218
     /* 2218218 */ GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2218332),
     /* 2218223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2218226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2218229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218241 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2218286), // Rule ID 48266 //
     /* 2218246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218249 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2218252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218285 */     // GIR_Coverage, 48266,
     /* 2218285 */     GIR_EraseRootFromParent_Done,
     /* 2218286 */   // Label 29456: @2218286
     /* 2218286 */   GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2218331), // Rule ID 48267 //
     /* 2218291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218294 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2218297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218330 */     // GIR_Coverage, 48267,
     /* 2218330 */     GIR_EraseRootFromParent_Done,
     /* 2218331 */   // Label 29457: @2218331
     /* 2218331 */   GIM_Reject,
     /* 2218332 */ // Label 29455: @2218332
     /* 2218332 */ GIM_Reject,
     /* 2218333 */ // Label 29403: @2218333
     /* 2218333 */ GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2218447),
     /* 2218338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2218341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2218344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218356 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2218401), // Rule ID 48210 //
     /* 2218361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218364 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2218367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218400 */     // GIR_Coverage, 48210,
     /* 2218400 */     GIR_EraseRootFromParent_Done,
     /* 2218401 */   // Label 29459: @2218401
     /* 2218401 */   GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2218446), // Rule ID 48211 //
     /* 2218406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218409 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2218412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218445 */     // GIR_Coverage, 48211,
     /* 2218445 */     GIR_EraseRootFromParent_Done,
     /* 2218446 */   // Label 29460: @2218446
     /* 2218446 */   GIM_Reject,
     /* 2218447 */ // Label 29458: @2218447
     /* 2218447 */ GIM_Reject,
     /* 2218448 */ // Label 29404: @2218448
     /* 2218448 */ GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2218562),
     /* 2218453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2218459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218471 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2218516), // Rule ID 48238 //
     /* 2218476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218479 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218515 */     // GIR_Coverage, 48238,
     /* 2218515 */     GIR_EraseRootFromParent_Done,
     /* 2218516 */   // Label 29462: @2218516
     /* 2218516 */   GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2218561), // Rule ID 48239 //
     /* 2218521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218524 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218560 */     // GIR_Coverage, 48239,
     /* 2218560 */     GIR_EraseRootFromParent_Done,
     /* 2218561 */   // Label 29463: @2218561
     /* 2218561 */   GIM_Reject,
     /* 2218562 */ // Label 29461: @2218562
     /* 2218562 */ GIM_Reject,
     /* 2218563 */ // Label 29405: @2218563
     /* 2218563 */ GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2218677),
     /* 2218568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2218571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2218574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218586 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2218631), // Rule ID 48254 //
     /* 2218591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218594 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218630 */     // GIR_Coverage, 48254,
     /* 2218630 */     GIR_EraseRootFromParent_Done,
     /* 2218631 */   // Label 29465: @2218631
     /* 2218631 */   GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2218676), // Rule ID 48255 //
     /* 2218636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218639 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218675 */     // GIR_Coverage, 48255,
     /* 2218675 */     GIR_EraseRootFromParent_Done,
     /* 2218676 */   // Label 29466: @2218676
     /* 2218676 */   GIM_Reject,
     /* 2218677 */ // Label 29464: @2218677
     /* 2218677 */ GIM_Reject,
     /* 2218678 */ // Label 29406: @2218678
     /* 2218678 */ GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2218792),
     /* 2218683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2218686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2218689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218701 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2218746), // Rule ID 48270 //
     /* 2218706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218709 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218745 */     // GIR_Coverage, 48270,
     /* 2218745 */     GIR_EraseRootFromParent_Done,
     /* 2218746 */   // Label 29468: @2218746
     /* 2218746 */   GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2218791), // Rule ID 48271 //
     /* 2218751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218754 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218790 */     // GIR_Coverage, 48271,
     /* 2218790 */     GIR_EraseRootFromParent_Done,
     /* 2218791 */   // Label 29469: @2218791
     /* 2218791 */   GIM_Reject,
     /* 2218792 */ // Label 29467: @2218792
     /* 2218792 */ GIM_Reject,
     /* 2218793 */ // Label 29407: @2218793
     /* 2218793 */ GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2218907),
     /* 2218798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2218804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218816 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2218861), // Rule ID 48226 //
     /* 2218821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218824 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218860 */     // GIR_Coverage, 48226,
     /* 2218860 */     GIR_EraseRootFromParent_Done,
     /* 2218861 */   // Label 29471: @2218861
     /* 2218861 */   GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2218906), // Rule ID 48227 //
     /* 2218866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218869 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218905 */     // GIR_Coverage, 48227,
     /* 2218905 */     GIR_EraseRootFromParent_Done,
     /* 2218906 */   // Label 29472: @2218906
     /* 2218906 */   GIM_Reject,
     /* 2218907 */ // Label 29470: @2218907
     /* 2218907 */ GIM_Reject,
     /* 2218908 */ // Label 29408: @2218908
     /* 2218908 */ GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2219022),
     /* 2218913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2218919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218931 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2218976), // Rule ID 48242 //
     /* 2218936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218939 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218975 */     // GIR_Coverage, 48242,
     /* 2218975 */     GIR_EraseRootFromParent_Done,
     /* 2218976 */   // Label 29474: @2218976
     /* 2218976 */   GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2219021), // Rule ID 48243 //
     /* 2218981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218984 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2219001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219020 */     // GIR_Coverage, 48243,
     /* 2219020 */     GIR_EraseRootFromParent_Done,
     /* 2219021 */   // Label 29475: @2219021
     /* 2219021 */   GIM_Reject,
     /* 2219022 */ // Label 29473: @2219022
     /* 2219022 */ GIM_Reject,
     /* 2219023 */ // Label 29409: @2219023
     /* 2219023 */ GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2219137),
     /* 2219028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2219031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2219034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219046 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2219091), // Rule ID 48258 //
     /* 2219051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219054 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2219057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219090 */     // GIR_Coverage, 48258,
     /* 2219090 */     GIR_EraseRootFromParent_Done,
     /* 2219091 */   // Label 29477: @2219091
     /* 2219091 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2219136), // Rule ID 48259 //
     /* 2219096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219099 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2219102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219135 */     // GIR_Coverage, 48259,
     /* 2219135 */     GIR_EraseRootFromParent_Done,
     /* 2219136 */   // Label 29478: @2219136
     /* 2219136 */   GIM_Reject,
     /* 2219137 */ // Label 29476: @2219137
     /* 2219137 */ GIM_Reject,
     /* 2219138 */ // Label 29410: @2219138
     /* 2219138 */ GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2219252),
     /* 2219143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2219146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2219149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219161 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2219206), // Rule ID 48230 //
     /* 2219166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219169 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2219172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2219186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219205 */     // GIR_Coverage, 48230,
     /* 2219205 */     GIR_EraseRootFromParent_Done,
     /* 2219206 */   // Label 29480: @2219206
     /* 2219206 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2219251), // Rule ID 48231 //
     /* 2219211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219214 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2219217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2219231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219250 */     // GIR_Coverage, 48231,
     /* 2219250 */     GIR_EraseRootFromParent_Done,
     /* 2219251 */   // Label 29481: @2219251
     /* 2219251 */   GIM_Reject,
     /* 2219252 */ // Label 29479: @2219252
     /* 2219252 */ GIM_Reject,
     /* 2219253 */ // Label 29411: @2219253
     /* 2219253 */ GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2219367),
     /* 2219258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2219261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2219264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219276 */   GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2219321), // Rule ID 48246 //
     /* 2219281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219284 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2219287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219320 */     // GIR_Coverage, 48246,
     /* 2219320 */     GIR_EraseRootFromParent_Done,
     /* 2219321 */   // Label 29483: @2219321
     /* 2219321 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2219366), // Rule ID 48247 //
     /* 2219326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219329 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2219332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219365 */     // GIR_Coverage, 48247,
     /* 2219365 */     GIR_EraseRootFromParent_Done,
     /* 2219366 */   // Label 29484: @2219366
     /* 2219366 */   GIM_Reject,
     /* 2219367 */ // Label 29482: @2219367
     /* 2219367 */ GIM_Reject,
     /* 2219368 */ // Label 29412: @2219368
     /* 2219368 */ GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2219482),
     /* 2219373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2219376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2219379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219391 */   GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2219436), // Rule ID 48234 //
     /* 2219396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219399 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2219402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219435 */     // GIR_Coverage, 48234,
     /* 2219435 */     GIR_EraseRootFromParent_Done,
     /* 2219436 */   // Label 29486: @2219436
     /* 2219436 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2219481), // Rule ID 48235 //
     /* 2219441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219444 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2219447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219480 */     // GIR_Coverage, 48235,
     /* 2219480 */     GIR_EraseRootFromParent_Done,
     /* 2219481 */   // Label 29487: @2219481
     /* 2219481 */   GIM_Reject,
     /* 2219482 */ // Label 29485: @2219482
     /* 2219482 */ GIM_Reject,
     /* 2219483 */ // Label 29413: @2219483
     /* 2219483 */ GIM_Reject,
     /* 2219484 */ // Label 46: @2219484
     /* 2219484 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29512*/ GIMT_Encode4(2222423),
     /* 2219495 */ /*GILLT_s32*//*Label 29488*/ GIMT_Encode4(2219619),
     /* 2219499 */ /*GILLT_s64*//*Label 29489*/ GIMT_Encode4(2219756), GIMT_Encode4(0),
     /* 2219507 */ /*GILLT_nxv1s8*//*Label 29490*/ GIMT_Encode4(2219893),
     /* 2219511 */ /*GILLT_nxv1s16*//*Label 29491*/ GIMT_Encode4(2220008),
     /* 2219515 */ /*GILLT_nxv1s32*//*Label 29492*/ GIMT_Encode4(2220123),
     /* 2219519 */ /*GILLT_nxv1s64*//*Label 29493*/ GIMT_Encode4(2220238), GIMT_Encode4(0),
     /* 2219527 */ /*GILLT_nxv2s8*//*Label 29494*/ GIMT_Encode4(2220353),
     /* 2219531 */ /*GILLT_nxv2s16*//*Label 29495*/ GIMT_Encode4(2220468),
     /* 2219535 */ /*GILLT_nxv2s32*//*Label 29496*/ GIMT_Encode4(2220583),
     /* 2219539 */ /*GILLT_nxv2s64*//*Label 29497*/ GIMT_Encode4(2220698), GIMT_Encode4(0),
     /* 2219547 */ /*GILLT_nxv4s8*//*Label 29498*/ GIMT_Encode4(2220813),
     /* 2219551 */ /*GILLT_nxv4s16*//*Label 29499*/ GIMT_Encode4(2220928),
     /* 2219555 */ /*GILLT_nxv4s32*//*Label 29500*/ GIMT_Encode4(2221043),
     /* 2219559 */ /*GILLT_nxv4s64*//*Label 29501*/ GIMT_Encode4(2221158), GIMT_Encode4(0),
     /* 2219567 */ /*GILLT_nxv8s8*//*Label 29502*/ GIMT_Encode4(2221273),
     /* 2219571 */ /*GILLT_nxv8s16*//*Label 29503*/ GIMT_Encode4(2221388),
     /* 2219575 */ /*GILLT_nxv8s32*//*Label 29504*/ GIMT_Encode4(2221503),
     /* 2219579 */ /*GILLT_nxv8s64*//*Label 29505*/ GIMT_Encode4(2221618), GIMT_Encode4(0),
     /* 2219587 */ /*GILLT_nxv16s8*//*Label 29506*/ GIMT_Encode4(2221733),
     /* 2219591 */ /*GILLT_nxv16s16*//*Label 29507*/ GIMT_Encode4(2221848),
     /* 2219595 */ /*GILLT_nxv16s32*//*Label 29508*/ GIMT_Encode4(2221963), GIMT_Encode4(0),
     /* 2219603 */ /*GILLT_nxv32s8*//*Label 29509*/ GIMT_Encode4(2222078),
     /* 2219607 */ /*GILLT_nxv32s16*//*Label 29510*/ GIMT_Encode4(2222193), GIMT_Encode4(0),
     /* 2219615 */ /*GILLT_nxv64s8*//*Label 29511*/ GIMT_Encode4(2222308),
     /* 2219619 */ // Label 29488: @2219619
     /* 2219619 */ GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2219755),
     /* 2219624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2219627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219638 */   GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2219672), // Rule ID 2353 //
     /* 2219643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219658 */     // MIs[1] Operand 1
     /* 2219658 */     // No operand predicates
     /* 2219658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219660 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219671 */     // GIR_Coverage, 2353,
     /* 2219671 */     GIR_EraseRootFromParent_Done,
     /* 2219672 */   // Label 29514: @2219672
     /* 2219672 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2219706), // Rule ID 62464 //
     /* 2219677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2219680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219692 */     // MIs[1] Operand 1
     /* 2219692 */     // No operand predicates
     /* 2219692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219694 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219705 */     // GIR_Coverage, 62464,
     /* 2219705 */     GIR_EraseRootFromParent_Done,
     /* 2219706 */   // Label 29515: @2219706
     /* 2219706 */   GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2219735), // Rule ID 2351 //
     /* 2219711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219721 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219734 */     // GIR_Coverage, 2351,
     /* 2219734 */     GIR_EraseRootFromParent_Done,
     /* 2219735 */   // Label 29516: @2219735
     /* 2219735 */   GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2219754), // Rule ID 64359 //
     /* 2219740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2219743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219747 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219753 */     // GIR_Coverage, 64359,
     /* 2219753 */     GIR_Done,
     /* 2219754 */   // Label 29517: @2219754
     /* 2219754 */   GIM_Reject,
     /* 2219755 */ // Label 29513: @2219755
     /* 2219755 */ GIM_Reject,
     /* 2219756 */ // Label 29489: @2219756
     /* 2219756 */ GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2219892),
     /* 2219761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2219767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219775 */   GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2219809), // Rule ID 2352 //
     /* 2219780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219795 */     // MIs[1] Operand 1
     /* 2219795 */     // No operand predicates
     /* 2219795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219797 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219808 */     // GIR_Coverage, 2352,
     /* 2219808 */     GIR_EraseRootFromParent_Done,
     /* 2219809 */   // Label 29519: @2219809
     /* 2219809 */   GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2219843), // Rule ID 62463 //
     /* 2219814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2219817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219829 */     // MIs[1] Operand 1
     /* 2219829 */     // No operand predicates
     /* 2219829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219831 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219842 */     // GIR_Coverage, 62463,
     /* 2219842 */     GIR_EraseRootFromParent_Done,
     /* 2219843 */   // Label 29520: @2219843
     /* 2219843 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2219872), // Rule ID 2350 //
     /* 2219848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219858 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219871 */     // GIR_Coverage, 2350,
     /* 2219871 */     GIR_EraseRootFromParent_Done,
     /* 2219872 */   // Label 29521: @2219872
     /* 2219872 */   GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2219891), // Rule ID 64358 //
     /* 2219877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2219880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219884 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219890 */     // GIR_Coverage, 64358,
     /* 2219890 */     GIR_Done,
     /* 2219891 */   // Label 29522: @2219891
     /* 2219891 */   GIM_Reject,
     /* 2219892 */ // Label 29518: @2219892
     /* 2219892 */ GIM_Reject,
     /* 2219893 */ // Label 29490: @2219893
     /* 2219893 */ GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2220007),
     /* 2219898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2219904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219916 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2219961), // Rule ID 59278 //
     /* 2219921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219924 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219960 */     // GIR_Coverage, 59278,
     /* 2219960 */     GIR_EraseRootFromParent_Done,
     /* 2219961 */   // Label 29524: @2219961
     /* 2219961 */   GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2220006), // Rule ID 59279 //
     /* 2219966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219969 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220005 */     // GIR_Coverage, 59279,
     /* 2220005 */     GIR_EraseRootFromParent_Done,
     /* 2220006 */   // Label 29525: @2220006
     /* 2220006 */   GIM_Reject,
     /* 2220007 */ // Label 29523: @2220007
     /* 2220007 */ GIM_Reject,
     /* 2220008 */ // Label 29491: @2220008
     /* 2220008 */ GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2220122),
     /* 2220013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2220019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220031 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2220076), // Rule ID 59290 //
     /* 2220036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220039 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220075 */     // GIR_Coverage, 59290,
     /* 2220075 */     GIR_EraseRootFromParent_Done,
     /* 2220076 */   // Label 29527: @2220076
     /* 2220076 */   GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2220121), // Rule ID 59291 //
     /* 2220081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220084 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220120 */     // GIR_Coverage, 59291,
     /* 2220120 */     GIR_EraseRootFromParent_Done,
     /* 2220121 */   // Label 29528: @2220121
     /* 2220121 */   GIM_Reject,
     /* 2220122 */ // Label 29526: @2220122
     /* 2220122 */ GIM_Reject,
     /* 2220123 */ // Label 29492: @2220123
     /* 2220123 */ GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2220237),
     /* 2220128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2220134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220146 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2220191), // Rule ID 59298 //
     /* 2220151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220154 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220190 */     // GIR_Coverage, 59298,
     /* 2220190 */     GIR_EraseRootFromParent_Done,
     /* 2220191 */   // Label 29530: @2220191
     /* 2220191 */   GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2220236), // Rule ID 59299 //
     /* 2220196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220199 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220235 */     // GIR_Coverage, 59299,
     /* 2220235 */     GIR_EraseRootFromParent_Done,
     /* 2220236 */   // Label 29531: @2220236
     /* 2220236 */   GIM_Reject,
     /* 2220237 */ // Label 29529: @2220237
     /* 2220237 */ GIM_Reject,
     /* 2220238 */ // Label 29493: @2220238
     /* 2220238 */ GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2220352),
     /* 2220243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2220246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2220249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220261 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2220306), // Rule ID 59314 //
     /* 2220266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220269 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220305 */     // GIR_Coverage, 59314,
     /* 2220305 */     GIR_EraseRootFromParent_Done,
     /* 2220306 */   // Label 29533: @2220306
     /* 2220306 */   GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2220351), // Rule ID 59315 //
     /* 2220311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220314 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220350 */     // GIR_Coverage, 59315,
     /* 2220350 */     GIR_EraseRootFromParent_Done,
     /* 2220351 */   // Label 29534: @2220351
     /* 2220351 */   GIM_Reject,
     /* 2220352 */ // Label 29532: @2220352
     /* 2220352 */ GIM_Reject,
     /* 2220353 */ // Label 29494: @2220353
     /* 2220353 */ GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2220467),
     /* 2220358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2220361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2220364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220376 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2220421), // Rule ID 59282 //
     /* 2220381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220384 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2220387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220420 */     // GIR_Coverage, 59282,
     /* 2220420 */     GIR_EraseRootFromParent_Done,
     /* 2220421 */   // Label 29536: @2220421
     /* 2220421 */   GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2220466), // Rule ID 59283 //
     /* 2220426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220429 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2220432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220465 */     // GIR_Coverage, 59283,
     /* 2220465 */     GIR_EraseRootFromParent_Done,
     /* 2220466 */   // Label 29537: @2220466
     /* 2220466 */   GIM_Reject,
     /* 2220467 */ // Label 29535: @2220467
     /* 2220467 */ GIM_Reject,
     /* 2220468 */ // Label 29495: @2220468
     /* 2220468 */ GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2220582),
     /* 2220473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2220476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2220479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220491 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2220536), // Rule ID 59294 //
     /* 2220496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220499 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220535 */     // GIR_Coverage, 59294,
     /* 2220535 */     GIR_EraseRootFromParent_Done,
     /* 2220536 */   // Label 29539: @2220536
     /* 2220536 */   GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2220581), // Rule ID 59295 //
     /* 2220541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220544 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220580 */     // GIR_Coverage, 59295,
     /* 2220580 */     GIR_EraseRootFromParent_Done,
     /* 2220581 */   // Label 29540: @2220581
     /* 2220581 */   GIM_Reject,
     /* 2220582 */ // Label 29538: @2220582
     /* 2220582 */ GIM_Reject,
     /* 2220583 */ // Label 29496: @2220583
     /* 2220583 */ GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2220697),
     /* 2220588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2220591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2220594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220606 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2220651), // Rule ID 59310 //
     /* 2220611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220614 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220650 */     // GIR_Coverage, 59310,
     /* 2220650 */     GIR_EraseRootFromParent_Done,
     /* 2220651 */   // Label 29542: @2220651
     /* 2220651 */   GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2220696), // Rule ID 59311 //
     /* 2220656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220659 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220695 */     // GIR_Coverage, 59311,
     /* 2220695 */     GIR_EraseRootFromParent_Done,
     /* 2220696 */   // Label 29543: @2220696
     /* 2220696 */   GIM_Reject,
     /* 2220697 */ // Label 29541: @2220697
     /* 2220697 */ GIM_Reject,
     /* 2220698 */ // Label 29497: @2220698
     /* 2220698 */ GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2220812),
     /* 2220703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2220706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2220709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220721 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2220766), // Rule ID 59354 //
     /* 2220726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220729 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220765 */     // GIR_Coverage, 59354,
     /* 2220765 */     GIR_EraseRootFromParent_Done,
     /* 2220766 */   // Label 29545: @2220766
     /* 2220766 */   GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2220811), // Rule ID 59355 //
     /* 2220771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220774 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220810 */     // GIR_Coverage, 59355,
     /* 2220810 */     GIR_EraseRootFromParent_Done,
     /* 2220811 */   // Label 29546: @2220811
     /* 2220811 */   GIM_Reject,
     /* 2220812 */ // Label 29544: @2220812
     /* 2220812 */ GIM_Reject,
     /* 2220813 */ // Label 29498: @2220813
     /* 2220813 */ GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2220927),
     /* 2220818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2220821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2220824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220836 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2220881), // Rule ID 59286 //
     /* 2220841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220844 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220880 */     // GIR_Coverage, 59286,
     /* 2220880 */     GIR_EraseRootFromParent_Done,
     /* 2220881 */   // Label 29548: @2220881
     /* 2220881 */   GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2220926), // Rule ID 59287 //
     /* 2220886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220889 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220925 */     // GIR_Coverage, 59287,
     /* 2220925 */     GIR_EraseRootFromParent_Done,
     /* 2220926 */   // Label 29549: @2220926
     /* 2220926 */   GIM_Reject,
     /* 2220927 */ // Label 29547: @2220927
     /* 2220927 */ GIM_Reject,
     /* 2220928 */ // Label 29499: @2220928
     /* 2220928 */ GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2221042),
     /* 2220933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2220936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2220939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220951 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2220996), // Rule ID 59306 //
     /* 2220956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220959 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2220962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220995 */     // GIR_Coverage, 59306,
     /* 2220995 */     GIR_EraseRootFromParent_Done,
     /* 2220996 */   // Label 29551: @2220996
     /* 2220996 */   GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2221041), // Rule ID 59307 //
     /* 2221001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221004 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2221007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2221021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221040 */     // GIR_Coverage, 59307,
     /* 2221040 */     GIR_EraseRootFromParent_Done,
     /* 2221041 */   // Label 29552: @2221041
     /* 2221041 */   GIM_Reject,
     /* 2221042 */ // Label 29550: @2221042
     /* 2221042 */ GIM_Reject,
     /* 2221043 */ // Label 29500: @2221043
     /* 2221043 */ GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2221157),
     /* 2221048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2221051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2221054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221066 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2221111), // Rule ID 59342 //
     /* 2221071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221074 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221110 */     // GIR_Coverage, 59342,
     /* 2221110 */     GIR_EraseRootFromParent_Done,
     /* 2221111 */   // Label 29554: @2221111
     /* 2221111 */   GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2221156), // Rule ID 59343 //
     /* 2221116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221119 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221155 */     // GIR_Coverage, 59343,
     /* 2221155 */     GIR_EraseRootFromParent_Done,
     /* 2221156 */   // Label 29555: @2221156
     /* 2221156 */   GIM_Reject,
     /* 2221157 */ // Label 29553: @2221157
     /* 2221157 */ GIM_Reject,
     /* 2221158 */ // Label 29501: @2221158
     /* 2221158 */ GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2221272),
     /* 2221163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2221166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2221169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221181 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2221226), // Rule ID 59358 //
     /* 2221186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221189 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221225 */     // GIR_Coverage, 59358,
     /* 2221225 */     GIR_EraseRootFromParent_Done,
     /* 2221226 */   // Label 29557: @2221226
     /* 2221226 */   GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2221271), // Rule ID 59359 //
     /* 2221231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221234 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221270 */     // GIR_Coverage, 59359,
     /* 2221270 */     GIR_EraseRootFromParent_Done,
     /* 2221271 */   // Label 29558: @2221271
     /* 2221271 */   GIM_Reject,
     /* 2221272 */ // Label 29556: @2221272
     /* 2221272 */ GIM_Reject,
     /* 2221273 */ // Label 29502: @2221273
     /* 2221273 */ GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2221387),
     /* 2221278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2221281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2221284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221296 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2221341), // Rule ID 59302 //
     /* 2221301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221304 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2221307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2221321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221340 */     // GIR_Coverage, 59302,
     /* 2221340 */     GIR_EraseRootFromParent_Done,
     /* 2221341 */   // Label 29560: @2221341
     /* 2221341 */   GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2221386), // Rule ID 59303 //
     /* 2221346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221349 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2221352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2221366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221385 */     // GIR_Coverage, 59303,
     /* 2221385 */     GIR_EraseRootFromParent_Done,
     /* 2221386 */   // Label 29561: @2221386
     /* 2221386 */   GIM_Reject,
     /* 2221387 */ // Label 29559: @2221387
     /* 2221387 */ GIM_Reject,
     /* 2221388 */ // Label 29503: @2221388
     /* 2221388 */ GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2221502),
     /* 2221393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2221396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2221399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221411 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2221456), // Rule ID 59330 //
     /* 2221416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221419 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2221422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221455 */     // GIR_Coverage, 59330,
     /* 2221455 */     GIR_EraseRootFromParent_Done,
     /* 2221456 */   // Label 29563: @2221456
     /* 2221456 */   GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2221501), // Rule ID 59331 //
     /* 2221461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221464 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2221467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221500 */     // GIR_Coverage, 59331,
     /* 2221500 */     GIR_EraseRootFromParent_Done,
     /* 2221501 */   // Label 29564: @2221501
     /* 2221501 */   GIM_Reject,
     /* 2221502 */ // Label 29562: @2221502
     /* 2221502 */ GIM_Reject,
     /* 2221503 */ // Label 29504: @2221503
     /* 2221503 */ GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2221617),
     /* 2221508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2221511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2221514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221526 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2221571), // Rule ID 59346 //
     /* 2221531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221534 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221570 */     // GIR_Coverage, 59346,
     /* 2221570 */     GIR_EraseRootFromParent_Done,
     /* 2221571 */   // Label 29566: @2221571
     /* 2221571 */   GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2221616), // Rule ID 59347 //
     /* 2221576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221579 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221615 */     // GIR_Coverage, 59347,
     /* 2221615 */     GIR_EraseRootFromParent_Done,
     /* 2221616 */   // Label 29567: @2221616
     /* 2221616 */   GIM_Reject,
     /* 2221617 */ // Label 29565: @2221617
     /* 2221617 */ GIM_Reject,
     /* 2221618 */ // Label 29505: @2221618
     /* 2221618 */ GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2221732),
     /* 2221623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2221629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221641 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2221686), // Rule ID 59362 //
     /* 2221646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221649 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221685 */     // GIR_Coverage, 59362,
     /* 2221685 */     GIR_EraseRootFromParent_Done,
     /* 2221686 */   // Label 29569: @2221686
     /* 2221686 */   GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2221731), // Rule ID 59363 //
     /* 2221691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221694 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221730 */     // GIR_Coverage, 59363,
     /* 2221730 */     GIR_EraseRootFromParent_Done,
     /* 2221731 */   // Label 29570: @2221731
     /* 2221731 */   GIM_Reject,
     /* 2221732 */ // Label 29568: @2221732
     /* 2221732 */ GIM_Reject,
     /* 2221733 */ // Label 29506: @2221733
     /* 2221733 */ GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2221847),
     /* 2221738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2221744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221756 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2221801), // Rule ID 59318 //
     /* 2221761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221764 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221800 */     // GIR_Coverage, 59318,
     /* 2221800 */     GIR_EraseRootFromParent_Done,
     /* 2221801 */   // Label 29572: @2221801
     /* 2221801 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2221846), // Rule ID 59319 //
     /* 2221806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221809 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221845 */     // GIR_Coverage, 59319,
     /* 2221845 */     GIR_EraseRootFromParent_Done,
     /* 2221846 */   // Label 29573: @2221846
     /* 2221846 */   GIM_Reject,
     /* 2221847 */ // Label 29571: @2221847
     /* 2221847 */ GIM_Reject,
     /* 2221848 */ // Label 29507: @2221848
     /* 2221848 */ GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2221962),
     /* 2221853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2221859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221871 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2221916), // Rule ID 59334 //
     /* 2221876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221879 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221915 */     // GIR_Coverage, 59334,
     /* 2221915 */     GIR_EraseRootFromParent_Done,
     /* 2221916 */   // Label 29575: @2221916
     /* 2221916 */   GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2221961), // Rule ID 59335 //
     /* 2221921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221924 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221960 */     // GIR_Coverage, 59335,
     /* 2221960 */     GIR_EraseRootFromParent_Done,
     /* 2221961 */   // Label 29576: @2221961
     /* 2221961 */   GIM_Reject,
     /* 2221962 */ // Label 29574: @2221962
     /* 2221962 */ GIM_Reject,
     /* 2221963 */ // Label 29508: @2221963
     /* 2221963 */ GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2222077),
     /* 2221968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2221974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221986 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2222031), // Rule ID 59350 //
     /* 2221991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221994 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222030 */     // GIR_Coverage, 59350,
     /* 2222030 */     GIR_EraseRootFromParent_Done,
     /* 2222031 */   // Label 29578: @2222031
     /* 2222031 */   GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2222076), // Rule ID 59351 //
     /* 2222036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222039 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2222042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222075 */     // GIR_Coverage, 59351,
     /* 2222075 */     GIR_EraseRootFromParent_Done,
     /* 2222076 */   // Label 29579: @2222076
     /* 2222076 */   GIM_Reject,
     /* 2222077 */ // Label 29577: @2222077
     /* 2222077 */ GIM_Reject,
     /* 2222078 */ // Label 29509: @2222078
     /* 2222078 */ GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2222192),
     /* 2222083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2222089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222101 */   GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2222146), // Rule ID 59322 //
     /* 2222106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222109 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2222112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2222126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222145 */     // GIR_Coverage, 59322,
     /* 2222145 */     GIR_EraseRootFromParent_Done,
     /* 2222146 */   // Label 29581: @2222146
     /* 2222146 */   GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2222191), // Rule ID 59323 //
     /* 2222151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222154 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2222157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2222171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222190 */     // GIR_Coverage, 59323,
     /* 2222190 */     GIR_EraseRootFromParent_Done,
     /* 2222191 */   // Label 29582: @2222191
     /* 2222191 */   GIM_Reject,
     /* 2222192 */ // Label 29580: @2222192
     /* 2222192 */ GIM_Reject,
     /* 2222193 */ // Label 29510: @2222193
     /* 2222193 */ GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2222307),
     /* 2222198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2222201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2222204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222216 */   GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2222261), // Rule ID 59338 //
     /* 2222221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222224 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222260 */     // GIR_Coverage, 59338,
     /* 2222260 */     GIR_EraseRootFromParent_Done,
     /* 2222261 */   // Label 29584: @2222261
     /* 2222261 */   GIM_Try, /*On fail goto*//*Label 29585*/ GIMT_Encode4(2222306), // Rule ID 59339 //
     /* 2222266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222269 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222305 */     // GIR_Coverage, 59339,
     /* 2222305 */     GIR_EraseRootFromParent_Done,
     /* 2222306 */   // Label 29585: @2222306
     /* 2222306 */   GIM_Reject,
     /* 2222307 */ // Label 29583: @2222307
     /* 2222307 */ GIM_Reject,
     /* 2222308 */ // Label 29511: @2222308
     /* 2222308 */ GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2222422),
     /* 2222313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2222316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2222319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222331 */   GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2222376), // Rule ID 59326 //
     /* 2222336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222339 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2222342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222375 */     // GIR_Coverage, 59326,
     /* 2222375 */     GIR_EraseRootFromParent_Done,
     /* 2222376 */   // Label 29587: @2222376
     /* 2222376 */   GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2222421), // Rule ID 59327 //
     /* 2222381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222384 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2222387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222420 */     // GIR_Coverage, 59327,
     /* 2222420 */     GIR_EraseRootFromParent_Done,
     /* 2222421 */   // Label 29588: @2222421
     /* 2222421 */   GIM_Reject,
     /* 2222422 */ // Label 29586: @2222422
     /* 2222422 */ GIM_Reject,
     /* 2222423 */ // Label 29512: @2222423
     /* 2222423 */ GIM_Reject,
     /* 2222424 */ // Label 47: @2222424
     /* 2222424 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29613*/ GIMT_Encode4(2225333),
     /* 2222435 */ /*GILLT_s32*//*Label 29589*/ GIMT_Encode4(2222559),
     /* 2222439 */ /*GILLT_s64*//*Label 29590*/ GIMT_Encode4(2222681), GIMT_Encode4(0),
     /* 2222447 */ /*GILLT_nxv1s8*//*Label 29591*/ GIMT_Encode4(2222803),
     /* 2222451 */ /*GILLT_nxv1s16*//*Label 29592*/ GIMT_Encode4(2222918),
     /* 2222455 */ /*GILLT_nxv1s32*//*Label 29593*/ GIMT_Encode4(2223033),
     /* 2222459 */ /*GILLT_nxv1s64*//*Label 29594*/ GIMT_Encode4(2223148), GIMT_Encode4(0),
     /* 2222467 */ /*GILLT_nxv2s8*//*Label 29595*/ GIMT_Encode4(2223263),
     /* 2222471 */ /*GILLT_nxv2s16*//*Label 29596*/ GIMT_Encode4(2223378),
     /* 2222475 */ /*GILLT_nxv2s32*//*Label 29597*/ GIMT_Encode4(2223493),
     /* 2222479 */ /*GILLT_nxv2s64*//*Label 29598*/ GIMT_Encode4(2223608), GIMT_Encode4(0),
     /* 2222487 */ /*GILLT_nxv4s8*//*Label 29599*/ GIMT_Encode4(2223723),
     /* 2222491 */ /*GILLT_nxv4s16*//*Label 29600*/ GIMT_Encode4(2223838),
     /* 2222495 */ /*GILLT_nxv4s32*//*Label 29601*/ GIMT_Encode4(2223953),
     /* 2222499 */ /*GILLT_nxv4s64*//*Label 29602*/ GIMT_Encode4(2224068), GIMT_Encode4(0),
     /* 2222507 */ /*GILLT_nxv8s8*//*Label 29603*/ GIMT_Encode4(2224183),
     /* 2222511 */ /*GILLT_nxv8s16*//*Label 29604*/ GIMT_Encode4(2224298),
     /* 2222515 */ /*GILLT_nxv8s32*//*Label 29605*/ GIMT_Encode4(2224413),
     /* 2222519 */ /*GILLT_nxv8s64*//*Label 29606*/ GIMT_Encode4(2224528), GIMT_Encode4(0),
     /* 2222527 */ /*GILLT_nxv16s8*//*Label 29607*/ GIMT_Encode4(2224643),
     /* 2222531 */ /*GILLT_nxv16s16*//*Label 29608*/ GIMT_Encode4(2224758),
     /* 2222535 */ /*GILLT_nxv16s32*//*Label 29609*/ GIMT_Encode4(2224873), GIMT_Encode4(0),
     /* 2222543 */ /*GILLT_nxv32s8*//*Label 29610*/ GIMT_Encode4(2224988),
     /* 2222547 */ /*GILLT_nxv32s16*//*Label 29611*/ GIMT_Encode4(2225103), GIMT_Encode4(0),
     /* 2222555 */ /*GILLT_nxv64s8*//*Label 29612*/ GIMT_Encode4(2225218),
     /* 2222559 */ // Label 29589: @2222559
     /* 2222559 */ GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2222680),
     /* 2222564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2222570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222578 */   GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2222614), // Rule ID 2355 //
     /* 2222583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222598 */     // MIs[1] Operand 1
     /* 2222598 */     // No operand predicates
     /* 2222598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222600 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222607 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222613 */     // GIR_Coverage, 2355,
     /* 2222613 */     GIR_EraseRootFromParent_Done,
     /* 2222614 */   // Label 29615: @2222614
     /* 2222614 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2222650), // Rule ID 62466 //
     /* 2222619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2222622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222634 */     // MIs[1] Operand 1
     /* 2222634 */     // No operand predicates
     /* 2222634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222636 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222643 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222649 */     // GIR_Coverage, 62466,
     /* 2222649 */     GIR_EraseRootFromParent_Done,
     /* 2222650 */   // Label 29616: @2222650
     /* 2222650 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2222679), // Rule ID 2349 //
     /* 2222655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222665 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2222665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222678 */     // GIR_Coverage, 2349,
     /* 2222678 */     GIR_EraseRootFromParent_Done,
     /* 2222679 */   // Label 29617: @2222679
     /* 2222679 */   GIM_Reject,
     /* 2222680 */ // Label 29614: @2222680
     /* 2222680 */ GIM_Reject,
     /* 2222681 */ // Label 29590: @2222681
     /* 2222681 */ GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2222802),
     /* 2222686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222700 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2222736), // Rule ID 2354 //
     /* 2222705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222720 */     // MIs[1] Operand 1
     /* 2222720 */     // No operand predicates
     /* 2222720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222722 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222729 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222735 */     // GIR_Coverage, 2354,
     /* 2222735 */     GIR_EraseRootFromParent_Done,
     /* 2222736 */   // Label 29619: @2222736
     /* 2222736 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2222772), // Rule ID 62465 //
     /* 2222741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2222744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222756 */     // MIs[1] Operand 1
     /* 2222756 */     // No operand predicates
     /* 2222756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222758 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222765 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222771 */     // GIR_Coverage, 62465,
     /* 2222771 */     GIR_EraseRootFromParent_Done,
     /* 2222772 */   // Label 29620: @2222772
     /* 2222772 */   GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2222801), // Rule ID 2348 //
     /* 2222777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222787 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2222787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222800 */     // GIR_Coverage, 2348,
     /* 2222800 */     GIR_EraseRootFromParent_Done,
     /* 2222801 */   // Label 29621: @2222801
     /* 2222801 */   GIM_Reject,
     /* 2222802 */ // Label 29618: @2222802
     /* 2222802 */ GIM_Reject,
     /* 2222803 */ // Label 29591: @2222803
     /* 2222803 */ GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2222917),
     /* 2222808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2222811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2222814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222826 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2222871), // Rule ID 59146 //
     /* 2222831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222834 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222870 */     // GIR_Coverage, 59146,
     /* 2222870 */     GIR_EraseRootFromParent_Done,
     /* 2222871 */   // Label 29623: @2222871
     /* 2222871 */   GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2222916), // Rule ID 59147 //
     /* 2222876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222879 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222915 */     // GIR_Coverage, 59147,
     /* 2222915 */     GIR_EraseRootFromParent_Done,
     /* 2222916 */   // Label 29624: @2222916
     /* 2222916 */   GIM_Reject,
     /* 2222917 */ // Label 29622: @2222917
     /* 2222917 */ GIM_Reject,
     /* 2222918 */ // Label 29592: @2222918
     /* 2222918 */ GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2223032),
     /* 2222923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2222926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2222929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222941 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2222986), // Rule ID 59158 //
     /* 2222946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222949 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222985 */     // GIR_Coverage, 59158,
     /* 2222985 */     GIR_EraseRootFromParent_Done,
     /* 2222986 */   // Label 29626: @2222986
     /* 2222986 */   GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2223031), // Rule ID 59159 //
     /* 2222991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222994 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2223011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223030 */     // GIR_Coverage, 59159,
     /* 2223030 */     GIR_EraseRootFromParent_Done,
     /* 2223031 */   // Label 29627: @2223031
     /* 2223031 */   GIM_Reject,
     /* 2223032 */ // Label 29625: @2223032
     /* 2223032 */ GIM_Reject,
     /* 2223033 */ // Label 29593: @2223033
     /* 2223033 */ GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2223147),
     /* 2223038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2223044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223056 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2223101), // Rule ID 59166 //
     /* 2223061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223064 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223100 */     // GIR_Coverage, 59166,
     /* 2223100 */     GIR_EraseRootFromParent_Done,
     /* 2223101 */   // Label 29629: @2223101
     /* 2223101 */   GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2223146), // Rule ID 59167 //
     /* 2223106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223109 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223145 */     // GIR_Coverage, 59167,
     /* 2223145 */     GIR_EraseRootFromParent_Done,
     /* 2223146 */   // Label 29630: @2223146
     /* 2223146 */   GIM_Reject,
     /* 2223147 */ // Label 29628: @2223147
     /* 2223147 */ GIM_Reject,
     /* 2223148 */ // Label 29594: @2223148
     /* 2223148 */ GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2223262),
     /* 2223153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2223156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2223159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223171 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2223216), // Rule ID 59182 //
     /* 2223176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223179 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223215 */     // GIR_Coverage, 59182,
     /* 2223215 */     GIR_EraseRootFromParent_Done,
     /* 2223216 */   // Label 29632: @2223216
     /* 2223216 */   GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2223261), // Rule ID 59183 //
     /* 2223221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223224 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223260 */     // GIR_Coverage, 59183,
     /* 2223260 */     GIR_EraseRootFromParent_Done,
     /* 2223261 */   // Label 29633: @2223261
     /* 2223261 */   GIM_Reject,
     /* 2223262 */ // Label 29631: @2223262
     /* 2223262 */ GIM_Reject,
     /* 2223263 */ // Label 29595: @2223263
     /* 2223263 */ GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2223377),
     /* 2223268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2223271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2223274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223286 */   GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2223331), // Rule ID 59150 //
     /* 2223291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223294 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2223297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2223311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223330 */     // GIR_Coverage, 59150,
     /* 2223330 */     GIR_EraseRootFromParent_Done,
     /* 2223331 */   // Label 29635: @2223331
     /* 2223331 */   GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2223376), // Rule ID 59151 //
     /* 2223336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223339 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2223342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2223356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223375 */     // GIR_Coverage, 59151,
     /* 2223375 */     GIR_EraseRootFromParent_Done,
     /* 2223376 */   // Label 29636: @2223376
     /* 2223376 */   GIM_Reject,
     /* 2223377 */ // Label 29634: @2223377
     /* 2223377 */ GIM_Reject,
     /* 2223378 */ // Label 29596: @2223378
     /* 2223378 */ GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2223492),
     /* 2223383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2223386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2223389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223401 */   GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2223446), // Rule ID 59162 //
     /* 2223406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223409 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223445 */     // GIR_Coverage, 59162,
     /* 2223445 */     GIR_EraseRootFromParent_Done,
     /* 2223446 */   // Label 29638: @2223446
     /* 2223446 */   GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2223491), // Rule ID 59163 //
     /* 2223451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223454 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223490 */     // GIR_Coverage, 59163,
     /* 2223490 */     GIR_EraseRootFromParent_Done,
     /* 2223491 */   // Label 29639: @2223491
     /* 2223491 */   GIM_Reject,
     /* 2223492 */ // Label 29637: @2223492
     /* 2223492 */ GIM_Reject,
     /* 2223493 */ // Label 29597: @2223493
     /* 2223493 */ GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2223607),
     /* 2223498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2223501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2223504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223516 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2223561), // Rule ID 59178 //
     /* 2223521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223524 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223560 */     // GIR_Coverage, 59178,
     /* 2223560 */     GIR_EraseRootFromParent_Done,
     /* 2223561 */   // Label 29641: @2223561
     /* 2223561 */   GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2223606), // Rule ID 59179 //
     /* 2223566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223569 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223605 */     // GIR_Coverage, 59179,
     /* 2223605 */     GIR_EraseRootFromParent_Done,
     /* 2223606 */   // Label 29642: @2223606
     /* 2223606 */   GIM_Reject,
     /* 2223607 */ // Label 29640: @2223607
     /* 2223607 */ GIM_Reject,
     /* 2223608 */ // Label 29598: @2223608
     /* 2223608 */ GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2223722),
     /* 2223613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2223616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2223619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223631 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2223676), // Rule ID 59222 //
     /* 2223636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223639 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223675 */     // GIR_Coverage, 59222,
     /* 2223675 */     GIR_EraseRootFromParent_Done,
     /* 2223676 */   // Label 29644: @2223676
     /* 2223676 */   GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2223721), // Rule ID 59223 //
     /* 2223681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223684 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223720 */     // GIR_Coverage, 59223,
     /* 2223720 */     GIR_EraseRootFromParent_Done,
     /* 2223721 */   // Label 29645: @2223721
     /* 2223721 */   GIM_Reject,
     /* 2223722 */ // Label 29643: @2223722
     /* 2223722 */ GIM_Reject,
     /* 2223723 */ // Label 29599: @2223723
     /* 2223723 */ GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2223837),
     /* 2223728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2223734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223746 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2223791), // Rule ID 59154 //
     /* 2223751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223754 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223790 */     // GIR_Coverage, 59154,
     /* 2223790 */     GIR_EraseRootFromParent_Done,
     /* 2223791 */   // Label 29647: @2223791
     /* 2223791 */   GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2223836), // Rule ID 59155 //
     /* 2223796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223799 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223835 */     // GIR_Coverage, 59155,
     /* 2223835 */     GIR_EraseRootFromParent_Done,
     /* 2223836 */   // Label 29648: @2223836
     /* 2223836 */   GIM_Reject,
     /* 2223837 */ // Label 29646: @2223837
     /* 2223837 */ GIM_Reject,
     /* 2223838 */ // Label 29600: @2223838
     /* 2223838 */ GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2223952),
     /* 2223843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2223849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223861 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2223906), // Rule ID 59174 //
     /* 2223866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223869 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223905 */     // GIR_Coverage, 59174,
     /* 2223905 */     GIR_EraseRootFromParent_Done,
     /* 2223906 */   // Label 29650: @2223906
     /* 2223906 */   GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2223951), // Rule ID 59175 //
     /* 2223911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223914 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223950 */     // GIR_Coverage, 59175,
     /* 2223950 */     GIR_EraseRootFromParent_Done,
     /* 2223951 */   // Label 29651: @2223951
     /* 2223951 */   GIM_Reject,
     /* 2223952 */ // Label 29649: @2223952
     /* 2223952 */ GIM_Reject,
     /* 2223953 */ // Label 29601: @2223953
     /* 2223953 */ GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2224067),
     /* 2223958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2223964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223976 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2224021), // Rule ID 59210 //
     /* 2223981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223984 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224020 */     // GIR_Coverage, 59210,
     /* 2224020 */     GIR_EraseRootFromParent_Done,
     /* 2224021 */   // Label 29653: @2224021
     /* 2224021 */   GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2224066), // Rule ID 59211 //
     /* 2224026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224029 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2224032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224065 */     // GIR_Coverage, 59211,
     /* 2224065 */     GIR_EraseRootFromParent_Done,
     /* 2224066 */   // Label 29654: @2224066
     /* 2224066 */   GIM_Reject,
     /* 2224067 */ // Label 29652: @2224067
     /* 2224067 */ GIM_Reject,
     /* 2224068 */ // Label 29602: @2224068
     /* 2224068 */ GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2224182),
     /* 2224073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2224076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2224079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224091 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2224136), // Rule ID 59226 //
     /* 2224096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224099 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224135 */     // GIR_Coverage, 59226,
     /* 2224135 */     GIR_EraseRootFromParent_Done,
     /* 2224136 */   // Label 29656: @2224136
     /* 2224136 */   GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2224181), // Rule ID 59227 //
     /* 2224141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224144 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224180 */     // GIR_Coverage, 59227,
     /* 2224180 */     GIR_EraseRootFromParent_Done,
     /* 2224181 */   // Label 29657: @2224181
     /* 2224181 */   GIM_Reject,
     /* 2224182 */ // Label 29655: @2224182
     /* 2224182 */ GIM_Reject,
     /* 2224183 */ // Label 29603: @2224183
     /* 2224183 */ GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2224297),
     /* 2224188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2224194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224206 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2224251), // Rule ID 59170 //
     /* 2224211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224214 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2224231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224250 */     // GIR_Coverage, 59170,
     /* 2224250 */     GIR_EraseRootFromParent_Done,
     /* 2224251 */   // Label 29659: @2224251
     /* 2224251 */   GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2224296), // Rule ID 59171 //
     /* 2224256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224259 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2224276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224295 */     // GIR_Coverage, 59171,
     /* 2224295 */     GIR_EraseRootFromParent_Done,
     /* 2224296 */   // Label 29660: @2224296
     /* 2224296 */   GIM_Reject,
     /* 2224297 */ // Label 29658: @2224297
     /* 2224297 */ GIM_Reject,
     /* 2224298 */ // Label 29604: @2224298
     /* 2224298 */ GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2224412),
     /* 2224303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2224306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2224309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224321 */   GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2224366), // Rule ID 59198 //
     /* 2224326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224329 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224365 */     // GIR_Coverage, 59198,
     /* 2224365 */     GIR_EraseRootFromParent_Done,
     /* 2224366 */   // Label 29662: @2224366
     /* 2224366 */   GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2224411), // Rule ID 59199 //
     /* 2224371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224374 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224410 */     // GIR_Coverage, 59199,
     /* 2224410 */     GIR_EraseRootFromParent_Done,
     /* 2224411 */   // Label 29663: @2224411
     /* 2224411 */   GIM_Reject,
     /* 2224412 */ // Label 29661: @2224412
     /* 2224412 */ GIM_Reject,
     /* 2224413 */ // Label 29605: @2224413
     /* 2224413 */ GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2224527),
     /* 2224418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2224421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2224424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224436 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2224481), // Rule ID 59214 //
     /* 2224441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224444 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224480 */     // GIR_Coverage, 59214,
     /* 2224480 */     GIR_EraseRootFromParent_Done,
     /* 2224481 */   // Label 29665: @2224481
     /* 2224481 */   GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2224526), // Rule ID 59215 //
     /* 2224486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224489 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224525 */     // GIR_Coverage, 59215,
     /* 2224525 */     GIR_EraseRootFromParent_Done,
     /* 2224526 */   // Label 29666: @2224526
     /* 2224526 */   GIM_Reject,
     /* 2224527 */ // Label 29664: @2224527
     /* 2224527 */ GIM_Reject,
     /* 2224528 */ // Label 29606: @2224528
     /* 2224528 */ GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2224642),
     /* 2224533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2224536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2224539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224551 */   GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2224596), // Rule ID 59230 //
     /* 2224556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224559 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224595 */     // GIR_Coverage, 59230,
     /* 2224595 */     GIR_EraseRootFromParent_Done,
     /* 2224596 */   // Label 29668: @2224596
     /* 2224596 */   GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2224641), // Rule ID 59231 //
     /* 2224601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224604 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224640 */     // GIR_Coverage, 59231,
     /* 2224640 */     GIR_EraseRootFromParent_Done,
     /* 2224641 */   // Label 29669: @2224641
     /* 2224641 */   GIM_Reject,
     /* 2224642 */ // Label 29667: @2224642
     /* 2224642 */ GIM_Reject,
     /* 2224643 */ // Label 29607: @2224643
     /* 2224643 */ GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2224757),
     /* 2224648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2224651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2224654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224666 */   GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2224711), // Rule ID 59186 //
     /* 2224671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224674 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224710 */     // GIR_Coverage, 59186,
     /* 2224710 */     GIR_EraseRootFromParent_Done,
     /* 2224711 */   // Label 29671: @2224711
     /* 2224711 */   GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2224756), // Rule ID 59187 //
     /* 2224716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224719 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224755 */     // GIR_Coverage, 59187,
     /* 2224755 */     GIR_EraseRootFromParent_Done,
     /* 2224756 */   // Label 29672: @2224756
     /* 2224756 */   GIM_Reject,
     /* 2224757 */ // Label 29670: @2224757
     /* 2224757 */ GIM_Reject,
     /* 2224758 */ // Label 29608: @2224758
     /* 2224758 */ GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2224872),
     /* 2224763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2224766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2224769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224781 */   GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2224826), // Rule ID 59202 //
     /* 2224786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224789 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224825 */     // GIR_Coverage, 59202,
     /* 2224825 */     GIR_EraseRootFromParent_Done,
     /* 2224826 */   // Label 29674: @2224826
     /* 2224826 */   GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2224871), // Rule ID 59203 //
     /* 2224831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224834 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224870 */     // GIR_Coverage, 59203,
     /* 2224870 */     GIR_EraseRootFromParent_Done,
     /* 2224871 */   // Label 29675: @2224871
     /* 2224871 */   GIM_Reject,
     /* 2224872 */ // Label 29673: @2224872
     /* 2224872 */ GIM_Reject,
     /* 2224873 */ // Label 29609: @2224873
     /* 2224873 */ GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2224987),
     /* 2224878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2224881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2224884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224896 */   GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2224941), // Rule ID 59218 //
     /* 2224901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224904 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224940 */     // GIR_Coverage, 59218,
     /* 2224940 */     GIR_EraseRootFromParent_Done,
     /* 2224941 */   // Label 29677: @2224941
     /* 2224941 */   GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2224986), // Rule ID 59219 //
     /* 2224946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224949 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224985 */     // GIR_Coverage, 59219,
     /* 2224985 */     GIR_EraseRootFromParent_Done,
     /* 2224986 */   // Label 29678: @2224986
     /* 2224986 */   GIM_Reject,
     /* 2224987 */ // Label 29676: @2224987
     /* 2224987 */ GIM_Reject,
     /* 2224988 */ // Label 29610: @2224988
     /* 2224988 */ GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2225102),
     /* 2224993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2224996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2224999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225011 */   GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2225056), // Rule ID 59190 //
     /* 2225016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225019 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2225022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2225036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225055 */     // GIR_Coverage, 59190,
     /* 2225055 */     GIR_EraseRootFromParent_Done,
     /* 2225056 */   // Label 29680: @2225056
     /* 2225056 */   GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2225101), // Rule ID 59191 //
     /* 2225061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225064 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2225067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2225081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225100 */     // GIR_Coverage, 59191,
     /* 2225100 */     GIR_EraseRootFromParent_Done,
     /* 2225101 */   // Label 29681: @2225101
     /* 2225101 */   GIM_Reject,
     /* 2225102 */ // Label 29679: @2225102
     /* 2225102 */ GIM_Reject,
     /* 2225103 */ // Label 29611: @2225103
     /* 2225103 */ GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2225217),
     /* 2225108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2225111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2225114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225126 */   GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2225171), // Rule ID 59206 //
     /* 2225131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225134 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2225137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225170 */     // GIR_Coverage, 59206,
     /* 2225170 */     GIR_EraseRootFromParent_Done,
     /* 2225171 */   // Label 29683: @2225171
     /* 2225171 */   GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2225216), // Rule ID 59207 //
     /* 2225176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225179 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2225182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225215 */     // GIR_Coverage, 59207,
     /* 2225215 */     GIR_EraseRootFromParent_Done,
     /* 2225216 */   // Label 29684: @2225216
     /* 2225216 */   GIM_Reject,
     /* 2225217 */ // Label 29682: @2225217
     /* 2225217 */ GIM_Reject,
     /* 2225218 */ // Label 29612: @2225218
     /* 2225218 */ GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2225332),
     /* 2225223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2225226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2225229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225241 */   GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2225286), // Rule ID 59194 //
     /* 2225246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225249 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2225252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225285 */     // GIR_Coverage, 59194,
     /* 2225285 */     GIR_EraseRootFromParent_Done,
     /* 2225286 */   // Label 29686: @2225286
     /* 2225286 */   GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2225331), // Rule ID 59195 //
     /* 2225291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225294 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2225297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225330 */     // GIR_Coverage, 59195,
     /* 2225330 */     GIR_EraseRootFromParent_Done,
     /* 2225331 */   // Label 29687: @2225331
     /* 2225331 */   GIM_Reject,
     /* 2225332 */ // Label 29685: @2225332
     /* 2225332 */ GIM_Reject,
     /* 2225333 */ // Label 29613: @2225333
     /* 2225333 */ GIM_Reject,
     /* 2225334 */ // Label 48: @2225334
     /* 2225334 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29697*/ GIMT_Encode4(2251996),
     /* 2225345 */ /*GILLT_s32*//*Label 29688*/ GIMT_Encode4(2225465),
     /* 2225349 */ /*GILLT_s64*//*Label 29689*/ GIMT_Encode4(2228259),
     /* 2225353 */ /*GILLT_nxv1s1*//*Label 29690*/ GIMT_Encode4(2231053), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225373 */ /*GILLT_nxv2s1*//*Label 29691*/ GIMT_Encode4(2234894), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225393 */ /*GILLT_nxv4s1*//*Label 29692*/ GIMT_Encode4(2238735), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225413 */ /*GILLT_nxv8s1*//*Label 29693*/ GIMT_Encode4(2242576), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225433 */ /*GILLT_nxv16s1*//*Label 29694*/ GIMT_Encode4(2246417), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225449 */ /*GILLT_nxv32s1*//*Label 29695*/ GIMT_Encode4(2249298), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225461 */ /*GILLT_nxv64s1*//*Label 29696*/ GIMT_Encode4(2251219),
     /* 2225465 */ // Label 29688: @2225465
     /* 2225465 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2225508), // Rule ID 159 //
     /* 2225470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225483 */   // MIs[0] Operand 1
     /* 2225483 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225492 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2225496 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2225496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225501 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225507 */   // GIR_Coverage, 159,
     /* 2225507 */   GIR_EraseRootFromParent_Done,
     /* 2225508 */ // Label 29698: @2225508
     /* 2225508 */ GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2225551), // Rule ID 64867 //
     /* 2225513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225519 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225526 */   // MIs[0] Operand 1
     /* 2225526 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225535 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225539 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225544 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225550 */   // GIR_Coverage, 64867,
     /* 2225550 */   GIR_EraseRootFromParent_Done,
     /* 2225551 */ // Label 29699: @2225551
     /* 2225551 */ GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2225597), // Rule ID 64873 //
     /* 2225556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225569 */   // MIs[0] Operand 1
     /* 2225569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225578 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225582 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225587 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225596 */   // GIR_Coverage, 64873,
     /* 2225596 */   GIR_EraseRootFromParent_Done,
     /* 2225597 */ // Label 29700: @2225597
     /* 2225597 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2225640), // Rule ID 64903 //
     /* 2225602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225615 */   // MIs[0] Operand 1
     /* 2225615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225624 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225628 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225639 */   // GIR_Coverage, 64903,
     /* 2225639 */   GIR_EraseRootFromParent_Done,
     /* 2225640 */ // Label 29701: @2225640
     /* 2225640 */ GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2225686), // Rule ID 64909 //
     /* 2225645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225658 */   // MIs[0] Operand 1
     /* 2225658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225667 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225671 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225676 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225682 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225685 */   // GIR_Coverage, 64909,
     /* 2225685 */   GIR_EraseRootFromParent_Done,
     /* 2225686 */ // Label 29702: @2225686
     /* 2225686 */ GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2225739), // Rule ID 149 //
     /* 2225691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225704 */   // MIs[0] Operand 1
     /* 2225704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225713 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225717 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225721 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225725 */   // MIs[1] Operand 1
     /* 2225725 */   // No operand predicates
     /* 2225725 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225727 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225734 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225738 */   // GIR_Coverage, 149,
     /* 2225738 */   GIR_EraseRootFromParent_Done,
     /* 2225739 */ // Label 29703: @2225739
     /* 2225739 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2225792), // Rule ID 153 //
     /* 2225744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225757 */   // MIs[0] Operand 1
     /* 2225757 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225766 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225770 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225774 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225778 */   // MIs[1] Operand 1
     /* 2225778 */   // No operand predicates
     /* 2225778 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225780 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225787 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225791 */   // GIR_Coverage, 153,
     /* 2225791 */   GIR_EraseRootFromParent_Done,
     /* 2225792 */ // Label 29704: @2225792
     /* 2225792 */ GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2225845), // Rule ID 64859 //
     /* 2225797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225810 */   // MIs[0] Operand 1
     /* 2225810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225819 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225823 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225827 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225831 */   // MIs[1] Operand 1
     /* 2225831 */   // No operand predicates
     /* 2225831 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225833 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225838 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225840 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225844 */   // GIR_Coverage, 64859,
     /* 2225844 */   GIR_EraseRootFromParent_Done,
     /* 2225845 */ // Label 29705: @2225845
     /* 2225845 */ GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2225898), // Rule ID 64863 //
     /* 2225850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225863 */   // MIs[0] Operand 1
     /* 2225863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225872 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225876 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225880 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225884 */   // MIs[1] Operand 1
     /* 2225884 */   // No operand predicates
     /* 2225884 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225886 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225893 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225897 */   // GIR_Coverage, 64863,
     /* 2225897 */   GIR_EraseRootFromParent_Done,
     /* 2225898 */ // Label 29706: @2225898
     /* 2225898 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2225975), // Rule ID 64869 //
     /* 2225903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225909 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225916 */   // MIs[0] Operand 1
     /* 2225916 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225925 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225929 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225933 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2225937 */   // MIs[1] Operand 1
     /* 2225937 */   // No operand predicates
     /* 2225937 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225939 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2225939 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225942 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2225946 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225951 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225955 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2225960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225974 */   // GIR_Coverage, 64869,
     /* 2225974 */   GIR_EraseRootFromParent_Done,
     /* 2225975 */ // Label 29707: @2225975
     /* 2225975 */ GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2226055), // Rule ID 64875 //
     /* 2225980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225993 */   // MIs[0] Operand 1
     /* 2225993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226002 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226006 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226010 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226014 */   // MIs[1] Operand 1
     /* 2226014 */   // No operand predicates
     /* 2226014 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226016 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2226016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226028 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226032 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226044 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226054 */   // GIR_Coverage, 64875,
     /* 2226054 */   GIR_EraseRootFromParent_Done,
     /* 2226055 */ // Label 29708: @2226055
     /* 2226055 */ GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2226132), // Rule ID 64879 //
     /* 2226060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226073 */   // MIs[0] Operand 1
     /* 2226073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226082 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226086 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226090 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226094 */   // MIs[1] Operand 1
     /* 2226094 */   // No operand predicates
     /* 2226094 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226096 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2226096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226108 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226112 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226131 */   // GIR_Coverage, 64879,
     /* 2226131 */   GIR_EraseRootFromParent_Done,
     /* 2226132 */ // Label 29709: @2226132
     /* 2226132 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2226209), // Rule ID 64883 //
     /* 2226137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226150 */   // MIs[0] Operand 1
     /* 2226150 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226159 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226163 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226167 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226171 */   // MIs[1] Operand 1
     /* 2226171 */   // No operand predicates
     /* 2226171 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226173 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2226173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226185 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226189 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226194 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226208 */   // GIR_Coverage, 64883,
     /* 2226208 */   GIR_EraseRootFromParent_Done,
     /* 2226209 */ // Label 29710: @2226209
     /* 2226209 */ GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2226284), // Rule ID 64887 //
     /* 2226214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226227 */   // MIs[0] Operand 1
     /* 2226227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2226232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226236 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226240 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226244 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226248 */   // MIs[1] Operand 1
     /* 2226248 */   // No operand predicates
     /* 2226248 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226250 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226262 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226266 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226276 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226283 */   // GIR_Coverage, 64887,
     /* 2226283 */   GIR_EraseRootFromParent_Done,
     /* 2226284 */ // Label 29711: @2226284
     /* 2226284 */ GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2226359), // Rule ID 64891 //
     /* 2226289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226302 */   // MIs[0] Operand 1
     /* 2226302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2226307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226311 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226315 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226319 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226323 */   // MIs[1] Operand 1
     /* 2226323 */   // No operand predicates
     /* 2226323 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226325 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226337 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226341 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226344 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226351 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226358 */   // GIR_Coverage, 64891,
     /* 2226358 */   GIR_EraseRootFromParent_Done,
     /* 2226359 */ // Label 29712: @2226359
     /* 2226359 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2226414), // Rule ID 64895 //
     /* 2226364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226377 */   // MIs[0] Operand 1
     /* 2226377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226386 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226390 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226394 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226398 */   // MIs[1] Operand 1
     /* 2226398 */   // No operand predicates
     /* 2226398 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226400 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2226400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226407 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226413 */   // GIR_Coverage, 64895,
     /* 2226413 */   GIR_EraseRootFromParent_Done,
     /* 2226414 */ // Label 29713: @2226414
     /* 2226414 */ GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2226469), // Rule ID 64899 //
     /* 2226419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226432 */   // MIs[0] Operand 1
     /* 2226432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226441 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226445 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226449 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226453 */   // MIs[1] Operand 1
     /* 2226453 */   // No operand predicates
     /* 2226453 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226455 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2226455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226460 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226462 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226468 */   // GIR_Coverage, 64899,
     /* 2226468 */   GIR_EraseRootFromParent_Done,
     /* 2226469 */ // Label 29714: @2226469
     /* 2226469 */ GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2226546), // Rule ID 64905 //
     /* 2226474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226480 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226487 */   // MIs[0] Operand 1
     /* 2226487 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226496 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226500 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226504 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226508 */   // MIs[1] Operand 1
     /* 2226508 */   // No operand predicates
     /* 2226508 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226510 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2226510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226522 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226526 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226531 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226538 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226545 */   // GIR_Coverage, 64905,
     /* 2226545 */   GIR_EraseRootFromParent_Done,
     /* 2226546 */ // Label 29715: @2226546
     /* 2226546 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2226626), // Rule ID 64911 //
     /* 2226551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226564 */   // MIs[0] Operand 1
     /* 2226564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226573 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226577 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226581 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226585 */   // MIs[1] Operand 1
     /* 2226585 */   // No operand predicates
     /* 2226585 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226587 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2226587 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226590 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226594 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226599 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226603 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226615 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226621 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226625 */   // GIR_Coverage, 64911,
     /* 2226625 */   GIR_EraseRootFromParent_Done,
     /* 2226626 */ // Label 29716: @2226626
     /* 2226626 */ GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2226703), // Rule ID 64915 //
     /* 2226631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226644 */   // MIs[0] Operand 1
     /* 2226644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226653 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226657 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226661 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226665 */   // MIs[1] Operand 1
     /* 2226665 */   // No operand predicates
     /* 2226665 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226667 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2226667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226679 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226683 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226702 */   // GIR_Coverage, 64915,
     /* 2226702 */   GIR_EraseRootFromParent_Done,
     /* 2226703 */ // Label 29717: @2226703
     /* 2226703 */ GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2226780), // Rule ID 64919 //
     /* 2226708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226721 */   // MIs[0] Operand 1
     /* 2226721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226730 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226734 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226738 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226742 */   // MIs[1] Operand 1
     /* 2226742 */   // No operand predicates
     /* 2226742 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226744 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2226744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226756 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226760 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226765 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226772 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226779 */   // GIR_Coverage, 64919,
     /* 2226779 */   GIR_EraseRootFromParent_Done,
     /* 2226780 */ // Label 29718: @2226780
     /* 2226780 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2226855), // Rule ID 64923 //
     /* 2226785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226798 */   // MIs[0] Operand 1
     /* 2226798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2226803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226807 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226811 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226815 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226819 */   // MIs[1] Operand 1
     /* 2226819 */   // No operand predicates
     /* 2226819 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226821 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226821 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226824 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226828 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226833 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226837 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226854 */   // GIR_Coverage, 64923,
     /* 2226854 */   GIR_EraseRootFromParent_Done,
     /* 2226855 */ // Label 29719: @2226855
     /* 2226855 */ GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2226930), // Rule ID 64927 //
     /* 2226860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226873 */   // MIs[0] Operand 1
     /* 2226873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2226878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226882 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226886 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226890 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226894 */   // MIs[1] Operand 1
     /* 2226894 */   // No operand predicates
     /* 2226894 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226896 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226908 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226912 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226929 */   // GIR_Coverage, 64927,
     /* 2226929 */   GIR_EraseRootFromParent_Done,
     /* 2226930 */ // Label 29720: @2226930
     /* 2226930 */ GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2226985), // Rule ID 64931 //
     /* 2226935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226948 */   // MIs[0] Operand 1
     /* 2226948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226957 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226961 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226965 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226969 */   // MIs[1] Operand 1
     /* 2226969 */   // No operand predicates
     /* 2226969 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226971 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2226971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226976 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226978 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226984 */   // GIR_Coverage, 64931,
     /* 2226984 */   GIR_EraseRootFromParent_Done,
     /* 2226985 */ // Label 29721: @2226985
     /* 2226985 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2227040), // Rule ID 64935 //
     /* 2226990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227003 */   // MIs[0] Operand 1
     /* 2227003 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227012 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227016 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227020 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2227024 */   // MIs[1] Operand 1
     /* 2227024 */   // No operand predicates
     /* 2227024 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227026 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2227026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2227029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227031 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227033 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227039 */   // GIR_Coverage, 64935,
     /* 2227039 */   GIR_EraseRootFromParent_Done,
     /* 2227040 */ // Label 29722: @2227040
     /* 2227040 */ GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2227082), // Rule ID 64371 //
     /* 2227045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2227048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227058 */   // MIs[0] Operand 1
     /* 2227058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227071 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2227074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227081 */   // GIR_Coverage, 64371,
     /* 2227081 */   GIR_EraseRootFromParent_Done,
     /* 2227082 */ // Label 29723: @2227082
     /* 2227082 */ GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2227124), // Rule ID 64373 //
     /* 2227087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2227090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227100 */   // MIs[0] Operand 1
     /* 2227100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227113 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2227116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227123 */   // GIR_Coverage, 64373,
     /* 2227123 */   GIR_EraseRootFromParent_Done,
     /* 2227124 */ // Label 29724: @2227124
     /* 2227124 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2227166), // Rule ID 147 //
     /* 2227129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227142 */   // MIs[0] Operand 1
     /* 2227142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2227147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227155 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227162 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227165 */   // GIR_Coverage, 147,
     /* 2227165 */   GIR_EraseRootFromParent_Done,
     /* 2227166 */ // Label 29725: @2227166
     /* 2227166 */ GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2227208), // Rule ID 151 //
     /* 2227171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227184 */   // MIs[0] Operand 1
     /* 2227184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2227189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227197 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227207 */   // GIR_Coverage, 151,
     /* 2227207 */   GIR_EraseRootFromParent_Done,
     /* 2227208 */ // Label 29726: @2227208
     /* 2227208 */ GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2227250), // Rule ID 64861 //
     /* 2227213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227226 */   // MIs[0] Operand 1
     /* 2227226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2227231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227239 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227249 */   // GIR_Coverage, 64861,
     /* 2227249 */   GIR_EraseRootFromParent_Done,
     /* 2227250 */ // Label 29727: @2227250
     /* 2227250 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2227292), // Rule ID 64865 //
     /* 2227255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227268 */   // MIs[0] Operand 1
     /* 2227268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2227273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227281 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227286 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227288 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227291 */   // GIR_Coverage, 64865,
     /* 2227291 */   GIR_EraseRootFromParent_Done,
     /* 2227292 */ // Label 29728: @2227292
     /* 2227292 */ GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2227358), // Rule ID 64871 //
     /* 2227297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227303 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227310 */   // MIs[0] Operand 1
     /* 2227310 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227323 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227335 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227339 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227357 */   // GIR_Coverage, 64871,
     /* 2227357 */   GIR_EraseRootFromParent_Done,
     /* 2227358 */ // Label 29729: @2227358
     /* 2227358 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2227427), // Rule ID 64877 //
     /* 2227363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227376 */   // MIs[0] Operand 1
     /* 2227376 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227385 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227389 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2227389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227401 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227405 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227416 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227426 */   // GIR_Coverage, 64877,
     /* 2227426 */   GIR_EraseRootFromParent_Done,
     /* 2227427 */ // Label 29730: @2227427
     /* 2227427 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2227469), // Rule ID 64881 //
     /* 2227432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227438 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227445 */   // MIs[0] Operand 1
     /* 2227445 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227454 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227458 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227468 */   // GIR_Coverage, 64881,
     /* 2227468 */   GIR_EraseRootFromParent_Done,
     /* 2227469 */ // Label 29731: @2227469
     /* 2227469 */ GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2227511), // Rule ID 64885 //
     /* 2227474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227480 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227487 */   // MIs[0] Operand 1
     /* 2227487 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227496 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227500 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227505 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227510 */   // GIR_Coverage, 64885,
     /* 2227510 */   GIR_EraseRootFromParent_Done,
     /* 2227511 */ // Label 29732: @2227511
     /* 2227511 */ GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2227577), // Rule ID 64889 //
     /* 2227516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227529 */   // MIs[0] Operand 1
     /* 2227529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227542 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227554 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227558 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227562 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227569 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227576 */   // GIR_Coverage, 64889,
     /* 2227576 */   GIR_EraseRootFromParent_Done,
     /* 2227577 */ // Label 29733: @2227577
     /* 2227577 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2227643), // Rule ID 64893 //
     /* 2227582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227595 */   // MIs[0] Operand 1
     /* 2227595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227608 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227608 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227611 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227615 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227620 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227624 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227628 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227635 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227642 */   // GIR_Coverage, 64893,
     /* 2227642 */   GIR_EraseRootFromParent_Done,
     /* 2227643 */ // Label 29734: @2227643
     /* 2227643 */ GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2227709), // Rule ID 64897 //
     /* 2227648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227654 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227661 */   // MIs[0] Operand 1
     /* 2227661 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227674 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227674 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227677 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227681 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227686 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227690 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227708 */   // GIR_Coverage, 64897,
     /* 2227708 */   GIR_EraseRootFromParent_Done,
     /* 2227709 */ // Label 29735: @2227709
     /* 2227709 */ GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2227775), // Rule ID 64901 //
     /* 2227714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227720 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227727 */   // MIs[0] Operand 1
     /* 2227727 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227736 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227740 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227740 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227743 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227747 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227752 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227756 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227760 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227767 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227774 */   // GIR_Coverage, 64901,
     /* 2227774 */   GIR_EraseRootFromParent_Done,
     /* 2227775 */ // Label 29736: @2227775
     /* 2227775 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2227841), // Rule ID 64907 //
     /* 2227780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227793 */   // MIs[0] Operand 1
     /* 2227793 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227802 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227806 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227818 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227822 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227826 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227833 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227840 */   // GIR_Coverage, 64907,
     /* 2227840 */   GIR_EraseRootFromParent_Done,
     /* 2227841 */ // Label 29737: @2227841
     /* 2227841 */ GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2227910), // Rule ID 64913 //
     /* 2227846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227859 */   // MIs[0] Operand 1
     /* 2227859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227868 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227872 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2227872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227884 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227888 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227899 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227905 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227909 */   // GIR_Coverage, 64913,
     /* 2227909 */   GIR_EraseRootFromParent_Done,
     /* 2227910 */ // Label 29738: @2227910
     /* 2227910 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2227952), // Rule ID 64917 //
     /* 2227915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227928 */   // MIs[0] Operand 1
     /* 2227928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227941 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227951 */   // GIR_Coverage, 64917,
     /* 2227951 */   GIR_EraseRootFromParent_Done,
     /* 2227952 */ // Label 29739: @2227952
     /* 2227952 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2227994), // Rule ID 64921 //
     /* 2227957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227970 */   // MIs[0] Operand 1
     /* 2227970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227983 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227990 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227993 */   // GIR_Coverage, 64921,
     /* 2227993 */   GIR_EraseRootFromParent_Done,
     /* 2227994 */ // Label 29740: @2227994
     /* 2227994 */ GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2228060), // Rule ID 64925 //
     /* 2227999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2228002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228012 */   // MIs[0] Operand 1
     /* 2228012 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228021 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228025 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2228025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228037 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228041 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228059 */   // GIR_Coverage, 64925,
     /* 2228059 */   GIR_EraseRootFromParent_Done,
     /* 2228060 */ // Label 29741: @2228060
     /* 2228060 */ GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2228126), // Rule ID 64929 //
     /* 2228065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2228068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228071 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228078 */   // MIs[0] Operand 1
     /* 2228078 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2228083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228087 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228091 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2228091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228103 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228107 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228125 */   // GIR_Coverage, 64929,
     /* 2228125 */   GIR_EraseRootFromParent_Done,
     /* 2228126 */ // Label 29742: @2228126
     /* 2228126 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2228192), // Rule ID 64933 //
     /* 2228131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2228134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228144 */   // MIs[0] Operand 1
     /* 2228144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228157 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2228157 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228164 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228169 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228173 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228191 */   // GIR_Coverage, 64933,
     /* 2228191 */   GIR_EraseRootFromParent_Done,
     /* 2228192 */ // Label 29743: @2228192
     /* 2228192 */ GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2228258), // Rule ID 64937 //
     /* 2228197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2228200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228203 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228210 */   // MIs[0] Operand 1
     /* 2228210 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2228215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228219 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228223 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2228223 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228226 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228230 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228235 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228239 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228257 */   // GIR_Coverage, 64937,
     /* 2228257 */   GIR_EraseRootFromParent_Done,
     /* 2228258 */ // Label 29744: @2228258
     /* 2228258 */ GIM_Reject,
     /* 2228259 */ // Label 29689: @2228259
     /* 2228259 */ GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2228302), // Rule ID 158 //
     /* 2228264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228277 */   // MIs[0] Operand 1
     /* 2228277 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228286 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2228290 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2228290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228295 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228301 */   // GIR_Coverage, 158,
     /* 2228301 */   GIR_EraseRootFromParent_Done,
     /* 2228302 */ // Label 29745: @2228302
     /* 2228302 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2228345), // Rule ID 64866 //
     /* 2228307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228320 */   // MIs[0] Operand 1
     /* 2228320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228329 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228333 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2228333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228344 */   // GIR_Coverage, 64866,
     /* 2228344 */   GIR_EraseRootFromParent_Done,
     /* 2228345 */ // Label 29746: @2228345
     /* 2228345 */ GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2228391), // Rule ID 64872 //
     /* 2228350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228363 */   // MIs[0] Operand 1
     /* 2228363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228372 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228376 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2228376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228381 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228390 */   // GIR_Coverage, 64872,
     /* 2228390 */   GIR_EraseRootFromParent_Done,
     /* 2228391 */ // Label 29747: @2228391
     /* 2228391 */ GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2228434), // Rule ID 64902 //
     /* 2228396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228409 */   // MIs[0] Operand 1
     /* 2228409 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228418 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228422 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2228422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228433 */   // GIR_Coverage, 64902,
     /* 2228433 */   GIR_EraseRootFromParent_Done,
     /* 2228434 */ // Label 29748: @2228434
     /* 2228434 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2228480), // Rule ID 64908 //
     /* 2228439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228452 */   // MIs[0] Operand 1
     /* 2228452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228461 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228465 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2228465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228470 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228479 */   // GIR_Coverage, 64908,
     /* 2228479 */   GIR_EraseRootFromParent_Done,
     /* 2228480 */ // Label 29749: @2228480
     /* 2228480 */ GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2228533), // Rule ID 148 //
     /* 2228485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228498 */   // MIs[0] Operand 1
     /* 2228498 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228507 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228511 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228515 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228519 */   // MIs[1] Operand 1
     /* 2228519 */   // No operand predicates
     /* 2228519 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228521 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228528 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228532 */   // GIR_Coverage, 148,
     /* 2228532 */   GIR_EraseRootFromParent_Done,
     /* 2228533 */ // Label 29750: @2228533
     /* 2228533 */ GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2228586), // Rule ID 152 //
     /* 2228538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228551 */   // MIs[0] Operand 1
     /* 2228551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228560 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228568 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228572 */   // MIs[1] Operand 1
     /* 2228572 */   // No operand predicates
     /* 2228572 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228574 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228581 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228585 */   // GIR_Coverage, 152,
     /* 2228585 */   GIR_EraseRootFromParent_Done,
     /* 2228586 */ // Label 29751: @2228586
     /* 2228586 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2228639), // Rule ID 64858 //
     /* 2228591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228604 */   // MIs[0] Operand 1
     /* 2228604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228613 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228617 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228621 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228625 */   // MIs[1] Operand 1
     /* 2228625 */   // No operand predicates
     /* 2228625 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228627 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228632 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228634 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228638 */   // GIR_Coverage, 64858,
     /* 2228638 */   GIR_EraseRootFromParent_Done,
     /* 2228639 */ // Label 29752: @2228639
     /* 2228639 */ GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2228692), // Rule ID 64862 //
     /* 2228644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228657 */   // MIs[0] Operand 1
     /* 2228657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228666 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228670 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228674 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228678 */   // MIs[1] Operand 1
     /* 2228678 */   // No operand predicates
     /* 2228678 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228680 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228685 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228687 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228691 */   // GIR_Coverage, 64862,
     /* 2228691 */   GIR_EraseRootFromParent_Done,
     /* 2228692 */ // Label 29753: @2228692
     /* 2228692 */ GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2228769), // Rule ID 64868 //
     /* 2228697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228710 */   // MIs[0] Operand 1
     /* 2228710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228719 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228723 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228727 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228731 */   // MIs[1] Operand 1
     /* 2228731 */   // No operand predicates
     /* 2228731 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228733 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2228733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228745 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228749 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228754 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228761 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228768 */   // GIR_Coverage, 64868,
     /* 2228768 */   GIR_EraseRootFromParent_Done,
     /* 2228769 */ // Label 29754: @2228769
     /* 2228769 */ GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2228849), // Rule ID 64874 //
     /* 2228774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228787 */   // MIs[0] Operand 1
     /* 2228787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228796 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228800 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228804 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228808 */   // MIs[1] Operand 1
     /* 2228808 */   // No operand predicates
     /* 2228808 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228810 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2228810 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228813 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228817 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228822 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228826 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228838 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228848 */   // GIR_Coverage, 64874,
     /* 2228848 */   GIR_EraseRootFromParent_Done,
     /* 2228849 */ // Label 29755: @2228849
     /* 2228849 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2228926), // Rule ID 64878 //
     /* 2228854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228867 */   // MIs[0] Operand 1
     /* 2228867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2228872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228876 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228880 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228884 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2228888 */   // MIs[1] Operand 1
     /* 2228888 */   // No operand predicates
     /* 2228888 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228890 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2228890 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228893 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228897 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228902 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228906 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228925 */   // GIR_Coverage, 64878,
     /* 2228925 */   GIR_EraseRootFromParent_Done,
     /* 2228926 */ // Label 29756: @2228926
     /* 2228926 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2229003), // Rule ID 64882 //
     /* 2228931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228944 */   // MIs[0] Operand 1
     /* 2228944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2228949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228953 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228957 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228961 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2228965 */   // MIs[1] Operand 1
     /* 2228965 */   // No operand predicates
     /* 2228965 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228967 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2228967 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228970 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228974 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228979 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228983 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229002 */   // GIR_Coverage, 64882,
     /* 2229002 */   GIR_EraseRootFromParent_Done,
     /* 2229003 */ // Label 29757: @2229003
     /* 2229003 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2229078), // Rule ID 64886 //
     /* 2229008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229021 */   // MIs[0] Operand 1
     /* 2229021 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229030 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229034 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229038 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229042 */   // MIs[1] Operand 1
     /* 2229042 */   // No operand predicates
     /* 2229042 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229044 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229044 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229047 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229051 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229056 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229060 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229063 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229070 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229077 */   // GIR_Coverage, 64886,
     /* 2229077 */   GIR_EraseRootFromParent_Done,
     /* 2229078 */ // Label 29758: @2229078
     /* 2229078 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2229153), // Rule ID 64890 //
     /* 2229083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229096 */   // MIs[0] Operand 1
     /* 2229096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229105 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229109 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229113 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229117 */   // MIs[1] Operand 1
     /* 2229117 */   // No operand predicates
     /* 2229117 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229119 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229131 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229135 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229138 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229145 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229152 */   // GIR_Coverage, 64890,
     /* 2229152 */   GIR_EraseRootFromParent_Done,
     /* 2229153 */ // Label 29759: @2229153
     /* 2229153 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2229208), // Rule ID 64894 //
     /* 2229158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229171 */   // MIs[0] Operand 1
     /* 2229171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229180 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229184 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229188 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229192 */   // MIs[1] Operand 1
     /* 2229192 */   // No operand predicates
     /* 2229192 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229194 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2229194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229201 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229207 */   // GIR_Coverage, 64894,
     /* 2229207 */   GIR_EraseRootFromParent_Done,
     /* 2229208 */ // Label 29760: @2229208
     /* 2229208 */ GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2229263), // Rule ID 64898 //
     /* 2229213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229226 */   // MIs[0] Operand 1
     /* 2229226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229235 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229239 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229243 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229247 */   // MIs[1] Operand 1
     /* 2229247 */   // No operand predicates
     /* 2229247 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229249 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2229249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229256 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229262 */   // GIR_Coverage, 64898,
     /* 2229262 */   GIR_EraseRootFromParent_Done,
     /* 2229263 */ // Label 29761: @2229263
     /* 2229263 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2229340), // Rule ID 64904 //
     /* 2229268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229281 */   // MIs[0] Operand 1
     /* 2229281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229290 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229294 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229298 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2229302 */   // MIs[1] Operand 1
     /* 2229302 */   // No operand predicates
     /* 2229302 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229304 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2229304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2229311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229316 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229320 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2229325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229339 */   // GIR_Coverage, 64904,
     /* 2229339 */   GIR_EraseRootFromParent_Done,
     /* 2229340 */ // Label 29762: @2229340
     /* 2229340 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2229420), // Rule ID 64910 //
     /* 2229345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229351 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229358 */   // MIs[0] Operand 1
     /* 2229358 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229367 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229371 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229375 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2229379 */   // MIs[1] Operand 1
     /* 2229379 */   // No operand predicates
     /* 2229379 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229381 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2229381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2229388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229393 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229397 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2229402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229409 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229415 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229419 */   // GIR_Coverage, 64910,
     /* 2229419 */   GIR_EraseRootFromParent_Done,
     /* 2229420 */ // Label 29763: @2229420
     /* 2229420 */ GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2229497), // Rule ID 64914 //
     /* 2229425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229438 */   // MIs[0] Operand 1
     /* 2229438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2229443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229447 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229451 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229455 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229459 */   // MIs[1] Operand 1
     /* 2229459 */   // No operand predicates
     /* 2229459 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229461 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2229461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229473 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229477 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229496 */   // GIR_Coverage, 64914,
     /* 2229496 */   GIR_EraseRootFromParent_Done,
     /* 2229497 */ // Label 29764: @2229497
     /* 2229497 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2229574), // Rule ID 64918 //
     /* 2229502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229515 */   // MIs[0] Operand 1
     /* 2229515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229524 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229528 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229532 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229536 */   // MIs[1] Operand 1
     /* 2229536 */   // No operand predicates
     /* 2229536 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229538 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2229538 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229541 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229545 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229550 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229554 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229559 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229573 */   // GIR_Coverage, 64918,
     /* 2229573 */   GIR_EraseRootFromParent_Done,
     /* 2229574 */ // Label 29765: @2229574
     /* 2229574 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2229649), // Rule ID 64922 //
     /* 2229579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229592 */   // MIs[0] Operand 1
     /* 2229592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229601 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229605 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229609 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229613 */   // MIs[1] Operand 1
     /* 2229613 */   // No operand predicates
     /* 2229613 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229615 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229627 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229631 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229634 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229641 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229648 */   // GIR_Coverage, 64922,
     /* 2229648 */   GIR_EraseRootFromParent_Done,
     /* 2229649 */ // Label 29766: @2229649
     /* 2229649 */ GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2229724), // Rule ID 64926 //
     /* 2229654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229667 */   // MIs[0] Operand 1
     /* 2229667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229684 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229688 */   // MIs[1] Operand 1
     /* 2229688 */   // No operand predicates
     /* 2229688 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229690 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229702 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229706 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229723 */   // GIR_Coverage, 64926,
     /* 2229723 */   GIR_EraseRootFromParent_Done,
     /* 2229724 */ // Label 29767: @2229724
     /* 2229724 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2229779), // Rule ID 64930 //
     /* 2229729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229735 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229742 */   // MIs[0] Operand 1
     /* 2229742 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229751 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229755 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229759 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229763 */   // MIs[1] Operand 1
     /* 2229763 */   // No operand predicates
     /* 2229763 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229765 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2229765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229770 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229772 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229778 */   // GIR_Coverage, 64930,
     /* 2229778 */   GIR_EraseRootFromParent_Done,
     /* 2229779 */ // Label 29768: @2229779
     /* 2229779 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2229834), // Rule ID 64934 //
     /* 2229784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229797 */   // MIs[0] Operand 1
     /* 2229797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229806 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229810 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229814 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229818 */   // MIs[1] Operand 1
     /* 2229818 */   // No operand predicates
     /* 2229818 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229820 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2229820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229825 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229827 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229833 */   // GIR_Coverage, 64934,
     /* 2229833 */   GIR_EraseRootFromParent_Done,
     /* 2229834 */ // Label 29769: @2229834
     /* 2229834 */ GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2229876), // Rule ID 64370 //
     /* 2229839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229852 */   // MIs[0] Operand 1
     /* 2229852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229865 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2229868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229875 */   // GIR_Coverage, 64370,
     /* 2229875 */   GIR_EraseRootFromParent_Done,
     /* 2229876 */ // Label 29770: @2229876
     /* 2229876 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2229918), // Rule ID 64372 //
     /* 2229881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229894 */   // MIs[0] Operand 1
     /* 2229894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229907 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2229910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229917 */   // GIR_Coverage, 64372,
     /* 2229917 */   GIR_EraseRootFromParent_Done,
     /* 2229918 */ // Label 29771: @2229918
     /* 2229918 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2229960), // Rule ID 146 //
     /* 2229923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229936 */   // MIs[0] Operand 1
     /* 2229936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229949 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229959 */   // GIR_Coverage, 146,
     /* 2229959 */   GIR_EraseRootFromParent_Done,
     /* 2229960 */ // Label 29772: @2229960
     /* 2229960 */ GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2230002), // Rule ID 150 //
     /* 2229965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229978 */   // MIs[0] Operand 1
     /* 2229978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229991 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230001 */   // GIR_Coverage, 150,
     /* 2230001 */   GIR_EraseRootFromParent_Done,
     /* 2230002 */ // Label 29773: @2230002
     /* 2230002 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2230044), // Rule ID 64860 //
     /* 2230007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230020 */   // MIs[0] Operand 1
     /* 2230020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230033 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2230033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230043 */   // GIR_Coverage, 64860,
     /* 2230043 */   GIR_EraseRootFromParent_Done,
     /* 2230044 */ // Label 29774: @2230044
     /* 2230044 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2230086), // Rule ID 64864 //
     /* 2230049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230062 */   // MIs[0] Operand 1
     /* 2230062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230075 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2230075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230085 */   // GIR_Coverage, 64864,
     /* 2230085 */   GIR_EraseRootFromParent_Done,
     /* 2230086 */ // Label 29775: @2230086
     /* 2230086 */ GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2230152), // Rule ID 64870 //
     /* 2230091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230104 */   // MIs[0] Operand 1
     /* 2230104 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230113 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230117 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230129 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230133 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230151 */   // GIR_Coverage, 64870,
     /* 2230151 */   GIR_EraseRootFromParent_Done,
     /* 2230152 */ // Label 29776: @2230152
     /* 2230152 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2230221), // Rule ID 64876 //
     /* 2230157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230170 */   // MIs[0] Operand 1
     /* 2230170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230183 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2230183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230195 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230199 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230210 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230220 */   // GIR_Coverage, 64876,
     /* 2230220 */   GIR_EraseRootFromParent_Done,
     /* 2230221 */ // Label 29777: @2230221
     /* 2230221 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2230263), // Rule ID 64880 //
     /* 2230226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230239 */   // MIs[0] Operand 1
     /* 2230239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230248 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230252 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230257 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230262 */   // GIR_Coverage, 64880,
     /* 2230262 */   GIR_EraseRootFromParent_Done,
     /* 2230263 */ // Label 29778: @2230263
     /* 2230263 */ GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2230305), // Rule ID 64884 //
     /* 2230268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230281 */   // MIs[0] Operand 1
     /* 2230281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230294 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230299 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230301 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230304 */   // GIR_Coverage, 64884,
     /* 2230304 */   GIR_EraseRootFromParent_Done,
     /* 2230305 */ // Label 29779: @2230305
     /* 2230305 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2230371), // Rule ID 64888 //
     /* 2230310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230323 */   // MIs[0] Operand 1
     /* 2230323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230336 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230336 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230343 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230348 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230352 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230370 */   // GIR_Coverage, 64888,
     /* 2230370 */   GIR_EraseRootFromParent_Done,
     /* 2230371 */ // Label 29780: @2230371
     /* 2230371 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2230437), // Rule ID 64892 //
     /* 2230376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230389 */   // MIs[0] Operand 1
     /* 2230389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230402 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230414 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230418 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230422 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230429 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230436 */   // GIR_Coverage, 64892,
     /* 2230436 */   GIR_EraseRootFromParent_Done,
     /* 2230437 */ // Label 29781: @2230437
     /* 2230437 */ GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2230503), // Rule ID 64896 //
     /* 2230442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230455 */   // MIs[0] Operand 1
     /* 2230455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230468 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230468 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230471 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230475 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230480 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230484 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230488 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230495 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230502 */   // GIR_Coverage, 64896,
     /* 2230502 */   GIR_EraseRootFromParent_Done,
     /* 2230503 */ // Label 29782: @2230503
     /* 2230503 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2230569), // Rule ID 64900 //
     /* 2230508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230521 */   // MIs[0] Operand 1
     /* 2230521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230534 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230546 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230550 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230554 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230561 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230568 */   // GIR_Coverage, 64900,
     /* 2230568 */   GIR_EraseRootFromParent_Done,
     /* 2230569 */ // Label 29783: @2230569
     /* 2230569 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2230635), // Rule ID 64906 //
     /* 2230574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230587 */   // MIs[0] Operand 1
     /* 2230587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230600 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230612 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230616 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230634 */   // GIR_Coverage, 64906,
     /* 2230634 */   GIR_EraseRootFromParent_Done,
     /* 2230635 */ // Label 29784: @2230635
     /* 2230635 */ GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2230704), // Rule ID 64912 //
     /* 2230640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230653 */   // MIs[0] Operand 1
     /* 2230653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230666 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2230666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230678 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230682 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230693 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230703 */   // GIR_Coverage, 64912,
     /* 2230703 */   GIR_EraseRootFromParent_Done,
     /* 2230704 */ // Label 29785: @2230704
     /* 2230704 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2230746), // Rule ID 64916 //
     /* 2230709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230722 */   // MIs[0] Operand 1
     /* 2230722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230735 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230740 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230742 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230745 */   // GIR_Coverage, 64916,
     /* 2230745 */   GIR_EraseRootFromParent_Done,
     /* 2230746 */ // Label 29786: @2230746
     /* 2230746 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2230788), // Rule ID 64920 //
     /* 2230751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230764 */   // MIs[0] Operand 1
     /* 2230764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230777 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230782 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230784 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230787 */   // GIR_Coverage, 64920,
     /* 2230787 */   GIR_EraseRootFromParent_Done,
     /* 2230788 */ // Label 29787: @2230788
     /* 2230788 */ GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2230854), // Rule ID 64924 //
     /* 2230793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230806 */   // MIs[0] Operand 1
     /* 2230806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230819 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230831 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230835 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230839 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230846 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230853 */   // GIR_Coverage, 64924,
     /* 2230853 */   GIR_EraseRootFromParent_Done,
     /* 2230854 */ // Label 29788: @2230854
     /* 2230854 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2230920), // Rule ID 64928 //
     /* 2230859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230872 */   // MIs[0] Operand 1
     /* 2230872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230885 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230885 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230888 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230892 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230897 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230901 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230919 */   // GIR_Coverage, 64928,
     /* 2230919 */   GIR_EraseRootFromParent_Done,
     /* 2230920 */ // Label 29789: @2230920
     /* 2230920 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2230986), // Rule ID 64932 //
     /* 2230925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230938 */   // MIs[0] Operand 1
     /* 2230938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230951 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230963 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230967 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230971 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230985 */   // GIR_Coverage, 64932,
     /* 2230985 */   GIR_EraseRootFromParent_Done,
     /* 2230986 */ // Label 29790: @2230986
     /* 2230986 */ GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2231052), // Rule ID 64936 //
     /* 2230991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2231000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231004 */   // MIs[0] Operand 1
     /* 2231004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231017 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2231017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2231024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231029 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231033 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2231042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231051 */   // GIR_Coverage, 64936,
     /* 2231051 */   GIR_EraseRootFromParent_Done,
     /* 2231052 */ // Label 29791: @2231052
     /* 2231052 */ GIM_Reject,
     /* 2231053 */ // Label 29690: @2231053
     /* 2231053 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2231101), // Rule ID 45656 //
     /* 2231058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231071 */   // MIs[0] Operand 1
     /* 2231071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231084 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2231087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231089 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231100 */   // GIR_Coverage, 45656,
     /* 2231100 */   GIR_EraseRootFromParent_Done,
     /* 2231101 */ // Label 29792: @2231101
     /* 2231101 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2231149), // Rule ID 45657 //
     /* 2231106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231119 */   // MIs[0] Operand 1
     /* 2231119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231132 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2231135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231137 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231148 */   // GIR_Coverage, 45657,
     /* 2231148 */   GIR_EraseRootFromParent_Done,
     /* 2231149 */ // Label 29793: @2231149
     /* 2231149 */ GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2231197), // Rule ID 45658 //
     /* 2231154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231167 */   // MIs[0] Operand 1
     /* 2231167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231180 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231185 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231187 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231196 */   // GIR_Coverage, 45658,
     /* 2231196 */   GIR_EraseRootFromParent_Done,
     /* 2231197 */ // Label 29794: @2231197
     /* 2231197 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2231245), // Rule ID 45659 //
     /* 2231202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231215 */   // MIs[0] Operand 1
     /* 2231215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231228 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231233 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231235 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231244 */   // GIR_Coverage, 45659,
     /* 2231244 */   GIR_EraseRootFromParent_Done,
     /* 2231245 */ // Label 29795: @2231245
     /* 2231245 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2231293), // Rule ID 48366 //
     /* 2231250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231263 */   // MIs[0] Operand 1
     /* 2231263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231276 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2231279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231292 */   // GIR_Coverage, 48366,
     /* 2231292 */   GIR_EraseRootFromParent_Done,
     /* 2231293 */ // Label 29796: @2231293
     /* 2231293 */ GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2231341), // Rule ID 48367 //
     /* 2231298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231311 */   // MIs[0] Operand 1
     /* 2231311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231324 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2231327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231340 */   // GIR_Coverage, 48367,
     /* 2231340 */   GIR_EraseRootFromParent_Done,
     /* 2231341 */ // Label 29797: @2231341
     /* 2231341 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2231389), // Rule ID 48370 //
     /* 2231346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231359 */   // MIs[0] Operand 1
     /* 2231359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231372 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2231375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231388 */   // GIR_Coverage, 48370,
     /* 2231388 */   GIR_EraseRootFromParent_Done,
     /* 2231389 */ // Label 29798: @2231389
     /* 2231389 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2231437), // Rule ID 48371 //
     /* 2231394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231407 */   // MIs[0] Operand 1
     /* 2231407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231420 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2231423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231427 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231436 */   // GIR_Coverage, 48371,
     /* 2231436 */   GIR_EraseRootFromParent_Done,
     /* 2231437 */ // Label 29799: @2231437
     /* 2231437 */ GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2231485), // Rule ID 48378 //
     /* 2231442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231455 */   // MIs[0] Operand 1
     /* 2231455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231468 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231475 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231484 */   // GIR_Coverage, 48378,
     /* 2231484 */   GIR_EraseRootFromParent_Done,
     /* 2231485 */ // Label 29800: @2231485
     /* 2231485 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2231533), // Rule ID 48379 //
     /* 2231490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231503 */   // MIs[0] Operand 1
     /* 2231503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231516 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231523 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231532 */   // GIR_Coverage, 48379,
     /* 2231532 */   GIR_EraseRootFromParent_Done,
     /* 2231533 */ // Label 29801: @2231533
     /* 2231533 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2231581), // Rule ID 48404 //
     /* 2231538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231551 */   // MIs[0] Operand 1
     /* 2231551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231564 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231580 */   // GIR_Coverage, 48404,
     /* 2231580 */   GIR_EraseRootFromParent_Done,
     /* 2231581 */ // Label 29802: @2231581
     /* 2231581 */ GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2231629), // Rule ID 48405 //
     /* 2231586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231599 */   // MIs[0] Operand 1
     /* 2231599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231612 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231628 */   // GIR_Coverage, 48405,
     /* 2231628 */   GIR_EraseRootFromParent_Done,
     /* 2231629 */ // Label 29803: @2231629
     /* 2231629 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2231677), // Rule ID 48410 //
     /* 2231634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231647 */   // MIs[0] Operand 1
     /* 2231647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231660 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231665 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231676 */   // GIR_Coverage, 48410,
     /* 2231676 */   GIR_EraseRootFromParent_Done,
     /* 2231677 */ // Label 29804: @2231677
     /* 2231677 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2231725), // Rule ID 48411 //
     /* 2231682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231695 */   // MIs[0] Operand 1
     /* 2231695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231708 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231713 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231724 */   // GIR_Coverage, 48411,
     /* 2231724 */   GIR_EraseRootFromParent_Done,
     /* 2231725 */ // Label 29805: @2231725
     /* 2231725 */ GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2231773), // Rule ID 48414 //
     /* 2231730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231743 */   // MIs[0] Operand 1
     /* 2231743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231756 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231772 */   // GIR_Coverage, 48414,
     /* 2231772 */   GIR_EraseRootFromParent_Done,
     /* 2231773 */ // Label 29806: @2231773
     /* 2231773 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2231821), // Rule ID 48415 //
     /* 2231778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231791 */   // MIs[0] Operand 1
     /* 2231791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231804 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231820 */   // GIR_Coverage, 48415,
     /* 2231820 */   GIR_EraseRootFromParent_Done,
     /* 2231821 */ // Label 29807: @2231821
     /* 2231821 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2231869), // Rule ID 48422 //
     /* 2231826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231839 */   // MIs[0] Operand 1
     /* 2231839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231852 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231868 */   // GIR_Coverage, 48422,
     /* 2231868 */   GIR_EraseRootFromParent_Done,
     /* 2231869 */ // Label 29808: @2231869
     /* 2231869 */ GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2231917), // Rule ID 48423 //
     /* 2231874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231887 */   // MIs[0] Operand 1
     /* 2231887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231900 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231916 */   // GIR_Coverage, 48423,
     /* 2231916 */   GIR_EraseRootFromParent_Done,
     /* 2231917 */ // Label 29809: @2231917
     /* 2231917 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2231965), // Rule ID 48448 //
     /* 2231922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231935 */   // MIs[0] Operand 1
     /* 2231935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231948 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231964 */   // GIR_Coverage, 48448,
     /* 2231964 */   GIR_EraseRootFromParent_Done,
     /* 2231965 */ // Label 29810: @2231965
     /* 2231965 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2232013), // Rule ID 48449 //
     /* 2231970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231983 */   // MIs[0] Operand 1
     /* 2231983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231996 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232012 */   // GIR_Coverage, 48449,
     /* 2232012 */   GIR_EraseRootFromParent_Done,
     /* 2232013 */ // Label 29811: @2232013
     /* 2232013 */ GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2232061), // Rule ID 48454 //
     /* 2232018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232031 */   // MIs[0] Operand 1
     /* 2232031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232044 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232060 */   // GIR_Coverage, 48454,
     /* 2232060 */   GIR_EraseRootFromParent_Done,
     /* 2232061 */ // Label 29812: @2232061
     /* 2232061 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2232109), // Rule ID 48455 //
     /* 2232066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232072 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232079 */   // MIs[0] Operand 1
     /* 2232079 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232092 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232099 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232108 */   // GIR_Coverage, 48455,
     /* 2232108 */   GIR_EraseRootFromParent_Done,
     /* 2232109 */ // Label 29813: @2232109
     /* 2232109 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2232157), // Rule ID 48458 //
     /* 2232114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232127 */   // MIs[0] Operand 1
     /* 2232127 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232140 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232145 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232147 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232156 */   // GIR_Coverage, 48458,
     /* 2232156 */   GIR_EraseRootFromParent_Done,
     /* 2232157 */ // Label 29814: @2232157
     /* 2232157 */ GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2232205), // Rule ID 48459 //
     /* 2232162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232175 */   // MIs[0] Operand 1
     /* 2232175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232188 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232193 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232195 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232204 */   // GIR_Coverage, 48459,
     /* 2232204 */   GIR_EraseRootFromParent_Done,
     /* 2232205 */ // Label 29815: @2232205
     /* 2232205 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2232253), // Rule ID 48466 //
     /* 2232210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232223 */   // MIs[0] Operand 1
     /* 2232223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232236 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232243 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232252 */   // GIR_Coverage, 48466,
     /* 2232252 */   GIR_EraseRootFromParent_Done,
     /* 2232253 */ // Label 29816: @2232253
     /* 2232253 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2232301), // Rule ID 48467 //
     /* 2232258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232271 */   // MIs[0] Operand 1
     /* 2232271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232284 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232289 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232291 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232300 */   // GIR_Coverage, 48467,
     /* 2232300 */   GIR_EraseRootFromParent_Done,
     /* 2232301 */ // Label 29817: @2232301
     /* 2232301 */ GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2232349), // Rule ID 48496 //
     /* 2232306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232319 */   // MIs[0] Operand 1
     /* 2232319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232328 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232332 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232337 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232348 */   // GIR_Coverage, 48496,
     /* 2232348 */   GIR_EraseRootFromParent_Done,
     /* 2232349 */ // Label 29818: @2232349
     /* 2232349 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2232397), // Rule ID 48497 //
     /* 2232354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232367 */   // MIs[0] Operand 1
     /* 2232367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232380 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232385 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232396 */   // GIR_Coverage, 48497,
     /* 2232396 */   GIR_EraseRootFromParent_Done,
     /* 2232397 */ // Label 29819: @2232397
     /* 2232397 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2232445), // Rule ID 48500 //
     /* 2232402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232408 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232415 */   // MIs[0] Operand 1
     /* 2232415 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232424 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232428 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232444 */   // GIR_Coverage, 48500,
     /* 2232444 */   GIR_EraseRootFromParent_Done,
     /* 2232445 */ // Label 29820: @2232445
     /* 2232445 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2232493), // Rule ID 48501 //
     /* 2232450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232456 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232463 */   // MIs[0] Operand 1
     /* 2232463 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232472 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232476 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232492 */   // GIR_Coverage, 48501,
     /* 2232492 */   GIR_EraseRootFromParent_Done,
     /* 2232493 */ // Label 29821: @2232493
     /* 2232493 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2232541), // Rule ID 48508 //
     /* 2232498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232511 */   // MIs[0] Operand 1
     /* 2232511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232524 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232529 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232540 */   // GIR_Coverage, 48508,
     /* 2232540 */   GIR_EraseRootFromParent_Done,
     /* 2232541 */ // Label 29822: @2232541
     /* 2232541 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2232589), // Rule ID 48509 //
     /* 2232546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232559 */   // MIs[0] Operand 1
     /* 2232559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232572 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232588 */   // GIR_Coverage, 48509,
     /* 2232588 */   GIR_EraseRootFromParent_Done,
     /* 2232589 */ // Label 29823: @2232589
     /* 2232589 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2232637), // Rule ID 48534 //
     /* 2232594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232600 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232607 */   // MIs[0] Operand 1
     /* 2232607 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232616 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232620 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232625 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232627 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232636 */   // GIR_Coverage, 48534,
     /* 2232636 */   GIR_EraseRootFromParent_Done,
     /* 2232637 */ // Label 29824: @2232637
     /* 2232637 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2232685), // Rule ID 48535 //
     /* 2232642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232648 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232655 */   // MIs[0] Operand 1
     /* 2232655 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232664 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232668 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232673 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232675 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232684 */   // GIR_Coverage, 48535,
     /* 2232684 */   GIR_EraseRootFromParent_Done,
     /* 2232685 */ // Label 29825: @2232685
     /* 2232685 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2232733), // Rule ID 48540 //
     /* 2232690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232703 */   // MIs[0] Operand 1
     /* 2232703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232716 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232721 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232723 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232732 */   // GIR_Coverage, 48540,
     /* 2232732 */   GIR_EraseRootFromParent_Done,
     /* 2232733 */ // Label 29826: @2232733
     /* 2232733 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2232781), // Rule ID 48541 //
     /* 2232738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232744 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232751 */   // MIs[0] Operand 1
     /* 2232751 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232760 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232764 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232769 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232771 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232780 */   // GIR_Coverage, 48541,
     /* 2232780 */   GIR_EraseRootFromParent_Done,
     /* 2232781 */ // Label 29827: @2232781
     /* 2232781 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2232829), // Rule ID 48544 //
     /* 2232786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232792 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232799 */   // MIs[0] Operand 1
     /* 2232799 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232808 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232812 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232817 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232819 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232828 */   // GIR_Coverage, 48544,
     /* 2232828 */   GIR_EraseRootFromParent_Done,
     /* 2232829 */ // Label 29828: @2232829
     /* 2232829 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2232877), // Rule ID 48545 //
     /* 2232834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232847 */   // MIs[0] Operand 1
     /* 2232847 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232856 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232860 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232865 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232867 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232876 */   // GIR_Coverage, 48545,
     /* 2232876 */   GIR_EraseRootFromParent_Done,
     /* 2232877 */ // Label 29829: @2232877
     /* 2232877 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2232925), // Rule ID 48552 //
     /* 2232882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232895 */   // MIs[0] Operand 1
     /* 2232895 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232904 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232908 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232913 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232915 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232924 */   // GIR_Coverage, 48552,
     /* 2232924 */   GIR_EraseRootFromParent_Done,
     /* 2232925 */ // Label 29830: @2232925
     /* 2232925 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2232973), // Rule ID 48553 //
     /* 2232930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232943 */   // MIs[0] Operand 1
     /* 2232943 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232952 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232956 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232961 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232963 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232972 */   // GIR_Coverage, 48553,
     /* 2232972 */   GIR_EraseRootFromParent_Done,
     /* 2232973 */ // Label 29831: @2232973
     /* 2232973 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2233021), // Rule ID 48578 //
     /* 2232978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232991 */   // MIs[0] Operand 1
     /* 2232991 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233000 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233004 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2233007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233020 */   // GIR_Coverage, 48578,
     /* 2233020 */   GIR_EraseRootFromParent_Done,
     /* 2233021 */ // Label 29832: @2233021
     /* 2233021 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2233069), // Rule ID 48579 //
     /* 2233026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233039 */   // MIs[0] Operand 1
     /* 2233039 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233048 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233052 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2233055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233068 */   // GIR_Coverage, 48579,
     /* 2233068 */   GIR_EraseRootFromParent_Done,
     /* 2233069 */ // Label 29833: @2233069
     /* 2233069 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2233117), // Rule ID 48584 //
     /* 2233074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233087 */   // MIs[0] Operand 1
     /* 2233087 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233096 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233100 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2233103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233116 */   // GIR_Coverage, 48584,
     /* 2233116 */   GIR_EraseRootFromParent_Done,
     /* 2233117 */ // Label 29834: @2233117
     /* 2233117 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2233165), // Rule ID 48585 //
     /* 2233122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233135 */   // MIs[0] Operand 1
     /* 2233135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233148 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2233151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233153 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233164 */   // GIR_Coverage, 48585,
     /* 2233164 */   GIR_EraseRootFromParent_Done,
     /* 2233165 */ // Label 29835: @2233165
     /* 2233165 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2233213), // Rule ID 48588 //
     /* 2233170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233183 */   // MIs[0] Operand 1
     /* 2233183 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233192 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233196 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2233199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233212 */   // GIR_Coverage, 48588,
     /* 2233212 */   GIR_EraseRootFromParent_Done,
     /* 2233213 */ // Label 29836: @2233213
     /* 2233213 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2233261), // Rule ID 48589 //
     /* 2233218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233231 */   // MIs[0] Operand 1
     /* 2233231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233244 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2233247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233260 */   // GIR_Coverage, 48589,
     /* 2233260 */   GIR_EraseRootFromParent_Done,
     /* 2233261 */ // Label 29837: @2233261
     /* 2233261 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2233309), // Rule ID 48596 //
     /* 2233266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233279 */   // MIs[0] Operand 1
     /* 2233279 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233292 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2233295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233297 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233308 */   // GIR_Coverage, 48596,
     /* 2233308 */   GIR_EraseRootFromParent_Done,
     /* 2233309 */ // Label 29838: @2233309
     /* 2233309 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2233357), // Rule ID 48597 //
     /* 2233314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233327 */   // MIs[0] Operand 1
     /* 2233327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233340 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2233343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233356 */   // GIR_Coverage, 48597,
     /* 2233356 */   GIR_EraseRootFromParent_Done,
     /* 2233357 */ // Label 29839: @2233357
     /* 2233357 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2233405), // Rule ID 48622 //
     /* 2233362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233375 */   // MIs[0] Operand 1
     /* 2233375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233388 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233393 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233404 */   // GIR_Coverage, 48622,
     /* 2233404 */   GIR_EraseRootFromParent_Done,
     /* 2233405 */ // Label 29840: @2233405
     /* 2233405 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2233453), // Rule ID 48623 //
     /* 2233410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233423 */   // MIs[0] Operand 1
     /* 2233423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233436 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233452 */   // GIR_Coverage, 48623,
     /* 2233452 */   GIR_EraseRootFromParent_Done,
     /* 2233453 */ // Label 29841: @2233453
     /* 2233453 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2233501), // Rule ID 48628 //
     /* 2233458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233471 */   // MIs[0] Operand 1
     /* 2233471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233484 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233500 */   // GIR_Coverage, 48628,
     /* 2233500 */   GIR_EraseRootFromParent_Done,
     /* 2233501 */ // Label 29842: @2233501
     /* 2233501 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2233549), // Rule ID 48629 //
     /* 2233506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233519 */   // MIs[0] Operand 1
     /* 2233519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233532 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233537 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233539 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233548 */   // GIR_Coverage, 48629,
     /* 2233548 */   GIR_EraseRootFromParent_Done,
     /* 2233549 */ // Label 29843: @2233549
     /* 2233549 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2233597), // Rule ID 48632 //
     /* 2233554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233567 */   // MIs[0] Operand 1
     /* 2233567 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233580 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233587 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233596 */   // GIR_Coverage, 48632,
     /* 2233596 */   GIR_EraseRootFromParent_Done,
     /* 2233597 */ // Label 29844: @2233597
     /* 2233597 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2233645), // Rule ID 48633 //
     /* 2233602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233615 */   // MIs[0] Operand 1
     /* 2233615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233624 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233628 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233635 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233644 */   // GIR_Coverage, 48633,
     /* 2233644 */   GIR_EraseRootFromParent_Done,
     /* 2233645 */ // Label 29845: @2233645
     /* 2233645 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2233693), // Rule ID 48640 //
     /* 2233650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233663 */   // MIs[0] Operand 1
     /* 2233663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233676 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233681 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233683 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233692 */   // GIR_Coverage, 48640,
     /* 2233692 */   GIR_EraseRootFromParent_Done,
     /* 2233693 */ // Label 29846: @2233693
     /* 2233693 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2233741), // Rule ID 48641 //
     /* 2233698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233711 */   // MIs[0] Operand 1
     /* 2233711 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233720 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233724 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233729 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233731 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233740 */   // GIR_Coverage, 48641,
     /* 2233740 */   GIR_EraseRootFromParent_Done,
     /* 2233741 */ // Label 29847: @2233741
     /* 2233741 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2233789), // Rule ID 48666 //
     /* 2233746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233759 */   // MIs[0] Operand 1
     /* 2233759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233772 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233777 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233788 */   // GIR_Coverage, 48666,
     /* 2233788 */   GIR_EraseRootFromParent_Done,
     /* 2233789 */ // Label 29848: @2233789
     /* 2233789 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2233837), // Rule ID 48667 //
     /* 2233794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233807 */   // MIs[0] Operand 1
     /* 2233807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233816 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233820 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233825 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233836 */   // GIR_Coverage, 48667,
     /* 2233836 */   GIR_EraseRootFromParent_Done,
     /* 2233837 */ // Label 29849: @2233837
     /* 2233837 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2233885), // Rule ID 48672 //
     /* 2233842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233855 */   // MIs[0] Operand 1
     /* 2233855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233868 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233873 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233884 */   // GIR_Coverage, 48672,
     /* 2233884 */   GIR_EraseRootFromParent_Done,
     /* 2233885 */ // Label 29850: @2233885
     /* 2233885 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2233933), // Rule ID 48673 //
     /* 2233890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233903 */   // MIs[0] Operand 1
     /* 2233903 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233912 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233916 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233921 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233932 */   // GIR_Coverage, 48673,
     /* 2233932 */   GIR_EraseRootFromParent_Done,
     /* 2233933 */ // Label 29851: @2233933
     /* 2233933 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2233981), // Rule ID 48676 //
     /* 2233938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233951 */   // MIs[0] Operand 1
     /* 2233951 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233960 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233964 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233969 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233980 */   // GIR_Coverage, 48676,
     /* 2233980 */   GIR_EraseRootFromParent_Done,
     /* 2233981 */ // Label 29852: @2233981
     /* 2233981 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2234029), // Rule ID 48677 //
     /* 2233986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233999 */   // MIs[0] Operand 1
     /* 2233999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2234004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234012 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2234015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234017 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234019 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234028 */   // GIR_Coverage, 48677,
     /* 2234028 */   GIR_EraseRootFromParent_Done,
     /* 2234029 */ // Label 29853: @2234029
     /* 2234029 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2234077), // Rule ID 48684 //
     /* 2234034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234040 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234047 */   // MIs[0] Operand 1
     /* 2234047 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2234052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234056 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234060 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2234063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234065 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234076 */   // GIR_Coverage, 48684,
     /* 2234076 */   GIR_EraseRootFromParent_Done,
     /* 2234077 */ // Label 29854: @2234077
     /* 2234077 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2234125), // Rule ID 48685 //
     /* 2234082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234095 */   // MIs[0] Operand 1
     /* 2234095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2234100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234108 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2234111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234113 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234124 */   // GIR_Coverage, 48685,
     /* 2234124 */   GIR_EraseRootFromParent_Done,
     /* 2234125 */ // Label 29855: @2234125
     /* 2234125 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2234173), // Rule ID 48710 //
     /* 2234130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234143 */   // MIs[0] Operand 1
     /* 2234143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234156 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234172 */   // GIR_Coverage, 48710,
     /* 2234172 */   GIR_EraseRootFromParent_Done,
     /* 2234173 */ // Label 29856: @2234173
     /* 2234173 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2234221), // Rule ID 48711 //
     /* 2234178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234191 */   // MIs[0] Operand 1
     /* 2234191 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234200 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234204 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234220 */   // GIR_Coverage, 48711,
     /* 2234220 */   GIR_EraseRootFromParent_Done,
     /* 2234221 */ // Label 29857: @2234221
     /* 2234221 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2234269), // Rule ID 48716 //
     /* 2234226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234239 */   // MIs[0] Operand 1
     /* 2234239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234248 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234252 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234257 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234268 */   // GIR_Coverage, 48716,
     /* 2234268 */   GIR_EraseRootFromParent_Done,
     /* 2234269 */ // Label 29858: @2234269
     /* 2234269 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2234317), // Rule ID 48717 //
     /* 2234274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234287 */   // MIs[0] Operand 1
     /* 2234287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234300 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234305 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234316 */   // GIR_Coverage, 48717,
     /* 2234316 */   GIR_EraseRootFromParent_Done,
     /* 2234317 */ // Label 29859: @2234317
     /* 2234317 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2234365), // Rule ID 48720 //
     /* 2234322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234335 */   // MIs[0] Operand 1
     /* 2234335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234348 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234364 */   // GIR_Coverage, 48720,
     /* 2234364 */   GIR_EraseRootFromParent_Done,
     /* 2234365 */ // Label 29860: @2234365
     /* 2234365 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2234413), // Rule ID 48721 //
     /* 2234370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234383 */   // MIs[0] Operand 1
     /* 2234383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234396 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234412 */   // GIR_Coverage, 48721,
     /* 2234412 */   GIR_EraseRootFromParent_Done,
     /* 2234413 */ // Label 29861: @2234413
     /* 2234413 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2234461), // Rule ID 48728 //
     /* 2234418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234431 */   // MIs[0] Operand 1
     /* 2234431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234444 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234460 */   // GIR_Coverage, 48728,
     /* 2234460 */   GIR_EraseRootFromParent_Done,
     /* 2234461 */ // Label 29862: @2234461
     /* 2234461 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2234509), // Rule ID 48729 //
     /* 2234466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234479 */   // MIs[0] Operand 1
     /* 2234479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234492 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234508 */   // GIR_Coverage, 48729,
     /* 2234508 */   GIR_EraseRootFromParent_Done,
     /* 2234509 */ // Label 29863: @2234509
     /* 2234509 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2234557), // Rule ID 48754 //
     /* 2234514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234527 */   // MIs[0] Operand 1
     /* 2234527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234540 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234556 */   // GIR_Coverage, 48754,
     /* 2234556 */   GIR_EraseRootFromParent_Done,
     /* 2234557 */ // Label 29864: @2234557
     /* 2234557 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2234605), // Rule ID 48755 //
     /* 2234562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234575 */   // MIs[0] Operand 1
     /* 2234575 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234584 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234588 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234593 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234604 */   // GIR_Coverage, 48755,
     /* 2234604 */   GIR_EraseRootFromParent_Done,
     /* 2234605 */ // Label 29865: @2234605
     /* 2234605 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2234653), // Rule ID 48760 //
     /* 2234610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234623 */   // MIs[0] Operand 1
     /* 2234623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234636 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234641 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234652 */   // GIR_Coverage, 48760,
     /* 2234652 */   GIR_EraseRootFromParent_Done,
     /* 2234653 */ // Label 29866: @2234653
     /* 2234653 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2234701), // Rule ID 48761 //
     /* 2234658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234671 */   // MIs[0] Operand 1
     /* 2234671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234684 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234689 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234700 */   // GIR_Coverage, 48761,
     /* 2234700 */   GIR_EraseRootFromParent_Done,
     /* 2234701 */ // Label 29867: @2234701
     /* 2234701 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2234749), // Rule ID 48764 //
     /* 2234706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234719 */   // MIs[0] Operand 1
     /* 2234719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234732 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234748 */   // GIR_Coverage, 48764,
     /* 2234748 */   GIR_EraseRootFromParent_Done,
     /* 2234749 */ // Label 29868: @2234749
     /* 2234749 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2234797), // Rule ID 48765 //
     /* 2234754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234767 */   // MIs[0] Operand 1
     /* 2234767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234780 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234796 */   // GIR_Coverage, 48765,
     /* 2234796 */   GIR_EraseRootFromParent_Done,
     /* 2234797 */ // Label 29869: @2234797
     /* 2234797 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2234845), // Rule ID 48772 //
     /* 2234802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234808 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234815 */   // MIs[0] Operand 1
     /* 2234815 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234824 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234828 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234844 */   // GIR_Coverage, 48772,
     /* 2234844 */   GIR_EraseRootFromParent_Done,
     /* 2234845 */ // Label 29870: @2234845
     /* 2234845 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2234893), // Rule ID 48773 //
     /* 2234850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234863 */   // MIs[0] Operand 1
     /* 2234863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234872 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234876 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234892 */   // GIR_Coverage, 48773,
     /* 2234892 */   GIR_EraseRootFromParent_Done,
     /* 2234893 */ // Label 29871: @2234893
     /* 2234893 */ GIM_Reject,
     /* 2234894 */ // Label 29691: @2234894
     /* 2234894 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2234942), // Rule ID 48362 //
     /* 2234899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234905 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234912 */   // MIs[0] Operand 1
     /* 2234912 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234921 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234925 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234930 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234932 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234941 */   // GIR_Coverage, 48362,
     /* 2234941 */   GIR_EraseRootFromParent_Done,
     /* 2234942 */ // Label 29872: @2234942
     /* 2234942 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2234990), // Rule ID 48363 //
     /* 2234947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234960 */   // MIs[0] Operand 1
     /* 2234960 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234969 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234973 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234978 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234989 */   // GIR_Coverage, 48363,
     /* 2234989 */   GIR_EraseRootFromParent_Done,
     /* 2234990 */ // Label 29873: @2234990
     /* 2234990 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2235038), // Rule ID 48368 //
     /* 2234995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235001 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235008 */   // MIs[0] Operand 1
     /* 2235008 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235017 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235021 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2235024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235026 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235037 */   // GIR_Coverage, 48368,
     /* 2235037 */   GIR_EraseRootFromParent_Done,
     /* 2235038 */ // Label 29874: @2235038
     /* 2235038 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2235086), // Rule ID 48369 //
     /* 2235043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235049 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235056 */   // MIs[0] Operand 1
     /* 2235056 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235065 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235069 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2235072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235074 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235076 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235085 */   // GIR_Coverage, 48369,
     /* 2235085 */   GIR_EraseRootFromParent_Done,
     /* 2235086 */ // Label 29875: @2235086
     /* 2235086 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2235134), // Rule ID 48376 //
     /* 2235091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235104 */   // MIs[0] Operand 1
     /* 2235104 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235113 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235117 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2235120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235122 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235124 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235133 */   // GIR_Coverage, 48376,
     /* 2235133 */   GIR_EraseRootFromParent_Done,
     /* 2235134 */ // Label 29876: @2235134
     /* 2235134 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2235182), // Rule ID 48377 //
     /* 2235139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235152 */   // MIs[0] Operand 1
     /* 2235152 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235161 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235165 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2235168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235170 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235172 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235181 */   // GIR_Coverage, 48377,
     /* 2235181 */   GIR_EraseRootFromParent_Done,
     /* 2235182 */ // Label 29877: @2235182
     /* 2235182 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2235230), // Rule ID 48398 //
     /* 2235187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235200 */   // MIs[0] Operand 1
     /* 2235200 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235213 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2235216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235218 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235220 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235229 */   // GIR_Coverage, 48398,
     /* 2235229 */   GIR_EraseRootFromParent_Done,
     /* 2235230 */ // Label 29878: @2235230
     /* 2235230 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2235278), // Rule ID 48399 //
     /* 2235235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235241 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235248 */   // MIs[0] Operand 1
     /* 2235248 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235257 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235261 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2235264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235266 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235268 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235277 */   // GIR_Coverage, 48399,
     /* 2235277 */   GIR_EraseRootFromParent_Done,
     /* 2235278 */ // Label 29879: @2235278
     /* 2235278 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2235326), // Rule ID 48406 //
     /* 2235283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235296 */   // MIs[0] Operand 1
     /* 2235296 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235309 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2235312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235314 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235316 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235325 */   // GIR_Coverage, 48406,
     /* 2235325 */   GIR_EraseRootFromParent_Done,
     /* 2235326 */ // Label 29880: @2235326
     /* 2235326 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2235374), // Rule ID 48407 //
     /* 2235331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235344 */   // MIs[0] Operand 1
     /* 2235344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235357 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2235360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235364 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235373 */   // GIR_Coverage, 48407,
     /* 2235373 */   GIR_EraseRootFromParent_Done,
     /* 2235374 */ // Label 29881: @2235374
     /* 2235374 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2235422), // Rule ID 48412 //
     /* 2235379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235385 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235392 */   // MIs[0] Operand 1
     /* 2235392 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235405 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235410 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235412 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235421 */   // GIR_Coverage, 48412,
     /* 2235421 */   GIR_EraseRootFromParent_Done,
     /* 2235422 */ // Label 29882: @2235422
     /* 2235422 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2235470), // Rule ID 48413 //
     /* 2235427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235440 */   // MIs[0] Operand 1
     /* 2235440 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235449 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235453 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235458 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235460 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235469 */   // GIR_Coverage, 48413,
     /* 2235469 */   GIR_EraseRootFromParent_Done,
     /* 2235470 */ // Label 29883: @2235470
     /* 2235470 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2235518), // Rule ID 48420 //
     /* 2235475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235481 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235488 */   // MIs[0] Operand 1
     /* 2235488 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235497 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235501 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235506 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235508 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235517 */   // GIR_Coverage, 48420,
     /* 2235517 */   GIR_EraseRootFromParent_Done,
     /* 2235518 */ // Label 29884: @2235518
     /* 2235518 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2235566), // Rule ID 48421 //
     /* 2235523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235536 */   // MIs[0] Operand 1
     /* 2235536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235549 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235554 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235556 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235565 */   // GIR_Coverage, 48421,
     /* 2235565 */   GIR_EraseRootFromParent_Done,
     /* 2235566 */ // Label 29885: @2235566
     /* 2235566 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2235614), // Rule ID 48442 //
     /* 2235571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235584 */   // MIs[0] Operand 1
     /* 2235584 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235597 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235602 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235604 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235613 */   // GIR_Coverage, 48442,
     /* 2235613 */   GIR_EraseRootFromParent_Done,
     /* 2235614 */ // Label 29886: @2235614
     /* 2235614 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2235662), // Rule ID 48443 //
     /* 2235619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235632 */   // MIs[0] Operand 1
     /* 2235632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235645 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235661 */   // GIR_Coverage, 48443,
     /* 2235661 */   GIR_EraseRootFromParent_Done,
     /* 2235662 */ // Label 29887: @2235662
     /* 2235662 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2235710), // Rule ID 48450 //
     /* 2235667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235680 */   // MIs[0] Operand 1
     /* 2235680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235693 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235709 */   // GIR_Coverage, 48450,
     /* 2235709 */   GIR_EraseRootFromParent_Done,
     /* 2235710 */ // Label 29888: @2235710
     /* 2235710 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2235758), // Rule ID 48451 //
     /* 2235715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235721 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235728 */   // MIs[0] Operand 1
     /* 2235728 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235737 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235741 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235746 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235748 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235757 */   // GIR_Coverage, 48451,
     /* 2235757 */   GIR_EraseRootFromParent_Done,
     /* 2235758 */ // Label 29889: @2235758
     /* 2235758 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2235806), // Rule ID 48456 //
     /* 2235763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235776 */   // MIs[0] Operand 1
     /* 2235776 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235785 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235789 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235794 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235796 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235805 */   // GIR_Coverage, 48456,
     /* 2235805 */   GIR_EraseRootFromParent_Done,
     /* 2235806 */ // Label 29890: @2235806
     /* 2235806 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2235854), // Rule ID 48457 //
     /* 2235811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235824 */   // MIs[0] Operand 1
     /* 2235824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235837 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235844 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235853 */   // GIR_Coverage, 48457,
     /* 2235853 */   GIR_EraseRootFromParent_Done,
     /* 2235854 */ // Label 29891: @2235854
     /* 2235854 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2235902), // Rule ID 48464 //
     /* 2235859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235872 */   // MIs[0] Operand 1
     /* 2235872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235885 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235892 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235901 */   // GIR_Coverage, 48464,
     /* 2235901 */   GIR_EraseRootFromParent_Done,
     /* 2235902 */ // Label 29892: @2235902
     /* 2235902 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2235950), // Rule ID 48465 //
     /* 2235907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235920 */   // MIs[0] Operand 1
     /* 2235920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235933 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235940 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235949 */   // GIR_Coverage, 48465,
     /* 2235949 */   GIR_EraseRootFromParent_Done,
     /* 2235950 */ // Label 29893: @2235950
     /* 2235950 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2235998), // Rule ID 48486 //
     /* 2235955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235968 */   // MIs[0] Operand 1
     /* 2235968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235981 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235997 */   // GIR_Coverage, 48486,
     /* 2235997 */   GIR_EraseRootFromParent_Done,
     /* 2235998 */ // Label 29894: @2235998
     /* 2235998 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2236046), // Rule ID 48487 //
     /* 2236003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236016 */   // MIs[0] Operand 1
     /* 2236016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236029 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2236032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236036 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236045 */   // GIR_Coverage, 48487,
     /* 2236045 */   GIR_EraseRootFromParent_Done,
     /* 2236046 */ // Label 29895: @2236046
     /* 2236046 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2236094), // Rule ID 48492 //
     /* 2236051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236057 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236064 */   // MIs[0] Operand 1
     /* 2236064 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236077 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236084 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236093 */   // GIR_Coverage, 48492,
     /* 2236093 */   GIR_EraseRootFromParent_Done,
     /* 2236094 */ // Label 29896: @2236094
     /* 2236094 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2236142), // Rule ID 48493 //
     /* 2236099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236112 */   // MIs[0] Operand 1
     /* 2236112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236125 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236132 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236141 */   // GIR_Coverage, 48493,
     /* 2236141 */   GIR_EraseRootFromParent_Done,
     /* 2236142 */ // Label 29897: @2236142
     /* 2236142 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2236190), // Rule ID 48498 //
     /* 2236147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236160 */   // MIs[0] Operand 1
     /* 2236160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236173 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236180 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236189 */   // GIR_Coverage, 48498,
     /* 2236189 */   GIR_EraseRootFromParent_Done,
     /* 2236190 */ // Label 29898: @2236190
     /* 2236190 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2236238), // Rule ID 48499 //
     /* 2236195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236208 */   // MIs[0] Operand 1
     /* 2236208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236221 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236228 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236237 */   // GIR_Coverage, 48499,
     /* 2236237 */   GIR_EraseRootFromParent_Done,
     /* 2236238 */ // Label 29899: @2236238
     /* 2236238 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2236286), // Rule ID 48506 //
     /* 2236243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236256 */   // MIs[0] Operand 1
     /* 2236256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236269 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236276 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236285 */   // GIR_Coverage, 48506,
     /* 2236285 */   GIR_EraseRootFromParent_Done,
     /* 2236286 */ // Label 29900: @2236286
     /* 2236286 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2236334), // Rule ID 48507 //
     /* 2236291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236304 */   // MIs[0] Operand 1
     /* 2236304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236317 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236333 */   // GIR_Coverage, 48507,
     /* 2236333 */   GIR_EraseRootFromParent_Done,
     /* 2236334 */ // Label 29901: @2236334
     /* 2236334 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2236382), // Rule ID 48528 //
     /* 2236339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236352 */   // MIs[0] Operand 1
     /* 2236352 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236365 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2236368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236372 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236381 */   // GIR_Coverage, 48528,
     /* 2236381 */   GIR_EraseRootFromParent_Done,
     /* 2236382 */ // Label 29902: @2236382
     /* 2236382 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2236430), // Rule ID 48529 //
     /* 2236387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236400 */   // MIs[0] Operand 1
     /* 2236400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236409 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236413 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2236416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236420 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236429 */   // GIR_Coverage, 48529,
     /* 2236429 */   GIR_EraseRootFromParent_Done,
     /* 2236430 */ // Label 29903: @2236430
     /* 2236430 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2236478), // Rule ID 48536 //
     /* 2236435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236448 */   // MIs[0] Operand 1
     /* 2236448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236457 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236461 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236466 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236468 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236477 */   // GIR_Coverage, 48536,
     /* 2236477 */   GIR_EraseRootFromParent_Done,
     /* 2236478 */ // Label 29904: @2236478
     /* 2236478 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2236526), // Rule ID 48537 //
     /* 2236483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236496 */   // MIs[0] Operand 1
     /* 2236496 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236509 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236514 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236516 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236525 */   // GIR_Coverage, 48537,
     /* 2236525 */   GIR_EraseRootFromParent_Done,
     /* 2236526 */ // Label 29905: @2236526
     /* 2236526 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2236574), // Rule ID 48542 //
     /* 2236531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236544 */   // MIs[0] Operand 1
     /* 2236544 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236557 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236562 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236564 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236573 */   // GIR_Coverage, 48542,
     /* 2236573 */   GIR_EraseRootFromParent_Done,
     /* 2236574 */ // Label 29906: @2236574
     /* 2236574 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2236622), // Rule ID 48543 //
     /* 2236579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236592 */   // MIs[0] Operand 1
     /* 2236592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236605 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236610 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236612 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236621 */   // GIR_Coverage, 48543,
     /* 2236621 */   GIR_EraseRootFromParent_Done,
     /* 2236622 */ // Label 29907: @2236622
     /* 2236622 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2236670), // Rule ID 48550 //
     /* 2236627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236640 */   // MIs[0] Operand 1
     /* 2236640 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236653 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236658 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236660 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236669 */   // GIR_Coverage, 48550,
     /* 2236669 */   GIR_EraseRootFromParent_Done,
     /* 2236670 */ // Label 29908: @2236670
     /* 2236670 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2236718), // Rule ID 48551 //
     /* 2236675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236688 */   // MIs[0] Operand 1
     /* 2236688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236697 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236701 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236706 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236708 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236717 */   // GIR_Coverage, 48551,
     /* 2236717 */   GIR_EraseRootFromParent_Done,
     /* 2236718 */ // Label 29909: @2236718
     /* 2236718 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2236766), // Rule ID 48572 //
     /* 2236723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236729 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236736 */   // MIs[0] Operand 1
     /* 2236736 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236749 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236754 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236756 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236765 */   // GIR_Coverage, 48572,
     /* 2236765 */   GIR_EraseRootFromParent_Done,
     /* 2236766 */ // Label 29910: @2236766
     /* 2236766 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2236814), // Rule ID 48573 //
     /* 2236771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236784 */   // MIs[0] Operand 1
     /* 2236784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236797 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236813 */   // GIR_Coverage, 48573,
     /* 2236813 */   GIR_EraseRootFromParent_Done,
     /* 2236814 */ // Label 29911: @2236814
     /* 2236814 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2236862), // Rule ID 48580 //
     /* 2236819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236832 */   // MIs[0] Operand 1
     /* 2236832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236845 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236852 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236861 */   // GIR_Coverage, 48580,
     /* 2236861 */   GIR_EraseRootFromParent_Done,
     /* 2236862 */ // Label 29912: @2236862
     /* 2236862 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2236910), // Rule ID 48581 //
     /* 2236867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236880 */   // MIs[0] Operand 1
     /* 2236880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236893 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236909 */   // GIR_Coverage, 48581,
     /* 2236909 */   GIR_EraseRootFromParent_Done,
     /* 2236910 */ // Label 29913: @2236910
     /* 2236910 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2236958), // Rule ID 48586 //
     /* 2236915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236928 */   // MIs[0] Operand 1
     /* 2236928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236941 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236957 */   // GIR_Coverage, 48586,
     /* 2236957 */   GIR_EraseRootFromParent_Done,
     /* 2236958 */ // Label 29914: @2236958
     /* 2236958 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2237006), // Rule ID 48587 //
     /* 2236963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236976 */   // MIs[0] Operand 1
     /* 2236976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236989 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236994 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237005 */   // GIR_Coverage, 48587,
     /* 2237005 */   GIR_EraseRootFromParent_Done,
     /* 2237006 */ // Label 29915: @2237006
     /* 2237006 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2237054), // Rule ID 48594 //
     /* 2237011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237024 */   // MIs[0] Operand 1
     /* 2237024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237037 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237053 */   // GIR_Coverage, 48594,
     /* 2237053 */   GIR_EraseRootFromParent_Done,
     /* 2237054 */ // Label 29916: @2237054
     /* 2237054 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2237102), // Rule ID 48595 //
     /* 2237059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237072 */   // MIs[0] Operand 1
     /* 2237072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237085 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237092 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237101 */   // GIR_Coverage, 48595,
     /* 2237101 */   GIR_EraseRootFromParent_Done,
     /* 2237102 */ // Label 29917: @2237102
     /* 2237102 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2237150), // Rule ID 48616 //
     /* 2237107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237120 */   // MIs[0] Operand 1
     /* 2237120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237133 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2237136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237149 */   // GIR_Coverage, 48616,
     /* 2237149 */   GIR_EraseRootFromParent_Done,
     /* 2237150 */ // Label 29918: @2237150
     /* 2237150 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2237198), // Rule ID 48617 //
     /* 2237155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237168 */   // MIs[0] Operand 1
     /* 2237168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237181 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2237184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237186 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237197 */   // GIR_Coverage, 48617,
     /* 2237197 */   GIR_EraseRootFromParent_Done,
     /* 2237198 */ // Label 29919: @2237198
     /* 2237198 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2237246), // Rule ID 48624 //
     /* 2237203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237216 */   // MIs[0] Operand 1
     /* 2237216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237229 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237245 */   // GIR_Coverage, 48624,
     /* 2237245 */   GIR_EraseRootFromParent_Done,
     /* 2237246 */ // Label 29920: @2237246
     /* 2237246 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2237294), // Rule ID 48625 //
     /* 2237251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237264 */   // MIs[0] Operand 1
     /* 2237264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237277 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237293 */   // GIR_Coverage, 48625,
     /* 2237293 */   GIR_EraseRootFromParent_Done,
     /* 2237294 */ // Label 29921: @2237294
     /* 2237294 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2237342), // Rule ID 48630 //
     /* 2237299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237312 */   // MIs[0] Operand 1
     /* 2237312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237325 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237341 */   // GIR_Coverage, 48630,
     /* 2237341 */   GIR_EraseRootFromParent_Done,
     /* 2237342 */ // Label 29922: @2237342
     /* 2237342 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2237390), // Rule ID 48631 //
     /* 2237347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237360 */   // MIs[0] Operand 1
     /* 2237360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237373 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237378 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237389 */   // GIR_Coverage, 48631,
     /* 2237389 */   GIR_EraseRootFromParent_Done,
     /* 2237390 */ // Label 29923: @2237390
     /* 2237390 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2237438), // Rule ID 48638 //
     /* 2237395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237408 */   // MIs[0] Operand 1
     /* 2237408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237421 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237437 */   // GIR_Coverage, 48638,
     /* 2237437 */   GIR_EraseRootFromParent_Done,
     /* 2237438 */ // Label 29924: @2237438
     /* 2237438 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2237486), // Rule ID 48639 //
     /* 2237443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237456 */   // MIs[0] Operand 1
     /* 2237456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237469 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237485 */   // GIR_Coverage, 48639,
     /* 2237485 */   GIR_EraseRootFromParent_Done,
     /* 2237486 */ // Label 29925: @2237486
     /* 2237486 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2237534), // Rule ID 48660 //
     /* 2237491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237504 */   // MIs[0] Operand 1
     /* 2237504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237517 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237533 */   // GIR_Coverage, 48660,
     /* 2237533 */   GIR_EraseRootFromParent_Done,
     /* 2237534 */ // Label 29926: @2237534
     /* 2237534 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2237582), // Rule ID 48661 //
     /* 2237539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237552 */   // MIs[0] Operand 1
     /* 2237552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237565 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237581 */   // GIR_Coverage, 48661,
     /* 2237581 */   GIR_EraseRootFromParent_Done,
     /* 2237582 */ // Label 29927: @2237582
     /* 2237582 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2237630), // Rule ID 48668 //
     /* 2237587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237600 */   // MIs[0] Operand 1
     /* 2237600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237613 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237618 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237629 */   // GIR_Coverage, 48668,
     /* 2237629 */   GIR_EraseRootFromParent_Done,
     /* 2237630 */ // Label 29928: @2237630
     /* 2237630 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2237678), // Rule ID 48669 //
     /* 2237635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237648 */   // MIs[0] Operand 1
     /* 2237648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237661 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237666 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237677 */   // GIR_Coverage, 48669,
     /* 2237677 */   GIR_EraseRootFromParent_Done,
     /* 2237678 */ // Label 29929: @2237678
     /* 2237678 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2237726), // Rule ID 48674 //
     /* 2237683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237696 */   // MIs[0] Operand 1
     /* 2237696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237709 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237714 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237725 */   // GIR_Coverage, 48674,
     /* 2237725 */   GIR_EraseRootFromParent_Done,
     /* 2237726 */ // Label 29930: @2237726
     /* 2237726 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2237774), // Rule ID 48675 //
     /* 2237731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237744 */   // MIs[0] Operand 1
     /* 2237744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237757 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237762 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237773 */   // GIR_Coverage, 48675,
     /* 2237773 */   GIR_EraseRootFromParent_Done,
     /* 2237774 */ // Label 29931: @2237774
     /* 2237774 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2237822), // Rule ID 48682 //
     /* 2237779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237792 */   // MIs[0] Operand 1
     /* 2237792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237805 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237821 */   // GIR_Coverage, 48682,
     /* 2237821 */   GIR_EraseRootFromParent_Done,
     /* 2237822 */ // Label 29932: @2237822
     /* 2237822 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2237870), // Rule ID 48683 //
     /* 2237827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237840 */   // MIs[0] Operand 1
     /* 2237840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237853 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237858 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237860 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237869 */   // GIR_Coverage, 48683,
     /* 2237869 */   GIR_EraseRootFromParent_Done,
     /* 2237870 */ // Label 29933: @2237870
     /* 2237870 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2237918), // Rule ID 48704 //
     /* 2237875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237888 */   // MIs[0] Operand 1
     /* 2237888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237901 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237917 */   // GIR_Coverage, 48704,
     /* 2237917 */   GIR_EraseRootFromParent_Done,
     /* 2237918 */ // Label 29934: @2237918
     /* 2237918 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2237966), // Rule ID 48705 //
     /* 2237923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237936 */   // MIs[0] Operand 1
     /* 2237936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237949 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237954 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237956 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237965 */   // GIR_Coverage, 48705,
     /* 2237965 */   GIR_EraseRootFromParent_Done,
     /* 2237966 */ // Label 29935: @2237966
     /* 2237966 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2238014), // Rule ID 48712 //
     /* 2237971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237984 */   // MIs[0] Operand 1
     /* 2237984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237997 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238013 */   // GIR_Coverage, 48712,
     /* 2238013 */   GIR_EraseRootFromParent_Done,
     /* 2238014 */ // Label 29936: @2238014
     /* 2238014 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2238062), // Rule ID 48713 //
     /* 2238019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2238028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238032 */   // MIs[0] Operand 1
     /* 2238032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238045 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238050 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238061 */   // GIR_Coverage, 48713,
     /* 2238061 */   GIR_EraseRootFromParent_Done,
     /* 2238062 */ // Label 29937: @2238062
     /* 2238062 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2238110), // Rule ID 48718 //
     /* 2238067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238080 */   // MIs[0] Operand 1
     /* 2238080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238093 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238109 */   // GIR_Coverage, 48718,
     /* 2238109 */   GIR_EraseRootFromParent_Done,
     /* 2238110 */ // Label 29938: @2238110
     /* 2238110 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2238158), // Rule ID 48719 //
     /* 2238115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238128 */   // MIs[0] Operand 1
     /* 2238128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238141 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238157 */   // GIR_Coverage, 48719,
     /* 2238157 */   GIR_EraseRootFromParent_Done,
     /* 2238158 */ // Label 29939: @2238158
     /* 2238158 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2238206), // Rule ID 48726 //
     /* 2238163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238176 */   // MIs[0] Operand 1
     /* 2238176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238189 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238205 */   // GIR_Coverage, 48726,
     /* 2238205 */   GIR_EraseRootFromParent_Done,
     /* 2238206 */ // Label 29940: @2238206
     /* 2238206 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2238254), // Rule ID 48727 //
     /* 2238211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238224 */   // MIs[0] Operand 1
     /* 2238224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238237 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238253 */   // GIR_Coverage, 48727,
     /* 2238253 */   GIR_EraseRootFromParent_Done,
     /* 2238254 */ // Label 29941: @2238254
     /* 2238254 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2238302), // Rule ID 48748 //
     /* 2238259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238272 */   // MIs[0] Operand 1
     /* 2238272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238285 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238301 */   // GIR_Coverage, 48748,
     /* 2238301 */   GIR_EraseRootFromParent_Done,
     /* 2238302 */ // Label 29942: @2238302
     /* 2238302 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2238350), // Rule ID 48749 //
     /* 2238307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238320 */   // MIs[0] Operand 1
     /* 2238320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238333 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238340 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238349 */   // GIR_Coverage, 48749,
     /* 2238349 */   GIR_EraseRootFromParent_Done,
     /* 2238350 */ // Label 29943: @2238350
     /* 2238350 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2238398), // Rule ID 48756 //
     /* 2238355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2238364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238368 */   // MIs[0] Operand 1
     /* 2238368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238381 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238397 */   // GIR_Coverage, 48756,
     /* 2238397 */   GIR_EraseRootFromParent_Done,
     /* 2238398 */ // Label 29944: @2238398
     /* 2238398 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2238446), // Rule ID 48757 //
     /* 2238403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2238412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238416 */   // MIs[0] Operand 1
     /* 2238416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238429 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238445 */   // GIR_Coverage, 48757,
     /* 2238445 */   GIR_EraseRootFromParent_Done,
     /* 2238446 */ // Label 29945: @2238446
     /* 2238446 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2238494), // Rule ID 48762 //
     /* 2238451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238464 */   // MIs[0] Operand 1
     /* 2238464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238477 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238493 */   // GIR_Coverage, 48762,
     /* 2238493 */   GIR_EraseRootFromParent_Done,
     /* 2238494 */ // Label 29946: @2238494
     /* 2238494 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2238542), // Rule ID 48763 //
     /* 2238499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238512 */   // MIs[0] Operand 1
     /* 2238512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238525 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238541 */   // GIR_Coverage, 48763,
     /* 2238541 */   GIR_EraseRootFromParent_Done,
     /* 2238542 */ // Label 29947: @2238542
     /* 2238542 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2238590), // Rule ID 48770 //
     /* 2238547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238560 */   // MIs[0] Operand 1
     /* 2238560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238573 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238589 */   // GIR_Coverage, 48770,
     /* 2238589 */   GIR_EraseRootFromParent_Done,
     /* 2238590 */ // Label 29948: @2238590
     /* 2238590 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2238638), // Rule ID 48771 //
     /* 2238595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238608 */   // MIs[0] Operand 1
     /* 2238608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238621 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238628 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238637 */   // GIR_Coverage, 48771,
     /* 2238637 */   GIR_EraseRootFromParent_Done,
     /* 2238638 */ // Label 29949: @2238638
     /* 2238638 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2238686), // Rule ID 48792 //
     /* 2238643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238656 */   // MIs[0] Operand 1
     /* 2238656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238669 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238685 */   // GIR_Coverage, 48792,
     /* 2238685 */   GIR_EraseRootFromParent_Done,
     /* 2238686 */ // Label 29950: @2238686
     /* 2238686 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2238734), // Rule ID 48793 //
     /* 2238691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238704 */   // MIs[0] Operand 1
     /* 2238704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238717 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238733 */   // GIR_Coverage, 48793,
     /* 2238733 */   GIR_EraseRootFromParent_Done,
     /* 2238734 */ // Label 29951: @2238734
     /* 2238734 */ GIM_Reject,
     /* 2238735 */ // Label 29692: @2238735
     /* 2238735 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2238783), // Rule ID 48364 //
     /* 2238740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238753 */   // MIs[0] Operand 1
     /* 2238753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238766 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238782 */   // GIR_Coverage, 48364,
     /* 2238782 */   GIR_EraseRootFromParent_Done,
     /* 2238783 */ // Label 29952: @2238783
     /* 2238783 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2238831), // Rule ID 48365 //
     /* 2238788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238801 */   // MIs[0] Operand 1
     /* 2238801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238814 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238830 */   // GIR_Coverage, 48365,
     /* 2238830 */   GIR_EraseRootFromParent_Done,
     /* 2238831 */ // Label 29953: @2238831
     /* 2238831 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2238879), // Rule ID 48374 //
     /* 2238836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238849 */   // MIs[0] Operand 1
     /* 2238849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238862 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238878 */   // GIR_Coverage, 48374,
     /* 2238878 */   GIR_EraseRootFromParent_Done,
     /* 2238879 */ // Label 29954: @2238879
     /* 2238879 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2238927), // Rule ID 48375 //
     /* 2238884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238897 */   // MIs[0] Operand 1
     /* 2238897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238906 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238910 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238915 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238926 */   // GIR_Coverage, 48375,
     /* 2238926 */   GIR_EraseRootFromParent_Done,
     /* 2238927 */ // Label 29955: @2238927
     /* 2238927 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2238975), // Rule ID 48392 //
     /* 2238932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238945 */   // MIs[0] Operand 1
     /* 2238945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238954 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238958 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2238961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238974 */   // GIR_Coverage, 48392,
     /* 2238974 */   GIR_EraseRootFromParent_Done,
     /* 2238975 */ // Label 29956: @2238975
     /* 2238975 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2239023), // Rule ID 48393 //
     /* 2238980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238993 */   // MIs[0] Operand 1
     /* 2238993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239002 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239006 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2239009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239022 */   // GIR_Coverage, 48393,
     /* 2239022 */   GIR_EraseRootFromParent_Done,
     /* 2239023 */ // Label 29957: @2239023
     /* 2239023 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2239071), // Rule ID 48400 //
     /* 2239028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239041 */   // MIs[0] Operand 1
     /* 2239041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239054 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2239057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239070 */   // GIR_Coverage, 48400,
     /* 2239070 */   GIR_EraseRootFromParent_Done,
     /* 2239071 */ // Label 29958: @2239071
     /* 2239071 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2239119), // Rule ID 48401 //
     /* 2239076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239089 */   // MIs[0] Operand 1
     /* 2239089 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239098 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239102 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2239105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239118 */   // GIR_Coverage, 48401,
     /* 2239118 */   GIR_EraseRootFromParent_Done,
     /* 2239119 */ // Label 29959: @2239119
     /* 2239119 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2239167), // Rule ID 48408 //
     /* 2239124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239137 */   // MIs[0] Operand 1
     /* 2239137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239150 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2239153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239166 */   // GIR_Coverage, 48408,
     /* 2239166 */   GIR_EraseRootFromParent_Done,
     /* 2239167 */ // Label 29960: @2239167
     /* 2239167 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2239215), // Rule ID 48409 //
     /* 2239172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239185 */   // MIs[0] Operand 1
     /* 2239185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239198 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2239201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239214 */   // GIR_Coverage, 48409,
     /* 2239214 */   GIR_EraseRootFromParent_Done,
     /* 2239215 */ // Label 29961: @2239215
     /* 2239215 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2239263), // Rule ID 48418 //
     /* 2239220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239233 */   // MIs[0] Operand 1
     /* 2239233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239246 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2239249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239262 */   // GIR_Coverage, 48418,
     /* 2239262 */   GIR_EraseRootFromParent_Done,
     /* 2239263 */ // Label 29962: @2239263
     /* 2239263 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2239311), // Rule ID 48419 //
     /* 2239268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239281 */   // MIs[0] Operand 1
     /* 2239281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239294 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2239297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239310 */   // GIR_Coverage, 48419,
     /* 2239310 */   GIR_EraseRootFromParent_Done,
     /* 2239311 */ // Label 29963: @2239311
     /* 2239311 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2239359), // Rule ID 48436 //
     /* 2239316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239329 */   // MIs[0] Operand 1
     /* 2239329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239342 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2239345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239358 */   // GIR_Coverage, 48436,
     /* 2239358 */   GIR_EraseRootFromParent_Done,
     /* 2239359 */ // Label 29964: @2239359
     /* 2239359 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2239407), // Rule ID 48437 //
     /* 2239364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239377 */   // MIs[0] Operand 1
     /* 2239377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239390 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2239393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239406 */   // GIR_Coverage, 48437,
     /* 2239406 */   GIR_EraseRootFromParent_Done,
     /* 2239407 */ // Label 29965: @2239407
     /* 2239407 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2239455), // Rule ID 48444 //
     /* 2239412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239425 */   // MIs[0] Operand 1
     /* 2239425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239438 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239454 */   // GIR_Coverage, 48444,
     /* 2239454 */   GIR_EraseRootFromParent_Done,
     /* 2239455 */ // Label 29966: @2239455
     /* 2239455 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2239503), // Rule ID 48445 //
     /* 2239460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239473 */   // MIs[0] Operand 1
     /* 2239473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239486 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239502 */   // GIR_Coverage, 48445,
     /* 2239502 */   GIR_EraseRootFromParent_Done,
     /* 2239503 */ // Label 29967: @2239503
     /* 2239503 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2239551), // Rule ID 48452 //
     /* 2239508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239521 */   // MIs[0] Operand 1
     /* 2239521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239534 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239550 */   // GIR_Coverage, 48452,
     /* 2239550 */   GIR_EraseRootFromParent_Done,
     /* 2239551 */ // Label 29968: @2239551
     /* 2239551 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2239599), // Rule ID 48453 //
     /* 2239556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239569 */   // MIs[0] Operand 1
     /* 2239569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239582 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239598 */   // GIR_Coverage, 48453,
     /* 2239598 */   GIR_EraseRootFromParent_Done,
     /* 2239599 */ // Label 29969: @2239599
     /* 2239599 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2239647), // Rule ID 48462 //
     /* 2239604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239617 */   // MIs[0] Operand 1
     /* 2239617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239630 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239646 */   // GIR_Coverage, 48462,
     /* 2239646 */   GIR_EraseRootFromParent_Done,
     /* 2239647 */ // Label 29970: @2239647
     /* 2239647 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2239695), // Rule ID 48463 //
     /* 2239652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239665 */   // MIs[0] Operand 1
     /* 2239665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239678 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239694 */   // GIR_Coverage, 48463,
     /* 2239694 */   GIR_EraseRootFromParent_Done,
     /* 2239695 */ // Label 29971: @2239695
     /* 2239695 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2239743), // Rule ID 48480 //
     /* 2239700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239713 */   // MIs[0] Operand 1
     /* 2239713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239726 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239742 */   // GIR_Coverage, 48480,
     /* 2239742 */   GIR_EraseRootFromParent_Done,
     /* 2239743 */ // Label 29972: @2239743
     /* 2239743 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2239791), // Rule ID 48481 //
     /* 2239748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239761 */   // MIs[0] Operand 1
     /* 2239761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239774 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239790 */   // GIR_Coverage, 48481,
     /* 2239790 */   GIR_EraseRootFromParent_Done,
     /* 2239791 */ // Label 29973: @2239791
     /* 2239791 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2239839), // Rule ID 48488 //
     /* 2239796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239809 */   // MIs[0] Operand 1
     /* 2239809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239822 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239838 */   // GIR_Coverage, 48488,
     /* 2239838 */   GIR_EraseRootFromParent_Done,
     /* 2239839 */ // Label 29974: @2239839
     /* 2239839 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2239887), // Rule ID 48489 //
     /* 2239844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239857 */   // MIs[0] Operand 1
     /* 2239857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239870 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239886 */   // GIR_Coverage, 48489,
     /* 2239886 */   GIR_EraseRootFromParent_Done,
     /* 2239887 */ // Label 29975: @2239887
     /* 2239887 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2239935), // Rule ID 48494 //
     /* 2239892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239905 */   // MIs[0] Operand 1
     /* 2239905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239918 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239923 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239925 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239934 */   // GIR_Coverage, 48494,
     /* 2239934 */   GIR_EraseRootFromParent_Done,
     /* 2239935 */ // Label 29976: @2239935
     /* 2239935 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2239983), // Rule ID 48495 //
     /* 2239940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239953 */   // MIs[0] Operand 1
     /* 2239953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239966 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239971 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239973 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239982 */   // GIR_Coverage, 48495,
     /* 2239982 */   GIR_EraseRootFromParent_Done,
     /* 2239983 */ // Label 29977: @2239983
     /* 2239983 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2240031), // Rule ID 48504 //
     /* 2239988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240001 */   // MIs[0] Operand 1
     /* 2240001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240014 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240021 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240030 */   // GIR_Coverage, 48504,
     /* 2240030 */   GIR_EraseRootFromParent_Done,
     /* 2240031 */ // Label 29978: @2240031
     /* 2240031 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2240079), // Rule ID 48505 //
     /* 2240036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240049 */   // MIs[0] Operand 1
     /* 2240049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240062 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240067 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240069 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240078 */   // GIR_Coverage, 48505,
     /* 2240078 */   GIR_EraseRootFromParent_Done,
     /* 2240079 */ // Label 29979: @2240079
     /* 2240079 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2240127), // Rule ID 48522 //
     /* 2240084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240097 */   // MIs[0] Operand 1
     /* 2240097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240110 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240117 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240126 */   // GIR_Coverage, 48522,
     /* 2240126 */   GIR_EraseRootFromParent_Done,
     /* 2240127 */ // Label 29980: @2240127
     /* 2240127 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2240175), // Rule ID 48523 //
     /* 2240132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240145 */   // MIs[0] Operand 1
     /* 2240145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240158 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240165 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240174 */   // GIR_Coverage, 48523,
     /* 2240174 */   GIR_EraseRootFromParent_Done,
     /* 2240175 */ // Label 29981: @2240175
     /* 2240175 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2240223), // Rule ID 48530 //
     /* 2240180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240193 */   // MIs[0] Operand 1
     /* 2240193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240206 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2240209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240222 */   // GIR_Coverage, 48530,
     /* 2240222 */   GIR_EraseRootFromParent_Done,
     /* 2240223 */ // Label 29982: @2240223
     /* 2240223 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2240271), // Rule ID 48531 //
     /* 2240228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240241 */   // MIs[0] Operand 1
     /* 2240241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240254 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2240257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240270 */   // GIR_Coverage, 48531,
     /* 2240270 */   GIR_EraseRootFromParent_Done,
     /* 2240271 */ // Label 29983: @2240271
     /* 2240271 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2240319), // Rule ID 48538 //
     /* 2240276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240289 */   // MIs[0] Operand 1
     /* 2240289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240302 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240307 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240318 */   // GIR_Coverage, 48538,
     /* 2240318 */   GIR_EraseRootFromParent_Done,
     /* 2240319 */ // Label 29984: @2240319
     /* 2240319 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2240367), // Rule ID 48539 //
     /* 2240324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240337 */   // MIs[0] Operand 1
     /* 2240337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240350 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240366 */   // GIR_Coverage, 48539,
     /* 2240366 */   GIR_EraseRootFromParent_Done,
     /* 2240367 */ // Label 29985: @2240367
     /* 2240367 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2240415), // Rule ID 48548 //
     /* 2240372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240385 */   // MIs[0] Operand 1
     /* 2240385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240398 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240414 */   // GIR_Coverage, 48548,
     /* 2240414 */   GIR_EraseRootFromParent_Done,
     /* 2240415 */ // Label 29986: @2240415
     /* 2240415 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2240463), // Rule ID 48549 //
     /* 2240420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240433 */   // MIs[0] Operand 1
     /* 2240433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240446 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240462 */   // GIR_Coverage, 48549,
     /* 2240462 */   GIR_EraseRootFromParent_Done,
     /* 2240463 */ // Label 29987: @2240463
     /* 2240463 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2240511), // Rule ID 48566 //
     /* 2240468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240481 */   // MIs[0] Operand 1
     /* 2240481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240494 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240510 */   // GIR_Coverage, 48566,
     /* 2240510 */   GIR_EraseRootFromParent_Done,
     /* 2240511 */ // Label 29988: @2240511
     /* 2240511 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2240559), // Rule ID 48567 //
     /* 2240516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240529 */   // MIs[0] Operand 1
     /* 2240529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240542 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240558 */   // GIR_Coverage, 48567,
     /* 2240558 */   GIR_EraseRootFromParent_Done,
     /* 2240559 */ // Label 29989: @2240559
     /* 2240559 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2240607), // Rule ID 48574 //
     /* 2240564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240577 */   // MIs[0] Operand 1
     /* 2240577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240590 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240606 */   // GIR_Coverage, 48574,
     /* 2240606 */   GIR_EraseRootFromParent_Done,
     /* 2240607 */ // Label 29990: @2240607
     /* 2240607 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2240655), // Rule ID 48575 //
     /* 2240612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240625 */   // MIs[0] Operand 1
     /* 2240625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240638 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240654 */   // GIR_Coverage, 48575,
     /* 2240654 */   GIR_EraseRootFromParent_Done,
     /* 2240655 */ // Label 29991: @2240655
     /* 2240655 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2240703), // Rule ID 48582 //
     /* 2240660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240673 */   // MIs[0] Operand 1
     /* 2240673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240686 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240702 */   // GIR_Coverage, 48582,
     /* 2240702 */   GIR_EraseRootFromParent_Done,
     /* 2240703 */ // Label 29992: @2240703
     /* 2240703 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2240751), // Rule ID 48583 //
     /* 2240708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240721 */   // MIs[0] Operand 1
     /* 2240721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240734 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240750 */   // GIR_Coverage, 48583,
     /* 2240750 */   GIR_EraseRootFromParent_Done,
     /* 2240751 */ // Label 29993: @2240751
     /* 2240751 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2240799), // Rule ID 48592 //
     /* 2240756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240769 */   // MIs[0] Operand 1
     /* 2240769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240782 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240798 */   // GIR_Coverage, 48592,
     /* 2240798 */   GIR_EraseRootFromParent_Done,
     /* 2240799 */ // Label 29994: @2240799
     /* 2240799 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2240847), // Rule ID 48593 //
     /* 2240804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240817 */   // MIs[0] Operand 1
     /* 2240817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240830 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240835 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240846 */   // GIR_Coverage, 48593,
     /* 2240846 */   GIR_EraseRootFromParent_Done,
     /* 2240847 */ // Label 29995: @2240847
     /* 2240847 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2240895), // Rule ID 48610 //
     /* 2240852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240865 */   // MIs[0] Operand 1
     /* 2240865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240878 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240894 */   // GIR_Coverage, 48610,
     /* 2240894 */   GIR_EraseRootFromParent_Done,
     /* 2240895 */ // Label 29996: @2240895
     /* 2240895 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2240943), // Rule ID 48611 //
     /* 2240900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240913 */   // MIs[0] Operand 1
     /* 2240913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240926 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240931 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240942 */   // GIR_Coverage, 48611,
     /* 2240942 */   GIR_EraseRootFromParent_Done,
     /* 2240943 */ // Label 29997: @2240943
     /* 2240943 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2240991), // Rule ID 48618 //
     /* 2240948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240961 */   // MIs[0] Operand 1
     /* 2240961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240974 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240990 */   // GIR_Coverage, 48618,
     /* 2240990 */   GIR_EraseRootFromParent_Done,
     /* 2240991 */ // Label 29998: @2240991
     /* 2240991 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2241039), // Rule ID 48619 //
     /* 2240996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241009 */   // MIs[0] Operand 1
     /* 2241009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241022 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2241025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241027 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241038 */   // GIR_Coverage, 48619,
     /* 2241038 */   GIR_EraseRootFromParent_Done,
     /* 2241039 */ // Label 29999: @2241039
     /* 2241039 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2241087), // Rule ID 48626 //
     /* 2241044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241057 */   // MIs[0] Operand 1
     /* 2241057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241070 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241086 */   // GIR_Coverage, 48626,
     /* 2241086 */   GIR_EraseRootFromParent_Done,
     /* 2241087 */ // Label 30000: @2241087
     /* 2241087 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2241135), // Rule ID 48627 //
     /* 2241092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241105 */   // MIs[0] Operand 1
     /* 2241105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241118 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241134 */   // GIR_Coverage, 48627,
     /* 2241134 */   GIR_EraseRootFromParent_Done,
     /* 2241135 */ // Label 30001: @2241135
     /* 2241135 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2241183), // Rule ID 48636 //
     /* 2241140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241153 */   // MIs[0] Operand 1
     /* 2241153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241166 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241182 */   // GIR_Coverage, 48636,
     /* 2241182 */   GIR_EraseRootFromParent_Done,
     /* 2241183 */ // Label 30002: @2241183
     /* 2241183 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2241231), // Rule ID 48637 //
     /* 2241188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241201 */   // MIs[0] Operand 1
     /* 2241201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241214 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241230 */   // GIR_Coverage, 48637,
     /* 2241230 */   GIR_EraseRootFromParent_Done,
     /* 2241231 */ // Label 30003: @2241231
     /* 2241231 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2241279), // Rule ID 48654 //
     /* 2241236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241249 */   // MIs[0] Operand 1
     /* 2241249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241262 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241278 */   // GIR_Coverage, 48654,
     /* 2241278 */   GIR_EraseRootFromParent_Done,
     /* 2241279 */ // Label 30004: @2241279
     /* 2241279 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2241327), // Rule ID 48655 //
     /* 2241284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241297 */   // MIs[0] Operand 1
     /* 2241297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241310 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241326 */   // GIR_Coverage, 48655,
     /* 2241326 */   GIR_EraseRootFromParent_Done,
     /* 2241327 */ // Label 30005: @2241327
     /* 2241327 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2241375), // Rule ID 48662 //
     /* 2241332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241345 */   // MIs[0] Operand 1
     /* 2241345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241358 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241374 */   // GIR_Coverage, 48662,
     /* 2241374 */   GIR_EraseRootFromParent_Done,
     /* 2241375 */ // Label 30006: @2241375
     /* 2241375 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2241423), // Rule ID 48663 //
     /* 2241380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241393 */   // MIs[0] Operand 1
     /* 2241393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241406 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241422 */   // GIR_Coverage, 48663,
     /* 2241422 */   GIR_EraseRootFromParent_Done,
     /* 2241423 */ // Label 30007: @2241423
     /* 2241423 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2241471), // Rule ID 48670 //
     /* 2241428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241441 */   // MIs[0] Operand 1
     /* 2241441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241454 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241459 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241470 */   // GIR_Coverage, 48670,
     /* 2241470 */   GIR_EraseRootFromParent_Done,
     /* 2241471 */ // Label 30008: @2241471
     /* 2241471 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2241519), // Rule ID 48671 //
     /* 2241476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241489 */   // MIs[0] Operand 1
     /* 2241489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241502 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241507 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241518 */   // GIR_Coverage, 48671,
     /* 2241518 */   GIR_EraseRootFromParent_Done,
     /* 2241519 */ // Label 30009: @2241519
     /* 2241519 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2241567), // Rule ID 48680 //
     /* 2241524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241537 */   // MIs[0] Operand 1
     /* 2241537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241550 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241555 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241566 */   // GIR_Coverage, 48680,
     /* 2241566 */   GIR_EraseRootFromParent_Done,
     /* 2241567 */ // Label 30010: @2241567
     /* 2241567 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2241615), // Rule ID 48681 //
     /* 2241572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241585 */   // MIs[0] Operand 1
     /* 2241585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241598 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241603 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241614 */   // GIR_Coverage, 48681,
     /* 2241614 */   GIR_EraseRootFromParent_Done,
     /* 2241615 */ // Label 30011: @2241615
     /* 2241615 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2241663), // Rule ID 48698 //
     /* 2241620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241633 */   // MIs[0] Operand 1
     /* 2241633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241646 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241651 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241662 */   // GIR_Coverage, 48698,
     /* 2241662 */   GIR_EraseRootFromParent_Done,
     /* 2241663 */ // Label 30012: @2241663
     /* 2241663 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2241711), // Rule ID 48699 //
     /* 2241668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241681 */   // MIs[0] Operand 1
     /* 2241681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241694 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241699 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241710 */   // GIR_Coverage, 48699,
     /* 2241710 */   GIR_EraseRootFromParent_Done,
     /* 2241711 */ // Label 30013: @2241711
     /* 2241711 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2241759), // Rule ID 48706 //
     /* 2241716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241729 */   // MIs[0] Operand 1
     /* 2241729 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241742 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241758 */   // GIR_Coverage, 48706,
     /* 2241758 */   GIR_EraseRootFromParent_Done,
     /* 2241759 */ // Label 30014: @2241759
     /* 2241759 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2241807), // Rule ID 48707 //
     /* 2241764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241770 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241777 */   // MIs[0] Operand 1
     /* 2241777 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241786 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241790 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241795 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241806 */   // GIR_Coverage, 48707,
     /* 2241806 */   GIR_EraseRootFromParent_Done,
     /* 2241807 */ // Label 30015: @2241807
     /* 2241807 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2241855), // Rule ID 48714 //
     /* 2241812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241825 */   // MIs[0] Operand 1
     /* 2241825 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241838 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241843 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241854 */   // GIR_Coverage, 48714,
     /* 2241854 */   GIR_EraseRootFromParent_Done,
     /* 2241855 */ // Label 30016: @2241855
     /* 2241855 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2241903), // Rule ID 48715 //
     /* 2241860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241873 */   // MIs[0] Operand 1
     /* 2241873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241886 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241902 */   // GIR_Coverage, 48715,
     /* 2241902 */   GIR_EraseRootFromParent_Done,
     /* 2241903 */ // Label 30017: @2241903
     /* 2241903 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2241951), // Rule ID 48724 //
     /* 2241908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241921 */   // MIs[0] Operand 1
     /* 2241921 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241934 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241939 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241941 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241950 */   // GIR_Coverage, 48724,
     /* 2241950 */   GIR_EraseRootFromParent_Done,
     /* 2241951 */ // Label 30018: @2241951
     /* 2241951 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2241999), // Rule ID 48725 //
     /* 2241956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241969 */   // MIs[0] Operand 1
     /* 2241969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241978 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241982 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241987 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241998 */   // GIR_Coverage, 48725,
     /* 2241998 */   GIR_EraseRootFromParent_Done,
     /* 2241999 */ // Label 30019: @2241999
     /* 2241999 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2242047), // Rule ID 48742 //
     /* 2242004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242017 */   // MIs[0] Operand 1
     /* 2242017 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242026 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242030 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242035 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242046 */   // GIR_Coverage, 48742,
     /* 2242046 */   GIR_EraseRootFromParent_Done,
     /* 2242047 */ // Label 30020: @2242047
     /* 2242047 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2242095), // Rule ID 48743 //
     /* 2242052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242065 */   // MIs[0] Operand 1
     /* 2242065 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242074 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242078 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242083 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242085 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242094 */   // GIR_Coverage, 48743,
     /* 2242094 */   GIR_EraseRootFromParent_Done,
     /* 2242095 */ // Label 30021: @2242095
     /* 2242095 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2242143), // Rule ID 48750 //
     /* 2242100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242106 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242113 */   // MIs[0] Operand 1
     /* 2242113 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242122 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242126 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242131 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242133 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242142 */   // GIR_Coverage, 48750,
     /* 2242142 */   GIR_EraseRootFromParent_Done,
     /* 2242143 */ // Label 30022: @2242143
     /* 2242143 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2242191), // Rule ID 48751 //
     /* 2242148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242154 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242161 */   // MIs[0] Operand 1
     /* 2242161 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242170 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242174 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242179 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242181 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242190 */   // GIR_Coverage, 48751,
     /* 2242190 */   GIR_EraseRootFromParent_Done,
     /* 2242191 */ // Label 30023: @2242191
     /* 2242191 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2242239), // Rule ID 48758 //
     /* 2242196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2242202 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2242205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242209 */   // MIs[0] Operand 1
     /* 2242209 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242218 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242222 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242238 */   // GIR_Coverage, 48758,
     /* 2242238 */   GIR_EraseRootFromParent_Done,
     /* 2242239 */ // Label 30024: @2242239
     /* 2242239 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2242287), // Rule ID 48759 //
     /* 2242244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2242250 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2242253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242257 */   // MIs[0] Operand 1
     /* 2242257 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242266 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242270 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242286 */   // GIR_Coverage, 48759,
     /* 2242286 */   GIR_EraseRootFromParent_Done,
     /* 2242287 */ // Label 30025: @2242287
     /* 2242287 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2242335), // Rule ID 48768 //
     /* 2242292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2242298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2242301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242305 */   // MIs[0] Operand 1
     /* 2242305 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242314 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242318 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242334 */   // GIR_Coverage, 48768,
     /* 2242334 */   GIR_EraseRootFromParent_Done,
     /* 2242335 */ // Label 30026: @2242335
     /* 2242335 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2242383), // Rule ID 48769 //
     /* 2242340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2242346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2242349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242353 */   // MIs[0] Operand 1
     /* 2242353 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242362 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242366 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242382 */   // GIR_Coverage, 48769,
     /* 2242382 */   GIR_EraseRootFromParent_Done,
     /* 2242383 */ // Label 30027: @2242383
     /* 2242383 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2242431), // Rule ID 48786 //
     /* 2242388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242401 */   // MIs[0] Operand 1
     /* 2242401 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242410 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242414 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242430 */   // GIR_Coverage, 48786,
     /* 2242430 */   GIR_EraseRootFromParent_Done,
     /* 2242431 */ // Label 30028: @2242431
     /* 2242431 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2242479), // Rule ID 48787 //
     /* 2242436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242442 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242449 */   // MIs[0] Operand 1
     /* 2242449 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242458 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242462 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242478 */   // GIR_Coverage, 48787,
     /* 2242478 */   GIR_EraseRootFromParent_Done,
     /* 2242479 */ // Label 30029: @2242479
     /* 2242479 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2242527), // Rule ID 48794 //
     /* 2242484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242497 */   // MIs[0] Operand 1
     /* 2242497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242506 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242510 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242526 */   // GIR_Coverage, 48794,
     /* 2242526 */   GIR_EraseRootFromParent_Done,
     /* 2242527 */ // Label 30030: @2242527
     /* 2242527 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2242575), // Rule ID 48795 //
     /* 2242532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242545 */   // MIs[0] Operand 1
     /* 2242545 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242554 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242558 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242574 */   // GIR_Coverage, 48795,
     /* 2242574 */   GIR_EraseRootFromParent_Done,
     /* 2242575 */ // Label 30031: @2242575
     /* 2242575 */ GIM_Reject,
     /* 2242576 */ // Label 29693: @2242576
     /* 2242576 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2242624), // Rule ID 48372 //
     /* 2242581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242587 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242594 */   // MIs[0] Operand 1
     /* 2242594 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242603 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242607 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242623 */   // GIR_Coverage, 48372,
     /* 2242623 */   GIR_EraseRootFromParent_Done,
     /* 2242624 */ // Label 30032: @2242624
     /* 2242624 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2242672), // Rule ID 48373 //
     /* 2242629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242642 */   // MIs[0] Operand 1
     /* 2242642 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242651 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242655 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242671 */   // GIR_Coverage, 48373,
     /* 2242671 */   GIR_EraseRootFromParent_Done,
     /* 2242672 */ // Label 30033: @2242672
     /* 2242672 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2242720), // Rule ID 48386 //
     /* 2242677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242683 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242690 */   // MIs[0] Operand 1
     /* 2242690 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242699 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242703 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242710 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242719 */   // GIR_Coverage, 48386,
     /* 2242719 */   GIR_EraseRootFromParent_Done,
     /* 2242720 */ // Label 30034: @2242720
     /* 2242720 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2242768), // Rule ID 48387 //
     /* 2242725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242731 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242738 */   // MIs[0] Operand 1
     /* 2242738 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242747 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242751 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242756 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242758 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242767 */   // GIR_Coverage, 48387,
     /* 2242767 */   GIR_EraseRootFromParent_Done,
     /* 2242768 */ // Label 30035: @2242768
     /* 2242768 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2242816), // Rule ID 48394 //
     /* 2242773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242779 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242786 */   // MIs[0] Operand 1
     /* 2242786 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242795 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242799 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242804 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242806 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242815 */   // GIR_Coverage, 48394,
     /* 2242815 */   GIR_EraseRootFromParent_Done,
     /* 2242816 */ // Label 30036: @2242816
     /* 2242816 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2242864), // Rule ID 48395 //
     /* 2242821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242827 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242834 */   // MIs[0] Operand 1
     /* 2242834 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242843 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242847 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242852 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242854 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242863 */   // GIR_Coverage, 48395,
     /* 2242863 */   GIR_EraseRootFromParent_Done,
     /* 2242864 */ // Label 30037: @2242864
     /* 2242864 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2242912), // Rule ID 48402 //
     /* 2242869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242882 */   // MIs[0] Operand 1
     /* 2242882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242895 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242911 */   // GIR_Coverage, 48402,
     /* 2242911 */   GIR_EraseRootFromParent_Done,
     /* 2242912 */ // Label 30038: @2242912
     /* 2242912 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2242960), // Rule ID 48403 //
     /* 2242917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242930 */   // MIs[0] Operand 1
     /* 2242930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242943 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242959 */   // GIR_Coverage, 48403,
     /* 2242959 */   GIR_EraseRootFromParent_Done,
     /* 2242960 */ // Label 30039: @2242960
     /* 2242960 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2243008), // Rule ID 48416 //
     /* 2242965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242978 */   // MIs[0] Operand 1
     /* 2242978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242991 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2242994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243007 */   // GIR_Coverage, 48416,
     /* 2243007 */   GIR_EraseRootFromParent_Done,
     /* 2243008 */ // Label 30040: @2243008
     /* 2243008 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2243056), // Rule ID 48417 //
     /* 2243013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243019 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243026 */   // MIs[0] Operand 1
     /* 2243026 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243035 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243039 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2243042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243055 */   // GIR_Coverage, 48417,
     /* 2243055 */   GIR_EraseRootFromParent_Done,
     /* 2243056 */ // Label 30041: @2243056
     /* 2243056 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2243104), // Rule ID 48430 //
     /* 2243061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243067 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243074 */   // MIs[0] Operand 1
     /* 2243074 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243083 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243087 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2243090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243092 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243094 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243103 */   // GIR_Coverage, 48430,
     /* 2243103 */   GIR_EraseRootFromParent_Done,
     /* 2243104 */ // Label 30042: @2243104
     /* 2243104 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2243152), // Rule ID 48431 //
     /* 2243109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243115 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243122 */   // MIs[0] Operand 1
     /* 2243122 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243131 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243135 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2243138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243142 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243151 */   // GIR_Coverage, 48431,
     /* 2243151 */   GIR_EraseRootFromParent_Done,
     /* 2243152 */ // Label 30043: @2243152
     /* 2243152 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2243200), // Rule ID 48438 //
     /* 2243157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243170 */   // MIs[0] Operand 1
     /* 2243170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243183 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243199 */   // GIR_Coverage, 48438,
     /* 2243199 */   GIR_EraseRootFromParent_Done,
     /* 2243200 */ // Label 30044: @2243200
     /* 2243200 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2243248), // Rule ID 48439 //
     /* 2243205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243218 */   // MIs[0] Operand 1
     /* 2243218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243231 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243247 */   // GIR_Coverage, 48439,
     /* 2243247 */   GIR_EraseRootFromParent_Done,
     /* 2243248 */ // Label 30045: @2243248
     /* 2243248 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2243296), // Rule ID 48446 //
     /* 2243253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243266 */   // MIs[0] Operand 1
     /* 2243266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243279 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2243282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243295 */   // GIR_Coverage, 48446,
     /* 2243295 */   GIR_EraseRootFromParent_Done,
     /* 2243296 */ // Label 30046: @2243296
     /* 2243296 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2243344), // Rule ID 48447 //
     /* 2243301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243307 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243314 */   // MIs[0] Operand 1
     /* 2243314 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243323 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243327 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2243330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243343 */   // GIR_Coverage, 48447,
     /* 2243343 */   GIR_EraseRootFromParent_Done,
     /* 2243344 */ // Label 30047: @2243344
     /* 2243344 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2243392), // Rule ID 48460 //
     /* 2243349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243362 */   // MIs[0] Operand 1
     /* 2243362 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243371 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243375 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243391 */   // GIR_Coverage, 48460,
     /* 2243391 */   GIR_EraseRootFromParent_Done,
     /* 2243392 */ // Label 30048: @2243392
     /* 2243392 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2243440), // Rule ID 48461 //
     /* 2243397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243410 */   // MIs[0] Operand 1
     /* 2243410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243423 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243439 */   // GIR_Coverage, 48461,
     /* 2243439 */   GIR_EraseRootFromParent_Done,
     /* 2243440 */ // Label 30049: @2243440
     /* 2243440 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2243488), // Rule ID 48474 //
     /* 2243445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243458 */   // MIs[0] Operand 1
     /* 2243458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243467 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243471 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243478 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243487 */   // GIR_Coverage, 48474,
     /* 2243487 */   GIR_EraseRootFromParent_Done,
     /* 2243488 */ // Label 30050: @2243488
     /* 2243488 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2243536), // Rule ID 48475 //
     /* 2243493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243506 */   // MIs[0] Operand 1
     /* 2243506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243519 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243524 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243535 */   // GIR_Coverage, 48475,
     /* 2243535 */   GIR_EraseRootFromParent_Done,
     /* 2243536 */ // Label 30051: @2243536
     /* 2243536 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2243584), // Rule ID 48482 //
     /* 2243541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243554 */   // MIs[0] Operand 1
     /* 2243554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243567 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243583 */   // GIR_Coverage, 48482,
     /* 2243583 */   GIR_EraseRootFromParent_Done,
     /* 2243584 */ // Label 30052: @2243584
     /* 2243584 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2243632), // Rule ID 48483 //
     /* 2243589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243602 */   // MIs[0] Operand 1
     /* 2243602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243611 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243615 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243622 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243631 */   // GIR_Coverage, 48483,
     /* 2243631 */   GIR_EraseRootFromParent_Done,
     /* 2243632 */ // Label 30053: @2243632
     /* 2243632 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2243680), // Rule ID 48490 //
     /* 2243637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243650 */   // MIs[0] Operand 1
     /* 2243650 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243659 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243663 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243679 */   // GIR_Coverage, 48490,
     /* 2243679 */   GIR_EraseRootFromParent_Done,
     /* 2243680 */ // Label 30054: @2243680
     /* 2243680 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2243728), // Rule ID 48491 //
     /* 2243685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243691 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243698 */   // MIs[0] Operand 1
     /* 2243698 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243707 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243711 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243727 */   // GIR_Coverage, 48491,
     /* 2243727 */   GIR_EraseRootFromParent_Done,
     /* 2243728 */ // Label 30055: @2243728
     /* 2243728 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2243776), // Rule ID 48502 //
     /* 2243733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243746 */   // MIs[0] Operand 1
     /* 2243746 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243755 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243759 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243775 */   // GIR_Coverage, 48502,
     /* 2243775 */   GIR_EraseRootFromParent_Done,
     /* 2243776 */ // Label 30056: @2243776
     /* 2243776 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2243824), // Rule ID 48503 //
     /* 2243781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243794 */   // MIs[0] Operand 1
     /* 2243794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243807 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243823 */   // GIR_Coverage, 48503,
     /* 2243823 */   GIR_EraseRootFromParent_Done,
     /* 2243824 */ // Label 30057: @2243824
     /* 2243824 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2243872), // Rule ID 48516 //
     /* 2243829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243842 */   // MIs[0] Operand 1
     /* 2243842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243855 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243871 */   // GIR_Coverage, 48516,
     /* 2243871 */   GIR_EraseRootFromParent_Done,
     /* 2243872 */ // Label 30058: @2243872
     /* 2243872 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2243920), // Rule ID 48517 //
     /* 2243877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243890 */   // MIs[0] Operand 1
     /* 2243890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243899 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243903 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243919 */   // GIR_Coverage, 48517,
     /* 2243919 */   GIR_EraseRootFromParent_Done,
     /* 2243920 */ // Label 30059: @2243920
     /* 2243920 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2243968), // Rule ID 48524 //
     /* 2243925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243938 */   // MIs[0] Operand 1
     /* 2243938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243951 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243967 */   // GIR_Coverage, 48524,
     /* 2243967 */   GIR_EraseRootFromParent_Done,
     /* 2243968 */ // Label 30060: @2243968
     /* 2243968 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2244016), // Rule ID 48525 //
     /* 2243973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243986 */   // MIs[0] Operand 1
     /* 2243986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243999 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2244002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244015 */   // GIR_Coverage, 48525,
     /* 2244015 */   GIR_EraseRootFromParent_Done,
     /* 2244016 */ // Label 30061: @2244016
     /* 2244016 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2244064), // Rule ID 48532 //
     /* 2244021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244034 */   // MIs[0] Operand 1
     /* 2244034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244047 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2244050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244063 */   // GIR_Coverage, 48532,
     /* 2244063 */   GIR_EraseRootFromParent_Done,
     /* 2244064 */ // Label 30062: @2244064
     /* 2244064 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2244112), // Rule ID 48533 //
     /* 2244069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244082 */   // MIs[0] Operand 1
     /* 2244082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244095 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2244098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244111 */   // GIR_Coverage, 48533,
     /* 2244111 */   GIR_EraseRootFromParent_Done,
     /* 2244112 */ // Label 30063: @2244112
     /* 2244112 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2244160), // Rule ID 48546 //
     /* 2244117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244130 */   // MIs[0] Operand 1
     /* 2244130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244143 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244159 */   // GIR_Coverage, 48546,
     /* 2244159 */   GIR_EraseRootFromParent_Done,
     /* 2244160 */ // Label 30064: @2244160
     /* 2244160 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2244208), // Rule ID 48547 //
     /* 2244165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244178 */   // MIs[0] Operand 1
     /* 2244178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244191 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244207 */   // GIR_Coverage, 48547,
     /* 2244207 */   GIR_EraseRootFromParent_Done,
     /* 2244208 */ // Label 30065: @2244208
     /* 2244208 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2244256), // Rule ID 48560 //
     /* 2244213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244226 */   // MIs[0] Operand 1
     /* 2244226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244239 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244255 */   // GIR_Coverage, 48560,
     /* 2244255 */   GIR_EraseRootFromParent_Done,
     /* 2244256 */ // Label 30066: @2244256
     /* 2244256 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2244304), // Rule ID 48561 //
     /* 2244261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244274 */   // MIs[0] Operand 1
     /* 2244274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244287 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244292 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244303 */   // GIR_Coverage, 48561,
     /* 2244303 */   GIR_EraseRootFromParent_Done,
     /* 2244304 */ // Label 30067: @2244304
     /* 2244304 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2244352), // Rule ID 48568 //
     /* 2244309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244315 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244322 */   // MIs[0] Operand 1
     /* 2244322 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244335 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244351 */   // GIR_Coverage, 48568,
     /* 2244351 */   GIR_EraseRootFromParent_Done,
     /* 2244352 */ // Label 30068: @2244352
     /* 2244352 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2244400), // Rule ID 48569 //
     /* 2244357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244370 */   // MIs[0] Operand 1
     /* 2244370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244379 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244383 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244399 */   // GIR_Coverage, 48569,
     /* 2244399 */   GIR_EraseRootFromParent_Done,
     /* 2244400 */ // Label 30069: @2244400
     /* 2244400 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2244448), // Rule ID 48576 //
     /* 2244405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244418 */   // MIs[0] Operand 1
     /* 2244418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244431 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244447 */   // GIR_Coverage, 48576,
     /* 2244447 */   GIR_EraseRootFromParent_Done,
     /* 2244448 */ // Label 30070: @2244448
     /* 2244448 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2244496), // Rule ID 48577 //
     /* 2244453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244466 */   // MIs[0] Operand 1
     /* 2244466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244479 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244495 */   // GIR_Coverage, 48577,
     /* 2244495 */   GIR_EraseRootFromParent_Done,
     /* 2244496 */ // Label 30071: @2244496
     /* 2244496 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2244544), // Rule ID 48590 //
     /* 2244501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244514 */   // MIs[0] Operand 1
     /* 2244514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244527 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244543 */   // GIR_Coverage, 48590,
     /* 2244543 */   GIR_EraseRootFromParent_Done,
     /* 2244544 */ // Label 30072: @2244544
     /* 2244544 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2244592), // Rule ID 48591 //
     /* 2244549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244562 */   // MIs[0] Operand 1
     /* 2244562 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244571 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244575 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244591 */   // GIR_Coverage, 48591,
     /* 2244591 */   GIR_EraseRootFromParent_Done,
     /* 2244592 */ // Label 30073: @2244592
     /* 2244592 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2244640), // Rule ID 48604 //
     /* 2244597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244610 */   // MIs[0] Operand 1
     /* 2244610 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244623 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244639 */   // GIR_Coverage, 48604,
     /* 2244639 */   GIR_EraseRootFromParent_Done,
     /* 2244640 */ // Label 30074: @2244640
     /* 2244640 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2244688), // Rule ID 48605 //
     /* 2244645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244658 */   // MIs[0] Operand 1
     /* 2244658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244671 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244676 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244678 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244687 */   // GIR_Coverage, 48605,
     /* 2244687 */   GIR_EraseRootFromParent_Done,
     /* 2244688 */ // Label 30075: @2244688
     /* 2244688 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2244736), // Rule ID 48612 //
     /* 2244693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244706 */   // MIs[0] Operand 1
     /* 2244706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244719 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244726 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244735 */   // GIR_Coverage, 48612,
     /* 2244735 */   GIR_EraseRootFromParent_Done,
     /* 2244736 */ // Label 30076: @2244736
     /* 2244736 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2244784), // Rule ID 48613 //
     /* 2244741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244754 */   // MIs[0] Operand 1
     /* 2244754 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244763 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244767 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244783 */   // GIR_Coverage, 48613,
     /* 2244783 */   GIR_EraseRootFromParent_Done,
     /* 2244784 */ // Label 30077: @2244784
     /* 2244784 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2244832), // Rule ID 48620 //
     /* 2244789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244802 */   // MIs[0] Operand 1
     /* 2244802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244815 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244831 */   // GIR_Coverage, 48620,
     /* 2244831 */   GIR_EraseRootFromParent_Done,
     /* 2244832 */ // Label 30078: @2244832
     /* 2244832 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2244880), // Rule ID 48621 //
     /* 2244837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244850 */   // MIs[0] Operand 1
     /* 2244850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244863 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244879 */   // GIR_Coverage, 48621,
     /* 2244879 */   GIR_EraseRootFromParent_Done,
     /* 2244880 */ // Label 30079: @2244880
     /* 2244880 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2244928), // Rule ID 48634 //
     /* 2244885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244898 */   // MIs[0] Operand 1
     /* 2244898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244911 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244927 */   // GIR_Coverage, 48634,
     /* 2244927 */   GIR_EraseRootFromParent_Done,
     /* 2244928 */ // Label 30080: @2244928
     /* 2244928 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2244976), // Rule ID 48635 //
     /* 2244933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244946 */   // MIs[0] Operand 1
     /* 2244946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244959 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244964 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244975 */   // GIR_Coverage, 48635,
     /* 2244975 */   GIR_EraseRootFromParent_Done,
     /* 2244976 */ // Label 30081: @2244976
     /* 2244976 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2245024), // Rule ID 48648 //
     /* 2244981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244994 */   // MIs[0] Operand 1
     /* 2244994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245007 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245012 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245023 */   // GIR_Coverage, 48648,
     /* 2245023 */   GIR_EraseRootFromParent_Done,
     /* 2245024 */ // Label 30082: @2245024
     /* 2245024 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2245072), // Rule ID 48649 //
     /* 2245029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245042 */   // MIs[0] Operand 1
     /* 2245042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245055 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245060 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245071 */   // GIR_Coverage, 48649,
     /* 2245071 */   GIR_EraseRootFromParent_Done,
     /* 2245072 */ // Label 30083: @2245072
     /* 2245072 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2245120), // Rule ID 48656 //
     /* 2245077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245090 */   // MIs[0] Operand 1
     /* 2245090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245103 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245119 */   // GIR_Coverage, 48656,
     /* 2245119 */   GIR_EraseRootFromParent_Done,
     /* 2245120 */ // Label 30084: @2245120
     /* 2245120 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2245168), // Rule ID 48657 //
     /* 2245125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245138 */   // MIs[0] Operand 1
     /* 2245138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245151 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245167 */   // GIR_Coverage, 48657,
     /* 2245167 */   GIR_EraseRootFromParent_Done,
     /* 2245168 */ // Label 30085: @2245168
     /* 2245168 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2245216), // Rule ID 48664 //
     /* 2245173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245186 */   // MIs[0] Operand 1
     /* 2245186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245199 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245215 */   // GIR_Coverage, 48664,
     /* 2245215 */   GIR_EraseRootFromParent_Done,
     /* 2245216 */ // Label 30086: @2245216
     /* 2245216 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2245264), // Rule ID 48665 //
     /* 2245221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245234 */   // MIs[0] Operand 1
     /* 2245234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245247 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245252 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245254 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245263 */   // GIR_Coverage, 48665,
     /* 2245263 */   GIR_EraseRootFromParent_Done,
     /* 2245264 */ // Label 30087: @2245264
     /* 2245264 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2245312), // Rule ID 48678 //
     /* 2245269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245282 */   // MIs[0] Operand 1
     /* 2245282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245295 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245300 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245311 */   // GIR_Coverage, 48678,
     /* 2245311 */   GIR_EraseRootFromParent_Done,
     /* 2245312 */ // Label 30088: @2245312
     /* 2245312 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2245360), // Rule ID 48679 //
     /* 2245317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245330 */   // MIs[0] Operand 1
     /* 2245330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245343 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245348 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245359 */   // GIR_Coverage, 48679,
     /* 2245359 */   GIR_EraseRootFromParent_Done,
     /* 2245360 */ // Label 30089: @2245360
     /* 2245360 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2245408), // Rule ID 48692 //
     /* 2245365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245378 */   // MIs[0] Operand 1
     /* 2245378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245391 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245407 */   // GIR_Coverage, 48692,
     /* 2245407 */   GIR_EraseRootFromParent_Done,
     /* 2245408 */ // Label 30090: @2245408
     /* 2245408 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2245456), // Rule ID 48693 //
     /* 2245413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245426 */   // MIs[0] Operand 1
     /* 2245426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245439 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245455 */   // GIR_Coverage, 48693,
     /* 2245455 */   GIR_EraseRootFromParent_Done,
     /* 2245456 */ // Label 30091: @2245456
     /* 2245456 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2245504), // Rule ID 48700 //
     /* 2245461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245474 */   // MIs[0] Operand 1
     /* 2245474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245487 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245503 */   // GIR_Coverage, 48700,
     /* 2245503 */   GIR_EraseRootFromParent_Done,
     /* 2245504 */ // Label 30092: @2245504
     /* 2245504 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2245552), // Rule ID 48701 //
     /* 2245509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245522 */   // MIs[0] Operand 1
     /* 2245522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245535 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245540 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245551 */   // GIR_Coverage, 48701,
     /* 2245551 */   GIR_EraseRootFromParent_Done,
     /* 2245552 */ // Label 30093: @2245552
     /* 2245552 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2245600), // Rule ID 48708 //
     /* 2245557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245570 */   // MIs[0] Operand 1
     /* 2245570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245583 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245588 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245599 */   // GIR_Coverage, 48708,
     /* 2245599 */   GIR_EraseRootFromParent_Done,
     /* 2245600 */ // Label 30094: @2245600
     /* 2245600 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2245648), // Rule ID 48709 //
     /* 2245605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245618 */   // MIs[0] Operand 1
     /* 2245618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245631 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245636 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245647 */   // GIR_Coverage, 48709,
     /* 2245647 */   GIR_EraseRootFromParent_Done,
     /* 2245648 */ // Label 30095: @2245648
     /* 2245648 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2245696), // Rule ID 48722 //
     /* 2245653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245666 */   // MIs[0] Operand 1
     /* 2245666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245679 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245684 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245695 */   // GIR_Coverage, 48722,
     /* 2245695 */   GIR_EraseRootFromParent_Done,
     /* 2245696 */ // Label 30096: @2245696
     /* 2245696 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2245744), // Rule ID 48723 //
     /* 2245701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245714 */   // MIs[0] Operand 1
     /* 2245714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245727 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245743 */   // GIR_Coverage, 48723,
     /* 2245743 */   GIR_EraseRootFromParent_Done,
     /* 2245744 */ // Label 30097: @2245744
     /* 2245744 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2245792), // Rule ID 48736 //
     /* 2245749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245755 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245762 */   // MIs[0] Operand 1
     /* 2245762 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245775 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245780 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245782 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245791 */   // GIR_Coverage, 48736,
     /* 2245791 */   GIR_EraseRootFromParent_Done,
     /* 2245792 */ // Label 30098: @2245792
     /* 2245792 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2245840), // Rule ID 48737 //
     /* 2245797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245810 */   // MIs[0] Operand 1
     /* 2245810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245823 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245828 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245839 */   // GIR_Coverage, 48737,
     /* 2245839 */   GIR_EraseRootFromParent_Done,
     /* 2245840 */ // Label 30099: @2245840
     /* 2245840 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2245888), // Rule ID 48744 //
     /* 2245845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245858 */   // MIs[0] Operand 1
     /* 2245858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245871 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245887 */   // GIR_Coverage, 48744,
     /* 2245887 */   GIR_EraseRootFromParent_Done,
     /* 2245888 */ // Label 30100: @2245888
     /* 2245888 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2245936), // Rule ID 48745 //
     /* 2245893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245906 */   // MIs[0] Operand 1
     /* 2245906 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245919 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245924 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245926 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245935 */   // GIR_Coverage, 48745,
     /* 2245935 */   GIR_EraseRootFromParent_Done,
     /* 2245936 */ // Label 30101: @2245936
     /* 2245936 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2245984), // Rule ID 48752 //
     /* 2245941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245954 */   // MIs[0] Operand 1
     /* 2245954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245967 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245972 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245974 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245983 */   // GIR_Coverage, 48752,
     /* 2245983 */   GIR_EraseRootFromParent_Done,
     /* 2245984 */ // Label 30102: @2245984
     /* 2245984 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2246032), // Rule ID 48753 //
     /* 2245989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246002 */   // MIs[0] Operand 1
     /* 2246002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246015 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2246018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246022 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246031 */   // GIR_Coverage, 48753,
     /* 2246031 */   GIR_EraseRootFromParent_Done,
     /* 2246032 */ // Label 30103: @2246032
     /* 2246032 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2246080), // Rule ID 48766 //
     /* 2246037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2246043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2246046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246050 */   // MIs[0] Operand 1
     /* 2246050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246063 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246079 */   // GIR_Coverage, 48766,
     /* 2246079 */   GIR_EraseRootFromParent_Done,
     /* 2246080 */ // Label 30104: @2246080
     /* 2246080 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2246128), // Rule ID 48767 //
     /* 2246085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2246091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2246094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246098 */   // MIs[0] Operand 1
     /* 2246098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246107 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246111 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246127 */   // GIR_Coverage, 48767,
     /* 2246127 */   GIR_EraseRootFromParent_Done,
     /* 2246128 */ // Label 30105: @2246128
     /* 2246128 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2246176), // Rule ID 48780 //
     /* 2246133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2246139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2246142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246146 */   // MIs[0] Operand 1
     /* 2246146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246159 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246175 */   // GIR_Coverage, 48780,
     /* 2246175 */   GIR_EraseRootFromParent_Done,
     /* 2246176 */ // Label 30106: @2246176
     /* 2246176 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2246224), // Rule ID 48781 //
     /* 2246181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2246187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2246190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246194 */   // MIs[0] Operand 1
     /* 2246194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246207 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246212 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246223 */   // GIR_Coverage, 48781,
     /* 2246223 */   GIR_EraseRootFromParent_Done,
     /* 2246224 */ // Label 30107: @2246224
     /* 2246224 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2246272), // Rule ID 48788 //
     /* 2246229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2246235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2246238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246242 */   // MIs[0] Operand 1
     /* 2246242 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246251 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246255 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246271 */   // GIR_Coverage, 48788,
     /* 2246271 */   GIR_EraseRootFromParent_Done,
     /* 2246272 */ // Label 30108: @2246272
     /* 2246272 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2246320), // Rule ID 48789 //
     /* 2246277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2246283 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2246286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246290 */   // MIs[0] Operand 1
     /* 2246290 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246303 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246319 */   // GIR_Coverage, 48789,
     /* 2246319 */   GIR_EraseRootFromParent_Done,
     /* 2246320 */ // Label 30109: @2246320
     /* 2246320 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2246368), // Rule ID 48796 //
     /* 2246325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2246331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2246334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246338 */   // MIs[0] Operand 1
     /* 2246338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246351 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2246354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246367 */   // GIR_Coverage, 48796,
     /* 2246367 */   GIR_EraseRootFromParent_Done,
     /* 2246368 */ // Label 30110: @2246368
     /* 2246368 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2246416), // Rule ID 48797 //
     /* 2246373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2246379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2246382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246386 */   // MIs[0] Operand 1
     /* 2246386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246399 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2246402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246415 */   // GIR_Coverage, 48797,
     /* 2246415 */   GIR_EraseRootFromParent_Done,
     /* 2246416 */ // Label 30111: @2246416
     /* 2246416 */ GIM_Reject,
     /* 2246417 */ // Label 29694: @2246417
     /* 2246417 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2246465), // Rule ID 48380 //
     /* 2246422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246435 */   // MIs[0] Operand 1
     /* 2246435 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246448 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246464 */   // GIR_Coverage, 48380,
     /* 2246464 */   GIR_EraseRootFromParent_Done,
     /* 2246465 */ // Label 30112: @2246465
     /* 2246465 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2246513), // Rule ID 48381 //
     /* 2246470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246483 */   // MIs[0] Operand 1
     /* 2246483 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246492 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246496 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246501 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246503 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246512 */   // GIR_Coverage, 48381,
     /* 2246512 */   GIR_EraseRootFromParent_Done,
     /* 2246513 */ // Label 30113: @2246513
     /* 2246513 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2246561), // Rule ID 48388 //
     /* 2246518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246531 */   // MIs[0] Operand 1
     /* 2246531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246544 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246551 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246560 */   // GIR_Coverage, 48388,
     /* 2246560 */   GIR_EraseRootFromParent_Done,
     /* 2246561 */ // Label 30114: @2246561
     /* 2246561 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2246609), // Rule ID 48389 //
     /* 2246566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246579 */   // MIs[0] Operand 1
     /* 2246579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246592 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246597 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246608 */   // GIR_Coverage, 48389,
     /* 2246608 */   GIR_EraseRootFromParent_Done,
     /* 2246609 */ // Label 30115: @2246609
     /* 2246609 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2246657), // Rule ID 48396 //
     /* 2246614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246627 */   // MIs[0] Operand 1
     /* 2246627 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246636 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246640 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246645 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246647 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246656 */   // GIR_Coverage, 48396,
     /* 2246656 */   GIR_EraseRootFromParent_Done,
     /* 2246657 */ // Label 30116: @2246657
     /* 2246657 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2246705), // Rule ID 48397 //
     /* 2246662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246675 */   // MIs[0] Operand 1
     /* 2246675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246688 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246704 */   // GIR_Coverage, 48397,
     /* 2246704 */   GIR_EraseRootFromParent_Done,
     /* 2246705 */ // Label 30117: @2246705
     /* 2246705 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2246753), // Rule ID 48424 //
     /* 2246710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246723 */   // MIs[0] Operand 1
     /* 2246723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246736 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246752 */   // GIR_Coverage, 48424,
     /* 2246752 */   GIR_EraseRootFromParent_Done,
     /* 2246753 */ // Label 30118: @2246753
     /* 2246753 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2246801), // Rule ID 48425 //
     /* 2246758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246771 */   // MIs[0] Operand 1
     /* 2246771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246784 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246800 */   // GIR_Coverage, 48425,
     /* 2246800 */   GIR_EraseRootFromParent_Done,
     /* 2246801 */ // Label 30119: @2246801
     /* 2246801 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2246849), // Rule ID 48432 //
     /* 2246806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246819 */   // MIs[0] Operand 1
     /* 2246819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246832 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246848 */   // GIR_Coverage, 48432,
     /* 2246848 */   GIR_EraseRootFromParent_Done,
     /* 2246849 */ // Label 30120: @2246849
     /* 2246849 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2246897), // Rule ID 48433 //
     /* 2246854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246867 */   // MIs[0] Operand 1
     /* 2246867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246880 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246896 */   // GIR_Coverage, 48433,
     /* 2246896 */   GIR_EraseRootFromParent_Done,
     /* 2246897 */ // Label 30121: @2246897
     /* 2246897 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2246945), // Rule ID 48440 //
     /* 2246902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246915 */   // MIs[0] Operand 1
     /* 2246915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246928 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246944 */   // GIR_Coverage, 48440,
     /* 2246944 */   GIR_EraseRootFromParent_Done,
     /* 2246945 */ // Label 30122: @2246945
     /* 2246945 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2246993), // Rule ID 48441 //
     /* 2246950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246956 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246963 */   // MIs[0] Operand 1
     /* 2246963 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246976 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246983 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246992 */   // GIR_Coverage, 48441,
     /* 2246992 */   GIR_EraseRootFromParent_Done,
     /* 2246993 */ // Label 30123: @2246993
     /* 2246993 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2247041), // Rule ID 48468 //
     /* 2246998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247011 */   // MIs[0] Operand 1
     /* 2247011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247024 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247040 */   // GIR_Coverage, 48468,
     /* 2247040 */   GIR_EraseRootFromParent_Done,
     /* 2247041 */ // Label 30124: @2247041
     /* 2247041 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2247089), // Rule ID 48469 //
     /* 2247046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247059 */   // MIs[0] Operand 1
     /* 2247059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247072 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247079 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247088 */   // GIR_Coverage, 48469,
     /* 2247088 */   GIR_EraseRootFromParent_Done,
     /* 2247089 */ // Label 30125: @2247089
     /* 2247089 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2247137), // Rule ID 48476 //
     /* 2247094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247107 */   // MIs[0] Operand 1
     /* 2247107 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247116 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247120 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247127 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247136 */   // GIR_Coverage, 48476,
     /* 2247136 */   GIR_EraseRootFromParent_Done,
     /* 2247137 */ // Label 30126: @2247137
     /* 2247137 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2247185), // Rule ID 48477 //
     /* 2247142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247155 */   // MIs[0] Operand 1
     /* 2247155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247168 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247175 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247184 */   // GIR_Coverage, 48477,
     /* 2247184 */   GIR_EraseRootFromParent_Done,
     /* 2247185 */ // Label 30127: @2247185
     /* 2247185 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2247233), // Rule ID 48484 //
     /* 2247190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247203 */   // MIs[0] Operand 1
     /* 2247203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247216 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247232 */   // GIR_Coverage, 48484,
     /* 2247232 */   GIR_EraseRootFromParent_Done,
     /* 2247233 */ // Label 30128: @2247233
     /* 2247233 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2247281), // Rule ID 48485 //
     /* 2247238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247251 */   // MIs[0] Operand 1
     /* 2247251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247264 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247280 */   // GIR_Coverage, 48485,
     /* 2247280 */   GIR_EraseRootFromParent_Done,
     /* 2247281 */ // Label 30129: @2247281
     /* 2247281 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2247329), // Rule ID 48510 //
     /* 2247286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247299 */   // MIs[0] Operand 1
     /* 2247299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247312 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247319 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247328 */   // GIR_Coverage, 48510,
     /* 2247328 */   GIR_EraseRootFromParent_Done,
     /* 2247329 */ // Label 30130: @2247329
     /* 2247329 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2247377), // Rule ID 48511 //
     /* 2247334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247347 */   // MIs[0] Operand 1
     /* 2247347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247360 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247367 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247376 */   // GIR_Coverage, 48511,
     /* 2247376 */   GIR_EraseRootFromParent_Done,
     /* 2247377 */ // Label 30131: @2247377
     /* 2247377 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2247425), // Rule ID 48518 //
     /* 2247382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247395 */   // MIs[0] Operand 1
     /* 2247395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247408 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247415 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247424 */   // GIR_Coverage, 48518,
     /* 2247424 */   GIR_EraseRootFromParent_Done,
     /* 2247425 */ // Label 30132: @2247425
     /* 2247425 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2247473), // Rule ID 48519 //
     /* 2247430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247443 */   // MIs[0] Operand 1
     /* 2247443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247456 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247461 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247463 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247472 */   // GIR_Coverage, 48519,
     /* 2247472 */   GIR_EraseRootFromParent_Done,
     /* 2247473 */ // Label 30133: @2247473
     /* 2247473 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2247521), // Rule ID 48526 //
     /* 2247478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247491 */   // MIs[0] Operand 1
     /* 2247491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247504 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247509 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247511 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247520 */   // GIR_Coverage, 48526,
     /* 2247520 */   GIR_EraseRootFromParent_Done,
     /* 2247521 */ // Label 30134: @2247521
     /* 2247521 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2247569), // Rule ID 48527 //
     /* 2247526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247539 */   // MIs[0] Operand 1
     /* 2247539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247552 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247557 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247559 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247568 */   // GIR_Coverage, 48527,
     /* 2247568 */   GIR_EraseRootFromParent_Done,
     /* 2247569 */ // Label 30135: @2247569
     /* 2247569 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2247617), // Rule ID 48554 //
     /* 2247574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247587 */   // MIs[0] Operand 1
     /* 2247587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247600 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247607 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247616 */   // GIR_Coverage, 48554,
     /* 2247616 */   GIR_EraseRootFromParent_Done,
     /* 2247617 */ // Label 30136: @2247617
     /* 2247617 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2247665), // Rule ID 48555 //
     /* 2247622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247635 */   // MIs[0] Operand 1
     /* 2247635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247648 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247664 */   // GIR_Coverage, 48555,
     /* 2247664 */   GIR_EraseRootFromParent_Done,
     /* 2247665 */ // Label 30137: @2247665
     /* 2247665 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2247713), // Rule ID 48562 //
     /* 2247670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247683 */   // MIs[0] Operand 1
     /* 2247683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247696 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247712 */   // GIR_Coverage, 48562,
     /* 2247712 */   GIR_EraseRootFromParent_Done,
     /* 2247713 */ // Label 30138: @2247713
     /* 2247713 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2247761), // Rule ID 48563 //
     /* 2247718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247731 */   // MIs[0] Operand 1
     /* 2247731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247744 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247760 */   // GIR_Coverage, 48563,
     /* 2247760 */   GIR_EraseRootFromParent_Done,
     /* 2247761 */ // Label 30139: @2247761
     /* 2247761 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2247809), // Rule ID 48570 //
     /* 2247766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247779 */   // MIs[0] Operand 1
     /* 2247779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247792 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247808 */   // GIR_Coverage, 48570,
     /* 2247808 */   GIR_EraseRootFromParent_Done,
     /* 2247809 */ // Label 30140: @2247809
     /* 2247809 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2247857), // Rule ID 48571 //
     /* 2247814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247827 */   // MIs[0] Operand 1
     /* 2247827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247840 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247847 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247856 */   // GIR_Coverage, 48571,
     /* 2247856 */   GIR_EraseRootFromParent_Done,
     /* 2247857 */ // Label 30141: @2247857
     /* 2247857 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2247905), // Rule ID 48598 //
     /* 2247862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247875 */   // MIs[0] Operand 1
     /* 2247875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247888 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247904 */   // GIR_Coverage, 48598,
     /* 2247904 */   GIR_EraseRootFromParent_Done,
     /* 2247905 */ // Label 30142: @2247905
     /* 2247905 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2247953), // Rule ID 48599 //
     /* 2247910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247923 */   // MIs[0] Operand 1
     /* 2247923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247936 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247941 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247952 */   // GIR_Coverage, 48599,
     /* 2247952 */   GIR_EraseRootFromParent_Done,
     /* 2247953 */ // Label 30143: @2247953
     /* 2247953 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2248001), // Rule ID 48606 //
     /* 2247958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247971 */   // MIs[0] Operand 1
     /* 2247971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247984 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247991 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248000 */   // GIR_Coverage, 48606,
     /* 2248000 */   GIR_EraseRootFromParent_Done,
     /* 2248001 */ // Label 30144: @2248001
     /* 2248001 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2248049), // Rule ID 48607 //
     /* 2248006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248019 */   // MIs[0] Operand 1
     /* 2248019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248032 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248039 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248048 */   // GIR_Coverage, 48607,
     /* 2248048 */   GIR_EraseRootFromParent_Done,
     /* 2248049 */ // Label 30145: @2248049
     /* 2248049 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2248097), // Rule ID 48614 //
     /* 2248054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248067 */   // MIs[0] Operand 1
     /* 2248067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248080 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248085 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248096 */   // GIR_Coverage, 48614,
     /* 2248096 */   GIR_EraseRootFromParent_Done,
     /* 2248097 */ // Label 30146: @2248097
     /* 2248097 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2248145), // Rule ID 48615 //
     /* 2248102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248115 */   // MIs[0] Operand 1
     /* 2248115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248128 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248133 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248135 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248144 */   // GIR_Coverage, 48615,
     /* 2248144 */   GIR_EraseRootFromParent_Done,
     /* 2248145 */ // Label 30147: @2248145
     /* 2248145 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2248193), // Rule ID 48642 //
     /* 2248150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248163 */   // MIs[0] Operand 1
     /* 2248163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248176 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248192 */   // GIR_Coverage, 48642,
     /* 2248192 */   GIR_EraseRootFromParent_Done,
     /* 2248193 */ // Label 30148: @2248193
     /* 2248193 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2248241), // Rule ID 48643 //
     /* 2248198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248211 */   // MIs[0] Operand 1
     /* 2248211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248224 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248240 */   // GIR_Coverage, 48643,
     /* 2248240 */   GIR_EraseRootFromParent_Done,
     /* 2248241 */ // Label 30149: @2248241
     /* 2248241 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2248289), // Rule ID 48650 //
     /* 2248246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248259 */   // MIs[0] Operand 1
     /* 2248259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248272 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248288 */   // GIR_Coverage, 48650,
     /* 2248288 */   GIR_EraseRootFromParent_Done,
     /* 2248289 */ // Label 30150: @2248289
     /* 2248289 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2248337), // Rule ID 48651 //
     /* 2248294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248307 */   // MIs[0] Operand 1
     /* 2248307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248320 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248336 */   // GIR_Coverage, 48651,
     /* 2248336 */   GIR_EraseRootFromParent_Done,
     /* 2248337 */ // Label 30151: @2248337
     /* 2248337 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2248385), // Rule ID 48658 //
     /* 2248342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248355 */   // MIs[0] Operand 1
     /* 2248355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248368 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248384 */   // GIR_Coverage, 48658,
     /* 2248384 */   GIR_EraseRootFromParent_Done,
     /* 2248385 */ // Label 30152: @2248385
     /* 2248385 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2248433), // Rule ID 48659 //
     /* 2248390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248403 */   // MIs[0] Operand 1
     /* 2248403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248416 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248432 */   // GIR_Coverage, 48659,
     /* 2248432 */   GIR_EraseRootFromParent_Done,
     /* 2248433 */ // Label 30153: @2248433
     /* 2248433 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2248481), // Rule ID 48686 //
     /* 2248438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248451 */   // MIs[0] Operand 1
     /* 2248451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248464 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248469 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248471 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248480 */   // GIR_Coverage, 48686,
     /* 2248480 */   GIR_EraseRootFromParent_Done,
     /* 2248481 */ // Label 30154: @2248481
     /* 2248481 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2248529), // Rule ID 48687 //
     /* 2248486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248499 */   // MIs[0] Operand 1
     /* 2248499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248512 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248517 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248519 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248528 */   // GIR_Coverage, 48687,
     /* 2248528 */   GIR_EraseRootFromParent_Done,
     /* 2248529 */ // Label 30155: @2248529
     /* 2248529 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2248577), // Rule ID 48694 //
     /* 2248534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248547 */   // MIs[0] Operand 1
     /* 2248547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248560 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248565 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248576 */   // GIR_Coverage, 48694,
     /* 2248576 */   GIR_EraseRootFromParent_Done,
     /* 2248577 */ // Label 30156: @2248577
     /* 2248577 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2248625), // Rule ID 48695 //
     /* 2248582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248595 */   // MIs[0] Operand 1
     /* 2248595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248608 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248624 */   // GIR_Coverage, 48695,
     /* 2248624 */   GIR_EraseRootFromParent_Done,
     /* 2248625 */ // Label 30157: @2248625
     /* 2248625 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2248673), // Rule ID 48702 //
     /* 2248630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248643 */   // MIs[0] Operand 1
     /* 2248643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248656 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248672 */   // GIR_Coverage, 48702,
     /* 2248672 */   GIR_EraseRootFromParent_Done,
     /* 2248673 */ // Label 30158: @2248673
     /* 2248673 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2248721), // Rule ID 48703 //
     /* 2248678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248691 */   // MIs[0] Operand 1
     /* 2248691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248704 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248720 */   // GIR_Coverage, 48703,
     /* 2248720 */   GIR_EraseRootFromParent_Done,
     /* 2248721 */ // Label 30159: @2248721
     /* 2248721 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2248769), // Rule ID 48730 //
     /* 2248726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248739 */   // MIs[0] Operand 1
     /* 2248739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248752 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248757 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248759 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248768 */   // GIR_Coverage, 48730,
     /* 2248768 */   GIR_EraseRootFromParent_Done,
     /* 2248769 */ // Label 30160: @2248769
     /* 2248769 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2248817), // Rule ID 48731 //
     /* 2248774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248787 */   // MIs[0] Operand 1
     /* 2248787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248800 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248807 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248816 */   // GIR_Coverage, 48731,
     /* 2248816 */   GIR_EraseRootFromParent_Done,
     /* 2248817 */ // Label 30161: @2248817
     /* 2248817 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2248865), // Rule ID 48738 //
     /* 2248822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248835 */   // MIs[0] Operand 1
     /* 2248835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248848 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248864 */   // GIR_Coverage, 48738,
     /* 2248864 */   GIR_EraseRootFromParent_Done,
     /* 2248865 */ // Label 30162: @2248865
     /* 2248865 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2248913), // Rule ID 48739 //
     /* 2248870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248883 */   // MIs[0] Operand 1
     /* 2248883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248896 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248912 */   // GIR_Coverage, 48739,
     /* 2248912 */   GIR_EraseRootFromParent_Done,
     /* 2248913 */ // Label 30163: @2248913
     /* 2248913 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2248961), // Rule ID 48746 //
     /* 2248918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248931 */   // MIs[0] Operand 1
     /* 2248931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248944 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248960 */   // GIR_Coverage, 48746,
     /* 2248960 */   GIR_EraseRootFromParent_Done,
     /* 2248961 */ // Label 30164: @2248961
     /* 2248961 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2249009), // Rule ID 48747 //
     /* 2248966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248979 */   // MIs[0] Operand 1
     /* 2248979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248992 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249008 */   // GIR_Coverage, 48747,
     /* 2249008 */   GIR_EraseRootFromParent_Done,
     /* 2249009 */ // Label 30165: @2249009
     /* 2249009 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2249057), // Rule ID 48774 //
     /* 2249014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2249020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2249023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249027 */   // MIs[0] Operand 1
     /* 2249027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249040 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2249043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249045 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249047 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249056 */   // GIR_Coverage, 48774,
     /* 2249056 */   GIR_EraseRootFromParent_Done,
     /* 2249057 */ // Label 30166: @2249057
     /* 2249057 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2249105), // Rule ID 48775 //
     /* 2249062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2249068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2249071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249075 */   // MIs[0] Operand 1
     /* 2249075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249088 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2249091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249095 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249104 */   // GIR_Coverage, 48775,
     /* 2249104 */   GIR_EraseRootFromParent_Done,
     /* 2249105 */ // Label 30167: @2249105
     /* 2249105 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2249153), // Rule ID 48782 //
     /* 2249110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2249116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2249119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249123 */   // MIs[0] Operand 1
     /* 2249123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249136 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249141 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249152 */   // GIR_Coverage, 48782,
     /* 2249152 */   GIR_EraseRootFromParent_Done,
     /* 2249153 */ // Label 30168: @2249153
     /* 2249153 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2249201), // Rule ID 48783 //
     /* 2249158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2249164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2249167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249171 */   // MIs[0] Operand 1
     /* 2249171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249184 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249189 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249200 */   // GIR_Coverage, 48783,
     /* 2249200 */   GIR_EraseRootFromParent_Done,
     /* 2249201 */ // Label 30169: @2249201
     /* 2249201 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2249249), // Rule ID 48790 //
     /* 2249206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2249212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2249215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249219 */   // MIs[0] Operand 1
     /* 2249219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249232 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249248 */   // GIR_Coverage, 48790,
     /* 2249248 */   GIR_EraseRootFromParent_Done,
     /* 2249249 */ // Label 30170: @2249249
     /* 2249249 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2249297), // Rule ID 48791 //
     /* 2249254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2249260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2249263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249267 */   // MIs[0] Operand 1
     /* 2249267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249280 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249296 */   // GIR_Coverage, 48791,
     /* 2249296 */   GIR_EraseRootFromParent_Done,
     /* 2249297 */ // Label 30171: @2249297
     /* 2249297 */ GIM_Reject,
     /* 2249298 */ // Label 29695: @2249298
     /* 2249298 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2249346), // Rule ID 48382 //
     /* 2249303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249316 */   // MIs[0] Operand 1
     /* 2249316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249329 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2249332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249334 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249336 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249345 */   // GIR_Coverage, 48382,
     /* 2249345 */   GIR_EraseRootFromParent_Done,
     /* 2249346 */ // Label 30172: @2249346
     /* 2249346 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2249394), // Rule ID 48383 //
     /* 2249351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249364 */   // MIs[0] Operand 1
     /* 2249364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249377 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2249380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249382 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249384 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249393 */   // GIR_Coverage, 48383,
     /* 2249393 */   GIR_EraseRootFromParent_Done,
     /* 2249394 */ // Label 30173: @2249394
     /* 2249394 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2249442), // Rule ID 48390 //
     /* 2249399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249412 */   // MIs[0] Operand 1
     /* 2249412 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249421 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249425 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249430 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249432 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249441 */   // GIR_Coverage, 48390,
     /* 2249441 */   GIR_EraseRootFromParent_Done,
     /* 2249442 */ // Label 30174: @2249442
     /* 2249442 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2249490), // Rule ID 48391 //
     /* 2249447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249460 */   // MIs[0] Operand 1
     /* 2249460 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249473 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249478 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249480 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249489 */   // GIR_Coverage, 48391,
     /* 2249489 */   GIR_EraseRootFromParent_Done,
     /* 2249490 */ // Label 30175: @2249490
     /* 2249490 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2249538), // Rule ID 48426 //
     /* 2249495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249508 */   // MIs[0] Operand 1
     /* 2249508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249521 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249537 */   // GIR_Coverage, 48426,
     /* 2249537 */   GIR_EraseRootFromParent_Done,
     /* 2249538 */ // Label 30176: @2249538
     /* 2249538 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2249586), // Rule ID 48427 //
     /* 2249543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249556 */   // MIs[0] Operand 1
     /* 2249556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249569 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249585 */   // GIR_Coverage, 48427,
     /* 2249585 */   GIR_EraseRootFromParent_Done,
     /* 2249586 */ // Label 30177: @2249586
     /* 2249586 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2249634), // Rule ID 48434 //
     /* 2249591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249604 */   // MIs[0] Operand 1
     /* 2249604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249617 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249622 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249624 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249633 */   // GIR_Coverage, 48434,
     /* 2249633 */   GIR_EraseRootFromParent_Done,
     /* 2249634 */ // Label 30178: @2249634
     /* 2249634 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2249682), // Rule ID 48435 //
     /* 2249639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249652 */   // MIs[0] Operand 1
     /* 2249652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249665 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249670 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249672 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249681 */   // GIR_Coverage, 48435,
     /* 2249681 */   GIR_EraseRootFromParent_Done,
     /* 2249682 */ // Label 30179: @2249682
     /* 2249682 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2249730), // Rule ID 48470 //
     /* 2249687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249700 */   // MIs[0] Operand 1
     /* 2249700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249713 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249718 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249720 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249729 */   // GIR_Coverage, 48470,
     /* 2249729 */   GIR_EraseRootFromParent_Done,
     /* 2249730 */ // Label 30180: @2249730
     /* 2249730 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2249778), // Rule ID 48471 //
     /* 2249735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249748 */   // MIs[0] Operand 1
     /* 2249748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249761 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249777 */   // GIR_Coverage, 48471,
     /* 2249777 */   GIR_EraseRootFromParent_Done,
     /* 2249778 */ // Label 30181: @2249778
     /* 2249778 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2249826), // Rule ID 48478 //
     /* 2249783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249796 */   // MIs[0] Operand 1
     /* 2249796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249809 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249816 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249825 */   // GIR_Coverage, 48478,
     /* 2249825 */   GIR_EraseRootFromParent_Done,
     /* 2249826 */ // Label 30182: @2249826
     /* 2249826 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2249874), // Rule ID 48479 //
     /* 2249831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249844 */   // MIs[0] Operand 1
     /* 2249844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249857 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249873 */   // GIR_Coverage, 48479,
     /* 2249873 */   GIR_EraseRootFromParent_Done,
     /* 2249874 */ // Label 30183: @2249874
     /* 2249874 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2249922), // Rule ID 48512 //
     /* 2249879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249892 */   // MIs[0] Operand 1
     /* 2249892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249901 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249905 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249910 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249921 */   // GIR_Coverage, 48512,
     /* 2249921 */   GIR_EraseRootFromParent_Done,
     /* 2249922 */ // Label 30184: @2249922
     /* 2249922 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2249970), // Rule ID 48513 //
     /* 2249927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249940 */   // MIs[0] Operand 1
     /* 2249940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249949 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249953 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249958 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249960 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249969 */   // GIR_Coverage, 48513,
     /* 2249969 */   GIR_EraseRootFromParent_Done,
     /* 2249970 */ // Label 30185: @2249970
     /* 2249970 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2250018), // Rule ID 48520 //
     /* 2249975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249988 */   // MIs[0] Operand 1
     /* 2249988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250001 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2250004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250006 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250008 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250017 */   // GIR_Coverage, 48520,
     /* 2250017 */   GIR_EraseRootFromParent_Done,
     /* 2250018 */ // Label 30186: @2250018
     /* 2250018 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2250066), // Rule ID 48521 //
     /* 2250023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250036 */   // MIs[0] Operand 1
     /* 2250036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250049 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2250052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250054 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250056 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250065 */   // GIR_Coverage, 48521,
     /* 2250065 */   GIR_EraseRootFromParent_Done,
     /* 2250066 */ // Label 30187: @2250066
     /* 2250066 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2250114), // Rule ID 48556 //
     /* 2250071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250084 */   // MIs[0] Operand 1
     /* 2250084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250097 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250113 */   // GIR_Coverage, 48556,
     /* 2250113 */   GIR_EraseRootFromParent_Done,
     /* 2250114 */ // Label 30188: @2250114
     /* 2250114 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2250162), // Rule ID 48557 //
     /* 2250119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250132 */   // MIs[0] Operand 1
     /* 2250132 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250141 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250145 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250150 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250161 */   // GIR_Coverage, 48557,
     /* 2250161 */   GIR_EraseRootFromParent_Done,
     /* 2250162 */ // Label 30189: @2250162
     /* 2250162 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2250210), // Rule ID 48564 //
     /* 2250167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250180 */   // MIs[0] Operand 1
     /* 2250180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250193 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250198 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250209 */   // GIR_Coverage, 48564,
     /* 2250209 */   GIR_EraseRootFromParent_Done,
     /* 2250210 */ // Label 30190: @2250210
     /* 2250210 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2250258), // Rule ID 48565 //
     /* 2250215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250228 */   // MIs[0] Operand 1
     /* 2250228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250237 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250241 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250257 */   // GIR_Coverage, 48565,
     /* 2250257 */   GIR_EraseRootFromParent_Done,
     /* 2250258 */ // Label 30191: @2250258
     /* 2250258 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2250306), // Rule ID 48600 //
     /* 2250263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250269 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250276 */   // MIs[0] Operand 1
     /* 2250276 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250285 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250289 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250296 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250305 */   // GIR_Coverage, 48600,
     /* 2250305 */   GIR_EraseRootFromParent_Done,
     /* 2250306 */ // Label 30192: @2250306
     /* 2250306 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2250354), // Rule ID 48601 //
     /* 2250311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250317 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250324 */   // MIs[0] Operand 1
     /* 2250324 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250333 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250337 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250353 */   // GIR_Coverage, 48601,
     /* 2250353 */   GIR_EraseRootFromParent_Done,
     /* 2250354 */ // Label 30193: @2250354
     /* 2250354 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2250402), // Rule ID 48608 //
     /* 2250359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250365 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250372 */   // MIs[0] Operand 1
     /* 2250372 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250381 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250385 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250401 */   // GIR_Coverage, 48608,
     /* 2250401 */   GIR_EraseRootFromParent_Done,
     /* 2250402 */ // Label 30194: @2250402
     /* 2250402 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2250450), // Rule ID 48609 //
     /* 2250407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250420 */   // MIs[0] Operand 1
     /* 2250420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250433 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250449 */   // GIR_Coverage, 48609,
     /* 2250449 */   GIR_EraseRootFromParent_Done,
     /* 2250450 */ // Label 30195: @2250450
     /* 2250450 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2250498), // Rule ID 48644 //
     /* 2250455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250468 */   // MIs[0] Operand 1
     /* 2250468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250481 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250486 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250488 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250497 */   // GIR_Coverage, 48644,
     /* 2250497 */   GIR_EraseRootFromParent_Done,
     /* 2250498 */ // Label 30196: @2250498
     /* 2250498 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2250546), // Rule ID 48645 //
     /* 2250503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250516 */   // MIs[0] Operand 1
     /* 2250516 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250525 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250529 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250545 */   // GIR_Coverage, 48645,
     /* 2250545 */   GIR_EraseRootFromParent_Done,
     /* 2250546 */ // Label 30197: @2250546
     /* 2250546 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2250594), // Rule ID 48652 //
     /* 2250551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250564 */   // MIs[0] Operand 1
     /* 2250564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250573 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250577 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250584 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250593 */   // GIR_Coverage, 48652,
     /* 2250593 */   GIR_EraseRootFromParent_Done,
     /* 2250594 */ // Label 30198: @2250594
     /* 2250594 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2250642), // Rule ID 48653 //
     /* 2250599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250612 */   // MIs[0] Operand 1
     /* 2250612 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250621 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250625 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250632 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250641 */   // GIR_Coverage, 48653,
     /* 2250641 */   GIR_EraseRootFromParent_Done,
     /* 2250642 */ // Label 30199: @2250642
     /* 2250642 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2250690), // Rule ID 48688 //
     /* 2250647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250653 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250660 */   // MIs[0] Operand 1
     /* 2250660 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250669 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250673 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250678 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250689 */   // GIR_Coverage, 48688,
     /* 2250689 */   GIR_EraseRootFromParent_Done,
     /* 2250690 */ // Label 30200: @2250690
     /* 2250690 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2250738), // Rule ID 48689 //
     /* 2250695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250708 */   // MIs[0] Operand 1
     /* 2250708 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250717 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250721 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250728 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250737 */   // GIR_Coverage, 48689,
     /* 2250737 */   GIR_EraseRootFromParent_Done,
     /* 2250738 */ // Label 30201: @2250738
     /* 2250738 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2250786), // Rule ID 48696 //
     /* 2250743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250756 */   // MIs[0] Operand 1
     /* 2250756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250769 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250774 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250785 */   // GIR_Coverage, 48696,
     /* 2250785 */   GIR_EraseRootFromParent_Done,
     /* 2250786 */ // Label 30202: @2250786
     /* 2250786 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2250834), // Rule ID 48697 //
     /* 2250791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250804 */   // MIs[0] Operand 1
     /* 2250804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250817 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250822 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250824 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250833 */   // GIR_Coverage, 48697,
     /* 2250833 */   GIR_EraseRootFromParent_Done,
     /* 2250834 */ // Label 30203: @2250834
     /* 2250834 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2250882), // Rule ID 48732 //
     /* 2250839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250852 */   // MIs[0] Operand 1
     /* 2250852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250865 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250881 */   // GIR_Coverage, 48732,
     /* 2250881 */   GIR_EraseRootFromParent_Done,
     /* 2250882 */ // Label 30204: @2250882
     /* 2250882 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2250930), // Rule ID 48733 //
     /* 2250887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250900 */   // MIs[0] Operand 1
     /* 2250900 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250909 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250913 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250918 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250929 */   // GIR_Coverage, 48733,
     /* 2250929 */   GIR_EraseRootFromParent_Done,
     /* 2250930 */ // Label 30205: @2250930
     /* 2250930 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2250978), // Rule ID 48740 //
     /* 2250935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250948 */   // MIs[0] Operand 1
     /* 2250948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250957 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250961 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250966 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250968 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250977 */   // GIR_Coverage, 48740,
     /* 2250977 */   GIR_EraseRootFromParent_Done,
     /* 2250978 */ // Label 30206: @2250978
     /* 2250978 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2251026), // Rule ID 48741 //
     /* 2250983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250996 */   // MIs[0] Operand 1
     /* 2250996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251009 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251014 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251016 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251025 */   // GIR_Coverage, 48741,
     /* 2251025 */   GIR_EraseRootFromParent_Done,
     /* 2251026 */ // Label 30207: @2251026
     /* 2251026 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2251074), // Rule ID 48776 //
     /* 2251031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2251037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2251040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251044 */   // MIs[0] Operand 1
     /* 2251044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251057 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251073 */   // GIR_Coverage, 48776,
     /* 2251073 */   GIR_EraseRootFromParent_Done,
     /* 2251074 */ // Label 30208: @2251074
     /* 2251074 */ GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2251122), // Rule ID 48777 //
     /* 2251079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2251085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2251088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251092 */   // MIs[0] Operand 1
     /* 2251092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251105 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251121 */   // GIR_Coverage, 48777,
     /* 2251121 */   GIR_EraseRootFromParent_Done,
     /* 2251122 */ // Label 30209: @2251122
     /* 2251122 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2251170), // Rule ID 48784 //
     /* 2251127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2251133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2251136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251140 */   // MIs[0] Operand 1
     /* 2251140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251153 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251169 */   // GIR_Coverage, 48784,
     /* 2251169 */   GIR_EraseRootFromParent_Done,
     /* 2251170 */ // Label 30210: @2251170
     /* 2251170 */ GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2251218), // Rule ID 48785 //
     /* 2251175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2251181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2251184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251188 */   // MIs[0] Operand 1
     /* 2251188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251197 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251201 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251217 */   // GIR_Coverage, 48785,
     /* 2251217 */   GIR_EraseRootFromParent_Done,
     /* 2251218 */ // Label 30211: @2251218
     /* 2251218 */ GIM_Reject,
     /* 2251219 */ // Label 29696: @2251219
     /* 2251219 */ GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2251995),
     /* 2251224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2251227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2251230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251234 */   GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2251272), // Rule ID 48384 //
     /* 2251239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251242 */     // MIs[0] Operand 1
     /* 2251242 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251255 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2251258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251271 */     // GIR_Coverage, 48384,
     /* 2251271 */     GIR_EraseRootFromParent_Done,
     /* 2251272 */   // Label 30213: @2251272
     /* 2251272 */   GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2251310), // Rule ID 48385 //
     /* 2251277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251280 */     // MIs[0] Operand 1
     /* 2251280 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251293 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2251296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251309 */     // GIR_Coverage, 48385,
     /* 2251309 */     GIR_EraseRootFromParent_Done,
     /* 2251310 */   // Label 30214: @2251310
     /* 2251310 */   GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2251348), // Rule ID 48428 //
     /* 2251315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251318 */     // MIs[0] Operand 1
     /* 2251318 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2251323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251331 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2251334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251347 */     // GIR_Coverage, 48428,
     /* 2251347 */     GIR_EraseRootFromParent_Done,
     /* 2251348 */   // Label 30215: @2251348
     /* 2251348 */   GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2251386), // Rule ID 48429 //
     /* 2251353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251356 */     // MIs[0] Operand 1
     /* 2251356 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2251361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251369 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2251372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251385 */     // GIR_Coverage, 48429,
     /* 2251385 */     GIR_EraseRootFromParent_Done,
     /* 2251386 */   // Label 30216: @2251386
     /* 2251386 */   GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2251424), // Rule ID 48472 //
     /* 2251391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251394 */     // MIs[0] Operand 1
     /* 2251394 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251407 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251423 */     // GIR_Coverage, 48472,
     /* 2251423 */     GIR_EraseRootFromParent_Done,
     /* 2251424 */   // Label 30217: @2251424
     /* 2251424 */   GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2251462), // Rule ID 48473 //
     /* 2251429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251432 */     // MIs[0] Operand 1
     /* 2251432 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251445 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251461 */     // GIR_Coverage, 48473,
     /* 2251461 */     GIR_EraseRootFromParent_Done,
     /* 2251462 */   // Label 30218: @2251462
     /* 2251462 */   GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2251500), // Rule ID 48514 //
     /* 2251467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251470 */     // MIs[0] Operand 1
     /* 2251470 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251483 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251499 */     // GIR_Coverage, 48514,
     /* 2251499 */     GIR_EraseRootFromParent_Done,
     /* 2251500 */   // Label 30219: @2251500
     /* 2251500 */   GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2251538), // Rule ID 48515 //
     /* 2251505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251508 */     // MIs[0] Operand 1
     /* 2251508 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251521 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251537 */     // GIR_Coverage, 48515,
     /* 2251537 */     GIR_EraseRootFromParent_Done,
     /* 2251538 */   // Label 30220: @2251538
     /* 2251538 */   GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2251576), // Rule ID 48558 //
     /* 2251543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251546 */     // MIs[0] Operand 1
     /* 2251546 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251559 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251575 */     // GIR_Coverage, 48558,
     /* 2251575 */     GIR_EraseRootFromParent_Done,
     /* 2251576 */   // Label 30221: @2251576
     /* 2251576 */   GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2251614), // Rule ID 48559 //
     /* 2251581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251584 */     // MIs[0] Operand 1
     /* 2251584 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251597 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251613 */     // GIR_Coverage, 48559,
     /* 2251613 */     GIR_EraseRootFromParent_Done,
     /* 2251614 */   // Label 30222: @2251614
     /* 2251614 */   GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2251652), // Rule ID 48602 //
     /* 2251619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251622 */     // MIs[0] Operand 1
     /* 2251622 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251635 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251651 */     // GIR_Coverage, 48602,
     /* 2251651 */     GIR_EraseRootFromParent_Done,
     /* 2251652 */   // Label 30223: @2251652
     /* 2251652 */   GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2251690), // Rule ID 48603 //
     /* 2251657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251660 */     // MIs[0] Operand 1
     /* 2251660 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251673 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251689 */     // GIR_Coverage, 48603,
     /* 2251689 */     GIR_EraseRootFromParent_Done,
     /* 2251690 */   // Label 30224: @2251690
     /* 2251690 */   GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2251728), // Rule ID 48646 //
     /* 2251695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251698 */     // MIs[0] Operand 1
     /* 2251698 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251711 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251727 */     // GIR_Coverage, 48646,
     /* 2251727 */     GIR_EraseRootFromParent_Done,
     /* 2251728 */   // Label 30225: @2251728
     /* 2251728 */   GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2251766), // Rule ID 48647 //
     /* 2251733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251736 */     // MIs[0] Operand 1
     /* 2251736 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251749 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251765 */     // GIR_Coverage, 48647,
     /* 2251765 */     GIR_EraseRootFromParent_Done,
     /* 2251766 */   // Label 30226: @2251766
     /* 2251766 */   GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2251804), // Rule ID 48690 //
     /* 2251771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251774 */     // MIs[0] Operand 1
     /* 2251774 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251787 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251803 */     // GIR_Coverage, 48690,
     /* 2251803 */     GIR_EraseRootFromParent_Done,
     /* 2251804 */   // Label 30227: @2251804
     /* 2251804 */   GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2251842), // Rule ID 48691 //
     /* 2251809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251812 */     // MIs[0] Operand 1
     /* 2251812 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251825 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251841 */     // GIR_Coverage, 48691,
     /* 2251841 */     GIR_EraseRootFromParent_Done,
     /* 2251842 */   // Label 30228: @2251842
     /* 2251842 */   GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2251880), // Rule ID 48734 //
     /* 2251847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251850 */     // MIs[0] Operand 1
     /* 2251850 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251863 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251879 */     // GIR_Coverage, 48734,
     /* 2251879 */     GIR_EraseRootFromParent_Done,
     /* 2251880 */   // Label 30229: @2251880
     /* 2251880 */   GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2251918), // Rule ID 48735 //
     /* 2251885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251888 */     // MIs[0] Operand 1
     /* 2251888 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251901 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251917 */     // GIR_Coverage, 48735,
     /* 2251917 */     GIR_EraseRootFromParent_Done,
     /* 2251918 */   // Label 30230: @2251918
     /* 2251918 */   GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2251956), // Rule ID 48778 //
     /* 2251923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251926 */     // MIs[0] Operand 1
     /* 2251926 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251939 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251955 */     // GIR_Coverage, 48778,
     /* 2251955 */     GIR_EraseRootFromParent_Done,
     /* 2251956 */   // Label 30231: @2251956
     /* 2251956 */   GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2251994), // Rule ID 48779 //
     /* 2251961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251964 */     // MIs[0] Operand 1
     /* 2251964 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251977 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251993 */     // GIR_Coverage, 48779,
     /* 2251993 */     GIR_EraseRootFromParent_Done,
     /* 2251994 */   // Label 30232: @2251994
     /* 2251994 */   GIM_Reject,
     /* 2251995 */ // Label 30212: @2251995
     /* 2251995 */ GIM_Reject,
     /* 2251996 */ // Label 29697: @2251996
     /* 2251996 */ GIM_Reject,
     /* 2251997 */ // Label 49: @2251997
     /* 2251997 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30241*/ GIMT_Encode4(2259458),
     /* 2252008 */ /*GILLT_s32*//*Label 30233*/ GIMT_Encode4(2252116),
     /* 2252012 */ /*GILLT_s64*//*Label 30234*/ GIMT_Encode4(2252873),
     /* 2252016 */ /*GILLT_nxv1s1*//*Label 30235*/ GIMT_Encode4(2253756), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252036 */ /*GILLT_nxv2s1*//*Label 30236*/ GIMT_Encode4(2254909), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252056 */ /*GILLT_nxv4s1*//*Label 30237*/ GIMT_Encode4(2256062), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252076 */ /*GILLT_nxv8s1*//*Label 30238*/ GIMT_Encode4(2257215), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252096 */ /*GILLT_nxv16s1*//*Label 30239*/ GIMT_Encode4(2258368), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252112 */ /*GILLT_nxv32s1*//*Label 30240*/ GIMT_Encode4(2259137),
     /* 2252116 */ // Label 30233: @2252116
     /* 2252116 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2252158), // Rule ID 1256 //
     /* 2252121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2252124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252134 */   // MIs[0] Operand 1
     /* 2252134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252147 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2252150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252157 */   // GIR_Coverage, 1256,
     /* 2252157 */   GIR_EraseRootFromParent_Done,
     /* 2252158 */ // Label 30242: @2252158
     /* 2252158 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2252200), // Rule ID 1260 //
     /* 2252163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2252166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252176 */   // MIs[0] Operand 1
     /* 2252176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252189 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2252192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252199 */   // GIR_Coverage, 1260,
     /* 2252199 */   GIR_EraseRootFromParent_Done,
     /* 2252200 */ // Label 30243: @2252200
     /* 2252200 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2252242), // Rule ID 1304 //
     /* 2252205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2252208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252218 */   // MIs[0] Operand 1
     /* 2252218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252231 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2252234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252241 */   // GIR_Coverage, 1304,
     /* 2252241 */   GIR_EraseRootFromParent_Done,
     /* 2252242 */ // Label 30244: @2252242
     /* 2252242 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2252284), // Rule ID 1308 //
     /* 2252247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2252250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252260 */   // MIs[0] Operand 1
     /* 2252260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252273 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2252276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252283 */   // GIR_Coverage, 1308,
     /* 2252283 */   GIR_EraseRootFromParent_Done,
     /* 2252284 */ // Label 30245: @2252284
     /* 2252284 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2252326), // Rule ID 1320 //
     /* 2252289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2252292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252302 */   // MIs[0] Operand 1
     /* 2252302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252315 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2252318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252325 */   // GIR_Coverage, 1320,
     /* 2252325 */   GIR_EraseRootFromParent_Done,
     /* 2252326 */ // Label 30246: @2252326
     /* 2252326 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2252368), // Rule ID 1324 //
     /* 2252331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2252334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252344 */   // MIs[0] Operand 1
     /* 2252344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252357 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2252360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252364 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252367 */   // GIR_Coverage, 1324,
     /* 2252367 */   GIR_EraseRootFromParent_Done,
     /* 2252368 */ // Label 30247: @2252368
     /* 2252368 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2252410), // Rule ID 1636 //
     /* 2252373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252386 */   // MIs[0] Operand 1
     /* 2252386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252399 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2252402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252404 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252406 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252409 */   // GIR_Coverage, 1636,
     /* 2252409 */   GIR_EraseRootFromParent_Done,
     /* 2252410 */ // Label 30248: @2252410
     /* 2252410 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2252452), // Rule ID 1640 //
     /* 2252415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252428 */   // MIs[0] Operand 1
     /* 2252428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252437 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252441 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2252444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252448 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252451 */   // GIR_Coverage, 1640,
     /* 2252451 */   GIR_EraseRootFromParent_Done,
     /* 2252452 */ // Label 30249: @2252452
     /* 2252452 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2252494), // Rule ID 1678 //
     /* 2252457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252470 */   // MIs[0] Operand 1
     /* 2252470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252483 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2252486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252490 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252493 */   // GIR_Coverage, 1678,
     /* 2252493 */   GIR_EraseRootFromParent_Done,
     /* 2252494 */ // Label 30250: @2252494
     /* 2252494 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2252536), // Rule ID 1686 //
     /* 2252499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252512 */   // MIs[0] Operand 1
     /* 2252512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252525 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2252528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252535 */   // GIR_Coverage, 1686,
     /* 2252535 */   GIR_EraseRootFromParent_Done,
     /* 2252536 */ // Label 30251: @2252536
     /* 2252536 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2252578), // Rule ID 1714 //
     /* 2252541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252554 */   // MIs[0] Operand 1
     /* 2252554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252567 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2252570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252577 */   // GIR_Coverage, 1714,
     /* 2252577 */   GIR_EraseRootFromParent_Done,
     /* 2252578 */ // Label 30252: @2252578
     /* 2252578 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2252620), // Rule ID 1722 //
     /* 2252583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252596 */   // MIs[0] Operand 1
     /* 2252596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252609 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2252612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252619 */   // GIR_Coverage, 1722,
     /* 2252619 */   GIR_EraseRootFromParent_Done,
     /* 2252620 */ // Label 30253: @2252620
     /* 2252620 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2252662), // Rule ID 1969 //
     /* 2252625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252638 */   // MIs[0] Operand 1
     /* 2252638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252651 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2252654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252661 */   // GIR_Coverage, 1969,
     /* 2252661 */   GIR_EraseRootFromParent_Done,
     /* 2252662 */ // Label 30254: @2252662
     /* 2252662 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2252704), // Rule ID 1973 //
     /* 2252667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252680 */   // MIs[0] Operand 1
     /* 2252680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252693 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2252696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252703 */   // GIR_Coverage, 1973,
     /* 2252703 */   GIR_EraseRootFromParent_Done,
     /* 2252704 */ // Label 30255: @2252704
     /* 2252704 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2252746), // Rule ID 2017 //
     /* 2252709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252722 */   // MIs[0] Operand 1
     /* 2252722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252735 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2252738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252745 */   // GIR_Coverage, 2017,
     /* 2252745 */   GIR_EraseRootFromParent_Done,
     /* 2252746 */ // Label 30256: @2252746
     /* 2252746 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2252788), // Rule ID 2021 //
     /* 2252751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252764 */   // MIs[0] Operand 1
     /* 2252764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252777 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2252780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252782 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252784 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252787 */   // GIR_Coverage, 2021,
     /* 2252787 */   GIR_EraseRootFromParent_Done,
     /* 2252788 */ // Label 30257: @2252788
     /* 2252788 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2252830), // Rule ID 2033 //
     /* 2252793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252806 */   // MIs[0] Operand 1
     /* 2252806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252819 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2252822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252824 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252826 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252829 */   // GIR_Coverage, 2033,
     /* 2252829 */   GIR_EraseRootFromParent_Done,
     /* 2252830 */ // Label 30258: @2252830
     /* 2252830 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2252872), // Rule ID 2037 //
     /* 2252835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252848 */   // MIs[0] Operand 1
     /* 2252848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252861 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2252864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252866 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252871 */   // GIR_Coverage, 2037,
     /* 2252871 */   GIR_EraseRootFromParent_Done,
     /* 2252872 */ // Label 30259: @2252872
     /* 2252872 */ GIM_Reject,
     /* 2252873 */ // Label 30234: @2252873
     /* 2252873 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2252915), // Rule ID 1255 //
     /* 2252878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252891 */   // MIs[0] Operand 1
     /* 2252891 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252900 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252904 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2252907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252909 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252911 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252914 */   // GIR_Coverage, 1255,
     /* 2252914 */   GIR_EraseRootFromParent_Done,
     /* 2252915 */ // Label 30260: @2252915
     /* 2252915 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2252957), // Rule ID 1259 //
     /* 2252920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252926 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252933 */   // MIs[0] Operand 1
     /* 2252933 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252942 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252946 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2252949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252951 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252953 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252956 */   // GIR_Coverage, 1259,
     /* 2252956 */   GIR_EraseRootFromParent_Done,
     /* 2252957 */ // Label 30261: @2252957
     /* 2252957 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2252999), // Rule ID 1303 //
     /* 2252962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252975 */   // MIs[0] Operand 1
     /* 2252975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252988 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2252991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252993 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252998 */   // GIR_Coverage, 1303,
     /* 2252998 */   GIR_EraseRootFromParent_Done,
     /* 2252999 */ // Label 30262: @2252999
     /* 2252999 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2253041), // Rule ID 1307 //
     /* 2253004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2253007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2253010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253017 */   // MIs[0] Operand 1
     /* 2253017 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253026 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253030 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2253030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2253033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253035 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253040 */   // GIR_Coverage, 1307,
     /* 2253040 */   GIR_EraseRootFromParent_Done,
     /* 2253041 */ // Label 30263: @2253041
     /* 2253041 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2253083), // Rule ID 1319 //
     /* 2253046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2253049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2253052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253059 */   // MIs[0] Operand 1
     /* 2253059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2253068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2253072 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2253072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2253075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253079 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253082 */   // GIR_Coverage, 1319,
     /* 2253082 */   GIR_EraseRootFromParent_Done,
     /* 2253083 */ // Label 30264: @2253083
     /* 2253083 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2253125), // Rule ID 1323 //
     /* 2253088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2253091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2253094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253101 */   // MIs[0] Operand 1
     /* 2253101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253114 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2253114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2253117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253119 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253124 */   // GIR_Coverage, 1323,
     /* 2253124 */   GIR_EraseRootFromParent_Done,
     /* 2253125 */ // Label 30265: @2253125
     /* 2253125 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2253167), // Rule ID 1635 //
     /* 2253130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2253133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253143 */   // MIs[0] Operand 1
     /* 2253143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253156 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2253159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253166 */   // GIR_Coverage, 1635,
     /* 2253166 */   GIR_EraseRootFromParent_Done,
     /* 2253167 */ // Label 30266: @2253167
     /* 2253167 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2253209), // Rule ID 1639 //
     /* 2253172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253185 */   // MIs[0] Operand 1
     /* 2253185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253198 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2253201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253208 */   // GIR_Coverage, 1639,
     /* 2253208 */   GIR_EraseRootFromParent_Done,
     /* 2253209 */ // Label 30267: @2253209
     /* 2253209 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2253251), // Rule ID 1642 //
     /* 2253214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2253217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253227 */   // MIs[0] Operand 1
     /* 2253227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253240 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2253243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253250 */   // GIR_Coverage, 1642,
     /* 2253250 */   GIR_EraseRootFromParent_Done,
     /* 2253251 */ // Label 30268: @2253251
     /* 2253251 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2253293), // Rule ID 1677 //
     /* 2253256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2253259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253269 */   // MIs[0] Operand 1
     /* 2253269 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253278 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253282 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2253285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253289 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253292 */   // GIR_Coverage, 1677,
     /* 2253292 */   GIR_EraseRootFromParent_Done,
     /* 2253293 */ // Label 30269: @2253293
     /* 2253293 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2253335), // Rule ID 1685 //
     /* 2253298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2253301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253311 */   // MIs[0] Operand 1
     /* 2253311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253324 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2253327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253334 */   // GIR_Coverage, 1685,
     /* 2253334 */   GIR_EraseRootFromParent_Done,
     /* 2253335 */ // Label 30270: @2253335
     /* 2253335 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2253377), // Rule ID 1694 //
     /* 2253340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2253343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253353 */   // MIs[0] Operand 1
     /* 2253353 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253362 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253366 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2253369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253371 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253373 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253376 */   // GIR_Coverage, 1694,
     /* 2253376 */   GIR_EraseRootFromParent_Done,
     /* 2253377 */ // Label 30271: @2253377
     /* 2253377 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2253419), // Rule ID 1698 //
     /* 2253382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2253385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253395 */   // MIs[0] Operand 1
     /* 2253395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253408 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2253411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253418 */   // GIR_Coverage, 1698,
     /* 2253418 */   GIR_EraseRootFromParent_Done,
     /* 2253419 */ // Label 30272: @2253419
     /* 2253419 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2253461), // Rule ID 1713 //
     /* 2253424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253437 */   // MIs[0] Operand 1
     /* 2253437 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253446 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253450 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2253453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253455 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253457 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253460 */   // GIR_Coverage, 1713,
     /* 2253460 */   GIR_EraseRootFromParent_Done,
     /* 2253461 */ // Label 30273: @2253461
     /* 2253461 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2253503), // Rule ID 1721 //
     /* 2253466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253479 */   // MIs[0] Operand 1
     /* 2253479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253492 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2253495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253502 */   // GIR_Coverage, 1721,
     /* 2253502 */   GIR_EraseRootFromParent_Done,
     /* 2253503 */ // Label 30274: @2253503
     /* 2253503 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2253545), // Rule ID 1968 //
     /* 2253508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253521 */   // MIs[0] Operand 1
     /* 2253521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253534 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2253537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253544 */   // GIR_Coverage, 1968,
     /* 2253544 */   GIR_EraseRootFromParent_Done,
     /* 2253545 */ // Label 30275: @2253545
     /* 2253545 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2253587), // Rule ID 1972 //
     /* 2253550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253563 */   // MIs[0] Operand 1
     /* 2253563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253576 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2253579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253586 */   // GIR_Coverage, 1972,
     /* 2253586 */   GIR_EraseRootFromParent_Done,
     /* 2253587 */ // Label 30276: @2253587
     /* 2253587 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2253629), // Rule ID 2016 //
     /* 2253592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253605 */   // MIs[0] Operand 1
     /* 2253605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253618 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2253621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253628 */   // GIR_Coverage, 2016,
     /* 2253628 */   GIR_EraseRootFromParent_Done,
     /* 2253629 */ // Label 30277: @2253629
     /* 2253629 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2253671), // Rule ID 2020 //
     /* 2253634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253647 */   // MIs[0] Operand 1
     /* 2253647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253660 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2253663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253665 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253670 */   // GIR_Coverage, 2020,
     /* 2253670 */   GIR_EraseRootFromParent_Done,
     /* 2253671 */ // Label 30278: @2253671
     /* 2253671 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2253713), // Rule ID 2032 //
     /* 2253676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253682 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253689 */   // MIs[0] Operand 1
     /* 2253689 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253698 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253702 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2253705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253707 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253712 */   // GIR_Coverage, 2032,
     /* 2253712 */   GIR_EraseRootFromParent_Done,
     /* 2253713 */ // Label 30279: @2253713
     /* 2253713 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2253755), // Rule ID 2036 //
     /* 2253718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253731 */   // MIs[0] Operand 1
     /* 2253731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253744 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2253747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253754 */   // GIR_Coverage, 2036,
     /* 2253754 */   GIR_EraseRootFromParent_Done,
     /* 2253755 */ // Label 30280: @2253755
     /* 2253755 */ GIM_Reject,
     /* 2253756 */ // Label 30235: @2253756
     /* 2253756 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2253804), // Rule ID 56904 //
     /* 2253761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253774 */   // MIs[0] Operand 1
     /* 2253774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253787 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253803 */   // GIR_Coverage, 56904,
     /* 2253803 */   GIR_EraseRootFromParent_Done,
     /* 2253804 */ // Label 30281: @2253804
     /* 2253804 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2253852), // Rule ID 56905 //
     /* 2253809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253822 */   // MIs[0] Operand 1
     /* 2253822 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253831 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253835 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253840 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253842 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253851 */   // GIR_Coverage, 56905,
     /* 2253851 */   GIR_EraseRootFromParent_Done,
     /* 2253852 */ // Label 30282: @2253852
     /* 2253852 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2253900), // Rule ID 56924 //
     /* 2253857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253870 */   // MIs[0] Operand 1
     /* 2253870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253883 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253888 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253890 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253899 */   // GIR_Coverage, 56924,
     /* 2253899 */   GIR_EraseRootFromParent_Done,
     /* 2253900 */ // Label 30283: @2253900
     /* 2253900 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2253948), // Rule ID 56925 //
     /* 2253905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253918 */   // MIs[0] Operand 1
     /* 2253918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253931 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253947 */   // GIR_Coverage, 56925,
     /* 2253947 */   GIR_EraseRootFromParent_Done,
     /* 2253948 */ // Label 30284: @2253948
     /* 2253948 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2253996), // Rule ID 56954 //
     /* 2253953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253966 */   // MIs[0] Operand 1
     /* 2253966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253979 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253995 */   // GIR_Coverage, 56954,
     /* 2253995 */   GIR_EraseRootFromParent_Done,
     /* 2253996 */ // Label 30285: @2253996
     /* 2253996 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2254044), // Rule ID 56955 //
     /* 2254001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254014 */   // MIs[0] Operand 1
     /* 2254014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254027 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254034 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254043 */   // GIR_Coverage, 56955,
     /* 2254043 */   GIR_EraseRootFromParent_Done,
     /* 2254044 */ // Label 30286: @2254044
     /* 2254044 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2254092), // Rule ID 57204 //
     /* 2254049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254062 */   // MIs[0] Operand 1
     /* 2254062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254075 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2254078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254091 */   // GIR_Coverage, 57204,
     /* 2254091 */   GIR_EraseRootFromParent_Done,
     /* 2254092 */ // Label 30287: @2254092
     /* 2254092 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2254140), // Rule ID 57205 //
     /* 2254097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254110 */   // MIs[0] Operand 1
     /* 2254110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254123 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2254126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254139 */   // GIR_Coverage, 57205,
     /* 2254139 */   GIR_EraseRootFromParent_Done,
     /* 2254140 */ // Label 30288: @2254140
     /* 2254140 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2254188), // Rule ID 57224 //
     /* 2254145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254158 */   // MIs[0] Operand 1
     /* 2254158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254171 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254187 */   // GIR_Coverage, 57224,
     /* 2254187 */   GIR_EraseRootFromParent_Done,
     /* 2254188 */ // Label 30289: @2254188
     /* 2254188 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2254236), // Rule ID 57225 //
     /* 2254193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254206 */   // MIs[0] Operand 1
     /* 2254206 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254215 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254219 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254235 */   // GIR_Coverage, 57225,
     /* 2254235 */   GIR_EraseRootFromParent_Done,
     /* 2254236 */ // Label 30290: @2254236
     /* 2254236 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2254284), // Rule ID 57254 //
     /* 2254241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254254 */   // MIs[0] Operand 1
     /* 2254254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254267 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254283 */   // GIR_Coverage, 57254,
     /* 2254283 */   GIR_EraseRootFromParent_Done,
     /* 2254284 */ // Label 30291: @2254284
     /* 2254284 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2254332), // Rule ID 57255 //
     /* 2254289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254302 */   // MIs[0] Operand 1
     /* 2254302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254315 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254331 */   // GIR_Coverage, 57255,
     /* 2254331 */   GIR_EraseRootFromParent_Done,
     /* 2254332 */ // Label 30292: @2254332
     /* 2254332 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2254380), // Rule ID 57504 //
     /* 2254337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254350 */   // MIs[0] Operand 1
     /* 2254350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254363 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2254366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254379 */   // GIR_Coverage, 57504,
     /* 2254379 */   GIR_EraseRootFromParent_Done,
     /* 2254380 */ // Label 30293: @2254380
     /* 2254380 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2254428), // Rule ID 57505 //
     /* 2254385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254398 */   // MIs[0] Operand 1
     /* 2254398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254411 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2254414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254427 */   // GIR_Coverage, 57505,
     /* 2254427 */   GIR_EraseRootFromParent_Done,
     /* 2254428 */ // Label 30294: @2254428
     /* 2254428 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2254476), // Rule ID 57524 //
     /* 2254433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254446 */   // MIs[0] Operand 1
     /* 2254446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254459 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254475 */   // GIR_Coverage, 57524,
     /* 2254475 */   GIR_EraseRootFromParent_Done,
     /* 2254476 */ // Label 30295: @2254476
     /* 2254476 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2254524), // Rule ID 57525 //
     /* 2254481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254494 */   // MIs[0] Operand 1
     /* 2254494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254507 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254523 */   // GIR_Coverage, 57525,
     /* 2254523 */   GIR_EraseRootFromParent_Done,
     /* 2254524 */ // Label 30296: @2254524
     /* 2254524 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2254572), // Rule ID 57554 //
     /* 2254529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254542 */   // MIs[0] Operand 1
     /* 2254542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254555 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254571 */   // GIR_Coverage, 57554,
     /* 2254571 */   GIR_EraseRootFromParent_Done,
     /* 2254572 */ // Label 30297: @2254572
     /* 2254572 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2254620), // Rule ID 57555 //
     /* 2254577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254590 */   // MIs[0] Operand 1
     /* 2254590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254603 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254619 */   // GIR_Coverage, 57555,
     /* 2254619 */   GIR_EraseRootFromParent_Done,
     /* 2254620 */ // Label 30298: @2254620
     /* 2254620 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2254668), // Rule ID 57804 //
     /* 2254625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254638 */   // MIs[0] Operand 1
     /* 2254638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254651 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254667 */   // GIR_Coverage, 57804,
     /* 2254667 */   GIR_EraseRootFromParent_Done,
     /* 2254668 */ // Label 30299: @2254668
     /* 2254668 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2254716), // Rule ID 57805 //
     /* 2254673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254686 */   // MIs[0] Operand 1
     /* 2254686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254695 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254699 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254715 */   // GIR_Coverage, 57805,
     /* 2254715 */   GIR_EraseRootFromParent_Done,
     /* 2254716 */ // Label 30300: @2254716
     /* 2254716 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2254764), // Rule ID 57824 //
     /* 2254721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254734 */   // MIs[0] Operand 1
     /* 2254734 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254743 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254747 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254754 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254763 */   // GIR_Coverage, 57824,
     /* 2254763 */   GIR_EraseRootFromParent_Done,
     /* 2254764 */ // Label 30301: @2254764
     /* 2254764 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2254812), // Rule ID 57825 //
     /* 2254769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254775 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254782 */   // MIs[0] Operand 1
     /* 2254782 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254791 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254795 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254802 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254811 */   // GIR_Coverage, 57825,
     /* 2254811 */   GIR_EraseRootFromParent_Done,
     /* 2254812 */ // Label 30302: @2254812
     /* 2254812 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2254860), // Rule ID 57854 //
     /* 2254817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254830 */   // MIs[0] Operand 1
     /* 2254830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254843 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254859 */   // GIR_Coverage, 57854,
     /* 2254859 */   GIR_EraseRootFromParent_Done,
     /* 2254860 */ // Label 30303: @2254860
     /* 2254860 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2254908), // Rule ID 57855 //
     /* 2254865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254871 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254878 */   // MIs[0] Operand 1
     /* 2254878 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254891 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254896 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254907 */   // GIR_Coverage, 57855,
     /* 2254907 */   GIR_EraseRootFromParent_Done,
     /* 2254908 */ // Label 30304: @2254908
     /* 2254908 */ GIM_Reject,
     /* 2254909 */ // Label 30236: @2254909
     /* 2254909 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2254957), // Rule ID 56914 //
     /* 2254914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254927 */   // MIs[0] Operand 1
     /* 2254927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254940 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254945 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254956 */   // GIR_Coverage, 56914,
     /* 2254956 */   GIR_EraseRootFromParent_Done,
     /* 2254957 */ // Label 30305: @2254957
     /* 2254957 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2255005), // Rule ID 56915 //
     /* 2254962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254975 */   // MIs[0] Operand 1
     /* 2254975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254988 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254993 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255004 */   // GIR_Coverage, 56915,
     /* 2255004 */   GIR_EraseRootFromParent_Done,
     /* 2255005 */ // Label 30306: @2255005
     /* 2255005 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2255053), // Rule ID 56944 //
     /* 2255010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255023 */   // MIs[0] Operand 1
     /* 2255023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255036 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255041 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255052 */   // GIR_Coverage, 56944,
     /* 2255052 */   GIR_EraseRootFromParent_Done,
     /* 2255053 */ // Label 30307: @2255053
     /* 2255053 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2255101), // Rule ID 56945 //
     /* 2255058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255071 */   // MIs[0] Operand 1
     /* 2255071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255084 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255089 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255100 */   // GIR_Coverage, 56945,
     /* 2255100 */   GIR_EraseRootFromParent_Done,
     /* 2255101 */ // Label 30308: @2255101
     /* 2255101 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2255149), // Rule ID 57024 //
     /* 2255106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255119 */   // MIs[0] Operand 1
     /* 2255119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255132 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255137 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255148 */   // GIR_Coverage, 57024,
     /* 2255148 */   GIR_EraseRootFromParent_Done,
     /* 2255149 */ // Label 30309: @2255149
     /* 2255149 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2255197), // Rule ID 57025 //
     /* 2255154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255167 */   // MIs[0] Operand 1
     /* 2255167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255180 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255196 */   // GIR_Coverage, 57025,
     /* 2255196 */   GIR_EraseRootFromParent_Done,
     /* 2255197 */ // Label 30310: @2255197
     /* 2255197 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2255245), // Rule ID 57214 //
     /* 2255202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255215 */   // MIs[0] Operand 1
     /* 2255215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255228 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2255231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255244 */   // GIR_Coverage, 57214,
     /* 2255244 */   GIR_EraseRootFromParent_Done,
     /* 2255245 */ // Label 30311: @2255245
     /* 2255245 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2255293), // Rule ID 57215 //
     /* 2255250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255263 */   // MIs[0] Operand 1
     /* 2255263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255276 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2255279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255292 */   // GIR_Coverage, 57215,
     /* 2255292 */   GIR_EraseRootFromParent_Done,
     /* 2255293 */ // Label 30312: @2255293
     /* 2255293 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2255341), // Rule ID 57244 //
     /* 2255298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255311 */   // MIs[0] Operand 1
     /* 2255311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255324 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2255327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255340 */   // GIR_Coverage, 57244,
     /* 2255340 */   GIR_EraseRootFromParent_Done,
     /* 2255341 */ // Label 30313: @2255341
     /* 2255341 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2255389), // Rule ID 57245 //
     /* 2255346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255359 */   // MIs[0] Operand 1
     /* 2255359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255372 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2255375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255388 */   // GIR_Coverage, 57245,
     /* 2255388 */   GIR_EraseRootFromParent_Done,
     /* 2255389 */ // Label 30314: @2255389
     /* 2255389 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2255437), // Rule ID 57324 //
     /* 2255394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255407 */   // MIs[0] Operand 1
     /* 2255407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255420 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255427 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255436 */   // GIR_Coverage, 57324,
     /* 2255436 */   GIR_EraseRootFromParent_Done,
     /* 2255437 */ // Label 30315: @2255437
     /* 2255437 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2255485), // Rule ID 57325 //
     /* 2255442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255455 */   // MIs[0] Operand 1
     /* 2255455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255468 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255475 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255484 */   // GIR_Coverage, 57325,
     /* 2255484 */   GIR_EraseRootFromParent_Done,
     /* 2255485 */ // Label 30316: @2255485
     /* 2255485 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2255533), // Rule ID 57514 //
     /* 2255490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255503 */   // MIs[0] Operand 1
     /* 2255503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255516 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255523 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255532 */   // GIR_Coverage, 57514,
     /* 2255532 */   GIR_EraseRootFromParent_Done,
     /* 2255533 */ // Label 30317: @2255533
     /* 2255533 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2255581), // Rule ID 57515 //
     /* 2255538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255551 */   // MIs[0] Operand 1
     /* 2255551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255564 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255580 */   // GIR_Coverage, 57515,
     /* 2255580 */   GIR_EraseRootFromParent_Done,
     /* 2255581 */ // Label 30318: @2255581
     /* 2255581 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2255629), // Rule ID 57544 //
     /* 2255586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255599 */   // MIs[0] Operand 1
     /* 2255599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255612 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255628 */   // GIR_Coverage, 57544,
     /* 2255628 */   GIR_EraseRootFromParent_Done,
     /* 2255629 */ // Label 30319: @2255629
     /* 2255629 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2255677), // Rule ID 57545 //
     /* 2255634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255647 */   // MIs[0] Operand 1
     /* 2255647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255660 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255665 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255676 */   // GIR_Coverage, 57545,
     /* 2255676 */   GIR_EraseRootFromParent_Done,
     /* 2255677 */ // Label 30320: @2255677
     /* 2255677 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2255725), // Rule ID 57624 //
     /* 2255682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255695 */   // MIs[0] Operand 1
     /* 2255695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255708 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255713 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255724 */   // GIR_Coverage, 57624,
     /* 2255724 */   GIR_EraseRootFromParent_Done,
     /* 2255725 */ // Label 30321: @2255725
     /* 2255725 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2255773), // Rule ID 57625 //
     /* 2255730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255743 */   // MIs[0] Operand 1
     /* 2255743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255756 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255772 */   // GIR_Coverage, 57625,
     /* 2255772 */   GIR_EraseRootFromParent_Done,
     /* 2255773 */ // Label 30322: @2255773
     /* 2255773 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2255821), // Rule ID 57814 //
     /* 2255778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255791 */   // MIs[0] Operand 1
     /* 2255791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255804 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255820 */   // GIR_Coverage, 57814,
     /* 2255820 */   GIR_EraseRootFromParent_Done,
     /* 2255821 */ // Label 30323: @2255821
     /* 2255821 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2255869), // Rule ID 57815 //
     /* 2255826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255839 */   // MIs[0] Operand 1
     /* 2255839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255852 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255868 */   // GIR_Coverage, 57815,
     /* 2255868 */   GIR_EraseRootFromParent_Done,
     /* 2255869 */ // Label 30324: @2255869
     /* 2255869 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2255917), // Rule ID 57844 //
     /* 2255874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255887 */   // MIs[0] Operand 1
     /* 2255887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255900 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255916 */   // GIR_Coverage, 57844,
     /* 2255916 */   GIR_EraseRootFromParent_Done,
     /* 2255917 */ // Label 30325: @2255917
     /* 2255917 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2255965), // Rule ID 57845 //
     /* 2255922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255935 */   // MIs[0] Operand 1
     /* 2255935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255948 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255964 */   // GIR_Coverage, 57845,
     /* 2255964 */   GIR_EraseRootFromParent_Done,
     /* 2255965 */ // Label 30326: @2255965
     /* 2255965 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2256013), // Rule ID 57924 //
     /* 2255970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255983 */   // MIs[0] Operand 1
     /* 2255983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255996 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256012 */   // GIR_Coverage, 57924,
     /* 2256012 */   GIR_EraseRootFromParent_Done,
     /* 2256013 */ // Label 30327: @2256013
     /* 2256013 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2256061), // Rule ID 57925 //
     /* 2256018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256031 */   // MIs[0] Operand 1
     /* 2256031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256044 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256060 */   // GIR_Coverage, 57925,
     /* 2256060 */   GIR_EraseRootFromParent_Done,
     /* 2256061 */ // Label 30328: @2256061
     /* 2256061 */ GIM_Reject,
     /* 2256062 */ // Label 30237: @2256062
     /* 2256062 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2256110), // Rule ID 56934 //
     /* 2256067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256080 */   // MIs[0] Operand 1
     /* 2256080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256093 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2256096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256109 */   // GIR_Coverage, 56934,
     /* 2256109 */   GIR_EraseRootFromParent_Done,
     /* 2256110 */ // Label 30329: @2256110
     /* 2256110 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2256158), // Rule ID 56935 //
     /* 2256115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256128 */   // MIs[0] Operand 1
     /* 2256128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256141 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2256144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256157 */   // GIR_Coverage, 56935,
     /* 2256157 */   GIR_EraseRootFromParent_Done,
     /* 2256158 */ // Label 30330: @2256158
     /* 2256158 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2256206), // Rule ID 56994 //
     /* 2256163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256176 */   // MIs[0] Operand 1
     /* 2256176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256189 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256205 */   // GIR_Coverage, 56994,
     /* 2256205 */   GIR_EraseRootFromParent_Done,
     /* 2256206 */ // Label 30331: @2256206
     /* 2256206 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2256254), // Rule ID 56995 //
     /* 2256211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256224 */   // MIs[0] Operand 1
     /* 2256224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256237 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256253 */   // GIR_Coverage, 56995,
     /* 2256253 */   GIR_EraseRootFromParent_Done,
     /* 2256254 */ // Label 30332: @2256254
     /* 2256254 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2256302), // Rule ID 57034 //
     /* 2256259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256272 */   // MIs[0] Operand 1
     /* 2256272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256285 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256301 */   // GIR_Coverage, 57034,
     /* 2256301 */   GIR_EraseRootFromParent_Done,
     /* 2256302 */ // Label 30333: @2256302
     /* 2256302 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2256350), // Rule ID 57035 //
     /* 2256307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256320 */   // MIs[0] Operand 1
     /* 2256320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256333 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256340 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256349 */   // GIR_Coverage, 57035,
     /* 2256349 */   GIR_EraseRootFromParent_Done,
     /* 2256350 */ // Label 30334: @2256350
     /* 2256350 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2256398), // Rule ID 57234 //
     /* 2256355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256368 */   // MIs[0] Operand 1
     /* 2256368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256381 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2256384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256388 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256397 */   // GIR_Coverage, 57234,
     /* 2256397 */   GIR_EraseRootFromParent_Done,
     /* 2256398 */ // Label 30335: @2256398
     /* 2256398 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2256446), // Rule ID 57235 //
     /* 2256403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256416 */   // MIs[0] Operand 1
     /* 2256416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256429 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2256432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256434 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256436 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256445 */   // GIR_Coverage, 57235,
     /* 2256445 */   GIR_EraseRootFromParent_Done,
     /* 2256446 */ // Label 30336: @2256446
     /* 2256446 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2256494), // Rule ID 57294 //
     /* 2256451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256464 */   // MIs[0] Operand 1
     /* 2256464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256477 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256482 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256484 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256493 */   // GIR_Coverage, 57294,
     /* 2256493 */   GIR_EraseRootFromParent_Done,
     /* 2256494 */ // Label 30337: @2256494
     /* 2256494 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2256542), // Rule ID 57295 //
     /* 2256499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256512 */   // MIs[0] Operand 1
     /* 2256512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256525 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256541 */   // GIR_Coverage, 57295,
     /* 2256541 */   GIR_EraseRootFromParent_Done,
     /* 2256542 */ // Label 30338: @2256542
     /* 2256542 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2256590), // Rule ID 57334 //
     /* 2256547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256560 */   // MIs[0] Operand 1
     /* 2256560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256573 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256578 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256589 */   // GIR_Coverage, 57334,
     /* 2256589 */   GIR_EraseRootFromParent_Done,
     /* 2256590 */ // Label 30339: @2256590
     /* 2256590 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2256638), // Rule ID 57335 //
     /* 2256595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256608 */   // MIs[0] Operand 1
     /* 2256608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256621 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256626 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256637 */   // GIR_Coverage, 57335,
     /* 2256637 */   GIR_EraseRootFromParent_Done,
     /* 2256638 */ // Label 30340: @2256638
     /* 2256638 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2256686), // Rule ID 57534 //
     /* 2256643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256656 */   // MIs[0] Operand 1
     /* 2256656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256669 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256674 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256676 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256685 */   // GIR_Coverage, 57534,
     /* 2256685 */   GIR_EraseRootFromParent_Done,
     /* 2256686 */ // Label 30341: @2256686
     /* 2256686 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2256734), // Rule ID 57535 //
     /* 2256691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256704 */   // MIs[0] Operand 1
     /* 2256704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256717 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256722 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256733 */   // GIR_Coverage, 57535,
     /* 2256733 */   GIR_EraseRootFromParent_Done,
     /* 2256734 */ // Label 30342: @2256734
     /* 2256734 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2256782), // Rule ID 57594 //
     /* 2256739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256752 */   // MIs[0] Operand 1
     /* 2256752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256765 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256770 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256781 */   // GIR_Coverage, 57594,
     /* 2256781 */   GIR_EraseRootFromParent_Done,
     /* 2256782 */ // Label 30343: @2256782
     /* 2256782 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2256830), // Rule ID 57595 //
     /* 2256787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256800 */   // MIs[0] Operand 1
     /* 2256800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256813 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256818 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256829 */   // GIR_Coverage, 57595,
     /* 2256829 */   GIR_EraseRootFromParent_Done,
     /* 2256830 */ // Label 30344: @2256830
     /* 2256830 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2256878), // Rule ID 57634 //
     /* 2256835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256848 */   // MIs[0] Operand 1
     /* 2256848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256861 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256866 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256877 */   // GIR_Coverage, 57634,
     /* 2256877 */   GIR_EraseRootFromParent_Done,
     /* 2256878 */ // Label 30345: @2256878
     /* 2256878 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2256926), // Rule ID 57635 //
     /* 2256883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256896 */   // MIs[0] Operand 1
     /* 2256896 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256905 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256909 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256925 */   // GIR_Coverage, 57635,
     /* 2256925 */   GIR_EraseRootFromParent_Done,
     /* 2256926 */ // Label 30346: @2256926
     /* 2256926 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2256974), // Rule ID 57834 //
     /* 2256931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256944 */   // MIs[0] Operand 1
     /* 2256944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256957 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2256960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256973 */   // GIR_Coverage, 57834,
     /* 2256973 */   GIR_EraseRootFromParent_Done,
     /* 2256974 */ // Label 30347: @2256974
     /* 2256974 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2257022), // Rule ID 57835 //
     /* 2256979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256992 */   // MIs[0] Operand 1
     /* 2256992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257001 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257005 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2257008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257012 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257021 */   // GIR_Coverage, 57835,
     /* 2257021 */   GIR_EraseRootFromParent_Done,
     /* 2257022 */ // Label 30348: @2257022
     /* 2257022 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2257070), // Rule ID 57894 //
     /* 2257027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257040 */   // MIs[0] Operand 1
     /* 2257040 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257053 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257069 */   // GIR_Coverage, 57894,
     /* 2257069 */   GIR_EraseRootFromParent_Done,
     /* 2257070 */ // Label 30349: @2257070
     /* 2257070 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2257118), // Rule ID 57895 //
     /* 2257075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257088 */   // MIs[0] Operand 1
     /* 2257088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257101 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257106 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257108 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257117 */   // GIR_Coverage, 57895,
     /* 2257117 */   GIR_EraseRootFromParent_Done,
     /* 2257118 */ // Label 30350: @2257118
     /* 2257118 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2257166), // Rule ID 57934 //
     /* 2257123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257136 */   // MIs[0] Operand 1
     /* 2257136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257149 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257165 */   // GIR_Coverage, 57934,
     /* 2257165 */   GIR_EraseRootFromParent_Done,
     /* 2257166 */ // Label 30351: @2257166
     /* 2257166 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2257214), // Rule ID 57935 //
     /* 2257171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257184 */   // MIs[0] Operand 1
     /* 2257184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257197 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257213 */   // GIR_Coverage, 57935,
     /* 2257213 */   GIR_EraseRootFromParent_Done,
     /* 2257214 */ // Label 30352: @2257214
     /* 2257214 */ GIM_Reject,
     /* 2257215 */ // Label 30238: @2257215
     /* 2257215 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2257263), // Rule ID 56964 //
     /* 2257220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257233 */   // MIs[0] Operand 1
     /* 2257233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257246 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2257249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257262 */   // GIR_Coverage, 56964,
     /* 2257262 */   GIR_EraseRootFromParent_Done,
     /* 2257263 */ // Label 30353: @2257263
     /* 2257263 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2257311), // Rule ID 56965 //
     /* 2257268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257281 */   // MIs[0] Operand 1
     /* 2257281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257294 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2257297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257310 */   // GIR_Coverage, 56965,
     /* 2257310 */   GIR_EraseRootFromParent_Done,
     /* 2257311 */ // Label 30354: @2257311
     /* 2257311 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2257359), // Rule ID 57004 //
     /* 2257316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257329 */   // MIs[0] Operand 1
     /* 2257329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257342 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2257345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257358 */   // GIR_Coverage, 57004,
     /* 2257358 */   GIR_EraseRootFromParent_Done,
     /* 2257359 */ // Label 30355: @2257359
     /* 2257359 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2257407), // Rule ID 57005 //
     /* 2257364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257377 */   // MIs[0] Operand 1
     /* 2257377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257390 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2257393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257406 */   // GIR_Coverage, 57005,
     /* 2257406 */   GIR_EraseRootFromParent_Done,
     /* 2257407 */ // Label 30356: @2257407
     /* 2257407 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2257455), // Rule ID 57044 //
     /* 2257412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257425 */   // MIs[0] Operand 1
     /* 2257425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257438 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257454 */   // GIR_Coverage, 57044,
     /* 2257454 */   GIR_EraseRootFromParent_Done,
     /* 2257455 */ // Label 30357: @2257455
     /* 2257455 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2257503), // Rule ID 57045 //
     /* 2257460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257473 */   // MIs[0] Operand 1
     /* 2257473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257486 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257502 */   // GIR_Coverage, 57045,
     /* 2257502 */   GIR_EraseRootFromParent_Done,
     /* 2257503 */ // Label 30358: @2257503
     /* 2257503 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2257551), // Rule ID 57264 //
     /* 2257508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257521 */   // MIs[0] Operand 1
     /* 2257521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257534 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257550 */   // GIR_Coverage, 57264,
     /* 2257550 */   GIR_EraseRootFromParent_Done,
     /* 2257551 */ // Label 30359: @2257551
     /* 2257551 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2257599), // Rule ID 57265 //
     /* 2257556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257569 */   // MIs[0] Operand 1
     /* 2257569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257582 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257598 */   // GIR_Coverage, 57265,
     /* 2257598 */   GIR_EraseRootFromParent_Done,
     /* 2257599 */ // Label 30360: @2257599
     /* 2257599 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2257647), // Rule ID 57304 //
     /* 2257604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257617 */   // MIs[0] Operand 1
     /* 2257617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257630 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257646 */   // GIR_Coverage, 57304,
     /* 2257646 */   GIR_EraseRootFromParent_Done,
     /* 2257647 */ // Label 30361: @2257647
     /* 2257647 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2257695), // Rule ID 57305 //
     /* 2257652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257665 */   // MIs[0] Operand 1
     /* 2257665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257678 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257694 */   // GIR_Coverage, 57305,
     /* 2257694 */   GIR_EraseRootFromParent_Done,
     /* 2257695 */ // Label 30362: @2257695
     /* 2257695 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2257743), // Rule ID 57344 //
     /* 2257700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257713 */   // MIs[0] Operand 1
     /* 2257713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257726 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257742 */   // GIR_Coverage, 57344,
     /* 2257742 */   GIR_EraseRootFromParent_Done,
     /* 2257743 */ // Label 30363: @2257743
     /* 2257743 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2257791), // Rule ID 57345 //
     /* 2257748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257761 */   // MIs[0] Operand 1
     /* 2257761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257774 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257790 */   // GIR_Coverage, 57345,
     /* 2257790 */   GIR_EraseRootFromParent_Done,
     /* 2257791 */ // Label 30364: @2257791
     /* 2257791 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2257839), // Rule ID 57564 //
     /* 2257796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257809 */   // MIs[0] Operand 1
     /* 2257809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257822 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257838 */   // GIR_Coverage, 57564,
     /* 2257838 */   GIR_EraseRootFromParent_Done,
     /* 2257839 */ // Label 30365: @2257839
     /* 2257839 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2257887), // Rule ID 57565 //
     /* 2257844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257857 */   // MIs[0] Operand 1
     /* 2257857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257870 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257886 */   // GIR_Coverage, 57565,
     /* 2257886 */   GIR_EraseRootFromParent_Done,
     /* 2257887 */ // Label 30366: @2257887
     /* 2257887 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2257935), // Rule ID 57604 //
     /* 2257892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257905 */   // MIs[0] Operand 1
     /* 2257905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257918 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257934 */   // GIR_Coverage, 57604,
     /* 2257934 */   GIR_EraseRootFromParent_Done,
     /* 2257935 */ // Label 30367: @2257935
     /* 2257935 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2257983), // Rule ID 57605 //
     /* 2257940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257953 */   // MIs[0] Operand 1
     /* 2257953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257966 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257973 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257982 */   // GIR_Coverage, 57605,
     /* 2257982 */   GIR_EraseRootFromParent_Done,
     /* 2257983 */ // Label 30368: @2257983
     /* 2257983 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2258031), // Rule ID 57644 //
     /* 2257988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258001 */   // MIs[0] Operand 1
     /* 2258001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258014 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258019 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258021 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258030 */   // GIR_Coverage, 57644,
     /* 2258030 */   GIR_EraseRootFromParent_Done,
     /* 2258031 */ // Label 30369: @2258031
     /* 2258031 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2258079), // Rule ID 57645 //
     /* 2258036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258049 */   // MIs[0] Operand 1
     /* 2258049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258062 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258069 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258078 */   // GIR_Coverage, 57645,
     /* 2258078 */   GIR_EraseRootFromParent_Done,
     /* 2258079 */ // Label 30370: @2258079
     /* 2258079 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2258127), // Rule ID 57864 //
     /* 2258084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258097 */   // MIs[0] Operand 1
     /* 2258097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258110 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2258113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258126 */   // GIR_Coverage, 57864,
     /* 2258126 */   GIR_EraseRootFromParent_Done,
     /* 2258127 */ // Label 30371: @2258127
     /* 2258127 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2258175), // Rule ID 57865 //
     /* 2258132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258145 */   // MIs[0] Operand 1
     /* 2258145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258158 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2258161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258165 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258174 */   // GIR_Coverage, 57865,
     /* 2258174 */   GIR_EraseRootFromParent_Done,
     /* 2258175 */ // Label 30372: @2258175
     /* 2258175 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2258223), // Rule ID 57904 //
     /* 2258180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258193 */   // MIs[0] Operand 1
     /* 2258193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258206 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258211 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258213 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258222 */   // GIR_Coverage, 57904,
     /* 2258222 */   GIR_EraseRootFromParent_Done,
     /* 2258223 */ // Label 30373: @2258223
     /* 2258223 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2258271), // Rule ID 57905 //
     /* 2258228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258241 */   // MIs[0] Operand 1
     /* 2258241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258254 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258261 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258270 */   // GIR_Coverage, 57905,
     /* 2258270 */   GIR_EraseRootFromParent_Done,
     /* 2258271 */ // Label 30374: @2258271
     /* 2258271 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2258319), // Rule ID 57944 //
     /* 2258276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2258279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258289 */   // MIs[0] Operand 1
     /* 2258289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258302 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258307 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258318 */   // GIR_Coverage, 57944,
     /* 2258318 */   GIR_EraseRootFromParent_Done,
     /* 2258319 */ // Label 30375: @2258319
     /* 2258319 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2258367), // Rule ID 57945 //
     /* 2258324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258337 */   // MIs[0] Operand 1
     /* 2258337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258350 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258366 */   // GIR_Coverage, 57945,
     /* 2258366 */   GIR_EraseRootFromParent_Done,
     /* 2258367 */ // Label 30376: @2258367
     /* 2258367 */ GIM_Reject,
     /* 2258368 */ // Label 30239: @2258368
     /* 2258368 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2258416), // Rule ID 56974 //
     /* 2258373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258386 */   // MIs[0] Operand 1
     /* 2258386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258399 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2258402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258404 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258406 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258415 */   // GIR_Coverage, 56974,
     /* 2258415 */   GIR_EraseRootFromParent_Done,
     /* 2258416 */ // Label 30377: @2258416
     /* 2258416 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2258464), // Rule ID 56975 //
     /* 2258421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258434 */   // MIs[0] Operand 1
     /* 2258434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258447 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2258450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258463 */   // GIR_Coverage, 56975,
     /* 2258463 */   GIR_EraseRootFromParent_Done,
     /* 2258464 */ // Label 30378: @2258464
     /* 2258464 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2258512), // Rule ID 57014 //
     /* 2258469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258482 */   // MIs[0] Operand 1
     /* 2258482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258491 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258495 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258500 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258511 */   // GIR_Coverage, 57014,
     /* 2258511 */   GIR_EraseRootFromParent_Done,
     /* 2258512 */ // Label 30379: @2258512
     /* 2258512 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2258560), // Rule ID 57015 //
     /* 2258517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258530 */   // MIs[0] Operand 1
     /* 2258530 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258543 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258548 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258559 */   // GIR_Coverage, 57015,
     /* 2258559 */   GIR_EraseRootFromParent_Done,
     /* 2258560 */ // Label 30380: @2258560
     /* 2258560 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2258608), // Rule ID 57274 //
     /* 2258565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258578 */   // MIs[0] Operand 1
     /* 2258578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258591 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258607 */   // GIR_Coverage, 57274,
     /* 2258607 */   GIR_EraseRootFromParent_Done,
     /* 2258608 */ // Label 30381: @2258608
     /* 2258608 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2258656), // Rule ID 57275 //
     /* 2258613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258626 */   // MIs[0] Operand 1
     /* 2258626 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258639 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258655 */   // GIR_Coverage, 57275,
     /* 2258655 */   GIR_EraseRootFromParent_Done,
     /* 2258656 */ // Label 30382: @2258656
     /* 2258656 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2258704), // Rule ID 57314 //
     /* 2258661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258674 */   // MIs[0] Operand 1
     /* 2258674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258687 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258703 */   // GIR_Coverage, 57314,
     /* 2258703 */   GIR_EraseRootFromParent_Done,
     /* 2258704 */ // Label 30383: @2258704
     /* 2258704 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2258752), // Rule ID 57315 //
     /* 2258709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258722 */   // MIs[0] Operand 1
     /* 2258722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258735 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258751 */   // GIR_Coverage, 57315,
     /* 2258751 */   GIR_EraseRootFromParent_Done,
     /* 2258752 */ // Label 30384: @2258752
     /* 2258752 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2258800), // Rule ID 57574 //
     /* 2258757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258770 */   // MIs[0] Operand 1
     /* 2258770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258783 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258788 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258790 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258799 */   // GIR_Coverage, 57574,
     /* 2258799 */   GIR_EraseRootFromParent_Done,
     /* 2258800 */ // Label 30385: @2258800
     /* 2258800 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2258848), // Rule ID 57575 //
     /* 2258805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258818 */   // MIs[0] Operand 1
     /* 2258818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258827 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258831 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258836 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258838 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258847 */   // GIR_Coverage, 57575,
     /* 2258847 */   GIR_EraseRootFromParent_Done,
     /* 2258848 */ // Label 30386: @2258848
     /* 2258848 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2258896), // Rule ID 57614 //
     /* 2258853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258866 */   // MIs[0] Operand 1
     /* 2258866 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258879 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258884 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258886 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258895 */   // GIR_Coverage, 57614,
     /* 2258895 */   GIR_EraseRootFromParent_Done,
     /* 2258896 */ // Label 30387: @2258896
     /* 2258896 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2258944), // Rule ID 57615 //
     /* 2258901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258914 */   // MIs[0] Operand 1
     /* 2258914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258927 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258934 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258943 */   // GIR_Coverage, 57615,
     /* 2258943 */   GIR_EraseRootFromParent_Done,
     /* 2258944 */ // Label 30388: @2258944
     /* 2258944 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2258992), // Rule ID 57874 //
     /* 2258949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258962 */   // MIs[0] Operand 1
     /* 2258962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258975 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258982 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258991 */   // GIR_Coverage, 57874,
     /* 2258991 */   GIR_EraseRootFromParent_Done,
     /* 2258992 */ // Label 30389: @2258992
     /* 2258992 */ GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2259040), // Rule ID 57875 //
     /* 2258997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2259003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2259006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259010 */   // MIs[0] Operand 1
     /* 2259010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259023 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2259026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259039 */   // GIR_Coverage, 57875,
     /* 2259039 */   GIR_EraseRootFromParent_Done,
     /* 2259040 */ // Label 30390: @2259040
     /* 2259040 */ GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2259088), // Rule ID 57914 //
     /* 2259045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2259048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2259051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2259054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259058 */   // MIs[0] Operand 1
     /* 2259058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259071 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259087 */   // GIR_Coverage, 57914,
     /* 2259087 */   GIR_EraseRootFromParent_Done,
     /* 2259088 */ // Label 30391: @2259088
     /* 2259088 */ GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2259136), // Rule ID 57915 //
     /* 2259093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2259096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2259099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2259102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259106 */   // MIs[0] Operand 1
     /* 2259106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259115 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259119 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259124 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259135 */   // GIR_Coverage, 57915,
     /* 2259135 */   GIR_EraseRootFromParent_Done,
     /* 2259136 */ // Label 30392: @2259136
     /* 2259136 */ GIM_Reject,
     /* 2259137 */ // Label 30240: @2259137
     /* 2259137 */ GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2259457),
     /* 2259142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259152 */   GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2259190), // Rule ID 56984 //
     /* 2259157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259160 */     // MIs[0] Operand 1
     /* 2259160 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259173 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2259176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259189 */     // GIR_Coverage, 56984,
     /* 2259189 */     GIR_EraseRootFromParent_Done,
     /* 2259190 */   // Label 30394: @2259190
     /* 2259190 */   GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2259228), // Rule ID 56985 //
     /* 2259195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259198 */     // MIs[0] Operand 1
     /* 2259198 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259211 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2259214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259227 */     // GIR_Coverage, 56985,
     /* 2259227 */     GIR_EraseRootFromParent_Done,
     /* 2259228 */   // Label 30395: @2259228
     /* 2259228 */   GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2259266), // Rule ID 57284 //
     /* 2259233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259236 */     // MIs[0] Operand 1
     /* 2259236 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259249 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2259252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259265 */     // GIR_Coverage, 57284,
     /* 2259265 */     GIR_EraseRootFromParent_Done,
     /* 2259266 */   // Label 30396: @2259266
     /* 2259266 */   GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2259304), // Rule ID 57285 //
     /* 2259271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259274 */     // MIs[0] Operand 1
     /* 2259274 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259287 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2259290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259303 */     // GIR_Coverage, 57285,
     /* 2259303 */     GIR_EraseRootFromParent_Done,
     /* 2259304 */   // Label 30397: @2259304
     /* 2259304 */   GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2259342), // Rule ID 57584 //
     /* 2259309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259312 */     // MIs[0] Operand 1
     /* 2259312 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259325 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2259328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259341 */     // GIR_Coverage, 57584,
     /* 2259341 */     GIR_EraseRootFromParent_Done,
     /* 2259342 */   // Label 30398: @2259342
     /* 2259342 */   GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2259380), // Rule ID 57585 //
     /* 2259347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259350 */     // MIs[0] Operand 1
     /* 2259350 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259363 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2259366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259379 */     // GIR_Coverage, 57585,
     /* 2259379 */     GIR_EraseRootFromParent_Done,
     /* 2259380 */   // Label 30399: @2259380
     /* 2259380 */   GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2259418), // Rule ID 57884 //
     /* 2259385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259388 */     // MIs[0] Operand 1
     /* 2259388 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259401 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259417 */     // GIR_Coverage, 57884,
     /* 2259417 */     GIR_EraseRootFromParent_Done,
     /* 2259418 */   // Label 30400: @2259418
     /* 2259418 */   GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2259456), // Rule ID 57885 //
     /* 2259423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259426 */     // MIs[0] Operand 1
     /* 2259426 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259439 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259455 */     // GIR_Coverage, 57885,
     /* 2259455 */     GIR_EraseRootFromParent_Done,
     /* 2259456 */   // Label 30401: @2259456
     /* 2259456 */   GIM_Reject,
     /* 2259457 */ // Label 30393: @2259457
     /* 2259457 */ GIM_Reject,
     /* 2259458 */ // Label 30241: @2259458
     /* 2259458 */ GIM_Reject,
     /* 2259459 */ // Label 50: @2259459
     /* 2259459 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30426*/ GIMT_Encode4(2263850),
     /* 2259470 */ /*GILLT_s32*//*Label 30402*/ GIMT_Encode4(2259594),
     /* 2259474 */ /*GILLT_s64*//*Label 30403*/ GIMT_Encode4(2259742), GIMT_Encode4(0),
     /* 2259482 */ /*GILLT_nxv1s8*//*Label 30404*/ GIMT_Encode4(2259890),
     /* 2259486 */ /*GILLT_nxv1s16*//*Label 30405*/ GIMT_Encode4(2260010),
     /* 2259490 */ /*GILLT_nxv1s32*//*Label 30406*/ GIMT_Encode4(2260218),
     /* 2259494 */ /*GILLT_nxv1s64*//*Label 30407*/ GIMT_Encode4(2260426), GIMT_Encode4(0),
     /* 2259502 */ /*GILLT_nxv2s8*//*Label 30408*/ GIMT_Encode4(2260634),
     /* 2259506 */ /*GILLT_nxv2s16*//*Label 30409*/ GIMT_Encode4(2260754),
     /* 2259510 */ /*GILLT_nxv2s32*//*Label 30410*/ GIMT_Encode4(2260962),
     /* 2259514 */ /*GILLT_nxv2s64*//*Label 30411*/ GIMT_Encode4(2261170), GIMT_Encode4(0),
     /* 2259522 */ /*GILLT_nxv4s8*//*Label 30412*/ GIMT_Encode4(2261378),
     /* 2259526 */ /*GILLT_nxv4s16*//*Label 30413*/ GIMT_Encode4(2261498),
     /* 2259530 */ /*GILLT_nxv4s32*//*Label 30414*/ GIMT_Encode4(2261706),
     /* 2259534 */ /*GILLT_nxv4s64*//*Label 30415*/ GIMT_Encode4(2261914), GIMT_Encode4(0),
     /* 2259542 */ /*GILLT_nxv8s8*//*Label 30416*/ GIMT_Encode4(2262122),
     /* 2259546 */ /*GILLT_nxv8s16*//*Label 30417*/ GIMT_Encode4(2262242),
     /* 2259550 */ /*GILLT_nxv8s32*//*Label 30418*/ GIMT_Encode4(2262450),
     /* 2259554 */ /*GILLT_nxv8s64*//*Label 30419*/ GIMT_Encode4(2262658), GIMT_Encode4(0),
     /* 2259562 */ /*GILLT_nxv16s8*//*Label 30420*/ GIMT_Encode4(2262866),
     /* 2259566 */ /*GILLT_nxv16s16*//*Label 30421*/ GIMT_Encode4(2262986),
     /* 2259570 */ /*GILLT_nxv16s32*//*Label 30422*/ GIMT_Encode4(2263194), GIMT_Encode4(0),
     /* 2259578 */ /*GILLT_nxv32s8*//*Label 30423*/ GIMT_Encode4(2263402),
     /* 2259582 */ /*GILLT_nxv32s16*//*Label 30424*/ GIMT_Encode4(2263522), GIMT_Encode4(0),
     /* 2259590 */ /*GILLT_nxv64s8*//*Label 30425*/ GIMT_Encode4(2263730),
     /* 2259594 */ // Label 30402: @2259594
     /* 2259594 */ GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2259741),
     /* 2259599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2259602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2259605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2259608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259616 */   GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2259649), // Rule ID 62494 //
     /* 2259621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259632 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259637 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259645 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259648 */     // GIR_Coverage, 62494,
     /* 2259648 */     GIR_EraseRootFromParent_Done,
     /* 2259649 */   // Label 30428: @2259649
     /* 2259649 */   GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2259682), // Rule ID 62492 //
     /* 2259654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259661 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259665 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259670 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259678 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259681 */     // GIR_Coverage, 62492,
     /* 2259681 */     GIR_EraseRootFromParent_Done,
     /* 2259682 */   // Label 30429: @2259682
     /* 2259682 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2259711), // Rule ID 62490 //
     /* 2259687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259698 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2259698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259703 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259705 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259707 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259710 */     // GIR_Coverage, 62490,
     /* 2259710 */     GIR_EraseRootFromParent_Done,
     /* 2259711 */   // Label 30430: @2259711
     /* 2259711 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2259740), // Rule ID 64505 //
     /* 2259716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2259719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259727 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2259727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259739 */     // GIR_Coverage, 64505,
     /* 2259739 */     GIR_EraseRootFromParent_Done,
     /* 2259740 */   // Label 30431: @2259740
     /* 2259740 */   GIM_Reject,
     /* 2259741 */ // Label 30427: @2259741
     /* 2259741 */ GIM_Reject,
     /* 2259742 */ // Label 30403: @2259742
     /* 2259742 */ GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2259889),
     /* 2259747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2259750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2259753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2259756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259764 */   GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2259797), // Rule ID 62493 //
     /* 2259769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259772 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259780 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259785 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259787 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259793 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259796 */     // GIR_Coverage, 62493,
     /* 2259796 */     GIR_EraseRootFromParent_Done,
     /* 2259797 */   // Label 30433: @2259797
     /* 2259797 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2259830), // Rule ID 62491 //
     /* 2259802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259809 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259813 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259818 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259826 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259829 */     // GIR_Coverage, 62491,
     /* 2259829 */     GIR_EraseRootFromParent_Done,
     /* 2259830 */   // Label 30434: @2259830
     /* 2259830 */   GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2259859), // Rule ID 62489 //
     /* 2259835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259846 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2259846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259851 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259853 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259855 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259858 */     // GIR_Coverage, 62489,
     /* 2259858 */     GIR_EraseRootFromParent_Done,
     /* 2259859 */   // Label 30435: @2259859
     /* 2259859 */   GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2259888), // Rule ID 64504 //
     /* 2259864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2259867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259875 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2259875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259887 */     // GIR_Coverage, 64504,
     /* 2259887 */     GIR_EraseRootFromParent_Done,
     /* 2259888 */   // Label 30436: @2259888
     /* 2259888 */   GIM_Reject,
     /* 2259889 */ // Label 30432: @2259889
     /* 2259889 */ GIM_Reject,
     /* 2259890 */ // Label 30404: @2259890
     /* 2259890 */ GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2260009),
     /* 2259895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2259901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2259904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259916 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259920 */   GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2259964), // Rule ID 52114 //
     /* 2259925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259928 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259954 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259963 */     // GIR_Coverage, 52114,
     /* 2259963 */     GIR_EraseRootFromParent_Done,
     /* 2259964 */   // Label 30438: @2259964
     /* 2259964 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2260008), // Rule ID 52115 //
     /* 2259969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259972 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259998 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260007 */     // GIR_Coverage, 52115,
     /* 2260007 */     GIR_EraseRootFromParent_Done,
     /* 2260008 */   // Label 30439: @2260008
     /* 2260008 */   GIM_Reject,
     /* 2260009 */ // Label 30437: @2260009
     /* 2260009 */ GIM_Reject,
     /* 2260010 */ // Label 30405: @2260010
     /* 2260010 */ GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2260217),
     /* 2260015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2260018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2260021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2260024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260040 */   GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2260084), // Rule ID 52132 //
     /* 2260045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260048 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260074 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260083 */     // GIR_Coverage, 52132,
     /* 2260083 */     GIR_EraseRootFromParent_Done,
     /* 2260084 */   // Label 30441: @2260084
     /* 2260084 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2260128), // Rule ID 52133 //
     /* 2260089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260092 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260118 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260127 */     // GIR_Coverage, 52133,
     /* 2260127 */     GIR_EraseRootFromParent_Done,
     /* 2260128 */   // Label 30442: @2260128
     /* 2260128 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2260172), // Rule ID 57954 //
     /* 2260133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260136 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260162 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260171 */     // GIR_Coverage, 57954,
     /* 2260171 */     GIR_EraseRootFromParent_Done,
     /* 2260172 */   // Label 30443: @2260172
     /* 2260172 */   GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2260216), // Rule ID 57955 //
     /* 2260177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260180 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260206 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260215 */     // GIR_Coverage, 57955,
     /* 2260215 */     GIR_EraseRootFromParent_Done,
     /* 2260216 */   // Label 30444: @2260216
     /* 2260216 */   GIM_Reject,
     /* 2260217 */ // Label 30440: @2260217
     /* 2260217 */ GIM_Reject,
     /* 2260218 */ // Label 30406: @2260218
     /* 2260218 */ GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2260425),
     /* 2260223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2260226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2260229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2260232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260244 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260248 */   GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2260292), // Rule ID 52144 //
     /* 2260253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260256 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260282 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260291 */     // GIR_Coverage, 52144,
     /* 2260291 */     GIR_EraseRootFromParent_Done,
     /* 2260292 */   // Label 30446: @2260292
     /* 2260292 */   GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2260336), // Rule ID 52145 //
     /* 2260297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260300 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260326 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260335 */     // GIR_Coverage, 52145,
     /* 2260335 */     GIR_EraseRootFromParent_Done,
     /* 2260336 */   // Label 30447: @2260336
     /* 2260336 */   GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2260380), // Rule ID 57974 //
     /* 2260341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260344 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260370 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260379 */     // GIR_Coverage, 57974,
     /* 2260379 */     GIR_EraseRootFromParent_Done,
     /* 2260380 */   // Label 30448: @2260380
     /* 2260380 */   GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2260424), // Rule ID 57975 //
     /* 2260385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260388 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260414 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260423 */     // GIR_Coverage, 57975,
     /* 2260423 */     GIR_EraseRootFromParent_Done,
     /* 2260424 */   // Label 30449: @2260424
     /* 2260424 */   GIM_Reject,
     /* 2260425 */ // Label 30445: @2260425
     /* 2260425 */ GIM_Reject,
     /* 2260426 */ // Label 30407: @2260426
     /* 2260426 */ GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2260633),
     /* 2260431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2260434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2260437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2260440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260456 */   GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2260500), // Rule ID 52168 //
     /* 2260461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260464 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260490 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260499 */     // GIR_Coverage, 52168,
     /* 2260499 */     GIR_EraseRootFromParent_Done,
     /* 2260500 */   // Label 30451: @2260500
     /* 2260500 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2260544), // Rule ID 52169 //
     /* 2260505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260508 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260534 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260543 */     // GIR_Coverage, 52169,
     /* 2260543 */     GIR_EraseRootFromParent_Done,
     /* 2260544 */   // Label 30452: @2260544
     /* 2260544 */   GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2260588), // Rule ID 58004 //
     /* 2260549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260552 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260578 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260587 */     // GIR_Coverage, 58004,
     /* 2260587 */     GIR_EraseRootFromParent_Done,
     /* 2260588 */   // Label 30453: @2260588
     /* 2260588 */   GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2260632), // Rule ID 58005 //
     /* 2260593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260596 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260622 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260631 */     // GIR_Coverage, 58005,
     /* 2260631 */     GIR_EraseRootFromParent_Done,
     /* 2260632 */   // Label 30454: @2260632
     /* 2260632 */   GIM_Reject,
     /* 2260633 */ // Label 30450: @2260633
     /* 2260633 */ GIM_Reject,
     /* 2260634 */ // Label 30408: @2260634
     /* 2260634 */ GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2260753),
     /* 2260639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2260645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2260648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260664 */   GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2260708), // Rule ID 52120 //
     /* 2260669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260672 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260698 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260707 */     // GIR_Coverage, 52120,
     /* 2260707 */     GIR_EraseRootFromParent_Done,
     /* 2260708 */   // Label 30456: @2260708
     /* 2260708 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2260752), // Rule ID 52121 //
     /* 2260713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260716 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260742 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260751 */     // GIR_Coverage, 52121,
     /* 2260751 */     GIR_EraseRootFromParent_Done,
     /* 2260752 */   // Label 30457: @2260752
     /* 2260752 */   GIM_Reject,
     /* 2260753 */ // Label 30455: @2260753
     /* 2260753 */ GIM_Reject,
     /* 2260754 */ // Label 30409: @2260754
     /* 2260754 */ GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2260961),
     /* 2260759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2260765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2260768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260784 */   GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2260828), // Rule ID 52138 //
     /* 2260789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260792 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260818 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260827 */     // GIR_Coverage, 52138,
     /* 2260827 */     GIR_EraseRootFromParent_Done,
     /* 2260828 */   // Label 30459: @2260828
     /* 2260828 */   GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2260872), // Rule ID 52139 //
     /* 2260833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260836 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260862 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260871 */     // GIR_Coverage, 52139,
     /* 2260871 */     GIR_EraseRootFromParent_Done,
     /* 2260872 */   // Label 30460: @2260872
     /* 2260872 */   GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2260916), // Rule ID 57964 //
     /* 2260877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260880 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260906 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260915 */     // GIR_Coverage, 57964,
     /* 2260915 */     GIR_EraseRootFromParent_Done,
     /* 2260916 */   // Label 30461: @2260916
     /* 2260916 */   GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2260960), // Rule ID 57965 //
     /* 2260921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260924 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260950 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260959 */     // GIR_Coverage, 57965,
     /* 2260959 */     GIR_EraseRootFromParent_Done,
     /* 2260960 */   // Label 30462: @2260960
     /* 2260960 */   GIM_Reject,
     /* 2260961 */ // Label 30458: @2260961
     /* 2260961 */ GIM_Reject,
     /* 2260962 */ // Label 30410: @2260962
     /* 2260962 */ GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2261169),
     /* 2260967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2260976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260992 */   GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2261036), // Rule ID 52162 //
     /* 2260997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261000 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261026 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261035 */     // GIR_Coverage, 52162,
     /* 2261035 */     GIR_EraseRootFromParent_Done,
     /* 2261036 */   // Label 30464: @2261036
     /* 2261036 */   GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2261080), // Rule ID 52163 //
     /* 2261041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261044 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261070 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261079 */     // GIR_Coverage, 52163,
     /* 2261079 */     GIR_EraseRootFromParent_Done,
     /* 2261080 */   // Label 30465: @2261080
     /* 2261080 */   GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2261124), // Rule ID 57994 //
     /* 2261085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261088 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261114 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261123 */     // GIR_Coverage, 57994,
     /* 2261123 */     GIR_EraseRootFromParent_Done,
     /* 2261124 */   // Label 30466: @2261124
     /* 2261124 */   GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2261168), // Rule ID 57995 //
     /* 2261129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261132 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261158 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261167 */     // GIR_Coverage, 57995,
     /* 2261167 */     GIR_EraseRootFromParent_Done,
     /* 2261168 */   // Label 30467: @2261168
     /* 2261168 */   GIM_Reject,
     /* 2261169 */ // Label 30463: @2261169
     /* 2261169 */ GIM_Reject,
     /* 2261170 */ // Label 30411: @2261170
     /* 2261170 */ GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2261377),
     /* 2261175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2261178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2261181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2261184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261196 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261200 */   GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2261244), // Rule ID 52228 //
     /* 2261205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261208 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261234 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261243 */     // GIR_Coverage, 52228,
     /* 2261243 */     GIR_EraseRootFromParent_Done,
     /* 2261244 */   // Label 30469: @2261244
     /* 2261244 */   GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2261288), // Rule ID 52229 //
     /* 2261249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261252 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261278 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261287 */     // GIR_Coverage, 52229,
     /* 2261287 */     GIR_EraseRootFromParent_Done,
     /* 2261288 */   // Label 30470: @2261288
     /* 2261288 */   GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2261332), // Rule ID 58074 //
     /* 2261293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261296 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261322 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261331 */     // GIR_Coverage, 58074,
     /* 2261331 */     GIR_EraseRootFromParent_Done,
     /* 2261332 */   // Label 30471: @2261332
     /* 2261332 */   GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2261376), // Rule ID 58075 //
     /* 2261337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261340 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261366 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261375 */     // GIR_Coverage, 58075,
     /* 2261375 */     GIR_EraseRootFromParent_Done,
     /* 2261376 */   // Label 30472: @2261376
     /* 2261376 */   GIM_Reject,
     /* 2261377 */ // Label 30468: @2261377
     /* 2261377 */ GIM_Reject,
     /* 2261378 */ // Label 30412: @2261378
     /* 2261378 */ GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2261497),
     /* 2261383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2261389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2261392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261408 */   GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2261452), // Rule ID 52126 //
     /* 2261413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261416 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2261433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261442 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261451 */     // GIR_Coverage, 52126,
     /* 2261451 */     GIR_EraseRootFromParent_Done,
     /* 2261452 */   // Label 30474: @2261452
     /* 2261452 */   GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2261496), // Rule ID 52127 //
     /* 2261457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261460 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2261477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261486 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261495 */     // GIR_Coverage, 52127,
     /* 2261495 */     GIR_EraseRootFromParent_Done,
     /* 2261496 */   // Label 30475: @2261496
     /* 2261496 */   GIM_Reject,
     /* 2261497 */ // Label 30473: @2261497
     /* 2261497 */ GIM_Reject,
     /* 2261498 */ // Label 30413: @2261498
     /* 2261498 */ GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2261705),
     /* 2261503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2261509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2261512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261528 */   GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2261572), // Rule ID 52156 //
     /* 2261533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261536 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261562 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261571 */     // GIR_Coverage, 52156,
     /* 2261571 */     GIR_EraseRootFromParent_Done,
     /* 2261572 */   // Label 30477: @2261572
     /* 2261572 */   GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2261616), // Rule ID 52157 //
     /* 2261577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261580 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261606 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261615 */     // GIR_Coverage, 52157,
     /* 2261615 */     GIR_EraseRootFromParent_Done,
     /* 2261616 */   // Label 30478: @2261616
     /* 2261616 */   GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2261660), // Rule ID 57984 //
     /* 2261621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261624 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261650 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261659 */     // GIR_Coverage, 57984,
     /* 2261659 */     GIR_EraseRootFromParent_Done,
     /* 2261660 */   // Label 30479: @2261660
     /* 2261660 */   GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2261704), // Rule ID 57985 //
     /* 2261665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261668 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261694 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261703 */     // GIR_Coverage, 57985,
     /* 2261703 */     GIR_EraseRootFromParent_Done,
     /* 2261704 */   // Label 30480: @2261704
     /* 2261704 */   GIM_Reject,
     /* 2261705 */ // Label 30476: @2261705
     /* 2261705 */ GIM_Reject,
     /* 2261706 */ // Label 30414: @2261706
     /* 2261706 */ GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2261913),
     /* 2261711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261717 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2261720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261736 */   GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2261780), // Rule ID 52210 //
     /* 2261741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261744 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261770 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261779 */     // GIR_Coverage, 52210,
     /* 2261779 */     GIR_EraseRootFromParent_Done,
     /* 2261780 */   // Label 30482: @2261780
     /* 2261780 */   GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2261824), // Rule ID 52211 //
     /* 2261785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261788 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261814 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261823 */     // GIR_Coverage, 52211,
     /* 2261823 */     GIR_EraseRootFromParent_Done,
     /* 2261824 */   // Label 30483: @2261824
     /* 2261824 */   GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2261868), // Rule ID 58044 //
     /* 2261829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261832 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261858 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261867 */     // GIR_Coverage, 58044,
     /* 2261867 */     GIR_EraseRootFromParent_Done,
     /* 2261868 */   // Label 30484: @2261868
     /* 2261868 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2261912), // Rule ID 58045 //
     /* 2261873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261876 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261902 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261911 */     // GIR_Coverage, 58045,
     /* 2261911 */     GIR_EraseRootFromParent_Done,
     /* 2261912 */   // Label 30485: @2261912
     /* 2261912 */   GIM_Reject,
     /* 2261913 */ // Label 30481: @2261913
     /* 2261913 */ GIM_Reject,
     /* 2261914 */ // Label 30415: @2261914
     /* 2261914 */ GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2262121),
     /* 2261919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2261928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261944 */   GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2261988), // Rule ID 52234 //
     /* 2261949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261952 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261978 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261987 */     // GIR_Coverage, 52234,
     /* 2261987 */     GIR_EraseRootFromParent_Done,
     /* 2261988 */   // Label 30487: @2261988
     /* 2261988 */   GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2262032), // Rule ID 52235 //
     /* 2261993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261996 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262022 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262031 */     // GIR_Coverage, 52235,
     /* 2262031 */     GIR_EraseRootFromParent_Done,
     /* 2262032 */   // Label 30488: @2262032
     /* 2262032 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2262076), // Rule ID 58084 //
     /* 2262037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262040 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2262043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262066 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262075 */     // GIR_Coverage, 58084,
     /* 2262075 */     GIR_EraseRootFromParent_Done,
     /* 2262076 */   // Label 30489: @2262076
     /* 2262076 */   GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2262120), // Rule ID 58085 //
     /* 2262081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262084 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2262087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262110 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262119 */     // GIR_Coverage, 58085,
     /* 2262119 */     GIR_EraseRootFromParent_Done,
     /* 2262120 */   // Label 30490: @2262120
     /* 2262120 */   GIM_Reject,
     /* 2262121 */ // Label 30486: @2262121
     /* 2262121 */ GIM_Reject,
     /* 2262122 */ // Label 30416: @2262122
     /* 2262122 */ GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2262241),
     /* 2262127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2262140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262152 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2262196), // Rule ID 52150 //
     /* 2262157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262160 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2262163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2262177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262186 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262195 */     // GIR_Coverage, 52150,
     /* 2262195 */     GIR_EraseRootFromParent_Done,
     /* 2262196 */   // Label 30492: @2262196
     /* 2262196 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2262240), // Rule ID 52151 //
     /* 2262201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262204 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2262207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2262221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262230 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262239 */     // GIR_Coverage, 52151,
     /* 2262239 */     GIR_EraseRootFromParent_Done,
     /* 2262240 */   // Label 30493: @2262240
     /* 2262240 */   GIM_Reject,
     /* 2262241 */ // Label 30491: @2262241
     /* 2262241 */ GIM_Reject,
     /* 2262242 */ // Label 30417: @2262242
     /* 2262242 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2262449),
     /* 2262247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262272 */   GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2262316), // Rule ID 52192 //
     /* 2262277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262280 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262306 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262315 */     // GIR_Coverage, 52192,
     /* 2262315 */     GIR_EraseRootFromParent_Done,
     /* 2262316 */   // Label 30495: @2262316
     /* 2262316 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2262360), // Rule ID 52193 //
     /* 2262321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262324 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262350 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262359 */     // GIR_Coverage, 52193,
     /* 2262359 */     GIR_EraseRootFromParent_Done,
     /* 2262360 */   // Label 30496: @2262360
     /* 2262360 */   GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2262404), // Rule ID 58014 //
     /* 2262365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262368 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262394 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262403 */     // GIR_Coverage, 58014,
     /* 2262403 */     GIR_EraseRootFromParent_Done,
     /* 2262404 */   // Label 30497: @2262404
     /* 2262404 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2262448), // Rule ID 58015 //
     /* 2262409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262412 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262438 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262447 */     // GIR_Coverage, 58015,
     /* 2262447 */     GIR_EraseRootFromParent_Done,
     /* 2262448 */   // Label 30498: @2262448
     /* 2262448 */   GIM_Reject,
     /* 2262449 */ // Label 30494: @2262449
     /* 2262449 */ GIM_Reject,
     /* 2262450 */ // Label 30418: @2262450
     /* 2262450 */ GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2262657),
     /* 2262455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262480 */   GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2262524), // Rule ID 52216 //
     /* 2262485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262488 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262514 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262523 */     // GIR_Coverage, 52216,
     /* 2262523 */     GIR_EraseRootFromParent_Done,
     /* 2262524 */   // Label 30500: @2262524
     /* 2262524 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2262568), // Rule ID 52217 //
     /* 2262529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262532 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262558 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262567 */     // GIR_Coverage, 52217,
     /* 2262567 */     GIR_EraseRootFromParent_Done,
     /* 2262568 */   // Label 30501: @2262568
     /* 2262568 */   GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2262612), // Rule ID 58054 //
     /* 2262573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262576 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262602 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262611 */     // GIR_Coverage, 58054,
     /* 2262611 */     GIR_EraseRootFromParent_Done,
     /* 2262612 */   // Label 30502: @2262612
     /* 2262612 */   GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2262656), // Rule ID 58055 //
     /* 2262617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262620 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262646 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262655 */     // GIR_Coverage, 58055,
     /* 2262655 */     GIR_EraseRootFromParent_Done,
     /* 2262656 */   // Label 30503: @2262656
     /* 2262656 */   GIM_Reject,
     /* 2262657 */ // Label 30499: @2262657
     /* 2262657 */ GIM_Reject,
     /* 2262658 */ // Label 30419: @2262658
     /* 2262658 */ GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2262865),
     /* 2262663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262688 */   GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2262732), // Rule ID 52240 //
     /* 2262693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262696 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262722 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262731 */     // GIR_Coverage, 52240,
     /* 2262731 */     GIR_EraseRootFromParent_Done,
     /* 2262732 */   // Label 30505: @2262732
     /* 2262732 */   GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2262776), // Rule ID 52241 //
     /* 2262737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262740 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262766 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262775 */     // GIR_Coverage, 52241,
     /* 2262775 */     GIR_EraseRootFromParent_Done,
     /* 2262776 */   // Label 30506: @2262776
     /* 2262776 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2262820), // Rule ID 58094 //
     /* 2262781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262784 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262810 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262819 */     // GIR_Coverage, 58094,
     /* 2262819 */     GIR_EraseRootFromParent_Done,
     /* 2262820 */   // Label 30507: @2262820
     /* 2262820 */   GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2262864), // Rule ID 58095 //
     /* 2262825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262828 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262854 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262863 */     // GIR_Coverage, 58095,
     /* 2262863 */     GIR_EraseRootFromParent_Done,
     /* 2262864 */   // Label 30508: @2262864
     /* 2262864 */   GIM_Reject,
     /* 2262865 */ // Label 30504: @2262865
     /* 2262865 */ GIM_Reject,
     /* 2262866 */ // Label 30420: @2262866
     /* 2262866 */ GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2262985),
     /* 2262871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262896 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2262940), // Rule ID 52174 //
     /* 2262901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262904 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262930 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262939 */     // GIR_Coverage, 52174,
     /* 2262939 */     GIR_EraseRootFromParent_Done,
     /* 2262940 */   // Label 30510: @2262940
     /* 2262940 */   GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2262984), // Rule ID 52175 //
     /* 2262945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262948 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262974 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262983 */     // GIR_Coverage, 52175,
     /* 2262983 */     GIR_EraseRootFromParent_Done,
     /* 2262984 */   // Label 30511: @2262984
     /* 2262984 */   GIM_Reject,
     /* 2262985 */ // Label 30509: @2262985
     /* 2262985 */ GIM_Reject,
     /* 2262986 */ // Label 30421: @2262986
     /* 2262986 */ GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2263193),
     /* 2262991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2263004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263012 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263016 */   GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2263060), // Rule ID 52198 //
     /* 2263021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263024 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263050 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263059 */     // GIR_Coverage, 52198,
     /* 2263059 */     GIR_EraseRootFromParent_Done,
     /* 2263060 */   // Label 30513: @2263060
     /* 2263060 */   GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2263104), // Rule ID 52199 //
     /* 2263065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263068 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263094 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263103 */     // GIR_Coverage, 52199,
     /* 2263103 */     GIR_EraseRootFromParent_Done,
     /* 2263104 */   // Label 30514: @2263104
     /* 2263104 */   GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2263148), // Rule ID 58024 //
     /* 2263109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263112 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263138 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263147 */     // GIR_Coverage, 58024,
     /* 2263147 */     GIR_EraseRootFromParent_Done,
     /* 2263148 */   // Label 30515: @2263148
     /* 2263148 */   GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2263192), // Rule ID 58025 //
     /* 2263153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263156 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263182 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263191 */     // GIR_Coverage, 58025,
     /* 2263191 */     GIR_EraseRootFromParent_Done,
     /* 2263192 */   // Label 30516: @2263192
     /* 2263192 */   GIM_Reject,
     /* 2263193 */ // Label 30512: @2263193
     /* 2263193 */ GIM_Reject,
     /* 2263194 */ // Label 30422: @2263194
     /* 2263194 */ GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2263401),
     /* 2263199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2263202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263224 */   GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2263268), // Rule ID 52222 //
     /* 2263229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263232 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263258 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263267 */     // GIR_Coverage, 52222,
     /* 2263267 */     GIR_EraseRootFromParent_Done,
     /* 2263268 */   // Label 30518: @2263268
     /* 2263268 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2263312), // Rule ID 52223 //
     /* 2263273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263276 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263302 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263311 */     // GIR_Coverage, 52223,
     /* 2263311 */     GIR_EraseRootFromParent_Done,
     /* 2263312 */   // Label 30519: @2263312
     /* 2263312 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2263356), // Rule ID 58064 //
     /* 2263317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263320 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263346 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263355 */     // GIR_Coverage, 58064,
     /* 2263355 */     GIR_EraseRootFromParent_Done,
     /* 2263356 */   // Label 30520: @2263356
     /* 2263356 */   GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2263400), // Rule ID 58065 //
     /* 2263361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263364 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263390 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263399 */     // GIR_Coverage, 58065,
     /* 2263399 */     GIR_EraseRootFromParent_Done,
     /* 2263400 */   // Label 30521: @2263400
     /* 2263400 */   GIM_Reject,
     /* 2263401 */ // Label 30517: @2263401
     /* 2263401 */ GIM_Reject,
     /* 2263402 */ // Label 30423: @2263402
     /* 2263402 */ GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2263521),
     /* 2263407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2263410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2263413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2263416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2263420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263432 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2263476), // Rule ID 52180 //
     /* 2263437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263440 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263466 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263475 */     // GIR_Coverage, 52180,
     /* 2263475 */     GIR_EraseRootFromParent_Done,
     /* 2263476 */   // Label 30523: @2263476
     /* 2263476 */   GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2263520), // Rule ID 52181 //
     /* 2263481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263484 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263510 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263519 */     // GIR_Coverage, 52181,
     /* 2263519 */     GIR_EraseRootFromParent_Done,
     /* 2263520 */   // Label 30524: @2263520
     /* 2263520 */   GIM_Reject,
     /* 2263521 */ // Label 30522: @2263521
     /* 2263521 */ GIM_Reject,
     /* 2263522 */ // Label 30424: @2263522
     /* 2263522 */ GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2263729),
     /* 2263527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2263530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2263533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2263536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263552 */   GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2263596), // Rule ID 52204 //
     /* 2263557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263560 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263586 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263595 */     // GIR_Coverage, 52204,
     /* 2263595 */     GIR_EraseRootFromParent_Done,
     /* 2263596 */   // Label 30526: @2263596
     /* 2263596 */   GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2263640), // Rule ID 52205 //
     /* 2263601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263604 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263630 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263639 */     // GIR_Coverage, 52205,
     /* 2263639 */     GIR_EraseRootFromParent_Done,
     /* 2263640 */   // Label 30527: @2263640
     /* 2263640 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2263684), // Rule ID 58034 //
     /* 2263645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263648 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263674 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263683 */     // GIR_Coverage, 58034,
     /* 2263683 */     GIR_EraseRootFromParent_Done,
     /* 2263684 */   // Label 30528: @2263684
     /* 2263684 */   GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2263728), // Rule ID 58035 //
     /* 2263689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263692 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263718 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263727 */     // GIR_Coverage, 58035,
     /* 2263727 */     GIR_EraseRootFromParent_Done,
     /* 2263728 */   // Label 30529: @2263728
     /* 2263728 */   GIM_Reject,
     /* 2263729 */ // Label 30525: @2263729
     /* 2263729 */ GIM_Reject,
     /* 2263730 */ // Label 30425: @2263730
     /* 2263730 */ GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2263849),
     /* 2263735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2263738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2263741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2263744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263760 */   GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2263804), // Rule ID 52186 //
     /* 2263765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263768 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263794 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263803 */     // GIR_Coverage, 52186,
     /* 2263803 */     GIR_EraseRootFromParent_Done,
     /* 2263804 */   // Label 30531: @2263804
     /* 2263804 */   GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2263848), // Rule ID 52187 //
     /* 2263809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263812 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263838 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263847 */     // GIR_Coverage, 52187,
     /* 2263847 */     GIR_EraseRootFromParent_Done,
     /* 2263848 */   // Label 30532: @2263848
     /* 2263848 */   GIM_Reject,
     /* 2263849 */ // Label 30530: @2263849
     /* 2263849 */ GIM_Reject,
     /* 2263850 */ // Label 30426: @2263850
     /* 2263850 */ GIM_Reject,
     /* 2263851 */ // Label 51: @2263851
     /* 2263851 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30557*/ GIMT_Encode4(2266584),
     /* 2263862 */ /*GILLT_s32*//*Label 30533*/ GIMT_Encode4(2263986),
     /* 2263866 */ /*GILLT_s64*//*Label 30534*/ GIMT_Encode4(2264020), GIMT_Encode4(0),
     /* 2263874 */ /*GILLT_nxv1s8*//*Label 30535*/ GIMT_Encode4(2264054),
     /* 2263878 */ /*GILLT_nxv1s16*//*Label 30536*/ GIMT_Encode4(2264169),
     /* 2263882 */ /*GILLT_nxv1s32*//*Label 30537*/ GIMT_Encode4(2264284),
     /* 2263886 */ /*GILLT_nxv1s64*//*Label 30538*/ GIMT_Encode4(2264399), GIMT_Encode4(0),
     /* 2263894 */ /*GILLT_nxv2s8*//*Label 30539*/ GIMT_Encode4(2264514),
     /* 2263898 */ /*GILLT_nxv2s16*//*Label 30540*/ GIMT_Encode4(2264629),
     /* 2263902 */ /*GILLT_nxv2s32*//*Label 30541*/ GIMT_Encode4(2264744),
     /* 2263906 */ /*GILLT_nxv2s64*//*Label 30542*/ GIMT_Encode4(2264859), GIMT_Encode4(0),
     /* 2263914 */ /*GILLT_nxv4s8*//*Label 30543*/ GIMT_Encode4(2264974),
     /* 2263918 */ /*GILLT_nxv4s16*//*Label 30544*/ GIMT_Encode4(2265089),
     /* 2263922 */ /*GILLT_nxv4s32*//*Label 30545*/ GIMT_Encode4(2265204),
     /* 2263926 */ /*GILLT_nxv4s64*//*Label 30546*/ GIMT_Encode4(2265319), GIMT_Encode4(0),
     /* 2263934 */ /*GILLT_nxv8s8*//*Label 30547*/ GIMT_Encode4(2265434),
     /* 2263938 */ /*GILLT_nxv8s16*//*Label 30548*/ GIMT_Encode4(2265549),
     /* 2263942 */ /*GILLT_nxv8s32*//*Label 30549*/ GIMT_Encode4(2265664),
     /* 2263946 */ /*GILLT_nxv8s64*//*Label 30550*/ GIMT_Encode4(2265779), GIMT_Encode4(0),
     /* 2263954 */ /*GILLT_nxv16s8*//*Label 30551*/ GIMT_Encode4(2265894),
     /* 2263958 */ /*GILLT_nxv16s16*//*Label 30552*/ GIMT_Encode4(2266009),
     /* 2263962 */ /*GILLT_nxv16s32*//*Label 30553*/ GIMT_Encode4(2266124), GIMT_Encode4(0),
     /* 2263970 */ /*GILLT_nxv32s8*//*Label 30554*/ GIMT_Encode4(2266239),
     /* 2263974 */ /*GILLT_nxv32s16*//*Label 30555*/ GIMT_Encode4(2266354), GIMT_Encode4(0),
     /* 2263982 */ /*GILLT_nxv64s8*//*Label 30556*/ GIMT_Encode4(2266469),
     /* 2263986 */ // Label 30533: @2263986
     /* 2263986 */ GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2264019), // Rule ID 294 //
     /* 2263991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2263994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2263997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2264000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264012 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2264012 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2264017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264018 */   // GIR_Coverage, 294,
     /* 2264018 */   GIR_Done,
     /* 2264019 */ // Label 30558: @2264019
     /* 2264019 */ GIM_Reject,
     /* 2264020 */ // Label 30534: @2264020
     /* 2264020 */ GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2264053), // Rule ID 293 //
     /* 2264025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2264028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2264031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2264034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264046 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2264046 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2264051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264052 */   // GIR_Coverage, 293,
     /* 2264052 */   GIR_Done,
     /* 2264053 */ // Label 30559: @2264053
     /* 2264053 */ GIM_Reject,
     /* 2264054 */ // Label 30535: @2264054
     /* 2264054 */ GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2264168),
     /* 2264059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2264062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2264065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264077 */   GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2264122), // Rule ID 50890 //
     /* 2264082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264085 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2264088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2264102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264121 */     // GIR_Coverage, 50890,
     /* 2264121 */     GIR_EraseRootFromParent_Done,
     /* 2264122 */   // Label 30561: @2264122
     /* 2264122 */   GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2264167), // Rule ID 50891 //
     /* 2264127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264130 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2264133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2264147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264166 */     // GIR_Coverage, 50891,
     /* 2264166 */     GIR_EraseRootFromParent_Done,
     /* 2264167 */   // Label 30562: @2264167
     /* 2264167 */   GIM_Reject,
     /* 2264168 */ // Label 30560: @2264168
     /* 2264168 */ GIM_Reject,
     /* 2264169 */ // Label 30536: @2264169
     /* 2264169 */ GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2264283),
     /* 2264174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2264177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2264180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264192 */   GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2264237), // Rule ID 50902 //
     /* 2264197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264200 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264236 */     // GIR_Coverage, 50902,
     /* 2264236 */     GIR_EraseRootFromParent_Done,
     /* 2264237 */   // Label 30564: @2264237
     /* 2264237 */   GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2264282), // Rule ID 50903 //
     /* 2264242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264245 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264281 */     // GIR_Coverage, 50903,
     /* 2264281 */     GIR_EraseRootFromParent_Done,
     /* 2264282 */   // Label 30565: @2264282
     /* 2264282 */   GIM_Reject,
     /* 2264283 */ // Label 30563: @2264283
     /* 2264283 */ GIM_Reject,
     /* 2264284 */ // Label 30537: @2264284
     /* 2264284 */ GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2264398),
     /* 2264289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2264292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2264295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264307 */   GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2264352), // Rule ID 50910 //
     /* 2264312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264315 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264351 */     // GIR_Coverage, 50910,
     /* 2264351 */     GIR_EraseRootFromParent_Done,
     /* 2264352 */   // Label 30567: @2264352
     /* 2264352 */   GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2264397), // Rule ID 50911 //
     /* 2264357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264360 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264396 */     // GIR_Coverage, 50911,
     /* 2264396 */     GIR_EraseRootFromParent_Done,
     /* 2264397 */   // Label 30568: @2264397
     /* 2264397 */   GIM_Reject,
     /* 2264398 */ // Label 30566: @2264398
     /* 2264398 */ GIM_Reject,
     /* 2264399 */ // Label 30538: @2264399
     /* 2264399 */ GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2264513),
     /* 2264404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2264407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2264410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264422 */   GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2264467), // Rule ID 50978 //
     /* 2264427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264430 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264466 */     // GIR_Coverage, 50978,
     /* 2264466 */     GIR_EraseRootFromParent_Done,
     /* 2264467 */   // Label 30570: @2264467
     /* 2264467 */   GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2264512), // Rule ID 50979 //
     /* 2264472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264475 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264511 */     // GIR_Coverage, 50979,
     /* 2264511 */     GIR_EraseRootFromParent_Done,
     /* 2264512 */   // Label 30571: @2264512
     /* 2264512 */   GIM_Reject,
     /* 2264513 */ // Label 30569: @2264513
     /* 2264513 */ GIM_Reject,
     /* 2264514 */ // Label 30539: @2264514
     /* 2264514 */ GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2264628),
     /* 2264519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2264522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2264525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264537 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2264582), // Rule ID 50894 //
     /* 2264542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264545 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264581 */     // GIR_Coverage, 50894,
     /* 2264581 */     GIR_EraseRootFromParent_Done,
     /* 2264582 */   // Label 30573: @2264582
     /* 2264582 */   GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2264627), // Rule ID 50895 //
     /* 2264587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264590 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264626 */     // GIR_Coverage, 50895,
     /* 2264626 */     GIR_EraseRootFromParent_Done,
     /* 2264627 */   // Label 30574: @2264627
     /* 2264627 */   GIM_Reject,
     /* 2264628 */ // Label 30572: @2264628
     /* 2264628 */ GIM_Reject,
     /* 2264629 */ // Label 30540: @2264629
     /* 2264629 */ GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2264743),
     /* 2264634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2264637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264652 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2264697), // Rule ID 50906 //
     /* 2264657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264660 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264696 */     // GIR_Coverage, 50906,
     /* 2264696 */     GIR_EraseRootFromParent_Done,
     /* 2264697 */   // Label 30576: @2264697
     /* 2264697 */   GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2264742), // Rule ID 50907 //
     /* 2264702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264705 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264741 */     // GIR_Coverage, 50907,
     /* 2264741 */     GIR_EraseRootFromParent_Done,
     /* 2264742 */   // Label 30577: @2264742
     /* 2264742 */   GIM_Reject,
     /* 2264743 */ // Label 30575: @2264743
     /* 2264743 */ GIM_Reject,
     /* 2264744 */ // Label 30541: @2264744
     /* 2264744 */ GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2264858),
     /* 2264749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2264752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264767 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2264812), // Rule ID 50922 //
     /* 2264772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264775 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264811 */     // GIR_Coverage, 50922,
     /* 2264811 */     GIR_EraseRootFromParent_Done,
     /* 2264812 */   // Label 30579: @2264812
     /* 2264812 */   GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2264857), // Rule ID 50923 //
     /* 2264817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264820 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264856 */     // GIR_Coverage, 50923,
     /* 2264856 */     GIR_EraseRootFromParent_Done,
     /* 2264857 */   // Label 30580: @2264857
     /* 2264857 */   GIM_Reject,
     /* 2264858 */ // Label 30578: @2264858
     /* 2264858 */ GIM_Reject,
     /* 2264859 */ // Label 30542: @2264859
     /* 2264859 */ GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2264973),
     /* 2264864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2264867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264882 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2264927), // Rule ID 50982 //
     /* 2264887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264890 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264926 */     // GIR_Coverage, 50982,
     /* 2264926 */     GIR_EraseRootFromParent_Done,
     /* 2264927 */   // Label 30582: @2264927
     /* 2264927 */   GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2264972), // Rule ID 50983 //
     /* 2264932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264935 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264971 */     // GIR_Coverage, 50983,
     /* 2264971 */     GIR_EraseRootFromParent_Done,
     /* 2264972 */   // Label 30583: @2264972
     /* 2264972 */   GIM_Reject,
     /* 2264973 */ // Label 30581: @2264973
     /* 2264973 */ GIM_Reject,
     /* 2264974 */ // Label 30543: @2264974
     /* 2264974 */ GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2265088),
     /* 2264979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2264982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2264985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264997 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2265042), // Rule ID 50898 //
     /* 2265002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265005 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2265008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2265022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265041 */     // GIR_Coverage, 50898,
     /* 2265041 */     GIR_EraseRootFromParent_Done,
     /* 2265042 */   // Label 30585: @2265042
     /* 2265042 */   GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2265087), // Rule ID 50899 //
     /* 2265047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265050 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2265053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2265067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265086 */     // GIR_Coverage, 50899,
     /* 2265086 */     GIR_EraseRootFromParent_Done,
     /* 2265087 */   // Label 30586: @2265087
     /* 2265087 */   GIM_Reject,
     /* 2265088 */ // Label 30584: @2265088
     /* 2265088 */ GIM_Reject,
     /* 2265089 */ // Label 30544: @2265089
     /* 2265089 */ GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2265203),
     /* 2265094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2265097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265112 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2265157), // Rule ID 50918 //
     /* 2265117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265120 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265156 */     // GIR_Coverage, 50918,
     /* 2265156 */     GIR_EraseRootFromParent_Done,
     /* 2265157 */   // Label 30588: @2265157
     /* 2265157 */   GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2265202), // Rule ID 50919 //
     /* 2265162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265165 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265201 */     // GIR_Coverage, 50919,
     /* 2265201 */     GIR_EraseRootFromParent_Done,
     /* 2265202 */   // Label 30589: @2265202
     /* 2265202 */   GIM_Reject,
     /* 2265203 */ // Label 30587: @2265203
     /* 2265203 */ GIM_Reject,
     /* 2265204 */ // Label 30545: @2265204
     /* 2265204 */ GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2265318),
     /* 2265209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2265212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265227 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2265272), // Rule ID 50950 //
     /* 2265232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265235 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2265238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265271 */     // GIR_Coverage, 50950,
     /* 2265271 */     GIR_EraseRootFromParent_Done,
     /* 2265272 */   // Label 30591: @2265272
     /* 2265272 */   GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2265317), // Rule ID 50951 //
     /* 2265277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265280 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2265283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265316 */     // GIR_Coverage, 50951,
     /* 2265316 */     GIR_EraseRootFromParent_Done,
     /* 2265317 */   // Label 30592: @2265317
     /* 2265317 */   GIM_Reject,
     /* 2265318 */ // Label 30590: @2265318
     /* 2265318 */ GIM_Reject,
     /* 2265319 */ // Label 30546: @2265319
     /* 2265319 */ GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2265433),
     /* 2265324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2265327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265342 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2265387), // Rule ID 50986 //
     /* 2265347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265350 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2265353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265386 */     // GIR_Coverage, 50986,
     /* 2265386 */     GIR_EraseRootFromParent_Done,
     /* 2265387 */   // Label 30594: @2265387
     /* 2265387 */   GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2265432), // Rule ID 50987 //
     /* 2265392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265395 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2265398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265431 */     // GIR_Coverage, 50987,
     /* 2265431 */     GIR_EraseRootFromParent_Done,
     /* 2265432 */   // Label 30595: @2265432
     /* 2265432 */   GIM_Reject,
     /* 2265433 */ // Label 30593: @2265433
     /* 2265433 */ GIM_Reject,
     /* 2265434 */ // Label 30547: @2265434
     /* 2265434 */ GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2265548),
     /* 2265439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2265442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2265445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265457 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2265502), // Rule ID 50914 //
     /* 2265462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265465 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265501 */     // GIR_Coverage, 50914,
     /* 2265501 */     GIR_EraseRootFromParent_Done,
     /* 2265502 */   // Label 30597: @2265502
     /* 2265502 */   GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2265547), // Rule ID 50915 //
     /* 2265507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265510 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265546 */     // GIR_Coverage, 50915,
     /* 2265546 */     GIR_EraseRootFromParent_Done,
     /* 2265547 */   // Label 30598: @2265547
     /* 2265547 */   GIM_Reject,
     /* 2265548 */ // Label 30596: @2265548
     /* 2265548 */ GIM_Reject,
     /* 2265549 */ // Label 30548: @2265549
     /* 2265549 */ GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2265663),
     /* 2265554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2265557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2265560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265572 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2265617), // Rule ID 50938 //
     /* 2265577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265580 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265616 */     // GIR_Coverage, 50938,
     /* 2265616 */     GIR_EraseRootFromParent_Done,
     /* 2265617 */   // Label 30600: @2265617
     /* 2265617 */   GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2265662), // Rule ID 50939 //
     /* 2265622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265625 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265661 */     // GIR_Coverage, 50939,
     /* 2265661 */     GIR_EraseRootFromParent_Done,
     /* 2265662 */   // Label 30601: @2265662
     /* 2265662 */   GIM_Reject,
     /* 2265663 */ // Label 30599: @2265663
     /* 2265663 */ GIM_Reject,
     /* 2265664 */ // Label 30549: @2265664
     /* 2265664 */ GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2265778),
     /* 2265669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2265672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2265675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265687 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2265732), // Rule ID 50954 //
     /* 2265692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265695 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265731 */     // GIR_Coverage, 50954,
     /* 2265731 */     GIR_EraseRootFromParent_Done,
     /* 2265732 */   // Label 30603: @2265732
     /* 2265732 */   GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2265777), // Rule ID 50955 //
     /* 2265737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265740 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265776 */     // GIR_Coverage, 50955,
     /* 2265776 */     GIR_EraseRootFromParent_Done,
     /* 2265777 */   // Label 30604: @2265777
     /* 2265777 */   GIM_Reject,
     /* 2265778 */ // Label 30602: @2265778
     /* 2265778 */ GIM_Reject,
     /* 2265779 */ // Label 30550: @2265779
     /* 2265779 */ GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2265893),
     /* 2265784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2265787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2265790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265802 */   GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2265847), // Rule ID 50990 //
     /* 2265807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265810 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265846 */     // GIR_Coverage, 50990,
     /* 2265846 */     GIR_EraseRootFromParent_Done,
     /* 2265847 */   // Label 30606: @2265847
     /* 2265847 */   GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2265892), // Rule ID 50991 //
     /* 2265852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265855 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265891 */     // GIR_Coverage, 50991,
     /* 2265891 */     GIR_EraseRootFromParent_Done,
     /* 2265892 */   // Label 30607: @2265892
     /* 2265892 */   GIM_Reject,
     /* 2265893 */ // Label 30605: @2265893
     /* 2265893 */ GIM_Reject,
     /* 2265894 */ // Label 30551: @2265894
     /* 2265894 */ GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2266008),
     /* 2265899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2265902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265917 */   GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2265962), // Rule ID 50926 //
     /* 2265922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265925 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265961 */     // GIR_Coverage, 50926,
     /* 2265961 */     GIR_EraseRootFromParent_Done,
     /* 2265962 */   // Label 30609: @2265962
     /* 2265962 */   GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2266007), // Rule ID 50927 //
     /* 2265967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265970 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266006 */     // GIR_Coverage, 50927,
     /* 2266006 */     GIR_EraseRootFromParent_Done,
     /* 2266007 */   // Label 30610: @2266007
     /* 2266007 */   GIM_Reject,
     /* 2266008 */ // Label 30608: @2266008
     /* 2266008 */ GIM_Reject,
     /* 2266009 */ // Label 30552: @2266009
     /* 2266009 */ GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2266123),
     /* 2266014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2266017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266032 */   GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2266077), // Rule ID 50942 //
     /* 2266037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266040 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2266043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266076 */     // GIR_Coverage, 50942,
     /* 2266076 */     GIR_EraseRootFromParent_Done,
     /* 2266077 */   // Label 30612: @2266077
     /* 2266077 */   GIM_Try, /*On fail goto*//*Label 30613*/ GIMT_Encode4(2266122), // Rule ID 50943 //
     /* 2266082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266085 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2266088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266121 */     // GIR_Coverage, 50943,
     /* 2266121 */     GIR_EraseRootFromParent_Done,
     /* 2266122 */   // Label 30613: @2266122
     /* 2266122 */   GIM_Reject,
     /* 2266123 */ // Label 30611: @2266123
     /* 2266123 */ GIM_Reject,
     /* 2266124 */ // Label 30553: @2266124
     /* 2266124 */ GIM_Try, /*On fail goto*//*Label 30614*/ GIMT_Encode4(2266238),
     /* 2266129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2266132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266147 */   GIM_Try, /*On fail goto*//*Label 30615*/ GIMT_Encode4(2266192), // Rule ID 50958 //
     /* 2266152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266155 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2266158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266191 */     // GIR_Coverage, 50958,
     /* 2266191 */     GIR_EraseRootFromParent_Done,
     /* 2266192 */   // Label 30615: @2266192
     /* 2266192 */   GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2266237), // Rule ID 50959 //
     /* 2266197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266200 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2266203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266236 */     // GIR_Coverage, 50959,
     /* 2266236 */     GIR_EraseRootFromParent_Done,
     /* 2266237 */   // Label 30616: @2266237
     /* 2266237 */   GIM_Reject,
     /* 2266238 */ // Label 30614: @2266238
     /* 2266238 */ GIM_Reject,
     /* 2266239 */ // Label 30554: @2266239
     /* 2266239 */ GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2266353),
     /* 2266244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2266247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2266250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266262 */   GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2266307), // Rule ID 50930 //
     /* 2266267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266270 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2266273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266306 */     // GIR_Coverage, 50930,
     /* 2266306 */     GIR_EraseRootFromParent_Done,
     /* 2266307 */   // Label 30618: @2266307
     /* 2266307 */   GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2266352), // Rule ID 50931 //
     /* 2266312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266315 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2266318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266351 */     // GIR_Coverage, 50931,
     /* 2266351 */     GIR_EraseRootFromParent_Done,
     /* 2266352 */   // Label 30619: @2266352
     /* 2266352 */   GIM_Reject,
     /* 2266353 */ // Label 30617: @2266353
     /* 2266353 */ GIM_Reject,
     /* 2266354 */ // Label 30555: @2266354
     /* 2266354 */ GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2266468),
     /* 2266359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2266362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2266365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266377 */   GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2266422), // Rule ID 50946 //
     /* 2266382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266385 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2266388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266421 */     // GIR_Coverage, 50946,
     /* 2266421 */     GIR_EraseRootFromParent_Done,
     /* 2266422 */   // Label 30621: @2266422
     /* 2266422 */   GIM_Try, /*On fail goto*//*Label 30622*/ GIMT_Encode4(2266467), // Rule ID 50947 //
     /* 2266427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266430 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2266433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266466 */     // GIR_Coverage, 50947,
     /* 2266466 */     GIR_EraseRootFromParent_Done,
     /* 2266467 */   // Label 30622: @2266467
     /* 2266467 */   GIM_Reject,
     /* 2266468 */ // Label 30620: @2266468
     /* 2266468 */ GIM_Reject,
     /* 2266469 */ // Label 30556: @2266469
     /* 2266469 */ GIM_Try, /*On fail goto*//*Label 30623*/ GIMT_Encode4(2266583),
     /* 2266474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2266477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2266480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266492 */   GIM_Try, /*On fail goto*//*Label 30624*/ GIMT_Encode4(2266537), // Rule ID 50934 //
     /* 2266497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266500 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266536 */     // GIR_Coverage, 50934,
     /* 2266536 */     GIR_EraseRootFromParent_Done,
     /* 2266537 */   // Label 30624: @2266537
     /* 2266537 */   GIM_Try, /*On fail goto*//*Label 30625*/ GIMT_Encode4(2266582), // Rule ID 50935 //
     /* 2266542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266545 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266581 */     // GIR_Coverage, 50935,
     /* 2266581 */     GIR_EraseRootFromParent_Done,
     /* 2266582 */   // Label 30625: @2266582
     /* 2266582 */   GIM_Reject,
     /* 2266583 */ // Label 30623: @2266583
     /* 2266583 */ GIM_Reject,
     /* 2266584 */ // Label 30557: @2266584
     /* 2266584 */ GIM_Reject,
     /* 2266585 */ // Label 52: @2266585
     /* 2266585 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30650*/ GIMT_Encode4(2269318),
     /* 2266596 */ /*GILLT_s32*//*Label 30626*/ GIMT_Encode4(2266720),
     /* 2266600 */ /*GILLT_s64*//*Label 30627*/ GIMT_Encode4(2266754), GIMT_Encode4(0),
     /* 2266608 */ /*GILLT_nxv1s8*//*Label 30628*/ GIMT_Encode4(2266788),
     /* 2266612 */ /*GILLT_nxv1s16*//*Label 30629*/ GIMT_Encode4(2266903),
     /* 2266616 */ /*GILLT_nxv1s32*//*Label 30630*/ GIMT_Encode4(2267018),
     /* 2266620 */ /*GILLT_nxv1s64*//*Label 30631*/ GIMT_Encode4(2267133), GIMT_Encode4(0),
     /* 2266628 */ /*GILLT_nxv2s8*//*Label 30632*/ GIMT_Encode4(2267248),
     /* 2266632 */ /*GILLT_nxv2s16*//*Label 30633*/ GIMT_Encode4(2267363),
     /* 2266636 */ /*GILLT_nxv2s32*//*Label 30634*/ GIMT_Encode4(2267478),
     /* 2266640 */ /*GILLT_nxv2s64*//*Label 30635*/ GIMT_Encode4(2267593), GIMT_Encode4(0),
     /* 2266648 */ /*GILLT_nxv4s8*//*Label 30636*/ GIMT_Encode4(2267708),
     /* 2266652 */ /*GILLT_nxv4s16*//*Label 30637*/ GIMT_Encode4(2267823),
     /* 2266656 */ /*GILLT_nxv4s32*//*Label 30638*/ GIMT_Encode4(2267938),
     /* 2266660 */ /*GILLT_nxv4s64*//*Label 30639*/ GIMT_Encode4(2268053), GIMT_Encode4(0),
     /* 2266668 */ /*GILLT_nxv8s8*//*Label 30640*/ GIMT_Encode4(2268168),
     /* 2266672 */ /*GILLT_nxv8s16*//*Label 30641*/ GIMT_Encode4(2268283),
     /* 2266676 */ /*GILLT_nxv8s32*//*Label 30642*/ GIMT_Encode4(2268398),
     /* 2266680 */ /*GILLT_nxv8s64*//*Label 30643*/ GIMT_Encode4(2268513), GIMT_Encode4(0),
     /* 2266688 */ /*GILLT_nxv16s8*//*Label 30644*/ GIMT_Encode4(2268628),
     /* 2266692 */ /*GILLT_nxv16s16*//*Label 30645*/ GIMT_Encode4(2268743),
     /* 2266696 */ /*GILLT_nxv16s32*//*Label 30646*/ GIMT_Encode4(2268858), GIMT_Encode4(0),
     /* 2266704 */ /*GILLT_nxv32s8*//*Label 30647*/ GIMT_Encode4(2268973),
     /* 2266708 */ /*GILLT_nxv32s16*//*Label 30648*/ GIMT_Encode4(2269088), GIMT_Encode4(0),
     /* 2266716 */ /*GILLT_nxv64s8*//*Label 30649*/ GIMT_Encode4(2269203),
     /* 2266720 */ // Label 30626: @2266720
     /* 2266720 */ GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2266753), // Rule ID 292 //
     /* 2266725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2266728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2266731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266746 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2266746 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266752 */   // GIR_Coverage, 292,
     /* 2266752 */   GIR_Done,
     /* 2266753 */ // Label 30651: @2266753
     /* 2266753 */ GIM_Reject,
     /* 2266754 */ // Label 30627: @2266754
     /* 2266754 */ GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2266787), // Rule ID 291 //
     /* 2266759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2266762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2266765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2266768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266780 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2266780 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266786 */   // GIR_Coverage, 291,
     /* 2266786 */   GIR_Done,
     /* 2266787 */ // Label 30652: @2266787
     /* 2266787 */ GIM_Reject,
     /* 2266788 */ // Label 30628: @2266788
     /* 2266788 */ GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2266902),
     /* 2266793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2266796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2266799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266811 */   GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2266856), // Rule ID 50818 //
     /* 2266816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266819 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266855 */     // GIR_Coverage, 50818,
     /* 2266855 */     GIR_EraseRootFromParent_Done,
     /* 2266856 */   // Label 30654: @2266856
     /* 2266856 */   GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2266901), // Rule ID 50819 //
     /* 2266861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266864 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266900 */     // GIR_Coverage, 50819,
     /* 2266900 */     GIR_EraseRootFromParent_Done,
     /* 2266901 */   // Label 30655: @2266901
     /* 2266901 */   GIM_Reject,
     /* 2266902 */ // Label 30653: @2266902
     /* 2266902 */ GIM_Reject,
     /* 2266903 */ // Label 30629: @2266903
     /* 2266903 */ GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2267017),
     /* 2266908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2266911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2266914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266926 */   GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2266971), // Rule ID 50830 //
     /* 2266931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266934 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266970 */     // GIR_Coverage, 50830,
     /* 2266970 */     GIR_EraseRootFromParent_Done,
     /* 2266971 */   // Label 30657: @2266971
     /* 2266971 */   GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2267016), // Rule ID 50831 //
     /* 2266976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266979 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267015 */     // GIR_Coverage, 50831,
     /* 2267015 */     GIR_EraseRootFromParent_Done,
     /* 2267016 */   // Label 30658: @2267016
     /* 2267016 */   GIM_Reject,
     /* 2267017 */ // Label 30656: @2267017
     /* 2267017 */ GIM_Reject,
     /* 2267018 */ // Label 30630: @2267018
     /* 2267018 */ GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2267132),
     /* 2267023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2267026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2267029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267041 */   GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2267086), // Rule ID 50838 //
     /* 2267046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267049 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2267052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267085 */     // GIR_Coverage, 50838,
     /* 2267085 */     GIR_EraseRootFromParent_Done,
     /* 2267086 */   // Label 30660: @2267086
     /* 2267086 */   GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2267131), // Rule ID 50839 //
     /* 2267091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267094 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2267097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267130 */     // GIR_Coverage, 50839,
     /* 2267130 */     GIR_EraseRootFromParent_Done,
     /* 2267131 */   // Label 30661: @2267131
     /* 2267131 */   GIM_Reject,
     /* 2267132 */ // Label 30659: @2267132
     /* 2267132 */ GIM_Reject,
     /* 2267133 */ // Label 30631: @2267133
     /* 2267133 */ GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2267247),
     /* 2267138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2267141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2267144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267156 */   GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2267201), // Rule ID 50962 //
     /* 2267161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267164 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2267167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267200 */     // GIR_Coverage, 50962,
     /* 2267200 */     GIR_EraseRootFromParent_Done,
     /* 2267201 */   // Label 30663: @2267201
     /* 2267201 */   GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2267246), // Rule ID 50963 //
     /* 2267206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267209 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2267212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267245 */     // GIR_Coverage, 50963,
     /* 2267245 */     GIR_EraseRootFromParent_Done,
     /* 2267246 */   // Label 30664: @2267246
     /* 2267246 */   GIM_Reject,
     /* 2267247 */ // Label 30662: @2267247
     /* 2267247 */ GIM_Reject,
     /* 2267248 */ // Label 30632: @2267248
     /* 2267248 */ GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2267362),
     /* 2267253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2267256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2267259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267271 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2267316), // Rule ID 50822 //
     /* 2267276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267279 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2267282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2267296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267315 */     // GIR_Coverage, 50822,
     /* 2267315 */     GIR_EraseRootFromParent_Done,
     /* 2267316 */   // Label 30666: @2267316
     /* 2267316 */   GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2267361), // Rule ID 50823 //
     /* 2267321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267324 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2267327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2267341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267360 */     // GIR_Coverage, 50823,
     /* 2267360 */     GIR_EraseRootFromParent_Done,
     /* 2267361 */   // Label 30667: @2267361
     /* 2267361 */   GIM_Reject,
     /* 2267362 */ // Label 30665: @2267362
     /* 2267362 */ GIM_Reject,
     /* 2267363 */ // Label 30633: @2267363
     /* 2267363 */ GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2267477),
     /* 2267368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2267371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2267374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267386 */   GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2267431), // Rule ID 50834 //
     /* 2267391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267394 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2267397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267430 */     // GIR_Coverage, 50834,
     /* 2267430 */     GIR_EraseRootFromParent_Done,
     /* 2267431 */   // Label 30669: @2267431
     /* 2267431 */   GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2267476), // Rule ID 50835 //
     /* 2267436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267439 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2267442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267475 */     // GIR_Coverage, 50835,
     /* 2267475 */     GIR_EraseRootFromParent_Done,
     /* 2267476 */   // Label 30670: @2267476
     /* 2267476 */   GIM_Reject,
     /* 2267477 */ // Label 30668: @2267477
     /* 2267477 */ GIM_Reject,
     /* 2267478 */ // Label 30634: @2267478
     /* 2267478 */ GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2267592),
     /* 2267483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2267486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2267489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267501 */   GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2267546), // Rule ID 50850 //
     /* 2267506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267509 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267545 */     // GIR_Coverage, 50850,
     /* 2267545 */     GIR_EraseRootFromParent_Done,
     /* 2267546 */   // Label 30672: @2267546
     /* 2267546 */   GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2267591), // Rule ID 50851 //
     /* 2267551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267554 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267590 */     // GIR_Coverage, 50851,
     /* 2267590 */     GIR_EraseRootFromParent_Done,
     /* 2267591 */   // Label 30673: @2267591
     /* 2267591 */   GIM_Reject,
     /* 2267592 */ // Label 30671: @2267592
     /* 2267592 */ GIM_Reject,
     /* 2267593 */ // Label 30635: @2267593
     /* 2267593 */ GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2267707),
     /* 2267598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2267601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2267604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267616 */   GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2267661), // Rule ID 50966 //
     /* 2267621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267624 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267660 */     // GIR_Coverage, 50966,
     /* 2267660 */     GIR_EraseRootFromParent_Done,
     /* 2267661 */   // Label 30675: @2267661
     /* 2267661 */   GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2267706), // Rule ID 50967 //
     /* 2267666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267669 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267705 */     // GIR_Coverage, 50967,
     /* 2267705 */     GIR_EraseRootFromParent_Done,
     /* 2267706 */   // Label 30676: @2267706
     /* 2267706 */   GIM_Reject,
     /* 2267707 */ // Label 30674: @2267707
     /* 2267707 */ GIM_Reject,
     /* 2267708 */ // Label 30636: @2267708
     /* 2267708 */ GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2267822),
     /* 2267713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2267716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2267719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267731 */   GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2267776), // Rule ID 50826 //
     /* 2267736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267739 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267775 */     // GIR_Coverage, 50826,
     /* 2267775 */     GIR_EraseRootFromParent_Done,
     /* 2267776 */   // Label 30678: @2267776
     /* 2267776 */   GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2267821), // Rule ID 50827 //
     /* 2267781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267784 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267820 */     // GIR_Coverage, 50827,
     /* 2267820 */     GIR_EraseRootFromParent_Done,
     /* 2267821 */   // Label 30679: @2267821
     /* 2267821 */   GIM_Reject,
     /* 2267822 */ // Label 30677: @2267822
     /* 2267822 */ GIM_Reject,
     /* 2267823 */ // Label 30637: @2267823
     /* 2267823 */ GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2267937),
     /* 2267828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2267831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2267834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267846 */   GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2267891), // Rule ID 50846 //
     /* 2267851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267854 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267890 */     // GIR_Coverage, 50846,
     /* 2267890 */     GIR_EraseRootFromParent_Done,
     /* 2267891 */   // Label 30681: @2267891
     /* 2267891 */   GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2267936), // Rule ID 50847 //
     /* 2267896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267899 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267935 */     // GIR_Coverage, 50847,
     /* 2267935 */     GIR_EraseRootFromParent_Done,
     /* 2267936 */   // Label 30682: @2267936
     /* 2267936 */   GIM_Reject,
     /* 2267937 */ // Label 30680: @2267937
     /* 2267937 */ GIM_Reject,
     /* 2267938 */ // Label 30638: @2267938
     /* 2267938 */ GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2268052),
     /* 2267943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2267946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2267949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267961 */   GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2268006), // Rule ID 50878 //
     /* 2267966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267969 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268005 */     // GIR_Coverage, 50878,
     /* 2268005 */     GIR_EraseRootFromParent_Done,
     /* 2268006 */   // Label 30684: @2268006
     /* 2268006 */   GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2268051), // Rule ID 50879 //
     /* 2268011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268014 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2268017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268050 */     // GIR_Coverage, 50879,
     /* 2268050 */     GIR_EraseRootFromParent_Done,
     /* 2268051 */   // Label 30685: @2268051
     /* 2268051 */   GIM_Reject,
     /* 2268052 */ // Label 30683: @2268052
     /* 2268052 */ GIM_Reject,
     /* 2268053 */ // Label 30639: @2268053
     /* 2268053 */ GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2268167),
     /* 2268058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2268061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2268064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268076 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2268121), // Rule ID 50970 //
     /* 2268081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2268084 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2268087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268120 */     // GIR_Coverage, 50970,
     /* 2268120 */     GIR_EraseRootFromParent_Done,
     /* 2268121 */   // Label 30687: @2268121
     /* 2268121 */   GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2268166), // Rule ID 50971 //
     /* 2268126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2268129 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2268132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268165 */     // GIR_Coverage, 50971,
     /* 2268165 */     GIR_EraseRootFromParent_Done,
     /* 2268166 */   // Label 30688: @2268166
     /* 2268166 */   GIM_Reject,
     /* 2268167 */ // Label 30686: @2268167
     /* 2268167 */ GIM_Reject,
     /* 2268168 */ // Label 30640: @2268168
     /* 2268168 */ GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2268282),
     /* 2268173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2268176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2268179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268191 */   GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2268236), // Rule ID 50842 //
     /* 2268196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268199 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2268202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2268216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268235 */     // GIR_Coverage, 50842,
     /* 2268235 */     GIR_EraseRootFromParent_Done,
     /* 2268236 */   // Label 30690: @2268236
     /* 2268236 */   GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2268281), // Rule ID 50843 //
     /* 2268241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268244 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2268247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2268261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268280 */     // GIR_Coverage, 50843,
     /* 2268280 */     GIR_EraseRootFromParent_Done,
     /* 2268281 */   // Label 30691: @2268281
     /* 2268281 */   GIM_Reject,
     /* 2268282 */ // Label 30689: @2268282
     /* 2268282 */ GIM_Reject,
     /* 2268283 */ // Label 30641: @2268283
     /* 2268283 */ GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2268397),
     /* 2268288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2268291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2268294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268306 */   GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2268351), // Rule ID 50866 //
     /* 2268311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268314 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2268317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268350 */     // GIR_Coverage, 50866,
     /* 2268350 */     GIR_EraseRootFromParent_Done,
     /* 2268351 */   // Label 30693: @2268351
     /* 2268351 */   GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2268396), // Rule ID 50867 //
     /* 2268356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268359 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2268362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268395 */     // GIR_Coverage, 50867,
     /* 2268395 */     GIR_EraseRootFromParent_Done,
     /* 2268396 */   // Label 30694: @2268396
     /* 2268396 */   GIM_Reject,
     /* 2268397 */ // Label 30692: @2268397
     /* 2268397 */ GIM_Reject,
     /* 2268398 */ // Label 30642: @2268398
     /* 2268398 */ GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2268512),
     /* 2268403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2268406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2268409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268421 */   GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2268466), // Rule ID 50882 //
     /* 2268426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268429 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2268432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268465 */     // GIR_Coverage, 50882,
     /* 2268465 */     GIR_EraseRootFromParent_Done,
     /* 2268466 */   // Label 30696: @2268466
     /* 2268466 */   GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2268511), // Rule ID 50883 //
     /* 2268471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268474 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2268477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268510 */     // GIR_Coverage, 50883,
     /* 2268510 */     GIR_EraseRootFromParent_Done,
     /* 2268511 */   // Label 30697: @2268511
     /* 2268511 */   GIM_Reject,
     /* 2268512 */ // Label 30695: @2268512
     /* 2268512 */ GIM_Reject,
     /* 2268513 */ // Label 30643: @2268513
     /* 2268513 */ GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2268627),
     /* 2268518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2268521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2268524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268536 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2268581), // Rule ID 50974 //
     /* 2268541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2268544 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268580 */     // GIR_Coverage, 50974,
     /* 2268580 */     GIR_EraseRootFromParent_Done,
     /* 2268581 */   // Label 30699: @2268581
     /* 2268581 */   GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2268626), // Rule ID 50975 //
     /* 2268586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2268589 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268625 */     // GIR_Coverage, 50975,
     /* 2268625 */     GIR_EraseRootFromParent_Done,
     /* 2268626 */   // Label 30700: @2268626
     /* 2268626 */   GIM_Reject,
     /* 2268627 */ // Label 30698: @2268627
     /* 2268627 */ GIM_Reject,
     /* 2268628 */ // Label 30644: @2268628
     /* 2268628 */ GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2268742),
     /* 2268633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2268636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2268639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268651 */   GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2268696), // Rule ID 50854 //
     /* 2268656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268659 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268695 */     // GIR_Coverage, 50854,
     /* 2268695 */     GIR_EraseRootFromParent_Done,
     /* 2268696 */   // Label 30702: @2268696
     /* 2268696 */   GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2268741), // Rule ID 50855 //
     /* 2268701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268704 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268740 */     // GIR_Coverage, 50855,
     /* 2268740 */     GIR_EraseRootFromParent_Done,
     /* 2268741 */   // Label 30703: @2268741
     /* 2268741 */   GIM_Reject,
     /* 2268742 */ // Label 30701: @2268742
     /* 2268742 */ GIM_Reject,
     /* 2268743 */ // Label 30645: @2268743
     /* 2268743 */ GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2268857),
     /* 2268748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2268751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2268754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268766 */   GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2268811), // Rule ID 50870 //
     /* 2268771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268774 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268810 */     // GIR_Coverage, 50870,
     /* 2268810 */     GIR_EraseRootFromParent_Done,
     /* 2268811 */   // Label 30705: @2268811
     /* 2268811 */   GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2268856), // Rule ID 50871 //
     /* 2268816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268819 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268855 */     // GIR_Coverage, 50871,
     /* 2268855 */     GIR_EraseRootFromParent_Done,
     /* 2268856 */   // Label 30706: @2268856
     /* 2268856 */   GIM_Reject,
     /* 2268857 */ // Label 30704: @2268857
     /* 2268857 */ GIM_Reject,
     /* 2268858 */ // Label 30646: @2268858
     /* 2268858 */ GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2268972),
     /* 2268863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2268866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268881 */   GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2268926), // Rule ID 50886 //
     /* 2268886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268889 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268925 */     // GIR_Coverage, 50886,
     /* 2268925 */     GIR_EraseRootFromParent_Done,
     /* 2268926 */   // Label 30708: @2268926
     /* 2268926 */   GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2268971), // Rule ID 50887 //
     /* 2268931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268934 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268970 */     // GIR_Coverage, 50887,
     /* 2268970 */     GIR_EraseRootFromParent_Done,
     /* 2268971 */   // Label 30709: @2268971
     /* 2268971 */   GIM_Reject,
     /* 2268972 */ // Label 30707: @2268972
     /* 2268972 */ GIM_Reject,
     /* 2268973 */ // Label 30647: @2268973
     /* 2268973 */ GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2269087),
     /* 2268978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2268981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268996 */   GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2269041), // Rule ID 50858 //
     /* 2269001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269004 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2269007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2269021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269040 */     // GIR_Coverage, 50858,
     /* 2269040 */     GIR_EraseRootFromParent_Done,
     /* 2269041 */   // Label 30711: @2269041
     /* 2269041 */   GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2269086), // Rule ID 50859 //
     /* 2269046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269049 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2269052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2269066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269085 */     // GIR_Coverage, 50859,
     /* 2269085 */     GIR_EraseRootFromParent_Done,
     /* 2269086 */   // Label 30712: @2269086
     /* 2269086 */   GIM_Reject,
     /* 2269087 */ // Label 30710: @2269087
     /* 2269087 */ GIM_Reject,
     /* 2269088 */ // Label 30648: @2269088
     /* 2269088 */ GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2269202),
     /* 2269093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2269096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269111 */   GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2269156), // Rule ID 50874 //
     /* 2269116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269119 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2269122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269155 */     // GIR_Coverage, 50874,
     /* 2269155 */     GIR_EraseRootFromParent_Done,
     /* 2269156 */   // Label 30714: @2269156
     /* 2269156 */   GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2269201), // Rule ID 50875 //
     /* 2269161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269164 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2269167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269200 */     // GIR_Coverage, 50875,
     /* 2269200 */     GIR_EraseRootFromParent_Done,
     /* 2269201 */   // Label 30715: @2269201
     /* 2269201 */   GIM_Reject,
     /* 2269202 */ // Label 30713: @2269202
     /* 2269202 */ GIM_Reject,
     /* 2269203 */ // Label 30649: @2269203
     /* 2269203 */ GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2269317),
     /* 2269208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2269211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2269214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269226 */   GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2269271), // Rule ID 50862 //
     /* 2269231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269234 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2269237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269270 */     // GIR_Coverage, 50862,
     /* 2269270 */     GIR_EraseRootFromParent_Done,
     /* 2269271 */   // Label 30717: @2269271
     /* 2269271 */   GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2269316), // Rule ID 50863 //
     /* 2269276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269279 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2269282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269315 */     // GIR_Coverage, 50863,
     /* 2269315 */     GIR_EraseRootFromParent_Done,
     /* 2269316 */   // Label 30718: @2269316
     /* 2269316 */   GIM_Reject,
     /* 2269317 */ // Label 30716: @2269317
     /* 2269317 */ GIM_Reject,
     /* 2269318 */ // Label 30650: @2269318
     /* 2269318 */ GIM_Reject,
     /* 2269319 */ // Label 53: @2269319
     /* 2269319 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30742*/ GIMT_Encode4(2272171),
     /* 2269330 */ /*GILLT_s32*//*Label 30719*/ GIMT_Encode4(2269454), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2269342 */ /*GILLT_nxv1s8*//*Label 30720*/ GIMT_Encode4(2269509),
     /* 2269346 */ /*GILLT_nxv1s16*//*Label 30721*/ GIMT_Encode4(2269630),
     /* 2269350 */ /*GILLT_nxv1s32*//*Label 30722*/ GIMT_Encode4(2269751),
     /* 2269354 */ /*GILLT_nxv1s64*//*Label 30723*/ GIMT_Encode4(2269872), GIMT_Encode4(0),
     /* 2269362 */ /*GILLT_nxv2s8*//*Label 30724*/ GIMT_Encode4(2269993),
     /* 2269366 */ /*GILLT_nxv2s16*//*Label 30725*/ GIMT_Encode4(2270114),
     /* 2269370 */ /*GILLT_nxv2s32*//*Label 30726*/ GIMT_Encode4(2270235),
     /* 2269374 */ /*GILLT_nxv2s64*//*Label 30727*/ GIMT_Encode4(2270356), GIMT_Encode4(0),
     /* 2269382 */ /*GILLT_nxv4s8*//*Label 30728*/ GIMT_Encode4(2270477),
     /* 2269386 */ /*GILLT_nxv4s16*//*Label 30729*/ GIMT_Encode4(2270598),
     /* 2269390 */ /*GILLT_nxv4s32*//*Label 30730*/ GIMT_Encode4(2270719),
     /* 2269394 */ /*GILLT_nxv4s64*//*Label 30731*/ GIMT_Encode4(2270840), GIMT_Encode4(0),
     /* 2269402 */ /*GILLT_nxv8s8*//*Label 30732*/ GIMT_Encode4(2270961),
     /* 2269406 */ /*GILLT_nxv8s16*//*Label 30733*/ GIMT_Encode4(2271082),
     /* 2269410 */ /*GILLT_nxv8s32*//*Label 30734*/ GIMT_Encode4(2271203),
     /* 2269414 */ /*GILLT_nxv8s64*//*Label 30735*/ GIMT_Encode4(2271324), GIMT_Encode4(0),
     /* 2269422 */ /*GILLT_nxv16s8*//*Label 30736*/ GIMT_Encode4(2271445),
     /* 2269426 */ /*GILLT_nxv16s16*//*Label 30737*/ GIMT_Encode4(2271566),
     /* 2269430 */ /*GILLT_nxv16s32*//*Label 30738*/ GIMT_Encode4(2271687), GIMT_Encode4(0),
     /* 2269438 */ /*GILLT_nxv32s8*//*Label 30739*/ GIMT_Encode4(2271808),
     /* 2269442 */ /*GILLT_nxv32s16*//*Label 30740*/ GIMT_Encode4(2271929), GIMT_Encode4(0),
     /* 2269450 */ /*GILLT_nxv64s8*//*Label 30741*/ GIMT_Encode4(2272050),
     /* 2269454 */ // Label 30719: @2269454
     /* 2269454 */ GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2269508),
     /* 2269459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2269462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2269465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269477 */   GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2269492), // Rule ID 64489 //
     /* 2269482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2269485 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269491 */     // GIR_Coverage, 64489,
     /* 2269491 */     GIR_Done,
     /* 2269492 */   // Label 30744: @2269492
     /* 2269492 */   GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2269507), // Rule ID 64490 //
     /* 2269497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2269500 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269506 */     // GIR_Coverage, 64490,
     /* 2269506 */     GIR_Done,
     /* 2269507 */   // Label 30745: @2269507
     /* 2269507 */   GIM_Reject,
     /* 2269508 */ // Label 30743: @2269508
     /* 2269508 */ GIM_Reject,
     /* 2269509 */ // Label 30720: @2269509
     /* 2269509 */ GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2269629),
     /* 2269514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2269517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2269520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269532 */   GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2269580), // Rule ID 52378 //
     /* 2269537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269540 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269579 */     // GIR_Coverage, 52378,
     /* 2269579 */     GIR_EraseRootFromParent_Done,
     /* 2269580 */   // Label 30747: @2269580
     /* 2269580 */   GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2269628), // Rule ID 52379 //
     /* 2269585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269588 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269627 */     // GIR_Coverage, 52379,
     /* 2269627 */     GIR_EraseRootFromParent_Done,
     /* 2269628 */   // Label 30748: @2269628
     /* 2269628 */   GIM_Reject,
     /* 2269629 */ // Label 30746: @2269629
     /* 2269629 */ GIM_Reject,
     /* 2269630 */ // Label 30721: @2269630
     /* 2269630 */ GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2269750),
     /* 2269635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2269638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269653 */   GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2269701), // Rule ID 52390 //
     /* 2269658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269661 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269700 */     // GIR_Coverage, 52390,
     /* 2269700 */     GIR_EraseRootFromParent_Done,
     /* 2269701 */   // Label 30750: @2269701
     /* 2269701 */   GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2269749), // Rule ID 52391 //
     /* 2269706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269709 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269748 */     // GIR_Coverage, 52391,
     /* 2269748 */     GIR_EraseRootFromParent_Done,
     /* 2269749 */   // Label 30751: @2269749
     /* 2269749 */   GIM_Reject,
     /* 2269750 */ // Label 30749: @2269750
     /* 2269750 */ GIM_Reject,
     /* 2269751 */ // Label 30722: @2269751
     /* 2269751 */ GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2269871),
     /* 2269756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2269759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269774 */   GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2269822), // Rule ID 52398 //
     /* 2269779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269782 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269821 */     // GIR_Coverage, 52398,
     /* 2269821 */     GIR_EraseRootFromParent_Done,
     /* 2269822 */   // Label 30753: @2269822
     /* 2269822 */   GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2269870), // Rule ID 52399 //
     /* 2269827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269830 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269869 */     // GIR_Coverage, 52399,
     /* 2269869 */     GIR_EraseRootFromParent_Done,
     /* 2269870 */   // Label 30754: @2269870
     /* 2269870 */   GIM_Reject,
     /* 2269871 */ // Label 30752: @2269871
     /* 2269871 */ GIM_Reject,
     /* 2269872 */ // Label 30723: @2269872
     /* 2269872 */ GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2269992),
     /* 2269877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2269880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269895 */   GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2269943), // Rule ID 52414 //
     /* 2269900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269903 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269942 */     // GIR_Coverage, 52414,
     /* 2269942 */     GIR_EraseRootFromParent_Done,
     /* 2269943 */   // Label 30756: @2269943
     /* 2269943 */   GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2269991), // Rule ID 52415 //
     /* 2269948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269951 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269990 */     // GIR_Coverage, 52415,
     /* 2269990 */     GIR_EraseRootFromParent_Done,
     /* 2269991 */   // Label 30757: @2269991
     /* 2269991 */   GIM_Reject,
     /* 2269992 */ // Label 30755: @2269992
     /* 2269992 */ GIM_Reject,
     /* 2269993 */ // Label 30724: @2269993
     /* 2269993 */ GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2270113),
     /* 2269998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2270001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2270004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270016 */   GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2270064), // Rule ID 52382 //
     /* 2270021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270024 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2270027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2270041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270063 */     // GIR_Coverage, 52382,
     /* 2270063 */     GIR_EraseRootFromParent_Done,
     /* 2270064 */   // Label 30759: @2270064
     /* 2270064 */   GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2270112), // Rule ID 52383 //
     /* 2270069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270072 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2270075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2270089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270111 */     // GIR_Coverage, 52383,
     /* 2270111 */     GIR_EraseRootFromParent_Done,
     /* 2270112 */   // Label 30760: @2270112
     /* 2270112 */   GIM_Reject,
     /* 2270113 */ // Label 30758: @2270113
     /* 2270113 */ GIM_Reject,
     /* 2270114 */ // Label 30725: @2270114
     /* 2270114 */ GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2270234),
     /* 2270119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2270122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2270125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270137 */   GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2270185), // Rule ID 52394 //
     /* 2270142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270145 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2270148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270184 */     // GIR_Coverage, 52394,
     /* 2270184 */     GIR_EraseRootFromParent_Done,
     /* 2270185 */   // Label 30762: @2270185
     /* 2270185 */   GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2270233), // Rule ID 52395 //
     /* 2270190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270193 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2270196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270232 */     // GIR_Coverage, 52395,
     /* 2270232 */     GIR_EraseRootFromParent_Done,
     /* 2270233 */   // Label 30763: @2270233
     /* 2270233 */   GIM_Reject,
     /* 2270234 */ // Label 30761: @2270234
     /* 2270234 */ GIM_Reject,
     /* 2270235 */ // Label 30726: @2270235
     /* 2270235 */ GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2270355),
     /* 2270240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2270243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270258 */   GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2270306), // Rule ID 52410 //
     /* 2270263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270266 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270305 */     // GIR_Coverage, 52410,
     /* 2270305 */     GIR_EraseRootFromParent_Done,
     /* 2270306 */   // Label 30765: @2270306
     /* 2270306 */   GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2270354), // Rule ID 52411 //
     /* 2270311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270314 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270353 */     // GIR_Coverage, 52411,
     /* 2270353 */     GIR_EraseRootFromParent_Done,
     /* 2270354 */   // Label 30766: @2270354
     /* 2270354 */   GIM_Reject,
     /* 2270355 */ // Label 30764: @2270355
     /* 2270355 */ GIM_Reject,
     /* 2270356 */ // Label 30727: @2270356
     /* 2270356 */ GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2270476),
     /* 2270361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2270364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2270367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270379 */   GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2270427), // Rule ID 52454 //
     /* 2270384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270387 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270426 */     // GIR_Coverage, 52454,
     /* 2270426 */     GIR_EraseRootFromParent_Done,
     /* 2270427 */   // Label 30768: @2270427
     /* 2270427 */   GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2270475), // Rule ID 52455 //
     /* 2270432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270435 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270474 */     // GIR_Coverage, 52455,
     /* 2270474 */     GIR_EraseRootFromParent_Done,
     /* 2270475 */   // Label 30769: @2270475
     /* 2270475 */   GIM_Reject,
     /* 2270476 */ // Label 30767: @2270476
     /* 2270476 */ GIM_Reject,
     /* 2270477 */ // Label 30728: @2270477
     /* 2270477 */ GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2270597),
     /* 2270482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2270485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2270488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270500 */   GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2270548), // Rule ID 52386 //
     /* 2270505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270508 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270547 */     // GIR_Coverage, 52386,
     /* 2270547 */     GIR_EraseRootFromParent_Done,
     /* 2270548 */   // Label 30771: @2270548
     /* 2270548 */   GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2270596), // Rule ID 52387 //
     /* 2270553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270556 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270595 */     // GIR_Coverage, 52387,
     /* 2270595 */     GIR_EraseRootFromParent_Done,
     /* 2270596 */   // Label 30772: @2270596
     /* 2270596 */   GIM_Reject,
     /* 2270597 */ // Label 30770: @2270597
     /* 2270597 */ GIM_Reject,
     /* 2270598 */ // Label 30729: @2270598
     /* 2270598 */ GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2270718),
     /* 2270603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2270606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270621 */   GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2270669), // Rule ID 52406 //
     /* 2270626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270629 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270668 */     // GIR_Coverage, 52406,
     /* 2270668 */     GIR_EraseRootFromParent_Done,
     /* 2270669 */   // Label 30774: @2270669
     /* 2270669 */   GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2270717), // Rule ID 52407 //
     /* 2270674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270677 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270716 */     // GIR_Coverage, 52407,
     /* 2270716 */     GIR_EraseRootFromParent_Done,
     /* 2270717 */   // Label 30775: @2270717
     /* 2270717 */   GIM_Reject,
     /* 2270718 */ // Label 30773: @2270718
     /* 2270718 */ GIM_Reject,
     /* 2270719 */ // Label 30730: @2270719
     /* 2270719 */ GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2270839),
     /* 2270724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2270727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270742 */   GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2270790), // Rule ID 52442 //
     /* 2270747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270750 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270789 */     // GIR_Coverage, 52442,
     /* 2270789 */     GIR_EraseRootFromParent_Done,
     /* 2270790 */   // Label 30777: @2270790
     /* 2270790 */   GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2270838), // Rule ID 52443 //
     /* 2270795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270798 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270837 */     // GIR_Coverage, 52443,
     /* 2270837 */     GIR_EraseRootFromParent_Done,
     /* 2270838 */   // Label 30778: @2270838
     /* 2270838 */   GIM_Reject,
     /* 2270839 */ // Label 30776: @2270839
     /* 2270839 */ GIM_Reject,
     /* 2270840 */ // Label 30731: @2270840
     /* 2270840 */ GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2270960),
     /* 2270845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2270848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270863 */   GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2270911), // Rule ID 52458 //
     /* 2270868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270871 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270910 */     // GIR_Coverage, 52458,
     /* 2270910 */     GIR_EraseRootFromParent_Done,
     /* 2270911 */   // Label 30780: @2270911
     /* 2270911 */   GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2270959), // Rule ID 52459 //
     /* 2270916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270919 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270958 */     // GIR_Coverage, 52459,
     /* 2270958 */     GIR_EraseRootFromParent_Done,
     /* 2270959 */   // Label 30781: @2270959
     /* 2270959 */   GIM_Reject,
     /* 2270960 */ // Label 30779: @2270960
     /* 2270960 */ GIM_Reject,
     /* 2270961 */ // Label 30732: @2270961
     /* 2270961 */ GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2271081),
     /* 2270966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2270969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2270972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270984 */   GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2271032), // Rule ID 52402 //
     /* 2270989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270992 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2271009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271031 */     // GIR_Coverage, 52402,
     /* 2271031 */     GIR_EraseRootFromParent_Done,
     /* 2271032 */   // Label 30783: @2271032
     /* 2271032 */   GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2271080), // Rule ID 52403 //
     /* 2271037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271040 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2271043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2271057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271079 */     // GIR_Coverage, 52403,
     /* 2271079 */     GIR_EraseRootFromParent_Done,
     /* 2271080 */   // Label 30784: @2271080
     /* 2271080 */   GIM_Reject,
     /* 2271081 */ // Label 30782: @2271081
     /* 2271081 */ GIM_Reject,
     /* 2271082 */ // Label 30733: @2271082
     /* 2271082 */ GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2271202),
     /* 2271087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2271090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2271093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271105 */   GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2271153), // Rule ID 52430 //
     /* 2271110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271113 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271152 */     // GIR_Coverage, 52430,
     /* 2271152 */     GIR_EraseRootFromParent_Done,
     /* 2271153 */   // Label 30786: @2271153
     /* 2271153 */   GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2271201), // Rule ID 52431 //
     /* 2271158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271161 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271200 */     // GIR_Coverage, 52431,
     /* 2271200 */     GIR_EraseRootFromParent_Done,
     /* 2271201 */   // Label 30787: @2271201
     /* 2271201 */   GIM_Reject,
     /* 2271202 */ // Label 30785: @2271202
     /* 2271202 */ GIM_Reject,
     /* 2271203 */ // Label 30734: @2271203
     /* 2271203 */ GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2271323),
     /* 2271208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2271211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2271214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271226 */   GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2271274), // Rule ID 52446 //
     /* 2271231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271234 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271273 */     // GIR_Coverage, 52446,
     /* 2271273 */     GIR_EraseRootFromParent_Done,
     /* 2271274 */   // Label 30789: @2271274
     /* 2271274 */   GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2271322), // Rule ID 52447 //
     /* 2271279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271282 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271321 */     // GIR_Coverage, 52447,
     /* 2271321 */     GIR_EraseRootFromParent_Done,
     /* 2271322 */   // Label 30790: @2271322
     /* 2271322 */   GIM_Reject,
     /* 2271323 */ // Label 30788: @2271323
     /* 2271323 */ GIM_Reject,
     /* 2271324 */ // Label 30735: @2271324
     /* 2271324 */ GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2271444),
     /* 2271329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2271332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2271335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271347 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2271395), // Rule ID 52462 //
     /* 2271352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271355 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271394 */     // GIR_Coverage, 52462,
     /* 2271394 */     GIR_EraseRootFromParent_Done,
     /* 2271395 */   // Label 30792: @2271395
     /* 2271395 */   GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2271443), // Rule ID 52463 //
     /* 2271400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271403 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271442 */     // GIR_Coverage, 52463,
     /* 2271442 */     GIR_EraseRootFromParent_Done,
     /* 2271443 */   // Label 30793: @2271443
     /* 2271443 */   GIM_Reject,
     /* 2271444 */ // Label 30791: @2271444
     /* 2271444 */ GIM_Reject,
     /* 2271445 */ // Label 30736: @2271445
     /* 2271445 */ GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2271565),
     /* 2271450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2271453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2271456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271468 */   GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2271516), // Rule ID 52418 //
     /* 2271473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271476 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271515 */     // GIR_Coverage, 52418,
     /* 2271515 */     GIR_EraseRootFromParent_Done,
     /* 2271516 */   // Label 30795: @2271516
     /* 2271516 */   GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2271564), // Rule ID 52419 //
     /* 2271521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271524 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271563 */     // GIR_Coverage, 52419,
     /* 2271563 */     GIR_EraseRootFromParent_Done,
     /* 2271564 */   // Label 30796: @2271564
     /* 2271564 */   GIM_Reject,
     /* 2271565 */ // Label 30794: @2271565
     /* 2271565 */ GIM_Reject,
     /* 2271566 */ // Label 30737: @2271566
     /* 2271566 */ GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2271686),
     /* 2271571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2271574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2271577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271589 */   GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2271637), // Rule ID 52434 //
     /* 2271594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271597 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271636 */     // GIR_Coverage, 52434,
     /* 2271636 */     GIR_EraseRootFromParent_Done,
     /* 2271637 */   // Label 30798: @2271637
     /* 2271637 */   GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2271685), // Rule ID 52435 //
     /* 2271642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271645 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271684 */     // GIR_Coverage, 52435,
     /* 2271684 */     GIR_EraseRootFromParent_Done,
     /* 2271685 */   // Label 30799: @2271685
     /* 2271685 */   GIM_Reject,
     /* 2271686 */ // Label 30797: @2271686
     /* 2271686 */ GIM_Reject,
     /* 2271687 */ // Label 30738: @2271687
     /* 2271687 */ GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2271807),
     /* 2271692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2271695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2271698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271710 */   GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2271758), // Rule ID 52450 //
     /* 2271715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271718 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271757 */     // GIR_Coverage, 52450,
     /* 2271757 */     GIR_EraseRootFromParent_Done,
     /* 2271758 */   // Label 30801: @2271758
     /* 2271758 */   GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2271806), // Rule ID 52451 //
     /* 2271763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271766 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271805 */     // GIR_Coverage, 52451,
     /* 2271805 */     GIR_EraseRootFromParent_Done,
     /* 2271806 */   // Label 30802: @2271806
     /* 2271806 */   GIM_Reject,
     /* 2271807 */ // Label 30800: @2271807
     /* 2271807 */ GIM_Reject,
     /* 2271808 */ // Label 30739: @2271808
     /* 2271808 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2271928),
     /* 2271813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2271816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2271819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271831 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2271879), // Rule ID 52422 //
     /* 2271836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271839 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271878 */     // GIR_Coverage, 52422,
     /* 2271878 */     GIR_EraseRootFromParent_Done,
     /* 2271879 */   // Label 30804: @2271879
     /* 2271879 */   GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2271927), // Rule ID 52423 //
     /* 2271884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271887 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271926 */     // GIR_Coverage, 52423,
     /* 2271926 */     GIR_EraseRootFromParent_Done,
     /* 2271927 */   // Label 30805: @2271927
     /* 2271927 */   GIM_Reject,
     /* 2271928 */ // Label 30803: @2271928
     /* 2271928 */ GIM_Reject,
     /* 2271929 */ // Label 30740: @2271929
     /* 2271929 */ GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2272049),
     /* 2271934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2271937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2271940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271952 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2272000), // Rule ID 52438 //
     /* 2271957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271960 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271999 */     // GIR_Coverage, 52438,
     /* 2271999 */     GIR_EraseRootFromParent_Done,
     /* 2272000 */   // Label 30807: @2272000
     /* 2272000 */   GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2272048), // Rule ID 52439 //
     /* 2272005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272008 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2272025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272047 */     // GIR_Coverage, 52439,
     /* 2272047 */     GIR_EraseRootFromParent_Done,
     /* 2272048 */   // Label 30808: @2272048
     /* 2272048 */   GIM_Reject,
     /* 2272049 */ // Label 30806: @2272049
     /* 2272049 */ GIM_Reject,
     /* 2272050 */ // Label 30741: @2272050
     /* 2272050 */ GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2272170),
     /* 2272055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2272058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2272061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272073 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2272121), // Rule ID 52426 //
     /* 2272078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272081 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2272084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2272098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272120 */     // GIR_Coverage, 52426,
     /* 2272120 */     GIR_EraseRootFromParent_Done,
     /* 2272121 */   // Label 30810: @2272121
     /* 2272121 */   GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2272169), // Rule ID 52427 //
     /* 2272126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272129 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2272132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2272146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272168 */     // GIR_Coverage, 52427,
     /* 2272168 */     GIR_EraseRootFromParent_Done,
     /* 2272169 */   // Label 30811: @2272169
     /* 2272169 */   GIM_Reject,
     /* 2272170 */ // Label 30809: @2272170
     /* 2272170 */ GIM_Reject,
     /* 2272171 */ // Label 30742: @2272171
     /* 2272171 */ GIM_Reject,
     /* 2272172 */ // Label 54: @2272172
     /* 2272172 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30835*/ GIMT_Encode4(2275024),
     /* 2272183 */ /*GILLT_s32*//*Label 30812*/ GIMT_Encode4(2272307), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272195 */ /*GILLT_nxv1s8*//*Label 30813*/ GIMT_Encode4(2272362),
     /* 2272199 */ /*GILLT_nxv1s16*//*Label 30814*/ GIMT_Encode4(2272483),
     /* 2272203 */ /*GILLT_nxv1s32*//*Label 30815*/ GIMT_Encode4(2272604),
     /* 2272207 */ /*GILLT_nxv1s64*//*Label 30816*/ GIMT_Encode4(2272725), GIMT_Encode4(0),
     /* 2272215 */ /*GILLT_nxv2s8*//*Label 30817*/ GIMT_Encode4(2272846),
     /* 2272219 */ /*GILLT_nxv2s16*//*Label 30818*/ GIMT_Encode4(2272967),
     /* 2272223 */ /*GILLT_nxv2s32*//*Label 30819*/ GIMT_Encode4(2273088),
     /* 2272227 */ /*GILLT_nxv2s64*//*Label 30820*/ GIMT_Encode4(2273209), GIMT_Encode4(0),
     /* 2272235 */ /*GILLT_nxv4s8*//*Label 30821*/ GIMT_Encode4(2273330),
     /* 2272239 */ /*GILLT_nxv4s16*//*Label 30822*/ GIMT_Encode4(2273451),
     /* 2272243 */ /*GILLT_nxv4s32*//*Label 30823*/ GIMT_Encode4(2273572),
     /* 2272247 */ /*GILLT_nxv4s64*//*Label 30824*/ GIMT_Encode4(2273693), GIMT_Encode4(0),
     /* 2272255 */ /*GILLT_nxv8s8*//*Label 30825*/ GIMT_Encode4(2273814),
     /* 2272259 */ /*GILLT_nxv8s16*//*Label 30826*/ GIMT_Encode4(2273935),
     /* 2272263 */ /*GILLT_nxv8s32*//*Label 30827*/ GIMT_Encode4(2274056),
     /* 2272267 */ /*GILLT_nxv8s64*//*Label 30828*/ GIMT_Encode4(2274177), GIMT_Encode4(0),
     /* 2272275 */ /*GILLT_nxv16s8*//*Label 30829*/ GIMT_Encode4(2274298),
     /* 2272279 */ /*GILLT_nxv16s16*//*Label 30830*/ GIMT_Encode4(2274419),
     /* 2272283 */ /*GILLT_nxv16s32*//*Label 30831*/ GIMT_Encode4(2274540), GIMT_Encode4(0),
     /* 2272291 */ /*GILLT_nxv32s8*//*Label 30832*/ GIMT_Encode4(2274661),
     /* 2272295 */ /*GILLT_nxv32s16*//*Label 30833*/ GIMT_Encode4(2274782), GIMT_Encode4(0),
     /* 2272303 */ /*GILLT_nxv64s8*//*Label 30834*/ GIMT_Encode4(2274903),
     /* 2272307 */ // Label 30812: @2272307
     /* 2272307 */ GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2272361),
     /* 2272312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2272315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2272318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2272322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2272326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2272330 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2272345), // Rule ID 64487 //
     /* 2272335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2272338 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2272338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2272343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272344 */     // GIR_Coverage, 64487,
     /* 2272344 */     GIR_Done,
     /* 2272345 */   // Label 30837: @2272345
     /* 2272345 */   GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2272360), // Rule ID 64488 //
     /* 2272350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2272353 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2272353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2272358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272359 */     // GIR_Coverage, 64488,
     /* 2272359 */     GIR_Done,
     /* 2272360 */   // Label 30838: @2272360
     /* 2272360 */   GIM_Reject,
     /* 2272361 */ // Label 30836: @2272361
     /* 2272361 */ GIM_Reject,
     /* 2272362 */ // Label 30813: @2272362
     /* 2272362 */ GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2272482),
     /* 2272367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2272370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2272373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272385 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2272433), // Rule ID 52246 //
     /* 2272390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272393 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2272396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2272410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272432 */     // GIR_Coverage, 52246,
     /* 2272432 */     GIR_EraseRootFromParent_Done,
     /* 2272433 */   // Label 30840: @2272433
     /* 2272433 */   GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2272481), // Rule ID 52247 //
     /* 2272438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272441 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2272444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2272458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272480 */     // GIR_Coverage, 52247,
     /* 2272480 */     GIR_EraseRootFromParent_Done,
     /* 2272481 */   // Label 30841: @2272481
     /* 2272481 */   GIM_Reject,
     /* 2272482 */ // Label 30839: @2272482
     /* 2272482 */ GIM_Reject,
     /* 2272483 */ // Label 30814: @2272483
     /* 2272483 */ GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2272603),
     /* 2272488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2272491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272506 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2272554), // Rule ID 52258 //
     /* 2272511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272514 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272553 */     // GIR_Coverage, 52258,
     /* 2272553 */     GIR_EraseRootFromParent_Done,
     /* 2272554 */   // Label 30843: @2272554
     /* 2272554 */   GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2272602), // Rule ID 52259 //
     /* 2272559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272562 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272601 */     // GIR_Coverage, 52259,
     /* 2272601 */     GIR_EraseRootFromParent_Done,
     /* 2272602 */   // Label 30844: @2272602
     /* 2272602 */   GIM_Reject,
     /* 2272603 */ // Label 30842: @2272603
     /* 2272603 */ GIM_Reject,
     /* 2272604 */ // Label 30815: @2272604
     /* 2272604 */ GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2272724),
     /* 2272609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2272612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272627 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2272675), // Rule ID 52266 //
     /* 2272632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272635 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272674 */     // GIR_Coverage, 52266,
     /* 2272674 */     GIR_EraseRootFromParent_Done,
     /* 2272675 */   // Label 30846: @2272675
     /* 2272675 */   GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2272723), // Rule ID 52267 //
     /* 2272680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272683 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272722 */     // GIR_Coverage, 52267,
     /* 2272722 */     GIR_EraseRootFromParent_Done,
     /* 2272723 */   // Label 30847: @2272723
     /* 2272723 */   GIM_Reject,
     /* 2272724 */ // Label 30845: @2272724
     /* 2272724 */ GIM_Reject,
     /* 2272725 */ // Label 30816: @2272725
     /* 2272725 */ GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2272845),
     /* 2272730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2272733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272748 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2272796), // Rule ID 52282 //
     /* 2272753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272756 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272795 */     // GIR_Coverage, 52282,
     /* 2272795 */     GIR_EraseRootFromParent_Done,
     /* 2272796 */   // Label 30849: @2272796
     /* 2272796 */   GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2272844), // Rule ID 52283 //
     /* 2272801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272804 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272843 */     // GIR_Coverage, 52283,
     /* 2272843 */     GIR_EraseRootFromParent_Done,
     /* 2272844 */   // Label 30850: @2272844
     /* 2272844 */   GIM_Reject,
     /* 2272845 */ // Label 30848: @2272845
     /* 2272845 */ GIM_Reject,
     /* 2272846 */ // Label 30817: @2272846
     /* 2272846 */ GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2272966),
     /* 2272851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2272854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2272857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272869 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2272917), // Rule ID 52250 //
     /* 2272874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272877 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272916 */     // GIR_Coverage, 52250,
     /* 2272916 */     GIR_EraseRootFromParent_Done,
     /* 2272917 */   // Label 30852: @2272917
     /* 2272917 */   GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2272965), // Rule ID 52251 //
     /* 2272922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272925 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272964 */     // GIR_Coverage, 52251,
     /* 2272964 */     GIR_EraseRootFromParent_Done,
     /* 2272965 */   // Label 30853: @2272965
     /* 2272965 */   GIM_Reject,
     /* 2272966 */ // Label 30851: @2272966
     /* 2272966 */ GIM_Reject,
     /* 2272967 */ // Label 30818: @2272967
     /* 2272967 */ GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2273087),
     /* 2272972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2272975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2272978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272990 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2273038), // Rule ID 52262 //
     /* 2272995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272998 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2273001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273037 */     // GIR_Coverage, 52262,
     /* 2273037 */     GIR_EraseRootFromParent_Done,
     /* 2273038 */   // Label 30855: @2273038
     /* 2273038 */   GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2273086), // Rule ID 52263 //
     /* 2273043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273046 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2273049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273085 */     // GIR_Coverage, 52263,
     /* 2273085 */     GIR_EraseRootFromParent_Done,
     /* 2273086 */   // Label 30856: @2273086
     /* 2273086 */   GIM_Reject,
     /* 2273087 */ // Label 30854: @2273087
     /* 2273087 */ GIM_Reject,
     /* 2273088 */ // Label 30819: @2273088
     /* 2273088 */ GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2273208),
     /* 2273093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2273096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273111 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2273159), // Rule ID 52278 //
     /* 2273116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273119 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2273122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273158 */     // GIR_Coverage, 52278,
     /* 2273158 */     GIR_EraseRootFromParent_Done,
     /* 2273159 */   // Label 30858: @2273159
     /* 2273159 */   GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2273207), // Rule ID 52279 //
     /* 2273164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273167 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2273170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273206 */     // GIR_Coverage, 52279,
     /* 2273206 */     GIR_EraseRootFromParent_Done,
     /* 2273207 */   // Label 30859: @2273207
     /* 2273207 */   GIM_Reject,
     /* 2273208 */ // Label 30857: @2273208
     /* 2273208 */ GIM_Reject,
     /* 2273209 */ // Label 30820: @2273209
     /* 2273209 */ GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2273329),
     /* 2273214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2273217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273232 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2273280), // Rule ID 52322 //
     /* 2273237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273240 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2273243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273279 */     // GIR_Coverage, 52322,
     /* 2273279 */     GIR_EraseRootFromParent_Done,
     /* 2273280 */   // Label 30861: @2273280
     /* 2273280 */   GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2273328), // Rule ID 52323 //
     /* 2273285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273288 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2273291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273327 */     // GIR_Coverage, 52323,
     /* 2273327 */     GIR_EraseRootFromParent_Done,
     /* 2273328 */   // Label 30862: @2273328
     /* 2273328 */   GIM_Reject,
     /* 2273329 */ // Label 30860: @2273329
     /* 2273329 */ GIM_Reject,
     /* 2273330 */ // Label 30821: @2273330
     /* 2273330 */ GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2273450),
     /* 2273335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2273338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2273341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273353 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2273401), // Rule ID 52254 //
     /* 2273358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273361 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2273364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273400 */     // GIR_Coverage, 52254,
     /* 2273400 */     GIR_EraseRootFromParent_Done,
     /* 2273401 */   // Label 30864: @2273401
     /* 2273401 */   GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2273449), // Rule ID 52255 //
     /* 2273406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273409 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2273412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273448 */     // GIR_Coverage, 52255,
     /* 2273448 */     GIR_EraseRootFromParent_Done,
     /* 2273449 */   // Label 30865: @2273449
     /* 2273449 */   GIM_Reject,
     /* 2273450 */ // Label 30863: @2273450
     /* 2273450 */ GIM_Reject,
     /* 2273451 */ // Label 30822: @2273451
     /* 2273451 */ GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2273571),
     /* 2273456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2273459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2273462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273474 */   GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2273522), // Rule ID 52274 //
     /* 2273479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273482 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273521 */     // GIR_Coverage, 52274,
     /* 2273521 */     GIR_EraseRootFromParent_Done,
     /* 2273522 */   // Label 30867: @2273522
     /* 2273522 */   GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2273570), // Rule ID 52275 //
     /* 2273527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273530 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273569 */     // GIR_Coverage, 52275,
     /* 2273569 */     GIR_EraseRootFromParent_Done,
     /* 2273570 */   // Label 30868: @2273570
     /* 2273570 */   GIM_Reject,
     /* 2273571 */ // Label 30866: @2273571
     /* 2273571 */ GIM_Reject,
     /* 2273572 */ // Label 30823: @2273572
     /* 2273572 */ GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2273692),
     /* 2273577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2273580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2273583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273595 */   GIM_Try, /*On fail goto*//*Label 30870*/ GIMT_Encode4(2273643), // Rule ID 52310 //
     /* 2273600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273603 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273642 */     // GIR_Coverage, 52310,
     /* 2273642 */     GIR_EraseRootFromParent_Done,
     /* 2273643 */   // Label 30870: @2273643
     /* 2273643 */   GIM_Try, /*On fail goto*//*Label 30871*/ GIMT_Encode4(2273691), // Rule ID 52311 //
     /* 2273648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273651 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273690 */     // GIR_Coverage, 52311,
     /* 2273690 */     GIR_EraseRootFromParent_Done,
     /* 2273691 */   // Label 30871: @2273691
     /* 2273691 */   GIM_Reject,
     /* 2273692 */ // Label 30869: @2273692
     /* 2273692 */ GIM_Reject,
     /* 2273693 */ // Label 30824: @2273693
     /* 2273693 */ GIM_Try, /*On fail goto*//*Label 30872*/ GIMT_Encode4(2273813),
     /* 2273698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2273701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2273704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273716 */   GIM_Try, /*On fail goto*//*Label 30873*/ GIMT_Encode4(2273764), // Rule ID 52326 //
     /* 2273721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273724 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273763 */     // GIR_Coverage, 52326,
     /* 2273763 */     GIR_EraseRootFromParent_Done,
     /* 2273764 */   // Label 30873: @2273764
     /* 2273764 */   GIM_Try, /*On fail goto*//*Label 30874*/ GIMT_Encode4(2273812), // Rule ID 52327 //
     /* 2273769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273772 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273811 */     // GIR_Coverage, 52327,
     /* 2273811 */     GIR_EraseRootFromParent_Done,
     /* 2273812 */   // Label 30874: @2273812
     /* 2273812 */   GIM_Reject,
     /* 2273813 */ // Label 30872: @2273813
     /* 2273813 */ GIM_Reject,
     /* 2273814 */ // Label 30825: @2273814
     /* 2273814 */ GIM_Try, /*On fail goto*//*Label 30875*/ GIMT_Encode4(2273934),
     /* 2273819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2273822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2273825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273837 */   GIM_Try, /*On fail goto*//*Label 30876*/ GIMT_Encode4(2273885), // Rule ID 52270 //
     /* 2273842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273845 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273884 */     // GIR_Coverage, 52270,
     /* 2273884 */     GIR_EraseRootFromParent_Done,
     /* 2273885 */   // Label 30876: @2273885
     /* 2273885 */   GIM_Try, /*On fail goto*//*Label 30877*/ GIMT_Encode4(2273933), // Rule ID 52271 //
     /* 2273890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273893 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273932 */     // GIR_Coverage, 52271,
     /* 2273932 */     GIR_EraseRootFromParent_Done,
     /* 2273933 */   // Label 30877: @2273933
     /* 2273933 */   GIM_Reject,
     /* 2273934 */ // Label 30875: @2273934
     /* 2273934 */ GIM_Reject,
     /* 2273935 */ // Label 30826: @2273935
     /* 2273935 */ GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2274055),
     /* 2273940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2273943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2273946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273958 */   GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2274006), // Rule ID 52298 //
     /* 2273963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273966 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274005 */     // GIR_Coverage, 52298,
     /* 2274005 */     GIR_EraseRootFromParent_Done,
     /* 2274006 */   // Label 30879: @2274006
     /* 2274006 */   GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2274054), // Rule ID 52299 //
     /* 2274011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274014 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2274017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2274031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274053 */     // GIR_Coverage, 52299,
     /* 2274053 */     GIR_EraseRootFromParent_Done,
     /* 2274054 */   // Label 30880: @2274054
     /* 2274054 */   GIM_Reject,
     /* 2274055 */ // Label 30878: @2274055
     /* 2274055 */ GIM_Reject,
     /* 2274056 */ // Label 30827: @2274056
     /* 2274056 */ GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2274176),
     /* 2274061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2274064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2274067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274079 */   GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2274127), // Rule ID 52314 //
     /* 2274084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274087 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274126 */     // GIR_Coverage, 52314,
     /* 2274126 */     GIR_EraseRootFromParent_Done,
     /* 2274127 */   // Label 30882: @2274127
     /* 2274127 */   GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2274175), // Rule ID 52315 //
     /* 2274132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274135 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274174 */     // GIR_Coverage, 52315,
     /* 2274174 */     GIR_EraseRootFromParent_Done,
     /* 2274175 */   // Label 30883: @2274175
     /* 2274175 */   GIM_Reject,
     /* 2274176 */ // Label 30881: @2274176
     /* 2274176 */ GIM_Reject,
     /* 2274177 */ // Label 30828: @2274177
     /* 2274177 */ GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2274297),
     /* 2274182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2274185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2274188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274200 */   GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2274248), // Rule ID 52330 //
     /* 2274205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2274208 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274247 */     // GIR_Coverage, 52330,
     /* 2274247 */     GIR_EraseRootFromParent_Done,
     /* 2274248 */   // Label 30885: @2274248
     /* 2274248 */   GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2274296), // Rule ID 52331 //
     /* 2274253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2274256 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274295 */     // GIR_Coverage, 52331,
     /* 2274295 */     GIR_EraseRootFromParent_Done,
     /* 2274296 */   // Label 30886: @2274296
     /* 2274296 */   GIM_Reject,
     /* 2274297 */ // Label 30884: @2274297
     /* 2274297 */ GIM_Reject,
     /* 2274298 */ // Label 30829: @2274298
     /* 2274298 */ GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2274418),
     /* 2274303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2274306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2274309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274321 */   GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2274369), // Rule ID 52286 //
     /* 2274326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274329 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2274332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2274346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274368 */     // GIR_Coverage, 52286,
     /* 2274368 */     GIR_EraseRootFromParent_Done,
     /* 2274369 */   // Label 30888: @2274369
     /* 2274369 */   GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2274417), // Rule ID 52287 //
     /* 2274374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274377 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2274380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2274394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274416 */     // GIR_Coverage, 52287,
     /* 2274416 */     GIR_EraseRootFromParent_Done,
     /* 2274417 */   // Label 30889: @2274417
     /* 2274417 */   GIM_Reject,
     /* 2274418 */ // Label 30887: @2274418
     /* 2274418 */ GIM_Reject,
     /* 2274419 */ // Label 30830: @2274419
     /* 2274419 */ GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2274539),
     /* 2274424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2274427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2274430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274442 */   GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2274490), // Rule ID 52302 //
     /* 2274447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274450 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274489 */     // GIR_Coverage, 52302,
     /* 2274489 */     GIR_EraseRootFromParent_Done,
     /* 2274490 */   // Label 30891: @2274490
     /* 2274490 */   GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2274538), // Rule ID 52303 //
     /* 2274495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274498 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274537 */     // GIR_Coverage, 52303,
     /* 2274537 */     GIR_EraseRootFromParent_Done,
     /* 2274538 */   // Label 30892: @2274538
     /* 2274538 */   GIM_Reject,
     /* 2274539 */ // Label 30890: @2274539
     /* 2274539 */ GIM_Reject,
     /* 2274540 */ // Label 30831: @2274540
     /* 2274540 */ GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2274660),
     /* 2274545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2274548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2274551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274563 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2274611), // Rule ID 52318 //
     /* 2274568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274571 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274610 */     // GIR_Coverage, 52318,
     /* 2274610 */     GIR_EraseRootFromParent_Done,
     /* 2274611 */   // Label 30894: @2274611
     /* 2274611 */   GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2274659), // Rule ID 52319 //
     /* 2274616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274619 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274658 */     // GIR_Coverage, 52319,
     /* 2274658 */     GIR_EraseRootFromParent_Done,
     /* 2274659 */   // Label 30895: @2274659
     /* 2274659 */   GIM_Reject,
     /* 2274660 */ // Label 30893: @2274660
     /* 2274660 */ GIM_Reject,
     /* 2274661 */ // Label 30832: @2274661
     /* 2274661 */ GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2274781),
     /* 2274666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2274669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2274672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274684 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2274732), // Rule ID 52290 //
     /* 2274689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274692 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274731 */     // GIR_Coverage, 52290,
     /* 2274731 */     GIR_EraseRootFromParent_Done,
     /* 2274732 */   // Label 30897: @2274732
     /* 2274732 */   GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2274780), // Rule ID 52291 //
     /* 2274737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274740 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274779 */     // GIR_Coverage, 52291,
     /* 2274779 */     GIR_EraseRootFromParent_Done,
     /* 2274780 */   // Label 30898: @2274780
     /* 2274780 */   GIM_Reject,
     /* 2274781 */ // Label 30896: @2274781
     /* 2274781 */ GIM_Reject,
     /* 2274782 */ // Label 30833: @2274782
     /* 2274782 */ GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2274902),
     /* 2274787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2274790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2274793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274805 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2274853), // Rule ID 52306 //
     /* 2274810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274813 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274852 */     // GIR_Coverage, 52306,
     /* 2274852 */     GIR_EraseRootFromParent_Done,
     /* 2274853 */   // Label 30900: @2274853
     /* 2274853 */   GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2274901), // Rule ID 52307 //
     /* 2274858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274861 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274900 */     // GIR_Coverage, 52307,
     /* 2274900 */     GIR_EraseRootFromParent_Done,
     /* 2274901 */   // Label 30901: @2274901
     /* 2274901 */   GIM_Reject,
     /* 2274902 */ // Label 30899: @2274902
     /* 2274902 */ GIM_Reject,
     /* 2274903 */ // Label 30834: @2274903
     /* 2274903 */ GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2275023),
     /* 2274908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2274911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2274914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274926 */   GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2274974), // Rule ID 52294 //
     /* 2274931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274934 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274973 */     // GIR_Coverage, 52294,
     /* 2274973 */     GIR_EraseRootFromParent_Done,
     /* 2274974 */   // Label 30903: @2274974
     /* 2274974 */   GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2275022), // Rule ID 52295 //
     /* 2274979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274982 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275021 */     // GIR_Coverage, 52295,
     /* 2275021 */     GIR_EraseRootFromParent_Done,
     /* 2275022 */   // Label 30904: @2275022
     /* 2275022 */   GIM_Reject,
     /* 2275023 */ // Label 30902: @2275023
     /* 2275023 */ GIM_Reject,
     /* 2275024 */ // Label 30835: @2275024
     /* 2275024 */ GIM_Reject,
     /* 2275025 */ // Label 55: @2275025
     /* 2275025 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30928*/ GIMT_Encode4(2277877),
     /* 2275036 */ /*GILLT_s32*//*Label 30905*/ GIMT_Encode4(2275160), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275048 */ /*GILLT_nxv1s8*//*Label 30906*/ GIMT_Encode4(2275215),
     /* 2275052 */ /*GILLT_nxv1s16*//*Label 30907*/ GIMT_Encode4(2275336),
     /* 2275056 */ /*GILLT_nxv1s32*//*Label 30908*/ GIMT_Encode4(2275457),
     /* 2275060 */ /*GILLT_nxv1s64*//*Label 30909*/ GIMT_Encode4(2275578), GIMT_Encode4(0),
     /* 2275068 */ /*GILLT_nxv2s8*//*Label 30910*/ GIMT_Encode4(2275699),
     /* 2275072 */ /*GILLT_nxv2s16*//*Label 30911*/ GIMT_Encode4(2275820),
     /* 2275076 */ /*GILLT_nxv2s32*//*Label 30912*/ GIMT_Encode4(2275941),
     /* 2275080 */ /*GILLT_nxv2s64*//*Label 30913*/ GIMT_Encode4(2276062), GIMT_Encode4(0),
     /* 2275088 */ /*GILLT_nxv4s8*//*Label 30914*/ GIMT_Encode4(2276183),
     /* 2275092 */ /*GILLT_nxv4s16*//*Label 30915*/ GIMT_Encode4(2276304),
     /* 2275096 */ /*GILLT_nxv4s32*//*Label 30916*/ GIMT_Encode4(2276425),
     /* 2275100 */ /*GILLT_nxv4s64*//*Label 30917*/ GIMT_Encode4(2276546), GIMT_Encode4(0),
     /* 2275108 */ /*GILLT_nxv8s8*//*Label 30918*/ GIMT_Encode4(2276667),
     /* 2275112 */ /*GILLT_nxv8s16*//*Label 30919*/ GIMT_Encode4(2276788),
     /* 2275116 */ /*GILLT_nxv8s32*//*Label 30920*/ GIMT_Encode4(2276909),
     /* 2275120 */ /*GILLT_nxv8s64*//*Label 30921*/ GIMT_Encode4(2277030), GIMT_Encode4(0),
     /* 2275128 */ /*GILLT_nxv16s8*//*Label 30922*/ GIMT_Encode4(2277151),
     /* 2275132 */ /*GILLT_nxv16s16*//*Label 30923*/ GIMT_Encode4(2277272),
     /* 2275136 */ /*GILLT_nxv16s32*//*Label 30924*/ GIMT_Encode4(2277393), GIMT_Encode4(0),
     /* 2275144 */ /*GILLT_nxv32s8*//*Label 30925*/ GIMT_Encode4(2277514),
     /* 2275148 */ /*GILLT_nxv32s16*//*Label 30926*/ GIMT_Encode4(2277635), GIMT_Encode4(0),
     /* 2275156 */ /*GILLT_nxv64s8*//*Label 30927*/ GIMT_Encode4(2277756),
     /* 2275160 */ // Label 30905: @2275160
     /* 2275160 */ GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2275214),
     /* 2275165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2275168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275183 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2275198), // Rule ID 64493 //
     /* 2275188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2275191 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2275191 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2275196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275197 */     // GIR_Coverage, 64493,
     /* 2275197 */     GIR_Done,
     /* 2275198 */   // Label 30930: @2275198
     /* 2275198 */   GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2275213), // Rule ID 64494 //
     /* 2275203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2275206 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2275206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2275211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275212 */     // GIR_Coverage, 64494,
     /* 2275212 */     GIR_Done,
     /* 2275213 */   // Label 30931: @2275213
     /* 2275213 */   GIM_Reject,
     /* 2275214 */ // Label 30929: @2275214
     /* 2275214 */ GIM_Reject,
     /* 2275215 */ // Label 30906: @2275215
     /* 2275215 */ GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2275335),
     /* 2275220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2275223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2275226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275238 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2275286), // Rule ID 52598 //
     /* 2275243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275246 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2275249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2275263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275285 */     // GIR_Coverage, 52598,
     /* 2275285 */     GIR_EraseRootFromParent_Done,
     /* 2275286 */   // Label 30933: @2275286
     /* 2275286 */   GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2275334), // Rule ID 52599 //
     /* 2275291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275294 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2275297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2275311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275333 */     // GIR_Coverage, 52599,
     /* 2275333 */     GIR_EraseRootFromParent_Done,
     /* 2275334 */   // Label 30934: @2275334
     /* 2275334 */   GIM_Reject,
     /* 2275335 */ // Label 30932: @2275335
     /* 2275335 */ GIM_Reject,
     /* 2275336 */ // Label 30907: @2275336
     /* 2275336 */ GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2275456),
     /* 2275341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2275344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2275347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275359 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2275407), // Rule ID 52610 //
     /* 2275364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275367 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275406 */     // GIR_Coverage, 52610,
     /* 2275406 */     GIR_EraseRootFromParent_Done,
     /* 2275407 */   // Label 30936: @2275407
     /* 2275407 */   GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2275455), // Rule ID 52611 //
     /* 2275412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275415 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275454 */     // GIR_Coverage, 52611,
     /* 2275454 */     GIR_EraseRootFromParent_Done,
     /* 2275455 */   // Label 30937: @2275455
     /* 2275455 */   GIM_Reject,
     /* 2275456 */ // Label 30935: @2275456
     /* 2275456 */ GIM_Reject,
     /* 2275457 */ // Label 30908: @2275457
     /* 2275457 */ GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2275577),
     /* 2275462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2275465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2275468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275480 */   GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2275528), // Rule ID 52618 //
     /* 2275485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275488 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275527 */     // GIR_Coverage, 52618,
     /* 2275527 */     GIR_EraseRootFromParent_Done,
     /* 2275528 */   // Label 30939: @2275528
     /* 2275528 */   GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2275576), // Rule ID 52619 //
     /* 2275533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275536 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275575 */     // GIR_Coverage, 52619,
     /* 2275575 */     GIR_EraseRootFromParent_Done,
     /* 2275576 */   // Label 30940: @2275576
     /* 2275576 */   GIM_Reject,
     /* 2275577 */ // Label 30938: @2275577
     /* 2275577 */ GIM_Reject,
     /* 2275578 */ // Label 30909: @2275578
     /* 2275578 */ GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2275698),
     /* 2275583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2275586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2275589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275601 */   GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2275649), // Rule ID 52634 //
     /* 2275606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275609 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275648 */     // GIR_Coverage, 52634,
     /* 2275648 */     GIR_EraseRootFromParent_Done,
     /* 2275649 */   // Label 30942: @2275649
     /* 2275649 */   GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2275697), // Rule ID 52635 //
     /* 2275654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275657 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275696 */     // GIR_Coverage, 52635,
     /* 2275696 */     GIR_EraseRootFromParent_Done,
     /* 2275697 */   // Label 30943: @2275697
     /* 2275697 */   GIM_Reject,
     /* 2275698 */ // Label 30941: @2275698
     /* 2275698 */ GIM_Reject,
     /* 2275699 */ // Label 30910: @2275699
     /* 2275699 */ GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2275819),
     /* 2275704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2275707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2275710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275722 */   GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2275770), // Rule ID 52602 //
     /* 2275727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275730 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275769 */     // GIR_Coverage, 52602,
     /* 2275769 */     GIR_EraseRootFromParent_Done,
     /* 2275770 */   // Label 30945: @2275770
     /* 2275770 */   GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2275818), // Rule ID 52603 //
     /* 2275775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275778 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275817 */     // GIR_Coverage, 52603,
     /* 2275817 */     GIR_EraseRootFromParent_Done,
     /* 2275818 */   // Label 30946: @2275818
     /* 2275818 */   GIM_Reject,
     /* 2275819 */ // Label 30944: @2275819
     /* 2275819 */ GIM_Reject,
     /* 2275820 */ // Label 30911: @2275820
     /* 2275820 */ GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2275940),
     /* 2275825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2275828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2275831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275843 */   GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2275891), // Rule ID 52614 //
     /* 2275848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275851 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275890 */     // GIR_Coverage, 52614,
     /* 2275890 */     GIR_EraseRootFromParent_Done,
     /* 2275891 */   // Label 30948: @2275891
     /* 2275891 */   GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2275939), // Rule ID 52615 //
     /* 2275896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275899 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275938 */     // GIR_Coverage, 52615,
     /* 2275938 */     GIR_EraseRootFromParent_Done,
     /* 2275939 */   // Label 30949: @2275939
     /* 2275939 */   GIM_Reject,
     /* 2275940 */ // Label 30947: @2275940
     /* 2275940 */ GIM_Reject,
     /* 2275941 */ // Label 30912: @2275941
     /* 2275941 */ GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2276061),
     /* 2275946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2275949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2275952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275964 */   GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2276012), // Rule ID 52630 //
     /* 2275969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275972 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276011 */     // GIR_Coverage, 52630,
     /* 2276011 */     GIR_EraseRootFromParent_Done,
     /* 2276012 */   // Label 30951: @2276012
     /* 2276012 */   GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2276060), // Rule ID 52631 //
     /* 2276017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276020 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276059 */     // GIR_Coverage, 52631,
     /* 2276059 */     GIR_EraseRootFromParent_Done,
     /* 2276060 */   // Label 30952: @2276060
     /* 2276060 */   GIM_Reject,
     /* 2276061 */ // Label 30950: @2276061
     /* 2276061 */ GIM_Reject,
     /* 2276062 */ // Label 30913: @2276062
     /* 2276062 */ GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2276182),
     /* 2276067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2276070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2276073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276085 */   GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2276133), // Rule ID 52674 //
     /* 2276090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276093 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276132 */     // GIR_Coverage, 52674,
     /* 2276132 */     GIR_EraseRootFromParent_Done,
     /* 2276133 */   // Label 30954: @2276133
     /* 2276133 */   GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2276181), // Rule ID 52675 //
     /* 2276138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276141 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276180 */     // GIR_Coverage, 52675,
     /* 2276180 */     GIR_EraseRootFromParent_Done,
     /* 2276181 */   // Label 30955: @2276181
     /* 2276181 */   GIM_Reject,
     /* 2276182 */ // Label 30953: @2276182
     /* 2276182 */ GIM_Reject,
     /* 2276183 */ // Label 30914: @2276183
     /* 2276183 */ GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2276303),
     /* 2276188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2276191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2276194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276206 */   GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2276254), // Rule ID 52606 //
     /* 2276211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276214 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2276217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2276231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276253 */     // GIR_Coverage, 52606,
     /* 2276253 */     GIR_EraseRootFromParent_Done,
     /* 2276254 */   // Label 30957: @2276254
     /* 2276254 */   GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2276302), // Rule ID 52607 //
     /* 2276259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276262 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2276265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2276279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276301 */     // GIR_Coverage, 52607,
     /* 2276301 */     GIR_EraseRootFromParent_Done,
     /* 2276302 */   // Label 30958: @2276302
     /* 2276302 */   GIM_Reject,
     /* 2276303 */ // Label 30956: @2276303
     /* 2276303 */ GIM_Reject,
     /* 2276304 */ // Label 30915: @2276304
     /* 2276304 */ GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2276424),
     /* 2276309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2276312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2276315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276327 */   GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2276375), // Rule ID 52626 //
     /* 2276332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276335 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276374 */     // GIR_Coverage, 52626,
     /* 2276374 */     GIR_EraseRootFromParent_Done,
     /* 2276375 */   // Label 30960: @2276375
     /* 2276375 */   GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2276423), // Rule ID 52627 //
     /* 2276380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276383 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276422 */     // GIR_Coverage, 52627,
     /* 2276422 */     GIR_EraseRootFromParent_Done,
     /* 2276423 */   // Label 30961: @2276423
     /* 2276423 */   GIM_Reject,
     /* 2276424 */ // Label 30959: @2276424
     /* 2276424 */ GIM_Reject,
     /* 2276425 */ // Label 30916: @2276425
     /* 2276425 */ GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2276545),
     /* 2276430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2276433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2276436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276448 */   GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2276496), // Rule ID 52662 //
     /* 2276453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276456 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276495 */     // GIR_Coverage, 52662,
     /* 2276495 */     GIR_EraseRootFromParent_Done,
     /* 2276496 */   // Label 30963: @2276496
     /* 2276496 */   GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2276544), // Rule ID 52663 //
     /* 2276501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276504 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276543 */     // GIR_Coverage, 52663,
     /* 2276543 */     GIR_EraseRootFromParent_Done,
     /* 2276544 */   // Label 30964: @2276544
     /* 2276544 */   GIM_Reject,
     /* 2276545 */ // Label 30962: @2276545
     /* 2276545 */ GIM_Reject,
     /* 2276546 */ // Label 30917: @2276546
     /* 2276546 */ GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2276666),
     /* 2276551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2276554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2276557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276569 */   GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2276617), // Rule ID 52678 //
     /* 2276574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276577 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276616 */     // GIR_Coverage, 52678,
     /* 2276616 */     GIR_EraseRootFromParent_Done,
     /* 2276617 */   // Label 30966: @2276617
     /* 2276617 */   GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2276665), // Rule ID 52679 //
     /* 2276622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276625 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276664 */     // GIR_Coverage, 52679,
     /* 2276664 */     GIR_EraseRootFromParent_Done,
     /* 2276665 */   // Label 30967: @2276665
     /* 2276665 */   GIM_Reject,
     /* 2276666 */ // Label 30965: @2276666
     /* 2276666 */ GIM_Reject,
     /* 2276667 */ // Label 30918: @2276667
     /* 2276667 */ GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2276787),
     /* 2276672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2276675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2276678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276690 */   GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2276738), // Rule ID 52622 //
     /* 2276695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276698 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276737 */     // GIR_Coverage, 52622,
     /* 2276737 */     GIR_EraseRootFromParent_Done,
     /* 2276738 */   // Label 30969: @2276738
     /* 2276738 */   GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2276786), // Rule ID 52623 //
     /* 2276743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276746 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276785 */     // GIR_Coverage, 52623,
     /* 2276785 */     GIR_EraseRootFromParent_Done,
     /* 2276786 */   // Label 30970: @2276786
     /* 2276786 */   GIM_Reject,
     /* 2276787 */ // Label 30968: @2276787
     /* 2276787 */ GIM_Reject,
     /* 2276788 */ // Label 30919: @2276788
     /* 2276788 */ GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2276908),
     /* 2276793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2276796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276811 */   GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2276859), // Rule ID 52650 //
     /* 2276816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276819 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276858 */     // GIR_Coverage, 52650,
     /* 2276858 */     GIR_EraseRootFromParent_Done,
     /* 2276859 */   // Label 30972: @2276859
     /* 2276859 */   GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2276907), // Rule ID 52651 //
     /* 2276864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276867 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276906 */     // GIR_Coverage, 52651,
     /* 2276906 */     GIR_EraseRootFromParent_Done,
     /* 2276907 */   // Label 30973: @2276907
     /* 2276907 */   GIM_Reject,
     /* 2276908 */ // Label 30971: @2276908
     /* 2276908 */ GIM_Reject,
     /* 2276909 */ // Label 30920: @2276909
     /* 2276909 */ GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2277029),
     /* 2276914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2276917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276932 */   GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2276980), // Rule ID 52666 //
     /* 2276937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276940 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276979 */     // GIR_Coverage, 52666,
     /* 2276979 */     GIR_EraseRootFromParent_Done,
     /* 2276980 */   // Label 30975: @2276980
     /* 2276980 */   GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2277028), // Rule ID 52667 //
     /* 2276985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276988 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277027 */     // GIR_Coverage, 52667,
     /* 2277027 */     GIR_EraseRootFromParent_Done,
     /* 2277028 */   // Label 30976: @2277028
     /* 2277028 */   GIM_Reject,
     /* 2277029 */ // Label 30974: @2277029
     /* 2277029 */ GIM_Reject,
     /* 2277030 */ // Label 30921: @2277030
     /* 2277030 */ GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2277150),
     /* 2277035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2277038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2277041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277053 */   GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2277101), // Rule ID 52682 //
     /* 2277058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277061 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277100 */     // GIR_Coverage, 52682,
     /* 2277100 */     GIR_EraseRootFromParent_Done,
     /* 2277101 */   // Label 30978: @2277101
     /* 2277101 */   GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2277149), // Rule ID 52683 //
     /* 2277106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277109 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277148 */     // GIR_Coverage, 52683,
     /* 2277148 */     GIR_EraseRootFromParent_Done,
     /* 2277149 */   // Label 30979: @2277149
     /* 2277149 */   GIM_Reject,
     /* 2277150 */ // Label 30977: @2277150
     /* 2277150 */ GIM_Reject,
     /* 2277151 */ // Label 30922: @2277151
     /* 2277151 */ GIM_Try, /*On fail goto*//*Label 30980*/ GIMT_Encode4(2277271),
     /* 2277156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2277159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2277162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277174 */   GIM_Try, /*On fail goto*//*Label 30981*/ GIMT_Encode4(2277222), // Rule ID 52638 //
     /* 2277179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277182 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2277185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2277199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277221 */     // GIR_Coverage, 52638,
     /* 2277221 */     GIR_EraseRootFromParent_Done,
     /* 2277222 */   // Label 30981: @2277222
     /* 2277222 */   GIM_Try, /*On fail goto*//*Label 30982*/ GIMT_Encode4(2277270), // Rule ID 52639 //
     /* 2277227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277230 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2277233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2277247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277269 */     // GIR_Coverage, 52639,
     /* 2277269 */     GIR_EraseRootFromParent_Done,
     /* 2277270 */   // Label 30982: @2277270
     /* 2277270 */   GIM_Reject,
     /* 2277271 */ // Label 30980: @2277271
     /* 2277271 */ GIM_Reject,
     /* 2277272 */ // Label 30923: @2277272
     /* 2277272 */ GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2277392),
     /* 2277277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2277280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277295 */   GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2277343), // Rule ID 52654 //
     /* 2277300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277303 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277342 */     // GIR_Coverage, 52654,
     /* 2277342 */     GIR_EraseRootFromParent_Done,
     /* 2277343 */   // Label 30984: @2277343
     /* 2277343 */   GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2277391), // Rule ID 52655 //
     /* 2277348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277351 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277390 */     // GIR_Coverage, 52655,
     /* 2277390 */     GIR_EraseRootFromParent_Done,
     /* 2277391 */   // Label 30985: @2277391
     /* 2277391 */   GIM_Reject,
     /* 2277392 */ // Label 30983: @2277392
     /* 2277392 */ GIM_Reject,
     /* 2277393 */ // Label 30924: @2277393
     /* 2277393 */ GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2277513),
     /* 2277398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2277401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277416 */   GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2277464), // Rule ID 52670 //
     /* 2277421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277424 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277463 */     // GIR_Coverage, 52670,
     /* 2277463 */     GIR_EraseRootFromParent_Done,
     /* 2277464 */   // Label 30987: @2277464
     /* 2277464 */   GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2277512), // Rule ID 52671 //
     /* 2277469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277472 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277511 */     // GIR_Coverage, 52671,
     /* 2277511 */     GIR_EraseRootFromParent_Done,
     /* 2277512 */   // Label 30988: @2277512
     /* 2277512 */   GIM_Reject,
     /* 2277513 */ // Label 30986: @2277513
     /* 2277513 */ GIM_Reject,
     /* 2277514 */ // Label 30925: @2277514
     /* 2277514 */ GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2277634),
     /* 2277519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2277522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2277525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277537 */   GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2277585), // Rule ID 52642 //
     /* 2277542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277545 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277584 */     // GIR_Coverage, 52642,
     /* 2277584 */     GIR_EraseRootFromParent_Done,
     /* 2277585 */   // Label 30990: @2277585
     /* 2277585 */   GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2277633), // Rule ID 52643 //
     /* 2277590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277593 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277632 */     // GIR_Coverage, 52643,
     /* 2277632 */     GIR_EraseRootFromParent_Done,
     /* 2277633 */   // Label 30991: @2277633
     /* 2277633 */   GIM_Reject,
     /* 2277634 */ // Label 30989: @2277634
     /* 2277634 */ GIM_Reject,
     /* 2277635 */ // Label 30926: @2277635
     /* 2277635 */ GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2277755),
     /* 2277640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2277643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277658 */   GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2277706), // Rule ID 52658 //
     /* 2277663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277666 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277705 */     // GIR_Coverage, 52658,
     /* 2277705 */     GIR_EraseRootFromParent_Done,
     /* 2277706 */   // Label 30993: @2277706
     /* 2277706 */   GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2277754), // Rule ID 52659 //
     /* 2277711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277714 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277753 */     // GIR_Coverage, 52659,
     /* 2277753 */     GIR_EraseRootFromParent_Done,
     /* 2277754 */   // Label 30994: @2277754
     /* 2277754 */   GIM_Reject,
     /* 2277755 */ // Label 30992: @2277755
     /* 2277755 */ GIM_Reject,
     /* 2277756 */ // Label 30927: @2277756
     /* 2277756 */ GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2277876),
     /* 2277761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2277764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2277767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277779 */   GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2277827), // Rule ID 52646 //
     /* 2277784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277787 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277826 */     // GIR_Coverage, 52646,
     /* 2277826 */     GIR_EraseRootFromParent_Done,
     /* 2277827 */   // Label 30996: @2277827
     /* 2277827 */   GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2277875), // Rule ID 52647 //
     /* 2277832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277835 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277874 */     // GIR_Coverage, 52647,
     /* 2277874 */     GIR_EraseRootFromParent_Done,
     /* 2277875 */   // Label 30997: @2277875
     /* 2277875 */   GIM_Reject,
     /* 2277876 */ // Label 30995: @2277876
     /* 2277876 */ GIM_Reject,
     /* 2277877 */ // Label 30928: @2277877
     /* 2277877 */ GIM_Reject,
     /* 2277878 */ // Label 56: @2277878
     /* 2277878 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31021*/ GIMT_Encode4(2280730),
     /* 2277889 */ /*GILLT_s32*//*Label 30998*/ GIMT_Encode4(2278013), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277901 */ /*GILLT_nxv1s8*//*Label 30999*/ GIMT_Encode4(2278068),
     /* 2277905 */ /*GILLT_nxv1s16*//*Label 31000*/ GIMT_Encode4(2278189),
     /* 2277909 */ /*GILLT_nxv1s32*//*Label 31001*/ GIMT_Encode4(2278310),
     /* 2277913 */ /*GILLT_nxv1s64*//*Label 31002*/ GIMT_Encode4(2278431), GIMT_Encode4(0),
     /* 2277921 */ /*GILLT_nxv2s8*//*Label 31003*/ GIMT_Encode4(2278552),
     /* 2277925 */ /*GILLT_nxv2s16*//*Label 31004*/ GIMT_Encode4(2278673),
     /* 2277929 */ /*GILLT_nxv2s32*//*Label 31005*/ GIMT_Encode4(2278794),
     /* 2277933 */ /*GILLT_nxv2s64*//*Label 31006*/ GIMT_Encode4(2278915), GIMT_Encode4(0),
     /* 2277941 */ /*GILLT_nxv4s8*//*Label 31007*/ GIMT_Encode4(2279036),
     /* 2277945 */ /*GILLT_nxv4s16*//*Label 31008*/ GIMT_Encode4(2279157),
     /* 2277949 */ /*GILLT_nxv4s32*//*Label 31009*/ GIMT_Encode4(2279278),
     /* 2277953 */ /*GILLT_nxv4s64*//*Label 31010*/ GIMT_Encode4(2279399), GIMT_Encode4(0),
     /* 2277961 */ /*GILLT_nxv8s8*//*Label 31011*/ GIMT_Encode4(2279520),
     /* 2277965 */ /*GILLT_nxv8s16*//*Label 31012*/ GIMT_Encode4(2279641),
     /* 2277969 */ /*GILLT_nxv8s32*//*Label 31013*/ GIMT_Encode4(2279762),
     /* 2277973 */ /*GILLT_nxv8s64*//*Label 31014*/ GIMT_Encode4(2279883), GIMT_Encode4(0),
     /* 2277981 */ /*GILLT_nxv16s8*//*Label 31015*/ GIMT_Encode4(2280004),
     /* 2277985 */ /*GILLT_nxv16s16*//*Label 31016*/ GIMT_Encode4(2280125),
     /* 2277989 */ /*GILLT_nxv16s32*//*Label 31017*/ GIMT_Encode4(2280246), GIMT_Encode4(0),
     /* 2277997 */ /*GILLT_nxv32s8*//*Label 31018*/ GIMT_Encode4(2280367),
     /* 2278001 */ /*GILLT_nxv32s16*//*Label 31019*/ GIMT_Encode4(2280488), GIMT_Encode4(0),
     /* 2278009 */ /*GILLT_nxv64s8*//*Label 31020*/ GIMT_Encode4(2280609),
     /* 2278013 */ // Label 30998: @2278013
     /* 2278013 */ GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2278067),
     /* 2278018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2278021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2278024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278036 */   GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2278051), // Rule ID 64491 //
     /* 2278041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2278044 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2278044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2278049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278050 */     // GIR_Coverage, 64491,
     /* 2278050 */     GIR_Done,
     /* 2278051 */   // Label 31023: @2278051
     /* 2278051 */   GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2278066), // Rule ID 64492 //
     /* 2278056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2278059 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2278059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2278064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278065 */     // GIR_Coverage, 64492,
     /* 2278065 */     GIR_Done,
     /* 2278066 */   // Label 31024: @2278066
     /* 2278066 */   GIM_Reject,
     /* 2278067 */ // Label 31022: @2278067
     /* 2278067 */ GIM_Reject,
     /* 2278068 */ // Label 30999: @2278068
     /* 2278068 */ GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2278188),
     /* 2278073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2278076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2278079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278091 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2278139), // Rule ID 52510 //
     /* 2278096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278099 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2278116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278138 */     // GIR_Coverage, 52510,
     /* 2278138 */     GIR_EraseRootFromParent_Done,
     /* 2278139 */   // Label 31026: @2278139
     /* 2278139 */   GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2278187), // Rule ID 52511 //
     /* 2278144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278147 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2278164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278186 */     // GIR_Coverage, 52511,
     /* 2278186 */     GIR_EraseRootFromParent_Done,
     /* 2278187 */   // Label 31027: @2278187
     /* 2278187 */   GIM_Reject,
     /* 2278188 */ // Label 31025: @2278188
     /* 2278188 */ GIM_Reject,
     /* 2278189 */ // Label 31000: @2278189
     /* 2278189 */ GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2278309),
     /* 2278194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2278197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2278200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278212 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2278260), // Rule ID 52522 //
     /* 2278217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278220 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278259 */     // GIR_Coverage, 52522,
     /* 2278259 */     GIR_EraseRootFromParent_Done,
     /* 2278260 */   // Label 31029: @2278260
     /* 2278260 */   GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2278308), // Rule ID 52523 //
     /* 2278265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278268 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278307 */     // GIR_Coverage, 52523,
     /* 2278307 */     GIR_EraseRootFromParent_Done,
     /* 2278308 */   // Label 31030: @2278308
     /* 2278308 */   GIM_Reject,
     /* 2278309 */ // Label 31028: @2278309
     /* 2278309 */ GIM_Reject,
     /* 2278310 */ // Label 31001: @2278310
     /* 2278310 */ GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2278430),
     /* 2278315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2278318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2278321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278333 */   GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2278381), // Rule ID 52530 //
     /* 2278338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278341 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278380 */     // GIR_Coverage, 52530,
     /* 2278380 */     GIR_EraseRootFromParent_Done,
     /* 2278381 */   // Label 31032: @2278381
     /* 2278381 */   GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2278429), // Rule ID 52531 //
     /* 2278386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278389 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278428 */     // GIR_Coverage, 52531,
     /* 2278428 */     GIR_EraseRootFromParent_Done,
     /* 2278429 */   // Label 31033: @2278429
     /* 2278429 */   GIM_Reject,
     /* 2278430 */ // Label 31031: @2278430
     /* 2278430 */ GIM_Reject,
     /* 2278431 */ // Label 31002: @2278431
     /* 2278431 */ GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2278551),
     /* 2278436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2278439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2278442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278454 */   GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2278502), // Rule ID 52546 //
     /* 2278459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278462 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278501 */     // GIR_Coverage, 52546,
     /* 2278501 */     GIR_EraseRootFromParent_Done,
     /* 2278502 */   // Label 31035: @2278502
     /* 2278502 */   GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2278550), // Rule ID 52547 //
     /* 2278507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278510 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278549 */     // GIR_Coverage, 52547,
     /* 2278549 */     GIR_EraseRootFromParent_Done,
     /* 2278550 */   // Label 31036: @2278550
     /* 2278550 */   GIM_Reject,
     /* 2278551 */ // Label 31034: @2278551
     /* 2278551 */ GIM_Reject,
     /* 2278552 */ // Label 31003: @2278552
     /* 2278552 */ GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2278672),
     /* 2278557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2278560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2278563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278575 */   GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2278623), // Rule ID 52514 //
     /* 2278580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278583 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278622 */     // GIR_Coverage, 52514,
     /* 2278622 */     GIR_EraseRootFromParent_Done,
     /* 2278623 */   // Label 31038: @2278623
     /* 2278623 */   GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2278671), // Rule ID 52515 //
     /* 2278628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278631 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278670 */     // GIR_Coverage, 52515,
     /* 2278670 */     GIR_EraseRootFromParent_Done,
     /* 2278671 */   // Label 31039: @2278671
     /* 2278671 */   GIM_Reject,
     /* 2278672 */ // Label 31037: @2278672
     /* 2278672 */ GIM_Reject,
     /* 2278673 */ // Label 31004: @2278673
     /* 2278673 */ GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2278793),
     /* 2278678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2278681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2278684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278696 */   GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2278744), // Rule ID 52526 //
     /* 2278701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278704 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278743 */     // GIR_Coverage, 52526,
     /* 2278743 */     GIR_EraseRootFromParent_Done,
     /* 2278744 */   // Label 31041: @2278744
     /* 2278744 */   GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2278792), // Rule ID 52527 //
     /* 2278749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278752 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278791 */     // GIR_Coverage, 52527,
     /* 2278791 */     GIR_EraseRootFromParent_Done,
     /* 2278792 */   // Label 31042: @2278792
     /* 2278792 */   GIM_Reject,
     /* 2278793 */ // Label 31040: @2278793
     /* 2278793 */ GIM_Reject,
     /* 2278794 */ // Label 31005: @2278794
     /* 2278794 */ GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2278914),
     /* 2278799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2278802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2278805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278817 */   GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2278865), // Rule ID 52542 //
     /* 2278822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278825 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278864 */     // GIR_Coverage, 52542,
     /* 2278864 */     GIR_EraseRootFromParent_Done,
     /* 2278865 */   // Label 31044: @2278865
     /* 2278865 */   GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2278913), // Rule ID 52543 //
     /* 2278870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278873 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278912 */     // GIR_Coverage, 52543,
     /* 2278912 */     GIR_EraseRootFromParent_Done,
     /* 2278913 */   // Label 31045: @2278913
     /* 2278913 */   GIM_Reject,
     /* 2278914 */ // Label 31043: @2278914
     /* 2278914 */ GIM_Reject,
     /* 2278915 */ // Label 31006: @2278915
     /* 2278915 */ GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2279035),
     /* 2278920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2278923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2278926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278938 */   GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2278986), // Rule ID 52586 //
     /* 2278943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278946 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278985 */     // GIR_Coverage, 52586,
     /* 2278985 */     GIR_EraseRootFromParent_Done,
     /* 2278986 */   // Label 31047: @2278986
     /* 2278986 */   GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2279034), // Rule ID 52587 //
     /* 2278991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278994 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279033 */     // GIR_Coverage, 52587,
     /* 2279033 */     GIR_EraseRootFromParent_Done,
     /* 2279034 */   // Label 31048: @2279034
     /* 2279034 */   GIM_Reject,
     /* 2279035 */ // Label 31046: @2279035
     /* 2279035 */ GIM_Reject,
     /* 2279036 */ // Label 31007: @2279036
     /* 2279036 */ GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2279156),
     /* 2279041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2279044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2279047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279059 */   GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2279107), // Rule ID 52518 //
     /* 2279064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279067 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2279084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279106 */     // GIR_Coverage, 52518,
     /* 2279106 */     GIR_EraseRootFromParent_Done,
     /* 2279107 */   // Label 31050: @2279107
     /* 2279107 */   GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2279155), // Rule ID 52519 //
     /* 2279112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279115 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2279132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279154 */     // GIR_Coverage, 52519,
     /* 2279154 */     GIR_EraseRootFromParent_Done,
     /* 2279155 */   // Label 31051: @2279155
     /* 2279155 */   GIM_Reject,
     /* 2279156 */ // Label 31049: @2279156
     /* 2279156 */ GIM_Reject,
     /* 2279157 */ // Label 31008: @2279157
     /* 2279157 */ GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2279277),
     /* 2279162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2279165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2279168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279180 */   GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2279228), // Rule ID 52538 //
     /* 2279185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279188 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279227 */     // GIR_Coverage, 52538,
     /* 2279227 */     GIR_EraseRootFromParent_Done,
     /* 2279228 */   // Label 31053: @2279228
     /* 2279228 */   GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2279276), // Rule ID 52539 //
     /* 2279233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279236 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279275 */     // GIR_Coverage, 52539,
     /* 2279275 */     GIR_EraseRootFromParent_Done,
     /* 2279276 */   // Label 31054: @2279276
     /* 2279276 */   GIM_Reject,
     /* 2279277 */ // Label 31052: @2279277
     /* 2279277 */ GIM_Reject,
     /* 2279278 */ // Label 31009: @2279278
     /* 2279278 */ GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2279398),
     /* 2279283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2279286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2279289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279301 */   GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2279349), // Rule ID 52574 //
     /* 2279306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279309 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2279312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279348 */     // GIR_Coverage, 52574,
     /* 2279348 */     GIR_EraseRootFromParent_Done,
     /* 2279349 */   // Label 31056: @2279349
     /* 2279349 */   GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2279397), // Rule ID 52575 //
     /* 2279354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279357 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2279360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279396 */     // GIR_Coverage, 52575,
     /* 2279396 */     GIR_EraseRootFromParent_Done,
     /* 2279397 */   // Label 31057: @2279397
     /* 2279397 */   GIM_Reject,
     /* 2279398 */ // Label 31055: @2279398
     /* 2279398 */ GIM_Reject,
     /* 2279399 */ // Label 31010: @2279399
     /* 2279399 */ GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2279519),
     /* 2279404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2279407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2279410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279422 */   GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2279470), // Rule ID 52590 //
     /* 2279427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279430 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279469 */     // GIR_Coverage, 52590,
     /* 2279469 */     GIR_EraseRootFromParent_Done,
     /* 2279470 */   // Label 31059: @2279470
     /* 2279470 */   GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2279518), // Rule ID 52591 //
     /* 2279475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279478 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279517 */     // GIR_Coverage, 52591,
     /* 2279517 */     GIR_EraseRootFromParent_Done,
     /* 2279518 */   // Label 31060: @2279518
     /* 2279518 */   GIM_Reject,
     /* 2279519 */ // Label 31058: @2279519
     /* 2279519 */ GIM_Reject,
     /* 2279520 */ // Label 31011: @2279520
     /* 2279520 */ GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2279640),
     /* 2279525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2279528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2279531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279543 */   GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2279591), // Rule ID 52534 //
     /* 2279548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279551 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279590 */     // GIR_Coverage, 52534,
     /* 2279590 */     GIR_EraseRootFromParent_Done,
     /* 2279591 */   // Label 31062: @2279591
     /* 2279591 */   GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2279639), // Rule ID 52535 //
     /* 2279596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279599 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279638 */     // GIR_Coverage, 52535,
     /* 2279638 */     GIR_EraseRootFromParent_Done,
     /* 2279639 */   // Label 31063: @2279639
     /* 2279639 */   GIM_Reject,
     /* 2279640 */ // Label 31061: @2279640
     /* 2279640 */ GIM_Reject,
     /* 2279641 */ // Label 31012: @2279641
     /* 2279641 */ GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2279761),
     /* 2279646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2279649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2279652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279664 */   GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2279712), // Rule ID 52562 //
     /* 2279669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279672 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279711 */     // GIR_Coverage, 52562,
     /* 2279711 */     GIR_EraseRootFromParent_Done,
     /* 2279712 */   // Label 31065: @2279712
     /* 2279712 */   GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2279760), // Rule ID 52563 //
     /* 2279717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279720 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279759 */     // GIR_Coverage, 52563,
     /* 2279759 */     GIR_EraseRootFromParent_Done,
     /* 2279760 */   // Label 31066: @2279760
     /* 2279760 */   GIM_Reject,
     /* 2279761 */ // Label 31064: @2279761
     /* 2279761 */ GIM_Reject,
     /* 2279762 */ // Label 31013: @2279762
     /* 2279762 */ GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2279882),
     /* 2279767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2279770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2279773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279785 */   GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2279833), // Rule ID 52578 //
     /* 2279790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279793 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279832 */     // GIR_Coverage, 52578,
     /* 2279832 */     GIR_EraseRootFromParent_Done,
     /* 2279833 */   // Label 31068: @2279833
     /* 2279833 */   GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2279881), // Rule ID 52579 //
     /* 2279838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279841 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279880 */     // GIR_Coverage, 52579,
     /* 2279880 */     GIR_EraseRootFromParent_Done,
     /* 2279881 */   // Label 31069: @2279881
     /* 2279881 */   GIM_Reject,
     /* 2279882 */ // Label 31067: @2279882
     /* 2279882 */ GIM_Reject,
     /* 2279883 */ // Label 31014: @2279883
     /* 2279883 */ GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2280003),
     /* 2279888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2279891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2279894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279906 */   GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2279954), // Rule ID 52594 //
     /* 2279911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279914 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279953 */     // GIR_Coverage, 52594,
     /* 2279953 */     GIR_EraseRootFromParent_Done,
     /* 2279954 */   // Label 31071: @2279954
     /* 2279954 */   GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2280002), // Rule ID 52595 //
     /* 2279959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279962 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280001 */     // GIR_Coverage, 52595,
     /* 2280001 */     GIR_EraseRootFromParent_Done,
     /* 2280002 */   // Label 31072: @2280002
     /* 2280002 */   GIM_Reject,
     /* 2280003 */ // Label 31070: @2280003
     /* 2280003 */ GIM_Reject,
     /* 2280004 */ // Label 31015: @2280004
     /* 2280004 */ GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2280124),
     /* 2280009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2280012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2280015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280027 */   GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2280075), // Rule ID 52550 //
     /* 2280032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280035 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2280038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2280052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280074 */     // GIR_Coverage, 52550,
     /* 2280074 */     GIR_EraseRootFromParent_Done,
     /* 2280075 */   // Label 31074: @2280075
     /* 2280075 */   GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2280123), // Rule ID 52551 //
     /* 2280080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280083 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2280086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2280100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280122 */     // GIR_Coverage, 52551,
     /* 2280122 */     GIR_EraseRootFromParent_Done,
     /* 2280123 */   // Label 31075: @2280123
     /* 2280123 */   GIM_Reject,
     /* 2280124 */ // Label 31073: @2280124
     /* 2280124 */ GIM_Reject,
     /* 2280125 */ // Label 31016: @2280125
     /* 2280125 */ GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2280245),
     /* 2280130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2280133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2280136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280148 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2280196), // Rule ID 52566 //
     /* 2280153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280156 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280195 */     // GIR_Coverage, 52566,
     /* 2280195 */     GIR_EraseRootFromParent_Done,
     /* 2280196 */   // Label 31077: @2280196
     /* 2280196 */   GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2280244), // Rule ID 52567 //
     /* 2280201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280204 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280243 */     // GIR_Coverage, 52567,
     /* 2280243 */     GIR_EraseRootFromParent_Done,
     /* 2280244 */   // Label 31078: @2280244
     /* 2280244 */   GIM_Reject,
     /* 2280245 */ // Label 31076: @2280245
     /* 2280245 */ GIM_Reject,
     /* 2280246 */ // Label 31017: @2280246
     /* 2280246 */ GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2280366),
     /* 2280251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2280254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2280257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280269 */   GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2280317), // Rule ID 52582 //
     /* 2280274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280277 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280316 */     // GIR_Coverage, 52582,
     /* 2280316 */     GIR_EraseRootFromParent_Done,
     /* 2280317 */   // Label 31080: @2280317
     /* 2280317 */   GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2280365), // Rule ID 52583 //
     /* 2280322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280325 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280364 */     // GIR_Coverage, 52583,
     /* 2280364 */     GIR_EraseRootFromParent_Done,
     /* 2280365 */   // Label 31081: @2280365
     /* 2280365 */   GIM_Reject,
     /* 2280366 */ // Label 31079: @2280366
     /* 2280366 */ GIM_Reject,
     /* 2280367 */ // Label 31018: @2280367
     /* 2280367 */ GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2280487),
     /* 2280372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2280375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2280378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280390 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2280438), // Rule ID 52554 //
     /* 2280395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280398 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280437 */     // GIR_Coverage, 52554,
     /* 2280437 */     GIR_EraseRootFromParent_Done,
     /* 2280438 */   // Label 31083: @2280438
     /* 2280438 */   GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2280486), // Rule ID 52555 //
     /* 2280443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280446 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280485 */     // GIR_Coverage, 52555,
     /* 2280485 */     GIR_EraseRootFromParent_Done,
     /* 2280486 */   // Label 31084: @2280486
     /* 2280486 */   GIM_Reject,
     /* 2280487 */ // Label 31082: @2280487
     /* 2280487 */ GIM_Reject,
     /* 2280488 */ // Label 31019: @2280488
     /* 2280488 */ GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2280608),
     /* 2280493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2280496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2280499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280511 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2280559), // Rule ID 52570 //
     /* 2280516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280519 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280558 */     // GIR_Coverage, 52570,
     /* 2280558 */     GIR_EraseRootFromParent_Done,
     /* 2280559 */   // Label 31086: @2280559
     /* 2280559 */   GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2280607), // Rule ID 52571 //
     /* 2280564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280567 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280606 */     // GIR_Coverage, 52571,
     /* 2280606 */     GIR_EraseRootFromParent_Done,
     /* 2280607 */   // Label 31087: @2280607
     /* 2280607 */   GIM_Reject,
     /* 2280608 */ // Label 31085: @2280608
     /* 2280608 */ GIM_Reject,
     /* 2280609 */ // Label 31020: @2280609
     /* 2280609 */ GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2280729),
     /* 2280614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2280617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2280620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280632 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2280680), // Rule ID 52558 //
     /* 2280637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280640 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280679 */     // GIR_Coverage, 52558,
     /* 2280679 */     GIR_EraseRootFromParent_Done,
     /* 2280680 */   // Label 31089: @2280680
     /* 2280680 */   GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2280728), // Rule ID 52559 //
     /* 2280685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280688 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280727 */     // GIR_Coverage, 52559,
     /* 2280727 */     GIR_EraseRootFromParent_Done,
     /* 2280728 */   // Label 31090: @2280728
     /* 2280728 */   GIM_Reject,
     /* 2280729 */ // Label 31088: @2280729
     /* 2280729 */ GIM_Reject,
     /* 2280730 */ // Label 31021: @2280730
     /* 2280730 */ GIM_Reject,
     /* 2280731 */ // Label 57: @2280731
     /* 2280731 */ GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2280788),
     /* 2280736 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280757 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2280772), // Rule ID 64495 //
     /* 2280762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280765 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280771 */     // GIR_Coverage, 64495,
     /* 2280771 */     GIR_Done,
     /* 2280772 */   // Label 31092: @2280772
     /* 2280772 */   GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2280787), // Rule ID 64496 //
     /* 2280777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280780 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280786 */     // GIR_Coverage, 64496,
     /* 2280786 */     GIR_Done,
     /* 2280787 */   // Label 31093: @2280787
     /* 2280787 */   GIM_Reject,
     /* 2280788 */ // Label 31091: @2280788
     /* 2280788 */ GIM_Reject,
     /* 2280789 */ // Label 58: @2280789
     /* 2280789 */ GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2280846),
     /* 2280794 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280815 */   GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2280830), // Rule ID 64497 //
     /* 2280820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280823 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280829 */     // GIR_Coverage, 64497,
     /* 2280829 */     GIR_Done,
     /* 2280830 */   // Label 31095: @2280830
     /* 2280830 */   GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2280845), // Rule ID 64498 //
     /* 2280835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280838 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280838 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280844 */     // GIR_Coverage, 64498,
     /* 2280844 */     GIR_Done,
     /* 2280845 */   // Label 31096: @2280845
     /* 2280845 */   GIM_Reject,
     /* 2280846 */ // Label 31094: @2280846
     /* 2280846 */ GIM_Reject,
     /* 2280847 */ // Label 59: @2280847
     /* 2280847 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31115*/ GIMT_Encode4(2283274),
     /* 2280858 */ /*GILLT_s16*//*Label 31097*/ GIMT_Encode4(2280978),
     /* 2280862 */ /*GILLT_s32*//*Label 31098*/ GIMT_Encode4(2281127),
     /* 2280866 */ /*GILLT_s64*//*Label 31099*/ GIMT_Encode4(2281276), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280878 */ /*GILLT_nxv1s16*//*Label 31100*/ GIMT_Encode4(2281459),
     /* 2280882 */ /*GILLT_nxv1s32*//*Label 31101*/ GIMT_Encode4(2281580),
     /* 2280886 */ /*GILLT_nxv1s64*//*Label 31102*/ GIMT_Encode4(2281701), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280898 */ /*GILLT_nxv2s16*//*Label 31103*/ GIMT_Encode4(2281822),
     /* 2280902 */ /*GILLT_nxv2s32*//*Label 31104*/ GIMT_Encode4(2281943),
     /* 2280906 */ /*GILLT_nxv2s64*//*Label 31105*/ GIMT_Encode4(2282064), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280918 */ /*GILLT_nxv4s16*//*Label 31106*/ GIMT_Encode4(2282185),
     /* 2280922 */ /*GILLT_nxv4s32*//*Label 31107*/ GIMT_Encode4(2282306),
     /* 2280926 */ /*GILLT_nxv4s64*//*Label 31108*/ GIMT_Encode4(2282427), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280938 */ /*GILLT_nxv8s16*//*Label 31109*/ GIMT_Encode4(2282548),
     /* 2280942 */ /*GILLT_nxv8s32*//*Label 31110*/ GIMT_Encode4(2282669),
     /* 2280946 */ /*GILLT_nxv8s64*//*Label 31111*/ GIMT_Encode4(2282790), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280958 */ /*GILLT_nxv16s16*//*Label 31112*/ GIMT_Encode4(2282911),
     /* 2280962 */ /*GILLT_nxv16s32*//*Label 31113*/ GIMT_Encode4(2283032), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280974 */ /*GILLT_nxv32s16*//*Label 31114*/ GIMT_Encode4(2283153),
     /* 2280978 */ // Label 31097: @2280978
     /* 2280978 */ GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2281126),
     /* 2280983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2280986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2280989 */   GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2281023), // Rule ID 1848 //
     /* 2280994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2280997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281009 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2281009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2281012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281022 */     // GIR_Coverage, 1848,
     /* 2281022 */     GIR_EraseRootFromParent_Done,
     /* 2281023 */   // Label 31117: @2281023
     /* 2281023 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2281057), // Rule ID 1849 //
     /* 2281028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2281031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281043 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2281043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2281046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281056 */     // GIR_Coverage, 1849,
     /* 2281056 */     GIR_EraseRootFromParent_Done,
     /* 2281057 */   // Label 31118: @2281057
     /* 2281057 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2281091), // Rule ID 1852 //
     /* 2281062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2281065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281077 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2281077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2281080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281090 */     // GIR_Coverage, 1852,
     /* 2281090 */     GIR_EraseRootFromParent_Done,
     /* 2281091 */   // Label 31119: @2281091
     /* 2281091 */   GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2281125), // Rule ID 1853 //
     /* 2281096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2281099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281111 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2281111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2281114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281124 */     // GIR_Coverage, 1853,
     /* 2281124 */     GIR_EraseRootFromParent_Done,
     /* 2281125 */   // Label 31120: @2281125
     /* 2281125 */   GIM_Reject,
     /* 2281126 */ // Label 31116: @2281126
     /* 2281126 */ GIM_Reject,
     /* 2281127 */ // Label 31098: @2281127
     /* 2281127 */ GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2281275),
     /* 2281132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2281135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2281138 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2281172), // Rule ID 1139 //
     /* 2281143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2281146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281158 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2281158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2281161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281171 */     // GIR_Coverage, 1139,
     /* 2281171 */     GIR_EraseRootFromParent_Done,
     /* 2281172 */   // Label 31122: @2281172
     /* 2281172 */   GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2281206), // Rule ID 1140 //
     /* 2281177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2281180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281192 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2281192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2281195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281205 */     // GIR_Coverage, 1140,
     /* 2281205 */     GIR_EraseRootFromParent_Done,
     /* 2281206 */   // Label 31123: @2281206
     /* 2281206 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2281240), // Rule ID 1143 //
     /* 2281211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2281214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281226 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2281226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2281229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281239 */     // GIR_Coverage, 1143,
     /* 2281239 */     GIR_EraseRootFromParent_Done,
     /* 2281240 */   // Label 31124: @2281240
     /* 2281240 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2281274), // Rule ID 1144 //
     /* 2281245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2281248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281260 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2281260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2281263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281273 */     // GIR_Coverage, 1144,
     /* 2281273 */     GIR_EraseRootFromParent_Done,
     /* 2281274 */   // Label 31125: @2281274
     /* 2281274 */   GIM_Reject,
     /* 2281275 */ // Label 31121: @2281275
     /* 2281275 */ GIM_Reject,
     /* 2281276 */ // Label 31099: @2281276
     /* 2281276 */ GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2281458),
     /* 2281281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2281287 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2281321), // Rule ID 1474 //
     /* 2281292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2281295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281307 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2281310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281320 */     // GIR_Coverage, 1474,
     /* 2281320 */     GIR_EraseRootFromParent_Done,
     /* 2281321 */   // Label 31127: @2281321
     /* 2281321 */   GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2281355), // Rule ID 1475 //
     /* 2281326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2281329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281341 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2281341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2281344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281354 */     // GIR_Coverage, 1475,
     /* 2281354 */     GIR_EraseRootFromParent_Done,
     /* 2281355 */   // Label 31128: @2281355
     /* 2281355 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2281389), // Rule ID 1478 //
     /* 2281360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2281363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281375 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2281378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281388 */     // GIR_Coverage, 1478,
     /* 2281388 */     GIR_EraseRootFromParent_Done,
     /* 2281389 */   // Label 31129: @2281389
     /* 2281389 */   GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2281423), // Rule ID 1479 //
     /* 2281394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281409 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2281409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2281412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281422 */     // GIR_Coverage, 1479,
     /* 2281422 */     GIR_EraseRootFromParent_Done,
     /* 2281423 */   // Label 31130: @2281423
     /* 2281423 */   GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2281457), // Rule ID 1481 //
     /* 2281428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2281431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281443 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2281446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281456 */     // GIR_Coverage, 1481,
     /* 2281456 */     GIR_EraseRootFromParent_Done,
     /* 2281457 */   // Label 31131: @2281457
     /* 2281457 */   GIM_Reject,
     /* 2281458 */ // Label 31126: @2281458
     /* 2281458 */ GIM_Reject,
     /* 2281459 */ // Label 31100: @2281459
     /* 2281459 */ GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2281579),
     /* 2281464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2281467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2281470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281482 */   GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2281530), // Rule ID 45638 //
     /* 2281487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281490 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281529 */     // GIR_Coverage, 45638,
     /* 2281529 */     GIR_EraseRootFromParent_Done,
     /* 2281530 */   // Label 31133: @2281530
     /* 2281530 */   GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2281578), // Rule ID 45639 //
     /* 2281535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281538 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281577 */     // GIR_Coverage, 45639,
     /* 2281577 */     GIR_EraseRootFromParent_Done,
     /* 2281578 */   // Label 31134: @2281578
     /* 2281578 */   GIM_Reject,
     /* 2281579 */ // Label 31132: @2281579
     /* 2281579 */ GIM_Reject,
     /* 2281580 */ // Label 31101: @2281580
     /* 2281580 */ GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2281700),
     /* 2281585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2281588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2281591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281603 */   GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2281651), // Rule ID 53174 //
     /* 2281608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281611 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281650 */     // GIR_Coverage, 53174,
     /* 2281650 */     GIR_EraseRootFromParent_Done,
     /* 2281651 */   // Label 31136: @2281651
     /* 2281651 */   GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2281699), // Rule ID 53175 //
     /* 2281656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281659 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281698 */     // GIR_Coverage, 53175,
     /* 2281698 */     GIR_EraseRootFromParent_Done,
     /* 2281699 */   // Label 31137: @2281699
     /* 2281699 */   GIM_Reject,
     /* 2281700 */ // Label 31135: @2281700
     /* 2281700 */ GIM_Reject,
     /* 2281701 */ // Label 31102: @2281701
     /* 2281701 */ GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2281821),
     /* 2281706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2281709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2281712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281724 */   GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2281772), // Rule ID 53210 //
     /* 2281729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281732 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281771 */     // GIR_Coverage, 53210,
     /* 2281771 */     GIR_EraseRootFromParent_Done,
     /* 2281772 */   // Label 31139: @2281772
     /* 2281772 */   GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2281820), // Rule ID 53211 //
     /* 2281777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281780 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281819 */     // GIR_Coverage, 53211,
     /* 2281819 */     GIR_EraseRootFromParent_Done,
     /* 2281820 */   // Label 31140: @2281820
     /* 2281820 */   GIM_Reject,
     /* 2281821 */ // Label 31138: @2281821
     /* 2281821 */ GIM_Reject,
     /* 2281822 */ // Label 31103: @2281822
     /* 2281822 */ GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2281942),
     /* 2281827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2281830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2281833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281845 */   GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2281893), // Rule ID 53162 //
     /* 2281850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281853 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281892 */     // GIR_Coverage, 53162,
     /* 2281892 */     GIR_EraseRootFromParent_Done,
     /* 2281893 */   // Label 31142: @2281893
     /* 2281893 */   GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2281941), // Rule ID 53163 //
     /* 2281898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281901 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281940 */     // GIR_Coverage, 53163,
     /* 2281940 */     GIR_EraseRootFromParent_Done,
     /* 2281941 */   // Label 31143: @2281941
     /* 2281941 */   GIM_Reject,
     /* 2281942 */ // Label 31141: @2281942
     /* 2281942 */ GIM_Reject,
     /* 2281943 */ // Label 31104: @2281943
     /* 2281943 */ GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2282063),
     /* 2281948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2281951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2281954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281966 */   GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2282014), // Rule ID 53198 //
     /* 2281971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281974 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2281991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282013 */     // GIR_Coverage, 53198,
     /* 2282013 */     GIR_EraseRootFromParent_Done,
     /* 2282014 */   // Label 31145: @2282014
     /* 2282014 */   GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2282062), // Rule ID 53199 //
     /* 2282019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282022 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2282039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282061 */     // GIR_Coverage, 53199,
     /* 2282061 */     GIR_EraseRootFromParent_Done,
     /* 2282062 */   // Label 31146: @2282062
     /* 2282062 */   GIM_Reject,
     /* 2282063 */ // Label 31144: @2282063
     /* 2282063 */ GIM_Reject,
     /* 2282064 */ // Label 31105: @2282064
     /* 2282064 */ GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2282184),
     /* 2282069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2282072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2282075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282087 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2282135), // Rule ID 53294 //
     /* 2282092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282095 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2282112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282134 */     // GIR_Coverage, 53294,
     /* 2282134 */     GIR_EraseRootFromParent_Done,
     /* 2282135 */   // Label 31148: @2282135
     /* 2282135 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2282183), // Rule ID 53295 //
     /* 2282140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282143 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2282160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282182 */     // GIR_Coverage, 53295,
     /* 2282182 */     GIR_EraseRootFromParent_Done,
     /* 2282183 */   // Label 31149: @2282183
     /* 2282183 */   GIM_Reject,
     /* 2282184 */ // Label 31147: @2282184
     /* 2282184 */ GIM_Reject,
     /* 2282185 */ // Label 31106: @2282185
     /* 2282185 */ GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2282305),
     /* 2282190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2282193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2282196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282208 */   GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2282256), // Rule ID 53186 //
     /* 2282213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282216 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2282233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282255 */     // GIR_Coverage, 53186,
     /* 2282255 */     GIR_EraseRootFromParent_Done,
     /* 2282256 */   // Label 31151: @2282256
     /* 2282256 */   GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2282304), // Rule ID 53187 //
     /* 2282261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282264 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2282281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282303 */     // GIR_Coverage, 53187,
     /* 2282303 */     GIR_EraseRootFromParent_Done,
     /* 2282304 */   // Label 31152: @2282304
     /* 2282304 */   GIM_Reject,
     /* 2282305 */ // Label 31150: @2282305
     /* 2282305 */ GIM_Reject,
     /* 2282306 */ // Label 31107: @2282306
     /* 2282306 */ GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2282426),
     /* 2282311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2282314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2282317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282329 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2282377), // Rule ID 53258 //
     /* 2282334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282337 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2282354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282376 */     // GIR_Coverage, 53258,
     /* 2282376 */     GIR_EraseRootFromParent_Done,
     /* 2282377 */   // Label 31154: @2282377
     /* 2282377 */   GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2282425), // Rule ID 53259 //
     /* 2282382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282385 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2282402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282424 */     // GIR_Coverage, 53259,
     /* 2282424 */     GIR_EraseRootFromParent_Done,
     /* 2282425 */   // Label 31155: @2282425
     /* 2282425 */   GIM_Reject,
     /* 2282426 */ // Label 31153: @2282426
     /* 2282426 */ GIM_Reject,
     /* 2282427 */ // Label 31108: @2282427
     /* 2282427 */ GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2282547),
     /* 2282432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2282435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282450 */   GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2282498), // Rule ID 53306 //
     /* 2282455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282458 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282497 */     // GIR_Coverage, 53306,
     /* 2282497 */     GIR_EraseRootFromParent_Done,
     /* 2282498 */   // Label 31157: @2282498
     /* 2282498 */   GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2282546), // Rule ID 53307 //
     /* 2282503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282506 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282545 */     // GIR_Coverage, 53307,
     /* 2282545 */     GIR_EraseRootFromParent_Done,
     /* 2282546 */   // Label 31158: @2282546
     /* 2282546 */   GIM_Reject,
     /* 2282547 */ // Label 31156: @2282547
     /* 2282547 */ GIM_Reject,
     /* 2282548 */ // Label 31109: @2282548
     /* 2282548 */ GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2282668),
     /* 2282553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2282556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2282559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282571 */   GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2282619), // Rule ID 53222 //
     /* 2282576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282579 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282618 */     // GIR_Coverage, 53222,
     /* 2282618 */     GIR_EraseRootFromParent_Done,
     /* 2282619 */   // Label 31160: @2282619
     /* 2282619 */   GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2282667), // Rule ID 53223 //
     /* 2282624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282627 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282666 */     // GIR_Coverage, 53223,
     /* 2282666 */     GIR_EraseRootFromParent_Done,
     /* 2282667 */   // Label 31161: @2282667
     /* 2282667 */   GIM_Reject,
     /* 2282668 */ // Label 31159: @2282668
     /* 2282668 */ GIM_Reject,
     /* 2282669 */ // Label 31110: @2282669
     /* 2282669 */ GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2282789),
     /* 2282674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2282677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2282680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282692 */   GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2282740), // Rule ID 53270 //
     /* 2282697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282700 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282739 */     // GIR_Coverage, 53270,
     /* 2282739 */     GIR_EraseRootFromParent_Done,
     /* 2282740 */   // Label 31163: @2282740
     /* 2282740 */   GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2282788), // Rule ID 53271 //
     /* 2282745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282748 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282787 */     // GIR_Coverage, 53271,
     /* 2282787 */     GIR_EraseRootFromParent_Done,
     /* 2282788 */   // Label 31164: @2282788
     /* 2282788 */   GIM_Reject,
     /* 2282789 */ // Label 31162: @2282789
     /* 2282789 */ GIM_Reject,
     /* 2282790 */ // Label 31111: @2282790
     /* 2282790 */ GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2282910),
     /* 2282795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2282798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2282801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282813 */   GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2282861), // Rule ID 53318 //
     /* 2282818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282821 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282860 */     // GIR_Coverage, 53318,
     /* 2282860 */     GIR_EraseRootFromParent_Done,
     /* 2282861 */   // Label 31166: @2282861
     /* 2282861 */   GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2282909), // Rule ID 53319 //
     /* 2282866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282869 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282908 */     // GIR_Coverage, 53319,
     /* 2282908 */     GIR_EraseRootFromParent_Done,
     /* 2282909 */   // Label 31167: @2282909
     /* 2282909 */   GIM_Reject,
     /* 2282910 */ // Label 31165: @2282910
     /* 2282910 */ GIM_Reject,
     /* 2282911 */ // Label 31112: @2282911
     /* 2282911 */ GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2283031),
     /* 2282916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2282919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2282922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282934 */   GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2282982), // Rule ID 53234 //
     /* 2282939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282942 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2282959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282981 */     // GIR_Coverage, 53234,
     /* 2282981 */     GIR_EraseRootFromParent_Done,
     /* 2282982 */   // Label 31169: @2282982
     /* 2282982 */   GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2283030), // Rule ID 53235 //
     /* 2282987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282990 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2283007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283029 */     // GIR_Coverage, 53235,
     /* 2283029 */     GIR_EraseRootFromParent_Done,
     /* 2283030 */   // Label 31170: @2283030
     /* 2283030 */   GIM_Reject,
     /* 2283031 */ // Label 31168: @2283031
     /* 2283031 */ GIM_Reject,
     /* 2283032 */ // Label 31113: @2283032
     /* 2283032 */ GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2283152),
     /* 2283037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2283040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2283043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283055 */   GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2283103), // Rule ID 53282 //
     /* 2283060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283063 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2283080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283102 */     // GIR_Coverage, 53282,
     /* 2283102 */     GIR_EraseRootFromParent_Done,
     /* 2283103 */   // Label 31172: @2283103
     /* 2283103 */   GIM_Try, /*On fail goto*//*Label 31173*/ GIMT_Encode4(2283151), // Rule ID 53283 //
     /* 2283108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283111 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2283128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283150 */     // GIR_Coverage, 53283,
     /* 2283150 */     GIR_EraseRootFromParent_Done,
     /* 2283151 */   // Label 31173: @2283151
     /* 2283151 */   GIM_Reject,
     /* 2283152 */ // Label 31171: @2283152
     /* 2283152 */ GIM_Reject,
     /* 2283153 */ // Label 31114: @2283153
     /* 2283153 */ GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2283273),
     /* 2283158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2283161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2283164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283176 */   GIM_Try, /*On fail goto*//*Label 31175*/ GIMT_Encode4(2283224), // Rule ID 53246 //
     /* 2283181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283184 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2283201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283223 */     // GIR_Coverage, 53246,
     /* 2283223 */     GIR_EraseRootFromParent_Done,
     /* 2283224 */   // Label 31175: @2283224
     /* 2283224 */   GIM_Try, /*On fail goto*//*Label 31176*/ GIMT_Encode4(2283272), // Rule ID 53247 //
     /* 2283229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283232 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2283249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283271 */     // GIR_Coverage, 53247,
     /* 2283271 */     GIR_EraseRootFromParent_Done,
     /* 2283272 */   // Label 31176: @2283272
     /* 2283272 */   GIM_Reject,
     /* 2283273 */ // Label 31174: @2283273
     /* 2283273 */ GIM_Reject,
     /* 2283274 */ // Label 31115: @2283274
     /* 2283274 */ GIM_Reject,
     /* 2283275 */ // Label 60: @2283275
     /* 2283275 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31195*/ GIMT_Encode4(2285702),
     /* 2283286 */ /*GILLT_s16*//*Label 31177*/ GIMT_Encode4(2283406),
     /* 2283290 */ /*GILLT_s32*//*Label 31178*/ GIMT_Encode4(2283555),
     /* 2283294 */ /*GILLT_s64*//*Label 31179*/ GIMT_Encode4(2283704), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283306 */ /*GILLT_nxv1s16*//*Label 31180*/ GIMT_Encode4(2283887),
     /* 2283310 */ /*GILLT_nxv1s32*//*Label 31181*/ GIMT_Encode4(2284008),
     /* 2283314 */ /*GILLT_nxv1s64*//*Label 31182*/ GIMT_Encode4(2284129), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283326 */ /*GILLT_nxv2s16*//*Label 31183*/ GIMT_Encode4(2284250),
     /* 2283330 */ /*GILLT_nxv2s32*//*Label 31184*/ GIMT_Encode4(2284371),
     /* 2283334 */ /*GILLT_nxv2s64*//*Label 31185*/ GIMT_Encode4(2284492), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283346 */ /*GILLT_nxv4s16*//*Label 31186*/ GIMT_Encode4(2284613),
     /* 2283350 */ /*GILLT_nxv4s32*//*Label 31187*/ GIMT_Encode4(2284734),
     /* 2283354 */ /*GILLT_nxv4s64*//*Label 31188*/ GIMT_Encode4(2284855), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283366 */ /*GILLT_nxv8s16*//*Label 31189*/ GIMT_Encode4(2284976),
     /* 2283370 */ /*GILLT_nxv8s32*//*Label 31190*/ GIMT_Encode4(2285097),
     /* 2283374 */ /*GILLT_nxv8s64*//*Label 31191*/ GIMT_Encode4(2285218), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283386 */ /*GILLT_nxv16s16*//*Label 31192*/ GIMT_Encode4(2285339),
     /* 2283390 */ /*GILLT_nxv16s32*//*Label 31193*/ GIMT_Encode4(2285460), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283402 */ /*GILLT_nxv32s16*//*Label 31194*/ GIMT_Encode4(2285581),
     /* 2283406 */ // Label 31177: @2283406
     /* 2283406 */ GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2283554),
     /* 2283411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2283414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2283417 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2283451), // Rule ID 1856 //
     /* 2283422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2283425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283437 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283450 */     // GIR_Coverage, 1856,
     /* 2283450 */     GIR_EraseRootFromParent_Done,
     /* 2283451 */   // Label 31197: @2283451
     /* 2283451 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2283485), // Rule ID 1857 //
     /* 2283456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2283459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283471 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283484 */     // GIR_Coverage, 1857,
     /* 2283484 */     GIR_EraseRootFromParent_Done,
     /* 2283485 */   // Label 31198: @2283485
     /* 2283485 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2283519), // Rule ID 1860 //
     /* 2283490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2283493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283505 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283518 */     // GIR_Coverage, 1860,
     /* 2283518 */     GIR_EraseRootFromParent_Done,
     /* 2283519 */   // Label 31199: @2283519
     /* 2283519 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2283553), // Rule ID 1861 //
     /* 2283524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2283527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283539 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283552 */     // GIR_Coverage, 1861,
     /* 2283552 */     GIR_EraseRootFromParent_Done,
     /* 2283553 */   // Label 31200: @2283553
     /* 2283553 */   GIM_Reject,
     /* 2283554 */ // Label 31196: @2283554
     /* 2283554 */ GIM_Reject,
     /* 2283555 */ // Label 31178: @2283555
     /* 2283555 */ GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2283703),
     /* 2283560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2283566 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2283600), // Rule ID 1147 //
     /* 2283571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283586 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283599 */     // GIR_Coverage, 1147,
     /* 2283599 */     GIR_EraseRootFromParent_Done,
     /* 2283600 */   // Label 31202: @2283600
     /* 2283600 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2283634), // Rule ID 1148 //
     /* 2283605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283620 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283633 */     // GIR_Coverage, 1148,
     /* 2283633 */     GIR_EraseRootFromParent_Done,
     /* 2283634 */   // Label 31203: @2283634
     /* 2283634 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2283668), // Rule ID 1151 //
     /* 2283639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283654 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283667 */     // GIR_Coverage, 1151,
     /* 2283667 */     GIR_EraseRootFromParent_Done,
     /* 2283668 */   // Label 31204: @2283668
     /* 2283668 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2283702), // Rule ID 1152 //
     /* 2283673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283688 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283701 */     // GIR_Coverage, 1152,
     /* 2283701 */     GIR_EraseRootFromParent_Done,
     /* 2283702 */   // Label 31205: @2283702
     /* 2283702 */   GIM_Reject,
     /* 2283703 */ // Label 31201: @2283703
     /* 2283703 */ GIM_Reject,
     /* 2283704 */ // Label 31179: @2283704
     /* 2283704 */ GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2283886),
     /* 2283709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2283712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2283715 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2283749), // Rule ID 1484 //
     /* 2283720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2283723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283735 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283748 */     // GIR_Coverage, 1484,
     /* 2283748 */     GIR_EraseRootFromParent_Done,
     /* 2283749 */   // Label 31207: @2283749
     /* 2283749 */   GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2283783), // Rule ID 1485 //
     /* 2283754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2283757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283769 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283782 */     // GIR_Coverage, 1485,
     /* 2283782 */     GIR_EraseRootFromParent_Done,
     /* 2283783 */   // Label 31208: @2283783
     /* 2283783 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2283817), // Rule ID 1488 //
     /* 2283788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2283791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283803 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283816 */     // GIR_Coverage, 1488,
     /* 2283816 */     GIR_EraseRootFromParent_Done,
     /* 2283817 */   // Label 31209: @2283817
     /* 2283817 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2283851), // Rule ID 1489 //
     /* 2283822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2283825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283837 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283850 */     // GIR_Coverage, 1489,
     /* 2283850 */     GIR_EraseRootFromParent_Done,
     /* 2283851 */   // Label 31210: @2283851
     /* 2283851 */   GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2283885), // Rule ID 1491 //
     /* 2283856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2283859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283871 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2283874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283884 */     // GIR_Coverage, 1491,
     /* 2283884 */     GIR_EraseRootFromParent_Done,
     /* 2283885 */   // Label 31211: @2283885
     /* 2283885 */   GIM_Reject,
     /* 2283886 */ // Label 31206: @2283886
     /* 2283886 */ GIM_Reject,
     /* 2283887 */ // Label 31180: @2283887
     /* 2283887 */ GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2284007),
     /* 2283892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2283898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283910 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2283958), // Rule ID 53330 //
     /* 2283915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283918 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283957 */     // GIR_Coverage, 53330,
     /* 2283957 */     GIR_EraseRootFromParent_Done,
     /* 2283958 */   // Label 31213: @2283958
     /* 2283958 */   GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2284006), // Rule ID 53331 //
     /* 2283963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283966 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284005 */     // GIR_Coverage, 53331,
     /* 2284005 */     GIR_EraseRootFromParent_Done,
     /* 2284006 */   // Label 31214: @2284006
     /* 2284006 */   GIM_Reject,
     /* 2284007 */ // Label 31212: @2284007
     /* 2284007 */ GIM_Reject,
     /* 2284008 */ // Label 31181: @2284008
     /* 2284008 */ GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2284128),
     /* 2284013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2284016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2284019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284031 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2284079), // Rule ID 53354 //
     /* 2284036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284039 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2284056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284078 */     // GIR_Coverage, 53354,
     /* 2284078 */     GIR_EraseRootFromParent_Done,
     /* 2284079 */   // Label 31216: @2284079
     /* 2284079 */   GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2284127), // Rule ID 53355 //
     /* 2284084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284087 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2284104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284126 */     // GIR_Coverage, 53355,
     /* 2284126 */     GIR_EraseRootFromParent_Done,
     /* 2284127 */   // Label 31217: @2284127
     /* 2284127 */   GIM_Reject,
     /* 2284128 */ // Label 31215: @2284128
     /* 2284128 */ GIM_Reject,
     /* 2284129 */ // Label 31182: @2284129
     /* 2284129 */ GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2284249),
     /* 2284134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2284140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284152 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2284200), // Rule ID 53390 //
     /* 2284157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284160 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2284177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284199 */     // GIR_Coverage, 53390,
     /* 2284199 */     GIR_EraseRootFromParent_Done,
     /* 2284200 */   // Label 31219: @2284200
     /* 2284200 */   GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2284248), // Rule ID 53391 //
     /* 2284205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284208 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2284225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284247 */     // GIR_Coverage, 53391,
     /* 2284247 */     GIR_EraseRootFromParent_Done,
     /* 2284248 */   // Label 31220: @2284248
     /* 2284248 */   GIM_Reject,
     /* 2284249 */ // Label 31218: @2284249
     /* 2284249 */ GIM_Reject,
     /* 2284250 */ // Label 31183: @2284250
     /* 2284250 */ GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2284370),
     /* 2284255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2284261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284273 */   GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2284321), // Rule ID 53342 //
     /* 2284278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284281 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2284298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284320 */     // GIR_Coverage, 53342,
     /* 2284320 */     GIR_EraseRootFromParent_Done,
     /* 2284321 */   // Label 31222: @2284321
     /* 2284321 */   GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2284369), // Rule ID 53343 //
     /* 2284326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284329 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2284346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284368 */     // GIR_Coverage, 53343,
     /* 2284368 */     GIR_EraseRootFromParent_Done,
     /* 2284369 */   // Label 31223: @2284369
     /* 2284369 */   GIM_Reject,
     /* 2284370 */ // Label 31221: @2284370
     /* 2284370 */ GIM_Reject,
     /* 2284371 */ // Label 31184: @2284371
     /* 2284371 */ GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2284491),
     /* 2284376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2284379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2284382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284394 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2284442), // Rule ID 53378 //
     /* 2284399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284402 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2284419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284441 */     // GIR_Coverage, 53378,
     /* 2284441 */     GIR_EraseRootFromParent_Done,
     /* 2284442 */   // Label 31225: @2284442
     /* 2284442 */   GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2284490), // Rule ID 53379 //
     /* 2284447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284450 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2284467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284489 */     // GIR_Coverage, 53379,
     /* 2284489 */     GIR_EraseRootFromParent_Done,
     /* 2284490 */   // Label 31226: @2284490
     /* 2284490 */   GIM_Reject,
     /* 2284491 */ // Label 31224: @2284491
     /* 2284491 */ GIM_Reject,
     /* 2284492 */ // Label 31185: @2284492
     /* 2284492 */ GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2284612),
     /* 2284497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2284500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2284503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284515 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2284563), // Rule ID 53474 //
     /* 2284520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284523 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284562 */     // GIR_Coverage, 53474,
     /* 2284562 */     GIR_EraseRootFromParent_Done,
     /* 2284563 */   // Label 31228: @2284563
     /* 2284563 */   GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2284611), // Rule ID 53475 //
     /* 2284568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284571 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284610 */     // GIR_Coverage, 53475,
     /* 2284610 */     GIR_EraseRootFromParent_Done,
     /* 2284611 */   // Label 31229: @2284611
     /* 2284611 */   GIM_Reject,
     /* 2284612 */ // Label 31227: @2284612
     /* 2284612 */ GIM_Reject,
     /* 2284613 */ // Label 31186: @2284613
     /* 2284613 */ GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2284733),
     /* 2284618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2284621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2284624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284636 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2284684), // Rule ID 53366 //
     /* 2284641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284644 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284683 */     // GIR_Coverage, 53366,
     /* 2284683 */     GIR_EraseRootFromParent_Done,
     /* 2284684 */   // Label 31231: @2284684
     /* 2284684 */   GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2284732), // Rule ID 53367 //
     /* 2284689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284692 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284731 */     // GIR_Coverage, 53367,
     /* 2284731 */     GIR_EraseRootFromParent_Done,
     /* 2284732 */   // Label 31232: @2284732
     /* 2284732 */   GIM_Reject,
     /* 2284733 */ // Label 31230: @2284733
     /* 2284733 */ GIM_Reject,
     /* 2284734 */ // Label 31187: @2284734
     /* 2284734 */ GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2284854),
     /* 2284739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2284742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2284745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284757 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2284805), // Rule ID 53438 //
     /* 2284762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284765 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284804 */     // GIR_Coverage, 53438,
     /* 2284804 */     GIR_EraseRootFromParent_Done,
     /* 2284805 */   // Label 31234: @2284805
     /* 2284805 */   GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2284853), // Rule ID 53439 //
     /* 2284810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284813 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284852 */     // GIR_Coverage, 53439,
     /* 2284852 */     GIR_EraseRootFromParent_Done,
     /* 2284853 */   // Label 31235: @2284853
     /* 2284853 */   GIM_Reject,
     /* 2284854 */ // Label 31233: @2284854
     /* 2284854 */ GIM_Reject,
     /* 2284855 */ // Label 31188: @2284855
     /* 2284855 */ GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2284975),
     /* 2284860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2284863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2284866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284878 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2284926), // Rule ID 53486 //
     /* 2284883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284886 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284925 */     // GIR_Coverage, 53486,
     /* 2284925 */     GIR_EraseRootFromParent_Done,
     /* 2284926 */   // Label 31237: @2284926
     /* 2284926 */   GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2284974), // Rule ID 53487 //
     /* 2284931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284934 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284973 */     // GIR_Coverage, 53487,
     /* 2284973 */     GIR_EraseRootFromParent_Done,
     /* 2284974 */   // Label 31238: @2284974
     /* 2284974 */   GIM_Reject,
     /* 2284975 */ // Label 31236: @2284975
     /* 2284975 */ GIM_Reject,
     /* 2284976 */ // Label 31189: @2284976
     /* 2284976 */ GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2285096),
     /* 2284981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2284984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2284987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284999 */   GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2285047), // Rule ID 53402 //
     /* 2285004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285007 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2285024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285046 */     // GIR_Coverage, 53402,
     /* 2285046 */     GIR_EraseRootFromParent_Done,
     /* 2285047 */   // Label 31240: @2285047
     /* 2285047 */   GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2285095), // Rule ID 53403 //
     /* 2285052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285055 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2285072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285094 */     // GIR_Coverage, 53403,
     /* 2285094 */     GIR_EraseRootFromParent_Done,
     /* 2285095 */   // Label 31241: @2285095
     /* 2285095 */   GIM_Reject,
     /* 2285096 */ // Label 31239: @2285096
     /* 2285096 */ GIM_Reject,
     /* 2285097 */ // Label 31190: @2285097
     /* 2285097 */ GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2285217),
     /* 2285102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2285105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2285108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285120 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2285168), // Rule ID 53450 //
     /* 2285125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285128 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2285145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285167 */     // GIR_Coverage, 53450,
     /* 2285167 */     GIR_EraseRootFromParent_Done,
     /* 2285168 */   // Label 31243: @2285168
     /* 2285168 */   GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2285216), // Rule ID 53451 //
     /* 2285173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285176 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2285193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285215 */     // GIR_Coverage, 53451,
     /* 2285215 */     GIR_EraseRootFromParent_Done,
     /* 2285216 */   // Label 31244: @2285216
     /* 2285216 */   GIM_Reject,
     /* 2285217 */ // Label 31242: @2285217
     /* 2285217 */ GIM_Reject,
     /* 2285218 */ // Label 31191: @2285218
     /* 2285218 */ GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2285338),
     /* 2285223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2285226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2285229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285241 */   GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2285289), // Rule ID 53498 //
     /* 2285246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285249 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2285266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285288 */     // GIR_Coverage, 53498,
     /* 2285288 */     GIR_EraseRootFromParent_Done,
     /* 2285289 */   // Label 31246: @2285289
     /* 2285289 */   GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2285337), // Rule ID 53499 //
     /* 2285294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285297 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2285314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285336 */     // GIR_Coverage, 53499,
     /* 2285336 */     GIR_EraseRootFromParent_Done,
     /* 2285337 */   // Label 31247: @2285337
     /* 2285337 */   GIM_Reject,
     /* 2285338 */ // Label 31245: @2285338
     /* 2285338 */ GIM_Reject,
     /* 2285339 */ // Label 31192: @2285339
     /* 2285339 */ GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2285459),
     /* 2285344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2285347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2285350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285362 */   GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2285410), // Rule ID 53414 //
     /* 2285367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285370 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2285387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285409 */     // GIR_Coverage, 53414,
     /* 2285409 */     GIR_EraseRootFromParent_Done,
     /* 2285410 */   // Label 31249: @2285410
     /* 2285410 */   GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2285458), // Rule ID 53415 //
     /* 2285415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285418 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2285435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285457 */     // GIR_Coverage, 53415,
     /* 2285457 */     GIR_EraseRootFromParent_Done,
     /* 2285458 */   // Label 31250: @2285458
     /* 2285458 */   GIM_Reject,
     /* 2285459 */ // Label 31248: @2285459
     /* 2285459 */ GIM_Reject,
     /* 2285460 */ // Label 31193: @2285460
     /* 2285460 */ GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2285580),
     /* 2285465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2285468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2285471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285483 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2285531), // Rule ID 53462 //
     /* 2285488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285491 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285530 */     // GIR_Coverage, 53462,
     /* 2285530 */     GIR_EraseRootFromParent_Done,
     /* 2285531 */   // Label 31252: @2285531
     /* 2285531 */   GIM_Try, /*On fail goto*//*Label 31253*/ GIMT_Encode4(2285579), // Rule ID 53463 //
     /* 2285536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285539 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285578 */     // GIR_Coverage, 53463,
     /* 2285578 */     GIR_EraseRootFromParent_Done,
     /* 2285579 */   // Label 31253: @2285579
     /* 2285579 */   GIM_Reject,
     /* 2285580 */ // Label 31251: @2285580
     /* 2285580 */ GIM_Reject,
     /* 2285581 */ // Label 31194: @2285581
     /* 2285581 */ GIM_Try, /*On fail goto*//*Label 31254*/ GIMT_Encode4(2285701),
     /* 2285586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2285589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2285592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285604 */   GIM_Try, /*On fail goto*//*Label 31255*/ GIMT_Encode4(2285652), // Rule ID 53426 //
     /* 2285609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285612 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285651 */     // GIR_Coverage, 53426,
     /* 2285651 */     GIR_EraseRootFromParent_Done,
     /* 2285652 */   // Label 31255: @2285652
     /* 2285652 */   GIM_Try, /*On fail goto*//*Label 31256*/ GIMT_Encode4(2285700), // Rule ID 53427 //
     /* 2285657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285660 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285699 */     // GIR_Coverage, 53427,
     /* 2285699 */     GIR_EraseRootFromParent_Done,
     /* 2285700 */   // Label 31256: @2285700
     /* 2285700 */   GIM_Reject,
     /* 2285701 */ // Label 31254: @2285701
     /* 2285701 */ GIM_Reject,
     /* 2285702 */ // Label 31195: @2285702
     /* 2285702 */ GIM_Reject,
     /* 2285703 */ // Label 61: @2285703
     /* 2285703 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31275*/ GIMT_Encode4(2288130),
     /* 2285714 */ /*GILLT_s16*//*Label 31257*/ GIMT_Encode4(2285834),
     /* 2285718 */ /*GILLT_s32*//*Label 31258*/ GIMT_Encode4(2285983),
     /* 2285722 */ /*GILLT_s64*//*Label 31259*/ GIMT_Encode4(2286132), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285734 */ /*GILLT_nxv1s16*//*Label 31260*/ GIMT_Encode4(2286315),
     /* 2285738 */ /*GILLT_nxv1s32*//*Label 31261*/ GIMT_Encode4(2286436),
     /* 2285742 */ /*GILLT_nxv1s64*//*Label 31262*/ GIMT_Encode4(2286557), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285754 */ /*GILLT_nxv2s16*//*Label 31263*/ GIMT_Encode4(2286678),
     /* 2285758 */ /*GILLT_nxv2s32*//*Label 31264*/ GIMT_Encode4(2286799),
     /* 2285762 */ /*GILLT_nxv2s64*//*Label 31265*/ GIMT_Encode4(2286920), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285774 */ /*GILLT_nxv4s16*//*Label 31266*/ GIMT_Encode4(2287041),
     /* 2285778 */ /*GILLT_nxv4s32*//*Label 31267*/ GIMT_Encode4(2287162),
     /* 2285782 */ /*GILLT_nxv4s64*//*Label 31268*/ GIMT_Encode4(2287283), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285794 */ /*GILLT_nxv8s16*//*Label 31269*/ GIMT_Encode4(2287404),
     /* 2285798 */ /*GILLT_nxv8s32*//*Label 31270*/ GIMT_Encode4(2287525),
     /* 2285802 */ /*GILLT_nxv8s64*//*Label 31271*/ GIMT_Encode4(2287646), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285814 */ /*GILLT_nxv16s16*//*Label 31272*/ GIMT_Encode4(2287767),
     /* 2285818 */ /*GILLT_nxv16s32*//*Label 31273*/ GIMT_Encode4(2287888), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285830 */ /*GILLT_nxv32s16*//*Label 31274*/ GIMT_Encode4(2288009),
     /* 2285834 */ // Label 31257: @2285834
     /* 2285834 */ GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2285982),
     /* 2285839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2285842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2285845 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2285879), // Rule ID 1864 //
     /* 2285850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2285853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285865 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285878 */     // GIR_Coverage, 1864,
     /* 2285878 */     GIR_EraseRootFromParent_Done,
     /* 2285879 */   // Label 31277: @2285879
     /* 2285879 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2285913), // Rule ID 1865 //
     /* 2285884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2285887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285899 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285912 */     // GIR_Coverage, 1865,
     /* 2285912 */     GIR_EraseRootFromParent_Done,
     /* 2285913 */   // Label 31278: @2285913
     /* 2285913 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2285947), // Rule ID 1868 //
     /* 2285918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2285921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285933 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285946 */     // GIR_Coverage, 1868,
     /* 2285946 */     GIR_EraseRootFromParent_Done,
     /* 2285947 */   // Label 31279: @2285947
     /* 2285947 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2285981), // Rule ID 1869 //
     /* 2285952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2285955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285967 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285980 */     // GIR_Coverage, 1869,
     /* 2285980 */     GIR_EraseRootFromParent_Done,
     /* 2285981 */   // Label 31280: @2285981
     /* 2285981 */   GIM_Reject,
     /* 2285982 */ // Label 31276: @2285982
     /* 2285982 */ GIM_Reject,
     /* 2285983 */ // Label 31258: @2285983
     /* 2285983 */ GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2286131),
     /* 2285988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2285991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2285994 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2286028), // Rule ID 1155 //
     /* 2285999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2286002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286014 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2286014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2286017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286027 */     // GIR_Coverage, 1155,
     /* 2286027 */     GIR_EraseRootFromParent_Done,
     /* 2286028 */   // Label 31282: @2286028
     /* 2286028 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2286062), // Rule ID 1156 //
     /* 2286033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2286036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286048 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2286048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2286051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286061 */     // GIR_Coverage, 1156,
     /* 2286061 */     GIR_EraseRootFromParent_Done,
     /* 2286062 */   // Label 31283: @2286062
     /* 2286062 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2286096), // Rule ID 1159 //
     /* 2286067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2286070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286082 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2286082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2286085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286095 */     // GIR_Coverage, 1159,
     /* 2286095 */     GIR_EraseRootFromParent_Done,
     /* 2286096 */   // Label 31284: @2286096
     /* 2286096 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2286130), // Rule ID 1160 //
     /* 2286101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2286104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286116 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2286116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2286119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286129 */     // GIR_Coverage, 1160,
     /* 2286129 */     GIR_EraseRootFromParent_Done,
     /* 2286130 */   // Label 31285: @2286130
     /* 2286130 */   GIM_Reject,
     /* 2286131 */ // Label 31281: @2286131
     /* 2286131 */ GIM_Reject,
     /* 2286132 */ // Label 31259: @2286132
     /* 2286132 */ GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2286314),
     /* 2286137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2286140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2286143 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2286177), // Rule ID 1494 //
     /* 2286148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2286151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286163 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2286163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2286166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286176 */     // GIR_Coverage, 1494,
     /* 2286176 */     GIR_EraseRootFromParent_Done,
     /* 2286177 */   // Label 31287: @2286177
     /* 2286177 */   GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2286211), // Rule ID 1495 //
     /* 2286182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2286185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286197 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2286197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2286200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286210 */     // GIR_Coverage, 1495,
     /* 2286210 */     GIR_EraseRootFromParent_Done,
     /* 2286211 */   // Label 31288: @2286211
     /* 2286211 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2286245), // Rule ID 1498 //
     /* 2286216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2286219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286231 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2286231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2286234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286244 */     // GIR_Coverage, 1498,
     /* 2286244 */     GIR_EraseRootFromParent_Done,
     /* 2286245 */   // Label 31289: @2286245
     /* 2286245 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2286279), // Rule ID 1499 //
     /* 2286250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2286253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286265 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2286265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2286268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286278 */     // GIR_Coverage, 1499,
     /* 2286278 */     GIR_EraseRootFromParent_Done,
     /* 2286279 */   // Label 31290: @2286279
     /* 2286279 */   GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2286313), // Rule ID 1501 //
     /* 2286284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2286287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286299 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2286299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2286302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286312 */     // GIR_Coverage, 1501,
     /* 2286312 */     GIR_EraseRootFromParent_Done,
     /* 2286313 */   // Label 31291: @2286313
     /* 2286313 */   GIM_Reject,
     /* 2286314 */ // Label 31286: @2286314
     /* 2286314 */ GIM_Reject,
     /* 2286315 */ // Label 31260: @2286315
     /* 2286315 */ GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2286435),
     /* 2286320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2286326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286338 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2286386), // Rule ID 54098 //
     /* 2286343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286346 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2286349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2286363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286385 */     // GIR_Coverage, 54098,
     /* 2286385 */     GIR_EraseRootFromParent_Done,
     /* 2286386 */   // Label 31293: @2286386
     /* 2286386 */   GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2286434), // Rule ID 54099 //
     /* 2286391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286394 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2286397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2286411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286433 */     // GIR_Coverage, 54099,
     /* 2286433 */     GIR_EraseRootFromParent_Done,
     /* 2286434 */   // Label 31294: @2286434
     /* 2286434 */   GIM_Reject,
     /* 2286435 */ // Label 31292: @2286435
     /* 2286435 */ GIM_Reject,
     /* 2286436 */ // Label 31261: @2286436
     /* 2286436 */ GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2286556),
     /* 2286441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2286444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2286447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286459 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2286507), // Rule ID 54122 //
     /* 2286464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286467 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286506 */     // GIR_Coverage, 54122,
     /* 2286506 */     GIR_EraseRootFromParent_Done,
     /* 2286507 */   // Label 31296: @2286507
     /* 2286507 */   GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2286555), // Rule ID 54123 //
     /* 2286512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286515 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286554 */     // GIR_Coverage, 54123,
     /* 2286554 */     GIR_EraseRootFromParent_Done,
     /* 2286555 */   // Label 31297: @2286555
     /* 2286555 */   GIM_Reject,
     /* 2286556 */ // Label 31295: @2286556
     /* 2286556 */ GIM_Reject,
     /* 2286557 */ // Label 31262: @2286557
     /* 2286557 */ GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2286677),
     /* 2286562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2286565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2286568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286580 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2286628), // Rule ID 54158 //
     /* 2286585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286588 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286627 */     // GIR_Coverage, 54158,
     /* 2286627 */     GIR_EraseRootFromParent_Done,
     /* 2286628 */   // Label 31299: @2286628
     /* 2286628 */   GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2286676), // Rule ID 54159 //
     /* 2286633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286636 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286675 */     // GIR_Coverage, 54159,
     /* 2286675 */     GIR_EraseRootFromParent_Done,
     /* 2286676 */   // Label 31300: @2286676
     /* 2286676 */   GIM_Reject,
     /* 2286677 */ // Label 31298: @2286677
     /* 2286677 */ GIM_Reject,
     /* 2286678 */ // Label 31263: @2286678
     /* 2286678 */ GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2286798),
     /* 2286683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2286686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2286689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286701 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2286749), // Rule ID 54110 //
     /* 2286706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286709 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286748 */     // GIR_Coverage, 54110,
     /* 2286748 */     GIR_EraseRootFromParent_Done,
     /* 2286749 */   // Label 31302: @2286749
     /* 2286749 */   GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2286797), // Rule ID 54111 //
     /* 2286754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286757 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286796 */     // GIR_Coverage, 54111,
     /* 2286796 */     GIR_EraseRootFromParent_Done,
     /* 2286797 */   // Label 31303: @2286797
     /* 2286797 */   GIM_Reject,
     /* 2286798 */ // Label 31301: @2286798
     /* 2286798 */ GIM_Reject,
     /* 2286799 */ // Label 31264: @2286799
     /* 2286799 */ GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2286919),
     /* 2286804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2286810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286822 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2286870), // Rule ID 54146 //
     /* 2286827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286830 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286869 */     // GIR_Coverage, 54146,
     /* 2286869 */     GIR_EraseRootFromParent_Done,
     /* 2286870 */   // Label 31305: @2286870
     /* 2286870 */   GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2286918), // Rule ID 54147 //
     /* 2286875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286878 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286917 */     // GIR_Coverage, 54147,
     /* 2286917 */     GIR_EraseRootFromParent_Done,
     /* 2286918 */   // Label 31306: @2286918
     /* 2286918 */   GIM_Reject,
     /* 2286919 */ // Label 31304: @2286919
     /* 2286919 */ GIM_Reject,
     /* 2286920 */ // Label 31265: @2286920
     /* 2286920 */ GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2287040),
     /* 2286925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2286931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286943 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2286991), // Rule ID 54242 //
     /* 2286948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286951 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2286968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286990 */     // GIR_Coverage, 54242,
     /* 2286990 */     GIR_EraseRootFromParent_Done,
     /* 2286991 */   // Label 31308: @2286991
     /* 2286991 */   GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2287039), // Rule ID 54243 //
     /* 2286996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286999 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2287002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2287016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287038 */     // GIR_Coverage, 54243,
     /* 2287038 */     GIR_EraseRootFromParent_Done,
     /* 2287039 */   // Label 31309: @2287039
     /* 2287039 */   GIM_Reject,
     /* 2287040 */ // Label 31307: @2287040
     /* 2287040 */ GIM_Reject,
     /* 2287041 */ // Label 31266: @2287041
     /* 2287041 */ GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2287161),
     /* 2287046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2287052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287064 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2287112), // Rule ID 54134 //
     /* 2287069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287072 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2287075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2287089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287111 */     // GIR_Coverage, 54134,
     /* 2287111 */     GIR_EraseRootFromParent_Done,
     /* 2287112 */   // Label 31311: @2287112
     /* 2287112 */   GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2287160), // Rule ID 54135 //
     /* 2287117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287120 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2287123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2287137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287159 */     // GIR_Coverage, 54135,
     /* 2287159 */     GIR_EraseRootFromParent_Done,
     /* 2287160 */   // Label 31312: @2287160
     /* 2287160 */   GIM_Reject,
     /* 2287161 */ // Label 31310: @2287161
     /* 2287161 */ GIM_Reject,
     /* 2287162 */ // Label 31267: @2287162
     /* 2287162 */ GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2287282),
     /* 2287167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2287170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2287173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287185 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2287233), // Rule ID 54206 //
     /* 2287190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287193 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2287196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2287210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287232 */     // GIR_Coverage, 54206,
     /* 2287232 */     GIR_EraseRootFromParent_Done,
     /* 2287233 */   // Label 31314: @2287233
     /* 2287233 */   GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2287281), // Rule ID 54207 //
     /* 2287238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287241 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2287244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2287258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287280 */     // GIR_Coverage, 54207,
     /* 2287280 */     GIR_EraseRootFromParent_Done,
     /* 2287281 */   // Label 31315: @2287281
     /* 2287281 */   GIM_Reject,
     /* 2287282 */ // Label 31313: @2287282
     /* 2287282 */ GIM_Reject,
     /* 2287283 */ // Label 31268: @2287283
     /* 2287283 */ GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2287403),
     /* 2287288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2287291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2287294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287306 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2287354), // Rule ID 54254 //
     /* 2287311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287314 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2287317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2287331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287353 */     // GIR_Coverage, 54254,
     /* 2287353 */     GIR_EraseRootFromParent_Done,
     /* 2287354 */   // Label 31317: @2287354
     /* 2287354 */   GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2287402), // Rule ID 54255 //
     /* 2287359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287362 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2287365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2287379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287401 */     // GIR_Coverage, 54255,
     /* 2287401 */     GIR_EraseRootFromParent_Done,
     /* 2287402 */   // Label 31318: @2287402
     /* 2287402 */   GIM_Reject,
     /* 2287403 */ // Label 31316: @2287403
     /* 2287403 */ GIM_Reject,
     /* 2287404 */ // Label 31269: @2287404
     /* 2287404 */ GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2287524),
     /* 2287409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2287412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2287415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287427 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2287475), // Rule ID 54170 //
     /* 2287432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287435 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287474 */     // GIR_Coverage, 54170,
     /* 2287474 */     GIR_EraseRootFromParent_Done,
     /* 2287475 */   // Label 31320: @2287475
     /* 2287475 */   GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2287523), // Rule ID 54171 //
     /* 2287480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287483 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287522 */     // GIR_Coverage, 54171,
     /* 2287522 */     GIR_EraseRootFromParent_Done,
     /* 2287523 */   // Label 31321: @2287523
     /* 2287523 */   GIM_Reject,
     /* 2287524 */ // Label 31319: @2287524
     /* 2287524 */ GIM_Reject,
     /* 2287525 */ // Label 31270: @2287525
     /* 2287525 */ GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2287645),
     /* 2287530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2287533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2287536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287548 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2287596), // Rule ID 54218 //
     /* 2287553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287556 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287595 */     // GIR_Coverage, 54218,
     /* 2287595 */     GIR_EraseRootFromParent_Done,
     /* 2287596 */   // Label 31323: @2287596
     /* 2287596 */   GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2287644), // Rule ID 54219 //
     /* 2287601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287604 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287643 */     // GIR_Coverage, 54219,
     /* 2287643 */     GIR_EraseRootFromParent_Done,
     /* 2287644 */   // Label 31324: @2287644
     /* 2287644 */   GIM_Reject,
     /* 2287645 */ // Label 31322: @2287645
     /* 2287645 */ GIM_Reject,
     /* 2287646 */ // Label 31271: @2287646
     /* 2287646 */ GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2287766),
     /* 2287651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2287654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2287657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287669 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2287717), // Rule ID 54266 //
     /* 2287674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287677 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287716 */     // GIR_Coverage, 54266,
     /* 2287716 */     GIR_EraseRootFromParent_Done,
     /* 2287717 */   // Label 31326: @2287717
     /* 2287717 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2287765), // Rule ID 54267 //
     /* 2287722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287725 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287764 */     // GIR_Coverage, 54267,
     /* 2287764 */     GIR_EraseRootFromParent_Done,
     /* 2287765 */   // Label 31327: @2287765
     /* 2287765 */   GIM_Reject,
     /* 2287766 */ // Label 31325: @2287766
     /* 2287766 */ GIM_Reject,
     /* 2287767 */ // Label 31272: @2287767
     /* 2287767 */ GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2287887),
     /* 2287772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2287775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287790 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2287838), // Rule ID 54182 //
     /* 2287795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287798 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287837 */     // GIR_Coverage, 54182,
     /* 2287837 */     GIR_EraseRootFromParent_Done,
     /* 2287838 */   // Label 31329: @2287838
     /* 2287838 */   GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2287886), // Rule ID 54183 //
     /* 2287843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287846 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287885 */     // GIR_Coverage, 54183,
     /* 2287885 */     GIR_EraseRootFromParent_Done,
     /* 2287886 */   // Label 31330: @2287886
     /* 2287886 */   GIM_Reject,
     /* 2287887 */ // Label 31328: @2287887
     /* 2287887 */ GIM_Reject,
     /* 2287888 */ // Label 31273: @2287888
     /* 2287888 */ GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2288008),
     /* 2287893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2287896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2287899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287911 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2287959), // Rule ID 54230 //
     /* 2287916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287919 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287958 */     // GIR_Coverage, 54230,
     /* 2287958 */     GIR_EraseRootFromParent_Done,
     /* 2287959 */   // Label 31332: @2287959
     /* 2287959 */   GIM_Try, /*On fail goto*//*Label 31333*/ GIMT_Encode4(2288007), // Rule ID 54231 //
     /* 2287964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287967 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288006 */     // GIR_Coverage, 54231,
     /* 2288006 */     GIR_EraseRootFromParent_Done,
     /* 2288007 */   // Label 31333: @2288007
     /* 2288007 */   GIM_Reject,
     /* 2288008 */ // Label 31331: @2288008
     /* 2288008 */ GIM_Reject,
     /* 2288009 */ // Label 31274: @2288009
     /* 2288009 */ GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2288129),
     /* 2288014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2288017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2288020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288032 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2288080), // Rule ID 54194 //
     /* 2288037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288040 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2288043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2288057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288079 */     // GIR_Coverage, 54194,
     /* 2288079 */     GIR_EraseRootFromParent_Done,
     /* 2288080 */   // Label 31335: @2288080
     /* 2288080 */   GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2288128), // Rule ID 54195 //
     /* 2288085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288088 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2288091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2288105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288127 */     // GIR_Coverage, 54195,
     /* 2288127 */     GIR_EraseRootFromParent_Done,
     /* 2288128 */   // Label 31336: @2288128
     /* 2288128 */   GIM_Reject,
     /* 2288129 */ // Label 31334: @2288129
     /* 2288129 */ GIM_Reject,
     /* 2288130 */ // Label 31275: @2288130
     /* 2288130 */ GIM_Reject,
     /* 2288131 */ // Label 62: @2288131
     /* 2288131 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31355*/ GIMT_Encode4(2304775),
     /* 2288142 */ /*GILLT_s16*//*Label 31337*/ GIMT_Encode4(2288262),
     /* 2288146 */ /*GILLT_s32*//*Label 31338*/ GIMT_Encode4(2289698),
     /* 2288150 */ /*GILLT_s64*//*Label 31339*/ GIMT_Encode4(2291134), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288162 */ /*GILLT_nxv1s16*//*Label 31340*/ GIMT_Encode4(2292925),
     /* 2288166 */ /*GILLT_nxv1s32*//*Label 31341*/ GIMT_Encode4(2293715),
     /* 2288170 */ /*GILLT_nxv1s64*//*Label 31342*/ GIMT_Encode4(2294505), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288182 */ /*GILLT_nxv2s16*//*Label 31343*/ GIMT_Encode4(2295295),
     /* 2288186 */ /*GILLT_nxv2s32*//*Label 31344*/ GIMT_Encode4(2296085),
     /* 2288190 */ /*GILLT_nxv2s64*//*Label 31345*/ GIMT_Encode4(2296875), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288202 */ /*GILLT_nxv4s16*//*Label 31346*/ GIMT_Encode4(2297665),
     /* 2288206 */ /*GILLT_nxv4s32*//*Label 31347*/ GIMT_Encode4(2298455),
     /* 2288210 */ /*GILLT_nxv4s64*//*Label 31348*/ GIMT_Encode4(2299245), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288222 */ /*GILLT_nxv8s16*//*Label 31349*/ GIMT_Encode4(2300035),
     /* 2288226 */ /*GILLT_nxv8s32*//*Label 31350*/ GIMT_Encode4(2300825),
     /* 2288230 */ /*GILLT_nxv8s64*//*Label 31351*/ GIMT_Encode4(2301615), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288242 */ /*GILLT_nxv16s16*//*Label 31352*/ GIMT_Encode4(2302405),
     /* 2288246 */ /*GILLT_nxv16s32*//*Label 31353*/ GIMT_Encode4(2303195), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288258 */ /*GILLT_nxv32s16*//*Label 31354*/ GIMT_Encode4(2303985),
     /* 2288262 */ // Label 31337: @2288262
     /* 2288262 */ GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2289697),
     /* 2288267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2288273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2288276 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2288348), // Rule ID 1905 //
     /* 2288281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288328 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288347 */     // GIR_Coverage, 1905,
     /* 2288347 */     GIR_EraseRootFromParent_Done,
     /* 2288348 */   // Label 31357: @2288348
     /* 2288348 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2288420), // Rule ID 1906 //
     /* 2288353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288400 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288419 */     // GIR_Coverage, 1906,
     /* 2288419 */     GIR_EraseRootFromParent_Done,
     /* 2288420 */   // Label 31358: @2288420
     /* 2288420 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2288492), // Rule ID 1938 //
     /* 2288425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288472 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288491 */     // GIR_Coverage, 1938,
     /* 2288491 */     GIR_EraseRootFromParent_Done,
     /* 2288492 */   // Label 31359: @2288492
     /* 2288492 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2288564), // Rule ID 1939 //
     /* 2288497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288544 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288563 */     // GIR_Coverage, 1939,
     /* 2288563 */     GIR_EraseRootFromParent_Done,
     /* 2288564 */   // Label 31360: @2288564
     /* 2288564 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2288636), // Rule ID 65047 //
     /* 2288569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288616 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288635 */     // GIR_Coverage, 65047,
     /* 2288635 */     GIR_EraseRootFromParent_Done,
     /* 2288636 */   // Label 31361: @2288636
     /* 2288636 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2288708), // Rule ID 65048 //
     /* 2288641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288688 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288707 */     // GIR_Coverage, 65048,
     /* 2288707 */     GIR_EraseRootFromParent_Done,
     /* 2288708 */   // Label 31362: @2288708
     /* 2288708 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2288780), // Rule ID 65055 //
     /* 2288713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288760 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288779 */     // GIR_Coverage, 65055,
     /* 2288779 */     GIR_EraseRootFromParent_Done,
     /* 2288780 */   // Label 31363: @2288780
     /* 2288780 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2288852), // Rule ID 65056 //
     /* 2288785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288825 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288832 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288851 */     // GIR_Coverage, 65056,
     /* 2288851 */     GIR_EraseRootFromParent_Done,
     /* 2288852 */   // Label 31364: @2288852
     /* 2288852 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2288909), // Rule ID 1901 //
     /* 2288857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288891 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288908 */     // GIR_Coverage, 1901,
     /* 2288908 */     GIR_EraseRootFromParent_Done,
     /* 2288909 */   // Label 31365: @2288909
     /* 2288909 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2288966), // Rule ID 1902 //
     /* 2288914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288948 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288965 */     // GIR_Coverage, 1902,
     /* 2288965 */     GIR_EraseRootFromParent_Done,
     /* 2288966 */   // Label 31366: @2288966
     /* 2288966 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2289023), // Rule ID 1934 //
     /* 2288971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289005 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289022 */     // GIR_Coverage, 1934,
     /* 2289022 */     GIR_EraseRootFromParent_Done,
     /* 2289023 */   // Label 31367: @2289023
     /* 2289023 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2289080), // Rule ID 1935 //
     /* 2289028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289062 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289079 */     // GIR_Coverage, 1935,
     /* 2289079 */     GIR_EraseRootFromParent_Done,
     /* 2289080 */   // Label 31368: @2289080
     /* 2289080 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2289137), // Rule ID 65043 //
     /* 2289085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289119 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2289122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289136 */     // GIR_Coverage, 65043,
     /* 2289136 */     GIR_EraseRootFromParent_Done,
     /* 2289137 */   // Label 31369: @2289137
     /* 2289137 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2289194), // Rule ID 65044 //
     /* 2289142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289176 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2289179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289193 */     // GIR_Coverage, 65044,
     /* 2289193 */     GIR_EraseRootFromParent_Done,
     /* 2289194 */   // Label 31370: @2289194
     /* 2289194 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2289251), // Rule ID 65051 //
     /* 2289199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289233 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289250 */     // GIR_Coverage, 65051,
     /* 2289250 */     GIR_EraseRootFromParent_Done,
     /* 2289251 */   // Label 31371: @2289251
     /* 2289251 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2289308), // Rule ID 65052 //
     /* 2289256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289290 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289307 */     // GIR_Coverage, 65052,
     /* 2289307 */     GIR_EraseRootFromParent_Done,
     /* 2289308 */   // Label 31372: @2289308
     /* 2289308 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2289365), // Rule ID 1897 //
     /* 2289313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289347 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2289350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289364 */     // GIR_Coverage, 1897,
     /* 2289364 */     GIR_EraseRootFromParent_Done,
     /* 2289365 */   // Label 31373: @2289365
     /* 2289365 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2289422), // Rule ID 1898 //
     /* 2289370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289404 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2289407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289421 */     // GIR_Coverage, 1898,
     /* 2289421 */     GIR_EraseRootFromParent_Done,
     /* 2289422 */   // Label 31374: @2289422
     /* 2289422 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2289479), // Rule ID 1930 //
     /* 2289427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289461 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289478 */     // GIR_Coverage, 1930,
     /* 2289478 */     GIR_EraseRootFromParent_Done,
     /* 2289479 */   // Label 31375: @2289479
     /* 2289479 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2289536), // Rule ID 1931 //
     /* 2289484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289518 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289535 */     // GIR_Coverage, 1931,
     /* 2289535 */     GIR_EraseRootFromParent_Done,
     /* 2289536 */   // Label 31376: @2289536
     /* 2289536 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2289576), // Rule ID 1893 //
     /* 2289541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289560 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289575 */     // GIR_Coverage, 1893,
     /* 2289575 */     GIR_EraseRootFromParent_Done,
     /* 2289576 */   // Label 31377: @2289576
     /* 2289576 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2289616), // Rule ID 1894 //
     /* 2289581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289600 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289615 */     // GIR_Coverage, 1894,
     /* 2289615 */     GIR_EraseRootFromParent_Done,
     /* 2289616 */   // Label 31378: @2289616
     /* 2289616 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2289656), // Rule ID 1926 //
     /* 2289621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289640 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289655 */     // GIR_Coverage, 1926,
     /* 2289655 */     GIR_EraseRootFromParent_Done,
     /* 2289656 */   // Label 31379: @2289656
     /* 2289656 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2289696), // Rule ID 1927 //
     /* 2289661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289680 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289695 */     // GIR_Coverage, 1927,
     /* 2289695 */     GIR_EraseRootFromParent_Done,
     /* 2289696 */   // Label 31380: @2289696
     /* 2289696 */   GIM_Reject,
     /* 2289697 */ // Label 31356: @2289697
     /* 2289697 */ GIM_Reject,
     /* 2289698 */ // Label 31338: @2289698
     /* 2289698 */ GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2291133),
     /* 2289703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2289709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2289712 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2289784), // Rule ID 1204 //
     /* 2289717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289764 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289783 */     // GIR_Coverage, 1204,
     /* 2289783 */     GIR_EraseRootFromParent_Done,
     /* 2289784 */   // Label 31382: @2289784
     /* 2289784 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2289856), // Rule ID 1205 //
     /* 2289789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289836 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289855 */     // GIR_Coverage, 1205,
     /* 2289855 */     GIR_EraseRootFromParent_Done,
     /* 2289856 */   // Label 31383: @2289856
     /* 2289856 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2289928), // Rule ID 1225 //
     /* 2289861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289908 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289927 */     // GIR_Coverage, 1225,
     /* 2289927 */     GIR_EraseRootFromParent_Done,
     /* 2289928 */   // Label 31384: @2289928
     /* 2289928 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2290000), // Rule ID 1226 //
     /* 2289933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2289936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289980 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289999 */     // GIR_Coverage, 1226,
     /* 2289999 */     GIR_EraseRootFromParent_Done,
     /* 2290000 */   // Label 31385: @2290000
     /* 2290000 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2290072), // Rule ID 65011 //
     /* 2290005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290052 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2290055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290071 */     // GIR_Coverage, 65011,
     /* 2290071 */     GIR_EraseRootFromParent_Done,
     /* 2290072 */   // Label 31386: @2290072
     /* 2290072 */   GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2290144), // Rule ID 65012 //
     /* 2290077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290124 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2290127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290143 */     // GIR_Coverage, 65012,
     /* 2290143 */     GIR_EraseRootFromParent_Done,
     /* 2290144 */   // Label 31387: @2290144
     /* 2290144 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2290216), // Rule ID 65019 //
     /* 2290149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290196 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2290199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290215 */     // GIR_Coverage, 65019,
     /* 2290215 */     GIR_EraseRootFromParent_Done,
     /* 2290216 */   // Label 31388: @2290216
     /* 2290216 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2290288), // Rule ID 65020 //
     /* 2290221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290268 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2290271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290287 */     // GIR_Coverage, 65020,
     /* 2290287 */     GIR_EraseRootFromParent_Done,
     /* 2290288 */   // Label 31389: @2290288
     /* 2290288 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2290345), // Rule ID 1200 //
     /* 2290293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290327 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290344 */     // GIR_Coverage, 1200,
     /* 2290344 */     GIR_EraseRootFromParent_Done,
     /* 2290345 */   // Label 31390: @2290345
     /* 2290345 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2290402), // Rule ID 1201 //
     /* 2290350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290384 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290401 */     // GIR_Coverage, 1201,
     /* 2290401 */     GIR_EraseRootFromParent_Done,
     /* 2290402 */   // Label 31391: @2290402
     /* 2290402 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2290459), // Rule ID 1221 //
     /* 2290407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290441 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290458 */     // GIR_Coverage, 1221,
     /* 2290458 */     GIR_EraseRootFromParent_Done,
     /* 2290459 */   // Label 31392: @2290459
     /* 2290459 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2290516), // Rule ID 1222 //
     /* 2290464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290498 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290515 */     // GIR_Coverage, 1222,
     /* 2290515 */     GIR_EraseRootFromParent_Done,
     /* 2290516 */   // Label 31393: @2290516
     /* 2290516 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2290573), // Rule ID 65007 //
     /* 2290521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290555 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290572 */     // GIR_Coverage, 65007,
     /* 2290572 */     GIR_EraseRootFromParent_Done,
     /* 2290573 */   // Label 31394: @2290573
     /* 2290573 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2290630), // Rule ID 65008 //
     /* 2290578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290612 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290629 */     // GIR_Coverage, 65008,
     /* 2290629 */     GIR_EraseRootFromParent_Done,
     /* 2290630 */   // Label 31395: @2290630
     /* 2290630 */   GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2290687), // Rule ID 65015 //
     /* 2290635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290669 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290686 */     // GIR_Coverage, 65015,
     /* 2290686 */     GIR_EraseRootFromParent_Done,
     /* 2290687 */   // Label 31396: @2290687
     /* 2290687 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2290744), // Rule ID 65016 //
     /* 2290692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290726 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290743 */     // GIR_Coverage, 65016,
     /* 2290743 */     GIR_EraseRootFromParent_Done,
     /* 2290744 */   // Label 31397: @2290744
     /* 2290744 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2290801), // Rule ID 1196 //
     /* 2290749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290783 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290800 */     // GIR_Coverage, 1196,
     /* 2290800 */     GIR_EraseRootFromParent_Done,
     /* 2290801 */   // Label 31398: @2290801
     /* 2290801 */   GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2290858), // Rule ID 1197 //
     /* 2290806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290840 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290857 */     // GIR_Coverage, 1197,
     /* 2290857 */     GIR_EraseRootFromParent_Done,
     /* 2290858 */   // Label 31399: @2290858
     /* 2290858 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2290915), // Rule ID 1217 //
     /* 2290863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290897 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290914 */     // GIR_Coverage, 1217,
     /* 2290914 */     GIR_EraseRootFromParent_Done,
     /* 2290915 */   // Label 31400: @2290915
     /* 2290915 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2290972), // Rule ID 1218 //
     /* 2290920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290954 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290971 */     // GIR_Coverage, 1218,
     /* 2290971 */     GIR_EraseRootFromParent_Done,
     /* 2290972 */   // Label 31401: @2290972
     /* 2290972 */   GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2291012), // Rule ID 1192 //
     /* 2290977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290996 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2290999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291011 */     // GIR_Coverage, 1192,
     /* 2291011 */     GIR_EraseRootFromParent_Done,
     /* 2291012 */   // Label 31402: @2291012
     /* 2291012 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2291052), // Rule ID 1193 //
     /* 2291017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2291020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291036 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2291036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2291039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291051 */     // GIR_Coverage, 1193,
     /* 2291051 */     GIR_EraseRootFromParent_Done,
     /* 2291052 */   // Label 31403: @2291052
     /* 2291052 */   GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2291092), // Rule ID 1213 //
     /* 2291057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2291060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291076 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2291076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2291079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291091 */     // GIR_Coverage, 1213,
     /* 2291091 */     GIR_EraseRootFromParent_Done,
     /* 2291092 */   // Label 31404: @2291092
     /* 2291092 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2291132), // Rule ID 1214 //
     /* 2291097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2291100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291116 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2291116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2291119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291131 */     // GIR_Coverage, 1214,
     /* 2291131 */     GIR_EraseRootFromParent_Done,
     /* 2291132 */   // Label 31405: @2291132
     /* 2291132 */   GIM_Reject,
     /* 2291133 */ // Label 31381: @2291133
     /* 2291133 */ GIM_Reject,
     /* 2291134 */ // Label 31339: @2291134
     /* 2291134 */ GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2292924),
     /* 2291139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2291145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2291148 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2291220), // Rule ID 1541 //
     /* 2291153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291193 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291200 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291219 */     // GIR_Coverage, 1541,
     /* 2291219 */     GIR_EraseRootFromParent_Done,
     /* 2291220 */   // Label 31407: @2291220
     /* 2291220 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2291292), // Rule ID 1542 //
     /* 2291225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291272 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291291 */     // GIR_Coverage, 1542,
     /* 2291291 */     GIR_EraseRootFromParent_Done,
     /* 2291292 */   // Label 31408: @2291292
     /* 2291292 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2291364), // Rule ID 1564 //
     /* 2291297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291344 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2291347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291363 */     // GIR_Coverage, 1564,
     /* 2291363 */     GIR_EraseRootFromParent_Done,
     /* 2291364 */   // Label 31409: @2291364
     /* 2291364 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2291436), // Rule ID 1596 //
     /* 2291369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291416 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291435 */     // GIR_Coverage, 1596,
     /* 2291435 */     GIR_EraseRootFromParent_Done,
     /* 2291436 */   // Label 31410: @2291436
     /* 2291436 */   GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2291508), // Rule ID 1597 //
     /* 2291441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291488 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291507 */     // GIR_Coverage, 1597,
     /* 2291507 */     GIR_EraseRootFromParent_Done,
     /* 2291508 */   // Label 31411: @2291508
     /* 2291508 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2291580), // Rule ID 65027 //
     /* 2291513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291560 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291579 */     // GIR_Coverage, 65027,
     /* 2291579 */     GIR_EraseRootFromParent_Done,
     /* 2291580 */   // Label 31412: @2291580
     /* 2291580 */   GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2291652), // Rule ID 65028 //
     /* 2291585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291632 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291651 */     // GIR_Coverage, 65028,
     /* 2291651 */     GIR_EraseRootFromParent_Done,
     /* 2291652 */   // Label 31413: @2291652
     /* 2291652 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2291724), // Rule ID 65032 //
     /* 2291657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291704 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2291707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291723 */     // GIR_Coverage, 65032,
     /* 2291723 */     GIR_EraseRootFromParent_Done,
     /* 2291724 */   // Label 31414: @2291724
     /* 2291724 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2291796), // Rule ID 65039 //
     /* 2291729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291776 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291795 */     // GIR_Coverage, 65039,
     /* 2291795 */     GIR_EraseRootFromParent_Done,
     /* 2291796 */   // Label 31415: @2291796
     /* 2291796 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2291868), // Rule ID 65040 //
     /* 2291801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291848 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291867 */     // GIR_Coverage, 65040,
     /* 2291867 */     GIR_EraseRootFromParent_Done,
     /* 2291868 */   // Label 31416: @2291868
     /* 2291868 */   GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2291925), // Rule ID 1537 //
     /* 2291873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291907 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291924 */     // GIR_Coverage, 1537,
     /* 2291924 */     GIR_EraseRootFromParent_Done,
     /* 2291925 */   // Label 31417: @2291925
     /* 2291925 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2291982), // Rule ID 1538 //
     /* 2291930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291964 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291981 */     // GIR_Coverage, 1538,
     /* 2291981 */     GIR_EraseRootFromParent_Done,
     /* 2291982 */   // Label 31418: @2291982
     /* 2291982 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2292039), // Rule ID 1562 //
     /* 2291987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292021 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2292024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292038 */     // GIR_Coverage, 1562,
     /* 2292038 */     GIR_EraseRootFromParent_Done,
     /* 2292039 */   // Label 31419: @2292039
     /* 2292039 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2292096), // Rule ID 1592 //
     /* 2292044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292078 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292095 */     // GIR_Coverage, 1592,
     /* 2292095 */     GIR_EraseRootFromParent_Done,
     /* 2292096 */   // Label 31420: @2292096
     /* 2292096 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2292153), // Rule ID 1593 //
     /* 2292101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292135 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292152 */     // GIR_Coverage, 1593,
     /* 2292152 */     GIR_EraseRootFromParent_Done,
     /* 2292153 */   // Label 31421: @2292153
     /* 2292153 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2292210), // Rule ID 65023 //
     /* 2292158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292192 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2292195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292209 */     // GIR_Coverage, 65023,
     /* 2292209 */     GIR_EraseRootFromParent_Done,
     /* 2292210 */   // Label 31422: @2292210
     /* 2292210 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2292267), // Rule ID 65024 //
     /* 2292215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292249 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2292252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292266 */     // GIR_Coverage, 65024,
     /* 2292266 */     GIR_EraseRootFromParent_Done,
     /* 2292267 */   // Label 31423: @2292267
     /* 2292267 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2292324), // Rule ID 65030 //
     /* 2292272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292306 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2292309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292323 */     // GIR_Coverage, 65030,
     /* 2292323 */     GIR_EraseRootFromParent_Done,
     /* 2292324 */   // Label 31424: @2292324
     /* 2292324 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2292381), // Rule ID 65035 //
     /* 2292329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292363 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292380 */     // GIR_Coverage, 65035,
     /* 2292380 */     GIR_EraseRootFromParent_Done,
     /* 2292381 */   // Label 31425: @2292381
     /* 2292381 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2292438), // Rule ID 65036 //
     /* 2292386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292420 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292437 */     // GIR_Coverage, 65036,
     /* 2292437 */     GIR_EraseRootFromParent_Done,
     /* 2292438 */   // Label 31426: @2292438
     /* 2292438 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2292495), // Rule ID 1533 //
     /* 2292443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292477 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292494 */     // GIR_Coverage, 1533,
     /* 2292494 */     GIR_EraseRootFromParent_Done,
     /* 2292495 */   // Label 31427: @2292495
     /* 2292495 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2292552), // Rule ID 1534 //
     /* 2292500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292534 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292551 */     // GIR_Coverage, 1534,
     /* 2292551 */     GIR_EraseRootFromParent_Done,
     /* 2292552 */   // Label 31428: @2292552
     /* 2292552 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2292609), // Rule ID 1560 //
     /* 2292557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292591 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2292594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292608 */     // GIR_Coverage, 1560,
     /* 2292608 */     GIR_EraseRootFromParent_Done,
     /* 2292609 */   // Label 31429: @2292609
     /* 2292609 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2292666), // Rule ID 1588 //
     /* 2292614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292648 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292665 */     // GIR_Coverage, 1588,
     /* 2292665 */     GIR_EraseRootFromParent_Done,
     /* 2292666 */   // Label 31430: @2292666
     /* 2292666 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2292723), // Rule ID 1589 //
     /* 2292671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292705 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292722 */     // GIR_Coverage, 1589,
     /* 2292722 */     GIR_EraseRootFromParent_Done,
     /* 2292723 */   // Label 31431: @2292723
     /* 2292723 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2292763), // Rule ID 1529 //
     /* 2292728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292747 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292762 */     // GIR_Coverage, 1529,
     /* 2292762 */     GIR_EraseRootFromParent_Done,
     /* 2292763 */   // Label 31432: @2292763
     /* 2292763 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2292803), // Rule ID 1530 //
     /* 2292768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292787 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292802 */     // GIR_Coverage, 1530,
     /* 2292802 */     GIR_EraseRootFromParent_Done,
     /* 2292803 */   // Label 31433: @2292803
     /* 2292803 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2292843), // Rule ID 1558 //
     /* 2292808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292827 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2292830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292842 */     // GIR_Coverage, 1558,
     /* 2292842 */     GIR_EraseRootFromParent_Done,
     /* 2292843 */   // Label 31434: @2292843
     /* 2292843 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2292883), // Rule ID 1584 //
     /* 2292848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292867 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292882 */     // GIR_Coverage, 1584,
     /* 2292882 */     GIR_EraseRootFromParent_Done,
     /* 2292883 */   // Label 31435: @2292883
     /* 2292883 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2292923), // Rule ID 1585 //
     /* 2292888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292907 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292922 */     // GIR_Coverage, 1585,
     /* 2292922 */     GIR_EraseRootFromParent_Done,
     /* 2292923 */   // Label 31436: @2292923
     /* 2292923 */   GIM_Reject,
     /* 2292924 */ // Label 31406: @2292924
     /* 2292924 */ GIM_Reject,
     /* 2292925 */ // Label 31340: @2292925
     /* 2292925 */ GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2293714),
     /* 2292930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2292936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2292939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292943 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2293020), // Rule ID 54712 //
     /* 2292948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292984 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292991 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293019 */     // GIR_Coverage, 54712,
     /* 2293019 */     GIR_EraseRootFromParent_Done,
     /* 2293020 */   // Label 31438: @2293020
     /* 2293020 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2293097), // Rule ID 54713 //
     /* 2293025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293068 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2293071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293096 */     // GIR_Coverage, 54713,
     /* 2293096 */     GIR_EraseRootFromParent_Done,
     /* 2293097 */   // Label 31439: @2293097
     /* 2293097 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2293174), // Rule ID 72001 //
     /* 2293102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293145 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2293148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293173 */     // GIR_Coverage, 72001,
     /* 2293173 */     GIR_EraseRootFromParent_Done,
     /* 2293174 */   // Label 31440: @2293174
     /* 2293174 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2293251), // Rule ID 72002 //
     /* 2293179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293222 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2293225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293250 */     // GIR_Coverage, 72002,
     /* 2293250 */     GIR_EraseRootFromParent_Done,
     /* 2293251 */   // Label 31441: @2293251
     /* 2293251 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2293313), // Rule ID 54716 //
     /* 2293256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293286 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293312 */     // GIR_Coverage, 54716,
     /* 2293312 */     GIR_EraseRootFromParent_Done,
     /* 2293313 */   // Label 31442: @2293313
     /* 2293313 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2293375), // Rule ID 54717 //
     /* 2293318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293348 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293374 */     // GIR_Coverage, 54717,
     /* 2293374 */     GIR_EraseRootFromParent_Done,
     /* 2293375 */   // Label 31443: @2293375
     /* 2293375 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2293437), // Rule ID 72005 //
     /* 2293380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293410 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293436 */     // GIR_Coverage, 72005,
     /* 2293436 */     GIR_EraseRootFromParent_Done,
     /* 2293437 */   // Label 31444: @2293437
     /* 2293437 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2293499), // Rule ID 72006 //
     /* 2293442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293472 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293498 */     // GIR_Coverage, 72006,
     /* 2293498 */     GIR_EraseRootFromParent_Done,
     /* 2293499 */   // Label 31445: @2293499
     /* 2293499 */   GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2293561), // Rule ID 54708 //
     /* 2293504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293534 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293560 */     // GIR_Coverage, 54708,
     /* 2293560 */     GIR_EraseRootFromParent_Done,
     /* 2293561 */   // Label 31446: @2293561
     /* 2293561 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2293623), // Rule ID 54709 //
     /* 2293566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293596 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293622 */     // GIR_Coverage, 54709,
     /* 2293622 */     GIR_EraseRootFromParent_Done,
     /* 2293623 */   // Label 31447: @2293623
     /* 2293623 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2293668), // Rule ID 54704 //
     /* 2293628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293643 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293667 */     // GIR_Coverage, 54704,
     /* 2293667 */     GIR_EraseRootFromParent_Done,
     /* 2293668 */   // Label 31448: @2293668
     /* 2293668 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2293713), // Rule ID 54705 //
     /* 2293673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293688 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293712 */     // GIR_Coverage, 54705,
     /* 2293712 */     GIR_EraseRootFromParent_Done,
     /* 2293713 */   // Label 31449: @2293713
     /* 2293713 */   GIM_Reject,
     /* 2293714 */ // Label 31437: @2293714
     /* 2293714 */ GIM_Reject,
     /* 2293715 */ // Label 31341: @2293715
     /* 2293715 */ GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2294504),
     /* 2293720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2293726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2293729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293733 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2293810), // Rule ID 54840 //
     /* 2293738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293781 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293809 */     // GIR_Coverage, 54840,
     /* 2293809 */     GIR_EraseRootFromParent_Done,
     /* 2293810 */   // Label 31451: @2293810
     /* 2293810 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2293887), // Rule ID 54841 //
     /* 2293815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293858 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293886 */     // GIR_Coverage, 54841,
     /* 2293886 */     GIR_EraseRootFromParent_Done,
     /* 2293887 */   // Label 31452: @2293887
     /* 2293887 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2293964), // Rule ID 72113 //
     /* 2293892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293935 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293963 */     // GIR_Coverage, 72113,
     /* 2293963 */     GIR_EraseRootFromParent_Done,
     /* 2293964 */   // Label 31453: @2293964
     /* 2293964 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2294041), // Rule ID 72114 //
     /* 2293969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294012 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2294015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294040 */     // GIR_Coverage, 72114,
     /* 2294040 */     GIR_EraseRootFromParent_Done,
     /* 2294041 */   // Label 31454: @2294041
     /* 2294041 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2294103), // Rule ID 54844 //
     /* 2294046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294076 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294102 */     // GIR_Coverage, 54844,
     /* 2294102 */     GIR_EraseRootFromParent_Done,
     /* 2294103 */   // Label 31455: @2294103
     /* 2294103 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2294165), // Rule ID 54845 //
     /* 2294108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294138 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294164 */     // GIR_Coverage, 54845,
     /* 2294164 */     GIR_EraseRootFromParent_Done,
     /* 2294165 */   // Label 31456: @2294165
     /* 2294165 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2294227), // Rule ID 72117 //
     /* 2294170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294200 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294226 */     // GIR_Coverage, 72117,
     /* 2294226 */     GIR_EraseRootFromParent_Done,
     /* 2294227 */   // Label 31457: @2294227
     /* 2294227 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2294289), // Rule ID 72118 //
     /* 2294232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294262 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294288 */     // GIR_Coverage, 72118,
     /* 2294288 */     GIR_EraseRootFromParent_Done,
     /* 2294289 */   // Label 31458: @2294289
     /* 2294289 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2294351), // Rule ID 54836 //
     /* 2294294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294324 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2294327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294350 */     // GIR_Coverage, 54836,
     /* 2294350 */     GIR_EraseRootFromParent_Done,
     /* 2294351 */   // Label 31459: @2294351
     /* 2294351 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2294413), // Rule ID 54837 //
     /* 2294356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294386 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2294389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294412 */     // GIR_Coverage, 54837,
     /* 2294412 */     GIR_EraseRootFromParent_Done,
     /* 2294413 */   // Label 31460: @2294413
     /* 2294413 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2294458), // Rule ID 54832 //
     /* 2294418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294433 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2294436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294457 */     // GIR_Coverage, 54832,
     /* 2294457 */     GIR_EraseRootFromParent_Done,
     /* 2294458 */   // Label 31461: @2294458
     /* 2294458 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2294503), // Rule ID 54833 //
     /* 2294463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294478 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2294481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294502 */     // GIR_Coverage, 54833,
     /* 2294502 */     GIR_EraseRootFromParent_Done,
     /* 2294503 */   // Label 31462: @2294503
     /* 2294503 */   GIM_Reject,
     /* 2294504 */ // Label 31450: @2294504
     /* 2294504 */ GIM_Reject,
     /* 2294505 */ // Label 31342: @2294505
     /* 2294505 */ GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2295294),
     /* 2294510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2294516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2294519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294523 */   GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2294600), // Rule ID 55032 //
     /* 2294528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294571 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294599 */     // GIR_Coverage, 55032,
     /* 2294599 */     GIR_EraseRootFromParent_Done,
     /* 2294600 */   // Label 31464: @2294600
     /* 2294600 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2294677), // Rule ID 55033 //
     /* 2294605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294648 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294676 */     // GIR_Coverage, 55033,
     /* 2294676 */     GIR_EraseRootFromParent_Done,
     /* 2294677 */   // Label 31465: @2294677
     /* 2294677 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2294754), // Rule ID 72281 //
     /* 2294682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294725 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294753 */     // GIR_Coverage, 72281,
     /* 2294753 */     GIR_EraseRootFromParent_Done,
     /* 2294754 */   // Label 31466: @2294754
     /* 2294754 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2294831), // Rule ID 72282 //
     /* 2294759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294802 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294830 */     // GIR_Coverage, 72282,
     /* 2294830 */     GIR_EraseRootFromParent_Done,
     /* 2294831 */   // Label 31467: @2294831
     /* 2294831 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2294893), // Rule ID 55036 //
     /* 2294836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294866 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294892 */     // GIR_Coverage, 55036,
     /* 2294892 */     GIR_EraseRootFromParent_Done,
     /* 2294893 */   // Label 31468: @2294893
     /* 2294893 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2294955), // Rule ID 55037 //
     /* 2294898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294928 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294954 */     // GIR_Coverage, 55037,
     /* 2294954 */     GIR_EraseRootFromParent_Done,
     /* 2294955 */   // Label 31469: @2294955
     /* 2294955 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2295017), // Rule ID 72285 //
     /* 2294960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294990 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295016 */     // GIR_Coverage, 72285,
     /* 2295016 */     GIR_EraseRootFromParent_Done,
     /* 2295017 */   // Label 31470: @2295017
     /* 2295017 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2295079), // Rule ID 72286 //
     /* 2295022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295052 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2295055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295078 */     // GIR_Coverage, 72286,
     /* 2295078 */     GIR_EraseRootFromParent_Done,
     /* 2295079 */   // Label 31471: @2295079
     /* 2295079 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2295141), // Rule ID 55028 //
     /* 2295084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295114 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2295117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295140 */     // GIR_Coverage, 55028,
     /* 2295140 */     GIR_EraseRootFromParent_Done,
     /* 2295141 */   // Label 31472: @2295141
     /* 2295141 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2295203), // Rule ID 55029 //
     /* 2295146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295176 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2295179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295202 */     // GIR_Coverage, 55029,
     /* 2295202 */     GIR_EraseRootFromParent_Done,
     /* 2295203 */   // Label 31473: @2295203
     /* 2295203 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2295248), // Rule ID 55024 //
     /* 2295208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295223 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2295226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295247 */     // GIR_Coverage, 55024,
     /* 2295247 */     GIR_EraseRootFromParent_Done,
     /* 2295248 */   // Label 31474: @2295248
     /* 2295248 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2295293), // Rule ID 55025 //
     /* 2295253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295268 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2295271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295292 */     // GIR_Coverage, 55025,
     /* 2295292 */     GIR_EraseRootFromParent_Done,
     /* 2295293 */   // Label 31475: @2295293
     /* 2295293 */   GIM_Reject,
     /* 2295294 */ // Label 31463: @2295294
     /* 2295294 */ GIM_Reject,
     /* 2295295 */ // Label 31343: @2295295
     /* 2295295 */ GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2296084),
     /* 2295300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2295306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2295309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295313 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2295390), // Rule ID 54776 //
     /* 2295318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295361 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295389 */     // GIR_Coverage, 54776,
     /* 2295389 */     GIR_EraseRootFromParent_Done,
     /* 2295390 */   // Label 31477: @2295390
     /* 2295390 */   GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2295467), // Rule ID 54777 //
     /* 2295395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295431 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295438 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295466 */     // GIR_Coverage, 54777,
     /* 2295466 */     GIR_EraseRootFromParent_Done,
     /* 2295467 */   // Label 31478: @2295467
     /* 2295467 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2295544), // Rule ID 72057 //
     /* 2295472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295515 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295543 */     // GIR_Coverage, 72057,
     /* 2295543 */     GIR_EraseRootFromParent_Done,
     /* 2295544 */   // Label 31479: @2295544
     /* 2295544 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2295621), // Rule ID 72058 //
     /* 2295549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295592 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295620 */     // GIR_Coverage, 72058,
     /* 2295620 */     GIR_EraseRootFromParent_Done,
     /* 2295621 */   // Label 31480: @2295621
     /* 2295621 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2295683), // Rule ID 54780 //
     /* 2295626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295656 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295682 */     // GIR_Coverage, 54780,
     /* 2295682 */     GIR_EraseRootFromParent_Done,
     /* 2295683 */   // Label 31481: @2295683
     /* 2295683 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2295745), // Rule ID 54781 //
     /* 2295688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295718 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295744 */     // GIR_Coverage, 54781,
     /* 2295744 */     GIR_EraseRootFromParent_Done,
     /* 2295745 */   // Label 31482: @2295745
     /* 2295745 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2295807), // Rule ID 72061 //
     /* 2295750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295780 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295806 */     // GIR_Coverage, 72061,
     /* 2295806 */     GIR_EraseRootFromParent_Done,
     /* 2295807 */   // Label 31483: @2295807
     /* 2295807 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2295869), // Rule ID 72062 //
     /* 2295812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295842 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295868 */     // GIR_Coverage, 72062,
     /* 2295868 */     GIR_EraseRootFromParent_Done,
     /* 2295869 */   // Label 31484: @2295869
     /* 2295869 */   GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2295931), // Rule ID 54772 //
     /* 2295874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295904 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295930 */     // GIR_Coverage, 54772,
     /* 2295930 */     GIR_EraseRootFromParent_Done,
     /* 2295931 */   // Label 31485: @2295931
     /* 2295931 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2295993), // Rule ID 54773 //
     /* 2295936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295966 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295992 */     // GIR_Coverage, 54773,
     /* 2295992 */     GIR_EraseRootFromParent_Done,
     /* 2295993 */   // Label 31486: @2295993
     /* 2295993 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2296038), // Rule ID 54768 //
     /* 2295998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296013 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2296016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296037 */     // GIR_Coverage, 54768,
     /* 2296037 */     GIR_EraseRootFromParent_Done,
     /* 2296038 */   // Label 31487: @2296038
     /* 2296038 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2296083), // Rule ID 54769 //
     /* 2296043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296058 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2296061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296082 */     // GIR_Coverage, 54769,
     /* 2296082 */     GIR_EraseRootFromParent_Done,
     /* 2296083 */   // Label 31488: @2296083
     /* 2296083 */   GIM_Reject,
     /* 2296084 */ // Label 31476: @2296084
     /* 2296084 */ GIM_Reject,
     /* 2296085 */ // Label 31344: @2296085
     /* 2296085 */ GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2296874),
     /* 2296090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2296096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2296099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296103 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2296180), // Rule ID 54968 //
     /* 2296108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296151 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296179 */     // GIR_Coverage, 54968,
     /* 2296179 */     GIR_EraseRootFromParent_Done,
     /* 2296180 */   // Label 31490: @2296180
     /* 2296180 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2296257), // Rule ID 54969 //
     /* 2296185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296228 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296256 */     // GIR_Coverage, 54969,
     /* 2296256 */     GIR_EraseRootFromParent_Done,
     /* 2296257 */   // Label 31491: @2296257
     /* 2296257 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2296334), // Rule ID 72225 //
     /* 2296262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296298 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296305 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296333 */     // GIR_Coverage, 72225,
     /* 2296333 */     GIR_EraseRootFromParent_Done,
     /* 2296334 */   // Label 31492: @2296334
     /* 2296334 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2296411), // Rule ID 72226 //
     /* 2296339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296382 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296410 */     // GIR_Coverage, 72226,
     /* 2296410 */     GIR_EraseRootFromParent_Done,
     /* 2296411 */   // Label 31493: @2296411
     /* 2296411 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2296473), // Rule ID 54972 //
     /* 2296416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296446 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296472 */     // GIR_Coverage, 54972,
     /* 2296472 */     GIR_EraseRootFromParent_Done,
     /* 2296473 */   // Label 31494: @2296473
     /* 2296473 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2296535), // Rule ID 54973 //
     /* 2296478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296508 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296534 */     // GIR_Coverage, 54973,
     /* 2296534 */     GIR_EraseRootFromParent_Done,
     /* 2296535 */   // Label 31495: @2296535
     /* 2296535 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2296597), // Rule ID 72229 //
     /* 2296540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296570 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296596 */     // GIR_Coverage, 72229,
     /* 2296596 */     GIR_EraseRootFromParent_Done,
     /* 2296597 */   // Label 31496: @2296597
     /* 2296597 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2296659), // Rule ID 72230 //
     /* 2296602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296632 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296658 */     // GIR_Coverage, 72230,
     /* 2296658 */     GIR_EraseRootFromParent_Done,
     /* 2296659 */   // Label 31497: @2296659
     /* 2296659 */   GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2296721), // Rule ID 54964 //
     /* 2296664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296694 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296720 */     // GIR_Coverage, 54964,
     /* 2296720 */     GIR_EraseRootFromParent_Done,
     /* 2296721 */   // Label 31498: @2296721
     /* 2296721 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2296783), // Rule ID 54965 //
     /* 2296726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296756 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296782 */     // GIR_Coverage, 54965,
     /* 2296782 */     GIR_EraseRootFromParent_Done,
     /* 2296783 */   // Label 31499: @2296783
     /* 2296783 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2296828), // Rule ID 54960 //
     /* 2296788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296803 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296827 */     // GIR_Coverage, 54960,
     /* 2296827 */     GIR_EraseRootFromParent_Done,
     /* 2296828 */   // Label 31500: @2296828
     /* 2296828 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2296873), // Rule ID 54961 //
     /* 2296833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296848 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296872 */     // GIR_Coverage, 54961,
     /* 2296872 */     GIR_EraseRootFromParent_Done,
     /* 2296873 */   // Label 31501: @2296873
     /* 2296873 */   GIM_Reject,
     /* 2296874 */ // Label 31489: @2296874
     /* 2296874 */ GIM_Reject,
     /* 2296875 */ // Label 31345: @2296875
     /* 2296875 */ GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2297664),
     /* 2296880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2296886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2296889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296893 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2296970), // Rule ID 55480 //
     /* 2296898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296941 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296969 */     // GIR_Coverage, 55480,
     /* 2296969 */     GIR_EraseRootFromParent_Done,
     /* 2296970 */   // Label 31503: @2296970
     /* 2296970 */   GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2297047), // Rule ID 55481 //
     /* 2296975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297018 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2297021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297046 */     // GIR_Coverage, 55481,
     /* 2297046 */     GIR_EraseRootFromParent_Done,
     /* 2297047 */   // Label 31504: @2297047
     /* 2297047 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2297124), // Rule ID 72673 //
     /* 2297052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297095 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2297098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297123 */     // GIR_Coverage, 72673,
     /* 2297123 */     GIR_EraseRootFromParent_Done,
     /* 2297124 */   // Label 31505: @2297124
     /* 2297124 */   GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2297201), // Rule ID 72674 //
     /* 2297129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297165 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297172 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2297175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297200 */     // GIR_Coverage, 72674,
     /* 2297200 */     GIR_EraseRootFromParent_Done,
     /* 2297201 */   // Label 31506: @2297201
     /* 2297201 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2297263), // Rule ID 55484 //
     /* 2297206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297236 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297262 */     // GIR_Coverage, 55484,
     /* 2297262 */     GIR_EraseRootFromParent_Done,
     /* 2297263 */   // Label 31507: @2297263
     /* 2297263 */   GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2297325), // Rule ID 55485 //
     /* 2297268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297298 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297324 */     // GIR_Coverage, 55485,
     /* 2297324 */     GIR_EraseRootFromParent_Done,
     /* 2297325 */   // Label 31508: @2297325
     /* 2297325 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2297387), // Rule ID 72677 //
     /* 2297330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297360 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297386 */     // GIR_Coverage, 72677,
     /* 2297386 */     GIR_EraseRootFromParent_Done,
     /* 2297387 */   // Label 31509: @2297387
     /* 2297387 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2297449), // Rule ID 72678 //
     /* 2297392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297422 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297448 */     // GIR_Coverage, 72678,
     /* 2297448 */     GIR_EraseRootFromParent_Done,
     /* 2297449 */   // Label 31510: @2297449
     /* 2297449 */   GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2297511), // Rule ID 55476 //
     /* 2297454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297484 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297510 */     // GIR_Coverage, 55476,
     /* 2297510 */     GIR_EraseRootFromParent_Done,
     /* 2297511 */   // Label 31511: @2297511
     /* 2297511 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2297573), // Rule ID 55477 //
     /* 2297516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297546 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297572 */     // GIR_Coverage, 55477,
     /* 2297572 */     GIR_EraseRootFromParent_Done,
     /* 2297573 */   // Label 31512: @2297573
     /* 2297573 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2297618), // Rule ID 55472 //
     /* 2297578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297593 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297617 */     // GIR_Coverage, 55472,
     /* 2297617 */     GIR_EraseRootFromParent_Done,
     /* 2297618 */   // Label 31513: @2297618
     /* 2297618 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2297663), // Rule ID 55473 //
     /* 2297623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297638 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297662 */     // GIR_Coverage, 55473,
     /* 2297662 */     GIR_EraseRootFromParent_Done,
     /* 2297663 */   // Label 31514: @2297663
     /* 2297663 */   GIM_Reject,
     /* 2297664 */ // Label 31502: @2297664
     /* 2297664 */ GIM_Reject,
     /* 2297665 */ // Label 31346: @2297665
     /* 2297665 */ GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2298454),
     /* 2297670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2297676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2297679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297683 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2297760), // Rule ID 54904 //
     /* 2297688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297731 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297759 */     // GIR_Coverage, 54904,
     /* 2297759 */     GIR_EraseRootFromParent_Done,
     /* 2297760 */   // Label 31516: @2297760
     /* 2297760 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2297837), // Rule ID 54905 //
     /* 2297765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297808 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297836 */     // GIR_Coverage, 54905,
     /* 2297836 */     GIR_EraseRootFromParent_Done,
     /* 2297837 */   // Label 31517: @2297837
     /* 2297837 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2297914), // Rule ID 72169 //
     /* 2297842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297885 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297913 */     // GIR_Coverage, 72169,
     /* 2297913 */     GIR_EraseRootFromParent_Done,
     /* 2297914 */   // Label 31518: @2297914
     /* 2297914 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2297991), // Rule ID 72170 //
     /* 2297919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297962 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297990 */     // GIR_Coverage, 72170,
     /* 2297990 */     GIR_EraseRootFromParent_Done,
     /* 2297991 */   // Label 31519: @2297991
     /* 2297991 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2298053), // Rule ID 54908 //
     /* 2297996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298026 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298052 */     // GIR_Coverage, 54908,
     /* 2298052 */     GIR_EraseRootFromParent_Done,
     /* 2298053 */   // Label 31520: @2298053
     /* 2298053 */   GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2298115), // Rule ID 54909 //
     /* 2298058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298088 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298114 */     // GIR_Coverage, 54909,
     /* 2298114 */     GIR_EraseRootFromParent_Done,
     /* 2298115 */   // Label 31521: @2298115
     /* 2298115 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2298177), // Rule ID 72173 //
     /* 2298120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298150 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298176 */     // GIR_Coverage, 72173,
     /* 2298176 */     GIR_EraseRootFromParent_Done,
     /* 2298177 */   // Label 31522: @2298177
     /* 2298177 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2298239), // Rule ID 72174 //
     /* 2298182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298212 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298238 */     // GIR_Coverage, 72174,
     /* 2298238 */     GIR_EraseRootFromParent_Done,
     /* 2298239 */   // Label 31523: @2298239
     /* 2298239 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2298301), // Rule ID 54900 //
     /* 2298244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298274 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2298277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298300 */     // GIR_Coverage, 54900,
     /* 2298300 */     GIR_EraseRootFromParent_Done,
     /* 2298301 */   // Label 31524: @2298301
     /* 2298301 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2298363), // Rule ID 54901 //
     /* 2298306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298336 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2298339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298362 */     // GIR_Coverage, 54901,
     /* 2298362 */     GIR_EraseRootFromParent_Done,
     /* 2298363 */   // Label 31525: @2298363
     /* 2298363 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2298408), // Rule ID 54896 //
     /* 2298368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298383 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2298386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298407 */     // GIR_Coverage, 54896,
     /* 2298407 */     GIR_EraseRootFromParent_Done,
     /* 2298408 */   // Label 31526: @2298408
     /* 2298408 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2298453), // Rule ID 54897 //
     /* 2298413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298428 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2298431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298452 */     // GIR_Coverage, 54897,
     /* 2298452 */     GIR_EraseRootFromParent_Done,
     /* 2298453 */   // Label 31527: @2298453
     /* 2298453 */   GIM_Reject,
     /* 2298454 */ // Label 31515: @2298454
     /* 2298454 */ GIM_Reject,
     /* 2298455 */ // Label 31347: @2298455
     /* 2298455 */ GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2299244),
     /* 2298460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2298466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2298469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298473 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2298550), // Rule ID 55288 //
     /* 2298478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298521 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298549 */     // GIR_Coverage, 55288,
     /* 2298549 */     GIR_EraseRootFromParent_Done,
     /* 2298550 */   // Label 31529: @2298550
     /* 2298550 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2298627), // Rule ID 55289 //
     /* 2298555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298591 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298598 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298626 */     // GIR_Coverage, 55289,
     /* 2298626 */     GIR_EraseRootFromParent_Done,
     /* 2298627 */   // Label 31530: @2298627
     /* 2298627 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2298704), // Rule ID 72505 //
     /* 2298632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298675 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298703 */     // GIR_Coverage, 72505,
     /* 2298703 */     GIR_EraseRootFromParent_Done,
     /* 2298704 */   // Label 31531: @2298704
     /* 2298704 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2298781), // Rule ID 72506 //
     /* 2298709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298752 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298780 */     // GIR_Coverage, 72506,
     /* 2298780 */     GIR_EraseRootFromParent_Done,
     /* 2298781 */   // Label 31532: @2298781
     /* 2298781 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2298843), // Rule ID 55292 //
     /* 2298786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298816 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298842 */     // GIR_Coverage, 55292,
     /* 2298842 */     GIR_EraseRootFromParent_Done,
     /* 2298843 */   // Label 31533: @2298843
     /* 2298843 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2298905), // Rule ID 55293 //
     /* 2298848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298878 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298904 */     // GIR_Coverage, 55293,
     /* 2298904 */     GIR_EraseRootFromParent_Done,
     /* 2298905 */   // Label 31534: @2298905
     /* 2298905 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2298967), // Rule ID 72509 //
     /* 2298910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298940 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298966 */     // GIR_Coverage, 72509,
     /* 2298966 */     GIR_EraseRootFromParent_Done,
     /* 2298967 */   // Label 31535: @2298967
     /* 2298967 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2299029), // Rule ID 72510 //
     /* 2298972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299002 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2299005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299028 */     // GIR_Coverage, 72510,
     /* 2299028 */     GIR_EraseRootFromParent_Done,
     /* 2299029 */   // Label 31536: @2299029
     /* 2299029 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2299091), // Rule ID 55284 //
     /* 2299034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2299057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299064 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2299067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299090 */     // GIR_Coverage, 55284,
     /* 2299090 */     GIR_EraseRootFromParent_Done,
     /* 2299091 */   // Label 31537: @2299091
     /* 2299091 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2299153), // Rule ID 55285 //
     /* 2299096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2299119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299126 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2299129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299152 */     // GIR_Coverage, 55285,
     /* 2299152 */     GIR_EraseRootFromParent_Done,
     /* 2299153 */   // Label 31538: @2299153
     /* 2299153 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2299198), // Rule ID 55280 //
     /* 2299158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299173 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2299176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299197 */     // GIR_Coverage, 55280,
     /* 2299197 */     GIR_EraseRootFromParent_Done,
     /* 2299198 */   // Label 31539: @2299198
     /* 2299198 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2299243), // Rule ID 55281 //
     /* 2299203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299218 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2299221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299242 */     // GIR_Coverage, 55281,
     /* 2299242 */     GIR_EraseRootFromParent_Done,
     /* 2299243 */   // Label 31540: @2299243
     /* 2299243 */   GIM_Reject,
     /* 2299244 */ // Label 31528: @2299244
     /* 2299244 */ GIM_Reject,
     /* 2299245 */ // Label 31348: @2299245
     /* 2299245 */ GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2300034),
     /* 2299250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2299256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2299259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299263 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2299340), // Rule ID 55544 //
     /* 2299268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299311 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299339 */     // GIR_Coverage, 55544,
     /* 2299339 */     GIR_EraseRootFromParent_Done,
     /* 2299340 */   // Label 31542: @2299340
     /* 2299340 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2299417), // Rule ID 55545 //
     /* 2299345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299388 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299416 */     // GIR_Coverage, 55545,
     /* 2299416 */     GIR_EraseRootFromParent_Done,
     /* 2299417 */   // Label 31543: @2299417
     /* 2299417 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2299494), // Rule ID 72729 //
     /* 2299422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299465 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299493 */     // GIR_Coverage, 72729,
     /* 2299493 */     GIR_EraseRootFromParent_Done,
     /* 2299494 */   // Label 31544: @2299494
     /* 2299494 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2299571), // Rule ID 72730 //
     /* 2299499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299542 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299570 */     // GIR_Coverage, 72730,
     /* 2299570 */     GIR_EraseRootFromParent_Done,
     /* 2299571 */   // Label 31545: @2299571
     /* 2299571 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2299633), // Rule ID 55548 //
     /* 2299576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299606 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299632 */     // GIR_Coverage, 55548,
     /* 2299632 */     GIR_EraseRootFromParent_Done,
     /* 2299633 */   // Label 31546: @2299633
     /* 2299633 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2299695), // Rule ID 55549 //
     /* 2299638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299668 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299694 */     // GIR_Coverage, 55549,
     /* 2299694 */     GIR_EraseRootFromParent_Done,
     /* 2299695 */   // Label 31547: @2299695
     /* 2299695 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2299757), // Rule ID 72733 //
     /* 2299700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299730 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299756 */     // GIR_Coverage, 72733,
     /* 2299756 */     GIR_EraseRootFromParent_Done,
     /* 2299757 */   // Label 31548: @2299757
     /* 2299757 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2299819), // Rule ID 72734 //
     /* 2299762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299792 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299818 */     // GIR_Coverage, 72734,
     /* 2299818 */     GIR_EraseRootFromParent_Done,
     /* 2299819 */   // Label 31549: @2299819
     /* 2299819 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2299881), // Rule ID 55540 //
     /* 2299824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299854 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299880 */     // GIR_Coverage, 55540,
     /* 2299880 */     GIR_EraseRootFromParent_Done,
     /* 2299881 */   // Label 31550: @2299881
     /* 2299881 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2299943), // Rule ID 55541 //
     /* 2299886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299916 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299942 */     // GIR_Coverage, 55541,
     /* 2299942 */     GIR_EraseRootFromParent_Done,
     /* 2299943 */   // Label 31551: @2299943
     /* 2299943 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2299988), // Rule ID 55536 //
     /* 2299948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299963 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2299966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299987 */     // GIR_Coverage, 55536,
     /* 2299987 */     GIR_EraseRootFromParent_Done,
     /* 2299988 */   // Label 31552: @2299988
     /* 2299988 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2300033), // Rule ID 55537 //
     /* 2299993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300008 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2300011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300032 */     // GIR_Coverage, 55537,
     /* 2300032 */     GIR_EraseRootFromParent_Done,
     /* 2300033 */   // Label 31553: @2300033
     /* 2300033 */   GIM_Reject,
     /* 2300034 */ // Label 31541: @2300034
     /* 2300034 */ GIM_Reject,
     /* 2300035 */ // Label 31349: @2300035
     /* 2300035 */ GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2300824),
     /* 2300040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2300046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2300049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300053 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2300130), // Rule ID 55096 //
     /* 2300058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300101 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300129 */     // GIR_Coverage, 55096,
     /* 2300129 */     GIR_EraseRootFromParent_Done,
     /* 2300130 */   // Label 31555: @2300130
     /* 2300130 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2300207), // Rule ID 55097 //
     /* 2300135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300178 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300206 */     // GIR_Coverage, 55097,
     /* 2300206 */     GIR_EraseRootFromParent_Done,
     /* 2300207 */   // Label 31556: @2300207
     /* 2300207 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2300284), // Rule ID 72337 //
     /* 2300212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300255 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300283 */     // GIR_Coverage, 72337,
     /* 2300283 */     GIR_EraseRootFromParent_Done,
     /* 2300284 */   // Label 31557: @2300284
     /* 2300284 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2300361), // Rule ID 72338 //
     /* 2300289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300332 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300360 */     // GIR_Coverage, 72338,
     /* 2300360 */     GIR_EraseRootFromParent_Done,
     /* 2300361 */   // Label 31558: @2300361
     /* 2300361 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2300423), // Rule ID 55100 //
     /* 2300366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300396 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300422 */     // GIR_Coverage, 55100,
     /* 2300422 */     GIR_EraseRootFromParent_Done,
     /* 2300423 */   // Label 31559: @2300423
     /* 2300423 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2300485), // Rule ID 55101 //
     /* 2300428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300458 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300484 */     // GIR_Coverage, 55101,
     /* 2300484 */     GIR_EraseRootFromParent_Done,
     /* 2300485 */   // Label 31560: @2300485
     /* 2300485 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2300547), // Rule ID 72341 //
     /* 2300490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300520 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300546 */     // GIR_Coverage, 72341,
     /* 2300546 */     GIR_EraseRootFromParent_Done,
     /* 2300547 */   // Label 31561: @2300547
     /* 2300547 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2300609), // Rule ID 72342 //
     /* 2300552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300582 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300608 */     // GIR_Coverage, 72342,
     /* 2300608 */     GIR_EraseRootFromParent_Done,
     /* 2300609 */   // Label 31562: @2300609
     /* 2300609 */   GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2300671), // Rule ID 55092 //
     /* 2300614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300644 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300670 */     // GIR_Coverage, 55092,
     /* 2300670 */     GIR_EraseRootFromParent_Done,
     /* 2300671 */   // Label 31563: @2300671
     /* 2300671 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2300733), // Rule ID 55093 //
     /* 2300676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300706 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300732 */     // GIR_Coverage, 55093,
     /* 2300732 */     GIR_EraseRootFromParent_Done,
     /* 2300733 */   // Label 31564: @2300733
     /* 2300733 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2300778), // Rule ID 55088 //
     /* 2300738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300753 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300777 */     // GIR_Coverage, 55088,
     /* 2300777 */     GIR_EraseRootFromParent_Done,
     /* 2300778 */   // Label 31565: @2300778
     /* 2300778 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2300823), // Rule ID 55089 //
     /* 2300783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300798 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300822 */     // GIR_Coverage, 55089,
     /* 2300822 */     GIR_EraseRootFromParent_Done,
     /* 2300823 */   // Label 31566: @2300823
     /* 2300823 */   GIM_Reject,
     /* 2300824 */ // Label 31554: @2300824
     /* 2300824 */ GIM_Reject,
     /* 2300825 */ // Label 31350: @2300825
     /* 2300825 */ GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2301614),
     /* 2300830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2300836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2300839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300843 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2300920), // Rule ID 55352 //
     /* 2300848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300891 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300919 */     // GIR_Coverage, 55352,
     /* 2300919 */     GIR_EraseRootFromParent_Done,
     /* 2300920 */   // Label 31568: @2300920
     /* 2300920 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2300997), // Rule ID 55353 //
     /* 2300925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300968 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300996 */     // GIR_Coverage, 55353,
     /* 2300996 */     GIR_EraseRootFromParent_Done,
     /* 2300997 */   // Label 31569: @2300997
     /* 2300997 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2301074), // Rule ID 72561 //
     /* 2301002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301045 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2301048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301073 */     // GIR_Coverage, 72561,
     /* 2301073 */     GIR_EraseRootFromParent_Done,
     /* 2301074 */   // Label 31570: @2301074
     /* 2301074 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2301151), // Rule ID 72562 //
     /* 2301079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301122 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2301125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301150 */     // GIR_Coverage, 72562,
     /* 2301150 */     GIR_EraseRootFromParent_Done,
     /* 2301151 */   // Label 31571: @2301151
     /* 2301151 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2301213), // Rule ID 55356 //
     /* 2301156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301186 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301212 */     // GIR_Coverage, 55356,
     /* 2301212 */     GIR_EraseRootFromParent_Done,
     /* 2301213 */   // Label 31572: @2301213
     /* 2301213 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2301275), // Rule ID 55357 //
     /* 2301218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301248 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301274 */     // GIR_Coverage, 55357,
     /* 2301274 */     GIR_EraseRootFromParent_Done,
     /* 2301275 */   // Label 31573: @2301275
     /* 2301275 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2301337), // Rule ID 72565 //
     /* 2301280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301310 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301336 */     // GIR_Coverage, 72565,
     /* 2301336 */     GIR_EraseRootFromParent_Done,
     /* 2301337 */   // Label 31574: @2301337
     /* 2301337 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2301399), // Rule ID 72566 //
     /* 2301342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301372 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301398 */     // GIR_Coverage, 72566,
     /* 2301398 */     GIR_EraseRootFromParent_Done,
     /* 2301399 */   // Label 31575: @2301399
     /* 2301399 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2301461), // Rule ID 55348 //
     /* 2301404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301434 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2301437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301460 */     // GIR_Coverage, 55348,
     /* 2301460 */     GIR_EraseRootFromParent_Done,
     /* 2301461 */   // Label 31576: @2301461
     /* 2301461 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2301523), // Rule ID 55349 //
     /* 2301466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301496 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2301499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301522 */     // GIR_Coverage, 55349,
     /* 2301522 */     GIR_EraseRootFromParent_Done,
     /* 2301523 */   // Label 31577: @2301523
     /* 2301523 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2301568), // Rule ID 55344 //
     /* 2301528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301543 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301567 */     // GIR_Coverage, 55344,
     /* 2301567 */     GIR_EraseRootFromParent_Done,
     /* 2301568 */   // Label 31578: @2301568
     /* 2301568 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2301613), // Rule ID 55345 //
     /* 2301573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301588 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301612 */     // GIR_Coverage, 55345,
     /* 2301612 */     GIR_EraseRootFromParent_Done,
     /* 2301613 */   // Label 31579: @2301613
     /* 2301613 */   GIM_Reject,
     /* 2301614 */ // Label 31567: @2301614
     /* 2301614 */ GIM_Reject,
     /* 2301615 */ // Label 31351: @2301615
     /* 2301615 */ GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2302404),
     /* 2301620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2301626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2301629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301633 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2301710), // Rule ID 55608 //
     /* 2301638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301681 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301709 */     // GIR_Coverage, 55608,
     /* 2301709 */     GIR_EraseRootFromParent_Done,
     /* 2301710 */   // Label 31581: @2301710
     /* 2301710 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2301787), // Rule ID 55609 //
     /* 2301715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301758 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301786 */     // GIR_Coverage, 55609,
     /* 2301786 */     GIR_EraseRootFromParent_Done,
     /* 2301787 */   // Label 31582: @2301787
     /* 2301787 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2301864), // Rule ID 72785 //
     /* 2301792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301835 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301863 */     // GIR_Coverage, 72785,
     /* 2301863 */     GIR_EraseRootFromParent_Done,
     /* 2301864 */   // Label 31583: @2301864
     /* 2301864 */   GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2301941), // Rule ID 72786 //
     /* 2301869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301912 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301940 */     // GIR_Coverage, 72786,
     /* 2301940 */     GIR_EraseRootFromParent_Done,
     /* 2301941 */   // Label 31584: @2301941
     /* 2301941 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2302003), // Rule ID 55612 //
     /* 2301946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301976 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302002 */     // GIR_Coverage, 55612,
     /* 2302002 */     GIR_EraseRootFromParent_Done,
     /* 2302003 */   // Label 31585: @2302003
     /* 2302003 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2302065), // Rule ID 55613 //
     /* 2302008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302038 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2302041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302064 */     // GIR_Coverage, 55613,
     /* 2302064 */     GIR_EraseRootFromParent_Done,
     /* 2302065 */   // Label 31586: @2302065
     /* 2302065 */   GIM_Try, /*On fail goto*//*Label 31587*/ GIMT_Encode4(2302127), // Rule ID 72789 //
     /* 2302070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302100 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2302103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302126 */     // GIR_Coverage, 72789,
     /* 2302126 */     GIR_EraseRootFromParent_Done,
     /* 2302127 */   // Label 31587: @2302127
     /* 2302127 */   GIM_Try, /*On fail goto*//*Label 31588*/ GIMT_Encode4(2302189), // Rule ID 72790 //
     /* 2302132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302162 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2302165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302188 */     // GIR_Coverage, 72790,
     /* 2302188 */     GIR_EraseRootFromParent_Done,
     /* 2302189 */   // Label 31588: @2302189
     /* 2302189 */   GIM_Try, /*On fail goto*//*Label 31589*/ GIMT_Encode4(2302251), // Rule ID 55604 //
     /* 2302194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302224 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2302227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302250 */     // GIR_Coverage, 55604,
     /* 2302250 */     GIR_EraseRootFromParent_Done,
     /* 2302251 */   // Label 31589: @2302251
     /* 2302251 */   GIM_Try, /*On fail goto*//*Label 31590*/ GIMT_Encode4(2302313), // Rule ID 55605 //
     /* 2302256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302286 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2302289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302312 */     // GIR_Coverage, 55605,
     /* 2302312 */     GIR_EraseRootFromParent_Done,
     /* 2302313 */   // Label 31590: @2302313
     /* 2302313 */   GIM_Try, /*On fail goto*//*Label 31591*/ GIMT_Encode4(2302358), // Rule ID 55600 //
     /* 2302318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302333 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2302336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302357 */     // GIR_Coverage, 55600,
     /* 2302357 */     GIR_EraseRootFromParent_Done,
     /* 2302358 */   // Label 31591: @2302358
     /* 2302358 */   GIM_Try, /*On fail goto*//*Label 31592*/ GIMT_Encode4(2302403), // Rule ID 55601 //
     /* 2302363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302378 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2302381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302402 */     // GIR_Coverage, 55601,
     /* 2302402 */     GIR_EraseRootFromParent_Done,
     /* 2302403 */   // Label 31592: @2302403
     /* 2302403 */   GIM_Reject,
     /* 2302404 */ // Label 31580: @2302404
     /* 2302404 */ GIM_Reject,
     /* 2302405 */ // Label 31352: @2302405
     /* 2302405 */ GIM_Try, /*On fail goto*//*Label 31593*/ GIMT_Encode4(2303194),
     /* 2302410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2302416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2302419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302423 */   GIM_Try, /*On fail goto*//*Label 31594*/ GIMT_Encode4(2302500), // Rule ID 55160 //
     /* 2302428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302471 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302499 */     // GIR_Coverage, 55160,
     /* 2302499 */     GIR_EraseRootFromParent_Done,
     /* 2302500 */   // Label 31594: @2302500
     /* 2302500 */   GIM_Try, /*On fail goto*//*Label 31595*/ GIMT_Encode4(2302577), // Rule ID 55161 //
     /* 2302505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302548 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302576 */     // GIR_Coverage, 55161,
     /* 2302576 */     GIR_EraseRootFromParent_Done,
     /* 2302577 */   // Label 31595: @2302577
     /* 2302577 */   GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2302654), // Rule ID 72393 //
     /* 2302582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302625 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302653 */     // GIR_Coverage, 72393,
     /* 2302653 */     GIR_EraseRootFromParent_Done,
     /* 2302654 */   // Label 31596: @2302654
     /* 2302654 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2302731), // Rule ID 72394 //
     /* 2302659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302702 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302730 */     // GIR_Coverage, 72394,
     /* 2302730 */     GIR_EraseRootFromParent_Done,
     /* 2302731 */   // Label 31597: @2302731
     /* 2302731 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2302793), // Rule ID 55164 //
     /* 2302736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302766 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302792 */     // GIR_Coverage, 55164,
     /* 2302792 */     GIR_EraseRootFromParent_Done,
     /* 2302793 */   // Label 31598: @2302793
     /* 2302793 */   GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2302855), // Rule ID 55165 //
     /* 2302798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302828 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302854 */     // GIR_Coverage, 55165,
     /* 2302854 */     GIR_EraseRootFromParent_Done,
     /* 2302855 */   // Label 31599: @2302855
     /* 2302855 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2302917), // Rule ID 72397 //
     /* 2302860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302890 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302916 */     // GIR_Coverage, 72397,
     /* 2302916 */     GIR_EraseRootFromParent_Done,
     /* 2302917 */   // Label 31600: @2302917
     /* 2302917 */   GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2302979), // Rule ID 72398 //
     /* 2302922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302952 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302978 */     // GIR_Coverage, 72398,
     /* 2302978 */     GIR_EraseRootFromParent_Done,
     /* 2302979 */   // Label 31601: @2302979
     /* 2302979 */   GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2303041), // Rule ID 55156 //
     /* 2302984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2303007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303014 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2303017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303040 */     // GIR_Coverage, 55156,
     /* 2303040 */     GIR_EraseRootFromParent_Done,
     /* 2303041 */   // Label 31602: @2303041
     /* 2303041 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2303103), // Rule ID 55157 //
     /* 2303046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2303069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303076 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2303079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303102 */     // GIR_Coverage, 55157,
     /* 2303102 */     GIR_EraseRootFromParent_Done,
     /* 2303103 */   // Label 31603: @2303103
     /* 2303103 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2303148), // Rule ID 55152 //
     /* 2303108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303123 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2303126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303147 */     // GIR_Coverage, 55152,
     /* 2303147 */     GIR_EraseRootFromParent_Done,
     /* 2303148 */   // Label 31604: @2303148
     /* 2303148 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2303193), // Rule ID 55153 //
     /* 2303153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303168 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2303171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303192 */     // GIR_Coverage, 55153,
     /* 2303192 */     GIR_EraseRootFromParent_Done,
     /* 2303193 */   // Label 31605: @2303193
     /* 2303193 */   GIM_Reject,
     /* 2303194 */ // Label 31593: @2303194
     /* 2303194 */ GIM_Reject,
     /* 2303195 */ // Label 31353: @2303195
     /* 2303195 */ GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2303984),
     /* 2303200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2303206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2303209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303213 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2303290), // Rule ID 55416 //
     /* 2303218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303261 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303289 */     // GIR_Coverage, 55416,
     /* 2303289 */     GIR_EraseRootFromParent_Done,
     /* 2303290 */   // Label 31607: @2303290
     /* 2303290 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2303367), // Rule ID 55417 //
     /* 2303295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303338 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303366 */     // GIR_Coverage, 55417,
     /* 2303366 */     GIR_EraseRootFromParent_Done,
     /* 2303367 */   // Label 31608: @2303367
     /* 2303367 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2303444), // Rule ID 72617 //
     /* 2303372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303415 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303443 */     // GIR_Coverage, 72617,
     /* 2303443 */     GIR_EraseRootFromParent_Done,
     /* 2303444 */   // Label 31609: @2303444
     /* 2303444 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2303521), // Rule ID 72618 //
     /* 2303449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303492 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303520 */     // GIR_Coverage, 72618,
     /* 2303520 */     GIR_EraseRootFromParent_Done,
     /* 2303521 */   // Label 31610: @2303521
     /* 2303521 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2303583), // Rule ID 55420 //
     /* 2303526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303556 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303582 */     // GIR_Coverage, 55420,
     /* 2303582 */     GIR_EraseRootFromParent_Done,
     /* 2303583 */   // Label 31611: @2303583
     /* 2303583 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2303645), // Rule ID 55421 //
     /* 2303588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303618 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303644 */     // GIR_Coverage, 55421,
     /* 2303644 */     GIR_EraseRootFromParent_Done,
     /* 2303645 */   // Label 31612: @2303645
     /* 2303645 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2303707), // Rule ID 72621 //
     /* 2303650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303680 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303706 */     // GIR_Coverage, 72621,
     /* 2303706 */     GIR_EraseRootFromParent_Done,
     /* 2303707 */   // Label 31613: @2303707
     /* 2303707 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2303769), // Rule ID 72622 //
     /* 2303712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303742 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303768 */     // GIR_Coverage, 72622,
     /* 2303768 */     GIR_EraseRootFromParent_Done,
     /* 2303769 */   // Label 31614: @2303769
     /* 2303769 */   GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2303831), // Rule ID 55412 //
     /* 2303774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303804 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303830 */     // GIR_Coverage, 55412,
     /* 2303830 */     GIR_EraseRootFromParent_Done,
     /* 2303831 */   // Label 31615: @2303831
     /* 2303831 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2303893), // Rule ID 55413 //
     /* 2303836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303866 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303892 */     // GIR_Coverage, 55413,
     /* 2303892 */     GIR_EraseRootFromParent_Done,
     /* 2303893 */   // Label 31616: @2303893
     /* 2303893 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2303938), // Rule ID 55408 //
     /* 2303898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303913 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303937 */     // GIR_Coverage, 55408,
     /* 2303937 */     GIR_EraseRootFromParent_Done,
     /* 2303938 */   // Label 31617: @2303938
     /* 2303938 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2303983), // Rule ID 55409 //
     /* 2303943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303958 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303982 */     // GIR_Coverage, 55409,
     /* 2303982 */     GIR_EraseRootFromParent_Done,
     /* 2303983 */   // Label 31618: @2303983
     /* 2303983 */   GIM_Reject,
     /* 2303984 */ // Label 31606: @2303984
     /* 2303984 */ GIM_Reject,
     /* 2303985 */ // Label 31354: @2303985
     /* 2303985 */ GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2304774),
     /* 2303990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2303996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2303999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304003 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2304080), // Rule ID 55224 //
     /* 2304008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304051 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304079 */     // GIR_Coverage, 55224,
     /* 2304079 */     GIR_EraseRootFromParent_Done,
     /* 2304080 */   // Label 31620: @2304080
     /* 2304080 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2304157), // Rule ID 55225 //
     /* 2304085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304128 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304156 */     // GIR_Coverage, 55225,
     /* 2304156 */     GIR_EraseRootFromParent_Done,
     /* 2304157 */   // Label 31621: @2304157
     /* 2304157 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2304234), // Rule ID 72449 //
     /* 2304162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304205 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304233 */     // GIR_Coverage, 72449,
     /* 2304233 */     GIR_EraseRootFromParent_Done,
     /* 2304234 */   // Label 31622: @2304234
     /* 2304234 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2304311), // Rule ID 72450 //
     /* 2304239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304282 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304310 */     // GIR_Coverage, 72450,
     /* 2304310 */     GIR_EraseRootFromParent_Done,
     /* 2304311 */   // Label 31623: @2304311
     /* 2304311 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2304373), // Rule ID 55228 //
     /* 2304316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304346 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304372 */     // GIR_Coverage, 55228,
     /* 2304372 */     GIR_EraseRootFromParent_Done,
     /* 2304373 */   // Label 31624: @2304373
     /* 2304373 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2304435), // Rule ID 55229 //
     /* 2304378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304408 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304434 */     // GIR_Coverage, 55229,
     /* 2304434 */     GIR_EraseRootFromParent_Done,
     /* 2304435 */   // Label 31625: @2304435
     /* 2304435 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2304497), // Rule ID 72453 //
     /* 2304440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304470 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304496 */     // GIR_Coverage, 72453,
     /* 2304496 */     GIR_EraseRootFromParent_Done,
     /* 2304497 */   // Label 31626: @2304497
     /* 2304497 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2304559), // Rule ID 72454 //
     /* 2304502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304532 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304558 */     // GIR_Coverage, 72454,
     /* 2304558 */     GIR_EraseRootFromParent_Done,
     /* 2304559 */   // Label 31627: @2304559
     /* 2304559 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2304621), // Rule ID 55220 //
     /* 2304564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304594 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304620 */     // GIR_Coverage, 55220,
     /* 2304620 */     GIR_EraseRootFromParent_Done,
     /* 2304621 */   // Label 31628: @2304621
     /* 2304621 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2304683), // Rule ID 55221 //
     /* 2304626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304656 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304682 */     // GIR_Coverage, 55221,
     /* 2304682 */     GIR_EraseRootFromParent_Done,
     /* 2304683 */   // Label 31629: @2304683
     /* 2304683 */   GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2304728), // Rule ID 55216 //
     /* 2304688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304703 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304727 */     // GIR_Coverage, 55216,
     /* 2304727 */     GIR_EraseRootFromParent_Done,
     /* 2304728 */   // Label 31630: @2304728
     /* 2304728 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2304773), // Rule ID 55217 //
     /* 2304733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304748 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304772 */     // GIR_Coverage, 55217,
     /* 2304772 */     GIR_EraseRootFromParent_Done,
     /* 2304773 */   // Label 31631: @2304773
     /* 2304773 */   GIM_Reject,
     /* 2304774 */ // Label 31619: @2304774
     /* 2304774 */ GIM_Reject,
     /* 2304775 */ // Label 31355: @2304775
     /* 2304775 */ GIM_Reject,
     /* 2304776 */ // Label 63: @2304776
     /* 2304776 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31650*/ GIMT_Encode4(2307203),
     /* 2304787 */ /*GILLT_s16*//*Label 31632*/ GIMT_Encode4(2304907),
     /* 2304791 */ /*GILLT_s32*//*Label 31633*/ GIMT_Encode4(2305056),
     /* 2304795 */ /*GILLT_s64*//*Label 31634*/ GIMT_Encode4(2305205), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304807 */ /*GILLT_nxv1s16*//*Label 31635*/ GIMT_Encode4(2305388),
     /* 2304811 */ /*GILLT_nxv1s32*//*Label 31636*/ GIMT_Encode4(2305509),
     /* 2304815 */ /*GILLT_nxv1s64*//*Label 31637*/ GIMT_Encode4(2305630), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304827 */ /*GILLT_nxv2s16*//*Label 31638*/ GIMT_Encode4(2305751),
     /* 2304831 */ /*GILLT_nxv2s32*//*Label 31639*/ GIMT_Encode4(2305872),
     /* 2304835 */ /*GILLT_nxv2s64*//*Label 31640*/ GIMT_Encode4(2305993), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304847 */ /*GILLT_nxv4s16*//*Label 31641*/ GIMT_Encode4(2306114),
     /* 2304851 */ /*GILLT_nxv4s32*//*Label 31642*/ GIMT_Encode4(2306235),
     /* 2304855 */ /*GILLT_nxv4s64*//*Label 31643*/ GIMT_Encode4(2306356), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304867 */ /*GILLT_nxv8s16*//*Label 31644*/ GIMT_Encode4(2306477),
     /* 2304871 */ /*GILLT_nxv8s32*//*Label 31645*/ GIMT_Encode4(2306598),
     /* 2304875 */ /*GILLT_nxv8s64*//*Label 31646*/ GIMT_Encode4(2306719), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304887 */ /*GILLT_nxv16s16*//*Label 31647*/ GIMT_Encode4(2306840),
     /* 2304891 */ /*GILLT_nxv16s32*//*Label 31648*/ GIMT_Encode4(2306961), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304903 */ /*GILLT_nxv32s16*//*Label 31649*/ GIMT_Encode4(2307082),
     /* 2304907 */ // Label 31632: @2304907
     /* 2304907 */ GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2305055),
     /* 2304912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2304918 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2304952), // Rule ID 1872 //
     /* 2304923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2304926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304938 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304951 */     // GIR_Coverage, 1872,
     /* 2304951 */     GIR_EraseRootFromParent_Done,
     /* 2304952 */   // Label 31652: @2304952
     /* 2304952 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2304986), // Rule ID 1873 //
     /* 2304957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2304960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304972 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304985 */     // GIR_Coverage, 1873,
     /* 2304985 */     GIR_EraseRootFromParent_Done,
     /* 2304986 */   // Label 31653: @2304986
     /* 2304986 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2305020), // Rule ID 1876 //
     /* 2304991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2304994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305006 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2305006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2305009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305019 */     // GIR_Coverage, 1876,
     /* 2305019 */     GIR_EraseRootFromParent_Done,
     /* 2305020 */   // Label 31654: @2305020
     /* 2305020 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2305054), // Rule ID 1877 //
     /* 2305025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2305028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305040 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2305040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2305043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305053 */     // GIR_Coverage, 1877,
     /* 2305053 */     GIR_EraseRootFromParent_Done,
     /* 2305054 */   // Label 31655: @2305054
     /* 2305054 */   GIM_Reject,
     /* 2305055 */ // Label 31651: @2305055
     /* 2305055 */ GIM_Reject,
     /* 2305056 */ // Label 31633: @2305056
     /* 2305056 */ GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2305204),
     /* 2305061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2305064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2305067 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2305101), // Rule ID 1163 //
     /* 2305072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2305075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305087 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2305087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2305090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305100 */     // GIR_Coverage, 1163,
     /* 2305100 */     GIR_EraseRootFromParent_Done,
     /* 2305101 */   // Label 31657: @2305101
     /* 2305101 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2305135), // Rule ID 1164 //
     /* 2305106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2305109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305121 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2305121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2305124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305134 */     // GIR_Coverage, 1164,
     /* 2305134 */     GIR_EraseRootFromParent_Done,
     /* 2305135 */   // Label 31658: @2305135
     /* 2305135 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2305169), // Rule ID 1167 //
     /* 2305140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2305143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305155 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2305155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2305158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305168 */     // GIR_Coverage, 1167,
     /* 2305168 */     GIR_EraseRootFromParent_Done,
     /* 2305169 */   // Label 31659: @2305169
     /* 2305169 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2305203), // Rule ID 1168 //
     /* 2305174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2305177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305189 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2305189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2305192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305202 */     // GIR_Coverage, 1168,
     /* 2305202 */     GIR_EraseRootFromParent_Done,
     /* 2305203 */   // Label 31660: @2305203
     /* 2305203 */   GIM_Reject,
     /* 2305204 */ // Label 31656: @2305204
     /* 2305204 */ GIM_Reject,
     /* 2305205 */ // Label 31634: @2305205
     /* 2305205 */ GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2305387),
     /* 2305210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2305213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2305216 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2305250), // Rule ID 1504 //
     /* 2305221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2305224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305236 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2305236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2305239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305249 */     // GIR_Coverage, 1504,
     /* 2305249 */     GIR_EraseRootFromParent_Done,
     /* 2305250 */   // Label 31662: @2305250
     /* 2305250 */   GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2305284), // Rule ID 1505 //
     /* 2305255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2305258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305270 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2305270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2305273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305283 */     // GIR_Coverage, 1505,
     /* 2305283 */     GIR_EraseRootFromParent_Done,
     /* 2305284 */   // Label 31663: @2305284
     /* 2305284 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2305318), // Rule ID 1508 //
     /* 2305289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2305292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305304 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2305304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2305307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305317 */     // GIR_Coverage, 1508,
     /* 2305317 */     GIR_EraseRootFromParent_Done,
     /* 2305318 */   // Label 31664: @2305318
     /* 2305318 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2305352), // Rule ID 1509 //
     /* 2305323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2305326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305338 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2305338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2305341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305351 */     // GIR_Coverage, 1509,
     /* 2305351 */     GIR_EraseRootFromParent_Done,
     /* 2305352 */   // Label 31665: @2305352
     /* 2305352 */   GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2305386), // Rule ID 1511 //
     /* 2305357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2305360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305372 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2305372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2305375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305385 */     // GIR_Coverage, 1511,
     /* 2305385 */     GIR_EraseRootFromParent_Done,
     /* 2305386 */   // Label 31666: @2305386
     /* 2305386 */   GIM_Reject,
     /* 2305387 */ // Label 31661: @2305387
     /* 2305387 */ GIM_Reject,
     /* 2305388 */ // Label 31635: @2305388
     /* 2305388 */ GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2305508),
     /* 2305393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2305399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305411 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2305459), // Rule ID 54278 //
     /* 2305416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305419 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2305436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305458 */     // GIR_Coverage, 54278,
     /* 2305458 */     GIR_EraseRootFromParent_Done,
     /* 2305459 */   // Label 31668: @2305459
     /* 2305459 */   GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2305507), // Rule ID 54279 //
     /* 2305464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305467 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2305484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305506 */     // GIR_Coverage, 54279,
     /* 2305506 */     GIR_EraseRootFromParent_Done,
     /* 2305507 */   // Label 31669: @2305507
     /* 2305507 */   GIM_Reject,
     /* 2305508 */ // Label 31667: @2305508
     /* 2305508 */ GIM_Reject,
     /* 2305509 */ // Label 31636: @2305509
     /* 2305509 */ GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2305629),
     /* 2305514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2305520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305532 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2305580), // Rule ID 54302 //
     /* 2305537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305540 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305579 */     // GIR_Coverage, 54302,
     /* 2305579 */     GIR_EraseRootFromParent_Done,
     /* 2305580 */   // Label 31671: @2305580
     /* 2305580 */   GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2305628), // Rule ID 54303 //
     /* 2305585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305588 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305627 */     // GIR_Coverage, 54303,
     /* 2305627 */     GIR_EraseRootFromParent_Done,
     /* 2305628 */   // Label 31672: @2305628
     /* 2305628 */   GIM_Reject,
     /* 2305629 */ // Label 31670: @2305629
     /* 2305629 */ GIM_Reject,
     /* 2305630 */ // Label 31637: @2305630
     /* 2305630 */ GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2305750),
     /* 2305635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2305641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305653 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2305701), // Rule ID 54338 //
     /* 2305658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305661 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305700 */     // GIR_Coverage, 54338,
     /* 2305700 */     GIR_EraseRootFromParent_Done,
     /* 2305701 */   // Label 31674: @2305701
     /* 2305701 */   GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2305749), // Rule ID 54339 //
     /* 2305706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305709 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305748 */     // GIR_Coverage, 54339,
     /* 2305748 */     GIR_EraseRootFromParent_Done,
     /* 2305749 */   // Label 31675: @2305749
     /* 2305749 */   GIM_Reject,
     /* 2305750 */ // Label 31673: @2305750
     /* 2305750 */ GIM_Reject,
     /* 2305751 */ // Label 31638: @2305751
     /* 2305751 */ GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2305871),
     /* 2305756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2305759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2305762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305774 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2305822), // Rule ID 54290 //
     /* 2305779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305782 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305821 */     // GIR_Coverage, 54290,
     /* 2305821 */     GIR_EraseRootFromParent_Done,
     /* 2305822 */   // Label 31677: @2305822
     /* 2305822 */   GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2305870), // Rule ID 54291 //
     /* 2305827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305830 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305869 */     // GIR_Coverage, 54291,
     /* 2305869 */     GIR_EraseRootFromParent_Done,
     /* 2305870 */   // Label 31678: @2305870
     /* 2305870 */   GIM_Reject,
     /* 2305871 */ // Label 31676: @2305871
     /* 2305871 */ GIM_Reject,
     /* 2305872 */ // Label 31639: @2305872
     /* 2305872 */ GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2305992),
     /* 2305877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2305883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305895 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2305943), // Rule ID 54326 //
     /* 2305900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305903 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305942 */     // GIR_Coverage, 54326,
     /* 2305942 */     GIR_EraseRootFromParent_Done,
     /* 2305943 */   // Label 31680: @2305943
     /* 2305943 */   GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2305991), // Rule ID 54327 //
     /* 2305948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305951 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305990 */     // GIR_Coverage, 54327,
     /* 2305990 */     GIR_EraseRootFromParent_Done,
     /* 2305991 */   // Label 31681: @2305991
     /* 2305991 */   GIM_Reject,
     /* 2305992 */ // Label 31679: @2305992
     /* 2305992 */ GIM_Reject,
     /* 2305993 */ // Label 31640: @2305993
     /* 2305993 */ GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2306113),
     /* 2305998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2306004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306016 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2306064), // Rule ID 54422 //
     /* 2306021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306024 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2306041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306063 */     // GIR_Coverage, 54422,
     /* 2306063 */     GIR_EraseRootFromParent_Done,
     /* 2306064 */   // Label 31683: @2306064
     /* 2306064 */   GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2306112), // Rule ID 54423 //
     /* 2306069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306072 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2306089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306111 */     // GIR_Coverage, 54423,
     /* 2306111 */     GIR_EraseRootFromParent_Done,
     /* 2306112 */   // Label 31684: @2306112
     /* 2306112 */   GIM_Reject,
     /* 2306113 */ // Label 31682: @2306113
     /* 2306113 */ GIM_Reject,
     /* 2306114 */ // Label 31641: @2306114
     /* 2306114 */ GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2306234),
     /* 2306119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2306125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306137 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2306185), // Rule ID 54314 //
     /* 2306142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306145 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2306148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2306162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306184 */     // GIR_Coverage, 54314,
     /* 2306184 */     GIR_EraseRootFromParent_Done,
     /* 2306185 */   // Label 31686: @2306185
     /* 2306185 */   GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2306233), // Rule ID 54315 //
     /* 2306190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306193 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2306196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2306210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306232 */     // GIR_Coverage, 54315,
     /* 2306232 */     GIR_EraseRootFromParent_Done,
     /* 2306233 */   // Label 31687: @2306233
     /* 2306233 */   GIM_Reject,
     /* 2306234 */ // Label 31685: @2306234
     /* 2306234 */ GIM_Reject,
     /* 2306235 */ // Label 31642: @2306235
     /* 2306235 */ GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2306355),
     /* 2306240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2306243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2306246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306258 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2306306), // Rule ID 54386 //
     /* 2306263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306266 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2306269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2306283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306305 */     // GIR_Coverage, 54386,
     /* 2306305 */     GIR_EraseRootFromParent_Done,
     /* 2306306 */   // Label 31689: @2306306
     /* 2306306 */   GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2306354), // Rule ID 54387 //
     /* 2306311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306314 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2306317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2306331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306353 */     // GIR_Coverage, 54387,
     /* 2306353 */     GIR_EraseRootFromParent_Done,
     /* 2306354 */   // Label 31690: @2306354
     /* 2306354 */   GIM_Reject,
     /* 2306355 */ // Label 31688: @2306355
     /* 2306355 */ GIM_Reject,
     /* 2306356 */ // Label 31643: @2306356
     /* 2306356 */ GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2306476),
     /* 2306361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2306364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2306367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306379 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2306427), // Rule ID 54434 //
     /* 2306384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306387 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2306404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306426 */     // GIR_Coverage, 54434,
     /* 2306426 */     GIR_EraseRootFromParent_Done,
     /* 2306427 */   // Label 31692: @2306427
     /* 2306427 */   GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2306475), // Rule ID 54435 //
     /* 2306432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306435 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2306452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306474 */     // GIR_Coverage, 54435,
     /* 2306474 */     GIR_EraseRootFromParent_Done,
     /* 2306475 */   // Label 31693: @2306475
     /* 2306475 */   GIM_Reject,
     /* 2306476 */ // Label 31691: @2306476
     /* 2306476 */ GIM_Reject,
     /* 2306477 */ // Label 31644: @2306477
     /* 2306477 */ GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2306597),
     /* 2306482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2306485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2306488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306500 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2306548), // Rule ID 54350 //
     /* 2306505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306508 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306547 */     // GIR_Coverage, 54350,
     /* 2306547 */     GIR_EraseRootFromParent_Done,
     /* 2306548 */   // Label 31695: @2306548
     /* 2306548 */   GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2306596), // Rule ID 54351 //
     /* 2306553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306556 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306595 */     // GIR_Coverage, 54351,
     /* 2306595 */     GIR_EraseRootFromParent_Done,
     /* 2306596 */   // Label 31696: @2306596
     /* 2306596 */   GIM_Reject,
     /* 2306597 */ // Label 31694: @2306597
     /* 2306597 */ GIM_Reject,
     /* 2306598 */ // Label 31645: @2306598
     /* 2306598 */ GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2306718),
     /* 2306603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2306606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2306609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306621 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2306669), // Rule ID 54398 //
     /* 2306626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306629 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306668 */     // GIR_Coverage, 54398,
     /* 2306668 */     GIR_EraseRootFromParent_Done,
     /* 2306669 */   // Label 31698: @2306669
     /* 2306669 */   GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2306717), // Rule ID 54399 //
     /* 2306674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306677 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306716 */     // GIR_Coverage, 54399,
     /* 2306716 */     GIR_EraseRootFromParent_Done,
     /* 2306717 */   // Label 31699: @2306717
     /* 2306717 */   GIM_Reject,
     /* 2306718 */ // Label 31697: @2306718
     /* 2306718 */ GIM_Reject,
     /* 2306719 */ // Label 31646: @2306719
     /* 2306719 */ GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2306839),
     /* 2306724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2306730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306742 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2306790), // Rule ID 54446 //
     /* 2306747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306750 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306789 */     // GIR_Coverage, 54446,
     /* 2306789 */     GIR_EraseRootFromParent_Done,
     /* 2306790 */   // Label 31701: @2306790
     /* 2306790 */   GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2306838), // Rule ID 54447 //
     /* 2306795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306798 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306837 */     // GIR_Coverage, 54447,
     /* 2306837 */     GIR_EraseRootFromParent_Done,
     /* 2306838 */   // Label 31702: @2306838
     /* 2306838 */   GIM_Reject,
     /* 2306839 */ // Label 31700: @2306839
     /* 2306839 */ GIM_Reject,
     /* 2306840 */ // Label 31647: @2306840
     /* 2306840 */ GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2306960),
     /* 2306845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2306851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306863 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2306911), // Rule ID 54362 //
     /* 2306868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306871 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306910 */     // GIR_Coverage, 54362,
     /* 2306910 */     GIR_EraseRootFromParent_Done,
     /* 2306911 */   // Label 31704: @2306911
     /* 2306911 */   GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2306959), // Rule ID 54363 //
     /* 2306916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306919 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306958 */     // GIR_Coverage, 54363,
     /* 2306958 */     GIR_EraseRootFromParent_Done,
     /* 2306959 */   // Label 31705: @2306959
     /* 2306959 */   GIM_Reject,
     /* 2306960 */ // Label 31703: @2306960
     /* 2306960 */ GIM_Reject,
     /* 2306961 */ // Label 31648: @2306961
     /* 2306961 */ GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2307081),
     /* 2306966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2306969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2306972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306984 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2307032), // Rule ID 54410 //
     /* 2306989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306992 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2307009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307031 */     // GIR_Coverage, 54410,
     /* 2307031 */     GIR_EraseRootFromParent_Done,
     /* 2307032 */   // Label 31707: @2307032
     /* 2307032 */   GIM_Try, /*On fail goto*//*Label 31708*/ GIMT_Encode4(2307080), // Rule ID 54411 //
     /* 2307037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307040 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2307043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2307057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307079 */     // GIR_Coverage, 54411,
     /* 2307079 */     GIR_EraseRootFromParent_Done,
     /* 2307080 */   // Label 31708: @2307080
     /* 2307080 */   GIM_Reject,
     /* 2307081 */ // Label 31706: @2307081
     /* 2307081 */ GIM_Reject,
     /* 2307082 */ // Label 31649: @2307082
     /* 2307082 */ GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2307202),
     /* 2307087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2307090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2307093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307105 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2307153), // Rule ID 54374 //
     /* 2307110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307113 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2307116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2307130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307152 */     // GIR_Coverage, 54374,
     /* 2307152 */     GIR_EraseRootFromParent_Done,
     /* 2307153 */   // Label 31710: @2307153
     /* 2307153 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2307201), // Rule ID 54375 //
     /* 2307158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307161 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2307164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2307178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307200 */     // GIR_Coverage, 54375,
     /* 2307200 */     GIR_EraseRootFromParent_Done,
     /* 2307201 */   // Label 31711: @2307201
     /* 2307201 */   GIM_Reject,
     /* 2307202 */ // Label 31709: @2307202
     /* 2307202 */ GIM_Reject,
     /* 2307203 */ // Label 31650: @2307203
     /* 2307203 */ GIM_Reject,
     /* 2307204 */ // Label 64: @2307204
     /* 2307204 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31730*/ GIMT_Encode4(2309174),
     /* 2307215 */ /*GILLT_s16*//*Label 31712*/ GIMT_Encode4(2307335),
     /* 2307219 */ /*GILLT_s32*//*Label 31713*/ GIMT_Encode4(2307399),
     /* 2307223 */ /*GILLT_s64*//*Label 31714*/ GIMT_Encode4(2307463), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307235 */ /*GILLT_nxv1s16*//*Label 31715*/ GIMT_Encode4(2307554),
     /* 2307239 */ /*GILLT_nxv1s32*//*Label 31716*/ GIMT_Encode4(2307662),
     /* 2307243 */ /*GILLT_nxv1s64*//*Label 31717*/ GIMT_Encode4(2307770), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307255 */ /*GILLT_nxv2s16*//*Label 31718*/ GIMT_Encode4(2307878),
     /* 2307259 */ /*GILLT_nxv2s32*//*Label 31719*/ GIMT_Encode4(2307986),
     /* 2307263 */ /*GILLT_nxv2s64*//*Label 31720*/ GIMT_Encode4(2308094), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307275 */ /*GILLT_nxv4s16*//*Label 31721*/ GIMT_Encode4(2308202),
     /* 2307279 */ /*GILLT_nxv4s32*//*Label 31722*/ GIMT_Encode4(2308310),
     /* 2307283 */ /*GILLT_nxv4s64*//*Label 31723*/ GIMT_Encode4(2308418), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307295 */ /*GILLT_nxv8s16*//*Label 31724*/ GIMT_Encode4(2308526),
     /* 2307299 */ /*GILLT_nxv8s32*//*Label 31725*/ GIMT_Encode4(2308634),
     /* 2307303 */ /*GILLT_nxv8s64*//*Label 31726*/ GIMT_Encode4(2308742), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307315 */ /*GILLT_nxv16s16*//*Label 31727*/ GIMT_Encode4(2308850),
     /* 2307319 */ /*GILLT_nxv16s32*//*Label 31728*/ GIMT_Encode4(2308958), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307331 */ /*GILLT_nxv32s16*//*Label 31729*/ GIMT_Encode4(2309066),
     /* 2307335 */ // Label 31712: @2307335
     /* 2307335 */ GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2307398),
     /* 2307340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307343 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2307370), // Rule ID 1882 //
     /* 2307348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2307351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307359 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2307359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2307362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307369 */     // GIR_Coverage, 1882,
     /* 2307369 */     GIR_EraseRootFromParent_Done,
     /* 2307370 */   // Label 31732: @2307370
     /* 2307370 */   GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2307397), // Rule ID 1915 //
     /* 2307375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2307378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307386 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2307386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2307389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307396 */     // GIR_Coverage, 1915,
     /* 2307396 */     GIR_EraseRootFromParent_Done,
     /* 2307397 */   // Label 31733: @2307397
     /* 2307397 */   GIM_Reject,
     /* 2307398 */ // Label 31731: @2307398
     /* 2307398 */ GIM_Reject,
     /* 2307399 */ // Label 31713: @2307399
     /* 2307399 */ GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2307462),
     /* 2307404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307407 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2307434), // Rule ID 1173 //
     /* 2307412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2307415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307423 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2307423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2307426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307433 */     // GIR_Coverage, 1173,
     /* 2307433 */     GIR_EraseRootFromParent_Done,
     /* 2307434 */   // Label 31735: @2307434
     /* 2307434 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2307461), // Rule ID 1181 //
     /* 2307439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2307442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307450 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2307450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2307453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307460 */     // GIR_Coverage, 1181,
     /* 2307460 */     GIR_EraseRootFromParent_Done,
     /* 2307461 */   // Label 31736: @2307461
     /* 2307461 */   GIM_Reject,
     /* 2307462 */ // Label 31734: @2307462
     /* 2307462 */ GIM_Reject,
     /* 2307463 */ // Label 31714: @2307463
     /* 2307463 */ GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2307553),
     /* 2307468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307471 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2307498), // Rule ID 1516 //
     /* 2307476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2307479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307487 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2307490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307497 */     // GIR_Coverage, 1516,
     /* 2307497 */     GIR_EraseRootFromParent_Done,
     /* 2307498 */   // Label 31738: @2307498
     /* 2307498 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2307525), // Rule ID 1549 //
     /* 2307503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2307506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307514 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2307517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307524 */     // GIR_Coverage, 1549,
     /* 2307524 */     GIR_EraseRootFromParent_Done,
     /* 2307525 */   // Label 31739: @2307525
     /* 2307525 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2307552), // Rule ID 1571 //
     /* 2307530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2307533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307541 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2307544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307551 */     // GIR_Coverage, 1571,
     /* 2307551 */     GIR_EraseRootFromParent_Done,
     /* 2307552 */   // Label 31740: @2307552
     /* 2307552 */   GIM_Reject,
     /* 2307553 */ // Label 31737: @2307553
     /* 2307553 */ GIM_Reject,
     /* 2307554 */ // Label 31715: @2307554
     /* 2307554 */ GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2307661),
     /* 2307559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2307562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307570 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2307615), // Rule ID 56116 //
     /* 2307575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307578 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307614 */     // GIR_Coverage, 56116,
     /* 2307614 */     GIR_EraseRootFromParent_Done,
     /* 2307615 */   // Label 31742: @2307615
     /* 2307615 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2307660), // Rule ID 56117 //
     /* 2307620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307623 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307659 */     // GIR_Coverage, 56117,
     /* 2307659 */     GIR_EraseRootFromParent_Done,
     /* 2307660 */   // Label 31743: @2307660
     /* 2307660 */   GIM_Reject,
     /* 2307661 */ // Label 31741: @2307661
     /* 2307661 */ GIM_Reject,
     /* 2307662 */ // Label 31716: @2307662
     /* 2307662 */ GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2307769),
     /* 2307667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2307670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307678 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2307723), // Rule ID 56156 //
     /* 2307683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307686 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307722 */     // GIR_Coverage, 56156,
     /* 2307722 */     GIR_EraseRootFromParent_Done,
     /* 2307723 */   // Label 31745: @2307723
     /* 2307723 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2307768), // Rule ID 56157 //
     /* 2307728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307731 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307767 */     // GIR_Coverage, 56157,
     /* 2307767 */     GIR_EraseRootFromParent_Done,
     /* 2307768 */   // Label 31746: @2307768
     /* 2307768 */   GIM_Reject,
     /* 2307769 */ // Label 31744: @2307769
     /* 2307769 */ GIM_Reject,
     /* 2307770 */ // Label 31717: @2307770
     /* 2307770 */ GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2307877),
     /* 2307775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2307778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307786 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2307831), // Rule ID 56216 //
     /* 2307791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2307794 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307830 */     // GIR_Coverage, 56216,
     /* 2307830 */     GIR_EraseRootFromParent_Done,
     /* 2307831 */   // Label 31748: @2307831
     /* 2307831 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2307876), // Rule ID 56217 //
     /* 2307836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2307839 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307875 */     // GIR_Coverage, 56217,
     /* 2307875 */     GIR_EraseRootFromParent_Done,
     /* 2307876 */   // Label 31749: @2307876
     /* 2307876 */   GIM_Reject,
     /* 2307877 */ // Label 31747: @2307877
     /* 2307877 */ GIM_Reject,
     /* 2307878 */ // Label 31718: @2307878
     /* 2307878 */ GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2307985),
     /* 2307883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2307886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307894 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2307939), // Rule ID 56136 //
     /* 2307899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307902 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307938 */     // GIR_Coverage, 56136,
     /* 2307938 */     GIR_EraseRootFromParent_Done,
     /* 2307939 */   // Label 31751: @2307939
     /* 2307939 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2307984), // Rule ID 56137 //
     /* 2307944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307947 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307983 */     // GIR_Coverage, 56137,
     /* 2307983 */     GIR_EraseRootFromParent_Done,
     /* 2307984 */   // Label 31752: @2307984
     /* 2307984 */   GIM_Reject,
     /* 2307985 */ // Label 31750: @2307985
     /* 2307985 */ GIM_Reject,
     /* 2307986 */ // Label 31719: @2307986
     /* 2307986 */ GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2308093),
     /* 2307991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2307994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308002 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2308047), // Rule ID 56196 //
     /* 2308007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308010 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2308013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2308027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308046 */     // GIR_Coverage, 56196,
     /* 2308046 */     GIR_EraseRootFromParent_Done,
     /* 2308047 */   // Label 31754: @2308047
     /* 2308047 */   GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2308092), // Rule ID 56197 //
     /* 2308052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308055 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2308058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2308072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308091 */     // GIR_Coverage, 56197,
     /* 2308091 */     GIR_EraseRootFromParent_Done,
     /* 2308092 */   // Label 31755: @2308092
     /* 2308092 */   GIM_Reject,
     /* 2308093 */ // Label 31753: @2308093
     /* 2308093 */ GIM_Reject,
     /* 2308094 */ // Label 31720: @2308094
     /* 2308094 */ GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2308201),
     /* 2308099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2308102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308110 */   GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2308155), // Rule ID 56356 //
     /* 2308115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308118 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2308121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2308135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308154 */     // GIR_Coverage, 56356,
     /* 2308154 */     GIR_EraseRootFromParent_Done,
     /* 2308155 */   // Label 31757: @2308155
     /* 2308155 */   GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2308200), // Rule ID 56357 //
     /* 2308160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308163 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2308166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2308180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308199 */     // GIR_Coverage, 56357,
     /* 2308199 */     GIR_EraseRootFromParent_Done,
     /* 2308200 */   // Label 31758: @2308200
     /* 2308200 */   GIM_Reject,
     /* 2308201 */ // Label 31756: @2308201
     /* 2308201 */ GIM_Reject,
     /* 2308202 */ // Label 31721: @2308202
     /* 2308202 */ GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2308309),
     /* 2308207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2308210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308218 */   GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2308263), // Rule ID 56176 //
     /* 2308223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308226 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2308229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2308243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308262 */     // GIR_Coverage, 56176,
     /* 2308262 */     GIR_EraseRootFromParent_Done,
     /* 2308263 */   // Label 31760: @2308263
     /* 2308263 */   GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2308308), // Rule ID 56177 //
     /* 2308268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308271 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2308274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2308288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308307 */     // GIR_Coverage, 56177,
     /* 2308307 */     GIR_EraseRootFromParent_Done,
     /* 2308308 */   // Label 31761: @2308308
     /* 2308308 */   GIM_Reject,
     /* 2308309 */ // Label 31759: @2308309
     /* 2308309 */ GIM_Reject,
     /* 2308310 */ // Label 31722: @2308310
     /* 2308310 */ GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2308417),
     /* 2308315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2308318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308326 */   GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2308371), // Rule ID 56296 //
     /* 2308331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308334 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2308337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2308351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308370 */     // GIR_Coverage, 56296,
     /* 2308370 */     GIR_EraseRootFromParent_Done,
     /* 2308371 */   // Label 31763: @2308371
     /* 2308371 */   GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2308416), // Rule ID 56297 //
     /* 2308376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308379 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2308382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2308396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308415 */     // GIR_Coverage, 56297,
     /* 2308415 */     GIR_EraseRootFromParent_Done,
     /* 2308416 */   // Label 31764: @2308416
     /* 2308416 */   GIM_Reject,
     /* 2308417 */ // Label 31762: @2308417
     /* 2308417 */ GIM_Reject,
     /* 2308418 */ // Label 31723: @2308418
     /* 2308418 */ GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2308525),
     /* 2308423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308434 */   GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2308479), // Rule ID 56376 //
     /* 2308439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308442 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308478 */     // GIR_Coverage, 56376,
     /* 2308478 */     GIR_EraseRootFromParent_Done,
     /* 2308479 */   // Label 31766: @2308479
     /* 2308479 */   GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2308524), // Rule ID 56377 //
     /* 2308484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308487 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308523 */     // GIR_Coverage, 56377,
     /* 2308523 */     GIR_EraseRootFromParent_Done,
     /* 2308524 */   // Label 31767: @2308524
     /* 2308524 */   GIM_Reject,
     /* 2308525 */ // Label 31765: @2308525
     /* 2308525 */ GIM_Reject,
     /* 2308526 */ // Label 31724: @2308526
     /* 2308526 */ GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2308633),
     /* 2308531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2308534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308542 */   GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2308587), // Rule ID 56236 //
     /* 2308547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308550 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308586 */     // GIR_Coverage, 56236,
     /* 2308586 */     GIR_EraseRootFromParent_Done,
     /* 2308587 */   // Label 31769: @2308587
     /* 2308587 */   GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2308632), // Rule ID 56237 //
     /* 2308592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308595 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308631 */     // GIR_Coverage, 56237,
     /* 2308631 */     GIR_EraseRootFromParent_Done,
     /* 2308632 */   // Label 31770: @2308632
     /* 2308632 */   GIM_Reject,
     /* 2308633 */ // Label 31768: @2308633
     /* 2308633 */ GIM_Reject,
     /* 2308634 */ // Label 31725: @2308634
     /* 2308634 */ GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2308741),
     /* 2308639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308650 */   GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2308695), // Rule ID 56316 //
     /* 2308655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308658 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308694 */     // GIR_Coverage, 56316,
     /* 2308694 */     GIR_EraseRootFromParent_Done,
     /* 2308695 */   // Label 31772: @2308695
     /* 2308695 */   GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2308740), // Rule ID 56317 //
     /* 2308700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308703 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308739 */     // GIR_Coverage, 56317,
     /* 2308739 */     GIR_EraseRootFromParent_Done,
     /* 2308740 */   // Label 31773: @2308740
     /* 2308740 */   GIM_Reject,
     /* 2308741 */ // Label 31771: @2308741
     /* 2308741 */ GIM_Reject,
     /* 2308742 */ // Label 31726: @2308742
     /* 2308742 */ GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2308849),
     /* 2308747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308758 */   GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2308803), // Rule ID 56396 //
     /* 2308763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308766 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308802 */     // GIR_Coverage, 56396,
     /* 2308802 */     GIR_EraseRootFromParent_Done,
     /* 2308803 */   // Label 31775: @2308803
     /* 2308803 */   GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2308848), // Rule ID 56397 //
     /* 2308808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308811 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308847 */     // GIR_Coverage, 56397,
     /* 2308847 */     GIR_EraseRootFromParent_Done,
     /* 2308848 */   // Label 31776: @2308848
     /* 2308848 */   GIM_Reject,
     /* 2308849 */ // Label 31774: @2308849
     /* 2308849 */ GIM_Reject,
     /* 2308850 */ // Label 31727: @2308850
     /* 2308850 */ GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2308957),
     /* 2308855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2308858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308866 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2308911), // Rule ID 56256 //
     /* 2308871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308874 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308910 */     // GIR_Coverage, 56256,
     /* 2308910 */     GIR_EraseRootFromParent_Done,
     /* 2308911 */   // Label 31778: @2308911
     /* 2308911 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2308956), // Rule ID 56257 //
     /* 2308916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308919 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308955 */     // GIR_Coverage, 56257,
     /* 2308955 */     GIR_EraseRootFromParent_Done,
     /* 2308956 */   // Label 31779: @2308956
     /* 2308956 */   GIM_Reject,
     /* 2308957 */ // Label 31777: @2308957
     /* 2308957 */ GIM_Reject,
     /* 2308958 */ // Label 31728: @2308958
     /* 2308958 */ GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2309065),
     /* 2308963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308974 */   GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2309019), // Rule ID 56336 //
     /* 2308979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308982 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2308999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309018 */     // GIR_Coverage, 56336,
     /* 2309018 */     GIR_EraseRootFromParent_Done,
     /* 2309019 */   // Label 31781: @2309019
     /* 2309019 */   GIM_Try, /*On fail goto*//*Label 31782*/ GIMT_Encode4(2309064), // Rule ID 56337 //
     /* 2309024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2309027 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2309030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2309044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309063 */     // GIR_Coverage, 56337,
     /* 2309063 */     GIR_EraseRootFromParent_Done,
     /* 2309064 */   // Label 31782: @2309064
     /* 2309064 */   GIM_Reject,
     /* 2309065 */ // Label 31780: @2309065
     /* 2309065 */ GIM_Reject,
     /* 2309066 */ // Label 31729: @2309066
     /* 2309066 */ GIM_Try, /*On fail goto*//*Label 31783*/ GIMT_Encode4(2309173),
     /* 2309071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2309074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309082 */   GIM_Try, /*On fail goto*//*Label 31784*/ GIMT_Encode4(2309127), // Rule ID 56276 //
     /* 2309087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309090 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2309093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2309107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309126 */     // GIR_Coverage, 56276,
     /* 2309126 */     GIR_EraseRootFromParent_Done,
     /* 2309127 */   // Label 31784: @2309127
     /* 2309127 */   GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2309172), // Rule ID 56277 //
     /* 2309132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309135 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2309138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2309152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309171 */     // GIR_Coverage, 56277,
     /* 2309171 */     GIR_EraseRootFromParent_Done,
     /* 2309172 */   // Label 31785: @2309172
     /* 2309172 */   GIM_Reject,
     /* 2309173 */ // Label 31783: @2309173
     /* 2309173 */ GIM_Reject,
     /* 2309174 */ // Label 31730: @2309174
     /* 2309174 */ GIM_Reject,
     /* 2309175 */ // Label 65: @2309175
     /* 2309175 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31788*/ GIMT_Encode4(2309627),
     /* 2309186 */ /*GILLT_s32*//*Label 31786*/ GIMT_Encode4(2309194),
     /* 2309190 */ /*GILLT_s64*//*Label 31787*/ GIMT_Encode4(2309316),
     /* 2309194 */ // Label 31786: @2309194
     /* 2309194 */ GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2309315),
     /* 2309199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309202 */   GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2309230), // Rule ID 2056 //
     /* 2309207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2309210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309218 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2309221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309229 */     // GIR_Coverage, 2056,
     /* 2309229 */     GIR_EraseRootFromParent_Done,
     /* 2309230 */   // Label 31790: @2309230
     /* 2309230 */   GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2309258), // Rule ID 2057 //
     /* 2309235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2309238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309246 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2309249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309257 */     // GIR_Coverage, 2057,
     /* 2309257 */     GIR_EraseRootFromParent_Done,
     /* 2309258 */   // Label 31791: @2309258
     /* 2309258 */   GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2309286), // Rule ID 2072 //
     /* 2309263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2309266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309274 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2309277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309285 */     // GIR_Coverage, 2072,
     /* 2309285 */     GIR_EraseRootFromParent_Done,
     /* 2309286 */   // Label 31792: @2309286
     /* 2309286 */   GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2309314), // Rule ID 2073 //
     /* 2309291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2309294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309302 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2309305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309313 */     // GIR_Coverage, 2073,
     /* 2309313 */     GIR_EraseRootFromParent_Done,
     /* 2309314 */   // Label 31793: @2309314
     /* 2309314 */   GIM_Reject,
     /* 2309315 */ // Label 31789: @2309315
     /* 2309315 */ GIM_Reject,
     /* 2309316 */ // Label 31787: @2309316
     /* 2309316 */ GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2309347), // Rule ID 1458 //
     /* 2309321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309335 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2309338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309340 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309346 */   // GIR_Coverage, 1458,
     /* 2309346 */   GIR_EraseRootFromParent_Done,
     /* 2309347 */ // Label 31794: @2309347
     /* 2309347 */ GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2309378), // Rule ID 1459 //
     /* 2309352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309366 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2309366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2309369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309371 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309377 */   // GIR_Coverage, 1459,
     /* 2309377 */   GIR_EraseRootFromParent_Done,
     /* 2309378 */ // Label 31795: @2309378
     /* 2309378 */ GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2309409), // Rule ID 1463 //
     /* 2309383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309397 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2309400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309408 */   // GIR_Coverage, 1463,
     /* 2309408 */   GIR_EraseRootFromParent_Done,
     /* 2309409 */ // Label 31796: @2309409
     /* 2309409 */ GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2309440), // Rule ID 1470 //
     /* 2309414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309428 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2309431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309433 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309439 */   // GIR_Coverage, 1470,
     /* 2309439 */   GIR_EraseRootFromParent_Done,
     /* 2309440 */ // Label 31797: @2309440
     /* 2309440 */ GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2309471), // Rule ID 1471 //
     /* 2309445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309459 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2309459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2309462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309470 */   // GIR_Coverage, 1471,
     /* 2309470 */   GIR_EraseRootFromParent_Done,
     /* 2309471 */ // Label 31798: @2309471
     /* 2309471 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2309502), // Rule ID 2190 //
     /* 2309476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309490 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309501 */   // GIR_Coverage, 2190,
     /* 2309501 */   GIR_EraseRootFromParent_Done,
     /* 2309502 */ // Label 31799: @2309502
     /* 2309502 */ GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2309533), // Rule ID 2191 //
     /* 2309507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309521 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309532 */   // GIR_Coverage, 2191,
     /* 2309532 */   GIR_EraseRootFromParent_Done,
     /* 2309533 */ // Label 31800: @2309533
     /* 2309533 */ GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2309564), // Rule ID 2202 //
     /* 2309538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309552 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309557 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309563 */   // GIR_Coverage, 2202,
     /* 2309563 */   GIR_EraseRootFromParent_Done,
     /* 2309564 */ // Label 31801: @2309564
     /* 2309564 */ GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2309595), // Rule ID 2203 //
     /* 2309569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309583 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309588 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309594 */   // GIR_Coverage, 2203,
     /* 2309594 */   GIR_EraseRootFromParent_Done,
     /* 2309595 */ // Label 31802: @2309595
     /* 2309595 */ GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2309626), // Rule ID 2211 //
     /* 2309600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309614 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2309617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309619 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309625 */   // GIR_Coverage, 2211,
     /* 2309625 */   GIR_EraseRootFromParent_Done,
     /* 2309626 */ // Label 31803: @2309626
     /* 2309626 */ GIM_Reject,
     /* 2309627 */ // Label 31788: @2309627
     /* 2309627 */ GIM_Reject,
     /* 2309628 */ // Label 66: @2309628
     /* 2309628 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31815*/ GIMT_Encode4(2311163),
     /* 2309639 */ /*GILLT_s16*//*Label 31804*/ GIMT_Encode4(2309743),
     /* 2309643 */ /*GILLT_s32*//*Label 31805*/ GIMT_Encode4(2310023), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309659 */ /*GILLT_nxv1s16*//*Label 31806*/ GIMT_Encode4(2310173),
     /* 2309663 */ /*GILLT_nxv1s32*//*Label 31807*/ GIMT_Encode4(2310283), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309679 */ /*GILLT_nxv2s16*//*Label 31808*/ GIMT_Encode4(2310393),
     /* 2309683 */ /*GILLT_nxv2s32*//*Label 31809*/ GIMT_Encode4(2310503), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309699 */ /*GILLT_nxv4s16*//*Label 31810*/ GIMT_Encode4(2310613),
     /* 2309703 */ /*GILLT_nxv4s32*//*Label 31811*/ GIMT_Encode4(2310723), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309719 */ /*GILLT_nxv8s16*//*Label 31812*/ GIMT_Encode4(2310833),
     /* 2309723 */ /*GILLT_nxv8s32*//*Label 31813*/ GIMT_Encode4(2310943), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309739 */ /*GILLT_nxv16s16*//*Label 31814*/ GIMT_Encode4(2311053),
     /* 2309743 */ // Label 31804: @2309743
     /* 2309743 */ GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2309774), // Rule ID 2052 //
     /* 2309748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2309751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309762 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309773 */   // GIR_Coverage, 2052,
     /* 2309773 */   GIR_EraseRootFromParent_Done,
     /* 2309774 */ // Label 31816: @2309774
     /* 2309774 */ GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2309805), // Rule ID 2053 //
     /* 2309779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2309782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309793 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309798 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309804 */   // GIR_Coverage, 2053,
     /* 2309804 */   GIR_EraseRootFromParent_Done,
     /* 2309805 */ // Label 31817: @2309805
     /* 2309805 */ GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2309836), // Rule ID 2068 //
     /* 2309810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2309813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309824 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309835 */   // GIR_Coverage, 2068,
     /* 2309835 */   GIR_EraseRootFromParent_Done,
     /* 2309836 */ // Label 31818: @2309836
     /* 2309836 */ GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2309867), // Rule ID 2069 //
     /* 2309841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2309844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309855 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309860 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309866 */   // GIR_Coverage, 2069,
     /* 2309866 */   GIR_EraseRootFromParent_Done,
     /* 2309867 */ // Label 31819: @2309867
     /* 2309867 */ GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2309898), // Rule ID 2186 //
     /* 2309872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309886 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309891 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309897 */   // GIR_Coverage, 2186,
     /* 2309897 */   GIR_EraseRootFromParent_Done,
     /* 2309898 */ // Label 31820: @2309898
     /* 2309898 */ GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2309929), // Rule ID 2187 //
     /* 2309903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309917 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309922 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309928 */   // GIR_Coverage, 2187,
     /* 2309928 */   GIR_EraseRootFromParent_Done,
     /* 2309929 */ // Label 31821: @2309929
     /* 2309929 */ GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2309960), // Rule ID 2198 //
     /* 2309934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309948 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309959 */   // GIR_Coverage, 2198,
     /* 2309959 */   GIR_EraseRootFromParent_Done,
     /* 2309960 */ // Label 31822: @2309960
     /* 2309960 */ GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2309991), // Rule ID 2199 //
     /* 2309965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309979 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309990 */   // GIR_Coverage, 2199,
     /* 2309990 */   GIR_EraseRootFromParent_Done,
     /* 2309991 */ // Label 31823: @2309991
     /* 2309991 */ GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2310022), // Rule ID 2209 //
     /* 2309996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2310006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310010 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2310013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310015 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310021 */   // GIR_Coverage, 2209,
     /* 2310021 */   GIR_EraseRootFromParent_Done,
     /* 2310022 */ // Label 31824: @2310022
     /* 2310022 */ GIM_Reject,
     /* 2310023 */ // Label 31805: @2310023
     /* 2310023 */ GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2310172),
     /* 2310028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310031 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2310059), // Rule ID 1454 //
     /* 2310036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2310039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310047 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2310050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310058 */     // GIR_Coverage, 1454,
     /* 2310058 */     GIR_EraseRootFromParent_Done,
     /* 2310059 */   // Label 31826: @2310059
     /* 2310059 */   GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2310087), // Rule ID 1455 //
     /* 2310064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2310067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310075 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2310075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2310078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310086 */     // GIR_Coverage, 1455,
     /* 2310086 */     GIR_EraseRootFromParent_Done,
     /* 2310087 */   // Label 31827: @2310087
     /* 2310087 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2310115), // Rule ID 1461 //
     /* 2310092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2310095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310103 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2310106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310114 */     // GIR_Coverage, 1461,
     /* 2310114 */     GIR_EraseRootFromParent_Done,
     /* 2310115 */   // Label 31828: @2310115
     /* 2310115 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2310143), // Rule ID 1466 //
     /* 2310120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2310123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310131 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2310134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310142 */     // GIR_Coverage, 1466,
     /* 2310142 */     GIR_EraseRootFromParent_Done,
     /* 2310143 */   // Label 31829: @2310143
     /* 2310143 */   GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2310171), // Rule ID 1467 //
     /* 2310148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2310151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310159 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2310159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2310162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310170 */     // GIR_Coverage, 1467,
     /* 2310170 */     GIR_EraseRootFromParent_Done,
     /* 2310171 */   // Label 31830: @2310171
     /* 2310171 */   GIM_Reject,
     /* 2310172 */ // Label 31825: @2310172
     /* 2310172 */ GIM_Reject,
     /* 2310173 */ // Label 31806: @2310173
     /* 2310173 */ GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2310282),
     /* 2310178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310189 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2310235), // Rule ID 58764 //
     /* 2310194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310197 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2310214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310234 */     // GIR_Coverage, 58764,
     /* 2310234 */     GIR_EraseRootFromParent_Done,
     /* 2310235 */   // Label 31832: @2310235
     /* 2310235 */   GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2310281), // Rule ID 58765 //
     /* 2310240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310243 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2310260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310280 */     // GIR_Coverage, 58765,
     /* 2310280 */     GIR_EraseRootFromParent_Done,
     /* 2310281 */   // Label 31833: @2310281
     /* 2310281 */   GIM_Reject,
     /* 2310282 */ // Label 31831: @2310282
     /* 2310282 */ GIM_Reject,
     /* 2310283 */ // Label 31807: @2310283
     /* 2310283 */ GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2310392),
     /* 2310288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310299 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2310345), // Rule ID 58774 //
     /* 2310304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310307 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2310324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310344 */     // GIR_Coverage, 58774,
     /* 2310344 */     GIR_EraseRootFromParent_Done,
     /* 2310345 */   // Label 31835: @2310345
     /* 2310345 */   GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2310391), // Rule ID 58775 //
     /* 2310350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310353 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2310370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310390 */     // GIR_Coverage, 58775,
     /* 2310390 */     GIR_EraseRootFromParent_Done,
     /* 2310391 */   // Label 31836: @2310391
     /* 2310391 */   GIM_Reject,
     /* 2310392 */ // Label 31834: @2310392
     /* 2310392 */ GIM_Reject,
     /* 2310393 */ // Label 31808: @2310393
     /* 2310393 */ GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2310502),
     /* 2310398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2310401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310409 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2310455), // Rule ID 58766 //
     /* 2310414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310417 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2310434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310454 */     // GIR_Coverage, 58766,
     /* 2310454 */     GIR_EraseRootFromParent_Done,
     /* 2310455 */   // Label 31838: @2310455
     /* 2310455 */   GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2310501), // Rule ID 58767 //
     /* 2310460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310463 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2310480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310500 */     // GIR_Coverage, 58767,
     /* 2310500 */     GIR_EraseRootFromParent_Done,
     /* 2310501 */   // Label 31839: @2310501
     /* 2310501 */   GIM_Reject,
     /* 2310502 */ // Label 31837: @2310502
     /* 2310502 */ GIM_Reject,
     /* 2310503 */ // Label 31809: @2310503
     /* 2310503 */ GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2310612),
     /* 2310508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2310511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310519 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2310565), // Rule ID 58776 //
     /* 2310524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310527 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310564 */     // GIR_Coverage, 58776,
     /* 2310564 */     GIR_EraseRootFromParent_Done,
     /* 2310565 */   // Label 31841: @2310565
     /* 2310565 */   GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2310611), // Rule ID 58777 //
     /* 2310570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310573 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310610 */     // GIR_Coverage, 58777,
     /* 2310610 */     GIR_EraseRootFromParent_Done,
     /* 2310611 */   // Label 31842: @2310611
     /* 2310611 */   GIM_Reject,
     /* 2310612 */ // Label 31840: @2310612
     /* 2310612 */ GIM_Reject,
     /* 2310613 */ // Label 31810: @2310613
     /* 2310613 */ GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2310722),
     /* 2310618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2310621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310629 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2310675), // Rule ID 58768 //
     /* 2310634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310637 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310674 */     // GIR_Coverage, 58768,
     /* 2310674 */     GIR_EraseRootFromParent_Done,
     /* 2310675 */   // Label 31844: @2310675
     /* 2310675 */   GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2310721), // Rule ID 58769 //
     /* 2310680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310683 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310720 */     // GIR_Coverage, 58769,
     /* 2310720 */     GIR_EraseRootFromParent_Done,
     /* 2310721 */   // Label 31845: @2310721
     /* 2310721 */   GIM_Reject,
     /* 2310722 */ // Label 31843: @2310722
     /* 2310722 */ GIM_Reject,
     /* 2310723 */ // Label 31811: @2310723
     /* 2310723 */ GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2310832),
     /* 2310728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2310731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310739 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2310785), // Rule ID 58778 //
     /* 2310744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310747 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310784 */     // GIR_Coverage, 58778,
     /* 2310784 */     GIR_EraseRootFromParent_Done,
     /* 2310785 */   // Label 31847: @2310785
     /* 2310785 */   GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2310831), // Rule ID 58779 //
     /* 2310790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310793 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310830 */     // GIR_Coverage, 58779,
     /* 2310830 */     GIR_EraseRootFromParent_Done,
     /* 2310831 */   // Label 31848: @2310831
     /* 2310831 */   GIM_Reject,
     /* 2310832 */ // Label 31846: @2310832
     /* 2310832 */ GIM_Reject,
     /* 2310833 */ // Label 31812: @2310833
     /* 2310833 */ GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2310942),
     /* 2310838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310849 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2310895), // Rule ID 58770 //
     /* 2310854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310857 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310894 */     // GIR_Coverage, 58770,
     /* 2310894 */     GIR_EraseRootFromParent_Done,
     /* 2310895 */   // Label 31850: @2310895
     /* 2310895 */   GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2310941), // Rule ID 58771 //
     /* 2310900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310903 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310940 */     // GIR_Coverage, 58771,
     /* 2310940 */     GIR_EraseRootFromParent_Done,
     /* 2310941 */   // Label 31851: @2310941
     /* 2310941 */   GIM_Reject,
     /* 2310942 */ // Label 31849: @2310942
     /* 2310942 */ GIM_Reject,
     /* 2310943 */ // Label 31813: @2310943
     /* 2310943 */ GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2311052),
     /* 2310948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310959 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2311005), // Rule ID 58780 //
     /* 2310964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310967 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2310984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311004 */     // GIR_Coverage, 58780,
     /* 2311004 */     GIR_EraseRootFromParent_Done,
     /* 2311005 */   // Label 31853: @2311005
     /* 2311005 */   GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2311051), // Rule ID 58781 //
     /* 2311010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2311013 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2311016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2311030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311050 */     // GIR_Coverage, 58781,
     /* 2311050 */     GIR_EraseRootFromParent_Done,
     /* 2311051 */   // Label 31854: @2311051
     /* 2311051 */   GIM_Reject,
     /* 2311052 */ // Label 31852: @2311052
     /* 2311052 */ GIM_Reject,
     /* 2311053 */ // Label 31814: @2311053
     /* 2311053 */ GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2311162),
     /* 2311058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2311061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311069 */   GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2311115), // Rule ID 58772 //
     /* 2311074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2311077 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2311080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2311094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311114 */     // GIR_Coverage, 58772,
     /* 2311114 */     GIR_EraseRootFromParent_Done,
     /* 2311115 */   // Label 31856: @2311115
     /* 2311115 */   GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2311161), // Rule ID 58773 //
     /* 2311120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2311123 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2311126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2311140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311160 */     // GIR_Coverage, 58773,
     /* 2311160 */     GIR_EraseRootFromParent_Done,
     /* 2311161 */   // Label 31857: @2311161
     /* 2311161 */   GIM_Reject,
     /* 2311162 */ // Label 31855: @2311162
     /* 2311162 */ GIM_Reject,
     /* 2311163 */ // Label 31815: @2311163
     /* 2311163 */ GIM_Reject,
     /* 2311164 */ // Label 67: @2311164
     /* 2311164 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31881*/ GIMT_Encode4(2316049),
     /* 2311175 */ /*GILLT_s32*//*Label 31858*/ GIMT_Encode4(2311291),
     /* 2311179 */ /*GILLT_s64*//*Label 31859*/ GIMT_Encode4(2311664), GIMT_Encode4(0),
     /* 2311187 */ /*GILLT_nxv1s8*//*Label 31860*/ GIMT_Encode4(2311851),
     /* 2311191 */ /*GILLT_nxv1s16*//*Label 31861*/ GIMT_Encode4(2311955),
     /* 2311195 */ /*GILLT_nxv1s32*//*Label 31862*/ GIMT_Encode4(2312172),
     /* 2311199 */ /*GILLT_nxv1s64*//*Label 31863*/ GIMT_Encode4(2312497), GIMT_Encode4(0),
     /* 2311207 */ /*GILLT_nxv2s8*//*Label 31864*/ GIMT_Encode4(2312714),
     /* 2311211 */ /*GILLT_nxv2s16*//*Label 31865*/ GIMT_Encode4(2312818),
     /* 2311215 */ /*GILLT_nxv2s32*//*Label 31866*/ GIMT_Encode4(2313035),
     /* 2311219 */ /*GILLT_nxv2s64*//*Label 31867*/ GIMT_Encode4(2313360), GIMT_Encode4(0),
     /* 2311227 */ /*GILLT_nxv4s8*//*Label 31868*/ GIMT_Encode4(2313577),
     /* 2311231 */ /*GILLT_nxv4s16*//*Label 31869*/ GIMT_Encode4(2313681),
     /* 2311235 */ /*GILLT_nxv4s32*//*Label 31870*/ GIMT_Encode4(2313898),
     /* 2311239 */ /*GILLT_nxv4s64*//*Label 31871*/ GIMT_Encode4(2314223), GIMT_Encode4(0),
     /* 2311247 */ /*GILLT_nxv8s8*//*Label 31872*/ GIMT_Encode4(2314440),
     /* 2311251 */ /*GILLT_nxv8s16*//*Label 31873*/ GIMT_Encode4(2314544),
     /* 2311255 */ /*GILLT_nxv8s32*//*Label 31874*/ GIMT_Encode4(2314761),
     /* 2311259 */ /*GILLT_nxv8s64*//*Label 31875*/ GIMT_Encode4(2315086), GIMT_Encode4(0),
     /* 2311267 */ /*GILLT_nxv16s8*//*Label 31876*/ GIMT_Encode4(2315303),
     /* 2311271 */ /*GILLT_nxv16s16*//*Label 31877*/ GIMT_Encode4(2315407),
     /* 2311275 */ /*GILLT_nxv16s32*//*Label 31878*/ GIMT_Encode4(2315624), GIMT_Encode4(0),
     /* 2311283 */ /*GILLT_nxv32s8*//*Label 31879*/ GIMT_Encode4(2315841),
     /* 2311287 */ /*GILLT_nxv32s16*//*Label 31880*/ GIMT_Encode4(2315945),
     /* 2311291 */ // Label 31858: @2311291
     /* 2311291 */ GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2311322), // Rule ID 1346 //
     /* 2311296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2311299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311310 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2311313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311315 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311321 */   // GIR_Coverage, 1346,
     /* 2311321 */   GIR_EraseRootFromParent_Done,
     /* 2311322 */ // Label 31882: @2311322
     /* 2311322 */ GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2311353), // Rule ID 1347 //
     /* 2311327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2311330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311341 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2311341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2311344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311346 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311352 */   // GIR_Coverage, 1347,
     /* 2311352 */   GIR_EraseRootFromParent_Done,
     /* 2311353 */ // Label 31883: @2311353
     /* 2311353 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2311384), // Rule ID 1372 //
     /* 2311358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2311361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311372 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2311375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311377 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311383 */   // GIR_Coverage, 1372,
     /* 2311383 */   GIR_EraseRootFromParent_Done,
     /* 2311384 */ // Label 31884: @2311384
     /* 2311384 */ GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2311415), // Rule ID 1373 //
     /* 2311389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2311392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311403 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2311403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2311406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311408 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311414 */   // GIR_Coverage, 1373,
     /* 2311414 */   GIR_EraseRootFromParent_Done,
     /* 2311415 */ // Label 31885: @2311415
     /* 2311415 */ GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2311446), // Rule ID 1740 //
     /* 2311420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2311423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311434 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2311437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311439 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311445 */   // GIR_Coverage, 1740,
     /* 2311445 */   GIR_EraseRootFromParent_Done,
     /* 2311446 */ // Label 31886: @2311446
     /* 2311446 */ GIM_Try, /*On fail goto*//*Label 31887*/ GIMT_Encode4(2311477), // Rule ID 1741 //
     /* 2311451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2311454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311465 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2311468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311476 */   // GIR_Coverage, 1741,
     /* 2311476 */   GIR_EraseRootFromParent_Done,
     /* 2311477 */ // Label 31887: @2311477
     /* 2311477 */ GIM_Try, /*On fail goto*//*Label 31888*/ GIMT_Encode4(2311508), // Rule ID 1766 //
     /* 2311482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2311485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311496 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311501 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311507 */   // GIR_Coverage, 1766,
     /* 2311507 */   GIR_EraseRootFromParent_Done,
     /* 2311508 */ // Label 31888: @2311508
     /* 2311508 */ GIM_Try, /*On fail goto*//*Label 31889*/ GIMT_Encode4(2311539), // Rule ID 1767 //
     /* 2311513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2311516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311527 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311538 */   // GIR_Coverage, 1767,
     /* 2311538 */   GIR_EraseRootFromParent_Done,
     /* 2311539 */ // Label 31889: @2311539
     /* 2311539 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2311570), // Rule ID 2082 //
     /* 2311544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2311547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311558 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311569 */   // GIR_Coverage, 2082,
     /* 2311569 */   GIR_EraseRootFromParent_Done,
     /* 2311570 */ // Label 31890: @2311570
     /* 2311570 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2311601), // Rule ID 2083 //
     /* 2311575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2311578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311589 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311594 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311600 */   // GIR_Coverage, 2083,
     /* 2311600 */   GIR_EraseRootFromParent_Done,
     /* 2311601 */ // Label 31891: @2311601
     /* 2311601 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2311632), // Rule ID 2108 //
     /* 2311606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2311609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311620 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311631 */   // GIR_Coverage, 2108,
     /* 2311631 */   GIR_EraseRootFromParent_Done,
     /* 2311632 */ // Label 31892: @2311632
     /* 2311632 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2311663), // Rule ID 2109 //
     /* 2311637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2311640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311651 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311656 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311662 */   // GIR_Coverage, 2109,
     /* 2311662 */   GIR_EraseRootFromParent_Done,
     /* 2311663 */ // Label 31893: @2311663
     /* 2311663 */ GIM_Reject,
     /* 2311664 */ // Label 31859: @2311664
     /* 2311664 */ GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2311695), // Rule ID 1403 //
     /* 2311669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2311672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311683 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2311686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311694 */   // GIR_Coverage, 1403,
     /* 2311694 */   GIR_EraseRootFromParent_Done,
     /* 2311695 */ // Label 31894: @2311695
     /* 2311695 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2311726), // Rule ID 1431 //
     /* 2311700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2311703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311714 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2311717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311725 */   // GIR_Coverage, 1431,
     /* 2311725 */   GIR_EraseRootFromParent_Done,
     /* 2311726 */ // Label 31895: @2311726
     /* 2311726 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2311757), // Rule ID 1803 //
     /* 2311731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2311734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311745 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2311748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311756 */   // GIR_Coverage, 1803,
     /* 2311756 */   GIR_EraseRootFromParent_Done,
     /* 2311757 */ // Label 31896: @2311757
     /* 2311757 */ GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2311788), // Rule ID 1831 //
     /* 2311762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2311765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311776 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2311779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311787 */   // GIR_Coverage, 1831,
     /* 2311787 */   GIR_EraseRootFromParent_Done,
     /* 2311788 */ // Label 31897: @2311788
     /* 2311788 */ GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2311819), // Rule ID 2137 //
     /* 2311793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2311796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311807 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2311810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311812 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311818 */   // GIR_Coverage, 2137,
     /* 2311818 */   GIR_EraseRootFromParent_Done,
     /* 2311819 */ // Label 31898: @2311819
     /* 2311819 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2311850), // Rule ID 2163 //
     /* 2311824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2311827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311838 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2311841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311843 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311849 */   // GIR_Coverage, 2163,
     /* 2311849 */   GIR_EraseRootFromParent_Done,
     /* 2311850 */ // Label 31899: @2311850
     /* 2311850 */ GIM_Reject,
     /* 2311851 */ // Label 31860: @2311851
     /* 2311851 */ GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2311954),
     /* 2311856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311867 */   GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2311910), // Rule ID 45698 //
     /* 2311872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311875 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311909 */     // GIR_Coverage, 45698,
     /* 2311909 */     GIR_EraseRootFromParent_Done,
     /* 2311910 */   // Label 31901: @2311910
     /* 2311910 */   GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2311953), // Rule ID 45699 //
     /* 2311915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311918 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311952 */     // GIR_Coverage, 45699,
     /* 2311952 */     GIR_EraseRootFromParent_Done,
     /* 2311953 */   // Label 31902: @2311953
     /* 2311953 */   GIM_Reject,
     /* 2311954 */ // Label 31900: @2311954
     /* 2311954 */ GIM_Reject,
     /* 2311955 */ // Label 31861: @2311955
     /* 2311955 */ GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2312009), // Rule ID 45682 //
     /* 2311960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311974 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311974 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311977 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311981 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311986 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2311991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311993 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311996 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312008 */   // GIR_Coverage, 45682,
     /* 2312008 */   GIR_EraseRootFromParent_Done,
     /* 2312009 */ // Label 31903: @2312009
     /* 2312009 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2312063), // Rule ID 45683 //
     /* 2312014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312028 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312028 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2312031 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312035 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312040 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2312045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312047 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312050 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312062 */   // GIR_Coverage, 45683,
     /* 2312062 */   GIR_EraseRootFromParent_Done,
     /* 2312063 */ // Label 31904: @2312063
     /* 2312063 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2312117), // Rule ID 58602 //
     /* 2312068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312082 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312082 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2312085 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312089 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312094 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312101 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312116 */   // GIR_Coverage, 58602,
     /* 2312116 */   GIR_EraseRootFromParent_Done,
     /* 2312117 */ // Label 31905: @2312117
     /* 2312117 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2312171), // Rule ID 58603 //
     /* 2312122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312136 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2312139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312158 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312170 */   // GIR_Coverage, 58603,
     /* 2312170 */   GIR_EraseRootFromParent_Done,
     /* 2312171 */ // Label 31906: @2312171
     /* 2312171 */ GIM_Reject,
     /* 2312172 */ // Label 31862: @2312172
     /* 2312172 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2312226), // Rule ID 45690 //
     /* 2312177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312191 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312191 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312194 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312198 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2312208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312213 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312225 */   // GIR_Coverage, 45690,
     /* 2312225 */   GIR_EraseRootFromParent_Done,
     /* 2312226 */ // Label 31907: @2312226
     /* 2312226 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2312280), // Rule ID 45691 //
     /* 2312231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312245 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312245 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312248 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312252 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312257 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2312262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312264 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312267 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312279 */   // GIR_Coverage, 45691,
     /* 2312279 */   GIR_EraseRootFromParent_Done,
     /* 2312280 */ // Label 31908: @2312280
     /* 2312280 */ GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2312334), // Rule ID 58170 //
     /* 2312285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312299 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312299 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312302 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312306 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312311 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312318 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312321 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312333 */   // GIR_Coverage, 58170,
     /* 2312333 */   GIR_EraseRootFromParent_Done,
     /* 2312334 */ // Label 31909: @2312334
     /* 2312334 */ GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2312388), // Rule ID 58171 //
     /* 2312339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312353 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312365 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312372 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312375 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312387 */   // GIR_Coverage, 58171,
     /* 2312387 */   GIR_EraseRootFromParent_Done,
     /* 2312388 */ // Label 31910: @2312388
     /* 2312388 */ GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2312442), // Rule ID 58622 //
     /* 2312393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312407 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312441 */   // GIR_Coverage, 58622,
     /* 2312441 */   GIR_EraseRootFromParent_Done,
     /* 2312442 */ // Label 31911: @2312442
     /* 2312442 */ GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2312496), // Rule ID 58623 //
     /* 2312447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312461 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312480 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312495 */   // GIR_Coverage, 58623,
     /* 2312495 */   GIR_EraseRootFromParent_Done,
     /* 2312496 */ // Label 31912: @2312496
     /* 2312496 */ GIM_Reject,
     /* 2312497 */ // Label 31863: @2312497
     /* 2312497 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2312551), // Rule ID 58182 //
     /* 2312502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312516 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312550 */   // GIR_Coverage, 58182,
     /* 2312550 */   GIR_EraseRootFromParent_Done,
     /* 2312551 */ // Label 31913: @2312551
     /* 2312551 */ GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2312605), // Rule ID 58183 //
     /* 2312556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2312559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312570 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312570 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312573 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312577 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312582 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312589 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312592 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312604 */   // GIR_Coverage, 58183,
     /* 2312604 */   GIR_EraseRootFromParent_Done,
     /* 2312605 */ // Label 31914: @2312605
     /* 2312605 */ GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2312659), // Rule ID 58414 //
     /* 2312610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2312613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312624 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312624 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312627 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312631 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312636 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312643 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312646 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312658 */   // GIR_Coverage, 58414,
     /* 2312658 */   GIR_EraseRootFromParent_Done,
     /* 2312659 */ // Label 31915: @2312659
     /* 2312659 */ GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2312713), // Rule ID 58415 //
     /* 2312664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2312667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312678 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312690 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312712 */   // GIR_Coverage, 58415,
     /* 2312712 */   GIR_EraseRootFromParent_Done,
     /* 2312713 */ // Label 31916: @2312713
     /* 2312713 */ GIM_Reject,
     /* 2312714 */ // Label 31864: @2312714
     /* 2312714 */ GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2312817),
     /* 2312719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312730 */   GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2312773), // Rule ID 58582 //
     /* 2312735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312738 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312772 */     // GIR_Coverage, 58582,
     /* 2312772 */     GIR_EraseRootFromParent_Done,
     /* 2312773 */   // Label 31918: @2312773
     /* 2312773 */   GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2312816), // Rule ID 58583 //
     /* 2312778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312781 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312815 */     // GIR_Coverage, 58583,
     /* 2312815 */     GIR_EraseRootFromParent_Done,
     /* 2312816 */   // Label 31919: @2312816
     /* 2312816 */   GIM_Reject,
     /* 2312817 */ // Label 31917: @2312817
     /* 2312817 */ GIM_Reject,
     /* 2312818 */ // Label 31865: @2312818
     /* 2312818 */ GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2312872), // Rule ID 58166 //
     /* 2312823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312837 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312837 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312840 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312844 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312856 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312859 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312871 */   // GIR_Coverage, 58166,
     /* 2312871 */   GIR_EraseRootFromParent_Done,
     /* 2312872 */ // Label 31920: @2312872
     /* 2312872 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2312926), // Rule ID 58167 //
     /* 2312877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312891 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312891 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312894 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312898 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312913 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312925 */   // GIR_Coverage, 58167,
     /* 2312925 */   GIR_EraseRootFromParent_Done,
     /* 2312926 */ // Label 31921: @2312926
     /* 2312926 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2312980), // Rule ID 58606 //
     /* 2312931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312945 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312945 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312948 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312952 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312967 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312979 */   // GIR_Coverage, 58606,
     /* 2312979 */   GIR_EraseRootFromParent_Done,
     /* 2312980 */ // Label 31922: @2312980
     /* 2312980 */ GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2313034), // Rule ID 58607 //
     /* 2312985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312999 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2313002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313018 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313033 */   // GIR_Coverage, 58607,
     /* 2313033 */   GIR_EraseRootFromParent_Done,
     /* 2313034 */ // Label 31923: @2313034
     /* 2313034 */ GIM_Reject,
     /* 2313035 */ // Label 31866: @2313035
     /* 2313035 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2313089), // Rule ID 58178 //
     /* 2313040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313054 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313066 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313073 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313076 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313088 */   // GIR_Coverage, 58178,
     /* 2313088 */   GIR_EraseRootFromParent_Done,
     /* 2313089 */ // Label 31924: @2313089
     /* 2313089 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2313143), // Rule ID 58179 //
     /* 2313094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313108 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313108 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313111 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313115 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313120 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313127 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313130 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313142 */   // GIR_Coverage, 58179,
     /* 2313142 */   GIR_EraseRootFromParent_Done,
     /* 2313143 */ // Label 31925: @2313143
     /* 2313143 */ GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2313197), // Rule ID 58398 //
     /* 2313148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313162 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313174 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2313179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313184 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313196 */   // GIR_Coverage, 58398,
     /* 2313196 */   GIR_EraseRootFromParent_Done,
     /* 2313197 */ // Label 31926: @2313197
     /* 2313197 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2313251), // Rule ID 58399 //
     /* 2313202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313216 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313216 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313219 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313223 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2313233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313250 */   // GIR_Coverage, 58399,
     /* 2313250 */   GIR_EraseRootFromParent_Done,
     /* 2313251 */ // Label 31927: @2313251
     /* 2313251 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2313305), // Rule ID 58626 //
     /* 2313256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2313259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313270 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313270 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313273 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313277 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313282 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313289 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313304 */   // GIR_Coverage, 58626,
     /* 2313304 */   GIR_EraseRootFromParent_Done,
     /* 2313305 */ // Label 31928: @2313305
     /* 2313305 */ GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2313359), // Rule ID 58627 //
     /* 2313310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2313313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313324 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313324 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313327 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313331 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313346 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313358 */   // GIR_Coverage, 58627,
     /* 2313358 */   GIR_EraseRootFromParent_Done,
     /* 2313359 */ // Label 31929: @2313359
     /* 2313359 */ GIM_Reject,
     /* 2313360 */ // Label 31867: @2313360
     /* 2313360 */ GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2313414), // Rule ID 58210 //
     /* 2313365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2313368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313379 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313401 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313413 */   // GIR_Coverage, 58210,
     /* 2313413 */   GIR_EraseRootFromParent_Done,
     /* 2313414 */ // Label 31930: @2313414
     /* 2313414 */ GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2313468), // Rule ID 58211 //
     /* 2313419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2313422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313433 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313455 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313467 */   // GIR_Coverage, 58211,
     /* 2313467 */   GIR_EraseRootFromParent_Done,
     /* 2313468 */ // Label 31931: @2313468
     /* 2313468 */ GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2313522), // Rule ID 58418 //
     /* 2313473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313487 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313521 */   // GIR_Coverage, 58418,
     /* 2313521 */   GIR_EraseRootFromParent_Done,
     /* 2313522 */ // Label 31932: @2313522
     /* 2313522 */ GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2313576), // Rule ID 58419 //
     /* 2313527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2313530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313541 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313575 */   // GIR_Coverage, 58419,
     /* 2313575 */   GIR_EraseRootFromParent_Done,
     /* 2313576 */ // Label 31933: @2313576
     /* 2313576 */ GIM_Reject,
     /* 2313577 */ // Label 31868: @2313577
     /* 2313577 */ GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2313680),
     /* 2313582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313593 */   GIM_Try, /*On fail goto*//*Label 31935*/ GIMT_Encode4(2313636), // Rule ID 58586 //
     /* 2313598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313601 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313635 */     // GIR_Coverage, 58586,
     /* 2313635 */     GIR_EraseRootFromParent_Done,
     /* 2313636 */   // Label 31935: @2313636
     /* 2313636 */   GIM_Try, /*On fail goto*//*Label 31936*/ GIMT_Encode4(2313679), // Rule ID 58587 //
     /* 2313641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313644 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313678 */     // GIR_Coverage, 58587,
     /* 2313678 */     GIR_EraseRootFromParent_Done,
     /* 2313679 */   // Label 31936: @2313679
     /* 2313679 */   GIM_Reject,
     /* 2313680 */ // Label 31934: @2313680
     /* 2313680 */ GIM_Reject,
     /* 2313681 */ // Label 31869: @2313681
     /* 2313681 */ GIM_Try, /*On fail goto*//*Label 31937*/ GIMT_Encode4(2313735), // Rule ID 58174 //
     /* 2313686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313700 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313700 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313703 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313707 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313712 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313719 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313722 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313734 */   // GIR_Coverage, 58174,
     /* 2313734 */   GIR_EraseRootFromParent_Done,
     /* 2313735 */ // Label 31937: @2313735
     /* 2313735 */ GIM_Try, /*On fail goto*//*Label 31938*/ GIMT_Encode4(2313789), // Rule ID 58175 //
     /* 2313740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313754 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313776 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313788 */   // GIR_Coverage, 58175,
     /* 2313788 */   GIR_EraseRootFromParent_Done,
     /* 2313789 */ // Label 31938: @2313789
     /* 2313789 */ GIM_Try, /*On fail goto*//*Label 31939*/ GIMT_Encode4(2313843), // Rule ID 58610 //
     /* 2313794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313808 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313842 */   // GIR_Coverage, 58610,
     /* 2313842 */   GIR_EraseRootFromParent_Done,
     /* 2313843 */ // Label 31939: @2313843
     /* 2313843 */ GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2313897), // Rule ID 58611 //
     /* 2313848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313862 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313881 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313884 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313896 */   // GIR_Coverage, 58611,
     /* 2313896 */   GIR_EraseRootFromParent_Done,
     /* 2313897 */ // Label 31940: @2313897
     /* 2313897 */ GIM_Reject,
     /* 2313898 */ // Label 31870: @2313898
     /* 2313898 */ GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2313952), // Rule ID 58198 //
     /* 2313903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313917 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313917 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313920 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313924 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313929 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313936 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313939 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313951 */   // GIR_Coverage, 58198,
     /* 2313951 */   GIR_EraseRootFromParent_Done,
     /* 2313952 */ // Label 31941: @2313952
     /* 2313952 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2314006), // Rule ID 58199 //
     /* 2313957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313971 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313983 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313990 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313993 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314005 */   // GIR_Coverage, 58199,
     /* 2314005 */   GIR_EraseRootFromParent_Done,
     /* 2314006 */ // Label 31942: @2314006
     /* 2314006 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2314060), // Rule ID 58402 //
     /* 2314011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314025 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2314042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314059 */   // GIR_Coverage, 58402,
     /* 2314059 */   GIR_EraseRootFromParent_Done,
     /* 2314060 */ // Label 31943: @2314060
     /* 2314060 */ GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2314114), // Rule ID 58403 //
     /* 2314065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314079 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2314096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314113 */   // GIR_Coverage, 58403,
     /* 2314113 */   GIR_EraseRootFromParent_Done,
     /* 2314114 */ // Label 31944: @2314114
     /* 2314114 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2314168), // Rule ID 58630 //
     /* 2314119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2314122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314133 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314167 */   // GIR_Coverage, 58630,
     /* 2314167 */   GIR_EraseRootFromParent_Done,
     /* 2314168 */ // Label 31945: @2314168
     /* 2314168 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2314222), // Rule ID 58631 //
     /* 2314173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2314176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314187 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314221 */   // GIR_Coverage, 58631,
     /* 2314221 */   GIR_EraseRootFromParent_Done,
     /* 2314222 */ // Label 31946: @2314222
     /* 2314222 */ GIM_Reject,
     /* 2314223 */ // Label 31871: @2314223
     /* 2314223 */ GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2314277), // Rule ID 58214 //
     /* 2314228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2314231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314242 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314242 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314245 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314249 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314264 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314276 */   // GIR_Coverage, 58214,
     /* 2314276 */   GIR_EraseRootFromParent_Done,
     /* 2314277 */ // Label 31947: @2314277
     /* 2314277 */ GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2314331), // Rule ID 58215 //
     /* 2314282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2314285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314296 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314296 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314299 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314303 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314318 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314330 */   // GIR_Coverage, 58215,
     /* 2314330 */   GIR_EraseRootFromParent_Done,
     /* 2314331 */ // Label 31948: @2314331
     /* 2314331 */ GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2314385), // Rule ID 58422 //
     /* 2314336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2314339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2314342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314350 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314369 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314384 */   // GIR_Coverage, 58422,
     /* 2314384 */   GIR_EraseRootFromParent_Done,
     /* 2314385 */ // Label 31949: @2314385
     /* 2314385 */ GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2314439), // Rule ID 58423 //
     /* 2314390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2314393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2314396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314404 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314438 */   // GIR_Coverage, 58423,
     /* 2314438 */   GIR_EraseRootFromParent_Done,
     /* 2314439 */ // Label 31950: @2314439
     /* 2314439 */ GIM_Reject,
     /* 2314440 */ // Label 31872: @2314440
     /* 2314440 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2314543),
     /* 2314445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314456 */   GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2314499), // Rule ID 58590 //
     /* 2314461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314464 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314498 */     // GIR_Coverage, 58590,
     /* 2314498 */     GIR_EraseRootFromParent_Done,
     /* 2314499 */   // Label 31952: @2314499
     /* 2314499 */   GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2314542), // Rule ID 58591 //
     /* 2314504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314507 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314541 */     // GIR_Coverage, 58591,
     /* 2314541 */     GIR_EraseRootFromParent_Done,
     /* 2314542 */   // Label 31953: @2314542
     /* 2314542 */   GIM_Reject,
     /* 2314543 */ // Label 31951: @2314543
     /* 2314543 */ GIM_Reject,
     /* 2314544 */ // Label 31873: @2314544
     /* 2314544 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2314598), // Rule ID 58186 //
     /* 2314549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314563 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314563 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314566 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314570 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314597 */   // GIR_Coverage, 58186,
     /* 2314597 */   GIR_EraseRootFromParent_Done,
     /* 2314598 */ // Label 31954: @2314598
     /* 2314598 */ GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2314652), // Rule ID 58187 //
     /* 2314603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314617 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314651 */   // GIR_Coverage, 58187,
     /* 2314651 */   GIR_EraseRootFromParent_Done,
     /* 2314652 */ // Label 31955: @2314652
     /* 2314652 */ GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2314706), // Rule ID 58614 //
     /* 2314657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314671 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314705 */   // GIR_Coverage, 58614,
     /* 2314705 */   GIR_EraseRootFromParent_Done,
     /* 2314706 */ // Label 31956: @2314706
     /* 2314706 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2314760), // Rule ID 58615 //
     /* 2314711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314725 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314759 */   // GIR_Coverage, 58615,
     /* 2314759 */   GIR_EraseRootFromParent_Done,
     /* 2314760 */ // Label 31957: @2314760
     /* 2314760 */ GIM_Reject,
     /* 2314761 */ // Label 31874: @2314761
     /* 2314761 */ GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2314815), // Rule ID 58202 //
     /* 2314766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314780 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314780 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314783 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314787 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314792 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314802 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314814 */   // GIR_Coverage, 58202,
     /* 2314814 */   GIR_EraseRootFromParent_Done,
     /* 2314815 */ // Label 31958: @2314815
     /* 2314815 */ GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2314869), // Rule ID 58203 //
     /* 2314820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314834 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314834 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314837 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314841 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314846 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314853 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314856 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314868 */   // GIR_Coverage, 58203,
     /* 2314868 */   GIR_EraseRootFromParent_Done,
     /* 2314869 */ // Label 31959: @2314869
     /* 2314869 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2314923), // Rule ID 58406 //
     /* 2314874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314888 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314922 */   // GIR_Coverage, 58406,
     /* 2314922 */   GIR_EraseRootFromParent_Done,
     /* 2314923 */ // Label 31960: @2314923
     /* 2314923 */ GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2314977), // Rule ID 58407 //
     /* 2314928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314942 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314976 */   // GIR_Coverage, 58407,
     /* 2314976 */   GIR_EraseRootFromParent_Done,
     /* 2314977 */ // Label 31961: @2314977
     /* 2314977 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2315031), // Rule ID 58634 //
     /* 2314982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2314985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314996 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315030 */   // GIR_Coverage, 58634,
     /* 2315030 */   GIR_EraseRootFromParent_Done,
     /* 2315031 */ // Label 31962: @2315031
     /* 2315031 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2315085), // Rule ID 58635 //
     /* 2315036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2315039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315050 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315050 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2315053 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315057 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315062 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315069 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315072 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315084 */   // GIR_Coverage, 58635,
     /* 2315084 */   GIR_EraseRootFromParent_Done,
     /* 2315085 */ // Label 31963: @2315085
     /* 2315085 */ GIM_Reject,
     /* 2315086 */ // Label 31875: @2315086
     /* 2315086 */ GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2315140), // Rule ID 58218 //
     /* 2315091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2315094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315105 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315139 */   // GIR_Coverage, 58218,
     /* 2315139 */   GIR_EraseRootFromParent_Done,
     /* 2315140 */ // Label 31964: @2315140
     /* 2315140 */ GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2315194), // Rule ID 58219 //
     /* 2315145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2315148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315159 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315159 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315166 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315181 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315193 */   // GIR_Coverage, 58219,
     /* 2315193 */   GIR_EraseRootFromParent_Done,
     /* 2315194 */ // Label 31965: @2315194
     /* 2315194 */ GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2315248), // Rule ID 58426 //
     /* 2315199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2315202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2315205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315213 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315232 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315247 */   // GIR_Coverage, 58426,
     /* 2315247 */   GIR_EraseRootFromParent_Done,
     /* 2315248 */ // Label 31966: @2315248
     /* 2315248 */ GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2315302), // Rule ID 58427 //
     /* 2315253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2315256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2315259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315267 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315267 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315270 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315274 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315279 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315286 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315301 */   // GIR_Coverage, 58427,
     /* 2315301 */   GIR_EraseRootFromParent_Done,
     /* 2315302 */ // Label 31967: @2315302
     /* 2315302 */ GIM_Reject,
     /* 2315303 */ // Label 31876: @2315303
     /* 2315303 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2315406),
     /* 2315308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315319 */   GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2315362), // Rule ID 58594 //
     /* 2315324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315327 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2315330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2315344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315361 */     // GIR_Coverage, 58594,
     /* 2315361 */     GIR_EraseRootFromParent_Done,
     /* 2315362 */   // Label 31969: @2315362
     /* 2315362 */   GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2315405), // Rule ID 58595 //
     /* 2315367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315370 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2315373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2315387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315404 */     // GIR_Coverage, 58595,
     /* 2315404 */     GIR_EraseRootFromParent_Done,
     /* 2315405 */   // Label 31970: @2315405
     /* 2315405 */   GIM_Reject,
     /* 2315406 */ // Label 31968: @2315406
     /* 2315406 */ GIM_Reject,
     /* 2315407 */ // Label 31877: @2315407
     /* 2315407 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2315461), // Rule ID 58190 //
     /* 2315412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315426 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315438 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315445 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315448 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315460 */   // GIR_Coverage, 58190,
     /* 2315460 */   GIR_EraseRootFromParent_Done,
     /* 2315461 */ // Label 31971: @2315461
     /* 2315461 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2315515), // Rule ID 58191 //
     /* 2315466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315480 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315480 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315483 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315487 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315492 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315499 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315502 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315514 */   // GIR_Coverage, 58191,
     /* 2315514 */   GIR_EraseRootFromParent_Done,
     /* 2315515 */ // Label 31972: @2315515
     /* 2315515 */ GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2315569), // Rule ID 58618 //
     /* 2315520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315534 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315556 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315568 */   // GIR_Coverage, 58618,
     /* 2315568 */   GIR_EraseRootFromParent_Done,
     /* 2315569 */ // Label 31973: @2315569
     /* 2315569 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2315623), // Rule ID 58619 //
     /* 2315574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315588 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315622 */   // GIR_Coverage, 58619,
     /* 2315622 */   GIR_EraseRootFromParent_Done,
     /* 2315623 */ // Label 31974: @2315623
     /* 2315623 */ GIM_Reject,
     /* 2315624 */ // Label 31878: @2315624
     /* 2315624 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2315678), // Rule ID 58206 //
     /* 2315629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315643 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315643 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315646 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315650 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315677 */   // GIR_Coverage, 58206,
     /* 2315677 */   GIR_EraseRootFromParent_Done,
     /* 2315678 */ // Label 31975: @2315678
     /* 2315678 */ GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2315732), // Rule ID 58207 //
     /* 2315683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315697 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315731 */   // GIR_Coverage, 58207,
     /* 2315731 */   GIR_EraseRootFromParent_Done,
     /* 2315732 */ // Label 31976: @2315732
     /* 2315732 */ GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2315786), // Rule ID 58410 //
     /* 2315737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315751 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315763 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315773 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315785 */   // GIR_Coverage, 58410,
     /* 2315785 */   GIR_EraseRootFromParent_Done,
     /* 2315786 */ // Label 31977: @2315786
     /* 2315786 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2315840), // Rule ID 58411 //
     /* 2315791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315805 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315824 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315827 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315839 */   // GIR_Coverage, 58411,
     /* 2315839 */   GIR_EraseRootFromParent_Done,
     /* 2315840 */ // Label 31978: @2315840
     /* 2315840 */ GIM_Reject,
     /* 2315841 */ // Label 31879: @2315841
     /* 2315841 */ GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2315944),
     /* 2315846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315857 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2315900), // Rule ID 58598 //
     /* 2315862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315865 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315899 */     // GIR_Coverage, 58598,
     /* 2315899 */     GIR_EraseRootFromParent_Done,
     /* 2315900 */   // Label 31980: @2315900
     /* 2315900 */   GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2315943), // Rule ID 58599 //
     /* 2315905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315908 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315942 */     // GIR_Coverage, 58599,
     /* 2315942 */     GIR_EraseRootFromParent_Done,
     /* 2315943 */   // Label 31981: @2315943
     /* 2315943 */   GIM_Reject,
     /* 2315944 */ // Label 31979: @2315944
     /* 2315944 */ GIM_Reject,
     /* 2315945 */ // Label 31880: @2315945
     /* 2315945 */ GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2316048),
     /* 2315950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315961 */   GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2316004), // Rule ID 58194 //
     /* 2315966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315969 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2315972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316003 */     // GIR_Coverage, 58194,
     /* 2316003 */     GIR_EraseRootFromParent_Done,
     /* 2316004 */   // Label 31983: @2316004
     /* 2316004 */   GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2316047), // Rule ID 58195 //
     /* 2316009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316012 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2316015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2316029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316046 */     // GIR_Coverage, 58195,
     /* 2316046 */     GIR_EraseRootFromParent_Done,
     /* 2316047 */   // Label 31984: @2316047
     /* 2316047 */   GIM_Reject,
     /* 2316048 */ // Label 31982: @2316048
     /* 2316048 */ GIM_Reject,
     /* 2316049 */ // Label 31881: @2316049
     /* 2316049 */ GIM_Reject,
     /* 2316050 */ // Label 68: @2316050
     /* 2316050 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32008*/ GIMT_Encode4(2320935),
     /* 2316061 */ /*GILLT_s32*//*Label 31985*/ GIMT_Encode4(2316177),
     /* 2316065 */ /*GILLT_s64*//*Label 31986*/ GIMT_Encode4(2316550), GIMT_Encode4(0),
     /* 2316073 */ /*GILLT_nxv1s8*//*Label 31987*/ GIMT_Encode4(2316737),
     /* 2316077 */ /*GILLT_nxv1s16*//*Label 31988*/ GIMT_Encode4(2316841),
     /* 2316081 */ /*GILLT_nxv1s32*//*Label 31989*/ GIMT_Encode4(2317058),
     /* 2316085 */ /*GILLT_nxv1s64*//*Label 31990*/ GIMT_Encode4(2317383), GIMT_Encode4(0),
     /* 2316093 */ /*GILLT_nxv2s8*//*Label 31991*/ GIMT_Encode4(2317600),
     /* 2316097 */ /*GILLT_nxv2s16*//*Label 31992*/ GIMT_Encode4(2317704),
     /* 2316101 */ /*GILLT_nxv2s32*//*Label 31993*/ GIMT_Encode4(2317921),
     /* 2316105 */ /*GILLT_nxv2s64*//*Label 31994*/ GIMT_Encode4(2318246), GIMT_Encode4(0),
     /* 2316113 */ /*GILLT_nxv4s8*//*Label 31995*/ GIMT_Encode4(2318463),
     /* 2316117 */ /*GILLT_nxv4s16*//*Label 31996*/ GIMT_Encode4(2318567),
     /* 2316121 */ /*GILLT_nxv4s32*//*Label 31997*/ GIMT_Encode4(2318784),
     /* 2316125 */ /*GILLT_nxv4s64*//*Label 31998*/ GIMT_Encode4(2319109), GIMT_Encode4(0),
     /* 2316133 */ /*GILLT_nxv8s8*//*Label 31999*/ GIMT_Encode4(2319326),
     /* 2316137 */ /*GILLT_nxv8s16*//*Label 32000*/ GIMT_Encode4(2319430),
     /* 2316141 */ /*GILLT_nxv8s32*//*Label 32001*/ GIMT_Encode4(2319647),
     /* 2316145 */ /*GILLT_nxv8s64*//*Label 32002*/ GIMT_Encode4(2319972), GIMT_Encode4(0),
     /* 2316153 */ /*GILLT_nxv16s8*//*Label 32003*/ GIMT_Encode4(2320189),
     /* 2316157 */ /*GILLT_nxv16s16*//*Label 32004*/ GIMT_Encode4(2320293),
     /* 2316161 */ /*GILLT_nxv16s32*//*Label 32005*/ GIMT_Encode4(2320510), GIMT_Encode4(0),
     /* 2316169 */ /*GILLT_nxv32s8*//*Label 32006*/ GIMT_Encode4(2320727),
     /* 2316173 */ /*GILLT_nxv32s16*//*Label 32007*/ GIMT_Encode4(2320831),
     /* 2316177 */ // Label 31985: @2316177
     /* 2316177 */ GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2316208), // Rule ID 1350 //
     /* 2316182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2316185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316196 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2316199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316207 */   // GIR_Coverage, 1350,
     /* 2316207 */   GIR_EraseRootFromParent_Done,
     /* 2316208 */ // Label 32009: @2316208
     /* 2316208 */ GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2316239), // Rule ID 1351 //
     /* 2316213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2316216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316227 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2316227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2316230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316232 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316238 */   // GIR_Coverage, 1351,
     /* 2316238 */   GIR_EraseRootFromParent_Done,
     /* 2316239 */ // Label 32010: @2316239
     /* 2316239 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2316270), // Rule ID 1376 //
     /* 2316244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2316247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316258 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2316261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316269 */   // GIR_Coverage, 1376,
     /* 2316269 */   GIR_EraseRootFromParent_Done,
     /* 2316270 */ // Label 32011: @2316270
     /* 2316270 */ GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2316301), // Rule ID 1377 //
     /* 2316275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2316278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316289 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2316289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2316292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316294 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316300 */   // GIR_Coverage, 1377,
     /* 2316300 */   GIR_EraseRootFromParent_Done,
     /* 2316301 */ // Label 32012: @2316301
     /* 2316301 */ GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2316332), // Rule ID 1744 //
     /* 2316306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2316309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316320 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2316323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316331 */   // GIR_Coverage, 1744,
     /* 2316331 */   GIR_EraseRootFromParent_Done,
     /* 2316332 */ // Label 32013: @2316332
     /* 2316332 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2316363), // Rule ID 1745 //
     /* 2316337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2316340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316351 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2316351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2316354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316362 */   // GIR_Coverage, 1745,
     /* 2316362 */   GIR_EraseRootFromParent_Done,
     /* 2316363 */ // Label 32014: @2316363
     /* 2316363 */ GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2316394), // Rule ID 1770 //
     /* 2316368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2316371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2316382 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2316385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316393 */   // GIR_Coverage, 1770,
     /* 2316393 */   GIR_EraseRootFromParent_Done,
     /* 2316394 */ // Label 32015: @2316394
     /* 2316394 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2316425), // Rule ID 1771 //
     /* 2316399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2316402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2316413 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2316413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2316416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316424 */   // GIR_Coverage, 1771,
     /* 2316424 */   GIR_EraseRootFromParent_Done,
     /* 2316425 */ // Label 32016: @2316425
     /* 2316425 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2316456), // Rule ID 2086 //
     /* 2316430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2316433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316444 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316455 */   // GIR_Coverage, 2086,
     /* 2316455 */   GIR_EraseRootFromParent_Done,
     /* 2316456 */ // Label 32017: @2316456
     /* 2316456 */ GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2316487), // Rule ID 2087 //
     /* 2316461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2316464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316475 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316486 */   // GIR_Coverage, 2087,
     /* 2316486 */   GIR_EraseRootFromParent_Done,
     /* 2316487 */ // Label 32018: @2316487
     /* 2316487 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2316518), // Rule ID 2112 //
     /* 2316492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2316495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316506 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316517 */   // GIR_Coverage, 2112,
     /* 2316517 */   GIR_EraseRootFromParent_Done,
     /* 2316518 */ // Label 32019: @2316518
     /* 2316518 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2316549), // Rule ID 2113 //
     /* 2316523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2316526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316537 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316548 */   // GIR_Coverage, 2113,
     /* 2316548 */   GIR_EraseRootFromParent_Done,
     /* 2316549 */ // Label 32020: @2316549
     /* 2316549 */ GIM_Reject,
     /* 2316550 */ // Label 31986: @2316550
     /* 2316550 */ GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2316581), // Rule ID 1405 //
     /* 2316555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2316558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316569 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2316572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316580 */   // GIR_Coverage, 1405,
     /* 2316580 */   GIR_EraseRootFromParent_Done,
     /* 2316581 */ // Label 32021: @2316581
     /* 2316581 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2316612), // Rule ID 1433 //
     /* 2316586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2316589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316600 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2316603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316611 */   // GIR_Coverage, 1433,
     /* 2316611 */   GIR_EraseRootFromParent_Done,
     /* 2316612 */ // Label 32022: @2316612
     /* 2316612 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2316643), // Rule ID 1805 //
     /* 2316617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2316620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316631 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2316634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316642 */   // GIR_Coverage, 1805,
     /* 2316642 */   GIR_EraseRootFromParent_Done,
     /* 2316643 */ // Label 32023: @2316643
     /* 2316643 */ GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2316674), // Rule ID 1833 //
     /* 2316648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2316651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316662 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2316665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316667 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316673 */   // GIR_Coverage, 1833,
     /* 2316673 */   GIR_EraseRootFromParent_Done,
     /* 2316674 */ // Label 32024: @2316674
     /* 2316674 */ GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2316705), // Rule ID 2139 //
     /* 2316679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2316682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316693 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2316696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316704 */   // GIR_Coverage, 2139,
     /* 2316704 */   GIR_EraseRootFromParent_Done,
     /* 2316705 */ // Label 32025: @2316705
     /* 2316705 */ GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2316736), // Rule ID 2165 //
     /* 2316710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2316713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316724 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2316727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316729 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316735 */   // GIR_Coverage, 2165,
     /* 2316735 */   GIR_EraseRootFromParent_Done,
     /* 2316736 */ // Label 32026: @2316736
     /* 2316736 */ GIM_Reject,
     /* 2316737 */ // Label 31987: @2316737
     /* 2316737 */ GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2316840),
     /* 2316742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316753 */   GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2316796), // Rule ID 58638 //
     /* 2316758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316761 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316795 */     // GIR_Coverage, 58638,
     /* 2316795 */     GIR_EraseRootFromParent_Done,
     /* 2316796 */   // Label 32028: @2316796
     /* 2316796 */   GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2316839), // Rule ID 58639 //
     /* 2316801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316804 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316838 */     // GIR_Coverage, 58639,
     /* 2316838 */     GIR_EraseRootFromParent_Done,
     /* 2316839 */   // Label 32029: @2316839
     /* 2316839 */   GIM_Reject,
     /* 2316840 */ // Label 32027: @2316840
     /* 2316840 */ GIM_Reject,
     /* 2316841 */ // Label 31988: @2316841
     /* 2316841 */ GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2316895), // Rule ID 58222 //
     /* 2316846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316860 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316894 */   // GIR_Coverage, 58222,
     /* 2316894 */   GIR_EraseRootFromParent_Done,
     /* 2316895 */ // Label 32030: @2316895
     /* 2316895 */ GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2316949), // Rule ID 58223 //
     /* 2316900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316914 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316914 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316917 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316921 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316936 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316948 */   // GIR_Coverage, 58223,
     /* 2316948 */   GIR_EraseRootFromParent_Done,
     /* 2316949 */ // Label 32031: @2316949
     /* 2316949 */ GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2317003), // Rule ID 58662 //
     /* 2316954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316968 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316968 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316971 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316975 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2316985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317002 */   // GIR_Coverage, 58662,
     /* 2317002 */   GIR_EraseRootFromParent_Done,
     /* 2317003 */ // Label 32032: @2317003
     /* 2317003 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2317057), // Rule ID 58663 //
     /* 2317008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317022 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2317025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317034 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317041 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317044 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317056 */   // GIR_Coverage, 58663,
     /* 2317056 */   GIR_EraseRootFromParent_Done,
     /* 2317057 */ // Label 32033: @2317057
     /* 2317057 */ GIM_Reject,
     /* 2317058 */ // Label 31989: @2317058
     /* 2317058 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2317112), // Rule ID 58230 //
     /* 2317063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317077 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317089 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317096 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317099 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317111 */   // GIR_Coverage, 58230,
     /* 2317111 */   GIR_EraseRootFromParent_Done,
     /* 2317112 */ // Label 32034: @2317112
     /* 2317112 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2317166), // Rule ID 58231 //
     /* 2317117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317131 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317153 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317165 */   // GIR_Coverage, 58231,
     /* 2317165 */   GIR_EraseRootFromParent_Done,
     /* 2317166 */ // Label 32035: @2317166
     /* 2317166 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2317220), // Rule ID 58430 //
     /* 2317171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2317177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317185 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317197 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2317202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317204 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317219 */   // GIR_Coverage, 58430,
     /* 2317219 */   GIR_EraseRootFromParent_Done,
     /* 2317220 */ // Label 32036: @2317220
     /* 2317220 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2317274), // Rule ID 58431 //
     /* 2317225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2317231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317239 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317239 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317242 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317246 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317251 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2317256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317258 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317261 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317273 */   // GIR_Coverage, 58431,
     /* 2317273 */   GIR_EraseRootFromParent_Done,
     /* 2317274 */ // Label 32037: @2317274
     /* 2317274 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2317328), // Rule ID 58682 //
     /* 2317279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2317282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317293 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317293 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317296 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317300 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317305 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317312 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317315 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317327 */   // GIR_Coverage, 58682,
     /* 2317327 */   GIR_EraseRootFromParent_Done,
     /* 2317328 */ // Label 32038: @2317328
     /* 2317328 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2317382), // Rule ID 58683 //
     /* 2317333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317347 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317347 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317350 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317354 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317359 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317366 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317369 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317381 */   // GIR_Coverage, 58683,
     /* 2317381 */   GIR_EraseRootFromParent_Done,
     /* 2317382 */ // Label 32039: @2317382
     /* 2317382 */ GIM_Reject,
     /* 2317383 */ // Label 31990: @2317383
     /* 2317383 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2317437), // Rule ID 58242 //
     /* 2317388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317402 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317424 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317436 */   // GIR_Coverage, 58242,
     /* 2317436 */   GIR_EraseRootFromParent_Done,
     /* 2317437 */ // Label 32040: @2317437
     /* 2317437 */ GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2317491), // Rule ID 58243 //
     /* 2317442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317456 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317475 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317478 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317490 */   // GIR_Coverage, 58243,
     /* 2317490 */   GIR_EraseRootFromParent_Done,
     /* 2317491 */ // Label 32041: @2317491
     /* 2317491 */ GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2317545), // Rule ID 58450 //
     /* 2317496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317510 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317529 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317544 */   // GIR_Coverage, 58450,
     /* 2317544 */   GIR_EraseRootFromParent_Done,
     /* 2317545 */ // Label 32042: @2317545
     /* 2317545 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2317599), // Rule ID 58451 //
     /* 2317550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317564 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317564 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317567 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317571 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317576 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317583 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317586 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317598 */   // GIR_Coverage, 58451,
     /* 2317598 */   GIR_EraseRootFromParent_Done,
     /* 2317599 */ // Label 32043: @2317599
     /* 2317599 */ GIM_Reject,
     /* 2317600 */ // Label 31991: @2317600
     /* 2317600 */ GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2317703),
     /* 2317605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317616 */   GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2317659), // Rule ID 58642 //
     /* 2317621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317624 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317658 */     // GIR_Coverage, 58642,
     /* 2317658 */     GIR_EraseRootFromParent_Done,
     /* 2317659 */   // Label 32045: @2317659
     /* 2317659 */   GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2317702), // Rule ID 58643 //
     /* 2317664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317667 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317701 */     // GIR_Coverage, 58643,
     /* 2317701 */     GIR_EraseRootFromParent_Done,
     /* 2317702 */   // Label 32046: @2317702
     /* 2317702 */   GIM_Reject,
     /* 2317703 */ // Label 32044: @2317703
     /* 2317703 */ GIM_Reject,
     /* 2317704 */ // Label 31992: @2317704
     /* 2317704 */ GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2317758), // Rule ID 58226 //
     /* 2317709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317723 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317757 */   // GIR_Coverage, 58226,
     /* 2317757 */   GIR_EraseRootFromParent_Done,
     /* 2317758 */ // Label 32047: @2317758
     /* 2317758 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2317812), // Rule ID 58227 //
     /* 2317763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317777 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317811 */   // GIR_Coverage, 58227,
     /* 2317811 */   GIR_EraseRootFromParent_Done,
     /* 2317812 */ // Label 32048: @2317812
     /* 2317812 */ GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2317866), // Rule ID 58666 //
     /* 2317817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317831 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317865 */   // GIR_Coverage, 58666,
     /* 2317865 */   GIR_EraseRootFromParent_Done,
     /* 2317866 */ // Label 32049: @2317866
     /* 2317866 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2317920), // Rule ID 58667 //
     /* 2317871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317885 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317885 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317888 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317892 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317897 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317919 */   // GIR_Coverage, 58667,
     /* 2317919 */   GIR_EraseRootFromParent_Done,
     /* 2317920 */ // Label 32050: @2317920
     /* 2317920 */ GIM_Reject,
     /* 2317921 */ // Label 31993: @2317921
     /* 2317921 */ GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2317975), // Rule ID 58238 //
     /* 2317926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317940 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317940 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317943 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317947 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317962 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317974 */   // GIR_Coverage, 58238,
     /* 2317974 */   GIR_EraseRootFromParent_Done,
     /* 2317975 */ // Label 32051: @2317975
     /* 2317975 */ GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2318029), // Rule ID 58239 //
     /* 2317980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317994 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318013 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318016 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318028 */   // GIR_Coverage, 58239,
     /* 2318028 */   GIR_EraseRootFromParent_Done,
     /* 2318029 */ // Label 32052: @2318029
     /* 2318029 */ GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2318083), // Rule ID 58434 //
     /* 2318034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2318040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318048 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318048 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318051 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318055 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2318065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318082 */   // GIR_Coverage, 58434,
     /* 2318082 */   GIR_EraseRootFromParent_Done,
     /* 2318083 */ // Label 32053: @2318083
     /* 2318083 */ GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2318137), // Rule ID 58435 //
     /* 2318088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2318094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318102 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318102 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318105 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318109 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2318119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318136 */   // GIR_Coverage, 58435,
     /* 2318136 */   GIR_EraseRootFromParent_Done,
     /* 2318137 */ // Label 32054: @2318137
     /* 2318137 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2318191), // Rule ID 58686 //
     /* 2318142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2318145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318156 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318175 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318190 */   // GIR_Coverage, 58686,
     /* 2318190 */   GIR_EraseRootFromParent_Done,
     /* 2318191 */ // Label 32055: @2318191
     /* 2318191 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2318245), // Rule ID 58687 //
     /* 2318196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2318199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318210 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318210 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318213 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318217 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318222 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318229 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318232 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318244 */   // GIR_Coverage, 58687,
     /* 2318244 */   GIR_EraseRootFromParent_Done,
     /* 2318245 */ // Label 32056: @2318245
     /* 2318245 */ GIM_Reject,
     /* 2318246 */ // Label 31994: @2318246
     /* 2318246 */ GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2318300), // Rule ID 58270 //
     /* 2318251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2318254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318265 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318265 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318268 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318272 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318277 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318284 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318287 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318299 */   // GIR_Coverage, 58270,
     /* 2318299 */   GIR_EraseRootFromParent_Done,
     /* 2318300 */ // Label 32057: @2318300
     /* 2318300 */ GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2318354), // Rule ID 58271 //
     /* 2318305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2318308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318319 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318319 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318322 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318326 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318331 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318341 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318353 */   // GIR_Coverage, 58271,
     /* 2318353 */   GIR_EraseRootFromParent_Done,
     /* 2318354 */ // Label 32058: @2318354
     /* 2318354 */ GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2318408), // Rule ID 58454 //
     /* 2318359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2318362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2318365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318373 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318373 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318376 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318380 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318385 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318392 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318395 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318407 */   // GIR_Coverage, 58454,
     /* 2318407 */   GIR_EraseRootFromParent_Done,
     /* 2318408 */ // Label 32059: @2318408
     /* 2318408 */ GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2318462), // Rule ID 58455 //
     /* 2318413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2318419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318427 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318427 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318430 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318434 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318439 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318446 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318461 */   // GIR_Coverage, 58455,
     /* 2318461 */   GIR_EraseRootFromParent_Done,
     /* 2318462 */ // Label 32060: @2318462
     /* 2318462 */ GIM_Reject,
     /* 2318463 */ // Label 31995: @2318463
     /* 2318463 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2318566),
     /* 2318468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318479 */   GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2318522), // Rule ID 58646 //
     /* 2318484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318487 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318521 */     // GIR_Coverage, 58646,
     /* 2318521 */     GIR_EraseRootFromParent_Done,
     /* 2318522 */   // Label 32062: @2318522
     /* 2318522 */   GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2318565), // Rule ID 58647 //
     /* 2318527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318530 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318564 */     // GIR_Coverage, 58647,
     /* 2318564 */     GIR_EraseRootFromParent_Done,
     /* 2318565 */   // Label 32063: @2318565
     /* 2318565 */   GIM_Reject,
     /* 2318566 */ // Label 32061: @2318566
     /* 2318566 */ GIM_Reject,
     /* 2318567 */ // Label 31996: @2318567
     /* 2318567 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2318621), // Rule ID 58234 //
     /* 2318572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318586 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318605 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318620 */   // GIR_Coverage, 58234,
     /* 2318620 */   GIR_EraseRootFromParent_Done,
     /* 2318621 */ // Label 32064: @2318621
     /* 2318621 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2318675), // Rule ID 58235 //
     /* 2318626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318640 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318640 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318643 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318647 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318652 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318659 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318662 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318674 */   // GIR_Coverage, 58235,
     /* 2318674 */   GIR_EraseRootFromParent_Done,
     /* 2318675 */ // Label 32065: @2318675
     /* 2318675 */ GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2318729), // Rule ID 58670 //
     /* 2318680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318694 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318694 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318697 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318701 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318706 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318713 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318716 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318728 */   // GIR_Coverage, 58670,
     /* 2318728 */   GIR_EraseRootFromParent_Done,
     /* 2318729 */ // Label 32066: @2318729
     /* 2318729 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2318783), // Rule ID 58671 //
     /* 2318734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318748 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318748 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318751 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318755 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318760 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318767 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318770 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318782 */   // GIR_Coverage, 58671,
     /* 2318782 */   GIR_EraseRootFromParent_Done,
     /* 2318783 */ // Label 32067: @2318783
     /* 2318783 */ GIM_Reject,
     /* 2318784 */ // Label 31997: @2318784
     /* 2318784 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2318838), // Rule ID 58258 //
     /* 2318789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318803 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318822 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318825 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318837 */   // GIR_Coverage, 58258,
     /* 2318837 */   GIR_EraseRootFromParent_Done,
     /* 2318838 */ // Label 32068: @2318838
     /* 2318838 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2318892), // Rule ID 58259 //
     /* 2318843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318857 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318857 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318860 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318864 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318869 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318876 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318879 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318891 */   // GIR_Coverage, 58259,
     /* 2318891 */   GIR_EraseRootFromParent_Done,
     /* 2318892 */ // Label 32069: @2318892
     /* 2318892 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2318946), // Rule ID 58438 //
     /* 2318897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318911 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318911 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318914 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318918 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318930 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318945 */   // GIR_Coverage, 58438,
     /* 2318945 */   GIR_EraseRootFromParent_Done,
     /* 2318946 */ // Label 32070: @2318946
     /* 2318946 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2319000), // Rule ID 58439 //
     /* 2318951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318965 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318965 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318968 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318972 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318984 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318987 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318999 */   // GIR_Coverage, 58439,
     /* 2318999 */   GIR_EraseRootFromParent_Done,
     /* 2319000 */ // Label 32071: @2319000
     /* 2319000 */ GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2319054), // Rule ID 58690 //
     /* 2319005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2319008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319019 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319019 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2319022 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319026 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319041 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319053 */   // GIR_Coverage, 58690,
     /* 2319053 */   GIR_EraseRootFromParent_Done,
     /* 2319054 */ // Label 32072: @2319054
     /* 2319054 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2319108), // Rule ID 58691 //
     /* 2319059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2319062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319073 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319073 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2319076 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319080 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319085 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319092 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319095 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319107 */   // GIR_Coverage, 58691,
     /* 2319107 */   GIR_EraseRootFromParent_Done,
     /* 2319108 */ // Label 32073: @2319108
     /* 2319108 */ GIM_Reject,
     /* 2319109 */ // Label 31998: @2319109
     /* 2319109 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2319163), // Rule ID 58274 //
     /* 2319114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2319117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319128 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319162 */   // GIR_Coverage, 58274,
     /* 2319162 */   GIR_EraseRootFromParent_Done,
     /* 2319163 */ // Label 32074: @2319163
     /* 2319163 */ GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2319217), // Rule ID 58275 //
     /* 2319168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2319171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319182 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319194 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319216 */   // GIR_Coverage, 58275,
     /* 2319216 */   GIR_EraseRootFromParent_Done,
     /* 2319217 */ // Label 32075: @2319217
     /* 2319217 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2319271), // Rule ID 58458 //
     /* 2319222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2319225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2319228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319236 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319270 */   // GIR_Coverage, 58458,
     /* 2319270 */   GIR_EraseRootFromParent_Done,
     /* 2319271 */ // Label 32076: @2319271
     /* 2319271 */ GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2319325), // Rule ID 58459 //
     /* 2319276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2319279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2319282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319290 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319324 */   // GIR_Coverage, 58459,
     /* 2319324 */   GIR_EraseRootFromParent_Done,
     /* 2319325 */ // Label 32077: @2319325
     /* 2319325 */ GIM_Reject,
     /* 2319326 */ // Label 31999: @2319326
     /* 2319326 */ GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2319429),
     /* 2319331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319342 */   GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2319385), // Rule ID 58650 //
     /* 2319347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319350 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2319353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2319367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319384 */     // GIR_Coverage, 58650,
     /* 2319384 */     GIR_EraseRootFromParent_Done,
     /* 2319385 */   // Label 32079: @2319385
     /* 2319385 */   GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2319428), // Rule ID 58651 //
     /* 2319390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319393 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2319396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2319410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319427 */     // GIR_Coverage, 58651,
     /* 2319427 */     GIR_EraseRootFromParent_Done,
     /* 2319428 */   // Label 32080: @2319428
     /* 2319428 */   GIM_Reject,
     /* 2319429 */ // Label 32078: @2319429
     /* 2319429 */ GIM_Reject,
     /* 2319430 */ // Label 32000: @2319430
     /* 2319430 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2319484), // Rule ID 58246 //
     /* 2319435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319449 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319468 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319483 */   // GIR_Coverage, 58246,
     /* 2319483 */   GIR_EraseRootFromParent_Done,
     /* 2319484 */ // Label 32081: @2319484
     /* 2319484 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2319538), // Rule ID 58247 //
     /* 2319489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319503 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319515 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319522 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319525 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319537 */   // GIR_Coverage, 58247,
     /* 2319537 */   GIR_EraseRootFromParent_Done,
     /* 2319538 */ // Label 32082: @2319538
     /* 2319538 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2319592), // Rule ID 58674 //
     /* 2319543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319557 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319591 */   // GIR_Coverage, 58674,
     /* 2319591 */   GIR_EraseRootFromParent_Done,
     /* 2319592 */ // Label 32083: @2319592
     /* 2319592 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2319646), // Rule ID 58675 //
     /* 2319597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319611 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319630 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319633 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319645 */   // GIR_Coverage, 58675,
     /* 2319645 */   GIR_EraseRootFromParent_Done,
     /* 2319646 */ // Label 32084: @2319646
     /* 2319646 */ GIM_Reject,
     /* 2319647 */ // Label 32001: @2319647
     /* 2319647 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2319701), // Rule ID 58262 //
     /* 2319652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319666 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319700 */   // GIR_Coverage, 58262,
     /* 2319700 */   GIR_EraseRootFromParent_Done,
     /* 2319701 */ // Label 32085: @2319701
     /* 2319701 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2319755), // Rule ID 58263 //
     /* 2319706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319720 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319739 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319742 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319754 */   // GIR_Coverage, 58263,
     /* 2319754 */   GIR_EraseRootFromParent_Done,
     /* 2319755 */ // Label 32086: @2319755
     /* 2319755 */ GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2319809), // Rule ID 58442 //
     /* 2319760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319774 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319808 */   // GIR_Coverage, 58442,
     /* 2319808 */   GIR_EraseRootFromParent_Done,
     /* 2319809 */ // Label 32087: @2319809
     /* 2319809 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2319863), // Rule ID 58443 //
     /* 2319814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319828 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319862 */   // GIR_Coverage, 58443,
     /* 2319862 */   GIR_EraseRootFromParent_Done,
     /* 2319863 */ // Label 32088: @2319863
     /* 2319863 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2319917), // Rule ID 58694 //
     /* 2319868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2319871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319882 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319916 */   // GIR_Coverage, 58694,
     /* 2319916 */   GIR_EraseRootFromParent_Done,
     /* 2319917 */ // Label 32089: @2319917
     /* 2319917 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2319971), // Rule ID 58695 //
     /* 2319922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2319925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319936 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319970 */   // GIR_Coverage, 58695,
     /* 2319970 */   GIR_EraseRootFromParent_Done,
     /* 2319971 */ // Label 32090: @2319971
     /* 2319971 */ GIM_Reject,
     /* 2319972 */ // Label 32002: @2319972
     /* 2319972 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2320026), // Rule ID 58278 //
     /* 2319977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2319980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319991 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320025 */   // GIR_Coverage, 58278,
     /* 2320025 */   GIR_EraseRootFromParent_Done,
     /* 2320026 */ // Label 32091: @2320026
     /* 2320026 */ GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2320080), // Rule ID 58279 //
     /* 2320031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2320034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320045 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2320048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320067 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320079 */   // GIR_Coverage, 58279,
     /* 2320079 */   GIR_EraseRootFromParent_Done,
     /* 2320080 */ // Label 32092: @2320080
     /* 2320080 */ GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2320134), // Rule ID 58462 //
     /* 2320085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2320088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2320091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320099 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2320102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320121 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320133 */   // GIR_Coverage, 58462,
     /* 2320133 */   GIR_EraseRootFromParent_Done,
     /* 2320134 */ // Label 32093: @2320134
     /* 2320134 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2320188), // Rule ID 58463 //
     /* 2320139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2320142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2320145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320153 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320153 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2320156 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320160 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320165 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320175 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320187 */   // GIR_Coverage, 58463,
     /* 2320187 */   GIR_EraseRootFromParent_Done,
     /* 2320188 */ // Label 32094: @2320188
     /* 2320188 */ GIM_Reject,
     /* 2320189 */ // Label 32003: @2320189
     /* 2320189 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2320292),
     /* 2320194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320205 */   GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2320248), // Rule ID 58654 //
     /* 2320210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320213 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2320216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2320230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320247 */     // GIR_Coverage, 58654,
     /* 2320247 */     GIR_EraseRootFromParent_Done,
     /* 2320248 */   // Label 32096: @2320248
     /* 2320248 */   GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2320291), // Rule ID 58655 //
     /* 2320253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320256 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2320259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2320273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320290 */     // GIR_Coverage, 58655,
     /* 2320290 */     GIR_EraseRootFromParent_Done,
     /* 2320291 */   // Label 32097: @2320291
     /* 2320291 */   GIM_Reject,
     /* 2320292 */ // Label 32095: @2320292
     /* 2320292 */ GIM_Reject,
     /* 2320293 */ // Label 32004: @2320293
     /* 2320293 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2320347), // Rule ID 58250 //
     /* 2320298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320312 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2320329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320346 */   // GIR_Coverage, 58250,
     /* 2320346 */   GIR_EraseRootFromParent_Done,
     /* 2320347 */ // Label 32098: @2320347
     /* 2320347 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2320401), // Rule ID 58251 //
     /* 2320352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320366 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2320383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320400 */   // GIR_Coverage, 58251,
     /* 2320400 */   GIR_EraseRootFromParent_Done,
     /* 2320401 */ // Label 32099: @2320401
     /* 2320401 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2320455), // Rule ID 58678 //
     /* 2320406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320420 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320454 */   // GIR_Coverage, 58678,
     /* 2320454 */   GIR_EraseRootFromParent_Done,
     /* 2320455 */ // Label 32100: @2320455
     /* 2320455 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2320509), // Rule ID 58679 //
     /* 2320460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320474 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320508 */   // GIR_Coverage, 58679,
     /* 2320508 */   GIR_EraseRootFromParent_Done,
     /* 2320509 */ // Label 32101: @2320509
     /* 2320509 */ GIM_Reject,
     /* 2320510 */ // Label 32005: @2320510
     /* 2320510 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2320564), // Rule ID 58266 //
     /* 2320515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320529 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320563 */   // GIR_Coverage, 58266,
     /* 2320563 */   GIR_EraseRootFromParent_Done,
     /* 2320564 */ // Label 32102: @2320564
     /* 2320564 */ GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2320618), // Rule ID 58267 //
     /* 2320569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320583 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320617 */   // GIR_Coverage, 58267,
     /* 2320617 */   GIR_EraseRootFromParent_Done,
     /* 2320618 */ // Label 32103: @2320618
     /* 2320618 */ GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2320672), // Rule ID 58446 //
     /* 2320623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320637 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320637 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320640 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320644 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320649 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320656 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320659 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320671 */   // GIR_Coverage, 58446,
     /* 2320671 */   GIR_EraseRootFromParent_Done,
     /* 2320672 */ // Label 32104: @2320672
     /* 2320672 */ GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2320726), // Rule ID 58447 //
     /* 2320677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320691 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320691 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320694 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320698 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320713 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320725 */   // GIR_Coverage, 58447,
     /* 2320725 */   GIR_EraseRootFromParent_Done,
     /* 2320726 */ // Label 32105: @2320726
     /* 2320726 */ GIM_Reject,
     /* 2320727 */ // Label 32006: @2320727
     /* 2320727 */ GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2320830),
     /* 2320732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320743 */   GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2320786), // Rule ID 58658 //
     /* 2320748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320751 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320785 */     // GIR_Coverage, 58658,
     /* 2320785 */     GIR_EraseRootFromParent_Done,
     /* 2320786 */   // Label 32107: @2320786
     /* 2320786 */   GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2320829), // Rule ID 58659 //
     /* 2320791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320794 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320828 */     // GIR_Coverage, 58659,
     /* 2320828 */     GIR_EraseRootFromParent_Done,
     /* 2320829 */   // Label 32108: @2320829
     /* 2320829 */   GIM_Reject,
     /* 2320830 */ // Label 32106: @2320830
     /* 2320830 */ GIM_Reject,
     /* 2320831 */ // Label 32007: @2320831
     /* 2320831 */ GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2320934),
     /* 2320836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320847 */   GIM_Try, /*On fail goto*//*Label 32110*/ GIMT_Encode4(2320890), // Rule ID 58254 //
     /* 2320852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320855 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320889 */     // GIR_Coverage, 58254,
     /* 2320889 */     GIR_EraseRootFromParent_Done,
     /* 2320890 */   // Label 32110: @2320890
     /* 2320890 */   GIM_Try, /*On fail goto*//*Label 32111*/ GIMT_Encode4(2320933), // Rule ID 58255 //
     /* 2320895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320898 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320932 */     // GIR_Coverage, 58255,
     /* 2320932 */     GIR_EraseRootFromParent_Done,
     /* 2320933 */   // Label 32111: @2320933
     /* 2320933 */   GIM_Reject,
     /* 2320934 */ // Label 32109: @2320934
     /* 2320934 */ GIM_Reject,
     /* 2320935 */ // Label 32008: @2320935
     /* 2320935 */ GIM_Reject,
     /* 2320936 */ // Label 69: @2320936
     /* 2320936 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32130*/ GIMT_Encode4(2326221),
     /* 2320947 */ /*GILLT_s16*//*Label 32112*/ GIMT_Encode4(2321067),
     /* 2320951 */ /*GILLT_s32*//*Label 32113*/ GIMT_Encode4(2321328),
     /* 2320955 */ /*GILLT_s64*//*Label 32114*/ GIMT_Encode4(2321589), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320967 */ /*GILLT_nxv1s16*//*Label 32115*/ GIMT_Encode4(2321850),
     /* 2320971 */ /*GILLT_nxv1s32*//*Label 32116*/ GIMT_Encode4(2322187),
     /* 2320975 */ /*GILLT_nxv1s64*//*Label 32117*/ GIMT_Encode4(2322524), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320987 */ /*GILLT_nxv2s16*//*Label 32118*/ GIMT_Encode4(2322747),
     /* 2320991 */ /*GILLT_nxv2s32*//*Label 32119*/ GIMT_Encode4(2323084),
     /* 2320995 */ /*GILLT_nxv2s64*//*Label 32120*/ GIMT_Encode4(2323421), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321007 */ /*GILLT_nxv4s16*//*Label 32121*/ GIMT_Encode4(2323644),
     /* 2321011 */ /*GILLT_nxv4s32*//*Label 32122*/ GIMT_Encode4(2323981),
     /* 2321015 */ /*GILLT_nxv4s64*//*Label 32123*/ GIMT_Encode4(2324318), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321027 */ /*GILLT_nxv8s16*//*Label 32124*/ GIMT_Encode4(2324541),
     /* 2321031 */ /*GILLT_nxv8s32*//*Label 32125*/ GIMT_Encode4(2324878),
     /* 2321035 */ /*GILLT_nxv8s64*//*Label 32126*/ GIMT_Encode4(2325215), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321047 */ /*GILLT_nxv16s16*//*Label 32127*/ GIMT_Encode4(2325438),
     /* 2321051 */ /*GILLT_nxv16s32*//*Label 32128*/ GIMT_Encode4(2325775), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321063 */ /*GILLT_nxv32s16*//*Label 32129*/ GIMT_Encode4(2325998),
     /* 2321067 */ // Label 32112: @2321067
     /* 2321067 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2321104), // Rule ID 2151 //
     /* 2321072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2321075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321082 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321089 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2321092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321094 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321103 */   // GIR_Coverage, 2151,
     /* 2321103 */   GIR_EraseRootFromParent_Done,
     /* 2321104 */ // Label 32131: @2321104
     /* 2321104 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2321141), // Rule ID 2177 //
     /* 2321109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2321112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321119 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321126 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2321129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321140 */   // GIR_Coverage, 2177,
     /* 2321140 */   GIR_EraseRootFromParent_Done,
     /* 2321141 */ // Label 32132: @2321141
     /* 2321141 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2321172), // Rule ID 2100 //
     /* 2321146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2321149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321160 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2321163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321165 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321171 */   // GIR_Coverage, 2100,
     /* 2321171 */   GIR_EraseRootFromParent_Done,
     /* 2321172 */ // Label 32133: @2321172
     /* 2321172 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2321203), // Rule ID 2101 //
     /* 2321177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2321180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321191 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2321194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321202 */   // GIR_Coverage, 2101,
     /* 2321202 */   GIR_EraseRootFromParent_Done,
     /* 2321203 */ // Label 32134: @2321203
     /* 2321203 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2321234), // Rule ID 2126 //
     /* 2321208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2321211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321222 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2321225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321233 */   // GIR_Coverage, 2126,
     /* 2321233 */   GIR_EraseRootFromParent_Done,
     /* 2321234 */ // Label 32135: @2321234
     /* 2321234 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2321265), // Rule ID 2127 //
     /* 2321239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2321242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321253 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2321256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321264 */   // GIR_Coverage, 2127,
     /* 2321264 */   GIR_EraseRootFromParent_Done,
     /* 2321265 */ // Label 32136: @2321265
     /* 2321265 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2321296), // Rule ID 2155 //
     /* 2321270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2321273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321284 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2321287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321295 */   // GIR_Coverage, 2155,
     /* 2321295 */   GIR_EraseRootFromParent_Done,
     /* 2321296 */ // Label 32137: @2321296
     /* 2321296 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2321327), // Rule ID 2181 //
     /* 2321301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2321304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321315 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2321318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321326 */   // GIR_Coverage, 2181,
     /* 2321326 */   GIR_EraseRootFromParent_Done,
     /* 2321327 */ // Label 32138: @2321327
     /* 2321327 */ GIM_Reject,
     /* 2321328 */ // Label 32113: @2321328
     /* 2321328 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2321365), // Rule ID 1417 //
     /* 2321333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2321336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321343 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321350 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321355 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321364 */   // GIR_Coverage, 1417,
     /* 2321364 */   GIR_EraseRootFromParent_Done,
     /* 2321365 */ // Label 32139: @2321365
     /* 2321365 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2321402), // Rule ID 1445 //
     /* 2321370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2321373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321380 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321387 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321401 */   // GIR_Coverage, 1445,
     /* 2321401 */   GIR_EraseRootFromParent_Done,
     /* 2321402 */ // Label 32140: @2321402
     /* 2321402 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2321433), // Rule ID 1364 //
     /* 2321407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2321410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321421 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321432 */   // GIR_Coverage, 1364,
     /* 2321432 */   GIR_EraseRootFromParent_Done,
     /* 2321433 */ // Label 32141: @2321433
     /* 2321433 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2321464), // Rule ID 1365 //
     /* 2321438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2321441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321452 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321457 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321463 */   // GIR_Coverage, 1365,
     /* 2321463 */   GIR_EraseRootFromParent_Done,
     /* 2321464 */ // Label 32142: @2321464
     /* 2321464 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2321495), // Rule ID 1390 //
     /* 2321469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2321472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321483 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321494 */   // GIR_Coverage, 1390,
     /* 2321494 */   GIR_EraseRootFromParent_Done,
     /* 2321495 */ // Label 32143: @2321495
     /* 2321495 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2321526), // Rule ID 1391 //
     /* 2321500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2321503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321514 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321519 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321525 */   // GIR_Coverage, 1391,
     /* 2321525 */   GIR_EraseRootFromParent_Done,
     /* 2321526 */ // Label 32144: @2321526
     /* 2321526 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2321557), // Rule ID 1421 //
     /* 2321531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2321534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321545 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2321548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321556 */   // GIR_Coverage, 1421,
     /* 2321556 */   GIR_EraseRootFromParent_Done,
     /* 2321557 */ // Label 32145: @2321557
     /* 2321557 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2321588), // Rule ID 1449 //
     /* 2321562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2321565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321576 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2321579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321581 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321587 */   // GIR_Coverage, 1449,
     /* 2321587 */   GIR_EraseRootFromParent_Done,
     /* 2321588 */ // Label 32146: @2321588
     /* 2321588 */ GIM_Reject,
     /* 2321589 */ // Label 32114: @2321589
     /* 2321589 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2321626), // Rule ID 1797 //
     /* 2321594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321604 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321611 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321616 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321625 */   // GIR_Coverage, 1797,
     /* 2321625 */   GIR_EraseRootFromParent_Done,
     /* 2321626 */ // Label 32147: @2321626
     /* 2321626 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2321663), // Rule ID 1825 //
     /* 2321631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321641 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321648 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2321651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321662 */   // GIR_Coverage, 1825,
     /* 2321662 */   GIR_EraseRootFromParent_Done,
     /* 2321663 */ // Label 32148: @2321663
     /* 2321663 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2321694), // Rule ID 1758 //
     /* 2321668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2321671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321682 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321693 */   // GIR_Coverage, 1758,
     /* 2321693 */   GIR_EraseRootFromParent_Done,
     /* 2321694 */ // Label 32149: @2321694
     /* 2321694 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2321725), // Rule ID 1759 //
     /* 2321699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2321702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321713 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321718 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321724 */   // GIR_Coverage, 1759,
     /* 2321724 */   GIR_EraseRootFromParent_Done,
     /* 2321725 */ // Label 32150: @2321725
     /* 2321725 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2321756), // Rule ID 1784 //
     /* 2321730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2321733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321744 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321749 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321755 */   // GIR_Coverage, 1784,
     /* 2321755 */   GIR_EraseRootFromParent_Done,
     /* 2321756 */ // Label 32151: @2321756
     /* 2321756 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2321787), // Rule ID 1785 //
     /* 2321761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2321764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321775 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321780 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321786 */   // GIR_Coverage, 1785,
     /* 2321786 */   GIR_EraseRootFromParent_Done,
     /* 2321787 */ // Label 32152: @2321787
     /* 2321787 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2321818), // Rule ID 1815 //
     /* 2321792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321806 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2321809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321811 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321817 */   // GIR_Coverage, 1815,
     /* 2321817 */   GIR_EraseRootFromParent_Done,
     /* 2321818 */ // Label 32153: @2321818
     /* 2321818 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2321849), // Rule ID 1843 //
     /* 2321823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321837 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2321840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321848 */   // GIR_Coverage, 1843,
     /* 2321848 */   GIR_EraseRootFromParent_Done,
     /* 2321849 */ // Label 32154: @2321849
     /* 2321849 */ GIM_Reject,
     /* 2321850 */ // Label 32115: @2321850
     /* 2321850 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2321907), // Rule ID 45678 //
     /* 2321855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321869 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321869 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321872 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321876 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321881 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321888 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321891 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321906 */   // GIR_Coverage, 45678,
     /* 2321906 */   GIR_EraseRootFromParent_Done,
     /* 2321907 */ // Label 32155: @2321907
     /* 2321907 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2321964), // Rule ID 45679 //
     /* 2321912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321926 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321938 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321945 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321948 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321963 */   // GIR_Coverage, 45679,
     /* 2321963 */   GIR_EraseRootFromParent_Done,
     /* 2321964 */ // Label 32156: @2321964
     /* 2321964 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2322018), // Rule ID 45686 //
     /* 2321969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2321975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321983 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321995 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2322000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322017 */   // GIR_Coverage, 45686,
     /* 2322017 */   GIR_EraseRootFromParent_Done,
     /* 2322018 */ // Label 32157: @2322018
     /* 2322018 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2322072), // Rule ID 45687 //
     /* 2322023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2322029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322037 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2322054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322071 */   // GIR_Coverage, 45687,
     /* 2322071 */   GIR_EraseRootFromParent_Done,
     /* 2322072 */ // Label 32158: @2322072
     /* 2322072 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2322129), // Rule ID 45694 //
     /* 2322077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322091 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2322108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322113 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322128 */   // GIR_Coverage, 45694,
     /* 2322128 */   GIR_EraseRootFromParent_Done,
     /* 2322129 */ // Label 32159: @2322129
     /* 2322129 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2322186), // Rule ID 45695 //
     /* 2322134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322148 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2322165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322170 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322185 */   // GIR_Coverage, 45695,
     /* 2322185 */   GIR_EraseRootFromParent_Done,
     /* 2322186 */ // Label 32160: @2322186
     /* 2322186 */ GIM_Reject,
     /* 2322187 */ // Label 32116: @2322187
     /* 2322187 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2322244), // Rule ID 58286 //
     /* 2322192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322206 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322206 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322209 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322213 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322218 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2322223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322225 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322228 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322243 */   // GIR_Coverage, 58286,
     /* 2322243 */   GIR_EraseRootFromParent_Done,
     /* 2322244 */ // Label 32161: @2322244
     /* 2322244 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2322301), // Rule ID 58287 //
     /* 2322249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322263 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322275 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2322280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322282 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322285 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322300 */   // GIR_Coverage, 58287,
     /* 2322300 */   GIR_EraseRootFromParent_Done,
     /* 2322301 */ // Label 32162: @2322301
     /* 2322301 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2322355), // Rule ID 58486 //
     /* 2322306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2322312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322320 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322320 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322323 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322327 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2322337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322354 */   // GIR_Coverage, 58486,
     /* 2322354 */   GIR_EraseRootFromParent_Done,
     /* 2322355 */ // Label 32163: @2322355
     /* 2322355 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2322409), // Rule ID 58487 //
     /* 2322360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2322366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322374 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2322391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322408 */   // GIR_Coverage, 58487,
     /* 2322408 */   GIR_EraseRootFromParent_Done,
     /* 2322409 */ // Label 32164: @2322409
     /* 2322409 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2322466), // Rule ID 58714 //
     /* 2322414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322428 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322428 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322431 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322435 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322440 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322447 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322465 */   // GIR_Coverage, 58714,
     /* 2322465 */   GIR_EraseRootFromParent_Done,
     /* 2322466 */ // Label 32165: @2322466
     /* 2322466 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2322523), // Rule ID 58715 //
     /* 2322471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322485 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322485 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322488 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322492 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322497 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322507 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322522 */   // GIR_Coverage, 58715,
     /* 2322522 */   GIR_EraseRootFromParent_Done,
     /* 2322523 */ // Label 32166: @2322523
     /* 2322523 */ GIM_Reject,
     /* 2322524 */ // Label 32117: @2322524
     /* 2322524 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2322581), // Rule ID 58298 //
     /* 2322529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322543 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322543 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322546 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322550 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322562 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322580 */   // GIR_Coverage, 58298,
     /* 2322580 */   GIR_EraseRootFromParent_Done,
     /* 2322581 */ // Label 32167: @2322581
     /* 2322581 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2322638), // Rule ID 58299 //
     /* 2322586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322600 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322637 */   // GIR_Coverage, 58299,
     /* 2322637 */   GIR_EraseRootFromParent_Done,
     /* 2322638 */ // Label 32168: @2322638
     /* 2322638 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2322692), // Rule ID 58506 //
     /* 2322643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322657 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322669 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322676 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322691 */   // GIR_Coverage, 58506,
     /* 2322691 */   GIR_EraseRootFromParent_Done,
     /* 2322692 */ // Label 32169: @2322692
     /* 2322692 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2322746), // Rule ID 58507 //
     /* 2322697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322711 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322745 */   // GIR_Coverage, 58507,
     /* 2322745 */   GIR_EraseRootFromParent_Done,
     /* 2322746 */ // Label 32170: @2322746
     /* 2322746 */ GIM_Reject,
     /* 2322747 */ // Label 32118: @2322747
     /* 2322747 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2322804), // Rule ID 58282 //
     /* 2322752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322766 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322778 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322803 */   // GIR_Coverage, 58282,
     /* 2322803 */   GIR_EraseRootFromParent_Done,
     /* 2322804 */ // Label 32171: @2322804
     /* 2322804 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2322861), // Rule ID 58283 //
     /* 2322809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322823 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322823 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322826 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322830 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322842 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322845 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322860 */   // GIR_Coverage, 58283,
     /* 2322860 */   GIR_EraseRootFromParent_Done,
     /* 2322861 */ // Label 32172: @2322861
     /* 2322861 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2322915), // Rule ID 58466 //
     /* 2322866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322880 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322880 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322883 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322887 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322914 */   // GIR_Coverage, 58466,
     /* 2322914 */   GIR_EraseRootFromParent_Done,
     /* 2322915 */ // Label 32173: @2322915
     /* 2322915 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2322969), // Rule ID 58467 //
     /* 2322920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322934 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322956 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322968 */   // GIR_Coverage, 58467,
     /* 2322968 */   GIR_EraseRootFromParent_Done,
     /* 2322969 */ // Label 32174: @2322969
     /* 2322969 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2323026), // Rule ID 58698 //
     /* 2322974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322988 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322988 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322991 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322995 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323000 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2323005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323010 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323025 */   // GIR_Coverage, 58698,
     /* 2323025 */   GIR_EraseRootFromParent_Done,
     /* 2323026 */ // Label 32175: @2323026
     /* 2323026 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2323083), // Rule ID 58699 //
     /* 2323031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323045 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2323048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2323062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323067 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323082 */   // GIR_Coverage, 58699,
     /* 2323082 */   GIR_EraseRootFromParent_Done,
     /* 2323083 */ // Label 32176: @2323083
     /* 2323083 */ GIM_Reject,
     /* 2323084 */ // Label 32119: @2323084
     /* 2323084 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2323141), // Rule ID 58294 //
     /* 2323089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323103 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323103 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323106 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323110 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323115 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2323120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323122 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323125 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323140 */   // GIR_Coverage, 58294,
     /* 2323140 */   GIR_EraseRootFromParent_Done,
     /* 2323141 */ // Label 32177: @2323141
     /* 2323141 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2323198), // Rule ID 58295 //
     /* 2323146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323160 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323160 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323163 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323167 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323172 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2323177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323179 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323182 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323197 */   // GIR_Coverage, 58295,
     /* 2323197 */   GIR_EraseRootFromParent_Done,
     /* 2323198 */ // Label 32178: @2323198
     /* 2323198 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2323252), // Rule ID 58490 //
     /* 2323203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2323209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323217 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323217 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323220 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323224 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323229 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2323234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323236 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323239 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323251 */   // GIR_Coverage, 58490,
     /* 2323251 */   GIR_EraseRootFromParent_Done,
     /* 2323252 */ // Label 32179: @2323252
     /* 2323252 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2323306), // Rule ID 58491 //
     /* 2323257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2323263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323271 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2323288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323293 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323305 */   // GIR_Coverage, 58491,
     /* 2323305 */   GIR_EraseRootFromParent_Done,
     /* 2323306 */ // Label 32180: @2323306
     /* 2323306 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2323363), // Rule ID 58718 //
     /* 2323311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323325 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323337 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2323342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323344 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323347 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323362 */   // GIR_Coverage, 58718,
     /* 2323362 */   GIR_EraseRootFromParent_Done,
     /* 2323363 */ // Label 32181: @2323363
     /* 2323363 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2323420), // Rule ID 58719 //
     /* 2323368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323382 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323382 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323385 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323389 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323394 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2323399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323401 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323419 */   // GIR_Coverage, 58719,
     /* 2323419 */   GIR_EraseRootFromParent_Done,
     /* 2323420 */ // Label 32182: @2323420
     /* 2323420 */ GIM_Reject,
     /* 2323421 */ // Label 32120: @2323421
     /* 2323421 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2323478), // Rule ID 58326 //
     /* 2323426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323440 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323440 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323443 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323447 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323462 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323477 */   // GIR_Coverage, 58326,
     /* 2323477 */   GIR_EraseRootFromParent_Done,
     /* 2323478 */ // Label 32183: @2323478
     /* 2323478 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2323535), // Rule ID 58327 //
     /* 2323483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323497 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323509 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323516 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323519 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323534 */   // GIR_Coverage, 58327,
     /* 2323534 */   GIR_EraseRootFromParent_Done,
     /* 2323535 */ // Label 32184: @2323535
     /* 2323535 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2323589), // Rule ID 58510 //
     /* 2323540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323554 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323554 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323557 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323561 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323566 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323573 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323576 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323588 */   // GIR_Coverage, 58510,
     /* 2323588 */   GIR_EraseRootFromParent_Done,
     /* 2323589 */ // Label 32185: @2323589
     /* 2323589 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2323643), // Rule ID 58511 //
     /* 2323594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323608 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323608 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323611 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323615 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323630 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323642 */   // GIR_Coverage, 58511,
     /* 2323642 */   GIR_EraseRootFromParent_Done,
     /* 2323643 */ // Label 32186: @2323643
     /* 2323643 */ GIM_Reject,
     /* 2323644 */ // Label 32121: @2323644
     /* 2323644 */ GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2323701), // Rule ID 58290 //
     /* 2323649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323663 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323700 */   // GIR_Coverage, 58290,
     /* 2323700 */   GIR_EraseRootFromParent_Done,
     /* 2323701 */ // Label 32187: @2323701
     /* 2323701 */ GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2323758), // Rule ID 58291 //
     /* 2323706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323720 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323739 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323742 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323757 */   // GIR_Coverage, 58291,
     /* 2323757 */   GIR_EraseRootFromParent_Done,
     /* 2323758 */ // Label 32188: @2323758
     /* 2323758 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2323812), // Rule ID 58470 //
     /* 2323763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323777 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323811 */   // GIR_Coverage, 58470,
     /* 2323811 */   GIR_EraseRootFromParent_Done,
     /* 2323812 */ // Label 32189: @2323812
     /* 2323812 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2323866), // Rule ID 58471 //
     /* 2323817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323831 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323865 */   // GIR_Coverage, 58471,
     /* 2323865 */   GIR_EraseRootFromParent_Done,
     /* 2323866 */ // Label 32190: @2323866
     /* 2323866 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2323923), // Rule ID 58702 //
     /* 2323871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323885 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323885 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323888 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323892 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323897 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323922 */   // GIR_Coverage, 58702,
     /* 2323922 */   GIR_EraseRootFromParent_Done,
     /* 2323923 */ // Label 32191: @2323923
     /* 2323923 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2323980), // Rule ID 58703 //
     /* 2323928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323942 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323979 */   // GIR_Coverage, 58703,
     /* 2323979 */   GIR_EraseRootFromParent_Done,
     /* 2323980 */ // Label 32192: @2323980
     /* 2323980 */ GIM_Reject,
     /* 2323981 */ // Label 32122: @2323981
     /* 2323981 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2324038), // Rule ID 58314 //
     /* 2323986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324000 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324000 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324003 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324007 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324012 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2324017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324019 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324022 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324037 */   // GIR_Coverage, 58314,
     /* 2324037 */   GIR_EraseRootFromParent_Done,
     /* 2324038 */ // Label 32193: @2324038
     /* 2324038 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2324095), // Rule ID 58315 //
     /* 2324043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324057 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324057 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324060 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324064 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2324074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324076 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324079 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324094 */   // GIR_Coverage, 58315,
     /* 2324094 */   GIR_EraseRootFromParent_Done,
     /* 2324095 */ // Label 32194: @2324095
     /* 2324095 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2324149), // Rule ID 58494 //
     /* 2324100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2324106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324114 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324114 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324117 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324121 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2324131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324136 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324148 */   // GIR_Coverage, 58494,
     /* 2324148 */   GIR_EraseRootFromParent_Done,
     /* 2324149 */ // Label 32195: @2324149
     /* 2324149 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2324203), // Rule ID 58495 //
     /* 2324154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2324160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324168 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2324185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324202 */   // GIR_Coverage, 58495,
     /* 2324202 */   GIR_EraseRootFromParent_Done,
     /* 2324203 */ // Label 32196: @2324203
     /* 2324203 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2324260), // Rule ID 58722 //
     /* 2324208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2324211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324222 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2324239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324259 */   // GIR_Coverage, 58722,
     /* 2324259 */   GIR_EraseRootFromParent_Done,
     /* 2324260 */ // Label 32197: @2324260
     /* 2324260 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2324317), // Rule ID 58723 //
     /* 2324265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2324268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324279 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2324296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324316 */   // GIR_Coverage, 58723,
     /* 2324316 */   GIR_EraseRootFromParent_Done,
     /* 2324317 */ // Label 32198: @2324317
     /* 2324317 */ GIM_Reject,
     /* 2324318 */ // Label 32123: @2324318
     /* 2324318 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2324375), // Rule ID 58330 //
     /* 2324323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2324326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324337 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324337 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324340 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324344 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324349 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2324354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324356 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324374 */   // GIR_Coverage, 58330,
     /* 2324374 */   GIR_EraseRootFromParent_Done,
     /* 2324375 */ // Label 32199: @2324375
     /* 2324375 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2324432), // Rule ID 58331 //
     /* 2324380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2324383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324394 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324406 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2324411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324413 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324416 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324431 */   // GIR_Coverage, 58331,
     /* 2324431 */   GIR_EraseRootFromParent_Done,
     /* 2324432 */ // Label 32200: @2324432
     /* 2324432 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2324486), // Rule ID 58514 //
     /* 2324437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2324440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324451 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324451 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324454 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324458 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324463 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324470 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324473 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324485 */   // GIR_Coverage, 58514,
     /* 2324485 */   GIR_EraseRootFromParent_Done,
     /* 2324486 */ // Label 32201: @2324486
     /* 2324486 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2324540), // Rule ID 58515 //
     /* 2324491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2324494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324505 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324505 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324508 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324512 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324517 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324524 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324527 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324539 */   // GIR_Coverage, 58515,
     /* 2324539 */   GIR_EraseRootFromParent_Done,
     /* 2324540 */ // Label 32202: @2324540
     /* 2324540 */ GIM_Reject,
     /* 2324541 */ // Label 32124: @2324541
     /* 2324541 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2324598), // Rule ID 58302 //
     /* 2324546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324560 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324560 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324563 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324567 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324572 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324579 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324597 */   // GIR_Coverage, 58302,
     /* 2324597 */   GIR_EraseRootFromParent_Done,
     /* 2324598 */ // Label 32203: @2324598
     /* 2324598 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2324655), // Rule ID 58303 //
     /* 2324603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324617 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324654 */   // GIR_Coverage, 58303,
     /* 2324654 */   GIR_EraseRootFromParent_Done,
     /* 2324655 */ // Label 32204: @2324655
     /* 2324655 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2324709), // Rule ID 58474 //
     /* 2324660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324674 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324674 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324677 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324681 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324708 */   // GIR_Coverage, 58474,
     /* 2324708 */   GIR_EraseRootFromParent_Done,
     /* 2324709 */ // Label 32205: @2324709
     /* 2324709 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2324763), // Rule ID 58475 //
     /* 2324714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324728 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324762 */   // GIR_Coverage, 58475,
     /* 2324762 */   GIR_EraseRootFromParent_Done,
     /* 2324763 */ // Label 32206: @2324763
     /* 2324763 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2324820), // Rule ID 58706 //
     /* 2324768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324782 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324782 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324785 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324789 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324804 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324819 */   // GIR_Coverage, 58706,
     /* 2324819 */   GIR_EraseRootFromParent_Done,
     /* 2324820 */ // Label 32207: @2324820
     /* 2324820 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2324877), // Rule ID 58707 //
     /* 2324825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324839 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324876 */   // GIR_Coverage, 58707,
     /* 2324876 */   GIR_EraseRootFromParent_Done,
     /* 2324877 */ // Label 32208: @2324877
     /* 2324877 */ GIM_Reject,
     /* 2324878 */ // Label 32125: @2324878
     /* 2324878 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2324935), // Rule ID 58318 //
     /* 2324883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324897 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324897 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324900 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324904 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324909 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324916 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324919 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324934 */   // GIR_Coverage, 58318,
     /* 2324934 */   GIR_EraseRootFromParent_Done,
     /* 2324935 */ // Label 32209: @2324935
     /* 2324935 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2324992), // Rule ID 58319 //
     /* 2324940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324954 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324991 */   // GIR_Coverage, 58319,
     /* 2324991 */   GIR_EraseRootFromParent_Done,
     /* 2324992 */ // Label 32210: @2324992
     /* 2324992 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2325046), // Rule ID 58498 //
     /* 2324997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2325003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325011 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2325028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325030 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325045 */   // GIR_Coverage, 58498,
     /* 2325045 */   GIR_EraseRootFromParent_Done,
     /* 2325046 */ // Label 32211: @2325046
     /* 2325046 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2325100), // Rule ID 58499 //
     /* 2325051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2325057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325065 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2325082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325099 */   // GIR_Coverage, 58499,
     /* 2325099 */   GIR_EraseRootFromParent_Done,
     /* 2325100 */ // Label 32212: @2325100
     /* 2325100 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2325157), // Rule ID 58726 //
     /* 2325105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2325108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325119 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2325136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325156 */   // GIR_Coverage, 58726,
     /* 2325156 */   GIR_EraseRootFromParent_Done,
     /* 2325157 */ // Label 32213: @2325157
     /* 2325157 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2325214), // Rule ID 58727 //
     /* 2325162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2325165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325176 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2325193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325213 */   // GIR_Coverage, 58727,
     /* 2325213 */   GIR_EraseRootFromParent_Done,
     /* 2325214 */ // Label 32214: @2325214
     /* 2325214 */ GIM_Reject,
     /* 2325215 */ // Label 32126: @2325215
     /* 2325215 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2325272), // Rule ID 58334 //
     /* 2325220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2325223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325234 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325246 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2325251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325253 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325256 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325271 */   // GIR_Coverage, 58334,
     /* 2325271 */   GIR_EraseRootFromParent_Done,
     /* 2325272 */ // Label 32215: @2325272
     /* 2325272 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2325329), // Rule ID 58335 //
     /* 2325277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2325280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325291 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2325308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325310 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325313 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325328 */   // GIR_Coverage, 58335,
     /* 2325328 */   GIR_EraseRootFromParent_Done,
     /* 2325329 */ // Label 32216: @2325329
     /* 2325329 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2325383), // Rule ID 58518 //
     /* 2325334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2325337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2325340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325348 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325360 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2325365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325367 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325370 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325382 */   // GIR_Coverage, 58518,
     /* 2325382 */   GIR_EraseRootFromParent_Done,
     /* 2325383 */ // Label 32217: @2325383
     /* 2325383 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2325437), // Rule ID 58519 //
     /* 2325388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2325391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2325394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325402 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2325419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325424 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325436 */   // GIR_Coverage, 58519,
     /* 2325436 */   GIR_EraseRootFromParent_Done,
     /* 2325437 */ // Label 32218: @2325437
     /* 2325437 */ GIM_Reject,
     /* 2325438 */ // Label 32127: @2325438
     /* 2325438 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2325495), // Rule ID 58306 //
     /* 2325443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325457 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325457 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325460 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325464 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325469 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325476 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325479 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325494 */   // GIR_Coverage, 58306,
     /* 2325494 */   GIR_EraseRootFromParent_Done,
     /* 2325495 */ // Label 32219: @2325495
     /* 2325495 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2325552), // Rule ID 58307 //
     /* 2325500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325514 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325514 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325517 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325521 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325533 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325551 */   // GIR_Coverage, 58307,
     /* 2325551 */   GIR_EraseRootFromParent_Done,
     /* 2325552 */ // Label 32220: @2325552
     /* 2325552 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2325606), // Rule ID 58478 //
     /* 2325557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325571 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325583 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325590 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325593 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325605 */   // GIR_Coverage, 58478,
     /* 2325605 */   GIR_EraseRootFromParent_Done,
     /* 2325606 */ // Label 32221: @2325606
     /* 2325606 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2325660), // Rule ID 58479 //
     /* 2325611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325625 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325659 */   // GIR_Coverage, 58479,
     /* 2325659 */   GIR_EraseRootFromParent_Done,
     /* 2325660 */ // Label 32222: @2325660
     /* 2325660 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2325717), // Rule ID 58710 //
     /* 2325665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325679 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325716 */   // GIR_Coverage, 58710,
     /* 2325716 */   GIR_EraseRootFromParent_Done,
     /* 2325717 */ // Label 32223: @2325717
     /* 2325717 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2325774), // Rule ID 58711 //
     /* 2325722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325736 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325755 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325773 */   // GIR_Coverage, 58711,
     /* 2325773 */   GIR_EraseRootFromParent_Done,
     /* 2325774 */ // Label 32224: @2325774
     /* 2325774 */ GIM_Reject,
     /* 2325775 */ // Label 32128: @2325775
     /* 2325775 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2325832), // Rule ID 58322 //
     /* 2325780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325794 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325794 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325797 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325801 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325806 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325813 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325816 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325831 */   // GIR_Coverage, 58322,
     /* 2325831 */   GIR_EraseRootFromParent_Done,
     /* 2325832 */ // Label 32225: @2325832
     /* 2325832 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2325889), // Rule ID 58323 //
     /* 2325837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325851 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325851 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325854 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325858 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325870 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325873 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325888 */   // GIR_Coverage, 58323,
     /* 2325888 */   GIR_EraseRootFromParent_Done,
     /* 2325889 */ // Label 32226: @2325889
     /* 2325889 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2325943), // Rule ID 58502 //
     /* 2325894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325908 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325908 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325911 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325915 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325920 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325927 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325930 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325942 */   // GIR_Coverage, 58502,
     /* 2325942 */   GIR_EraseRootFromParent_Done,
     /* 2325943 */ // Label 32227: @2325943
     /* 2325943 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2325997), // Rule ID 58503 //
     /* 2325948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325962 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325996 */   // GIR_Coverage, 58503,
     /* 2325996 */   GIR_EraseRootFromParent_Done,
     /* 2325997 */ // Label 32228: @2325997
     /* 2325997 */ GIM_Reject,
     /* 2325998 */ // Label 32129: @2325998
     /* 2325998 */ GIM_Try, /*On fail goto*//*Label 32229*/ GIMT_Encode4(2326055), // Rule ID 58310 //
     /* 2326003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2326009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326017 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2326034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326054 */   // GIR_Coverage, 58310,
     /* 2326054 */   GIR_EraseRootFromParent_Done,
     /* 2326055 */ // Label 32229: @2326055
     /* 2326055 */ GIM_Try, /*On fail goto*//*Label 32230*/ GIMT_Encode4(2326112), // Rule ID 58311 //
     /* 2326060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2326066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326074 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326074 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326077 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326081 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326086 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2326091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326096 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326111 */   // GIR_Coverage, 58311,
     /* 2326111 */   GIR_EraseRootFromParent_Done,
     /* 2326112 */ // Label 32230: @2326112
     /* 2326112 */ GIM_Try, /*On fail goto*//*Label 32231*/ GIMT_Encode4(2326166), // Rule ID 58482 //
     /* 2326117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2326123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326131 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2326148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326153 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326165 */   // GIR_Coverage, 58482,
     /* 2326165 */   GIR_EraseRootFromParent_Done,
     /* 2326166 */ // Label 32231: @2326166
     /* 2326166 */ GIM_Try, /*On fail goto*//*Label 32232*/ GIMT_Encode4(2326220), // Rule ID 58483 //
     /* 2326171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2326177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326185 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326197 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2326202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326204 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326219 */   // GIR_Coverage, 58483,
     /* 2326219 */   GIR_EraseRootFromParent_Done,
     /* 2326220 */ // Label 32232: @2326220
     /* 2326220 */ GIM_Reject,
     /* 2326221 */ // Label 32130: @2326221
     /* 2326221 */ GIM_Reject,
     /* 2326222 */ // Label 70: @2326222
     /* 2326222 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32251*/ GIMT_Encode4(2331507),
     /* 2326233 */ /*GILLT_s16*//*Label 32233*/ GIMT_Encode4(2326353),
     /* 2326237 */ /*GILLT_s32*//*Label 32234*/ GIMT_Encode4(2326614),
     /* 2326241 */ /*GILLT_s64*//*Label 32235*/ GIMT_Encode4(2326875), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326253 */ /*GILLT_nxv1s16*//*Label 32236*/ GIMT_Encode4(2327136),
     /* 2326257 */ /*GILLT_nxv1s32*//*Label 32237*/ GIMT_Encode4(2327473),
     /* 2326261 */ /*GILLT_nxv1s64*//*Label 32238*/ GIMT_Encode4(2327810), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326273 */ /*GILLT_nxv2s16*//*Label 32239*/ GIMT_Encode4(2328033),
     /* 2326277 */ /*GILLT_nxv2s32*//*Label 32240*/ GIMT_Encode4(2328370),
     /* 2326281 */ /*GILLT_nxv2s64*//*Label 32241*/ GIMT_Encode4(2328707), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326293 */ /*GILLT_nxv4s16*//*Label 32242*/ GIMT_Encode4(2328930),
     /* 2326297 */ /*GILLT_nxv4s32*//*Label 32243*/ GIMT_Encode4(2329267),
     /* 2326301 */ /*GILLT_nxv4s64*//*Label 32244*/ GIMT_Encode4(2329604), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326313 */ /*GILLT_nxv8s16*//*Label 32245*/ GIMT_Encode4(2329827),
     /* 2326317 */ /*GILLT_nxv8s32*//*Label 32246*/ GIMT_Encode4(2330164),
     /* 2326321 */ /*GILLT_nxv8s64*//*Label 32247*/ GIMT_Encode4(2330501), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326333 */ /*GILLT_nxv16s16*//*Label 32248*/ GIMT_Encode4(2330724),
     /* 2326337 */ /*GILLT_nxv16s32*//*Label 32249*/ GIMT_Encode4(2331061), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326349 */ /*GILLT_nxv32s16*//*Label 32250*/ GIMT_Encode4(2331284),
     /* 2326353 */ // Label 32233: @2326353
     /* 2326353 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2326390), // Rule ID 2153 //
     /* 2326358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2326361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326368 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326375 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326380 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326389 */   // GIR_Coverage, 2153,
     /* 2326389 */   GIR_EraseRootFromParent_Done,
     /* 2326390 */ // Label 32252: @2326390
     /* 2326390 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2326427), // Rule ID 2179 //
     /* 2326395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2326398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326405 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326412 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326417 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326426 */   // GIR_Coverage, 2179,
     /* 2326426 */   GIR_EraseRootFromParent_Done,
     /* 2326427 */ // Label 32253: @2326427
     /* 2326427 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2326458), // Rule ID 2104 //
     /* 2326432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2326435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326446 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326451 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326457 */   // GIR_Coverage, 2104,
     /* 2326457 */   GIR_EraseRootFromParent_Done,
     /* 2326458 */ // Label 32254: @2326458
     /* 2326458 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2326489), // Rule ID 2105 //
     /* 2326463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2326466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326477 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326488 */   // GIR_Coverage, 2105,
     /* 2326488 */   GIR_EraseRootFromParent_Done,
     /* 2326489 */ // Label 32255: @2326489
     /* 2326489 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2326520), // Rule ID 2130 //
     /* 2326494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2326497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326508 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326513 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326519 */   // GIR_Coverage, 2130,
     /* 2326519 */   GIR_EraseRootFromParent_Done,
     /* 2326520 */ // Label 32256: @2326520
     /* 2326520 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2326551), // Rule ID 2131 //
     /* 2326525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2326528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326539 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326550 */   // GIR_Coverage, 2131,
     /* 2326550 */   GIR_EraseRootFromParent_Done,
     /* 2326551 */ // Label 32257: @2326551
     /* 2326551 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2326582), // Rule ID 2157 //
     /* 2326556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2326559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326570 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2326573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326581 */   // GIR_Coverage, 2157,
     /* 2326581 */   GIR_EraseRootFromParent_Done,
     /* 2326582 */ // Label 32258: @2326582
     /* 2326582 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2326613), // Rule ID 2183 //
     /* 2326587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2326590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326601 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2326604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326612 */   // GIR_Coverage, 2183,
     /* 2326612 */   GIR_EraseRootFromParent_Done,
     /* 2326613 */ // Label 32259: @2326613
     /* 2326613 */ GIM_Reject,
     /* 2326614 */ // Label 32234: @2326614
     /* 2326614 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2326651), // Rule ID 1419 //
     /* 2326619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326629 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326636 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326641 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326650 */   // GIR_Coverage, 1419,
     /* 2326650 */   GIR_EraseRootFromParent_Done,
     /* 2326651 */ // Label 32260: @2326651
     /* 2326651 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2326688), // Rule ID 1447 //
     /* 2326656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326666 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326673 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326678 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326687 */   // GIR_Coverage, 1447,
     /* 2326687 */   GIR_EraseRootFromParent_Done,
     /* 2326688 */ // Label 32261: @2326688
     /* 2326688 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2326719), // Rule ID 1368 //
     /* 2326693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2326696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326707 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326718 */   // GIR_Coverage, 1368,
     /* 2326718 */   GIR_EraseRootFromParent_Done,
     /* 2326719 */ // Label 32262: @2326719
     /* 2326719 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2326750), // Rule ID 1369 //
     /* 2326724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2326727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326738 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326743 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326749 */   // GIR_Coverage, 1369,
     /* 2326749 */   GIR_EraseRootFromParent_Done,
     /* 2326750 */ // Label 32263: @2326750
     /* 2326750 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2326781), // Rule ID 1394 //
     /* 2326755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2326758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326769 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326774 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326780 */   // GIR_Coverage, 1394,
     /* 2326780 */   GIR_EraseRootFromParent_Done,
     /* 2326781 */ // Label 32264: @2326781
     /* 2326781 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2326812), // Rule ID 1395 //
     /* 2326786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2326789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326800 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326805 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326811 */   // GIR_Coverage, 1395,
     /* 2326811 */   GIR_EraseRootFromParent_Done,
     /* 2326812 */ // Label 32265: @2326812
     /* 2326812 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2326843), // Rule ID 1423 //
     /* 2326817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326831 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2326834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326836 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326842 */   // GIR_Coverage, 1423,
     /* 2326842 */   GIR_EraseRootFromParent_Done,
     /* 2326843 */ // Label 32266: @2326843
     /* 2326843 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2326874), // Rule ID 1451 //
     /* 2326848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326862 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2326865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326873 */   // GIR_Coverage, 1451,
     /* 2326873 */   GIR_EraseRootFromParent_Done,
     /* 2326874 */ // Label 32267: @2326874
     /* 2326874 */ GIM_Reject,
     /* 2326875 */ // Label 32235: @2326875
     /* 2326875 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2326912), // Rule ID 1799 //
     /* 2326880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2326883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326890 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326897 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326902 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326911 */   // GIR_Coverage, 1799,
     /* 2326911 */   GIR_EraseRootFromParent_Done,
     /* 2326912 */ // Label 32268: @2326912
     /* 2326912 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2326949), // Rule ID 1827 //
     /* 2326917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326927 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326934 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2326937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326948 */   // GIR_Coverage, 1827,
     /* 2326948 */   GIR_EraseRootFromParent_Done,
     /* 2326949 */ // Label 32269: @2326949
     /* 2326949 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2326980), // Rule ID 1762 //
     /* 2326954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2326957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326968 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2326968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326973 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326979 */   // GIR_Coverage, 1762,
     /* 2326979 */   GIR_EraseRootFromParent_Done,
     /* 2326980 */ // Label 32270: @2326980
     /* 2326980 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2327011), // Rule ID 1763 //
     /* 2326985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2326988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326999 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2326999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2327002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327010 */   // GIR_Coverage, 1763,
     /* 2327010 */   GIR_EraseRootFromParent_Done,
     /* 2327011 */ // Label 32271: @2327011
     /* 2327011 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2327042), // Rule ID 1788 //
     /* 2327016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2327019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327030 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2327030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2327033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327041 */   // GIR_Coverage, 1788,
     /* 2327041 */   GIR_EraseRootFromParent_Done,
     /* 2327042 */ // Label 32272: @2327042
     /* 2327042 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2327073), // Rule ID 1789 //
     /* 2327047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2327050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327061 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2327061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2327064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327066 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327072 */   // GIR_Coverage, 1789,
     /* 2327072 */   GIR_EraseRootFromParent_Done,
     /* 2327073 */ // Label 32273: @2327073
     /* 2327073 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2327104), // Rule ID 1817 //
     /* 2327078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2327081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2327084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327092 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2327092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2327095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327097 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327103 */   // GIR_Coverage, 1817,
     /* 2327103 */   GIR_EraseRootFromParent_Done,
     /* 2327104 */ // Label 32274: @2327104
     /* 2327104 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2327135), // Rule ID 1845 //
     /* 2327109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2327112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2327115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327123 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2327123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2327126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327128 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327134 */   // GIR_Coverage, 1845,
     /* 2327134 */   GIR_EraseRootFromParent_Done,
     /* 2327135 */ // Label 32275: @2327135
     /* 2327135 */ GIM_Reject,
     /* 2327136 */ // Label 32236: @2327136
     /* 2327136 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2327193), // Rule ID 58338 //
     /* 2327141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327155 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2327172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327174 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327177 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327192 */   // GIR_Coverage, 58338,
     /* 2327192 */   GIR_EraseRootFromParent_Done,
     /* 2327193 */ // Label 32276: @2327193
     /* 2327193 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2327250), // Rule ID 58339 //
     /* 2327198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327212 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327212 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327215 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327219 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2327229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327234 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327249 */   // GIR_Coverage, 58339,
     /* 2327249 */   GIR_EraseRootFromParent_Done,
     /* 2327250 */ // Label 32277: @2327250
     /* 2327250 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2327304), // Rule ID 58522 //
     /* 2327255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2327261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327269 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327269 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327272 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327276 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327281 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2327286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327288 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327291 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327303 */   // GIR_Coverage, 58522,
     /* 2327303 */   GIR_EraseRootFromParent_Done,
     /* 2327304 */ // Label 32278: @2327304
     /* 2327304 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2327358), // Rule ID 58523 //
     /* 2327309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2327315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327323 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2327340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327357 */   // GIR_Coverage, 58523,
     /* 2327357 */   GIR_EraseRootFromParent_Done,
     /* 2327358 */ // Label 32279: @2327358
     /* 2327358 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2327415), // Rule ID 58730 //
     /* 2327363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327377 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327377 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327380 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327384 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2327394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327396 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327414 */   // GIR_Coverage, 58730,
     /* 2327414 */   GIR_EraseRootFromParent_Done,
     /* 2327415 */ // Label 32280: @2327415
     /* 2327415 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2327472), // Rule ID 58731 //
     /* 2327420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327434 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2327451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327471 */   // GIR_Coverage, 58731,
     /* 2327471 */   GIR_EraseRootFromParent_Done,
     /* 2327472 */ // Label 32281: @2327472
     /* 2327472 */ GIM_Reject,
     /* 2327473 */ // Label 32237: @2327473
     /* 2327473 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2327530), // Rule ID 58346 //
     /* 2327478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327492 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327492 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327495 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327499 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327504 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327529 */   // GIR_Coverage, 58346,
     /* 2327529 */   GIR_EraseRootFromParent_Done,
     /* 2327530 */ // Label 32282: @2327530
     /* 2327530 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2327587), // Rule ID 58347 //
     /* 2327535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327549 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327586 */   // GIR_Coverage, 58347,
     /* 2327586 */   GIR_EraseRootFromParent_Done,
     /* 2327587 */ // Label 32283: @2327587
     /* 2327587 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2327641), // Rule ID 58546 //
     /* 2327592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327606 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327606 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327609 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327613 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327618 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327625 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327640 */   // GIR_Coverage, 58546,
     /* 2327640 */   GIR_EraseRootFromParent_Done,
     /* 2327641 */ // Label 32284: @2327641
     /* 2327641 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2327695), // Rule ID 58547 //
     /* 2327646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327660 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327694 */   // GIR_Coverage, 58547,
     /* 2327694 */   GIR_EraseRootFromParent_Done,
     /* 2327695 */ // Label 32285: @2327695
     /* 2327695 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2327752), // Rule ID 58750 //
     /* 2327700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2327703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327714 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327736 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327751 */   // GIR_Coverage, 58750,
     /* 2327751 */   GIR_EraseRootFromParent_Done,
     /* 2327752 */ // Label 32286: @2327752
     /* 2327752 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2327809), // Rule ID 58751 //
     /* 2327757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2327760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327771 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327790 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327808 */   // GIR_Coverage, 58751,
     /* 2327808 */   GIR_EraseRootFromParent_Done,
     /* 2327809 */ // Label 32287: @2327809
     /* 2327809 */ GIM_Reject,
     /* 2327810 */ // Label 32238: @2327810
     /* 2327810 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2327867), // Rule ID 58358 //
     /* 2327815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2327818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327829 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327841 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327848 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327866 */   // GIR_Coverage, 58358,
     /* 2327866 */   GIR_EraseRootFromParent_Done,
     /* 2327867 */ // Label 32288: @2327867
     /* 2327867 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2327924), // Rule ID 58359 //
     /* 2327872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2327875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327886 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327886 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327889 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327893 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327898 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327905 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327908 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327923 */   // GIR_Coverage, 58359,
     /* 2327923 */   GIR_EraseRootFromParent_Done,
     /* 2327924 */ // Label 32289: @2327924
     /* 2327924 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2327978), // Rule ID 58566 //
     /* 2327929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2327932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327943 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2327960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327962 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327965 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327977 */   // GIR_Coverage, 58566,
     /* 2327977 */   GIR_EraseRootFromParent_Done,
     /* 2327978 */ // Label 32290: @2327978
     /* 2327978 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2328032), // Rule ID 58567 //
     /* 2327983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2327986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327997 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327997 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2328000 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328004 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328009 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2328014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328016 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328019 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328031 */   // GIR_Coverage, 58567,
     /* 2328031 */   GIR_EraseRootFromParent_Done,
     /* 2328032 */ // Label 32291: @2328032
     /* 2328032 */ GIM_Reject,
     /* 2328033 */ // Label 32239: @2328033
     /* 2328033 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2328090), // Rule ID 58342 //
     /* 2328038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328052 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328052 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328055 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328059 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328064 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2328069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328074 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328089 */   // GIR_Coverage, 58342,
     /* 2328089 */   GIR_EraseRootFromParent_Done,
     /* 2328090 */ // Label 32292: @2328090
     /* 2328090 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2328147), // Rule ID 58343 //
     /* 2328095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328109 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328121 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2328126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328128 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328131 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328146 */   // GIR_Coverage, 58343,
     /* 2328146 */   GIR_EraseRootFromParent_Done,
     /* 2328147 */ // Label 32293: @2328147
     /* 2328147 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2328201), // Rule ID 58526 //
     /* 2328152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2328158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328166 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328166 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328169 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328173 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328178 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2328183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328185 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328200 */   // GIR_Coverage, 58526,
     /* 2328200 */   GIR_EraseRootFromParent_Done,
     /* 2328201 */ // Label 32294: @2328201
     /* 2328201 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2328255), // Rule ID 58527 //
     /* 2328206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2328212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328220 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2328237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328254 */   // GIR_Coverage, 58527,
     /* 2328254 */   GIR_EraseRootFromParent_Done,
     /* 2328255 */ // Label 32295: @2328255
     /* 2328255 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2328312), // Rule ID 58734 //
     /* 2328260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328274 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328274 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328277 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328281 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328286 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2328291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328296 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328311 */   // GIR_Coverage, 58734,
     /* 2328311 */   GIR_EraseRootFromParent_Done,
     /* 2328312 */ // Label 32296: @2328312
     /* 2328312 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2328369), // Rule ID 58735 //
     /* 2328317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328331 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2328348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328353 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328368 */   // GIR_Coverage, 58735,
     /* 2328368 */   GIR_EraseRootFromParent_Done,
     /* 2328369 */ // Label 32297: @2328369
     /* 2328369 */ GIM_Reject,
     /* 2328370 */ // Label 32240: @2328370
     /* 2328370 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2328427), // Rule ID 58354 //
     /* 2328375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328389 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2328406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328408 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328411 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328426 */   // GIR_Coverage, 58354,
     /* 2328426 */   GIR_EraseRootFromParent_Done,
     /* 2328427 */ // Label 32298: @2328427
     /* 2328427 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2328484), // Rule ID 58355 //
     /* 2328432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328446 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328458 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2328463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328483 */   // GIR_Coverage, 58355,
     /* 2328483 */   GIR_EraseRootFromParent_Done,
     /* 2328484 */ // Label 32299: @2328484
     /* 2328484 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2328538), // Rule ID 58550 //
     /* 2328489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328503 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328515 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328522 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328525 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328537 */   // GIR_Coverage, 58550,
     /* 2328537 */   GIR_EraseRootFromParent_Done,
     /* 2328538 */ // Label 32300: @2328538
     /* 2328538 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2328592), // Rule ID 58551 //
     /* 2328543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328557 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328591 */   // GIR_Coverage, 58551,
     /* 2328591 */   GIR_EraseRootFromParent_Done,
     /* 2328592 */ // Label 32301: @2328592
     /* 2328592 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2328649), // Rule ID 58754 //
     /* 2328597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2328600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328611 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328630 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328633 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328648 */   // GIR_Coverage, 58754,
     /* 2328648 */   GIR_EraseRootFromParent_Done,
     /* 2328649 */ // Label 32302: @2328649
     /* 2328649 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2328706), // Rule ID 58755 //
     /* 2328654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2328657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328668 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328668 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328671 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328675 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328680 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328690 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328705 */   // GIR_Coverage, 58755,
     /* 2328705 */   GIR_EraseRootFromParent_Done,
     /* 2328706 */ // Label 32303: @2328706
     /* 2328706 */ GIM_Reject,
     /* 2328707 */ // Label 32241: @2328707
     /* 2328707 */ GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2328764), // Rule ID 58386 //
     /* 2328712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328726 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328726 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328729 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328733 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328738 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328745 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328748 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328763 */   // GIR_Coverage, 58386,
     /* 2328763 */   GIR_EraseRootFromParent_Done,
     /* 2328764 */ // Label 32304: @2328764
     /* 2328764 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2328821), // Rule ID 58387 //
     /* 2328769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2328772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328783 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328783 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328786 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328790 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328795 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328802 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328805 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328820 */   // GIR_Coverage, 58387,
     /* 2328820 */   GIR_EraseRootFromParent_Done,
     /* 2328821 */ // Label 32305: @2328821
     /* 2328821 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2328875), // Rule ID 58570 //
     /* 2328826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328840 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328840 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328847 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328862 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328874 */   // GIR_Coverage, 58570,
     /* 2328874 */   GIR_EraseRootFromParent_Done,
     /* 2328875 */ // Label 32306: @2328875
     /* 2328875 */ GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2328929), // Rule ID 58571 //
     /* 2328880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328894 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328906 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328928 */   // GIR_Coverage, 58571,
     /* 2328928 */   GIR_EraseRootFromParent_Done,
     /* 2328929 */ // Label 32307: @2328929
     /* 2328929 */ GIM_Reject,
     /* 2328930 */ // Label 32242: @2328930
     /* 2328930 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2328987), // Rule ID 58350 //
     /* 2328935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328949 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328961 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2328966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328968 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328971 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328986 */   // GIR_Coverage, 58350,
     /* 2328986 */   GIR_EraseRootFromParent_Done,
     /* 2328987 */ // Label 32308: @2328987
     /* 2328987 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2329044), // Rule ID 58351 //
     /* 2328992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329006 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329006 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329009 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329013 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329018 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2329023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329025 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329028 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329043 */   // GIR_Coverage, 58351,
     /* 2329043 */   GIR_EraseRootFromParent_Done,
     /* 2329044 */ // Label 32309: @2329044
     /* 2329044 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2329098), // Rule ID 58530 //
     /* 2329049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2329055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329063 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329063 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329066 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329070 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329075 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2329080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329082 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329085 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329097 */   // GIR_Coverage, 58530,
     /* 2329097 */   GIR_EraseRootFromParent_Done,
     /* 2329098 */ // Label 32310: @2329098
     /* 2329098 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2329152), // Rule ID 58531 //
     /* 2329103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2329109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329117 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2329134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329136 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329139 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329151 */   // GIR_Coverage, 58531,
     /* 2329151 */   GIR_EraseRootFromParent_Done,
     /* 2329152 */ // Label 32311: @2329152
     /* 2329152 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2329209), // Rule ID 58738 //
     /* 2329157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329171 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329171 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329174 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329178 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329183 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2329188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329190 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329193 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329208 */   // GIR_Coverage, 58738,
     /* 2329208 */   GIR_EraseRootFromParent_Done,
     /* 2329209 */ // Label 32312: @2329209
     /* 2329209 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2329266), // Rule ID 58739 //
     /* 2329214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329228 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2329245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329265 */   // GIR_Coverage, 58739,
     /* 2329265 */   GIR_EraseRootFromParent_Done,
     /* 2329266 */ // Label 32313: @2329266
     /* 2329266 */ GIM_Reject,
     /* 2329267 */ // Label 32243: @2329267
     /* 2329267 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2329324), // Rule ID 58374 //
     /* 2329272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329286 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329298 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2329303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329308 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329323 */   // GIR_Coverage, 58374,
     /* 2329323 */   GIR_EraseRootFromParent_Done,
     /* 2329324 */ // Label 32314: @2329324
     /* 2329324 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2329381), // Rule ID 58375 //
     /* 2329329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329343 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329343 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329346 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329350 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2329360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329380 */   // GIR_Coverage, 58375,
     /* 2329380 */   GIR_EraseRootFromParent_Done,
     /* 2329381 */ // Label 32315: @2329381
     /* 2329381 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2329435), // Rule ID 58554 //
     /* 2329386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329400 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2329417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329419 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329422 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329434 */   // GIR_Coverage, 58554,
     /* 2329434 */   GIR_EraseRootFromParent_Done,
     /* 2329435 */ // Label 32316: @2329435
     /* 2329435 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2329489), // Rule ID 58555 //
     /* 2329440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329454 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329454 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329457 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329461 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2329471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329476 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329488 */   // GIR_Coverage, 58555,
     /* 2329488 */   GIR_EraseRootFromParent_Done,
     /* 2329489 */ // Label 32317: @2329489
     /* 2329489 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2329546), // Rule ID 58758 //
     /* 2329494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329508 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329508 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329511 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329515 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329545 */   // GIR_Coverage, 58758,
     /* 2329545 */   GIR_EraseRootFromParent_Done,
     /* 2329546 */ // Label 32318: @2329546
     /* 2329546 */ GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2329603), // Rule ID 58759 //
     /* 2329551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2329554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329565 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329565 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329568 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329572 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329577 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329584 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329587 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329602 */   // GIR_Coverage, 58759,
     /* 2329602 */   GIR_EraseRootFromParent_Done,
     /* 2329603 */ // Label 32319: @2329603
     /* 2329603 */ GIM_Reject,
     /* 2329604 */ // Label 32244: @2329604
     /* 2329604 */ GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2329661), // Rule ID 58390 //
     /* 2329609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2329612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329623 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329623 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329626 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329630 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329635 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329642 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329645 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329660 */   // GIR_Coverage, 58390,
     /* 2329660 */   GIR_EraseRootFromParent_Done,
     /* 2329661 */ // Label 32320: @2329661
     /* 2329661 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2329718), // Rule ID 58391 //
     /* 2329666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2329669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329680 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329717 */   // GIR_Coverage, 58391,
     /* 2329717 */   GIR_EraseRootFromParent_Done,
     /* 2329718 */ // Label 32321: @2329718
     /* 2329718 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2329772), // Rule ID 58574 //
     /* 2329723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2329726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329737 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329771 */   // GIR_Coverage, 58574,
     /* 2329771 */   GIR_EraseRootFromParent_Done,
     /* 2329772 */ // Label 32322: @2329772
     /* 2329772 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2329826), // Rule ID 58575 //
     /* 2329777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2329780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329791 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329825 */   // GIR_Coverage, 58575,
     /* 2329825 */   GIR_EraseRootFromParent_Done,
     /* 2329826 */ // Label 32323: @2329826
     /* 2329826 */ GIM_Reject,
     /* 2329827 */ // Label 32245: @2329827
     /* 2329827 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2329884), // Rule ID 58362 //
     /* 2329832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329846 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329846 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329849 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329853 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329865 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329868 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329883 */   // GIR_Coverage, 58362,
     /* 2329883 */   GIR_EraseRootFromParent_Done,
     /* 2329884 */ // Label 32324: @2329884
     /* 2329884 */ GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2329941), // Rule ID 58363 //
     /* 2329889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329903 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329925 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329940 */   // GIR_Coverage, 58363,
     /* 2329940 */   GIR_EraseRootFromParent_Done,
     /* 2329941 */ // Label 32325: @2329941
     /* 2329941 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2329995), // Rule ID 58534 //
     /* 2329946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2329952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329960 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329960 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329963 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329967 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2329977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329994 */   // GIR_Coverage, 58534,
     /* 2329994 */   GIR_EraseRootFromParent_Done,
     /* 2329995 */ // Label 32326: @2329995
     /* 2329995 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2330049), // Rule ID 58535 //
     /* 2330000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2330006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330014 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2330031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330048 */   // GIR_Coverage, 58535,
     /* 2330048 */   GIR_EraseRootFromParent_Done,
     /* 2330049 */ // Label 32327: @2330049
     /* 2330049 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2330106), // Rule ID 58742 //
     /* 2330054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330068 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2330085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330090 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330105 */   // GIR_Coverage, 58742,
     /* 2330105 */   GIR_EraseRootFromParent_Done,
     /* 2330106 */ // Label 32328: @2330106
     /* 2330106 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2330163), // Rule ID 58743 //
     /* 2330111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330125 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2330142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330147 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330162 */   // GIR_Coverage, 58743,
     /* 2330162 */   GIR_EraseRootFromParent_Done,
     /* 2330163 */ // Label 32329: @2330163
     /* 2330163 */ GIM_Reject,
     /* 2330164 */ // Label 32246: @2330164
     /* 2330164 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2330221), // Rule ID 58378 //
     /* 2330169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330183 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2330200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330205 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330220 */   // GIR_Coverage, 58378,
     /* 2330220 */   GIR_EraseRootFromParent_Done,
     /* 2330221 */ // Label 32330: @2330221
     /* 2330221 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2330278), // Rule ID 58379 //
     /* 2330226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330240 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330240 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330243 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330247 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2330257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330259 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330262 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330277 */   // GIR_Coverage, 58379,
     /* 2330277 */   GIR_EraseRootFromParent_Done,
     /* 2330278 */ // Label 32331: @2330278
     /* 2330278 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2330332), // Rule ID 58558 //
     /* 2330283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2330289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330297 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330297 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330300 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330304 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330309 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2330314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330331 */   // GIR_Coverage, 58558,
     /* 2330331 */   GIR_EraseRootFromParent_Done,
     /* 2330332 */ // Label 32332: @2330332
     /* 2330332 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2330386), // Rule ID 58559 //
     /* 2330337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2330343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330351 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2330368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330385 */   // GIR_Coverage, 58559,
     /* 2330385 */   GIR_EraseRootFromParent_Done,
     /* 2330386 */ // Label 32333: @2330386
     /* 2330386 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2330443), // Rule ID 58762 //
     /* 2330391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2330394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330405 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2330422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330442 */   // GIR_Coverage, 58762,
     /* 2330442 */   GIR_EraseRootFromParent_Done,
     /* 2330443 */ // Label 32334: @2330443
     /* 2330443 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2330500), // Rule ID 58763 //
     /* 2330448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2330451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330462 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330462 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330465 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330469 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330474 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2330479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330484 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330499 */   // GIR_Coverage, 58763,
     /* 2330499 */   GIR_EraseRootFromParent_Done,
     /* 2330500 */ // Label 32335: @2330500
     /* 2330500 */ GIM_Reject,
     /* 2330501 */ // Label 32247: @2330501
     /* 2330501 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2330558), // Rule ID 58394 //
     /* 2330506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2330509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330520 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330557 */   // GIR_Coverage, 58394,
     /* 2330557 */   GIR_EraseRootFromParent_Done,
     /* 2330558 */ // Label 32336: @2330558
     /* 2330558 */ GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2330615), // Rule ID 58395 //
     /* 2330563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2330566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330577 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330577 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330580 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330584 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330589 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330596 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330599 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330614 */   // GIR_Coverage, 58395,
     /* 2330614 */   GIR_EraseRootFromParent_Done,
     /* 2330615 */ // Label 32337: @2330615
     /* 2330615 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2330669), // Rule ID 58578 //
     /* 2330620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2330623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330634 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330634 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330637 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330641 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330646 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330653 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330656 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330668 */   // GIR_Coverage, 58578,
     /* 2330668 */   GIR_EraseRootFromParent_Done,
     /* 2330669 */ // Label 32338: @2330669
     /* 2330669 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2330723), // Rule ID 58579 //
     /* 2330674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2330677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330688 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330688 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330691 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330695 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330700 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330707 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330722 */   // GIR_Coverage, 58579,
     /* 2330722 */   GIR_EraseRootFromParent_Done,
     /* 2330723 */ // Label 32339: @2330723
     /* 2330723 */ GIM_Reject,
     /* 2330724 */ // Label 32248: @2330724
     /* 2330724 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2330781), // Rule ID 58366 //
     /* 2330729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330743 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330743 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330746 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330750 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330755 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330762 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330765 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330780 */   // GIR_Coverage, 58366,
     /* 2330780 */   GIR_EraseRootFromParent_Done,
     /* 2330781 */ // Label 32340: @2330781
     /* 2330781 */ GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2330838), // Rule ID 58367 //
     /* 2330786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330800 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330837 */   // GIR_Coverage, 58367,
     /* 2330837 */   GIR_EraseRootFromParent_Done,
     /* 2330838 */ // Label 32341: @2330838
     /* 2330838 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2330892), // Rule ID 58538 //
     /* 2330843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330857 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330857 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330860 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330864 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330869 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330876 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330879 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330891 */   // GIR_Coverage, 58538,
     /* 2330891 */   GIR_EraseRootFromParent_Done,
     /* 2330892 */ // Label 32342: @2330892
     /* 2330892 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2330946), // Rule ID 58539 //
     /* 2330897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330911 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330911 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330914 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330918 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330930 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330945 */   // GIR_Coverage, 58539,
     /* 2330945 */   GIR_EraseRootFromParent_Done,
     /* 2330946 */ // Label 32343: @2330946
     /* 2330946 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2331003), // Rule ID 58746 //
     /* 2330951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330965 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330965 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330968 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330972 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2330982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330984 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330987 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331002 */   // GIR_Coverage, 58746,
     /* 2331002 */   GIR_EraseRootFromParent_Done,
     /* 2331003 */ // Label 32344: @2331003
     /* 2331003 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2331060), // Rule ID 58747 //
     /* 2331008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2331014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331022 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2331025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331034 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2331039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331041 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331044 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331059 */   // GIR_Coverage, 58747,
     /* 2331059 */   GIR_EraseRootFromParent_Done,
     /* 2331060 */ // Label 32345: @2331060
     /* 2331060 */ GIM_Reject,
     /* 2331061 */ // Label 32249: @2331061
     /* 2331061 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2331118), // Rule ID 58382 //
     /* 2331066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2331072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331080 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331080 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331083 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331087 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331092 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2331097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331099 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331102 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331117 */   // GIR_Coverage, 58382,
     /* 2331117 */   GIR_EraseRootFromParent_Done,
     /* 2331118 */ // Label 32346: @2331118
     /* 2331118 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2331175), // Rule ID 58383 //
     /* 2331123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2331129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331137 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331137 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331140 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331144 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2331154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331156 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331159 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331174 */   // GIR_Coverage, 58383,
     /* 2331174 */   GIR_EraseRootFromParent_Done,
     /* 2331175 */ // Label 32347: @2331175
     /* 2331175 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2331229), // Rule ID 58562 //
     /* 2331180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2331186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331194 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331194 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331197 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331201 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331206 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2331211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331213 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331216 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331228 */   // GIR_Coverage, 58562,
     /* 2331228 */   GIR_EraseRootFromParent_Done,
     /* 2331229 */ // Label 32348: @2331229
     /* 2331229 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2331283), // Rule ID 58563 //
     /* 2331234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2331240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331248 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331248 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331251 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331255 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331260 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2331265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331267 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331270 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331281 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331282 */   // GIR_Coverage, 58563,
     /* 2331282 */   GIR_EraseRootFromParent_Done,
     /* 2331283 */ // Label 32349: @2331283
     /* 2331283 */ GIM_Reject,
     /* 2331284 */ // Label 32250: @2331284
     /* 2331284 */ GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2331341), // Rule ID 58370 //
     /* 2331289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2331295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331303 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331303 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331306 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331310 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2331320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331340 */   // GIR_Coverage, 58370,
     /* 2331340 */   GIR_EraseRootFromParent_Done,
     /* 2331341 */ // Label 32350: @2331341
     /* 2331341 */ GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2331398), // Rule ID 58371 //
     /* 2331346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2331352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331360 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331360 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331363 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331367 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331372 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2331377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331379 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331397 */   // GIR_Coverage, 58371,
     /* 2331397 */   GIR_EraseRootFromParent_Done,
     /* 2331398 */ // Label 32351: @2331398
     /* 2331398 */ GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2331452), // Rule ID 58542 //
     /* 2331403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2331409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331417 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331417 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331420 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331424 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331429 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2331434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331436 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331439 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331451 */   // GIR_Coverage, 58542,
     /* 2331451 */   GIR_EraseRootFromParent_Done,
     /* 2331452 */ // Label 32352: @2331452
     /* 2331452 */ GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2331506), // Rule ID 58543 //
     /* 2331457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2331463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331471 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2331488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331490 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331493 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331505 */   // GIR_Coverage, 58543,
     /* 2331505 */   GIR_EraseRootFromParent_Done,
     /* 2331506 */ // Label 32353: @2331506
     /* 2331506 */ GIM_Reject,
     /* 2331507 */ // Label 32251: @2331507
     /* 2331507 */ GIM_Reject,
     /* 2331508 */ // Label 71: @2331508
     /* 2331508 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32372*/ GIMT_Encode4(2333478),
     /* 2331519 */ /*GILLT_s16*//*Label 32354*/ GIMT_Encode4(2331639),
     /* 2331523 */ /*GILLT_s32*//*Label 32355*/ GIMT_Encode4(2331703),
     /* 2331527 */ /*GILLT_s64*//*Label 32356*/ GIMT_Encode4(2331767), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331539 */ /*GILLT_nxv1s16*//*Label 32357*/ GIMT_Encode4(2331858),
     /* 2331543 */ /*GILLT_nxv1s32*//*Label 32358*/ GIMT_Encode4(2331966),
     /* 2331547 */ /*GILLT_nxv1s64*//*Label 32359*/ GIMT_Encode4(2332074), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331559 */ /*GILLT_nxv2s16*//*Label 32360*/ GIMT_Encode4(2332182),
     /* 2331563 */ /*GILLT_nxv2s32*//*Label 32361*/ GIMT_Encode4(2332290),
     /* 2331567 */ /*GILLT_nxv2s64*//*Label 32362*/ GIMT_Encode4(2332398), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331579 */ /*GILLT_nxv4s16*//*Label 32363*/ GIMT_Encode4(2332506),
     /* 2331583 */ /*GILLT_nxv4s32*//*Label 32364*/ GIMT_Encode4(2332614),
     /* 2331587 */ /*GILLT_nxv4s64*//*Label 32365*/ GIMT_Encode4(2332722), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331599 */ /*GILLT_nxv8s16*//*Label 32366*/ GIMT_Encode4(2332830),
     /* 2331603 */ /*GILLT_nxv8s32*//*Label 32367*/ GIMT_Encode4(2332938),
     /* 2331607 */ /*GILLT_nxv8s64*//*Label 32368*/ GIMT_Encode4(2333046), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331619 */ /*GILLT_nxv16s16*//*Label 32369*/ GIMT_Encode4(2333154),
     /* 2331623 */ /*GILLT_nxv16s32*//*Label 32370*/ GIMT_Encode4(2333262), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331635 */ /*GILLT_nxv32s16*//*Label 32371*/ GIMT_Encode4(2333370),
     /* 2331639 */ // Label 32354: @2331639
     /* 2331639 */ GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2331702),
     /* 2331644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2331647 */   GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2331674), // Rule ID 1883 //
     /* 2331652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2331655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331663 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2331666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331673 */     // GIR_Coverage, 1883,
     /* 2331673 */     GIR_EraseRootFromParent_Done,
     /* 2331674 */   // Label 32374: @2331674
     /* 2331674 */   GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2331701), // Rule ID 1916 //
     /* 2331679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2331682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331690 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2331693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331700 */     // GIR_Coverage, 1916,
     /* 2331700 */     GIR_EraseRootFromParent_Done,
     /* 2331701 */   // Label 32375: @2331701
     /* 2331701 */   GIM_Reject,
     /* 2331702 */ // Label 32373: @2331702
     /* 2331702 */ GIM_Reject,
     /* 2331703 */ // Label 32355: @2331703
     /* 2331703 */ GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2331766),
     /* 2331708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331711 */   GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2331738), // Rule ID 1174 //
     /* 2331716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2331719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331727 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2331730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331737 */     // GIR_Coverage, 1174,
     /* 2331737 */     GIR_EraseRootFromParent_Done,
     /* 2331738 */   // Label 32377: @2331738
     /* 2331738 */   GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2331765), // Rule ID 1182 //
     /* 2331743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2331746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331754 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2331757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331764 */     // GIR_Coverage, 1182,
     /* 2331764 */     GIR_EraseRootFromParent_Done,
     /* 2331765 */   // Label 32378: @2331765
     /* 2331765 */   GIM_Reject,
     /* 2331766 */ // Label 32376: @2331766
     /* 2331766 */ GIM_Reject,
     /* 2331767 */ // Label 32356: @2331767
     /* 2331767 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2331857),
     /* 2331772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331775 */   GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2331802), // Rule ID 1517 //
     /* 2331780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2331783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331791 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2331794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331801 */     // GIR_Coverage, 1517,
     /* 2331801 */     GIR_EraseRootFromParent_Done,
     /* 2331802 */   // Label 32380: @2331802
     /* 2331802 */   GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2331829), // Rule ID 1550 //
     /* 2331807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2331810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331818 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2331821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331828 */     // GIR_Coverage, 1550,
     /* 2331828 */     GIR_EraseRootFromParent_Done,
     /* 2331829 */   // Label 32381: @2331829
     /* 2331829 */   GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2331856), // Rule ID 1572 //
     /* 2331834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2331837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331845 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2331848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331855 */     // GIR_Coverage, 1572,
     /* 2331855 */     GIR_EraseRootFromParent_Done,
     /* 2331856 */   // Label 32382: @2331856
     /* 2331856 */   GIM_Reject,
     /* 2331857 */ // Label 32379: @2331857
     /* 2331857 */ GIM_Reject,
     /* 2331858 */ // Label 32357: @2331858
     /* 2331858 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2331965),
     /* 2331863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331874 */   GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2331919), // Rule ID 56114 //
     /* 2331879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331882 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331918 */     // GIR_Coverage, 56114,
     /* 2331918 */     GIR_EraseRootFromParent_Done,
     /* 2331919 */   // Label 32384: @2331919
     /* 2331919 */   GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2331964), // Rule ID 56115 //
     /* 2331924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331927 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331963 */     // GIR_Coverage, 56115,
     /* 2331963 */     GIR_EraseRootFromParent_Done,
     /* 2331964 */   // Label 32385: @2331964
     /* 2331964 */   GIM_Reject,
     /* 2331965 */ // Label 32383: @2331965
     /* 2331965 */ GIM_Reject,
     /* 2331966 */ // Label 32358: @2331966
     /* 2331966 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2332073),
     /* 2331971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331982 */   GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2332027), // Rule ID 56154 //
     /* 2331987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331990 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2332007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332026 */     // GIR_Coverage, 56154,
     /* 2332026 */     GIR_EraseRootFromParent_Done,
     /* 2332027 */   // Label 32387: @2332027
     /* 2332027 */   GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2332072), // Rule ID 56155 //
     /* 2332032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332035 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2332038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2332052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332071 */     // GIR_Coverage, 56155,
     /* 2332071 */     GIR_EraseRootFromParent_Done,
     /* 2332072 */   // Label 32388: @2332072
     /* 2332072 */   GIM_Reject,
     /* 2332073 */ // Label 32386: @2332073
     /* 2332073 */ GIM_Reject,
     /* 2332074 */ // Label 32359: @2332074
     /* 2332074 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2332181),
     /* 2332079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2332082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332090 */   GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2332135), // Rule ID 56214 //
     /* 2332095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332098 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2332115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332134 */     // GIR_Coverage, 56214,
     /* 2332134 */     GIR_EraseRootFromParent_Done,
     /* 2332135 */   // Label 32390: @2332135
     /* 2332135 */   GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2332180), // Rule ID 56215 //
     /* 2332140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332143 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2332160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332179 */     // GIR_Coverage, 56215,
     /* 2332179 */     GIR_EraseRootFromParent_Done,
     /* 2332180 */   // Label 32391: @2332180
     /* 2332180 */   GIM_Reject,
     /* 2332181 */ // Label 32389: @2332181
     /* 2332181 */ GIM_Reject,
     /* 2332182 */ // Label 32360: @2332182
     /* 2332182 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2332289),
     /* 2332187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332198 */   GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2332243), // Rule ID 56134 //
     /* 2332203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332206 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2332223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332242 */     // GIR_Coverage, 56134,
     /* 2332242 */     GIR_EraseRootFromParent_Done,
     /* 2332243 */   // Label 32393: @2332243
     /* 2332243 */   GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2332288), // Rule ID 56135 //
     /* 2332248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332251 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2332268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332287 */     // GIR_Coverage, 56135,
     /* 2332287 */     GIR_EraseRootFromParent_Done,
     /* 2332288 */   // Label 32394: @2332288
     /* 2332288 */   GIM_Reject,
     /* 2332289 */ // Label 32392: @2332289
     /* 2332289 */ GIM_Reject,
     /* 2332290 */ // Label 32361: @2332290
     /* 2332290 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2332397),
     /* 2332295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332306 */   GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2332351), // Rule ID 56194 //
     /* 2332311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332314 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2332331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332350 */     // GIR_Coverage, 56194,
     /* 2332350 */     GIR_EraseRootFromParent_Done,
     /* 2332351 */   // Label 32396: @2332351
     /* 2332351 */   GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2332396), // Rule ID 56195 //
     /* 2332356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332359 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2332376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332395 */     // GIR_Coverage, 56195,
     /* 2332395 */     GIR_EraseRootFromParent_Done,
     /* 2332396 */   // Label 32397: @2332396
     /* 2332396 */   GIM_Reject,
     /* 2332397 */ // Label 32395: @2332397
     /* 2332397 */ GIM_Reject,
     /* 2332398 */ // Label 32362: @2332398
     /* 2332398 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2332505),
     /* 2332403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332414 */   GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2332459), // Rule ID 56354 //
     /* 2332419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332422 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332458 */     // GIR_Coverage, 56354,
     /* 2332458 */     GIR_EraseRootFromParent_Done,
     /* 2332459 */   // Label 32399: @2332459
     /* 2332459 */   GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2332504), // Rule ID 56355 //
     /* 2332464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332467 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332503 */     // GIR_Coverage, 56355,
     /* 2332503 */     GIR_EraseRootFromParent_Done,
     /* 2332504 */   // Label 32400: @2332504
     /* 2332504 */   GIM_Reject,
     /* 2332505 */ // Label 32398: @2332505
     /* 2332505 */ GIM_Reject,
     /* 2332506 */ // Label 32363: @2332506
     /* 2332506 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2332613),
     /* 2332511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332522 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2332567), // Rule ID 56174 //
     /* 2332527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332530 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332566 */     // GIR_Coverage, 56174,
     /* 2332566 */     GIR_EraseRootFromParent_Done,
     /* 2332567 */   // Label 32402: @2332567
     /* 2332567 */   GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2332612), // Rule ID 56175 //
     /* 2332572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332575 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332611 */     // GIR_Coverage, 56175,
     /* 2332611 */     GIR_EraseRootFromParent_Done,
     /* 2332612 */   // Label 32403: @2332612
     /* 2332612 */   GIM_Reject,
     /* 2332613 */ // Label 32401: @2332613
     /* 2332613 */ GIM_Reject,
     /* 2332614 */ // Label 32364: @2332614
     /* 2332614 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2332721),
     /* 2332619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332630 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2332675), // Rule ID 56294 //
     /* 2332635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332638 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332674 */     // GIR_Coverage, 56294,
     /* 2332674 */     GIR_EraseRootFromParent_Done,
     /* 2332675 */   // Label 32405: @2332675
     /* 2332675 */   GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2332720), // Rule ID 56295 //
     /* 2332680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332683 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332719 */     // GIR_Coverage, 56295,
     /* 2332719 */     GIR_EraseRootFromParent_Done,
     /* 2332720 */   // Label 32406: @2332720
     /* 2332720 */   GIM_Reject,
     /* 2332721 */ // Label 32404: @2332721
     /* 2332721 */ GIM_Reject,
     /* 2332722 */ // Label 32365: @2332722
     /* 2332722 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2332829),
     /* 2332727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332738 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2332783), // Rule ID 56374 //
     /* 2332743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332746 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332782 */     // GIR_Coverage, 56374,
     /* 2332782 */     GIR_EraseRootFromParent_Done,
     /* 2332783 */   // Label 32408: @2332783
     /* 2332783 */   GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2332828), // Rule ID 56375 //
     /* 2332788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332791 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332827 */     // GIR_Coverage, 56375,
     /* 2332827 */     GIR_EraseRootFromParent_Done,
     /* 2332828 */   // Label 32409: @2332828
     /* 2332828 */   GIM_Reject,
     /* 2332829 */ // Label 32407: @2332829
     /* 2332829 */ GIM_Reject,
     /* 2332830 */ // Label 32366: @2332830
     /* 2332830 */ GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2332937),
     /* 2332835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2332838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332846 */   GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2332891), // Rule ID 56234 //
     /* 2332851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332854 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332890 */     // GIR_Coverage, 56234,
     /* 2332890 */     GIR_EraseRootFromParent_Done,
     /* 2332891 */   // Label 32411: @2332891
     /* 2332891 */   GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2332936), // Rule ID 56235 //
     /* 2332896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332899 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332935 */     // GIR_Coverage, 56235,
     /* 2332935 */     GIR_EraseRootFromParent_Done,
     /* 2332936 */   // Label 32412: @2332936
     /* 2332936 */   GIM_Reject,
     /* 2332937 */ // Label 32410: @2332937
     /* 2332937 */ GIM_Reject,
     /* 2332938 */ // Label 32367: @2332938
     /* 2332938 */ GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2333045),
     /* 2332943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2332946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332954 */   GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2332999), // Rule ID 56314 //
     /* 2332959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332962 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2332965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2332979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332998 */     // GIR_Coverage, 56314,
     /* 2332998 */     GIR_EraseRootFromParent_Done,
     /* 2332999 */   // Label 32414: @2332999
     /* 2332999 */   GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2333044), // Rule ID 56315 //
     /* 2333004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2333007 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2333024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333043 */     // GIR_Coverage, 56315,
     /* 2333043 */     GIR_EraseRootFromParent_Done,
     /* 2333044 */   // Label 32415: @2333044
     /* 2333044 */   GIM_Reject,
     /* 2333045 */ // Label 32413: @2333045
     /* 2333045 */ GIM_Reject,
     /* 2333046 */ // Label 32368: @2333046
     /* 2333046 */ GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2333153),
     /* 2333051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2333054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333062 */   GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2333107), // Rule ID 56394 //
     /* 2333067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2333070 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2333087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333106 */     // GIR_Coverage, 56394,
     /* 2333106 */     GIR_EraseRootFromParent_Done,
     /* 2333107 */   // Label 32417: @2333107
     /* 2333107 */   GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2333152), // Rule ID 56395 //
     /* 2333112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2333115 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2333132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333151 */     // GIR_Coverage, 56395,
     /* 2333151 */     GIR_EraseRootFromParent_Done,
     /* 2333152 */   // Label 32418: @2333152
     /* 2333152 */   GIM_Reject,
     /* 2333153 */ // Label 32416: @2333153
     /* 2333153 */ GIM_Reject,
     /* 2333154 */ // Label 32369: @2333154
     /* 2333154 */ GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2333261),
     /* 2333159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2333162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333170 */   GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2333215), // Rule ID 56254 //
     /* 2333175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333178 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2333195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333214 */     // GIR_Coverage, 56254,
     /* 2333214 */     GIR_EraseRootFromParent_Done,
     /* 2333215 */   // Label 32420: @2333215
     /* 2333215 */   GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2333260), // Rule ID 56255 //
     /* 2333220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333223 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2333240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333259 */     // GIR_Coverage, 56255,
     /* 2333259 */     GIR_EraseRootFromParent_Done,
     /* 2333260 */   // Label 32421: @2333260
     /* 2333260 */   GIM_Reject,
     /* 2333261 */ // Label 32419: @2333261
     /* 2333261 */ GIM_Reject,
     /* 2333262 */ // Label 32370: @2333262
     /* 2333262 */ GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2333369),
     /* 2333267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2333270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333278 */   GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2333323), // Rule ID 56334 //
     /* 2333283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2333286 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2333303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333322 */     // GIR_Coverage, 56334,
     /* 2333322 */     GIR_EraseRootFromParent_Done,
     /* 2333323 */   // Label 32423: @2333323
     /* 2333323 */   GIM_Try, /*On fail goto*//*Label 32424*/ GIMT_Encode4(2333368), // Rule ID 56335 //
     /* 2333328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2333331 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2333348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333367 */     // GIR_Coverage, 56335,
     /* 2333367 */     GIR_EraseRootFromParent_Done,
     /* 2333368 */   // Label 32424: @2333368
     /* 2333368 */   GIM_Reject,
     /* 2333369 */ // Label 32422: @2333369
     /* 2333369 */ GIM_Reject,
     /* 2333370 */ // Label 32371: @2333370
     /* 2333370 */ GIM_Try, /*On fail goto*//*Label 32425*/ GIMT_Encode4(2333477),
     /* 2333375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2333378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333386 */   GIM_Try, /*On fail goto*//*Label 32426*/ GIMT_Encode4(2333431), // Rule ID 56274 //
     /* 2333391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333394 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2333411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333430 */     // GIR_Coverage, 56274,
     /* 2333430 */     GIR_EraseRootFromParent_Done,
     /* 2333431 */   // Label 32426: @2333431
     /* 2333431 */   GIM_Try, /*On fail goto*//*Label 32427*/ GIMT_Encode4(2333476), // Rule ID 56275 //
     /* 2333436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333439 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2333456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333475 */     // GIR_Coverage, 56275,
     /* 2333475 */     GIR_EraseRootFromParent_Done,
     /* 2333476 */   // Label 32427: @2333476
     /* 2333476 */   GIM_Reject,
     /* 2333477 */ // Label 32425: @2333477
     /* 2333477 */ GIM_Reject,
     /* 2333478 */ // Label 32372: @2333478
     /* 2333478 */ GIM_Reject,
     /* 2333479 */ // Label 72: @2333479
     /* 2333479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32446*/ GIMT_Encode4(2339540),
     /* 2333490 */ /*GILLT_s16*//*Label 32428*/ GIMT_Encode4(2333610),
     /* 2333494 */ /*GILLT_s32*//*Label 32429*/ GIMT_Encode4(2334286),
     /* 2333498 */ /*GILLT_s64*//*Label 32430*/ GIMT_Encode4(2334962), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333510 */ /*GILLT_nxv1s16*//*Label 32431*/ GIMT_Encode4(2335775),
     /* 2333514 */ /*GILLT_nxv1s32*//*Label 32432*/ GIMT_Encode4(2336026),
     /* 2333518 */ /*GILLT_nxv1s64*//*Label 32433*/ GIMT_Encode4(2336277), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333530 */ /*GILLT_nxv2s16*//*Label 32434*/ GIMT_Encode4(2336528),
     /* 2333534 */ /*GILLT_nxv2s32*//*Label 32435*/ GIMT_Encode4(2336779),
     /* 2333538 */ /*GILLT_nxv2s64*//*Label 32436*/ GIMT_Encode4(2337030), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333550 */ /*GILLT_nxv4s16*//*Label 32437*/ GIMT_Encode4(2337281),
     /* 2333554 */ /*GILLT_nxv4s32*//*Label 32438*/ GIMT_Encode4(2337532),
     /* 2333558 */ /*GILLT_nxv4s64*//*Label 32439*/ GIMT_Encode4(2337783), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333570 */ /*GILLT_nxv8s16*//*Label 32440*/ GIMT_Encode4(2338034),
     /* 2333574 */ /*GILLT_nxv8s32*//*Label 32441*/ GIMT_Encode4(2338285),
     /* 2333578 */ /*GILLT_nxv8s64*//*Label 32442*/ GIMT_Encode4(2338536), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333590 */ /*GILLT_nxv16s16*//*Label 32443*/ GIMT_Encode4(2338787),
     /* 2333594 */ /*GILLT_nxv16s32*//*Label 32444*/ GIMT_Encode4(2339038), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333606 */ /*GILLT_nxv32s16*//*Label 32445*/ GIMT_Encode4(2339289),
     /* 2333610 */ // Label 32428: @2333610
     /* 2333610 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2334285),
     /* 2333615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333618 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2333669), // Rule ID 1888 //
     /* 2333623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333656 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2333656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2333659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333668 */     // GIR_Coverage, 1888,
     /* 2333668 */     GIR_EraseRootFromParent_Done,
     /* 2333669 */   // Label 32448: @2333669
     /* 2333669 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2333720), // Rule ID 1921 //
     /* 2333674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333707 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2333707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2333710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333719 */     // GIR_Coverage, 1921,
     /* 2333719 */     GIR_EraseRootFromParent_Done,
     /* 2333720 */   // Label 32449: @2333720
     /* 2333720 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2333750), // Rule ID 1886 //
     /* 2333725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333743 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333749 */     // GIR_Coverage, 1886,
     /* 2333749 */     GIR_Done,
     /* 2333750 */   // Label 32450: @2333750
     /* 2333750 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2333806), // Rule ID 1889 //
     /* 2333755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2333758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333773 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333789 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333805 */     // GIR_Coverage, 1889,
     /* 2333805 */     GIR_EraseRootFromParent_Done,
     /* 2333806 */   // Label 32451: @2333806
     /* 2333806 */   GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2333862), // Rule ID 1890 //
     /* 2333811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2333814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333829 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333845 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333861 */     // GIR_Coverage, 1890,
     /* 2333861 */     GIR_EraseRootFromParent_Done,
     /* 2333862 */   // Label 32452: @2333862
     /* 2333862 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2333892), // Rule ID 1919 //
     /* 2333867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333885 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333891 */     // GIR_Coverage, 1919,
     /* 2333891 */     GIR_Done,
     /* 2333892 */   // Label 32453: @2333892
     /* 2333892 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2333948), // Rule ID 1922 //
     /* 2333897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2333900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333915 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333931 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333947 */     // GIR_Coverage, 1922,
     /* 2333947 */     GIR_EraseRootFromParent_Done,
     /* 2333948 */   // Label 32454: @2333948
     /* 2333948 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2334004), // Rule ID 1923 //
     /* 2333953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2333956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333971 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333987 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334003 */     // GIR_Coverage, 1923,
     /* 2334003 */     GIR_EraseRootFromParent_Done,
     /* 2334004 */   // Label 32455: @2334004
     /* 2334004 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2334060), // Rule ID 2192 //
     /* 2334009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2334012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334027 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2334034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2334051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334059 */     // GIR_Coverage, 2192,
     /* 2334059 */     GIR_EraseRootFromParent_Done,
     /* 2334060 */   // Label 32456: @2334060
     /* 2334060 */   GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2334116), // Rule ID 2193 //
     /* 2334065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2334068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334083 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2334090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334099 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2334107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334115 */     // GIR_Coverage, 2193,
     /* 2334115 */     GIR_EraseRootFromParent_Done,
     /* 2334116 */   // Label 32457: @2334116
     /* 2334116 */   GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2334172), // Rule ID 2204 //
     /* 2334121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2334124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334139 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2334146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334155 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2334163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334171 */     // GIR_Coverage, 2204,
     /* 2334171 */     GIR_EraseRootFromParent_Done,
     /* 2334172 */   // Label 32458: @2334172
     /* 2334172 */   GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2334228), // Rule ID 2205 //
     /* 2334177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2334180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334195 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2334202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334211 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2334219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334227 */     // GIR_Coverage, 2205,
     /* 2334227 */     GIR_EraseRootFromParent_Done,
     /* 2334228 */   // Label 32459: @2334228
     /* 2334228 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2334284), // Rule ID 2212 //
     /* 2334233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2334236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334251 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2334258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334267 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2334275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334283 */     // GIR_Coverage, 2212,
     /* 2334283 */     GIR_EraseRootFromParent_Done,
     /* 2334284 */   // Label 32460: @2334284
     /* 2334284 */   GIM_Reject,
     /* 2334285 */ // Label 32447: @2334285
     /* 2334285 */ GIM_Reject,
     /* 2334286 */ // Label 32429: @2334286
     /* 2334286 */ GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2334961),
     /* 2334291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334294 */   GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2334345), // Rule ID 1189 //
     /* 2334299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2334302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334332 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2334332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2334335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334344 */     // GIR_Coverage, 1189,
     /* 2334344 */     GIR_EraseRootFromParent_Done,
     /* 2334345 */   // Label 32462: @2334345
     /* 2334345 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2334396), // Rule ID 1210 //
     /* 2334350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2334353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334383 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2334383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2334386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334395 */     // GIR_Coverage, 1210,
     /* 2334395 */     GIR_EraseRootFromParent_Done,
     /* 2334396 */   // Label 32463: @2334396
     /* 2334396 */   GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2334426), // Rule ID 1185 //
     /* 2334401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2334404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334419 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2334419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334425 */     // GIR_Coverage, 1185,
     /* 2334425 */     GIR_Done,
     /* 2334426 */   // Label 32464: @2334426
     /* 2334426 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2334456), // Rule ID 1186 //
     /* 2334431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2334434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334449 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2334449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334455 */     // GIR_Coverage, 1186,
     /* 2334455 */     GIR_Done,
     /* 2334456 */   // Label 32465: @2334456
     /* 2334456 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2334512), // Rule ID 1525 //
     /* 2334461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2334464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334479 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334495 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334511 */     // GIR_Coverage, 1525,
     /* 2334511 */     GIR_EraseRootFromParent_Done,
     /* 2334512 */   // Label 32466: @2334512
     /* 2334512 */   GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2334568), // Rule ID 1526 //
     /* 2334517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2334520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334535 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334551 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334567 */     // GIR_Coverage, 1526,
     /* 2334567 */     GIR_EraseRootFromParent_Done,
     /* 2334568 */   // Label 32467: @2334568
     /* 2334568 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2334624), // Rule ID 1556 //
     /* 2334573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334591 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2334598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334607 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334623 */     // GIR_Coverage, 1556,
     /* 2334623 */     GIR_EraseRootFromParent_Done,
     /* 2334624 */   // Label 32468: @2334624
     /* 2334624 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2334680), // Rule ID 1580 //
     /* 2334629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2334632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334647 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334663 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334679 */     // GIR_Coverage, 1580,
     /* 2334679 */     GIR_EraseRootFromParent_Done,
     /* 2334680 */   // Label 32469: @2334680
     /* 2334680 */   GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2334736), // Rule ID 1581 //
     /* 2334685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2334688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334703 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334719 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334735 */     // GIR_Coverage, 1581,
     /* 2334735 */     GIR_EraseRootFromParent_Done,
     /* 2334736 */   // Label 32470: @2334736
     /* 2334736 */   GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2334792), // Rule ID 2064 //
     /* 2334741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2334744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334759 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334791 */     // GIR_Coverage, 2064,
     /* 2334791 */     GIR_EraseRootFromParent_Done,
     /* 2334792 */   // Label 32471: @2334792
     /* 2334792 */   GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2334848), // Rule ID 2065 //
     /* 2334797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2334800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334815 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334831 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334847 */     // GIR_Coverage, 2065,
     /* 2334847 */     GIR_EraseRootFromParent_Done,
     /* 2334848 */   // Label 32472: @2334848
     /* 2334848 */   GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2334904), // Rule ID 2078 //
     /* 2334853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2334856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334871 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334887 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334903 */     // GIR_Coverage, 2078,
     /* 2334903 */     GIR_EraseRootFromParent_Done,
     /* 2334904 */   // Label 32473: @2334904
     /* 2334904 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2334960), // Rule ID 2079 //
     /* 2334909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2334912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334927 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334943 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334959 */     // GIR_Coverage, 2079,
     /* 2334959 */     GIR_EraseRootFromParent_Done,
     /* 2334960 */   // Label 32474: @2334960
     /* 2334960 */   GIM_Reject,
     /* 2334961 */ // Label 32461: @2334961
     /* 2334961 */ GIM_Reject,
     /* 2334962 */ // Label 32430: @2334962
     /* 2334962 */ GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2335774),
     /* 2334967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334970 */   GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2335021), // Rule ID 1522 //
     /* 2334975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2334978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335008 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2335008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2335011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335020 */     // GIR_Coverage, 1522,
     /* 2335020 */     GIR_EraseRootFromParent_Done,
     /* 2335021 */   // Label 32476: @2335021
     /* 2335021 */   GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2335072), // Rule ID 1554 //
     /* 2335026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335059 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2335059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2335062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335071 */     // GIR_Coverage, 1554,
     /* 2335071 */     GIR_EraseRootFromParent_Done,
     /* 2335072 */   // Label 32477: @2335072
     /* 2335072 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2335123), // Rule ID 1577 //
     /* 2335077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2335080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335110 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2335110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2335113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335122 */     // GIR_Coverage, 1577,
     /* 2335122 */     GIR_EraseRootFromParent_Done,
     /* 2335123 */   // Label 32478: @2335123
     /* 2335123 */   GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2335153), // Rule ID 1520 //
     /* 2335128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2335131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335146 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335152 */     // GIR_Coverage, 1520,
     /* 2335152 */     GIR_Done,
     /* 2335153 */   // Label 32479: @2335153
     /* 2335153 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2335209), // Rule ID 1523 //
     /* 2335158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2335161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335176 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2335176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2335183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335192 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335208 */     // GIR_Coverage, 1523,
     /* 2335208 */     GIR_EraseRootFromParent_Done,
     /* 2335209 */   // Label 32480: @2335209
     /* 2335209 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2335265), // Rule ID 1524 //
     /* 2335214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2335217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335232 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2335232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2335239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335248 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335264 */     // GIR_Coverage, 1524,
     /* 2335264 */     GIR_EraseRootFromParent_Done,
     /* 2335265 */   // Label 32481: @2335265
     /* 2335265 */   GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2335295), // Rule ID 1552 //
     /* 2335270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335288 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335294 */     // GIR_Coverage, 1552,
     /* 2335294 */     GIR_Done,
     /* 2335295 */   // Label 32482: @2335295
     /* 2335295 */   GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2335351), // Rule ID 1555 //
     /* 2335300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335318 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2335318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2335325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335334 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335350 */     // GIR_Coverage, 1555,
     /* 2335350 */     GIR_EraseRootFromParent_Done,
     /* 2335351 */   // Label 32483: @2335351
     /* 2335351 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2335381), // Rule ID 1575 //
     /* 2335356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2335359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335374 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335380 */     // GIR_Coverage, 1575,
     /* 2335380 */     GIR_Done,
     /* 2335381 */   // Label 32484: @2335381
     /* 2335381 */   GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2335437), // Rule ID 1578 //
     /* 2335386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2335389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335404 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2335404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2335411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335420 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335436 */     // GIR_Coverage, 1578,
     /* 2335436 */     GIR_EraseRootFromParent_Done,
     /* 2335437 */   // Label 32485: @2335437
     /* 2335437 */   GIM_Try, /*On fail goto*//*Label 32486*/ GIMT_Encode4(2335493), // Rule ID 1579 //
     /* 2335442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2335445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335460 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2335460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2335467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335472 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335476 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335492 */     // GIR_Coverage, 1579,
     /* 2335492 */     GIR_EraseRootFromParent_Done,
     /* 2335493 */   // Label 32486: @2335493
     /* 2335493 */   GIM_Try, /*On fail goto*//*Label 32487*/ GIMT_Encode4(2335549), // Rule ID 2194 //
     /* 2335498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2335501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335516 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335532 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335548 */     // GIR_Coverage, 2194,
     /* 2335548 */     GIR_EraseRootFromParent_Done,
     /* 2335549 */   // Label 32487: @2335549
     /* 2335549 */   GIM_Try, /*On fail goto*//*Label 32488*/ GIMT_Encode4(2335605), // Rule ID 2195 //
     /* 2335554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2335557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335572 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335588 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335604 */     // GIR_Coverage, 2195,
     /* 2335604 */     GIR_EraseRootFromParent_Done,
     /* 2335605 */   // Label 32488: @2335605
     /* 2335605 */   GIM_Try, /*On fail goto*//*Label 32489*/ GIMT_Encode4(2335661), // Rule ID 2206 //
     /* 2335610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2335613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335628 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335640 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335644 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335660 */     // GIR_Coverage, 2206,
     /* 2335660 */     GIR_EraseRootFromParent_Done,
     /* 2335661 */   // Label 32489: @2335661
     /* 2335661 */   GIM_Try, /*On fail goto*//*Label 32490*/ GIMT_Encode4(2335717), // Rule ID 2207 //
     /* 2335666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2335669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335684 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335700 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335716 */     // GIR_Coverage, 2207,
     /* 2335716 */     GIR_EraseRootFromParent_Done,
     /* 2335717 */   // Label 32490: @2335717
     /* 2335717 */   GIM_Try, /*On fail goto*//*Label 32491*/ GIMT_Encode4(2335773), // Rule ID 2213 //
     /* 2335722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2335725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335740 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2335747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335752 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335756 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335772 */     // GIR_Coverage, 2213,
     /* 2335772 */     GIR_EraseRootFromParent_Done,
     /* 2335773 */   // Label 32491: @2335773
     /* 2335773 */   GIM_Reject,
     /* 2335774 */ // Label 32475: @2335774
     /* 2335774 */ GIM_Reject,
     /* 2335775 */ // Label 32431: @2335775
     /* 2335775 */ GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2336025),
     /* 2335780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2335786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335794 */   GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2335860), // Rule ID 56124 //
     /* 2335799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335821 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335859 */     // GIR_Coverage, 56124,
     /* 2335859 */     GIR_EraseRootFromParent_Done,
     /* 2335860 */   // Label 32493: @2335860
     /* 2335860 */   GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2335926), // Rule ID 56125 //
     /* 2335865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335887 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335925 */     // GIR_Coverage, 56125,
     /* 2335925 */     GIR_EraseRootFromParent_Done,
     /* 2335926 */   // Label 32494: @2335926
     /* 2335926 */   GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2335975), // Rule ID 56118 //
     /* 2335931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335938 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2335955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335974 */     // GIR_Coverage, 56118,
     /* 2335974 */     GIR_EraseRootFromParent_Done,
     /* 2335975 */   // Label 32495: @2335975
     /* 2335975 */   GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2336024), // Rule ID 56119 //
     /* 2335980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335987 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2336004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336023 */     // GIR_Coverage, 56119,
     /* 2336023 */     GIR_EraseRootFromParent_Done,
     /* 2336024 */   // Label 32496: @2336024
     /* 2336024 */   GIM_Reject,
     /* 2336025 */ // Label 32492: @2336025
     /* 2336025 */ GIM_Reject,
     /* 2336026 */ // Label 32432: @2336026
     /* 2336026 */ GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2336276),
     /* 2336031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2336037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336045 */   GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2336111), // Rule ID 56164 //
     /* 2336050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336072 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2336089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336110 */     // GIR_Coverage, 56164,
     /* 2336110 */     GIR_EraseRootFromParent_Done,
     /* 2336111 */   // Label 32498: @2336111
     /* 2336111 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2336177), // Rule ID 56165 //
     /* 2336116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336138 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2336155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336176 */     // GIR_Coverage, 56165,
     /* 2336176 */     GIR_EraseRootFromParent_Done,
     /* 2336177 */   // Label 32499: @2336177
     /* 2336177 */   GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2336226), // Rule ID 56158 //
     /* 2336182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336189 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2336206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336225 */     // GIR_Coverage, 56158,
     /* 2336225 */     GIR_EraseRootFromParent_Done,
     /* 2336226 */   // Label 32500: @2336226
     /* 2336226 */   GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2336275), // Rule ID 56159 //
     /* 2336231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336238 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2336255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336274 */     // GIR_Coverage, 56159,
     /* 2336274 */     GIR_EraseRootFromParent_Done,
     /* 2336275 */   // Label 32501: @2336275
     /* 2336275 */   GIM_Reject,
     /* 2336276 */ // Label 32497: @2336276
     /* 2336276 */ GIM_Reject,
     /* 2336277 */ // Label 32433: @2336277
     /* 2336277 */ GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2336527),
     /* 2336282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2336288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336296 */   GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2336362), // Rule ID 56224 //
     /* 2336301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336323 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2336340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336361 */     // GIR_Coverage, 56224,
     /* 2336361 */     GIR_EraseRootFromParent_Done,
     /* 2336362 */   // Label 32503: @2336362
     /* 2336362 */   GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2336428), // Rule ID 56225 //
     /* 2336367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336389 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2336406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336427 */     // GIR_Coverage, 56225,
     /* 2336427 */     GIR_EraseRootFromParent_Done,
     /* 2336428 */   // Label 32504: @2336428
     /* 2336428 */   GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2336477), // Rule ID 56218 //
     /* 2336433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336440 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336476 */     // GIR_Coverage, 56218,
     /* 2336476 */     GIR_EraseRootFromParent_Done,
     /* 2336477 */   // Label 32505: @2336477
     /* 2336477 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2336526), // Rule ID 56219 //
     /* 2336482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336489 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336525 */     // GIR_Coverage, 56219,
     /* 2336525 */     GIR_EraseRootFromParent_Done,
     /* 2336526 */   // Label 32506: @2336526
     /* 2336526 */   GIM_Reject,
     /* 2336527 */ // Label 32502: @2336527
     /* 2336527 */ GIM_Reject,
     /* 2336528 */ // Label 32434: @2336528
     /* 2336528 */ GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2336778),
     /* 2336533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2336539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336547 */   GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2336613), // Rule ID 56144 //
     /* 2336552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336574 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336612 */     // GIR_Coverage, 56144,
     /* 2336612 */     GIR_EraseRootFromParent_Done,
     /* 2336613 */   // Label 32508: @2336613
     /* 2336613 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2336679), // Rule ID 56145 //
     /* 2336618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336640 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336678 */     // GIR_Coverage, 56145,
     /* 2336678 */     GIR_EraseRootFromParent_Done,
     /* 2336679 */   // Label 32509: @2336679
     /* 2336679 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2336728), // Rule ID 56138 //
     /* 2336684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336691 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336727 */     // GIR_Coverage, 56138,
     /* 2336727 */     GIR_EraseRootFromParent_Done,
     /* 2336728 */   // Label 32510: @2336728
     /* 2336728 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2336777), // Rule ID 56139 //
     /* 2336733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336740 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336776 */     // GIR_Coverage, 56139,
     /* 2336776 */     GIR_EraseRootFromParent_Done,
     /* 2336777 */   // Label 32511: @2336777
     /* 2336777 */   GIM_Reject,
     /* 2336778 */ // Label 32507: @2336778
     /* 2336778 */ GIM_Reject,
     /* 2336779 */ // Label 32435: @2336779
     /* 2336779 */ GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2337029),
     /* 2336784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2336790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336798 */   GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2336864), // Rule ID 56204 //
     /* 2336803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336825 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336863 */     // GIR_Coverage, 56204,
     /* 2336863 */     GIR_EraseRootFromParent_Done,
     /* 2336864 */   // Label 32513: @2336864
     /* 2336864 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2336930), // Rule ID 56205 //
     /* 2336869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336891 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336929 */     // GIR_Coverage, 56205,
     /* 2336929 */     GIR_EraseRootFromParent_Done,
     /* 2336930 */   // Label 32514: @2336930
     /* 2336930 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2336979), // Rule ID 56198 //
     /* 2336935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336942 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2336959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336978 */     // GIR_Coverage, 56198,
     /* 2336978 */     GIR_EraseRootFromParent_Done,
     /* 2336979 */   // Label 32515: @2336979
     /* 2336979 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2337028), // Rule ID 56199 //
     /* 2336984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336991 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2337008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337027 */     // GIR_Coverage, 56199,
     /* 2337027 */     GIR_EraseRootFromParent_Done,
     /* 2337028 */   // Label 32516: @2337028
     /* 2337028 */   GIM_Reject,
     /* 2337029 */ // Label 32512: @2337029
     /* 2337029 */ GIM_Reject,
     /* 2337030 */ // Label 32436: @2337030
     /* 2337030 */ GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2337280),
     /* 2337035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2337041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337049 */   GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2337115), // Rule ID 56364 //
     /* 2337054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337076 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2337093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337114 */     // GIR_Coverage, 56364,
     /* 2337114 */     GIR_EraseRootFromParent_Done,
     /* 2337115 */   // Label 32518: @2337115
     /* 2337115 */   GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2337181), // Rule ID 56365 //
     /* 2337120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337142 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2337159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337180 */     // GIR_Coverage, 56365,
     /* 2337180 */     GIR_EraseRootFromParent_Done,
     /* 2337181 */   // Label 32519: @2337181
     /* 2337181 */   GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2337230), // Rule ID 56358 //
     /* 2337186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337193 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2337210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337229 */     // GIR_Coverage, 56358,
     /* 2337229 */     GIR_EraseRootFromParent_Done,
     /* 2337230 */   // Label 32520: @2337230
     /* 2337230 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2337279), // Rule ID 56359 //
     /* 2337235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337242 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2337259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337278 */     // GIR_Coverage, 56359,
     /* 2337278 */     GIR_EraseRootFromParent_Done,
     /* 2337279 */   // Label 32521: @2337279
     /* 2337279 */   GIM_Reject,
     /* 2337280 */ // Label 32517: @2337280
     /* 2337280 */ GIM_Reject,
     /* 2337281 */ // Label 32437: @2337281
     /* 2337281 */ GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2337531),
     /* 2337286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2337292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337300 */   GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2337366), // Rule ID 56184 //
     /* 2337305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337327 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2337344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337365 */     // GIR_Coverage, 56184,
     /* 2337365 */     GIR_EraseRootFromParent_Done,
     /* 2337366 */   // Label 32523: @2337366
     /* 2337366 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2337432), // Rule ID 56185 //
     /* 2337371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337393 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2337410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337431 */     // GIR_Coverage, 56185,
     /* 2337431 */     GIR_EraseRootFromParent_Done,
     /* 2337432 */   // Label 32524: @2337432
     /* 2337432 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2337481), // Rule ID 56178 //
     /* 2337437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337444 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337480 */     // GIR_Coverage, 56178,
     /* 2337480 */     GIR_EraseRootFromParent_Done,
     /* 2337481 */   // Label 32525: @2337481
     /* 2337481 */   GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2337530), // Rule ID 56179 //
     /* 2337486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337493 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337529 */     // GIR_Coverage, 56179,
     /* 2337529 */     GIR_EraseRootFromParent_Done,
     /* 2337530 */   // Label 32526: @2337530
     /* 2337530 */   GIM_Reject,
     /* 2337531 */ // Label 32522: @2337531
     /* 2337531 */ GIM_Reject,
     /* 2337532 */ // Label 32438: @2337532
     /* 2337532 */ GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2337782),
     /* 2337537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2337543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337551 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2337617), // Rule ID 56304 //
     /* 2337556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337578 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337616 */     // GIR_Coverage, 56304,
     /* 2337616 */     GIR_EraseRootFromParent_Done,
     /* 2337617 */   // Label 32528: @2337617
     /* 2337617 */   GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2337683), // Rule ID 56305 //
     /* 2337622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337644 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337682 */     // GIR_Coverage, 56305,
     /* 2337682 */     GIR_EraseRootFromParent_Done,
     /* 2337683 */   // Label 32529: @2337683
     /* 2337683 */   GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2337732), // Rule ID 56298 //
     /* 2337688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337695 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337731 */     // GIR_Coverage, 56298,
     /* 2337731 */     GIR_EraseRootFromParent_Done,
     /* 2337732 */   // Label 32530: @2337732
     /* 2337732 */   GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2337781), // Rule ID 56299 //
     /* 2337737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337744 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337780 */     // GIR_Coverage, 56299,
     /* 2337780 */     GIR_EraseRootFromParent_Done,
     /* 2337781 */   // Label 32531: @2337781
     /* 2337781 */   GIM_Reject,
     /* 2337782 */ // Label 32527: @2337782
     /* 2337782 */ GIM_Reject,
     /* 2337783 */ // Label 32439: @2337783
     /* 2337783 */ GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2338033),
     /* 2337788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2337794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337802 */   GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2337868), // Rule ID 56384 //
     /* 2337807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337829 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337867 */     // GIR_Coverage, 56384,
     /* 2337867 */     GIR_EraseRootFromParent_Done,
     /* 2337868 */   // Label 32533: @2337868
     /* 2337868 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2337934), // Rule ID 56385 //
     /* 2337873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337895 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337933 */     // GIR_Coverage, 56385,
     /* 2337933 */     GIR_EraseRootFromParent_Done,
     /* 2337934 */   // Label 32534: @2337934
     /* 2337934 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2337983), // Rule ID 56378 //
     /* 2337939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337946 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2337963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337982 */     // GIR_Coverage, 56378,
     /* 2337982 */     GIR_EraseRootFromParent_Done,
     /* 2337983 */   // Label 32535: @2337983
     /* 2337983 */   GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2338032), // Rule ID 56379 //
     /* 2337988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337995 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2338012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338031 */     // GIR_Coverage, 56379,
     /* 2338031 */     GIR_EraseRootFromParent_Done,
     /* 2338032 */   // Label 32536: @2338032
     /* 2338032 */   GIM_Reject,
     /* 2338033 */ // Label 32532: @2338033
     /* 2338033 */ GIM_Reject,
     /* 2338034 */ // Label 32440: @2338034
     /* 2338034 */ GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2338284),
     /* 2338039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2338045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338053 */   GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2338119), // Rule ID 56244 //
     /* 2338058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338080 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2338097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338118 */     // GIR_Coverage, 56244,
     /* 2338118 */     GIR_EraseRootFromParent_Done,
     /* 2338119 */   // Label 32538: @2338119
     /* 2338119 */   GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2338185), // Rule ID 56245 //
     /* 2338124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338146 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2338163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338184 */     // GIR_Coverage, 56245,
     /* 2338184 */     GIR_EraseRootFromParent_Done,
     /* 2338185 */   // Label 32539: @2338185
     /* 2338185 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2338234), // Rule ID 56238 //
     /* 2338190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338197 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2338214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338233 */     // GIR_Coverage, 56238,
     /* 2338233 */     GIR_EraseRootFromParent_Done,
     /* 2338234 */   // Label 32540: @2338234
     /* 2338234 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2338283), // Rule ID 56239 //
     /* 2338239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338246 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2338263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338282 */     // GIR_Coverage, 56239,
     /* 2338282 */     GIR_EraseRootFromParent_Done,
     /* 2338283 */   // Label 32541: @2338283
     /* 2338283 */   GIM_Reject,
     /* 2338284 */ // Label 32537: @2338284
     /* 2338284 */ GIM_Reject,
     /* 2338285 */ // Label 32441: @2338285
     /* 2338285 */ GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2338535),
     /* 2338290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2338296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338304 */   GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2338370), // Rule ID 56324 //
     /* 2338309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338331 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2338348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338369 */     // GIR_Coverage, 56324,
     /* 2338369 */     GIR_EraseRootFromParent_Done,
     /* 2338370 */   // Label 32543: @2338370
     /* 2338370 */   GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2338436), // Rule ID 56325 //
     /* 2338375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338397 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2338414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338435 */     // GIR_Coverage, 56325,
     /* 2338435 */     GIR_EraseRootFromParent_Done,
     /* 2338436 */   // Label 32544: @2338436
     /* 2338436 */   GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2338485), // Rule ID 56318 //
     /* 2338441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338448 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338484 */     // GIR_Coverage, 56318,
     /* 2338484 */     GIR_EraseRootFromParent_Done,
     /* 2338485 */   // Label 32545: @2338485
     /* 2338485 */   GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2338534), // Rule ID 56319 //
     /* 2338490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338497 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338533 */     // GIR_Coverage, 56319,
     /* 2338533 */     GIR_EraseRootFromParent_Done,
     /* 2338534 */   // Label 32546: @2338534
     /* 2338534 */   GIM_Reject,
     /* 2338535 */ // Label 32542: @2338535
     /* 2338535 */ GIM_Reject,
     /* 2338536 */ // Label 32442: @2338536
     /* 2338536 */ GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2338786),
     /* 2338541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2338547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338555 */   GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2338621), // Rule ID 56404 //
     /* 2338560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338582 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338620 */     // GIR_Coverage, 56404,
     /* 2338620 */     GIR_EraseRootFromParent_Done,
     /* 2338621 */   // Label 32548: @2338621
     /* 2338621 */   GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2338687), // Rule ID 56405 //
     /* 2338626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338648 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338686 */     // GIR_Coverage, 56405,
     /* 2338686 */     GIR_EraseRootFromParent_Done,
     /* 2338687 */   // Label 32549: @2338687
     /* 2338687 */   GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2338736), // Rule ID 56398 //
     /* 2338692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338699 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338735 */     // GIR_Coverage, 56398,
     /* 2338735 */     GIR_EraseRootFromParent_Done,
     /* 2338736 */   // Label 32550: @2338736
     /* 2338736 */   GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2338785), // Rule ID 56399 //
     /* 2338741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338748 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338784 */     // GIR_Coverage, 56399,
     /* 2338784 */     GIR_EraseRootFromParent_Done,
     /* 2338785 */   // Label 32551: @2338785
     /* 2338785 */   GIM_Reject,
     /* 2338786 */ // Label 32547: @2338786
     /* 2338786 */ GIM_Reject,
     /* 2338787 */ // Label 32443: @2338787
     /* 2338787 */ GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2339037),
     /* 2338792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2338798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338806 */   GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2338872), // Rule ID 56264 //
     /* 2338811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338833 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338871 */     // GIR_Coverage, 56264,
     /* 2338871 */     GIR_EraseRootFromParent_Done,
     /* 2338872 */   // Label 32553: @2338872
     /* 2338872 */   GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2338938), // Rule ID 56265 //
     /* 2338877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338899 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338937 */     // GIR_Coverage, 56265,
     /* 2338937 */     GIR_EraseRootFromParent_Done,
     /* 2338938 */   // Label 32554: @2338938
     /* 2338938 */   GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2338987), // Rule ID 56258 //
     /* 2338943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338950 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2338967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338986 */     // GIR_Coverage, 56258,
     /* 2338986 */     GIR_EraseRootFromParent_Done,
     /* 2338987 */   // Label 32555: @2338987
     /* 2338987 */   GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2339036), // Rule ID 56259 //
     /* 2338992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338999 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2339016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339035 */     // GIR_Coverage, 56259,
     /* 2339035 */     GIR_EraseRootFromParent_Done,
     /* 2339036 */   // Label 32556: @2339036
     /* 2339036 */   GIM_Reject,
     /* 2339037 */ // Label 32552: @2339037
     /* 2339037 */ GIM_Reject,
     /* 2339038 */ // Label 32444: @2339038
     /* 2339038 */ GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2339288),
     /* 2339043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2339049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339057 */   GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2339123), // Rule ID 56344 //
     /* 2339062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339084 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2339101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339122 */     // GIR_Coverage, 56344,
     /* 2339122 */     GIR_EraseRootFromParent_Done,
     /* 2339123 */   // Label 32558: @2339123
     /* 2339123 */   GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2339189), // Rule ID 56345 //
     /* 2339128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339150 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2339167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339188 */     // GIR_Coverage, 56345,
     /* 2339188 */     GIR_EraseRootFromParent_Done,
     /* 2339189 */   // Label 32559: @2339189
     /* 2339189 */   GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2339238), // Rule ID 56338 //
     /* 2339194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339201 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2339218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339237 */     // GIR_Coverage, 56338,
     /* 2339237 */     GIR_EraseRootFromParent_Done,
     /* 2339238 */   // Label 32560: @2339238
     /* 2339238 */   GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2339287), // Rule ID 56339 //
     /* 2339243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339250 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2339267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339286 */     // GIR_Coverage, 56339,
     /* 2339286 */     GIR_EraseRootFromParent_Done,
     /* 2339287 */   // Label 32561: @2339287
     /* 2339287 */   GIM_Reject,
     /* 2339288 */ // Label 32557: @2339288
     /* 2339288 */ GIM_Reject,
     /* 2339289 */ // Label 32445: @2339289
     /* 2339289 */ GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2339539),
     /* 2339294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2339300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339308 */   GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2339374), // Rule ID 56284 //
     /* 2339313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339335 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2339352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339373 */     // GIR_Coverage, 56284,
     /* 2339373 */     GIR_EraseRootFromParent_Done,
     /* 2339374 */   // Label 32563: @2339374
     /* 2339374 */   GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2339440), // Rule ID 56285 //
     /* 2339379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339401 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2339418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339439 */     // GIR_Coverage, 56285,
     /* 2339439 */     GIR_EraseRootFromParent_Done,
     /* 2339440 */   // Label 32564: @2339440
     /* 2339440 */   GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2339489), // Rule ID 56278 //
     /* 2339445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339452 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339488 */     // GIR_Coverage, 56278,
     /* 2339488 */     GIR_EraseRootFromParent_Done,
     /* 2339489 */   // Label 32565: @2339489
     /* 2339489 */   GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2339538), // Rule ID 56279 //
     /* 2339494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339501 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339537 */     // GIR_Coverage, 56279,
     /* 2339537 */     GIR_EraseRootFromParent_Done,
     /* 2339538 */   // Label 32566: @2339538
     /* 2339538 */   GIM_Reject,
     /* 2339539 */ // Label 32562: @2339539
     /* 2339539 */ GIM_Reject,
     /* 2339540 */ // Label 32446: @2339540
     /* 2339540 */ GIM_Reject,
     /* 2339541 */ // Label 73: @2339541
     /* 2339541 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32570*/ GIMT_Encode4(2339730),
     /* 2339552 */ /*GILLT_s16*//*Label 32567*/ GIMT_Encode4(2339564),
     /* 2339556 */ /*GILLT_s32*//*Label 32568*/ GIMT_Encode4(2339614),
     /* 2339560 */ /*GILLT_s64*//*Label 32569*/ GIMT_Encode4(2339664),
     /* 2339564 */ // Label 32567: @2339564
     /* 2339564 */ GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2339613),
     /* 2339569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339580 */   GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2339596), // Rule ID 1956 //
     /* 2339585 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339595 */     // GIR_Coverage, 1956,
     /* 2339595 */     GIR_EraseRootFromParent_Done,
     /* 2339596 */   // Label 32572: @2339596
     /* 2339596 */   GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2339612), // Rule ID 1957 //
     /* 2339601 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339611 */     // GIR_Coverage, 1957,
     /* 2339611 */     GIR_EraseRootFromParent_Done,
     /* 2339612 */   // Label 32573: @2339612
     /* 2339612 */   GIM_Reject,
     /* 2339613 */ // Label 32571: @2339613
     /* 2339613 */ GIM_Reject,
     /* 2339614 */ // Label 32568: @2339614
     /* 2339614 */ GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2339663),
     /* 2339619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339630 */   GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2339646), // Rule ID 1243 //
     /* 2339635 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339645 */     // GIR_Coverage, 1243,
     /* 2339645 */     GIR_EraseRootFromParent_Done,
     /* 2339646 */   // Label 32575: @2339646
     /* 2339646 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2339662), // Rule ID 1244 //
     /* 2339651 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339661 */     // GIR_Coverage, 1244,
     /* 2339661 */     GIR_EraseRootFromParent_Done,
     /* 2339662 */   // Label 32576: @2339662
     /* 2339662 */   GIM_Reject,
     /* 2339663 */ // Label 32574: @2339663
     /* 2339663 */ GIM_Reject,
     /* 2339664 */ // Label 32569: @2339664
     /* 2339664 */ GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2339729),
     /* 2339669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339680 */   GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2339696), // Rule ID 1620 //
     /* 2339685 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339695 */     // GIR_Coverage, 1620,
     /* 2339695 */     GIR_EraseRootFromParent_Done,
     /* 2339696 */   // Label 32578: @2339696
     /* 2339696 */   GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2339712), // Rule ID 1621 //
     /* 2339701 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339711 */     // GIR_Coverage, 1621,
     /* 2339711 */     GIR_EraseRootFromParent_Done,
     /* 2339712 */   // Label 32579: @2339712
     /* 2339712 */   GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2339728), // Rule ID 1622 //
     /* 2339717 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339727 */     // GIR_Coverage, 1622,
     /* 2339727 */     GIR_EraseRootFromParent_Done,
     /* 2339728 */   // Label 32580: @2339728
     /* 2339728 */   GIM_Reject,
     /* 2339729 */ // Label 32577: @2339729
     /* 2339729 */ GIM_Reject,
     /* 2339730 */ // Label 32570: @2339730
     /* 2339730 */ GIM_Reject,
     /* 2339731 */ // Label 74: @2339731
     /* 2339731 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32599*/ GIMT_Encode4(2341815),
     /* 2339742 */ /*GILLT_s16*//*Label 32581*/ GIMT_Encode4(2339862),
     /* 2339746 */ /*GILLT_s32*//*Label 32582*/ GIMT_Encode4(2339929),
     /* 2339750 */ /*GILLT_s64*//*Label 32583*/ GIMT_Encode4(2339996), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339762 */ /*GILLT_nxv1s16*//*Label 32584*/ GIMT_Encode4(2340090),
     /* 2339766 */ /*GILLT_nxv1s32*//*Label 32585*/ GIMT_Encode4(2340205),
     /* 2339770 */ /*GILLT_nxv1s64*//*Label 32586*/ GIMT_Encode4(2340320), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339782 */ /*GILLT_nxv2s16*//*Label 32587*/ GIMT_Encode4(2340435),
     /* 2339786 */ /*GILLT_nxv2s32*//*Label 32588*/ GIMT_Encode4(2340550),
     /* 2339790 */ /*GILLT_nxv2s64*//*Label 32589*/ GIMT_Encode4(2340665), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339802 */ /*GILLT_nxv4s16*//*Label 32590*/ GIMT_Encode4(2340780),
     /* 2339806 */ /*GILLT_nxv4s32*//*Label 32591*/ GIMT_Encode4(2340895),
     /* 2339810 */ /*GILLT_nxv4s64*//*Label 32592*/ GIMT_Encode4(2341010), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339822 */ /*GILLT_nxv8s16*//*Label 32593*/ GIMT_Encode4(2341125),
     /* 2339826 */ /*GILLT_nxv8s32*//*Label 32594*/ GIMT_Encode4(2341240),
     /* 2339830 */ /*GILLT_nxv8s64*//*Label 32595*/ GIMT_Encode4(2341355), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339842 */ /*GILLT_nxv16s16*//*Label 32596*/ GIMT_Encode4(2341470),
     /* 2339846 */ /*GILLT_nxv16s32*//*Label 32597*/ GIMT_Encode4(2341585), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339858 */ /*GILLT_nxv32s16*//*Label 32598*/ GIMT_Encode4(2341700),
     /* 2339862 */ // Label 32581: @2339862
     /* 2339862 */ GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2339928),
     /* 2339867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339873 */   GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2339900), // Rule ID 1944 //
     /* 2339878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2339881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339893 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339899 */     // GIR_Coverage, 1944,
     /* 2339899 */     GIR_Done,
     /* 2339900 */   // Label 32601: @2339900
     /* 2339900 */   GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2339927), // Rule ID 1945 //
     /* 2339905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2339908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339920 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339920 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2339925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339926 */     // GIR_Coverage, 1945,
     /* 2339926 */     GIR_Done,
     /* 2339927 */   // Label 32602: @2339927
     /* 2339927 */   GIM_Reject,
     /* 2339928 */ // Label 32600: @2339928
     /* 2339928 */ GIM_Reject,
     /* 2339929 */ // Label 32582: @2339929
     /* 2339929 */ GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2339995),
     /* 2339934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339940 */   GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2339967), // Rule ID 1231 //
     /* 2339945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2339948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339960 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339966 */     // GIR_Coverage, 1231,
     /* 2339966 */     GIR_Done,
     /* 2339967 */   // Label 32604: @2339967
     /* 2339967 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2339994), // Rule ID 1232 //
     /* 2339972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2339975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339987 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2339992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339993 */     // GIR_Coverage, 1232,
     /* 2339993 */     GIR_Done,
     /* 2339994 */   // Label 32605: @2339994
     /* 2339994 */   GIM_Reject,
     /* 2339995 */ // Label 32603: @2339995
     /* 2339995 */ GIM_Reject,
     /* 2339996 */ // Label 32583: @2339996
     /* 2339996 */ GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2340089),
     /* 2340001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2340004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2340007 */   GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2340034), // Rule ID 1602 //
     /* 2340012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2340015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340027 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340027 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2340032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340033 */     // GIR_Coverage, 1602,
     /* 2340033 */     GIR_Done,
     /* 2340034 */   // Label 32607: @2340034
     /* 2340034 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2340061), // Rule ID 1603 //
     /* 2340039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2340042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340054 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2340059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340060 */     // GIR_Coverage, 1603,
     /* 2340060 */     GIR_Done,
     /* 2340061 */   // Label 32608: @2340061
     /* 2340061 */   GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2340088), // Rule ID 1604 //
     /* 2340066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2340069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340081 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2340086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340087 */     // GIR_Coverage, 1604,
     /* 2340087 */     GIR_Done,
     /* 2340088 */   // Label 32609: @2340088
     /* 2340088 */   GIM_Reject,
     /* 2340089 */ // Label 32606: @2340089
     /* 2340089 */ GIM_Reject,
     /* 2340090 */ // Label 32584: @2340090
     /* 2340090 */ GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2340204),
     /* 2340095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340113 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2340158), // Rule ID 45630 //
     /* 2340118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340121 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2340138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340157 */     // GIR_Coverage, 45630,
     /* 2340157 */     GIR_EraseRootFromParent_Done,
     /* 2340158 */   // Label 32611: @2340158
     /* 2340158 */   GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2340203), // Rule ID 45631 //
     /* 2340163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340166 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2340183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340202 */     // GIR_Coverage, 45631,
     /* 2340202 */     GIR_EraseRootFromParent_Done,
     /* 2340203 */   // Label 32612: @2340203
     /* 2340203 */   GIM_Reject,
     /* 2340204 */ // Label 32610: @2340204
     /* 2340204 */ GIM_Reject,
     /* 2340205 */ // Label 32585: @2340205
     /* 2340205 */ GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2340319),
     /* 2340210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340228 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2340273), // Rule ID 56416 //
     /* 2340233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340236 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2340253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340272 */     // GIR_Coverage, 56416,
     /* 2340272 */     GIR_EraseRootFromParent_Done,
     /* 2340273 */   // Label 32614: @2340273
     /* 2340273 */   GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2340318), // Rule ID 56417 //
     /* 2340278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340281 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2340298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340317 */     // GIR_Coverage, 56417,
     /* 2340317 */     GIR_EraseRootFromParent_Done,
     /* 2340318 */   // Label 32615: @2340318
     /* 2340318 */   GIM_Reject,
     /* 2340319 */ // Label 32613: @2340319
     /* 2340319 */ GIM_Reject,
     /* 2340320 */ // Label 32586: @2340320
     /* 2340320 */ GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2340434),
     /* 2340325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340343 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2340388), // Rule ID 56434 //
     /* 2340348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340351 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2340368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340387 */     // GIR_Coverage, 56434,
     /* 2340387 */     GIR_EraseRootFromParent_Done,
     /* 2340388 */   // Label 32617: @2340388
     /* 2340388 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2340433), // Rule ID 56435 //
     /* 2340393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340396 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2340413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340432 */     // GIR_Coverage, 56435,
     /* 2340432 */     GIR_EraseRootFromParent_Done,
     /* 2340433 */   // Label 32618: @2340433
     /* 2340433 */   GIM_Reject,
     /* 2340434 */ // Label 32616: @2340434
     /* 2340434 */ GIM_Reject,
     /* 2340435 */ // Label 32587: @2340435
     /* 2340435 */ GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2340549),
     /* 2340440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2340446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340458 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2340503), // Rule ID 56410 //
     /* 2340463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340466 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340502 */     // GIR_Coverage, 56410,
     /* 2340502 */     GIR_EraseRootFromParent_Done,
     /* 2340503 */   // Label 32620: @2340503
     /* 2340503 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2340548), // Rule ID 56411 //
     /* 2340508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340511 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340547 */     // GIR_Coverage, 56411,
     /* 2340547 */     GIR_EraseRootFromParent_Done,
     /* 2340548 */   // Label 32621: @2340548
     /* 2340548 */   GIM_Reject,
     /* 2340549 */ // Label 32619: @2340549
     /* 2340549 */ GIM_Reject,
     /* 2340550 */ // Label 32588: @2340550
     /* 2340550 */ GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2340664),
     /* 2340555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2340561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340573 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2340618), // Rule ID 56428 //
     /* 2340578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340581 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340617 */     // GIR_Coverage, 56428,
     /* 2340617 */     GIR_EraseRootFromParent_Done,
     /* 2340618 */   // Label 32623: @2340618
     /* 2340618 */   GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2340663), // Rule ID 56429 //
     /* 2340623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340626 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340662 */     // GIR_Coverage, 56429,
     /* 2340662 */     GIR_EraseRootFromParent_Done,
     /* 2340663 */   // Label 32624: @2340663
     /* 2340663 */   GIM_Reject,
     /* 2340664 */ // Label 32622: @2340664
     /* 2340664 */ GIM_Reject,
     /* 2340665 */ // Label 32589: @2340665
     /* 2340665 */ GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2340779),
     /* 2340670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2340676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340688 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2340733), // Rule ID 56476 //
     /* 2340693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340696 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340732 */     // GIR_Coverage, 56476,
     /* 2340732 */     GIR_EraseRootFromParent_Done,
     /* 2340733 */   // Label 32626: @2340733
     /* 2340733 */   GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2340778), // Rule ID 56477 //
     /* 2340738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340741 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340777 */     // GIR_Coverage, 56477,
     /* 2340777 */     GIR_EraseRootFromParent_Done,
     /* 2340778 */   // Label 32627: @2340778
     /* 2340778 */   GIM_Reject,
     /* 2340779 */ // Label 32625: @2340779
     /* 2340779 */ GIM_Reject,
     /* 2340780 */ // Label 32590: @2340780
     /* 2340780 */ GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2340894),
     /* 2340785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2340791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340803 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2340848), // Rule ID 56422 //
     /* 2340808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340811 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340847 */     // GIR_Coverage, 56422,
     /* 2340847 */     GIR_EraseRootFromParent_Done,
     /* 2340848 */   // Label 32629: @2340848
     /* 2340848 */   GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2340893), // Rule ID 56423 //
     /* 2340853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340856 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340892 */     // GIR_Coverage, 56423,
     /* 2340892 */     GIR_EraseRootFromParent_Done,
     /* 2340893 */   // Label 32630: @2340893
     /* 2340893 */   GIM_Reject,
     /* 2340894 */ // Label 32628: @2340894
     /* 2340894 */ GIM_Reject,
     /* 2340895 */ // Label 32591: @2340895
     /* 2340895 */ GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2341009),
     /* 2340900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2340906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340918 */   GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2340963), // Rule ID 56458 //
     /* 2340923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340926 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340962 */     // GIR_Coverage, 56458,
     /* 2340962 */     GIR_EraseRootFromParent_Done,
     /* 2340963 */   // Label 32632: @2340963
     /* 2340963 */   GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2341008), // Rule ID 56459 //
     /* 2340968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340971 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341007 */     // GIR_Coverage, 56459,
     /* 2341007 */     GIR_EraseRootFromParent_Done,
     /* 2341008 */   // Label 32633: @2341008
     /* 2341008 */   GIM_Reject,
     /* 2341009 */ // Label 32631: @2341009
     /* 2341009 */ GIM_Reject,
     /* 2341010 */ // Label 32592: @2341010
     /* 2341010 */ GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2341124),
     /* 2341015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2341021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341033 */   GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2341078), // Rule ID 56482 //
     /* 2341038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341041 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2341058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341077 */     // GIR_Coverage, 56482,
     /* 2341077 */     GIR_EraseRootFromParent_Done,
     /* 2341078 */   // Label 32635: @2341078
     /* 2341078 */   GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2341123), // Rule ID 56483 //
     /* 2341083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341086 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2341103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341122 */     // GIR_Coverage, 56483,
     /* 2341122 */     GIR_EraseRootFromParent_Done,
     /* 2341123 */   // Label 32636: @2341123
     /* 2341123 */   GIM_Reject,
     /* 2341124 */ // Label 32634: @2341124
     /* 2341124 */ GIM_Reject,
     /* 2341125 */ // Label 32593: @2341125
     /* 2341125 */ GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2341239),
     /* 2341130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2341136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341148 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2341193), // Rule ID 56440 //
     /* 2341153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341156 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2341173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341192 */     // GIR_Coverage, 56440,
     /* 2341192 */     GIR_EraseRootFromParent_Done,
     /* 2341193 */   // Label 32638: @2341193
     /* 2341193 */   GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2341238), // Rule ID 56441 //
     /* 2341198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341201 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2341218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341237 */     // GIR_Coverage, 56441,
     /* 2341237 */     GIR_EraseRootFromParent_Done,
     /* 2341238 */   // Label 32639: @2341238
     /* 2341238 */   GIM_Reject,
     /* 2341239 */ // Label 32637: @2341239
     /* 2341239 */ GIM_Reject,
     /* 2341240 */ // Label 32594: @2341240
     /* 2341240 */ GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2341354),
     /* 2341245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2341251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341263 */   GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2341308), // Rule ID 56464 //
     /* 2341268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341271 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2341288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341307 */     // GIR_Coverage, 56464,
     /* 2341307 */     GIR_EraseRootFromParent_Done,
     /* 2341308 */   // Label 32641: @2341308
     /* 2341308 */   GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2341353), // Rule ID 56465 //
     /* 2341313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341316 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2341333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341352 */     // GIR_Coverage, 56465,
     /* 2341352 */     GIR_EraseRootFromParent_Done,
     /* 2341353 */   // Label 32642: @2341353
     /* 2341353 */   GIM_Reject,
     /* 2341354 */ // Label 32640: @2341354
     /* 2341354 */ GIM_Reject,
     /* 2341355 */ // Label 32595: @2341355
     /* 2341355 */ GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2341469),
     /* 2341360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2341363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2341366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341378 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2341423), // Rule ID 56488 //
     /* 2341383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341386 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2341403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341422 */     // GIR_Coverage, 56488,
     /* 2341422 */     GIR_EraseRootFromParent_Done,
     /* 2341423 */   // Label 32644: @2341423
     /* 2341423 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2341468), // Rule ID 56489 //
     /* 2341428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341431 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2341448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341467 */     // GIR_Coverage, 56489,
     /* 2341467 */     GIR_EraseRootFromParent_Done,
     /* 2341468 */   // Label 32645: @2341468
     /* 2341468 */   GIM_Reject,
     /* 2341469 */ // Label 32643: @2341469
     /* 2341469 */ GIM_Reject,
     /* 2341470 */ // Label 32596: @2341470
     /* 2341470 */ GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2341584),
     /* 2341475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2341478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2341481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341493 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2341538), // Rule ID 56446 //
     /* 2341498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341501 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341537 */     // GIR_Coverage, 56446,
     /* 2341537 */     GIR_EraseRootFromParent_Done,
     /* 2341538 */   // Label 32647: @2341538
     /* 2341538 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2341583), // Rule ID 56447 //
     /* 2341543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341546 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341582 */     // GIR_Coverage, 56447,
     /* 2341582 */     GIR_EraseRootFromParent_Done,
     /* 2341583 */   // Label 32648: @2341583
     /* 2341583 */   GIM_Reject,
     /* 2341584 */ // Label 32646: @2341584
     /* 2341584 */ GIM_Reject,
     /* 2341585 */ // Label 32597: @2341585
     /* 2341585 */ GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2341699),
     /* 2341590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2341593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2341596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341608 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2341653), // Rule ID 56470 //
     /* 2341613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341616 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341652 */     // GIR_Coverage, 56470,
     /* 2341652 */     GIR_EraseRootFromParent_Done,
     /* 2341653 */   // Label 32650: @2341653
     /* 2341653 */   GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2341698), // Rule ID 56471 //
     /* 2341658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341661 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341697 */     // GIR_Coverage, 56471,
     /* 2341697 */     GIR_EraseRootFromParent_Done,
     /* 2341698 */   // Label 32651: @2341698
     /* 2341698 */   GIM_Reject,
     /* 2341699 */ // Label 32649: @2341699
     /* 2341699 */ GIM_Reject,
     /* 2341700 */ // Label 32598: @2341700
     /* 2341700 */ GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2341814),
     /* 2341705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2341708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2341711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341723 */   GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2341768), // Rule ID 56452 //
     /* 2341728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341731 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341767 */     // GIR_Coverage, 56452,
     /* 2341767 */     GIR_EraseRootFromParent_Done,
     /* 2341768 */   // Label 32653: @2341768
     /* 2341768 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2341813), // Rule ID 56453 //
     /* 2341773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341776 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341812 */     // GIR_Coverage, 56453,
     /* 2341812 */     GIR_EraseRootFromParent_Done,
     /* 2341813 */   // Label 32654: @2341813
     /* 2341813 */   GIM_Reject,
     /* 2341814 */ // Label 32652: @2341814
     /* 2341814 */ GIM_Reject,
     /* 2341815 */ // Label 32599: @2341815
     /* 2341815 */ GIM_Reject,
     /* 2341816 */ // Label 75: @2341816
     /* 2341816 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32673*/ GIMT_Encode4(2343900),
     /* 2341827 */ /*GILLT_s16*//*Label 32655*/ GIMT_Encode4(2341947),
     /* 2341831 */ /*GILLT_s32*//*Label 32656*/ GIMT_Encode4(2342014),
     /* 2341835 */ /*GILLT_s64*//*Label 32657*/ GIMT_Encode4(2342081), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341847 */ /*GILLT_nxv1s16*//*Label 32658*/ GIMT_Encode4(2342175),
     /* 2341851 */ /*GILLT_nxv1s32*//*Label 32659*/ GIMT_Encode4(2342290),
     /* 2341855 */ /*GILLT_nxv1s64*//*Label 32660*/ GIMT_Encode4(2342405), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341867 */ /*GILLT_nxv2s16*//*Label 32661*/ GIMT_Encode4(2342520),
     /* 2341871 */ /*GILLT_nxv2s32*//*Label 32662*/ GIMT_Encode4(2342635),
     /* 2341875 */ /*GILLT_nxv2s64*//*Label 32663*/ GIMT_Encode4(2342750), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341887 */ /*GILLT_nxv4s16*//*Label 32664*/ GIMT_Encode4(2342865),
     /* 2341891 */ /*GILLT_nxv4s32*//*Label 32665*/ GIMT_Encode4(2342980),
     /* 2341895 */ /*GILLT_nxv4s64*//*Label 32666*/ GIMT_Encode4(2343095), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341907 */ /*GILLT_nxv8s16*//*Label 32667*/ GIMT_Encode4(2343210),
     /* 2341911 */ /*GILLT_nxv8s32*//*Label 32668*/ GIMT_Encode4(2343325),
     /* 2341915 */ /*GILLT_nxv8s64*//*Label 32669*/ GIMT_Encode4(2343440), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341927 */ /*GILLT_nxv16s16*//*Label 32670*/ GIMT_Encode4(2343555),
     /* 2341931 */ /*GILLT_nxv16s32*//*Label 32671*/ GIMT_Encode4(2343670), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341943 */ /*GILLT_nxv32s16*//*Label 32672*/ GIMT_Encode4(2343785),
     /* 2341947 */ // Label 32655: @2341947
     /* 2341947 */ GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2342013),
     /* 2341952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2341955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2341958 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2341985), // Rule ID 1946 //
     /* 2341963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2341966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341978 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2341983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341984 */     // GIR_Coverage, 1946,
     /* 2341984 */     GIR_Done,
     /* 2341985 */   // Label 32675: @2341985
     /* 2341985 */   GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2342012), // Rule ID 1947 //
     /* 2341990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2341993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342005 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2342005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2342010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342011 */     // GIR_Coverage, 1947,
     /* 2342011 */     GIR_Done,
     /* 2342012 */   // Label 32676: @2342012
     /* 2342012 */   GIM_Reject,
     /* 2342013 */ // Label 32674: @2342013
     /* 2342013 */ GIM_Reject,
     /* 2342014 */ // Label 32656: @2342014
     /* 2342014 */ GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2342080),
     /* 2342019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2342022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342025 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2342052), // Rule ID 1233 //
     /* 2342030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2342033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342045 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2342045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2342050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342051 */     // GIR_Coverage, 1233,
     /* 2342051 */     GIR_Done,
     /* 2342052 */   // Label 32678: @2342052
     /* 2342052 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2342079), // Rule ID 1234 //
     /* 2342057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2342060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342072 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2342072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2342077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342078 */     // GIR_Coverage, 1234,
     /* 2342078 */     GIR_Done,
     /* 2342079 */   // Label 32679: @2342079
     /* 2342079 */   GIM_Reject,
     /* 2342080 */ // Label 32677: @2342080
     /* 2342080 */ GIM_Reject,
     /* 2342081 */ // Label 32657: @2342081
     /* 2342081 */ GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2342174),
     /* 2342086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2342089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2342092 */   GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2342119), // Rule ID 1605 //
     /* 2342097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2342100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342112 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2342117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342118 */     // GIR_Coverage, 1605,
     /* 2342118 */     GIR_Done,
     /* 2342119 */   // Label 32681: @2342119
     /* 2342119 */   GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2342146), // Rule ID 1606 //
     /* 2342124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2342127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2342131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2342135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2342139 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342139 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2342144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342145 */     // GIR_Coverage, 1606,
     /* 2342145 */     GIR_Done,
     /* 2342146 */   // Label 32682: @2342146
     /* 2342146 */   GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2342173), // Rule ID 1607 //
     /* 2342151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2342154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342166 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342166 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2342171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342172 */     // GIR_Coverage, 1607,
     /* 2342172 */     GIR_Done,
     /* 2342173 */   // Label 32683: @2342173
     /* 2342173 */   GIM_Reject,
     /* 2342174 */ // Label 32680: @2342174
     /* 2342174 */ GIM_Reject,
     /* 2342175 */ // Label 32658: @2342175
     /* 2342175 */ GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2342289),
     /* 2342180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2342183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2342186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342198 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2342243), // Rule ID 56494 //
     /* 2342203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342206 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2342209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2342223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342242 */     // GIR_Coverage, 56494,
     /* 2342242 */     GIR_EraseRootFromParent_Done,
     /* 2342243 */   // Label 32685: @2342243
     /* 2342243 */   GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2342288), // Rule ID 56495 //
     /* 2342248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342251 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2342254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2342268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342287 */     // GIR_Coverage, 56495,
     /* 2342287 */     GIR_EraseRootFromParent_Done,
     /* 2342288 */   // Label 32686: @2342288
     /* 2342288 */   GIM_Reject,
     /* 2342289 */ // Label 32684: @2342289
     /* 2342289 */ GIM_Reject,
     /* 2342290 */ // Label 32659: @2342290
     /* 2342290 */ GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2342404),
     /* 2342295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2342298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342313 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2342358), // Rule ID 56506 //
     /* 2342318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342321 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2342324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2342338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342357 */     // GIR_Coverage, 56506,
     /* 2342357 */     GIR_EraseRootFromParent_Done,
     /* 2342358 */   // Label 32688: @2342358
     /* 2342358 */   GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2342403), // Rule ID 56507 //
     /* 2342363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342366 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2342369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2342383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342402 */     // GIR_Coverage, 56507,
     /* 2342402 */     GIR_EraseRootFromParent_Done,
     /* 2342403 */   // Label 32689: @2342403
     /* 2342403 */   GIM_Reject,
     /* 2342404 */ // Label 32687: @2342404
     /* 2342404 */ GIM_Reject,
     /* 2342405 */ // Label 32660: @2342405
     /* 2342405 */ GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2342519),
     /* 2342410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2342413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342428 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2342473), // Rule ID 56524 //
     /* 2342433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342436 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342472 */     // GIR_Coverage, 56524,
     /* 2342472 */     GIR_EraseRootFromParent_Done,
     /* 2342473 */   // Label 32691: @2342473
     /* 2342473 */   GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2342518), // Rule ID 56525 //
     /* 2342478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342481 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342517 */     // GIR_Coverage, 56525,
     /* 2342517 */     GIR_EraseRootFromParent_Done,
     /* 2342518 */   // Label 32692: @2342518
     /* 2342518 */   GIM_Reject,
     /* 2342519 */ // Label 32690: @2342519
     /* 2342519 */ GIM_Reject,
     /* 2342520 */ // Label 32661: @2342520
     /* 2342520 */ GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2342634),
     /* 2342525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2342528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2342531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342543 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2342588), // Rule ID 56500 //
     /* 2342548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342551 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342587 */     // GIR_Coverage, 56500,
     /* 2342587 */     GIR_EraseRootFromParent_Done,
     /* 2342588 */   // Label 32694: @2342588
     /* 2342588 */   GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2342633), // Rule ID 56501 //
     /* 2342593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342596 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342632 */     // GIR_Coverage, 56501,
     /* 2342632 */     GIR_EraseRootFromParent_Done,
     /* 2342633 */   // Label 32695: @2342633
     /* 2342633 */   GIM_Reject,
     /* 2342634 */ // Label 32693: @2342634
     /* 2342634 */ GIM_Reject,
     /* 2342635 */ // Label 32662: @2342635
     /* 2342635 */ GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2342749),
     /* 2342640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2342643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2342646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342658 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2342703), // Rule ID 56518 //
     /* 2342663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342666 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342702 */     // GIR_Coverage, 56518,
     /* 2342702 */     GIR_EraseRootFromParent_Done,
     /* 2342703 */   // Label 32697: @2342703
     /* 2342703 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2342748), // Rule ID 56519 //
     /* 2342708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342711 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342747 */     // GIR_Coverage, 56519,
     /* 2342747 */     GIR_EraseRootFromParent_Done,
     /* 2342748 */   // Label 32698: @2342748
     /* 2342748 */   GIM_Reject,
     /* 2342749 */ // Label 32696: @2342749
     /* 2342749 */ GIM_Reject,
     /* 2342750 */ // Label 32663: @2342750
     /* 2342750 */ GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2342864),
     /* 2342755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2342758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2342761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342773 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2342818), // Rule ID 56566 //
     /* 2342778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342781 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342817 */     // GIR_Coverage, 56566,
     /* 2342817 */     GIR_EraseRootFromParent_Done,
     /* 2342818 */   // Label 32700: @2342818
     /* 2342818 */   GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2342863), // Rule ID 56567 //
     /* 2342823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342826 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342862 */     // GIR_Coverage, 56567,
     /* 2342862 */     GIR_EraseRootFromParent_Done,
     /* 2342863 */   // Label 32701: @2342863
     /* 2342863 */   GIM_Reject,
     /* 2342864 */ // Label 32699: @2342864
     /* 2342864 */ GIM_Reject,
     /* 2342865 */ // Label 32664: @2342865
     /* 2342865 */ GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2342979),
     /* 2342870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2342873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2342876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342888 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2342933), // Rule ID 56512 //
     /* 2342893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342896 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342932 */     // GIR_Coverage, 56512,
     /* 2342932 */     GIR_EraseRootFromParent_Done,
     /* 2342933 */   // Label 32703: @2342933
     /* 2342933 */   GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2342978), // Rule ID 56513 //
     /* 2342938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342941 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342977 */     // GIR_Coverage, 56513,
     /* 2342977 */     GIR_EraseRootFromParent_Done,
     /* 2342978 */   // Label 32704: @2342978
     /* 2342978 */   GIM_Reject,
     /* 2342979 */ // Label 32702: @2342979
     /* 2342979 */ GIM_Reject,
     /* 2342980 */ // Label 32665: @2342980
     /* 2342980 */ GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2343094),
     /* 2342985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2342991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343003 */   GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2343048), // Rule ID 56548 //
     /* 2343008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343011 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2343014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2343028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343047 */     // GIR_Coverage, 56548,
     /* 2343047 */     GIR_EraseRootFromParent_Done,
     /* 2343048 */   // Label 32706: @2343048
     /* 2343048 */   GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2343093), // Rule ID 56549 //
     /* 2343053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343056 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2343059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2343073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343092 */     // GIR_Coverage, 56549,
     /* 2343092 */     GIR_EraseRootFromParent_Done,
     /* 2343093 */   // Label 32707: @2343093
     /* 2343093 */   GIM_Reject,
     /* 2343094 */ // Label 32705: @2343094
     /* 2343094 */ GIM_Reject,
     /* 2343095 */ // Label 32666: @2343095
     /* 2343095 */ GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2343209),
     /* 2343100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2343103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2343106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343118 */   GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2343163), // Rule ID 56572 //
     /* 2343123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2343126 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2343129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2343143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343162 */     // GIR_Coverage, 56572,
     /* 2343162 */     GIR_EraseRootFromParent_Done,
     /* 2343163 */   // Label 32709: @2343163
     /* 2343163 */   GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2343208), // Rule ID 56573 //
     /* 2343168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2343171 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2343174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2343188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343207 */     // GIR_Coverage, 56573,
     /* 2343207 */     GIR_EraseRootFromParent_Done,
     /* 2343208 */   // Label 32710: @2343208
     /* 2343208 */   GIM_Reject,
     /* 2343209 */ // Label 32708: @2343209
     /* 2343209 */ GIM_Reject,
     /* 2343210 */ // Label 32667: @2343210
     /* 2343210 */ GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2343324),
     /* 2343215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2343218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2343221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343233 */   GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2343278), // Rule ID 56530 //
     /* 2343238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343241 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2343258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343277 */     // GIR_Coverage, 56530,
     /* 2343277 */     GIR_EraseRootFromParent_Done,
     /* 2343278 */   // Label 32712: @2343278
     /* 2343278 */   GIM_Try, /*On fail goto*//*Label 32713*/ GIMT_Encode4(2343323), // Rule ID 56531 //
     /* 2343283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343286 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2343303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343322 */     // GIR_Coverage, 56531,
     /* 2343322 */     GIR_EraseRootFromParent_Done,
     /* 2343323 */   // Label 32713: @2343323
     /* 2343323 */   GIM_Reject,
     /* 2343324 */ // Label 32711: @2343324
     /* 2343324 */ GIM_Reject,
     /* 2343325 */ // Label 32668: @2343325
     /* 2343325 */ GIM_Try, /*On fail goto*//*Label 32714*/ GIMT_Encode4(2343439),
     /* 2343330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2343336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343348 */   GIM_Try, /*On fail goto*//*Label 32715*/ GIMT_Encode4(2343393), // Rule ID 56554 //
     /* 2343353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343356 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2343373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343392 */     // GIR_Coverage, 56554,
     /* 2343392 */     GIR_EraseRootFromParent_Done,
     /* 2343393 */   // Label 32715: @2343393
     /* 2343393 */   GIM_Try, /*On fail goto*//*Label 32716*/ GIMT_Encode4(2343438), // Rule ID 56555 //
     /* 2343398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343401 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2343418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343437 */     // GIR_Coverage, 56555,
     /* 2343437 */     GIR_EraseRootFromParent_Done,
     /* 2343438 */   // Label 32716: @2343438
     /* 2343438 */   GIM_Reject,
     /* 2343439 */ // Label 32714: @2343439
     /* 2343439 */ GIM_Reject,
     /* 2343440 */ // Label 32669: @2343440
     /* 2343440 */ GIM_Try, /*On fail goto*//*Label 32717*/ GIMT_Encode4(2343554),
     /* 2343445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2343451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343463 */   GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2343508), // Rule ID 56578 //
     /* 2343468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2343471 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343507 */     // GIR_Coverage, 56578,
     /* 2343507 */     GIR_EraseRootFromParent_Done,
     /* 2343508 */   // Label 32718: @2343508
     /* 2343508 */   GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2343553), // Rule ID 56579 //
     /* 2343513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2343516 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343552 */     // GIR_Coverage, 56579,
     /* 2343552 */     GIR_EraseRootFromParent_Done,
     /* 2343553 */   // Label 32719: @2343553
     /* 2343553 */   GIM_Reject,
     /* 2343554 */ // Label 32717: @2343554
     /* 2343554 */ GIM_Reject,
     /* 2343555 */ // Label 32670: @2343555
     /* 2343555 */ GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2343669),
     /* 2343560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2343563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2343566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343578 */   GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2343623), // Rule ID 56536 //
     /* 2343583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343586 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343622 */     // GIR_Coverage, 56536,
     /* 2343622 */     GIR_EraseRootFromParent_Done,
     /* 2343623 */   // Label 32721: @2343623
     /* 2343623 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2343668), // Rule ID 56537 //
     /* 2343628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343631 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343667 */     // GIR_Coverage, 56537,
     /* 2343667 */     GIR_EraseRootFromParent_Done,
     /* 2343668 */   // Label 32722: @2343668
     /* 2343668 */   GIM_Reject,
     /* 2343669 */ // Label 32720: @2343669
     /* 2343669 */ GIM_Reject,
     /* 2343670 */ // Label 32671: @2343670
     /* 2343670 */ GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2343784),
     /* 2343675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2343681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343693 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2343738), // Rule ID 56560 //
     /* 2343698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343701 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343737 */     // GIR_Coverage, 56560,
     /* 2343737 */     GIR_EraseRootFromParent_Done,
     /* 2343738 */   // Label 32724: @2343738
     /* 2343738 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2343783), // Rule ID 56561 //
     /* 2343743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343746 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343782 */     // GIR_Coverage, 56561,
     /* 2343782 */     GIR_EraseRootFromParent_Done,
     /* 2343783 */   // Label 32725: @2343783
     /* 2343783 */   GIM_Reject,
     /* 2343784 */ // Label 32723: @2343784
     /* 2343784 */ GIM_Reject,
     /* 2343785 */ // Label 32672: @2343785
     /* 2343785 */ GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2343899),
     /* 2343790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2343793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2343796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343808 */   GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2343853), // Rule ID 56542 //
     /* 2343813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343816 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343852 */     // GIR_Coverage, 56542,
     /* 2343852 */     GIR_EraseRootFromParent_Done,
     /* 2343853 */   // Label 32727: @2343853
     /* 2343853 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2343898), // Rule ID 56543 //
     /* 2343858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343861 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343897 */     // GIR_Coverage, 56543,
     /* 2343897 */     GIR_EraseRootFromParent_Done,
     /* 2343898 */   // Label 32728: @2343898
     /* 2343898 */   GIM_Reject,
     /* 2343899 */ // Label 32726: @2343899
     /* 2343899 */ GIM_Reject,
     /* 2343900 */ // Label 32673: @2343900
     /* 2343900 */ GIM_Reject,
     /* 2343901 */ // Label 76: @2343901
     /* 2343901 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32732*/ GIMT_Encode4(2344026),
     /* 2343912 */ /*GILLT_s16*//*Label 32729*/ GIMT_Encode4(2343924),
     /* 2343916 */ /*GILLT_s32*//*Label 32730*/ GIMT_Encode4(2343958),
     /* 2343920 */ /*GILLT_s64*//*Label 32731*/ GIMT_Encode4(2343992),
     /* 2343924 */ // Label 32729: @2343924
     /* 2343924 */ GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2343957), // Rule ID 2298 //
     /* 2343929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2343932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343950 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2343950 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2343955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343956 */   // GIR_Coverage, 2298,
     /* 2343956 */   GIR_Done,
     /* 2343957 */ // Label 32733: @2343957
     /* 2343957 */ GIM_Reject,
     /* 2343958 */ // Label 32730: @2343958
     /* 2343958 */ GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2343991), // Rule ID 2216 //
     /* 2343963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2343966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343984 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343984 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2343989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343990 */   // GIR_Coverage, 2216,
     /* 2343990 */   GIR_Done,
     /* 2343991 */ // Label 32734: @2343991
     /* 2343991 */ GIM_Reject,
     /* 2343992 */ // Label 32731: @2343992
     /* 2343992 */ GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2344025), // Rule ID 2256 //
     /* 2343997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2344000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344018 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344018 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2344023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344024 */   // GIR_Coverage, 2256,
     /* 2344024 */   GIR_Done,
     /* 2344025 */ // Label 32735: @2344025
     /* 2344025 */ GIM_Reject,
     /* 2344026 */ // Label 32732: @2344026
     /* 2344026 */ GIM_Reject,
     /* 2344027 */ // Label 77: @2344027
     /* 2344027 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32739*/ GIMT_Encode4(2344152),
     /* 2344038 */ /*GILLT_s16*//*Label 32736*/ GIMT_Encode4(2344050),
     /* 2344042 */ /*GILLT_s32*//*Label 32737*/ GIMT_Encode4(2344084),
     /* 2344046 */ /*GILLT_s64*//*Label 32738*/ GIMT_Encode4(2344118),
     /* 2344050 */ // Label 32736: @2344050
     /* 2344050 */ GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2344083), // Rule ID 2299 //
     /* 2344055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2344058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2344061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2344064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344076 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2344076 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2344081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344082 */   // GIR_Coverage, 2299,
     /* 2344082 */   GIR_Done,
     /* 2344083 */ // Label 32740: @2344083
     /* 2344083 */ GIM_Reject,
     /* 2344084 */ // Label 32737: @2344084
     /* 2344084 */ GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2344117), // Rule ID 2217 //
     /* 2344089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2344092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344110 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2344110 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2344115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344116 */   // GIR_Coverage, 2217,
     /* 2344116 */   GIR_Done,
     /* 2344117 */ // Label 32741: @2344117
     /* 2344117 */ GIM_Reject,
     /* 2344118 */ // Label 32738: @2344118
     /* 2344118 */ GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2344151), // Rule ID 2257 //
     /* 2344123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2344126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344144 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2344149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344150 */   // GIR_Coverage, 2257,
     /* 2344150 */   GIR_Done,
     /* 2344151 */ // Label 32742: @2344151
     /* 2344151 */ GIM_Reject,
     /* 2344152 */ // Label 32739: @2344152
     /* 2344152 */ GIM_Reject,
     /* 2344153 */ // Label 78: @2344153
     /* 2344153 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32767*/ GIMT_Encode4(2346928),
     /* 2344164 */ /*GILLT_s32*//*Label 32743*/ GIMT_Encode4(2344288),
     /* 2344168 */ /*GILLT_s64*//*Label 32744*/ GIMT_Encode4(2344343), GIMT_Encode4(0),
     /* 2344176 */ /*GILLT_nxv1s8*//*Label 32745*/ GIMT_Encode4(2344398),
     /* 2344180 */ /*GILLT_nxv1s16*//*Label 32746*/ GIMT_Encode4(2344513),
     /* 2344184 */ /*GILLT_nxv1s32*//*Label 32747*/ GIMT_Encode4(2344628),
     /* 2344188 */ /*GILLT_nxv1s64*//*Label 32748*/ GIMT_Encode4(2344743), GIMT_Encode4(0),
     /* 2344196 */ /*GILLT_nxv2s8*//*Label 32749*/ GIMT_Encode4(2344858),
     /* 2344200 */ /*GILLT_nxv2s16*//*Label 32750*/ GIMT_Encode4(2344973),
     /* 2344204 */ /*GILLT_nxv2s32*//*Label 32751*/ GIMT_Encode4(2345088),
     /* 2344208 */ /*GILLT_nxv2s64*//*Label 32752*/ GIMT_Encode4(2345203), GIMT_Encode4(0),
     /* 2344216 */ /*GILLT_nxv4s8*//*Label 32753*/ GIMT_Encode4(2345318),
     /* 2344220 */ /*GILLT_nxv4s16*//*Label 32754*/ GIMT_Encode4(2345433),
     /* 2344224 */ /*GILLT_nxv4s32*//*Label 32755*/ GIMT_Encode4(2345548),
     /* 2344228 */ /*GILLT_nxv4s64*//*Label 32756*/ GIMT_Encode4(2345663), GIMT_Encode4(0),
     /* 2344236 */ /*GILLT_nxv8s8*//*Label 32757*/ GIMT_Encode4(2345778),
     /* 2344240 */ /*GILLT_nxv8s16*//*Label 32758*/ GIMT_Encode4(2345893),
     /* 2344244 */ /*GILLT_nxv8s32*//*Label 32759*/ GIMT_Encode4(2346008),
     /* 2344248 */ /*GILLT_nxv8s64*//*Label 32760*/ GIMT_Encode4(2346123), GIMT_Encode4(0),
     /* 2344256 */ /*GILLT_nxv16s8*//*Label 32761*/ GIMT_Encode4(2346238),
     /* 2344260 */ /*GILLT_nxv16s16*//*Label 32762*/ GIMT_Encode4(2346353),
     /* 2344264 */ /*GILLT_nxv16s32*//*Label 32763*/ GIMT_Encode4(2346468), GIMT_Encode4(0),
     /* 2344272 */ /*GILLT_nxv32s8*//*Label 32764*/ GIMT_Encode4(2346583),
     /* 2344276 */ /*GILLT_nxv32s16*//*Label 32765*/ GIMT_Encode4(2346698), GIMT_Encode4(0),
     /* 2344284 */ /*GILLT_nxv64s8*//*Label 32766*/ GIMT_Encode4(2346813),
     /* 2344288 */ // Label 32743: @2344288
     /* 2344288 */ GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2344342),
     /* 2344293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344311 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2344326), // Rule ID 64375 //
     /* 2344316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2344319 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2344319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2344324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344325 */     // GIR_Coverage, 64375,
     /* 2344325 */     GIR_Done,
     /* 2344326 */   // Label 32769: @2344326
     /* 2344326 */   GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2344341), // Rule ID 2419 //
     /* 2344331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2344334 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2344334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2344339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344340 */     // GIR_Coverage, 2419,
     /* 2344340 */     GIR_Done,
     /* 2344341 */   // Label 32770: @2344341
     /* 2344341 */   GIM_Reject,
     /* 2344342 */ // Label 32768: @2344342
     /* 2344342 */ GIM_Reject,
     /* 2344343 */ // Label 32744: @2344343
     /* 2344343 */ GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2344397),
     /* 2344348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344366 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2344381), // Rule ID 64374 //
     /* 2344371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2344374 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2344374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2344379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344380 */     // GIR_Coverage, 64374,
     /* 2344380 */     GIR_Done,
     /* 2344381 */   // Label 32772: @2344381
     /* 2344381 */   GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2344396), // Rule ID 2418 //
     /* 2344386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2344389 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2344389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2344394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344395 */     // GIR_Coverage, 2418,
     /* 2344395 */     GIR_Done,
     /* 2344396 */   // Label 32773: @2344396
     /* 2344396 */   GIM_Reject,
     /* 2344397 */ // Label 32771: @2344397
     /* 2344397 */ GIM_Reject,
     /* 2344398 */ // Label 32745: @2344398
     /* 2344398 */ GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2344512),
     /* 2344403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2344406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2344409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344421 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2344466), // Rule ID 50466 //
     /* 2344426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344429 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2344432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344465 */     // GIR_Coverage, 50466,
     /* 2344465 */     GIR_EraseRootFromParent_Done,
     /* 2344466 */   // Label 32775: @2344466
     /* 2344466 */   GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2344511), // Rule ID 50467 //
     /* 2344471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344474 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2344477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344510 */     // GIR_Coverage, 50467,
     /* 2344510 */     GIR_EraseRootFromParent_Done,
     /* 2344511 */   // Label 32776: @2344511
     /* 2344511 */   GIM_Reject,
     /* 2344512 */ // Label 32774: @2344512
     /* 2344512 */ GIM_Reject,
     /* 2344513 */ // Label 32746: @2344513
     /* 2344513 */ GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2344627),
     /* 2344518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2344524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344536 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2344581), // Rule ID 50478 //
     /* 2344541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344544 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344580 */     // GIR_Coverage, 50478,
     /* 2344580 */     GIR_EraseRootFromParent_Done,
     /* 2344581 */   // Label 32778: @2344581
     /* 2344581 */   GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2344626), // Rule ID 50479 //
     /* 2344586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344589 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344625 */     // GIR_Coverage, 50479,
     /* 2344625 */     GIR_EraseRootFromParent_Done,
     /* 2344626 */   // Label 32779: @2344626
     /* 2344626 */   GIM_Reject,
     /* 2344627 */ // Label 32777: @2344627
     /* 2344627 */ GIM_Reject,
     /* 2344628 */ // Label 32747: @2344628
     /* 2344628 */ GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2344742),
     /* 2344633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2344639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344651 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2344696), // Rule ID 50486 //
     /* 2344656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344659 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344695 */     // GIR_Coverage, 50486,
     /* 2344695 */     GIR_EraseRootFromParent_Done,
     /* 2344696 */   // Label 32781: @2344696
     /* 2344696 */   GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2344741), // Rule ID 50487 //
     /* 2344701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344704 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344740 */     // GIR_Coverage, 50487,
     /* 2344740 */     GIR_EraseRootFromParent_Done,
     /* 2344741 */   // Label 32782: @2344741
     /* 2344741 */   GIM_Reject,
     /* 2344742 */ // Label 32780: @2344742
     /* 2344742 */ GIM_Reject,
     /* 2344743 */ // Label 32748: @2344743
     /* 2344743 */ GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2344857),
     /* 2344748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2344754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344766 */   GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2344811), // Rule ID 50502 //
     /* 2344771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344774 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344810 */     // GIR_Coverage, 50502,
     /* 2344810 */     GIR_EraseRootFromParent_Done,
     /* 2344811 */   // Label 32784: @2344811
     /* 2344811 */   GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2344856), // Rule ID 50503 //
     /* 2344816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344819 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344855 */     // GIR_Coverage, 50503,
     /* 2344855 */     GIR_EraseRootFromParent_Done,
     /* 2344856 */   // Label 32785: @2344856
     /* 2344856 */   GIM_Reject,
     /* 2344857 */ // Label 32783: @2344857
     /* 2344857 */ GIM_Reject,
     /* 2344858 */ // Label 32749: @2344858
     /* 2344858 */ GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2344972),
     /* 2344863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2344866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344881 */   GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2344926), // Rule ID 50470 //
     /* 2344886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344889 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344925 */     // GIR_Coverage, 50470,
     /* 2344925 */     GIR_EraseRootFromParent_Done,
     /* 2344926 */   // Label 32787: @2344926
     /* 2344926 */   GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2344971), // Rule ID 50471 //
     /* 2344931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344934 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344970 */     // GIR_Coverage, 50471,
     /* 2344970 */     GIR_EraseRootFromParent_Done,
     /* 2344971 */   // Label 32788: @2344971
     /* 2344971 */   GIM_Reject,
     /* 2344972 */ // Label 32786: @2344972
     /* 2344972 */ GIM_Reject,
     /* 2344973 */ // Label 32750: @2344973
     /* 2344973 */ GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2345087),
     /* 2344978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2344981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344996 */   GIM_Try, /*On fail goto*//*Label 32790*/ GIMT_Encode4(2345041), // Rule ID 50482 //
     /* 2345001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345004 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345040 */     // GIR_Coverage, 50482,
     /* 2345040 */     GIR_EraseRootFromParent_Done,
     /* 2345041 */   // Label 32790: @2345041
     /* 2345041 */   GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2345086), // Rule ID 50483 //
     /* 2345046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345049 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345085 */     // GIR_Coverage, 50483,
     /* 2345085 */     GIR_EraseRootFromParent_Done,
     /* 2345086 */   // Label 32791: @2345086
     /* 2345086 */   GIM_Reject,
     /* 2345087 */ // Label 32789: @2345087
     /* 2345087 */ GIM_Reject,
     /* 2345088 */ // Label 32751: @2345088
     /* 2345088 */ GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2345202),
     /* 2345093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345111 */   GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2345156), // Rule ID 50498 //
     /* 2345116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345119 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345155 */     // GIR_Coverage, 50498,
     /* 2345155 */     GIR_EraseRootFromParent_Done,
     /* 2345156 */   // Label 32793: @2345156
     /* 2345156 */   GIM_Try, /*On fail goto*//*Label 32794*/ GIMT_Encode4(2345201), // Rule ID 50499 //
     /* 2345161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345164 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345200 */     // GIR_Coverage, 50499,
     /* 2345200 */     GIR_EraseRootFromParent_Done,
     /* 2345201 */   // Label 32794: @2345201
     /* 2345201 */   GIM_Reject,
     /* 2345202 */ // Label 32792: @2345202
     /* 2345202 */ GIM_Reject,
     /* 2345203 */ // Label 32752: @2345203
     /* 2345203 */ GIM_Try, /*On fail goto*//*Label 32795*/ GIMT_Encode4(2345317),
     /* 2345208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2345211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345226 */   GIM_Try, /*On fail goto*//*Label 32796*/ GIMT_Encode4(2345271), // Rule ID 50542 //
     /* 2345231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345234 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345270 */     // GIR_Coverage, 50542,
     /* 2345270 */     GIR_EraseRootFromParent_Done,
     /* 2345271 */   // Label 32796: @2345271
     /* 2345271 */   GIM_Try, /*On fail goto*//*Label 32797*/ GIMT_Encode4(2345316), // Rule ID 50543 //
     /* 2345276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345279 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345315 */     // GIR_Coverage, 50543,
     /* 2345315 */     GIR_EraseRootFromParent_Done,
     /* 2345316 */   // Label 32797: @2345316
     /* 2345316 */   GIM_Reject,
     /* 2345317 */ // Label 32795: @2345317
     /* 2345317 */ GIM_Reject,
     /* 2345318 */ // Label 32753: @2345318
     /* 2345318 */ GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2345432),
     /* 2345323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2345326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2345329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345341 */   GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2345386), // Rule ID 50474 //
     /* 2345346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345349 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2345352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345385 */     // GIR_Coverage, 50474,
     /* 2345385 */     GIR_EraseRootFromParent_Done,
     /* 2345386 */   // Label 32799: @2345386
     /* 2345386 */   GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2345431), // Rule ID 50475 //
     /* 2345391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345394 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2345397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345430 */     // GIR_Coverage, 50475,
     /* 2345430 */     GIR_EraseRootFromParent_Done,
     /* 2345431 */   // Label 32800: @2345431
     /* 2345431 */   GIM_Reject,
     /* 2345432 */ // Label 32798: @2345432
     /* 2345432 */ GIM_Reject,
     /* 2345433 */ // Label 32754: @2345433
     /* 2345433 */ GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2345547),
     /* 2345438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2345441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2345444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345456 */   GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2345501), // Rule ID 50494 //
     /* 2345461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345464 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345500 */     // GIR_Coverage, 50494,
     /* 2345500 */     GIR_EraseRootFromParent_Done,
     /* 2345501 */   // Label 32802: @2345501
     /* 2345501 */   GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2345546), // Rule ID 50495 //
     /* 2345506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345509 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345545 */     // GIR_Coverage, 50495,
     /* 2345545 */     GIR_EraseRootFromParent_Done,
     /* 2345546 */   // Label 32803: @2345546
     /* 2345546 */   GIM_Reject,
     /* 2345547 */ // Label 32801: @2345547
     /* 2345547 */ GIM_Reject,
     /* 2345548 */ // Label 32755: @2345548
     /* 2345548 */ GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2345662),
     /* 2345553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2345556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2345559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345571 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2345616), // Rule ID 50530 //
     /* 2345576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345579 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345615 */     // GIR_Coverage, 50530,
     /* 2345615 */     GIR_EraseRootFromParent_Done,
     /* 2345616 */   // Label 32805: @2345616
     /* 2345616 */   GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2345661), // Rule ID 50531 //
     /* 2345621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345624 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345660 */     // GIR_Coverage, 50531,
     /* 2345660 */     GIR_EraseRootFromParent_Done,
     /* 2345661 */   // Label 32806: @2345661
     /* 2345661 */   GIM_Reject,
     /* 2345662 */ // Label 32804: @2345662
     /* 2345662 */ GIM_Reject,
     /* 2345663 */ // Label 32756: @2345663
     /* 2345663 */ GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2345777),
     /* 2345668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2345671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2345674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345686 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2345731), // Rule ID 50546 //
     /* 2345691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345694 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345730 */     // GIR_Coverage, 50546,
     /* 2345730 */     GIR_EraseRootFromParent_Done,
     /* 2345731 */   // Label 32808: @2345731
     /* 2345731 */   GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2345776), // Rule ID 50547 //
     /* 2345736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345739 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345775 */     // GIR_Coverage, 50547,
     /* 2345775 */     GIR_EraseRootFromParent_Done,
     /* 2345776 */   // Label 32809: @2345776
     /* 2345776 */   GIM_Reject,
     /* 2345777 */ // Label 32807: @2345777
     /* 2345777 */ GIM_Reject,
     /* 2345778 */ // Label 32757: @2345778
     /* 2345778 */ GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2345892),
     /* 2345783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2345786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2345789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345801 */   GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2345846), // Rule ID 50490 //
     /* 2345806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345809 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345845 */     // GIR_Coverage, 50490,
     /* 2345845 */     GIR_EraseRootFromParent_Done,
     /* 2345846 */   // Label 32811: @2345846
     /* 2345846 */   GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2345891), // Rule ID 50491 //
     /* 2345851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345854 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345890 */     // GIR_Coverage, 50491,
     /* 2345890 */     GIR_EraseRootFromParent_Done,
     /* 2345891 */   // Label 32812: @2345891
     /* 2345891 */   GIM_Reject,
     /* 2345892 */ // Label 32810: @2345892
     /* 2345892 */ GIM_Reject,
     /* 2345893 */ // Label 32758: @2345893
     /* 2345893 */ GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2346007),
     /* 2345898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2345901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2345904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345916 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2345961), // Rule ID 50518 //
     /* 2345921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345924 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345960 */     // GIR_Coverage, 50518,
     /* 2345960 */     GIR_EraseRootFromParent_Done,
     /* 2345961 */   // Label 32814: @2345961
     /* 2345961 */   GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2346006), // Rule ID 50519 //
     /* 2345966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345969 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346005 */     // GIR_Coverage, 50519,
     /* 2346005 */     GIR_EraseRootFromParent_Done,
     /* 2346006 */   // Label 32815: @2346006
     /* 2346006 */   GIM_Reject,
     /* 2346007 */ // Label 32813: @2346007
     /* 2346007 */ GIM_Reject,
     /* 2346008 */ // Label 32759: @2346008
     /* 2346008 */ GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2346122),
     /* 2346013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2346016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2346019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346031 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2346076), // Rule ID 50534 //
     /* 2346036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346039 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2346042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346075 */     // GIR_Coverage, 50534,
     /* 2346075 */     GIR_EraseRootFromParent_Done,
     /* 2346076 */   // Label 32817: @2346076
     /* 2346076 */   GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2346121), // Rule ID 50535 //
     /* 2346081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346084 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2346087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346120 */     // GIR_Coverage, 50535,
     /* 2346120 */     GIR_EraseRootFromParent_Done,
     /* 2346121 */   // Label 32818: @2346121
     /* 2346121 */   GIM_Reject,
     /* 2346122 */ // Label 32816: @2346122
     /* 2346122 */ GIM_Reject,
     /* 2346123 */ // Label 32760: @2346123
     /* 2346123 */ GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2346237),
     /* 2346128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2346131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2346134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346146 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2346191), // Rule ID 50550 //
     /* 2346151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346154 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2346157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346190 */     // GIR_Coverage, 50550,
     /* 2346190 */     GIR_EraseRootFromParent_Done,
     /* 2346191 */   // Label 32820: @2346191
     /* 2346191 */   GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2346236), // Rule ID 50551 //
     /* 2346196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346199 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2346202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346235 */     // GIR_Coverage, 50551,
     /* 2346235 */     GIR_EraseRootFromParent_Done,
     /* 2346236 */   // Label 32821: @2346236
     /* 2346236 */   GIM_Reject,
     /* 2346237 */ // Label 32819: @2346237
     /* 2346237 */ GIM_Reject,
     /* 2346238 */ // Label 32761: @2346238
     /* 2346238 */ GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2346352),
     /* 2346243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2346246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2346249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346261 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2346306), // Rule ID 50506 //
     /* 2346266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346269 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2346272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2346286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346305 */     // GIR_Coverage, 50506,
     /* 2346305 */     GIR_EraseRootFromParent_Done,
     /* 2346306 */   // Label 32823: @2346306
     /* 2346306 */   GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2346351), // Rule ID 50507 //
     /* 2346311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346314 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2346317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2346331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346350 */     // GIR_Coverage, 50507,
     /* 2346350 */     GIR_EraseRootFromParent_Done,
     /* 2346351 */   // Label 32824: @2346351
     /* 2346351 */   GIM_Reject,
     /* 2346352 */ // Label 32822: @2346352
     /* 2346352 */ GIM_Reject,
     /* 2346353 */ // Label 32762: @2346353
     /* 2346353 */ GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2346467),
     /* 2346358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2346361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2346364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346376 */   GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2346421), // Rule ID 50522 //
     /* 2346381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346384 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2346387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346420 */     // GIR_Coverage, 50522,
     /* 2346420 */     GIR_EraseRootFromParent_Done,
     /* 2346421 */   // Label 32826: @2346421
     /* 2346421 */   GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2346466), // Rule ID 50523 //
     /* 2346426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346429 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2346432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346465 */     // GIR_Coverage, 50523,
     /* 2346465 */     GIR_EraseRootFromParent_Done,
     /* 2346466 */   // Label 32827: @2346466
     /* 2346466 */   GIM_Reject,
     /* 2346467 */ // Label 32825: @2346467
     /* 2346467 */ GIM_Reject,
     /* 2346468 */ // Label 32763: @2346468
     /* 2346468 */ GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2346582),
     /* 2346473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2346476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2346479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346491 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2346536), // Rule ID 50538 //
     /* 2346496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346499 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346535 */     // GIR_Coverage, 50538,
     /* 2346535 */     GIR_EraseRootFromParent_Done,
     /* 2346536 */   // Label 32829: @2346536
     /* 2346536 */   GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2346581), // Rule ID 50539 //
     /* 2346541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346544 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346580 */     // GIR_Coverage, 50539,
     /* 2346580 */     GIR_EraseRootFromParent_Done,
     /* 2346581 */   // Label 32830: @2346581
     /* 2346581 */   GIM_Reject,
     /* 2346582 */ // Label 32828: @2346582
     /* 2346582 */ GIM_Reject,
     /* 2346583 */ // Label 32764: @2346583
     /* 2346583 */ GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2346697),
     /* 2346588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2346591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2346594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346606 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2346651), // Rule ID 50510 //
     /* 2346611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346614 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346650 */     // GIR_Coverage, 50510,
     /* 2346650 */     GIR_EraseRootFromParent_Done,
     /* 2346651 */   // Label 32832: @2346651
     /* 2346651 */   GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2346696), // Rule ID 50511 //
     /* 2346656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346659 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346695 */     // GIR_Coverage, 50511,
     /* 2346695 */     GIR_EraseRootFromParent_Done,
     /* 2346696 */   // Label 32833: @2346696
     /* 2346696 */   GIM_Reject,
     /* 2346697 */ // Label 32831: @2346697
     /* 2346697 */ GIM_Reject,
     /* 2346698 */ // Label 32765: @2346698
     /* 2346698 */ GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2346812),
     /* 2346703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2346706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2346709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346721 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2346766), // Rule ID 50526 //
     /* 2346726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346729 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346765 */     // GIR_Coverage, 50526,
     /* 2346765 */     GIR_EraseRootFromParent_Done,
     /* 2346766 */   // Label 32835: @2346766
     /* 2346766 */   GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2346811), // Rule ID 50527 //
     /* 2346771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346774 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346810 */     // GIR_Coverage, 50527,
     /* 2346810 */     GIR_EraseRootFromParent_Done,
     /* 2346811 */   // Label 32836: @2346811
     /* 2346811 */   GIM_Reject,
     /* 2346812 */ // Label 32834: @2346812
     /* 2346812 */ GIM_Reject,
     /* 2346813 */ // Label 32766: @2346813
     /* 2346813 */ GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2346927),
     /* 2346818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2346821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2346824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346836 */   GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2346881), // Rule ID 50514 //
     /* 2346841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346844 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346880 */     // GIR_Coverage, 50514,
     /* 2346880 */     GIR_EraseRootFromParent_Done,
     /* 2346881 */   // Label 32838: @2346881
     /* 2346881 */   GIM_Try, /*On fail goto*//*Label 32839*/ GIMT_Encode4(2346926), // Rule ID 50515 //
     /* 2346886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346889 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346925 */     // GIR_Coverage, 50515,
     /* 2346925 */     GIR_EraseRootFromParent_Done,
     /* 2346926 */   // Label 32839: @2346926
     /* 2346926 */   GIM_Reject,
     /* 2346927 */ // Label 32837: @2346927
     /* 2346927 */ GIM_Reject,
     /* 2346928 */ // Label 32767: @2346928
     /* 2346928 */ GIM_Reject,
     /* 2346929 */ // Label 79: @2346929
     /* 2346929 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32864*/ GIMT_Encode4(2349704),
     /* 2346940 */ /*GILLT_s32*//*Label 32840*/ GIMT_Encode4(2347064),
     /* 2346944 */ /*GILLT_s64*//*Label 32841*/ GIMT_Encode4(2347119), GIMT_Encode4(0),
     /* 2346952 */ /*GILLT_nxv1s8*//*Label 32842*/ GIMT_Encode4(2347174),
     /* 2346956 */ /*GILLT_nxv1s16*//*Label 32843*/ GIMT_Encode4(2347289),
     /* 2346960 */ /*GILLT_nxv1s32*//*Label 32844*/ GIMT_Encode4(2347404),
     /* 2346964 */ /*GILLT_nxv1s64*//*Label 32845*/ GIMT_Encode4(2347519), GIMT_Encode4(0),
     /* 2346972 */ /*GILLT_nxv2s8*//*Label 32846*/ GIMT_Encode4(2347634),
     /* 2346976 */ /*GILLT_nxv2s16*//*Label 32847*/ GIMT_Encode4(2347749),
     /* 2346980 */ /*GILLT_nxv2s32*//*Label 32848*/ GIMT_Encode4(2347864),
     /* 2346984 */ /*GILLT_nxv2s64*//*Label 32849*/ GIMT_Encode4(2347979), GIMT_Encode4(0),
     /* 2346992 */ /*GILLT_nxv4s8*//*Label 32850*/ GIMT_Encode4(2348094),
     /* 2346996 */ /*GILLT_nxv4s16*//*Label 32851*/ GIMT_Encode4(2348209),
     /* 2347000 */ /*GILLT_nxv4s32*//*Label 32852*/ GIMT_Encode4(2348324),
     /* 2347004 */ /*GILLT_nxv4s64*//*Label 32853*/ GIMT_Encode4(2348439), GIMT_Encode4(0),
     /* 2347012 */ /*GILLT_nxv8s8*//*Label 32854*/ GIMT_Encode4(2348554),
     /* 2347016 */ /*GILLT_nxv8s16*//*Label 32855*/ GIMT_Encode4(2348669),
     /* 2347020 */ /*GILLT_nxv8s32*//*Label 32856*/ GIMT_Encode4(2348784),
     /* 2347024 */ /*GILLT_nxv8s64*//*Label 32857*/ GIMT_Encode4(2348899), GIMT_Encode4(0),
     /* 2347032 */ /*GILLT_nxv16s8*//*Label 32858*/ GIMT_Encode4(2349014),
     /* 2347036 */ /*GILLT_nxv16s16*//*Label 32859*/ GIMT_Encode4(2349129),
     /* 2347040 */ /*GILLT_nxv16s32*//*Label 32860*/ GIMT_Encode4(2349244), GIMT_Encode4(0),
     /* 2347048 */ /*GILLT_nxv32s8*//*Label 32861*/ GIMT_Encode4(2349359),
     /* 2347052 */ /*GILLT_nxv32s16*//*Label 32862*/ GIMT_Encode4(2349474), GIMT_Encode4(0),
     /* 2347060 */ /*GILLT_nxv64s8*//*Label 32863*/ GIMT_Encode4(2349589),
     /* 2347064 */ // Label 32840: @2347064
     /* 2347064 */ GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2347118),
     /* 2347069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2347072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2347075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347087 */   GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2347102), // Rule ID 64379 //
     /* 2347092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2347095 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2347095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2347100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347101 */     // GIR_Coverage, 64379,
     /* 2347101 */     GIR_Done,
     /* 2347102 */   // Label 32866: @2347102
     /* 2347102 */   GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2347117), // Rule ID 2421 //
     /* 2347107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2347110 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2347110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2347115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347116 */     // GIR_Coverage, 2421,
     /* 2347116 */     GIR_Done,
     /* 2347117 */   // Label 32867: @2347117
     /* 2347117 */   GIM_Reject,
     /* 2347118 */ // Label 32865: @2347118
     /* 2347118 */ GIM_Reject,
     /* 2347119 */ // Label 32841: @2347119
     /* 2347119 */ GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2347173),
     /* 2347124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2347127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2347130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347142 */   GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2347157), // Rule ID 64378 //
     /* 2347147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2347150 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2347150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2347155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347156 */     // GIR_Coverage, 64378,
     /* 2347156 */     GIR_Done,
     /* 2347157 */   // Label 32869: @2347157
     /* 2347157 */   GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2347172), // Rule ID 2420 //
     /* 2347162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2347165 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2347165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2347170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347171 */     // GIR_Coverage, 2420,
     /* 2347171 */     GIR_Done,
     /* 2347172 */   // Label 32870: @2347172
     /* 2347172 */   GIM_Reject,
     /* 2347173 */ // Label 32868: @2347173
     /* 2347173 */ GIM_Reject,
     /* 2347174 */ // Label 32842: @2347174
     /* 2347174 */ GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2347288),
     /* 2347179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2347182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2347185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347197 */   GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2347242), // Rule ID 50642 //
     /* 2347202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347205 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2347208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2347222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347241 */     // GIR_Coverage, 50642,
     /* 2347241 */     GIR_EraseRootFromParent_Done,
     /* 2347242 */   // Label 32872: @2347242
     /* 2347242 */   GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2347287), // Rule ID 50643 //
     /* 2347247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347250 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2347253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2347267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347286 */     // GIR_Coverage, 50643,
     /* 2347286 */     GIR_EraseRootFromParent_Done,
     /* 2347287 */   // Label 32873: @2347287
     /* 2347287 */   GIM_Reject,
     /* 2347288 */ // Label 32871: @2347288
     /* 2347288 */ GIM_Reject,
     /* 2347289 */ // Label 32843: @2347289
     /* 2347289 */ GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2347403),
     /* 2347294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2347297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2347300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347312 */   GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2347357), // Rule ID 50654 //
     /* 2347317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347320 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2347323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347356 */     // GIR_Coverage, 50654,
     /* 2347356 */     GIR_EraseRootFromParent_Done,
     /* 2347357 */   // Label 32875: @2347357
     /* 2347357 */   GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2347402), // Rule ID 50655 //
     /* 2347362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347365 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2347368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347401 */     // GIR_Coverage, 50655,
     /* 2347401 */     GIR_EraseRootFromParent_Done,
     /* 2347402 */   // Label 32876: @2347402
     /* 2347402 */   GIM_Reject,
     /* 2347403 */ // Label 32874: @2347403
     /* 2347403 */ GIM_Reject,
     /* 2347404 */ // Label 32844: @2347404
     /* 2347404 */ GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2347518),
     /* 2347409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2347412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2347415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347427 */   GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2347472), // Rule ID 50662 //
     /* 2347432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347435 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2347438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347471 */     // GIR_Coverage, 50662,
     /* 2347471 */     GIR_EraseRootFromParent_Done,
     /* 2347472 */   // Label 32878: @2347472
     /* 2347472 */   GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2347517), // Rule ID 50663 //
     /* 2347477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347480 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2347483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347516 */     // GIR_Coverage, 50663,
     /* 2347516 */     GIR_EraseRootFromParent_Done,
     /* 2347517 */   // Label 32879: @2347517
     /* 2347517 */   GIM_Reject,
     /* 2347518 */ // Label 32877: @2347518
     /* 2347518 */ GIM_Reject,
     /* 2347519 */ // Label 32845: @2347519
     /* 2347519 */ GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2347633),
     /* 2347524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2347527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2347530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347542 */   GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2347587), // Rule ID 50678 //
     /* 2347547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347550 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347586 */     // GIR_Coverage, 50678,
     /* 2347586 */     GIR_EraseRootFromParent_Done,
     /* 2347587 */   // Label 32881: @2347587
     /* 2347587 */   GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2347632), // Rule ID 50679 //
     /* 2347592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347595 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347631 */     // GIR_Coverage, 50679,
     /* 2347631 */     GIR_EraseRootFromParent_Done,
     /* 2347632 */   // Label 32882: @2347632
     /* 2347632 */   GIM_Reject,
     /* 2347633 */ // Label 32880: @2347633
     /* 2347633 */ GIM_Reject,
     /* 2347634 */ // Label 32846: @2347634
     /* 2347634 */ GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2347748),
     /* 2347639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2347642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2347645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347657 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2347702), // Rule ID 50646 //
     /* 2347662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347665 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347701 */     // GIR_Coverage, 50646,
     /* 2347701 */     GIR_EraseRootFromParent_Done,
     /* 2347702 */   // Label 32884: @2347702
     /* 2347702 */   GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2347747), // Rule ID 50647 //
     /* 2347707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347710 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347746 */     // GIR_Coverage, 50647,
     /* 2347746 */     GIR_EraseRootFromParent_Done,
     /* 2347747 */   // Label 32885: @2347747
     /* 2347747 */   GIM_Reject,
     /* 2347748 */ // Label 32883: @2347748
     /* 2347748 */ GIM_Reject,
     /* 2347749 */ // Label 32847: @2347749
     /* 2347749 */ GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2347863),
     /* 2347754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2347757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2347760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347772 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2347817), // Rule ID 50658 //
     /* 2347777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347780 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347816 */     // GIR_Coverage, 50658,
     /* 2347816 */     GIR_EraseRootFromParent_Done,
     /* 2347817 */   // Label 32887: @2347817
     /* 2347817 */   GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2347862), // Rule ID 50659 //
     /* 2347822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347825 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347861 */     // GIR_Coverage, 50659,
     /* 2347861 */     GIR_EraseRootFromParent_Done,
     /* 2347862 */   // Label 32888: @2347862
     /* 2347862 */   GIM_Reject,
     /* 2347863 */ // Label 32886: @2347863
     /* 2347863 */ GIM_Reject,
     /* 2347864 */ // Label 32848: @2347864
     /* 2347864 */ GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2347978),
     /* 2347869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2347872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2347875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347887 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2347932), // Rule ID 50674 //
     /* 2347892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347895 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347931 */     // GIR_Coverage, 50674,
     /* 2347931 */     GIR_EraseRootFromParent_Done,
     /* 2347932 */   // Label 32890: @2347932
     /* 2347932 */   GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2347977), // Rule ID 50675 //
     /* 2347937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347940 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347976 */     // GIR_Coverage, 50675,
     /* 2347976 */     GIR_EraseRootFromParent_Done,
     /* 2347977 */   // Label 32891: @2347977
     /* 2347977 */   GIM_Reject,
     /* 2347978 */ // Label 32889: @2347978
     /* 2347978 */ GIM_Reject,
     /* 2347979 */ // Label 32849: @2347979
     /* 2347979 */ GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2348093),
     /* 2347984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2347987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348002 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2348047), // Rule ID 50718 //
     /* 2348007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348010 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2348013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348046 */     // GIR_Coverage, 50718,
     /* 2348046 */     GIR_EraseRootFromParent_Done,
     /* 2348047 */   // Label 32893: @2348047
     /* 2348047 */   GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2348092), // Rule ID 50719 //
     /* 2348052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348055 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2348058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348091 */     // GIR_Coverage, 50719,
     /* 2348091 */     GIR_EraseRootFromParent_Done,
     /* 2348092 */   // Label 32894: @2348092
     /* 2348092 */   GIM_Reject,
     /* 2348093 */ // Label 32892: @2348093
     /* 2348093 */ GIM_Reject,
     /* 2348094 */ // Label 32850: @2348094
     /* 2348094 */ GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2348208),
     /* 2348099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2348102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2348105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348117 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2348162), // Rule ID 50650 //
     /* 2348122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348125 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2348128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2348142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348161 */     // GIR_Coverage, 50650,
     /* 2348161 */     GIR_EraseRootFromParent_Done,
     /* 2348162 */   // Label 32896: @2348162
     /* 2348162 */   GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2348207), // Rule ID 50651 //
     /* 2348167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348170 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2348173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2348187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348206 */     // GIR_Coverage, 50651,
     /* 2348206 */     GIR_EraseRootFromParent_Done,
     /* 2348207 */   // Label 32897: @2348207
     /* 2348207 */   GIM_Reject,
     /* 2348208 */ // Label 32895: @2348208
     /* 2348208 */ GIM_Reject,
     /* 2348209 */ // Label 32851: @2348209
     /* 2348209 */ GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2348323),
     /* 2348214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2348217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348232 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2348277), // Rule ID 50670 //
     /* 2348237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348240 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2348243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348276 */     // GIR_Coverage, 50670,
     /* 2348276 */     GIR_EraseRootFromParent_Done,
     /* 2348277 */   // Label 32899: @2348277
     /* 2348277 */   GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2348322), // Rule ID 50671 //
     /* 2348282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348285 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2348288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348321 */     // GIR_Coverage, 50671,
     /* 2348321 */     GIR_EraseRootFromParent_Done,
     /* 2348322 */   // Label 32900: @2348322
     /* 2348322 */   GIM_Reject,
     /* 2348323 */ // Label 32898: @2348323
     /* 2348323 */ GIM_Reject,
     /* 2348324 */ // Label 32852: @2348324
     /* 2348324 */ GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2348438),
     /* 2348329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2348332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348347 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2348392), // Rule ID 50706 //
     /* 2348352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348355 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2348358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348391 */     // GIR_Coverage, 50706,
     /* 2348391 */     GIR_EraseRootFromParent_Done,
     /* 2348392 */   // Label 32902: @2348392
     /* 2348392 */   GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2348437), // Rule ID 50707 //
     /* 2348397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348400 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2348403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348436 */     // GIR_Coverage, 50707,
     /* 2348436 */     GIR_EraseRootFromParent_Done,
     /* 2348437 */   // Label 32903: @2348437
     /* 2348437 */   GIM_Reject,
     /* 2348438 */ // Label 32901: @2348438
     /* 2348438 */ GIM_Reject,
     /* 2348439 */ // Label 32853: @2348439
     /* 2348439 */ GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2348553),
     /* 2348444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2348447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348462 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2348507), // Rule ID 50722 //
     /* 2348467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348470 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348506 */     // GIR_Coverage, 50722,
     /* 2348506 */     GIR_EraseRootFromParent_Done,
     /* 2348507 */   // Label 32905: @2348507
     /* 2348507 */   GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2348552), // Rule ID 50723 //
     /* 2348512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348515 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348551 */     // GIR_Coverage, 50723,
     /* 2348551 */     GIR_EraseRootFromParent_Done,
     /* 2348552 */   // Label 32906: @2348552
     /* 2348552 */   GIM_Reject,
     /* 2348553 */ // Label 32904: @2348553
     /* 2348553 */ GIM_Reject,
     /* 2348554 */ // Label 32854: @2348554
     /* 2348554 */ GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2348668),
     /* 2348559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2348562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2348565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348577 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2348622), // Rule ID 50666 //
     /* 2348582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348585 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348621 */     // GIR_Coverage, 50666,
     /* 2348621 */     GIR_EraseRootFromParent_Done,
     /* 2348622 */   // Label 32908: @2348622
     /* 2348622 */   GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2348667), // Rule ID 50667 //
     /* 2348627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348630 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348666 */     // GIR_Coverage, 50667,
     /* 2348666 */     GIR_EraseRootFromParent_Done,
     /* 2348667 */   // Label 32909: @2348667
     /* 2348667 */   GIM_Reject,
     /* 2348668 */ // Label 32907: @2348668
     /* 2348668 */ GIM_Reject,
     /* 2348669 */ // Label 32855: @2348669
     /* 2348669 */ GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2348783),
     /* 2348674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2348680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348692 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2348737), // Rule ID 50694 //
     /* 2348697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348700 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348736 */     // GIR_Coverage, 50694,
     /* 2348736 */     GIR_EraseRootFromParent_Done,
     /* 2348737 */   // Label 32911: @2348737
     /* 2348737 */   GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2348782), // Rule ID 50695 //
     /* 2348742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348745 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348781 */     // GIR_Coverage, 50695,
     /* 2348781 */     GIR_EraseRootFromParent_Done,
     /* 2348782 */   // Label 32912: @2348782
     /* 2348782 */   GIM_Reject,
     /* 2348783 */ // Label 32910: @2348783
     /* 2348783 */ GIM_Reject,
     /* 2348784 */ // Label 32856: @2348784
     /* 2348784 */ GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2348898),
     /* 2348789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2348795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348807 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2348852), // Rule ID 50710 //
     /* 2348812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348815 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348851 */     // GIR_Coverage, 50710,
     /* 2348851 */     GIR_EraseRootFromParent_Done,
     /* 2348852 */   // Label 32914: @2348852
     /* 2348852 */   GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2348897), // Rule ID 50711 //
     /* 2348857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348860 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348896 */     // GIR_Coverage, 50711,
     /* 2348896 */     GIR_EraseRootFromParent_Done,
     /* 2348897 */   // Label 32915: @2348897
     /* 2348897 */   GIM_Reject,
     /* 2348898 */ // Label 32913: @2348898
     /* 2348898 */ GIM_Reject,
     /* 2348899 */ // Label 32857: @2348899
     /* 2348899 */ GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2349013),
     /* 2348904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2348910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348922 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2348967), // Rule ID 50726 //
     /* 2348927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348930 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348966 */     // GIR_Coverage, 50726,
     /* 2348966 */     GIR_EraseRootFromParent_Done,
     /* 2348967 */   // Label 32917: @2348967
     /* 2348967 */   GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2349012), // Rule ID 50727 //
     /* 2348972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348975 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349011 */     // GIR_Coverage, 50727,
     /* 2349011 */     GIR_EraseRootFromParent_Done,
     /* 2349012 */   // Label 32918: @2349012
     /* 2349012 */   GIM_Reject,
     /* 2349013 */ // Label 32916: @2349013
     /* 2349013 */ GIM_Reject,
     /* 2349014 */ // Label 32858: @2349014
     /* 2349014 */ GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2349128),
     /* 2349019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2349022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2349025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349037 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2349082), // Rule ID 50682 //
     /* 2349042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349045 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2349048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2349062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349081 */     // GIR_Coverage, 50682,
     /* 2349081 */     GIR_EraseRootFromParent_Done,
     /* 2349082 */   // Label 32920: @2349082
     /* 2349082 */   GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2349127), // Rule ID 50683 //
     /* 2349087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349090 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2349093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2349107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349126 */     // GIR_Coverage, 50683,
     /* 2349126 */     GIR_EraseRootFromParent_Done,
     /* 2349127 */   // Label 32921: @2349127
     /* 2349127 */   GIM_Reject,
     /* 2349128 */ // Label 32919: @2349128
     /* 2349128 */ GIM_Reject,
     /* 2349129 */ // Label 32859: @2349129
     /* 2349129 */ GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2349243),
     /* 2349134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2349137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2349140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349152 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2349197), // Rule ID 50698 //
     /* 2349157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349160 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349196 */     // GIR_Coverage, 50698,
     /* 2349196 */     GIR_EraseRootFromParent_Done,
     /* 2349197 */   // Label 32923: @2349197
     /* 2349197 */   GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2349242), // Rule ID 50699 //
     /* 2349202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349205 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349241 */     // GIR_Coverage, 50699,
     /* 2349241 */     GIR_EraseRootFromParent_Done,
     /* 2349242 */   // Label 32924: @2349242
     /* 2349242 */   GIM_Reject,
     /* 2349243 */ // Label 32922: @2349243
     /* 2349243 */ GIM_Reject,
     /* 2349244 */ // Label 32860: @2349244
     /* 2349244 */ GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2349358),
     /* 2349249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2349252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2349255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349267 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2349312), // Rule ID 50714 //
     /* 2349272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349275 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349311 */     // GIR_Coverage, 50714,
     /* 2349311 */     GIR_EraseRootFromParent_Done,
     /* 2349312 */   // Label 32926: @2349312
     /* 2349312 */   GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2349357), // Rule ID 50715 //
     /* 2349317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349320 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349356 */     // GIR_Coverage, 50715,
     /* 2349356 */     GIR_EraseRootFromParent_Done,
     /* 2349357 */   // Label 32927: @2349357
     /* 2349357 */   GIM_Reject,
     /* 2349358 */ // Label 32925: @2349358
     /* 2349358 */ GIM_Reject,
     /* 2349359 */ // Label 32861: @2349359
     /* 2349359 */ GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2349473),
     /* 2349364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2349367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2349370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349382 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2349427), // Rule ID 50686 //
     /* 2349387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349390 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2349393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349426 */     // GIR_Coverage, 50686,
     /* 2349426 */     GIR_EraseRootFromParent_Done,
     /* 2349427 */   // Label 32929: @2349427
     /* 2349427 */   GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2349472), // Rule ID 50687 //
     /* 2349432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349435 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2349438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349471 */     // GIR_Coverage, 50687,
     /* 2349471 */     GIR_EraseRootFromParent_Done,
     /* 2349472 */   // Label 32930: @2349472
     /* 2349472 */   GIM_Reject,
     /* 2349473 */ // Label 32928: @2349473
     /* 2349473 */ GIM_Reject,
     /* 2349474 */ // Label 32862: @2349474
     /* 2349474 */ GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2349588),
     /* 2349479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2349482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2349485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349497 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2349542), // Rule ID 50702 //
     /* 2349502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349505 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349541 */     // GIR_Coverage, 50702,
     /* 2349541 */     GIR_EraseRootFromParent_Done,
     /* 2349542 */   // Label 32932: @2349542
     /* 2349542 */   GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2349587), // Rule ID 50703 //
     /* 2349547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349550 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349586 */     // GIR_Coverage, 50703,
     /* 2349586 */     GIR_EraseRootFromParent_Done,
     /* 2349587 */   // Label 32933: @2349587
     /* 2349587 */   GIM_Reject,
     /* 2349588 */ // Label 32931: @2349588
     /* 2349588 */ GIM_Reject,
     /* 2349589 */ // Label 32863: @2349589
     /* 2349589 */ GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2349703),
     /* 2349594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2349597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2349600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349612 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2349657), // Rule ID 50690 //
     /* 2349617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349620 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349656 */     // GIR_Coverage, 50690,
     /* 2349656 */     GIR_EraseRootFromParent_Done,
     /* 2349657 */   // Label 32935: @2349657
     /* 2349657 */   GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2349702), // Rule ID 50691 //
     /* 2349662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349665 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349701 */     // GIR_Coverage, 50691,
     /* 2349701 */     GIR_EraseRootFromParent_Done,
     /* 2349702 */   // Label 32936: @2349702
     /* 2349702 */   GIM_Reject,
     /* 2349703 */ // Label 32934: @2349703
     /* 2349703 */ GIM_Reject,
     /* 2349704 */ // Label 32864: @2349704
     /* 2349704 */ GIM_Reject,
     /* 2349705 */ // Label 80: @2349705
     /* 2349705 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32961*/ GIMT_Encode4(2352480),
     /* 2349716 */ /*GILLT_s32*//*Label 32937*/ GIMT_Encode4(2349840),
     /* 2349720 */ /*GILLT_s64*//*Label 32938*/ GIMT_Encode4(2349895), GIMT_Encode4(0),
     /* 2349728 */ /*GILLT_nxv1s8*//*Label 32939*/ GIMT_Encode4(2349950),
     /* 2349732 */ /*GILLT_nxv1s16*//*Label 32940*/ GIMT_Encode4(2350065),
     /* 2349736 */ /*GILLT_nxv1s32*//*Label 32941*/ GIMT_Encode4(2350180),
     /* 2349740 */ /*GILLT_nxv1s64*//*Label 32942*/ GIMT_Encode4(2350295), GIMT_Encode4(0),
     /* 2349748 */ /*GILLT_nxv2s8*//*Label 32943*/ GIMT_Encode4(2350410),
     /* 2349752 */ /*GILLT_nxv2s16*//*Label 32944*/ GIMT_Encode4(2350525),
     /* 2349756 */ /*GILLT_nxv2s32*//*Label 32945*/ GIMT_Encode4(2350640),
     /* 2349760 */ /*GILLT_nxv2s64*//*Label 32946*/ GIMT_Encode4(2350755), GIMT_Encode4(0),
     /* 2349768 */ /*GILLT_nxv4s8*//*Label 32947*/ GIMT_Encode4(2350870),
     /* 2349772 */ /*GILLT_nxv4s16*//*Label 32948*/ GIMT_Encode4(2350985),
     /* 2349776 */ /*GILLT_nxv4s32*//*Label 32949*/ GIMT_Encode4(2351100),
     /* 2349780 */ /*GILLT_nxv4s64*//*Label 32950*/ GIMT_Encode4(2351215), GIMT_Encode4(0),
     /* 2349788 */ /*GILLT_nxv8s8*//*Label 32951*/ GIMT_Encode4(2351330),
     /* 2349792 */ /*GILLT_nxv8s16*//*Label 32952*/ GIMT_Encode4(2351445),
     /* 2349796 */ /*GILLT_nxv8s32*//*Label 32953*/ GIMT_Encode4(2351560),
     /* 2349800 */ /*GILLT_nxv8s64*//*Label 32954*/ GIMT_Encode4(2351675), GIMT_Encode4(0),
     /* 2349808 */ /*GILLT_nxv16s8*//*Label 32955*/ GIMT_Encode4(2351790),
     /* 2349812 */ /*GILLT_nxv16s16*//*Label 32956*/ GIMT_Encode4(2351905),
     /* 2349816 */ /*GILLT_nxv16s32*//*Label 32957*/ GIMT_Encode4(2352020), GIMT_Encode4(0),
     /* 2349824 */ /*GILLT_nxv32s8*//*Label 32958*/ GIMT_Encode4(2352135),
     /* 2349828 */ /*GILLT_nxv32s16*//*Label 32959*/ GIMT_Encode4(2352250), GIMT_Encode4(0),
     /* 2349836 */ /*GILLT_nxv64s8*//*Label 32960*/ GIMT_Encode4(2352365),
     /* 2349840 */ // Label 32937: @2349840
     /* 2349840 */ GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2349894),
     /* 2349845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2349851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349863 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2349878), // Rule ID 64377 //
     /* 2349868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2349871 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349871 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349877 */     // GIR_Coverage, 64377,
     /* 2349877 */     GIR_Done,
     /* 2349878 */   // Label 32963: @2349878
     /* 2349878 */   GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2349893), // Rule ID 2423 //
     /* 2349883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2349886 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349892 */     // GIR_Coverage, 2423,
     /* 2349892 */     GIR_Done,
     /* 2349893 */   // Label 32964: @2349893
     /* 2349893 */   GIM_Reject,
     /* 2349894 */ // Label 32962: @2349894
     /* 2349894 */ GIM_Reject,
     /* 2349895 */ // Label 32938: @2349895
     /* 2349895 */ GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2349949),
     /* 2349900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2349906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349918 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2349933), // Rule ID 64376 //
     /* 2349923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2349926 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349926 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349932 */     // GIR_Coverage, 64376,
     /* 2349932 */     GIR_Done,
     /* 2349933 */   // Label 32966: @2349933
     /* 2349933 */   GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2349948), // Rule ID 2422 //
     /* 2349938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2349941 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349947 */     // GIR_Coverage, 2422,
     /* 2349947 */     GIR_Done,
     /* 2349948 */   // Label 32967: @2349948
     /* 2349948 */   GIM_Reject,
     /* 2349949 */ // Label 32965: @2349949
     /* 2349949 */ GIM_Reject,
     /* 2349950 */ // Label 32939: @2349950
     /* 2349950 */ GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2350064),
     /* 2349955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2349958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2349961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349973 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2350018), // Rule ID 50378 //
     /* 2349978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349981 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2349998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350017 */     // GIR_Coverage, 50378,
     /* 2350017 */     GIR_EraseRootFromParent_Done,
     /* 2350018 */   // Label 32969: @2350018
     /* 2350018 */   GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2350063), // Rule ID 50379 //
     /* 2350023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350026 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2350029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2350043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350062 */     // GIR_Coverage, 50379,
     /* 2350062 */     GIR_EraseRootFromParent_Done,
     /* 2350063 */   // Label 32970: @2350063
     /* 2350063 */   GIM_Reject,
     /* 2350064 */ // Label 32968: @2350064
     /* 2350064 */ GIM_Reject,
     /* 2350065 */ // Label 32940: @2350065
     /* 2350065 */ GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2350179),
     /* 2350070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2350073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2350076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350088 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2350133), // Rule ID 50390 //
     /* 2350093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350096 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350132 */     // GIR_Coverage, 50390,
     /* 2350132 */     GIR_EraseRootFromParent_Done,
     /* 2350133 */   // Label 32972: @2350133
     /* 2350133 */   GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2350178), // Rule ID 50391 //
     /* 2350138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350141 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350177 */     // GIR_Coverage, 50391,
     /* 2350177 */     GIR_EraseRootFromParent_Done,
     /* 2350178 */   // Label 32973: @2350178
     /* 2350178 */   GIM_Reject,
     /* 2350179 */ // Label 32971: @2350179
     /* 2350179 */ GIM_Reject,
     /* 2350180 */ // Label 32941: @2350180
     /* 2350180 */ GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2350294),
     /* 2350185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2350188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2350191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350203 */   GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2350248), // Rule ID 50398 //
     /* 2350208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350211 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350247 */     // GIR_Coverage, 50398,
     /* 2350247 */     GIR_EraseRootFromParent_Done,
     /* 2350248 */   // Label 32975: @2350248
     /* 2350248 */   GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2350293), // Rule ID 50399 //
     /* 2350253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350256 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350292 */     // GIR_Coverage, 50399,
     /* 2350292 */     GIR_EraseRootFromParent_Done,
     /* 2350293 */   // Label 32976: @2350293
     /* 2350293 */   GIM_Reject,
     /* 2350294 */ // Label 32974: @2350294
     /* 2350294 */ GIM_Reject,
     /* 2350295 */ // Label 32942: @2350295
     /* 2350295 */ GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2350409),
     /* 2350300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2350303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2350306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350318 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2350363), // Rule ID 50414 //
     /* 2350323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350326 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350362 */     // GIR_Coverage, 50414,
     /* 2350362 */     GIR_EraseRootFromParent_Done,
     /* 2350363 */   // Label 32978: @2350363
     /* 2350363 */   GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2350408), // Rule ID 50415 //
     /* 2350368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350371 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350407 */     // GIR_Coverage, 50415,
     /* 2350407 */     GIR_EraseRootFromParent_Done,
     /* 2350408 */   // Label 32979: @2350408
     /* 2350408 */   GIM_Reject,
     /* 2350409 */ // Label 32977: @2350409
     /* 2350409 */ GIM_Reject,
     /* 2350410 */ // Label 32943: @2350410
     /* 2350410 */ GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2350524),
     /* 2350415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2350418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2350421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350433 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2350478), // Rule ID 50382 //
     /* 2350438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350441 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350477 */     // GIR_Coverage, 50382,
     /* 2350477 */     GIR_EraseRootFromParent_Done,
     /* 2350478 */   // Label 32981: @2350478
     /* 2350478 */   GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2350523), // Rule ID 50383 //
     /* 2350483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350486 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350522 */     // GIR_Coverage, 50383,
     /* 2350522 */     GIR_EraseRootFromParent_Done,
     /* 2350523 */   // Label 32982: @2350523
     /* 2350523 */   GIM_Reject,
     /* 2350524 */ // Label 32980: @2350524
     /* 2350524 */ GIM_Reject,
     /* 2350525 */ // Label 32944: @2350525
     /* 2350525 */ GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2350639),
     /* 2350530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2350533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2350536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350548 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2350593), // Rule ID 50394 //
     /* 2350553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350556 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350592 */     // GIR_Coverage, 50394,
     /* 2350592 */     GIR_EraseRootFromParent_Done,
     /* 2350593 */   // Label 32984: @2350593
     /* 2350593 */   GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2350638), // Rule ID 50395 //
     /* 2350598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350601 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350637 */     // GIR_Coverage, 50395,
     /* 2350637 */     GIR_EraseRootFromParent_Done,
     /* 2350638 */   // Label 32985: @2350638
     /* 2350638 */   GIM_Reject,
     /* 2350639 */ // Label 32983: @2350639
     /* 2350639 */ GIM_Reject,
     /* 2350640 */ // Label 32945: @2350640
     /* 2350640 */ GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2350754),
     /* 2350645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2350648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2350651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350663 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2350708), // Rule ID 50410 //
     /* 2350668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350671 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350707 */     // GIR_Coverage, 50410,
     /* 2350707 */     GIR_EraseRootFromParent_Done,
     /* 2350708 */   // Label 32987: @2350708
     /* 2350708 */   GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2350753), // Rule ID 50411 //
     /* 2350713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350716 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350752 */     // GIR_Coverage, 50411,
     /* 2350752 */     GIR_EraseRootFromParent_Done,
     /* 2350753 */   // Label 32988: @2350753
     /* 2350753 */   GIM_Reject,
     /* 2350754 */ // Label 32986: @2350754
     /* 2350754 */ GIM_Reject,
     /* 2350755 */ // Label 32946: @2350755
     /* 2350755 */ GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2350869),
     /* 2350760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2350763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2350766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350778 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2350823), // Rule ID 50454 //
     /* 2350783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350786 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350822 */     // GIR_Coverage, 50454,
     /* 2350822 */     GIR_EraseRootFromParent_Done,
     /* 2350823 */   // Label 32990: @2350823
     /* 2350823 */   GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2350868), // Rule ID 50455 //
     /* 2350828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350831 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350867 */     // GIR_Coverage, 50455,
     /* 2350867 */     GIR_EraseRootFromParent_Done,
     /* 2350868 */   // Label 32991: @2350868
     /* 2350868 */   GIM_Reject,
     /* 2350869 */ // Label 32989: @2350869
     /* 2350869 */ GIM_Reject,
     /* 2350870 */ // Label 32947: @2350870
     /* 2350870 */ GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2350984),
     /* 2350875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2350878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350893 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2350938), // Rule ID 50386 //
     /* 2350898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350901 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350937 */     // GIR_Coverage, 50386,
     /* 2350937 */     GIR_EraseRootFromParent_Done,
     /* 2350938 */   // Label 32993: @2350938
     /* 2350938 */   GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2350983), // Rule ID 50387 //
     /* 2350943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350946 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350982 */     // GIR_Coverage, 50387,
     /* 2350982 */     GIR_EraseRootFromParent_Done,
     /* 2350983 */   // Label 32994: @2350983
     /* 2350983 */   GIM_Reject,
     /* 2350984 */ // Label 32992: @2350984
     /* 2350984 */ GIM_Reject,
     /* 2350985 */ // Label 32948: @2350985
     /* 2350985 */ GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2351099),
     /* 2350990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2350993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351008 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2351053), // Rule ID 50406 //
     /* 2351013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351016 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351052 */     // GIR_Coverage, 50406,
     /* 2351052 */     GIR_EraseRootFromParent_Done,
     /* 2351053 */   // Label 32996: @2351053
     /* 2351053 */   GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2351098), // Rule ID 50407 //
     /* 2351058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351061 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351097 */     // GIR_Coverage, 50407,
     /* 2351097 */     GIR_EraseRootFromParent_Done,
     /* 2351098 */   // Label 32997: @2351098
     /* 2351098 */   GIM_Reject,
     /* 2351099 */ // Label 32995: @2351099
     /* 2351099 */ GIM_Reject,
     /* 2351100 */ // Label 32949: @2351100
     /* 2351100 */ GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2351214),
     /* 2351105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2351108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2351111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351123 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2351168), // Rule ID 50442 //
     /* 2351128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351131 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351167 */     // GIR_Coverage, 50442,
     /* 2351167 */     GIR_EraseRootFromParent_Done,
     /* 2351168 */   // Label 32999: @2351168
     /* 2351168 */   GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2351213), // Rule ID 50443 //
     /* 2351173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351176 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351212 */     // GIR_Coverage, 50443,
     /* 2351212 */     GIR_EraseRootFromParent_Done,
     /* 2351213 */   // Label 33000: @2351213
     /* 2351213 */   GIM_Reject,
     /* 2351214 */ // Label 32998: @2351214
     /* 2351214 */ GIM_Reject,
     /* 2351215 */ // Label 32950: @2351215
     /* 2351215 */ GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2351329),
     /* 2351220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2351223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2351226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351238 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2351283), // Rule ID 50458 //
     /* 2351243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351246 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351282 */     // GIR_Coverage, 50458,
     /* 2351282 */     GIR_EraseRootFromParent_Done,
     /* 2351283 */   // Label 33002: @2351283
     /* 2351283 */   GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2351328), // Rule ID 50459 //
     /* 2351288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351291 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351327 */     // GIR_Coverage, 50459,
     /* 2351327 */     GIR_EraseRootFromParent_Done,
     /* 2351328 */   // Label 33003: @2351328
     /* 2351328 */   GIM_Reject,
     /* 2351329 */ // Label 33001: @2351329
     /* 2351329 */ GIM_Reject,
     /* 2351330 */ // Label 32951: @2351330
     /* 2351330 */ GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2351444),
     /* 2351335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2351338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2351341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351353 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2351398), // Rule ID 50402 //
     /* 2351358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351361 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2351364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351397 */     // GIR_Coverage, 50402,
     /* 2351397 */     GIR_EraseRootFromParent_Done,
     /* 2351398 */   // Label 33005: @2351398
     /* 2351398 */   GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2351443), // Rule ID 50403 //
     /* 2351403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351406 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2351409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351442 */     // GIR_Coverage, 50403,
     /* 2351442 */     GIR_EraseRootFromParent_Done,
     /* 2351443 */   // Label 33006: @2351443
     /* 2351443 */   GIM_Reject,
     /* 2351444 */ // Label 33004: @2351444
     /* 2351444 */ GIM_Reject,
     /* 2351445 */ // Label 32952: @2351445
     /* 2351445 */ GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2351559),
     /* 2351450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2351453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351468 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2351513), // Rule ID 50430 //
     /* 2351473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351476 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351512 */     // GIR_Coverage, 50430,
     /* 2351512 */     GIR_EraseRootFromParent_Done,
     /* 2351513 */   // Label 33008: @2351513
     /* 2351513 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2351558), // Rule ID 50431 //
     /* 2351518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351521 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351557 */     // GIR_Coverage, 50431,
     /* 2351557 */     GIR_EraseRootFromParent_Done,
     /* 2351558 */   // Label 33009: @2351558
     /* 2351558 */   GIM_Reject,
     /* 2351559 */ // Label 33007: @2351559
     /* 2351559 */ GIM_Reject,
     /* 2351560 */ // Label 32953: @2351560
     /* 2351560 */ GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2351674),
     /* 2351565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2351568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351583 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2351628), // Rule ID 50446 //
     /* 2351588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351591 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351627 */     // GIR_Coverage, 50446,
     /* 2351627 */     GIR_EraseRootFromParent_Done,
     /* 2351628 */   // Label 33011: @2351628
     /* 2351628 */   GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2351673), // Rule ID 50447 //
     /* 2351633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351636 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351672 */     // GIR_Coverage, 50447,
     /* 2351672 */     GIR_EraseRootFromParent_Done,
     /* 2351673 */   // Label 33012: @2351673
     /* 2351673 */   GIM_Reject,
     /* 2351674 */ // Label 33010: @2351674
     /* 2351674 */ GIM_Reject,
     /* 2351675 */ // Label 32954: @2351675
     /* 2351675 */ GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2351789),
     /* 2351680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2351683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2351686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351698 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2351743), // Rule ID 50462 //
     /* 2351703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351706 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351742 */     // GIR_Coverage, 50462,
     /* 2351742 */     GIR_EraseRootFromParent_Done,
     /* 2351743 */   // Label 33014: @2351743
     /* 2351743 */   GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2351788), // Rule ID 50463 //
     /* 2351748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351751 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351787 */     // GIR_Coverage, 50463,
     /* 2351787 */     GIR_EraseRootFromParent_Done,
     /* 2351788 */   // Label 33015: @2351788
     /* 2351788 */   GIM_Reject,
     /* 2351789 */ // Label 33013: @2351789
     /* 2351789 */ GIM_Reject,
     /* 2351790 */ // Label 32955: @2351790
     /* 2351790 */ GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2351904),
     /* 2351795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2351798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2351801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351813 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2351858), // Rule ID 50418 //
     /* 2351818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351821 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351857 */     // GIR_Coverage, 50418,
     /* 2351857 */     GIR_EraseRootFromParent_Done,
     /* 2351858 */   // Label 33017: @2351858
     /* 2351858 */   GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2351903), // Rule ID 50419 //
     /* 2351863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351866 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351902 */     // GIR_Coverage, 50419,
     /* 2351902 */     GIR_EraseRootFromParent_Done,
     /* 2351903 */   // Label 33018: @2351903
     /* 2351903 */   GIM_Reject,
     /* 2351904 */ // Label 33016: @2351904
     /* 2351904 */ GIM_Reject,
     /* 2351905 */ // Label 32956: @2351905
     /* 2351905 */ GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2352019),
     /* 2351910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2351913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2351916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351928 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2351973), // Rule ID 50434 //
     /* 2351933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351936 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351972 */     // GIR_Coverage, 50434,
     /* 2351972 */     GIR_EraseRootFromParent_Done,
     /* 2351973 */   // Label 33020: @2351973
     /* 2351973 */   GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2352018), // Rule ID 50435 //
     /* 2351978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351981 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352017 */     // GIR_Coverage, 50435,
     /* 2352017 */     GIR_EraseRootFromParent_Done,
     /* 2352018 */   // Label 33021: @2352018
     /* 2352018 */   GIM_Reject,
     /* 2352019 */ // Label 33019: @2352019
     /* 2352019 */ GIM_Reject,
     /* 2352020 */ // Label 32957: @2352020
     /* 2352020 */ GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2352134),
     /* 2352025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2352028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2352031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352043 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2352088), // Rule ID 50450 //
     /* 2352048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352051 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352087 */     // GIR_Coverage, 50450,
     /* 2352087 */     GIR_EraseRootFromParent_Done,
     /* 2352088 */   // Label 33023: @2352088
     /* 2352088 */   GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2352133), // Rule ID 50451 //
     /* 2352093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352096 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352132 */     // GIR_Coverage, 50451,
     /* 2352132 */     GIR_EraseRootFromParent_Done,
     /* 2352133 */   // Label 33024: @2352133
     /* 2352133 */   GIM_Reject,
     /* 2352134 */ // Label 33022: @2352134
     /* 2352134 */ GIM_Reject,
     /* 2352135 */ // Label 32958: @2352135
     /* 2352135 */ GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2352249),
     /* 2352140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2352143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2352146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352158 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2352203), // Rule ID 50422 //
     /* 2352163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352166 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2352169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2352183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352202 */     // GIR_Coverage, 50422,
     /* 2352202 */     GIR_EraseRootFromParent_Done,
     /* 2352203 */   // Label 33026: @2352203
     /* 2352203 */   GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2352248), // Rule ID 50423 //
     /* 2352208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352211 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2352214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2352228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352247 */     // GIR_Coverage, 50423,
     /* 2352247 */     GIR_EraseRootFromParent_Done,
     /* 2352248 */   // Label 33027: @2352248
     /* 2352248 */   GIM_Reject,
     /* 2352249 */ // Label 33025: @2352249
     /* 2352249 */ GIM_Reject,
     /* 2352250 */ // Label 32959: @2352250
     /* 2352250 */ GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2352364),
     /* 2352255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2352258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2352261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352273 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2352318), // Rule ID 50438 //
     /* 2352278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352281 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352317 */     // GIR_Coverage, 50438,
     /* 2352317 */     GIR_EraseRootFromParent_Done,
     /* 2352318 */   // Label 33029: @2352318
     /* 2352318 */   GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2352363), // Rule ID 50439 //
     /* 2352323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352326 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352362 */     // GIR_Coverage, 50439,
     /* 2352362 */     GIR_EraseRootFromParent_Done,
     /* 2352363 */   // Label 33030: @2352363
     /* 2352363 */   GIM_Reject,
     /* 2352364 */ // Label 33028: @2352364
     /* 2352364 */ GIM_Reject,
     /* 2352365 */ // Label 32960: @2352365
     /* 2352365 */ GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2352479),
     /* 2352370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2352373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2352376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352388 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2352433), // Rule ID 50426 //
     /* 2352393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352396 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2352399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352432 */     // GIR_Coverage, 50426,
     /* 2352432 */     GIR_EraseRootFromParent_Done,
     /* 2352433 */   // Label 33032: @2352433
     /* 2352433 */   GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2352478), // Rule ID 50427 //
     /* 2352438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352441 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2352444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352477 */     // GIR_Coverage, 50427,
     /* 2352477 */     GIR_EraseRootFromParent_Done,
     /* 2352478 */   // Label 33033: @2352478
     /* 2352478 */   GIM_Reject,
     /* 2352479 */ // Label 33031: @2352479
     /* 2352479 */ GIM_Reject,
     /* 2352480 */ // Label 32961: @2352480
     /* 2352480 */ GIM_Reject,
     /* 2352481 */ // Label 81: @2352481
     /* 2352481 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33058*/ GIMT_Encode4(2355256),
     /* 2352492 */ /*GILLT_s32*//*Label 33034*/ GIMT_Encode4(2352616),
     /* 2352496 */ /*GILLT_s64*//*Label 33035*/ GIMT_Encode4(2352671), GIMT_Encode4(0),
     /* 2352504 */ /*GILLT_nxv1s8*//*Label 33036*/ GIMT_Encode4(2352726),
     /* 2352508 */ /*GILLT_nxv1s16*//*Label 33037*/ GIMT_Encode4(2352841),
     /* 2352512 */ /*GILLT_nxv1s32*//*Label 33038*/ GIMT_Encode4(2352956),
     /* 2352516 */ /*GILLT_nxv1s64*//*Label 33039*/ GIMT_Encode4(2353071), GIMT_Encode4(0),
     /* 2352524 */ /*GILLT_nxv2s8*//*Label 33040*/ GIMT_Encode4(2353186),
     /* 2352528 */ /*GILLT_nxv2s16*//*Label 33041*/ GIMT_Encode4(2353301),
     /* 2352532 */ /*GILLT_nxv2s32*//*Label 33042*/ GIMT_Encode4(2353416),
     /* 2352536 */ /*GILLT_nxv2s64*//*Label 33043*/ GIMT_Encode4(2353531), GIMT_Encode4(0),
     /* 2352544 */ /*GILLT_nxv4s8*//*Label 33044*/ GIMT_Encode4(2353646),
     /* 2352548 */ /*GILLT_nxv4s16*//*Label 33045*/ GIMT_Encode4(2353761),
     /* 2352552 */ /*GILLT_nxv4s32*//*Label 33046*/ GIMT_Encode4(2353876),
     /* 2352556 */ /*GILLT_nxv4s64*//*Label 33047*/ GIMT_Encode4(2353991), GIMT_Encode4(0),
     /* 2352564 */ /*GILLT_nxv8s8*//*Label 33048*/ GIMT_Encode4(2354106),
     /* 2352568 */ /*GILLT_nxv8s16*//*Label 33049*/ GIMT_Encode4(2354221),
     /* 2352572 */ /*GILLT_nxv8s32*//*Label 33050*/ GIMT_Encode4(2354336),
     /* 2352576 */ /*GILLT_nxv8s64*//*Label 33051*/ GIMT_Encode4(2354451), GIMT_Encode4(0),
     /* 2352584 */ /*GILLT_nxv16s8*//*Label 33052*/ GIMT_Encode4(2354566),
     /* 2352588 */ /*GILLT_nxv16s16*//*Label 33053*/ GIMT_Encode4(2354681),
     /* 2352592 */ /*GILLT_nxv16s32*//*Label 33054*/ GIMT_Encode4(2354796), GIMT_Encode4(0),
     /* 2352600 */ /*GILLT_nxv32s8*//*Label 33055*/ GIMT_Encode4(2354911),
     /* 2352604 */ /*GILLT_nxv32s16*//*Label 33056*/ GIMT_Encode4(2355026), GIMT_Encode4(0),
     /* 2352612 */ /*GILLT_nxv64s8*//*Label 33057*/ GIMT_Encode4(2355141),
     /* 2352616 */ // Label 33034: @2352616
     /* 2352616 */ GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2352670),
     /* 2352621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352639 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2352654), // Rule ID 64381 //
     /* 2352644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2352647 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352653 */     // GIR_Coverage, 64381,
     /* 2352653 */     GIR_Done,
     /* 2352654 */   // Label 33060: @2352654
     /* 2352654 */   GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2352669), // Rule ID 2425 //
     /* 2352659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2352662 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352668 */     // GIR_Coverage, 2425,
     /* 2352668 */     GIR_Done,
     /* 2352669 */   // Label 33061: @2352669
     /* 2352669 */   GIM_Reject,
     /* 2352670 */ // Label 33059: @2352670
     /* 2352670 */ GIM_Reject,
     /* 2352671 */ // Label 33035: @2352671
     /* 2352671 */ GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2352725),
     /* 2352676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2352679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352694 */   GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2352709), // Rule ID 64380 //
     /* 2352699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2352702 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352708 */     // GIR_Coverage, 64380,
     /* 2352708 */     GIR_Done,
     /* 2352709 */   // Label 33063: @2352709
     /* 2352709 */   GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2352724), // Rule ID 2424 //
     /* 2352714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2352717 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352723 */     // GIR_Coverage, 2424,
     /* 2352723 */     GIR_Done,
     /* 2352724 */   // Label 33064: @2352724
     /* 2352724 */   GIM_Reject,
     /* 2352725 */ // Label 33062: @2352725
     /* 2352725 */ GIM_Reject,
     /* 2352726 */ // Label 33036: @2352726
     /* 2352726 */ GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2352840),
     /* 2352731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2352734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2352737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352749 */   GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2352794), // Rule ID 50554 //
     /* 2352754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352757 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352793 */     // GIR_Coverage, 50554,
     /* 2352793 */     GIR_EraseRootFromParent_Done,
     /* 2352794 */   // Label 33066: @2352794
     /* 2352794 */   GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2352839), // Rule ID 50555 //
     /* 2352799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352802 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352838 */     // GIR_Coverage, 50555,
     /* 2352838 */     GIR_EraseRootFromParent_Done,
     /* 2352839 */   // Label 33067: @2352839
     /* 2352839 */   GIM_Reject,
     /* 2352840 */ // Label 33065: @2352840
     /* 2352840 */ GIM_Reject,
     /* 2352841 */ // Label 33037: @2352841
     /* 2352841 */ GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2352955),
     /* 2352846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2352852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352864 */   GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2352909), // Rule ID 50566 //
     /* 2352869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352872 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352908 */     // GIR_Coverage, 50566,
     /* 2352908 */     GIR_EraseRootFromParent_Done,
     /* 2352909 */   // Label 33069: @2352909
     /* 2352909 */   GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2352954), // Rule ID 50567 //
     /* 2352914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352917 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352953 */     // GIR_Coverage, 50567,
     /* 2352953 */     GIR_EraseRootFromParent_Done,
     /* 2352954 */   // Label 33070: @2352954
     /* 2352954 */   GIM_Reject,
     /* 2352955 */ // Label 33068: @2352955
     /* 2352955 */ GIM_Reject,
     /* 2352956 */ // Label 33038: @2352956
     /* 2352956 */ GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2353070),
     /* 2352961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2352967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352979 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2353024), // Rule ID 50574 //
     /* 2352984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352987 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353023 */     // GIR_Coverage, 50574,
     /* 2353023 */     GIR_EraseRootFromParent_Done,
     /* 2353024 */   // Label 33072: @2353024
     /* 2353024 */   GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2353069), // Rule ID 50575 //
     /* 2353029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353032 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2353035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353068 */     // GIR_Coverage, 50575,
     /* 2353068 */     GIR_EraseRootFromParent_Done,
     /* 2353069 */   // Label 33073: @2353069
     /* 2353069 */   GIM_Reject,
     /* 2353070 */ // Label 33071: @2353070
     /* 2353070 */ GIM_Reject,
     /* 2353071 */ // Label 33039: @2353071
     /* 2353071 */ GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2353185),
     /* 2353076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2353079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2353082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353094 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2353139), // Rule ID 50590 //
     /* 2353099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353102 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353138 */     // GIR_Coverage, 50590,
     /* 2353138 */     GIR_EraseRootFromParent_Done,
     /* 2353139 */   // Label 33075: @2353139
     /* 2353139 */   GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2353184), // Rule ID 50591 //
     /* 2353144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353147 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353183 */     // GIR_Coverage, 50591,
     /* 2353183 */     GIR_EraseRootFromParent_Done,
     /* 2353184 */   // Label 33076: @2353184
     /* 2353184 */   GIM_Reject,
     /* 2353185 */ // Label 33074: @2353185
     /* 2353185 */ GIM_Reject,
     /* 2353186 */ // Label 33040: @2353186
     /* 2353186 */ GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2353300),
     /* 2353191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2353194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2353197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353209 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2353254), // Rule ID 50558 //
     /* 2353214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353217 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2353220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2353234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353253 */     // GIR_Coverage, 50558,
     /* 2353253 */     GIR_EraseRootFromParent_Done,
     /* 2353254 */   // Label 33078: @2353254
     /* 2353254 */   GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2353299), // Rule ID 50559 //
     /* 2353259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353262 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2353265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2353279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353298 */     // GIR_Coverage, 50559,
     /* 2353298 */     GIR_EraseRootFromParent_Done,
     /* 2353299 */   // Label 33079: @2353299
     /* 2353299 */   GIM_Reject,
     /* 2353300 */ // Label 33077: @2353300
     /* 2353300 */ GIM_Reject,
     /* 2353301 */ // Label 33041: @2353301
     /* 2353301 */ GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2353415),
     /* 2353306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2353309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2353312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353324 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2353369), // Rule ID 50570 //
     /* 2353329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353332 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353368 */     // GIR_Coverage, 50570,
     /* 2353368 */     GIR_EraseRootFromParent_Done,
     /* 2353369 */   // Label 33081: @2353369
     /* 2353369 */   GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2353414), // Rule ID 50571 //
     /* 2353374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353377 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353413 */     // GIR_Coverage, 50571,
     /* 2353413 */     GIR_EraseRootFromParent_Done,
     /* 2353414 */   // Label 33082: @2353414
     /* 2353414 */   GIM_Reject,
     /* 2353415 */ // Label 33080: @2353415
     /* 2353415 */ GIM_Reject,
     /* 2353416 */ // Label 33042: @2353416
     /* 2353416 */ GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2353530),
     /* 2353421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2353427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353439 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2353484), // Rule ID 50586 //
     /* 2353444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353447 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353483 */     // GIR_Coverage, 50586,
     /* 2353483 */     GIR_EraseRootFromParent_Done,
     /* 2353484 */   // Label 33084: @2353484
     /* 2353484 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2353529), // Rule ID 50587 //
     /* 2353489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353492 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353528 */     // GIR_Coverage, 50587,
     /* 2353528 */     GIR_EraseRootFromParent_Done,
     /* 2353529 */   // Label 33085: @2353529
     /* 2353529 */   GIM_Reject,
     /* 2353530 */ // Label 33083: @2353530
     /* 2353530 */ GIM_Reject,
     /* 2353531 */ // Label 33043: @2353531
     /* 2353531 */ GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2353645),
     /* 2353536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2353542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353554 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2353599), // Rule ID 50630 //
     /* 2353559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353562 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353598 */     // GIR_Coverage, 50630,
     /* 2353598 */     GIR_EraseRootFromParent_Done,
     /* 2353599 */   // Label 33087: @2353599
     /* 2353599 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2353644), // Rule ID 50631 //
     /* 2353604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353607 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353643 */     // GIR_Coverage, 50631,
     /* 2353643 */     GIR_EraseRootFromParent_Done,
     /* 2353644 */   // Label 33088: @2353644
     /* 2353644 */   GIM_Reject,
     /* 2353645 */ // Label 33086: @2353645
     /* 2353645 */ GIM_Reject,
     /* 2353646 */ // Label 33044: @2353646
     /* 2353646 */ GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2353760),
     /* 2353651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2353654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2353657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353669 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2353714), // Rule ID 50562 //
     /* 2353674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353677 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353713 */     // GIR_Coverage, 50562,
     /* 2353713 */     GIR_EraseRootFromParent_Done,
     /* 2353714 */   // Label 33090: @2353714
     /* 2353714 */   GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2353759), // Rule ID 50563 //
     /* 2353719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353722 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353758 */     // GIR_Coverage, 50563,
     /* 2353758 */     GIR_EraseRootFromParent_Done,
     /* 2353759 */   // Label 33091: @2353759
     /* 2353759 */   GIM_Reject,
     /* 2353760 */ // Label 33089: @2353760
     /* 2353760 */ GIM_Reject,
     /* 2353761 */ // Label 33045: @2353761
     /* 2353761 */ GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2353875),
     /* 2353766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2353769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2353772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353784 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2353829), // Rule ID 50582 //
     /* 2353789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353792 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353828 */     // GIR_Coverage, 50582,
     /* 2353828 */     GIR_EraseRootFromParent_Done,
     /* 2353829 */   // Label 33093: @2353829
     /* 2353829 */   GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2353874), // Rule ID 50583 //
     /* 2353834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353837 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353873 */     // GIR_Coverage, 50583,
     /* 2353873 */     GIR_EraseRootFromParent_Done,
     /* 2353874 */   // Label 33094: @2353874
     /* 2353874 */   GIM_Reject,
     /* 2353875 */ // Label 33092: @2353875
     /* 2353875 */ GIM_Reject,
     /* 2353876 */ // Label 33046: @2353876
     /* 2353876 */ GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2353990),
     /* 2353881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2353884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2353887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353899 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2353944), // Rule ID 50618 //
     /* 2353904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353907 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353943 */     // GIR_Coverage, 50618,
     /* 2353943 */     GIR_EraseRootFromParent_Done,
     /* 2353944 */   // Label 33096: @2353944
     /* 2353944 */   GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2353989), // Rule ID 50619 //
     /* 2353949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353952 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353988 */     // GIR_Coverage, 50619,
     /* 2353988 */     GIR_EraseRootFromParent_Done,
     /* 2353989 */   // Label 33097: @2353989
     /* 2353989 */   GIM_Reject,
     /* 2353990 */ // Label 33095: @2353990
     /* 2353990 */ GIM_Reject,
     /* 2353991 */ // Label 33047: @2353991
     /* 2353991 */ GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2354105),
     /* 2353996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2353999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2354002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354014 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2354059), // Rule ID 50634 //
     /* 2354019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354022 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354058 */     // GIR_Coverage, 50634,
     /* 2354058 */     GIR_EraseRootFromParent_Done,
     /* 2354059 */   // Label 33099: @2354059
     /* 2354059 */   GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2354104), // Rule ID 50635 //
     /* 2354064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354067 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354103 */     // GIR_Coverage, 50635,
     /* 2354103 */     GIR_EraseRootFromParent_Done,
     /* 2354104 */   // Label 33100: @2354104
     /* 2354104 */   GIM_Reject,
     /* 2354105 */ // Label 33098: @2354105
     /* 2354105 */ GIM_Reject,
     /* 2354106 */ // Label 33048: @2354106
     /* 2354106 */ GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2354220),
     /* 2354111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2354114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354129 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2354174), // Rule ID 50578 //
     /* 2354134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354137 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2354140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2354154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354173 */     // GIR_Coverage, 50578,
     /* 2354173 */     GIR_EraseRootFromParent_Done,
     /* 2354174 */   // Label 33102: @2354174
     /* 2354174 */   GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2354219), // Rule ID 50579 //
     /* 2354179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354182 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2354185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2354199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354218 */     // GIR_Coverage, 50579,
     /* 2354218 */     GIR_EraseRootFromParent_Done,
     /* 2354219 */   // Label 33103: @2354219
     /* 2354219 */   GIM_Reject,
     /* 2354220 */ // Label 33101: @2354220
     /* 2354220 */ GIM_Reject,
     /* 2354221 */ // Label 33049: @2354221
     /* 2354221 */ GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2354335),
     /* 2354226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2354229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354244 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2354289), // Rule ID 50606 //
     /* 2354249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354252 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354288 */     // GIR_Coverage, 50606,
     /* 2354288 */     GIR_EraseRootFromParent_Done,
     /* 2354289 */   // Label 33105: @2354289
     /* 2354289 */   GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2354334), // Rule ID 50607 //
     /* 2354294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354297 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354333 */     // GIR_Coverage, 50607,
     /* 2354333 */     GIR_EraseRootFromParent_Done,
     /* 2354334 */   // Label 33106: @2354334
     /* 2354334 */   GIM_Reject,
     /* 2354335 */ // Label 33104: @2354335
     /* 2354335 */ GIM_Reject,
     /* 2354336 */ // Label 33050: @2354336
     /* 2354336 */ GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2354450),
     /* 2354341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2354344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354359 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2354404), // Rule ID 50622 //
     /* 2354364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354367 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354403 */     // GIR_Coverage, 50622,
     /* 2354403 */     GIR_EraseRootFromParent_Done,
     /* 2354404 */   // Label 33108: @2354404
     /* 2354404 */   GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2354449), // Rule ID 50623 //
     /* 2354409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354412 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354448 */     // GIR_Coverage, 50623,
     /* 2354448 */     GIR_EraseRootFromParent_Done,
     /* 2354449 */   // Label 33109: @2354449
     /* 2354449 */   GIM_Reject,
     /* 2354450 */ // Label 33107: @2354450
     /* 2354450 */ GIM_Reject,
     /* 2354451 */ // Label 33051: @2354451
     /* 2354451 */ GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2354565),
     /* 2354456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2354459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354474 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2354519), // Rule ID 50638 //
     /* 2354479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354482 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354518 */     // GIR_Coverage, 50638,
     /* 2354518 */     GIR_EraseRootFromParent_Done,
     /* 2354519 */   // Label 33111: @2354519
     /* 2354519 */   GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2354564), // Rule ID 50639 //
     /* 2354524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354527 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354563 */     // GIR_Coverage, 50639,
     /* 2354563 */     GIR_EraseRootFromParent_Done,
     /* 2354564 */   // Label 33112: @2354564
     /* 2354564 */   GIM_Reject,
     /* 2354565 */ // Label 33110: @2354565
     /* 2354565 */ GIM_Reject,
     /* 2354566 */ // Label 33052: @2354566
     /* 2354566 */ GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2354680),
     /* 2354571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2354574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2354577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354589 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2354634), // Rule ID 50594 //
     /* 2354594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354597 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354633 */     // GIR_Coverage, 50594,
     /* 2354633 */     GIR_EraseRootFromParent_Done,
     /* 2354634 */   // Label 33114: @2354634
     /* 2354634 */   GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2354679), // Rule ID 50595 //
     /* 2354639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354642 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354678 */     // GIR_Coverage, 50595,
     /* 2354678 */     GIR_EraseRootFromParent_Done,
     /* 2354679 */   // Label 33115: @2354679
     /* 2354679 */   GIM_Reject,
     /* 2354680 */ // Label 33113: @2354680
     /* 2354680 */ GIM_Reject,
     /* 2354681 */ // Label 33053: @2354681
     /* 2354681 */ GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2354795),
     /* 2354686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2354689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2354692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354704 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2354749), // Rule ID 50610 //
     /* 2354709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354712 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354748 */     // GIR_Coverage, 50610,
     /* 2354748 */     GIR_EraseRootFromParent_Done,
     /* 2354749 */   // Label 33117: @2354749
     /* 2354749 */   GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2354794), // Rule ID 50611 //
     /* 2354754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354757 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354793 */     // GIR_Coverage, 50611,
     /* 2354793 */     GIR_EraseRootFromParent_Done,
     /* 2354794 */   // Label 33118: @2354794
     /* 2354794 */   GIM_Reject,
     /* 2354795 */ // Label 33116: @2354795
     /* 2354795 */ GIM_Reject,
     /* 2354796 */ // Label 33054: @2354796
     /* 2354796 */ GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2354910),
     /* 2354801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2354804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2354807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354819 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2354864), // Rule ID 50626 //
     /* 2354824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354827 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354863 */     // GIR_Coverage, 50626,
     /* 2354863 */     GIR_EraseRootFromParent_Done,
     /* 2354864 */   // Label 33120: @2354864
     /* 2354864 */   GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2354909), // Rule ID 50627 //
     /* 2354869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354872 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354908 */     // GIR_Coverage, 50627,
     /* 2354908 */     GIR_EraseRootFromParent_Done,
     /* 2354909 */   // Label 33121: @2354909
     /* 2354909 */   GIM_Reject,
     /* 2354910 */ // Label 33119: @2354910
     /* 2354910 */ GIM_Reject,
     /* 2354911 */ // Label 33055: @2354911
     /* 2354911 */ GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2355025),
     /* 2354916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2354919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2354922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354934 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2354979), // Rule ID 50598 //
     /* 2354939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354942 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354978 */     // GIR_Coverage, 50598,
     /* 2354978 */     GIR_EraseRootFromParent_Done,
     /* 2354979 */   // Label 33123: @2354979
     /* 2354979 */   GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2355024), // Rule ID 50599 //
     /* 2354984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354987 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2355004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355023 */     // GIR_Coverage, 50599,
     /* 2355023 */     GIR_EraseRootFromParent_Done,
     /* 2355024 */   // Label 33124: @2355024
     /* 2355024 */   GIM_Reject,
     /* 2355025 */ // Label 33122: @2355025
     /* 2355025 */ GIM_Reject,
     /* 2355026 */ // Label 33056: @2355026
     /* 2355026 */ GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2355140),
     /* 2355031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2355034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2355037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355049 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2355094), // Rule ID 50614 //
     /* 2355054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355057 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355093 */     // GIR_Coverage, 50614,
     /* 2355093 */     GIR_EraseRootFromParent_Done,
     /* 2355094 */   // Label 33126: @2355094
     /* 2355094 */   GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2355139), // Rule ID 50615 //
     /* 2355099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355102 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355138 */     // GIR_Coverage, 50615,
     /* 2355138 */     GIR_EraseRootFromParent_Done,
     /* 2355139 */   // Label 33127: @2355139
     /* 2355139 */   GIM_Reject,
     /* 2355140 */ // Label 33125: @2355140
     /* 2355140 */ GIM_Reject,
     /* 2355141 */ // Label 33057: @2355141
     /* 2355141 */ GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2355255),
     /* 2355146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2355149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2355152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355164 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2355209), // Rule ID 50602 //
     /* 2355169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355172 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2355175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355208 */     // GIR_Coverage, 50602,
     /* 2355208 */     GIR_EraseRootFromParent_Done,
     /* 2355209 */   // Label 33129: @2355209
     /* 2355209 */   GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2355254), // Rule ID 50603 //
     /* 2355214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355217 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2355220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355253 */     // GIR_Coverage, 50603,
     /* 2355253 */     GIR_EraseRootFromParent_Done,
     /* 2355254 */   // Label 33130: @2355254
     /* 2355254 */   GIM_Reject,
     /* 2355255 */ // Label 33128: @2355255
     /* 2355255 */ GIM_Reject,
     /* 2355256 */ // Label 33058: @2355256
     /* 2355256 */ GIM_Reject,
     /* 2355257 */ // Label 82: @2355257
     /* 2355257 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33133*/ GIMT_Encode4(2355414),
     /* 2355268 */ /*GILLT_s32*//*Label 33131*/ GIMT_Encode4(2355276),
     /* 2355272 */ /*GILLT_s64*//*Label 33132*/ GIMT_Encode4(2355345),
     /* 2355276 */ // Label 33131: @2355276
     /* 2355276 */ GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2355344),
     /* 2355281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355292 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2355307), // Rule ID 64369 //
     /* 2355297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2355300 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2355300 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2355305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355306 */     // GIR_Coverage, 64369,
     /* 2355306 */     GIR_Done,
     /* 2355307 */   // Label 33135: @2355307
     /* 2355307 */   GIM_Try, /*On fail goto*//*Label 33136*/ GIMT_Encode4(2355343), // Rule ID 62423 //
     /* 2355312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2355315 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2355315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2355318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2355320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2355331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355342 */     // GIR_Coverage, 62423,
     /* 2355342 */     GIR_EraseRootFromParent_Done,
     /* 2355343 */   // Label 33136: @2355343
     /* 2355343 */   GIM_Reject,
     /* 2355344 */ // Label 33134: @2355344
     /* 2355344 */ GIM_Reject,
     /* 2355345 */ // Label 33132: @2355345
     /* 2355345 */ GIM_Try, /*On fail goto*//*Label 33137*/ GIMT_Encode4(2355413),
     /* 2355350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355361 */   GIM_Try, /*On fail goto*//*Label 33138*/ GIMT_Encode4(2355376), // Rule ID 64368 //
     /* 2355366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2355369 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2355369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2355374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355375 */     // GIR_Coverage, 64368,
     /* 2355375 */     GIR_Done,
     /* 2355376 */   // Label 33138: @2355376
     /* 2355376 */   GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2355412), // Rule ID 62422 //
     /* 2355381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2355384 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2355384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2355387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2355389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355391 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2355400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355411 */     // GIR_Coverage, 62422,
     /* 2355411 */     GIR_EraseRootFromParent_Done,
     /* 2355412 */   // Label 33139: @2355412
     /* 2355412 */   GIM_Reject,
     /* 2355413 */ // Label 33137: @2355413
     /* 2355413 */ GIM_Reject,
     /* 2355414 */ // Label 33133: @2355414
     /* 2355414 */ GIM_Reject,
     /* 2355415 */ // Label 83: @2355415
     /* 2355415 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33142*/ GIMT_Encode4(2355994),
     /* 2355426 */ /*GILLT_s32*//*Label 33140*/ GIMT_Encode4(2355434),
     /* 2355430 */ /*GILLT_s64*//*Label 33141*/ GIMT_Encode4(2355807),
     /* 2355434 */ // Label 33140: @2355434
     /* 2355434 */ GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2355465), // Rule ID 1360 //
     /* 2355439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2355442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355453 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355464 */   // GIR_Coverage, 1360,
     /* 2355464 */   GIR_EraseRootFromParent_Done,
     /* 2355465 */ // Label 33143: @2355465
     /* 2355465 */ GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2355496), // Rule ID 1361 //
     /* 2355470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2355473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355484 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355495 */   // GIR_Coverage, 1361,
     /* 2355495 */   GIR_EraseRootFromParent_Done,
     /* 2355496 */ // Label 33144: @2355496
     /* 2355496 */ GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2355527), // Rule ID 1386 //
     /* 2355501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2355504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355515 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355526 */   // GIR_Coverage, 1386,
     /* 2355526 */   GIR_EraseRootFromParent_Done,
     /* 2355527 */ // Label 33145: @2355527
     /* 2355527 */ GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2355558), // Rule ID 1387 //
     /* 2355532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2355535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355546 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355557 */   // GIR_Coverage, 1387,
     /* 2355557 */   GIR_EraseRootFromParent_Done,
     /* 2355558 */ // Label 33146: @2355558
     /* 2355558 */ GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2355589), // Rule ID 1754 //
     /* 2355563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2355566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355577 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355588 */   // GIR_Coverage, 1754,
     /* 2355588 */   GIR_EraseRootFromParent_Done,
     /* 2355589 */ // Label 33147: @2355589
     /* 2355589 */ GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2355620), // Rule ID 1755 //
     /* 2355594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2355597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355608 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355619 */   // GIR_Coverage, 1755,
     /* 2355619 */   GIR_EraseRootFromParent_Done,
     /* 2355620 */ // Label 33148: @2355620
     /* 2355620 */ GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2355651), // Rule ID 1780 //
     /* 2355625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2355628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355639 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355650 */   // GIR_Coverage, 1780,
     /* 2355650 */   GIR_EraseRootFromParent_Done,
     /* 2355651 */ // Label 33149: @2355651
     /* 2355651 */ GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2355682), // Rule ID 1781 //
     /* 2355656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2355659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355670 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355681 */   // GIR_Coverage, 1781,
     /* 2355681 */   GIR_EraseRootFromParent_Done,
     /* 2355682 */ // Label 33150: @2355682
     /* 2355682 */ GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2355713), // Rule ID 2096 //
     /* 2355687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2355690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355701 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355706 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355712 */   // GIR_Coverage, 2096,
     /* 2355712 */   GIR_EraseRootFromParent_Done,
     /* 2355713 */ // Label 33151: @2355713
     /* 2355713 */ GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2355744), // Rule ID 2097 //
     /* 2355718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2355721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355732 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355743 */   // GIR_Coverage, 2097,
     /* 2355743 */   GIR_EraseRootFromParent_Done,
     /* 2355744 */ // Label 33152: @2355744
     /* 2355744 */ GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2355775), // Rule ID 2122 //
     /* 2355749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2355752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355763 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355774 */   // GIR_Coverage, 2122,
     /* 2355774 */   GIR_EraseRootFromParent_Done,
     /* 2355775 */ // Label 33153: @2355775
     /* 2355775 */ GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2355806), // Rule ID 2123 //
     /* 2355780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2355783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355794 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355805 */   // GIR_Coverage, 2123,
     /* 2355805 */   GIR_EraseRootFromParent_Done,
     /* 2355806 */ // Label 33154: @2355806
     /* 2355806 */ GIM_Reject,
     /* 2355807 */ // Label 33141: @2355807
     /* 2355807 */ GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2355838), // Rule ID 1413 //
     /* 2355812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2355815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355826 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2355829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355831 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355837 */   // GIR_Coverage, 1413,
     /* 2355837 */   GIR_EraseRootFromParent_Done,
     /* 2355838 */ // Label 33155: @2355838
     /* 2355838 */ GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2355869), // Rule ID 1441 //
     /* 2355843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2355846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355857 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2355860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355862 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355868 */   // GIR_Coverage, 1441,
     /* 2355868 */   GIR_EraseRootFromParent_Done,
     /* 2355869 */ // Label 33156: @2355869
     /* 2355869 */ GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2355900), // Rule ID 1811 //
     /* 2355874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2355877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355888 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2355891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355899 */   // GIR_Coverage, 1811,
     /* 2355899 */   GIR_EraseRootFromParent_Done,
     /* 2355900 */ // Label 33157: @2355900
     /* 2355900 */ GIM_Try, /*On fail goto*//*Label 33158*/ GIMT_Encode4(2355931), // Rule ID 1839 //
     /* 2355905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2355908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355919 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2355922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355924 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355930 */   // GIR_Coverage, 1839,
     /* 2355930 */   GIR_EraseRootFromParent_Done,
     /* 2355931 */ // Label 33158: @2355931
     /* 2355931 */ GIM_Try, /*On fail goto*//*Label 33159*/ GIMT_Encode4(2355962), // Rule ID 2147 //
     /* 2355936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2355939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355950 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2355953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355961 */   // GIR_Coverage, 2147,
     /* 2355961 */   GIR_EraseRootFromParent_Done,
     /* 2355962 */ // Label 33159: @2355962
     /* 2355962 */ GIM_Try, /*On fail goto*//*Label 33160*/ GIMT_Encode4(2355993), // Rule ID 2173 //
     /* 2355967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2355970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355981 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2355984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355992 */   // GIR_Coverage, 2173,
     /* 2355992 */   GIR_EraseRootFromParent_Done,
     /* 2355993 */ // Label 33160: @2355993
     /* 2355993 */ GIM_Reject,
     /* 2355994 */ // Label 33142: @2355994
     /* 2355994 */ GIM_Reject,
     /* 2355995 */ // Label 84: @2355995
     /* 2355995 */ GIM_Try, /*On fail goto*//*Label 33161*/ GIMT_Encode4(2356204),
     /* 2356000 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2356003 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33165*/ GIMT_Encode4(2356203),
     /* 2356014 */   /*GILLT_s16*//*Label 33162*/ GIMT_Encode4(2356026),
     /* 2356018 */   /*GILLT_s32*//*Label 33163*/ GIMT_Encode4(2356085),
     /* 2356022 */   /*GILLT_s64*//*Label 33164*/ GIMT_Encode4(2356144),
     /* 2356026 */   // Label 33162: @2356026
     /* 2356026 */   GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2356084),
     /* 2356031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356035 */     GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2356059), // Rule ID 2149 //
     /* 2356040 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2356043 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2356047 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2356047 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2356050 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356052 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356054 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356057 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356058 */       // GIR_Coverage, 2149,
     /* 2356058 */       GIR_EraseRootFromParent_Done,
     /* 2356059 */     // Label 33167: @2356059
     /* 2356059 */     GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2356083), // Rule ID 2175 //
     /* 2356064 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2356067 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2356071 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2356071 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2356074 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356076 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356078 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356081 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356082 */       // GIR_Coverage, 2175,
     /* 2356082 */       GIR_EraseRootFromParent_Done,
     /* 2356083 */     // Label 33168: @2356083
     /* 2356083 */     GIM_Reject,
     /* 2356084 */   // Label 33166: @2356084
     /* 2356084 */   GIM_Reject,
     /* 2356085 */   // Label 33163: @2356085
     /* 2356085 */   GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2356143),
     /* 2356090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356094 */     GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2356118), // Rule ID 1415 //
     /* 2356099 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2356102 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2356106 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2356106 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2356109 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356111 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356113 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356116 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356117 */       // GIR_Coverage, 1415,
     /* 2356117 */       GIR_EraseRootFromParent_Done,
     /* 2356118 */     // Label 33170: @2356118
     /* 2356118 */     GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2356142), // Rule ID 1443 //
     /* 2356123 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2356126 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2356130 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2356130 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2356133 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356135 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356137 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356140 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356141 */       // GIR_Coverage, 1443,
     /* 2356141 */       GIR_EraseRootFromParent_Done,
     /* 2356142 */     // Label 33171: @2356142
     /* 2356142 */     GIM_Reject,
     /* 2356143 */   // Label 33169: @2356143
     /* 2356143 */   GIM_Reject,
     /* 2356144 */   // Label 33164: @2356144
     /* 2356144 */   GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2356202),
     /* 2356149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356153 */     GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2356177), // Rule ID 1813 //
     /* 2356158 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2356161 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2356165 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2356165 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2356168 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356170 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356172 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356175 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356176 */       // GIR_Coverage, 1813,
     /* 2356176 */       GIR_EraseRootFromParent_Done,
     /* 2356177 */     // Label 33173: @2356177
     /* 2356177 */     GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2356201), // Rule ID 1841 //
     /* 2356182 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2356185 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356189 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2356189 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2356192 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356194 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356196 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356199 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356200 */       // GIR_Coverage, 1841,
     /* 2356200 */       GIR_EraseRootFromParent_Done,
     /* 2356201 */     // Label 33174: @2356201
     /* 2356201 */     GIM_Reject,
     /* 2356202 */   // Label 33172: @2356202
     /* 2356202 */   GIM_Reject,
     /* 2356203 */   // Label 33165: @2356203
     /* 2356203 */   GIM_Reject,
     /* 2356204 */ // Label 33161: @2356204
     /* 2356204 */ GIM_Reject,
     /* 2356205 */ // Label 85: @2356205
     /* 2356205 */ GIM_Try, /*On fail goto*//*Label 33175*/ GIMT_Encode4(2356220), // Rule ID 4 //
     /* 2356210 */   // MIs[0] imm20
     /* 2356210 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2356213 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2356213 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2356218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356219 */   // GIR_Coverage, 4,
     /* 2356219 */   GIR_Done,
     /* 2356220 */ // Label 33175: @2356220
     /* 2356220 */ GIM_Reject,
     /* 2356221 */ // Label 86: @2356221
     /* 2356221 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33200*/ GIMT_Encode4(2358740),
     /* 2356232 */ /*GILLT_s32*//*Label 33176*/ GIMT_Encode4(2356356),
     /* 2356236 */ /*GILLT_s64*//*Label 33177*/ GIMT_Encode4(2356404), GIMT_Encode4(0),
     /* 2356244 */ /*GILLT_nxv1s8*//*Label 33178*/ GIMT_Encode4(2356452),
     /* 2356248 */ /*GILLT_nxv1s16*//*Label 33179*/ GIMT_Encode4(2356556),
     /* 2356252 */ /*GILLT_nxv1s32*//*Label 33180*/ GIMT_Encode4(2356660),
     /* 2356256 */ /*GILLT_nxv1s64*//*Label 33181*/ GIMT_Encode4(2356764), GIMT_Encode4(0),
     /* 2356264 */ /*GILLT_nxv2s8*//*Label 33182*/ GIMT_Encode4(2356868),
     /* 2356268 */ /*GILLT_nxv2s16*//*Label 33183*/ GIMT_Encode4(2356972),
     /* 2356272 */ /*GILLT_nxv2s32*//*Label 33184*/ GIMT_Encode4(2357076),
     /* 2356276 */ /*GILLT_nxv2s64*//*Label 33185*/ GIMT_Encode4(2357180), GIMT_Encode4(0),
     /* 2356284 */ /*GILLT_nxv4s8*//*Label 33186*/ GIMT_Encode4(2357284),
     /* 2356288 */ /*GILLT_nxv4s16*//*Label 33187*/ GIMT_Encode4(2357388),
     /* 2356292 */ /*GILLT_nxv4s32*//*Label 33188*/ GIMT_Encode4(2357492),
     /* 2356296 */ /*GILLT_nxv4s64*//*Label 33189*/ GIMT_Encode4(2357596), GIMT_Encode4(0),
     /* 2356304 */ /*GILLT_nxv8s8*//*Label 33190*/ GIMT_Encode4(2357700),
     /* 2356308 */ /*GILLT_nxv8s16*//*Label 33191*/ GIMT_Encode4(2357804),
     /* 2356312 */ /*GILLT_nxv8s32*//*Label 33192*/ GIMT_Encode4(2357908),
     /* 2356316 */ /*GILLT_nxv8s64*//*Label 33193*/ GIMT_Encode4(2358012), GIMT_Encode4(0),
     /* 2356324 */ /*GILLT_nxv16s8*//*Label 33194*/ GIMT_Encode4(2358116),
     /* 2356328 */ /*GILLT_nxv16s16*//*Label 33195*/ GIMT_Encode4(2358220),
     /* 2356332 */ /*GILLT_nxv16s32*//*Label 33196*/ GIMT_Encode4(2358324), GIMT_Encode4(0),
     /* 2356340 */ /*GILLT_nxv32s8*//*Label 33197*/ GIMT_Encode4(2358428),
     /* 2356344 */ /*GILLT_nxv32s16*//*Label 33198*/ GIMT_Encode4(2358532), GIMT_Encode4(0),
     /* 2356352 */ /*GILLT_nxv64s8*//*Label 33199*/ GIMT_Encode4(2358636),
     /* 2356356 */ // Label 33176: @2356356
     /* 2356356 */ GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2356403),
     /* 2356361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2356364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356372 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2356387), // Rule ID 2407 //
     /* 2356377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2356380 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2356385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356386 */     // GIR_Coverage, 2407,
     /* 2356386 */     GIR_Done,
     /* 2356387 */   // Label 33202: @2356387
     /* 2356387 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2356402), // Rule ID 64352 //
     /* 2356392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2356395 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2356400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356401 */     // GIR_Coverage, 64352,
     /* 2356401 */     GIR_Done,
     /* 2356402 */   // Label 33203: @2356402
     /* 2356402 */   GIM_Reject,
     /* 2356403 */ // Label 33201: @2356403
     /* 2356403 */ GIM_Reject,
     /* 2356404 */ // Label 33177: @2356404
     /* 2356404 */ GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2356451),
     /* 2356409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2356412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356420 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2356435), // Rule ID 2406 //
     /* 2356425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2356428 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2356428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2356433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356434 */     // GIR_Coverage, 2406,
     /* 2356434 */     GIR_Done,
     /* 2356435 */   // Label 33205: @2356435
     /* 2356435 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2356450), // Rule ID 64351 //
     /* 2356440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2356443 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2356443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2356448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356449 */     // GIR_Coverage, 64351,
     /* 2356449 */     GIR_Done,
     /* 2356450 */   // Label 33206: @2356450
     /* 2356450 */   GIM_Reject,
     /* 2356451 */ // Label 33204: @2356451
     /* 2356451 */ GIM_Reject,
     /* 2356452 */ // Label 33178: @2356452
     /* 2356452 */ GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2356555),
     /* 2356457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2356460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356468 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2356511), // Rule ID 59058 //
     /* 2356473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356476 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356510 */     // GIR_Coverage, 59058,
     /* 2356510 */     GIR_EraseRootFromParent_Done,
     /* 2356511 */   // Label 33208: @2356511
     /* 2356511 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2356554), // Rule ID 59059 //
     /* 2356516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356519 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356553 */     // GIR_Coverage, 59059,
     /* 2356553 */     GIR_EraseRootFromParent_Done,
     /* 2356554 */   // Label 33209: @2356554
     /* 2356554 */   GIM_Reject,
     /* 2356555 */ // Label 33207: @2356555
     /* 2356555 */ GIM_Reject,
     /* 2356556 */ // Label 33179: @2356556
     /* 2356556 */ GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2356659),
     /* 2356561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2356564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356572 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2356615), // Rule ID 59064 //
     /* 2356577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356580 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356614 */     // GIR_Coverage, 59064,
     /* 2356614 */     GIR_EraseRootFromParent_Done,
     /* 2356615 */   // Label 33211: @2356615
     /* 2356615 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2356658), // Rule ID 59065 //
     /* 2356620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356623 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356657 */     // GIR_Coverage, 59065,
     /* 2356657 */     GIR_EraseRootFromParent_Done,
     /* 2356658 */   // Label 33212: @2356658
     /* 2356658 */   GIM_Reject,
     /* 2356659 */ // Label 33210: @2356659
     /* 2356659 */ GIM_Reject,
     /* 2356660 */ // Label 33180: @2356660
     /* 2356660 */ GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2356763),
     /* 2356665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2356668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356676 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2356719), // Rule ID 59068 //
     /* 2356681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356684 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356718 */     // GIR_Coverage, 59068,
     /* 2356718 */     GIR_EraseRootFromParent_Done,
     /* 2356719 */   // Label 33214: @2356719
     /* 2356719 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2356762), // Rule ID 59069 //
     /* 2356724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356727 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356761 */     // GIR_Coverage, 59069,
     /* 2356761 */     GIR_EraseRootFromParent_Done,
     /* 2356762 */   // Label 33215: @2356762
     /* 2356762 */   GIM_Reject,
     /* 2356763 */ // Label 33213: @2356763
     /* 2356763 */ GIM_Reject,
     /* 2356764 */ // Label 33181: @2356764
     /* 2356764 */ GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2356867),
     /* 2356769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2356772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356780 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2356823), // Rule ID 59076 //
     /* 2356785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356788 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356822 */     // GIR_Coverage, 59076,
     /* 2356822 */     GIR_EraseRootFromParent_Done,
     /* 2356823 */   // Label 33217: @2356823
     /* 2356823 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2356866), // Rule ID 59077 //
     /* 2356828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356831 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356865 */     // GIR_Coverage, 59077,
     /* 2356865 */     GIR_EraseRootFromParent_Done,
     /* 2356866 */   // Label 33218: @2356866
     /* 2356866 */   GIM_Reject,
     /* 2356867 */ // Label 33216: @2356867
     /* 2356867 */ GIM_Reject,
     /* 2356868 */ // Label 33182: @2356868
     /* 2356868 */ GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2356971),
     /* 2356873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2356876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356884 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2356927), // Rule ID 59060 //
     /* 2356889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356892 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356926 */     // GIR_Coverage, 59060,
     /* 2356926 */     GIR_EraseRootFromParent_Done,
     /* 2356927 */   // Label 33220: @2356927
     /* 2356927 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2356970), // Rule ID 59061 //
     /* 2356932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356935 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356969 */     // GIR_Coverage, 59061,
     /* 2356969 */     GIR_EraseRootFromParent_Done,
     /* 2356970 */   // Label 33221: @2356970
     /* 2356970 */   GIM_Reject,
     /* 2356971 */ // Label 33219: @2356971
     /* 2356971 */ GIM_Reject,
     /* 2356972 */ // Label 33183: @2356972
     /* 2356972 */ GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2357075),
     /* 2356977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2356980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356988 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2357031), // Rule ID 59066 //
     /* 2356993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356996 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357030 */     // GIR_Coverage, 59066,
     /* 2357030 */     GIR_EraseRootFromParent_Done,
     /* 2357031 */   // Label 33223: @2357031
     /* 2357031 */   GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2357074), // Rule ID 59067 //
     /* 2357036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357039 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2357042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357073 */     // GIR_Coverage, 59067,
     /* 2357073 */     GIR_EraseRootFromParent_Done,
     /* 2357074 */   // Label 33224: @2357074
     /* 2357074 */   GIM_Reject,
     /* 2357075 */ // Label 33222: @2357075
     /* 2357075 */ GIM_Reject,
     /* 2357076 */ // Label 33184: @2357076
     /* 2357076 */ GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2357179),
     /* 2357081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2357084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357092 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2357135), // Rule ID 59074 //
     /* 2357097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357100 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357134 */     // GIR_Coverage, 59074,
     /* 2357134 */     GIR_EraseRootFromParent_Done,
     /* 2357135 */   // Label 33226: @2357135
     /* 2357135 */   GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2357178), // Rule ID 59075 //
     /* 2357140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357143 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357177 */     // GIR_Coverage, 59075,
     /* 2357177 */     GIR_EraseRootFromParent_Done,
     /* 2357178 */   // Label 33227: @2357178
     /* 2357178 */   GIM_Reject,
     /* 2357179 */ // Label 33225: @2357179
     /* 2357179 */ GIM_Reject,
     /* 2357180 */ // Label 33185: @2357180
     /* 2357180 */ GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2357283),
     /* 2357185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2357188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357196 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2357239), // Rule ID 59096 //
     /* 2357201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357204 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357238 */     // GIR_Coverage, 59096,
     /* 2357238 */     GIR_EraseRootFromParent_Done,
     /* 2357239 */   // Label 33229: @2357239
     /* 2357239 */   GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2357282), // Rule ID 59097 //
     /* 2357244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357247 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357281 */     // GIR_Coverage, 59097,
     /* 2357281 */     GIR_EraseRootFromParent_Done,
     /* 2357282 */   // Label 33230: @2357282
     /* 2357282 */   GIM_Reject,
     /* 2357283 */ // Label 33228: @2357283
     /* 2357283 */ GIM_Reject,
     /* 2357284 */ // Label 33186: @2357284
     /* 2357284 */ GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2357387),
     /* 2357289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2357292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357300 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2357343), // Rule ID 59062 //
     /* 2357305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357308 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2357311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357342 */     // GIR_Coverage, 59062,
     /* 2357342 */     GIR_EraseRootFromParent_Done,
     /* 2357343 */   // Label 33232: @2357343
     /* 2357343 */   GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2357386), // Rule ID 59063 //
     /* 2357348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357351 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2357354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357385 */     // GIR_Coverage, 59063,
     /* 2357385 */     GIR_EraseRootFromParent_Done,
     /* 2357386 */   // Label 33233: @2357386
     /* 2357386 */   GIM_Reject,
     /* 2357387 */ // Label 33231: @2357387
     /* 2357387 */ GIM_Reject,
     /* 2357388 */ // Label 33187: @2357388
     /* 2357388 */ GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2357491),
     /* 2357393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2357396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357404 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2357447), // Rule ID 59072 //
     /* 2357409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357412 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357446 */     // GIR_Coverage, 59072,
     /* 2357446 */     GIR_EraseRootFromParent_Done,
     /* 2357447 */   // Label 33235: @2357447
     /* 2357447 */   GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2357490), // Rule ID 59073 //
     /* 2357452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357455 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357489 */     // GIR_Coverage, 59073,
     /* 2357489 */     GIR_EraseRootFromParent_Done,
     /* 2357490 */   // Label 33236: @2357490
     /* 2357490 */   GIM_Reject,
     /* 2357491 */ // Label 33234: @2357491
     /* 2357491 */ GIM_Reject,
     /* 2357492 */ // Label 33188: @2357492
     /* 2357492 */ GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2357595),
     /* 2357497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2357500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357508 */   GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2357551), // Rule ID 59090 //
     /* 2357513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357516 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357550 */     // GIR_Coverage, 59090,
     /* 2357550 */     GIR_EraseRootFromParent_Done,
     /* 2357551 */   // Label 33238: @2357551
     /* 2357551 */   GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2357594), // Rule ID 59091 //
     /* 2357556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357559 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357593 */     // GIR_Coverage, 59091,
     /* 2357593 */     GIR_EraseRootFromParent_Done,
     /* 2357594 */   // Label 33239: @2357594
     /* 2357594 */   GIM_Reject,
     /* 2357595 */ // Label 33237: @2357595
     /* 2357595 */ GIM_Reject,
     /* 2357596 */ // Label 33189: @2357596
     /* 2357596 */ GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2357699),
     /* 2357601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2357604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357612 */   GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2357655), // Rule ID 59098 //
     /* 2357617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357620 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357654 */     // GIR_Coverage, 59098,
     /* 2357654 */     GIR_EraseRootFromParent_Done,
     /* 2357655 */   // Label 33241: @2357655
     /* 2357655 */   GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2357698), // Rule ID 59099 //
     /* 2357660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357663 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357697 */     // GIR_Coverage, 59099,
     /* 2357697 */     GIR_EraseRootFromParent_Done,
     /* 2357698 */   // Label 33242: @2357698
     /* 2357698 */   GIM_Reject,
     /* 2357699 */ // Label 33240: @2357699
     /* 2357699 */ GIM_Reject,
     /* 2357700 */ // Label 33190: @2357700
     /* 2357700 */ GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2357803),
     /* 2357705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2357708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357716 */   GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2357759), // Rule ID 59070 //
     /* 2357721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357724 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357758 */     // GIR_Coverage, 59070,
     /* 2357758 */     GIR_EraseRootFromParent_Done,
     /* 2357759 */   // Label 33244: @2357759
     /* 2357759 */   GIM_Try, /*On fail goto*//*Label 33245*/ GIMT_Encode4(2357802), // Rule ID 59071 //
     /* 2357764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357767 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357801 */     // GIR_Coverage, 59071,
     /* 2357801 */     GIR_EraseRootFromParent_Done,
     /* 2357802 */   // Label 33245: @2357802
     /* 2357802 */   GIM_Reject,
     /* 2357803 */ // Label 33243: @2357803
     /* 2357803 */ GIM_Reject,
     /* 2357804 */ // Label 33191: @2357804
     /* 2357804 */ GIM_Try, /*On fail goto*//*Label 33246*/ GIMT_Encode4(2357907),
     /* 2357809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2357812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357820 */   GIM_Try, /*On fail goto*//*Label 33247*/ GIMT_Encode4(2357863), // Rule ID 59084 //
     /* 2357825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357828 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357862 */     // GIR_Coverage, 59084,
     /* 2357862 */     GIR_EraseRootFromParent_Done,
     /* 2357863 */   // Label 33247: @2357863
     /* 2357863 */   GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2357906), // Rule ID 59085 //
     /* 2357868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357871 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357905 */     // GIR_Coverage, 59085,
     /* 2357905 */     GIR_EraseRootFromParent_Done,
     /* 2357906 */   // Label 33248: @2357906
     /* 2357906 */   GIM_Reject,
     /* 2357907 */ // Label 33246: @2357907
     /* 2357907 */ GIM_Reject,
     /* 2357908 */ // Label 33192: @2357908
     /* 2357908 */ GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2358011),
     /* 2357913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2357916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357924 */   GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2357967), // Rule ID 59092 //
     /* 2357929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357932 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357966 */     // GIR_Coverage, 59092,
     /* 2357966 */     GIR_EraseRootFromParent_Done,
     /* 2357967 */   // Label 33250: @2357967
     /* 2357967 */   GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2358010), // Rule ID 59093 //
     /* 2357972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357975 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358009 */     // GIR_Coverage, 59093,
     /* 2358009 */     GIR_EraseRootFromParent_Done,
     /* 2358010 */   // Label 33251: @2358010
     /* 2358010 */   GIM_Reject,
     /* 2358011 */ // Label 33249: @2358011
     /* 2358011 */ GIM_Reject,
     /* 2358012 */ // Label 33193: @2358012
     /* 2358012 */ GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2358115),
     /* 2358017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2358020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358028 */   GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2358071), // Rule ID 59100 //
     /* 2358033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2358036 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358070 */     // GIR_Coverage, 59100,
     /* 2358070 */     GIR_EraseRootFromParent_Done,
     /* 2358071 */   // Label 33253: @2358071
     /* 2358071 */   GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2358114), // Rule ID 59101 //
     /* 2358076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2358079 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358113 */     // GIR_Coverage, 59101,
     /* 2358113 */     GIR_EraseRootFromParent_Done,
     /* 2358114 */   // Label 33254: @2358114
     /* 2358114 */   GIM_Reject,
     /* 2358115 */ // Label 33252: @2358115
     /* 2358115 */ GIM_Reject,
     /* 2358116 */ // Label 33194: @2358116
     /* 2358116 */ GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2358219),
     /* 2358121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2358124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358132 */   GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2358175), // Rule ID 59078 //
     /* 2358137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358140 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2358143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2358157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358174 */     // GIR_Coverage, 59078,
     /* 2358174 */     GIR_EraseRootFromParent_Done,
     /* 2358175 */   // Label 33256: @2358175
     /* 2358175 */   GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2358218), // Rule ID 59079 //
     /* 2358180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358183 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2358186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2358200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358217 */     // GIR_Coverage, 59079,
     /* 2358217 */     GIR_EraseRootFromParent_Done,
     /* 2358218 */   // Label 33257: @2358218
     /* 2358218 */   GIM_Reject,
     /* 2358219 */ // Label 33255: @2358219
     /* 2358219 */ GIM_Reject,
     /* 2358220 */ // Label 33195: @2358220
     /* 2358220 */ GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2358323),
     /* 2358225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2358228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358236 */   GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2358279), // Rule ID 59086 //
     /* 2358241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358244 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358278 */     // GIR_Coverage, 59086,
     /* 2358278 */     GIR_EraseRootFromParent_Done,
     /* 2358279 */   // Label 33259: @2358279
     /* 2358279 */   GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2358322), // Rule ID 59087 //
     /* 2358284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358287 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358321 */     // GIR_Coverage, 59087,
     /* 2358321 */     GIR_EraseRootFromParent_Done,
     /* 2358322 */   // Label 33260: @2358322
     /* 2358322 */   GIM_Reject,
     /* 2358323 */ // Label 33258: @2358323
     /* 2358323 */ GIM_Reject,
     /* 2358324 */ // Label 33196: @2358324
     /* 2358324 */ GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2358427),
     /* 2358329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2358332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358340 */   GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2358383), // Rule ID 59094 //
     /* 2358345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358348 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358382 */     // GIR_Coverage, 59094,
     /* 2358382 */     GIR_EraseRootFromParent_Done,
     /* 2358383 */   // Label 33262: @2358383
     /* 2358383 */   GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2358426), // Rule ID 59095 //
     /* 2358388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358391 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358425 */     // GIR_Coverage, 59095,
     /* 2358425 */     GIR_EraseRootFromParent_Done,
     /* 2358426 */   // Label 33263: @2358426
     /* 2358426 */   GIM_Reject,
     /* 2358427 */ // Label 33261: @2358427
     /* 2358427 */ GIM_Reject,
     /* 2358428 */ // Label 33197: @2358428
     /* 2358428 */ GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2358531),
     /* 2358433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2358436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358444 */   GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2358487), // Rule ID 59080 //
     /* 2358449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358452 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358486 */     // GIR_Coverage, 59080,
     /* 2358486 */     GIR_EraseRootFromParent_Done,
     /* 2358487 */   // Label 33265: @2358487
     /* 2358487 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2358530), // Rule ID 59081 //
     /* 2358492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358495 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358529 */     // GIR_Coverage, 59081,
     /* 2358529 */     GIR_EraseRootFromParent_Done,
     /* 2358530 */   // Label 33266: @2358530
     /* 2358530 */   GIM_Reject,
     /* 2358531 */ // Label 33264: @2358531
     /* 2358531 */ GIM_Reject,
     /* 2358532 */ // Label 33198: @2358532
     /* 2358532 */ GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2358635),
     /* 2358537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2358540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358548 */   GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2358591), // Rule ID 59088 //
     /* 2358553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358556 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358590 */     // GIR_Coverage, 59088,
     /* 2358590 */     GIR_EraseRootFromParent_Done,
     /* 2358591 */   // Label 33268: @2358591
     /* 2358591 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2358634), // Rule ID 59089 //
     /* 2358596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358599 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358633 */     // GIR_Coverage, 59089,
     /* 2358633 */     GIR_EraseRootFromParent_Done,
     /* 2358634 */   // Label 33269: @2358634
     /* 2358634 */   GIM_Reject,
     /* 2358635 */ // Label 33267: @2358635
     /* 2358635 */ GIM_Reject,
     /* 2358636 */ // Label 33199: @2358636
     /* 2358636 */ GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2358739),
     /* 2358641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2358644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358652 */   GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2358695), // Rule ID 59082 //
     /* 2358657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358660 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358694 */     // GIR_Coverage, 59082,
     /* 2358694 */     GIR_EraseRootFromParent_Done,
     /* 2358695 */   // Label 33271: @2358695
     /* 2358695 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2358738), // Rule ID 59083 //
     /* 2358700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358703 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358737 */     // GIR_Coverage, 59083,
     /* 2358737 */     GIR_EraseRootFromParent_Done,
     /* 2358738 */   // Label 33272: @2358738
     /* 2358738 */   GIM_Reject,
     /* 2358739 */ // Label 33270: @2358739
     /* 2358739 */ GIM_Reject,
     /* 2358740 */ // Label 33200: @2358740
     /* 2358740 */ GIM_Reject,
     /* 2358741 */ // Label 87: @2358741
     /* 2358741 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33297*/ GIMT_Encode4(2361398),
     /* 2358752 */ /*GILLT_s32*//*Label 33273*/ GIMT_Encode4(2358876),
     /* 2358756 */ /*GILLT_s64*//*Label 33274*/ GIMT_Encode4(2358993), GIMT_Encode4(0),
     /* 2358764 */ /*GILLT_nxv1s8*//*Label 33275*/ GIMT_Encode4(2359110),
     /* 2358768 */ /*GILLT_nxv1s16*//*Label 33276*/ GIMT_Encode4(2359214),
     /* 2358772 */ /*GILLT_nxv1s32*//*Label 33277*/ GIMT_Encode4(2359318),
     /* 2358776 */ /*GILLT_nxv1s64*//*Label 33278*/ GIMT_Encode4(2359422), GIMT_Encode4(0),
     /* 2358784 */ /*GILLT_nxv2s8*//*Label 33279*/ GIMT_Encode4(2359526),
     /* 2358788 */ /*GILLT_nxv2s16*//*Label 33280*/ GIMT_Encode4(2359630),
     /* 2358792 */ /*GILLT_nxv2s32*//*Label 33281*/ GIMT_Encode4(2359734),
     /* 2358796 */ /*GILLT_nxv2s64*//*Label 33282*/ GIMT_Encode4(2359838), GIMT_Encode4(0),
     /* 2358804 */ /*GILLT_nxv4s8*//*Label 33283*/ GIMT_Encode4(2359942),
     /* 2358808 */ /*GILLT_nxv4s16*//*Label 33284*/ GIMT_Encode4(2360046),
     /* 2358812 */ /*GILLT_nxv4s32*//*Label 33285*/ GIMT_Encode4(2360150),
     /* 2358816 */ /*GILLT_nxv4s64*//*Label 33286*/ GIMT_Encode4(2360254), GIMT_Encode4(0),
     /* 2358824 */ /*GILLT_nxv8s8*//*Label 33287*/ GIMT_Encode4(2360358),
     /* 2358828 */ /*GILLT_nxv8s16*//*Label 33288*/ GIMT_Encode4(2360462),
     /* 2358832 */ /*GILLT_nxv8s32*//*Label 33289*/ GIMT_Encode4(2360566),
     /* 2358836 */ /*GILLT_nxv8s64*//*Label 33290*/ GIMT_Encode4(2360670), GIMT_Encode4(0),
     /* 2358844 */ /*GILLT_nxv16s8*//*Label 33291*/ GIMT_Encode4(2360774),
     /* 2358848 */ /*GILLT_nxv16s16*//*Label 33292*/ GIMT_Encode4(2360878),
     /* 2358852 */ /*GILLT_nxv16s32*//*Label 33293*/ GIMT_Encode4(2360982), GIMT_Encode4(0),
     /* 2358860 */ /*GILLT_nxv32s8*//*Label 33294*/ GIMT_Encode4(2361086),
     /* 2358864 */ /*GILLT_nxv32s16*//*Label 33295*/ GIMT_Encode4(2361190), GIMT_Encode4(0),
     /* 2358872 */ /*GILLT_nxv64s8*//*Label 33296*/ GIMT_Encode4(2361294),
     /* 2358876 */ // Label 33273: @2358876
     /* 2358876 */ GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2358992),
     /* 2358881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358888 */   GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2358934), // Rule ID 62477 //
     /* 2358893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2358900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2358904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2358912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358917 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2358921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2358923 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2358926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2358932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358933 */     // GIR_Coverage, 62477,
     /* 2358933 */     GIR_EraseRootFromParent_Done,
     /* 2358934 */   // Label 33299: @2358934
     /* 2358934 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2358953), // Rule ID 2405 //
     /* 2358939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2358942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358946 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2358951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358952 */     // GIR_Coverage, 2405,
     /* 2358952 */     GIR_Done,
     /* 2358953 */   // Label 33300: @2358953
     /* 2358953 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2358972), // Rule ID 62475 //
     /* 2358958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358965 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2358970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358971 */     // GIR_Coverage, 62475,
     /* 2358971 */     GIR_Done,
     /* 2358972 */   // Label 33301: @2358972
     /* 2358972 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2358991), // Rule ID 64354 //
     /* 2358977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2358980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358984 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2358989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358990 */     // GIR_Coverage, 64354,
     /* 2358990 */     GIR_Done,
     /* 2358991 */   // Label 33302: @2358991
     /* 2358991 */   GIM_Reject,
     /* 2358992 */ // Label 33298: @2358992
     /* 2358992 */ GIM_Reject,
     /* 2358993 */ // Label 33274: @2358993
     /* 2358993 */ GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2359109),
     /* 2358998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2359001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359005 */   GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2359051), // Rule ID 62476 //
     /* 2359010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2359013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2359017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2359021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2359025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2359029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359034 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2359038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2359040 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2359043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2359049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359050 */     // GIR_Coverage, 62476,
     /* 2359050 */     GIR_EraseRootFromParent_Done,
     /* 2359051 */   // Label 33304: @2359051
     /* 2359051 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2359070), // Rule ID 2404 //
     /* 2359056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2359059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359063 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2359068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359069 */     // GIR_Coverage, 2404,
     /* 2359069 */     GIR_Done,
     /* 2359070 */   // Label 33305: @2359070
     /* 2359070 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2359089), // Rule ID 62474 //
     /* 2359075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2359078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359082 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2359087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359088 */     // GIR_Coverage, 62474,
     /* 2359088 */     GIR_Done,
     /* 2359089 */   // Label 33306: @2359089
     /* 2359089 */   GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2359108), // Rule ID 64353 //
     /* 2359094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2359097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359101 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2359106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359107 */     // GIR_Coverage, 64353,
     /* 2359107 */     GIR_Done,
     /* 2359108 */   // Label 33307: @2359108
     /* 2359108 */   GIM_Reject,
     /* 2359109 */ // Label 33303: @2359109
     /* 2359109 */ GIM_Reject,
     /* 2359110 */ // Label 33275: @2359110
     /* 2359110 */ GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2359213),
     /* 2359115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2359118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359126 */   GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2359169), // Rule ID 59014 //
     /* 2359131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359134 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2359137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2359151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359168 */     // GIR_Coverage, 59014,
     /* 2359168 */     GIR_EraseRootFromParent_Done,
     /* 2359169 */   // Label 33309: @2359169
     /* 2359169 */   GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2359212), // Rule ID 59015 //
     /* 2359174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359177 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2359180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2359194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359211 */     // GIR_Coverage, 59015,
     /* 2359211 */     GIR_EraseRootFromParent_Done,
     /* 2359212 */   // Label 33310: @2359212
     /* 2359212 */   GIM_Reject,
     /* 2359213 */ // Label 33308: @2359213
     /* 2359213 */ GIM_Reject,
     /* 2359214 */ // Label 33276: @2359214
     /* 2359214 */ GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2359317),
     /* 2359219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2359222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359230 */   GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2359273), // Rule ID 59020 //
     /* 2359235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359238 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359272 */     // GIR_Coverage, 59020,
     /* 2359272 */     GIR_EraseRootFromParent_Done,
     /* 2359273 */   // Label 33312: @2359273
     /* 2359273 */   GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2359316), // Rule ID 59021 //
     /* 2359278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359281 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359315 */     // GIR_Coverage, 59021,
     /* 2359315 */     GIR_EraseRootFromParent_Done,
     /* 2359316 */   // Label 33313: @2359316
     /* 2359316 */   GIM_Reject,
     /* 2359317 */ // Label 33311: @2359317
     /* 2359317 */ GIM_Reject,
     /* 2359318 */ // Label 33277: @2359318
     /* 2359318 */ GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2359421),
     /* 2359323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2359326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359334 */   GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2359377), // Rule ID 59024 //
     /* 2359339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359342 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359376 */     // GIR_Coverage, 59024,
     /* 2359376 */     GIR_EraseRootFromParent_Done,
     /* 2359377 */   // Label 33315: @2359377
     /* 2359377 */   GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2359420), // Rule ID 59025 //
     /* 2359382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359385 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359419 */     // GIR_Coverage, 59025,
     /* 2359419 */     GIR_EraseRootFromParent_Done,
     /* 2359420 */   // Label 33316: @2359420
     /* 2359420 */   GIM_Reject,
     /* 2359421 */ // Label 33314: @2359421
     /* 2359421 */ GIM_Reject,
     /* 2359422 */ // Label 33278: @2359422
     /* 2359422 */ GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2359525),
     /* 2359427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2359430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359438 */   GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2359481), // Rule ID 59032 //
     /* 2359443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359446 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359480 */     // GIR_Coverage, 59032,
     /* 2359480 */     GIR_EraseRootFromParent_Done,
     /* 2359481 */   // Label 33318: @2359481
     /* 2359481 */   GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2359524), // Rule ID 59033 //
     /* 2359486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359489 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359523 */     // GIR_Coverage, 59033,
     /* 2359523 */     GIR_EraseRootFromParent_Done,
     /* 2359524 */   // Label 33319: @2359524
     /* 2359524 */   GIM_Reject,
     /* 2359525 */ // Label 33317: @2359525
     /* 2359525 */ GIM_Reject,
     /* 2359526 */ // Label 33279: @2359526
     /* 2359526 */ GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2359629),
     /* 2359531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2359534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359542 */   GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2359585), // Rule ID 59016 //
     /* 2359547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359550 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359584 */     // GIR_Coverage, 59016,
     /* 2359584 */     GIR_EraseRootFromParent_Done,
     /* 2359585 */   // Label 33321: @2359585
     /* 2359585 */   GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2359628), // Rule ID 59017 //
     /* 2359590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359593 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359627 */     // GIR_Coverage, 59017,
     /* 2359627 */     GIR_EraseRootFromParent_Done,
     /* 2359628 */   // Label 33322: @2359628
     /* 2359628 */   GIM_Reject,
     /* 2359629 */ // Label 33320: @2359629
     /* 2359629 */ GIM_Reject,
     /* 2359630 */ // Label 33280: @2359630
     /* 2359630 */ GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2359733),
     /* 2359635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2359638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359646 */   GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2359689), // Rule ID 59022 //
     /* 2359651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359654 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359688 */     // GIR_Coverage, 59022,
     /* 2359688 */     GIR_EraseRootFromParent_Done,
     /* 2359689 */   // Label 33324: @2359689
     /* 2359689 */   GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2359732), // Rule ID 59023 //
     /* 2359694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359697 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359731 */     // GIR_Coverage, 59023,
     /* 2359731 */     GIR_EraseRootFromParent_Done,
     /* 2359732 */   // Label 33325: @2359732
     /* 2359732 */   GIM_Reject,
     /* 2359733 */ // Label 33323: @2359733
     /* 2359733 */ GIM_Reject,
     /* 2359734 */ // Label 33281: @2359734
     /* 2359734 */ GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2359837),
     /* 2359739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2359742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359750 */   GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2359793), // Rule ID 59030 //
     /* 2359755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359758 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359792 */     // GIR_Coverage, 59030,
     /* 2359792 */     GIR_EraseRootFromParent_Done,
     /* 2359793 */   // Label 33327: @2359793
     /* 2359793 */   GIM_Try, /*On fail goto*//*Label 33328*/ GIMT_Encode4(2359836), // Rule ID 59031 //
     /* 2359798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359801 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359835 */     // GIR_Coverage, 59031,
     /* 2359835 */     GIR_EraseRootFromParent_Done,
     /* 2359836 */   // Label 33328: @2359836
     /* 2359836 */   GIM_Reject,
     /* 2359837 */ // Label 33326: @2359837
     /* 2359837 */ GIM_Reject,
     /* 2359838 */ // Label 33282: @2359838
     /* 2359838 */ GIM_Try, /*On fail goto*//*Label 33329*/ GIMT_Encode4(2359941),
     /* 2359843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2359846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359854 */   GIM_Try, /*On fail goto*//*Label 33330*/ GIMT_Encode4(2359897), // Rule ID 59052 //
     /* 2359859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359862 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359896 */     // GIR_Coverage, 59052,
     /* 2359896 */     GIR_EraseRootFromParent_Done,
     /* 2359897 */   // Label 33330: @2359897
     /* 2359897 */   GIM_Try, /*On fail goto*//*Label 33331*/ GIMT_Encode4(2359940), // Rule ID 59053 //
     /* 2359902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359905 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359939 */     // GIR_Coverage, 59053,
     /* 2359939 */     GIR_EraseRootFromParent_Done,
     /* 2359940 */   // Label 33331: @2359940
     /* 2359940 */   GIM_Reject,
     /* 2359941 */ // Label 33329: @2359941
     /* 2359941 */ GIM_Reject,
     /* 2359942 */ // Label 33283: @2359942
     /* 2359942 */ GIM_Try, /*On fail goto*//*Label 33332*/ GIMT_Encode4(2360045),
     /* 2359947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2359950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359958 */   GIM_Try, /*On fail goto*//*Label 33333*/ GIMT_Encode4(2360001), // Rule ID 59018 //
     /* 2359963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359966 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360000 */     // GIR_Coverage, 59018,
     /* 2360000 */     GIR_EraseRootFromParent_Done,
     /* 2360001 */   // Label 33333: @2360001
     /* 2360001 */   GIM_Try, /*On fail goto*//*Label 33334*/ GIMT_Encode4(2360044), // Rule ID 59019 //
     /* 2360006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360009 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2360012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2360026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360043 */     // GIR_Coverage, 59019,
     /* 2360043 */     GIR_EraseRootFromParent_Done,
     /* 2360044 */   // Label 33334: @2360044
     /* 2360044 */   GIM_Reject,
     /* 2360045 */ // Label 33332: @2360045
     /* 2360045 */ GIM_Reject,
     /* 2360046 */ // Label 33284: @2360046
     /* 2360046 */ GIM_Try, /*On fail goto*//*Label 33335*/ GIMT_Encode4(2360149),
     /* 2360051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2360054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360062 */   GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2360105), // Rule ID 59028 //
     /* 2360067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360070 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360104 */     // GIR_Coverage, 59028,
     /* 2360104 */     GIR_EraseRootFromParent_Done,
     /* 2360105 */   // Label 33336: @2360105
     /* 2360105 */   GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2360148), // Rule ID 59029 //
     /* 2360110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360113 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360147 */     // GIR_Coverage, 59029,
     /* 2360147 */     GIR_EraseRootFromParent_Done,
     /* 2360148 */   // Label 33337: @2360148
     /* 2360148 */   GIM_Reject,
     /* 2360149 */ // Label 33335: @2360149
     /* 2360149 */ GIM_Reject,
     /* 2360150 */ // Label 33285: @2360150
     /* 2360150 */ GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2360253),
     /* 2360155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2360158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360166 */   GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2360209), // Rule ID 59046 //
     /* 2360171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360174 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2360177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360208 */     // GIR_Coverage, 59046,
     /* 2360208 */     GIR_EraseRootFromParent_Done,
     /* 2360209 */   // Label 33339: @2360209
     /* 2360209 */   GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2360252), // Rule ID 59047 //
     /* 2360214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360217 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2360220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360251 */     // GIR_Coverage, 59047,
     /* 2360251 */     GIR_EraseRootFromParent_Done,
     /* 2360252 */   // Label 33340: @2360252
     /* 2360252 */   GIM_Reject,
     /* 2360253 */ // Label 33338: @2360253
     /* 2360253 */ GIM_Reject,
     /* 2360254 */ // Label 33286: @2360254
     /* 2360254 */ GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2360357),
     /* 2360259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2360262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360270 */   GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2360313), // Rule ID 59054 //
     /* 2360275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360278 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360312 */     // GIR_Coverage, 59054,
     /* 2360312 */     GIR_EraseRootFromParent_Done,
     /* 2360313 */   // Label 33342: @2360313
     /* 2360313 */   GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2360356), // Rule ID 59055 //
     /* 2360318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360321 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360355 */     // GIR_Coverage, 59055,
     /* 2360355 */     GIR_EraseRootFromParent_Done,
     /* 2360356 */   // Label 33343: @2360356
     /* 2360356 */   GIM_Reject,
     /* 2360357 */ // Label 33341: @2360357
     /* 2360357 */ GIM_Reject,
     /* 2360358 */ // Label 33287: @2360358
     /* 2360358 */ GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2360461),
     /* 2360363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2360366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360374 */   GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2360417), // Rule ID 59026 //
     /* 2360379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360382 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2360385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360416 */     // GIR_Coverage, 59026,
     /* 2360416 */     GIR_EraseRootFromParent_Done,
     /* 2360417 */   // Label 33345: @2360417
     /* 2360417 */   GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2360460), // Rule ID 59027 //
     /* 2360422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360425 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2360428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360459 */     // GIR_Coverage, 59027,
     /* 2360459 */     GIR_EraseRootFromParent_Done,
     /* 2360460 */   // Label 33346: @2360460
     /* 2360460 */   GIM_Reject,
     /* 2360461 */ // Label 33344: @2360461
     /* 2360461 */ GIM_Reject,
     /* 2360462 */ // Label 33288: @2360462
     /* 2360462 */ GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2360565),
     /* 2360467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2360470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360478 */   GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2360521), // Rule ID 59040 //
     /* 2360483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360486 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360520 */     // GIR_Coverage, 59040,
     /* 2360520 */     GIR_EraseRootFromParent_Done,
     /* 2360521 */   // Label 33348: @2360521
     /* 2360521 */   GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2360564), // Rule ID 59041 //
     /* 2360526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360529 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360563 */     // GIR_Coverage, 59041,
     /* 2360563 */     GIR_EraseRootFromParent_Done,
     /* 2360564 */   // Label 33349: @2360564
     /* 2360564 */   GIM_Reject,
     /* 2360565 */ // Label 33347: @2360565
     /* 2360565 */ GIM_Reject,
     /* 2360566 */ // Label 33289: @2360566
     /* 2360566 */ GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2360669),
     /* 2360571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2360574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360582 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2360625), // Rule ID 59048 //
     /* 2360587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360590 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360624 */     // GIR_Coverage, 59048,
     /* 2360624 */     GIR_EraseRootFromParent_Done,
     /* 2360625 */   // Label 33351: @2360625
     /* 2360625 */   GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2360668), // Rule ID 59049 //
     /* 2360630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360633 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360667 */     // GIR_Coverage, 59049,
     /* 2360667 */     GIR_EraseRootFromParent_Done,
     /* 2360668 */   // Label 33352: @2360668
     /* 2360668 */   GIM_Reject,
     /* 2360669 */ // Label 33350: @2360669
     /* 2360669 */ GIM_Reject,
     /* 2360670 */ // Label 33290: @2360670
     /* 2360670 */ GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2360773),
     /* 2360675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2360678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360686 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2360729), // Rule ID 59056 //
     /* 2360691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360694 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360728 */     // GIR_Coverage, 59056,
     /* 2360728 */     GIR_EraseRootFromParent_Done,
     /* 2360729 */   // Label 33354: @2360729
     /* 2360729 */   GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2360772), // Rule ID 59057 //
     /* 2360734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360737 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360771 */     // GIR_Coverage, 59057,
     /* 2360771 */     GIR_EraseRootFromParent_Done,
     /* 2360772 */   // Label 33355: @2360772
     /* 2360772 */   GIM_Reject,
     /* 2360773 */ // Label 33353: @2360773
     /* 2360773 */ GIM_Reject,
     /* 2360774 */ // Label 33291: @2360774
     /* 2360774 */ GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2360877),
     /* 2360779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2360782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360790 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2360833), // Rule ID 59034 //
     /* 2360795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360798 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360832 */     // GIR_Coverage, 59034,
     /* 2360832 */     GIR_EraseRootFromParent_Done,
     /* 2360833 */   // Label 33357: @2360833
     /* 2360833 */   GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2360876), // Rule ID 59035 //
     /* 2360838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360841 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360875 */     // GIR_Coverage, 59035,
     /* 2360875 */     GIR_EraseRootFromParent_Done,
     /* 2360876 */   // Label 33358: @2360876
     /* 2360876 */   GIM_Reject,
     /* 2360877 */ // Label 33356: @2360877
     /* 2360877 */ GIM_Reject,
     /* 2360878 */ // Label 33292: @2360878
     /* 2360878 */ GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2360981),
     /* 2360883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2360886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360894 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2360937), // Rule ID 59042 //
     /* 2360899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360902 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360936 */     // GIR_Coverage, 59042,
     /* 2360936 */     GIR_EraseRootFromParent_Done,
     /* 2360937 */   // Label 33360: @2360937
     /* 2360937 */   GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2360980), // Rule ID 59043 //
     /* 2360942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360945 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360979 */     // GIR_Coverage, 59043,
     /* 2360979 */     GIR_EraseRootFromParent_Done,
     /* 2360980 */   // Label 33361: @2360980
     /* 2360980 */   GIM_Reject,
     /* 2360981 */ // Label 33359: @2360981
     /* 2360981 */ GIM_Reject,
     /* 2360982 */ // Label 33293: @2360982
     /* 2360982 */ GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2361085),
     /* 2360987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2360990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360998 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2361041), // Rule ID 59050 //
     /* 2361003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361006 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361040 */     // GIR_Coverage, 59050,
     /* 2361040 */     GIR_EraseRootFromParent_Done,
     /* 2361041 */   // Label 33363: @2361041
     /* 2361041 */   GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2361084), // Rule ID 59051 //
     /* 2361046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361049 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361083 */     // GIR_Coverage, 59051,
     /* 2361083 */     GIR_EraseRootFromParent_Done,
     /* 2361084 */   // Label 33364: @2361084
     /* 2361084 */   GIM_Reject,
     /* 2361085 */ // Label 33362: @2361085
     /* 2361085 */ GIM_Reject,
     /* 2361086 */ // Label 33294: @2361086
     /* 2361086 */ GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2361189),
     /* 2361091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2361094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361102 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2361145), // Rule ID 59036 //
     /* 2361107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361110 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2361113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2361127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361144 */     // GIR_Coverage, 59036,
     /* 2361144 */     GIR_EraseRootFromParent_Done,
     /* 2361145 */   // Label 33366: @2361145
     /* 2361145 */   GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2361188), // Rule ID 59037 //
     /* 2361150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361153 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2361156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2361170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361187 */     // GIR_Coverage, 59037,
     /* 2361187 */     GIR_EraseRootFromParent_Done,
     /* 2361188 */   // Label 33367: @2361188
     /* 2361188 */   GIM_Reject,
     /* 2361189 */ // Label 33365: @2361189
     /* 2361189 */ GIM_Reject,
     /* 2361190 */ // Label 33295: @2361190
     /* 2361190 */ GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2361293),
     /* 2361195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2361198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361206 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2361249), // Rule ID 59044 //
     /* 2361211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361214 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2361217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361248 */     // GIR_Coverage, 59044,
     /* 2361248 */     GIR_EraseRootFromParent_Done,
     /* 2361249 */   // Label 33369: @2361249
     /* 2361249 */   GIM_Try, /*On fail goto*//*Label 33370*/ GIMT_Encode4(2361292), // Rule ID 59045 //
     /* 2361254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361257 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2361260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361291 */     // GIR_Coverage, 59045,
     /* 2361291 */     GIR_EraseRootFromParent_Done,
     /* 2361292 */   // Label 33370: @2361292
     /* 2361292 */   GIM_Reject,
     /* 2361293 */ // Label 33368: @2361293
     /* 2361293 */ GIM_Reject,
     /* 2361294 */ // Label 33296: @2361294
     /* 2361294 */ GIM_Try, /*On fail goto*//*Label 33371*/ GIMT_Encode4(2361397),
     /* 2361299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2361302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361310 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2361353), // Rule ID 59038 //
     /* 2361315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361318 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2361321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361352 */     // GIR_Coverage, 59038,
     /* 2361352 */     GIR_EraseRootFromParent_Done,
     /* 2361353 */   // Label 33372: @2361353
     /* 2361353 */   GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2361396), // Rule ID 59039 //
     /* 2361358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361361 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2361364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361395 */     // GIR_Coverage, 59039,
     /* 2361395 */     GIR_EraseRootFromParent_Done,
     /* 2361396 */   // Label 33373: @2361396
     /* 2361396 */   GIM_Reject,
     /* 2361397 */ // Label 33371: @2361397
     /* 2361397 */ GIM_Reject,
     /* 2361398 */ // Label 33297: @2361398
     /* 2361398 */ GIM_Reject,
     /* 2361399 */ // Label 88: @2361399
     /* 2361399 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33398*/ GIMT_Encode4(2363949),
     /* 2361410 */ /*GILLT_s32*//*Label 33374*/ GIMT_Encode4(2361534),
     /* 2361414 */ /*GILLT_s64*//*Label 33375*/ GIMT_Encode4(2361582), GIMT_Encode4(0),
     /* 2361422 */ /*GILLT_nxv1s8*//*Label 33376*/ GIMT_Encode4(2361661),
     /* 2361426 */ /*GILLT_nxv1s16*//*Label 33377*/ GIMT_Encode4(2361765),
     /* 2361430 */ /*GILLT_nxv1s32*//*Label 33378*/ GIMT_Encode4(2361869),
     /* 2361434 */ /*GILLT_nxv1s64*//*Label 33379*/ GIMT_Encode4(2361973), GIMT_Encode4(0),
     /* 2361442 */ /*GILLT_nxv2s8*//*Label 33380*/ GIMT_Encode4(2362077),
     /* 2361446 */ /*GILLT_nxv2s16*//*Label 33381*/ GIMT_Encode4(2362181),
     /* 2361450 */ /*GILLT_nxv2s32*//*Label 33382*/ GIMT_Encode4(2362285),
     /* 2361454 */ /*GILLT_nxv2s64*//*Label 33383*/ GIMT_Encode4(2362389), GIMT_Encode4(0),
     /* 2361462 */ /*GILLT_nxv4s8*//*Label 33384*/ GIMT_Encode4(2362493),
     /* 2361466 */ /*GILLT_nxv4s16*//*Label 33385*/ GIMT_Encode4(2362597),
     /* 2361470 */ /*GILLT_nxv4s32*//*Label 33386*/ GIMT_Encode4(2362701),
     /* 2361474 */ /*GILLT_nxv4s64*//*Label 33387*/ GIMT_Encode4(2362805), GIMT_Encode4(0),
     /* 2361482 */ /*GILLT_nxv8s8*//*Label 33388*/ GIMT_Encode4(2362909),
     /* 2361486 */ /*GILLT_nxv8s16*//*Label 33389*/ GIMT_Encode4(2363013),
     /* 2361490 */ /*GILLT_nxv8s32*//*Label 33390*/ GIMT_Encode4(2363117),
     /* 2361494 */ /*GILLT_nxv8s64*//*Label 33391*/ GIMT_Encode4(2363221), GIMT_Encode4(0),
     /* 2361502 */ /*GILLT_nxv16s8*//*Label 33392*/ GIMT_Encode4(2363325),
     /* 2361506 */ /*GILLT_nxv16s16*//*Label 33393*/ GIMT_Encode4(2363429),
     /* 2361510 */ /*GILLT_nxv16s32*//*Label 33394*/ GIMT_Encode4(2363533), GIMT_Encode4(0),
     /* 2361518 */ /*GILLT_nxv32s8*//*Label 33395*/ GIMT_Encode4(2363637),
     /* 2361522 */ /*GILLT_nxv32s16*//*Label 33396*/ GIMT_Encode4(2363741), GIMT_Encode4(0),
     /* 2361530 */ /*GILLT_nxv64s8*//*Label 33397*/ GIMT_Encode4(2363845),
     /* 2361534 */ // Label 33374: @2361534
     /* 2361534 */ GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2361581),
     /* 2361539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2361542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361550 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2361565), // Rule ID 2409 //
     /* 2361555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2361558 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361564 */     // GIR_Coverage, 2409,
     /* 2361564 */     GIR_Done,
     /* 2361565 */   // Label 33400: @2361565
     /* 2361565 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2361580), // Rule ID 64357 //
     /* 2361570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2361573 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361579 */     // GIR_Coverage, 64357,
     /* 2361579 */     GIR_Done,
     /* 2361580 */   // Label 33401: @2361580
     /* 2361580 */   GIM_Reject,
     /* 2361581 */ // Label 33399: @2361581
     /* 2361581 */ GIM_Reject,
     /* 2361582 */ // Label 33375: @2361582
     /* 2361582 */ GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2361660),
     /* 2361587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2361590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361594 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2361621), // Rule ID 2412 //
     /* 2361599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2361602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2361609 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2361612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2361619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361620 */     // GIR_Coverage, 2412,
     /* 2361620 */     GIR_EraseRootFromParent_Done,
     /* 2361621 */   // Label 33403: @2361621
     /* 2361621 */   GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2361640), // Rule ID 2408 //
     /* 2361626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2361629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361633 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361639 */     // GIR_Coverage, 2408,
     /* 2361639 */     GIR_Done,
     /* 2361640 */   // Label 33404: @2361640
     /* 2361640 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2361659), // Rule ID 64356 //
     /* 2361645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2361648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361652 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361658 */     // GIR_Coverage, 64356,
     /* 2361658 */     GIR_Done,
     /* 2361659 */   // Label 33405: @2361659
     /* 2361659 */   GIM_Reject,
     /* 2361660 */ // Label 33402: @2361660
     /* 2361660 */ GIM_Reject,
     /* 2361661 */ // Label 33376: @2361661
     /* 2361661 */ GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2361764),
     /* 2361666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2361669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361677 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2361720), // Rule ID 59102 //
     /* 2361682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361685 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361719 */     // GIR_Coverage, 59102,
     /* 2361719 */     GIR_EraseRootFromParent_Done,
     /* 2361720 */   // Label 33407: @2361720
     /* 2361720 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2361763), // Rule ID 59103 //
     /* 2361725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361728 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361762 */     // GIR_Coverage, 59103,
     /* 2361762 */     GIR_EraseRootFromParent_Done,
     /* 2361763 */   // Label 33408: @2361763
     /* 2361763 */   GIM_Reject,
     /* 2361764 */ // Label 33406: @2361764
     /* 2361764 */ GIM_Reject,
     /* 2361765 */ // Label 33377: @2361765
     /* 2361765 */ GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2361868),
     /* 2361770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2361773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361781 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2361824), // Rule ID 59108 //
     /* 2361786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361789 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361823 */     // GIR_Coverage, 59108,
     /* 2361823 */     GIR_EraseRootFromParent_Done,
     /* 2361824 */   // Label 33410: @2361824
     /* 2361824 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2361867), // Rule ID 59109 //
     /* 2361829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361832 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361866 */     // GIR_Coverage, 59109,
     /* 2361866 */     GIR_EraseRootFromParent_Done,
     /* 2361867 */   // Label 33411: @2361867
     /* 2361867 */   GIM_Reject,
     /* 2361868 */ // Label 33409: @2361868
     /* 2361868 */ GIM_Reject,
     /* 2361869 */ // Label 33378: @2361869
     /* 2361869 */ GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2361972),
     /* 2361874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2361877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361885 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2361928), // Rule ID 59112 //
     /* 2361890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361893 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361927 */     // GIR_Coverage, 59112,
     /* 2361927 */     GIR_EraseRootFromParent_Done,
     /* 2361928 */   // Label 33413: @2361928
     /* 2361928 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2361971), // Rule ID 59113 //
     /* 2361933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361936 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361970 */     // GIR_Coverage, 59113,
     /* 2361970 */     GIR_EraseRootFromParent_Done,
     /* 2361971 */   // Label 33414: @2361971
     /* 2361971 */   GIM_Reject,
     /* 2361972 */ // Label 33412: @2361972
     /* 2361972 */ GIM_Reject,
     /* 2361973 */ // Label 33379: @2361973
     /* 2361973 */ GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2362076),
     /* 2361978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2361981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361989 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2362032), // Rule ID 59120 //
     /* 2361994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361997 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2362000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362031 */     // GIR_Coverage, 59120,
     /* 2362031 */     GIR_EraseRootFromParent_Done,
     /* 2362032 */   // Label 33416: @2362032
     /* 2362032 */   GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2362075), // Rule ID 59121 //
     /* 2362037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362040 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2362043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362074 */     // GIR_Coverage, 59121,
     /* 2362074 */     GIR_EraseRootFromParent_Done,
     /* 2362075 */   // Label 33417: @2362075
     /* 2362075 */   GIM_Reject,
     /* 2362076 */ // Label 33415: @2362076
     /* 2362076 */ GIM_Reject,
     /* 2362077 */ // Label 33380: @2362077
     /* 2362077 */ GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2362180),
     /* 2362082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2362085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362093 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2362136), // Rule ID 59104 //
     /* 2362098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362101 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2362104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2362118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362135 */     // GIR_Coverage, 59104,
     /* 2362135 */     GIR_EraseRootFromParent_Done,
     /* 2362136 */   // Label 33419: @2362136
     /* 2362136 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2362179), // Rule ID 59105 //
     /* 2362141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362144 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2362147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2362161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362178 */     // GIR_Coverage, 59105,
     /* 2362178 */     GIR_EraseRootFromParent_Done,
     /* 2362179 */   // Label 33420: @2362179
     /* 2362179 */   GIM_Reject,
     /* 2362180 */ // Label 33418: @2362180
     /* 2362180 */ GIM_Reject,
     /* 2362181 */ // Label 33381: @2362181
     /* 2362181 */ GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2362284),
     /* 2362186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2362189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362197 */   GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2362240), // Rule ID 59110 //
     /* 2362202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362205 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2362208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362239 */     // GIR_Coverage, 59110,
     /* 2362239 */     GIR_EraseRootFromParent_Done,
     /* 2362240 */   // Label 33422: @2362240
     /* 2362240 */   GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2362283), // Rule ID 59111 //
     /* 2362245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362248 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2362251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362282 */     // GIR_Coverage, 59111,
     /* 2362282 */     GIR_EraseRootFromParent_Done,
     /* 2362283 */   // Label 33423: @2362283
     /* 2362283 */   GIM_Reject,
     /* 2362284 */ // Label 33421: @2362284
     /* 2362284 */ GIM_Reject,
     /* 2362285 */ // Label 33382: @2362285
     /* 2362285 */ GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2362388),
     /* 2362290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2362293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362301 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2362344), // Rule ID 59118 //
     /* 2362306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362309 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2362312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362343 */     // GIR_Coverage, 59118,
     /* 2362343 */     GIR_EraseRootFromParent_Done,
     /* 2362344 */   // Label 33425: @2362344
     /* 2362344 */   GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2362387), // Rule ID 59119 //
     /* 2362349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362352 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2362355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362386 */     // GIR_Coverage, 59119,
     /* 2362386 */     GIR_EraseRootFromParent_Done,
     /* 2362387 */   // Label 33426: @2362387
     /* 2362387 */   GIM_Reject,
     /* 2362388 */ // Label 33424: @2362388
     /* 2362388 */ GIM_Reject,
     /* 2362389 */ // Label 33383: @2362389
     /* 2362389 */ GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2362492),
     /* 2362394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2362397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362405 */   GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2362448), // Rule ID 59140 //
     /* 2362410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362413 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362447 */     // GIR_Coverage, 59140,
     /* 2362447 */     GIR_EraseRootFromParent_Done,
     /* 2362448 */   // Label 33428: @2362448
     /* 2362448 */   GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2362491), // Rule ID 59141 //
     /* 2362453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362456 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362490 */     // GIR_Coverage, 59141,
     /* 2362490 */     GIR_EraseRootFromParent_Done,
     /* 2362491 */   // Label 33429: @2362491
     /* 2362491 */   GIM_Reject,
     /* 2362492 */ // Label 33427: @2362492
     /* 2362492 */ GIM_Reject,
     /* 2362493 */ // Label 33384: @2362493
     /* 2362493 */ GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2362596),
     /* 2362498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2362501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362509 */   GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2362552), // Rule ID 59106 //
     /* 2362514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362517 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362551 */     // GIR_Coverage, 59106,
     /* 2362551 */     GIR_EraseRootFromParent_Done,
     /* 2362552 */   // Label 33431: @2362552
     /* 2362552 */   GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2362595), // Rule ID 59107 //
     /* 2362557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362560 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362594 */     // GIR_Coverage, 59107,
     /* 2362594 */     GIR_EraseRootFromParent_Done,
     /* 2362595 */   // Label 33432: @2362595
     /* 2362595 */   GIM_Reject,
     /* 2362596 */ // Label 33430: @2362596
     /* 2362596 */ GIM_Reject,
     /* 2362597 */ // Label 33385: @2362597
     /* 2362597 */ GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2362700),
     /* 2362602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2362605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362613 */   GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2362656), // Rule ID 59116 //
     /* 2362618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362621 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362655 */     // GIR_Coverage, 59116,
     /* 2362655 */     GIR_EraseRootFromParent_Done,
     /* 2362656 */   // Label 33434: @2362656
     /* 2362656 */   GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2362699), // Rule ID 59117 //
     /* 2362661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362664 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362698 */     // GIR_Coverage, 59117,
     /* 2362698 */     GIR_EraseRootFromParent_Done,
     /* 2362699 */   // Label 33435: @2362699
     /* 2362699 */   GIM_Reject,
     /* 2362700 */ // Label 33433: @2362700
     /* 2362700 */ GIM_Reject,
     /* 2362701 */ // Label 33386: @2362701
     /* 2362701 */ GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2362804),
     /* 2362706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2362709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362717 */   GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2362760), // Rule ID 59134 //
     /* 2362722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362725 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362759 */     // GIR_Coverage, 59134,
     /* 2362759 */     GIR_EraseRootFromParent_Done,
     /* 2362760 */   // Label 33437: @2362760
     /* 2362760 */   GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2362803), // Rule ID 59135 //
     /* 2362765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362768 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362802 */     // GIR_Coverage, 59135,
     /* 2362802 */     GIR_EraseRootFromParent_Done,
     /* 2362803 */   // Label 33438: @2362803
     /* 2362803 */   GIM_Reject,
     /* 2362804 */ // Label 33436: @2362804
     /* 2362804 */ GIM_Reject,
     /* 2362805 */ // Label 33387: @2362805
     /* 2362805 */ GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2362908),
     /* 2362810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2362813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362821 */   GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2362864), // Rule ID 59142 //
     /* 2362826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362829 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362863 */     // GIR_Coverage, 59142,
     /* 2362863 */     GIR_EraseRootFromParent_Done,
     /* 2362864 */   // Label 33440: @2362864
     /* 2362864 */   GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2362907), // Rule ID 59143 //
     /* 2362869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362872 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362906 */     // GIR_Coverage, 59143,
     /* 2362906 */     GIR_EraseRootFromParent_Done,
     /* 2362907 */   // Label 33441: @2362907
     /* 2362907 */   GIM_Reject,
     /* 2362908 */ // Label 33439: @2362908
     /* 2362908 */ GIM_Reject,
     /* 2362909 */ // Label 33388: @2362909
     /* 2362909 */ GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2363012),
     /* 2362914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2362917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362925 */   GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2362968), // Rule ID 59114 //
     /* 2362930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362933 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362967 */     // GIR_Coverage, 59114,
     /* 2362967 */     GIR_EraseRootFromParent_Done,
     /* 2362968 */   // Label 33443: @2362968
     /* 2362968 */   GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2363011), // Rule ID 59115 //
     /* 2362973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362976 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363010 */     // GIR_Coverage, 59115,
     /* 2363010 */     GIR_EraseRootFromParent_Done,
     /* 2363011 */   // Label 33444: @2363011
     /* 2363011 */   GIM_Reject,
     /* 2363012 */ // Label 33442: @2363012
     /* 2363012 */ GIM_Reject,
     /* 2363013 */ // Label 33389: @2363013
     /* 2363013 */ GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2363116),
     /* 2363018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2363021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363029 */   GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2363072), // Rule ID 59128 //
     /* 2363034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363037 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363071 */     // GIR_Coverage, 59128,
     /* 2363071 */     GIR_EraseRootFromParent_Done,
     /* 2363072 */   // Label 33446: @2363072
     /* 2363072 */   GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2363115), // Rule ID 59129 //
     /* 2363077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363080 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363114 */     // GIR_Coverage, 59129,
     /* 2363114 */     GIR_EraseRootFromParent_Done,
     /* 2363115 */   // Label 33447: @2363115
     /* 2363115 */   GIM_Reject,
     /* 2363116 */ // Label 33445: @2363116
     /* 2363116 */ GIM_Reject,
     /* 2363117 */ // Label 33390: @2363117
     /* 2363117 */ GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2363220),
     /* 2363122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2363125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363133 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2363176), // Rule ID 59136 //
     /* 2363138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363141 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2363144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363175 */     // GIR_Coverage, 59136,
     /* 2363175 */     GIR_EraseRootFromParent_Done,
     /* 2363176 */   // Label 33449: @2363176
     /* 2363176 */   GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2363219), // Rule ID 59137 //
     /* 2363181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363184 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2363187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363218 */     // GIR_Coverage, 59137,
     /* 2363218 */     GIR_EraseRootFromParent_Done,
     /* 2363219 */   // Label 33450: @2363219
     /* 2363219 */   GIM_Reject,
     /* 2363220 */ // Label 33448: @2363220
     /* 2363220 */ GIM_Reject,
     /* 2363221 */ // Label 33391: @2363221
     /* 2363221 */ GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2363324),
     /* 2363226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2363229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363237 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2363280), // Rule ID 59144 //
     /* 2363242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2363245 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2363248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363279 */     // GIR_Coverage, 59144,
     /* 2363279 */     GIR_EraseRootFromParent_Done,
     /* 2363280 */   // Label 33452: @2363280
     /* 2363280 */   GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2363323), // Rule ID 59145 //
     /* 2363285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2363288 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2363291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363322 */     // GIR_Coverage, 59145,
     /* 2363322 */     GIR_EraseRootFromParent_Done,
     /* 2363323 */   // Label 33453: @2363323
     /* 2363323 */   GIM_Reject,
     /* 2363324 */ // Label 33451: @2363324
     /* 2363324 */ GIM_Reject,
     /* 2363325 */ // Label 33392: @2363325
     /* 2363325 */ GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2363428),
     /* 2363330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2363333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363341 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2363384), // Rule ID 59122 //
     /* 2363346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363349 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2363352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363383 */     // GIR_Coverage, 59122,
     /* 2363383 */     GIR_EraseRootFromParent_Done,
     /* 2363384 */   // Label 33455: @2363384
     /* 2363384 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2363427), // Rule ID 59123 //
     /* 2363389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363392 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2363395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363426 */     // GIR_Coverage, 59123,
     /* 2363426 */     GIR_EraseRootFromParent_Done,
     /* 2363427 */   // Label 33456: @2363427
     /* 2363427 */   GIM_Reject,
     /* 2363428 */ // Label 33454: @2363428
     /* 2363428 */ GIM_Reject,
     /* 2363429 */ // Label 33393: @2363429
     /* 2363429 */ GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2363532),
     /* 2363434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2363437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363445 */   GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2363488), // Rule ID 59130 //
     /* 2363450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363453 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363487 */     // GIR_Coverage, 59130,
     /* 2363487 */     GIR_EraseRootFromParent_Done,
     /* 2363488 */   // Label 33458: @2363488
     /* 2363488 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2363531), // Rule ID 59131 //
     /* 2363493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363496 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363530 */     // GIR_Coverage, 59131,
     /* 2363530 */     GIR_EraseRootFromParent_Done,
     /* 2363531 */   // Label 33459: @2363531
     /* 2363531 */   GIM_Reject,
     /* 2363532 */ // Label 33457: @2363532
     /* 2363532 */ GIM_Reject,
     /* 2363533 */ // Label 33394: @2363533
     /* 2363533 */ GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2363636),
     /* 2363538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2363541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363549 */   GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2363592), // Rule ID 59138 //
     /* 2363554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363557 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363591 */     // GIR_Coverage, 59138,
     /* 2363591 */     GIR_EraseRootFromParent_Done,
     /* 2363592 */   // Label 33461: @2363592
     /* 2363592 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2363635), // Rule ID 59139 //
     /* 2363597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363600 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363634 */     // GIR_Coverage, 59139,
     /* 2363634 */     GIR_EraseRootFromParent_Done,
     /* 2363635 */   // Label 33462: @2363635
     /* 2363635 */   GIM_Reject,
     /* 2363636 */ // Label 33460: @2363636
     /* 2363636 */ GIM_Reject,
     /* 2363637 */ // Label 33395: @2363637
     /* 2363637 */ GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2363740),
     /* 2363642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2363645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363653 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2363696), // Rule ID 59124 //
     /* 2363658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363661 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363695 */     // GIR_Coverage, 59124,
     /* 2363695 */     GIR_EraseRootFromParent_Done,
     /* 2363696 */   // Label 33464: @2363696
     /* 2363696 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2363739), // Rule ID 59125 //
     /* 2363701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363704 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363738 */     // GIR_Coverage, 59125,
     /* 2363738 */     GIR_EraseRootFromParent_Done,
     /* 2363739 */   // Label 33465: @2363739
     /* 2363739 */   GIM_Reject,
     /* 2363740 */ // Label 33463: @2363740
     /* 2363740 */ GIM_Reject,
     /* 2363741 */ // Label 33396: @2363741
     /* 2363741 */ GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2363844),
     /* 2363746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2363749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363757 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2363800), // Rule ID 59132 //
     /* 2363762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363765 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363799 */     // GIR_Coverage, 59132,
     /* 2363799 */     GIR_EraseRootFromParent_Done,
     /* 2363800 */   // Label 33467: @2363800
     /* 2363800 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2363843), // Rule ID 59133 //
     /* 2363805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363808 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363842 */     // GIR_Coverage, 59133,
     /* 2363842 */     GIR_EraseRootFromParent_Done,
     /* 2363843 */   // Label 33468: @2363843
     /* 2363843 */   GIM_Reject,
     /* 2363844 */ // Label 33466: @2363844
     /* 2363844 */ GIM_Reject,
     /* 2363845 */ // Label 33397: @2363845
     /* 2363845 */ GIM_Try, /*On fail goto*//*Label 33469*/ GIMT_Encode4(2363948),
     /* 2363850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2363853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363861 */   GIM_Try, /*On fail goto*//*Label 33470*/ GIMT_Encode4(2363904), // Rule ID 59126 //
     /* 2363866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363869 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363903 */     // GIR_Coverage, 59126,
     /* 2363903 */     GIR_EraseRootFromParent_Done,
     /* 2363904 */   // Label 33470: @2363904
     /* 2363904 */   GIM_Try, /*On fail goto*//*Label 33471*/ GIMT_Encode4(2363947), // Rule ID 59127 //
     /* 2363909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363912 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363946 */     // GIR_Coverage, 59127,
     /* 2363946 */     GIR_EraseRootFromParent_Done,
     /* 2363947 */   // Label 33471: @2363947
     /* 2363947 */   GIM_Reject,
     /* 2363948 */ // Label 33469: @2363948
     /* 2363948 */ GIM_Reject,
     /* 2363949 */ // Label 33398: @2363949
     /* 2363949 */ GIM_Reject,
     /* 2363950 */ // Label 89: @2363950
     /* 2363950 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33496*/ GIMT_Encode4(2366484),
     /* 2363961 */ /*GILLT_s32*//*Label 33472*/ GIMT_Encode4(2364085),
     /* 2363965 */ /*GILLT_s64*//*Label 33473*/ GIMT_Encode4(2364148), GIMT_Encode4(0),
     /* 2363973 */ /*GILLT_nxv1s8*//*Label 33474*/ GIMT_Encode4(2364196),
     /* 2363977 */ /*GILLT_nxv1s16*//*Label 33475*/ GIMT_Encode4(2364300),
     /* 2363981 */ /*GILLT_nxv1s32*//*Label 33476*/ GIMT_Encode4(2364404),
     /* 2363985 */ /*GILLT_nxv1s64*//*Label 33477*/ GIMT_Encode4(2364508), GIMT_Encode4(0),
     /* 2363993 */ /*GILLT_nxv2s8*//*Label 33478*/ GIMT_Encode4(2364612),
     /* 2363997 */ /*GILLT_nxv2s16*//*Label 33479*/ GIMT_Encode4(2364716),
     /* 2364001 */ /*GILLT_nxv2s32*//*Label 33480*/ GIMT_Encode4(2364820),
     /* 2364005 */ /*GILLT_nxv2s64*//*Label 33481*/ GIMT_Encode4(2364924), GIMT_Encode4(0),
     /* 2364013 */ /*GILLT_nxv4s8*//*Label 33482*/ GIMT_Encode4(2365028),
     /* 2364017 */ /*GILLT_nxv4s16*//*Label 33483*/ GIMT_Encode4(2365132),
     /* 2364021 */ /*GILLT_nxv4s32*//*Label 33484*/ GIMT_Encode4(2365236),
     /* 2364025 */ /*GILLT_nxv4s64*//*Label 33485*/ GIMT_Encode4(2365340), GIMT_Encode4(0),
     /* 2364033 */ /*GILLT_nxv8s8*//*Label 33486*/ GIMT_Encode4(2365444),
     /* 2364037 */ /*GILLT_nxv8s16*//*Label 33487*/ GIMT_Encode4(2365548),
     /* 2364041 */ /*GILLT_nxv8s32*//*Label 33488*/ GIMT_Encode4(2365652),
     /* 2364045 */ /*GILLT_nxv8s64*//*Label 33489*/ GIMT_Encode4(2365756), GIMT_Encode4(0),
     /* 2364053 */ /*GILLT_nxv16s8*//*Label 33490*/ GIMT_Encode4(2365860),
     /* 2364057 */ /*GILLT_nxv16s16*//*Label 33491*/ GIMT_Encode4(2365964),
     /* 2364061 */ /*GILLT_nxv16s32*//*Label 33492*/ GIMT_Encode4(2366068), GIMT_Encode4(0),
     /* 2364069 */ /*GILLT_nxv32s8*//*Label 33493*/ GIMT_Encode4(2366172),
     /* 2364073 */ /*GILLT_nxv32s16*//*Label 33494*/ GIMT_Encode4(2366276), GIMT_Encode4(0),
     /* 2364081 */ /*GILLT_nxv64s8*//*Label 33495*/ GIMT_Encode4(2366380),
     /* 2364085 */ // Label 33472: @2364085
     /* 2364085 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2364147),
     /* 2364090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364101 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2364116), // Rule ID 2426 //
     /* 2364106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2364109 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2364114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364115 */     // GIR_Coverage, 2426,
     /* 2364115 */     GIR_Done,
     /* 2364116 */   // Label 33498: @2364116
     /* 2364116 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2364131), // Rule ID 2427 //
     /* 2364121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2364124 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2364129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364130 */     // GIR_Coverage, 2427,
     /* 2364130 */     GIR_Done,
     /* 2364131 */   // Label 33499: @2364131
     /* 2364131 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2364146), // Rule ID 62479 //
     /* 2364136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2364139 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364139 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2364144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364145 */     // GIR_Coverage, 62479,
     /* 2364145 */     GIR_Done,
     /* 2364146 */   // Label 33500: @2364146
     /* 2364146 */   GIM_Reject,
     /* 2364147 */ // Label 33497: @2364147
     /* 2364147 */ GIM_Reject,
     /* 2364148 */ // Label 33473: @2364148
     /* 2364148 */ GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2364195),
     /* 2364153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364164 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2364179), // Rule ID 2428 //
     /* 2364169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2364172 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2364172 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2364177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364178 */     // GIR_Coverage, 2428,
     /* 2364178 */     GIR_Done,
     /* 2364179 */   // Label 33502: @2364179
     /* 2364179 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2364194), // Rule ID 62478 //
     /* 2364184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2364187 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2364187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2364192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364193 */     // GIR_Coverage, 62478,
     /* 2364193 */     GIR_Done,
     /* 2364194 */   // Label 33503: @2364194
     /* 2364194 */   GIM_Reject,
     /* 2364195 */ // Label 33501: @2364195
     /* 2364195 */ GIM_Reject,
     /* 2364196 */ // Label 33474: @2364196
     /* 2364196 */ GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2364299),
     /* 2364201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2364204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364212 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2364255), // Rule ID 58970 //
     /* 2364217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364220 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2364237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364254 */     // GIR_Coverage, 58970,
     /* 2364254 */     GIR_EraseRootFromParent_Done,
     /* 2364255 */   // Label 33505: @2364255
     /* 2364255 */   GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2364298), // Rule ID 58971 //
     /* 2364260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364263 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2364280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364297 */     // GIR_Coverage, 58971,
     /* 2364297 */     GIR_EraseRootFromParent_Done,
     /* 2364298 */   // Label 33506: @2364298
     /* 2364298 */   GIM_Reject,
     /* 2364299 */ // Label 33504: @2364299
     /* 2364299 */ GIM_Reject,
     /* 2364300 */ // Label 33475: @2364300
     /* 2364300 */ GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2364403),
     /* 2364305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2364308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364316 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2364359), // Rule ID 58976 //
     /* 2364321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364324 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364358 */     // GIR_Coverage, 58976,
     /* 2364358 */     GIR_EraseRootFromParent_Done,
     /* 2364359 */   // Label 33508: @2364359
     /* 2364359 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2364402), // Rule ID 58977 //
     /* 2364364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364367 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364401 */     // GIR_Coverage, 58977,
     /* 2364401 */     GIR_EraseRootFromParent_Done,
     /* 2364402 */   // Label 33509: @2364402
     /* 2364402 */   GIM_Reject,
     /* 2364403 */ // Label 33507: @2364403
     /* 2364403 */ GIM_Reject,
     /* 2364404 */ // Label 33476: @2364404
     /* 2364404 */ GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2364507),
     /* 2364409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2364412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364420 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2364463), // Rule ID 58980 //
     /* 2364425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364428 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364462 */     // GIR_Coverage, 58980,
     /* 2364462 */     GIR_EraseRootFromParent_Done,
     /* 2364463 */   // Label 33511: @2364463
     /* 2364463 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2364506), // Rule ID 58981 //
     /* 2364468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364471 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364505 */     // GIR_Coverage, 58981,
     /* 2364505 */     GIR_EraseRootFromParent_Done,
     /* 2364506 */   // Label 33512: @2364506
     /* 2364506 */   GIM_Reject,
     /* 2364507 */ // Label 33510: @2364507
     /* 2364507 */ GIM_Reject,
     /* 2364508 */ // Label 33477: @2364508
     /* 2364508 */ GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2364611),
     /* 2364513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2364516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364524 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2364567), // Rule ID 58988 //
     /* 2364529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364532 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364566 */     // GIR_Coverage, 58988,
     /* 2364566 */     GIR_EraseRootFromParent_Done,
     /* 2364567 */   // Label 33514: @2364567
     /* 2364567 */   GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2364610), // Rule ID 58989 //
     /* 2364572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364575 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364609 */     // GIR_Coverage, 58989,
     /* 2364609 */     GIR_EraseRootFromParent_Done,
     /* 2364610 */   // Label 33515: @2364610
     /* 2364610 */   GIM_Reject,
     /* 2364611 */ // Label 33513: @2364611
     /* 2364611 */ GIM_Reject,
     /* 2364612 */ // Label 33478: @2364612
     /* 2364612 */ GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2364715),
     /* 2364617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2364620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364628 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2364671), // Rule ID 58972 //
     /* 2364633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364636 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364670 */     // GIR_Coverage, 58972,
     /* 2364670 */     GIR_EraseRootFromParent_Done,
     /* 2364671 */   // Label 33517: @2364671
     /* 2364671 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2364714), // Rule ID 58973 //
     /* 2364676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364679 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364713 */     // GIR_Coverage, 58973,
     /* 2364713 */     GIR_EraseRootFromParent_Done,
     /* 2364714 */   // Label 33518: @2364714
     /* 2364714 */   GIM_Reject,
     /* 2364715 */ // Label 33516: @2364715
     /* 2364715 */ GIM_Reject,
     /* 2364716 */ // Label 33479: @2364716
     /* 2364716 */ GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2364819),
     /* 2364721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2364724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364732 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2364775), // Rule ID 58978 //
     /* 2364737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364740 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364774 */     // GIR_Coverage, 58978,
     /* 2364774 */     GIR_EraseRootFromParent_Done,
     /* 2364775 */   // Label 33520: @2364775
     /* 2364775 */   GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2364818), // Rule ID 58979 //
     /* 2364780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364783 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364817 */     // GIR_Coverage, 58979,
     /* 2364817 */     GIR_EraseRootFromParent_Done,
     /* 2364818 */   // Label 33521: @2364818
     /* 2364818 */   GIM_Reject,
     /* 2364819 */ // Label 33519: @2364819
     /* 2364819 */ GIM_Reject,
     /* 2364820 */ // Label 33480: @2364820
     /* 2364820 */ GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2364923),
     /* 2364825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2364828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364836 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2364879), // Rule ID 58986 //
     /* 2364841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364844 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364878 */     // GIR_Coverage, 58986,
     /* 2364878 */     GIR_EraseRootFromParent_Done,
     /* 2364879 */   // Label 33523: @2364879
     /* 2364879 */   GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2364922), // Rule ID 58987 //
     /* 2364884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364887 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364921 */     // GIR_Coverage, 58987,
     /* 2364921 */     GIR_EraseRootFromParent_Done,
     /* 2364922 */   // Label 33524: @2364922
     /* 2364922 */   GIM_Reject,
     /* 2364923 */ // Label 33522: @2364923
     /* 2364923 */ GIM_Reject,
     /* 2364924 */ // Label 33481: @2364924
     /* 2364924 */ GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2365027),
     /* 2364929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2364932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364940 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2364983), // Rule ID 59008 //
     /* 2364945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364948 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364982 */     // GIR_Coverage, 59008,
     /* 2364982 */     GIR_EraseRootFromParent_Done,
     /* 2364983 */   // Label 33526: @2364983
     /* 2364983 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2365026), // Rule ID 59009 //
     /* 2364988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364991 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365025 */     // GIR_Coverage, 59009,
     /* 2365025 */     GIR_EraseRootFromParent_Done,
     /* 2365026 */   // Label 33527: @2365026
     /* 2365026 */   GIM_Reject,
     /* 2365027 */ // Label 33525: @2365027
     /* 2365027 */ GIM_Reject,
     /* 2365028 */ // Label 33482: @2365028
     /* 2365028 */ GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2365131),
     /* 2365033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2365036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365044 */   GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2365087), // Rule ID 58974 //
     /* 2365049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365052 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2365069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365086 */     // GIR_Coverage, 58974,
     /* 2365086 */     GIR_EraseRootFromParent_Done,
     /* 2365087 */   // Label 33529: @2365087
     /* 2365087 */   GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2365130), // Rule ID 58975 //
     /* 2365092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365095 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2365112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365129 */     // GIR_Coverage, 58975,
     /* 2365129 */     GIR_EraseRootFromParent_Done,
     /* 2365130 */   // Label 33530: @2365130
     /* 2365130 */   GIM_Reject,
     /* 2365131 */ // Label 33528: @2365131
     /* 2365131 */ GIM_Reject,
     /* 2365132 */ // Label 33483: @2365132
     /* 2365132 */ GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2365235),
     /* 2365137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2365140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365148 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2365191), // Rule ID 58984 //
     /* 2365153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365156 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365190 */     // GIR_Coverage, 58984,
     /* 2365190 */     GIR_EraseRootFromParent_Done,
     /* 2365191 */   // Label 33532: @2365191
     /* 2365191 */   GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2365234), // Rule ID 58985 //
     /* 2365196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365199 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365233 */     // GIR_Coverage, 58985,
     /* 2365233 */     GIR_EraseRootFromParent_Done,
     /* 2365234 */   // Label 33533: @2365234
     /* 2365234 */   GIM_Reject,
     /* 2365235 */ // Label 33531: @2365235
     /* 2365235 */ GIM_Reject,
     /* 2365236 */ // Label 33484: @2365236
     /* 2365236 */ GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2365339),
     /* 2365241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2365244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365252 */   GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2365295), // Rule ID 59002 //
     /* 2365257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365260 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365294 */     // GIR_Coverage, 59002,
     /* 2365294 */     GIR_EraseRootFromParent_Done,
     /* 2365295 */   // Label 33535: @2365295
     /* 2365295 */   GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2365338), // Rule ID 59003 //
     /* 2365300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365303 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365337 */     // GIR_Coverage, 59003,
     /* 2365337 */     GIR_EraseRootFromParent_Done,
     /* 2365338 */   // Label 33536: @2365338
     /* 2365338 */   GIM_Reject,
     /* 2365339 */ // Label 33534: @2365339
     /* 2365339 */ GIM_Reject,
     /* 2365340 */ // Label 33485: @2365340
     /* 2365340 */ GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2365443),
     /* 2365345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2365348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365356 */   GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2365399), // Rule ID 59010 //
     /* 2365361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2365364 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365398 */     // GIR_Coverage, 59010,
     /* 2365398 */     GIR_EraseRootFromParent_Done,
     /* 2365399 */   // Label 33538: @2365399
     /* 2365399 */   GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2365442), // Rule ID 59011 //
     /* 2365404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2365407 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365441 */     // GIR_Coverage, 59011,
     /* 2365441 */     GIR_EraseRootFromParent_Done,
     /* 2365442 */   // Label 33539: @2365442
     /* 2365442 */   GIM_Reject,
     /* 2365443 */ // Label 33537: @2365443
     /* 2365443 */ GIM_Reject,
     /* 2365444 */ // Label 33486: @2365444
     /* 2365444 */ GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2365547),
     /* 2365449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2365452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365460 */   GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2365503), // Rule ID 58982 //
     /* 2365465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365468 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365502 */     // GIR_Coverage, 58982,
     /* 2365502 */     GIR_EraseRootFromParent_Done,
     /* 2365503 */   // Label 33541: @2365503
     /* 2365503 */   GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2365546), // Rule ID 58983 //
     /* 2365508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365511 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365545 */     // GIR_Coverage, 58983,
     /* 2365545 */     GIR_EraseRootFromParent_Done,
     /* 2365546 */   // Label 33542: @2365546
     /* 2365546 */   GIM_Reject,
     /* 2365547 */ // Label 33540: @2365547
     /* 2365547 */ GIM_Reject,
     /* 2365548 */ // Label 33487: @2365548
     /* 2365548 */ GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2365651),
     /* 2365553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2365556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365564 */   GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2365607), // Rule ID 58996 //
     /* 2365569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365572 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365606 */     // GIR_Coverage, 58996,
     /* 2365606 */     GIR_EraseRootFromParent_Done,
     /* 2365607 */   // Label 33544: @2365607
     /* 2365607 */   GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2365650), // Rule ID 58997 //
     /* 2365612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365615 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365649 */     // GIR_Coverage, 58997,
     /* 2365649 */     GIR_EraseRootFromParent_Done,
     /* 2365650 */   // Label 33545: @2365650
     /* 2365650 */   GIM_Reject,
     /* 2365651 */ // Label 33543: @2365651
     /* 2365651 */ GIM_Reject,
     /* 2365652 */ // Label 33488: @2365652
     /* 2365652 */ GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2365755),
     /* 2365657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2365660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365668 */   GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2365711), // Rule ID 59004 //
     /* 2365673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365676 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365710 */     // GIR_Coverage, 59004,
     /* 2365710 */     GIR_EraseRootFromParent_Done,
     /* 2365711 */   // Label 33547: @2365711
     /* 2365711 */   GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2365754), // Rule ID 59005 //
     /* 2365716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365719 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365753 */     // GIR_Coverage, 59005,
     /* 2365753 */     GIR_EraseRootFromParent_Done,
     /* 2365754 */   // Label 33548: @2365754
     /* 2365754 */   GIM_Reject,
     /* 2365755 */ // Label 33546: @2365755
     /* 2365755 */ GIM_Reject,
     /* 2365756 */ // Label 33489: @2365756
     /* 2365756 */ GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2365859),
     /* 2365761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2365764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365772 */   GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2365815), // Rule ID 59012 //
     /* 2365777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2365780 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365814 */     // GIR_Coverage, 59012,
     /* 2365814 */     GIR_EraseRootFromParent_Done,
     /* 2365815 */   // Label 33550: @2365815
     /* 2365815 */   GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2365858), // Rule ID 59013 //
     /* 2365820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2365823 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365857 */     // GIR_Coverage, 59013,
     /* 2365857 */     GIR_EraseRootFromParent_Done,
     /* 2365858 */   // Label 33551: @2365858
     /* 2365858 */   GIM_Reject,
     /* 2365859 */ // Label 33549: @2365859
     /* 2365859 */ GIM_Reject,
     /* 2365860 */ // Label 33490: @2365860
     /* 2365860 */ GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2365963),
     /* 2365865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2365868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365876 */   GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2365919), // Rule ID 58990 //
     /* 2365881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365884 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365918 */     // GIR_Coverage, 58990,
     /* 2365918 */     GIR_EraseRootFromParent_Done,
     /* 2365919 */   // Label 33553: @2365919
     /* 2365919 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2365962), // Rule ID 58991 //
     /* 2365924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365927 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365961 */     // GIR_Coverage, 58991,
     /* 2365961 */     GIR_EraseRootFromParent_Done,
     /* 2365962 */   // Label 33554: @2365962
     /* 2365962 */   GIM_Reject,
     /* 2365963 */ // Label 33552: @2365963
     /* 2365963 */ GIM_Reject,
     /* 2365964 */ // Label 33491: @2365964
     /* 2365964 */ GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2366067),
     /* 2365969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2365972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365980 */   GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2366023), // Rule ID 58998 //
     /* 2365985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365988 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2366005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366022 */     // GIR_Coverage, 58998,
     /* 2366022 */     GIR_EraseRootFromParent_Done,
     /* 2366023 */   // Label 33556: @2366023
     /* 2366023 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2366066), // Rule ID 58999 //
     /* 2366028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366031 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2366048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366065 */     // GIR_Coverage, 58999,
     /* 2366065 */     GIR_EraseRootFromParent_Done,
     /* 2366066 */   // Label 33557: @2366066
     /* 2366066 */   GIM_Reject,
     /* 2366067 */ // Label 33555: @2366067
     /* 2366067 */ GIM_Reject,
     /* 2366068 */ // Label 33492: @2366068
     /* 2366068 */ GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2366171),
     /* 2366073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2366076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366084 */   GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2366127), // Rule ID 59006 //
     /* 2366089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366092 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366126 */     // GIR_Coverage, 59006,
     /* 2366126 */     GIR_EraseRootFromParent_Done,
     /* 2366127 */   // Label 33559: @2366127
     /* 2366127 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2366170), // Rule ID 59007 //
     /* 2366132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366135 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366169 */     // GIR_Coverage, 59007,
     /* 2366169 */     GIR_EraseRootFromParent_Done,
     /* 2366170 */   // Label 33560: @2366170
     /* 2366170 */   GIM_Reject,
     /* 2366171 */ // Label 33558: @2366171
     /* 2366171 */ GIM_Reject,
     /* 2366172 */ // Label 33493: @2366172
     /* 2366172 */ GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2366275),
     /* 2366177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2366180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366188 */   GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2366231), // Rule ID 58992 //
     /* 2366193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366196 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2366213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366230 */     // GIR_Coverage, 58992,
     /* 2366230 */     GIR_EraseRootFromParent_Done,
     /* 2366231 */   // Label 33562: @2366231
     /* 2366231 */   GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2366274), // Rule ID 58993 //
     /* 2366236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366239 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2366256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366273 */     // GIR_Coverage, 58993,
     /* 2366273 */     GIR_EraseRootFromParent_Done,
     /* 2366274 */   // Label 33563: @2366274
     /* 2366274 */   GIM_Reject,
     /* 2366275 */ // Label 33561: @2366275
     /* 2366275 */ GIM_Reject,
     /* 2366276 */ // Label 33494: @2366276
     /* 2366276 */ GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2366379),
     /* 2366281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2366284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366292 */   GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2366335), // Rule ID 59000 //
     /* 2366297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366300 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366334 */     // GIR_Coverage, 59000,
     /* 2366334 */     GIR_EraseRootFromParent_Done,
     /* 2366335 */   // Label 33565: @2366335
     /* 2366335 */   GIM_Try, /*On fail goto*//*Label 33566*/ GIMT_Encode4(2366378), // Rule ID 59001 //
     /* 2366340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366343 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366377 */     // GIR_Coverage, 59001,
     /* 2366377 */     GIR_EraseRootFromParent_Done,
     /* 2366378 */   // Label 33566: @2366378
     /* 2366378 */   GIM_Reject,
     /* 2366379 */ // Label 33564: @2366379
     /* 2366379 */ GIM_Reject,
     /* 2366380 */ // Label 33495: @2366380
     /* 2366380 */ GIM_Try, /*On fail goto*//*Label 33567*/ GIMT_Encode4(2366483),
     /* 2366385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2366388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366396 */   GIM_Try, /*On fail goto*//*Label 33568*/ GIMT_Encode4(2366439), // Rule ID 58994 //
     /* 2366401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366404 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366438 */     // GIR_Coverage, 58994,
     /* 2366438 */     GIR_EraseRootFromParent_Done,
     /* 2366439 */   // Label 33568: @2366439
     /* 2366439 */   GIM_Try, /*On fail goto*//*Label 33569*/ GIMT_Encode4(2366482), // Rule ID 58995 //
     /* 2366444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366447 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366481 */     // GIR_Coverage, 58995,
     /* 2366481 */     GIR_EraseRootFromParent_Done,
     /* 2366482 */   // Label 33569: @2366482
     /* 2366482 */   GIM_Reject,
     /* 2366483 */ // Label 33567: @2366483
     /* 2366483 */ GIM_Reject,
     /* 2366484 */ // Label 33496: @2366484
     /* 2366484 */ GIM_Reject,
     /* 2366485 */ // Label 90: @2366485
     /* 2366485 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33594*/ GIMT_Encode4(2368978),
     /* 2366496 */ /*GILLT_s32*//*Label 33570*/ GIMT_Encode4(2366620),
     /* 2366500 */ /*GILLT_s64*//*Label 33571*/ GIMT_Encode4(2366655), GIMT_Encode4(0),
     /* 2366508 */ /*GILLT_nxv1s8*//*Label 33572*/ GIMT_Encode4(2366690),
     /* 2366512 */ /*GILLT_nxv1s16*//*Label 33573*/ GIMT_Encode4(2366794),
     /* 2366516 */ /*GILLT_nxv1s32*//*Label 33574*/ GIMT_Encode4(2366898),
     /* 2366520 */ /*GILLT_nxv1s64*//*Label 33575*/ GIMT_Encode4(2367002), GIMT_Encode4(0),
     /* 2366528 */ /*GILLT_nxv2s8*//*Label 33576*/ GIMT_Encode4(2367106),
     /* 2366532 */ /*GILLT_nxv2s16*//*Label 33577*/ GIMT_Encode4(2367210),
     /* 2366536 */ /*GILLT_nxv2s32*//*Label 33578*/ GIMT_Encode4(2367314),
     /* 2366540 */ /*GILLT_nxv2s64*//*Label 33579*/ GIMT_Encode4(2367418), GIMT_Encode4(0),
     /* 2366548 */ /*GILLT_nxv4s8*//*Label 33580*/ GIMT_Encode4(2367522),
     /* 2366552 */ /*GILLT_nxv4s16*//*Label 33581*/ GIMT_Encode4(2367626),
     /* 2366556 */ /*GILLT_nxv4s32*//*Label 33582*/ GIMT_Encode4(2367730),
     /* 2366560 */ /*GILLT_nxv4s64*//*Label 33583*/ GIMT_Encode4(2367834), GIMT_Encode4(0),
     /* 2366568 */ /*GILLT_nxv8s8*//*Label 33584*/ GIMT_Encode4(2367938),
     /* 2366572 */ /*GILLT_nxv8s16*//*Label 33585*/ GIMT_Encode4(2368042),
     /* 2366576 */ /*GILLT_nxv8s32*//*Label 33586*/ GIMT_Encode4(2368146),
     /* 2366580 */ /*GILLT_nxv8s64*//*Label 33587*/ GIMT_Encode4(2368250), GIMT_Encode4(0),
     /* 2366588 */ /*GILLT_nxv16s8*//*Label 33588*/ GIMT_Encode4(2368354),
     /* 2366592 */ /*GILLT_nxv16s16*//*Label 33589*/ GIMT_Encode4(2368458),
     /* 2366596 */ /*GILLT_nxv16s32*//*Label 33590*/ GIMT_Encode4(2368562), GIMT_Encode4(0),
     /* 2366604 */ /*GILLT_nxv32s8*//*Label 33591*/ GIMT_Encode4(2368666),
     /* 2366608 */ /*GILLT_nxv32s16*//*Label 33592*/ GIMT_Encode4(2368770), GIMT_Encode4(0),
     /* 2366616 */ /*GILLT_nxv64s8*//*Label 33593*/ GIMT_Encode4(2368874),
     /* 2366620 */ // Label 33570: @2366620
     /* 2366620 */ GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2366654), // Rule ID 64362 //
     /* 2366625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2366628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2366631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366639 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2366639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366653 */   // GIR_Coverage, 64362,
     /* 2366653 */   GIR_EraseRootFromParent_Done,
     /* 2366654 */ // Label 33595: @2366654
     /* 2366654 */ GIM_Reject,
     /* 2366655 */ // Label 33571: @2366655
     /* 2366655 */ GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2366689), // Rule ID 64361 //
     /* 2366660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2366663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2366666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366674 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2366674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366688 */   // GIR_Coverage, 64361,
     /* 2366688 */   GIR_EraseRootFromParent_Done,
     /* 2366689 */ // Label 33596: @2366689
     /* 2366689 */ GIM_Reject,
     /* 2366690 */ // Label 33572: @2366690
     /* 2366690 */ GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2366793),
     /* 2366695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2366698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366706 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2366749), // Rule ID 58794 //
     /* 2366711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366714 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366748 */     // GIR_Coverage, 58794,
     /* 2366748 */     GIR_EraseRootFromParent_Done,
     /* 2366749 */   // Label 33598: @2366749
     /* 2366749 */   GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2366792), // Rule ID 58795 //
     /* 2366754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366757 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366791 */     // GIR_Coverage, 58795,
     /* 2366791 */     GIR_EraseRootFromParent_Done,
     /* 2366792 */   // Label 33599: @2366792
     /* 2366792 */   GIM_Reject,
     /* 2366793 */ // Label 33597: @2366793
     /* 2366793 */ GIM_Reject,
     /* 2366794 */ // Label 33573: @2366794
     /* 2366794 */ GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2366897),
     /* 2366799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2366802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366810 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2366853), // Rule ID 58932 //
     /* 2366815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366818 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366852 */     // GIR_Coverage, 58932,
     /* 2366852 */     GIR_EraseRootFromParent_Done,
     /* 2366853 */   // Label 33601: @2366853
     /* 2366853 */   GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2366896), // Rule ID 58933 //
     /* 2366858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366861 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366895 */     // GIR_Coverage, 58933,
     /* 2366895 */     GIR_EraseRootFromParent_Done,
     /* 2366896 */   // Label 33602: @2366896
     /* 2366896 */   GIM_Reject,
     /* 2366897 */ // Label 33600: @2366897
     /* 2366897 */ GIM_Reject,
     /* 2366898 */ // Label 33574: @2366898
     /* 2366898 */ GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2367001),
     /* 2366903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2366906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366914 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2366957), // Rule ID 58936 //
     /* 2366919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366922 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366956 */     // GIR_Coverage, 58936,
     /* 2366956 */     GIR_EraseRootFromParent_Done,
     /* 2366957 */   // Label 33604: @2366957
     /* 2366957 */   GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2367000), // Rule ID 58937 //
     /* 2366962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366965 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366999 */     // GIR_Coverage, 58937,
     /* 2366999 */     GIR_EraseRootFromParent_Done,
     /* 2367000 */   // Label 33605: @2367000
     /* 2367000 */   GIM_Reject,
     /* 2367001 */ // Label 33603: @2367001
     /* 2367001 */ GIM_Reject,
     /* 2367002 */ // Label 33575: @2367002
     /* 2367002 */ GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2367105),
     /* 2367007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2367010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367018 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2367061), // Rule ID 58944 //
     /* 2367023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367026 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367060 */     // GIR_Coverage, 58944,
     /* 2367060 */     GIR_EraseRootFromParent_Done,
     /* 2367061 */   // Label 33607: @2367061
     /* 2367061 */   GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2367104), // Rule ID 58945 //
     /* 2367066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367069 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367103 */     // GIR_Coverage, 58945,
     /* 2367103 */     GIR_EraseRootFromParent_Done,
     /* 2367104 */   // Label 33608: @2367104
     /* 2367104 */   GIM_Reject,
     /* 2367105 */ // Label 33606: @2367105
     /* 2367105 */ GIM_Reject,
     /* 2367106 */ // Label 33576: @2367106
     /* 2367106 */ GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2367209),
     /* 2367111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2367114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367122 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2367165), // Rule ID 58928 //
     /* 2367127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367130 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2367147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367164 */     // GIR_Coverage, 58928,
     /* 2367164 */     GIR_EraseRootFromParent_Done,
     /* 2367165 */   // Label 33610: @2367165
     /* 2367165 */   GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2367208), // Rule ID 58929 //
     /* 2367170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367173 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2367190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367207 */     // GIR_Coverage, 58929,
     /* 2367207 */     GIR_EraseRootFromParent_Done,
     /* 2367208 */   // Label 33611: @2367208
     /* 2367208 */   GIM_Reject,
     /* 2367209 */ // Label 33609: @2367209
     /* 2367209 */ GIM_Reject,
     /* 2367210 */ // Label 33577: @2367210
     /* 2367210 */ GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2367313),
     /* 2367215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2367218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367226 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2367269), // Rule ID 58934 //
     /* 2367231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367234 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367268 */     // GIR_Coverage, 58934,
     /* 2367268 */     GIR_EraseRootFromParent_Done,
     /* 2367269 */   // Label 33613: @2367269
     /* 2367269 */   GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2367312), // Rule ID 58935 //
     /* 2367274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367277 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367311 */     // GIR_Coverage, 58935,
     /* 2367311 */     GIR_EraseRootFromParent_Done,
     /* 2367312 */   // Label 33614: @2367312
     /* 2367312 */   GIM_Reject,
     /* 2367313 */ // Label 33612: @2367313
     /* 2367313 */ GIM_Reject,
     /* 2367314 */ // Label 33578: @2367314
     /* 2367314 */ GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2367417),
     /* 2367319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2367322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367330 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2367373), // Rule ID 58942 //
     /* 2367335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367338 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2367341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367372 */     // GIR_Coverage, 58942,
     /* 2367372 */     GIR_EraseRootFromParent_Done,
     /* 2367373 */   // Label 33616: @2367373
     /* 2367373 */   GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2367416), // Rule ID 58943 //
     /* 2367378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367381 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2367384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367415 */     // GIR_Coverage, 58943,
     /* 2367415 */     GIR_EraseRootFromParent_Done,
     /* 2367416 */   // Label 33617: @2367416
     /* 2367416 */   GIM_Reject,
     /* 2367417 */ // Label 33615: @2367417
     /* 2367417 */ GIM_Reject,
     /* 2367418 */ // Label 33579: @2367418
     /* 2367418 */ GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2367521),
     /* 2367423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2367426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367434 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2367477), // Rule ID 58964 //
     /* 2367439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367442 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367476 */     // GIR_Coverage, 58964,
     /* 2367476 */     GIR_EraseRootFromParent_Done,
     /* 2367477 */   // Label 33619: @2367477
     /* 2367477 */   GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2367520), // Rule ID 58965 //
     /* 2367482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367485 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367519 */     // GIR_Coverage, 58965,
     /* 2367519 */     GIR_EraseRootFromParent_Done,
     /* 2367520 */   // Label 33620: @2367520
     /* 2367520 */   GIM_Reject,
     /* 2367521 */ // Label 33618: @2367521
     /* 2367521 */ GIM_Reject,
     /* 2367522 */ // Label 33580: @2367522
     /* 2367522 */ GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2367625),
     /* 2367527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2367530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367538 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2367581), // Rule ID 58930 //
     /* 2367543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367546 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367580 */     // GIR_Coverage, 58930,
     /* 2367580 */     GIR_EraseRootFromParent_Done,
     /* 2367581 */   // Label 33622: @2367581
     /* 2367581 */   GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2367624), // Rule ID 58931 //
     /* 2367586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367589 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367623 */     // GIR_Coverage, 58931,
     /* 2367623 */     GIR_EraseRootFromParent_Done,
     /* 2367624 */   // Label 33623: @2367624
     /* 2367624 */   GIM_Reject,
     /* 2367625 */ // Label 33621: @2367625
     /* 2367625 */ GIM_Reject,
     /* 2367626 */ // Label 33581: @2367626
     /* 2367626 */ GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2367729),
     /* 2367631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2367634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367642 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2367685), // Rule ID 58940 //
     /* 2367647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367650 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367684 */     // GIR_Coverage, 58940,
     /* 2367684 */     GIR_EraseRootFromParent_Done,
     /* 2367685 */   // Label 33625: @2367685
     /* 2367685 */   GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2367728), // Rule ID 58941 //
     /* 2367690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367693 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367727 */     // GIR_Coverage, 58941,
     /* 2367727 */     GIR_EraseRootFromParent_Done,
     /* 2367728 */   // Label 33626: @2367728
     /* 2367728 */   GIM_Reject,
     /* 2367729 */ // Label 33624: @2367729
     /* 2367729 */ GIM_Reject,
     /* 2367730 */ // Label 33582: @2367730
     /* 2367730 */ GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2367833),
     /* 2367735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2367738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367746 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2367789), // Rule ID 58958 //
     /* 2367751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367754 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367788 */     // GIR_Coverage, 58958,
     /* 2367788 */     GIR_EraseRootFromParent_Done,
     /* 2367789 */   // Label 33628: @2367789
     /* 2367789 */   GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2367832), // Rule ID 58959 //
     /* 2367794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367797 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367831 */     // GIR_Coverage, 58959,
     /* 2367831 */     GIR_EraseRootFromParent_Done,
     /* 2367832 */   // Label 33629: @2367832
     /* 2367832 */   GIM_Reject,
     /* 2367833 */ // Label 33627: @2367833
     /* 2367833 */ GIM_Reject,
     /* 2367834 */ // Label 33583: @2367834
     /* 2367834 */ GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2367937),
     /* 2367839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2367842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367850 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2367893), // Rule ID 58966 //
     /* 2367855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367858 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367892 */     // GIR_Coverage, 58966,
     /* 2367892 */     GIR_EraseRootFromParent_Done,
     /* 2367893 */   // Label 33631: @2367893
     /* 2367893 */   GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2367936), // Rule ID 58967 //
     /* 2367898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367901 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367935 */     // GIR_Coverage, 58967,
     /* 2367935 */     GIR_EraseRootFromParent_Done,
     /* 2367936 */   // Label 33632: @2367936
     /* 2367936 */   GIM_Reject,
     /* 2367937 */ // Label 33630: @2367937
     /* 2367937 */ GIM_Reject,
     /* 2367938 */ // Label 33584: @2367938
     /* 2367938 */ GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2368041),
     /* 2367943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2367946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367954 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2367997), // Rule ID 58938 //
     /* 2367959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367962 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367996 */     // GIR_Coverage, 58938,
     /* 2367996 */     GIR_EraseRootFromParent_Done,
     /* 2367997 */   // Label 33634: @2367997
     /* 2367997 */   GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2368040), // Rule ID 58939 //
     /* 2368002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368005 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2368008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2368022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368039 */     // GIR_Coverage, 58939,
     /* 2368039 */     GIR_EraseRootFromParent_Done,
     /* 2368040 */   // Label 33635: @2368040
     /* 2368040 */   GIM_Reject,
     /* 2368041 */ // Label 33633: @2368041
     /* 2368041 */ GIM_Reject,
     /* 2368042 */ // Label 33585: @2368042
     /* 2368042 */ GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2368145),
     /* 2368047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2368050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368058 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2368101), // Rule ID 58952 //
     /* 2368063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368066 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368100 */     // GIR_Coverage, 58952,
     /* 2368100 */     GIR_EraseRootFromParent_Done,
     /* 2368101 */   // Label 33637: @2368101
     /* 2368101 */   GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2368144), // Rule ID 58953 //
     /* 2368106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368109 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368143 */     // GIR_Coverage, 58953,
     /* 2368143 */     GIR_EraseRootFromParent_Done,
     /* 2368144 */   // Label 33638: @2368144
     /* 2368144 */   GIM_Reject,
     /* 2368145 */ // Label 33636: @2368145
     /* 2368145 */ GIM_Reject,
     /* 2368146 */ // Label 33586: @2368146
     /* 2368146 */ GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2368249),
     /* 2368151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2368154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368162 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2368205), // Rule ID 58960 //
     /* 2368167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368170 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368204 */     // GIR_Coverage, 58960,
     /* 2368204 */     GIR_EraseRootFromParent_Done,
     /* 2368205 */   // Label 33640: @2368205
     /* 2368205 */   GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2368248), // Rule ID 58961 //
     /* 2368210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368213 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368247 */     // GIR_Coverage, 58961,
     /* 2368247 */     GIR_EraseRootFromParent_Done,
     /* 2368248 */   // Label 33641: @2368248
     /* 2368248 */   GIM_Reject,
     /* 2368249 */ // Label 33639: @2368249
     /* 2368249 */ GIM_Reject,
     /* 2368250 */ // Label 33587: @2368250
     /* 2368250 */ GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2368353),
     /* 2368255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2368258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368266 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2368309), // Rule ID 58968 //
     /* 2368271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2368274 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368308 */     // GIR_Coverage, 58968,
     /* 2368308 */     GIR_EraseRootFromParent_Done,
     /* 2368309 */   // Label 33643: @2368309
     /* 2368309 */   GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2368352), // Rule ID 58969 //
     /* 2368314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2368317 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368351 */     // GIR_Coverage, 58969,
     /* 2368351 */     GIR_EraseRootFromParent_Done,
     /* 2368352 */   // Label 33644: @2368352
     /* 2368352 */   GIM_Reject,
     /* 2368353 */ // Label 33642: @2368353
     /* 2368353 */ GIM_Reject,
     /* 2368354 */ // Label 33588: @2368354
     /* 2368354 */ GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2368457),
     /* 2368359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2368362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368370 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2368413), // Rule ID 58946 //
     /* 2368375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368378 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2368381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368412 */     // GIR_Coverage, 58946,
     /* 2368412 */     GIR_EraseRootFromParent_Done,
     /* 2368413 */   // Label 33646: @2368413
     /* 2368413 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2368456), // Rule ID 58947 //
     /* 2368418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368421 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2368424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368455 */     // GIR_Coverage, 58947,
     /* 2368455 */     GIR_EraseRootFromParent_Done,
     /* 2368456 */   // Label 33647: @2368456
     /* 2368456 */   GIM_Reject,
     /* 2368457 */ // Label 33645: @2368457
     /* 2368457 */ GIM_Reject,
     /* 2368458 */ // Label 33589: @2368458
     /* 2368458 */ GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2368561),
     /* 2368463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2368466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368474 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2368517), // Rule ID 58954 //
     /* 2368479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368482 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368516 */     // GIR_Coverage, 58954,
     /* 2368516 */     GIR_EraseRootFromParent_Done,
     /* 2368517 */   // Label 33649: @2368517
     /* 2368517 */   GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2368560), // Rule ID 58955 //
     /* 2368522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368525 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368559 */     // GIR_Coverage, 58955,
     /* 2368559 */     GIR_EraseRootFromParent_Done,
     /* 2368560 */   // Label 33650: @2368560
     /* 2368560 */   GIM_Reject,
     /* 2368561 */ // Label 33648: @2368561
     /* 2368561 */ GIM_Reject,
     /* 2368562 */ // Label 33590: @2368562
     /* 2368562 */ GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2368665),
     /* 2368567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2368570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368578 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2368621), // Rule ID 58962 //
     /* 2368583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368586 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368620 */     // GIR_Coverage, 58962,
     /* 2368620 */     GIR_EraseRootFromParent_Done,
     /* 2368621 */   // Label 33652: @2368621
     /* 2368621 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2368664), // Rule ID 58963 //
     /* 2368626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368629 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368663 */     // GIR_Coverage, 58963,
     /* 2368663 */     GIR_EraseRootFromParent_Done,
     /* 2368664 */   // Label 33653: @2368664
     /* 2368664 */   GIM_Reject,
     /* 2368665 */ // Label 33651: @2368665
     /* 2368665 */ GIM_Reject,
     /* 2368666 */ // Label 33591: @2368666
     /* 2368666 */ GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2368769),
     /* 2368671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2368674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368682 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2368725), // Rule ID 58948 //
     /* 2368687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368690 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368724 */     // GIR_Coverage, 58948,
     /* 2368724 */     GIR_EraseRootFromParent_Done,
     /* 2368725 */   // Label 33655: @2368725
     /* 2368725 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2368768), // Rule ID 58949 //
     /* 2368730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368733 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368767 */     // GIR_Coverage, 58949,
     /* 2368767 */     GIR_EraseRootFromParent_Done,
     /* 2368768 */   // Label 33656: @2368768
     /* 2368768 */   GIM_Reject,
     /* 2368769 */ // Label 33654: @2368769
     /* 2368769 */ GIM_Reject,
     /* 2368770 */ // Label 33592: @2368770
     /* 2368770 */ GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2368873),
     /* 2368775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2368778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368786 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2368829), // Rule ID 58956 //
     /* 2368791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368794 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368828 */     // GIR_Coverage, 58956,
     /* 2368828 */     GIR_EraseRootFromParent_Done,
     /* 2368829 */   // Label 33658: @2368829
     /* 2368829 */   GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2368872), // Rule ID 58957 //
     /* 2368834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368837 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368871 */     // GIR_Coverage, 58957,
     /* 2368871 */     GIR_EraseRootFromParent_Done,
     /* 2368872 */   // Label 33659: @2368872
     /* 2368872 */   GIM_Reject,
     /* 2368873 */ // Label 33657: @2368873
     /* 2368873 */ GIM_Reject,
     /* 2368874 */ // Label 33593: @2368874
     /* 2368874 */ GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2368977),
     /* 2368879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2368882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368890 */   GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2368933), // Rule ID 58950 //
     /* 2368895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368898 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368932 */     // GIR_Coverage, 58950,
     /* 2368932 */     GIR_EraseRootFromParent_Done,
     /* 2368933 */   // Label 33661: @2368933
     /* 2368933 */   GIM_Try, /*On fail goto*//*Label 33662*/ GIMT_Encode4(2368976), // Rule ID 58951 //
     /* 2368938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368941 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368975 */     // GIR_Coverage, 58951,
     /* 2368975 */     GIR_EraseRootFromParent_Done,
     /* 2368976 */   // Label 33662: @2368976
     /* 2368976 */   GIM_Reject,
     /* 2368977 */ // Label 33660: @2368977
     /* 2368977 */ GIM_Reject,
     /* 2368978 */ // Label 33594: @2368978
     /* 2368978 */ GIM_Reject,
     /* 2368979 */ // Label 91: @2368979
     /* 2368979 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33666*/ GIMT_Encode4(2369176),
     /* 2368990 */ /*GILLT_s16*//*Label 33663*/ GIMT_Encode4(2369002),
     /* 2368994 */ /*GILLT_s32*//*Label 33664*/ GIMT_Encode4(2369060),
     /* 2368998 */ /*GILLT_s64*//*Label 33665*/ GIMT_Encode4(2369118),
     /* 2369002 */ // Label 33663: @2369002
     /* 2369002 */ GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2369059),
     /* 2369007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369018 */   GIM_Try, /*On fail goto*//*Label 33668*/ GIMT_Encode4(2369038), // Rule ID 2322 //
     /* 2369023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2369026 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2369026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369037 */     // GIR_Coverage, 2322,
     /* 2369037 */     GIR_EraseRootFromParent_Done,
     /* 2369038 */   // Label 33668: @2369038
     /* 2369038 */   GIM_Try, /*On fail goto*//*Label 33669*/ GIMT_Encode4(2369058), // Rule ID 2323 //
     /* 2369043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2369046 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2369046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369057 */     // GIR_Coverage, 2323,
     /* 2369057 */     GIR_EraseRootFromParent_Done,
     /* 2369058 */   // Label 33669: @2369058
     /* 2369058 */   GIM_Reject,
     /* 2369059 */ // Label 33667: @2369059
     /* 2369059 */ GIM_Reject,
     /* 2369060 */ // Label 33664: @2369060
     /* 2369060 */ GIM_Try, /*On fail goto*//*Label 33670*/ GIMT_Encode4(2369117),
     /* 2369065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369076 */   GIM_Try, /*On fail goto*//*Label 33671*/ GIMT_Encode4(2369096), // Rule ID 2240 //
     /* 2369081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2369084 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2369084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369095 */     // GIR_Coverage, 2240,
     /* 2369095 */     GIR_EraseRootFromParent_Done,
     /* 2369096 */   // Label 33671: @2369096
     /* 2369096 */   GIM_Try, /*On fail goto*//*Label 33672*/ GIMT_Encode4(2369116), // Rule ID 2241 //
     /* 2369101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2369104 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2369104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369115 */     // GIR_Coverage, 2241,
     /* 2369115 */     GIR_EraseRootFromParent_Done,
     /* 2369116 */   // Label 33672: @2369116
     /* 2369116 */   GIM_Reject,
     /* 2369117 */ // Label 33670: @2369117
     /* 2369117 */ GIM_Reject,
     /* 2369118 */ // Label 33665: @2369118
     /* 2369118 */ GIM_Try, /*On fail goto*//*Label 33673*/ GIMT_Encode4(2369175),
     /* 2369123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369134 */   GIM_Try, /*On fail goto*//*Label 33674*/ GIMT_Encode4(2369154), // Rule ID 2280 //
     /* 2369139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2369142 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2369142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369153 */     // GIR_Coverage, 2280,
     /* 2369153 */     GIR_EraseRootFromParent_Done,
     /* 2369154 */   // Label 33674: @2369154
     /* 2369154 */   GIM_Try, /*On fail goto*//*Label 33675*/ GIMT_Encode4(2369174), // Rule ID 2281 //
     /* 2369159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2369162 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2369162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369173 */     // GIR_Coverage, 2281,
     /* 2369173 */     GIR_EraseRootFromParent_Done,
     /* 2369174 */   // Label 33675: @2369174
     /* 2369174 */   GIM_Reject,
     /* 2369175 */ // Label 33673: @2369175
     /* 2369175 */ GIM_Reject,
     /* 2369176 */ // Label 33666: @2369176
     /* 2369176 */ GIM_Reject,
     /* 2369177 */ // Label 92: @2369177
     /* 2369177 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33694*/ GIMT_Encode4(2371352),
     /* 2369188 */ /*GILLT_s16*//*Label 33676*/ GIMT_Encode4(2369308),
     /* 2369192 */ /*GILLT_s32*//*Label 33677*/ GIMT_Encode4(2369430),
     /* 2369196 */ /*GILLT_s64*//*Label 33678*/ GIMT_Encode4(2369552), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369208 */ /*GILLT_nxv1s16*//*Label 33679*/ GIMT_Encode4(2369702),
     /* 2369212 */ /*GILLT_nxv1s32*//*Label 33680*/ GIMT_Encode4(2369812),
     /* 2369216 */ /*GILLT_nxv1s64*//*Label 33681*/ GIMT_Encode4(2369922), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369228 */ /*GILLT_nxv2s16*//*Label 33682*/ GIMT_Encode4(2370032),
     /* 2369232 */ /*GILLT_nxv2s32*//*Label 33683*/ GIMT_Encode4(2370142),
     /* 2369236 */ /*GILLT_nxv2s64*//*Label 33684*/ GIMT_Encode4(2370252), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369248 */ /*GILLT_nxv4s16*//*Label 33685*/ GIMT_Encode4(2370362),
     /* 2369252 */ /*GILLT_nxv4s32*//*Label 33686*/ GIMT_Encode4(2370472),
     /* 2369256 */ /*GILLT_nxv4s64*//*Label 33687*/ GIMT_Encode4(2370582), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369268 */ /*GILLT_nxv8s16*//*Label 33688*/ GIMT_Encode4(2370692),
     /* 2369272 */ /*GILLT_nxv8s32*//*Label 33689*/ GIMT_Encode4(2370802),
     /* 2369276 */ /*GILLT_nxv8s64*//*Label 33690*/ GIMT_Encode4(2370912), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369288 */ /*GILLT_nxv16s16*//*Label 33691*/ GIMT_Encode4(2371022),
     /* 2369292 */ /*GILLT_nxv16s32*//*Label 33692*/ GIMT_Encode4(2371132), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369304 */ /*GILLT_nxv32s16*//*Label 33693*/ GIMT_Encode4(2371242),
     /* 2369308 */ // Label 33676: @2369308
     /* 2369308 */ GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2369429),
     /* 2369313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369316 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2369344), // Rule ID 1880 //
     /* 2369321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2369324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369332 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2369332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2369335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369343 */     // GIR_Coverage, 1880,
     /* 2369343 */     GIR_EraseRootFromParent_Done,
     /* 2369344 */   // Label 33696: @2369344
     /* 2369344 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2369372), // Rule ID 1881 //
     /* 2369349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2369352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369360 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2369360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2369363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369371 */     // GIR_Coverage, 1881,
     /* 2369371 */     GIR_EraseRootFromParent_Done,
     /* 2369372 */   // Label 33697: @2369372
     /* 2369372 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2369400), // Rule ID 1913 //
     /* 2369377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2369380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369388 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2369388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2369391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369399 */     // GIR_Coverage, 1913,
     /* 2369399 */     GIR_EraseRootFromParent_Done,
     /* 2369400 */   // Label 33698: @2369400
     /* 2369400 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2369428), // Rule ID 1914 //
     /* 2369405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2369408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369416 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2369416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2369419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369427 */     // GIR_Coverage, 1914,
     /* 2369427 */     GIR_EraseRootFromParent_Done,
     /* 2369428 */   // Label 33699: @2369428
     /* 2369428 */   GIM_Reject,
     /* 2369429 */ // Label 33695: @2369429
     /* 2369429 */ GIM_Reject,
     /* 2369430 */ // Label 33677: @2369430
     /* 2369430 */ GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2369551),
     /* 2369435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369438 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2369466), // Rule ID 1171 //
     /* 2369443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2369446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369454 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369465 */     // GIR_Coverage, 1171,
     /* 2369465 */     GIR_EraseRootFromParent_Done,
     /* 2369466 */   // Label 33701: @2369466
     /* 2369466 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2369494), // Rule ID 1172 //
     /* 2369471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2369474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369482 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369493 */     // GIR_Coverage, 1172,
     /* 2369493 */     GIR_EraseRootFromParent_Done,
     /* 2369494 */   // Label 33702: @2369494
     /* 2369494 */   GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2369522), // Rule ID 1179 //
     /* 2369499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2369502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369510 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369521 */     // GIR_Coverage, 1179,
     /* 2369521 */     GIR_EraseRootFromParent_Done,
     /* 2369522 */   // Label 33703: @2369522
     /* 2369522 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2369550), // Rule ID 1180 //
     /* 2369527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2369530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369538 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369549 */     // GIR_Coverage, 1180,
     /* 2369549 */     GIR_EraseRootFromParent_Done,
     /* 2369550 */   // Label 33704: @2369550
     /* 2369550 */   GIM_Reject,
     /* 2369551 */ // Label 33700: @2369551
     /* 2369551 */ GIM_Reject,
     /* 2369552 */ // Label 33678: @2369552
     /* 2369552 */ GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2369701),
     /* 2369557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369560 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2369588), // Rule ID 1514 //
     /* 2369565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2369568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369576 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369587 */     // GIR_Coverage, 1514,
     /* 2369587 */     GIR_EraseRootFromParent_Done,
     /* 2369588 */   // Label 33706: @2369588
     /* 2369588 */   GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2369616), // Rule ID 1515 //
     /* 2369593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2369596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369604 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369615 */     // GIR_Coverage, 1515,
     /* 2369615 */     GIR_EraseRootFromParent_Done,
     /* 2369616 */   // Label 33707: @2369616
     /* 2369616 */   GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2369644), // Rule ID 1548 //
     /* 2369621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2369624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369632 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2369635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369643 */     // GIR_Coverage, 1548,
     /* 2369643 */     GIR_EraseRootFromParent_Done,
     /* 2369644 */   // Label 33708: @2369644
     /* 2369644 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2369672), // Rule ID 1569 //
     /* 2369649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2369652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369660 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369671 */     // GIR_Coverage, 1569,
     /* 2369671 */     GIR_EraseRootFromParent_Done,
     /* 2369672 */   // Label 33709: @2369672
     /* 2369672 */   GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2369700), // Rule ID 1570 //
     /* 2369677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2369680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369688 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369699 */     // GIR_Coverage, 1570,
     /* 2369699 */     GIR_EraseRootFromParent_Done,
     /* 2369700 */   // Label 33710: @2369700
     /* 2369700 */   GIM_Reject,
     /* 2369701 */ // Label 33705: @2369701
     /* 2369701 */ GIM_Reject,
     /* 2369702 */ // Label 33679: @2369702
     /* 2369702 */ GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2369811),
     /* 2369707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2369710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369718 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2369764), // Rule ID 56112 //
     /* 2369723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369726 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369763 */     // GIR_Coverage, 56112,
     /* 2369763 */     GIR_EraseRootFromParent_Done,
     /* 2369764 */   // Label 33712: @2369764
     /* 2369764 */   GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2369810), // Rule ID 56113 //
     /* 2369769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369772 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369809 */     // GIR_Coverage, 56113,
     /* 2369809 */     GIR_EraseRootFromParent_Done,
     /* 2369810 */   // Label 33713: @2369810
     /* 2369810 */   GIM_Reject,
     /* 2369811 */ // Label 33711: @2369811
     /* 2369811 */ GIM_Reject,
     /* 2369812 */ // Label 33680: @2369812
     /* 2369812 */ GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2369921),
     /* 2369817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2369820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369828 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2369874), // Rule ID 56152 //
     /* 2369833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369836 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369873 */     // GIR_Coverage, 56152,
     /* 2369873 */     GIR_EraseRootFromParent_Done,
     /* 2369874 */   // Label 33715: @2369874
     /* 2369874 */   GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2369920), // Rule ID 56153 //
     /* 2369879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369882 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369919 */     // GIR_Coverage, 56153,
     /* 2369919 */     GIR_EraseRootFromParent_Done,
     /* 2369920 */   // Label 33716: @2369920
     /* 2369920 */   GIM_Reject,
     /* 2369921 */ // Label 33714: @2369921
     /* 2369921 */ GIM_Reject,
     /* 2369922 */ // Label 33681: @2369922
     /* 2369922 */ GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2370031),
     /* 2369927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2369930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369938 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2369984), // Rule ID 56212 //
     /* 2369943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369946 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2369963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369983 */     // GIR_Coverage, 56212,
     /* 2369983 */     GIR_EraseRootFromParent_Done,
     /* 2369984 */   // Label 33718: @2369984
     /* 2369984 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2370030), // Rule ID 56213 //
     /* 2369989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369992 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2370009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370029 */     // GIR_Coverage, 56213,
     /* 2370029 */     GIR_EraseRootFromParent_Done,
     /* 2370030 */   // Label 33719: @2370030
     /* 2370030 */   GIM_Reject,
     /* 2370031 */ // Label 33717: @2370031
     /* 2370031 */ GIM_Reject,
     /* 2370032 */ // Label 33682: @2370032
     /* 2370032 */ GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2370141),
     /* 2370037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2370040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370048 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2370094), // Rule ID 56132 //
     /* 2370053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370056 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2370073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370093 */     // GIR_Coverage, 56132,
     /* 2370093 */     GIR_EraseRootFromParent_Done,
     /* 2370094 */   // Label 33721: @2370094
     /* 2370094 */   GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2370140), // Rule ID 56133 //
     /* 2370099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370102 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2370119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370139 */     // GIR_Coverage, 56133,
     /* 2370139 */     GIR_EraseRootFromParent_Done,
     /* 2370140 */   // Label 33722: @2370140
     /* 2370140 */   GIM_Reject,
     /* 2370141 */ // Label 33720: @2370141
     /* 2370141 */ GIM_Reject,
     /* 2370142 */ // Label 33683: @2370142
     /* 2370142 */ GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2370251),
     /* 2370147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2370150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370158 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2370204), // Rule ID 56192 //
     /* 2370163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370166 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2370183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370203 */     // GIR_Coverage, 56192,
     /* 2370203 */     GIR_EraseRootFromParent_Done,
     /* 2370204 */   // Label 33724: @2370204
     /* 2370204 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2370250), // Rule ID 56193 //
     /* 2370209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370212 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2370229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370249 */     // GIR_Coverage, 56193,
     /* 2370249 */     GIR_EraseRootFromParent_Done,
     /* 2370250 */   // Label 33725: @2370250
     /* 2370250 */   GIM_Reject,
     /* 2370251 */ // Label 33723: @2370251
     /* 2370251 */ GIM_Reject,
     /* 2370252 */ // Label 33684: @2370252
     /* 2370252 */ GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2370361),
     /* 2370257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2370260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370268 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2370314), // Rule ID 56352 //
     /* 2370273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370276 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2370293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370313 */     // GIR_Coverage, 56352,
     /* 2370313 */     GIR_EraseRootFromParent_Done,
     /* 2370314 */   // Label 33727: @2370314
     /* 2370314 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2370360), // Rule ID 56353 //
     /* 2370319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370322 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2370339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370359 */     // GIR_Coverage, 56353,
     /* 2370359 */     GIR_EraseRootFromParent_Done,
     /* 2370360 */   // Label 33728: @2370360
     /* 2370360 */   GIM_Reject,
     /* 2370361 */ // Label 33726: @2370361
     /* 2370361 */ GIM_Reject,
     /* 2370362 */ // Label 33685: @2370362
     /* 2370362 */ GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2370471),
     /* 2370367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2370370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370378 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2370424), // Rule ID 56172 //
     /* 2370383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370386 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2370403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370423 */     // GIR_Coverage, 56172,
     /* 2370423 */     GIR_EraseRootFromParent_Done,
     /* 2370424 */   // Label 33730: @2370424
     /* 2370424 */   GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2370470), // Rule ID 56173 //
     /* 2370429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370432 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2370449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370469 */     // GIR_Coverage, 56173,
     /* 2370469 */     GIR_EraseRootFromParent_Done,
     /* 2370470 */   // Label 33731: @2370470
     /* 2370470 */   GIM_Reject,
     /* 2370471 */ // Label 33729: @2370471
     /* 2370471 */ GIM_Reject,
     /* 2370472 */ // Label 33686: @2370472
     /* 2370472 */ GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2370581),
     /* 2370477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2370480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370488 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2370534), // Rule ID 56292 //
     /* 2370493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370496 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370533 */     // GIR_Coverage, 56292,
     /* 2370533 */     GIR_EraseRootFromParent_Done,
     /* 2370534 */   // Label 33733: @2370534
     /* 2370534 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2370580), // Rule ID 56293 //
     /* 2370539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370542 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370579 */     // GIR_Coverage, 56293,
     /* 2370579 */     GIR_EraseRootFromParent_Done,
     /* 2370580 */   // Label 33734: @2370580
     /* 2370580 */   GIM_Reject,
     /* 2370581 */ // Label 33732: @2370581
     /* 2370581 */ GIM_Reject,
     /* 2370582 */ // Label 33687: @2370582
     /* 2370582 */ GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2370691),
     /* 2370587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2370590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370598 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2370644), // Rule ID 56372 //
     /* 2370603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370606 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370643 */     // GIR_Coverage, 56372,
     /* 2370643 */     GIR_EraseRootFromParent_Done,
     /* 2370644 */   // Label 33736: @2370644
     /* 2370644 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2370690), // Rule ID 56373 //
     /* 2370649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370652 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370689 */     // GIR_Coverage, 56373,
     /* 2370689 */     GIR_EraseRootFromParent_Done,
     /* 2370690 */   // Label 33737: @2370690
     /* 2370690 */   GIM_Reject,
     /* 2370691 */ // Label 33735: @2370691
     /* 2370691 */ GIM_Reject,
     /* 2370692 */ // Label 33688: @2370692
     /* 2370692 */ GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2370801),
     /* 2370697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2370700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370708 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2370754), // Rule ID 56232 //
     /* 2370713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370716 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370753 */     // GIR_Coverage, 56232,
     /* 2370753 */     GIR_EraseRootFromParent_Done,
     /* 2370754 */   // Label 33739: @2370754
     /* 2370754 */   GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2370800), // Rule ID 56233 //
     /* 2370759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370762 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370799 */     // GIR_Coverage, 56233,
     /* 2370799 */     GIR_EraseRootFromParent_Done,
     /* 2370800 */   // Label 33740: @2370800
     /* 2370800 */   GIM_Reject,
     /* 2370801 */ // Label 33738: @2370801
     /* 2370801 */ GIM_Reject,
     /* 2370802 */ // Label 33689: @2370802
     /* 2370802 */ GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2370911),
     /* 2370807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2370810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370818 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2370864), // Rule ID 56312 //
     /* 2370823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370826 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370863 */     // GIR_Coverage, 56312,
     /* 2370863 */     GIR_EraseRootFromParent_Done,
     /* 2370864 */   // Label 33742: @2370864
     /* 2370864 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2370910), // Rule ID 56313 //
     /* 2370869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370872 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370909 */     // GIR_Coverage, 56313,
     /* 2370909 */     GIR_EraseRootFromParent_Done,
     /* 2370910 */   // Label 33743: @2370910
     /* 2370910 */   GIM_Reject,
     /* 2370911 */ // Label 33741: @2370911
     /* 2370911 */ GIM_Reject,
     /* 2370912 */ // Label 33690: @2370912
     /* 2370912 */ GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2371021),
     /* 2370917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2370920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370928 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2370974), // Rule ID 56392 //
     /* 2370933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370936 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370973 */     // GIR_Coverage, 56392,
     /* 2370973 */     GIR_EraseRootFromParent_Done,
     /* 2370974 */   // Label 33745: @2370974
     /* 2370974 */   GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2371020), // Rule ID 56393 //
     /* 2370979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370982 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371019 */     // GIR_Coverage, 56393,
     /* 2371019 */     GIR_EraseRootFromParent_Done,
     /* 2371020 */   // Label 33746: @2371020
     /* 2371020 */   GIM_Reject,
     /* 2371021 */ // Label 33744: @2371021
     /* 2371021 */ GIM_Reject,
     /* 2371022 */ // Label 33691: @2371022
     /* 2371022 */ GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2371131),
     /* 2371027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2371030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371038 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2371084), // Rule ID 56252 //
     /* 2371043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371046 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2371063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371083 */     // GIR_Coverage, 56252,
     /* 2371083 */     GIR_EraseRootFromParent_Done,
     /* 2371084 */   // Label 33748: @2371084
     /* 2371084 */   GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2371130), // Rule ID 56253 //
     /* 2371089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371092 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2371109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371129 */     // GIR_Coverage, 56253,
     /* 2371129 */     GIR_EraseRootFromParent_Done,
     /* 2371130 */   // Label 33749: @2371130
     /* 2371130 */   GIM_Reject,
     /* 2371131 */ // Label 33747: @2371131
     /* 2371131 */ GIM_Reject,
     /* 2371132 */ // Label 33692: @2371132
     /* 2371132 */ GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2371241),
     /* 2371137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2371140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371148 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2371194), // Rule ID 56332 //
     /* 2371153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371156 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2371173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371193 */     // GIR_Coverage, 56332,
     /* 2371193 */     GIR_EraseRootFromParent_Done,
     /* 2371194 */   // Label 33751: @2371194
     /* 2371194 */   GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2371240), // Rule ID 56333 //
     /* 2371199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371202 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2371219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371239 */     // GIR_Coverage, 56333,
     /* 2371239 */     GIR_EraseRootFromParent_Done,
     /* 2371240 */   // Label 33752: @2371240
     /* 2371240 */   GIM_Reject,
     /* 2371241 */ // Label 33750: @2371241
     /* 2371241 */ GIM_Reject,
     /* 2371242 */ // Label 33693: @2371242
     /* 2371242 */ GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2371351),
     /* 2371247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2371250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371258 */   GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2371304), // Rule ID 56272 //
     /* 2371263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371266 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2371269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2371283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371303 */     // GIR_Coverage, 56272,
     /* 2371303 */     GIR_EraseRootFromParent_Done,
     /* 2371304 */   // Label 33754: @2371304
     /* 2371304 */   GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2371350), // Rule ID 56273 //
     /* 2371309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371312 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2371315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2371329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371349 */     // GIR_Coverage, 56273,
     /* 2371349 */     GIR_EraseRootFromParent_Done,
     /* 2371350 */   // Label 33755: @2371350
     /* 2371350 */   GIM_Reject,
     /* 2371351 */ // Label 33753: @2371351
     /* 2371351 */ GIM_Reject,
     /* 2371352 */ // Label 33694: @2371352
     /* 2371352 */ GIM_Reject,
     /* 2371353 */ // Label 93: @2371353
     /* 2371353 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33759*/ GIMT_Encode4(2371550),
     /* 2371364 */ /*GILLT_s16*//*Label 33756*/ GIMT_Encode4(2371376),
     /* 2371368 */ /*GILLT_s32*//*Label 33757*/ GIMT_Encode4(2371434),
     /* 2371372 */ /*GILLT_s64*//*Label 33758*/ GIMT_Encode4(2371492),
     /* 2371376 */ // Label 33756: @2371376
     /* 2371376 */ GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2371433),
     /* 2371381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371392 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2371412), // Rule ID 2318 //
     /* 2371397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371400 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2371400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371411 */     // GIR_Coverage, 2318,
     /* 2371411 */     GIR_EraseRootFromParent_Done,
     /* 2371412 */   // Label 33761: @2371412
     /* 2371412 */   GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2371432), // Rule ID 2319 //
     /* 2371417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371420 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2371420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371431 */     // GIR_Coverage, 2319,
     /* 2371431 */     GIR_EraseRootFromParent_Done,
     /* 2371432 */   // Label 33762: @2371432
     /* 2371432 */   GIM_Reject,
     /* 2371433 */ // Label 33760: @2371433
     /* 2371433 */ GIM_Reject,
     /* 2371434 */ // Label 33757: @2371434
     /* 2371434 */ GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2371491),
     /* 2371439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371450 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2371470), // Rule ID 2236 //
     /* 2371455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371458 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2371458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371469 */     // GIR_Coverage, 2236,
     /* 2371469 */     GIR_EraseRootFromParent_Done,
     /* 2371470 */   // Label 33764: @2371470
     /* 2371470 */   GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2371490), // Rule ID 2237 //
     /* 2371475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371478 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2371478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371489 */     // GIR_Coverage, 2237,
     /* 2371489 */     GIR_EraseRootFromParent_Done,
     /* 2371490 */   // Label 33765: @2371490
     /* 2371490 */   GIM_Reject,
     /* 2371491 */ // Label 33763: @2371491
     /* 2371491 */ GIM_Reject,
     /* 2371492 */ // Label 33758: @2371492
     /* 2371492 */ GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2371549),
     /* 2371497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371508 */   GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2371528), // Rule ID 2276 //
     /* 2371513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371516 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2371516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371527 */     // GIR_Coverage, 2276,
     /* 2371527 */     GIR_EraseRootFromParent_Done,
     /* 2371528 */   // Label 33767: @2371528
     /* 2371528 */   GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2371548), // Rule ID 2277 //
     /* 2371533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371536 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2371536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371547 */     // GIR_Coverage, 2277,
     /* 2371547 */     GIR_EraseRootFromParent_Done,
     /* 2371548 */   // Label 33768: @2371548
     /* 2371548 */   GIM_Reject,
     /* 2371549 */ // Label 33766: @2371549
     /* 2371549 */ GIM_Reject,
     /* 2371550 */ // Label 33759: @2371550
     /* 2371550 */ GIM_Reject,
     /* 2371551 */ // Label 94: @2371551
     /* 2371551 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33772*/ GIMT_Encode4(2371748),
     /* 2371562 */ /*GILLT_s16*//*Label 33769*/ GIMT_Encode4(2371574),
     /* 2371566 */ /*GILLT_s32*//*Label 33770*/ GIMT_Encode4(2371632),
     /* 2371570 */ /*GILLT_s64*//*Label 33771*/ GIMT_Encode4(2371690),
     /* 2371574 */ // Label 33769: @2371574
     /* 2371574 */ GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2371631),
     /* 2371579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371590 */   GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2371610), // Rule ID 2302 //
     /* 2371595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371598 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371609 */     // GIR_Coverage, 2302,
     /* 2371609 */     GIR_EraseRootFromParent_Done,
     /* 2371610 */   // Label 33774: @2371610
     /* 2371610 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2371630), // Rule ID 2303 //
     /* 2371615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371618 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371629 */     // GIR_Coverage, 2303,
     /* 2371629 */     GIR_EraseRootFromParent_Done,
     /* 2371630 */   // Label 33775: @2371630
     /* 2371630 */   GIM_Reject,
     /* 2371631 */ // Label 33773: @2371631
     /* 2371631 */ GIM_Reject,
     /* 2371632 */ // Label 33770: @2371632
     /* 2371632 */ GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2371689),
     /* 2371637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371648 */   GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2371668), // Rule ID 2220 //
     /* 2371653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371656 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371667 */     // GIR_Coverage, 2220,
     /* 2371667 */     GIR_EraseRootFromParent_Done,
     /* 2371668 */   // Label 33777: @2371668
     /* 2371668 */   GIM_Try, /*On fail goto*//*Label 33778*/ GIMT_Encode4(2371688), // Rule ID 2221 //
     /* 2371673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371676 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371687 */     // GIR_Coverage, 2221,
     /* 2371687 */     GIR_EraseRootFromParent_Done,
     /* 2371688 */   // Label 33778: @2371688
     /* 2371688 */   GIM_Reject,
     /* 2371689 */ // Label 33776: @2371689
     /* 2371689 */ GIM_Reject,
     /* 2371690 */ // Label 33771: @2371690
     /* 2371690 */ GIM_Try, /*On fail goto*//*Label 33779*/ GIMT_Encode4(2371747),
     /* 2371695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371706 */   GIM_Try, /*On fail goto*//*Label 33780*/ GIMT_Encode4(2371726), // Rule ID 2260 //
     /* 2371711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371714 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371725 */     // GIR_Coverage, 2260,
     /* 2371725 */     GIR_EraseRootFromParent_Done,
     /* 2371726 */   // Label 33780: @2371726
     /* 2371726 */   GIM_Try, /*On fail goto*//*Label 33781*/ GIMT_Encode4(2371746), // Rule ID 2261 //
     /* 2371731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371734 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371745 */     // GIR_Coverage, 2261,
     /* 2371745 */     GIR_EraseRootFromParent_Done,
     /* 2371746 */   // Label 33781: @2371746
     /* 2371746 */   GIM_Reject,
     /* 2371747 */ // Label 33779: @2371747
     /* 2371747 */ GIM_Reject,
     /* 2371748 */ // Label 33772: @2371748
     /* 2371748 */ GIM_Reject,
     /* 2371749 */ // Label 95: @2371749
     /* 2371749 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33785*/ GIMT_Encode4(2371946),
     /* 2371760 */ /*GILLT_s16*//*Label 33782*/ GIMT_Encode4(2371772),
     /* 2371764 */ /*GILLT_s32*//*Label 33783*/ GIMT_Encode4(2371830),
     /* 2371768 */ /*GILLT_s64*//*Label 33784*/ GIMT_Encode4(2371888),
     /* 2371772 */ // Label 33782: @2371772
     /* 2371772 */ GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2371829),
     /* 2371777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371788 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2371808), // Rule ID 2306 //
     /* 2371793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371796 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371807 */     // GIR_Coverage, 2306,
     /* 2371807 */     GIR_EraseRootFromParent_Done,
     /* 2371808 */   // Label 33787: @2371808
     /* 2371808 */   GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2371828), // Rule ID 2307 //
     /* 2371813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371816 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371827 */     // GIR_Coverage, 2307,
     /* 2371827 */     GIR_EraseRootFromParent_Done,
     /* 2371828 */   // Label 33788: @2371828
     /* 2371828 */   GIM_Reject,
     /* 2371829 */ // Label 33786: @2371829
     /* 2371829 */ GIM_Reject,
     /* 2371830 */ // Label 33783: @2371830
     /* 2371830 */ GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2371887),
     /* 2371835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371846 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2371866), // Rule ID 2224 //
     /* 2371851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371854 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371865 */     // GIR_Coverage, 2224,
     /* 2371865 */     GIR_EraseRootFromParent_Done,
     /* 2371866 */   // Label 33790: @2371866
     /* 2371866 */   GIM_Try, /*On fail goto*//*Label 33791*/ GIMT_Encode4(2371886), // Rule ID 2225 //
     /* 2371871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371874 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371885 */     // GIR_Coverage, 2225,
     /* 2371885 */     GIR_EraseRootFromParent_Done,
     /* 2371886 */   // Label 33791: @2371886
     /* 2371886 */   GIM_Reject,
     /* 2371887 */ // Label 33789: @2371887
     /* 2371887 */ GIM_Reject,
     /* 2371888 */ // Label 33784: @2371888
     /* 2371888 */ GIM_Try, /*On fail goto*//*Label 33792*/ GIMT_Encode4(2371945),
     /* 2371893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371904 */   GIM_Try, /*On fail goto*//*Label 33793*/ GIMT_Encode4(2371924), // Rule ID 2264 //
     /* 2371909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371912 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371923 */     // GIR_Coverage, 2264,
     /* 2371923 */     GIR_EraseRootFromParent_Done,
     /* 2371924 */   // Label 33793: @2371924
     /* 2371924 */   GIM_Try, /*On fail goto*//*Label 33794*/ GIMT_Encode4(2371944), // Rule ID 2265 //
     /* 2371929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371932 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371943 */     // GIR_Coverage, 2265,
     /* 2371943 */     GIR_EraseRootFromParent_Done,
     /* 2371944 */   // Label 33794: @2371944
     /* 2371944 */   GIM_Reject,
     /* 2371945 */ // Label 33792: @2371945
     /* 2371945 */ GIM_Reject,
     /* 2371946 */ // Label 33785: @2371946
     /* 2371946 */ GIM_Reject,
     /* 2371947 */ // Label 96: @2371947
     /* 2371947 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33813*/ GIMT_Encode4(2374374),
     /* 2371958 */ /*GILLT_s16*//*Label 33795*/ GIMT_Encode4(2372078),
     /* 2371962 */ /*GILLT_s32*//*Label 33796*/ GIMT_Encode4(2372227),
     /* 2371966 */ /*GILLT_s64*//*Label 33797*/ GIMT_Encode4(2372376), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371978 */ /*GILLT_nxv1s16*//*Label 33798*/ GIMT_Encode4(2372559),
     /* 2371982 */ /*GILLT_nxv1s32*//*Label 33799*/ GIMT_Encode4(2372680),
     /* 2371986 */ /*GILLT_nxv1s64*//*Label 33800*/ GIMT_Encode4(2372801), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371998 */ /*GILLT_nxv2s16*//*Label 33801*/ GIMT_Encode4(2372922),
     /* 2372002 */ /*GILLT_nxv2s32*//*Label 33802*/ GIMT_Encode4(2373043),
     /* 2372006 */ /*GILLT_nxv2s64*//*Label 33803*/ GIMT_Encode4(2373164), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372018 */ /*GILLT_nxv4s16*//*Label 33804*/ GIMT_Encode4(2373285),
     /* 2372022 */ /*GILLT_nxv4s32*//*Label 33805*/ GIMT_Encode4(2373406),
     /* 2372026 */ /*GILLT_nxv4s64*//*Label 33806*/ GIMT_Encode4(2373527), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372038 */ /*GILLT_nxv8s16*//*Label 33807*/ GIMT_Encode4(2373648),
     /* 2372042 */ /*GILLT_nxv8s32*//*Label 33808*/ GIMT_Encode4(2373769),
     /* 2372046 */ /*GILLT_nxv8s64*//*Label 33809*/ GIMT_Encode4(2373890), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372058 */ /*GILLT_nxv16s16*//*Label 33810*/ GIMT_Encode4(2374011),
     /* 2372062 */ /*GILLT_nxv16s32*//*Label 33811*/ GIMT_Encode4(2374132), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372074 */ /*GILLT_nxv32s16*//*Label 33812*/ GIMT_Encode4(2374253),
     /* 2372078 */ // Label 33795: @2372078
     /* 2372078 */ GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2372226),
     /* 2372083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2372086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2372089 */   GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2372123), // Rule ID 1846 //
     /* 2372094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2372097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372109 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2372112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372122 */     // GIR_Coverage, 1846,
     /* 2372122 */     GIR_EraseRootFromParent_Done,
     /* 2372123 */   // Label 33815: @2372123
     /* 2372123 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2372157), // Rule ID 1847 //
     /* 2372128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2372131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372143 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2372146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372156 */     // GIR_Coverage, 1847,
     /* 2372156 */     GIR_EraseRootFromParent_Done,
     /* 2372157 */   // Label 33816: @2372157
     /* 2372157 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2372191), // Rule ID 1850 //
     /* 2372162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2372165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372177 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2372180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372190 */     // GIR_Coverage, 1850,
     /* 2372190 */     GIR_EraseRootFromParent_Done,
     /* 2372191 */   // Label 33817: @2372191
     /* 2372191 */   GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2372225), // Rule ID 1851 //
     /* 2372196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2372199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372211 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2372214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372224 */     // GIR_Coverage, 1851,
     /* 2372224 */     GIR_EraseRootFromParent_Done,
     /* 2372225 */   // Label 33818: @2372225
     /* 2372225 */   GIM_Reject,
     /* 2372226 */ // Label 33814: @2372226
     /* 2372226 */ GIM_Reject,
     /* 2372227 */ // Label 33796: @2372227
     /* 2372227 */ GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2372375),
     /* 2372232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2372238 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2372272), // Rule ID 1137 //
     /* 2372243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2372246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372258 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2372261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372271 */     // GIR_Coverage, 1137,
     /* 2372271 */     GIR_EraseRootFromParent_Done,
     /* 2372272 */   // Label 33820: @2372272
     /* 2372272 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2372306), // Rule ID 1138 //
     /* 2372277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2372280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372292 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2372295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372305 */     // GIR_Coverage, 1138,
     /* 2372305 */     GIR_EraseRootFromParent_Done,
     /* 2372306 */   // Label 33821: @2372306
     /* 2372306 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2372340), // Rule ID 1141 //
     /* 2372311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2372314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372326 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2372329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372339 */     // GIR_Coverage, 1141,
     /* 2372339 */     GIR_EraseRootFromParent_Done,
     /* 2372340 */   // Label 33822: @2372340
     /* 2372340 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2372374), // Rule ID 1142 //
     /* 2372345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2372348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372360 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2372363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372373 */     // GIR_Coverage, 1142,
     /* 2372373 */     GIR_EraseRootFromParent_Done,
     /* 2372374 */   // Label 33823: @2372374
     /* 2372374 */   GIM_Reject,
     /* 2372375 */ // Label 33819: @2372375
     /* 2372375 */ GIM_Reject,
     /* 2372376 */ // Label 33797: @2372376
     /* 2372376 */ GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2372558),
     /* 2372381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2372387 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2372421), // Rule ID 1472 //
     /* 2372392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2372395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372407 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2372410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372420 */     // GIR_Coverage, 1472,
     /* 2372420 */     GIR_EraseRootFromParent_Done,
     /* 2372421 */   // Label 33825: @2372421
     /* 2372421 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2372455), // Rule ID 1473 //
     /* 2372426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2372429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372441 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2372444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372454 */     // GIR_Coverage, 1473,
     /* 2372454 */     GIR_EraseRootFromParent_Done,
     /* 2372455 */   // Label 33826: @2372455
     /* 2372455 */   GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2372489), // Rule ID 1476 //
     /* 2372460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2372463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372475 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372488 */     // GIR_Coverage, 1476,
     /* 2372488 */     GIR_EraseRootFromParent_Done,
     /* 2372489 */   // Label 33827: @2372489
     /* 2372489 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2372523), // Rule ID 1477 //
     /* 2372494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2372497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372509 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372522 */     // GIR_Coverage, 1477,
     /* 2372522 */     GIR_EraseRootFromParent_Done,
     /* 2372523 */   // Label 33828: @2372523
     /* 2372523 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2372557), // Rule ID 1480 //
     /* 2372528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2372531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372543 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2372546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372556 */     // GIR_Coverage, 1480,
     /* 2372556 */     GIR_EraseRootFromParent_Done,
     /* 2372557 */   // Label 33829: @2372557
     /* 2372557 */   GIM_Reject,
     /* 2372558 */ // Label 33824: @2372558
     /* 2372558 */ GIM_Reject,
     /* 2372559 */ // Label 33798: @2372559
     /* 2372559 */ GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2372679),
     /* 2372564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2372570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372582 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2372630), // Rule ID 45636 //
     /* 2372587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372590 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372629 */     // GIR_Coverage, 45636,
     /* 2372629 */     GIR_EraseRootFromParent_Done,
     /* 2372630 */   // Label 33831: @2372630
     /* 2372630 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2372678), // Rule ID 45637 //
     /* 2372635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372638 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372677 */     // GIR_Coverage, 45637,
     /* 2372677 */     GIR_EraseRootFromParent_Done,
     /* 2372678 */   // Label 33832: @2372678
     /* 2372678 */   GIM_Reject,
     /* 2372679 */ // Label 33830: @2372679
     /* 2372679 */ GIM_Reject,
     /* 2372680 */ // Label 33799: @2372680
     /* 2372680 */ GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2372800),
     /* 2372685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2372688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2372691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372703 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2372751), // Rule ID 53172 //
     /* 2372708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372711 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372750 */     // GIR_Coverage, 53172,
     /* 2372750 */     GIR_EraseRootFromParent_Done,
     /* 2372751 */   // Label 33834: @2372751
     /* 2372751 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2372799), // Rule ID 53173 //
     /* 2372756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372759 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372798 */     // GIR_Coverage, 53173,
     /* 2372798 */     GIR_EraseRootFromParent_Done,
     /* 2372799 */   // Label 33835: @2372799
     /* 2372799 */   GIM_Reject,
     /* 2372800 */ // Label 33833: @2372800
     /* 2372800 */ GIM_Reject,
     /* 2372801 */ // Label 33800: @2372801
     /* 2372801 */ GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2372921),
     /* 2372806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2372809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2372812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372824 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2372872), // Rule ID 53208 //
     /* 2372829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2372832 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372871 */     // GIR_Coverage, 53208,
     /* 2372871 */     GIR_EraseRootFromParent_Done,
     /* 2372872 */   // Label 33837: @2372872
     /* 2372872 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2372920), // Rule ID 53209 //
     /* 2372877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2372880 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372919 */     // GIR_Coverage, 53209,
     /* 2372919 */     GIR_EraseRootFromParent_Done,
     /* 2372920 */   // Label 33838: @2372920
     /* 2372920 */   GIM_Reject,
     /* 2372921 */ // Label 33836: @2372921
     /* 2372921 */ GIM_Reject,
     /* 2372922 */ // Label 33801: @2372922
     /* 2372922 */ GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2373042),
     /* 2372927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2372930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2372933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372945 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2372993), // Rule ID 53160 //
     /* 2372950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372953 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2372970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372992 */     // GIR_Coverage, 53160,
     /* 2372992 */     GIR_EraseRootFromParent_Done,
     /* 2372993 */   // Label 33840: @2372993
     /* 2372993 */   GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2373041), // Rule ID 53161 //
     /* 2372998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373001 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2373018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373040 */     // GIR_Coverage, 53161,
     /* 2373040 */     GIR_EraseRootFromParent_Done,
     /* 2373041 */   // Label 33841: @2373041
     /* 2373041 */   GIM_Reject,
     /* 2373042 */ // Label 33839: @2373042
     /* 2373042 */ GIM_Reject,
     /* 2373043 */ // Label 33802: @2373043
     /* 2373043 */ GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2373163),
     /* 2373048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2373051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2373054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373066 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2373114), // Rule ID 53196 //
     /* 2373071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373074 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2373091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373113 */     // GIR_Coverage, 53196,
     /* 2373113 */     GIR_EraseRootFromParent_Done,
     /* 2373114 */   // Label 33843: @2373114
     /* 2373114 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2373162), // Rule ID 53197 //
     /* 2373119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373122 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2373139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373161 */     // GIR_Coverage, 53197,
     /* 2373161 */     GIR_EraseRootFromParent_Done,
     /* 2373162 */   // Label 33844: @2373162
     /* 2373162 */   GIM_Reject,
     /* 2373163 */ // Label 33842: @2373163
     /* 2373163 */ GIM_Reject,
     /* 2373164 */ // Label 33803: @2373164
     /* 2373164 */ GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2373284),
     /* 2373169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2373172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2373175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373187 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2373235), // Rule ID 53292 //
     /* 2373192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373195 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2373212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373234 */     // GIR_Coverage, 53292,
     /* 2373234 */     GIR_EraseRootFromParent_Done,
     /* 2373235 */   // Label 33846: @2373235
     /* 2373235 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2373283), // Rule ID 53293 //
     /* 2373240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373243 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2373260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373282 */     // GIR_Coverage, 53293,
     /* 2373282 */     GIR_EraseRootFromParent_Done,
     /* 2373283 */   // Label 33847: @2373283
     /* 2373283 */   GIM_Reject,
     /* 2373284 */ // Label 33845: @2373284
     /* 2373284 */ GIM_Reject,
     /* 2373285 */ // Label 33804: @2373285
     /* 2373285 */ GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2373405),
     /* 2373290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2373293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2373296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373308 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2373356), // Rule ID 53184 //
     /* 2373313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373316 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2373333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373355 */     // GIR_Coverage, 53184,
     /* 2373355 */     GIR_EraseRootFromParent_Done,
     /* 2373356 */   // Label 33849: @2373356
     /* 2373356 */   GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2373404), // Rule ID 53185 //
     /* 2373361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373364 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2373381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373403 */     // GIR_Coverage, 53185,
     /* 2373403 */     GIR_EraseRootFromParent_Done,
     /* 2373404 */   // Label 33850: @2373404
     /* 2373404 */   GIM_Reject,
     /* 2373405 */ // Label 33848: @2373405
     /* 2373405 */ GIM_Reject,
     /* 2373406 */ // Label 33805: @2373406
     /* 2373406 */ GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2373526),
     /* 2373411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2373417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373429 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2373477), // Rule ID 53256 //
     /* 2373434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373437 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373476 */     // GIR_Coverage, 53256,
     /* 2373476 */     GIR_EraseRootFromParent_Done,
     /* 2373477 */   // Label 33852: @2373477
     /* 2373477 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2373525), // Rule ID 53257 //
     /* 2373482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373485 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373524 */     // GIR_Coverage, 53257,
     /* 2373524 */     GIR_EraseRootFromParent_Done,
     /* 2373525 */   // Label 33853: @2373525
     /* 2373525 */   GIM_Reject,
     /* 2373526 */ // Label 33851: @2373526
     /* 2373526 */ GIM_Reject,
     /* 2373527 */ // Label 33806: @2373527
     /* 2373527 */ GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2373647),
     /* 2373532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2373538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373550 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2373598), // Rule ID 53304 //
     /* 2373555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373558 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373597 */     // GIR_Coverage, 53304,
     /* 2373597 */     GIR_EraseRootFromParent_Done,
     /* 2373598 */   // Label 33855: @2373598
     /* 2373598 */   GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2373646), // Rule ID 53305 //
     /* 2373603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373606 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373645 */     // GIR_Coverage, 53305,
     /* 2373645 */     GIR_EraseRootFromParent_Done,
     /* 2373646 */   // Label 33856: @2373646
     /* 2373646 */   GIM_Reject,
     /* 2373647 */ // Label 33854: @2373647
     /* 2373647 */ GIM_Reject,
     /* 2373648 */ // Label 33807: @2373648
     /* 2373648 */ GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2373768),
     /* 2373653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2373656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2373659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373671 */   GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2373719), // Rule ID 53220 //
     /* 2373676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373679 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373718 */     // GIR_Coverage, 53220,
     /* 2373718 */     GIR_EraseRootFromParent_Done,
     /* 2373719 */   // Label 33858: @2373719
     /* 2373719 */   GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2373767), // Rule ID 53221 //
     /* 2373724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373727 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373766 */     // GIR_Coverage, 53221,
     /* 2373766 */     GIR_EraseRootFromParent_Done,
     /* 2373767 */   // Label 33859: @2373767
     /* 2373767 */   GIM_Reject,
     /* 2373768 */ // Label 33857: @2373768
     /* 2373768 */ GIM_Reject,
     /* 2373769 */ // Label 33808: @2373769
     /* 2373769 */ GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2373889),
     /* 2373774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2373777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2373780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373792 */   GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2373840), // Rule ID 53268 //
     /* 2373797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373800 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373839 */     // GIR_Coverage, 53268,
     /* 2373839 */     GIR_EraseRootFromParent_Done,
     /* 2373840 */   // Label 33861: @2373840
     /* 2373840 */   GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2373888), // Rule ID 53269 //
     /* 2373845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373848 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373887 */     // GIR_Coverage, 53269,
     /* 2373887 */     GIR_EraseRootFromParent_Done,
     /* 2373888 */   // Label 33862: @2373888
     /* 2373888 */   GIM_Reject,
     /* 2373889 */ // Label 33860: @2373889
     /* 2373889 */ GIM_Reject,
     /* 2373890 */ // Label 33809: @2373890
     /* 2373890 */ GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2374010),
     /* 2373895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2373898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2373901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373913 */   GIM_Try, /*On fail goto*//*Label 33864*/ GIMT_Encode4(2373961), // Rule ID 53316 //
     /* 2373918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373921 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373960 */     // GIR_Coverage, 53316,
     /* 2373960 */     GIR_EraseRootFromParent_Done,
     /* 2373961 */   // Label 33864: @2373961
     /* 2373961 */   GIM_Try, /*On fail goto*//*Label 33865*/ GIMT_Encode4(2374009), // Rule ID 53317 //
     /* 2373966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373969 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374008 */     // GIR_Coverage, 53317,
     /* 2374008 */     GIR_EraseRootFromParent_Done,
     /* 2374009 */   // Label 33865: @2374009
     /* 2374009 */   GIM_Reject,
     /* 2374010 */ // Label 33863: @2374010
     /* 2374010 */ GIM_Reject,
     /* 2374011 */ // Label 33810: @2374011
     /* 2374011 */ GIM_Try, /*On fail goto*//*Label 33866*/ GIMT_Encode4(2374131),
     /* 2374016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2374019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2374022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374034 */   GIM_Try, /*On fail goto*//*Label 33867*/ GIMT_Encode4(2374082), // Rule ID 53232 //
     /* 2374039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374042 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2374059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374081 */     // GIR_Coverage, 53232,
     /* 2374081 */     GIR_EraseRootFromParent_Done,
     /* 2374082 */   // Label 33867: @2374082
     /* 2374082 */   GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2374130), // Rule ID 53233 //
     /* 2374087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374090 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2374107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374129 */     // GIR_Coverage, 53233,
     /* 2374129 */     GIR_EraseRootFromParent_Done,
     /* 2374130 */   // Label 33868: @2374130
     /* 2374130 */   GIM_Reject,
     /* 2374131 */ // Label 33866: @2374131
     /* 2374131 */ GIM_Reject,
     /* 2374132 */ // Label 33811: @2374132
     /* 2374132 */ GIM_Try, /*On fail goto*//*Label 33869*/ GIMT_Encode4(2374252),
     /* 2374137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2374140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2374143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374155 */   GIM_Try, /*On fail goto*//*Label 33870*/ GIMT_Encode4(2374203), // Rule ID 53280 //
     /* 2374160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374163 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2374180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374202 */     // GIR_Coverage, 53280,
     /* 2374202 */     GIR_EraseRootFromParent_Done,
     /* 2374203 */   // Label 33870: @2374203
     /* 2374203 */   GIM_Try, /*On fail goto*//*Label 33871*/ GIMT_Encode4(2374251), // Rule ID 53281 //
     /* 2374208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374211 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2374228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374250 */     // GIR_Coverage, 53281,
     /* 2374250 */     GIR_EraseRootFromParent_Done,
     /* 2374251 */   // Label 33871: @2374251
     /* 2374251 */   GIM_Reject,
     /* 2374252 */ // Label 33869: @2374252
     /* 2374252 */ GIM_Reject,
     /* 2374253 */ // Label 33812: @2374253
     /* 2374253 */ GIM_Try, /*On fail goto*//*Label 33872*/ GIMT_Encode4(2374373),
     /* 2374258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2374261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2374264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374276 */   GIM_Try, /*On fail goto*//*Label 33873*/ GIMT_Encode4(2374324), // Rule ID 53244 //
     /* 2374281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374284 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2374301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374323 */     // GIR_Coverage, 53244,
     /* 2374323 */     GIR_EraseRootFromParent_Done,
     /* 2374324 */   // Label 33873: @2374324
     /* 2374324 */   GIM_Try, /*On fail goto*//*Label 33874*/ GIMT_Encode4(2374372), // Rule ID 53245 //
     /* 2374329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374332 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2374349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374371 */     // GIR_Coverage, 53245,
     /* 2374371 */     GIR_EraseRootFromParent_Done,
     /* 2374372 */   // Label 33874: @2374372
     /* 2374372 */   GIM_Reject,
     /* 2374373 */ // Label 33872: @2374373
     /* 2374373 */ GIM_Reject,
     /* 2374374 */ // Label 33813: @2374374
     /* 2374374 */ GIM_Reject,
     /* 2374375 */ // Label 97: @2374375
     /* 2374375 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33893*/ GIMT_Encode4(2376802),
     /* 2374386 */ /*GILLT_s16*//*Label 33875*/ GIMT_Encode4(2374506),
     /* 2374390 */ /*GILLT_s32*//*Label 33876*/ GIMT_Encode4(2374655),
     /* 2374394 */ /*GILLT_s64*//*Label 33877*/ GIMT_Encode4(2374804), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374406 */ /*GILLT_nxv1s16*//*Label 33878*/ GIMT_Encode4(2374987),
     /* 2374410 */ /*GILLT_nxv1s32*//*Label 33879*/ GIMT_Encode4(2375108),
     /* 2374414 */ /*GILLT_nxv1s64*//*Label 33880*/ GIMT_Encode4(2375229), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374426 */ /*GILLT_nxv2s16*//*Label 33881*/ GIMT_Encode4(2375350),
     /* 2374430 */ /*GILLT_nxv2s32*//*Label 33882*/ GIMT_Encode4(2375471),
     /* 2374434 */ /*GILLT_nxv2s64*//*Label 33883*/ GIMT_Encode4(2375592), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374446 */ /*GILLT_nxv4s16*//*Label 33884*/ GIMT_Encode4(2375713),
     /* 2374450 */ /*GILLT_nxv4s32*//*Label 33885*/ GIMT_Encode4(2375834),
     /* 2374454 */ /*GILLT_nxv4s64*//*Label 33886*/ GIMT_Encode4(2375955), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374466 */ /*GILLT_nxv8s16*//*Label 33887*/ GIMT_Encode4(2376076),
     /* 2374470 */ /*GILLT_nxv8s32*//*Label 33888*/ GIMT_Encode4(2376197),
     /* 2374474 */ /*GILLT_nxv8s64*//*Label 33889*/ GIMT_Encode4(2376318), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374486 */ /*GILLT_nxv16s16*//*Label 33890*/ GIMT_Encode4(2376439),
     /* 2374490 */ /*GILLT_nxv16s32*//*Label 33891*/ GIMT_Encode4(2376560), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374502 */ /*GILLT_nxv32s16*//*Label 33892*/ GIMT_Encode4(2376681),
     /* 2374506 */ // Label 33875: @2374506
     /* 2374506 */ GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2374654),
     /* 2374511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2374514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2374517 */   GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2374551), // Rule ID 1854 //
     /* 2374522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2374525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374537 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374550 */     // GIR_Coverage, 1854,
     /* 2374550 */     GIR_EraseRootFromParent_Done,
     /* 2374551 */   // Label 33895: @2374551
     /* 2374551 */   GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2374585), // Rule ID 1855 //
     /* 2374556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2374559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374571 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374584 */     // GIR_Coverage, 1855,
     /* 2374584 */     GIR_EraseRootFromParent_Done,
     /* 2374585 */   // Label 33896: @2374585
     /* 2374585 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2374619), // Rule ID 1858 //
     /* 2374590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2374593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374605 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374618 */     // GIR_Coverage, 1858,
     /* 2374618 */     GIR_EraseRootFromParent_Done,
     /* 2374619 */   // Label 33897: @2374619
     /* 2374619 */   GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2374653), // Rule ID 1859 //
     /* 2374624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2374627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374639 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374652 */     // GIR_Coverage, 1859,
     /* 2374652 */     GIR_EraseRootFromParent_Done,
     /* 2374653 */   // Label 33898: @2374653
     /* 2374653 */   GIM_Reject,
     /* 2374654 */ // Label 33894: @2374654
     /* 2374654 */ GIM_Reject,
     /* 2374655 */ // Label 33876: @2374655
     /* 2374655 */ GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2374803),
     /* 2374660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2374663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2374666 */   GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2374700), // Rule ID 1145 //
     /* 2374671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2374674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374686 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374699 */     // GIR_Coverage, 1145,
     /* 2374699 */     GIR_EraseRootFromParent_Done,
     /* 2374700 */   // Label 33900: @2374700
     /* 2374700 */   GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2374734), // Rule ID 1146 //
     /* 2374705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2374708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374720 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374733 */     // GIR_Coverage, 1146,
     /* 2374733 */     GIR_EraseRootFromParent_Done,
     /* 2374734 */   // Label 33901: @2374734
     /* 2374734 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2374768), // Rule ID 1149 //
     /* 2374739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2374742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374754 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374767 */     // GIR_Coverage, 1149,
     /* 2374767 */     GIR_EraseRootFromParent_Done,
     /* 2374768 */   // Label 33902: @2374768
     /* 2374768 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2374802), // Rule ID 1150 //
     /* 2374773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2374776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374788 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374801 */     // GIR_Coverage, 1150,
     /* 2374801 */     GIR_EraseRootFromParent_Done,
     /* 2374802 */   // Label 33903: @2374802
     /* 2374802 */   GIM_Reject,
     /* 2374803 */ // Label 33899: @2374803
     /* 2374803 */ GIM_Reject,
     /* 2374804 */ // Label 33877: @2374804
     /* 2374804 */ GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2374986),
     /* 2374809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2374812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2374815 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2374849), // Rule ID 1482 //
     /* 2374820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2374823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374835 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374848 */     // GIR_Coverage, 1482,
     /* 2374848 */     GIR_EraseRootFromParent_Done,
     /* 2374849 */   // Label 33905: @2374849
     /* 2374849 */   GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2374883), // Rule ID 1483 //
     /* 2374854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2374857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374869 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374882 */     // GIR_Coverage, 1483,
     /* 2374882 */     GIR_EraseRootFromParent_Done,
     /* 2374883 */   // Label 33906: @2374883
     /* 2374883 */   GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2374917), // Rule ID 1486 //
     /* 2374888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2374891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374903 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374916 */     // GIR_Coverage, 1486,
     /* 2374916 */     GIR_EraseRootFromParent_Done,
     /* 2374917 */   // Label 33907: @2374917
     /* 2374917 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2374951), // Rule ID 1487 //
     /* 2374922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2374925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374937 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374950 */     // GIR_Coverage, 1487,
     /* 2374950 */     GIR_EraseRootFromParent_Done,
     /* 2374951 */   // Label 33908: @2374951
     /* 2374951 */   GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2374985), // Rule ID 1490 //
     /* 2374956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2374959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374971 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2374974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374984 */     // GIR_Coverage, 1490,
     /* 2374984 */     GIR_EraseRootFromParent_Done,
     /* 2374985 */   // Label 33909: @2374985
     /* 2374985 */   GIM_Reject,
     /* 2374986 */ // Label 33904: @2374986
     /* 2374986 */ GIM_Reject,
     /* 2374987 */ // Label 33878: @2374987
     /* 2374987 */ GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2375107),
     /* 2374992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2374995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2374998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375010 */   GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2375058), // Rule ID 53328 //
     /* 2375015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375018 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2375035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375057 */     // GIR_Coverage, 53328,
     /* 2375057 */     GIR_EraseRootFromParent_Done,
     /* 2375058 */   // Label 33911: @2375058
     /* 2375058 */   GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2375106), // Rule ID 53329 //
     /* 2375063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375066 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2375083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375105 */     // GIR_Coverage, 53329,
     /* 2375105 */     GIR_EraseRootFromParent_Done,
     /* 2375106 */   // Label 33912: @2375106
     /* 2375106 */   GIM_Reject,
     /* 2375107 */ // Label 33910: @2375107
     /* 2375107 */ GIM_Reject,
     /* 2375108 */ // Label 33879: @2375108
     /* 2375108 */ GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2375228),
     /* 2375113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2375116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2375119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375131 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2375179), // Rule ID 53352 //
     /* 2375136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375139 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2375156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375178 */     // GIR_Coverage, 53352,
     /* 2375178 */     GIR_EraseRootFromParent_Done,
     /* 2375179 */   // Label 33914: @2375179
     /* 2375179 */   GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2375227), // Rule ID 53353 //
     /* 2375184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375187 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2375204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375226 */     // GIR_Coverage, 53353,
     /* 2375226 */     GIR_EraseRootFromParent_Done,
     /* 2375227 */   // Label 33915: @2375227
     /* 2375227 */   GIM_Reject,
     /* 2375228 */ // Label 33913: @2375228
     /* 2375228 */ GIM_Reject,
     /* 2375229 */ // Label 33880: @2375229
     /* 2375229 */ GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2375349),
     /* 2375234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2375237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2375240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375252 */   GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2375300), // Rule ID 53388 //
     /* 2375257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375260 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2375277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375299 */     // GIR_Coverage, 53388,
     /* 2375299 */     GIR_EraseRootFromParent_Done,
     /* 2375300 */   // Label 33917: @2375300
     /* 2375300 */   GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2375348), // Rule ID 53389 //
     /* 2375305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375308 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2375325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375347 */     // GIR_Coverage, 53389,
     /* 2375347 */     GIR_EraseRootFromParent_Done,
     /* 2375348 */   // Label 33918: @2375348
     /* 2375348 */   GIM_Reject,
     /* 2375349 */ // Label 33916: @2375349
     /* 2375349 */ GIM_Reject,
     /* 2375350 */ // Label 33881: @2375350
     /* 2375350 */ GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2375470),
     /* 2375355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2375358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2375361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375373 */   GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2375421), // Rule ID 53340 //
     /* 2375378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375381 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2375398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375420 */     // GIR_Coverage, 53340,
     /* 2375420 */     GIR_EraseRootFromParent_Done,
     /* 2375421 */   // Label 33920: @2375421
     /* 2375421 */   GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2375469), // Rule ID 53341 //
     /* 2375426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375429 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2375446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375468 */     // GIR_Coverage, 53341,
     /* 2375468 */     GIR_EraseRootFromParent_Done,
     /* 2375469 */   // Label 33921: @2375469
     /* 2375469 */   GIM_Reject,
     /* 2375470 */ // Label 33919: @2375470
     /* 2375470 */ GIM_Reject,
     /* 2375471 */ // Label 33882: @2375471
     /* 2375471 */ GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2375591),
     /* 2375476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2375482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375494 */   GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2375542), // Rule ID 53376 //
     /* 2375499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375502 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375541 */     // GIR_Coverage, 53376,
     /* 2375541 */     GIR_EraseRootFromParent_Done,
     /* 2375542 */   // Label 33923: @2375542
     /* 2375542 */   GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2375590), // Rule ID 53377 //
     /* 2375547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375550 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375589 */     // GIR_Coverage, 53377,
     /* 2375589 */     GIR_EraseRootFromParent_Done,
     /* 2375590 */   // Label 33924: @2375590
     /* 2375590 */   GIM_Reject,
     /* 2375591 */ // Label 33922: @2375591
     /* 2375591 */ GIM_Reject,
     /* 2375592 */ // Label 33883: @2375592
     /* 2375592 */ GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2375712),
     /* 2375597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2375603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375615 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2375663), // Rule ID 53472 //
     /* 2375620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375623 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375662 */     // GIR_Coverage, 53472,
     /* 2375662 */     GIR_EraseRootFromParent_Done,
     /* 2375663 */   // Label 33926: @2375663
     /* 2375663 */   GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2375711), // Rule ID 53473 //
     /* 2375668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375671 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375710 */     // GIR_Coverage, 53473,
     /* 2375710 */     GIR_EraseRootFromParent_Done,
     /* 2375711 */   // Label 33927: @2375711
     /* 2375711 */   GIM_Reject,
     /* 2375712 */ // Label 33925: @2375712
     /* 2375712 */ GIM_Reject,
     /* 2375713 */ // Label 33884: @2375713
     /* 2375713 */ GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2375833),
     /* 2375718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2375721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2375724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375736 */   GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2375784), // Rule ID 53364 //
     /* 2375741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375744 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375783 */     // GIR_Coverage, 53364,
     /* 2375783 */     GIR_EraseRootFromParent_Done,
     /* 2375784 */   // Label 33929: @2375784
     /* 2375784 */   GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2375832), // Rule ID 53365 //
     /* 2375789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375792 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375831 */     // GIR_Coverage, 53365,
     /* 2375831 */     GIR_EraseRootFromParent_Done,
     /* 2375832 */   // Label 33930: @2375832
     /* 2375832 */   GIM_Reject,
     /* 2375833 */ // Label 33928: @2375833
     /* 2375833 */ GIM_Reject,
     /* 2375834 */ // Label 33885: @2375834
     /* 2375834 */ GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2375954),
     /* 2375839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2375842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2375845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375857 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2375905), // Rule ID 53436 //
     /* 2375862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375865 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375904 */     // GIR_Coverage, 53436,
     /* 2375904 */     GIR_EraseRootFromParent_Done,
     /* 2375905 */   // Label 33932: @2375905
     /* 2375905 */   GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2375953), // Rule ID 53437 //
     /* 2375910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375913 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375952 */     // GIR_Coverage, 53437,
     /* 2375952 */     GIR_EraseRootFromParent_Done,
     /* 2375953 */   // Label 33933: @2375953
     /* 2375953 */   GIM_Reject,
     /* 2375954 */ // Label 33931: @2375954
     /* 2375954 */ GIM_Reject,
     /* 2375955 */ // Label 33886: @2375955
     /* 2375955 */ GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2376075),
     /* 2375960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2375963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2375966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375978 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2376026), // Rule ID 53484 //
     /* 2375983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375986 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2376003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376025 */     // GIR_Coverage, 53484,
     /* 2376025 */     GIR_EraseRootFromParent_Done,
     /* 2376026 */   // Label 33935: @2376026
     /* 2376026 */   GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2376074), // Rule ID 53485 //
     /* 2376031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376034 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2376051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376073 */     // GIR_Coverage, 53485,
     /* 2376073 */     GIR_EraseRootFromParent_Done,
     /* 2376074 */   // Label 33936: @2376074
     /* 2376074 */   GIM_Reject,
     /* 2376075 */ // Label 33934: @2376075
     /* 2376075 */ GIM_Reject,
     /* 2376076 */ // Label 33887: @2376076
     /* 2376076 */ GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2376196),
     /* 2376081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2376084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2376087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376099 */   GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2376147), // Rule ID 53400 //
     /* 2376104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376107 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2376124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376146 */     // GIR_Coverage, 53400,
     /* 2376146 */     GIR_EraseRootFromParent_Done,
     /* 2376147 */   // Label 33938: @2376147
     /* 2376147 */   GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2376195), // Rule ID 53401 //
     /* 2376152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376155 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2376172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376194 */     // GIR_Coverage, 53401,
     /* 2376194 */     GIR_EraseRootFromParent_Done,
     /* 2376195 */   // Label 33939: @2376195
     /* 2376195 */   GIM_Reject,
     /* 2376196 */ // Label 33937: @2376196
     /* 2376196 */ GIM_Reject,
     /* 2376197 */ // Label 33888: @2376197
     /* 2376197 */ GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2376317),
     /* 2376202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2376205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2376208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376220 */   GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2376268), // Rule ID 53448 //
     /* 2376225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376228 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2376245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376267 */     // GIR_Coverage, 53448,
     /* 2376267 */     GIR_EraseRootFromParent_Done,
     /* 2376268 */   // Label 33941: @2376268
     /* 2376268 */   GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2376316), // Rule ID 53449 //
     /* 2376273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376276 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2376293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376315 */     // GIR_Coverage, 53449,
     /* 2376315 */     GIR_EraseRootFromParent_Done,
     /* 2376316 */   // Label 33942: @2376316
     /* 2376316 */   GIM_Reject,
     /* 2376317 */ // Label 33940: @2376317
     /* 2376317 */ GIM_Reject,
     /* 2376318 */ // Label 33889: @2376318
     /* 2376318 */ GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2376438),
     /* 2376323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2376326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2376329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376341 */   GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2376389), // Rule ID 53496 //
     /* 2376346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2376349 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2376366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376388 */     // GIR_Coverage, 53496,
     /* 2376388 */     GIR_EraseRootFromParent_Done,
     /* 2376389 */   // Label 33944: @2376389
     /* 2376389 */   GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2376437), // Rule ID 53497 //
     /* 2376394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376397 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2376414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376436 */     // GIR_Coverage, 53497,
     /* 2376436 */     GIR_EraseRootFromParent_Done,
     /* 2376437 */   // Label 33945: @2376437
     /* 2376437 */   GIM_Reject,
     /* 2376438 */ // Label 33943: @2376438
     /* 2376438 */ GIM_Reject,
     /* 2376439 */ // Label 33890: @2376439
     /* 2376439 */ GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2376559),
     /* 2376444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2376450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376462 */   GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2376510), // Rule ID 53412 //
     /* 2376467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376470 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376509 */     // GIR_Coverage, 53412,
     /* 2376509 */     GIR_EraseRootFromParent_Done,
     /* 2376510 */   // Label 33947: @2376510
     /* 2376510 */   GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2376558), // Rule ID 53413 //
     /* 2376515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376518 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376557 */     // GIR_Coverage, 53413,
     /* 2376557 */     GIR_EraseRootFromParent_Done,
     /* 2376558 */   // Label 33948: @2376558
     /* 2376558 */   GIM_Reject,
     /* 2376559 */ // Label 33946: @2376559
     /* 2376559 */ GIM_Reject,
     /* 2376560 */ // Label 33891: @2376560
     /* 2376560 */ GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2376680),
     /* 2376565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2376571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376583 */   GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2376631), // Rule ID 53460 //
     /* 2376588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376591 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376630 */     // GIR_Coverage, 53460,
     /* 2376630 */     GIR_EraseRootFromParent_Done,
     /* 2376631 */   // Label 33950: @2376631
     /* 2376631 */   GIM_Try, /*On fail goto*//*Label 33951*/ GIMT_Encode4(2376679), // Rule ID 53461 //
     /* 2376636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376639 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376678 */     // GIR_Coverage, 53461,
     /* 2376678 */     GIR_EraseRootFromParent_Done,
     /* 2376679 */   // Label 33951: @2376679
     /* 2376679 */   GIM_Reject,
     /* 2376680 */ // Label 33949: @2376680
     /* 2376680 */ GIM_Reject,
     /* 2376681 */ // Label 33892: @2376681
     /* 2376681 */ GIM_Try, /*On fail goto*//*Label 33952*/ GIMT_Encode4(2376801),
     /* 2376686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2376689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2376692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376704 */   GIM_Try, /*On fail goto*//*Label 33953*/ GIMT_Encode4(2376752), // Rule ID 53424 //
     /* 2376709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376712 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376751 */     // GIR_Coverage, 53424,
     /* 2376751 */     GIR_EraseRootFromParent_Done,
     /* 2376752 */   // Label 33953: @2376752
     /* 2376752 */   GIM_Try, /*On fail goto*//*Label 33954*/ GIMT_Encode4(2376800), // Rule ID 53425 //
     /* 2376757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376760 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376799 */     // GIR_Coverage, 53425,
     /* 2376799 */     GIR_EraseRootFromParent_Done,
     /* 2376800 */   // Label 33954: @2376800
     /* 2376800 */   GIM_Reject,
     /* 2376801 */ // Label 33952: @2376801
     /* 2376801 */ GIM_Reject,
     /* 2376802 */ // Label 33893: @2376802
     /* 2376802 */ GIM_Reject,
     /* 2376803 */ // Label 98: @2376803
     /* 2376803 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33973*/ GIMT_Encode4(2379230),
     /* 2376814 */ /*GILLT_s16*//*Label 33955*/ GIMT_Encode4(2376934),
     /* 2376818 */ /*GILLT_s32*//*Label 33956*/ GIMT_Encode4(2377083),
     /* 2376822 */ /*GILLT_s64*//*Label 33957*/ GIMT_Encode4(2377232), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376834 */ /*GILLT_nxv1s16*//*Label 33958*/ GIMT_Encode4(2377415),
     /* 2376838 */ /*GILLT_nxv1s32*//*Label 33959*/ GIMT_Encode4(2377536),
     /* 2376842 */ /*GILLT_nxv1s64*//*Label 33960*/ GIMT_Encode4(2377657), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376854 */ /*GILLT_nxv2s16*//*Label 33961*/ GIMT_Encode4(2377778),
     /* 2376858 */ /*GILLT_nxv2s32*//*Label 33962*/ GIMT_Encode4(2377899),
     /* 2376862 */ /*GILLT_nxv2s64*//*Label 33963*/ GIMT_Encode4(2378020), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376874 */ /*GILLT_nxv4s16*//*Label 33964*/ GIMT_Encode4(2378141),
     /* 2376878 */ /*GILLT_nxv4s32*//*Label 33965*/ GIMT_Encode4(2378262),
     /* 2376882 */ /*GILLT_nxv4s64*//*Label 33966*/ GIMT_Encode4(2378383), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376894 */ /*GILLT_nxv8s16*//*Label 33967*/ GIMT_Encode4(2378504),
     /* 2376898 */ /*GILLT_nxv8s32*//*Label 33968*/ GIMT_Encode4(2378625),
     /* 2376902 */ /*GILLT_nxv8s64*//*Label 33969*/ GIMT_Encode4(2378746), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376914 */ /*GILLT_nxv16s16*//*Label 33970*/ GIMT_Encode4(2378867),
     /* 2376918 */ /*GILLT_nxv16s32*//*Label 33971*/ GIMT_Encode4(2378988), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376930 */ /*GILLT_nxv32s16*//*Label 33972*/ GIMT_Encode4(2379109),
     /* 2376934 */ // Label 33955: @2376934
     /* 2376934 */ GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2377082),
     /* 2376939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2376945 */   GIM_Try, /*On fail goto*//*Label 33975*/ GIMT_Encode4(2376979), // Rule ID 1862 //
     /* 2376950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2376953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376965 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2376965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2376968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376978 */     // GIR_Coverage, 1862,
     /* 2376978 */     GIR_EraseRootFromParent_Done,
     /* 2376979 */   // Label 33975: @2376979
     /* 2376979 */   GIM_Try, /*On fail goto*//*Label 33976*/ GIMT_Encode4(2377013), // Rule ID 1863 //
     /* 2376984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2376987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376999 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2376999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2377002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377012 */     // GIR_Coverage, 1863,
     /* 2377012 */     GIR_EraseRootFromParent_Done,
     /* 2377013 */   // Label 33976: @2377013
     /* 2377013 */   GIM_Try, /*On fail goto*//*Label 33977*/ GIMT_Encode4(2377047), // Rule ID 1866 //
     /* 2377018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2377021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377033 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2377033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2377036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377046 */     // GIR_Coverage, 1866,
     /* 2377046 */     GIR_EraseRootFromParent_Done,
     /* 2377047 */   // Label 33977: @2377047
     /* 2377047 */   GIM_Try, /*On fail goto*//*Label 33978*/ GIMT_Encode4(2377081), // Rule ID 1867 //
     /* 2377052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2377055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377067 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2377067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2377070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377080 */     // GIR_Coverage, 1867,
     /* 2377080 */     GIR_EraseRootFromParent_Done,
     /* 2377081 */   // Label 33978: @2377081
     /* 2377081 */   GIM_Reject,
     /* 2377082 */ // Label 33974: @2377082
     /* 2377082 */ GIM_Reject,
     /* 2377083 */ // Label 33956: @2377083
     /* 2377083 */ GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2377231),
     /* 2377088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2377094 */   GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2377128), // Rule ID 1153 //
     /* 2377099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377114 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2377114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2377117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377127 */     // GIR_Coverage, 1153,
     /* 2377127 */     GIR_EraseRootFromParent_Done,
     /* 2377128 */   // Label 33980: @2377128
     /* 2377128 */   GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2377162), // Rule ID 1154 //
     /* 2377133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377148 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2377148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2377151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377161 */     // GIR_Coverage, 1154,
     /* 2377161 */     GIR_EraseRootFromParent_Done,
     /* 2377162 */   // Label 33981: @2377162
     /* 2377162 */   GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2377196), // Rule ID 1157 //
     /* 2377167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377182 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2377182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2377185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377195 */     // GIR_Coverage, 1157,
     /* 2377195 */     GIR_EraseRootFromParent_Done,
     /* 2377196 */   // Label 33982: @2377196
     /* 2377196 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2377230), // Rule ID 1158 //
     /* 2377201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377216 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2377216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2377219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377229 */     // GIR_Coverage, 1158,
     /* 2377229 */     GIR_EraseRootFromParent_Done,
     /* 2377230 */   // Label 33983: @2377230
     /* 2377230 */   GIM_Reject,
     /* 2377231 */ // Label 33979: @2377231
     /* 2377231 */ GIM_Reject,
     /* 2377232 */ // Label 33957: @2377232
     /* 2377232 */ GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2377414),
     /* 2377237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2377243 */   GIM_Try, /*On fail goto*//*Label 33985*/ GIMT_Encode4(2377277), // Rule ID 1492 //
     /* 2377248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2377251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377263 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2377266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377276 */     // GIR_Coverage, 1492,
     /* 2377276 */     GIR_EraseRootFromParent_Done,
     /* 2377277 */   // Label 33985: @2377277
     /* 2377277 */   GIM_Try, /*On fail goto*//*Label 33986*/ GIMT_Encode4(2377311), // Rule ID 1493 //
     /* 2377282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2377285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377297 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2377297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2377300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377310 */     // GIR_Coverage, 1493,
     /* 2377310 */     GIR_EraseRootFromParent_Done,
     /* 2377311 */   // Label 33986: @2377311
     /* 2377311 */   GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2377345), // Rule ID 1496 //
     /* 2377316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2377319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377331 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2377334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377344 */     // GIR_Coverage, 1496,
     /* 2377344 */     GIR_EraseRootFromParent_Done,
     /* 2377345 */   // Label 33987: @2377345
     /* 2377345 */   GIM_Try, /*On fail goto*//*Label 33988*/ GIMT_Encode4(2377379), // Rule ID 1497 //
     /* 2377350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2377353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377365 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2377365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2377368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377378 */     // GIR_Coverage, 1497,
     /* 2377378 */     GIR_EraseRootFromParent_Done,
     /* 2377379 */   // Label 33988: @2377379
     /* 2377379 */   GIM_Try, /*On fail goto*//*Label 33989*/ GIMT_Encode4(2377413), // Rule ID 1500 //
     /* 2377384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2377387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377399 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2377402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377412 */     // GIR_Coverage, 1500,
     /* 2377412 */     GIR_EraseRootFromParent_Done,
     /* 2377413 */   // Label 33989: @2377413
     /* 2377413 */   GIM_Reject,
     /* 2377414 */ // Label 33984: @2377414
     /* 2377414 */ GIM_Reject,
     /* 2377415 */ // Label 33958: @2377415
     /* 2377415 */ GIM_Try, /*On fail goto*//*Label 33990*/ GIMT_Encode4(2377535),
     /* 2377420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2377423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2377426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377438 */   GIM_Try, /*On fail goto*//*Label 33991*/ GIMT_Encode4(2377486), // Rule ID 54096 //
     /* 2377443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377446 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377485 */     // GIR_Coverage, 54096,
     /* 2377485 */     GIR_EraseRootFromParent_Done,
     /* 2377486 */   // Label 33991: @2377486
     /* 2377486 */   GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2377534), // Rule ID 54097 //
     /* 2377491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377494 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377533 */     // GIR_Coverage, 54097,
     /* 2377533 */     GIR_EraseRootFromParent_Done,
     /* 2377534 */   // Label 33992: @2377534
     /* 2377534 */   GIM_Reject,
     /* 2377535 */ // Label 33990: @2377535
     /* 2377535 */ GIM_Reject,
     /* 2377536 */ // Label 33959: @2377536
     /* 2377536 */ GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2377656),
     /* 2377541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2377547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377559 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2377607), // Rule ID 54120 //
     /* 2377564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377567 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377606 */     // GIR_Coverage, 54120,
     /* 2377606 */     GIR_EraseRootFromParent_Done,
     /* 2377607 */   // Label 33994: @2377607
     /* 2377607 */   GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2377655), // Rule ID 54121 //
     /* 2377612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377615 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377654 */     // GIR_Coverage, 54121,
     /* 2377654 */     GIR_EraseRootFromParent_Done,
     /* 2377655 */   // Label 33995: @2377655
     /* 2377655 */   GIM_Reject,
     /* 2377656 */ // Label 33993: @2377656
     /* 2377656 */ GIM_Reject,
     /* 2377657 */ // Label 33960: @2377657
     /* 2377657 */ GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2377777),
     /* 2377662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2377665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2377668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377680 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2377728), // Rule ID 54156 //
     /* 2377685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2377688 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377727 */     // GIR_Coverage, 54156,
     /* 2377727 */     GIR_EraseRootFromParent_Done,
     /* 2377728 */   // Label 33997: @2377728
     /* 2377728 */   GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2377776), // Rule ID 54157 //
     /* 2377733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2377736 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377775 */     // GIR_Coverage, 54157,
     /* 2377775 */     GIR_EraseRootFromParent_Done,
     /* 2377776 */   // Label 33998: @2377776
     /* 2377776 */   GIM_Reject,
     /* 2377777 */ // Label 33996: @2377777
     /* 2377777 */ GIM_Reject,
     /* 2377778 */ // Label 33961: @2377778
     /* 2377778 */ GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2377898),
     /* 2377783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2377786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2377789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377801 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2377849), // Rule ID 54108 //
     /* 2377806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377809 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377848 */     // GIR_Coverage, 54108,
     /* 2377848 */     GIR_EraseRootFromParent_Done,
     /* 2377849 */   // Label 34000: @2377849
     /* 2377849 */   GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2377897), // Rule ID 54109 //
     /* 2377854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377857 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377896 */     // GIR_Coverage, 54109,
     /* 2377896 */     GIR_EraseRootFromParent_Done,
     /* 2377897 */   // Label 34001: @2377897
     /* 2377897 */   GIM_Reject,
     /* 2377898 */ // Label 33999: @2377898
     /* 2377898 */ GIM_Reject,
     /* 2377899 */ // Label 33962: @2377899
     /* 2377899 */ GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2378019),
     /* 2377904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2377907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2377910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377922 */   GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2377970), // Rule ID 54144 //
     /* 2377927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377930 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377969 */     // GIR_Coverage, 54144,
     /* 2377969 */     GIR_EraseRootFromParent_Done,
     /* 2377970 */   // Label 34003: @2377970
     /* 2377970 */   GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2378018), // Rule ID 54145 //
     /* 2377975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377978 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378017 */     // GIR_Coverage, 54145,
     /* 2378017 */     GIR_EraseRootFromParent_Done,
     /* 2378018 */   // Label 34004: @2378018
     /* 2378018 */   GIM_Reject,
     /* 2378019 */ // Label 34002: @2378019
     /* 2378019 */ GIM_Reject,
     /* 2378020 */ // Label 33963: @2378020
     /* 2378020 */ GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2378140),
     /* 2378025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2378028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2378031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378043 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2378091), // Rule ID 54240 //
     /* 2378048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378051 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2378068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378090 */     // GIR_Coverage, 54240,
     /* 2378090 */     GIR_EraseRootFromParent_Done,
     /* 2378091 */   // Label 34006: @2378091
     /* 2378091 */   GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2378139), // Rule ID 54241 //
     /* 2378096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378099 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2378116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378138 */     // GIR_Coverage, 54241,
     /* 2378138 */     GIR_EraseRootFromParent_Done,
     /* 2378139 */   // Label 34007: @2378139
     /* 2378139 */   GIM_Reject,
     /* 2378140 */ // Label 34005: @2378140
     /* 2378140 */ GIM_Reject,
     /* 2378141 */ // Label 33964: @2378141
     /* 2378141 */ GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2378261),
     /* 2378146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2378149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2378152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378164 */   GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2378212), // Rule ID 54132 //
     /* 2378169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378172 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2378189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378211 */     // GIR_Coverage, 54132,
     /* 2378211 */     GIR_EraseRootFromParent_Done,
     /* 2378212 */   // Label 34009: @2378212
     /* 2378212 */   GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2378260), // Rule ID 54133 //
     /* 2378217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378220 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2378237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378259 */     // GIR_Coverage, 54133,
     /* 2378259 */     GIR_EraseRootFromParent_Done,
     /* 2378260 */   // Label 34010: @2378260
     /* 2378260 */   GIM_Reject,
     /* 2378261 */ // Label 34008: @2378261
     /* 2378261 */ GIM_Reject,
     /* 2378262 */ // Label 33965: @2378262
     /* 2378262 */ GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2378382),
     /* 2378267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2378270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2378273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378285 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2378333), // Rule ID 54204 //
     /* 2378290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378293 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2378310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378332 */     // GIR_Coverage, 54204,
     /* 2378332 */     GIR_EraseRootFromParent_Done,
     /* 2378333 */   // Label 34012: @2378333
     /* 2378333 */   GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2378381), // Rule ID 54205 //
     /* 2378338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378341 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2378358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378380 */     // GIR_Coverage, 54205,
     /* 2378380 */     GIR_EraseRootFromParent_Done,
     /* 2378381 */   // Label 34013: @2378381
     /* 2378381 */   GIM_Reject,
     /* 2378382 */ // Label 34011: @2378382
     /* 2378382 */ GIM_Reject,
     /* 2378383 */ // Label 33966: @2378383
     /* 2378383 */ GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2378503),
     /* 2378388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2378394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378406 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2378454), // Rule ID 54252 //
     /* 2378411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378414 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2378431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378453 */     // GIR_Coverage, 54252,
     /* 2378453 */     GIR_EraseRootFromParent_Done,
     /* 2378454 */   // Label 34015: @2378454
     /* 2378454 */   GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2378502), // Rule ID 54253 //
     /* 2378459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378462 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2378479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378501 */     // GIR_Coverage, 54253,
     /* 2378501 */     GIR_EraseRootFromParent_Done,
     /* 2378502 */   // Label 34016: @2378502
     /* 2378502 */   GIM_Reject,
     /* 2378503 */ // Label 34014: @2378503
     /* 2378503 */ GIM_Reject,
     /* 2378504 */ // Label 33967: @2378504
     /* 2378504 */ GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2378624),
     /* 2378509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2378515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378527 */   GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2378575), // Rule ID 54168 //
     /* 2378532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378535 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378574 */     // GIR_Coverage, 54168,
     /* 2378574 */     GIR_EraseRootFromParent_Done,
     /* 2378575 */   // Label 34018: @2378575
     /* 2378575 */   GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2378623), // Rule ID 54169 //
     /* 2378580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378583 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378622 */     // GIR_Coverage, 54169,
     /* 2378622 */     GIR_EraseRootFromParent_Done,
     /* 2378623 */   // Label 34019: @2378623
     /* 2378623 */   GIM_Reject,
     /* 2378624 */ // Label 34017: @2378624
     /* 2378624 */ GIM_Reject,
     /* 2378625 */ // Label 33968: @2378625
     /* 2378625 */ GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2378745),
     /* 2378630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2378633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2378636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378648 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2378696), // Rule ID 54216 //
     /* 2378653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378656 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378695 */     // GIR_Coverage, 54216,
     /* 2378695 */     GIR_EraseRootFromParent_Done,
     /* 2378696 */   // Label 34021: @2378696
     /* 2378696 */   GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2378744), // Rule ID 54217 //
     /* 2378701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378704 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378743 */     // GIR_Coverage, 54217,
     /* 2378743 */     GIR_EraseRootFromParent_Done,
     /* 2378744 */   // Label 34022: @2378744
     /* 2378744 */   GIM_Reject,
     /* 2378745 */ // Label 34020: @2378745
     /* 2378745 */ GIM_Reject,
     /* 2378746 */ // Label 33969: @2378746
     /* 2378746 */ GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2378866),
     /* 2378751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2378754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2378757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378769 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2378817), // Rule ID 54264 //
     /* 2378774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378777 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378816 */     // GIR_Coverage, 54264,
     /* 2378816 */     GIR_EraseRootFromParent_Done,
     /* 2378817 */   // Label 34024: @2378817
     /* 2378817 */   GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2378865), // Rule ID 54265 //
     /* 2378822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378825 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378864 */     // GIR_Coverage, 54265,
     /* 2378864 */     GIR_EraseRootFromParent_Done,
     /* 2378865 */   // Label 34025: @2378865
     /* 2378865 */   GIM_Reject,
     /* 2378866 */ // Label 34023: @2378866
     /* 2378866 */ GIM_Reject,
     /* 2378867 */ // Label 33970: @2378867
     /* 2378867 */ GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2378987),
     /* 2378872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2378875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2378878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378890 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2378938), // Rule ID 54180 //
     /* 2378895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378898 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378937 */     // GIR_Coverage, 54180,
     /* 2378937 */     GIR_EraseRootFromParent_Done,
     /* 2378938 */   // Label 34027: @2378938
     /* 2378938 */   GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2378986), // Rule ID 54181 //
     /* 2378943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378946 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378985 */     // GIR_Coverage, 54181,
     /* 2378985 */     GIR_EraseRootFromParent_Done,
     /* 2378986 */   // Label 34028: @2378986
     /* 2378986 */   GIM_Reject,
     /* 2378987 */ // Label 34026: @2378987
     /* 2378987 */ GIM_Reject,
     /* 2378988 */ // Label 33971: @2378988
     /* 2378988 */ GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2379108),
     /* 2378993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2378996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2378999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379011 */   GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2379059), // Rule ID 54228 //
     /* 2379016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379019 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2379036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379058 */     // GIR_Coverage, 54228,
     /* 2379058 */     GIR_EraseRootFromParent_Done,
     /* 2379059 */   // Label 34030: @2379059
     /* 2379059 */   GIM_Try, /*On fail goto*//*Label 34031*/ GIMT_Encode4(2379107), // Rule ID 54229 //
     /* 2379064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379067 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2379084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379106 */     // GIR_Coverage, 54229,
     /* 2379106 */     GIR_EraseRootFromParent_Done,
     /* 2379107 */   // Label 34031: @2379107
     /* 2379107 */   GIM_Reject,
     /* 2379108 */ // Label 34029: @2379108
     /* 2379108 */ GIM_Reject,
     /* 2379109 */ // Label 33972: @2379109
     /* 2379109 */ GIM_Try, /*On fail goto*//*Label 34032*/ GIMT_Encode4(2379229),
     /* 2379114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2379117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2379120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379132 */   GIM_Try, /*On fail goto*//*Label 34033*/ GIMT_Encode4(2379180), // Rule ID 54192 //
     /* 2379137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379140 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2379157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379179 */     // GIR_Coverage, 54192,
     /* 2379179 */     GIR_EraseRootFromParent_Done,
     /* 2379180 */   // Label 34033: @2379180
     /* 2379180 */   GIM_Try, /*On fail goto*//*Label 34034*/ GIMT_Encode4(2379228), // Rule ID 54193 //
     /* 2379185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379188 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2379205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379227 */     // GIR_Coverage, 54193,
     /* 2379227 */     GIR_EraseRootFromParent_Done,
     /* 2379228 */   // Label 34034: @2379228
     /* 2379228 */   GIM_Reject,
     /* 2379229 */ // Label 34032: @2379229
     /* 2379229 */ GIM_Reject,
     /* 2379230 */ // Label 33973: @2379230
     /* 2379230 */ GIM_Reject,
     /* 2379231 */ // Label 99: @2379231
     /* 2379231 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34053*/ GIMT_Encode4(2381658),
     /* 2379242 */ /*GILLT_s16*//*Label 34035*/ GIMT_Encode4(2379362),
     /* 2379246 */ /*GILLT_s32*//*Label 34036*/ GIMT_Encode4(2379511),
     /* 2379250 */ /*GILLT_s64*//*Label 34037*/ GIMT_Encode4(2379660), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379262 */ /*GILLT_nxv1s16*//*Label 34038*/ GIMT_Encode4(2379843),
     /* 2379266 */ /*GILLT_nxv1s32*//*Label 34039*/ GIMT_Encode4(2379964),
     /* 2379270 */ /*GILLT_nxv1s64*//*Label 34040*/ GIMT_Encode4(2380085), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379282 */ /*GILLT_nxv2s16*//*Label 34041*/ GIMT_Encode4(2380206),
     /* 2379286 */ /*GILLT_nxv2s32*//*Label 34042*/ GIMT_Encode4(2380327),
     /* 2379290 */ /*GILLT_nxv2s64*//*Label 34043*/ GIMT_Encode4(2380448), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379302 */ /*GILLT_nxv4s16*//*Label 34044*/ GIMT_Encode4(2380569),
     /* 2379306 */ /*GILLT_nxv4s32*//*Label 34045*/ GIMT_Encode4(2380690),
     /* 2379310 */ /*GILLT_nxv4s64*//*Label 34046*/ GIMT_Encode4(2380811), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379322 */ /*GILLT_nxv8s16*//*Label 34047*/ GIMT_Encode4(2380932),
     /* 2379326 */ /*GILLT_nxv8s32*//*Label 34048*/ GIMT_Encode4(2381053),
     /* 2379330 */ /*GILLT_nxv8s64*//*Label 34049*/ GIMT_Encode4(2381174), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379342 */ /*GILLT_nxv16s16*//*Label 34050*/ GIMT_Encode4(2381295),
     /* 2379346 */ /*GILLT_nxv16s32*//*Label 34051*/ GIMT_Encode4(2381416), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379358 */ /*GILLT_nxv32s16*//*Label 34052*/ GIMT_Encode4(2381537),
     /* 2379362 */ // Label 34035: @2379362
     /* 2379362 */ GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2379510),
     /* 2379367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2379373 */   GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2379407), // Rule ID 1870 //
     /* 2379378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2379381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379393 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2379393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2379396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379406 */     // GIR_Coverage, 1870,
     /* 2379406 */     GIR_EraseRootFromParent_Done,
     /* 2379407 */   // Label 34055: @2379407
     /* 2379407 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2379441), // Rule ID 1871 //
     /* 2379412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2379415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379427 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2379427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2379430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379440 */     // GIR_Coverage, 1871,
     /* 2379440 */     GIR_EraseRootFromParent_Done,
     /* 2379441 */   // Label 34056: @2379441
     /* 2379441 */   GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2379475), // Rule ID 1874 //
     /* 2379446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2379449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379461 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2379461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379474 */     // GIR_Coverage, 1874,
     /* 2379474 */     GIR_EraseRootFromParent_Done,
     /* 2379475 */   // Label 34057: @2379475
     /* 2379475 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2379509), // Rule ID 1875 //
     /* 2379480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2379483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379495 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2379495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379508 */     // GIR_Coverage, 1875,
     /* 2379508 */     GIR_EraseRootFromParent_Done,
     /* 2379509 */   // Label 34058: @2379509
     /* 2379509 */   GIM_Reject,
     /* 2379510 */ // Label 34054: @2379510
     /* 2379510 */ GIM_Reject,
     /* 2379511 */ // Label 34036: @2379511
     /* 2379511 */ GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2379659),
     /* 2379516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2379519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2379522 */   GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2379556), // Rule ID 1161 //
     /* 2379527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2379530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379542 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379555 */     // GIR_Coverage, 1161,
     /* 2379555 */     GIR_EraseRootFromParent_Done,
     /* 2379556 */   // Label 34060: @2379556
     /* 2379556 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2379590), // Rule ID 1162 //
     /* 2379561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2379564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379576 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379589 */     // GIR_Coverage, 1162,
     /* 2379589 */     GIR_EraseRootFromParent_Done,
     /* 2379590 */   // Label 34061: @2379590
     /* 2379590 */   GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2379624), // Rule ID 1165 //
     /* 2379595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2379598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379610 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379623 */     // GIR_Coverage, 1165,
     /* 2379623 */     GIR_EraseRootFromParent_Done,
     /* 2379624 */   // Label 34062: @2379624
     /* 2379624 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2379658), // Rule ID 1166 //
     /* 2379629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2379632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379644 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379657 */     // GIR_Coverage, 1166,
     /* 2379657 */     GIR_EraseRootFromParent_Done,
     /* 2379658 */   // Label 34063: @2379658
     /* 2379658 */   GIM_Reject,
     /* 2379659 */ // Label 34059: @2379659
     /* 2379659 */ GIM_Reject,
     /* 2379660 */ // Label 34037: @2379660
     /* 2379660 */ GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2379842),
     /* 2379665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2379671 */   GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2379705), // Rule ID 1502 //
     /* 2379676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2379679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379691 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379704 */     // GIR_Coverage, 1502,
     /* 2379704 */     GIR_EraseRootFromParent_Done,
     /* 2379705 */   // Label 34065: @2379705
     /* 2379705 */   GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2379739), // Rule ID 1503 //
     /* 2379710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2379713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379725 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379738 */     // GIR_Coverage, 1503,
     /* 2379738 */     GIR_EraseRootFromParent_Done,
     /* 2379739 */   // Label 34066: @2379739
     /* 2379739 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2379773), // Rule ID 1506 //
     /* 2379744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2379747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379759 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379772 */     // GIR_Coverage, 1506,
     /* 2379772 */     GIR_EraseRootFromParent_Done,
     /* 2379773 */   // Label 34067: @2379773
     /* 2379773 */   GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2379807), // Rule ID 1507 //
     /* 2379778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2379781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379793 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379806 */     // GIR_Coverage, 1507,
     /* 2379806 */     GIR_EraseRootFromParent_Done,
     /* 2379807 */   // Label 34068: @2379807
     /* 2379807 */   GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2379841), // Rule ID 1510 //
     /* 2379812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2379815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379827 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2379830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379840 */     // GIR_Coverage, 1510,
     /* 2379840 */     GIR_EraseRootFromParent_Done,
     /* 2379841 */   // Label 34069: @2379841
     /* 2379841 */   GIM_Reject,
     /* 2379842 */ // Label 34064: @2379842
     /* 2379842 */ GIM_Reject,
     /* 2379843 */ // Label 34038: @2379843
     /* 2379843 */ GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2379963),
     /* 2379848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2379854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379866 */   GIM_Try, /*On fail goto*//*Label 34071*/ GIMT_Encode4(2379914), // Rule ID 54276 //
     /* 2379871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379874 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379913 */     // GIR_Coverage, 54276,
     /* 2379913 */     GIR_EraseRootFromParent_Done,
     /* 2379914 */   // Label 34071: @2379914
     /* 2379914 */   GIM_Try, /*On fail goto*//*Label 34072*/ GIMT_Encode4(2379962), // Rule ID 54277 //
     /* 2379919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379922 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379961 */     // GIR_Coverage, 54277,
     /* 2379961 */     GIR_EraseRootFromParent_Done,
     /* 2379962 */   // Label 34072: @2379962
     /* 2379962 */   GIM_Reject,
     /* 2379963 */ // Label 34070: @2379963
     /* 2379963 */ GIM_Reject,
     /* 2379964 */ // Label 34039: @2379964
     /* 2379964 */ GIM_Try, /*On fail goto*//*Label 34073*/ GIMT_Encode4(2380084),
     /* 2379969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2379972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2379975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379987 */   GIM_Try, /*On fail goto*//*Label 34074*/ GIMT_Encode4(2380035), // Rule ID 54300 //
     /* 2379992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379995 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2380012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380034 */     // GIR_Coverage, 54300,
     /* 2380034 */     GIR_EraseRootFromParent_Done,
     /* 2380035 */   // Label 34074: @2380035
     /* 2380035 */   GIM_Try, /*On fail goto*//*Label 34075*/ GIMT_Encode4(2380083), // Rule ID 54301 //
     /* 2380040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380043 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2380046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2380060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380082 */     // GIR_Coverage, 54301,
     /* 2380082 */     GIR_EraseRootFromParent_Done,
     /* 2380083 */   // Label 34075: @2380083
     /* 2380083 */   GIM_Reject,
     /* 2380084 */ // Label 34073: @2380084
     /* 2380084 */ GIM_Reject,
     /* 2380085 */ // Label 34040: @2380085
     /* 2380085 */ GIM_Try, /*On fail goto*//*Label 34076*/ GIMT_Encode4(2380205),
     /* 2380090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2380093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2380096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380108 */   GIM_Try, /*On fail goto*//*Label 34077*/ GIMT_Encode4(2380156), // Rule ID 54336 //
     /* 2380113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380116 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2380133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380155 */     // GIR_Coverage, 54336,
     /* 2380155 */     GIR_EraseRootFromParent_Done,
     /* 2380156 */   // Label 34077: @2380156
     /* 2380156 */   GIM_Try, /*On fail goto*//*Label 34078*/ GIMT_Encode4(2380204), // Rule ID 54337 //
     /* 2380161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380164 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2380181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380203 */     // GIR_Coverage, 54337,
     /* 2380203 */     GIR_EraseRootFromParent_Done,
     /* 2380204 */   // Label 34078: @2380204
     /* 2380204 */   GIM_Reject,
     /* 2380205 */ // Label 34076: @2380205
     /* 2380205 */ GIM_Reject,
     /* 2380206 */ // Label 34041: @2380206
     /* 2380206 */ GIM_Try, /*On fail goto*//*Label 34079*/ GIMT_Encode4(2380326),
     /* 2380211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2380214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2380217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380229 */   GIM_Try, /*On fail goto*//*Label 34080*/ GIMT_Encode4(2380277), // Rule ID 54288 //
     /* 2380234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380237 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2380254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380276 */     // GIR_Coverage, 54288,
     /* 2380276 */     GIR_EraseRootFromParent_Done,
     /* 2380277 */   // Label 34080: @2380277
     /* 2380277 */   GIM_Try, /*On fail goto*//*Label 34081*/ GIMT_Encode4(2380325), // Rule ID 54289 //
     /* 2380282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380285 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2380302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380324 */     // GIR_Coverage, 54289,
     /* 2380324 */     GIR_EraseRootFromParent_Done,
     /* 2380325 */   // Label 34081: @2380325
     /* 2380325 */   GIM_Reject,
     /* 2380326 */ // Label 34079: @2380326
     /* 2380326 */ GIM_Reject,
     /* 2380327 */ // Label 34042: @2380327
     /* 2380327 */ GIM_Try, /*On fail goto*//*Label 34082*/ GIMT_Encode4(2380447),
     /* 2380332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2380335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2380338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380350 */   GIM_Try, /*On fail goto*//*Label 34083*/ GIMT_Encode4(2380398), // Rule ID 54324 //
     /* 2380355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380358 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2380375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380397 */     // GIR_Coverage, 54324,
     /* 2380397 */     GIR_EraseRootFromParent_Done,
     /* 2380398 */   // Label 34083: @2380398
     /* 2380398 */   GIM_Try, /*On fail goto*//*Label 34084*/ GIMT_Encode4(2380446), // Rule ID 54325 //
     /* 2380403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380406 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2380423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380445 */     // GIR_Coverage, 54325,
     /* 2380445 */     GIR_EraseRootFromParent_Done,
     /* 2380446 */   // Label 34084: @2380446
     /* 2380446 */   GIM_Reject,
     /* 2380447 */ // Label 34082: @2380447
     /* 2380447 */ GIM_Reject,
     /* 2380448 */ // Label 34043: @2380448
     /* 2380448 */ GIM_Try, /*On fail goto*//*Label 34085*/ GIMT_Encode4(2380568),
     /* 2380453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2380456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2380459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380471 */   GIM_Try, /*On fail goto*//*Label 34086*/ GIMT_Encode4(2380519), // Rule ID 54420 //
     /* 2380476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380479 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380518 */     // GIR_Coverage, 54420,
     /* 2380518 */     GIR_EraseRootFromParent_Done,
     /* 2380519 */   // Label 34086: @2380519
     /* 2380519 */   GIM_Try, /*On fail goto*//*Label 34087*/ GIMT_Encode4(2380567), // Rule ID 54421 //
     /* 2380524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380527 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380566 */     // GIR_Coverage, 54421,
     /* 2380566 */     GIR_EraseRootFromParent_Done,
     /* 2380567 */   // Label 34087: @2380567
     /* 2380567 */   GIM_Reject,
     /* 2380568 */ // Label 34085: @2380568
     /* 2380568 */ GIM_Reject,
     /* 2380569 */ // Label 34044: @2380569
     /* 2380569 */ GIM_Try, /*On fail goto*//*Label 34088*/ GIMT_Encode4(2380689),
     /* 2380574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2380577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2380580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380592 */   GIM_Try, /*On fail goto*//*Label 34089*/ GIMT_Encode4(2380640), // Rule ID 54312 //
     /* 2380597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380600 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380639 */     // GIR_Coverage, 54312,
     /* 2380639 */     GIR_EraseRootFromParent_Done,
     /* 2380640 */   // Label 34089: @2380640
     /* 2380640 */   GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2380688), // Rule ID 54313 //
     /* 2380645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380648 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380687 */     // GIR_Coverage, 54313,
     /* 2380687 */     GIR_EraseRootFromParent_Done,
     /* 2380688 */   // Label 34090: @2380688
     /* 2380688 */   GIM_Reject,
     /* 2380689 */ // Label 34088: @2380689
     /* 2380689 */ GIM_Reject,
     /* 2380690 */ // Label 34045: @2380690
     /* 2380690 */ GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2380810),
     /* 2380695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2380698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2380701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380713 */   GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2380761), // Rule ID 54384 //
     /* 2380718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380721 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380760 */     // GIR_Coverage, 54384,
     /* 2380760 */     GIR_EraseRootFromParent_Done,
     /* 2380761 */   // Label 34092: @2380761
     /* 2380761 */   GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2380809), // Rule ID 54385 //
     /* 2380766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380769 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380808 */     // GIR_Coverage, 54385,
     /* 2380808 */     GIR_EraseRootFromParent_Done,
     /* 2380809 */   // Label 34093: @2380809
     /* 2380809 */   GIM_Reject,
     /* 2380810 */ // Label 34091: @2380810
     /* 2380810 */ GIM_Reject,
     /* 2380811 */ // Label 34046: @2380811
     /* 2380811 */ GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2380931),
     /* 2380816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2380819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2380822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380834 */   GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2380882), // Rule ID 54432 //
     /* 2380839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380842 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380881 */     // GIR_Coverage, 54432,
     /* 2380881 */     GIR_EraseRootFromParent_Done,
     /* 2380882 */   // Label 34095: @2380882
     /* 2380882 */   GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2380930), // Rule ID 54433 //
     /* 2380887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380890 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380929 */     // GIR_Coverage, 54433,
     /* 2380929 */     GIR_EraseRootFromParent_Done,
     /* 2380930 */   // Label 34096: @2380930
     /* 2380930 */   GIM_Reject,
     /* 2380931 */ // Label 34094: @2380931
     /* 2380931 */ GIM_Reject,
     /* 2380932 */ // Label 34047: @2380932
     /* 2380932 */ GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2381052),
     /* 2380937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2380940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2380943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380955 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2381003), // Rule ID 54348 //
     /* 2380960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380963 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2380980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381002 */     // GIR_Coverage, 54348,
     /* 2381002 */     GIR_EraseRootFromParent_Done,
     /* 2381003 */   // Label 34098: @2381003
     /* 2381003 */   GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2381051), // Rule ID 54349 //
     /* 2381008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381011 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2381028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381050 */     // GIR_Coverage, 54349,
     /* 2381050 */     GIR_EraseRootFromParent_Done,
     /* 2381051 */   // Label 34099: @2381051
     /* 2381051 */   GIM_Reject,
     /* 2381052 */ // Label 34097: @2381052
     /* 2381052 */ GIM_Reject,
     /* 2381053 */ // Label 34048: @2381053
     /* 2381053 */ GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2381173),
     /* 2381058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2381061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2381064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381076 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2381124), // Rule ID 54396 //
     /* 2381081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381084 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2381101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381123 */     // GIR_Coverage, 54396,
     /* 2381123 */     GIR_EraseRootFromParent_Done,
     /* 2381124 */   // Label 34101: @2381124
     /* 2381124 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2381172), // Rule ID 54397 //
     /* 2381129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381132 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2381149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381171 */     // GIR_Coverage, 54397,
     /* 2381171 */     GIR_EraseRootFromParent_Done,
     /* 2381172 */   // Label 34102: @2381172
     /* 2381172 */   GIM_Reject,
     /* 2381173 */ // Label 34100: @2381173
     /* 2381173 */ GIM_Reject,
     /* 2381174 */ // Label 34049: @2381174
     /* 2381174 */ GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2381294),
     /* 2381179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2381182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2381185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381197 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2381245), // Rule ID 54444 //
     /* 2381202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381205 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2381222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381244 */     // GIR_Coverage, 54444,
     /* 2381244 */     GIR_EraseRootFromParent_Done,
     /* 2381245 */   // Label 34104: @2381245
     /* 2381245 */   GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2381293), // Rule ID 54445 //
     /* 2381250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381253 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2381270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381292 */     // GIR_Coverage, 54445,
     /* 2381292 */     GIR_EraseRootFromParent_Done,
     /* 2381293 */   // Label 34105: @2381293
     /* 2381293 */   GIM_Reject,
     /* 2381294 */ // Label 34103: @2381294
     /* 2381294 */ GIM_Reject,
     /* 2381295 */ // Label 34050: @2381295
     /* 2381295 */ GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2381415),
     /* 2381300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2381303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2381306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381318 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2381366), // Rule ID 54360 //
     /* 2381323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381326 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2381343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381365 */     // GIR_Coverage, 54360,
     /* 2381365 */     GIR_EraseRootFromParent_Done,
     /* 2381366 */   // Label 34107: @2381366
     /* 2381366 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2381414), // Rule ID 54361 //
     /* 2381371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381374 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2381391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381413 */     // GIR_Coverage, 54361,
     /* 2381413 */     GIR_EraseRootFromParent_Done,
     /* 2381414 */   // Label 34108: @2381414
     /* 2381414 */   GIM_Reject,
     /* 2381415 */ // Label 34106: @2381415
     /* 2381415 */ GIM_Reject,
     /* 2381416 */ // Label 34051: @2381416
     /* 2381416 */ GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2381536),
     /* 2381421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2381424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2381427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381439 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2381487), // Rule ID 54408 //
     /* 2381444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381447 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381486 */     // GIR_Coverage, 54408,
     /* 2381486 */     GIR_EraseRootFromParent_Done,
     /* 2381487 */   // Label 34110: @2381487
     /* 2381487 */   GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2381535), // Rule ID 54409 //
     /* 2381492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381495 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381534 */     // GIR_Coverage, 54409,
     /* 2381534 */     GIR_EraseRootFromParent_Done,
     /* 2381535 */   // Label 34111: @2381535
     /* 2381535 */   GIM_Reject,
     /* 2381536 */ // Label 34109: @2381536
     /* 2381536 */ GIM_Reject,
     /* 2381537 */ // Label 34052: @2381537
     /* 2381537 */ GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2381657),
     /* 2381542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2381545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2381548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381560 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2381608), // Rule ID 54372 //
     /* 2381565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381568 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381607 */     // GIR_Coverage, 54372,
     /* 2381607 */     GIR_EraseRootFromParent_Done,
     /* 2381608 */   // Label 34113: @2381608
     /* 2381608 */   GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2381656), // Rule ID 54373 //
     /* 2381613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381616 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381655 */     // GIR_Coverage, 54373,
     /* 2381655 */     GIR_EraseRootFromParent_Done,
     /* 2381656 */   // Label 34114: @2381656
     /* 2381656 */   GIM_Reject,
     /* 2381657 */ // Label 34112: @2381657
     /* 2381657 */ GIM_Reject,
     /* 2381658 */ // Label 34053: @2381658
     /* 2381658 */ GIM_Reject,
     /* 2381659 */ // Label 100: @2381659
     /* 2381659 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34133*/ GIMT_Encode4(2398303),
     /* 2381670 */ /*GILLT_s16*//*Label 34115*/ GIMT_Encode4(2381790),
     /* 2381674 */ /*GILLT_s32*//*Label 34116*/ GIMT_Encode4(2383226),
     /* 2381678 */ /*GILLT_s64*//*Label 34117*/ GIMT_Encode4(2384662), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381690 */ /*GILLT_nxv1s16*//*Label 34118*/ GIMT_Encode4(2386453),
     /* 2381694 */ /*GILLT_nxv1s32*//*Label 34119*/ GIMT_Encode4(2387243),
     /* 2381698 */ /*GILLT_nxv1s64*//*Label 34120*/ GIMT_Encode4(2388033), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381710 */ /*GILLT_nxv2s16*//*Label 34121*/ GIMT_Encode4(2388823),
     /* 2381714 */ /*GILLT_nxv2s32*//*Label 34122*/ GIMT_Encode4(2389613),
     /* 2381718 */ /*GILLT_nxv2s64*//*Label 34123*/ GIMT_Encode4(2390403), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381730 */ /*GILLT_nxv4s16*//*Label 34124*/ GIMT_Encode4(2391193),
     /* 2381734 */ /*GILLT_nxv4s32*//*Label 34125*/ GIMT_Encode4(2391983),
     /* 2381738 */ /*GILLT_nxv4s64*//*Label 34126*/ GIMT_Encode4(2392773), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381750 */ /*GILLT_nxv8s16*//*Label 34127*/ GIMT_Encode4(2393563),
     /* 2381754 */ /*GILLT_nxv8s32*//*Label 34128*/ GIMT_Encode4(2394353),
     /* 2381758 */ /*GILLT_nxv8s64*//*Label 34129*/ GIMT_Encode4(2395143), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381770 */ /*GILLT_nxv16s16*//*Label 34130*/ GIMT_Encode4(2395933),
     /* 2381774 */ /*GILLT_nxv16s32*//*Label 34131*/ GIMT_Encode4(2396723), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381786 */ /*GILLT_nxv32s16*//*Label 34132*/ GIMT_Encode4(2397513),
     /* 2381790 */ // Label 34115: @2381790
     /* 2381790 */ GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2383225),
     /* 2381795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2381801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2381804 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2381876), // Rule ID 1903 //
     /* 2381809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381856 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381875 */     // GIR_Coverage, 1903,
     /* 2381875 */     GIR_EraseRootFromParent_Done,
     /* 2381876 */   // Label 34135: @2381876
     /* 2381876 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2381948), // Rule ID 1904 //
     /* 2381881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2381884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381928 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381947 */     // GIR_Coverage, 1904,
     /* 2381947 */     GIR_EraseRootFromParent_Done,
     /* 2381948 */   // Label 34136: @2381948
     /* 2381948 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2382020), // Rule ID 1936 //
     /* 2381953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2381956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382000 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2382003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382019 */     // GIR_Coverage, 1936,
     /* 2382019 */     GIR_EraseRootFromParent_Done,
     /* 2382020 */   // Label 34137: @2382020
     /* 2382020 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2382092), // Rule ID 1937 //
     /* 2382025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382072 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2382075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382091 */     // GIR_Coverage, 1937,
     /* 2382091 */     GIR_EraseRootFromParent_Done,
     /* 2382092 */   // Label 34138: @2382092
     /* 2382092 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2382164), // Rule ID 65045 //
     /* 2382097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382144 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2382147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382163 */     // GIR_Coverage, 65045,
     /* 2382163 */     GIR_EraseRootFromParent_Done,
     /* 2382164 */   // Label 34139: @2382164
     /* 2382164 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2382236), // Rule ID 65046 //
     /* 2382169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382209 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382216 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2382219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382235 */     // GIR_Coverage, 65046,
     /* 2382235 */     GIR_EraseRootFromParent_Done,
     /* 2382236 */   // Label 34140: @2382236
     /* 2382236 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2382308), // Rule ID 65053 //
     /* 2382241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382288 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2382291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382307 */     // GIR_Coverage, 65053,
     /* 2382307 */     GIR_EraseRootFromParent_Done,
     /* 2382308 */   // Label 34141: @2382308
     /* 2382308 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2382380), // Rule ID 65054 //
     /* 2382313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382360 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2382363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382379 */     // GIR_Coverage, 65054,
     /* 2382379 */     GIR_EraseRootFromParent_Done,
     /* 2382380 */   // Label 34142: @2382380
     /* 2382380 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2382437), // Rule ID 1899 //
     /* 2382385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382419 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382436 */     // GIR_Coverage, 1899,
     /* 2382436 */     GIR_EraseRootFromParent_Done,
     /* 2382437 */   // Label 34143: @2382437
     /* 2382437 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2382494), // Rule ID 1900 //
     /* 2382442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382476 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382493 */     // GIR_Coverage, 1900,
     /* 2382493 */     GIR_EraseRootFromParent_Done,
     /* 2382494 */   // Label 34144: @2382494
     /* 2382494 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2382551), // Rule ID 1932 //
     /* 2382499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382533 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382550 */     // GIR_Coverage, 1932,
     /* 2382550 */     GIR_EraseRootFromParent_Done,
     /* 2382551 */   // Label 34145: @2382551
     /* 2382551 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2382608), // Rule ID 1933 //
     /* 2382556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382590 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382607 */     // GIR_Coverage, 1933,
     /* 2382607 */     GIR_EraseRootFromParent_Done,
     /* 2382608 */   // Label 34146: @2382608
     /* 2382608 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2382665), // Rule ID 65041 //
     /* 2382613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382647 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382664 */     // GIR_Coverage, 65041,
     /* 2382664 */     GIR_EraseRootFromParent_Done,
     /* 2382665 */   // Label 34147: @2382665
     /* 2382665 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2382722), // Rule ID 65042 //
     /* 2382670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382704 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382721 */     // GIR_Coverage, 65042,
     /* 2382721 */     GIR_EraseRootFromParent_Done,
     /* 2382722 */   // Label 34148: @2382722
     /* 2382722 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2382779), // Rule ID 65049 //
     /* 2382727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382761 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382778 */     // GIR_Coverage, 65049,
     /* 2382778 */     GIR_EraseRootFromParent_Done,
     /* 2382779 */   // Label 34149: @2382779
     /* 2382779 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2382836), // Rule ID 65050 //
     /* 2382784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382818 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382835 */     // GIR_Coverage, 65050,
     /* 2382835 */     GIR_EraseRootFromParent_Done,
     /* 2382836 */   // Label 34150: @2382836
     /* 2382836 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2382893), // Rule ID 1895 //
     /* 2382841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382875 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382892 */     // GIR_Coverage, 1895,
     /* 2382892 */     GIR_EraseRootFromParent_Done,
     /* 2382893 */   // Label 34151: @2382893
     /* 2382893 */   GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2382950), // Rule ID 1896 //
     /* 2382898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382932 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382949 */     // GIR_Coverage, 1896,
     /* 2382949 */     GIR_EraseRootFromParent_Done,
     /* 2382950 */   // Label 34152: @2382950
     /* 2382950 */   GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2383007), // Rule ID 1928 //
     /* 2382955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382989 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2382992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383006 */     // GIR_Coverage, 1928,
     /* 2383006 */     GIR_EraseRootFromParent_Done,
     /* 2383007 */   // Label 34153: @2383007
     /* 2383007 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2383064), // Rule ID 1929 //
     /* 2383012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2383015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2383039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383046 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2383046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2383049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383063 */     // GIR_Coverage, 1929,
     /* 2383063 */     GIR_EraseRootFromParent_Done,
     /* 2383064 */   // Label 34154: @2383064
     /* 2383064 */   GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2383104), // Rule ID 1891 //
     /* 2383069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2383072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383088 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2383088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2383091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383103 */     // GIR_Coverage, 1891,
     /* 2383103 */     GIR_EraseRootFromParent_Done,
     /* 2383104 */   // Label 34155: @2383104
     /* 2383104 */   GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2383144), // Rule ID 1892 //
     /* 2383109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2383112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383128 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2383128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2383131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383143 */     // GIR_Coverage, 1892,
     /* 2383143 */     GIR_EraseRootFromParent_Done,
     /* 2383144 */   // Label 34156: @2383144
     /* 2383144 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2383184), // Rule ID 1924 //
     /* 2383149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2383152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383168 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2383168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2383171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383183 */     // GIR_Coverage, 1924,
     /* 2383183 */     GIR_EraseRootFromParent_Done,
     /* 2383184 */   // Label 34157: @2383184
     /* 2383184 */   GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2383224), // Rule ID 1925 //
     /* 2383189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2383192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383208 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2383208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2383211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383223 */     // GIR_Coverage, 1925,
     /* 2383223 */     GIR_EraseRootFromParent_Done,
     /* 2383224 */   // Label 34158: @2383224
     /* 2383224 */   GIM_Reject,
     /* 2383225 */ // Label 34134: @2383225
     /* 2383225 */ GIM_Reject,
     /* 2383226 */ // Label 34116: @2383226
     /* 2383226 */ GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2384661),
     /* 2383231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2383237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2383240 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2383312), // Rule ID 1202 //
     /* 2383245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383292 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383311 */     // GIR_Coverage, 1202,
     /* 2383311 */     GIR_EraseRootFromParent_Done,
     /* 2383312 */   // Label 34160: @2383312
     /* 2383312 */   GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2383384), // Rule ID 1203 //
     /* 2383317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383364 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383383 */     // GIR_Coverage, 1203,
     /* 2383383 */     GIR_EraseRootFromParent_Done,
     /* 2383384 */   // Label 34161: @2383384
     /* 2383384 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2383456), // Rule ID 1223 //
     /* 2383389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383436 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383455 */     // GIR_Coverage, 1223,
     /* 2383455 */     GIR_EraseRootFromParent_Done,
     /* 2383456 */   // Label 34162: @2383456
     /* 2383456 */   GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2383528), // Rule ID 1224 //
     /* 2383461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383508 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383527 */     // GIR_Coverage, 1224,
     /* 2383527 */     GIR_EraseRootFromParent_Done,
     /* 2383528 */   // Label 34163: @2383528
     /* 2383528 */   GIM_Try, /*On fail goto*//*Label 34164*/ GIMT_Encode4(2383600), // Rule ID 65009 //
     /* 2383533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383580 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383599 */     // GIR_Coverage, 65009,
     /* 2383599 */     GIR_EraseRootFromParent_Done,
     /* 2383600 */   // Label 34164: @2383600
     /* 2383600 */   GIM_Try, /*On fail goto*//*Label 34165*/ GIMT_Encode4(2383672), // Rule ID 65010 //
     /* 2383605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383652 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383671 */     // GIR_Coverage, 65010,
     /* 2383671 */     GIR_EraseRootFromParent_Done,
     /* 2383672 */   // Label 34165: @2383672
     /* 2383672 */   GIM_Try, /*On fail goto*//*Label 34166*/ GIMT_Encode4(2383744), // Rule ID 65017 //
     /* 2383677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383724 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383743 */     // GIR_Coverage, 65017,
     /* 2383743 */     GIR_EraseRootFromParent_Done,
     /* 2383744 */   // Label 34166: @2383744
     /* 2383744 */   GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2383816), // Rule ID 65018 //
     /* 2383749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383789 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383796 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383815 */     // GIR_Coverage, 65018,
     /* 2383815 */     GIR_EraseRootFromParent_Done,
     /* 2383816 */   // Label 34167: @2383816
     /* 2383816 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2383873), // Rule ID 1198 //
     /* 2383821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383855 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383872 */     // GIR_Coverage, 1198,
     /* 2383872 */     GIR_EraseRootFromParent_Done,
     /* 2383873 */   // Label 34168: @2383873
     /* 2383873 */   GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2383930), // Rule ID 1199 //
     /* 2383878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383912 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383929 */     // GIR_Coverage, 1199,
     /* 2383929 */     GIR_EraseRootFromParent_Done,
     /* 2383930 */   // Label 34169: @2383930
     /* 2383930 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2383987), // Rule ID 1219 //
     /* 2383935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383969 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383986 */     // GIR_Coverage, 1219,
     /* 2383986 */     GIR_EraseRootFromParent_Done,
     /* 2383987 */   // Label 34170: @2383987
     /* 2383987 */   GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2384044), // Rule ID 1220 //
     /* 2383992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384026 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2384029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384043 */     // GIR_Coverage, 1220,
     /* 2384043 */     GIR_EraseRootFromParent_Done,
     /* 2384044 */   // Label 34171: @2384044
     /* 2384044 */   GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2384101), // Rule ID 65005 //
     /* 2384049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384083 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2384086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384100 */     // GIR_Coverage, 65005,
     /* 2384100 */     GIR_EraseRootFromParent_Done,
     /* 2384101 */   // Label 34172: @2384101
     /* 2384101 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2384158), // Rule ID 65006 //
     /* 2384106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384140 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2384143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384157 */     // GIR_Coverage, 65006,
     /* 2384157 */     GIR_EraseRootFromParent_Done,
     /* 2384158 */   // Label 34173: @2384158
     /* 2384158 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2384215), // Rule ID 65013 //
     /* 2384163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384197 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2384200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384214 */     // GIR_Coverage, 65013,
     /* 2384214 */     GIR_EraseRootFromParent_Done,
     /* 2384215 */   // Label 34174: @2384215
     /* 2384215 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2384272), // Rule ID 65014 //
     /* 2384220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384254 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2384257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384271 */     // GIR_Coverage, 65014,
     /* 2384271 */     GIR_EraseRootFromParent_Done,
     /* 2384272 */   // Label 34175: @2384272
     /* 2384272 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2384329), // Rule ID 1194 //
     /* 2384277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384311 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2384314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384328 */     // GIR_Coverage, 1194,
     /* 2384328 */     GIR_EraseRootFromParent_Done,
     /* 2384329 */   // Label 34176: @2384329
     /* 2384329 */   GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2384386), // Rule ID 1195 //
     /* 2384334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384368 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2384371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384385 */     // GIR_Coverage, 1195,
     /* 2384385 */     GIR_EraseRootFromParent_Done,
     /* 2384386 */   // Label 34177: @2384386
     /* 2384386 */   GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2384443), // Rule ID 1215 //
     /* 2384391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384425 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2384428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384442 */     // GIR_Coverage, 1215,
     /* 2384442 */     GIR_EraseRootFromParent_Done,
     /* 2384443 */   // Label 34178: @2384443
     /* 2384443 */   GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2384500), // Rule ID 1216 //
     /* 2384448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384482 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2384485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384499 */     // GIR_Coverage, 1216,
     /* 2384499 */     GIR_EraseRootFromParent_Done,
     /* 2384500 */   // Label 34179: @2384500
     /* 2384500 */   GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2384540), // Rule ID 1190 //
     /* 2384505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384524 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384539 */     // GIR_Coverage, 1190,
     /* 2384539 */     GIR_EraseRootFromParent_Done,
     /* 2384540 */   // Label 34180: @2384540
     /* 2384540 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2384580), // Rule ID 1191 //
     /* 2384545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384564 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384579 */     // GIR_Coverage, 1191,
     /* 2384579 */     GIR_EraseRootFromParent_Done,
     /* 2384580 */   // Label 34181: @2384580
     /* 2384580 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2384620), // Rule ID 1211 //
     /* 2384585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384604 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384619 */     // GIR_Coverage, 1211,
     /* 2384619 */     GIR_EraseRootFromParent_Done,
     /* 2384620 */   // Label 34182: @2384620
     /* 2384620 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2384660), // Rule ID 1212 //
     /* 2384625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384644 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384659 */     // GIR_Coverage, 1212,
     /* 2384659 */     GIR_EraseRootFromParent_Done,
     /* 2384660 */   // Label 34183: @2384660
     /* 2384660 */   GIM_Reject,
     /* 2384661 */ // Label 34159: @2384661
     /* 2384661 */ GIM_Reject,
     /* 2384662 */ // Label 34117: @2384662
     /* 2384662 */ GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2386452),
     /* 2384667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2384673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2384676 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2384748), // Rule ID 1539 //
     /* 2384681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384721 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384728 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384747 */     // GIR_Coverage, 1539,
     /* 2384747 */     GIR_EraseRootFromParent_Done,
     /* 2384748 */   // Label 34185: @2384748
     /* 2384748 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2384820), // Rule ID 1540 //
     /* 2384753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384800 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384819 */     // GIR_Coverage, 1540,
     /* 2384819 */     GIR_EraseRootFromParent_Done,
     /* 2384820 */   // Label 34186: @2384820
     /* 2384820 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2384892), // Rule ID 1563 //
     /* 2384825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384872 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2384875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384891 */     // GIR_Coverage, 1563,
     /* 2384891 */     GIR_EraseRootFromParent_Done,
     /* 2384892 */   // Label 34187: @2384892
     /* 2384892 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2384964), // Rule ID 1594 //
     /* 2384897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384944 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384963 */     // GIR_Coverage, 1594,
     /* 2384963 */     GIR_EraseRootFromParent_Done,
     /* 2384964 */   // Label 34188: @2384964
     /* 2384964 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2385036), // Rule ID 1595 //
     /* 2384969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385016 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2385019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385035 */     // GIR_Coverage, 1595,
     /* 2385035 */     GIR_EraseRootFromParent_Done,
     /* 2385036 */   // Label 34189: @2385036
     /* 2385036 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2385108), // Rule ID 65025 //
     /* 2385041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385088 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2385091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385107 */     // GIR_Coverage, 65025,
     /* 2385107 */     GIR_EraseRootFromParent_Done,
     /* 2385108 */   // Label 34190: @2385108
     /* 2385108 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2385180), // Rule ID 65026 //
     /* 2385113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385160 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2385163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385179 */     // GIR_Coverage, 65026,
     /* 2385179 */     GIR_EraseRootFromParent_Done,
     /* 2385180 */   // Label 34191: @2385180
     /* 2385180 */   GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2385252), // Rule ID 65031 //
     /* 2385185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385232 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2385235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385251 */     // GIR_Coverage, 65031,
     /* 2385251 */     GIR_EraseRootFromParent_Done,
     /* 2385252 */   // Label 34192: @2385252
     /* 2385252 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2385324), // Rule ID 65037 //
     /* 2385257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385304 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2385307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385323 */     // GIR_Coverage, 65037,
     /* 2385323 */     GIR_EraseRootFromParent_Done,
     /* 2385324 */   // Label 34193: @2385324
     /* 2385324 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2385396), // Rule ID 65038 //
     /* 2385329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385376 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2385379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385395 */     // GIR_Coverage, 65038,
     /* 2385395 */     GIR_EraseRootFromParent_Done,
     /* 2385396 */   // Label 34194: @2385396
     /* 2385396 */   GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2385453), // Rule ID 1535 //
     /* 2385401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385435 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385452 */     // GIR_Coverage, 1535,
     /* 2385452 */     GIR_EraseRootFromParent_Done,
     /* 2385453 */   // Label 34195: @2385453
     /* 2385453 */   GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2385510), // Rule ID 1536 //
     /* 2385458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385492 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385509 */     // GIR_Coverage, 1536,
     /* 2385509 */     GIR_EraseRootFromParent_Done,
     /* 2385510 */   // Label 34196: @2385510
     /* 2385510 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2385567), // Rule ID 1561 //
     /* 2385515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385549 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385566 */     // GIR_Coverage, 1561,
     /* 2385566 */     GIR_EraseRootFromParent_Done,
     /* 2385567 */   // Label 34197: @2385567
     /* 2385567 */   GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2385624), // Rule ID 1590 //
     /* 2385572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385606 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385623 */     // GIR_Coverage, 1590,
     /* 2385623 */     GIR_EraseRootFromParent_Done,
     /* 2385624 */   // Label 34198: @2385624
     /* 2385624 */   GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2385681), // Rule ID 1591 //
     /* 2385629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385663 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385680 */     // GIR_Coverage, 1591,
     /* 2385680 */     GIR_EraseRootFromParent_Done,
     /* 2385681 */   // Label 34199: @2385681
     /* 2385681 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2385738), // Rule ID 65021 //
     /* 2385686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385720 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385737 */     // GIR_Coverage, 65021,
     /* 2385737 */     GIR_EraseRootFromParent_Done,
     /* 2385738 */   // Label 34200: @2385738
     /* 2385738 */   GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2385795), // Rule ID 65022 //
     /* 2385743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385777 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385794 */     // GIR_Coverage, 65022,
     /* 2385794 */     GIR_EraseRootFromParent_Done,
     /* 2385795 */   // Label 34201: @2385795
     /* 2385795 */   GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2385852), // Rule ID 65029 //
     /* 2385800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385834 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385851 */     // GIR_Coverage, 65029,
     /* 2385851 */     GIR_EraseRootFromParent_Done,
     /* 2385852 */   // Label 34202: @2385852
     /* 2385852 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2385909), // Rule ID 65033 //
     /* 2385857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385891 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385908 */     // GIR_Coverage, 65033,
     /* 2385908 */     GIR_EraseRootFromParent_Done,
     /* 2385909 */   // Label 34203: @2385909
     /* 2385909 */   GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2385966), // Rule ID 65034 //
     /* 2385914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385948 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385965 */     // GIR_Coverage, 65034,
     /* 2385965 */     GIR_EraseRootFromParent_Done,
     /* 2385966 */   // Label 34204: @2385966
     /* 2385966 */   GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2386023), // Rule ID 1531 //
     /* 2385971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386005 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2386008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386022 */     // GIR_Coverage, 1531,
     /* 2386022 */     GIR_EraseRootFromParent_Done,
     /* 2386023 */   // Label 34205: @2386023
     /* 2386023 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2386080), // Rule ID 1532 //
     /* 2386028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2386031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386062 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2386065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386079 */     // GIR_Coverage, 1532,
     /* 2386079 */     GIR_EraseRootFromParent_Done,
     /* 2386080 */   // Label 34206: @2386080
     /* 2386080 */   GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2386137), // Rule ID 1559 //
     /* 2386085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2386088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386119 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2386122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386136 */     // GIR_Coverage, 1559,
     /* 2386136 */     GIR_EraseRootFromParent_Done,
     /* 2386137 */   // Label 34207: @2386137
     /* 2386137 */   GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2386194), // Rule ID 1586 //
     /* 2386142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2386145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386176 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2386179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386193 */     // GIR_Coverage, 1586,
     /* 2386193 */     GIR_EraseRootFromParent_Done,
     /* 2386194 */   // Label 34208: @2386194
     /* 2386194 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2386251), // Rule ID 1587 //
     /* 2386199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2386202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386233 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2386236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386250 */     // GIR_Coverage, 1587,
     /* 2386250 */     GIR_EraseRootFromParent_Done,
     /* 2386251 */   // Label 34209: @2386251
     /* 2386251 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2386291), // Rule ID 1527 //
     /* 2386256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2386259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386275 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2386278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386290 */     // GIR_Coverage, 1527,
     /* 2386290 */     GIR_EraseRootFromParent_Done,
     /* 2386291 */   // Label 34210: @2386291
     /* 2386291 */   GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2386331), // Rule ID 1528 //
     /* 2386296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2386299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386315 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2386318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386330 */     // GIR_Coverage, 1528,
     /* 2386330 */     GIR_EraseRootFromParent_Done,
     /* 2386331 */   // Label 34211: @2386331
     /* 2386331 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2386371), // Rule ID 1557 //
     /* 2386336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2386339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386355 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2386358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386370 */     // GIR_Coverage, 1557,
     /* 2386370 */     GIR_EraseRootFromParent_Done,
     /* 2386371 */   // Label 34212: @2386371
     /* 2386371 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2386411), // Rule ID 1582 //
     /* 2386376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2386379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386395 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2386398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386410 */     // GIR_Coverage, 1582,
     /* 2386410 */     GIR_EraseRootFromParent_Done,
     /* 2386411 */   // Label 34213: @2386411
     /* 2386411 */   GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2386451), // Rule ID 1583 //
     /* 2386416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2386419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386435 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2386438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386450 */     // GIR_Coverage, 1583,
     /* 2386450 */     GIR_EraseRootFromParent_Done,
     /* 2386451 */   // Label 34214: @2386451
     /* 2386451 */   GIM_Reject,
     /* 2386452 */ // Label 34184: @2386452
     /* 2386452 */ GIM_Reject,
     /* 2386453 */ // Label 34118: @2386453
     /* 2386453 */ GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2387242),
     /* 2386458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2386464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2386467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386471 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2386548), // Rule ID 54710 //
     /* 2386476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386519 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386547 */     // GIR_Coverage, 54710,
     /* 2386547 */     GIR_EraseRootFromParent_Done,
     /* 2386548 */   // Label 34216: @2386548
     /* 2386548 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2386625), // Rule ID 54711 //
     /* 2386553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386596 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386624 */     // GIR_Coverage, 54711,
     /* 2386624 */     GIR_EraseRootFromParent_Done,
     /* 2386625 */   // Label 34217: @2386625
     /* 2386625 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2386702), // Rule ID 71999 //
     /* 2386630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386673 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386701 */     // GIR_Coverage, 71999,
     /* 2386701 */     GIR_EraseRootFromParent_Done,
     /* 2386702 */   // Label 34218: @2386702
     /* 2386702 */   GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2386779), // Rule ID 72000 //
     /* 2386707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386750 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386778 */     // GIR_Coverage, 72000,
     /* 2386778 */     GIR_EraseRootFromParent_Done,
     /* 2386779 */   // Label 34219: @2386779
     /* 2386779 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2386841), // Rule ID 54714 //
     /* 2386784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386814 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386840 */     // GIR_Coverage, 54714,
     /* 2386840 */     GIR_EraseRootFromParent_Done,
     /* 2386841 */   // Label 34220: @2386841
     /* 2386841 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2386903), // Rule ID 54715 //
     /* 2386846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386876 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386902 */     // GIR_Coverage, 54715,
     /* 2386902 */     GIR_EraseRootFromParent_Done,
     /* 2386903 */   // Label 34221: @2386903
     /* 2386903 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2386965), // Rule ID 72003 //
     /* 2386908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386938 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386964 */     // GIR_Coverage, 72003,
     /* 2386964 */     GIR_EraseRootFromParent_Done,
     /* 2386965 */   // Label 34222: @2386965
     /* 2386965 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2387027), // Rule ID 72004 //
     /* 2386970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387000 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2387003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387026 */     // GIR_Coverage, 72004,
     /* 2387026 */     GIR_EraseRootFromParent_Done,
     /* 2387027 */   // Label 34223: @2387027
     /* 2387027 */   GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2387089), // Rule ID 54706 //
     /* 2387032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2387055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387062 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2387065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387088 */     // GIR_Coverage, 54706,
     /* 2387088 */     GIR_EraseRootFromParent_Done,
     /* 2387089 */   // Label 34224: @2387089
     /* 2387089 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2387151), // Rule ID 54707 //
     /* 2387094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2387117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387124 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2387127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387150 */     // GIR_Coverage, 54707,
     /* 2387150 */     GIR_EraseRootFromParent_Done,
     /* 2387151 */   // Label 34225: @2387151
     /* 2387151 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2387196), // Rule ID 54702 //
     /* 2387156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387171 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2387174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387195 */     // GIR_Coverage, 54702,
     /* 2387195 */     GIR_EraseRootFromParent_Done,
     /* 2387196 */   // Label 34226: @2387196
     /* 2387196 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2387241), // Rule ID 54703 //
     /* 2387201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387216 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2387219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387240 */     // GIR_Coverage, 54703,
     /* 2387240 */     GIR_EraseRootFromParent_Done,
     /* 2387241 */   // Label 34227: @2387241
     /* 2387241 */   GIM_Reject,
     /* 2387242 */ // Label 34215: @2387242
     /* 2387242 */ GIM_Reject,
     /* 2387243 */ // Label 34119: @2387243
     /* 2387243 */ GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2388032),
     /* 2387248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2387254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2387257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387261 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2387338), // Rule ID 54838 //
     /* 2387266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387309 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387337 */     // GIR_Coverage, 54838,
     /* 2387337 */     GIR_EraseRootFromParent_Done,
     /* 2387338 */   // Label 34229: @2387338
     /* 2387338 */   GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2387415), // Rule ID 54839 //
     /* 2387343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387386 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387414 */     // GIR_Coverage, 54839,
     /* 2387414 */     GIR_EraseRootFromParent_Done,
     /* 2387415 */   // Label 34230: @2387415
     /* 2387415 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2387492), // Rule ID 72111 //
     /* 2387420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387463 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387491 */     // GIR_Coverage, 72111,
     /* 2387491 */     GIR_EraseRootFromParent_Done,
     /* 2387492 */   // Label 34231: @2387492
     /* 2387492 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2387569), // Rule ID 72112 //
     /* 2387497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387540 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387568 */     // GIR_Coverage, 72112,
     /* 2387568 */     GIR_EraseRootFromParent_Done,
     /* 2387569 */   // Label 34232: @2387569
     /* 2387569 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2387631), // Rule ID 54842 //
     /* 2387574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387604 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387630 */     // GIR_Coverage, 54842,
     /* 2387630 */     GIR_EraseRootFromParent_Done,
     /* 2387631 */   // Label 34233: @2387631
     /* 2387631 */   GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2387693), // Rule ID 54843 //
     /* 2387636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387666 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387692 */     // GIR_Coverage, 54843,
     /* 2387692 */     GIR_EraseRootFromParent_Done,
     /* 2387693 */   // Label 34234: @2387693
     /* 2387693 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2387755), // Rule ID 72115 //
     /* 2387698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387728 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387754 */     // GIR_Coverage, 72115,
     /* 2387754 */     GIR_EraseRootFromParent_Done,
     /* 2387755 */   // Label 34235: @2387755
     /* 2387755 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2387817), // Rule ID 72116 //
     /* 2387760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387790 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387816 */     // GIR_Coverage, 72116,
     /* 2387816 */     GIR_EraseRootFromParent_Done,
     /* 2387817 */   // Label 34236: @2387817
     /* 2387817 */   GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2387879), // Rule ID 54834 //
     /* 2387822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387852 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387878 */     // GIR_Coverage, 54834,
     /* 2387878 */     GIR_EraseRootFromParent_Done,
     /* 2387879 */   // Label 34237: @2387879
     /* 2387879 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2387941), // Rule ID 54835 //
     /* 2387884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387914 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387940 */     // GIR_Coverage, 54835,
     /* 2387940 */     GIR_EraseRootFromParent_Done,
     /* 2387941 */   // Label 34238: @2387941
     /* 2387941 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2387986), // Rule ID 54830 //
     /* 2387946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387961 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2387964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387985 */     // GIR_Coverage, 54830,
     /* 2387985 */     GIR_EraseRootFromParent_Done,
     /* 2387986 */   // Label 34239: @2387986
     /* 2387986 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2388031), // Rule ID 54831 //
     /* 2387991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388006 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2388009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388030 */     // GIR_Coverage, 54831,
     /* 2388030 */     GIR_EraseRootFromParent_Done,
     /* 2388031 */   // Label 34240: @2388031
     /* 2388031 */   GIM_Reject,
     /* 2388032 */ // Label 34228: @2388032
     /* 2388032 */ GIM_Reject,
     /* 2388033 */ // Label 34120: @2388033
     /* 2388033 */ GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2388822),
     /* 2388038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2388044 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2388047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388051 */   GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2388128), // Rule ID 55030 //
     /* 2388056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388099 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388127 */     // GIR_Coverage, 55030,
     /* 2388127 */     GIR_EraseRootFromParent_Done,
     /* 2388128 */   // Label 34242: @2388128
     /* 2388128 */   GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2388205), // Rule ID 55031 //
     /* 2388133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388176 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388204 */     // GIR_Coverage, 55031,
     /* 2388204 */     GIR_EraseRootFromParent_Done,
     /* 2388205 */   // Label 34243: @2388205
     /* 2388205 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2388282), // Rule ID 72279 //
     /* 2388210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388253 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388281 */     // GIR_Coverage, 72279,
     /* 2388281 */     GIR_EraseRootFromParent_Done,
     /* 2388282 */   // Label 34244: @2388282
     /* 2388282 */   GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2388359), // Rule ID 72280 //
     /* 2388287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388330 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388358 */     // GIR_Coverage, 72280,
     /* 2388358 */     GIR_EraseRootFromParent_Done,
     /* 2388359 */   // Label 34245: @2388359
     /* 2388359 */   GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2388421), // Rule ID 55034 //
     /* 2388364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388394 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388420 */     // GIR_Coverage, 55034,
     /* 2388420 */     GIR_EraseRootFromParent_Done,
     /* 2388421 */   // Label 34246: @2388421
     /* 2388421 */   GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2388483), // Rule ID 55035 //
     /* 2388426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388456 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388482 */     // GIR_Coverage, 55035,
     /* 2388482 */     GIR_EraseRootFromParent_Done,
     /* 2388483 */   // Label 34247: @2388483
     /* 2388483 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2388545), // Rule ID 72283 //
     /* 2388488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388518 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388544 */     // GIR_Coverage, 72283,
     /* 2388544 */     GIR_EraseRootFromParent_Done,
     /* 2388545 */   // Label 34248: @2388545
     /* 2388545 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2388607), // Rule ID 72284 //
     /* 2388550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388580 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388606 */     // GIR_Coverage, 72284,
     /* 2388606 */     GIR_EraseRootFromParent_Done,
     /* 2388607 */   // Label 34249: @2388607
     /* 2388607 */   GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2388669), // Rule ID 55026 //
     /* 2388612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388642 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388668 */     // GIR_Coverage, 55026,
     /* 2388668 */     GIR_EraseRootFromParent_Done,
     /* 2388669 */   // Label 34250: @2388669
     /* 2388669 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2388731), // Rule ID 55027 //
     /* 2388674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388704 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388730 */     // GIR_Coverage, 55027,
     /* 2388730 */     GIR_EraseRootFromParent_Done,
     /* 2388731 */   // Label 34251: @2388731
     /* 2388731 */   GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2388776), // Rule ID 55022 //
     /* 2388736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388751 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388775 */     // GIR_Coverage, 55022,
     /* 2388775 */     GIR_EraseRootFromParent_Done,
     /* 2388776 */   // Label 34252: @2388776
     /* 2388776 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2388821), // Rule ID 55023 //
     /* 2388781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388796 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388820 */     // GIR_Coverage, 55023,
     /* 2388820 */     GIR_EraseRootFromParent_Done,
     /* 2388821 */   // Label 34253: @2388821
     /* 2388821 */   GIM_Reject,
     /* 2388822 */ // Label 34241: @2388822
     /* 2388822 */ GIM_Reject,
     /* 2388823 */ // Label 34121: @2388823
     /* 2388823 */ GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2389612),
     /* 2388828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2388834 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2388837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388841 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2388918), // Rule ID 54774 //
     /* 2388846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388889 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388917 */     // GIR_Coverage, 54774,
     /* 2388917 */     GIR_EraseRootFromParent_Done,
     /* 2388918 */   // Label 34255: @2388918
     /* 2388918 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2388995), // Rule ID 54775 //
     /* 2388923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388966 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388994 */     // GIR_Coverage, 54775,
     /* 2388994 */     GIR_EraseRootFromParent_Done,
     /* 2388995 */   // Label 34256: @2388995
     /* 2388995 */   GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2389072), // Rule ID 72055 //
     /* 2389000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389043 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2389046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389071 */     // GIR_Coverage, 72055,
     /* 2389071 */     GIR_EraseRootFromParent_Done,
     /* 2389072 */   // Label 34257: @2389072
     /* 2389072 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2389149), // Rule ID 72056 //
     /* 2389077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389120 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2389123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389148 */     // GIR_Coverage, 72056,
     /* 2389148 */     GIR_EraseRootFromParent_Done,
     /* 2389149 */   // Label 34258: @2389149
     /* 2389149 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2389211), // Rule ID 54778 //
     /* 2389154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389184 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389210 */     // GIR_Coverage, 54778,
     /* 2389210 */     GIR_EraseRootFromParent_Done,
     /* 2389211 */   // Label 34259: @2389211
     /* 2389211 */   GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2389273), // Rule ID 54779 //
     /* 2389216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389246 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389272 */     // GIR_Coverage, 54779,
     /* 2389272 */     GIR_EraseRootFromParent_Done,
     /* 2389273 */   // Label 34260: @2389273
     /* 2389273 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2389335), // Rule ID 72059 //
     /* 2389278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389308 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389334 */     // GIR_Coverage, 72059,
     /* 2389334 */     GIR_EraseRootFromParent_Done,
     /* 2389335 */   // Label 34261: @2389335
     /* 2389335 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2389397), // Rule ID 72060 //
     /* 2389340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389370 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389396 */     // GIR_Coverage, 72060,
     /* 2389396 */     GIR_EraseRootFromParent_Done,
     /* 2389397 */   // Label 34262: @2389397
     /* 2389397 */   GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2389459), // Rule ID 54770 //
     /* 2389402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389432 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2389435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389458 */     // GIR_Coverage, 54770,
     /* 2389458 */     GIR_EraseRootFromParent_Done,
     /* 2389459 */   // Label 34263: @2389459
     /* 2389459 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2389521), // Rule ID 54771 //
     /* 2389464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389494 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2389497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389520 */     // GIR_Coverage, 54771,
     /* 2389520 */     GIR_EraseRootFromParent_Done,
     /* 2389521 */   // Label 34264: @2389521
     /* 2389521 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2389566), // Rule ID 54766 //
     /* 2389526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389541 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389565 */     // GIR_Coverage, 54766,
     /* 2389565 */     GIR_EraseRootFromParent_Done,
     /* 2389566 */   // Label 34265: @2389566
     /* 2389566 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2389611), // Rule ID 54767 //
     /* 2389571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389586 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389610 */     // GIR_Coverage, 54767,
     /* 2389610 */     GIR_EraseRootFromParent_Done,
     /* 2389611 */   // Label 34266: @2389611
     /* 2389611 */   GIM_Reject,
     /* 2389612 */ // Label 34254: @2389612
     /* 2389612 */ GIM_Reject,
     /* 2389613 */ // Label 34122: @2389613
     /* 2389613 */ GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2390402),
     /* 2389618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2389624 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2389627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389631 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2389708), // Rule ID 54966 //
     /* 2389636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389679 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389707 */     // GIR_Coverage, 54966,
     /* 2389707 */     GIR_EraseRootFromParent_Done,
     /* 2389708 */   // Label 34268: @2389708
     /* 2389708 */   GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2389785), // Rule ID 54967 //
     /* 2389713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389756 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389784 */     // GIR_Coverage, 54967,
     /* 2389784 */     GIR_EraseRootFromParent_Done,
     /* 2389785 */   // Label 34269: @2389785
     /* 2389785 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2389862), // Rule ID 72223 //
     /* 2389790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389833 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389861 */     // GIR_Coverage, 72223,
     /* 2389861 */     GIR_EraseRootFromParent_Done,
     /* 2389862 */   // Label 34270: @2389862
     /* 2389862 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2389939), // Rule ID 72224 //
     /* 2389867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389903 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389910 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389938 */     // GIR_Coverage, 72224,
     /* 2389938 */     GIR_EraseRootFromParent_Done,
     /* 2389939 */   // Label 34271: @2389939
     /* 2389939 */   GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2390001), // Rule ID 54970 //
     /* 2389944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389974 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390000 */     // GIR_Coverage, 54970,
     /* 2390000 */     GIR_EraseRootFromParent_Done,
     /* 2390001 */   // Label 34272: @2390001
     /* 2390001 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2390063), // Rule ID 54971 //
     /* 2390006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390036 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2390039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390062 */     // GIR_Coverage, 54971,
     /* 2390062 */     GIR_EraseRootFromParent_Done,
     /* 2390063 */   // Label 34273: @2390063
     /* 2390063 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2390125), // Rule ID 72227 //
     /* 2390068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390098 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2390101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390124 */     // GIR_Coverage, 72227,
     /* 2390124 */     GIR_EraseRootFromParent_Done,
     /* 2390125 */   // Label 34274: @2390125
     /* 2390125 */   GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2390187), // Rule ID 72228 //
     /* 2390130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390160 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2390163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390186 */     // GIR_Coverage, 72228,
     /* 2390186 */     GIR_EraseRootFromParent_Done,
     /* 2390187 */   // Label 34275: @2390187
     /* 2390187 */   GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2390249), // Rule ID 54962 //
     /* 2390192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390222 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2390225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390248 */     // GIR_Coverage, 54962,
     /* 2390248 */     GIR_EraseRootFromParent_Done,
     /* 2390249 */   // Label 34276: @2390249
     /* 2390249 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2390311), // Rule ID 54963 //
     /* 2390254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390284 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2390287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390310 */     // GIR_Coverage, 54963,
     /* 2390310 */     GIR_EraseRootFromParent_Done,
     /* 2390311 */   // Label 34277: @2390311
     /* 2390311 */   GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2390356), // Rule ID 54958 //
     /* 2390316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390331 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2390334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390355 */     // GIR_Coverage, 54958,
     /* 2390355 */     GIR_EraseRootFromParent_Done,
     /* 2390356 */   // Label 34278: @2390356
     /* 2390356 */   GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2390401), // Rule ID 54959 //
     /* 2390361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390376 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2390379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390400 */     // GIR_Coverage, 54959,
     /* 2390400 */     GIR_EraseRootFromParent_Done,
     /* 2390401 */   // Label 34279: @2390401
     /* 2390401 */   GIM_Reject,
     /* 2390402 */ // Label 34267: @2390402
     /* 2390402 */ GIM_Reject,
     /* 2390403 */ // Label 34123: @2390403
     /* 2390403 */ GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2391192),
     /* 2390408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2390414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2390417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390421 */   GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2390498), // Rule ID 55478 //
     /* 2390426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390469 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390497 */     // GIR_Coverage, 55478,
     /* 2390497 */     GIR_EraseRootFromParent_Done,
     /* 2390498 */   // Label 34281: @2390498
     /* 2390498 */   GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2390575), // Rule ID 55479 //
     /* 2390503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390546 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390574 */     // GIR_Coverage, 55479,
     /* 2390574 */     GIR_EraseRootFromParent_Done,
     /* 2390575 */   // Label 34282: @2390575
     /* 2390575 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2390652), // Rule ID 72671 //
     /* 2390580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390623 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390651 */     // GIR_Coverage, 72671,
     /* 2390651 */     GIR_EraseRootFromParent_Done,
     /* 2390652 */   // Label 34283: @2390652
     /* 2390652 */   GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2390729), // Rule ID 72672 //
     /* 2390657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390700 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390728 */     // GIR_Coverage, 72672,
     /* 2390728 */     GIR_EraseRootFromParent_Done,
     /* 2390729 */   // Label 34284: @2390729
     /* 2390729 */   GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2390791), // Rule ID 55482 //
     /* 2390734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390764 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390790 */     // GIR_Coverage, 55482,
     /* 2390790 */     GIR_EraseRootFromParent_Done,
     /* 2390791 */   // Label 34285: @2390791
     /* 2390791 */   GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2390853), // Rule ID 55483 //
     /* 2390796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390826 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390852 */     // GIR_Coverage, 55483,
     /* 2390852 */     GIR_EraseRootFromParent_Done,
     /* 2390853 */   // Label 34286: @2390853
     /* 2390853 */   GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2390915), // Rule ID 72675 //
     /* 2390858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390888 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390914 */     // GIR_Coverage, 72675,
     /* 2390914 */     GIR_EraseRootFromParent_Done,
     /* 2390915 */   // Label 34287: @2390915
     /* 2390915 */   GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2390977), // Rule ID 72676 //
     /* 2390920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390950 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390976 */     // GIR_Coverage, 72676,
     /* 2390976 */     GIR_EraseRootFromParent_Done,
     /* 2390977 */   // Label 34288: @2390977
     /* 2390977 */   GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2391039), // Rule ID 55474 //
     /* 2390982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2391005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391012 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2391015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391038 */     // GIR_Coverage, 55474,
     /* 2391038 */     GIR_EraseRootFromParent_Done,
     /* 2391039 */   // Label 34289: @2391039
     /* 2391039 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2391101), // Rule ID 55475 //
     /* 2391044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2391067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391074 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2391077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391100 */     // GIR_Coverage, 55475,
     /* 2391100 */     GIR_EraseRootFromParent_Done,
     /* 2391101 */   // Label 34290: @2391101
     /* 2391101 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2391146), // Rule ID 55470 //
     /* 2391106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391121 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2391124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391145 */     // GIR_Coverage, 55470,
     /* 2391145 */     GIR_EraseRootFromParent_Done,
     /* 2391146 */   // Label 34291: @2391146
     /* 2391146 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2391191), // Rule ID 55471 //
     /* 2391151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391166 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2391169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391190 */     // GIR_Coverage, 55471,
     /* 2391190 */     GIR_EraseRootFromParent_Done,
     /* 2391191 */   // Label 34292: @2391191
     /* 2391191 */   GIM_Reject,
     /* 2391192 */ // Label 34280: @2391192
     /* 2391192 */ GIM_Reject,
     /* 2391193 */ // Label 34124: @2391193
     /* 2391193 */ GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2391982),
     /* 2391198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2391204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2391207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391211 */   GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2391288), // Rule ID 54902 //
     /* 2391216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391259 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391287 */     // GIR_Coverage, 54902,
     /* 2391287 */     GIR_EraseRootFromParent_Done,
     /* 2391288 */   // Label 34294: @2391288
     /* 2391288 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2391365), // Rule ID 54903 //
     /* 2391293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391336 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391364 */     // GIR_Coverage, 54903,
     /* 2391364 */     GIR_EraseRootFromParent_Done,
     /* 2391365 */   // Label 34295: @2391365
     /* 2391365 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2391442), // Rule ID 72167 //
     /* 2391370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391413 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391441 */     // GIR_Coverage, 72167,
     /* 2391441 */     GIR_EraseRootFromParent_Done,
     /* 2391442 */   // Label 34296: @2391442
     /* 2391442 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2391519), // Rule ID 72168 //
     /* 2391447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391490 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391518 */     // GIR_Coverage, 72168,
     /* 2391518 */     GIR_EraseRootFromParent_Done,
     /* 2391519 */   // Label 34297: @2391519
     /* 2391519 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2391581), // Rule ID 54906 //
     /* 2391524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391554 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391580 */     // GIR_Coverage, 54906,
     /* 2391580 */     GIR_EraseRootFromParent_Done,
     /* 2391581 */   // Label 34298: @2391581
     /* 2391581 */   GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2391643), // Rule ID 54907 //
     /* 2391586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391616 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391642 */     // GIR_Coverage, 54907,
     /* 2391642 */     GIR_EraseRootFromParent_Done,
     /* 2391643 */   // Label 34299: @2391643
     /* 2391643 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2391705), // Rule ID 72171 //
     /* 2391648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391678 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391704 */     // GIR_Coverage, 72171,
     /* 2391704 */     GIR_EraseRootFromParent_Done,
     /* 2391705 */   // Label 34300: @2391705
     /* 2391705 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2391767), // Rule ID 72172 //
     /* 2391710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391740 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391766 */     // GIR_Coverage, 72172,
     /* 2391766 */     GIR_EraseRootFromParent_Done,
     /* 2391767 */   // Label 34301: @2391767
     /* 2391767 */   GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2391829), // Rule ID 54898 //
     /* 2391772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391802 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391828 */     // GIR_Coverage, 54898,
     /* 2391828 */     GIR_EraseRootFromParent_Done,
     /* 2391829 */   // Label 34302: @2391829
     /* 2391829 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2391891), // Rule ID 54899 //
     /* 2391834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391864 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391890 */     // GIR_Coverage, 54899,
     /* 2391890 */     GIR_EraseRootFromParent_Done,
     /* 2391891 */   // Label 34303: @2391891
     /* 2391891 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2391936), // Rule ID 54894 //
     /* 2391896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391911 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391935 */     // GIR_Coverage, 54894,
     /* 2391935 */     GIR_EraseRootFromParent_Done,
     /* 2391936 */   // Label 34304: @2391936
     /* 2391936 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2391981), // Rule ID 54895 //
     /* 2391941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391956 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391980 */     // GIR_Coverage, 54895,
     /* 2391980 */     GIR_EraseRootFromParent_Done,
     /* 2391981 */   // Label 34305: @2391981
     /* 2391981 */   GIM_Reject,
     /* 2391982 */ // Label 34293: @2391982
     /* 2391982 */ GIM_Reject,
     /* 2391983 */ // Label 34125: @2391983
     /* 2391983 */ GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2392772),
     /* 2391988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2391994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2391997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392001 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2392078), // Rule ID 55286 //
     /* 2392006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392049 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392077 */     // GIR_Coverage, 55286,
     /* 2392077 */     GIR_EraseRootFromParent_Done,
     /* 2392078 */   // Label 34307: @2392078
     /* 2392078 */   GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2392155), // Rule ID 55287 //
     /* 2392083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392126 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392154 */     // GIR_Coverage, 55287,
     /* 2392154 */     GIR_EraseRootFromParent_Done,
     /* 2392155 */   // Label 34308: @2392155
     /* 2392155 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2392232), // Rule ID 72503 //
     /* 2392160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392203 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392231 */     // GIR_Coverage, 72503,
     /* 2392231 */     GIR_EraseRootFromParent_Done,
     /* 2392232 */   // Label 34309: @2392232
     /* 2392232 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2392309), // Rule ID 72504 //
     /* 2392237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392280 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392308 */     // GIR_Coverage, 72504,
     /* 2392308 */     GIR_EraseRootFromParent_Done,
     /* 2392309 */   // Label 34310: @2392309
     /* 2392309 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2392371), // Rule ID 55290 //
     /* 2392314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392344 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392370 */     // GIR_Coverage, 55290,
     /* 2392370 */     GIR_EraseRootFromParent_Done,
     /* 2392371 */   // Label 34311: @2392371
     /* 2392371 */   GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2392433), // Rule ID 55291 //
     /* 2392376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392406 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392432 */     // GIR_Coverage, 55291,
     /* 2392432 */     GIR_EraseRootFromParent_Done,
     /* 2392433 */   // Label 34312: @2392433
     /* 2392433 */   GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2392495), // Rule ID 72507 //
     /* 2392438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392468 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392494 */     // GIR_Coverage, 72507,
     /* 2392494 */     GIR_EraseRootFromParent_Done,
     /* 2392495 */   // Label 34313: @2392495
     /* 2392495 */   GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2392557), // Rule ID 72508 //
     /* 2392500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392530 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392556 */     // GIR_Coverage, 72508,
     /* 2392556 */     GIR_EraseRootFromParent_Done,
     /* 2392557 */   // Label 34314: @2392557
     /* 2392557 */   GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2392619), // Rule ID 55282 //
     /* 2392562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392592 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392618 */     // GIR_Coverage, 55282,
     /* 2392618 */     GIR_EraseRootFromParent_Done,
     /* 2392619 */   // Label 34315: @2392619
     /* 2392619 */   GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2392681), // Rule ID 55283 //
     /* 2392624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392654 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392680 */     // GIR_Coverage, 55283,
     /* 2392680 */     GIR_EraseRootFromParent_Done,
     /* 2392681 */   // Label 34316: @2392681
     /* 2392681 */   GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2392726), // Rule ID 55278 //
     /* 2392686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392701 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392725 */     // GIR_Coverage, 55278,
     /* 2392725 */     GIR_EraseRootFromParent_Done,
     /* 2392726 */   // Label 34317: @2392726
     /* 2392726 */   GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2392771), // Rule ID 55279 //
     /* 2392731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392746 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392770 */     // GIR_Coverage, 55279,
     /* 2392770 */     GIR_EraseRootFromParent_Done,
     /* 2392771 */   // Label 34318: @2392771
     /* 2392771 */   GIM_Reject,
     /* 2392772 */ // Label 34306: @2392772
     /* 2392772 */ GIM_Reject,
     /* 2392773 */ // Label 34126: @2392773
     /* 2392773 */ GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2393562),
     /* 2392778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2392784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2392787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392791 */   GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2392868), // Rule ID 55542 //
     /* 2392796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392839 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392867 */     // GIR_Coverage, 55542,
     /* 2392867 */     GIR_EraseRootFromParent_Done,
     /* 2392868 */   // Label 34320: @2392868
     /* 2392868 */   GIM_Try, /*On fail goto*//*Label 34321*/ GIMT_Encode4(2392945), // Rule ID 55543 //
     /* 2392873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392916 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392944 */     // GIR_Coverage, 55543,
     /* 2392944 */     GIR_EraseRootFromParent_Done,
     /* 2392945 */   // Label 34321: @2392945
     /* 2392945 */   GIM_Try, /*On fail goto*//*Label 34322*/ GIMT_Encode4(2393022), // Rule ID 72727 //
     /* 2392950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392993 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393021 */     // GIR_Coverage, 72727,
     /* 2393021 */     GIR_EraseRootFromParent_Done,
     /* 2393022 */   // Label 34322: @2393022
     /* 2393022 */   GIM_Try, /*On fail goto*//*Label 34323*/ GIMT_Encode4(2393099), // Rule ID 72728 //
     /* 2393027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393070 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2393073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393098 */     // GIR_Coverage, 72728,
     /* 2393098 */     GIR_EraseRootFromParent_Done,
     /* 2393099 */   // Label 34323: @2393099
     /* 2393099 */   GIM_Try, /*On fail goto*//*Label 34324*/ GIMT_Encode4(2393161), // Rule ID 55546 //
     /* 2393104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393134 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393160 */     // GIR_Coverage, 55546,
     /* 2393160 */     GIR_EraseRootFromParent_Done,
     /* 2393161 */   // Label 34324: @2393161
     /* 2393161 */   GIM_Try, /*On fail goto*//*Label 34325*/ GIMT_Encode4(2393223), // Rule ID 55547 //
     /* 2393166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393196 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393222 */     // GIR_Coverage, 55547,
     /* 2393222 */     GIR_EraseRootFromParent_Done,
     /* 2393223 */   // Label 34325: @2393223
     /* 2393223 */   GIM_Try, /*On fail goto*//*Label 34326*/ GIMT_Encode4(2393285), // Rule ID 72731 //
     /* 2393228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393258 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393284 */     // GIR_Coverage, 72731,
     /* 2393284 */     GIR_EraseRootFromParent_Done,
     /* 2393285 */   // Label 34326: @2393285
     /* 2393285 */   GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2393347), // Rule ID 72732 //
     /* 2393290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393320 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393346 */     // GIR_Coverage, 72732,
     /* 2393346 */     GIR_EraseRootFromParent_Done,
     /* 2393347 */   // Label 34327: @2393347
     /* 2393347 */   GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2393409), // Rule ID 55538 //
     /* 2393352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393382 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2393385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393408 */     // GIR_Coverage, 55538,
     /* 2393408 */     GIR_EraseRootFromParent_Done,
     /* 2393409 */   // Label 34328: @2393409
     /* 2393409 */   GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2393471), // Rule ID 55539 //
     /* 2393414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393444 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2393447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393470 */     // GIR_Coverage, 55539,
     /* 2393470 */     GIR_EraseRootFromParent_Done,
     /* 2393471 */   // Label 34329: @2393471
     /* 2393471 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2393516), // Rule ID 55534 //
     /* 2393476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393491 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393515 */     // GIR_Coverage, 55534,
     /* 2393515 */     GIR_EraseRootFromParent_Done,
     /* 2393516 */   // Label 34330: @2393516
     /* 2393516 */   GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2393561), // Rule ID 55535 //
     /* 2393521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393536 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393560 */     // GIR_Coverage, 55535,
     /* 2393560 */     GIR_EraseRootFromParent_Done,
     /* 2393561 */   // Label 34331: @2393561
     /* 2393561 */   GIM_Reject,
     /* 2393562 */ // Label 34319: @2393562
     /* 2393562 */ GIM_Reject,
     /* 2393563 */ // Label 34127: @2393563
     /* 2393563 */ GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2394352),
     /* 2393568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2393574 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2393577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393581 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2393658), // Rule ID 55094 //
     /* 2393586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393629 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393657 */     // GIR_Coverage, 55094,
     /* 2393657 */     GIR_EraseRootFromParent_Done,
     /* 2393658 */   // Label 34333: @2393658
     /* 2393658 */   GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2393735), // Rule ID 55095 //
     /* 2393663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393706 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393734 */     // GIR_Coverage, 55095,
     /* 2393734 */     GIR_EraseRootFromParent_Done,
     /* 2393735 */   // Label 34334: @2393735
     /* 2393735 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2393812), // Rule ID 72335 //
     /* 2393740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393783 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393811 */     // GIR_Coverage, 72335,
     /* 2393811 */     GIR_EraseRootFromParent_Done,
     /* 2393812 */   // Label 34335: @2393812
     /* 2393812 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2393889), // Rule ID 72336 //
     /* 2393817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393860 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393888 */     // GIR_Coverage, 72336,
     /* 2393888 */     GIR_EraseRootFromParent_Done,
     /* 2393889 */   // Label 34336: @2393889
     /* 2393889 */   GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2393951), // Rule ID 55098 //
     /* 2393894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393924 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393950 */     // GIR_Coverage, 55098,
     /* 2393950 */     GIR_EraseRootFromParent_Done,
     /* 2393951 */   // Label 34337: @2393951
     /* 2393951 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2394013), // Rule ID 55099 //
     /* 2393956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393986 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394012 */     // GIR_Coverage, 55099,
     /* 2394012 */     GIR_EraseRootFromParent_Done,
     /* 2394013 */   // Label 34338: @2394013
     /* 2394013 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2394075), // Rule ID 72339 //
     /* 2394018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394048 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2394051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394074 */     // GIR_Coverage, 72339,
     /* 2394074 */     GIR_EraseRootFromParent_Done,
     /* 2394075 */   // Label 34339: @2394075
     /* 2394075 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2394137), // Rule ID 72340 //
     /* 2394080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394110 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2394113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394136 */     // GIR_Coverage, 72340,
     /* 2394136 */     GIR_EraseRootFromParent_Done,
     /* 2394137 */   // Label 34340: @2394137
     /* 2394137 */   GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2394199), // Rule ID 55090 //
     /* 2394142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394172 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2394175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394198 */     // GIR_Coverage, 55090,
     /* 2394198 */     GIR_EraseRootFromParent_Done,
     /* 2394199 */   // Label 34341: @2394199
     /* 2394199 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2394261), // Rule ID 55091 //
     /* 2394204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394234 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2394237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394260 */     // GIR_Coverage, 55091,
     /* 2394260 */     GIR_EraseRootFromParent_Done,
     /* 2394261 */   // Label 34342: @2394261
     /* 2394261 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2394306), // Rule ID 55086 //
     /* 2394266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394281 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2394284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394305 */     // GIR_Coverage, 55086,
     /* 2394305 */     GIR_EraseRootFromParent_Done,
     /* 2394306 */   // Label 34343: @2394306
     /* 2394306 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2394351), // Rule ID 55087 //
     /* 2394311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394326 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2394329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394350 */     // GIR_Coverage, 55087,
     /* 2394350 */     GIR_EraseRootFromParent_Done,
     /* 2394351 */   // Label 34344: @2394351
     /* 2394351 */   GIM_Reject,
     /* 2394352 */ // Label 34332: @2394352
     /* 2394352 */ GIM_Reject,
     /* 2394353 */ // Label 34128: @2394353
     /* 2394353 */ GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2395142),
     /* 2394358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2394364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2394367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394371 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2394448), // Rule ID 55350 //
     /* 2394376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394419 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394447 */     // GIR_Coverage, 55350,
     /* 2394447 */     GIR_EraseRootFromParent_Done,
     /* 2394448 */   // Label 34346: @2394448
     /* 2394448 */   GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2394525), // Rule ID 55351 //
     /* 2394453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394496 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394524 */     // GIR_Coverage, 55351,
     /* 2394524 */     GIR_EraseRootFromParent_Done,
     /* 2394525 */   // Label 34347: @2394525
     /* 2394525 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2394602), // Rule ID 72559 //
     /* 2394530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394573 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394601 */     // GIR_Coverage, 72559,
     /* 2394601 */     GIR_EraseRootFromParent_Done,
     /* 2394602 */   // Label 34348: @2394602
     /* 2394602 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2394679), // Rule ID 72560 //
     /* 2394607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394650 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394678 */     // GIR_Coverage, 72560,
     /* 2394678 */     GIR_EraseRootFromParent_Done,
     /* 2394679 */   // Label 34349: @2394679
     /* 2394679 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2394741), // Rule ID 55354 //
     /* 2394684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394714 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394740 */     // GIR_Coverage, 55354,
     /* 2394740 */     GIR_EraseRootFromParent_Done,
     /* 2394741 */   // Label 34350: @2394741
     /* 2394741 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2394803), // Rule ID 55355 //
     /* 2394746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394776 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394802 */     // GIR_Coverage, 55355,
     /* 2394802 */     GIR_EraseRootFromParent_Done,
     /* 2394803 */   // Label 34351: @2394803
     /* 2394803 */   GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2394865), // Rule ID 72563 //
     /* 2394808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394838 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394864 */     // GIR_Coverage, 72563,
     /* 2394864 */     GIR_EraseRootFromParent_Done,
     /* 2394865 */   // Label 34352: @2394865
     /* 2394865 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2394927), // Rule ID 72564 //
     /* 2394870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394900 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394926 */     // GIR_Coverage, 72564,
     /* 2394926 */     GIR_EraseRootFromParent_Done,
     /* 2394927 */   // Label 34353: @2394927
     /* 2394927 */   GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2394989), // Rule ID 55346 //
     /* 2394932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394962 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2394965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394988 */     // GIR_Coverage, 55346,
     /* 2394988 */     GIR_EraseRootFromParent_Done,
     /* 2394989 */   // Label 34354: @2394989
     /* 2394989 */   GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2395051), // Rule ID 55347 //
     /* 2394994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2395017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395024 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2395027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395050 */     // GIR_Coverage, 55347,
     /* 2395050 */     GIR_EraseRootFromParent_Done,
     /* 2395051 */   // Label 34355: @2395051
     /* 2395051 */   GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2395096), // Rule ID 55342 //
     /* 2395056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395071 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2395074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395095 */     // GIR_Coverage, 55342,
     /* 2395095 */     GIR_EraseRootFromParent_Done,
     /* 2395096 */   // Label 34356: @2395096
     /* 2395096 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2395141), // Rule ID 55343 //
     /* 2395101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395116 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2395119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395140 */     // GIR_Coverage, 55343,
     /* 2395140 */     GIR_EraseRootFromParent_Done,
     /* 2395141 */   // Label 34357: @2395141
     /* 2395141 */   GIM_Reject,
     /* 2395142 */ // Label 34345: @2395142
     /* 2395142 */ GIM_Reject,
     /* 2395143 */ // Label 34129: @2395143
     /* 2395143 */ GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2395932),
     /* 2395148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2395154 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2395157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395161 */   GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2395238), // Rule ID 55606 //
     /* 2395166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395209 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395237 */     // GIR_Coverage, 55606,
     /* 2395237 */     GIR_EraseRootFromParent_Done,
     /* 2395238 */   // Label 34359: @2395238
     /* 2395238 */   GIM_Try, /*On fail goto*//*Label 34360*/ GIMT_Encode4(2395315), // Rule ID 55607 //
     /* 2395243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395286 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395314 */     // GIR_Coverage, 55607,
     /* 2395314 */     GIR_EraseRootFromParent_Done,
     /* 2395315 */   // Label 34360: @2395315
     /* 2395315 */   GIM_Try, /*On fail goto*//*Label 34361*/ GIMT_Encode4(2395392), // Rule ID 72783 //
     /* 2395320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395363 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395391 */     // GIR_Coverage, 72783,
     /* 2395391 */     GIR_EraseRootFromParent_Done,
     /* 2395392 */   // Label 34361: @2395392
     /* 2395392 */   GIM_Try, /*On fail goto*//*Label 34362*/ GIMT_Encode4(2395469), // Rule ID 72784 //
     /* 2395397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395440 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395468 */     // GIR_Coverage, 72784,
     /* 2395468 */     GIR_EraseRootFromParent_Done,
     /* 2395469 */   // Label 34362: @2395469
     /* 2395469 */   GIM_Try, /*On fail goto*//*Label 34363*/ GIMT_Encode4(2395531), // Rule ID 55610 //
     /* 2395474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395504 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395530 */     // GIR_Coverage, 55610,
     /* 2395530 */     GIR_EraseRootFromParent_Done,
     /* 2395531 */   // Label 34363: @2395531
     /* 2395531 */   GIM_Try, /*On fail goto*//*Label 34364*/ GIMT_Encode4(2395593), // Rule ID 55611 //
     /* 2395536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395566 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395592 */     // GIR_Coverage, 55611,
     /* 2395592 */     GIR_EraseRootFromParent_Done,
     /* 2395593 */   // Label 34364: @2395593
     /* 2395593 */   GIM_Try, /*On fail goto*//*Label 34365*/ GIMT_Encode4(2395655), // Rule ID 72787 //
     /* 2395598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395628 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395654 */     // GIR_Coverage, 72787,
     /* 2395654 */     GIR_EraseRootFromParent_Done,
     /* 2395655 */   // Label 34365: @2395655
     /* 2395655 */   GIM_Try, /*On fail goto*//*Label 34366*/ GIMT_Encode4(2395717), // Rule ID 72788 //
     /* 2395660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395690 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395716 */     // GIR_Coverage, 72788,
     /* 2395716 */     GIR_EraseRootFromParent_Done,
     /* 2395717 */   // Label 34366: @2395717
     /* 2395717 */   GIM_Try, /*On fail goto*//*Label 34367*/ GIMT_Encode4(2395779), // Rule ID 55602 //
     /* 2395722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395752 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395778 */     // GIR_Coverage, 55602,
     /* 2395778 */     GIR_EraseRootFromParent_Done,
     /* 2395779 */   // Label 34367: @2395779
     /* 2395779 */   GIM_Try, /*On fail goto*//*Label 34368*/ GIMT_Encode4(2395841), // Rule ID 55603 //
     /* 2395784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395814 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395840 */     // GIR_Coverage, 55603,
     /* 2395840 */     GIR_EraseRootFromParent_Done,
     /* 2395841 */   // Label 34368: @2395841
     /* 2395841 */   GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2395886), // Rule ID 55598 //
     /* 2395846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395861 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395885 */     // GIR_Coverage, 55598,
     /* 2395885 */     GIR_EraseRootFromParent_Done,
     /* 2395886 */   // Label 34369: @2395886
     /* 2395886 */   GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2395931), // Rule ID 55599 //
     /* 2395891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395906 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395930 */     // GIR_Coverage, 55599,
     /* 2395930 */     GIR_EraseRootFromParent_Done,
     /* 2395931 */   // Label 34370: @2395931
     /* 2395931 */   GIM_Reject,
     /* 2395932 */ // Label 34358: @2395932
     /* 2395932 */ GIM_Reject,
     /* 2395933 */ // Label 34130: @2395933
     /* 2395933 */ GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2396722),
     /* 2395938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2395944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2395947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395951 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2396028), // Rule ID 55158 //
     /* 2395956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395999 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2396002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396027 */     // GIR_Coverage, 55158,
     /* 2396027 */     GIR_EraseRootFromParent_Done,
     /* 2396028 */   // Label 34372: @2396028
     /* 2396028 */   GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2396105), // Rule ID 55159 //
     /* 2396033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396076 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2396079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396104 */     // GIR_Coverage, 55159,
     /* 2396104 */     GIR_EraseRootFromParent_Done,
     /* 2396105 */   // Label 34373: @2396105
     /* 2396105 */   GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2396182), // Rule ID 72391 //
     /* 2396110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396153 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2396156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396181 */     // GIR_Coverage, 72391,
     /* 2396181 */     GIR_EraseRootFromParent_Done,
     /* 2396182 */   // Label 34374: @2396182
     /* 2396182 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2396259), // Rule ID 72392 //
     /* 2396187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396230 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2396233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396258 */     // GIR_Coverage, 72392,
     /* 2396258 */     GIR_EraseRootFromParent_Done,
     /* 2396259 */   // Label 34375: @2396259
     /* 2396259 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2396321), // Rule ID 55162 //
     /* 2396264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396294 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396320 */     // GIR_Coverage, 55162,
     /* 2396320 */     GIR_EraseRootFromParent_Done,
     /* 2396321 */   // Label 34376: @2396321
     /* 2396321 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2396383), // Rule ID 55163 //
     /* 2396326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396356 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396382 */     // GIR_Coverage, 55163,
     /* 2396382 */     GIR_EraseRootFromParent_Done,
     /* 2396383 */   // Label 34377: @2396383
     /* 2396383 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2396445), // Rule ID 72395 //
     /* 2396388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396418 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396444 */     // GIR_Coverage, 72395,
     /* 2396444 */     GIR_EraseRootFromParent_Done,
     /* 2396445 */   // Label 34378: @2396445
     /* 2396445 */   GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2396507), // Rule ID 72396 //
     /* 2396450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396480 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396506 */     // GIR_Coverage, 72396,
     /* 2396506 */     GIR_EraseRootFromParent_Done,
     /* 2396507 */   // Label 34379: @2396507
     /* 2396507 */   GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2396569), // Rule ID 55154 //
     /* 2396512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396542 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396568 */     // GIR_Coverage, 55154,
     /* 2396568 */     GIR_EraseRootFromParent_Done,
     /* 2396569 */   // Label 34380: @2396569
     /* 2396569 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2396631), // Rule ID 55155 //
     /* 2396574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396604 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396630 */     // GIR_Coverage, 55155,
     /* 2396630 */     GIR_EraseRootFromParent_Done,
     /* 2396631 */   // Label 34381: @2396631
     /* 2396631 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2396676), // Rule ID 55150 //
     /* 2396636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396651 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396675 */     // GIR_Coverage, 55150,
     /* 2396675 */     GIR_EraseRootFromParent_Done,
     /* 2396676 */   // Label 34382: @2396676
     /* 2396676 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2396721), // Rule ID 55151 //
     /* 2396681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396696 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396720 */     // GIR_Coverage, 55151,
     /* 2396720 */     GIR_EraseRootFromParent_Done,
     /* 2396721 */   // Label 34383: @2396721
     /* 2396721 */   GIM_Reject,
     /* 2396722 */ // Label 34371: @2396722
     /* 2396722 */ GIM_Reject,
     /* 2396723 */ // Label 34131: @2396723
     /* 2396723 */ GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2397512),
     /* 2396728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2396734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2396737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396741 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2396818), // Rule ID 55414 //
     /* 2396746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396789 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396817 */     // GIR_Coverage, 55414,
     /* 2396817 */     GIR_EraseRootFromParent_Done,
     /* 2396818 */   // Label 34385: @2396818
     /* 2396818 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2396895), // Rule ID 55415 //
     /* 2396823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396866 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396894 */     // GIR_Coverage, 55415,
     /* 2396894 */     GIR_EraseRootFromParent_Done,
     /* 2396895 */   // Label 34386: @2396895
     /* 2396895 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2396972), // Rule ID 72615 //
     /* 2396900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396943 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396971 */     // GIR_Coverage, 72615,
     /* 2396971 */     GIR_EraseRootFromParent_Done,
     /* 2396972 */   // Label 34387: @2396972
     /* 2396972 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2397049), // Rule ID 72616 //
     /* 2396977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397020 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2397023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397048 */     // GIR_Coverage, 72616,
     /* 2397048 */     GIR_EraseRootFromParent_Done,
     /* 2397049 */   // Label 34388: @2397049
     /* 2397049 */   GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2397111), // Rule ID 55418 //
     /* 2397054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397084 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397110 */     // GIR_Coverage, 55418,
     /* 2397110 */     GIR_EraseRootFromParent_Done,
     /* 2397111 */   // Label 34389: @2397111
     /* 2397111 */   GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2397173), // Rule ID 55419 //
     /* 2397116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397146 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397172 */     // GIR_Coverage, 55419,
     /* 2397172 */     GIR_EraseRootFromParent_Done,
     /* 2397173 */   // Label 34390: @2397173
     /* 2397173 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2397235), // Rule ID 72619 //
     /* 2397178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397208 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397234 */     // GIR_Coverage, 72619,
     /* 2397234 */     GIR_EraseRootFromParent_Done,
     /* 2397235 */   // Label 34391: @2397235
     /* 2397235 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2397297), // Rule ID 72620 //
     /* 2397240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397270 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397296 */     // GIR_Coverage, 72620,
     /* 2397296 */     GIR_EraseRootFromParent_Done,
     /* 2397297 */   // Label 34392: @2397297
     /* 2397297 */   GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2397359), // Rule ID 55410 //
     /* 2397302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397332 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2397335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397358 */     // GIR_Coverage, 55410,
     /* 2397358 */     GIR_EraseRootFromParent_Done,
     /* 2397359 */   // Label 34393: @2397359
     /* 2397359 */   GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2397421), // Rule ID 55411 //
     /* 2397364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397394 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2397397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397420 */     // GIR_Coverage, 55411,
     /* 2397420 */     GIR_EraseRootFromParent_Done,
     /* 2397421 */   // Label 34394: @2397421
     /* 2397421 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2397466), // Rule ID 55406 //
     /* 2397426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397441 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397465 */     // GIR_Coverage, 55406,
     /* 2397465 */     GIR_EraseRootFromParent_Done,
     /* 2397466 */   // Label 34395: @2397466
     /* 2397466 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2397511), // Rule ID 55407 //
     /* 2397471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397486 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397510 */     // GIR_Coverage, 55407,
     /* 2397510 */     GIR_EraseRootFromParent_Done,
     /* 2397511 */   // Label 34396: @2397511
     /* 2397511 */   GIM_Reject,
     /* 2397512 */ // Label 34384: @2397512
     /* 2397512 */ GIM_Reject,
     /* 2397513 */ // Label 34132: @2397513
     /* 2397513 */ GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2398302),
     /* 2397518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2397524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2397527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397531 */   GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2397608), // Rule ID 55222 //
     /* 2397536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397579 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397607 */     // GIR_Coverage, 55222,
     /* 2397607 */     GIR_EraseRootFromParent_Done,
     /* 2397608 */   // Label 34398: @2397608
     /* 2397608 */   GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2397685), // Rule ID 55223 //
     /* 2397613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397656 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397684 */     // GIR_Coverage, 55223,
     /* 2397684 */     GIR_EraseRootFromParent_Done,
     /* 2397685 */   // Label 34399: @2397685
     /* 2397685 */   GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2397762), // Rule ID 72447 //
     /* 2397690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397733 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397761 */     // GIR_Coverage, 72447,
     /* 2397761 */     GIR_EraseRootFromParent_Done,
     /* 2397762 */   // Label 34400: @2397762
     /* 2397762 */   GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2397839), // Rule ID 72448 //
     /* 2397767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397810 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397838 */     // GIR_Coverage, 72448,
     /* 2397838 */     GIR_EraseRootFromParent_Done,
     /* 2397839 */   // Label 34401: @2397839
     /* 2397839 */   GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2397901), // Rule ID 55226 //
     /* 2397844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397874 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397900 */     // GIR_Coverage, 55226,
     /* 2397900 */     GIR_EraseRootFromParent_Done,
     /* 2397901 */   // Label 34402: @2397901
     /* 2397901 */   GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2397963), // Rule ID 55227 //
     /* 2397906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397936 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397962 */     // GIR_Coverage, 55227,
     /* 2397962 */     GIR_EraseRootFromParent_Done,
     /* 2397963 */   // Label 34403: @2397963
     /* 2397963 */   GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2398025), // Rule ID 72451 //
     /* 2397968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397998 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2398001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398024 */     // GIR_Coverage, 72451,
     /* 2398024 */     GIR_EraseRootFromParent_Done,
     /* 2398025 */   // Label 34404: @2398025
     /* 2398025 */   GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2398087), // Rule ID 72452 //
     /* 2398030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398060 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2398063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398086 */     // GIR_Coverage, 72452,
     /* 2398086 */     GIR_EraseRootFromParent_Done,
     /* 2398087 */   // Label 34405: @2398087
     /* 2398087 */   GIM_Try, /*On fail goto*//*Label 34406*/ GIMT_Encode4(2398149), // Rule ID 55218 //
     /* 2398092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2398107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398122 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2398125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2398135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398148 */     // GIR_Coverage, 55218,
     /* 2398148 */     GIR_EraseRootFromParent_Done,
     /* 2398149 */   // Label 34406: @2398149
     /* 2398149 */   GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2398211), // Rule ID 55219 //
     /* 2398154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2398169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398184 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2398187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2398197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398210 */     // GIR_Coverage, 55219,
     /* 2398210 */     GIR_EraseRootFromParent_Done,
     /* 2398211 */   // Label 34407: @2398211
     /* 2398211 */   GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2398256), // Rule ID 55214 //
     /* 2398216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398231 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2398234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398255 */     // GIR_Coverage, 55214,
     /* 2398255 */     GIR_EraseRootFromParent_Done,
     /* 2398256 */   // Label 34408: @2398256
     /* 2398256 */   GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2398301), // Rule ID 55215 //
     /* 2398261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398276 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2398279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398300 */     // GIR_Coverage, 55215,
     /* 2398300 */     GIR_EraseRootFromParent_Done,
     /* 2398301 */   // Label 34409: @2398301
     /* 2398301 */   GIM_Reject,
     /* 2398302 */ // Label 34397: @2398302
     /* 2398302 */ GIM_Reject,
     /* 2398303 */ // Label 34133: @2398303
     /* 2398303 */ GIM_Reject,
     /* 2398304 */ // Label 101: @2398304
     /* 2398304 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34428*/ GIMT_Encode4(2400479),
     /* 2398315 */ /*GILLT_s16*//*Label 34410*/ GIMT_Encode4(2398435),
     /* 2398319 */ /*GILLT_s32*//*Label 34411*/ GIMT_Encode4(2398557),
     /* 2398323 */ /*GILLT_s64*//*Label 34412*/ GIMT_Encode4(2398679), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398335 */ /*GILLT_nxv1s16*//*Label 34413*/ GIMT_Encode4(2398829),
     /* 2398339 */ /*GILLT_nxv1s32*//*Label 34414*/ GIMT_Encode4(2398939),
     /* 2398343 */ /*GILLT_nxv1s64*//*Label 34415*/ GIMT_Encode4(2399049), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398355 */ /*GILLT_nxv2s16*//*Label 34416*/ GIMT_Encode4(2399159),
     /* 2398359 */ /*GILLT_nxv2s32*//*Label 34417*/ GIMT_Encode4(2399269),
     /* 2398363 */ /*GILLT_nxv2s64*//*Label 34418*/ GIMT_Encode4(2399379), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398375 */ /*GILLT_nxv4s16*//*Label 34419*/ GIMT_Encode4(2399489),
     /* 2398379 */ /*GILLT_nxv4s32*//*Label 34420*/ GIMT_Encode4(2399599),
     /* 2398383 */ /*GILLT_nxv4s64*//*Label 34421*/ GIMT_Encode4(2399709), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398395 */ /*GILLT_nxv8s16*//*Label 34422*/ GIMT_Encode4(2399819),
     /* 2398399 */ /*GILLT_nxv8s32*//*Label 34423*/ GIMT_Encode4(2399929),
     /* 2398403 */ /*GILLT_nxv8s64*//*Label 34424*/ GIMT_Encode4(2400039), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398415 */ /*GILLT_nxv16s16*//*Label 34425*/ GIMT_Encode4(2400149),
     /* 2398419 */ /*GILLT_nxv16s32*//*Label 34426*/ GIMT_Encode4(2400259), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398431 */ /*GILLT_nxv32s16*//*Label 34427*/ GIMT_Encode4(2400369),
     /* 2398435 */ // Label 34410: @2398435
     /* 2398435 */ GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2398556),
     /* 2398440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398443 */   GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2398471), // Rule ID 1878 //
     /* 2398448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398459 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398470 */     // GIR_Coverage, 1878,
     /* 2398470 */     GIR_EraseRootFromParent_Done,
     /* 2398471 */   // Label 34430: @2398471
     /* 2398471 */   GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2398499), // Rule ID 1879 //
     /* 2398476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398487 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398498 */     // GIR_Coverage, 1879,
     /* 2398498 */     GIR_EraseRootFromParent_Done,
     /* 2398499 */   // Label 34431: @2398499
     /* 2398499 */   GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2398527), // Rule ID 1911 //
     /* 2398504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398515 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398526 */     // GIR_Coverage, 1911,
     /* 2398526 */     GIR_EraseRootFromParent_Done,
     /* 2398527 */   // Label 34432: @2398527
     /* 2398527 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2398555), // Rule ID 1912 //
     /* 2398532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398543 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398554 */     // GIR_Coverage, 1912,
     /* 2398554 */     GIR_EraseRootFromParent_Done,
     /* 2398555 */   // Label 34433: @2398555
     /* 2398555 */   GIM_Reject,
     /* 2398556 */ // Label 34429: @2398556
     /* 2398556 */ GIM_Reject,
     /* 2398557 */ // Label 34411: @2398557
     /* 2398557 */ GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2398678),
     /* 2398562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398565 */   GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2398593), // Rule ID 1169 //
     /* 2398570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2398573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398581 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398592 */     // GIR_Coverage, 1169,
     /* 2398592 */     GIR_EraseRootFromParent_Done,
     /* 2398593 */   // Label 34435: @2398593
     /* 2398593 */   GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2398621), // Rule ID 1170 //
     /* 2398598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2398601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398609 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398620 */     // GIR_Coverage, 1170,
     /* 2398620 */     GIR_EraseRootFromParent_Done,
     /* 2398621 */   // Label 34436: @2398621
     /* 2398621 */   GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2398649), // Rule ID 1177 //
     /* 2398626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2398629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398637 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398648 */     // GIR_Coverage, 1177,
     /* 2398648 */     GIR_EraseRootFromParent_Done,
     /* 2398649 */   // Label 34437: @2398649
     /* 2398649 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2398677), // Rule ID 1178 //
     /* 2398654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2398657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398665 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398676 */     // GIR_Coverage, 1178,
     /* 2398676 */     GIR_EraseRootFromParent_Done,
     /* 2398677 */   // Label 34438: @2398677
     /* 2398677 */   GIM_Reject,
     /* 2398678 */ // Label 34434: @2398678
     /* 2398678 */ GIM_Reject,
     /* 2398679 */ // Label 34412: @2398679
     /* 2398679 */ GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2398828),
     /* 2398684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398687 */   GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2398715), // Rule ID 1512 //
     /* 2398692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398703 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398714 */     // GIR_Coverage, 1512,
     /* 2398714 */     GIR_EraseRootFromParent_Done,
     /* 2398715 */   // Label 34440: @2398715
     /* 2398715 */   GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2398743), // Rule ID 1513 //
     /* 2398720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398731 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398742 */     // GIR_Coverage, 1513,
     /* 2398742 */     GIR_EraseRootFromParent_Done,
     /* 2398743 */   // Label 34441: @2398743
     /* 2398743 */   GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2398771), // Rule ID 1547 //
     /* 2398748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398759 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2398762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398770 */     // GIR_Coverage, 1547,
     /* 2398770 */     GIR_EraseRootFromParent_Done,
     /* 2398771 */   // Label 34442: @2398771
     /* 2398771 */   GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2398799), // Rule ID 1567 //
     /* 2398776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398787 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398798 */     // GIR_Coverage, 1567,
     /* 2398798 */     GIR_EraseRootFromParent_Done,
     /* 2398799 */   // Label 34443: @2398799
     /* 2398799 */   GIM_Try, /*On fail goto*//*Label 34444*/ GIMT_Encode4(2398827), // Rule ID 1568 //
     /* 2398804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398815 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398826 */     // GIR_Coverage, 1568,
     /* 2398826 */     GIR_EraseRootFromParent_Done,
     /* 2398827 */   // Label 34444: @2398827
     /* 2398827 */   GIM_Reject,
     /* 2398828 */ // Label 34439: @2398828
     /* 2398828 */ GIM_Reject,
     /* 2398829 */ // Label 34413: @2398829
     /* 2398829 */ GIM_Try, /*On fail goto*//*Label 34445*/ GIMT_Encode4(2398938),
     /* 2398834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2398837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398845 */   GIM_Try, /*On fail goto*//*Label 34446*/ GIMT_Encode4(2398891), // Rule ID 56110 //
     /* 2398850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398853 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398890 */     // GIR_Coverage, 56110,
     /* 2398890 */     GIR_EraseRootFromParent_Done,
     /* 2398891 */   // Label 34446: @2398891
     /* 2398891 */   GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2398937), // Rule ID 56111 //
     /* 2398896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398899 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398936 */     // GIR_Coverage, 56111,
     /* 2398936 */     GIR_EraseRootFromParent_Done,
     /* 2398937 */   // Label 34447: @2398937
     /* 2398937 */   GIM_Reject,
     /* 2398938 */ // Label 34445: @2398938
     /* 2398938 */ GIM_Reject,
     /* 2398939 */ // Label 34414: @2398939
     /* 2398939 */ GIM_Try, /*On fail goto*//*Label 34448*/ GIMT_Encode4(2399048),
     /* 2398944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2398947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398955 */   GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2399001), // Rule ID 56150 //
     /* 2398960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398963 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2398980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399000 */     // GIR_Coverage, 56150,
     /* 2399000 */     GIR_EraseRootFromParent_Done,
     /* 2399001 */   // Label 34449: @2399001
     /* 2399001 */   GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2399047), // Rule ID 56151 //
     /* 2399006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399009 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2399012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2399026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399046 */     // GIR_Coverage, 56151,
     /* 2399046 */     GIR_EraseRootFromParent_Done,
     /* 2399047 */   // Label 34450: @2399047
     /* 2399047 */   GIM_Reject,
     /* 2399048 */ // Label 34448: @2399048
     /* 2399048 */ GIM_Reject,
     /* 2399049 */ // Label 34415: @2399049
     /* 2399049 */ GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2399158),
     /* 2399054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2399057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399065 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2399111), // Rule ID 56210 //
     /* 2399070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399073 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2399076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2399090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399110 */     // GIR_Coverage, 56210,
     /* 2399110 */     GIR_EraseRootFromParent_Done,
     /* 2399111 */   // Label 34452: @2399111
     /* 2399111 */   GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2399157), // Rule ID 56211 //
     /* 2399116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399119 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2399122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2399136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399156 */     // GIR_Coverage, 56211,
     /* 2399156 */     GIR_EraseRootFromParent_Done,
     /* 2399157 */   // Label 34453: @2399157
     /* 2399157 */   GIM_Reject,
     /* 2399158 */ // Label 34451: @2399158
     /* 2399158 */ GIM_Reject,
     /* 2399159 */ // Label 34416: @2399159
     /* 2399159 */ GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2399268),
     /* 2399164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2399167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399175 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2399221), // Rule ID 56130 //
     /* 2399180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399183 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2399186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2399200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399220 */     // GIR_Coverage, 56130,
     /* 2399220 */     GIR_EraseRootFromParent_Done,
     /* 2399221 */   // Label 34455: @2399221
     /* 2399221 */   GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2399267), // Rule ID 56131 //
     /* 2399226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399229 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2399232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2399246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399266 */     // GIR_Coverage, 56131,
     /* 2399266 */     GIR_EraseRootFromParent_Done,
     /* 2399267 */   // Label 34456: @2399267
     /* 2399267 */   GIM_Reject,
     /* 2399268 */ // Label 34454: @2399268
     /* 2399268 */ GIM_Reject,
     /* 2399269 */ // Label 34417: @2399269
     /* 2399269 */ GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2399378),
     /* 2399274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2399277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399285 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2399331), // Rule ID 56190 //
     /* 2399290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399293 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2399296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2399310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399330 */     // GIR_Coverage, 56190,
     /* 2399330 */     GIR_EraseRootFromParent_Done,
     /* 2399331 */   // Label 34458: @2399331
     /* 2399331 */   GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2399377), // Rule ID 56191 //
     /* 2399336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399339 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2399342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2399356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399376 */     // GIR_Coverage, 56191,
     /* 2399376 */     GIR_EraseRootFromParent_Done,
     /* 2399377 */   // Label 34459: @2399377
     /* 2399377 */   GIM_Reject,
     /* 2399378 */ // Label 34457: @2399378
     /* 2399378 */ GIM_Reject,
     /* 2399379 */ // Label 34418: @2399379
     /* 2399379 */ GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2399488),
     /* 2399384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399395 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2399441), // Rule ID 56350 //
     /* 2399400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399403 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2399420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399440 */     // GIR_Coverage, 56350,
     /* 2399440 */     GIR_EraseRootFromParent_Done,
     /* 2399441 */   // Label 34461: @2399441
     /* 2399441 */   GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2399487), // Rule ID 56351 //
     /* 2399446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399449 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2399466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399486 */     // GIR_Coverage, 56351,
     /* 2399486 */     GIR_EraseRootFromParent_Done,
     /* 2399487 */   // Label 34462: @2399487
     /* 2399487 */   GIM_Reject,
     /* 2399488 */ // Label 34460: @2399488
     /* 2399488 */ GIM_Reject,
     /* 2399489 */ // Label 34419: @2399489
     /* 2399489 */ GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2399598),
     /* 2399494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399505 */   GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2399551), // Rule ID 56170 //
     /* 2399510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399513 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399550 */     // GIR_Coverage, 56170,
     /* 2399550 */     GIR_EraseRootFromParent_Done,
     /* 2399551 */   // Label 34464: @2399551
     /* 2399551 */   GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2399597), // Rule ID 56171 //
     /* 2399556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399559 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399596 */     // GIR_Coverage, 56171,
     /* 2399596 */     GIR_EraseRootFromParent_Done,
     /* 2399597 */   // Label 34465: @2399597
     /* 2399597 */   GIM_Reject,
     /* 2399598 */ // Label 34463: @2399598
     /* 2399598 */ GIM_Reject,
     /* 2399599 */ // Label 34420: @2399599
     /* 2399599 */ GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2399708),
     /* 2399604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2399607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399615 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2399661), // Rule ID 56290 //
     /* 2399620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399623 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399660 */     // GIR_Coverage, 56290,
     /* 2399660 */     GIR_EraseRootFromParent_Done,
     /* 2399661 */   // Label 34467: @2399661
     /* 2399661 */   GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2399707), // Rule ID 56291 //
     /* 2399666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399669 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399706 */     // GIR_Coverage, 56291,
     /* 2399706 */     GIR_EraseRootFromParent_Done,
     /* 2399707 */   // Label 34468: @2399707
     /* 2399707 */   GIM_Reject,
     /* 2399708 */ // Label 34466: @2399708
     /* 2399708 */ GIM_Reject,
     /* 2399709 */ // Label 34421: @2399709
     /* 2399709 */ GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2399818),
     /* 2399714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2399717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399725 */   GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2399771), // Rule ID 56370 //
     /* 2399730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399733 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399770 */     // GIR_Coverage, 56370,
     /* 2399770 */     GIR_EraseRootFromParent_Done,
     /* 2399771 */   // Label 34470: @2399771
     /* 2399771 */   GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2399817), // Rule ID 56371 //
     /* 2399776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399779 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399816 */     // GIR_Coverage, 56371,
     /* 2399816 */     GIR_EraseRootFromParent_Done,
     /* 2399817 */   // Label 34471: @2399817
     /* 2399817 */   GIM_Reject,
     /* 2399818 */ // Label 34469: @2399818
     /* 2399818 */ GIM_Reject,
     /* 2399819 */ // Label 34422: @2399819
     /* 2399819 */ GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2399928),
     /* 2399824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2399827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399835 */   GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2399881), // Rule ID 56230 //
     /* 2399840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399843 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399880 */     // GIR_Coverage, 56230,
     /* 2399880 */     GIR_EraseRootFromParent_Done,
     /* 2399881 */   // Label 34473: @2399881
     /* 2399881 */   GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2399927), // Rule ID 56231 //
     /* 2399886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399889 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399926 */     // GIR_Coverage, 56231,
     /* 2399926 */     GIR_EraseRootFromParent_Done,
     /* 2399927 */   // Label 34474: @2399927
     /* 2399927 */   GIM_Reject,
     /* 2399928 */ // Label 34472: @2399928
     /* 2399928 */ GIM_Reject,
     /* 2399929 */ // Label 34423: @2399929
     /* 2399929 */ GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2400038),
     /* 2399934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2399937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399945 */   GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2399991), // Rule ID 56310 //
     /* 2399950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399953 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2399970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399990 */     // GIR_Coverage, 56310,
     /* 2399990 */     GIR_EraseRootFromParent_Done,
     /* 2399991 */   // Label 34476: @2399991
     /* 2399991 */   GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2400037), // Rule ID 56311 //
     /* 2399996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399999 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2400002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2400016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400036 */     // GIR_Coverage, 56311,
     /* 2400036 */     GIR_EraseRootFromParent_Done,
     /* 2400037 */   // Label 34477: @2400037
     /* 2400037 */   GIM_Reject,
     /* 2400038 */ // Label 34475: @2400038
     /* 2400038 */ GIM_Reject,
     /* 2400039 */ // Label 34424: @2400039
     /* 2400039 */ GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2400148),
     /* 2400044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2400047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400055 */   GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2400101), // Rule ID 56390 //
     /* 2400060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2400063 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2400066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2400080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400100 */     // GIR_Coverage, 56390,
     /* 2400100 */     GIR_EraseRootFromParent_Done,
     /* 2400101 */   // Label 34479: @2400101
     /* 2400101 */   GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2400147), // Rule ID 56391 //
     /* 2400106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2400109 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2400112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2400126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400146 */     // GIR_Coverage, 56391,
     /* 2400146 */     GIR_EraseRootFromParent_Done,
     /* 2400147 */   // Label 34480: @2400147
     /* 2400147 */   GIM_Reject,
     /* 2400148 */ // Label 34478: @2400148
     /* 2400148 */ GIM_Reject,
     /* 2400149 */ // Label 34425: @2400149
     /* 2400149 */ GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2400258),
     /* 2400154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2400157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400165 */   GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2400211), // Rule ID 56250 //
     /* 2400170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400173 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2400176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2400190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400210 */     // GIR_Coverage, 56250,
     /* 2400210 */     GIR_EraseRootFromParent_Done,
     /* 2400211 */   // Label 34482: @2400211
     /* 2400211 */   GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2400257), // Rule ID 56251 //
     /* 2400216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400219 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2400222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2400236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400256 */     // GIR_Coverage, 56251,
     /* 2400256 */     GIR_EraseRootFromParent_Done,
     /* 2400257 */   // Label 34483: @2400257
     /* 2400257 */   GIM_Reject,
     /* 2400258 */ // Label 34481: @2400258
     /* 2400258 */ GIM_Reject,
     /* 2400259 */ // Label 34426: @2400259
     /* 2400259 */ GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2400368),
     /* 2400264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2400267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400275 */   GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2400321), // Rule ID 56330 //
     /* 2400280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400283 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2400286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2400300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400320 */     // GIR_Coverage, 56330,
     /* 2400320 */     GIR_EraseRootFromParent_Done,
     /* 2400321 */   // Label 34485: @2400321
     /* 2400321 */   GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2400367), // Rule ID 56331 //
     /* 2400326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400329 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2400332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2400346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400366 */     // GIR_Coverage, 56331,
     /* 2400366 */     GIR_EraseRootFromParent_Done,
     /* 2400367 */   // Label 34486: @2400367
     /* 2400367 */   GIM_Reject,
     /* 2400368 */ // Label 34484: @2400368
     /* 2400368 */ GIM_Reject,
     /* 2400369 */ // Label 34427: @2400369
     /* 2400369 */ GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2400478),
     /* 2400374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2400377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400385 */   GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2400431), // Rule ID 56270 //
     /* 2400390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400393 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2400410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400430 */     // GIR_Coverage, 56270,
     /* 2400430 */     GIR_EraseRootFromParent_Done,
     /* 2400431 */   // Label 34488: @2400431
     /* 2400431 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2400477), // Rule ID 56271 //
     /* 2400436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400439 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2400456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400476 */     // GIR_Coverage, 56271,
     /* 2400476 */     GIR_EraseRootFromParent_Done,
     /* 2400477 */   // Label 34489: @2400477
     /* 2400477 */   GIM_Reject,
     /* 2400478 */ // Label 34487: @2400478
     /* 2400478 */ GIM_Reject,
     /* 2400479 */ // Label 34428: @2400479
     /* 2400479 */ GIM_Reject,
     /* 2400480 */ // Label 102: @2400480
     /* 2400480 */ GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2400492), // Rule ID 283 //
     /* 2400485 */   // (trap)  =>  (UNIMP)
     /* 2400485 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2400490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400491 */   // GIR_Coverage, 283,
     /* 2400491 */   GIR_Done,
     /* 2400492 */ // Label 34490: @2400492
     /* 2400492 */ GIM_Reject,
     /* 2400493 */ // Label 103: @2400493
     /* 2400493 */ GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2400505), // Rule ID 284 //
     /* 2400498 */   // (debugtrap)  =>  (EBREAK)
     /* 2400498 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2400503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400504 */   // GIR_Coverage, 284,
     /* 2400504 */   GIR_Done,
     /* 2400505 */ // Label 34491: @2400505
     /* 2400505 */ GIM_Reject,
     /* 2400506 */ // Label 104: @2400506
     /* 2400506 */ GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2400600),
     /* 2400511 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400521 */   GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2400540), // Rule ID 2410 //
     /* 2400526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400533 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2400538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400539 */     // GIR_Coverage, 2410,
     /* 2400539 */     GIR_Done,
     /* 2400540 */   // Label 34493: @2400540
     /* 2400540 */   GIM_Try, /*On fail goto*//*Label 34494*/ GIMT_Encode4(2400599), // Rule ID 62484 //
     /* 2400545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2400548 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2400548 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2400551 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2400555 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400560 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2400564 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2400567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2400569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2400572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2400576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400581 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2400584 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2400587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2400592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400598 */     // GIR_Coverage, 62484,
     /* 2400598 */     GIR_EraseRootFromParent_Done,
     /* 2400599 */   // Label 34494: @2400599
     /* 2400599 */   GIM_Reject,
     /* 2400600 */ // Label 34492: @2400600
     /* 2400600 */ GIM_Reject,
     /* 2400601 */ // Label 105: @2400601
     /* 2400601 */ GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2400630), // Rule ID 2411 //
     /* 2400606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400609 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400623 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400623 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2400628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400629 */   // GIR_Coverage, 2411,
     /* 2400629 */   GIR_Done,
     /* 2400630 */ // Label 34495: @2400630
     /* 2400630 */ GIM_Reject,
     /* 2400631 */ // Label 106: @2400631
     /* 2400631 */ GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2400667), // Rule ID 307 //
     /* 2400636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400639 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400660 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400660 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2400665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400666 */   // GIR_Coverage, 307,
     /* 2400666 */   GIR_Done,
     /* 2400667 */ // Label 34496: @2400667
     /* 2400667 */ GIM_Reject,
     /* 2400668 */ // Label 107: @2400668
     /* 2400668 */ GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2400704), // Rule ID 306 //
     /* 2400673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400676 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400697 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400697 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2400702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400703 */   // GIR_Coverage, 306,
     /* 2400703 */   GIR_Done,
     /* 2400704 */ // Label 34497: @2400704
     /* 2400704 */ GIM_Reject,
     /* 2400705 */ // Label 108: @2400705
     /* 2400705 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34500*/ GIMT_Encode4(2401064),
     /* 2400716 */ /*GILLT_s32*//*Label 34498*/ GIMT_Encode4(2400724),
     /* 2400720 */ /*GILLT_s64*//*Label 34499*/ GIMT_Encode4(2400881),
     /* 2400724 */ // Label 34498: @2400724
     /* 2400724 */ GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2400750), // Rule ID 1176 //
     /* 2400729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400743 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400743 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400749 */   // GIR_Coverage, 1176,
     /* 2400749 */   GIR_Done,
     /* 2400750 */ // Label 34501: @2400750
     /* 2400750 */ GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2400776), // Rule ID 1184 //
     /* 2400755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400769 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400769 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400775 */   // GIR_Coverage, 1184,
     /* 2400775 */   GIR_Done,
     /* 2400776 */ // Label 34502: @2400776
     /* 2400776 */ GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2400802), // Rule ID 1519 //
     /* 2400781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2400784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400795 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400795 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400801 */   // GIR_Coverage, 1519,
     /* 2400801 */   GIR_Done,
     /* 2400802 */ // Label 34503: @2400802
     /* 2400802 */ GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2400828), // Rule ID 1574 //
     /* 2400807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2400810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400821 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400821 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2400826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400827 */   // GIR_Coverage, 1574,
     /* 2400827 */   GIR_Done,
     /* 2400828 */ // Label 34504: @2400828
     /* 2400828 */ GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2400854), // Rule ID 1885 //
     /* 2400833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2400836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400847 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400847 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2400852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400853 */   // GIR_Coverage, 1885,
     /* 2400853 */   GIR_Done,
     /* 2400854 */ // Label 34505: @2400854
     /* 2400854 */ GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2400880), // Rule ID 1918 //
     /* 2400859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2400862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400873 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400873 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2400878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400879 */   // GIR_Coverage, 1918,
     /* 2400879 */   GIR_Done,
     /* 2400880 */ // Label 34506: @2400880
     /* 2400880 */ GIM_Reject,
     /* 2400881 */ // Label 34499: @2400881
     /* 2400881 */ GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2400907), // Rule ID 1175 //
     /* 2400886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400900 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400906 */   // GIR_Coverage, 1175,
     /* 2400906 */   GIR_Done,
     /* 2400907 */ // Label 34507: @2400907
     /* 2400907 */ GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2400933), // Rule ID 1183 //
     /* 2400912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400926 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400926 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400932 */   // GIR_Coverage, 1183,
     /* 2400932 */   GIR_Done,
     /* 2400933 */ // Label 34508: @2400933
     /* 2400933 */ GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2400959), // Rule ID 1518 //
     /* 2400938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2400941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400952 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400952 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400958 */   // GIR_Coverage, 1518,
     /* 2400958 */   GIR_Done,
     /* 2400959 */ // Label 34509: @2400959
     /* 2400959 */ GIM_Try, /*On fail goto*//*Label 34510*/ GIMT_Encode4(2400985), // Rule ID 1551 //
     /* 2400964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2400967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400978 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400978 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2400983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400984 */   // GIR_Coverage, 1551,
     /* 2400984 */   GIR_Done,
     /* 2400985 */ // Label 34510: @2400985
     /* 2400985 */ GIM_Try, /*On fail goto*//*Label 34511*/ GIMT_Encode4(2401011), // Rule ID 1573 //
     /* 2400990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2400993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401004 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2401004 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2401009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401010 */   // GIR_Coverage, 1573,
     /* 2401010 */   GIR_Done,
     /* 2401011 */ // Label 34511: @2401011
     /* 2401011 */ GIM_Try, /*On fail goto*//*Label 34512*/ GIMT_Encode4(2401037), // Rule ID 1884 //
     /* 2401016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2401019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2401022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2401030 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2401030 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2401035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401036 */   // GIR_Coverage, 1884,
     /* 2401036 */   GIR_Done,
     /* 2401037 */ // Label 34512: @2401037
     /* 2401037 */ GIM_Try, /*On fail goto*//*Label 34513*/ GIMT_Encode4(2401063), // Rule ID 1917 //
     /* 2401042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2401045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2401048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2401056 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2401056 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2401061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401062 */   // GIR_Coverage, 1917,
     /* 2401062 */   GIR_Done,
     /* 2401063 */ // Label 34513: @2401063
     /* 2401063 */ GIM_Reject,
     /* 2401064 */ // Label 34500: @2401064
     /* 2401064 */ GIM_Reject,
     /* 2401065 */ // Label 109: @2401065
     /* 2401065 */ GIM_Try, /*On fail goto*//*Label 34514*/ GIMT_Encode4(2401262),
     /* 2401070 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401073 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34518*/ GIMT_Encode4(2401261),
     /* 2401084 */   /*GILLT_s16*//*Label 34515*/ GIMT_Encode4(2401096),
     /* 2401088 */   /*GILLT_s32*//*Label 34516*/ GIMT_Encode4(2401151),
     /* 2401092 */   /*GILLT_s64*//*Label 34517*/ GIMT_Encode4(2401206),
     /* 2401096 */   // Label 34515: @2401096
     /* 2401096 */   GIM_Try, /*On fail goto*//*Label 34519*/ GIMT_Encode4(2401150),
     /* 2401101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401105 */     GIM_Try, /*On fail goto*//*Label 34520*/ GIMT_Encode4(2401127), // Rule ID 2135 //
     /* 2401110 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2401113 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2401117 */       // MIs[0] frm
     /* 2401117 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401120 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401120 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2401125 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401126 */       // GIR_Coverage, 2135,
     /* 2401126 */       GIR_Done,
     /* 2401127 */     // Label 34520: @2401127
     /* 2401127 */     GIM_Try, /*On fail goto*//*Label 34521*/ GIMT_Encode4(2401149), // Rule ID 2161 //
     /* 2401132 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2401135 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2401139 */       // MIs[0] frm
     /* 2401139 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401142 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401142 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2401147 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401148 */       // GIR_Coverage, 2161,
     /* 2401148 */       GIR_Done,
     /* 2401149 */     // Label 34521: @2401149
     /* 2401149 */     GIM_Reject,
     /* 2401150 */   // Label 34519: @2401150
     /* 2401150 */   GIM_Reject,
     /* 2401151 */   // Label 34516: @2401151
     /* 2401151 */   GIM_Try, /*On fail goto*//*Label 34522*/ GIMT_Encode4(2401205),
     /* 2401156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401160 */     GIM_Try, /*On fail goto*//*Label 34523*/ GIMT_Encode4(2401182), // Rule ID 1401 //
     /* 2401165 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2401168 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2401172 */       // MIs[0] frm
     /* 2401172 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401175 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401175 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2401180 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401181 */       // GIR_Coverage, 1401,
     /* 2401181 */       GIR_Done,
     /* 2401182 */     // Label 34523: @2401182
     /* 2401182 */     GIM_Try, /*On fail goto*//*Label 34524*/ GIMT_Encode4(2401204), // Rule ID 1429 //
     /* 2401187 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2401190 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2401194 */       // MIs[0] frm
     /* 2401194 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401197 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401197 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2401202 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401203 */       // GIR_Coverage, 1429,
     /* 2401203 */       GIR_Done,
     /* 2401204 */     // Label 34524: @2401204
     /* 2401204 */     GIM_Reject,
     /* 2401205 */   // Label 34522: @2401205
     /* 2401205 */   GIM_Reject,
     /* 2401206 */   // Label 34517: @2401206
     /* 2401206 */   GIM_Try, /*On fail goto*//*Label 34525*/ GIMT_Encode4(2401260),
     /* 2401211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401215 */     GIM_Try, /*On fail goto*//*Label 34526*/ GIMT_Encode4(2401237), // Rule ID 1795 //
     /* 2401220 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2401223 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401227 */       // MIs[0] frm
     /* 2401227 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401230 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401230 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2401235 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401236 */       // GIR_Coverage, 1795,
     /* 2401236 */       GIR_Done,
     /* 2401237 */     // Label 34526: @2401237
     /* 2401237 */     GIM_Try, /*On fail goto*//*Label 34527*/ GIMT_Encode4(2401259), // Rule ID 1823 //
     /* 2401242 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401245 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401249 */       // MIs[0] frm
     /* 2401249 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401252 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401252 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2401257 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401258 */       // GIR_Coverage, 1823,
     /* 2401258 */       GIR_Done,
     /* 2401259 */     // Label 34527: @2401259
     /* 2401259 */     GIM_Reject,
     /* 2401260 */   // Label 34525: @2401260
     /* 2401260 */   GIM_Reject,
     /* 2401261 */   // Label 34518: @2401261
     /* 2401261 */   GIM_Reject,
     /* 2401262 */ // Label 34514: @2401262
     /* 2401262 */ GIM_Reject,
     /* 2401263 */ // Label 110: @2401263
     /* 2401263 */ GIM_Try, /*On fail goto*//*Label 34528*/ GIMT_Encode4(2401460),
     /* 2401268 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401271 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34532*/ GIMT_Encode4(2401459),
     /* 2401282 */   /*GILLT_s16*//*Label 34529*/ GIMT_Encode4(2401294),
     /* 2401286 */   /*GILLT_s32*//*Label 34530*/ GIMT_Encode4(2401349),
     /* 2401290 */   /*GILLT_s64*//*Label 34531*/ GIMT_Encode4(2401404),
     /* 2401294 */   // Label 34529: @2401294
     /* 2401294 */   GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2401348),
     /* 2401299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401303 */     GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2401325), // Rule ID 2133 //
     /* 2401308 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2401311 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2401315 */       // MIs[0] frm
     /* 2401315 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401318 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401318 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2401323 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401324 */       // GIR_Coverage, 2133,
     /* 2401324 */       GIR_Done,
     /* 2401325 */     // Label 34534: @2401325
     /* 2401325 */     GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2401347), // Rule ID 2159 //
     /* 2401330 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2401333 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2401337 */       // MIs[0] frm
     /* 2401337 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401340 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401340 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2401345 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401346 */       // GIR_Coverage, 2159,
     /* 2401346 */       GIR_Done,
     /* 2401347 */     // Label 34535: @2401347
     /* 2401347 */     GIM_Reject,
     /* 2401348 */   // Label 34533: @2401348
     /* 2401348 */   GIM_Reject,
     /* 2401349 */   // Label 34530: @2401349
     /* 2401349 */   GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2401403),
     /* 2401354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401358 */     GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2401380), // Rule ID 1399 //
     /* 2401363 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2401366 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2401370 */       // MIs[0] frm
     /* 2401370 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401373 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401373 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2401378 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401379 */       // GIR_Coverage, 1399,
     /* 2401379 */       GIR_Done,
     /* 2401380 */     // Label 34537: @2401380
     /* 2401380 */     GIM_Try, /*On fail goto*//*Label 34538*/ GIMT_Encode4(2401402), // Rule ID 1427 //
     /* 2401385 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2401388 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2401392 */       // MIs[0] frm
     /* 2401392 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401395 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401395 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2401400 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401401 */       // GIR_Coverage, 1427,
     /* 2401401 */       GIR_Done,
     /* 2401402 */     // Label 34538: @2401402
     /* 2401402 */     GIM_Reject,
     /* 2401403 */   // Label 34536: @2401403
     /* 2401403 */   GIM_Reject,
     /* 2401404 */   // Label 34531: @2401404
     /* 2401404 */   GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2401458),
     /* 2401409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401413 */     GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2401435), // Rule ID 1793 //
     /* 2401418 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2401421 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401425 */       // MIs[0] frm
     /* 2401425 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401428 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401428 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2401433 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401434 */       // GIR_Coverage, 1793,
     /* 2401434 */       GIR_Done,
     /* 2401435 */     // Label 34540: @2401435
     /* 2401435 */     GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2401457), // Rule ID 1821 //
     /* 2401440 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401443 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401447 */       // MIs[0] frm
     /* 2401447 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401450 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401450 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2401455 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401456 */       // GIR_Coverage, 1821,
     /* 2401456 */       GIR_Done,
     /* 2401457 */     // Label 34541: @2401457
     /* 2401457 */     GIM_Reject,
     /* 2401458 */   // Label 34539: @2401458
     /* 2401458 */   GIM_Reject,
     /* 2401459 */   // Label 34532: @2401459
     /* 2401459 */   GIM_Reject,
     /* 2401460 */ // Label 34528: @2401460
     /* 2401460 */ GIM_Reject,
     /* 2401461 */ // Label 111: @2401461
     /* 2401461 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34544*/ GIMT_Encode4(2401520),
     /* 2401472 */ /*GILLT_s32*//*Label 34542*/ GIMT_Encode4(2401480),
     /* 2401476 */ /*GILLT_s64*//*Label 34543*/ GIMT_Encode4(2401500),
     /* 2401480 */ // Label 34542: @2401480
     /* 2401480 */ GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2401499), // Rule ID 67 //
     /* 2401485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401492 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2401492 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401498 */   // GIR_Coverage, 67,
     /* 2401498 */   GIR_Done,
     /* 2401499 */ // Label 34545: @2401499
     /* 2401499 */ GIM_Reject,
     /* 2401500 */ // Label 34543: @2401500
     /* 2401500 */ GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2401519), // Rule ID 66 //
     /* 2401505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401512 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2401512 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401518 */   // GIR_Coverage, 66,
     /* 2401518 */   GIR_Done,
     /* 2401519 */ // Label 34546: @2401519
     /* 2401519 */ GIM_Reject,
     /* 2401520 */ // Label 34544: @2401520
     /* 2401520 */ GIM_Reject,
     /* 2401521 */ // Label 112: @2401521
     /* 2401521 */ GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2401557), // Rule ID 308 //
     /* 2401526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2401529 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401550 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401550 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2401555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401556 */   // GIR_Coverage, 308,
     /* 2401556 */   GIR_Done,
     /* 2401557 */ // Label 34547: @2401557
     /* 2401557 */ GIM_Reject,
     /* 2401558 */ // Label 113: @2401558
     /* 2401558 */ GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2401682),
     /* 2401563 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401580 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2401616), // Rule ID 2359 //
     /* 2401585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401600 */     // MIs[1] Operand 1
     /* 2401600 */     // No operand predicates
     /* 2401600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401602 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401609 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401615 */     // GIR_Coverage, 2359,
     /* 2401615 */     GIR_EraseRootFromParent_Done,
     /* 2401616 */   // Label 34549: @2401616
     /* 2401616 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2401652), // Rule ID 62481 //
     /* 2401621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401636 */     // MIs[1] Operand 1
     /* 2401636 */     // No operand predicates
     /* 2401636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401638 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401645 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401651 */     // GIR_Coverage, 62481,
     /* 2401651 */     GIR_EraseRootFromParent_Done,
     /* 2401652 */   // Label 34550: @2401652
     /* 2401652 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2401681), // Rule ID 2356 //
     /* 2401657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401667 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2401670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401680 */     // GIR_Coverage, 2356,
     /* 2401680 */     GIR_EraseRootFromParent_Done,
     /* 2401681 */   // Label 34551: @2401681
     /* 2401681 */   GIM_Reject,
     /* 2401682 */ // Label 34548: @2401682
     /* 2401682 */ GIM_Reject,
     /* 2401683 */ // Label 114: @2401683
     /* 2401683 */ GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2401803),
     /* 2401688 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401705 */   GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2401739), // Rule ID 2358 //
     /* 2401710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401725 */     // MIs[1] Operand 1
     /* 2401725 */     // No operand predicates
     /* 2401725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401727 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401738 */     // GIR_Coverage, 2358,
     /* 2401738 */     GIR_EraseRootFromParent_Done,
     /* 2401739 */   // Label 34553: @2401739
     /* 2401739 */   GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2401773), // Rule ID 62480 //
     /* 2401744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401759 */     // MIs[1] Operand 1
     /* 2401759 */     // No operand predicates
     /* 2401759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401761 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401772 */     // GIR_Coverage, 62480,
     /* 2401772 */     GIR_EraseRootFromParent_Done,
     /* 2401773 */   // Label 34554: @2401773
     /* 2401773 */   GIM_Try, /*On fail goto*//*Label 34555*/ GIMT_Encode4(2401802), // Rule ID 2357 //
     /* 2401778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401788 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2401791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401801 */     // GIR_Coverage, 2357,
     /* 2401801 */     GIR_EraseRootFromParent_Done,
     /* 2401802 */   // Label 34555: @2401802
     /* 2401802 */   GIM_Reject,
     /* 2401803 */ // Label 34552: @2401803
     /* 2401803 */ GIM_Reject,
     /* 2401804 */ // Label 115: @2401804
     /* 2401804 */ GIM_Try, /*On fail goto*//*Label 34556*/ GIMT_Encode4(2401850), // Rule ID 261 //
     /* 2401809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401812 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401829 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401836 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2401839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401849 */   // GIR_Coverage, 261,
     /* 2401849 */   GIR_EraseRootFromParent_Done,
     /* 2401850 */ // Label 34556: @2401850
     /* 2401850 */ GIM_Reject,
     /* 2401851 */ // Label 116: @2401851
     /* 2401851 */ GIM_Try, /*On fail goto*//*Label 34557*/ GIMT_Encode4(2401897), // Rule ID 263 //
     /* 2401856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401859 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401876 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401883 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2401886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401888 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401890 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401896 */   // GIR_Coverage, 263,
     /* 2401896 */   GIR_EraseRootFromParent_Done,
     /* 2401897 */ // Label 34557: @2401897
     /* 2401897 */ GIM_Reject,
     /* 2401898 */ // Label 117: @2401898
     /* 2401898 */ GIM_Try, /*On fail goto*//*Label 34558*/ GIMT_Encode4(2401944), // Rule ID 262 //
     /* 2401903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401906 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401923 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401930 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2401933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401935 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401937 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401943 */   // GIR_Coverage, 262,
     /* 2401943 */   GIR_EraseRootFromParent_Done,
     /* 2401944 */ // Label 34558: @2401944
     /* 2401944 */ GIM_Reject,
     /* 2401945 */ // Label 118: @2401945
     /* 2401945 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34566*/ GIMT_Encode4(2402593),
     /* 2401956 */ /*GILLT_nxv1s1*//*Label 34559*/ GIMT_Encode4(2402068), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401976 */ /*GILLT_nxv2s1*//*Label 34560*/ GIMT_Encode4(2402143), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401996 */ /*GILLT_nxv4s1*//*Label 34561*/ GIMT_Encode4(2402218), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402016 */ /*GILLT_nxv8s1*//*Label 34562*/ GIMT_Encode4(2402293), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402036 */ /*GILLT_nxv16s1*//*Label 34563*/ GIMT_Encode4(2402368), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402052 */ /*GILLT_nxv32s1*//*Label 34564*/ GIMT_Encode4(2402443), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402064 */ /*GILLT_nxv64s1*//*Label 34565*/ GIMT_Encode4(2402518),
     /* 2402068 */ // Label 34559: @2402068
     /* 2402068 */ GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2402105), // Rule ID 44592 //
     /* 2402073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402083 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402090 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2402093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402104 */   // GIR_Coverage, 44592,
     /* 2402104 */   GIR_EraseRootFromParent_Done,
     /* 2402105 */ // Label 34567: @2402105
     /* 2402105 */ GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2402142), // Rule ID 44593 //
     /* 2402110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402120 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402127 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2402130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402132 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402141 */   // GIR_Coverage, 44593,
     /* 2402141 */   GIR_EraseRootFromParent_Done,
     /* 2402142 */ // Label 34568: @2402142
     /* 2402142 */ GIM_Reject,
     /* 2402143 */ // Label 34560: @2402143
     /* 2402143 */ GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2402180), // Rule ID 44620 //
     /* 2402148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402158 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402165 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2402168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402179 */   // GIR_Coverage, 44620,
     /* 2402179 */   GIR_EraseRootFromParent_Done,
     /* 2402180 */ // Label 34569: @2402180
     /* 2402180 */ GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2402217), // Rule ID 44621 //
     /* 2402185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402195 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402202 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2402205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402216 */   // GIR_Coverage, 44621,
     /* 2402216 */   GIR_EraseRootFromParent_Done,
     /* 2402217 */ // Label 34570: @2402217
     /* 2402217 */ GIM_Reject,
     /* 2402218 */ // Label 34561: @2402218
     /* 2402218 */ GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2402255), // Rule ID 44648 //
     /* 2402223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402233 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402240 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2402243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402245 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402254 */   // GIR_Coverage, 44648,
     /* 2402254 */   GIR_EraseRootFromParent_Done,
     /* 2402255 */ // Label 34571: @2402255
     /* 2402255 */ GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2402292), // Rule ID 44649 //
     /* 2402260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402270 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402277 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2402280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402291 */   // GIR_Coverage, 44649,
     /* 2402291 */   GIR_EraseRootFromParent_Done,
     /* 2402292 */ // Label 34572: @2402292
     /* 2402292 */ GIM_Reject,
     /* 2402293 */ // Label 34562: @2402293
     /* 2402293 */ GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2402330), // Rule ID 44676 //
     /* 2402298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402308 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402315 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2402318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402329 */   // GIR_Coverage, 44676,
     /* 2402329 */   GIR_EraseRootFromParent_Done,
     /* 2402330 */ // Label 34573: @2402330
     /* 2402330 */ GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2402367), // Rule ID 44677 //
     /* 2402335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402345 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402352 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2402355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402366 */   // GIR_Coverage, 44677,
     /* 2402366 */   GIR_EraseRootFromParent_Done,
     /* 2402367 */ // Label 34574: @2402367
     /* 2402367 */ GIM_Reject,
     /* 2402368 */ // Label 34563: @2402368
     /* 2402368 */ GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2402405), // Rule ID 44704 //
     /* 2402373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402383 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402390 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2402393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402404 */   // GIR_Coverage, 44704,
     /* 2402404 */   GIR_EraseRootFromParent_Done,
     /* 2402405 */ // Label 34575: @2402405
     /* 2402405 */ GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2402442), // Rule ID 44705 //
     /* 2402410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402420 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402427 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2402430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402432 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402441 */   // GIR_Coverage, 44705,
     /* 2402441 */   GIR_EraseRootFromParent_Done,
     /* 2402442 */ // Label 34576: @2402442
     /* 2402442 */ GIM_Reject,
     /* 2402443 */ // Label 34564: @2402443
     /* 2402443 */ GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2402480), // Rule ID 44732 //
     /* 2402448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402458 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402465 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402470 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402479 */   // GIR_Coverage, 44732,
     /* 2402479 */   GIR_EraseRootFromParent_Done,
     /* 2402480 */ // Label 34577: @2402480
     /* 2402480 */ GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2402517), // Rule ID 44733 //
     /* 2402485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402495 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402502 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402507 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402516 */   // GIR_Coverage, 44733,
     /* 2402516 */   GIR_EraseRootFromParent_Done,
     /* 2402517 */ // Label 34578: @2402517
     /* 2402517 */ GIM_Reject,
     /* 2402518 */ // Label 34565: @2402518
     /* 2402518 */ GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2402555), // Rule ID 44760 //
     /* 2402523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402533 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402540 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402554 */   // GIR_Coverage, 44760,
     /* 2402554 */   GIR_EraseRootFromParent_Done,
     /* 2402555 */ // Label 34579: @2402555
     /* 2402555 */ GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2402592), // Rule ID 44761 //
     /* 2402560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402570 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402577 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402591 */   // GIR_Coverage, 44761,
     /* 2402591 */   GIR_EraseRootFromParent_Done,
     /* 2402592 */ // Label 34580: @2402592
     /* 2402592 */ GIM_Reject,
     /* 2402593 */ // Label 34566: @2402593
     /* 2402593 */ GIM_Reject,
     /* 2402594 */ // Label 119: @2402594
     /* 2402594 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34588*/ GIMT_Encode4(2403242),
     /* 2402605 */ /*GILLT_nxv1s1*//*Label 34581*/ GIMT_Encode4(2402717), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402625 */ /*GILLT_nxv2s1*//*Label 34582*/ GIMT_Encode4(2402792), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402645 */ /*GILLT_nxv4s1*//*Label 34583*/ GIMT_Encode4(2402867), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402665 */ /*GILLT_nxv8s1*//*Label 34584*/ GIMT_Encode4(2402942), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402685 */ /*GILLT_nxv16s1*//*Label 34585*/ GIMT_Encode4(2403017), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402701 */ /*GILLT_nxv32s1*//*Label 34586*/ GIMT_Encode4(2403092), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402713 */ /*GILLT_nxv64s1*//*Label 34587*/ GIMT_Encode4(2403167),
     /* 2402717 */ // Label 34581: @2402717
     /* 2402717 */ GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2402754), // Rule ID 44590 //
     /* 2402722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402739 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402753 */   // GIR_Coverage, 44590,
     /* 2402753 */   GIR_EraseRootFromParent_Done,
     /* 2402754 */ // Label 34589: @2402754
     /* 2402754 */ GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2402791), // Rule ID 44591 //
     /* 2402759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402769 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402776 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402781 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402790 */   // GIR_Coverage, 44591,
     /* 2402790 */   GIR_EraseRootFromParent_Done,
     /* 2402791 */ // Label 34590: @2402791
     /* 2402791 */ GIM_Reject,
     /* 2402792 */ // Label 34582: @2402792
     /* 2402792 */ GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2402829), // Rule ID 44618 //
     /* 2402797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402807 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402814 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402819 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402828 */   // GIR_Coverage, 44618,
     /* 2402828 */   GIR_EraseRootFromParent_Done,
     /* 2402829 */ // Label 34591: @2402829
     /* 2402829 */ GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2402866), // Rule ID 44619 //
     /* 2402834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402844 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402851 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402856 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402865 */   // GIR_Coverage, 44619,
     /* 2402865 */   GIR_EraseRootFromParent_Done,
     /* 2402866 */ // Label 34592: @2402866
     /* 2402866 */ GIM_Reject,
     /* 2402867 */ // Label 34583: @2402867
     /* 2402867 */ GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2402904), // Rule ID 44646 //
     /* 2402872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402882 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402889 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402903 */   // GIR_Coverage, 44646,
     /* 2402903 */   GIR_EraseRootFromParent_Done,
     /* 2402904 */ // Label 34593: @2402904
     /* 2402904 */ GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2402941), // Rule ID 44647 //
     /* 2402909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402919 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402926 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402940 */   // GIR_Coverage, 44647,
     /* 2402940 */   GIR_EraseRootFromParent_Done,
     /* 2402941 */ // Label 34594: @2402941
     /* 2402941 */ GIM_Reject,
     /* 2402942 */ // Label 34584: @2402942
     /* 2402942 */ GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2402979), // Rule ID 44674 //
     /* 2402947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402957 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402964 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2402967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402969 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402978 */   // GIR_Coverage, 44674,
     /* 2402978 */   GIR_EraseRootFromParent_Done,
     /* 2402979 */ // Label 34595: @2402979
     /* 2402979 */ GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2403016), // Rule ID 44675 //
     /* 2402984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402994 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403001 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2403001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2403004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403015 */   // GIR_Coverage, 44675,
     /* 2403015 */   GIR_EraseRootFromParent_Done,
     /* 2403016 */ // Label 34596: @2403016
     /* 2403016 */ GIM_Reject,
     /* 2403017 */ // Label 34585: @2403017
     /* 2403017 */ GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2403054), // Rule ID 44702 //
     /* 2403022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2403028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403032 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403039 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2403039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2403042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403053 */   // GIR_Coverage, 44702,
     /* 2403053 */   GIR_EraseRootFromParent_Done,
     /* 2403054 */ // Label 34597: @2403054
     /* 2403054 */ GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2403091), // Rule ID 44703 //
     /* 2403059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2403065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403069 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403076 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2403076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2403079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403090 */   // GIR_Coverage, 44703,
     /* 2403090 */   GIR_EraseRootFromParent_Done,
     /* 2403091 */ // Label 34598: @2403091
     /* 2403091 */ GIM_Reject,
     /* 2403092 */ // Label 34586: @2403092
     /* 2403092 */ GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2403129), // Rule ID 44730 //
     /* 2403097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2403103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403107 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403114 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2403114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2403117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403119 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403128 */   // GIR_Coverage, 44730,
     /* 2403128 */   GIR_EraseRootFromParent_Done,
     /* 2403129 */ // Label 34599: @2403129
     /* 2403129 */ GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2403166), // Rule ID 44731 //
     /* 2403134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2403140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403144 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403151 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2403151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2403154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403165 */   // GIR_Coverage, 44731,
     /* 2403165 */   GIR_EraseRootFromParent_Done,
     /* 2403166 */ // Label 34600: @2403166
     /* 2403166 */ GIM_Reject,
     /* 2403167 */ // Label 34587: @2403167
     /* 2403167 */ GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2403204), // Rule ID 44758 //
     /* 2403172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2403178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403182 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403189 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2403189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2403192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403203 */   // GIR_Coverage, 44758,
     /* 2403203 */   GIR_EraseRootFromParent_Done,
     /* 2403204 */ // Label 34601: @2403204
     /* 2403204 */ GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2403241), // Rule ID 44759 //
     /* 2403209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2403215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403219 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403226 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2403226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2403229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403240 */   // GIR_Coverage, 44759,
     /* 2403240 */   GIR_EraseRootFromParent_Done,
     /* 2403241 */ // Label 34602: @2403241
     /* 2403241 */ GIM_Reject,
     /* 2403242 */ // Label 34588: @2403242
     /* 2403242 */ GIM_Reject,
     /* 2403243 */ // Label 120: @2403243
     /* 2403243 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34625*/ GIMT_Encode4(2407500),
     /* 2403254 */ /*GILLT_nxv1s8*//*Label 34603*/ GIMT_Encode4(2403366),
     /* 2403258 */ /*GILLT_nxv1s16*//*Label 34604*/ GIMT_Encode4(2403483),
     /* 2403262 */ /*GILLT_nxv1s32*//*Label 34605*/ GIMT_Encode4(2403704),
     /* 2403266 */ /*GILLT_nxv1s64*//*Label 34606*/ GIMT_Encode4(2403925), GIMT_Encode4(0),
     /* 2403274 */ /*GILLT_nxv2s8*//*Label 34607*/ GIMT_Encode4(2404146),
     /* 2403278 */ /*GILLT_nxv2s16*//*Label 34608*/ GIMT_Encode4(2404263),
     /* 2403282 */ /*GILLT_nxv2s32*//*Label 34609*/ GIMT_Encode4(2404484),
     /* 2403286 */ /*GILLT_nxv2s64*//*Label 34610*/ GIMT_Encode4(2404705), GIMT_Encode4(0),
     /* 2403294 */ /*GILLT_nxv4s8*//*Label 34611*/ GIMT_Encode4(2404926),
     /* 2403298 */ /*GILLT_nxv4s16*//*Label 34612*/ GIMT_Encode4(2405043),
     /* 2403302 */ /*GILLT_nxv4s32*//*Label 34613*/ GIMT_Encode4(2405264),
     /* 2403306 */ /*GILLT_nxv4s64*//*Label 34614*/ GIMT_Encode4(2405485), GIMT_Encode4(0),
     /* 2403314 */ /*GILLT_nxv8s8*//*Label 34615*/ GIMT_Encode4(2405706),
     /* 2403318 */ /*GILLT_nxv8s16*//*Label 34616*/ GIMT_Encode4(2405823),
     /* 2403322 */ /*GILLT_nxv8s32*//*Label 34617*/ GIMT_Encode4(2406044),
     /* 2403326 */ /*GILLT_nxv8s64*//*Label 34618*/ GIMT_Encode4(2406265), GIMT_Encode4(0),
     /* 2403334 */ /*GILLT_nxv16s8*//*Label 34619*/ GIMT_Encode4(2406486),
     /* 2403338 */ /*GILLT_nxv16s16*//*Label 34620*/ GIMT_Encode4(2406603),
     /* 2403342 */ /*GILLT_nxv16s32*//*Label 34621*/ GIMT_Encode4(2406824), GIMT_Encode4(0),
     /* 2403350 */ /*GILLT_nxv32s8*//*Label 34622*/ GIMT_Encode4(2407045),
     /* 2403354 */ /*GILLT_nxv32s16*//*Label 34623*/ GIMT_Encode4(2407162), GIMT_Encode4(0),
     /* 2403362 */ /*GILLT_nxv64s8*//*Label 34624*/ GIMT_Encode4(2407383),
     /* 2403366 */ // Label 34603: @2403366
     /* 2403366 */ GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2403482),
     /* 2403371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2403374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2403377 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2403429), // Rule ID 32180 //
     /* 2403382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403407 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2403410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403412 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403428 */     // GIR_Coverage, 32180,
     /* 2403428 */     GIR_EraseRootFromParent_Done,
     /* 2403429 */   // Label 34627: @2403429
     /* 2403429 */   GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2403481), // Rule ID 32181 //
     /* 2403434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403459 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2403462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403464 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403480 */     // GIR_Coverage, 32181,
     /* 2403480 */     GIR_EraseRootFromParent_Done,
     /* 2403481 */   // Label 34628: @2403481
     /* 2403481 */   GIM_Reject,
     /* 2403482 */ // Label 34626: @2403482
     /* 2403482 */ GIM_Reject,
     /* 2403483 */ // Label 34604: @2403483
     /* 2403483 */ GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2403703),
     /* 2403488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2403494 */   GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2403546), // Rule ID 32450 //
     /* 2403499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403524 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403529 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403545 */     // GIR_Coverage, 32450,
     /* 2403545 */     GIR_EraseRootFromParent_Done,
     /* 2403546 */   // Label 34630: @2403546
     /* 2403546 */   GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2403598), // Rule ID 32451 //
     /* 2403551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403576 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403581 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403597 */     // GIR_Coverage, 32451,
     /* 2403597 */     GIR_EraseRootFromParent_Done,
     /* 2403598 */   // Label 34631: @2403598
     /* 2403598 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2403650), // Rule ID 34160 //
     /* 2403603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403628 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403633 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403649 */     // GIR_Coverage, 34160,
     /* 2403649 */     GIR_EraseRootFromParent_Done,
     /* 2403650 */   // Label 34632: @2403650
     /* 2403650 */   GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2403702), // Rule ID 34161 //
     /* 2403655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403680 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403685 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403701 */     // GIR_Coverage, 34161,
     /* 2403701 */     GIR_EraseRootFromParent_Done,
     /* 2403702 */   // Label 34633: @2403702
     /* 2403702 */   GIM_Reject,
     /* 2403703 */ // Label 34629: @2403703
     /* 2403703 */ GIM_Reject,
     /* 2403704 */ // Label 34605: @2403704
     /* 2403704 */ GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2403924),
     /* 2403709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2403715 */   GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2403767), // Rule ID 32630 //
     /* 2403720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403745 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403750 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403766 */     // GIR_Coverage, 32630,
     /* 2403766 */     GIR_EraseRootFromParent_Done,
     /* 2403767 */   // Label 34635: @2403767
     /* 2403767 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2403819), // Rule ID 32631 //
     /* 2403772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403797 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403802 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403818 */     // GIR_Coverage, 32631,
     /* 2403818 */     GIR_EraseRootFromParent_Done,
     /* 2403819 */   // Label 34636: @2403819
     /* 2403819 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2403871), // Rule ID 34340 //
     /* 2403824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403849 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403854 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403870 */     // GIR_Coverage, 34340,
     /* 2403870 */     GIR_EraseRootFromParent_Done,
     /* 2403871 */   // Label 34637: @2403871
     /* 2403871 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2403923), // Rule ID 34341 //
     /* 2403876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403901 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403906 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403922 */     // GIR_Coverage, 34341,
     /* 2403922 */     GIR_EraseRootFromParent_Done,
     /* 2403923 */   // Label 34638: @2403923
     /* 2403923 */   GIM_Reject,
     /* 2403924 */ // Label 34634: @2403924
     /* 2403924 */ GIM_Reject,
     /* 2403925 */ // Label 34606: @2403925
     /* 2403925 */ GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2404145),
     /* 2403930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2403933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2403936 */   GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2403988), // Rule ID 32990 //
     /* 2403941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403966 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403971 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403987 */     // GIR_Coverage, 32990,
     /* 2403987 */     GIR_EraseRootFromParent_Done,
     /* 2403988 */   // Label 34640: @2403988
     /* 2403988 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2404040), // Rule ID 32991 //
     /* 2403993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404018 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404023 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404039 */     // GIR_Coverage, 32991,
     /* 2404039 */     GIR_EraseRootFromParent_Done,
     /* 2404040 */   // Label 34641: @2404040
     /* 2404040 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2404092), // Rule ID 34610 //
     /* 2404045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404070 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404075 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404091 */     // GIR_Coverage, 34610,
     /* 2404091 */     GIR_EraseRootFromParent_Done,
     /* 2404092 */   // Label 34642: @2404092
     /* 2404092 */   GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2404144), // Rule ID 34611 //
     /* 2404097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404122 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404127 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404143 */     // GIR_Coverage, 34611,
     /* 2404143 */     GIR_EraseRootFromParent_Done,
     /* 2404144 */   // Label 34643: @2404144
     /* 2404144 */   GIM_Reject,
     /* 2404145 */ // Label 34639: @2404145
     /* 2404145 */ GIM_Reject,
     /* 2404146 */ // Label 34607: @2404146
     /* 2404146 */ GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2404262),
     /* 2404151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2404154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2404157 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2404209), // Rule ID 32270 //
     /* 2404162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404187 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2404190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404192 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404208 */     // GIR_Coverage, 32270,
     /* 2404208 */     GIR_EraseRootFromParent_Done,
     /* 2404209 */   // Label 34645: @2404209
     /* 2404209 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2404261), // Rule ID 32271 //
     /* 2404214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404239 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2404242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404244 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404260 */     // GIR_Coverage, 32271,
     /* 2404260 */     GIR_EraseRootFromParent_Done,
     /* 2404261 */   // Label 34646: @2404261
     /* 2404261 */   GIM_Reject,
     /* 2404262 */ // Label 34644: @2404262
     /* 2404262 */ GIM_Reject,
     /* 2404263 */ // Label 34608: @2404263
     /* 2404263 */ GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2404483),
     /* 2404268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2404271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2404274 */   GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2404326), // Rule ID 32540 //
     /* 2404279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404304 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404309 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404325 */     // GIR_Coverage, 32540,
     /* 2404325 */     GIR_EraseRootFromParent_Done,
     /* 2404326 */   // Label 34648: @2404326
     /* 2404326 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2404378), // Rule ID 32541 //
     /* 2404331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404356 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404361 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404377 */     // GIR_Coverage, 32541,
     /* 2404377 */     GIR_EraseRootFromParent_Done,
     /* 2404378 */   // Label 34649: @2404378
     /* 2404378 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2404430), // Rule ID 34250 //
     /* 2404383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404408 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404413 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404429 */     // GIR_Coverage, 34250,
     /* 2404429 */     GIR_EraseRootFromParent_Done,
     /* 2404430 */   // Label 34650: @2404430
     /* 2404430 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2404482), // Rule ID 34251 //
     /* 2404435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404460 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404465 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404481 */     // GIR_Coverage, 34251,
     /* 2404481 */     GIR_EraseRootFromParent_Done,
     /* 2404482 */   // Label 34651: @2404482
     /* 2404482 */   GIM_Reject,
     /* 2404483 */ // Label 34647: @2404483
     /* 2404483 */ GIM_Reject,
     /* 2404484 */ // Label 34609: @2404484
     /* 2404484 */ GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2404704),
     /* 2404489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2404492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2404495 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2404547), // Rule ID 32900 //
     /* 2404500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404525 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404530 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404546 */     // GIR_Coverage, 32900,
     /* 2404546 */     GIR_EraseRootFromParent_Done,
     /* 2404547 */   // Label 34653: @2404547
     /* 2404547 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2404599), // Rule ID 32901 //
     /* 2404552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404577 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404582 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404598 */     // GIR_Coverage, 32901,
     /* 2404598 */     GIR_EraseRootFromParent_Done,
     /* 2404599 */   // Label 34654: @2404599
     /* 2404599 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2404651), // Rule ID 34520 //
     /* 2404604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404629 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404634 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404650 */     // GIR_Coverage, 34520,
     /* 2404650 */     GIR_EraseRootFromParent_Done,
     /* 2404651 */   // Label 34655: @2404651
     /* 2404651 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2404703), // Rule ID 34521 //
     /* 2404656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404681 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404686 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404702 */     // GIR_Coverage, 34521,
     /* 2404702 */     GIR_EraseRootFromParent_Done,
     /* 2404703 */   // Label 34656: @2404703
     /* 2404703 */   GIM_Reject,
     /* 2404704 */ // Label 34652: @2404704
     /* 2404704 */ GIM_Reject,
     /* 2404705 */ // Label 34610: @2404705
     /* 2404705 */ GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2404925),
     /* 2404710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2404716 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2404768), // Rule ID 33890 //
     /* 2404721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404746 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404751 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404767 */     // GIR_Coverage, 33890,
     /* 2404767 */     GIR_EraseRootFromParent_Done,
     /* 2404768 */   // Label 34658: @2404768
     /* 2404768 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2404820), // Rule ID 33891 //
     /* 2404773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404798 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404803 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404819 */     // GIR_Coverage, 33891,
     /* 2404819 */     GIR_EraseRootFromParent_Done,
     /* 2404820 */   // Label 34659: @2404820
     /* 2404820 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2404872), // Rule ID 35240 //
     /* 2404825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404850 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404855 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404871 */     // GIR_Coverage, 35240,
     /* 2404871 */     GIR_EraseRootFromParent_Done,
     /* 2404872 */   // Label 34660: @2404872
     /* 2404872 */   GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2404924), // Rule ID 35241 //
     /* 2404877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404902 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404907 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404923 */     // GIR_Coverage, 35241,
     /* 2404923 */     GIR_EraseRootFromParent_Done,
     /* 2404924 */   // Label 34661: @2404924
     /* 2404924 */   GIM_Reject,
     /* 2404925 */ // Label 34657: @2404925
     /* 2404925 */ GIM_Reject,
     /* 2404926 */ // Label 34611: @2404926
     /* 2404926 */ GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2405042),
     /* 2404931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2404934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2404937 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2404989), // Rule ID 32360 //
     /* 2404942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404967 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404972 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404988 */     // GIR_Coverage, 32360,
     /* 2404988 */     GIR_EraseRootFromParent_Done,
     /* 2404989 */   // Label 34663: @2404989
     /* 2404989 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2405041), // Rule ID 32361 //
     /* 2404994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405019 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2405022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405024 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405040 */     // GIR_Coverage, 32361,
     /* 2405040 */     GIR_EraseRootFromParent_Done,
     /* 2405041 */   // Label 34664: @2405041
     /* 2405041 */   GIM_Reject,
     /* 2405042 */ // Label 34662: @2405042
     /* 2405042 */ GIM_Reject,
     /* 2405043 */ // Label 34612: @2405043
     /* 2405043 */ GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2405263),
     /* 2405048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2405051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2405054 */   GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2405106), // Rule ID 32810 //
     /* 2405059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405084 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405089 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405105 */     // GIR_Coverage, 32810,
     /* 2405105 */     GIR_EraseRootFromParent_Done,
     /* 2405106 */   // Label 34666: @2405106
     /* 2405106 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2405158), // Rule ID 32811 //
     /* 2405111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405136 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405141 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405157 */     // GIR_Coverage, 32811,
     /* 2405157 */     GIR_EraseRootFromParent_Done,
     /* 2405158 */   // Label 34667: @2405158
     /* 2405158 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2405210), // Rule ID 34430 //
     /* 2405163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405188 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405193 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405209 */     // GIR_Coverage, 34430,
     /* 2405209 */     GIR_EraseRootFromParent_Done,
     /* 2405210 */   // Label 34668: @2405210
     /* 2405210 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2405262), // Rule ID 34431 //
     /* 2405215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405240 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405245 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405261 */     // GIR_Coverage, 34431,
     /* 2405261 */     GIR_EraseRootFromParent_Done,
     /* 2405262 */   // Label 34669: @2405262
     /* 2405262 */   GIM_Reject,
     /* 2405263 */ // Label 34665: @2405263
     /* 2405263 */ GIM_Reject,
     /* 2405264 */ // Label 34613: @2405264
     /* 2405264 */ GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2405484),
     /* 2405269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2405275 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2405327), // Rule ID 33620 //
     /* 2405280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405305 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405310 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405326 */     // GIR_Coverage, 33620,
     /* 2405326 */     GIR_EraseRootFromParent_Done,
     /* 2405327 */   // Label 34671: @2405327
     /* 2405327 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2405379), // Rule ID 33621 //
     /* 2405332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405357 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405362 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405378 */     // GIR_Coverage, 33621,
     /* 2405378 */     GIR_EraseRootFromParent_Done,
     /* 2405379 */   // Label 34672: @2405379
     /* 2405379 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2405431), // Rule ID 34970 //
     /* 2405384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405409 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405414 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405430 */     // GIR_Coverage, 34970,
     /* 2405430 */     GIR_EraseRootFromParent_Done,
     /* 2405431 */   // Label 34673: @2405431
     /* 2405431 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2405483), // Rule ID 34971 //
     /* 2405436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405461 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405466 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405482 */     // GIR_Coverage, 34971,
     /* 2405482 */     GIR_EraseRootFromParent_Done,
     /* 2405483 */   // Label 34674: @2405483
     /* 2405483 */   GIM_Reject,
     /* 2405484 */ // Label 34670: @2405484
     /* 2405484 */ GIM_Reject,
     /* 2405485 */ // Label 34614: @2405485
     /* 2405485 */ GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2405705),
     /* 2405490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2405493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2405496 */   GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2405548), // Rule ID 33980 //
     /* 2405501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405526 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405531 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405547 */     // GIR_Coverage, 33980,
     /* 2405547 */     GIR_EraseRootFromParent_Done,
     /* 2405548 */   // Label 34676: @2405548
     /* 2405548 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2405600), // Rule ID 33981 //
     /* 2405553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405578 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405583 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405599 */     // GIR_Coverage, 33981,
     /* 2405599 */     GIR_EraseRootFromParent_Done,
     /* 2405600 */   // Label 34677: @2405600
     /* 2405600 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2405652), // Rule ID 35330 //
     /* 2405605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405630 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405635 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405651 */     // GIR_Coverage, 35330,
     /* 2405651 */     GIR_EraseRootFromParent_Done,
     /* 2405652 */   // Label 34678: @2405652
     /* 2405652 */   GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2405704), // Rule ID 35331 //
     /* 2405657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405682 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405687 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405703 */     // GIR_Coverage, 35331,
     /* 2405703 */     GIR_EraseRootFromParent_Done,
     /* 2405704 */   // Label 34679: @2405704
     /* 2405704 */   GIM_Reject,
     /* 2405705 */ // Label 34675: @2405705
     /* 2405705 */ GIM_Reject,
     /* 2405706 */ // Label 34615: @2405706
     /* 2405706 */ GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2405822),
     /* 2405711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2405714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2405717 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2405769), // Rule ID 32720 //
     /* 2405722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405747 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405752 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405768 */     // GIR_Coverage, 32720,
     /* 2405768 */     GIR_EraseRootFromParent_Done,
     /* 2405769 */   // Label 34681: @2405769
     /* 2405769 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2405821), // Rule ID 32721 //
     /* 2405774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405799 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405804 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405820 */     // GIR_Coverage, 32721,
     /* 2405820 */     GIR_EraseRootFromParent_Done,
     /* 2405821 */   // Label 34682: @2405821
     /* 2405821 */   GIM_Reject,
     /* 2405822 */ // Label 34680: @2405822
     /* 2405822 */ GIM_Reject,
     /* 2405823 */ // Label 34616: @2405823
     /* 2405823 */ GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2406043),
     /* 2405828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2405831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2405834 */   GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2405886), // Rule ID 33350 //
     /* 2405839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405864 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405869 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405885 */     // GIR_Coverage, 33350,
     /* 2405885 */     GIR_EraseRootFromParent_Done,
     /* 2405886 */   // Label 34684: @2405886
     /* 2405886 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2405938), // Rule ID 33351 //
     /* 2405891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405916 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405921 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405937 */     // GIR_Coverage, 33351,
     /* 2405937 */     GIR_EraseRootFromParent_Done,
     /* 2405938 */   // Label 34685: @2405938
     /* 2405938 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2405990), // Rule ID 34700 //
     /* 2405943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405968 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405973 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405989 */     // GIR_Coverage, 34700,
     /* 2405989 */     GIR_EraseRootFromParent_Done,
     /* 2405990 */   // Label 34686: @2405990
     /* 2405990 */   GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2406042), // Rule ID 34701 //
     /* 2405995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406020 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406025 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406041 */     // GIR_Coverage, 34701,
     /* 2406041 */     GIR_EraseRootFromParent_Done,
     /* 2406042 */   // Label 34687: @2406042
     /* 2406042 */   GIM_Reject,
     /* 2406043 */ // Label 34683: @2406043
     /* 2406043 */ GIM_Reject,
     /* 2406044 */ // Label 34617: @2406044
     /* 2406044 */ GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2406264),
     /* 2406049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2406052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2406055 */   GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2406107), // Rule ID 33710 //
     /* 2406060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406085 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406090 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406106 */     // GIR_Coverage, 33710,
     /* 2406106 */     GIR_EraseRootFromParent_Done,
     /* 2406107 */   // Label 34689: @2406107
     /* 2406107 */   GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2406159), // Rule ID 33711 //
     /* 2406112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406137 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406142 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406158 */     // GIR_Coverage, 33711,
     /* 2406158 */     GIR_EraseRootFromParent_Done,
     /* 2406159 */   // Label 34690: @2406159
     /* 2406159 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2406211), // Rule ID 35060 //
     /* 2406164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406189 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406194 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406210 */     // GIR_Coverage, 35060,
     /* 2406210 */     GIR_EraseRootFromParent_Done,
     /* 2406211 */   // Label 34691: @2406211
     /* 2406211 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2406263), // Rule ID 35061 //
     /* 2406216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406241 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406246 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406262 */     // GIR_Coverage, 35061,
     /* 2406262 */     GIR_EraseRootFromParent_Done,
     /* 2406263 */   // Label 34692: @2406263
     /* 2406263 */   GIM_Reject,
     /* 2406264 */ // Label 34688: @2406264
     /* 2406264 */ GIM_Reject,
     /* 2406265 */ // Label 34618: @2406265
     /* 2406265 */ GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2406485),
     /* 2406270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2406273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2406276 */   GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2406328), // Rule ID 34070 //
     /* 2406281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2406284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406306 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406311 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406327 */     // GIR_Coverage, 34070,
     /* 2406327 */     GIR_EraseRootFromParent_Done,
     /* 2406328 */   // Label 34694: @2406328
     /* 2406328 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2406380), // Rule ID 34071 //
     /* 2406333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2406336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406358 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406363 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406379 */     // GIR_Coverage, 34071,
     /* 2406379 */     GIR_EraseRootFromParent_Done,
     /* 2406380 */   // Label 34695: @2406380
     /* 2406380 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2406432), // Rule ID 35420 //
     /* 2406385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2406388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406410 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406415 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406431 */     // GIR_Coverage, 35420,
     /* 2406431 */     GIR_EraseRootFromParent_Done,
     /* 2406432 */   // Label 34696: @2406432
     /* 2406432 */   GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2406484), // Rule ID 35421 //
     /* 2406437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2406440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406462 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406467 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406483 */     // GIR_Coverage, 35421,
     /* 2406483 */     GIR_EraseRootFromParent_Done,
     /* 2406484 */   // Label 34697: @2406484
     /* 2406484 */   GIM_Reject,
     /* 2406485 */ // Label 34693: @2406485
     /* 2406485 */ GIM_Reject,
     /* 2406486 */ // Label 34619: @2406486
     /* 2406486 */ GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2406602),
     /* 2406491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2406494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2406497 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2406549), // Rule ID 33080 //
     /* 2406502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406527 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406532 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406548 */     // GIR_Coverage, 33080,
     /* 2406548 */     GIR_EraseRootFromParent_Done,
     /* 2406549 */   // Label 34699: @2406549
     /* 2406549 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2406601), // Rule ID 33081 //
     /* 2406554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406579 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406584 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406600 */     // GIR_Coverage, 33081,
     /* 2406600 */     GIR_EraseRootFromParent_Done,
     /* 2406601 */   // Label 34700: @2406601
     /* 2406601 */   GIM_Reject,
     /* 2406602 */ // Label 34698: @2406602
     /* 2406602 */ GIM_Reject,
     /* 2406603 */ // Label 34620: @2406603
     /* 2406603 */ GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2406823),
     /* 2406608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2406611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2406614 */   GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2406666), // Rule ID 33440 //
     /* 2406619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406644 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406649 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406665 */     // GIR_Coverage, 33440,
     /* 2406665 */     GIR_EraseRootFromParent_Done,
     /* 2406666 */   // Label 34702: @2406666
     /* 2406666 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2406718), // Rule ID 33441 //
     /* 2406671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406696 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406701 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406717 */     // GIR_Coverage, 33441,
     /* 2406717 */     GIR_EraseRootFromParent_Done,
     /* 2406718 */   // Label 34703: @2406718
     /* 2406718 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2406770), // Rule ID 34790 //
     /* 2406723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406748 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406753 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406769 */     // GIR_Coverage, 34790,
     /* 2406769 */     GIR_EraseRootFromParent_Done,
     /* 2406770 */   // Label 34704: @2406770
     /* 2406770 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2406822), // Rule ID 34791 //
     /* 2406775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406800 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406805 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406821 */     // GIR_Coverage, 34791,
     /* 2406821 */     GIR_EraseRootFromParent_Done,
     /* 2406822 */   // Label 34705: @2406822
     /* 2406822 */   GIM_Reject,
     /* 2406823 */ // Label 34701: @2406823
     /* 2406823 */ GIM_Reject,
     /* 2406824 */ // Label 34621: @2406824
     /* 2406824 */ GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2407044),
     /* 2406829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2406832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2406835 */   GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2406887), // Rule ID 33800 //
     /* 2406840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406865 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406870 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406886 */     // GIR_Coverage, 33800,
     /* 2406886 */     GIR_EraseRootFromParent_Done,
     /* 2406887 */   // Label 34707: @2406887
     /* 2406887 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2406939), // Rule ID 33801 //
     /* 2406892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406917 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406922 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406938 */     // GIR_Coverage, 33801,
     /* 2406938 */     GIR_EraseRootFromParent_Done,
     /* 2406939 */   // Label 34708: @2406939
     /* 2406939 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2406991), // Rule ID 35150 //
     /* 2406944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406969 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406974 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406990 */     // GIR_Coverage, 35150,
     /* 2406990 */     GIR_EraseRootFromParent_Done,
     /* 2406991 */   // Label 34709: @2406991
     /* 2406991 */   GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2407043), // Rule ID 35151 //
     /* 2406996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407021 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407026 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407042 */     // GIR_Coverage, 35151,
     /* 2407042 */     GIR_EraseRootFromParent_Done,
     /* 2407043 */   // Label 34710: @2407043
     /* 2407043 */   GIM_Reject,
     /* 2407044 */ // Label 34706: @2407044
     /* 2407044 */ GIM_Reject,
     /* 2407045 */ // Label 34622: @2407045
     /* 2407045 */ GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2407161),
     /* 2407050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2407053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2407056 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2407108), // Rule ID 33170 //
     /* 2407061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407086 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2407089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407091 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407107 */     // GIR_Coverage, 33170,
     /* 2407107 */     GIR_EraseRootFromParent_Done,
     /* 2407108 */   // Label 34712: @2407108
     /* 2407108 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2407160), // Rule ID 33171 //
     /* 2407113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407138 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2407141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407143 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407159 */     // GIR_Coverage, 33171,
     /* 2407159 */     GIR_EraseRootFromParent_Done,
     /* 2407160 */   // Label 34713: @2407160
     /* 2407160 */   GIM_Reject,
     /* 2407161 */ // Label 34711: @2407161
     /* 2407161 */ GIM_Reject,
     /* 2407162 */ // Label 34623: @2407162
     /* 2407162 */ GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2407382),
     /* 2407167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2407170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2407173 */   GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2407225), // Rule ID 33530 //
     /* 2407178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407203 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407208 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407224 */     // GIR_Coverage, 33530,
     /* 2407224 */     GIR_EraseRootFromParent_Done,
     /* 2407225 */   // Label 34715: @2407225
     /* 2407225 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2407277), // Rule ID 33531 //
     /* 2407230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407255 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407260 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407276 */     // GIR_Coverage, 33531,
     /* 2407276 */     GIR_EraseRootFromParent_Done,
     /* 2407277 */   // Label 34716: @2407277
     /* 2407277 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2407329), // Rule ID 34880 //
     /* 2407282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407307 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407312 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407328 */     // GIR_Coverage, 34880,
     /* 2407328 */     GIR_EraseRootFromParent_Done,
     /* 2407329 */   // Label 34717: @2407329
     /* 2407329 */   GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2407381), // Rule ID 34881 //
     /* 2407334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407359 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407364 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407380 */     // GIR_Coverage, 34881,
     /* 2407380 */     GIR_EraseRootFromParent_Done,
     /* 2407381 */   // Label 34718: @2407381
     /* 2407381 */   GIM_Reject,
     /* 2407382 */ // Label 34714: @2407382
     /* 2407382 */ GIM_Reject,
     /* 2407383 */ // Label 34624: @2407383
     /* 2407383 */ GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2407499),
     /* 2407388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2407391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2407394 */   GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2407446), // Rule ID 33260 //
     /* 2407399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407424 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407429 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407445 */     // GIR_Coverage, 33260,
     /* 2407445 */     GIR_EraseRootFromParent_Done,
     /* 2407446 */   // Label 34720: @2407446
     /* 2407446 */   GIM_Try, /*On fail goto*//*Label 34721*/ GIMT_Encode4(2407498), // Rule ID 33261 //
     /* 2407451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407476 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407481 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407497 */     // GIR_Coverage, 33261,
     /* 2407497 */     GIR_EraseRootFromParent_Done,
     /* 2407498 */   // Label 34721: @2407498
     /* 2407498 */   GIM_Reject,
     /* 2407499 */ // Label 34719: @2407499
     /* 2407499 */ GIM_Reject,
     /* 2407500 */ // Label 34625: @2407500
     /* 2407500 */ GIM_Reject,
     /* 2407501 */ // Label 121: @2407501
     /* 2407501 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34744*/ GIMT_Encode4(2419380),
     /* 2407512 */ /*GILLT_nxv1s8*//*Label 34722*/ GIMT_Encode4(2407624),
     /* 2407516 */ /*GILLT_nxv1s16*//*Label 34723*/ GIMT_Encode4(2407947),
     /* 2407520 */ /*GILLT_nxv1s32*//*Label 34724*/ GIMT_Encode4(2408580),
     /* 2407524 */ /*GILLT_nxv1s64*//*Label 34725*/ GIMT_Encode4(2409213), GIMT_Encode4(0),
     /* 2407532 */ /*GILLT_nxv2s8*//*Label 34726*/ GIMT_Encode4(2409846),
     /* 2407536 */ /*GILLT_nxv2s16*//*Label 34727*/ GIMT_Encode4(2410169),
     /* 2407540 */ /*GILLT_nxv2s32*//*Label 34728*/ GIMT_Encode4(2410802),
     /* 2407544 */ /*GILLT_nxv2s64*//*Label 34729*/ GIMT_Encode4(2411435), GIMT_Encode4(0),
     /* 2407552 */ /*GILLT_nxv4s8*//*Label 34730*/ GIMT_Encode4(2412068),
     /* 2407556 */ /*GILLT_nxv4s16*//*Label 34731*/ GIMT_Encode4(2412391),
     /* 2407560 */ /*GILLT_nxv4s32*//*Label 34732*/ GIMT_Encode4(2413024),
     /* 2407564 */ /*GILLT_nxv4s64*//*Label 34733*/ GIMT_Encode4(2413657), GIMT_Encode4(0),
     /* 2407572 */ /*GILLT_nxv8s8*//*Label 34734*/ GIMT_Encode4(2414290),
     /* 2407576 */ /*GILLT_nxv8s16*//*Label 34735*/ GIMT_Encode4(2414613),
     /* 2407580 */ /*GILLT_nxv8s32*//*Label 34736*/ GIMT_Encode4(2415246),
     /* 2407584 */ /*GILLT_nxv8s64*//*Label 34737*/ GIMT_Encode4(2415879), GIMT_Encode4(0),
     /* 2407592 */ /*GILLT_nxv16s8*//*Label 34738*/ GIMT_Encode4(2416512),
     /* 2407596 */ /*GILLT_nxv16s16*//*Label 34739*/ GIMT_Encode4(2416835),
     /* 2407600 */ /*GILLT_nxv16s32*//*Label 34740*/ GIMT_Encode4(2417468), GIMT_Encode4(0),
     /* 2407608 */ /*GILLT_nxv32s8*//*Label 34741*/ GIMT_Encode4(2418101),
     /* 2407612 */ /*GILLT_nxv32s16*//*Label 34742*/ GIMT_Encode4(2418424), GIMT_Encode4(0),
     /* 2407620 */ /*GILLT_nxv64s8*//*Label 34743*/ GIMT_Encode4(2419057),
     /* 2407624 */ // Label 34722: @2407624
     /* 2407624 */ GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2407946),
     /* 2407629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2407632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2407635 */   GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2407718), // Rule ID 45324 //
     /* 2407640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407676 */     // MIs[1] Operand 1
     /* 2407676 */     // No operand predicates
     /* 2407676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407680 */     // MIs[0] policy
     /* 2407680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407692 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407717 */     // GIR_Coverage, 45324,
     /* 2407717 */     GIR_EraseRootFromParent_Done,
     /* 2407718 */   // Label 34746: @2407718
     /* 2407718 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2407801), // Rule ID 45325 //
     /* 2407723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407759 */     // MIs[1] Operand 1
     /* 2407759 */     // No operand predicates
     /* 2407759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407763 */     // MIs[0] policy
     /* 2407763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407775 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407800 */     // GIR_Coverage, 45325,
     /* 2407800 */     GIR_EraseRootFromParent_Done,
     /* 2407801 */   // Label 34747: @2407801
     /* 2407801 */   GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2407873), // Rule ID 45326 //
     /* 2407806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407838 */     // MIs[0] policy
     /* 2407838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407848 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407872 */     // GIR_Coverage, 45326,
     /* 2407872 */     GIR_EraseRootFromParent_Done,
     /* 2407873 */   // Label 34748: @2407873
     /* 2407873 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2407945), // Rule ID 45327 //
     /* 2407878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407910 */     // MIs[0] policy
     /* 2407910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407920 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407944 */     // GIR_Coverage, 45327,
     /* 2407944 */     GIR_EraseRootFromParent_Done,
     /* 2407945 */   // Label 34749: @2407945
     /* 2407945 */   GIM_Reject,
     /* 2407946 */ // Label 34745: @2407946
     /* 2407946 */ GIM_Reject,
     /* 2407947 */ // Label 34723: @2407947
     /* 2407947 */ GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2408579),
     /* 2407952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2407958 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2408041), // Rule ID 45336 //
     /* 2407963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407999 */     // MIs[1] Operand 1
     /* 2407999 */     // No operand predicates
     /* 2407999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408003 */     // MIs[0] policy
     /* 2408003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408015 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408040 */     // GIR_Coverage, 45336,
     /* 2408040 */     GIR_EraseRootFromParent_Done,
     /* 2408041 */   // Label 34751: @2408041
     /* 2408041 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2408124), // Rule ID 45337 //
     /* 2408046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408082 */     // MIs[1] Operand 1
     /* 2408082 */     // No operand predicates
     /* 2408082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408086 */     // MIs[0] policy
     /* 2408086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408098 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408123 */     // GIR_Coverage, 45337,
     /* 2408123 */     GIR_EraseRootFromParent_Done,
     /* 2408124 */   // Label 34752: @2408124
     /* 2408124 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2408207), // Rule ID 45412 //
     /* 2408129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408165 */     // MIs[1] Operand 1
     /* 2408165 */     // No operand predicates
     /* 2408165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408169 */     // MIs[0] policy
     /* 2408169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408181 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408206 */     // GIR_Coverage, 45412,
     /* 2408206 */     GIR_EraseRootFromParent_Done,
     /* 2408207 */   // Label 34753: @2408207
     /* 2408207 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2408290), // Rule ID 45413 //
     /* 2408212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408248 */     // MIs[1] Operand 1
     /* 2408248 */     // No operand predicates
     /* 2408248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408252 */     // MIs[0] policy
     /* 2408252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408264 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408289 */     // GIR_Coverage, 45413,
     /* 2408289 */     GIR_EraseRootFromParent_Done,
     /* 2408290 */   // Label 34754: @2408290
     /* 2408290 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2408362), // Rule ID 45338 //
     /* 2408295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408327 */     // MIs[0] policy
     /* 2408327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408337 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408361 */     // GIR_Coverage, 45338,
     /* 2408361 */     GIR_EraseRootFromParent_Done,
     /* 2408362 */   // Label 34755: @2408362
     /* 2408362 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2408434), // Rule ID 45339 //
     /* 2408367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408399 */     // MIs[0] policy
     /* 2408399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408409 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408433 */     // GIR_Coverage, 45339,
     /* 2408433 */     GIR_EraseRootFromParent_Done,
     /* 2408434 */   // Label 34756: @2408434
     /* 2408434 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2408506), // Rule ID 45414 //
     /* 2408439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408471 */     // MIs[0] policy
     /* 2408471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408481 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408505 */     // GIR_Coverage, 45414,
     /* 2408505 */     GIR_EraseRootFromParent_Done,
     /* 2408506 */   // Label 34757: @2408506
     /* 2408506 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2408578), // Rule ID 45415 //
     /* 2408511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408543 */     // MIs[0] policy
     /* 2408543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408553 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408577 */     // GIR_Coverage, 45415,
     /* 2408577 */     GIR_EraseRootFromParent_Done,
     /* 2408578 */   // Label 34758: @2408578
     /* 2408578 */   GIM_Reject,
     /* 2408579 */ // Label 34750: @2408579
     /* 2408579 */ GIM_Reject,
     /* 2408580 */ // Label 34724: @2408580
     /* 2408580 */ GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2409212),
     /* 2408585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2408591 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2408674), // Rule ID 45344 //
     /* 2408596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408632 */     // MIs[1] Operand 1
     /* 2408632 */     // No operand predicates
     /* 2408632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408636 */     // MIs[0] policy
     /* 2408636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408648 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408673 */     // GIR_Coverage, 45344,
     /* 2408673 */     GIR_EraseRootFromParent_Done,
     /* 2408674 */   // Label 34760: @2408674
     /* 2408674 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2408757), // Rule ID 45345 //
     /* 2408679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408715 */     // MIs[1] Operand 1
     /* 2408715 */     // No operand predicates
     /* 2408715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408719 */     // MIs[0] policy
     /* 2408719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408731 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408756 */     // GIR_Coverage, 45345,
     /* 2408756 */     GIR_EraseRootFromParent_Done,
     /* 2408757 */   // Label 34761: @2408757
     /* 2408757 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2408840), // Rule ID 45420 //
     /* 2408762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408798 */     // MIs[1] Operand 1
     /* 2408798 */     // No operand predicates
     /* 2408798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408802 */     // MIs[0] policy
     /* 2408802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408814 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408839 */     // GIR_Coverage, 45420,
     /* 2408839 */     GIR_EraseRootFromParent_Done,
     /* 2408840 */   // Label 34762: @2408840
     /* 2408840 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2408923), // Rule ID 45421 //
     /* 2408845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408881 */     // MIs[1] Operand 1
     /* 2408881 */     // No operand predicates
     /* 2408881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408885 */     // MIs[0] policy
     /* 2408885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408897 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408922 */     // GIR_Coverage, 45421,
     /* 2408922 */     GIR_EraseRootFromParent_Done,
     /* 2408923 */   // Label 34763: @2408923
     /* 2408923 */   GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2408995), // Rule ID 45346 //
     /* 2408928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408960 */     // MIs[0] policy
     /* 2408960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408970 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408994 */     // GIR_Coverage, 45346,
     /* 2408994 */     GIR_EraseRootFromParent_Done,
     /* 2408995 */   // Label 34764: @2408995
     /* 2408995 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2409067), // Rule ID 45347 //
     /* 2409000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409032 */     // MIs[0] policy
     /* 2409032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409042 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2409045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409066 */     // GIR_Coverage, 45347,
     /* 2409066 */     GIR_EraseRootFromParent_Done,
     /* 2409067 */   // Label 34765: @2409067
     /* 2409067 */   GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2409139), // Rule ID 45422 //
     /* 2409072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409104 */     // MIs[0] policy
     /* 2409104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409114 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2409117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409138 */     // GIR_Coverage, 45422,
     /* 2409138 */     GIR_EraseRootFromParent_Done,
     /* 2409139 */   // Label 34766: @2409139
     /* 2409139 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2409211), // Rule ID 45423 //
     /* 2409144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409176 */     // MIs[0] policy
     /* 2409176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409186 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2409189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409210 */     // GIR_Coverage, 45423,
     /* 2409210 */     GIR_EraseRootFromParent_Done,
     /* 2409211 */   // Label 34767: @2409211
     /* 2409211 */   GIM_Reject,
     /* 2409212 */ // Label 34759: @2409212
     /* 2409212 */ GIM_Reject,
     /* 2409213 */ // Label 34725: @2409213
     /* 2409213 */ GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2409845),
     /* 2409218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2409224 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2409307), // Rule ID 45360 //
     /* 2409229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409265 */     // MIs[1] Operand 1
     /* 2409265 */     // No operand predicates
     /* 2409265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409269 */     // MIs[0] policy
     /* 2409269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409281 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409306 */     // GIR_Coverage, 45360,
     /* 2409306 */     GIR_EraseRootFromParent_Done,
     /* 2409307 */   // Label 34769: @2409307
     /* 2409307 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2409390), // Rule ID 45361 //
     /* 2409312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409348 */     // MIs[1] Operand 1
     /* 2409348 */     // No operand predicates
     /* 2409348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409352 */     // MIs[0] policy
     /* 2409352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409364 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409389 */     // GIR_Coverage, 45361,
     /* 2409389 */     GIR_EraseRootFromParent_Done,
     /* 2409390 */   // Label 34770: @2409390
     /* 2409390 */   GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2409473), // Rule ID 45432 //
     /* 2409395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409431 */     // MIs[1] Operand 1
     /* 2409431 */     // No operand predicates
     /* 2409431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409435 */     // MIs[0] policy
     /* 2409435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409447 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409472 */     // GIR_Coverage, 45432,
     /* 2409472 */     GIR_EraseRootFromParent_Done,
     /* 2409473 */   // Label 34771: @2409473
     /* 2409473 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2409556), // Rule ID 45433 //
     /* 2409478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409514 */     // MIs[1] Operand 1
     /* 2409514 */     // No operand predicates
     /* 2409514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409518 */     // MIs[0] policy
     /* 2409518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409530 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409555 */     // GIR_Coverage, 45433,
     /* 2409555 */     GIR_EraseRootFromParent_Done,
     /* 2409556 */   // Label 34772: @2409556
     /* 2409556 */   GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2409628), // Rule ID 45362 //
     /* 2409561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409593 */     // MIs[0] policy
     /* 2409593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409603 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409627 */     // GIR_Coverage, 45362,
     /* 2409627 */     GIR_EraseRootFromParent_Done,
     /* 2409628 */   // Label 34773: @2409628
     /* 2409628 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2409700), // Rule ID 45363 //
     /* 2409633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409665 */     // MIs[0] policy
     /* 2409665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409675 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409699 */     // GIR_Coverage, 45363,
     /* 2409699 */     GIR_EraseRootFromParent_Done,
     /* 2409700 */   // Label 34774: @2409700
     /* 2409700 */   GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2409772), // Rule ID 45434 //
     /* 2409705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409737 */     // MIs[0] policy
     /* 2409737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409747 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409771 */     // GIR_Coverage, 45434,
     /* 2409771 */     GIR_EraseRootFromParent_Done,
     /* 2409772 */   // Label 34775: @2409772
     /* 2409772 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2409844), // Rule ID 45435 //
     /* 2409777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409809 */     // MIs[0] policy
     /* 2409809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409819 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409843 */     // GIR_Coverage, 45435,
     /* 2409843 */     GIR_EraseRootFromParent_Done,
     /* 2409844 */   // Label 34776: @2409844
     /* 2409844 */   GIM_Reject,
     /* 2409845 */ // Label 34768: @2409845
     /* 2409845 */ GIM_Reject,
     /* 2409846 */ // Label 34726: @2409846
     /* 2409846 */ GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2410168),
     /* 2409851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2409854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2409857 */   GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2409940), // Rule ID 45328 //
     /* 2409862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409898 */     // MIs[1] Operand 1
     /* 2409898 */     // No operand predicates
     /* 2409898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409902 */     // MIs[0] policy
     /* 2409902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409914 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2409917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409939 */     // GIR_Coverage, 45328,
     /* 2409939 */     GIR_EraseRootFromParent_Done,
     /* 2409940 */   // Label 34778: @2409940
     /* 2409940 */   GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2410023), // Rule ID 45329 //
     /* 2409945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409981 */     // MIs[1] Operand 1
     /* 2409981 */     // No operand predicates
     /* 2409981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409985 */     // MIs[0] policy
     /* 2409985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409997 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2410000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410022 */     // GIR_Coverage, 45329,
     /* 2410022 */     GIR_EraseRootFromParent_Done,
     /* 2410023 */   // Label 34779: @2410023
     /* 2410023 */   GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2410095), // Rule ID 45330 //
     /* 2410028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410060 */     // MIs[0] policy
     /* 2410060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410070 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2410073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410094 */     // GIR_Coverage, 45330,
     /* 2410094 */     GIR_EraseRootFromParent_Done,
     /* 2410095 */   // Label 34780: @2410095
     /* 2410095 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2410167), // Rule ID 45331 //
     /* 2410100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410132 */     // MIs[0] policy
     /* 2410132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410142 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2410145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410166 */     // GIR_Coverage, 45331,
     /* 2410166 */     GIR_EraseRootFromParent_Done,
     /* 2410167 */   // Label 34781: @2410167
     /* 2410167 */   GIM_Reject,
     /* 2410168 */ // Label 34777: @2410168
     /* 2410168 */ GIM_Reject,
     /* 2410169 */ // Label 34727: @2410169
     /* 2410169 */ GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2410801),
     /* 2410174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2410180 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2410263), // Rule ID 45340 //
     /* 2410185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410221 */     // MIs[1] Operand 1
     /* 2410221 */     // No operand predicates
     /* 2410221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410225 */     // MIs[0] policy
     /* 2410225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410237 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410262 */     // GIR_Coverage, 45340,
     /* 2410262 */     GIR_EraseRootFromParent_Done,
     /* 2410263 */   // Label 34783: @2410263
     /* 2410263 */   GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2410346), // Rule ID 45341 //
     /* 2410268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410304 */     // MIs[1] Operand 1
     /* 2410304 */     // No operand predicates
     /* 2410304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410308 */     // MIs[0] policy
     /* 2410308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410320 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410345 */     // GIR_Coverage, 45341,
     /* 2410345 */     GIR_EraseRootFromParent_Done,
     /* 2410346 */   // Label 34784: @2410346
     /* 2410346 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2410429), // Rule ID 45416 //
     /* 2410351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410387 */     // MIs[1] Operand 1
     /* 2410387 */     // No operand predicates
     /* 2410387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410391 */     // MIs[0] policy
     /* 2410391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410403 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410428 */     // GIR_Coverage, 45416,
     /* 2410428 */     GIR_EraseRootFromParent_Done,
     /* 2410429 */   // Label 34785: @2410429
     /* 2410429 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2410512), // Rule ID 45417 //
     /* 2410434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410470 */     // MIs[1] Operand 1
     /* 2410470 */     // No operand predicates
     /* 2410470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410474 */     // MIs[0] policy
     /* 2410474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410486 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410511 */     // GIR_Coverage, 45417,
     /* 2410511 */     GIR_EraseRootFromParent_Done,
     /* 2410512 */   // Label 34786: @2410512
     /* 2410512 */   GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2410584), // Rule ID 45342 //
     /* 2410517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410549 */     // MIs[0] policy
     /* 2410549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410559 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410583 */     // GIR_Coverage, 45342,
     /* 2410583 */     GIR_EraseRootFromParent_Done,
     /* 2410584 */   // Label 34787: @2410584
     /* 2410584 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2410656), // Rule ID 45343 //
     /* 2410589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410621 */     // MIs[0] policy
     /* 2410621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410631 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410655 */     // GIR_Coverage, 45343,
     /* 2410655 */     GIR_EraseRootFromParent_Done,
     /* 2410656 */   // Label 34788: @2410656
     /* 2410656 */   GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2410728), // Rule ID 45418 //
     /* 2410661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410693 */     // MIs[0] policy
     /* 2410693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410703 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410727 */     // GIR_Coverage, 45418,
     /* 2410727 */     GIR_EraseRootFromParent_Done,
     /* 2410728 */   // Label 34789: @2410728
     /* 2410728 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2410800), // Rule ID 45419 //
     /* 2410733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410765 */     // MIs[0] policy
     /* 2410765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410775 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410799 */     // GIR_Coverage, 45419,
     /* 2410799 */     GIR_EraseRootFromParent_Done,
     /* 2410800 */   // Label 34790: @2410800
     /* 2410800 */   GIM_Reject,
     /* 2410801 */ // Label 34782: @2410801
     /* 2410801 */ GIM_Reject,
     /* 2410802 */ // Label 34728: @2410802
     /* 2410802 */ GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2411434),
     /* 2410807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2410810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2410813 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2410896), // Rule ID 45356 //
     /* 2410818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410854 */     // MIs[1] Operand 1
     /* 2410854 */     // No operand predicates
     /* 2410854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410858 */     // MIs[0] policy
     /* 2410858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410870 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410895 */     // GIR_Coverage, 45356,
     /* 2410895 */     GIR_EraseRootFromParent_Done,
     /* 2410896 */   // Label 34792: @2410896
     /* 2410896 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2410979), // Rule ID 45357 //
     /* 2410901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410937 */     // MIs[1] Operand 1
     /* 2410937 */     // No operand predicates
     /* 2410937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410941 */     // MIs[0] policy
     /* 2410941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410953 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410978 */     // GIR_Coverage, 45357,
     /* 2410978 */     GIR_EraseRootFromParent_Done,
     /* 2410979 */   // Label 34793: @2410979
     /* 2410979 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2411062), // Rule ID 45428 //
     /* 2410984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411020 */     // MIs[1] Operand 1
     /* 2411020 */     // No operand predicates
     /* 2411020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411024 */     // MIs[0] policy
     /* 2411024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411036 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2411039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411061 */     // GIR_Coverage, 45428,
     /* 2411061 */     GIR_EraseRootFromParent_Done,
     /* 2411062 */   // Label 34794: @2411062
     /* 2411062 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2411145), // Rule ID 45429 //
     /* 2411067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411103 */     // MIs[1] Operand 1
     /* 2411103 */     // No operand predicates
     /* 2411103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411107 */     // MIs[0] policy
     /* 2411107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411119 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2411122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411144 */     // GIR_Coverage, 45429,
     /* 2411144 */     GIR_EraseRootFromParent_Done,
     /* 2411145 */   // Label 34795: @2411145
     /* 2411145 */   GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2411217), // Rule ID 45358 //
     /* 2411150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411182 */     // MIs[0] policy
     /* 2411182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411192 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411216 */     // GIR_Coverage, 45358,
     /* 2411216 */     GIR_EraseRootFromParent_Done,
     /* 2411217 */   // Label 34796: @2411217
     /* 2411217 */   GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2411289), // Rule ID 45359 //
     /* 2411222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411254 */     // MIs[0] policy
     /* 2411254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411264 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411288 */     // GIR_Coverage, 45359,
     /* 2411288 */     GIR_EraseRootFromParent_Done,
     /* 2411289 */   // Label 34797: @2411289
     /* 2411289 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2411361), // Rule ID 45430 //
     /* 2411294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411326 */     // MIs[0] policy
     /* 2411326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411336 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411360 */     // GIR_Coverage, 45430,
     /* 2411360 */     GIR_EraseRootFromParent_Done,
     /* 2411361 */   // Label 34798: @2411361
     /* 2411361 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2411433), // Rule ID 45431 //
     /* 2411366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411398 */     // MIs[0] policy
     /* 2411398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411408 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411432 */     // GIR_Coverage, 45431,
     /* 2411432 */     GIR_EraseRootFromParent_Done,
     /* 2411433 */   // Label 34799: @2411433
     /* 2411433 */   GIM_Reject,
     /* 2411434 */ // Label 34791: @2411434
     /* 2411434 */ GIM_Reject,
     /* 2411435 */ // Label 34729: @2411435
     /* 2411435 */ GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2412067),
     /* 2411440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2411446 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2411529), // Rule ID 45400 //
     /* 2411451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411487 */     // MIs[1] Operand 1
     /* 2411487 */     // No operand predicates
     /* 2411487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411491 */     // MIs[0] policy
     /* 2411491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411503 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411528 */     // GIR_Coverage, 45400,
     /* 2411528 */     GIR_EraseRootFromParent_Done,
     /* 2411529 */   // Label 34801: @2411529
     /* 2411529 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2411612), // Rule ID 45401 //
     /* 2411534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411570 */     // MIs[1] Operand 1
     /* 2411570 */     // No operand predicates
     /* 2411570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411574 */     // MIs[0] policy
     /* 2411574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411586 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411611 */     // GIR_Coverage, 45401,
     /* 2411611 */     GIR_EraseRootFromParent_Done,
     /* 2411612 */   // Label 34802: @2411612
     /* 2411612 */   GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2411695), // Rule ID 45460 //
     /* 2411617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411653 */     // MIs[1] Operand 1
     /* 2411653 */     // No operand predicates
     /* 2411653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411657 */     // MIs[0] policy
     /* 2411657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411669 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411694 */     // GIR_Coverage, 45460,
     /* 2411694 */     GIR_EraseRootFromParent_Done,
     /* 2411695 */   // Label 34803: @2411695
     /* 2411695 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2411778), // Rule ID 45461 //
     /* 2411700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411736 */     // MIs[1] Operand 1
     /* 2411736 */     // No operand predicates
     /* 2411736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411740 */     // MIs[0] policy
     /* 2411740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411752 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411777 */     // GIR_Coverage, 45461,
     /* 2411777 */     GIR_EraseRootFromParent_Done,
     /* 2411778 */   // Label 34804: @2411778
     /* 2411778 */   GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2411850), // Rule ID 45402 //
     /* 2411783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411815 */     // MIs[0] policy
     /* 2411815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411825 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411849 */     // GIR_Coverage, 45402,
     /* 2411849 */     GIR_EraseRootFromParent_Done,
     /* 2411850 */   // Label 34805: @2411850
     /* 2411850 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2411922), // Rule ID 45403 //
     /* 2411855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411887 */     // MIs[0] policy
     /* 2411887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411897 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411921 */     // GIR_Coverage, 45403,
     /* 2411921 */     GIR_EraseRootFromParent_Done,
     /* 2411922 */   // Label 34806: @2411922
     /* 2411922 */   GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2411994), // Rule ID 45462 //
     /* 2411927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411959 */     // MIs[0] policy
     /* 2411959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411969 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411993 */     // GIR_Coverage, 45462,
     /* 2411993 */     GIR_EraseRootFromParent_Done,
     /* 2411994 */   // Label 34807: @2411994
     /* 2411994 */   GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2412066), // Rule ID 45463 //
     /* 2411999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2412002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2412008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412031 */     // MIs[0] policy
     /* 2412031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412041 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2412044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412065 */     // GIR_Coverage, 45463,
     /* 2412065 */     GIR_EraseRootFromParent_Done,
     /* 2412066 */   // Label 34808: @2412066
     /* 2412066 */   GIM_Reject,
     /* 2412067 */ // Label 34800: @2412067
     /* 2412067 */ GIM_Reject,
     /* 2412068 */ // Label 34730: @2412068
     /* 2412068 */ GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2412390),
     /* 2412073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2412076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2412079 */   GIM_Try, /*On fail goto*//*Label 34810*/ GIMT_Encode4(2412162), // Rule ID 45332 //
     /* 2412084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412120 */     // MIs[1] Operand 1
     /* 2412120 */     // No operand predicates
     /* 2412120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412124 */     // MIs[0] policy
     /* 2412124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412136 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2412139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412161 */     // GIR_Coverage, 45332,
     /* 2412161 */     GIR_EraseRootFromParent_Done,
     /* 2412162 */   // Label 34810: @2412162
     /* 2412162 */   GIM_Try, /*On fail goto*//*Label 34811*/ GIMT_Encode4(2412245), // Rule ID 45333 //
     /* 2412167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412203 */     // MIs[1] Operand 1
     /* 2412203 */     // No operand predicates
     /* 2412203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412207 */     // MIs[0] policy
     /* 2412207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412219 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2412222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412244 */     // GIR_Coverage, 45333,
     /* 2412244 */     GIR_EraseRootFromParent_Done,
     /* 2412245 */   // Label 34811: @2412245
     /* 2412245 */   GIM_Try, /*On fail goto*//*Label 34812*/ GIMT_Encode4(2412317), // Rule ID 45334 //
     /* 2412250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412282 */     // MIs[0] policy
     /* 2412282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412292 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2412295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412316 */     // GIR_Coverage, 45334,
     /* 2412316 */     GIR_EraseRootFromParent_Done,
     /* 2412317 */   // Label 34812: @2412317
     /* 2412317 */   GIM_Try, /*On fail goto*//*Label 34813*/ GIMT_Encode4(2412389), // Rule ID 45335 //
     /* 2412322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412354 */     // MIs[0] policy
     /* 2412354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412364 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2412367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412388 */     // GIR_Coverage, 45335,
     /* 2412388 */     GIR_EraseRootFromParent_Done,
     /* 2412389 */   // Label 34813: @2412389
     /* 2412389 */   GIM_Reject,
     /* 2412390 */ // Label 34809: @2412390
     /* 2412390 */ GIM_Reject,
     /* 2412391 */ // Label 34731: @2412391
     /* 2412391 */ GIM_Try, /*On fail goto*//*Label 34814*/ GIMT_Encode4(2413023),
     /* 2412396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2412402 */   GIM_Try, /*On fail goto*//*Label 34815*/ GIMT_Encode4(2412485), // Rule ID 45352 //
     /* 2412407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412443 */     // MIs[1] Operand 1
     /* 2412443 */     // No operand predicates
     /* 2412443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412447 */     // MIs[0] policy
     /* 2412447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412459 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412484 */     // GIR_Coverage, 45352,
     /* 2412484 */     GIR_EraseRootFromParent_Done,
     /* 2412485 */   // Label 34815: @2412485
     /* 2412485 */   GIM_Try, /*On fail goto*//*Label 34816*/ GIMT_Encode4(2412568), // Rule ID 45353 //
     /* 2412490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412526 */     // MIs[1] Operand 1
     /* 2412526 */     // No operand predicates
     /* 2412526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412530 */     // MIs[0] policy
     /* 2412530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412542 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412567 */     // GIR_Coverage, 45353,
     /* 2412567 */     GIR_EraseRootFromParent_Done,
     /* 2412568 */   // Label 34816: @2412568
     /* 2412568 */   GIM_Try, /*On fail goto*//*Label 34817*/ GIMT_Encode4(2412651), // Rule ID 45424 //
     /* 2412573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412609 */     // MIs[1] Operand 1
     /* 2412609 */     // No operand predicates
     /* 2412609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412613 */     // MIs[0] policy
     /* 2412613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412625 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412650 */     // GIR_Coverage, 45424,
     /* 2412650 */     GIR_EraseRootFromParent_Done,
     /* 2412651 */   // Label 34817: @2412651
     /* 2412651 */   GIM_Try, /*On fail goto*//*Label 34818*/ GIMT_Encode4(2412734), // Rule ID 45425 //
     /* 2412656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412692 */     // MIs[1] Operand 1
     /* 2412692 */     // No operand predicates
     /* 2412692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412696 */     // MIs[0] policy
     /* 2412696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412708 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412733 */     // GIR_Coverage, 45425,
     /* 2412733 */     GIR_EraseRootFromParent_Done,
     /* 2412734 */   // Label 34818: @2412734
     /* 2412734 */   GIM_Try, /*On fail goto*//*Label 34819*/ GIMT_Encode4(2412806), // Rule ID 45354 //
     /* 2412739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412771 */     // MIs[0] policy
     /* 2412771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412781 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412805 */     // GIR_Coverage, 45354,
     /* 2412805 */     GIR_EraseRootFromParent_Done,
     /* 2412806 */   // Label 34819: @2412806
     /* 2412806 */   GIM_Try, /*On fail goto*//*Label 34820*/ GIMT_Encode4(2412878), // Rule ID 45355 //
     /* 2412811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412843 */     // MIs[0] policy
     /* 2412843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412853 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412877 */     // GIR_Coverage, 45355,
     /* 2412877 */     GIR_EraseRootFromParent_Done,
     /* 2412878 */   // Label 34820: @2412878
     /* 2412878 */   GIM_Try, /*On fail goto*//*Label 34821*/ GIMT_Encode4(2412950), // Rule ID 45426 //
     /* 2412883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412915 */     // MIs[0] policy
     /* 2412915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412925 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412949 */     // GIR_Coverage, 45426,
     /* 2412949 */     GIR_EraseRootFromParent_Done,
     /* 2412950 */   // Label 34821: @2412950
     /* 2412950 */   GIM_Try, /*On fail goto*//*Label 34822*/ GIMT_Encode4(2413022), // Rule ID 45427 //
     /* 2412955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412987 */     // MIs[0] policy
     /* 2412987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412997 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2413000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413021 */     // GIR_Coverage, 45427,
     /* 2413021 */     GIR_EraseRootFromParent_Done,
     /* 2413022 */   // Label 34822: @2413022
     /* 2413022 */   GIM_Reject,
     /* 2413023 */ // Label 34814: @2413023
     /* 2413023 */ GIM_Reject,
     /* 2413024 */ // Label 34732: @2413024
     /* 2413024 */ GIM_Try, /*On fail goto*//*Label 34823*/ GIMT_Encode4(2413656),
     /* 2413029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2413035 */   GIM_Try, /*On fail goto*//*Label 34824*/ GIMT_Encode4(2413118), // Rule ID 45388 //
     /* 2413040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413076 */     // MIs[1] Operand 1
     /* 2413076 */     // No operand predicates
     /* 2413076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413080 */     // MIs[0] policy
     /* 2413080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413092 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413117 */     // GIR_Coverage, 45388,
     /* 2413117 */     GIR_EraseRootFromParent_Done,
     /* 2413118 */   // Label 34824: @2413118
     /* 2413118 */   GIM_Try, /*On fail goto*//*Label 34825*/ GIMT_Encode4(2413201), // Rule ID 45389 //
     /* 2413123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413159 */     // MIs[1] Operand 1
     /* 2413159 */     // No operand predicates
     /* 2413159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413163 */     // MIs[0] policy
     /* 2413163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413175 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413200 */     // GIR_Coverage, 45389,
     /* 2413200 */     GIR_EraseRootFromParent_Done,
     /* 2413201 */   // Label 34825: @2413201
     /* 2413201 */   GIM_Try, /*On fail goto*//*Label 34826*/ GIMT_Encode4(2413284), // Rule ID 45448 //
     /* 2413206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413242 */     // MIs[1] Operand 1
     /* 2413242 */     // No operand predicates
     /* 2413242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413246 */     // MIs[0] policy
     /* 2413246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413258 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413283 */     // GIR_Coverage, 45448,
     /* 2413283 */     GIR_EraseRootFromParent_Done,
     /* 2413284 */   // Label 34826: @2413284
     /* 2413284 */   GIM_Try, /*On fail goto*//*Label 34827*/ GIMT_Encode4(2413367), // Rule ID 45449 //
     /* 2413289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413325 */     // MIs[1] Operand 1
     /* 2413325 */     // No operand predicates
     /* 2413325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413329 */     // MIs[0] policy
     /* 2413329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413341 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413366 */     // GIR_Coverage, 45449,
     /* 2413366 */     GIR_EraseRootFromParent_Done,
     /* 2413367 */   // Label 34827: @2413367
     /* 2413367 */   GIM_Try, /*On fail goto*//*Label 34828*/ GIMT_Encode4(2413439), // Rule ID 45390 //
     /* 2413372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413404 */     // MIs[0] policy
     /* 2413404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413414 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413438 */     // GIR_Coverage, 45390,
     /* 2413438 */     GIR_EraseRootFromParent_Done,
     /* 2413439 */   // Label 34828: @2413439
     /* 2413439 */   GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2413511), // Rule ID 45391 //
     /* 2413444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413476 */     // MIs[0] policy
     /* 2413476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413486 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413510 */     // GIR_Coverage, 45391,
     /* 2413510 */     GIR_EraseRootFromParent_Done,
     /* 2413511 */   // Label 34829: @2413511
     /* 2413511 */   GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2413583), // Rule ID 45450 //
     /* 2413516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413548 */     // MIs[0] policy
     /* 2413548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413558 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413582 */     // GIR_Coverage, 45450,
     /* 2413582 */     GIR_EraseRootFromParent_Done,
     /* 2413583 */   // Label 34830: @2413583
     /* 2413583 */   GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2413655), // Rule ID 45451 //
     /* 2413588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413620 */     // MIs[0] policy
     /* 2413620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413630 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413654 */     // GIR_Coverage, 45451,
     /* 2413654 */     GIR_EraseRootFromParent_Done,
     /* 2413655 */   // Label 34831: @2413655
     /* 2413655 */   GIM_Reject,
     /* 2413656 */ // Label 34823: @2413656
     /* 2413656 */ GIM_Reject,
     /* 2413657 */ // Label 34733: @2413657
     /* 2413657 */ GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2414289),
     /* 2413662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2413665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2413668 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2413751), // Rule ID 45404 //
     /* 2413673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413709 */     // MIs[1] Operand 1
     /* 2413709 */     // No operand predicates
     /* 2413709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413713 */     // MIs[0] policy
     /* 2413713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413725 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413750 */     // GIR_Coverage, 45404,
     /* 2413750 */     GIR_EraseRootFromParent_Done,
     /* 2413751 */   // Label 34833: @2413751
     /* 2413751 */   GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2413834), // Rule ID 45405 //
     /* 2413756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413792 */     // MIs[1] Operand 1
     /* 2413792 */     // No operand predicates
     /* 2413792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413796 */     // MIs[0] policy
     /* 2413796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413808 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413833 */     // GIR_Coverage, 45405,
     /* 2413833 */     GIR_EraseRootFromParent_Done,
     /* 2413834 */   // Label 34834: @2413834
     /* 2413834 */   GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2413917), // Rule ID 45464 //
     /* 2413839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413875 */     // MIs[1] Operand 1
     /* 2413875 */     // No operand predicates
     /* 2413875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413879 */     // MIs[0] policy
     /* 2413879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413891 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413916 */     // GIR_Coverage, 45464,
     /* 2413916 */     GIR_EraseRootFromParent_Done,
     /* 2413917 */   // Label 34835: @2413917
     /* 2413917 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2414000), // Rule ID 45465 //
     /* 2413922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413958 */     // MIs[1] Operand 1
     /* 2413958 */     // No operand predicates
     /* 2413958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413962 */     // MIs[0] policy
     /* 2413962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413974 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413999 */     // GIR_Coverage, 45465,
     /* 2413999 */     GIR_EraseRootFromParent_Done,
     /* 2414000 */   // Label 34836: @2414000
     /* 2414000 */   GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2414072), // Rule ID 45406 //
     /* 2414005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414037 */     // MIs[0] policy
     /* 2414037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414047 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414071 */     // GIR_Coverage, 45406,
     /* 2414071 */     GIR_EraseRootFromParent_Done,
     /* 2414072 */   // Label 34837: @2414072
     /* 2414072 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2414144), // Rule ID 45407 //
     /* 2414077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414109 */     // MIs[0] policy
     /* 2414109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414119 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414143 */     // GIR_Coverage, 45407,
     /* 2414143 */     GIR_EraseRootFromParent_Done,
     /* 2414144 */   // Label 34838: @2414144
     /* 2414144 */   GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2414216), // Rule ID 45466 //
     /* 2414149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414181 */     // MIs[0] policy
     /* 2414181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414191 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414215 */     // GIR_Coverage, 45466,
     /* 2414215 */     GIR_EraseRootFromParent_Done,
     /* 2414216 */   // Label 34839: @2414216
     /* 2414216 */   GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2414288), // Rule ID 45467 //
     /* 2414221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414253 */     // MIs[0] policy
     /* 2414253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414263 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414287 */     // GIR_Coverage, 45467,
     /* 2414287 */     GIR_EraseRootFromParent_Done,
     /* 2414288 */   // Label 34840: @2414288
     /* 2414288 */   GIM_Reject,
     /* 2414289 */ // Label 34832: @2414289
     /* 2414289 */ GIM_Reject,
     /* 2414290 */ // Label 34734: @2414290
     /* 2414290 */ GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2414612),
     /* 2414295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2414298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2414301 */   GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2414384), // Rule ID 45348 //
     /* 2414306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414342 */     // MIs[1] Operand 1
     /* 2414342 */     // No operand predicates
     /* 2414342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414346 */     // MIs[0] policy
     /* 2414346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414358 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2414361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414383 */     // GIR_Coverage, 45348,
     /* 2414383 */     GIR_EraseRootFromParent_Done,
     /* 2414384 */   // Label 34842: @2414384
     /* 2414384 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2414467), // Rule ID 45349 //
     /* 2414389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414425 */     // MIs[1] Operand 1
     /* 2414425 */     // No operand predicates
     /* 2414425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414429 */     // MIs[0] policy
     /* 2414429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414441 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2414444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414466 */     // GIR_Coverage, 45349,
     /* 2414466 */     GIR_EraseRootFromParent_Done,
     /* 2414467 */   // Label 34843: @2414467
     /* 2414467 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2414539), // Rule ID 45350 //
     /* 2414472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414504 */     // MIs[0] policy
     /* 2414504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414514 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414538 */     // GIR_Coverage, 45350,
     /* 2414538 */     GIR_EraseRootFromParent_Done,
     /* 2414539 */   // Label 34844: @2414539
     /* 2414539 */   GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2414611), // Rule ID 45351 //
     /* 2414544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414576 */     // MIs[0] policy
     /* 2414576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414586 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414610 */     // GIR_Coverage, 45351,
     /* 2414610 */     GIR_EraseRootFromParent_Done,
     /* 2414611 */   // Label 34845: @2414611
     /* 2414611 */   GIM_Reject,
     /* 2414612 */ // Label 34841: @2414612
     /* 2414612 */ GIM_Reject,
     /* 2414613 */ // Label 34735: @2414613
     /* 2414613 */ GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2415245),
     /* 2414618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2414624 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2414707), // Rule ID 45376 //
     /* 2414629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414665 */     // MIs[1] Operand 1
     /* 2414665 */     // No operand predicates
     /* 2414665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414669 */     // MIs[0] policy
     /* 2414669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414681 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414706 */     // GIR_Coverage, 45376,
     /* 2414706 */     GIR_EraseRootFromParent_Done,
     /* 2414707 */   // Label 34847: @2414707
     /* 2414707 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2414790), // Rule ID 45377 //
     /* 2414712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414748 */     // MIs[1] Operand 1
     /* 2414748 */     // No operand predicates
     /* 2414748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414752 */     // MIs[0] policy
     /* 2414752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414764 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414789 */     // GIR_Coverage, 45377,
     /* 2414789 */     GIR_EraseRootFromParent_Done,
     /* 2414790 */   // Label 34848: @2414790
     /* 2414790 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2414873), // Rule ID 45436 //
     /* 2414795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414831 */     // MIs[1] Operand 1
     /* 2414831 */     // No operand predicates
     /* 2414831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414835 */     // MIs[0] policy
     /* 2414835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414847 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414872 */     // GIR_Coverage, 45436,
     /* 2414872 */     GIR_EraseRootFromParent_Done,
     /* 2414873 */   // Label 34849: @2414873
     /* 2414873 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2414956), // Rule ID 45437 //
     /* 2414878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414914 */     // MIs[1] Operand 1
     /* 2414914 */     // No operand predicates
     /* 2414914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414918 */     // MIs[0] policy
     /* 2414918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414930 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414955 */     // GIR_Coverage, 45437,
     /* 2414955 */     GIR_EraseRootFromParent_Done,
     /* 2414956 */   // Label 34850: @2414956
     /* 2414956 */   GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2415028), // Rule ID 45378 //
     /* 2414961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414993 */     // MIs[0] policy
     /* 2414993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415003 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2415006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415027 */     // GIR_Coverage, 45378,
     /* 2415027 */     GIR_EraseRootFromParent_Done,
     /* 2415028 */   // Label 34851: @2415028
     /* 2415028 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2415100), // Rule ID 45379 //
     /* 2415033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2415049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415065 */     // MIs[0] policy
     /* 2415065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415075 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2415078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415099 */     // GIR_Coverage, 45379,
     /* 2415099 */     GIR_EraseRootFromParent_Done,
     /* 2415100 */   // Label 34852: @2415100
     /* 2415100 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2415172), // Rule ID 45438 //
     /* 2415105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2415121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415137 */     // MIs[0] policy
     /* 2415137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415147 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2415150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415171 */     // GIR_Coverage, 45438,
     /* 2415171 */     GIR_EraseRootFromParent_Done,
     /* 2415172 */   // Label 34853: @2415172
     /* 2415172 */   GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2415244), // Rule ID 45439 //
     /* 2415177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2415193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415209 */     // MIs[0] policy
     /* 2415209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415219 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2415222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415243 */     // GIR_Coverage, 45439,
     /* 2415243 */     GIR_EraseRootFromParent_Done,
     /* 2415244 */   // Label 34854: @2415244
     /* 2415244 */   GIM_Reject,
     /* 2415245 */ // Label 34846: @2415245
     /* 2415245 */ GIM_Reject,
     /* 2415246 */ // Label 34736: @2415246
     /* 2415246 */ GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2415878),
     /* 2415251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2415257 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2415340), // Rule ID 45392 //
     /* 2415262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415298 */     // MIs[1] Operand 1
     /* 2415298 */     // No operand predicates
     /* 2415298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415302 */     // MIs[0] policy
     /* 2415302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415314 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415339 */     // GIR_Coverage, 45392,
     /* 2415339 */     GIR_EraseRootFromParent_Done,
     /* 2415340 */   // Label 34856: @2415340
     /* 2415340 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2415423), // Rule ID 45393 //
     /* 2415345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415381 */     // MIs[1] Operand 1
     /* 2415381 */     // No operand predicates
     /* 2415381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415385 */     // MIs[0] policy
     /* 2415385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415397 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415422 */     // GIR_Coverage, 45393,
     /* 2415422 */     GIR_EraseRootFromParent_Done,
     /* 2415423 */   // Label 34857: @2415423
     /* 2415423 */   GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2415506), // Rule ID 45452 //
     /* 2415428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415464 */     // MIs[1] Operand 1
     /* 2415464 */     // No operand predicates
     /* 2415464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415468 */     // MIs[0] policy
     /* 2415468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415480 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415505 */     // GIR_Coverage, 45452,
     /* 2415505 */     GIR_EraseRootFromParent_Done,
     /* 2415506 */   // Label 34858: @2415506
     /* 2415506 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2415589), // Rule ID 45453 //
     /* 2415511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415547 */     // MIs[1] Operand 1
     /* 2415547 */     // No operand predicates
     /* 2415547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415551 */     // MIs[0] policy
     /* 2415551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415563 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415588 */     // GIR_Coverage, 45453,
     /* 2415588 */     GIR_EraseRootFromParent_Done,
     /* 2415589 */   // Label 34859: @2415589
     /* 2415589 */   GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2415661), // Rule ID 45394 //
     /* 2415594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415626 */     // MIs[0] policy
     /* 2415626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415636 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415660 */     // GIR_Coverage, 45394,
     /* 2415660 */     GIR_EraseRootFromParent_Done,
     /* 2415661 */   // Label 34860: @2415661
     /* 2415661 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2415733), // Rule ID 45395 //
     /* 2415666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415698 */     // MIs[0] policy
     /* 2415698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415708 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415732 */     // GIR_Coverage, 45395,
     /* 2415732 */     GIR_EraseRootFromParent_Done,
     /* 2415733 */   // Label 34861: @2415733
     /* 2415733 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2415805), // Rule ID 45454 //
     /* 2415738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415770 */     // MIs[0] policy
     /* 2415770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415780 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415804 */     // GIR_Coverage, 45454,
     /* 2415804 */     GIR_EraseRootFromParent_Done,
     /* 2415805 */   // Label 34862: @2415805
     /* 2415805 */   GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2415877), // Rule ID 45455 //
     /* 2415810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415842 */     // MIs[0] policy
     /* 2415842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415852 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415876 */     // GIR_Coverage, 45455,
     /* 2415876 */     GIR_EraseRootFromParent_Done,
     /* 2415877 */   // Label 34863: @2415877
     /* 2415877 */   GIM_Reject,
     /* 2415878 */ // Label 34855: @2415878
     /* 2415878 */ GIM_Reject,
     /* 2415879 */ // Label 34737: @2415879
     /* 2415879 */ GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2416511),
     /* 2415884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2415887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2415890 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2415973), // Rule ID 45408 //
     /* 2415895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415931 */     // MIs[1] Operand 1
     /* 2415931 */     // No operand predicates
     /* 2415931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415935 */     // MIs[0] policy
     /* 2415935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415947 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415972 */     // GIR_Coverage, 45408,
     /* 2415972 */     GIR_EraseRootFromParent_Done,
     /* 2415973 */   // Label 34865: @2415973
     /* 2415973 */   GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2416056), // Rule ID 45409 //
     /* 2415978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416014 */     // MIs[1] Operand 1
     /* 2416014 */     // No operand predicates
     /* 2416014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416018 */     // MIs[0] policy
     /* 2416018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416030 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416055 */     // GIR_Coverage, 45409,
     /* 2416055 */     GIR_EraseRootFromParent_Done,
     /* 2416056 */   // Label 34866: @2416056
     /* 2416056 */   GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2416139), // Rule ID 45468 //
     /* 2416061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416097 */     // MIs[1] Operand 1
     /* 2416097 */     // No operand predicates
     /* 2416097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416101 */     // MIs[0] policy
     /* 2416101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416113 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416138 */     // GIR_Coverage, 45468,
     /* 2416138 */     GIR_EraseRootFromParent_Done,
     /* 2416139 */   // Label 34867: @2416139
     /* 2416139 */   GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2416222), // Rule ID 45469 //
     /* 2416144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416180 */     // MIs[1] Operand 1
     /* 2416180 */     // No operand predicates
     /* 2416180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416184 */     // MIs[0] policy
     /* 2416184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416196 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416221 */     // GIR_Coverage, 45469,
     /* 2416221 */     GIR_EraseRootFromParent_Done,
     /* 2416222 */   // Label 34868: @2416222
     /* 2416222 */   GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2416294), // Rule ID 45410 //
     /* 2416227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416259 */     // MIs[0] policy
     /* 2416259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416269 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416293 */     // GIR_Coverage, 45410,
     /* 2416293 */     GIR_EraseRootFromParent_Done,
     /* 2416294 */   // Label 34869: @2416294
     /* 2416294 */   GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2416366), // Rule ID 45411 //
     /* 2416299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416331 */     // MIs[0] policy
     /* 2416331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416341 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416365 */     // GIR_Coverage, 45411,
     /* 2416365 */     GIR_EraseRootFromParent_Done,
     /* 2416366 */   // Label 34870: @2416366
     /* 2416366 */   GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2416438), // Rule ID 45470 //
     /* 2416371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416403 */     // MIs[0] policy
     /* 2416403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416413 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416437 */     // GIR_Coverage, 45470,
     /* 2416437 */     GIR_EraseRootFromParent_Done,
     /* 2416438 */   // Label 34871: @2416438
     /* 2416438 */   GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2416510), // Rule ID 45471 //
     /* 2416443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416475 */     // MIs[0] policy
     /* 2416475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416485 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416509 */     // GIR_Coverage, 45471,
     /* 2416509 */     GIR_EraseRootFromParent_Done,
     /* 2416510 */   // Label 34872: @2416510
     /* 2416510 */   GIM_Reject,
     /* 2416511 */ // Label 34864: @2416511
     /* 2416511 */ GIM_Reject,
     /* 2416512 */ // Label 34738: @2416512
     /* 2416512 */ GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2416834),
     /* 2416517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2416520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2416523 */   GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2416606), // Rule ID 45364 //
     /* 2416528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416564 */     // MIs[1] Operand 1
     /* 2416564 */     // No operand predicates
     /* 2416564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416568 */     // MIs[0] policy
     /* 2416568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416580 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416605 */     // GIR_Coverage, 45364,
     /* 2416605 */     GIR_EraseRootFromParent_Done,
     /* 2416606 */   // Label 34874: @2416606
     /* 2416606 */   GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2416689), // Rule ID 45365 //
     /* 2416611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416647 */     // MIs[1] Operand 1
     /* 2416647 */     // No operand predicates
     /* 2416647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416651 */     // MIs[0] policy
     /* 2416651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416663 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416688 */     // GIR_Coverage, 45365,
     /* 2416688 */     GIR_EraseRootFromParent_Done,
     /* 2416689 */   // Label 34875: @2416689
     /* 2416689 */   GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2416761), // Rule ID 45366 //
     /* 2416694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416726 */     // MIs[0] policy
     /* 2416726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416736 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416760 */     // GIR_Coverage, 45366,
     /* 2416760 */     GIR_EraseRootFromParent_Done,
     /* 2416761 */   // Label 34876: @2416761
     /* 2416761 */   GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2416833), // Rule ID 45367 //
     /* 2416766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416798 */     // MIs[0] policy
     /* 2416798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416808 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416832 */     // GIR_Coverage, 45367,
     /* 2416832 */     GIR_EraseRootFromParent_Done,
     /* 2416833 */   // Label 34877: @2416833
     /* 2416833 */   GIM_Reject,
     /* 2416834 */ // Label 34873: @2416834
     /* 2416834 */ GIM_Reject,
     /* 2416835 */ // Label 34739: @2416835
     /* 2416835 */ GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2417467),
     /* 2416840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2416843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2416846 */   GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2416929), // Rule ID 45380 //
     /* 2416851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416887 */     // MIs[1] Operand 1
     /* 2416887 */     // No operand predicates
     /* 2416887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416891 */     // MIs[0] policy
     /* 2416891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416903 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416928 */     // GIR_Coverage, 45380,
     /* 2416928 */     GIR_EraseRootFromParent_Done,
     /* 2416929 */   // Label 34879: @2416929
     /* 2416929 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2417012), // Rule ID 45381 //
     /* 2416934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416970 */     // MIs[1] Operand 1
     /* 2416970 */     // No operand predicates
     /* 2416970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416974 */     // MIs[0] policy
     /* 2416974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416986 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417011 */     // GIR_Coverage, 45381,
     /* 2417011 */     GIR_EraseRootFromParent_Done,
     /* 2417012 */   // Label 34880: @2417012
     /* 2417012 */   GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2417095), // Rule ID 45440 //
     /* 2417017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417053 */     // MIs[1] Operand 1
     /* 2417053 */     // No operand predicates
     /* 2417053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417057 */     // MIs[0] policy
     /* 2417057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417069 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417094 */     // GIR_Coverage, 45440,
     /* 2417094 */     GIR_EraseRootFromParent_Done,
     /* 2417095 */   // Label 34881: @2417095
     /* 2417095 */   GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2417178), // Rule ID 45441 //
     /* 2417100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417136 */     // MIs[1] Operand 1
     /* 2417136 */     // No operand predicates
     /* 2417136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417140 */     // MIs[0] policy
     /* 2417140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417152 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417177 */     // GIR_Coverage, 45441,
     /* 2417177 */     GIR_EraseRootFromParent_Done,
     /* 2417178 */   // Label 34882: @2417178
     /* 2417178 */   GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2417250), // Rule ID 45382 //
     /* 2417183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417215 */     // MIs[0] policy
     /* 2417215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417225 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417249 */     // GIR_Coverage, 45382,
     /* 2417249 */     GIR_EraseRootFromParent_Done,
     /* 2417250 */   // Label 34883: @2417250
     /* 2417250 */   GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2417322), // Rule ID 45383 //
     /* 2417255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417287 */     // MIs[0] policy
     /* 2417287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417297 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417321 */     // GIR_Coverage, 45383,
     /* 2417321 */     GIR_EraseRootFromParent_Done,
     /* 2417322 */   // Label 34884: @2417322
     /* 2417322 */   GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2417394), // Rule ID 45442 //
     /* 2417327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417359 */     // MIs[0] policy
     /* 2417359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417369 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417393 */     // GIR_Coverage, 45442,
     /* 2417393 */     GIR_EraseRootFromParent_Done,
     /* 2417394 */   // Label 34885: @2417394
     /* 2417394 */   GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2417466), // Rule ID 45443 //
     /* 2417399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417431 */     // MIs[0] policy
     /* 2417431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417441 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417465 */     // GIR_Coverage, 45443,
     /* 2417465 */     GIR_EraseRootFromParent_Done,
     /* 2417466 */   // Label 34886: @2417466
     /* 2417466 */   GIM_Reject,
     /* 2417467 */ // Label 34878: @2417467
     /* 2417467 */ GIM_Reject,
     /* 2417468 */ // Label 34740: @2417468
     /* 2417468 */ GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2418100),
     /* 2417473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2417476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2417479 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2417562), // Rule ID 45396 //
     /* 2417484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417520 */     // MIs[1] Operand 1
     /* 2417520 */     // No operand predicates
     /* 2417520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417524 */     // MIs[0] policy
     /* 2417524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417536 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417561 */     // GIR_Coverage, 45396,
     /* 2417561 */     GIR_EraseRootFromParent_Done,
     /* 2417562 */   // Label 34888: @2417562
     /* 2417562 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2417645), // Rule ID 45397 //
     /* 2417567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417603 */     // MIs[1] Operand 1
     /* 2417603 */     // No operand predicates
     /* 2417603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417607 */     // MIs[0] policy
     /* 2417607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417619 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417644 */     // GIR_Coverage, 45397,
     /* 2417644 */     GIR_EraseRootFromParent_Done,
     /* 2417645 */   // Label 34889: @2417645
     /* 2417645 */   GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2417728), // Rule ID 45456 //
     /* 2417650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417686 */     // MIs[1] Operand 1
     /* 2417686 */     // No operand predicates
     /* 2417686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417690 */     // MIs[0] policy
     /* 2417690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417702 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417727 */     // GIR_Coverage, 45456,
     /* 2417727 */     GIR_EraseRootFromParent_Done,
     /* 2417728 */   // Label 34890: @2417728
     /* 2417728 */   GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2417811), // Rule ID 45457 //
     /* 2417733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417769 */     // MIs[1] Operand 1
     /* 2417769 */     // No operand predicates
     /* 2417769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417773 */     // MIs[0] policy
     /* 2417773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417785 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417810 */     // GIR_Coverage, 45457,
     /* 2417810 */     GIR_EraseRootFromParent_Done,
     /* 2417811 */   // Label 34891: @2417811
     /* 2417811 */   GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2417883), // Rule ID 45398 //
     /* 2417816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417848 */     // MIs[0] policy
     /* 2417848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417858 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417882 */     // GIR_Coverage, 45398,
     /* 2417882 */     GIR_EraseRootFromParent_Done,
     /* 2417883 */   // Label 34892: @2417883
     /* 2417883 */   GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2417955), // Rule ID 45399 //
     /* 2417888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417920 */     // MIs[0] policy
     /* 2417920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417930 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417954 */     // GIR_Coverage, 45399,
     /* 2417954 */     GIR_EraseRootFromParent_Done,
     /* 2417955 */   // Label 34893: @2417955
     /* 2417955 */   GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2418027), // Rule ID 45458 //
     /* 2417960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417992 */     // MIs[0] policy
     /* 2417992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418002 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418026 */     // GIR_Coverage, 45458,
     /* 2418026 */     GIR_EraseRootFromParent_Done,
     /* 2418027 */   // Label 34894: @2418027
     /* 2418027 */   GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2418099), // Rule ID 45459 //
     /* 2418032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2418041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418064 */     // MIs[0] policy
     /* 2418064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418074 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418098 */     // GIR_Coverage, 45459,
     /* 2418098 */     GIR_EraseRootFromParent_Done,
     /* 2418099 */   // Label 34895: @2418099
     /* 2418099 */   GIM_Reject,
     /* 2418100 */ // Label 34887: @2418100
     /* 2418100 */ GIM_Reject,
     /* 2418101 */ // Label 34741: @2418101
     /* 2418101 */ GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2418423),
     /* 2418106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2418109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2418112 */   GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2418195), // Rule ID 45368 //
     /* 2418117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418153 */     // MIs[1] Operand 1
     /* 2418153 */     // No operand predicates
     /* 2418153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418157 */     // MIs[0] policy
     /* 2418157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418169 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2418172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418194 */     // GIR_Coverage, 45368,
     /* 2418194 */     GIR_EraseRootFromParent_Done,
     /* 2418195 */   // Label 34897: @2418195
     /* 2418195 */   GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2418278), // Rule ID 45369 //
     /* 2418200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418236 */     // MIs[1] Operand 1
     /* 2418236 */     // No operand predicates
     /* 2418236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418240 */     // MIs[0] policy
     /* 2418240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418252 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2418255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418277 */     // GIR_Coverage, 45369,
     /* 2418277 */     GIR_EraseRootFromParent_Done,
     /* 2418278 */   // Label 34898: @2418278
     /* 2418278 */   GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2418350), // Rule ID 45370 //
     /* 2418283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418315 */     // MIs[0] policy
     /* 2418315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418325 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2418328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418349 */     // GIR_Coverage, 45370,
     /* 2418349 */     GIR_EraseRootFromParent_Done,
     /* 2418350 */   // Label 34899: @2418350
     /* 2418350 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2418422), // Rule ID 45371 //
     /* 2418355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418387 */     // MIs[0] policy
     /* 2418387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418397 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2418400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418421 */     // GIR_Coverage, 45371,
     /* 2418421 */     GIR_EraseRootFromParent_Done,
     /* 2418422 */   // Label 34900: @2418422
     /* 2418422 */   GIM_Reject,
     /* 2418423 */ // Label 34896: @2418423
     /* 2418423 */ GIM_Reject,
     /* 2418424 */ // Label 34742: @2418424
     /* 2418424 */ GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2419056),
     /* 2418429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2418435 */   GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2418518), // Rule ID 45384 //
     /* 2418440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418476 */     // MIs[1] Operand 1
     /* 2418476 */     // No operand predicates
     /* 2418476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418480 */     // MIs[0] policy
     /* 2418480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418492 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418517 */     // GIR_Coverage, 45384,
     /* 2418517 */     GIR_EraseRootFromParent_Done,
     /* 2418518 */   // Label 34902: @2418518
     /* 2418518 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2418601), // Rule ID 45385 //
     /* 2418523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418559 */     // MIs[1] Operand 1
     /* 2418559 */     // No operand predicates
     /* 2418559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418563 */     // MIs[0] policy
     /* 2418563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418575 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418600 */     // GIR_Coverage, 45385,
     /* 2418600 */     GIR_EraseRootFromParent_Done,
     /* 2418601 */   // Label 34903: @2418601
     /* 2418601 */   GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2418684), // Rule ID 45444 //
     /* 2418606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418642 */     // MIs[1] Operand 1
     /* 2418642 */     // No operand predicates
     /* 2418642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418646 */     // MIs[0] policy
     /* 2418646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418658 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418683 */     // GIR_Coverage, 45444,
     /* 2418683 */     GIR_EraseRootFromParent_Done,
     /* 2418684 */   // Label 34904: @2418684
     /* 2418684 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2418767), // Rule ID 45445 //
     /* 2418689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418725 */     // MIs[1] Operand 1
     /* 2418725 */     // No operand predicates
     /* 2418725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418729 */     // MIs[0] policy
     /* 2418729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418741 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418766 */     // GIR_Coverage, 45445,
     /* 2418766 */     GIR_EraseRootFromParent_Done,
     /* 2418767 */   // Label 34905: @2418767
     /* 2418767 */   GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2418839), // Rule ID 45386 //
     /* 2418772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418804 */     // MIs[0] policy
     /* 2418804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418814 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418838 */     // GIR_Coverage, 45386,
     /* 2418838 */     GIR_EraseRootFromParent_Done,
     /* 2418839 */   // Label 34906: @2418839
     /* 2418839 */   GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2418911), // Rule ID 45387 //
     /* 2418844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418876 */     // MIs[0] policy
     /* 2418876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418886 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418910 */     // GIR_Coverage, 45387,
     /* 2418910 */     GIR_EraseRootFromParent_Done,
     /* 2418911 */   // Label 34907: @2418911
     /* 2418911 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2418983), // Rule ID 45446 //
     /* 2418916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418948 */     // MIs[0] policy
     /* 2418948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418958 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418982 */     // GIR_Coverage, 45446,
     /* 2418982 */     GIR_EraseRootFromParent_Done,
     /* 2418983 */   // Label 34908: @2418983
     /* 2418983 */   GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2419055), // Rule ID 45447 //
     /* 2418988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419020 */     // MIs[0] policy
     /* 2419020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419030 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2419033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419054 */     // GIR_Coverage, 45447,
     /* 2419054 */     GIR_EraseRootFromParent_Done,
     /* 2419055 */   // Label 34909: @2419055
     /* 2419055 */   GIM_Reject,
     /* 2419056 */ // Label 34901: @2419056
     /* 2419056 */ GIM_Reject,
     /* 2419057 */ // Label 34743: @2419057
     /* 2419057 */ GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2419379),
     /* 2419062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2419065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2419068 */   GIM_Try, /*On fail goto*//*Label 34911*/ GIMT_Encode4(2419151), // Rule ID 45372 //
     /* 2419073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419109 */     // MIs[1] Operand 1
     /* 2419109 */     // No operand predicates
     /* 2419109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419113 */     // MIs[0] policy
     /* 2419113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419125 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2419128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419150 */     // GIR_Coverage, 45372,
     /* 2419150 */     GIR_EraseRootFromParent_Done,
     /* 2419151 */   // Label 34911: @2419151
     /* 2419151 */   GIM_Try, /*On fail goto*//*Label 34912*/ GIMT_Encode4(2419234), // Rule ID 45373 //
     /* 2419156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419192 */     // MIs[1] Operand 1
     /* 2419192 */     // No operand predicates
     /* 2419192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419196 */     // MIs[0] policy
     /* 2419196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419208 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2419211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419233 */     // GIR_Coverage, 45373,
     /* 2419233 */     GIR_EraseRootFromParent_Done,
     /* 2419234 */   // Label 34912: @2419234
     /* 2419234 */   GIM_Try, /*On fail goto*//*Label 34913*/ GIMT_Encode4(2419306), // Rule ID 45374 //
     /* 2419239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419271 */     // MIs[0] policy
     /* 2419271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419281 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2419284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419305 */     // GIR_Coverage, 45374,
     /* 2419305 */     GIR_EraseRootFromParent_Done,
     /* 2419306 */   // Label 34913: @2419306
     /* 2419306 */   GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2419378), // Rule ID 45375 //
     /* 2419311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419343 */     // MIs[0] policy
     /* 2419343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419353 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2419356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419377 */     // GIR_Coverage, 45375,
     /* 2419377 */     GIR_EraseRootFromParent_Done,
     /* 2419378 */   // Label 34914: @2419378
     /* 2419378 */   GIM_Reject,
     /* 2419379 */ // Label 34910: @2419379
     /* 2419379 */ GIM_Reject,
     /* 2419380 */ // Label 34744: @2419380
     /* 2419380 */ GIM_Reject,
     /* 2419381 */ // Label 122: @2419381
     /* 2419381 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34937*/ GIMT_Encode4(2431260),
     /* 2419392 */ /*GILLT_nxv1s8*//*Label 34915*/ GIMT_Encode4(2419504),
     /* 2419396 */ /*GILLT_nxv1s16*//*Label 34916*/ GIMT_Encode4(2419827),
     /* 2419400 */ /*GILLT_nxv1s32*//*Label 34917*/ GIMT_Encode4(2420460),
     /* 2419404 */ /*GILLT_nxv1s64*//*Label 34918*/ GIMT_Encode4(2421093), GIMT_Encode4(0),
     /* 2419412 */ /*GILLT_nxv2s8*//*Label 34919*/ GIMT_Encode4(2421726),
     /* 2419416 */ /*GILLT_nxv2s16*//*Label 34920*/ GIMT_Encode4(2422049),
     /* 2419420 */ /*GILLT_nxv2s32*//*Label 34921*/ GIMT_Encode4(2422682),
     /* 2419424 */ /*GILLT_nxv2s64*//*Label 34922*/ GIMT_Encode4(2423315), GIMT_Encode4(0),
     /* 2419432 */ /*GILLT_nxv4s8*//*Label 34923*/ GIMT_Encode4(2423948),
     /* 2419436 */ /*GILLT_nxv4s16*//*Label 34924*/ GIMT_Encode4(2424271),
     /* 2419440 */ /*GILLT_nxv4s32*//*Label 34925*/ GIMT_Encode4(2424904),
     /* 2419444 */ /*GILLT_nxv4s64*//*Label 34926*/ GIMT_Encode4(2425537), GIMT_Encode4(0),
     /* 2419452 */ /*GILLT_nxv8s8*//*Label 34927*/ GIMT_Encode4(2426170),
     /* 2419456 */ /*GILLT_nxv8s16*//*Label 34928*/ GIMT_Encode4(2426493),
     /* 2419460 */ /*GILLT_nxv8s32*//*Label 34929*/ GIMT_Encode4(2427126),
     /* 2419464 */ /*GILLT_nxv8s64*//*Label 34930*/ GIMT_Encode4(2427759), GIMT_Encode4(0),
     /* 2419472 */ /*GILLT_nxv16s8*//*Label 34931*/ GIMT_Encode4(2428392),
     /* 2419476 */ /*GILLT_nxv16s16*//*Label 34932*/ GIMT_Encode4(2428715),
     /* 2419480 */ /*GILLT_nxv16s32*//*Label 34933*/ GIMT_Encode4(2429348), GIMT_Encode4(0),
     /* 2419488 */ /*GILLT_nxv32s8*//*Label 34934*/ GIMT_Encode4(2429981),
     /* 2419492 */ /*GILLT_nxv32s16*//*Label 34935*/ GIMT_Encode4(2430304), GIMT_Encode4(0),
     /* 2419500 */ /*GILLT_nxv64s8*//*Label 34936*/ GIMT_Encode4(2430937),
     /* 2419504 */ // Label 34915: @2419504
     /* 2419504 */ GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2419826),
     /* 2419509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2419512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2419515 */   GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2419598), // Rule ID 25242 //
     /* 2419520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419556 */     // MIs[1] Operand 1
     /* 2419556 */     // No operand predicates
     /* 2419556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419560 */     // MIs[0] policy
     /* 2419560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419572 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419597 */     // GIR_Coverage, 25242,
     /* 2419597 */     GIR_EraseRootFromParent_Done,
     /* 2419598 */   // Label 34939: @2419598
     /* 2419598 */   GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2419681), // Rule ID 25243 //
     /* 2419603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419639 */     // MIs[1] Operand 1
     /* 2419639 */     // No operand predicates
     /* 2419639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419643 */     // MIs[0] policy
     /* 2419643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419655 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419680 */     // GIR_Coverage, 25243,
     /* 2419680 */     GIR_EraseRootFromParent_Done,
     /* 2419681 */   // Label 34940: @2419681
     /* 2419681 */   GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2419753), // Rule ID 25244 //
     /* 2419686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419718 */     // MIs[0] policy
     /* 2419718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419728 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419752 */     // GIR_Coverage, 25244,
     /* 2419752 */     GIR_EraseRootFromParent_Done,
     /* 2419753 */   // Label 34941: @2419753
     /* 2419753 */   GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2419825), // Rule ID 25245 //
     /* 2419758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419790 */     // MIs[0] policy
     /* 2419790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419800 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419824 */     // GIR_Coverage, 25245,
     /* 2419824 */     GIR_EraseRootFromParent_Done,
     /* 2419825 */   // Label 34942: @2419825
     /* 2419825 */   GIM_Reject,
     /* 2419826 */ // Label 34938: @2419826
     /* 2419826 */ GIM_Reject,
     /* 2419827 */ // Label 34916: @2419827
     /* 2419827 */ GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2420459),
     /* 2419832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2419835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2419838 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2419921), // Rule ID 45188 //
     /* 2419843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419879 */     // MIs[1] Operand 1
     /* 2419879 */     // No operand predicates
     /* 2419879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419883 */     // MIs[0] policy
     /* 2419883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419895 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419920 */     // GIR_Coverage, 45188,
     /* 2419920 */     GIR_EraseRootFromParent_Done,
     /* 2419921 */   // Label 34944: @2419921
     /* 2419921 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2420004), // Rule ID 45189 //
     /* 2419926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419962 */     // MIs[1] Operand 1
     /* 2419962 */     // No operand predicates
     /* 2419962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419966 */     // MIs[0] policy
     /* 2419966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419978 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420003 */     // GIR_Coverage, 45189,
     /* 2420003 */     GIR_EraseRootFromParent_Done,
     /* 2420004 */   // Label 34945: @2420004
     /* 2420004 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2420087), // Rule ID 45264 //
     /* 2420009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420045 */     // MIs[1] Operand 1
     /* 2420045 */     // No operand predicates
     /* 2420045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420049 */     // MIs[0] policy
     /* 2420049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420061 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2420064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420086 */     // GIR_Coverage, 45264,
     /* 2420086 */     GIR_EraseRootFromParent_Done,
     /* 2420087 */   // Label 34946: @2420087
     /* 2420087 */   GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2420170), // Rule ID 45265 //
     /* 2420092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420128 */     // MIs[1] Operand 1
     /* 2420128 */     // No operand predicates
     /* 2420128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420132 */     // MIs[0] policy
     /* 2420132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420144 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2420147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420169 */     // GIR_Coverage, 45265,
     /* 2420169 */     GIR_EraseRootFromParent_Done,
     /* 2420170 */   // Label 34947: @2420170
     /* 2420170 */   GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2420242), // Rule ID 45190 //
     /* 2420175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420207 */     // MIs[0] policy
     /* 2420207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420217 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420241 */     // GIR_Coverage, 45190,
     /* 2420241 */     GIR_EraseRootFromParent_Done,
     /* 2420242 */   // Label 34948: @2420242
     /* 2420242 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2420314), // Rule ID 45191 //
     /* 2420247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420279 */     // MIs[0] policy
     /* 2420279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420289 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420313 */     // GIR_Coverage, 45191,
     /* 2420313 */     GIR_EraseRootFromParent_Done,
     /* 2420314 */   // Label 34949: @2420314
     /* 2420314 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2420386), // Rule ID 45266 //
     /* 2420319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420351 */     // MIs[0] policy
     /* 2420351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420361 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420385 */     // GIR_Coverage, 45266,
     /* 2420385 */     GIR_EraseRootFromParent_Done,
     /* 2420386 */   // Label 34950: @2420386
     /* 2420386 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2420458), // Rule ID 45267 //
     /* 2420391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420423 */     // MIs[0] policy
     /* 2420423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420433 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420457 */     // GIR_Coverage, 45267,
     /* 2420457 */     GIR_EraseRootFromParent_Done,
     /* 2420458 */   // Label 34951: @2420458
     /* 2420458 */   GIM_Reject,
     /* 2420459 */ // Label 34943: @2420459
     /* 2420459 */ GIM_Reject,
     /* 2420460 */ // Label 34917: @2420460
     /* 2420460 */ GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2421092),
     /* 2420465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2420468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2420471 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2420554), // Rule ID 45196 //
     /* 2420476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420512 */     // MIs[1] Operand 1
     /* 2420512 */     // No operand predicates
     /* 2420512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420516 */     // MIs[0] policy
     /* 2420516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420528 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420553 */     // GIR_Coverage, 45196,
     /* 2420553 */     GIR_EraseRootFromParent_Done,
     /* 2420554 */   // Label 34953: @2420554
     /* 2420554 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2420637), // Rule ID 45197 //
     /* 2420559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420595 */     // MIs[1] Operand 1
     /* 2420595 */     // No operand predicates
     /* 2420595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420599 */     // MIs[0] policy
     /* 2420599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420611 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420636 */     // GIR_Coverage, 45197,
     /* 2420636 */     GIR_EraseRootFromParent_Done,
     /* 2420637 */   // Label 34954: @2420637
     /* 2420637 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2420720), // Rule ID 45272 //
     /* 2420642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420678 */     // MIs[1] Operand 1
     /* 2420678 */     // No operand predicates
     /* 2420678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420682 */     // MIs[0] policy
     /* 2420682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420694 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420719 */     // GIR_Coverage, 45272,
     /* 2420719 */     GIR_EraseRootFromParent_Done,
     /* 2420720 */   // Label 34955: @2420720
     /* 2420720 */   GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2420803), // Rule ID 45273 //
     /* 2420725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420761 */     // MIs[1] Operand 1
     /* 2420761 */     // No operand predicates
     /* 2420761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420765 */     // MIs[0] policy
     /* 2420765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420777 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420802 */     // GIR_Coverage, 45273,
     /* 2420802 */     GIR_EraseRootFromParent_Done,
     /* 2420803 */   // Label 34956: @2420803
     /* 2420803 */   GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2420875), // Rule ID 45198 //
     /* 2420808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420840 */     // MIs[0] policy
     /* 2420840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420850 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420874 */     // GIR_Coverage, 45198,
     /* 2420874 */     GIR_EraseRootFromParent_Done,
     /* 2420875 */   // Label 34957: @2420875
     /* 2420875 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2420947), // Rule ID 45199 //
     /* 2420880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420912 */     // MIs[0] policy
     /* 2420912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420922 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420946 */     // GIR_Coverage, 45199,
     /* 2420946 */     GIR_EraseRootFromParent_Done,
     /* 2420947 */   // Label 34958: @2420947
     /* 2420947 */   GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2421019), // Rule ID 45274 //
     /* 2420952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420984 */     // MIs[0] policy
     /* 2420984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420994 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421018 */     // GIR_Coverage, 45274,
     /* 2421018 */     GIR_EraseRootFromParent_Done,
     /* 2421019 */   // Label 34959: @2421019
     /* 2421019 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2421091), // Rule ID 45275 //
     /* 2421024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421056 */     // MIs[0] policy
     /* 2421056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421066 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2421069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421090 */     // GIR_Coverage, 45275,
     /* 2421090 */     GIR_EraseRootFromParent_Done,
     /* 2421091 */   // Label 34960: @2421091
     /* 2421091 */   GIM_Reject,
     /* 2421092 */ // Label 34952: @2421092
     /* 2421092 */ GIM_Reject,
     /* 2421093 */ // Label 34918: @2421093
     /* 2421093 */ GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2421725),
     /* 2421098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2421101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2421104 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2421187), // Rule ID 45212 //
     /* 2421109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421145 */     // MIs[1] Operand 1
     /* 2421145 */     // No operand predicates
     /* 2421145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421149 */     // MIs[0] policy
     /* 2421149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421161 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421186 */     // GIR_Coverage, 45212,
     /* 2421186 */     GIR_EraseRootFromParent_Done,
     /* 2421187 */   // Label 34962: @2421187
     /* 2421187 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2421270), // Rule ID 45213 //
     /* 2421192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421228 */     // MIs[1] Operand 1
     /* 2421228 */     // No operand predicates
     /* 2421228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421232 */     // MIs[0] policy
     /* 2421232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421244 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421269 */     // GIR_Coverage, 45213,
     /* 2421269 */     GIR_EraseRootFromParent_Done,
     /* 2421270 */   // Label 34963: @2421270
     /* 2421270 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2421353), // Rule ID 45284 //
     /* 2421275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421311 */     // MIs[1] Operand 1
     /* 2421311 */     // No operand predicates
     /* 2421311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421315 */     // MIs[0] policy
     /* 2421315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421327 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421352 */     // GIR_Coverage, 45284,
     /* 2421352 */     GIR_EraseRootFromParent_Done,
     /* 2421353 */   // Label 34964: @2421353
     /* 2421353 */   GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2421436), // Rule ID 45285 //
     /* 2421358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421394 */     // MIs[1] Operand 1
     /* 2421394 */     // No operand predicates
     /* 2421394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421398 */     // MIs[0] policy
     /* 2421398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421410 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421435 */     // GIR_Coverage, 45285,
     /* 2421435 */     GIR_EraseRootFromParent_Done,
     /* 2421436 */   // Label 34965: @2421436
     /* 2421436 */   GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2421508), // Rule ID 45214 //
     /* 2421441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421473 */     // MIs[0] policy
     /* 2421473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421483 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421507 */     // GIR_Coverage, 45214,
     /* 2421507 */     GIR_EraseRootFromParent_Done,
     /* 2421508 */   // Label 34966: @2421508
     /* 2421508 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2421580), // Rule ID 45215 //
     /* 2421513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421545 */     // MIs[0] policy
     /* 2421545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421555 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421579 */     // GIR_Coverage, 45215,
     /* 2421579 */     GIR_EraseRootFromParent_Done,
     /* 2421580 */   // Label 34967: @2421580
     /* 2421580 */   GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2421652), // Rule ID 45286 //
     /* 2421585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421617 */     // MIs[0] policy
     /* 2421617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421627 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421651 */     // GIR_Coverage, 45286,
     /* 2421651 */     GIR_EraseRootFromParent_Done,
     /* 2421652 */   // Label 34968: @2421652
     /* 2421652 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2421724), // Rule ID 45287 //
     /* 2421657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421689 */     // MIs[0] policy
     /* 2421689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421699 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421723 */     // GIR_Coverage, 45287,
     /* 2421723 */     GIR_EraseRootFromParent_Done,
     /* 2421724 */   // Label 34969: @2421724
     /* 2421724 */   GIM_Reject,
     /* 2421725 */ // Label 34961: @2421725
     /* 2421725 */ GIM_Reject,
     /* 2421726 */ // Label 34919: @2421726
     /* 2421726 */ GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2422048),
     /* 2421731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2421734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2421737 */   GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2421820), // Rule ID 45180 //
     /* 2421742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421778 */     // MIs[1] Operand 1
     /* 2421778 */     // No operand predicates
     /* 2421778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421782 */     // MIs[0] policy
     /* 2421782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421794 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421819 */     // GIR_Coverage, 45180,
     /* 2421819 */     GIR_EraseRootFromParent_Done,
     /* 2421820 */   // Label 34971: @2421820
     /* 2421820 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2421903), // Rule ID 45181 //
     /* 2421825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421861 */     // MIs[1] Operand 1
     /* 2421861 */     // No operand predicates
     /* 2421861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421865 */     // MIs[0] policy
     /* 2421865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421877 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421902 */     // GIR_Coverage, 45181,
     /* 2421902 */     GIR_EraseRootFromParent_Done,
     /* 2421903 */   // Label 34972: @2421903
     /* 2421903 */   GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2421975), // Rule ID 45182 //
     /* 2421908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421940 */     // MIs[0] policy
     /* 2421940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421950 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2421953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421974 */     // GIR_Coverage, 45182,
     /* 2421974 */     GIR_EraseRootFromParent_Done,
     /* 2421975 */   // Label 34973: @2421975
     /* 2421975 */   GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2422047), // Rule ID 45183 //
     /* 2421980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422012 */     // MIs[0] policy
     /* 2422012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422022 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2422025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422046 */     // GIR_Coverage, 45183,
     /* 2422046 */     GIR_EraseRootFromParent_Done,
     /* 2422047 */   // Label 34974: @2422047
     /* 2422047 */   GIM_Reject,
     /* 2422048 */ // Label 34970: @2422048
     /* 2422048 */ GIM_Reject,
     /* 2422049 */ // Label 34920: @2422049
     /* 2422049 */ GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2422681),
     /* 2422054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2422057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2422060 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2422143), // Rule ID 45192 //
     /* 2422065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422101 */     // MIs[1] Operand 1
     /* 2422101 */     // No operand predicates
     /* 2422101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422105 */     // MIs[0] policy
     /* 2422105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422117 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422142 */     // GIR_Coverage, 45192,
     /* 2422142 */     GIR_EraseRootFromParent_Done,
     /* 2422143 */   // Label 34976: @2422143
     /* 2422143 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2422226), // Rule ID 45193 //
     /* 2422148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422184 */     // MIs[1] Operand 1
     /* 2422184 */     // No operand predicates
     /* 2422184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422188 */     // MIs[0] policy
     /* 2422188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422200 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422225 */     // GIR_Coverage, 45193,
     /* 2422225 */     GIR_EraseRootFromParent_Done,
     /* 2422226 */   // Label 34977: @2422226
     /* 2422226 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2422309), // Rule ID 45268 //
     /* 2422231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422267 */     // MIs[1] Operand 1
     /* 2422267 */     // No operand predicates
     /* 2422267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422271 */     // MIs[0] policy
     /* 2422271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422283 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422308 */     // GIR_Coverage, 45268,
     /* 2422308 */     GIR_EraseRootFromParent_Done,
     /* 2422309 */   // Label 34978: @2422309
     /* 2422309 */   GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2422392), // Rule ID 45269 //
     /* 2422314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422350 */     // MIs[1] Operand 1
     /* 2422350 */     // No operand predicates
     /* 2422350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422354 */     // MIs[0] policy
     /* 2422354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422366 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422391 */     // GIR_Coverage, 45269,
     /* 2422391 */     GIR_EraseRootFromParent_Done,
     /* 2422392 */   // Label 34979: @2422392
     /* 2422392 */   GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2422464), // Rule ID 45194 //
     /* 2422397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422429 */     // MIs[0] policy
     /* 2422429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422439 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422463 */     // GIR_Coverage, 45194,
     /* 2422463 */     GIR_EraseRootFromParent_Done,
     /* 2422464 */   // Label 34980: @2422464
     /* 2422464 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2422536), // Rule ID 45195 //
     /* 2422469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422501 */     // MIs[0] policy
     /* 2422501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422511 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422535 */     // GIR_Coverage, 45195,
     /* 2422535 */     GIR_EraseRootFromParent_Done,
     /* 2422536 */   // Label 34981: @2422536
     /* 2422536 */   GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2422608), // Rule ID 45270 //
     /* 2422541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422573 */     // MIs[0] policy
     /* 2422573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422583 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422607 */     // GIR_Coverage, 45270,
     /* 2422607 */     GIR_EraseRootFromParent_Done,
     /* 2422608 */   // Label 34982: @2422608
     /* 2422608 */   GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2422680), // Rule ID 45271 //
     /* 2422613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422645 */     // MIs[0] policy
     /* 2422645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422655 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422679 */     // GIR_Coverage, 45271,
     /* 2422679 */     GIR_EraseRootFromParent_Done,
     /* 2422680 */   // Label 34983: @2422680
     /* 2422680 */   GIM_Reject,
     /* 2422681 */ // Label 34975: @2422681
     /* 2422681 */ GIM_Reject,
     /* 2422682 */ // Label 34921: @2422682
     /* 2422682 */ GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2423314),
     /* 2422687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2422693 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2422776), // Rule ID 45208 //
     /* 2422698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422734 */     // MIs[1] Operand 1
     /* 2422734 */     // No operand predicates
     /* 2422734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422738 */     // MIs[0] policy
     /* 2422738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422750 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422775 */     // GIR_Coverage, 45208,
     /* 2422775 */     GIR_EraseRootFromParent_Done,
     /* 2422776 */   // Label 34985: @2422776
     /* 2422776 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2422859), // Rule ID 45209 //
     /* 2422781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422817 */     // MIs[1] Operand 1
     /* 2422817 */     // No operand predicates
     /* 2422817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422821 */     // MIs[0] policy
     /* 2422821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422833 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422858 */     // GIR_Coverage, 45209,
     /* 2422858 */     GIR_EraseRootFromParent_Done,
     /* 2422859 */   // Label 34986: @2422859
     /* 2422859 */   GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2422942), // Rule ID 45280 //
     /* 2422864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422900 */     // MIs[1] Operand 1
     /* 2422900 */     // No operand predicates
     /* 2422900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422904 */     // MIs[0] policy
     /* 2422904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422916 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422941 */     // GIR_Coverage, 45280,
     /* 2422941 */     GIR_EraseRootFromParent_Done,
     /* 2422942 */   // Label 34987: @2422942
     /* 2422942 */   GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2423025), // Rule ID 45281 //
     /* 2422947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422983 */     // MIs[1] Operand 1
     /* 2422983 */     // No operand predicates
     /* 2422983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422987 */     // MIs[0] policy
     /* 2422987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422999 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2423002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423024 */     // GIR_Coverage, 45281,
     /* 2423024 */     GIR_EraseRootFromParent_Done,
     /* 2423025 */   // Label 34988: @2423025
     /* 2423025 */   GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2423097), // Rule ID 45210 //
     /* 2423030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423062 */     // MIs[0] policy
     /* 2423062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423072 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423096 */     // GIR_Coverage, 45210,
     /* 2423096 */     GIR_EraseRootFromParent_Done,
     /* 2423097 */   // Label 34989: @2423097
     /* 2423097 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2423169), // Rule ID 45211 //
     /* 2423102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423134 */     // MIs[0] policy
     /* 2423134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423144 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423168 */     // GIR_Coverage, 45211,
     /* 2423168 */     GIR_EraseRootFromParent_Done,
     /* 2423169 */   // Label 34990: @2423169
     /* 2423169 */   GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2423241), // Rule ID 45282 //
     /* 2423174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423206 */     // MIs[0] policy
     /* 2423206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423216 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423240 */     // GIR_Coverage, 45282,
     /* 2423240 */     GIR_EraseRootFromParent_Done,
     /* 2423241 */   // Label 34991: @2423241
     /* 2423241 */   GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2423313), // Rule ID 45283 //
     /* 2423246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423278 */     // MIs[0] policy
     /* 2423278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423288 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423312 */     // GIR_Coverage, 45283,
     /* 2423312 */     GIR_EraseRootFromParent_Done,
     /* 2423313 */   // Label 34992: @2423313
     /* 2423313 */   GIM_Reject,
     /* 2423314 */ // Label 34984: @2423314
     /* 2423314 */ GIM_Reject,
     /* 2423315 */ // Label 34922: @2423315
     /* 2423315 */ GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2423947),
     /* 2423320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2423323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2423326 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2423409), // Rule ID 45252 //
     /* 2423331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423367 */     // MIs[1] Operand 1
     /* 2423367 */     // No operand predicates
     /* 2423367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423371 */     // MIs[0] policy
     /* 2423371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423383 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423408 */     // GIR_Coverage, 45252,
     /* 2423408 */     GIR_EraseRootFromParent_Done,
     /* 2423409 */   // Label 34994: @2423409
     /* 2423409 */   GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2423492), // Rule ID 45253 //
     /* 2423414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423450 */     // MIs[1] Operand 1
     /* 2423450 */     // No operand predicates
     /* 2423450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423454 */     // MIs[0] policy
     /* 2423454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423466 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423491 */     // GIR_Coverage, 45253,
     /* 2423491 */     GIR_EraseRootFromParent_Done,
     /* 2423492 */   // Label 34995: @2423492
     /* 2423492 */   GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2423575), // Rule ID 45312 //
     /* 2423497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423533 */     // MIs[1] Operand 1
     /* 2423533 */     // No operand predicates
     /* 2423533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423537 */     // MIs[0] policy
     /* 2423537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423549 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423574 */     // GIR_Coverage, 45312,
     /* 2423574 */     GIR_EraseRootFromParent_Done,
     /* 2423575 */   // Label 34996: @2423575
     /* 2423575 */   GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2423658), // Rule ID 45313 //
     /* 2423580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423616 */     // MIs[1] Operand 1
     /* 2423616 */     // No operand predicates
     /* 2423616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423620 */     // MIs[0] policy
     /* 2423620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423632 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423657 */     // GIR_Coverage, 45313,
     /* 2423657 */     GIR_EraseRootFromParent_Done,
     /* 2423658 */   // Label 34997: @2423658
     /* 2423658 */   GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2423730), // Rule ID 45254 //
     /* 2423663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423695 */     // MIs[0] policy
     /* 2423695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423705 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423729 */     // GIR_Coverage, 45254,
     /* 2423729 */     GIR_EraseRootFromParent_Done,
     /* 2423730 */   // Label 34998: @2423730
     /* 2423730 */   GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2423802), // Rule ID 45255 //
     /* 2423735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423767 */     // MIs[0] policy
     /* 2423767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423777 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423801 */     // GIR_Coverage, 45255,
     /* 2423801 */     GIR_EraseRootFromParent_Done,
     /* 2423802 */   // Label 34999: @2423802
     /* 2423802 */   GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2423874), // Rule ID 45314 //
     /* 2423807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423839 */     // MIs[0] policy
     /* 2423839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423849 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423873 */     // GIR_Coverage, 45314,
     /* 2423873 */     GIR_EraseRootFromParent_Done,
     /* 2423874 */   // Label 35000: @2423874
     /* 2423874 */   GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2423946), // Rule ID 45315 //
     /* 2423879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423911 */     // MIs[0] policy
     /* 2423911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423921 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423945 */     // GIR_Coverage, 45315,
     /* 2423945 */     GIR_EraseRootFromParent_Done,
     /* 2423946 */   // Label 35001: @2423946
     /* 2423946 */   GIM_Reject,
     /* 2423947 */ // Label 34993: @2423947
     /* 2423947 */ GIM_Reject,
     /* 2423948 */ // Label 34923: @2423948
     /* 2423948 */ GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2424270),
     /* 2423953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2423956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2423959 */   GIM_Try, /*On fail goto*//*Label 35003*/ GIMT_Encode4(2424042), // Rule ID 45184 //
     /* 2423964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424000 */     // MIs[1] Operand 1
     /* 2424000 */     // No operand predicates
     /* 2424000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424004 */     // MIs[0] policy
     /* 2424004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424016 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2424019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424041 */     // GIR_Coverage, 45184,
     /* 2424041 */     GIR_EraseRootFromParent_Done,
     /* 2424042 */   // Label 35003: @2424042
     /* 2424042 */   GIM_Try, /*On fail goto*//*Label 35004*/ GIMT_Encode4(2424125), // Rule ID 45185 //
     /* 2424047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424083 */     // MIs[1] Operand 1
     /* 2424083 */     // No operand predicates
     /* 2424083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424087 */     // MIs[0] policy
     /* 2424087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424099 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2424102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424124 */     // GIR_Coverage, 45185,
     /* 2424124 */     GIR_EraseRootFromParent_Done,
     /* 2424125 */   // Label 35004: @2424125
     /* 2424125 */   GIM_Try, /*On fail goto*//*Label 35005*/ GIMT_Encode4(2424197), // Rule ID 45186 //
     /* 2424130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424162 */     // MIs[0] policy
     /* 2424162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424172 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2424175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424196 */     // GIR_Coverage, 45186,
     /* 2424196 */     GIR_EraseRootFromParent_Done,
     /* 2424197 */   // Label 35005: @2424197
     /* 2424197 */   GIM_Try, /*On fail goto*//*Label 35006*/ GIMT_Encode4(2424269), // Rule ID 45187 //
     /* 2424202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424234 */     // MIs[0] policy
     /* 2424234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424244 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2424247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424268 */     // GIR_Coverage, 45187,
     /* 2424268 */     GIR_EraseRootFromParent_Done,
     /* 2424269 */   // Label 35006: @2424269
     /* 2424269 */   GIM_Reject,
     /* 2424270 */ // Label 35002: @2424270
     /* 2424270 */ GIM_Reject,
     /* 2424271 */ // Label 34924: @2424271
     /* 2424271 */ GIM_Try, /*On fail goto*//*Label 35007*/ GIMT_Encode4(2424903),
     /* 2424276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2424279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2424282 */   GIM_Try, /*On fail goto*//*Label 35008*/ GIMT_Encode4(2424365), // Rule ID 45204 //
     /* 2424287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424323 */     // MIs[1] Operand 1
     /* 2424323 */     // No operand predicates
     /* 2424323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424327 */     // MIs[0] policy
     /* 2424327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424339 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424364 */     // GIR_Coverage, 45204,
     /* 2424364 */     GIR_EraseRootFromParent_Done,
     /* 2424365 */   // Label 35008: @2424365
     /* 2424365 */   GIM_Try, /*On fail goto*//*Label 35009*/ GIMT_Encode4(2424448), // Rule ID 45205 //
     /* 2424370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424406 */     // MIs[1] Operand 1
     /* 2424406 */     // No operand predicates
     /* 2424406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424410 */     // MIs[0] policy
     /* 2424410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424422 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424447 */     // GIR_Coverage, 45205,
     /* 2424447 */     GIR_EraseRootFromParent_Done,
     /* 2424448 */   // Label 35009: @2424448
     /* 2424448 */   GIM_Try, /*On fail goto*//*Label 35010*/ GIMT_Encode4(2424531), // Rule ID 45276 //
     /* 2424453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424489 */     // MIs[1] Operand 1
     /* 2424489 */     // No operand predicates
     /* 2424489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424493 */     // MIs[0] policy
     /* 2424493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424505 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424530 */     // GIR_Coverage, 45276,
     /* 2424530 */     GIR_EraseRootFromParent_Done,
     /* 2424531 */   // Label 35010: @2424531
     /* 2424531 */   GIM_Try, /*On fail goto*//*Label 35011*/ GIMT_Encode4(2424614), // Rule ID 45277 //
     /* 2424536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424572 */     // MIs[1] Operand 1
     /* 2424572 */     // No operand predicates
     /* 2424572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424576 */     // MIs[0] policy
     /* 2424576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424588 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424613 */     // GIR_Coverage, 45277,
     /* 2424613 */     GIR_EraseRootFromParent_Done,
     /* 2424614 */   // Label 35011: @2424614
     /* 2424614 */   GIM_Try, /*On fail goto*//*Label 35012*/ GIMT_Encode4(2424686), // Rule ID 45206 //
     /* 2424619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424651 */     // MIs[0] policy
     /* 2424651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424661 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424685 */     // GIR_Coverage, 45206,
     /* 2424685 */     GIR_EraseRootFromParent_Done,
     /* 2424686 */   // Label 35012: @2424686
     /* 2424686 */   GIM_Try, /*On fail goto*//*Label 35013*/ GIMT_Encode4(2424758), // Rule ID 45207 //
     /* 2424691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424723 */     // MIs[0] policy
     /* 2424723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424733 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424757 */     // GIR_Coverage, 45207,
     /* 2424757 */     GIR_EraseRootFromParent_Done,
     /* 2424758 */   // Label 35013: @2424758
     /* 2424758 */   GIM_Try, /*On fail goto*//*Label 35014*/ GIMT_Encode4(2424830), // Rule ID 45278 //
     /* 2424763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424795 */     // MIs[0] policy
     /* 2424795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424805 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424829 */     // GIR_Coverage, 45278,
     /* 2424829 */     GIR_EraseRootFromParent_Done,
     /* 2424830 */   // Label 35014: @2424830
     /* 2424830 */   GIM_Try, /*On fail goto*//*Label 35015*/ GIMT_Encode4(2424902), // Rule ID 45279 //
     /* 2424835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424867 */     // MIs[0] policy
     /* 2424867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424877 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424901 */     // GIR_Coverage, 45279,
     /* 2424901 */     GIR_EraseRootFromParent_Done,
     /* 2424902 */   // Label 35015: @2424902
     /* 2424902 */   GIM_Reject,
     /* 2424903 */ // Label 35007: @2424903
     /* 2424903 */ GIM_Reject,
     /* 2424904 */ // Label 34925: @2424904
     /* 2424904 */ GIM_Try, /*On fail goto*//*Label 35016*/ GIMT_Encode4(2425536),
     /* 2424909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2424912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2424915 */   GIM_Try, /*On fail goto*//*Label 35017*/ GIMT_Encode4(2424998), // Rule ID 45240 //
     /* 2424920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424956 */     // MIs[1] Operand 1
     /* 2424956 */     // No operand predicates
     /* 2424956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424960 */     // MIs[0] policy
     /* 2424960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424972 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424997 */     // GIR_Coverage, 45240,
     /* 2424997 */     GIR_EraseRootFromParent_Done,
     /* 2424998 */   // Label 35017: @2424998
     /* 2424998 */   GIM_Try, /*On fail goto*//*Label 35018*/ GIMT_Encode4(2425081), // Rule ID 45241 //
     /* 2425003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425039 */     // MIs[1] Operand 1
     /* 2425039 */     // No operand predicates
     /* 2425039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425043 */     // MIs[0] policy
     /* 2425043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425055 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2425058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425080 */     // GIR_Coverage, 45241,
     /* 2425080 */     GIR_EraseRootFromParent_Done,
     /* 2425081 */   // Label 35018: @2425081
     /* 2425081 */   GIM_Try, /*On fail goto*//*Label 35019*/ GIMT_Encode4(2425164), // Rule ID 45300 //
     /* 2425086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425122 */     // MIs[1] Operand 1
     /* 2425122 */     // No operand predicates
     /* 2425122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425126 */     // MIs[0] policy
     /* 2425126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425138 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2425141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425163 */     // GIR_Coverage, 45300,
     /* 2425163 */     GIR_EraseRootFromParent_Done,
     /* 2425164 */   // Label 35019: @2425164
     /* 2425164 */   GIM_Try, /*On fail goto*//*Label 35020*/ GIMT_Encode4(2425247), // Rule ID 45301 //
     /* 2425169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425205 */     // MIs[1] Operand 1
     /* 2425205 */     // No operand predicates
     /* 2425205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425209 */     // MIs[0] policy
     /* 2425209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425221 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2425224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425246 */     // GIR_Coverage, 45301,
     /* 2425246 */     GIR_EraseRootFromParent_Done,
     /* 2425247 */   // Label 35020: @2425247
     /* 2425247 */   GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2425319), // Rule ID 45242 //
     /* 2425252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425284 */     // MIs[0] policy
     /* 2425284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425294 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425318 */     // GIR_Coverage, 45242,
     /* 2425318 */     GIR_EraseRootFromParent_Done,
     /* 2425319 */   // Label 35021: @2425319
     /* 2425319 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2425391), // Rule ID 45243 //
     /* 2425324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425356 */     // MIs[0] policy
     /* 2425356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425366 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425390 */     // GIR_Coverage, 45243,
     /* 2425390 */     GIR_EraseRootFromParent_Done,
     /* 2425391 */   // Label 35022: @2425391
     /* 2425391 */   GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2425463), // Rule ID 45302 //
     /* 2425396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425428 */     // MIs[0] policy
     /* 2425428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425438 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425462 */     // GIR_Coverage, 45302,
     /* 2425462 */     GIR_EraseRootFromParent_Done,
     /* 2425463 */   // Label 35023: @2425463
     /* 2425463 */   GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2425535), // Rule ID 45303 //
     /* 2425468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425500 */     // MIs[0] policy
     /* 2425500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425510 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425534 */     // GIR_Coverage, 45303,
     /* 2425534 */     GIR_EraseRootFromParent_Done,
     /* 2425535 */   // Label 35024: @2425535
     /* 2425535 */   GIM_Reject,
     /* 2425536 */ // Label 35016: @2425536
     /* 2425536 */ GIM_Reject,
     /* 2425537 */ // Label 34926: @2425537
     /* 2425537 */ GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2426169),
     /* 2425542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2425545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2425548 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2425631), // Rule ID 45256 //
     /* 2425553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425589 */     // MIs[1] Operand 1
     /* 2425589 */     // No operand predicates
     /* 2425589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425593 */     // MIs[0] policy
     /* 2425593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425605 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425630 */     // GIR_Coverage, 45256,
     /* 2425630 */     GIR_EraseRootFromParent_Done,
     /* 2425631 */   // Label 35026: @2425631
     /* 2425631 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2425714), // Rule ID 45257 //
     /* 2425636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425672 */     // MIs[1] Operand 1
     /* 2425672 */     // No operand predicates
     /* 2425672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425676 */     // MIs[0] policy
     /* 2425676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425688 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425713 */     // GIR_Coverage, 45257,
     /* 2425713 */     GIR_EraseRootFromParent_Done,
     /* 2425714 */   // Label 35027: @2425714
     /* 2425714 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2425797), // Rule ID 45316 //
     /* 2425719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425755 */     // MIs[1] Operand 1
     /* 2425755 */     // No operand predicates
     /* 2425755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425759 */     // MIs[0] policy
     /* 2425759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425771 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425796 */     // GIR_Coverage, 45316,
     /* 2425796 */     GIR_EraseRootFromParent_Done,
     /* 2425797 */   // Label 35028: @2425797
     /* 2425797 */   GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2425880), // Rule ID 45317 //
     /* 2425802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425838 */     // MIs[1] Operand 1
     /* 2425838 */     // No operand predicates
     /* 2425838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425842 */     // MIs[0] policy
     /* 2425842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425854 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425879 */     // GIR_Coverage, 45317,
     /* 2425879 */     GIR_EraseRootFromParent_Done,
     /* 2425880 */   // Label 35029: @2425880
     /* 2425880 */   GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2425952), // Rule ID 45258 //
     /* 2425885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425917 */     // MIs[0] policy
     /* 2425917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425927 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425951 */     // GIR_Coverage, 45258,
     /* 2425951 */     GIR_EraseRootFromParent_Done,
     /* 2425952 */   // Label 35030: @2425952
     /* 2425952 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2426024), // Rule ID 45259 //
     /* 2425957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425989 */     // MIs[0] policy
     /* 2425989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425999 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2426002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426023 */     // GIR_Coverage, 45259,
     /* 2426023 */     GIR_EraseRootFromParent_Done,
     /* 2426024 */   // Label 35031: @2426024
     /* 2426024 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2426096), // Rule ID 45318 //
     /* 2426029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426061 */     // MIs[0] policy
     /* 2426061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426071 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2426074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426095 */     // GIR_Coverage, 45318,
     /* 2426095 */     GIR_EraseRootFromParent_Done,
     /* 2426096 */   // Label 35032: @2426096
     /* 2426096 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2426168), // Rule ID 45319 //
     /* 2426101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426133 */     // MIs[0] policy
     /* 2426133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426143 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2426146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426167 */     // GIR_Coverage, 45319,
     /* 2426167 */     GIR_EraseRootFromParent_Done,
     /* 2426168 */   // Label 35033: @2426168
     /* 2426168 */   GIM_Reject,
     /* 2426169 */ // Label 35025: @2426169
     /* 2426169 */ GIM_Reject,
     /* 2426170 */ // Label 34927: @2426170
     /* 2426170 */ GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2426492),
     /* 2426175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2426178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2426181 */   GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2426264), // Rule ID 45200 //
     /* 2426186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426222 */     // MIs[1] Operand 1
     /* 2426222 */     // No operand predicates
     /* 2426222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426226 */     // MIs[0] policy
     /* 2426226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426238 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2426241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426263 */     // GIR_Coverage, 45200,
     /* 2426263 */     GIR_EraseRootFromParent_Done,
     /* 2426264 */   // Label 35035: @2426264
     /* 2426264 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2426347), // Rule ID 45201 //
     /* 2426269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426305 */     // MIs[1] Operand 1
     /* 2426305 */     // No operand predicates
     /* 2426305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426309 */     // MIs[0] policy
     /* 2426309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426321 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2426324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426346 */     // GIR_Coverage, 45201,
     /* 2426346 */     GIR_EraseRootFromParent_Done,
     /* 2426347 */   // Label 35036: @2426347
     /* 2426347 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2426419), // Rule ID 45202 //
     /* 2426352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426384 */     // MIs[0] policy
     /* 2426384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426394 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2426397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426418 */     // GIR_Coverage, 45202,
     /* 2426418 */     GIR_EraseRootFromParent_Done,
     /* 2426419 */   // Label 35037: @2426419
     /* 2426419 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2426491), // Rule ID 45203 //
     /* 2426424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426456 */     // MIs[0] policy
     /* 2426456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426466 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2426469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426490 */     // GIR_Coverage, 45203,
     /* 2426490 */     GIR_EraseRootFromParent_Done,
     /* 2426491 */   // Label 35038: @2426491
     /* 2426491 */   GIM_Reject,
     /* 2426492 */ // Label 35034: @2426492
     /* 2426492 */ GIM_Reject,
     /* 2426493 */ // Label 34928: @2426493
     /* 2426493 */ GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2427125),
     /* 2426498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2426501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2426504 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2426587), // Rule ID 45228 //
     /* 2426509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426545 */     // MIs[1] Operand 1
     /* 2426545 */     // No operand predicates
     /* 2426545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426549 */     // MIs[0] policy
     /* 2426549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426561 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426586 */     // GIR_Coverage, 45228,
     /* 2426586 */     GIR_EraseRootFromParent_Done,
     /* 2426587 */   // Label 35040: @2426587
     /* 2426587 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2426670), // Rule ID 45229 //
     /* 2426592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426628 */     // MIs[1] Operand 1
     /* 2426628 */     // No operand predicates
     /* 2426628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426632 */     // MIs[0] policy
     /* 2426632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426644 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426669 */     // GIR_Coverage, 45229,
     /* 2426669 */     GIR_EraseRootFromParent_Done,
     /* 2426670 */   // Label 35041: @2426670
     /* 2426670 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2426753), // Rule ID 45288 //
     /* 2426675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426711 */     // MIs[1] Operand 1
     /* 2426711 */     // No operand predicates
     /* 2426711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426715 */     // MIs[0] policy
     /* 2426715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426727 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426752 */     // GIR_Coverage, 45288,
     /* 2426752 */     GIR_EraseRootFromParent_Done,
     /* 2426753 */   // Label 35042: @2426753
     /* 2426753 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2426836), // Rule ID 45289 //
     /* 2426758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426794 */     // MIs[1] Operand 1
     /* 2426794 */     // No operand predicates
     /* 2426794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426798 */     // MIs[0] policy
     /* 2426798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426810 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426835 */     // GIR_Coverage, 45289,
     /* 2426835 */     GIR_EraseRootFromParent_Done,
     /* 2426836 */   // Label 35043: @2426836
     /* 2426836 */   GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2426908), // Rule ID 45230 //
     /* 2426841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426873 */     // MIs[0] policy
     /* 2426873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426883 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426907 */     // GIR_Coverage, 45230,
     /* 2426907 */     GIR_EraseRootFromParent_Done,
     /* 2426908 */   // Label 35044: @2426908
     /* 2426908 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2426980), // Rule ID 45231 //
     /* 2426913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426945 */     // MIs[0] policy
     /* 2426945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426955 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426979 */     // GIR_Coverage, 45231,
     /* 2426979 */     GIR_EraseRootFromParent_Done,
     /* 2426980 */   // Label 35045: @2426980
     /* 2426980 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2427052), // Rule ID 45290 //
     /* 2426985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2427001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427017 */     // MIs[0] policy
     /* 2427017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427027 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2427030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427051 */     // GIR_Coverage, 45290,
     /* 2427051 */     GIR_EraseRootFromParent_Done,
     /* 2427052 */   // Label 35046: @2427052
     /* 2427052 */   GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2427124), // Rule ID 45291 //
     /* 2427057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2427073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427089 */     // MIs[0] policy
     /* 2427089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427099 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2427102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427123 */     // GIR_Coverage, 45291,
     /* 2427123 */     GIR_EraseRootFromParent_Done,
     /* 2427124 */   // Label 35047: @2427124
     /* 2427124 */   GIM_Reject,
     /* 2427125 */ // Label 35039: @2427125
     /* 2427125 */ GIM_Reject,
     /* 2427126 */ // Label 34929: @2427126
     /* 2427126 */ GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2427758),
     /* 2427131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2427134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2427137 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2427220), // Rule ID 45244 //
     /* 2427142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427178 */     // MIs[1] Operand 1
     /* 2427178 */     // No operand predicates
     /* 2427178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427182 */     // MIs[0] policy
     /* 2427182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427194 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427219 */     // GIR_Coverage, 45244,
     /* 2427219 */     GIR_EraseRootFromParent_Done,
     /* 2427220 */   // Label 35049: @2427220
     /* 2427220 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2427303), // Rule ID 45245 //
     /* 2427225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427261 */     // MIs[1] Operand 1
     /* 2427261 */     // No operand predicates
     /* 2427261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427265 */     // MIs[0] policy
     /* 2427265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427277 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427302 */     // GIR_Coverage, 45245,
     /* 2427302 */     GIR_EraseRootFromParent_Done,
     /* 2427303 */   // Label 35050: @2427303
     /* 2427303 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2427386), // Rule ID 45304 //
     /* 2427308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427344 */     // MIs[1] Operand 1
     /* 2427344 */     // No operand predicates
     /* 2427344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427348 */     // MIs[0] policy
     /* 2427348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427360 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427385 */     // GIR_Coverage, 45304,
     /* 2427385 */     GIR_EraseRootFromParent_Done,
     /* 2427386 */   // Label 35051: @2427386
     /* 2427386 */   GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2427469), // Rule ID 45305 //
     /* 2427391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427427 */     // MIs[1] Operand 1
     /* 2427427 */     // No operand predicates
     /* 2427427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427431 */     // MIs[0] policy
     /* 2427431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427443 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427468 */     // GIR_Coverage, 45305,
     /* 2427468 */     GIR_EraseRootFromParent_Done,
     /* 2427469 */   // Label 35052: @2427469
     /* 2427469 */   GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2427541), // Rule ID 45246 //
     /* 2427474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427506 */     // MIs[0] policy
     /* 2427506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427516 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427540 */     // GIR_Coverage, 45246,
     /* 2427540 */     GIR_EraseRootFromParent_Done,
     /* 2427541 */   // Label 35053: @2427541
     /* 2427541 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2427613), // Rule ID 45247 //
     /* 2427546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427578 */     // MIs[0] policy
     /* 2427578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427588 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427612 */     // GIR_Coverage, 45247,
     /* 2427612 */     GIR_EraseRootFromParent_Done,
     /* 2427613 */   // Label 35054: @2427613
     /* 2427613 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2427685), // Rule ID 45306 //
     /* 2427618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427650 */     // MIs[0] policy
     /* 2427650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427660 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427684 */     // GIR_Coverage, 45306,
     /* 2427684 */     GIR_EraseRootFromParent_Done,
     /* 2427685 */   // Label 35055: @2427685
     /* 2427685 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2427757), // Rule ID 45307 //
     /* 2427690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427722 */     // MIs[0] policy
     /* 2427722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427732 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427756 */     // GIR_Coverage, 45307,
     /* 2427756 */     GIR_EraseRootFromParent_Done,
     /* 2427757 */   // Label 35056: @2427757
     /* 2427757 */   GIM_Reject,
     /* 2427758 */ // Label 35048: @2427758
     /* 2427758 */ GIM_Reject,
     /* 2427759 */ // Label 34930: @2427759
     /* 2427759 */ GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2428391),
     /* 2427764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2427767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2427770 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2427853), // Rule ID 45260 //
     /* 2427775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427811 */     // MIs[1] Operand 1
     /* 2427811 */     // No operand predicates
     /* 2427811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427815 */     // MIs[0] policy
     /* 2427815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427827 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427852 */     // GIR_Coverage, 45260,
     /* 2427852 */     GIR_EraseRootFromParent_Done,
     /* 2427853 */   // Label 35058: @2427853
     /* 2427853 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2427936), // Rule ID 45261 //
     /* 2427858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427894 */     // MIs[1] Operand 1
     /* 2427894 */     // No operand predicates
     /* 2427894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427898 */     // MIs[0] policy
     /* 2427898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427910 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427935 */     // GIR_Coverage, 45261,
     /* 2427935 */     GIR_EraseRootFromParent_Done,
     /* 2427936 */   // Label 35059: @2427936
     /* 2427936 */   GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2428019), // Rule ID 45320 //
     /* 2427941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427977 */     // MIs[1] Operand 1
     /* 2427977 */     // No operand predicates
     /* 2427977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427981 */     // MIs[0] policy
     /* 2427981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427993 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428018 */     // GIR_Coverage, 45320,
     /* 2428018 */     GIR_EraseRootFromParent_Done,
     /* 2428019 */   // Label 35060: @2428019
     /* 2428019 */   GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2428102), // Rule ID 45321 //
     /* 2428024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428060 */     // MIs[1] Operand 1
     /* 2428060 */     // No operand predicates
     /* 2428060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428064 */     // MIs[0] policy
     /* 2428064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428076 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428101 */     // GIR_Coverage, 45321,
     /* 2428101 */     GIR_EraseRootFromParent_Done,
     /* 2428102 */   // Label 35061: @2428102
     /* 2428102 */   GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2428174), // Rule ID 45262 //
     /* 2428107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2428110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428139 */     // MIs[0] policy
     /* 2428139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428149 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428173 */     // GIR_Coverage, 45262,
     /* 2428173 */     GIR_EraseRootFromParent_Done,
     /* 2428174 */   // Label 35062: @2428174
     /* 2428174 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2428246), // Rule ID 45263 //
     /* 2428179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428211 */     // MIs[0] policy
     /* 2428211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428221 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428245 */     // GIR_Coverage, 45263,
     /* 2428245 */     GIR_EraseRootFromParent_Done,
     /* 2428246 */   // Label 35063: @2428246
     /* 2428246 */   GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2428318), // Rule ID 45322 //
     /* 2428251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2428254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428283 */     // MIs[0] policy
     /* 2428283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428293 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428317 */     // GIR_Coverage, 45322,
     /* 2428317 */     GIR_EraseRootFromParent_Done,
     /* 2428318 */   // Label 35064: @2428318
     /* 2428318 */   GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2428390), // Rule ID 45323 //
     /* 2428323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428355 */     // MIs[0] policy
     /* 2428355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428365 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428389 */     // GIR_Coverage, 45323,
     /* 2428389 */     GIR_EraseRootFromParent_Done,
     /* 2428390 */   // Label 35065: @2428390
     /* 2428390 */   GIM_Reject,
     /* 2428391 */ // Label 35057: @2428391
     /* 2428391 */ GIM_Reject,
     /* 2428392 */ // Label 34931: @2428392
     /* 2428392 */ GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2428714),
     /* 2428397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2428400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2428403 */   GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2428486), // Rule ID 45216 //
     /* 2428408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428444 */     // MIs[1] Operand 1
     /* 2428444 */     // No operand predicates
     /* 2428444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428448 */     // MIs[0] policy
     /* 2428448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428460 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428485 */     // GIR_Coverage, 45216,
     /* 2428485 */     GIR_EraseRootFromParent_Done,
     /* 2428486 */   // Label 35067: @2428486
     /* 2428486 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2428569), // Rule ID 45217 //
     /* 2428491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428527 */     // MIs[1] Operand 1
     /* 2428527 */     // No operand predicates
     /* 2428527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428531 */     // MIs[0] policy
     /* 2428531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428543 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428568 */     // GIR_Coverage, 45217,
     /* 2428568 */     GIR_EraseRootFromParent_Done,
     /* 2428569 */   // Label 35068: @2428569
     /* 2428569 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2428641), // Rule ID 45218 //
     /* 2428574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428606 */     // MIs[0] policy
     /* 2428606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428616 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428640 */     // GIR_Coverage, 45218,
     /* 2428640 */     GIR_EraseRootFromParent_Done,
     /* 2428641 */   // Label 35069: @2428641
     /* 2428641 */   GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2428713), // Rule ID 45219 //
     /* 2428646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428678 */     // MIs[0] policy
     /* 2428678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428688 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428712 */     // GIR_Coverage, 45219,
     /* 2428712 */     GIR_EraseRootFromParent_Done,
     /* 2428713 */   // Label 35070: @2428713
     /* 2428713 */   GIM_Reject,
     /* 2428714 */ // Label 35066: @2428714
     /* 2428714 */ GIM_Reject,
     /* 2428715 */ // Label 34932: @2428715
     /* 2428715 */ GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2429347),
     /* 2428720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2428723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2428726 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2428809), // Rule ID 45232 //
     /* 2428731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428767 */     // MIs[1] Operand 1
     /* 2428767 */     // No operand predicates
     /* 2428767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428771 */     // MIs[0] policy
     /* 2428771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428783 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428808 */     // GIR_Coverage, 45232,
     /* 2428808 */     GIR_EraseRootFromParent_Done,
     /* 2428809 */   // Label 35072: @2428809
     /* 2428809 */   GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2428892), // Rule ID 45233 //
     /* 2428814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428850 */     // MIs[1] Operand 1
     /* 2428850 */     // No operand predicates
     /* 2428850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428854 */     // MIs[0] policy
     /* 2428854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428866 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428891 */     // GIR_Coverage, 45233,
     /* 2428891 */     GIR_EraseRootFromParent_Done,
     /* 2428892 */   // Label 35073: @2428892
     /* 2428892 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2428975), // Rule ID 45292 //
     /* 2428897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428933 */     // MIs[1] Operand 1
     /* 2428933 */     // No operand predicates
     /* 2428933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428937 */     // MIs[0] policy
     /* 2428937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428949 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428974 */     // GIR_Coverage, 45292,
     /* 2428974 */     GIR_EraseRootFromParent_Done,
     /* 2428975 */   // Label 35074: @2428975
     /* 2428975 */   GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2429058), // Rule ID 45293 //
     /* 2428980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429016 */     // MIs[1] Operand 1
     /* 2429016 */     // No operand predicates
     /* 2429016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429020 */     // MIs[0] policy
     /* 2429020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429032 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2429035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429057 */     // GIR_Coverage, 45293,
     /* 2429057 */     GIR_EraseRootFromParent_Done,
     /* 2429058 */   // Label 35075: @2429058
     /* 2429058 */   GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2429130), // Rule ID 45234 //
     /* 2429063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429095 */     // MIs[0] policy
     /* 2429095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429105 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429129 */     // GIR_Coverage, 45234,
     /* 2429129 */     GIR_EraseRootFromParent_Done,
     /* 2429130 */   // Label 35076: @2429130
     /* 2429130 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2429202), // Rule ID 45235 //
     /* 2429135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429167 */     // MIs[0] policy
     /* 2429167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429177 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429201 */     // GIR_Coverage, 45235,
     /* 2429201 */     GIR_EraseRootFromParent_Done,
     /* 2429202 */   // Label 35077: @2429202
     /* 2429202 */   GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2429274), // Rule ID 45294 //
     /* 2429207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429239 */     // MIs[0] policy
     /* 2429239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429249 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429273 */     // GIR_Coverage, 45294,
     /* 2429273 */     GIR_EraseRootFromParent_Done,
     /* 2429274 */   // Label 35078: @2429274
     /* 2429274 */   GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2429346), // Rule ID 45295 //
     /* 2429279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429311 */     // MIs[0] policy
     /* 2429311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429321 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429345 */     // GIR_Coverage, 45295,
     /* 2429345 */     GIR_EraseRootFromParent_Done,
     /* 2429346 */   // Label 35079: @2429346
     /* 2429346 */   GIM_Reject,
     /* 2429347 */ // Label 35071: @2429347
     /* 2429347 */ GIM_Reject,
     /* 2429348 */ // Label 34933: @2429348
     /* 2429348 */ GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2429980),
     /* 2429353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2429356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2429359 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2429442), // Rule ID 45248 //
     /* 2429364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429400 */     // MIs[1] Operand 1
     /* 2429400 */     // No operand predicates
     /* 2429400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429404 */     // MIs[0] policy
     /* 2429404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429416 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429441 */     // GIR_Coverage, 45248,
     /* 2429441 */     GIR_EraseRootFromParent_Done,
     /* 2429442 */   // Label 35081: @2429442
     /* 2429442 */   GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2429525), // Rule ID 45249 //
     /* 2429447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429483 */     // MIs[1] Operand 1
     /* 2429483 */     // No operand predicates
     /* 2429483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429487 */     // MIs[0] policy
     /* 2429487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429499 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429524 */     // GIR_Coverage, 45249,
     /* 2429524 */     GIR_EraseRootFromParent_Done,
     /* 2429525 */   // Label 35082: @2429525
     /* 2429525 */   GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2429608), // Rule ID 45308 //
     /* 2429530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429566 */     // MIs[1] Operand 1
     /* 2429566 */     // No operand predicates
     /* 2429566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429570 */     // MIs[0] policy
     /* 2429570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429582 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429607 */     // GIR_Coverage, 45308,
     /* 2429607 */     GIR_EraseRootFromParent_Done,
     /* 2429608 */   // Label 35083: @2429608
     /* 2429608 */   GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2429691), // Rule ID 45309 //
     /* 2429613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429649 */     // MIs[1] Operand 1
     /* 2429649 */     // No operand predicates
     /* 2429649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429653 */     // MIs[0] policy
     /* 2429653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429665 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429690 */     // GIR_Coverage, 45309,
     /* 2429690 */     GIR_EraseRootFromParent_Done,
     /* 2429691 */   // Label 35084: @2429691
     /* 2429691 */   GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2429763), // Rule ID 45250 //
     /* 2429696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429728 */     // MIs[0] policy
     /* 2429728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429738 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429762 */     // GIR_Coverage, 45250,
     /* 2429762 */     GIR_EraseRootFromParent_Done,
     /* 2429763 */   // Label 35085: @2429763
     /* 2429763 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2429835), // Rule ID 45251 //
     /* 2429768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429800 */     // MIs[0] policy
     /* 2429800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429810 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429834 */     // GIR_Coverage, 45251,
     /* 2429834 */     GIR_EraseRootFromParent_Done,
     /* 2429835 */   // Label 35086: @2429835
     /* 2429835 */   GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2429907), // Rule ID 45310 //
     /* 2429840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429872 */     // MIs[0] policy
     /* 2429872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429882 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429906 */     // GIR_Coverage, 45310,
     /* 2429906 */     GIR_EraseRootFromParent_Done,
     /* 2429907 */   // Label 35087: @2429907
     /* 2429907 */   GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2429979), // Rule ID 45311 //
     /* 2429912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429944 */     // MIs[0] policy
     /* 2429944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429954 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429978 */     // GIR_Coverage, 45311,
     /* 2429978 */     GIR_EraseRootFromParent_Done,
     /* 2429979 */   // Label 35088: @2429979
     /* 2429979 */   GIM_Reject,
     /* 2429980 */ // Label 35080: @2429980
     /* 2429980 */ GIM_Reject,
     /* 2429981 */ // Label 34934: @2429981
     /* 2429981 */ GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2430303),
     /* 2429986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2429989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2429992 */   GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2430075), // Rule ID 45220 //
     /* 2429997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430033 */     // MIs[1] Operand 1
     /* 2430033 */     // No operand predicates
     /* 2430033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430037 */     // MIs[0] policy
     /* 2430037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430049 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2430052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430074 */     // GIR_Coverage, 45220,
     /* 2430074 */     GIR_EraseRootFromParent_Done,
     /* 2430075 */   // Label 35090: @2430075
     /* 2430075 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2430158), // Rule ID 45221 //
     /* 2430080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430116 */     // MIs[1] Operand 1
     /* 2430116 */     // No operand predicates
     /* 2430116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430120 */     // MIs[0] policy
     /* 2430120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430132 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2430135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430157 */     // GIR_Coverage, 45221,
     /* 2430157 */     GIR_EraseRootFromParent_Done,
     /* 2430158 */   // Label 35091: @2430158
     /* 2430158 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2430230), // Rule ID 45222 //
     /* 2430163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430195 */     // MIs[0] policy
     /* 2430195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430205 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2430208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430229 */     // GIR_Coverage, 45222,
     /* 2430229 */     GIR_EraseRootFromParent_Done,
     /* 2430230 */   // Label 35092: @2430230
     /* 2430230 */   GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2430302), // Rule ID 45223 //
     /* 2430235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430267 */     // MIs[0] policy
     /* 2430267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430277 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2430280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430301 */     // GIR_Coverage, 45223,
     /* 2430301 */     GIR_EraseRootFromParent_Done,
     /* 2430302 */   // Label 35093: @2430302
     /* 2430302 */   GIM_Reject,
     /* 2430303 */ // Label 35089: @2430303
     /* 2430303 */ GIM_Reject,
     /* 2430304 */ // Label 34935: @2430304
     /* 2430304 */ GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2430936),
     /* 2430309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2430312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2430315 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2430398), // Rule ID 45236 //
     /* 2430320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430356 */     // MIs[1] Operand 1
     /* 2430356 */     // No operand predicates
     /* 2430356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430360 */     // MIs[0] policy
     /* 2430360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430372 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430397 */     // GIR_Coverage, 45236,
     /* 2430397 */     GIR_EraseRootFromParent_Done,
     /* 2430398 */   // Label 35095: @2430398
     /* 2430398 */   GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2430481), // Rule ID 45237 //
     /* 2430403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430439 */     // MIs[1] Operand 1
     /* 2430439 */     // No operand predicates
     /* 2430439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430443 */     // MIs[0] policy
     /* 2430443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430455 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430480 */     // GIR_Coverage, 45237,
     /* 2430480 */     GIR_EraseRootFromParent_Done,
     /* 2430481 */   // Label 35096: @2430481
     /* 2430481 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2430564), // Rule ID 45296 //
     /* 2430486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430522 */     // MIs[1] Operand 1
     /* 2430522 */     // No operand predicates
     /* 2430522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430526 */     // MIs[0] policy
     /* 2430526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430538 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430563 */     // GIR_Coverage, 45296,
     /* 2430563 */     GIR_EraseRootFromParent_Done,
     /* 2430564 */   // Label 35097: @2430564
     /* 2430564 */   GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2430647), // Rule ID 45297 //
     /* 2430569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430605 */     // MIs[1] Operand 1
     /* 2430605 */     // No operand predicates
     /* 2430605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430609 */     // MIs[0] policy
     /* 2430609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430621 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430646 */     // GIR_Coverage, 45297,
     /* 2430646 */     GIR_EraseRootFromParent_Done,
     /* 2430647 */   // Label 35098: @2430647
     /* 2430647 */   GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2430719), // Rule ID 45238 //
     /* 2430652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430684 */     // MIs[0] policy
     /* 2430684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430694 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430718 */     // GIR_Coverage, 45238,
     /* 2430718 */     GIR_EraseRootFromParent_Done,
     /* 2430719 */   // Label 35099: @2430719
     /* 2430719 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2430791), // Rule ID 45239 //
     /* 2430724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430756 */     // MIs[0] policy
     /* 2430756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430766 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430790 */     // GIR_Coverage, 45239,
     /* 2430790 */     GIR_EraseRootFromParent_Done,
     /* 2430791 */   // Label 35100: @2430791
     /* 2430791 */   GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2430863), // Rule ID 45298 //
     /* 2430796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430828 */     // MIs[0] policy
     /* 2430828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430838 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430862 */     // GIR_Coverage, 45298,
     /* 2430862 */     GIR_EraseRootFromParent_Done,
     /* 2430863 */   // Label 35101: @2430863
     /* 2430863 */   GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2430935), // Rule ID 45299 //
     /* 2430868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430900 */     // MIs[0] policy
     /* 2430900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430910 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430934 */     // GIR_Coverage, 45299,
     /* 2430934 */     GIR_EraseRootFromParent_Done,
     /* 2430935 */   // Label 35102: @2430935
     /* 2430935 */   GIM_Reject,
     /* 2430936 */ // Label 35094: @2430936
     /* 2430936 */ GIM_Reject,
     /* 2430937 */ // Label 34936: @2430937
     /* 2430937 */ GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2431259),
     /* 2430942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2430945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2430948 */   GIM_Try, /*On fail goto*//*Label 35104*/ GIMT_Encode4(2431031), // Rule ID 45224 //
     /* 2430953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430989 */     // MIs[1] Operand 1
     /* 2430989 */     // No operand predicates
     /* 2430989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430993 */     // MIs[0] policy
     /* 2430993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431005 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2431008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431030 */     // GIR_Coverage, 45224,
     /* 2431030 */     GIR_EraseRootFromParent_Done,
     /* 2431031 */   // Label 35104: @2431031
     /* 2431031 */   GIM_Try, /*On fail goto*//*Label 35105*/ GIMT_Encode4(2431114), // Rule ID 45225 //
     /* 2431036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2431045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431072 */     // MIs[1] Operand 1
     /* 2431072 */     // No operand predicates
     /* 2431072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431076 */     // MIs[0] policy
     /* 2431076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431088 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2431091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431113 */     // GIR_Coverage, 45225,
     /* 2431113 */     GIR_EraseRootFromParent_Done,
     /* 2431114 */   // Label 35105: @2431114
     /* 2431114 */   GIM_Try, /*On fail goto*//*Label 35106*/ GIMT_Encode4(2431186), // Rule ID 45226 //
     /* 2431119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2431128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431151 */     // MIs[0] policy
     /* 2431151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431161 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2431164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431185 */     // GIR_Coverage, 45226,
     /* 2431185 */     GIR_EraseRootFromParent_Done,
     /* 2431186 */   // Label 35106: @2431186
     /* 2431186 */   GIM_Try, /*On fail goto*//*Label 35107*/ GIMT_Encode4(2431258), // Rule ID 45227 //
     /* 2431191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2431200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431223 */     // MIs[0] policy
     /* 2431223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431233 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2431236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431257 */     // GIR_Coverage, 45227,
     /* 2431257 */     GIR_EraseRootFromParent_Done,
     /* 2431258 */   // Label 35107: @2431258
     /* 2431258 */   GIM_Reject,
     /* 2431259 */ // Label 35103: @2431259
     /* 2431259 */ GIM_Reject,
     /* 2431260 */ // Label 34937: @2431260
     /* 2431260 */ GIM_Reject,
     /* 2431261 */ // Label 123: @2431261
     /* 2431261 */ GIM_Reject,
     /* 2431262 */ }; // Size: 2431262 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
